/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 94;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 91,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 90,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXqciaBit = 88,
  Feature_HasVendorXqciintBit = 89,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 93,
  Feature_HwMode0Bit = 92,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9924,
  GICXXPred_MI_Predicate_anonymous_9926,
  GICXXPred_MI_Predicate_anonymous_10014,
  GICXXPred_MI_Predicate_anonymous_10028,
  GICXXPred_MI_Predicate_anonymous_10032,
  GICXXPred_MI_Predicate_anonymous_10034,
  GICXXPred_MI_Predicate_anonymous_10036,
  GICXXPred_MI_Predicate_anonymous_10038,
  GICXXPred_MI_Predicate_anonymous_10041,
  GICXXPred_MI_Predicate_anonymous_10043,
  GICXXPred_MI_Predicate_anonymous_10056,
  GICXXPred_MI_Predicate_anonymous_10068,
  GICXXPred_MI_Predicate_anonymous_11201,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9924: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9926: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10014: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10028: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10032: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10034: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10036: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10038: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10041: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10043: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10056: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10068: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11201: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 123*/ GIMT_Encode4(2431253),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56945),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76178),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103232),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105966),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108700),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111479), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114213),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123657),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(136278), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(151185), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(151246), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(151307), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(151398), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151765),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151963),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(152161),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152741),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152951),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(153149),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(153188),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(153227),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(163407),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(165377), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(166867), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(174969),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(179855),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(182765), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(185675),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(188585),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(189497),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(192407),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(195317),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(198227),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(201137),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(204047), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(206957), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(207175),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2192562), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2194078), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2197199),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2200674),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2201223),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2204910),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2213506),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2216537), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2219476),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2222416),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2225326),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2251989), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2259451), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2263843),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2266577),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2269311),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2272164),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2275017),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2277870),
     /*     470 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2280723),
     /*     474 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2280781), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2280839),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2283267),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2285695),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2288123), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2304768), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2307196),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2309167),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2309620),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2311156),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2316042),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2320928),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2326214), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2331500),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2333471), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2339533),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2339723),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2341808), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2343893),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2344019), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 78*/ GIMT_Encode4(2344145),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 79*/ GIMT_Encode4(2346921),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 80*/ GIMT_Encode4(2349697),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 81*/ GIMT_Encode4(2352473),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 82*/ GIMT_Encode4(2355249),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 83*/ GIMT_Encode4(2355407),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 84*/ GIMT_Encode4(2355987),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 85*/ GIMT_Encode4(2356197), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 86*/ GIMT_Encode4(2356213), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 87*/ GIMT_Encode4(2358733), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 88*/ GIMT_Encode4(2361391),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 89*/ GIMT_Encode4(2363942),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 90*/ GIMT_Encode4(2366477),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 91*/ GIMT_Encode4(2368971), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 92*/ GIMT_Encode4(2369169),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 93*/ GIMT_Encode4(2371345),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 94*/ GIMT_Encode4(2371543),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 95*/ GIMT_Encode4(2371741), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 96*/ GIMT_Encode4(2371939),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 97*/ GIMT_Encode4(2374367),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 98*/ GIMT_Encode4(2376795),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 99*/ GIMT_Encode4(2379223), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 100*/ GIMT_Encode4(2381651),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 101*/ GIMT_Encode4(2398296), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 102*/ GIMT_Encode4(2400472),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 103*/ GIMT_Encode4(2400485), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 104*/ GIMT_Encode4(2400498),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 105*/ GIMT_Encode4(2400593),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 106*/ GIMT_Encode4(2400623),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 107*/ GIMT_Encode4(2400660),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 108*/ GIMT_Encode4(2400697),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 109*/ GIMT_Encode4(2401057),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 110*/ GIMT_Encode4(2401255),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 111*/ GIMT_Encode4(2401453),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 112*/ GIMT_Encode4(2401513),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 113*/ GIMT_Encode4(2401550),
     /*    1074 */ /*RISCV::G_RORW*//*Label 114*/ GIMT_Encode4(2401675),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 115*/ GIMT_Encode4(2401796), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 116*/ GIMT_Encode4(2401843),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 117*/ GIMT_Encode4(2401890),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 118*/ GIMT_Encode4(2401937),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 119*/ GIMT_Encode4(2402586),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 120*/ GIMT_Encode4(2403235),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 121*/ GIMT_Encode4(2407493),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 122*/ GIMT_Encode4(2419373),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 148*/ GIMT_Encode4(56944),
     /*    1125 */ /*GILLT_s32*//*Label 124*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 125*/ GIMT_Encode4(2818), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 126*/ GIMT_Encode4(7304),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 127*/ GIMT_Encode4(7699),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 128*/ GIMT_Encode4(10824),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 129*/ GIMT_Encode4(13949), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 130*/ GIMT_Encode4(17074),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 131*/ GIMT_Encode4(17469),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 132*/ GIMT_Encode4(20594),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 133*/ GIMT_Encode4(23719), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 134*/ GIMT_Encode4(26844),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 135*/ GIMT_Encode4(27239),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 136*/ GIMT_Encode4(30364),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 137*/ GIMT_Encode4(33489), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 138*/ GIMT_Encode4(36614),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 139*/ GIMT_Encode4(37009),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 140*/ GIMT_Encode4(40134),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 141*/ GIMT_Encode4(43259), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 142*/ GIMT_Encode4(46384),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 143*/ GIMT_Encode4(46779),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 144*/ GIMT_Encode4(49904), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 145*/ GIMT_Encode4(53029),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 146*/ GIMT_Encode4(53424), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 147*/ GIMT_Encode4(56549),
     /*    1249 */ // Label 124: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2817),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1308), // Rule ID 2460 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2460,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 150: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1356), // Rule ID 2470 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2470,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 151: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1404), // Rule ID 2480 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2480,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 152: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1455), // Rule ID 62446 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 62446,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 153: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1506), // Rule ID 62450 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 62450,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 154: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1557), // Rule ID 62454 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 62454,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 155: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1605), // Rule ID 65114 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 65114,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 156: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1653), // Rule ID 65122 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 65122,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 157: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1701), // Rule ID 65130 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 65130,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 158: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1752), // Rule ID 73938 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 73938,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 159: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1803), // Rule ID 73942 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 73942,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 160: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1854), // Rule ID 73946 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 73946,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 161: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1922), // Rule ID 2454 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2454,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 162: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1990), // Rule ID 2464 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2464,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 163: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2058), // Rule ID 2474 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2474,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 164: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2126), // Rule ID 65110 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 65110,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 165: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2194), // Rule ID 65118 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 65118,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 166: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2262), // Rule ID 65126 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 65126,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 167: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2341), // Rule ID 62440 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 62440,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 168: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2420), // Rule ID 73934 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 73934,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 169: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 170: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 171: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2583), // Rule ID 286 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10056),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10056>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 286,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 172: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2625), // Rule ID 64439 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    2611 */     // MIs[1] Operand 1
     /*    2611 */     // No operand predicates
     /*    2611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2613 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    2613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    2616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2623 */     GIR_RootConstrainSelectedInstOperands,
     /*    2624 */     // GIR_Coverage, 64439,
     /*    2624 */     GIR_EraseRootFromParent_Done,
     /*    2625 */   // Label 173: @2625
     /*    2625 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2667), // Rule ID 64443 //
     /*    2630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    2653 */     // MIs[1] Operand 1
     /*    2653 */     // No operand predicates
     /*    2653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2655 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    2655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    2658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2665 */     GIR_RootConstrainSelectedInstOperands,
     /*    2666 */     // GIR_Coverage, 64443,
     /*    2666 */     GIR_EraseRootFromParent_Done,
     /*    2667 */   // Label 174: @2667
     /*    2667 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2728), // Rule ID 73948 //
     /*    2672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2711 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2726 */     GIR_RootConstrainSelectedInstOperands,
     /*    2727 */     // GIR_Coverage, 73948,
     /*    2727 */     GIR_EraseRootFromParent_Done,
     /*    2728 */   // Label 175: @2728
     /*    2728 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2789), // Rule ID 62508 //
     /*    2733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2772 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2787 */     GIR_RootConstrainSelectedInstOperands,
     /*    2788 */     // GIR_Coverage, 62508,
     /*    2788 */     GIR_EraseRootFromParent_Done,
     /*    2789 */   // Label 176: @2789
     /*    2789 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2816), // Rule ID 73 //
     /*    2794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2809 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2814 */     GIR_RootConstrainSelectedInstOperands,
     /*    2815 */     // GIR_Coverage, 73,
     /*    2815 */     GIR_Done,
     /*    2816 */   // Label 177: @2816
     /*    2816 */   GIM_Reject,
     /*    2817 */ // Label 149: @2817
     /*    2817 */ GIM_Reject,
     /*    2818 */ // Label 125: @2818
     /*    2818 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(7303),
     /*    2823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2829 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2924), // Rule ID 2504 //
     /*    2834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2841 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2886 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2911 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2922 */     GIR_RootConstrainSelectedInstOperands,
     /*    2923 */     // GIR_Coverage, 2504,
     /*    2923 */     GIR_EraseRootFromParent_Done,
     /*    2924 */   // Label 179: @2924
     /*    2924 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3019), // Rule ID 2506 //
     /*    2929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2936 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2981 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2992 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3006 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3017 */     GIR_RootConstrainSelectedInstOperands,
     /*    3018 */     // GIR_Coverage, 2506,
     /*    3018 */     GIR_EraseRootFromParent_Done,
     /*    3019 */   // Label 180: @3019
     /*    3019 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3114), // Rule ID 2508 //
     /*    3024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    3035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3076 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3087 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3101 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3112 */     GIR_RootConstrainSelectedInstOperands,
     /*    3113 */     // GIR_Coverage, 2508,
     /*    3113 */     GIR_EraseRootFromParent_Done,
     /*    3114 */   // Label 181: @3114
     /*    3114 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3209), // Rule ID 2495 //
     /*    3119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3126 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3167 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3178 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3196 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3207 */     GIR_RootConstrainSelectedInstOperands,
     /*    3208 */     // GIR_Coverage, 2495,
     /*    3208 */     GIR_EraseRootFromParent_Done,
     /*    3209 */   // Label 182: @3209
     /*    3209 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3304), // Rule ID 2498 //
     /*    3214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3262 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3273 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3277 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3291 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3302 */     GIR_RootConstrainSelectedInstOperands,
     /*    3303 */     // GIR_Coverage, 2498,
     /*    3303 */     GIR_EraseRootFromParent_Done,
     /*    3304 */   // Label 183: @3304
     /*    3304 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3399), // Rule ID 2501 //
     /*    3309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3316 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3357 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3386 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3397 */     GIR_RootConstrainSelectedInstOperands,
     /*    3398 */     // GIR_Coverage, 2501,
     /*    3398 */     GIR_EraseRootFromParent_Done,
     /*    3399 */   // Label 184: @3399
     /*    3399 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3494), // Rule ID 65140 //
     /*    3404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3411 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3460 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3464 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3481 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3492 */     GIR_RootConstrainSelectedInstOperands,
     /*    3493 */     // GIR_Coverage, 65140,
     /*    3493 */     GIR_EraseRootFromParent_Done,
     /*    3494 */   // Label 185: @3494
     /*    3494 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3589), // Rule ID 65142 //
     /*    3499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3506 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3559 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3576 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3587 */     GIR_RootConstrainSelectedInstOperands,
     /*    3588 */     // GIR_Coverage, 65142,
     /*    3588 */     GIR_EraseRootFromParent_Done,
     /*    3589 */   // Label 186: @3589
     /*    3589 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3684), // Rule ID 65144 //
     /*    3594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3650 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3654 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3671 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3682 */     GIR_RootConstrainSelectedInstOperands,
     /*    3683 */     // GIR_Coverage, 65144,
     /*    3683 */     GIR_EraseRootFromParent_Done,
     /*    3684 */   // Label 187: @3684
     /*    3684 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3779), // Rule ID 65134 //
     /*    3689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3696 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3745 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3766 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3777 */     GIR_RootConstrainSelectedInstOperands,
     /*    3778 */     // GIR_Coverage, 65134,
     /*    3778 */     GIR_EraseRootFromParent_Done,
     /*    3779 */   // Label 188: @3779
     /*    3779 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3874), // Rule ID 65136 //
     /*    3784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3791 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3840 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3851 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3861 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3872 */     GIR_RootConstrainSelectedInstOperands,
     /*    3873 */     // GIR_Coverage, 65136,
     /*    3873 */     GIR_EraseRootFromParent_Done,
     /*    3874 */   // Label 189: @3874
     /*    3874 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3969), // Rule ID 65138 //
     /*    3879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3886 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3935 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3956 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3967 */     GIR_RootConstrainSelectedInstOperands,
     /*    3968 */     // GIR_Coverage, 65138,
     /*    3968 */     GIR_EraseRootFromParent_Done,
     /*    3969 */   // Label 190: @3969
     /*    3969 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4017), // Rule ID 2459 //
     /*    3974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3981 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4004 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4015 */     GIR_RootConstrainSelectedInstOperands,
     /*    4016 */     // GIR_Coverage, 2459,
     /*    4016 */     GIR_EraseRootFromParent_Done,
     /*    4017 */   // Label 191: @4017
     /*    4017 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4065), // Rule ID 2469 //
     /*    4022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4029 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    4033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4052 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4063 */     GIR_RootConstrainSelectedInstOperands,
     /*    4064 */     // GIR_Coverage, 2469,
     /*    4064 */     GIR_EraseRootFromParent_Done,
     /*    4065 */   // Label 192: @4065
     /*    4065 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4113), // Rule ID 2479 //
     /*    4070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4077 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    4081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4100 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4111 */     GIR_RootConstrainSelectedInstOperands,
     /*    4112 */     // GIR_Coverage, 2479,
     /*    4112 */     GIR_EraseRootFromParent_Done,
     /*    4113 */   // Label 193: @4113
     /*    4113 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4161), // Rule ID 2510 //
     /*    4118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4125 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4129 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4148 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4159 */     GIR_RootConstrainSelectedInstOperands,
     /*    4160 */     // GIR_Coverage, 2510,
     /*    4160 */     GIR_EraseRootFromParent_Done,
     /*    4161 */   // Label 194: @4161
     /*    4161 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4209), // Rule ID 2512 //
     /*    4166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4173 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4177 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4196 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4207 */     GIR_RootConstrainSelectedInstOperands,
     /*    4208 */     // GIR_Coverage, 2512,
     /*    4208 */     GIR_EraseRootFromParent_Done,
     /*    4209 */   // Label 195: @4209
     /*    4209 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4257), // Rule ID 2514 //
     /*    4214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4225 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4244 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4255 */     GIR_RootConstrainSelectedInstOperands,
     /*    4256 */     // GIR_Coverage, 2514,
     /*    4256 */     GIR_EraseRootFromParent_Done,
     /*    4257 */   // Label 196: @4257
     /*    4257 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4308), // Rule ID 62445 //
     /*    4262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4269 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4292 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4299 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4306 */     GIR_RootConstrainSelectedInstOperands,
     /*    4307 */     // GIR_Coverage, 62445,
     /*    4307 */     GIR_EraseRootFromParent_Done,
     /*    4308 */   // Label 197: @4308
     /*    4308 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4359), // Rule ID 62449 //
     /*    4313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4343 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4350 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4357 */     GIR_RootConstrainSelectedInstOperands,
     /*    4358 */     // GIR_Coverage, 62449,
     /*    4358 */     GIR_EraseRootFromParent_Done,
     /*    4359 */   // Label 198: @4359
     /*    4359 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4410), // Rule ID 62453 //
     /*    4364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4371 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4375 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4394 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4401 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4408 */     GIR_RootConstrainSelectedInstOperands,
     /*    4409 */     // GIR_Coverage, 62453,
     /*    4409 */     GIR_EraseRootFromParent_Done,
     /*    4410 */   // Label 199: @4410
     /*    4410 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4458), // Rule ID 65113 //
     /*    4415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4456 */     GIR_RootConstrainSelectedInstOperands,
     /*    4457 */     // GIR_Coverage, 65113,
     /*    4457 */     GIR_EraseRootFromParent_Done,
     /*    4458 */   // Label 200: @4458
     /*    4458 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4506), // Rule ID 65121 //
     /*    4463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4504 */     GIR_RootConstrainSelectedInstOperands,
     /*    4505 */     // GIR_Coverage, 65121,
     /*    4505 */     GIR_EraseRootFromParent_Done,
     /*    4506 */   // Label 201: @4506
     /*    4506 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4554), // Rule ID 65129 //
     /*    4511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4541 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4552 */     GIR_RootConstrainSelectedInstOperands,
     /*    4553 */     // GIR_Coverage, 65129,
     /*    4553 */     GIR_EraseRootFromParent_Done,
     /*    4554 */   // Label 202: @4554
     /*    4554 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4602), // Rule ID 65146 //
     /*    4559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4566 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4574 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4594 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4600 */     GIR_RootConstrainSelectedInstOperands,
     /*    4601 */     // GIR_Coverage, 65146,
     /*    4601 */     GIR_EraseRootFromParent_Done,
     /*    4602 */   // Label 203: @4602
     /*    4602 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4650), // Rule ID 65148 //
     /*    4607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4637 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4648 */     GIR_RootConstrainSelectedInstOperands,
     /*    4649 */     // GIR_Coverage, 65148,
     /*    4649 */     GIR_EraseRootFromParent_Done,
     /*    4650 */   // Label 204: @4650
     /*    4650 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4698), // Rule ID 65150 //
     /*    4655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4662 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4685 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4690 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4696 */     GIR_RootConstrainSelectedInstOperands,
     /*    4697 */     // GIR_Coverage, 65150,
     /*    4697 */     GIR_EraseRootFromParent_Done,
     /*    4698 */   // Label 205: @4698
     /*    4698 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4749), // Rule ID 73937 //
     /*    4703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4710 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4718 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4733 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4747 */     GIR_RootConstrainSelectedInstOperands,
     /*    4748 */     // GIR_Coverage, 73937,
     /*    4748 */     GIR_EraseRootFromParent_Done,
     /*    4749 */   // Label 206: @4749
     /*    4749 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4800), // Rule ID 73941 //
     /*    4754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4761 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4784 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4798 */     GIR_RootConstrainSelectedInstOperands,
     /*    4799 */     // GIR_Coverage, 73941,
     /*    4799 */     GIR_EraseRootFromParent_Done,
     /*    4800 */   // Label 207: @4800
     /*    4800 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(4851), // Rule ID 73945 //
     /*    4805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4820 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4824 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4835 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4849 */     GIR_RootConstrainSelectedInstOperands,
     /*    4850 */     // GIR_Coverage, 73945,
     /*    4850 */     GIR_EraseRootFromParent_Done,
     /*    4851 */   // Label 208: @4851
     /*    4851 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(4926), // Rule ID 2492 //
     /*    4856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4888 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4913 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4924 */     GIR_RootConstrainSelectedInstOperands,
     /*    4925 */     // GIR_Coverage, 2492,
     /*    4925 */     GIR_EraseRootFromParent_Done,
     /*    4926 */   // Label 209: @4926
     /*    4926 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5021), // Rule ID 2516 //
     /*    4931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4938 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4963 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4974 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4988 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5004 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5019 */     GIR_RootConstrainSelectedInstOperands,
     /*    5020 */     // GIR_Coverage, 2516,
     /*    5020 */     GIR_EraseRootFromParent_Done,
     /*    5021 */   // Label 210: @5021
     /*    5021 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5116), // Rule ID 2518 //
     /*    5026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    5037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5058 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5069 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    5073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5083 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5099 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5114 */     GIR_RootConstrainSelectedInstOperands,
     /*    5115 */     // GIR_Coverage, 2518,
     /*    5115 */     GIR_EraseRootFromParent_Done,
     /*    5116 */   // Label 211: @5116
     /*    5116 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5211), // Rule ID 2520 //
     /*    5121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5128 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5153 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5164 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5178 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5194 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5209 */     GIR_RootConstrainSelectedInstOperands,
     /*    5210 */     // GIR_Coverage, 2520,
     /*    5210 */     GIR_EraseRootFromParent_Done,
     /*    5211 */   // Label 212: @5211
     /*    5211 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5306), // Rule ID 2522 //
     /*    5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5223 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5248 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5259 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5273 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5289 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5304 */     GIR_RootConstrainSelectedInstOperands,
     /*    5305 */     // GIR_Coverage, 2522,
     /*    5305 */     GIR_EraseRootFromParent_Done,
     /*    5306 */   // Label 213: @5306
     /*    5306 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5401), // Rule ID 2524 //
     /*    5311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5318 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5343 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5354 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5368 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5399 */     GIR_RootConstrainSelectedInstOperands,
     /*    5400 */     // GIR_Coverage, 2524,
     /*    5400 */     GIR_EraseRootFromParent_Done,
     /*    5401 */   // Label 214: @5401
     /*    5401 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5496), // Rule ID 2526 //
     /*    5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5413 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5449 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5463 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5494 */     GIR_RootConstrainSelectedInstOperands,
     /*    5495 */     // GIR_Coverage, 2526,
     /*    5495 */     GIR_EraseRootFromParent_Done,
     /*    5496 */   // Label 215: @5496
     /*    5496 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5564), // Rule ID 2453 //
     /*    5501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5508 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5533 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5537 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5551 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5562 */     GIR_RootConstrainSelectedInstOperands,
     /*    5563 */     // GIR_Coverage, 2453,
     /*    5563 */     GIR_EraseRootFromParent_Done,
     /*    5564 */   // Label 216: @5564
     /*    5564 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5632), // Rule ID 2463 //
     /*    5569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5576 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5601 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5605 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5619 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5630 */     GIR_RootConstrainSelectedInstOperands,
     /*    5631 */     // GIR_Coverage, 2463,
     /*    5631 */     GIR_EraseRootFromParent_Done,
     /*    5632 */   // Label 217: @5632
     /*    5632 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5700), // Rule ID 2473 //
     /*    5637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5644 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5669 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5687 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5698 */     GIR_RootConstrainSelectedInstOperands,
     /*    5699 */     // GIR_Coverage, 2473,
     /*    5699 */     GIR_EraseRootFromParent_Done,
     /*    5700 */   // Label 218: @5700
     /*    5700 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5775), // Rule ID 65132 //
     /*    5705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5712 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5720 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5745 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5762 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5773 */     GIR_RootConstrainSelectedInstOperands,
     /*    5774 */     // GIR_Coverage, 65132,
     /*    5774 */     GIR_EraseRootFromParent_Done,
     /*    5775 */   // Label 219: @5775
     /*    5775 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5870), // Rule ID 65152 //
     /*    5780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5787 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5820 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5837 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5868 */     GIR_RootConstrainSelectedInstOperands,
     /*    5869 */     // GIR_Coverage, 65152,
     /*    5869 */     GIR_EraseRootFromParent_Done,
     /*    5870 */   // Label 220: @5870
     /*    5870 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5965), // Rule ID 65154 //
     /*    5875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5915 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5932 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5963 */     GIR_RootConstrainSelectedInstOperands,
     /*    5964 */     // GIR_Coverage, 65154,
     /*    5964 */     GIR_EraseRootFromParent_Done,
     /*    5965 */   // Label 221: @5965
     /*    5965 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6060), // Rule ID 65156 //
     /*    5970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6010 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    6021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6027 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    6034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6058 */     GIR_RootConstrainSelectedInstOperands,
     /*    6059 */     // GIR_Coverage, 65156,
     /*    6059 */     GIR_EraseRootFromParent_Done,
     /*    6060 */   // Label 222: @6060
     /*    6060 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6155), // Rule ID 65158 //
     /*    6065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    6076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6105 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6122 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6138 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6153 */     GIR_RootConstrainSelectedInstOperands,
     /*    6154 */     // GIR_Coverage, 65158,
     /*    6154 */     GIR_EraseRootFromParent_Done,
     /*    6155 */   // Label 223: @6155
     /*    6155 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6250), // Rule ID 65160 //
     /*    6160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6200 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6217 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6233 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6248 */     GIR_RootConstrainSelectedInstOperands,
     /*    6249 */     // GIR_Coverage, 65160,
     /*    6249 */     GIR_EraseRootFromParent_Done,
     /*    6250 */   // Label 224: @6250
     /*    6250 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6345), // Rule ID 65162 //
     /*    6255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6295 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6312 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6328 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6343 */     GIR_RootConstrainSelectedInstOperands,
     /*    6344 */     // GIR_Coverage, 65162,
     /*    6344 */     GIR_EraseRootFromParent_Done,
     /*    6345 */   // Label 225: @6345
     /*    6345 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6413), // Rule ID 65109 //
     /*    6350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6400 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6411 */     GIR_RootConstrainSelectedInstOperands,
     /*    6412 */     // GIR_Coverage, 65109,
     /*    6412 */     GIR_EraseRootFromParent_Done,
     /*    6413 */   // Label 226: @6413
     /*    6413 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6481), // Rule ID 65117 //
     /*    6418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6425 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6433 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6458 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6468 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6479 */     GIR_RootConstrainSelectedInstOperands,
     /*    6480 */     // GIR_Coverage, 65117,
     /*    6480 */     GIR_EraseRootFromParent_Done,
     /*    6481 */   // Label 227: @6481
     /*    6481 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6549), // Rule ID 65125 //
     /*    6486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6493 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6536 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6547 */     GIR_RootConstrainSelectedInstOperands,
     /*    6548 */     // GIR_Coverage, 65125,
     /*    6548 */     GIR_EraseRootFromParent_Done,
     /*    6549 */   // Label 228: @6549
     /*    6549 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6628), // Rule ID 62439 //
     /*    6554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6561 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6598 */     // MIs[2] Operand 1
     /*    6598 */     // No operand predicates
     /*    6598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6612 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6626 */     GIR_RootConstrainSelectedInstOperands,
     /*    6627 */     // GIR_Coverage, 62439,
     /*    6627 */     GIR_EraseRootFromParent_Done,
     /*    6628 */   // Label 229: @6628
     /*    6628 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6707), // Rule ID 73933 //
     /*    6633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6640 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6685 */     // MIs[2] Operand 1
     /*    6685 */     // No operand predicates
     /*    6685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6691 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 73933,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 230: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6756), // Rule ID 114 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6727 */     // MIs[1] Operand 1
     /*    6727 */     // No operand predicates
     /*    6727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6735 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6739 */     // MIs[2] Operand 1
     /*    6739 */     // No operand predicates
     /*    6739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6741 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6746 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6754 */     GIR_RootConstrainSelectedInstOperands,
     /*    6755 */     // GIR_Coverage, 114,
     /*    6755 */     GIR_EraseRootFromParent_Done,
     /*    6756 */   // Label 231: @6756
     /*    6756 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6802), // Rule ID 265 //
     /*    6761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6784 */     // MIs[1] Operand 1
     /*    6784 */     // No operand predicates
     /*    6784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*    6788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10028>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6800 */     GIR_RootConstrainSelectedInstOperands,
     /*    6801 */     // GIR_Coverage, 265,
     /*    6801 */     GIR_EraseRootFromParent_Done,
     /*    6802 */   // Label 232: @6802
     /*    6802 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6878), // Rule ID 287 //
     /*    6807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6830 */     // MIs[1] Operand 1
     /*    6830 */     // No operand predicates
     /*    6830 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10056),
     /*    6834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*    6838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6840 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10056>>:$rs2)<<P:Predicate_anonymous_10028>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6856 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6876 */     GIR_RootConstrainSelectedInstOperands,
     /*    6877 */     // GIR_Coverage, 287,
     /*    6877 */     GIR_EraseRootFromParent_Done,
     /*    6878 */   // Label 233: @6878
     /*    6878 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6943), // Rule ID 73949 //
     /*    6883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*    6924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6926 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10028>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6941 */     GIR_RootConstrainSelectedInstOperands,
     /*    6942 */     // GIR_Coverage, 73949,
     /*    6942 */     GIR_EraseRootFromParent_Done,
     /*    6943 */   // Label 234: @6943
     /*    6943 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7008), // Rule ID 62511 //
     /*    6948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*    6989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6991 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10028>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7006 */     GIR_RootConstrainSelectedInstOperands,
     /*    7007 */     // GIR_Coverage, 62511,
     /*    7007 */     GIR_EraseRootFromParent_Done,
     /*    7008 */   // Label 235: @7008
     /*    7008 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7050), // Rule ID 74 //
     /*    7013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    7036 */     // MIs[1] Operand 1
     /*    7036 */     // No operand predicates
     /*    7036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    7038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    7048 */     GIR_RootConstrainSelectedInstOperands,
     /*    7049 */     // GIR_Coverage, 74,
     /*    7049 */     GIR_EraseRootFromParent_Done,
     /*    7050 */   // Label 236: @7050
     /*    7050 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7122), // Rule ID 285 //
     /*    7055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    7078 */     // MIs[1] Operand 1
     /*    7078 */     // No operand predicates
     /*    7078 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10056),
     /*    7082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7084 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10056>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7100 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7115 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7120 */     GIR_RootConstrainSelectedInstOperands,
     /*    7121 */     // GIR_Coverage, 285,
     /*    7121 */     GIR_EraseRootFromParent_Done,
     /*    7122 */   // Label 237: @7122
     /*    7122 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7183), // Rule ID 73947 //
     /*    7127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7166 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7181 */     GIR_RootConstrainSelectedInstOperands,
     /*    7182 */     // GIR_Coverage, 73947,
     /*    7182 */     GIR_EraseRootFromParent_Done,
     /*    7183 */   // Label 238: @7183
     /*    7183 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7244), // Rule ID 62507 //
     /*    7188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7227 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7242 */     GIR_RootConstrainSelectedInstOperands,
     /*    7243 */     // GIR_Coverage, 62507,
     /*    7243 */     GIR_EraseRootFromParent_Done,
     /*    7244 */   // Label 239: @7244
     /*    7244 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7275), // Rule ID 264 //
     /*    7249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*    7268 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10028>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7273 */     GIR_RootConstrainSelectedInstOperands,
     /*    7274 */     // GIR_Coverage, 264,
     /*    7274 */     GIR_Done,
     /*    7275 */   // Label 240: @7275
     /*    7275 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7302), // Rule ID 72 //
     /*    7280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7295 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7300 */     GIR_RootConstrainSelectedInstOperands,
     /*    7301 */     // GIR_Coverage, 72,
     /*    7301 */     GIR_Done,
     /*    7302 */   // Label 241: @7302
     /*    7302 */   GIM_Reject,
     /*    7303 */ // Label 178: @7303
     /*    7303 */ GIM_Reject,
     /*    7304 */ // Label 126: @7304
     /*    7304 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7698),
     /*    7309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7319 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7387), // Rule ID 68901 //
     /*    7324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7361 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7385 */     GIR_RootConstrainSelectedInstOperands,
     /*    7386 */     // GIR_Coverage, 68901,
     /*    7386 */     GIR_EraseRootFromParent_Done,
     /*    7387 */   // Label 243: @7387
     /*    7387 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7455), // Rule ID 68902 //
     /*    7392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7429 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7453 */     GIR_RootConstrainSelectedInstOperands,
     /*    7454 */     // GIR_Coverage, 68902,
     /*    7454 */     GIR_EraseRootFromParent_Done,
     /*    7455 */   // Label 244: @7455
     /*    7455 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7523), // Rule ID 45796 //
     /*    7460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7497 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7521 */     GIR_RootConstrainSelectedInstOperands,
     /*    7522 */     // GIR_Coverage, 45796,
     /*    7522 */     GIR_EraseRootFromParent_Done,
     /*    7523 */   // Label 245: @7523
     /*    7523 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7591), // Rule ID 45797 //
     /*    7528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7565 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7589 */     GIR_RootConstrainSelectedInstOperands,
     /*    7590 */     // GIR_Coverage, 45797,
     /*    7590 */     GIR_EraseRootFromParent_Done,
     /*    7591 */   // Label 246: @7591
     /*    7591 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7644), // Rule ID 45624 //
     /*    7596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7607 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7642 */     GIR_RootConstrainSelectedInstOperands,
     /*    7643 */     // GIR_Coverage, 45624,
     /*    7643 */     GIR_EraseRootFromParent_Done,
     /*    7644 */   // Label 247: @7644
     /*    7644 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7697), // Rule ID 45625 //
     /*    7649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7660 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7695 */     GIR_RootConstrainSelectedInstOperands,
     /*    7696 */     // GIR_Coverage, 45625,
     /*    7696 */     GIR_EraseRootFromParent_Done,
     /*    7697 */   // Label 248: @7697
     /*    7697 */   GIM_Reject,
     /*    7698 */ // Label 242: @7698
     /*    7698 */ GIM_Reject,
     /*    7699 */ // Label 127: @7699
     /*    7699 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(10823),
     /*    7704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7810), // Rule ID 68815 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7767 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7771 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7773 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7784 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7808 */     GIR_RootConstrainSelectedInstOperands,
     /*    7809 */     // GIR_Coverage, 68815,
     /*    7809 */     GIR_EraseRootFromParent_Done,
     /*    7810 */   // Label 250: @7810
     /*    7810 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7906), // Rule ID 68816 //
     /*    7815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7863 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7867 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7880 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7904 */     GIR_RootConstrainSelectedInstOperands,
     /*    7905 */     // GIR_Coverage, 68816,
     /*    7905 */     GIR_EraseRootFromParent_Done,
     /*    7906 */   // Label 251: @7906
     /*    7906 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8002), // Rule ID 70637 //
     /*    7911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7963 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7965 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7976 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8000 */     GIR_RootConstrainSelectedInstOperands,
     /*    8001 */     // GIR_Coverage, 70637,
     /*    8001 */     GIR_EraseRootFromParent_Done,
     /*    8002 */   // Label 252: @8002
     /*    8002 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8098), // Rule ID 70638 //
     /*    8007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8055 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8059 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8061 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8072 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8096 */     GIR_RootConstrainSelectedInstOperands,
     /*    8097 */     // GIR_Coverage, 70638,
     /*    8097 */     GIR_EraseRootFromParent_Done,
     /*    8098 */   // Label 253: @8098
     /*    8098 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8194), // Rule ID 70639 //
     /*    8103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8155 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8168 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8192 */     GIR_RootConstrainSelectedInstOperands,
     /*    8193 */     // GIR_Coverage, 70639,
     /*    8193 */     GIR_EraseRootFromParent_Done,
     /*    8194 */   // Label 254: @8194
     /*    8194 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8290), // Rule ID 70640 //
     /*    8199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8247 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8251 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8253 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8264 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8288 */     GIR_RootConstrainSelectedInstOperands,
     /*    8289 */     // GIR_Coverage, 70640,
     /*    8289 */     GIR_EraseRootFromParent_Done,
     /*    8290 */   // Label 255: @8290
     /*    8290 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8386), // Rule ID 70515 //
     /*    8295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8343 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8347 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8349 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8360 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8384 */     GIR_RootConstrainSelectedInstOperands,
     /*    8385 */     // GIR_Coverage, 70515,
     /*    8385 */     GIR_EraseRootFromParent_Done,
     /*    8386 */   // Label 256: @8386
     /*    8386 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8482), // Rule ID 70516 //
     /*    8391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8443 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8445 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8456 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8480 */     GIR_RootConstrainSelectedInstOperands,
     /*    8481 */     // GIR_Coverage, 70516,
     /*    8481 */     GIR_EraseRootFromParent_Done,
     /*    8482 */   // Label 257: @8482
     /*    8482 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8578), // Rule ID 45708 //
     /*    8487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8535 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8539 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8543 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8545 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8552 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8576 */     GIR_RootConstrainSelectedInstOperands,
     /*    8577 */     // GIR_Coverage, 45708,
     /*    8577 */     GIR_EraseRootFromParent_Done,
     /*    8578 */   // Label 258: @8578
     /*    8578 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8674), // Rule ID 45709 //
     /*    8583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8635 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8639 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8641 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8648 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8672 */     GIR_RootConstrainSelectedInstOperands,
     /*    8673 */     // GIR_Coverage, 45709,
     /*    8673 */     GIR_EraseRootFromParent_Done,
     /*    8674 */   // Label 259: @8674
     /*    8674 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8770), // Rule ID 52024 //
     /*    8679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8731 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8735 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8744 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8768 */     GIR_RootConstrainSelectedInstOperands,
     /*    8769 */     // GIR_Coverage, 52024,
     /*    8769 */     GIR_EraseRootFromParent_Done,
     /*    8770 */   // Label 260: @8770
     /*    8770 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8866), // Rule ID 52025 //
     /*    8775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8812 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8827 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8831 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8833 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8840 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8864 */     GIR_RootConstrainSelectedInstOperands,
     /*    8865 */     // GIR_Coverage, 52025,
     /*    8865 */     GIR_EraseRootFromParent_Done,
     /*    8866 */   // Label 261: @8866
     /*    8866 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8962), // Rule ID 70635 //
     /*    8871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8908 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8927 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8929 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8936 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8960 */     GIR_RootConstrainSelectedInstOperands,
     /*    8961 */     // GIR_Coverage, 70635,
     /*    8961 */     GIR_EraseRootFromParent_Done,
     /*    8962 */   // Label 262: @8962
     /*    8962 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9058), // Rule ID 70636 //
     /*    8967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8990 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9019 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9023 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9025 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9032 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    9035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    9043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 70636,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 263: @9058
     /*    9058 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9154), // Rule ID 51964 //
     /*    9063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9115 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9119 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9121 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9128 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9152 */     GIR_RootConstrainSelectedInstOperands,
     /*    9153 */     // GIR_Coverage, 51964,
     /*    9153 */     GIR_EraseRootFromParent_Done,
     /*    9154 */   // Label 264: @9154
     /*    9154 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9250), // Rule ID 51965 //
     /*    9159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9211 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9215 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9217 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9224 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9248 */     GIR_RootConstrainSelectedInstOperands,
     /*    9249 */     // GIR_Coverage, 51965,
     /*    9249 */     GIR_EraseRootFromParent_Done,
     /*    9250 */   // Label 265: @9250
     /*    9250 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9339), // Rule ID 46550 //
     /*    9255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9298 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9337 */     GIR_RootConstrainSelectedInstOperands,
     /*    9338 */     // GIR_Coverage, 46550,
     /*    9338 */     GIR_EraseRootFromParent_Done,
     /*    9339 */   // Label 266: @9339
     /*    9339 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9428), // Rule ID 46551 //
     /*    9344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9387 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9426 */     GIR_RootConstrainSelectedInstOperands,
     /*    9427 */     // GIR_Coverage, 46551,
     /*    9427 */     GIR_EraseRootFromParent_Done,
     /*    9428 */   // Label 267: @9428
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9517), // Rule ID 45700 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9476 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9515 */     GIR_RootConstrainSelectedInstOperands,
     /*    9516 */     // GIR_Coverage, 45700,
     /*    9516 */     GIR_EraseRootFromParent_Done,
     /*    9517 */   // Label 268: @9517
     /*    9517 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9606), // Rule ID 45701 //
     /*    9522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9565 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9604 */     GIR_RootConstrainSelectedInstOperands,
     /*    9605 */     // GIR_Coverage, 45701,
     /*    9605 */     GIR_EraseRootFromParent_Done,
     /*    9606 */   // Label 269: @9606
     /*    9606 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9695), // Rule ID 46430 //
     /*    9611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9654 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9693 */     GIR_RootConstrainSelectedInstOperands,
     /*    9694 */     // GIR_Coverage, 46430,
     /*    9694 */     GIR_EraseRootFromParent_Done,
     /*    9695 */   // Label 270: @9695
     /*    9695 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9784), // Rule ID 46431 //
     /*    9700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9743 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9782 */     GIR_RootConstrainSelectedInstOperands,
     /*    9783 */     // GIR_Coverage, 46431,
     /*    9783 */     GIR_EraseRootFromParent_Done,
     /*    9784 */   // Label 271: @9784
     /*    9784 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9852), // Rule ID 70207 //
     /*    9789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9826 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9850 */     GIR_RootConstrainSelectedInstOperands,
     /*    9851 */     // GIR_Coverage, 70207,
     /*    9851 */     GIR_EraseRootFromParent_Done,
     /*    9852 */   // Label 272: @9852
     /*    9852 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9920), // Rule ID 70208 //
     /*    9857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9894 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9918 */     GIR_RootConstrainSelectedInstOperands,
     /*    9919 */     // GIR_Coverage, 70208,
     /*    9919 */     GIR_EraseRootFromParent_Done,
     /*    9920 */   // Label 273: @9920
     /*    9920 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9975), // Rule ID 69199 //
     /*    9925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9953 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9973 */     GIR_RootConstrainSelectedInstOperands,
     /*    9974 */     // GIR_Coverage, 69199,
     /*    9974 */     GIR_EraseRootFromParent_Done,
     /*    9975 */   // Label 274: @9975
     /*    9975 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10030), // Rule ID 69200 //
     /*    9980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10008 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10028 */     GIR_RootConstrainSelectedInstOperands,
     /*   10029 */     // GIR_Coverage, 69200,
     /*   10029 */     GIR_EraseRootFromParent_Done,
     /*   10030 */   // Label 275: @10030
     /*   10030 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10085), // Rule ID 68811 //
     /*   10035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10063 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10083 */     GIR_RootConstrainSelectedInstOperands,
     /*   10084 */     // GIR_Coverage, 68811,
     /*   10084 */     GIR_EraseRootFromParent_Done,
     /*   10085 */   // Label 276: @10085
     /*   10085 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10140), // Rule ID 68812 //
     /*   10090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10118 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10138 */     GIR_RootConstrainSelectedInstOperands,
     /*   10139 */     // GIR_Coverage, 68812,
     /*   10139 */     GIR_EraseRootFromParent_Done,
     /*   10140 */   // Label 277: @10140
     /*   10140 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10195), // Rule ID 69109 //
     /*   10145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10173 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10193 */     GIR_RootConstrainSelectedInstOperands,
     /*   10194 */     // GIR_Coverage, 69109,
     /*   10194 */     GIR_EraseRootFromParent_Done,
     /*   10195 */   // Label 278: @10195
     /*   10195 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10250), // Rule ID 69110 //
     /*   10200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10228 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10248 */     GIR_RootConstrainSelectedInstOperands,
     /*   10249 */     // GIR_Coverage, 69110,
     /*   10249 */     GIR_EraseRootFromParent_Done,
     /*   10250 */   // Label 279: @10250
     /*   10250 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10318), // Rule ID 51744 //
     /*   10255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10292 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10316 */     GIR_RootConstrainSelectedInstOperands,
     /*   10317 */     // GIR_Coverage, 51744,
     /*   10317 */     GIR_EraseRootFromParent_Done,
     /*   10318 */   // Label 280: @10318
     /*   10318 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10386), // Rule ID 51745 //
     /*   10323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10360 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10384 */     GIR_RootConstrainSelectedInstOperands,
     /*   10385 */     // GIR_Coverage, 51745,
     /*   10385 */     GIR_EraseRootFromParent_Done,
     /*   10386 */   // Label 281: @10386
     /*   10386 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10441), // Rule ID 46610 //
     /*   10391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10419 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10439 */     GIR_RootConstrainSelectedInstOperands,
     /*   10440 */     // GIR_Coverage, 46610,
     /*   10440 */     GIR_EraseRootFromParent_Done,
     /*   10441 */   // Label 282: @10441
     /*   10441 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10496), // Rule ID 46611 //
     /*   10446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10474 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10494 */     GIR_RootConstrainSelectedInstOperands,
     /*   10495 */     // GIR_Coverage, 46611,
     /*   10495 */     GIR_EraseRootFromParent_Done,
     /*   10496 */   // Label 283: @10496
     /*   10496 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10551), // Rule ID 45704 //
     /*   10501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10529 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10549 */     GIR_RootConstrainSelectedInstOperands,
     /*   10550 */     // GIR_Coverage, 45704,
     /*   10550 */     GIR_EraseRootFromParent_Done,
     /*   10551 */   // Label 284: @10551
     /*   10551 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10606), // Rule ID 45705 //
     /*   10556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10584 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10604 */     GIR_RootConstrainSelectedInstOperands,
     /*   10605 */     // GIR_Coverage, 45705,
     /*   10605 */     GIR_EraseRootFromParent_Done,
     /*   10606 */   // Label 285: @10606
     /*   10606 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10661), // Rule ID 46490 //
     /*   10611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10639 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10659 */     GIR_RootConstrainSelectedInstOperands,
     /*   10660 */     // GIR_Coverage, 46490,
     /*   10660 */     GIR_EraseRootFromParent_Done,
     /*   10661 */   // Label 286: @10661
     /*   10661 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10716), // Rule ID 46491 //
     /*   10666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10694 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10714 */     GIR_RootConstrainSelectedInstOperands,
     /*   10715 */     // GIR_Coverage, 46491,
     /*   10715 */     GIR_EraseRootFromParent_Done,
     /*   10716 */   // Label 287: @10716
     /*   10716 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10769), // Rule ID 45980 //
     /*   10721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10732 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10767 */     GIR_RootConstrainSelectedInstOperands,
     /*   10768 */     // GIR_Coverage, 45980,
     /*   10768 */     GIR_EraseRootFromParent_Done,
     /*   10769 */   // Label 288: @10769
     /*   10769 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10822), // Rule ID 45981 //
     /*   10774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10785 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10820 */     GIR_RootConstrainSelectedInstOperands,
     /*   10821 */     // GIR_Coverage, 45981,
     /*   10821 */     GIR_EraseRootFromParent_Done,
     /*   10822 */   // Label 289: @10822
     /*   10822 */   GIM_Reject,
     /*   10823 */ // Label 249: @10823
     /*   10823 */ GIM_Reject,
     /*   10824 */ // Label 128: @10824
     /*   10824 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(13948),
     /*   10829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10839 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(10935), // Rule ID 70413 //
     /*   10844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10892 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10896 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10898 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10909 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10933 */     GIR_RootConstrainSelectedInstOperands,
     /*   10934 */     // GIR_Coverage, 70413,
     /*   10934 */     GIR_EraseRootFromParent_Done,
     /*   10935 */   // Label 291: @10935
     /*   10935 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11031), // Rule ID 70414 //
     /*   10940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10988 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10992 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10994 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11003 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11005 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11029 */     GIR_RootConstrainSelectedInstOperands,
     /*   11030 */     // GIR_Coverage, 70414,
     /*   11030 */     GIR_EraseRootFromParent_Done,
     /*   11031 */   // Label 292: @11031
     /*   11031 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11127), // Rule ID 70673 //
     /*   11036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11069 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11088 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11090 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11101 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11125 */     GIR_RootConstrainSelectedInstOperands,
     /*   11126 */     // GIR_Coverage, 70673,
     /*   11126 */     GIR_EraseRootFromParent_Done,
     /*   11127 */   // Label 293: @11127
     /*   11127 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11223), // Rule ID 70674 //
     /*   11132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11184 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11197 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11221 */     GIR_RootConstrainSelectedInstOperands,
     /*   11222 */     // GIR_Coverage, 70674,
     /*   11222 */     GIR_EraseRootFromParent_Done,
     /*   11223 */   // Label 294: @11223
     /*   11223 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11319), // Rule ID 70675 //
     /*   11228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11280 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11282 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11293 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11317 */     GIR_RootConstrainSelectedInstOperands,
     /*   11318 */     // GIR_Coverage, 70675,
     /*   11318 */     GIR_EraseRootFromParent_Done,
     /*   11319 */   // Label 295: @11319
     /*   11319 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11415), // Rule ID 70676 //
     /*   11324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11372 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11376 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11378 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11387 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11389 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11413 */     GIR_RootConstrainSelectedInstOperands,
     /*   11414 */     // GIR_Coverage, 70676,
     /*   11414 */     GIR_EraseRootFromParent_Done,
     /*   11415 */   // Label 296: @11415
     /*   11415 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11511), // Rule ID 70527 //
     /*   11420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11472 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11483 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11485 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11509 */     GIR_RootConstrainSelectedInstOperands,
     /*   11510 */     // GIR_Coverage, 70527,
     /*   11510 */     GIR_EraseRootFromParent_Done,
     /*   11511 */   // Label 297: @11511
     /*   11511 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11607), // Rule ID 70528 //
     /*   11516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11568 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11570 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11581 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11605 */     GIR_RootConstrainSelectedInstOperands,
     /*   11606 */     // GIR_Coverage, 70528,
     /*   11606 */     GIR_EraseRootFromParent_Done,
     /*   11607 */   // Label 298: @11607
     /*   11607 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11703), // Rule ID 51918 //
     /*   11612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11668 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11670 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11675 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11677 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11701 */     GIR_RootConstrainSelectedInstOperands,
     /*   11702 */     // GIR_Coverage, 51918,
     /*   11702 */     GIR_EraseRootFromParent_Done,
     /*   11703 */   // Label 299: @11703
     /*   11703 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11799), // Rule ID 51919 //
     /*   11708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11764 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11766 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11773 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11797 */     GIR_RootConstrainSelectedInstOperands,
     /*   11798 */     // GIR_Coverage, 51919,
     /*   11798 */     GIR_EraseRootFromParent_Done,
     /*   11799 */   // Label 300: @11799
     /*   11799 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11895), // Rule ID 52036 //
     /*   11804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11856 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11862 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11869 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11893 */     GIR_RootConstrainSelectedInstOperands,
     /*   11894 */     // GIR_Coverage, 52036,
     /*   11894 */     GIR_EraseRootFromParent_Done,
     /*   11895 */   // Label 301: @11895
     /*   11895 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11991), // Rule ID 52037 //
     /*   11900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11952 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11958 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11963 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11965 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11989 */     GIR_RootConstrainSelectedInstOperands,
     /*   11990 */     // GIR_Coverage, 52037,
     /*   11990 */     GIR_EraseRootFromParent_Done,
     /*   11991 */   // Label 302: @11991
     /*   11991 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12087), // Rule ID 70671 //
     /*   11996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12048 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12061 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12085 */     GIR_RootConstrainSelectedInstOperands,
     /*   12086 */     // GIR_Coverage, 70671,
     /*   12086 */     GIR_EraseRootFromParent_Done,
     /*   12087 */   // Label 303: @12087
     /*   12087 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12183), // Rule ID 70672 //
     /*   12092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12140 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12144 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12157 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12181 */     GIR_RootConstrainSelectedInstOperands,
     /*   12182 */     // GIR_Coverage, 70672,
     /*   12182 */     GIR_EraseRootFromParent_Done,
     /*   12183 */   // Label 304: @12183
     /*   12183 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12279), // Rule ID 51976 //
     /*   12188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12246 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12253 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12277 */     GIR_RootConstrainSelectedInstOperands,
     /*   12278 */     // GIR_Coverage, 51976,
     /*   12278 */     GIR_EraseRootFromParent_Done,
     /*   12279 */   // Label 305: @12279
     /*   12279 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12375), // Rule ID 51977 //
     /*   12284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12336 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12342 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12349 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12373 */     GIR_RootConstrainSelectedInstOperands,
     /*   12374 */     // GIR_Coverage, 51977,
     /*   12374 */     GIR_EraseRootFromParent_Done,
     /*   12375 */   // Label 306: @12375
     /*   12375 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12464), // Rule ID 46574 //
     /*   12380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12423 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12462 */     GIR_RootConstrainSelectedInstOperands,
     /*   12463 */     // GIR_Coverage, 46574,
     /*   12463 */     GIR_EraseRootFromParent_Done,
     /*   12464 */   // Label 307: @12464
     /*   12464 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12553), // Rule ID 46575 //
     /*   12469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12512 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12551 */     GIR_RootConstrainSelectedInstOperands,
     /*   12552 */     // GIR_Coverage, 46575,
     /*   12552 */     GIR_EraseRootFromParent_Done,
     /*   12553 */   // Label 308: @12553
     /*   12553 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12642), // Rule ID 46338 //
     /*   12558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12601 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12640 */     GIR_RootConstrainSelectedInstOperands,
     /*   12641 */     // GIR_Coverage, 46338,
     /*   12641 */     GIR_EraseRootFromParent_Done,
     /*   12642 */   // Label 309: @12642
     /*   12642 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12731), // Rule ID 46339 //
     /*   12647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12690 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12729 */     GIR_RootConstrainSelectedInstOperands,
     /*   12730 */     // GIR_Coverage, 46339,
     /*   12730 */     GIR_EraseRootFromParent_Done,
     /*   12731 */   // Label 310: @12731
     /*   12731 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12820), // Rule ID 46454 //
     /*   12736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12779 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12818 */     GIR_RootConstrainSelectedInstOperands,
     /*   12819 */     // GIR_Coverage, 46454,
     /*   12819 */     GIR_EraseRootFromParent_Done,
     /*   12820 */   // Label 311: @12820
     /*   12820 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12909), // Rule ID 46455 //
     /*   12825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12868 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12907 */     GIR_RootConstrainSelectedInstOperands,
     /*   12908 */     // GIR_Coverage, 46455,
     /*   12908 */     GIR_EraseRootFromParent_Done,
     /*   12909 */   // Label 312: @12909
     /*   12909 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12977), // Rule ID 70223 //
     /*   12914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12951 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12975 */     GIR_RootConstrainSelectedInstOperands,
     /*   12976 */     // GIR_Coverage, 70223,
     /*   12976 */     GIR_EraseRootFromParent_Done,
     /*   12977 */   // Label 313: @12977
     /*   12977 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13045), // Rule ID 70224 //
     /*   12982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13019 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13043 */     GIR_RootConstrainSelectedInstOperands,
     /*   13044 */     // GIR_Coverage, 70224,
     /*   13044 */     GIR_EraseRootFromParent_Done,
     /*   13045 */   // Label 314: @13045
     /*   13045 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13100), // Rule ID 69223 //
     /*   13050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13078 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13098 */     GIR_RootConstrainSelectedInstOperands,
     /*   13099 */     // GIR_Coverage, 69223,
     /*   13099 */     GIR_EraseRootFromParent_Done,
     /*   13100 */   // Label 315: @13100
     /*   13100 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13155), // Rule ID 69224 //
     /*   13105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13133 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13153 */     GIR_RootConstrainSelectedInstOperands,
     /*   13154 */     // GIR_Coverage, 69224,
     /*   13154 */     GIR_EraseRootFromParent_Done,
     /*   13155 */   // Label 316: @13155
     /*   13155 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13210), // Rule ID 69043 //
     /*   13160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13188 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13208 */     GIR_RootConstrainSelectedInstOperands,
     /*   13209 */     // GIR_Coverage, 69043,
     /*   13209 */     GIR_EraseRootFromParent_Done,
     /*   13210 */   // Label 317: @13210
     /*   13210 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13265), // Rule ID 69044 //
     /*   13215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13243 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13263 */     GIR_RootConstrainSelectedInstOperands,
     /*   13264 */     // GIR_Coverage, 69044,
     /*   13264 */     GIR_EraseRootFromParent_Done,
     /*   13265 */   // Label 318: @13265
     /*   13265 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13320), // Rule ID 69133 //
     /*   13270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13298 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13318 */     GIR_RootConstrainSelectedInstOperands,
     /*   13319 */     // GIR_Coverage, 69133,
     /*   13319 */     GIR_EraseRootFromParent_Done,
     /*   13320 */   // Label 319: @13320
     /*   13320 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13375), // Rule ID 69134 //
     /*   13325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13353 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13373 */     GIR_RootConstrainSelectedInstOperands,
     /*   13374 */     // GIR_Coverage, 69134,
     /*   13374 */     GIR_EraseRootFromParent_Done,
     /*   13375 */   // Label 320: @13375
     /*   13375 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13443), // Rule ID 51752 //
     /*   13380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13417 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13441 */     GIR_RootConstrainSelectedInstOperands,
     /*   13442 */     // GIR_Coverage, 51752,
     /*   13442 */     GIR_EraseRootFromParent_Done,
     /*   13443 */   // Label 321: @13443
     /*   13443 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13511), // Rule ID 51753 //
     /*   13448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13485 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13509 */     GIR_RootConstrainSelectedInstOperands,
     /*   13510 */     // GIR_Coverage, 51753,
     /*   13510 */     GIR_EraseRootFromParent_Done,
     /*   13511 */   // Label 322: @13511
     /*   13511 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13566), // Rule ID 46634 //
     /*   13516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13544 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13564 */     GIR_RootConstrainSelectedInstOperands,
     /*   13565 */     // GIR_Coverage, 46634,
     /*   13565 */     GIR_EraseRootFromParent_Done,
     /*   13566 */   // Label 323: @13566
     /*   13566 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13621), // Rule ID 46635 //
     /*   13571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13599 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13619 */     GIR_RootConstrainSelectedInstOperands,
     /*   13620 */     // GIR_Coverage, 46635,
     /*   13620 */     GIR_EraseRootFromParent_Done,
     /*   13621 */   // Label 324: @13621
     /*   13621 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13676), // Rule ID 46394 //
     /*   13626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13654 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13674 */     GIR_RootConstrainSelectedInstOperands,
     /*   13675 */     // GIR_Coverage, 46394,
     /*   13675 */     GIR_EraseRootFromParent_Done,
     /*   13676 */   // Label 325: @13676
     /*   13676 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13731), // Rule ID 46395 //
     /*   13681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13709 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13729 */     GIR_RootConstrainSelectedInstOperands,
     /*   13730 */     // GIR_Coverage, 46395,
     /*   13730 */     GIR_EraseRootFromParent_Done,
     /*   13731 */   // Label 326: @13731
     /*   13731 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13786), // Rule ID 46514 //
     /*   13736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13764 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13784 */     GIR_RootConstrainSelectedInstOperands,
     /*   13785 */     // GIR_Coverage, 46514,
     /*   13785 */     GIR_EraseRootFromParent_Done,
     /*   13786 */   // Label 327: @13786
     /*   13786 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13841), // Rule ID 46515 //
     /*   13791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13819 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13839 */     GIR_RootConstrainSelectedInstOperands,
     /*   13840 */     // GIR_Coverage, 46515,
     /*   13840 */     GIR_EraseRootFromParent_Done,
     /*   13841 */   // Label 328: @13841
     /*   13841 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13894), // Rule ID 45988 //
     /*   13846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13857 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13892 */     GIR_RootConstrainSelectedInstOperands,
     /*   13893 */     // GIR_Coverage, 45988,
     /*   13893 */     GIR_EraseRootFromParent_Done,
     /*   13894 */   // Label 329: @13894
     /*   13894 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13947), // Rule ID 45989 //
     /*   13899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13910 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13945 */     GIR_RootConstrainSelectedInstOperands,
     /*   13946 */     // GIR_Coverage, 45989,
     /*   13946 */     GIR_EraseRootFromParent_Done,
     /*   13947 */   // Label 330: @13947
     /*   13947 */   GIM_Reject,
     /*   13948 */ // Label 290: @13948
     /*   13948 */ GIM_Reject,
     /*   13949 */ // Label 129: @13949
     /*   13949 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(17073),
     /*   13954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13964 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14060), // Rule ID 70423 //
     /*   13969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14034 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14058 */     GIR_RootConstrainSelectedInstOperands,
     /*   14059 */     // GIR_Coverage, 70423,
     /*   14059 */     GIR_EraseRootFromParent_Done,
     /*   14060 */   // Label 332: @14060
     /*   14060 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 70424 //
     /*   14065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14130 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 70424,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14252), // Rule ID 70703 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14226 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14250 */     GIR_RootConstrainSelectedInstOperands,
     /*   14251 */     // GIR_Coverage, 70703,
     /*   14251 */     GIR_EraseRootFromParent_Done,
     /*   14252 */   // Label 334: @14252
     /*   14252 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14348), // Rule ID 70704 //
     /*   14257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14305 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14309 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14311 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14322 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14346 */     GIR_RootConstrainSelectedInstOperands,
     /*   14347 */     // GIR_Coverage, 70704,
     /*   14347 */     GIR_EraseRootFromParent_Done,
     /*   14348 */   // Label 335: @14348
     /*   14348 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14444), // Rule ID 70705 //
     /*   14353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14401 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14405 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14407 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14418 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 70705,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 336: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14540), // Rule ID 70706 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14482 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14501 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14503 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14514 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14538 */     GIR_RootConstrainSelectedInstOperands,
     /*   14539 */     // GIR_Coverage, 70706,
     /*   14539 */     GIR_EraseRootFromParent_Done,
     /*   14540 */   // Label 337: @14540
     /*   14540 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14636), // Rule ID 70537 //
     /*   14545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14578 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14593 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14597 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14599 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14610 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14634 */     GIR_RootConstrainSelectedInstOperands,
     /*   14635 */     // GIR_Coverage, 70537,
     /*   14635 */     GIR_EraseRootFromParent_Done,
     /*   14636 */   // Label 338: @14636
     /*   14636 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14732), // Rule ID 70538 //
     /*   14641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14689 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14693 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14695 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14706 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 70538,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 339: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14828), // Rule ID 51928 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14802 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14826 */     GIR_RootConstrainSelectedInstOperands,
     /*   14827 */     // GIR_Coverage, 51928,
     /*   14827 */     GIR_EraseRootFromParent_Done,
     /*   14828 */   // Label 340: @14828
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14924), // Rule ID 51929 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14898 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14922 */     GIR_RootConstrainSelectedInstOperands,
     /*   14923 */     // GIR_Coverage, 51929,
     /*   14923 */     GIR_EraseRootFromParent_Done,
     /*   14924 */   // Label 341: @14924
     /*   14924 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15020), // Rule ID 52046 //
     /*   14929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14994 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15018 */     GIR_RootConstrainSelectedInstOperands,
     /*   15019 */     // GIR_Coverage, 52046,
     /*   15019 */     GIR_EraseRootFromParent_Done,
     /*   15020 */   // Label 342: @15020
     /*   15020 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15116), // Rule ID 52047 //
     /*   15025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15088 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15090 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15114 */     GIR_RootConstrainSelectedInstOperands,
     /*   15115 */     // GIR_Coverage, 52047,
     /*   15115 */     GIR_EraseRootFromParent_Done,
     /*   15116 */   // Label 343: @15116
     /*   15116 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15212), // Rule ID 70701 //
     /*   15121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15186 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15210 */     GIR_RootConstrainSelectedInstOperands,
     /*   15211 */     // GIR_Coverage, 70701,
     /*   15211 */     GIR_EraseRootFromParent_Done,
     /*   15212 */   // Label 344: @15212
     /*   15212 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15308), // Rule ID 70702 //
     /*   15217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15282 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15306 */     GIR_RootConstrainSelectedInstOperands,
     /*   15307 */     // GIR_Coverage, 70702,
     /*   15307 */     GIR_EraseRootFromParent_Done,
     /*   15308 */   // Label 345: @15308
     /*   15308 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15404), // Rule ID 51986 //
     /*   15313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15378 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15402 */     GIR_RootConstrainSelectedInstOperands,
     /*   15403 */     // GIR_Coverage, 51986,
     /*   15403 */     GIR_EraseRootFromParent_Done,
     /*   15404 */   // Label 346: @15404
     /*   15404 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15500), // Rule ID 51987 //
     /*   15409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15474 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15498 */     GIR_RootConstrainSelectedInstOperands,
     /*   15499 */     // GIR_Coverage, 51987,
     /*   15499 */     GIR_EraseRootFromParent_Done,
     /*   15500 */   // Label 347: @15500
     /*   15500 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15589), // Rule ID 46594 //
     /*   15505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15548 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15587 */     GIR_RootConstrainSelectedInstOperands,
     /*   15588 */     // GIR_Coverage, 46594,
     /*   15588 */     GIR_EraseRootFromParent_Done,
     /*   15589 */   // Label 348: @15589
     /*   15589 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15678), // Rule ID 46595 //
     /*   15594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15637 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15676 */     GIR_RootConstrainSelectedInstOperands,
     /*   15677 */     // GIR_Coverage, 46595,
     /*   15677 */     GIR_EraseRootFromParent_Done,
     /*   15678 */   // Label 349: @15678
     /*   15678 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15767), // Rule ID 46358 //
     /*   15683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15726 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15765 */     GIR_RootConstrainSelectedInstOperands,
     /*   15766 */     // GIR_Coverage, 46358,
     /*   15766 */     GIR_EraseRootFromParent_Done,
     /*   15767 */   // Label 350: @15767
     /*   15767 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15856), // Rule ID 46359 //
     /*   15772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15815 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15854 */     GIR_RootConstrainSelectedInstOperands,
     /*   15855 */     // GIR_Coverage, 46359,
     /*   15855 */     GIR_EraseRootFromParent_Done,
     /*   15856 */   // Label 351: @15856
     /*   15856 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15945), // Rule ID 46474 //
     /*   15861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15904 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15943 */     GIR_RootConstrainSelectedInstOperands,
     /*   15944 */     // GIR_Coverage, 46474,
     /*   15944 */     GIR_EraseRootFromParent_Done,
     /*   15945 */   // Label 352: @15945
     /*   15945 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16034), // Rule ID 46475 //
     /*   15950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15993 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   16010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16032 */     GIR_RootConstrainSelectedInstOperands,
     /*   16033 */     // GIR_Coverage, 46475,
     /*   16033 */     GIR_EraseRootFromParent_Done,
     /*   16034 */   // Label 353: @16034
     /*   16034 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16102), // Rule ID 70255 //
     /*   16039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16076 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16100 */     GIR_RootConstrainSelectedInstOperands,
     /*   16101 */     // GIR_Coverage, 70255,
     /*   16101 */     GIR_EraseRootFromParent_Done,
     /*   16102 */   // Label 354: @16102
     /*   16102 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16170), // Rule ID 70256 //
     /*   16107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16144 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16168 */     GIR_RootConstrainSelectedInstOperands,
     /*   16169 */     // GIR_Coverage, 70256,
     /*   16169 */     GIR_EraseRootFromParent_Done,
     /*   16170 */   // Label 355: @16170
     /*   16170 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16225), // Rule ID 69243 //
     /*   16175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16203 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16223 */     GIR_RootConstrainSelectedInstOperands,
     /*   16224 */     // GIR_Coverage, 69243,
     /*   16224 */     GIR_EraseRootFromParent_Done,
     /*   16225 */   // Label 356: @16225
     /*   16225 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16280), // Rule ID 69244 //
     /*   16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16258 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16278 */     GIR_RootConstrainSelectedInstOperands,
     /*   16279 */     // GIR_Coverage, 69244,
     /*   16279 */     GIR_EraseRootFromParent_Done,
     /*   16280 */   // Label 357: @16280
     /*   16280 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16335), // Rule ID 69063 //
     /*   16285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16313 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16333 */     GIR_RootConstrainSelectedInstOperands,
     /*   16334 */     // GIR_Coverage, 69063,
     /*   16334 */     GIR_EraseRootFromParent_Done,
     /*   16335 */   // Label 358: @16335
     /*   16335 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16390), // Rule ID 69064 //
     /*   16340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16368 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16388 */     GIR_RootConstrainSelectedInstOperands,
     /*   16389 */     // GIR_Coverage, 69064,
     /*   16389 */     GIR_EraseRootFromParent_Done,
     /*   16390 */   // Label 359: @16390
     /*   16390 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16445), // Rule ID 69153 //
     /*   16395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16423 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16443 */     GIR_RootConstrainSelectedInstOperands,
     /*   16444 */     // GIR_Coverage, 69153,
     /*   16444 */     GIR_EraseRootFromParent_Done,
     /*   16445 */   // Label 360: @16445
     /*   16445 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16500), // Rule ID 69154 //
     /*   16450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16478 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16498 */     GIR_RootConstrainSelectedInstOperands,
     /*   16499 */     // GIR_Coverage, 69154,
     /*   16499 */     GIR_EraseRootFromParent_Done,
     /*   16500 */   // Label 361: @16500
     /*   16500 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16568), // Rule ID 51768 //
     /*   16505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16542 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16566 */     GIR_RootConstrainSelectedInstOperands,
     /*   16567 */     // GIR_Coverage, 51768,
     /*   16567 */     GIR_EraseRootFromParent_Done,
     /*   16568 */   // Label 362: @16568
     /*   16568 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16636), // Rule ID 51769 //
     /*   16573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16610 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16634 */     GIR_RootConstrainSelectedInstOperands,
     /*   16635 */     // GIR_Coverage, 51769,
     /*   16635 */     GIR_EraseRootFromParent_Done,
     /*   16636 */   // Label 363: @16636
     /*   16636 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16691), // Rule ID 46654 //
     /*   16641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16669 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16689 */     GIR_RootConstrainSelectedInstOperands,
     /*   16690 */     // GIR_Coverage, 46654,
     /*   16690 */     GIR_EraseRootFromParent_Done,
     /*   16691 */   // Label 364: @16691
     /*   16691 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16746), // Rule ID 46655 //
     /*   16696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16724 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16744 */     GIR_RootConstrainSelectedInstOperands,
     /*   16745 */     // GIR_Coverage, 46655,
     /*   16745 */     GIR_EraseRootFromParent_Done,
     /*   16746 */   // Label 365: @16746
     /*   16746 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16801), // Rule ID 46414 //
     /*   16751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16779 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16799 */     GIR_RootConstrainSelectedInstOperands,
     /*   16800 */     // GIR_Coverage, 46414,
     /*   16800 */     GIR_EraseRootFromParent_Done,
     /*   16801 */   // Label 366: @16801
     /*   16801 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16856), // Rule ID 46415 //
     /*   16806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16834 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16854 */     GIR_RootConstrainSelectedInstOperands,
     /*   16855 */     // GIR_Coverage, 46415,
     /*   16855 */     GIR_EraseRootFromParent_Done,
     /*   16856 */   // Label 367: @16856
     /*   16856 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16911), // Rule ID 46534 //
     /*   16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16889 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16909 */     GIR_RootConstrainSelectedInstOperands,
     /*   16910 */     // GIR_Coverage, 46534,
     /*   16910 */     GIR_EraseRootFromParent_Done,
     /*   16911 */   // Label 368: @16911
     /*   16911 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16966), // Rule ID 46535 //
     /*   16916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16944 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16964 */     GIR_RootConstrainSelectedInstOperands,
     /*   16965 */     // GIR_Coverage, 46535,
     /*   16965 */     GIR_EraseRootFromParent_Done,
     /*   16966 */   // Label 369: @16966
     /*   16966 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17019), // Rule ID 46004 //
     /*   16971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16982 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17017 */     GIR_RootConstrainSelectedInstOperands,
     /*   17018 */     // GIR_Coverage, 46004,
     /*   17018 */     GIR_EraseRootFromParent_Done,
     /*   17019 */   // Label 370: @17019
     /*   17019 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17072), // Rule ID 46005 //
     /*   17024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17035 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   17038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17070 */     GIR_RootConstrainSelectedInstOperands,
     /*   17071 */     // GIR_Coverage, 46005,
     /*   17071 */     GIR_EraseRootFromParent_Done,
     /*   17072 */   // Label 371: @17072
     /*   17072 */   GIM_Reject,
     /*   17073 */ // Label 331: @17073
     /*   17073 */ GIM_Reject,
     /*   17074 */ // Label 130: @17074
     /*   17074 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17468),
     /*   17079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17089 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17157), // Rule ID 70191 //
     /*   17094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17131 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17155 */     GIR_RootConstrainSelectedInstOperands,
     /*   17156 */     // GIR_Coverage, 70191,
     /*   17156 */     GIR_EraseRootFromParent_Done,
     /*   17157 */   // Label 373: @17157
     /*   17157 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17225), // Rule ID 70192 //
     /*   17162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17199 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17223 */     GIR_RootConstrainSelectedInstOperands,
     /*   17224 */     // GIR_Coverage, 70192,
     /*   17224 */     GIR_EraseRootFromParent_Done,
     /*   17225 */   // Label 374: @17225
     /*   17225 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17293), // Rule ID 51736 //
     /*   17230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17267 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17291 */     GIR_RootConstrainSelectedInstOperands,
     /*   17292 */     // GIR_Coverage, 51736,
     /*   17292 */     GIR_EraseRootFromParent_Done,
     /*   17293 */   // Label 375: @17293
     /*   17293 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17361), // Rule ID 51737 //
     /*   17298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17335 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17359 */     GIR_RootConstrainSelectedInstOperands,
     /*   17360 */     // GIR_Coverage, 51737,
     /*   17360 */     GIR_EraseRootFromParent_Done,
     /*   17361 */   // Label 376: @17361
     /*   17361 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17414), // Rule ID 45972 //
     /*   17366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17377 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17412 */     GIR_RootConstrainSelectedInstOperands,
     /*   17413 */     // GIR_Coverage, 45972,
     /*   17413 */     GIR_EraseRootFromParent_Done,
     /*   17414 */   // Label 377: @17414
     /*   17414 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17467), // Rule ID 45973 //
     /*   17419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17430 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17465 */     GIR_RootConstrainSelectedInstOperands,
     /*   17466 */     // GIR_Coverage, 45973,
     /*   17466 */     GIR_EraseRootFromParent_Done,
     /*   17467 */   // Label 378: @17467
     /*   17467 */   GIM_Reject,
     /*   17468 */ // Label 372: @17468
     /*   17468 */ GIM_Reject,
     /*   17469 */ // Label 131: @17469
     /*   17469 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(20593),
     /*   17474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17484 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17580), // Rule ID 70403 //
     /*   17489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17508 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17537 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17541 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17543 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17554 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17578 */     GIR_RootConstrainSelectedInstOperands,
     /*   17579 */     // GIR_Coverage, 70403,
     /*   17579 */     GIR_EraseRootFromParent_Done,
     /*   17580 */   // Label 380: @17580
     /*   17580 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17676), // Rule ID 70404 //
     /*   17585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17633 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17637 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17639 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17648 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17650 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17674 */     GIR_RootConstrainSelectedInstOperands,
     /*   17675 */     // GIR_Coverage, 70404,
     /*   17675 */     GIR_EraseRootFromParent_Done,
     /*   17676 */   // Label 381: @17676
     /*   17676 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17772), // Rule ID 70643 //
     /*   17681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17729 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17733 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17735 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17746 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17770 */     GIR_RootConstrainSelectedInstOperands,
     /*   17771 */     // GIR_Coverage, 70643,
     /*   17771 */     GIR_EraseRootFromParent_Done,
     /*   17772 */   // Label 382: @17772
     /*   17772 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17868), // Rule ID 70644 //
     /*   17777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17825 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17829 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17831 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17842 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17866 */     GIR_RootConstrainSelectedInstOperands,
     /*   17867 */     // GIR_Coverage, 70644,
     /*   17867 */     GIR_EraseRootFromParent_Done,
     /*   17868 */   // Label 383: @17868
     /*   17868 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17964), // Rule ID 70645 //
     /*   17873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17921 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17925 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17927 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17938 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17962 */     GIR_RootConstrainSelectedInstOperands,
     /*   17963 */     // GIR_Coverage, 70645,
     /*   17963 */     GIR_EraseRootFromParent_Done,
     /*   17964 */   // Label 384: @17964
     /*   17964 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18060), // Rule ID 70646 //
     /*   17969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18034 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18058 */     GIR_RootConstrainSelectedInstOperands,
     /*   18059 */     // GIR_Coverage, 70646,
     /*   18059 */     GIR_EraseRootFromParent_Done,
     /*   18060 */   // Label 385: @18060
     /*   18060 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18156), // Rule ID 70517 //
     /*   18065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18130 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18154 */     GIR_RootConstrainSelectedInstOperands,
     /*   18155 */     // GIR_Coverage, 70517,
     /*   18155 */     GIR_EraseRootFromParent_Done,
     /*   18156 */   // Label 386: @18156
     /*   18156 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18252), // Rule ID 70518 //
     /*   18161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18226 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18250 */     GIR_RootConstrainSelectedInstOperands,
     /*   18251 */     // GIR_Coverage, 70518,
     /*   18251 */     GIR_EraseRootFromParent_Done,
     /*   18252 */   // Label 387: @18252
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18348), // Rule ID 51908 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18313 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18315 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18322 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18346 */     GIR_RootConstrainSelectedInstOperands,
     /*   18347 */     // GIR_Coverage, 51908,
     /*   18347 */     GIR_EraseRootFromParent_Done,
     /*   18348 */   // Label 388: @18348
     /*   18348 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18444), // Rule ID 51909 //
     /*   18353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18405 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18409 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18418 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18442 */     GIR_RootConstrainSelectedInstOperands,
     /*   18443 */     // GIR_Coverage, 51909,
     /*   18443 */     GIR_EraseRootFromParent_Done,
     /*   18444 */   // Label 389: @18444
     /*   18444 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18540), // Rule ID 52026 //
     /*   18449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18501 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18505 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18507 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18514 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18538 */     GIR_RootConstrainSelectedInstOperands,
     /*   18539 */     // GIR_Coverage, 52026,
     /*   18539 */     GIR_EraseRootFromParent_Done,
     /*   18540 */   // Label 390: @18540
     /*   18540 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18636), // Rule ID 52027 //
     /*   18545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18568 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18597 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18601 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18603 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18610 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18634 */     GIR_RootConstrainSelectedInstOperands,
     /*   18635 */     // GIR_Coverage, 52027,
     /*   18635 */     GIR_EraseRootFromParent_Done,
     /*   18636 */   // Label 391: @18636
     /*   18636 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18732), // Rule ID 70641 //
     /*   18641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18678 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18693 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18697 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18699 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18706 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18730 */     GIR_RootConstrainSelectedInstOperands,
     /*   18731 */     // GIR_Coverage, 70641,
     /*   18731 */     GIR_EraseRootFromParent_Done,
     /*   18732 */   // Label 392: @18732
     /*   18732 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18828), // Rule ID 70642 //
     /*   18737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18802 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18826 */     GIR_RootConstrainSelectedInstOperands,
     /*   18827 */     // GIR_Coverage, 70642,
     /*   18827 */     GIR_EraseRootFromParent_Done,
     /*   18828 */   // Label 393: @18828
     /*   18828 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18924), // Rule ID 51966 //
     /*   18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18898 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18922 */     GIR_RootConstrainSelectedInstOperands,
     /*   18923 */     // GIR_Coverage, 51966,
     /*   18923 */     GIR_EraseRootFromParent_Done,
     /*   18924 */   // Label 394: @18924
     /*   18924 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19020), // Rule ID 51967 //
     /*   18929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18994 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19018 */     GIR_RootConstrainSelectedInstOperands,
     /*   19019 */     // GIR_Coverage, 51967,
     /*   19019 */     GIR_EraseRootFromParent_Done,
     /*   19020 */   // Label 395: @19020
     /*   19020 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19109), // Rule ID 46554 //
     /*   19025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19059 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19068 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19107 */     GIR_RootConstrainSelectedInstOperands,
     /*   19108 */     // GIR_Coverage, 46554,
     /*   19108 */     GIR_EraseRootFromParent_Done,
     /*   19109 */   // Label 396: @19109
     /*   19109 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19198), // Rule ID 46555 //
     /*   19114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19157 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19196 */     GIR_RootConstrainSelectedInstOperands,
     /*   19197 */     // GIR_Coverage, 46555,
     /*   19197 */     GIR_EraseRootFromParent_Done,
     /*   19198 */   // Label 397: @19198
     /*   19198 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19287), // Rule ID 46318 //
     /*   19203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19246 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19285 */     GIR_RootConstrainSelectedInstOperands,
     /*   19286 */     // GIR_Coverage, 46318,
     /*   19286 */     GIR_EraseRootFromParent_Done,
     /*   19287 */   // Label 398: @19287
     /*   19287 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19376), // Rule ID 46319 //
     /*   19292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19335 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19374 */     GIR_RootConstrainSelectedInstOperands,
     /*   19375 */     // GIR_Coverage, 46319,
     /*   19375 */     GIR_EraseRootFromParent_Done,
     /*   19376 */   // Label 399: @19376
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19465), // Rule ID 46434 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19424 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19463 */     GIR_RootConstrainSelectedInstOperands,
     /*   19464 */     // GIR_Coverage, 46434,
     /*   19464 */     GIR_EraseRootFromParent_Done,
     /*   19465 */   // Label 400: @19465
     /*   19465 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19554), // Rule ID 46435 //
     /*   19470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19513 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19552 */     GIR_RootConstrainSelectedInstOperands,
     /*   19553 */     // GIR_Coverage, 46435,
     /*   19553 */     GIR_EraseRootFromParent_Done,
     /*   19554 */   // Label 401: @19554
     /*   19554 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19622), // Rule ID 70215 //
     /*   19559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19596 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19620 */     GIR_RootConstrainSelectedInstOperands,
     /*   19621 */     // GIR_Coverage, 70215,
     /*   19621 */     GIR_EraseRootFromParent_Done,
     /*   19622 */   // Label 402: @19622
     /*   19622 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19690), // Rule ID 70216 //
     /*   19627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19664 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19688 */     GIR_RootConstrainSelectedInstOperands,
     /*   19689 */     // GIR_Coverage, 70216,
     /*   19689 */     GIR_EraseRootFromParent_Done,
     /*   19690 */   // Label 403: @19690
     /*   19690 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19745), // Rule ID 69203 //
     /*   19695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19723 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19743 */     GIR_RootConstrainSelectedInstOperands,
     /*   19744 */     // GIR_Coverage, 69203,
     /*   19744 */     GIR_EraseRootFromParent_Done,
     /*   19745 */   // Label 404: @19745
     /*   19745 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19800), // Rule ID 69204 //
     /*   19750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19778 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19798 */     GIR_RootConstrainSelectedInstOperands,
     /*   19799 */     // GIR_Coverage, 69204,
     /*   19799 */     GIR_EraseRootFromParent_Done,
     /*   19800 */   // Label 405: @19800
     /*   19800 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19855), // Rule ID 69023 //
     /*   19805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19833 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19853 */     GIR_RootConstrainSelectedInstOperands,
     /*   19854 */     // GIR_Coverage, 69023,
     /*   19854 */     GIR_EraseRootFromParent_Done,
     /*   19855 */   // Label 406: @19855
     /*   19855 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19910), // Rule ID 69024 //
     /*   19860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19888 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19908 */     GIR_RootConstrainSelectedInstOperands,
     /*   19909 */     // GIR_Coverage, 69024,
     /*   19909 */     GIR_EraseRootFromParent_Done,
     /*   19910 */   // Label 407: @19910
     /*   19910 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19965), // Rule ID 69113 //
     /*   19915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19943 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19963 */     GIR_RootConstrainSelectedInstOperands,
     /*   19964 */     // GIR_Coverage, 69113,
     /*   19964 */     GIR_EraseRootFromParent_Done,
     /*   19965 */   // Label 408: @19965
     /*   19965 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20020), // Rule ID 69114 //
     /*   19970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19998 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20018 */     GIR_RootConstrainSelectedInstOperands,
     /*   20019 */     // GIR_Coverage, 69114,
     /*   20019 */     GIR_EraseRootFromParent_Done,
     /*   20020 */   // Label 409: @20020
     /*   20020 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20088), // Rule ID 51748 //
     /*   20025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20062 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20086 */     GIR_RootConstrainSelectedInstOperands,
     /*   20087 */     // GIR_Coverage, 51748,
     /*   20087 */     GIR_EraseRootFromParent_Done,
     /*   20088 */   // Label 410: @20088
     /*   20088 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20156), // Rule ID 51749 //
     /*   20093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20130 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 51749,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 411: @20156
     /*   20156 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20211), // Rule ID 46614 //
     /*   20161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20189 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20209 */     GIR_RootConstrainSelectedInstOperands,
     /*   20210 */     // GIR_Coverage, 46614,
     /*   20210 */     GIR_EraseRootFromParent_Done,
     /*   20211 */   // Label 412: @20211
     /*   20211 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20266), // Rule ID 46615 //
     /*   20216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20244 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20264 */     GIR_RootConstrainSelectedInstOperands,
     /*   20265 */     // GIR_Coverage, 46615,
     /*   20265 */     GIR_EraseRootFromParent_Done,
     /*   20266 */   // Label 413: @20266
     /*   20266 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20321), // Rule ID 46374 //
     /*   20271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20299 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20319 */     GIR_RootConstrainSelectedInstOperands,
     /*   20320 */     // GIR_Coverage, 46374,
     /*   20320 */     GIR_EraseRootFromParent_Done,
     /*   20321 */   // Label 414: @20321
     /*   20321 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20376), // Rule ID 46375 //
     /*   20326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20354 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20374 */     GIR_RootConstrainSelectedInstOperands,
     /*   20375 */     // GIR_Coverage, 46375,
     /*   20375 */     GIR_EraseRootFromParent_Done,
     /*   20376 */   // Label 415: @20376
     /*   20376 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20431), // Rule ID 46494 //
     /*   20381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20409 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20429 */     GIR_RootConstrainSelectedInstOperands,
     /*   20430 */     // GIR_Coverage, 46494,
     /*   20430 */     GIR_EraseRootFromParent_Done,
     /*   20431 */   // Label 416: @20431
     /*   20431 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20486), // Rule ID 46495 //
     /*   20436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20464 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20484 */     GIR_RootConstrainSelectedInstOperands,
     /*   20485 */     // GIR_Coverage, 46495,
     /*   20485 */     GIR_EraseRootFromParent_Done,
     /*   20486 */   // Label 417: @20486
     /*   20486 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20539), // Rule ID 45984 //
     /*   20491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20502 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20537 */     GIR_RootConstrainSelectedInstOperands,
     /*   20538 */     // GIR_Coverage, 45984,
     /*   20538 */     GIR_EraseRootFromParent_Done,
     /*   20539 */   // Label 418: @20539
     /*   20539 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20592), // Rule ID 45985 //
     /*   20544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20555 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20590 */     GIR_RootConstrainSelectedInstOperands,
     /*   20591 */     // GIR_Coverage, 45985,
     /*   20591 */     GIR_EraseRootFromParent_Done,
     /*   20592 */   // Label 419: @20592
     /*   20592 */   GIM_Reject,
     /*   20593 */ // Label 379: @20593
     /*   20593 */ GIM_Reject,
     /*   20594 */ // Label 132: @20594
     /*   20594 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(23718),
     /*   20599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20609 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20705), // Rule ID 70415 //
     /*   20614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20662 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20666 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20679 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20703 */     GIR_RootConstrainSelectedInstOperands,
     /*   20704 */     // GIR_Coverage, 70415,
     /*   20704 */     GIR_EraseRootFromParent_Done,
     /*   20705 */   // Label 421: @20705
     /*   20705 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20801), // Rule ID 70416 //
     /*   20710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20758 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20762 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20764 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20775 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 70416,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 422: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20897), // Rule ID 70679 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20854 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20858 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20860 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20871 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20895 */     GIR_RootConstrainSelectedInstOperands,
     /*   20896 */     // GIR_Coverage, 70679,
     /*   20896 */     GIR_EraseRootFromParent_Done,
     /*   20897 */   // Label 423: @20897
     /*   20897 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20993), // Rule ID 70680 //
     /*   20902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20950 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20954 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20956 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20967 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20991 */     GIR_RootConstrainSelectedInstOperands,
     /*   20992 */     // GIR_Coverage, 70680,
     /*   20992 */     GIR_EraseRootFromParent_Done,
     /*   20993 */   // Label 424: @20993
     /*   20993 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21089), // Rule ID 70681 //
     /*   20998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21046 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21050 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21052 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21063 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21087 */     GIR_RootConstrainSelectedInstOperands,
     /*   21088 */     // GIR_Coverage, 70681,
     /*   21088 */     GIR_EraseRootFromParent_Done,
     /*   21089 */   // Label 425: @21089
     /*   21089 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21185), // Rule ID 70682 //
     /*   21094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21146 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21148 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21159 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21183 */     GIR_RootConstrainSelectedInstOperands,
     /*   21184 */     // GIR_Coverage, 70682,
     /*   21184 */     GIR_EraseRootFromParent_Done,
     /*   21185 */   // Label 426: @21185
     /*   21185 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21281), // Rule ID 70529 //
     /*   21190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21238 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21242 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21244 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21255 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21279 */     GIR_RootConstrainSelectedInstOperands,
     /*   21280 */     // GIR_Coverage, 70529,
     /*   21280 */     GIR_EraseRootFromParent_Done,
     /*   21281 */   // Label 427: @21281
     /*   21281 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21377), // Rule ID 70530 //
     /*   21286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21334 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21338 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21340 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21351 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21375 */     GIR_RootConstrainSelectedInstOperands,
     /*   21376 */     // GIR_Coverage, 70530,
     /*   21376 */     GIR_EraseRootFromParent_Done,
     /*   21377 */   // Label 428: @21377
     /*   21377 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21473), // Rule ID 51920 //
     /*   21382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21426 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21430 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21434 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21438 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21440 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21447 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21471 */     GIR_RootConstrainSelectedInstOperands,
     /*   21472 */     // GIR_Coverage, 51920,
     /*   21472 */     GIR_EraseRootFromParent_Done,
     /*   21473 */   // Label 429: @21473
     /*   21473 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21569), // Rule ID 51921 //
     /*   21478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21530 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21534 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21543 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21567 */     GIR_RootConstrainSelectedInstOperands,
     /*   21568 */     // GIR_Coverage, 51921,
     /*   21568 */     GIR_EraseRootFromParent_Done,
     /*   21569 */   // Label 430: @21569
     /*   21569 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21665), // Rule ID 52038 //
     /*   21574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21626 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21632 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21639 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21663 */     GIR_RootConstrainSelectedInstOperands,
     /*   21664 */     // GIR_Coverage, 52038,
     /*   21664 */     GIR_EraseRootFromParent_Done,
     /*   21665 */   // Label 431: @21665
     /*   21665 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21761), // Rule ID 52039 //
     /*   21670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21728 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21733 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21735 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21759 */     GIR_RootConstrainSelectedInstOperands,
     /*   21760 */     // GIR_Coverage, 52039,
     /*   21760 */     GIR_EraseRootFromParent_Done,
     /*   21761 */   // Label 432: @21761
     /*   21761 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21857), // Rule ID 70677 //
     /*   21766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21818 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21831 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21855 */     GIR_RootConstrainSelectedInstOperands,
     /*   21856 */     // GIR_Coverage, 70677,
     /*   21856 */     GIR_EraseRootFromParent_Done,
     /*   21857 */   // Label 433: @21857
     /*   21857 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21953), // Rule ID 70678 //
     /*   21862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21910 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21914 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21920 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21927 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21951 */     GIR_RootConstrainSelectedInstOperands,
     /*   21952 */     // GIR_Coverage, 70678,
     /*   21952 */     GIR_EraseRootFromParent_Done,
     /*   21953 */   // Label 434: @21953
     /*   21953 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22049), // Rule ID 51978 //
     /*   21958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22010 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22016 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22023 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22047 */     GIR_RootConstrainSelectedInstOperands,
     /*   22048 */     // GIR_Coverage, 51978,
     /*   22048 */     GIR_EraseRootFromParent_Done,
     /*   22049 */   // Label 435: @22049
     /*   22049 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22145), // Rule ID 51979 //
     /*   22054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22106 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22112 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22119 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22143 */     GIR_RootConstrainSelectedInstOperands,
     /*   22144 */     // GIR_Coverage, 51979,
     /*   22144 */     GIR_EraseRootFromParent_Done,
     /*   22145 */   // Label 436: @22145
     /*   22145 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22234), // Rule ID 46578 //
     /*   22150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22193 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22232 */     GIR_RootConstrainSelectedInstOperands,
     /*   22233 */     // GIR_Coverage, 46578,
     /*   22233 */     GIR_EraseRootFromParent_Done,
     /*   22234 */   // Label 437: @22234
     /*   22234 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22323), // Rule ID 46579 //
     /*   22239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22282 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22321 */     GIR_RootConstrainSelectedInstOperands,
     /*   22322 */     // GIR_Coverage, 46579,
     /*   22322 */     GIR_EraseRootFromParent_Done,
     /*   22323 */   // Label 438: @22323
     /*   22323 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22412), // Rule ID 46342 //
     /*   22328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22371 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22410 */     GIR_RootConstrainSelectedInstOperands,
     /*   22411 */     // GIR_Coverage, 46342,
     /*   22411 */     GIR_EraseRootFromParent_Done,
     /*   22412 */   // Label 439: @22412
     /*   22412 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22501), // Rule ID 46343 //
     /*   22417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22460 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22499 */     GIR_RootConstrainSelectedInstOperands,
     /*   22500 */     // GIR_Coverage, 46343,
     /*   22500 */     GIR_EraseRootFromParent_Done,
     /*   22501 */   // Label 440: @22501
     /*   22501 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22590), // Rule ID 46458 //
     /*   22506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22549 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 46458,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 441: @22590
     /*   22590 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22679), // Rule ID 46459 //
     /*   22595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22638 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22677 */     GIR_RootConstrainSelectedInstOperands,
     /*   22678 */     // GIR_Coverage, 46459,
     /*   22678 */     GIR_EraseRootFromParent_Done,
     /*   22679 */   // Label 442: @22679
     /*   22679 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22747), // Rule ID 70247 //
     /*   22684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22721 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22745 */     GIR_RootConstrainSelectedInstOperands,
     /*   22746 */     // GIR_Coverage, 70247,
     /*   22746 */     GIR_EraseRootFromParent_Done,
     /*   22747 */   // Label 443: @22747
     /*   22747 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22815), // Rule ID 70248 //
     /*   22752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22789 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22813 */     GIR_RootConstrainSelectedInstOperands,
     /*   22814 */     // GIR_Coverage, 70248,
     /*   22814 */     GIR_EraseRootFromParent_Done,
     /*   22815 */   // Label 444: @22815
     /*   22815 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22870), // Rule ID 69227 //
     /*   22820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22848 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22868 */     GIR_RootConstrainSelectedInstOperands,
     /*   22869 */     // GIR_Coverage, 69227,
     /*   22869 */     GIR_EraseRootFromParent_Done,
     /*   22870 */   // Label 445: @22870
     /*   22870 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22925), // Rule ID 69228 //
     /*   22875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22903 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22923 */     GIR_RootConstrainSelectedInstOperands,
     /*   22924 */     // GIR_Coverage, 69228,
     /*   22924 */     GIR_EraseRootFromParent_Done,
     /*   22925 */   // Label 446: @22925
     /*   22925 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22980), // Rule ID 69047 //
     /*   22930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22958 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22978 */     GIR_RootConstrainSelectedInstOperands,
     /*   22979 */     // GIR_Coverage, 69047,
     /*   22979 */     GIR_EraseRootFromParent_Done,
     /*   22980 */   // Label 447: @22980
     /*   22980 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23035), // Rule ID 69048 //
     /*   22985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23013 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23033 */     GIR_RootConstrainSelectedInstOperands,
     /*   23034 */     // GIR_Coverage, 69048,
     /*   23034 */     GIR_EraseRootFromParent_Done,
     /*   23035 */   // Label 448: @23035
     /*   23035 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23090), // Rule ID 69137 //
     /*   23040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23068 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23088 */     GIR_RootConstrainSelectedInstOperands,
     /*   23089 */     // GIR_Coverage, 69137,
     /*   23089 */     GIR_EraseRootFromParent_Done,
     /*   23090 */   // Label 449: @23090
     /*   23090 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23145), // Rule ID 69138 //
     /*   23095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23123 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23143 */     GIR_RootConstrainSelectedInstOperands,
     /*   23144 */     // GIR_Coverage, 69138,
     /*   23144 */     GIR_EraseRootFromParent_Done,
     /*   23145 */   // Label 450: @23145
     /*   23145 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23213), // Rule ID 51764 //
     /*   23150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23187 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23211 */     GIR_RootConstrainSelectedInstOperands,
     /*   23212 */     // GIR_Coverage, 51764,
     /*   23212 */     GIR_EraseRootFromParent_Done,
     /*   23213 */   // Label 451: @23213
     /*   23213 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23281), // Rule ID 51765 //
     /*   23218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23255 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23279 */     GIR_RootConstrainSelectedInstOperands,
     /*   23280 */     // GIR_Coverage, 51765,
     /*   23280 */     GIR_EraseRootFromParent_Done,
     /*   23281 */   // Label 452: @23281
     /*   23281 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23336), // Rule ID 46638 //
     /*   23286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23314 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23334 */     GIR_RootConstrainSelectedInstOperands,
     /*   23335 */     // GIR_Coverage, 46638,
     /*   23335 */     GIR_EraseRootFromParent_Done,
     /*   23336 */   // Label 453: @23336
     /*   23336 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23391), // Rule ID 46639 //
     /*   23341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23369 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23389 */     GIR_RootConstrainSelectedInstOperands,
     /*   23390 */     // GIR_Coverage, 46639,
     /*   23390 */     GIR_EraseRootFromParent_Done,
     /*   23391 */   // Label 454: @23391
     /*   23391 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23446), // Rule ID 46398 //
     /*   23396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23424 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23444 */     GIR_RootConstrainSelectedInstOperands,
     /*   23445 */     // GIR_Coverage, 46398,
     /*   23445 */     GIR_EraseRootFromParent_Done,
     /*   23446 */   // Label 455: @23446
     /*   23446 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23501), // Rule ID 46399 //
     /*   23451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23479 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23499 */     GIR_RootConstrainSelectedInstOperands,
     /*   23500 */     // GIR_Coverage, 46399,
     /*   23500 */     GIR_EraseRootFromParent_Done,
     /*   23501 */   // Label 456: @23501
     /*   23501 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23556), // Rule ID 46518 //
     /*   23506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23534 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23554 */     GIR_RootConstrainSelectedInstOperands,
     /*   23555 */     // GIR_Coverage, 46518,
     /*   23555 */     GIR_EraseRootFromParent_Done,
     /*   23556 */   // Label 457: @23556
     /*   23556 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23611), // Rule ID 46519 //
     /*   23561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23589 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23609 */     GIR_RootConstrainSelectedInstOperands,
     /*   23610 */     // GIR_Coverage, 46519,
     /*   23610 */     GIR_EraseRootFromParent_Done,
     /*   23611 */   // Label 458: @23611
     /*   23611 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23664), // Rule ID 46000 //
     /*   23616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23627 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23662 */     GIR_RootConstrainSelectedInstOperands,
     /*   23663 */     // GIR_Coverage, 46000,
     /*   23663 */     GIR_EraseRootFromParent_Done,
     /*   23664 */   // Label 459: @23664
     /*   23664 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23717), // Rule ID 46001 //
     /*   23669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23680 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23715 */     GIR_RootConstrainSelectedInstOperands,
     /*   23716 */     // GIR_Coverage, 46001,
     /*   23716 */     GIR_EraseRootFromParent_Done,
     /*   23717 */   // Label 460: @23717
     /*   23717 */   GIM_Reject,
     /*   23718 */ // Label 420: @23718
     /*   23718 */ GIM_Reject,
     /*   23719 */ // Label 133: @23719
     /*   23719 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(26843),
     /*   23724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23734 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23830), // Rule ID 70425 //
     /*   23739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23804 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23828 */     GIR_RootConstrainSelectedInstOperands,
     /*   23829 */     // GIR_Coverage, 70425,
     /*   23829 */     GIR_EraseRootFromParent_Done,
     /*   23830 */   // Label 462: @23830
     /*   23830 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 70426 //
     /*   23835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23900 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 70426,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24022), // Rule ID 70709 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23996 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   23999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24020 */     GIR_RootConstrainSelectedInstOperands,
     /*   24021 */     // GIR_Coverage, 70709,
     /*   24021 */     GIR_EraseRootFromParent_Done,
     /*   24022 */   // Label 464: @24022
     /*   24022 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24118), // Rule ID 70710 //
     /*   24027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24075 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24079 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24081 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24092 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24116 */     GIR_RootConstrainSelectedInstOperands,
     /*   24117 */     // GIR_Coverage, 70710,
     /*   24117 */     GIR_EraseRootFromParent_Done,
     /*   24118 */   // Label 465: @24118
     /*   24118 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24214), // Rule ID 70711 //
     /*   24123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24171 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24175 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24177 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24188 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 70711,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 466: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24310), // Rule ID 70712 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24271 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24273 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24284 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24308 */     GIR_RootConstrainSelectedInstOperands,
     /*   24309 */     // GIR_Coverage, 70712,
     /*   24309 */     GIR_EraseRootFromParent_Done,
     /*   24310 */   // Label 467: @24310
     /*   24310 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24406), // Rule ID 70539 //
     /*   24315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24363 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24367 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24369 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24380 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24404 */     GIR_RootConstrainSelectedInstOperands,
     /*   24405 */     // GIR_Coverage, 70539,
     /*   24405 */     GIR_EraseRootFromParent_Done,
     /*   24406 */   // Label 468: @24406
     /*   24406 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24502), // Rule ID 70540 //
     /*   24411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24463 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24465 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24476 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 70540,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 469: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24598), // Rule ID 51930 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24572 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24596 */     GIR_RootConstrainSelectedInstOperands,
     /*   24597 */     // GIR_Coverage, 51930,
     /*   24597 */     GIR_EraseRootFromParent_Done,
     /*   24598 */   // Label 470: @24598
     /*   24598 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24694), // Rule ID 51931 //
     /*   24603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24668 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24692 */     GIR_RootConstrainSelectedInstOperands,
     /*   24693 */     // GIR_Coverage, 51931,
     /*   24693 */     GIR_EraseRootFromParent_Done,
     /*   24694 */   // Label 471: @24694
     /*   24694 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24790), // Rule ID 52048 //
     /*   24699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24764 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24788 */     GIR_RootConstrainSelectedInstOperands,
     /*   24789 */     // GIR_Coverage, 52048,
     /*   24789 */     GIR_EraseRootFromParent_Done,
     /*   24790 */   // Label 472: @24790
     /*   24790 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24886), // Rule ID 52049 //
     /*   24795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24860 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24884 */     GIR_RootConstrainSelectedInstOperands,
     /*   24885 */     // GIR_Coverage, 52049,
     /*   24885 */     GIR_EraseRootFromParent_Done,
     /*   24886 */   // Label 473: @24886
     /*   24886 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24982), // Rule ID 70707 //
     /*   24891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24956 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24980 */     GIR_RootConstrainSelectedInstOperands,
     /*   24981 */     // GIR_Coverage, 70707,
     /*   24981 */     GIR_EraseRootFromParent_Done,
     /*   24982 */   // Label 474: @24982
     /*   24982 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25078), // Rule ID 70708 //
     /*   24987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25052 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   25055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25076 */     GIR_RootConstrainSelectedInstOperands,
     /*   25077 */     // GIR_Coverage, 70708,
     /*   25077 */     GIR_EraseRootFromParent_Done,
     /*   25078 */   // Label 475: @25078
     /*   25078 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25174), // Rule ID 51988 //
     /*   25083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25148 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25172 */     GIR_RootConstrainSelectedInstOperands,
     /*   25173 */     // GIR_Coverage, 51988,
     /*   25173 */     GIR_EraseRootFromParent_Done,
     /*   25174 */   // Label 476: @25174
     /*   25174 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25270), // Rule ID 51989 //
     /*   25179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25244 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25268 */     GIR_RootConstrainSelectedInstOperands,
     /*   25269 */     // GIR_Coverage, 51989,
     /*   25269 */     GIR_EraseRootFromParent_Done,
     /*   25270 */   // Label 477: @25270
     /*   25270 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25359), // Rule ID 46598 //
     /*   25275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25318 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25357 */     GIR_RootConstrainSelectedInstOperands,
     /*   25358 */     // GIR_Coverage, 46598,
     /*   25358 */     GIR_EraseRootFromParent_Done,
     /*   25359 */   // Label 478: @25359
     /*   25359 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25448), // Rule ID 46599 //
     /*   25364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25407 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25446 */     GIR_RootConstrainSelectedInstOperands,
     /*   25447 */     // GIR_Coverage, 46599,
     /*   25447 */     GIR_EraseRootFromParent_Done,
     /*   25448 */   // Label 479: @25448
     /*   25448 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25537), // Rule ID 46362 //
     /*   25453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25496 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25535 */     GIR_RootConstrainSelectedInstOperands,
     /*   25536 */     // GIR_Coverage, 46362,
     /*   25536 */     GIR_EraseRootFromParent_Done,
     /*   25537 */   // Label 480: @25537
     /*   25537 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25626), // Rule ID 46363 //
     /*   25542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25585 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25624 */     GIR_RootConstrainSelectedInstOperands,
     /*   25625 */     // GIR_Coverage, 46363,
     /*   25625 */     GIR_EraseRootFromParent_Done,
     /*   25626 */   // Label 481: @25626
     /*   25626 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25715), // Rule ID 46478 //
     /*   25631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25674 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25713 */     GIR_RootConstrainSelectedInstOperands,
     /*   25714 */     // GIR_Coverage, 46478,
     /*   25714 */     GIR_EraseRootFromParent_Done,
     /*   25715 */   // Label 482: @25715
     /*   25715 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25804), // Rule ID 46479 //
     /*   25720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25763 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25802 */     GIR_RootConstrainSelectedInstOperands,
     /*   25803 */     // GIR_Coverage, 46479,
     /*   25803 */     GIR_EraseRootFromParent_Done,
     /*   25804 */   // Label 483: @25804
     /*   25804 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25872), // Rule ID 70335 //
     /*   25809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25846 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25870 */     GIR_RootConstrainSelectedInstOperands,
     /*   25871 */     // GIR_Coverage, 70335,
     /*   25871 */     GIR_EraseRootFromParent_Done,
     /*   25872 */   // Label 484: @25872
     /*   25872 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25940), // Rule ID 70336 //
     /*   25877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25914 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25938 */     GIR_RootConstrainSelectedInstOperands,
     /*   25939 */     // GIR_Coverage, 70336,
     /*   25939 */     GIR_EraseRootFromParent_Done,
     /*   25940 */   // Label 485: @25940
     /*   25940 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25995), // Rule ID 69247 //
     /*   25945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25973 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25993 */     GIR_RootConstrainSelectedInstOperands,
     /*   25994 */     // GIR_Coverage, 69247,
     /*   25994 */     GIR_EraseRootFromParent_Done,
     /*   25995 */   // Label 486: @25995
     /*   25995 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26050), // Rule ID 69248 //
     /*   26000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26028 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26048 */     GIR_RootConstrainSelectedInstOperands,
     /*   26049 */     // GIR_Coverage, 69248,
     /*   26049 */     GIR_EraseRootFromParent_Done,
     /*   26050 */   // Label 487: @26050
     /*   26050 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26105), // Rule ID 69067 //
     /*   26055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26083 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26103 */     GIR_RootConstrainSelectedInstOperands,
     /*   26104 */     // GIR_Coverage, 69067,
     /*   26104 */     GIR_EraseRootFromParent_Done,
     /*   26105 */   // Label 488: @26105
     /*   26105 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26160), // Rule ID 69068 //
     /*   26110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26138 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26158 */     GIR_RootConstrainSelectedInstOperands,
     /*   26159 */     // GIR_Coverage, 69068,
     /*   26159 */     GIR_EraseRootFromParent_Done,
     /*   26160 */   // Label 489: @26160
     /*   26160 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26215), // Rule ID 69157 //
     /*   26165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26193 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26213 */     GIR_RootConstrainSelectedInstOperands,
     /*   26214 */     // GIR_Coverage, 69157,
     /*   26214 */     GIR_EraseRootFromParent_Done,
     /*   26215 */   // Label 490: @26215
     /*   26215 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26270), // Rule ID 69158 //
     /*   26220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26248 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26268 */     GIR_RootConstrainSelectedInstOperands,
     /*   26269 */     // GIR_Coverage, 69158,
     /*   26269 */     GIR_EraseRootFromParent_Done,
     /*   26270 */   // Label 491: @26270
     /*   26270 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26338), // Rule ID 51808 //
     /*   26275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26312 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26336 */     GIR_RootConstrainSelectedInstOperands,
     /*   26337 */     // GIR_Coverage, 51808,
     /*   26337 */     GIR_EraseRootFromParent_Done,
     /*   26338 */   // Label 492: @26338
     /*   26338 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26406), // Rule ID 51809 //
     /*   26343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26380 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26404 */     GIR_RootConstrainSelectedInstOperands,
     /*   26405 */     // GIR_Coverage, 51809,
     /*   26405 */     GIR_EraseRootFromParent_Done,
     /*   26406 */   // Label 493: @26406
     /*   26406 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26461), // Rule ID 46658 //
     /*   26411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26439 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26459 */     GIR_RootConstrainSelectedInstOperands,
     /*   26460 */     // GIR_Coverage, 46658,
     /*   26460 */     GIR_EraseRootFromParent_Done,
     /*   26461 */   // Label 494: @26461
     /*   26461 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26516), // Rule ID 46659 //
     /*   26466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26494 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26514 */     GIR_RootConstrainSelectedInstOperands,
     /*   26515 */     // GIR_Coverage, 46659,
     /*   26515 */     GIR_EraseRootFromParent_Done,
     /*   26516 */   // Label 495: @26516
     /*   26516 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26571), // Rule ID 46418 //
     /*   26521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26549 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26569 */     GIR_RootConstrainSelectedInstOperands,
     /*   26570 */     // GIR_Coverage, 46418,
     /*   26570 */     GIR_EraseRootFromParent_Done,
     /*   26571 */   // Label 496: @26571
     /*   26571 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26626), // Rule ID 46419 //
     /*   26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26604 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26624 */     GIR_RootConstrainSelectedInstOperands,
     /*   26625 */     // GIR_Coverage, 46419,
     /*   26625 */     GIR_EraseRootFromParent_Done,
     /*   26626 */   // Label 497: @26626
     /*   26626 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26681), // Rule ID 46538 //
     /*   26631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26659 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26679 */     GIR_RootConstrainSelectedInstOperands,
     /*   26680 */     // GIR_Coverage, 46538,
     /*   26680 */     GIR_EraseRootFromParent_Done,
     /*   26681 */   // Label 498: @26681
     /*   26681 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26736), // Rule ID 46539 //
     /*   26686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26714 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26734 */     GIR_RootConstrainSelectedInstOperands,
     /*   26735 */     // GIR_Coverage, 46539,
     /*   26735 */     GIR_EraseRootFromParent_Done,
     /*   26736 */   // Label 499: @26736
     /*   26736 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26789), // Rule ID 46044 //
     /*   26741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26752 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26787 */     GIR_RootConstrainSelectedInstOperands,
     /*   26788 */     // GIR_Coverage, 46044,
     /*   26788 */     GIR_EraseRootFromParent_Done,
     /*   26789 */   // Label 500: @26789
     /*   26789 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26842), // Rule ID 46045 //
     /*   26794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26805 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26840 */     GIR_RootConstrainSelectedInstOperands,
     /*   26841 */     // GIR_Coverage, 46045,
     /*   26841 */     GIR_EraseRootFromParent_Done,
     /*   26842 */   // Label 501: @26842
     /*   26842 */   GIM_Reject,
     /*   26843 */ // Label 461: @26843
     /*   26843 */ GIM_Reject,
     /*   26844 */ // Label 134: @26844
     /*   26844 */ GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(27238),
     /*   26849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26859 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26927), // Rule ID 70199 //
     /*   26864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26901 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26925 */     GIR_RootConstrainSelectedInstOperands,
     /*   26926 */     // GIR_Coverage, 70199,
     /*   26926 */     GIR_EraseRootFromParent_Done,
     /*   26927 */   // Label 503: @26927
     /*   26927 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(26995), // Rule ID 70200 //
     /*   26932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26969 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26993 */     GIR_RootConstrainSelectedInstOperands,
     /*   26994 */     // GIR_Coverage, 70200,
     /*   26994 */     GIR_EraseRootFromParent_Done,
     /*   26995 */   // Label 504: @26995
     /*   26995 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27063), // Rule ID 51740 //
     /*   27000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27037 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27061 */     GIR_RootConstrainSelectedInstOperands,
     /*   27062 */     // GIR_Coverage, 51740,
     /*   27062 */     GIR_EraseRootFromParent_Done,
     /*   27063 */   // Label 505: @27063
     /*   27063 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27131), // Rule ID 51741 //
     /*   27068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27105 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27129 */     GIR_RootConstrainSelectedInstOperands,
     /*   27130 */     // GIR_Coverage, 51741,
     /*   27130 */     GIR_EraseRootFromParent_Done,
     /*   27131 */   // Label 506: @27131
     /*   27131 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27184), // Rule ID 45976 //
     /*   27136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27147 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 45976,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 507: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27237), // Rule ID 45977 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27200 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27235 */     GIR_RootConstrainSelectedInstOperands,
     /*   27236 */     // GIR_Coverage, 45977,
     /*   27236 */     GIR_EraseRootFromParent_Done,
     /*   27237 */   // Label 508: @27237
     /*   27237 */   GIM_Reject,
     /*   27238 */ // Label 502: @27238
     /*   27238 */ GIM_Reject,
     /*   27239 */ // Label 135: @27239
     /*   27239 */ GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(30363),
     /*   27244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27254 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27350), // Rule ID 70405 //
     /*   27259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27307 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27311 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27313 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27324 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27348 */     GIR_RootConstrainSelectedInstOperands,
     /*   27349 */     // GIR_Coverage, 70405,
     /*   27349 */     GIR_EraseRootFromParent_Done,
     /*   27350 */   // Label 510: @27350
     /*   27350 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27446), // Rule ID 70406 //
     /*   27355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27407 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27409 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27420 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27444 */     GIR_RootConstrainSelectedInstOperands,
     /*   27445 */     // GIR_Coverage, 70406,
     /*   27445 */     GIR_EraseRootFromParent_Done,
     /*   27446 */   // Label 511: @27446
     /*   27446 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27542), // Rule ID 70649 //
     /*   27451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27499 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27503 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27516 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27540 */     GIR_RootConstrainSelectedInstOperands,
     /*   27541 */     // GIR_Coverage, 70649,
     /*   27541 */     GIR_EraseRootFromParent_Done,
     /*   27542 */   // Label 512: @27542
     /*   27542 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27638), // Rule ID 70650 //
     /*   27547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27595 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27599 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27601 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27612 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27636 */     GIR_RootConstrainSelectedInstOperands,
     /*   27637 */     // GIR_Coverage, 70650,
     /*   27637 */     GIR_EraseRootFromParent_Done,
     /*   27638 */   // Label 513: @27638
     /*   27638 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27734), // Rule ID 70651 //
     /*   27643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27676 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27691 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27695 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27697 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27708 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27732 */     GIR_RootConstrainSelectedInstOperands,
     /*   27733 */     // GIR_Coverage, 70651,
     /*   27733 */     GIR_EraseRootFromParent_Done,
     /*   27734 */   // Label 514: @27734
     /*   27734 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27830), // Rule ID 70652 //
     /*   27739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27804 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27828 */     GIR_RootConstrainSelectedInstOperands,
     /*   27829 */     // GIR_Coverage, 70652,
     /*   27829 */     GIR_EraseRootFromParent_Done,
     /*   27830 */   // Label 515: @27830
     /*   27830 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27926), // Rule ID 70519 //
     /*   27835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27900 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27924 */     GIR_RootConstrainSelectedInstOperands,
     /*   27925 */     // GIR_Coverage, 70519,
     /*   27925 */     GIR_EraseRootFromParent_Done,
     /*   27926 */   // Label 516: @27926
     /*   27926 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28022), // Rule ID 70520 //
     /*   27931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27996 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28020 */     GIR_RootConstrainSelectedInstOperands,
     /*   28021 */     // GIR_Coverage, 70520,
     /*   28021 */     GIR_EraseRootFromParent_Done,
     /*   28022 */   // Label 517: @28022
     /*   28022 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28118), // Rule ID 51910 //
     /*   28027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28083 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28085 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28092 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28116 */     GIR_RootConstrainSelectedInstOperands,
     /*   28117 */     // GIR_Coverage, 51910,
     /*   28117 */     GIR_EraseRootFromParent_Done,
     /*   28118 */   // Label 518: @28118
     /*   28118 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28214), // Rule ID 51911 //
     /*   28123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28160 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28175 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28179 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28188 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28212 */     GIR_RootConstrainSelectedInstOperands,
     /*   28213 */     // GIR_Coverage, 51911,
     /*   28213 */     GIR_EraseRootFromParent_Done,
     /*   28214 */   // Label 519: @28214
     /*   28214 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28310), // Rule ID 52028 //
     /*   28219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28275 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28277 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28284 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28308 */     GIR_RootConstrainSelectedInstOperands,
     /*   28309 */     // GIR_Coverage, 52028,
     /*   28309 */     GIR_EraseRootFromParent_Done,
     /*   28310 */   // Label 520: @28310
     /*   28310 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28406), // Rule ID 52029 //
     /*   28315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28352 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28367 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28371 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28373 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28380 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28404 */     GIR_RootConstrainSelectedInstOperands,
     /*   28405 */     // GIR_Coverage, 52029,
     /*   28405 */     GIR_EraseRootFromParent_Done,
     /*   28406 */   // Label 521: @28406
     /*   28406 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28502), // Rule ID 70647 //
     /*   28411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28448 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28467 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28469 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28476 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28500 */     GIR_RootConstrainSelectedInstOperands,
     /*   28501 */     // GIR_Coverage, 70647,
     /*   28501 */     GIR_EraseRootFromParent_Done,
     /*   28502 */   // Label 522: @28502
     /*   28502 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28598), // Rule ID 70648 //
     /*   28507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28572 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28596 */     GIR_RootConstrainSelectedInstOperands,
     /*   28597 */     // GIR_Coverage, 70648,
     /*   28597 */     GIR_EraseRootFromParent_Done,
     /*   28598 */   // Label 523: @28598
     /*   28598 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28694), // Rule ID 51968 //
     /*   28603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28668 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28692 */     GIR_RootConstrainSelectedInstOperands,
     /*   28693 */     // GIR_Coverage, 51968,
     /*   28693 */     GIR_EraseRootFromParent_Done,
     /*   28694 */   // Label 524: @28694
     /*   28694 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28790), // Rule ID 51969 //
     /*   28699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28764 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28788 */     GIR_RootConstrainSelectedInstOperands,
     /*   28789 */     // GIR_Coverage, 51969,
     /*   28789 */     GIR_EraseRootFromParent_Done,
     /*   28790 */   // Label 525: @28790
     /*   28790 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28879), // Rule ID 46558 //
     /*   28795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28838 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28877 */     GIR_RootConstrainSelectedInstOperands,
     /*   28878 */     // GIR_Coverage, 46558,
     /*   28878 */     GIR_EraseRootFromParent_Done,
     /*   28879 */   // Label 526: @28879
     /*   28879 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28968), // Rule ID 46559 //
     /*   28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28927 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28966 */     GIR_RootConstrainSelectedInstOperands,
     /*   28967 */     // GIR_Coverage, 46559,
     /*   28967 */     GIR_EraseRootFromParent_Done,
     /*   28968 */   // Label 527: @28968
     /*   28968 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29057), // Rule ID 46322 //
     /*   28973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29016 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29055 */     GIR_RootConstrainSelectedInstOperands,
     /*   29056 */     // GIR_Coverage, 46322,
     /*   29056 */     GIR_EraseRootFromParent_Done,
     /*   29057 */   // Label 528: @29057
     /*   29057 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29146), // Rule ID 46323 //
     /*   29062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29105 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29144 */     GIR_RootConstrainSelectedInstOperands,
     /*   29145 */     // GIR_Coverage, 46323,
     /*   29145 */     GIR_EraseRootFromParent_Done,
     /*   29146 */   // Label 529: @29146
     /*   29146 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29235), // Rule ID 46438 //
     /*   29151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29194 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29233 */     GIR_RootConstrainSelectedInstOperands,
     /*   29234 */     // GIR_Coverage, 46438,
     /*   29234 */     GIR_EraseRootFromParent_Done,
     /*   29235 */   // Label 530: @29235
     /*   29235 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29324), // Rule ID 46439 //
     /*   29240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29283 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29322 */     GIR_RootConstrainSelectedInstOperands,
     /*   29323 */     // GIR_Coverage, 46439,
     /*   29323 */     GIR_EraseRootFromParent_Done,
     /*   29324 */   // Label 531: @29324
     /*   29324 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29392), // Rule ID 70239 //
     /*   29329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29366 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29390 */     GIR_RootConstrainSelectedInstOperands,
     /*   29391 */     // GIR_Coverage, 70239,
     /*   29391 */     GIR_EraseRootFromParent_Done,
     /*   29392 */   // Label 532: @29392
     /*   29392 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29460), // Rule ID 70240 //
     /*   29397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29434 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29458 */     GIR_RootConstrainSelectedInstOperands,
     /*   29459 */     // GIR_Coverage, 70240,
     /*   29459 */     GIR_EraseRootFromParent_Done,
     /*   29460 */   // Label 533: @29460
     /*   29460 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29515), // Rule ID 69207 //
     /*   29465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29493 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29513 */     GIR_RootConstrainSelectedInstOperands,
     /*   29514 */     // GIR_Coverage, 69207,
     /*   29514 */     GIR_EraseRootFromParent_Done,
     /*   29515 */   // Label 534: @29515
     /*   29515 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29570), // Rule ID 69208 //
     /*   29520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29548 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29568 */     GIR_RootConstrainSelectedInstOperands,
     /*   29569 */     // GIR_Coverage, 69208,
     /*   29569 */     GIR_EraseRootFromParent_Done,
     /*   29570 */   // Label 535: @29570
     /*   29570 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29625), // Rule ID 69027 //
     /*   29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29603 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29623 */     GIR_RootConstrainSelectedInstOperands,
     /*   29624 */     // GIR_Coverage, 69027,
     /*   29624 */     GIR_EraseRootFromParent_Done,
     /*   29625 */   // Label 536: @29625
     /*   29625 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29680), // Rule ID 69028 //
     /*   29630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29658 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29678 */     GIR_RootConstrainSelectedInstOperands,
     /*   29679 */     // GIR_Coverage, 69028,
     /*   29679 */     GIR_EraseRootFromParent_Done,
     /*   29680 */   // Label 537: @29680
     /*   29680 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29735), // Rule ID 69117 //
     /*   29685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29713 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29733 */     GIR_RootConstrainSelectedInstOperands,
     /*   29734 */     // GIR_Coverage, 69117,
     /*   29734 */     GIR_EraseRootFromParent_Done,
     /*   29735 */   // Label 538: @29735
     /*   29735 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29790), // Rule ID 69118 //
     /*   29740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29768 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29788 */     GIR_RootConstrainSelectedInstOperands,
     /*   29789 */     // GIR_Coverage, 69118,
     /*   29789 */     GIR_EraseRootFromParent_Done,
     /*   29790 */   // Label 539: @29790
     /*   29790 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29858), // Rule ID 51760 //
     /*   29795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29832 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29856 */     GIR_RootConstrainSelectedInstOperands,
     /*   29857 */     // GIR_Coverage, 51760,
     /*   29857 */     GIR_EraseRootFromParent_Done,
     /*   29858 */   // Label 540: @29858
     /*   29858 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29926), // Rule ID 51761 //
     /*   29863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29900 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29924 */     GIR_RootConstrainSelectedInstOperands,
     /*   29925 */     // GIR_Coverage, 51761,
     /*   29925 */     GIR_EraseRootFromParent_Done,
     /*   29926 */   // Label 541: @29926
     /*   29926 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29981), // Rule ID 46618 //
     /*   29931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29959 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29979 */     GIR_RootConstrainSelectedInstOperands,
     /*   29980 */     // GIR_Coverage, 46618,
     /*   29980 */     GIR_EraseRootFromParent_Done,
     /*   29981 */   // Label 542: @29981
     /*   29981 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30036), // Rule ID 46619 //
     /*   29986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30014 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30034 */     GIR_RootConstrainSelectedInstOperands,
     /*   30035 */     // GIR_Coverage, 46619,
     /*   30035 */     GIR_EraseRootFromParent_Done,
     /*   30036 */   // Label 543: @30036
     /*   30036 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30091), // Rule ID 46378 //
     /*   30041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30069 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30089 */     GIR_RootConstrainSelectedInstOperands,
     /*   30090 */     // GIR_Coverage, 46378,
     /*   30090 */     GIR_EraseRootFromParent_Done,
     /*   30091 */   // Label 544: @30091
     /*   30091 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30146), // Rule ID 46379 //
     /*   30096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30124 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30144 */     GIR_RootConstrainSelectedInstOperands,
     /*   30145 */     // GIR_Coverage, 46379,
     /*   30145 */     GIR_EraseRootFromParent_Done,
     /*   30146 */   // Label 545: @30146
     /*   30146 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30201), // Rule ID 46498 //
     /*   30151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30179 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30199 */     GIR_RootConstrainSelectedInstOperands,
     /*   30200 */     // GIR_Coverage, 46498,
     /*   30200 */     GIR_EraseRootFromParent_Done,
     /*   30201 */   // Label 546: @30201
     /*   30201 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30256), // Rule ID 46499 //
     /*   30206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30234 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30254 */     GIR_RootConstrainSelectedInstOperands,
     /*   30255 */     // GIR_Coverage, 46499,
     /*   30255 */     GIR_EraseRootFromParent_Done,
     /*   30256 */   // Label 547: @30256
     /*   30256 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30309), // Rule ID 45996 //
     /*   30261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30272 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30307 */     GIR_RootConstrainSelectedInstOperands,
     /*   30308 */     // GIR_Coverage, 45996,
     /*   30308 */     GIR_EraseRootFromParent_Done,
     /*   30309 */   // Label 548: @30309
     /*   30309 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30362), // Rule ID 45997 //
     /*   30314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30325 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30360 */     GIR_RootConstrainSelectedInstOperands,
     /*   30361 */     // GIR_Coverage, 45997,
     /*   30361 */     GIR_EraseRootFromParent_Done,
     /*   30362 */   // Label 549: @30362
     /*   30362 */   GIM_Reject,
     /*   30363 */ // Label 509: @30363
     /*   30363 */ GIM_Reject,
     /*   30364 */ // Label 136: @30364
     /*   30364 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(33488),
     /*   30369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30379 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30475), // Rule ID 70417 //
     /*   30384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30432 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30436 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30438 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30449 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30473 */     GIR_RootConstrainSelectedInstOperands,
     /*   30474 */     // GIR_Coverage, 70417,
     /*   30474 */     GIR_EraseRootFromParent_Done,
     /*   30475 */   // Label 551: @30475
     /*   30475 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30571), // Rule ID 70418 //
     /*   30480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30532 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30534 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30543 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30545 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30569 */     GIR_RootConstrainSelectedInstOperands,
     /*   30570 */     // GIR_Coverage, 70418,
     /*   30570 */     GIR_EraseRootFromParent_Done,
     /*   30571 */   // Label 552: @30571
     /*   30571 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30667), // Rule ID 70685 //
     /*   30576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30624 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30628 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30630 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30641 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30665 */     GIR_RootConstrainSelectedInstOperands,
     /*   30666 */     // GIR_Coverage, 70685,
     /*   30666 */     GIR_EraseRootFromParent_Done,
     /*   30667 */   // Label 553: @30667
     /*   30667 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30763), // Rule ID 70686 //
     /*   30672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30705 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30720 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30724 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30737 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30761 */     GIR_RootConstrainSelectedInstOperands,
     /*   30762 */     // GIR_Coverage, 70686,
     /*   30762 */     GIR_EraseRootFromParent_Done,
     /*   30763 */   // Label 554: @30763
     /*   30763 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30859), // Rule ID 70687 //
     /*   30768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30816 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30820 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30833 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30857 */     GIR_RootConstrainSelectedInstOperands,
     /*   30858 */     // GIR_Coverage, 70687,
     /*   30858 */     GIR_EraseRootFromParent_Done,
     /*   30859 */   // Label 555: @30859
     /*   30859 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30955), // Rule ID 70688 //
     /*   30864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30897 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30912 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30916 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30918 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30929 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30953 */     GIR_RootConstrainSelectedInstOperands,
     /*   30954 */     // GIR_Coverage, 70688,
     /*   30954 */     GIR_EraseRootFromParent_Done,
     /*   30955 */   // Label 556: @30955
     /*   30955 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31051), // Rule ID 70531 //
     /*   30960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31008 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31012 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31014 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31023 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31025 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31049 */     GIR_RootConstrainSelectedInstOperands,
     /*   31050 */     // GIR_Coverage, 70531,
     /*   31050 */     GIR_EraseRootFromParent_Done,
     /*   31051 */   // Label 557: @31051
     /*   31051 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31147), // Rule ID 70532 //
     /*   31056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31104 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31108 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31110 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31121 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31145 */     GIR_RootConstrainSelectedInstOperands,
     /*   31146 */     // GIR_Coverage, 70532,
     /*   31146 */     GIR_EraseRootFromParent_Done,
     /*   31147 */   // Label 558: @31147
     /*   31147 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31243), // Rule ID 51922 //
     /*   31152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31208 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31210 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31217 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31241 */     GIR_RootConstrainSelectedInstOperands,
     /*   31242 */     // GIR_Coverage, 51922,
     /*   31242 */     GIR_EraseRootFromParent_Done,
     /*   31243 */   // Label 559: @31243
     /*   31243 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31339), // Rule ID 51923 //
     /*   31248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31304 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31306 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31313 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31337 */     GIR_RootConstrainSelectedInstOperands,
     /*   31338 */     // GIR_Coverage, 51923,
     /*   31338 */     GIR_EraseRootFromParent_Done,
     /*   31339 */   // Label 560: @31339
     /*   31339 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31435), // Rule ID 52040 //
     /*   31344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31396 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31402 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31409 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31433 */     GIR_RootConstrainSelectedInstOperands,
     /*   31434 */     // GIR_Coverage, 52040,
     /*   31434 */     GIR_EraseRootFromParent_Done,
     /*   31435 */   // Label 561: @31435
     /*   31435 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31531), // Rule ID 52041 //
     /*   31440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31503 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31505 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31529 */     GIR_RootConstrainSelectedInstOperands,
     /*   31530 */     // GIR_Coverage, 52041,
     /*   31530 */     GIR_EraseRootFromParent_Done,
     /*   31531 */   // Label 562: @31531
     /*   31531 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31627), // Rule ID 70683 //
     /*   31536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31601 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31625 */     GIR_RootConstrainSelectedInstOperands,
     /*   31626 */     // GIR_Coverage, 70683,
     /*   31626 */     GIR_EraseRootFromParent_Done,
     /*   31627 */   // Label 563: @31627
     /*   31627 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31723), // Rule ID 70684 //
     /*   31632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31697 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31721 */     GIR_RootConstrainSelectedInstOperands,
     /*   31722 */     // GIR_Coverage, 70684,
     /*   31722 */     GIR_EraseRootFromParent_Done,
     /*   31723 */   // Label 564: @31723
     /*   31723 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31819), // Rule ID 51980 //
     /*   31728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31793 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 51980,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 565: @31819
     /*   31819 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31915), // Rule ID 51981 //
     /*   31824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31889 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31913 */     GIR_RootConstrainSelectedInstOperands,
     /*   31914 */     // GIR_Coverage, 51981,
     /*   31914 */     GIR_EraseRootFromParent_Done,
     /*   31915 */   // Label 566: @31915
     /*   31915 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32004), // Rule ID 46582 //
     /*   31920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31963 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 46582,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 567: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32093), // Rule ID 46583 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32052 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32091 */     GIR_RootConstrainSelectedInstOperands,
     /*   32092 */     // GIR_Coverage, 46583,
     /*   32092 */     GIR_EraseRootFromParent_Done,
     /*   32093 */   // Label 568: @32093
     /*   32093 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32182), // Rule ID 46346 //
     /*   32098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32141 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32180 */     GIR_RootConstrainSelectedInstOperands,
     /*   32181 */     // GIR_Coverage, 46346,
     /*   32181 */     GIR_EraseRootFromParent_Done,
     /*   32182 */   // Label 569: @32182
     /*   32182 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32271), // Rule ID 46347 //
     /*   32187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32230 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32269 */     GIR_RootConstrainSelectedInstOperands,
     /*   32270 */     // GIR_Coverage, 46347,
     /*   32270 */     GIR_EraseRootFromParent_Done,
     /*   32271 */   // Label 570: @32271
     /*   32271 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32360), // Rule ID 46462 //
     /*   32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32319 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32358 */     GIR_RootConstrainSelectedInstOperands,
     /*   32359 */     // GIR_Coverage, 46462,
     /*   32359 */     GIR_EraseRootFromParent_Done,
     /*   32360 */   // Label 571: @32360
     /*   32360 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32449), // Rule ID 46463 //
     /*   32365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32408 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32447 */     GIR_RootConstrainSelectedInstOperands,
     /*   32448 */     // GIR_Coverage, 46463,
     /*   32448 */     GIR_EraseRootFromParent_Done,
     /*   32449 */   // Label 572: @32449
     /*   32449 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32517), // Rule ID 70311 //
     /*   32454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32491 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32515 */     GIR_RootConstrainSelectedInstOperands,
     /*   32516 */     // GIR_Coverage, 70311,
     /*   32516 */     GIR_EraseRootFromParent_Done,
     /*   32517 */   // Label 573: @32517
     /*   32517 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32585), // Rule ID 70312 //
     /*   32522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32559 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32583 */     GIR_RootConstrainSelectedInstOperands,
     /*   32584 */     // GIR_Coverage, 70312,
     /*   32584 */     GIR_EraseRootFromParent_Done,
     /*   32585 */   // Label 574: @32585
     /*   32585 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32640), // Rule ID 69231 //
     /*   32590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32618 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32638 */     GIR_RootConstrainSelectedInstOperands,
     /*   32639 */     // GIR_Coverage, 69231,
     /*   32639 */     GIR_EraseRootFromParent_Done,
     /*   32640 */   // Label 575: @32640
     /*   32640 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32695), // Rule ID 69232 //
     /*   32645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32673 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32693 */     GIR_RootConstrainSelectedInstOperands,
     /*   32694 */     // GIR_Coverage, 69232,
     /*   32694 */     GIR_EraseRootFromParent_Done,
     /*   32695 */   // Label 576: @32695
     /*   32695 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32750), // Rule ID 69051 //
     /*   32700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32728 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32748 */     GIR_RootConstrainSelectedInstOperands,
     /*   32749 */     // GIR_Coverage, 69051,
     /*   32749 */     GIR_EraseRootFromParent_Done,
     /*   32750 */   // Label 577: @32750
     /*   32750 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32805), // Rule ID 69052 //
     /*   32755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32783 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32803 */     GIR_RootConstrainSelectedInstOperands,
     /*   32804 */     // GIR_Coverage, 69052,
     /*   32804 */     GIR_EraseRootFromParent_Done,
     /*   32805 */   // Label 578: @32805
     /*   32805 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32860), // Rule ID 69141 //
     /*   32810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32838 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32858 */     GIR_RootConstrainSelectedInstOperands,
     /*   32859 */     // GIR_Coverage, 69141,
     /*   32859 */     GIR_EraseRootFromParent_Done,
     /*   32860 */   // Label 579: @32860
     /*   32860 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32915), // Rule ID 69142 //
     /*   32865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32893 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32913 */     GIR_RootConstrainSelectedInstOperands,
     /*   32914 */     // GIR_Coverage, 69142,
     /*   32914 */     GIR_EraseRootFromParent_Done,
     /*   32915 */   // Label 580: @32915
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32983), // Rule ID 51796 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32957 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32981 */     GIR_RootConstrainSelectedInstOperands,
     /*   32982 */     // GIR_Coverage, 51796,
     /*   32982 */     GIR_EraseRootFromParent_Done,
     /*   32983 */   // Label 581: @32983
     /*   32983 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33051), // Rule ID 51797 //
     /*   32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   33011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33025 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   33028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33049 */     GIR_RootConstrainSelectedInstOperands,
     /*   33050 */     // GIR_Coverage, 51797,
     /*   33050 */     GIR_EraseRootFromParent_Done,
     /*   33051 */   // Label 582: @33051
     /*   33051 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33106), // Rule ID 46642 //
     /*   33056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33084 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33104 */     GIR_RootConstrainSelectedInstOperands,
     /*   33105 */     // GIR_Coverage, 46642,
     /*   33105 */     GIR_EraseRootFromParent_Done,
     /*   33106 */   // Label 583: @33106
     /*   33106 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33161), // Rule ID 46643 //
     /*   33111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33139 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33159 */     GIR_RootConstrainSelectedInstOperands,
     /*   33160 */     // GIR_Coverage, 46643,
     /*   33160 */     GIR_EraseRootFromParent_Done,
     /*   33161 */   // Label 584: @33161
     /*   33161 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33216), // Rule ID 46402 //
     /*   33166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33194 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33214 */     GIR_RootConstrainSelectedInstOperands,
     /*   33215 */     // GIR_Coverage, 46402,
     /*   33215 */     GIR_EraseRootFromParent_Done,
     /*   33216 */   // Label 585: @33216
     /*   33216 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33271), // Rule ID 46403 //
     /*   33221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33249 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33269 */     GIR_RootConstrainSelectedInstOperands,
     /*   33270 */     // GIR_Coverage, 46403,
     /*   33270 */     GIR_EraseRootFromParent_Done,
     /*   33271 */   // Label 586: @33271
     /*   33271 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33326), // Rule ID 46522 //
     /*   33276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33304 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33324 */     GIR_RootConstrainSelectedInstOperands,
     /*   33325 */     // GIR_Coverage, 46522,
     /*   33325 */     GIR_EraseRootFromParent_Done,
     /*   33326 */   // Label 587: @33326
     /*   33326 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33381), // Rule ID 46523 //
     /*   33331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33359 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33379 */     GIR_RootConstrainSelectedInstOperands,
     /*   33380 */     // GIR_Coverage, 46523,
     /*   33380 */     GIR_EraseRootFromParent_Done,
     /*   33381 */   // Label 588: @33381
     /*   33381 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33434), // Rule ID 46032 //
     /*   33386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33397 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33432 */     GIR_RootConstrainSelectedInstOperands,
     /*   33433 */     // GIR_Coverage, 46032,
     /*   33433 */     GIR_EraseRootFromParent_Done,
     /*   33434 */   // Label 589: @33434
     /*   33434 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33487), // Rule ID 46033 //
     /*   33439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33450 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33485 */     GIR_RootConstrainSelectedInstOperands,
     /*   33486 */     // GIR_Coverage, 46033,
     /*   33486 */     GIR_EraseRootFromParent_Done,
     /*   33487 */   // Label 590: @33487
     /*   33487 */   GIM_Reject,
     /*   33488 */ // Label 550: @33488
     /*   33488 */ GIM_Reject,
     /*   33489 */ // Label 137: @33489
     /*   33489 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(36613),
     /*   33494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33504 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33600), // Rule ID 70427 //
     /*   33509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33574 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33598 */     GIR_RootConstrainSelectedInstOperands,
     /*   33599 */     // GIR_Coverage, 70427,
     /*   33599 */     GIR_EraseRootFromParent_Done,
     /*   33600 */   // Label 592: @33600
     /*   33600 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 70428 //
     /*   33605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33670 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 70428,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33792), // Rule ID 70715 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33766 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33790 */     GIR_RootConstrainSelectedInstOperands,
     /*   33791 */     // GIR_Coverage, 70715,
     /*   33791 */     GIR_EraseRootFromParent_Done,
     /*   33792 */   // Label 594: @33792
     /*   33792 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33888), // Rule ID 70716 //
     /*   33797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33845 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33849 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33851 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33862 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33886 */     GIR_RootConstrainSelectedInstOperands,
     /*   33887 */     // GIR_Coverage, 70716,
     /*   33887 */     GIR_EraseRootFromParent_Done,
     /*   33888 */   // Label 595: @33888
     /*   33888 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33984), // Rule ID 70717 //
     /*   33893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33912 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33941 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33945 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33958 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 70717,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 596: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34080), // Rule ID 70718 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34037 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34041 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34043 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34054 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34078 */     GIR_RootConstrainSelectedInstOperands,
     /*   34079 */     // GIR_Coverage, 70718,
     /*   34079 */     GIR_EraseRootFromParent_Done,
     /*   34080 */   // Label 597: @34080
     /*   34080 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34176), // Rule ID 70541 //
     /*   34085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34133 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34137 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34139 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34150 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34174 */     GIR_RootConstrainSelectedInstOperands,
     /*   34175 */     // GIR_Coverage, 70541,
     /*   34175 */     GIR_EraseRootFromParent_Done,
     /*   34176 */   // Label 598: @34176
     /*   34176 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34272), // Rule ID 70542 //
     /*   34181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34196 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34229 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34233 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34235 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34246 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 70542,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 599: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34368), // Rule ID 51932 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34342 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34366 */     GIR_RootConstrainSelectedInstOperands,
     /*   34367 */     // GIR_Coverage, 51932,
     /*   34367 */     GIR_EraseRootFromParent_Done,
     /*   34368 */   // Label 600: @34368
     /*   34368 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34464), // Rule ID 51933 //
     /*   34373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34438 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34462 */     GIR_RootConstrainSelectedInstOperands,
     /*   34463 */     // GIR_Coverage, 51933,
     /*   34463 */     GIR_EraseRootFromParent_Done,
     /*   34464 */   // Label 601: @34464
     /*   34464 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34560), // Rule ID 52050 //
     /*   34469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34534 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34558 */     GIR_RootConstrainSelectedInstOperands,
     /*   34559 */     // GIR_Coverage, 52050,
     /*   34559 */     GIR_EraseRootFromParent_Done,
     /*   34560 */   // Label 602: @34560
     /*   34560 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34656), // Rule ID 52051 //
     /*   34565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34617 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34623 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34630 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34654 */     GIR_RootConstrainSelectedInstOperands,
     /*   34655 */     // GIR_Coverage, 52051,
     /*   34655 */     GIR_EraseRootFromParent_Done,
     /*   34656 */   // Label 603: @34656
     /*   34656 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34752), // Rule ID 70713 //
     /*   34661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34719 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34726 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34750 */     GIR_RootConstrainSelectedInstOperands,
     /*   34751 */     // GIR_Coverage, 70713,
     /*   34751 */     GIR_EraseRootFromParent_Done,
     /*   34752 */   // Label 604: @34752
     /*   34752 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34848), // Rule ID 70714 //
     /*   34757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34794 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34815 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34822 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34846 */     GIR_RootConstrainSelectedInstOperands,
     /*   34847 */     // GIR_Coverage, 70714,
     /*   34847 */     GIR_EraseRootFromParent_Done,
     /*   34848 */   // Label 605: @34848
     /*   34848 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34944), // Rule ID 51990 //
     /*   34853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34905 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34918 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34942 */     GIR_RootConstrainSelectedInstOperands,
     /*   34943 */     // GIR_Coverage, 51990,
     /*   34943 */     GIR_EraseRootFromParent_Done,
     /*   34944 */   // Label 606: @34944
     /*   34944 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35040), // Rule ID 51991 //
     /*   34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34986 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35001 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35007 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35014 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35038 */     GIR_RootConstrainSelectedInstOperands,
     /*   35039 */     // GIR_Coverage, 51991,
     /*   35039 */     GIR_EraseRootFromParent_Done,
     /*   35040 */   // Label 607: @35040
     /*   35040 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35129), // Rule ID 46602 //
     /*   35045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35088 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35127 */     GIR_RootConstrainSelectedInstOperands,
     /*   35128 */     // GIR_Coverage, 46602,
     /*   35128 */     GIR_EraseRootFromParent_Done,
     /*   35129 */   // Label 608: @35129
     /*   35129 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35218), // Rule ID 46603 //
     /*   35134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35177 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35216 */     GIR_RootConstrainSelectedInstOperands,
     /*   35217 */     // GIR_Coverage, 46603,
     /*   35217 */     GIR_EraseRootFromParent_Done,
     /*   35218 */   // Label 609: @35218
     /*   35218 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35307), // Rule ID 46366 //
     /*   35223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35266 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35305 */     GIR_RootConstrainSelectedInstOperands,
     /*   35306 */     // GIR_Coverage, 46366,
     /*   35306 */     GIR_EraseRootFromParent_Done,
     /*   35307 */   // Label 610: @35307
     /*   35307 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35396), // Rule ID 46367 //
     /*   35312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35346 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35355 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35394 */     GIR_RootConstrainSelectedInstOperands,
     /*   35395 */     // GIR_Coverage, 46367,
     /*   35395 */     GIR_EraseRootFromParent_Done,
     /*   35396 */   // Label 611: @35396
     /*   35396 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35485), // Rule ID 46482 //
     /*   35401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35444 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35483 */     GIR_RootConstrainSelectedInstOperands,
     /*   35484 */     // GIR_Coverage, 46482,
     /*   35484 */     GIR_EraseRootFromParent_Done,
     /*   35485 */   // Label 612: @35485
     /*   35485 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35574), // Rule ID 46483 //
     /*   35490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35533 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35572 */     GIR_RootConstrainSelectedInstOperands,
     /*   35573 */     // GIR_Coverage, 46483,
     /*   35573 */     GIR_EraseRootFromParent_Done,
     /*   35574 */   // Label 613: @35574
     /*   35574 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35642), // Rule ID 70343 //
     /*   35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35616 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35640 */     GIR_RootConstrainSelectedInstOperands,
     /*   35641 */     // GIR_Coverage, 70343,
     /*   35641 */     GIR_EraseRootFromParent_Done,
     /*   35642 */   // Label 614: @35642
     /*   35642 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35710), // Rule ID 70344 //
     /*   35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35684 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35708 */     GIR_RootConstrainSelectedInstOperands,
     /*   35709 */     // GIR_Coverage, 70344,
     /*   35709 */     GIR_EraseRootFromParent_Done,
     /*   35710 */   // Label 615: @35710
     /*   35710 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35765), // Rule ID 69251 //
     /*   35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35743 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35763 */     GIR_RootConstrainSelectedInstOperands,
     /*   35764 */     // GIR_Coverage, 69251,
     /*   35764 */     GIR_EraseRootFromParent_Done,
     /*   35765 */   // Label 616: @35765
     /*   35765 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35820), // Rule ID 69252 //
     /*   35770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35798 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35818 */     GIR_RootConstrainSelectedInstOperands,
     /*   35819 */     // GIR_Coverage, 69252,
     /*   35819 */     GIR_EraseRootFromParent_Done,
     /*   35820 */   // Label 617: @35820
     /*   35820 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35875), // Rule ID 69071 //
     /*   35825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35853 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35873 */     GIR_RootConstrainSelectedInstOperands,
     /*   35874 */     // GIR_Coverage, 69071,
     /*   35874 */     GIR_EraseRootFromParent_Done,
     /*   35875 */   // Label 618: @35875
     /*   35875 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35930), // Rule ID 69072 //
     /*   35880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35908 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35928 */     GIR_RootConstrainSelectedInstOperands,
     /*   35929 */     // GIR_Coverage, 69072,
     /*   35929 */     GIR_EraseRootFromParent_Done,
     /*   35930 */   // Label 619: @35930
     /*   35930 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35985), // Rule ID 69161 //
     /*   35935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35963 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35983 */     GIR_RootConstrainSelectedInstOperands,
     /*   35984 */     // GIR_Coverage, 69161,
     /*   35984 */     GIR_EraseRootFromParent_Done,
     /*   35985 */   // Label 620: @35985
     /*   35985 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36040), // Rule ID 69162 //
     /*   35990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36018 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36038 */     GIR_RootConstrainSelectedInstOperands,
     /*   36039 */     // GIR_Coverage, 69162,
     /*   36039 */     GIR_EraseRootFromParent_Done,
     /*   36040 */   // Label 621: @36040
     /*   36040 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36108), // Rule ID 51812 //
     /*   36045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36082 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   36082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36106 */     GIR_RootConstrainSelectedInstOperands,
     /*   36107 */     // GIR_Coverage, 51812,
     /*   36107 */     GIR_EraseRootFromParent_Done,
     /*   36108 */   // Label 622: @36108
     /*   36108 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36176), // Rule ID 51813 //
     /*   36113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36150 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36174 */     GIR_RootConstrainSelectedInstOperands,
     /*   36175 */     // GIR_Coverage, 51813,
     /*   36175 */     GIR_EraseRootFromParent_Done,
     /*   36176 */   // Label 623: @36176
     /*   36176 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36231), // Rule ID 46662 //
     /*   36181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36209 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36229 */     GIR_RootConstrainSelectedInstOperands,
     /*   36230 */     // GIR_Coverage, 46662,
     /*   36230 */     GIR_EraseRootFromParent_Done,
     /*   36231 */   // Label 624: @36231
     /*   36231 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36286), // Rule ID 46663 //
     /*   36236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36264 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36284 */     GIR_RootConstrainSelectedInstOperands,
     /*   36285 */     // GIR_Coverage, 46663,
     /*   36285 */     GIR_EraseRootFromParent_Done,
     /*   36286 */   // Label 625: @36286
     /*   36286 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36341), // Rule ID 46422 //
     /*   36291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36319 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36339 */     GIR_RootConstrainSelectedInstOperands,
     /*   36340 */     // GIR_Coverage, 46422,
     /*   36340 */     GIR_EraseRootFromParent_Done,
     /*   36341 */   // Label 626: @36341
     /*   36341 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36396), // Rule ID 46423 //
     /*   36346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36374 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36394 */     GIR_RootConstrainSelectedInstOperands,
     /*   36395 */     // GIR_Coverage, 46423,
     /*   36395 */     GIR_EraseRootFromParent_Done,
     /*   36396 */   // Label 627: @36396
     /*   36396 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36451), // Rule ID 46542 //
     /*   36401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36429 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36449 */     GIR_RootConstrainSelectedInstOperands,
     /*   36450 */     // GIR_Coverage, 46542,
     /*   36450 */     GIR_EraseRootFromParent_Done,
     /*   36451 */   // Label 628: @36451
     /*   36451 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36506), // Rule ID 46543 //
     /*   36456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36484 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36504 */     GIR_RootConstrainSelectedInstOperands,
     /*   36505 */     // GIR_Coverage, 46543,
     /*   36505 */     GIR_EraseRootFromParent_Done,
     /*   36506 */   // Label 629: @36506
     /*   36506 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36559), // Rule ID 46048 //
     /*   36511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36522 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36557 */     GIR_RootConstrainSelectedInstOperands,
     /*   36558 */     // GIR_Coverage, 46048,
     /*   36558 */     GIR_EraseRootFromParent_Done,
     /*   36559 */   // Label 630: @36559
     /*   36559 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36612), // Rule ID 46049 //
     /*   36564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36575 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36610 */     GIR_RootConstrainSelectedInstOperands,
     /*   36611 */     // GIR_Coverage, 46049,
     /*   36611 */     GIR_EraseRootFromParent_Done,
     /*   36612 */   // Label 631: @36612
     /*   36612 */   GIM_Reject,
     /*   36613 */ // Label 591: @36613
     /*   36613 */ GIM_Reject,
     /*   36614 */ // Label 138: @36614
     /*   36614 */ GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(37008),
     /*   36619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36629 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36697), // Rule ID 70231 //
     /*   36634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36671 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36695 */     GIR_RootConstrainSelectedInstOperands,
     /*   36696 */     // GIR_Coverage, 70231,
     /*   36696 */     GIR_EraseRootFromParent_Done,
     /*   36697 */   // Label 633: @36697
     /*   36697 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36765), // Rule ID 70232 //
     /*   36702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36739 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36763 */     GIR_RootConstrainSelectedInstOperands,
     /*   36764 */     // GIR_Coverage, 70232,
     /*   36764 */     GIR_EraseRootFromParent_Done,
     /*   36765 */   // Label 634: @36765
     /*   36765 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36833), // Rule ID 51756 //
     /*   36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36807 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36831 */     GIR_RootConstrainSelectedInstOperands,
     /*   36832 */     // GIR_Coverage, 51756,
     /*   36832 */     GIR_EraseRootFromParent_Done,
     /*   36833 */   // Label 635: @36833
     /*   36833 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36901), // Rule ID 51757 //
     /*   36838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36875 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36899 */     GIR_RootConstrainSelectedInstOperands,
     /*   36900 */     // GIR_Coverage, 51757,
     /*   36900 */     GIR_EraseRootFromParent_Done,
     /*   36901 */   // Label 636: @36901
     /*   36901 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36954), // Rule ID 45992 //
     /*   36906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36917 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36952 */     GIR_RootConstrainSelectedInstOperands,
     /*   36953 */     // GIR_Coverage, 45992,
     /*   36953 */     GIR_EraseRootFromParent_Done,
     /*   36954 */   // Label 637: @36954
     /*   36954 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37007), // Rule ID 45993 //
     /*   36959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36970 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37005 */     GIR_RootConstrainSelectedInstOperands,
     /*   37006 */     // GIR_Coverage, 45993,
     /*   37006 */     GIR_EraseRootFromParent_Done,
     /*   37007 */   // Label 638: @37007
     /*   37007 */   GIM_Reject,
     /*   37008 */ // Label 632: @37008
     /*   37008 */ GIM_Reject,
     /*   37009 */ // Label 139: @37009
     /*   37009 */ GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40133),
     /*   37014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37024 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37120), // Rule ID 70407 //
     /*   37029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37094 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37118 */     GIR_RootConstrainSelectedInstOperands,
     /*   37119 */     // GIR_Coverage, 70407,
     /*   37119 */     GIR_EraseRootFromParent_Done,
     /*   37120 */   // Label 640: @37120
     /*   37120 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37216), // Rule ID 70408 //
     /*   37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37190 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37214 */     GIR_RootConstrainSelectedInstOperands,
     /*   37215 */     // GIR_Coverage, 70408,
     /*   37215 */     GIR_EraseRootFromParent_Done,
     /*   37216 */   // Label 641: @37216
     /*   37216 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37312), // Rule ID 70655 //
     /*   37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37286 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37310 */     GIR_RootConstrainSelectedInstOperands,
     /*   37311 */     // GIR_Coverage, 70655,
     /*   37311 */     GIR_EraseRootFromParent_Done,
     /*   37312 */   // Label 642: @37312
     /*   37312 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37408), // Rule ID 70656 //
     /*   37317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37382 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37406 */     GIR_RootConstrainSelectedInstOperands,
     /*   37407 */     // GIR_Coverage, 70656,
     /*   37407 */     GIR_EraseRootFromParent_Done,
     /*   37408 */   // Label 643: @37408
     /*   37408 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37504), // Rule ID 70657 //
     /*   37413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37478 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37502 */     GIR_RootConstrainSelectedInstOperands,
     /*   37503 */     // GIR_Coverage, 70657,
     /*   37503 */     GIR_EraseRootFromParent_Done,
     /*   37504 */   // Label 644: @37504
     /*   37504 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37600), // Rule ID 70658 //
     /*   37509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37574 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37598 */     GIR_RootConstrainSelectedInstOperands,
     /*   37599 */     // GIR_Coverage, 70658,
     /*   37599 */     GIR_EraseRootFromParent_Done,
     /*   37600 */   // Label 645: @37600
     /*   37600 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37696), // Rule ID 70521 //
     /*   37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37670 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37694 */     GIR_RootConstrainSelectedInstOperands,
     /*   37695 */     // GIR_Coverage, 70521,
     /*   37695 */     GIR_EraseRootFromParent_Done,
     /*   37696 */   // Label 646: @37696
     /*   37696 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37792), // Rule ID 70522 //
     /*   37701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37766 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 70522,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 647: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37888), // Rule ID 51912 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37849 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37853 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37855 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37862 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37886 */     GIR_RootConstrainSelectedInstOperands,
     /*   37887 */     // GIR_Coverage, 51912,
     /*   37887 */     GIR_EraseRootFromParent_Done,
     /*   37888 */   // Label 648: @37888
     /*   37888 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(37984), // Rule ID 51913 //
     /*   37893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37945 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37949 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37958 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37982 */     GIR_RootConstrainSelectedInstOperands,
     /*   37983 */     // GIR_Coverage, 51913,
     /*   37983 */     GIR_EraseRootFromParent_Done,
     /*   37984 */   // Label 649: @37984
     /*   37984 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38080), // Rule ID 52030 //
     /*   37989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38045 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38047 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38054 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38078 */     GIR_RootConstrainSelectedInstOperands,
     /*   38079 */     // GIR_Coverage, 52030,
     /*   38079 */     GIR_EraseRootFromParent_Done,
     /*   38080 */   // Label 650: @38080
     /*   38080 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38176), // Rule ID 52031 //
     /*   38085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38137 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38141 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38143 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38150 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38174 */     GIR_RootConstrainSelectedInstOperands,
     /*   38175 */     // GIR_Coverage, 52031,
     /*   38175 */     GIR_EraseRootFromParent_Done,
     /*   38176 */   // Label 651: @38176
     /*   38176 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38272), // Rule ID 70653 //
     /*   38181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38233 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38237 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38246 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38270 */     GIR_RootConstrainSelectedInstOperands,
     /*   38271 */     // GIR_Coverage, 70653,
     /*   38271 */     GIR_EraseRootFromParent_Done,
     /*   38272 */   // Label 652: @38272
     /*   38272 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38368), // Rule ID 70654 //
     /*   38277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38342 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38366 */     GIR_RootConstrainSelectedInstOperands,
     /*   38367 */     // GIR_Coverage, 70654,
     /*   38367 */     GIR_EraseRootFromParent_Done,
     /*   38368 */   // Label 653: @38368
     /*   38368 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38464), // Rule ID 51970 //
     /*   38373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38438 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38462 */     GIR_RootConstrainSelectedInstOperands,
     /*   38463 */     // GIR_Coverage, 51970,
     /*   38463 */     GIR_EraseRootFromParent_Done,
     /*   38464 */   // Label 654: @38464
     /*   38464 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38560), // Rule ID 51971 //
     /*   38469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38534 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38558 */     GIR_RootConstrainSelectedInstOperands,
     /*   38559 */     // GIR_Coverage, 51971,
     /*   38559 */     GIR_EraseRootFromParent_Done,
     /*   38560 */   // Label 655: @38560
     /*   38560 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38649), // Rule ID 46562 //
     /*   38565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38599 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38608 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38647 */     GIR_RootConstrainSelectedInstOperands,
     /*   38648 */     // GIR_Coverage, 46562,
     /*   38648 */     GIR_EraseRootFromParent_Done,
     /*   38649 */   // Label 656: @38649
     /*   38649 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38738), // Rule ID 46563 //
     /*   38654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38697 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38736 */     GIR_RootConstrainSelectedInstOperands,
     /*   38737 */     // GIR_Coverage, 46563,
     /*   38737 */     GIR_EraseRootFromParent_Done,
     /*   38738 */   // Label 657: @38738
     /*   38738 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38827), // Rule ID 46326 //
     /*   38743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38786 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38825 */     GIR_RootConstrainSelectedInstOperands,
     /*   38826 */     // GIR_Coverage, 46326,
     /*   38826 */     GIR_EraseRootFromParent_Done,
     /*   38827 */   // Label 658: @38827
     /*   38827 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38916), // Rule ID 46327 //
     /*   38832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38875 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38914 */     GIR_RootConstrainSelectedInstOperands,
     /*   38915 */     // GIR_Coverage, 46327,
     /*   38915 */     GIR_EraseRootFromParent_Done,
     /*   38916 */   // Label 659: @38916
     /*   38916 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39005), // Rule ID 46442 //
     /*   38921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38964 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39003 */     GIR_RootConstrainSelectedInstOperands,
     /*   39004 */     // GIR_Coverage, 46442,
     /*   39004 */     GIR_EraseRootFromParent_Done,
     /*   39005 */   // Label 660: @39005
     /*   39005 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39094), // Rule ID 46443 //
     /*   39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39053 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   39053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   39070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39092 */     GIR_RootConstrainSelectedInstOperands,
     /*   39093 */     // GIR_Coverage, 46443,
     /*   39093 */     GIR_EraseRootFromParent_Done,
     /*   39094 */   // Label 661: @39094
     /*   39094 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39162), // Rule ID 70287 //
     /*   39099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39136 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39160 */     GIR_RootConstrainSelectedInstOperands,
     /*   39161 */     // GIR_Coverage, 70287,
     /*   39161 */     GIR_EraseRootFromParent_Done,
     /*   39162 */   // Label 662: @39162
     /*   39162 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39230), // Rule ID 70288 //
     /*   39167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39204 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39228 */     GIR_RootConstrainSelectedInstOperands,
     /*   39229 */     // GIR_Coverage, 70288,
     /*   39229 */     GIR_EraseRootFromParent_Done,
     /*   39230 */   // Label 663: @39230
     /*   39230 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39285), // Rule ID 69211 //
     /*   39235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39263 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39283 */     GIR_RootConstrainSelectedInstOperands,
     /*   39284 */     // GIR_Coverage, 69211,
     /*   39284 */     GIR_EraseRootFromParent_Done,
     /*   39285 */   // Label 664: @39285
     /*   39285 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39340), // Rule ID 69212 //
     /*   39290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39318 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39338 */     GIR_RootConstrainSelectedInstOperands,
     /*   39339 */     // GIR_Coverage, 69212,
     /*   39339 */     GIR_EraseRootFromParent_Done,
     /*   39340 */   // Label 665: @39340
     /*   39340 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39395), // Rule ID 69031 //
     /*   39345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39373 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39393 */     GIR_RootConstrainSelectedInstOperands,
     /*   39394 */     // GIR_Coverage, 69031,
     /*   39394 */     GIR_EraseRootFromParent_Done,
     /*   39395 */   // Label 666: @39395
     /*   39395 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39450), // Rule ID 69032 //
     /*   39400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39428 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39448 */     GIR_RootConstrainSelectedInstOperands,
     /*   39449 */     // GIR_Coverage, 69032,
     /*   39449 */     GIR_EraseRootFromParent_Done,
     /*   39450 */   // Label 667: @39450
     /*   39450 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39505), // Rule ID 69121 //
     /*   39455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39483 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39503 */     GIR_RootConstrainSelectedInstOperands,
     /*   39504 */     // GIR_Coverage, 69121,
     /*   39504 */     GIR_EraseRootFromParent_Done,
     /*   39505 */   // Label 668: @39505
     /*   39505 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39560), // Rule ID 69122 //
     /*   39510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39538 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39558 */     GIR_RootConstrainSelectedInstOperands,
     /*   39559 */     // GIR_Coverage, 69122,
     /*   39559 */     GIR_EraseRootFromParent_Done,
     /*   39560 */   // Label 669: @39560
     /*   39560 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39628), // Rule ID 51784 //
     /*   39565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39602 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39626 */     GIR_RootConstrainSelectedInstOperands,
     /*   39627 */     // GIR_Coverage, 51784,
     /*   39627 */     GIR_EraseRootFromParent_Done,
     /*   39628 */   // Label 670: @39628
     /*   39628 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39696), // Rule ID 51785 //
     /*   39633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39670 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39694 */     GIR_RootConstrainSelectedInstOperands,
     /*   39695 */     // GIR_Coverage, 51785,
     /*   39695 */     GIR_EraseRootFromParent_Done,
     /*   39696 */   // Label 671: @39696
     /*   39696 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39751), // Rule ID 46622 //
     /*   39701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39729 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39749 */     GIR_RootConstrainSelectedInstOperands,
     /*   39750 */     // GIR_Coverage, 46622,
     /*   39750 */     GIR_EraseRootFromParent_Done,
     /*   39751 */   // Label 672: @39751
     /*   39751 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39806), // Rule ID 46623 //
     /*   39756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39784 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39804 */     GIR_RootConstrainSelectedInstOperands,
     /*   39805 */     // GIR_Coverage, 46623,
     /*   39805 */     GIR_EraseRootFromParent_Done,
     /*   39806 */   // Label 673: @39806
     /*   39806 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39861), // Rule ID 46382 //
     /*   39811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39839 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39859 */     GIR_RootConstrainSelectedInstOperands,
     /*   39860 */     // GIR_Coverage, 46382,
     /*   39860 */     GIR_EraseRootFromParent_Done,
     /*   39861 */   // Label 674: @39861
     /*   39861 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39916), // Rule ID 46383 //
     /*   39866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39894 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39914 */     GIR_RootConstrainSelectedInstOperands,
     /*   39915 */     // GIR_Coverage, 46383,
     /*   39915 */     GIR_EraseRootFromParent_Done,
     /*   39916 */   // Label 675: @39916
     /*   39916 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(39971), // Rule ID 46502 //
     /*   39921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39949 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39969 */     GIR_RootConstrainSelectedInstOperands,
     /*   39970 */     // GIR_Coverage, 46502,
     /*   39970 */     GIR_EraseRootFromParent_Done,
     /*   39971 */   // Label 676: @39971
     /*   39971 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40026), // Rule ID 46503 //
     /*   39976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40004 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   40007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40024 */     GIR_RootConstrainSelectedInstOperands,
     /*   40025 */     // GIR_Coverage, 46503,
     /*   40025 */     GIR_EraseRootFromParent_Done,
     /*   40026 */   // Label 677: @40026
     /*   40026 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40079), // Rule ID 46020 //
     /*   40031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40042 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   40042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40077 */     GIR_RootConstrainSelectedInstOperands,
     /*   40078 */     // GIR_Coverage, 46020,
     /*   40078 */     GIR_EraseRootFromParent_Done,
     /*   40079 */   // Label 678: @40079
     /*   40079 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40132), // Rule ID 46021 //
     /*   40084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40095 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40130 */     GIR_RootConstrainSelectedInstOperands,
     /*   40131 */     // GIR_Coverage, 46021,
     /*   40131 */     GIR_EraseRootFromParent_Done,
     /*   40132 */   // Label 679: @40132
     /*   40132 */   GIM_Reject,
     /*   40133 */ // Label 639: @40133
     /*   40133 */ GIM_Reject,
     /*   40134 */ // Label 140: @40134
     /*   40134 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(43258),
     /*   40139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40149 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40245), // Rule ID 70419 //
     /*   40154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40187 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40202 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40206 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40219 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40243 */     GIR_RootConstrainSelectedInstOperands,
     /*   40244 */     // GIR_Coverage, 70419,
     /*   40244 */     GIR_EraseRootFromParent_Done,
     /*   40245 */   // Label 681: @40245
     /*   40245 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40341), // Rule ID 70420 //
     /*   40250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40298 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40302 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40304 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40315 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40339 */     GIR_RootConstrainSelectedInstOperands,
     /*   40340 */     // GIR_Coverage, 70420,
     /*   40340 */     GIR_EraseRootFromParent_Done,
     /*   40341 */   // Label 682: @40341
     /*   40341 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40437), // Rule ID 70691 //
     /*   40346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40394 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40398 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40400 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40411 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40435 */     GIR_RootConstrainSelectedInstOperands,
     /*   40436 */     // GIR_Coverage, 70691,
     /*   40436 */     GIR_EraseRootFromParent_Done,
     /*   40437 */   // Label 683: @40437
     /*   40437 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40533), // Rule ID 70692 //
     /*   40442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40494 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40507 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40531 */     GIR_RootConstrainSelectedInstOperands,
     /*   40532 */     // GIR_Coverage, 70692,
     /*   40532 */     GIR_EraseRootFromParent_Done,
     /*   40533 */   // Label 684: @40533
     /*   40533 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40629), // Rule ID 70693 //
     /*   40538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40590 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40592 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40603 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40627 */     GIR_RootConstrainSelectedInstOperands,
     /*   40628 */     // GIR_Coverage, 70693,
     /*   40628 */     GIR_EraseRootFromParent_Done,
     /*   40629 */   // Label 685: @40629
     /*   40629 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40725), // Rule ID 70694 //
     /*   40634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40667 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40686 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40688 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40699 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40723 */     GIR_RootConstrainSelectedInstOperands,
     /*   40724 */     // GIR_Coverage, 70694,
     /*   40724 */     GIR_EraseRootFromParent_Done,
     /*   40725 */   // Label 686: @40725
     /*   40725 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40821), // Rule ID 70533 //
     /*   40730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40782 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40784 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40795 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40819 */     GIR_RootConstrainSelectedInstOperands,
     /*   40820 */     // GIR_Coverage, 70533,
     /*   40820 */     GIR_EraseRootFromParent_Done,
     /*   40821 */   // Label 687: @40821
     /*   40821 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40917), // Rule ID 70534 //
     /*   40826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40874 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40878 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40880 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40891 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40915 */     GIR_RootConstrainSelectedInstOperands,
     /*   40916 */     // GIR_Coverage, 70534,
     /*   40916 */     GIR_EraseRootFromParent_Done,
     /*   40917 */   // Label 688: @40917
     /*   40917 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41013), // Rule ID 51924 //
     /*   40922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40974 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40978 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40980 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40987 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   40994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41011 */     GIR_RootConstrainSelectedInstOperands,
     /*   41012 */     // GIR_Coverage, 51924,
     /*   41012 */     GIR_EraseRootFromParent_Done,
     /*   41013 */   // Label 689: @41013
     /*   41013 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41109), // Rule ID 51925 //
     /*   41018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41070 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41074 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41083 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41107 */     GIR_RootConstrainSelectedInstOperands,
     /*   41108 */     // GIR_Coverage, 51925,
     /*   41108 */     GIR_EraseRootFromParent_Done,
     /*   41109 */   // Label 690: @41109
     /*   41109 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41205), // Rule ID 52042 //
     /*   41114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41166 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41179 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41203 */     GIR_RootConstrainSelectedInstOperands,
     /*   41204 */     // GIR_Coverage, 52042,
     /*   41204 */     GIR_EraseRootFromParent_Done,
     /*   41205 */   // Label 691: @41205
     /*   41205 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41301), // Rule ID 52043 //
     /*   41210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41262 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41268 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41275 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41299 */     GIR_RootConstrainSelectedInstOperands,
     /*   41300 */     // GIR_Coverage, 52043,
     /*   41300 */     GIR_EraseRootFromParent_Done,
     /*   41301 */   // Label 692: @41301
     /*   41301 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41397), // Rule ID 70689 //
     /*   41306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41358 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41364 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41371 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41395 */     GIR_RootConstrainSelectedInstOperands,
     /*   41396 */     // GIR_Coverage, 70689,
     /*   41396 */     GIR_EraseRootFromParent_Done,
     /*   41397 */   // Label 693: @41397
     /*   41397 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41493), // Rule ID 70690 //
     /*   41402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41454 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41460 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41467 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41491 */     GIR_RootConstrainSelectedInstOperands,
     /*   41492 */     // GIR_Coverage, 70690,
     /*   41492 */     GIR_EraseRootFromParent_Done,
     /*   41493 */   // Label 694: @41493
     /*   41493 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41589), // Rule ID 51982 //
     /*   41498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41550 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41556 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41563 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41587 */     GIR_RootConstrainSelectedInstOperands,
     /*   41588 */     // GIR_Coverage, 51982,
     /*   41588 */     GIR_EraseRootFromParent_Done,
     /*   41589 */   // Label 695: @41589
     /*   41589 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41685), // Rule ID 51983 //
     /*   41594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41646 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41652 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41659 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41683 */     GIR_RootConstrainSelectedInstOperands,
     /*   41684 */     // GIR_Coverage, 51983,
     /*   41684 */     GIR_EraseRootFromParent_Done,
     /*   41685 */   // Label 696: @41685
     /*   41685 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41774), // Rule ID 46586 //
     /*   41690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41772 */     GIR_RootConstrainSelectedInstOperands,
     /*   41773 */     // GIR_Coverage, 46586,
     /*   41773 */     GIR_EraseRootFromParent_Done,
     /*   41774 */   // Label 697: @41774
     /*   41774 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41863), // Rule ID 46587 //
     /*   41779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41822 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41861 */     GIR_RootConstrainSelectedInstOperands,
     /*   41862 */     // GIR_Coverage, 46587,
     /*   41862 */     GIR_EraseRootFromParent_Done,
     /*   41863 */   // Label 698: @41863
     /*   41863 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41952), // Rule ID 46350 //
     /*   41868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41902 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41911 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41950 */     GIR_RootConstrainSelectedInstOperands,
     /*   41951 */     // GIR_Coverage, 46350,
     /*   41951 */     GIR_EraseRootFromParent_Done,
     /*   41952 */   // Label 699: @41952
     /*   41952 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42041), // Rule ID 46351 //
     /*   41957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41991 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42000 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   42017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42039 */     GIR_RootConstrainSelectedInstOperands,
     /*   42040 */     // GIR_Coverage, 46351,
     /*   42040 */     GIR_EraseRootFromParent_Done,
     /*   42041 */   // Label 700: @42041
     /*   42041 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42130), // Rule ID 46466 //
     /*   42046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42089 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42128 */     GIR_RootConstrainSelectedInstOperands,
     /*   42129 */     // GIR_Coverage, 46466,
     /*   42129 */     GIR_EraseRootFromParent_Done,
     /*   42130 */   // Label 701: @42130
     /*   42130 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42219), // Rule ID 46467 //
     /*   42135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42178 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42217 */     GIR_RootConstrainSelectedInstOperands,
     /*   42218 */     // GIR_Coverage, 46467,
     /*   42218 */     GIR_EraseRootFromParent_Done,
     /*   42219 */   // Label 702: @42219
     /*   42219 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42287), // Rule ID 70319 //
     /*   42224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42261 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42285 */     GIR_RootConstrainSelectedInstOperands,
     /*   42286 */     // GIR_Coverage, 70319,
     /*   42286 */     GIR_EraseRootFromParent_Done,
     /*   42287 */   // Label 703: @42287
     /*   42287 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42355), // Rule ID 70320 //
     /*   42292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42329 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42353 */     GIR_RootConstrainSelectedInstOperands,
     /*   42354 */     // GIR_Coverage, 70320,
     /*   42354 */     GIR_EraseRootFromParent_Done,
     /*   42355 */   // Label 704: @42355
     /*   42355 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42410), // Rule ID 69235 //
     /*   42360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42388 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42408 */     GIR_RootConstrainSelectedInstOperands,
     /*   42409 */     // GIR_Coverage, 69235,
     /*   42409 */     GIR_EraseRootFromParent_Done,
     /*   42410 */   // Label 705: @42410
     /*   42410 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42465), // Rule ID 69236 //
     /*   42415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42443 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42463 */     GIR_RootConstrainSelectedInstOperands,
     /*   42464 */     // GIR_Coverage, 69236,
     /*   42464 */     GIR_EraseRootFromParent_Done,
     /*   42465 */   // Label 706: @42465
     /*   42465 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42520), // Rule ID 69055 //
     /*   42470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42498 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42518 */     GIR_RootConstrainSelectedInstOperands,
     /*   42519 */     // GIR_Coverage, 69055,
     /*   42519 */     GIR_EraseRootFromParent_Done,
     /*   42520 */   // Label 707: @42520
     /*   42520 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42575), // Rule ID 69056 //
     /*   42525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42553 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42573 */     GIR_RootConstrainSelectedInstOperands,
     /*   42574 */     // GIR_Coverage, 69056,
     /*   42574 */     GIR_EraseRootFromParent_Done,
     /*   42575 */   // Label 708: @42575
     /*   42575 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42630), // Rule ID 69145 //
     /*   42580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42608 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42628 */     GIR_RootConstrainSelectedInstOperands,
     /*   42629 */     // GIR_Coverage, 69145,
     /*   42629 */     GIR_EraseRootFromParent_Done,
     /*   42630 */   // Label 709: @42630
     /*   42630 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42685), // Rule ID 69146 //
     /*   42635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42663 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42683 */     GIR_RootConstrainSelectedInstOperands,
     /*   42684 */     // GIR_Coverage, 69146,
     /*   42684 */     GIR_EraseRootFromParent_Done,
     /*   42685 */   // Label 710: @42685
     /*   42685 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42753), // Rule ID 51800 //
     /*   42690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42727 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42751 */     GIR_RootConstrainSelectedInstOperands,
     /*   42752 */     // GIR_Coverage, 51800,
     /*   42752 */     GIR_EraseRootFromParent_Done,
     /*   42753 */   // Label 711: @42753
     /*   42753 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42821), // Rule ID 51801 //
     /*   42758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42795 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42819 */     GIR_RootConstrainSelectedInstOperands,
     /*   42820 */     // GIR_Coverage, 51801,
     /*   42820 */     GIR_EraseRootFromParent_Done,
     /*   42821 */   // Label 712: @42821
     /*   42821 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42876), // Rule ID 46646 //
     /*   42826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42854 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42874 */     GIR_RootConstrainSelectedInstOperands,
     /*   42875 */     // GIR_Coverage, 46646,
     /*   42875 */     GIR_EraseRootFromParent_Done,
     /*   42876 */   // Label 713: @42876
     /*   42876 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42931), // Rule ID 46647 //
     /*   42881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42909 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42929 */     GIR_RootConstrainSelectedInstOperands,
     /*   42930 */     // GIR_Coverage, 46647,
     /*   42930 */     GIR_EraseRootFromParent_Done,
     /*   42931 */   // Label 714: @42931
     /*   42931 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42986), // Rule ID 46406 //
     /*   42936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42964 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42984 */     GIR_RootConstrainSelectedInstOperands,
     /*   42985 */     // GIR_Coverage, 46406,
     /*   42985 */     GIR_EraseRootFromParent_Done,
     /*   42986 */   // Label 715: @42986
     /*   42986 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43041), // Rule ID 46407 //
     /*   42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43019 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   43022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43039 */     GIR_RootConstrainSelectedInstOperands,
     /*   43040 */     // GIR_Coverage, 46407,
     /*   43040 */     GIR_EraseRootFromParent_Done,
     /*   43041 */   // Label 716: @43041
     /*   43041 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43096), // Rule ID 46526 //
     /*   43046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43074 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43094 */     GIR_RootConstrainSelectedInstOperands,
     /*   43095 */     // GIR_Coverage, 46526,
     /*   43095 */     GIR_EraseRootFromParent_Done,
     /*   43096 */   // Label 717: @43096
     /*   43096 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43151), // Rule ID 46527 //
     /*   43101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43129 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43149 */     GIR_RootConstrainSelectedInstOperands,
     /*   43150 */     // GIR_Coverage, 46527,
     /*   43150 */     GIR_EraseRootFromParent_Done,
     /*   43151 */   // Label 718: @43151
     /*   43151 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43204), // Rule ID 46036 //
     /*   43156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43167 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43202 */     GIR_RootConstrainSelectedInstOperands,
     /*   43203 */     // GIR_Coverage, 46036,
     /*   43203 */     GIR_EraseRootFromParent_Done,
     /*   43204 */   // Label 719: @43204
     /*   43204 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43257), // Rule ID 46037 //
     /*   43209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43220 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43255 */     GIR_RootConstrainSelectedInstOperands,
     /*   43256 */     // GIR_Coverage, 46037,
     /*   43256 */     GIR_EraseRootFromParent_Done,
     /*   43257 */   // Label 720: @43257
     /*   43257 */   GIM_Reject,
     /*   43258 */ // Label 680: @43258
     /*   43258 */ GIM_Reject,
     /*   43259 */ // Label 141: @43259
     /*   43259 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(46383),
     /*   43264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43274 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43370), // Rule ID 70429 //
     /*   43279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43344 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43368 */     GIR_RootConstrainSelectedInstOperands,
     /*   43369 */     // GIR_Coverage, 70429,
     /*   43369 */     GIR_EraseRootFromParent_Done,
     /*   43370 */   // Label 722: @43370
     /*   43370 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 70430 //
     /*   43375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43440 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 70430,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43562), // Rule ID 70721 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43536 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43560 */     GIR_RootConstrainSelectedInstOperands,
     /*   43561 */     // GIR_Coverage, 70721,
     /*   43561 */     GIR_EraseRootFromParent_Done,
     /*   43562 */   // Label 724: @43562
     /*   43562 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43658), // Rule ID 70722 //
     /*   43567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43619 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43621 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43632 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43656 */     GIR_RootConstrainSelectedInstOperands,
     /*   43657 */     // GIR_Coverage, 70722,
     /*   43657 */     GIR_EraseRootFromParent_Done,
     /*   43658 */   // Label 725: @43658
     /*   43658 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43754), // Rule ID 70723 //
     /*   43663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43711 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43715 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43717 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43728 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 70723,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 726: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43850), // Rule ID 70724 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43792 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43807 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43811 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43813 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43824 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43848 */     GIR_RootConstrainSelectedInstOperands,
     /*   43849 */     // GIR_Coverage, 70724,
     /*   43849 */     GIR_EraseRootFromParent_Done,
     /*   43850 */   // Label 727: @43850
     /*   43850 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43946), // Rule ID 70543 //
     /*   43855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43907 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43909 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43920 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43944 */     GIR_RootConstrainSelectedInstOperands,
     /*   43945 */     // GIR_Coverage, 70543,
     /*   43945 */     GIR_EraseRootFromParent_Done,
     /*   43946 */   // Label 728: @43946
     /*   43946 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44042), // Rule ID 70544 //
     /*   43951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43999 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44003 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44005 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44016 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 70544,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 729: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44138), // Rule ID 51934 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44112 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44136 */     GIR_RootConstrainSelectedInstOperands,
     /*   44137 */     // GIR_Coverage, 51934,
     /*   44137 */     GIR_EraseRootFromParent_Done,
     /*   44138 */   // Label 730: @44138
     /*   44138 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44234), // Rule ID 51935 //
     /*   44143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44208 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44232 */     GIR_RootConstrainSelectedInstOperands,
     /*   44233 */     // GIR_Coverage, 51935,
     /*   44233 */     GIR_EraseRootFromParent_Done,
     /*   44234 */   // Label 731: @44234
     /*   44234 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44330), // Rule ID 52052 //
     /*   44239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44304 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44328 */     GIR_RootConstrainSelectedInstOperands,
     /*   44329 */     // GIR_Coverage, 52052,
     /*   44329 */     GIR_EraseRootFromParent_Done,
     /*   44330 */   // Label 732: @44330
     /*   44330 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44426), // Rule ID 52053 //
     /*   44335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44387 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44400 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 52053,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 733: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44522), // Rule ID 70719 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44483 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44489 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44496 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44520 */     GIR_RootConstrainSelectedInstOperands,
     /*   44521 */     // GIR_Coverage, 70719,
     /*   44521 */     GIR_EraseRootFromParent_Done,
     /*   44522 */   // Label 734: @44522
     /*   44522 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44618), // Rule ID 70720 //
     /*   44527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44575 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44579 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44585 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44592 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44616 */     GIR_RootConstrainSelectedInstOperands,
     /*   44617 */     // GIR_Coverage, 70720,
     /*   44617 */     GIR_EraseRootFromParent_Done,
     /*   44618 */   // Label 735: @44618
     /*   44618 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44714), // Rule ID 51992 //
     /*   44623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44675 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44688 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44712 */     GIR_RootConstrainSelectedInstOperands,
     /*   44713 */     // GIR_Coverage, 51992,
     /*   44713 */     GIR_EraseRootFromParent_Done,
     /*   44714 */   // Label 736: @44714
     /*   44714 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44810), // Rule ID 51993 //
     /*   44719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44756 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44771 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44784 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44808 */     GIR_RootConstrainSelectedInstOperands,
     /*   44809 */     // GIR_Coverage, 51993,
     /*   44809 */     GIR_EraseRootFromParent_Done,
     /*   44810 */   // Label 737: @44810
     /*   44810 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(44899), // Rule ID 46606 //
     /*   44815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44858 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 46606,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 738: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44988), // Rule ID 46607 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44947 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44986 */     GIR_RootConstrainSelectedInstOperands,
     /*   44987 */     // GIR_Coverage, 46607,
     /*   44987 */     GIR_EraseRootFromParent_Done,
     /*   44988 */   // Label 739: @44988
     /*   44988 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45077), // Rule ID 46370 //
     /*   44993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45036 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45075 */     GIR_RootConstrainSelectedInstOperands,
     /*   45076 */     // GIR_Coverage, 46370,
     /*   45076 */     GIR_EraseRootFromParent_Done,
     /*   45077 */   // Label 740: @45077
     /*   45077 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45166), // Rule ID 46371 //
     /*   45082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45125 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45164 */     GIR_RootConstrainSelectedInstOperands,
     /*   45165 */     // GIR_Coverage, 46371,
     /*   45165 */     GIR_EraseRootFromParent_Done,
     /*   45166 */   // Label 741: @45166
     /*   45166 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45255), // Rule ID 46486 //
     /*   45171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45214 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45253 */     GIR_RootConstrainSelectedInstOperands,
     /*   45254 */     // GIR_Coverage, 46486,
     /*   45254 */     GIR_EraseRootFromParent_Done,
     /*   45255 */   // Label 742: @45255
     /*   45255 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45344), // Rule ID 46487 //
     /*   45260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45303 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45342 */     GIR_RootConstrainSelectedInstOperands,
     /*   45343 */     // GIR_Coverage, 46487,
     /*   45343 */     GIR_EraseRootFromParent_Done,
     /*   45344 */   // Label 743: @45344
     /*   45344 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45412), // Rule ID 70351 //
     /*   45349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45386 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45410 */     GIR_RootConstrainSelectedInstOperands,
     /*   45411 */     // GIR_Coverage, 70351,
     /*   45411 */     GIR_EraseRootFromParent_Done,
     /*   45412 */   // Label 744: @45412
     /*   45412 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45480), // Rule ID 70352 //
     /*   45417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45454 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45478 */     GIR_RootConstrainSelectedInstOperands,
     /*   45479 */     // GIR_Coverage, 70352,
     /*   45479 */     GIR_EraseRootFromParent_Done,
     /*   45480 */   // Label 745: @45480
     /*   45480 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45535), // Rule ID 69255 //
     /*   45485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45513 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45533 */     GIR_RootConstrainSelectedInstOperands,
     /*   45534 */     // GIR_Coverage, 69255,
     /*   45534 */     GIR_EraseRootFromParent_Done,
     /*   45535 */   // Label 746: @45535
     /*   45535 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45590), // Rule ID 69256 //
     /*   45540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45568 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45588 */     GIR_RootConstrainSelectedInstOperands,
     /*   45589 */     // GIR_Coverage, 69256,
     /*   45589 */     GIR_EraseRootFromParent_Done,
     /*   45590 */   // Label 747: @45590
     /*   45590 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45645), // Rule ID 69075 //
     /*   45595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45623 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45643 */     GIR_RootConstrainSelectedInstOperands,
     /*   45644 */     // GIR_Coverage, 69075,
     /*   45644 */     GIR_EraseRootFromParent_Done,
     /*   45645 */   // Label 748: @45645
     /*   45645 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45700), // Rule ID 69076 //
     /*   45650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45678 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45698 */     GIR_RootConstrainSelectedInstOperands,
     /*   45699 */     // GIR_Coverage, 69076,
     /*   45699 */     GIR_EraseRootFromParent_Done,
     /*   45700 */   // Label 749: @45700
     /*   45700 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45755), // Rule ID 69165 //
     /*   45705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45733 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45753 */     GIR_RootConstrainSelectedInstOperands,
     /*   45754 */     // GIR_Coverage, 69165,
     /*   45754 */     GIR_EraseRootFromParent_Done,
     /*   45755 */   // Label 750: @45755
     /*   45755 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45810), // Rule ID 69166 //
     /*   45760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45788 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45808 */     GIR_RootConstrainSelectedInstOperands,
     /*   45809 */     // GIR_Coverage, 69166,
     /*   45809 */     GIR_EraseRootFromParent_Done,
     /*   45810 */   // Label 751: @45810
     /*   45810 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45878), // Rule ID 51816 //
     /*   45815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45852 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45876 */     GIR_RootConstrainSelectedInstOperands,
     /*   45877 */     // GIR_Coverage, 51816,
     /*   45877 */     GIR_EraseRootFromParent_Done,
     /*   45878 */   // Label 752: @45878
     /*   45878 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45946), // Rule ID 51817 //
     /*   45883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45920 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45944 */     GIR_RootConstrainSelectedInstOperands,
     /*   45945 */     // GIR_Coverage, 51817,
     /*   45945 */     GIR_EraseRootFromParent_Done,
     /*   45946 */   // Label 753: @45946
     /*   45946 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46001), // Rule ID 46666 //
     /*   45951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45979 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45999 */     GIR_RootConstrainSelectedInstOperands,
     /*   46000 */     // GIR_Coverage, 46666,
     /*   46000 */     GIR_EraseRootFromParent_Done,
     /*   46001 */   // Label 754: @46001
     /*   46001 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46056), // Rule ID 46667 //
     /*   46006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46034 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46054 */     GIR_RootConstrainSelectedInstOperands,
     /*   46055 */     // GIR_Coverage, 46667,
     /*   46055 */     GIR_EraseRootFromParent_Done,
     /*   46056 */   // Label 755: @46056
     /*   46056 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46111), // Rule ID 46426 //
     /*   46061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46089 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46109 */     GIR_RootConstrainSelectedInstOperands,
     /*   46110 */     // GIR_Coverage, 46426,
     /*   46110 */     GIR_EraseRootFromParent_Done,
     /*   46111 */   // Label 756: @46111
     /*   46111 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46166), // Rule ID 46427 //
     /*   46116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46144 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46164 */     GIR_RootConstrainSelectedInstOperands,
     /*   46165 */     // GIR_Coverage, 46427,
     /*   46165 */     GIR_EraseRootFromParent_Done,
     /*   46166 */   // Label 757: @46166
     /*   46166 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46221), // Rule ID 46546 //
     /*   46171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46199 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46219 */     GIR_RootConstrainSelectedInstOperands,
     /*   46220 */     // GIR_Coverage, 46546,
     /*   46220 */     GIR_EraseRootFromParent_Done,
     /*   46221 */   // Label 758: @46221
     /*   46221 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46276), // Rule ID 46547 //
     /*   46226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46254 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46274 */     GIR_RootConstrainSelectedInstOperands,
     /*   46275 */     // GIR_Coverage, 46547,
     /*   46275 */     GIR_EraseRootFromParent_Done,
     /*   46276 */   // Label 759: @46276
     /*   46276 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46329), // Rule ID 46052 //
     /*   46281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46292 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46327 */     GIR_RootConstrainSelectedInstOperands,
     /*   46328 */     // GIR_Coverage, 46052,
     /*   46328 */     GIR_EraseRootFromParent_Done,
     /*   46329 */   // Label 760: @46329
     /*   46329 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46382), // Rule ID 46053 //
     /*   46334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46345 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46380 */     GIR_RootConstrainSelectedInstOperands,
     /*   46381 */     // GIR_Coverage, 46053,
     /*   46381 */     GIR_EraseRootFromParent_Done,
     /*   46382 */   // Label 761: @46382
     /*   46382 */   GIM_Reject,
     /*   46383 */ // Label 721: @46383
     /*   46383 */ GIM_Reject,
     /*   46384 */ // Label 142: @46384
     /*   46384 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46778),
     /*   46389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46399 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46467), // Rule ID 70263 //
     /*   46404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46441 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46465 */     GIR_RootConstrainSelectedInstOperands,
     /*   46466 */     // GIR_Coverage, 70263,
     /*   46466 */     GIR_EraseRootFromParent_Done,
     /*   46467 */   // Label 763: @46467
     /*   46467 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46535), // Rule ID 70264 //
     /*   46472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46509 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46533 */     GIR_RootConstrainSelectedInstOperands,
     /*   46534 */     // GIR_Coverage, 70264,
     /*   46534 */     GIR_EraseRootFromParent_Done,
     /*   46535 */   // Label 764: @46535
     /*   46535 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46603), // Rule ID 51772 //
     /*   46540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46577 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46601 */     GIR_RootConstrainSelectedInstOperands,
     /*   46602 */     // GIR_Coverage, 51772,
     /*   46602 */     GIR_EraseRootFromParent_Done,
     /*   46603 */   // Label 765: @46603
     /*   46603 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46671), // Rule ID 51773 //
     /*   46608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46645 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46669 */     GIR_RootConstrainSelectedInstOperands,
     /*   46670 */     // GIR_Coverage, 51773,
     /*   46670 */     GIR_EraseRootFromParent_Done,
     /*   46671 */   // Label 766: @46671
     /*   46671 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46724), // Rule ID 46008 //
     /*   46676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46687 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46722 */     GIR_RootConstrainSelectedInstOperands,
     /*   46723 */     // GIR_Coverage, 46008,
     /*   46723 */     GIR_EraseRootFromParent_Done,
     /*   46724 */   // Label 767: @46724
     /*   46724 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46777), // Rule ID 46009 //
     /*   46729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46740 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46775 */     GIR_RootConstrainSelectedInstOperands,
     /*   46776 */     // GIR_Coverage, 46009,
     /*   46776 */     GIR_EraseRootFromParent_Done,
     /*   46777 */   // Label 768: @46777
     /*   46777 */   GIM_Reject,
     /*   46778 */ // Label 762: @46778
     /*   46778 */ GIM_Reject,
     /*   46779 */ // Label 143: @46779
     /*   46779 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(49903),
     /*   46784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46794 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46890), // Rule ID 70409 //
     /*   46799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46864 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46888 */     GIR_RootConstrainSelectedInstOperands,
     /*   46889 */     // GIR_Coverage, 70409,
     /*   46889 */     GIR_EraseRootFromParent_Done,
     /*   46890 */   // Label 770: @46890
     /*   46890 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(46986), // Rule ID 70410 //
     /*   46895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46958 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46960 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46984 */     GIR_RootConstrainSelectedInstOperands,
     /*   46985 */     // GIR_Coverage, 70410,
     /*   46985 */     GIR_EraseRootFromParent_Done,
     /*   46986 */   // Label 771: @46986
     /*   46986 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47082), // Rule ID 70661 //
     /*   46991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47056 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47080 */     GIR_RootConstrainSelectedInstOperands,
     /*   47081 */     // GIR_Coverage, 70661,
     /*   47081 */     GIR_EraseRootFromParent_Done,
     /*   47082 */   // Label 772: @47082
     /*   47082 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47178), // Rule ID 70662 //
     /*   47087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47152 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47176 */     GIR_RootConstrainSelectedInstOperands,
     /*   47177 */     // GIR_Coverage, 70662,
     /*   47177 */     GIR_EraseRootFromParent_Done,
     /*   47178 */   // Label 773: @47178
     /*   47178 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47274), // Rule ID 70663 //
     /*   47183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47248 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47272 */     GIR_RootConstrainSelectedInstOperands,
     /*   47273 */     // GIR_Coverage, 70663,
     /*   47273 */     GIR_EraseRootFromParent_Done,
     /*   47274 */   // Label 774: @47274
     /*   47274 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47370), // Rule ID 70664 //
     /*   47279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47344 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47368 */     GIR_RootConstrainSelectedInstOperands,
     /*   47369 */     // GIR_Coverage, 70664,
     /*   47369 */     GIR_EraseRootFromParent_Done,
     /*   47370 */   // Label 775: @47370
     /*   47370 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47466), // Rule ID 70523 //
     /*   47375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47440 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47464 */     GIR_RootConstrainSelectedInstOperands,
     /*   47465 */     // GIR_Coverage, 70523,
     /*   47465 */     GIR_EraseRootFromParent_Done,
     /*   47466 */   // Label 776: @47466
     /*   47466 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47562), // Rule ID 70524 //
     /*   47471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47536 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47560 */     GIR_RootConstrainSelectedInstOperands,
     /*   47561 */     // GIR_Coverage, 70524,
     /*   47561 */     GIR_EraseRootFromParent_Done,
     /*   47562 */   // Label 777: @47562
     /*   47562 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47658), // Rule ID 51914 //
     /*   47567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47623 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47625 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47632 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47656 */     GIR_RootConstrainSelectedInstOperands,
     /*   47657 */     // GIR_Coverage, 51914,
     /*   47657 */     GIR_EraseRootFromParent_Done,
     /*   47658 */   // Label 778: @47658
     /*   47658 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47754), // Rule ID 51915 //
     /*   47663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47715 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47719 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47721 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47728 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47752 */     GIR_RootConstrainSelectedInstOperands,
     /*   47753 */     // GIR_Coverage, 51915,
     /*   47753 */     GIR_EraseRootFromParent_Done,
     /*   47754 */   // Label 779: @47754
     /*   47754 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47850), // Rule ID 52032 //
     /*   47759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47811 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47815 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47824 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47848 */     GIR_RootConstrainSelectedInstOperands,
     /*   47849 */     // GIR_Coverage, 52032,
     /*   47849 */     GIR_EraseRootFromParent_Done,
     /*   47850 */   // Label 780: @47850
     /*   47850 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47946), // Rule ID 52033 //
     /*   47855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47907 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47911 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47913 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47920 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47944 */     GIR_RootConstrainSelectedInstOperands,
     /*   47945 */     // GIR_Coverage, 52033,
     /*   47945 */     GIR_EraseRootFromParent_Done,
     /*   47946 */   // Label 781: @47946
     /*   47946 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48042), // Rule ID 70659 //
     /*   47951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48007 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48009 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48016 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48040 */     GIR_RootConstrainSelectedInstOperands,
     /*   48041 */     // GIR_Coverage, 70659,
     /*   48041 */     GIR_EraseRootFromParent_Done,
     /*   48042 */   // Label 782: @48042
     /*   48042 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48138), // Rule ID 70660 //
     /*   48047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48112 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48136 */     GIR_RootConstrainSelectedInstOperands,
     /*   48137 */     // GIR_Coverage, 70660,
     /*   48137 */     GIR_EraseRootFromParent_Done,
     /*   48138 */   // Label 783: @48138
     /*   48138 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48234), // Rule ID 51972 //
     /*   48143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48208 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48232 */     GIR_RootConstrainSelectedInstOperands,
     /*   48233 */     // GIR_Coverage, 51972,
     /*   48233 */     GIR_EraseRootFromParent_Done,
     /*   48234 */   // Label 784: @48234
     /*   48234 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48330), // Rule ID 51973 //
     /*   48239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48304 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48328 */     GIR_RootConstrainSelectedInstOperands,
     /*   48329 */     // GIR_Coverage, 51973,
     /*   48329 */     GIR_EraseRootFromParent_Done,
     /*   48330 */   // Label 785: @48330
     /*   48330 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48419), // Rule ID 46566 //
     /*   48335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48378 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48417 */     GIR_RootConstrainSelectedInstOperands,
     /*   48418 */     // GIR_Coverage, 46566,
     /*   48418 */     GIR_EraseRootFromParent_Done,
     /*   48419 */   // Label 786: @48419
     /*   48419 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48508), // Rule ID 46567 //
     /*   48424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48467 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48506 */     GIR_RootConstrainSelectedInstOperands,
     /*   48507 */     // GIR_Coverage, 46567,
     /*   48507 */     GIR_EraseRootFromParent_Done,
     /*   48508 */   // Label 787: @48508
     /*   48508 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48597), // Rule ID 46330 //
     /*   48513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48556 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48595 */     GIR_RootConstrainSelectedInstOperands,
     /*   48596 */     // GIR_Coverage, 46330,
     /*   48596 */     GIR_EraseRootFromParent_Done,
     /*   48597 */   // Label 788: @48597
     /*   48597 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48686), // Rule ID 46331 //
     /*   48602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48645 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48684 */     GIR_RootConstrainSelectedInstOperands,
     /*   48685 */     // GIR_Coverage, 46331,
     /*   48685 */     GIR_EraseRootFromParent_Done,
     /*   48686 */   // Label 789: @48686
     /*   48686 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48775), // Rule ID 46446 //
     /*   48691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48734 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48773 */     GIR_RootConstrainSelectedInstOperands,
     /*   48774 */     // GIR_Coverage, 46446,
     /*   48774 */     GIR_EraseRootFromParent_Done,
     /*   48775 */   // Label 790: @48775
     /*   48775 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48864), // Rule ID 46447 //
     /*   48780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48823 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48862 */     GIR_RootConstrainSelectedInstOperands,
     /*   48863 */     // GIR_Coverage, 46447,
     /*   48863 */     GIR_EraseRootFromParent_Done,
     /*   48864 */   // Label 791: @48864
     /*   48864 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48932), // Rule ID 70295 //
     /*   48869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48906 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48930 */     GIR_RootConstrainSelectedInstOperands,
     /*   48931 */     // GIR_Coverage, 70295,
     /*   48931 */     GIR_EraseRootFromParent_Done,
     /*   48932 */   // Label 792: @48932
     /*   48932 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49000), // Rule ID 70296 //
     /*   48937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48974 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48998 */     GIR_RootConstrainSelectedInstOperands,
     /*   48999 */     // GIR_Coverage, 70296,
     /*   48999 */     GIR_EraseRootFromParent_Done,
     /*   49000 */   // Label 793: @49000
     /*   49000 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49055), // Rule ID 69215 //
     /*   49005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49033 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49053 */     GIR_RootConstrainSelectedInstOperands,
     /*   49054 */     // GIR_Coverage, 69215,
     /*   49054 */     GIR_EraseRootFromParent_Done,
     /*   49055 */   // Label 794: @49055
     /*   49055 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49110), // Rule ID 69216 //
     /*   49060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49088 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49108 */     GIR_RootConstrainSelectedInstOperands,
     /*   49109 */     // GIR_Coverage, 69216,
     /*   49109 */     GIR_EraseRootFromParent_Done,
     /*   49110 */   // Label 795: @49110
     /*   49110 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49165), // Rule ID 69035 //
     /*   49115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49143 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49163 */     GIR_RootConstrainSelectedInstOperands,
     /*   49164 */     // GIR_Coverage, 69035,
     /*   49164 */     GIR_EraseRootFromParent_Done,
     /*   49165 */   // Label 796: @49165
     /*   49165 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49220), // Rule ID 69036 //
     /*   49170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49198 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49218 */     GIR_RootConstrainSelectedInstOperands,
     /*   49219 */     // GIR_Coverage, 69036,
     /*   49219 */     GIR_EraseRootFromParent_Done,
     /*   49220 */   // Label 797: @49220
     /*   49220 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49275), // Rule ID 69125 //
     /*   49225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49253 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49273 */     GIR_RootConstrainSelectedInstOperands,
     /*   49274 */     // GIR_Coverage, 69125,
     /*   49274 */     GIR_EraseRootFromParent_Done,
     /*   49275 */   // Label 798: @49275
     /*   49275 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49330), // Rule ID 69126 //
     /*   49280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49308 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49328 */     GIR_RootConstrainSelectedInstOperands,
     /*   49329 */     // GIR_Coverage, 69126,
     /*   49329 */     GIR_EraseRootFromParent_Done,
     /*   49330 */   // Label 799: @49330
     /*   49330 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49398), // Rule ID 51788 //
     /*   49335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49372 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 51788,
     /*   49397 */     GIR_EraseRootFromParent_Done,
     /*   49398 */   // Label 800: @49398
     /*   49398 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49466), // Rule ID 51789 //
     /*   49403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49440 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49464 */     GIR_RootConstrainSelectedInstOperands,
     /*   49465 */     // GIR_Coverage, 51789,
     /*   49465 */     GIR_EraseRootFromParent_Done,
     /*   49466 */   // Label 801: @49466
     /*   49466 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49521), // Rule ID 46626 //
     /*   49471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49499 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49519 */     GIR_RootConstrainSelectedInstOperands,
     /*   49520 */     // GIR_Coverage, 46626,
     /*   49520 */     GIR_EraseRootFromParent_Done,
     /*   49521 */   // Label 802: @49521
     /*   49521 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49576), // Rule ID 46627 //
     /*   49526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49554 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49574 */     GIR_RootConstrainSelectedInstOperands,
     /*   49575 */     // GIR_Coverage, 46627,
     /*   49575 */     GIR_EraseRootFromParent_Done,
     /*   49576 */   // Label 803: @49576
     /*   49576 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49631), // Rule ID 46386 //
     /*   49581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49609 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49629 */     GIR_RootConstrainSelectedInstOperands,
     /*   49630 */     // GIR_Coverage, 46386,
     /*   49630 */     GIR_EraseRootFromParent_Done,
     /*   49631 */   // Label 804: @49631
     /*   49631 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49686), // Rule ID 46387 //
     /*   49636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49664 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49684 */     GIR_RootConstrainSelectedInstOperands,
     /*   49685 */     // GIR_Coverage, 46387,
     /*   49685 */     GIR_EraseRootFromParent_Done,
     /*   49686 */   // Label 805: @49686
     /*   49686 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49741), // Rule ID 46506 //
     /*   49691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49719 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49739 */     GIR_RootConstrainSelectedInstOperands,
     /*   49740 */     // GIR_Coverage, 46506,
     /*   49740 */     GIR_EraseRootFromParent_Done,
     /*   49741 */   // Label 806: @49741
     /*   49741 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49796), // Rule ID 46507 //
     /*   49746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49774 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49794 */     GIR_RootConstrainSelectedInstOperands,
     /*   49795 */     // GIR_Coverage, 46507,
     /*   49795 */     GIR_EraseRootFromParent_Done,
     /*   49796 */   // Label 807: @49796
     /*   49796 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49849), // Rule ID 46024 //
     /*   49801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49812 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49847 */     GIR_RootConstrainSelectedInstOperands,
     /*   49848 */     // GIR_Coverage, 46024,
     /*   49848 */     GIR_EraseRootFromParent_Done,
     /*   49849 */   // Label 808: @49849
     /*   49849 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49902), // Rule ID 46025 //
     /*   49854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49865 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49900 */     GIR_RootConstrainSelectedInstOperands,
     /*   49901 */     // GIR_Coverage, 46025,
     /*   49901 */     GIR_EraseRootFromParent_Done,
     /*   49902 */   // Label 809: @49902
     /*   49902 */   GIM_Reject,
     /*   49903 */ // Label 769: @49903
     /*   49903 */ GIM_Reject,
     /*   49904 */ // Label 144: @49904
     /*   49904 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(53028),
     /*   49909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49919 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50015), // Rule ID 70421 //
     /*   49924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49989 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   49992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   49996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50013 */     GIR_RootConstrainSelectedInstOperands,
     /*   50014 */     // GIR_Coverage, 70421,
     /*   50014 */     GIR_EraseRootFromParent_Done,
     /*   50015 */   // Label 811: @50015
     /*   50015 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50111), // Rule ID 70422 //
     /*   50020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50085 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50109 */     GIR_RootConstrainSelectedInstOperands,
     /*   50110 */     // GIR_Coverage, 70422,
     /*   50110 */     GIR_EraseRootFromParent_Done,
     /*   50111 */   // Label 812: @50111
     /*   50111 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50207), // Rule ID 70697 //
     /*   50116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50181 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50205 */     GIR_RootConstrainSelectedInstOperands,
     /*   50206 */     // GIR_Coverage, 70697,
     /*   50206 */     GIR_EraseRootFromParent_Done,
     /*   50207 */   // Label 813: @50207
     /*   50207 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50303), // Rule ID 70698 //
     /*   50212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50260 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50264 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50277 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50301 */     GIR_RootConstrainSelectedInstOperands,
     /*   50302 */     // GIR_Coverage, 70698,
     /*   50302 */     GIR_EraseRootFromParent_Done,
     /*   50303 */   // Label 814: @50303
     /*   50303 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50399), // Rule ID 70699 //
     /*   50308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50356 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50360 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50362 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50373 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50397 */     GIR_RootConstrainSelectedInstOperands,
     /*   50398 */     // GIR_Coverage, 70699,
     /*   50398 */     GIR_EraseRootFromParent_Done,
     /*   50399 */   // Label 815: @50399
     /*   50399 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50495), // Rule ID 70700 //
     /*   50404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50456 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50458 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50469 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50493 */     GIR_RootConstrainSelectedInstOperands,
     /*   50494 */     // GIR_Coverage, 70700,
     /*   50494 */     GIR_EraseRootFromParent_Done,
     /*   50495 */   // Label 816: @50495
     /*   50495 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50591), // Rule ID 70535 //
     /*   50500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50552 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50554 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50565 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50589 */     GIR_RootConstrainSelectedInstOperands,
     /*   50590 */     // GIR_Coverage, 70535,
     /*   50590 */     GIR_EraseRootFromParent_Done,
     /*   50591 */   // Label 817: @50591
     /*   50591 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50687), // Rule ID 70536 //
     /*   50596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50648 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50650 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50661 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50685 */     GIR_RootConstrainSelectedInstOperands,
     /*   50686 */     // GIR_Coverage, 70536,
     /*   50686 */     GIR_EraseRootFromParent_Done,
     /*   50687 */   // Label 818: @50687
     /*   50687 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50783), // Rule ID 51926 //
     /*   50692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50757 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50781 */     GIR_RootConstrainSelectedInstOperands,
     /*   50782 */     // GIR_Coverage, 51926,
     /*   50782 */     GIR_EraseRootFromParent_Done,
     /*   50783 */   // Label 819: @50783
     /*   50783 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50879), // Rule ID 51927 //
     /*   50788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50853 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50877 */     GIR_RootConstrainSelectedInstOperands,
     /*   50878 */     // GIR_Coverage, 51927,
     /*   50878 */     GIR_EraseRootFromParent_Done,
     /*   50879 */   // Label 820: @50879
     /*   50879 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50975), // Rule ID 52044 //
     /*   50884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50949 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50973 */     GIR_RootConstrainSelectedInstOperands,
     /*   50974 */     // GIR_Coverage, 52044,
     /*   50974 */     GIR_EraseRootFromParent_Done,
     /*   50975 */   // Label 821: @50975
     /*   50975 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51071), // Rule ID 52045 //
     /*   50980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51032 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51038 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51043 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51045 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51069 */     GIR_RootConstrainSelectedInstOperands,
     /*   51070 */     // GIR_Coverage, 52045,
     /*   51070 */     GIR_EraseRootFromParent_Done,
     /*   51071 */   // Label 822: @51071
     /*   51071 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51167), // Rule ID 70695 //
     /*   51076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51128 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51134 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51141 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51165 */     GIR_RootConstrainSelectedInstOperands,
     /*   51166 */     // GIR_Coverage, 70695,
     /*   51166 */     GIR_EraseRootFromParent_Done,
     /*   51167 */   // Label 823: @51167
     /*   51167 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51263), // Rule ID 70696 //
     /*   51172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51230 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51237 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51261 */     GIR_RootConstrainSelectedInstOperands,
     /*   51262 */     // GIR_Coverage, 70696,
     /*   51262 */     GIR_EraseRootFromParent_Done,
     /*   51263 */   // Label 824: @51263
     /*   51263 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51359), // Rule ID 51984 //
     /*   51268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51326 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51333 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51357 */     GIR_RootConstrainSelectedInstOperands,
     /*   51358 */     // GIR_Coverage, 51984,
     /*   51358 */     GIR_EraseRootFromParent_Done,
     /*   51359 */   // Label 825: @51359
     /*   51359 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51455), // Rule ID 51985 //
     /*   51364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51416 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51422 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51429 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51453 */     GIR_RootConstrainSelectedInstOperands,
     /*   51454 */     // GIR_Coverage, 51985,
     /*   51454 */     GIR_EraseRootFromParent_Done,
     /*   51455 */   // Label 826: @51455
     /*   51455 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51544), // Rule ID 46590 //
     /*   51460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51503 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51542 */     GIR_RootConstrainSelectedInstOperands,
     /*   51543 */     // GIR_Coverage, 46590,
     /*   51543 */     GIR_EraseRootFromParent_Done,
     /*   51544 */   // Label 827: @51544
     /*   51544 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51633), // Rule ID 46591 //
     /*   51549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51592 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51631 */     GIR_RootConstrainSelectedInstOperands,
     /*   51632 */     // GIR_Coverage, 46591,
     /*   51632 */     GIR_EraseRootFromParent_Done,
     /*   51633 */   // Label 828: @51633
     /*   51633 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51722), // Rule ID 46354 //
     /*   51638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51681 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51720 */     GIR_RootConstrainSelectedInstOperands,
     /*   51721 */     // GIR_Coverage, 46354,
     /*   51721 */     GIR_EraseRootFromParent_Done,
     /*   51722 */   // Label 829: @51722
     /*   51722 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51811), // Rule ID 46355 //
     /*   51727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51770 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51809 */     GIR_RootConstrainSelectedInstOperands,
     /*   51810 */     // GIR_Coverage, 46355,
     /*   51810 */     GIR_EraseRootFromParent_Done,
     /*   51811 */   // Label 830: @51811
     /*   51811 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51900), // Rule ID 46470 //
     /*   51816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51859 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51898 */     GIR_RootConstrainSelectedInstOperands,
     /*   51899 */     // GIR_Coverage, 46470,
     /*   51899 */     GIR_EraseRootFromParent_Done,
     /*   51900 */   // Label 831: @51900
     /*   51900 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51989), // Rule ID 46471 //
     /*   51905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51948 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51987 */     GIR_RootConstrainSelectedInstOperands,
     /*   51988 */     // GIR_Coverage, 46471,
     /*   51988 */     GIR_EraseRootFromParent_Done,
     /*   51989 */   // Label 832: @51989
     /*   51989 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52057), // Rule ID 70327 //
     /*   51994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52031 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52055 */     GIR_RootConstrainSelectedInstOperands,
     /*   52056 */     // GIR_Coverage, 70327,
     /*   52056 */     GIR_EraseRootFromParent_Done,
     /*   52057 */   // Label 833: @52057
     /*   52057 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52125), // Rule ID 70328 //
     /*   52062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52099 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52123 */     GIR_RootConstrainSelectedInstOperands,
     /*   52124 */     // GIR_Coverage, 70328,
     /*   52124 */     GIR_EraseRootFromParent_Done,
     /*   52125 */   // Label 834: @52125
     /*   52125 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52180), // Rule ID 69239 //
     /*   52130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52158 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52178 */     GIR_RootConstrainSelectedInstOperands,
     /*   52179 */     // GIR_Coverage, 69239,
     /*   52179 */     GIR_EraseRootFromParent_Done,
     /*   52180 */   // Label 835: @52180
     /*   52180 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52235), // Rule ID 69240 //
     /*   52185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52213 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52233 */     GIR_RootConstrainSelectedInstOperands,
     /*   52234 */     // GIR_Coverage, 69240,
     /*   52234 */     GIR_EraseRootFromParent_Done,
     /*   52235 */   // Label 836: @52235
     /*   52235 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52290), // Rule ID 69059 //
     /*   52240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52268 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52288 */     GIR_RootConstrainSelectedInstOperands,
     /*   52289 */     // GIR_Coverage, 69059,
     /*   52289 */     GIR_EraseRootFromParent_Done,
     /*   52290 */   // Label 837: @52290
     /*   52290 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52345), // Rule ID 69060 //
     /*   52295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52323 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52343 */     GIR_RootConstrainSelectedInstOperands,
     /*   52344 */     // GIR_Coverage, 69060,
     /*   52344 */     GIR_EraseRootFromParent_Done,
     /*   52345 */   // Label 838: @52345
     /*   52345 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52400), // Rule ID 69149 //
     /*   52350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52378 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52398 */     GIR_RootConstrainSelectedInstOperands,
     /*   52399 */     // GIR_Coverage, 69149,
     /*   52399 */     GIR_EraseRootFromParent_Done,
     /*   52400 */   // Label 839: @52400
     /*   52400 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52455), // Rule ID 69150 //
     /*   52405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52433 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52453 */     GIR_RootConstrainSelectedInstOperands,
     /*   52454 */     // GIR_Coverage, 69150,
     /*   52454 */     GIR_EraseRootFromParent_Done,
     /*   52455 */   // Label 840: @52455
     /*   52455 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52523), // Rule ID 51804 //
     /*   52460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52497 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52521 */     GIR_RootConstrainSelectedInstOperands,
     /*   52522 */     // GIR_Coverage, 51804,
     /*   52522 */     GIR_EraseRootFromParent_Done,
     /*   52523 */   // Label 841: @52523
     /*   52523 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52591), // Rule ID 51805 //
     /*   52528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52565 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52589 */     GIR_RootConstrainSelectedInstOperands,
     /*   52590 */     // GIR_Coverage, 51805,
     /*   52590 */     GIR_EraseRootFromParent_Done,
     /*   52591 */   // Label 842: @52591
     /*   52591 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52646), // Rule ID 46650 //
     /*   52596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52624 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52644 */     GIR_RootConstrainSelectedInstOperands,
     /*   52645 */     // GIR_Coverage, 46650,
     /*   52645 */     GIR_EraseRootFromParent_Done,
     /*   52646 */   // Label 843: @52646
     /*   52646 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52701), // Rule ID 46651 //
     /*   52651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52679 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52699 */     GIR_RootConstrainSelectedInstOperands,
     /*   52700 */     // GIR_Coverage, 46651,
     /*   52700 */     GIR_EraseRootFromParent_Done,
     /*   52701 */   // Label 844: @52701
     /*   52701 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52756), // Rule ID 46410 //
     /*   52706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52725 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52734 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52754 */     GIR_RootConstrainSelectedInstOperands,
     /*   52755 */     // GIR_Coverage, 46410,
     /*   52755 */     GIR_EraseRootFromParent_Done,
     /*   52756 */   // Label 845: @52756
     /*   52756 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52811), // Rule ID 46411 //
     /*   52761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52789 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52809 */     GIR_RootConstrainSelectedInstOperands,
     /*   52810 */     // GIR_Coverage, 46411,
     /*   52810 */     GIR_EraseRootFromParent_Done,
     /*   52811 */   // Label 846: @52811
     /*   52811 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52866), // Rule ID 46530 //
     /*   52816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52844 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52864 */     GIR_RootConstrainSelectedInstOperands,
     /*   52865 */     // GIR_Coverage, 46530,
     /*   52865 */     GIR_EraseRootFromParent_Done,
     /*   52866 */   // Label 847: @52866
     /*   52866 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52921), // Rule ID 46531 //
     /*   52871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52899 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52919 */     GIR_RootConstrainSelectedInstOperands,
     /*   52920 */     // GIR_Coverage, 46531,
     /*   52920 */     GIR_EraseRootFromParent_Done,
     /*   52921 */   // Label 848: @52921
     /*   52921 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52974), // Rule ID 46040 //
     /*   52926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52937 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52972 */     GIR_RootConstrainSelectedInstOperands,
     /*   52973 */     // GIR_Coverage, 46040,
     /*   52973 */     GIR_EraseRootFromParent_Done,
     /*   52974 */   // Label 849: @52974
     /*   52974 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53027), // Rule ID 46041 //
     /*   52979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52990 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   53007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53025 */     GIR_RootConstrainSelectedInstOperands,
     /*   53026 */     // GIR_Coverage, 46041,
     /*   53026 */     GIR_EraseRootFromParent_Done,
     /*   53027 */   // Label 850: @53027
     /*   53027 */   GIM_Reject,
     /*   53028 */ // Label 810: @53028
     /*   53028 */ GIM_Reject,
     /*   53029 */ // Label 145: @53029
     /*   53029 */ GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53423),
     /*   53034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53044 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53112), // Rule ID 70271 //
     /*   53049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53086 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53110 */     GIR_RootConstrainSelectedInstOperands,
     /*   53111 */     // GIR_Coverage, 70271,
     /*   53111 */     GIR_EraseRootFromParent_Done,
     /*   53112 */   // Label 852: @53112
     /*   53112 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53180), // Rule ID 70272 //
     /*   53117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53154 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53178 */     GIR_RootConstrainSelectedInstOperands,
     /*   53179 */     // GIR_Coverage, 70272,
     /*   53179 */     GIR_EraseRootFromParent_Done,
     /*   53180 */   // Label 853: @53180
     /*   53180 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53248), // Rule ID 51776 //
     /*   53185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53222 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53246 */     GIR_RootConstrainSelectedInstOperands,
     /*   53247 */     // GIR_Coverage, 51776,
     /*   53247 */     GIR_EraseRootFromParent_Done,
     /*   53248 */   // Label 854: @53248
     /*   53248 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53316), // Rule ID 51777 //
     /*   53253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53290 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53314 */     GIR_RootConstrainSelectedInstOperands,
     /*   53315 */     // GIR_Coverage, 51777,
     /*   53315 */     GIR_EraseRootFromParent_Done,
     /*   53316 */   // Label 855: @53316
     /*   53316 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53369), // Rule ID 46012 //
     /*   53321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53332 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53367 */     GIR_RootConstrainSelectedInstOperands,
     /*   53368 */     // GIR_Coverage, 46012,
     /*   53368 */     GIR_EraseRootFromParent_Done,
     /*   53369 */   // Label 856: @53369
     /*   53369 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53422), // Rule ID 46013 //
     /*   53374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53385 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53420 */     GIR_RootConstrainSelectedInstOperands,
     /*   53421 */     // GIR_Coverage, 46013,
     /*   53421 */     GIR_EraseRootFromParent_Done,
     /*   53422 */   // Label 857: @53422
     /*   53422 */   GIM_Reject,
     /*   53423 */ // Label 851: @53423
     /*   53423 */ GIM_Reject,
     /*   53424 */ // Label 146: @53424
     /*   53424 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(56548),
     /*   53429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53439 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53535), // Rule ID 70411 //
     /*   53444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53509 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53533 */     GIR_RootConstrainSelectedInstOperands,
     /*   53534 */     // GIR_Coverage, 70411,
     /*   53534 */     GIR_EraseRootFromParent_Done,
     /*   53535 */   // Label 859: @53535
     /*   53535 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53631), // Rule ID 70412 //
     /*   53540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53605 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53629 */     GIR_RootConstrainSelectedInstOperands,
     /*   53630 */     // GIR_Coverage, 70412,
     /*   53630 */     GIR_EraseRootFromParent_Done,
     /*   53631 */   // Label 860: @53631
     /*   53631 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53727), // Rule ID 70667 //
     /*   53636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53701 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53725 */     GIR_RootConstrainSelectedInstOperands,
     /*   53726 */     // GIR_Coverage, 70667,
     /*   53726 */     GIR_EraseRootFromParent_Done,
     /*   53727 */   // Label 861: @53727
     /*   53727 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53823), // Rule ID 70668 //
     /*   53732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53797 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53821 */     GIR_RootConstrainSelectedInstOperands,
     /*   53822 */     // GIR_Coverage, 70668,
     /*   53822 */     GIR_EraseRootFromParent_Done,
     /*   53823 */   // Label 862: @53823
     /*   53823 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53919), // Rule ID 70669 //
     /*   53828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53893 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53917 */     GIR_RootConstrainSelectedInstOperands,
     /*   53918 */     // GIR_Coverage, 70669,
     /*   53918 */     GIR_EraseRootFromParent_Done,
     /*   53919 */   // Label 863: @53919
     /*   53919 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54015), // Rule ID 70670 //
     /*   53924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53989 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54013 */     GIR_RootConstrainSelectedInstOperands,
     /*   54014 */     // GIR_Coverage, 70670,
     /*   54014 */     GIR_EraseRootFromParent_Done,
     /*   54015 */   // Label 864: @54015
     /*   54015 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54111), // Rule ID 70525 //
     /*   54020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54085 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54109 */     GIR_RootConstrainSelectedInstOperands,
     /*   54110 */     // GIR_Coverage, 70525,
     /*   54110 */     GIR_EraseRootFromParent_Done,
     /*   54111 */   // Label 865: @54111
     /*   54111 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54207), // Rule ID 70526 //
     /*   54116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54181 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54205 */     GIR_RootConstrainSelectedInstOperands,
     /*   54206 */     // GIR_Coverage, 70526,
     /*   54206 */     GIR_EraseRootFromParent_Done,
     /*   54207 */   // Label 866: @54207
     /*   54207 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54303), // Rule ID 51916 //
     /*   54212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54268 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54270 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54277 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54301 */     GIR_RootConstrainSelectedInstOperands,
     /*   54302 */     // GIR_Coverage, 51916,
     /*   54302 */     GIR_EraseRootFromParent_Done,
     /*   54303 */   // Label 867: @54303
     /*   54303 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54399), // Rule ID 51917 //
     /*   54308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54364 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54366 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54373 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54397 */     GIR_RootConstrainSelectedInstOperands,
     /*   54398 */     // GIR_Coverage, 51917,
     /*   54398 */     GIR_EraseRootFromParent_Done,
     /*   54399 */   // Label 868: @54399
     /*   54399 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54495), // Rule ID 52034 //
     /*   54404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54460 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54462 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54469 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54493 */     GIR_RootConstrainSelectedInstOperands,
     /*   54494 */     // GIR_Coverage, 52034,
     /*   54494 */     GIR_EraseRootFromParent_Done,
     /*   54495 */   // Label 869: @54495
     /*   54495 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54591), // Rule ID 52035 //
     /*   54500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54552 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54556 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54565 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54589 */     GIR_RootConstrainSelectedInstOperands,
     /*   54590 */     // GIR_Coverage, 52035,
     /*   54590 */     GIR_EraseRootFromParent_Done,
     /*   54591 */   // Label 870: @54591
     /*   54591 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54687), // Rule ID 70665 //
     /*   54596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54648 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54652 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54654 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54661 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54685 */     GIR_RootConstrainSelectedInstOperands,
     /*   54686 */     // GIR_Coverage, 70665,
     /*   54686 */     GIR_EraseRootFromParent_Done,
     /*   54687 */   // Label 871: @54687
     /*   54687 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54783), // Rule ID 70666 //
     /*   54692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54757 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54781 */     GIR_RootConstrainSelectedInstOperands,
     /*   54782 */     // GIR_Coverage, 70666,
     /*   54782 */     GIR_EraseRootFromParent_Done,
     /*   54783 */   // Label 872: @54783
     /*   54783 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54879), // Rule ID 51974 //
     /*   54788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54853 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54877 */     GIR_RootConstrainSelectedInstOperands,
     /*   54878 */     // GIR_Coverage, 51974,
     /*   54878 */     GIR_EraseRootFromParent_Done,
     /*   54879 */   // Label 873: @54879
     /*   54879 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54975), // Rule ID 51975 //
     /*   54884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54949 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54973 */     GIR_RootConstrainSelectedInstOperands,
     /*   54974 */     // GIR_Coverage, 51975,
     /*   54974 */     GIR_EraseRootFromParent_Done,
     /*   54975 */   // Label 874: @54975
     /*   54975 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55064), // Rule ID 46570 //
     /*   54980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55023 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55062 */     GIR_RootConstrainSelectedInstOperands,
     /*   55063 */     // GIR_Coverage, 46570,
     /*   55063 */     GIR_EraseRootFromParent_Done,
     /*   55064 */   // Label 875: @55064
     /*   55064 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55153), // Rule ID 46571 //
     /*   55069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55112 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55151 */     GIR_RootConstrainSelectedInstOperands,
     /*   55152 */     // GIR_Coverage, 46571,
     /*   55152 */     GIR_EraseRootFromParent_Done,
     /*   55153 */   // Label 876: @55153
     /*   55153 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55242), // Rule ID 46334 //
     /*   55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55201 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55240 */     GIR_RootConstrainSelectedInstOperands,
     /*   55241 */     // GIR_Coverage, 46334,
     /*   55241 */     GIR_EraseRootFromParent_Done,
     /*   55242 */   // Label 877: @55242
     /*   55242 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55331), // Rule ID 46335 //
     /*   55247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55290 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55329 */     GIR_RootConstrainSelectedInstOperands,
     /*   55330 */     // GIR_Coverage, 46335,
     /*   55330 */     GIR_EraseRootFromParent_Done,
     /*   55331 */   // Label 878: @55331
     /*   55331 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55420), // Rule ID 46450 //
     /*   55336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55370 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55379 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55418 */     GIR_RootConstrainSelectedInstOperands,
     /*   55419 */     // GIR_Coverage, 46450,
     /*   55419 */     GIR_EraseRootFromParent_Done,
     /*   55420 */   // Label 879: @55420
     /*   55420 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55509), // Rule ID 46451 //
     /*   55425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55459 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55468 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55507 */     GIR_RootConstrainSelectedInstOperands,
     /*   55508 */     // GIR_Coverage, 46451,
     /*   55508 */     GIR_EraseRootFromParent_Done,
     /*   55509 */   // Label 880: @55509
     /*   55509 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55577), // Rule ID 70303 //
     /*   55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55551 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55575 */     GIR_RootConstrainSelectedInstOperands,
     /*   55576 */     // GIR_Coverage, 70303,
     /*   55576 */     GIR_EraseRootFromParent_Done,
     /*   55577 */   // Label 881: @55577
     /*   55577 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55645), // Rule ID 70304 //
     /*   55582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55619 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55643 */     GIR_RootConstrainSelectedInstOperands,
     /*   55644 */     // GIR_Coverage, 70304,
     /*   55644 */     GIR_EraseRootFromParent_Done,
     /*   55645 */   // Label 882: @55645
     /*   55645 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55700), // Rule ID 69219 //
     /*   55650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55678 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55698 */     GIR_RootConstrainSelectedInstOperands,
     /*   55699 */     // GIR_Coverage, 69219,
     /*   55699 */     GIR_EraseRootFromParent_Done,
     /*   55700 */   // Label 883: @55700
     /*   55700 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55755), // Rule ID 69220 //
     /*   55705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55733 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55753 */     GIR_RootConstrainSelectedInstOperands,
     /*   55754 */     // GIR_Coverage, 69220,
     /*   55754 */     GIR_EraseRootFromParent_Done,
     /*   55755 */   // Label 884: @55755
     /*   55755 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55810), // Rule ID 69039 //
     /*   55760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55788 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55808 */     GIR_RootConstrainSelectedInstOperands,
     /*   55809 */     // GIR_Coverage, 69039,
     /*   55809 */     GIR_EraseRootFromParent_Done,
     /*   55810 */   // Label 885: @55810
     /*   55810 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55865), // Rule ID 69040 //
     /*   55815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55843 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55863 */     GIR_RootConstrainSelectedInstOperands,
     /*   55864 */     // GIR_Coverage, 69040,
     /*   55864 */     GIR_EraseRootFromParent_Done,
     /*   55865 */   // Label 886: @55865
     /*   55865 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55920), // Rule ID 69129 //
     /*   55870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55898 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55918 */     GIR_RootConstrainSelectedInstOperands,
     /*   55919 */     // GIR_Coverage, 69129,
     /*   55919 */     GIR_EraseRootFromParent_Done,
     /*   55920 */   // Label 887: @55920
     /*   55920 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55975), // Rule ID 69130 //
     /*   55925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55953 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55973 */     GIR_RootConstrainSelectedInstOperands,
     /*   55974 */     // GIR_Coverage, 69130,
     /*   55974 */     GIR_EraseRootFromParent_Done,
     /*   55975 */   // Label 888: @55975
     /*   55975 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56043), // Rule ID 51792 //
     /*   55980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56017 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56041 */     GIR_RootConstrainSelectedInstOperands,
     /*   56042 */     // GIR_Coverage, 51792,
     /*   56042 */     GIR_EraseRootFromParent_Done,
     /*   56043 */   // Label 889: @56043
     /*   56043 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56111), // Rule ID 51793 //
     /*   56048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56085 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56109 */     GIR_RootConstrainSelectedInstOperands,
     /*   56110 */     // GIR_Coverage, 51793,
     /*   56110 */     GIR_EraseRootFromParent_Done,
     /*   56111 */   // Label 890: @56111
     /*   56111 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56166), // Rule ID 46630 //
     /*   56116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56144 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56164 */     GIR_RootConstrainSelectedInstOperands,
     /*   56165 */     // GIR_Coverage, 46630,
     /*   56165 */     GIR_EraseRootFromParent_Done,
     /*   56166 */   // Label 891: @56166
     /*   56166 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56221), // Rule ID 46631 //
     /*   56171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56199 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56219 */     GIR_RootConstrainSelectedInstOperands,
     /*   56220 */     // GIR_Coverage, 46631,
     /*   56220 */     GIR_EraseRootFromParent_Done,
     /*   56221 */   // Label 892: @56221
     /*   56221 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56276), // Rule ID 46390 //
     /*   56226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56254 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56274 */     GIR_RootConstrainSelectedInstOperands,
     /*   56275 */     // GIR_Coverage, 46390,
     /*   56275 */     GIR_EraseRootFromParent_Done,
     /*   56276 */   // Label 893: @56276
     /*   56276 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56331), // Rule ID 46391 //
     /*   56281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56309 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56329 */     GIR_RootConstrainSelectedInstOperands,
     /*   56330 */     // GIR_Coverage, 46391,
     /*   56330 */     GIR_EraseRootFromParent_Done,
     /*   56331 */   // Label 894: @56331
     /*   56331 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56386), // Rule ID 46510 //
     /*   56336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56364 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56384 */     GIR_RootConstrainSelectedInstOperands,
     /*   56385 */     // GIR_Coverage, 46510,
     /*   56385 */     GIR_EraseRootFromParent_Done,
     /*   56386 */   // Label 895: @56386
     /*   56386 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56441), // Rule ID 46511 //
     /*   56391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56419 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56439 */     GIR_RootConstrainSelectedInstOperands,
     /*   56440 */     // GIR_Coverage, 46511,
     /*   56440 */     GIR_EraseRootFromParent_Done,
     /*   56441 */   // Label 896: @56441
     /*   56441 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56494), // Rule ID 46028 //
     /*   56446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56457 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56492 */     GIR_RootConstrainSelectedInstOperands,
     /*   56493 */     // GIR_Coverage, 46028,
     /*   56493 */     GIR_EraseRootFromParent_Done,
     /*   56494 */   // Label 897: @56494
     /*   56494 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56547), // Rule ID 46029 //
     /*   56499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56510 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56545 */     GIR_RootConstrainSelectedInstOperands,
     /*   56546 */     // GIR_Coverage, 46029,
     /*   56546 */     GIR_EraseRootFromParent_Done,
     /*   56547 */   // Label 898: @56547
     /*   56547 */   GIM_Reject,
     /*   56548 */ // Label 858: @56548
     /*   56548 */ GIM_Reject,
     /*   56549 */ // Label 147: @56549
     /*   56549 */ GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56943),
     /*   56554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56564 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56632), // Rule ID 70279 //
     /*   56569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56606 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56630 */     GIR_RootConstrainSelectedInstOperands,
     /*   56631 */     // GIR_Coverage, 70279,
     /*   56631 */     GIR_EraseRootFromParent_Done,
     /*   56632 */   // Label 900: @56632
     /*   56632 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56700), // Rule ID 70280 //
     /*   56637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56674 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56698 */     GIR_RootConstrainSelectedInstOperands,
     /*   56699 */     // GIR_Coverage, 70280,
     /*   56699 */     GIR_EraseRootFromParent_Done,
     /*   56700 */   // Label 901: @56700
     /*   56700 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56768), // Rule ID 51780 //
     /*   56705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56742 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56766 */     GIR_RootConstrainSelectedInstOperands,
     /*   56767 */     // GIR_Coverage, 51780,
     /*   56767 */     GIR_EraseRootFromParent_Done,
     /*   56768 */   // Label 902: @56768
     /*   56768 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56836), // Rule ID 51781 //
     /*   56773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56810 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56834 */     GIR_RootConstrainSelectedInstOperands,
     /*   56835 */     // GIR_Coverage, 51781,
     /*   56835 */     GIR_EraseRootFromParent_Done,
     /*   56836 */   // Label 903: @56836
     /*   56836 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56889), // Rule ID 46016 //
     /*   56841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56852 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56887 */     GIR_RootConstrainSelectedInstOperands,
     /*   56888 */     // GIR_Coverage, 46016,
     /*   56888 */     GIR_EraseRootFromParent_Done,
     /*   56889 */   // Label 904: @56889
     /*   56889 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56942), // Rule ID 46017 //
     /*   56894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56905 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56940 */     GIR_RootConstrainSelectedInstOperands,
     /*   56941 */     // GIR_Coverage, 46017,
     /*   56941 */     GIR_EraseRootFromParent_Done,
     /*   56942 */   // Label 905: @56942
     /*   56942 */   GIM_Reject,
     /*   56943 */ // Label 899: @56943
     /*   56943 */ GIM_Reject,
     /*   56944 */ // Label 148: @56944
     /*   56944 */ GIM_Reject,
     /*   56945 */ // Label 1: @56945
     /*   56945 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 930*/ GIMT_Encode4(76177),
     /*   56956 */ /*GILLT_s32*//*Label 906*/ GIMT_Encode4(57080),
     /*   56960 */ /*GILLT_s64*//*Label 907*/ GIMT_Encode4(57327), GIMT_Encode4(0),
     /*   56968 */ /*GILLT_nxv1s8*//*Label 908*/ GIMT_Encode4(57603),
     /*   56972 */ /*GILLT_nxv1s16*//*Label 909*/ GIMT_Encode4(57850),
     /*   56976 */ /*GILLT_nxv1s32*//*Label 910*/ GIMT_Encode4(58973),
     /*   56980 */ /*GILLT_nxv1s64*//*Label 911*/ GIMT_Encode4(60096), GIMT_Encode4(0),
     /*   56988 */ /*GILLT_nxv2s8*//*Label 912*/ GIMT_Encode4(61219),
     /*   56992 */ /*GILLT_nxv2s16*//*Label 913*/ GIMT_Encode4(61466),
     /*   56996 */ /*GILLT_nxv2s32*//*Label 914*/ GIMT_Encode4(62589),
     /*   57000 */ /*GILLT_nxv2s64*//*Label 915*/ GIMT_Encode4(63712), GIMT_Encode4(0),
     /*   57008 */ /*GILLT_nxv4s8*//*Label 916*/ GIMT_Encode4(64835),
     /*   57012 */ /*GILLT_nxv4s16*//*Label 917*/ GIMT_Encode4(65082),
     /*   57016 */ /*GILLT_nxv4s32*//*Label 918*/ GIMT_Encode4(66205),
     /*   57020 */ /*GILLT_nxv4s64*//*Label 919*/ GIMT_Encode4(67328), GIMT_Encode4(0),
     /*   57028 */ /*GILLT_nxv8s8*//*Label 920*/ GIMT_Encode4(68451),
     /*   57032 */ /*GILLT_nxv8s16*//*Label 921*/ GIMT_Encode4(68698),
     /*   57036 */ /*GILLT_nxv8s32*//*Label 922*/ GIMT_Encode4(69821),
     /*   57040 */ /*GILLT_nxv8s64*//*Label 923*/ GIMT_Encode4(70944), GIMT_Encode4(0),
     /*   57048 */ /*GILLT_nxv16s8*//*Label 924*/ GIMT_Encode4(72067),
     /*   57052 */ /*GILLT_nxv16s16*//*Label 925*/ GIMT_Encode4(72314),
     /*   57056 */ /*GILLT_nxv16s32*//*Label 926*/ GIMT_Encode4(73437), GIMT_Encode4(0),
     /*   57064 */ /*GILLT_nxv32s8*//*Label 927*/ GIMT_Encode4(74560),
     /*   57068 */ /*GILLT_nxv32s16*//*Label 928*/ GIMT_Encode4(74807), GIMT_Encode4(0),
     /*   57076 */ /*GILLT_nxv64s8*//*Label 929*/ GIMT_Encode4(75930),
     /*   57080 */ // Label 906: @57080
     /*   57080 */ GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57326),
     /*   57085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57095 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57170), // Rule ID 98 //
     /*   57100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57130 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57136 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57152 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57168 */     GIR_RootConstrainSelectedInstOperands,
     /*   57169 */     // GIR_Coverage, 98,
     /*   57169 */     GIR_EraseRootFromParent_Done,
     /*   57170 */   // Label 932: @57170
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57245), // Rule ID 99 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57205 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57211 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57227 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57243 */     GIR_RootConstrainSelectedInstOperands,
     /*   57244 */     // GIR_Coverage, 99,
     /*   57244 */     GIR_EraseRootFromParent_Done,
     /*   57245 */   // Label 933: @57245
     /*   57245 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57302), // Rule ID 62510 //
     /*   57250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57285 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57300 */     GIR_RootConstrainSelectedInstOperands,
     /*   57301 */     // GIR_Coverage, 62510,
     /*   57301 */     GIR_EraseRootFromParent_Done,
     /*   57302 */   // Label 934: @57302
     /*   57302 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57325), // Rule ID 77 //
     /*   57307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57318 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57323 */     GIR_RootConstrainSelectedInstOperands,
     /*   57324 */     // GIR_Coverage, 77,
     /*   57324 */     GIR_Done,
     /*   57325 */   // Label 935: @57325
     /*   57325 */   GIM_Reject,
     /*   57326 */ // Label 931: @57326
     /*   57326 */ GIM_Reject,
     /*   57327 */ // Label 907: @57327
     /*   57327 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57602),
     /*   57332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57338 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57417), // Rule ID 100 //
     /*   57343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57377 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57383 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57399 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57415 */     GIR_RootConstrainSelectedInstOperands,
     /*   57416 */     // GIR_Coverage, 100,
     /*   57416 */     GIR_EraseRootFromParent_Done,
     /*   57417 */   // Label 937: @57417
     /*   57417 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57482), // Rule ID 62512 //
     /*   57422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10032),
     /*   57463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57465 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10032>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57480 */     GIR_RootConstrainSelectedInstOperands,
     /*   57481 */     // GIR_Coverage, 62512,
     /*   57481 */     GIR_EraseRootFromParent_Done,
     /*   57482 */   // Label 938: @57482
     /*   57482 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57543), // Rule ID 62509 //
     /*   57487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57526 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57541 */     GIR_RootConstrainSelectedInstOperands,
     /*   57542 */     // GIR_Coverage, 62509,
     /*   57542 */     GIR_EraseRootFromParent_Done,
     /*   57543 */   // Label 939: @57543
     /*   57543 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57574), // Rule ID 267 //
     /*   57548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10032),
     /*   57567 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10032>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57572 */     GIR_RootConstrainSelectedInstOperands,
     /*   57573 */     // GIR_Coverage, 267,
     /*   57573 */     GIR_Done,
     /*   57574 */   // Label 940: @57574
     /*   57574 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57601), // Rule ID 76 //
     /*   57579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57594 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57599 */     GIR_RootConstrainSelectedInstOperands,
     /*   57600 */     // GIR_Coverage, 76,
     /*   57600 */     GIR_Done,
     /*   57601 */   // Label 941: @57601
     /*   57601 */   GIM_Reject,
     /*   57602 */ // Label 936: @57602
     /*   57602 */ GIM_Reject,
     /*   57603 */ // Label 908: @57603
     /*   57603 */ GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57849),
     /*   57608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57622 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57686), // Rule ID 51820 //
     /*   57627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57660 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57684 */     GIR_RootConstrainSelectedInstOperands,
     /*   57685 */     // GIR_Coverage, 51820,
     /*   57685 */     GIR_EraseRootFromParent_Done,
     /*   57686 */   // Label 943: @57686
     /*   57686 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57750), // Rule ID 51821 //
     /*   57691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57724 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57748 */     GIR_RootConstrainSelectedInstOperands,
     /*   57749 */     // GIR_Coverage, 51821,
     /*   57749 */     GIR_EraseRootFromParent_Done,
     /*   57750 */   // Label 944: @57750
     /*   57750 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57799), // Rule ID 46098 //
     /*   57755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57762 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57797 */     GIR_RootConstrainSelectedInstOperands,
     /*   57798 */     // GIR_Coverage, 46098,
     /*   57798 */     GIR_EraseRootFromParent_Done,
     /*   57799 */   // Label 945: @57799
     /*   57799 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57848), // Rule ID 46099 //
     /*   57804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57811 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57846 */     GIR_RootConstrainSelectedInstOperands,
     /*   57847 */     // GIR_Coverage, 46099,
     /*   57847 */     GIR_EraseRootFromParent_Done,
     /*   57848 */   // Label 946: @57848
     /*   57848 */   GIM_Reject,
     /*   57849 */ // Label 942: @57849
     /*   57849 */ GIM_Reject,
     /*   57850 */ // Label 909: @57850
     /*   57850 */ GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58972),
     /*   57855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57865 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(57954), // Rule ID 47090 //
     /*   57870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57913 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57952 */     GIR_RootConstrainSelectedInstOperands,
     /*   57953 */     // GIR_Coverage, 47090,
     /*   57953 */     GIR_EraseRootFromParent_Done,
     /*   57954 */   // Label 948: @57954
     /*   57954 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58043), // Rule ID 47091 //
     /*   57959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58002 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58041 */     GIR_RootConstrainSelectedInstOperands,
     /*   58042 */     // GIR_Coverage, 47091,
     /*   58042 */     GIR_EraseRootFromParent_Done,
     /*   58043 */   // Label 949: @58043
     /*   58043 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58132), // Rule ID 46850 //
     /*   58048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58082 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58091 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58130 */     GIR_RootConstrainSelectedInstOperands,
     /*   58131 */     // GIR_Coverage, 46850,
     /*   58131 */     GIR_EraseRootFromParent_Done,
     /*   58132 */   // Label 950: @58132
     /*   58132 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58221), // Rule ID 46851 //
     /*   58137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58171 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58180 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58219 */     GIR_RootConstrainSelectedInstOperands,
     /*   58220 */     // GIR_Coverage, 46851,
     /*   58220 */     GIR_EraseRootFromParent_Done,
     /*   58221 */   // Label 951: @58221
     /*   58221 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58310), // Rule ID 46970 //
     /*   58226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58269 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58308 */     GIR_RootConstrainSelectedInstOperands,
     /*   58309 */     // GIR_Coverage, 46970,
     /*   58309 */     GIR_EraseRootFromParent_Done,
     /*   58310 */   // Label 952: @58310
     /*   58310 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58399), // Rule ID 46971 //
     /*   58315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58358 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58397 */     GIR_RootConstrainSelectedInstOperands,
     /*   58398 */     // GIR_Coverage, 46971,
     /*   58398 */     GIR_EraseRootFromParent_Done,
     /*   58399 */   // Label 953: @58399
     /*   58399 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58467), // Rule ID 51832 //
     /*   58404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58441 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58465 */     GIR_RootConstrainSelectedInstOperands,
     /*   58466 */     // GIR_Coverage, 51832,
     /*   58466 */     GIR_EraseRootFromParent_Done,
     /*   58467 */   // Label 954: @58467
     /*   58467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58535), // Rule ID 51833 //
     /*   58472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58509 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58533 */     GIR_RootConstrainSelectedInstOperands,
     /*   58534 */     // GIR_Coverage, 51833,
     /*   58534 */     GIR_EraseRootFromParent_Done,
     /*   58535 */   // Label 955: @58535
     /*   58535 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58590), // Rule ID 47150 //
     /*   58540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58568 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58588 */     GIR_RootConstrainSelectedInstOperands,
     /*   58589 */     // GIR_Coverage, 47150,
     /*   58589 */     GIR_EraseRootFromParent_Done,
     /*   58590 */   // Label 956: @58590
     /*   58590 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58645), // Rule ID 47151 //
     /*   58595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58623 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58643 */     GIR_RootConstrainSelectedInstOperands,
     /*   58644 */     // GIR_Coverage, 47151,
     /*   58644 */     GIR_EraseRootFromParent_Done,
     /*   58645 */   // Label 957: @58645
     /*   58645 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58700), // Rule ID 46910 //
     /*   58650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58678 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58698 */     GIR_RootConstrainSelectedInstOperands,
     /*   58699 */     // GIR_Coverage, 46910,
     /*   58699 */     GIR_EraseRootFromParent_Done,
     /*   58700 */   // Label 958: @58700
     /*   58700 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58755), // Rule ID 46911 //
     /*   58705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58733 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58753 */     GIR_RootConstrainSelectedInstOperands,
     /*   58754 */     // GIR_Coverage, 46911,
     /*   58754 */     GIR_EraseRootFromParent_Done,
     /*   58755 */   // Label 959: @58755
     /*   58755 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(58810), // Rule ID 47030 //
     /*   58760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58788 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58808 */     GIR_RootConstrainSelectedInstOperands,
     /*   58809 */     // GIR_Coverage, 47030,
     /*   58809 */     GIR_EraseRootFromParent_Done,
     /*   58810 */   // Label 960: @58810
     /*   58810 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58865), // Rule ID 47031 //
     /*   58815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58843 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58863 */     GIR_RootConstrainSelectedInstOperands,
     /*   58864 */     // GIR_Coverage, 47031,
     /*   58864 */     GIR_EraseRootFromParent_Done,
     /*   58865 */   // Label 961: @58865
     /*   58865 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58918), // Rule ID 46110 //
     /*   58870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58881 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58916 */     GIR_RootConstrainSelectedInstOperands,
     /*   58917 */     // GIR_Coverage, 46110,
     /*   58917 */     GIR_EraseRootFromParent_Done,
     /*   58918 */   // Label 962: @58918
     /*   58918 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58971), // Rule ID 46111 //
     /*   58923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58934 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58969 */     GIR_RootConstrainSelectedInstOperands,
     /*   58970 */     // GIR_Coverage, 46111,
     /*   58970 */     GIR_EraseRootFromParent_Done,
     /*   58971 */   // Label 963: @58971
     /*   58971 */   GIM_Reject,
     /*   58972 */ // Label 947: @58972
     /*   58972 */ GIM_Reject,
     /*   58973 */ // Label 910: @58973
     /*   58973 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(60095),
     /*   58978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58988 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59077), // Rule ID 47114 //
     /*   58993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59075 */     GIR_RootConstrainSelectedInstOperands,
     /*   59076 */     // GIR_Coverage, 47114,
     /*   59076 */     GIR_EraseRootFromParent_Done,
     /*   59077 */   // Label 965: @59077
     /*   59077 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59166), // Rule ID 47115 //
     /*   59082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59125 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59164 */     GIR_RootConstrainSelectedInstOperands,
     /*   59165 */     // GIR_Coverage, 47115,
     /*   59165 */     GIR_EraseRootFromParent_Done,
     /*   59166 */   // Label 966: @59166
     /*   59166 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59255), // Rule ID 46874 //
     /*   59171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59214 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59253 */     GIR_RootConstrainSelectedInstOperands,
     /*   59254 */     // GIR_Coverage, 46874,
     /*   59254 */     GIR_EraseRootFromParent_Done,
     /*   59255 */   // Label 967: @59255
     /*   59255 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59344), // Rule ID 46875 //
     /*   59260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59303 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59342 */     GIR_RootConstrainSelectedInstOperands,
     /*   59343 */     // GIR_Coverage, 46875,
     /*   59343 */     GIR_EraseRootFromParent_Done,
     /*   59344 */   // Label 968: @59344
     /*   59344 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59433), // Rule ID 46994 //
     /*   59349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59392 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59431 */     GIR_RootConstrainSelectedInstOperands,
     /*   59432 */     // GIR_Coverage, 46994,
     /*   59432 */     GIR_EraseRootFromParent_Done,
     /*   59433 */   // Label 969: @59433
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59522), // Rule ID 46995 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59481 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59520 */     GIR_RootConstrainSelectedInstOperands,
     /*   59521 */     // GIR_Coverage, 46995,
     /*   59521 */     GIR_EraseRootFromParent_Done,
     /*   59522 */   // Label 970: @59522
     /*   59522 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59590), // Rule ID 51840 //
     /*   59527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59564 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59588 */     GIR_RootConstrainSelectedInstOperands,
     /*   59589 */     // GIR_Coverage, 51840,
     /*   59589 */     GIR_EraseRootFromParent_Done,
     /*   59590 */   // Label 971: @59590
     /*   59590 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59658), // Rule ID 51841 //
     /*   59595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59632 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59656 */     GIR_RootConstrainSelectedInstOperands,
     /*   59657 */     // GIR_Coverage, 51841,
     /*   59657 */     GIR_EraseRootFromParent_Done,
     /*   59658 */   // Label 972: @59658
     /*   59658 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59713), // Rule ID 47174 //
     /*   59663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59691 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59711 */     GIR_RootConstrainSelectedInstOperands,
     /*   59712 */     // GIR_Coverage, 47174,
     /*   59712 */     GIR_EraseRootFromParent_Done,
     /*   59713 */   // Label 973: @59713
     /*   59713 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59768), // Rule ID 47175 //
     /*   59718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59746 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59766 */     GIR_RootConstrainSelectedInstOperands,
     /*   59767 */     // GIR_Coverage, 47175,
     /*   59767 */     GIR_EraseRootFromParent_Done,
     /*   59768 */   // Label 974: @59768
     /*   59768 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59823), // Rule ID 46934 //
     /*   59773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59801 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59821 */     GIR_RootConstrainSelectedInstOperands,
     /*   59822 */     // GIR_Coverage, 46934,
     /*   59822 */     GIR_EraseRootFromParent_Done,
     /*   59823 */   // Label 975: @59823
     /*   59823 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59878), // Rule ID 46935 //
     /*   59828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59856 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59876 */     GIR_RootConstrainSelectedInstOperands,
     /*   59877 */     // GIR_Coverage, 46935,
     /*   59877 */     GIR_EraseRootFromParent_Done,
     /*   59878 */   // Label 976: @59878
     /*   59878 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59933), // Rule ID 47054 //
     /*   59883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59911 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59931 */     GIR_RootConstrainSelectedInstOperands,
     /*   59932 */     // GIR_Coverage, 47054,
     /*   59932 */     GIR_EraseRootFromParent_Done,
     /*   59933 */   // Label 977: @59933
     /*   59933 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59988), // Rule ID 47055 //
     /*   59938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59966 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59986 */     GIR_RootConstrainSelectedInstOperands,
     /*   59987 */     // GIR_Coverage, 47055,
     /*   59987 */     GIR_EraseRootFromParent_Done,
     /*   59988 */   // Label 978: @59988
     /*   59988 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(60041), // Rule ID 46118 //
     /*   59993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60004 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60039 */     GIR_RootConstrainSelectedInstOperands,
     /*   60040 */     // GIR_Coverage, 46118,
     /*   60040 */     GIR_EraseRootFromParent_Done,
     /*   60041 */   // Label 979: @60041
     /*   60041 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60094), // Rule ID 46119 //
     /*   60046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60057 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60092 */     GIR_RootConstrainSelectedInstOperands,
     /*   60093 */     // GIR_Coverage, 46119,
     /*   60093 */     GIR_EraseRootFromParent_Done,
     /*   60094 */   // Label 980: @60094
     /*   60094 */   GIM_Reject,
     /*   60095 */ // Label 964: @60095
     /*   60095 */ GIM_Reject,
     /*   60096 */ // Label 911: @60096
     /*   60096 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(61218),
     /*   60101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60111 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60200), // Rule ID 47134 //
     /*   60116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60159 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60198 */     GIR_RootConstrainSelectedInstOperands,
     /*   60199 */     // GIR_Coverage, 47134,
     /*   60199 */     GIR_EraseRootFromParent_Done,
     /*   60200 */   // Label 982: @60200
     /*   60200 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60289), // Rule ID 47135 //
     /*   60205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60220 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60248 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_RootConstrainSelectedInstOperands,
     /*   60288 */     // GIR_Coverage, 47135,
     /*   60288 */     GIR_EraseRootFromParent_Done,
     /*   60289 */   // Label 983: @60289
     /*   60289 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60378), // Rule ID 46894 //
     /*   60294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60309 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60337 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60376 */     GIR_RootConstrainSelectedInstOperands,
     /*   60377 */     // GIR_Coverage, 46894,
     /*   60377 */     GIR_EraseRootFromParent_Done,
     /*   60378 */   // Label 984: @60378
     /*   60378 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60467), // Rule ID 46895 //
     /*   60383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60426 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60465 */     GIR_RootConstrainSelectedInstOperands,
     /*   60466 */     // GIR_Coverage, 46895,
     /*   60466 */     GIR_EraseRootFromParent_Done,
     /*   60467 */   // Label 985: @60467
     /*   60467 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60556), // Rule ID 47014 //
     /*   60472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60515 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60554 */     GIR_RootConstrainSelectedInstOperands,
     /*   60555 */     // GIR_Coverage, 47014,
     /*   60555 */     GIR_EraseRootFromParent_Done,
     /*   60556 */   // Label 986: @60556
     /*   60556 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60645), // Rule ID 47015 //
     /*   60561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60604 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60643 */     GIR_RootConstrainSelectedInstOperands,
     /*   60644 */     // GIR_Coverage, 47015,
     /*   60644 */     GIR_EraseRootFromParent_Done,
     /*   60645 */   // Label 987: @60645
     /*   60645 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60713), // Rule ID 51856 //
     /*   60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60687 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60711 */     GIR_RootConstrainSelectedInstOperands,
     /*   60712 */     // GIR_Coverage, 51856,
     /*   60712 */     GIR_EraseRootFromParent_Done,
     /*   60713 */   // Label 988: @60713
     /*   60713 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60781), // Rule ID 51857 //
     /*   60718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60755 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60779 */     GIR_RootConstrainSelectedInstOperands,
     /*   60780 */     // GIR_Coverage, 51857,
     /*   60780 */     GIR_EraseRootFromParent_Done,
     /*   60781 */   // Label 989: @60781
     /*   60781 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60836), // Rule ID 47194 //
     /*   60786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60814 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60834 */     GIR_RootConstrainSelectedInstOperands,
     /*   60835 */     // GIR_Coverage, 47194,
     /*   60835 */     GIR_EraseRootFromParent_Done,
     /*   60836 */   // Label 990: @60836
     /*   60836 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60891), // Rule ID 47195 //
     /*   60841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60860 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60869 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60889 */     GIR_RootConstrainSelectedInstOperands,
     /*   60890 */     // GIR_Coverage, 47195,
     /*   60890 */     GIR_EraseRootFromParent_Done,
     /*   60891 */   // Label 991: @60891
     /*   60891 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60946), // Rule ID 46954 //
     /*   60896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60924 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60944 */     GIR_RootConstrainSelectedInstOperands,
     /*   60945 */     // GIR_Coverage, 46954,
     /*   60945 */     GIR_EraseRootFromParent_Done,
     /*   60946 */   // Label 992: @60946
     /*   60946 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61001), // Rule ID 46955 //
     /*   60951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60979 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60999 */     GIR_RootConstrainSelectedInstOperands,
     /*   61000 */     // GIR_Coverage, 46955,
     /*   61000 */     GIR_EraseRootFromParent_Done,
     /*   61001 */   // Label 993: @61001
     /*   61001 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61056), // Rule ID 47074 //
     /*   61006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   61009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61034 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   61034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61054 */     GIR_RootConstrainSelectedInstOperands,
     /*   61055 */     // GIR_Coverage, 47074,
     /*   61055 */     GIR_EraseRootFromParent_Done,
     /*   61056 */   // Label 994: @61056
     /*   61056 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61111), // Rule ID 47075 //
     /*   61061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   61064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61089 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61109 */     GIR_RootConstrainSelectedInstOperands,
     /*   61110 */     // GIR_Coverage, 47075,
     /*   61110 */     GIR_EraseRootFromParent_Done,
     /*   61111 */   // Label 995: @61111
     /*   61111 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61164), // Rule ID 46134 //
     /*   61116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61127 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61162 */     GIR_RootConstrainSelectedInstOperands,
     /*   61163 */     // GIR_Coverage, 46134,
     /*   61163 */     GIR_EraseRootFromParent_Done,
     /*   61164 */   // Label 996: @61164
     /*   61164 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61217), // Rule ID 46135 //
     /*   61169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61180 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61215 */     GIR_RootConstrainSelectedInstOperands,
     /*   61216 */     // GIR_Coverage, 46135,
     /*   61216 */     GIR_EraseRootFromParent_Done,
     /*   61217 */   // Label 997: @61217
     /*   61217 */   GIM_Reject,
     /*   61218 */ // Label 981: @61218
     /*   61218 */ GIM_Reject,
     /*   61219 */ // Label 912: @61219
     /*   61219 */ GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61465),
     /*   61224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61238 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61302), // Rule ID 51824 //
     /*   61243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61276 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61300 */     GIR_RootConstrainSelectedInstOperands,
     /*   61301 */     // GIR_Coverage, 51824,
     /*   61301 */     GIR_EraseRootFromParent_Done,
     /*   61302 */   // Label 999: @61302
     /*   61302 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61366), // Rule ID 51825 //
     /*   61307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61340 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61364 */     GIR_RootConstrainSelectedInstOperands,
     /*   61365 */     // GIR_Coverage, 51825,
     /*   61365 */     GIR_EraseRootFromParent_Done,
     /*   61366 */   // Label 1000: @61366
     /*   61366 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61415), // Rule ID 46102 //
     /*   61371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61378 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61413 */     GIR_RootConstrainSelectedInstOperands,
     /*   61414 */     // GIR_Coverage, 46102,
     /*   61414 */     GIR_EraseRootFromParent_Done,
     /*   61415 */   // Label 1001: @61415
     /*   61415 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61464), // Rule ID 46103 //
     /*   61420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61427 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61462 */     GIR_RootConstrainSelectedInstOperands,
     /*   61463 */     // GIR_Coverage, 46103,
     /*   61463 */     GIR_EraseRootFromParent_Done,
     /*   61464 */   // Label 1002: @61464
     /*   61464 */   GIM_Reject,
     /*   61465 */ // Label 998: @61465
     /*   61465 */ GIM_Reject,
     /*   61466 */ // Label 913: @61466
     /*   61466 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(62588),
     /*   61471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61481 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61570), // Rule ID 47094 //
     /*   61486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61520 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61529 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61568 */     GIR_RootConstrainSelectedInstOperands,
     /*   61569 */     // GIR_Coverage, 47094,
     /*   61569 */     GIR_EraseRootFromParent_Done,
     /*   61570 */   // Label 1004: @61570
     /*   61570 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61659), // Rule ID 47095 //
     /*   61575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61618 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61657 */     GIR_RootConstrainSelectedInstOperands,
     /*   61658 */     // GIR_Coverage, 47095,
     /*   61658 */     GIR_EraseRootFromParent_Done,
     /*   61659 */   // Label 1005: @61659
     /*   61659 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61748), // Rule ID 46854 //
     /*   61664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61707 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61746 */     GIR_RootConstrainSelectedInstOperands,
     /*   61747 */     // GIR_Coverage, 46854,
     /*   61747 */     GIR_EraseRootFromParent_Done,
     /*   61748 */   // Label 1006: @61748
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(61837), // Rule ID 46855 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61787 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61796 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61835 */     GIR_RootConstrainSelectedInstOperands,
     /*   61836 */     // GIR_Coverage, 46855,
     /*   61836 */     GIR_EraseRootFromParent_Done,
     /*   61837 */   // Label 1007: @61837
     /*   61837 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(61926), // Rule ID 46974 //
     /*   61842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61924 */     GIR_RootConstrainSelectedInstOperands,
     /*   61925 */     // GIR_Coverage, 46974,
     /*   61925 */     GIR_EraseRootFromParent_Done,
     /*   61926 */   // Label 1008: @61926
     /*   61926 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62015), // Rule ID 46975 //
     /*   61931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61974 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62013 */     GIR_RootConstrainSelectedInstOperands,
     /*   62014 */     // GIR_Coverage, 46975,
     /*   62014 */     GIR_EraseRootFromParent_Done,
     /*   62015 */   // Label 1009: @62015
     /*   62015 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62083), // Rule ID 51836 //
     /*   62020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62057 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62081 */     GIR_RootConstrainSelectedInstOperands,
     /*   62082 */     // GIR_Coverage, 51836,
     /*   62082 */     GIR_EraseRootFromParent_Done,
     /*   62083 */   // Label 1010: @62083
     /*   62083 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62151), // Rule ID 51837 //
     /*   62088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62125 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62149 */     GIR_RootConstrainSelectedInstOperands,
     /*   62150 */     // GIR_Coverage, 51837,
     /*   62150 */     GIR_EraseRootFromParent_Done,
     /*   62151 */   // Label 1011: @62151
     /*   62151 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62206), // Rule ID 47154 //
     /*   62156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62184 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62204 */     GIR_RootConstrainSelectedInstOperands,
     /*   62205 */     // GIR_Coverage, 47154,
     /*   62205 */     GIR_EraseRootFromParent_Done,
     /*   62206 */   // Label 1012: @62206
     /*   62206 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62261), // Rule ID 47155 //
     /*   62211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62239 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62259 */     GIR_RootConstrainSelectedInstOperands,
     /*   62260 */     // GIR_Coverage, 47155,
     /*   62260 */     GIR_EraseRootFromParent_Done,
     /*   62261 */   // Label 1013: @62261
     /*   62261 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62316), // Rule ID 46914 //
     /*   62266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62294 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62314 */     GIR_RootConstrainSelectedInstOperands,
     /*   62315 */     // GIR_Coverage, 46914,
     /*   62315 */     GIR_EraseRootFromParent_Done,
     /*   62316 */   // Label 1014: @62316
     /*   62316 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62371), // Rule ID 46915 //
     /*   62321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62349 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62369 */     GIR_RootConstrainSelectedInstOperands,
     /*   62370 */     // GIR_Coverage, 46915,
     /*   62370 */     GIR_EraseRootFromParent_Done,
     /*   62371 */   // Label 1015: @62371
     /*   62371 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62426), // Rule ID 47034 //
     /*   62376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62404 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62424 */     GIR_RootConstrainSelectedInstOperands,
     /*   62425 */     // GIR_Coverage, 47034,
     /*   62425 */     GIR_EraseRootFromParent_Done,
     /*   62426 */   // Label 1016: @62426
     /*   62426 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62481), // Rule ID 47035 //
     /*   62431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62459 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62479 */     GIR_RootConstrainSelectedInstOperands,
     /*   62480 */     // GIR_Coverage, 47035,
     /*   62480 */     GIR_EraseRootFromParent_Done,
     /*   62481 */   // Label 1017: @62481
     /*   62481 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62534), // Rule ID 46114 //
     /*   62486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62497 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62532 */     GIR_RootConstrainSelectedInstOperands,
     /*   62533 */     // GIR_Coverage, 46114,
     /*   62533 */     GIR_EraseRootFromParent_Done,
     /*   62534 */   // Label 1018: @62534
     /*   62534 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62587), // Rule ID 46115 //
     /*   62539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62550 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62585 */     GIR_RootConstrainSelectedInstOperands,
     /*   62586 */     // GIR_Coverage, 46115,
     /*   62586 */     GIR_EraseRootFromParent_Done,
     /*   62587 */   // Label 1019: @62587
     /*   62587 */   GIM_Reject,
     /*   62588 */ // Label 1003: @62588
     /*   62588 */ GIM_Reject,
     /*   62589 */ // Label 914: @62589
     /*   62589 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63711),
     /*   62594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62604 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62693), // Rule ID 47118 //
     /*   62609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62652 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62691 */     GIR_RootConstrainSelectedInstOperands,
     /*   62692 */     // GIR_Coverage, 47118,
     /*   62692 */     GIR_EraseRootFromParent_Done,
     /*   62693 */   // Label 1021: @62693
     /*   62693 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(62782), // Rule ID 47119 //
     /*   62698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62741 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62780 */     GIR_RootConstrainSelectedInstOperands,
     /*   62781 */     // GIR_Coverage, 47119,
     /*   62781 */     GIR_EraseRootFromParent_Done,
     /*   62782 */   // Label 1022: @62782
     /*   62782 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(62871), // Rule ID 46878 //
     /*   62787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62830 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62869 */     GIR_RootConstrainSelectedInstOperands,
     /*   62870 */     // GIR_Coverage, 46878,
     /*   62870 */     GIR_EraseRootFromParent_Done,
     /*   62871 */   // Label 1023: @62871
     /*   62871 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(62960), // Rule ID 46879 //
     /*   62876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62919 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62958 */     GIR_RootConstrainSelectedInstOperands,
     /*   62959 */     // GIR_Coverage, 46879,
     /*   62959 */     GIR_EraseRootFromParent_Done,
     /*   62960 */   // Label 1024: @62960
     /*   62960 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63049), // Rule ID 46998 //
     /*   62965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63008 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63047 */     GIR_RootConstrainSelectedInstOperands,
     /*   63048 */     // GIR_Coverage, 46998,
     /*   63048 */     GIR_EraseRootFromParent_Done,
     /*   63049 */   // Label 1025: @63049
     /*   63049 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63138), // Rule ID 46999 //
     /*   63054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63097 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63136 */     GIR_RootConstrainSelectedInstOperands,
     /*   63137 */     // GIR_Coverage, 46999,
     /*   63137 */     GIR_EraseRootFromParent_Done,
     /*   63138 */   // Label 1026: @63138
     /*   63138 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63206), // Rule ID 51852 //
     /*   63143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63180 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63204 */     GIR_RootConstrainSelectedInstOperands,
     /*   63205 */     // GIR_Coverage, 51852,
     /*   63205 */     GIR_EraseRootFromParent_Done,
     /*   63206 */   // Label 1027: @63206
     /*   63206 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63274), // Rule ID 51853 //
     /*   63211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63248 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63272 */     GIR_RootConstrainSelectedInstOperands,
     /*   63273 */     // GIR_Coverage, 51853,
     /*   63273 */     GIR_EraseRootFromParent_Done,
     /*   63274 */   // Label 1028: @63274
     /*   63274 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63329), // Rule ID 47178 //
     /*   63279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63307 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63327 */     GIR_RootConstrainSelectedInstOperands,
     /*   63328 */     // GIR_Coverage, 47178,
     /*   63328 */     GIR_EraseRootFromParent_Done,
     /*   63329 */   // Label 1029: @63329
     /*   63329 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63384), // Rule ID 47179 //
     /*   63334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63362 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63382 */     GIR_RootConstrainSelectedInstOperands,
     /*   63383 */     // GIR_Coverage, 47179,
     /*   63383 */     GIR_EraseRootFromParent_Done,
     /*   63384 */   // Label 1030: @63384
     /*   63384 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63439), // Rule ID 46938 //
     /*   63389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63417 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63437 */     GIR_RootConstrainSelectedInstOperands,
     /*   63438 */     // GIR_Coverage, 46938,
     /*   63438 */     GIR_EraseRootFromParent_Done,
     /*   63439 */   // Label 1031: @63439
     /*   63439 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63494), // Rule ID 46939 //
     /*   63444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63472 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 46939,
     /*   63493 */     GIR_EraseRootFromParent_Done,
     /*   63494 */   // Label 1032: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63549), // Rule ID 47058 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63527 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63547 */     GIR_RootConstrainSelectedInstOperands,
     /*   63548 */     // GIR_Coverage, 47058,
     /*   63548 */     GIR_EraseRootFromParent_Done,
     /*   63549 */   // Label 1033: @63549
     /*   63549 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63604), // Rule ID 47059 //
     /*   63554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63582 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63602 */     GIR_RootConstrainSelectedInstOperands,
     /*   63603 */     // GIR_Coverage, 47059,
     /*   63603 */     GIR_EraseRootFromParent_Done,
     /*   63604 */   // Label 1034: @63604
     /*   63604 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(63657), // Rule ID 46130 //
     /*   63609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63620 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63655 */     GIR_RootConstrainSelectedInstOperands,
     /*   63656 */     // GIR_Coverage, 46130,
     /*   63656 */     GIR_EraseRootFromParent_Done,
     /*   63657 */   // Label 1035: @63657
     /*   63657 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63710), // Rule ID 46131 //
     /*   63662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63673 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63708 */     GIR_RootConstrainSelectedInstOperands,
     /*   63709 */     // GIR_Coverage, 46131,
     /*   63709 */     GIR_EraseRootFromParent_Done,
     /*   63710 */   // Label 1036: @63710
     /*   63710 */   GIM_Reject,
     /*   63711 */ // Label 1020: @63711
     /*   63711 */ GIM_Reject,
     /*   63712 */ // Label 915: @63712
     /*   63712 */ GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64834),
     /*   63717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63727 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(63816), // Rule ID 47138 //
     /*   63732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63775 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63814 */     GIR_RootConstrainSelectedInstOperands,
     /*   63815 */     // GIR_Coverage, 47138,
     /*   63815 */     GIR_EraseRootFromParent_Done,
     /*   63816 */   // Label 1038: @63816
     /*   63816 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(63905), // Rule ID 47139 //
     /*   63821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63864 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 47139,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1039: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(63994), // Rule ID 46898 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63953 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63992 */     GIR_RootConstrainSelectedInstOperands,
     /*   63993 */     // GIR_Coverage, 46898,
     /*   63993 */     GIR_EraseRootFromParent_Done,
     /*   63994 */   // Label 1040: @63994
     /*   63994 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64083), // Rule ID 46899 //
     /*   63999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64042 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   64059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64081 */     GIR_RootConstrainSelectedInstOperands,
     /*   64082 */     // GIR_Coverage, 46899,
     /*   64082 */     GIR_EraseRootFromParent_Done,
     /*   64083 */   // Label 1041: @64083
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64172), // Rule ID 47018 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64131 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64170 */     GIR_RootConstrainSelectedInstOperands,
     /*   64171 */     // GIR_Coverage, 47018,
     /*   64171 */     GIR_EraseRootFromParent_Done,
     /*   64172 */   // Label 1042: @64172
     /*   64172 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64261), // Rule ID 47019 //
     /*   64177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64220 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64259 */     GIR_RootConstrainSelectedInstOperands,
     /*   64260 */     // GIR_Coverage, 47019,
     /*   64260 */     GIR_EraseRootFromParent_Done,
     /*   64261 */   // Label 1043: @64261
     /*   64261 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64329), // Rule ID 51896 //
     /*   64266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64303 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64327 */     GIR_RootConstrainSelectedInstOperands,
     /*   64328 */     // GIR_Coverage, 51896,
     /*   64328 */     GIR_EraseRootFromParent_Done,
     /*   64329 */   // Label 1044: @64329
     /*   64329 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64397), // Rule ID 51897 //
     /*   64334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64371 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64395 */     GIR_RootConstrainSelectedInstOperands,
     /*   64396 */     // GIR_Coverage, 51897,
     /*   64396 */     GIR_EraseRootFromParent_Done,
     /*   64397 */   // Label 1045: @64397
     /*   64397 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64452), // Rule ID 47198 //
     /*   64402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64430 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64450 */     GIR_RootConstrainSelectedInstOperands,
     /*   64451 */     // GIR_Coverage, 47198,
     /*   64451 */     GIR_EraseRootFromParent_Done,
     /*   64452 */   // Label 1046: @64452
     /*   64452 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64507), // Rule ID 47199 //
     /*   64457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64485 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64505 */     GIR_RootConstrainSelectedInstOperands,
     /*   64506 */     // GIR_Coverage, 47199,
     /*   64506 */     GIR_EraseRootFromParent_Done,
     /*   64507 */   // Label 1047: @64507
     /*   64507 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64562), // Rule ID 46958 //
     /*   64512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64540 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64560 */     GIR_RootConstrainSelectedInstOperands,
     /*   64561 */     // GIR_Coverage, 46958,
     /*   64561 */     GIR_EraseRootFromParent_Done,
     /*   64562 */   // Label 1048: @64562
     /*   64562 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64617), // Rule ID 46959 //
     /*   64567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64595 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64615 */     GIR_RootConstrainSelectedInstOperands,
     /*   64616 */     // GIR_Coverage, 46959,
     /*   64616 */     GIR_EraseRootFromParent_Done,
     /*   64617 */   // Label 1049: @64617
     /*   64617 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64672), // Rule ID 47078 //
     /*   64622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64650 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64670 */     GIR_RootConstrainSelectedInstOperands,
     /*   64671 */     // GIR_Coverage, 47078,
     /*   64671 */     GIR_EraseRootFromParent_Done,
     /*   64672 */   // Label 1050: @64672
     /*   64672 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64727), // Rule ID 47079 //
     /*   64677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64705 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64725 */     GIR_RootConstrainSelectedInstOperands,
     /*   64726 */     // GIR_Coverage, 47079,
     /*   64726 */     GIR_EraseRootFromParent_Done,
     /*   64727 */   // Label 1051: @64727
     /*   64727 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(64780), // Rule ID 46174 //
     /*   64732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64743 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64778 */     GIR_RootConstrainSelectedInstOperands,
     /*   64779 */     // GIR_Coverage, 46174,
     /*   64779 */     GIR_EraseRootFromParent_Done,
     /*   64780 */   // Label 1052: @64780
     /*   64780 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64833), // Rule ID 46175 //
     /*   64785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64796 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64831 */     GIR_RootConstrainSelectedInstOperands,
     /*   64832 */     // GIR_Coverage, 46175,
     /*   64832 */     GIR_EraseRootFromParent_Done,
     /*   64833 */   // Label 1053: @64833
     /*   64833 */   GIM_Reject,
     /*   64834 */ // Label 1037: @64834
     /*   64834 */ GIM_Reject,
     /*   64835 */ // Label 916: @64835
     /*   64835 */ GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65081),
     /*   64840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(64918), // Rule ID 51828 //
     /*   64859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64892 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64916 */     GIR_RootConstrainSelectedInstOperands,
     /*   64917 */     // GIR_Coverage, 51828,
     /*   64917 */     GIR_EraseRootFromParent_Done,
     /*   64918 */   // Label 1055: @64918
     /*   64918 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(64982), // Rule ID 51829 //
     /*   64923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64956 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64980 */     GIR_RootConstrainSelectedInstOperands,
     /*   64981 */     // GIR_Coverage, 51829,
     /*   64981 */     GIR_EraseRootFromParent_Done,
     /*   64982 */   // Label 1056: @64982
     /*   64982 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65031), // Rule ID 46106 //
     /*   64987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64994 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   64994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65029 */     GIR_RootConstrainSelectedInstOperands,
     /*   65030 */     // GIR_Coverage, 46106,
     /*   65030 */     GIR_EraseRootFromParent_Done,
     /*   65031 */   // Label 1057: @65031
     /*   65031 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65080), // Rule ID 46107 //
     /*   65036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65043 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65078 */     GIR_RootConstrainSelectedInstOperands,
     /*   65079 */     // GIR_Coverage, 46107,
     /*   65079 */     GIR_EraseRootFromParent_Done,
     /*   65080 */   // Label 1058: @65080
     /*   65080 */   GIM_Reject,
     /*   65081 */ // Label 1054: @65081
     /*   65081 */ GIM_Reject,
     /*   65082 */ // Label 917: @65082
     /*   65082 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(66204),
     /*   65087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65097 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65186), // Rule ID 47098 //
     /*   65102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65145 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65184 */     GIR_RootConstrainSelectedInstOperands,
     /*   65185 */     // GIR_Coverage, 47098,
     /*   65185 */     GIR_EraseRootFromParent_Done,
     /*   65186 */   // Label 1060: @65186
     /*   65186 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65275), // Rule ID 47099 //
     /*   65191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65234 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65273 */     GIR_RootConstrainSelectedInstOperands,
     /*   65274 */     // GIR_Coverage, 47099,
     /*   65274 */     GIR_EraseRootFromParent_Done,
     /*   65275 */   // Label 1061: @65275
     /*   65275 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65364), // Rule ID 46858 //
     /*   65280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65323 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65362 */     GIR_RootConstrainSelectedInstOperands,
     /*   65363 */     // GIR_Coverage, 46858,
     /*   65363 */     GIR_EraseRootFromParent_Done,
     /*   65364 */   // Label 1062: @65364
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65453), // Rule ID 46859 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65412 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 46859,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1063: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65542), // Rule ID 46978 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65501 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65540 */     GIR_RootConstrainSelectedInstOperands,
     /*   65541 */     // GIR_Coverage, 46978,
     /*   65541 */     GIR_EraseRootFromParent_Done,
     /*   65542 */   // Label 1064: @65542
     /*   65542 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65631), // Rule ID 46979 //
     /*   65547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65590 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65629 */     GIR_RootConstrainSelectedInstOperands,
     /*   65630 */     // GIR_Coverage, 46979,
     /*   65630 */     GIR_EraseRootFromParent_Done,
     /*   65631 */   // Label 1065: @65631
     /*   65631 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65699), // Rule ID 51848 //
     /*   65636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65673 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65697 */     GIR_RootConstrainSelectedInstOperands,
     /*   65698 */     // GIR_Coverage, 51848,
     /*   65698 */     GIR_EraseRootFromParent_Done,
     /*   65699 */   // Label 1066: @65699
     /*   65699 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65767), // Rule ID 51849 //
     /*   65704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65741 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65765 */     GIR_RootConstrainSelectedInstOperands,
     /*   65766 */     // GIR_Coverage, 51849,
     /*   65766 */     GIR_EraseRootFromParent_Done,
     /*   65767 */   // Label 1067: @65767
     /*   65767 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65822), // Rule ID 47158 //
     /*   65772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65800 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65820 */     GIR_RootConstrainSelectedInstOperands,
     /*   65821 */     // GIR_Coverage, 47158,
     /*   65821 */     GIR_EraseRootFromParent_Done,
     /*   65822 */   // Label 1068: @65822
     /*   65822 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(65877), // Rule ID 47159 //
     /*   65827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65855 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65875 */     GIR_RootConstrainSelectedInstOperands,
     /*   65876 */     // GIR_Coverage, 47159,
     /*   65876 */     GIR_EraseRootFromParent_Done,
     /*   65877 */   // Label 1069: @65877
     /*   65877 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(65932), // Rule ID 46918 //
     /*   65882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65910 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65930 */     GIR_RootConstrainSelectedInstOperands,
     /*   65931 */     // GIR_Coverage, 46918,
     /*   65931 */     GIR_EraseRootFromParent_Done,
     /*   65932 */   // Label 1070: @65932
     /*   65932 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(65987), // Rule ID 46919 //
     /*   65937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65965 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65985 */     GIR_RootConstrainSelectedInstOperands,
     /*   65986 */     // GIR_Coverage, 46919,
     /*   65986 */     GIR_EraseRootFromParent_Done,
     /*   65987 */   // Label 1071: @65987
     /*   65987 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66042), // Rule ID 47038 //
     /*   65992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66020 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66040 */     GIR_RootConstrainSelectedInstOperands,
     /*   66041 */     // GIR_Coverage, 47038,
     /*   66041 */     GIR_EraseRootFromParent_Done,
     /*   66042 */   // Label 1072: @66042
     /*   66042 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66097), // Rule ID 47039 //
     /*   66047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66075 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66095 */     GIR_RootConstrainSelectedInstOperands,
     /*   66096 */     // GIR_Coverage, 47039,
     /*   66096 */     GIR_EraseRootFromParent_Done,
     /*   66097 */   // Label 1073: @66097
     /*   66097 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66150), // Rule ID 46126 //
     /*   66102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66113 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66148 */     GIR_RootConstrainSelectedInstOperands,
     /*   66149 */     // GIR_Coverage, 46126,
     /*   66149 */     GIR_EraseRootFromParent_Done,
     /*   66150 */   // Label 1074: @66150
     /*   66150 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66203), // Rule ID 46127 //
     /*   66155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66166 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66201 */     GIR_RootConstrainSelectedInstOperands,
     /*   66202 */     // GIR_Coverage, 46127,
     /*   66202 */     GIR_EraseRootFromParent_Done,
     /*   66203 */   // Label 1075: @66203
     /*   66203 */   GIM_Reject,
     /*   66204 */ // Label 1059: @66204
     /*   66204 */ GIM_Reject,
     /*   66205 */ // Label 918: @66205
     /*   66205 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(67327),
     /*   66210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66220 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66309), // Rule ID 47122 //
     /*   66225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66268 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66307 */     GIR_RootConstrainSelectedInstOperands,
     /*   66308 */     // GIR_Coverage, 47122,
     /*   66308 */     GIR_EraseRootFromParent_Done,
     /*   66309 */   // Label 1077: @66309
     /*   66309 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66398), // Rule ID 47123 //
     /*   66314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66357 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66396 */     GIR_RootConstrainSelectedInstOperands,
     /*   66397 */     // GIR_Coverage, 47123,
     /*   66397 */     GIR_EraseRootFromParent_Done,
     /*   66398 */   // Label 1078: @66398
     /*   66398 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66487), // Rule ID 46882 //
     /*   66403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66446 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66485 */     GIR_RootConstrainSelectedInstOperands,
     /*   66486 */     // GIR_Coverage, 46882,
     /*   66486 */     GIR_EraseRootFromParent_Done,
     /*   66487 */   // Label 1079: @66487
     /*   66487 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66576), // Rule ID 46883 //
     /*   66492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66535 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66574 */     GIR_RootConstrainSelectedInstOperands,
     /*   66575 */     // GIR_Coverage, 46883,
     /*   66575 */     GIR_EraseRootFromParent_Done,
     /*   66576 */   // Label 1080: @66576
     /*   66576 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66665), // Rule ID 47002 //
     /*   66581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66624 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66663 */     GIR_RootConstrainSelectedInstOperands,
     /*   66664 */     // GIR_Coverage, 47002,
     /*   66664 */     GIR_EraseRootFromParent_Done,
     /*   66665 */   // Label 1081: @66665
     /*   66665 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66754), // Rule ID 47003 //
     /*   66670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66713 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66752 */     GIR_RootConstrainSelectedInstOperands,
     /*   66753 */     // GIR_Coverage, 47003,
     /*   66753 */     GIR_EraseRootFromParent_Done,
     /*   66754 */   // Label 1082: @66754
     /*   66754 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66822), // Rule ID 51884 //
     /*   66759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66796 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66820 */     GIR_RootConstrainSelectedInstOperands,
     /*   66821 */     // GIR_Coverage, 51884,
     /*   66821 */     GIR_EraseRootFromParent_Done,
     /*   66822 */   // Label 1083: @66822
     /*   66822 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(66890), // Rule ID 51885 //
     /*   66827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66864 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66888 */     GIR_RootConstrainSelectedInstOperands,
     /*   66889 */     // GIR_Coverage, 51885,
     /*   66889 */     GIR_EraseRootFromParent_Done,
     /*   66890 */   // Label 1084: @66890
     /*   66890 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(66945), // Rule ID 47182 //
     /*   66895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66923 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66943 */     GIR_RootConstrainSelectedInstOperands,
     /*   66944 */     // GIR_Coverage, 47182,
     /*   66944 */     GIR_EraseRootFromParent_Done,
     /*   66945 */   // Label 1085: @66945
     /*   66945 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67000), // Rule ID 47183 //
     /*   66950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66978 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66998 */     GIR_RootConstrainSelectedInstOperands,
     /*   66999 */     // GIR_Coverage, 47183,
     /*   66999 */     GIR_EraseRootFromParent_Done,
     /*   67000 */   // Label 1086: @67000
     /*   67000 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67055), // Rule ID 46942 //
     /*   67005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67033 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67053 */     GIR_RootConstrainSelectedInstOperands,
     /*   67054 */     // GIR_Coverage, 46942,
     /*   67054 */     GIR_EraseRootFromParent_Done,
     /*   67055 */   // Label 1087: @67055
     /*   67055 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67110), // Rule ID 46943 //
     /*   67060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67088 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67108 */     GIR_RootConstrainSelectedInstOperands,
     /*   67109 */     // GIR_Coverage, 46943,
     /*   67109 */     GIR_EraseRootFromParent_Done,
     /*   67110 */   // Label 1088: @67110
     /*   67110 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67165), // Rule ID 47062 //
     /*   67115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67143 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67163 */     GIR_RootConstrainSelectedInstOperands,
     /*   67164 */     // GIR_Coverage, 47062,
     /*   67164 */     GIR_EraseRootFromParent_Done,
     /*   67165 */   // Label 1089: @67165
     /*   67165 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67220), // Rule ID 47063 //
     /*   67170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67198 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67218 */     GIR_RootConstrainSelectedInstOperands,
     /*   67219 */     // GIR_Coverage, 47063,
     /*   67219 */     GIR_EraseRootFromParent_Done,
     /*   67220 */   // Label 1090: @67220
     /*   67220 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67273), // Rule ID 46162 //
     /*   67225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67236 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67271 */     GIR_RootConstrainSelectedInstOperands,
     /*   67272 */     // GIR_Coverage, 46162,
     /*   67272 */     GIR_EraseRootFromParent_Done,
     /*   67273 */   // Label 1091: @67273
     /*   67273 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67326), // Rule ID 46163 //
     /*   67278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67289 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67324 */     GIR_RootConstrainSelectedInstOperands,
     /*   67325 */     // GIR_Coverage, 46163,
     /*   67325 */     GIR_EraseRootFromParent_Done,
     /*   67326 */   // Label 1092: @67326
     /*   67326 */   GIM_Reject,
     /*   67327 */ // Label 1076: @67327
     /*   67327 */ GIM_Reject,
     /*   67328 */ // Label 919: @67328
     /*   67328 */ GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(68450),
     /*   67333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67343 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67432), // Rule ID 47142 //
     /*   67348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67391 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67430 */     GIR_RootConstrainSelectedInstOperands,
     /*   67431 */     // GIR_Coverage, 47142,
     /*   67431 */     GIR_EraseRootFromParent_Done,
     /*   67432 */   // Label 1094: @67432
     /*   67432 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67521), // Rule ID 47143 //
     /*   67437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67480 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67519 */     GIR_RootConstrainSelectedInstOperands,
     /*   67520 */     // GIR_Coverage, 47143,
     /*   67520 */     GIR_EraseRootFromParent_Done,
     /*   67521 */   // Label 1095: @67521
     /*   67521 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67610), // Rule ID 46902 //
     /*   67526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67569 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67608 */     GIR_RootConstrainSelectedInstOperands,
     /*   67609 */     // GIR_Coverage, 46902,
     /*   67609 */     GIR_EraseRootFromParent_Done,
     /*   67610 */   // Label 1096: @67610
     /*   67610 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67699), // Rule ID 46903 //
     /*   67615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67658 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67697 */     GIR_RootConstrainSelectedInstOperands,
     /*   67698 */     // GIR_Coverage, 46903,
     /*   67698 */     GIR_EraseRootFromParent_Done,
     /*   67699 */   // Label 1097: @67699
     /*   67699 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67788), // Rule ID 47022 //
     /*   67704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67719 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67738 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67747 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67786 */     GIR_RootConstrainSelectedInstOperands,
     /*   67787 */     // GIR_Coverage, 47022,
     /*   67787 */     GIR_EraseRootFromParent_Done,
     /*   67788 */   // Label 1098: @67788
     /*   67788 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(67877), // Rule ID 47023 //
     /*   67793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67827 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67836 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67875 */     GIR_RootConstrainSelectedInstOperands,
     /*   67876 */     // GIR_Coverage, 47023,
     /*   67876 */     GIR_EraseRootFromParent_Done,
     /*   67877 */   // Label 1099: @67877
     /*   67877 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(67945), // Rule ID 51900 //
     /*   67882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67919 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67943 */     GIR_RootConstrainSelectedInstOperands,
     /*   67944 */     // GIR_Coverage, 51900,
     /*   67944 */     GIR_EraseRootFromParent_Done,
     /*   67945 */   // Label 1100: @67945
     /*   67945 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68013), // Rule ID 51901 //
     /*   67950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67987 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68011 */     GIR_RootConstrainSelectedInstOperands,
     /*   68012 */     // GIR_Coverage, 51901,
     /*   68012 */     GIR_EraseRootFromParent_Done,
     /*   68013 */   // Label 1101: @68013
     /*   68013 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68068), // Rule ID 47202 //
     /*   68018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68046 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68066 */     GIR_RootConstrainSelectedInstOperands,
     /*   68067 */     // GIR_Coverage, 47202,
     /*   68067 */     GIR_EraseRootFromParent_Done,
     /*   68068 */   // Label 1102: @68068
     /*   68068 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68123), // Rule ID 47203 //
     /*   68073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68101 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68121 */     GIR_RootConstrainSelectedInstOperands,
     /*   68122 */     // GIR_Coverage, 47203,
     /*   68122 */     GIR_EraseRootFromParent_Done,
     /*   68123 */   // Label 1103: @68123
     /*   68123 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68178), // Rule ID 46962 //
     /*   68128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68156 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68176 */     GIR_RootConstrainSelectedInstOperands,
     /*   68177 */     // GIR_Coverage, 46962,
     /*   68177 */     GIR_EraseRootFromParent_Done,
     /*   68178 */   // Label 1104: @68178
     /*   68178 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68233), // Rule ID 46963 //
     /*   68183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68211 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68231 */     GIR_RootConstrainSelectedInstOperands,
     /*   68232 */     // GIR_Coverage, 46963,
     /*   68232 */     GIR_EraseRootFromParent_Done,
     /*   68233 */   // Label 1105: @68233
     /*   68233 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68288), // Rule ID 47082 //
     /*   68238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68266 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68286 */     GIR_RootConstrainSelectedInstOperands,
     /*   68287 */     // GIR_Coverage, 47082,
     /*   68287 */     GIR_EraseRootFromParent_Done,
     /*   68288 */   // Label 1106: @68288
     /*   68288 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68343), // Rule ID 47083 //
     /*   68293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68321 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68341 */     GIR_RootConstrainSelectedInstOperands,
     /*   68342 */     // GIR_Coverage, 47083,
     /*   68342 */     GIR_EraseRootFromParent_Done,
     /*   68343 */   // Label 1107: @68343
     /*   68343 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68396), // Rule ID 46178 //
     /*   68348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68359 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68394 */     GIR_RootConstrainSelectedInstOperands,
     /*   68395 */     // GIR_Coverage, 46178,
     /*   68395 */     GIR_EraseRootFromParent_Done,
     /*   68396 */   // Label 1108: @68396
     /*   68396 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68449), // Rule ID 46179 //
     /*   68401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68412 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68447 */     GIR_RootConstrainSelectedInstOperands,
     /*   68448 */     // GIR_Coverage, 46179,
     /*   68448 */     GIR_EraseRootFromParent_Done,
     /*   68449 */   // Label 1109: @68449
     /*   68449 */   GIM_Reject,
     /*   68450 */ // Label 1093: @68450
     /*   68450 */ GIM_Reject,
     /*   68451 */ // Label 920: @68451
     /*   68451 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68697),
     /*   68456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68470 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68534), // Rule ID 51844 //
     /*   68475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68508 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68532 */     GIR_RootConstrainSelectedInstOperands,
     /*   68533 */     // GIR_Coverage, 51844,
     /*   68533 */     GIR_EraseRootFromParent_Done,
     /*   68534 */   // Label 1111: @68534
     /*   68534 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68598), // Rule ID 51845 //
     /*   68539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68572 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68596 */     GIR_RootConstrainSelectedInstOperands,
     /*   68597 */     // GIR_Coverage, 51845,
     /*   68597 */     GIR_EraseRootFromParent_Done,
     /*   68598 */   // Label 1112: @68598
     /*   68598 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(68647), // Rule ID 46122 //
     /*   68603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68610 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_RootConstrainSelectedInstOperands,
     /*   68646 */     // GIR_Coverage, 46122,
     /*   68646 */     GIR_EraseRootFromParent_Done,
     /*   68647 */   // Label 1113: @68647
     /*   68647 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68696), // Rule ID 46123 //
     /*   68652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68659 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68694 */     GIR_RootConstrainSelectedInstOperands,
     /*   68695 */     // GIR_Coverage, 46123,
     /*   68695 */     GIR_EraseRootFromParent_Done,
     /*   68696 */   // Label 1114: @68696
     /*   68696 */   GIM_Reject,
     /*   68697 */ // Label 1110: @68697
     /*   68697 */ GIM_Reject,
     /*   68698 */ // Label 921: @68698
     /*   68698 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69820),
     /*   68703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68713 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(68802), // Rule ID 47102 //
     /*   68718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68761 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68800 */     GIR_RootConstrainSelectedInstOperands,
     /*   68801 */     // GIR_Coverage, 47102,
     /*   68801 */     GIR_EraseRootFromParent_Done,
     /*   68802 */   // Label 1116: @68802
     /*   68802 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(68891), // Rule ID 47103 //
     /*   68807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68850 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68889 */     GIR_RootConstrainSelectedInstOperands,
     /*   68890 */     // GIR_Coverage, 47103,
     /*   68890 */     GIR_EraseRootFromParent_Done,
     /*   68891 */   // Label 1117: @68891
     /*   68891 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(68980), // Rule ID 46862 //
     /*   68896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68939 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68978 */     GIR_RootConstrainSelectedInstOperands,
     /*   68979 */     // GIR_Coverage, 46862,
     /*   68979 */     GIR_EraseRootFromParent_Done,
     /*   68980 */   // Label 1118: @68980
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69069), // Rule ID 46863 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69028 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   69045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69067 */     GIR_RootConstrainSelectedInstOperands,
     /*   69068 */     // GIR_Coverage, 46863,
     /*   69068 */     GIR_EraseRootFromParent_Done,
     /*   69069 */   // Label 1119: @69069
     /*   69069 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69158), // Rule ID 46982 //
     /*   69074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69117 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69156 */     GIR_RootConstrainSelectedInstOperands,
     /*   69157 */     // GIR_Coverage, 46982,
     /*   69157 */     GIR_EraseRootFromParent_Done,
     /*   69158 */   // Label 1120: @69158
     /*   69158 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69247), // Rule ID 46983 //
     /*   69163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69206 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69245 */     GIR_RootConstrainSelectedInstOperands,
     /*   69246 */     // GIR_Coverage, 46983,
     /*   69246 */     GIR_EraseRootFromParent_Done,
     /*   69247 */   // Label 1121: @69247
     /*   69247 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69315), // Rule ID 51872 //
     /*   69252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69289 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69313 */     GIR_RootConstrainSelectedInstOperands,
     /*   69314 */     // GIR_Coverage, 51872,
     /*   69314 */     GIR_EraseRootFromParent_Done,
     /*   69315 */   // Label 1122: @69315
     /*   69315 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69383), // Rule ID 51873 //
     /*   69320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69357 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69381 */     GIR_RootConstrainSelectedInstOperands,
     /*   69382 */     // GIR_Coverage, 51873,
     /*   69382 */     GIR_EraseRootFromParent_Done,
     /*   69383 */   // Label 1123: @69383
     /*   69383 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69438), // Rule ID 47162 //
     /*   69388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69416 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 47162,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1124: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69493), // Rule ID 47163 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69471 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69491 */     GIR_RootConstrainSelectedInstOperands,
     /*   69492 */     // GIR_Coverage, 47163,
     /*   69492 */     GIR_EraseRootFromParent_Done,
     /*   69493 */   // Label 1125: @69493
     /*   69493 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69548), // Rule ID 46922 //
     /*   69498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69526 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69546 */     GIR_RootConstrainSelectedInstOperands,
     /*   69547 */     // GIR_Coverage, 46922,
     /*   69547 */     GIR_EraseRootFromParent_Done,
     /*   69548 */   // Label 1126: @69548
     /*   69548 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69603), // Rule ID 46923 //
     /*   69553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69581 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69601 */     GIR_RootConstrainSelectedInstOperands,
     /*   69602 */     // GIR_Coverage, 46923,
     /*   69602 */     GIR_EraseRootFromParent_Done,
     /*   69603 */   // Label 1127: @69603
     /*   69603 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(69658), // Rule ID 47042 //
     /*   69608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69636 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69656 */     GIR_RootConstrainSelectedInstOperands,
     /*   69657 */     // GIR_Coverage, 47042,
     /*   69657 */     GIR_EraseRootFromParent_Done,
     /*   69658 */   // Label 1128: @69658
     /*   69658 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69713), // Rule ID 47043 //
     /*   69663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69691 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69711 */     GIR_RootConstrainSelectedInstOperands,
     /*   69712 */     // GIR_Coverage, 47043,
     /*   69712 */     GIR_EraseRootFromParent_Done,
     /*   69713 */   // Label 1129: @69713
     /*   69713 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69766), // Rule ID 46150 //
     /*   69718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69729 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69764 */     GIR_RootConstrainSelectedInstOperands,
     /*   69765 */     // GIR_Coverage, 46150,
     /*   69765 */     GIR_EraseRootFromParent_Done,
     /*   69766 */   // Label 1130: @69766
     /*   69766 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(69819), // Rule ID 46151 //
     /*   69771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69782 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69817 */     GIR_RootConstrainSelectedInstOperands,
     /*   69818 */     // GIR_Coverage, 46151,
     /*   69818 */     GIR_EraseRootFromParent_Done,
     /*   69819 */   // Label 1131: @69819
     /*   69819 */   GIM_Reject,
     /*   69820 */ // Label 1115: @69820
     /*   69820 */ GIM_Reject,
     /*   69821 */ // Label 922: @69821
     /*   69821 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70943),
     /*   69826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69836 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(69925), // Rule ID 47126 //
     /*   69841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69884 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69923 */     GIR_RootConstrainSelectedInstOperands,
     /*   69924 */     // GIR_Coverage, 47126,
     /*   69924 */     GIR_EraseRootFromParent_Done,
     /*   69925 */   // Label 1133: @69925
     /*   69925 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70014), // Rule ID 47127 //
     /*   69930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69973 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70012 */     GIR_RootConstrainSelectedInstOperands,
     /*   70013 */     // GIR_Coverage, 47127,
     /*   70013 */     GIR_EraseRootFromParent_Done,
     /*   70014 */   // Label 1134: @70014
     /*   70014 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70103), // Rule ID 46886 //
     /*   70019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70062 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70101 */     GIR_RootConstrainSelectedInstOperands,
     /*   70102 */     // GIR_Coverage, 46886,
     /*   70102 */     GIR_EraseRootFromParent_Done,
     /*   70103 */   // Label 1135: @70103
     /*   70103 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70192), // Rule ID 46887 //
     /*   70108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70142 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70151 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70190 */     GIR_RootConstrainSelectedInstOperands,
     /*   70191 */     // GIR_Coverage, 46887,
     /*   70191 */     GIR_EraseRootFromParent_Done,
     /*   70192 */   // Label 1136: @70192
     /*   70192 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70281), // Rule ID 47006 //
     /*   70197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70240 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70279 */     GIR_RootConstrainSelectedInstOperands,
     /*   70280 */     // GIR_Coverage, 47006,
     /*   70280 */     GIR_EraseRootFromParent_Done,
     /*   70281 */   // Label 1137: @70281
     /*   70281 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70370), // Rule ID 47007 //
     /*   70286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70329 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70368 */     GIR_RootConstrainSelectedInstOperands,
     /*   70369 */     // GIR_Coverage, 47007,
     /*   70369 */     GIR_EraseRootFromParent_Done,
     /*   70370 */   // Label 1138: @70370
     /*   70370 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70438), // Rule ID 51888 //
     /*   70375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70412 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70436 */     GIR_RootConstrainSelectedInstOperands,
     /*   70437 */     // GIR_Coverage, 51888,
     /*   70437 */     GIR_EraseRootFromParent_Done,
     /*   70438 */   // Label 1139: @70438
     /*   70438 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70506), // Rule ID 51889 //
     /*   70443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70480 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70504 */     GIR_RootConstrainSelectedInstOperands,
     /*   70505 */     // GIR_Coverage, 51889,
     /*   70505 */     GIR_EraseRootFromParent_Done,
     /*   70506 */   // Label 1140: @70506
     /*   70506 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70561), // Rule ID 47186 //
     /*   70511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70539 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70559 */     GIR_RootConstrainSelectedInstOperands,
     /*   70560 */     // GIR_Coverage, 47186,
     /*   70560 */     GIR_EraseRootFromParent_Done,
     /*   70561 */   // Label 1141: @70561
     /*   70561 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70616), // Rule ID 47187 //
     /*   70566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70594 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70614 */     GIR_RootConstrainSelectedInstOperands,
     /*   70615 */     // GIR_Coverage, 47187,
     /*   70615 */     GIR_EraseRootFromParent_Done,
     /*   70616 */   // Label 1142: @70616
     /*   70616 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70671), // Rule ID 46946 //
     /*   70621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70649 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70669 */     GIR_RootConstrainSelectedInstOperands,
     /*   70670 */     // GIR_Coverage, 46946,
     /*   70670 */     GIR_EraseRootFromParent_Done,
     /*   70671 */   // Label 1143: @70671
     /*   70671 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70726), // Rule ID 46947 //
     /*   70676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70704 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70724 */     GIR_RootConstrainSelectedInstOperands,
     /*   70725 */     // GIR_Coverage, 46947,
     /*   70725 */     GIR_EraseRootFromParent_Done,
     /*   70726 */   // Label 1144: @70726
     /*   70726 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70781), // Rule ID 47066 //
     /*   70731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70759 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70779 */     GIR_RootConstrainSelectedInstOperands,
     /*   70780 */     // GIR_Coverage, 47066,
     /*   70780 */     GIR_EraseRootFromParent_Done,
     /*   70781 */   // Label 1145: @70781
     /*   70781 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70836), // Rule ID 47067 //
     /*   70786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70814 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70834 */     GIR_RootConstrainSelectedInstOperands,
     /*   70835 */     // GIR_Coverage, 47067,
     /*   70835 */     GIR_EraseRootFromParent_Done,
     /*   70836 */   // Label 1146: @70836
     /*   70836 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70889), // Rule ID 46166 //
     /*   70841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70852 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70887 */     GIR_RootConstrainSelectedInstOperands,
     /*   70888 */     // GIR_Coverage, 46166,
     /*   70888 */     GIR_EraseRootFromParent_Done,
     /*   70889 */   // Label 1147: @70889
     /*   70889 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70942), // Rule ID 46167 //
     /*   70894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70905 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70940 */     GIR_RootConstrainSelectedInstOperands,
     /*   70941 */     // GIR_Coverage, 46167,
     /*   70941 */     GIR_EraseRootFromParent_Done,
     /*   70942 */   // Label 1148: @70942
     /*   70942 */   GIM_Reject,
     /*   70943 */ // Label 1132: @70943
     /*   70943 */ GIM_Reject,
     /*   70944 */ // Label 923: @70944
     /*   70944 */ GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(72066),
     /*   70949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70959 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71048), // Rule ID 47146 //
     /*   70964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71007 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71046 */     GIR_RootConstrainSelectedInstOperands,
     /*   71047 */     // GIR_Coverage, 47146,
     /*   71047 */     GIR_EraseRootFromParent_Done,
     /*   71048 */   // Label 1150: @71048
     /*   71048 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71137), // Rule ID 47147 //
     /*   71053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71096 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71135 */     GIR_RootConstrainSelectedInstOperands,
     /*   71136 */     // GIR_Coverage, 47147,
     /*   71136 */     GIR_EraseRootFromParent_Done,
     /*   71137 */   // Label 1151: @71137
     /*   71137 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71226), // Rule ID 46906 //
     /*   71142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71185 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71224 */     GIR_RootConstrainSelectedInstOperands,
     /*   71225 */     // GIR_Coverage, 46906,
     /*   71225 */     GIR_EraseRootFromParent_Done,
     /*   71226 */   // Label 1152: @71226
     /*   71226 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71315), // Rule ID 46907 //
     /*   71231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71274 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71313 */     GIR_RootConstrainSelectedInstOperands,
     /*   71314 */     // GIR_Coverage, 46907,
     /*   71314 */     GIR_EraseRootFromParent_Done,
     /*   71315 */   // Label 1153: @71315
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71404), // Rule ID 47026 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71363 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71402 */     GIR_RootConstrainSelectedInstOperands,
     /*   71403 */     // GIR_Coverage, 47026,
     /*   71403 */     GIR_EraseRootFromParent_Done,
     /*   71404 */   // Label 1154: @71404
     /*   71404 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71493), // Rule ID 47027 //
     /*   71409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71452 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71491 */     GIR_RootConstrainSelectedInstOperands,
     /*   71492 */     // GIR_Coverage, 47027,
     /*   71492 */     GIR_EraseRootFromParent_Done,
     /*   71493 */   // Label 1155: @71493
     /*   71493 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71561), // Rule ID 51904 //
     /*   71498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71535 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71559 */     GIR_RootConstrainSelectedInstOperands,
     /*   71560 */     // GIR_Coverage, 51904,
     /*   71560 */     GIR_EraseRootFromParent_Done,
     /*   71561 */   // Label 1156: @71561
     /*   71561 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71629), // Rule ID 51905 //
     /*   71566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71603 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71627 */     GIR_RootConstrainSelectedInstOperands,
     /*   71628 */     // GIR_Coverage, 51905,
     /*   71628 */     GIR_EraseRootFromParent_Done,
     /*   71629 */   // Label 1157: @71629
     /*   71629 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71684), // Rule ID 47206 //
     /*   71634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71662 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71682 */     GIR_RootConstrainSelectedInstOperands,
     /*   71683 */     // GIR_Coverage, 47206,
     /*   71683 */     GIR_EraseRootFromParent_Done,
     /*   71684 */   // Label 1158: @71684
     /*   71684 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71739), // Rule ID 47207 //
     /*   71689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71717 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71737 */     GIR_RootConstrainSelectedInstOperands,
     /*   71738 */     // GIR_Coverage, 47207,
     /*   71738 */     GIR_EraseRootFromParent_Done,
     /*   71739 */   // Label 1159: @71739
     /*   71739 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71794), // Rule ID 46966 //
     /*   71744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71772 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71792 */     GIR_RootConstrainSelectedInstOperands,
     /*   71793 */     // GIR_Coverage, 46966,
     /*   71793 */     GIR_EraseRootFromParent_Done,
     /*   71794 */   // Label 1160: @71794
     /*   71794 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71849), // Rule ID 46967 //
     /*   71799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71827 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71847 */     GIR_RootConstrainSelectedInstOperands,
     /*   71848 */     // GIR_Coverage, 46967,
     /*   71848 */     GIR_EraseRootFromParent_Done,
     /*   71849 */   // Label 1161: @71849
     /*   71849 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(71904), // Rule ID 47086 //
     /*   71854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71882 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71902 */     GIR_RootConstrainSelectedInstOperands,
     /*   71903 */     // GIR_Coverage, 47086,
     /*   71903 */     GIR_EraseRootFromParent_Done,
     /*   71904 */   // Label 1162: @71904
     /*   71904 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71959), // Rule ID 47087 //
     /*   71909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71937 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71957 */     GIR_RootConstrainSelectedInstOperands,
     /*   71958 */     // GIR_Coverage, 47087,
     /*   71958 */     GIR_EraseRootFromParent_Done,
     /*   71959 */   // Label 1163: @71959
     /*   71959 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72012), // Rule ID 46182 //
     /*   71964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71975 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72010 */     GIR_RootConstrainSelectedInstOperands,
     /*   72011 */     // GIR_Coverage, 46182,
     /*   72011 */     GIR_EraseRootFromParent_Done,
     /*   72012 */   // Label 1164: @72012
     /*   72012 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72065), // Rule ID 46183 //
     /*   72017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72028 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72063 */     GIR_RootConstrainSelectedInstOperands,
     /*   72064 */     // GIR_Coverage, 46183,
     /*   72064 */     GIR_EraseRootFromParent_Done,
     /*   72065 */   // Label 1165: @72065
     /*   72065 */   GIM_Reject,
     /*   72066 */ // Label 1149: @72066
     /*   72066 */ GIM_Reject,
     /*   72067 */ // Label 924: @72067
     /*   72067 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72313),
     /*   72072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72150), // Rule ID 51860 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72124 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72148 */     GIR_RootConstrainSelectedInstOperands,
     /*   72149 */     // GIR_Coverage, 51860,
     /*   72149 */     GIR_EraseRootFromParent_Done,
     /*   72150 */   // Label 1167: @72150
     /*   72150 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72214), // Rule ID 51861 //
     /*   72155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72188 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72212 */     GIR_RootConstrainSelectedInstOperands,
     /*   72213 */     // GIR_Coverage, 51861,
     /*   72213 */     GIR_EraseRootFromParent_Done,
     /*   72214 */   // Label 1168: @72214
     /*   72214 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72263), // Rule ID 46138 //
     /*   72219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72226 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72261 */     GIR_RootConstrainSelectedInstOperands,
     /*   72262 */     // GIR_Coverage, 46138,
     /*   72262 */     GIR_EraseRootFromParent_Done,
     /*   72263 */   // Label 1169: @72263
     /*   72263 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72312), // Rule ID 46139 //
     /*   72268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72275 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72310 */     GIR_RootConstrainSelectedInstOperands,
     /*   72311 */     // GIR_Coverage, 46139,
     /*   72311 */     GIR_EraseRootFromParent_Done,
     /*   72312 */   // Label 1170: @72312
     /*   72312 */   GIM_Reject,
     /*   72313 */ // Label 1166: @72313
     /*   72313 */ GIM_Reject,
     /*   72314 */ // Label 925: @72314
     /*   72314 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(73436),
     /*   72319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72329 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72418), // Rule ID 47106 //
     /*   72334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72377 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72416 */     GIR_RootConstrainSelectedInstOperands,
     /*   72417 */     // GIR_Coverage, 47106,
     /*   72417 */     GIR_EraseRootFromParent_Done,
     /*   72418 */   // Label 1172: @72418
     /*   72418 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72507), // Rule ID 47107 //
     /*   72423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72466 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72505 */     GIR_RootConstrainSelectedInstOperands,
     /*   72506 */     // GIR_Coverage, 47107,
     /*   72506 */     GIR_EraseRootFromParent_Done,
     /*   72507 */   // Label 1173: @72507
     /*   72507 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72596), // Rule ID 46866 //
     /*   72512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72555 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72594 */     GIR_RootConstrainSelectedInstOperands,
     /*   72595 */     // GIR_Coverage, 46866,
     /*   72595 */     GIR_EraseRootFromParent_Done,
     /*   72596 */   // Label 1174: @72596
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72685), // Rule ID 46867 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72644 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72683 */     GIR_RootConstrainSelectedInstOperands,
     /*   72684 */     // GIR_Coverage, 46867,
     /*   72684 */     GIR_EraseRootFromParent_Done,
     /*   72685 */   // Label 1175: @72685
     /*   72685 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72774), // Rule ID 46986 //
     /*   72690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72733 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72772 */     GIR_RootConstrainSelectedInstOperands,
     /*   72773 */     // GIR_Coverage, 46986,
     /*   72773 */     GIR_EraseRootFromParent_Done,
     /*   72774 */   // Label 1176: @72774
     /*   72774 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72863), // Rule ID 46987 //
     /*   72779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72822 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72861 */     GIR_RootConstrainSelectedInstOperands,
     /*   72862 */     // GIR_Coverage, 46987,
     /*   72862 */     GIR_EraseRootFromParent_Done,
     /*   72863 */   // Label 1177: @72863
     /*   72863 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72931), // Rule ID 51876 //
     /*   72868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72905 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72929 */     GIR_RootConstrainSelectedInstOperands,
     /*   72930 */     // GIR_Coverage, 51876,
     /*   72930 */     GIR_EraseRootFromParent_Done,
     /*   72931 */   // Label 1178: @72931
     /*   72931 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(72999), // Rule ID 51877 //
     /*   72936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72973 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72997 */     GIR_RootConstrainSelectedInstOperands,
     /*   72998 */     // GIR_Coverage, 51877,
     /*   72998 */     GIR_EraseRootFromParent_Done,
     /*   72999 */   // Label 1179: @72999
     /*   72999 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73054), // Rule ID 47166 //
     /*   73004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73032 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73052 */     GIR_RootConstrainSelectedInstOperands,
     /*   73053 */     // GIR_Coverage, 47166,
     /*   73053 */     GIR_EraseRootFromParent_Done,
     /*   73054 */   // Label 1180: @73054
     /*   73054 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73109), // Rule ID 47167 //
     /*   73059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73087 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73107 */     GIR_RootConstrainSelectedInstOperands,
     /*   73108 */     // GIR_Coverage, 47167,
     /*   73108 */     GIR_EraseRootFromParent_Done,
     /*   73109 */   // Label 1181: @73109
     /*   73109 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73164), // Rule ID 46926 //
     /*   73114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73142 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73162 */     GIR_RootConstrainSelectedInstOperands,
     /*   73163 */     // GIR_Coverage, 46926,
     /*   73163 */     GIR_EraseRootFromParent_Done,
     /*   73164 */   // Label 1182: @73164
     /*   73164 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73219), // Rule ID 46927 //
     /*   73169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73197 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73217 */     GIR_RootConstrainSelectedInstOperands,
     /*   73218 */     // GIR_Coverage, 46927,
     /*   73218 */     GIR_EraseRootFromParent_Done,
     /*   73219 */   // Label 1183: @73219
     /*   73219 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73274), // Rule ID 47046 //
     /*   73224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73252 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73272 */     GIR_RootConstrainSelectedInstOperands,
     /*   73273 */     // GIR_Coverage, 47046,
     /*   73273 */     GIR_EraseRootFromParent_Done,
     /*   73274 */   // Label 1184: @73274
     /*   73274 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73329), // Rule ID 47047 //
     /*   73279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73307 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73327 */     GIR_RootConstrainSelectedInstOperands,
     /*   73328 */     // GIR_Coverage, 47047,
     /*   73328 */     GIR_EraseRootFromParent_Done,
     /*   73329 */   // Label 1185: @73329
     /*   73329 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73382), // Rule ID 46154 //
     /*   73334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73345 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73380 */     GIR_RootConstrainSelectedInstOperands,
     /*   73381 */     // GIR_Coverage, 46154,
     /*   73381 */     GIR_EraseRootFromParent_Done,
     /*   73382 */   // Label 1186: @73382
     /*   73382 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73435), // Rule ID 46155 //
     /*   73387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73398 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73433 */     GIR_RootConstrainSelectedInstOperands,
     /*   73434 */     // GIR_Coverage, 46155,
     /*   73434 */     GIR_EraseRootFromParent_Done,
     /*   73435 */   // Label 1187: @73435
     /*   73435 */   GIM_Reject,
     /*   73436 */ // Label 1171: @73436
     /*   73436 */ GIM_Reject,
     /*   73437 */ // Label 926: @73437
     /*   73437 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(74559),
     /*   73442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73452 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73541), // Rule ID 47130 //
     /*   73457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73500 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73539 */     GIR_RootConstrainSelectedInstOperands,
     /*   73540 */     // GIR_Coverage, 47130,
     /*   73540 */     GIR_EraseRootFromParent_Done,
     /*   73541 */   // Label 1189: @73541
     /*   73541 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73630), // Rule ID 47131 //
     /*   73546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73589 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73628 */     GIR_RootConstrainSelectedInstOperands,
     /*   73629 */     // GIR_Coverage, 47131,
     /*   73629 */     GIR_EraseRootFromParent_Done,
     /*   73630 */   // Label 1190: @73630
     /*   73630 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73719), // Rule ID 46890 //
     /*   73635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73678 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73717 */     GIR_RootConstrainSelectedInstOperands,
     /*   73718 */     // GIR_Coverage, 46890,
     /*   73718 */     GIR_EraseRootFromParent_Done,
     /*   73719 */   // Label 1191: @73719
     /*   73719 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(73808), // Rule ID 46891 //
     /*   73724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73767 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73806 */     GIR_RootConstrainSelectedInstOperands,
     /*   73807 */     // GIR_Coverage, 46891,
     /*   73807 */     GIR_EraseRootFromParent_Done,
     /*   73808 */   // Label 1192: @73808
     /*   73808 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(73897), // Rule ID 47010 //
     /*   73813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73856 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73895 */     GIR_RootConstrainSelectedInstOperands,
     /*   73896 */     // GIR_Coverage, 47010,
     /*   73896 */     GIR_EraseRootFromParent_Done,
     /*   73897 */   // Label 1193: @73897
     /*   73897 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(73986), // Rule ID 47011 //
     /*   73902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73945 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73984 */     GIR_RootConstrainSelectedInstOperands,
     /*   73985 */     // GIR_Coverage, 47011,
     /*   73985 */     GIR_EraseRootFromParent_Done,
     /*   73986 */   // Label 1194: @73986
     /*   73986 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74054), // Rule ID 51892 //
     /*   73991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74028 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74052 */     GIR_RootConstrainSelectedInstOperands,
     /*   74053 */     // GIR_Coverage, 51892,
     /*   74053 */     GIR_EraseRootFromParent_Done,
     /*   74054 */   // Label 1195: @74054
     /*   74054 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74122), // Rule ID 51893 //
     /*   74059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74096 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74120 */     GIR_RootConstrainSelectedInstOperands,
     /*   74121 */     // GIR_Coverage, 51893,
     /*   74121 */     GIR_EraseRootFromParent_Done,
     /*   74122 */   // Label 1196: @74122
     /*   74122 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74177), // Rule ID 47190 //
     /*   74127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74155 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74175 */     GIR_RootConstrainSelectedInstOperands,
     /*   74176 */     // GIR_Coverage, 47190,
     /*   74176 */     GIR_EraseRootFromParent_Done,
     /*   74177 */   // Label 1197: @74177
     /*   74177 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74232), // Rule ID 47191 //
     /*   74182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74210 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74230 */     GIR_RootConstrainSelectedInstOperands,
     /*   74231 */     // GIR_Coverage, 47191,
     /*   74231 */     GIR_EraseRootFromParent_Done,
     /*   74232 */   // Label 1198: @74232
     /*   74232 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74287), // Rule ID 46950 //
     /*   74237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74265 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74285 */     GIR_RootConstrainSelectedInstOperands,
     /*   74286 */     // GIR_Coverage, 46950,
     /*   74286 */     GIR_EraseRootFromParent_Done,
     /*   74287 */   // Label 1199: @74287
     /*   74287 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74342), // Rule ID 46951 //
     /*   74292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74320 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74340 */     GIR_RootConstrainSelectedInstOperands,
     /*   74341 */     // GIR_Coverage, 46951,
     /*   74341 */     GIR_EraseRootFromParent_Done,
     /*   74342 */   // Label 1200: @74342
     /*   74342 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74397), // Rule ID 47070 //
     /*   74347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74375 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74395 */     GIR_RootConstrainSelectedInstOperands,
     /*   74396 */     // GIR_Coverage, 47070,
     /*   74396 */     GIR_EraseRootFromParent_Done,
     /*   74397 */   // Label 1201: @74397
     /*   74397 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74452), // Rule ID 47071 //
     /*   74402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74430 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74450 */     GIR_RootConstrainSelectedInstOperands,
     /*   74451 */     // GIR_Coverage, 47071,
     /*   74451 */     GIR_EraseRootFromParent_Done,
     /*   74452 */   // Label 1202: @74452
     /*   74452 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74505), // Rule ID 46170 //
     /*   74457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74468 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 46170,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 1203: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74558), // Rule ID 46171 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74521 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74556 */     GIR_RootConstrainSelectedInstOperands,
     /*   74557 */     // GIR_Coverage, 46171,
     /*   74557 */     GIR_EraseRootFromParent_Done,
     /*   74558 */   // Label 1204: @74558
     /*   74558 */   GIM_Reject,
     /*   74559 */ // Label 1188: @74559
     /*   74559 */ GIM_Reject,
     /*   74560 */ // Label 927: @74560
     /*   74560 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74806),
     /*   74565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74579 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(74643), // Rule ID 51864 //
     /*   74584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74617 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74641 */     GIR_RootConstrainSelectedInstOperands,
     /*   74642 */     // GIR_Coverage, 51864,
     /*   74642 */     GIR_EraseRootFromParent_Done,
     /*   74643 */   // Label 1206: @74643
     /*   74643 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74707), // Rule ID 51865 //
     /*   74648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74681 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74705 */     GIR_RootConstrainSelectedInstOperands,
     /*   74706 */     // GIR_Coverage, 51865,
     /*   74706 */     GIR_EraseRootFromParent_Done,
     /*   74707 */   // Label 1207: @74707
     /*   74707 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(74756), // Rule ID 46142 //
     /*   74712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74719 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74754 */     GIR_RootConstrainSelectedInstOperands,
     /*   74755 */     // GIR_Coverage, 46142,
     /*   74755 */     GIR_EraseRootFromParent_Done,
     /*   74756 */   // Label 1208: @74756
     /*   74756 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(74805), // Rule ID 46143 //
     /*   74761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74768 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74803 */     GIR_RootConstrainSelectedInstOperands,
     /*   74804 */     // GIR_Coverage, 46143,
     /*   74804 */     GIR_EraseRootFromParent_Done,
     /*   74805 */   // Label 1209: @74805
     /*   74805 */   GIM_Reject,
     /*   74806 */ // Label 1205: @74806
     /*   74806 */ GIM_Reject,
     /*   74807 */ // Label 928: @74807
     /*   74807 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75929),
     /*   74812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74822 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(74911), // Rule ID 47110 //
     /*   74827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74870 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74909 */     GIR_RootConstrainSelectedInstOperands,
     /*   74910 */     // GIR_Coverage, 47110,
     /*   74910 */     GIR_EraseRootFromParent_Done,
     /*   74911 */   // Label 1211: @74911
     /*   74911 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75000), // Rule ID 47111 //
     /*   74916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74959 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74998 */     GIR_RootConstrainSelectedInstOperands,
     /*   74999 */     // GIR_Coverage, 47111,
     /*   74999 */     GIR_EraseRootFromParent_Done,
     /*   75000 */   // Label 1212: @75000
     /*   75000 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75089), // Rule ID 46870 //
     /*   75005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75048 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75087 */     GIR_RootConstrainSelectedInstOperands,
     /*   75088 */     // GIR_Coverage, 46870,
     /*   75088 */     GIR_EraseRootFromParent_Done,
     /*   75089 */   // Label 1213: @75089
     /*   75089 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75178), // Rule ID 46871 //
     /*   75094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75137 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75176 */     GIR_RootConstrainSelectedInstOperands,
     /*   75177 */     // GIR_Coverage, 46871,
     /*   75177 */     GIR_EraseRootFromParent_Done,
     /*   75178 */   // Label 1214: @75178
     /*   75178 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75267), // Rule ID 46990 //
     /*   75183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75226 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75265 */     GIR_RootConstrainSelectedInstOperands,
     /*   75266 */     // GIR_Coverage, 46990,
     /*   75266 */     GIR_EraseRootFromParent_Done,
     /*   75267 */   // Label 1215: @75267
     /*   75267 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75356), // Rule ID 46991 //
     /*   75272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75315 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75354 */     GIR_RootConstrainSelectedInstOperands,
     /*   75355 */     // GIR_Coverage, 46991,
     /*   75355 */     GIR_EraseRootFromParent_Done,
     /*   75356 */   // Label 1216: @75356
     /*   75356 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75424), // Rule ID 51880 //
     /*   75361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75398 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75422 */     GIR_RootConstrainSelectedInstOperands,
     /*   75423 */     // GIR_Coverage, 51880,
     /*   75423 */     GIR_EraseRootFromParent_Done,
     /*   75424 */   // Label 1217: @75424
     /*   75424 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75492), // Rule ID 51881 //
     /*   75429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75466 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75490 */     GIR_RootConstrainSelectedInstOperands,
     /*   75491 */     // GIR_Coverage, 51881,
     /*   75491 */     GIR_EraseRootFromParent_Done,
     /*   75492 */   // Label 1218: @75492
     /*   75492 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75547), // Rule ID 47170 //
     /*   75497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75525 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75545 */     GIR_RootConstrainSelectedInstOperands,
     /*   75546 */     // GIR_Coverage, 47170,
     /*   75546 */     GIR_EraseRootFromParent_Done,
     /*   75547 */   // Label 1219: @75547
     /*   75547 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75602), // Rule ID 47171 //
     /*   75552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75580 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75600 */     GIR_RootConstrainSelectedInstOperands,
     /*   75601 */     // GIR_Coverage, 47171,
     /*   75601 */     GIR_EraseRootFromParent_Done,
     /*   75602 */   // Label 1220: @75602
     /*   75602 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75657), // Rule ID 46930 //
     /*   75607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75635 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75655 */     GIR_RootConstrainSelectedInstOperands,
     /*   75656 */     // GIR_Coverage, 46930,
     /*   75656 */     GIR_EraseRootFromParent_Done,
     /*   75657 */   // Label 1221: @75657
     /*   75657 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75712), // Rule ID 46931 //
     /*   75662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75690 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75710 */     GIR_RootConstrainSelectedInstOperands,
     /*   75711 */     // GIR_Coverage, 46931,
     /*   75711 */     GIR_EraseRootFromParent_Done,
     /*   75712 */   // Label 1222: @75712
     /*   75712 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(75767), // Rule ID 47050 //
     /*   75717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75745 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75765 */     GIR_RootConstrainSelectedInstOperands,
     /*   75766 */     // GIR_Coverage, 47050,
     /*   75766 */     GIR_EraseRootFromParent_Done,
     /*   75767 */   // Label 1223: @75767
     /*   75767 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75822), // Rule ID 47051 //
     /*   75772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75800 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75820 */     GIR_RootConstrainSelectedInstOperands,
     /*   75821 */     // GIR_Coverage, 47051,
     /*   75821 */     GIR_EraseRootFromParent_Done,
     /*   75822 */   // Label 1224: @75822
     /*   75822 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(75875), // Rule ID 46158 //
     /*   75827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75838 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75873 */     GIR_RootConstrainSelectedInstOperands,
     /*   75874 */     // GIR_Coverage, 46158,
     /*   75874 */     GIR_EraseRootFromParent_Done,
     /*   75875 */   // Label 1225: @75875
     /*   75875 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(75928), // Rule ID 46159 //
     /*   75880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75891 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75926 */     GIR_RootConstrainSelectedInstOperands,
     /*   75927 */     // GIR_Coverage, 46159,
     /*   75927 */     GIR_EraseRootFromParent_Done,
     /*   75928 */   // Label 1226: @75928
     /*   75928 */   GIM_Reject,
     /*   75929 */ // Label 1210: @75929
     /*   75929 */ GIM_Reject,
     /*   75930 */ // Label 929: @75930
     /*   75930 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76176),
     /*   75935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75949 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76013), // Rule ID 51868 //
     /*   75954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75987 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76011 */     GIR_RootConstrainSelectedInstOperands,
     /*   76012 */     // GIR_Coverage, 51868,
     /*   76012 */     GIR_EraseRootFromParent_Done,
     /*   76013 */   // Label 1228: @76013
     /*   76013 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76077), // Rule ID 51869 //
     /*   76018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   76033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   76037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76051 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   76054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76075 */     GIR_RootConstrainSelectedInstOperands,
     /*   76076 */     // GIR_Coverage, 51869,
     /*   76076 */     GIR_EraseRootFromParent_Done,
     /*   76077 */   // Label 1229: @76077
     /*   76077 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76126), // Rule ID 46146 //
     /*   76082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76089 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76124 */     GIR_RootConstrainSelectedInstOperands,
     /*   76125 */     // GIR_Coverage, 46146,
     /*   76125 */     GIR_EraseRootFromParent_Done,
     /*   76126 */   // Label 1230: @76126
     /*   76126 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76175), // Rule ID 46147 //
     /*   76131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76138 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76173 */     GIR_RootConstrainSelectedInstOperands,
     /*   76174 */     // GIR_Coverage, 46147,
     /*   76174 */     GIR_EraseRootFromParent_Done,
     /*   76175 */   // Label 1231: @76175
     /*   76175 */   GIM_Reject,
     /*   76176 */ // Label 1227: @76176
     /*   76176 */ GIM_Reject,
     /*   76177 */ // Label 930: @76177
     /*   76177 */ GIM_Reject,
     /*   76178 */ // Label 2: @76178
     /*   76178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1256*/ GIMT_Encode4(103231),
     /*   76189 */ /*GILLT_s32*//*Label 1232*/ GIMT_Encode4(76313),
     /*   76193 */ /*GILLT_s64*//*Label 1233*/ GIMT_Encode4(76347), GIMT_Encode4(0),
     /*   76201 */ /*GILLT_nxv1s8*//*Label 1234*/ GIMT_Encode4(76551),
     /*   76205 */ /*GILLT_nxv1s16*//*Label 1235*/ GIMT_Encode4(76666),
     /*   76209 */ /*GILLT_nxv1s32*//*Label 1236*/ GIMT_Encode4(78391),
     /*   76213 */ /*GILLT_nxv1s64*//*Label 1237*/ GIMT_Encode4(80116), GIMT_Encode4(0),
     /*   76221 */ /*GILLT_nxv2s8*//*Label 1238*/ GIMT_Encode4(81841),
     /*   76225 */ /*GILLT_nxv2s16*//*Label 1239*/ GIMT_Encode4(81956),
     /*   76229 */ /*GILLT_nxv2s32*//*Label 1240*/ GIMT_Encode4(83681),
     /*   76233 */ /*GILLT_nxv2s64*//*Label 1241*/ GIMT_Encode4(85406), GIMT_Encode4(0),
     /*   76241 */ /*GILLT_nxv4s8*//*Label 1242*/ GIMT_Encode4(87131),
     /*   76245 */ /*GILLT_nxv4s16*//*Label 1243*/ GIMT_Encode4(87246),
     /*   76249 */ /*GILLT_nxv4s32*//*Label 1244*/ GIMT_Encode4(88971),
     /*   76253 */ /*GILLT_nxv4s64*//*Label 1245*/ GIMT_Encode4(90696), GIMT_Encode4(0),
     /*   76261 */ /*GILLT_nxv8s8*//*Label 1246*/ GIMT_Encode4(92421),
     /*   76265 */ /*GILLT_nxv8s16*//*Label 1247*/ GIMT_Encode4(92536),
     /*   76269 */ /*GILLT_nxv8s32*//*Label 1248*/ GIMT_Encode4(94261),
     /*   76273 */ /*GILLT_nxv8s64*//*Label 1249*/ GIMT_Encode4(95986), GIMT_Encode4(0),
     /*   76281 */ /*GILLT_nxv16s8*//*Label 1250*/ GIMT_Encode4(97711),
     /*   76285 */ /*GILLT_nxv16s16*//*Label 1251*/ GIMT_Encode4(97826),
     /*   76289 */ /*GILLT_nxv16s32*//*Label 1252*/ GIMT_Encode4(99551), GIMT_Encode4(0),
     /*   76297 */ /*GILLT_nxv32s8*//*Label 1253*/ GIMT_Encode4(101276),
     /*   76301 */ /*GILLT_nxv32s16*//*Label 1254*/ GIMT_Encode4(101391), GIMT_Encode4(0),
     /*   76309 */ /*GILLT_nxv64s8*//*Label 1255*/ GIMT_Encode4(103116),
     /*   76313 */ // Label 1232: @76313
     /*   76313 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76346), // Rule ID 290 //
     /*   76318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76339 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76344 */   GIR_RootConstrainSelectedInstOperands,
     /*   76345 */   // GIR_Coverage, 290,
     /*   76345 */   GIR_Done,
     /*   76346 */ // Label 1257: @76346
     /*   76346 */ GIM_Reject,
     /*   76347 */ // Label 1233: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76550),
     /*   76352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76358 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76491), // Rule ID 312 //
     /*   76363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76423 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76436 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76436 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76439 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76443 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76448 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76452 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76489 */     GIR_RootConstrainSelectedInstOperands,
     /*   76490 */     // GIR_Coverage, 312,
     /*   76490 */     GIR_EraseRootFromParent_Done,
     /*   76491 */   // Label 1259: @76491
     /*   76491 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76522), // Rule ID 305 //
     /*   76496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10068),
     /*   76515 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10068>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76520 */     GIR_RootConstrainSelectedInstOperands,
     /*   76521 */     // GIR_Coverage, 305,
     /*   76521 */     GIR_Done,
     /*   76522 */   // Label 1260: @76522
     /*   76522 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(76549), // Rule ID 289 //
     /*   76527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76542 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76547 */     GIR_RootConstrainSelectedInstOperands,
     /*   76548 */     // GIR_Coverage, 289,
     /*   76548 */     GIR_Done,
     /*   76549 */   // Label 1261: @76549
     /*   76549 */   GIM_Reject,
     /*   76550 */ // Label 1258: @76550
     /*   76550 */ GIM_Reject,
     /*   76551 */ // Label 1234: @76551
     /*   76551 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76665),
     /*   76556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76574 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(76619), // Rule ID 50730 //
     /*   76579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76582 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76617 */     GIR_RootConstrainSelectedInstOperands,
     /*   76618 */     // GIR_Coverage, 50730,
     /*   76618 */     GIR_EraseRootFromParent_Done,
     /*   76619 */   // Label 1263: @76619
     /*   76619 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76664), // Rule ID 50731 //
     /*   76624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76627 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76662 */     GIR_RootConstrainSelectedInstOperands,
     /*   76663 */     // GIR_Coverage, 50731,
     /*   76663 */     GIR_EraseRootFromParent_Done,
     /*   76664 */   // Label 1264: @76664
     /*   76664 */   GIM_Reject,
     /*   76665 */ // Label 1262: @76665
     /*   76665 */ GIM_Reject,
     /*   76666 */ // Label 1235: @76666
     /*   76666 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78390),
     /*   76671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76681 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76770), // Rule ID 51496 //
     /*   76686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76729 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76768 */     GIR_RootConstrainSelectedInstOperands,
     /*   76769 */     // GIR_Coverage, 51496,
     /*   76769 */     GIR_EraseRootFromParent_Done,
     /*   76770 */   // Label 1266: @76770
     /*   76770 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76859), // Rule ID 51497 //
     /*   76775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76818 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76857 */     GIR_RootConstrainSelectedInstOperands,
     /*   76858 */     // GIR_Coverage, 51497,
     /*   76858 */     GIR_EraseRootFromParent_Done,
     /*   76859 */   // Label 1267: @76859
     /*   76859 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76948), // Rule ID 70131 //
     /*   76864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76907 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76946 */     GIR_RootConstrainSelectedInstOperands,
     /*   76947 */     // GIR_Coverage, 70131,
     /*   76947 */     GIR_EraseRootFromParent_Done,
     /*   76948 */   // Label 1268: @76948
     /*   76948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77037), // Rule ID 70132 //
     /*   76953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76996 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77035 */     GIR_RootConstrainSelectedInstOperands,
     /*   77036 */     // GIR_Coverage, 70132,
     /*   77036 */     GIR_EraseRootFromParent_Done,
     /*   77037 */   // Label 1269: @77037
     /*   77037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77126), // Rule ID 70011 //
     /*   77042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77085 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77124 */     GIR_RootConstrainSelectedInstOperands,
     /*   77125 */     // GIR_Coverage, 70011,
     /*   77125 */     GIR_EraseRootFromParent_Done,
     /*   77126 */   // Label 1270: @77126
     /*   77126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77215), // Rule ID 70012 //
     /*   77131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77174 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77213 */     GIR_RootConstrainSelectedInstOperands,
     /*   77214 */     // GIR_Coverage, 70012,
     /*   77214 */     GIR_EraseRootFromParent_Done,
     /*   77215 */   // Label 1271: @77215
     /*   77215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77304), // Rule ID 51676 //
     /*   77220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77263 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77302 */     GIR_RootConstrainSelectedInstOperands,
     /*   77303 */     // GIR_Coverage, 51676,
     /*   77303 */     GIR_EraseRootFromParent_Done,
     /*   77304 */   // Label 1272: @77304
     /*   77304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77393), // Rule ID 51677 //
     /*   77309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77352 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77391 */     GIR_RootConstrainSelectedInstOperands,
     /*   77392 */     // GIR_Coverage, 51677,
     /*   77392 */     GIR_EraseRootFromParent_Done,
     /*   77393 */   // Label 1273: @77393
     /*   77393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77482), // Rule ID 51376 //
     /*   77398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77441 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77480 */     GIR_RootConstrainSelectedInstOperands,
     /*   77481 */     // GIR_Coverage, 51376,
     /*   77481 */     GIR_EraseRootFromParent_Done,
     /*   77482 */   // Label 1274: @77482
     /*   77482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77571), // Rule ID 51377 //
     /*   77487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77530 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77569 */     GIR_RootConstrainSelectedInstOperands,
     /*   77570 */     // GIR_Coverage, 51377,
     /*   77570 */     GIR_EraseRootFromParent_Done,
     /*   77571 */   // Label 1275: @77571
     /*   77571 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77660), // Rule ID 51616 //
     /*   77576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77619 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77658 */     GIR_RootConstrainSelectedInstOperands,
     /*   77659 */     // GIR_Coverage, 51616,
     /*   77659 */     GIR_EraseRootFromParent_Done,
     /*   77660 */   // Label 1276: @77660
     /*   77660 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(77749), // Rule ID 51617 //
     /*   77665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77708 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77747 */     GIR_RootConstrainSelectedInstOperands,
     /*   77748 */     // GIR_Coverage, 51617,
     /*   77748 */     GIR_EraseRootFromParent_Done,
     /*   77749 */   // Label 1277: @77749
     /*   77749 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(77838), // Rule ID 51556 //
     /*   77754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77797 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77836 */     GIR_RootConstrainSelectedInstOperands,
     /*   77837 */     // GIR_Coverage, 51556,
     /*   77837 */     GIR_EraseRootFromParent_Done,
     /*   77838 */   // Label 1278: @77838
     /*   77838 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(77927), // Rule ID 51557 //
     /*   77843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77886 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77925 */     GIR_RootConstrainSelectedInstOperands,
     /*   77926 */     // GIR_Coverage, 51557,
     /*   77926 */     GIR_EraseRootFromParent_Done,
     /*   77927 */   // Label 1279: @77927
     /*   77927 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78016), // Rule ID 70071 //
     /*   77932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77975 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78014 */     GIR_RootConstrainSelectedInstOperands,
     /*   78015 */     // GIR_Coverage, 70071,
     /*   78015 */     GIR_EraseRootFromParent_Done,
     /*   78016 */   // Label 1280: @78016
     /*   78016 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78105), // Rule ID 70072 //
     /*   78021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78064 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78103 */     GIR_RootConstrainSelectedInstOperands,
     /*   78104 */     // GIR_Coverage, 70072,
     /*   78104 */     GIR_EraseRootFromParent_Done,
     /*   78105 */   // Label 1281: @78105
     /*   78105 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(78194), // Rule ID 51436 //
     /*   78110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78153 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78192 */     GIR_RootConstrainSelectedInstOperands,
     /*   78193 */     // GIR_Coverage, 51436,
     /*   78193 */     GIR_EraseRootFromParent_Done,
     /*   78194 */   // Label 1282: @78194
     /*   78194 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78283), // Rule ID 51437 //
     /*   78199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78242 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78281 */     GIR_RootConstrainSelectedInstOperands,
     /*   78282 */     // GIR_Coverage, 51437,
     /*   78282 */     GIR_EraseRootFromParent_Done,
     /*   78283 */   // Label 1283: @78283
     /*   78283 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(78336), // Rule ID 50742 //
     /*   78288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78299 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78334 */     GIR_RootConstrainSelectedInstOperands,
     /*   78335 */     // GIR_Coverage, 50742,
     /*   78335 */     GIR_EraseRootFromParent_Done,
     /*   78336 */   // Label 1284: @78336
     /*   78336 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78389), // Rule ID 50743 //
     /*   78341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78352 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78387 */     GIR_RootConstrainSelectedInstOperands,
     /*   78388 */     // GIR_Coverage, 50743,
     /*   78388 */     GIR_EraseRootFromParent_Done,
     /*   78389 */   // Label 1285: @78389
     /*   78389 */   GIM_Reject,
     /*   78390 */ // Label 1265: @78390
     /*   78390 */ GIM_Reject,
     /*   78391 */ // Label 1236: @78391
     /*   78391 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80115),
     /*   78396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78406 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78495), // Rule ID 51520 //
     /*   78411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78454 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78493 */     GIR_RootConstrainSelectedInstOperands,
     /*   78494 */     // GIR_Coverage, 51520,
     /*   78494 */     GIR_EraseRootFromParent_Done,
     /*   78495 */   // Label 1287: @78495
     /*   78495 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78584), // Rule ID 51521 //
     /*   78500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78543 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78582 */     GIR_RootConstrainSelectedInstOperands,
     /*   78583 */     // GIR_Coverage, 51521,
     /*   78583 */     GIR_EraseRootFromParent_Done,
     /*   78584 */   // Label 1288: @78584
     /*   78584 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78673), // Rule ID 70155 //
     /*   78589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78632 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78671 */     GIR_RootConstrainSelectedInstOperands,
     /*   78672 */     // GIR_Coverage, 70155,
     /*   78672 */     GIR_EraseRootFromParent_Done,
     /*   78673 */   // Label 1289: @78673
     /*   78673 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(78762), // Rule ID 70156 //
     /*   78678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78721 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78760 */     GIR_RootConstrainSelectedInstOperands,
     /*   78761 */     // GIR_Coverage, 70156,
     /*   78761 */     GIR_EraseRootFromParent_Done,
     /*   78762 */   // Label 1290: @78762
     /*   78762 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(78851), // Rule ID 70035 //
     /*   78767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78810 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78849 */     GIR_RootConstrainSelectedInstOperands,
     /*   78850 */     // GIR_Coverage, 70035,
     /*   78850 */     GIR_EraseRootFromParent_Done,
     /*   78851 */   // Label 1291: @78851
     /*   78851 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(78940), // Rule ID 70036 //
     /*   78856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78899 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78938 */     GIR_RootConstrainSelectedInstOperands,
     /*   78939 */     // GIR_Coverage, 70036,
     /*   78939 */     GIR_EraseRootFromParent_Done,
     /*   78940 */   // Label 1292: @78940
     /*   78940 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79029), // Rule ID 51700 //
     /*   78945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78988 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79027 */     GIR_RootConstrainSelectedInstOperands,
     /*   79028 */     // GIR_Coverage, 51700,
     /*   79028 */     GIR_EraseRootFromParent_Done,
     /*   79029 */   // Label 1293: @79029
     /*   79029 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79118), // Rule ID 51701 //
     /*   79034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79077 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79116 */     GIR_RootConstrainSelectedInstOperands,
     /*   79117 */     // GIR_Coverage, 51701,
     /*   79117 */     GIR_EraseRootFromParent_Done,
     /*   79118 */   // Label 1294: @79118
     /*   79118 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79207), // Rule ID 51400 //
     /*   79123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79166 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79205 */     GIR_RootConstrainSelectedInstOperands,
     /*   79206 */     // GIR_Coverage, 51400,
     /*   79206 */     GIR_EraseRootFromParent_Done,
     /*   79207 */   // Label 1295: @79207
     /*   79207 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79296), // Rule ID 51401 //
     /*   79212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79255 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79294 */     GIR_RootConstrainSelectedInstOperands,
     /*   79295 */     // GIR_Coverage, 51401,
     /*   79295 */     GIR_EraseRootFromParent_Done,
     /*   79296 */   // Label 1296: @79296
     /*   79296 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79385), // Rule ID 51640 //
     /*   79301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79344 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79383 */     GIR_RootConstrainSelectedInstOperands,
     /*   79384 */     // GIR_Coverage, 51640,
     /*   79384 */     GIR_EraseRootFromParent_Done,
     /*   79385 */   // Label 1297: @79385
     /*   79385 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79474), // Rule ID 51641 //
     /*   79390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79433 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79472 */     GIR_RootConstrainSelectedInstOperands,
     /*   79473 */     // GIR_Coverage, 51641,
     /*   79473 */     GIR_EraseRootFromParent_Done,
     /*   79474 */   // Label 1298: @79474
     /*   79474 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79563), // Rule ID 51580 //
     /*   79479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79522 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79561 */     GIR_RootConstrainSelectedInstOperands,
     /*   79562 */     // GIR_Coverage, 51580,
     /*   79562 */     GIR_EraseRootFromParent_Done,
     /*   79563 */   // Label 1299: @79563
     /*   79563 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79652), // Rule ID 51581 //
     /*   79568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79611 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79650 */     GIR_RootConstrainSelectedInstOperands,
     /*   79651 */     // GIR_Coverage, 51581,
     /*   79651 */     GIR_EraseRootFromParent_Done,
     /*   79652 */   // Label 1300: @79652
     /*   79652 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79741), // Rule ID 70095 //
     /*   79657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79700 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79739 */     GIR_RootConstrainSelectedInstOperands,
     /*   79740 */     // GIR_Coverage, 70095,
     /*   79740 */     GIR_EraseRootFromParent_Done,
     /*   79741 */   // Label 1301: @79741
     /*   79741 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(79830), // Rule ID 70096 //
     /*   79746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79789 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79828 */     GIR_RootConstrainSelectedInstOperands,
     /*   79829 */     // GIR_Coverage, 70096,
     /*   79829 */     GIR_EraseRootFromParent_Done,
     /*   79830 */   // Label 1302: @79830
     /*   79830 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(79919), // Rule ID 51460 //
     /*   79835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79878 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79917 */     GIR_RootConstrainSelectedInstOperands,
     /*   79918 */     // GIR_Coverage, 51460,
     /*   79918 */     GIR_EraseRootFromParent_Done,
     /*   79919 */   // Label 1303: @79919
     /*   79919 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80008), // Rule ID 51461 //
     /*   79924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79967 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80006 */     GIR_RootConstrainSelectedInstOperands,
     /*   80007 */     // GIR_Coverage, 51461,
     /*   80007 */     GIR_EraseRootFromParent_Done,
     /*   80008 */   // Label 1304: @80008
     /*   80008 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(80061), // Rule ID 50750 //
     /*   80013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80024 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80059 */     GIR_RootConstrainSelectedInstOperands,
     /*   80060 */     // GIR_Coverage, 50750,
     /*   80060 */     GIR_EraseRootFromParent_Done,
     /*   80061 */   // Label 1305: @80061
     /*   80061 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80114), // Rule ID 50751 //
     /*   80066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80077 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80112 */     GIR_RootConstrainSelectedInstOperands,
     /*   80113 */     // GIR_Coverage, 50751,
     /*   80113 */     GIR_EraseRootFromParent_Done,
     /*   80114 */   // Label 1306: @80114
     /*   80114 */   GIM_Reject,
     /*   80115 */ // Label 1286: @80115
     /*   80115 */ GIM_Reject,
     /*   80116 */ // Label 1237: @80116
     /*   80116 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(81840),
     /*   80121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80131 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80220), // Rule ID 51540 //
     /*   80136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80179 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80218 */     GIR_RootConstrainSelectedInstOperands,
     /*   80219 */     // GIR_Coverage, 51540,
     /*   80219 */     GIR_EraseRootFromParent_Done,
     /*   80220 */   // Label 1308: @80220
     /*   80220 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80309), // Rule ID 51541 //
     /*   80225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80268 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80307 */     GIR_RootConstrainSelectedInstOperands,
     /*   80308 */     // GIR_Coverage, 51541,
     /*   80308 */     GIR_EraseRootFromParent_Done,
     /*   80309 */   // Label 1309: @80309
     /*   80309 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80398), // Rule ID 70175 //
     /*   80314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80357 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80396 */     GIR_RootConstrainSelectedInstOperands,
     /*   80397 */     // GIR_Coverage, 70175,
     /*   80397 */     GIR_EraseRootFromParent_Done,
     /*   80398 */   // Label 1310: @80398
     /*   80398 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80487), // Rule ID 70176 //
     /*   80403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80446 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80485 */     GIR_RootConstrainSelectedInstOperands,
     /*   80486 */     // GIR_Coverage, 70176,
     /*   80486 */     GIR_EraseRootFromParent_Done,
     /*   80487 */   // Label 1311: @80487
     /*   80487 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80576), // Rule ID 70055 //
     /*   80492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80535 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80574 */     GIR_RootConstrainSelectedInstOperands,
     /*   80575 */     // GIR_Coverage, 70055,
     /*   80575 */     GIR_EraseRootFromParent_Done,
     /*   80576 */   // Label 1312: @80576
     /*   80576 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80665), // Rule ID 70056 //
     /*   80581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80624 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80663 */     GIR_RootConstrainSelectedInstOperands,
     /*   80664 */     // GIR_Coverage, 70056,
     /*   80664 */     GIR_EraseRootFromParent_Done,
     /*   80665 */   // Label 1313: @80665
     /*   80665 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(80754), // Rule ID 51720 //
     /*   80670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80713 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80752 */     GIR_RootConstrainSelectedInstOperands,
     /*   80753 */     // GIR_Coverage, 51720,
     /*   80753 */     GIR_EraseRootFromParent_Done,
     /*   80754 */   // Label 1314: @80754
     /*   80754 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80843), // Rule ID 51721 //
     /*   80759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80802 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80841 */     GIR_RootConstrainSelectedInstOperands,
     /*   80842 */     // GIR_Coverage, 51721,
     /*   80842 */     GIR_EraseRootFromParent_Done,
     /*   80843 */   // Label 1315: @80843
     /*   80843 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80932), // Rule ID 51420 //
     /*   80848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80891 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80930 */     GIR_RootConstrainSelectedInstOperands,
     /*   80931 */     // GIR_Coverage, 51420,
     /*   80931 */     GIR_EraseRootFromParent_Done,
     /*   80932 */   // Label 1316: @80932
     /*   80932 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81021), // Rule ID 51421 //
     /*   80937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80980 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81019 */     GIR_RootConstrainSelectedInstOperands,
     /*   81020 */     // GIR_Coverage, 51421,
     /*   81020 */     GIR_EraseRootFromParent_Done,
     /*   81021 */   // Label 1317: @81021
     /*   81021 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81110), // Rule ID 51660 //
     /*   81026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81069 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81108 */     GIR_RootConstrainSelectedInstOperands,
     /*   81109 */     // GIR_Coverage, 51660,
     /*   81109 */     GIR_EraseRootFromParent_Done,
     /*   81110 */   // Label 1318: @81110
     /*   81110 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81199), // Rule ID 51661 //
     /*   81115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81158 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81197 */     GIR_RootConstrainSelectedInstOperands,
     /*   81198 */     // GIR_Coverage, 51661,
     /*   81198 */     GIR_EraseRootFromParent_Done,
     /*   81199 */   // Label 1319: @81199
     /*   81199 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81288), // Rule ID 51600 //
     /*   81204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81238 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81247 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81286 */     GIR_RootConstrainSelectedInstOperands,
     /*   81287 */     // GIR_Coverage, 51600,
     /*   81287 */     GIR_EraseRootFromParent_Done,
     /*   81288 */   // Label 1320: @81288
     /*   81288 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81377), // Rule ID 51601 //
     /*   81293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81327 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81336 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81375 */     GIR_RootConstrainSelectedInstOperands,
     /*   81376 */     // GIR_Coverage, 51601,
     /*   81376 */     GIR_EraseRootFromParent_Done,
     /*   81377 */   // Label 1321: @81377
     /*   81377 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81466), // Rule ID 70115 //
     /*   81382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81425 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81464 */     GIR_RootConstrainSelectedInstOperands,
     /*   81465 */     // GIR_Coverage, 70115,
     /*   81465 */     GIR_EraseRootFromParent_Done,
     /*   81466 */   // Label 1322: @81466
     /*   81466 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81555), // Rule ID 70116 //
     /*   81471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81514 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81553 */     GIR_RootConstrainSelectedInstOperands,
     /*   81554 */     // GIR_Coverage, 70116,
     /*   81554 */     GIR_EraseRootFromParent_Done,
     /*   81555 */   // Label 1323: @81555
     /*   81555 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81644), // Rule ID 51480 //
     /*   81560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81603 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81642 */     GIR_RootConstrainSelectedInstOperands,
     /*   81643 */     // GIR_Coverage, 51480,
     /*   81643 */     GIR_EraseRootFromParent_Done,
     /*   81644 */   // Label 1324: @81644
     /*   81644 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81733), // Rule ID 51481 //
     /*   81649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81683 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81692 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81731 */     GIR_RootConstrainSelectedInstOperands,
     /*   81732 */     // GIR_Coverage, 51481,
     /*   81732 */     GIR_EraseRootFromParent_Done,
     /*   81733 */   // Label 1325: @81733
     /*   81733 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81786), // Rule ID 50766 //
     /*   81738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81749 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 50766,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1326: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81839), // Rule ID 50767 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81802 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81837 */     GIR_RootConstrainSelectedInstOperands,
     /*   81838 */     // GIR_Coverage, 50767,
     /*   81838 */     GIR_EraseRootFromParent_Done,
     /*   81839 */   // Label 1327: @81839
     /*   81839 */   GIM_Reject,
     /*   81840 */ // Label 1307: @81840
     /*   81840 */ GIM_Reject,
     /*   81841 */ // Label 1238: @81841
     /*   81841 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81955),
     /*   81846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81864 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81909), // Rule ID 50734 //
     /*   81869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81872 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81907 */     GIR_RootConstrainSelectedInstOperands,
     /*   81908 */     // GIR_Coverage, 50734,
     /*   81908 */     GIR_EraseRootFromParent_Done,
     /*   81909 */   // Label 1329: @81909
     /*   81909 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81954), // Rule ID 50735 //
     /*   81914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81917 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81952 */     GIR_RootConstrainSelectedInstOperands,
     /*   81953 */     // GIR_Coverage, 50735,
     /*   81953 */     GIR_EraseRootFromParent_Done,
     /*   81954 */   // Label 1330: @81954
     /*   81954 */   GIM_Reject,
     /*   81955 */ // Label 1328: @81955
     /*   81955 */ GIM_Reject,
     /*   81956 */ // Label 1239: @81956
     /*   81956 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(83680),
     /*   81961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81971 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82060), // Rule ID 51500 //
     /*   81976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82019 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82058 */     GIR_RootConstrainSelectedInstOperands,
     /*   82059 */     // GIR_Coverage, 51500,
     /*   82059 */     GIR_EraseRootFromParent_Done,
     /*   82060 */   // Label 1332: @82060
     /*   82060 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82149), // Rule ID 51501 //
     /*   82065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82108 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82147 */     GIR_RootConstrainSelectedInstOperands,
     /*   82148 */     // GIR_Coverage, 51501,
     /*   82148 */     GIR_EraseRootFromParent_Done,
     /*   82149 */   // Label 1333: @82149
     /*   82149 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82238), // Rule ID 70135 //
     /*   82154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82197 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82236 */     GIR_RootConstrainSelectedInstOperands,
     /*   82237 */     // GIR_Coverage, 70135,
     /*   82237 */     GIR_EraseRootFromParent_Done,
     /*   82238 */   // Label 1334: @82238
     /*   82238 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82327), // Rule ID 70136 //
     /*   82243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82286 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82325 */     GIR_RootConstrainSelectedInstOperands,
     /*   82326 */     // GIR_Coverage, 70136,
     /*   82326 */     GIR_EraseRootFromParent_Done,
     /*   82327 */   // Label 1335: @82327
     /*   82327 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82416), // Rule ID 70015 //
     /*   82332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82366 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82375 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82414 */     GIR_RootConstrainSelectedInstOperands,
     /*   82415 */     // GIR_Coverage, 70015,
     /*   82415 */     GIR_EraseRootFromParent_Done,
     /*   82416 */   // Label 1336: @82416
     /*   82416 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82505), // Rule ID 70016 //
     /*   82421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82464 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 70016,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 1337: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82594), // Rule ID 51680 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82553 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82592 */     GIR_RootConstrainSelectedInstOperands,
     /*   82593 */     // GIR_Coverage, 51680,
     /*   82593 */     GIR_EraseRootFromParent_Done,
     /*   82594 */   // Label 1338: @82594
     /*   82594 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82683), // Rule ID 51681 //
     /*   82599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82642 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82681 */     GIR_RootConstrainSelectedInstOperands,
     /*   82682 */     // GIR_Coverage, 51681,
     /*   82682 */     GIR_EraseRootFromParent_Done,
     /*   82683 */   // Label 1339: @82683
     /*   82683 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82772), // Rule ID 51380 //
     /*   82688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82731 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82770 */     GIR_RootConstrainSelectedInstOperands,
     /*   82771 */     // GIR_Coverage, 51380,
     /*   82771 */     GIR_EraseRootFromParent_Done,
     /*   82772 */   // Label 1340: @82772
     /*   82772 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82861), // Rule ID 51381 //
     /*   82777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82820 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82859 */     GIR_RootConstrainSelectedInstOperands,
     /*   82860 */     // GIR_Coverage, 51381,
     /*   82860 */     GIR_EraseRootFromParent_Done,
     /*   82861 */   // Label 1341: @82861
     /*   82861 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82950), // Rule ID 51620 //
     /*   82866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82909 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82948 */     GIR_RootConstrainSelectedInstOperands,
     /*   82949 */     // GIR_Coverage, 51620,
     /*   82949 */     GIR_EraseRootFromParent_Done,
     /*   82950 */   // Label 1342: @82950
     /*   82950 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83039), // Rule ID 51621 //
     /*   82955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82989 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82998 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83037 */     GIR_RootConstrainSelectedInstOperands,
     /*   83038 */     // GIR_Coverage, 51621,
     /*   83038 */     GIR_EraseRootFromParent_Done,
     /*   83039 */   // Label 1343: @83039
     /*   83039 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83128), // Rule ID 51560 //
     /*   83044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83078 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83087 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83126 */     GIR_RootConstrainSelectedInstOperands,
     /*   83127 */     // GIR_Coverage, 51560,
     /*   83127 */     GIR_EraseRootFromParent_Done,
     /*   83128 */   // Label 1344: @83128
     /*   83128 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83217), // Rule ID 51561 //
     /*   83133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83148 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83167 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83176 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83215 */     GIR_RootConstrainSelectedInstOperands,
     /*   83216 */     // GIR_Coverage, 51561,
     /*   83216 */     GIR_EraseRootFromParent_Done,
     /*   83217 */   // Label 1345: @83217
     /*   83217 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83306), // Rule ID 70075 //
     /*   83222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83265 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83304 */     GIR_RootConstrainSelectedInstOperands,
     /*   83305 */     // GIR_Coverage, 70075,
     /*   83305 */     GIR_EraseRootFromParent_Done,
     /*   83306 */   // Label 1346: @83306
     /*   83306 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83395), // Rule ID 70076 //
     /*   83311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83354 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83393 */     GIR_RootConstrainSelectedInstOperands,
     /*   83394 */     // GIR_Coverage, 70076,
     /*   83394 */     GIR_EraseRootFromParent_Done,
     /*   83395 */   // Label 1347: @83395
     /*   83395 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(83484), // Rule ID 51440 //
     /*   83400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83443 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83482 */     GIR_RootConstrainSelectedInstOperands,
     /*   83483 */     // GIR_Coverage, 51440,
     /*   83483 */     GIR_EraseRootFromParent_Done,
     /*   83484 */   // Label 1348: @83484
     /*   83484 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83573), // Rule ID 51441 //
     /*   83489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83532 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83571 */     GIR_RootConstrainSelectedInstOperands,
     /*   83572 */     // GIR_Coverage, 51441,
     /*   83572 */     GIR_EraseRootFromParent_Done,
     /*   83573 */   // Label 1349: @83573
     /*   83573 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83626), // Rule ID 50746 //
     /*   83578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83589 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83624 */     GIR_RootConstrainSelectedInstOperands,
     /*   83625 */     // GIR_Coverage, 50746,
     /*   83625 */     GIR_EraseRootFromParent_Done,
     /*   83626 */   // Label 1350: @83626
     /*   83626 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83679), // Rule ID 50747 //
     /*   83631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83642 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83677 */     GIR_RootConstrainSelectedInstOperands,
     /*   83678 */     // GIR_Coverage, 50747,
     /*   83678 */     GIR_EraseRootFromParent_Done,
     /*   83679 */   // Label 1351: @83679
     /*   83679 */   GIM_Reject,
     /*   83680 */ // Label 1331: @83680
     /*   83680 */ GIM_Reject,
     /*   83681 */ // Label 1240: @83681
     /*   83681 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(85405),
     /*   83686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83696 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83785), // Rule ID 51524 //
     /*   83701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83744 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83783 */     GIR_RootConstrainSelectedInstOperands,
     /*   83784 */     // GIR_Coverage, 51524,
     /*   83784 */     GIR_EraseRootFromParent_Done,
     /*   83785 */   // Label 1353: @83785
     /*   83785 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83874), // Rule ID 51525 //
     /*   83790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83833 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83872 */     GIR_RootConstrainSelectedInstOperands,
     /*   83873 */     // GIR_Coverage, 51525,
     /*   83873 */     GIR_EraseRootFromParent_Done,
     /*   83874 */   // Label 1354: @83874
     /*   83874 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83963), // Rule ID 70159 //
     /*   83879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83922 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83961 */     GIR_RootConstrainSelectedInstOperands,
     /*   83962 */     // GIR_Coverage, 70159,
     /*   83962 */     GIR_EraseRootFromParent_Done,
     /*   83963 */   // Label 1355: @83963
     /*   83963 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84052), // Rule ID 70160 //
     /*   83968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84011 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84050 */     GIR_RootConstrainSelectedInstOperands,
     /*   84051 */     // GIR_Coverage, 70160,
     /*   84051 */     GIR_EraseRootFromParent_Done,
     /*   84052 */   // Label 1356: @84052
     /*   84052 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84141), // Rule ID 70039 //
     /*   84057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84100 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84139 */     GIR_RootConstrainSelectedInstOperands,
     /*   84140 */     // GIR_Coverage, 70039,
     /*   84140 */     GIR_EraseRootFromParent_Done,
     /*   84141 */   // Label 1357: @84141
     /*   84141 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84230), // Rule ID 70040 //
     /*   84146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84189 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84228 */     GIR_RootConstrainSelectedInstOperands,
     /*   84229 */     // GIR_Coverage, 70040,
     /*   84229 */     GIR_EraseRootFromParent_Done,
     /*   84230 */   // Label 1358: @84230
     /*   84230 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84319), // Rule ID 51704 //
     /*   84235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84278 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84317 */     GIR_RootConstrainSelectedInstOperands,
     /*   84318 */     // GIR_Coverage, 51704,
     /*   84318 */     GIR_EraseRootFromParent_Done,
     /*   84319 */   // Label 1359: @84319
     /*   84319 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84408), // Rule ID 51705 //
     /*   84324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84367 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84406 */     GIR_RootConstrainSelectedInstOperands,
     /*   84407 */     // GIR_Coverage, 51705,
     /*   84407 */     GIR_EraseRootFromParent_Done,
     /*   84408 */   // Label 1360: @84408
     /*   84408 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84497), // Rule ID 51404 //
     /*   84413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84456 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84495 */     GIR_RootConstrainSelectedInstOperands,
     /*   84496 */     // GIR_Coverage, 51404,
     /*   84496 */     GIR_EraseRootFromParent_Done,
     /*   84497 */   // Label 1361: @84497
     /*   84497 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84586), // Rule ID 51405 //
     /*   84502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84545 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84584 */     GIR_RootConstrainSelectedInstOperands,
     /*   84585 */     // GIR_Coverage, 51405,
     /*   84585 */     GIR_EraseRootFromParent_Done,
     /*   84586 */   // Label 1362: @84586
     /*   84586 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84675), // Rule ID 51644 //
     /*   84591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84634 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84673 */     GIR_RootConstrainSelectedInstOperands,
     /*   84674 */     // GIR_Coverage, 51644,
     /*   84674 */     GIR_EraseRootFromParent_Done,
     /*   84675 */   // Label 1363: @84675
     /*   84675 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84764), // Rule ID 51645 //
     /*   84680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84723 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84762 */     GIR_RootConstrainSelectedInstOperands,
     /*   84763 */     // GIR_Coverage, 51645,
     /*   84763 */     GIR_EraseRootFromParent_Done,
     /*   84764 */   // Label 1364: @84764
     /*   84764 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(84853), // Rule ID 51584 //
     /*   84769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84812 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84851 */     GIR_RootConstrainSelectedInstOperands,
     /*   84852 */     // GIR_Coverage, 51584,
     /*   84852 */     GIR_EraseRootFromParent_Done,
     /*   84853 */   // Label 1365: @84853
     /*   84853 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84942), // Rule ID 51585 //
     /*   84858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84901 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84940 */     GIR_RootConstrainSelectedInstOperands,
     /*   84941 */     // GIR_Coverage, 51585,
     /*   84941 */     GIR_EraseRootFromParent_Done,
     /*   84942 */   // Label 1366: @84942
     /*   84942 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85031), // Rule ID 70099 //
     /*   84947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84990 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85029 */     GIR_RootConstrainSelectedInstOperands,
     /*   85030 */     // GIR_Coverage, 70099,
     /*   85030 */     GIR_EraseRootFromParent_Done,
     /*   85031 */   // Label 1367: @85031
     /*   85031 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85120), // Rule ID 70100 //
     /*   85036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85079 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85118 */     GIR_RootConstrainSelectedInstOperands,
     /*   85119 */     // GIR_Coverage, 70100,
     /*   85119 */     GIR_EraseRootFromParent_Done,
     /*   85120 */   // Label 1368: @85120
     /*   85120 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(85209), // Rule ID 51464 //
     /*   85125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85168 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85207 */     GIR_RootConstrainSelectedInstOperands,
     /*   85208 */     // GIR_Coverage, 51464,
     /*   85208 */     GIR_EraseRootFromParent_Done,
     /*   85209 */   // Label 1369: @85209
     /*   85209 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85298), // Rule ID 51465 //
     /*   85214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85257 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85296 */     GIR_RootConstrainSelectedInstOperands,
     /*   85297 */     // GIR_Coverage, 51465,
     /*   85297 */     GIR_EraseRootFromParent_Done,
     /*   85298 */   // Label 1370: @85298
     /*   85298 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(85351), // Rule ID 50762 //
     /*   85303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85314 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85349 */     GIR_RootConstrainSelectedInstOperands,
     /*   85350 */     // GIR_Coverage, 50762,
     /*   85350 */     GIR_EraseRootFromParent_Done,
     /*   85351 */   // Label 1371: @85351
     /*   85351 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85404), // Rule ID 50763 //
     /*   85356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85367 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85402 */     GIR_RootConstrainSelectedInstOperands,
     /*   85403 */     // GIR_Coverage, 50763,
     /*   85403 */     GIR_EraseRootFromParent_Done,
     /*   85404 */   // Label 1372: @85404
     /*   85404 */   GIM_Reject,
     /*   85405 */ // Label 1352: @85405
     /*   85405 */ GIM_Reject,
     /*   85406 */ // Label 1241: @85406
     /*   85406 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(87130),
     /*   85411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85421 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85510), // Rule ID 51544 //
     /*   85426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85469 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85508 */     GIR_RootConstrainSelectedInstOperands,
     /*   85509 */     // GIR_Coverage, 51544,
     /*   85509 */     GIR_EraseRootFromParent_Done,
     /*   85510 */   // Label 1374: @85510
     /*   85510 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85599), // Rule ID 51545 //
     /*   85515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85558 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85597 */     GIR_RootConstrainSelectedInstOperands,
     /*   85598 */     // GIR_Coverage, 51545,
     /*   85598 */     GIR_EraseRootFromParent_Done,
     /*   85599 */   // Label 1375: @85599
     /*   85599 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85688), // Rule ID 70179 //
     /*   85604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85647 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85686 */     GIR_RootConstrainSelectedInstOperands,
     /*   85687 */     // GIR_Coverage, 70179,
     /*   85687 */     GIR_EraseRootFromParent_Done,
     /*   85688 */   // Label 1376: @85688
     /*   85688 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85777), // Rule ID 70180 //
     /*   85693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85736 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85775 */     GIR_RootConstrainSelectedInstOperands,
     /*   85776 */     // GIR_Coverage, 70180,
     /*   85776 */     GIR_EraseRootFromParent_Done,
     /*   85777 */   // Label 1377: @85777
     /*   85777 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85866), // Rule ID 70059 //
     /*   85782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85825 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85864 */     GIR_RootConstrainSelectedInstOperands,
     /*   85865 */     // GIR_Coverage, 70059,
     /*   85865 */     GIR_EraseRootFromParent_Done,
     /*   85866 */   // Label 1378: @85866
     /*   85866 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85955), // Rule ID 70060 //
     /*   85871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85914 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85953 */     GIR_RootConstrainSelectedInstOperands,
     /*   85954 */     // GIR_Coverage, 70060,
     /*   85954 */     GIR_EraseRootFromParent_Done,
     /*   85955 */   // Label 1379: @85955
     /*   85955 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86044), // Rule ID 51724 //
     /*   85960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85975 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86003 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86042 */     GIR_RootConstrainSelectedInstOperands,
     /*   86043 */     // GIR_Coverage, 51724,
     /*   86043 */     GIR_EraseRootFromParent_Done,
     /*   86044 */   // Label 1380: @86044
     /*   86044 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86133), // Rule ID 51725 //
     /*   86049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86092 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86131 */     GIR_RootConstrainSelectedInstOperands,
     /*   86132 */     // GIR_Coverage, 51725,
     /*   86132 */     GIR_EraseRootFromParent_Done,
     /*   86133 */   // Label 1381: @86133
     /*   86133 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86222), // Rule ID 51424 //
     /*   86138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86181 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86220 */     GIR_RootConstrainSelectedInstOperands,
     /*   86221 */     // GIR_Coverage, 51424,
     /*   86221 */     GIR_EraseRootFromParent_Done,
     /*   86222 */   // Label 1382: @86222
     /*   86222 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86311), // Rule ID 51425 //
     /*   86227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86270 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86309 */     GIR_RootConstrainSelectedInstOperands,
     /*   86310 */     // GIR_Coverage, 51425,
     /*   86310 */     GIR_EraseRootFromParent_Done,
     /*   86311 */   // Label 1383: @86311
     /*   86311 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86400), // Rule ID 51664 //
     /*   86316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86359 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86398 */     GIR_RootConstrainSelectedInstOperands,
     /*   86399 */     // GIR_Coverage, 51664,
     /*   86399 */     GIR_EraseRootFromParent_Done,
     /*   86400 */   // Label 1384: @86400
     /*   86400 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86489), // Rule ID 51665 //
     /*   86405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86448 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86487 */     GIR_RootConstrainSelectedInstOperands,
     /*   86488 */     // GIR_Coverage, 51665,
     /*   86488 */     GIR_EraseRootFromParent_Done,
     /*   86489 */   // Label 1385: @86489
     /*   86489 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86578), // Rule ID 51604 //
     /*   86494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86537 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86576 */     GIR_RootConstrainSelectedInstOperands,
     /*   86577 */     // GIR_Coverage, 51604,
     /*   86577 */     GIR_EraseRootFromParent_Done,
     /*   86578 */   // Label 1386: @86578
     /*   86578 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86667), // Rule ID 51605 //
     /*   86583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86626 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86665 */     GIR_RootConstrainSelectedInstOperands,
     /*   86666 */     // GIR_Coverage, 51605,
     /*   86666 */     GIR_EraseRootFromParent_Done,
     /*   86667 */   // Label 1387: @86667
     /*   86667 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86756), // Rule ID 70119 //
     /*   86672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86715 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86754 */     GIR_RootConstrainSelectedInstOperands,
     /*   86755 */     // GIR_Coverage, 70119,
     /*   86755 */     GIR_EraseRootFromParent_Done,
     /*   86756 */   // Label 1388: @86756
     /*   86756 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(86845), // Rule ID 70120 //
     /*   86761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86804 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86843 */     GIR_RootConstrainSelectedInstOperands,
     /*   86844 */     // GIR_Coverage, 70120,
     /*   86844 */     GIR_EraseRootFromParent_Done,
     /*   86845 */   // Label 1389: @86845
     /*   86845 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86934), // Rule ID 51484 //
     /*   86850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86893 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86932 */     GIR_RootConstrainSelectedInstOperands,
     /*   86933 */     // GIR_Coverage, 51484,
     /*   86933 */     GIR_EraseRootFromParent_Done,
     /*   86934 */   // Label 1390: @86934
     /*   86934 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87023), // Rule ID 51485 //
     /*   86939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86982 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   87018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87021 */     GIR_RootConstrainSelectedInstOperands,
     /*   87022 */     // GIR_Coverage, 51485,
     /*   87022 */     GIR_EraseRootFromParent_Done,
     /*   87023 */   // Label 1391: @87023
     /*   87023 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87076), // Rule ID 50806 //
     /*   87028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   87031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87039 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   87039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 50806,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1392: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(87129), // Rule ID 50807 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87092 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87127 */     GIR_RootConstrainSelectedInstOperands,
     /*   87128 */     // GIR_Coverage, 50807,
     /*   87128 */     GIR_EraseRootFromParent_Done,
     /*   87129 */   // Label 1393: @87129
     /*   87129 */   GIM_Reject,
     /*   87130 */ // Label 1373: @87130
     /*   87130 */ GIM_Reject,
     /*   87131 */ // Label 1242: @87131
     /*   87131 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87245),
     /*   87136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87154 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(87199), // Rule ID 50738 //
     /*   87159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87162 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87197 */     GIR_RootConstrainSelectedInstOperands,
     /*   87198 */     // GIR_Coverage, 50738,
     /*   87198 */     GIR_EraseRootFromParent_Done,
     /*   87199 */   // Label 1395: @87199
     /*   87199 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87244), // Rule ID 50739 //
     /*   87204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87207 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87242 */     GIR_RootConstrainSelectedInstOperands,
     /*   87243 */     // GIR_Coverage, 50739,
     /*   87243 */     GIR_EraseRootFromParent_Done,
     /*   87244 */   // Label 1396: @87244
     /*   87244 */   GIM_Reject,
     /*   87245 */ // Label 1394: @87245
     /*   87245 */ GIM_Reject,
     /*   87246 */ // Label 1243: @87246
     /*   87246 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(88970),
     /*   87251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87261 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87350), // Rule ID 51504 //
     /*   87266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87309 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87348 */     GIR_RootConstrainSelectedInstOperands,
     /*   87349 */     // GIR_Coverage, 51504,
     /*   87349 */     GIR_EraseRootFromParent_Done,
     /*   87350 */   // Label 1398: @87350
     /*   87350 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87439), // Rule ID 51505 //
     /*   87355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87398 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87437 */     GIR_RootConstrainSelectedInstOperands,
     /*   87438 */     // GIR_Coverage, 51505,
     /*   87438 */     GIR_EraseRootFromParent_Done,
     /*   87439 */   // Label 1399: @87439
     /*   87439 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87528), // Rule ID 70139 //
     /*   87444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87459 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87487 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87526 */     GIR_RootConstrainSelectedInstOperands,
     /*   87527 */     // GIR_Coverage, 70139,
     /*   87527 */     GIR_EraseRootFromParent_Done,
     /*   87528 */   // Label 1400: @87528
     /*   87528 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87617), // Rule ID 70140 //
     /*   87533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87576 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87615 */     GIR_RootConstrainSelectedInstOperands,
     /*   87616 */     // GIR_Coverage, 70140,
     /*   87616 */     GIR_EraseRootFromParent_Done,
     /*   87617 */   // Label 1401: @87617
     /*   87617 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87706), // Rule ID 70019 //
     /*   87622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87656 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87665 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87704 */     GIR_RootConstrainSelectedInstOperands,
     /*   87705 */     // GIR_Coverage, 70019,
     /*   87705 */     GIR_EraseRootFromParent_Done,
     /*   87706 */   // Label 1402: @87706
     /*   87706 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87795), // Rule ID 70020 //
     /*   87711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87754 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87793 */     GIR_RootConstrainSelectedInstOperands,
     /*   87794 */     // GIR_Coverage, 70020,
     /*   87794 */     GIR_EraseRootFromParent_Done,
     /*   87795 */   // Label 1403: @87795
     /*   87795 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87884), // Rule ID 51684 //
     /*   87800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87843 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87882 */     GIR_RootConstrainSelectedInstOperands,
     /*   87883 */     // GIR_Coverage, 51684,
     /*   87883 */     GIR_EraseRootFromParent_Done,
     /*   87884 */   // Label 1404: @87884
     /*   87884 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87973), // Rule ID 51685 //
     /*   87889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87932 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87971 */     GIR_RootConstrainSelectedInstOperands,
     /*   87972 */     // GIR_Coverage, 51685,
     /*   87972 */     GIR_EraseRootFromParent_Done,
     /*   87973 */   // Label 1405: @87973
     /*   87973 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88062), // Rule ID 51384 //
     /*   87978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88021 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88060 */     GIR_RootConstrainSelectedInstOperands,
     /*   88061 */     // GIR_Coverage, 51384,
     /*   88061 */     GIR_EraseRootFromParent_Done,
     /*   88062 */   // Label 1406: @88062
     /*   88062 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88151), // Rule ID 51385 //
     /*   88067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88110 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88149 */     GIR_RootConstrainSelectedInstOperands,
     /*   88150 */     // GIR_Coverage, 51385,
     /*   88150 */     GIR_EraseRootFromParent_Done,
     /*   88151 */   // Label 1407: @88151
     /*   88151 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88240), // Rule ID 51624 //
     /*   88156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88199 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88238 */     GIR_RootConstrainSelectedInstOperands,
     /*   88239 */     // GIR_Coverage, 51624,
     /*   88239 */     GIR_EraseRootFromParent_Done,
     /*   88240 */   // Label 1408: @88240
     /*   88240 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88329), // Rule ID 51625 //
     /*   88245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88288 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88327 */     GIR_RootConstrainSelectedInstOperands,
     /*   88328 */     // GIR_Coverage, 51625,
     /*   88328 */     GIR_EraseRootFromParent_Done,
     /*   88329 */   // Label 1409: @88329
     /*   88329 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88418), // Rule ID 51564 //
     /*   88334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88377 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88416 */     GIR_RootConstrainSelectedInstOperands,
     /*   88417 */     // GIR_Coverage, 51564,
     /*   88417 */     GIR_EraseRootFromParent_Done,
     /*   88418 */   // Label 1410: @88418
     /*   88418 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88507), // Rule ID 51565 //
     /*   88423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88466 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88505 */     GIR_RootConstrainSelectedInstOperands,
     /*   88506 */     // GIR_Coverage, 51565,
     /*   88506 */     GIR_EraseRootFromParent_Done,
     /*   88507 */   // Label 1411: @88507
     /*   88507 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88596), // Rule ID 70079 //
     /*   88512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88555 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88594 */     GIR_RootConstrainSelectedInstOperands,
     /*   88595 */     // GIR_Coverage, 70079,
     /*   88595 */     GIR_EraseRootFromParent_Done,
     /*   88596 */   // Label 1412: @88596
     /*   88596 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88685), // Rule ID 70080 //
     /*   88601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88644 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88683 */     GIR_RootConstrainSelectedInstOperands,
     /*   88684 */     // GIR_Coverage, 70080,
     /*   88684 */     GIR_EraseRootFromParent_Done,
     /*   88685 */   // Label 1413: @88685
     /*   88685 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88774), // Rule ID 51444 //
     /*   88690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88733 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88772 */     GIR_RootConstrainSelectedInstOperands,
     /*   88773 */     // GIR_Coverage, 51444,
     /*   88773 */     GIR_EraseRootFromParent_Done,
     /*   88774 */   // Label 1414: @88774
     /*   88774 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88863), // Rule ID 51445 //
     /*   88779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88822 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88861 */     GIR_RootConstrainSelectedInstOperands,
     /*   88862 */     // GIR_Coverage, 51445,
     /*   88862 */     GIR_EraseRootFromParent_Done,
     /*   88863 */   // Label 1415: @88863
     /*   88863 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88916), // Rule ID 50758 //
     /*   88868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88879 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88914 */     GIR_RootConstrainSelectedInstOperands,
     /*   88915 */     // GIR_Coverage, 50758,
     /*   88915 */     GIR_EraseRootFromParent_Done,
     /*   88916 */   // Label 1416: @88916
     /*   88916 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88969), // Rule ID 50759 //
     /*   88921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88932 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88967 */     GIR_RootConstrainSelectedInstOperands,
     /*   88968 */     // GIR_Coverage, 50759,
     /*   88968 */     GIR_EraseRootFromParent_Done,
     /*   88969 */   // Label 1417: @88969
     /*   88969 */   GIM_Reject,
     /*   88970 */ // Label 1397: @88970
     /*   88970 */ GIM_Reject,
     /*   88971 */ // Label 1244: @88971
     /*   88971 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(90695),
     /*   88976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88986 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89075), // Rule ID 51528 //
     /*   88991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89034 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89073 */     GIR_RootConstrainSelectedInstOperands,
     /*   89074 */     // GIR_Coverage, 51528,
     /*   89074 */     GIR_EraseRootFromParent_Done,
     /*   89075 */   // Label 1419: @89075
     /*   89075 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89164), // Rule ID 51529 //
     /*   89080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89123 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89162 */     GIR_RootConstrainSelectedInstOperands,
     /*   89163 */     // GIR_Coverage, 51529,
     /*   89163 */     GIR_EraseRootFromParent_Done,
     /*   89164 */   // Label 1420: @89164
     /*   89164 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89253), // Rule ID 70163 //
     /*   89169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89203 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89212 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89251 */     GIR_RootConstrainSelectedInstOperands,
     /*   89252 */     // GIR_Coverage, 70163,
     /*   89252 */     GIR_EraseRootFromParent_Done,
     /*   89253 */   // Label 1421: @89253
     /*   89253 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89342), // Rule ID 70164 //
     /*   89258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89301 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89340 */     GIR_RootConstrainSelectedInstOperands,
     /*   89341 */     // GIR_Coverage, 70164,
     /*   89341 */     GIR_EraseRootFromParent_Done,
     /*   89342 */   // Label 1422: @89342
     /*   89342 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89431), // Rule ID 70043 //
     /*   89347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89390 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89429 */     GIR_RootConstrainSelectedInstOperands,
     /*   89430 */     // GIR_Coverage, 70043,
     /*   89430 */     GIR_EraseRootFromParent_Done,
     /*   89431 */   // Label 1423: @89431
     /*   89431 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89520), // Rule ID 70044 //
     /*   89436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89479 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89518 */     GIR_RootConstrainSelectedInstOperands,
     /*   89519 */     // GIR_Coverage, 70044,
     /*   89519 */     GIR_EraseRootFromParent_Done,
     /*   89520 */   // Label 1424: @89520
     /*   89520 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89609), // Rule ID 51708 //
     /*   89525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89568 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89607 */     GIR_RootConstrainSelectedInstOperands,
     /*   89608 */     // GIR_Coverage, 51708,
     /*   89608 */     GIR_EraseRootFromParent_Done,
     /*   89609 */   // Label 1425: @89609
     /*   89609 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89698), // Rule ID 51709 //
     /*   89614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89657 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89696 */     GIR_RootConstrainSelectedInstOperands,
     /*   89697 */     // GIR_Coverage, 51709,
     /*   89697 */     GIR_EraseRootFromParent_Done,
     /*   89698 */   // Label 1426: @89698
     /*   89698 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89787), // Rule ID 51408 //
     /*   89703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89746 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89785 */     GIR_RootConstrainSelectedInstOperands,
     /*   89786 */     // GIR_Coverage, 51408,
     /*   89786 */     GIR_EraseRootFromParent_Done,
     /*   89787 */   // Label 1427: @89787
     /*   89787 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89876), // Rule ID 51409 //
     /*   89792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89835 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89874 */     GIR_RootConstrainSelectedInstOperands,
     /*   89875 */     // GIR_Coverage, 51409,
     /*   89875 */     GIR_EraseRootFromParent_Done,
     /*   89876 */   // Label 1428: @89876
     /*   89876 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89965), // Rule ID 51648 //
     /*   89881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89924 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89963 */     GIR_RootConstrainSelectedInstOperands,
     /*   89964 */     // GIR_Coverage, 51648,
     /*   89964 */     GIR_EraseRootFromParent_Done,
     /*   89965 */   // Label 1429: @89965
     /*   89965 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90054), // Rule ID 51649 //
     /*   89970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90013 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90052 */     GIR_RootConstrainSelectedInstOperands,
     /*   90053 */     // GIR_Coverage, 51649,
     /*   90053 */     GIR_EraseRootFromParent_Done,
     /*   90054 */   // Label 1430: @90054
     /*   90054 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90143), // Rule ID 51588 //
     /*   90059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90093 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90102 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90141 */     GIR_RootConstrainSelectedInstOperands,
     /*   90142 */     // GIR_Coverage, 51588,
     /*   90142 */     GIR_EraseRootFromParent_Done,
     /*   90143 */   // Label 1431: @90143
     /*   90143 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90232), // Rule ID 51589 //
     /*   90148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90191 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90230 */     GIR_RootConstrainSelectedInstOperands,
     /*   90231 */     // GIR_Coverage, 51589,
     /*   90231 */     GIR_EraseRootFromParent_Done,
     /*   90232 */   // Label 1432: @90232
     /*   90232 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90321), // Rule ID 70103 //
     /*   90237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90280 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90319 */     GIR_RootConstrainSelectedInstOperands,
     /*   90320 */     // GIR_Coverage, 70103,
     /*   90320 */     GIR_EraseRootFromParent_Done,
     /*   90321 */   // Label 1433: @90321
     /*   90321 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90410), // Rule ID 70104 //
     /*   90326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90369 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90408 */     GIR_RootConstrainSelectedInstOperands,
     /*   90409 */     // GIR_Coverage, 70104,
     /*   90409 */     GIR_EraseRootFromParent_Done,
     /*   90410 */   // Label 1434: @90410
     /*   90410 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(90499), // Rule ID 51468 //
     /*   90415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90458 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90497 */     GIR_RootConstrainSelectedInstOperands,
     /*   90498 */     // GIR_Coverage, 51468,
     /*   90498 */     GIR_EraseRootFromParent_Done,
     /*   90499 */   // Label 1435: @90499
     /*   90499 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90588), // Rule ID 51469 //
     /*   90504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90538 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90547 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90586 */     GIR_RootConstrainSelectedInstOperands,
     /*   90587 */     // GIR_Coverage, 51469,
     /*   90587 */     GIR_EraseRootFromParent_Done,
     /*   90588 */   // Label 1436: @90588
     /*   90588 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90641), // Rule ID 50794 //
     /*   90593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90604 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90639 */     GIR_RootConstrainSelectedInstOperands,
     /*   90640 */     // GIR_Coverage, 50794,
     /*   90640 */     GIR_EraseRootFromParent_Done,
     /*   90641 */   // Label 1437: @90641
     /*   90641 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90694), // Rule ID 50795 //
     /*   90646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90657 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90692 */     GIR_RootConstrainSelectedInstOperands,
     /*   90693 */     // GIR_Coverage, 50795,
     /*   90693 */     GIR_EraseRootFromParent_Done,
     /*   90694 */   // Label 1438: @90694
     /*   90694 */   GIM_Reject,
     /*   90695 */ // Label 1418: @90695
     /*   90695 */ GIM_Reject,
     /*   90696 */ // Label 1245: @90696
     /*   90696 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(92420),
     /*   90701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90711 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90800), // Rule ID 51548 //
     /*   90716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90759 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90798 */     GIR_RootConstrainSelectedInstOperands,
     /*   90799 */     // GIR_Coverage, 51548,
     /*   90799 */     GIR_EraseRootFromParent_Done,
     /*   90800 */   // Label 1440: @90800
     /*   90800 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90889), // Rule ID 51549 //
     /*   90805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90848 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90887 */     GIR_RootConstrainSelectedInstOperands,
     /*   90888 */     // GIR_Coverage, 51549,
     /*   90888 */     GIR_EraseRootFromParent_Done,
     /*   90889 */   // Label 1441: @90889
     /*   90889 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90978), // Rule ID 70183 //
     /*   90894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90937 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90976 */     GIR_RootConstrainSelectedInstOperands,
     /*   90977 */     // GIR_Coverage, 70183,
     /*   90977 */     GIR_EraseRootFromParent_Done,
     /*   90978 */   // Label 1442: @90978
     /*   90978 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91067), // Rule ID 70184 //
     /*   90983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91026 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91065 */     GIR_RootConstrainSelectedInstOperands,
     /*   91066 */     // GIR_Coverage, 70184,
     /*   91066 */     GIR_EraseRootFromParent_Done,
     /*   91067 */   // Label 1443: @91067
     /*   91067 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91156), // Rule ID 70063 //
     /*   91072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91115 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91154 */     GIR_RootConstrainSelectedInstOperands,
     /*   91155 */     // GIR_Coverage, 70063,
     /*   91155 */     GIR_EraseRootFromParent_Done,
     /*   91156 */   // Label 1444: @91156
     /*   91156 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91245), // Rule ID 70064 //
     /*   91161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91204 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91243 */     GIR_RootConstrainSelectedInstOperands,
     /*   91244 */     // GIR_Coverage, 70064,
     /*   91244 */     GIR_EraseRootFromParent_Done,
     /*   91245 */   // Label 1445: @91245
     /*   91245 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91334), // Rule ID 51728 //
     /*   91250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91293 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91332 */     GIR_RootConstrainSelectedInstOperands,
     /*   91333 */     // GIR_Coverage, 51728,
     /*   91333 */     GIR_EraseRootFromParent_Done,
     /*   91334 */   // Label 1446: @91334
     /*   91334 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91423), // Rule ID 51729 //
     /*   91339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91382 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91421 */     GIR_RootConstrainSelectedInstOperands,
     /*   91422 */     // GIR_Coverage, 51729,
     /*   91422 */     GIR_EraseRootFromParent_Done,
     /*   91423 */   // Label 1447: @91423
     /*   91423 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91512), // Rule ID 51428 //
     /*   91428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91471 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91510 */     GIR_RootConstrainSelectedInstOperands,
     /*   91511 */     // GIR_Coverage, 51428,
     /*   91511 */     GIR_EraseRootFromParent_Done,
     /*   91512 */   // Label 1448: @91512
     /*   91512 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91601), // Rule ID 51429 //
     /*   91517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91560 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91599 */     GIR_RootConstrainSelectedInstOperands,
     /*   91600 */     // GIR_Coverage, 51429,
     /*   91600 */     GIR_EraseRootFromParent_Done,
     /*   91601 */   // Label 1449: @91601
     /*   91601 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91690), // Rule ID 51668 //
     /*   91606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91649 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91688 */     GIR_RootConstrainSelectedInstOperands,
     /*   91689 */     // GIR_Coverage, 51668,
     /*   91689 */     GIR_EraseRootFromParent_Done,
     /*   91690 */   // Label 1450: @91690
     /*   91690 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91779), // Rule ID 51669 //
     /*   91695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91738 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91777 */     GIR_RootConstrainSelectedInstOperands,
     /*   91778 */     // GIR_Coverage, 51669,
     /*   91778 */     GIR_EraseRootFromParent_Done,
     /*   91779 */   // Label 1451: @91779
     /*   91779 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91868), // Rule ID 51608 //
     /*   91784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91827 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91866 */     GIR_RootConstrainSelectedInstOperands,
     /*   91867 */     // GIR_Coverage, 51608,
     /*   91867 */     GIR_EraseRootFromParent_Done,
     /*   91868 */   // Label 1452: @91868
     /*   91868 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91957), // Rule ID 51609 //
     /*   91873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91916 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91955 */     GIR_RootConstrainSelectedInstOperands,
     /*   91956 */     // GIR_Coverage, 51609,
     /*   91956 */     GIR_EraseRootFromParent_Done,
     /*   91957 */   // Label 1453: @91957
     /*   91957 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92046), // Rule ID 70123 //
     /*   91962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92005 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92044 */     GIR_RootConstrainSelectedInstOperands,
     /*   92045 */     // GIR_Coverage, 70123,
     /*   92045 */     GIR_EraseRootFromParent_Done,
     /*   92046 */   // Label 1454: @92046
     /*   92046 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92135), // Rule ID 70124 //
     /*   92051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92094 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92133 */     GIR_RootConstrainSelectedInstOperands,
     /*   92134 */     // GIR_Coverage, 70124,
     /*   92134 */     GIR_EraseRootFromParent_Done,
     /*   92135 */   // Label 1455: @92135
     /*   92135 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92224), // Rule ID 51488 //
     /*   92140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92174 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92183 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92222 */     GIR_RootConstrainSelectedInstOperands,
     /*   92223 */     // GIR_Coverage, 51488,
     /*   92223 */     GIR_EraseRootFromParent_Done,
     /*   92224 */   // Label 1456: @92224
     /*   92224 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92313), // Rule ID 51489 //
     /*   92229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92263 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92272 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92311 */     GIR_RootConstrainSelectedInstOperands,
     /*   92312 */     // GIR_Coverage, 51489,
     /*   92312 */     GIR_EraseRootFromParent_Done,
     /*   92313 */   // Label 1457: @92313
     /*   92313 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92366), // Rule ID 50810 //
     /*   92318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92329 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 50810,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1458: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(92419), // Rule ID 50811 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92382 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92417 */     GIR_RootConstrainSelectedInstOperands,
     /*   92418 */     // GIR_Coverage, 50811,
     /*   92418 */     GIR_EraseRootFromParent_Done,
     /*   92419 */   // Label 1459: @92419
     /*   92419 */   GIM_Reject,
     /*   92420 */ // Label 1439: @92420
     /*   92420 */ GIM_Reject,
     /*   92421 */ // Label 1246: @92421
     /*   92421 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92535),
     /*   92426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92444 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(92489), // Rule ID 50754 //
     /*   92449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92452 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 50754,
     /*   92488 */     GIR_EraseRootFromParent_Done,
     /*   92489 */   // Label 1461: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92534), // Rule ID 50755 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92497 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92532 */     GIR_RootConstrainSelectedInstOperands,
     /*   92533 */     // GIR_Coverage, 50755,
     /*   92533 */     GIR_EraseRootFromParent_Done,
     /*   92534 */   // Label 1462: @92534
     /*   92534 */   GIM_Reject,
     /*   92535 */ // Label 1460: @92535
     /*   92535 */ GIM_Reject,
     /*   92536 */ // Label 1247: @92536
     /*   92536 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(94260),
     /*   92541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92551 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92640), // Rule ID 51508 //
     /*   92556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92599 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92638 */     GIR_RootConstrainSelectedInstOperands,
     /*   92639 */     // GIR_Coverage, 51508,
     /*   92639 */     GIR_EraseRootFromParent_Done,
     /*   92640 */   // Label 1464: @92640
     /*   92640 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92729), // Rule ID 51509 //
     /*   92645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92688 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92727 */     GIR_RootConstrainSelectedInstOperands,
     /*   92728 */     // GIR_Coverage, 51509,
     /*   92728 */     GIR_EraseRootFromParent_Done,
     /*   92729 */   // Label 1465: @92729
     /*   92729 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92818), // Rule ID 70143 //
     /*   92734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92777 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92816 */     GIR_RootConstrainSelectedInstOperands,
     /*   92817 */     // GIR_Coverage, 70143,
     /*   92817 */     GIR_EraseRootFromParent_Done,
     /*   92818 */   // Label 1466: @92818
     /*   92818 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92907), // Rule ID 70144 //
     /*   92823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92866 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92905 */     GIR_RootConstrainSelectedInstOperands,
     /*   92906 */     // GIR_Coverage, 70144,
     /*   92906 */     GIR_EraseRootFromParent_Done,
     /*   92907 */   // Label 1467: @92907
     /*   92907 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92996), // Rule ID 70023 //
     /*   92912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92955 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92994 */     GIR_RootConstrainSelectedInstOperands,
     /*   92995 */     // GIR_Coverage, 70023,
     /*   92995 */     GIR_EraseRootFromParent_Done,
     /*   92996 */   // Label 1468: @92996
     /*   92996 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93085), // Rule ID 70024 //
     /*   93001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93044 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93083 */     GIR_RootConstrainSelectedInstOperands,
     /*   93084 */     // GIR_Coverage, 70024,
     /*   93084 */     GIR_EraseRootFromParent_Done,
     /*   93085 */   // Label 1469: @93085
     /*   93085 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93174), // Rule ID 51688 //
     /*   93090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93133 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93172 */     GIR_RootConstrainSelectedInstOperands,
     /*   93173 */     // GIR_Coverage, 51688,
     /*   93173 */     GIR_EraseRootFromParent_Done,
     /*   93174 */   // Label 1470: @93174
     /*   93174 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93263), // Rule ID 51689 //
     /*   93179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93222 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93261 */     GIR_RootConstrainSelectedInstOperands,
     /*   93262 */     // GIR_Coverage, 51689,
     /*   93262 */     GIR_EraseRootFromParent_Done,
     /*   93263 */   // Label 1471: @93263
     /*   93263 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93352), // Rule ID 51388 //
     /*   93268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93311 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93350 */     GIR_RootConstrainSelectedInstOperands,
     /*   93351 */     // GIR_Coverage, 51388,
     /*   93351 */     GIR_EraseRootFromParent_Done,
     /*   93352 */   // Label 1472: @93352
     /*   93352 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93441), // Rule ID 51389 //
     /*   93357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93400 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93439 */     GIR_RootConstrainSelectedInstOperands,
     /*   93440 */     // GIR_Coverage, 51389,
     /*   93440 */     GIR_EraseRootFromParent_Done,
     /*   93441 */   // Label 1473: @93441
     /*   93441 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93530), // Rule ID 51628 //
     /*   93446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93489 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93528 */     GIR_RootConstrainSelectedInstOperands,
     /*   93529 */     // GIR_Coverage, 51628,
     /*   93529 */     GIR_EraseRootFromParent_Done,
     /*   93530 */   // Label 1474: @93530
     /*   93530 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93619), // Rule ID 51629 //
     /*   93535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93578 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93617 */     GIR_RootConstrainSelectedInstOperands,
     /*   93618 */     // GIR_Coverage, 51629,
     /*   93618 */     GIR_EraseRootFromParent_Done,
     /*   93619 */   // Label 1475: @93619
     /*   93619 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93708), // Rule ID 51568 //
     /*   93624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93667 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93706 */     GIR_RootConstrainSelectedInstOperands,
     /*   93707 */     // GIR_Coverage, 51568,
     /*   93707 */     GIR_EraseRootFromParent_Done,
     /*   93708 */   // Label 1476: @93708
     /*   93708 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93797), // Rule ID 51569 //
     /*   93713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93756 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93795 */     GIR_RootConstrainSelectedInstOperands,
     /*   93796 */     // GIR_Coverage, 51569,
     /*   93796 */     GIR_EraseRootFromParent_Done,
     /*   93797 */   // Label 1477: @93797
     /*   93797 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93886), // Rule ID 70083 //
     /*   93802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93845 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93884 */     GIR_RootConstrainSelectedInstOperands,
     /*   93885 */     // GIR_Coverage, 70083,
     /*   93885 */     GIR_EraseRootFromParent_Done,
     /*   93886 */   // Label 1478: @93886
     /*   93886 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93975), // Rule ID 70084 //
     /*   93891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93934 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 70084,
     /*   93974 */     GIR_EraseRootFromParent_Done,
     /*   93975 */   // Label 1479: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(94064), // Rule ID 51448 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94023 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   94023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94062 */     GIR_RootConstrainSelectedInstOperands,
     /*   94063 */     // GIR_Coverage, 51448,
     /*   94063 */     GIR_EraseRootFromParent_Done,
     /*   94064 */   // Label 1480: @94064
     /*   94064 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94153), // Rule ID 51449 //
     /*   94069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94112 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94151 */     GIR_RootConstrainSelectedInstOperands,
     /*   94152 */     // GIR_Coverage, 51449,
     /*   94152 */     GIR_EraseRootFromParent_Done,
     /*   94153 */   // Label 1481: @94153
     /*   94153 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(94206), // Rule ID 50782 //
     /*   94158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94169 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94204 */     GIR_RootConstrainSelectedInstOperands,
     /*   94205 */     // GIR_Coverage, 50782,
     /*   94205 */     GIR_EraseRootFromParent_Done,
     /*   94206 */   // Label 1482: @94206
     /*   94206 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94259), // Rule ID 50783 //
     /*   94211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94222 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94257 */     GIR_RootConstrainSelectedInstOperands,
     /*   94258 */     // GIR_Coverage, 50783,
     /*   94258 */     GIR_EraseRootFromParent_Done,
     /*   94259 */   // Label 1483: @94259
     /*   94259 */   GIM_Reject,
     /*   94260 */ // Label 1463: @94260
     /*   94260 */ GIM_Reject,
     /*   94261 */ // Label 1248: @94261
     /*   94261 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(95985),
     /*   94266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94276 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94365), // Rule ID 51532 //
     /*   94281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94324 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94363 */     GIR_RootConstrainSelectedInstOperands,
     /*   94364 */     // GIR_Coverage, 51532,
     /*   94364 */     GIR_EraseRootFromParent_Done,
     /*   94365 */   // Label 1485: @94365
     /*   94365 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94454), // Rule ID 51533 //
     /*   94370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94413 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94452 */     GIR_RootConstrainSelectedInstOperands,
     /*   94453 */     // GIR_Coverage, 51533,
     /*   94453 */     GIR_EraseRootFromParent_Done,
     /*   94454 */   // Label 1486: @94454
     /*   94454 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94543), // Rule ID 70167 //
     /*   94459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94502 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94541 */     GIR_RootConstrainSelectedInstOperands,
     /*   94542 */     // GIR_Coverage, 70167,
     /*   94542 */     GIR_EraseRootFromParent_Done,
     /*   94543 */   // Label 1487: @94543
     /*   94543 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94632), // Rule ID 70168 //
     /*   94548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94591 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94630 */     GIR_RootConstrainSelectedInstOperands,
     /*   94631 */     // GIR_Coverage, 70168,
     /*   94631 */     GIR_EraseRootFromParent_Done,
     /*   94632 */   // Label 1488: @94632
     /*   94632 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94721), // Rule ID 70047 //
     /*   94637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94671 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94680 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94719 */     GIR_RootConstrainSelectedInstOperands,
     /*   94720 */     // GIR_Coverage, 70047,
     /*   94720 */     GIR_EraseRootFromParent_Done,
     /*   94721 */   // Label 1489: @94721
     /*   94721 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94810), // Rule ID 70048 //
     /*   94726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94769 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94808 */     GIR_RootConstrainSelectedInstOperands,
     /*   94809 */     // GIR_Coverage, 70048,
     /*   94809 */     GIR_EraseRootFromParent_Done,
     /*   94810 */   // Label 1490: @94810
     /*   94810 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94899), // Rule ID 51712 //
     /*   94815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94858 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94897 */     GIR_RootConstrainSelectedInstOperands,
     /*   94898 */     // GIR_Coverage, 51712,
     /*   94898 */     GIR_EraseRootFromParent_Done,
     /*   94899 */   // Label 1491: @94899
     /*   94899 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94988), // Rule ID 51713 //
     /*   94904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94947 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94986 */     GIR_RootConstrainSelectedInstOperands,
     /*   94987 */     // GIR_Coverage, 51713,
     /*   94987 */     GIR_EraseRootFromParent_Done,
     /*   94988 */   // Label 1492: @94988
     /*   94988 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95077), // Rule ID 51412 //
     /*   94993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95036 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95075 */     GIR_RootConstrainSelectedInstOperands,
     /*   95076 */     // GIR_Coverage, 51412,
     /*   95076 */     GIR_EraseRootFromParent_Done,
     /*   95077 */   // Label 1493: @95077
     /*   95077 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95166), // Rule ID 51413 //
     /*   95082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95125 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95164 */     GIR_RootConstrainSelectedInstOperands,
     /*   95165 */     // GIR_Coverage, 51413,
     /*   95165 */     GIR_EraseRootFromParent_Done,
     /*   95166 */   // Label 1494: @95166
     /*   95166 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95255), // Rule ID 51652 //
     /*   95171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95214 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95253 */     GIR_RootConstrainSelectedInstOperands,
     /*   95254 */     // GIR_Coverage, 51652,
     /*   95254 */     GIR_EraseRootFromParent_Done,
     /*   95255 */   // Label 1495: @95255
     /*   95255 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95344), // Rule ID 51653 //
     /*   95260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95303 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95342 */     GIR_RootConstrainSelectedInstOperands,
     /*   95343 */     // GIR_Coverage, 51653,
     /*   95343 */     GIR_EraseRootFromParent_Done,
     /*   95344 */   // Label 1496: @95344
     /*   95344 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95433), // Rule ID 51592 //
     /*   95349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95392 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95431 */     GIR_RootConstrainSelectedInstOperands,
     /*   95432 */     // GIR_Coverage, 51592,
     /*   95432 */     GIR_EraseRootFromParent_Done,
     /*   95433 */   // Label 1497: @95433
     /*   95433 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95522), // Rule ID 51593 //
     /*   95438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95481 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95520 */     GIR_RootConstrainSelectedInstOperands,
     /*   95521 */     // GIR_Coverage, 51593,
     /*   95521 */     GIR_EraseRootFromParent_Done,
     /*   95522 */   // Label 1498: @95522
     /*   95522 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95611), // Rule ID 70107 //
     /*   95527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95570 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95609 */     GIR_RootConstrainSelectedInstOperands,
     /*   95610 */     // GIR_Coverage, 70107,
     /*   95610 */     GIR_EraseRootFromParent_Done,
     /*   95611 */   // Label 1499: @95611
     /*   95611 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95700), // Rule ID 70108 //
     /*   95616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95659 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95698 */     GIR_RootConstrainSelectedInstOperands,
     /*   95699 */     // GIR_Coverage, 70108,
     /*   95699 */     GIR_EraseRootFromParent_Done,
     /*   95700 */   // Label 1500: @95700
     /*   95700 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95789), // Rule ID 51472 //
     /*   95705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95739 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95748 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95787 */     GIR_RootConstrainSelectedInstOperands,
     /*   95788 */     // GIR_Coverage, 51472,
     /*   95788 */     GIR_EraseRootFromParent_Done,
     /*   95789 */   // Label 1501: @95789
     /*   95789 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95878), // Rule ID 51473 //
     /*   95794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95809 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95828 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95837 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95876 */     GIR_RootConstrainSelectedInstOperands,
     /*   95877 */     // GIR_Coverage, 51473,
     /*   95877 */     GIR_EraseRootFromParent_Done,
     /*   95878 */   // Label 1502: @95878
     /*   95878 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95931), // Rule ID 50798 //
     /*   95883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95894 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95929 */     GIR_RootConstrainSelectedInstOperands,
     /*   95930 */     // GIR_Coverage, 50798,
     /*   95930 */     GIR_EraseRootFromParent_Done,
     /*   95931 */   // Label 1503: @95931
     /*   95931 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95984), // Rule ID 50799 //
     /*   95936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95947 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95982 */     GIR_RootConstrainSelectedInstOperands,
     /*   95983 */     // GIR_Coverage, 50799,
     /*   95983 */     GIR_EraseRootFromParent_Done,
     /*   95984 */   // Label 1504: @95984
     /*   95984 */   GIM_Reject,
     /*   95985 */ // Label 1484: @95985
     /*   95985 */ GIM_Reject,
     /*   95986 */ // Label 1249: @95986
     /*   95986 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(97710),
     /*   95991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   95994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   95997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   96001 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96090), // Rule ID 51552 //
     /*   96006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96049 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96088 */     GIR_RootConstrainSelectedInstOperands,
     /*   96089 */     // GIR_Coverage, 51552,
     /*   96089 */     GIR_EraseRootFromParent_Done,
     /*   96090 */   // Label 1506: @96090
     /*   96090 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96179), // Rule ID 51553 //
     /*   96095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96138 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96177 */     GIR_RootConstrainSelectedInstOperands,
     /*   96178 */     // GIR_Coverage, 51553,
     /*   96178 */     GIR_EraseRootFromParent_Done,
     /*   96179 */   // Label 1507: @96179
     /*   96179 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96268), // Rule ID 70187 //
     /*   96184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96227 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96266 */     GIR_RootConstrainSelectedInstOperands,
     /*   96267 */     // GIR_Coverage, 70187,
     /*   96267 */     GIR_EraseRootFromParent_Done,
     /*   96268 */   // Label 1508: @96268
     /*   96268 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96357), // Rule ID 70188 //
     /*   96273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96316 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96355 */     GIR_RootConstrainSelectedInstOperands,
     /*   96356 */     // GIR_Coverage, 70188,
     /*   96356 */     GIR_EraseRootFromParent_Done,
     /*   96357 */   // Label 1509: @96357
     /*   96357 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96446), // Rule ID 70067 //
     /*   96362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96405 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96444 */     GIR_RootConstrainSelectedInstOperands,
     /*   96445 */     // GIR_Coverage, 70067,
     /*   96445 */     GIR_EraseRootFromParent_Done,
     /*   96446 */   // Label 1510: @96446
     /*   96446 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96535), // Rule ID 70068 //
     /*   96451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96494 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96533 */     GIR_RootConstrainSelectedInstOperands,
     /*   96534 */     // GIR_Coverage, 70068,
     /*   96534 */     GIR_EraseRootFromParent_Done,
     /*   96535 */   // Label 1511: @96535
     /*   96535 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96624), // Rule ID 51732 //
     /*   96540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96583 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96622 */     GIR_RootConstrainSelectedInstOperands,
     /*   96623 */     // GIR_Coverage, 51732,
     /*   96623 */     GIR_EraseRootFromParent_Done,
     /*   96624 */   // Label 1512: @96624
     /*   96624 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96713), // Rule ID 51733 //
     /*   96629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96672 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96711 */     GIR_RootConstrainSelectedInstOperands,
     /*   96712 */     // GIR_Coverage, 51733,
     /*   96712 */     GIR_EraseRootFromParent_Done,
     /*   96713 */   // Label 1513: @96713
     /*   96713 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96802), // Rule ID 51432 //
     /*   96718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96761 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96800 */     GIR_RootConstrainSelectedInstOperands,
     /*   96801 */     // GIR_Coverage, 51432,
     /*   96801 */     GIR_EraseRootFromParent_Done,
     /*   96802 */   // Label 1514: @96802
     /*   96802 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96891), // Rule ID 51433 //
     /*   96807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96850 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96889 */     GIR_RootConstrainSelectedInstOperands,
     /*   96890 */     // GIR_Coverage, 51433,
     /*   96890 */     GIR_EraseRootFromParent_Done,
     /*   96891 */   // Label 1515: @96891
     /*   96891 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96980), // Rule ID 51672 //
     /*   96896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96939 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96978 */     GIR_RootConstrainSelectedInstOperands,
     /*   96979 */     // GIR_Coverage, 51672,
     /*   96979 */     GIR_EraseRootFromParent_Done,
     /*   96980 */   // Label 1516: @96980
     /*   96980 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97069), // Rule ID 51673 //
     /*   96985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97028 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97067 */     GIR_RootConstrainSelectedInstOperands,
     /*   97068 */     // GIR_Coverage, 51673,
     /*   97068 */     GIR_EraseRootFromParent_Done,
     /*   97069 */   // Label 1517: @97069
     /*   97069 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97158), // Rule ID 51612 //
     /*   97074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97117 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97156 */     GIR_RootConstrainSelectedInstOperands,
     /*   97157 */     // GIR_Coverage, 51612,
     /*   97157 */     GIR_EraseRootFromParent_Done,
     /*   97158 */   // Label 1518: @97158
     /*   97158 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97247), // Rule ID 51613 //
     /*   97163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97206 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97245 */     GIR_RootConstrainSelectedInstOperands,
     /*   97246 */     // GIR_Coverage, 51613,
     /*   97246 */     GIR_EraseRootFromParent_Done,
     /*   97247 */   // Label 1519: @97247
     /*   97247 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97336), // Rule ID 70127 //
     /*   97252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97295 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97334 */     GIR_RootConstrainSelectedInstOperands,
     /*   97335 */     // GIR_Coverage, 70127,
     /*   97335 */     GIR_EraseRootFromParent_Done,
     /*   97336 */   // Label 1520: @97336
     /*   97336 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97425), // Rule ID 70128 //
     /*   97341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97384 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97423 */     GIR_RootConstrainSelectedInstOperands,
     /*   97424 */     // GIR_Coverage, 70128,
     /*   97424 */     GIR_EraseRootFromParent_Done,
     /*   97425 */   // Label 1521: @97425
     /*   97425 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97514), // Rule ID 51492 //
     /*   97430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97445 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97464 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97473 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97512 */     GIR_RootConstrainSelectedInstOperands,
     /*   97513 */     // GIR_Coverage, 51492,
     /*   97513 */     GIR_EraseRootFromParent_Done,
     /*   97514 */   // Label 1522: @97514
     /*   97514 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97603), // Rule ID 51493 //
     /*   97519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97553 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97562 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97601 */     GIR_RootConstrainSelectedInstOperands,
     /*   97602 */     // GIR_Coverage, 51493,
     /*   97602 */     GIR_EraseRootFromParent_Done,
     /*   97603 */   // Label 1523: @97603
     /*   97603 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97656), // Rule ID 50814 //
     /*   97608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97619 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 50814,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1524: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97709), // Rule ID 50815 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97672 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97707 */     GIR_RootConstrainSelectedInstOperands,
     /*   97708 */     // GIR_Coverage, 50815,
     /*   97708 */     GIR_EraseRootFromParent_Done,
     /*   97709 */   // Label 1525: @97709
     /*   97709 */   GIM_Reject,
     /*   97710 */ // Label 1505: @97710
     /*   97710 */ GIM_Reject,
     /*   97711 */ // Label 1250: @97711
     /*   97711 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97825),
     /*   97716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97734 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97779), // Rule ID 50770 //
     /*   97739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97742 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97777 */     GIR_RootConstrainSelectedInstOperands,
     /*   97778 */     // GIR_Coverage, 50770,
     /*   97778 */     GIR_EraseRootFromParent_Done,
     /*   97779 */   // Label 1527: @97779
     /*   97779 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97824), // Rule ID 50771 //
     /*   97784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97787 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97822 */     GIR_RootConstrainSelectedInstOperands,
     /*   97823 */     // GIR_Coverage, 50771,
     /*   97823 */     GIR_EraseRootFromParent_Done,
     /*   97824 */   // Label 1528: @97824
     /*   97824 */   GIM_Reject,
     /*   97825 */ // Label 1526: @97825
     /*   97825 */ GIM_Reject,
     /*   97826 */ // Label 1251: @97826
     /*   97826 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(99550),
     /*   97831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97841 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97930), // Rule ID 51512 //
     /*   97846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97889 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97928 */     GIR_RootConstrainSelectedInstOperands,
     /*   97929 */     // GIR_Coverage, 51512,
     /*   97929 */     GIR_EraseRootFromParent_Done,
     /*   97930 */   // Label 1530: @97930
     /*   97930 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98019), // Rule ID 51513 //
     /*   97935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97978 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98017 */     GIR_RootConstrainSelectedInstOperands,
     /*   98018 */     // GIR_Coverage, 51513,
     /*   98018 */     GIR_EraseRootFromParent_Done,
     /*   98019 */   // Label 1531: @98019
     /*   98019 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98108), // Rule ID 70147 //
     /*   98024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98067 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98106 */     GIR_RootConstrainSelectedInstOperands,
     /*   98107 */     // GIR_Coverage, 70147,
     /*   98107 */     GIR_EraseRootFromParent_Done,
     /*   98108 */   // Label 1532: @98108
     /*   98108 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98197), // Rule ID 70148 //
     /*   98113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98156 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98195 */     GIR_RootConstrainSelectedInstOperands,
     /*   98196 */     // GIR_Coverage, 70148,
     /*   98196 */     GIR_EraseRootFromParent_Done,
     /*   98197 */   // Label 1533: @98197
     /*   98197 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98286), // Rule ID 70027 //
     /*   98202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98245 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98284 */     GIR_RootConstrainSelectedInstOperands,
     /*   98285 */     // GIR_Coverage, 70027,
     /*   98285 */     GIR_EraseRootFromParent_Done,
     /*   98286 */   // Label 1534: @98286
     /*   98286 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98375), // Rule ID 70028 //
     /*   98291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98325 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98334 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98373 */     GIR_RootConstrainSelectedInstOperands,
     /*   98374 */     // GIR_Coverage, 70028,
     /*   98374 */     GIR_EraseRootFromParent_Done,
     /*   98375 */   // Label 1535: @98375
     /*   98375 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98464), // Rule ID 51692 //
     /*   98380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98423 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98462 */     GIR_RootConstrainSelectedInstOperands,
     /*   98463 */     // GIR_Coverage, 51692,
     /*   98463 */     GIR_EraseRootFromParent_Done,
     /*   98464 */   // Label 1536: @98464
     /*   98464 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98553), // Rule ID 51693 //
     /*   98469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98512 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98551 */     GIR_RootConstrainSelectedInstOperands,
     /*   98552 */     // GIR_Coverage, 51693,
     /*   98552 */     GIR_EraseRootFromParent_Done,
     /*   98553 */   // Label 1537: @98553
     /*   98553 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98642), // Rule ID 51392 //
     /*   98558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98601 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98640 */     GIR_RootConstrainSelectedInstOperands,
     /*   98641 */     // GIR_Coverage, 51392,
     /*   98641 */     GIR_EraseRootFromParent_Done,
     /*   98642 */   // Label 1538: @98642
     /*   98642 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98731), // Rule ID 51393 //
     /*   98647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98690 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98729 */     GIR_RootConstrainSelectedInstOperands,
     /*   98730 */     // GIR_Coverage, 51393,
     /*   98730 */     GIR_EraseRootFromParent_Done,
     /*   98731 */   // Label 1539: @98731
     /*   98731 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98820), // Rule ID 51632 //
     /*   98736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98779 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98818 */     GIR_RootConstrainSelectedInstOperands,
     /*   98819 */     // GIR_Coverage, 51632,
     /*   98819 */     GIR_EraseRootFromParent_Done,
     /*   98820 */   // Label 1540: @98820
     /*   98820 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98909), // Rule ID 51633 //
     /*   98825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98868 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98907 */     GIR_RootConstrainSelectedInstOperands,
     /*   98908 */     // GIR_Coverage, 51633,
     /*   98908 */     GIR_EraseRootFromParent_Done,
     /*   98909 */   // Label 1541: @98909
     /*   98909 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(98998), // Rule ID 51572 //
     /*   98914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98957 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98996 */     GIR_RootConstrainSelectedInstOperands,
     /*   98997 */     // GIR_Coverage, 51572,
     /*   98997 */     GIR_EraseRootFromParent_Done,
     /*   98998 */   // Label 1542: @98998
     /*   98998 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99087), // Rule ID 51573 //
     /*   99003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99046 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99085 */     GIR_RootConstrainSelectedInstOperands,
     /*   99086 */     // GIR_Coverage, 51573,
     /*   99086 */     GIR_EraseRootFromParent_Done,
     /*   99087 */   // Label 1543: @99087
     /*   99087 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99176), // Rule ID 70087 //
     /*   99092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99135 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99174 */     GIR_RootConstrainSelectedInstOperands,
     /*   99175 */     // GIR_Coverage, 70087,
     /*   99175 */     GIR_EraseRootFromParent_Done,
     /*   99176 */   // Label 1544: @99176
     /*   99176 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99265), // Rule ID 70088 //
     /*   99181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99224 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99263 */     GIR_RootConstrainSelectedInstOperands,
     /*   99264 */     // GIR_Coverage, 70088,
     /*   99264 */     GIR_EraseRootFromParent_Done,
     /*   99265 */   // Label 1545: @99265
     /*   99265 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(99354), // Rule ID 51452 //
     /*   99270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99304 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99313 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99352 */     GIR_RootConstrainSelectedInstOperands,
     /*   99353 */     // GIR_Coverage, 51452,
     /*   99353 */     GIR_EraseRootFromParent_Done,
     /*   99354 */   // Label 1546: @99354
     /*   99354 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99443), // Rule ID 51453 //
     /*   99359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99402 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99441 */     GIR_RootConstrainSelectedInstOperands,
     /*   99442 */     // GIR_Coverage, 51453,
     /*   99442 */     GIR_EraseRootFromParent_Done,
     /*   99443 */   // Label 1547: @99443
     /*   99443 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(99496), // Rule ID 50786 //
     /*   99448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99459 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99494 */     GIR_RootConstrainSelectedInstOperands,
     /*   99495 */     // GIR_Coverage, 50786,
     /*   99495 */     GIR_EraseRootFromParent_Done,
     /*   99496 */   // Label 1548: @99496
     /*   99496 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99549), // Rule ID 50787 //
     /*   99501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99512 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 50787,
     /*   99548 */     GIR_EraseRootFromParent_Done,
     /*   99549 */   // Label 1549: @99549
     /*   99549 */   GIM_Reject,
     /*   99550 */ // Label 1529: @99550
     /*   99550 */ GIM_Reject,
     /*   99551 */ // Label 1252: @99551
     /*   99551 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(101275),
     /*   99556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99566 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99655), // Rule ID 51536 //
     /*   99571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99605 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99614 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99653 */     GIR_RootConstrainSelectedInstOperands,
     /*   99654 */     // GIR_Coverage, 51536,
     /*   99654 */     GIR_EraseRootFromParent_Done,
     /*   99655 */   // Label 1551: @99655
     /*   99655 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99744), // Rule ID 51537 //
     /*   99660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99675 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99694 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99703 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99742 */     GIR_RootConstrainSelectedInstOperands,
     /*   99743 */     // GIR_Coverage, 51537,
     /*   99743 */     GIR_EraseRootFromParent_Done,
     /*   99744 */   // Label 1552: @99744
     /*   99744 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99833), // Rule ID 70171 //
     /*   99749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99764 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99783 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99792 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99831 */     GIR_RootConstrainSelectedInstOperands,
     /*   99832 */     // GIR_Coverage, 70171,
     /*   99832 */     GIR_EraseRootFromParent_Done,
     /*   99833 */   // Label 1553: @99833
     /*   99833 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99922), // Rule ID 70172 //
     /*   99838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99872 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99881 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99920 */     GIR_RootConstrainSelectedInstOperands,
     /*   99921 */     // GIR_Coverage, 70172,
     /*   99921 */     GIR_EraseRootFromParent_Done,
     /*   99922 */   // Label 1554: @99922
     /*   99922 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100011), // Rule ID 70051 //
     /*   99927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99961 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99970 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100009 */     GIR_RootConstrainSelectedInstOperands,
     /*  100010 */     // GIR_Coverage, 70051,
     /*  100010 */     GIR_EraseRootFromParent_Done,
     /*  100011 */   // Label 1555: @100011
     /*  100011 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100100), // Rule ID 70052 //
     /*  100016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100059 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100098 */     GIR_RootConstrainSelectedInstOperands,
     /*  100099 */     // GIR_Coverage, 70052,
     /*  100099 */     GIR_EraseRootFromParent_Done,
     /*  100100 */   // Label 1556: @100100
     /*  100100 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100189), // Rule ID 51716 //
     /*  100105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100139 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100148 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100187 */     GIR_RootConstrainSelectedInstOperands,
     /*  100188 */     // GIR_Coverage, 51716,
     /*  100188 */     GIR_EraseRootFromParent_Done,
     /*  100189 */   // Label 1557: @100189
     /*  100189 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100278), // Rule ID 51717 //
     /*  100194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100237 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100276 */     GIR_RootConstrainSelectedInstOperands,
     /*  100277 */     // GIR_Coverage, 51717,
     /*  100277 */     GIR_EraseRootFromParent_Done,
     /*  100278 */   // Label 1558: @100278
     /*  100278 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100367), // Rule ID 51416 //
     /*  100283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100326 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100365 */     GIR_RootConstrainSelectedInstOperands,
     /*  100366 */     // GIR_Coverage, 51416,
     /*  100366 */     GIR_EraseRootFromParent_Done,
     /*  100367 */   // Label 1559: @100367
     /*  100367 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100456), // Rule ID 51417 //
     /*  100372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100406 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100415 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100454 */     GIR_RootConstrainSelectedInstOperands,
     /*  100455 */     // GIR_Coverage, 51417,
     /*  100455 */     GIR_EraseRootFromParent_Done,
     /*  100456 */   // Label 1560: @100456
     /*  100456 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100545), // Rule ID 51656 //
     /*  100461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100504 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100543 */     GIR_RootConstrainSelectedInstOperands,
     /*  100544 */     // GIR_Coverage, 51656,
     /*  100544 */     GIR_EraseRootFromParent_Done,
     /*  100545 */   // Label 1561: @100545
     /*  100545 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100634), // Rule ID 51657 //
     /*  100550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100593 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100632 */     GIR_RootConstrainSelectedInstOperands,
     /*  100633 */     // GIR_Coverage, 51657,
     /*  100633 */     GIR_EraseRootFromParent_Done,
     /*  100634 */   // Label 1562: @100634
     /*  100634 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100723), // Rule ID 51596 //
     /*  100639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100682 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100721 */     GIR_RootConstrainSelectedInstOperands,
     /*  100722 */     // GIR_Coverage, 51596,
     /*  100722 */     GIR_EraseRootFromParent_Done,
     /*  100723 */   // Label 1563: @100723
     /*  100723 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100812), // Rule ID 51597 //
     /*  100728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100771 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100810 */     GIR_RootConstrainSelectedInstOperands,
     /*  100811 */     // GIR_Coverage, 51597,
     /*  100811 */     GIR_EraseRootFromParent_Done,
     /*  100812 */   // Label 1564: @100812
     /*  100812 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100901), // Rule ID 70111 //
     /*  100817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100860 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100899 */     GIR_RootConstrainSelectedInstOperands,
     /*  100900 */     // GIR_Coverage, 70111,
     /*  100900 */     GIR_EraseRootFromParent_Done,
     /*  100901 */   // Label 1565: @100901
     /*  100901 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100990), // Rule ID 70112 //
     /*  100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100949 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100988 */     GIR_RootConstrainSelectedInstOperands,
     /*  100989 */     // GIR_Coverage, 70112,
     /*  100989 */     GIR_EraseRootFromParent_Done,
     /*  100990 */   // Label 1566: @100990
     /*  100990 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101079), // Rule ID 51476 //
     /*  100995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101029 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101038 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  101038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101077 */     GIR_RootConstrainSelectedInstOperands,
     /*  101078 */     // GIR_Coverage, 51476,
     /*  101078 */     GIR_EraseRootFromParent_Done,
     /*  101079 */   // Label 1567: @101079
     /*  101079 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101168), // Rule ID 51477 //
     /*  101084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101127 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101166 */     GIR_RootConstrainSelectedInstOperands,
     /*  101167 */     // GIR_Coverage, 51477,
     /*  101167 */     GIR_EraseRootFromParent_Done,
     /*  101168 */   // Label 1568: @101168
     /*  101168 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101221), // Rule ID 50802 //
     /*  101173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101184 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101219 */     GIR_RootConstrainSelectedInstOperands,
     /*  101220 */     // GIR_Coverage, 50802,
     /*  101220 */     GIR_EraseRootFromParent_Done,
     /*  101221 */   // Label 1569: @101221
     /*  101221 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(101274), // Rule ID 50803 //
     /*  101226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101237 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101272 */     GIR_RootConstrainSelectedInstOperands,
     /*  101273 */     // GIR_Coverage, 50803,
     /*  101273 */     GIR_EraseRootFromParent_Done,
     /*  101274 */   // Label 1570: @101274
     /*  101274 */   GIM_Reject,
     /*  101275 */ // Label 1550: @101275
     /*  101275 */ GIM_Reject,
     /*  101276 */ // Label 1253: @101276
     /*  101276 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101390),
     /*  101281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101299 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(101344), // Rule ID 50774 //
     /*  101304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101307 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101342 */     GIR_RootConstrainSelectedInstOperands,
     /*  101343 */     // GIR_Coverage, 50774,
     /*  101343 */     GIR_EraseRootFromParent_Done,
     /*  101344 */   // Label 1572: @101344
     /*  101344 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101389), // Rule ID 50775 //
     /*  101349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101352 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101387 */     GIR_RootConstrainSelectedInstOperands,
     /*  101388 */     // GIR_Coverage, 50775,
     /*  101388 */     GIR_EraseRootFromParent_Done,
     /*  101389 */   // Label 1573: @101389
     /*  101389 */   GIM_Reject,
     /*  101390 */ // Label 1571: @101390
     /*  101390 */ GIM_Reject,
     /*  101391 */ // Label 1254: @101391
     /*  101391 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(103115),
     /*  101396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101406 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101495), // Rule ID 51516 //
     /*  101411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101454 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101493 */     GIR_RootConstrainSelectedInstOperands,
     /*  101494 */     // GIR_Coverage, 51516,
     /*  101494 */     GIR_EraseRootFromParent_Done,
     /*  101495 */   // Label 1575: @101495
     /*  101495 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101584), // Rule ID 51517 //
     /*  101500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101543 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101582 */     GIR_RootConstrainSelectedInstOperands,
     /*  101583 */     // GIR_Coverage, 51517,
     /*  101583 */     GIR_EraseRootFromParent_Done,
     /*  101584 */   // Label 1576: @101584
     /*  101584 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101673), // Rule ID 70151 //
     /*  101589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101632 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101671 */     GIR_RootConstrainSelectedInstOperands,
     /*  101672 */     // GIR_Coverage, 70151,
     /*  101672 */     GIR_EraseRootFromParent_Done,
     /*  101673 */   // Label 1577: @101673
     /*  101673 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101762), // Rule ID 70152 //
     /*  101678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101721 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 70152,
     /*  101761 */     GIR_EraseRootFromParent_Done,
     /*  101762 */   // Label 1578: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101851), // Rule ID 70031 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101810 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101849 */     GIR_RootConstrainSelectedInstOperands,
     /*  101850 */     // GIR_Coverage, 70031,
     /*  101850 */     GIR_EraseRootFromParent_Done,
     /*  101851 */   // Label 1579: @101851
     /*  101851 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101940), // Rule ID 70032 //
     /*  101856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101899 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101938 */     GIR_RootConstrainSelectedInstOperands,
     /*  101939 */     // GIR_Coverage, 70032,
     /*  101939 */     GIR_EraseRootFromParent_Done,
     /*  101940 */   // Label 1580: @101940
     /*  101940 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102029), // Rule ID 51696 //
     /*  101945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101988 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102027 */     GIR_RootConstrainSelectedInstOperands,
     /*  102028 */     // GIR_Coverage, 51696,
     /*  102028 */     GIR_EraseRootFromParent_Done,
     /*  102029 */   // Label 1581: @102029
     /*  102029 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102118), // Rule ID 51697 //
     /*  102034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102077 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102116 */     GIR_RootConstrainSelectedInstOperands,
     /*  102117 */     // GIR_Coverage, 51697,
     /*  102117 */     GIR_EraseRootFromParent_Done,
     /*  102118 */   // Label 1582: @102118
     /*  102118 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102207), // Rule ID 51396 //
     /*  102123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102166 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102205 */     GIR_RootConstrainSelectedInstOperands,
     /*  102206 */     // GIR_Coverage, 51396,
     /*  102206 */     GIR_EraseRootFromParent_Done,
     /*  102207 */   // Label 1583: @102207
     /*  102207 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102296), // Rule ID 51397 //
     /*  102212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102255 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102294 */     GIR_RootConstrainSelectedInstOperands,
     /*  102295 */     // GIR_Coverage, 51397,
     /*  102295 */     GIR_EraseRootFromParent_Done,
     /*  102296 */   // Label 1584: @102296
     /*  102296 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102385), // Rule ID 51636 //
     /*  102301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102344 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102383 */     GIR_RootConstrainSelectedInstOperands,
     /*  102384 */     // GIR_Coverage, 51636,
     /*  102384 */     GIR_EraseRootFromParent_Done,
     /*  102385 */   // Label 1585: @102385
     /*  102385 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102474), // Rule ID 51637 //
     /*  102390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102433 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102472 */     GIR_RootConstrainSelectedInstOperands,
     /*  102473 */     // GIR_Coverage, 51637,
     /*  102473 */     GIR_EraseRootFromParent_Done,
     /*  102474 */   // Label 1586: @102474
     /*  102474 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102563), // Rule ID 51576 //
     /*  102479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102522 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102561 */     GIR_RootConstrainSelectedInstOperands,
     /*  102562 */     // GIR_Coverage, 51576,
     /*  102562 */     GIR_EraseRootFromParent_Done,
     /*  102563 */   // Label 1587: @102563
     /*  102563 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102652), // Rule ID 51577 //
     /*  102568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102611 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102650 */     GIR_RootConstrainSelectedInstOperands,
     /*  102651 */     // GIR_Coverage, 51577,
     /*  102651 */     GIR_EraseRootFromParent_Done,
     /*  102652 */   // Label 1588: @102652
     /*  102652 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102741), // Rule ID 70091 //
     /*  102657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102700 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102739 */     GIR_RootConstrainSelectedInstOperands,
     /*  102740 */     // GIR_Coverage, 70091,
     /*  102740 */     GIR_EraseRootFromParent_Done,
     /*  102741 */   // Label 1589: @102741
     /*  102741 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102830), // Rule ID 70092 //
     /*  102746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102789 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102828 */     GIR_RootConstrainSelectedInstOperands,
     /*  102829 */     // GIR_Coverage, 70092,
     /*  102829 */     GIR_EraseRootFromParent_Done,
     /*  102830 */   // Label 1590: @102830
     /*  102830 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102919), // Rule ID 51456 //
     /*  102835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102878 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102917 */     GIR_RootConstrainSelectedInstOperands,
     /*  102918 */     // GIR_Coverage, 51456,
     /*  102918 */     GIR_EraseRootFromParent_Done,
     /*  102919 */   // Label 1591: @102919
     /*  102919 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103008), // Rule ID 51457 //
     /*  102924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102967 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103006 */     GIR_RootConstrainSelectedInstOperands,
     /*  103007 */     // GIR_Coverage, 51457,
     /*  103007 */     GIR_EraseRootFromParent_Done,
     /*  103008 */   // Label 1592: @103008
     /*  103008 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103061), // Rule ID 50790 //
     /*  103013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103024 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103059 */     GIR_RootConstrainSelectedInstOperands,
     /*  103060 */     // GIR_Coverage, 50790,
     /*  103060 */     GIR_EraseRootFromParent_Done,
     /*  103061 */   // Label 1593: @103061
     /*  103061 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(103114), // Rule ID 50791 //
     /*  103066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103077 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103112 */     GIR_RootConstrainSelectedInstOperands,
     /*  103113 */     // GIR_Coverage, 50791,
     /*  103113 */     GIR_EraseRootFromParent_Done,
     /*  103114 */   // Label 1594: @103114
     /*  103114 */   GIM_Reject,
     /*  103115 */ // Label 1574: @103115
     /*  103115 */ GIM_Reject,
     /*  103116 */ // Label 1255: @103116
     /*  103116 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(103230),
     /*  103121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103139 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(103184), // Rule ID 50778 //
     /*  103144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103147 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103182 */     GIR_RootConstrainSelectedInstOperands,
     /*  103183 */     // GIR_Coverage, 50778,
     /*  103183 */     GIR_EraseRootFromParent_Done,
     /*  103184 */   // Label 1596: @103184
     /*  103184 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(103229), // Rule ID 50779 //
     /*  103189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103192 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103227 */     GIR_RootConstrainSelectedInstOperands,
     /*  103228 */     // GIR_Coverage, 50779,
     /*  103228 */     GIR_EraseRootFromParent_Done,
     /*  103229 */   // Label 1597: @103229
     /*  103229 */   GIM_Reject,
     /*  103230 */ // Label 1595: @103230
     /*  103230 */ GIM_Reject,
     /*  103231 */ // Label 1256: @103231
     /*  103231 */ GIM_Reject,
     /*  103232 */ // Label 3: @103232
     /*  103232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1622*/ GIMT_Encode4(105965),
     /*  103243 */ /*GILLT_s32*//*Label 1598*/ GIMT_Encode4(103367),
     /*  103247 */ /*GILLT_s64*//*Label 1599*/ GIMT_Encode4(103401), GIMT_Encode4(0),
     /*  103255 */ /*GILLT_nxv1s8*//*Label 1600*/ GIMT_Encode4(103435),
     /*  103259 */ /*GILLT_nxv1s16*//*Label 1601*/ GIMT_Encode4(103550),
     /*  103263 */ /*GILLT_nxv1s32*//*Label 1602*/ GIMT_Encode4(103665),
     /*  103267 */ /*GILLT_nxv1s64*//*Label 1603*/ GIMT_Encode4(103780), GIMT_Encode4(0),
     /*  103275 */ /*GILLT_nxv2s8*//*Label 1604*/ GIMT_Encode4(103895),
     /*  103279 */ /*GILLT_nxv2s16*//*Label 1605*/ GIMT_Encode4(104010),
     /*  103283 */ /*GILLT_nxv2s32*//*Label 1606*/ GIMT_Encode4(104125),
     /*  103287 */ /*GILLT_nxv2s64*//*Label 1607*/ GIMT_Encode4(104240), GIMT_Encode4(0),
     /*  103295 */ /*GILLT_nxv4s8*//*Label 1608*/ GIMT_Encode4(104355),
     /*  103299 */ /*GILLT_nxv4s16*//*Label 1609*/ GIMT_Encode4(104470),
     /*  103303 */ /*GILLT_nxv4s32*//*Label 1610*/ GIMT_Encode4(104585),
     /*  103307 */ /*GILLT_nxv4s64*//*Label 1611*/ GIMT_Encode4(104700), GIMT_Encode4(0),
     /*  103315 */ /*GILLT_nxv8s8*//*Label 1612*/ GIMT_Encode4(104815),
     /*  103319 */ /*GILLT_nxv8s16*//*Label 1613*/ GIMT_Encode4(104930),
     /*  103323 */ /*GILLT_nxv8s32*//*Label 1614*/ GIMT_Encode4(105045),
     /*  103327 */ /*GILLT_nxv8s64*//*Label 1615*/ GIMT_Encode4(105160), GIMT_Encode4(0),
     /*  103335 */ /*GILLT_nxv16s8*//*Label 1616*/ GIMT_Encode4(105275),
     /*  103339 */ /*GILLT_nxv16s16*//*Label 1617*/ GIMT_Encode4(105390),
     /*  103343 */ /*GILLT_nxv16s32*//*Label 1618*/ GIMT_Encode4(105505), GIMT_Encode4(0),
     /*  103351 */ /*GILLT_nxv32s8*//*Label 1619*/ GIMT_Encode4(105620),
     /*  103355 */ /*GILLT_nxv32s16*//*Label 1620*/ GIMT_Encode4(105735), GIMT_Encode4(0),
     /*  103363 */ /*GILLT_nxv64s8*//*Label 1621*/ GIMT_Encode4(105850),
     /*  103367 */ // Label 1598: @103367
     /*  103367 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103400), // Rule ID 298 //
     /*  103372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103398 */   GIR_RootConstrainSelectedInstOperands,
     /*  103399 */   // GIR_Coverage, 298,
     /*  103399 */   GIR_Done,
     /*  103400 */ // Label 1623: @103400
     /*  103400 */ GIM_Reject,
     /*  103401 */ // Label 1599: @103401
     /*  103401 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103434), // Rule ID 297 //
     /*  103406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103427 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103432 */   GIR_RootConstrainSelectedInstOperands,
     /*  103433 */   // GIR_Coverage, 297,
     /*  103433 */   GIR_Done,
     /*  103434 */ // Label 1624: @103434
     /*  103434 */ GIM_Reject,
     /*  103435 */ // Label 1600: @103435
     /*  103435 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103549),
     /*  103440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103458 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103503), // Rule ID 51082 //
     /*  103463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103466 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103501 */     GIR_RootConstrainSelectedInstOperands,
     /*  103502 */     // GIR_Coverage, 51082,
     /*  103502 */     GIR_EraseRootFromParent_Done,
     /*  103503 */   // Label 1626: @103503
     /*  103503 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103548), // Rule ID 51083 //
     /*  103508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103511 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103546 */     GIR_RootConstrainSelectedInstOperands,
     /*  103547 */     // GIR_Coverage, 51083,
     /*  103547 */     GIR_EraseRootFromParent_Done,
     /*  103548 */   // Label 1627: @103548
     /*  103548 */   GIM_Reject,
     /*  103549 */ // Label 1625: @103549
     /*  103549 */ GIM_Reject,
     /*  103550 */ // Label 1601: @103550
     /*  103550 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103664),
     /*  103555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103573 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103618), // Rule ID 51094 //
     /*  103578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103581 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103616 */     GIR_RootConstrainSelectedInstOperands,
     /*  103617 */     // GIR_Coverage, 51094,
     /*  103617 */     GIR_EraseRootFromParent_Done,
     /*  103618 */   // Label 1629: @103618
     /*  103618 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103663), // Rule ID 51095 //
     /*  103623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103626 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103661 */     GIR_RootConstrainSelectedInstOperands,
     /*  103662 */     // GIR_Coverage, 51095,
     /*  103662 */     GIR_EraseRootFromParent_Done,
     /*  103663 */   // Label 1630: @103663
     /*  103663 */   GIM_Reject,
     /*  103664 */ // Label 1628: @103664
     /*  103664 */ GIM_Reject,
     /*  103665 */ // Label 1602: @103665
     /*  103665 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103779),
     /*  103670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103688 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103733), // Rule ID 51102 //
     /*  103693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103696 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103731 */     GIR_RootConstrainSelectedInstOperands,
     /*  103732 */     // GIR_Coverage, 51102,
     /*  103732 */     GIR_EraseRootFromParent_Done,
     /*  103733 */   // Label 1632: @103733
     /*  103733 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103778), // Rule ID 51103 //
     /*  103738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103741 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103776 */     GIR_RootConstrainSelectedInstOperands,
     /*  103777 */     // GIR_Coverage, 51103,
     /*  103777 */     GIR_EraseRootFromParent_Done,
     /*  103778 */   // Label 1633: @103778
     /*  103778 */   GIM_Reject,
     /*  103779 */ // Label 1631: @103779
     /*  103779 */ GIM_Reject,
     /*  103780 */ // Label 1603: @103780
     /*  103780 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103894),
     /*  103785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103803 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(103848), // Rule ID 51118 //
     /*  103808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103811 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103846 */     GIR_RootConstrainSelectedInstOperands,
     /*  103847 */     // GIR_Coverage, 51118,
     /*  103847 */     GIR_EraseRootFromParent_Done,
     /*  103848 */   // Label 1635: @103848
     /*  103848 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(103893), // Rule ID 51119 //
     /*  103853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103856 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103891 */     GIR_RootConstrainSelectedInstOperands,
     /*  103892 */     // GIR_Coverage, 51119,
     /*  103892 */     GIR_EraseRootFromParent_Done,
     /*  103893 */   // Label 1636: @103893
     /*  103893 */   GIM_Reject,
     /*  103894 */ // Label 1634: @103894
     /*  103894 */ GIM_Reject,
     /*  103895 */ // Label 1604: @103895
     /*  103895 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(104009),
     /*  103900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103918 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(103963), // Rule ID 51086 //
     /*  103923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103926 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103961 */     GIR_RootConstrainSelectedInstOperands,
     /*  103962 */     // GIR_Coverage, 51086,
     /*  103962 */     GIR_EraseRootFromParent_Done,
     /*  103963 */   // Label 1638: @103963
     /*  103963 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104008), // Rule ID 51087 //
     /*  103968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103971 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104006 */     GIR_RootConstrainSelectedInstOperands,
     /*  104007 */     // GIR_Coverage, 51087,
     /*  104007 */     GIR_EraseRootFromParent_Done,
     /*  104008 */   // Label 1639: @104008
     /*  104008 */   GIM_Reject,
     /*  104009 */ // Label 1637: @104009
     /*  104009 */ GIM_Reject,
     /*  104010 */ // Label 1605: @104010
     /*  104010 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104124),
     /*  104015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  104018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  104021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104033 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104078), // Rule ID 51098 //
     /*  104038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104041 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104076 */     GIR_RootConstrainSelectedInstOperands,
     /*  104077 */     // GIR_Coverage, 51098,
     /*  104077 */     GIR_EraseRootFromParent_Done,
     /*  104078 */   // Label 1641: @104078
     /*  104078 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104123), // Rule ID 51099 //
     /*  104083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104086 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104121 */     GIR_RootConstrainSelectedInstOperands,
     /*  104122 */     // GIR_Coverage, 51099,
     /*  104122 */     GIR_EraseRootFromParent_Done,
     /*  104123 */   // Label 1642: @104123
     /*  104123 */   GIM_Reject,
     /*  104124 */ // Label 1640: @104124
     /*  104124 */ GIM_Reject,
     /*  104125 */ // Label 1606: @104125
     /*  104125 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104239),
     /*  104130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104148 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104193), // Rule ID 51114 //
     /*  104153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104156 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104191 */     GIR_RootConstrainSelectedInstOperands,
     /*  104192 */     // GIR_Coverage, 51114,
     /*  104192 */     GIR_EraseRootFromParent_Done,
     /*  104193 */   // Label 1644: @104193
     /*  104193 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104238), // Rule ID 51115 //
     /*  104198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104201 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104236 */     GIR_RootConstrainSelectedInstOperands,
     /*  104237 */     // GIR_Coverage, 51115,
     /*  104237 */     GIR_EraseRootFromParent_Done,
     /*  104238 */   // Label 1645: @104238
     /*  104238 */   GIM_Reject,
     /*  104239 */ // Label 1643: @104239
     /*  104239 */ GIM_Reject,
     /*  104240 */ // Label 1607: @104240
     /*  104240 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104354),
     /*  104245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104263 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104308), // Rule ID 51158 //
     /*  104268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104271 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104306 */     GIR_RootConstrainSelectedInstOperands,
     /*  104307 */     // GIR_Coverage, 51158,
     /*  104307 */     GIR_EraseRootFromParent_Done,
     /*  104308 */   // Label 1647: @104308
     /*  104308 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104353), // Rule ID 51159 //
     /*  104313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104316 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104351 */     GIR_RootConstrainSelectedInstOperands,
     /*  104352 */     // GIR_Coverage, 51159,
     /*  104352 */     GIR_EraseRootFromParent_Done,
     /*  104353 */   // Label 1648: @104353
     /*  104353 */   GIM_Reject,
     /*  104354 */ // Label 1646: @104354
     /*  104354 */ GIM_Reject,
     /*  104355 */ // Label 1608: @104355
     /*  104355 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104469),
     /*  104360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104378 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104423), // Rule ID 51090 //
     /*  104383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104386 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104421 */     GIR_RootConstrainSelectedInstOperands,
     /*  104422 */     // GIR_Coverage, 51090,
     /*  104422 */     GIR_EraseRootFromParent_Done,
     /*  104423 */   // Label 1650: @104423
     /*  104423 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104468), // Rule ID 51091 //
     /*  104428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104431 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104466 */     GIR_RootConstrainSelectedInstOperands,
     /*  104467 */     // GIR_Coverage, 51091,
     /*  104467 */     GIR_EraseRootFromParent_Done,
     /*  104468 */   // Label 1651: @104468
     /*  104468 */   GIM_Reject,
     /*  104469 */ // Label 1649: @104469
     /*  104469 */ GIM_Reject,
     /*  104470 */ // Label 1609: @104470
     /*  104470 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104584),
     /*  104475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104538), // Rule ID 51110 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104501 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104536 */     GIR_RootConstrainSelectedInstOperands,
     /*  104537 */     // GIR_Coverage, 51110,
     /*  104537 */     GIR_EraseRootFromParent_Done,
     /*  104538 */   // Label 1653: @104538
     /*  104538 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104583), // Rule ID 51111 //
     /*  104543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104546 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104581 */     GIR_RootConstrainSelectedInstOperands,
     /*  104582 */     // GIR_Coverage, 51111,
     /*  104582 */     GIR_EraseRootFromParent_Done,
     /*  104583 */   // Label 1654: @104583
     /*  104583 */   GIM_Reject,
     /*  104584 */ // Label 1652: @104584
     /*  104584 */ GIM_Reject,
     /*  104585 */ // Label 1610: @104585
     /*  104585 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104699),
     /*  104590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104608 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104653), // Rule ID 51146 //
     /*  104613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104616 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104651 */     GIR_RootConstrainSelectedInstOperands,
     /*  104652 */     // GIR_Coverage, 51146,
     /*  104652 */     GIR_EraseRootFromParent_Done,
     /*  104653 */   // Label 1656: @104653
     /*  104653 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104698), // Rule ID 51147 //
     /*  104658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104661 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104696 */     GIR_RootConstrainSelectedInstOperands,
     /*  104697 */     // GIR_Coverage, 51147,
     /*  104697 */     GIR_EraseRootFromParent_Done,
     /*  104698 */   // Label 1657: @104698
     /*  104698 */   GIM_Reject,
     /*  104699 */ // Label 1655: @104699
     /*  104699 */ GIM_Reject,
     /*  104700 */ // Label 1611: @104700
     /*  104700 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104814),
     /*  104705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104723 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104768), // Rule ID 51162 //
     /*  104728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104731 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104766 */     GIR_RootConstrainSelectedInstOperands,
     /*  104767 */     // GIR_Coverage, 51162,
     /*  104767 */     GIR_EraseRootFromParent_Done,
     /*  104768 */   // Label 1659: @104768
     /*  104768 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104813), // Rule ID 51163 //
     /*  104773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104776 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104811 */     GIR_RootConstrainSelectedInstOperands,
     /*  104812 */     // GIR_Coverage, 51163,
     /*  104812 */     GIR_EraseRootFromParent_Done,
     /*  104813 */   // Label 1660: @104813
     /*  104813 */   GIM_Reject,
     /*  104814 */ // Label 1658: @104814
     /*  104814 */ GIM_Reject,
     /*  104815 */ // Label 1612: @104815
     /*  104815 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104929),
     /*  104820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104838 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(104883), // Rule ID 51106 //
     /*  104843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104846 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104881 */     GIR_RootConstrainSelectedInstOperands,
     /*  104882 */     // GIR_Coverage, 51106,
     /*  104882 */     GIR_EraseRootFromParent_Done,
     /*  104883 */   // Label 1662: @104883
     /*  104883 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(104928), // Rule ID 51107 //
     /*  104888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104891 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104926 */     GIR_RootConstrainSelectedInstOperands,
     /*  104927 */     // GIR_Coverage, 51107,
     /*  104927 */     GIR_EraseRootFromParent_Done,
     /*  104928 */   // Label 1663: @104928
     /*  104928 */   GIM_Reject,
     /*  104929 */ // Label 1661: @104929
     /*  104929 */ GIM_Reject,
     /*  104930 */ // Label 1613: @104930
     /*  104930 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105044),
     /*  104935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104953 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(104998), // Rule ID 51134 //
     /*  104958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104961 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104996 */     GIR_RootConstrainSelectedInstOperands,
     /*  104997 */     // GIR_Coverage, 51134,
     /*  104997 */     GIR_EraseRootFromParent_Done,
     /*  104998 */   // Label 1665: @104998
     /*  104998 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105043), // Rule ID 51135 //
     /*  105003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105006 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  105009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  105023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105041 */     GIR_RootConstrainSelectedInstOperands,
     /*  105042 */     // GIR_Coverage, 51135,
     /*  105042 */     GIR_EraseRootFromParent_Done,
     /*  105043 */   // Label 1666: @105043
     /*  105043 */   GIM_Reject,
     /*  105044 */ // Label 1664: @105044
     /*  105044 */ GIM_Reject,
     /*  105045 */ // Label 1614: @105045
     /*  105045 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105159),
     /*  105050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  105053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  105056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105068 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105113), // Rule ID 51150 //
     /*  105073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105076 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105111 */     GIR_RootConstrainSelectedInstOperands,
     /*  105112 */     // GIR_Coverage, 51150,
     /*  105112 */     GIR_EraseRootFromParent_Done,
     /*  105113 */   // Label 1668: @105113
     /*  105113 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105158), // Rule ID 51151 //
     /*  105118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105121 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105156 */     GIR_RootConstrainSelectedInstOperands,
     /*  105157 */     // GIR_Coverage, 51151,
     /*  105157 */     GIR_EraseRootFromParent_Done,
     /*  105158 */   // Label 1669: @105158
     /*  105158 */   GIM_Reject,
     /*  105159 */ // Label 1667: @105159
     /*  105159 */ GIM_Reject,
     /*  105160 */ // Label 1615: @105160
     /*  105160 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105274),
     /*  105165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105183 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105228), // Rule ID 51166 //
     /*  105188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105191 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105226 */     GIR_RootConstrainSelectedInstOperands,
     /*  105227 */     // GIR_Coverage, 51166,
     /*  105227 */     GIR_EraseRootFromParent_Done,
     /*  105228 */   // Label 1671: @105228
     /*  105228 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105273), // Rule ID 51167 //
     /*  105233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105236 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105271 */     GIR_RootConstrainSelectedInstOperands,
     /*  105272 */     // GIR_Coverage, 51167,
     /*  105272 */     GIR_EraseRootFromParent_Done,
     /*  105273 */   // Label 1672: @105273
     /*  105273 */   GIM_Reject,
     /*  105274 */ // Label 1670: @105274
     /*  105274 */ GIM_Reject,
     /*  105275 */ // Label 1616: @105275
     /*  105275 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105389),
     /*  105280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105298 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105343), // Rule ID 51122 //
     /*  105303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105306 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105341 */     GIR_RootConstrainSelectedInstOperands,
     /*  105342 */     // GIR_Coverage, 51122,
     /*  105342 */     GIR_EraseRootFromParent_Done,
     /*  105343 */   // Label 1674: @105343
     /*  105343 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105388), // Rule ID 51123 //
     /*  105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105351 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105386 */     GIR_RootConstrainSelectedInstOperands,
     /*  105387 */     // GIR_Coverage, 51123,
     /*  105387 */     GIR_EraseRootFromParent_Done,
     /*  105388 */   // Label 1675: @105388
     /*  105388 */   GIM_Reject,
     /*  105389 */ // Label 1673: @105389
     /*  105389 */ GIM_Reject,
     /*  105390 */ // Label 1617: @105390
     /*  105390 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105504),
     /*  105395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105413 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105458), // Rule ID 51138 //
     /*  105418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105421 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105456 */     GIR_RootConstrainSelectedInstOperands,
     /*  105457 */     // GIR_Coverage, 51138,
     /*  105457 */     GIR_EraseRootFromParent_Done,
     /*  105458 */   // Label 1677: @105458
     /*  105458 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105503), // Rule ID 51139 //
     /*  105463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105466 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105501 */     GIR_RootConstrainSelectedInstOperands,
     /*  105502 */     // GIR_Coverage, 51139,
     /*  105502 */     GIR_EraseRootFromParent_Done,
     /*  105503 */   // Label 1678: @105503
     /*  105503 */   GIM_Reject,
     /*  105504 */ // Label 1676: @105504
     /*  105504 */ GIM_Reject,
     /*  105505 */ // Label 1618: @105505
     /*  105505 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105619),
     /*  105510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105528 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105573), // Rule ID 51154 //
     /*  105533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105536 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105571 */     GIR_RootConstrainSelectedInstOperands,
     /*  105572 */     // GIR_Coverage, 51154,
     /*  105572 */     GIR_EraseRootFromParent_Done,
     /*  105573 */   // Label 1680: @105573
     /*  105573 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105618), // Rule ID 51155 //
     /*  105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105581 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_RootConstrainSelectedInstOperands,
     /*  105617 */     // GIR_Coverage, 51155,
     /*  105617 */     GIR_EraseRootFromParent_Done,
     /*  105618 */   // Label 1681: @105618
     /*  105618 */   GIM_Reject,
     /*  105619 */ // Label 1679: @105619
     /*  105619 */ GIM_Reject,
     /*  105620 */ // Label 1619: @105620
     /*  105620 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105734),
     /*  105625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105643 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105688), // Rule ID 51126 //
     /*  105648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105651 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105686 */     GIR_RootConstrainSelectedInstOperands,
     /*  105687 */     // GIR_Coverage, 51126,
     /*  105687 */     GIR_EraseRootFromParent_Done,
     /*  105688 */   // Label 1683: @105688
     /*  105688 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105733), // Rule ID 51127 //
     /*  105693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105696 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105731 */     GIR_RootConstrainSelectedInstOperands,
     /*  105732 */     // GIR_Coverage, 51127,
     /*  105732 */     GIR_EraseRootFromParent_Done,
     /*  105733 */   // Label 1684: @105733
     /*  105733 */   GIM_Reject,
     /*  105734 */ // Label 1682: @105734
     /*  105734 */ GIM_Reject,
     /*  105735 */ // Label 1620: @105735
     /*  105735 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105849),
     /*  105740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105758 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105803), // Rule ID 51142 //
     /*  105763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105766 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105801 */     GIR_RootConstrainSelectedInstOperands,
     /*  105802 */     // GIR_Coverage, 51142,
     /*  105802 */     GIR_EraseRootFromParent_Done,
     /*  105803 */   // Label 1686: @105803
     /*  105803 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(105848), // Rule ID 51143 //
     /*  105808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105811 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105846 */     GIR_RootConstrainSelectedInstOperands,
     /*  105847 */     // GIR_Coverage, 51143,
     /*  105847 */     GIR_EraseRootFromParent_Done,
     /*  105848 */   // Label 1687: @105848
     /*  105848 */   GIM_Reject,
     /*  105849 */ // Label 1685: @105849
     /*  105849 */ GIM_Reject,
     /*  105850 */ // Label 1621: @105850
     /*  105850 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(105964),
     /*  105855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105873 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(105918), // Rule ID 51130 //
     /*  105878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105881 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105916 */     GIR_RootConstrainSelectedInstOperands,
     /*  105917 */     // GIR_Coverage, 51130,
     /*  105917 */     GIR_EraseRootFromParent_Done,
     /*  105918 */   // Label 1689: @105918
     /*  105918 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(105963), // Rule ID 51131 //
     /*  105923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105926 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105961 */     GIR_RootConstrainSelectedInstOperands,
     /*  105962 */     // GIR_Coverage, 51131,
     /*  105962 */     GIR_EraseRootFromParent_Done,
     /*  105963 */   // Label 1690: @105963
     /*  105963 */   GIM_Reject,
     /*  105964 */ // Label 1688: @105964
     /*  105964 */ GIM_Reject,
     /*  105965 */ // Label 1622: @105965
     /*  105965 */ GIM_Reject,
     /*  105966 */ // Label 4: @105966
     /*  105966 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1715*/ GIMT_Encode4(108699),
     /*  105977 */ /*GILLT_s32*//*Label 1691*/ GIMT_Encode4(106101),
     /*  105981 */ /*GILLT_s64*//*Label 1692*/ GIMT_Encode4(106135), GIMT_Encode4(0),
     /*  105989 */ /*GILLT_nxv1s8*//*Label 1693*/ GIMT_Encode4(106169),
     /*  105993 */ /*GILLT_nxv1s16*//*Label 1694*/ GIMT_Encode4(106284),
     /*  105997 */ /*GILLT_nxv1s32*//*Label 1695*/ GIMT_Encode4(106399),
     /*  106001 */ /*GILLT_nxv1s64*//*Label 1696*/ GIMT_Encode4(106514), GIMT_Encode4(0),
     /*  106009 */ /*GILLT_nxv2s8*//*Label 1697*/ GIMT_Encode4(106629),
     /*  106013 */ /*GILLT_nxv2s16*//*Label 1698*/ GIMT_Encode4(106744),
     /*  106017 */ /*GILLT_nxv2s32*//*Label 1699*/ GIMT_Encode4(106859),
     /*  106021 */ /*GILLT_nxv2s64*//*Label 1700*/ GIMT_Encode4(106974), GIMT_Encode4(0),
     /*  106029 */ /*GILLT_nxv4s8*//*Label 1701*/ GIMT_Encode4(107089),
     /*  106033 */ /*GILLT_nxv4s16*//*Label 1702*/ GIMT_Encode4(107204),
     /*  106037 */ /*GILLT_nxv4s32*//*Label 1703*/ GIMT_Encode4(107319),
     /*  106041 */ /*GILLT_nxv4s64*//*Label 1704*/ GIMT_Encode4(107434), GIMT_Encode4(0),
     /*  106049 */ /*GILLT_nxv8s8*//*Label 1705*/ GIMT_Encode4(107549),
     /*  106053 */ /*GILLT_nxv8s16*//*Label 1706*/ GIMT_Encode4(107664),
     /*  106057 */ /*GILLT_nxv8s32*//*Label 1707*/ GIMT_Encode4(107779),
     /*  106061 */ /*GILLT_nxv8s64*//*Label 1708*/ GIMT_Encode4(107894), GIMT_Encode4(0),
     /*  106069 */ /*GILLT_nxv16s8*//*Label 1709*/ GIMT_Encode4(108009),
     /*  106073 */ /*GILLT_nxv16s16*//*Label 1710*/ GIMT_Encode4(108124),
     /*  106077 */ /*GILLT_nxv16s32*//*Label 1711*/ GIMT_Encode4(108239), GIMT_Encode4(0),
     /*  106085 */ /*GILLT_nxv32s8*//*Label 1712*/ GIMT_Encode4(108354),
     /*  106089 */ /*GILLT_nxv32s16*//*Label 1713*/ GIMT_Encode4(108469), GIMT_Encode4(0),
     /*  106097 */ /*GILLT_nxv64s8*//*Label 1714*/ GIMT_Encode4(108584),
     /*  106101 */ // Label 1691: @106101
     /*  106101 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106134), // Rule ID 300 //
     /*  106106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106127 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106132 */   GIR_RootConstrainSelectedInstOperands,
     /*  106133 */   // GIR_Coverage, 300,
     /*  106133 */   GIR_Done,
     /*  106134 */ // Label 1716: @106134
     /*  106134 */ GIM_Reject,
     /*  106135 */ // Label 1692: @106135
     /*  106135 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106168), // Rule ID 299 //
     /*  106140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106161 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106166 */   GIR_RootConstrainSelectedInstOperands,
     /*  106167 */   // GIR_Coverage, 299,
     /*  106167 */   GIR_Done,
     /*  106168 */ // Label 1717: @106168
     /*  106168 */ GIM_Reject,
     /*  106169 */ // Label 1693: @106169
     /*  106169 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106283),
     /*  106174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106192 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106237), // Rule ID 50994 //
     /*  106197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106200 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106235 */     GIR_RootConstrainSelectedInstOperands,
     /*  106236 */     // GIR_Coverage, 50994,
     /*  106236 */     GIR_EraseRootFromParent_Done,
     /*  106237 */   // Label 1719: @106237
     /*  106237 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106282), // Rule ID 50995 //
     /*  106242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106245 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106280 */     GIR_RootConstrainSelectedInstOperands,
     /*  106281 */     // GIR_Coverage, 50995,
     /*  106281 */     GIR_EraseRootFromParent_Done,
     /*  106282 */   // Label 1720: @106282
     /*  106282 */   GIM_Reject,
     /*  106283 */ // Label 1718: @106283
     /*  106283 */ GIM_Reject,
     /*  106284 */ // Label 1694: @106284
     /*  106284 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106398),
     /*  106289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106307 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106352), // Rule ID 51006 //
     /*  106312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106315 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106350 */     GIR_RootConstrainSelectedInstOperands,
     /*  106351 */     // GIR_Coverage, 51006,
     /*  106351 */     GIR_EraseRootFromParent_Done,
     /*  106352 */   // Label 1722: @106352
     /*  106352 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106397), // Rule ID 51007 //
     /*  106357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106360 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106395 */     GIR_RootConstrainSelectedInstOperands,
     /*  106396 */     // GIR_Coverage, 51007,
     /*  106396 */     GIR_EraseRootFromParent_Done,
     /*  106397 */   // Label 1723: @106397
     /*  106397 */   GIM_Reject,
     /*  106398 */ // Label 1721: @106398
     /*  106398 */ GIM_Reject,
     /*  106399 */ // Label 1695: @106399
     /*  106399 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106513),
     /*  106404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106467), // Rule ID 51014 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106465 */     GIR_RootConstrainSelectedInstOperands,
     /*  106466 */     // GIR_Coverage, 51014,
     /*  106466 */     GIR_EraseRootFromParent_Done,
     /*  106467 */   // Label 1725: @106467
     /*  106467 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106512), // Rule ID 51015 //
     /*  106472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106475 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106510 */     GIR_RootConstrainSelectedInstOperands,
     /*  106511 */     // GIR_Coverage, 51015,
     /*  106511 */     GIR_EraseRootFromParent_Done,
     /*  106512 */   // Label 1726: @106512
     /*  106512 */   GIM_Reject,
     /*  106513 */ // Label 1724: @106513
     /*  106513 */ GIM_Reject,
     /*  106514 */ // Label 1696: @106514
     /*  106514 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106628),
     /*  106519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106537 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106582), // Rule ID 51030 //
     /*  106542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106545 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106580 */     GIR_RootConstrainSelectedInstOperands,
     /*  106581 */     // GIR_Coverage, 51030,
     /*  106581 */     GIR_EraseRootFromParent_Done,
     /*  106582 */   // Label 1728: @106582
     /*  106582 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106627), // Rule ID 51031 //
     /*  106587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106590 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106625 */     GIR_RootConstrainSelectedInstOperands,
     /*  106626 */     // GIR_Coverage, 51031,
     /*  106626 */     GIR_EraseRootFromParent_Done,
     /*  106627 */   // Label 1729: @106627
     /*  106627 */   GIM_Reject,
     /*  106628 */ // Label 1727: @106628
     /*  106628 */ GIM_Reject,
     /*  106629 */ // Label 1697: @106629
     /*  106629 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106743),
     /*  106634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106652 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106697), // Rule ID 50998 //
     /*  106657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106660 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106695 */     GIR_RootConstrainSelectedInstOperands,
     /*  106696 */     // GIR_Coverage, 50998,
     /*  106696 */     GIR_EraseRootFromParent_Done,
     /*  106697 */   // Label 1731: @106697
     /*  106697 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106742), // Rule ID 50999 //
     /*  106702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106705 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106740 */     GIR_RootConstrainSelectedInstOperands,
     /*  106741 */     // GIR_Coverage, 50999,
     /*  106741 */     GIR_EraseRootFromParent_Done,
     /*  106742 */   // Label 1732: @106742
     /*  106742 */   GIM_Reject,
     /*  106743 */ // Label 1730: @106743
     /*  106743 */ GIM_Reject,
     /*  106744 */ // Label 1698: @106744
     /*  106744 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106858),
     /*  106749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106767 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106812), // Rule ID 51010 //
     /*  106772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106775 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106810 */     GIR_RootConstrainSelectedInstOperands,
     /*  106811 */     // GIR_Coverage, 51010,
     /*  106811 */     GIR_EraseRootFromParent_Done,
     /*  106812 */   // Label 1734: @106812
     /*  106812 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(106857), // Rule ID 51011 //
     /*  106817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106820 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106855 */     GIR_RootConstrainSelectedInstOperands,
     /*  106856 */     // GIR_Coverage, 51011,
     /*  106856 */     GIR_EraseRootFromParent_Done,
     /*  106857 */   // Label 1735: @106857
     /*  106857 */   GIM_Reject,
     /*  106858 */ // Label 1733: @106858
     /*  106858 */ GIM_Reject,
     /*  106859 */ // Label 1699: @106859
     /*  106859 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106973),
     /*  106864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106882 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(106927), // Rule ID 51026 //
     /*  106887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106890 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106925 */     GIR_RootConstrainSelectedInstOperands,
     /*  106926 */     // GIR_Coverage, 51026,
     /*  106926 */     GIR_EraseRootFromParent_Done,
     /*  106927 */   // Label 1737: @106927
     /*  106927 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(106972), // Rule ID 51027 //
     /*  106932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106935 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106970 */     GIR_RootConstrainSelectedInstOperands,
     /*  106971 */     // GIR_Coverage, 51027,
     /*  106971 */     GIR_EraseRootFromParent_Done,
     /*  106972 */   // Label 1738: @106972
     /*  106972 */   GIM_Reject,
     /*  106973 */ // Label 1736: @106973
     /*  106973 */ GIM_Reject,
     /*  106974 */ // Label 1700: @106974
     /*  106974 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107088),
     /*  106979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106997 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107042), // Rule ID 51070 //
     /*  107002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107005 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_RootConstrainSelectedInstOperands,
     /*  107041 */     // GIR_Coverage, 51070,
     /*  107041 */     GIR_EraseRootFromParent_Done,
     /*  107042 */   // Label 1740: @107042
     /*  107042 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107087), // Rule ID 51071 //
     /*  107047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107050 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107085 */     GIR_RootConstrainSelectedInstOperands,
     /*  107086 */     // GIR_Coverage, 51071,
     /*  107086 */     GIR_EraseRootFromParent_Done,
     /*  107087 */   // Label 1741: @107087
     /*  107087 */   GIM_Reject,
     /*  107088 */ // Label 1739: @107088
     /*  107088 */ GIM_Reject,
     /*  107089 */ // Label 1701: @107089
     /*  107089 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107203),
     /*  107094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107112 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107157), // Rule ID 51002 //
     /*  107117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107120 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107155 */     GIR_RootConstrainSelectedInstOperands,
     /*  107156 */     // GIR_Coverage, 51002,
     /*  107156 */     GIR_EraseRootFromParent_Done,
     /*  107157 */   // Label 1743: @107157
     /*  107157 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107202), // Rule ID 51003 //
     /*  107162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107165 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107200 */     GIR_RootConstrainSelectedInstOperands,
     /*  107201 */     // GIR_Coverage, 51003,
     /*  107201 */     GIR_EraseRootFromParent_Done,
     /*  107202 */   // Label 1744: @107202
     /*  107202 */   GIM_Reject,
     /*  107203 */ // Label 1742: @107203
     /*  107203 */ GIM_Reject,
     /*  107204 */ // Label 1702: @107204
     /*  107204 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107318),
     /*  107209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107227 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107272), // Rule ID 51022 //
     /*  107232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107235 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107270 */     GIR_RootConstrainSelectedInstOperands,
     /*  107271 */     // GIR_Coverage, 51022,
     /*  107271 */     GIR_EraseRootFromParent_Done,
     /*  107272 */   // Label 1746: @107272
     /*  107272 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107317), // Rule ID 51023 //
     /*  107277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107280 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107315 */     GIR_RootConstrainSelectedInstOperands,
     /*  107316 */     // GIR_Coverage, 51023,
     /*  107316 */     GIR_EraseRootFromParent_Done,
     /*  107317 */   // Label 1747: @107317
     /*  107317 */   GIM_Reject,
     /*  107318 */ // Label 1745: @107318
     /*  107318 */ GIM_Reject,
     /*  107319 */ // Label 1703: @107319
     /*  107319 */ GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107433),
     /*  107324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107342 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107387), // Rule ID 51058 //
     /*  107347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107350 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107385 */     GIR_RootConstrainSelectedInstOperands,
     /*  107386 */     // GIR_Coverage, 51058,
     /*  107386 */     GIR_EraseRootFromParent_Done,
     /*  107387 */   // Label 1749: @107387
     /*  107387 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107432), // Rule ID 51059 //
     /*  107392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107395 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107430 */     GIR_RootConstrainSelectedInstOperands,
     /*  107431 */     // GIR_Coverage, 51059,
     /*  107431 */     GIR_EraseRootFromParent_Done,
     /*  107432 */   // Label 1750: @107432
     /*  107432 */   GIM_Reject,
     /*  107433 */ // Label 1748: @107433
     /*  107433 */ GIM_Reject,
     /*  107434 */ // Label 1704: @107434
     /*  107434 */ GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107548),
     /*  107439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107457 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107502), // Rule ID 51074 //
     /*  107462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107465 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107500 */     GIR_RootConstrainSelectedInstOperands,
     /*  107501 */     // GIR_Coverage, 51074,
     /*  107501 */     GIR_EraseRootFromParent_Done,
     /*  107502 */   // Label 1752: @107502
     /*  107502 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107547), // Rule ID 51075 //
     /*  107507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107510 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107545 */     GIR_RootConstrainSelectedInstOperands,
     /*  107546 */     // GIR_Coverage, 51075,
     /*  107546 */     GIR_EraseRootFromParent_Done,
     /*  107547 */   // Label 1753: @107547
     /*  107547 */   GIM_Reject,
     /*  107548 */ // Label 1751: @107548
     /*  107548 */ GIM_Reject,
     /*  107549 */ // Label 1705: @107549
     /*  107549 */ GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107663),
     /*  107554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107572 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107617), // Rule ID 51018 //
     /*  107577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107580 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107615 */     GIR_RootConstrainSelectedInstOperands,
     /*  107616 */     // GIR_Coverage, 51018,
     /*  107616 */     GIR_EraseRootFromParent_Done,
     /*  107617 */   // Label 1755: @107617
     /*  107617 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107662), // Rule ID 51019 //
     /*  107622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107625 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107660 */     GIR_RootConstrainSelectedInstOperands,
     /*  107661 */     // GIR_Coverage, 51019,
     /*  107661 */     GIR_EraseRootFromParent_Done,
     /*  107662 */   // Label 1756: @107662
     /*  107662 */   GIM_Reject,
     /*  107663 */ // Label 1754: @107663
     /*  107663 */ GIM_Reject,
     /*  107664 */ // Label 1706: @107664
     /*  107664 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107778),
     /*  107669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107687 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107732), // Rule ID 51046 //
     /*  107692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107695 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107730 */     GIR_RootConstrainSelectedInstOperands,
     /*  107731 */     // GIR_Coverage, 51046,
     /*  107731 */     GIR_EraseRootFromParent_Done,
     /*  107732 */   // Label 1758: @107732
     /*  107732 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107777), // Rule ID 51047 //
     /*  107737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107740 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107775 */     GIR_RootConstrainSelectedInstOperands,
     /*  107776 */     // GIR_Coverage, 51047,
     /*  107776 */     GIR_EraseRootFromParent_Done,
     /*  107777 */   // Label 1759: @107777
     /*  107777 */   GIM_Reject,
     /*  107778 */ // Label 1757: @107778
     /*  107778 */ GIM_Reject,
     /*  107779 */ // Label 1707: @107779
     /*  107779 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107893),
     /*  107784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107802 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(107847), // Rule ID 51062 //
     /*  107807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107810 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107845 */     GIR_RootConstrainSelectedInstOperands,
     /*  107846 */     // GIR_Coverage, 51062,
     /*  107846 */     GIR_EraseRootFromParent_Done,
     /*  107847 */   // Label 1761: @107847
     /*  107847 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(107892), // Rule ID 51063 //
     /*  107852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107855 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107890 */     GIR_RootConstrainSelectedInstOperands,
     /*  107891 */     // GIR_Coverage, 51063,
     /*  107891 */     GIR_EraseRootFromParent_Done,
     /*  107892 */   // Label 1762: @107892
     /*  107892 */   GIM_Reject,
     /*  107893 */ // Label 1760: @107893
     /*  107893 */ GIM_Reject,
     /*  107894 */ // Label 1708: @107894
     /*  107894 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(108008),
     /*  107899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107917 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(107962), // Rule ID 51078 //
     /*  107922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107925 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107960 */     GIR_RootConstrainSelectedInstOperands,
     /*  107961 */     // GIR_Coverage, 51078,
     /*  107961 */     GIR_EraseRootFromParent_Done,
     /*  107962 */   // Label 1764: @107962
     /*  107962 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108007), // Rule ID 51079 //
     /*  107967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107970 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108005 */     GIR_RootConstrainSelectedInstOperands,
     /*  108006 */     // GIR_Coverage, 51079,
     /*  108006 */     GIR_EraseRootFromParent_Done,
     /*  108007 */   // Label 1765: @108007
     /*  108007 */   GIM_Reject,
     /*  108008 */ // Label 1763: @108008
     /*  108008 */ GIM_Reject,
     /*  108009 */ // Label 1709: @108009
     /*  108009 */ GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108123),
     /*  108014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  108017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  108020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108032 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108077), // Rule ID 51034 //
     /*  108037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108040 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108075 */     GIR_RootConstrainSelectedInstOperands,
     /*  108076 */     // GIR_Coverage, 51034,
     /*  108076 */     GIR_EraseRootFromParent_Done,
     /*  108077 */   // Label 1767: @108077
     /*  108077 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108122), // Rule ID 51035 //
     /*  108082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108085 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108120 */     GIR_RootConstrainSelectedInstOperands,
     /*  108121 */     // GIR_Coverage, 51035,
     /*  108121 */     GIR_EraseRootFromParent_Done,
     /*  108122 */   // Label 1768: @108122
     /*  108122 */   GIM_Reject,
     /*  108123 */ // Label 1766: @108123
     /*  108123 */ GIM_Reject,
     /*  108124 */ // Label 1710: @108124
     /*  108124 */ GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108238),
     /*  108129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108147 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108192), // Rule ID 51050 //
     /*  108152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108155 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108190 */     GIR_RootConstrainSelectedInstOperands,
     /*  108191 */     // GIR_Coverage, 51050,
     /*  108191 */     GIR_EraseRootFromParent_Done,
     /*  108192 */   // Label 1770: @108192
     /*  108192 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108237), // Rule ID 51051 //
     /*  108197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108200 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108235 */     GIR_RootConstrainSelectedInstOperands,
     /*  108236 */     // GIR_Coverage, 51051,
     /*  108236 */     GIR_EraseRootFromParent_Done,
     /*  108237 */   // Label 1771: @108237
     /*  108237 */   GIM_Reject,
     /*  108238 */ // Label 1769: @108238
     /*  108238 */ GIM_Reject,
     /*  108239 */ // Label 1711: @108239
     /*  108239 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108353),
     /*  108244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108262 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108307), // Rule ID 51066 //
     /*  108267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108270 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108305 */     GIR_RootConstrainSelectedInstOperands,
     /*  108306 */     // GIR_Coverage, 51066,
     /*  108306 */     GIR_EraseRootFromParent_Done,
     /*  108307 */   // Label 1773: @108307
     /*  108307 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108352), // Rule ID 51067 //
     /*  108312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108315 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108350 */     GIR_RootConstrainSelectedInstOperands,
     /*  108351 */     // GIR_Coverage, 51067,
     /*  108351 */     GIR_EraseRootFromParent_Done,
     /*  108352 */   // Label 1774: @108352
     /*  108352 */   GIM_Reject,
     /*  108353 */ // Label 1772: @108353
     /*  108353 */ GIM_Reject,
     /*  108354 */ // Label 1712: @108354
     /*  108354 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108468),
     /*  108359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108377 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108422), // Rule ID 51038 //
     /*  108382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108385 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108420 */     GIR_RootConstrainSelectedInstOperands,
     /*  108421 */     // GIR_Coverage, 51038,
     /*  108421 */     GIR_EraseRootFromParent_Done,
     /*  108422 */   // Label 1776: @108422
     /*  108422 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108467), // Rule ID 51039 //
     /*  108427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108430 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108465 */     GIR_RootConstrainSelectedInstOperands,
     /*  108466 */     // GIR_Coverage, 51039,
     /*  108466 */     GIR_EraseRootFromParent_Done,
     /*  108467 */   // Label 1777: @108467
     /*  108467 */   GIM_Reject,
     /*  108468 */ // Label 1775: @108468
     /*  108468 */ GIM_Reject,
     /*  108469 */ // Label 1713: @108469
     /*  108469 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108583),
     /*  108474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108492 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108537), // Rule ID 51054 //
     /*  108497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108500 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108535 */     GIR_RootConstrainSelectedInstOperands,
     /*  108536 */     // GIR_Coverage, 51054,
     /*  108536 */     GIR_EraseRootFromParent_Done,
     /*  108537 */   // Label 1779: @108537
     /*  108537 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(108582), // Rule ID 51055 //
     /*  108542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108545 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108580 */     GIR_RootConstrainSelectedInstOperands,
     /*  108581 */     // GIR_Coverage, 51055,
     /*  108581 */     GIR_EraseRootFromParent_Done,
     /*  108582 */   // Label 1780: @108582
     /*  108582 */   GIM_Reject,
     /*  108583 */ // Label 1778: @108583
     /*  108583 */ GIM_Reject,
     /*  108584 */ // Label 1714: @108584
     /*  108584 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(108698),
     /*  108589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108607 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(108652), // Rule ID 51042 //
     /*  108612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108615 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108650 */     GIR_RootConstrainSelectedInstOperands,
     /*  108651 */     // GIR_Coverage, 51042,
     /*  108651 */     GIR_EraseRootFromParent_Done,
     /*  108652 */   // Label 1782: @108652
     /*  108652 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(108697), // Rule ID 51043 //
     /*  108657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108660 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108695 */     GIR_RootConstrainSelectedInstOperands,
     /*  108696 */     // GIR_Coverage, 51043,
     /*  108696 */     GIR_EraseRootFromParent_Done,
     /*  108697 */   // Label 1783: @108697
     /*  108697 */   GIM_Reject,
     /*  108698 */ // Label 1781: @108698
     /*  108698 */ GIM_Reject,
     /*  108699 */ // Label 1715: @108699
     /*  108699 */ GIM_Reject,
     /*  108700 */ // Label 5: @108700
     /*  108700 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1808*/ GIMT_Encode4(111478),
     /*  108711 */ /*GILLT_s32*//*Label 1784*/ GIMT_Encode4(108835),
     /*  108715 */ /*GILLT_s64*//*Label 1785*/ GIMT_Encode4(108869), GIMT_Encode4(0),
     /*  108723 */ /*GILLT_nxv1s8*//*Label 1786*/ GIMT_Encode4(108948),
     /*  108727 */ /*GILLT_nxv1s16*//*Label 1787*/ GIMT_Encode4(109063),
     /*  108731 */ /*GILLT_nxv1s32*//*Label 1788*/ GIMT_Encode4(109178),
     /*  108735 */ /*GILLT_nxv1s64*//*Label 1789*/ GIMT_Encode4(109293), GIMT_Encode4(0),
     /*  108743 */ /*GILLT_nxv2s8*//*Label 1790*/ GIMT_Encode4(109408),
     /*  108747 */ /*GILLT_nxv2s16*//*Label 1791*/ GIMT_Encode4(109523),
     /*  108751 */ /*GILLT_nxv2s32*//*Label 1792*/ GIMT_Encode4(109638),
     /*  108755 */ /*GILLT_nxv2s64*//*Label 1793*/ GIMT_Encode4(109753), GIMT_Encode4(0),
     /*  108763 */ /*GILLT_nxv4s8*//*Label 1794*/ GIMT_Encode4(109868),
     /*  108767 */ /*GILLT_nxv4s16*//*Label 1795*/ GIMT_Encode4(109983),
     /*  108771 */ /*GILLT_nxv4s32*//*Label 1796*/ GIMT_Encode4(110098),
     /*  108775 */ /*GILLT_nxv4s64*//*Label 1797*/ GIMT_Encode4(110213), GIMT_Encode4(0),
     /*  108783 */ /*GILLT_nxv8s8*//*Label 1798*/ GIMT_Encode4(110328),
     /*  108787 */ /*GILLT_nxv8s16*//*Label 1799*/ GIMT_Encode4(110443),
     /*  108791 */ /*GILLT_nxv8s32*//*Label 1800*/ GIMT_Encode4(110558),
     /*  108795 */ /*GILLT_nxv8s64*//*Label 1801*/ GIMT_Encode4(110673), GIMT_Encode4(0),
     /*  108803 */ /*GILLT_nxv16s8*//*Label 1802*/ GIMT_Encode4(110788),
     /*  108807 */ /*GILLT_nxv16s16*//*Label 1803*/ GIMT_Encode4(110903),
     /*  108811 */ /*GILLT_nxv16s32*//*Label 1804*/ GIMT_Encode4(111018), GIMT_Encode4(0),
     /*  108819 */ /*GILLT_nxv32s8*//*Label 1805*/ GIMT_Encode4(111133),
     /*  108823 */ /*GILLT_nxv32s16*//*Label 1806*/ GIMT_Encode4(111248), GIMT_Encode4(0),
     /*  108831 */ /*GILLT_nxv64s8*//*Label 1807*/ GIMT_Encode4(111363),
     /*  108835 */ // Label 1784: @108835
     /*  108835 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108868), // Rule ID 302 //
     /*  108840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108861 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108866 */   GIR_RootConstrainSelectedInstOperands,
     /*  108867 */   // GIR_Coverage, 302,
     /*  108867 */   GIR_Done,
     /*  108868 */ // Label 1809: @108868
     /*  108868 */ GIM_Reject,
     /*  108869 */ // Label 1785: @108869
     /*  108869 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108947),
     /*  108874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108884 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(108923), // Rule ID 311 //
     /*  108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108906 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108921 */     GIR_RootConstrainSelectedInstOperands,
     /*  108922 */     // GIR_Coverage, 311,
     /*  108922 */     GIR_EraseRootFromParent_Done,
     /*  108923 */   // Label 1811: @108923
     /*  108923 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(108946), // Rule ID 301 //
     /*  108928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108939 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108944 */     GIR_RootConstrainSelectedInstOperands,
     /*  108945 */     // GIR_Coverage, 301,
     /*  108945 */     GIR_Done,
     /*  108946 */   // Label 1812: @108946
     /*  108946 */   GIM_Reject,
     /*  108947 */ // Label 1810: @108947
     /*  108947 */ GIM_Reject,
     /*  108948 */ // Label 1786: @108948
     /*  108948 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109062),
     /*  108953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108971 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109016), // Rule ID 51258 //
     /*  108976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108979 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109014 */     GIR_RootConstrainSelectedInstOperands,
     /*  109015 */     // GIR_Coverage, 51258,
     /*  109015 */     GIR_EraseRootFromParent_Done,
     /*  109016 */   // Label 1814: @109016
     /*  109016 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109061), // Rule ID 51259 //
     /*  109021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109024 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  109027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109059 */     GIR_RootConstrainSelectedInstOperands,
     /*  109060 */     // GIR_Coverage, 51259,
     /*  109060 */     GIR_EraseRootFromParent_Done,
     /*  109061 */   // Label 1815: @109061
     /*  109061 */   GIM_Reject,
     /*  109062 */ // Label 1813: @109062
     /*  109062 */ GIM_Reject,
     /*  109063 */ // Label 1787: @109063
     /*  109063 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109177),
     /*  109068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  109071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  109074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109086 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109131), // Rule ID 51270 //
     /*  109091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109094 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109129 */     GIR_RootConstrainSelectedInstOperands,
     /*  109130 */     // GIR_Coverage, 51270,
     /*  109130 */     GIR_EraseRootFromParent_Done,
     /*  109131 */   // Label 1817: @109131
     /*  109131 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109176), // Rule ID 51271 //
     /*  109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109139 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109174 */     GIR_RootConstrainSelectedInstOperands,
     /*  109175 */     // GIR_Coverage, 51271,
     /*  109175 */     GIR_EraseRootFromParent_Done,
     /*  109176 */   // Label 1818: @109176
     /*  109176 */   GIM_Reject,
     /*  109177 */ // Label 1816: @109177
     /*  109177 */ GIM_Reject,
     /*  109178 */ // Label 1788: @109178
     /*  109178 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109292),
     /*  109183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109201 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109246), // Rule ID 51278 //
     /*  109206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109209 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109244 */     GIR_RootConstrainSelectedInstOperands,
     /*  109245 */     // GIR_Coverage, 51278,
     /*  109245 */     GIR_EraseRootFromParent_Done,
     /*  109246 */   // Label 1820: @109246
     /*  109246 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109291), // Rule ID 51279 //
     /*  109251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109254 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109289 */     GIR_RootConstrainSelectedInstOperands,
     /*  109290 */     // GIR_Coverage, 51279,
     /*  109290 */     GIR_EraseRootFromParent_Done,
     /*  109291 */   // Label 1821: @109291
     /*  109291 */   GIM_Reject,
     /*  109292 */ // Label 1819: @109292
     /*  109292 */ GIM_Reject,
     /*  109293 */ // Label 1789: @109293
     /*  109293 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109407),
     /*  109298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109316 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109361), // Rule ID 51294 //
     /*  109321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109324 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109359 */     GIR_RootConstrainSelectedInstOperands,
     /*  109360 */     // GIR_Coverage, 51294,
     /*  109360 */     GIR_EraseRootFromParent_Done,
     /*  109361 */   // Label 1823: @109361
     /*  109361 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109406), // Rule ID 51295 //
     /*  109366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109369 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109404 */     GIR_RootConstrainSelectedInstOperands,
     /*  109405 */     // GIR_Coverage, 51295,
     /*  109405 */     GIR_EraseRootFromParent_Done,
     /*  109406 */   // Label 1824: @109406
     /*  109406 */   GIM_Reject,
     /*  109407 */ // Label 1822: @109407
     /*  109407 */ GIM_Reject,
     /*  109408 */ // Label 1790: @109408
     /*  109408 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109522),
     /*  109413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109431 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109476), // Rule ID 51262 //
     /*  109436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109439 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109474 */     GIR_RootConstrainSelectedInstOperands,
     /*  109475 */     // GIR_Coverage, 51262,
     /*  109475 */     GIR_EraseRootFromParent_Done,
     /*  109476 */   // Label 1826: @109476
     /*  109476 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109521), // Rule ID 51263 //
     /*  109481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109484 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109519 */     GIR_RootConstrainSelectedInstOperands,
     /*  109520 */     // GIR_Coverage, 51263,
     /*  109520 */     GIR_EraseRootFromParent_Done,
     /*  109521 */   // Label 1827: @109521
     /*  109521 */   GIM_Reject,
     /*  109522 */ // Label 1825: @109522
     /*  109522 */ GIM_Reject,
     /*  109523 */ // Label 1791: @109523
     /*  109523 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109637),
     /*  109528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109546 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109591), // Rule ID 51274 //
     /*  109551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109554 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109589 */     GIR_RootConstrainSelectedInstOperands,
     /*  109590 */     // GIR_Coverage, 51274,
     /*  109590 */     GIR_EraseRootFromParent_Done,
     /*  109591 */   // Label 1829: @109591
     /*  109591 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109636), // Rule ID 51275 //
     /*  109596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109599 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109634 */     GIR_RootConstrainSelectedInstOperands,
     /*  109635 */     // GIR_Coverage, 51275,
     /*  109635 */     GIR_EraseRootFromParent_Done,
     /*  109636 */   // Label 1830: @109636
     /*  109636 */   GIM_Reject,
     /*  109637 */ // Label 1828: @109637
     /*  109637 */ GIM_Reject,
     /*  109638 */ // Label 1792: @109638
     /*  109638 */ GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109752),
     /*  109643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109661 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109706), // Rule ID 51290 //
     /*  109666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109669 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109704 */     GIR_RootConstrainSelectedInstOperands,
     /*  109705 */     // GIR_Coverage, 51290,
     /*  109705 */     GIR_EraseRootFromParent_Done,
     /*  109706 */   // Label 1832: @109706
     /*  109706 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109751), // Rule ID 51291 //
     /*  109711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109714 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109749 */     GIR_RootConstrainSelectedInstOperands,
     /*  109750 */     // GIR_Coverage, 51291,
     /*  109750 */     GIR_EraseRootFromParent_Done,
     /*  109751 */   // Label 1833: @109751
     /*  109751 */   GIM_Reject,
     /*  109752 */ // Label 1831: @109752
     /*  109752 */ GIM_Reject,
     /*  109753 */ // Label 1793: @109753
     /*  109753 */ GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109867),
     /*  109758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109776 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109821), // Rule ID 51334 //
     /*  109781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109784 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109819 */     GIR_RootConstrainSelectedInstOperands,
     /*  109820 */     // GIR_Coverage, 51334,
     /*  109820 */     GIR_EraseRootFromParent_Done,
     /*  109821 */   // Label 1835: @109821
     /*  109821 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(109866), // Rule ID 51335 //
     /*  109826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109829 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109864 */     GIR_RootConstrainSelectedInstOperands,
     /*  109865 */     // GIR_Coverage, 51335,
     /*  109865 */     GIR_EraseRootFromParent_Done,
     /*  109866 */   // Label 1836: @109866
     /*  109866 */   GIM_Reject,
     /*  109867 */ // Label 1834: @109867
     /*  109867 */ GIM_Reject,
     /*  109868 */ // Label 1794: @109868
     /*  109868 */ GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109982),
     /*  109873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109891 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(109936), // Rule ID 51266 //
     /*  109896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109899 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109934 */     GIR_RootConstrainSelectedInstOperands,
     /*  109935 */     // GIR_Coverage, 51266,
     /*  109935 */     GIR_EraseRootFromParent_Done,
     /*  109936 */   // Label 1838: @109936
     /*  109936 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(109981), // Rule ID 51267 //
     /*  109941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109944 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109979 */     GIR_RootConstrainSelectedInstOperands,
     /*  109980 */     // GIR_Coverage, 51267,
     /*  109980 */     GIR_EraseRootFromParent_Done,
     /*  109981 */   // Label 1839: @109981
     /*  109981 */   GIM_Reject,
     /*  109982 */ // Label 1837: @109982
     /*  109982 */ GIM_Reject,
     /*  109983 */ // Label 1795: @109983
     /*  109983 */ GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110097),
     /*  109988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  109994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110006 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110051), // Rule ID 51286 //
     /*  110011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110014 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110049 */     GIR_RootConstrainSelectedInstOperands,
     /*  110050 */     // GIR_Coverage, 51286,
     /*  110050 */     GIR_EraseRootFromParent_Done,
     /*  110051 */   // Label 1841: @110051
     /*  110051 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110096), // Rule ID 51287 //
     /*  110056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110059 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110094 */     GIR_RootConstrainSelectedInstOperands,
     /*  110095 */     // GIR_Coverage, 51287,
     /*  110095 */     GIR_EraseRootFromParent_Done,
     /*  110096 */   // Label 1842: @110096
     /*  110096 */   GIM_Reject,
     /*  110097 */ // Label 1840: @110097
     /*  110097 */ GIM_Reject,
     /*  110098 */ // Label 1796: @110098
     /*  110098 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110212),
     /*  110103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110121 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110166), // Rule ID 51322 //
     /*  110126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110129 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110164 */     GIR_RootConstrainSelectedInstOperands,
     /*  110165 */     // GIR_Coverage, 51322,
     /*  110165 */     GIR_EraseRootFromParent_Done,
     /*  110166 */   // Label 1844: @110166
     /*  110166 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110211), // Rule ID 51323 //
     /*  110171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110174 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110209 */     GIR_RootConstrainSelectedInstOperands,
     /*  110210 */     // GIR_Coverage, 51323,
     /*  110210 */     GIR_EraseRootFromParent_Done,
     /*  110211 */   // Label 1845: @110211
     /*  110211 */   GIM_Reject,
     /*  110212 */ // Label 1843: @110212
     /*  110212 */ GIM_Reject,
     /*  110213 */ // Label 1797: @110213
     /*  110213 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110327),
     /*  110218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110236 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110281), // Rule ID 51338 //
     /*  110241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110244 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110279 */     GIR_RootConstrainSelectedInstOperands,
     /*  110280 */     // GIR_Coverage, 51338,
     /*  110280 */     GIR_EraseRootFromParent_Done,
     /*  110281 */   // Label 1847: @110281
     /*  110281 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110326), // Rule ID 51339 //
     /*  110286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110289 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110324 */     GIR_RootConstrainSelectedInstOperands,
     /*  110325 */     // GIR_Coverage, 51339,
     /*  110325 */     GIR_EraseRootFromParent_Done,
     /*  110326 */   // Label 1848: @110326
     /*  110326 */   GIM_Reject,
     /*  110327 */ // Label 1846: @110327
     /*  110327 */ GIM_Reject,
     /*  110328 */ // Label 1798: @110328
     /*  110328 */ GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110442),
     /*  110333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110351 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110396), // Rule ID 51282 //
     /*  110356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110359 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110394 */     GIR_RootConstrainSelectedInstOperands,
     /*  110395 */     // GIR_Coverage, 51282,
     /*  110395 */     GIR_EraseRootFromParent_Done,
     /*  110396 */   // Label 1850: @110396
     /*  110396 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110441), // Rule ID 51283 //
     /*  110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110404 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110439 */     GIR_RootConstrainSelectedInstOperands,
     /*  110440 */     // GIR_Coverage, 51283,
     /*  110440 */     GIR_EraseRootFromParent_Done,
     /*  110441 */   // Label 1851: @110441
     /*  110441 */   GIM_Reject,
     /*  110442 */ // Label 1849: @110442
     /*  110442 */ GIM_Reject,
     /*  110443 */ // Label 1799: @110443
     /*  110443 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110557),
     /*  110448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110466 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110511), // Rule ID 51310 //
     /*  110471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110474 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110509 */     GIR_RootConstrainSelectedInstOperands,
     /*  110510 */     // GIR_Coverage, 51310,
     /*  110510 */     GIR_EraseRootFromParent_Done,
     /*  110511 */   // Label 1853: @110511
     /*  110511 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110556), // Rule ID 51311 //
     /*  110516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110519 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110554 */     GIR_RootConstrainSelectedInstOperands,
     /*  110555 */     // GIR_Coverage, 51311,
     /*  110555 */     GIR_EraseRootFromParent_Done,
     /*  110556 */   // Label 1854: @110556
     /*  110556 */   GIM_Reject,
     /*  110557 */ // Label 1852: @110557
     /*  110557 */ GIM_Reject,
     /*  110558 */ // Label 1800: @110558
     /*  110558 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110672),
     /*  110563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110581 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110626), // Rule ID 51326 //
     /*  110586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110589 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110624 */     GIR_RootConstrainSelectedInstOperands,
     /*  110625 */     // GIR_Coverage, 51326,
     /*  110625 */     GIR_EraseRootFromParent_Done,
     /*  110626 */   // Label 1856: @110626
     /*  110626 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110671), // Rule ID 51327 //
     /*  110631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110634 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110669 */     GIR_RootConstrainSelectedInstOperands,
     /*  110670 */     // GIR_Coverage, 51327,
     /*  110670 */     GIR_EraseRootFromParent_Done,
     /*  110671 */   // Label 1857: @110671
     /*  110671 */   GIM_Reject,
     /*  110672 */ // Label 1855: @110672
     /*  110672 */ GIM_Reject,
     /*  110673 */ // Label 1801: @110673
     /*  110673 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110787),
     /*  110678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110696 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110741), // Rule ID 51342 //
     /*  110701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110704 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110739 */     GIR_RootConstrainSelectedInstOperands,
     /*  110740 */     // GIR_Coverage, 51342,
     /*  110740 */     GIR_EraseRootFromParent_Done,
     /*  110741 */   // Label 1859: @110741
     /*  110741 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110786), // Rule ID 51343 //
     /*  110746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110749 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110784 */     GIR_RootConstrainSelectedInstOperands,
     /*  110785 */     // GIR_Coverage, 51343,
     /*  110785 */     GIR_EraseRootFromParent_Done,
     /*  110786 */   // Label 1860: @110786
     /*  110786 */   GIM_Reject,
     /*  110787 */ // Label 1858: @110787
     /*  110787 */ GIM_Reject,
     /*  110788 */ // Label 1802: @110788
     /*  110788 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110902),
     /*  110793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110811 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(110856), // Rule ID 51298 //
     /*  110816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110819 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110854 */     GIR_RootConstrainSelectedInstOperands,
     /*  110855 */     // GIR_Coverage, 51298,
     /*  110855 */     GIR_EraseRootFromParent_Done,
     /*  110856 */   // Label 1862: @110856
     /*  110856 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(110901), // Rule ID 51299 //
     /*  110861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110864 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110899 */     GIR_RootConstrainSelectedInstOperands,
     /*  110900 */     // GIR_Coverage, 51299,
     /*  110900 */     GIR_EraseRootFromParent_Done,
     /*  110901 */   // Label 1863: @110901
     /*  110901 */   GIM_Reject,
     /*  110902 */ // Label 1861: @110902
     /*  110902 */ GIM_Reject,
     /*  110903 */ // Label 1803: @110903
     /*  110903 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111017),
     /*  110908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110926 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(110971), // Rule ID 51314 //
     /*  110931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110934 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110969 */     GIR_RootConstrainSelectedInstOperands,
     /*  110970 */     // GIR_Coverage, 51314,
     /*  110970 */     GIR_EraseRootFromParent_Done,
     /*  110971 */   // Label 1865: @110971
     /*  110971 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111016), // Rule ID 51315 //
     /*  110976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110979 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111014 */     GIR_RootConstrainSelectedInstOperands,
     /*  111015 */     // GIR_Coverage, 51315,
     /*  111015 */     GIR_EraseRootFromParent_Done,
     /*  111016 */   // Label 1866: @111016
     /*  111016 */   GIM_Reject,
     /*  111017 */ // Label 1864: @111017
     /*  111017 */ GIM_Reject,
     /*  111018 */ // Label 1804: @111018
     /*  111018 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111132),
     /*  111023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  111026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  111029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111041 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111086), // Rule ID 51330 //
     /*  111046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111049 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111084 */     GIR_RootConstrainSelectedInstOperands,
     /*  111085 */     // GIR_Coverage, 51330,
     /*  111085 */     GIR_EraseRootFromParent_Done,
     /*  111086 */   // Label 1868: @111086
     /*  111086 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111131), // Rule ID 51331 //
     /*  111091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111094 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111129 */     GIR_RootConstrainSelectedInstOperands,
     /*  111130 */     // GIR_Coverage, 51331,
     /*  111130 */     GIR_EraseRootFromParent_Done,
     /*  111131 */   // Label 1869: @111131
     /*  111131 */   GIM_Reject,
     /*  111132 */ // Label 1867: @111132
     /*  111132 */ GIM_Reject,
     /*  111133 */ // Label 1805: @111133
     /*  111133 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111247),
     /*  111138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111156 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111201), // Rule ID 51302 //
     /*  111161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111164 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111199 */     GIR_RootConstrainSelectedInstOperands,
     /*  111200 */     // GIR_Coverage, 51302,
     /*  111200 */     GIR_EraseRootFromParent_Done,
     /*  111201 */   // Label 1871: @111201
     /*  111201 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111246), // Rule ID 51303 //
     /*  111206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111209 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111244 */     GIR_RootConstrainSelectedInstOperands,
     /*  111245 */     // GIR_Coverage, 51303,
     /*  111245 */     GIR_EraseRootFromParent_Done,
     /*  111246 */   // Label 1872: @111246
     /*  111246 */   GIM_Reject,
     /*  111247 */ // Label 1870: @111247
     /*  111247 */ GIM_Reject,
     /*  111248 */ // Label 1806: @111248
     /*  111248 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111362),
     /*  111253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111316), // Rule ID 51318 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111279 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111314 */     GIR_RootConstrainSelectedInstOperands,
     /*  111315 */     // GIR_Coverage, 51318,
     /*  111315 */     GIR_EraseRootFromParent_Done,
     /*  111316 */   // Label 1874: @111316
     /*  111316 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(111361), // Rule ID 51319 //
     /*  111321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111324 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111359 */     GIR_RootConstrainSelectedInstOperands,
     /*  111360 */     // GIR_Coverage, 51319,
     /*  111360 */     GIR_EraseRootFromParent_Done,
     /*  111361 */   // Label 1875: @111361
     /*  111361 */   GIM_Reject,
     /*  111362 */ // Label 1873: @111362
     /*  111362 */ GIM_Reject,
     /*  111363 */ // Label 1807: @111363
     /*  111363 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(111477),
     /*  111368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111386 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(111431), // Rule ID 51306 //
     /*  111391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111394 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111429 */     GIR_RootConstrainSelectedInstOperands,
     /*  111430 */     // GIR_Coverage, 51306,
     /*  111430 */     GIR_EraseRootFromParent_Done,
     /*  111431 */   // Label 1877: @111431
     /*  111431 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(111476), // Rule ID 51307 //
     /*  111436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111439 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111474 */     GIR_RootConstrainSelectedInstOperands,
     /*  111475 */     // GIR_Coverage, 51307,
     /*  111475 */     GIR_EraseRootFromParent_Done,
     /*  111476 */   // Label 1878: @111476
     /*  111476 */   GIM_Reject,
     /*  111477 */ // Label 1876: @111477
     /*  111477 */ GIM_Reject,
     /*  111478 */ // Label 1808: @111478
     /*  111478 */ GIM_Reject,
     /*  111479 */ // Label 6: @111479
     /*  111479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1903*/ GIMT_Encode4(114212),
     /*  111490 */ /*GILLT_s32*//*Label 1879*/ GIMT_Encode4(111614),
     /*  111494 */ /*GILLT_s64*//*Label 1880*/ GIMT_Encode4(111648), GIMT_Encode4(0),
     /*  111502 */ /*GILLT_nxv1s8*//*Label 1881*/ GIMT_Encode4(111682),
     /*  111506 */ /*GILLT_nxv1s16*//*Label 1882*/ GIMT_Encode4(111797),
     /*  111510 */ /*GILLT_nxv1s32*//*Label 1883*/ GIMT_Encode4(111912),
     /*  111514 */ /*GILLT_nxv1s64*//*Label 1884*/ GIMT_Encode4(112027), GIMT_Encode4(0),
     /*  111522 */ /*GILLT_nxv2s8*//*Label 1885*/ GIMT_Encode4(112142),
     /*  111526 */ /*GILLT_nxv2s16*//*Label 1886*/ GIMT_Encode4(112257),
     /*  111530 */ /*GILLT_nxv2s32*//*Label 1887*/ GIMT_Encode4(112372),
     /*  111534 */ /*GILLT_nxv2s64*//*Label 1888*/ GIMT_Encode4(112487), GIMT_Encode4(0),
     /*  111542 */ /*GILLT_nxv4s8*//*Label 1889*/ GIMT_Encode4(112602),
     /*  111546 */ /*GILLT_nxv4s16*//*Label 1890*/ GIMT_Encode4(112717),
     /*  111550 */ /*GILLT_nxv4s32*//*Label 1891*/ GIMT_Encode4(112832),
     /*  111554 */ /*GILLT_nxv4s64*//*Label 1892*/ GIMT_Encode4(112947), GIMT_Encode4(0),
     /*  111562 */ /*GILLT_nxv8s8*//*Label 1893*/ GIMT_Encode4(113062),
     /*  111566 */ /*GILLT_nxv8s16*//*Label 1894*/ GIMT_Encode4(113177),
     /*  111570 */ /*GILLT_nxv8s32*//*Label 1895*/ GIMT_Encode4(113292),
     /*  111574 */ /*GILLT_nxv8s64*//*Label 1896*/ GIMT_Encode4(113407), GIMT_Encode4(0),
     /*  111582 */ /*GILLT_nxv16s8*//*Label 1897*/ GIMT_Encode4(113522),
     /*  111586 */ /*GILLT_nxv16s16*//*Label 1898*/ GIMT_Encode4(113637),
     /*  111590 */ /*GILLT_nxv16s32*//*Label 1899*/ GIMT_Encode4(113752), GIMT_Encode4(0),
     /*  111598 */ /*GILLT_nxv32s8*//*Label 1900*/ GIMT_Encode4(113867),
     /*  111602 */ /*GILLT_nxv32s16*//*Label 1901*/ GIMT_Encode4(113982), GIMT_Encode4(0),
     /*  111610 */ /*GILLT_nxv64s8*//*Label 1902*/ GIMT_Encode4(114097),
     /*  111614 */ // Label 1879: @111614
     /*  111614 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111647), // Rule ID 304 //
     /*  111619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111640 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111645 */   GIR_RootConstrainSelectedInstOperands,
     /*  111646 */   // GIR_Coverage, 304,
     /*  111646 */   GIR_Done,
     /*  111647 */ // Label 1904: @111647
     /*  111647 */ GIM_Reject,
     /*  111648 */ // Label 1880: @111648
     /*  111648 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111681), // Rule ID 303 //
     /*  111653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111674 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111679 */   GIR_RootConstrainSelectedInstOperands,
     /*  111680 */   // GIR_Coverage, 303,
     /*  111680 */   GIR_Done,
     /*  111681 */ // Label 1905: @111681
     /*  111681 */ GIM_Reject,
     /*  111682 */ // Label 1881: @111682
     /*  111682 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111796),
     /*  111687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111705 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111750), // Rule ID 51170 //
     /*  111710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111713 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111748 */     GIR_RootConstrainSelectedInstOperands,
     /*  111749 */     // GIR_Coverage, 51170,
     /*  111749 */     GIR_EraseRootFromParent_Done,
     /*  111750 */   // Label 1907: @111750
     /*  111750 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111795), // Rule ID 51171 //
     /*  111755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111758 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111793 */     GIR_RootConstrainSelectedInstOperands,
     /*  111794 */     // GIR_Coverage, 51171,
     /*  111794 */     GIR_EraseRootFromParent_Done,
     /*  111795 */   // Label 1908: @111795
     /*  111795 */   GIM_Reject,
     /*  111796 */ // Label 1906: @111796
     /*  111796 */ GIM_Reject,
     /*  111797 */ // Label 1882: @111797
     /*  111797 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111911),
     /*  111802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111820 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(111865), // Rule ID 51182 //
     /*  111825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111828 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111863 */     GIR_RootConstrainSelectedInstOperands,
     /*  111864 */     // GIR_Coverage, 51182,
     /*  111864 */     GIR_EraseRootFromParent_Done,
     /*  111865 */   // Label 1910: @111865
     /*  111865 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(111910), // Rule ID 51183 //
     /*  111870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111873 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111908 */     GIR_RootConstrainSelectedInstOperands,
     /*  111909 */     // GIR_Coverage, 51183,
     /*  111909 */     GIR_EraseRootFromParent_Done,
     /*  111910 */   // Label 1911: @111910
     /*  111910 */   GIM_Reject,
     /*  111911 */ // Label 1909: @111911
     /*  111911 */ GIM_Reject,
     /*  111912 */ // Label 1883: @111912
     /*  111912 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112026),
     /*  111917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111935 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(111980), // Rule ID 51190 //
     /*  111940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111943 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111978 */     GIR_RootConstrainSelectedInstOperands,
     /*  111979 */     // GIR_Coverage, 51190,
     /*  111979 */     GIR_EraseRootFromParent_Done,
     /*  111980 */   // Label 1913: @111980
     /*  111980 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112025), // Rule ID 51191 //
     /*  111985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111988 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112023 */     GIR_RootConstrainSelectedInstOperands,
     /*  112024 */     // GIR_Coverage, 51191,
     /*  112024 */     GIR_EraseRootFromParent_Done,
     /*  112025 */   // Label 1914: @112025
     /*  112025 */   GIM_Reject,
     /*  112026 */ // Label 1912: @112026
     /*  112026 */ GIM_Reject,
     /*  112027 */ // Label 1884: @112027
     /*  112027 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112141),
     /*  112032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  112035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  112038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112050 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112095), // Rule ID 51206 //
     /*  112055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112058 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112093 */     GIR_RootConstrainSelectedInstOperands,
     /*  112094 */     // GIR_Coverage, 51206,
     /*  112094 */     GIR_EraseRootFromParent_Done,
     /*  112095 */   // Label 1916: @112095
     /*  112095 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112140), // Rule ID 51207 //
     /*  112100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112103 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112138 */     GIR_RootConstrainSelectedInstOperands,
     /*  112139 */     // GIR_Coverage, 51207,
     /*  112139 */     GIR_EraseRootFromParent_Done,
     /*  112140 */   // Label 1917: @112140
     /*  112140 */   GIM_Reject,
     /*  112141 */ // Label 1915: @112141
     /*  112141 */ GIM_Reject,
     /*  112142 */ // Label 1885: @112142
     /*  112142 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112256),
     /*  112147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112165 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112210), // Rule ID 51174 //
     /*  112170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112173 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112208 */     GIR_RootConstrainSelectedInstOperands,
     /*  112209 */     // GIR_Coverage, 51174,
     /*  112209 */     GIR_EraseRootFromParent_Done,
     /*  112210 */   // Label 1919: @112210
     /*  112210 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112255), // Rule ID 51175 //
     /*  112215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112218 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112253 */     GIR_RootConstrainSelectedInstOperands,
     /*  112254 */     // GIR_Coverage, 51175,
     /*  112254 */     GIR_EraseRootFromParent_Done,
     /*  112255 */   // Label 1920: @112255
     /*  112255 */   GIM_Reject,
     /*  112256 */ // Label 1918: @112256
     /*  112256 */ GIM_Reject,
     /*  112257 */ // Label 1886: @112257
     /*  112257 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112371),
     /*  112262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112280 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112325), // Rule ID 51186 //
     /*  112285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112288 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112323 */     GIR_RootConstrainSelectedInstOperands,
     /*  112324 */     // GIR_Coverage, 51186,
     /*  112324 */     GIR_EraseRootFromParent_Done,
     /*  112325 */   // Label 1922: @112325
     /*  112325 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112370), // Rule ID 51187 //
     /*  112330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112333 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112368 */     GIR_RootConstrainSelectedInstOperands,
     /*  112369 */     // GIR_Coverage, 51187,
     /*  112369 */     GIR_EraseRootFromParent_Done,
     /*  112370 */   // Label 1923: @112370
     /*  112370 */   GIM_Reject,
     /*  112371 */ // Label 1921: @112371
     /*  112371 */ GIM_Reject,
     /*  112372 */ // Label 1887: @112372
     /*  112372 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112486),
     /*  112377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112395 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112440), // Rule ID 51202 //
     /*  112400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112403 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112438 */     GIR_RootConstrainSelectedInstOperands,
     /*  112439 */     // GIR_Coverage, 51202,
     /*  112439 */     GIR_EraseRootFromParent_Done,
     /*  112440 */   // Label 1925: @112440
     /*  112440 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112485), // Rule ID 51203 //
     /*  112445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112448 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112483 */     GIR_RootConstrainSelectedInstOperands,
     /*  112484 */     // GIR_Coverage, 51203,
     /*  112484 */     GIR_EraseRootFromParent_Done,
     /*  112485 */   // Label 1926: @112485
     /*  112485 */   GIM_Reject,
     /*  112486 */ // Label 1924: @112486
     /*  112486 */ GIM_Reject,
     /*  112487 */ // Label 1888: @112487
     /*  112487 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112601),
     /*  112492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112510 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112555), // Rule ID 51246 //
     /*  112515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112518 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112553 */     GIR_RootConstrainSelectedInstOperands,
     /*  112554 */     // GIR_Coverage, 51246,
     /*  112554 */     GIR_EraseRootFromParent_Done,
     /*  112555 */   // Label 1928: @112555
     /*  112555 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112600), // Rule ID 51247 //
     /*  112560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112563 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112598 */     GIR_RootConstrainSelectedInstOperands,
     /*  112599 */     // GIR_Coverage, 51247,
     /*  112599 */     GIR_EraseRootFromParent_Done,
     /*  112600 */   // Label 1929: @112600
     /*  112600 */   GIM_Reject,
     /*  112601 */ // Label 1927: @112601
     /*  112601 */ GIM_Reject,
     /*  112602 */ // Label 1889: @112602
     /*  112602 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112716),
     /*  112607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112625 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112670), // Rule ID 51178 //
     /*  112630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112633 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112668 */     GIR_RootConstrainSelectedInstOperands,
     /*  112669 */     // GIR_Coverage, 51178,
     /*  112669 */     GIR_EraseRootFromParent_Done,
     /*  112670 */   // Label 1931: @112670
     /*  112670 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112715), // Rule ID 51179 //
     /*  112675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112678 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112713 */     GIR_RootConstrainSelectedInstOperands,
     /*  112714 */     // GIR_Coverage, 51179,
     /*  112714 */     GIR_EraseRootFromParent_Done,
     /*  112715 */   // Label 1932: @112715
     /*  112715 */   GIM_Reject,
     /*  112716 */ // Label 1930: @112716
     /*  112716 */ GIM_Reject,
     /*  112717 */ // Label 1890: @112717
     /*  112717 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112831),
     /*  112722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112740 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112785), // Rule ID 51198 //
     /*  112745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112748 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112783 */     GIR_RootConstrainSelectedInstOperands,
     /*  112784 */     // GIR_Coverage, 51198,
     /*  112784 */     GIR_EraseRootFromParent_Done,
     /*  112785 */   // Label 1934: @112785
     /*  112785 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112830), // Rule ID 51199 //
     /*  112790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112793 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112828 */     GIR_RootConstrainSelectedInstOperands,
     /*  112829 */     // GIR_Coverage, 51199,
     /*  112829 */     GIR_EraseRootFromParent_Done,
     /*  112830 */   // Label 1935: @112830
     /*  112830 */   GIM_Reject,
     /*  112831 */ // Label 1933: @112831
     /*  112831 */ GIM_Reject,
     /*  112832 */ // Label 1891: @112832
     /*  112832 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112946),
     /*  112837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112855 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(112900), // Rule ID 51234 //
     /*  112860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112863 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112898 */     GIR_RootConstrainSelectedInstOperands,
     /*  112899 */     // GIR_Coverage, 51234,
     /*  112899 */     GIR_EraseRootFromParent_Done,
     /*  112900 */   // Label 1937: @112900
     /*  112900 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(112945), // Rule ID 51235 //
     /*  112905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112908 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112943 */     GIR_RootConstrainSelectedInstOperands,
     /*  112944 */     // GIR_Coverage, 51235,
     /*  112944 */     GIR_EraseRootFromParent_Done,
     /*  112945 */   // Label 1938: @112945
     /*  112945 */   GIM_Reject,
     /*  112946 */ // Label 1936: @112946
     /*  112946 */ GIM_Reject,
     /*  112947 */ // Label 1892: @112947
     /*  112947 */ GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113061),
     /*  112952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112970 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113015), // Rule ID 51250 //
     /*  112975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112978 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113013 */     GIR_RootConstrainSelectedInstOperands,
     /*  113014 */     // GIR_Coverage, 51250,
     /*  113014 */     GIR_EraseRootFromParent_Done,
     /*  113015 */   // Label 1940: @113015
     /*  113015 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113060), // Rule ID 51251 //
     /*  113020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113023 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113058 */     GIR_RootConstrainSelectedInstOperands,
     /*  113059 */     // GIR_Coverage, 51251,
     /*  113059 */     GIR_EraseRootFromParent_Done,
     /*  113060 */   // Label 1941: @113060
     /*  113060 */   GIM_Reject,
     /*  113061 */ // Label 1939: @113061
     /*  113061 */ GIM_Reject,
     /*  113062 */ // Label 1893: @113062
     /*  113062 */ GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113176),
     /*  113067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  113070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  113073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113085 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113130), // Rule ID 51194 //
     /*  113090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113093 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113128 */     GIR_RootConstrainSelectedInstOperands,
     /*  113129 */     // GIR_Coverage, 51194,
     /*  113129 */     GIR_EraseRootFromParent_Done,
     /*  113130 */   // Label 1943: @113130
     /*  113130 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113175), // Rule ID 51195 //
     /*  113135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113138 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113173 */     GIR_RootConstrainSelectedInstOperands,
     /*  113174 */     // GIR_Coverage, 51195,
     /*  113174 */     GIR_EraseRootFromParent_Done,
     /*  113175 */   // Label 1944: @113175
     /*  113175 */   GIM_Reject,
     /*  113176 */ // Label 1942: @113176
     /*  113176 */ GIM_Reject,
     /*  113177 */ // Label 1894: @113177
     /*  113177 */ GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113291),
     /*  113182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113200 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113245), // Rule ID 51222 //
     /*  113205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113208 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113243 */     GIR_RootConstrainSelectedInstOperands,
     /*  113244 */     // GIR_Coverage, 51222,
     /*  113244 */     GIR_EraseRootFromParent_Done,
     /*  113245 */   // Label 1946: @113245
     /*  113245 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113290), // Rule ID 51223 //
     /*  113250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113253 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113288 */     GIR_RootConstrainSelectedInstOperands,
     /*  113289 */     // GIR_Coverage, 51223,
     /*  113289 */     GIR_EraseRootFromParent_Done,
     /*  113290 */   // Label 1947: @113290
     /*  113290 */   GIM_Reject,
     /*  113291 */ // Label 1945: @113291
     /*  113291 */ GIM_Reject,
     /*  113292 */ // Label 1895: @113292
     /*  113292 */ GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113406),
     /*  113297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113315 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113360), // Rule ID 51238 //
     /*  113320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113323 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113358 */     GIR_RootConstrainSelectedInstOperands,
     /*  113359 */     // GIR_Coverage, 51238,
     /*  113359 */     GIR_EraseRootFromParent_Done,
     /*  113360 */   // Label 1949: @113360
     /*  113360 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113405), // Rule ID 51239 //
     /*  113365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113368 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113403 */     GIR_RootConstrainSelectedInstOperands,
     /*  113404 */     // GIR_Coverage, 51239,
     /*  113404 */     GIR_EraseRootFromParent_Done,
     /*  113405 */   // Label 1950: @113405
     /*  113405 */   GIM_Reject,
     /*  113406 */ // Label 1948: @113406
     /*  113406 */ GIM_Reject,
     /*  113407 */ // Label 1896: @113407
     /*  113407 */ GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113521),
     /*  113412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113430 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113475), // Rule ID 51254 //
     /*  113435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113438 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113473 */     GIR_RootConstrainSelectedInstOperands,
     /*  113474 */     // GIR_Coverage, 51254,
     /*  113474 */     GIR_EraseRootFromParent_Done,
     /*  113475 */   // Label 1952: @113475
     /*  113475 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113520), // Rule ID 51255 //
     /*  113480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113483 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113518 */     GIR_RootConstrainSelectedInstOperands,
     /*  113519 */     // GIR_Coverage, 51255,
     /*  113519 */     GIR_EraseRootFromParent_Done,
     /*  113520 */   // Label 1953: @113520
     /*  113520 */   GIM_Reject,
     /*  113521 */ // Label 1951: @113521
     /*  113521 */ GIM_Reject,
     /*  113522 */ // Label 1897: @113522
     /*  113522 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113636),
     /*  113527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113545 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113590), // Rule ID 51210 //
     /*  113550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113553 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113588 */     GIR_RootConstrainSelectedInstOperands,
     /*  113589 */     // GIR_Coverage, 51210,
     /*  113589 */     GIR_EraseRootFromParent_Done,
     /*  113590 */   // Label 1955: @113590
     /*  113590 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113635), // Rule ID 51211 //
     /*  113595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113598 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113633 */     GIR_RootConstrainSelectedInstOperands,
     /*  113634 */     // GIR_Coverage, 51211,
     /*  113634 */     GIR_EraseRootFromParent_Done,
     /*  113635 */   // Label 1956: @113635
     /*  113635 */   GIM_Reject,
     /*  113636 */ // Label 1954: @113636
     /*  113636 */ GIM_Reject,
     /*  113637 */ // Label 1898: @113637
     /*  113637 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113751),
     /*  113642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113660 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113705), // Rule ID 51226 //
     /*  113665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113668 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113703 */     GIR_RootConstrainSelectedInstOperands,
     /*  113704 */     // GIR_Coverage, 51226,
     /*  113704 */     GIR_EraseRootFromParent_Done,
     /*  113705 */   // Label 1958: @113705
     /*  113705 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113750), // Rule ID 51227 //
     /*  113710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113713 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113748 */     GIR_RootConstrainSelectedInstOperands,
     /*  113749 */     // GIR_Coverage, 51227,
     /*  113749 */     GIR_EraseRootFromParent_Done,
     /*  113750 */   // Label 1959: @113750
     /*  113750 */   GIM_Reject,
     /*  113751 */ // Label 1957: @113751
     /*  113751 */ GIM_Reject,
     /*  113752 */ // Label 1899: @113752
     /*  113752 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113866),
     /*  113757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113775 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113820), // Rule ID 51242 //
     /*  113780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113783 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113818 */     GIR_RootConstrainSelectedInstOperands,
     /*  113819 */     // GIR_Coverage, 51242,
     /*  113819 */     GIR_EraseRootFromParent_Done,
     /*  113820 */   // Label 1961: @113820
     /*  113820 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(113865), // Rule ID 51243 //
     /*  113825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113828 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113863 */     GIR_RootConstrainSelectedInstOperands,
     /*  113864 */     // GIR_Coverage, 51243,
     /*  113864 */     GIR_EraseRootFromParent_Done,
     /*  113865 */   // Label 1962: @113865
     /*  113865 */   GIM_Reject,
     /*  113866 */ // Label 1960: @113866
     /*  113866 */ GIM_Reject,
     /*  113867 */ // Label 1900: @113867
     /*  113867 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113981),
     /*  113872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113890 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(113935), // Rule ID 51214 //
     /*  113895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113898 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113933 */     GIR_RootConstrainSelectedInstOperands,
     /*  113934 */     // GIR_Coverage, 51214,
     /*  113934 */     GIR_EraseRootFromParent_Done,
     /*  113935 */   // Label 1964: @113935
     /*  113935 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(113980), // Rule ID 51215 //
     /*  113940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113943 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113978 */     GIR_RootConstrainSelectedInstOperands,
     /*  113979 */     // GIR_Coverage, 51215,
     /*  113979 */     GIR_EraseRootFromParent_Done,
     /*  113980 */   // Label 1965: @113980
     /*  113980 */   GIM_Reject,
     /*  113981 */ // Label 1963: @113981
     /*  113981 */ GIM_Reject,
     /*  113982 */ // Label 1901: @113982
     /*  113982 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114096),
     /*  113987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  113993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114005 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114050), // Rule ID 51230 //
     /*  114010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114013 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114048 */     GIR_RootConstrainSelectedInstOperands,
     /*  114049 */     // GIR_Coverage, 51230,
     /*  114049 */     GIR_EraseRootFromParent_Done,
     /*  114050 */   // Label 1967: @114050
     /*  114050 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(114095), // Rule ID 51231 //
     /*  114055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114058 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114093 */     GIR_RootConstrainSelectedInstOperands,
     /*  114094 */     // GIR_Coverage, 51231,
     /*  114094 */     GIR_EraseRootFromParent_Done,
     /*  114095 */   // Label 1968: @114095
     /*  114095 */   GIM_Reject,
     /*  114096 */ // Label 1966: @114096
     /*  114096 */ GIM_Reject,
     /*  114097 */ // Label 1902: @114097
     /*  114097 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(114211),
     /*  114102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114120 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(114165), // Rule ID 51218 //
     /*  114125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114128 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114163 */     GIR_RootConstrainSelectedInstOperands,
     /*  114164 */     // GIR_Coverage, 51218,
     /*  114164 */     GIR_EraseRootFromParent_Done,
     /*  114165 */   // Label 1970: @114165
     /*  114165 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(114210), // Rule ID 51219 //
     /*  114170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114173 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114208 */     GIR_RootConstrainSelectedInstOperands,
     /*  114209 */     // GIR_Coverage, 51219,
     /*  114209 */     GIR_EraseRootFromParent_Done,
     /*  114210 */   // Label 1971: @114210
     /*  114210 */   GIM_Reject,
     /*  114211 */ // Label 1969: @114211
     /*  114211 */ GIM_Reject,
     /*  114212 */ // Label 1903: @114212
     /*  114212 */ GIM_Reject,
     /*  114213 */ // Label 7: @114213
     /*  114213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2003*/ GIMT_Encode4(123656),
     /*  114224 */ /*GILLT_s32*//*Label 1972*/ GIMT_Encode4(114348),
     /*  114228 */ /*GILLT_s64*//*Label 1973*/ GIMT_Encode4(115566),
     /*  114232 */ /*GILLT_nxv1s1*//*Label 1974*/ GIMT_Encode4(116849),
     /*  114236 */ /*GILLT_nxv1s8*//*Label 1975*/ GIMT_Encode4(117460),
     /*  114240 */ /*GILLT_nxv1s16*//*Label 1976*/ GIMT_Encode4(117575),
     /*  114244 */ /*GILLT_nxv1s32*//*Label 1977*/ GIMT_Encode4(117690),
     /*  114248 */ /*GILLT_nxv1s64*//*Label 1978*/ GIMT_Encode4(117805),
     /*  114252 */ /*GILLT_nxv2s1*//*Label 1979*/ GIMT_Encode4(117920),
     /*  114256 */ /*GILLT_nxv2s8*//*Label 1980*/ GIMT_Encode4(118531),
     /*  114260 */ /*GILLT_nxv2s16*//*Label 1981*/ GIMT_Encode4(118646),
     /*  114264 */ /*GILLT_nxv2s32*//*Label 1982*/ GIMT_Encode4(118761),
     /*  114268 */ /*GILLT_nxv2s64*//*Label 1983*/ GIMT_Encode4(118876),
     /*  114272 */ /*GILLT_nxv4s1*//*Label 1984*/ GIMT_Encode4(118991),
     /*  114276 */ /*GILLT_nxv4s8*//*Label 1985*/ GIMT_Encode4(119602),
     /*  114280 */ /*GILLT_nxv4s16*//*Label 1986*/ GIMT_Encode4(119717),
     /*  114284 */ /*GILLT_nxv4s32*//*Label 1987*/ GIMT_Encode4(119832),
     /*  114288 */ /*GILLT_nxv4s64*//*Label 1988*/ GIMT_Encode4(119947),
     /*  114292 */ /*GILLT_nxv8s1*//*Label 1989*/ GIMT_Encode4(120062),
     /*  114296 */ /*GILLT_nxv8s8*//*Label 1990*/ GIMT_Encode4(120673),
     /*  114300 */ /*GILLT_nxv8s16*//*Label 1991*/ GIMT_Encode4(120788),
     /*  114304 */ /*GILLT_nxv8s32*//*Label 1992*/ GIMT_Encode4(120903),
     /*  114308 */ /*GILLT_nxv8s64*//*Label 1993*/ GIMT_Encode4(121018),
     /*  114312 */ /*GILLT_nxv16s1*//*Label 1994*/ GIMT_Encode4(121133),
     /*  114316 */ /*GILLT_nxv16s8*//*Label 1995*/ GIMT_Encode4(121744),
     /*  114320 */ /*GILLT_nxv16s16*//*Label 1996*/ GIMT_Encode4(121859),
     /*  114324 */ /*GILLT_nxv16s32*//*Label 1997*/ GIMT_Encode4(121974),
     /*  114328 */ /*GILLT_nxv32s1*//*Label 1998*/ GIMT_Encode4(122089),
     /*  114332 */ /*GILLT_nxv32s8*//*Label 1999*/ GIMT_Encode4(122700),
     /*  114336 */ /*GILLT_nxv32s16*//*Label 2000*/ GIMT_Encode4(122815),
     /*  114340 */ /*GILLT_nxv64s1*//*Label 2001*/ GIMT_Encode4(122930),
     /*  114344 */ /*GILLT_nxv64s8*//*Label 2002*/ GIMT_Encode4(123541),
     /*  114348 */ // Label 1972: @114348
     /*  114348 */ GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(115565),
     /*  114353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114359 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114448), // Rule ID 65084 //
     /*  114364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114408 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114412 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114432 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114446 */     GIR_RootConstrainSelectedInstOperands,
     /*  114447 */     // GIR_Coverage, 65084,
     /*  114447 */     GIR_EraseRootFromParent_Done,
     /*  114448 */   // Label 2005: @114448
     /*  114448 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114537), // Rule ID 2434 //
     /*  114453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114497 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114501 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114521 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114535 */     GIR_RootConstrainSelectedInstOperands,
     /*  114536 */     // GIR_Coverage, 2434,
     /*  114536 */     GIR_EraseRootFromParent_Done,
     /*  114537 */   // Label 2006: @114537
     /*  114537 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114616), // Rule ID 2361 //
     /*  114542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114581 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114602 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114614 */     GIR_RootConstrainSelectedInstOperands,
     /*  114615 */     // GIR_Coverage, 2361,
     /*  114615 */     GIR_EraseRootFromParent_Done,
     /*  114616 */   // Label 2007: @114616
     /*  114616 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114695), // Rule ID 65072 //
     /*  114621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114664 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114668 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114681 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114693 */     GIR_RootConstrainSelectedInstOperands,
     /*  114694 */     // GIR_Coverage, 65072,
     /*  114694 */     GIR_EraseRootFromParent_Done,
     /*  114695 */   // Label 2008: @114695
     /*  114695 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114760), // Rule ID 2381 //
     /*  114700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114736 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114740 */     // MIs[2] Operand 1
     /*  114740 */     // No operand predicates
     /*  114740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114746 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114758 */     GIR_RootConstrainSelectedInstOperands,
     /*  114759 */     // GIR_Coverage, 2381,
     /*  114759 */     GIR_EraseRootFromParent_Done,
     /*  114760 */   // Label 2009: @114760
     /*  114760 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114825), // Rule ID 62486 //
     /*  114765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114801 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114805 */     // MIs[2] Operand 1
     /*  114805 */     // No operand predicates
     /*  114805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114811 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114823 */     GIR_RootConstrainSelectedInstOperands,
     /*  114824 */     // GIR_Coverage, 62486,
     /*  114824 */     GIR_EraseRootFromParent_Done,
     /*  114825 */   // Label 2010: @114825
     /*  114825 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114887), // Rule ID 2369 //
     /*  114830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114871 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114885 */     GIR_RootConstrainSelectedInstOperands,
     /*  114886 */     // GIR_Coverage, 2369,
     /*  114886 */     GIR_EraseRootFromParent_Done,
     /*  114887 */   // Label 2011: @114887
     /*  114887 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(114943), // Rule ID 2363 //
     /*  114892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114930 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114941 */     GIR_RootConstrainSelectedInstOperands,
     /*  114942 */     // GIR_Coverage, 2363,
     /*  114942 */     GIR_EraseRootFromParent_Done,
     /*  114943 */   // Label 2012: @114943
     /*  114943 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(114999), // Rule ID 65058 //
     /*  114948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114976 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114986 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114997 */     GIR_RootConstrainSelectedInstOperands,
     /*  114998 */     // GIR_Coverage, 65058,
     /*  114998 */     GIR_EraseRootFromParent_Done,
     /*  114999 */   // Label 2013: @114999
     /*  114999 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115055), // Rule ID 65074 //
     /*  115004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  115007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115031 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115042 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115053 */     GIR_RootConstrainSelectedInstOperands,
     /*  115054 */     // GIR_Coverage, 65074,
     /*  115054 */     GIR_EraseRootFromParent_Done,
     /*  115055 */   // Label 2014: @115055
     /*  115055 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115111), // Rule ID 2337 //
     /*  115060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  115063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115098 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115109 */     GIR_RootConstrainSelectedInstOperands,
     /*  115110 */     // GIR_Coverage, 2337,
     /*  115110 */     GIR_EraseRootFromParent_Done,
     /*  115111 */   // Label 2015: @115111
     /*  115111 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115147), // Rule ID 64387 //
     /*  115116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115127 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115138 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115145 */     GIR_RootConstrainSelectedInstOperands,
     /*  115146 */     // GIR_Coverage, 64387,
     /*  115146 */     GIR_EraseRootFromParent_Done,
     /*  115147 */   // Label 2016: @115147
     /*  115147 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115183), // Rule ID 64389 //
     /*  115152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115163 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115174 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 64389,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 2017: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115219), // Rule ID 2445 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115199 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115210 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115217 */     GIR_RootConstrainSelectedInstOperands,
     /*  115218 */     // GIR_Coverage, 2445,
     /*  115218 */     GIR_EraseRootFromParent_Done,
     /*  115219 */   // Label 2018: @115219
     /*  115219 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115255), // Rule ID 2446 //
     /*  115224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115235 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115246 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115253 */     GIR_RootConstrainSelectedInstOperands,
     /*  115254 */     // GIR_Coverage, 2446,
     /*  115254 */     GIR_EraseRootFromParent_Done,
     /*  115255 */   // Label 2019: @115255
     /*  115255 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115297), // Rule ID 2448 //
     /*  115260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115271 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115282 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115295 */     GIR_RootConstrainSelectedInstOperands,
     /*  115296 */     // GIR_Coverage, 2448,
     /*  115296 */     GIR_EraseRootFromParent_Done,
     /*  115297 */   // Label 2020: @115297
     /*  115297 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(115339), // Rule ID 2449 //
     /*  115302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115313 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115324 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115337 */     GIR_RootConstrainSelectedInstOperands,
     /*  115338 */     // GIR_Coverage, 2449,
     /*  115338 */     GIR_EraseRootFromParent_Done,
     /*  115339 */   // Label 2021: @115339
     /*  115339 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115381), // Rule ID 85 //
     /*  115344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115367 */     // MIs[1] Operand 1
     /*  115367 */     // No operand predicates
     /*  115367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115369 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115379 */     GIR_RootConstrainSelectedInstOperands,
     /*  115380 */     // GIR_Coverage, 85,
     /*  115380 */     GIR_EraseRootFromParent_Done,
     /*  115381 */   // Label 2022: @115381
     /*  115381 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115453), // Rule ID 103 //
     /*  115386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115405 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115409 */     // MIs[1] Operand 1
     /*  115409 */     // No operand predicates
     /*  115409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9926),
     /*  115413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115415 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9926>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115431 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115446 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 103,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 2023: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115495), // Rule ID 64440 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  115481 */     // MIs[1] Operand 1
     /*  115481 */     // No operand predicates
     /*  115481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115483 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  115488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115493 */     GIR_RootConstrainSelectedInstOperands,
     /*  115494 */     // GIR_Coverage, 64440,
     /*  115494 */     GIR_EraseRootFromParent_Done,
     /*  115495 */   // Label 2024: @115495
     /*  115495 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(115537), // Rule ID 64444 //
     /*  115500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  115523 */     // MIs[1] Operand 1
     /*  115523 */     // No operand predicates
     /*  115523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115525 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115535 */     GIR_RootConstrainSelectedInstOperands,
     /*  115536 */     // GIR_Coverage, 64444,
     /*  115536 */     GIR_EraseRootFromParent_Done,
     /*  115537 */   // Label 2025: @115537
     /*  115537 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115564), // Rule ID 83 //
     /*  115542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115557 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115562 */     GIR_RootConstrainSelectedInstOperands,
     /*  115563 */     // GIR_Coverage, 83,
     /*  115563 */     GIR_Done,
     /*  115564 */   // Label 2026: @115564
     /*  115564 */   GIM_Reject,
     /*  115565 */ // Label 2004: @115565
     /*  115565 */ GIM_Reject,
     /*  115566 */ // Label 1973: @115566
     /*  115566 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(116848),
     /*  115571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115581 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115666), // Rule ID 65083 //
     /*  115586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115630 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115650 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115664 */     GIR_RootConstrainSelectedInstOperands,
     /*  115665 */     // GIR_Coverage, 65083,
     /*  115665 */     GIR_EraseRootFromParent_Done,
     /*  115666 */   // Label 2028: @115666
     /*  115666 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115751), // Rule ID 2433 //
     /*  115671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115715 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115735 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115749 */     GIR_RootConstrainSelectedInstOperands,
     /*  115750 */     // GIR_Coverage, 2433,
     /*  115750 */     GIR_EraseRootFromParent_Done,
     /*  115751 */   // Label 2029: @115751
     /*  115751 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115826), // Rule ID 2360 //
     /*  115756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115795 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115812 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115824 */     GIR_RootConstrainSelectedInstOperands,
     /*  115825 */     // GIR_Coverage, 2360,
     /*  115825 */     GIR_EraseRootFromParent_Done,
     /*  115826 */   // Label 2030: @115826
     /*  115826 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(115901), // Rule ID 65071 //
     /*  115831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115870 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115874 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115887 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115899 */     GIR_RootConstrainSelectedInstOperands,
     /*  115900 */     // GIR_Coverage, 65071,
     /*  115900 */     GIR_EraseRootFromParent_Done,
     /*  115901 */   // Label 2031: @115901
     /*  115901 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(115962), // Rule ID 2380 //
     /*  115906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115942 */     // MIs[2] Operand 1
     /*  115942 */     // No operand predicates
     /*  115942 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115948 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115960 */     GIR_RootConstrainSelectedInstOperands,
     /*  115961 */     // GIR_Coverage, 2380,
     /*  115961 */     GIR_EraseRootFromParent_Done,
     /*  115962 */   // Label 2032: @115962
     /*  115962 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116023), // Rule ID 62485 //
     /*  115967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115999 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  116003 */     // MIs[2] Operand 1
     /*  116003 */     // No operand predicates
     /*  116003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116009 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  116009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  116012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  116021 */     GIR_RootConstrainSelectedInstOperands,
     /*  116022 */     // GIR_Coverage, 62485,
     /*  116022 */     GIR_EraseRootFromParent_Done,
     /*  116023 */   // Label 2033: @116023
     /*  116023 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116081), // Rule ID 2368 //
     /*  116028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  116039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  116065 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  116068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  116079 */     GIR_RootConstrainSelectedInstOperands,
     /*  116080 */     // GIR_Coverage, 2368,
     /*  116080 */     GIR_EraseRootFromParent_Done,
     /*  116081 */   // Label 2034: @116081
     /*  116081 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116133), // Rule ID 2362 //
     /*  116086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116105 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116120 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116131 */     GIR_RootConstrainSelectedInstOperands,
     /*  116132 */     // GIR_Coverage, 2362,
     /*  116132 */     GIR_EraseRootFromParent_Done,
     /*  116133 */   // Label 2035: @116133
     /*  116133 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116185), // Rule ID 65057 //
     /*  116138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116172 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116183 */     GIR_RootConstrainSelectedInstOperands,
     /*  116184 */     // GIR_Coverage, 65057,
     /*  116184 */     GIR_EraseRootFromParent_Done,
     /*  116185 */   // Label 2036: @116185
     /*  116185 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116237), // Rule ID 65073 //
     /*  116190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116224 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116235 */     GIR_RootConstrainSelectedInstOperands,
     /*  116236 */     // GIR_Coverage, 65073,
     /*  116236 */     GIR_EraseRootFromParent_Done,
     /*  116237 */   // Label 2037: @116237
     /*  116237 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116289), // Rule ID 2336 //
     /*  116242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116276 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116287 */     GIR_RootConstrainSelectedInstOperands,
     /*  116288 */     // GIR_Coverage, 2336,
     /*  116288 */     GIR_EraseRootFromParent_Done,
     /*  116289 */   // Label 2038: @116289
     /*  116289 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116321), // Rule ID 64386 //
     /*  116294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116301 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116312 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116319 */     GIR_RootConstrainSelectedInstOperands,
     /*  116320 */     // GIR_Coverage, 64386,
     /*  116320 */     GIR_EraseRootFromParent_Done,
     /*  116321 */   // Label 2039: @116321
     /*  116321 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116353), // Rule ID 64388 //
     /*  116326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116333 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116344 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116351 */     GIR_RootConstrainSelectedInstOperands,
     /*  116352 */     // GIR_Coverage, 64388,
     /*  116352 */     GIR_EraseRootFromParent_Done,
     /*  116353 */   // Label 2040: @116353
     /*  116353 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116410), // Rule ID 252 //
     /*  116358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116365 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116376 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116408 */     GIR_RootConstrainSelectedInstOperands,
     /*  116409 */     // GIR_Coverage, 252,
     /*  116409 */     GIR_EraseRootFromParent_Done,
     /*  116410 */   // Label 2041: @116410
     /*  116410 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116442), // Rule ID 2447 //
     /*  116415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116422 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116433 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116440 */     GIR_RootConstrainSelectedInstOperands,
     /*  116441 */     // GIR_Coverage, 2447,
     /*  116441 */     GIR_EraseRootFromParent_Done,
     /*  116442 */   // Label 2042: @116442
     /*  116442 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116480), // Rule ID 2450 //
     /*  116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116454 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116465 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116478 */     GIR_RootConstrainSelectedInstOperands,
     /*  116479 */     // GIR_Coverage, 2450,
     /*  116479 */     GIR_EraseRootFromParent_Done,
     /*  116480 */   // Label 2043: @116480
     /*  116480 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116518), // Rule ID 2493 //
     /*  116485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116492 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116503 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116516 */     GIR_RootConstrainSelectedInstOperands,
     /*  116517 */     // GIR_Coverage, 2493,
     /*  116517 */     GIR_EraseRootFromParent_Done,
     /*  116518 */   // Label 2044: @116518
     /*  116518 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(116556), // Rule ID 84 //
     /*  116523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116542 */     // MIs[1] Operand 1
     /*  116542 */     // No operand predicates
     /*  116542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116544 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116554 */     GIR_RootConstrainSelectedInstOperands,
     /*  116555 */     // GIR_Coverage, 84,
     /*  116555 */     GIR_EraseRootFromParent_Done,
     /*  116556 */   // Label 2045: @116556
     /*  116556 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116624), // Rule ID 101 //
     /*  116561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116580 */     // MIs[1] Operand 1
     /*  116580 */     // No operand predicates
     /*  116580 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9924),
     /*  116584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116586 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9924>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116602 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116622 */     GIR_RootConstrainSelectedInstOperands,
     /*  116623 */     // GIR_Coverage, 101,
     /*  116623 */     GIR_EraseRootFromParent_Done,
     /*  116624 */   // Label 2046: @116624
     /*  116624 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116692), // Rule ID 102 //
     /*  116629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116644 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116648 */     // MIs[1] Operand 1
     /*  116648 */     // No operand predicates
     /*  116648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9926),
     /*  116652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116654 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9926>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116670 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116690 */     GIR_RootConstrainSelectedInstOperands,
     /*  116691 */     // GIR_Coverage, 102,
     /*  116691 */     GIR_EraseRootFromParent_Done,
     /*  116692 */   // Label 2047: @116692
     /*  116692 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116760), // Rule ID 254 //
     /*  116697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116716 */     // MIs[1] Operand 1
     /*  116716 */     // No operand predicates
     /*  116716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10014),
     /*  116720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10014>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116758 */     GIR_RootConstrainSelectedInstOperands,
     /*  116759 */     // GIR_Coverage, 254,
     /*  116759 */     GIR_EraseRootFromParent_Done,
     /*  116760 */   // Label 2048: @116760
     /*  116760 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(116824), // Rule ID 2490 //
     /*  116765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116780 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116784 */     // MIs[1] Operand 1
     /*  116784 */     // No operand predicates
     /*  116784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116786 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116802 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116822 */     GIR_RootConstrainSelectedInstOperands,
     /*  116823 */     // GIR_Coverage, 2490,
     /*  116823 */     GIR_EraseRootFromParent_Done,
     /*  116824 */   // Label 2049: @116824
     /*  116824 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116847), // Rule ID 82 //
     /*  116829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116840 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116845 */     GIR_RootConstrainSelectedInstOperands,
     /*  116846 */     // GIR_Coverage, 82,
     /*  116846 */     GIR_Done,
     /*  116847 */   // Label 2050: @116847
     /*  116847 */   GIM_Reject,
     /*  116848 */ // Label 2027: @116848
     /*  116848 */ GIM_Reject,
     /*  116849 */ // Label 1974: @116849
     /*  116849 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(117459),
     /*  116854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116864 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(116930), // Rule ID 71273 //
     /*  116869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116911 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116928 */     GIR_RootConstrainSelectedInstOperands,
     /*  116929 */     // GIR_Coverage, 71273,
     /*  116929 */     GIR_EraseRootFromParent_Done,
     /*  116930 */   // Label 2052: @116930
     /*  116930 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(116996), // Rule ID 71274 //
     /*  116935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116977 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116994 */     GIR_RootConstrainSelectedInstOperands,
     /*  116995 */     // GIR_Coverage, 71274,
     /*  116995 */     GIR_EraseRootFromParent_Done,
     /*  116996 */   // Label 2053: @116996
     /*  116996 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117062), // Rule ID 71271 //
     /*  117001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117043 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117060 */     GIR_RootConstrainSelectedInstOperands,
     /*  117061 */     // GIR_Coverage, 71271,
     /*  117061 */     GIR_EraseRootFromParent_Done,
     /*  117062 */   // Label 2054: @117062
     /*  117062 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117128), // Rule ID 71272 //
     /*  117067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117109 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117126 */     GIR_RootConstrainSelectedInstOperands,
     /*  117127 */     // GIR_Coverage, 71272,
     /*  117127 */     GIR_EraseRootFromParent_Done,
     /*  117128 */   // Label 2055: @117128
     /*  117128 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117194), // Rule ID 71269 //
     /*  117133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117175 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117192 */     GIR_RootConstrainSelectedInstOperands,
     /*  117193 */     // GIR_Coverage, 71269,
     /*  117193 */     GIR_EraseRootFromParent_Done,
     /*  117194 */   // Label 2056: @117194
     /*  117194 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117260), // Rule ID 71270 //
     /*  117199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117241 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117258 */     GIR_RootConstrainSelectedInstOperands,
     /*  117259 */     // GIR_Coverage, 71270,
     /*  117259 */     GIR_EraseRootFromParent_Done,
     /*  117260 */   // Label 2057: @117260
     /*  117260 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117326), // Rule ID 53046 //
     /*  117265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117307 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117324 */     GIR_RootConstrainSelectedInstOperands,
     /*  117325 */     // GIR_Coverage, 53046,
     /*  117325 */     GIR_EraseRootFromParent_Done,
     /*  117326 */   // Label 2058: @117326
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117392), // Rule ID 53047 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117373 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117390 */     GIR_RootConstrainSelectedInstOperands,
     /*  117391 */     // GIR_Coverage, 53047,
     /*  117391 */     GIR_EraseRootFromParent_Done,
     /*  117392 */   // Label 2059: @117392
     /*  117392 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117425), // Rule ID 53034 //
     /*  117397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117408 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117423 */     GIR_RootConstrainSelectedInstOperands,
     /*  117424 */     // GIR_Coverage, 53034,
     /*  117424 */     GIR_EraseRootFromParent_Done,
     /*  117425 */   // Label 2060: @117425
     /*  117425 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117458), // Rule ID 53035 //
     /*  117430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117441 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117456 */     GIR_RootConstrainSelectedInstOperands,
     /*  117457 */     // GIR_Coverage, 53035,
     /*  117457 */     GIR_EraseRootFromParent_Done,
     /*  117458 */   // Label 2061: @117458
     /*  117458 */   GIM_Reject,
     /*  117459 */ // Label 2051: @117459
     /*  117459 */ GIM_Reject,
     /*  117460 */ // Label 1975: @117460
     /*  117460 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117574),
     /*  117465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117483 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117528), // Rule ID 47526 //
     /*  117488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117491 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117526 */     GIR_RootConstrainSelectedInstOperands,
     /*  117527 */     // GIR_Coverage, 47526,
     /*  117527 */     GIR_EraseRootFromParent_Done,
     /*  117528 */   // Label 2063: @117528
     /*  117528 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117573), // Rule ID 47527 //
     /*  117533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117536 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117571 */     GIR_RootConstrainSelectedInstOperands,
     /*  117572 */     // GIR_Coverage, 47527,
     /*  117572 */     GIR_EraseRootFromParent_Done,
     /*  117573 */   // Label 2064: @117573
     /*  117573 */   GIM_Reject,
     /*  117574 */ // Label 2062: @117574
     /*  117574 */ GIM_Reject,
     /*  117575 */ // Label 1976: @117575
     /*  117575 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117689),
     /*  117580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117598 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117643), // Rule ID 47538 //
     /*  117603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117606 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117641 */     GIR_RootConstrainSelectedInstOperands,
     /*  117642 */     // GIR_Coverage, 47538,
     /*  117642 */     GIR_EraseRootFromParent_Done,
     /*  117643 */   // Label 2066: @117643
     /*  117643 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117688), // Rule ID 47539 //
     /*  117648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117651 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117686 */     GIR_RootConstrainSelectedInstOperands,
     /*  117687 */     // GIR_Coverage, 47539,
     /*  117687 */     GIR_EraseRootFromParent_Done,
     /*  117688 */   // Label 2067: @117688
     /*  117688 */   GIM_Reject,
     /*  117689 */ // Label 2065: @117689
     /*  117689 */ GIM_Reject,
     /*  117690 */ // Label 1977: @117690
     /*  117690 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(117804),
     /*  117695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117713 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117758), // Rule ID 47546 //
     /*  117718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117721 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_RootConstrainSelectedInstOperands,
     /*  117757 */     // GIR_Coverage, 47546,
     /*  117757 */     GIR_EraseRootFromParent_Done,
     /*  117758 */   // Label 2069: @117758
     /*  117758 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117803), // Rule ID 47547 //
     /*  117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117766 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117801 */     GIR_RootConstrainSelectedInstOperands,
     /*  117802 */     // GIR_Coverage, 47547,
     /*  117802 */     GIR_EraseRootFromParent_Done,
     /*  117803 */   // Label 2070: @117803
     /*  117803 */   GIM_Reject,
     /*  117804 */ // Label 2068: @117804
     /*  117804 */ GIM_Reject,
     /*  117805 */ // Label 1978: @117805
     /*  117805 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117919),
     /*  117810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117828 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(117873), // Rule ID 47562 //
     /*  117833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117836 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117871 */     GIR_RootConstrainSelectedInstOperands,
     /*  117872 */     // GIR_Coverage, 47562,
     /*  117872 */     GIR_EraseRootFromParent_Done,
     /*  117873 */   // Label 2072: @117873
     /*  117873 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(117918), // Rule ID 47563 //
     /*  117878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117881 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117916 */     GIR_RootConstrainSelectedInstOperands,
     /*  117917 */     // GIR_Coverage, 47563,
     /*  117917 */     GIR_EraseRootFromParent_Done,
     /*  117918 */   // Label 2073: @117918
     /*  117918 */   GIM_Reject,
     /*  117919 */ // Label 2071: @117919
     /*  117919 */ GIM_Reject,
     /*  117920 */ // Label 1979: @117920
     /*  117920 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118530),
     /*  117925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117935 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118001), // Rule ID 71301 //
     /*  117940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117982 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117999 */     GIR_RootConstrainSelectedInstOperands,
     /*  118000 */     // GIR_Coverage, 71301,
     /*  118000 */     GIR_EraseRootFromParent_Done,
     /*  118001 */   // Label 2075: @118001
     /*  118001 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118067), // Rule ID 71302 //
     /*  118006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118048 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118065 */     GIR_RootConstrainSelectedInstOperands,
     /*  118066 */     // GIR_Coverage, 71302,
     /*  118066 */     GIR_EraseRootFromParent_Done,
     /*  118067 */   // Label 2076: @118067
     /*  118067 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118133), // Rule ID 71299 //
     /*  118072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118114 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118131 */     GIR_RootConstrainSelectedInstOperands,
     /*  118132 */     // GIR_Coverage, 71299,
     /*  118132 */     GIR_EraseRootFromParent_Done,
     /*  118133 */   // Label 2077: @118133
     /*  118133 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118199), // Rule ID 71300 //
     /*  118138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118180 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118197 */     GIR_RootConstrainSelectedInstOperands,
     /*  118198 */     // GIR_Coverage, 71300,
     /*  118198 */     GIR_EraseRootFromParent_Done,
     /*  118199 */   // Label 2078: @118199
     /*  118199 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118265), // Rule ID 71297 //
     /*  118204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118246 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118263 */     GIR_RootConstrainSelectedInstOperands,
     /*  118264 */     // GIR_Coverage, 71297,
     /*  118264 */     GIR_EraseRootFromParent_Done,
     /*  118265 */   // Label 2079: @118265
     /*  118265 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118331), // Rule ID 71298 //
     /*  118270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118312 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118329 */     GIR_RootConstrainSelectedInstOperands,
     /*  118330 */     // GIR_Coverage, 71298,
     /*  118330 */     GIR_EraseRootFromParent_Done,
     /*  118331 */   // Label 2080: @118331
     /*  118331 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118397), // Rule ID 53064 //
     /*  118336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118378 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118395 */     GIR_RootConstrainSelectedInstOperands,
     /*  118396 */     // GIR_Coverage, 53064,
     /*  118396 */     GIR_EraseRootFromParent_Done,
     /*  118397 */   // Label 2081: @118397
     /*  118397 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118463), // Rule ID 53065 //
     /*  118402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118444 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118461 */     GIR_RootConstrainSelectedInstOperands,
     /*  118462 */     // GIR_Coverage, 53065,
     /*  118462 */     GIR_EraseRootFromParent_Done,
     /*  118463 */   // Label 2082: @118463
     /*  118463 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118496), // Rule ID 53052 //
     /*  118468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118479 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118494 */     GIR_RootConstrainSelectedInstOperands,
     /*  118495 */     // GIR_Coverage, 53052,
     /*  118495 */     GIR_EraseRootFromParent_Done,
     /*  118496 */   // Label 2083: @118496
     /*  118496 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118529), // Rule ID 53053 //
     /*  118501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118512 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118527 */     GIR_RootConstrainSelectedInstOperands,
     /*  118528 */     // GIR_Coverage, 53053,
     /*  118528 */     GIR_EraseRootFromParent_Done,
     /*  118529 */   // Label 2084: @118529
     /*  118529 */   GIM_Reject,
     /*  118530 */ // Label 2074: @118530
     /*  118530 */ GIM_Reject,
     /*  118531 */ // Label 1980: @118531
     /*  118531 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118645),
     /*  118536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118554 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118599), // Rule ID 47530 //
     /*  118559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118562 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118597 */     GIR_RootConstrainSelectedInstOperands,
     /*  118598 */     // GIR_Coverage, 47530,
     /*  118598 */     GIR_EraseRootFromParent_Done,
     /*  118599 */   // Label 2086: @118599
     /*  118599 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118644), // Rule ID 47531 //
     /*  118604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118607 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118642 */     GIR_RootConstrainSelectedInstOperands,
     /*  118643 */     // GIR_Coverage, 47531,
     /*  118643 */     GIR_EraseRootFromParent_Done,
     /*  118644 */   // Label 2087: @118644
     /*  118644 */   GIM_Reject,
     /*  118645 */ // Label 2085: @118645
     /*  118645 */ GIM_Reject,
     /*  118646 */ // Label 1981: @118646
     /*  118646 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118760),
     /*  118651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118714), // Rule ID 47542 //
     /*  118674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118677 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118712 */     GIR_RootConstrainSelectedInstOperands,
     /*  118713 */     // GIR_Coverage, 47542,
     /*  118713 */     GIR_EraseRootFromParent_Done,
     /*  118714 */   // Label 2089: @118714
     /*  118714 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118759), // Rule ID 47543 //
     /*  118719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118722 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118757 */     GIR_RootConstrainSelectedInstOperands,
     /*  118758 */     // GIR_Coverage, 47543,
     /*  118758 */     GIR_EraseRootFromParent_Done,
     /*  118759 */   // Label 2090: @118759
     /*  118759 */   GIM_Reject,
     /*  118760 */ // Label 2088: @118760
     /*  118760 */ GIM_Reject,
     /*  118761 */ // Label 1982: @118761
     /*  118761 */ GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(118875),
     /*  118766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118784 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118829), // Rule ID 47558 //
     /*  118789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118792 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118827 */     GIR_RootConstrainSelectedInstOperands,
     /*  118828 */     // GIR_Coverage, 47558,
     /*  118828 */     GIR_EraseRootFromParent_Done,
     /*  118829 */   // Label 2092: @118829
     /*  118829 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118874), // Rule ID 47559 //
     /*  118834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118837 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118872 */     GIR_RootConstrainSelectedInstOperands,
     /*  118873 */     // GIR_Coverage, 47559,
     /*  118873 */     GIR_EraseRootFromParent_Done,
     /*  118874 */   // Label 2093: @118874
     /*  118874 */   GIM_Reject,
     /*  118875 */ // Label 2091: @118875
     /*  118875 */ GIM_Reject,
     /*  118876 */ // Label 1983: @118876
     /*  118876 */ GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118990),
     /*  118881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118899 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(118944), // Rule ID 47602 //
     /*  118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118907 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118942 */     GIR_RootConstrainSelectedInstOperands,
     /*  118943 */     // GIR_Coverage, 47602,
     /*  118943 */     GIR_EraseRootFromParent_Done,
     /*  118944 */   // Label 2095: @118944
     /*  118944 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(118989), // Rule ID 47603 //
     /*  118949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118952 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118987 */     GIR_RootConstrainSelectedInstOperands,
     /*  118988 */     // GIR_Coverage, 47603,
     /*  118988 */     GIR_EraseRootFromParent_Done,
     /*  118989 */   // Label 2096: @118989
     /*  118989 */   GIM_Reject,
     /*  118990 */ // Label 2094: @118990
     /*  118990 */ GIM_Reject,
     /*  118991 */ // Label 1984: @118991
     /*  118991 */ GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119601),
     /*  118996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119006 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119072), // Rule ID 71329 //
     /*  119011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119053 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119070 */     GIR_RootConstrainSelectedInstOperands,
     /*  119071 */     // GIR_Coverage, 71329,
     /*  119071 */     GIR_EraseRootFromParent_Done,
     /*  119072 */   // Label 2098: @119072
     /*  119072 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119138), // Rule ID 71330 //
     /*  119077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119119 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119136 */     GIR_RootConstrainSelectedInstOperands,
     /*  119137 */     // GIR_Coverage, 71330,
     /*  119137 */     GIR_EraseRootFromParent_Done,
     /*  119138 */   // Label 2099: @119138
     /*  119138 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119204), // Rule ID 71327 //
     /*  119143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119185 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119202 */     GIR_RootConstrainSelectedInstOperands,
     /*  119203 */     // GIR_Coverage, 71327,
     /*  119203 */     GIR_EraseRootFromParent_Done,
     /*  119204 */   // Label 2100: @119204
     /*  119204 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119270), // Rule ID 71328 //
     /*  119209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119251 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119268 */     GIR_RootConstrainSelectedInstOperands,
     /*  119269 */     // GIR_Coverage, 71328,
     /*  119269 */     GIR_EraseRootFromParent_Done,
     /*  119270 */   // Label 2101: @119270
     /*  119270 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119336), // Rule ID 71325 //
     /*  119275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119317 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119334 */     GIR_RootConstrainSelectedInstOperands,
     /*  119335 */     // GIR_Coverage, 71325,
     /*  119335 */     GIR_EraseRootFromParent_Done,
     /*  119336 */   // Label 2102: @119336
     /*  119336 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119402), // Rule ID 71326 //
     /*  119341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119383 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119400 */     GIR_RootConstrainSelectedInstOperands,
     /*  119401 */     // GIR_Coverage, 71326,
     /*  119401 */     GIR_EraseRootFromParent_Done,
     /*  119402 */   // Label 2103: @119402
     /*  119402 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119468), // Rule ID 53082 //
     /*  119407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119449 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119466 */     GIR_RootConstrainSelectedInstOperands,
     /*  119467 */     // GIR_Coverage, 53082,
     /*  119467 */     GIR_EraseRootFromParent_Done,
     /*  119468 */   // Label 2104: @119468
     /*  119468 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119534), // Rule ID 53083 //
     /*  119473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119515 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119532 */     GIR_RootConstrainSelectedInstOperands,
     /*  119533 */     // GIR_Coverage, 53083,
     /*  119533 */     GIR_EraseRootFromParent_Done,
     /*  119534 */   // Label 2105: @119534
     /*  119534 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119567), // Rule ID 53070 //
     /*  119539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119550 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119565 */     GIR_RootConstrainSelectedInstOperands,
     /*  119566 */     // GIR_Coverage, 53070,
     /*  119566 */     GIR_EraseRootFromParent_Done,
     /*  119567 */   // Label 2106: @119567
     /*  119567 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119600), // Rule ID 53071 //
     /*  119572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119583 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119598 */     GIR_RootConstrainSelectedInstOperands,
     /*  119599 */     // GIR_Coverage, 53071,
     /*  119599 */     GIR_EraseRootFromParent_Done,
     /*  119600 */   // Label 2107: @119600
     /*  119600 */   GIM_Reject,
     /*  119601 */ // Label 2097: @119601
     /*  119601 */ GIM_Reject,
     /*  119602 */ // Label 1985: @119602
     /*  119602 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119716),
     /*  119607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119625 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119670), // Rule ID 47534 //
     /*  119630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119633 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119668 */     GIR_RootConstrainSelectedInstOperands,
     /*  119669 */     // GIR_Coverage, 47534,
     /*  119669 */     GIR_EraseRootFromParent_Done,
     /*  119670 */   // Label 2109: @119670
     /*  119670 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119715), // Rule ID 47535 //
     /*  119675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119678 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119713 */     GIR_RootConstrainSelectedInstOperands,
     /*  119714 */     // GIR_Coverage, 47535,
     /*  119714 */     GIR_EraseRootFromParent_Done,
     /*  119715 */   // Label 2110: @119715
     /*  119715 */   GIM_Reject,
     /*  119716 */ // Label 2108: @119716
     /*  119716 */ GIM_Reject,
     /*  119717 */ // Label 1986: @119717
     /*  119717 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119831),
     /*  119722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119740 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119785), // Rule ID 47554 //
     /*  119745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119748 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119783 */     GIR_RootConstrainSelectedInstOperands,
     /*  119784 */     // GIR_Coverage, 47554,
     /*  119784 */     GIR_EraseRootFromParent_Done,
     /*  119785 */   // Label 2112: @119785
     /*  119785 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119830), // Rule ID 47555 //
     /*  119790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119793 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_RootConstrainSelectedInstOperands,
     /*  119829 */     // GIR_Coverage, 47555,
     /*  119829 */     GIR_EraseRootFromParent_Done,
     /*  119830 */   // Label 2113: @119830
     /*  119830 */   GIM_Reject,
     /*  119831 */ // Label 2111: @119831
     /*  119831 */ GIM_Reject,
     /*  119832 */ // Label 1987: @119832
     /*  119832 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(119946),
     /*  119837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119855 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(119900), // Rule ID 47590 //
     /*  119860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119863 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119898 */     GIR_RootConstrainSelectedInstOperands,
     /*  119899 */     // GIR_Coverage, 47590,
     /*  119899 */     GIR_EraseRootFromParent_Done,
     /*  119900 */   // Label 2115: @119900
     /*  119900 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(119945), // Rule ID 47591 //
     /*  119905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119908 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119943 */     GIR_RootConstrainSelectedInstOperands,
     /*  119944 */     // GIR_Coverage, 47591,
     /*  119944 */     GIR_EraseRootFromParent_Done,
     /*  119945 */   // Label 2116: @119945
     /*  119945 */   GIM_Reject,
     /*  119946 */ // Label 2114: @119946
     /*  119946 */ GIM_Reject,
     /*  119947 */ // Label 1988: @119947
     /*  119947 */ GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120061),
     /*  119952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119970 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120015), // Rule ID 47606 //
     /*  119975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119978 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120013 */     GIR_RootConstrainSelectedInstOperands,
     /*  120014 */     // GIR_Coverage, 47606,
     /*  120014 */     GIR_EraseRootFromParent_Done,
     /*  120015 */   // Label 2118: @120015
     /*  120015 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120060), // Rule ID 47607 //
     /*  120020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120023 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  120026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120058 */     GIR_RootConstrainSelectedInstOperands,
     /*  120059 */     // GIR_Coverage, 47607,
     /*  120059 */     GIR_EraseRootFromParent_Done,
     /*  120060 */   // Label 2119: @120060
     /*  120060 */   GIM_Reject,
     /*  120061 */ // Label 2117: @120061
     /*  120061 */ GIM_Reject,
     /*  120062 */ // Label 1989: @120062
     /*  120062 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120672),
     /*  120067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120077 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120143), // Rule ID 71357 //
     /*  120082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120124 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120141 */     GIR_RootConstrainSelectedInstOperands,
     /*  120142 */     // GIR_Coverage, 71357,
     /*  120142 */     GIR_EraseRootFromParent_Done,
     /*  120143 */   // Label 2121: @120143
     /*  120143 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120209), // Rule ID 71358 //
     /*  120148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120190 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120207 */     GIR_RootConstrainSelectedInstOperands,
     /*  120208 */     // GIR_Coverage, 71358,
     /*  120208 */     GIR_EraseRootFromParent_Done,
     /*  120209 */   // Label 2122: @120209
     /*  120209 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120275), // Rule ID 71355 //
     /*  120214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120256 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120273 */     GIR_RootConstrainSelectedInstOperands,
     /*  120274 */     // GIR_Coverage, 71355,
     /*  120274 */     GIR_EraseRootFromParent_Done,
     /*  120275 */   // Label 2123: @120275
     /*  120275 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120341), // Rule ID 71356 //
     /*  120280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120322 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120339 */     GIR_RootConstrainSelectedInstOperands,
     /*  120340 */     // GIR_Coverage, 71356,
     /*  120340 */     GIR_EraseRootFromParent_Done,
     /*  120341 */   // Label 2124: @120341
     /*  120341 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120407), // Rule ID 71353 //
     /*  120346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120388 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120405 */     GIR_RootConstrainSelectedInstOperands,
     /*  120406 */     // GIR_Coverage, 71353,
     /*  120406 */     GIR_EraseRootFromParent_Done,
     /*  120407 */   // Label 2125: @120407
     /*  120407 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120473), // Rule ID 71354 //
     /*  120412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120454 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120471 */     GIR_RootConstrainSelectedInstOperands,
     /*  120472 */     // GIR_Coverage, 71354,
     /*  120472 */     GIR_EraseRootFromParent_Done,
     /*  120473 */   // Label 2126: @120473
     /*  120473 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120539), // Rule ID 53100 //
     /*  120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120520 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120537 */     GIR_RootConstrainSelectedInstOperands,
     /*  120538 */     // GIR_Coverage, 53100,
     /*  120538 */     GIR_EraseRootFromParent_Done,
     /*  120539 */   // Label 2127: @120539
     /*  120539 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120605), // Rule ID 53101 //
     /*  120544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120586 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120603 */     GIR_RootConstrainSelectedInstOperands,
     /*  120604 */     // GIR_Coverage, 53101,
     /*  120604 */     GIR_EraseRootFromParent_Done,
     /*  120605 */   // Label 2128: @120605
     /*  120605 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120638), // Rule ID 53088 //
     /*  120610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120621 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120636 */     GIR_RootConstrainSelectedInstOperands,
     /*  120637 */     // GIR_Coverage, 53088,
     /*  120637 */     GIR_EraseRootFromParent_Done,
     /*  120638 */   // Label 2129: @120638
     /*  120638 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120671), // Rule ID 53089 //
     /*  120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120654 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120669 */     GIR_RootConstrainSelectedInstOperands,
     /*  120670 */     // GIR_Coverage, 53089,
     /*  120670 */     GIR_EraseRootFromParent_Done,
     /*  120671 */   // Label 2130: @120671
     /*  120671 */   GIM_Reject,
     /*  120672 */ // Label 2120: @120672
     /*  120672 */ GIM_Reject,
     /*  120673 */ // Label 1990: @120673
     /*  120673 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120787),
     /*  120678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120696 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120741), // Rule ID 47550 //
     /*  120701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120704 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120739 */     GIR_RootConstrainSelectedInstOperands,
     /*  120740 */     // GIR_Coverage, 47550,
     /*  120740 */     GIR_EraseRootFromParent_Done,
     /*  120741 */   // Label 2132: @120741
     /*  120741 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120786), // Rule ID 47551 //
     /*  120746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120749 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120784 */     GIR_RootConstrainSelectedInstOperands,
     /*  120785 */     // GIR_Coverage, 47551,
     /*  120785 */     GIR_EraseRootFromParent_Done,
     /*  120786 */   // Label 2133: @120786
     /*  120786 */   GIM_Reject,
     /*  120787 */ // Label 2131: @120787
     /*  120787 */ GIM_Reject,
     /*  120788 */ // Label 1991: @120788
     /*  120788 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120902),
     /*  120793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120811 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(120856), // Rule ID 47578 //
     /*  120816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120819 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 47578,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2135: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120901), // Rule ID 47579 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120864 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120899 */     GIR_RootConstrainSelectedInstOperands,
     /*  120900 */     // GIR_Coverage, 47579,
     /*  120900 */     GIR_EraseRootFromParent_Done,
     /*  120901 */   // Label 2136: @120901
     /*  120901 */   GIM_Reject,
     /*  120902 */ // Label 2134: @120902
     /*  120902 */ GIM_Reject,
     /*  120903 */ // Label 1992: @120903
     /*  120903 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121017),
     /*  120908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120926 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(120971), // Rule ID 47594 //
     /*  120931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120934 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120969 */     GIR_RootConstrainSelectedInstOperands,
     /*  120970 */     // GIR_Coverage, 47594,
     /*  120970 */     GIR_EraseRootFromParent_Done,
     /*  120971 */   // Label 2138: @120971
     /*  120971 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121016), // Rule ID 47595 //
     /*  120976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120979 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121014 */     GIR_RootConstrainSelectedInstOperands,
     /*  121015 */     // GIR_Coverage, 47595,
     /*  121015 */     GIR_EraseRootFromParent_Done,
     /*  121016 */   // Label 2139: @121016
     /*  121016 */   GIM_Reject,
     /*  121017 */ // Label 2137: @121017
     /*  121017 */ GIM_Reject,
     /*  121018 */ // Label 1993: @121018
     /*  121018 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121132),
     /*  121023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  121026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121041 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121086), // Rule ID 47610 //
     /*  121046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  121049 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  121049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121084 */     GIR_RootConstrainSelectedInstOperands,
     /*  121085 */     // GIR_Coverage, 47610,
     /*  121085 */     GIR_EraseRootFromParent_Done,
     /*  121086 */   // Label 2141: @121086
     /*  121086 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121131), // Rule ID 47611 //
     /*  121091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121094 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  121094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121129 */     GIR_RootConstrainSelectedInstOperands,
     /*  121130 */     // GIR_Coverage, 47611,
     /*  121130 */     GIR_EraseRootFromParent_Done,
     /*  121131 */   // Label 2142: @121131
     /*  121131 */   GIM_Reject,
     /*  121132 */ // Label 2140: @121132
     /*  121132 */ GIM_Reject,
     /*  121133 */ // Label 1994: @121133
     /*  121133 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121743),
     /*  121138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121148 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121214), // Rule ID 71385 //
     /*  121153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121195 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121212 */     GIR_RootConstrainSelectedInstOperands,
     /*  121213 */     // GIR_Coverage, 71385,
     /*  121213 */     GIR_EraseRootFromParent_Done,
     /*  121214 */   // Label 2144: @121214
     /*  121214 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121280), // Rule ID 71386 //
     /*  121219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121261 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121278 */     GIR_RootConstrainSelectedInstOperands,
     /*  121279 */     // GIR_Coverage, 71386,
     /*  121279 */     GIR_EraseRootFromParent_Done,
     /*  121280 */   // Label 2145: @121280
     /*  121280 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121346), // Rule ID 71383 //
     /*  121285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121327 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121344 */     GIR_RootConstrainSelectedInstOperands,
     /*  121345 */     // GIR_Coverage, 71383,
     /*  121345 */     GIR_EraseRootFromParent_Done,
     /*  121346 */   // Label 2146: @121346
     /*  121346 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121412), // Rule ID 71384 //
     /*  121351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121393 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121410 */     GIR_RootConstrainSelectedInstOperands,
     /*  121411 */     // GIR_Coverage, 71384,
     /*  121411 */     GIR_EraseRootFromParent_Done,
     /*  121412 */   // Label 2147: @121412
     /*  121412 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121478), // Rule ID 71381 //
     /*  121417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121459 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121476 */     GIR_RootConstrainSelectedInstOperands,
     /*  121477 */     // GIR_Coverage, 71381,
     /*  121477 */     GIR_EraseRootFromParent_Done,
     /*  121478 */   // Label 2148: @121478
     /*  121478 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121544), // Rule ID 71382 //
     /*  121483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121525 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121542 */     GIR_RootConstrainSelectedInstOperands,
     /*  121543 */     // GIR_Coverage, 71382,
     /*  121543 */     GIR_EraseRootFromParent_Done,
     /*  121544 */   // Label 2149: @121544
     /*  121544 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121610), // Rule ID 53118 //
     /*  121549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121591 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121608 */     GIR_RootConstrainSelectedInstOperands,
     /*  121609 */     // GIR_Coverage, 53118,
     /*  121609 */     GIR_EraseRootFromParent_Done,
     /*  121610 */   // Label 2150: @121610
     /*  121610 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121676), // Rule ID 53119 //
     /*  121615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121657 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121674 */     GIR_RootConstrainSelectedInstOperands,
     /*  121675 */     // GIR_Coverage, 53119,
     /*  121675 */     GIR_EraseRootFromParent_Done,
     /*  121676 */   // Label 2151: @121676
     /*  121676 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121709), // Rule ID 53106 //
     /*  121681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121692 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121707 */     GIR_RootConstrainSelectedInstOperands,
     /*  121708 */     // GIR_Coverage, 53106,
     /*  121708 */     GIR_EraseRootFromParent_Done,
     /*  121709 */   // Label 2152: @121709
     /*  121709 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121742), // Rule ID 53107 //
     /*  121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121725 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121740 */     GIR_RootConstrainSelectedInstOperands,
     /*  121741 */     // GIR_Coverage, 53107,
     /*  121741 */     GIR_EraseRootFromParent_Done,
     /*  121742 */   // Label 2153: @121742
     /*  121742 */   GIM_Reject,
     /*  121743 */ // Label 2143: @121743
     /*  121743 */ GIM_Reject,
     /*  121744 */ // Label 1995: @121744
     /*  121744 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121858),
     /*  121749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121767 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121812), // Rule ID 47566 //
     /*  121772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121775 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121810 */     GIR_RootConstrainSelectedInstOperands,
     /*  121811 */     // GIR_Coverage, 47566,
     /*  121811 */     GIR_EraseRootFromParent_Done,
     /*  121812 */   // Label 2155: @121812
     /*  121812 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121857), // Rule ID 47567 //
     /*  121817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121820 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121855 */     GIR_RootConstrainSelectedInstOperands,
     /*  121856 */     // GIR_Coverage, 47567,
     /*  121856 */     GIR_EraseRootFromParent_Done,
     /*  121857 */   // Label 2156: @121857
     /*  121857 */   GIM_Reject,
     /*  121858 */ // Label 2154: @121858
     /*  121858 */ GIM_Reject,
     /*  121859 */ // Label 1996: @121859
     /*  121859 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(121973),
     /*  121864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121882 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(121927), // Rule ID 47582 //
     /*  121887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121890 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121925 */     GIR_RootConstrainSelectedInstOperands,
     /*  121926 */     // GIR_Coverage, 47582,
     /*  121926 */     GIR_EraseRootFromParent_Done,
     /*  121927 */   // Label 2158: @121927
     /*  121927 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(121972), // Rule ID 47583 //
     /*  121932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121935 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121970 */     GIR_RootConstrainSelectedInstOperands,
     /*  121971 */     // GIR_Coverage, 47583,
     /*  121971 */     GIR_EraseRootFromParent_Done,
     /*  121972 */   // Label 2159: @121972
     /*  121972 */   GIM_Reject,
     /*  121973 */ // Label 2157: @121973
     /*  121973 */ GIM_Reject,
     /*  121974 */ // Label 1997: @121974
     /*  121974 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122088),
     /*  121979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121997 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122042), // Rule ID 47598 //
     /*  122002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122005 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122040 */     GIR_RootConstrainSelectedInstOperands,
     /*  122041 */     // GIR_Coverage, 47598,
     /*  122041 */     GIR_EraseRootFromParent_Done,
     /*  122042 */   // Label 2161: @122042
     /*  122042 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122087), // Rule ID 47599 //
     /*  122047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122050 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122085 */     GIR_RootConstrainSelectedInstOperands,
     /*  122086 */     // GIR_Coverage, 47599,
     /*  122086 */     GIR_EraseRootFromParent_Done,
     /*  122087 */   // Label 2162: @122087
     /*  122087 */   GIM_Reject,
     /*  122088 */ // Label 2160: @122088
     /*  122088 */ GIM_Reject,
     /*  122089 */ // Label 1998: @122089
     /*  122089 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122699),
     /*  122094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122104 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122170), // Rule ID 71413 //
     /*  122109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122151 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122168 */     GIR_RootConstrainSelectedInstOperands,
     /*  122169 */     // GIR_Coverage, 71413,
     /*  122169 */     GIR_EraseRootFromParent_Done,
     /*  122170 */   // Label 2164: @122170
     /*  122170 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122236), // Rule ID 71414 //
     /*  122175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122217 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122234 */     GIR_RootConstrainSelectedInstOperands,
     /*  122235 */     // GIR_Coverage, 71414,
     /*  122235 */     GIR_EraseRootFromParent_Done,
     /*  122236 */   // Label 2165: @122236
     /*  122236 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122302), // Rule ID 71411 //
     /*  122241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122283 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122300 */     GIR_RootConstrainSelectedInstOperands,
     /*  122301 */     // GIR_Coverage, 71411,
     /*  122301 */     GIR_EraseRootFromParent_Done,
     /*  122302 */   // Label 2166: @122302
     /*  122302 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122368), // Rule ID 71412 //
     /*  122307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122349 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122366 */     GIR_RootConstrainSelectedInstOperands,
     /*  122367 */     // GIR_Coverage, 71412,
     /*  122367 */     GIR_EraseRootFromParent_Done,
     /*  122368 */   // Label 2167: @122368
     /*  122368 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122434), // Rule ID 71409 //
     /*  122373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122415 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122432 */     GIR_RootConstrainSelectedInstOperands,
     /*  122433 */     // GIR_Coverage, 71409,
     /*  122433 */     GIR_EraseRootFromParent_Done,
     /*  122434 */   // Label 2168: @122434
     /*  122434 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122500), // Rule ID 71410 //
     /*  122439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122481 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122498 */     GIR_RootConstrainSelectedInstOperands,
     /*  122499 */     // GIR_Coverage, 71410,
     /*  122499 */     GIR_EraseRootFromParent_Done,
     /*  122500 */   // Label 2169: @122500
     /*  122500 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122566), // Rule ID 53136 //
     /*  122505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122547 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122564 */     GIR_RootConstrainSelectedInstOperands,
     /*  122565 */     // GIR_Coverage, 53136,
     /*  122565 */     GIR_EraseRootFromParent_Done,
     /*  122566 */   // Label 2170: @122566
     /*  122566 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122632), // Rule ID 53137 //
     /*  122571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122613 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122630 */     GIR_RootConstrainSelectedInstOperands,
     /*  122631 */     // GIR_Coverage, 53137,
     /*  122631 */     GIR_EraseRootFromParent_Done,
     /*  122632 */   // Label 2171: @122632
     /*  122632 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122665), // Rule ID 53124 //
     /*  122637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122648 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122663 */     GIR_RootConstrainSelectedInstOperands,
     /*  122664 */     // GIR_Coverage, 53124,
     /*  122664 */     GIR_EraseRootFromParent_Done,
     /*  122665 */   // Label 2172: @122665
     /*  122665 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122698), // Rule ID 53125 //
     /*  122670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122681 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122696 */     GIR_RootConstrainSelectedInstOperands,
     /*  122697 */     // GIR_Coverage, 53125,
     /*  122697 */     GIR_EraseRootFromParent_Done,
     /*  122698 */   // Label 2173: @122698
     /*  122698 */   GIM_Reject,
     /*  122699 */ // Label 2163: @122699
     /*  122699 */ GIM_Reject,
     /*  122700 */ // Label 1999: @122700
     /*  122700 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(122814),
     /*  122705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122723 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122768), // Rule ID 47570 //
     /*  122728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122731 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122766 */     GIR_RootConstrainSelectedInstOperands,
     /*  122767 */     // GIR_Coverage, 47570,
     /*  122767 */     GIR_EraseRootFromParent_Done,
     /*  122768 */   // Label 2175: @122768
     /*  122768 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122813), // Rule ID 47571 //
     /*  122773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122776 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122811 */     GIR_RootConstrainSelectedInstOperands,
     /*  122812 */     // GIR_Coverage, 47571,
     /*  122812 */     GIR_EraseRootFromParent_Done,
     /*  122813 */   // Label 2176: @122813
     /*  122813 */   GIM_Reject,
     /*  122814 */ // Label 2174: @122814
     /*  122814 */ GIM_Reject,
     /*  122815 */ // Label 2000: @122815
     /*  122815 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122929),
     /*  122820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122838 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(122883), // Rule ID 47586 //
     /*  122843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122846 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122881 */     GIR_RootConstrainSelectedInstOperands,
     /*  122882 */     // GIR_Coverage, 47586,
     /*  122882 */     GIR_EraseRootFromParent_Done,
     /*  122883 */   // Label 2178: @122883
     /*  122883 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(122928), // Rule ID 47587 //
     /*  122888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122891 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122926 */     GIR_RootConstrainSelectedInstOperands,
     /*  122927 */     // GIR_Coverage, 47587,
     /*  122927 */     GIR_EraseRootFromParent_Done,
     /*  122928 */   // Label 2179: @122928
     /*  122928 */   GIM_Reject,
     /*  122929 */ // Label 2177: @122929
     /*  122929 */ GIM_Reject,
     /*  122930 */ // Label 2001: @122930
     /*  122930 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123540),
     /*  122935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122945 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123011), // Rule ID 71441 //
     /*  122950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122992 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123009 */     GIR_RootConstrainSelectedInstOperands,
     /*  123010 */     // GIR_Coverage, 71441,
     /*  123010 */     GIR_EraseRootFromParent_Done,
     /*  123011 */   // Label 2181: @123011
     /*  123011 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123077), // Rule ID 71442 //
     /*  123016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123058 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123075 */     GIR_RootConstrainSelectedInstOperands,
     /*  123076 */     // GIR_Coverage, 71442,
     /*  123076 */     GIR_EraseRootFromParent_Done,
     /*  123077 */   // Label 2182: @123077
     /*  123077 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123143), // Rule ID 71439 //
     /*  123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123124 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123141 */     GIR_RootConstrainSelectedInstOperands,
     /*  123142 */     // GIR_Coverage, 71439,
     /*  123142 */     GIR_EraseRootFromParent_Done,
     /*  123143 */   // Label 2183: @123143
     /*  123143 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123209), // Rule ID 71440 //
     /*  123148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123190 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123207 */     GIR_RootConstrainSelectedInstOperands,
     /*  123208 */     // GIR_Coverage, 71440,
     /*  123208 */     GIR_EraseRootFromParent_Done,
     /*  123209 */   // Label 2184: @123209
     /*  123209 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123275), // Rule ID 71437 //
     /*  123214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123256 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123273 */     GIR_RootConstrainSelectedInstOperands,
     /*  123274 */     // GIR_Coverage, 71437,
     /*  123274 */     GIR_EraseRootFromParent_Done,
     /*  123275 */   // Label 2185: @123275
     /*  123275 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123341), // Rule ID 71438 //
     /*  123280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123322 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123339 */     GIR_RootConstrainSelectedInstOperands,
     /*  123340 */     // GIR_Coverage, 71438,
     /*  123340 */     GIR_EraseRootFromParent_Done,
     /*  123341 */   // Label 2186: @123341
     /*  123341 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123407), // Rule ID 53154 //
     /*  123346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123388 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123405 */     GIR_RootConstrainSelectedInstOperands,
     /*  123406 */     // GIR_Coverage, 53154,
     /*  123406 */     GIR_EraseRootFromParent_Done,
     /*  123407 */   // Label 2187: @123407
     /*  123407 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(123473), // Rule ID 53155 //
     /*  123412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123454 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123471 */     GIR_RootConstrainSelectedInstOperands,
     /*  123472 */     // GIR_Coverage, 53155,
     /*  123472 */     GIR_EraseRootFromParent_Done,
     /*  123473 */   // Label 2188: @123473
     /*  123473 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(123506), // Rule ID 53142 //
     /*  123478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123489 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123504 */     GIR_RootConstrainSelectedInstOperands,
     /*  123505 */     // GIR_Coverage, 53142,
     /*  123505 */     GIR_EraseRootFromParent_Done,
     /*  123506 */   // Label 2189: @123506
     /*  123506 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(123539), // Rule ID 53143 //
     /*  123511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123537 */     GIR_RootConstrainSelectedInstOperands,
     /*  123538 */     // GIR_Coverage, 53143,
     /*  123538 */     GIR_EraseRootFromParent_Done,
     /*  123539 */   // Label 2190: @123539
     /*  123539 */   GIM_Reject,
     /*  123540 */ // Label 2180: @123540
     /*  123540 */ GIM_Reject,
     /*  123541 */ // Label 2002: @123541
     /*  123541 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(123655),
     /*  123546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123564 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(123609), // Rule ID 47574 //
     /*  123569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123572 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123607 */     GIR_RootConstrainSelectedInstOperands,
     /*  123608 */     // GIR_Coverage, 47574,
     /*  123608 */     GIR_EraseRootFromParent_Done,
     /*  123609 */   // Label 2192: @123609
     /*  123609 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(123654), // Rule ID 47575 //
     /*  123614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123617 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123652 */     GIR_RootConstrainSelectedInstOperands,
     /*  123653 */     // GIR_Coverage, 47575,
     /*  123653 */     GIR_EraseRootFromParent_Done,
     /*  123654 */   // Label 2193: @123654
     /*  123654 */   GIM_Reject,
     /*  123655 */ // Label 2191: @123655
     /*  123655 */ GIM_Reject,
     /*  123656 */ // Label 2003: @123656
     /*  123656 */ GIM_Reject,
     /*  123657 */ // Label 8: @123657
     /*  123657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2225*/ GIMT_Encode4(136277),
     /*  123668 */ /*GILLT_s32*//*Label 2194*/ GIMT_Encode4(123792),
     /*  123672 */ /*GILLT_s64*//*Label 2195*/ GIMT_Encode4(126522),
     /*  123676 */ /*GILLT_nxv1s1*//*Label 2196*/ GIMT_Encode4(129470),
     /*  123680 */ /*GILLT_nxv1s8*//*Label 2197*/ GIMT_Encode4(130081),
     /*  123684 */ /*GILLT_nxv1s16*//*Label 2198*/ GIMT_Encode4(130196),
     /*  123688 */ /*GILLT_nxv1s32*//*Label 2199*/ GIMT_Encode4(130311),
     /*  123692 */ /*GILLT_nxv1s64*//*Label 2200*/ GIMT_Encode4(130426),
     /*  123696 */ /*GILLT_nxv2s1*//*Label 2201*/ GIMT_Encode4(130541),
     /*  123700 */ /*GILLT_nxv2s8*//*Label 2202*/ GIMT_Encode4(131152),
     /*  123704 */ /*GILLT_nxv2s16*//*Label 2203*/ GIMT_Encode4(131267),
     /*  123708 */ /*GILLT_nxv2s32*//*Label 2204*/ GIMT_Encode4(131382),
     /*  123712 */ /*GILLT_nxv2s64*//*Label 2205*/ GIMT_Encode4(131497),
     /*  123716 */ /*GILLT_nxv4s1*//*Label 2206*/ GIMT_Encode4(131612),
     /*  123720 */ /*GILLT_nxv4s8*//*Label 2207*/ GIMT_Encode4(132223),
     /*  123724 */ /*GILLT_nxv4s16*//*Label 2208*/ GIMT_Encode4(132338),
     /*  123728 */ /*GILLT_nxv4s32*//*Label 2209*/ GIMT_Encode4(132453),
     /*  123732 */ /*GILLT_nxv4s64*//*Label 2210*/ GIMT_Encode4(132568),
     /*  123736 */ /*GILLT_nxv8s1*//*Label 2211*/ GIMT_Encode4(132683),
     /*  123740 */ /*GILLT_nxv8s8*//*Label 2212*/ GIMT_Encode4(133294),
     /*  123744 */ /*GILLT_nxv8s16*//*Label 2213*/ GIMT_Encode4(133409),
     /*  123748 */ /*GILLT_nxv8s32*//*Label 2214*/ GIMT_Encode4(133524),
     /*  123752 */ /*GILLT_nxv8s64*//*Label 2215*/ GIMT_Encode4(133639),
     /*  123756 */ /*GILLT_nxv16s1*//*Label 2216*/ GIMT_Encode4(133754),
     /*  123760 */ /*GILLT_nxv16s8*//*Label 2217*/ GIMT_Encode4(134365),
     /*  123764 */ /*GILLT_nxv16s16*//*Label 2218*/ GIMT_Encode4(134480),
     /*  123768 */ /*GILLT_nxv16s32*//*Label 2219*/ GIMT_Encode4(134595),
     /*  123772 */ /*GILLT_nxv32s1*//*Label 2220*/ GIMT_Encode4(134710),
     /*  123776 */ /*GILLT_nxv32s8*//*Label 2221*/ GIMT_Encode4(135321),
     /*  123780 */ /*GILLT_nxv32s16*//*Label 2222*/ GIMT_Encode4(135436),
     /*  123784 */ /*GILLT_nxv64s1*//*Label 2223*/ GIMT_Encode4(135551),
     /*  123788 */ /*GILLT_nxv64s8*//*Label 2224*/ GIMT_Encode4(136162),
     /*  123792 */ // Label 2194: @123792
     /*  123792 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126521),
     /*  123797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123803 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(123998), // Rule ID 65101 //
     /*  123808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123867 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123871 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123875 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123879 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123883 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123887 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123891 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123895 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123899 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123903 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123907 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123923 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123930 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123937 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123996 */     GIR_RootConstrainSelectedInstOperands,
     /*  123997 */     // GIR_Coverage, 65101,
     /*  123997 */     GIR_EraseRootFromParent_Done,
     /*  123998 */   // Label 2227: @123998
     /*  123998 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(124193), // Rule ID 65103 //
     /*  124003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124042 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124058 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124062 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124066 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124070 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124074 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124078 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124082 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124086 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124090 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124094 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124098 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124102 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124118 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124125 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124132 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  124173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  124178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124191 */     GIR_RootConstrainSelectedInstOperands,
     /*  124192 */     // GIR_Coverage, 65103,
     /*  124192 */     GIR_EraseRootFromParent_Done,
     /*  124193 */   // Label 2228: @124193
     /*  124193 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(124388), // Rule ID 65097 //
     /*  124198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124237 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124249 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124253 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124257 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124261 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124265 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124269 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124273 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124277 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124281 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124285 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124289 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124293 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124297 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124313 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124320 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124327 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124327 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124330 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124334 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124386 */     GIR_RootConstrainSelectedInstOperands,
     /*  124387 */     // GIR_Coverage, 65097,
     /*  124387 */     GIR_EraseRootFromParent_Done,
     /*  124388 */   // Label 2229: @124388
     /*  124388 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(124583), // Rule ID 65099 //
     /*  124393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124432 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124440 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124444 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124448 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124452 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124456 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124460 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124464 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124468 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124472 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124476 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124480 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124484 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124488 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124492 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124508 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124515 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124522 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124581 */     GIR_RootConstrainSelectedInstOperands,
     /*  124582 */     // GIR_Coverage, 65099,
     /*  124582 */     GIR_EraseRootFromParent_Done,
     /*  124583 */   // Label 2230: @124583
     /*  124583 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(124778), // Rule ID 65091 //
     /*  124588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124627 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124647 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124651 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124655 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124659 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124663 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124667 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124671 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124675 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124679 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124683 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124687 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124696 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124703 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124710 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124717 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124776 */     GIR_RootConstrainSelectedInstOperands,
     /*  124777 */     // GIR_Coverage, 65091,
     /*  124777 */     GIR_EraseRootFromParent_Done,
     /*  124778 */   // Label 2231: @124778
     /*  124778 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(124973), // Rule ID 65095 //
     /*  124783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124822 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124834 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124838 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124842 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124846 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124850 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124854 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124858 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124862 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124866 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124870 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124874 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124878 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124882 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124891 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124898 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124905 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124912 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 65095,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 2232: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125168), // Rule ID 2441 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125017 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125033 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125037 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  125041 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125045 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125049 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125053 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125057 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125061 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125065 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125069 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125073 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125077 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125079 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125086 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125093 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125100 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125107 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125107 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125110 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125114 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  125124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  125129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125166 */     GIR_RootConstrainSelectedInstOperands,
     /*  125167 */     // GIR_Coverage, 2441,
     /*  125167 */     GIR_EraseRootFromParent_Done,
     /*  125168 */   // Label 2233: @125168
     /*  125168 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125363), // Rule ID 65093 //
     /*  125173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125212 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125228 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125232 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  125236 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125240 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125244 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125248 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125252 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125256 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125260 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125264 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125268 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125272 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125281 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125288 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125295 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125302 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125361 */     GIR_RootConstrainSelectedInstOperands,
     /*  125362 */     // GIR_Coverage, 65093,
     /*  125362 */     GIR_EraseRootFromParent_Done,
     /*  125363 */   // Label 2234: @125363
     /*  125363 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125468), // Rule ID 2436 //
     /*  125368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125391 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125431 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125466 */     GIR_RootConstrainSelectedInstOperands,
     /*  125467 */     // GIR_Coverage, 2436,
     /*  125467 */     GIR_EraseRootFromParent_Done,
     /*  125468 */   // Label 2235: @125468
     /*  125468 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125573), // Rule ID 65086 //
     /*  125473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125536 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125571 */     GIR_RootConstrainSelectedInstOperands,
     /*  125572 */     // GIR_Coverage, 65086,
     /*  125572 */     GIR_EraseRootFromParent_Done,
     /*  125573 */   // Label 2236: @125573
     /*  125573 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125662), // Rule ID 65080 //
     /*  125578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125622 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125626 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125646 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125660 */     GIR_RootConstrainSelectedInstOperands,
     /*  125661 */     // GIR_Coverage, 65080,
     /*  125661 */     GIR_EraseRootFromParent_Done,
     /*  125662 */   // Label 2237: @125662
     /*  125662 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125751), // Rule ID 2430 //
     /*  125667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125715 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125735 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125749 */     GIR_RootConstrainSelectedInstOperands,
     /*  125750 */     // GIR_Coverage, 2430,
     /*  125750 */     GIR_EraseRootFromParent_Done,
     /*  125751 */   // Label 2238: @125751
     /*  125751 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125816), // Rule ID 65082 //
     /*  125756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125779 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125799 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125814 */     GIR_RootConstrainSelectedInstOperands,
     /*  125815 */     // GIR_Coverage, 65082,
     /*  125815 */     GIR_EraseRootFromParent_Done,
     /*  125816 */   // Label 2239: @125816
     /*  125816 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(125881), // Rule ID 2432 //
     /*  125821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125844 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125864 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125879 */     GIR_RootConstrainSelectedInstOperands,
     /*  125880 */     // GIR_Coverage, 2432,
     /*  125880 */     GIR_EraseRootFromParent_Done,
     /*  125881 */   // Label 2240: @125881
     /*  125881 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(125947), // Rule ID 65088 //
     /*  125886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11201),
     /*  125922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125931 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11201>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125945 */     GIR_RootConstrainSelectedInstOperands,
     /*  125946 */     // GIR_Coverage, 65088,
     /*  125946 */     GIR_EraseRootFromParent_Done,
     /*  125947 */   // Label 2241: @125947
     /*  125947 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126013), // Rule ID 2438 //
     /*  125952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11201),
     /*  125988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125997 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11201>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126011 */     GIR_RootConstrainSelectedInstOperands,
     /*  126012 */     // GIR_Coverage, 2438,
     /*  126012 */     GIR_EraseRootFromParent_Done,
     /*  126013 */   // Label 2242: @126013
     /*  126013 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126075), // Rule ID 2439 //
     /*  126018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126046 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126059 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126073 */     GIR_RootConstrainSelectedInstOperands,
     /*  126074 */     // GIR_Coverage, 2439,
     /*  126074 */     GIR_EraseRootFromParent_Done,
     /*  126075 */   // Label 2243: @126075
     /*  126075 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126137), // Rule ID 65089 //
     /*  126080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126108 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126121 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126135 */     GIR_RootConstrainSelectedInstOperands,
     /*  126136 */     // GIR_Coverage, 65089,
     /*  126136 */     GIR_EraseRootFromParent_Done,
     /*  126137 */   // Label 2244: @126137
     /*  126137 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(126196), // Rule ID 2365 //
     /*  126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126165 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126182 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126194 */     GIR_RootConstrainSelectedInstOperands,
     /*  126195 */     // GIR_Coverage, 2365,
     /*  126195 */     GIR_EraseRootFromParent_Done,
     /*  126196 */   // Label 2245: @126196
     /*  126196 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126255), // Rule ID 65076 //
     /*  126201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126241 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126253 */     GIR_RootConstrainSelectedInstOperands,
     /*  126254 */     // GIR_Coverage, 65076,
     /*  126254 */     GIR_EraseRootFromParent_Done,
     /*  126255 */   // Label 2246: @126255
     /*  126255 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126311), // Rule ID 65060 //
     /*  126260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126298 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126309 */     GIR_RootConstrainSelectedInstOperands,
     /*  126310 */     // GIR_Coverage, 65060,
     /*  126310 */     GIR_EraseRootFromParent_Done,
     /*  126311 */   // Label 2247: @126311
     /*  126311 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126367), // Rule ID 2339 //
     /*  126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126354 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126365 */     GIR_RootConstrainSelectedInstOperands,
     /*  126366 */     // GIR_Coverage, 2339,
     /*  126366 */     GIR_EraseRootFromParent_Done,
     /*  126367 */   // Label 2248: @126367
     /*  126367 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126409), // Rule ID 81 //
     /*  126372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126395 */     // MIs[1] Operand 1
     /*  126395 */     // No operand predicates
     /*  126395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126397 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126407 */     GIR_RootConstrainSelectedInstOperands,
     /*  126408 */     // GIR_Coverage, 81,
     /*  126408 */     GIR_EraseRootFromParent_Done,
     /*  126409 */   // Label 2249: @126409
     /*  126409 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(126451), // Rule ID 64441 //
     /*  126414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  126437 */     // MIs[1] Operand 1
     /*  126437 */     // No operand predicates
     /*  126437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126439 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  126439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  126442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  126444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126449 */     GIR_RootConstrainSelectedInstOperands,
     /*  126450 */     // GIR_Coverage, 64441,
     /*  126450 */     GIR_EraseRootFromParent_Done,
     /*  126451 */   // Label 2250: @126451
     /*  126451 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(126493), // Rule ID 64445 //
     /*  126456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  126479 */     // MIs[1] Operand 1
     /*  126479 */     // No operand predicates
     /*  126479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126481 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  126481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  126484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126491 */     GIR_RootConstrainSelectedInstOperands,
     /*  126492 */     // GIR_Coverage, 64445,
     /*  126492 */     GIR_EraseRootFromParent_Done,
     /*  126493 */   // Label 2251: @126493
     /*  126493 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(126520), // Rule ID 79 //
     /*  126498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126513 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126518 */     GIR_RootConstrainSelectedInstOperands,
     /*  126519 */     // GIR_Coverage, 79,
     /*  126519 */     GIR_Done,
     /*  126520 */   // Label 2252: @126520
     /*  126520 */   GIM_Reject,
     /*  126521 */ // Label 2226: @126521
     /*  126521 */ GIM_Reject,
     /*  126522 */ // Label 2195: @126522
     /*  126522 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(129469),
     /*  126527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126533 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(126728), // Rule ID 65100 //
     /*  126538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126577 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126597 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126601 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126605 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126609 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126613 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126617 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126621 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126625 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126629 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126633 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126637 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126653 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126660 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126667 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126726 */     GIR_RootConstrainSelectedInstOperands,
     /*  126727 */     // GIR_Coverage, 65100,
     /*  126727 */     GIR_EraseRootFromParent_Done,
     /*  126728 */   // Label 2254: @126728
     /*  126728 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(126923), // Rule ID 65102 //
     /*  126733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126772 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126784 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126788 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126792 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126796 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126800 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126804 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126808 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126812 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126816 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126820 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126824 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126828 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126832 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126848 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126855 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126862 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126921 */     GIR_RootConstrainSelectedInstOperands,
     /*  126922 */     // GIR_Coverage, 65102,
     /*  126922 */     GIR_EraseRootFromParent_Done,
     /*  126923 */   // Label 2255: @126923
     /*  126923 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127118), // Rule ID 65096 //
     /*  126928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126967 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126987 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126991 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126995 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126999 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127003 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  127007 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127011 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127015 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127019 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127023 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  127027 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127043 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127050 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127057 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127057 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127060 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127064 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  127074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  127079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127116 */     GIR_RootConstrainSelectedInstOperands,
     /*  127117 */     // GIR_Coverage, 65096,
     /*  127117 */     GIR_EraseRootFromParent_Done,
     /*  127118 */   // Label 2256: @127118
     /*  127118 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127313), // Rule ID 65098 //
     /*  127123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127162 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  127166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  127170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127178 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  127186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127194 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127198 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  127202 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127206 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127210 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127214 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127218 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  127222 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127238 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127245 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127252 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127252 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127255 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127259 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  127269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  127274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127311 */     GIR_RootConstrainSelectedInstOperands,
     /*  127312 */     // GIR_Coverage, 65098,
     /*  127312 */     GIR_EraseRootFromParent_Done,
     /*  127313 */   // Label 2257: @127313
     /*  127313 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(127508), // Rule ID 65090 //
     /*  127318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127369 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127373 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127377 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127389 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127393 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127397 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127401 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127405 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127409 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127417 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127426 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127433 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127440 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127447 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127447 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127506 */     GIR_RootConstrainSelectedInstOperands,
     /*  127507 */     // GIR_Coverage, 65090,
     /*  127507 */     GIR_EraseRootFromParent_Done,
     /*  127508 */   // Label 2258: @127508
     /*  127508 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(127703), // Rule ID 65094 //
     /*  127513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127568 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127572 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127576 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127580 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127584 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127588 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127592 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127596 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127600 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127604 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127608 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127612 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127621 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127628 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127635 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127642 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127642 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127645 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127649 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 65094,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2259: @127703
     /*  127703 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(127898), // Rule ID 2440 //
     /*  127708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127747 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127767 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127771 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127775 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127779 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127783 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127787 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127791 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127795 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127799 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127803 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127807 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127809 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127816 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127823 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127830 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127837 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127837 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127840 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127844 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127896 */     GIR_RootConstrainSelectedInstOperands,
     /*  127897 */     // GIR_Coverage, 2440,
     /*  127897 */     GIR_EraseRootFromParent_Done,
     /*  127898 */   // Label 2260: @127898
     /*  127898 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128093), // Rule ID 65092 //
     /*  127903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127942 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127954 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127958 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127962 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127970 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127974 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127978 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127982 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127986 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127990 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127994 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127998 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128002 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128011 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128018 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128025 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128032 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  128032 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  128035 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128039 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  128049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  128054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  128073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  128078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128091 */     GIR_RootConstrainSelectedInstOperands,
     /*  128092 */     // GIR_Coverage, 65092,
     /*  128092 */     GIR_EraseRootFromParent_Done,
     /*  128093 */   // Label 2261: @128093
     /*  128093 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128198), // Rule ID 2435 //
     /*  128098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128121 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  128125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128141 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128161 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128196 */     GIR_RootConstrainSelectedInstOperands,
     /*  128197 */     // GIR_Coverage, 2435,
     /*  128197 */     GIR_EraseRootFromParent_Done,
     /*  128198 */   // Label 2262: @128198
     /*  128198 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128303), // Rule ID 65085 //
     /*  128203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128226 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128246 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128266 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 65085,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 2263: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128392), // Rule ID 65079 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128352 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128356 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128376 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128390 */     GIR_RootConstrainSelectedInstOperands,
     /*  128391 */     // GIR_Coverage, 65079,
     /*  128391 */     GIR_EraseRootFromParent_Done,
     /*  128392 */   // Label 2264: @128392
     /*  128392 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128481), // Rule ID 2429 //
     /*  128397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128441 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128445 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128465 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128479 */     GIR_RootConstrainSelectedInstOperands,
     /*  128480 */     // GIR_Coverage, 2429,
     /*  128480 */     GIR_EraseRootFromParent_Done,
     /*  128481 */   // Label 2265: @128481
     /*  128481 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128546), // Rule ID 65081 //
     /*  128486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128509 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128529 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128544 */     GIR_RootConstrainSelectedInstOperands,
     /*  128545 */     // GIR_Coverage, 65081,
     /*  128545 */     GIR_EraseRootFromParent_Done,
     /*  128546 */   // Label 2266: @128546
     /*  128546 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128611), // Rule ID 2431 //
     /*  128551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128574 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128594 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128609 */     GIR_RootConstrainSelectedInstOperands,
     /*  128610 */     // GIR_Coverage, 2431,
     /*  128610 */     GIR_EraseRootFromParent_Done,
     /*  128611 */   // Label 2267: @128611
     /*  128611 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128696), // Rule ID 65106 //
     /*  128616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128656 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128660 */     // MIs[1] Operand 2
     /*  128660 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128680 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128694 */     GIR_RootConstrainSelectedInstOperands,
     /*  128695 */     // GIR_Coverage, 65106,
     /*  128695 */     GIR_EraseRootFromParent_Done,
     /*  128696 */   // Label 2268: @128696
     /*  128696 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128781), // Rule ID 2444 //
     /*  128701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128745 */     // MIs[1] Operand 2
     /*  128745 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128765 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128779 */     GIR_RootConstrainSelectedInstOperands,
     /*  128780 */     // GIR_Coverage, 2444,
     /*  128780 */     GIR_EraseRootFromParent_Done,
     /*  128781 */   // Label 2269: @128781
     /*  128781 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(128847), // Rule ID 65087 //
     /*  128786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128814 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11201),
     /*  128822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128831 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11201>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128845 */     GIR_RootConstrainSelectedInstOperands,
     /*  128846 */     // GIR_Coverage, 65087,
     /*  128846 */     GIR_EraseRootFromParent_Done,
     /*  128847 */   // Label 2270: @128847
     /*  128847 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(128913), // Rule ID 65105 //
     /*  128852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10041),
     /*  128888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128897 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10041>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128911 */     GIR_RootConstrainSelectedInstOperands,
     /*  128912 */     // GIR_Coverage, 65105,
     /*  128912 */     GIR_EraseRootFromParent_Done,
     /*  128913 */   // Label 2271: @128913
     /*  128913 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(128979), // Rule ID 2437 //
     /*  128918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11201),
     /*  128954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128963 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11201>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128977 */     GIR_RootConstrainSelectedInstOperands,
     /*  128978 */     // GIR_Coverage, 2437,
     /*  128978 */     GIR_EraseRootFromParent_Done,
     /*  128979 */   // Label 2272: @128979
     /*  128979 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129045), // Rule ID 2443 //
     /*  128984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129012 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10041),
     /*  129020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  129029 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10041>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  129032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129043 */     GIR_RootConstrainSelectedInstOperands,
     /*  129044 */     // GIR_Coverage, 2443,
     /*  129044 */     GIR_EraseRootFromParent_Done,
     /*  129045 */   // Label 2273: @129045
     /*  129045 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129107), // Rule ID 2442 //
     /*  129050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129091 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129105 */     GIR_RootConstrainSelectedInstOperands,
     /*  129106 */     // GIR_Coverage, 2442,
     /*  129106 */     GIR_EraseRootFromParent_Done,
     /*  129107 */   // Label 2274: @129107
     /*  129107 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129169), // Rule ID 65104 //
     /*  129112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129153 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129167 */     GIR_RootConstrainSelectedInstOperands,
     /*  129168 */     // GIR_Coverage, 65104,
     /*  129168 */     GIR_EraseRootFromParent_Done,
     /*  129169 */   // Label 2275: @129169
     /*  129169 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129228), // Rule ID 2364 //
     /*  129174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129197 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129214 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129226 */     GIR_RootConstrainSelectedInstOperands,
     /*  129227 */     // GIR_Coverage, 2364,
     /*  129227 */     GIR_EraseRootFromParent_Done,
     /*  129228 */   // Label 2276: @129228
     /*  129228 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129287), // Rule ID 65075 //
     /*  129233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129260 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129273 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129285 */     GIR_RootConstrainSelectedInstOperands,
     /*  129286 */     // GIR_Coverage, 65075,
     /*  129286 */     GIR_EraseRootFromParent_Done,
     /*  129287 */   // Label 2277: @129287
     /*  129287 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129343), // Rule ID 65059 //
     /*  129292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129320 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129330 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129341 */     GIR_RootConstrainSelectedInstOperands,
     /*  129342 */     // GIR_Coverage, 65059,
     /*  129342 */     GIR_EraseRootFromParent_Done,
     /*  129343 */   // Label 2278: @129343
     /*  129343 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129399), // Rule ID 2338 //
     /*  129348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129397 */     GIR_RootConstrainSelectedInstOperands,
     /*  129398 */     // GIR_Coverage, 2338,
     /*  129398 */     GIR_EraseRootFromParent_Done,
     /*  129399 */   // Label 2279: @129399
     /*  129399 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(129441), // Rule ID 80 //
     /*  129404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129427 */     // MIs[1] Operand 1
     /*  129427 */     // No operand predicates
     /*  129427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129429 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129439 */     GIR_RootConstrainSelectedInstOperands,
     /*  129440 */     // GIR_Coverage, 80,
     /*  129440 */     GIR_EraseRootFromParent_Done,
     /*  129441 */   // Label 2280: @129441
     /*  129441 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129468), // Rule ID 78 //
     /*  129446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129461 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129466 */     GIR_RootConstrainSelectedInstOperands,
     /*  129467 */     // GIR_Coverage, 78,
     /*  129467 */     GIR_Done,
     /*  129468 */   // Label 2281: @129468
     /*  129468 */   GIM_Reject,
     /*  129469 */ // Label 2253: @129469
     /*  129469 */ GIM_Reject,
     /*  129470 */ // Label 2196: @129470
     /*  129470 */ GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(130080),
     /*  129475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129485 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129551), // Rule ID 71279 //
     /*  129490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129532 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129549 */     GIR_RootConstrainSelectedInstOperands,
     /*  129550 */     // GIR_Coverage, 71279,
     /*  129550 */     GIR_EraseRootFromParent_Done,
     /*  129551 */   // Label 2283: @129551
     /*  129551 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129617), // Rule ID 71280 //
     /*  129556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129598 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129615 */     GIR_RootConstrainSelectedInstOperands,
     /*  129616 */     // GIR_Coverage, 71280,
     /*  129616 */     GIR_EraseRootFromParent_Done,
     /*  129617 */   // Label 2284: @129617
     /*  129617 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129683), // Rule ID 71277 //
     /*  129622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129664 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129681 */     GIR_RootConstrainSelectedInstOperands,
     /*  129682 */     // GIR_Coverage, 71277,
     /*  129682 */     GIR_EraseRootFromParent_Done,
     /*  129683 */   // Label 2285: @129683
     /*  129683 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129749), // Rule ID 71278 //
     /*  129688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129730 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129747 */     GIR_RootConstrainSelectedInstOperands,
     /*  129748 */     // GIR_Coverage, 71278,
     /*  129748 */     GIR_EraseRootFromParent_Done,
     /*  129749 */   // Label 2286: @129749
     /*  129749 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129815), // Rule ID 71275 //
     /*  129754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129796 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129813 */     GIR_RootConstrainSelectedInstOperands,
     /*  129814 */     // GIR_Coverage, 71275,
     /*  129814 */     GIR_EraseRootFromParent_Done,
     /*  129815 */   // Label 2287: @129815
     /*  129815 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(129881), // Rule ID 71276 //
     /*  129820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129862 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129879 */     GIR_RootConstrainSelectedInstOperands,
     /*  129880 */     // GIR_Coverage, 71276,
     /*  129880 */     GIR_EraseRootFromParent_Done,
     /*  129881 */   // Label 2288: @129881
     /*  129881 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(129947), // Rule ID 53048 //
     /*  129886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129928 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129945 */     GIR_RootConstrainSelectedInstOperands,
     /*  129946 */     // GIR_Coverage, 53048,
     /*  129946 */     GIR_EraseRootFromParent_Done,
     /*  129947 */   // Label 2289: @129947
     /*  129947 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(130013), // Rule ID 53049 //
     /*  129952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129994 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130011 */     GIR_RootConstrainSelectedInstOperands,
     /*  130012 */     // GIR_Coverage, 53049,
     /*  130012 */     GIR_EraseRootFromParent_Done,
     /*  130013 */   // Label 2290: @130013
     /*  130013 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130046), // Rule ID 53036 //
     /*  130018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130029 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130044 */     GIR_RootConstrainSelectedInstOperands,
     /*  130045 */     // GIR_Coverage, 53036,
     /*  130045 */     GIR_EraseRootFromParent_Done,
     /*  130046 */   // Label 2291: @130046
     /*  130046 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130079), // Rule ID 53037 //
     /*  130051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130062 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 53037,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 2292: @130079
     /*  130079 */   GIM_Reject,
     /*  130080 */ // Label 2282: @130080
     /*  130080 */ GIM_Reject,
     /*  130081 */ // Label 2197: @130081
     /*  130081 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130195),
     /*  130086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  130089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  130092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130104 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130149), // Rule ID 47658 //
     /*  130109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130112 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130147 */     GIR_RootConstrainSelectedInstOperands,
     /*  130148 */     // GIR_Coverage, 47658,
     /*  130148 */     GIR_EraseRootFromParent_Done,
     /*  130149 */   // Label 2294: @130149
     /*  130149 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130194), // Rule ID 47659 //
     /*  130154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130157 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130192 */     GIR_RootConstrainSelectedInstOperands,
     /*  130193 */     // GIR_Coverage, 47659,
     /*  130193 */     GIR_EraseRootFromParent_Done,
     /*  130194 */   // Label 2295: @130194
     /*  130194 */   GIM_Reject,
     /*  130195 */ // Label 2293: @130195
     /*  130195 */ GIM_Reject,
     /*  130196 */ // Label 2198: @130196
     /*  130196 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130310),
     /*  130201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  130204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  130207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130219 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130264), // Rule ID 47670 //
     /*  130224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130227 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130262 */     GIR_RootConstrainSelectedInstOperands,
     /*  130263 */     // GIR_Coverage, 47670,
     /*  130263 */     GIR_EraseRootFromParent_Done,
     /*  130264 */   // Label 2297: @130264
     /*  130264 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130309), // Rule ID 47671 //
     /*  130269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130272 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  130272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130307 */     GIR_RootConstrainSelectedInstOperands,
     /*  130308 */     // GIR_Coverage, 47671,
     /*  130308 */     GIR_EraseRootFromParent_Done,
     /*  130309 */   // Label 2298: @130309
     /*  130309 */   GIM_Reject,
     /*  130310 */ // Label 2296: @130310
     /*  130310 */ GIM_Reject,
     /*  130311 */ // Label 2199: @130311
     /*  130311 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130425),
     /*  130316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  130319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  130322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130334 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130379), // Rule ID 47678 //
     /*  130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130342 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130377 */     GIR_RootConstrainSelectedInstOperands,
     /*  130378 */     // GIR_Coverage, 47678,
     /*  130378 */     GIR_EraseRootFromParent_Done,
     /*  130379 */   // Label 2300: @130379
     /*  130379 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130424), // Rule ID 47679 //
     /*  130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130387 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130422 */     GIR_RootConstrainSelectedInstOperands,
     /*  130423 */     // GIR_Coverage, 47679,
     /*  130423 */     GIR_EraseRootFromParent_Done,
     /*  130424 */   // Label 2301: @130424
     /*  130424 */   GIM_Reject,
     /*  130425 */ // Label 2299: @130425
     /*  130425 */ GIM_Reject,
     /*  130426 */ // Label 2200: @130426
     /*  130426 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130540),
     /*  130431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130494), // Rule ID 47694 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130457 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130492 */     GIR_RootConstrainSelectedInstOperands,
     /*  130493 */     // GIR_Coverage, 47694,
     /*  130493 */     GIR_EraseRootFromParent_Done,
     /*  130494 */   // Label 2303: @130494
     /*  130494 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130539), // Rule ID 47695 //
     /*  130499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130502 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130537 */     GIR_RootConstrainSelectedInstOperands,
     /*  130538 */     // GIR_Coverage, 47695,
     /*  130538 */     GIR_EraseRootFromParent_Done,
     /*  130539 */   // Label 2304: @130539
     /*  130539 */   GIM_Reject,
     /*  130540 */ // Label 2302: @130540
     /*  130540 */ GIM_Reject,
     /*  130541 */ // Label 2201: @130541
     /*  130541 */ GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(131151),
     /*  130546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130556 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130622), // Rule ID 71307 //
     /*  130561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130603 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130620 */     GIR_RootConstrainSelectedInstOperands,
     /*  130621 */     // GIR_Coverage, 71307,
     /*  130621 */     GIR_EraseRootFromParent_Done,
     /*  130622 */   // Label 2306: @130622
     /*  130622 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130688), // Rule ID 71308 //
     /*  130627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130669 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130686 */     GIR_RootConstrainSelectedInstOperands,
     /*  130687 */     // GIR_Coverage, 71308,
     /*  130687 */     GIR_EraseRootFromParent_Done,
     /*  130688 */   // Label 2307: @130688
     /*  130688 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130754), // Rule ID 71305 //
     /*  130693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130735 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130752 */     GIR_RootConstrainSelectedInstOperands,
     /*  130753 */     // GIR_Coverage, 71305,
     /*  130753 */     GIR_EraseRootFromParent_Done,
     /*  130754 */   // Label 2308: @130754
     /*  130754 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130820), // Rule ID 71306 //
     /*  130759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130801 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130818 */     GIR_RootConstrainSelectedInstOperands,
     /*  130819 */     // GIR_Coverage, 71306,
     /*  130819 */     GIR_EraseRootFromParent_Done,
     /*  130820 */   // Label 2309: @130820
     /*  130820 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130886), // Rule ID 71303 //
     /*  130825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130867 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130884 */     GIR_RootConstrainSelectedInstOperands,
     /*  130885 */     // GIR_Coverage, 71303,
     /*  130885 */     GIR_EraseRootFromParent_Done,
     /*  130886 */   // Label 2310: @130886
     /*  130886 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130952), // Rule ID 71304 //
     /*  130891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130933 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130950 */     GIR_RootConstrainSelectedInstOperands,
     /*  130951 */     // GIR_Coverage, 71304,
     /*  130951 */     GIR_EraseRootFromParent_Done,
     /*  130952 */   // Label 2311: @130952
     /*  130952 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131018), // Rule ID 53066 //
     /*  130957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130999 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131016 */     GIR_RootConstrainSelectedInstOperands,
     /*  131017 */     // GIR_Coverage, 53066,
     /*  131017 */     GIR_EraseRootFromParent_Done,
     /*  131018 */   // Label 2312: @131018
     /*  131018 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131084), // Rule ID 53067 //
     /*  131023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  131042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  131046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131065 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131082 */     GIR_RootConstrainSelectedInstOperands,
     /*  131083 */     // GIR_Coverage, 53067,
     /*  131083 */     GIR_EraseRootFromParent_Done,
     /*  131084 */   // Label 2313: @131084
     /*  131084 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131117), // Rule ID 53054 //
     /*  131089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131100 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131115 */     GIR_RootConstrainSelectedInstOperands,
     /*  131116 */     // GIR_Coverage, 53054,
     /*  131116 */     GIR_EraseRootFromParent_Done,
     /*  131117 */   // Label 2314: @131117
     /*  131117 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131150), // Rule ID 53055 //
     /*  131122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131133 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131148 */     GIR_RootConstrainSelectedInstOperands,
     /*  131149 */     // GIR_Coverage, 53055,
     /*  131149 */     GIR_EraseRootFromParent_Done,
     /*  131150 */   // Label 2315: @131150
     /*  131150 */   GIM_Reject,
     /*  131151 */ // Label 2305: @131151
     /*  131151 */ GIM_Reject,
     /*  131152 */ // Label 2202: @131152
     /*  131152 */ GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131266),
     /*  131157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  131160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  131163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131175 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131220), // Rule ID 47662 //
     /*  131180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131183 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131218 */     GIR_RootConstrainSelectedInstOperands,
     /*  131219 */     // GIR_Coverage, 47662,
     /*  131219 */     GIR_EraseRootFromParent_Done,
     /*  131220 */   // Label 2317: @131220
     /*  131220 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131265), // Rule ID 47663 //
     /*  131225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131228 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131263 */     GIR_RootConstrainSelectedInstOperands,
     /*  131264 */     // GIR_Coverage, 47663,
     /*  131264 */     GIR_EraseRootFromParent_Done,
     /*  131265 */   // Label 2318: @131265
     /*  131265 */   GIM_Reject,
     /*  131266 */ // Label 2316: @131266
     /*  131266 */ GIM_Reject,
     /*  131267 */ // Label 2203: @131267
     /*  131267 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131381),
     /*  131272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  131275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  131278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131290 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131335), // Rule ID 47674 //
     /*  131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131298 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  131298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131333 */     GIR_RootConstrainSelectedInstOperands,
     /*  131334 */     // GIR_Coverage, 47674,
     /*  131334 */     GIR_EraseRootFromParent_Done,
     /*  131335 */   // Label 2320: @131335
     /*  131335 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131380), // Rule ID 47675 //
     /*  131340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131343 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131378 */     GIR_RootConstrainSelectedInstOperands,
     /*  131379 */     // GIR_Coverage, 47675,
     /*  131379 */     GIR_EraseRootFromParent_Done,
     /*  131380 */   // Label 2321: @131380
     /*  131380 */   GIM_Reject,
     /*  131381 */ // Label 2319: @131381
     /*  131381 */ GIM_Reject,
     /*  131382 */ // Label 2204: @131382
     /*  131382 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131496),
     /*  131387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131405 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131450), // Rule ID 47690 //
     /*  131410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131413 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131448 */     GIR_RootConstrainSelectedInstOperands,
     /*  131449 */     // GIR_Coverage, 47690,
     /*  131449 */     GIR_EraseRootFromParent_Done,
     /*  131450 */   // Label 2323: @131450
     /*  131450 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131495), // Rule ID 47691 //
     /*  131455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131458 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131493 */     GIR_RootConstrainSelectedInstOperands,
     /*  131494 */     // GIR_Coverage, 47691,
     /*  131494 */     GIR_EraseRootFromParent_Done,
     /*  131495 */   // Label 2324: @131495
     /*  131495 */   GIM_Reject,
     /*  131496 */ // Label 2322: @131496
     /*  131496 */ GIM_Reject,
     /*  131497 */ // Label 2205: @131497
     /*  131497 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131611),
     /*  131502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131520 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131565), // Rule ID 47734 //
     /*  131525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131528 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131563 */     GIR_RootConstrainSelectedInstOperands,
     /*  131564 */     // GIR_Coverage, 47734,
     /*  131564 */     GIR_EraseRootFromParent_Done,
     /*  131565 */   // Label 2326: @131565
     /*  131565 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131610), // Rule ID 47735 //
     /*  131570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131573 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131608 */     GIR_RootConstrainSelectedInstOperands,
     /*  131609 */     // GIR_Coverage, 47735,
     /*  131609 */     GIR_EraseRootFromParent_Done,
     /*  131610 */   // Label 2327: @131610
     /*  131610 */   GIM_Reject,
     /*  131611 */ // Label 2325: @131611
     /*  131611 */ GIM_Reject,
     /*  131612 */ // Label 2206: @131612
     /*  131612 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132222),
     /*  131617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131627 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131693), // Rule ID 71335 //
     /*  131632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131674 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131691 */     GIR_RootConstrainSelectedInstOperands,
     /*  131692 */     // GIR_Coverage, 71335,
     /*  131692 */     GIR_EraseRootFromParent_Done,
     /*  131693 */   // Label 2329: @131693
     /*  131693 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131759), // Rule ID 71336 //
     /*  131698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131740 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131757 */     GIR_RootConstrainSelectedInstOperands,
     /*  131758 */     // GIR_Coverage, 71336,
     /*  131758 */     GIR_EraseRootFromParent_Done,
     /*  131759 */   // Label 2330: @131759
     /*  131759 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(131825), // Rule ID 71333 //
     /*  131764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131806 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131823 */     GIR_RootConstrainSelectedInstOperands,
     /*  131824 */     // GIR_Coverage, 71333,
     /*  131824 */     GIR_EraseRootFromParent_Done,
     /*  131825 */   // Label 2331: @131825
     /*  131825 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(131891), // Rule ID 71334 //
     /*  131830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131872 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131889 */     GIR_RootConstrainSelectedInstOperands,
     /*  131890 */     // GIR_Coverage, 71334,
     /*  131890 */     GIR_EraseRootFromParent_Done,
     /*  131891 */   // Label 2332: @131891
     /*  131891 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(131957), // Rule ID 71331 //
     /*  131896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131938 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131955 */     GIR_RootConstrainSelectedInstOperands,
     /*  131956 */     // GIR_Coverage, 71331,
     /*  131956 */     GIR_EraseRootFromParent_Done,
     /*  131957 */   // Label 2333: @131957
     /*  131957 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132023), // Rule ID 71332 //
     /*  131962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132004 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132021 */     GIR_RootConstrainSelectedInstOperands,
     /*  132022 */     // GIR_Coverage, 71332,
     /*  132022 */     GIR_EraseRootFromParent_Done,
     /*  132023 */   // Label 2334: @132023
     /*  132023 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132089), // Rule ID 53084 //
     /*  132028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132070 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132087 */     GIR_RootConstrainSelectedInstOperands,
     /*  132088 */     // GIR_Coverage, 53084,
     /*  132088 */     GIR_EraseRootFromParent_Done,
     /*  132089 */   // Label 2335: @132089
     /*  132089 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132155), // Rule ID 53085 //
     /*  132094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132136 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132153 */     GIR_RootConstrainSelectedInstOperands,
     /*  132154 */     // GIR_Coverage, 53085,
     /*  132154 */     GIR_EraseRootFromParent_Done,
     /*  132155 */   // Label 2336: @132155
     /*  132155 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132188), // Rule ID 53072 //
     /*  132160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132171 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132186 */     GIR_RootConstrainSelectedInstOperands,
     /*  132187 */     // GIR_Coverage, 53072,
     /*  132187 */     GIR_EraseRootFromParent_Done,
     /*  132188 */   // Label 2337: @132188
     /*  132188 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132221), // Rule ID 53073 //
     /*  132193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132204 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132219 */     GIR_RootConstrainSelectedInstOperands,
     /*  132220 */     // GIR_Coverage, 53073,
     /*  132220 */     GIR_EraseRootFromParent_Done,
     /*  132221 */   // Label 2338: @132221
     /*  132221 */   GIM_Reject,
     /*  132222 */ // Label 2328: @132222
     /*  132222 */ GIM_Reject,
     /*  132223 */ // Label 2207: @132223
     /*  132223 */ GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132337),
     /*  132228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  132231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132246 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132291), // Rule ID 47666 //
     /*  132251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132254 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132289 */     GIR_RootConstrainSelectedInstOperands,
     /*  132290 */     // GIR_Coverage, 47666,
     /*  132290 */     GIR_EraseRootFromParent_Done,
     /*  132291 */   // Label 2340: @132291
     /*  132291 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132336), // Rule ID 47667 //
     /*  132296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132299 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  132299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132334 */     GIR_RootConstrainSelectedInstOperands,
     /*  132335 */     // GIR_Coverage, 47667,
     /*  132335 */     GIR_EraseRootFromParent_Done,
     /*  132336 */   // Label 2341: @132336
     /*  132336 */   GIM_Reject,
     /*  132337 */ // Label 2339: @132337
     /*  132337 */ GIM_Reject,
     /*  132338 */ // Label 2208: @132338
     /*  132338 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132452),
     /*  132343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132361 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132406), // Rule ID 47686 //
     /*  132366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132369 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132404 */     GIR_RootConstrainSelectedInstOperands,
     /*  132405 */     // GIR_Coverage, 47686,
     /*  132405 */     GIR_EraseRootFromParent_Done,
     /*  132406 */   // Label 2343: @132406
     /*  132406 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132451), // Rule ID 47687 //
     /*  132411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132414 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132449 */     GIR_RootConstrainSelectedInstOperands,
     /*  132450 */     // GIR_Coverage, 47687,
     /*  132450 */     GIR_EraseRootFromParent_Done,
     /*  132451 */   // Label 2344: @132451
     /*  132451 */   GIM_Reject,
     /*  132452 */ // Label 2342: @132452
     /*  132452 */ GIM_Reject,
     /*  132453 */ // Label 2209: @132453
     /*  132453 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132567),
     /*  132458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132476 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132521), // Rule ID 47722 //
     /*  132481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132484 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 47722,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 2346: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132566), // Rule ID 47723 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132564 */     GIR_RootConstrainSelectedInstOperands,
     /*  132565 */     // GIR_Coverage, 47723,
     /*  132565 */     GIR_EraseRootFromParent_Done,
     /*  132566 */   // Label 2347: @132566
     /*  132566 */   GIM_Reject,
     /*  132567 */ // Label 2345: @132567
     /*  132567 */ GIM_Reject,
     /*  132568 */ // Label 2210: @132568
     /*  132568 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132682),
     /*  132573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132591 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(132636), // Rule ID 47738 //
     /*  132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132599 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132634 */     GIR_RootConstrainSelectedInstOperands,
     /*  132635 */     // GIR_Coverage, 47738,
     /*  132635 */     GIR_EraseRootFromParent_Done,
     /*  132636 */   // Label 2349: @132636
     /*  132636 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132681), // Rule ID 47739 //
     /*  132641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132644 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132679 */     GIR_RootConstrainSelectedInstOperands,
     /*  132680 */     // GIR_Coverage, 47739,
     /*  132680 */     GIR_EraseRootFromParent_Done,
     /*  132681 */   // Label 2350: @132681
     /*  132681 */   GIM_Reject,
     /*  132682 */ // Label 2348: @132682
     /*  132682 */ GIM_Reject,
     /*  132683 */ // Label 2211: @132683
     /*  132683 */ GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(133293),
     /*  132688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132764), // Rule ID 71363 //
     /*  132703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132745 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132762 */     GIR_RootConstrainSelectedInstOperands,
     /*  132763 */     // GIR_Coverage, 71363,
     /*  132763 */     GIR_EraseRootFromParent_Done,
     /*  132764 */   // Label 2352: @132764
     /*  132764 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132830), // Rule ID 71364 //
     /*  132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132811 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132828 */     GIR_RootConstrainSelectedInstOperands,
     /*  132829 */     // GIR_Coverage, 71364,
     /*  132829 */     GIR_EraseRootFromParent_Done,
     /*  132830 */   // Label 2353: @132830
     /*  132830 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(132896), // Rule ID 71361 //
     /*  132835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132877 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132894 */     GIR_RootConstrainSelectedInstOperands,
     /*  132895 */     // GIR_Coverage, 71361,
     /*  132895 */     GIR_EraseRootFromParent_Done,
     /*  132896 */   // Label 2354: @132896
     /*  132896 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(132962), // Rule ID 71362 //
     /*  132901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132943 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132960 */     GIR_RootConstrainSelectedInstOperands,
     /*  132961 */     // GIR_Coverage, 71362,
     /*  132961 */     GIR_EraseRootFromParent_Done,
     /*  132962 */   // Label 2355: @132962
     /*  132962 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133028), // Rule ID 71359 //
     /*  132967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133009 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133026 */     GIR_RootConstrainSelectedInstOperands,
     /*  133027 */     // GIR_Coverage, 71359,
     /*  133027 */     GIR_EraseRootFromParent_Done,
     /*  133028 */   // Label 2356: @133028
     /*  133028 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133094), // Rule ID 71360 //
     /*  133033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133075 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133092 */     GIR_RootConstrainSelectedInstOperands,
     /*  133093 */     // GIR_Coverage, 71360,
     /*  133093 */     GIR_EraseRootFromParent_Done,
     /*  133094 */   // Label 2357: @133094
     /*  133094 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133160), // Rule ID 53102 //
     /*  133099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133141 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133158 */     GIR_RootConstrainSelectedInstOperands,
     /*  133159 */     // GIR_Coverage, 53102,
     /*  133159 */     GIR_EraseRootFromParent_Done,
     /*  133160 */   // Label 2358: @133160
     /*  133160 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133226), // Rule ID 53103 //
     /*  133165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133207 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133224 */     GIR_RootConstrainSelectedInstOperands,
     /*  133225 */     // GIR_Coverage, 53103,
     /*  133225 */     GIR_EraseRootFromParent_Done,
     /*  133226 */   // Label 2359: @133226
     /*  133226 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133259), // Rule ID 53090 //
     /*  133231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133242 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133257 */     GIR_RootConstrainSelectedInstOperands,
     /*  133258 */     // GIR_Coverage, 53090,
     /*  133258 */     GIR_EraseRootFromParent_Done,
     /*  133259 */   // Label 2360: @133259
     /*  133259 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133292), // Rule ID 53091 //
     /*  133264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133275 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133290 */     GIR_RootConstrainSelectedInstOperands,
     /*  133291 */     // GIR_Coverage, 53091,
     /*  133291 */     GIR_EraseRootFromParent_Done,
     /*  133292 */   // Label 2361: @133292
     /*  133292 */   GIM_Reject,
     /*  133293 */ // Label 2351: @133293
     /*  133293 */ GIM_Reject,
     /*  133294 */ // Label 2212: @133294
     /*  133294 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133408),
     /*  133299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  133302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  133305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133317 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133362), // Rule ID 47682 //
     /*  133322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133325 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  133325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133360 */     GIR_RootConstrainSelectedInstOperands,
     /*  133361 */     // GIR_Coverage, 47682,
     /*  133361 */     GIR_EraseRootFromParent_Done,
     /*  133362 */   // Label 2363: @133362
     /*  133362 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133407), // Rule ID 47683 //
     /*  133367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133370 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133405 */     GIR_RootConstrainSelectedInstOperands,
     /*  133406 */     // GIR_Coverage, 47683,
     /*  133406 */     GIR_EraseRootFromParent_Done,
     /*  133407 */   // Label 2364: @133407
     /*  133407 */   GIM_Reject,
     /*  133408 */ // Label 2362: @133408
     /*  133408 */ GIM_Reject,
     /*  133409 */ // Label 2213: @133409
     /*  133409 */ GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133523),
     /*  133414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133432 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(133477), // Rule ID 47710 //
     /*  133437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133440 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133475 */     GIR_RootConstrainSelectedInstOperands,
     /*  133476 */     // GIR_Coverage, 47710,
     /*  133476 */     GIR_EraseRootFromParent_Done,
     /*  133477 */   // Label 2366: @133477
     /*  133477 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133522), // Rule ID 47711 //
     /*  133482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133485 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133520 */     GIR_RootConstrainSelectedInstOperands,
     /*  133521 */     // GIR_Coverage, 47711,
     /*  133521 */     GIR_EraseRootFromParent_Done,
     /*  133522 */   // Label 2367: @133522
     /*  133522 */   GIM_Reject,
     /*  133523 */ // Label 2365: @133523
     /*  133523 */ GIM_Reject,
     /*  133524 */ // Label 2214: @133524
     /*  133524 */ GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133638),
     /*  133529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133547 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133592), // Rule ID 47726 //
     /*  133552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133555 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133590 */     GIR_RootConstrainSelectedInstOperands,
     /*  133591 */     // GIR_Coverage, 47726,
     /*  133591 */     GIR_EraseRootFromParent_Done,
     /*  133592 */   // Label 2369: @133592
     /*  133592 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133637), // Rule ID 47727 //
     /*  133597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133600 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133635 */     GIR_RootConstrainSelectedInstOperands,
     /*  133636 */     // GIR_Coverage, 47727,
     /*  133636 */     GIR_EraseRootFromParent_Done,
     /*  133637 */   // Label 2370: @133637
     /*  133637 */   GIM_Reject,
     /*  133638 */ // Label 2368: @133638
     /*  133638 */ GIM_Reject,
     /*  133639 */ // Label 2215: @133639
     /*  133639 */ GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133753),
     /*  133644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133662 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(133707), // Rule ID 47742 //
     /*  133667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133670 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133705 */     GIR_RootConstrainSelectedInstOperands,
     /*  133706 */     // GIR_Coverage, 47742,
     /*  133706 */     GIR_EraseRootFromParent_Done,
     /*  133707 */   // Label 2372: @133707
     /*  133707 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133752), // Rule ID 47743 //
     /*  133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133715 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133750 */     GIR_RootConstrainSelectedInstOperands,
     /*  133751 */     // GIR_Coverage, 47743,
     /*  133751 */     GIR_EraseRootFromParent_Done,
     /*  133752 */   // Label 2373: @133752
     /*  133752 */   GIM_Reject,
     /*  133753 */ // Label 2371: @133753
     /*  133753 */ GIM_Reject,
     /*  133754 */ // Label 2216: @133754
     /*  133754 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(134364),
     /*  133759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133769 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(133835), // Rule ID 71391 //
     /*  133774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133816 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133833 */     GIR_RootConstrainSelectedInstOperands,
     /*  133834 */     // GIR_Coverage, 71391,
     /*  133834 */     GIR_EraseRootFromParent_Done,
     /*  133835 */   // Label 2375: @133835
     /*  133835 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(133901), // Rule ID 71392 //
     /*  133840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133882 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133899 */     GIR_RootConstrainSelectedInstOperands,
     /*  133900 */     // GIR_Coverage, 71392,
     /*  133900 */     GIR_EraseRootFromParent_Done,
     /*  133901 */   // Label 2376: @133901
     /*  133901 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(133967), // Rule ID 71389 //
     /*  133906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133948 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133965 */     GIR_RootConstrainSelectedInstOperands,
     /*  133966 */     // GIR_Coverage, 71389,
     /*  133966 */     GIR_EraseRootFromParent_Done,
     /*  133967 */   // Label 2377: @133967
     /*  133967 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134033), // Rule ID 71390 //
     /*  133972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134014 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134031 */     GIR_RootConstrainSelectedInstOperands,
     /*  134032 */     // GIR_Coverage, 71390,
     /*  134032 */     GIR_EraseRootFromParent_Done,
     /*  134033 */   // Label 2378: @134033
     /*  134033 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134099), // Rule ID 71387 //
     /*  134038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134080 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134097 */     GIR_RootConstrainSelectedInstOperands,
     /*  134098 */     // GIR_Coverage, 71387,
     /*  134098 */     GIR_EraseRootFromParent_Done,
     /*  134099 */   // Label 2379: @134099
     /*  134099 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134165), // Rule ID 71388 //
     /*  134104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134146 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134163 */     GIR_RootConstrainSelectedInstOperands,
     /*  134164 */     // GIR_Coverage, 71388,
     /*  134164 */     GIR_EraseRootFromParent_Done,
     /*  134165 */   // Label 2380: @134165
     /*  134165 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134231), // Rule ID 53120 //
     /*  134170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134212 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134229 */     GIR_RootConstrainSelectedInstOperands,
     /*  134230 */     // GIR_Coverage, 53120,
     /*  134230 */     GIR_EraseRootFromParent_Done,
     /*  134231 */   // Label 2381: @134231
     /*  134231 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134297), // Rule ID 53121 //
     /*  134236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134278 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 53121,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 2382: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134330), // Rule ID 53108 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134313 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134328 */     GIR_RootConstrainSelectedInstOperands,
     /*  134329 */     // GIR_Coverage, 53108,
     /*  134329 */     GIR_EraseRootFromParent_Done,
     /*  134330 */   // Label 2383: @134330
     /*  134330 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134363), // Rule ID 53109 //
     /*  134335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134346 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134361 */     GIR_RootConstrainSelectedInstOperands,
     /*  134362 */     // GIR_Coverage, 53109,
     /*  134362 */     GIR_EraseRootFromParent_Done,
     /*  134363 */   // Label 2384: @134363
     /*  134363 */   GIM_Reject,
     /*  134364 */ // Label 2374: @134364
     /*  134364 */ GIM_Reject,
     /*  134365 */ // Label 2217: @134365
     /*  134365 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134479),
     /*  134370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134388 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134433), // Rule ID 47698 //
     /*  134393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134396 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134431 */     GIR_RootConstrainSelectedInstOperands,
     /*  134432 */     // GIR_Coverage, 47698,
     /*  134432 */     GIR_EraseRootFromParent_Done,
     /*  134433 */   // Label 2386: @134433
     /*  134433 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134478), // Rule ID 47699 //
     /*  134438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134441 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134476 */     GIR_RootConstrainSelectedInstOperands,
     /*  134477 */     // GIR_Coverage, 47699,
     /*  134477 */     GIR_EraseRootFromParent_Done,
     /*  134478 */   // Label 2387: @134478
     /*  134478 */   GIM_Reject,
     /*  134479 */ // Label 2385: @134479
     /*  134479 */ GIM_Reject,
     /*  134480 */ // Label 2218: @134480
     /*  134480 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134594),
     /*  134485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134503 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134548), // Rule ID 47714 //
     /*  134508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134511 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134546 */     GIR_RootConstrainSelectedInstOperands,
     /*  134547 */     // GIR_Coverage, 47714,
     /*  134547 */     GIR_EraseRootFromParent_Done,
     /*  134548 */   // Label 2389: @134548
     /*  134548 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134593), // Rule ID 47715 //
     /*  134553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134556 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 47715,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 2390: @134593
     /*  134593 */   GIM_Reject,
     /*  134594 */ // Label 2388: @134594
     /*  134594 */ GIM_Reject,
     /*  134595 */ // Label 2219: @134595
     /*  134595 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134709),
     /*  134600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134618 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(134663), // Rule ID 47730 //
     /*  134623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134626 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134661 */     GIR_RootConstrainSelectedInstOperands,
     /*  134662 */     // GIR_Coverage, 47730,
     /*  134662 */     GIR_EraseRootFromParent_Done,
     /*  134663 */   // Label 2392: @134663
     /*  134663 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134708), // Rule ID 47731 //
     /*  134668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134671 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134706 */     GIR_RootConstrainSelectedInstOperands,
     /*  134707 */     // GIR_Coverage, 47731,
     /*  134707 */     GIR_EraseRootFromParent_Done,
     /*  134708 */   // Label 2393: @134708
     /*  134708 */   GIM_Reject,
     /*  134709 */ // Label 2391: @134709
     /*  134709 */ GIM_Reject,
     /*  134710 */ // Label 2220: @134710
     /*  134710 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(135320),
     /*  134715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134725 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134791), // Rule ID 71419 //
     /*  134730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134772 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134789 */     GIR_RootConstrainSelectedInstOperands,
     /*  134790 */     // GIR_Coverage, 71419,
     /*  134790 */     GIR_EraseRootFromParent_Done,
     /*  134791 */   // Label 2395: @134791
     /*  134791 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134857), // Rule ID 71420 //
     /*  134796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134838 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134855 */     GIR_RootConstrainSelectedInstOperands,
     /*  134856 */     // GIR_Coverage, 71420,
     /*  134856 */     GIR_EraseRootFromParent_Done,
     /*  134857 */   // Label 2396: @134857
     /*  134857 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(134923), // Rule ID 71417 //
     /*  134862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134904 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134921 */     GIR_RootConstrainSelectedInstOperands,
     /*  134922 */     // GIR_Coverage, 71417,
     /*  134922 */     GIR_EraseRootFromParent_Done,
     /*  134923 */   // Label 2397: @134923
     /*  134923 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(134989), // Rule ID 71418 //
     /*  134928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134970 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134987 */     GIR_RootConstrainSelectedInstOperands,
     /*  134988 */     // GIR_Coverage, 71418,
     /*  134988 */     GIR_EraseRootFromParent_Done,
     /*  134989 */   // Label 2398: @134989
     /*  134989 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135055), // Rule ID 71415 //
     /*  134994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135036 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135053 */     GIR_RootConstrainSelectedInstOperands,
     /*  135054 */     // GIR_Coverage, 71415,
     /*  135054 */     GIR_EraseRootFromParent_Done,
     /*  135055 */   // Label 2399: @135055
     /*  135055 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135121), // Rule ID 71416 //
     /*  135060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135102 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135119 */     GIR_RootConstrainSelectedInstOperands,
     /*  135120 */     // GIR_Coverage, 71416,
     /*  135120 */     GIR_EraseRootFromParent_Done,
     /*  135121 */   // Label 2400: @135121
     /*  135121 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135187), // Rule ID 53138 //
     /*  135126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135168 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135185 */     GIR_RootConstrainSelectedInstOperands,
     /*  135186 */     // GIR_Coverage, 53138,
     /*  135186 */     GIR_EraseRootFromParent_Done,
     /*  135187 */   // Label 2401: @135187
     /*  135187 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135253), // Rule ID 53139 //
     /*  135192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135234 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135251 */     GIR_RootConstrainSelectedInstOperands,
     /*  135252 */     // GIR_Coverage, 53139,
     /*  135252 */     GIR_EraseRootFromParent_Done,
     /*  135253 */   // Label 2402: @135253
     /*  135253 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135286), // Rule ID 53126 //
     /*  135258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135269 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135284 */     GIR_RootConstrainSelectedInstOperands,
     /*  135285 */     // GIR_Coverage, 53126,
     /*  135285 */     GIR_EraseRootFromParent_Done,
     /*  135286 */   // Label 2403: @135286
     /*  135286 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135319), // Rule ID 53127 //
     /*  135291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135302 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135317 */     GIR_RootConstrainSelectedInstOperands,
     /*  135318 */     // GIR_Coverage, 53127,
     /*  135318 */     GIR_EraseRootFromParent_Done,
     /*  135319 */   // Label 2404: @135319
     /*  135319 */   GIM_Reject,
     /*  135320 */ // Label 2394: @135320
     /*  135320 */ GIM_Reject,
     /*  135321 */ // Label 2221: @135321
     /*  135321 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135435),
     /*  135326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135344 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135389), // Rule ID 47702 //
     /*  135349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135352 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135387 */     GIR_RootConstrainSelectedInstOperands,
     /*  135388 */     // GIR_Coverage, 47702,
     /*  135388 */     GIR_EraseRootFromParent_Done,
     /*  135389 */   // Label 2406: @135389
     /*  135389 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135434), // Rule ID 47703 //
     /*  135394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135397 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135432 */     GIR_RootConstrainSelectedInstOperands,
     /*  135433 */     // GIR_Coverage, 47703,
     /*  135433 */     GIR_EraseRootFromParent_Done,
     /*  135434 */   // Label 2407: @135434
     /*  135434 */   GIM_Reject,
     /*  135435 */ // Label 2405: @135435
     /*  135435 */ GIM_Reject,
     /*  135436 */ // Label 2222: @135436
     /*  135436 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135550),
     /*  135441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135459 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(135504), // Rule ID 47718 //
     /*  135464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135467 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135502 */     GIR_RootConstrainSelectedInstOperands,
     /*  135503 */     // GIR_Coverage, 47718,
     /*  135503 */     GIR_EraseRootFromParent_Done,
     /*  135504 */   // Label 2409: @135504
     /*  135504 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135549), // Rule ID 47719 //
     /*  135509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135512 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135547 */     GIR_RootConstrainSelectedInstOperands,
     /*  135548 */     // GIR_Coverage, 47719,
     /*  135548 */     GIR_EraseRootFromParent_Done,
     /*  135549 */   // Label 2410: @135549
     /*  135549 */   GIM_Reject,
     /*  135550 */ // Label 2408: @135550
     /*  135550 */ GIM_Reject,
     /*  135551 */ // Label 2223: @135551
     /*  135551 */ GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136161),
     /*  135556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135566 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135632), // Rule ID 71447 //
     /*  135571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135613 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135630 */     GIR_RootConstrainSelectedInstOperands,
     /*  135631 */     // GIR_Coverage, 71447,
     /*  135631 */     GIR_EraseRootFromParent_Done,
     /*  135632 */   // Label 2412: @135632
     /*  135632 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135698), // Rule ID 71448 //
     /*  135637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135679 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135696 */     GIR_RootConstrainSelectedInstOperands,
     /*  135697 */     // GIR_Coverage, 71448,
     /*  135697 */     GIR_EraseRootFromParent_Done,
     /*  135698 */   // Label 2413: @135698
     /*  135698 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135764), // Rule ID 71445 //
     /*  135703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135745 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135762 */     GIR_RootConstrainSelectedInstOperands,
     /*  135763 */     // GIR_Coverage, 71445,
     /*  135763 */     GIR_EraseRootFromParent_Done,
     /*  135764 */   // Label 2414: @135764
     /*  135764 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135830), // Rule ID 71446 //
     /*  135769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135811 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135828 */     GIR_RootConstrainSelectedInstOperands,
     /*  135829 */     // GIR_Coverage, 71446,
     /*  135829 */     GIR_EraseRootFromParent_Done,
     /*  135830 */   // Label 2415: @135830
     /*  135830 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(135896), // Rule ID 71443 //
     /*  135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135877 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135894 */     GIR_RootConstrainSelectedInstOperands,
     /*  135895 */     // GIR_Coverage, 71443,
     /*  135895 */     GIR_EraseRootFromParent_Done,
     /*  135896 */   // Label 2416: @135896
     /*  135896 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(135962), // Rule ID 71444 //
     /*  135901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135943 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135960 */     GIR_RootConstrainSelectedInstOperands,
     /*  135961 */     // GIR_Coverage, 71444,
     /*  135961 */     GIR_EraseRootFromParent_Done,
     /*  135962 */   // Label 2417: @135962
     /*  135962 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(136028), // Rule ID 53156 //
     /*  135967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136009 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136026 */     GIR_RootConstrainSelectedInstOperands,
     /*  136027 */     // GIR_Coverage, 53156,
     /*  136027 */     GIR_EraseRootFromParent_Done,
     /*  136028 */   // Label 2418: @136028
     /*  136028 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(136094), // Rule ID 53157 //
     /*  136033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  136052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  136056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136075 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136092 */     GIR_RootConstrainSelectedInstOperands,
     /*  136093 */     // GIR_Coverage, 53157,
     /*  136093 */     GIR_EraseRootFromParent_Done,
     /*  136094 */   // Label 2419: @136094
     /*  136094 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(136127), // Rule ID 53144 //
     /*  136099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136110 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136125 */     GIR_RootConstrainSelectedInstOperands,
     /*  136126 */     // GIR_Coverage, 53144,
     /*  136126 */     GIR_EraseRootFromParent_Done,
     /*  136127 */   // Label 2420: @136127
     /*  136127 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(136160), // Rule ID 53145 //
     /*  136132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136143 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136158 */     GIR_RootConstrainSelectedInstOperands,
     /*  136159 */     // GIR_Coverage, 53145,
     /*  136159 */     GIR_EraseRootFromParent_Done,
     /*  136160 */   // Label 2421: @136160
     /*  136160 */   GIM_Reject,
     /*  136161 */ // Label 2411: @136161
     /*  136161 */ GIM_Reject,
     /*  136162 */ // Label 2224: @136162
     /*  136162 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(136276),
     /*  136167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  136170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136185 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(136230), // Rule ID 47706 //
     /*  136190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136193 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136228 */     GIR_RootConstrainSelectedInstOperands,
     /*  136229 */     // GIR_Coverage, 47706,
     /*  136229 */     GIR_EraseRootFromParent_Done,
     /*  136230 */   // Label 2423: @136230
     /*  136230 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(136275), // Rule ID 47707 //
     /*  136235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136238 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136273 */     GIR_RootConstrainSelectedInstOperands,
     /*  136274 */     // GIR_Coverage, 47707,
     /*  136274 */     GIR_EraseRootFromParent_Done,
     /*  136275 */   // Label 2424: @136275
     /*  136275 */   GIM_Reject,
     /*  136276 */ // Label 2422: @136276
     /*  136276 */ GIM_Reject,
     /*  136277 */ // Label 2225: @136277
     /*  136277 */ GIM_Reject,
     /*  136278 */ // Label 9: @136278
     /*  136278 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2456*/ GIMT_Encode4(151184),
     /*  136289 */ /*GILLT_s32*//*Label 2425*/ GIMT_Encode4(136413),
     /*  136293 */ /*GILLT_s64*//*Label 2426*/ GIMT_Encode4(136951),
     /*  136297 */ /*GILLT_nxv1s1*//*Label 2427*/ GIMT_Encode4(137377),
     /*  136301 */ /*GILLT_nxv1s8*//*Label 2428*/ GIMT_Encode4(138988),
     /*  136305 */ /*GILLT_nxv1s16*//*Label 2429*/ GIMT_Encode4(139103),
     /*  136309 */ /*GILLT_nxv1s32*//*Label 2430*/ GIMT_Encode4(139218),
     /*  136313 */ /*GILLT_nxv1s64*//*Label 2431*/ GIMT_Encode4(139333),
     /*  136317 */ /*GILLT_nxv2s1*//*Label 2432*/ GIMT_Encode4(139448),
     /*  136321 */ /*GILLT_nxv2s8*//*Label 2433*/ GIMT_Encode4(141059),
     /*  136325 */ /*GILLT_nxv2s16*//*Label 2434*/ GIMT_Encode4(141174),
     /*  136329 */ /*GILLT_nxv2s32*//*Label 2435*/ GIMT_Encode4(141289),
     /*  136333 */ /*GILLT_nxv2s64*//*Label 2436*/ GIMT_Encode4(141404),
     /*  136337 */ /*GILLT_nxv4s1*//*Label 2437*/ GIMT_Encode4(141519),
     /*  136341 */ /*GILLT_nxv4s8*//*Label 2438*/ GIMT_Encode4(143130),
     /*  136345 */ /*GILLT_nxv4s16*//*Label 2439*/ GIMT_Encode4(143245),
     /*  136349 */ /*GILLT_nxv4s32*//*Label 2440*/ GIMT_Encode4(143360),
     /*  136353 */ /*GILLT_nxv4s64*//*Label 2441*/ GIMT_Encode4(143475),
     /*  136357 */ /*GILLT_nxv8s1*//*Label 2442*/ GIMT_Encode4(143590),
     /*  136361 */ /*GILLT_nxv8s8*//*Label 2443*/ GIMT_Encode4(145201),
     /*  136365 */ /*GILLT_nxv8s16*//*Label 2444*/ GIMT_Encode4(145316),
     /*  136369 */ /*GILLT_nxv8s32*//*Label 2445*/ GIMT_Encode4(145431),
     /*  136373 */ /*GILLT_nxv8s64*//*Label 2446*/ GIMT_Encode4(145546),
     /*  136377 */ /*GILLT_nxv16s1*//*Label 2447*/ GIMT_Encode4(145661),
     /*  136381 */ /*GILLT_nxv16s8*//*Label 2448*/ GIMT_Encode4(147272),
     /*  136385 */ /*GILLT_nxv16s16*//*Label 2449*/ GIMT_Encode4(147387),
     /*  136389 */ /*GILLT_nxv16s32*//*Label 2450*/ GIMT_Encode4(147502),
     /*  136393 */ /*GILLT_nxv32s1*//*Label 2451*/ GIMT_Encode4(147617),
     /*  136397 */ /*GILLT_nxv32s8*//*Label 2452*/ GIMT_Encode4(149228),
     /*  136401 */ /*GILLT_nxv32s16*//*Label 2453*/ GIMT_Encode4(149343),
     /*  136405 */ /*GILLT_nxv64s1*//*Label 2454*/ GIMT_Encode4(149458),
     /*  136409 */ /*GILLT_nxv64s8*//*Label 2455*/ GIMT_Encode4(151069),
     /*  136413 */ // Label 2425: @136413
     /*  136413 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136950),
     /*  136418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136424 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136507), // Rule ID 2373 //
     /*  136429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136469 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136505 */     GIR_RootConstrainSelectedInstOperands,
     /*  136506 */     // GIR_Coverage, 2373,
     /*  136506 */     GIR_EraseRootFromParent_Done,
     /*  136507 */   // Label 2458: @136507
     /*  136507 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136566), // Rule ID 2367 //
     /*  136512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136552 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136564 */     GIR_RootConstrainSelectedInstOperands,
     /*  136565 */     // GIR_Coverage, 2367,
     /*  136565 */     GIR_EraseRootFromParent_Done,
     /*  136566 */   // Label 2459: @136566
     /*  136566 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136625), // Rule ID 65078 //
     /*  136571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136598 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136611 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136623 */     GIR_RootConstrainSelectedInstOperands,
     /*  136624 */     // GIR_Coverage, 65078,
     /*  136624 */     GIR_EraseRootFromParent_Done,
     /*  136625 */   // Label 2460: @136625
     /*  136625 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136681), // Rule ID 65064 //
     /*  136630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136658 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136668 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136679 */     GIR_RootConstrainSelectedInstOperands,
     /*  136680 */     // GIR_Coverage, 65064,
     /*  136680 */     GIR_EraseRootFromParent_Done,
     /*  136681 */   // Label 2461: @136681
     /*  136681 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136740), // Rule ID 65062 //
     /*  136686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136725 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136738 */     GIR_RootConstrainSelectedInstOperands,
     /*  136739 */     // GIR_Coverage, 65062,
     /*  136739 */     GIR_EraseRootFromParent_Done,
     /*  136740 */   // Label 2462: @136740
     /*  136740 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136796), // Rule ID 2341 //
     /*  136745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136777 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136783 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136794 */     GIR_RootConstrainSelectedInstOperands,
     /*  136795 */     // GIR_Coverage, 2341,
     /*  136795 */     GIR_EraseRootFromParent_Done,
     /*  136796 */   // Label 2463: @136796
     /*  136796 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136838), // Rule ID 89 //
     /*  136801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136824 */     // MIs[1] Operand 1
     /*  136824 */     // No operand predicates
     /*  136824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136826 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136836 */     GIR_RootConstrainSelectedInstOperands,
     /*  136837 */     // GIR_Coverage, 89,
     /*  136837 */     GIR_EraseRootFromParent_Done,
     /*  136838 */   // Label 2464: @136838
     /*  136838 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136880), // Rule ID 64442 //
     /*  136843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  136866 */     // MIs[1] Operand 1
     /*  136866 */     // No operand predicates
     /*  136866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136868 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  136868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  136871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  136873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136878 */     GIR_RootConstrainSelectedInstOperands,
     /*  136879 */     // GIR_Coverage, 64442,
     /*  136879 */     GIR_EraseRootFromParent_Done,
     /*  136880 */   // Label 2465: @136880
     /*  136880 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(136922), // Rule ID 64446 //
     /*  136885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  136908 */     // MIs[1] Operand 1
     /*  136908 */     // No operand predicates
     /*  136908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136910 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  136910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  136913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136920 */     GIR_RootConstrainSelectedInstOperands,
     /*  136921 */     // GIR_Coverage, 64446,
     /*  136921 */     GIR_EraseRootFromParent_Done,
     /*  136922 */   // Label 2466: @136922
     /*  136922 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(136949), // Rule ID 87 //
     /*  136927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136942 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136947 */     GIR_RootConstrainSelectedInstOperands,
     /*  136948 */     // GIR_Coverage, 87,
     /*  136948 */     GIR_Done,
     /*  136949 */   // Label 2467: @136949
     /*  136949 */   GIM_Reject,
     /*  136950 */ // Label 2457: @136950
     /*  136950 */ GIM_Reject,
     /*  136951 */ // Label 2426: @136951
     /*  136951 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137376),
     /*  136956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136966 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137045), // Rule ID 2372 //
     /*  136971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137007 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  137007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  137010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  137014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137043 */     GIR_RootConstrainSelectedInstOperands,
     /*  137044 */     // GIR_Coverage, 2372,
     /*  137044 */     GIR_EraseRootFromParent_Done,
     /*  137045 */   // Label 2469: @137045
     /*  137045 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137100), // Rule ID 2366 //
     /*  137050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137069 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137086 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137098 */     GIR_RootConstrainSelectedInstOperands,
     /*  137099 */     // GIR_Coverage, 2366,
     /*  137099 */     GIR_EraseRootFromParent_Done,
     /*  137100 */   // Label 2470: @137100
     /*  137100 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137155), // Rule ID 65077 //
     /*  137105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137128 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137141 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137153 */     GIR_RootConstrainSelectedInstOperands,
     /*  137154 */     // GIR_Coverage, 65077,
     /*  137154 */     GIR_EraseRootFromParent_Done,
     /*  137155 */   // Label 2471: @137155
     /*  137155 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137207), // Rule ID 65063 //
     /*  137160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137194 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137205 */     GIR_RootConstrainSelectedInstOperands,
     /*  137206 */     // GIR_Coverage, 65063,
     /*  137206 */     GIR_EraseRootFromParent_Done,
     /*  137207 */   // Label 2472: @137207
     /*  137207 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137262), // Rule ID 65061 //
     /*  137212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137247 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137260 */     GIR_RootConstrainSelectedInstOperands,
     /*  137261 */     // GIR_Coverage, 65061,
     /*  137261 */     GIR_EraseRootFromParent_Done,
     /*  137262 */   // Label 2473: @137262
     /*  137262 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137314), // Rule ID 2340 //
     /*  137267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137301 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137312 */     GIR_RootConstrainSelectedInstOperands,
     /*  137313 */     // GIR_Coverage, 2340,
     /*  137313 */     GIR_EraseRootFromParent_Done,
     /*  137314 */   // Label 2474: @137314
     /*  137314 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(137352), // Rule ID 88 //
     /*  137319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  137338 */     // MIs[1] Operand 1
     /*  137338 */     // No operand predicates
     /*  137338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137340 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  137340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  137343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  137350 */     GIR_RootConstrainSelectedInstOperands,
     /*  137351 */     // GIR_Coverage, 88,
     /*  137351 */     GIR_EraseRootFromParent_Done,
     /*  137352 */   // Label 2475: @137352
     /*  137352 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137375), // Rule ID 86 //
     /*  137357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137368 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  137373 */     GIR_RootConstrainSelectedInstOperands,
     /*  137374 */     // GIR_Coverage, 86,
     /*  137374 */     GIR_Done,
     /*  137375 */   // Label 2476: @137375
     /*  137375 */   GIM_Reject,
     /*  137376 */ // Label 2468: @137376
     /*  137376 */ GIM_Reject,
     /*  137377 */ // Label 2427: @137377
     /*  137377 */ GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(138987),
     /*  137382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137392 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137461), // Rule ID 53040 //
     /*  137397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137440 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137459 */     GIR_RootConstrainSelectedInstOperands,
     /*  137460 */     // GIR_Coverage, 53040,
     /*  137460 */     GIR_EraseRootFromParent_Done,
     /*  137461 */   // Label 2478: @137461
     /*  137461 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137530), // Rule ID 53041 //
     /*  137466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137509 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137528 */     GIR_RootConstrainSelectedInstOperands,
     /*  137529 */     // GIR_Coverage, 53041,
     /*  137529 */     GIR_EraseRootFromParent_Done,
     /*  137530 */   // Label 2479: @137530
     /*  137530 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137599), // Rule ID 53042 //
     /*  137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137578 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137597 */     GIR_RootConstrainSelectedInstOperands,
     /*  137598 */     // GIR_Coverage, 53042,
     /*  137598 */     GIR_EraseRootFromParent_Done,
     /*  137599 */   // Label 2480: @137599
     /*  137599 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137668), // Rule ID 53043 //
     /*  137604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137647 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137666 */     GIR_RootConstrainSelectedInstOperands,
     /*  137667 */     // GIR_Coverage, 53043,
     /*  137667 */     GIR_EraseRootFromParent_Done,
     /*  137668 */   // Label 2481: @137668
     /*  137668 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137734), // Rule ID 71261 //
     /*  137673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137715 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137732 */     GIR_RootConstrainSelectedInstOperands,
     /*  137733 */     // GIR_Coverage, 71261,
     /*  137733 */     GIR_EraseRootFromParent_Done,
     /*  137734 */   // Label 2482: @137734
     /*  137734 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(137800), // Rule ID 71262 //
     /*  137739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137781 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137798 */     GIR_RootConstrainSelectedInstOperands,
     /*  137799 */     // GIR_Coverage, 71262,
     /*  137799 */     GIR_EraseRootFromParent_Done,
     /*  137800 */   // Label 2483: @137800
     /*  137800 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(137866), // Rule ID 71259 //
     /*  137805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137847 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137864 */     GIR_RootConstrainSelectedInstOperands,
     /*  137865 */     // GIR_Coverage, 71259,
     /*  137865 */     GIR_EraseRootFromParent_Done,
     /*  137866 */   // Label 2484: @137866
     /*  137866 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(137932), // Rule ID 71260 //
     /*  137871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137913 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137930 */     GIR_RootConstrainSelectedInstOperands,
     /*  137931 */     // GIR_Coverage, 71260,
     /*  137931 */     GIR_EraseRootFromParent_Done,
     /*  137932 */   // Label 2485: @137932
     /*  137932 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138001), // Rule ID 53044 //
     /*  137937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137999 */     GIR_RootConstrainSelectedInstOperands,
     /*  138000 */     // GIR_Coverage, 53044,
     /*  138000 */     GIR_EraseRootFromParent_Done,
     /*  138001 */   // Label 2486: @138001
     /*  138001 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138070), // Rule ID 53045 //
     /*  138006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138049 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138068 */     GIR_RootConstrainSelectedInstOperands,
     /*  138069 */     // GIR_Coverage, 53045,
     /*  138069 */     GIR_EraseRootFromParent_Done,
     /*  138070 */   // Label 2487: @138070
     /*  138070 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138139), // Rule ID 71255 //
     /*  138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138118 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138137 */     GIR_RootConstrainSelectedInstOperands,
     /*  138138 */     // GIR_Coverage, 71255,
     /*  138138 */     GIR_EraseRootFromParent_Done,
     /*  138139 */   // Label 2488: @138139
     /*  138139 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138208), // Rule ID 71256 //
     /*  138144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138187 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138206 */     GIR_RootConstrainSelectedInstOperands,
     /*  138207 */     // GIR_Coverage, 71256,
     /*  138207 */     GIR_EraseRootFromParent_Done,
     /*  138208 */   // Label 2489: @138208
     /*  138208 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138277), // Rule ID 71257 //
     /*  138213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138256 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138275 */     GIR_RootConstrainSelectedInstOperands,
     /*  138276 */     // GIR_Coverage, 71257,
     /*  138276 */     GIR_EraseRootFromParent_Done,
     /*  138277 */   // Label 2490: @138277
     /*  138277 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138346), // Rule ID 71258 //
     /*  138282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138325 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138344 */     GIR_RootConstrainSelectedInstOperands,
     /*  138345 */     // GIR_Coverage, 71258,
     /*  138345 */     GIR_EraseRootFromParent_Done,
     /*  138346 */   // Label 2491: @138346
     /*  138346 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138415), // Rule ID 71263 //
     /*  138351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138394 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138413 */     GIR_RootConstrainSelectedInstOperands,
     /*  138414 */     // GIR_Coverage, 71263,
     /*  138414 */     GIR_EraseRootFromParent_Done,
     /*  138415 */   // Label 2492: @138415
     /*  138415 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138484), // Rule ID 71264 //
     /*  138420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138463 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138482 */     GIR_RootConstrainSelectedInstOperands,
     /*  138483 */     // GIR_Coverage, 71264,
     /*  138483 */     GIR_EraseRootFromParent_Done,
     /*  138484 */   // Label 2493: @138484
     /*  138484 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138550), // Rule ID 71267 //
     /*  138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138531 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138548 */     GIR_RootConstrainSelectedInstOperands,
     /*  138549 */     // GIR_Coverage, 71267,
     /*  138549 */     GIR_EraseRootFromParent_Done,
     /*  138550 */   // Label 2494: @138550
     /*  138550 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138616), // Rule ID 71268 //
     /*  138555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138597 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138614 */     GIR_RootConstrainSelectedInstOperands,
     /*  138615 */     // GIR_Coverage, 71268,
     /*  138615 */     GIR_EraseRootFromParent_Done,
     /*  138616 */   // Label 2495: @138616
     /*  138616 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138682), // Rule ID 71265 //
     /*  138621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138663 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138680 */     GIR_RootConstrainSelectedInstOperands,
     /*  138681 */     // GIR_Coverage, 71265,
     /*  138681 */     GIR_EraseRootFromParent_Done,
     /*  138682 */   // Label 2496: @138682
     /*  138682 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138748), // Rule ID 71266 //
     /*  138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138729 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138746 */     GIR_RootConstrainSelectedInstOperands,
     /*  138747 */     // GIR_Coverage, 71266,
     /*  138747 */     GIR_EraseRootFromParent_Done,
     /*  138748 */   // Label 2497: @138748
     /*  138748 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138791), // Rule ID 71281 //
     /*  138753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138774 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138789 */     GIR_RootConstrainSelectedInstOperands,
     /*  138790 */     // GIR_Coverage, 71281,
     /*  138790 */     GIR_EraseRootFromParent_Done,
     /*  138791 */   // Label 2498: @138791
     /*  138791 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138834), // Rule ID 71282 //
     /*  138796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138817 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138832 */     GIR_RootConstrainSelectedInstOperands,
     /*  138833 */     // GIR_Coverage, 71282,
     /*  138833 */     GIR_EraseRootFromParent_Done,
     /*  138834 */   // Label 2499: @138834
     /*  138834 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138877), // Rule ID 53050 //
     /*  138839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138860 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138875 */     GIR_RootConstrainSelectedInstOperands,
     /*  138876 */     // GIR_Coverage, 53050,
     /*  138876 */     GIR_EraseRootFromParent_Done,
     /*  138877 */   // Label 2500: @138877
     /*  138877 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138920), // Rule ID 53051 //
     /*  138882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138903 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138918 */     GIR_RootConstrainSelectedInstOperands,
     /*  138919 */     // GIR_Coverage, 53051,
     /*  138919 */     GIR_EraseRootFromParent_Done,
     /*  138920 */   // Label 2501: @138920
     /*  138920 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(138953), // Rule ID 53038 //
     /*  138925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138936 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138951 */     GIR_RootConstrainSelectedInstOperands,
     /*  138952 */     // GIR_Coverage, 53038,
     /*  138952 */     GIR_EraseRootFromParent_Done,
     /*  138953 */   // Label 2502: @138953
     /*  138953 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(138986), // Rule ID 53039 //
     /*  138958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138969 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138984 */     GIR_RootConstrainSelectedInstOperands,
     /*  138985 */     // GIR_Coverage, 53039,
     /*  138985 */     GIR_EraseRootFromParent_Done,
     /*  138986 */   // Label 2503: @138986
     /*  138986 */   GIM_Reject,
     /*  138987 */ // Label 2477: @138987
     /*  138987 */ GIM_Reject,
     /*  138988 */ // Label 2428: @138988
     /*  138988 */ GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(139102),
     /*  138993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  138996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139011 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139056), // Rule ID 47790 //
     /*  139016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139019 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139054 */     GIR_RootConstrainSelectedInstOperands,
     /*  139055 */     // GIR_Coverage, 47790,
     /*  139055 */     GIR_EraseRootFromParent_Done,
     /*  139056 */   // Label 2505: @139056
     /*  139056 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(139101), // Rule ID 47791 //
     /*  139061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139064 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139099 */     GIR_RootConstrainSelectedInstOperands,
     /*  139100 */     // GIR_Coverage, 47791,
     /*  139100 */     GIR_EraseRootFromParent_Done,
     /*  139101 */   // Label 2506: @139101
     /*  139101 */   GIM_Reject,
     /*  139102 */ // Label 2504: @139102
     /*  139102 */ GIM_Reject,
     /*  139103 */ // Label 2429: @139103
     /*  139103 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139217),
     /*  139108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  139111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  139114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139171), // Rule ID 47802 //
     /*  139131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139134 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139169 */     GIR_RootConstrainSelectedInstOperands,
     /*  139170 */     // GIR_Coverage, 47802,
     /*  139170 */     GIR_EraseRootFromParent_Done,
     /*  139171 */   // Label 2508: @139171
     /*  139171 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139216), // Rule ID 47803 //
     /*  139176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139179 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139214 */     GIR_RootConstrainSelectedInstOperands,
     /*  139215 */     // GIR_Coverage, 47803,
     /*  139215 */     GIR_EraseRootFromParent_Done,
     /*  139216 */   // Label 2509: @139216
     /*  139216 */   GIM_Reject,
     /*  139217 */ // Label 2507: @139217
     /*  139217 */ GIM_Reject,
     /*  139218 */ // Label 2430: @139218
     /*  139218 */ GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139332),
     /*  139223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  139226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139241 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139286), // Rule ID 47810 //
     /*  139246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139249 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139284 */     GIR_RootConstrainSelectedInstOperands,
     /*  139285 */     // GIR_Coverage, 47810,
     /*  139285 */     GIR_EraseRootFromParent_Done,
     /*  139286 */   // Label 2511: @139286
     /*  139286 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139331), // Rule ID 47811 //
     /*  139291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139294 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139329 */     GIR_RootConstrainSelectedInstOperands,
     /*  139330 */     // GIR_Coverage, 47811,
     /*  139330 */     GIR_EraseRootFromParent_Done,
     /*  139331 */   // Label 2512: @139331
     /*  139331 */   GIM_Reject,
     /*  139332 */ // Label 2510: @139332
     /*  139332 */ GIM_Reject,
     /*  139333 */ // Label 2431: @139333
     /*  139333 */ GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139447),
     /*  139338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  139341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139356 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(139401), // Rule ID 47826 //
     /*  139361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139364 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  139364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139399 */     GIR_RootConstrainSelectedInstOperands,
     /*  139400 */     // GIR_Coverage, 47826,
     /*  139400 */     GIR_EraseRootFromParent_Done,
     /*  139401 */   // Label 2514: @139401
     /*  139401 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139446), // Rule ID 47827 //
     /*  139406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139409 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  139409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139444 */     GIR_RootConstrainSelectedInstOperands,
     /*  139445 */     // GIR_Coverage, 47827,
     /*  139445 */     GIR_EraseRootFromParent_Done,
     /*  139446 */   // Label 2515: @139446
     /*  139446 */   GIM_Reject,
     /*  139447 */ // Label 2513: @139447
     /*  139447 */ GIM_Reject,
     /*  139448 */ // Label 2432: @139448
     /*  139448 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141058),
     /*  139453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139463 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139532), // Rule ID 53058 //
     /*  139468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139511 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139530 */     GIR_RootConstrainSelectedInstOperands,
     /*  139531 */     // GIR_Coverage, 53058,
     /*  139531 */     GIR_EraseRootFromParent_Done,
     /*  139532 */   // Label 2517: @139532
     /*  139532 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139601), // Rule ID 53059 //
     /*  139537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139580 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139599 */     GIR_RootConstrainSelectedInstOperands,
     /*  139600 */     // GIR_Coverage, 53059,
     /*  139600 */     GIR_EraseRootFromParent_Done,
     /*  139601 */   // Label 2518: @139601
     /*  139601 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139670), // Rule ID 53060 //
     /*  139606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139649 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139668 */     GIR_RootConstrainSelectedInstOperands,
     /*  139669 */     // GIR_Coverage, 53060,
     /*  139669 */     GIR_EraseRootFromParent_Done,
     /*  139670 */   // Label 2519: @139670
     /*  139670 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139739), // Rule ID 53061 //
     /*  139675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139718 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139737 */     GIR_RootConstrainSelectedInstOperands,
     /*  139738 */     // GIR_Coverage, 53061,
     /*  139738 */     GIR_EraseRootFromParent_Done,
     /*  139739 */   // Label 2520: @139739
     /*  139739 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(139805), // Rule ID 71289 //
     /*  139744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139786 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139803 */     GIR_RootConstrainSelectedInstOperands,
     /*  139804 */     // GIR_Coverage, 71289,
     /*  139804 */     GIR_EraseRootFromParent_Done,
     /*  139805 */   // Label 2521: @139805
     /*  139805 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(139871), // Rule ID 71290 //
     /*  139810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139852 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139869 */     GIR_RootConstrainSelectedInstOperands,
     /*  139870 */     // GIR_Coverage, 71290,
     /*  139870 */     GIR_EraseRootFromParent_Done,
     /*  139871 */   // Label 2522: @139871
     /*  139871 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(139937), // Rule ID 71287 //
     /*  139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139918 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139935 */     GIR_RootConstrainSelectedInstOperands,
     /*  139936 */     // GIR_Coverage, 71287,
     /*  139936 */     GIR_EraseRootFromParent_Done,
     /*  139937 */   // Label 2523: @139937
     /*  139937 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140003), // Rule ID 71288 //
     /*  139942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139984 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140001 */     GIR_RootConstrainSelectedInstOperands,
     /*  140002 */     // GIR_Coverage, 71288,
     /*  140002 */     GIR_EraseRootFromParent_Done,
     /*  140003 */   // Label 2524: @140003
     /*  140003 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140072), // Rule ID 53062 //
     /*  140008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140051 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140070 */     GIR_RootConstrainSelectedInstOperands,
     /*  140071 */     // GIR_Coverage, 53062,
     /*  140071 */     GIR_EraseRootFromParent_Done,
     /*  140072 */   // Label 2525: @140072
     /*  140072 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140141), // Rule ID 53063 //
     /*  140077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140120 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140139 */     GIR_RootConstrainSelectedInstOperands,
     /*  140140 */     // GIR_Coverage, 53063,
     /*  140140 */     GIR_EraseRootFromParent_Done,
     /*  140141 */   // Label 2526: @140141
     /*  140141 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140210), // Rule ID 71283 //
     /*  140146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140189 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140208 */     GIR_RootConstrainSelectedInstOperands,
     /*  140209 */     // GIR_Coverage, 71283,
     /*  140209 */     GIR_EraseRootFromParent_Done,
     /*  140210 */   // Label 2527: @140210
     /*  140210 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140279), // Rule ID 71284 //
     /*  140215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140258 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140277 */     GIR_RootConstrainSelectedInstOperands,
     /*  140278 */     // GIR_Coverage, 71284,
     /*  140278 */     GIR_EraseRootFromParent_Done,
     /*  140279 */   // Label 2528: @140279
     /*  140279 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140348), // Rule ID 71285 //
     /*  140284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140327 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140346 */     GIR_RootConstrainSelectedInstOperands,
     /*  140347 */     // GIR_Coverage, 71285,
     /*  140347 */     GIR_EraseRootFromParent_Done,
     /*  140348 */   // Label 2529: @140348
     /*  140348 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140417), // Rule ID 71286 //
     /*  140353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140396 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140415 */     GIR_RootConstrainSelectedInstOperands,
     /*  140416 */     // GIR_Coverage, 71286,
     /*  140416 */     GIR_EraseRootFromParent_Done,
     /*  140417 */   // Label 2530: @140417
     /*  140417 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140486), // Rule ID 71291 //
     /*  140422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140465 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140484 */     GIR_RootConstrainSelectedInstOperands,
     /*  140485 */     // GIR_Coverage, 71291,
     /*  140485 */     GIR_EraseRootFromParent_Done,
     /*  140486 */   // Label 2531: @140486
     /*  140486 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140555), // Rule ID 71292 //
     /*  140491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140534 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140553 */     GIR_RootConstrainSelectedInstOperands,
     /*  140554 */     // GIR_Coverage, 71292,
     /*  140554 */     GIR_EraseRootFromParent_Done,
     /*  140555 */   // Label 2532: @140555
     /*  140555 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140621), // Rule ID 71295 //
     /*  140560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140602 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140619 */     GIR_RootConstrainSelectedInstOperands,
     /*  140620 */     // GIR_Coverage, 71295,
     /*  140620 */     GIR_EraseRootFromParent_Done,
     /*  140621 */   // Label 2533: @140621
     /*  140621 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140687), // Rule ID 71296 //
     /*  140626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140668 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140685 */     GIR_RootConstrainSelectedInstOperands,
     /*  140686 */     // GIR_Coverage, 71296,
     /*  140686 */     GIR_EraseRootFromParent_Done,
     /*  140687 */   // Label 2534: @140687
     /*  140687 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140753), // Rule ID 71293 //
     /*  140692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140734 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140751 */     GIR_RootConstrainSelectedInstOperands,
     /*  140752 */     // GIR_Coverage, 71293,
     /*  140752 */     GIR_EraseRootFromParent_Done,
     /*  140753 */   // Label 2535: @140753
     /*  140753 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140819), // Rule ID 71294 //
     /*  140758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140800 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140817 */     GIR_RootConstrainSelectedInstOperands,
     /*  140818 */     // GIR_Coverage, 71294,
     /*  140818 */     GIR_EraseRootFromParent_Done,
     /*  140819 */   // Label 2536: @140819
     /*  140819 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140862), // Rule ID 71309 //
     /*  140824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140845 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140860 */     GIR_RootConstrainSelectedInstOperands,
     /*  140861 */     // GIR_Coverage, 71309,
     /*  140861 */     GIR_EraseRootFromParent_Done,
     /*  140862 */   // Label 2537: @140862
     /*  140862 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140905), // Rule ID 71310 //
     /*  140867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140888 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140903 */     GIR_RootConstrainSelectedInstOperands,
     /*  140904 */     // GIR_Coverage, 71310,
     /*  140904 */     GIR_EraseRootFromParent_Done,
     /*  140905 */   // Label 2538: @140905
     /*  140905 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(140948), // Rule ID 53068 //
     /*  140910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140931 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140946 */     GIR_RootConstrainSelectedInstOperands,
     /*  140947 */     // GIR_Coverage, 53068,
     /*  140947 */     GIR_EraseRootFromParent_Done,
     /*  140948 */   // Label 2539: @140948
     /*  140948 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(140991), // Rule ID 53069 //
     /*  140953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140974 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140989 */     GIR_RootConstrainSelectedInstOperands,
     /*  140990 */     // GIR_Coverage, 53069,
     /*  140990 */     GIR_EraseRootFromParent_Done,
     /*  140991 */   // Label 2540: @140991
     /*  140991 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141024), // Rule ID 53056 //
     /*  140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141007 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141022 */     GIR_RootConstrainSelectedInstOperands,
     /*  141023 */     // GIR_Coverage, 53056,
     /*  141023 */     GIR_EraseRootFromParent_Done,
     /*  141024 */   // Label 2541: @141024
     /*  141024 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141057), // Rule ID 53057 //
     /*  141029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141040 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141055 */     GIR_RootConstrainSelectedInstOperands,
     /*  141056 */     // GIR_Coverage, 53057,
     /*  141056 */     GIR_EraseRootFromParent_Done,
     /*  141057 */   // Label 2542: @141057
     /*  141057 */   GIM_Reject,
     /*  141058 */ // Label 2516: @141058
     /*  141058 */ GIM_Reject,
     /*  141059 */ // Label 2433: @141059
     /*  141059 */ GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141173),
     /*  141064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  141067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141082 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141127), // Rule ID 47794 //
     /*  141087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141090 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  141090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141125 */     GIR_RootConstrainSelectedInstOperands,
     /*  141126 */     // GIR_Coverage, 47794,
     /*  141126 */     GIR_EraseRootFromParent_Done,
     /*  141127 */   // Label 2544: @141127
     /*  141127 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141172), // Rule ID 47795 //
     /*  141132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141135 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141170 */     GIR_RootConstrainSelectedInstOperands,
     /*  141171 */     // GIR_Coverage, 47795,
     /*  141171 */     GIR_EraseRootFromParent_Done,
     /*  141172 */   // Label 2545: @141172
     /*  141172 */   GIM_Reject,
     /*  141173 */ // Label 2543: @141173
     /*  141173 */ GIM_Reject,
     /*  141174 */ // Label 2434: @141174
     /*  141174 */ GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141288),
     /*  141179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  141182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  141185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141242), // Rule ID 47806 //
     /*  141202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141205 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  141205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141240 */     GIR_RootConstrainSelectedInstOperands,
     /*  141241 */     // GIR_Coverage, 47806,
     /*  141241 */     GIR_EraseRootFromParent_Done,
     /*  141242 */   // Label 2547: @141242
     /*  141242 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141287), // Rule ID 47807 //
     /*  141247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141250 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  141250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141285 */     GIR_RootConstrainSelectedInstOperands,
     /*  141286 */     // GIR_Coverage, 47807,
     /*  141286 */     GIR_EraseRootFromParent_Done,
     /*  141287 */   // Label 2548: @141287
     /*  141287 */   GIM_Reject,
     /*  141288 */ // Label 2546: @141288
     /*  141288 */ GIM_Reject,
     /*  141289 */ // Label 2435: @141289
     /*  141289 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141403),
     /*  141294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  141297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  141300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141312 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141357), // Rule ID 47822 //
     /*  141317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141320 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  141320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141355 */     GIR_RootConstrainSelectedInstOperands,
     /*  141356 */     // GIR_Coverage, 47822,
     /*  141356 */     GIR_EraseRootFromParent_Done,
     /*  141357 */   // Label 2550: @141357
     /*  141357 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141402), // Rule ID 47823 //
     /*  141362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141365 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  141365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141400 */     GIR_RootConstrainSelectedInstOperands,
     /*  141401 */     // GIR_Coverage, 47823,
     /*  141401 */     GIR_EraseRootFromParent_Done,
     /*  141402 */   // Label 2551: @141402
     /*  141402 */   GIM_Reject,
     /*  141403 */ // Label 2549: @141403
     /*  141403 */ GIM_Reject,
     /*  141404 */ // Label 2436: @141404
     /*  141404 */ GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141518),
     /*  141409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  141412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141427 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(141472), // Rule ID 47866 //
     /*  141432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141435 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  141435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141470 */     GIR_RootConstrainSelectedInstOperands,
     /*  141471 */     // GIR_Coverage, 47866,
     /*  141471 */     GIR_EraseRootFromParent_Done,
     /*  141472 */   // Label 2553: @141472
     /*  141472 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141517), // Rule ID 47867 //
     /*  141477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141480 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141515 */     GIR_RootConstrainSelectedInstOperands,
     /*  141516 */     // GIR_Coverage, 47867,
     /*  141516 */     GIR_EraseRootFromParent_Done,
     /*  141517 */   // Label 2554: @141517
     /*  141517 */   GIM_Reject,
     /*  141518 */ // Label 2552: @141518
     /*  141518 */ GIM_Reject,
     /*  141519 */ // Label 2437: @141519
     /*  141519 */ GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(143129),
     /*  141524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141534 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141603), // Rule ID 53076 //
     /*  141539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141582 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141601 */     GIR_RootConstrainSelectedInstOperands,
     /*  141602 */     // GIR_Coverage, 53076,
     /*  141602 */     GIR_EraseRootFromParent_Done,
     /*  141603 */   // Label 2556: @141603
     /*  141603 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141672), // Rule ID 53077 //
     /*  141608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141651 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141670 */     GIR_RootConstrainSelectedInstOperands,
     /*  141671 */     // GIR_Coverage, 53077,
     /*  141671 */     GIR_EraseRootFromParent_Done,
     /*  141672 */   // Label 2557: @141672
     /*  141672 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141741), // Rule ID 53078 //
     /*  141677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141720 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141739 */     GIR_RootConstrainSelectedInstOperands,
     /*  141740 */     // GIR_Coverage, 53078,
     /*  141740 */     GIR_EraseRootFromParent_Done,
     /*  141741 */   // Label 2558: @141741
     /*  141741 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(141810), // Rule ID 53079 //
     /*  141746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141789 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141808 */     GIR_RootConstrainSelectedInstOperands,
     /*  141809 */     // GIR_Coverage, 53079,
     /*  141809 */     GIR_EraseRootFromParent_Done,
     /*  141810 */   // Label 2559: @141810
     /*  141810 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(141876), // Rule ID 71317 //
     /*  141815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141857 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141874 */     GIR_RootConstrainSelectedInstOperands,
     /*  141875 */     // GIR_Coverage, 71317,
     /*  141875 */     GIR_EraseRootFromParent_Done,
     /*  141876 */   // Label 2560: @141876
     /*  141876 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(141942), // Rule ID 71318 //
     /*  141881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141923 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141940 */     GIR_RootConstrainSelectedInstOperands,
     /*  141941 */     // GIR_Coverage, 71318,
     /*  141941 */     GIR_EraseRootFromParent_Done,
     /*  141942 */   // Label 2561: @141942
     /*  141942 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142008), // Rule ID 71315 //
     /*  141947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141989 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142006 */     GIR_RootConstrainSelectedInstOperands,
     /*  142007 */     // GIR_Coverage, 71315,
     /*  142007 */     GIR_EraseRootFromParent_Done,
     /*  142008 */   // Label 2562: @142008
     /*  142008 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142074), // Rule ID 71316 //
     /*  142013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142055 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142072 */     GIR_RootConstrainSelectedInstOperands,
     /*  142073 */     // GIR_Coverage, 71316,
     /*  142073 */     GIR_EraseRootFromParent_Done,
     /*  142074 */   // Label 2563: @142074
     /*  142074 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142143), // Rule ID 53080 //
     /*  142079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142122 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142141 */     GIR_RootConstrainSelectedInstOperands,
     /*  142142 */     // GIR_Coverage, 53080,
     /*  142142 */     GIR_EraseRootFromParent_Done,
     /*  142143 */   // Label 2564: @142143
     /*  142143 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142212), // Rule ID 53081 //
     /*  142148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142191 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142210 */     GIR_RootConstrainSelectedInstOperands,
     /*  142211 */     // GIR_Coverage, 53081,
     /*  142211 */     GIR_EraseRootFromParent_Done,
     /*  142212 */   // Label 2565: @142212
     /*  142212 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142281), // Rule ID 71311 //
     /*  142217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142260 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142279 */     GIR_RootConstrainSelectedInstOperands,
     /*  142280 */     // GIR_Coverage, 71311,
     /*  142280 */     GIR_EraseRootFromParent_Done,
     /*  142281 */   // Label 2566: @142281
     /*  142281 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142350), // Rule ID 71312 //
     /*  142286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142329 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142348 */     GIR_RootConstrainSelectedInstOperands,
     /*  142349 */     // GIR_Coverage, 71312,
     /*  142349 */     GIR_EraseRootFromParent_Done,
     /*  142350 */   // Label 2567: @142350
     /*  142350 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142419), // Rule ID 71313 //
     /*  142355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142398 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142417 */     GIR_RootConstrainSelectedInstOperands,
     /*  142418 */     // GIR_Coverage, 71313,
     /*  142418 */     GIR_EraseRootFromParent_Done,
     /*  142419 */   // Label 2568: @142419
     /*  142419 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142488), // Rule ID 71314 //
     /*  142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142467 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142486 */     GIR_RootConstrainSelectedInstOperands,
     /*  142487 */     // GIR_Coverage, 71314,
     /*  142487 */     GIR_EraseRootFromParent_Done,
     /*  142488 */   // Label 2569: @142488
     /*  142488 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142557), // Rule ID 71319 //
     /*  142493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142536 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142555 */     GIR_RootConstrainSelectedInstOperands,
     /*  142556 */     // GIR_Coverage, 71319,
     /*  142556 */     GIR_EraseRootFromParent_Done,
     /*  142557 */   // Label 2570: @142557
     /*  142557 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142626), // Rule ID 71320 //
     /*  142562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142605 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142624 */     GIR_RootConstrainSelectedInstOperands,
     /*  142625 */     // GIR_Coverage, 71320,
     /*  142625 */     GIR_EraseRootFromParent_Done,
     /*  142626 */   // Label 2571: @142626
     /*  142626 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142692), // Rule ID 71323 //
     /*  142631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142673 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142690 */     GIR_RootConstrainSelectedInstOperands,
     /*  142691 */     // GIR_Coverage, 71323,
     /*  142691 */     GIR_EraseRootFromParent_Done,
     /*  142692 */   // Label 2572: @142692
     /*  142692 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142758), // Rule ID 71324 //
     /*  142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142739 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142756 */     GIR_RootConstrainSelectedInstOperands,
     /*  142757 */     // GIR_Coverage, 71324,
     /*  142757 */     GIR_EraseRootFromParent_Done,
     /*  142758 */   // Label 2573: @142758
     /*  142758 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142824), // Rule ID 71321 //
     /*  142763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142805 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142822 */     GIR_RootConstrainSelectedInstOperands,
     /*  142823 */     // GIR_Coverage, 71321,
     /*  142823 */     GIR_EraseRootFromParent_Done,
     /*  142824 */   // Label 2574: @142824
     /*  142824 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142890), // Rule ID 71322 //
     /*  142829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142871 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142888 */     GIR_RootConstrainSelectedInstOperands,
     /*  142889 */     // GIR_Coverage, 71322,
     /*  142889 */     GIR_EraseRootFromParent_Done,
     /*  142890 */   // Label 2575: @142890
     /*  142890 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(142933), // Rule ID 71337 //
     /*  142895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142916 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142931 */     GIR_RootConstrainSelectedInstOperands,
     /*  142932 */     // GIR_Coverage, 71337,
     /*  142932 */     GIR_EraseRootFromParent_Done,
     /*  142933 */   // Label 2576: @142933
     /*  142933 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(142976), // Rule ID 71338 //
     /*  142938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142959 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142974 */     GIR_RootConstrainSelectedInstOperands,
     /*  142975 */     // GIR_Coverage, 71338,
     /*  142975 */     GIR_EraseRootFromParent_Done,
     /*  142976 */   // Label 2577: @142976
     /*  142976 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143019), // Rule ID 53086 //
     /*  142981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143017 */     GIR_RootConstrainSelectedInstOperands,
     /*  143018 */     // GIR_Coverage, 53086,
     /*  143018 */     GIR_EraseRootFromParent_Done,
     /*  143019 */   // Label 2578: @143019
     /*  143019 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143062), // Rule ID 53087 //
     /*  143024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143045 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143060 */     GIR_RootConstrainSelectedInstOperands,
     /*  143061 */     // GIR_Coverage, 53087,
     /*  143061 */     GIR_EraseRootFromParent_Done,
     /*  143062 */   // Label 2579: @143062
     /*  143062 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143095), // Rule ID 53074 //
     /*  143067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143078 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143093 */     GIR_RootConstrainSelectedInstOperands,
     /*  143094 */     // GIR_Coverage, 53074,
     /*  143094 */     GIR_EraseRootFromParent_Done,
     /*  143095 */   // Label 2580: @143095
     /*  143095 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143128), // Rule ID 53075 //
     /*  143100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143111 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143126 */     GIR_RootConstrainSelectedInstOperands,
     /*  143127 */     // GIR_Coverage, 53075,
     /*  143127 */     GIR_EraseRootFromParent_Done,
     /*  143128 */   // Label 2581: @143128
     /*  143128 */   GIM_Reject,
     /*  143129 */ // Label 2555: @143129
     /*  143129 */ GIM_Reject,
     /*  143130 */ // Label 2438: @143130
     /*  143130 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143244),
     /*  143135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  143138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  143141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143153 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143198), // Rule ID 47798 //
     /*  143158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143161 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143196 */     GIR_RootConstrainSelectedInstOperands,
     /*  143197 */     // GIR_Coverage, 47798,
     /*  143197 */     GIR_EraseRootFromParent_Done,
     /*  143198 */   // Label 2583: @143198
     /*  143198 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(143243), // Rule ID 47799 //
     /*  143203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143206 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143241 */     GIR_RootConstrainSelectedInstOperands,
     /*  143242 */     // GIR_Coverage, 47799,
     /*  143242 */     GIR_EraseRootFromParent_Done,
     /*  143243 */   // Label 2584: @143243
     /*  143243 */   GIM_Reject,
     /*  143244 */ // Label 2582: @143244
     /*  143244 */ GIM_Reject,
     /*  143245 */ // Label 2439: @143245
     /*  143245 */ GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143359),
     /*  143250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  143253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  143256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143313), // Rule ID 47818 //
     /*  143273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143276 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143311 */     GIR_RootConstrainSelectedInstOperands,
     /*  143312 */     // GIR_Coverage, 47818,
     /*  143312 */     GIR_EraseRootFromParent_Done,
     /*  143313 */   // Label 2586: @143313
     /*  143313 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143358), // Rule ID 47819 //
     /*  143318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143321 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143356 */     GIR_RootConstrainSelectedInstOperands,
     /*  143357 */     // GIR_Coverage, 47819,
     /*  143357 */     GIR_EraseRootFromParent_Done,
     /*  143358 */   // Label 2587: @143358
     /*  143358 */   GIM_Reject,
     /*  143359 */ // Label 2585: @143359
     /*  143359 */ GIM_Reject,
     /*  143360 */ // Label 2440: @143360
     /*  143360 */ GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143474),
     /*  143365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  143368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  143371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143383 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143428), // Rule ID 47854 //
     /*  143388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143391 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143426 */     GIR_RootConstrainSelectedInstOperands,
     /*  143427 */     // GIR_Coverage, 47854,
     /*  143427 */     GIR_EraseRootFromParent_Done,
     /*  143428 */   // Label 2589: @143428
     /*  143428 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143473), // Rule ID 47855 //
     /*  143433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143436 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 47855,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 2590: @143473
     /*  143473 */   GIM_Reject,
     /*  143474 */ // Label 2588: @143474
     /*  143474 */ GIM_Reject,
     /*  143475 */ // Label 2441: @143475
     /*  143475 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143589),
     /*  143480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143498 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(143543), // Rule ID 47870 //
     /*  143503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143506 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143541 */     GIR_RootConstrainSelectedInstOperands,
     /*  143542 */     // GIR_Coverage, 47870,
     /*  143542 */     GIR_EraseRootFromParent_Done,
     /*  143543 */   // Label 2592: @143543
     /*  143543 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143588), // Rule ID 47871 //
     /*  143548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143551 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143586 */     GIR_RootConstrainSelectedInstOperands,
     /*  143587 */     // GIR_Coverage, 47871,
     /*  143587 */     GIR_EraseRootFromParent_Done,
     /*  143588 */   // Label 2593: @143588
     /*  143588 */   GIM_Reject,
     /*  143589 */ // Label 2591: @143589
     /*  143589 */ GIM_Reject,
     /*  143590 */ // Label 2442: @143590
     /*  143590 */ GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(145200),
     /*  143595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143674), // Rule ID 53094 //
     /*  143610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143653 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143672 */     GIR_RootConstrainSelectedInstOperands,
     /*  143673 */     // GIR_Coverage, 53094,
     /*  143673 */     GIR_EraseRootFromParent_Done,
     /*  143674 */   // Label 2595: @143674
     /*  143674 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143743), // Rule ID 53095 //
     /*  143679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143722 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143741 */     GIR_RootConstrainSelectedInstOperands,
     /*  143742 */     // GIR_Coverage, 53095,
     /*  143742 */     GIR_EraseRootFromParent_Done,
     /*  143743 */   // Label 2596: @143743
     /*  143743 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(143812), // Rule ID 53096 //
     /*  143748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143791 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143810 */     GIR_RootConstrainSelectedInstOperands,
     /*  143811 */     // GIR_Coverage, 53096,
     /*  143811 */     GIR_EraseRootFromParent_Done,
     /*  143812 */   // Label 2597: @143812
     /*  143812 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(143881), // Rule ID 53097 //
     /*  143817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143860 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143879 */     GIR_RootConstrainSelectedInstOperands,
     /*  143880 */     // GIR_Coverage, 53097,
     /*  143880 */     GIR_EraseRootFromParent_Done,
     /*  143881 */   // Label 2598: @143881
     /*  143881 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(143947), // Rule ID 71345 //
     /*  143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143928 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143945 */     GIR_RootConstrainSelectedInstOperands,
     /*  143946 */     // GIR_Coverage, 71345,
     /*  143946 */     GIR_EraseRootFromParent_Done,
     /*  143947 */   // Label 2599: @143947
     /*  143947 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144013), // Rule ID 71346 //
     /*  143952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143994 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144011 */     GIR_RootConstrainSelectedInstOperands,
     /*  144012 */     // GIR_Coverage, 71346,
     /*  144012 */     GIR_EraseRootFromParent_Done,
     /*  144013 */   // Label 2600: @144013
     /*  144013 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144079), // Rule ID 71343 //
     /*  144018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144060 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144077 */     GIR_RootConstrainSelectedInstOperands,
     /*  144078 */     // GIR_Coverage, 71343,
     /*  144078 */     GIR_EraseRootFromParent_Done,
     /*  144079 */   // Label 2601: @144079
     /*  144079 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144145), // Rule ID 71344 //
     /*  144084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144126 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144143 */     GIR_RootConstrainSelectedInstOperands,
     /*  144144 */     // GIR_Coverage, 71344,
     /*  144144 */     GIR_EraseRootFromParent_Done,
     /*  144145 */   // Label 2602: @144145
     /*  144145 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144214), // Rule ID 53098 //
     /*  144150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144193 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144212 */     GIR_RootConstrainSelectedInstOperands,
     /*  144213 */     // GIR_Coverage, 53098,
     /*  144213 */     GIR_EraseRootFromParent_Done,
     /*  144214 */   // Label 2603: @144214
     /*  144214 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144283), // Rule ID 53099 //
     /*  144219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144262 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144281 */     GIR_RootConstrainSelectedInstOperands,
     /*  144282 */     // GIR_Coverage, 53099,
     /*  144282 */     GIR_EraseRootFromParent_Done,
     /*  144283 */   // Label 2604: @144283
     /*  144283 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144352), // Rule ID 71339 //
     /*  144288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144331 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144350 */     GIR_RootConstrainSelectedInstOperands,
     /*  144351 */     // GIR_Coverage, 71339,
     /*  144351 */     GIR_EraseRootFromParent_Done,
     /*  144352 */   // Label 2605: @144352
     /*  144352 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144421), // Rule ID 71340 //
     /*  144357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144400 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144419 */     GIR_RootConstrainSelectedInstOperands,
     /*  144420 */     // GIR_Coverage, 71340,
     /*  144420 */     GIR_EraseRootFromParent_Done,
     /*  144421 */   // Label 2606: @144421
     /*  144421 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144490), // Rule ID 71341 //
     /*  144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144469 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144488 */     GIR_RootConstrainSelectedInstOperands,
     /*  144489 */     // GIR_Coverage, 71341,
     /*  144489 */     GIR_EraseRootFromParent_Done,
     /*  144490 */   // Label 2607: @144490
     /*  144490 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144559), // Rule ID 71342 //
     /*  144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144538 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144557 */     GIR_RootConstrainSelectedInstOperands,
     /*  144558 */     // GIR_Coverage, 71342,
     /*  144558 */     GIR_EraseRootFromParent_Done,
     /*  144559 */   // Label 2608: @144559
     /*  144559 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144628), // Rule ID 71347 //
     /*  144564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144607 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144626 */     GIR_RootConstrainSelectedInstOperands,
     /*  144627 */     // GIR_Coverage, 71347,
     /*  144627 */     GIR_EraseRootFromParent_Done,
     /*  144628 */   // Label 2609: @144628
     /*  144628 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144697), // Rule ID 71348 //
     /*  144633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144676 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144695 */     GIR_RootConstrainSelectedInstOperands,
     /*  144696 */     // GIR_Coverage, 71348,
     /*  144696 */     GIR_EraseRootFromParent_Done,
     /*  144697 */   // Label 2610: @144697
     /*  144697 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144763), // Rule ID 71351 //
     /*  144702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144744 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144761 */     GIR_RootConstrainSelectedInstOperands,
     /*  144762 */     // GIR_Coverage, 71351,
     /*  144762 */     GIR_EraseRootFromParent_Done,
     /*  144763 */   // Label 2611: @144763
     /*  144763 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144829), // Rule ID 71352 //
     /*  144768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144810 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144827 */     GIR_RootConstrainSelectedInstOperands,
     /*  144828 */     // GIR_Coverage, 71352,
     /*  144828 */     GIR_EraseRootFromParent_Done,
     /*  144829 */   // Label 2612: @144829
     /*  144829 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(144895), // Rule ID 71349 //
     /*  144834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144876 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144893 */     GIR_RootConstrainSelectedInstOperands,
     /*  144894 */     // GIR_Coverage, 71349,
     /*  144894 */     GIR_EraseRootFromParent_Done,
     /*  144895 */   // Label 2613: @144895
     /*  144895 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(144961), // Rule ID 71350 //
     /*  144900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144942 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144959 */     GIR_RootConstrainSelectedInstOperands,
     /*  144960 */     // GIR_Coverage, 71350,
     /*  144960 */     GIR_EraseRootFromParent_Done,
     /*  144961 */   // Label 2614: @144961
     /*  144961 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145004), // Rule ID 71365 //
     /*  144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144987 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145002 */     GIR_RootConstrainSelectedInstOperands,
     /*  145003 */     // GIR_Coverage, 71365,
     /*  145003 */     GIR_EraseRootFromParent_Done,
     /*  145004 */   // Label 2615: @145004
     /*  145004 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145047), // Rule ID 71366 //
     /*  145009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145030 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145045 */     GIR_RootConstrainSelectedInstOperands,
     /*  145046 */     // GIR_Coverage, 71366,
     /*  145046 */     GIR_EraseRootFromParent_Done,
     /*  145047 */   // Label 2616: @145047
     /*  145047 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145090), // Rule ID 53104 //
     /*  145052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145073 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145088 */     GIR_RootConstrainSelectedInstOperands,
     /*  145089 */     // GIR_Coverage, 53104,
     /*  145089 */     GIR_EraseRootFromParent_Done,
     /*  145090 */   // Label 2617: @145090
     /*  145090 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145133), // Rule ID 53105 //
     /*  145095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145116 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145131 */     GIR_RootConstrainSelectedInstOperands,
     /*  145132 */     // GIR_Coverage, 53105,
     /*  145132 */     GIR_EraseRootFromParent_Done,
     /*  145133 */   // Label 2618: @145133
     /*  145133 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145166), // Rule ID 53092 //
     /*  145138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145149 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145164 */     GIR_RootConstrainSelectedInstOperands,
     /*  145165 */     // GIR_Coverage, 53092,
     /*  145165 */     GIR_EraseRootFromParent_Done,
     /*  145166 */   // Label 2619: @145166
     /*  145166 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145199), // Rule ID 53093 //
     /*  145171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145182 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145197 */     GIR_RootConstrainSelectedInstOperands,
     /*  145198 */     // GIR_Coverage, 53093,
     /*  145198 */     GIR_EraseRootFromParent_Done,
     /*  145199 */   // Label 2620: @145199
     /*  145199 */   GIM_Reject,
     /*  145200 */ // Label 2594: @145200
     /*  145200 */ GIM_Reject,
     /*  145201 */ // Label 2443: @145201
     /*  145201 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145315),
     /*  145206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  145209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  145212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145224 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145269), // Rule ID 47814 //
     /*  145229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145232 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145267 */     GIR_RootConstrainSelectedInstOperands,
     /*  145268 */     // GIR_Coverage, 47814,
     /*  145268 */     GIR_EraseRootFromParent_Done,
     /*  145269 */   // Label 2622: @145269
     /*  145269 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(145314), // Rule ID 47815 //
     /*  145274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145277 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145312 */     GIR_RootConstrainSelectedInstOperands,
     /*  145313 */     // GIR_Coverage, 47815,
     /*  145313 */     GIR_EraseRootFromParent_Done,
     /*  145314 */   // Label 2623: @145314
     /*  145314 */   GIM_Reject,
     /*  145315 */ // Label 2621: @145315
     /*  145315 */ GIM_Reject,
     /*  145316 */ // Label 2444: @145316
     /*  145316 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145430),
     /*  145321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  145324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  145327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145339 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145384), // Rule ID 47842 //
     /*  145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145347 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145382 */     GIR_RootConstrainSelectedInstOperands,
     /*  145383 */     // GIR_Coverage, 47842,
     /*  145383 */     GIR_EraseRootFromParent_Done,
     /*  145384 */   // Label 2625: @145384
     /*  145384 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145429), // Rule ID 47843 //
     /*  145389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145392 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145427 */     GIR_RootConstrainSelectedInstOperands,
     /*  145428 */     // GIR_Coverage, 47843,
     /*  145428 */     GIR_EraseRootFromParent_Done,
     /*  145429 */   // Label 2626: @145429
     /*  145429 */   GIM_Reject,
     /*  145430 */ // Label 2624: @145430
     /*  145430 */ GIM_Reject,
     /*  145431 */ // Label 2445: @145431
     /*  145431 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145545),
     /*  145436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  145439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145454 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145499), // Rule ID 47858 //
     /*  145459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145462 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145497 */     GIR_RootConstrainSelectedInstOperands,
     /*  145498 */     // GIR_Coverage, 47858,
     /*  145498 */     GIR_EraseRootFromParent_Done,
     /*  145499 */   // Label 2628: @145499
     /*  145499 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145544), // Rule ID 47859 //
     /*  145504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145507 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145542 */     GIR_RootConstrainSelectedInstOperands,
     /*  145543 */     // GIR_Coverage, 47859,
     /*  145543 */     GIR_EraseRootFromParent_Done,
     /*  145544 */   // Label 2629: @145544
     /*  145544 */   GIM_Reject,
     /*  145545 */ // Label 2627: @145545
     /*  145545 */ GIM_Reject,
     /*  145546 */ // Label 2446: @145546
     /*  145546 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145660),
     /*  145551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145569 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(145614), // Rule ID 47874 //
     /*  145574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145577 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145612 */     GIR_RootConstrainSelectedInstOperands,
     /*  145613 */     // GIR_Coverage, 47874,
     /*  145613 */     GIR_EraseRootFromParent_Done,
     /*  145614 */   // Label 2631: @145614
     /*  145614 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145659), // Rule ID 47875 //
     /*  145619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145622 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145657 */     GIR_RootConstrainSelectedInstOperands,
     /*  145658 */     // GIR_Coverage, 47875,
     /*  145658 */     GIR_EraseRootFromParent_Done,
     /*  145659 */   // Label 2632: @145659
     /*  145659 */   GIM_Reject,
     /*  145660 */ // Label 2630: @145660
     /*  145660 */ GIM_Reject,
     /*  145661 */ // Label 2447: @145661
     /*  145661 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(147271),
     /*  145666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145745), // Rule ID 53112 //
     /*  145681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145724 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145743 */     GIR_RootConstrainSelectedInstOperands,
     /*  145744 */     // GIR_Coverage, 53112,
     /*  145744 */     GIR_EraseRootFromParent_Done,
     /*  145745 */   // Label 2634: @145745
     /*  145745 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(145814), // Rule ID 53113 //
     /*  145750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145793 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145812 */     GIR_RootConstrainSelectedInstOperands,
     /*  145813 */     // GIR_Coverage, 53113,
     /*  145813 */     GIR_EraseRootFromParent_Done,
     /*  145814 */   // Label 2635: @145814
     /*  145814 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(145883), // Rule ID 53114 //
     /*  145819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145862 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145881 */     GIR_RootConstrainSelectedInstOperands,
     /*  145882 */     // GIR_Coverage, 53114,
     /*  145882 */     GIR_EraseRootFromParent_Done,
     /*  145883 */   // Label 2636: @145883
     /*  145883 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(145952), // Rule ID 53115 //
     /*  145888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145931 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145950 */     GIR_RootConstrainSelectedInstOperands,
     /*  145951 */     // GIR_Coverage, 53115,
     /*  145951 */     GIR_EraseRootFromParent_Done,
     /*  145952 */   // Label 2637: @145952
     /*  145952 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146018), // Rule ID 71373 //
     /*  145957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145999 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146016 */     GIR_RootConstrainSelectedInstOperands,
     /*  146017 */     // GIR_Coverage, 71373,
     /*  146017 */     GIR_EraseRootFromParent_Done,
     /*  146018 */   // Label 2638: @146018
     /*  146018 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146084), // Rule ID 71374 //
     /*  146023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146065 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146082 */     GIR_RootConstrainSelectedInstOperands,
     /*  146083 */     // GIR_Coverage, 71374,
     /*  146083 */     GIR_EraseRootFromParent_Done,
     /*  146084 */   // Label 2639: @146084
     /*  146084 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146150), // Rule ID 71371 //
     /*  146089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146131 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146148 */     GIR_RootConstrainSelectedInstOperands,
     /*  146149 */     // GIR_Coverage, 71371,
     /*  146149 */     GIR_EraseRootFromParent_Done,
     /*  146150 */   // Label 2640: @146150
     /*  146150 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146216), // Rule ID 71372 //
     /*  146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146197 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146214 */     GIR_RootConstrainSelectedInstOperands,
     /*  146215 */     // GIR_Coverage, 71372,
     /*  146215 */     GIR_EraseRootFromParent_Done,
     /*  146216 */   // Label 2641: @146216
     /*  146216 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146285), // Rule ID 53116 //
     /*  146221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146264 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146283 */     GIR_RootConstrainSelectedInstOperands,
     /*  146284 */     // GIR_Coverage, 53116,
     /*  146284 */     GIR_EraseRootFromParent_Done,
     /*  146285 */   // Label 2642: @146285
     /*  146285 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146354), // Rule ID 53117 //
     /*  146290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146333 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146352 */     GIR_RootConstrainSelectedInstOperands,
     /*  146353 */     // GIR_Coverage, 53117,
     /*  146353 */     GIR_EraseRootFromParent_Done,
     /*  146354 */   // Label 2643: @146354
     /*  146354 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146423), // Rule ID 71367 //
     /*  146359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146402 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146421 */     GIR_RootConstrainSelectedInstOperands,
     /*  146422 */     // GIR_Coverage, 71367,
     /*  146422 */     GIR_EraseRootFromParent_Done,
     /*  146423 */   // Label 2644: @146423
     /*  146423 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146492), // Rule ID 71368 //
     /*  146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146471 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146490 */     GIR_RootConstrainSelectedInstOperands,
     /*  146491 */     // GIR_Coverage, 71368,
     /*  146491 */     GIR_EraseRootFromParent_Done,
     /*  146492 */   // Label 2645: @146492
     /*  146492 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146561), // Rule ID 71369 //
     /*  146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146540 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146559 */     GIR_RootConstrainSelectedInstOperands,
     /*  146560 */     // GIR_Coverage, 71369,
     /*  146560 */     GIR_EraseRootFromParent_Done,
     /*  146561 */   // Label 2646: @146561
     /*  146561 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146630), // Rule ID 71370 //
     /*  146566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146609 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146628 */     GIR_RootConstrainSelectedInstOperands,
     /*  146629 */     // GIR_Coverage, 71370,
     /*  146629 */     GIR_EraseRootFromParent_Done,
     /*  146630 */   // Label 2647: @146630
     /*  146630 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146699), // Rule ID 71375 //
     /*  146635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146678 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146697 */     GIR_RootConstrainSelectedInstOperands,
     /*  146698 */     // GIR_Coverage, 71375,
     /*  146698 */     GIR_EraseRootFromParent_Done,
     /*  146699 */   // Label 2648: @146699
     /*  146699 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146768), // Rule ID 71376 //
     /*  146704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146747 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146766 */     GIR_RootConstrainSelectedInstOperands,
     /*  146767 */     // GIR_Coverage, 71376,
     /*  146767 */     GIR_EraseRootFromParent_Done,
     /*  146768 */   // Label 2649: @146768
     /*  146768 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146834), // Rule ID 71379 //
     /*  146773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146815 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146832 */     GIR_RootConstrainSelectedInstOperands,
     /*  146833 */     // GIR_Coverage, 71379,
     /*  146833 */     GIR_EraseRootFromParent_Done,
     /*  146834 */   // Label 2650: @146834
     /*  146834 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(146900), // Rule ID 71380 //
     /*  146839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146881 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146898 */     GIR_RootConstrainSelectedInstOperands,
     /*  146899 */     // GIR_Coverage, 71380,
     /*  146899 */     GIR_EraseRootFromParent_Done,
     /*  146900 */   // Label 2651: @146900
     /*  146900 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(146966), // Rule ID 71377 //
     /*  146905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146947 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146964 */     GIR_RootConstrainSelectedInstOperands,
     /*  146965 */     // GIR_Coverage, 71377,
     /*  146965 */     GIR_EraseRootFromParent_Done,
     /*  146966 */   // Label 2652: @146966
     /*  146966 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147032), // Rule ID 71378 //
     /*  146971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147013 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  147016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147030 */     GIR_RootConstrainSelectedInstOperands,
     /*  147031 */     // GIR_Coverage, 71378,
     /*  147031 */     GIR_EraseRootFromParent_Done,
     /*  147032 */   // Label 2653: @147032
     /*  147032 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147075), // Rule ID 71393 //
     /*  147037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147058 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147073 */     GIR_RootConstrainSelectedInstOperands,
     /*  147074 */     // GIR_Coverage, 71393,
     /*  147074 */     GIR_EraseRootFromParent_Done,
     /*  147075 */   // Label 2654: @147075
     /*  147075 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147118), // Rule ID 71394 //
     /*  147080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147101 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147116 */     GIR_RootConstrainSelectedInstOperands,
     /*  147117 */     // GIR_Coverage, 71394,
     /*  147117 */     GIR_EraseRootFromParent_Done,
     /*  147118 */   // Label 2655: @147118
     /*  147118 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147161), // Rule ID 53122 //
     /*  147123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147144 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147159 */     GIR_RootConstrainSelectedInstOperands,
     /*  147160 */     // GIR_Coverage, 53122,
     /*  147160 */     GIR_EraseRootFromParent_Done,
     /*  147161 */   // Label 2656: @147161
     /*  147161 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147204), // Rule ID 53123 //
     /*  147166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147187 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147202 */     GIR_RootConstrainSelectedInstOperands,
     /*  147203 */     // GIR_Coverage, 53123,
     /*  147203 */     GIR_EraseRootFromParent_Done,
     /*  147204 */   // Label 2657: @147204
     /*  147204 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147237), // Rule ID 53110 //
     /*  147209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147220 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147235 */     GIR_RootConstrainSelectedInstOperands,
     /*  147236 */     // GIR_Coverage, 53110,
     /*  147236 */     GIR_EraseRootFromParent_Done,
     /*  147237 */   // Label 2658: @147237
     /*  147237 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(147270), // Rule ID 53111 //
     /*  147242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147253 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147268 */     GIR_RootConstrainSelectedInstOperands,
     /*  147269 */     // GIR_Coverage, 53111,
     /*  147269 */     GIR_EraseRootFromParent_Done,
     /*  147270 */   // Label 2659: @147270
     /*  147270 */   GIM_Reject,
     /*  147271 */ // Label 2633: @147271
     /*  147271 */ GIM_Reject,
     /*  147272 */ // Label 2448: @147272
     /*  147272 */ GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147386),
     /*  147277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  147280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  147283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147295 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147340), // Rule ID 47830 //
     /*  147300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147303 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147338 */     GIR_RootConstrainSelectedInstOperands,
     /*  147339 */     // GIR_Coverage, 47830,
     /*  147339 */     GIR_EraseRootFromParent_Done,
     /*  147340 */   // Label 2661: @147340
     /*  147340 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147385), // Rule ID 47831 //
     /*  147345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147348 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147383 */     GIR_RootConstrainSelectedInstOperands,
     /*  147384 */     // GIR_Coverage, 47831,
     /*  147384 */     GIR_EraseRootFromParent_Done,
     /*  147385 */   // Label 2662: @147385
     /*  147385 */   GIM_Reject,
     /*  147386 */ // Label 2660: @147386
     /*  147386 */ GIM_Reject,
     /*  147387 */ // Label 2449: @147387
     /*  147387 */ GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147501),
     /*  147392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  147395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  147398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147410 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147455), // Rule ID 47846 //
     /*  147415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147418 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147453 */     GIR_RootConstrainSelectedInstOperands,
     /*  147454 */     // GIR_Coverage, 47846,
     /*  147454 */     GIR_EraseRootFromParent_Done,
     /*  147455 */   // Label 2664: @147455
     /*  147455 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147500), // Rule ID 47847 //
     /*  147460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147463 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147498 */     GIR_RootConstrainSelectedInstOperands,
     /*  147499 */     // GIR_Coverage, 47847,
     /*  147499 */     GIR_EraseRootFromParent_Done,
     /*  147500 */   // Label 2665: @147500
     /*  147500 */   GIM_Reject,
     /*  147501 */ // Label 2663: @147501
     /*  147501 */ GIM_Reject,
     /*  147502 */ // Label 2450: @147502
     /*  147502 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147616),
     /*  147507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147525 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(147570), // Rule ID 47862 //
     /*  147530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147533 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147568 */     GIR_RootConstrainSelectedInstOperands,
     /*  147569 */     // GIR_Coverage, 47862,
     /*  147569 */     GIR_EraseRootFromParent_Done,
     /*  147570 */   // Label 2667: @147570
     /*  147570 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147615), // Rule ID 47863 //
     /*  147575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147578 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147613 */     GIR_RootConstrainSelectedInstOperands,
     /*  147614 */     // GIR_Coverage, 47863,
     /*  147614 */     GIR_EraseRootFromParent_Done,
     /*  147615 */   // Label 2668: @147615
     /*  147615 */   GIM_Reject,
     /*  147616 */ // Label 2666: @147616
     /*  147616 */ GIM_Reject,
     /*  147617 */ // Label 2451: @147617
     /*  147617 */ GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(149227),
     /*  147622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147632 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147701), // Rule ID 53130 //
     /*  147637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147680 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147699 */     GIR_RootConstrainSelectedInstOperands,
     /*  147700 */     // GIR_Coverage, 53130,
     /*  147700 */     GIR_EraseRootFromParent_Done,
     /*  147701 */   // Label 2670: @147701
     /*  147701 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(147770), // Rule ID 53131 //
     /*  147706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147749 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147768 */     GIR_RootConstrainSelectedInstOperands,
     /*  147769 */     // GIR_Coverage, 53131,
     /*  147769 */     GIR_EraseRootFromParent_Done,
     /*  147770 */   // Label 2671: @147770
     /*  147770 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(147839), // Rule ID 53132 //
     /*  147775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147818 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147837 */     GIR_RootConstrainSelectedInstOperands,
     /*  147838 */     // GIR_Coverage, 53132,
     /*  147838 */     GIR_EraseRootFromParent_Done,
     /*  147839 */   // Label 2672: @147839
     /*  147839 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(147908), // Rule ID 53133 //
     /*  147844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147887 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147906 */     GIR_RootConstrainSelectedInstOperands,
     /*  147907 */     // GIR_Coverage, 53133,
     /*  147907 */     GIR_EraseRootFromParent_Done,
     /*  147908 */   // Label 2673: @147908
     /*  147908 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(147974), // Rule ID 71401 //
     /*  147913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147972 */     GIR_RootConstrainSelectedInstOperands,
     /*  147973 */     // GIR_Coverage, 71401,
     /*  147973 */     GIR_EraseRootFromParent_Done,
     /*  147974 */   // Label 2674: @147974
     /*  147974 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148040), // Rule ID 71402 //
     /*  147979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148021 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148038 */     GIR_RootConstrainSelectedInstOperands,
     /*  148039 */     // GIR_Coverage, 71402,
     /*  148039 */     GIR_EraseRootFromParent_Done,
     /*  148040 */   // Label 2675: @148040
     /*  148040 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148106), // Rule ID 71399 //
     /*  148045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148087 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148104 */     GIR_RootConstrainSelectedInstOperands,
     /*  148105 */     // GIR_Coverage, 71399,
     /*  148105 */     GIR_EraseRootFromParent_Done,
     /*  148106 */   // Label 2676: @148106
     /*  148106 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148172), // Rule ID 71400 //
     /*  148111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148153 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148170 */     GIR_RootConstrainSelectedInstOperands,
     /*  148171 */     // GIR_Coverage, 71400,
     /*  148171 */     GIR_EraseRootFromParent_Done,
     /*  148172 */   // Label 2677: @148172
     /*  148172 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148241), // Rule ID 53134 //
     /*  148177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148220 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148239 */     GIR_RootConstrainSelectedInstOperands,
     /*  148240 */     // GIR_Coverage, 53134,
     /*  148240 */     GIR_EraseRootFromParent_Done,
     /*  148241 */   // Label 2678: @148241
     /*  148241 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148310), // Rule ID 53135 //
     /*  148246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148289 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148308 */     GIR_RootConstrainSelectedInstOperands,
     /*  148309 */     // GIR_Coverage, 53135,
     /*  148309 */     GIR_EraseRootFromParent_Done,
     /*  148310 */   // Label 2679: @148310
     /*  148310 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148379), // Rule ID 71395 //
     /*  148315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148358 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148377 */     GIR_RootConstrainSelectedInstOperands,
     /*  148378 */     // GIR_Coverage, 71395,
     /*  148378 */     GIR_EraseRootFromParent_Done,
     /*  148379 */   // Label 2680: @148379
     /*  148379 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148448), // Rule ID 71396 //
     /*  148384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148427 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148446 */     GIR_RootConstrainSelectedInstOperands,
     /*  148447 */     // GIR_Coverage, 71396,
     /*  148447 */     GIR_EraseRootFromParent_Done,
     /*  148448 */   // Label 2681: @148448
     /*  148448 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148517), // Rule ID 71397 //
     /*  148453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148496 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148515 */     GIR_RootConstrainSelectedInstOperands,
     /*  148516 */     // GIR_Coverage, 71397,
     /*  148516 */     GIR_EraseRootFromParent_Done,
     /*  148517 */   // Label 2682: @148517
     /*  148517 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148586), // Rule ID 71398 //
     /*  148522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148565 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148584 */     GIR_RootConstrainSelectedInstOperands,
     /*  148585 */     // GIR_Coverage, 71398,
     /*  148585 */     GIR_EraseRootFromParent_Done,
     /*  148586 */   // Label 2683: @148586
     /*  148586 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148655), // Rule ID 71403 //
     /*  148591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148634 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148653 */     GIR_RootConstrainSelectedInstOperands,
     /*  148654 */     // GIR_Coverage, 71403,
     /*  148654 */     GIR_EraseRootFromParent_Done,
     /*  148655 */   // Label 2684: @148655
     /*  148655 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148724), // Rule ID 71404 //
     /*  148660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148703 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148722 */     GIR_RootConstrainSelectedInstOperands,
     /*  148723 */     // GIR_Coverage, 71404,
     /*  148723 */     GIR_EraseRootFromParent_Done,
     /*  148724 */   // Label 2685: @148724
     /*  148724 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148790), // Rule ID 71407 //
     /*  148729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148788 */     GIR_RootConstrainSelectedInstOperands,
     /*  148789 */     // GIR_Coverage, 71407,
     /*  148789 */     GIR_EraseRootFromParent_Done,
     /*  148790 */   // Label 2686: @148790
     /*  148790 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148856), // Rule ID 71408 //
     /*  148795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148837 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148854 */     GIR_RootConstrainSelectedInstOperands,
     /*  148855 */     // GIR_Coverage, 71408,
     /*  148855 */     GIR_EraseRootFromParent_Done,
     /*  148856 */   // Label 2687: @148856
     /*  148856 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(148922), // Rule ID 71405 //
     /*  148861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148903 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148920 */     GIR_RootConstrainSelectedInstOperands,
     /*  148921 */     // GIR_Coverage, 71405,
     /*  148921 */     GIR_EraseRootFromParent_Done,
     /*  148922 */   // Label 2688: @148922
     /*  148922 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(148988), // Rule ID 71406 //
     /*  148927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148969 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148986 */     GIR_RootConstrainSelectedInstOperands,
     /*  148987 */     // GIR_Coverage, 71406,
     /*  148987 */     GIR_EraseRootFromParent_Done,
     /*  148988 */   // Label 2689: @148988
     /*  148988 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149031), // Rule ID 71421 //
     /*  148993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149014 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149029 */     GIR_RootConstrainSelectedInstOperands,
     /*  149030 */     // GIR_Coverage, 71421,
     /*  149030 */     GIR_EraseRootFromParent_Done,
     /*  149031 */   // Label 2690: @149031
     /*  149031 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149074), // Rule ID 71422 //
     /*  149036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149057 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149072 */     GIR_RootConstrainSelectedInstOperands,
     /*  149073 */     // GIR_Coverage, 71422,
     /*  149073 */     GIR_EraseRootFromParent_Done,
     /*  149074 */   // Label 2691: @149074
     /*  149074 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149117), // Rule ID 53140 //
     /*  149079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149100 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149115 */     GIR_RootConstrainSelectedInstOperands,
     /*  149116 */     // GIR_Coverage, 53140,
     /*  149116 */     GIR_EraseRootFromParent_Done,
     /*  149117 */   // Label 2692: @149117
     /*  149117 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149160), // Rule ID 53141 //
     /*  149122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149143 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149158 */     GIR_RootConstrainSelectedInstOperands,
     /*  149159 */     // GIR_Coverage, 53141,
     /*  149159 */     GIR_EraseRootFromParent_Done,
     /*  149160 */   // Label 2693: @149160
     /*  149160 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149193), // Rule ID 53128 //
     /*  149165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149176 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149191 */     GIR_RootConstrainSelectedInstOperands,
     /*  149192 */     // GIR_Coverage, 53128,
     /*  149192 */     GIR_EraseRootFromParent_Done,
     /*  149193 */   // Label 2694: @149193
     /*  149193 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149226), // Rule ID 53129 //
     /*  149198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149209 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149224 */     GIR_RootConstrainSelectedInstOperands,
     /*  149225 */     // GIR_Coverage, 53129,
     /*  149225 */     GIR_EraseRootFromParent_Done,
     /*  149226 */   // Label 2695: @149226
     /*  149226 */   GIM_Reject,
     /*  149227 */ // Label 2669: @149227
     /*  149227 */ GIM_Reject,
     /*  149228 */ // Label 2452: @149228
     /*  149228 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149342),
     /*  149233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  149236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  149239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149251 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149296), // Rule ID 47834 //
     /*  149256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149259 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149294 */     GIR_RootConstrainSelectedInstOperands,
     /*  149295 */     // GIR_Coverage, 47834,
     /*  149295 */     GIR_EraseRootFromParent_Done,
     /*  149296 */   // Label 2697: @149296
     /*  149296 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149341), // Rule ID 47835 //
     /*  149301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149304 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149339 */     GIR_RootConstrainSelectedInstOperands,
     /*  149340 */     // GIR_Coverage, 47835,
     /*  149340 */     GIR_EraseRootFromParent_Done,
     /*  149341 */   // Label 2698: @149341
     /*  149341 */   GIM_Reject,
     /*  149342 */ // Label 2696: @149342
     /*  149342 */ GIM_Reject,
     /*  149343 */ // Label 2453: @149343
     /*  149343 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149457),
     /*  149348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  149351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  149354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149366 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(149411), // Rule ID 47850 //
     /*  149371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149374 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149409 */     GIR_RootConstrainSelectedInstOperands,
     /*  149410 */     // GIR_Coverage, 47850,
     /*  149410 */     GIR_EraseRootFromParent_Done,
     /*  149411 */   // Label 2700: @149411
     /*  149411 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149456), // Rule ID 47851 //
     /*  149416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149419 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149454 */     GIR_RootConstrainSelectedInstOperands,
     /*  149455 */     // GIR_Coverage, 47851,
     /*  149455 */     GIR_EraseRootFromParent_Done,
     /*  149456 */   // Label 2701: @149456
     /*  149456 */   GIM_Reject,
     /*  149457 */ // Label 2699: @149457
     /*  149457 */ GIM_Reject,
     /*  149458 */ // Label 2454: @149458
     /*  149458 */ GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(151068),
     /*  149463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149473 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149542), // Rule ID 53148 //
     /*  149478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149521 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149540 */     GIR_RootConstrainSelectedInstOperands,
     /*  149541 */     // GIR_Coverage, 53148,
     /*  149541 */     GIR_EraseRootFromParent_Done,
     /*  149542 */   // Label 2703: @149542
     /*  149542 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149611), // Rule ID 53149 //
     /*  149547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149590 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149609 */     GIR_RootConstrainSelectedInstOperands,
     /*  149610 */     // GIR_Coverage, 53149,
     /*  149610 */     GIR_EraseRootFromParent_Done,
     /*  149611 */   // Label 2704: @149611
     /*  149611 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149680), // Rule ID 53150 //
     /*  149616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149659 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149678 */     GIR_RootConstrainSelectedInstOperands,
     /*  149679 */     // GIR_Coverage, 53150,
     /*  149679 */     GIR_EraseRootFromParent_Done,
     /*  149680 */   // Label 2705: @149680
     /*  149680 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149749), // Rule ID 53151 //
     /*  149685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149728 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149747 */     GIR_RootConstrainSelectedInstOperands,
     /*  149748 */     // GIR_Coverage, 53151,
     /*  149748 */     GIR_EraseRootFromParent_Done,
     /*  149749 */   // Label 2706: @149749
     /*  149749 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(149815), // Rule ID 71429 //
     /*  149754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149796 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149813 */     GIR_RootConstrainSelectedInstOperands,
     /*  149814 */     // GIR_Coverage, 71429,
     /*  149814 */     GIR_EraseRootFromParent_Done,
     /*  149815 */   // Label 2707: @149815
     /*  149815 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(149881), // Rule ID 71430 //
     /*  149820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149862 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149879 */     GIR_RootConstrainSelectedInstOperands,
     /*  149880 */     // GIR_Coverage, 71430,
     /*  149880 */     GIR_EraseRootFromParent_Done,
     /*  149881 */   // Label 2708: @149881
     /*  149881 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(149947), // Rule ID 71427 //
     /*  149886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149928 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149945 */     GIR_RootConstrainSelectedInstOperands,
     /*  149946 */     // GIR_Coverage, 71427,
     /*  149946 */     GIR_EraseRootFromParent_Done,
     /*  149947 */   // Label 2709: @149947
     /*  149947 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150013), // Rule ID 71428 //
     /*  149952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149994 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150011 */     GIR_RootConstrainSelectedInstOperands,
     /*  150012 */     // GIR_Coverage, 71428,
     /*  150012 */     GIR_EraseRootFromParent_Done,
     /*  150013 */   // Label 2710: @150013
     /*  150013 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150082), // Rule ID 53152 //
     /*  150018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150061 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150080 */     GIR_RootConstrainSelectedInstOperands,
     /*  150081 */     // GIR_Coverage, 53152,
     /*  150081 */     GIR_EraseRootFromParent_Done,
     /*  150082 */   // Label 2711: @150082
     /*  150082 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150151), // Rule ID 53153 //
     /*  150087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150130 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150149 */     GIR_RootConstrainSelectedInstOperands,
     /*  150150 */     // GIR_Coverage, 53153,
     /*  150150 */     GIR_EraseRootFromParent_Done,
     /*  150151 */   // Label 2712: @150151
     /*  150151 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150220), // Rule ID 71423 //
     /*  150156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150199 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150218 */     GIR_RootConstrainSelectedInstOperands,
     /*  150219 */     // GIR_Coverage, 71423,
     /*  150219 */     GIR_EraseRootFromParent_Done,
     /*  150220 */   // Label 2713: @150220
     /*  150220 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150289), // Rule ID 71424 //
     /*  150225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150268 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150287 */     GIR_RootConstrainSelectedInstOperands,
     /*  150288 */     // GIR_Coverage, 71424,
     /*  150288 */     GIR_EraseRootFromParent_Done,
     /*  150289 */   // Label 2714: @150289
     /*  150289 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150358), // Rule ID 71425 //
     /*  150294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150337 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150356 */     GIR_RootConstrainSelectedInstOperands,
     /*  150357 */     // GIR_Coverage, 71425,
     /*  150357 */     GIR_EraseRootFromParent_Done,
     /*  150358 */   // Label 2715: @150358
     /*  150358 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150427), // Rule ID 71426 //
     /*  150363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150406 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150425 */     GIR_RootConstrainSelectedInstOperands,
     /*  150426 */     // GIR_Coverage, 71426,
     /*  150426 */     GIR_EraseRootFromParent_Done,
     /*  150427 */   // Label 2716: @150427
     /*  150427 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150496), // Rule ID 71431 //
     /*  150432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150475 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150494 */     GIR_RootConstrainSelectedInstOperands,
     /*  150495 */     // GIR_Coverage, 71431,
     /*  150495 */     GIR_EraseRootFromParent_Done,
     /*  150496 */   // Label 2717: @150496
     /*  150496 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150565), // Rule ID 71432 //
     /*  150501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150544 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150563 */     GIR_RootConstrainSelectedInstOperands,
     /*  150564 */     // GIR_Coverage, 71432,
     /*  150564 */     GIR_EraseRootFromParent_Done,
     /*  150565 */   // Label 2718: @150565
     /*  150565 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150631), // Rule ID 71435 //
     /*  150570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150612 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150629 */     GIR_RootConstrainSelectedInstOperands,
     /*  150630 */     // GIR_Coverage, 71435,
     /*  150630 */     GIR_EraseRootFromParent_Done,
     /*  150631 */   // Label 2719: @150631
     /*  150631 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150697), // Rule ID 71436 //
     /*  150636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150678 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150695 */     GIR_RootConstrainSelectedInstOperands,
     /*  150696 */     // GIR_Coverage, 71436,
     /*  150696 */     GIR_EraseRootFromParent_Done,
     /*  150697 */   // Label 2720: @150697
     /*  150697 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150763), // Rule ID 71433 //
     /*  150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150744 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150761 */     GIR_RootConstrainSelectedInstOperands,
     /*  150762 */     // GIR_Coverage, 71433,
     /*  150762 */     GIR_EraseRootFromParent_Done,
     /*  150763 */   // Label 2721: @150763
     /*  150763 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150829), // Rule ID 71434 //
     /*  150768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150810 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150827 */     GIR_RootConstrainSelectedInstOperands,
     /*  150828 */     // GIR_Coverage, 71434,
     /*  150828 */     GIR_EraseRootFromParent_Done,
     /*  150829 */   // Label 2722: @150829
     /*  150829 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150872), // Rule ID 71449 //
     /*  150834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150855 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150870 */     GIR_RootConstrainSelectedInstOperands,
     /*  150871 */     // GIR_Coverage, 71449,
     /*  150871 */     GIR_EraseRootFromParent_Done,
     /*  150872 */   // Label 2723: @150872
     /*  150872 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(150915), // Rule ID 71450 //
     /*  150877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150898 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150913 */     GIR_RootConstrainSelectedInstOperands,
     /*  150914 */     // GIR_Coverage, 71450,
     /*  150914 */     GIR_EraseRootFromParent_Done,
     /*  150915 */   // Label 2724: @150915
     /*  150915 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(150958), // Rule ID 53158 //
     /*  150920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150941 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150956 */     GIR_RootConstrainSelectedInstOperands,
     /*  150957 */     // GIR_Coverage, 53158,
     /*  150957 */     GIR_EraseRootFromParent_Done,
     /*  150958 */   // Label 2725: @150958
     /*  150958 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151001), // Rule ID 53159 //
     /*  150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150984 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150999 */     GIR_RootConstrainSelectedInstOperands,
     /*  151000 */     // GIR_Coverage, 53159,
     /*  151000 */     GIR_EraseRootFromParent_Done,
     /*  151001 */   // Label 2726: @151001
     /*  151001 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151034), // Rule ID 53146 //
     /*  151006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151017 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151032 */     GIR_RootConstrainSelectedInstOperands,
     /*  151033 */     // GIR_Coverage, 53146,
     /*  151033 */     GIR_EraseRootFromParent_Done,
     /*  151034 */   // Label 2727: @151034
     /*  151034 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151067), // Rule ID 53147 //
     /*  151039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151050 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151065 */     GIR_RootConstrainSelectedInstOperands,
     /*  151066 */     // GIR_Coverage, 53147,
     /*  151066 */     GIR_EraseRootFromParent_Done,
     /*  151067 */   // Label 2728: @151067
     /*  151067 */   GIM_Reject,
     /*  151068 */ // Label 2702: @151068
     /*  151068 */ GIM_Reject,
     /*  151069 */ // Label 2455: @151069
     /*  151069 */ GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151183),
     /*  151074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  151077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  151080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151092 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151137), // Rule ID 47838 //
     /*  151097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151100 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151135 */     GIR_RootConstrainSelectedInstOperands,
     /*  151136 */     // GIR_Coverage, 47838,
     /*  151136 */     GIR_EraseRootFromParent_Done,
     /*  151137 */   // Label 2730: @151137
     /*  151137 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(151182), // Rule ID 47839 //
     /*  151142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151145 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151180 */     GIR_RootConstrainSelectedInstOperands,
     /*  151181 */     // GIR_Coverage, 47839,
     /*  151181 */     GIR_EraseRootFromParent_Done,
     /*  151182 */   // Label 2731: @151182
     /*  151182 */   GIM_Reject,
     /*  151183 */ // Label 2729: @151183
     /*  151183 */ GIM_Reject,
     /*  151184 */ // Label 2456: @151184
     /*  151184 */ GIM_Reject,
     /*  151185 */ // Label 10: @151185
     /*  151185 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151245),
     /*  151190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  151194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151198 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(151221), // Rule ID 110 //
     /*  151203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  151206 */     // MIs[0] Operand 1
     /*  151206 */     // No operand predicates
     /*  151206 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  151206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151211 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151219 */     GIR_RootConstrainSelectedInstOperands,
     /*  151220 */     // GIR_Coverage, 110,
     /*  151220 */     GIR_EraseRootFromParent_Done,
     /*  151221 */   // Label 2733: @151221
     /*  151221 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(151244), // Rule ID 111 //
     /*  151226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  151229 */     // MIs[0] Operand 1
     /*  151229 */     // No operand predicates
     /*  151229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  151229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151242 */     GIR_RootConstrainSelectedInstOperands,
     /*  151243 */     // GIR_Coverage, 111,
     /*  151243 */     GIR_EraseRootFromParent_Done,
     /*  151244 */   // Label 2734: @151244
     /*  151244 */   GIM_Reject,
     /*  151245 */ // Label 2732: @151245
     /*  151245 */ GIM_Reject,
     /*  151246 */ // Label 11: @151246
     /*  151246 */ GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(151306),
     /*  151251 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151254 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  151257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  151263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151275 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151290), // Rule ID 50 //
     /*  151280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151283 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151288 */     GIR_RootConstrainSelectedInstOperands,
     /*  151289 */     // GIR_Coverage, 50,
     /*  151289 */     GIR_Done,
     /*  151290 */   // Label 2736: @151290
     /*  151290 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151305), // Rule ID 51 //
     /*  151295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151298 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151303 */     GIR_RootConstrainSelectedInstOperands,
     /*  151304 */     // GIR_Coverage, 51,
     /*  151304 */     GIR_Done,
     /*  151305 */   // Label 2737: @151305
     /*  151305 */   GIM_Reject,
     /*  151306 */ // Label 2735: @151306
     /*  151306 */ GIM_Reject,
     /*  151307 */ // Label 12: @151307
     /*  151307 */ GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151397),
     /*  151312 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151315 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  151318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  151324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151336 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151351), // Rule ID 48 //
     /*  151341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151344 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151349 */     GIR_RootConstrainSelectedInstOperands,
     /*  151350 */     // GIR_Coverage, 48,
     /*  151350 */     GIR_Done,
     /*  151351 */   // Label 2739: @151351
     /*  151351 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151366), // Rule ID 49 //
     /*  151356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151359 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151364 */     GIR_RootConstrainSelectedInstOperands,
     /*  151365 */     // GIR_Coverage, 49,
     /*  151365 */     GIR_Done,
     /*  151366 */   // Label 2740: @151366
     /*  151366 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(151381), // Rule ID 2294 //
     /*  151371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  151374 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151379 */     GIR_RootConstrainSelectedInstOperands,
     /*  151380 */     // GIR_Coverage, 2294,
     /*  151380 */     GIR_Done,
     /*  151381 */   // Label 2741: @151381
     /*  151381 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(151396), // Rule ID 2295 //
     /*  151386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  151389 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151394 */     GIR_RootConstrainSelectedInstOperands,
     /*  151395 */     // GIR_Coverage, 2295,
     /*  151395 */     GIR_Done,
     /*  151396 */   // Label 2742: @151396
     /*  151396 */   GIM_Reject,
     /*  151397 */ // Label 2738: @151397
     /*  151397 */ GIM_Reject,
     /*  151398 */ // Label 13: @151398
     /*  151398 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2745*/ GIMT_Encode4(151764),
     /*  151409 */ /*GILLT_s32*//*Label 2743*/ GIMT_Encode4(151417),
     /*  151413 */ /*GILLT_s64*//*Label 2744*/ GIMT_Encode4(151654),
     /*  151417 */ // Label 2743: @151417
     /*  151417 */ GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151653),
     /*  151422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151425 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151448), // Rule ID 1337 //
     /*  151430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151441 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151446 */     GIR_RootConstrainSelectedInstOperands,
     /*  151447 */     // GIR_Coverage, 1337,
     /*  151447 */     GIR_Done,
     /*  151448 */   // Label 2747: @151448
     /*  151448 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151471), // Rule ID 1338 //
     /*  151453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151469 */     GIR_RootConstrainSelectedInstOperands,
     /*  151470 */     // GIR_Coverage, 1338,
     /*  151470 */     GIR_Done,
     /*  151471 */   // Label 2748: @151471
     /*  151471 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(151494), // Rule ID 1339 //
     /*  151476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151487 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151492 */     GIR_RootConstrainSelectedInstOperands,
     /*  151493 */     // GIR_Coverage, 1339,
     /*  151493 */     GIR_Done,
     /*  151494 */   // Label 2749: @151494
     /*  151494 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(151517), // Rule ID 1340 //
     /*  151499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151515 */     GIR_RootConstrainSelectedInstOperands,
     /*  151516 */     // GIR_Coverage, 1340,
     /*  151516 */     GIR_Done,
     /*  151517 */   // Label 2750: @151517
     /*  151517 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(151555), // Rule ID 1341 //
     /*  151522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151533 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151538 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151554 */     // GIR_Coverage, 1341,
     /*  151554 */     GIR_EraseRootFromParent_Done,
     /*  151555 */   // Label 2751: @151555
     /*  151555 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(151593), // Rule ID 1342 //
     /*  151560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151571 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151576 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151592 */     // GIR_Coverage, 1342,
     /*  151592 */     GIR_EraseRootFromParent_Done,
     /*  151593 */   // Label 2752: @151593
     /*  151593 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151652), // Rule ID 1343 //
     /*  151598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151609 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151651 */     // GIR_Coverage, 1343,
     /*  151651 */     GIR_EraseRootFromParent_Done,
     /*  151652 */   // Label 2753: @151652
     /*  151652 */   GIM_Reject,
     /*  151653 */ // Label 2746: @151653
     /*  151653 */ GIM_Reject,
     /*  151654 */ // Label 2744: @151654
     /*  151654 */ GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151763),
     /*  151659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151662 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151685), // Rule ID 1790 //
     /*  151667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151678 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151683 */     GIR_RootConstrainSelectedInstOperands,
     /*  151684 */     // GIR_Coverage, 1790,
     /*  151684 */     GIR_Done,
     /*  151685 */   // Label 2755: @151685
     /*  151685 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151708), // Rule ID 1791 //
     /*  151690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151701 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151706 */     GIR_RootConstrainSelectedInstOperands,
     /*  151707 */     // GIR_Coverage, 1791,
     /*  151707 */     GIR_Done,
     /*  151708 */   // Label 2756: @151708
     /*  151708 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(151735), // Rule ID 1818 //
     /*  151713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151724 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151729 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151734 */     // GIR_Coverage, 1818,
     /*  151734 */     GIR_Done,
     /*  151735 */   // Label 2757: @151735
     /*  151735 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(151762), // Rule ID 1819 //
     /*  151740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151751 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151761 */     // GIR_Coverage, 1819,
     /*  151761 */     GIR_Done,
     /*  151762 */   // Label 2758: @151762
     /*  151762 */   GIM_Reject,
     /*  151763 */ // Label 2754: @151763
     /*  151763 */ GIM_Reject,
     /*  151764 */ // Label 2745: @151764
     /*  151764 */ GIM_Reject,
     /*  151765 */ // Label 14: @151765
     /*  151765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2762*/ GIMT_Encode4(151962),
     /*  151776 */ /*GILLT_s16*//*Label 2759*/ GIMT_Encode4(151788),
     /*  151780 */ /*GILLT_s32*//*Label 2760*/ GIMT_Encode4(151846),
     /*  151784 */ /*GILLT_s64*//*Label 2761*/ GIMT_Encode4(151904),
     /*  151788 */ // Label 2759: @151788
     /*  151788 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(151845),
     /*  151793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151804 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(151824), // Rule ID 2326 //
     /*  151809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151812 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151822 */     GIR_RootConstrainSelectedInstOperands,
     /*  151823 */     // GIR_Coverage, 2326,
     /*  151823 */     GIR_EraseRootFromParent_Done,
     /*  151824 */   // Label 2764: @151824
     /*  151824 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(151844), // Rule ID 2327 //
     /*  151829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151832 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151842 */     GIR_RootConstrainSelectedInstOperands,
     /*  151843 */     // GIR_Coverage, 2327,
     /*  151843 */     GIR_EraseRootFromParent_Done,
     /*  151844 */   // Label 2765: @151844
     /*  151844 */   GIM_Reject,
     /*  151845 */ // Label 2763: @151845
     /*  151845 */ GIM_Reject,
     /*  151846 */ // Label 2760: @151846
     /*  151846 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151903),
     /*  151851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151862 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151882), // Rule ID 2244 //
     /*  151867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151870 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151880 */     GIR_RootConstrainSelectedInstOperands,
     /*  151881 */     // GIR_Coverage, 2244,
     /*  151881 */     GIR_EraseRootFromParent_Done,
     /*  151882 */   // Label 2767: @151882
     /*  151882 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151902), // Rule ID 2245 //
     /*  151887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151890 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151900 */     GIR_RootConstrainSelectedInstOperands,
     /*  151901 */     // GIR_Coverage, 2245,
     /*  151901 */     GIR_EraseRootFromParent_Done,
     /*  151902 */   // Label 2768: @151902
     /*  151902 */   GIM_Reject,
     /*  151903 */ // Label 2766: @151903
     /*  151903 */ GIM_Reject,
     /*  151904 */ // Label 2761: @151904
     /*  151904 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151961),
     /*  151909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151920 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(151940), // Rule ID 2284 //
     /*  151925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151928 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151938 */     GIR_RootConstrainSelectedInstOperands,
     /*  151939 */     // GIR_Coverage, 2284,
     /*  151939 */     GIR_EraseRootFromParent_Done,
     /*  151940 */   // Label 2770: @151940
     /*  151940 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(151960), // Rule ID 2285 //
     /*  151945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151948 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151958 */     GIR_RootConstrainSelectedInstOperands,
     /*  151959 */     // GIR_Coverage, 2285,
     /*  151959 */     GIR_EraseRootFromParent_Done,
     /*  151960 */   // Label 2771: @151960
     /*  151960 */   GIM_Reject,
     /*  151961 */ // Label 2769: @151961
     /*  151961 */ GIM_Reject,
     /*  151962 */ // Label 2762: @151962
     /*  151962 */ GIM_Reject,
     /*  151963 */ // Label 15: @151963
     /*  151963 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2775*/ GIMT_Encode4(152160),
     /*  151974 */ /*GILLT_s16*//*Label 2772*/ GIMT_Encode4(151986),
     /*  151978 */ /*GILLT_s32*//*Label 2773*/ GIMT_Encode4(152044),
     /*  151982 */ /*GILLT_s64*//*Label 2774*/ GIMT_Encode4(152102),
     /*  151986 */ // Label 2772: @151986
     /*  151986 */ GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(152043),
     /*  151991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152002 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(152022), // Rule ID 2310 //
     /*  152007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152010 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  152010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152020 */     GIR_RootConstrainSelectedInstOperands,
     /*  152021 */     // GIR_Coverage, 2310,
     /*  152021 */     GIR_EraseRootFromParent_Done,
     /*  152022 */   // Label 2777: @152022
     /*  152022 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(152042), // Rule ID 2311 //
     /*  152027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152030 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  152030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152040 */     GIR_RootConstrainSelectedInstOperands,
     /*  152041 */     // GIR_Coverage, 2311,
     /*  152041 */     GIR_EraseRootFromParent_Done,
     /*  152042 */   // Label 2778: @152042
     /*  152042 */   GIM_Reject,
     /*  152043 */ // Label 2776: @152043
     /*  152043 */ GIM_Reject,
     /*  152044 */ // Label 2773: @152044
     /*  152044 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(152101),
     /*  152049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152060 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(152080), // Rule ID 2228 //
     /*  152065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152068 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  152068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152078 */     GIR_RootConstrainSelectedInstOperands,
     /*  152079 */     // GIR_Coverage, 2228,
     /*  152079 */     GIR_EraseRootFromParent_Done,
     /*  152080 */   // Label 2780: @152080
     /*  152080 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(152100), // Rule ID 2229 //
     /*  152085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152088 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  152088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152098 */     GIR_RootConstrainSelectedInstOperands,
     /*  152099 */     // GIR_Coverage, 2229,
     /*  152099 */     GIR_EraseRootFromParent_Done,
     /*  152100 */   // Label 2781: @152100
     /*  152100 */   GIM_Reject,
     /*  152101 */ // Label 2779: @152101
     /*  152101 */ GIM_Reject,
     /*  152102 */ // Label 2774: @152102
     /*  152102 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(152159),
     /*  152107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152118 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(152138), // Rule ID 2268 //
     /*  152123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152126 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  152126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 2268,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2783: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(152158), // Rule ID 2269 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152146 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  152146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152156 */     GIR_RootConstrainSelectedInstOperands,
     /*  152157 */     // GIR_Coverage, 2269,
     /*  152157 */     GIR_EraseRootFromParent_Done,
     /*  152158 */   // Label 2784: @152158
     /*  152158 */   GIM_Reject,
     /*  152159 */ // Label 2782: @152159
     /*  152159 */ GIM_Reject,
     /*  152160 */ // Label 2775: @152160
     /*  152160 */ GIM_Reject,
     /*  152161 */ // Label 16: @152161
     /*  152161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2787*/ GIMT_Encode4(152740),
     /*  152172 */ /*GILLT_s32*//*Label 2785*/ GIMT_Encode4(152180),
     /*  152176 */ /*GILLT_s64*//*Label 2786*/ GIMT_Encode4(152553),
     /*  152180 */ // Label 2785: @152180
     /*  152180 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152211), // Rule ID 1356 //
     /*  152185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  152188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152199 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152209 */   GIR_RootConstrainSelectedInstOperands,
     /*  152210 */   // GIR_Coverage, 1356,
     /*  152210 */   GIR_EraseRootFromParent_Done,
     /*  152211 */ // Label 2788: @152211
     /*  152211 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152242), // Rule ID 1357 //
     /*  152216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  152219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152230 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152240 */   GIR_RootConstrainSelectedInstOperands,
     /*  152241 */   // GIR_Coverage, 1357,
     /*  152241 */   GIR_EraseRootFromParent_Done,
     /*  152242 */ // Label 2789: @152242
     /*  152242 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152273), // Rule ID 1382 //
     /*  152247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  152250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152261 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152271 */   GIR_RootConstrainSelectedInstOperands,
     /*  152272 */   // GIR_Coverage, 1382,
     /*  152272 */   GIR_EraseRootFromParent_Done,
     /*  152273 */ // Label 2790: @152273
     /*  152273 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152304), // Rule ID 1383 //
     /*  152278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  152281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152292 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152302 */   GIR_RootConstrainSelectedInstOperands,
     /*  152303 */   // GIR_Coverage, 1383,
     /*  152303 */   GIR_EraseRootFromParent_Done,
     /*  152304 */ // Label 2791: @152304
     /*  152304 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152335), // Rule ID 1750 //
     /*  152309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  152312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152323 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152333 */   GIR_RootConstrainSelectedInstOperands,
     /*  152334 */   // GIR_Coverage, 1750,
     /*  152334 */   GIR_EraseRootFromParent_Done,
     /*  152335 */ // Label 2792: @152335
     /*  152335 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152366), // Rule ID 1751 //
     /*  152340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  152343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152354 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152364 */   GIR_RootConstrainSelectedInstOperands,
     /*  152365 */   // GIR_Coverage, 1751,
     /*  152365 */   GIR_EraseRootFromParent_Done,
     /*  152366 */ // Label 2793: @152366
     /*  152366 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152397), // Rule ID 1776 //
     /*  152371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  152374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152385 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152395 */   GIR_RootConstrainSelectedInstOperands,
     /*  152396 */   // GIR_Coverage, 1776,
     /*  152396 */   GIR_EraseRootFromParent_Done,
     /*  152397 */ // Label 2794: @152397
     /*  152397 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152428), // Rule ID 1777 //
     /*  152402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  152405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152416 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152426 */   GIR_RootConstrainSelectedInstOperands,
     /*  152427 */   // GIR_Coverage, 1777,
     /*  152427 */   GIR_EraseRootFromParent_Done,
     /*  152428 */ // Label 2795: @152428
     /*  152428 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152459), // Rule ID 2092 //
     /*  152433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  152436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152447 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152457 */   GIR_RootConstrainSelectedInstOperands,
     /*  152458 */   // GIR_Coverage, 2092,
     /*  152458 */   GIR_EraseRootFromParent_Done,
     /*  152459 */ // Label 2796: @152459
     /*  152459 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(152490), // Rule ID 2093 //
     /*  152464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152478 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152488 */   GIR_RootConstrainSelectedInstOperands,
     /*  152489 */   // GIR_Coverage, 2093,
     /*  152489 */   GIR_EraseRootFromParent_Done,
     /*  152490 */ // Label 2797: @152490
     /*  152490 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(152521), // Rule ID 2118 //
     /*  152495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152509 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152519 */   GIR_RootConstrainSelectedInstOperands,
     /*  152520 */   // GIR_Coverage, 2118,
     /*  152520 */   GIR_EraseRootFromParent_Done,
     /*  152521 */ // Label 2798: @152521
     /*  152521 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(152552), // Rule ID 2119 //
     /*  152526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152540 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152550 */   GIR_RootConstrainSelectedInstOperands,
     /*  152551 */   // GIR_Coverage, 2119,
     /*  152551 */   GIR_EraseRootFromParent_Done,
     /*  152552 */ // Label 2799: @152552
     /*  152552 */ GIM_Reject,
     /*  152553 */ // Label 2786: @152553
     /*  152553 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(152584), // Rule ID 1409 //
     /*  152558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152572 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152582 */   GIR_RootConstrainSelectedInstOperands,
     /*  152583 */   // GIR_Coverage, 1409,
     /*  152583 */   GIR_EraseRootFromParent_Done,
     /*  152584 */ // Label 2800: @152584
     /*  152584 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152615), // Rule ID 1437 //
     /*  152589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152603 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152613 */   GIR_RootConstrainSelectedInstOperands,
     /*  152614 */   // GIR_Coverage, 1437,
     /*  152614 */   GIR_EraseRootFromParent_Done,
     /*  152615 */ // Label 2801: @152615
     /*  152615 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152646), // Rule ID 1807 //
     /*  152620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152634 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152644 */   GIR_RootConstrainSelectedInstOperands,
     /*  152645 */   // GIR_Coverage, 1807,
     /*  152645 */   GIR_EraseRootFromParent_Done,
     /*  152646 */ // Label 2802: @152646
     /*  152646 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152677), // Rule ID 1835 //
     /*  152651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152665 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152675 */   GIR_RootConstrainSelectedInstOperands,
     /*  152676 */   // GIR_Coverage, 1835,
     /*  152676 */   GIR_EraseRootFromParent_Done,
     /*  152677 */ // Label 2803: @152677
     /*  152677 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152708), // Rule ID 2143 //
     /*  152682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152696 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152706 */   GIR_RootConstrainSelectedInstOperands,
     /*  152707 */   // GIR_Coverage, 2143,
     /*  152707 */   GIR_EraseRootFromParent_Done,
     /*  152708 */ // Label 2804: @152708
     /*  152708 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(152739), // Rule ID 2169 //
     /*  152713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152727 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152737 */   GIR_RootConstrainSelectedInstOperands,
     /*  152738 */   // GIR_Coverage, 2169,
     /*  152738 */   GIR_EraseRootFromParent_Done,
     /*  152739 */ // Label 2805: @152739
     /*  152739 */ GIM_Reject,
     /*  152740 */ // Label 2787: @152740
     /*  152740 */ GIM_Reject,
     /*  152741 */ // Label 17: @152741
     /*  152741 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(152950),
     /*  152746 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152749 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2810*/ GIMT_Encode4(152949),
     /*  152760 */   /*GILLT_s16*//*Label 2807*/ GIMT_Encode4(152772),
     /*  152764 */   /*GILLT_s32*//*Label 2808*/ GIMT_Encode4(152831),
     /*  152768 */   /*GILLT_s64*//*Label 2809*/ GIMT_Encode4(152890),
     /*  152772 */   // Label 2807: @152772
     /*  152772 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(152830),
     /*  152777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152781 */     GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(152805), // Rule ID 2145 //
     /*  152786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152789 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152793 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152793 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152796 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152798 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152800 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152803 */       GIR_RootConstrainSelectedInstOperands,
     /*  152804 */       // GIR_Coverage, 2145,
     /*  152804 */       GIR_EraseRootFromParent_Done,
     /*  152805 */     // Label 2812: @152805
     /*  152805 */     GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(152829), // Rule ID 2171 //
     /*  152810 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152813 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152817 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152817 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152820 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152822 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152824 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152827 */       GIR_RootConstrainSelectedInstOperands,
     /*  152828 */       // GIR_Coverage, 2171,
     /*  152828 */       GIR_EraseRootFromParent_Done,
     /*  152829 */     // Label 2813: @152829
     /*  152829 */     GIM_Reject,
     /*  152830 */   // Label 2811: @152830
     /*  152830 */   GIM_Reject,
     /*  152831 */   // Label 2808: @152831
     /*  152831 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152889),
     /*  152836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152840 */     GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152864), // Rule ID 1411 //
     /*  152845 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152848 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152852 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152857 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152859 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152862 */       GIR_RootConstrainSelectedInstOperands,
     /*  152863 */       // GIR_Coverage, 1411,
     /*  152863 */       GIR_EraseRootFromParent_Done,
     /*  152864 */     // Label 2815: @152864
     /*  152864 */     GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152888), // Rule ID 1439 //
     /*  152869 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152872 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152876 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152876 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152879 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152881 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152883 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152886 */       GIR_RootConstrainSelectedInstOperands,
     /*  152887 */       // GIR_Coverage, 1439,
     /*  152887 */       GIR_EraseRootFromParent_Done,
     /*  152888 */     // Label 2816: @152888
     /*  152888 */     GIM_Reject,
     /*  152889 */   // Label 2814: @152889
     /*  152889 */   GIM_Reject,
     /*  152890 */   // Label 2809: @152890
     /*  152890 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152948),
     /*  152895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152899 */     GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(152923), // Rule ID 1809 //
     /*  152904 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152907 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152911 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152911 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152914 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152916 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152918 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152921 */       GIR_RootConstrainSelectedInstOperands,
     /*  152922 */       // GIR_Coverage, 1809,
     /*  152922 */       GIR_EraseRootFromParent_Done,
     /*  152923 */     // Label 2818: @152923
     /*  152923 */     GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(152947), // Rule ID 1837 //
     /*  152928 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152931 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152935 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152935 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152938 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152942 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152945 */       GIR_RootConstrainSelectedInstOperands,
     /*  152946 */       // GIR_Coverage, 1837,
     /*  152946 */       GIR_EraseRootFromParent_Done,
     /*  152947 */     // Label 2819: @152947
     /*  152947 */     GIM_Reject,
     /*  152948 */   // Label 2817: @152948
     /*  152948 */   GIM_Reject,
     /*  152949 */   // Label 2810: @152949
     /*  152949 */   GIM_Reject,
     /*  152950 */ // Label 2806: @152950
     /*  152950 */ GIM_Reject,
     /*  152951 */ // Label 18: @152951
     /*  152951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2823*/ GIMT_Encode4(153148),
     /*  152962 */ /*GILLT_s16*//*Label 2820*/ GIMT_Encode4(152974),
     /*  152966 */ /*GILLT_s32*//*Label 2821*/ GIMT_Encode4(153032),
     /*  152970 */ /*GILLT_s64*//*Label 2822*/ GIMT_Encode4(153090),
     /*  152974 */ // Label 2820: @152974
     /*  152974 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(153031),
     /*  152979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152990 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(153010), // Rule ID 2314 //
     /*  152995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152998 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  152998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153008 */     GIR_RootConstrainSelectedInstOperands,
     /*  153009 */     // GIR_Coverage, 2314,
     /*  153009 */     GIR_EraseRootFromParent_Done,
     /*  153010 */   // Label 2825: @153010
     /*  153010 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(153030), // Rule ID 2315 //
     /*  153015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  153018 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  153018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153028 */     GIR_RootConstrainSelectedInstOperands,
     /*  153029 */     // GIR_Coverage, 2315,
     /*  153029 */     GIR_EraseRootFromParent_Done,
     /*  153030 */   // Label 2826: @153030
     /*  153030 */   GIM_Reject,
     /*  153031 */ // Label 2824: @153031
     /*  153031 */ GIM_Reject,
     /*  153032 */ // Label 2821: @153032
     /*  153032 */ GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(153089),
     /*  153037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  153040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153048 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(153068), // Rule ID 2232 //
     /*  153053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  153056 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  153056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153066 */     GIR_RootConstrainSelectedInstOperands,
     /*  153067 */     // GIR_Coverage, 2232,
     /*  153067 */     GIR_EraseRootFromParent_Done,
     /*  153068 */   // Label 2828: @153068
     /*  153068 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(153088), // Rule ID 2233 //
     /*  153073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  153076 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  153076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153086 */     GIR_RootConstrainSelectedInstOperands,
     /*  153087 */     // GIR_Coverage, 2233,
     /*  153087 */     GIR_EraseRootFromParent_Done,
     /*  153088 */   // Label 2829: @153088
     /*  153088 */   GIM_Reject,
     /*  153089 */ // Label 2827: @153089
     /*  153089 */ GIM_Reject,
     /*  153090 */ // Label 2822: @153090
     /*  153090 */ GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(153147),
     /*  153095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  153098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153106 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(153126), // Rule ID 2272 //
     /*  153111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  153114 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  153114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153124 */     GIR_RootConstrainSelectedInstOperands,
     /*  153125 */     // GIR_Coverage, 2272,
     /*  153125 */     GIR_EraseRootFromParent_Done,
     /*  153126 */   // Label 2831: @153126
     /*  153126 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(153146), // Rule ID 2273 //
     /*  153131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  153134 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  153134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153144 */     GIR_RootConstrainSelectedInstOperands,
     /*  153145 */     // GIR_Coverage, 2273,
     /*  153145 */     GIR_EraseRootFromParent_Done,
     /*  153146 */   // Label 2832: @153146
     /*  153146 */   GIM_Reject,
     /*  153147 */ // Label 2830: @153147
     /*  153147 */ GIM_Reject,
     /*  153148 */ // Label 2823: @153148
     /*  153148 */ GIM_Reject,
     /*  153149 */ // Label 19: @153149
     /*  153149 */ GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(153187), // Rule ID 281 //
     /*  153154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153157 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153164 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  153164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153169 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  153179 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153185 */   GIR_RootConstrainSelectedInstOperands,
     /*  153186 */   // GIR_Coverage, 281,
     /*  153186 */   GIR_EraseRootFromParent_Done,
     /*  153187 */ // Label 2833: @153187
     /*  153187 */ GIM_Reject,
     /*  153188 */ // Label 20: @153188
     /*  153188 */ GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(153226), // Rule ID 282 //
     /*  153193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153196 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153203 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  153203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153208 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  153218 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153224 */   GIR_RootConstrainSelectedInstOperands,
     /*  153225 */   // GIR_Coverage, 282,
     /*  153225 */   GIR_EraseRootFromParent_Done,
     /*  153226 */ // Label 2834: @153226
     /*  153226 */ GIM_Reject,
     /*  153227 */ // Label 21: @153227
     /*  153227 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(163406),
     /*  153238 */ /*GILLT_p0s32*//*Label 2835*/ GIMT_Encode4(153374),
     /*  153242 */ /*GILLT_p0s64*//*Label 2836*/ GIMT_Encode4(153468),
     /*  153246 */ /*GILLT_s16*//*Label 2837*/ GIMT_Encode4(153562),
     /*  153250 */ /*GILLT_s32*//*Label 2838*/ GIMT_Encode4(154217),
     /*  153254 */ /*GILLT_s64*//*Label 2839*/ GIMT_Encode4(156976),
     /*  153258 */ /*GILLT_nxv1s1*//*Label 2840*/ GIMT_Encode4(158100),
     /*  153262 */ /*GILLT_nxv1s8*//*Label 2841*/ GIMT_Encode4(158220),
     /*  153266 */ /*GILLT_nxv1s16*//*Label 2842*/ GIMT_Encode4(158348),
     /*  153270 */ /*GILLT_nxv1s32*//*Label 2843*/ GIMT_Encode4(158586),
     /*  153274 */ /*GILLT_nxv1s64*//*Label 2844*/ GIMT_Encode4(158824),
     /*  153278 */ /*GILLT_nxv2s1*//*Label 2845*/ GIMT_Encode4(159062),
     /*  153282 */ /*GILLT_nxv2s8*//*Label 2846*/ GIMT_Encode4(159182),
     /*  153286 */ /*GILLT_nxv2s16*//*Label 2847*/ GIMT_Encode4(159310),
     /*  153290 */ /*GILLT_nxv2s32*//*Label 2848*/ GIMT_Encode4(159548),
     /*  153294 */ /*GILLT_nxv2s64*//*Label 2849*/ GIMT_Encode4(159786),
     /*  153298 */ /*GILLT_nxv4s1*//*Label 2850*/ GIMT_Encode4(160024),
     /*  153302 */ /*GILLT_nxv4s8*//*Label 2851*/ GIMT_Encode4(160144),
     /*  153306 */ /*GILLT_nxv4s16*//*Label 2852*/ GIMT_Encode4(160272),
     /*  153310 */ /*GILLT_nxv4s32*//*Label 2853*/ GIMT_Encode4(160510),
     /*  153314 */ /*GILLT_nxv4s64*//*Label 2854*/ GIMT_Encode4(160748),
     /*  153318 */ /*GILLT_nxv8s1*//*Label 2855*/ GIMT_Encode4(160986),
     /*  153322 */ /*GILLT_nxv8s8*//*Label 2856*/ GIMT_Encode4(161106),
     /*  153326 */ /*GILLT_nxv8s16*//*Label 2857*/ GIMT_Encode4(161234),
     /*  153330 */ /*GILLT_nxv8s32*//*Label 2858*/ GIMT_Encode4(161472),
     /*  153334 */ /*GILLT_nxv8s64*//*Label 2859*/ GIMT_Encode4(161710),
     /*  153338 */ /*GILLT_nxv16s1*//*Label 2860*/ GIMT_Encode4(161948),
     /*  153342 */ /*GILLT_nxv16s8*//*Label 2861*/ GIMT_Encode4(162068),
     /*  153346 */ /*GILLT_nxv16s16*//*Label 2862*/ GIMT_Encode4(162196),
     /*  153350 */ /*GILLT_nxv16s32*//*Label 2863*/ GIMT_Encode4(162434),
     /*  153354 */ /*GILLT_nxv32s1*//*Label 2864*/ GIMT_Encode4(162672),
     /*  153358 */ /*GILLT_nxv32s8*//*Label 2865*/ GIMT_Encode4(162792),
     /*  153362 */ /*GILLT_nxv32s16*//*Label 2866*/ GIMT_Encode4(162920),
     /*  153366 */ /*GILLT_nxv64s1*//*Label 2867*/ GIMT_Encode4(163158),
     /*  153370 */ /*GILLT_nxv64s8*//*Label 2868*/ GIMT_Encode4(163278),
     /*  153374 */ // Label 2835: @153374
     /*  153374 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153467),
     /*  153379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153394 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153430), // Rule ID 64939 //
     /*  153399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  153402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153409 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153428 */     GIR_RootConstrainSelectedInstOperands,
     /*  153429 */     // GIR_Coverage, 64939,
     /*  153429 */     GIR_EraseRootFromParent_Done,
     /*  153430 */   // Label 2871: @153430
     /*  153430 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153466), // Rule ID 64943 //
     /*  153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  153438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153445 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153464 */     GIR_RootConstrainSelectedInstOperands,
     /*  153465 */     // GIR_Coverage, 64943,
     /*  153465 */     GIR_EraseRootFromParent_Done,
     /*  153466 */   // Label 2872: @153466
     /*  153466 */   GIM_Reject,
     /*  153467 */ // Label 2870: @153467
     /*  153467 */ GIM_Reject,
     /*  153468 */ // Label 2836: @153468
     /*  153468 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153561),
     /*  153473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153488 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153524), // Rule ID 64938 //
     /*  153493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153503 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153522 */     GIR_RootConstrainSelectedInstOperands,
     /*  153523 */     // GIR_Coverage, 64938,
     /*  153523 */     GIR_EraseRootFromParent_Done,
     /*  153524 */   // Label 2874: @153524
     /*  153524 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153560), // Rule ID 64942 //
     /*  153529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153539 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153558 */     GIR_RootConstrainSelectedInstOperands,
     /*  153559 */     // GIR_Coverage, 64942,
     /*  153559 */     GIR_EraseRootFromParent_Done,
     /*  153560 */   // Label 2875: @153560
     /*  153560 */   GIM_Reject,
     /*  153561 */ // Label 2873: @153561
     /*  153561 */ GIM_Reject,
     /*  153562 */ // Label 2837: @153562
     /*  153562 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153613), // Rule ID 2040 //
     /*  153567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153570 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153573 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153592 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153607 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153611 */   GIR_RootConstrainSelectedInstOperands,
     /*  153612 */   // GIR_Coverage, 2040,
     /*  153612 */   GIR_EraseRootFromParent_Done,
     /*  153613 */ // Label 2876: @153613
     /*  153613 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153664), // Rule ID 2041 //
     /*  153618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153624 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153632 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153636 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153643 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153662 */   GIR_RootConstrainSelectedInstOperands,
     /*  153663 */   // GIR_Coverage, 2041,
     /*  153663 */   GIR_EraseRootFromParent_Done,
     /*  153664 */ // Label 2877: @153664
     /*  153664 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153715), // Rule ID 2046 //
     /*  153669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153672 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153675 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153683 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153687 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153694 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153704 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153709 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153713 */   GIR_RootConstrainSelectedInstOperands,
     /*  153714 */   // GIR_Coverage, 2046,
     /*  153714 */   GIR_EraseRootFromParent_Done,
     /*  153715 */ // Label 2878: @153715
     /*  153715 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153766), // Rule ID 2047 //
     /*  153720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153734 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153738 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153745 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153760 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153764 */   GIR_RootConstrainSelectedInstOperands,
     /*  153765 */   // GIR_Coverage, 2047,
     /*  153765 */   GIR_EraseRootFromParent_Done,
     /*  153766 */ // Label 2879: @153766
     /*  153766 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153817), // Rule ID 64946 //
     /*  153771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153774 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153777 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153785 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153789 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153796 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153811 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153815 */   GIR_RootConstrainSelectedInstOperands,
     /*  153816 */   // GIR_Coverage, 64946,
     /*  153816 */   GIR_EraseRootFromParent_Done,
     /*  153817 */ // Label 2880: @153817
     /*  153817 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153868), // Rule ID 64947 //
     /*  153822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153825 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153828 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153836 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153840 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153847 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153852 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153862 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153866 */   GIR_RootConstrainSelectedInstOperands,
     /*  153867 */   // GIR_Coverage, 64947,
     /*  153867 */   GIR_EraseRootFromParent_Done,
     /*  153868 */ // Label 2881: @153868
     /*  153868 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(153926), // Rule ID 64950 //
     /*  153873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153876 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153879 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153883 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153894 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153905 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153924 */   GIR_RootConstrainSelectedInstOperands,
     /*  153925 */   // GIR_Coverage, 64950,
     /*  153925 */   GIR_EraseRootFromParent_Done,
     /*  153926 */ // Label 2882: @153926
     /*  153926 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(153984), // Rule ID 64951 //
     /*  153931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153934 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153937 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153941 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153952 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153956 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153963 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153978 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153982 */   GIR_RootConstrainSelectedInstOperands,
     /*  153983 */   // GIR_Coverage, 64951,
     /*  153983 */   GIR_EraseRootFromParent_Done,
     /*  153984 */ // Label 2883: @153984
     /*  153984 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154042), // Rule ID 64954 //
     /*  153989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153992 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153995 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154014 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154021 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154026 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154040 */   GIR_RootConstrainSelectedInstOperands,
     /*  154041 */   // GIR_Coverage, 64954,
     /*  154041 */   GIR_EraseRootFromParent_Done,
     /*  154042 */ // Label 2884: @154042
     /*  154042 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154100), // Rule ID 64955 //
     /*  154047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  154050 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154053 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154057 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154079 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  154082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154098 */   GIR_RootConstrainSelectedInstOperands,
     /*  154099 */   // GIR_Coverage, 64955,
     /*  154099 */   GIR_EraseRootFromParent_Done,
     /*  154100 */ // Label 2885: @154100
     /*  154100 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154158), // Rule ID 64956 //
     /*  154105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  154108 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154111 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154115 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154126 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154130 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154137 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154142 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154156 */   GIR_RootConstrainSelectedInstOperands,
     /*  154157 */   // GIR_Coverage, 64956,
     /*  154157 */   GIR_EraseRootFromParent_Done,
     /*  154158 */ // Label 2886: @154158
     /*  154158 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154216), // Rule ID 64957 //
     /*  154163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  154166 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154169 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154173 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154184 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154188 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154195 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154210 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154214 */   GIR_RootConstrainSelectedInstOperands,
     /*  154215 */   // GIR_Coverage, 64957,
     /*  154215 */   GIR_EraseRootFromParent_Done,
     /*  154216 */ // Label 2887: @154216
     /*  154216 */ GIM_Reject,
     /*  154217 */ // Label 2838: @154217
     /*  154217 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154328), // Rule ID 73954 //
     /*  154222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154228 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154243 */   // MIs[0] Operand 1
     /*  154243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154247 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154251 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154255 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154259 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154263 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154267 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154271 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154275 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154279 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154284 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154288 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154292 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154296 */   // MIs[3] Operand 1
     /*  154296 */   // No operand predicates
     /*  154296 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154301 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154303 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154308 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154312 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154316 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154319 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154326 */   GIR_RootConstrainSelectedInstOperands,
     /*  154327 */   // GIR_Coverage, 73954,
     /*  154327 */   GIR_EraseRootFromParent_Done,
     /*  154328 */ // Label 2888: @154328
     /*  154328 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154439), // Rule ID 73955 //
     /*  154333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154339 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154343 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154354 */   // MIs[0] Operand 1
     /*  154354 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154358 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154362 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154366 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154370 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154374 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154378 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154382 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154386 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154390 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154395 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154399 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154403 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154407 */   // MIs[3] Operand 1
     /*  154407 */   // No operand predicates
     /*  154407 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154412 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154414 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154419 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154423 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154427 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154437 */   GIR_RootConstrainSelectedInstOperands,
     /*  154438 */   // GIR_Coverage, 73955,
     /*  154438 */   GIR_EraseRootFromParent_Done,
     /*  154439 */ // Label 2889: @154439
     /*  154439 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154550), // Rule ID 73958 //
     /*  154444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154450 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154465 */   // MIs[0] Operand 1
     /*  154465 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154469 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154473 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154477 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154481 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154485 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154489 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154493 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154497 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154501 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154506 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154510 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154514 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154518 */   // MIs[3] Operand 1
     /*  154518 */   // No operand predicates
     /*  154518 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154523 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154525 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154530 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154534 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154538 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154548 */   GIR_RootConstrainSelectedInstOperands,
     /*  154549 */   // GIR_Coverage, 73958,
     /*  154549 */   GIR_EraseRootFromParent_Done,
     /*  154550 */ // Label 2890: @154550
     /*  154550 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154661), // Rule ID 73959 //
     /*  154555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154558 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154561 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154565 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154576 */   // MIs[0] Operand 1
     /*  154576 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154580 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154584 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154588 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154592 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154596 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154600 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154604 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154608 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154612 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154617 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154621 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154625 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154629 */   // MIs[3] Operand 1
     /*  154629 */   // No operand predicates
     /*  154629 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154634 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154636 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154641 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154645 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154649 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154659 */   GIR_RootConstrainSelectedInstOperands,
     /*  154660 */   // GIR_Coverage, 73959,
     /*  154660 */   GIR_EraseRootFromParent_Done,
     /*  154661 */ // Label 2891: @154661
     /*  154661 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154765), // Rule ID 73960 //
     /*  154666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154669 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154672 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154680 */   // MIs[0] Operand 1
     /*  154680 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154692 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154696 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154700 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154704 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154708 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154712 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154716 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154721 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154725 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154729 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154733 */   // MIs[3] Operand 1
     /*  154733 */   // No operand predicates
     /*  154733 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154738 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154740 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154745 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154749 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154753 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154756 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154763 */   GIR_RootConstrainSelectedInstOperands,
     /*  154764 */   // GIR_Coverage, 73960,
     /*  154764 */   GIR_EraseRootFromParent_Done,
     /*  154765 */ // Label 2892: @154765
     /*  154765 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(154869), // Rule ID 73961 //
     /*  154770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154773 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154776 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154784 */   // MIs[0] Operand 1
     /*  154784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154796 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154800 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154804 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154808 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154812 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154816 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154820 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154825 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154829 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154833 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154837 */   // MIs[3] Operand 1
     /*  154837 */   // No operand predicates
     /*  154837 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154842 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154844 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154849 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154853 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154857 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154867 */   GIR_RootConstrainSelectedInstOperands,
     /*  154868 */   // GIR_Coverage, 73961,
     /*  154868 */   GIR_EraseRootFromParent_Done,
     /*  154869 */ // Label 2893: @154869
     /*  154869 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(154980), // Rule ID 64469 //
     /*  154874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154877 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154880 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154884 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154895 */   // MIs[0] Operand 1
     /*  154895 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154899 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154903 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154907 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154911 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154915 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154920 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154924 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154928 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154932 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154936 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154941 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154945 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154949 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154953 */   // MIs[3] Operand 1
     /*  154953 */   // No operand predicates
     /*  154953 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154955 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154960 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154964 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154968 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154971 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154978 */   GIR_RootConstrainSelectedInstOperands,
     /*  154979 */   // GIR_Coverage, 64469,
     /*  154979 */   GIR_EraseRootFromParent_Done,
     /*  154980 */ // Label 2894: @154980
     /*  154980 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(155091), // Rule ID 64470 //
     /*  154985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154988 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154991 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154995 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155006 */   // MIs[0] Operand 1
     /*  155006 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155010 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155014 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155018 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155022 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155026 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155031 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155035 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155039 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155043 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155047 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155052 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155056 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155060 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155064 */   // MIs[3] Operand 1
     /*  155064 */   // No operand predicates
     /*  155064 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155066 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  155069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155071 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155075 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155079 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155082 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155089 */   GIR_RootConstrainSelectedInstOperands,
     /*  155090 */   // GIR_Coverage, 64470,
     /*  155090 */   GIR_EraseRootFromParent_Done,
     /*  155091 */ // Label 2895: @155091
     /*  155091 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(155202), // Rule ID 64473 //
     /*  155096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155099 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155102 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155106 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155117 */   // MIs[0] Operand 1
     /*  155117 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155121 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155125 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155129 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155133 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155137 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155142 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155146 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155150 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155154 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155158 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155163 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155167 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155171 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155175 */   // MIs[3] Operand 1
     /*  155175 */   // No operand predicates
     /*  155175 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155177 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155182 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155186 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155190 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155200 */   GIR_RootConstrainSelectedInstOperands,
     /*  155201 */   // GIR_Coverage, 64473,
     /*  155201 */   GIR_EraseRootFromParent_Done,
     /*  155202 */ // Label 2896: @155202
     /*  155202 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(155313), // Rule ID 64474 //
     /*  155207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155210 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155213 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155217 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155228 */   // MIs[0] Operand 1
     /*  155228 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155232 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155236 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155240 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155244 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155248 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155253 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155257 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155261 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155265 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155269 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155274 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155278 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155282 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155286 */   // MIs[3] Operand 1
     /*  155286 */   // No operand predicates
     /*  155286 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155288 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155293 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155297 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155301 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155304 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155311 */   GIR_RootConstrainSelectedInstOperands,
     /*  155312 */   // GIR_Coverage, 64474,
     /*  155312 */   GIR_EraseRootFromParent_Done,
     /*  155313 */ // Label 2897: @155313
     /*  155313 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(155417), // Rule ID 64475 //
     /*  155318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155332 */   // MIs[0] Operand 1
     /*  155332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155336 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155340 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155344 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155348 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155352 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155357 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155361 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155365 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155369 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155373 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155378 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155382 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155386 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155390 */   // MIs[3] Operand 1
     /*  155390 */   // No operand predicates
     /*  155390 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155392 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155397 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155401 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155405 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155415 */   GIR_RootConstrainSelectedInstOperands,
     /*  155416 */   // GIR_Coverage, 64475,
     /*  155416 */   GIR_EraseRootFromParent_Done,
     /*  155417 */ // Label 2898: @155417
     /*  155417 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(155521), // Rule ID 64476 //
     /*  155422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155425 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155428 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155436 */   // MIs[0] Operand 1
     /*  155436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155440 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155444 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155448 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155452 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155456 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155461 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155465 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155469 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155473 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155477 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155482 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155486 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155490 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155494 */   // MIs[3] Operand 1
     /*  155494 */   // No operand predicates
     /*  155494 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155496 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155501 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155505 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155509 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155512 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155519 */   GIR_RootConstrainSelectedInstOperands,
     /*  155520 */   // GIR_Coverage, 64476,
     /*  155520 */   GIR_EraseRootFromParent_Done,
     /*  155521 */ // Label 2899: @155521
     /*  155521 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(155579), // Rule ID 227 //
     /*  155526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155532 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155547 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155551 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155558 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155573 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155577 */   GIR_RootConstrainSelectedInstOperands,
     /*  155578 */   // GIR_Coverage, 227,
     /*  155578 */   GIR_EraseRootFromParent_Done,
     /*  155579 */ // Label 2900: @155579
     /*  155579 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(155637), // Rule ID 231 //
     /*  155584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155587 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155590 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155594 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155605 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155609 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155616 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155621 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155631 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155635 */   GIR_RootConstrainSelectedInstOperands,
     /*  155636 */   // GIR_Coverage, 231,
     /*  155636 */   GIR_EraseRootFromParent_Done,
     /*  155637 */ // Label 2901: @155637
     /*  155637 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155688), // Rule ID 232 //
     /*  155642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155645 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155648 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155656 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155667 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155682 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155686 */   GIR_RootConstrainSelectedInstOperands,
     /*  155687 */   // GIR_Coverage, 232,
     /*  155687 */   GIR_EraseRootFromParent_Done,
     /*  155688 */ // Label 2902: @155688
     /*  155688 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155739), // Rule ID 233 //
     /*  155693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155699 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155707 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155711 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155718 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155728 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155733 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155737 */   GIR_RootConstrainSelectedInstOperands,
     /*  155738 */   // GIR_Coverage, 233,
     /*  155738 */   GIR_EraseRootFromParent_Done,
     /*  155739 */ // Label 2903: @155739
     /*  155739 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155800), // Rule ID 314 //
     /*  155744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155747 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155750 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155754 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155761 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155772 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155779 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10077>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155794 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155798 */   GIR_RootConstrainSelectedInstOperands,
     /*  155799 */   // GIR_Coverage, 314,
     /*  155799 */   GIR_EraseRootFromParent_Done,
     /*  155800 */ // Label 2904: @155800
     /*  155800 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155861), // Rule ID 318 //
     /*  155805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155808 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155811 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155822 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155829 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155833 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155840 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10079>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155855 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155859 */   GIR_RootConstrainSelectedInstOperands,
     /*  155860 */   // GIR_Coverage, 318,
     /*  155860 */   GIR_EraseRootFromParent_Done,
     /*  155861 */ // Label 2905: @155861
     /*  155861 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(155922), // Rule ID 332 //
     /*  155866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  155869 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155872 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155883 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155894 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155901 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155920 */   GIR_RootConstrainSelectedInstOperands,
     /*  155921 */   // GIR_Coverage, 332,
     /*  155921 */   GIR_EraseRootFromParent_Done,
     /*  155922 */ // Label 2906: @155922
     /*  155922 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(155983), // Rule ID 334 //
     /*  155927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  155930 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155933 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155937 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155944 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155955 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155962 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155981 */   GIR_RootConstrainSelectedInstOperands,
     /*  155982 */   // GIR_Coverage, 334,
     /*  155982 */   GIR_EraseRootFromParent_Done,
     /*  155983 */ // Label 2907: @155983
     /*  155983 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(156034), // Rule ID 1327 //
     /*  155988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  155991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156006 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156013 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156028 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156032 */   GIR_RootConstrainSelectedInstOperands,
     /*  156033 */   // GIR_Coverage, 1327,
     /*  156033 */   GIR_EraseRootFromParent_Done,
     /*  156034 */ // Label 2908: @156034
     /*  156034 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(156085), // Rule ID 1328 //
     /*  156039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  156042 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156045 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156053 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156057 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156064 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156079 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156083 */   GIR_RootConstrainSelectedInstOperands,
     /*  156084 */   // GIR_Coverage, 1328,
     /*  156084 */   GIR_EraseRootFromParent_Done,
     /*  156085 */ // Label 2909: @156085
     /*  156085 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(156136), // Rule ID 1333 //
     /*  156090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  156093 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156096 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156104 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156115 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156130 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156134 */   GIR_RootConstrainSelectedInstOperands,
     /*  156135 */   // GIR_Coverage, 1333,
     /*  156135 */   GIR_EraseRootFromParent_Done,
     /*  156136 */ // Label 2910: @156136
     /*  156136 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(156187), // Rule ID 1334 //
     /*  156141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  156144 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156147 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156155 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156159 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156166 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156181 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156185 */   GIR_RootConstrainSelectedInstOperands,
     /*  156186 */   // GIR_Coverage, 1334,
     /*  156186 */   GIR_EraseRootFromParent_Done,
     /*  156187 */ // Label 2911: @156187
     /*  156187 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(156245), // Rule ID 64962 //
     /*  156192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  156195 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156202 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156217 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156224 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156234 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156239 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156243 */   GIR_RootConstrainSelectedInstOperands,
     /*  156244 */   // GIR_Coverage, 64962,
     /*  156244 */   GIR_EraseRootFromParent_Done,
     /*  156245 */ // Label 2912: @156245
     /*  156245 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(156303), // Rule ID 64963 //
     /*  156250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  156253 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156256 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156260 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156271 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156275 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156282 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156297 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156301 */   GIR_RootConstrainSelectedInstOperands,
     /*  156302 */   // GIR_Coverage, 64963,
     /*  156302 */   GIR_EraseRootFromParent_Done,
     /*  156303 */ // Label 2913: @156303
     /*  156303 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(156361), // Rule ID 64966 //
     /*  156308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156311 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156314 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156318 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156329 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156333 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156340 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156355 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156359 */   GIR_RootConstrainSelectedInstOperands,
     /*  156360 */   // GIR_Coverage, 64966,
     /*  156360 */   GIR_EraseRootFromParent_Done,
     /*  156361 */ // Label 2914: @156361
     /*  156361 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(156419), // Rule ID 64967 //
     /*  156366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156369 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156372 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156376 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156387 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156391 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156398 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156413 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156417 */   GIR_RootConstrainSelectedInstOperands,
     /*  156418 */   // GIR_Coverage, 64967,
     /*  156418 */   GIR_EraseRootFromParent_Done,
     /*  156419 */ // Label 2915: @156419
     /*  156419 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(156477), // Rule ID 64968 //
     /*  156424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156427 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156430 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156434 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156445 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156449 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156456 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156461 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156466 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156471 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156475 */   GIR_RootConstrainSelectedInstOperands,
     /*  156476 */   // GIR_Coverage, 64968,
     /*  156476 */   GIR_EraseRootFromParent_Done,
     /*  156477 */ // Label 2916: @156477
     /*  156477 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(156535), // Rule ID 64969 //
     /*  156482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156488 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156507 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156514 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156533 */   GIR_RootConstrainSelectedInstOperands,
     /*  156534 */   // GIR_Coverage, 64969,
     /*  156534 */   GIR_EraseRootFromParent_Done,
     /*  156535 */ // Label 2917: @156535
     /*  156535 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(156579), // Rule ID 1090 //
     /*  156540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156546 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156550 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156564 */   // MIs[0] rs1
     /*  156564 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156572 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156572 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156577 */   GIR_RootConstrainSelectedInstOperands,
     /*  156578 */   // GIR_Coverage, 1090,
     /*  156578 */   GIR_Done,
     /*  156579 */ // Label 2918: @156579
     /*  156579 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(156623), // Rule ID 1094 //
     /*  156584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156587 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156590 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156594 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156601 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156608 */   // MIs[0] rs1
     /*  156608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156616 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156621 */   GIR_RootConstrainSelectedInstOperands,
     /*  156622 */   // GIR_Coverage, 1094,
     /*  156622 */   GIR_Done,
     /*  156623 */ // Label 2919: @156623
     /*  156623 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(156667), // Rule ID 1098 //
     /*  156628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156631 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156634 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156638 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156645 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156652 */   // MIs[0] rs1
     /*  156652 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156660 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156665 */   GIR_RootConstrainSelectedInstOperands,
     /*  156666 */   // GIR_Coverage, 1098,
     /*  156666 */   GIR_Done,
     /*  156667 */ // Label 2920: @156667
     /*  156667 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(156711), // Rule ID 1102 //
     /*  156672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156675 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156678 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156682 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156696 */   // MIs[0] rs1
     /*  156696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156704 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156704 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156709 */   GIR_RootConstrainSelectedInstOperands,
     /*  156710 */   // GIR_Coverage, 1102,
     /*  156710 */   GIR_Done,
     /*  156711 */ // Label 2921: @156711
     /*  156711 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156755), // Rule ID 1118 //
     /*  156716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156719 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156722 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156726 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156740 */   // MIs[0] rs1
     /*  156740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156748 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10601>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156753 */   GIR_RootConstrainSelectedInstOperands,
     /*  156754 */   // GIR_Coverage, 1118,
     /*  156754 */   GIR_Done,
     /*  156755 */ // Label 2922: @156755
     /*  156755 */ GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156799), // Rule ID 1120 //
     /*  156760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156763 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156784 */   // MIs[0] rs1
     /*  156784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156792 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156797 */   GIR_RootConstrainSelectedInstOperands,
     /*  156798 */   // GIR_Coverage, 1120,
     /*  156798 */   GIR_Done,
     /*  156799 */ // Label 2923: @156799
     /*  156799 */ GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156843), // Rule ID 1122 //
     /*  156804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156807 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156810 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156814 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156821 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156828 */   // MIs[0] rs1
     /*  156828 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156836 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156836 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156841 */   GIR_RootConstrainSelectedInstOperands,
     /*  156842 */   // GIR_Coverage, 1122,
     /*  156842 */   GIR_Done,
     /*  156843 */ // Label 2924: @156843
     /*  156843 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156887), // Rule ID 1126 //
     /*  156848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156851 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156854 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156858 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156872 */   // MIs[0] rs1
     /*  156872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156880 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156880 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156885 */   GIR_RootConstrainSelectedInstOperands,
     /*  156886 */   // GIR_Coverage, 1126,
     /*  156886 */   GIR_Done,
     /*  156887 */ // Label 2925: @156887
     /*  156887 */ GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156931), // Rule ID 1130 //
     /*  156892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156916 */   // MIs[0] rs1
     /*  156916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156924 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10609>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156929 */   GIR_RootConstrainSelectedInstOperands,
     /*  156930 */   // GIR_Coverage, 1130,
     /*  156930 */   GIR_Done,
     /*  156931 */ // Label 2926: @156931
     /*  156931 */ GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(156975), // Rule ID 1132 //
     /*  156936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156946 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156960 */   // MIs[0] rs1
     /*  156960 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156968 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10611>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156968 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156973 */   GIR_RootConstrainSelectedInstOperands,
     /*  156974 */   // GIR_Coverage, 1132,
     /*  156974 */   GIR_Done,
     /*  156975 */ // Label 2927: @156975
     /*  156975 */ GIM_Reject,
     /*  156976 */ // Label 2839: @156976
     /*  156976 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(157034), // Rule ID 226 //
     /*  156981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  156984 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156987 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156991 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157006 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157013 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  157016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157023 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157028 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157032 */   GIR_RootConstrainSelectedInstOperands,
     /*  157033 */   // GIR_Coverage, 226,
     /*  157033 */   GIR_EraseRootFromParent_Done,
     /*  157034 */ // Label 2928: @157034
     /*  157034 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157092), // Rule ID 230 //
     /*  157039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157042 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157045 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157049 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157064 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157071 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157090 */   GIR_RootConstrainSelectedInstOperands,
     /*  157091 */   // GIR_Coverage, 230,
     /*  157091 */   GIR_EraseRootFromParent_Done,
     /*  157092 */ // Label 2929: @157092
     /*  157092 */ GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157150), // Rule ID 276 //
     /*  157097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157100 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157103 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157122 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157129 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157139 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157148 */   GIR_RootConstrainSelectedInstOperands,
     /*  157149 */   // GIR_Coverage, 276,
     /*  157149 */   GIR_EraseRootFromParent_Done,
     /*  157150 */ // Label 2930: @157150
     /*  157150 */ GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157201), // Rule ID 278 //
     /*  157155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157158 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157161 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157169 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157173 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157180 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157185 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157195 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157199 */   GIR_RootConstrainSelectedInstOperands,
     /*  157200 */   // GIR_Coverage, 278,
     /*  157200 */   GIR_EraseRootFromParent_Done,
     /*  157201 */ // Label 2931: @157201
     /*  157201 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157262), // Rule ID 313 //
     /*  157206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157209 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157212 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157223 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157230 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157234 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157241 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10077>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  157244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157260 */   GIR_RootConstrainSelectedInstOperands,
     /*  157261 */   // GIR_Coverage, 313,
     /*  157261 */   GIR_EraseRootFromParent_Done,
     /*  157262 */ // Label 2932: @157262
     /*  157262 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157323), // Rule ID 317 //
     /*  157267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157270 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157273 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157277 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157284 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157291 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157295 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157302 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10079>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157317 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157321 */   GIR_RootConstrainSelectedInstOperands,
     /*  157322 */   // GIR_Coverage, 317,
     /*  157322 */   GIR_EraseRootFromParent_Done,
     /*  157323 */ // Label 2933: @157323
     /*  157323 */ GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157384), // Rule ID 331 //
     /*  157328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  157331 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157334 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157338 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157345 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157352 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157356 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157363 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157378 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157382 */   GIR_RootConstrainSelectedInstOperands,
     /*  157383 */   // GIR_Coverage, 331,
     /*  157383 */   GIR_EraseRootFromParent_Done,
     /*  157384 */ // Label 2934: @157384
     /*  157384 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157445), // Rule ID 333 //
     /*  157389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157392 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157395 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157399 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157406 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157413 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157417 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157424 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157429 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157434 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157439 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157443 */   GIR_RootConstrainSelectedInstOperands,
     /*  157444 */   // GIR_Coverage, 333,
     /*  157444 */   GIR_EraseRootFromParent_Done,
     /*  157445 */ // Label 2935: @157445
     /*  157445 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157506), // Rule ID 339 //
     /*  157450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157453 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157456 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157460 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157467 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157474 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157478 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157485 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10097>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157504 */   GIR_RootConstrainSelectedInstOperands,
     /*  157505 */   // GIR_Coverage, 339,
     /*  157505 */   GIR_EraseRootFromParent_Done,
     /*  157506 */ // Label 2936: @157506
     /*  157506 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157557), // Rule ID 1725 //
     /*  157511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  157514 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157517 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157529 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157536 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157551 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157555 */   GIR_RootConstrainSelectedInstOperands,
     /*  157556 */   // GIR_Coverage, 1725,
     /*  157556 */   GIR_EraseRootFromParent_Done,
     /*  157557 */ // Label 2937: @157557
     /*  157557 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157608), // Rule ID 1726 //
     /*  157562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  157565 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157568 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157576 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157580 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157587 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157592 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157602 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157606 */   GIR_RootConstrainSelectedInstOperands,
     /*  157607 */   // GIR_Coverage, 1726,
     /*  157607 */   GIR_EraseRootFromParent_Done,
     /*  157608 */ // Label 2938: @157608
     /*  157608 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157659), // Rule ID 1730 //
     /*  157613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157616 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157619 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157627 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157631 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157638 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157653 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157657 */   GIR_RootConstrainSelectedInstOperands,
     /*  157658 */   // GIR_Coverage, 1730,
     /*  157658 */   GIR_EraseRootFromParent_Done,
     /*  157659 */ // Label 2939: @157659
     /*  157659 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(157703), // Rule ID 1089 //
     /*  157664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157667 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157670 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157674 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157688 */   // MIs[0] rs1
     /*  157688 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157696 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157701 */   GIR_RootConstrainSelectedInstOperands,
     /*  157702 */   // GIR_Coverage, 1089,
     /*  157702 */   GIR_Done,
     /*  157703 */ // Label 2940: @157703
     /*  157703 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(157747), // Rule ID 1093 //
     /*  157708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157711 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157714 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157718 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157725 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157732 */   // MIs[0] rs1
     /*  157732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157740 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157740 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157745 */   GIR_RootConstrainSelectedInstOperands,
     /*  157746 */   // GIR_Coverage, 1093,
     /*  157746 */   GIR_Done,
     /*  157747 */ // Label 2941: @157747
     /*  157747 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(157791), // Rule ID 1097 //
     /*  157752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157755 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157758 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157762 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157769 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157776 */   // MIs[0] rs1
     /*  157776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157784 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157784 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157789 */   GIR_RootConstrainSelectedInstOperands,
     /*  157790 */   // GIR_Coverage, 1097,
     /*  157790 */   GIR_Done,
     /*  157791 */ // Label 2942: @157791
     /*  157791 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157835), // Rule ID 1101 //
     /*  157796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157799 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157802 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157806 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157820 */   // MIs[0] rs1
     /*  157820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157828 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157828 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157833 */   GIR_RootConstrainSelectedInstOperands,
     /*  157834 */   // GIR_Coverage, 1101,
     /*  157834 */   GIR_Done,
     /*  157835 */ // Label 2943: @157835
     /*  157835 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(157879), // Rule ID 1117 //
     /*  157840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157843 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157846 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157850 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157864 */   // MIs[0] rs1
     /*  157864 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157872 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10601>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157872 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157877 */   GIR_RootConstrainSelectedInstOperands,
     /*  157878 */   // GIR_Coverage, 1117,
     /*  157878 */   GIR_Done,
     /*  157879 */ // Label 2944: @157879
     /*  157879 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157923), // Rule ID 1119 //
     /*  157884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157887 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157890 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157894 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157908 */   // MIs[0] rs1
     /*  157908 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157916 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157916 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157921 */   GIR_RootConstrainSelectedInstOperands,
     /*  157922 */   // GIR_Coverage, 1119,
     /*  157922 */   GIR_Done,
     /*  157923 */ // Label 2945: @157923
     /*  157923 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157967), // Rule ID 1121 //
     /*  157928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157931 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157934 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157938 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157945 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157952 */   // MIs[0] rs1
     /*  157952 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157960 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157965 */   GIR_RootConstrainSelectedInstOperands,
     /*  157966 */   // GIR_Coverage, 1121,
     /*  157966 */   GIR_Done,
     /*  157967 */ // Label 2946: @157967
     /*  157967 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158011), // Rule ID 1125 //
     /*  157972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157975 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157978 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157982 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157996 */   // MIs[0] rs1
     /*  157996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158004 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158004 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  158009 */   GIR_RootConstrainSelectedInstOperands,
     /*  158010 */   // GIR_Coverage, 1125,
     /*  158010 */   GIR_Done,
     /*  158011 */ // Label 2947: @158011
     /*  158011 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158055), // Rule ID 1129 //
     /*  158016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158019 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158026 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158033 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  158036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158040 */   // MIs[0] rs1
     /*  158040 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158048 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10609>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158053 */   GIR_RootConstrainSelectedInstOperands,
     /*  158054 */   // GIR_Coverage, 1129,
     /*  158054 */   GIR_Done,
     /*  158055 */ // Label 2948: @158055
     /*  158055 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158099), // Rule ID 1131 //
     /*  158060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  158063 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158070 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  158077 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  158080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158084 */   // MIs[0] rs1
     /*  158084 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158092 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10611>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158092 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  158097 */   GIR_RootConstrainSelectedInstOperands,
     /*  158098 */   // GIR_Coverage, 1131,
     /*  158098 */   GIR_Done,
     /*  158099 */ // Label 2949: @158099
     /*  158099 */ GIM_Reject,
     /*  158100 */ // Label 2840: @158100
     /*  158100 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158219),
     /*  158105 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158108 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158124 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158171), // Rule ID 45620 //
     /*  158129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158132 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158169 */     GIR_RootConstrainSelectedInstOperands,
     /*  158170 */     // GIR_Coverage, 45620,
     /*  158170 */     GIR_EraseRootFromParent_Done,
     /*  158171 */   // Label 2951: @158171
     /*  158171 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158218), // Rule ID 45621 //
     /*  158176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158179 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158216 */     GIR_RootConstrainSelectedInstOperands,
     /*  158217 */     // GIR_Coverage, 45621,
     /*  158217 */     GIR_EraseRootFromParent_Done,
     /*  158218 */   // Label 2952: @158218
     /*  158218 */   GIM_Reject,
     /*  158219 */ // Label 2950: @158219
     /*  158219 */ GIM_Reject,
     /*  158220 */ // Label 2841: @158220
     /*  158220 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158347),
     /*  158225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158228 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158236 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158291), // Rule ID 45616 //
     /*  158241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158244 */     // MIs[0] rs1
     /*  158244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158252 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158289 */     GIR_RootConstrainSelectedInstOperands,
     /*  158290 */     // GIR_Coverage, 45616,
     /*  158290 */     GIR_EraseRootFromParent_Done,
     /*  158291 */   // Label 2954: @158291
     /*  158291 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158346), // Rule ID 45617 //
     /*  158296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158299 */     // MIs[0] rs1
     /*  158299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158307 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158344 */     GIR_RootConstrainSelectedInstOperands,
     /*  158345 */     // GIR_Coverage, 45617,
     /*  158345 */     GIR_EraseRootFromParent_Done,
     /*  158346 */   // Label 2955: @158346
     /*  158346 */   GIM_Reject,
     /*  158347 */ // Label 2953: @158347
     /*  158347 */ GIM_Reject,
     /*  158348 */ // Label 2842: @158348
     /*  158348 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158585),
     /*  158353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158364 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158419), // Rule ID 45812 //
     /*  158369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158372 */     // MIs[0] rs1
     /*  158372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158380 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158417 */     GIR_RootConstrainSelectedInstOperands,
     /*  158418 */     // GIR_Coverage, 45812,
     /*  158418 */     GIR_EraseRootFromParent_Done,
     /*  158419 */   // Label 2957: @158419
     /*  158419 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158474), // Rule ID 45813 //
     /*  158424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158427 */     // MIs[0] rs1
     /*  158427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158435 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158472 */     GIR_RootConstrainSelectedInstOperands,
     /*  158473 */     // GIR_Coverage, 45813,
     /*  158473 */     GIR_EraseRootFromParent_Done,
     /*  158474 */   // Label 2958: @158474
     /*  158474 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158529), // Rule ID 45888 //
     /*  158479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158482 */     // MIs[0] rs1
     /*  158482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158490 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158527 */     GIR_RootConstrainSelectedInstOperands,
     /*  158528 */     // GIR_Coverage, 45888,
     /*  158528 */     GIR_EraseRootFromParent_Done,
     /*  158529 */   // Label 2959: @158529
     /*  158529 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(158584), // Rule ID 45889 //
     /*  158534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158537 */     // MIs[0] rs1
     /*  158537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158545 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158582 */     GIR_RootConstrainSelectedInstOperands,
     /*  158583 */     // GIR_Coverage, 45889,
     /*  158583 */     GIR_EraseRootFromParent_Done,
     /*  158584 */   // Label 2960: @158584
     /*  158584 */   GIM_Reject,
     /*  158585 */ // Label 2956: @158585
     /*  158585 */ GIM_Reject,
     /*  158586 */ // Label 2843: @158586
     /*  158586 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(158823),
     /*  158591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158594 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158602 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(158657), // Rule ID 45820 //
     /*  158607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158610 */     // MIs[0] rs1
     /*  158610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158618 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158655 */     GIR_RootConstrainSelectedInstOperands,
     /*  158656 */     // GIR_Coverage, 45820,
     /*  158656 */     GIR_EraseRootFromParent_Done,
     /*  158657 */   // Label 2962: @158657
     /*  158657 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(158712), // Rule ID 45821 //
     /*  158662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158665 */     // MIs[0] rs1
     /*  158665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158673 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158710 */     GIR_RootConstrainSelectedInstOperands,
     /*  158711 */     // GIR_Coverage, 45821,
     /*  158711 */     GIR_EraseRootFromParent_Done,
     /*  158712 */   // Label 2963: @158712
     /*  158712 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(158767), // Rule ID 45896 //
     /*  158717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158720 */     // MIs[0] rs1
     /*  158720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158728 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158765 */     GIR_RootConstrainSelectedInstOperands,
     /*  158766 */     // GIR_Coverage, 45896,
     /*  158766 */     GIR_EraseRootFromParent_Done,
     /*  158767 */   // Label 2964: @158767
     /*  158767 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(158822), // Rule ID 45897 //
     /*  158772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158775 */     // MIs[0] rs1
     /*  158775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158783 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158820 */     GIR_RootConstrainSelectedInstOperands,
     /*  158821 */     // GIR_Coverage, 45897,
     /*  158821 */     GIR_EraseRootFromParent_Done,
     /*  158822 */   // Label 2965: @158822
     /*  158822 */   GIM_Reject,
     /*  158823 */ // Label 2961: @158823
     /*  158823 */ GIM_Reject,
     /*  158824 */ // Label 2844: @158824
     /*  158824 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(159061),
     /*  158829 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158832 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158840 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158895), // Rule ID 45836 //
     /*  158845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158848 */     // MIs[0] rs1
     /*  158848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158856 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158893 */     GIR_RootConstrainSelectedInstOperands,
     /*  158894 */     // GIR_Coverage, 45836,
     /*  158894 */     GIR_EraseRootFromParent_Done,
     /*  158895 */   // Label 2967: @158895
     /*  158895 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158950), // Rule ID 45837 //
     /*  158900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158903 */     // MIs[0] rs1
     /*  158903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158911 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158948 */     GIR_RootConstrainSelectedInstOperands,
     /*  158949 */     // GIR_Coverage, 45837,
     /*  158949 */     GIR_EraseRootFromParent_Done,
     /*  158950 */   // Label 2968: @158950
     /*  158950 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(159005), // Rule ID 45908 //
     /*  158955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158958 */     // MIs[0] rs1
     /*  158958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158966 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159003 */     GIR_RootConstrainSelectedInstOperands,
     /*  159004 */     // GIR_Coverage, 45908,
     /*  159004 */     GIR_EraseRootFromParent_Done,
     /*  159005 */   // Label 2969: @159005
     /*  159005 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(159060), // Rule ID 45909 //
     /*  159010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159013 */     // MIs[0] rs1
     /*  159013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159021 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  159024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  159038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159058 */     GIR_RootConstrainSelectedInstOperands,
     /*  159059 */     // GIR_Coverage, 45909,
     /*  159059 */     GIR_EraseRootFromParent_Done,
     /*  159060 */   // Label 2970: @159060
     /*  159060 */   GIM_Reject,
     /*  159061 */ // Label 2966: @159061
     /*  159061 */ GIM_Reject,
     /*  159062 */ // Label 2845: @159062
     /*  159062 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159181),
     /*  159067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159070 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159078 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159086 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159133), // Rule ID 45948 //
     /*  159091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159094 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159131 */     GIR_RootConstrainSelectedInstOperands,
     /*  159132 */     // GIR_Coverage, 45948,
     /*  159132 */     GIR_EraseRootFromParent_Done,
     /*  159133 */   // Label 2972: @159133
     /*  159133 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159180), // Rule ID 45949 //
     /*  159138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159141 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159178 */     GIR_RootConstrainSelectedInstOperands,
     /*  159179 */     // GIR_Coverage, 45949,
     /*  159179 */     GIR_EraseRootFromParent_Done,
     /*  159180 */   // Label 2973: @159180
     /*  159180 */   GIM_Reject,
     /*  159181 */ // Label 2971: @159181
     /*  159181 */ GIM_Reject,
     /*  159182 */ // Label 2846: @159182
     /*  159182 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159309),
     /*  159187 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159190 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159198 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159253), // Rule ID 45804 //
     /*  159203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159206 */     // MIs[0] rs1
     /*  159206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159214 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159251 */     GIR_RootConstrainSelectedInstOperands,
     /*  159252 */     // GIR_Coverage, 45804,
     /*  159252 */     GIR_EraseRootFromParent_Done,
     /*  159253 */   // Label 2975: @159253
     /*  159253 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159308), // Rule ID 45805 //
     /*  159258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159261 */     // MIs[0] rs1
     /*  159261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159269 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159306 */     GIR_RootConstrainSelectedInstOperands,
     /*  159307 */     // GIR_Coverage, 45805,
     /*  159307 */     GIR_EraseRootFromParent_Done,
     /*  159308 */   // Label 2976: @159308
     /*  159308 */   GIM_Reject,
     /*  159309 */ // Label 2974: @159309
     /*  159309 */ GIM_Reject,
     /*  159310 */ // Label 2847: @159310
     /*  159310 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159547),
     /*  159315 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159326 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(159381), // Rule ID 45816 //
     /*  159331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159334 */     // MIs[0] rs1
     /*  159334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159342 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159379 */     GIR_RootConstrainSelectedInstOperands,
     /*  159380 */     // GIR_Coverage, 45816,
     /*  159380 */     GIR_EraseRootFromParent_Done,
     /*  159381 */   // Label 2978: @159381
     /*  159381 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(159436), // Rule ID 45817 //
     /*  159386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159389 */     // MIs[0] rs1
     /*  159389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159397 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159434 */     GIR_RootConstrainSelectedInstOperands,
     /*  159435 */     // GIR_Coverage, 45817,
     /*  159435 */     GIR_EraseRootFromParent_Done,
     /*  159436 */   // Label 2979: @159436
     /*  159436 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(159491), // Rule ID 45892 //
     /*  159441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159444 */     // MIs[0] rs1
     /*  159444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159452 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159489 */     GIR_RootConstrainSelectedInstOperands,
     /*  159490 */     // GIR_Coverage, 45892,
     /*  159490 */     GIR_EraseRootFromParent_Done,
     /*  159491 */   // Label 2980: @159491
     /*  159491 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(159546), // Rule ID 45893 //
     /*  159496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159499 */     // MIs[0] rs1
     /*  159499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159507 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159544 */     GIR_RootConstrainSelectedInstOperands,
     /*  159545 */     // GIR_Coverage, 45893,
     /*  159545 */     GIR_EraseRootFromParent_Done,
     /*  159546 */   // Label 2981: @159546
     /*  159546 */   GIM_Reject,
     /*  159547 */ // Label 2977: @159547
     /*  159547 */ GIM_Reject,
     /*  159548 */ // Label 2848: @159548
     /*  159548 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(159785),
     /*  159553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159564 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(159619), // Rule ID 45832 //
     /*  159569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159572 */     // MIs[0] rs1
     /*  159572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159580 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159617 */     GIR_RootConstrainSelectedInstOperands,
     /*  159618 */     // GIR_Coverage, 45832,
     /*  159618 */     GIR_EraseRootFromParent_Done,
     /*  159619 */   // Label 2983: @159619
     /*  159619 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(159674), // Rule ID 45833 //
     /*  159624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159627 */     // MIs[0] rs1
     /*  159627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159635 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159672 */     GIR_RootConstrainSelectedInstOperands,
     /*  159673 */     // GIR_Coverage, 45833,
     /*  159673 */     GIR_EraseRootFromParent_Done,
     /*  159674 */   // Label 2984: @159674
     /*  159674 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(159729), // Rule ID 45904 //
     /*  159679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159682 */     // MIs[0] rs1
     /*  159682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159690 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159727 */     GIR_RootConstrainSelectedInstOperands,
     /*  159728 */     // GIR_Coverage, 45904,
     /*  159728 */     GIR_EraseRootFromParent_Done,
     /*  159729 */   // Label 2985: @159729
     /*  159729 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(159784), // Rule ID 45905 //
     /*  159734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159737 */     // MIs[0] rs1
     /*  159737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159745 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159782 */     GIR_RootConstrainSelectedInstOperands,
     /*  159783 */     // GIR_Coverage, 45905,
     /*  159783 */     GIR_EraseRootFromParent_Done,
     /*  159784 */   // Label 2986: @159784
     /*  159784 */   GIM_Reject,
     /*  159785 */ // Label 2982: @159785
     /*  159785 */ GIM_Reject,
     /*  159786 */ // Label 2849: @159786
     /*  159786 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(160023),
     /*  159791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159802 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159857), // Rule ID 45876 //
     /*  159807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159810 */     // MIs[0] rs1
     /*  159810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159818 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159855 */     GIR_RootConstrainSelectedInstOperands,
     /*  159856 */     // GIR_Coverage, 45876,
     /*  159856 */     GIR_EraseRootFromParent_Done,
     /*  159857 */   // Label 2988: @159857
     /*  159857 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159912), // Rule ID 45877 //
     /*  159862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159865 */     // MIs[0] rs1
     /*  159865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159873 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159910 */     GIR_RootConstrainSelectedInstOperands,
     /*  159911 */     // GIR_Coverage, 45877,
     /*  159911 */     GIR_EraseRootFromParent_Done,
     /*  159912 */   // Label 2989: @159912
     /*  159912 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(159967), // Rule ID 45936 //
     /*  159917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159920 */     // MIs[0] rs1
     /*  159920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159928 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159965 */     GIR_RootConstrainSelectedInstOperands,
     /*  159966 */     // GIR_Coverage, 45936,
     /*  159966 */     GIR_EraseRootFromParent_Done,
     /*  159967 */   // Label 2990: @159967
     /*  159967 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(160022), // Rule ID 45937 //
     /*  159972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159975 */     // MIs[0] rs1
     /*  159975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159983 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  160000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160020 */     GIR_RootConstrainSelectedInstOperands,
     /*  160021 */     // GIR_Coverage, 45937,
     /*  160021 */     GIR_EraseRootFromParent_Done,
     /*  160022 */   // Label 2991: @160022
     /*  160022 */   GIM_Reject,
     /*  160023 */ // Label 2987: @160023
     /*  160023 */ GIM_Reject,
     /*  160024 */ // Label 2850: @160024
     /*  160024 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(160143),
     /*  160029 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160032 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160040 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160048 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160095), // Rule ID 45952 //
     /*  160053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160056 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160093 */     GIR_RootConstrainSelectedInstOperands,
     /*  160094 */     // GIR_Coverage, 45952,
     /*  160094 */     GIR_EraseRootFromParent_Done,
     /*  160095 */   // Label 2993: @160095
     /*  160095 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160142), // Rule ID 45953 //
     /*  160100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160103 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160140 */     GIR_RootConstrainSelectedInstOperands,
     /*  160141 */     // GIR_Coverage, 45953,
     /*  160141 */     GIR_EraseRootFromParent_Done,
     /*  160142 */   // Label 2994: @160142
     /*  160142 */   GIM_Reject,
     /*  160143 */ // Label 2992: @160143
     /*  160143 */ GIM_Reject,
     /*  160144 */ // Label 2851: @160144
     /*  160144 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160271),
     /*  160149 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160152 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160160 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160215), // Rule ID 45808 //
     /*  160165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160168 */     // MIs[0] rs1
     /*  160168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160176 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160213 */     GIR_RootConstrainSelectedInstOperands,
     /*  160214 */     // GIR_Coverage, 45808,
     /*  160214 */     GIR_EraseRootFromParent_Done,
     /*  160215 */   // Label 2996: @160215
     /*  160215 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160270), // Rule ID 45809 //
     /*  160220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160223 */     // MIs[0] rs1
     /*  160223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160231 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160268 */     GIR_RootConstrainSelectedInstOperands,
     /*  160269 */     // GIR_Coverage, 45809,
     /*  160269 */     GIR_EraseRootFromParent_Done,
     /*  160270 */   // Label 2997: @160270
     /*  160270 */   GIM_Reject,
     /*  160271 */ // Label 2995: @160271
     /*  160271 */ GIM_Reject,
     /*  160272 */ // Label 2852: @160272
     /*  160272 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(160509),
     /*  160277 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160280 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160288 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(160343), // Rule ID 45828 //
     /*  160293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160296 */     // MIs[0] rs1
     /*  160296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160304 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160341 */     GIR_RootConstrainSelectedInstOperands,
     /*  160342 */     // GIR_Coverage, 45828,
     /*  160342 */     GIR_EraseRootFromParent_Done,
     /*  160343 */   // Label 2999: @160343
     /*  160343 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(160398), // Rule ID 45829 //
     /*  160348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160351 */     // MIs[0] rs1
     /*  160351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160359 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160396 */     GIR_RootConstrainSelectedInstOperands,
     /*  160397 */     // GIR_Coverage, 45829,
     /*  160397 */     GIR_EraseRootFromParent_Done,
     /*  160398 */   // Label 3000: @160398
     /*  160398 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(160453), // Rule ID 45900 //
     /*  160403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160406 */     // MIs[0] rs1
     /*  160406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160414 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160451 */     GIR_RootConstrainSelectedInstOperands,
     /*  160452 */     // GIR_Coverage, 45900,
     /*  160452 */     GIR_EraseRootFromParent_Done,
     /*  160453 */   // Label 3001: @160453
     /*  160453 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(160508), // Rule ID 45901 //
     /*  160458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160461 */     // MIs[0] rs1
     /*  160461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160469 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160506 */     GIR_RootConstrainSelectedInstOperands,
     /*  160507 */     // GIR_Coverage, 45901,
     /*  160507 */     GIR_EraseRootFromParent_Done,
     /*  160508 */   // Label 3002: @160508
     /*  160508 */   GIM_Reject,
     /*  160509 */ // Label 2998: @160509
     /*  160509 */ GIM_Reject,
     /*  160510 */ // Label 2853: @160510
     /*  160510 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(160747),
     /*  160515 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160518 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160526 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(160581), // Rule ID 45864 //
     /*  160531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160534 */     // MIs[0] rs1
     /*  160534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160542 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160579 */     GIR_RootConstrainSelectedInstOperands,
     /*  160580 */     // GIR_Coverage, 45864,
     /*  160580 */     GIR_EraseRootFromParent_Done,
     /*  160581 */   // Label 3004: @160581
     /*  160581 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(160636), // Rule ID 45865 //
     /*  160586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160589 */     // MIs[0] rs1
     /*  160589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160597 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160634 */     GIR_RootConstrainSelectedInstOperands,
     /*  160635 */     // GIR_Coverage, 45865,
     /*  160635 */     GIR_EraseRootFromParent_Done,
     /*  160636 */   // Label 3005: @160636
     /*  160636 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(160691), // Rule ID 45924 //
     /*  160641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160644 */     // MIs[0] rs1
     /*  160644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160652 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160689 */     GIR_RootConstrainSelectedInstOperands,
     /*  160690 */     // GIR_Coverage, 45924,
     /*  160690 */     GIR_EraseRootFromParent_Done,
     /*  160691 */   // Label 3006: @160691
     /*  160691 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(160746), // Rule ID 45925 //
     /*  160696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160699 */     // MIs[0] rs1
     /*  160699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160707 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160744 */     GIR_RootConstrainSelectedInstOperands,
     /*  160745 */     // GIR_Coverage, 45925,
     /*  160745 */     GIR_EraseRootFromParent_Done,
     /*  160746 */   // Label 3007: @160746
     /*  160746 */   GIM_Reject,
     /*  160747 */ // Label 3003: @160747
     /*  160747 */ GIM_Reject,
     /*  160748 */ // Label 2854: @160748
     /*  160748 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(160985),
     /*  160753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160756 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160764 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160819), // Rule ID 45880 //
     /*  160769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  160772 */     // MIs[0] rs1
     /*  160772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160780 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160817 */     GIR_RootConstrainSelectedInstOperands,
     /*  160818 */     // GIR_Coverage, 45880,
     /*  160818 */     GIR_EraseRootFromParent_Done,
     /*  160819 */   // Label 3009: @160819
     /*  160819 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(160874), // Rule ID 45881 //
     /*  160824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160827 */     // MIs[0] rs1
     /*  160827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160835 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160872 */     GIR_RootConstrainSelectedInstOperands,
     /*  160873 */     // GIR_Coverage, 45881,
     /*  160873 */     GIR_EraseRootFromParent_Done,
     /*  160874 */   // Label 3010: @160874
     /*  160874 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(160929), // Rule ID 45940 //
     /*  160879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  160882 */     // MIs[0] rs1
     /*  160882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160890 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160927 */     GIR_RootConstrainSelectedInstOperands,
     /*  160928 */     // GIR_Coverage, 45940,
     /*  160928 */     GIR_EraseRootFromParent_Done,
     /*  160929 */   // Label 3011: @160929
     /*  160929 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160984), // Rule ID 45941 //
     /*  160934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  160937 */     // MIs[0] rs1
     /*  160937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160945 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160982 */     GIR_RootConstrainSelectedInstOperands,
     /*  160983 */     // GIR_Coverage, 45941,
     /*  160983 */     GIR_EraseRootFromParent_Done,
     /*  160984 */   // Label 3012: @160984
     /*  160984 */   GIM_Reject,
     /*  160985 */ // Label 3008: @160985
     /*  160985 */ GIM_Reject,
     /*  160986 */ // Label 2855: @160986
     /*  160986 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(161105),
     /*  160991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161010 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(161057), // Rule ID 45956 //
     /*  161015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161018 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161055 */     GIR_RootConstrainSelectedInstOperands,
     /*  161056 */     // GIR_Coverage, 45956,
     /*  161056 */     GIR_EraseRootFromParent_Done,
     /*  161057 */   // Label 3014: @161057
     /*  161057 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161104), // Rule ID 45957 //
     /*  161062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161065 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161102 */     GIR_RootConstrainSelectedInstOperands,
     /*  161103 */     // GIR_Coverage, 45957,
     /*  161103 */     GIR_EraseRootFromParent_Done,
     /*  161104 */   // Label 3015: @161104
     /*  161104 */   GIM_Reject,
     /*  161105 */ // Label 3013: @161105
     /*  161105 */ GIM_Reject,
     /*  161106 */ // Label 2856: @161106
     /*  161106 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161233),
     /*  161111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161114 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161122 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161177), // Rule ID 45824 //
     /*  161127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161130 */     // MIs[0] rs1
     /*  161130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161138 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161175 */     GIR_RootConstrainSelectedInstOperands,
     /*  161176 */     // GIR_Coverage, 45824,
     /*  161176 */     GIR_EraseRootFromParent_Done,
     /*  161177 */   // Label 3017: @161177
     /*  161177 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161232), // Rule ID 45825 //
     /*  161182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161185 */     // MIs[0] rs1
     /*  161185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161193 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161230 */     GIR_RootConstrainSelectedInstOperands,
     /*  161231 */     // GIR_Coverage, 45825,
     /*  161231 */     GIR_EraseRootFromParent_Done,
     /*  161232 */   // Label 3018: @161232
     /*  161232 */   GIM_Reject,
     /*  161233 */ // Label 3016: @161233
     /*  161233 */ GIM_Reject,
     /*  161234 */ // Label 2857: @161234
     /*  161234 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(161471),
     /*  161239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161242 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161250 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(161305), // Rule ID 45852 //
     /*  161255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161258 */     // MIs[0] rs1
     /*  161258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161266 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161303 */     GIR_RootConstrainSelectedInstOperands,
     /*  161304 */     // GIR_Coverage, 45852,
     /*  161304 */     GIR_EraseRootFromParent_Done,
     /*  161305 */   // Label 3020: @161305
     /*  161305 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(161360), // Rule ID 45853 //
     /*  161310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161313 */     // MIs[0] rs1
     /*  161313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161321 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161354 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161358 */     GIR_RootConstrainSelectedInstOperands,
     /*  161359 */     // GIR_Coverage, 45853,
     /*  161359 */     GIR_EraseRootFromParent_Done,
     /*  161360 */   // Label 3021: @161360
     /*  161360 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(161415), // Rule ID 45912 //
     /*  161365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  161368 */     // MIs[0] rs1
     /*  161368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161376 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161413 */     GIR_RootConstrainSelectedInstOperands,
     /*  161414 */     // GIR_Coverage, 45912,
     /*  161414 */     GIR_EraseRootFromParent_Done,
     /*  161415 */   // Label 3022: @161415
     /*  161415 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(161470), // Rule ID 45913 //
     /*  161420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161423 */     // MIs[0] rs1
     /*  161423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161431 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161468 */     GIR_RootConstrainSelectedInstOperands,
     /*  161469 */     // GIR_Coverage, 45913,
     /*  161469 */     GIR_EraseRootFromParent_Done,
     /*  161470 */   // Label 3023: @161470
     /*  161470 */   GIM_Reject,
     /*  161471 */ // Label 3019: @161471
     /*  161471 */ GIM_Reject,
     /*  161472 */ // Label 2858: @161472
     /*  161472 */ GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(161709),
     /*  161477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161480 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161488 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(161543), // Rule ID 45868 //
     /*  161493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161496 */     // MIs[0] rs1
     /*  161496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161504 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161541 */     GIR_RootConstrainSelectedInstOperands,
     /*  161542 */     // GIR_Coverage, 45868,
     /*  161542 */     GIR_EraseRootFromParent_Done,
     /*  161543 */   // Label 3025: @161543
     /*  161543 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(161598), // Rule ID 45869 //
     /*  161548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161551 */     // MIs[0] rs1
     /*  161551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161559 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161596 */     GIR_RootConstrainSelectedInstOperands,
     /*  161597 */     // GIR_Coverage, 45869,
     /*  161597 */     GIR_EraseRootFromParent_Done,
     /*  161598 */   // Label 3026: @161598
     /*  161598 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(161653), // Rule ID 45928 //
     /*  161603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  161606 */     // MIs[0] rs1
     /*  161606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161614 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161651 */     GIR_RootConstrainSelectedInstOperands,
     /*  161652 */     // GIR_Coverage, 45928,
     /*  161652 */     GIR_EraseRootFromParent_Done,
     /*  161653 */   // Label 3027: @161653
     /*  161653 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(161708), // Rule ID 45929 //
     /*  161658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  161661 */     // MIs[0] rs1
     /*  161661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161669 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161706 */     GIR_RootConstrainSelectedInstOperands,
     /*  161707 */     // GIR_Coverage, 45929,
     /*  161707 */     GIR_EraseRootFromParent_Done,
     /*  161708 */   // Label 3028: @161708
     /*  161708 */   GIM_Reject,
     /*  161709 */ // Label 3024: @161709
     /*  161709 */ GIM_Reject,
     /*  161710 */ // Label 2859: @161710
     /*  161710 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(161947),
     /*  161715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161718 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161726 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(161781), // Rule ID 45884 //
     /*  161731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161734 */     // MIs[0] rs1
     /*  161734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161742 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161779 */     GIR_RootConstrainSelectedInstOperands,
     /*  161780 */     // GIR_Coverage, 45884,
     /*  161780 */     GIR_EraseRootFromParent_Done,
     /*  161781 */   // Label 3030: @161781
     /*  161781 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(161836), // Rule ID 45885 //
     /*  161786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161789 */     // MIs[0] rs1
     /*  161789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161797 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161834 */     GIR_RootConstrainSelectedInstOperands,
     /*  161835 */     // GIR_Coverage, 45885,
     /*  161835 */     GIR_EraseRootFromParent_Done,
     /*  161836 */   // Label 3031: @161836
     /*  161836 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(161891), // Rule ID 45944 //
     /*  161841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  161844 */     // MIs[0] rs1
     /*  161844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161852 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161889 */     GIR_RootConstrainSelectedInstOperands,
     /*  161890 */     // GIR_Coverage, 45944,
     /*  161890 */     GIR_EraseRootFromParent_Done,
     /*  161891 */   // Label 3032: @161891
     /*  161891 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161946), // Rule ID 45945 //
     /*  161896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  161899 */     // MIs[0] rs1
     /*  161899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161907 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161944 */     GIR_RootConstrainSelectedInstOperands,
     /*  161945 */     // GIR_Coverage, 45945,
     /*  161945 */     GIR_EraseRootFromParent_Done,
     /*  161946 */   // Label 3033: @161946
     /*  161946 */   GIM_Reject,
     /*  161947 */ // Label 3029: @161947
     /*  161947 */ GIM_Reject,
     /*  161948 */ // Label 2860: @161948
     /*  161948 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(162067),
     /*  161953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161956 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161972 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(162019), // Rule ID 45960 //
     /*  161977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161980 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162017 */     GIR_RootConstrainSelectedInstOperands,
     /*  162018 */     // GIR_Coverage, 45960,
     /*  162018 */     GIR_EraseRootFromParent_Done,
     /*  162019 */   // Label 3035: @162019
     /*  162019 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(162066), // Rule ID 45961 //
     /*  162024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162027 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  162030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  162044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162064 */     GIR_RootConstrainSelectedInstOperands,
     /*  162065 */     // GIR_Coverage, 45961,
     /*  162065 */     GIR_EraseRootFromParent_Done,
     /*  162066 */   // Label 3036: @162066
     /*  162066 */   GIM_Reject,
     /*  162067 */ // Label 3034: @162067
     /*  162067 */ GIM_Reject,
     /*  162068 */ // Label 2861: @162068
     /*  162068 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162195),
     /*  162073 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162076 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162084 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162139), // Rule ID 45840 //
     /*  162089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162092 */     // MIs[0] rs1
     /*  162092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162100 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162137 */     GIR_RootConstrainSelectedInstOperands,
     /*  162138 */     // GIR_Coverage, 45840,
     /*  162138 */     GIR_EraseRootFromParent_Done,
     /*  162139 */   // Label 3038: @162139
     /*  162139 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162194), // Rule ID 45841 //
     /*  162144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162147 */     // MIs[0] rs1
     /*  162147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162155 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162192 */     GIR_RootConstrainSelectedInstOperands,
     /*  162193 */     // GIR_Coverage, 45841,
     /*  162193 */     GIR_EraseRootFromParent_Done,
     /*  162194 */   // Label 3039: @162194
     /*  162194 */   GIM_Reject,
     /*  162195 */ // Label 3037: @162195
     /*  162195 */ GIM_Reject,
     /*  162196 */ // Label 2862: @162196
     /*  162196 */ GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(162433),
     /*  162201 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162204 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162212 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162267), // Rule ID 45856 //
     /*  162217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162220 */     // MIs[0] rs1
     /*  162220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162228 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162265 */     GIR_RootConstrainSelectedInstOperands,
     /*  162266 */     // GIR_Coverage, 45856,
     /*  162266 */     GIR_EraseRootFromParent_Done,
     /*  162267 */   // Label 3041: @162267
     /*  162267 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(162322), // Rule ID 45857 //
     /*  162272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162275 */     // MIs[0] rs1
     /*  162275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162283 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162320 */     GIR_RootConstrainSelectedInstOperands,
     /*  162321 */     // GIR_Coverage, 45857,
     /*  162321 */     GIR_EraseRootFromParent_Done,
     /*  162322 */   // Label 3042: @162322
     /*  162322 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(162377), // Rule ID 45916 //
     /*  162327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162330 */     // MIs[0] rs1
     /*  162330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162338 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162375 */     GIR_RootConstrainSelectedInstOperands,
     /*  162376 */     // GIR_Coverage, 45916,
     /*  162376 */     GIR_EraseRootFromParent_Done,
     /*  162377 */   // Label 3043: @162377
     /*  162377 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(162432), // Rule ID 45917 //
     /*  162382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162385 */     // MIs[0] rs1
     /*  162385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162393 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162430 */     GIR_RootConstrainSelectedInstOperands,
     /*  162431 */     // GIR_Coverage, 45917,
     /*  162431 */     GIR_EraseRootFromParent_Done,
     /*  162432 */   // Label 3044: @162432
     /*  162432 */   GIM_Reject,
     /*  162433 */ // Label 3040: @162433
     /*  162433 */ GIM_Reject,
     /*  162434 */ // Label 2863: @162434
     /*  162434 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(162671),
     /*  162439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162442 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162450 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(162505), // Rule ID 45872 //
     /*  162455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162458 */     // MIs[0] rs1
     /*  162458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162466 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162503 */     GIR_RootConstrainSelectedInstOperands,
     /*  162504 */     // GIR_Coverage, 45872,
     /*  162504 */     GIR_EraseRootFromParent_Done,
     /*  162505 */   // Label 3046: @162505
     /*  162505 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(162560), // Rule ID 45873 //
     /*  162510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162513 */     // MIs[0] rs1
     /*  162513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162521 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162558 */     GIR_RootConstrainSelectedInstOperands,
     /*  162559 */     // GIR_Coverage, 45873,
     /*  162559 */     GIR_EraseRootFromParent_Done,
     /*  162560 */   // Label 3047: @162560
     /*  162560 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(162615), // Rule ID 45932 //
     /*  162565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162568 */     // MIs[0] rs1
     /*  162568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162576 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162613 */     GIR_RootConstrainSelectedInstOperands,
     /*  162614 */     // GIR_Coverage, 45932,
     /*  162614 */     GIR_EraseRootFromParent_Done,
     /*  162615 */   // Label 3048: @162615
     /*  162615 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(162670), // Rule ID 45933 //
     /*  162620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162623 */     // MIs[0] rs1
     /*  162623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162631 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162668 */     GIR_RootConstrainSelectedInstOperands,
     /*  162669 */     // GIR_Coverage, 45933,
     /*  162669 */     GIR_EraseRootFromParent_Done,
     /*  162670 */   // Label 3049: @162670
     /*  162670 */   GIM_Reject,
     /*  162671 */ // Label 3045: @162671
     /*  162671 */ GIM_Reject,
     /*  162672 */ // Label 2864: @162672
     /*  162672 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(162791),
     /*  162677 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162680 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162688 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162696 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(162743), // Rule ID 45964 //
     /*  162701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162704 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162737 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162741 */     GIR_RootConstrainSelectedInstOperands,
     /*  162742 */     // GIR_Coverage, 45964,
     /*  162742 */     GIR_EraseRootFromParent_Done,
     /*  162743 */   // Label 3051: @162743
     /*  162743 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(162790), // Rule ID 45965 //
     /*  162748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162751 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162788 */     GIR_RootConstrainSelectedInstOperands,
     /*  162789 */     // GIR_Coverage, 45965,
     /*  162789 */     GIR_EraseRootFromParent_Done,
     /*  162790 */   // Label 3052: @162790
     /*  162790 */   GIM_Reject,
     /*  162791 */ // Label 3050: @162791
     /*  162791 */ GIM_Reject,
     /*  162792 */ // Label 2865: @162792
     /*  162792 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(162919),
     /*  162797 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162800 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162808 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(162863), // Rule ID 45844 //
     /*  162813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162816 */     // MIs[0] rs1
     /*  162816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162824 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162861 */     GIR_RootConstrainSelectedInstOperands,
     /*  162862 */     // GIR_Coverage, 45844,
     /*  162862 */     GIR_EraseRootFromParent_Done,
     /*  162863 */   // Label 3054: @162863
     /*  162863 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(162918), // Rule ID 45845 //
     /*  162868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162871 */     // MIs[0] rs1
     /*  162871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162879 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162916 */     GIR_RootConstrainSelectedInstOperands,
     /*  162917 */     // GIR_Coverage, 45845,
     /*  162917 */     GIR_EraseRootFromParent_Done,
     /*  162918 */   // Label 3055: @162918
     /*  162918 */   GIM_Reject,
     /*  162919 */ // Label 3053: @162919
     /*  162919 */ GIM_Reject,
     /*  162920 */ // Label 2866: @162920
     /*  162920 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(163157),
     /*  162925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162928 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162936 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(162991), // Rule ID 45860 //
     /*  162941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162944 */     // MIs[0] rs1
     /*  162944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162952 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162989 */     GIR_RootConstrainSelectedInstOperands,
     /*  162990 */     // GIR_Coverage, 45860,
     /*  162990 */     GIR_EraseRootFromParent_Done,
     /*  162991 */   // Label 3057: @162991
     /*  162991 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(163046), // Rule ID 45861 //
     /*  162996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162999 */     // MIs[0] rs1
     /*  162999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163007 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163044 */     GIR_RootConstrainSelectedInstOperands,
     /*  163045 */     // GIR_Coverage, 45861,
     /*  163045 */     GIR_EraseRootFromParent_Done,
     /*  163046 */   // Label 3058: @163046
     /*  163046 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(163101), // Rule ID 45920 //
     /*  163051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163054 */     // MIs[0] rs1
     /*  163054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163062 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163099 */     GIR_RootConstrainSelectedInstOperands,
     /*  163100 */     // GIR_Coverage, 45920,
     /*  163100 */     GIR_EraseRootFromParent_Done,
     /*  163101 */   // Label 3059: @163101
     /*  163101 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(163156), // Rule ID 45921 //
     /*  163106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163109 */     // MIs[0] rs1
     /*  163109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163117 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163154 */     GIR_RootConstrainSelectedInstOperands,
     /*  163155 */     // GIR_Coverage, 45921,
     /*  163155 */     GIR_EraseRootFromParent_Done,
     /*  163156 */   // Label 3060: @163156
     /*  163156 */   GIM_Reject,
     /*  163157 */ // Label 3056: @163157
     /*  163157 */ GIM_Reject,
     /*  163158 */ // Label 2867: @163158
     /*  163158 */ GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(163277),
     /*  163163 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163166 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163182 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163229), // Rule ID 45968 //
     /*  163187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163190 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163227 */     GIR_RootConstrainSelectedInstOperands,
     /*  163228 */     // GIR_Coverage, 45968,
     /*  163228 */     GIR_EraseRootFromParent_Done,
     /*  163229 */   // Label 3062: @163229
     /*  163229 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163276), // Rule ID 45969 //
     /*  163234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163237 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163274 */     GIR_RootConstrainSelectedInstOperands,
     /*  163275 */     // GIR_Coverage, 45969,
     /*  163275 */     GIR_EraseRootFromParent_Done,
     /*  163276 */   // Label 3063: @163276
     /*  163276 */   GIM_Reject,
     /*  163277 */ // Label 3061: @163277
     /*  163277 */ GIM_Reject,
     /*  163278 */ // Label 2868: @163278
     /*  163278 */ GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(163405),
     /*  163283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163286 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163294 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(163349), // Rule ID 45848 //
     /*  163299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163302 */     // MIs[0] rs1
     /*  163302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163310 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163347 */     GIR_RootConstrainSelectedInstOperands,
     /*  163348 */     // GIR_Coverage, 45848,
     /*  163348 */     GIR_EraseRootFromParent_Done,
     /*  163349 */   // Label 3065: @163349
     /*  163349 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(163404), // Rule ID 45849 //
     /*  163354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163357 */     // MIs[0] rs1
     /*  163357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163365 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163402 */     GIR_RootConstrainSelectedInstOperands,
     /*  163403 */     // GIR_Coverage, 45849,
     /*  163403 */     GIR_EraseRootFromParent_Done,
     /*  163404 */   // Label 3066: @163404
     /*  163404 */   GIM_Reject,
     /*  163405 */ // Label 3064: @163405
     /*  163405 */ GIM_Reject,
     /*  163406 */ // Label 2869: @163406
     /*  163406 */ GIM_Reject,
     /*  163407 */ // Label 22: @163407
     /*  163407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3069*/ GIMT_Encode4(165376),
     /*  163418 */ /*GILLT_s32*//*Label 3067*/ GIMT_Encode4(163426),
     /*  163422 */ /*GILLT_s64*//*Label 3068*/ GIMT_Encode4(164802),
     /*  163426 */ // Label 3067: @163426
     /*  163426 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(163533), // Rule ID 73952 //
     /*  163431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163434 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163437 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163448 */   // MIs[0] Operand 1
     /*  163448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163452 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163456 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163460 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163464 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163468 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163472 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163476 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163480 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163484 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163489 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163493 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163497 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163501 */   // MIs[3] Operand 1
     /*  163501 */   // No operand predicates
     /*  163501 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163506 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163508 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163513 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163517 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163521 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163524 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163531 */   GIR_RootConstrainSelectedInstOperands,
     /*  163532 */   // GIR_Coverage, 73952,
     /*  163532 */   GIR_EraseRootFromParent_Done,
     /*  163533 */ // Label 3070: @163533
     /*  163533 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(163640), // Rule ID 73953 //
     /*  163538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163544 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163555 */   // MIs[0] Operand 1
     /*  163555 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163567 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163571 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163575 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163579 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163583 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163587 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163591 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163596 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163600 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163604 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163608 */   // MIs[3] Operand 1
     /*  163608 */   // No operand predicates
     /*  163608 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163613 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163615 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163620 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163624 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163628 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163631 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163638 */   GIR_RootConstrainSelectedInstOperands,
     /*  163639 */   // GIR_Coverage, 73953,
     /*  163639 */   GIR_EraseRootFromParent_Done,
     /*  163640 */ // Label 3071: @163640
     /*  163640 */ GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(163747), // Rule ID 73956 //
     /*  163645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163648 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163662 */   // MIs[0] Operand 1
     /*  163662 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163666 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163670 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163674 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163678 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163682 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163686 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163690 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163694 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163698 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163703 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163707 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163711 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163715 */   // MIs[3] Operand 1
     /*  163715 */   // No operand predicates
     /*  163715 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163720 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163722 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163727 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163731 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163735 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163745 */   GIR_RootConstrainSelectedInstOperands,
     /*  163746 */   // GIR_Coverage, 73956,
     /*  163746 */   GIR_EraseRootFromParent_Done,
     /*  163747 */ // Label 3072: @163747
     /*  163747 */ GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(163854), // Rule ID 73957 //
     /*  163752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163755 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163769 */   // MIs[0] Operand 1
     /*  163769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163773 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163777 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163781 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163785 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163789 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163793 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163797 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163801 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163805 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163810 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163814 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163818 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163822 */   // MIs[3] Operand 1
     /*  163822 */   // No operand predicates
     /*  163822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163827 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163829 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163834 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163838 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163842 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163845 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163852 */   GIR_RootConstrainSelectedInstOperands,
     /*  163853 */   // GIR_Coverage, 73957,
     /*  163853 */   GIR_EraseRootFromParent_Done,
     /*  163854 */ // Label 3073: @163854
     /*  163854 */ GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(163961), // Rule ID 64467 //
     /*  163859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163865 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163876 */   // MIs[0] Operand 1
     /*  163876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163880 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163888 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163892 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163896 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163901 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163905 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163909 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163913 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163917 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163922 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163926 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163930 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163934 */   // MIs[3] Operand 1
     /*  163934 */   // No operand predicates
     /*  163934 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163936 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163941 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163945 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163949 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163959 */   GIR_RootConstrainSelectedInstOperands,
     /*  163960 */   // GIR_Coverage, 64467,
     /*  163960 */   GIR_EraseRootFromParent_Done,
     /*  163961 */ // Label 3074: @163961
     /*  163961 */ GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164068), // Rule ID 64468 //
     /*  163966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163969 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163972 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163983 */   // MIs[0] Operand 1
     /*  163983 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163987 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163991 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163995 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163999 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164003 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164008 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164012 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164016 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164020 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164024 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164029 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164033 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164037 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164041 */   // MIs[3] Operand 1
     /*  164041 */   // No operand predicates
     /*  164041 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164043 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  164046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164048 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164052 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164056 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164059 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164066 */   GIR_RootConstrainSelectedInstOperands,
     /*  164067 */   // GIR_Coverage, 64468,
     /*  164067 */   GIR_EraseRootFromParent_Done,
     /*  164068 */ // Label 3075: @164068
     /*  164068 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164175), // Rule ID 64471 //
     /*  164073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164090 */   // MIs[0] Operand 1
     /*  164090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164094 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164098 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164102 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164106 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164110 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164115 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164119 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164123 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164127 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164131 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164136 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164140 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164144 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164148 */   // MIs[3] Operand 1
     /*  164148 */   // No operand predicates
     /*  164148 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164150 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164155 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164159 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164163 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164166 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164173 */   GIR_RootConstrainSelectedInstOperands,
     /*  164174 */   // GIR_Coverage, 64471,
     /*  164174 */   GIR_EraseRootFromParent_Done,
     /*  164175 */ // Label 3076: @164175
     /*  164175 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(164282), // Rule ID 64472 //
     /*  164180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164183 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164186 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164197 */   // MIs[0] Operand 1
     /*  164197 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164201 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164205 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164209 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164213 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164217 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164222 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164226 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164230 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164234 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164238 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164243 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164247 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164251 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164255 */   // MIs[3] Operand 1
     /*  164255 */   // No operand predicates
     /*  164255 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164257 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164262 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164266 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164270 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164273 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164280 */   GIR_RootConstrainSelectedInstOperands,
     /*  164281 */   // GIR_Coverage, 64472,
     /*  164281 */   GIR_EraseRootFromParent_Done,
     /*  164282 */ // Label 3077: @164282
     /*  164282 */ GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(164336), // Rule ID 225 //
     /*  164287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164293 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164304 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164308 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164315 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164330 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164334 */   GIR_RootConstrainSelectedInstOperands,
     /*  164335 */   // GIR_Coverage, 225,
     /*  164335 */   GIR_EraseRootFromParent_Done,
     /*  164336 */ // Label 3078: @164336
     /*  164336 */ GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(164390), // Rule ID 229 //
     /*  164341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164344 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164347 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164369 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164388 */   GIR_RootConstrainSelectedInstOperands,
     /*  164389 */   // GIR_Coverage, 229,
     /*  164389 */   GIR_EraseRootFromParent_Done,
     /*  164390 */ // Label 3079: @164390
     /*  164390 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(164447), // Rule ID 316 //
     /*  164395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164398 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164401 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164408 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164426 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10077>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164445 */   GIR_RootConstrainSelectedInstOperands,
     /*  164446 */   // GIR_Coverage, 316,
     /*  164446 */   GIR_EraseRootFromParent_Done,
     /*  164447 */ // Label 3080: @164447
     /*  164447 */ GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164504), // Rule ID 320 //
     /*  164452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164455 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164465 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164472 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164476 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164483 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10079>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164502 */   GIR_RootConstrainSelectedInstOperands,
     /*  164503 */   // GIR_Coverage, 320,
     /*  164503 */   GIR_EraseRootFromParent_Done,
     /*  164504 */ // Label 3081: @164504
     /*  164504 */ GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(164561), // Rule ID 336 //
     /*  164509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  164512 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164515 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164522 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164540 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164559 */   GIR_RootConstrainSelectedInstOperands,
     /*  164560 */   // GIR_Coverage, 336,
     /*  164560 */   GIR_EraseRootFromParent_Done,
     /*  164561 */ // Label 3082: @164561
     /*  164561 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164601), // Rule ID 1092 //
     /*  164566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164569 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164572 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164586 */   // MIs[0] rs1
     /*  164586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164594 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164594 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164599 */   GIR_RootConstrainSelectedInstOperands,
     /*  164600 */   // GIR_Coverage, 1092,
     /*  164600 */   GIR_Done,
     /*  164601 */ // Label 3083: @164601
     /*  164601 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164641), // Rule ID 1096 //
     /*  164606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164609 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164619 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164626 */   // MIs[0] rs1
     /*  164626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164634 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164639 */   GIR_RootConstrainSelectedInstOperands,
     /*  164640 */   // GIR_Coverage, 1096,
     /*  164640 */   GIR_Done,
     /*  164641 */ // Label 3084: @164641
     /*  164641 */ GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(164681), // Rule ID 1100 //
     /*  164646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164649 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164652 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164659 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164666 */   // MIs[0] rs1
     /*  164666 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164674 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164679 */   GIR_RootConstrainSelectedInstOperands,
     /*  164680 */   // GIR_Coverage, 1100,
     /*  164680 */   GIR_Done,
     /*  164681 */ // Label 3085: @164681
     /*  164681 */ GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(164721), // Rule ID 1104 //
     /*  164686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164689 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164692 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164706 */   // MIs[0] rs1
     /*  164706 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164714 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164714 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164719 */   GIR_RootConstrainSelectedInstOperands,
     /*  164720 */   // GIR_Coverage, 1104,
     /*  164720 */   GIR_Done,
     /*  164721 */ // Label 3086: @164721
     /*  164721 */ GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(164761), // Rule ID 1124 //
     /*  164726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164729 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164732 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164739 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164746 */   // MIs[0] rs1
     /*  164746 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164754 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164754 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164759 */   GIR_RootConstrainSelectedInstOperands,
     /*  164760 */   // GIR_Coverage, 1124,
     /*  164760 */   GIR_Done,
     /*  164761 */ // Label 3087: @164761
     /*  164761 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(164801), // Rule ID 1128 //
     /*  164766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164769 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164772 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164779 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164786 */   // MIs[0] rs1
     /*  164786 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164794 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164794 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164799 */   GIR_RootConstrainSelectedInstOperands,
     /*  164800 */   // GIR_Coverage, 1128,
     /*  164800 */   GIR_Done,
     /*  164801 */ // Label 3088: @164801
     /*  164801 */ GIM_Reject,
     /*  164802 */ // Label 3068: @164802
     /*  164802 */ GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(164856), // Rule ID 224 //
     /*  164807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164813 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164828 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164835 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164854 */   GIR_RootConstrainSelectedInstOperands,
     /*  164855 */   // GIR_Coverage, 224,
     /*  164855 */   GIR_EraseRootFromParent_Done,
     /*  164856 */ // Label 3089: @164856
     /*  164856 */ GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(164910), // Rule ID 228 //
     /*  164861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164864 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164867 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164878 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164882 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164889 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164899 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164908 */   GIR_RootConstrainSelectedInstOperands,
     /*  164909 */   // GIR_Coverage, 228,
     /*  164909 */   GIR_EraseRootFromParent_Done,
     /*  164910 */ // Label 3090: @164910
     /*  164910 */ GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(164964), // Rule ID 275 //
     /*  164915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164918 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164921 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164936 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164943 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164953 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164958 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164962 */   GIR_RootConstrainSelectedInstOperands,
     /*  164963 */   // GIR_Coverage, 275,
     /*  164963 */   GIR_EraseRootFromParent_Done,
     /*  164964 */ // Label 3091: @164964
     /*  164964 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(165021), // Rule ID 315 //
     /*  164969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164972 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164975 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164982 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164989 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164993 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165000 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10077>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  165003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165019 */   GIR_RootConstrainSelectedInstOperands,
     /*  165020 */   // GIR_Coverage, 315,
     /*  165020 */   GIR_EraseRootFromParent_Done,
     /*  165021 */ // Label 3092: @165021
     /*  165021 */ GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165078), // Rule ID 319 //
     /*  165026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  165029 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165032 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165039 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165046 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165050 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165057 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10079>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  165060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165076 */   GIR_RootConstrainSelectedInstOperands,
     /*  165077 */   // GIR_Coverage, 319,
     /*  165077 */   GIR_EraseRootFromParent_Done,
     /*  165078 */ // Label 3093: @165078
     /*  165078 */ GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165135), // Rule ID 335 //
     /*  165083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  165086 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165096 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165103 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165107 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165114 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10093>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  165117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165129 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165133 */   GIR_RootConstrainSelectedInstOperands,
     /*  165134 */   // GIR_Coverage, 335,
     /*  165134 */   GIR_EraseRootFromParent_Done,
     /*  165135 */ // Label 3094: @165135
     /*  165135 */ GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(165175), // Rule ID 1091 //
     /*  165140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165143 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165146 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165160 */   // MIs[0] rs1
     /*  165160 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165168 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165173 */   GIR_RootConstrainSelectedInstOperands,
     /*  165174 */   // GIR_Coverage, 1091,
     /*  165174 */   GIR_Done,
     /*  165175 */ // Label 3095: @165175
     /*  165175 */ GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(165215), // Rule ID 1095 //
     /*  165180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165183 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165186 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165193 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165200 */   // MIs[0] rs1
     /*  165200 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165208 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10583>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165208 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165213 */   GIR_RootConstrainSelectedInstOperands,
     /*  165214 */   // GIR_Coverage, 1095,
     /*  165214 */   GIR_Done,
     /*  165215 */ // Label 3096: @165215
     /*  165215 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(165255), // Rule ID 1099 //
     /*  165220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165223 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165226 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165240 */   // MIs[0] rs1
     /*  165240 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165248 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165253 */   GIR_RootConstrainSelectedInstOperands,
     /*  165254 */   // GIR_Coverage, 1099,
     /*  165254 */   GIR_Done,
     /*  165255 */ // Label 3097: @165255
     /*  165255 */ GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(165295), // Rule ID 1103 //
     /*  165260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165263 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165280 */   // MIs[0] rs1
     /*  165280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165288 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10587>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165293 */   GIR_RootConstrainSelectedInstOperands,
     /*  165294 */   // GIR_Coverage, 1103,
     /*  165294 */   GIR_Done,
     /*  165295 */ // Label 3098: @165295
     /*  165295 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(165335), // Rule ID 1123 //
     /*  165300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165303 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165306 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165320 */   // MIs[0] rs1
     /*  165320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165328 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165328 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165333 */   GIR_RootConstrainSelectedInstOperands,
     /*  165334 */   // GIR_Coverage, 1123,
     /*  165334 */   GIR_Done,
     /*  165335 */ // Label 3099: @165335
     /*  165335 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(165375), // Rule ID 1127 //
     /*  165340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165343 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165346 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165360 */   // MIs[0] rs1
     /*  165360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165368 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10607>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165368 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165373 */   GIR_RootConstrainSelectedInstOperands,
     /*  165374 */   // GIR_Coverage, 1127,
     /*  165374 */   GIR_Done,
     /*  165375 */ // Label 3100: @165375
     /*  165375 */ GIM_Reject,
     /*  165376 */ // Label 3069: @165376
     /*  165376 */ GIM_Reject,
     /*  165377 */ // Label 23: @165377
     /*  165377 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3103*/ GIMT_Encode4(166866),
     /*  165388 */ /*GILLT_s32*//*Label 3101*/ GIMT_Encode4(165396),
     /*  165392 */ /*GILLT_s64*//*Label 3102*/ GIMT_Encode4(166532),
     /*  165396 */ // Label 3101: @165396
     /*  165396 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(165503), // Rule ID 73962 //
     /*  165401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165404 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165407 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165418 */   // MIs[0] Operand 1
     /*  165418 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165422 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165426 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165430 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165434 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165438 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165442 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165446 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165450 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165454 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165459 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165463 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165467 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165471 */   // MIs[3] Operand 1
     /*  165471 */   // No operand predicates
     /*  165471 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165476 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165478 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165483 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165487 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165491 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165494 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165501 */   GIR_RootConstrainSelectedInstOperands,
     /*  165502 */   // GIR_Coverage, 73962,
     /*  165502 */   GIR_EraseRootFromParent_Done,
     /*  165503 */ // Label 3104: @165503
     /*  165503 */ GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(165610), // Rule ID 73963 //
     /*  165508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165525 */   // MIs[0] Operand 1
     /*  165525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165529 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165533 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165537 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165541 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165545 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165549 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165553 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165557 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165561 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165566 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165570 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165574 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165578 */   // MIs[3] Operand 1
     /*  165578 */   // No operand predicates
     /*  165578 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165583 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165585 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165590 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165594 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165598 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165608 */   GIR_RootConstrainSelectedInstOperands,
     /*  165609 */   // GIR_Coverage, 73963,
     /*  165609 */   GIR_EraseRootFromParent_Done,
     /*  165610 */ // Label 3105: @165610
     /*  165610 */ GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(165717), // Rule ID 73964 //
     /*  165615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165618 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165621 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165632 */   // MIs[0] Operand 1
     /*  165632 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165636 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165640 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165644 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165648 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165652 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165656 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165660 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165664 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165668 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165673 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165677 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165681 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165685 */   // MIs[3] Operand 1
     /*  165685 */   // No operand predicates
     /*  165685 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165690 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165692 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165697 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165701 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165705 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165708 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165715 */   GIR_RootConstrainSelectedInstOperands,
     /*  165716 */   // GIR_Coverage, 73964,
     /*  165716 */   GIR_EraseRootFromParent_Done,
     /*  165717 */ // Label 3106: @165717
     /*  165717 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(165824), // Rule ID 73965 //
     /*  165722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165725 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165728 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165739 */   // MIs[0] Operand 1
     /*  165739 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165751 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165755 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165759 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165763 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165767 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165771 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165775 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165780 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165784 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165788 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165792 */   // MIs[3] Operand 1
     /*  165792 */   // No operand predicates
     /*  165792 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165797 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165799 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165804 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165808 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165812 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165815 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165822 */   GIR_RootConstrainSelectedInstOperands,
     /*  165823 */   // GIR_Coverage, 73965,
     /*  165823 */   GIR_EraseRootFromParent_Done,
     /*  165824 */ // Label 3107: @165824
     /*  165824 */ GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(165931), // Rule ID 64477 //
     /*  165829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165835 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165846 */   // MIs[0] Operand 1
     /*  165846 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165850 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165854 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165858 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165862 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165866 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165871 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165875 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165879 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165883 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165887 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165892 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165896 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165900 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165904 */   // MIs[3] Operand 1
     /*  165904 */   // No operand predicates
     /*  165904 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165906 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165911 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165915 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165919 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165929 */   GIR_RootConstrainSelectedInstOperands,
     /*  165930 */   // GIR_Coverage, 64477,
     /*  165930 */   GIR_EraseRootFromParent_Done,
     /*  165931 */ // Label 3108: @165931
     /*  165931 */ GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166038), // Rule ID 64478 //
     /*  165936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165942 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165953 */   // MIs[0] Operand 1
     /*  165953 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165957 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165961 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165965 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165969 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165973 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165978 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165982 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165986 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165990 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165994 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165999 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166003 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166007 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166011 */   // MIs[3] Operand 1
     /*  166011 */   // No operand predicates
     /*  166011 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166013 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  166016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166018 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166022 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166026 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166036 */   GIR_RootConstrainSelectedInstOperands,
     /*  166037 */   // GIR_Coverage, 64478,
     /*  166037 */   GIR_EraseRootFromParent_Done,
     /*  166038 */ // Label 3109: @166038
     /*  166038 */ GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166145), // Rule ID 64479 //
     /*  166043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166046 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166049 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166060 */   // MIs[0] Operand 1
     /*  166060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166064 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166068 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166072 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166080 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166085 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166089 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166093 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166097 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166101 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166106 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166110 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166114 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166118 */   // MIs[3] Operand 1
     /*  166118 */   // No operand predicates
     /*  166118 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166120 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166125 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166129 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166133 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166136 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166143 */   GIR_RootConstrainSelectedInstOperands,
     /*  166144 */   // GIR_Coverage, 64479,
     /*  166144 */   GIR_EraseRootFromParent_Done,
     /*  166145 */ // Label 3110: @166145
     /*  166145 */ GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166252), // Rule ID 64480 //
     /*  166150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166156 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166167 */   // MIs[0] Operand 1
     /*  166167 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166171 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166175 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166179 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166183 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166187 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166192 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166196 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166200 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166204 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166208 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166213 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166217 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166221 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166225 */   // MIs[3] Operand 1
     /*  166225 */   // No operand predicates
     /*  166225 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166227 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166232 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166236 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166240 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166243 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166250 */   GIR_RootConstrainSelectedInstOperands,
     /*  166251 */   // GIR_Coverage, 64480,
     /*  166251 */   GIR_EraseRootFromParent_Done,
     /*  166252 */ // Label 3111: @166252
     /*  166252 */ GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166306), // Rule ID 235 //
     /*  166257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166260 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166263 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166274 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166278 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166285 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166295 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166300 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166304 */   GIR_RootConstrainSelectedInstOperands,
     /*  166305 */   // GIR_Coverage, 235,
     /*  166305 */   GIR_EraseRootFromParent_Done,
     /*  166306 */ // Label 3112: @166306
     /*  166306 */ GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(166360), // Rule ID 237 //
     /*  166311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166314 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166317 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166332 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166339 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166358 */   GIR_RootConstrainSelectedInstOperands,
     /*  166359 */   // GIR_Coverage, 237,
     /*  166359 */   GIR_EraseRootFromParent_Done,
     /*  166360 */ // Label 3113: @166360
     /*  166360 */ GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(166417), // Rule ID 322 //
     /*  166365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166368 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166371 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166378 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166385 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166389 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166396 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10081>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166411 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166415 */   GIR_RootConstrainSelectedInstOperands,
     /*  166416 */   // GIR_Coverage, 322,
     /*  166416 */   GIR_EraseRootFromParent_Done,
     /*  166417 */ // Label 3114: @166417
     /*  166417 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(166474), // Rule ID 324 //
     /*  166422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166425 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166428 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166435 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166453 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10083>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166468 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166472 */   GIR_RootConstrainSelectedInstOperands,
     /*  166473 */   // GIR_Coverage, 324,
     /*  166473 */   GIR_EraseRootFromParent_Done,
     /*  166474 */ // Label 3115: @166474
     /*  166474 */ GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(166531), // Rule ID 338 //
     /*  166479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  166482 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166485 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166492 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166510 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10095>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166529 */   GIR_RootConstrainSelectedInstOperands,
     /*  166530 */   // GIR_Coverage, 338,
     /*  166530 */   GIR_EraseRootFromParent_Done,
     /*  166531 */ // Label 3116: @166531
     /*  166531 */ GIM_Reject,
     /*  166532 */ // Label 3102: @166532
     /*  166532 */ GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(166586), // Rule ID 234 //
     /*  166537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166540 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166543 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166554 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166558 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166565 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166580 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166584 */   GIR_RootConstrainSelectedInstOperands,
     /*  166585 */   // GIR_Coverage, 234,
     /*  166585 */   GIR_EraseRootFromParent_Done,
     /*  166586 */ // Label 3117: @166586
     /*  166586 */ GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(166640), // Rule ID 236 //
     /*  166591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166594 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166597 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166619 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166634 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166638 */   GIR_RootConstrainSelectedInstOperands,
     /*  166639 */   // GIR_Coverage, 236,
     /*  166639 */   GIR_EraseRootFromParent_Done,
     /*  166640 */ // Label 3118: @166640
     /*  166640 */ GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(166694), // Rule ID 277 //
     /*  166645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166648 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166662 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166666 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166673 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166688 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166692 */   GIR_RootConstrainSelectedInstOperands,
     /*  166693 */   // GIR_Coverage, 277,
     /*  166693 */   GIR_EraseRootFromParent_Done,
     /*  166694 */ // Label 3119: @166694
     /*  166694 */ GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(166751), // Rule ID 321 //
     /*  166699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166702 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166712 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166723 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166730 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10081>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166740 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166745 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166749 */   GIR_RootConstrainSelectedInstOperands,
     /*  166750 */   // GIR_Coverage, 321,
     /*  166750 */   GIR_EraseRootFromParent_Done,
     /*  166751 */ // Label 3120: @166751
     /*  166751 */ GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(166808), // Rule ID 323 //
     /*  166756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166759 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166762 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166769 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166787 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10083>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166802 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166806 */   GIR_RootConstrainSelectedInstOperands,
     /*  166807 */   // GIR_Coverage, 323,
     /*  166807 */   GIR_EraseRootFromParent_Done,
     /*  166808 */ // Label 3121: @166808
     /*  166808 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(166865), // Rule ID 337 //
     /*  166813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  166816 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166819 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166826 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  166829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166833 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166844 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10095>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166859 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166863 */   GIR_RootConstrainSelectedInstOperands,
     /*  166864 */   // GIR_Coverage, 337,
     /*  166864 */   GIR_EraseRootFromParent_Done,
     /*  166865 */ // Label 3122: @166865
     /*  166865 */ GIM_Reject,
     /*  166866 */ // Label 3103: @166866
     /*  166866 */ GIM_Reject,
     /*  166867 */ // Label 24: @166867
     /*  166867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3157*/ GIMT_Encode4(174968),
     /*  166878 */ /*GILLT_p0s32*//*Label 3123*/ GIMT_Encode4(167014),
     /*  166882 */ /*GILLT_p0s64*//*Label 3124*/ GIMT_Encode4(167108),
     /*  166886 */ /*GILLT_s16*//*Label 3125*/ GIMT_Encode4(167202),
     /*  166890 */ /*GILLT_s32*//*Label 3126*/ GIMT_Encode4(167841),
     /*  166894 */ /*GILLT_s64*//*Label 3127*/ GIMT_Encode4(170447),
     /*  166898 */ /*GILLT_nxv1s1*//*Label 3128*/ GIMT_Encode4(171422),
     /*  166902 */ /*GILLT_nxv1s8*//*Label 3129*/ GIMT_Encode4(171502),
     /*  166906 */ /*GILLT_nxv1s16*//*Label 3130*/ GIMT_Encode4(171590),
     /*  166910 */ /*GILLT_nxv1s32*//*Label 3131*/ GIMT_Encode4(171748),
     /*  166914 */ /*GILLT_nxv1s64*//*Label 3132*/ GIMT_Encode4(171906),
     /*  166918 */ /*GILLT_nxv2s1*//*Label 3133*/ GIMT_Encode4(172064),
     /*  166922 */ /*GILLT_nxv2s8*//*Label 3134*/ GIMT_Encode4(172144),
     /*  166926 */ /*GILLT_nxv2s16*//*Label 3135*/ GIMT_Encode4(172232),
     /*  166930 */ /*GILLT_nxv2s32*//*Label 3136*/ GIMT_Encode4(172390),
     /*  166934 */ /*GILLT_nxv2s64*//*Label 3137*/ GIMT_Encode4(172548),
     /*  166938 */ /*GILLT_nxv4s1*//*Label 3138*/ GIMT_Encode4(172706),
     /*  166942 */ /*GILLT_nxv4s8*//*Label 3139*/ GIMT_Encode4(172786),
     /*  166946 */ /*GILLT_nxv4s16*//*Label 3140*/ GIMT_Encode4(172874),
     /*  166950 */ /*GILLT_nxv4s32*//*Label 3141*/ GIMT_Encode4(173032),
     /*  166954 */ /*GILLT_nxv4s64*//*Label 3142*/ GIMT_Encode4(173190),
     /*  166958 */ /*GILLT_nxv8s1*//*Label 3143*/ GIMT_Encode4(173348),
     /*  166962 */ /*GILLT_nxv8s8*//*Label 3144*/ GIMT_Encode4(173428),
     /*  166966 */ /*GILLT_nxv8s16*//*Label 3145*/ GIMT_Encode4(173516),
     /*  166970 */ /*GILLT_nxv8s32*//*Label 3146*/ GIMT_Encode4(173674),
     /*  166974 */ /*GILLT_nxv8s64*//*Label 3147*/ GIMT_Encode4(173832),
     /*  166978 */ /*GILLT_nxv16s1*//*Label 3148*/ GIMT_Encode4(173990),
     /*  166982 */ /*GILLT_nxv16s8*//*Label 3149*/ GIMT_Encode4(174070),
     /*  166986 */ /*GILLT_nxv16s16*//*Label 3150*/ GIMT_Encode4(174158),
     /*  166990 */ /*GILLT_nxv16s32*//*Label 3151*/ GIMT_Encode4(174316),
     /*  166994 */ /*GILLT_nxv32s1*//*Label 3152*/ GIMT_Encode4(174474),
     /*  166998 */ /*GILLT_nxv32s8*//*Label 3153*/ GIMT_Encode4(174554),
     /*  167002 */ /*GILLT_nxv32s16*//*Label 3154*/ GIMT_Encode4(174642),
     /*  167006 */ /*GILLT_nxv64s1*//*Label 3155*/ GIMT_Encode4(174800),
     /*  167010 */ /*GILLT_nxv64s8*//*Label 3156*/ GIMT_Encode4(174880),
     /*  167014 */ // Label 3123: @167014
     /*  167014 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(167107),
     /*  167019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167030 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167034 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(167070), // Rule ID 64941 //
     /*  167039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  167042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167049 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167052 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167068 */     GIR_RootConstrainSelectedInstOperands,
     /*  167069 */     // GIR_Coverage, 64941,
     /*  167069 */     GIR_EraseRootFromParent_Done,
     /*  167070 */   // Label 3159: @167070
     /*  167070 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(167106), // Rule ID 64945 //
     /*  167075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  167078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167085 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  167088 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167104 */     GIR_RootConstrainSelectedInstOperands,
     /*  167105 */     // GIR_Coverage, 64945,
     /*  167105 */     GIR_EraseRootFromParent_Done,
     /*  167106 */   // Label 3160: @167106
     /*  167106 */   GIM_Reject,
     /*  167107 */ // Label 3158: @167107
     /*  167107 */ GIM_Reject,
     /*  167108 */ // Label 3124: @167108
     /*  167108 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(167201),
     /*  167113 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167116 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167128 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(167164), // Rule ID 64940 //
     /*  167133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  167136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167143 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167146 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167162 */     GIR_RootConstrainSelectedInstOperands,
     /*  167163 */     // GIR_Coverage, 64940,
     /*  167163 */     GIR_EraseRootFromParent_Done,
     /*  167164 */   // Label 3162: @167164
     /*  167164 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(167200), // Rule ID 64944 //
     /*  167169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  167172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167179 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  167182 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167198 */     GIR_RootConstrainSelectedInstOperands,
     /*  167199 */     // GIR_Coverage, 64944,
     /*  167199 */     GIR_EraseRootFromParent_Done,
     /*  167200 */   // Label 3163: @167200
     /*  167200 */   GIM_Reject,
     /*  167201 */ // Label 3161: @167201
     /*  167201 */ GIM_Reject,
     /*  167202 */ // Label 3125: @167202
     /*  167202 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(167256), // Rule ID 64958 //
     /*  167207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167210 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167228 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167235 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167238 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167240 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167250 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167254 */   GIR_RootConstrainSelectedInstOperands,
     /*  167255 */   // GIR_Coverage, 64958,
     /*  167255 */   GIR_EraseRootFromParent_Done,
     /*  167256 */ // Label 3164: @167256
     /*  167256 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(167310), // Rule ID 64959 //
     /*  167261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167264 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167267 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167282 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167289 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167292 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167299 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167304 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167308 */   GIR_RootConstrainSelectedInstOperands,
     /*  167309 */   // GIR_Coverage, 64959,
     /*  167309 */   GIR_EraseRootFromParent_Done,
     /*  167310 */ // Label 3165: @167310
     /*  167310 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(167364), // Rule ID 64960 //
     /*  167315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167318 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167321 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167336 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167343 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167346 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167358 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167362 */   GIR_RootConstrainSelectedInstOperands,
     /*  167363 */   // GIR_Coverage, 64960,
     /*  167363 */   GIR_EraseRootFromParent_Done,
     /*  167364 */ // Label 3166: @167364
     /*  167364 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(167418), // Rule ID 64961 //
     /*  167369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167372 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167375 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167386 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167397 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167400 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167412 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167416 */   GIR_RootConstrainSelectedInstOperands,
     /*  167417 */   // GIR_Coverage, 64961,
     /*  167417 */   GIR_EraseRootFromParent_Done,
     /*  167418 */ // Label 3167: @167418
     /*  167418 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(167469), // Rule ID 2042 //
     /*  167423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  167426 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167429 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167448 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167451 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167463 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167467 */   GIR_RootConstrainSelectedInstOperands,
     /*  167468 */   // GIR_Coverage, 2042,
     /*  167468 */   GIR_EraseRootFromParent_Done,
     /*  167469 */ // Label 3168: @167469
     /*  167469 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(167520), // Rule ID 2043 //
     /*  167474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  167477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167480 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167499 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167502 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167518 */   GIR_RootConstrainSelectedInstOperands,
     /*  167519 */   // GIR_Coverage, 2043,
     /*  167519 */   GIR_EraseRootFromParent_Done,
     /*  167520 */ // Label 3169: @167520
     /*  167520 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(167571), // Rule ID 2048 //
     /*  167525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  167528 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167531 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167550 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167553 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167565 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167569 */   GIR_RootConstrainSelectedInstOperands,
     /*  167570 */   // GIR_Coverage, 2048,
     /*  167570 */   GIR_EraseRootFromParent_Done,
     /*  167571 */ // Label 3170: @167571
     /*  167571 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(167622), // Rule ID 2049 //
     /*  167576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  167579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167601 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167604 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167620 */   GIR_RootConstrainSelectedInstOperands,
     /*  167621 */   // GIR_Coverage, 2049,
     /*  167621 */   GIR_EraseRootFromParent_Done,
     /*  167622 */ // Label 3171: @167622
     /*  167622 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(167673), // Rule ID 64948 //
     /*  167627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167630 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167633 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167641 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167645 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167652 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167655 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167671 */   GIR_RootConstrainSelectedInstOperands,
     /*  167672 */   // GIR_Coverage, 64948,
     /*  167672 */   GIR_EraseRootFromParent_Done,
     /*  167673 */ // Label 3172: @167673
     /*  167673 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(167724), // Rule ID 64949 //
     /*  167678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167703 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167706 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167718 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167722 */   GIR_RootConstrainSelectedInstOperands,
     /*  167723 */   // GIR_Coverage, 64949,
     /*  167723 */   GIR_EraseRootFromParent_Done,
     /*  167724 */ // Label 3173: @167724
     /*  167724 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(167782), // Rule ID 64952 //
     /*  167729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167735 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167739 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167750 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167754 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167761 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167764 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167776 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167780 */   GIR_RootConstrainSelectedInstOperands,
     /*  167781 */   // GIR_Coverage, 64952,
     /*  167781 */   GIR_EraseRootFromParent_Done,
     /*  167782 */ // Label 3174: @167782
     /*  167782 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(167840), // Rule ID 64953 //
     /*  167787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167790 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167793 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167797 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167808 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167812 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167819 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167822 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167824 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167829 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167834 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167838 */   GIR_RootConstrainSelectedInstOperands,
     /*  167839 */   // GIR_Coverage, 64953,
     /*  167839 */   GIR_EraseRootFromParent_Done,
     /*  167840 */ // Label 3175: @167840
     /*  167840 */ GIM_Reject,
     /*  167841 */ // Label 3126: @167841
     /*  167841 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(167952), // Rule ID 73966 //
     /*  167846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167849 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167852 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167856 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167867 */   // MIs[0] Operand 1
     /*  167867 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167871 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167875 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167879 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167883 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167887 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167891 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167895 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167899 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167903 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167908 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167912 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167916 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167920 */   // MIs[3] Operand 1
     /*  167920 */   // No operand predicates
     /*  167920 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167925 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167927 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167930 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167932 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167936 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167940 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167943 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167950 */   GIR_RootConstrainSelectedInstOperands,
     /*  167951 */   // GIR_Coverage, 73966,
     /*  167951 */   GIR_EraseRootFromParent_Done,
     /*  167952 */ // Label 3176: @167952
     /*  167952 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(168063), // Rule ID 73967 //
     /*  167957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167960 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167963 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167967 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167978 */   // MIs[0] Operand 1
     /*  167978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167982 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167990 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167994 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167998 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168002 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168006 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168010 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168014 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168019 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168023 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168027 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168031 */   // MIs[3] Operand 1
     /*  168031 */   // No operand predicates
     /*  168031 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168036 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168038 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168041 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168043 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168047 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168051 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168054 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168061 */   GIR_RootConstrainSelectedInstOperands,
     /*  168062 */   // GIR_Coverage, 73967,
     /*  168062 */   GIR_EraseRootFromParent_Done,
     /*  168063 */ // Label 3177: @168063
     /*  168063 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(168174), // Rule ID 73968 //
     /*  168068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168071 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168074 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168089 */   // MIs[0] Operand 1
     /*  168089 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168093 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168097 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168101 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168105 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168109 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168113 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168117 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168121 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168125 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168130 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168134 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168138 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168142 */   // MIs[3] Operand 1
     /*  168142 */   // No operand predicates
     /*  168142 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168147 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168149 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168152 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168154 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168158 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168162 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168172 */   GIR_RootConstrainSelectedInstOperands,
     /*  168173 */   // GIR_Coverage, 73968,
     /*  168173 */   GIR_EraseRootFromParent_Done,
     /*  168174 */ // Label 3178: @168174
     /*  168174 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(168285), // Rule ID 73969 //
     /*  168179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168185 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168189 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168200 */   // MIs[0] Operand 1
     /*  168200 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168204 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168212 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168216 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168220 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168224 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168228 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168232 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168236 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168241 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168245 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168249 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168253 */   // MIs[3] Operand 1
     /*  168253 */   // No operand predicates
     /*  168253 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168258 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168260 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168263 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168265 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168269 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168273 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168283 */   GIR_RootConstrainSelectedInstOperands,
     /*  168284 */   // GIR_Coverage, 73969,
     /*  168284 */   GIR_EraseRootFromParent_Done,
     /*  168285 */ // Label 3179: @168285
     /*  168285 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(168389), // Rule ID 73970 //
     /*  168290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168293 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168296 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168304 */   // MIs[0] Operand 1
     /*  168304 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168308 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168312 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168316 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168320 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168324 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168328 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168332 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168336 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168340 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168345 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168349 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168353 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168357 */   // MIs[3] Operand 1
     /*  168357 */   // No operand predicates
     /*  168357 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168362 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168364 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168367 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168369 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168373 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168377 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168387 */   GIR_RootConstrainSelectedInstOperands,
     /*  168388 */   // GIR_Coverage, 73970,
     /*  168388 */   GIR_EraseRootFromParent_Done,
     /*  168389 */ // Label 3180: @168389
     /*  168389 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(168493), // Rule ID 73971 //
     /*  168394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168397 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168400 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168408 */   // MIs[0] Operand 1
     /*  168408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168412 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168416 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168420 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168424 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168428 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168432 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168436 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168440 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168444 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168449 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168453 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168457 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168461 */   // MIs[3] Operand 1
     /*  168461 */   // No operand predicates
     /*  168461 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168466 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168468 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168471 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168473 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168477 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168481 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168491 */   GIR_RootConstrainSelectedInstOperands,
     /*  168492 */   // GIR_Coverage, 73971,
     /*  168492 */   GIR_EraseRootFromParent_Done,
     /*  168493 */ // Label 3181: @168493
     /*  168493 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(168604), // Rule ID 64481 //
     /*  168498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168501 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168504 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168508 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168519 */   // MIs[0] Operand 1
     /*  168519 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168523 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168527 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168531 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168535 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168539 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168544 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168548 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168552 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168556 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168560 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168565 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168569 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168573 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168577 */   // MIs[3] Operand 1
     /*  168577 */   // No operand predicates
     /*  168577 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168579 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168582 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168584 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168588 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168592 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168595 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168602 */   GIR_RootConstrainSelectedInstOperands,
     /*  168603 */   // GIR_Coverage, 64481,
     /*  168603 */   GIR_EraseRootFromParent_Done,
     /*  168604 */ // Label 3182: @168604
     /*  168604 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(168715), // Rule ID 64482 //
     /*  168609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168612 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168615 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168619 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168630 */   // MIs[0] Operand 1
     /*  168630 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168634 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168638 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168642 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168646 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168650 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168655 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168659 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168663 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168667 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168671 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168676 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168680 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168684 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168688 */   // MIs[3] Operand 1
     /*  168688 */   // No operand predicates
     /*  168688 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168690 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168693 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168695 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168699 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168703 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168706 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168713 */   GIR_RootConstrainSelectedInstOperands,
     /*  168714 */   // GIR_Coverage, 64482,
     /*  168714 */   GIR_EraseRootFromParent_Done,
     /*  168715 */ // Label 3183: @168715
     /*  168715 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(168826), // Rule ID 64483 //
     /*  168720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168726 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168730 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168741 */   // MIs[0] Operand 1
     /*  168741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168745 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168749 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168753 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168757 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168761 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168766 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168770 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168774 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168778 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168782 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168787 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168791 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168795 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168799 */   // MIs[3] Operand 1
     /*  168799 */   // No operand predicates
     /*  168799 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168801 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168804 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168806 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168810 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168814 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168824 */   GIR_RootConstrainSelectedInstOperands,
     /*  168825 */   // GIR_Coverage, 64483,
     /*  168825 */   GIR_EraseRootFromParent_Done,
     /*  168826 */ // Label 3184: @168826
     /*  168826 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(168937), // Rule ID 64484 //
     /*  168831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168834 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168837 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168841 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168852 */   // MIs[0] Operand 1
     /*  168852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168856 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168860 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168864 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168868 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168872 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168877 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168881 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168885 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168889 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168893 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168898 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168902 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168906 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168910 */   // MIs[3] Operand 1
     /*  168910 */   // No operand predicates
     /*  168910 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168912 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168915 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168917 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168921 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168925 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168928 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168935 */   GIR_RootConstrainSelectedInstOperands,
     /*  168936 */   // GIR_Coverage, 64484,
     /*  168936 */   GIR_EraseRootFromParent_Done,
     /*  168937 */ // Label 3185: @168937
     /*  168937 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(169041), // Rule ID 64485 //
     /*  168942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168945 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168948 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168956 */   // MIs[0] Operand 1
     /*  168956 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168960 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168964 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168968 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168972 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168976 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168981 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168985 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168989 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168993 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168997 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169002 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169006 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169010 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169014 */   // MIs[3] Operand 1
     /*  169014 */   // No operand predicates
     /*  169014 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169016 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  169019 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  169021 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  169025 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169029 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169032 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169039 */   GIR_RootConstrainSelectedInstOperands,
     /*  169040 */   // GIR_Coverage, 64485,
     /*  169040 */   GIR_EraseRootFromParent_Done,
     /*  169041 */ // Label 3186: @169041
     /*  169041 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(169145), // Rule ID 64486 //
     /*  169046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169060 */   // MIs[0] Operand 1
     /*  169060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169064 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169068 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169072 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169080 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169085 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  169089 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169093 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169097 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  169101 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169106 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169110 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169114 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169118 */   // MIs[3] Operand 1
     /*  169118 */   // No operand predicates
     /*  169118 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169120 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  169120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  169123 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  169125 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  169129 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169133 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169136 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169143 */   GIR_RootConstrainSelectedInstOperands,
     /*  169144 */   // GIR_Coverage, 64486,
     /*  169144 */   GIR_EraseRootFromParent_Done,
     /*  169145 */ // Label 3187: @169145
     /*  169145 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(169202), // Rule ID 326 //
     /*  169150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169153 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169156 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169163 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169170 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169174 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169181 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10085>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169184 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169191 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169196 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169200 */   GIR_RootConstrainSelectedInstOperands,
     /*  169201 */   // GIR_Coverage, 326,
     /*  169201 */   GIR_EraseRootFromParent_Done,
     /*  169202 */ // Label 3188: @169202
     /*  169202 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(169259), // Rule ID 328 //
     /*  169207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169210 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169220 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169231 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169238 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10087>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169241 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169243 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169253 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169257 */   GIR_RootConstrainSelectedInstOperands,
     /*  169258 */   // GIR_Coverage, 328,
     /*  169258 */   GIR_EraseRootFromParent_Done,
     /*  169259 */ // Label 3189: @169259
     /*  169259 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(169316), // Rule ID 330 //
     /*  169264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169267 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169270 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169277 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169288 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169295 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10089>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169298 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169310 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169314 */   GIR_RootConstrainSelectedInstOperands,
     /*  169315 */   // GIR_Coverage, 330,
     /*  169315 */   GIR_EraseRootFromParent_Done,
     /*  169316 */ // Label 3190: @169316
     /*  169316 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(169370), // Rule ID 64964 //
     /*  169321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169324 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169327 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169342 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169349 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169352 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169359 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169364 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169368 */   GIR_RootConstrainSelectedInstOperands,
     /*  169369 */   // GIR_Coverage, 64964,
     /*  169369 */   GIR_EraseRootFromParent_Done,
     /*  169370 */ // Label 3191: @169370
     /*  169370 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(169424), // Rule ID 64965 //
     /*  169375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  169378 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169381 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169403 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169406 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169413 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169418 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169422 */   GIR_RootConstrainSelectedInstOperands,
     /*  169423 */   // GIR_Coverage, 64965,
     /*  169423 */   GIR_EraseRootFromParent_Done,
     /*  169424 */ // Label 3192: @169424
     /*  169424 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(169482), // Rule ID 239 //
     /*  169429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169432 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169435 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169439 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169450 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169454 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169461 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169464 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169466 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169480 */   GIR_RootConstrainSelectedInstOperands,
     /*  169481 */   // GIR_Coverage, 239,
     /*  169481 */   GIR_EraseRootFromParent_Done,
     /*  169482 */ // Label 3193: @169482
     /*  169482 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(169540), // Rule ID 241 //
     /*  169487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169490 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169493 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169497 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169508 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169512 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169519 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169522 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169529 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169534 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169538 */   GIR_RootConstrainSelectedInstOperands,
     /*  169539 */   // GIR_Coverage, 241,
     /*  169539 */   GIR_EraseRootFromParent_Done,
     /*  169540 */ // Label 3194: @169540
     /*  169540 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(169591), // Rule ID 242 //
     /*  169545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169548 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169551 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169559 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169563 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169570 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169573 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169580 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169585 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169589 */   GIR_RootConstrainSelectedInstOperands,
     /*  169590 */   // GIR_Coverage, 242,
     /*  169590 */   GIR_EraseRootFromParent_Done,
     /*  169591 */ // Label 3195: @169591
     /*  169591 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(169642), // Rule ID 243 //
     /*  169596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169599 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169602 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169621 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169624 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169640 */   GIR_RootConstrainSelectedInstOperands,
     /*  169641 */   // GIR_Coverage, 243,
     /*  169641 */   GIR_EraseRootFromParent_Done,
     /*  169642 */ // Label 3196: @169642
     /*  169642 */ GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(169693), // Rule ID 1329 //
     /*  169647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  169650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169653 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169672 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169675 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169691 */   GIR_RootConstrainSelectedInstOperands,
     /*  169692 */   // GIR_Coverage, 1329,
     /*  169692 */   GIR_EraseRootFromParent_Done,
     /*  169693 */ // Label 3197: @169693
     /*  169693 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(169744), // Rule ID 1330 //
     /*  169698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  169701 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169704 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169712 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169716 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169723 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169726 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169728 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169742 */   GIR_RootConstrainSelectedInstOperands,
     /*  169743 */   // GIR_Coverage, 1330,
     /*  169743 */   GIR_EraseRootFromParent_Done,
     /*  169744 */ // Label 3198: @169744
     /*  169744 */ GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(169795), // Rule ID 1335 //
     /*  169749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  169752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169755 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169774 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169777 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169793 */   GIR_RootConstrainSelectedInstOperands,
     /*  169794 */   // GIR_Coverage, 1335,
     /*  169794 */   GIR_EraseRootFromParent_Done,
     /*  169795 */ // Label 3199: @169795
     /*  169795 */ GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(169846), // Rule ID 1336 //
     /*  169800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  169803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169806 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169814 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169818 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169825 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169828 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169830 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169835 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169840 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169844 */   GIR_RootConstrainSelectedInstOperands,
     /*  169845 */   // GIR_Coverage, 1336,
     /*  169845 */   GIR_EraseRootFromParent_Done,
     /*  169846 */ // Label 3200: @169846
     /*  169846 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(169904), // Rule ID 64970 //
     /*  169851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169854 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169857 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169861 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169876 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169883 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169886 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169902 */   GIR_RootConstrainSelectedInstOperands,
     /*  169903 */   // GIR_Coverage, 64970,
     /*  169903 */   GIR_EraseRootFromParent_Done,
     /*  169904 */ // Label 3201: @169904
     /*  169904 */ GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(169962), // Rule ID 64971 //
     /*  169909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169915 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169919 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169930 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169934 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169941 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169944 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169956 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169960 */   GIR_RootConstrainSelectedInstOperands,
     /*  169961 */   // GIR_Coverage, 64971,
     /*  169961 */   GIR_EraseRootFromParent_Done,
     /*  169962 */ // Label 3202: @169962
     /*  169962 */ GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(170020), // Rule ID 64972 //
     /*  169967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169970 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169973 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169977 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169988 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169992 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169999 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170002 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170014 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170018 */   GIR_RootConstrainSelectedInstOperands,
     /*  170019 */   // GIR_Coverage, 64972,
     /*  170019 */   GIR_EraseRootFromParent_Done,
     /*  170020 */ // Label 3203: @170020
     /*  170020 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(170078), // Rule ID 64973 //
     /*  170025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  170028 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170031 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170035 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170046 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170050 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170057 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170060 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170076 */   GIR_RootConstrainSelectedInstOperands,
     /*  170077 */   // GIR_Coverage, 64973,
     /*  170077 */   GIR_EraseRootFromParent_Done,
     /*  170078 */ // Label 3204: @170078
     /*  170078 */ GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(170124), // Rule ID 1106 //
     /*  170083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170086 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170096 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170103 */   // MIs[0] rs1
     /*  170103 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170111 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10589>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170114 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170116 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170122 */   GIR_RootConstrainSelectedInstOperands,
     /*  170123 */   // GIR_Coverage, 1106,
     /*  170123 */   GIR_EraseRootFromParent_Done,
     /*  170124 */ // Label 3205: @170124
     /*  170124 */ GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(170170), // Rule ID 1108 //
     /*  170129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170132 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170135 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170149 */   // MIs[0] rs1
     /*  170149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170157 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10591>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170162 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170164 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170168 */   GIR_RootConstrainSelectedInstOperands,
     /*  170169 */   // GIR_Coverage, 1108,
     /*  170169 */   GIR_EraseRootFromParent_Done,
     /*  170170 */ // Label 3206: @170170
     /*  170170 */ GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(170216), // Rule ID 1110 //
     /*  170175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170178 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170188 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170195 */   // MIs[0] rs1
     /*  170195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170203 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10593>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170208 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170210 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170214 */   GIR_RootConstrainSelectedInstOperands,
     /*  170215 */   // GIR_Coverage, 1110,
     /*  170215 */   GIR_EraseRootFromParent_Done,
     /*  170216 */ // Label 3207: @170216
     /*  170216 */ GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(170262), // Rule ID 1112 //
     /*  170221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170224 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170227 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170234 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170241 */   // MIs[0] rs1
     /*  170241 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170249 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10595>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170254 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170260 */   GIR_RootConstrainSelectedInstOperands,
     /*  170261 */   // GIR_Coverage, 1112,
     /*  170261 */   GIR_EraseRootFromParent_Done,
     /*  170262 */ // Label 3208: @170262
     /*  170262 */ GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(170308), // Rule ID 1114 //
     /*  170267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170270 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170273 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170287 */   // MIs[0] rs1
     /*  170287 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170295 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10597>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170300 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170302 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170306 */   GIR_RootConstrainSelectedInstOperands,
     /*  170307 */   // GIR_Coverage, 1114,
     /*  170307 */   GIR_EraseRootFromParent_Done,
     /*  170308 */ // Label 3209: @170308
     /*  170308 */ GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(170354), // Rule ID 1116 //
     /*  170313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170316 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170319 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170326 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170333 */   // MIs[0] rs1
     /*  170333 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170341 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10599>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170346 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170348 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170352 */   GIR_RootConstrainSelectedInstOperands,
     /*  170353 */   // GIR_Coverage, 1116,
     /*  170353 */   GIR_EraseRootFromParent_Done,
     /*  170354 */ // Label 3210: @170354
     /*  170354 */ GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(170400), // Rule ID 1134 //
     /*  170359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170362 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170365 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170379 */   // MIs[0] rs1
     /*  170379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170387 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10613>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170392 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170394 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170398 */   GIR_RootConstrainSelectedInstOperands,
     /*  170399 */   // GIR_Coverage, 1134,
     /*  170399 */   GIR_EraseRootFromParent_Done,
     /*  170400 */ // Label 3211: @170400
     /*  170400 */ GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(170446), // Rule ID 1136 //
     /*  170405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170408 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170411 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170425 */   // MIs[0] rs1
     /*  170425 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170433 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10615>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170438 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170444 */   GIR_RootConstrainSelectedInstOperands,
     /*  170445 */   // GIR_Coverage, 1136,
     /*  170445 */   GIR_EraseRootFromParent_Done,
     /*  170446 */ // Label 3212: @170446
     /*  170446 */ GIM_Reject,
     /*  170447 */ // Label 3127: @170447
     /*  170447 */ GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(170504), // Rule ID 325 //
     /*  170452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170455 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170465 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170472 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170476 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170483 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10085>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170486 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170502 */   GIR_RootConstrainSelectedInstOperands,
     /*  170503 */   // GIR_Coverage, 325,
     /*  170503 */   GIR_EraseRootFromParent_Done,
     /*  170504 */ // Label 3213: @170504
     /*  170504 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(170561), // Rule ID 327 //
     /*  170509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170512 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170515 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170522 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170540 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10087>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170543 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170559 */   GIR_RootConstrainSelectedInstOperands,
     /*  170560 */   // GIR_Coverage, 327,
     /*  170560 */   GIR_EraseRootFromParent_Done,
     /*  170561 */ // Label 3214: @170561
     /*  170561 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(170618), // Rule ID 329 //
     /*  170566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170569 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170572 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170579 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170590 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170597 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10089>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170600 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170612 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170616 */   GIR_RootConstrainSelectedInstOperands,
     /*  170617 */   // GIR_Coverage, 329,
     /*  170617 */   GIR_EraseRootFromParent_Done,
     /*  170618 */ // Label 3215: @170618
     /*  170618 */ GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(170675), // Rule ID 340 //
     /*  170623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  170626 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170629 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170636 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170643 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170647 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170654 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10099>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170657 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170669 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170673 */   GIR_RootConstrainSelectedInstOperands,
     /*  170674 */   // GIR_Coverage, 340,
     /*  170674 */   GIR_EraseRootFromParent_Done,
     /*  170675 */ // Label 3216: @170675
     /*  170675 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(170733), // Rule ID 238 //
     /*  170680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170683 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170686 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170690 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170705 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170712 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170715 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170727 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170731 */   GIR_RootConstrainSelectedInstOperands,
     /*  170732 */   // GIR_Coverage, 238,
     /*  170732 */   GIR_EraseRootFromParent_Done,
     /*  170733 */ // Label 3217: @170733
     /*  170733 */ GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(170791), // Rule ID 240 //
     /*  170738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170741 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170744 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170748 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170759 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170763 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170770 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170773 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170780 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170789 */   GIR_RootConstrainSelectedInstOperands,
     /*  170790 */   // GIR_Coverage, 240,
     /*  170790 */   GIR_EraseRootFromParent_Done,
     /*  170791 */ // Label 3218: @170791
     /*  170791 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(170849), // Rule ID 279 //
     /*  170796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170802 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170806 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170828 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170831 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170843 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170847 */   GIR_RootConstrainSelectedInstOperands,
     /*  170848 */   // GIR_Coverage, 279,
     /*  170848 */   GIR_EraseRootFromParent_Done,
     /*  170849 */ // Label 3219: @170849
     /*  170849 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(170900), // Rule ID 280 //
     /*  170854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170860 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170879 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170882 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170898 */   GIR_RootConstrainSelectedInstOperands,
     /*  170899 */   // GIR_Coverage, 280,
     /*  170899 */   GIR_EraseRootFromParent_Done,
     /*  170900 */ // Label 3220: @170900
     /*  170900 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(170951), // Rule ID 1727 //
     /*  170905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  170908 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170911 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170919 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170930 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170933 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170949 */   GIR_RootConstrainSelectedInstOperands,
     /*  170950 */   // GIR_Coverage, 1727,
     /*  170950 */   GIR_EraseRootFromParent_Done,
     /*  170951 */ // Label 3221: @170951
     /*  170951 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(171002), // Rule ID 1728 //
     /*  170956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  170959 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170962 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170970 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170974 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170981 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170984 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170991 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170996 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171000 */   GIR_RootConstrainSelectedInstOperands,
     /*  171001 */   // GIR_Coverage, 1728,
     /*  171001 */   GIR_EraseRootFromParent_Done,
     /*  171002 */ // Label 3222: @171002
     /*  171002 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(171053), // Rule ID 1731 //
     /*  171007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  171010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171032 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171035 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171042 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171047 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171051 */   GIR_RootConstrainSelectedInstOperands,
     /*  171052 */   // GIR_Coverage, 1731,
     /*  171052 */   GIR_EraseRootFromParent_Done,
     /*  171053 */ // Label 3223: @171053
     /*  171053 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(171099), // Rule ID 1105 //
     /*  171058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171061 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171064 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171071 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171078 */   // MIs[0] rs1
     /*  171078 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171086 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10589>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171091 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171097 */   GIR_RootConstrainSelectedInstOperands,
     /*  171098 */   // GIR_Coverage, 1105,
     /*  171098 */   GIR_EraseRootFromParent_Done,
     /*  171099 */ // Label 3224: @171099
     /*  171099 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(171145), // Rule ID 1107 //
     /*  171104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171107 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171110 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171124 */   // MIs[0] rs1
     /*  171124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171132 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10591>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171137 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171143 */   GIR_RootConstrainSelectedInstOperands,
     /*  171144 */   // GIR_Coverage, 1107,
     /*  171144 */   GIR_EraseRootFromParent_Done,
     /*  171145 */ // Label 3225: @171145
     /*  171145 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(171191), // Rule ID 1109 //
     /*  171150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171153 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171156 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171163 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171170 */   // MIs[0] rs1
     /*  171170 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171178 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10593>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171183 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171189 */   GIR_RootConstrainSelectedInstOperands,
     /*  171190 */   // GIR_Coverage, 1109,
     /*  171190 */   GIR_EraseRootFromParent_Done,
     /*  171191 */ // Label 3226: @171191
     /*  171191 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(171237), // Rule ID 1111 //
     /*  171196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171199 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171202 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171216 */   // MIs[0] rs1
     /*  171216 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171224 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10595>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171229 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171231 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171235 */   GIR_RootConstrainSelectedInstOperands,
     /*  171236 */   // GIR_Coverage, 1111,
     /*  171236 */   GIR_EraseRootFromParent_Done,
     /*  171237 */ // Label 3227: @171237
     /*  171237 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171283), // Rule ID 1113 //
     /*  171242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171245 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171262 */   // MIs[0] rs1
     /*  171262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171270 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10597>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171275 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171281 */   GIR_RootConstrainSelectedInstOperands,
     /*  171282 */   // GIR_Coverage, 1113,
     /*  171282 */   GIR_EraseRootFromParent_Done,
     /*  171283 */ // Label 3228: @171283
     /*  171283 */ GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171329), // Rule ID 1115 //
     /*  171288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171291 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171294 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171308 */   // MIs[0] rs1
     /*  171308 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171316 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10599>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171321 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171323 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171327 */   GIR_RootConstrainSelectedInstOperands,
     /*  171328 */   // GIR_Coverage, 1115,
     /*  171328 */   GIR_EraseRootFromParent_Done,
     /*  171329 */ // Label 3229: @171329
     /*  171329 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171375), // Rule ID 1133 //
     /*  171334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  171337 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171340 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171347 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171354 */   // MIs[0] rs1
     /*  171354 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171362 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10613>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171367 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171369 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171373 */   GIR_RootConstrainSelectedInstOperands,
     /*  171374 */   // GIR_Coverage, 1133,
     /*  171374 */   GIR_EraseRootFromParent_Done,
     /*  171375 */ // Label 3230: @171375
     /*  171375 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171421), // Rule ID 1135 //
     /*  171380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  171383 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171386 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171393 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171400 */   // MIs[0] rs1
     /*  171400 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171408 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10615>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171413 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171419 */   GIR_RootConstrainSelectedInstOperands,
     /*  171420 */   // GIR_Coverage, 1135,
     /*  171420 */   GIR_EraseRootFromParent_Done,
     /*  171421 */ // Label 3231: @171421
     /*  171421 */ GIM_Reject,
     /*  171422 */ // Label 3128: @171422
     /*  171422 */ GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171501),
     /*  171427 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171430 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171438 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171446 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171473), // Rule ID 45622 //
     /*  171451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171454 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171457 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171471 */     GIR_RootConstrainSelectedInstOperands,
     /*  171472 */     // GIR_Coverage, 45622,
     /*  171472 */     GIR_EraseRootFromParent_Done,
     /*  171473 */   // Label 3233: @171473
     /*  171473 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171500), // Rule ID 45623 //
     /*  171478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171481 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171484 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171498 */     GIR_RootConstrainSelectedInstOperands,
     /*  171499 */     // GIR_Coverage, 45623,
     /*  171499 */     GIR_EraseRootFromParent_Done,
     /*  171500 */   // Label 3234: @171500
     /*  171500 */   GIM_Reject,
     /*  171501 */ // Label 3232: @171501
     /*  171501 */ GIM_Reject,
     /*  171502 */ // Label 3129: @171502
     /*  171502 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(171589),
     /*  171507 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171510 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171518 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(171553), // Rule ID 45618 //
     /*  171523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171526 */     // MIs[0] rs1
     /*  171526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171534 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171537 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171551 */     GIR_RootConstrainSelectedInstOperands,
     /*  171552 */     // GIR_Coverage, 45618,
     /*  171552 */     GIR_EraseRootFromParent_Done,
     /*  171553 */   // Label 3236: @171553
     /*  171553 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(171588), // Rule ID 45619 //
     /*  171558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171561 */     // MIs[0] rs1
     /*  171561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171569 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171572 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171586 */     GIR_RootConstrainSelectedInstOperands,
     /*  171587 */     // GIR_Coverage, 45619,
     /*  171587 */     GIR_EraseRootFromParent_Done,
     /*  171588 */   // Label 3237: @171588
     /*  171588 */   GIM_Reject,
     /*  171589 */ // Label 3235: @171589
     /*  171589 */ GIM_Reject,
     /*  171590 */ // Label 3130: @171590
     /*  171590 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(171747),
     /*  171595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171606 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(171641), // Rule ID 45814 //
     /*  171611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171614 */     // MIs[0] rs1
     /*  171614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171622 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171625 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171639 */     GIR_RootConstrainSelectedInstOperands,
     /*  171640 */     // GIR_Coverage, 45814,
     /*  171640 */     GIR_EraseRootFromParent_Done,
     /*  171641 */   // Label 3239: @171641
     /*  171641 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(171676), // Rule ID 45815 //
     /*  171646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171649 */     // MIs[0] rs1
     /*  171649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171657 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171660 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171674 */     GIR_RootConstrainSelectedInstOperands,
     /*  171675 */     // GIR_Coverage, 45815,
     /*  171675 */     GIR_EraseRootFromParent_Done,
     /*  171676 */   // Label 3240: @171676
     /*  171676 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(171711), // Rule ID 45890 //
     /*  171681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171684 */     // MIs[0] rs1
     /*  171684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171692 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171695 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171709 */     GIR_RootConstrainSelectedInstOperands,
     /*  171710 */     // GIR_Coverage, 45890,
     /*  171710 */     GIR_EraseRootFromParent_Done,
     /*  171711 */   // Label 3241: @171711
     /*  171711 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(171746), // Rule ID 45891 //
     /*  171716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171719 */     // MIs[0] rs1
     /*  171719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171727 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171730 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171744 */     GIR_RootConstrainSelectedInstOperands,
     /*  171745 */     // GIR_Coverage, 45891,
     /*  171745 */     GIR_EraseRootFromParent_Done,
     /*  171746 */   // Label 3242: @171746
     /*  171746 */   GIM_Reject,
     /*  171747 */ // Label 3238: @171747
     /*  171747 */ GIM_Reject,
     /*  171748 */ // Label 3131: @171748
     /*  171748 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(171905),
     /*  171753 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171756 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171764 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(171799), // Rule ID 45822 //
     /*  171769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171772 */     // MIs[0] rs1
     /*  171772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171780 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171783 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171797 */     GIR_RootConstrainSelectedInstOperands,
     /*  171798 */     // GIR_Coverage, 45822,
     /*  171798 */     GIR_EraseRootFromParent_Done,
     /*  171799 */   // Label 3244: @171799
     /*  171799 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(171834), // Rule ID 45823 //
     /*  171804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171807 */     // MIs[0] rs1
     /*  171807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171815 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171818 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171832 */     GIR_RootConstrainSelectedInstOperands,
     /*  171833 */     // GIR_Coverage, 45823,
     /*  171833 */     GIR_EraseRootFromParent_Done,
     /*  171834 */   // Label 3245: @171834
     /*  171834 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(171869), // Rule ID 45898 //
     /*  171839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  171842 */     // MIs[0] rs1
     /*  171842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171850 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171853 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171867 */     GIR_RootConstrainSelectedInstOperands,
     /*  171868 */     // GIR_Coverage, 45898,
     /*  171868 */     GIR_EraseRootFromParent_Done,
     /*  171869 */   // Label 3246: @171869
     /*  171869 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171904), // Rule ID 45899 //
     /*  171874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  171877 */     // MIs[0] rs1
     /*  171877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171885 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171902 */     GIR_RootConstrainSelectedInstOperands,
     /*  171903 */     // GIR_Coverage, 45899,
     /*  171903 */     GIR_EraseRootFromParent_Done,
     /*  171904 */   // Label 3247: @171904
     /*  171904 */   GIM_Reject,
     /*  171905 */ // Label 3243: @171905
     /*  171905 */ GIM_Reject,
     /*  171906 */ // Label 3132: @171906
     /*  171906 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(172063),
     /*  171911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171922 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171957), // Rule ID 45838 //
     /*  171927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  171930 */     // MIs[0] rs1
     /*  171930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171938 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171941 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171955 */     GIR_RootConstrainSelectedInstOperands,
     /*  171956 */     // GIR_Coverage, 45838,
     /*  171956 */     GIR_EraseRootFromParent_Done,
     /*  171957 */   // Label 3249: @171957
     /*  171957 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(171992), // Rule ID 45839 //
     /*  171962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  171965 */     // MIs[0] rs1
     /*  171965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171973 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171976 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171990 */     GIR_RootConstrainSelectedInstOperands,
     /*  171991 */     // GIR_Coverage, 45839,
     /*  171991 */     GIR_EraseRootFromParent_Done,
     /*  171992 */   // Label 3250: @171992
     /*  171992 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(172027), // Rule ID 45910 //
     /*  171997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172000 */     // MIs[0] rs1
     /*  172000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172008 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172011 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172025 */     GIR_RootConstrainSelectedInstOperands,
     /*  172026 */     // GIR_Coverage, 45910,
     /*  172026 */     GIR_EraseRootFromParent_Done,
     /*  172027 */   // Label 3251: @172027
     /*  172027 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(172062), // Rule ID 45911 //
     /*  172032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172035 */     // MIs[0] rs1
     /*  172035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172043 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172046 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172060 */     GIR_RootConstrainSelectedInstOperands,
     /*  172061 */     // GIR_Coverage, 45911,
     /*  172061 */     GIR_EraseRootFromParent_Done,
     /*  172062 */   // Label 3252: @172062
     /*  172062 */   GIM_Reject,
     /*  172063 */ // Label 3248: @172063
     /*  172063 */ GIM_Reject,
     /*  172064 */ // Label 3133: @172064
     /*  172064 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(172143),
     /*  172069 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172072 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172088 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(172115), // Rule ID 45950 //
     /*  172093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172096 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172099 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172113 */     GIR_RootConstrainSelectedInstOperands,
     /*  172114 */     // GIR_Coverage, 45950,
     /*  172114 */     GIR_EraseRootFromParent_Done,
     /*  172115 */   // Label 3254: @172115
     /*  172115 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(172142), // Rule ID 45951 //
     /*  172120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172123 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172126 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172140 */     GIR_RootConstrainSelectedInstOperands,
     /*  172141 */     // GIR_Coverage, 45951,
     /*  172141 */     GIR_EraseRootFromParent_Done,
     /*  172142 */   // Label 3255: @172142
     /*  172142 */   GIM_Reject,
     /*  172143 */ // Label 3253: @172143
     /*  172143 */ GIM_Reject,
     /*  172144 */ // Label 3134: @172144
     /*  172144 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(172231),
     /*  172149 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172152 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172160 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(172195), // Rule ID 45806 //
     /*  172165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172168 */     // MIs[0] rs1
     /*  172168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172176 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172179 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172193 */     GIR_RootConstrainSelectedInstOperands,
     /*  172194 */     // GIR_Coverage, 45806,
     /*  172194 */     GIR_EraseRootFromParent_Done,
     /*  172195 */   // Label 3257: @172195
     /*  172195 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(172230), // Rule ID 45807 //
     /*  172200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172203 */     // MIs[0] rs1
     /*  172203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172211 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172214 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172228 */     GIR_RootConstrainSelectedInstOperands,
     /*  172229 */     // GIR_Coverage, 45807,
     /*  172229 */     GIR_EraseRootFromParent_Done,
     /*  172230 */   // Label 3258: @172230
     /*  172230 */   GIM_Reject,
     /*  172231 */ // Label 3256: @172231
     /*  172231 */ GIM_Reject,
     /*  172232 */ // Label 3135: @172232
     /*  172232 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(172389),
     /*  172237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172240 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172248 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(172283), // Rule ID 45818 //
     /*  172253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172256 */     // MIs[0] rs1
     /*  172256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172264 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172267 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172281 */     GIR_RootConstrainSelectedInstOperands,
     /*  172282 */     // GIR_Coverage, 45818,
     /*  172282 */     GIR_EraseRootFromParent_Done,
     /*  172283 */   // Label 3260: @172283
     /*  172283 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(172318), // Rule ID 45819 //
     /*  172288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172291 */     // MIs[0] rs1
     /*  172291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172299 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172302 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172316 */     GIR_RootConstrainSelectedInstOperands,
     /*  172317 */     // GIR_Coverage, 45819,
     /*  172317 */     GIR_EraseRootFromParent_Done,
     /*  172318 */   // Label 3261: @172318
     /*  172318 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(172353), // Rule ID 45894 //
     /*  172323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172326 */     // MIs[0] rs1
     /*  172326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172334 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172337 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172351 */     GIR_RootConstrainSelectedInstOperands,
     /*  172352 */     // GIR_Coverage, 45894,
     /*  172352 */     GIR_EraseRootFromParent_Done,
     /*  172353 */   // Label 3262: @172353
     /*  172353 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(172388), // Rule ID 45895 //
     /*  172358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172361 */     // MIs[0] rs1
     /*  172361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172369 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172372 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172386 */     GIR_RootConstrainSelectedInstOperands,
     /*  172387 */     // GIR_Coverage, 45895,
     /*  172387 */     GIR_EraseRootFromParent_Done,
     /*  172388 */   // Label 3263: @172388
     /*  172388 */   GIM_Reject,
     /*  172389 */ // Label 3259: @172389
     /*  172389 */ GIM_Reject,
     /*  172390 */ // Label 3136: @172390
     /*  172390 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(172547),
     /*  172395 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172398 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172406 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(172441), // Rule ID 45834 //
     /*  172411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172414 */     // MIs[0] rs1
     /*  172414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172422 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172425 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172439 */     GIR_RootConstrainSelectedInstOperands,
     /*  172440 */     // GIR_Coverage, 45834,
     /*  172440 */     GIR_EraseRootFromParent_Done,
     /*  172441 */   // Label 3265: @172441
     /*  172441 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(172476), // Rule ID 45835 //
     /*  172446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172449 */     // MIs[0] rs1
     /*  172449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172457 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172460 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172474 */     GIR_RootConstrainSelectedInstOperands,
     /*  172475 */     // GIR_Coverage, 45835,
     /*  172475 */     GIR_EraseRootFromParent_Done,
     /*  172476 */   // Label 3266: @172476
     /*  172476 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(172511), // Rule ID 45906 //
     /*  172481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172484 */     // MIs[0] rs1
     /*  172484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172492 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172495 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172509 */     GIR_RootConstrainSelectedInstOperands,
     /*  172510 */     // GIR_Coverage, 45906,
     /*  172510 */     GIR_EraseRootFromParent_Done,
     /*  172511 */   // Label 3267: @172511
     /*  172511 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(172546), // Rule ID 45907 //
     /*  172516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172519 */     // MIs[0] rs1
     /*  172519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172527 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172530 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172544 */     GIR_RootConstrainSelectedInstOperands,
     /*  172545 */     // GIR_Coverage, 45907,
     /*  172545 */     GIR_EraseRootFromParent_Done,
     /*  172546 */   // Label 3268: @172546
     /*  172546 */   GIM_Reject,
     /*  172547 */ // Label 3264: @172547
     /*  172547 */ GIM_Reject,
     /*  172548 */ // Label 3137: @172548
     /*  172548 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(172705),
     /*  172553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172564 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(172599), // Rule ID 45878 //
     /*  172569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172572 */     // MIs[0] rs1
     /*  172572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172580 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172583 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172597 */     GIR_RootConstrainSelectedInstOperands,
     /*  172598 */     // GIR_Coverage, 45878,
     /*  172598 */     GIR_EraseRootFromParent_Done,
     /*  172599 */   // Label 3270: @172599
     /*  172599 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(172634), // Rule ID 45879 //
     /*  172604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172607 */     // MIs[0] rs1
     /*  172607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172615 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172618 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172632 */     GIR_RootConstrainSelectedInstOperands,
     /*  172633 */     // GIR_Coverage, 45879,
     /*  172633 */     GIR_EraseRootFromParent_Done,
     /*  172634 */   // Label 3271: @172634
     /*  172634 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(172669), // Rule ID 45938 //
     /*  172639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172642 */     // MIs[0] rs1
     /*  172642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172650 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172653 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172667 */     GIR_RootConstrainSelectedInstOperands,
     /*  172668 */     // GIR_Coverage, 45938,
     /*  172668 */     GIR_EraseRootFromParent_Done,
     /*  172669 */   // Label 3272: @172669
     /*  172669 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172704), // Rule ID 45939 //
     /*  172674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172677 */     // MIs[0] rs1
     /*  172677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172685 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172688 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172702 */     GIR_RootConstrainSelectedInstOperands,
     /*  172703 */     // GIR_Coverage, 45939,
     /*  172703 */     GIR_EraseRootFromParent_Done,
     /*  172704 */   // Label 3273: @172704
     /*  172704 */   GIM_Reject,
     /*  172705 */ // Label 3269: @172705
     /*  172705 */ GIM_Reject,
     /*  172706 */ // Label 3138: @172706
     /*  172706 */ GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(172785),
     /*  172711 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172714 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172722 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172730 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(172757), // Rule ID 45954 //
     /*  172735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172738 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172741 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172755 */     GIR_RootConstrainSelectedInstOperands,
     /*  172756 */     // GIR_Coverage, 45954,
     /*  172756 */     GIR_EraseRootFromParent_Done,
     /*  172757 */   // Label 3275: @172757
     /*  172757 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172784), // Rule ID 45955 //
     /*  172762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172765 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172768 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172782 */     GIR_RootConstrainSelectedInstOperands,
     /*  172783 */     // GIR_Coverage, 45955,
     /*  172783 */     GIR_EraseRootFromParent_Done,
     /*  172784 */   // Label 3276: @172784
     /*  172784 */   GIM_Reject,
     /*  172785 */ // Label 3274: @172785
     /*  172785 */ GIM_Reject,
     /*  172786 */ // Label 3139: @172786
     /*  172786 */ GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172873),
     /*  172791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172802 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172837), // Rule ID 45810 //
     /*  172807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172810 */     // MIs[0] rs1
     /*  172810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172818 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172821 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172835 */     GIR_RootConstrainSelectedInstOperands,
     /*  172836 */     // GIR_Coverage, 45810,
     /*  172836 */     GIR_EraseRootFromParent_Done,
     /*  172837 */   // Label 3278: @172837
     /*  172837 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172872), // Rule ID 45811 //
     /*  172842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172845 */     // MIs[0] rs1
     /*  172845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172853 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172856 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172870 */     GIR_RootConstrainSelectedInstOperands,
     /*  172871 */     // GIR_Coverage, 45811,
     /*  172871 */     GIR_EraseRootFromParent_Done,
     /*  172872 */   // Label 3279: @172872
     /*  172872 */   GIM_Reject,
     /*  172873 */ // Label 3277: @172873
     /*  172873 */ GIM_Reject,
     /*  172874 */ // Label 3140: @172874
     /*  172874 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(173031),
     /*  172879 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172882 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172890 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172925), // Rule ID 45830 //
     /*  172895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172898 */     // MIs[0] rs1
     /*  172898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172906 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172909 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172923 */     GIR_RootConstrainSelectedInstOperands,
     /*  172924 */     // GIR_Coverage, 45830,
     /*  172924 */     GIR_EraseRootFromParent_Done,
     /*  172925 */   // Label 3281: @172925
     /*  172925 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172960), // Rule ID 45831 //
     /*  172930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172933 */     // MIs[0] rs1
     /*  172933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172941 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172944 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172958 */     GIR_RootConstrainSelectedInstOperands,
     /*  172959 */     // GIR_Coverage, 45831,
     /*  172959 */     GIR_EraseRootFromParent_Done,
     /*  172960 */   // Label 3282: @172960
     /*  172960 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(172995), // Rule ID 45902 //
     /*  172965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172968 */     // MIs[0] rs1
     /*  172968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172976 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172979 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172993 */     GIR_RootConstrainSelectedInstOperands,
     /*  172994 */     // GIR_Coverage, 45902,
     /*  172994 */     GIR_EraseRootFromParent_Done,
     /*  172995 */   // Label 3283: @172995
     /*  172995 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(173030), // Rule ID 45903 //
     /*  173000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173003 */     // MIs[0] rs1
     /*  173003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173011 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173014 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173028 */     GIR_RootConstrainSelectedInstOperands,
     /*  173029 */     // GIR_Coverage, 45903,
     /*  173029 */     GIR_EraseRootFromParent_Done,
     /*  173030 */   // Label 3284: @173030
     /*  173030 */   GIM_Reject,
     /*  173031 */ // Label 3280: @173031
     /*  173031 */ GIM_Reject,
     /*  173032 */ // Label 3141: @173032
     /*  173032 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(173189),
     /*  173037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173040 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173048 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(173083), // Rule ID 45866 //
     /*  173053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173056 */     // MIs[0] rs1
     /*  173056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173064 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173067 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173081 */     GIR_RootConstrainSelectedInstOperands,
     /*  173082 */     // GIR_Coverage, 45866,
     /*  173082 */     GIR_EraseRootFromParent_Done,
     /*  173083 */   // Label 3286: @173083
     /*  173083 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(173118), // Rule ID 45867 //
     /*  173088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173091 */     // MIs[0] rs1
     /*  173091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173099 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173102 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173116 */     GIR_RootConstrainSelectedInstOperands,
     /*  173117 */     // GIR_Coverage, 45867,
     /*  173117 */     GIR_EraseRootFromParent_Done,
     /*  173118 */   // Label 3287: @173118
     /*  173118 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(173153), // Rule ID 45926 //
     /*  173123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173126 */     // MIs[0] rs1
     /*  173126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173134 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173137 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173151 */     GIR_RootConstrainSelectedInstOperands,
     /*  173152 */     // GIR_Coverage, 45926,
     /*  173152 */     GIR_EraseRootFromParent_Done,
     /*  173153 */   // Label 3288: @173153
     /*  173153 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(173188), // Rule ID 45927 //
     /*  173158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173161 */     // MIs[0] rs1
     /*  173161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173169 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173172 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173186 */     GIR_RootConstrainSelectedInstOperands,
     /*  173187 */     // GIR_Coverage, 45927,
     /*  173187 */     GIR_EraseRootFromParent_Done,
     /*  173188 */   // Label 3289: @173188
     /*  173188 */   GIM_Reject,
     /*  173189 */ // Label 3285: @173189
     /*  173189 */ GIM_Reject,
     /*  173190 */ // Label 3142: @173190
     /*  173190 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(173347),
     /*  173195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173206 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(173241), // Rule ID 45882 //
     /*  173211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173214 */     // MIs[0] rs1
     /*  173214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173222 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173225 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173239 */     GIR_RootConstrainSelectedInstOperands,
     /*  173240 */     // GIR_Coverage, 45882,
     /*  173240 */     GIR_EraseRootFromParent_Done,
     /*  173241 */   // Label 3291: @173241
     /*  173241 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(173276), // Rule ID 45883 //
     /*  173246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173249 */     // MIs[0] rs1
     /*  173249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173257 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173260 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173274 */     GIR_RootConstrainSelectedInstOperands,
     /*  173275 */     // GIR_Coverage, 45883,
     /*  173275 */     GIR_EraseRootFromParent_Done,
     /*  173276 */   // Label 3292: @173276
     /*  173276 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(173311), // Rule ID 45942 //
     /*  173281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173284 */     // MIs[0] rs1
     /*  173284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173292 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173295 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173309 */     GIR_RootConstrainSelectedInstOperands,
     /*  173310 */     // GIR_Coverage, 45942,
     /*  173310 */     GIR_EraseRootFromParent_Done,
     /*  173311 */   // Label 3293: @173311
     /*  173311 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(173346), // Rule ID 45943 //
     /*  173316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173319 */     // MIs[0] rs1
     /*  173319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173327 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173330 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173344 */     GIR_RootConstrainSelectedInstOperands,
     /*  173345 */     // GIR_Coverage, 45943,
     /*  173345 */     GIR_EraseRootFromParent_Done,
     /*  173346 */   // Label 3294: @173346
     /*  173346 */   GIM_Reject,
     /*  173347 */ // Label 3290: @173347
     /*  173347 */ GIM_Reject,
     /*  173348 */ // Label 3143: @173348
     /*  173348 */ GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(173427),
     /*  173353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173372 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(173399), // Rule ID 45958 //
     /*  173377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173380 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173383 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173397 */     GIR_RootConstrainSelectedInstOperands,
     /*  173398 */     // GIR_Coverage, 45958,
     /*  173398 */     GIR_EraseRootFromParent_Done,
     /*  173399 */   // Label 3296: @173399
     /*  173399 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(173426), // Rule ID 45959 //
     /*  173404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173407 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  173410 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173424 */     GIR_RootConstrainSelectedInstOperands,
     /*  173425 */     // GIR_Coverage, 45959,
     /*  173425 */     GIR_EraseRootFromParent_Done,
     /*  173426 */   // Label 3297: @173426
     /*  173426 */   GIM_Reject,
     /*  173427 */ // Label 3295: @173427
     /*  173427 */ GIM_Reject,
     /*  173428 */ // Label 3144: @173428
     /*  173428 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(173515),
     /*  173433 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173436 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173444 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(173479), // Rule ID 45826 //
     /*  173449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173452 */     // MIs[0] rs1
     /*  173452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173460 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173463 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173477 */     GIR_RootConstrainSelectedInstOperands,
     /*  173478 */     // GIR_Coverage, 45826,
     /*  173478 */     GIR_EraseRootFromParent_Done,
     /*  173479 */   // Label 3299: @173479
     /*  173479 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(173514), // Rule ID 45827 //
     /*  173484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173487 */     // MIs[0] rs1
     /*  173487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173495 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173498 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173512 */     GIR_RootConstrainSelectedInstOperands,
     /*  173513 */     // GIR_Coverage, 45827,
     /*  173513 */     GIR_EraseRootFromParent_Done,
     /*  173514 */   // Label 3300: @173514
     /*  173514 */   GIM_Reject,
     /*  173515 */ // Label 3298: @173515
     /*  173515 */ GIM_Reject,
     /*  173516 */ // Label 3145: @173516
     /*  173516 */ GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(173673),
     /*  173521 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173524 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173532 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(173567), // Rule ID 45854 //
     /*  173537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173540 */     // MIs[0] rs1
     /*  173540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173548 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173551 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173565 */     GIR_RootConstrainSelectedInstOperands,
     /*  173566 */     // GIR_Coverage, 45854,
     /*  173566 */     GIR_EraseRootFromParent_Done,
     /*  173567 */   // Label 3302: @173567
     /*  173567 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(173602), // Rule ID 45855 //
     /*  173572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173575 */     // MIs[0] rs1
     /*  173575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173583 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173586 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173600 */     GIR_RootConstrainSelectedInstOperands,
     /*  173601 */     // GIR_Coverage, 45855,
     /*  173601 */     GIR_EraseRootFromParent_Done,
     /*  173602 */   // Label 3303: @173602
     /*  173602 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(173637), // Rule ID 45914 //
     /*  173607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173610 */     // MIs[0] rs1
     /*  173610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173618 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173621 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173635 */     GIR_RootConstrainSelectedInstOperands,
     /*  173636 */     // GIR_Coverage, 45914,
     /*  173636 */     GIR_EraseRootFromParent_Done,
     /*  173637 */   // Label 3304: @173637
     /*  173637 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(173672), // Rule ID 45915 //
     /*  173642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173645 */     // MIs[0] rs1
     /*  173645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173653 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173656 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173670 */     GIR_RootConstrainSelectedInstOperands,
     /*  173671 */     // GIR_Coverage, 45915,
     /*  173671 */     GIR_EraseRootFromParent_Done,
     /*  173672 */   // Label 3305: @173672
     /*  173672 */   GIM_Reject,
     /*  173673 */ // Label 3301: @173673
     /*  173673 */ GIM_Reject,
     /*  173674 */ // Label 3146: @173674
     /*  173674 */ GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(173831),
     /*  173679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173690 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173725), // Rule ID 45870 //
     /*  173695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173698 */     // MIs[0] rs1
     /*  173698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173706 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173709 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173723 */     GIR_RootConstrainSelectedInstOperands,
     /*  173724 */     // GIR_Coverage, 45870,
     /*  173724 */     GIR_EraseRootFromParent_Done,
     /*  173725 */   // Label 3307: @173725
     /*  173725 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(173760), // Rule ID 45871 //
     /*  173730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173733 */     // MIs[0] rs1
     /*  173733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173741 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173744 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173758 */     GIR_RootConstrainSelectedInstOperands,
     /*  173759 */     // GIR_Coverage, 45871,
     /*  173759 */     GIR_EraseRootFromParent_Done,
     /*  173760 */   // Label 3308: @173760
     /*  173760 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173795), // Rule ID 45930 //
     /*  173765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173768 */     // MIs[0] rs1
     /*  173768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173776 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173779 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173793 */     GIR_RootConstrainSelectedInstOperands,
     /*  173794 */     // GIR_Coverage, 45930,
     /*  173794 */     GIR_EraseRootFromParent_Done,
     /*  173795 */   // Label 3309: @173795
     /*  173795 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173830), // Rule ID 45931 //
     /*  173800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173803 */     // MIs[0] rs1
     /*  173803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173811 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173814 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173828 */     GIR_RootConstrainSelectedInstOperands,
     /*  173829 */     // GIR_Coverage, 45931,
     /*  173829 */     GIR_EraseRootFromParent_Done,
     /*  173830 */   // Label 3310: @173830
     /*  173830 */   GIM_Reject,
     /*  173831 */ // Label 3306: @173831
     /*  173831 */ GIM_Reject,
     /*  173832 */ // Label 3147: @173832
     /*  173832 */ GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173989),
     /*  173837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173848 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173883), // Rule ID 45886 //
     /*  173853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173856 */     // MIs[0] rs1
     /*  173856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173864 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173867 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173881 */     GIR_RootConstrainSelectedInstOperands,
     /*  173882 */     // GIR_Coverage, 45886,
     /*  173882 */     GIR_EraseRootFromParent_Done,
     /*  173883 */   // Label 3312: @173883
     /*  173883 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173918), // Rule ID 45887 //
     /*  173888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173891 */     // MIs[0] rs1
     /*  173891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173899 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173902 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173916 */     GIR_RootConstrainSelectedInstOperands,
     /*  173917 */     // GIR_Coverage, 45887,
     /*  173917 */     GIR_EraseRootFromParent_Done,
     /*  173918 */   // Label 3313: @173918
     /*  173918 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173953), // Rule ID 45946 //
     /*  173923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173926 */     // MIs[0] rs1
     /*  173926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173934 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173937 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173951 */     GIR_RootConstrainSelectedInstOperands,
     /*  173952 */     // GIR_Coverage, 45946,
     /*  173952 */     GIR_EraseRootFromParent_Done,
     /*  173953 */   // Label 3314: @173953
     /*  173953 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173988), // Rule ID 45947 //
     /*  173958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173961 */     // MIs[0] rs1
     /*  173961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173969 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173972 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173986 */     GIR_RootConstrainSelectedInstOperands,
     /*  173987 */     // GIR_Coverage, 45947,
     /*  173987 */     GIR_EraseRootFromParent_Done,
     /*  173988 */   // Label 3315: @173988
     /*  173988 */   GIM_Reject,
     /*  173989 */ // Label 3311: @173989
     /*  173989 */ GIM_Reject,
     /*  173990 */ // Label 3148: @173990
     /*  173990 */ GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(174069),
     /*  173995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174006 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174014 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(174041), // Rule ID 45962 //
     /*  174019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174022 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174025 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174039 */     GIR_RootConstrainSelectedInstOperands,
     /*  174040 */     // GIR_Coverage, 45962,
     /*  174040 */     GIR_EraseRootFromParent_Done,
     /*  174041 */   // Label 3317: @174041
     /*  174041 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(174068), // Rule ID 45963 //
     /*  174046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174049 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174052 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174066 */     GIR_RootConstrainSelectedInstOperands,
     /*  174067 */     // GIR_Coverage, 45963,
     /*  174067 */     GIR_EraseRootFromParent_Done,
     /*  174068 */   // Label 3318: @174068
     /*  174068 */   GIM_Reject,
     /*  174069 */ // Label 3316: @174069
     /*  174069 */ GIM_Reject,
     /*  174070 */ // Label 3149: @174070
     /*  174070 */ GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(174157),
     /*  174075 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174078 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174086 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(174121), // Rule ID 45842 //
     /*  174091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174094 */     // MIs[0] rs1
     /*  174094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174102 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174105 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174119 */     GIR_RootConstrainSelectedInstOperands,
     /*  174120 */     // GIR_Coverage, 45842,
     /*  174120 */     GIR_EraseRootFromParent_Done,
     /*  174121 */   // Label 3320: @174121
     /*  174121 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(174156), // Rule ID 45843 //
     /*  174126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174129 */     // MIs[0] rs1
     /*  174129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174137 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174140 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174154 */     GIR_RootConstrainSelectedInstOperands,
     /*  174155 */     // GIR_Coverage, 45843,
     /*  174155 */     GIR_EraseRootFromParent_Done,
     /*  174156 */   // Label 3321: @174156
     /*  174156 */   GIM_Reject,
     /*  174157 */ // Label 3319: @174157
     /*  174157 */ GIM_Reject,
     /*  174158 */ // Label 3150: @174158
     /*  174158 */ GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(174315),
     /*  174163 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174166 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174174 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(174209), // Rule ID 45858 //
     /*  174179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174182 */     // MIs[0] rs1
     /*  174182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174190 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174193 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174207 */     GIR_RootConstrainSelectedInstOperands,
     /*  174208 */     // GIR_Coverage, 45858,
     /*  174208 */     GIR_EraseRootFromParent_Done,
     /*  174209 */   // Label 3323: @174209
     /*  174209 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(174244), // Rule ID 45859 //
     /*  174214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174217 */     // MIs[0] rs1
     /*  174217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174225 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174228 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174242 */     GIR_RootConstrainSelectedInstOperands,
     /*  174243 */     // GIR_Coverage, 45859,
     /*  174243 */     GIR_EraseRootFromParent_Done,
     /*  174244 */   // Label 3324: @174244
     /*  174244 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(174279), // Rule ID 45918 //
     /*  174249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174252 */     // MIs[0] rs1
     /*  174252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174260 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174263 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174277 */     GIR_RootConstrainSelectedInstOperands,
     /*  174278 */     // GIR_Coverage, 45918,
     /*  174278 */     GIR_EraseRootFromParent_Done,
     /*  174279 */   // Label 3325: @174279
     /*  174279 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(174314), // Rule ID 45919 //
     /*  174284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174287 */     // MIs[0] rs1
     /*  174287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174295 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174298 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174312 */     GIR_RootConstrainSelectedInstOperands,
     /*  174313 */     // GIR_Coverage, 45919,
     /*  174313 */     GIR_EraseRootFromParent_Done,
     /*  174314 */   // Label 3326: @174314
     /*  174314 */   GIM_Reject,
     /*  174315 */ // Label 3322: @174315
     /*  174315 */ GIM_Reject,
     /*  174316 */ // Label 3151: @174316
     /*  174316 */ GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(174473),
     /*  174321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174332 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(174367), // Rule ID 45874 //
     /*  174337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174340 */     // MIs[0] rs1
     /*  174340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174348 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174351 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174365 */     GIR_RootConstrainSelectedInstOperands,
     /*  174366 */     // GIR_Coverage, 45874,
     /*  174366 */     GIR_EraseRootFromParent_Done,
     /*  174367 */   // Label 3328: @174367
     /*  174367 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(174402), // Rule ID 45875 //
     /*  174372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174375 */     // MIs[0] rs1
     /*  174375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174383 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174386 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174400 */     GIR_RootConstrainSelectedInstOperands,
     /*  174401 */     // GIR_Coverage, 45875,
     /*  174401 */     GIR_EraseRootFromParent_Done,
     /*  174402 */   // Label 3329: @174402
     /*  174402 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(174437), // Rule ID 45934 //
     /*  174407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  174410 */     // MIs[0] rs1
     /*  174410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174418 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174421 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174435 */     GIR_RootConstrainSelectedInstOperands,
     /*  174436 */     // GIR_Coverage, 45934,
     /*  174436 */     GIR_EraseRootFromParent_Done,
     /*  174437 */   // Label 3330: @174437
     /*  174437 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(174472), // Rule ID 45935 //
     /*  174442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  174445 */     // MIs[0] rs1
     /*  174445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174453 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174456 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174470 */     GIR_RootConstrainSelectedInstOperands,
     /*  174471 */     // GIR_Coverage, 45935,
     /*  174471 */     GIR_EraseRootFromParent_Done,
     /*  174472 */   // Label 3331: @174472
     /*  174472 */   GIM_Reject,
     /*  174473 */ // Label 3327: @174473
     /*  174473 */ GIM_Reject,
     /*  174474 */ // Label 3152: @174474
     /*  174474 */ GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(174553),
     /*  174479 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174482 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174490 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174498 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(174525), // Rule ID 45966 //
     /*  174503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174506 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174509 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174523 */     GIR_RootConstrainSelectedInstOperands,
     /*  174524 */     // GIR_Coverage, 45966,
     /*  174524 */     GIR_EraseRootFromParent_Done,
     /*  174525 */   // Label 3333: @174525
     /*  174525 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(174552), // Rule ID 45967 //
     /*  174530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174533 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174536 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174550 */     GIR_RootConstrainSelectedInstOperands,
     /*  174551 */     // GIR_Coverage, 45967,
     /*  174551 */     GIR_EraseRootFromParent_Done,
     /*  174552 */   // Label 3334: @174552
     /*  174552 */   GIM_Reject,
     /*  174553 */ // Label 3332: @174553
     /*  174553 */ GIM_Reject,
     /*  174554 */ // Label 3153: @174554
     /*  174554 */ GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174641),
     /*  174559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174562 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174570 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174605), // Rule ID 45846 //
     /*  174575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174578 */     // MIs[0] rs1
     /*  174578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174586 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174589 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174603 */     GIR_RootConstrainSelectedInstOperands,
     /*  174604 */     // GIR_Coverage, 45846,
     /*  174604 */     GIR_EraseRootFromParent_Done,
     /*  174605 */   // Label 3336: @174605
     /*  174605 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174640), // Rule ID 45847 //
     /*  174610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174613 */     // MIs[0] rs1
     /*  174613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174621 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174624 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174638 */     GIR_RootConstrainSelectedInstOperands,
     /*  174639 */     // GIR_Coverage, 45847,
     /*  174639 */     GIR_EraseRootFromParent_Done,
     /*  174640 */   // Label 3337: @174640
     /*  174640 */   GIM_Reject,
     /*  174641 */ // Label 3335: @174641
     /*  174641 */ GIM_Reject,
     /*  174642 */ // Label 3154: @174642
     /*  174642 */ GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174799),
     /*  174647 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174650 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174658 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174693), // Rule ID 45862 //
     /*  174663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174666 */     // MIs[0] rs1
     /*  174666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174674 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174677 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174691 */     GIR_RootConstrainSelectedInstOperands,
     /*  174692 */     // GIR_Coverage, 45862,
     /*  174692 */     GIR_EraseRootFromParent_Done,
     /*  174693 */   // Label 3339: @174693
     /*  174693 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174728), // Rule ID 45863 //
     /*  174698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174701 */     // MIs[0] rs1
     /*  174701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174709 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174712 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174726 */     GIR_RootConstrainSelectedInstOperands,
     /*  174727 */     // GIR_Coverage, 45863,
     /*  174727 */     GIR_EraseRootFromParent_Done,
     /*  174728 */   // Label 3340: @174728
     /*  174728 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174763), // Rule ID 45922 //
     /*  174733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174736 */     // MIs[0] rs1
     /*  174736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174744 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174747 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174761 */     GIR_RootConstrainSelectedInstOperands,
     /*  174762 */     // GIR_Coverage, 45922,
     /*  174762 */     GIR_EraseRootFromParent_Done,
     /*  174763 */   // Label 3341: @174763
     /*  174763 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174798), // Rule ID 45923 //
     /*  174768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174771 */     // MIs[0] rs1
     /*  174771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174779 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174782 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174796 */     GIR_RootConstrainSelectedInstOperands,
     /*  174797 */     // GIR_Coverage, 45923,
     /*  174797 */     GIR_EraseRootFromParent_Done,
     /*  174798 */   // Label 3342: @174798
     /*  174798 */   GIM_Reject,
     /*  174799 */ // Label 3338: @174799
     /*  174799 */ GIM_Reject,
     /*  174800 */ // Label 3155: @174800
     /*  174800 */ GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174879),
     /*  174805 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174808 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174816 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174824 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174851), // Rule ID 45970 //
     /*  174829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174832 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174835 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174849 */     GIR_RootConstrainSelectedInstOperands,
     /*  174850 */     // GIR_Coverage, 45970,
     /*  174850 */     GIR_EraseRootFromParent_Done,
     /*  174851 */   // Label 3344: @174851
     /*  174851 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(174878), // Rule ID 45971 //
     /*  174856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174859 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174862 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174876 */     GIR_RootConstrainSelectedInstOperands,
     /*  174877 */     // GIR_Coverage, 45971,
     /*  174877 */     GIR_EraseRootFromParent_Done,
     /*  174878 */   // Label 3345: @174878
     /*  174878 */   GIM_Reject,
     /*  174879 */ // Label 3343: @174879
     /*  174879 */ GIM_Reject,
     /*  174880 */ // Label 3156: @174880
     /*  174880 */ GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(174967),
     /*  174885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174888 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174896 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(174931), // Rule ID 45850 //
     /*  174901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174904 */     // MIs[0] rs1
     /*  174904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174912 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174915 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174929 */     GIR_RootConstrainSelectedInstOperands,
     /*  174930 */     // GIR_Coverage, 45850,
     /*  174930 */     GIR_EraseRootFromParent_Done,
     /*  174931 */   // Label 3347: @174931
     /*  174931 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(174966), // Rule ID 45851 //
     /*  174936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174939 */     // MIs[0] rs1
     /*  174939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174947 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174950 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174964 */     GIR_RootConstrainSelectedInstOperands,
     /*  174965 */     // GIR_Coverage, 45851,
     /*  174965 */     GIR_EraseRootFromParent_Done,
     /*  174966 */   // Label 3348: @174966
     /*  174966 */   GIM_Reject,
     /*  174967 */ // Label 3346: @174967
     /*  174967 */ GIM_Reject,
     /*  174968 */ // Label 3157: @174968
     /*  174968 */ GIM_Reject,
     /*  174969 */ // Label 25: @174969
     /*  174969 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3351*/ GIMT_Encode4(179854),
     /*  174980 */ /*GILLT_s32*//*Label 3349*/ GIMT_Encode4(174988),
     /*  174984 */ /*GILLT_s64*//*Label 3350*/ GIMT_Encode4(176981),
     /*  174988 */ // Label 3349: @174988
     /*  174988 */ GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(176980),
     /*  174993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  174996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174999 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(175065), // Rule ID 643 //
     /*  175004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175021 */     // MIs[0] addr
     /*  175021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175037 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  175037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175045 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175050 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175052 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175054 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  175059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175063 */     GIR_RootConstrainSelectedInstOperands,
     /*  175064 */     // GIR_Coverage, 643,
     /*  175064 */     GIR_EraseRootFromParent_Done,
     /*  175065 */   // Label 3353: @175065
     /*  175065 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(175131), // Rule ID 645 //
     /*  175070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175087 */     // MIs[0] addr
     /*  175087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175103 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  175103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175111 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175116 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175118 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175120 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175129 */     GIR_RootConstrainSelectedInstOperands,
     /*  175130 */     // GIR_Coverage, 645,
     /*  175130 */     GIR_EraseRootFromParent_Done,
     /*  175131 */   // Label 3354: @175131
     /*  175131 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(175197), // Rule ID 647 //
     /*  175136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175153 */     // MIs[0] addr
     /*  175153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175169 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  175169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175177 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175182 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175184 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175186 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175195 */     GIR_RootConstrainSelectedInstOperands,
     /*  175196 */     // GIR_Coverage, 647,
     /*  175196 */     GIR_EraseRootFromParent_Done,
     /*  175197 */   // Label 3355: @175197
     /*  175197 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(175263), // Rule ID 649 //
     /*  175202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175219 */     // MIs[0] addr
     /*  175219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175235 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  175235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175243 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175248 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175250 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175252 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175261 */     GIR_RootConstrainSelectedInstOperands,
     /*  175262 */     // GIR_Coverage, 649,
     /*  175262 */     GIR_EraseRootFromParent_Done,
     /*  175263 */   // Label 3356: @175263
     /*  175263 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(175329), // Rule ID 651 //
     /*  175268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175285 */     // MIs[0] addr
     /*  175285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175301 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  175301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175309 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175314 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175316 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175318 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  175323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175327 */     GIR_RootConstrainSelectedInstOperands,
     /*  175328 */     // GIR_Coverage, 651,
     /*  175328 */     GIR_EraseRootFromParent_Done,
     /*  175329 */   // Label 3357: @175329
     /*  175329 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(175384), // Rule ID 660 //
     /*  175334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175344 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175351 */     // MIs[0] addr
     /*  175351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175367 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175372 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175374 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175376 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175382 */     GIR_RootConstrainSelectedInstOperands,
     /*  175383 */     // GIR_Coverage, 660,
     /*  175383 */     GIR_EraseRootFromParent_Done,
     /*  175384 */   // Label 3358: @175384
     /*  175384 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(175439), // Rule ID 662 //
     /*  175389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175406 */     // MIs[0] addr
     /*  175406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175422 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  175425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175427 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175429 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175431 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175437 */     GIR_RootConstrainSelectedInstOperands,
     /*  175438 */     // GIR_Coverage, 662,
     /*  175438 */     GIR_EraseRootFromParent_Done,
     /*  175439 */   // Label 3359: @175439
     /*  175439 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(175494), // Rule ID 664 //
     /*  175444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175461 */     // MIs[0] addr
     /*  175461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175477 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  175480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175482 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175484 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175486 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175492 */     GIR_RootConstrainSelectedInstOperands,
     /*  175493 */     // GIR_Coverage, 664,
     /*  175493 */     GIR_EraseRootFromParent_Done,
     /*  175494 */   // Label 3360: @175494
     /*  175494 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(175549), // Rule ID 666 //
     /*  175499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175516 */     // MIs[0] addr
     /*  175516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175532 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175537 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175539 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175541 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175547 */     GIR_RootConstrainSelectedInstOperands,
     /*  175548 */     // GIR_Coverage, 666,
     /*  175548 */     GIR_EraseRootFromParent_Done,
     /*  175549 */   // Label 3361: @175549
     /*  175549 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(175604), // Rule ID 668 //
     /*  175554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175571 */     // MIs[0] addr
     /*  175571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175587 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175592 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175594 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175596 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175602 */     GIR_RootConstrainSelectedInstOperands,
     /*  175603 */     // GIR_Coverage, 668,
     /*  175603 */     GIR_EraseRootFromParent_Done,
     /*  175604 */   // Label 3362: @175604
     /*  175604 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(175659), // Rule ID 670 //
     /*  175609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175626 */     // MIs[0] addr
     /*  175626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175642 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175647 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175649 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175651 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175657 */     GIR_RootConstrainSelectedInstOperands,
     /*  175658 */     // GIR_Coverage, 670,
     /*  175658 */     GIR_EraseRootFromParent_Done,
     /*  175659 */   // Label 3363: @175659
     /*  175659 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175714), // Rule ID 672 //
     /*  175664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175681 */     // MIs[0] addr
     /*  175681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175697 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175702 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175704 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175706 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175712 */     GIR_RootConstrainSelectedInstOperands,
     /*  175713 */     // GIR_Coverage, 672,
     /*  175713 */     GIR_EraseRootFromParent_Done,
     /*  175714 */   // Label 3364: @175714
     /*  175714 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175769), // Rule ID 674 //
     /*  175719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175722 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175729 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175736 */     // MIs[0] addr
     /*  175736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175752 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175757 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175759 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175761 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175767 */     GIR_RootConstrainSelectedInstOperands,
     /*  175768 */     // GIR_Coverage, 674,
     /*  175768 */     GIR_EraseRootFromParent_Done,
     /*  175769 */   // Label 3365: @175769
     /*  175769 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175824), // Rule ID 676 //
     /*  175774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175791 */     // MIs[0] addr
     /*  175791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175807 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175812 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175814 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175816 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175822 */     GIR_RootConstrainSelectedInstOperands,
     /*  175823 */     // GIR_Coverage, 676,
     /*  175823 */     GIR_EraseRootFromParent_Done,
     /*  175824 */   // Label 3366: @175824
     /*  175824 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175879), // Rule ID 678 //
     /*  175829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175846 */     // MIs[0] addr
     /*  175846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175862 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175867 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175869 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175871 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175877 */     GIR_RootConstrainSelectedInstOperands,
     /*  175878 */     // GIR_Coverage, 678,
     /*  175878 */     GIR_EraseRootFromParent_Done,
     /*  175879 */   // Label 3367: @175879
     /*  175879 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175934), // Rule ID 1050 //
     /*  175884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175901 */     // MIs[0] addr
     /*  175901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175917 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175922 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175924 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175926 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175932 */     GIR_RootConstrainSelectedInstOperands,
     /*  175933 */     // GIR_Coverage, 1050,
     /*  175933 */     GIR_EraseRootFromParent_Done,
     /*  175934 */   // Label 3368: @175934
     /*  175934 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175989), // Rule ID 1052 //
     /*  175939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175956 */     // MIs[0] addr
     /*  175956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175972 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  175975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175977 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175979 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175981 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175987 */     GIR_RootConstrainSelectedInstOperands,
     /*  175988 */     // GIR_Coverage, 1052,
     /*  175988 */     GIR_EraseRootFromParent_Done,
     /*  175989 */   // Label 3369: @175989
     /*  175989 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(176044), // Rule ID 1054 //
     /*  175994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176011 */     // MIs[0] addr
     /*  176011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176027 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  176030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176032 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176034 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176036 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176042 */     GIR_RootConstrainSelectedInstOperands,
     /*  176043 */     // GIR_Coverage, 1054,
     /*  176043 */     GIR_EraseRootFromParent_Done,
     /*  176044 */   // Label 3370: @176044
     /*  176044 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(176099), // Rule ID 1056 //
     /*  176049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176066 */     // MIs[0] addr
     /*  176066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176082 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176087 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176089 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176091 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176097 */     GIR_RootConstrainSelectedInstOperands,
     /*  176098 */     // GIR_Coverage, 1056,
     /*  176098 */     GIR_EraseRootFromParent_Done,
     /*  176099 */   // Label 3371: @176099
     /*  176099 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(176154), // Rule ID 1058 //
     /*  176104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176121 */     // MIs[0] addr
     /*  176121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176137 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176142 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176144 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176146 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176152 */     GIR_RootConstrainSelectedInstOperands,
     /*  176153 */     // GIR_Coverage, 1058,
     /*  176153 */     GIR_EraseRootFromParent_Done,
     /*  176154 */   // Label 3372: @176154
     /*  176154 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(176209), // Rule ID 1060 //
     /*  176159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176176 */     // MIs[0] addr
     /*  176176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176192 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176197 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176199 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176201 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176207 */     GIR_RootConstrainSelectedInstOperands,
     /*  176208 */     // GIR_Coverage, 1060,
     /*  176208 */     GIR_EraseRootFromParent_Done,
     /*  176209 */   // Label 3373: @176209
     /*  176209 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(176264), // Rule ID 1062 //
     /*  176214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176231 */     // MIs[0] addr
     /*  176231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176247 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176252 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176254 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176256 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176262 */     GIR_RootConstrainSelectedInstOperands,
     /*  176263 */     // GIR_Coverage, 1062,
     /*  176263 */     GIR_EraseRootFromParent_Done,
     /*  176264 */   // Label 3374: @176264
     /*  176264 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(176319), // Rule ID 1064 //
     /*  176269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176286 */     // MIs[0] addr
     /*  176286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176302 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176307 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176309 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176311 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176317 */     GIR_RootConstrainSelectedInstOperands,
     /*  176318 */     // GIR_Coverage, 1064,
     /*  176318 */     GIR_EraseRootFromParent_Done,
     /*  176319 */   // Label 3375: @176319
     /*  176319 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(176374), // Rule ID 1066 //
     /*  176324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176341 */     // MIs[0] addr
     /*  176341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176357 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176362 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176364 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176366 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176372 */     GIR_RootConstrainSelectedInstOperands,
     /*  176373 */     // GIR_Coverage, 1066,
     /*  176373 */     GIR_EraseRootFromParent_Done,
     /*  176374 */   // Label 3376: @176374
     /*  176374 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(176429), // Rule ID 1068 //
     /*  176379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176396 */     // MIs[0] addr
     /*  176396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176412 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176417 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176419 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176421 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176427 */     GIR_RootConstrainSelectedInstOperands,
     /*  176428 */     // GIR_Coverage, 1068,
     /*  176428 */     GIR_EraseRootFromParent_Done,
     /*  176429 */   // Label 3377: @176429
     /*  176429 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(176484), // Rule ID 1070 //
     /*  176434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176451 */     // MIs[0] addr
     /*  176451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176467 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176472 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176474 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176476 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176482 */     GIR_RootConstrainSelectedInstOperands,
     /*  176483 */     // GIR_Coverage, 1070,
     /*  176483 */     GIR_EraseRootFromParent_Done,
     /*  176484 */   // Label 3378: @176484
     /*  176484 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(176539), // Rule ID 1072 //
     /*  176489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176506 */     // MIs[0] addr
     /*  176506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176522 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  176525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176527 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176529 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176531 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176537 */     GIR_RootConstrainSelectedInstOperands,
     /*  176538 */     // GIR_Coverage, 1072,
     /*  176538 */     GIR_EraseRootFromParent_Done,
     /*  176539 */   // Label 3379: @176539
     /*  176539 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(176594), // Rule ID 1074 //
     /*  176544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176561 */     // MIs[0] addr
     /*  176561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176577 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  176580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176582 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176584 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176586 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176592 */     GIR_RootConstrainSelectedInstOperands,
     /*  176593 */     // GIR_Coverage, 1074,
     /*  176593 */     GIR_EraseRootFromParent_Done,
     /*  176594 */   // Label 3380: @176594
     /*  176594 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(176649), // Rule ID 1076 //
     /*  176599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176616 */     // MIs[0] addr
     /*  176616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176632 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176637 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176639 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176641 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176647 */     GIR_RootConstrainSelectedInstOperands,
     /*  176648 */     // GIR_Coverage, 1076,
     /*  176648 */     GIR_EraseRootFromParent_Done,
     /*  176649 */   // Label 3381: @176649
     /*  176649 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(176704), // Rule ID 1078 //
     /*  176654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176671 */     // MIs[0] addr
     /*  176671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176687 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176692 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176694 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176696 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176702 */     GIR_RootConstrainSelectedInstOperands,
     /*  176703 */     // GIR_Coverage, 1078,
     /*  176703 */     GIR_EraseRootFromParent_Done,
     /*  176704 */   // Label 3382: @176704
     /*  176704 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(176759), // Rule ID 1080 //
     /*  176709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176726 */     // MIs[0] addr
     /*  176726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176742 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176747 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176749 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176751 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176757 */     GIR_RootConstrainSelectedInstOperands,
     /*  176758 */     // GIR_Coverage, 1080,
     /*  176758 */     GIR_EraseRootFromParent_Done,
     /*  176759 */   // Label 3383: @176759
     /*  176759 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(176814), // Rule ID 1082 //
     /*  176764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176767 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176774 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176781 */     // MIs[0] addr
     /*  176781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176797 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176802 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176804 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176806 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176812 */     GIR_RootConstrainSelectedInstOperands,
     /*  176813 */     // GIR_Coverage, 1082,
     /*  176813 */     GIR_EraseRootFromParent_Done,
     /*  176814 */   // Label 3384: @176814
     /*  176814 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(176869), // Rule ID 1084 //
     /*  176819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176836 */     // MIs[0] addr
     /*  176836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176852 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176857 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176859 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176861 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176867 */     GIR_RootConstrainSelectedInstOperands,
     /*  176868 */     // GIR_Coverage, 1084,
     /*  176868 */     GIR_EraseRootFromParent_Done,
     /*  176869 */   // Label 3385: @176869
     /*  176869 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(176924), // Rule ID 1086 //
     /*  176874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176891 */     // MIs[0] addr
     /*  176891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176907 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176912 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176914 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176916 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176922 */     GIR_RootConstrainSelectedInstOperands,
     /*  176923 */     // GIR_Coverage, 1086,
     /*  176923 */     GIR_EraseRootFromParent_Done,
     /*  176924 */   // Label 3386: @176924
     /*  176924 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(176979), // Rule ID 1088 //
     /*  176929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176946 */     // MIs[0] addr
     /*  176946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176962 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176967 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176969 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176971 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176977 */     GIR_RootConstrainSelectedInstOperands,
     /*  176978 */     // GIR_Coverage, 1088,
     /*  176978 */     GIR_EraseRootFromParent_Done,
     /*  176979 */   // Label 3387: @176979
     /*  176979 */   GIM_Reject,
     /*  176980 */ // Label 3352: @176980
     /*  176980 */ GIM_Reject,
     /*  176981 */ // Label 3350: @176981
     /*  176981 */ GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(179853),
     /*  176986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  176989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  176992 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(177058), // Rule ID 642 //
     /*  176997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177014 */     // MIs[0] addr
     /*  177014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177030 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  177030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177038 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177043 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177045 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177047 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177056 */     GIR_RootConstrainSelectedInstOperands,
     /*  177057 */     // GIR_Coverage, 642,
     /*  177057 */     GIR_EraseRootFromParent_Done,
     /*  177058 */   // Label 3389: @177058
     /*  177058 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(177124), // Rule ID 644 //
     /*  177063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177080 */     // MIs[0] addr
     /*  177080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177096 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177104 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177109 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177111 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177113 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177122 */     GIR_RootConstrainSelectedInstOperands,
     /*  177123 */     // GIR_Coverage, 644,
     /*  177123 */     GIR_EraseRootFromParent_Done,
     /*  177124 */   // Label 3390: @177124
     /*  177124 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(177190), // Rule ID 646 //
     /*  177129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177146 */     // MIs[0] addr
     /*  177146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177162 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177170 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177175 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177177 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177179 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177188 */     GIR_RootConstrainSelectedInstOperands,
     /*  177189 */     // GIR_Coverage, 646,
     /*  177189 */     GIR_EraseRootFromParent_Done,
     /*  177190 */   // Label 3391: @177190
     /*  177190 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(177256), // Rule ID 648 //
     /*  177195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177212 */     // MIs[0] addr
     /*  177212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177228 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177236 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177241 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177243 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177245 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177254 */     GIR_RootConstrainSelectedInstOperands,
     /*  177255 */     // GIR_Coverage, 648,
     /*  177255 */     GIR_EraseRootFromParent_Done,
     /*  177256 */   // Label 3392: @177256
     /*  177256 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(177322), // Rule ID 650 //
     /*  177261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177278 */     // MIs[0] addr
     /*  177278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177294 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177302 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177307 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177309 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177311 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177320 */     GIR_RootConstrainSelectedInstOperands,
     /*  177321 */     // GIR_Coverage, 650,
     /*  177321 */     GIR_EraseRootFromParent_Done,
     /*  177322 */   // Label 3393: @177322
     /*  177322 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(177388), // Rule ID 652 //
     /*  177327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177344 */     // MIs[0] addr
     /*  177344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177360 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  177360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177368 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177373 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177375 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177377 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177386 */     GIR_RootConstrainSelectedInstOperands,
     /*  177387 */     // GIR_Coverage, 652,
     /*  177387 */     GIR_EraseRootFromParent_Done,
     /*  177388 */   // Label 3394: @177388
     /*  177388 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(177454), // Rule ID 653 //
     /*  177393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177410 */     // MIs[0] addr
     /*  177410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177426 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177434 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177439 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177441 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177443 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177452 */     GIR_RootConstrainSelectedInstOperands,
     /*  177453 */     // GIR_Coverage, 653,
     /*  177453 */     GIR_EraseRootFromParent_Done,
     /*  177454 */   // Label 3395: @177454
     /*  177454 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(177520), // Rule ID 654 //
     /*  177459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177476 */     // MIs[0] addr
     /*  177476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177492 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177500 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177505 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177507 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177509 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177518 */     GIR_RootConstrainSelectedInstOperands,
     /*  177519 */     // GIR_Coverage, 654,
     /*  177519 */     GIR_EraseRootFromParent_Done,
     /*  177520 */   // Label 3396: @177520
     /*  177520 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(177586), // Rule ID 655 //
     /*  177525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177542 */     // MIs[0] addr
     /*  177542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177558 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177566 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177571 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177573 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177575 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177584 */     GIR_RootConstrainSelectedInstOperands,
     /*  177585 */     // GIR_Coverage, 655,
     /*  177585 */     GIR_EraseRootFromParent_Done,
     /*  177586 */   // Label 3397: @177586
     /*  177586 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(177652), // Rule ID 656 //
     /*  177591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177608 */     // MIs[0] addr
     /*  177608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177624 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177632 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177637 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177639 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177641 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177650 */     GIR_RootConstrainSelectedInstOperands,
     /*  177651 */     // GIR_Coverage, 656,
     /*  177651 */     GIR_EraseRootFromParent_Done,
     /*  177652 */   // Label 3398: @177652
     /*  177652 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(177707), // Rule ID 659 //
     /*  177657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177660 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177667 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177674 */     // MIs[0] addr
     /*  177674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177690 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177695 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177697 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177699 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177705 */     GIR_RootConstrainSelectedInstOperands,
     /*  177706 */     // GIR_Coverage, 659,
     /*  177706 */     GIR_EraseRootFromParent_Done,
     /*  177707 */   // Label 3399: @177707
     /*  177707 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(177762), // Rule ID 661 //
     /*  177712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177729 */     // MIs[0] addr
     /*  177729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177745 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  177748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177750 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177752 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177754 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177760 */     GIR_RootConstrainSelectedInstOperands,
     /*  177761 */     // GIR_Coverage, 661,
     /*  177761 */     GIR_EraseRootFromParent_Done,
     /*  177762 */   // Label 3400: @177762
     /*  177762 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(177817), // Rule ID 663 //
     /*  177767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177784 */     // MIs[0] addr
     /*  177784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177800 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  177803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177805 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177807 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177809 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177815 */     GIR_RootConstrainSelectedInstOperands,
     /*  177816 */     // GIR_Coverage, 663,
     /*  177816 */     GIR_EraseRootFromParent_Done,
     /*  177817 */   // Label 3401: @177817
     /*  177817 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(177872), // Rule ID 665 //
     /*  177822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177839 */     // MIs[0] addr
     /*  177839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177855 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177860 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177862 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177864 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177870 */     GIR_RootConstrainSelectedInstOperands,
     /*  177871 */     // GIR_Coverage, 665,
     /*  177871 */     GIR_EraseRootFromParent_Done,
     /*  177872 */   // Label 3402: @177872
     /*  177872 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(177927), // Rule ID 667 //
     /*  177877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177894 */     // MIs[0] addr
     /*  177894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177910 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177915 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177917 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177919 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177925 */     GIR_RootConstrainSelectedInstOperands,
     /*  177926 */     // GIR_Coverage, 667,
     /*  177926 */     GIR_EraseRootFromParent_Done,
     /*  177927 */   // Label 3403: @177927
     /*  177927 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(177982), // Rule ID 669 //
     /*  177932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177935 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177942 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177949 */     // MIs[0] addr
     /*  177949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177965 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177970 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177972 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177974 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177980 */     GIR_RootConstrainSelectedInstOperands,
     /*  177981 */     // GIR_Coverage, 669,
     /*  177981 */     GIR_EraseRootFromParent_Done,
     /*  177982 */   // Label 3404: @177982
     /*  177982 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(178037), // Rule ID 671 //
     /*  177987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178004 */     // MIs[0] addr
     /*  178004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178020 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178025 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178027 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178029 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178035 */     GIR_RootConstrainSelectedInstOperands,
     /*  178036 */     // GIR_Coverage, 671,
     /*  178036 */     GIR_EraseRootFromParent_Done,
     /*  178037 */   // Label 3405: @178037
     /*  178037 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(178092), // Rule ID 673 //
     /*  178042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178045 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178052 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178059 */     // MIs[0] addr
     /*  178059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178075 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178080 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178082 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178084 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178090 */     GIR_RootConstrainSelectedInstOperands,
     /*  178091 */     // GIR_Coverage, 673,
     /*  178091 */     GIR_EraseRootFromParent_Done,
     /*  178092 */   // Label 3406: @178092
     /*  178092 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(178147), // Rule ID 675 //
     /*  178097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178114 */     // MIs[0] addr
     /*  178114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178130 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178135 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178137 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178139 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178145 */     GIR_RootConstrainSelectedInstOperands,
     /*  178146 */     // GIR_Coverage, 675,
     /*  178146 */     GIR_EraseRootFromParent_Done,
     /*  178147 */   // Label 3407: @178147
     /*  178147 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(178202), // Rule ID 677 //
     /*  178152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178169 */     // MIs[0] addr
     /*  178169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178185 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178190 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178192 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178194 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178200 */     GIR_RootConstrainSelectedInstOperands,
     /*  178201 */     // GIR_Coverage, 677,
     /*  178201 */     GIR_EraseRootFromParent_Done,
     /*  178202 */   // Label 3408: @178202
     /*  178202 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(178257), // Rule ID 679 //
     /*  178207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178224 */     // MIs[0] addr
     /*  178224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178240 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178245 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178247 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178249 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178255 */     GIR_RootConstrainSelectedInstOperands,
     /*  178256 */     // GIR_Coverage, 679,
     /*  178256 */     GIR_EraseRootFromParent_Done,
     /*  178257 */   // Label 3409: @178257
     /*  178257 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(178312), // Rule ID 680 //
     /*  178262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178279 */     // MIs[0] addr
     /*  178279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178295 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  178298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178300 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178302 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178304 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178310 */     GIR_RootConstrainSelectedInstOperands,
     /*  178311 */     // GIR_Coverage, 680,
     /*  178311 */     GIR_EraseRootFromParent_Done,
     /*  178312 */   // Label 3410: @178312
     /*  178312 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(178367), // Rule ID 681 //
     /*  178317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178334 */     // MIs[0] addr
     /*  178334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178350 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  178353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178355 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178357 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178359 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178365 */     GIR_RootConstrainSelectedInstOperands,
     /*  178366 */     // GIR_Coverage, 681,
     /*  178366 */     GIR_EraseRootFromParent_Done,
     /*  178367 */   // Label 3411: @178367
     /*  178367 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(178422), // Rule ID 682 //
     /*  178372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178389 */     // MIs[0] addr
     /*  178389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178405 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178410 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178412 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178414 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178420 */     GIR_RootConstrainSelectedInstOperands,
     /*  178421 */     // GIR_Coverage, 682,
     /*  178421 */     GIR_EraseRootFromParent_Done,
     /*  178422 */   // Label 3412: @178422
     /*  178422 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(178477), // Rule ID 683 //
     /*  178427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178444 */     // MIs[0] addr
     /*  178444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178460 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178465 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178467 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178469 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178475 */     GIR_RootConstrainSelectedInstOperands,
     /*  178476 */     // GIR_Coverage, 683,
     /*  178476 */     GIR_EraseRootFromParent_Done,
     /*  178477 */   // Label 3413: @178477
     /*  178477 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(178532), // Rule ID 684 //
     /*  178482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178499 */     // MIs[0] addr
     /*  178499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178515 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178520 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178522 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178524 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178530 */     GIR_RootConstrainSelectedInstOperands,
     /*  178531 */     // GIR_Coverage, 684,
     /*  178531 */     GIR_EraseRootFromParent_Done,
     /*  178532 */   // Label 3414: @178532
     /*  178532 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(178587), // Rule ID 685 //
     /*  178537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178554 */     // MIs[0] addr
     /*  178554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178570 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178575 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178577 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178579 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178585 */     GIR_RootConstrainSelectedInstOperands,
     /*  178586 */     // GIR_Coverage, 685,
     /*  178586 */     GIR_EraseRootFromParent_Done,
     /*  178587 */   // Label 3415: @178587
     /*  178587 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(178642), // Rule ID 686 //
     /*  178592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178609 */     // MIs[0] addr
     /*  178609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178625 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178630 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178632 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178634 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178640 */     GIR_RootConstrainSelectedInstOperands,
     /*  178641 */     // GIR_Coverage, 686,
     /*  178641 */     GIR_EraseRootFromParent_Done,
     /*  178642 */   // Label 3416: @178642
     /*  178642 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(178697), // Rule ID 687 //
     /*  178647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178664 */     // MIs[0] addr
     /*  178664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178680 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178685 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178687 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178689 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178695 */     GIR_RootConstrainSelectedInstOperands,
     /*  178696 */     // GIR_Coverage, 687,
     /*  178696 */     GIR_EraseRootFromParent_Done,
     /*  178697 */   // Label 3417: @178697
     /*  178697 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(178752), // Rule ID 688 //
     /*  178702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178719 */     // MIs[0] addr
     /*  178719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178735 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178740 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178742 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178744 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178750 */     GIR_RootConstrainSelectedInstOperands,
     /*  178751 */     // GIR_Coverage, 688,
     /*  178751 */     GIR_EraseRootFromParent_Done,
     /*  178752 */   // Label 3418: @178752
     /*  178752 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(178807), // Rule ID 1049 //
     /*  178757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178774 */     // MIs[0] addr
     /*  178774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178790 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178795 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178797 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178799 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178805 */     GIR_RootConstrainSelectedInstOperands,
     /*  178806 */     // GIR_Coverage, 1049,
     /*  178806 */     GIR_EraseRootFromParent_Done,
     /*  178807 */   // Label 3419: @178807
     /*  178807 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(178862), // Rule ID 1051 //
     /*  178812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178829 */     // MIs[0] addr
     /*  178829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178845 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  178848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178850 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178852 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178854 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178860 */     GIR_RootConstrainSelectedInstOperands,
     /*  178861 */     // GIR_Coverage, 1051,
     /*  178861 */     GIR_EraseRootFromParent_Done,
     /*  178862 */   // Label 3420: @178862
     /*  178862 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(178917), // Rule ID 1053 //
     /*  178867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178884 */     // MIs[0] addr
     /*  178884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178900 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  178903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178905 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178907 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178909 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178915 */     GIR_RootConstrainSelectedInstOperands,
     /*  178916 */     // GIR_Coverage, 1053,
     /*  178916 */     GIR_EraseRootFromParent_Done,
     /*  178917 */   // Label 3421: @178917
     /*  178917 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(178972), // Rule ID 1055 //
     /*  178922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178939 */     // MIs[0] addr
     /*  178939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178955 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178960 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178962 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178964 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178970 */     GIR_RootConstrainSelectedInstOperands,
     /*  178971 */     // GIR_Coverage, 1055,
     /*  178971 */     GIR_EraseRootFromParent_Done,
     /*  178972 */   // Label 3422: @178972
     /*  178972 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(179027), // Rule ID 1057 //
     /*  178977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178994 */     // MIs[0] addr
     /*  178994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179010 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  179013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179015 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179017 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179019 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179025 */     GIR_RootConstrainSelectedInstOperands,
     /*  179026 */     // GIR_Coverage, 1057,
     /*  179026 */     GIR_EraseRootFromParent_Done,
     /*  179027 */   // Label 3423: @179027
     /*  179027 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(179082), // Rule ID 1059 //
     /*  179032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179049 */     // MIs[0] addr
     /*  179049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179065 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179070 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179072 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179074 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179080 */     GIR_RootConstrainSelectedInstOperands,
     /*  179081 */     // GIR_Coverage, 1059,
     /*  179081 */     GIR_EraseRootFromParent_Done,
     /*  179082 */   // Label 3424: @179082
     /*  179082 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(179137), // Rule ID 1061 //
     /*  179087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179104 */     // MIs[0] addr
     /*  179104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179120 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179125 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179127 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179129 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179135 */     GIR_RootConstrainSelectedInstOperands,
     /*  179136 */     // GIR_Coverage, 1061,
     /*  179136 */     GIR_EraseRootFromParent_Done,
     /*  179137 */   // Label 3425: @179137
     /*  179137 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(179192), // Rule ID 1063 //
     /*  179142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179159 */     // MIs[0] addr
     /*  179159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179175 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179180 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179182 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179184 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179190 */     GIR_RootConstrainSelectedInstOperands,
     /*  179191 */     // GIR_Coverage, 1063,
     /*  179191 */     GIR_EraseRootFromParent_Done,
     /*  179192 */   // Label 3426: @179192
     /*  179192 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(179247), // Rule ID 1065 //
     /*  179197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179214 */     // MIs[0] addr
     /*  179214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179230 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179235 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179237 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179239 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179245 */     GIR_RootConstrainSelectedInstOperands,
     /*  179246 */     // GIR_Coverage, 1065,
     /*  179246 */     GIR_EraseRootFromParent_Done,
     /*  179247 */   // Label 3427: @179247
     /*  179247 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(179302), // Rule ID 1067 //
     /*  179252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179269 */     // MIs[0] addr
     /*  179269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179285 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179290 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179292 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179294 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179300 */     GIR_RootConstrainSelectedInstOperands,
     /*  179301 */     // GIR_Coverage, 1067,
     /*  179301 */     GIR_EraseRootFromParent_Done,
     /*  179302 */   // Label 3428: @179302
     /*  179302 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(179357), // Rule ID 1069 //
     /*  179307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179310 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179317 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179324 */     // MIs[0] addr
     /*  179324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179340 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179345 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179347 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179349 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179355 */     GIR_RootConstrainSelectedInstOperands,
     /*  179356 */     // GIR_Coverage, 1069,
     /*  179356 */     GIR_EraseRootFromParent_Done,
     /*  179357 */   // Label 3429: @179357
     /*  179357 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(179412), // Rule ID 1071 //
     /*  179362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179379 */     // MIs[0] addr
     /*  179379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179395 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  179398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179400 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179402 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179404 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179410 */     GIR_RootConstrainSelectedInstOperands,
     /*  179411 */     // GIR_Coverage, 1071,
     /*  179411 */     GIR_EraseRootFromParent_Done,
     /*  179412 */   // Label 3430: @179412
     /*  179412 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(179467), // Rule ID 1073 //
     /*  179417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179434 */     // MIs[0] addr
     /*  179434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179450 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  179453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179455 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179457 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179459 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179465 */     GIR_RootConstrainSelectedInstOperands,
     /*  179466 */     // GIR_Coverage, 1073,
     /*  179466 */     GIR_EraseRootFromParent_Done,
     /*  179467 */   // Label 3431: @179467
     /*  179467 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(179522), // Rule ID 1075 //
     /*  179472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179489 */     // MIs[0] addr
     /*  179489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179505 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179510 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179512 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179514 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179520 */     GIR_RootConstrainSelectedInstOperands,
     /*  179521 */     // GIR_Coverage, 1075,
     /*  179521 */     GIR_EraseRootFromParent_Done,
     /*  179522 */   // Label 3432: @179522
     /*  179522 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(179577), // Rule ID 1077 //
     /*  179527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179544 */     // MIs[0] addr
     /*  179544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179560 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179565 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179567 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179569 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179575 */     GIR_RootConstrainSelectedInstOperands,
     /*  179576 */     // GIR_Coverage, 1077,
     /*  179576 */     GIR_EraseRootFromParent_Done,
     /*  179577 */   // Label 3433: @179577
     /*  179577 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(179632), // Rule ID 1079 //
     /*  179582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179599 */     // MIs[0] addr
     /*  179599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179615 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179620 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179622 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179624 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179630 */     GIR_RootConstrainSelectedInstOperands,
     /*  179631 */     // GIR_Coverage, 1079,
     /*  179631 */     GIR_EraseRootFromParent_Done,
     /*  179632 */   // Label 3434: @179632
     /*  179632 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(179687), // Rule ID 1081 //
     /*  179637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179640 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179647 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179654 */     // MIs[0] addr
     /*  179654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179670 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179675 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179677 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179679 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179685 */     GIR_RootConstrainSelectedInstOperands,
     /*  179686 */     // GIR_Coverage, 1081,
     /*  179686 */     GIR_EraseRootFromParent_Done,
     /*  179687 */   // Label 3435: @179687
     /*  179687 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(179742), // Rule ID 1083 //
     /*  179692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179709 */     // MIs[0] addr
     /*  179709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179725 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179730 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179732 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179734 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179740 */     GIR_RootConstrainSelectedInstOperands,
     /*  179741 */     // GIR_Coverage, 1083,
     /*  179741 */     GIR_EraseRootFromParent_Done,
     /*  179742 */   // Label 3436: @179742
     /*  179742 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(179797), // Rule ID 1085 //
     /*  179747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179764 */     // MIs[0] addr
     /*  179764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179780 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179785 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179787 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179789 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179795 */     GIR_RootConstrainSelectedInstOperands,
     /*  179796 */     // GIR_Coverage, 1085,
     /*  179796 */     GIR_EraseRootFromParent_Done,
     /*  179797 */   // Label 3437: @179797
     /*  179797 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(179852), // Rule ID 1087 //
     /*  179802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179819 */     // MIs[0] addr
     /*  179819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179835 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179840 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179842 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179844 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179850 */     GIR_RootConstrainSelectedInstOperands,
     /*  179851 */     // GIR_Coverage, 1087,
     /*  179851 */     GIR_EraseRootFromParent_Done,
     /*  179852 */   // Label 3438: @179852
     /*  179852 */   GIM_Reject,
     /*  179853 */ // Label 3388: @179853
     /*  179853 */ GIM_Reject,
     /*  179854 */ // Label 3351: @179854
     /*  179854 */ GIM_Reject,
     /*  179855 */ // Label 26: @179855
     /*  179855 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3441*/ GIMT_Encode4(182764),
     /*  179866 */ /*GILLT_s32*//*Label 3439*/ GIMT_Encode4(179874),
     /*  179870 */ /*GILLT_s64*//*Label 3440*/ GIMT_Encode4(181114),
     /*  179874 */ // Label 3439: @179874
     /*  179874 */ GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(181113),
     /*  179879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179882 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(179923), // Rule ID 342 //
     /*  179887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179890 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179897 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179904 */     // MIs[0] rs1
     /*  179904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179916 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179921 */     GIR_RootConstrainSelectedInstOperands,
     /*  179922 */     // GIR_Coverage, 342,
     /*  179922 */     GIR_Done,
     /*  179923 */   // Label 3443: @179923
     /*  179923 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(179964), // Rule ID 344 //
     /*  179928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179945 */     // MIs[0] rs1
     /*  179945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179957 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  179962 */     GIR_RootConstrainSelectedInstOperands,
     /*  179963 */     // GIR_Coverage, 344,
     /*  179963 */     GIR_Done,
     /*  179964 */   // Label 3444: @179964
     /*  179964 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(180005), // Rule ID 346 //
     /*  179969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179986 */     // MIs[0] rs1
     /*  179986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179998 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  180003 */     GIR_RootConstrainSelectedInstOperands,
     /*  180004 */     // GIR_Coverage, 346,
     /*  180004 */     GIR_Done,
     /*  180005 */   // Label 3445: @180005
     /*  180005 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(180046), // Rule ID 348 //
     /*  180010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180027 */     // MIs[0] rs1
     /*  180027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180039 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180044 */     GIR_RootConstrainSelectedInstOperands,
     /*  180045 */     // GIR_Coverage, 348,
     /*  180045 */     GIR_Done,
     /*  180046 */   // Label 3446: @180046
     /*  180046 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(180087), // Rule ID 350 //
     /*  180051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180068 */     // MIs[0] rs1
     /*  180068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180080 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180085 */     GIR_RootConstrainSelectedInstOperands,
     /*  180086 */     // GIR_Coverage, 350,
     /*  180086 */     GIR_Done,
     /*  180087 */   // Label 3447: @180087
     /*  180087 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(180128), // Rule ID 352 //
     /*  180092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180109 */     // MIs[0] rs1
     /*  180109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180121 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180126 */     GIR_RootConstrainSelectedInstOperands,
     /*  180127 */     // GIR_Coverage, 352,
     /*  180127 */     GIR_Done,
     /*  180128 */   // Label 3448: @180128
     /*  180128 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(180169), // Rule ID 354 //
     /*  180133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180150 */     // MIs[0] rs1
     /*  180150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180162 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180167 */     GIR_RootConstrainSelectedInstOperands,
     /*  180168 */     // GIR_Coverage, 354,
     /*  180168 */     GIR_Done,
     /*  180169 */   // Label 3449: @180169
     /*  180169 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(180210), // Rule ID 356 //
     /*  180174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180191 */     // MIs[0] rs1
     /*  180191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180203 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180208 */     GIR_RootConstrainSelectedInstOperands,
     /*  180209 */     // GIR_Coverage, 356,
     /*  180209 */     GIR_Done,
     /*  180210 */   // Label 3450: @180210
     /*  180210 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(180251), // Rule ID 358 //
     /*  180215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180232 */     // MIs[0] rs1
     /*  180232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180244 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180249 */     GIR_RootConstrainSelectedInstOperands,
     /*  180250 */     // GIR_Coverage, 358,
     /*  180250 */     GIR_Done,
     /*  180251 */   // Label 3451: @180251
     /*  180251 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(180292), // Rule ID 360 //
     /*  180256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180273 */     // MIs[0] rs1
     /*  180273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180285 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180290 */     GIR_RootConstrainSelectedInstOperands,
     /*  180291 */     // GIR_Coverage, 360,
     /*  180291 */     GIR_Done,
     /*  180292 */   // Label 3452: @180292
     /*  180292 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(180333), // Rule ID 690 //
     /*  180297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180314 */     // MIs[0] rs1
     /*  180314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180326 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180331 */     GIR_RootConstrainSelectedInstOperands,
     /*  180332 */     // GIR_Coverage, 690,
     /*  180332 */     GIR_Done,
     /*  180333 */   // Label 3453: @180333
     /*  180333 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(180374), // Rule ID 692 //
     /*  180338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180355 */     // MIs[0] rs1
     /*  180355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180367 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  180372 */     GIR_RootConstrainSelectedInstOperands,
     /*  180373 */     // GIR_Coverage, 692,
     /*  180373 */     GIR_Done,
     /*  180374 */   // Label 3454: @180374
     /*  180374 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(180415), // Rule ID 694 //
     /*  180379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180396 */     // MIs[0] rs1
     /*  180396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180408 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  180413 */     GIR_RootConstrainSelectedInstOperands,
     /*  180414 */     // GIR_Coverage, 694,
     /*  180414 */     GIR_Done,
     /*  180415 */   // Label 3455: @180415
     /*  180415 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(180456), // Rule ID 696 //
     /*  180420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180437 */     // MIs[0] rs1
     /*  180437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180449 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180454 */     GIR_RootConstrainSelectedInstOperands,
     /*  180455 */     // GIR_Coverage, 696,
     /*  180455 */     GIR_Done,
     /*  180456 */   // Label 3456: @180456
     /*  180456 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(180497), // Rule ID 698 //
     /*  180461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180478 */     // MIs[0] rs1
     /*  180478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180490 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180495 */     GIR_RootConstrainSelectedInstOperands,
     /*  180496 */     // GIR_Coverage, 698,
     /*  180496 */     GIR_Done,
     /*  180497 */   // Label 3457: @180497
     /*  180497 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(180538), // Rule ID 700 //
     /*  180502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180519 */     // MIs[0] rs1
     /*  180519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180531 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180536 */     GIR_RootConstrainSelectedInstOperands,
     /*  180537 */     // GIR_Coverage, 700,
     /*  180537 */     GIR_Done,
     /*  180538 */   // Label 3458: @180538
     /*  180538 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(180579), // Rule ID 702 //
     /*  180543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180560 */     // MIs[0] rs1
     /*  180560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180572 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180577 */     GIR_RootConstrainSelectedInstOperands,
     /*  180578 */     // GIR_Coverage, 702,
     /*  180578 */     GIR_Done,
     /*  180579 */   // Label 3459: @180579
     /*  180579 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(180620), // Rule ID 704 //
     /*  180584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180601 */     // MIs[0] rs1
     /*  180601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180613 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180618 */     GIR_RootConstrainSelectedInstOperands,
     /*  180619 */     // GIR_Coverage, 704,
     /*  180619 */     GIR_Done,
     /*  180620 */   // Label 3460: @180620
     /*  180620 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(180661), // Rule ID 706 //
     /*  180625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180642 */     // MIs[0] rs1
     /*  180642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180654 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180659 */     GIR_RootConstrainSelectedInstOperands,
     /*  180660 */     // GIR_Coverage, 706,
     /*  180660 */     GIR_Done,
     /*  180661 */   // Label 3461: @180661
     /*  180661 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(180702), // Rule ID 708 //
     /*  180666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180683 */     // MIs[0] rs1
     /*  180683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180695 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180700 */     GIR_RootConstrainSelectedInstOperands,
     /*  180701 */     // GIR_Coverage, 708,
     /*  180701 */     GIR_Done,
     /*  180702 */   // Label 3462: @180702
     /*  180702 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(180743), // Rule ID 870 //
     /*  180707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180724 */     // MIs[0] rs1
     /*  180724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180736 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180741 */     GIR_RootConstrainSelectedInstOperands,
     /*  180742 */     // GIR_Coverage, 870,
     /*  180742 */     GIR_Done,
     /*  180743 */   // Label 3463: @180743
     /*  180743 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(180784), // Rule ID 872 //
     /*  180748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180765 */     // MIs[0] rs1
     /*  180765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180777 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  180782 */     GIR_RootConstrainSelectedInstOperands,
     /*  180783 */     // GIR_Coverage, 872,
     /*  180783 */     GIR_Done,
     /*  180784 */   // Label 3464: @180784
     /*  180784 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(180825), // Rule ID 874 //
     /*  180789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180806 */     // MIs[0] rs1
     /*  180806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180818 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  180823 */     GIR_RootConstrainSelectedInstOperands,
     /*  180824 */     // GIR_Coverage, 874,
     /*  180824 */     GIR_Done,
     /*  180825 */   // Label 3465: @180825
     /*  180825 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180866), // Rule ID 876 //
     /*  180830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180847 */     // MIs[0] rs1
     /*  180847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180859 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180864 */     GIR_RootConstrainSelectedInstOperands,
     /*  180865 */     // GIR_Coverage, 876,
     /*  180865 */     GIR_Done,
     /*  180866 */   // Label 3466: @180866
     /*  180866 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180907), // Rule ID 878 //
     /*  180871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180888 */     // MIs[0] rs1
     /*  180888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180900 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180905 */     GIR_RootConstrainSelectedInstOperands,
     /*  180906 */     // GIR_Coverage, 878,
     /*  180906 */     GIR_Done,
     /*  180907 */   // Label 3467: @180907
     /*  180907 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180948), // Rule ID 880 //
     /*  180912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180929 */     // MIs[0] rs1
     /*  180929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180941 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180946 */     GIR_RootConstrainSelectedInstOperands,
     /*  180947 */     // GIR_Coverage, 880,
     /*  180947 */     GIR_Done,
     /*  180948 */   // Label 3468: @180948
     /*  180948 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(180989), // Rule ID 882 //
     /*  180953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180970 */     // MIs[0] rs1
     /*  180970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180982 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180987 */     GIR_RootConstrainSelectedInstOperands,
     /*  180988 */     // GIR_Coverage, 882,
     /*  180988 */     GIR_Done,
     /*  180989 */   // Label 3469: @180989
     /*  180989 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(181030), // Rule ID 884 //
     /*  180994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181011 */     // MIs[0] rs1
     /*  181011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181023 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181028 */     GIR_RootConstrainSelectedInstOperands,
     /*  181029 */     // GIR_Coverage, 884,
     /*  181029 */     GIR_Done,
     /*  181030 */   // Label 3470: @181030
     /*  181030 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(181071), // Rule ID 886 //
     /*  181035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181052 */     // MIs[0] rs1
     /*  181052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181064 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181069 */     GIR_RootConstrainSelectedInstOperands,
     /*  181070 */     // GIR_Coverage, 886,
     /*  181070 */     GIR_Done,
     /*  181071 */   // Label 3471: @181071
     /*  181071 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(181112), // Rule ID 888 //
     /*  181076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181093 */     // MIs[0] rs1
     /*  181093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181105 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181110 */     GIR_RootConstrainSelectedInstOperands,
     /*  181111 */     // GIR_Coverage, 888,
     /*  181111 */     GIR_Done,
     /*  181112 */   // Label 3472: @181112
     /*  181112 */   GIM_Reject,
     /*  181113 */ // Label 3442: @181113
     /*  181113 */ GIM_Reject,
     /*  181114 */ // Label 3440: @181114
     /*  181114 */ GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(182763),
     /*  181119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181122 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(181163), // Rule ID 341 //
     /*  181127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181144 */     // MIs[0] rs1
     /*  181144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181156 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181161 */     GIR_RootConstrainSelectedInstOperands,
     /*  181162 */     // GIR_Coverage, 341,
     /*  181162 */     GIR_Done,
     /*  181163 */   // Label 3474: @181163
     /*  181163 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(181204), // Rule ID 343 //
     /*  181168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181185 */     // MIs[0] rs1
     /*  181185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181197 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  181202 */     GIR_RootConstrainSelectedInstOperands,
     /*  181203 */     // GIR_Coverage, 343,
     /*  181203 */     GIR_Done,
     /*  181204 */   // Label 3475: @181204
     /*  181204 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(181245), // Rule ID 345 //
     /*  181209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181226 */     // MIs[0] rs1
     /*  181226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181238 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  181243 */     GIR_RootConstrainSelectedInstOperands,
     /*  181244 */     // GIR_Coverage, 345,
     /*  181244 */     GIR_Done,
     /*  181245 */   // Label 3476: @181245
     /*  181245 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(181286), // Rule ID 347 //
     /*  181250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181267 */     // MIs[0] rs1
     /*  181267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181279 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181284 */     GIR_RootConstrainSelectedInstOperands,
     /*  181285 */     // GIR_Coverage, 347,
     /*  181285 */     GIR_Done,
     /*  181286 */   // Label 3477: @181286
     /*  181286 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(181327), // Rule ID 349 //
     /*  181291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181308 */     // MIs[0] rs1
     /*  181308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181320 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181325 */     GIR_RootConstrainSelectedInstOperands,
     /*  181326 */     // GIR_Coverage, 349,
     /*  181326 */     GIR_Done,
     /*  181327 */   // Label 3478: @181327
     /*  181327 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(181368), // Rule ID 351 //
     /*  181332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181349 */     // MIs[0] rs1
     /*  181349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181361 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181366 */     GIR_RootConstrainSelectedInstOperands,
     /*  181367 */     // GIR_Coverage, 351,
     /*  181367 */     GIR_Done,
     /*  181368 */   // Label 3479: @181368
     /*  181368 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(181409), // Rule ID 353 //
     /*  181373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181390 */     // MIs[0] rs1
     /*  181390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181402 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181407 */     GIR_RootConstrainSelectedInstOperands,
     /*  181408 */     // GIR_Coverage, 353,
     /*  181408 */     GIR_Done,
     /*  181409 */   // Label 3480: @181409
     /*  181409 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(181450), // Rule ID 355 //
     /*  181414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181431 */     // MIs[0] rs1
     /*  181431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181443 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181448 */     GIR_RootConstrainSelectedInstOperands,
     /*  181449 */     // GIR_Coverage, 355,
     /*  181449 */     GIR_Done,
     /*  181450 */   // Label 3481: @181450
     /*  181450 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(181491), // Rule ID 357 //
     /*  181455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181472 */     // MIs[0] rs1
     /*  181472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181484 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181489 */     GIR_RootConstrainSelectedInstOperands,
     /*  181490 */     // GIR_Coverage, 357,
     /*  181490 */     GIR_Done,
     /*  181491 */   // Label 3482: @181491
     /*  181491 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(181532), // Rule ID 359 //
     /*  181496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181513 */     // MIs[0] rs1
     /*  181513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181525 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181530 */     GIR_RootConstrainSelectedInstOperands,
     /*  181531 */     // GIR_Coverage, 359,
     /*  181531 */     GIR_Done,
     /*  181532 */   // Label 3483: @181532
     /*  181532 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(181573), // Rule ID 521 //
     /*  181537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181554 */     // MIs[0] rs1
     /*  181554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181566 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181571 */     GIR_RootConstrainSelectedInstOperands,
     /*  181572 */     // GIR_Coverage, 521,
     /*  181572 */     GIR_Done,
     /*  181573 */   // Label 3484: @181573
     /*  181573 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(181614), // Rule ID 522 //
     /*  181578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181595 */     // MIs[0] rs1
     /*  181595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181607 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  181612 */     GIR_RootConstrainSelectedInstOperands,
     /*  181613 */     // GIR_Coverage, 522,
     /*  181613 */     GIR_Done,
     /*  181614 */   // Label 3485: @181614
     /*  181614 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(181655), // Rule ID 523 //
     /*  181619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181636 */     // MIs[0] rs1
     /*  181636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181648 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  181653 */     GIR_RootConstrainSelectedInstOperands,
     /*  181654 */     // GIR_Coverage, 523,
     /*  181654 */     GIR_Done,
     /*  181655 */   // Label 3486: @181655
     /*  181655 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(181696), // Rule ID 524 //
     /*  181660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181677 */     // MIs[0] rs1
     /*  181677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181689 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181694 */     GIR_RootConstrainSelectedInstOperands,
     /*  181695 */     // GIR_Coverage, 524,
     /*  181695 */     GIR_Done,
     /*  181696 */   // Label 3487: @181696
     /*  181696 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(181737), // Rule ID 525 //
     /*  181701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181718 */     // MIs[0] rs1
     /*  181718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181730 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181735 */     GIR_RootConstrainSelectedInstOperands,
     /*  181736 */     // GIR_Coverage, 525,
     /*  181736 */     GIR_Done,
     /*  181737 */   // Label 3488: @181737
     /*  181737 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(181778), // Rule ID 526 //
     /*  181742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181759 */     // MIs[0] rs1
     /*  181759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181771 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181776 */     GIR_RootConstrainSelectedInstOperands,
     /*  181777 */     // GIR_Coverage, 526,
     /*  181777 */     GIR_Done,
     /*  181778 */   // Label 3489: @181778
     /*  181778 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181819), // Rule ID 527 //
     /*  181783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181800 */     // MIs[0] rs1
     /*  181800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181812 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181817 */     GIR_RootConstrainSelectedInstOperands,
     /*  181818 */     // GIR_Coverage, 527,
     /*  181818 */     GIR_Done,
     /*  181819 */   // Label 3490: @181819
     /*  181819 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181860), // Rule ID 528 //
     /*  181824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181841 */     // MIs[0] rs1
     /*  181841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181853 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181858 */     GIR_RootConstrainSelectedInstOperands,
     /*  181859 */     // GIR_Coverage, 528,
     /*  181859 */     GIR_Done,
     /*  181860 */   // Label 3491: @181860
     /*  181860 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181901), // Rule ID 529 //
     /*  181865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181882 */     // MIs[0] rs1
     /*  181882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181894 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181899 */     GIR_RootConstrainSelectedInstOperands,
     /*  181900 */     // GIR_Coverage, 529,
     /*  181900 */     GIR_Done,
     /*  181901 */   // Label 3492: @181901
     /*  181901 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181942), // Rule ID 530 //
     /*  181906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181923 */     // MIs[0] rs1
     /*  181923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181935 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181940 */     GIR_RootConstrainSelectedInstOperands,
     /*  181941 */     // GIR_Coverage, 530,
     /*  181941 */     GIR_Done,
     /*  181942 */   // Label 3493: @181942
     /*  181942 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181983), // Rule ID 689 //
     /*  181947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181964 */     // MIs[0] rs1
     /*  181964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181976 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181981 */     GIR_RootConstrainSelectedInstOperands,
     /*  181982 */     // GIR_Coverage, 689,
     /*  181982 */     GIR_Done,
     /*  181983 */   // Label 3494: @181983
     /*  181983 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(182024), // Rule ID 691 //
     /*  181988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182005 */     // MIs[0] rs1
     /*  182005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182017 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  182022 */     GIR_RootConstrainSelectedInstOperands,
     /*  182023 */     // GIR_Coverage, 691,
     /*  182023 */     GIR_Done,
     /*  182024 */   // Label 3495: @182024
     /*  182024 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(182065), // Rule ID 693 //
     /*  182029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182046 */     // MIs[0] rs1
     /*  182046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182058 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  182063 */     GIR_RootConstrainSelectedInstOperands,
     /*  182064 */     // GIR_Coverage, 693,
     /*  182064 */     GIR_Done,
     /*  182065 */   // Label 3496: @182065
     /*  182065 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(182106), // Rule ID 695 //
     /*  182070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182087 */     // MIs[0] rs1
     /*  182087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182099 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182104 */     GIR_RootConstrainSelectedInstOperands,
     /*  182105 */     // GIR_Coverage, 695,
     /*  182105 */     GIR_Done,
     /*  182106 */   // Label 3497: @182106
     /*  182106 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(182147), // Rule ID 697 //
     /*  182111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182128 */     // MIs[0] rs1
     /*  182128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182140 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182145 */     GIR_RootConstrainSelectedInstOperands,
     /*  182146 */     // GIR_Coverage, 697,
     /*  182146 */     GIR_Done,
     /*  182147 */   // Label 3498: @182147
     /*  182147 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(182188), // Rule ID 699 //
     /*  182152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182169 */     // MIs[0] rs1
     /*  182169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182181 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182186 */     GIR_RootConstrainSelectedInstOperands,
     /*  182187 */     // GIR_Coverage, 699,
     /*  182187 */     GIR_Done,
     /*  182188 */   // Label 3499: @182188
     /*  182188 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(182229), // Rule ID 701 //
     /*  182193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182210 */     // MIs[0] rs1
     /*  182210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182222 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182227 */     GIR_RootConstrainSelectedInstOperands,
     /*  182228 */     // GIR_Coverage, 701,
     /*  182228 */     GIR_Done,
     /*  182229 */   // Label 3500: @182229
     /*  182229 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(182270), // Rule ID 703 //
     /*  182234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182251 */     // MIs[0] rs1
     /*  182251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182263 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182268 */     GIR_RootConstrainSelectedInstOperands,
     /*  182269 */     // GIR_Coverage, 703,
     /*  182269 */     GIR_Done,
     /*  182270 */   // Label 3501: @182270
     /*  182270 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(182311), // Rule ID 705 //
     /*  182275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182292 */     // MIs[0] rs1
     /*  182292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182304 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182309 */     GIR_RootConstrainSelectedInstOperands,
     /*  182310 */     // GIR_Coverage, 705,
     /*  182310 */     GIR_Done,
     /*  182311 */   // Label 3502: @182311
     /*  182311 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(182352), // Rule ID 707 //
     /*  182316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182333 */     // MIs[0] rs1
     /*  182333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182345 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182350 */     GIR_RootConstrainSelectedInstOperands,
     /*  182351 */     // GIR_Coverage, 707,
     /*  182351 */     GIR_Done,
     /*  182352 */   // Label 3503: @182352
     /*  182352 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(182393), // Rule ID 869 //
     /*  182357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182374 */     // MIs[0] rs1
     /*  182374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182386 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182391 */     GIR_RootConstrainSelectedInstOperands,
     /*  182392 */     // GIR_Coverage, 869,
     /*  182392 */     GIR_Done,
     /*  182393 */   // Label 3504: @182393
     /*  182393 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(182434), // Rule ID 871 //
     /*  182398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182415 */     // MIs[0] rs1
     /*  182415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182427 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  182432 */     GIR_RootConstrainSelectedInstOperands,
     /*  182433 */     // GIR_Coverage, 871,
     /*  182433 */     GIR_Done,
     /*  182434 */   // Label 3505: @182434
     /*  182434 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(182475), // Rule ID 873 //
     /*  182439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182456 */     // MIs[0] rs1
     /*  182456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182468 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  182473 */     GIR_RootConstrainSelectedInstOperands,
     /*  182474 */     // GIR_Coverage, 873,
     /*  182474 */     GIR_Done,
     /*  182475 */   // Label 3506: @182475
     /*  182475 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(182516), // Rule ID 875 //
     /*  182480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182497 */     // MIs[0] rs1
     /*  182497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182509 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182514 */     GIR_RootConstrainSelectedInstOperands,
     /*  182515 */     // GIR_Coverage, 875,
     /*  182515 */     GIR_Done,
     /*  182516 */   // Label 3507: @182516
     /*  182516 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(182557), // Rule ID 877 //
     /*  182521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182538 */     // MIs[0] rs1
     /*  182538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182550 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182555 */     GIR_RootConstrainSelectedInstOperands,
     /*  182556 */     // GIR_Coverage, 877,
     /*  182556 */     GIR_Done,
     /*  182557 */   // Label 3508: @182557
     /*  182557 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(182598), // Rule ID 879 //
     /*  182562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182579 */     // MIs[0] rs1
     /*  182579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182591 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182596 */     GIR_RootConstrainSelectedInstOperands,
     /*  182597 */     // GIR_Coverage, 879,
     /*  182597 */     GIR_Done,
     /*  182598 */   // Label 3509: @182598
     /*  182598 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(182639), // Rule ID 881 //
     /*  182603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182620 */     // MIs[0] rs1
     /*  182620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182632 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182637 */     GIR_RootConstrainSelectedInstOperands,
     /*  182638 */     // GIR_Coverage, 881,
     /*  182638 */     GIR_Done,
     /*  182639 */   // Label 3510: @182639
     /*  182639 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(182680), // Rule ID 883 //
     /*  182644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182661 */     // MIs[0] rs1
     /*  182661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182673 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182678 */     GIR_RootConstrainSelectedInstOperands,
     /*  182679 */     // GIR_Coverage, 883,
     /*  182679 */     GIR_Done,
     /*  182680 */   // Label 3511: @182680
     /*  182680 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(182721), // Rule ID 885 //
     /*  182685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182702 */     // MIs[0] rs1
     /*  182702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182714 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182719 */     GIR_RootConstrainSelectedInstOperands,
     /*  182720 */     // GIR_Coverage, 885,
     /*  182720 */     GIR_Done,
     /*  182721 */   // Label 3512: @182721
     /*  182721 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(182762), // Rule ID 887 //
     /*  182726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182743 */     // MIs[0] rs1
     /*  182743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182755 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182760 */     GIR_RootConstrainSelectedInstOperands,
     /*  182761 */     // GIR_Coverage, 887,
     /*  182761 */     GIR_Done,
     /*  182762 */   // Label 3513: @182762
     /*  182762 */   GIM_Reject,
     /*  182763 */ // Label 3473: @182763
     /*  182763 */ GIM_Reject,
     /*  182764 */ // Label 3441: @182764
     /*  182764 */ GIM_Reject,
     /*  182765 */ // Label 27: @182765
     /*  182765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3516*/ GIMT_Encode4(185674),
     /*  182776 */ /*GILLT_s32*//*Label 3514*/ GIMT_Encode4(182784),
     /*  182780 */ /*GILLT_s64*//*Label 3515*/ GIMT_Encode4(184024),
     /*  182784 */ // Label 3514: @182784
     /*  182784 */ GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(184023),
     /*  182789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  182792 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182833), // Rule ID 362 //
     /*  182797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182814 */     // MIs[0] rs1
     /*  182814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182826 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182831 */     GIR_RootConstrainSelectedInstOperands,
     /*  182832 */     // GIR_Coverage, 362,
     /*  182832 */     GIR_Done,
     /*  182833 */   // Label 3518: @182833
     /*  182833 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182874), // Rule ID 364 //
     /*  182838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182855 */     // MIs[0] rs1
     /*  182855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182867 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  182872 */     GIR_RootConstrainSelectedInstOperands,
     /*  182873 */     // GIR_Coverage, 364,
     /*  182873 */     GIR_Done,
     /*  182874 */   // Label 3519: @182874
     /*  182874 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(182915), // Rule ID 366 //
     /*  182879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182896 */     // MIs[0] rs1
     /*  182896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182908 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  182913 */     GIR_RootConstrainSelectedInstOperands,
     /*  182914 */     // GIR_Coverage, 366,
     /*  182914 */     GIR_Done,
     /*  182915 */   // Label 3520: @182915
     /*  182915 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182956), // Rule ID 368 //
     /*  182920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182937 */     // MIs[0] rs1
     /*  182937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182949 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182954 */     GIR_RootConstrainSelectedInstOperands,
     /*  182955 */     // GIR_Coverage, 368,
     /*  182955 */     GIR_Done,
     /*  182956 */   // Label 3521: @182956
     /*  182956 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(182997), // Rule ID 370 //
     /*  182961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182978 */     // MIs[0] rs1
     /*  182978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182990 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182995 */     GIR_RootConstrainSelectedInstOperands,
     /*  182996 */     // GIR_Coverage, 370,
     /*  182996 */     GIR_Done,
     /*  182997 */   // Label 3522: @182997
     /*  182997 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(183038), // Rule ID 372 //
     /*  183002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183019 */     // MIs[0] rs1
     /*  183019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183031 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183036 */     GIR_RootConstrainSelectedInstOperands,
     /*  183037 */     // GIR_Coverage, 372,
     /*  183037 */     GIR_Done,
     /*  183038 */   // Label 3523: @183038
     /*  183038 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(183079), // Rule ID 374 //
     /*  183043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183060 */     // MIs[0] rs1
     /*  183060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183072 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183077 */     GIR_RootConstrainSelectedInstOperands,
     /*  183078 */     // GIR_Coverage, 374,
     /*  183078 */     GIR_Done,
     /*  183079 */   // Label 3524: @183079
     /*  183079 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(183120), // Rule ID 376 //
     /*  183084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183101 */     // MIs[0] rs1
     /*  183101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183113 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183118 */     GIR_RootConstrainSelectedInstOperands,
     /*  183119 */     // GIR_Coverage, 376,
     /*  183119 */     GIR_Done,
     /*  183120 */   // Label 3525: @183120
     /*  183120 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(183161), // Rule ID 378 //
     /*  183125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183142 */     // MIs[0] rs1
     /*  183142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183154 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183159 */     GIR_RootConstrainSelectedInstOperands,
     /*  183160 */     // GIR_Coverage, 378,
     /*  183160 */     GIR_Done,
     /*  183161 */   // Label 3526: @183161
     /*  183161 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(183202), // Rule ID 380 //
     /*  183166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183183 */     // MIs[0] rs1
     /*  183183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183195 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183200 */     GIR_RootConstrainSelectedInstOperands,
     /*  183201 */     // GIR_Coverage, 380,
     /*  183201 */     GIR_Done,
     /*  183202 */   // Label 3527: @183202
     /*  183202 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(183243), // Rule ID 710 //
     /*  183207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183224 */     // MIs[0] rs1
     /*  183224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183236 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183241 */     GIR_RootConstrainSelectedInstOperands,
     /*  183242 */     // GIR_Coverage, 710,
     /*  183242 */     GIR_Done,
     /*  183243 */   // Label 3528: @183243
     /*  183243 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(183284), // Rule ID 712 //
     /*  183248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183265 */     // MIs[0] rs1
     /*  183265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183277 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  183282 */     GIR_RootConstrainSelectedInstOperands,
     /*  183283 */     // GIR_Coverage, 712,
     /*  183283 */     GIR_Done,
     /*  183284 */   // Label 3529: @183284
     /*  183284 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(183325), // Rule ID 714 //
     /*  183289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183306 */     // MIs[0] rs1
     /*  183306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183318 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  183323 */     GIR_RootConstrainSelectedInstOperands,
     /*  183324 */     // GIR_Coverage, 714,
     /*  183324 */     GIR_Done,
     /*  183325 */   // Label 3530: @183325
     /*  183325 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(183366), // Rule ID 716 //
     /*  183330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183347 */     // MIs[0] rs1
     /*  183347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183359 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183364 */     GIR_RootConstrainSelectedInstOperands,
     /*  183365 */     // GIR_Coverage, 716,
     /*  183365 */     GIR_Done,
     /*  183366 */   // Label 3531: @183366
     /*  183366 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(183407), // Rule ID 718 //
     /*  183371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183388 */     // MIs[0] rs1
     /*  183388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183400 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183405 */     GIR_RootConstrainSelectedInstOperands,
     /*  183406 */     // GIR_Coverage, 718,
     /*  183406 */     GIR_Done,
     /*  183407 */   // Label 3532: @183407
     /*  183407 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(183448), // Rule ID 720 //
     /*  183412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183429 */     // MIs[0] rs1
     /*  183429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183441 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183446 */     GIR_RootConstrainSelectedInstOperands,
     /*  183447 */     // GIR_Coverage, 720,
     /*  183447 */     GIR_Done,
     /*  183448 */   // Label 3533: @183448
     /*  183448 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(183489), // Rule ID 722 //
     /*  183453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183470 */     // MIs[0] rs1
     /*  183470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183482 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183487 */     GIR_RootConstrainSelectedInstOperands,
     /*  183488 */     // GIR_Coverage, 722,
     /*  183488 */     GIR_Done,
     /*  183489 */   // Label 3534: @183489
     /*  183489 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(183530), // Rule ID 724 //
     /*  183494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183511 */     // MIs[0] rs1
     /*  183511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183523 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183528 */     GIR_RootConstrainSelectedInstOperands,
     /*  183529 */     // GIR_Coverage, 724,
     /*  183529 */     GIR_Done,
     /*  183530 */   // Label 3535: @183530
     /*  183530 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(183571), // Rule ID 726 //
     /*  183535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183552 */     // MIs[0] rs1
     /*  183552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183564 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183569 */     GIR_RootConstrainSelectedInstOperands,
     /*  183570 */     // GIR_Coverage, 726,
     /*  183570 */     GIR_Done,
     /*  183571 */   // Label 3536: @183571
     /*  183571 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(183612), // Rule ID 728 //
     /*  183576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183593 */     // MIs[0] rs1
     /*  183593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183605 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183610 */     GIR_RootConstrainSelectedInstOperands,
     /*  183611 */     // GIR_Coverage, 728,
     /*  183611 */     GIR_Done,
     /*  183612 */   // Label 3537: @183612
     /*  183612 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(183653), // Rule ID 890 //
     /*  183617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183634 */     // MIs[0] rs1
     /*  183634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183646 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183651 */     GIR_RootConstrainSelectedInstOperands,
     /*  183652 */     // GIR_Coverage, 890,
     /*  183652 */     GIR_Done,
     /*  183653 */   // Label 3538: @183653
     /*  183653 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(183694), // Rule ID 892 //
     /*  183658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183675 */     // MIs[0] rs1
     /*  183675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183687 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  183692 */     GIR_RootConstrainSelectedInstOperands,
     /*  183693 */     // GIR_Coverage, 892,
     /*  183693 */     GIR_Done,
     /*  183694 */   // Label 3539: @183694
     /*  183694 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183735), // Rule ID 894 //
     /*  183699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183716 */     // MIs[0] rs1
     /*  183716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183728 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  183733 */     GIR_RootConstrainSelectedInstOperands,
     /*  183734 */     // GIR_Coverage, 894,
     /*  183734 */     GIR_Done,
     /*  183735 */   // Label 3540: @183735
     /*  183735 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183776), // Rule ID 896 //
     /*  183740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183757 */     // MIs[0] rs1
     /*  183757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183769 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183774 */     GIR_RootConstrainSelectedInstOperands,
     /*  183775 */     // GIR_Coverage, 896,
     /*  183775 */     GIR_Done,
     /*  183776 */   // Label 3541: @183776
     /*  183776 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183817), // Rule ID 898 //
     /*  183781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183798 */     // MIs[0] rs1
     /*  183798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183810 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183815 */     GIR_RootConstrainSelectedInstOperands,
     /*  183816 */     // GIR_Coverage, 898,
     /*  183816 */     GIR_Done,
     /*  183817 */   // Label 3542: @183817
     /*  183817 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183858), // Rule ID 900 //
     /*  183822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183839 */     // MIs[0] rs1
     /*  183839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183851 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183856 */     GIR_RootConstrainSelectedInstOperands,
     /*  183857 */     // GIR_Coverage, 900,
     /*  183857 */     GIR_Done,
     /*  183858 */   // Label 3543: @183858
     /*  183858 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(183899), // Rule ID 902 //
     /*  183863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183880 */     // MIs[0] rs1
     /*  183880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183892 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183897 */     GIR_RootConstrainSelectedInstOperands,
     /*  183898 */     // GIR_Coverage, 902,
     /*  183898 */     GIR_Done,
     /*  183899 */   // Label 3544: @183899
     /*  183899 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183940), // Rule ID 904 //
     /*  183904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183921 */     // MIs[0] rs1
     /*  183921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183933 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183938 */     GIR_RootConstrainSelectedInstOperands,
     /*  183939 */     // GIR_Coverage, 904,
     /*  183939 */     GIR_Done,
     /*  183940 */   // Label 3545: @183940
     /*  183940 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183981), // Rule ID 906 //
     /*  183945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183962 */     // MIs[0] rs1
     /*  183962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183974 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183979 */     GIR_RootConstrainSelectedInstOperands,
     /*  183980 */     // GIR_Coverage, 906,
     /*  183980 */     GIR_Done,
     /*  183981 */   // Label 3546: @183981
     /*  183981 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(184022), // Rule ID 908 //
     /*  183986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184003 */     // MIs[0] rs1
     /*  184003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184015 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184020 */     GIR_RootConstrainSelectedInstOperands,
     /*  184021 */     // GIR_Coverage, 908,
     /*  184021 */     GIR_Done,
     /*  184022 */   // Label 3547: @184022
     /*  184022 */   GIM_Reject,
     /*  184023 */ // Label 3517: @184023
     /*  184023 */ GIM_Reject,
     /*  184024 */ // Label 3515: @184024
     /*  184024 */ GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(185673),
     /*  184029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  184032 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(184073), // Rule ID 361 //
     /*  184037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184054 */     // MIs[0] rs1
     /*  184054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184066 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184071 */     GIR_RootConstrainSelectedInstOperands,
     /*  184072 */     // GIR_Coverage, 361,
     /*  184072 */     GIR_Done,
     /*  184073 */   // Label 3549: @184073
     /*  184073 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(184114), // Rule ID 363 //
     /*  184078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184095 */     // MIs[0] rs1
     /*  184095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184107 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  184112 */     GIR_RootConstrainSelectedInstOperands,
     /*  184113 */     // GIR_Coverage, 363,
     /*  184113 */     GIR_Done,
     /*  184114 */   // Label 3550: @184114
     /*  184114 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(184155), // Rule ID 365 //
     /*  184119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184136 */     // MIs[0] rs1
     /*  184136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184148 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  184153 */     GIR_RootConstrainSelectedInstOperands,
     /*  184154 */     // GIR_Coverage, 365,
     /*  184154 */     GIR_Done,
     /*  184155 */   // Label 3551: @184155
     /*  184155 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(184196), // Rule ID 367 //
     /*  184160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184177 */     // MIs[0] rs1
     /*  184177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184189 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184194 */     GIR_RootConstrainSelectedInstOperands,
     /*  184195 */     // GIR_Coverage, 367,
     /*  184195 */     GIR_Done,
     /*  184196 */   // Label 3552: @184196
     /*  184196 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(184237), // Rule ID 369 //
     /*  184201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184218 */     // MIs[0] rs1
     /*  184218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184230 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184235 */     GIR_RootConstrainSelectedInstOperands,
     /*  184236 */     // GIR_Coverage, 369,
     /*  184236 */     GIR_Done,
     /*  184237 */   // Label 3553: @184237
     /*  184237 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(184278), // Rule ID 371 //
     /*  184242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184259 */     // MIs[0] rs1
     /*  184259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184271 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184276 */     GIR_RootConstrainSelectedInstOperands,
     /*  184277 */     // GIR_Coverage, 371,
     /*  184277 */     GIR_Done,
     /*  184278 */   // Label 3554: @184278
     /*  184278 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(184319), // Rule ID 373 //
     /*  184283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184300 */     // MIs[0] rs1
     /*  184300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184312 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184317 */     GIR_RootConstrainSelectedInstOperands,
     /*  184318 */     // GIR_Coverage, 373,
     /*  184318 */     GIR_Done,
     /*  184319 */   // Label 3555: @184319
     /*  184319 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(184360), // Rule ID 375 //
     /*  184324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184341 */     // MIs[0] rs1
     /*  184341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184353 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184358 */     GIR_RootConstrainSelectedInstOperands,
     /*  184359 */     // GIR_Coverage, 375,
     /*  184359 */     GIR_Done,
     /*  184360 */   // Label 3556: @184360
     /*  184360 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(184401), // Rule ID 377 //
     /*  184365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184382 */     // MIs[0] rs1
     /*  184382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184394 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184399 */     GIR_RootConstrainSelectedInstOperands,
     /*  184400 */     // GIR_Coverage, 377,
     /*  184400 */     GIR_Done,
     /*  184401 */   // Label 3557: @184401
     /*  184401 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(184442), // Rule ID 379 //
     /*  184406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184423 */     // MIs[0] rs1
     /*  184423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184435 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184440 */     GIR_RootConstrainSelectedInstOperands,
     /*  184441 */     // GIR_Coverage, 379,
     /*  184441 */     GIR_Done,
     /*  184442 */   // Label 3558: @184442
     /*  184442 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(184483), // Rule ID 531 //
     /*  184447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184464 */     // MIs[0] rs1
     /*  184464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184476 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184481 */     GIR_RootConstrainSelectedInstOperands,
     /*  184482 */     // GIR_Coverage, 531,
     /*  184482 */     GIR_Done,
     /*  184483 */   // Label 3559: @184483
     /*  184483 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(184524), // Rule ID 532 //
     /*  184488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184505 */     // MIs[0] rs1
     /*  184505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184517 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  184522 */     GIR_RootConstrainSelectedInstOperands,
     /*  184523 */     // GIR_Coverage, 532,
     /*  184523 */     GIR_Done,
     /*  184524 */   // Label 3560: @184524
     /*  184524 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(184565), // Rule ID 533 //
     /*  184529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184546 */     // MIs[0] rs1
     /*  184546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184558 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  184563 */     GIR_RootConstrainSelectedInstOperands,
     /*  184564 */     // GIR_Coverage, 533,
     /*  184564 */     GIR_Done,
     /*  184565 */   // Label 3561: @184565
     /*  184565 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(184606), // Rule ID 534 //
     /*  184570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184587 */     // MIs[0] rs1
     /*  184587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184599 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184604 */     GIR_RootConstrainSelectedInstOperands,
     /*  184605 */     // GIR_Coverage, 534,
     /*  184605 */     GIR_Done,
     /*  184606 */   // Label 3562: @184606
     /*  184606 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(184647), // Rule ID 535 //
     /*  184611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184628 */     // MIs[0] rs1
     /*  184628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184640 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184645 */     GIR_RootConstrainSelectedInstOperands,
     /*  184646 */     // GIR_Coverage, 535,
     /*  184646 */     GIR_Done,
     /*  184647 */   // Label 3563: @184647
     /*  184647 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(184688), // Rule ID 536 //
     /*  184652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184669 */     // MIs[0] rs1
     /*  184669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184681 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184686 */     GIR_RootConstrainSelectedInstOperands,
     /*  184687 */     // GIR_Coverage, 536,
     /*  184687 */     GIR_Done,
     /*  184688 */   // Label 3564: @184688
     /*  184688 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(184729), // Rule ID 537 //
     /*  184693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184710 */     // MIs[0] rs1
     /*  184710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184722 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184727 */     GIR_RootConstrainSelectedInstOperands,
     /*  184728 */     // GIR_Coverage, 537,
     /*  184728 */     GIR_Done,
     /*  184729 */   // Label 3565: @184729
     /*  184729 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(184770), // Rule ID 538 //
     /*  184734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184751 */     // MIs[0] rs1
     /*  184751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184763 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184768 */     GIR_RootConstrainSelectedInstOperands,
     /*  184769 */     // GIR_Coverage, 538,
     /*  184769 */     GIR_Done,
     /*  184770 */   // Label 3566: @184770
     /*  184770 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(184811), // Rule ID 539 //
     /*  184775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184792 */     // MIs[0] rs1
     /*  184792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184804 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184809 */     GIR_RootConstrainSelectedInstOperands,
     /*  184810 */     // GIR_Coverage, 539,
     /*  184810 */     GIR_Done,
     /*  184811 */   // Label 3567: @184811
     /*  184811 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184852), // Rule ID 540 //
     /*  184816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184833 */     // MIs[0] rs1
     /*  184833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184845 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184850 */     GIR_RootConstrainSelectedInstOperands,
     /*  184851 */     // GIR_Coverage, 540,
     /*  184851 */     GIR_Done,
     /*  184852 */   // Label 3568: @184852
     /*  184852 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184893), // Rule ID 709 //
     /*  184857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184874 */     // MIs[0] rs1
     /*  184874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184886 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184891 */     GIR_RootConstrainSelectedInstOperands,
     /*  184892 */     // GIR_Coverage, 709,
     /*  184892 */     GIR_Done,
     /*  184893 */   // Label 3569: @184893
     /*  184893 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184934), // Rule ID 711 //
     /*  184898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184915 */     // MIs[0] rs1
     /*  184915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184927 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  184932 */     GIR_RootConstrainSelectedInstOperands,
     /*  184933 */     // GIR_Coverage, 711,
     /*  184933 */     GIR_Done,
     /*  184934 */   // Label 3570: @184934
     /*  184934 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184975), // Rule ID 713 //
     /*  184939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184956 */     // MIs[0] rs1
     /*  184956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184968 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  184973 */     GIR_RootConstrainSelectedInstOperands,
     /*  184974 */     // GIR_Coverage, 713,
     /*  184974 */     GIR_Done,
     /*  184975 */   // Label 3571: @184975
     /*  184975 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(185016), // Rule ID 715 //
     /*  184980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184997 */     // MIs[0] rs1
     /*  184997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185009 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185014 */     GIR_RootConstrainSelectedInstOperands,
     /*  185015 */     // GIR_Coverage, 715,
     /*  185015 */     GIR_Done,
     /*  185016 */   // Label 3572: @185016
     /*  185016 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(185057), // Rule ID 717 //
     /*  185021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185038 */     // MIs[0] rs1
     /*  185038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185050 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185055 */     GIR_RootConstrainSelectedInstOperands,
     /*  185056 */     // GIR_Coverage, 717,
     /*  185056 */     GIR_Done,
     /*  185057 */   // Label 3573: @185057
     /*  185057 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(185098), // Rule ID 719 //
     /*  185062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185079 */     // MIs[0] rs1
     /*  185079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185091 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185096 */     GIR_RootConstrainSelectedInstOperands,
     /*  185097 */     // GIR_Coverage, 719,
     /*  185097 */     GIR_Done,
     /*  185098 */   // Label 3574: @185098
     /*  185098 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(185139), // Rule ID 721 //
     /*  185103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185120 */     // MIs[0] rs1
     /*  185120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185132 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185137 */     GIR_RootConstrainSelectedInstOperands,
     /*  185138 */     // GIR_Coverage, 721,
     /*  185138 */     GIR_Done,
     /*  185139 */   // Label 3575: @185139
     /*  185139 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(185180), // Rule ID 723 //
     /*  185144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185161 */     // MIs[0] rs1
     /*  185161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185173 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185178 */     GIR_RootConstrainSelectedInstOperands,
     /*  185179 */     // GIR_Coverage, 723,
     /*  185179 */     GIR_Done,
     /*  185180 */   // Label 3576: @185180
     /*  185180 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(185221), // Rule ID 725 //
     /*  185185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185202 */     // MIs[0] rs1
     /*  185202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185214 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185219 */     GIR_RootConstrainSelectedInstOperands,
     /*  185220 */     // GIR_Coverage, 725,
     /*  185220 */     GIR_Done,
     /*  185221 */   // Label 3577: @185221
     /*  185221 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(185262), // Rule ID 727 //
     /*  185226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185243 */     // MIs[0] rs1
     /*  185243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185255 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185260 */     GIR_RootConstrainSelectedInstOperands,
     /*  185261 */     // GIR_Coverage, 727,
     /*  185261 */     GIR_Done,
     /*  185262 */   // Label 3578: @185262
     /*  185262 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(185303), // Rule ID 889 //
     /*  185267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185284 */     // MIs[0] rs1
     /*  185284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185296 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185301 */     GIR_RootConstrainSelectedInstOperands,
     /*  185302 */     // GIR_Coverage, 889,
     /*  185302 */     GIR_Done,
     /*  185303 */   // Label 3579: @185303
     /*  185303 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(185344), // Rule ID 891 //
     /*  185308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185325 */     // MIs[0] rs1
     /*  185325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185337 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  185342 */     GIR_RootConstrainSelectedInstOperands,
     /*  185343 */     // GIR_Coverage, 891,
     /*  185343 */     GIR_Done,
     /*  185344 */   // Label 3580: @185344
     /*  185344 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(185385), // Rule ID 893 //
     /*  185349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185366 */     // MIs[0] rs1
     /*  185366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185378 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  185383 */     GIR_RootConstrainSelectedInstOperands,
     /*  185384 */     // GIR_Coverage, 893,
     /*  185384 */     GIR_Done,
     /*  185385 */   // Label 3581: @185385
     /*  185385 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(185426), // Rule ID 895 //
     /*  185390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185407 */     // MIs[0] rs1
     /*  185407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185419 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185424 */     GIR_RootConstrainSelectedInstOperands,
     /*  185425 */     // GIR_Coverage, 895,
     /*  185425 */     GIR_Done,
     /*  185426 */   // Label 3582: @185426
     /*  185426 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(185467), // Rule ID 897 //
     /*  185431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185448 */     // MIs[0] rs1
     /*  185448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185460 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185465 */     GIR_RootConstrainSelectedInstOperands,
     /*  185466 */     // GIR_Coverage, 897,
     /*  185466 */     GIR_Done,
     /*  185467 */   // Label 3583: @185467
     /*  185467 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(185508), // Rule ID 899 //
     /*  185472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185489 */     // MIs[0] rs1
     /*  185489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185501 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185506 */     GIR_RootConstrainSelectedInstOperands,
     /*  185507 */     // GIR_Coverage, 899,
     /*  185507 */     GIR_Done,
     /*  185508 */   // Label 3584: @185508
     /*  185508 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(185549), // Rule ID 901 //
     /*  185513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185530 */     // MIs[0] rs1
     /*  185530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185542 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185547 */     GIR_RootConstrainSelectedInstOperands,
     /*  185548 */     // GIR_Coverage, 901,
     /*  185548 */     GIR_Done,
     /*  185549 */   // Label 3585: @185549
     /*  185549 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(185590), // Rule ID 903 //
     /*  185554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185571 */     // MIs[0] rs1
     /*  185571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185583 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185588 */     GIR_RootConstrainSelectedInstOperands,
     /*  185589 */     // GIR_Coverage, 903,
     /*  185589 */     GIR_Done,
     /*  185590 */   // Label 3586: @185590
     /*  185590 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(185631), // Rule ID 905 //
     /*  185595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185612 */     // MIs[0] rs1
     /*  185612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185624 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185629 */     GIR_RootConstrainSelectedInstOperands,
     /*  185630 */     // GIR_Coverage, 905,
     /*  185630 */     GIR_Done,
     /*  185631 */   // Label 3587: @185631
     /*  185631 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(185672), // Rule ID 907 //
     /*  185636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185653 */     // MIs[0] rs1
     /*  185653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185665 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185670 */     GIR_RootConstrainSelectedInstOperands,
     /*  185671 */     // GIR_Coverage, 907,
     /*  185671 */     GIR_Done,
     /*  185672 */   // Label 3588: @185672
     /*  185672 */   GIM_Reject,
     /*  185673 */ // Label 3548: @185673
     /*  185673 */ GIM_Reject,
     /*  185674 */ // Label 3516: @185674
     /*  185674 */ GIM_Reject,
     /*  185675 */ // Label 28: @185675
     /*  185675 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3591*/ GIMT_Encode4(188584),
     /*  185686 */ /*GILLT_s32*//*Label 3589*/ GIMT_Encode4(185694),
     /*  185690 */ /*GILLT_s64*//*Label 3590*/ GIMT_Encode4(186934),
     /*  185694 */ // Label 3589: @185694
     /*  185694 */ GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(186933),
     /*  185699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  185702 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185743), // Rule ID 382 //
     /*  185707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185724 */     // MIs[0] rs1
     /*  185724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185736 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185741 */     GIR_RootConstrainSelectedInstOperands,
     /*  185742 */     // GIR_Coverage, 382,
     /*  185742 */     GIR_Done,
     /*  185743 */   // Label 3593: @185743
     /*  185743 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185784), // Rule ID 384 //
     /*  185748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185765 */     // MIs[0] rs1
     /*  185765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185777 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  185782 */     GIR_RootConstrainSelectedInstOperands,
     /*  185783 */     // GIR_Coverage, 384,
     /*  185783 */     GIR_Done,
     /*  185784 */   // Label 3594: @185784
     /*  185784 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185825), // Rule ID 386 //
     /*  185789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185806 */     // MIs[0] rs1
     /*  185806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185818 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  185823 */     GIR_RootConstrainSelectedInstOperands,
     /*  185824 */     // GIR_Coverage, 386,
     /*  185824 */     GIR_Done,
     /*  185825 */   // Label 3595: @185825
     /*  185825 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185866), // Rule ID 388 //
     /*  185830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185847 */     // MIs[0] rs1
     /*  185847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185859 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185864 */     GIR_RootConstrainSelectedInstOperands,
     /*  185865 */     // GIR_Coverage, 388,
     /*  185865 */     GIR_Done,
     /*  185866 */   // Label 3596: @185866
     /*  185866 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185907), // Rule ID 390 //
     /*  185871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185888 */     // MIs[0] rs1
     /*  185888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185900 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185905 */     GIR_RootConstrainSelectedInstOperands,
     /*  185906 */     // GIR_Coverage, 390,
     /*  185906 */     GIR_Done,
     /*  185907 */   // Label 3597: @185907
     /*  185907 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185948), // Rule ID 392 //
     /*  185912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185929 */     // MIs[0] rs1
     /*  185929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185941 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185946 */     GIR_RootConstrainSelectedInstOperands,
     /*  185947 */     // GIR_Coverage, 392,
     /*  185947 */     GIR_Done,
     /*  185948 */   // Label 3598: @185948
     /*  185948 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185989), // Rule ID 394 //
     /*  185953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185970 */     // MIs[0] rs1
     /*  185970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185982 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185987 */     GIR_RootConstrainSelectedInstOperands,
     /*  185988 */     // GIR_Coverage, 394,
     /*  185988 */     GIR_Done,
     /*  185989 */   // Label 3599: @185989
     /*  185989 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(186030), // Rule ID 396 //
     /*  185994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186011 */     // MIs[0] rs1
     /*  186011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186023 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186028 */     GIR_RootConstrainSelectedInstOperands,
     /*  186029 */     // GIR_Coverage, 396,
     /*  186029 */     GIR_Done,
     /*  186030 */   // Label 3600: @186030
     /*  186030 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(186071), // Rule ID 398 //
     /*  186035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186052 */     // MIs[0] rs1
     /*  186052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186064 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186069 */     GIR_RootConstrainSelectedInstOperands,
     /*  186070 */     // GIR_Coverage, 398,
     /*  186070 */     GIR_Done,
     /*  186071 */   // Label 3601: @186071
     /*  186071 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(186112), // Rule ID 400 //
     /*  186076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186093 */     // MIs[0] rs1
     /*  186093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186105 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186110 */     GIR_RootConstrainSelectedInstOperands,
     /*  186111 */     // GIR_Coverage, 400,
     /*  186111 */     GIR_Done,
     /*  186112 */   // Label 3602: @186112
     /*  186112 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(186153), // Rule ID 730 //
     /*  186117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186134 */     // MIs[0] rs1
     /*  186134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186146 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186151 */     GIR_RootConstrainSelectedInstOperands,
     /*  186152 */     // GIR_Coverage, 730,
     /*  186152 */     GIR_Done,
     /*  186153 */   // Label 3603: @186153
     /*  186153 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(186194), // Rule ID 732 //
     /*  186158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186175 */     // MIs[0] rs1
     /*  186175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186187 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  186192 */     GIR_RootConstrainSelectedInstOperands,
     /*  186193 */     // GIR_Coverage, 732,
     /*  186193 */     GIR_Done,
     /*  186194 */   // Label 3604: @186194
     /*  186194 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(186235), // Rule ID 734 //
     /*  186199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186216 */     // MIs[0] rs1
     /*  186216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186228 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  186233 */     GIR_RootConstrainSelectedInstOperands,
     /*  186234 */     // GIR_Coverage, 734,
     /*  186234 */     GIR_Done,
     /*  186235 */   // Label 3605: @186235
     /*  186235 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(186276), // Rule ID 736 //
     /*  186240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186257 */     // MIs[0] rs1
     /*  186257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186269 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186274 */     GIR_RootConstrainSelectedInstOperands,
     /*  186275 */     // GIR_Coverage, 736,
     /*  186275 */     GIR_Done,
     /*  186276 */   // Label 3606: @186276
     /*  186276 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(186317), // Rule ID 738 //
     /*  186281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186298 */     // MIs[0] rs1
     /*  186298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186310 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186315 */     GIR_RootConstrainSelectedInstOperands,
     /*  186316 */     // GIR_Coverage, 738,
     /*  186316 */     GIR_Done,
     /*  186317 */   // Label 3607: @186317
     /*  186317 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(186358), // Rule ID 740 //
     /*  186322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186339 */     // MIs[0] rs1
     /*  186339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186351 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186356 */     GIR_RootConstrainSelectedInstOperands,
     /*  186357 */     // GIR_Coverage, 740,
     /*  186357 */     GIR_Done,
     /*  186358 */   // Label 3608: @186358
     /*  186358 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(186399), // Rule ID 742 //
     /*  186363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186380 */     // MIs[0] rs1
     /*  186380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186392 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186397 */     GIR_RootConstrainSelectedInstOperands,
     /*  186398 */     // GIR_Coverage, 742,
     /*  186398 */     GIR_Done,
     /*  186399 */   // Label 3609: @186399
     /*  186399 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(186440), // Rule ID 744 //
     /*  186404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186421 */     // MIs[0] rs1
     /*  186421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186433 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186438 */     GIR_RootConstrainSelectedInstOperands,
     /*  186439 */     // GIR_Coverage, 744,
     /*  186439 */     GIR_Done,
     /*  186440 */   // Label 3610: @186440
     /*  186440 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(186481), // Rule ID 746 //
     /*  186445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186462 */     // MIs[0] rs1
     /*  186462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186474 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186479 */     GIR_RootConstrainSelectedInstOperands,
     /*  186480 */     // GIR_Coverage, 746,
     /*  186480 */     GIR_Done,
     /*  186481 */   // Label 3611: @186481
     /*  186481 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(186522), // Rule ID 748 //
     /*  186486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186503 */     // MIs[0] rs1
     /*  186503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186515 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186520 */     GIR_RootConstrainSelectedInstOperands,
     /*  186521 */     // GIR_Coverage, 748,
     /*  186521 */     GIR_Done,
     /*  186522 */   // Label 3612: @186522
     /*  186522 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(186563), // Rule ID 910 //
     /*  186527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186544 */     // MIs[0] rs1
     /*  186544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186556 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186561 */     GIR_RootConstrainSelectedInstOperands,
     /*  186562 */     // GIR_Coverage, 910,
     /*  186562 */     GIR_Done,
     /*  186563 */   // Label 3613: @186563
     /*  186563 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(186604), // Rule ID 912 //
     /*  186568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186585 */     // MIs[0] rs1
     /*  186585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186597 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  186602 */     GIR_RootConstrainSelectedInstOperands,
     /*  186603 */     // GIR_Coverage, 912,
     /*  186603 */     GIR_Done,
     /*  186604 */   // Label 3614: @186604
     /*  186604 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(186645), // Rule ID 914 //
     /*  186609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186626 */     // MIs[0] rs1
     /*  186626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186638 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  186643 */     GIR_RootConstrainSelectedInstOperands,
     /*  186644 */     // GIR_Coverage, 914,
     /*  186644 */     GIR_Done,
     /*  186645 */   // Label 3615: @186645
     /*  186645 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(186686), // Rule ID 916 //
     /*  186650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186667 */     // MIs[0] rs1
     /*  186667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186679 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186684 */     GIR_RootConstrainSelectedInstOperands,
     /*  186685 */     // GIR_Coverage, 916,
     /*  186685 */     GIR_Done,
     /*  186686 */   // Label 3616: @186686
     /*  186686 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186727), // Rule ID 918 //
     /*  186691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186708 */     // MIs[0] rs1
     /*  186708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186720 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186725 */     GIR_RootConstrainSelectedInstOperands,
     /*  186726 */     // GIR_Coverage, 918,
     /*  186726 */     GIR_Done,
     /*  186727 */   // Label 3617: @186727
     /*  186727 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186768), // Rule ID 920 //
     /*  186732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186749 */     // MIs[0] rs1
     /*  186749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186761 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186766 */     GIR_RootConstrainSelectedInstOperands,
     /*  186767 */     // GIR_Coverage, 920,
     /*  186767 */     GIR_Done,
     /*  186768 */   // Label 3618: @186768
     /*  186768 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(186809), // Rule ID 922 //
     /*  186773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186790 */     // MIs[0] rs1
     /*  186790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186802 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186807 */     GIR_RootConstrainSelectedInstOperands,
     /*  186808 */     // GIR_Coverage, 922,
     /*  186808 */     GIR_Done,
     /*  186809 */   // Label 3619: @186809
     /*  186809 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186850), // Rule ID 924 //
     /*  186814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186831 */     // MIs[0] rs1
     /*  186831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186843 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186848 */     GIR_RootConstrainSelectedInstOperands,
     /*  186849 */     // GIR_Coverage, 924,
     /*  186849 */     GIR_Done,
     /*  186850 */   // Label 3620: @186850
     /*  186850 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186891), // Rule ID 926 //
     /*  186855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186872 */     // MIs[0] rs1
     /*  186872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186884 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186889 */     GIR_RootConstrainSelectedInstOperands,
     /*  186890 */     // GIR_Coverage, 926,
     /*  186890 */     GIR_Done,
     /*  186891 */   // Label 3621: @186891
     /*  186891 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186932), // Rule ID 928 //
     /*  186896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186913 */     // MIs[0] rs1
     /*  186913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186925 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186930 */     GIR_RootConstrainSelectedInstOperands,
     /*  186931 */     // GIR_Coverage, 928,
     /*  186931 */     GIR_Done,
     /*  186932 */   // Label 3622: @186932
     /*  186932 */   GIM_Reject,
     /*  186933 */ // Label 3592: @186933
     /*  186933 */ GIM_Reject,
     /*  186934 */ // Label 3590: @186934
     /*  186934 */ GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(188583),
     /*  186939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  186942 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186983), // Rule ID 381 //
     /*  186947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186964 */     // MIs[0] rs1
     /*  186964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186976 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186981 */     GIR_RootConstrainSelectedInstOperands,
     /*  186982 */     // GIR_Coverage, 381,
     /*  186982 */     GIR_Done,
     /*  186983 */   // Label 3624: @186983
     /*  186983 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(187024), // Rule ID 383 //
     /*  186988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187005 */     // MIs[0] rs1
     /*  187005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187017 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  187022 */     GIR_RootConstrainSelectedInstOperands,
     /*  187023 */     // GIR_Coverage, 383,
     /*  187023 */     GIR_Done,
     /*  187024 */   // Label 3625: @187024
     /*  187024 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(187065), // Rule ID 385 //
     /*  187029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187046 */     // MIs[0] rs1
     /*  187046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187058 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  187063 */     GIR_RootConstrainSelectedInstOperands,
     /*  187064 */     // GIR_Coverage, 385,
     /*  187064 */     GIR_Done,
     /*  187065 */   // Label 3626: @187065
     /*  187065 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(187106), // Rule ID 387 //
     /*  187070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187087 */     // MIs[0] rs1
     /*  187087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187099 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187104 */     GIR_RootConstrainSelectedInstOperands,
     /*  187105 */     // GIR_Coverage, 387,
     /*  187105 */     GIR_Done,
     /*  187106 */   // Label 3627: @187106
     /*  187106 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(187147), // Rule ID 389 //
     /*  187111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187128 */     // MIs[0] rs1
     /*  187128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187140 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187145 */     GIR_RootConstrainSelectedInstOperands,
     /*  187146 */     // GIR_Coverage, 389,
     /*  187146 */     GIR_Done,
     /*  187147 */   // Label 3628: @187147
     /*  187147 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(187188), // Rule ID 391 //
     /*  187152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187169 */     // MIs[0] rs1
     /*  187169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187181 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187186 */     GIR_RootConstrainSelectedInstOperands,
     /*  187187 */     // GIR_Coverage, 391,
     /*  187187 */     GIR_Done,
     /*  187188 */   // Label 3629: @187188
     /*  187188 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(187229), // Rule ID 393 //
     /*  187193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187210 */     // MIs[0] rs1
     /*  187210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187222 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187227 */     GIR_RootConstrainSelectedInstOperands,
     /*  187228 */     // GIR_Coverage, 393,
     /*  187228 */     GIR_Done,
     /*  187229 */   // Label 3630: @187229
     /*  187229 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(187270), // Rule ID 395 //
     /*  187234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187251 */     // MIs[0] rs1
     /*  187251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187263 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187268 */     GIR_RootConstrainSelectedInstOperands,
     /*  187269 */     // GIR_Coverage, 395,
     /*  187269 */     GIR_Done,
     /*  187270 */   // Label 3631: @187270
     /*  187270 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(187311), // Rule ID 397 //
     /*  187275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187292 */     // MIs[0] rs1
     /*  187292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187304 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187309 */     GIR_RootConstrainSelectedInstOperands,
     /*  187310 */     // GIR_Coverage, 397,
     /*  187310 */     GIR_Done,
     /*  187311 */   // Label 3632: @187311
     /*  187311 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(187352), // Rule ID 399 //
     /*  187316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187333 */     // MIs[0] rs1
     /*  187333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187345 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187350 */     GIR_RootConstrainSelectedInstOperands,
     /*  187351 */     // GIR_Coverage, 399,
     /*  187351 */     GIR_Done,
     /*  187352 */   // Label 3633: @187352
     /*  187352 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(187393), // Rule ID 541 //
     /*  187357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187374 */     // MIs[0] rs1
     /*  187374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187386 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187391 */     GIR_RootConstrainSelectedInstOperands,
     /*  187392 */     // GIR_Coverage, 541,
     /*  187392 */     GIR_Done,
     /*  187393 */   // Label 3634: @187393
     /*  187393 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(187434), // Rule ID 542 //
     /*  187398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187415 */     // MIs[0] rs1
     /*  187415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187427 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  187432 */     GIR_RootConstrainSelectedInstOperands,
     /*  187433 */     // GIR_Coverage, 542,
     /*  187433 */     GIR_Done,
     /*  187434 */   // Label 3635: @187434
     /*  187434 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(187475), // Rule ID 543 //
     /*  187439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187456 */     // MIs[0] rs1
     /*  187456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187468 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  187473 */     GIR_RootConstrainSelectedInstOperands,
     /*  187474 */     // GIR_Coverage, 543,
     /*  187474 */     GIR_Done,
     /*  187475 */   // Label 3636: @187475
     /*  187475 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(187516), // Rule ID 544 //
     /*  187480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187497 */     // MIs[0] rs1
     /*  187497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187509 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187514 */     GIR_RootConstrainSelectedInstOperands,
     /*  187515 */     // GIR_Coverage, 544,
     /*  187515 */     GIR_Done,
     /*  187516 */   // Label 3637: @187516
     /*  187516 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(187557), // Rule ID 545 //
     /*  187521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187538 */     // MIs[0] rs1
     /*  187538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187550 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187555 */     GIR_RootConstrainSelectedInstOperands,
     /*  187556 */     // GIR_Coverage, 545,
     /*  187556 */     GIR_Done,
     /*  187557 */   // Label 3638: @187557
     /*  187557 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(187598), // Rule ID 546 //
     /*  187562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187579 */     // MIs[0] rs1
     /*  187579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187591 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187596 */     GIR_RootConstrainSelectedInstOperands,
     /*  187597 */     // GIR_Coverage, 546,
     /*  187597 */     GIR_Done,
     /*  187598 */   // Label 3639: @187598
     /*  187598 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(187639), // Rule ID 547 //
     /*  187603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187620 */     // MIs[0] rs1
     /*  187620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187632 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187637 */     GIR_RootConstrainSelectedInstOperands,
     /*  187638 */     // GIR_Coverage, 547,
     /*  187638 */     GIR_Done,
     /*  187639 */   // Label 3640: @187639
     /*  187639 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(187680), // Rule ID 548 //
     /*  187644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187661 */     // MIs[0] rs1
     /*  187661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187673 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187678 */     GIR_RootConstrainSelectedInstOperands,
     /*  187679 */     // GIR_Coverage, 548,
     /*  187679 */     GIR_Done,
     /*  187680 */   // Label 3641: @187680
     /*  187680 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(187721), // Rule ID 549 //
     /*  187685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187702 */     // MIs[0] rs1
     /*  187702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187714 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187719 */     GIR_RootConstrainSelectedInstOperands,
     /*  187720 */     // GIR_Coverage, 549,
     /*  187720 */     GIR_Done,
     /*  187721 */   // Label 3642: @187721
     /*  187721 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(187762), // Rule ID 550 //
     /*  187726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187743 */     // MIs[0] rs1
     /*  187743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187755 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187760 */     GIR_RootConstrainSelectedInstOperands,
     /*  187761 */     // GIR_Coverage, 550,
     /*  187761 */     GIR_Done,
     /*  187762 */   // Label 3643: @187762
     /*  187762 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(187803), // Rule ID 729 //
     /*  187767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187784 */     // MIs[0] rs1
     /*  187784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187796 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187801 */     GIR_RootConstrainSelectedInstOperands,
     /*  187802 */     // GIR_Coverage, 729,
     /*  187802 */     GIR_Done,
     /*  187803 */   // Label 3644: @187803
     /*  187803 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187844), // Rule ID 731 //
     /*  187808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187825 */     // MIs[0] rs1
     /*  187825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187837 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  187842 */     GIR_RootConstrainSelectedInstOperands,
     /*  187843 */     // GIR_Coverage, 731,
     /*  187843 */     GIR_Done,
     /*  187844 */   // Label 3645: @187844
     /*  187844 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187885), // Rule ID 733 //
     /*  187849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187866 */     // MIs[0] rs1
     /*  187866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187878 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  187883 */     GIR_RootConstrainSelectedInstOperands,
     /*  187884 */     // GIR_Coverage, 733,
     /*  187884 */     GIR_Done,
     /*  187885 */   // Label 3646: @187885
     /*  187885 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187926), // Rule ID 735 //
     /*  187890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187907 */     // MIs[0] rs1
     /*  187907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187919 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187924 */     GIR_RootConstrainSelectedInstOperands,
     /*  187925 */     // GIR_Coverage, 735,
     /*  187925 */     GIR_Done,
     /*  187926 */   // Label 3647: @187926
     /*  187926 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187967), // Rule ID 737 //
     /*  187931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187948 */     // MIs[0] rs1
     /*  187948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187960 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187965 */     GIR_RootConstrainSelectedInstOperands,
     /*  187966 */     // GIR_Coverage, 737,
     /*  187966 */     GIR_Done,
     /*  187967 */   // Label 3648: @187967
     /*  187967 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(188008), // Rule ID 739 //
     /*  187972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187989 */     // MIs[0] rs1
     /*  187989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188001 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188006 */     GIR_RootConstrainSelectedInstOperands,
     /*  188007 */     // GIR_Coverage, 739,
     /*  188007 */     GIR_Done,
     /*  188008 */   // Label 3649: @188008
     /*  188008 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(188049), // Rule ID 741 //
     /*  188013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188030 */     // MIs[0] rs1
     /*  188030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188042 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188047 */     GIR_RootConstrainSelectedInstOperands,
     /*  188048 */     // GIR_Coverage, 741,
     /*  188048 */     GIR_Done,
     /*  188049 */   // Label 3650: @188049
     /*  188049 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(188090), // Rule ID 743 //
     /*  188054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188071 */     // MIs[0] rs1
     /*  188071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188083 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188088 */     GIR_RootConstrainSelectedInstOperands,
     /*  188089 */     // GIR_Coverage, 743,
     /*  188089 */     GIR_Done,
     /*  188090 */   // Label 3651: @188090
     /*  188090 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(188131), // Rule ID 745 //
     /*  188095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188112 */     // MIs[0] rs1
     /*  188112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188124 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188129 */     GIR_RootConstrainSelectedInstOperands,
     /*  188130 */     // GIR_Coverage, 745,
     /*  188130 */     GIR_Done,
     /*  188131 */   // Label 3652: @188131
     /*  188131 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(188172), // Rule ID 747 //
     /*  188136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188153 */     // MIs[0] rs1
     /*  188153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188165 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188170 */     GIR_RootConstrainSelectedInstOperands,
     /*  188171 */     // GIR_Coverage, 747,
     /*  188171 */     GIR_Done,
     /*  188172 */   // Label 3653: @188172
     /*  188172 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(188213), // Rule ID 909 //
     /*  188177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188194 */     // MIs[0] rs1
     /*  188194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188206 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188211 */     GIR_RootConstrainSelectedInstOperands,
     /*  188212 */     // GIR_Coverage, 909,
     /*  188212 */     GIR_Done,
     /*  188213 */   // Label 3654: @188213
     /*  188213 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(188254), // Rule ID 911 //
     /*  188218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188235 */     // MIs[0] rs1
     /*  188235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188247 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  188252 */     GIR_RootConstrainSelectedInstOperands,
     /*  188253 */     // GIR_Coverage, 911,
     /*  188253 */     GIR_Done,
     /*  188254 */   // Label 3655: @188254
     /*  188254 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(188295), // Rule ID 913 //
     /*  188259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188276 */     // MIs[0] rs1
     /*  188276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188288 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  188293 */     GIR_RootConstrainSelectedInstOperands,
     /*  188294 */     // GIR_Coverage, 913,
     /*  188294 */     GIR_Done,
     /*  188295 */   // Label 3656: @188295
     /*  188295 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(188336), // Rule ID 915 //
     /*  188300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188317 */     // MIs[0] rs1
     /*  188317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188329 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  188334 */     GIR_RootConstrainSelectedInstOperands,
     /*  188335 */     // GIR_Coverage, 915,
     /*  188335 */     GIR_Done,
     /*  188336 */   // Label 3657: @188336
     /*  188336 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(188377), // Rule ID 917 //
     /*  188341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188358 */     // MIs[0] rs1
     /*  188358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188370 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  188375 */     GIR_RootConstrainSelectedInstOperands,
     /*  188376 */     // GIR_Coverage, 917,
     /*  188376 */     GIR_Done,
     /*  188377 */   // Label 3658: @188377
     /*  188377 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(188418), // Rule ID 919 //
     /*  188382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188399 */     // MIs[0] rs1
     /*  188399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188411 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188416 */     GIR_RootConstrainSelectedInstOperands,
     /*  188417 */     // GIR_Coverage, 919,
     /*  188417 */     GIR_Done,
     /*  188418 */   // Label 3659: @188418
     /*  188418 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(188459), // Rule ID 921 //
     /*  188423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188440 */     // MIs[0] rs1
     /*  188440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188452 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188457 */     GIR_RootConstrainSelectedInstOperands,
     /*  188458 */     // GIR_Coverage, 921,
     /*  188458 */     GIR_Done,
     /*  188459 */   // Label 3660: @188459
     /*  188459 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(188500), // Rule ID 923 //
     /*  188464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188481 */     // MIs[0] rs1
     /*  188481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188493 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188498 */     GIR_RootConstrainSelectedInstOperands,
     /*  188499 */     // GIR_Coverage, 923,
     /*  188499 */     GIR_Done,
     /*  188500 */   // Label 3661: @188500
     /*  188500 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(188541), // Rule ID 925 //
     /*  188505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188522 */     // MIs[0] rs1
     /*  188522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188534 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188539 */     GIR_RootConstrainSelectedInstOperands,
     /*  188540 */     // GIR_Coverage, 925,
     /*  188540 */     GIR_Done,
     /*  188541 */   // Label 3662: @188541
     /*  188541 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(188582), // Rule ID 927 //
     /*  188546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188563 */     // MIs[0] rs1
     /*  188563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188575 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188580 */     GIR_RootConstrainSelectedInstOperands,
     /*  188581 */     // GIR_Coverage, 927,
     /*  188581 */     GIR_Done,
     /*  188582 */   // Label 3663: @188582
     /*  188582 */   GIM_Reject,
     /*  188583 */ // Label 3623: @188583
     /*  188583 */ GIM_Reject,
     /*  188584 */ // Label 3591: @188584
     /*  188584 */ GIM_Reject,
     /*  188585 */ // Label 29: @188585
     /*  188585 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3666*/ GIMT_Encode4(189496),
     /*  188596 */ /*GILLT_s32*//*Label 3664*/ GIMT_Encode4(188604),
     /*  188600 */ /*GILLT_s64*//*Label 3665*/ GIMT_Encode4(188886),
     /*  188604 */ // Label 3664: @188604
     /*  188604 */ GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(188885),
     /*  188609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  188612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188619 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(188672), // Rule ID 612 //
     /*  188624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188634 */     // MIs[0] addr
     /*  188634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188646 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  188646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188654 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188659 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188661 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188670 */     GIR_RootConstrainSelectedInstOperands,
     /*  188671 */     // GIR_Coverage, 612,
     /*  188671 */     GIR_EraseRootFromParent_Done,
     /*  188672 */   // Label 3668: @188672
     /*  188672 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(188725), // Rule ID 614 //
     /*  188677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188680 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188687 */     // MIs[0] addr
     /*  188687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188699 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  188699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188707 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188712 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188714 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188723 */     GIR_RootConstrainSelectedInstOperands,
     /*  188724 */     // GIR_Coverage, 614,
     /*  188724 */     GIR_EraseRootFromParent_Done,
     /*  188725 */   // Label 3669: @188725
     /*  188725 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188778), // Rule ID 616 //
     /*  188730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188740 */     // MIs[0] addr
     /*  188740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188752 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  188752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188760 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188765 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188767 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188776 */     GIR_RootConstrainSelectedInstOperands,
     /*  188777 */     // GIR_Coverage, 616,
     /*  188777 */     GIR_EraseRootFromParent_Done,
     /*  188778 */   // Label 3670: @188778
     /*  188778 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188831), // Rule ID 618 //
     /*  188783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188793 */     // MIs[0] addr
     /*  188793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188805 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  188805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188813 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188818 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188820 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188829 */     GIR_RootConstrainSelectedInstOperands,
     /*  188830 */     // GIR_Coverage, 618,
     /*  188830 */     GIR_EraseRootFromParent_Done,
     /*  188831 */   // Label 3671: @188831
     /*  188831 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188884), // Rule ID 620 //
     /*  188836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188846 */     // MIs[0] addr
     /*  188846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188858 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  188858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188866 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188871 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188873 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188882 */     GIR_RootConstrainSelectedInstOperands,
     /*  188883 */     // GIR_Coverage, 620,
     /*  188883 */     GIR_EraseRootFromParent_Done,
     /*  188884 */   // Label 3672: @188884
     /*  188884 */   GIM_Reject,
     /*  188885 */ // Label 3667: @188885
     /*  188885 */ GIM_Reject,
     /*  188886 */ // Label 3665: @188886
     /*  188886 */ GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(189495),
     /*  188891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188894 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188954), // Rule ID 611 //
     /*  188899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188916 */     // MIs[0] addr
     /*  188916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188928 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188936 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188941 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188943 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188952 */     GIR_RootConstrainSelectedInstOperands,
     /*  188953 */     // GIR_Coverage, 611,
     /*  188953 */     GIR_EraseRootFromParent_Done,
     /*  188954 */   // Label 3674: @188954
     /*  188954 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(189014), // Rule ID 613 //
     /*  188959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188976 */     // MIs[0] addr
     /*  188976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188988 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188996 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189001 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189003 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189012 */     GIR_RootConstrainSelectedInstOperands,
     /*  189013 */     // GIR_Coverage, 613,
     /*  189013 */     GIR_EraseRootFromParent_Done,
     /*  189014 */   // Label 3675: @189014
     /*  189014 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(189074), // Rule ID 615 //
     /*  189019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189036 */     // MIs[0] addr
     /*  189036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189048 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  189048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189056 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189061 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189063 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189072 */     GIR_RootConstrainSelectedInstOperands,
     /*  189073 */     // GIR_Coverage, 615,
     /*  189073 */     GIR_EraseRootFromParent_Done,
     /*  189074 */   // Label 3676: @189074
     /*  189074 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(189134), // Rule ID 617 //
     /*  189079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189096 */     // MIs[0] addr
     /*  189096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189108 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189116 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189121 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189123 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189132 */     GIR_RootConstrainSelectedInstOperands,
     /*  189133 */     // GIR_Coverage, 617,
     /*  189133 */     GIR_EraseRootFromParent_Done,
     /*  189134 */   // Label 3677: @189134
     /*  189134 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(189194), // Rule ID 619 //
     /*  189139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189156 */     // MIs[0] addr
     /*  189156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189168 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189176 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189181 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189183 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189192 */     GIR_RootConstrainSelectedInstOperands,
     /*  189193 */     // GIR_Coverage, 619,
     /*  189193 */     GIR_EraseRootFromParent_Done,
     /*  189194 */   // Label 3678: @189194
     /*  189194 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(189254), // Rule ID 629 //
     /*  189199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189216 */     // MIs[0] addr
     /*  189216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189228 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  189228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189236 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189241 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189243 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  189248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189252 */     GIR_RootConstrainSelectedInstOperands,
     /*  189253 */     // GIR_Coverage, 629,
     /*  189253 */     GIR_EraseRootFromParent_Done,
     /*  189254 */   // Label 3679: @189254
     /*  189254 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(189314), // Rule ID 630 //
     /*  189259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189276 */     // MIs[0] addr
     /*  189276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189288 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  189288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189296 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189301 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189303 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189312 */     GIR_RootConstrainSelectedInstOperands,
     /*  189313 */     // GIR_Coverage, 630,
     /*  189313 */     GIR_EraseRootFromParent_Done,
     /*  189314 */   // Label 3680: @189314
     /*  189314 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(189374), // Rule ID 631 //
     /*  189319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189336 */     // MIs[0] addr
     /*  189336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189348 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  189348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189356 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189361 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189363 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189372 */     GIR_RootConstrainSelectedInstOperands,
     /*  189373 */     // GIR_Coverage, 631,
     /*  189373 */     GIR_EraseRootFromParent_Done,
     /*  189374 */   // Label 3681: @189374
     /*  189374 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(189434), // Rule ID 632 //
     /*  189379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189396 */     // MIs[0] addr
     /*  189396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189408 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189416 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189421 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189423 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189432 */     GIR_RootConstrainSelectedInstOperands,
     /*  189433 */     // GIR_Coverage, 632,
     /*  189433 */     GIR_EraseRootFromParent_Done,
     /*  189434 */   // Label 3682: @189434
     /*  189434 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(189494), // Rule ID 633 //
     /*  189439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189456 */     // MIs[0] addr
     /*  189456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189468 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189476 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189481 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189483 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189492 */     GIR_RootConstrainSelectedInstOperands,
     /*  189493 */     // GIR_Coverage, 633,
     /*  189493 */     GIR_EraseRootFromParent_Done,
     /*  189494 */   // Label 3683: @189494
     /*  189494 */   GIM_Reject,
     /*  189495 */ // Label 3673: @189495
     /*  189495 */ GIM_Reject,
     /*  189496 */ // Label 3666: @189496
     /*  189496 */ GIM_Reject,
     /*  189497 */ // Label 30: @189497
     /*  189497 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3686*/ GIMT_Encode4(192406),
     /*  189508 */ /*GILLT_s32*//*Label 3684*/ GIMT_Encode4(189516),
     /*  189512 */ /*GILLT_s64*//*Label 3685*/ GIMT_Encode4(190756),
     /*  189516 */ // Label 3684: @189516
     /*  189516 */ GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(190755),
     /*  189521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189524 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(189565), // Rule ID 402 //
     /*  189529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189546 */     // MIs[0] rs1
     /*  189546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189558 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189563 */     GIR_RootConstrainSelectedInstOperands,
     /*  189564 */     // GIR_Coverage, 402,
     /*  189564 */     GIR_Done,
     /*  189565 */   // Label 3688: @189565
     /*  189565 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(189606), // Rule ID 404 //
     /*  189570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189587 */     // MIs[0] rs1
     /*  189587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189599 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  189604 */     GIR_RootConstrainSelectedInstOperands,
     /*  189605 */     // GIR_Coverage, 404,
     /*  189605 */     GIR_Done,
     /*  189606 */   // Label 3689: @189606
     /*  189606 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(189647), // Rule ID 406 //
     /*  189611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189628 */     // MIs[0] rs1
     /*  189628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189640 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  189645 */     GIR_RootConstrainSelectedInstOperands,
     /*  189646 */     // GIR_Coverage, 406,
     /*  189646 */     GIR_Done,
     /*  189647 */   // Label 3690: @189647
     /*  189647 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(189688), // Rule ID 408 //
     /*  189652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189669 */     // MIs[0] rs1
     /*  189669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189681 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189686 */     GIR_RootConstrainSelectedInstOperands,
     /*  189687 */     // GIR_Coverage, 408,
     /*  189687 */     GIR_Done,
     /*  189688 */   // Label 3691: @189688
     /*  189688 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(189729), // Rule ID 410 //
     /*  189693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189710 */     // MIs[0] rs1
     /*  189710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189722 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189727 */     GIR_RootConstrainSelectedInstOperands,
     /*  189728 */     // GIR_Coverage, 410,
     /*  189728 */     GIR_Done,
     /*  189729 */   // Label 3692: @189729
     /*  189729 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(189770), // Rule ID 412 //
     /*  189734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189751 */     // MIs[0] rs1
     /*  189751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189763 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189768 */     GIR_RootConstrainSelectedInstOperands,
     /*  189769 */     // GIR_Coverage, 412,
     /*  189769 */     GIR_Done,
     /*  189770 */   // Label 3693: @189770
     /*  189770 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189811), // Rule ID 414 //
     /*  189775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189792 */     // MIs[0] rs1
     /*  189792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189804 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189809 */     GIR_RootConstrainSelectedInstOperands,
     /*  189810 */     // GIR_Coverage, 414,
     /*  189810 */     GIR_Done,
     /*  189811 */   // Label 3694: @189811
     /*  189811 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189852), // Rule ID 416 //
     /*  189816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189833 */     // MIs[0] rs1
     /*  189833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189845 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189850 */     GIR_RootConstrainSelectedInstOperands,
     /*  189851 */     // GIR_Coverage, 416,
     /*  189851 */     GIR_Done,
     /*  189852 */   // Label 3695: @189852
     /*  189852 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189893), // Rule ID 418 //
     /*  189857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189874 */     // MIs[0] rs1
     /*  189874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189886 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189891 */     GIR_RootConstrainSelectedInstOperands,
     /*  189892 */     // GIR_Coverage, 418,
     /*  189892 */     GIR_Done,
     /*  189893 */   // Label 3696: @189893
     /*  189893 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189934), // Rule ID 420 //
     /*  189898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189915 */     // MIs[0] rs1
     /*  189915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189927 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189932 */     GIR_RootConstrainSelectedInstOperands,
     /*  189933 */     // GIR_Coverage, 420,
     /*  189933 */     GIR_Done,
     /*  189934 */   // Label 3697: @189934
     /*  189934 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189975), // Rule ID 750 //
     /*  189939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189956 */     // MIs[0] rs1
     /*  189956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189968 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189973 */     GIR_RootConstrainSelectedInstOperands,
     /*  189974 */     // GIR_Coverage, 750,
     /*  189974 */     GIR_Done,
     /*  189975 */   // Label 3698: @189975
     /*  189975 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(190016), // Rule ID 752 //
     /*  189980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189997 */     // MIs[0] rs1
     /*  189997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190009 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  190014 */     GIR_RootConstrainSelectedInstOperands,
     /*  190015 */     // GIR_Coverage, 752,
     /*  190015 */     GIR_Done,
     /*  190016 */   // Label 3699: @190016
     /*  190016 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(190057), // Rule ID 754 //
     /*  190021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190038 */     // MIs[0] rs1
     /*  190038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190050 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  190055 */     GIR_RootConstrainSelectedInstOperands,
     /*  190056 */     // GIR_Coverage, 754,
     /*  190056 */     GIR_Done,
     /*  190057 */   // Label 3700: @190057
     /*  190057 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(190098), // Rule ID 756 //
     /*  190062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190079 */     // MIs[0] rs1
     /*  190079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190091 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190096 */     GIR_RootConstrainSelectedInstOperands,
     /*  190097 */     // GIR_Coverage, 756,
     /*  190097 */     GIR_Done,
     /*  190098 */   // Label 3701: @190098
     /*  190098 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(190139), // Rule ID 758 //
     /*  190103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190120 */     // MIs[0] rs1
     /*  190120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190132 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190137 */     GIR_RootConstrainSelectedInstOperands,
     /*  190138 */     // GIR_Coverage, 758,
     /*  190138 */     GIR_Done,
     /*  190139 */   // Label 3702: @190139
     /*  190139 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(190180), // Rule ID 760 //
     /*  190144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190161 */     // MIs[0] rs1
     /*  190161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190173 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190178 */     GIR_RootConstrainSelectedInstOperands,
     /*  190179 */     // GIR_Coverage, 760,
     /*  190179 */     GIR_Done,
     /*  190180 */   // Label 3703: @190180
     /*  190180 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(190221), // Rule ID 762 //
     /*  190185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190202 */     // MIs[0] rs1
     /*  190202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190214 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190219 */     GIR_RootConstrainSelectedInstOperands,
     /*  190220 */     // GIR_Coverage, 762,
     /*  190220 */     GIR_Done,
     /*  190221 */   // Label 3704: @190221
     /*  190221 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(190262), // Rule ID 764 //
     /*  190226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190243 */     // MIs[0] rs1
     /*  190243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190255 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190260 */     GIR_RootConstrainSelectedInstOperands,
     /*  190261 */     // GIR_Coverage, 764,
     /*  190261 */     GIR_Done,
     /*  190262 */   // Label 3705: @190262
     /*  190262 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(190303), // Rule ID 766 //
     /*  190267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190284 */     // MIs[0] rs1
     /*  190284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190296 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190301 */     GIR_RootConstrainSelectedInstOperands,
     /*  190302 */     // GIR_Coverage, 766,
     /*  190302 */     GIR_Done,
     /*  190303 */   // Label 3706: @190303
     /*  190303 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(190344), // Rule ID 768 //
     /*  190308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190325 */     // MIs[0] rs1
     /*  190325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190337 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190342 */     GIR_RootConstrainSelectedInstOperands,
     /*  190343 */     // GIR_Coverage, 768,
     /*  190343 */     GIR_Done,
     /*  190344 */   // Label 3707: @190344
     /*  190344 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(190385), // Rule ID 930 //
     /*  190349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190366 */     // MIs[0] rs1
     /*  190366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190378 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190383 */     GIR_RootConstrainSelectedInstOperands,
     /*  190384 */     // GIR_Coverage, 930,
     /*  190384 */     GIR_Done,
     /*  190385 */   // Label 3708: @190385
     /*  190385 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(190426), // Rule ID 932 //
     /*  190390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190407 */     // MIs[0] rs1
     /*  190407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190419 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  190424 */     GIR_RootConstrainSelectedInstOperands,
     /*  190425 */     // GIR_Coverage, 932,
     /*  190425 */     GIR_Done,
     /*  190426 */   // Label 3709: @190426
     /*  190426 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(190467), // Rule ID 934 //
     /*  190431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190448 */     // MIs[0] rs1
     /*  190448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190460 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  190465 */     GIR_RootConstrainSelectedInstOperands,
     /*  190466 */     // GIR_Coverage, 934,
     /*  190466 */     GIR_Done,
     /*  190467 */   // Label 3710: @190467
     /*  190467 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(190508), // Rule ID 936 //
     /*  190472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190489 */     // MIs[0] rs1
     /*  190489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190501 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190506 */     GIR_RootConstrainSelectedInstOperands,
     /*  190507 */     // GIR_Coverage, 936,
     /*  190507 */     GIR_Done,
     /*  190508 */   // Label 3711: @190508
     /*  190508 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(190549), // Rule ID 938 //
     /*  190513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190530 */     // MIs[0] rs1
     /*  190530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190542 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190547 */     GIR_RootConstrainSelectedInstOperands,
     /*  190548 */     // GIR_Coverage, 938,
     /*  190548 */     GIR_Done,
     /*  190549 */   // Label 3712: @190549
     /*  190549 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(190590), // Rule ID 940 //
     /*  190554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190571 */     // MIs[0] rs1
     /*  190571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190583 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190588 */     GIR_RootConstrainSelectedInstOperands,
     /*  190589 */     // GIR_Coverage, 940,
     /*  190589 */     GIR_Done,
     /*  190590 */   // Label 3713: @190590
     /*  190590 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(190631), // Rule ID 942 //
     /*  190595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190612 */     // MIs[0] rs1
     /*  190612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190624 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190629 */     GIR_RootConstrainSelectedInstOperands,
     /*  190630 */     // GIR_Coverage, 942,
     /*  190630 */     GIR_Done,
     /*  190631 */   // Label 3714: @190631
     /*  190631 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(190672), // Rule ID 944 //
     /*  190636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190653 */     // MIs[0] rs1
     /*  190653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190665 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190670 */     GIR_RootConstrainSelectedInstOperands,
     /*  190671 */     // GIR_Coverage, 944,
     /*  190671 */     GIR_Done,
     /*  190672 */   // Label 3715: @190672
     /*  190672 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(190713), // Rule ID 946 //
     /*  190677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190694 */     // MIs[0] rs1
     /*  190694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190706 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190711 */     GIR_RootConstrainSelectedInstOperands,
     /*  190712 */     // GIR_Coverage, 946,
     /*  190712 */     GIR_Done,
     /*  190713 */   // Label 3716: @190713
     /*  190713 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(190754), // Rule ID 948 //
     /*  190718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190735 */     // MIs[0] rs1
     /*  190735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190747 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190752 */     GIR_RootConstrainSelectedInstOperands,
     /*  190753 */     // GIR_Coverage, 948,
     /*  190753 */     GIR_Done,
     /*  190754 */   // Label 3717: @190754
     /*  190754 */   GIM_Reject,
     /*  190755 */ // Label 3687: @190755
     /*  190755 */ GIM_Reject,
     /*  190756 */ // Label 3685: @190756
     /*  190756 */ GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(192405),
     /*  190761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  190764 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190805), // Rule ID 401 //
     /*  190769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190786 */     // MIs[0] rs1
     /*  190786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190798 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190803 */     GIR_RootConstrainSelectedInstOperands,
     /*  190804 */     // GIR_Coverage, 401,
     /*  190804 */     GIR_Done,
     /*  190805 */   // Label 3719: @190805
     /*  190805 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190846), // Rule ID 403 //
     /*  190810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190827 */     // MIs[0] rs1
     /*  190827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190839 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  190844 */     GIR_RootConstrainSelectedInstOperands,
     /*  190845 */     // GIR_Coverage, 403,
     /*  190845 */     GIR_Done,
     /*  190846 */   // Label 3720: @190846
     /*  190846 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(190887), // Rule ID 405 //
     /*  190851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190868 */     // MIs[0] rs1
     /*  190868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190880 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  190885 */     GIR_RootConstrainSelectedInstOperands,
     /*  190886 */     // GIR_Coverage, 405,
     /*  190886 */     GIR_Done,
     /*  190887 */   // Label 3721: @190887
     /*  190887 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(190928), // Rule ID 407 //
     /*  190892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190909 */     // MIs[0] rs1
     /*  190909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190921 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190926 */     GIR_RootConstrainSelectedInstOperands,
     /*  190927 */     // GIR_Coverage, 407,
     /*  190927 */     GIR_Done,
     /*  190928 */   // Label 3722: @190928
     /*  190928 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(190969), // Rule ID 409 //
     /*  190933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190950 */     // MIs[0] rs1
     /*  190950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190962 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190967 */     GIR_RootConstrainSelectedInstOperands,
     /*  190968 */     // GIR_Coverage, 409,
     /*  190968 */     GIR_Done,
     /*  190969 */   // Label 3723: @190969
     /*  190969 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(191010), // Rule ID 411 //
     /*  190974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190991 */     // MIs[0] rs1
     /*  190991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191003 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191008 */     GIR_RootConstrainSelectedInstOperands,
     /*  191009 */     // GIR_Coverage, 411,
     /*  191009 */     GIR_Done,
     /*  191010 */   // Label 3724: @191010
     /*  191010 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(191051), // Rule ID 413 //
     /*  191015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191032 */     // MIs[0] rs1
     /*  191032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191044 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191049 */     GIR_RootConstrainSelectedInstOperands,
     /*  191050 */     // GIR_Coverage, 413,
     /*  191050 */     GIR_Done,
     /*  191051 */   // Label 3725: @191051
     /*  191051 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(191092), // Rule ID 415 //
     /*  191056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191073 */     // MIs[0] rs1
     /*  191073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191085 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191090 */     GIR_RootConstrainSelectedInstOperands,
     /*  191091 */     // GIR_Coverage, 415,
     /*  191091 */     GIR_Done,
     /*  191092 */   // Label 3726: @191092
     /*  191092 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(191133), // Rule ID 417 //
     /*  191097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191114 */     // MIs[0] rs1
     /*  191114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191126 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191131 */     GIR_RootConstrainSelectedInstOperands,
     /*  191132 */     // GIR_Coverage, 417,
     /*  191132 */     GIR_Done,
     /*  191133 */   // Label 3727: @191133
     /*  191133 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(191174), // Rule ID 419 //
     /*  191138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191155 */     // MIs[0] rs1
     /*  191155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191167 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191172 */     GIR_RootConstrainSelectedInstOperands,
     /*  191173 */     // GIR_Coverage, 419,
     /*  191173 */     GIR_Done,
     /*  191174 */   // Label 3728: @191174
     /*  191174 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(191215), // Rule ID 551 //
     /*  191179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191196 */     // MIs[0] rs1
     /*  191196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191208 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191213 */     GIR_RootConstrainSelectedInstOperands,
     /*  191214 */     // GIR_Coverage, 551,
     /*  191214 */     GIR_Done,
     /*  191215 */   // Label 3729: @191215
     /*  191215 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(191256), // Rule ID 552 //
     /*  191220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191237 */     // MIs[0] rs1
     /*  191237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191249 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  191254 */     GIR_RootConstrainSelectedInstOperands,
     /*  191255 */     // GIR_Coverage, 552,
     /*  191255 */     GIR_Done,
     /*  191256 */   // Label 3730: @191256
     /*  191256 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(191297), // Rule ID 553 //
     /*  191261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191278 */     // MIs[0] rs1
     /*  191278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191290 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  191295 */     GIR_RootConstrainSelectedInstOperands,
     /*  191296 */     // GIR_Coverage, 553,
     /*  191296 */     GIR_Done,
     /*  191297 */   // Label 3731: @191297
     /*  191297 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(191338), // Rule ID 554 //
     /*  191302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191319 */     // MIs[0] rs1
     /*  191319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191331 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  191336 */     GIR_RootConstrainSelectedInstOperands,
     /*  191337 */     // GIR_Coverage, 554,
     /*  191337 */     GIR_Done,
     /*  191338 */   // Label 3732: @191338
     /*  191338 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(191379), // Rule ID 555 //
     /*  191343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191360 */     // MIs[0] rs1
     /*  191360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191372 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  191377 */     GIR_RootConstrainSelectedInstOperands,
     /*  191378 */     // GIR_Coverage, 555,
     /*  191378 */     GIR_Done,
     /*  191379 */   // Label 3733: @191379
     /*  191379 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(191420), // Rule ID 556 //
     /*  191384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191401 */     // MIs[0] rs1
     /*  191401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191413 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191418 */     GIR_RootConstrainSelectedInstOperands,
     /*  191419 */     // GIR_Coverage, 556,
     /*  191419 */     GIR_Done,
     /*  191420 */   // Label 3734: @191420
     /*  191420 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(191461), // Rule ID 557 //
     /*  191425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191442 */     // MIs[0] rs1
     /*  191442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191454 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191459 */     GIR_RootConstrainSelectedInstOperands,
     /*  191460 */     // GIR_Coverage, 557,
     /*  191460 */     GIR_Done,
     /*  191461 */   // Label 3735: @191461
     /*  191461 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(191502), // Rule ID 558 //
     /*  191466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191483 */     // MIs[0] rs1
     /*  191483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191495 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191500 */     GIR_RootConstrainSelectedInstOperands,
     /*  191501 */     // GIR_Coverage, 558,
     /*  191501 */     GIR_Done,
     /*  191502 */   // Label 3736: @191502
     /*  191502 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(191543), // Rule ID 559 //
     /*  191507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191524 */     // MIs[0] rs1
     /*  191524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191536 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191541 */     GIR_RootConstrainSelectedInstOperands,
     /*  191542 */     // GIR_Coverage, 559,
     /*  191542 */     GIR_Done,
     /*  191543 */   // Label 3737: @191543
     /*  191543 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(191584), // Rule ID 560 //
     /*  191548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191565 */     // MIs[0] rs1
     /*  191565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191577 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191582 */     GIR_RootConstrainSelectedInstOperands,
     /*  191583 */     // GIR_Coverage, 560,
     /*  191583 */     GIR_Done,
     /*  191584 */   // Label 3738: @191584
     /*  191584 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(191625), // Rule ID 749 //
     /*  191589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191606 */     // MIs[0] rs1
     /*  191606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191618 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191623 */     GIR_RootConstrainSelectedInstOperands,
     /*  191624 */     // GIR_Coverage, 749,
     /*  191624 */     GIR_Done,
     /*  191625 */   // Label 3739: @191625
     /*  191625 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(191666), // Rule ID 751 //
     /*  191630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191647 */     // MIs[0] rs1
     /*  191647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191659 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  191664 */     GIR_RootConstrainSelectedInstOperands,
     /*  191665 */     // GIR_Coverage, 751,
     /*  191665 */     GIR_Done,
     /*  191666 */   // Label 3740: @191666
     /*  191666 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(191707), // Rule ID 753 //
     /*  191671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191688 */     // MIs[0] rs1
     /*  191688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191700 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  191705 */     GIR_RootConstrainSelectedInstOperands,
     /*  191706 */     // GIR_Coverage, 753,
     /*  191706 */     GIR_Done,
     /*  191707 */   // Label 3741: @191707
     /*  191707 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(191748), // Rule ID 755 //
     /*  191712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191729 */     // MIs[0] rs1
     /*  191729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191741 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191746 */     GIR_RootConstrainSelectedInstOperands,
     /*  191747 */     // GIR_Coverage, 755,
     /*  191747 */     GIR_Done,
     /*  191748 */   // Label 3742: @191748
     /*  191748 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(191789), // Rule ID 757 //
     /*  191753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191770 */     // MIs[0] rs1
     /*  191770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191782 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191787 */     GIR_RootConstrainSelectedInstOperands,
     /*  191788 */     // GIR_Coverage, 757,
     /*  191788 */     GIR_Done,
     /*  191789 */   // Label 3743: @191789
     /*  191789 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191830), // Rule ID 759 //
     /*  191794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191811 */     // MIs[0] rs1
     /*  191811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191823 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191828 */     GIR_RootConstrainSelectedInstOperands,
     /*  191829 */     // GIR_Coverage, 759,
     /*  191829 */     GIR_Done,
     /*  191830 */   // Label 3744: @191830
     /*  191830 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191871), // Rule ID 761 //
     /*  191835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191852 */     // MIs[0] rs1
     /*  191852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191864 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191869 */     GIR_RootConstrainSelectedInstOperands,
     /*  191870 */     // GIR_Coverage, 761,
     /*  191870 */     GIR_Done,
     /*  191871 */   // Label 3745: @191871
     /*  191871 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191912), // Rule ID 763 //
     /*  191876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191893 */     // MIs[0] rs1
     /*  191893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191905 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191910 */     GIR_RootConstrainSelectedInstOperands,
     /*  191911 */     // GIR_Coverage, 763,
     /*  191911 */     GIR_Done,
     /*  191912 */   // Label 3746: @191912
     /*  191912 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191953), // Rule ID 765 //
     /*  191917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191934 */     // MIs[0] rs1
     /*  191934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191946 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191951 */     GIR_RootConstrainSelectedInstOperands,
     /*  191952 */     // GIR_Coverage, 765,
     /*  191952 */     GIR_Done,
     /*  191953 */   // Label 3747: @191953
     /*  191953 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(191994), // Rule ID 767 //
     /*  191958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191975 */     // MIs[0] rs1
     /*  191975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191987 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191992 */     GIR_RootConstrainSelectedInstOperands,
     /*  191993 */     // GIR_Coverage, 767,
     /*  191993 */     GIR_Done,
     /*  191994 */   // Label 3748: @191994
     /*  191994 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(192035), // Rule ID 929 //
     /*  191999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192016 */     // MIs[0] rs1
     /*  192016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192028 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192033 */     GIR_RootConstrainSelectedInstOperands,
     /*  192034 */     // GIR_Coverage, 929,
     /*  192034 */     GIR_Done,
     /*  192035 */   // Label 3749: @192035
     /*  192035 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(192076), // Rule ID 931 //
     /*  192040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192057 */     // MIs[0] rs1
     /*  192057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192069 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  192074 */     GIR_RootConstrainSelectedInstOperands,
     /*  192075 */     // GIR_Coverage, 931,
     /*  192075 */     GIR_Done,
     /*  192076 */   // Label 3750: @192076
     /*  192076 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(192117), // Rule ID 933 //
     /*  192081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192098 */     // MIs[0] rs1
     /*  192098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192110 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  192115 */     GIR_RootConstrainSelectedInstOperands,
     /*  192116 */     // GIR_Coverage, 933,
     /*  192116 */     GIR_Done,
     /*  192117 */   // Label 3751: @192117
     /*  192117 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(192158), // Rule ID 935 //
     /*  192122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192139 */     // MIs[0] rs1
     /*  192139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192151 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192156 */     GIR_RootConstrainSelectedInstOperands,
     /*  192157 */     // GIR_Coverage, 935,
     /*  192157 */     GIR_Done,
     /*  192158 */   // Label 3752: @192158
     /*  192158 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(192199), // Rule ID 937 //
     /*  192163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192180 */     // MIs[0] rs1
     /*  192180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192192 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192197 */     GIR_RootConstrainSelectedInstOperands,
     /*  192198 */     // GIR_Coverage, 937,
     /*  192198 */     GIR_Done,
     /*  192199 */   // Label 3753: @192199
     /*  192199 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(192240), // Rule ID 939 //
     /*  192204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192221 */     // MIs[0] rs1
     /*  192221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192233 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192238 */     GIR_RootConstrainSelectedInstOperands,
     /*  192239 */     // GIR_Coverage, 939,
     /*  192239 */     GIR_Done,
     /*  192240 */   // Label 3754: @192240
     /*  192240 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(192281), // Rule ID 941 //
     /*  192245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192262 */     // MIs[0] rs1
     /*  192262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192274 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192279 */     GIR_RootConstrainSelectedInstOperands,
     /*  192280 */     // GIR_Coverage, 941,
     /*  192280 */     GIR_Done,
     /*  192281 */   // Label 3755: @192281
     /*  192281 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(192322), // Rule ID 943 //
     /*  192286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192303 */     // MIs[0] rs1
     /*  192303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192315 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192320 */     GIR_RootConstrainSelectedInstOperands,
     /*  192321 */     // GIR_Coverage, 943,
     /*  192321 */     GIR_Done,
     /*  192322 */   // Label 3756: @192322
     /*  192322 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(192363), // Rule ID 945 //
     /*  192327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192344 */     // MIs[0] rs1
     /*  192344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192356 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192361 */     GIR_RootConstrainSelectedInstOperands,
     /*  192362 */     // GIR_Coverage, 945,
     /*  192362 */     GIR_Done,
     /*  192363 */   // Label 3757: @192363
     /*  192363 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(192404), // Rule ID 947 //
     /*  192368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192385 */     // MIs[0] rs1
     /*  192385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192397 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192402 */     GIR_RootConstrainSelectedInstOperands,
     /*  192403 */     // GIR_Coverage, 947,
     /*  192403 */     GIR_Done,
     /*  192404 */   // Label 3758: @192404
     /*  192404 */   GIM_Reject,
     /*  192405 */ // Label 3718: @192405
     /*  192405 */ GIM_Reject,
     /*  192406 */ // Label 3686: @192406
     /*  192406 */ GIM_Reject,
     /*  192407 */ // Label 31: @192407
     /*  192407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3761*/ GIMT_Encode4(195316),
     /*  192418 */ /*GILLT_s32*//*Label 3759*/ GIMT_Encode4(192426),
     /*  192422 */ /*GILLT_s64*//*Label 3760*/ GIMT_Encode4(193666),
     /*  192426 */ // Label 3759: @192426
     /*  192426 */ GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(193665),
     /*  192431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192434 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(192475), // Rule ID 422 //
     /*  192439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192456 */     // MIs[0] rs1
     /*  192456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192468 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192473 */     GIR_RootConstrainSelectedInstOperands,
     /*  192474 */     // GIR_Coverage, 422,
     /*  192474 */     GIR_Done,
     /*  192475 */   // Label 3763: @192475
     /*  192475 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(192516), // Rule ID 424 //
     /*  192480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192497 */     // MIs[0] rs1
     /*  192497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192509 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  192514 */     GIR_RootConstrainSelectedInstOperands,
     /*  192515 */     // GIR_Coverage, 424,
     /*  192515 */     GIR_Done,
     /*  192516 */   // Label 3764: @192516
     /*  192516 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(192557), // Rule ID 426 //
     /*  192521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192538 */     // MIs[0] rs1
     /*  192538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192550 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  192555 */     GIR_RootConstrainSelectedInstOperands,
     /*  192556 */     // GIR_Coverage, 426,
     /*  192556 */     GIR_Done,
     /*  192557 */   // Label 3765: @192557
     /*  192557 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(192598), // Rule ID 428 //
     /*  192562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192579 */     // MIs[0] rs1
     /*  192579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192591 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192596 */     GIR_RootConstrainSelectedInstOperands,
     /*  192597 */     // GIR_Coverage, 428,
     /*  192597 */     GIR_Done,
     /*  192598 */   // Label 3766: @192598
     /*  192598 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(192639), // Rule ID 430 //
     /*  192603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192620 */     // MIs[0] rs1
     /*  192620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192632 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192637 */     GIR_RootConstrainSelectedInstOperands,
     /*  192638 */     // GIR_Coverage, 430,
     /*  192638 */     GIR_Done,
     /*  192639 */   // Label 3767: @192639
     /*  192639 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(192680), // Rule ID 432 //
     /*  192644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192661 */     // MIs[0] rs1
     /*  192661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192673 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192678 */     GIR_RootConstrainSelectedInstOperands,
     /*  192679 */     // GIR_Coverage, 432,
     /*  192679 */     GIR_Done,
     /*  192680 */   // Label 3768: @192680
     /*  192680 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192721), // Rule ID 434 //
     /*  192685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192702 */     // MIs[0] rs1
     /*  192702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192714 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192719 */     GIR_RootConstrainSelectedInstOperands,
     /*  192720 */     // GIR_Coverage, 434,
     /*  192720 */     GIR_Done,
     /*  192721 */   // Label 3769: @192721
     /*  192721 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192762), // Rule ID 436 //
     /*  192726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192743 */     // MIs[0] rs1
     /*  192743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192755 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192760 */     GIR_RootConstrainSelectedInstOperands,
     /*  192761 */     // GIR_Coverage, 436,
     /*  192761 */     GIR_Done,
     /*  192762 */   // Label 3770: @192762
     /*  192762 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192803), // Rule ID 438 //
     /*  192767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192784 */     // MIs[0] rs1
     /*  192784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192796 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192801 */     GIR_RootConstrainSelectedInstOperands,
     /*  192802 */     // GIR_Coverage, 438,
     /*  192802 */     GIR_Done,
     /*  192803 */   // Label 3771: @192803
     /*  192803 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192844), // Rule ID 440 //
     /*  192808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192825 */     // MIs[0] rs1
     /*  192825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192837 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192842 */     GIR_RootConstrainSelectedInstOperands,
     /*  192843 */     // GIR_Coverage, 440,
     /*  192843 */     GIR_Done,
     /*  192844 */   // Label 3772: @192844
     /*  192844 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192885), // Rule ID 770 //
     /*  192849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192866 */     // MIs[0] rs1
     /*  192866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192878 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192883 */     GIR_RootConstrainSelectedInstOperands,
     /*  192884 */     // GIR_Coverage, 770,
     /*  192884 */     GIR_Done,
     /*  192885 */   // Label 3773: @192885
     /*  192885 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192926), // Rule ID 772 //
     /*  192890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192907 */     // MIs[0] rs1
     /*  192907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192919 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  192924 */     GIR_RootConstrainSelectedInstOperands,
     /*  192925 */     // GIR_Coverage, 772,
     /*  192925 */     GIR_Done,
     /*  192926 */   // Label 3774: @192926
     /*  192926 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192967), // Rule ID 774 //
     /*  192931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192948 */     // MIs[0] rs1
     /*  192948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192960 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  192965 */     GIR_RootConstrainSelectedInstOperands,
     /*  192966 */     // GIR_Coverage, 774,
     /*  192966 */     GIR_Done,
     /*  192967 */   // Label 3775: @192967
     /*  192967 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(193008), // Rule ID 776 //
     /*  192972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192989 */     // MIs[0] rs1
     /*  192989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193001 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193006 */     GIR_RootConstrainSelectedInstOperands,
     /*  193007 */     // GIR_Coverage, 776,
     /*  193007 */     GIR_Done,
     /*  193008 */   // Label 3776: @193008
     /*  193008 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(193049), // Rule ID 778 //
     /*  193013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193030 */     // MIs[0] rs1
     /*  193030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193042 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193047 */     GIR_RootConstrainSelectedInstOperands,
     /*  193048 */     // GIR_Coverage, 778,
     /*  193048 */     GIR_Done,
     /*  193049 */   // Label 3777: @193049
     /*  193049 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(193090), // Rule ID 780 //
     /*  193054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193071 */     // MIs[0] rs1
     /*  193071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193083 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193088 */     GIR_RootConstrainSelectedInstOperands,
     /*  193089 */     // GIR_Coverage, 780,
     /*  193089 */     GIR_Done,
     /*  193090 */   // Label 3778: @193090
     /*  193090 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(193131), // Rule ID 782 //
     /*  193095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193112 */     // MIs[0] rs1
     /*  193112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193124 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193129 */     GIR_RootConstrainSelectedInstOperands,
     /*  193130 */     // GIR_Coverage, 782,
     /*  193130 */     GIR_Done,
     /*  193131 */   // Label 3779: @193131
     /*  193131 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(193172), // Rule ID 784 //
     /*  193136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193153 */     // MIs[0] rs1
     /*  193153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193165 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193170 */     GIR_RootConstrainSelectedInstOperands,
     /*  193171 */     // GIR_Coverage, 784,
     /*  193171 */     GIR_Done,
     /*  193172 */   // Label 3780: @193172
     /*  193172 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(193213), // Rule ID 786 //
     /*  193177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193194 */     // MIs[0] rs1
     /*  193194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193206 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193211 */     GIR_RootConstrainSelectedInstOperands,
     /*  193212 */     // GIR_Coverage, 786,
     /*  193212 */     GIR_Done,
     /*  193213 */   // Label 3781: @193213
     /*  193213 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(193254), // Rule ID 788 //
     /*  193218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193235 */     // MIs[0] rs1
     /*  193235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193247 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193252 */     GIR_RootConstrainSelectedInstOperands,
     /*  193253 */     // GIR_Coverage, 788,
     /*  193253 */     GIR_Done,
     /*  193254 */   // Label 3782: @193254
     /*  193254 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(193295), // Rule ID 950 //
     /*  193259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193276 */     // MIs[0] rs1
     /*  193276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193288 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193293 */     GIR_RootConstrainSelectedInstOperands,
     /*  193294 */     // GIR_Coverage, 950,
     /*  193294 */     GIR_Done,
     /*  193295 */   // Label 3783: @193295
     /*  193295 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(193336), // Rule ID 952 //
     /*  193300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193317 */     // MIs[0] rs1
     /*  193317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193329 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  193334 */     GIR_RootConstrainSelectedInstOperands,
     /*  193335 */     // GIR_Coverage, 952,
     /*  193335 */     GIR_Done,
     /*  193336 */   // Label 3784: @193336
     /*  193336 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(193377), // Rule ID 954 //
     /*  193341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193358 */     // MIs[0] rs1
     /*  193358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193370 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  193375 */     GIR_RootConstrainSelectedInstOperands,
     /*  193376 */     // GIR_Coverage, 954,
     /*  193376 */     GIR_Done,
     /*  193377 */   // Label 3785: @193377
     /*  193377 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(193418), // Rule ID 956 //
     /*  193382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193399 */     // MIs[0] rs1
     /*  193399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193411 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193416 */     GIR_RootConstrainSelectedInstOperands,
     /*  193417 */     // GIR_Coverage, 956,
     /*  193417 */     GIR_Done,
     /*  193418 */   // Label 3786: @193418
     /*  193418 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(193459), // Rule ID 958 //
     /*  193423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193440 */     // MIs[0] rs1
     /*  193440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193452 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193457 */     GIR_RootConstrainSelectedInstOperands,
     /*  193458 */     // GIR_Coverage, 958,
     /*  193458 */     GIR_Done,
     /*  193459 */   // Label 3787: @193459
     /*  193459 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(193500), // Rule ID 960 //
     /*  193464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193481 */     // MIs[0] rs1
     /*  193481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193493 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193498 */     GIR_RootConstrainSelectedInstOperands,
     /*  193499 */     // GIR_Coverage, 960,
     /*  193499 */     GIR_Done,
     /*  193500 */   // Label 3788: @193500
     /*  193500 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(193541), // Rule ID 962 //
     /*  193505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193522 */     // MIs[0] rs1
     /*  193522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193534 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193539 */     GIR_RootConstrainSelectedInstOperands,
     /*  193540 */     // GIR_Coverage, 962,
     /*  193540 */     GIR_Done,
     /*  193541 */   // Label 3789: @193541
     /*  193541 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(193582), // Rule ID 964 //
     /*  193546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193563 */     // MIs[0] rs1
     /*  193563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193575 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193580 */     GIR_RootConstrainSelectedInstOperands,
     /*  193581 */     // GIR_Coverage, 964,
     /*  193581 */     GIR_Done,
     /*  193582 */   // Label 3790: @193582
     /*  193582 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(193623), // Rule ID 966 //
     /*  193587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193604 */     // MIs[0] rs1
     /*  193604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193616 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193621 */     GIR_RootConstrainSelectedInstOperands,
     /*  193622 */     // GIR_Coverage, 966,
     /*  193622 */     GIR_Done,
     /*  193623 */   // Label 3791: @193623
     /*  193623 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(193664), // Rule ID 968 //
     /*  193628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193645 */     // MIs[0] rs1
     /*  193645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193657 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193662 */     GIR_RootConstrainSelectedInstOperands,
     /*  193663 */     // GIR_Coverage, 968,
     /*  193663 */     GIR_Done,
     /*  193664 */   // Label 3792: @193664
     /*  193664 */   GIM_Reject,
     /*  193665 */ // Label 3762: @193665
     /*  193665 */ GIM_Reject,
     /*  193666 */ // Label 3760: @193666
     /*  193666 */ GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(195315),
     /*  193671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193674 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193715), // Rule ID 421 //
     /*  193679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193696 */     // MIs[0] rs1
     /*  193696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193708 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193713 */     GIR_RootConstrainSelectedInstOperands,
     /*  193714 */     // GIR_Coverage, 421,
     /*  193714 */     GIR_Done,
     /*  193715 */   // Label 3794: @193715
     /*  193715 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193756), // Rule ID 423 //
     /*  193720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193737 */     // MIs[0] rs1
     /*  193737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193749 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  193754 */     GIR_RootConstrainSelectedInstOperands,
     /*  193755 */     // GIR_Coverage, 423,
     /*  193755 */     GIR_Done,
     /*  193756 */   // Label 3795: @193756
     /*  193756 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(193797), // Rule ID 425 //
     /*  193761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193778 */     // MIs[0] rs1
     /*  193778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193790 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  193795 */     GIR_RootConstrainSelectedInstOperands,
     /*  193796 */     // GIR_Coverage, 425,
     /*  193796 */     GIR_Done,
     /*  193797 */   // Label 3796: @193797
     /*  193797 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(193838), // Rule ID 427 //
     /*  193802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193819 */     // MIs[0] rs1
     /*  193819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193831 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193836 */     GIR_RootConstrainSelectedInstOperands,
     /*  193837 */     // GIR_Coverage, 427,
     /*  193837 */     GIR_Done,
     /*  193838 */   // Label 3797: @193838
     /*  193838 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(193879), // Rule ID 429 //
     /*  193843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193860 */     // MIs[0] rs1
     /*  193860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193872 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193877 */     GIR_RootConstrainSelectedInstOperands,
     /*  193878 */     // GIR_Coverage, 429,
     /*  193878 */     GIR_Done,
     /*  193879 */   // Label 3798: @193879
     /*  193879 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(193920), // Rule ID 431 //
     /*  193884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193901 */     // MIs[0] rs1
     /*  193901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193913 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193918 */     GIR_RootConstrainSelectedInstOperands,
     /*  193919 */     // GIR_Coverage, 431,
     /*  193919 */     GIR_Done,
     /*  193920 */   // Label 3799: @193920
     /*  193920 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193961), // Rule ID 433 //
     /*  193925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193942 */     // MIs[0] rs1
     /*  193942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193954 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193959 */     GIR_RootConstrainSelectedInstOperands,
     /*  193960 */     // GIR_Coverage, 433,
     /*  193960 */     GIR_Done,
     /*  193961 */   // Label 3800: @193961
     /*  193961 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(194002), // Rule ID 435 //
     /*  193966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193983 */     // MIs[0] rs1
     /*  193983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193995 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194000 */     GIR_RootConstrainSelectedInstOperands,
     /*  194001 */     // GIR_Coverage, 435,
     /*  194001 */     GIR_Done,
     /*  194002 */   // Label 3801: @194002
     /*  194002 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(194043), // Rule ID 437 //
     /*  194007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194024 */     // MIs[0] rs1
     /*  194024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194036 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194041 */     GIR_RootConstrainSelectedInstOperands,
     /*  194042 */     // GIR_Coverage, 437,
     /*  194042 */     GIR_Done,
     /*  194043 */   // Label 3802: @194043
     /*  194043 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(194084), // Rule ID 439 //
     /*  194048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194065 */     // MIs[0] rs1
     /*  194065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194077 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194082 */     GIR_RootConstrainSelectedInstOperands,
     /*  194083 */     // GIR_Coverage, 439,
     /*  194083 */     GIR_Done,
     /*  194084 */   // Label 3803: @194084
     /*  194084 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(194125), // Rule ID 561 //
     /*  194089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194106 */     // MIs[0] rs1
     /*  194106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194118 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194123 */     GIR_RootConstrainSelectedInstOperands,
     /*  194124 */     // GIR_Coverage, 561,
     /*  194124 */     GIR_Done,
     /*  194125 */   // Label 3804: @194125
     /*  194125 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(194166), // Rule ID 562 //
     /*  194130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194147 */     // MIs[0] rs1
     /*  194147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194159 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  194164 */     GIR_RootConstrainSelectedInstOperands,
     /*  194165 */     // GIR_Coverage, 562,
     /*  194165 */     GIR_Done,
     /*  194166 */   // Label 3805: @194166
     /*  194166 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(194207), // Rule ID 563 //
     /*  194171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194188 */     // MIs[0] rs1
     /*  194188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194200 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  194205 */     GIR_RootConstrainSelectedInstOperands,
     /*  194206 */     // GIR_Coverage, 563,
     /*  194206 */     GIR_Done,
     /*  194207 */   // Label 3806: @194207
     /*  194207 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(194248), // Rule ID 564 //
     /*  194212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194229 */     // MIs[0] rs1
     /*  194229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194241 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194246 */     GIR_RootConstrainSelectedInstOperands,
     /*  194247 */     // GIR_Coverage, 564,
     /*  194247 */     GIR_Done,
     /*  194248 */   // Label 3807: @194248
     /*  194248 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(194289), // Rule ID 565 //
     /*  194253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194270 */     // MIs[0] rs1
     /*  194270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194282 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194287 */     GIR_RootConstrainSelectedInstOperands,
     /*  194288 */     // GIR_Coverage, 565,
     /*  194288 */     GIR_Done,
     /*  194289 */   // Label 3808: @194289
     /*  194289 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(194330), // Rule ID 566 //
     /*  194294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194311 */     // MIs[0] rs1
     /*  194311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194323 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194328 */     GIR_RootConstrainSelectedInstOperands,
     /*  194329 */     // GIR_Coverage, 566,
     /*  194329 */     GIR_Done,
     /*  194330 */   // Label 3809: @194330
     /*  194330 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(194371), // Rule ID 567 //
     /*  194335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194352 */     // MIs[0] rs1
     /*  194352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194364 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194369 */     GIR_RootConstrainSelectedInstOperands,
     /*  194370 */     // GIR_Coverage, 567,
     /*  194370 */     GIR_Done,
     /*  194371 */   // Label 3810: @194371
     /*  194371 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(194412), // Rule ID 568 //
     /*  194376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194393 */     // MIs[0] rs1
     /*  194393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194405 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194410 */     GIR_RootConstrainSelectedInstOperands,
     /*  194411 */     // GIR_Coverage, 568,
     /*  194411 */     GIR_Done,
     /*  194412 */   // Label 3811: @194412
     /*  194412 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(194453), // Rule ID 569 //
     /*  194417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194434 */     // MIs[0] rs1
     /*  194434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194446 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194451 */     GIR_RootConstrainSelectedInstOperands,
     /*  194452 */     // GIR_Coverage, 569,
     /*  194452 */     GIR_Done,
     /*  194453 */   // Label 3812: @194453
     /*  194453 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(194494), // Rule ID 570 //
     /*  194458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194475 */     // MIs[0] rs1
     /*  194475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194487 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194492 */     GIR_RootConstrainSelectedInstOperands,
     /*  194493 */     // GIR_Coverage, 570,
     /*  194493 */     GIR_Done,
     /*  194494 */   // Label 3813: @194494
     /*  194494 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(194535), // Rule ID 769 //
     /*  194499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194516 */     // MIs[0] rs1
     /*  194516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194528 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194533 */     GIR_RootConstrainSelectedInstOperands,
     /*  194534 */     // GIR_Coverage, 769,
     /*  194534 */     GIR_Done,
     /*  194535 */   // Label 3814: @194535
     /*  194535 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(194576), // Rule ID 771 //
     /*  194540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194557 */     // MIs[0] rs1
     /*  194557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194569 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  194574 */     GIR_RootConstrainSelectedInstOperands,
     /*  194575 */     // GIR_Coverage, 771,
     /*  194575 */     GIR_Done,
     /*  194576 */   // Label 3815: @194576
     /*  194576 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(194617), // Rule ID 773 //
     /*  194581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194598 */     // MIs[0] rs1
     /*  194598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194610 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  194615 */     GIR_RootConstrainSelectedInstOperands,
     /*  194616 */     // GIR_Coverage, 773,
     /*  194616 */     GIR_Done,
     /*  194617 */   // Label 3816: @194617
     /*  194617 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(194658), // Rule ID 775 //
     /*  194622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194639 */     // MIs[0] rs1
     /*  194639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194651 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194656 */     GIR_RootConstrainSelectedInstOperands,
     /*  194657 */     // GIR_Coverage, 775,
     /*  194657 */     GIR_Done,
     /*  194658 */   // Label 3817: @194658
     /*  194658 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(194699), // Rule ID 777 //
     /*  194663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194680 */     // MIs[0] rs1
     /*  194680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194692 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194697 */     GIR_RootConstrainSelectedInstOperands,
     /*  194698 */     // GIR_Coverage, 777,
     /*  194698 */     GIR_Done,
     /*  194699 */   // Label 3818: @194699
     /*  194699 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(194740), // Rule ID 779 //
     /*  194704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194721 */     // MIs[0] rs1
     /*  194721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194733 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194738 */     GIR_RootConstrainSelectedInstOperands,
     /*  194739 */     // GIR_Coverage, 779,
     /*  194739 */     GIR_Done,
     /*  194740 */   // Label 3819: @194740
     /*  194740 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(194781), // Rule ID 781 //
     /*  194745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194762 */     // MIs[0] rs1
     /*  194762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194774 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194779 */     GIR_RootConstrainSelectedInstOperands,
     /*  194780 */     // GIR_Coverage, 781,
     /*  194780 */     GIR_Done,
     /*  194781 */   // Label 3820: @194781
     /*  194781 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194822), // Rule ID 783 //
     /*  194786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194803 */     // MIs[0] rs1
     /*  194803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194815 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194820 */     GIR_RootConstrainSelectedInstOperands,
     /*  194821 */     // GIR_Coverage, 783,
     /*  194821 */     GIR_Done,
     /*  194822 */   // Label 3821: @194822
     /*  194822 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194863), // Rule ID 785 //
     /*  194827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194844 */     // MIs[0] rs1
     /*  194844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194856 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194861 */     GIR_RootConstrainSelectedInstOperands,
     /*  194862 */     // GIR_Coverage, 785,
     /*  194862 */     GIR_Done,
     /*  194863 */   // Label 3822: @194863
     /*  194863 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194904), // Rule ID 787 //
     /*  194868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194885 */     // MIs[0] rs1
     /*  194885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194897 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194902 */     GIR_RootConstrainSelectedInstOperands,
     /*  194903 */     // GIR_Coverage, 787,
     /*  194903 */     GIR_Done,
     /*  194904 */   // Label 3823: @194904
     /*  194904 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194945), // Rule ID 949 //
     /*  194909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194926 */     // MIs[0] rs1
     /*  194926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194938 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194943 */     GIR_RootConstrainSelectedInstOperands,
     /*  194944 */     // GIR_Coverage, 949,
     /*  194944 */     GIR_Done,
     /*  194945 */   // Label 3824: @194945
     /*  194945 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194986), // Rule ID 951 //
     /*  194950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194967 */     // MIs[0] rs1
     /*  194967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194979 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  194984 */     GIR_RootConstrainSelectedInstOperands,
     /*  194985 */     // GIR_Coverage, 951,
     /*  194985 */     GIR_Done,
     /*  194986 */   // Label 3825: @194986
     /*  194986 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(195027), // Rule ID 953 //
     /*  194991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195008 */     // MIs[0] rs1
     /*  195008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195020 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  195025 */     GIR_RootConstrainSelectedInstOperands,
     /*  195026 */     // GIR_Coverage, 953,
     /*  195026 */     GIR_Done,
     /*  195027 */   // Label 3826: @195027
     /*  195027 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(195068), // Rule ID 955 //
     /*  195032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195049 */     // MIs[0] rs1
     /*  195049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195061 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195066 */     GIR_RootConstrainSelectedInstOperands,
     /*  195067 */     // GIR_Coverage, 955,
     /*  195067 */     GIR_Done,
     /*  195068 */   // Label 3827: @195068
     /*  195068 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(195109), // Rule ID 957 //
     /*  195073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195090 */     // MIs[0] rs1
     /*  195090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195102 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195107 */     GIR_RootConstrainSelectedInstOperands,
     /*  195108 */     // GIR_Coverage, 957,
     /*  195108 */     GIR_Done,
     /*  195109 */   // Label 3828: @195109
     /*  195109 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(195150), // Rule ID 959 //
     /*  195114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195131 */     // MIs[0] rs1
     /*  195131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195143 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195148 */     GIR_RootConstrainSelectedInstOperands,
     /*  195149 */     // GIR_Coverage, 959,
     /*  195149 */     GIR_Done,
     /*  195150 */   // Label 3829: @195150
     /*  195150 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(195191), // Rule ID 961 //
     /*  195155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195172 */     // MIs[0] rs1
     /*  195172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195184 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195189 */     GIR_RootConstrainSelectedInstOperands,
     /*  195190 */     // GIR_Coverage, 961,
     /*  195190 */     GIR_Done,
     /*  195191 */   // Label 3830: @195191
     /*  195191 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(195232), // Rule ID 963 //
     /*  195196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195213 */     // MIs[0] rs1
     /*  195213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195225 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195230 */     GIR_RootConstrainSelectedInstOperands,
     /*  195231 */     // GIR_Coverage, 963,
     /*  195231 */     GIR_Done,
     /*  195232 */   // Label 3831: @195232
     /*  195232 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(195273), // Rule ID 965 //
     /*  195237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195254 */     // MIs[0] rs1
     /*  195254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195266 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195271 */     GIR_RootConstrainSelectedInstOperands,
     /*  195272 */     // GIR_Coverage, 965,
     /*  195272 */     GIR_Done,
     /*  195273 */   // Label 3832: @195273
     /*  195273 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(195314), // Rule ID 967 //
     /*  195278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195295 */     // MIs[0] rs1
     /*  195295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195307 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195312 */     GIR_RootConstrainSelectedInstOperands,
     /*  195313 */     // GIR_Coverage, 967,
     /*  195313 */     GIR_Done,
     /*  195314 */   // Label 3833: @195314
     /*  195314 */   GIM_Reject,
     /*  195315 */ // Label 3793: @195315
     /*  195315 */ GIM_Reject,
     /*  195316 */ // Label 3761: @195316
     /*  195316 */ GIM_Reject,
     /*  195317 */ // Label 32: @195317
     /*  195317 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3836*/ GIMT_Encode4(198226),
     /*  195328 */ /*GILLT_s32*//*Label 3834*/ GIMT_Encode4(195336),
     /*  195332 */ /*GILLT_s64*//*Label 3835*/ GIMT_Encode4(196576),
     /*  195336 */ // Label 3834: @195336
     /*  195336 */ GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(196575),
     /*  195341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  195344 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(195385), // Rule ID 442 //
     /*  195349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195366 */     // MIs[0] rs1
     /*  195366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195378 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195383 */     GIR_RootConstrainSelectedInstOperands,
     /*  195384 */     // GIR_Coverage, 442,
     /*  195384 */     GIR_Done,
     /*  195385 */   // Label 3838: @195385
     /*  195385 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(195426), // Rule ID 444 //
     /*  195390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195407 */     // MIs[0] rs1
     /*  195407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195419 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  195424 */     GIR_RootConstrainSelectedInstOperands,
     /*  195425 */     // GIR_Coverage, 444,
     /*  195425 */     GIR_Done,
     /*  195426 */   // Label 3839: @195426
     /*  195426 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(195467), // Rule ID 446 //
     /*  195431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195448 */     // MIs[0] rs1
     /*  195448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195460 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  195465 */     GIR_RootConstrainSelectedInstOperands,
     /*  195466 */     // GIR_Coverage, 446,
     /*  195466 */     GIR_Done,
     /*  195467 */   // Label 3840: @195467
     /*  195467 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(195508), // Rule ID 448 //
     /*  195472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195489 */     // MIs[0] rs1
     /*  195489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195501 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195506 */     GIR_RootConstrainSelectedInstOperands,
     /*  195507 */     // GIR_Coverage, 448,
     /*  195507 */     GIR_Done,
     /*  195508 */   // Label 3841: @195508
     /*  195508 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(195549), // Rule ID 450 //
     /*  195513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195530 */     // MIs[0] rs1
     /*  195530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195542 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195547 */     GIR_RootConstrainSelectedInstOperands,
     /*  195548 */     // GIR_Coverage, 450,
     /*  195548 */     GIR_Done,
     /*  195549 */   // Label 3842: @195549
     /*  195549 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(195590), // Rule ID 452 //
     /*  195554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195571 */     // MIs[0] rs1
     /*  195571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195583 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195588 */     GIR_RootConstrainSelectedInstOperands,
     /*  195589 */     // GIR_Coverage, 452,
     /*  195589 */     GIR_Done,
     /*  195590 */   // Label 3843: @195590
     /*  195590 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(195631), // Rule ID 454 //
     /*  195595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195612 */     // MIs[0] rs1
     /*  195612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195624 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195629 */     GIR_RootConstrainSelectedInstOperands,
     /*  195630 */     // GIR_Coverage, 454,
     /*  195630 */     GIR_Done,
     /*  195631 */   // Label 3844: @195631
     /*  195631 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(195672), // Rule ID 456 //
     /*  195636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195653 */     // MIs[0] rs1
     /*  195653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195665 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195670 */     GIR_RootConstrainSelectedInstOperands,
     /*  195671 */     // GIR_Coverage, 456,
     /*  195671 */     GIR_Done,
     /*  195672 */   // Label 3845: @195672
     /*  195672 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195713), // Rule ID 458 //
     /*  195677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195694 */     // MIs[0] rs1
     /*  195694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195706 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195711 */     GIR_RootConstrainSelectedInstOperands,
     /*  195712 */     // GIR_Coverage, 458,
     /*  195712 */     GIR_Done,
     /*  195713 */   // Label 3846: @195713
     /*  195713 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195754), // Rule ID 460 //
     /*  195718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195735 */     // MIs[0] rs1
     /*  195735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195747 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195752 */     GIR_RootConstrainSelectedInstOperands,
     /*  195753 */     // GIR_Coverage, 460,
     /*  195753 */     GIR_Done,
     /*  195754 */   // Label 3847: @195754
     /*  195754 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195795), // Rule ID 790 //
     /*  195759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195776 */     // MIs[0] rs1
     /*  195776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195788 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195793 */     GIR_RootConstrainSelectedInstOperands,
     /*  195794 */     // GIR_Coverage, 790,
     /*  195794 */     GIR_Done,
     /*  195795 */   // Label 3848: @195795
     /*  195795 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195836), // Rule ID 792 //
     /*  195800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195817 */     // MIs[0] rs1
     /*  195817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195829 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  195834 */     GIR_RootConstrainSelectedInstOperands,
     /*  195835 */     // GIR_Coverage, 792,
     /*  195835 */     GIR_Done,
     /*  195836 */   // Label 3849: @195836
     /*  195836 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195877), // Rule ID 794 //
     /*  195841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195858 */     // MIs[0] rs1
     /*  195858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195870 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  195875 */     GIR_RootConstrainSelectedInstOperands,
     /*  195876 */     // GIR_Coverage, 794,
     /*  195876 */     GIR_Done,
     /*  195877 */   // Label 3850: @195877
     /*  195877 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195918), // Rule ID 796 //
     /*  195882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195899 */     // MIs[0] rs1
     /*  195899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195911 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195916 */     GIR_RootConstrainSelectedInstOperands,
     /*  195917 */     // GIR_Coverage, 796,
     /*  195917 */     GIR_Done,
     /*  195918 */   // Label 3851: @195918
     /*  195918 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195959), // Rule ID 798 //
     /*  195923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195940 */     // MIs[0] rs1
     /*  195940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195952 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195957 */     GIR_RootConstrainSelectedInstOperands,
     /*  195958 */     // GIR_Coverage, 798,
     /*  195958 */     GIR_Done,
     /*  195959 */   // Label 3852: @195959
     /*  195959 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(196000), // Rule ID 800 //
     /*  195964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195981 */     // MIs[0] rs1
     /*  195981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195993 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195998 */     GIR_RootConstrainSelectedInstOperands,
     /*  195999 */     // GIR_Coverage, 800,
     /*  195999 */     GIR_Done,
     /*  196000 */   // Label 3853: @196000
     /*  196000 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(196041), // Rule ID 802 //
     /*  196005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196022 */     // MIs[0] rs1
     /*  196022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196034 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196039 */     GIR_RootConstrainSelectedInstOperands,
     /*  196040 */     // GIR_Coverage, 802,
     /*  196040 */     GIR_Done,
     /*  196041 */   // Label 3854: @196041
     /*  196041 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(196082), // Rule ID 804 //
     /*  196046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196063 */     // MIs[0] rs1
     /*  196063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196075 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196080 */     GIR_RootConstrainSelectedInstOperands,
     /*  196081 */     // GIR_Coverage, 804,
     /*  196081 */     GIR_Done,
     /*  196082 */   // Label 3855: @196082
     /*  196082 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(196123), // Rule ID 806 //
     /*  196087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196104 */     // MIs[0] rs1
     /*  196104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196116 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196121 */     GIR_RootConstrainSelectedInstOperands,
     /*  196122 */     // GIR_Coverage, 806,
     /*  196122 */     GIR_Done,
     /*  196123 */   // Label 3856: @196123
     /*  196123 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(196164), // Rule ID 808 //
     /*  196128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196145 */     // MIs[0] rs1
     /*  196145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196157 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196162 */     GIR_RootConstrainSelectedInstOperands,
     /*  196163 */     // GIR_Coverage, 808,
     /*  196163 */     GIR_Done,
     /*  196164 */   // Label 3857: @196164
     /*  196164 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(196205), // Rule ID 970 //
     /*  196169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196186 */     // MIs[0] rs1
     /*  196186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196198 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196203 */     GIR_RootConstrainSelectedInstOperands,
     /*  196204 */     // GIR_Coverage, 970,
     /*  196204 */     GIR_Done,
     /*  196205 */   // Label 3858: @196205
     /*  196205 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(196246), // Rule ID 972 //
     /*  196210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196227 */     // MIs[0] rs1
     /*  196227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196239 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  196244 */     GIR_RootConstrainSelectedInstOperands,
     /*  196245 */     // GIR_Coverage, 972,
     /*  196245 */     GIR_Done,
     /*  196246 */   // Label 3859: @196246
     /*  196246 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(196287), // Rule ID 974 //
     /*  196251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196268 */     // MIs[0] rs1
     /*  196268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196280 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  196285 */     GIR_RootConstrainSelectedInstOperands,
     /*  196286 */     // GIR_Coverage, 974,
     /*  196286 */     GIR_Done,
     /*  196287 */   // Label 3860: @196287
     /*  196287 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(196328), // Rule ID 976 //
     /*  196292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196309 */     // MIs[0] rs1
     /*  196309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196321 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196326 */     GIR_RootConstrainSelectedInstOperands,
     /*  196327 */     // GIR_Coverage, 976,
     /*  196327 */     GIR_Done,
     /*  196328 */   // Label 3861: @196328
     /*  196328 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(196369), // Rule ID 978 //
     /*  196333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196350 */     // MIs[0] rs1
     /*  196350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196362 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196367 */     GIR_RootConstrainSelectedInstOperands,
     /*  196368 */     // GIR_Coverage, 978,
     /*  196368 */     GIR_Done,
     /*  196369 */   // Label 3862: @196369
     /*  196369 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(196410), // Rule ID 980 //
     /*  196374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196391 */     // MIs[0] rs1
     /*  196391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196403 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196408 */     GIR_RootConstrainSelectedInstOperands,
     /*  196409 */     // GIR_Coverage, 980,
     /*  196409 */     GIR_Done,
     /*  196410 */   // Label 3863: @196410
     /*  196410 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(196451), // Rule ID 982 //
     /*  196415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196432 */     // MIs[0] rs1
     /*  196432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196444 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196449 */     GIR_RootConstrainSelectedInstOperands,
     /*  196450 */     // GIR_Coverage, 982,
     /*  196450 */     GIR_Done,
     /*  196451 */   // Label 3864: @196451
     /*  196451 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(196492), // Rule ID 984 //
     /*  196456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196473 */     // MIs[0] rs1
     /*  196473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196485 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196490 */     GIR_RootConstrainSelectedInstOperands,
     /*  196491 */     // GIR_Coverage, 984,
     /*  196491 */     GIR_Done,
     /*  196492 */   // Label 3865: @196492
     /*  196492 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(196533), // Rule ID 986 //
     /*  196497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196514 */     // MIs[0] rs1
     /*  196514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196526 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196531 */     GIR_RootConstrainSelectedInstOperands,
     /*  196532 */     // GIR_Coverage, 986,
     /*  196532 */     GIR_Done,
     /*  196533 */   // Label 3866: @196533
     /*  196533 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(196574), // Rule ID 988 //
     /*  196538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196555 */     // MIs[0] rs1
     /*  196555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196567 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196572 */     GIR_RootConstrainSelectedInstOperands,
     /*  196573 */     // GIR_Coverage, 988,
     /*  196573 */     GIR_Done,
     /*  196574 */   // Label 3867: @196574
     /*  196574 */   GIM_Reject,
     /*  196575 */ // Label 3837: @196575
     /*  196575 */ GIM_Reject,
     /*  196576 */ // Label 3835: @196576
     /*  196576 */ GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(198225),
     /*  196581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  196584 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(196625), // Rule ID 441 //
     /*  196589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196606 */     // MIs[0] rs1
     /*  196606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196618 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196623 */     GIR_RootConstrainSelectedInstOperands,
     /*  196624 */     // GIR_Coverage, 441,
     /*  196624 */     GIR_Done,
     /*  196625 */   // Label 3869: @196625
     /*  196625 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(196666), // Rule ID 443 //
     /*  196630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196647 */     // MIs[0] rs1
     /*  196647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196659 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  196664 */     GIR_RootConstrainSelectedInstOperands,
     /*  196665 */     // GIR_Coverage, 443,
     /*  196665 */     GIR_Done,
     /*  196666 */   // Label 3870: @196666
     /*  196666 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(196707), // Rule ID 445 //
     /*  196671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196688 */     // MIs[0] rs1
     /*  196688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196700 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  196705 */     GIR_RootConstrainSelectedInstOperands,
     /*  196706 */     // GIR_Coverage, 445,
     /*  196706 */     GIR_Done,
     /*  196707 */   // Label 3871: @196707
     /*  196707 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(196748), // Rule ID 447 //
     /*  196712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196729 */     // MIs[0] rs1
     /*  196729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196741 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196746 */     GIR_RootConstrainSelectedInstOperands,
     /*  196747 */     // GIR_Coverage, 447,
     /*  196747 */     GIR_Done,
     /*  196748 */   // Label 3872: @196748
     /*  196748 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(196789), // Rule ID 449 //
     /*  196753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196770 */     // MIs[0] rs1
     /*  196770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196782 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196787 */     GIR_RootConstrainSelectedInstOperands,
     /*  196788 */     // GIR_Coverage, 449,
     /*  196788 */     GIR_Done,
     /*  196789 */   // Label 3873: @196789
     /*  196789 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(196830), // Rule ID 451 //
     /*  196794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196811 */     // MIs[0] rs1
     /*  196811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196823 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196828 */     GIR_RootConstrainSelectedInstOperands,
     /*  196829 */     // GIR_Coverage, 451,
     /*  196829 */     GIR_Done,
     /*  196830 */   // Label 3874: @196830
     /*  196830 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196871), // Rule ID 453 //
     /*  196835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196852 */     // MIs[0] rs1
     /*  196852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196864 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196869 */     GIR_RootConstrainSelectedInstOperands,
     /*  196870 */     // GIR_Coverage, 453,
     /*  196870 */     GIR_Done,
     /*  196871 */   // Label 3875: @196871
     /*  196871 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196912), // Rule ID 455 //
     /*  196876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196893 */     // MIs[0] rs1
     /*  196893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196905 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196910 */     GIR_RootConstrainSelectedInstOperands,
     /*  196911 */     // GIR_Coverage, 455,
     /*  196911 */     GIR_Done,
     /*  196912 */   // Label 3876: @196912
     /*  196912 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196953), // Rule ID 457 //
     /*  196917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196934 */     // MIs[0] rs1
     /*  196934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196946 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196951 */     GIR_RootConstrainSelectedInstOperands,
     /*  196952 */     // GIR_Coverage, 457,
     /*  196952 */     GIR_Done,
     /*  196953 */   // Label 3877: @196953
     /*  196953 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(196994), // Rule ID 459 //
     /*  196958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196975 */     // MIs[0] rs1
     /*  196975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196987 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196992 */     GIR_RootConstrainSelectedInstOperands,
     /*  196993 */     // GIR_Coverage, 459,
     /*  196993 */     GIR_Done,
     /*  196994 */   // Label 3878: @196994
     /*  196994 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(197035), // Rule ID 571 //
     /*  196999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197016 */     // MIs[0] rs1
     /*  197016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197028 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197033 */     GIR_RootConstrainSelectedInstOperands,
     /*  197034 */     // GIR_Coverage, 571,
     /*  197034 */     GIR_Done,
     /*  197035 */   // Label 3879: @197035
     /*  197035 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(197076), // Rule ID 572 //
     /*  197040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197057 */     // MIs[0] rs1
     /*  197057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197069 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  197074 */     GIR_RootConstrainSelectedInstOperands,
     /*  197075 */     // GIR_Coverage, 572,
     /*  197075 */     GIR_Done,
     /*  197076 */   // Label 3880: @197076
     /*  197076 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(197117), // Rule ID 573 //
     /*  197081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197098 */     // MIs[0] rs1
     /*  197098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197110 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  197115 */     GIR_RootConstrainSelectedInstOperands,
     /*  197116 */     // GIR_Coverage, 573,
     /*  197116 */     GIR_Done,
     /*  197117 */   // Label 3881: @197117
     /*  197117 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(197158), // Rule ID 574 //
     /*  197122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197139 */     // MIs[0] rs1
     /*  197139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197151 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197156 */     GIR_RootConstrainSelectedInstOperands,
     /*  197157 */     // GIR_Coverage, 574,
     /*  197157 */     GIR_Done,
     /*  197158 */   // Label 3882: @197158
     /*  197158 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(197199), // Rule ID 575 //
     /*  197163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197180 */     // MIs[0] rs1
     /*  197180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197192 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197197 */     GIR_RootConstrainSelectedInstOperands,
     /*  197198 */     // GIR_Coverage, 575,
     /*  197198 */     GIR_Done,
     /*  197199 */   // Label 3883: @197199
     /*  197199 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(197240), // Rule ID 576 //
     /*  197204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197221 */     // MIs[0] rs1
     /*  197221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197233 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197238 */     GIR_RootConstrainSelectedInstOperands,
     /*  197239 */     // GIR_Coverage, 576,
     /*  197239 */     GIR_Done,
     /*  197240 */   // Label 3884: @197240
     /*  197240 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(197281), // Rule ID 577 //
     /*  197245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197262 */     // MIs[0] rs1
     /*  197262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197274 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197279 */     GIR_RootConstrainSelectedInstOperands,
     /*  197280 */     // GIR_Coverage, 577,
     /*  197280 */     GIR_Done,
     /*  197281 */   // Label 3885: @197281
     /*  197281 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(197322), // Rule ID 578 //
     /*  197286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197303 */     // MIs[0] rs1
     /*  197303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197315 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197320 */     GIR_RootConstrainSelectedInstOperands,
     /*  197321 */     // GIR_Coverage, 578,
     /*  197321 */     GIR_Done,
     /*  197322 */   // Label 3886: @197322
     /*  197322 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(197363), // Rule ID 579 //
     /*  197327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197344 */     // MIs[0] rs1
     /*  197344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197356 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197361 */     GIR_RootConstrainSelectedInstOperands,
     /*  197362 */     // GIR_Coverage, 579,
     /*  197362 */     GIR_Done,
     /*  197363 */   // Label 3887: @197363
     /*  197363 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(197404), // Rule ID 580 //
     /*  197368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197385 */     // MIs[0] rs1
     /*  197385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197397 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197402 */     GIR_RootConstrainSelectedInstOperands,
     /*  197403 */     // GIR_Coverage, 580,
     /*  197403 */     GIR_Done,
     /*  197404 */   // Label 3888: @197404
     /*  197404 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(197445), // Rule ID 789 //
     /*  197409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197426 */     // MIs[0] rs1
     /*  197426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197438 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197443 */     GIR_RootConstrainSelectedInstOperands,
     /*  197444 */     // GIR_Coverage, 789,
     /*  197444 */     GIR_Done,
     /*  197445 */   // Label 3889: @197445
     /*  197445 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(197486), // Rule ID 791 //
     /*  197450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197467 */     // MIs[0] rs1
     /*  197467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197479 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  197484 */     GIR_RootConstrainSelectedInstOperands,
     /*  197485 */     // GIR_Coverage, 791,
     /*  197485 */     GIR_Done,
     /*  197486 */   // Label 3890: @197486
     /*  197486 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(197527), // Rule ID 793 //
     /*  197491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197508 */     // MIs[0] rs1
     /*  197508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197520 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  197525 */     GIR_RootConstrainSelectedInstOperands,
     /*  197526 */     // GIR_Coverage, 793,
     /*  197526 */     GIR_Done,
     /*  197527 */   // Label 3891: @197527
     /*  197527 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(197568), // Rule ID 795 //
     /*  197532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197549 */     // MIs[0] rs1
     /*  197549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197561 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197566 */     GIR_RootConstrainSelectedInstOperands,
     /*  197567 */     // GIR_Coverage, 795,
     /*  197567 */     GIR_Done,
     /*  197568 */   // Label 3892: @197568
     /*  197568 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(197609), // Rule ID 797 //
     /*  197573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197590 */     // MIs[0] rs1
     /*  197590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197602 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197607 */     GIR_RootConstrainSelectedInstOperands,
     /*  197608 */     // GIR_Coverage, 797,
     /*  197608 */     GIR_Done,
     /*  197609 */   // Label 3893: @197609
     /*  197609 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(197650), // Rule ID 799 //
     /*  197614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197631 */     // MIs[0] rs1
     /*  197631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197643 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197648 */     GIR_RootConstrainSelectedInstOperands,
     /*  197649 */     // GIR_Coverage, 799,
     /*  197649 */     GIR_Done,
     /*  197650 */   // Label 3894: @197650
     /*  197650 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(197691), // Rule ID 801 //
     /*  197655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197672 */     // MIs[0] rs1
     /*  197672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197684 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197689 */     GIR_RootConstrainSelectedInstOperands,
     /*  197690 */     // GIR_Coverage, 801,
     /*  197690 */     GIR_Done,
     /*  197691 */   // Label 3895: @197691
     /*  197691 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(197732), // Rule ID 803 //
     /*  197696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197713 */     // MIs[0] rs1
     /*  197713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197725 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197730 */     GIR_RootConstrainSelectedInstOperands,
     /*  197731 */     // GIR_Coverage, 803,
     /*  197731 */     GIR_Done,
     /*  197732 */   // Label 3896: @197732
     /*  197732 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(197773), // Rule ID 805 //
     /*  197737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197754 */     // MIs[0] rs1
     /*  197754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197766 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197771 */     GIR_RootConstrainSelectedInstOperands,
     /*  197772 */     // GIR_Coverage, 805,
     /*  197772 */     GIR_Done,
     /*  197773 */   // Label 3897: @197773
     /*  197773 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197814), // Rule ID 807 //
     /*  197778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197795 */     // MIs[0] rs1
     /*  197795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197807 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197812 */     GIR_RootConstrainSelectedInstOperands,
     /*  197813 */     // GIR_Coverage, 807,
     /*  197813 */     GIR_Done,
     /*  197814 */   // Label 3898: @197814
     /*  197814 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197855), // Rule ID 969 //
     /*  197819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197836 */     // MIs[0] rs1
     /*  197836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197848 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197853 */     GIR_RootConstrainSelectedInstOperands,
     /*  197854 */     // GIR_Coverage, 969,
     /*  197854 */     GIR_Done,
     /*  197855 */   // Label 3899: @197855
     /*  197855 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197896), // Rule ID 971 //
     /*  197860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197877 */     // MIs[0] rs1
     /*  197877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197889 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  197894 */     GIR_RootConstrainSelectedInstOperands,
     /*  197895 */     // GIR_Coverage, 971,
     /*  197895 */     GIR_Done,
     /*  197896 */   // Label 3900: @197896
     /*  197896 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197937), // Rule ID 973 //
     /*  197901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197918 */     // MIs[0] rs1
     /*  197918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197930 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  197935 */     GIR_RootConstrainSelectedInstOperands,
     /*  197936 */     // GIR_Coverage, 973,
     /*  197936 */     GIR_Done,
     /*  197937 */   // Label 3901: @197937
     /*  197937 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197978), // Rule ID 975 //
     /*  197942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197959 */     // MIs[0] rs1
     /*  197959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197971 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197976 */     GIR_RootConstrainSelectedInstOperands,
     /*  197977 */     // GIR_Coverage, 975,
     /*  197977 */     GIR_Done,
     /*  197978 */   // Label 3902: @197978
     /*  197978 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(198019), // Rule ID 977 //
     /*  197983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198000 */     // MIs[0] rs1
     /*  198000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198012 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  198017 */     GIR_RootConstrainSelectedInstOperands,
     /*  198018 */     // GIR_Coverage, 977,
     /*  198018 */     GIR_Done,
     /*  198019 */   // Label 3903: @198019
     /*  198019 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(198060), // Rule ID 979 //
     /*  198024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198041 */     // MIs[0] rs1
     /*  198041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198053 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198058 */     GIR_RootConstrainSelectedInstOperands,
     /*  198059 */     // GIR_Coverage, 979,
     /*  198059 */     GIR_Done,
     /*  198060 */   // Label 3904: @198060
     /*  198060 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(198101), // Rule ID 981 //
     /*  198065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198082 */     // MIs[0] rs1
     /*  198082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198094 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198099 */     GIR_RootConstrainSelectedInstOperands,
     /*  198100 */     // GIR_Coverage, 981,
     /*  198100 */     GIR_Done,
     /*  198101 */   // Label 3905: @198101
     /*  198101 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(198142), // Rule ID 983 //
     /*  198106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198123 */     // MIs[0] rs1
     /*  198123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198135 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198140 */     GIR_RootConstrainSelectedInstOperands,
     /*  198141 */     // GIR_Coverage, 983,
     /*  198141 */     GIR_Done,
     /*  198142 */   // Label 3906: @198142
     /*  198142 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(198183), // Rule ID 985 //
     /*  198147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198164 */     // MIs[0] rs1
     /*  198164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198176 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198181 */     GIR_RootConstrainSelectedInstOperands,
     /*  198182 */     // GIR_Coverage, 985,
     /*  198182 */     GIR_Done,
     /*  198183 */   // Label 3907: @198183
     /*  198183 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(198224), // Rule ID 987 //
     /*  198188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198205 */     // MIs[0] rs1
     /*  198205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198217 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198222 */     GIR_RootConstrainSelectedInstOperands,
     /*  198223 */     // GIR_Coverage, 987,
     /*  198223 */     GIR_Done,
     /*  198224 */   // Label 3908: @198224
     /*  198224 */   GIM_Reject,
     /*  198225 */ // Label 3868: @198225
     /*  198225 */ GIM_Reject,
     /*  198226 */ // Label 3836: @198226
     /*  198226 */ GIM_Reject,
     /*  198227 */ // Label 33: @198227
     /*  198227 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3911*/ GIMT_Encode4(201136),
     /*  198238 */ /*GILLT_s32*//*Label 3909*/ GIMT_Encode4(198246),
     /*  198242 */ /*GILLT_s64*//*Label 3910*/ GIMT_Encode4(199486),
     /*  198246 */ // Label 3909: @198246
     /*  198246 */ GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(199485),
     /*  198251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  198254 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(198295), // Rule ID 462 //
     /*  198259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198276 */     // MIs[0] rs1
     /*  198276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198288 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198293 */     GIR_RootConstrainSelectedInstOperands,
     /*  198294 */     // GIR_Coverage, 462,
     /*  198294 */     GIR_Done,
     /*  198295 */   // Label 3913: @198295
     /*  198295 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(198336), // Rule ID 464 //
     /*  198300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198317 */     // MIs[0] rs1
     /*  198317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198329 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  198334 */     GIR_RootConstrainSelectedInstOperands,
     /*  198335 */     // GIR_Coverage, 464,
     /*  198335 */     GIR_Done,
     /*  198336 */   // Label 3914: @198336
     /*  198336 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(198377), // Rule ID 466 //
     /*  198341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198358 */     // MIs[0] rs1
     /*  198358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198370 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  198375 */     GIR_RootConstrainSelectedInstOperands,
     /*  198376 */     // GIR_Coverage, 466,
     /*  198376 */     GIR_Done,
     /*  198377 */   // Label 3915: @198377
     /*  198377 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(198418), // Rule ID 468 //
     /*  198382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198399 */     // MIs[0] rs1
     /*  198399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198411 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198416 */     GIR_RootConstrainSelectedInstOperands,
     /*  198417 */     // GIR_Coverage, 468,
     /*  198417 */     GIR_Done,
     /*  198418 */   // Label 3916: @198418
     /*  198418 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(198459), // Rule ID 470 //
     /*  198423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198440 */     // MIs[0] rs1
     /*  198440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198452 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198457 */     GIR_RootConstrainSelectedInstOperands,
     /*  198458 */     // GIR_Coverage, 470,
     /*  198458 */     GIR_Done,
     /*  198459 */   // Label 3917: @198459
     /*  198459 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(198500), // Rule ID 472 //
     /*  198464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198481 */     // MIs[0] rs1
     /*  198481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198493 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198498 */     GIR_RootConstrainSelectedInstOperands,
     /*  198499 */     // GIR_Coverage, 472,
     /*  198499 */     GIR_Done,
     /*  198500 */   // Label 3918: @198500
     /*  198500 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(198541), // Rule ID 474 //
     /*  198505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198522 */     // MIs[0] rs1
     /*  198522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198534 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198539 */     GIR_RootConstrainSelectedInstOperands,
     /*  198540 */     // GIR_Coverage, 474,
     /*  198540 */     GIR_Done,
     /*  198541 */   // Label 3919: @198541
     /*  198541 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(198582), // Rule ID 476 //
     /*  198546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198563 */     // MIs[0] rs1
     /*  198563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198575 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198580 */     GIR_RootConstrainSelectedInstOperands,
     /*  198581 */     // GIR_Coverage, 476,
     /*  198581 */     GIR_Done,
     /*  198582 */   // Label 3920: @198582
     /*  198582 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(198623), // Rule ID 478 //
     /*  198587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198604 */     // MIs[0] rs1
     /*  198604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198616 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198621 */     GIR_RootConstrainSelectedInstOperands,
     /*  198622 */     // GIR_Coverage, 478,
     /*  198622 */     GIR_Done,
     /*  198623 */   // Label 3921: @198623
     /*  198623 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(198664), // Rule ID 480 //
     /*  198628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198645 */     // MIs[0] rs1
     /*  198645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198657 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198662 */     GIR_RootConstrainSelectedInstOperands,
     /*  198663 */     // GIR_Coverage, 480,
     /*  198663 */     GIR_Done,
     /*  198664 */   // Label 3922: @198664
     /*  198664 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(198705), // Rule ID 810 //
     /*  198669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198686 */     // MIs[0] rs1
     /*  198686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198698 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198703 */     GIR_RootConstrainSelectedInstOperands,
     /*  198704 */     // GIR_Coverage, 810,
     /*  198704 */     GIR_Done,
     /*  198705 */   // Label 3923: @198705
     /*  198705 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198746), // Rule ID 812 //
     /*  198710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198727 */     // MIs[0] rs1
     /*  198727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198739 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  198744 */     GIR_RootConstrainSelectedInstOperands,
     /*  198745 */     // GIR_Coverage, 812,
     /*  198745 */     GIR_Done,
     /*  198746 */   // Label 3924: @198746
     /*  198746 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198787), // Rule ID 814 //
     /*  198751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198768 */     // MIs[0] rs1
     /*  198768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198780 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  198785 */     GIR_RootConstrainSelectedInstOperands,
     /*  198786 */     // GIR_Coverage, 814,
     /*  198786 */     GIR_Done,
     /*  198787 */   // Label 3925: @198787
     /*  198787 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198828), // Rule ID 816 //
     /*  198792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198809 */     // MIs[0] rs1
     /*  198809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198821 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198826 */     GIR_RootConstrainSelectedInstOperands,
     /*  198827 */     // GIR_Coverage, 816,
     /*  198827 */     GIR_Done,
     /*  198828 */   // Label 3926: @198828
     /*  198828 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198869), // Rule ID 818 //
     /*  198833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198850 */     // MIs[0] rs1
     /*  198850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198862 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198867 */     GIR_RootConstrainSelectedInstOperands,
     /*  198868 */     // GIR_Coverage, 818,
     /*  198868 */     GIR_Done,
     /*  198869 */   // Label 3927: @198869
     /*  198869 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198910), // Rule ID 820 //
     /*  198874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198891 */     // MIs[0] rs1
     /*  198891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198903 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198908 */     GIR_RootConstrainSelectedInstOperands,
     /*  198909 */     // GIR_Coverage, 820,
     /*  198909 */     GIR_Done,
     /*  198910 */   // Label 3928: @198910
     /*  198910 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198951), // Rule ID 822 //
     /*  198915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198932 */     // MIs[0] rs1
     /*  198932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198944 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198949 */     GIR_RootConstrainSelectedInstOperands,
     /*  198950 */     // GIR_Coverage, 822,
     /*  198950 */     GIR_Done,
     /*  198951 */   // Label 3929: @198951
     /*  198951 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(198992), // Rule ID 824 //
     /*  198956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198973 */     // MIs[0] rs1
     /*  198973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198985 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198990 */     GIR_RootConstrainSelectedInstOperands,
     /*  198991 */     // GIR_Coverage, 824,
     /*  198991 */     GIR_Done,
     /*  198992 */   // Label 3930: @198992
     /*  198992 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(199033), // Rule ID 826 //
     /*  198997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199014 */     // MIs[0] rs1
     /*  199014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199026 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199031 */     GIR_RootConstrainSelectedInstOperands,
     /*  199032 */     // GIR_Coverage, 826,
     /*  199032 */     GIR_Done,
     /*  199033 */   // Label 3931: @199033
     /*  199033 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(199074), // Rule ID 828 //
     /*  199038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199055 */     // MIs[0] rs1
     /*  199055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199067 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199072 */     GIR_RootConstrainSelectedInstOperands,
     /*  199073 */     // GIR_Coverage, 828,
     /*  199073 */     GIR_Done,
     /*  199074 */   // Label 3932: @199074
     /*  199074 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(199115), // Rule ID 990 //
     /*  199079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199096 */     // MIs[0] rs1
     /*  199096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199108 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199113 */     GIR_RootConstrainSelectedInstOperands,
     /*  199114 */     // GIR_Coverage, 990,
     /*  199114 */     GIR_Done,
     /*  199115 */   // Label 3933: @199115
     /*  199115 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(199156), // Rule ID 992 //
     /*  199120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199137 */     // MIs[0] rs1
     /*  199137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199149 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  199154 */     GIR_RootConstrainSelectedInstOperands,
     /*  199155 */     // GIR_Coverage, 992,
     /*  199155 */     GIR_Done,
     /*  199156 */   // Label 3934: @199156
     /*  199156 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(199197), // Rule ID 994 //
     /*  199161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199178 */     // MIs[0] rs1
     /*  199178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199190 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  199195 */     GIR_RootConstrainSelectedInstOperands,
     /*  199196 */     // GIR_Coverage, 994,
     /*  199196 */     GIR_Done,
     /*  199197 */   // Label 3935: @199197
     /*  199197 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(199238), // Rule ID 996 //
     /*  199202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199219 */     // MIs[0] rs1
     /*  199219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199231 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199236 */     GIR_RootConstrainSelectedInstOperands,
     /*  199237 */     // GIR_Coverage, 996,
     /*  199237 */     GIR_Done,
     /*  199238 */   // Label 3936: @199238
     /*  199238 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(199279), // Rule ID 998 //
     /*  199243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199260 */     // MIs[0] rs1
     /*  199260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199272 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199277 */     GIR_RootConstrainSelectedInstOperands,
     /*  199278 */     // GIR_Coverage, 998,
     /*  199278 */     GIR_Done,
     /*  199279 */   // Label 3937: @199279
     /*  199279 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(199320), // Rule ID 1000 //
     /*  199284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199301 */     // MIs[0] rs1
     /*  199301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199313 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199318 */     GIR_RootConstrainSelectedInstOperands,
     /*  199319 */     // GIR_Coverage, 1000,
     /*  199319 */     GIR_Done,
     /*  199320 */   // Label 3938: @199320
     /*  199320 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(199361), // Rule ID 1002 //
     /*  199325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199342 */     // MIs[0] rs1
     /*  199342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199354 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199359 */     GIR_RootConstrainSelectedInstOperands,
     /*  199360 */     // GIR_Coverage, 1002,
     /*  199360 */     GIR_Done,
     /*  199361 */   // Label 3939: @199361
     /*  199361 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(199402), // Rule ID 1004 //
     /*  199366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199383 */     // MIs[0] rs1
     /*  199383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199395 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199400 */     GIR_RootConstrainSelectedInstOperands,
     /*  199401 */     // GIR_Coverage, 1004,
     /*  199401 */     GIR_Done,
     /*  199402 */   // Label 3940: @199402
     /*  199402 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(199443), // Rule ID 1006 //
     /*  199407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199424 */     // MIs[0] rs1
     /*  199424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199436 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199441 */     GIR_RootConstrainSelectedInstOperands,
     /*  199442 */     // GIR_Coverage, 1006,
     /*  199442 */     GIR_Done,
     /*  199443 */   // Label 3941: @199443
     /*  199443 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(199484), // Rule ID 1008 //
     /*  199448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199465 */     // MIs[0] rs1
     /*  199465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199477 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199482 */     GIR_RootConstrainSelectedInstOperands,
     /*  199483 */     // GIR_Coverage, 1008,
     /*  199483 */     GIR_Done,
     /*  199484 */   // Label 3942: @199484
     /*  199484 */   GIM_Reject,
     /*  199485 */ // Label 3912: @199485
     /*  199485 */ GIM_Reject,
     /*  199486 */ // Label 3910: @199486
     /*  199486 */ GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(201135),
     /*  199491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  199494 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(199535), // Rule ID 461 //
     /*  199499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199516 */     // MIs[0] rs1
     /*  199516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199528 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199533 */     GIR_RootConstrainSelectedInstOperands,
     /*  199534 */     // GIR_Coverage, 461,
     /*  199534 */     GIR_Done,
     /*  199535 */   // Label 3944: @199535
     /*  199535 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(199576), // Rule ID 463 //
     /*  199540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199557 */     // MIs[0] rs1
     /*  199557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199569 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  199574 */     GIR_RootConstrainSelectedInstOperands,
     /*  199575 */     // GIR_Coverage, 463,
     /*  199575 */     GIR_Done,
     /*  199576 */   // Label 3945: @199576
     /*  199576 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(199617), // Rule ID 465 //
     /*  199581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199598 */     // MIs[0] rs1
     /*  199598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199610 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  199615 */     GIR_RootConstrainSelectedInstOperands,
     /*  199616 */     // GIR_Coverage, 465,
     /*  199616 */     GIR_Done,
     /*  199617 */   // Label 3946: @199617
     /*  199617 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199658), // Rule ID 467 //
     /*  199622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199639 */     // MIs[0] rs1
     /*  199639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199651 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199656 */     GIR_RootConstrainSelectedInstOperands,
     /*  199657 */     // GIR_Coverage, 467,
     /*  199657 */     GIR_Done,
     /*  199658 */   // Label 3947: @199658
     /*  199658 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199699), // Rule ID 469 //
     /*  199663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199680 */     // MIs[0] rs1
     /*  199680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199692 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199697 */     GIR_RootConstrainSelectedInstOperands,
     /*  199698 */     // GIR_Coverage, 469,
     /*  199698 */     GIR_Done,
     /*  199699 */   // Label 3948: @199699
     /*  199699 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199740), // Rule ID 471 //
     /*  199704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199721 */     // MIs[0] rs1
     /*  199721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199733 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199738 */     GIR_RootConstrainSelectedInstOperands,
     /*  199739 */     // GIR_Coverage, 471,
     /*  199739 */     GIR_Done,
     /*  199740 */   // Label 3949: @199740
     /*  199740 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199781), // Rule ID 473 //
     /*  199745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199762 */     // MIs[0] rs1
     /*  199762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199774 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199779 */     GIR_RootConstrainSelectedInstOperands,
     /*  199780 */     // GIR_Coverage, 473,
     /*  199780 */     GIR_Done,
     /*  199781 */   // Label 3950: @199781
     /*  199781 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199822), // Rule ID 475 //
     /*  199786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199803 */     // MIs[0] rs1
     /*  199803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199815 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199820 */     GIR_RootConstrainSelectedInstOperands,
     /*  199821 */     // GIR_Coverage, 475,
     /*  199821 */     GIR_Done,
     /*  199822 */   // Label 3951: @199822
     /*  199822 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199863), // Rule ID 477 //
     /*  199827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199844 */     // MIs[0] rs1
     /*  199844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199856 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199861 */     GIR_RootConstrainSelectedInstOperands,
     /*  199862 */     // GIR_Coverage, 477,
     /*  199862 */     GIR_Done,
     /*  199863 */   // Label 3952: @199863
     /*  199863 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199904), // Rule ID 479 //
     /*  199868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199885 */     // MIs[0] rs1
     /*  199885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199897 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199902 */     GIR_RootConstrainSelectedInstOperands,
     /*  199903 */     // GIR_Coverage, 479,
     /*  199903 */     GIR_Done,
     /*  199904 */   // Label 3953: @199904
     /*  199904 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199945), // Rule ID 581 //
     /*  199909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199926 */     // MIs[0] rs1
     /*  199926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199938 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199943 */     GIR_RootConstrainSelectedInstOperands,
     /*  199944 */     // GIR_Coverage, 581,
     /*  199944 */     GIR_Done,
     /*  199945 */   // Label 3954: @199945
     /*  199945 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199986), // Rule ID 582 //
     /*  199950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199967 */     // MIs[0] rs1
     /*  199967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199979 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  199984 */     GIR_RootConstrainSelectedInstOperands,
     /*  199985 */     // GIR_Coverage, 582,
     /*  199985 */     GIR_Done,
     /*  199986 */   // Label 3955: @199986
     /*  199986 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(200027), // Rule ID 583 //
     /*  199991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200008 */     // MIs[0] rs1
     /*  200008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200020 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  200025 */     GIR_RootConstrainSelectedInstOperands,
     /*  200026 */     // GIR_Coverage, 583,
     /*  200026 */     GIR_Done,
     /*  200027 */   // Label 3956: @200027
     /*  200027 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(200068), // Rule ID 584 //
     /*  200032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200049 */     // MIs[0] rs1
     /*  200049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200061 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200066 */     GIR_RootConstrainSelectedInstOperands,
     /*  200067 */     // GIR_Coverage, 584,
     /*  200067 */     GIR_Done,
     /*  200068 */   // Label 3957: @200068
     /*  200068 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(200109), // Rule ID 585 //
     /*  200073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200090 */     // MIs[0] rs1
     /*  200090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200102 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200107 */     GIR_RootConstrainSelectedInstOperands,
     /*  200108 */     // GIR_Coverage, 585,
     /*  200108 */     GIR_Done,
     /*  200109 */   // Label 3958: @200109
     /*  200109 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(200150), // Rule ID 586 //
     /*  200114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200131 */     // MIs[0] rs1
     /*  200131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200143 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200148 */     GIR_RootConstrainSelectedInstOperands,
     /*  200149 */     // GIR_Coverage, 586,
     /*  200149 */     GIR_Done,
     /*  200150 */   // Label 3959: @200150
     /*  200150 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(200191), // Rule ID 587 //
     /*  200155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200172 */     // MIs[0] rs1
     /*  200172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200184 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200189 */     GIR_RootConstrainSelectedInstOperands,
     /*  200190 */     // GIR_Coverage, 587,
     /*  200190 */     GIR_Done,
     /*  200191 */   // Label 3960: @200191
     /*  200191 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(200232), // Rule ID 588 //
     /*  200196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200213 */     // MIs[0] rs1
     /*  200213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200225 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200230 */     GIR_RootConstrainSelectedInstOperands,
     /*  200231 */     // GIR_Coverage, 588,
     /*  200231 */     GIR_Done,
     /*  200232 */   // Label 3961: @200232
     /*  200232 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(200273), // Rule ID 589 //
     /*  200237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200254 */     // MIs[0] rs1
     /*  200254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200266 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200271 */     GIR_RootConstrainSelectedInstOperands,
     /*  200272 */     // GIR_Coverage, 589,
     /*  200272 */     GIR_Done,
     /*  200273 */   // Label 3962: @200273
     /*  200273 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(200314), // Rule ID 590 //
     /*  200278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200295 */     // MIs[0] rs1
     /*  200295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200307 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200312 */     GIR_RootConstrainSelectedInstOperands,
     /*  200313 */     // GIR_Coverage, 590,
     /*  200313 */     GIR_Done,
     /*  200314 */   // Label 3963: @200314
     /*  200314 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(200355), // Rule ID 809 //
     /*  200319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200336 */     // MIs[0] rs1
     /*  200336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200348 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200353 */     GIR_RootConstrainSelectedInstOperands,
     /*  200354 */     // GIR_Coverage, 809,
     /*  200354 */     GIR_Done,
     /*  200355 */   // Label 3964: @200355
     /*  200355 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(200396), // Rule ID 811 //
     /*  200360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200377 */     // MIs[0] rs1
     /*  200377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200389 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  200394 */     GIR_RootConstrainSelectedInstOperands,
     /*  200395 */     // GIR_Coverage, 811,
     /*  200395 */     GIR_Done,
     /*  200396 */   // Label 3965: @200396
     /*  200396 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(200437), // Rule ID 813 //
     /*  200401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200418 */     // MIs[0] rs1
     /*  200418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200430 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  200435 */     GIR_RootConstrainSelectedInstOperands,
     /*  200436 */     // GIR_Coverage, 813,
     /*  200436 */     GIR_Done,
     /*  200437 */   // Label 3966: @200437
     /*  200437 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(200478), // Rule ID 815 //
     /*  200442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200459 */     // MIs[0] rs1
     /*  200459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200471 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200476 */     GIR_RootConstrainSelectedInstOperands,
     /*  200477 */     // GIR_Coverage, 815,
     /*  200477 */     GIR_Done,
     /*  200478 */   // Label 3967: @200478
     /*  200478 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(200519), // Rule ID 817 //
     /*  200483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200500 */     // MIs[0] rs1
     /*  200500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200512 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200517 */     GIR_RootConstrainSelectedInstOperands,
     /*  200518 */     // GIR_Coverage, 817,
     /*  200518 */     GIR_Done,
     /*  200519 */   // Label 3968: @200519
     /*  200519 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(200560), // Rule ID 819 //
     /*  200524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200541 */     // MIs[0] rs1
     /*  200541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200553 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200558 */     GIR_RootConstrainSelectedInstOperands,
     /*  200559 */     // GIR_Coverage, 819,
     /*  200559 */     GIR_Done,
     /*  200560 */   // Label 3969: @200560
     /*  200560 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(200601), // Rule ID 821 //
     /*  200565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200582 */     // MIs[0] rs1
     /*  200582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200594 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200599 */     GIR_RootConstrainSelectedInstOperands,
     /*  200600 */     // GIR_Coverage, 821,
     /*  200600 */     GIR_Done,
     /*  200601 */   // Label 3970: @200601
     /*  200601 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200642), // Rule ID 823 //
     /*  200606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200623 */     // MIs[0] rs1
     /*  200623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200635 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200640 */     GIR_RootConstrainSelectedInstOperands,
     /*  200641 */     // GIR_Coverage, 823,
     /*  200641 */     GIR_Done,
     /*  200642 */   // Label 3971: @200642
     /*  200642 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200683), // Rule ID 825 //
     /*  200647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200664 */     // MIs[0] rs1
     /*  200664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200676 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200681 */     GIR_RootConstrainSelectedInstOperands,
     /*  200682 */     // GIR_Coverage, 825,
     /*  200682 */     GIR_Done,
     /*  200683 */   // Label 3972: @200683
     /*  200683 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(200724), // Rule ID 827 //
     /*  200688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200705 */     // MIs[0] rs1
     /*  200705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200717 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200722 */     GIR_RootConstrainSelectedInstOperands,
     /*  200723 */     // GIR_Coverage, 827,
     /*  200723 */     GIR_Done,
     /*  200724 */   // Label 3973: @200724
     /*  200724 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(200765), // Rule ID 989 //
     /*  200729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200746 */     // MIs[0] rs1
     /*  200746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200758 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200763 */     GIR_RootConstrainSelectedInstOperands,
     /*  200764 */     // GIR_Coverage, 989,
     /*  200764 */     GIR_Done,
     /*  200765 */   // Label 3974: @200765
     /*  200765 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(200806), // Rule ID 991 //
     /*  200770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200787 */     // MIs[0] rs1
     /*  200787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200799 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  200804 */     GIR_RootConstrainSelectedInstOperands,
     /*  200805 */     // GIR_Coverage, 991,
     /*  200805 */     GIR_Done,
     /*  200806 */   // Label 3975: @200806
     /*  200806 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200847), // Rule ID 993 //
     /*  200811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200828 */     // MIs[0] rs1
     /*  200828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200840 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  200845 */     GIR_RootConstrainSelectedInstOperands,
     /*  200846 */     // GIR_Coverage, 993,
     /*  200846 */     GIR_Done,
     /*  200847 */   // Label 3976: @200847
     /*  200847 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200888), // Rule ID 995 //
     /*  200852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200869 */     // MIs[0] rs1
     /*  200869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200881 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200886 */     GIR_RootConstrainSelectedInstOperands,
     /*  200887 */     // GIR_Coverage, 995,
     /*  200887 */     GIR_Done,
     /*  200888 */   // Label 3977: @200888
     /*  200888 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200929), // Rule ID 997 //
     /*  200893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200910 */     // MIs[0] rs1
     /*  200910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200922 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200927 */     GIR_RootConstrainSelectedInstOperands,
     /*  200928 */     // GIR_Coverage, 997,
     /*  200928 */     GIR_Done,
     /*  200929 */   // Label 3978: @200929
     /*  200929 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200970), // Rule ID 999 //
     /*  200934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200951 */     // MIs[0] rs1
     /*  200951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200963 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200968 */     GIR_RootConstrainSelectedInstOperands,
     /*  200969 */     // GIR_Coverage, 999,
     /*  200969 */     GIR_Done,
     /*  200970 */   // Label 3979: @200970
     /*  200970 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(201011), // Rule ID 1001 //
     /*  200975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200992 */     // MIs[0] rs1
     /*  200992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201004 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201009 */     GIR_RootConstrainSelectedInstOperands,
     /*  201010 */     // GIR_Coverage, 1001,
     /*  201010 */     GIR_Done,
     /*  201011 */   // Label 3980: @201011
     /*  201011 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(201052), // Rule ID 1003 //
     /*  201016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201033 */     // MIs[0] rs1
     /*  201033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201045 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201050 */     GIR_RootConstrainSelectedInstOperands,
     /*  201051 */     // GIR_Coverage, 1003,
     /*  201051 */     GIR_Done,
     /*  201052 */   // Label 3981: @201052
     /*  201052 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(201093), // Rule ID 1005 //
     /*  201057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201074 */     // MIs[0] rs1
     /*  201074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201086 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201091 */     GIR_RootConstrainSelectedInstOperands,
     /*  201092 */     // GIR_Coverage, 1005,
     /*  201092 */     GIR_Done,
     /*  201093 */   // Label 3982: @201093
     /*  201093 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(201134), // Rule ID 1007 //
     /*  201098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201115 */     // MIs[0] rs1
     /*  201115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201127 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201132 */     GIR_RootConstrainSelectedInstOperands,
     /*  201133 */     // GIR_Coverage, 1007,
     /*  201133 */     GIR_Done,
     /*  201134 */   // Label 3983: @201134
     /*  201134 */   GIM_Reject,
     /*  201135 */ // Label 3943: @201135
     /*  201135 */ GIM_Reject,
     /*  201136 */ // Label 3911: @201136
     /*  201136 */ GIM_Reject,
     /*  201137 */ // Label 34: @201137
     /*  201137 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3986*/ GIMT_Encode4(204046),
     /*  201148 */ /*GILLT_s32*//*Label 3984*/ GIMT_Encode4(201156),
     /*  201152 */ /*GILLT_s64*//*Label 3985*/ GIMT_Encode4(202396),
     /*  201156 */ // Label 3984: @201156
     /*  201156 */ GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(202395),
     /*  201161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201164 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(201205), // Rule ID 482 //
     /*  201169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201186 */     // MIs[0] rs1
     /*  201186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201198 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201203 */     GIR_RootConstrainSelectedInstOperands,
     /*  201204 */     // GIR_Coverage, 482,
     /*  201204 */     GIR_Done,
     /*  201205 */   // Label 3988: @201205
     /*  201205 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(201246), // Rule ID 484 //
     /*  201210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201227 */     // MIs[0] rs1
     /*  201227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201239 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  201244 */     GIR_RootConstrainSelectedInstOperands,
     /*  201245 */     // GIR_Coverage, 484,
     /*  201245 */     GIR_Done,
     /*  201246 */   // Label 3989: @201246
     /*  201246 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201287), // Rule ID 486 //
     /*  201251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201268 */     // MIs[0] rs1
     /*  201268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201280 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  201285 */     GIR_RootConstrainSelectedInstOperands,
     /*  201286 */     // GIR_Coverage, 486,
     /*  201286 */     GIR_Done,
     /*  201287 */   // Label 3990: @201287
     /*  201287 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201328), // Rule ID 488 //
     /*  201292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201309 */     // MIs[0] rs1
     /*  201309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201321 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  201326 */     GIR_RootConstrainSelectedInstOperands,
     /*  201327 */     // GIR_Coverage, 488,
     /*  201327 */     GIR_Done,
     /*  201328 */   // Label 3991: @201328
     /*  201328 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201369), // Rule ID 490 //
     /*  201333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201350 */     // MIs[0] rs1
     /*  201350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201362 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  201367 */     GIR_RootConstrainSelectedInstOperands,
     /*  201368 */     // GIR_Coverage, 490,
     /*  201368 */     GIR_Done,
     /*  201369 */   // Label 3992: @201369
     /*  201369 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201410), // Rule ID 492 //
     /*  201374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201391 */     // MIs[0] rs1
     /*  201391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201403 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201408 */     GIR_RootConstrainSelectedInstOperands,
     /*  201409 */     // GIR_Coverage, 492,
     /*  201409 */     GIR_Done,
     /*  201410 */   // Label 3993: @201410
     /*  201410 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201451), // Rule ID 494 //
     /*  201415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201432 */     // MIs[0] rs1
     /*  201432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201444 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201449 */     GIR_RootConstrainSelectedInstOperands,
     /*  201450 */     // GIR_Coverage, 494,
     /*  201450 */     GIR_Done,
     /*  201451 */   // Label 3994: @201451
     /*  201451 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201492), // Rule ID 496 //
     /*  201456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201473 */     // MIs[0] rs1
     /*  201473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201485 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201490 */     GIR_RootConstrainSelectedInstOperands,
     /*  201491 */     // GIR_Coverage, 496,
     /*  201491 */     GIR_Done,
     /*  201492 */   // Label 3995: @201492
     /*  201492 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201533), // Rule ID 498 //
     /*  201497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201514 */     // MIs[0] rs1
     /*  201514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201526 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201531 */     GIR_RootConstrainSelectedInstOperands,
     /*  201532 */     // GIR_Coverage, 498,
     /*  201532 */     GIR_Done,
     /*  201533 */   // Label 3996: @201533
     /*  201533 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201574), // Rule ID 500 //
     /*  201538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201555 */     // MIs[0] rs1
     /*  201555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201567 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201572 */     GIR_RootConstrainSelectedInstOperands,
     /*  201573 */     // GIR_Coverage, 500,
     /*  201573 */     GIR_Done,
     /*  201574 */   // Label 3997: @201574
     /*  201574 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201615), // Rule ID 830 //
     /*  201579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201596 */     // MIs[0] rs1
     /*  201596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201608 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201613 */     GIR_RootConstrainSelectedInstOperands,
     /*  201614 */     // GIR_Coverage, 830,
     /*  201614 */     GIR_Done,
     /*  201615 */   // Label 3998: @201615
     /*  201615 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201656), // Rule ID 832 //
     /*  201620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201637 */     // MIs[0] rs1
     /*  201637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201649 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  201654 */     GIR_RootConstrainSelectedInstOperands,
     /*  201655 */     // GIR_Coverage, 832,
     /*  201655 */     GIR_Done,
     /*  201656 */   // Label 3999: @201656
     /*  201656 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201697), // Rule ID 834 //
     /*  201661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201678 */     // MIs[0] rs1
     /*  201678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201690 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  201695 */     GIR_RootConstrainSelectedInstOperands,
     /*  201696 */     // GIR_Coverage, 834,
     /*  201696 */     GIR_Done,
     /*  201697 */   // Label 4000: @201697
     /*  201697 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201738), // Rule ID 836 //
     /*  201702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201719 */     // MIs[0] rs1
     /*  201719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201731 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201736 */     GIR_RootConstrainSelectedInstOperands,
     /*  201737 */     // GIR_Coverage, 836,
     /*  201737 */     GIR_Done,
     /*  201738 */   // Label 4001: @201738
     /*  201738 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201779), // Rule ID 838 //
     /*  201743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201760 */     // MIs[0] rs1
     /*  201760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201772 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201777 */     GIR_RootConstrainSelectedInstOperands,
     /*  201778 */     // GIR_Coverage, 838,
     /*  201778 */     GIR_Done,
     /*  201779 */   // Label 4002: @201779
     /*  201779 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201820), // Rule ID 840 //
     /*  201784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201801 */     // MIs[0] rs1
     /*  201801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201813 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201818 */     GIR_RootConstrainSelectedInstOperands,
     /*  201819 */     // GIR_Coverage, 840,
     /*  201819 */     GIR_Done,
     /*  201820 */   // Label 4003: @201820
     /*  201820 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201861), // Rule ID 842 //
     /*  201825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201842 */     // MIs[0] rs1
     /*  201842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201854 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201859 */     GIR_RootConstrainSelectedInstOperands,
     /*  201860 */     // GIR_Coverage, 842,
     /*  201860 */     GIR_Done,
     /*  201861 */   // Label 4004: @201861
     /*  201861 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201902), // Rule ID 844 //
     /*  201866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201883 */     // MIs[0] rs1
     /*  201883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201895 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201900 */     GIR_RootConstrainSelectedInstOperands,
     /*  201901 */     // GIR_Coverage, 844,
     /*  201901 */     GIR_Done,
     /*  201902 */   // Label 4005: @201902
     /*  201902 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201943), // Rule ID 846 //
     /*  201907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201924 */     // MIs[0] rs1
     /*  201924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201936 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201941 */     GIR_RootConstrainSelectedInstOperands,
     /*  201942 */     // GIR_Coverage, 846,
     /*  201942 */     GIR_Done,
     /*  201943 */   // Label 4006: @201943
     /*  201943 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201984), // Rule ID 848 //
     /*  201948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201965 */     // MIs[0] rs1
     /*  201965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201977 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201982 */     GIR_RootConstrainSelectedInstOperands,
     /*  201983 */     // GIR_Coverage, 848,
     /*  201983 */     GIR_Done,
     /*  201984 */   // Label 4007: @201984
     /*  201984 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(202025), // Rule ID 1010 //
     /*  201989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202006 */     // MIs[0] rs1
     /*  202006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202018 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202023 */     GIR_RootConstrainSelectedInstOperands,
     /*  202024 */     // GIR_Coverage, 1010,
     /*  202024 */     GIR_Done,
     /*  202025 */   // Label 4008: @202025
     /*  202025 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(202066), // Rule ID 1012 //
     /*  202030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202047 */     // MIs[0] rs1
     /*  202047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202059 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  202064 */     GIR_RootConstrainSelectedInstOperands,
     /*  202065 */     // GIR_Coverage, 1012,
     /*  202065 */     GIR_Done,
     /*  202066 */   // Label 4009: @202066
     /*  202066 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(202107), // Rule ID 1014 //
     /*  202071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202088 */     // MIs[0] rs1
     /*  202088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202100 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  202105 */     GIR_RootConstrainSelectedInstOperands,
     /*  202106 */     // GIR_Coverage, 1014,
     /*  202106 */     GIR_Done,
     /*  202107 */   // Label 4010: @202107
     /*  202107 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(202148), // Rule ID 1016 //
     /*  202112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202129 */     // MIs[0] rs1
     /*  202129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202141 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202146 */     GIR_RootConstrainSelectedInstOperands,
     /*  202147 */     // GIR_Coverage, 1016,
     /*  202147 */     GIR_Done,
     /*  202148 */   // Label 4011: @202148
     /*  202148 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(202189), // Rule ID 1018 //
     /*  202153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202170 */     // MIs[0] rs1
     /*  202170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202182 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202187 */     GIR_RootConstrainSelectedInstOperands,
     /*  202188 */     // GIR_Coverage, 1018,
     /*  202188 */     GIR_Done,
     /*  202189 */   // Label 4012: @202189
     /*  202189 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(202230), // Rule ID 1020 //
     /*  202194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202211 */     // MIs[0] rs1
     /*  202211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202223 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202228 */     GIR_RootConstrainSelectedInstOperands,
     /*  202229 */     // GIR_Coverage, 1020,
     /*  202229 */     GIR_Done,
     /*  202230 */   // Label 4013: @202230
     /*  202230 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(202271), // Rule ID 1022 //
     /*  202235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202252 */     // MIs[0] rs1
     /*  202252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202264 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202269 */     GIR_RootConstrainSelectedInstOperands,
     /*  202270 */     // GIR_Coverage, 1022,
     /*  202270 */     GIR_Done,
     /*  202271 */   // Label 4014: @202271
     /*  202271 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202312), // Rule ID 1024 //
     /*  202276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202293 */     // MIs[0] rs1
     /*  202293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202305 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202310 */     GIR_RootConstrainSelectedInstOperands,
     /*  202311 */     // GIR_Coverage, 1024,
     /*  202311 */     GIR_Done,
     /*  202312 */   // Label 4015: @202312
     /*  202312 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202353), // Rule ID 1026 //
     /*  202317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202334 */     // MIs[0] rs1
     /*  202334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202346 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202351 */     GIR_RootConstrainSelectedInstOperands,
     /*  202352 */     // GIR_Coverage, 1026,
     /*  202352 */     GIR_Done,
     /*  202353 */   // Label 4016: @202353
     /*  202353 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202394), // Rule ID 1028 //
     /*  202358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202375 */     // MIs[0] rs1
     /*  202375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202387 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202392 */     GIR_RootConstrainSelectedInstOperands,
     /*  202393 */     // GIR_Coverage, 1028,
     /*  202393 */     GIR_Done,
     /*  202394 */   // Label 4017: @202394
     /*  202394 */   GIM_Reject,
     /*  202395 */ // Label 3987: @202395
     /*  202395 */ GIM_Reject,
     /*  202396 */ // Label 3985: @202396
     /*  202396 */ GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(204045),
     /*  202401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202404 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202445), // Rule ID 481 //
     /*  202409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202426 */     // MIs[0] rs1
     /*  202426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202438 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202443 */     GIR_RootConstrainSelectedInstOperands,
     /*  202444 */     // GIR_Coverage, 481,
     /*  202444 */     GIR_Done,
     /*  202445 */   // Label 4019: @202445
     /*  202445 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202486), // Rule ID 483 //
     /*  202450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202467 */     // MIs[0] rs1
     /*  202467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202479 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  202484 */     GIR_RootConstrainSelectedInstOperands,
     /*  202485 */     // GIR_Coverage, 483,
     /*  202485 */     GIR_Done,
     /*  202486 */   // Label 4020: @202486
     /*  202486 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202527), // Rule ID 485 //
     /*  202491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202508 */     // MIs[0] rs1
     /*  202508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202520 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  202525 */     GIR_RootConstrainSelectedInstOperands,
     /*  202526 */     // GIR_Coverage, 485,
     /*  202526 */     GIR_Done,
     /*  202527 */   // Label 4021: @202527
     /*  202527 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202568), // Rule ID 487 //
     /*  202532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202549 */     // MIs[0] rs1
     /*  202549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202561 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202566 */     GIR_RootConstrainSelectedInstOperands,
     /*  202567 */     // GIR_Coverage, 487,
     /*  202567 */     GIR_Done,
     /*  202568 */   // Label 4022: @202568
     /*  202568 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202609), // Rule ID 489 //
     /*  202573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202590 */     // MIs[0] rs1
     /*  202590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202602 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202607 */     GIR_RootConstrainSelectedInstOperands,
     /*  202608 */     // GIR_Coverage, 489,
     /*  202608 */     GIR_Done,
     /*  202609 */   // Label 4023: @202609
     /*  202609 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202650), // Rule ID 491 //
     /*  202614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202631 */     // MIs[0] rs1
     /*  202631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202643 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202648 */     GIR_RootConstrainSelectedInstOperands,
     /*  202649 */     // GIR_Coverage, 491,
     /*  202649 */     GIR_Done,
     /*  202650 */   // Label 4024: @202650
     /*  202650 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202691), // Rule ID 493 //
     /*  202655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202672 */     // MIs[0] rs1
     /*  202672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202684 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202689 */     GIR_RootConstrainSelectedInstOperands,
     /*  202690 */     // GIR_Coverage, 493,
     /*  202690 */     GIR_Done,
     /*  202691 */   // Label 4025: @202691
     /*  202691 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202732), // Rule ID 495 //
     /*  202696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202713 */     // MIs[0] rs1
     /*  202713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202725 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202730 */     GIR_RootConstrainSelectedInstOperands,
     /*  202731 */     // GIR_Coverage, 495,
     /*  202731 */     GIR_Done,
     /*  202732 */   // Label 4026: @202732
     /*  202732 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202773), // Rule ID 497 //
     /*  202737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202754 */     // MIs[0] rs1
     /*  202754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202766 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202771 */     GIR_RootConstrainSelectedInstOperands,
     /*  202772 */     // GIR_Coverage, 497,
     /*  202772 */     GIR_Done,
     /*  202773 */   // Label 4027: @202773
     /*  202773 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202814), // Rule ID 499 //
     /*  202778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202795 */     // MIs[0] rs1
     /*  202795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202807 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202812 */     GIR_RootConstrainSelectedInstOperands,
     /*  202813 */     // GIR_Coverage, 499,
     /*  202813 */     GIR_Done,
     /*  202814 */   // Label 4028: @202814
     /*  202814 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202855), // Rule ID 591 //
     /*  202819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202836 */     // MIs[0] rs1
     /*  202836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202848 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202853 */     GIR_RootConstrainSelectedInstOperands,
     /*  202854 */     // GIR_Coverage, 591,
     /*  202854 */     GIR_Done,
     /*  202855 */   // Label 4029: @202855
     /*  202855 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202896), // Rule ID 592 //
     /*  202860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202877 */     // MIs[0] rs1
     /*  202877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202889 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  202894 */     GIR_RootConstrainSelectedInstOperands,
     /*  202895 */     // GIR_Coverage, 592,
     /*  202895 */     GIR_Done,
     /*  202896 */   // Label 4030: @202896
     /*  202896 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202937), // Rule ID 593 //
     /*  202901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202918 */     // MIs[0] rs1
     /*  202918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202930 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  202935 */     GIR_RootConstrainSelectedInstOperands,
     /*  202936 */     // GIR_Coverage, 593,
     /*  202936 */     GIR_Done,
     /*  202937 */   // Label 4031: @202937
     /*  202937 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202978), // Rule ID 594 //
     /*  202942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202959 */     // MIs[0] rs1
     /*  202959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202971 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202976 */     GIR_RootConstrainSelectedInstOperands,
     /*  202977 */     // GIR_Coverage, 594,
     /*  202977 */     GIR_Done,
     /*  202978 */   // Label 4032: @202978
     /*  202978 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(203019), // Rule ID 595 //
     /*  202983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203000 */     // MIs[0] rs1
     /*  203000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203012 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  203017 */     GIR_RootConstrainSelectedInstOperands,
     /*  203018 */     // GIR_Coverage, 595,
     /*  203018 */     GIR_Done,
     /*  203019 */   // Label 4033: @203019
     /*  203019 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203060), // Rule ID 596 //
     /*  203024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203041 */     // MIs[0] rs1
     /*  203041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203053 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203058 */     GIR_RootConstrainSelectedInstOperands,
     /*  203059 */     // GIR_Coverage, 596,
     /*  203059 */     GIR_Done,
     /*  203060 */   // Label 4034: @203060
     /*  203060 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(203101), // Rule ID 597 //
     /*  203065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203082 */     // MIs[0] rs1
     /*  203082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203094 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203099 */     GIR_RootConstrainSelectedInstOperands,
     /*  203100 */     // GIR_Coverage, 597,
     /*  203100 */     GIR_Done,
     /*  203101 */   // Label 4035: @203101
     /*  203101 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(203142), // Rule ID 598 //
     /*  203106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203123 */     // MIs[0] rs1
     /*  203123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203135 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203140 */     GIR_RootConstrainSelectedInstOperands,
     /*  203141 */     // GIR_Coverage, 598,
     /*  203141 */     GIR_Done,
     /*  203142 */   // Label 4036: @203142
     /*  203142 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(203183), // Rule ID 599 //
     /*  203147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203164 */     // MIs[0] rs1
     /*  203164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203176 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203181 */     GIR_RootConstrainSelectedInstOperands,
     /*  203182 */     // GIR_Coverage, 599,
     /*  203182 */     GIR_Done,
     /*  203183 */   // Label 4037: @203183
     /*  203183 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203224), // Rule ID 600 //
     /*  203188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203205 */     // MIs[0] rs1
     /*  203205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203217 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203222 */     GIR_RootConstrainSelectedInstOperands,
     /*  203223 */     // GIR_Coverage, 600,
     /*  203223 */     GIR_Done,
     /*  203224 */   // Label 4038: @203224
     /*  203224 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(203265), // Rule ID 829 //
     /*  203229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203246 */     // MIs[0] rs1
     /*  203246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203258 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203263 */     GIR_RootConstrainSelectedInstOperands,
     /*  203264 */     // GIR_Coverage, 829,
     /*  203264 */     GIR_Done,
     /*  203265 */   // Label 4039: @203265
     /*  203265 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(203306), // Rule ID 831 //
     /*  203270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203287 */     // MIs[0] rs1
     /*  203287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203299 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  203304 */     GIR_RootConstrainSelectedInstOperands,
     /*  203305 */     // GIR_Coverage, 831,
     /*  203305 */     GIR_Done,
     /*  203306 */   // Label 4040: @203306
     /*  203306 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(203347), // Rule ID 833 //
     /*  203311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203328 */     // MIs[0] rs1
     /*  203328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203340 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  203345 */     GIR_RootConstrainSelectedInstOperands,
     /*  203346 */     // GIR_Coverage, 833,
     /*  203346 */     GIR_Done,
     /*  203347 */   // Label 4041: @203347
     /*  203347 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(203388), // Rule ID 835 //
     /*  203352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203369 */     // MIs[0] rs1
     /*  203369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203381 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203386 */     GIR_RootConstrainSelectedInstOperands,
     /*  203387 */     // GIR_Coverage, 835,
     /*  203387 */     GIR_Done,
     /*  203388 */   // Label 4042: @203388
     /*  203388 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(203429), // Rule ID 837 //
     /*  203393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203410 */     // MIs[0] rs1
     /*  203410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203422 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  203427 */     GIR_RootConstrainSelectedInstOperands,
     /*  203428 */     // GIR_Coverage, 837,
     /*  203428 */     GIR_Done,
     /*  203429 */   // Label 4043: @203429
     /*  203429 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(203470), // Rule ID 839 //
     /*  203434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203451 */     // MIs[0] rs1
     /*  203451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203463 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203468 */     GIR_RootConstrainSelectedInstOperands,
     /*  203469 */     // GIR_Coverage, 839,
     /*  203469 */     GIR_Done,
     /*  203470 */   // Label 4044: @203470
     /*  203470 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(203511), // Rule ID 841 //
     /*  203475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203492 */     // MIs[0] rs1
     /*  203492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203504 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203509 */     GIR_RootConstrainSelectedInstOperands,
     /*  203510 */     // GIR_Coverage, 841,
     /*  203510 */     GIR_Done,
     /*  203511 */   // Label 4045: @203511
     /*  203511 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(203552), // Rule ID 843 //
     /*  203516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203533 */     // MIs[0] rs1
     /*  203533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203545 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203550 */     GIR_RootConstrainSelectedInstOperands,
     /*  203551 */     // GIR_Coverage, 843,
     /*  203551 */     GIR_Done,
     /*  203552 */   // Label 4046: @203552
     /*  203552 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(203593), // Rule ID 845 //
     /*  203557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203574 */     // MIs[0] rs1
     /*  203574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203586 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203591 */     GIR_RootConstrainSelectedInstOperands,
     /*  203592 */     // GIR_Coverage, 845,
     /*  203592 */     GIR_Done,
     /*  203593 */   // Label 4047: @203593
     /*  203593 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(203634), // Rule ID 847 //
     /*  203598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203615 */     // MIs[0] rs1
     /*  203615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203627 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203632 */     GIR_RootConstrainSelectedInstOperands,
     /*  203633 */     // GIR_Coverage, 847,
     /*  203633 */     GIR_Done,
     /*  203634 */   // Label 4048: @203634
     /*  203634 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(203675), // Rule ID 1009 //
     /*  203639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203656 */     // MIs[0] rs1
     /*  203656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203668 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203673 */     GIR_RootConstrainSelectedInstOperands,
     /*  203674 */     // GIR_Coverage, 1009,
     /*  203674 */     GIR_Done,
     /*  203675 */   // Label 4049: @203675
     /*  203675 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(203716), // Rule ID 1011 //
     /*  203680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203697 */     // MIs[0] rs1
     /*  203697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203709 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  203714 */     GIR_RootConstrainSelectedInstOperands,
     /*  203715 */     // GIR_Coverage, 1011,
     /*  203715 */     GIR_Done,
     /*  203716 */   // Label 4050: @203716
     /*  203716 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(203757), // Rule ID 1013 //
     /*  203721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203738 */     // MIs[0] rs1
     /*  203738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203750 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  203755 */     GIR_RootConstrainSelectedInstOperands,
     /*  203756 */     // GIR_Coverage, 1013,
     /*  203756 */     GIR_Done,
     /*  203757 */   // Label 4051: @203757
     /*  203757 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(203798), // Rule ID 1015 //
     /*  203762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203779 */     // MIs[0] rs1
     /*  203779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203791 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203796 */     GIR_RootConstrainSelectedInstOperands,
     /*  203797 */     // GIR_Coverage, 1015,
     /*  203797 */     GIR_Done,
     /*  203798 */   // Label 4052: @203798
     /*  203798 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203839), // Rule ID 1017 //
     /*  203803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203820 */     // MIs[0] rs1
     /*  203820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203832 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203837 */     GIR_RootConstrainSelectedInstOperands,
     /*  203838 */     // GIR_Coverage, 1017,
     /*  203838 */     GIR_Done,
     /*  203839 */   // Label 4053: @203839
     /*  203839 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203880), // Rule ID 1019 //
     /*  203844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203861 */     // MIs[0] rs1
     /*  203861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203873 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203878 */     GIR_RootConstrainSelectedInstOperands,
     /*  203879 */     // GIR_Coverage, 1019,
     /*  203879 */     GIR_Done,
     /*  203880 */   // Label 4054: @203880
     /*  203880 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(203921), // Rule ID 1021 //
     /*  203885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203902 */     // MIs[0] rs1
     /*  203902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203914 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203919 */     GIR_RootConstrainSelectedInstOperands,
     /*  203920 */     // GIR_Coverage, 1021,
     /*  203920 */     GIR_Done,
     /*  203921 */   // Label 4055: @203921
     /*  203921 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(203962), // Rule ID 1023 //
     /*  203926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203943 */     // MIs[0] rs1
     /*  203943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203955 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203960 */     GIR_RootConstrainSelectedInstOperands,
     /*  203961 */     // GIR_Coverage, 1023,
     /*  203961 */     GIR_Done,
     /*  203962 */   // Label 4056: @203962
     /*  203962 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(204003), // Rule ID 1025 //
     /*  203967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203984 */     // MIs[0] rs1
     /*  203984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203996 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204001 */     GIR_RootConstrainSelectedInstOperands,
     /*  204002 */     // GIR_Coverage, 1025,
     /*  204002 */     GIR_Done,
     /*  204003 */   // Label 4057: @204003
     /*  204003 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(204044), // Rule ID 1027 //
     /*  204008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204025 */     // MIs[0] rs1
     /*  204025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204037 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204042 */     GIR_RootConstrainSelectedInstOperands,
     /*  204043 */     // GIR_Coverage, 1027,
     /*  204043 */     GIR_Done,
     /*  204044 */   // Label 4058: @204044
     /*  204044 */   GIM_Reject,
     /*  204045 */ // Label 4018: @204045
     /*  204045 */ GIM_Reject,
     /*  204046 */ // Label 3986: @204046
     /*  204046 */ GIM_Reject,
     /*  204047 */ // Label 35: @204047
     /*  204047 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4061*/ GIMT_Encode4(206956),
     /*  204058 */ /*GILLT_s32*//*Label 4059*/ GIMT_Encode4(204066),
     /*  204062 */ /*GILLT_s64*//*Label 4060*/ GIMT_Encode4(205306),
     /*  204066 */ // Label 4059: @204066
     /*  204066 */ GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205305),
     /*  204071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  204074 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(204115), // Rule ID 502 //
     /*  204079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204096 */     // MIs[0] rs1
     /*  204096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204108 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204113 */     GIR_RootConstrainSelectedInstOperands,
     /*  204114 */     // GIR_Coverage, 502,
     /*  204114 */     GIR_Done,
     /*  204115 */   // Label 4063: @204115
     /*  204115 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(204156), // Rule ID 504 //
     /*  204120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204137 */     // MIs[0] rs1
     /*  204137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204149 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  204154 */     GIR_RootConstrainSelectedInstOperands,
     /*  204155 */     // GIR_Coverage, 504,
     /*  204155 */     GIR_Done,
     /*  204156 */   // Label 4064: @204156
     /*  204156 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(204197), // Rule ID 506 //
     /*  204161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204178 */     // MIs[0] rs1
     /*  204178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204190 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  204195 */     GIR_RootConstrainSelectedInstOperands,
     /*  204196 */     // GIR_Coverage, 506,
     /*  204196 */     GIR_Done,
     /*  204197 */   // Label 4065: @204197
     /*  204197 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(204238), // Rule ID 508 //
     /*  204202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204219 */     // MIs[0] rs1
     /*  204219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204231 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204236 */     GIR_RootConstrainSelectedInstOperands,
     /*  204237 */     // GIR_Coverage, 508,
     /*  204237 */     GIR_Done,
     /*  204238 */   // Label 4066: @204238
     /*  204238 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(204279), // Rule ID 510 //
     /*  204243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204260 */     // MIs[0] rs1
     /*  204260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204272 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204277 */     GIR_RootConstrainSelectedInstOperands,
     /*  204278 */     // GIR_Coverage, 510,
     /*  204278 */     GIR_Done,
     /*  204279 */   // Label 4067: @204279
     /*  204279 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(204320), // Rule ID 512 //
     /*  204284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204301 */     // MIs[0] rs1
     /*  204301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204313 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204318 */     GIR_RootConstrainSelectedInstOperands,
     /*  204319 */     // GIR_Coverage, 512,
     /*  204319 */     GIR_Done,
     /*  204320 */   // Label 4068: @204320
     /*  204320 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(204361), // Rule ID 514 //
     /*  204325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204342 */     // MIs[0] rs1
     /*  204342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204354 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204359 */     GIR_RootConstrainSelectedInstOperands,
     /*  204360 */     // GIR_Coverage, 514,
     /*  204360 */     GIR_Done,
     /*  204361 */   // Label 4069: @204361
     /*  204361 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(204402), // Rule ID 516 //
     /*  204366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204383 */     // MIs[0] rs1
     /*  204383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204395 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204400 */     GIR_RootConstrainSelectedInstOperands,
     /*  204401 */     // GIR_Coverage, 516,
     /*  204401 */     GIR_Done,
     /*  204402 */   // Label 4070: @204402
     /*  204402 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(204443), // Rule ID 518 //
     /*  204407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204424 */     // MIs[0] rs1
     /*  204424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204436 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204441 */     GIR_RootConstrainSelectedInstOperands,
     /*  204442 */     // GIR_Coverage, 518,
     /*  204442 */     GIR_Done,
     /*  204443 */   // Label 4071: @204443
     /*  204443 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(204484), // Rule ID 520 //
     /*  204448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204465 */     // MIs[0] rs1
     /*  204465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204477 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204482 */     GIR_RootConstrainSelectedInstOperands,
     /*  204483 */     // GIR_Coverage, 520,
     /*  204483 */     GIR_Done,
     /*  204484 */   // Label 4072: @204484
     /*  204484 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(204525), // Rule ID 850 //
     /*  204489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204506 */     // MIs[0] rs1
     /*  204506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204518 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204523 */     GIR_RootConstrainSelectedInstOperands,
     /*  204524 */     // GIR_Coverage, 850,
     /*  204524 */     GIR_Done,
     /*  204525 */   // Label 4073: @204525
     /*  204525 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(204566), // Rule ID 852 //
     /*  204530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204547 */     // MIs[0] rs1
     /*  204547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204559 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  204564 */     GIR_RootConstrainSelectedInstOperands,
     /*  204565 */     // GIR_Coverage, 852,
     /*  204565 */     GIR_Done,
     /*  204566 */   // Label 4074: @204566
     /*  204566 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(204607), // Rule ID 854 //
     /*  204571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204588 */     // MIs[0] rs1
     /*  204588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204600 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  204605 */     GIR_RootConstrainSelectedInstOperands,
     /*  204606 */     // GIR_Coverage, 854,
     /*  204606 */     GIR_Done,
     /*  204607 */   // Label 4075: @204607
     /*  204607 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(204648), // Rule ID 856 //
     /*  204612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204629 */     // MIs[0] rs1
     /*  204629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204641 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204646 */     GIR_RootConstrainSelectedInstOperands,
     /*  204647 */     // GIR_Coverage, 856,
     /*  204647 */     GIR_Done,
     /*  204648 */   // Label 4076: @204648
     /*  204648 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(204689), // Rule ID 858 //
     /*  204653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204670 */     // MIs[0] rs1
     /*  204670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204682 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204687 */     GIR_RootConstrainSelectedInstOperands,
     /*  204688 */     // GIR_Coverage, 858,
     /*  204688 */     GIR_Done,
     /*  204689 */   // Label 4077: @204689
     /*  204689 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204730), // Rule ID 860 //
     /*  204694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204697 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204711 */     // MIs[0] rs1
     /*  204711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204723 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204728 */     GIR_RootConstrainSelectedInstOperands,
     /*  204729 */     // GIR_Coverage, 860,
     /*  204729 */     GIR_Done,
     /*  204730 */   // Label 4078: @204730
     /*  204730 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204771), // Rule ID 862 //
     /*  204735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204752 */     // MIs[0] rs1
     /*  204752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204764 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204769 */     GIR_RootConstrainSelectedInstOperands,
     /*  204770 */     // GIR_Coverage, 862,
     /*  204770 */     GIR_Done,
     /*  204771 */   // Label 4079: @204771
     /*  204771 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204812), // Rule ID 864 //
     /*  204776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204793 */     // MIs[0] rs1
     /*  204793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204805 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204810 */     GIR_RootConstrainSelectedInstOperands,
     /*  204811 */     // GIR_Coverage, 864,
     /*  204811 */     GIR_Done,
     /*  204812 */   // Label 4080: @204812
     /*  204812 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204853), // Rule ID 866 //
     /*  204817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204834 */     // MIs[0] rs1
     /*  204834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204846 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204851 */     GIR_RootConstrainSelectedInstOperands,
     /*  204852 */     // GIR_Coverage, 866,
     /*  204852 */     GIR_Done,
     /*  204853 */   // Label 4081: @204853
     /*  204853 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204894), // Rule ID 868 //
     /*  204858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204875 */     // MIs[0] rs1
     /*  204875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204887 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204892 */     GIR_RootConstrainSelectedInstOperands,
     /*  204893 */     // GIR_Coverage, 868,
     /*  204893 */     GIR_Done,
     /*  204894 */   // Label 4082: @204894
     /*  204894 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204935), // Rule ID 1030 //
     /*  204899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204916 */     // MIs[0] rs1
     /*  204916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204928 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204933 */     GIR_RootConstrainSelectedInstOperands,
     /*  204934 */     // GIR_Coverage, 1030,
     /*  204934 */     GIR_Done,
     /*  204935 */   // Label 4083: @204935
     /*  204935 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204976), // Rule ID 1032 //
     /*  204940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204957 */     // MIs[0] rs1
     /*  204957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204969 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  204974 */     GIR_RootConstrainSelectedInstOperands,
     /*  204975 */     // GIR_Coverage, 1032,
     /*  204975 */     GIR_Done,
     /*  204976 */   // Label 4084: @204976
     /*  204976 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(205017), // Rule ID 1034 //
     /*  204981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204998 */     // MIs[0] rs1
     /*  204998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205010 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  205015 */     GIR_RootConstrainSelectedInstOperands,
     /*  205016 */     // GIR_Coverage, 1034,
     /*  205016 */     GIR_Done,
     /*  205017 */   // Label 4085: @205017
     /*  205017 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(205058), // Rule ID 1036 //
     /*  205022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205039 */     // MIs[0] rs1
     /*  205039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205051 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205056 */     GIR_RootConstrainSelectedInstOperands,
     /*  205057 */     // GIR_Coverage, 1036,
     /*  205057 */     GIR_Done,
     /*  205058 */   // Label 4086: @205058
     /*  205058 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(205099), // Rule ID 1038 //
     /*  205063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205080 */     // MIs[0] rs1
     /*  205080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205092 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205097 */     GIR_RootConstrainSelectedInstOperands,
     /*  205098 */     // GIR_Coverage, 1038,
     /*  205098 */     GIR_Done,
     /*  205099 */   // Label 4087: @205099
     /*  205099 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(205140), // Rule ID 1040 //
     /*  205104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205121 */     // MIs[0] rs1
     /*  205121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205133 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205138 */     GIR_RootConstrainSelectedInstOperands,
     /*  205139 */     // GIR_Coverage, 1040,
     /*  205139 */     GIR_Done,
     /*  205140 */   // Label 4088: @205140
     /*  205140 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(205181), // Rule ID 1042 //
     /*  205145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205148 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205162 */     // MIs[0] rs1
     /*  205162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205174 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205179 */     GIR_RootConstrainSelectedInstOperands,
     /*  205180 */     // GIR_Coverage, 1042,
     /*  205180 */     GIR_Done,
     /*  205181 */   // Label 4089: @205181
     /*  205181 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(205222), // Rule ID 1044 //
     /*  205186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205189 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205203 */     // MIs[0] rs1
     /*  205203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205215 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205220 */     GIR_RootConstrainSelectedInstOperands,
     /*  205221 */     // GIR_Coverage, 1044,
     /*  205221 */     GIR_Done,
     /*  205222 */   // Label 4090: @205222
     /*  205222 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(205263), // Rule ID 1046 //
     /*  205227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205244 */     // MIs[0] rs1
     /*  205244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205256 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205261 */     GIR_RootConstrainSelectedInstOperands,
     /*  205262 */     // GIR_Coverage, 1046,
     /*  205262 */     GIR_Done,
     /*  205263 */   // Label 4091: @205263
     /*  205263 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(205304), // Rule ID 1048 //
     /*  205268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205285 */     // MIs[0] rs1
     /*  205285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205297 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205302 */     GIR_RootConstrainSelectedInstOperands,
     /*  205303 */     // GIR_Coverage, 1048,
     /*  205303 */     GIR_Done,
     /*  205304 */   // Label 4092: @205304
     /*  205304 */   GIM_Reject,
     /*  205305 */ // Label 4062: @205305
     /*  205305 */ GIM_Reject,
     /*  205306 */ // Label 4060: @205306
     /*  205306 */ GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(206955),
     /*  205311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205314 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(205355), // Rule ID 501 //
     /*  205319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205336 */     // MIs[0] rs1
     /*  205336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205348 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205353 */     GIR_RootConstrainSelectedInstOperands,
     /*  205354 */     // GIR_Coverage, 501,
     /*  205354 */     GIR_Done,
     /*  205355 */   // Label 4094: @205355
     /*  205355 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(205396), // Rule ID 503 //
     /*  205360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205377 */     // MIs[0] rs1
     /*  205377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205389 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  205394 */     GIR_RootConstrainSelectedInstOperands,
     /*  205395 */     // GIR_Coverage, 503,
     /*  205395 */     GIR_Done,
     /*  205396 */   // Label 4095: @205396
     /*  205396 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(205437), // Rule ID 505 //
     /*  205401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205418 */     // MIs[0] rs1
     /*  205418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205430 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  205435 */     GIR_RootConstrainSelectedInstOperands,
     /*  205436 */     // GIR_Coverage, 505,
     /*  205436 */     GIR_Done,
     /*  205437 */   // Label 4096: @205437
     /*  205437 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(205478), // Rule ID 507 //
     /*  205442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205459 */     // MIs[0] rs1
     /*  205459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205471 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205476 */     GIR_RootConstrainSelectedInstOperands,
     /*  205477 */     // GIR_Coverage, 507,
     /*  205477 */     GIR_Done,
     /*  205478 */   // Label 4097: @205478
     /*  205478 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(205519), // Rule ID 509 //
     /*  205483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205500 */     // MIs[0] rs1
     /*  205500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205512 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205517 */     GIR_RootConstrainSelectedInstOperands,
     /*  205518 */     // GIR_Coverage, 509,
     /*  205518 */     GIR_Done,
     /*  205519 */   // Label 4098: @205519
     /*  205519 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205560), // Rule ID 511 //
     /*  205524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205541 */     // MIs[0] rs1
     /*  205541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205553 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205558 */     GIR_RootConstrainSelectedInstOperands,
     /*  205559 */     // GIR_Coverage, 511,
     /*  205559 */     GIR_Done,
     /*  205560 */   // Label 4099: @205560
     /*  205560 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(205601), // Rule ID 513 //
     /*  205565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205582 */     // MIs[0] rs1
     /*  205582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205594 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205599 */     GIR_RootConstrainSelectedInstOperands,
     /*  205600 */     // GIR_Coverage, 513,
     /*  205600 */     GIR_Done,
     /*  205601 */   // Label 4100: @205601
     /*  205601 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(205642), // Rule ID 515 //
     /*  205606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205623 */     // MIs[0] rs1
     /*  205623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205635 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205640 */     GIR_RootConstrainSelectedInstOperands,
     /*  205641 */     // GIR_Coverage, 515,
     /*  205641 */     GIR_Done,
     /*  205642 */   // Label 4101: @205642
     /*  205642 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(205683), // Rule ID 517 //
     /*  205647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205664 */     // MIs[0] rs1
     /*  205664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205676 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205681 */     GIR_RootConstrainSelectedInstOperands,
     /*  205682 */     // GIR_Coverage, 517,
     /*  205682 */     GIR_Done,
     /*  205683 */   // Label 4102: @205683
     /*  205683 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(205724), // Rule ID 519 //
     /*  205688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205705 */     // MIs[0] rs1
     /*  205705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205717 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205722 */     GIR_RootConstrainSelectedInstOperands,
     /*  205723 */     // GIR_Coverage, 519,
     /*  205723 */     GIR_Done,
     /*  205724 */   // Label 4103: @205724
     /*  205724 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(205765), // Rule ID 601 //
     /*  205729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205746 */     // MIs[0] rs1
     /*  205746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205758 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205763 */     GIR_RootConstrainSelectedInstOperands,
     /*  205764 */     // GIR_Coverage, 601,
     /*  205764 */     GIR_Done,
     /*  205765 */   // Label 4104: @205765
     /*  205765 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(205806), // Rule ID 602 //
     /*  205770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205787 */     // MIs[0] rs1
     /*  205787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205799 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  205804 */     GIR_RootConstrainSelectedInstOperands,
     /*  205805 */     // GIR_Coverage, 602,
     /*  205805 */     GIR_Done,
     /*  205806 */   // Label 4105: @205806
     /*  205806 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(205847), // Rule ID 603 //
     /*  205811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205828 */     // MIs[0] rs1
     /*  205828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205840 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  205845 */     GIR_RootConstrainSelectedInstOperands,
     /*  205846 */     // GIR_Coverage, 603,
     /*  205846 */     GIR_Done,
     /*  205847 */   // Label 4106: @205847
     /*  205847 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(205888), // Rule ID 604 //
     /*  205852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205869 */     // MIs[0] rs1
     /*  205869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205881 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205886 */     GIR_RootConstrainSelectedInstOperands,
     /*  205887 */     // GIR_Coverage, 604,
     /*  205887 */     GIR_Done,
     /*  205888 */   // Label 4107: @205888
     /*  205888 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(205929), // Rule ID 605 //
     /*  205893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205910 */     // MIs[0] rs1
     /*  205910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205922 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205927 */     GIR_RootConstrainSelectedInstOperands,
     /*  205928 */     // GIR_Coverage, 605,
     /*  205928 */     GIR_Done,
     /*  205929 */   // Label 4108: @205929
     /*  205929 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205970), // Rule ID 606 //
     /*  205934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205951 */     // MIs[0] rs1
     /*  205951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205963 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205968 */     GIR_RootConstrainSelectedInstOperands,
     /*  205969 */     // GIR_Coverage, 606,
     /*  205969 */     GIR_Done,
     /*  205970 */   // Label 4109: @205970
     /*  205970 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(206011), // Rule ID 607 //
     /*  205975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205992 */     // MIs[0] rs1
     /*  205992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206004 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206009 */     GIR_RootConstrainSelectedInstOperands,
     /*  206010 */     // GIR_Coverage, 607,
     /*  206010 */     GIR_Done,
     /*  206011 */   // Label 4110: @206011
     /*  206011 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(206052), // Rule ID 608 //
     /*  206016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206033 */     // MIs[0] rs1
     /*  206033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206045 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206050 */     GIR_RootConstrainSelectedInstOperands,
     /*  206051 */     // GIR_Coverage, 608,
     /*  206051 */     GIR_Done,
     /*  206052 */   // Label 4111: @206052
     /*  206052 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(206093), // Rule ID 609 //
     /*  206057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206074 */     // MIs[0] rs1
     /*  206074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206086 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206091 */     GIR_RootConstrainSelectedInstOperands,
     /*  206092 */     // GIR_Coverage, 609,
     /*  206092 */     GIR_Done,
     /*  206093 */   // Label 4112: @206093
     /*  206093 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(206134), // Rule ID 610 //
     /*  206098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206115 */     // MIs[0] rs1
     /*  206115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206127 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206132 */     GIR_RootConstrainSelectedInstOperands,
     /*  206133 */     // GIR_Coverage, 610,
     /*  206133 */     GIR_Done,
     /*  206134 */   // Label 4113: @206134
     /*  206134 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(206175), // Rule ID 849 //
     /*  206139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206156 */     // MIs[0] rs1
     /*  206156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206168 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206173 */     GIR_RootConstrainSelectedInstOperands,
     /*  206174 */     // GIR_Coverage, 849,
     /*  206174 */     GIR_Done,
     /*  206175 */   // Label 4114: @206175
     /*  206175 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(206216), // Rule ID 851 //
     /*  206180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206197 */     // MIs[0] rs1
     /*  206197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206209 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  206214 */     GIR_RootConstrainSelectedInstOperands,
     /*  206215 */     // GIR_Coverage, 851,
     /*  206215 */     GIR_Done,
     /*  206216 */   // Label 4115: @206216
     /*  206216 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(206257), // Rule ID 853 //
     /*  206221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206238 */     // MIs[0] rs1
     /*  206238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206250 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  206255 */     GIR_RootConstrainSelectedInstOperands,
     /*  206256 */     // GIR_Coverage, 853,
     /*  206256 */     GIR_Done,
     /*  206257 */   // Label 4116: @206257
     /*  206257 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(206298), // Rule ID 855 //
     /*  206262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206279 */     // MIs[0] rs1
     /*  206279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206291 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  206296 */     GIR_RootConstrainSelectedInstOperands,
     /*  206297 */     // GIR_Coverage, 855,
     /*  206297 */     GIR_Done,
     /*  206298 */   // Label 4117: @206298
     /*  206298 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(206339), // Rule ID 857 //
     /*  206303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206320 */     // MIs[0] rs1
     /*  206320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206332 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  206337 */     GIR_RootConstrainSelectedInstOperands,
     /*  206338 */     // GIR_Coverage, 857,
     /*  206338 */     GIR_Done,
     /*  206339 */   // Label 4118: @206339
     /*  206339 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(206380), // Rule ID 859 //
     /*  206344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206361 */     // MIs[0] rs1
     /*  206361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206373 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206378 */     GIR_RootConstrainSelectedInstOperands,
     /*  206379 */     // GIR_Coverage, 859,
     /*  206379 */     GIR_Done,
     /*  206380 */   // Label 4119: @206380
     /*  206380 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(206421), // Rule ID 861 //
     /*  206385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206402 */     // MIs[0] rs1
     /*  206402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206414 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206419 */     GIR_RootConstrainSelectedInstOperands,
     /*  206420 */     // GIR_Coverage, 861,
     /*  206420 */     GIR_Done,
     /*  206421 */   // Label 4120: @206421
     /*  206421 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(206462), // Rule ID 863 //
     /*  206426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206443 */     // MIs[0] rs1
     /*  206443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206455 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206460 */     GIR_RootConstrainSelectedInstOperands,
     /*  206461 */     // GIR_Coverage, 863,
     /*  206461 */     GIR_Done,
     /*  206462 */   // Label 4121: @206462
     /*  206462 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(206503), // Rule ID 865 //
     /*  206467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206484 */     // MIs[0] rs1
     /*  206484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206496 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206501 */     GIR_RootConstrainSelectedInstOperands,
     /*  206502 */     // GIR_Coverage, 865,
     /*  206502 */     GIR_Done,
     /*  206503 */   // Label 4122: @206503
     /*  206503 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(206544), // Rule ID 867 //
     /*  206508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206525 */     // MIs[0] rs1
     /*  206525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206537 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206542 */     GIR_RootConstrainSelectedInstOperands,
     /*  206543 */     // GIR_Coverage, 867,
     /*  206543 */     GIR_Done,
     /*  206544 */   // Label 4123: @206544
     /*  206544 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(206585), // Rule ID 1029 //
     /*  206549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206566 */     // MIs[0] rs1
     /*  206566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206578 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206583 */     GIR_RootConstrainSelectedInstOperands,
     /*  206584 */     // GIR_Coverage, 1029,
     /*  206584 */     GIR_Done,
     /*  206585 */   // Label 4124: @206585
     /*  206585 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(206626), // Rule ID 1031 //
     /*  206590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206607 */     // MIs[0] rs1
     /*  206607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206619 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  206624 */     GIR_RootConstrainSelectedInstOperands,
     /*  206625 */     // GIR_Coverage, 1031,
     /*  206625 */     GIR_Done,
     /*  206626 */   // Label 4125: @206626
     /*  206626 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(206667), // Rule ID 1033 //
     /*  206631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206648 */     // MIs[0] rs1
     /*  206648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206660 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  206665 */     GIR_RootConstrainSelectedInstOperands,
     /*  206666 */     // GIR_Coverage, 1033,
     /*  206666 */     GIR_Done,
     /*  206667 */   // Label 4126: @206667
     /*  206667 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(206708), // Rule ID 1035 //
     /*  206672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206689 */     // MIs[0] rs1
     /*  206689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206701 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206706 */     GIR_RootConstrainSelectedInstOperands,
     /*  206707 */     // GIR_Coverage, 1035,
     /*  206707 */     GIR_Done,
     /*  206708 */   // Label 4127: @206708
     /*  206708 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(206749), // Rule ID 1037 //
     /*  206713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206730 */     // MIs[0] rs1
     /*  206730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206742 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206747 */     GIR_RootConstrainSelectedInstOperands,
     /*  206748 */     // GIR_Coverage, 1037,
     /*  206748 */     GIR_Done,
     /*  206749 */   // Label 4128: @206749
     /*  206749 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(206790), // Rule ID 1039 //
     /*  206754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206771 */     // MIs[0] rs1
     /*  206771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206783 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206788 */     GIR_RootConstrainSelectedInstOperands,
     /*  206789 */     // GIR_Coverage, 1039,
     /*  206789 */     GIR_Done,
     /*  206790 */   // Label 4129: @206790
     /*  206790 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(206831), // Rule ID 1041 //
     /*  206795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206812 */     // MIs[0] rs1
     /*  206812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206824 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206829 */     GIR_RootConstrainSelectedInstOperands,
     /*  206830 */     // GIR_Coverage, 1041,
     /*  206830 */     GIR_Done,
     /*  206831 */   // Label 4130: @206831
     /*  206831 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(206872), // Rule ID 1043 //
     /*  206836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206853 */     // MIs[0] rs1
     /*  206853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206865 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206870 */     GIR_RootConstrainSelectedInstOperands,
     /*  206871 */     // GIR_Coverage, 1043,
     /*  206871 */     GIR_Done,
     /*  206872 */   // Label 4131: @206872
     /*  206872 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(206913), // Rule ID 1045 //
     /*  206877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206894 */     // MIs[0] rs1
     /*  206894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206906 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206911 */     GIR_RootConstrainSelectedInstOperands,
     /*  206912 */     // GIR_Coverage, 1045,
     /*  206912 */     GIR_Done,
     /*  206913 */   // Label 4132: @206913
     /*  206913 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206954), // Rule ID 1047 //
     /*  206918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206935 */     // MIs[0] rs1
     /*  206935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206947 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206952 */     GIR_RootConstrainSelectedInstOperands,
     /*  206953 */     // GIR_Coverage, 1047,
     /*  206953 */     GIR_Done,
     /*  206954 */   // Label 4133: @206954
     /*  206954 */   GIM_Reject,
     /*  206955 */ // Label 4093: @206955
     /*  206955 */ GIM_Reject,
     /*  206956 */ // Label 4061: @206956
     /*  206956 */ GIM_Reject,
     /*  206957 */ // Label 36: @206957
     /*  206957 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4136*/ GIMT_Encode4(207174),
     /*  206968 */ /*GILLT_s32*//*Label 4134*/ GIMT_Encode4(206976),
     /*  206972 */ /*GILLT_s64*//*Label 4135*/ GIMT_Encode4(207075),
     /*  206976 */ // Label 4134: @206976
     /*  206976 */ GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(207002), // Rule ID 245 //
     /*  206981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206984 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206988 */   // MIs[0] Operand 1
     /*  206988 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206991 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  206991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  206997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207000 */   GIR_RootConstrainSelectedInstOperands,
     /*  207001 */   // GIR_Coverage, 245,
     /*  207001 */   GIR_EraseRootFromParent_Done,
     /*  207002 */ // Label 4137: @207002
     /*  207002 */ GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(207028), // Rule ID 247 //
     /*  207007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207010 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207014 */   // MIs[0] Operand 1
     /*  207014 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207017 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  207017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207026 */   GIR_RootConstrainSelectedInstOperands,
     /*  207027 */   // GIR_Coverage, 247,
     /*  207027 */   GIR_EraseRootFromParent_Done,
     /*  207028 */ // Label 4138: @207028
     /*  207028 */ GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(207048), // Rule ID 249 //
     /*  207033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207036 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207040 */   // MIs[0] Operand 1
     /*  207040 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207043 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  207043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207046 */   GIR_RootConstrainSelectedInstOperands,
     /*  207047 */   // GIR_Coverage, 249,
     /*  207047 */   GIR_EraseRootFromParent_Done,
     /*  207048 */ // Label 4139: @207048
     /*  207048 */ GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(207074), // Rule ID 251 //
     /*  207053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207056 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207060 */   // MIs[0] Operand 1
     /*  207060 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207063 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  207063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207072 */   GIR_RootConstrainSelectedInstOperands,
     /*  207073 */   // GIR_Coverage, 251,
     /*  207073 */   GIR_EraseRootFromParent_Done,
     /*  207074 */ // Label 4140: @207074
     /*  207074 */ GIM_Reject,
     /*  207075 */ // Label 4135: @207075
     /*  207075 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(207101), // Rule ID 244 //
     /*  207080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207083 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  207087 */   // MIs[0] Operand 1
     /*  207087 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207090 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  207090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  207096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207099 */   GIR_RootConstrainSelectedInstOperands,
     /*  207100 */   // GIR_Coverage, 244,
     /*  207100 */   GIR_EraseRootFromParent_Done,
     /*  207101 */ // Label 4141: @207101
     /*  207101 */ GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(207127), // Rule ID 246 //
     /*  207106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207109 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207113 */   // MIs[0] Operand 1
     /*  207113 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207116 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  207116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207125 */   GIR_RootConstrainSelectedInstOperands,
     /*  207126 */   // GIR_Coverage, 246,
     /*  207126 */   GIR_EraseRootFromParent_Done,
     /*  207127 */ // Label 4142: @207127
     /*  207127 */ GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(207147), // Rule ID 248 //
     /*  207132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207135 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207139 */   // MIs[0] Operand 1
     /*  207139 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207142 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  207142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207145 */   GIR_RootConstrainSelectedInstOperands,
     /*  207146 */   // GIR_Coverage, 248,
     /*  207146 */   GIR_EraseRootFromParent_Done,
     /*  207147 */ // Label 4143: @207147
     /*  207147 */ GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(207173), // Rule ID 250 //
     /*  207152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207155 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207159 */   // MIs[0] Operand 1
     /*  207159 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207162 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  207162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207171 */   GIR_RootConstrainSelectedInstOperands,
     /*  207172 */   // GIR_Coverage, 250,
     /*  207172 */   GIR_EraseRootFromParent_Done,
     /*  207173 */ // Label 4144: @207173
     /*  207173 */ GIM_Reject,
     /*  207174 */ // Label 4136: @207174
     /*  207174 */ GIM_Reject,
     /*  207175 */ // Label 37: @207175
     /*  207175 */ GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(208660),
     /*  207180 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  207183 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(207228), // Rule ID 2604 //
     /*  207188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207226 */     GIR_RootConstrainSelectedInstOperands,
     /*  207227 */     // GIR_Coverage, 2604,
     /*  207227 */     GIR_EraseRootFromParent_Done,
     /*  207228 */   // Label 4146: @207228
     /*  207228 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(207273), // Rule ID 2605 //
     /*  207233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207271 */     GIR_RootConstrainSelectedInstOperands,
     /*  207272 */     // GIR_Coverage, 2605,
     /*  207272 */     GIR_EraseRootFromParent_Done,
     /*  207273 */   // Label 4147: @207273
     /*  207273 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(207318), // Rule ID 23146 //
     /*  207278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207303 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  207306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207316 */     GIR_RootConstrainSelectedInstOperands,
     /*  207317 */     // GIR_Coverage, 23146,
     /*  207317 */     GIR_EraseRootFromParent_Done,
     /*  207318 */   // Label 4148: @207318
     /*  207318 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(207363), // Rule ID 23147 //
     /*  207323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  207351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207361 */     GIR_RootConstrainSelectedInstOperands,
     /*  207362 */     // GIR_Coverage, 23147,
     /*  207362 */     GIR_EraseRootFromParent_Done,
     /*  207363 */   // Label 4149: @207363
     /*  207363 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(207408), // Rule ID 23148 //
     /*  207368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207406 */     GIR_RootConstrainSelectedInstOperands,
     /*  207407 */     // GIR_Coverage, 23148,
     /*  207407 */     GIR_EraseRootFromParent_Done,
     /*  207408 */   // Label 4150: @207408
     /*  207408 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(207453), // Rule ID 23149 //
     /*  207413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207438 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207451 */     GIR_RootConstrainSelectedInstOperands,
     /*  207452 */     // GIR_Coverage, 23149,
     /*  207452 */     GIR_EraseRootFromParent_Done,
     /*  207453 */   // Label 4151: @207453
     /*  207453 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(207498), // Rule ID 23150 //
     /*  207458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207483 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207496 */     GIR_RootConstrainSelectedInstOperands,
     /*  207497 */     // GIR_Coverage, 23150,
     /*  207497 */     GIR_EraseRootFromParent_Done,
     /*  207498 */   // Label 4152: @207498
     /*  207498 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(207543), // Rule ID 23151 //
     /*  207503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207541 */     GIR_RootConstrainSelectedInstOperands,
     /*  207542 */     // GIR_Coverage, 23151,
     /*  207542 */     GIR_EraseRootFromParent_Done,
     /*  207543 */   // Label 4153: @207543
     /*  207543 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(207588), // Rule ID 23152 //
     /*  207548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207586 */     GIR_RootConstrainSelectedInstOperands,
     /*  207587 */     // GIR_Coverage, 23152,
     /*  207587 */     GIR_EraseRootFromParent_Done,
     /*  207588 */   // Label 4154: @207588
     /*  207588 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207633), // Rule ID 23153 //
     /*  207593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207631 */     GIR_RootConstrainSelectedInstOperands,
     /*  207632 */     // GIR_Coverage, 23153,
     /*  207632 */     GIR_EraseRootFromParent_Done,
     /*  207633 */   // Label 4155: @207633
     /*  207633 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207678), // Rule ID 23154 //
     /*  207638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207663 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207676 */     GIR_RootConstrainSelectedInstOperands,
     /*  207677 */     // GIR_Coverage, 23154,
     /*  207677 */     GIR_EraseRootFromParent_Done,
     /*  207678 */   // Label 4156: @207678
     /*  207678 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207723), // Rule ID 23155 //
     /*  207683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207721 */     GIR_RootConstrainSelectedInstOperands,
     /*  207722 */     // GIR_Coverage, 23155,
     /*  207722 */     GIR_EraseRootFromParent_Done,
     /*  207723 */   // Label 4157: @207723
     /*  207723 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207768), // Rule ID 23156 //
     /*  207728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207753 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207766 */     GIR_RootConstrainSelectedInstOperands,
     /*  207767 */     // GIR_Coverage, 23156,
     /*  207767 */     GIR_EraseRootFromParent_Done,
     /*  207768 */   // Label 4158: @207768
     /*  207768 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207813), // Rule ID 23157 //
     /*  207773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207798 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207811 */     GIR_RootConstrainSelectedInstOperands,
     /*  207812 */     // GIR_Coverage, 23157,
     /*  207812 */     GIR_EraseRootFromParent_Done,
     /*  207813 */   // Label 4159: @207813
     /*  207813 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207858), // Rule ID 23158 //
     /*  207818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207856 */     GIR_RootConstrainSelectedInstOperands,
     /*  207857 */     // GIR_Coverage, 23158,
     /*  207857 */     GIR_EraseRootFromParent_Done,
     /*  207858 */   // Label 4160: @207858
     /*  207858 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207903), // Rule ID 23159 //
     /*  207863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207901 */     GIR_RootConstrainSelectedInstOperands,
     /*  207902 */     // GIR_Coverage, 23159,
     /*  207902 */     GIR_EraseRootFromParent_Done,
     /*  207903 */   // Label 4161: @207903
     /*  207903 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207948), // Rule ID 23160 //
     /*  207908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207946 */     GIR_RootConstrainSelectedInstOperands,
     /*  207947 */     // GIR_Coverage, 23160,
     /*  207947 */     GIR_EraseRootFromParent_Done,
     /*  207948 */   // Label 4162: @207948
     /*  207948 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(207993), // Rule ID 23161 //
     /*  207953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207991 */     GIR_RootConstrainSelectedInstOperands,
     /*  207992 */     // GIR_Coverage, 23161,
     /*  207992 */     GIR_EraseRootFromParent_Done,
     /*  207993 */   // Label 4163: @207993
     /*  207993 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(208038), // Rule ID 23162 //
     /*  207998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208036 */     GIR_RootConstrainSelectedInstOperands,
     /*  208037 */     // GIR_Coverage, 23162,
     /*  208037 */     GIR_EraseRootFromParent_Done,
     /*  208038 */   // Label 4164: @208038
     /*  208038 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(208083), // Rule ID 23163 //
     /*  208043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208081 */     GIR_RootConstrainSelectedInstOperands,
     /*  208082 */     // GIR_Coverage, 23163,
     /*  208082 */     GIR_EraseRootFromParent_Done,
     /*  208083 */   // Label 4165: @208083
     /*  208083 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(208128), // Rule ID 23164 //
     /*  208088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208126 */     GIR_RootConstrainSelectedInstOperands,
     /*  208127 */     // GIR_Coverage, 23164,
     /*  208127 */     GIR_EraseRootFromParent_Done,
     /*  208128 */   // Label 4166: @208128
     /*  208128 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(208173), // Rule ID 23165 //
     /*  208133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208171 */     GIR_RootConstrainSelectedInstOperands,
     /*  208172 */     // GIR_Coverage, 23165,
     /*  208172 */     GIR_EraseRootFromParent_Done,
     /*  208173 */   // Label 4167: @208173
     /*  208173 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(208218), // Rule ID 23166 //
     /*  208178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208203 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208216 */     GIR_RootConstrainSelectedInstOperands,
     /*  208217 */     // GIR_Coverage, 23166,
     /*  208217 */     GIR_EraseRootFromParent_Done,
     /*  208218 */   // Label 4168: @208218
     /*  208218 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(208263), // Rule ID 23167 //
     /*  208223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208261 */     GIR_RootConstrainSelectedInstOperands,
     /*  208262 */     // GIR_Coverage, 23167,
     /*  208262 */     GIR_EraseRootFromParent_Done,
     /*  208263 */   // Label 4169: @208263
     /*  208263 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(208308), // Rule ID 23168 //
     /*  208268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208293 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  208296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208306 */     GIR_RootConstrainSelectedInstOperands,
     /*  208307 */     // GIR_Coverage, 23168,
     /*  208307 */     GIR_EraseRootFromParent_Done,
     /*  208308 */   // Label 4170: @208308
     /*  208308 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(208353), // Rule ID 23169 //
     /*  208313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208338 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  208341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208351 */     GIR_RootConstrainSelectedInstOperands,
     /*  208352 */     // GIR_Coverage, 23169,
     /*  208352 */     GIR_EraseRootFromParent_Done,
     /*  208353 */   // Label 4171: @208353
     /*  208353 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(208398), // Rule ID 23170 //
     /*  208358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208383 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208396 */     GIR_RootConstrainSelectedInstOperands,
     /*  208397 */     // GIR_Coverage, 23170,
     /*  208397 */     GIR_EraseRootFromParent_Done,
     /*  208398 */   // Label 4172: @208398
     /*  208398 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(208443), // Rule ID 23171 //
     /*  208403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208428 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208441 */     GIR_RootConstrainSelectedInstOperands,
     /*  208442 */     // GIR_Coverage, 23171,
     /*  208442 */     GIR_EraseRootFromParent_Done,
     /*  208443 */   // Label 4173: @208443
     /*  208443 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(208479), // Rule ID 2541 //
     /*  208448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  208456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208470 */     // (intrinsic_wo_chain:{ *:[i64] } 10904:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  208473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208477 */     GIR_RootConstrainSelectedInstOperands,
     /*  208478 */     // GIR_Coverage, 2541,
     /*  208478 */     GIR_EraseRootFromParent_Done,
     /*  208479 */   // Label 4174: @208479
     /*  208479 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(208515), // Rule ID 2562 //
     /*  208484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  208492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208506 */     // (intrinsic_wo_chain:{ *:[i64] } 11040:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  208509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208513 */     GIR_RootConstrainSelectedInstOperands,
     /*  208514 */     // GIR_Coverage, 2562,
     /*  208514 */     GIR_EraseRootFromParent_Done,
     /*  208515 */   // Label 4175: @208515
     /*  208515 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(208551), // Rule ID 2563 //
     /*  208520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  208528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208542 */     // (intrinsic_wo_chain:{ *:[i64] } 11043:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  208545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208549 */     GIR_RootConstrainSelectedInstOperands,
     /*  208550 */     // GIR_Coverage, 2563,
     /*  208550 */     GIR_EraseRootFromParent_Done,
     /*  208551 */   // Label 4176: @208551
     /*  208551 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(208587), // Rule ID 2564 //
     /*  208556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  208564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208578 */     // (intrinsic_wo_chain:{ *:[i64] } 11046:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  208581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208585 */     GIR_RootConstrainSelectedInstOperands,
     /*  208586 */     // GIR_Coverage, 2564,
     /*  208586 */     GIR_EraseRootFromParent_Done,
     /*  208587 */   // Label 4177: @208587
     /*  208587 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(208623), // Rule ID 2565 //
     /*  208592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  208600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208614 */     // (intrinsic_wo_chain:{ *:[i64] } 11048:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  208617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208621 */     GIR_RootConstrainSelectedInstOperands,
     /*  208622 */     // GIR_Coverage, 2565,
     /*  208622 */     GIR_EraseRootFromParent_Done,
     /*  208623 */   // Label 4178: @208623
     /*  208623 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(208659), // Rule ID 64355 //
     /*  208628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  208631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  208636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208650 */     // (intrinsic_wo_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  208650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  208653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208657 */     GIR_RootConstrainSelectedInstOperands,
     /*  208658 */     // GIR_Coverage, 64355,
     /*  208658 */     GIR_EraseRootFromParent_Done,
     /*  208659 */   // Label 4179: @208659
     /*  208659 */   GIM_Reject,
     /*  208660 */ // Label 4145: @208660
     /*  208660 */ GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(215948),
     /*  208665 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  208668 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(208722), // Rule ID 2574 //
     /*  208673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208705 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208720 */     GIR_RootConstrainSelectedInstOperands,
     /*  208721 */     // GIR_Coverage, 2574,
     /*  208721 */     GIR_EraseRootFromParent_Done,
     /*  208722 */   // Label 4181: @208722
     /*  208722 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(208776), // Rule ID 2575 //
     /*  208727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208759 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208774 */     GIR_RootConstrainSelectedInstOperands,
     /*  208775 */     // GIR_Coverage, 2575,
     /*  208775 */     GIR_EraseRootFromParent_Done,
     /*  208776 */   // Label 4182: @208776
     /*  208776 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(208830), // Rule ID 2580 //
     /*  208781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208828 */     GIR_RootConstrainSelectedInstOperands,
     /*  208829 */     // GIR_Coverage, 2580,
     /*  208829 */     GIR_EraseRootFromParent_Done,
     /*  208830 */   // Label 4183: @208830
     /*  208830 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(208884), // Rule ID 2581 //
     /*  208835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208882 */     GIR_RootConstrainSelectedInstOperands,
     /*  208883 */     // GIR_Coverage, 2581,
     /*  208883 */     GIR_EraseRootFromParent_Done,
     /*  208884 */   // Label 4184: @208884
     /*  208884 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(208941), // Rule ID 2600 //
     /*  208889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208921 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  208921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208939 */     GIR_RootConstrainSelectedInstOperands,
     /*  208940 */     // GIR_Coverage, 2600,
     /*  208940 */     GIR_EraseRootFromParent_Done,
     /*  208941 */   // Label 4185: @208941
     /*  208941 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(208998), // Rule ID 2601 //
     /*  208946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  208978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208996 */     GIR_RootConstrainSelectedInstOperands,
     /*  208997 */     // GIR_Coverage, 2601,
     /*  208997 */     GIR_EraseRootFromParent_Done,
     /*  208998 */   // Label 4186: @208998
     /*  208998 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(209052), // Rule ID 23172 //
     /*  209003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209035 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209050 */     GIR_RootConstrainSelectedInstOperands,
     /*  209051 */     // GIR_Coverage, 23172,
     /*  209051 */     GIR_EraseRootFromParent_Done,
     /*  209052 */   // Label 4187: @209052
     /*  209052 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(209106), // Rule ID 23173 //
     /*  209057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209089 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209104 */     GIR_RootConstrainSelectedInstOperands,
     /*  209105 */     // GIR_Coverage, 23173,
     /*  209105 */     GIR_EraseRootFromParent_Done,
     /*  209106 */   // Label 4188: @209106
     /*  209106 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(209160), // Rule ID 23176 //
     /*  209111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209143 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209158 */     GIR_RootConstrainSelectedInstOperands,
     /*  209159 */     // GIR_Coverage, 23176,
     /*  209159 */     GIR_EraseRootFromParent_Done,
     /*  209160 */   // Label 4189: @209160
     /*  209160 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(209214), // Rule ID 23177 //
     /*  209165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209197 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209212 */     GIR_RootConstrainSelectedInstOperands,
     /*  209213 */     // GIR_Coverage, 23177,
     /*  209213 */     GIR_EraseRootFromParent_Done,
     /*  209214 */   // Label 4190: @209214
     /*  209214 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(209268), // Rule ID 23180 //
     /*  209219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209251 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209266 */     GIR_RootConstrainSelectedInstOperands,
     /*  209267 */     // GIR_Coverage, 23180,
     /*  209267 */     GIR_EraseRootFromParent_Done,
     /*  209268 */   // Label 4191: @209268
     /*  209268 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(209322), // Rule ID 23181 //
     /*  209273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209305 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209320 */     GIR_RootConstrainSelectedInstOperands,
     /*  209321 */     // GIR_Coverage, 23181,
     /*  209321 */     GIR_EraseRootFromParent_Done,
     /*  209322 */   // Label 4192: @209322
     /*  209322 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(209376), // Rule ID 23184 //
     /*  209327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209359 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  209362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209374 */     GIR_RootConstrainSelectedInstOperands,
     /*  209375 */     // GIR_Coverage, 23184,
     /*  209375 */     GIR_EraseRootFromParent_Done,
     /*  209376 */   // Label 4193: @209376
     /*  209376 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(209430), // Rule ID 23185 //
     /*  209381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209413 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  209416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209428 */     GIR_RootConstrainSelectedInstOperands,
     /*  209429 */     // GIR_Coverage, 23185,
     /*  209429 */     GIR_EraseRootFromParent_Done,
     /*  209430 */   // Label 4194: @209430
     /*  209430 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(209484), // Rule ID 23188 //
     /*  209435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209467 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209482 */     GIR_RootConstrainSelectedInstOperands,
     /*  209483 */     // GIR_Coverage, 23188,
     /*  209483 */     GIR_EraseRootFromParent_Done,
     /*  209484 */   // Label 4195: @209484
     /*  209484 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(209538), // Rule ID 23189 //
     /*  209489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209521 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209536 */     GIR_RootConstrainSelectedInstOperands,
     /*  209537 */     // GIR_Coverage, 23189,
     /*  209537 */     GIR_EraseRootFromParent_Done,
     /*  209538 */   // Label 4196: @209538
     /*  209538 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(209592), // Rule ID 23192 //
     /*  209543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209575 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209590 */     GIR_RootConstrainSelectedInstOperands,
     /*  209591 */     // GIR_Coverage, 23192,
     /*  209591 */     GIR_EraseRootFromParent_Done,
     /*  209592 */   // Label 4197: @209592
     /*  209592 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(209646), // Rule ID 23193 //
     /*  209597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209629 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209644 */     GIR_RootConstrainSelectedInstOperands,
     /*  209645 */     // GIR_Coverage, 23193,
     /*  209645 */     GIR_EraseRootFromParent_Done,
     /*  209646 */   // Label 4198: @209646
     /*  209646 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(209700), // Rule ID 23196 //
     /*  209651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209683 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209698 */     GIR_RootConstrainSelectedInstOperands,
     /*  209699 */     // GIR_Coverage, 23196,
     /*  209699 */     GIR_EraseRootFromParent_Done,
     /*  209700 */   // Label 4199: @209700
     /*  209700 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(209754), // Rule ID 23197 //
     /*  209705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209737 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209752 */     GIR_RootConstrainSelectedInstOperands,
     /*  209753 */     // GIR_Coverage, 23197,
     /*  209753 */     GIR_EraseRootFromParent_Done,
     /*  209754 */   // Label 4200: @209754
     /*  209754 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(209808), // Rule ID 23200 //
     /*  209759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209791 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209806 */     GIR_RootConstrainSelectedInstOperands,
     /*  209807 */     // GIR_Coverage, 23200,
     /*  209807 */     GIR_EraseRootFromParent_Done,
     /*  209808 */   // Label 4201: @209808
     /*  209808 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(209862), // Rule ID 23201 //
     /*  209813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209845 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209860 */     GIR_RootConstrainSelectedInstOperands,
     /*  209861 */     // GIR_Coverage, 23201,
     /*  209861 */     GIR_EraseRootFromParent_Done,
     /*  209862 */   // Label 4202: @209862
     /*  209862 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(209916), // Rule ID 23204 //
     /*  209867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209899 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209914 */     GIR_RootConstrainSelectedInstOperands,
     /*  209915 */     // GIR_Coverage, 23204,
     /*  209915 */     GIR_EraseRootFromParent_Done,
     /*  209916 */   // Label 4203: @209916
     /*  209916 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(209970), // Rule ID 23205 //
     /*  209921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209953 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209968 */     GIR_RootConstrainSelectedInstOperands,
     /*  209969 */     // GIR_Coverage, 23205,
     /*  209969 */     GIR_EraseRootFromParent_Done,
     /*  209970 */   // Label 4204: @209970
     /*  209970 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(210024), // Rule ID 23208 //
     /*  209975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210007 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210022 */     GIR_RootConstrainSelectedInstOperands,
     /*  210023 */     // GIR_Coverage, 23208,
     /*  210023 */     GIR_EraseRootFromParent_Done,
     /*  210024 */   // Label 4205: @210024
     /*  210024 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(210078), // Rule ID 23209 //
     /*  210029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210061 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210076 */     GIR_RootConstrainSelectedInstOperands,
     /*  210077 */     // GIR_Coverage, 23209,
     /*  210077 */     GIR_EraseRootFromParent_Done,
     /*  210078 */   // Label 4206: @210078
     /*  210078 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(210132), // Rule ID 23212 //
     /*  210083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210115 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210130 */     GIR_RootConstrainSelectedInstOperands,
     /*  210131 */     // GIR_Coverage, 23212,
     /*  210131 */     GIR_EraseRootFromParent_Done,
     /*  210132 */   // Label 4207: @210132
     /*  210132 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(210186), // Rule ID 23213 //
     /*  210137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210169 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210184 */     GIR_RootConstrainSelectedInstOperands,
     /*  210185 */     // GIR_Coverage, 23213,
     /*  210185 */     GIR_EraseRootFromParent_Done,
     /*  210186 */   // Label 4208: @210186
     /*  210186 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(210240), // Rule ID 23216 //
     /*  210191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210223 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210238 */     GIR_RootConstrainSelectedInstOperands,
     /*  210239 */     // GIR_Coverage, 23216,
     /*  210239 */     GIR_EraseRootFromParent_Done,
     /*  210240 */   // Label 4209: @210240
     /*  210240 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(210294), // Rule ID 23217 //
     /*  210245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210277 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210292 */     GIR_RootConstrainSelectedInstOperands,
     /*  210293 */     // GIR_Coverage, 23217,
     /*  210293 */     GIR_EraseRootFromParent_Done,
     /*  210294 */   // Label 4210: @210294
     /*  210294 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(210348), // Rule ID 23220 //
     /*  210299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210331 */     // (intrinsic_wo_chain:{ *:[i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  210334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210346 */     GIR_RootConstrainSelectedInstOperands,
     /*  210347 */     // GIR_Coverage, 23220,
     /*  210347 */     GIR_EraseRootFromParent_Done,
     /*  210348 */   // Label 4211: @210348
     /*  210348 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(210402), // Rule ID 23221 //
     /*  210353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210385 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  210388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210400 */     GIR_RootConstrainSelectedInstOperands,
     /*  210401 */     // GIR_Coverage, 23221,
     /*  210401 */     GIR_EraseRootFromParent_Done,
     /*  210402 */   // Label 4212: @210402
     /*  210402 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(210456), // Rule ID 23224 //
     /*  210407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210454 */     GIR_RootConstrainSelectedInstOperands,
     /*  210455 */     // GIR_Coverage, 23224,
     /*  210455 */     GIR_EraseRootFromParent_Done,
     /*  210456 */   // Label 4213: @210456
     /*  210456 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(210510), // Rule ID 23225 //
     /*  210461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210508 */     GIR_RootConstrainSelectedInstOperands,
     /*  210509 */     // GIR_Coverage, 23225,
     /*  210509 */     GIR_EraseRootFromParent_Done,
     /*  210510 */   // Label 4214: @210510
     /*  210510 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(210564), // Rule ID 23228 //
     /*  210515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210562 */     GIR_RootConstrainSelectedInstOperands,
     /*  210563 */     // GIR_Coverage, 23228,
     /*  210563 */     GIR_EraseRootFromParent_Done,
     /*  210564 */   // Label 4215: @210564
     /*  210564 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(210618), // Rule ID 23229 //
     /*  210569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210616 */     GIR_RootConstrainSelectedInstOperands,
     /*  210617 */     // GIR_Coverage, 23229,
     /*  210617 */     GIR_EraseRootFromParent_Done,
     /*  210618 */   // Label 4216: @210618
     /*  210618 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(210672), // Rule ID 23232 //
     /*  210623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210670 */     GIR_RootConstrainSelectedInstOperands,
     /*  210671 */     // GIR_Coverage, 23232,
     /*  210671 */     GIR_EraseRootFromParent_Done,
     /*  210672 */   // Label 4217: @210672
     /*  210672 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(210726), // Rule ID 23233 //
     /*  210677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210724 */     GIR_RootConstrainSelectedInstOperands,
     /*  210725 */     // GIR_Coverage, 23233,
     /*  210725 */     GIR_EraseRootFromParent_Done,
     /*  210726 */   // Label 4218: @210726
     /*  210726 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(210780), // Rule ID 23236 //
     /*  210731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210778 */     GIR_RootConstrainSelectedInstOperands,
     /*  210779 */     // GIR_Coverage, 23236,
     /*  210779 */     GIR_EraseRootFromParent_Done,
     /*  210780 */   // Label 4219: @210780
     /*  210780 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(210834), // Rule ID 23237 //
     /*  210785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210817 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210832 */     GIR_RootConstrainSelectedInstOperands,
     /*  210833 */     // GIR_Coverage, 23237,
     /*  210833 */     GIR_EraseRootFromParent_Done,
     /*  210834 */   // Label 4220: @210834
     /*  210834 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(210888), // Rule ID 23240 //
     /*  210839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210871 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210886 */     GIR_RootConstrainSelectedInstOperands,
     /*  210887 */     // GIR_Coverage, 23240,
     /*  210887 */     GIR_EraseRootFromParent_Done,
     /*  210888 */   // Label 4221: @210888
     /*  210888 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(210942), // Rule ID 23241 //
     /*  210893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210925 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210940 */     GIR_RootConstrainSelectedInstOperands,
     /*  210941 */     // GIR_Coverage, 23241,
     /*  210941 */     GIR_EraseRootFromParent_Done,
     /*  210942 */   // Label 4222: @210942
     /*  210942 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(210996), // Rule ID 23244 //
     /*  210947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210979 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210994 */     GIR_RootConstrainSelectedInstOperands,
     /*  210995 */     // GIR_Coverage, 23244,
     /*  210995 */     GIR_EraseRootFromParent_Done,
     /*  210996 */   // Label 4223: @210996
     /*  210996 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(211050), // Rule ID 23245 //
     /*  211001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211033 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  211036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211048 */     GIR_RootConstrainSelectedInstOperands,
     /*  211049 */     // GIR_Coverage, 23245,
     /*  211049 */     GIR_EraseRootFromParent_Done,
     /*  211050 */   // Label 4224: @211050
     /*  211050 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(211104), // Rule ID 23248 //
     /*  211055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211102 */     GIR_RootConstrainSelectedInstOperands,
     /*  211103 */     // GIR_Coverage, 23248,
     /*  211103 */     GIR_EraseRootFromParent_Done,
     /*  211104 */   // Label 4225: @211104
     /*  211104 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(211158), // Rule ID 23249 //
     /*  211109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211156 */     GIR_RootConstrainSelectedInstOperands,
     /*  211157 */     // GIR_Coverage, 23249,
     /*  211157 */     GIR_EraseRootFromParent_Done,
     /*  211158 */   // Label 4226: @211158
     /*  211158 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(211212), // Rule ID 23252 //
     /*  211163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211195 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211210 */     GIR_RootConstrainSelectedInstOperands,
     /*  211211 */     // GIR_Coverage, 23252,
     /*  211211 */     GIR_EraseRootFromParent_Done,
     /*  211212 */   // Label 4227: @211212
     /*  211212 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(211266), // Rule ID 23253 //
     /*  211217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211264 */     GIR_RootConstrainSelectedInstOperands,
     /*  211265 */     // GIR_Coverage, 23253,
     /*  211265 */     GIR_EraseRootFromParent_Done,
     /*  211266 */   // Label 4228: @211266
     /*  211266 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(211320), // Rule ID 23256 //
     /*  211271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  211306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211318 */     GIR_RootConstrainSelectedInstOperands,
     /*  211319 */     // GIR_Coverage, 23256,
     /*  211319 */     GIR_EraseRootFromParent_Done,
     /*  211320 */   // Label 4229: @211320
     /*  211320 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(211374), // Rule ID 23257 //
     /*  211325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  211360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211372 */     GIR_RootConstrainSelectedInstOperands,
     /*  211373 */     // GIR_Coverage, 23257,
     /*  211373 */     GIR_EraseRootFromParent_Done,
     /*  211374 */   // Label 4230: @211374
     /*  211374 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(211428), // Rule ID 23260 //
     /*  211379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211411 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211426 */     GIR_RootConstrainSelectedInstOperands,
     /*  211427 */     // GIR_Coverage, 23260,
     /*  211427 */     GIR_EraseRootFromParent_Done,
     /*  211428 */   // Label 4231: @211428
     /*  211428 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(211482), // Rule ID 23261 //
     /*  211433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211480 */     GIR_RootConstrainSelectedInstOperands,
     /*  211481 */     // GIR_Coverage, 23261,
     /*  211481 */     GIR_EraseRootFromParent_Done,
     /*  211482 */   // Label 4232: @211482
     /*  211482 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(211536), // Rule ID 23264 //
     /*  211487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211519 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211534 */     GIR_RootConstrainSelectedInstOperands,
     /*  211535 */     // GIR_Coverage, 23264,
     /*  211535 */     GIR_EraseRootFromParent_Done,
     /*  211536 */   // Label 4233: @211536
     /*  211536 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(211590), // Rule ID 23265 //
     /*  211541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211588 */     GIR_RootConstrainSelectedInstOperands,
     /*  211589 */     // GIR_Coverage, 23265,
     /*  211589 */     GIR_EraseRootFromParent_Done,
     /*  211590 */   // Label 4234: @211590
     /*  211590 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(211644), // Rule ID 23268 //
     /*  211595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211627 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211642 */     GIR_RootConstrainSelectedInstOperands,
     /*  211643 */     // GIR_Coverage, 23268,
     /*  211643 */     GIR_EraseRootFromParent_Done,
     /*  211644 */   // Label 4235: @211644
     /*  211644 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(211698), // Rule ID 23269 //
     /*  211649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211681 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211696 */     GIR_RootConstrainSelectedInstOperands,
     /*  211697 */     // GIR_Coverage, 23269,
     /*  211697 */     GIR_EraseRootFromParent_Done,
     /*  211698 */   // Label 4236: @211698
     /*  211698 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(211752), // Rule ID 23272 //
     /*  211703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211735 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211750 */     GIR_RootConstrainSelectedInstOperands,
     /*  211751 */     // GIR_Coverage, 23272,
     /*  211751 */     GIR_EraseRootFromParent_Done,
     /*  211752 */   // Label 4237: @211752
     /*  211752 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(211806), // Rule ID 23273 //
     /*  211757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211789 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211804 */     GIR_RootConstrainSelectedInstOperands,
     /*  211805 */     // GIR_Coverage, 23273,
     /*  211805 */     GIR_EraseRootFromParent_Done,
     /*  211806 */   // Label 4238: @211806
     /*  211806 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(211860), // Rule ID 23276 //
     /*  211811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211858 */     GIR_RootConstrainSelectedInstOperands,
     /*  211859 */     // GIR_Coverage, 23276,
     /*  211859 */     GIR_EraseRootFromParent_Done,
     /*  211860 */   // Label 4239: @211860
     /*  211860 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(211914), // Rule ID 23277 //
     /*  211865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211912 */     GIR_RootConstrainSelectedInstOperands,
     /*  211913 */     // GIR_Coverage, 23277,
     /*  211913 */     GIR_EraseRootFromParent_Done,
     /*  211914 */   // Label 4240: @211914
     /*  211914 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(211968), // Rule ID 23280 //
     /*  211919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211951 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211966 */     GIR_RootConstrainSelectedInstOperands,
     /*  211967 */     // GIR_Coverage, 23280,
     /*  211967 */     GIR_EraseRootFromParent_Done,
     /*  211968 */   // Label 4241: @211968
     /*  211968 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(212022), // Rule ID 23281 //
     /*  211973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  212008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212020 */     GIR_RootConstrainSelectedInstOperands,
     /*  212021 */     // GIR_Coverage, 23281,
     /*  212021 */     GIR_EraseRootFromParent_Done,
     /*  212022 */   // Label 4242: @212022
     /*  212022 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(212076), // Rule ID 23284 //
     /*  212027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212074 */     GIR_RootConstrainSelectedInstOperands,
     /*  212075 */     // GIR_Coverage, 23284,
     /*  212075 */     GIR_EraseRootFromParent_Done,
     /*  212076 */   // Label 4243: @212076
     /*  212076 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(212130), // Rule ID 23285 //
     /*  212081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212128 */     GIR_RootConstrainSelectedInstOperands,
     /*  212129 */     // GIR_Coverage, 23285,
     /*  212129 */     GIR_EraseRootFromParent_Done,
     /*  212130 */   // Label 4244: @212130
     /*  212130 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(212184), // Rule ID 23288 //
     /*  212135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212182 */     GIR_RootConstrainSelectedInstOperands,
     /*  212183 */     // GIR_Coverage, 23288,
     /*  212183 */     GIR_EraseRootFromParent_Done,
     /*  212184 */   // Label 4245: @212184
     /*  212184 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(212238), // Rule ID 23289 //
     /*  212189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212236 */     GIR_RootConstrainSelectedInstOperands,
     /*  212237 */     // GIR_Coverage, 23289,
     /*  212237 */     GIR_EraseRootFromParent_Done,
     /*  212238 */   // Label 4246: @212238
     /*  212238 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(212292), // Rule ID 23292 //
     /*  212243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212275 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  212278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212290 */     GIR_RootConstrainSelectedInstOperands,
     /*  212291 */     // GIR_Coverage, 23292,
     /*  212291 */     GIR_EraseRootFromParent_Done,
     /*  212292 */   // Label 4247: @212292
     /*  212292 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(212346), // Rule ID 23293 //
     /*  212297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212329 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  212332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212344 */     GIR_RootConstrainSelectedInstOperands,
     /*  212345 */     // GIR_Coverage, 23293,
     /*  212345 */     GIR_EraseRootFromParent_Done,
     /*  212346 */   // Label 4248: @212346
     /*  212346 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(212400), // Rule ID 23296 //
     /*  212351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212383 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212398 */     GIR_RootConstrainSelectedInstOperands,
     /*  212399 */     // GIR_Coverage, 23296,
     /*  212399 */     GIR_EraseRootFromParent_Done,
     /*  212400 */   // Label 4249: @212400
     /*  212400 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(212454), // Rule ID 23297 //
     /*  212405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212437 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212452 */     GIR_RootConstrainSelectedInstOperands,
     /*  212453 */     // GIR_Coverage, 23297,
     /*  212453 */     GIR_EraseRootFromParent_Done,
     /*  212454 */   // Label 4250: @212454
     /*  212454 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(212508), // Rule ID 23300 //
     /*  212459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212491 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212506 */     GIR_RootConstrainSelectedInstOperands,
     /*  212507 */     // GIR_Coverage, 23300,
     /*  212507 */     GIR_EraseRootFromParent_Done,
     /*  212508 */   // Label 4251: @212508
     /*  212508 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(212562), // Rule ID 23301 //
     /*  212513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212545 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212560 */     GIR_RootConstrainSelectedInstOperands,
     /*  212561 */     // GIR_Coverage, 23301,
     /*  212561 */     GIR_EraseRootFromParent_Done,
     /*  212562 */   // Label 4252: @212562
     /*  212562 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(212619), // Rule ID 23388 //
     /*  212567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212617 */     GIR_RootConstrainSelectedInstOperands,
     /*  212618 */     // GIR_Coverage, 23388,
     /*  212618 */     GIR_EraseRootFromParent_Done,
     /*  212619 */   // Label 4253: @212619
     /*  212619 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(212676), // Rule ID 23389 //
     /*  212624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212674 */     GIR_RootConstrainSelectedInstOperands,
     /*  212675 */     // GIR_Coverage, 23389,
     /*  212675 */     GIR_EraseRootFromParent_Done,
     /*  212676 */   // Label 4254: @212676
     /*  212676 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(212733), // Rule ID 23392 //
     /*  212681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212713 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212731 */     GIR_RootConstrainSelectedInstOperands,
     /*  212732 */     // GIR_Coverage, 23392,
     /*  212732 */     GIR_EraseRootFromParent_Done,
     /*  212733 */   // Label 4255: @212733
     /*  212733 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(212790), // Rule ID 23393 //
     /*  212738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212788 */     GIR_RootConstrainSelectedInstOperands,
     /*  212789 */     // GIR_Coverage, 23393,
     /*  212789 */     GIR_EraseRootFromParent_Done,
     /*  212790 */   // Label 4256: @212790
     /*  212790 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(212847), // Rule ID 23396 //
     /*  212795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212845 */     GIR_RootConstrainSelectedInstOperands,
     /*  212846 */     // GIR_Coverage, 23396,
     /*  212846 */     GIR_EraseRootFromParent_Done,
     /*  212847 */   // Label 4257: @212847
     /*  212847 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(212904), // Rule ID 23397 //
     /*  212852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212902 */     GIR_RootConstrainSelectedInstOperands,
     /*  212903 */     // GIR_Coverage, 23397,
     /*  212903 */     GIR_EraseRootFromParent_Done,
     /*  212904 */   // Label 4258: @212904
     /*  212904 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(212961), // Rule ID 23400 //
     /*  212909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212941 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212959 */     GIR_RootConstrainSelectedInstOperands,
     /*  212960 */     // GIR_Coverage, 23400,
     /*  212960 */     GIR_EraseRootFromParent_Done,
     /*  212961 */   // Label 4259: @212961
     /*  212961 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(213018), // Rule ID 23401 //
     /*  212966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213016 */     GIR_RootConstrainSelectedInstOperands,
     /*  213017 */     // GIR_Coverage, 23401,
     /*  213017 */     GIR_EraseRootFromParent_Done,
     /*  213018 */   // Label 4260: @213018
     /*  213018 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(213075), // Rule ID 23404 //
     /*  213023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213055 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213073 */     GIR_RootConstrainSelectedInstOperands,
     /*  213074 */     // GIR_Coverage, 23404,
     /*  213074 */     GIR_EraseRootFromParent_Done,
     /*  213075 */   // Label 4261: @213075
     /*  213075 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(213132), // Rule ID 23405 //
     /*  213080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213130 */     GIR_RootConstrainSelectedInstOperands,
     /*  213131 */     // GIR_Coverage, 23405,
     /*  213131 */     GIR_EraseRootFromParent_Done,
     /*  213132 */   // Label 4262: @213132
     /*  213132 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(213189), // Rule ID 23408 //
     /*  213137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213187 */     GIR_RootConstrainSelectedInstOperands,
     /*  213188 */     // GIR_Coverage, 23408,
     /*  213188 */     GIR_EraseRootFromParent_Done,
     /*  213189 */   // Label 4263: @213189
     /*  213189 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(213246), // Rule ID 23409 //
     /*  213194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213244 */     GIR_RootConstrainSelectedInstOperands,
     /*  213245 */     // GIR_Coverage, 23409,
     /*  213245 */     GIR_EraseRootFromParent_Done,
     /*  213246 */   // Label 4264: @213246
     /*  213246 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(213303), // Rule ID 23412 //
     /*  213251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213301 */     GIR_RootConstrainSelectedInstOperands,
     /*  213302 */     // GIR_Coverage, 23412,
     /*  213302 */     GIR_EraseRootFromParent_Done,
     /*  213303 */   // Label 4265: @213303
     /*  213303 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(213360), // Rule ID 23413 //
     /*  213308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213358 */     GIR_RootConstrainSelectedInstOperands,
     /*  213359 */     // GIR_Coverage, 23413,
     /*  213359 */     GIR_EraseRootFromParent_Done,
     /*  213360 */   // Label 4266: @213360
     /*  213360 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(213417), // Rule ID 23416 //
     /*  213365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213415 */     GIR_RootConstrainSelectedInstOperands,
     /*  213416 */     // GIR_Coverage, 23416,
     /*  213416 */     GIR_EraseRootFromParent_Done,
     /*  213417 */   // Label 4267: @213417
     /*  213417 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(213474), // Rule ID 23417 //
     /*  213422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213472 */     GIR_RootConstrainSelectedInstOperands,
     /*  213473 */     // GIR_Coverage, 23417,
     /*  213473 */     GIR_EraseRootFromParent_Done,
     /*  213474 */   // Label 4268: @213474
     /*  213474 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(213531), // Rule ID 23420 //
     /*  213479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213529 */     GIR_RootConstrainSelectedInstOperands,
     /*  213530 */     // GIR_Coverage, 23420,
     /*  213530 */     GIR_EraseRootFromParent_Done,
     /*  213531 */   // Label 4269: @213531
     /*  213531 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(213588), // Rule ID 23421 //
     /*  213536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213586 */     GIR_RootConstrainSelectedInstOperands,
     /*  213587 */     // GIR_Coverage, 23421,
     /*  213587 */     GIR_EraseRootFromParent_Done,
     /*  213588 */   // Label 4270: @213588
     /*  213588 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(213645), // Rule ID 23424 //
     /*  213593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213625 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213643 */     GIR_RootConstrainSelectedInstOperands,
     /*  213644 */     // GIR_Coverage, 23424,
     /*  213644 */     GIR_EraseRootFromParent_Done,
     /*  213645 */   // Label 4271: @213645
     /*  213645 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(213702), // Rule ID 23425 //
     /*  213650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213700 */     GIR_RootConstrainSelectedInstOperands,
     /*  213701 */     // GIR_Coverage, 23425,
     /*  213701 */     GIR_EraseRootFromParent_Done,
     /*  213702 */   // Label 4272: @213702
     /*  213702 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(213759), // Rule ID 23428 //
     /*  213707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213757 */     GIR_RootConstrainSelectedInstOperands,
     /*  213758 */     // GIR_Coverage, 23428,
     /*  213758 */     GIR_EraseRootFromParent_Done,
     /*  213759 */   // Label 4273: @213759
     /*  213759 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(213816), // Rule ID 23429 //
     /*  213764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213814 */     GIR_RootConstrainSelectedInstOperands,
     /*  213815 */     // GIR_Coverage, 23429,
     /*  213815 */     GIR_EraseRootFromParent_Done,
     /*  213816 */   // Label 4274: @213816
     /*  213816 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(213873), // Rule ID 23432 //
     /*  213821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213871 */     GIR_RootConstrainSelectedInstOperands,
     /*  213872 */     // GIR_Coverage, 23432,
     /*  213872 */     GIR_EraseRootFromParent_Done,
     /*  213873 */   // Label 4275: @213873
     /*  213873 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(213930), // Rule ID 23433 //
     /*  213878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213910 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213928 */     GIR_RootConstrainSelectedInstOperands,
     /*  213929 */     // GIR_Coverage, 23433,
     /*  213929 */     GIR_EraseRootFromParent_Done,
     /*  213930 */   // Label 4276: @213930
     /*  213930 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(213987), // Rule ID 23436 //
     /*  213935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213985 */     GIR_RootConstrainSelectedInstOperands,
     /*  213986 */     // GIR_Coverage, 23436,
     /*  213986 */     GIR_EraseRootFromParent_Done,
     /*  213987 */   // Label 4277: @213987
     /*  213987 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(214044), // Rule ID 23437 //
     /*  213992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  214003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214042 */     GIR_RootConstrainSelectedInstOperands,
     /*  214043 */     // GIR_Coverage, 23437,
     /*  214043 */     GIR_EraseRootFromParent_Done,
     /*  214044 */   // Label 4278: @214044
     /*  214044 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(214101), // Rule ID 23440 //
     /*  214049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214099 */     GIR_RootConstrainSelectedInstOperands,
     /*  214100 */     // GIR_Coverage, 23440,
     /*  214100 */     GIR_EraseRootFromParent_Done,
     /*  214101 */   // Label 4279: @214101
     /*  214101 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(214158), // Rule ID 23441 //
     /*  214106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214138 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214156 */     GIR_RootConstrainSelectedInstOperands,
     /*  214157 */     // GIR_Coverage, 23441,
     /*  214157 */     GIR_EraseRootFromParent_Done,
     /*  214158 */   // Label 4280: @214158
     /*  214158 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214215), // Rule ID 23444 //
     /*  214163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214195 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214213 */     GIR_RootConstrainSelectedInstOperands,
     /*  214214 */     // GIR_Coverage, 23444,
     /*  214214 */     GIR_EraseRootFromParent_Done,
     /*  214215 */   // Label 4281: @214215
     /*  214215 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214272), // Rule ID 23445 //
     /*  214220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214270 */     GIR_RootConstrainSelectedInstOperands,
     /*  214271 */     // GIR_Coverage, 23445,
     /*  214271 */     GIR_EraseRootFromParent_Done,
     /*  214272 */   // Label 4282: @214272
     /*  214272 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(214329), // Rule ID 23448 //
     /*  214277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  214288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  214291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214327 */     GIR_RootConstrainSelectedInstOperands,
     /*  214328 */     // GIR_Coverage, 23448,
     /*  214328 */     GIR_EraseRootFromParent_Done,
     /*  214329 */   // Label 4283: @214329
     /*  214329 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(214386), // Rule ID 23449 //
     /*  214334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  214345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  214348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214384 */     GIR_RootConstrainSelectedInstOperands,
     /*  214385 */     // GIR_Coverage, 23449,
     /*  214385 */     GIR_EraseRootFromParent_Done,
     /*  214386 */   // Label 4284: @214386
     /*  214386 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(214443), // Rule ID 23452 //
     /*  214391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214423 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214441 */     GIR_RootConstrainSelectedInstOperands,
     /*  214442 */     // GIR_Coverage, 23452,
     /*  214442 */     GIR_EraseRootFromParent_Done,
     /*  214443 */   // Label 4285: @214443
     /*  214443 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(214500), // Rule ID 23453 //
     /*  214448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214498 */     GIR_RootConstrainSelectedInstOperands,
     /*  214499 */     // GIR_Coverage, 23453,
     /*  214499 */     GIR_EraseRootFromParent_Done,
     /*  214500 */   // Label 4286: @214500
     /*  214500 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(214557), // Rule ID 23456 //
     /*  214505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214555 */     GIR_RootConstrainSelectedInstOperands,
     /*  214556 */     // GIR_Coverage, 23456,
     /*  214556 */     GIR_EraseRootFromParent_Done,
     /*  214557 */   // Label 4287: @214557
     /*  214557 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(214614), // Rule ID 23457 //
     /*  214562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214612 */     GIR_RootConstrainSelectedInstOperands,
     /*  214613 */     // GIR_Coverage, 23457,
     /*  214613 */     GIR_EraseRootFromParent_Done,
     /*  214614 */   // Label 4288: @214614
     /*  214614 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(214671), // Rule ID 23460 //
     /*  214619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214669 */     GIR_RootConstrainSelectedInstOperands,
     /*  214670 */     // GIR_Coverage, 23460,
     /*  214670 */     GIR_EraseRootFromParent_Done,
     /*  214671 */   // Label 4289: @214671
     /*  214671 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(214728), // Rule ID 23461 //
     /*  214676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214726 */     GIR_RootConstrainSelectedInstOperands,
     /*  214727 */     // GIR_Coverage, 23461,
     /*  214727 */     GIR_EraseRootFromParent_Done,
     /*  214728 */   // Label 4290: @214728
     /*  214728 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(214785), // Rule ID 23464 //
     /*  214733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214783 */     GIR_RootConstrainSelectedInstOperands,
     /*  214784 */     // GIR_Coverage, 23464,
     /*  214784 */     GIR_EraseRootFromParent_Done,
     /*  214785 */   // Label 4291: @214785
     /*  214785 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(214842), // Rule ID 23465 //
     /*  214790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214822 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214840 */     GIR_RootConstrainSelectedInstOperands,
     /*  214841 */     // GIR_Coverage, 23465,
     /*  214841 */     GIR_EraseRootFromParent_Done,
     /*  214842 */   // Label 4292: @214842
     /*  214842 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(214899), // Rule ID 23468 //
     /*  214847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214897 */     GIR_RootConstrainSelectedInstOperands,
     /*  214898 */     // GIR_Coverage, 23468,
     /*  214898 */     GIR_EraseRootFromParent_Done,
     /*  214899 */   // Label 4293: @214899
     /*  214899 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(214956), // Rule ID 23469 //
     /*  214904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214954 */     GIR_RootConstrainSelectedInstOperands,
     /*  214955 */     // GIR_Coverage, 23469,
     /*  214955 */     GIR_EraseRootFromParent_Done,
     /*  214956 */   // Label 4294: @214956
     /*  214956 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(215002), // Rule ID 2543 //
     /*  214961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  214969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214983 */     // MIs[0] rnum
     /*  214983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  214986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  214991 */     // (intrinsic_wo_chain:{ *:[i64] } 10905:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  214991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  214994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  215000 */     GIR_RootConstrainSelectedInstOperands,
     /*  215001 */     // GIR_Coverage, 2543,
     /*  215001 */     GIR_EraseRootFromParent_Done,
     /*  215002 */   // Label 4295: @215002
     /*  215002 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(215047), // Rule ID 64363 //
     /*  215007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  215015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215036 */     // (intrinsic_wo_chain:{ *:[i32] } 10915:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  215039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215045 */     GIR_RootConstrainSelectedInstOperands,
     /*  215046 */     // GIR_Coverage, 64363,
     /*  215046 */     GIR_EraseRootFromParent_Done,
     /*  215047 */   // Label 4296: @215047
     /*  215047 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(215092), // Rule ID 64390 //
     /*  215052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  215060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215081 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  215084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215090 */     GIR_RootConstrainSelectedInstOperands,
     /*  215091 */     // GIR_Coverage, 64390,
     /*  215091 */     GIR_EraseRootFromParent_Done,
     /*  215092 */   // Label 4297: @215092
     /*  215092 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(215137), // Rule ID 2533 //
     /*  215097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215126 */     // (intrinsic_wo_chain:{ *:[i64] } 11606:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215135 */     GIR_RootConstrainSelectedInstOperands,
     /*  215136 */     // GIR_Coverage, 2533,
     /*  215136 */     GIR_EraseRootFromParent_Done,
     /*  215137 */   // Label 4298: @215137
     /*  215137 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(215182), // Rule ID 2534 //
     /*  215142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215171 */     // (intrinsic_wo_chain:{ *:[i32] } 11606:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215180 */     GIR_RootConstrainSelectedInstOperands,
     /*  215181 */     // GIR_Coverage, 2534,
     /*  215181 */     GIR_EraseRootFromParent_Done,
     /*  215182 */   // Label 4299: @215182
     /*  215182 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(215227), // Rule ID 2535 //
     /*  215187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215216 */     // (intrinsic_wo_chain:{ *:[i64] } 11607:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215225 */     GIR_RootConstrainSelectedInstOperands,
     /*  215226 */     // GIR_Coverage, 2535,
     /*  215226 */     GIR_EraseRootFromParent_Done,
     /*  215227 */   // Label 4300: @215227
     /*  215227 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(215272), // Rule ID 2536 //
     /*  215232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215261 */     // (intrinsic_wo_chain:{ *:[i32] } 11607:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215270 */     GIR_RootConstrainSelectedInstOperands,
     /*  215271 */     // GIR_Coverage, 2536,
     /*  215271 */     GIR_EraseRootFromParent_Done,
     /*  215272 */   // Label 4301: @215272
     /*  215272 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(215317), // Rule ID 2539 //
     /*  215277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  215285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215306 */     // (intrinsic_wo_chain:{ *:[i64] } 10900:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  215309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215315 */     GIR_RootConstrainSelectedInstOperands,
     /*  215316 */     // GIR_Coverage, 2539,
     /*  215316 */     GIR_EraseRootFromParent_Done,
     /*  215317 */   // Label 4302: @215317
     /*  215317 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(215362), // Rule ID 2540 //
     /*  215322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  215330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215351 */     // (intrinsic_wo_chain:{ *:[i64] } 10901:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  215354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215360 */     GIR_RootConstrainSelectedInstOperands,
     /*  215361 */     // GIR_Coverage, 2540,
     /*  215361 */     GIR_EraseRootFromParent_Done,
     /*  215362 */   // Label 4303: @215362
     /*  215362 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(215407), // Rule ID 2542 //
     /*  215367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  215370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  215375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215396 */     // (intrinsic_wo_chain:{ *:[i64] } 10906:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  215399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215405 */     GIR_RootConstrainSelectedInstOperands,
     /*  215406 */     // GIR_Coverage, 2542,
     /*  215406 */     GIR_EraseRootFromParent_Done,
     /*  215407 */   // Label 4304: @215407
     /*  215407 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(215452), // Rule ID 2546 //
     /*  215412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  215420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215441 */     // (intrinsic_wo_chain:{ *:[i64] } 10902:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  215444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215450 */     GIR_RootConstrainSelectedInstOperands,
     /*  215451 */     // GIR_Coverage, 2546,
     /*  215451 */     GIR_EraseRootFromParent_Done,
     /*  215452 */   // Label 4305: @215452
     /*  215452 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(215497), // Rule ID 2547 //
     /*  215457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  215465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215486 */     // (intrinsic_wo_chain:{ *:[i64] } 10903:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  215489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215495 */     GIR_RootConstrainSelectedInstOperands,
     /*  215496 */     // GIR_Coverage, 2547,
     /*  215496 */     GIR_EraseRootFromParent_Done,
     /*  215497 */   // Label 4306: @215497
     /*  215497 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(215542), // Rule ID 2556 //
     /*  215502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  215510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215531 */     // (intrinsic_wo_chain:{ *:[i32] } 11042:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  215534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215540 */     GIR_RootConstrainSelectedInstOperands,
     /*  215541 */     // GIR_Coverage, 2556,
     /*  215541 */     GIR_EraseRootFromParent_Done,
     /*  215542 */   // Label 4307: @215542
     /*  215542 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(215587), // Rule ID 2557 //
     /*  215547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  215555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215576 */     // (intrinsic_wo_chain:{ *:[i32] } 11041:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  215579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215585 */     GIR_RootConstrainSelectedInstOperands,
     /*  215586 */     // GIR_Coverage, 2557,
     /*  215586 */     GIR_EraseRootFromParent_Done,
     /*  215587 */   // Label 4308: @215587
     /*  215587 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(215632), // Rule ID 2558 //
     /*  215592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  215600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215621 */     // (intrinsic_wo_chain:{ *:[i32] } 11045:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  215624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215630 */     GIR_RootConstrainSelectedInstOperands,
     /*  215631 */     // GIR_Coverage, 2558,
     /*  215631 */     GIR_EraseRootFromParent_Done,
     /*  215632 */   // Label 4309: @215632
     /*  215632 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(215677), // Rule ID 2559 //
     /*  215637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  215645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215666 */     // (intrinsic_wo_chain:{ *:[i32] } 11044:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  215669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215675 */     GIR_RootConstrainSelectedInstOperands,
     /*  215676 */     // GIR_Coverage, 2559,
     /*  215676 */     GIR_EraseRootFromParent_Done,
     /*  215677 */   // Label 4310: @215677
     /*  215677 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(215722), // Rule ID 2560 //
     /*  215682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  215690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215711 */     // (intrinsic_wo_chain:{ *:[i32] } 11047:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  215714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215720 */     GIR_RootConstrainSelectedInstOperands,
     /*  215721 */     // GIR_Coverage, 2560,
     /*  215721 */     GIR_EraseRootFromParent_Done,
     /*  215722 */   // Label 4311: @215722
     /*  215722 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(215767), // Rule ID 2561 //
     /*  215727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  215735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215756 */     // (intrinsic_wo_chain:{ *:[i32] } 11049:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  215759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215765 */     GIR_RootConstrainSelectedInstOperands,
     /*  215766 */     // GIR_Coverage, 2561,
     /*  215766 */     GIR_EraseRootFromParent_Done,
     /*  215767 */   // Label 4312: @215767
     /*  215767 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(215812), // Rule ID 64340 //
     /*  215772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  215780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215801 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  215804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215810 */     GIR_RootConstrainSelectedInstOperands,
     /*  215811 */     // GIR_Coverage, 64340,
     /*  215811 */     GIR_EraseRootFromParent_Done,
     /*  215812 */   // Label 4313: @215812
     /*  215812 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(215857), // Rule ID 64342 //
     /*  215817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  215825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215846 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  215849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215855 */     GIR_RootConstrainSelectedInstOperands,
     /*  215856 */     // GIR_Coverage, 64342,
     /*  215856 */     GIR_EraseRootFromParent_Done,
     /*  215857 */   // Label 4314: @215857
     /*  215857 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(215902), // Rule ID 64344 //
     /*  215862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  215870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215891 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  215894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215900 */     GIR_RootConstrainSelectedInstOperands,
     /*  215901 */     // GIR_Coverage, 64344,
     /*  215901 */     GIR_EraseRootFromParent_Done,
     /*  215902 */   // Label 4315: @215902
     /*  215902 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(215947), // Rule ID 64346 //
     /*  215907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  215915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215936 */     // (intrinsic_wo_chain:{ *:[i32] } 10923:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  215939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215945 */     GIR_RootConstrainSelectedInstOperands,
     /*  215946 */     // GIR_Coverage, 64346,
     /*  215946 */     GIR_EraseRootFromParent_Done,
     /*  215947 */   // Label 4316: @215947
     /*  215947 */   GIM_Reject,
     /*  215948 */ // Label 4180: @215948
     /*  215948 */ GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(386853),
     /*  215953 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  215956 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(216030), // Rule ID 5346 //
     /*  215961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216001 */     // MIs[1] Operand 1
     /*  216001 */     // No operand predicates
     /*  216001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216028 */     GIR_RootConstrainSelectedInstOperands,
     /*  216029 */     // GIR_Coverage, 5346,
     /*  216029 */     GIR_EraseRootFromParent_Done,
     /*  216030 */   // Label 4318: @216030
     /*  216030 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(216104), // Rule ID 5347 //
     /*  216035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216075 */     // MIs[1] Operand 1
     /*  216075 */     // No operand predicates
     /*  216075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216102 */     GIR_RootConstrainSelectedInstOperands,
     /*  216103 */     // GIR_Coverage, 5347,
     /*  216103 */     GIR_EraseRootFromParent_Done,
     /*  216104 */   // Label 4319: @216104
     /*  216104 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(216178), // Rule ID 5348 //
     /*  216109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216149 */     // MIs[1] Operand 1
     /*  216149 */     // No operand predicates
     /*  216149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216176 */     GIR_RootConstrainSelectedInstOperands,
     /*  216177 */     // GIR_Coverage, 5348,
     /*  216177 */     GIR_EraseRootFromParent_Done,
     /*  216178 */   // Label 4320: @216178
     /*  216178 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(216252), // Rule ID 5349 //
     /*  216183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216223 */     // MIs[1] Operand 1
     /*  216223 */     // No operand predicates
     /*  216223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216250 */     GIR_RootConstrainSelectedInstOperands,
     /*  216251 */     // GIR_Coverage, 5349,
     /*  216251 */     GIR_EraseRootFromParent_Done,
     /*  216252 */   // Label 4321: @216252
     /*  216252 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(216326), // Rule ID 5350 //
     /*  216257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216297 */     // MIs[1] Operand 1
     /*  216297 */     // No operand predicates
     /*  216297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216324 */     GIR_RootConstrainSelectedInstOperands,
     /*  216325 */     // GIR_Coverage, 5350,
     /*  216325 */     GIR_EraseRootFromParent_Done,
     /*  216326 */   // Label 4322: @216326
     /*  216326 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(216400), // Rule ID 5351 //
     /*  216331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216371 */     // MIs[1] Operand 1
     /*  216371 */     // No operand predicates
     /*  216371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216398 */     GIR_RootConstrainSelectedInstOperands,
     /*  216399 */     // GIR_Coverage, 5351,
     /*  216399 */     GIR_EraseRootFromParent_Done,
     /*  216400 */   // Label 4323: @216400
     /*  216400 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(216474), // Rule ID 5352 //
     /*  216405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216445 */     // MIs[1] Operand 1
     /*  216445 */     // No operand predicates
     /*  216445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216472 */     GIR_RootConstrainSelectedInstOperands,
     /*  216473 */     // GIR_Coverage, 5352,
     /*  216473 */     GIR_EraseRootFromParent_Done,
     /*  216474 */   // Label 4324: @216474
     /*  216474 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(216548), // Rule ID 5353 //
     /*  216479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216519 */     // MIs[1] Operand 1
     /*  216519 */     // No operand predicates
     /*  216519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216546 */     GIR_RootConstrainSelectedInstOperands,
     /*  216547 */     // GIR_Coverage, 5353,
     /*  216547 */     GIR_EraseRootFromParent_Done,
     /*  216548 */   // Label 4325: @216548
     /*  216548 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(216622), // Rule ID 5354 //
     /*  216553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216593 */     // MIs[1] Operand 1
     /*  216593 */     // No operand predicates
     /*  216593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216620 */     GIR_RootConstrainSelectedInstOperands,
     /*  216621 */     // GIR_Coverage, 5354,
     /*  216621 */     GIR_EraseRootFromParent_Done,
     /*  216622 */   // Label 4326: @216622
     /*  216622 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(216696), // Rule ID 5355 //
     /*  216627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216667 */     // MIs[1] Operand 1
     /*  216667 */     // No operand predicates
     /*  216667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216694 */     GIR_RootConstrainSelectedInstOperands,
     /*  216695 */     // GIR_Coverage, 5355,
     /*  216695 */     GIR_EraseRootFromParent_Done,
     /*  216696 */   // Label 4327: @216696
     /*  216696 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(216770), // Rule ID 5356 //
     /*  216701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216741 */     // MIs[1] Operand 1
     /*  216741 */     // No operand predicates
     /*  216741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216750 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216768 */     GIR_RootConstrainSelectedInstOperands,
     /*  216769 */     // GIR_Coverage, 5356,
     /*  216769 */     GIR_EraseRootFromParent_Done,
     /*  216770 */   // Label 4328: @216770
     /*  216770 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(216844), // Rule ID 5357 //
     /*  216775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216815 */     // MIs[1] Operand 1
     /*  216815 */     // No operand predicates
     /*  216815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216842 */     GIR_RootConstrainSelectedInstOperands,
     /*  216843 */     // GIR_Coverage, 5357,
     /*  216843 */     GIR_EraseRootFromParent_Done,
     /*  216844 */   // Label 4329: @216844
     /*  216844 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(216918), // Rule ID 5358 //
     /*  216849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216889 */     // MIs[1] Operand 1
     /*  216889 */     // No operand predicates
     /*  216889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216916 */     GIR_RootConstrainSelectedInstOperands,
     /*  216917 */     // GIR_Coverage, 5358,
     /*  216917 */     GIR_EraseRootFromParent_Done,
     /*  216918 */   // Label 4330: @216918
     /*  216918 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(216992), // Rule ID 5359 //
     /*  216923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216963 */     // MIs[1] Operand 1
     /*  216963 */     // No operand predicates
     /*  216963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216990 */     GIR_RootConstrainSelectedInstOperands,
     /*  216991 */     // GIR_Coverage, 5359,
     /*  216991 */     GIR_EraseRootFromParent_Done,
     /*  216992 */   // Label 4331: @216992
     /*  216992 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217066), // Rule ID 5360 //
     /*  216997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217037 */     // MIs[1] Operand 1
     /*  217037 */     // No operand predicates
     /*  217037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217064 */     GIR_RootConstrainSelectedInstOperands,
     /*  217065 */     // GIR_Coverage, 5360,
     /*  217065 */     GIR_EraseRootFromParent_Done,
     /*  217066 */   // Label 4332: @217066
     /*  217066 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217140), // Rule ID 5361 //
     /*  217071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217111 */     // MIs[1] Operand 1
     /*  217111 */     // No operand predicates
     /*  217111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217138 */     GIR_RootConstrainSelectedInstOperands,
     /*  217139 */     // GIR_Coverage, 5361,
     /*  217139 */     GIR_EraseRootFromParent_Done,
     /*  217140 */   // Label 4333: @217140
     /*  217140 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217214), // Rule ID 5362 //
     /*  217145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217185 */     // MIs[1] Operand 1
     /*  217185 */     // No operand predicates
     /*  217185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217212 */     GIR_RootConstrainSelectedInstOperands,
     /*  217213 */     // GIR_Coverage, 5362,
     /*  217213 */     GIR_EraseRootFromParent_Done,
     /*  217214 */   // Label 4334: @217214
     /*  217214 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217288), // Rule ID 5363 //
     /*  217219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217259 */     // MIs[1] Operand 1
     /*  217259 */     // No operand predicates
     /*  217259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217286 */     GIR_RootConstrainSelectedInstOperands,
     /*  217287 */     // GIR_Coverage, 5363,
     /*  217287 */     GIR_EraseRootFromParent_Done,
     /*  217288 */   // Label 4335: @217288
     /*  217288 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217362), // Rule ID 5364 //
     /*  217293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217333 */     // MIs[1] Operand 1
     /*  217333 */     // No operand predicates
     /*  217333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217342 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217360 */     GIR_RootConstrainSelectedInstOperands,
     /*  217361 */     // GIR_Coverage, 5364,
     /*  217361 */     GIR_EraseRootFromParent_Done,
     /*  217362 */   // Label 4336: @217362
     /*  217362 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217436), // Rule ID 5365 //
     /*  217367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217407 */     // MIs[1] Operand 1
     /*  217407 */     // No operand predicates
     /*  217407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217434 */     GIR_RootConstrainSelectedInstOperands,
     /*  217435 */     // GIR_Coverage, 5365,
     /*  217435 */     GIR_EraseRootFromParent_Done,
     /*  217436 */   // Label 4337: @217436
     /*  217436 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(217510), // Rule ID 5366 //
     /*  217441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217481 */     // MIs[1] Operand 1
     /*  217481 */     // No operand predicates
     /*  217481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217490 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217508 */     GIR_RootConstrainSelectedInstOperands,
     /*  217509 */     // GIR_Coverage, 5366,
     /*  217509 */     GIR_EraseRootFromParent_Done,
     /*  217510 */   // Label 4338: @217510
     /*  217510 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(217584), // Rule ID 5367 //
     /*  217515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217555 */     // MIs[1] Operand 1
     /*  217555 */     // No operand predicates
     /*  217555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217582 */     GIR_RootConstrainSelectedInstOperands,
     /*  217583 */     // GIR_Coverage, 5367,
     /*  217583 */     GIR_EraseRootFromParent_Done,
     /*  217584 */   // Label 4339: @217584
     /*  217584 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(217658), // Rule ID 5368 //
     /*  217589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217629 */     // MIs[1] Operand 1
     /*  217629 */     // No operand predicates
     /*  217629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217638 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217656 */     GIR_RootConstrainSelectedInstOperands,
     /*  217657 */     // GIR_Coverage, 5368,
     /*  217657 */     GIR_EraseRootFromParent_Done,
     /*  217658 */   // Label 4340: @217658
     /*  217658 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(217732), // Rule ID 5369 //
     /*  217663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217703 */     // MIs[1] Operand 1
     /*  217703 */     // No operand predicates
     /*  217703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217730 */     GIR_RootConstrainSelectedInstOperands,
     /*  217731 */     // GIR_Coverage, 5369,
     /*  217731 */     GIR_EraseRootFromParent_Done,
     /*  217732 */   // Label 4341: @217732
     /*  217732 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(217806), // Rule ID 5370 //
     /*  217737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217777 */     // MIs[1] Operand 1
     /*  217777 */     // No operand predicates
     /*  217777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217786 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217804 */     GIR_RootConstrainSelectedInstOperands,
     /*  217805 */     // GIR_Coverage, 5370,
     /*  217805 */     GIR_EraseRootFromParent_Done,
     /*  217806 */   // Label 4342: @217806
     /*  217806 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(217880), // Rule ID 5371 //
     /*  217811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217851 */     // MIs[1] Operand 1
     /*  217851 */     // No operand predicates
     /*  217851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217860 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217878 */     GIR_RootConstrainSelectedInstOperands,
     /*  217879 */     // GIR_Coverage, 5371,
     /*  217879 */     GIR_EraseRootFromParent_Done,
     /*  217880 */   // Label 4343: @217880
     /*  217880 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(217954), // Rule ID 5372 //
     /*  217885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217925 */     // MIs[1] Operand 1
     /*  217925 */     // No operand predicates
     /*  217925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217952 */     GIR_RootConstrainSelectedInstOperands,
     /*  217953 */     // GIR_Coverage, 5372,
     /*  217953 */     GIR_EraseRootFromParent_Done,
     /*  217954 */   // Label 4344: @217954
     /*  217954 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218028), // Rule ID 5373 //
     /*  217959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217999 */     // MIs[1] Operand 1
     /*  217999 */     // No operand predicates
     /*  217999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218026 */     GIR_RootConstrainSelectedInstOperands,
     /*  218027 */     // GIR_Coverage, 5373,
     /*  218027 */     GIR_EraseRootFromParent_Done,
     /*  218028 */   // Label 4345: @218028
     /*  218028 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218102), // Rule ID 5374 //
     /*  218033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218073 */     // MIs[1] Operand 1
     /*  218073 */     // No operand predicates
     /*  218073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218100 */     GIR_RootConstrainSelectedInstOperands,
     /*  218101 */     // GIR_Coverage, 5374,
     /*  218101 */     GIR_EraseRootFromParent_Done,
     /*  218102 */   // Label 4346: @218102
     /*  218102 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218176), // Rule ID 5375 //
     /*  218107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218147 */     // MIs[1] Operand 1
     /*  218147 */     // No operand predicates
     /*  218147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218174 */     GIR_RootConstrainSelectedInstOperands,
     /*  218175 */     // GIR_Coverage, 5375,
     /*  218175 */     GIR_EraseRootFromParent_Done,
     /*  218176 */   // Label 4347: @218176
     /*  218176 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218250), // Rule ID 5376 //
     /*  218181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218221 */     // MIs[1] Operand 1
     /*  218221 */     // No operand predicates
     /*  218221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218230 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218248 */     GIR_RootConstrainSelectedInstOperands,
     /*  218249 */     // GIR_Coverage, 5376,
     /*  218249 */     GIR_EraseRootFromParent_Done,
     /*  218250 */   // Label 4348: @218250
     /*  218250 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218324), // Rule ID 5377 //
     /*  218255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218295 */     // MIs[1] Operand 1
     /*  218295 */     // No operand predicates
     /*  218295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218304 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218322 */     GIR_RootConstrainSelectedInstOperands,
     /*  218323 */     // GIR_Coverage, 5377,
     /*  218323 */     GIR_EraseRootFromParent_Done,
     /*  218324 */   // Label 4349: @218324
     /*  218324 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218398), // Rule ID 5378 //
     /*  218329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218369 */     // MIs[1] Operand 1
     /*  218369 */     // No operand predicates
     /*  218369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218396 */     GIR_RootConstrainSelectedInstOperands,
     /*  218397 */     // GIR_Coverage, 5378,
     /*  218397 */     GIR_EraseRootFromParent_Done,
     /*  218398 */   // Label 4350: @218398
     /*  218398 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218472), // Rule ID 5379 //
     /*  218403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218443 */     // MIs[1] Operand 1
     /*  218443 */     // No operand predicates
     /*  218443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218470 */     GIR_RootConstrainSelectedInstOperands,
     /*  218471 */     // GIR_Coverage, 5379,
     /*  218471 */     GIR_EraseRootFromParent_Done,
     /*  218472 */   // Label 4351: @218472
     /*  218472 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218546), // Rule ID 5380 //
     /*  218477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218517 */     // MIs[1] Operand 1
     /*  218517 */     // No operand predicates
     /*  218517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218544 */     GIR_RootConstrainSelectedInstOperands,
     /*  218545 */     // GIR_Coverage, 5380,
     /*  218545 */     GIR_EraseRootFromParent_Done,
     /*  218546 */   // Label 4352: @218546
     /*  218546 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(218620), // Rule ID 5381 //
     /*  218551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218591 */     // MIs[1] Operand 1
     /*  218591 */     // No operand predicates
     /*  218591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218618 */     GIR_RootConstrainSelectedInstOperands,
     /*  218619 */     // GIR_Coverage, 5381,
     /*  218619 */     GIR_EraseRootFromParent_Done,
     /*  218620 */   // Label 4353: @218620
     /*  218620 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(218694), // Rule ID 5382 //
     /*  218625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218665 */     // MIs[1] Operand 1
     /*  218665 */     // No operand predicates
     /*  218665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218674 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218692 */     GIR_RootConstrainSelectedInstOperands,
     /*  218693 */     // GIR_Coverage, 5382,
     /*  218693 */     GIR_EraseRootFromParent_Done,
     /*  218694 */   // Label 4354: @218694
     /*  218694 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(218768), // Rule ID 5383 //
     /*  218699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218739 */     // MIs[1] Operand 1
     /*  218739 */     // No operand predicates
     /*  218739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218766 */     GIR_RootConstrainSelectedInstOperands,
     /*  218767 */     // GIR_Coverage, 5383,
     /*  218767 */     GIR_EraseRootFromParent_Done,
     /*  218768 */   // Label 4355: @218768
     /*  218768 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(218842), // Rule ID 5384 //
     /*  218773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218813 */     // MIs[1] Operand 1
     /*  218813 */     // No operand predicates
     /*  218813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218840 */     GIR_RootConstrainSelectedInstOperands,
     /*  218841 */     // GIR_Coverage, 5384,
     /*  218841 */     GIR_EraseRootFromParent_Done,
     /*  218842 */   // Label 4356: @218842
     /*  218842 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(218916), // Rule ID 5385 //
     /*  218847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218887 */     // MIs[1] Operand 1
     /*  218887 */     // No operand predicates
     /*  218887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218914 */     GIR_RootConstrainSelectedInstOperands,
     /*  218915 */     // GIR_Coverage, 5385,
     /*  218915 */     GIR_EraseRootFromParent_Done,
     /*  218916 */   // Label 4357: @218916
     /*  218916 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(218990), // Rule ID 5386 //
     /*  218921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218961 */     // MIs[1] Operand 1
     /*  218961 */     // No operand predicates
     /*  218961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218988 */     GIR_RootConstrainSelectedInstOperands,
     /*  218989 */     // GIR_Coverage, 5386,
     /*  218989 */     GIR_EraseRootFromParent_Done,
     /*  218990 */   // Label 4358: @218990
     /*  218990 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219064), // Rule ID 5387 //
     /*  218995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219035 */     // MIs[1] Operand 1
     /*  219035 */     // No operand predicates
     /*  219035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219062 */     GIR_RootConstrainSelectedInstOperands,
     /*  219063 */     // GIR_Coverage, 5387,
     /*  219063 */     GIR_EraseRootFromParent_Done,
     /*  219064 */   // Label 4359: @219064
     /*  219064 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219138), // Rule ID 5388 //
     /*  219069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219109 */     // MIs[1] Operand 1
     /*  219109 */     // No operand predicates
     /*  219109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219118 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219136 */     GIR_RootConstrainSelectedInstOperands,
     /*  219137 */     // GIR_Coverage, 5388,
     /*  219137 */     GIR_EraseRootFromParent_Done,
     /*  219138 */   // Label 4360: @219138
     /*  219138 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219212), // Rule ID 5389 //
     /*  219143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219183 */     // MIs[1] Operand 1
     /*  219183 */     // No operand predicates
     /*  219183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219210 */     GIR_RootConstrainSelectedInstOperands,
     /*  219211 */     // GIR_Coverage, 5389,
     /*  219211 */     GIR_EraseRootFromParent_Done,
     /*  219212 */   // Label 4361: @219212
     /*  219212 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219286), // Rule ID 7858 //
     /*  219217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219257 */     // MIs[1] Operand 1
     /*  219257 */     // No operand predicates
     /*  219257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  219269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219284 */     GIR_RootConstrainSelectedInstOperands,
     /*  219285 */     // GIR_Coverage, 7858,
     /*  219285 */     GIR_EraseRootFromParent_Done,
     /*  219286 */   // Label 4362: @219286
     /*  219286 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219360), // Rule ID 7859 //
     /*  219291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219331 */     // MIs[1] Operand 1
     /*  219331 */     // No operand predicates
     /*  219331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  219343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219358 */     GIR_RootConstrainSelectedInstOperands,
     /*  219359 */     // GIR_Coverage, 7859,
     /*  219359 */     GIR_EraseRootFromParent_Done,
     /*  219360 */   // Label 4363: @219360
     /*  219360 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219434), // Rule ID 7862 //
     /*  219365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219405 */     // MIs[1] Operand 1
     /*  219405 */     // No operand predicates
     /*  219405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219432 */     GIR_RootConstrainSelectedInstOperands,
     /*  219433 */     // GIR_Coverage, 7862,
     /*  219433 */     GIR_EraseRootFromParent_Done,
     /*  219434 */   // Label 4364: @219434
     /*  219434 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219508), // Rule ID 7863 //
     /*  219439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219479 */     // MIs[1] Operand 1
     /*  219479 */     // No operand predicates
     /*  219479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219506 */     GIR_RootConstrainSelectedInstOperands,
     /*  219507 */     // GIR_Coverage, 7863,
     /*  219507 */     GIR_EraseRootFromParent_Done,
     /*  219508 */   // Label 4365: @219508
     /*  219508 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219582), // Rule ID 7866 //
     /*  219513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219553 */     // MIs[1] Operand 1
     /*  219553 */     // No operand predicates
     /*  219553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219580 */     GIR_RootConstrainSelectedInstOperands,
     /*  219581 */     // GIR_Coverage, 7866,
     /*  219581 */     GIR_EraseRootFromParent_Done,
     /*  219582 */   // Label 4366: @219582
     /*  219582 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219656), // Rule ID 7867 //
     /*  219587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219627 */     // MIs[1] Operand 1
     /*  219627 */     // No operand predicates
     /*  219627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219654 */     GIR_RootConstrainSelectedInstOperands,
     /*  219655 */     // GIR_Coverage, 7867,
     /*  219655 */     GIR_EraseRootFromParent_Done,
     /*  219656 */   // Label 4367: @219656
     /*  219656 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219730), // Rule ID 7870 //
     /*  219661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219701 */     // MIs[1] Operand 1
     /*  219701 */     // No operand predicates
     /*  219701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219728 */     GIR_RootConstrainSelectedInstOperands,
     /*  219729 */     // GIR_Coverage, 7870,
     /*  219729 */     GIR_EraseRootFromParent_Done,
     /*  219730 */   // Label 4368: @219730
     /*  219730 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219804), // Rule ID 7871 //
     /*  219735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219775 */     // MIs[1] Operand 1
     /*  219775 */     // No operand predicates
     /*  219775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219802 */     GIR_RootConstrainSelectedInstOperands,
     /*  219803 */     // GIR_Coverage, 7871,
     /*  219803 */     GIR_EraseRootFromParent_Done,
     /*  219804 */   // Label 4369: @219804
     /*  219804 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219878), // Rule ID 7874 //
     /*  219809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219849 */     // MIs[1] Operand 1
     /*  219849 */     // No operand predicates
     /*  219849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219876 */     GIR_RootConstrainSelectedInstOperands,
     /*  219877 */     // GIR_Coverage, 7874,
     /*  219877 */     GIR_EraseRootFromParent_Done,
     /*  219878 */   // Label 4370: @219878
     /*  219878 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219952), // Rule ID 7875 //
     /*  219883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219923 */     // MIs[1] Operand 1
     /*  219923 */     // No operand predicates
     /*  219923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219950 */     GIR_RootConstrainSelectedInstOperands,
     /*  219951 */     // GIR_Coverage, 7875,
     /*  219951 */     GIR_EraseRootFromParent_Done,
     /*  219952 */   // Label 4371: @219952
     /*  219952 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(220026), // Rule ID 7878 //
     /*  219957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219997 */     // MIs[1] Operand 1
     /*  219997 */     // No operand predicates
     /*  219997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220006 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220024 */     GIR_RootConstrainSelectedInstOperands,
     /*  220025 */     // GIR_Coverage, 7878,
     /*  220025 */     GIR_EraseRootFromParent_Done,
     /*  220026 */   // Label 4372: @220026
     /*  220026 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220100), // Rule ID 7879 //
     /*  220031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220071 */     // MIs[1] Operand 1
     /*  220071 */     // No operand predicates
     /*  220071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220098 */     GIR_RootConstrainSelectedInstOperands,
     /*  220099 */     // GIR_Coverage, 7879,
     /*  220099 */     GIR_EraseRootFromParent_Done,
     /*  220100 */   // Label 4373: @220100
     /*  220100 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220174), // Rule ID 7882 //
     /*  220105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220145 */     // MIs[1] Operand 1
     /*  220145 */     // No operand predicates
     /*  220145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220172 */     GIR_RootConstrainSelectedInstOperands,
     /*  220173 */     // GIR_Coverage, 7882,
     /*  220173 */     GIR_EraseRootFromParent_Done,
     /*  220174 */   // Label 4374: @220174
     /*  220174 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220248), // Rule ID 7883 //
     /*  220179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220219 */     // MIs[1] Operand 1
     /*  220219 */     // No operand predicates
     /*  220219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220246 */     GIR_RootConstrainSelectedInstOperands,
     /*  220247 */     // GIR_Coverage, 7883,
     /*  220247 */     GIR_EraseRootFromParent_Done,
     /*  220248 */   // Label 4375: @220248
     /*  220248 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220322), // Rule ID 7886 //
     /*  220253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220293 */     // MIs[1] Operand 1
     /*  220293 */     // No operand predicates
     /*  220293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220320 */     GIR_RootConstrainSelectedInstOperands,
     /*  220321 */     // GIR_Coverage, 7886,
     /*  220321 */     GIR_EraseRootFromParent_Done,
     /*  220322 */   // Label 4376: @220322
     /*  220322 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220396), // Rule ID 7887 //
     /*  220327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220367 */     // MIs[1] Operand 1
     /*  220367 */     // No operand predicates
     /*  220367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220394 */     GIR_RootConstrainSelectedInstOperands,
     /*  220395 */     // GIR_Coverage, 7887,
     /*  220395 */     GIR_EraseRootFromParent_Done,
     /*  220396 */   // Label 4377: @220396
     /*  220396 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220470), // Rule ID 7890 //
     /*  220401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220441 */     // MIs[1] Operand 1
     /*  220441 */     // No operand predicates
     /*  220441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220468 */     GIR_RootConstrainSelectedInstOperands,
     /*  220469 */     // GIR_Coverage, 7890,
     /*  220469 */     GIR_EraseRootFromParent_Done,
     /*  220470 */   // Label 4378: @220470
     /*  220470 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220544), // Rule ID 7891 //
     /*  220475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220515 */     // MIs[1] Operand 1
     /*  220515 */     // No operand predicates
     /*  220515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220542 */     GIR_RootConstrainSelectedInstOperands,
     /*  220543 */     // GIR_Coverage, 7891,
     /*  220543 */     GIR_EraseRootFromParent_Done,
     /*  220544 */   // Label 4379: @220544
     /*  220544 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220618), // Rule ID 7894 //
     /*  220549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220589 */     // MIs[1] Operand 1
     /*  220589 */     // No operand predicates
     /*  220589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220616 */     GIR_RootConstrainSelectedInstOperands,
     /*  220617 */     // GIR_Coverage, 7894,
     /*  220617 */     GIR_EraseRootFromParent_Done,
     /*  220618 */   // Label 4380: @220618
     /*  220618 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220692), // Rule ID 7895 //
     /*  220623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220663 */     // MIs[1] Operand 1
     /*  220663 */     // No operand predicates
     /*  220663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220690 */     GIR_RootConstrainSelectedInstOperands,
     /*  220691 */     // GIR_Coverage, 7895,
     /*  220691 */     GIR_EraseRootFromParent_Done,
     /*  220692 */   // Label 4381: @220692
     /*  220692 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220766), // Rule ID 7898 //
     /*  220697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220737 */     // MIs[1] Operand 1
     /*  220737 */     // No operand predicates
     /*  220737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220746 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220764 */     GIR_RootConstrainSelectedInstOperands,
     /*  220765 */     // GIR_Coverage, 7898,
     /*  220765 */     GIR_EraseRootFromParent_Done,
     /*  220766 */   // Label 4382: @220766
     /*  220766 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220840), // Rule ID 7899 //
     /*  220771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220811 */     // MIs[1] Operand 1
     /*  220811 */     // No operand predicates
     /*  220811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220838 */     GIR_RootConstrainSelectedInstOperands,
     /*  220839 */     // GIR_Coverage, 7899,
     /*  220839 */     GIR_EraseRootFromParent_Done,
     /*  220840 */   // Label 4383: @220840
     /*  220840 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220914), // Rule ID 7902 //
     /*  220845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220885 */     // MIs[1] Operand 1
     /*  220885 */     // No operand predicates
     /*  220885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220894 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220912 */     GIR_RootConstrainSelectedInstOperands,
     /*  220913 */     // GIR_Coverage, 7902,
     /*  220913 */     GIR_EraseRootFromParent_Done,
     /*  220914 */   // Label 4384: @220914
     /*  220914 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220988), // Rule ID 7903 //
     /*  220919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220959 */     // MIs[1] Operand 1
     /*  220959 */     // No operand predicates
     /*  220959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220986 */     GIR_RootConstrainSelectedInstOperands,
     /*  220987 */     // GIR_Coverage, 7903,
     /*  220987 */     GIR_EraseRootFromParent_Done,
     /*  220988 */   // Label 4385: @220988
     /*  220988 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(221062), // Rule ID 7906 //
     /*  220993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221033 */     // MIs[1] Operand 1
     /*  221033 */     // No operand predicates
     /*  221033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221042 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221060 */     GIR_RootConstrainSelectedInstOperands,
     /*  221061 */     // GIR_Coverage, 7906,
     /*  221061 */     GIR_EraseRootFromParent_Done,
     /*  221062 */   // Label 4386: @221062
     /*  221062 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(221136), // Rule ID 7907 //
     /*  221067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221107 */     // MIs[1] Operand 1
     /*  221107 */     // No operand predicates
     /*  221107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221116 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221134 */     GIR_RootConstrainSelectedInstOperands,
     /*  221135 */     // GIR_Coverage, 7907,
     /*  221135 */     GIR_EraseRootFromParent_Done,
     /*  221136 */   // Label 4387: @221136
     /*  221136 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221210), // Rule ID 7910 //
     /*  221141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221181 */     // MIs[1] Operand 1
     /*  221181 */     // No operand predicates
     /*  221181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221208 */     GIR_RootConstrainSelectedInstOperands,
     /*  221209 */     // GIR_Coverage, 7910,
     /*  221209 */     GIR_EraseRootFromParent_Done,
     /*  221210 */   // Label 4388: @221210
     /*  221210 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221284), // Rule ID 7911 //
     /*  221215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221255 */     // MIs[1] Operand 1
     /*  221255 */     // No operand predicates
     /*  221255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221282 */     GIR_RootConstrainSelectedInstOperands,
     /*  221283 */     // GIR_Coverage, 7911,
     /*  221283 */     GIR_EraseRootFromParent_Done,
     /*  221284 */   // Label 4389: @221284
     /*  221284 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221358), // Rule ID 7914 //
     /*  221289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221329 */     // MIs[1] Operand 1
     /*  221329 */     // No operand predicates
     /*  221329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221338 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221356 */     GIR_RootConstrainSelectedInstOperands,
     /*  221357 */     // GIR_Coverage, 7914,
     /*  221357 */     GIR_EraseRootFromParent_Done,
     /*  221358 */   // Label 4390: @221358
     /*  221358 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221432), // Rule ID 7915 //
     /*  221363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221403 */     // MIs[1] Operand 1
     /*  221403 */     // No operand predicates
     /*  221403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221430 */     GIR_RootConstrainSelectedInstOperands,
     /*  221431 */     // GIR_Coverage, 7915,
     /*  221431 */     GIR_EraseRootFromParent_Done,
     /*  221432 */   // Label 4391: @221432
     /*  221432 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221506), // Rule ID 7918 //
     /*  221437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221477 */     // MIs[1] Operand 1
     /*  221477 */     // No operand predicates
     /*  221477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221504 */     GIR_RootConstrainSelectedInstOperands,
     /*  221505 */     // GIR_Coverage, 7918,
     /*  221505 */     GIR_EraseRootFromParent_Done,
     /*  221506 */   // Label 4392: @221506
     /*  221506 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221580), // Rule ID 7919 //
     /*  221511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221551 */     // MIs[1] Operand 1
     /*  221551 */     // No operand predicates
     /*  221551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221578 */     GIR_RootConstrainSelectedInstOperands,
     /*  221579 */     // GIR_Coverage, 7919,
     /*  221579 */     GIR_EraseRootFromParent_Done,
     /*  221580 */   // Label 4393: @221580
     /*  221580 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221654), // Rule ID 7922 //
     /*  221585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221625 */     // MIs[1] Operand 1
     /*  221625 */     // No operand predicates
     /*  221625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221634 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221652 */     GIR_RootConstrainSelectedInstOperands,
     /*  221653 */     // GIR_Coverage, 7922,
     /*  221653 */     GIR_EraseRootFromParent_Done,
     /*  221654 */   // Label 4394: @221654
     /*  221654 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221728), // Rule ID 7923 //
     /*  221659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221699 */     // MIs[1] Operand 1
     /*  221699 */     // No operand predicates
     /*  221699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221726 */     GIR_RootConstrainSelectedInstOperands,
     /*  221727 */     // GIR_Coverage, 7923,
     /*  221727 */     GIR_EraseRootFromParent_Done,
     /*  221728 */   // Label 4395: @221728
     /*  221728 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221802), // Rule ID 7926 //
     /*  221733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221773 */     // MIs[1] Operand 1
     /*  221773 */     // No operand predicates
     /*  221773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221800 */     GIR_RootConstrainSelectedInstOperands,
     /*  221801 */     // GIR_Coverage, 7926,
     /*  221801 */     GIR_EraseRootFromParent_Done,
     /*  221802 */   // Label 4396: @221802
     /*  221802 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221876), // Rule ID 7927 //
     /*  221807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221847 */     // MIs[1] Operand 1
     /*  221847 */     // No operand predicates
     /*  221847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221874 */     GIR_RootConstrainSelectedInstOperands,
     /*  221875 */     // GIR_Coverage, 7927,
     /*  221875 */     GIR_EraseRootFromParent_Done,
     /*  221876 */   // Label 4397: @221876
     /*  221876 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221950), // Rule ID 7930 //
     /*  221881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221921 */     // MIs[1] Operand 1
     /*  221921 */     // No operand predicates
     /*  221921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221930 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221948 */     GIR_RootConstrainSelectedInstOperands,
     /*  221949 */     // GIR_Coverage, 7930,
     /*  221949 */     GIR_EraseRootFromParent_Done,
     /*  221950 */   // Label 4398: @221950
     /*  221950 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(222024), // Rule ID 7931 //
     /*  221955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221995 */     // MIs[1] Operand 1
     /*  221995 */     // No operand predicates
     /*  221995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222022 */     GIR_RootConstrainSelectedInstOperands,
     /*  222023 */     // GIR_Coverage, 7931,
     /*  222023 */     GIR_EraseRootFromParent_Done,
     /*  222024 */   // Label 4399: @222024
     /*  222024 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(222098), // Rule ID 7934 //
     /*  222029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222069 */     // MIs[1] Operand 1
     /*  222069 */     // No operand predicates
     /*  222069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222096 */     GIR_RootConstrainSelectedInstOperands,
     /*  222097 */     // GIR_Coverage, 7934,
     /*  222097 */     GIR_EraseRootFromParent_Done,
     /*  222098 */   // Label 4400: @222098
     /*  222098 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222172), // Rule ID 7935 //
     /*  222103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222143 */     // MIs[1] Operand 1
     /*  222143 */     // No operand predicates
     /*  222143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222170 */     GIR_RootConstrainSelectedInstOperands,
     /*  222171 */     // GIR_Coverage, 7935,
     /*  222171 */     GIR_EraseRootFromParent_Done,
     /*  222172 */   // Label 4401: @222172
     /*  222172 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222246), // Rule ID 7938 //
     /*  222177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222217 */     // MIs[1] Operand 1
     /*  222217 */     // No operand predicates
     /*  222217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222244 */     GIR_RootConstrainSelectedInstOperands,
     /*  222245 */     // GIR_Coverage, 7938,
     /*  222245 */     GIR_EraseRootFromParent_Done,
     /*  222246 */   // Label 4402: @222246
     /*  222246 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222320), // Rule ID 7939 //
     /*  222251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222291 */     // MIs[1] Operand 1
     /*  222291 */     // No operand predicates
     /*  222291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222318 */     GIR_RootConstrainSelectedInstOperands,
     /*  222319 */     // GIR_Coverage, 7939,
     /*  222319 */     GIR_EraseRootFromParent_Done,
     /*  222320 */   // Label 4403: @222320
     /*  222320 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222394), // Rule ID 7942 //
     /*  222325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222365 */     // MIs[1] Operand 1
     /*  222365 */     // No operand predicates
     /*  222365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222374 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222392 */     GIR_RootConstrainSelectedInstOperands,
     /*  222393 */     // GIR_Coverage, 7942,
     /*  222393 */     GIR_EraseRootFromParent_Done,
     /*  222394 */   // Label 4404: @222394
     /*  222394 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222468), // Rule ID 7943 //
     /*  222399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222439 */     // MIs[1] Operand 1
     /*  222439 */     // No operand predicates
     /*  222439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222466 */     GIR_RootConstrainSelectedInstOperands,
     /*  222467 */     // GIR_Coverage, 7943,
     /*  222467 */     GIR_EraseRootFromParent_Done,
     /*  222468 */   // Label 4405: @222468
     /*  222468 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222542), // Rule ID 8122 //
     /*  222473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222513 */     // MIs[1] Operand 1
     /*  222513 */     // No operand predicates
     /*  222513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222540 */     GIR_RootConstrainSelectedInstOperands,
     /*  222541 */     // GIR_Coverage, 8122,
     /*  222541 */     GIR_EraseRootFromParent_Done,
     /*  222542 */   // Label 4406: @222542
     /*  222542 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222616), // Rule ID 8123 //
     /*  222547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222587 */     // MIs[1] Operand 1
     /*  222587 */     // No operand predicates
     /*  222587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222614 */     GIR_RootConstrainSelectedInstOperands,
     /*  222615 */     // GIR_Coverage, 8123,
     /*  222615 */     GIR_EraseRootFromParent_Done,
     /*  222616 */   // Label 4407: @222616
     /*  222616 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222690), // Rule ID 8126 //
     /*  222621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222661 */     // MIs[1] Operand 1
     /*  222661 */     // No operand predicates
     /*  222661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222688 */     GIR_RootConstrainSelectedInstOperands,
     /*  222689 */     // GIR_Coverage, 8126,
     /*  222689 */     GIR_EraseRootFromParent_Done,
     /*  222690 */   // Label 4408: @222690
     /*  222690 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222764), // Rule ID 8127 //
     /*  222695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222735 */     // MIs[1] Operand 1
     /*  222735 */     // No operand predicates
     /*  222735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222762 */     GIR_RootConstrainSelectedInstOperands,
     /*  222763 */     // GIR_Coverage, 8127,
     /*  222763 */     GIR_EraseRootFromParent_Done,
     /*  222764 */   // Label 4409: @222764
     /*  222764 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222838), // Rule ID 8130 //
     /*  222769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222809 */     // MIs[1] Operand 1
     /*  222809 */     // No operand predicates
     /*  222809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222836 */     GIR_RootConstrainSelectedInstOperands,
     /*  222837 */     // GIR_Coverage, 8130,
     /*  222837 */     GIR_EraseRootFromParent_Done,
     /*  222838 */   // Label 4410: @222838
     /*  222838 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222912), // Rule ID 8131 //
     /*  222843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222883 */     // MIs[1] Operand 1
     /*  222883 */     // No operand predicates
     /*  222883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222910 */     GIR_RootConstrainSelectedInstOperands,
     /*  222911 */     // GIR_Coverage, 8131,
     /*  222911 */     GIR_EraseRootFromParent_Done,
     /*  222912 */   // Label 4411: @222912
     /*  222912 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222986), // Rule ID 8134 //
     /*  222917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222957 */     // MIs[1] Operand 1
     /*  222957 */     // No operand predicates
     /*  222957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222966 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222984 */     GIR_RootConstrainSelectedInstOperands,
     /*  222985 */     // GIR_Coverage, 8134,
     /*  222985 */     GIR_EraseRootFromParent_Done,
     /*  222986 */   // Label 4412: @222986
     /*  222986 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(223060), // Rule ID 8135 //
     /*  222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223031 */     // MIs[1] Operand 1
     /*  223031 */     // No operand predicates
     /*  223031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223058 */     GIR_RootConstrainSelectedInstOperands,
     /*  223059 */     // GIR_Coverage, 8135,
     /*  223059 */     GIR_EraseRootFromParent_Done,
     /*  223060 */   // Label 4413: @223060
     /*  223060 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223134), // Rule ID 8138 //
     /*  223065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223105 */     // MIs[1] Operand 1
     /*  223105 */     // No operand predicates
     /*  223105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223132 */     GIR_RootConstrainSelectedInstOperands,
     /*  223133 */     // GIR_Coverage, 8138,
     /*  223133 */     GIR_EraseRootFromParent_Done,
     /*  223134 */   // Label 4414: @223134
     /*  223134 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223208), // Rule ID 8139 //
     /*  223139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223179 */     // MIs[1] Operand 1
     /*  223179 */     // No operand predicates
     /*  223179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223206 */     GIR_RootConstrainSelectedInstOperands,
     /*  223207 */     // GIR_Coverage, 8139,
     /*  223207 */     GIR_EraseRootFromParent_Done,
     /*  223208 */   // Label 4415: @223208
     /*  223208 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223282), // Rule ID 8142 //
     /*  223213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223253 */     // MIs[1] Operand 1
     /*  223253 */     // No operand predicates
     /*  223253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223262 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223280 */     GIR_RootConstrainSelectedInstOperands,
     /*  223281 */     // GIR_Coverage, 8142,
     /*  223281 */     GIR_EraseRootFromParent_Done,
     /*  223282 */   // Label 4416: @223282
     /*  223282 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223356), // Rule ID 8143 //
     /*  223287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223327 */     // MIs[1] Operand 1
     /*  223327 */     // No operand predicates
     /*  223327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223354 */     GIR_RootConstrainSelectedInstOperands,
     /*  223355 */     // GIR_Coverage, 8143,
     /*  223355 */     GIR_EraseRootFromParent_Done,
     /*  223356 */   // Label 4417: @223356
     /*  223356 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223430), // Rule ID 8146 //
     /*  223361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223401 */     // MIs[1] Operand 1
     /*  223401 */     // No operand predicates
     /*  223401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223428 */     GIR_RootConstrainSelectedInstOperands,
     /*  223429 */     // GIR_Coverage, 8146,
     /*  223429 */     GIR_EraseRootFromParent_Done,
     /*  223430 */   // Label 4418: @223430
     /*  223430 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223504), // Rule ID 8147 //
     /*  223435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223475 */     // MIs[1] Operand 1
     /*  223475 */     // No operand predicates
     /*  223475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223502 */     GIR_RootConstrainSelectedInstOperands,
     /*  223503 */     // GIR_Coverage, 8147,
     /*  223503 */     GIR_EraseRootFromParent_Done,
     /*  223504 */   // Label 4419: @223504
     /*  223504 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223578), // Rule ID 8150 //
     /*  223509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223549 */     // MIs[1] Operand 1
     /*  223549 */     // No operand predicates
     /*  223549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223576 */     GIR_RootConstrainSelectedInstOperands,
     /*  223577 */     // GIR_Coverage, 8150,
     /*  223577 */     GIR_EraseRootFromParent_Done,
     /*  223578 */   // Label 4420: @223578
     /*  223578 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223652), // Rule ID 8151 //
     /*  223583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223623 */     // MIs[1] Operand 1
     /*  223623 */     // No operand predicates
     /*  223623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223650 */     GIR_RootConstrainSelectedInstOperands,
     /*  223651 */     // GIR_Coverage, 8151,
     /*  223651 */     GIR_EraseRootFromParent_Done,
     /*  223652 */   // Label 4421: @223652
     /*  223652 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223726), // Rule ID 8154 //
     /*  223657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223697 */     // MIs[1] Operand 1
     /*  223697 */     // No operand predicates
     /*  223697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223706 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223724 */     GIR_RootConstrainSelectedInstOperands,
     /*  223725 */     // GIR_Coverage, 8154,
     /*  223725 */     GIR_EraseRootFromParent_Done,
     /*  223726 */   // Label 4422: @223726
     /*  223726 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223800), // Rule ID 8155 //
     /*  223731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223771 */     // MIs[1] Operand 1
     /*  223771 */     // No operand predicates
     /*  223771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223798 */     GIR_RootConstrainSelectedInstOperands,
     /*  223799 */     // GIR_Coverage, 8155,
     /*  223799 */     GIR_EraseRootFromParent_Done,
     /*  223800 */   // Label 4423: @223800
     /*  223800 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223874), // Rule ID 8158 //
     /*  223805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223845 */     // MIs[1] Operand 1
     /*  223845 */     // No operand predicates
     /*  223845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223872 */     GIR_RootConstrainSelectedInstOperands,
     /*  223873 */     // GIR_Coverage, 8158,
     /*  223873 */     GIR_EraseRootFromParent_Done,
     /*  223874 */   // Label 4424: @223874
     /*  223874 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223948), // Rule ID 8159 //
     /*  223879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223919 */     // MIs[1] Operand 1
     /*  223919 */     // No operand predicates
     /*  223919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223946 */     GIR_RootConstrainSelectedInstOperands,
     /*  223947 */     // GIR_Coverage, 8159,
     /*  223947 */     GIR_EraseRootFromParent_Done,
     /*  223948 */   // Label 4425: @223948
     /*  223948 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(224022), // Rule ID 8162 //
     /*  223953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223993 */     // MIs[1] Operand 1
     /*  223993 */     // No operand predicates
     /*  223993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224020 */     GIR_RootConstrainSelectedInstOperands,
     /*  224021 */     // GIR_Coverage, 8162,
     /*  224021 */     GIR_EraseRootFromParent_Done,
     /*  224022 */   // Label 4426: @224022
     /*  224022 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224096), // Rule ID 8163 //
     /*  224027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224067 */     // MIs[1] Operand 1
     /*  224067 */     // No operand predicates
     /*  224067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224094 */     GIR_RootConstrainSelectedInstOperands,
     /*  224095 */     // GIR_Coverage, 8163,
     /*  224095 */     GIR_EraseRootFromParent_Done,
     /*  224096 */   // Label 4427: @224096
     /*  224096 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224170), // Rule ID 8166 //
     /*  224101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224141 */     // MIs[1] Operand 1
     /*  224141 */     // No operand predicates
     /*  224141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224150 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224168 */     GIR_RootConstrainSelectedInstOperands,
     /*  224169 */     // GIR_Coverage, 8166,
     /*  224169 */     GIR_EraseRootFromParent_Done,
     /*  224170 */   // Label 4428: @224170
     /*  224170 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224244), // Rule ID 8167 //
     /*  224175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224215 */     // MIs[1] Operand 1
     /*  224215 */     // No operand predicates
     /*  224215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224224 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224242 */     GIR_RootConstrainSelectedInstOperands,
     /*  224243 */     // GIR_Coverage, 8167,
     /*  224243 */     GIR_EraseRootFromParent_Done,
     /*  224244 */   // Label 4429: @224244
     /*  224244 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224318), // Rule ID 8170 //
     /*  224249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224289 */     // MIs[1] Operand 1
     /*  224289 */     // No operand predicates
     /*  224289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224298 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224316 */     GIR_RootConstrainSelectedInstOperands,
     /*  224317 */     // GIR_Coverage, 8170,
     /*  224317 */     GIR_EraseRootFromParent_Done,
     /*  224318 */   // Label 4430: @224318
     /*  224318 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224392), // Rule ID 8171 //
     /*  224323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224363 */     // MIs[1] Operand 1
     /*  224363 */     // No operand predicates
     /*  224363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224372 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224390 */     GIR_RootConstrainSelectedInstOperands,
     /*  224391 */     // GIR_Coverage, 8171,
     /*  224391 */     GIR_EraseRootFromParent_Done,
     /*  224392 */   // Label 4431: @224392
     /*  224392 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224466), // Rule ID 8174 //
     /*  224397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224437 */     // MIs[1] Operand 1
     /*  224437 */     // No operand predicates
     /*  224437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224446 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224464 */     GIR_RootConstrainSelectedInstOperands,
     /*  224465 */     // GIR_Coverage, 8174,
     /*  224465 */     GIR_EraseRootFromParent_Done,
     /*  224466 */   // Label 4432: @224466
     /*  224466 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224540), // Rule ID 8175 //
     /*  224471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224511 */     // MIs[1] Operand 1
     /*  224511 */     // No operand predicates
     /*  224511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224538 */     GIR_RootConstrainSelectedInstOperands,
     /*  224539 */     // GIR_Coverage, 8175,
     /*  224539 */     GIR_EraseRootFromParent_Done,
     /*  224540 */   // Label 4433: @224540
     /*  224540 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224614), // Rule ID 8178 //
     /*  224545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224585 */     // MIs[1] Operand 1
     /*  224585 */     // No operand predicates
     /*  224585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224594 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224612 */     GIR_RootConstrainSelectedInstOperands,
     /*  224613 */     // GIR_Coverage, 8178,
     /*  224613 */     GIR_EraseRootFromParent_Done,
     /*  224614 */   // Label 4434: @224614
     /*  224614 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224688), // Rule ID 8179 //
     /*  224619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224659 */     // MIs[1] Operand 1
     /*  224659 */     // No operand predicates
     /*  224659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224686 */     GIR_RootConstrainSelectedInstOperands,
     /*  224687 */     // GIR_Coverage, 8179,
     /*  224687 */     GIR_EraseRootFromParent_Done,
     /*  224688 */   // Label 4435: @224688
     /*  224688 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224762), // Rule ID 8182 //
     /*  224693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224733 */     // MIs[1] Operand 1
     /*  224733 */     // No operand predicates
     /*  224733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224742 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224760 */     GIR_RootConstrainSelectedInstOperands,
     /*  224761 */     // GIR_Coverage, 8182,
     /*  224761 */     GIR_EraseRootFromParent_Done,
     /*  224762 */   // Label 4436: @224762
     /*  224762 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224836), // Rule ID 8183 //
     /*  224767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224807 */     // MIs[1] Operand 1
     /*  224807 */     // No operand predicates
     /*  224807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224834 */     GIR_RootConstrainSelectedInstOperands,
     /*  224835 */     // GIR_Coverage, 8183,
     /*  224835 */     GIR_EraseRootFromParent_Done,
     /*  224836 */   // Label 4437: @224836
     /*  224836 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224910), // Rule ID 8186 //
     /*  224841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224881 */     // MIs[1] Operand 1
     /*  224881 */     // No operand predicates
     /*  224881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224908 */     GIR_RootConstrainSelectedInstOperands,
     /*  224909 */     // GIR_Coverage, 8186,
     /*  224909 */     GIR_EraseRootFromParent_Done,
     /*  224910 */   // Label 4438: @224910
     /*  224910 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224984), // Rule ID 8187 //
     /*  224915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224955 */     // MIs[1] Operand 1
     /*  224955 */     // No operand predicates
     /*  224955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224982 */     GIR_RootConstrainSelectedInstOperands,
     /*  224983 */     // GIR_Coverage, 8187,
     /*  224983 */     GIR_EraseRootFromParent_Done,
     /*  224984 */   // Label 4439: @224984
     /*  224984 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(225058), // Rule ID 8190 //
     /*  224989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225029 */     // MIs[1] Operand 1
     /*  225029 */     // No operand predicates
     /*  225029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225056 */     GIR_RootConstrainSelectedInstOperands,
     /*  225057 */     // GIR_Coverage, 8190,
     /*  225057 */     GIR_EraseRootFromParent_Done,
     /*  225058 */   // Label 4440: @225058
     /*  225058 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225132), // Rule ID 8191 //
     /*  225063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225103 */     // MIs[1] Operand 1
     /*  225103 */     // No operand predicates
     /*  225103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225130 */     GIR_RootConstrainSelectedInstOperands,
     /*  225131 */     // GIR_Coverage, 8191,
     /*  225131 */     GIR_EraseRootFromParent_Done,
     /*  225132 */   // Label 4441: @225132
     /*  225132 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225206), // Rule ID 8194 //
     /*  225137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225177 */     // MIs[1] Operand 1
     /*  225177 */     // No operand predicates
     /*  225177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225186 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225204 */     GIR_RootConstrainSelectedInstOperands,
     /*  225205 */     // GIR_Coverage, 8194,
     /*  225205 */     GIR_EraseRootFromParent_Done,
     /*  225206 */   // Label 4442: @225206
     /*  225206 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225280), // Rule ID 8195 //
     /*  225211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225251 */     // MIs[1] Operand 1
     /*  225251 */     // No operand predicates
     /*  225251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225278 */     GIR_RootConstrainSelectedInstOperands,
     /*  225279 */     // GIR_Coverage, 8195,
     /*  225279 */     GIR_EraseRootFromParent_Done,
     /*  225280 */   // Label 4443: @225280
     /*  225280 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225354), // Rule ID 8198 //
     /*  225285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225325 */     // MIs[1] Operand 1
     /*  225325 */     // No operand predicates
     /*  225325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225334 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225352 */     GIR_RootConstrainSelectedInstOperands,
     /*  225353 */     // GIR_Coverage, 8198,
     /*  225353 */     GIR_EraseRootFromParent_Done,
     /*  225354 */   // Label 4444: @225354
     /*  225354 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225428), // Rule ID 8199 //
     /*  225359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225399 */     // MIs[1] Operand 1
     /*  225399 */     // No operand predicates
     /*  225399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225426 */     GIR_RootConstrainSelectedInstOperands,
     /*  225427 */     // GIR_Coverage, 8199,
     /*  225427 */     GIR_EraseRootFromParent_Done,
     /*  225428 */   // Label 4445: @225428
     /*  225428 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225502), // Rule ID 8202 //
     /*  225433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225473 */     // MIs[1] Operand 1
     /*  225473 */     // No operand predicates
     /*  225473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225500 */     GIR_RootConstrainSelectedInstOperands,
     /*  225501 */     // GIR_Coverage, 8202,
     /*  225501 */     GIR_EraseRootFromParent_Done,
     /*  225502 */   // Label 4446: @225502
     /*  225502 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225576), // Rule ID 8203 //
     /*  225507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225547 */     // MIs[1] Operand 1
     /*  225547 */     // No operand predicates
     /*  225547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225574 */     GIR_RootConstrainSelectedInstOperands,
     /*  225575 */     // GIR_Coverage, 8203,
     /*  225575 */     GIR_EraseRootFromParent_Done,
     /*  225576 */   // Label 4447: @225576
     /*  225576 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225650), // Rule ID 8206 //
     /*  225581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225621 */     // MIs[1] Operand 1
     /*  225621 */     // No operand predicates
     /*  225621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225648 */     GIR_RootConstrainSelectedInstOperands,
     /*  225649 */     // GIR_Coverage, 8206,
     /*  225649 */     GIR_EraseRootFromParent_Done,
     /*  225650 */   // Label 4448: @225650
     /*  225650 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225724), // Rule ID 8207 //
     /*  225655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225695 */     // MIs[1] Operand 1
     /*  225695 */     // No operand predicates
     /*  225695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225722 */     GIR_RootConstrainSelectedInstOperands,
     /*  225723 */     // GIR_Coverage, 8207,
     /*  225723 */     GIR_EraseRootFromParent_Done,
     /*  225724 */   // Label 4449: @225724
     /*  225724 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225798), // Rule ID 8738 //
     /*  225729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225769 */     // MIs[1] Operand 1
     /*  225769 */     // No operand predicates
     /*  225769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225796 */     GIR_RootConstrainSelectedInstOperands,
     /*  225797 */     // GIR_Coverage, 8738,
     /*  225797 */     GIR_EraseRootFromParent_Done,
     /*  225798 */   // Label 4450: @225798
     /*  225798 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225872), // Rule ID 8739 //
     /*  225803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225843 */     // MIs[1] Operand 1
     /*  225843 */     // No operand predicates
     /*  225843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225870 */     GIR_RootConstrainSelectedInstOperands,
     /*  225871 */     // GIR_Coverage, 8739,
     /*  225871 */     GIR_EraseRootFromParent_Done,
     /*  225872 */   // Label 4451: @225872
     /*  225872 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225946), // Rule ID 8742 //
     /*  225877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225917 */     // MIs[1] Operand 1
     /*  225917 */     // No operand predicates
     /*  225917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225926 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225944 */     GIR_RootConstrainSelectedInstOperands,
     /*  225945 */     // GIR_Coverage, 8742,
     /*  225945 */     GIR_EraseRootFromParent_Done,
     /*  225946 */   // Label 4452: @225946
     /*  225946 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(226020), // Rule ID 8743 //
     /*  225951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225991 */     // MIs[1] Operand 1
     /*  225991 */     // No operand predicates
     /*  225991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226018 */     GIR_RootConstrainSelectedInstOperands,
     /*  226019 */     // GIR_Coverage, 8743,
     /*  226019 */     GIR_EraseRootFromParent_Done,
     /*  226020 */   // Label 4453: @226020
     /*  226020 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(226094), // Rule ID 8746 //
     /*  226025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226065 */     // MIs[1] Operand 1
     /*  226065 */     // No operand predicates
     /*  226065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226092 */     GIR_RootConstrainSelectedInstOperands,
     /*  226093 */     // GIR_Coverage, 8746,
     /*  226093 */     GIR_EraseRootFromParent_Done,
     /*  226094 */   // Label 4454: @226094
     /*  226094 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(226168), // Rule ID 8747 //
     /*  226099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226139 */     // MIs[1] Operand 1
     /*  226139 */     // No operand predicates
     /*  226139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226166 */     GIR_RootConstrainSelectedInstOperands,
     /*  226167 */     // GIR_Coverage, 8747,
     /*  226167 */     GIR_EraseRootFromParent_Done,
     /*  226168 */   // Label 4455: @226168
     /*  226168 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226242), // Rule ID 8750 //
     /*  226173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226213 */     // MIs[1] Operand 1
     /*  226213 */     // No operand predicates
     /*  226213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226222 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226240 */     GIR_RootConstrainSelectedInstOperands,
     /*  226241 */     // GIR_Coverage, 8750,
     /*  226241 */     GIR_EraseRootFromParent_Done,
     /*  226242 */   // Label 4456: @226242
     /*  226242 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226316), // Rule ID 8751 //
     /*  226247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226287 */     // MIs[1] Operand 1
     /*  226287 */     // No operand predicates
     /*  226287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226314 */     GIR_RootConstrainSelectedInstOperands,
     /*  226315 */     // GIR_Coverage, 8751,
     /*  226315 */     GIR_EraseRootFromParent_Done,
     /*  226316 */   // Label 4457: @226316
     /*  226316 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226390), // Rule ID 8754 //
     /*  226321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226361 */     // MIs[1] Operand 1
     /*  226361 */     // No operand predicates
     /*  226361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226370 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226388 */     GIR_RootConstrainSelectedInstOperands,
     /*  226389 */     // GIR_Coverage, 8754,
     /*  226389 */     GIR_EraseRootFromParent_Done,
     /*  226390 */   // Label 4458: @226390
     /*  226390 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226464), // Rule ID 8755 //
     /*  226395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226435 */     // MIs[1] Operand 1
     /*  226435 */     // No operand predicates
     /*  226435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226462 */     GIR_RootConstrainSelectedInstOperands,
     /*  226463 */     // GIR_Coverage, 8755,
     /*  226463 */     GIR_EraseRootFromParent_Done,
     /*  226464 */   // Label 4459: @226464
     /*  226464 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226538), // Rule ID 8758 //
     /*  226469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226509 */     // MIs[1] Operand 1
     /*  226509 */     // No operand predicates
     /*  226509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226536 */     GIR_RootConstrainSelectedInstOperands,
     /*  226537 */     // GIR_Coverage, 8758,
     /*  226537 */     GIR_EraseRootFromParent_Done,
     /*  226538 */   // Label 4460: @226538
     /*  226538 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226612), // Rule ID 8759 //
     /*  226543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226583 */     // MIs[1] Operand 1
     /*  226583 */     // No operand predicates
     /*  226583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226610 */     GIR_RootConstrainSelectedInstOperands,
     /*  226611 */     // GIR_Coverage, 8759,
     /*  226611 */     GIR_EraseRootFromParent_Done,
     /*  226612 */   // Label 4461: @226612
     /*  226612 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226686), // Rule ID 8762 //
     /*  226617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226657 */     // MIs[1] Operand 1
     /*  226657 */     // No operand predicates
     /*  226657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226684 */     GIR_RootConstrainSelectedInstOperands,
     /*  226685 */     // GIR_Coverage, 8762,
     /*  226685 */     GIR_EraseRootFromParent_Done,
     /*  226686 */   // Label 4462: @226686
     /*  226686 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226760), // Rule ID 8763 //
     /*  226691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226731 */     // MIs[1] Operand 1
     /*  226731 */     // No operand predicates
     /*  226731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226758 */     GIR_RootConstrainSelectedInstOperands,
     /*  226759 */     // GIR_Coverage, 8763,
     /*  226759 */     GIR_EraseRootFromParent_Done,
     /*  226760 */   // Label 4463: @226760
     /*  226760 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226834), // Rule ID 8766 //
     /*  226765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226805 */     // MIs[1] Operand 1
     /*  226805 */     // No operand predicates
     /*  226805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226832 */     GIR_RootConstrainSelectedInstOperands,
     /*  226833 */     // GIR_Coverage, 8766,
     /*  226833 */     GIR_EraseRootFromParent_Done,
     /*  226834 */   // Label 4464: @226834
     /*  226834 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226908), // Rule ID 8767 //
     /*  226839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226879 */     // MIs[1] Operand 1
     /*  226879 */     // No operand predicates
     /*  226879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226906 */     GIR_RootConstrainSelectedInstOperands,
     /*  226907 */     // GIR_Coverage, 8767,
     /*  226907 */     GIR_EraseRootFromParent_Done,
     /*  226908 */   // Label 4465: @226908
     /*  226908 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226982), // Rule ID 8770 //
     /*  226913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226953 */     // MIs[1] Operand 1
     /*  226953 */     // No operand predicates
     /*  226953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226980 */     GIR_RootConstrainSelectedInstOperands,
     /*  226981 */     // GIR_Coverage, 8770,
     /*  226981 */     GIR_EraseRootFromParent_Done,
     /*  226982 */   // Label 4466: @226982
     /*  226982 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(227056), // Rule ID 8771 //
     /*  226987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227027 */     // MIs[1] Operand 1
     /*  227027 */     // No operand predicates
     /*  227027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227054 */     GIR_RootConstrainSelectedInstOperands,
     /*  227055 */     // GIR_Coverage, 8771,
     /*  227055 */     GIR_EraseRootFromParent_Done,
     /*  227056 */   // Label 4467: @227056
     /*  227056 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(227130), // Rule ID 8774 //
     /*  227061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227101 */     // MIs[1] Operand 1
     /*  227101 */     // No operand predicates
     /*  227101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227128 */     GIR_RootConstrainSelectedInstOperands,
     /*  227129 */     // GIR_Coverage, 8774,
     /*  227129 */     GIR_EraseRootFromParent_Done,
     /*  227130 */   // Label 4468: @227130
     /*  227130 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227204), // Rule ID 8775 //
     /*  227135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227175 */     // MIs[1] Operand 1
     /*  227175 */     // No operand predicates
     /*  227175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227202 */     GIR_RootConstrainSelectedInstOperands,
     /*  227203 */     // GIR_Coverage, 8775,
     /*  227203 */     GIR_EraseRootFromParent_Done,
     /*  227204 */   // Label 4469: @227204
     /*  227204 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227278), // Rule ID 8778 //
     /*  227209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227249 */     // MIs[1] Operand 1
     /*  227249 */     // No operand predicates
     /*  227249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227276 */     GIR_RootConstrainSelectedInstOperands,
     /*  227277 */     // GIR_Coverage, 8778,
     /*  227277 */     GIR_EraseRootFromParent_Done,
     /*  227278 */   // Label 4470: @227278
     /*  227278 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227352), // Rule ID 8779 //
     /*  227283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227323 */     // MIs[1] Operand 1
     /*  227323 */     // No operand predicates
     /*  227323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227350 */     GIR_RootConstrainSelectedInstOperands,
     /*  227351 */     // GIR_Coverage, 8779,
     /*  227351 */     GIR_EraseRootFromParent_Done,
     /*  227352 */   // Label 4471: @227352
     /*  227352 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227426), // Rule ID 8782 //
     /*  227357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227397 */     // MIs[1] Operand 1
     /*  227397 */     // No operand predicates
     /*  227397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227406 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227424 */     GIR_RootConstrainSelectedInstOperands,
     /*  227425 */     // GIR_Coverage, 8782,
     /*  227425 */     GIR_EraseRootFromParent_Done,
     /*  227426 */   // Label 4472: @227426
     /*  227426 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227500), // Rule ID 8783 //
     /*  227431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227471 */     // MIs[1] Operand 1
     /*  227471 */     // No operand predicates
     /*  227471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227480 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227498 */     GIR_RootConstrainSelectedInstOperands,
     /*  227499 */     // GIR_Coverage, 8783,
     /*  227499 */     GIR_EraseRootFromParent_Done,
     /*  227500 */   // Label 4473: @227500
     /*  227500 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227574), // Rule ID 8786 //
     /*  227505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227545 */     // MIs[1] Operand 1
     /*  227545 */     // No operand predicates
     /*  227545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227554 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227572 */     GIR_RootConstrainSelectedInstOperands,
     /*  227573 */     // GIR_Coverage, 8786,
     /*  227573 */     GIR_EraseRootFromParent_Done,
     /*  227574 */   // Label 4474: @227574
     /*  227574 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227648), // Rule ID 8787 //
     /*  227579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227619 */     // MIs[1] Operand 1
     /*  227619 */     // No operand predicates
     /*  227619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227628 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227646 */     GIR_RootConstrainSelectedInstOperands,
     /*  227647 */     // GIR_Coverage, 8787,
     /*  227647 */     GIR_EraseRootFromParent_Done,
     /*  227648 */   // Label 4475: @227648
     /*  227648 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227722), // Rule ID 8790 //
     /*  227653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227693 */     // MIs[1] Operand 1
     /*  227693 */     // No operand predicates
     /*  227693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227720 */     GIR_RootConstrainSelectedInstOperands,
     /*  227721 */     // GIR_Coverage, 8790,
     /*  227721 */     GIR_EraseRootFromParent_Done,
     /*  227722 */   // Label 4476: @227722
     /*  227722 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227796), // Rule ID 8791 //
     /*  227727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227767 */     // MIs[1] Operand 1
     /*  227767 */     // No operand predicates
     /*  227767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227794 */     GIR_RootConstrainSelectedInstOperands,
     /*  227795 */     // GIR_Coverage, 8791,
     /*  227795 */     GIR_EraseRootFromParent_Done,
     /*  227796 */   // Label 4477: @227796
     /*  227796 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227870), // Rule ID 8794 //
     /*  227801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227841 */     // MIs[1] Operand 1
     /*  227841 */     // No operand predicates
     /*  227841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227850 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227868 */     GIR_RootConstrainSelectedInstOperands,
     /*  227869 */     // GIR_Coverage, 8794,
     /*  227869 */     GIR_EraseRootFromParent_Done,
     /*  227870 */   // Label 4478: @227870
     /*  227870 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227944), // Rule ID 8795 //
     /*  227875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227915 */     // MIs[1] Operand 1
     /*  227915 */     // No operand predicates
     /*  227915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227942 */     GIR_RootConstrainSelectedInstOperands,
     /*  227943 */     // GIR_Coverage, 8795,
     /*  227943 */     GIR_EraseRootFromParent_Done,
     /*  227944 */   // Label 4479: @227944
     /*  227944 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(228018), // Rule ID 8798 //
     /*  227949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227989 */     // MIs[1] Operand 1
     /*  227989 */     // No operand predicates
     /*  227989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227998 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228016 */     GIR_RootConstrainSelectedInstOperands,
     /*  228017 */     // GIR_Coverage, 8798,
     /*  228017 */     GIR_EraseRootFromParent_Done,
     /*  228018 */   // Label 4480: @228018
     /*  228018 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(228092), // Rule ID 8799 //
     /*  228023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228063 */     // MIs[1] Operand 1
     /*  228063 */     // No operand predicates
     /*  228063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228072 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228090 */     GIR_RootConstrainSelectedInstOperands,
     /*  228091 */     // GIR_Coverage, 8799,
     /*  228091 */     GIR_EraseRootFromParent_Done,
     /*  228092 */   // Label 4481: @228092
     /*  228092 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(228166), // Rule ID 8802 //
     /*  228097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228137 */     // MIs[1] Operand 1
     /*  228137 */     // No operand predicates
     /*  228137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228164 */     GIR_RootConstrainSelectedInstOperands,
     /*  228165 */     // GIR_Coverage, 8802,
     /*  228165 */     GIR_EraseRootFromParent_Done,
     /*  228166 */   // Label 4482: @228166
     /*  228166 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228240), // Rule ID 8803 //
     /*  228171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228211 */     // MIs[1] Operand 1
     /*  228211 */     // No operand predicates
     /*  228211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228238 */     GIR_RootConstrainSelectedInstOperands,
     /*  228239 */     // GIR_Coverage, 8803,
     /*  228239 */     GIR_EraseRootFromParent_Done,
     /*  228240 */   // Label 4483: @228240
     /*  228240 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228314), // Rule ID 8806 //
     /*  228245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228285 */     // MIs[1] Operand 1
     /*  228285 */     // No operand predicates
     /*  228285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228294 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228312 */     GIR_RootConstrainSelectedInstOperands,
     /*  228313 */     // GIR_Coverage, 8806,
     /*  228313 */     GIR_EraseRootFromParent_Done,
     /*  228314 */   // Label 4484: @228314
     /*  228314 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228388), // Rule ID 8807 //
     /*  228319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228359 */     // MIs[1] Operand 1
     /*  228359 */     // No operand predicates
     /*  228359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228386 */     GIR_RootConstrainSelectedInstOperands,
     /*  228387 */     // GIR_Coverage, 8807,
     /*  228387 */     GIR_EraseRootFromParent_Done,
     /*  228388 */   // Label 4485: @228388
     /*  228388 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228462), // Rule ID 8810 //
     /*  228393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228433 */     // MIs[1] Operand 1
     /*  228433 */     // No operand predicates
     /*  228433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228442 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228460 */     GIR_RootConstrainSelectedInstOperands,
     /*  228461 */     // GIR_Coverage, 8810,
     /*  228461 */     GIR_EraseRootFromParent_Done,
     /*  228462 */   // Label 4486: @228462
     /*  228462 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228536), // Rule ID 8811 //
     /*  228467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228507 */     // MIs[1] Operand 1
     /*  228507 */     // No operand predicates
     /*  228507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228534 */     GIR_RootConstrainSelectedInstOperands,
     /*  228535 */     // GIR_Coverage, 8811,
     /*  228535 */     GIR_EraseRootFromParent_Done,
     /*  228536 */   // Label 4487: @228536
     /*  228536 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228610), // Rule ID 8814 //
     /*  228541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228581 */     // MIs[1] Operand 1
     /*  228581 */     // No operand predicates
     /*  228581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228608 */     GIR_RootConstrainSelectedInstOperands,
     /*  228609 */     // GIR_Coverage, 8814,
     /*  228609 */     GIR_EraseRootFromParent_Done,
     /*  228610 */   // Label 4488: @228610
     /*  228610 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228684), // Rule ID 8815 //
     /*  228615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228655 */     // MIs[1] Operand 1
     /*  228655 */     // No operand predicates
     /*  228655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228682 */     GIR_RootConstrainSelectedInstOperands,
     /*  228683 */     // GIR_Coverage, 8815,
     /*  228683 */     GIR_EraseRootFromParent_Done,
     /*  228684 */   // Label 4489: @228684
     /*  228684 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228758), // Rule ID 8818 //
     /*  228689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228729 */     // MIs[1] Operand 1
     /*  228729 */     // No operand predicates
     /*  228729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228756 */     GIR_RootConstrainSelectedInstOperands,
     /*  228757 */     // GIR_Coverage, 8818,
     /*  228757 */     GIR_EraseRootFromParent_Done,
     /*  228758 */   // Label 4490: @228758
     /*  228758 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228832), // Rule ID 8819 //
     /*  228763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228803 */     // MIs[1] Operand 1
     /*  228803 */     // No operand predicates
     /*  228803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228830 */     GIR_RootConstrainSelectedInstOperands,
     /*  228831 */     // GIR_Coverage, 8819,
     /*  228831 */     GIR_EraseRootFromParent_Done,
     /*  228832 */   // Label 4491: @228832
     /*  228832 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228906), // Rule ID 8822 //
     /*  228837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228877 */     // MIs[1] Operand 1
     /*  228877 */     // No operand predicates
     /*  228877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228904 */     GIR_RootConstrainSelectedInstOperands,
     /*  228905 */     // GIR_Coverage, 8822,
     /*  228905 */     GIR_EraseRootFromParent_Done,
     /*  228906 */   // Label 4492: @228906
     /*  228906 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228980), // Rule ID 8823 //
     /*  228911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228951 */     // MIs[1] Operand 1
     /*  228951 */     // No operand predicates
     /*  228951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228978 */     GIR_RootConstrainSelectedInstOperands,
     /*  228979 */     // GIR_Coverage, 8823,
     /*  228979 */     GIR_EraseRootFromParent_Done,
     /*  228980 */   // Label 4493: @228980
     /*  228980 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(229054), // Rule ID 9002 //
     /*  228985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  228999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229025 */     // MIs[1] Operand 1
     /*  229025 */     // No operand predicates
     /*  229025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229052 */     GIR_RootConstrainSelectedInstOperands,
     /*  229053 */     // GIR_Coverage, 9002,
     /*  229053 */     GIR_EraseRootFromParent_Done,
     /*  229054 */   // Label 4494: @229054
     /*  229054 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(229128), // Rule ID 9003 //
     /*  229059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229099 */     // MIs[1] Operand 1
     /*  229099 */     // No operand predicates
     /*  229099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229126 */     GIR_RootConstrainSelectedInstOperands,
     /*  229127 */     // GIR_Coverage, 9003,
     /*  229127 */     GIR_EraseRootFromParent_Done,
     /*  229128 */   // Label 4495: @229128
     /*  229128 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229202), // Rule ID 9006 //
     /*  229133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229173 */     // MIs[1] Operand 1
     /*  229173 */     // No operand predicates
     /*  229173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229200 */     GIR_RootConstrainSelectedInstOperands,
     /*  229201 */     // GIR_Coverage, 9006,
     /*  229201 */     GIR_EraseRootFromParent_Done,
     /*  229202 */   // Label 4496: @229202
     /*  229202 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229276), // Rule ID 9007 //
     /*  229207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229247 */     // MIs[1] Operand 1
     /*  229247 */     // No operand predicates
     /*  229247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229274 */     GIR_RootConstrainSelectedInstOperands,
     /*  229275 */     // GIR_Coverage, 9007,
     /*  229275 */     GIR_EraseRootFromParent_Done,
     /*  229276 */   // Label 4497: @229276
     /*  229276 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229350), // Rule ID 9010 //
     /*  229281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229321 */     // MIs[1] Operand 1
     /*  229321 */     // No operand predicates
     /*  229321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229330 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229348 */     GIR_RootConstrainSelectedInstOperands,
     /*  229349 */     // GIR_Coverage, 9010,
     /*  229349 */     GIR_EraseRootFromParent_Done,
     /*  229350 */   // Label 4498: @229350
     /*  229350 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229424), // Rule ID 9011 //
     /*  229355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229395 */     // MIs[1] Operand 1
     /*  229395 */     // No operand predicates
     /*  229395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229422 */     GIR_RootConstrainSelectedInstOperands,
     /*  229423 */     // GIR_Coverage, 9011,
     /*  229423 */     GIR_EraseRootFromParent_Done,
     /*  229424 */   // Label 4499: @229424
     /*  229424 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229498), // Rule ID 9014 //
     /*  229429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229469 */     // MIs[1] Operand 1
     /*  229469 */     // No operand predicates
     /*  229469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229496 */     GIR_RootConstrainSelectedInstOperands,
     /*  229497 */     // GIR_Coverage, 9014,
     /*  229497 */     GIR_EraseRootFromParent_Done,
     /*  229498 */   // Label 4500: @229498
     /*  229498 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229572), // Rule ID 9015 //
     /*  229503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229543 */     // MIs[1] Operand 1
     /*  229543 */     // No operand predicates
     /*  229543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229570 */     GIR_RootConstrainSelectedInstOperands,
     /*  229571 */     // GIR_Coverage, 9015,
     /*  229571 */     GIR_EraseRootFromParent_Done,
     /*  229572 */   // Label 4501: @229572
     /*  229572 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229646), // Rule ID 9018 //
     /*  229577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229617 */     // MIs[1] Operand 1
     /*  229617 */     // No operand predicates
     /*  229617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229626 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229644 */     GIR_RootConstrainSelectedInstOperands,
     /*  229645 */     // GIR_Coverage, 9018,
     /*  229645 */     GIR_EraseRootFromParent_Done,
     /*  229646 */   // Label 4502: @229646
     /*  229646 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229720), // Rule ID 9019 //
     /*  229651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229691 */     // MIs[1] Operand 1
     /*  229691 */     // No operand predicates
     /*  229691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229718 */     GIR_RootConstrainSelectedInstOperands,
     /*  229719 */     // GIR_Coverage, 9019,
     /*  229719 */     GIR_EraseRootFromParent_Done,
     /*  229720 */   // Label 4503: @229720
     /*  229720 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229794), // Rule ID 9022 //
     /*  229725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229765 */     // MIs[1] Operand 1
     /*  229765 */     // No operand predicates
     /*  229765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229792 */     GIR_RootConstrainSelectedInstOperands,
     /*  229793 */     // GIR_Coverage, 9022,
     /*  229793 */     GIR_EraseRootFromParent_Done,
     /*  229794 */   // Label 4504: @229794
     /*  229794 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229868), // Rule ID 9023 //
     /*  229799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229839 */     // MIs[1] Operand 1
     /*  229839 */     // No operand predicates
     /*  229839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229866 */     GIR_RootConstrainSelectedInstOperands,
     /*  229867 */     // GIR_Coverage, 9023,
     /*  229867 */     GIR_EraseRootFromParent_Done,
     /*  229868 */   // Label 4505: @229868
     /*  229868 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229942), // Rule ID 9026 //
     /*  229873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229913 */     // MIs[1] Operand 1
     /*  229913 */     // No operand predicates
     /*  229913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229922 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229940 */     GIR_RootConstrainSelectedInstOperands,
     /*  229941 */     // GIR_Coverage, 9026,
     /*  229941 */     GIR_EraseRootFromParent_Done,
     /*  229942 */   // Label 4506: @229942
     /*  229942 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(230016), // Rule ID 9027 //
     /*  229947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229987 */     // MIs[1] Operand 1
     /*  229987 */     // No operand predicates
     /*  229987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230014 */     GIR_RootConstrainSelectedInstOperands,
     /*  230015 */     // GIR_Coverage, 9027,
     /*  230015 */     GIR_EraseRootFromParent_Done,
     /*  230016 */   // Label 4507: @230016
     /*  230016 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(230090), // Rule ID 9030 //
     /*  230021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230061 */     // MIs[1] Operand 1
     /*  230061 */     // No operand predicates
     /*  230061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230070 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230088 */     GIR_RootConstrainSelectedInstOperands,
     /*  230089 */     // GIR_Coverage, 9030,
     /*  230089 */     GIR_EraseRootFromParent_Done,
     /*  230090 */   // Label 4508: @230090
     /*  230090 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(230164), // Rule ID 9031 //
     /*  230095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230135 */     // MIs[1] Operand 1
     /*  230135 */     // No operand predicates
     /*  230135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230162 */     GIR_RootConstrainSelectedInstOperands,
     /*  230163 */     // GIR_Coverage, 9031,
     /*  230163 */     GIR_EraseRootFromParent_Done,
     /*  230164 */   // Label 4509: @230164
     /*  230164 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230238), // Rule ID 9034 //
     /*  230169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230209 */     // MIs[1] Operand 1
     /*  230209 */     // No operand predicates
     /*  230209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230236 */     GIR_RootConstrainSelectedInstOperands,
     /*  230237 */     // GIR_Coverage, 9034,
     /*  230237 */     GIR_EraseRootFromParent_Done,
     /*  230238 */   // Label 4510: @230238
     /*  230238 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230312), // Rule ID 9035 //
     /*  230243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230283 */     // MIs[1] Operand 1
     /*  230283 */     // No operand predicates
     /*  230283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230310 */     GIR_RootConstrainSelectedInstOperands,
     /*  230311 */     // GIR_Coverage, 9035,
     /*  230311 */     GIR_EraseRootFromParent_Done,
     /*  230312 */   // Label 4511: @230312
     /*  230312 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230386), // Rule ID 9038 //
     /*  230317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230357 */     // MIs[1] Operand 1
     /*  230357 */     // No operand predicates
     /*  230357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230384 */     GIR_RootConstrainSelectedInstOperands,
     /*  230385 */     // GIR_Coverage, 9038,
     /*  230385 */     GIR_EraseRootFromParent_Done,
     /*  230386 */   // Label 4512: @230386
     /*  230386 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230460), // Rule ID 9039 //
     /*  230391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230431 */     // MIs[1] Operand 1
     /*  230431 */     // No operand predicates
     /*  230431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230458 */     GIR_RootConstrainSelectedInstOperands,
     /*  230459 */     // GIR_Coverage, 9039,
     /*  230459 */     GIR_EraseRootFromParent_Done,
     /*  230460 */   // Label 4513: @230460
     /*  230460 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230534), // Rule ID 9042 //
     /*  230465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230505 */     // MIs[1] Operand 1
     /*  230505 */     // No operand predicates
     /*  230505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230514 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230532 */     GIR_RootConstrainSelectedInstOperands,
     /*  230533 */     // GIR_Coverage, 9042,
     /*  230533 */     GIR_EraseRootFromParent_Done,
     /*  230534 */   // Label 4514: @230534
     /*  230534 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230608), // Rule ID 9043 //
     /*  230539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230579 */     // MIs[1] Operand 1
     /*  230579 */     // No operand predicates
     /*  230579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230606 */     GIR_RootConstrainSelectedInstOperands,
     /*  230607 */     // GIR_Coverage, 9043,
     /*  230607 */     GIR_EraseRootFromParent_Done,
     /*  230608 */   // Label 4515: @230608
     /*  230608 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230682), // Rule ID 9046 //
     /*  230613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230653 */     // MIs[1] Operand 1
     /*  230653 */     // No operand predicates
     /*  230653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230662 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230680 */     GIR_RootConstrainSelectedInstOperands,
     /*  230681 */     // GIR_Coverage, 9046,
     /*  230681 */     GIR_EraseRootFromParent_Done,
     /*  230682 */   // Label 4516: @230682
     /*  230682 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230756), // Rule ID 9047 //
     /*  230687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230727 */     // MIs[1] Operand 1
     /*  230727 */     // No operand predicates
     /*  230727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230754 */     GIR_RootConstrainSelectedInstOperands,
     /*  230755 */     // GIR_Coverage, 9047,
     /*  230755 */     GIR_EraseRootFromParent_Done,
     /*  230756 */   // Label 4517: @230756
     /*  230756 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230830), // Rule ID 9050 //
     /*  230761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230801 */     // MIs[1] Operand 1
     /*  230801 */     // No operand predicates
     /*  230801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230810 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230828 */     GIR_RootConstrainSelectedInstOperands,
     /*  230829 */     // GIR_Coverage, 9050,
     /*  230829 */     GIR_EraseRootFromParent_Done,
     /*  230830 */   // Label 4518: @230830
     /*  230830 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230904), // Rule ID 9051 //
     /*  230835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230875 */     // MIs[1] Operand 1
     /*  230875 */     // No operand predicates
     /*  230875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230902 */     GIR_RootConstrainSelectedInstOperands,
     /*  230903 */     // GIR_Coverage, 9051,
     /*  230903 */     GIR_EraseRootFromParent_Done,
     /*  230904 */   // Label 4519: @230904
     /*  230904 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230978), // Rule ID 9054 //
     /*  230909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230949 */     // MIs[1] Operand 1
     /*  230949 */     // No operand predicates
     /*  230949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230976 */     GIR_RootConstrainSelectedInstOperands,
     /*  230977 */     // GIR_Coverage, 9054,
     /*  230977 */     GIR_EraseRootFromParent_Done,
     /*  230978 */   // Label 4520: @230978
     /*  230978 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(231052), // Rule ID 9055 //
     /*  230983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231023 */     // MIs[1] Operand 1
     /*  231023 */     // No operand predicates
     /*  231023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231050 */     GIR_RootConstrainSelectedInstOperands,
     /*  231051 */     // GIR_Coverage, 9055,
     /*  231051 */     GIR_EraseRootFromParent_Done,
     /*  231052 */   // Label 4521: @231052
     /*  231052 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(231126), // Rule ID 9058 //
     /*  231057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231097 */     // MIs[1] Operand 1
     /*  231097 */     // No operand predicates
     /*  231097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231106 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231124 */     GIR_RootConstrainSelectedInstOperands,
     /*  231125 */     // GIR_Coverage, 9058,
     /*  231125 */     GIR_EraseRootFromParent_Done,
     /*  231126 */   // Label 4522: @231126
     /*  231126 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(231200), // Rule ID 9059 //
     /*  231131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231171 */     // MIs[1] Operand 1
     /*  231171 */     // No operand predicates
     /*  231171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231198 */     GIR_RootConstrainSelectedInstOperands,
     /*  231199 */     // GIR_Coverage, 9059,
     /*  231199 */     GIR_EraseRootFromParent_Done,
     /*  231200 */   // Label 4523: @231200
     /*  231200 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231274), // Rule ID 9062 //
     /*  231205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231245 */     // MIs[1] Operand 1
     /*  231245 */     // No operand predicates
     /*  231245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231254 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231272 */     GIR_RootConstrainSelectedInstOperands,
     /*  231273 */     // GIR_Coverage, 9062,
     /*  231273 */     GIR_EraseRootFromParent_Done,
     /*  231274 */   // Label 4524: @231274
     /*  231274 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231348), // Rule ID 9063 //
     /*  231279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231319 */     // MIs[1] Operand 1
     /*  231319 */     // No operand predicates
     /*  231319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231328 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231346 */     GIR_RootConstrainSelectedInstOperands,
     /*  231347 */     // GIR_Coverage, 9063,
     /*  231347 */     GIR_EraseRootFromParent_Done,
     /*  231348 */   // Label 4525: @231348
     /*  231348 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231422), // Rule ID 9066 //
     /*  231353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231393 */     // MIs[1] Operand 1
     /*  231393 */     // No operand predicates
     /*  231393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231420 */     GIR_RootConstrainSelectedInstOperands,
     /*  231421 */     // GIR_Coverage, 9066,
     /*  231421 */     GIR_EraseRootFromParent_Done,
     /*  231422 */   // Label 4526: @231422
     /*  231422 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231496), // Rule ID 9067 //
     /*  231427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231467 */     // MIs[1] Operand 1
     /*  231467 */     // No operand predicates
     /*  231467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231494 */     GIR_RootConstrainSelectedInstOperands,
     /*  231495 */     // GIR_Coverage, 9067,
     /*  231495 */     GIR_EraseRootFromParent_Done,
     /*  231496 */   // Label 4527: @231496
     /*  231496 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231570), // Rule ID 9070 //
     /*  231501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231541 */     // MIs[1] Operand 1
     /*  231541 */     // No operand predicates
     /*  231541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231550 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231568 */     GIR_RootConstrainSelectedInstOperands,
     /*  231569 */     // GIR_Coverage, 9070,
     /*  231569 */     GIR_EraseRootFromParent_Done,
     /*  231570 */   // Label 4528: @231570
     /*  231570 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231644), // Rule ID 9071 //
     /*  231575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231615 */     // MIs[1] Operand 1
     /*  231615 */     // No operand predicates
     /*  231615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231642 */     GIR_RootConstrainSelectedInstOperands,
     /*  231643 */     // GIR_Coverage, 9071,
     /*  231643 */     GIR_EraseRootFromParent_Done,
     /*  231644 */   // Label 4529: @231644
     /*  231644 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231718), // Rule ID 9074 //
     /*  231649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231689 */     // MIs[1] Operand 1
     /*  231689 */     // No operand predicates
     /*  231689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231716 */     GIR_RootConstrainSelectedInstOperands,
     /*  231717 */     // GIR_Coverage, 9074,
     /*  231717 */     GIR_EraseRootFromParent_Done,
     /*  231718 */   // Label 4530: @231718
     /*  231718 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231792), // Rule ID 9075 //
     /*  231723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231763 */     // MIs[1] Operand 1
     /*  231763 */     // No operand predicates
     /*  231763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231790 */     GIR_RootConstrainSelectedInstOperands,
     /*  231791 */     // GIR_Coverage, 9075,
     /*  231791 */     GIR_EraseRootFromParent_Done,
     /*  231792 */   // Label 4531: @231792
     /*  231792 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231866), // Rule ID 9078 //
     /*  231797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231837 */     // MIs[1] Operand 1
     /*  231837 */     // No operand predicates
     /*  231837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231846 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231864 */     GIR_RootConstrainSelectedInstOperands,
     /*  231865 */     // GIR_Coverage, 9078,
     /*  231865 */     GIR_EraseRootFromParent_Done,
     /*  231866 */   // Label 4532: @231866
     /*  231866 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231940), // Rule ID 9079 //
     /*  231871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231911 */     // MIs[1] Operand 1
     /*  231911 */     // No operand predicates
     /*  231911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231938 */     GIR_RootConstrainSelectedInstOperands,
     /*  231939 */     // GIR_Coverage, 9079,
     /*  231939 */     GIR_EraseRootFromParent_Done,
     /*  231940 */   // Label 4533: @231940
     /*  231940 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(232014), // Rule ID 9082 //
     /*  231945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231985 */     // MIs[1] Operand 1
     /*  231985 */     // No operand predicates
     /*  231985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232012 */     GIR_RootConstrainSelectedInstOperands,
     /*  232013 */     // GIR_Coverage, 9082,
     /*  232013 */     GIR_EraseRootFromParent_Done,
     /*  232014 */   // Label 4534: @232014
     /*  232014 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(232088), // Rule ID 9083 //
     /*  232019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232059 */     // MIs[1] Operand 1
     /*  232059 */     // No operand predicates
     /*  232059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232086 */     GIR_RootConstrainSelectedInstOperands,
     /*  232087 */     // GIR_Coverage, 9083,
     /*  232087 */     GIR_EraseRootFromParent_Done,
     /*  232088 */   // Label 4535: @232088
     /*  232088 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(232162), // Rule ID 9086 //
     /*  232093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232133 */     // MIs[1] Operand 1
     /*  232133 */     // No operand predicates
     /*  232133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232142 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232160 */     GIR_RootConstrainSelectedInstOperands,
     /*  232161 */     // GIR_Coverage, 9086,
     /*  232161 */     GIR_EraseRootFromParent_Done,
     /*  232162 */   // Label 4536: @232162
     /*  232162 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232236), // Rule ID 9087 //
     /*  232167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232207 */     // MIs[1] Operand 1
     /*  232207 */     // No operand predicates
     /*  232207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232234 */     GIR_RootConstrainSelectedInstOperands,
     /*  232235 */     // GIR_Coverage, 9087,
     /*  232235 */     GIR_EraseRootFromParent_Done,
     /*  232236 */   // Label 4537: @232236
     /*  232236 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232310), // Rule ID 9178 //
     /*  232241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232281 */     // MIs[1] Operand 1
     /*  232281 */     // No operand predicates
     /*  232281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  232293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232308 */     GIR_RootConstrainSelectedInstOperands,
     /*  232309 */     // GIR_Coverage, 9178,
     /*  232309 */     GIR_EraseRootFromParent_Done,
     /*  232310 */   // Label 4538: @232310
     /*  232310 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232384), // Rule ID 9179 //
     /*  232315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232355 */     // MIs[1] Operand 1
     /*  232355 */     // No operand predicates
     /*  232355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  232367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232382 */     GIR_RootConstrainSelectedInstOperands,
     /*  232383 */     // GIR_Coverage, 9179,
     /*  232383 */     GIR_EraseRootFromParent_Done,
     /*  232384 */   // Label 4539: @232384
     /*  232384 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232458), // Rule ID 9182 //
     /*  232389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232429 */     // MIs[1] Operand 1
     /*  232429 */     // No operand predicates
     /*  232429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232456 */     GIR_RootConstrainSelectedInstOperands,
     /*  232457 */     // GIR_Coverage, 9182,
     /*  232457 */     GIR_EraseRootFromParent_Done,
     /*  232458 */   // Label 4540: @232458
     /*  232458 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232532), // Rule ID 9183 //
     /*  232463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232503 */     // MIs[1] Operand 1
     /*  232503 */     // No operand predicates
     /*  232503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232530 */     GIR_RootConstrainSelectedInstOperands,
     /*  232531 */     // GIR_Coverage, 9183,
     /*  232531 */     GIR_EraseRootFromParent_Done,
     /*  232532 */   // Label 4541: @232532
     /*  232532 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232606), // Rule ID 9186 //
     /*  232537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232577 */     // MIs[1] Operand 1
     /*  232577 */     // No operand predicates
     /*  232577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232586 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232604 */     GIR_RootConstrainSelectedInstOperands,
     /*  232605 */     // GIR_Coverage, 9186,
     /*  232605 */     GIR_EraseRootFromParent_Done,
     /*  232606 */   // Label 4542: @232606
     /*  232606 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232680), // Rule ID 9187 //
     /*  232611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232651 */     // MIs[1] Operand 1
     /*  232651 */     // No operand predicates
     /*  232651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232678 */     GIR_RootConstrainSelectedInstOperands,
     /*  232679 */     // GIR_Coverage, 9187,
     /*  232679 */     GIR_EraseRootFromParent_Done,
     /*  232680 */   // Label 4543: @232680
     /*  232680 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232754), // Rule ID 9190 //
     /*  232685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232725 */     // MIs[1] Operand 1
     /*  232725 */     // No operand predicates
     /*  232725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232752 */     GIR_RootConstrainSelectedInstOperands,
     /*  232753 */     // GIR_Coverage, 9190,
     /*  232753 */     GIR_EraseRootFromParent_Done,
     /*  232754 */   // Label 4544: @232754
     /*  232754 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232828), // Rule ID 9191 //
     /*  232759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232799 */     // MIs[1] Operand 1
     /*  232799 */     // No operand predicates
     /*  232799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232826 */     GIR_RootConstrainSelectedInstOperands,
     /*  232827 */     // GIR_Coverage, 9191,
     /*  232827 */     GIR_EraseRootFromParent_Done,
     /*  232828 */   // Label 4545: @232828
     /*  232828 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232902), // Rule ID 9194 //
     /*  232833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232873 */     // MIs[1] Operand 1
     /*  232873 */     // No operand predicates
     /*  232873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232882 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232900 */     GIR_RootConstrainSelectedInstOperands,
     /*  232901 */     // GIR_Coverage, 9194,
     /*  232901 */     GIR_EraseRootFromParent_Done,
     /*  232902 */   // Label 4546: @232902
     /*  232902 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232976), // Rule ID 9195 //
     /*  232907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232947 */     // MIs[1] Operand 1
     /*  232947 */     // No operand predicates
     /*  232947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232974 */     GIR_RootConstrainSelectedInstOperands,
     /*  232975 */     // GIR_Coverage, 9195,
     /*  232975 */     GIR_EraseRootFromParent_Done,
     /*  232976 */   // Label 4547: @232976
     /*  232976 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(233050), // Rule ID 9198 //
     /*  232981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233021 */     // MIs[1] Operand 1
     /*  233021 */     // No operand predicates
     /*  233021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233030 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233048 */     GIR_RootConstrainSelectedInstOperands,
     /*  233049 */     // GIR_Coverage, 9198,
     /*  233049 */     GIR_EraseRootFromParent_Done,
     /*  233050 */   // Label 4548: @233050
     /*  233050 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(233124), // Rule ID 9199 //
     /*  233055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233095 */     // MIs[1] Operand 1
     /*  233095 */     // No operand predicates
     /*  233095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233122 */     GIR_RootConstrainSelectedInstOperands,
     /*  233123 */     // GIR_Coverage, 9199,
     /*  233123 */     GIR_EraseRootFromParent_Done,
     /*  233124 */   // Label 4549: @233124
     /*  233124 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(233198), // Rule ID 9202 //
     /*  233129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233169 */     // MIs[1] Operand 1
     /*  233169 */     // No operand predicates
     /*  233169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233178 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233196 */     GIR_RootConstrainSelectedInstOperands,
     /*  233197 */     // GIR_Coverage, 9202,
     /*  233197 */     GIR_EraseRootFromParent_Done,
     /*  233198 */   // Label 4550: @233198
     /*  233198 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233272), // Rule ID 9203 //
     /*  233203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233243 */     // MIs[1] Operand 1
     /*  233243 */     // No operand predicates
     /*  233243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233270 */     GIR_RootConstrainSelectedInstOperands,
     /*  233271 */     // GIR_Coverage, 9203,
     /*  233271 */     GIR_EraseRootFromParent_Done,
     /*  233272 */   // Label 4551: @233272
     /*  233272 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233346), // Rule ID 9206 //
     /*  233277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233317 */     // MIs[1] Operand 1
     /*  233317 */     // No operand predicates
     /*  233317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233344 */     GIR_RootConstrainSelectedInstOperands,
     /*  233345 */     // GIR_Coverage, 9206,
     /*  233345 */     GIR_EraseRootFromParent_Done,
     /*  233346 */   // Label 4552: @233346
     /*  233346 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233420), // Rule ID 9207 //
     /*  233351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233391 */     // MIs[1] Operand 1
     /*  233391 */     // No operand predicates
     /*  233391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233418 */     GIR_RootConstrainSelectedInstOperands,
     /*  233419 */     // GIR_Coverage, 9207,
     /*  233419 */     GIR_EraseRootFromParent_Done,
     /*  233420 */   // Label 4553: @233420
     /*  233420 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233494), // Rule ID 9210 //
     /*  233425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233465 */     // MIs[1] Operand 1
     /*  233465 */     // No operand predicates
     /*  233465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233474 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233492 */     GIR_RootConstrainSelectedInstOperands,
     /*  233493 */     // GIR_Coverage, 9210,
     /*  233493 */     GIR_EraseRootFromParent_Done,
     /*  233494 */   // Label 4554: @233494
     /*  233494 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233568), // Rule ID 9211 //
     /*  233499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233539 */     // MIs[1] Operand 1
     /*  233539 */     // No operand predicates
     /*  233539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233566 */     GIR_RootConstrainSelectedInstOperands,
     /*  233567 */     // GIR_Coverage, 9211,
     /*  233567 */     GIR_EraseRootFromParent_Done,
     /*  233568 */   // Label 4555: @233568
     /*  233568 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233642), // Rule ID 9214 //
     /*  233573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233613 */     // MIs[1] Operand 1
     /*  233613 */     // No operand predicates
     /*  233613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233640 */     GIR_RootConstrainSelectedInstOperands,
     /*  233641 */     // GIR_Coverage, 9214,
     /*  233641 */     GIR_EraseRootFromParent_Done,
     /*  233642 */   // Label 4556: @233642
     /*  233642 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233716), // Rule ID 9215 //
     /*  233647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233687 */     // MIs[1] Operand 1
     /*  233687 */     // No operand predicates
     /*  233687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233714 */     GIR_RootConstrainSelectedInstOperands,
     /*  233715 */     // GIR_Coverage, 9215,
     /*  233715 */     GIR_EraseRootFromParent_Done,
     /*  233716 */   // Label 4557: @233716
     /*  233716 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233790), // Rule ID 9218 //
     /*  233721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233761 */     // MIs[1] Operand 1
     /*  233761 */     // No operand predicates
     /*  233761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233770 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233788 */     GIR_RootConstrainSelectedInstOperands,
     /*  233789 */     // GIR_Coverage, 9218,
     /*  233789 */     GIR_EraseRootFromParent_Done,
     /*  233790 */   // Label 4558: @233790
     /*  233790 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233864), // Rule ID 9219 //
     /*  233795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233835 */     // MIs[1] Operand 1
     /*  233835 */     // No operand predicates
     /*  233835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233862 */     GIR_RootConstrainSelectedInstOperands,
     /*  233863 */     // GIR_Coverage, 9219,
     /*  233863 */     GIR_EraseRootFromParent_Done,
     /*  233864 */   // Label 4559: @233864
     /*  233864 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233938), // Rule ID 9222 //
     /*  233869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233909 */     // MIs[1] Operand 1
     /*  233909 */     // No operand predicates
     /*  233909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233918 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233936 */     GIR_RootConstrainSelectedInstOperands,
     /*  233937 */     // GIR_Coverage, 9222,
     /*  233937 */     GIR_EraseRootFromParent_Done,
     /*  233938 */   // Label 4560: @233938
     /*  233938 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(234012), // Rule ID 9223 //
     /*  233943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233983 */     // MIs[1] Operand 1
     /*  233983 */     // No operand predicates
     /*  233983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234010 */     GIR_RootConstrainSelectedInstOperands,
     /*  234011 */     // GIR_Coverage, 9223,
     /*  234011 */     GIR_EraseRootFromParent_Done,
     /*  234012 */   // Label 4561: @234012
     /*  234012 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(234086), // Rule ID 9226 //
     /*  234017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234057 */     // MIs[1] Operand 1
     /*  234057 */     // No operand predicates
     /*  234057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234066 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234084 */     GIR_RootConstrainSelectedInstOperands,
     /*  234085 */     // GIR_Coverage, 9226,
     /*  234085 */     GIR_EraseRootFromParent_Done,
     /*  234086 */   // Label 4562: @234086
     /*  234086 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(234160), // Rule ID 9227 //
     /*  234091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234131 */     // MIs[1] Operand 1
     /*  234131 */     // No operand predicates
     /*  234131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234140 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234158 */     GIR_RootConstrainSelectedInstOperands,
     /*  234159 */     // GIR_Coverage, 9227,
     /*  234159 */     GIR_EraseRootFromParent_Done,
     /*  234160 */   // Label 4563: @234160
     /*  234160 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234234), // Rule ID 9230 //
     /*  234165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234205 */     // MIs[1] Operand 1
     /*  234205 */     // No operand predicates
     /*  234205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234232 */     GIR_RootConstrainSelectedInstOperands,
     /*  234233 */     // GIR_Coverage, 9230,
     /*  234233 */     GIR_EraseRootFromParent_Done,
     /*  234234 */   // Label 4564: @234234
     /*  234234 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234308), // Rule ID 9231 //
     /*  234239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234279 */     // MIs[1] Operand 1
     /*  234279 */     // No operand predicates
     /*  234279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234306 */     GIR_RootConstrainSelectedInstOperands,
     /*  234307 */     // GIR_Coverage, 9231,
     /*  234307 */     GIR_EraseRootFromParent_Done,
     /*  234308 */   // Label 4565: @234308
     /*  234308 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234382), // Rule ID 9234 //
     /*  234313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234353 */     // MIs[1] Operand 1
     /*  234353 */     // No operand predicates
     /*  234353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234380 */     GIR_RootConstrainSelectedInstOperands,
     /*  234381 */     // GIR_Coverage, 9234,
     /*  234381 */     GIR_EraseRootFromParent_Done,
     /*  234382 */   // Label 4566: @234382
     /*  234382 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234456), // Rule ID 9235 //
     /*  234387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234427 */     // MIs[1] Operand 1
     /*  234427 */     // No operand predicates
     /*  234427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234454 */     GIR_RootConstrainSelectedInstOperands,
     /*  234455 */     // GIR_Coverage, 9235,
     /*  234455 */     GIR_EraseRootFromParent_Done,
     /*  234456 */   // Label 4567: @234456
     /*  234456 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234530), // Rule ID 9238 //
     /*  234461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234501 */     // MIs[1] Operand 1
     /*  234501 */     // No operand predicates
     /*  234501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234528 */     GIR_RootConstrainSelectedInstOperands,
     /*  234529 */     // GIR_Coverage, 9238,
     /*  234529 */     GIR_EraseRootFromParent_Done,
     /*  234530 */   // Label 4568: @234530
     /*  234530 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234604), // Rule ID 9239 //
     /*  234535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234575 */     // MIs[1] Operand 1
     /*  234575 */     // No operand predicates
     /*  234575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234602 */     GIR_RootConstrainSelectedInstOperands,
     /*  234603 */     // GIR_Coverage, 9239,
     /*  234603 */     GIR_EraseRootFromParent_Done,
     /*  234604 */   // Label 4569: @234604
     /*  234604 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234678), // Rule ID 9242 //
     /*  234609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234649 */     // MIs[1] Operand 1
     /*  234649 */     // No operand predicates
     /*  234649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234676 */     GIR_RootConstrainSelectedInstOperands,
     /*  234677 */     // GIR_Coverage, 9242,
     /*  234677 */     GIR_EraseRootFromParent_Done,
     /*  234678 */   // Label 4570: @234678
     /*  234678 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234752), // Rule ID 9243 //
     /*  234683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234723 */     // MIs[1] Operand 1
     /*  234723 */     // No operand predicates
     /*  234723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234750 */     GIR_RootConstrainSelectedInstOperands,
     /*  234751 */     // GIR_Coverage, 9243,
     /*  234751 */     GIR_EraseRootFromParent_Done,
     /*  234752 */   // Label 4571: @234752
     /*  234752 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234826), // Rule ID 9246 //
     /*  234757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234797 */     // MIs[1] Operand 1
     /*  234797 */     // No operand predicates
     /*  234797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234824 */     GIR_RootConstrainSelectedInstOperands,
     /*  234825 */     // GIR_Coverage, 9246,
     /*  234825 */     GIR_EraseRootFromParent_Done,
     /*  234826 */   // Label 4572: @234826
     /*  234826 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234900), // Rule ID 9247 //
     /*  234831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234871 */     // MIs[1] Operand 1
     /*  234871 */     // No operand predicates
     /*  234871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234898 */     GIR_RootConstrainSelectedInstOperands,
     /*  234899 */     // GIR_Coverage, 9247,
     /*  234899 */     GIR_EraseRootFromParent_Done,
     /*  234900 */   // Label 4573: @234900
     /*  234900 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234974), // Rule ID 9250 //
     /*  234905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234945 */     // MIs[1] Operand 1
     /*  234945 */     // No operand predicates
     /*  234945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234972 */     GIR_RootConstrainSelectedInstOperands,
     /*  234973 */     // GIR_Coverage, 9250,
     /*  234973 */     GIR_EraseRootFromParent_Done,
     /*  234974 */   // Label 4574: @234974
     /*  234974 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(235048), // Rule ID 9251 //
     /*  234979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235019 */     // MIs[1] Operand 1
     /*  235019 */     // No operand predicates
     /*  235019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235046 */     GIR_RootConstrainSelectedInstOperands,
     /*  235047 */     // GIR_Coverage, 9251,
     /*  235047 */     GIR_EraseRootFromParent_Done,
     /*  235048 */   // Label 4575: @235048
     /*  235048 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(235122), // Rule ID 9254 //
     /*  235053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235093 */     // MIs[1] Operand 1
     /*  235093 */     // No operand predicates
     /*  235093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235102 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235120 */     GIR_RootConstrainSelectedInstOperands,
     /*  235121 */     // GIR_Coverage, 9254,
     /*  235121 */     GIR_EraseRootFromParent_Done,
     /*  235122 */   // Label 4576: @235122
     /*  235122 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(235196), // Rule ID 9255 //
     /*  235127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235167 */     // MIs[1] Operand 1
     /*  235167 */     // No operand predicates
     /*  235167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235194 */     GIR_RootConstrainSelectedInstOperands,
     /*  235195 */     // GIR_Coverage, 9255,
     /*  235195 */     GIR_EraseRootFromParent_Done,
     /*  235196 */   // Label 4577: @235196
     /*  235196 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235270), // Rule ID 9258 //
     /*  235201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235241 */     // MIs[1] Operand 1
     /*  235241 */     // No operand predicates
     /*  235241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235268 */     GIR_RootConstrainSelectedInstOperands,
     /*  235269 */     // GIR_Coverage, 9258,
     /*  235269 */     GIR_EraseRootFromParent_Done,
     /*  235270 */   // Label 4578: @235270
     /*  235270 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235344), // Rule ID 9259 //
     /*  235275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235315 */     // MIs[1] Operand 1
     /*  235315 */     // No operand predicates
     /*  235315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235342 */     GIR_RootConstrainSelectedInstOperands,
     /*  235343 */     // GIR_Coverage, 9259,
     /*  235343 */     GIR_EraseRootFromParent_Done,
     /*  235344 */   // Label 4579: @235344
     /*  235344 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235418), // Rule ID 9262 //
     /*  235349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235389 */     // MIs[1] Operand 1
     /*  235389 */     // No operand predicates
     /*  235389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235416 */     GIR_RootConstrainSelectedInstOperands,
     /*  235417 */     // GIR_Coverage, 9262,
     /*  235417 */     GIR_EraseRootFromParent_Done,
     /*  235418 */   // Label 4580: @235418
     /*  235418 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235492), // Rule ID 9263 //
     /*  235423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235463 */     // MIs[1] Operand 1
     /*  235463 */     // No operand predicates
     /*  235463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235490 */     GIR_RootConstrainSelectedInstOperands,
     /*  235491 */     // GIR_Coverage, 9263,
     /*  235491 */     GIR_EraseRootFromParent_Done,
     /*  235492 */   // Label 4581: @235492
     /*  235492 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235566), // Rule ID 9354 //
     /*  235497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235537 */     // MIs[1] Operand 1
     /*  235537 */     // No operand predicates
     /*  235537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235546 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235564 */     GIR_RootConstrainSelectedInstOperands,
     /*  235565 */     // GIR_Coverage, 9354,
     /*  235565 */     GIR_EraseRootFromParent_Done,
     /*  235566 */   // Label 4582: @235566
     /*  235566 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235640), // Rule ID 9355 //
     /*  235571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235611 */     // MIs[1] Operand 1
     /*  235611 */     // No operand predicates
     /*  235611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235638 */     GIR_RootConstrainSelectedInstOperands,
     /*  235639 */     // GIR_Coverage, 9355,
     /*  235639 */     GIR_EraseRootFromParent_Done,
     /*  235640 */   // Label 4583: @235640
     /*  235640 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235714), // Rule ID 9358 //
     /*  235645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235685 */     // MIs[1] Operand 1
     /*  235685 */     // No operand predicates
     /*  235685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235712 */     GIR_RootConstrainSelectedInstOperands,
     /*  235713 */     // GIR_Coverage, 9358,
     /*  235713 */     GIR_EraseRootFromParent_Done,
     /*  235714 */   // Label 4584: @235714
     /*  235714 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235788), // Rule ID 9359 //
     /*  235719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235759 */     // MIs[1] Operand 1
     /*  235759 */     // No operand predicates
     /*  235759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235786 */     GIR_RootConstrainSelectedInstOperands,
     /*  235787 */     // GIR_Coverage, 9359,
     /*  235787 */     GIR_EraseRootFromParent_Done,
     /*  235788 */   // Label 4585: @235788
     /*  235788 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235862), // Rule ID 9362 //
     /*  235793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235833 */     // MIs[1] Operand 1
     /*  235833 */     // No operand predicates
     /*  235833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235842 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235860 */     GIR_RootConstrainSelectedInstOperands,
     /*  235861 */     // GIR_Coverage, 9362,
     /*  235861 */     GIR_EraseRootFromParent_Done,
     /*  235862 */   // Label 4586: @235862
     /*  235862 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235936), // Rule ID 9363 //
     /*  235867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235907 */     // MIs[1] Operand 1
     /*  235907 */     // No operand predicates
     /*  235907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235934 */     GIR_RootConstrainSelectedInstOperands,
     /*  235935 */     // GIR_Coverage, 9363,
     /*  235935 */     GIR_EraseRootFromParent_Done,
     /*  235936 */   // Label 4587: @235936
     /*  235936 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(236010), // Rule ID 9366 //
     /*  235941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235981 */     // MIs[1] Operand 1
     /*  235981 */     // No operand predicates
     /*  235981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236008 */     GIR_RootConstrainSelectedInstOperands,
     /*  236009 */     // GIR_Coverage, 9366,
     /*  236009 */     GIR_EraseRootFromParent_Done,
     /*  236010 */   // Label 4588: @236010
     /*  236010 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(236084), // Rule ID 9367 //
     /*  236015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236055 */     // MIs[1] Operand 1
     /*  236055 */     // No operand predicates
     /*  236055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236082 */     GIR_RootConstrainSelectedInstOperands,
     /*  236083 */     // GIR_Coverage, 9367,
     /*  236083 */     GIR_EraseRootFromParent_Done,
     /*  236084 */   // Label 4589: @236084
     /*  236084 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(236158), // Rule ID 9370 //
     /*  236089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236129 */     // MIs[1] Operand 1
     /*  236129 */     // No operand predicates
     /*  236129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236138 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236156 */     GIR_RootConstrainSelectedInstOperands,
     /*  236157 */     // GIR_Coverage, 9370,
     /*  236157 */     GIR_EraseRootFromParent_Done,
     /*  236158 */   // Label 4590: @236158
     /*  236158 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236232), // Rule ID 9371 //
     /*  236163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236203 */     // MIs[1] Operand 1
     /*  236203 */     // No operand predicates
     /*  236203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236230 */     GIR_RootConstrainSelectedInstOperands,
     /*  236231 */     // GIR_Coverage, 9371,
     /*  236231 */     GIR_EraseRootFromParent_Done,
     /*  236232 */   // Label 4591: @236232
     /*  236232 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236306), // Rule ID 9374 //
     /*  236237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236277 */     // MIs[1] Operand 1
     /*  236277 */     // No operand predicates
     /*  236277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236286 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236304 */     GIR_RootConstrainSelectedInstOperands,
     /*  236305 */     // GIR_Coverage, 9374,
     /*  236305 */     GIR_EraseRootFromParent_Done,
     /*  236306 */   // Label 4592: @236306
     /*  236306 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236380), // Rule ID 9375 //
     /*  236311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236351 */     // MIs[1] Operand 1
     /*  236351 */     // No operand predicates
     /*  236351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236378 */     GIR_RootConstrainSelectedInstOperands,
     /*  236379 */     // GIR_Coverage, 9375,
     /*  236379 */     GIR_EraseRootFromParent_Done,
     /*  236380 */   // Label 4593: @236380
     /*  236380 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236454), // Rule ID 9378 //
     /*  236385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236425 */     // MIs[1] Operand 1
     /*  236425 */     // No operand predicates
     /*  236425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236452 */     GIR_RootConstrainSelectedInstOperands,
     /*  236453 */     // GIR_Coverage, 9378,
     /*  236453 */     GIR_EraseRootFromParent_Done,
     /*  236454 */   // Label 4594: @236454
     /*  236454 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236528), // Rule ID 9379 //
     /*  236459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236499 */     // MIs[1] Operand 1
     /*  236499 */     // No operand predicates
     /*  236499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236526 */     GIR_RootConstrainSelectedInstOperands,
     /*  236527 */     // GIR_Coverage, 9379,
     /*  236527 */     GIR_EraseRootFromParent_Done,
     /*  236528 */   // Label 4595: @236528
     /*  236528 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236602), // Rule ID 9382 //
     /*  236533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236573 */     // MIs[1] Operand 1
     /*  236573 */     // No operand predicates
     /*  236573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236600 */     GIR_RootConstrainSelectedInstOperands,
     /*  236601 */     // GIR_Coverage, 9382,
     /*  236601 */     GIR_EraseRootFromParent_Done,
     /*  236602 */   // Label 4596: @236602
     /*  236602 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236676), // Rule ID 9383 //
     /*  236607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236647 */     // MIs[1] Operand 1
     /*  236647 */     // No operand predicates
     /*  236647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236674 */     GIR_RootConstrainSelectedInstOperands,
     /*  236675 */     // GIR_Coverage, 9383,
     /*  236675 */     GIR_EraseRootFromParent_Done,
     /*  236676 */   // Label 4597: @236676
     /*  236676 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236750), // Rule ID 9386 //
     /*  236681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236721 */     // MIs[1] Operand 1
     /*  236721 */     // No operand predicates
     /*  236721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236748 */     GIR_RootConstrainSelectedInstOperands,
     /*  236749 */     // GIR_Coverage, 9386,
     /*  236749 */     GIR_EraseRootFromParent_Done,
     /*  236750 */   // Label 4598: @236750
     /*  236750 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236824), // Rule ID 9387 //
     /*  236755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236795 */     // MIs[1] Operand 1
     /*  236795 */     // No operand predicates
     /*  236795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236822 */     GIR_RootConstrainSelectedInstOperands,
     /*  236823 */     // GIR_Coverage, 9387,
     /*  236823 */     GIR_EraseRootFromParent_Done,
     /*  236824 */   // Label 4599: @236824
     /*  236824 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236898), // Rule ID 9390 //
     /*  236829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236869 */     // MIs[1] Operand 1
     /*  236869 */     // No operand predicates
     /*  236869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236896 */     GIR_RootConstrainSelectedInstOperands,
     /*  236897 */     // GIR_Coverage, 9390,
     /*  236897 */     GIR_EraseRootFromParent_Done,
     /*  236898 */   // Label 4600: @236898
     /*  236898 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236972), // Rule ID 9391 //
     /*  236903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236943 */     // MIs[1] Operand 1
     /*  236943 */     // No operand predicates
     /*  236943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236970 */     GIR_RootConstrainSelectedInstOperands,
     /*  236971 */     // GIR_Coverage, 9391,
     /*  236971 */     GIR_EraseRootFromParent_Done,
     /*  236972 */   // Label 4601: @236972
     /*  236972 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(237046), // Rule ID 9394 //
     /*  236977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237017 */     // MIs[1] Operand 1
     /*  237017 */     // No operand predicates
     /*  237017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237026 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237044 */     GIR_RootConstrainSelectedInstOperands,
     /*  237045 */     // GIR_Coverage, 9394,
     /*  237045 */     GIR_EraseRootFromParent_Done,
     /*  237046 */   // Label 4602: @237046
     /*  237046 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(237120), // Rule ID 9395 //
     /*  237051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237091 */     // MIs[1] Operand 1
     /*  237091 */     // No operand predicates
     /*  237091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237118 */     GIR_RootConstrainSelectedInstOperands,
     /*  237119 */     // GIR_Coverage, 9395,
     /*  237119 */     GIR_EraseRootFromParent_Done,
     /*  237120 */   // Label 4603: @237120
     /*  237120 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(237194), // Rule ID 9398 //
     /*  237125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237165 */     // MIs[1] Operand 1
     /*  237165 */     // No operand predicates
     /*  237165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237174 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237192 */     GIR_RootConstrainSelectedInstOperands,
     /*  237193 */     // GIR_Coverage, 9398,
     /*  237193 */     GIR_EraseRootFromParent_Done,
     /*  237194 */   // Label 4604: @237194
     /*  237194 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237268), // Rule ID 9399 //
     /*  237199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237239 */     // MIs[1] Operand 1
     /*  237239 */     // No operand predicates
     /*  237239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237266 */     GIR_RootConstrainSelectedInstOperands,
     /*  237267 */     // GIR_Coverage, 9399,
     /*  237267 */     GIR_EraseRootFromParent_Done,
     /*  237268 */   // Label 4605: @237268
     /*  237268 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237342), // Rule ID 9402 //
     /*  237273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  237284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  237287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237313 */     // MIs[1] Operand 1
     /*  237313 */     // No operand predicates
     /*  237313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237322 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237340 */     GIR_RootConstrainSelectedInstOperands,
     /*  237341 */     // GIR_Coverage, 9402,
     /*  237341 */     GIR_EraseRootFromParent_Done,
     /*  237342 */   // Label 4606: @237342
     /*  237342 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237416), // Rule ID 9403 //
     /*  237347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  237358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  237361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237387 */     // MIs[1] Operand 1
     /*  237387 */     // No operand predicates
     /*  237387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237396 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237414 */     GIR_RootConstrainSelectedInstOperands,
     /*  237415 */     // GIR_Coverage, 9403,
     /*  237415 */     GIR_EraseRootFromParent_Done,
     /*  237416 */   // Label 4607: @237416
     /*  237416 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237490), // Rule ID 9406 //
     /*  237421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237461 */     // MIs[1] Operand 1
     /*  237461 */     // No operand predicates
     /*  237461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237488 */     GIR_RootConstrainSelectedInstOperands,
     /*  237489 */     // GIR_Coverage, 9406,
     /*  237489 */     GIR_EraseRootFromParent_Done,
     /*  237490 */   // Label 4608: @237490
     /*  237490 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237564), // Rule ID 9407 //
     /*  237495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237535 */     // MIs[1] Operand 1
     /*  237535 */     // No operand predicates
     /*  237535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237562 */     GIR_RootConstrainSelectedInstOperands,
     /*  237563 */     // GIR_Coverage, 9407,
     /*  237563 */     GIR_EraseRootFromParent_Done,
     /*  237564 */   // Label 4609: @237564
     /*  237564 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237638), // Rule ID 9410 //
     /*  237569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237609 */     // MIs[1] Operand 1
     /*  237609 */     // No operand predicates
     /*  237609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237636 */     GIR_RootConstrainSelectedInstOperands,
     /*  237637 */     // GIR_Coverage, 9410,
     /*  237637 */     GIR_EraseRootFromParent_Done,
     /*  237638 */   // Label 4610: @237638
     /*  237638 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237712), // Rule ID 9411 //
     /*  237643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237683 */     // MIs[1] Operand 1
     /*  237683 */     // No operand predicates
     /*  237683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237710 */     GIR_RootConstrainSelectedInstOperands,
     /*  237711 */     // GIR_Coverage, 9411,
     /*  237711 */     GIR_EraseRootFromParent_Done,
     /*  237712 */   // Label 4611: @237712
     /*  237712 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237786), // Rule ID 9414 //
     /*  237717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237757 */     // MIs[1] Operand 1
     /*  237757 */     // No operand predicates
     /*  237757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237766 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237784 */     GIR_RootConstrainSelectedInstOperands,
     /*  237785 */     // GIR_Coverage, 9414,
     /*  237785 */     GIR_EraseRootFromParent_Done,
     /*  237786 */   // Label 4612: @237786
     /*  237786 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237860), // Rule ID 9415 //
     /*  237791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237831 */     // MIs[1] Operand 1
     /*  237831 */     // No operand predicates
     /*  237831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237840 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237858 */     GIR_RootConstrainSelectedInstOperands,
     /*  237859 */     // GIR_Coverage, 9415,
     /*  237859 */     GIR_EraseRootFromParent_Done,
     /*  237860 */   // Label 4613: @237860
     /*  237860 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237934), // Rule ID 9418 //
     /*  237865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237905 */     // MIs[1] Operand 1
     /*  237905 */     // No operand predicates
     /*  237905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237914 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237932 */     GIR_RootConstrainSelectedInstOperands,
     /*  237933 */     // GIR_Coverage, 9418,
     /*  237933 */     GIR_EraseRootFromParent_Done,
     /*  237934 */   // Label 4614: @237934
     /*  237934 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(238008), // Rule ID 9419 //
     /*  237939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237979 */     // MIs[1] Operand 1
     /*  237979 */     // No operand predicates
     /*  237979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238006 */     GIR_RootConstrainSelectedInstOperands,
     /*  238007 */     // GIR_Coverage, 9419,
     /*  238007 */     GIR_EraseRootFromParent_Done,
     /*  238008 */   // Label 4615: @238008
     /*  238008 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(238082), // Rule ID 9422 //
     /*  238013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238053 */     // MIs[1] Operand 1
     /*  238053 */     // No operand predicates
     /*  238053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238080 */     GIR_RootConstrainSelectedInstOperands,
     /*  238081 */     // GIR_Coverage, 9422,
     /*  238081 */     GIR_EraseRootFromParent_Done,
     /*  238082 */   // Label 4616: @238082
     /*  238082 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(238156), // Rule ID 9423 //
     /*  238087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238127 */     // MIs[1] Operand 1
     /*  238127 */     // No operand predicates
     /*  238127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238154 */     GIR_RootConstrainSelectedInstOperands,
     /*  238155 */     // GIR_Coverage, 9423,
     /*  238155 */     GIR_EraseRootFromParent_Done,
     /*  238156 */   // Label 4617: @238156
     /*  238156 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238230), // Rule ID 9426 //
     /*  238161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238201 */     // MIs[1] Operand 1
     /*  238201 */     // No operand predicates
     /*  238201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238210 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238228 */     GIR_RootConstrainSelectedInstOperands,
     /*  238229 */     // GIR_Coverage, 9426,
     /*  238229 */     GIR_EraseRootFromParent_Done,
     /*  238230 */   // Label 4618: @238230
     /*  238230 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238304), // Rule ID 9427 //
     /*  238235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238275 */     // MIs[1] Operand 1
     /*  238275 */     // No operand predicates
     /*  238275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238302 */     GIR_RootConstrainSelectedInstOperands,
     /*  238303 */     // GIR_Coverage, 9427,
     /*  238303 */     GIR_EraseRootFromParent_Done,
     /*  238304 */   // Label 4619: @238304
     /*  238304 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238378), // Rule ID 9430 //
     /*  238309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238349 */     // MIs[1] Operand 1
     /*  238349 */     // No operand predicates
     /*  238349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238376 */     GIR_RootConstrainSelectedInstOperands,
     /*  238377 */     // GIR_Coverage, 9430,
     /*  238377 */     GIR_EraseRootFromParent_Done,
     /*  238378 */   // Label 4620: @238378
     /*  238378 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238452), // Rule ID 9431 //
     /*  238383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238423 */     // MIs[1] Operand 1
     /*  238423 */     // No operand predicates
     /*  238423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238450 */     GIR_RootConstrainSelectedInstOperands,
     /*  238451 */     // GIR_Coverage, 9431,
     /*  238451 */     GIR_EraseRootFromParent_Done,
     /*  238452 */   // Label 4621: @238452
     /*  238452 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238526), // Rule ID 9434 //
     /*  238457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238497 */     // MIs[1] Operand 1
     /*  238497 */     // No operand predicates
     /*  238497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238524 */     GIR_RootConstrainSelectedInstOperands,
     /*  238525 */     // GIR_Coverage, 9434,
     /*  238525 */     GIR_EraseRootFromParent_Done,
     /*  238526 */   // Label 4622: @238526
     /*  238526 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238600), // Rule ID 9435 //
     /*  238531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238571 */     // MIs[1] Operand 1
     /*  238571 */     // No operand predicates
     /*  238571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238598 */     GIR_RootConstrainSelectedInstOperands,
     /*  238599 */     // GIR_Coverage, 9435,
     /*  238599 */     GIR_EraseRootFromParent_Done,
     /*  238600 */   // Label 4623: @238600
     /*  238600 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238674), // Rule ID 9438 //
     /*  238605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238645 */     // MIs[1] Operand 1
     /*  238645 */     // No operand predicates
     /*  238645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238672 */     GIR_RootConstrainSelectedInstOperands,
     /*  238673 */     // GIR_Coverage, 9438,
     /*  238673 */     GIR_EraseRootFromParent_Done,
     /*  238674 */   // Label 4624: @238674
     /*  238674 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238748), // Rule ID 9439 //
     /*  238679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238719 */     // MIs[1] Operand 1
     /*  238719 */     // No operand predicates
     /*  238719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238746 */     GIR_RootConstrainSelectedInstOperands,
     /*  238747 */     // GIR_Coverage, 9439,
     /*  238747 */     GIR_EraseRootFromParent_Done,
     /*  238748 */   // Label 4625: @238748
     /*  238748 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238804), // Rule ID 64360 //
     /*  238753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  238756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  238761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  238767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238775 */     // MIs[0] pts
     /*  238775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  238778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  238783 */     // MIs[0] radix
     /*  238783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  238786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  238791 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  238791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  238794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238798 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  238800 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  238802 */     GIR_RootConstrainSelectedInstOperands,
     /*  238803 */     // GIR_Coverage, 64360,
     /*  238803 */     GIR_EraseRootFromParent_Done,
     /*  238804 */   // Label 4626: @238804
     /*  238804 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238867), // Rule ID 2576 //
     /*  238809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  238812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  238820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238848 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  238848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238855 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238865 */     GIR_RootConstrainSelectedInstOperands,
     /*  238866 */     // GIR_Coverage, 2576,
     /*  238866 */     GIR_EraseRootFromParent_Done,
     /*  238867 */   // Label 4627: @238867
     /*  238867 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238930), // Rule ID 2577 //
     /*  238872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  238875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238911 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  238911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238918 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238928 */     GIR_RootConstrainSelectedInstOperands,
     /*  238929 */     // GIR_Coverage, 2577,
     /*  238929 */     GIR_EraseRootFromParent_Done,
     /*  238930 */   // Label 4628: @238930
     /*  238930 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238996), // Rule ID 2584 //
     /*  238935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  238974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238994 */     GIR_RootConstrainSelectedInstOperands,
     /*  238995 */     // GIR_Coverage, 2584,
     /*  238995 */     GIR_EraseRootFromParent_Done,
     /*  238996 */   // Label 4629: @238996
     /*  238996 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(239062), // Rule ID 2585 //
     /*  239001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  239009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  239012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  239040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  239043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239060 */     GIR_RootConstrainSelectedInstOperands,
     /*  239061 */     // GIR_Coverage, 2585,
     /*  239061 */     GIR_EraseRootFromParent_Done,
     /*  239062 */   // Label 4630: @239062
     /*  239062 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(239128), // Rule ID 2588 //
     /*  239067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239126 */     GIR_RootConstrainSelectedInstOperands,
     /*  239127 */     // GIR_Coverage, 2588,
     /*  239127 */     GIR_EraseRootFromParent_Done,
     /*  239128 */   // Label 4631: @239128
     /*  239128 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239194), // Rule ID 2589 //
     /*  239133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239192 */     GIR_RootConstrainSelectedInstOperands,
     /*  239193 */     // GIR_Coverage, 2589,
     /*  239193 */     GIR_EraseRootFromParent_Done,
     /*  239194 */   // Label 4632: @239194
     /*  239194 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239260), // Rule ID 2592 //
     /*  239199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239238 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239258 */     GIR_RootConstrainSelectedInstOperands,
     /*  239259 */     // GIR_Coverage, 2592,
     /*  239259 */     GIR_EraseRootFromParent_Done,
     /*  239260 */   // Label 4633: @239260
     /*  239260 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239326), // Rule ID 2593 //
     /*  239265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239324 */     GIR_RootConstrainSelectedInstOperands,
     /*  239325 */     // GIR_Coverage, 2593,
     /*  239325 */     GIR_EraseRootFromParent_Done,
     /*  239326 */   // Label 4634: @239326
     /*  239326 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239389), // Rule ID 2606 //
     /*  239331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  239339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239387 */     GIR_RootConstrainSelectedInstOperands,
     /*  239388 */     // GIR_Coverage, 2606,
     /*  239388 */     GIR_EraseRootFromParent_Done,
     /*  239389 */   // Label 4635: @239389
     /*  239389 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239452), // Rule ID 2607 //
     /*  239394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  239402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239450 */     GIR_RootConstrainSelectedInstOperands,
     /*  239451 */     // GIR_Coverage, 2607,
     /*  239451 */     GIR_EraseRootFromParent_Done,
     /*  239452 */   // Label 4636: @239452
     /*  239452 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239515), // Rule ID 2618 //
     /*  239457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239513 */     GIR_RootConstrainSelectedInstOperands,
     /*  239514 */     // GIR_Coverage, 2618,
     /*  239514 */     GIR_EraseRootFromParent_Done,
     /*  239515 */   // Label 4637: @239515
     /*  239515 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239578), // Rule ID 2619 //
     /*  239520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239576 */     GIR_RootConstrainSelectedInstOperands,
     /*  239577 */     // GIR_Coverage, 2619,
     /*  239577 */     GIR_EraseRootFromParent_Done,
     /*  239578 */   // Label 4638: @239578
     /*  239578 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239641), // Rule ID 2626 //
     /*  239583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239639 */     GIR_RootConstrainSelectedInstOperands,
     /*  239640 */     // GIR_Coverage, 2626,
     /*  239640 */     GIR_EraseRootFromParent_Done,
     /*  239641 */   // Label 4639: @239641
     /*  239641 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239704), // Rule ID 2627 //
     /*  239646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239702 */     GIR_RootConstrainSelectedInstOperands,
     /*  239703 */     // GIR_Coverage, 2627,
     /*  239703 */     GIR_EraseRootFromParent_Done,
     /*  239704 */   // Label 4640: @239704
     /*  239704 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239770), // Rule ID 2628 //
     /*  239709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  239712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239768 */     GIR_RootConstrainSelectedInstOperands,
     /*  239769 */     // GIR_Coverage, 2628,
     /*  239769 */     GIR_EraseRootFromParent_Done,
     /*  239770 */   // Label 4641: @239770
     /*  239770 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239836), // Rule ID 2629 //
     /*  239775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  239778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239834 */     GIR_RootConstrainSelectedInstOperands,
     /*  239835 */     // GIR_Coverage, 2629,
     /*  239835 */     GIR_EraseRootFromParent_Done,
     /*  239836 */   // Label 4642: @239836
     /*  239836 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239899), // Rule ID 2640 //
     /*  239841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  239880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239897 */     GIR_RootConstrainSelectedInstOperands,
     /*  239898 */     // GIR_Coverage, 2640,
     /*  239898 */     GIR_EraseRootFromParent_Done,
     /*  239899 */   // Label 4643: @239899
     /*  239899 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239962), // Rule ID 2641 //
     /*  239904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239943 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  239943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239960 */     GIR_RootConstrainSelectedInstOperands,
     /*  239961 */     // GIR_Coverage, 2641,
     /*  239961 */     GIR_EraseRootFromParent_Done,
     /*  239962 */   // Label 4644: @239962
     /*  239962 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(240028), // Rule ID 4780 //
     /*  239967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240026 */     GIR_RootConstrainSelectedInstOperands,
     /*  240027 */     // GIR_Coverage, 4780,
     /*  240027 */     GIR_EraseRootFromParent_Done,
     /*  240028 */   // Label 4645: @240028
     /*  240028 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(240094), // Rule ID 4781 //
     /*  240033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  240044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240092 */     GIR_RootConstrainSelectedInstOperands,
     /*  240093 */     // GIR_Coverage, 4781,
     /*  240093 */     GIR_EraseRootFromParent_Done,
     /*  240094 */   // Label 4646: @240094
     /*  240094 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240160), // Rule ID 4784 //
     /*  240099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240158 */     GIR_RootConstrainSelectedInstOperands,
     /*  240159 */     // GIR_Coverage, 4784,
     /*  240159 */     GIR_EraseRootFromParent_Done,
     /*  240160 */   // Label 4647: @240160
     /*  240160 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240226), // Rule ID 4785 //
     /*  240165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240224 */     GIR_RootConstrainSelectedInstOperands,
     /*  240225 */     // GIR_Coverage, 4785,
     /*  240225 */     GIR_EraseRootFromParent_Done,
     /*  240226 */   // Label 4648: @240226
     /*  240226 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240292), // Rule ID 4788 //
     /*  240231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240290 */     GIR_RootConstrainSelectedInstOperands,
     /*  240291 */     // GIR_Coverage, 4788,
     /*  240291 */     GIR_EraseRootFromParent_Done,
     /*  240292 */   // Label 4649: @240292
     /*  240292 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240358), // Rule ID 4789 //
     /*  240297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240356 */     GIR_RootConstrainSelectedInstOperands,
     /*  240357 */     // GIR_Coverage, 4789,
     /*  240357 */     GIR_EraseRootFromParent_Done,
     /*  240358 */   // Label 4650: @240358
     /*  240358 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240424), // Rule ID 4792 //
     /*  240363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240422 */     GIR_RootConstrainSelectedInstOperands,
     /*  240423 */     // GIR_Coverage, 4792,
     /*  240423 */     GIR_EraseRootFromParent_Done,
     /*  240424 */   // Label 4651: @240424
     /*  240424 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240490), // Rule ID 4793 //
     /*  240429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240488 */     GIR_RootConstrainSelectedInstOperands,
     /*  240489 */     // GIR_Coverage, 4793,
     /*  240489 */     GIR_EraseRootFromParent_Done,
     /*  240490 */   // Label 4652: @240490
     /*  240490 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240556), // Rule ID 4796 //
     /*  240495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240554 */     GIR_RootConstrainSelectedInstOperands,
     /*  240555 */     // GIR_Coverage, 4796,
     /*  240555 */     GIR_EraseRootFromParent_Done,
     /*  240556 */   // Label 4653: @240556
     /*  240556 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240622), // Rule ID 4797 //
     /*  240561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240620 */     GIR_RootConstrainSelectedInstOperands,
     /*  240621 */     // GIR_Coverage, 4797,
     /*  240621 */     GIR_EraseRootFromParent_Done,
     /*  240622 */   // Label 4654: @240622
     /*  240622 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240688), // Rule ID 4800 //
     /*  240627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240686 */     GIR_RootConstrainSelectedInstOperands,
     /*  240687 */     // GIR_Coverage, 4800,
     /*  240687 */     GIR_EraseRootFromParent_Done,
     /*  240688 */   // Label 4655: @240688
     /*  240688 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240754), // Rule ID 4801 //
     /*  240693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240752 */     GIR_RootConstrainSelectedInstOperands,
     /*  240753 */     // GIR_Coverage, 4801,
     /*  240753 */     GIR_EraseRootFromParent_Done,
     /*  240754 */   // Label 4656: @240754
     /*  240754 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240820), // Rule ID 4804 //
     /*  240759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240818 */     GIR_RootConstrainSelectedInstOperands,
     /*  240819 */     // GIR_Coverage, 4804,
     /*  240819 */     GIR_EraseRootFromParent_Done,
     /*  240820 */   // Label 4657: @240820
     /*  240820 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240886), // Rule ID 4805 //
     /*  240825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240884 */     GIR_RootConstrainSelectedInstOperands,
     /*  240885 */     // GIR_Coverage, 4805,
     /*  240885 */     GIR_EraseRootFromParent_Done,
     /*  240886 */   // Label 4658: @240886
     /*  240886 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240952), // Rule ID 4808 //
     /*  240891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240950 */     GIR_RootConstrainSelectedInstOperands,
     /*  240951 */     // GIR_Coverage, 4808,
     /*  240951 */     GIR_EraseRootFromParent_Done,
     /*  240952 */   // Label 4659: @240952
     /*  240952 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(241018), // Rule ID 4809 //
     /*  240957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241016 */     GIR_RootConstrainSelectedInstOperands,
     /*  241017 */     // GIR_Coverage, 4809,
     /*  241017 */     GIR_EraseRootFromParent_Done,
     /*  241018 */   // Label 4660: @241018
     /*  241018 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(241084), // Rule ID 4812 //
     /*  241023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241082 */     GIR_RootConstrainSelectedInstOperands,
     /*  241083 */     // GIR_Coverage, 4812,
     /*  241083 */     GIR_EraseRootFromParent_Done,
     /*  241084 */   // Label 4661: @241084
     /*  241084 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241150), // Rule ID 4813 //
     /*  241089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241128 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241148 */     GIR_RootConstrainSelectedInstOperands,
     /*  241149 */     // GIR_Coverage, 4813,
     /*  241149 */     GIR_EraseRootFromParent_Done,
     /*  241150 */   // Label 4662: @241150
     /*  241150 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241216), // Rule ID 4816 //
     /*  241155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241214 */     GIR_RootConstrainSelectedInstOperands,
     /*  241215 */     // GIR_Coverage, 4816,
     /*  241215 */     GIR_EraseRootFromParent_Done,
     /*  241216 */   // Label 4663: @241216
     /*  241216 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241282), // Rule ID 4817 //
     /*  241221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241280 */     GIR_RootConstrainSelectedInstOperands,
     /*  241281 */     // GIR_Coverage, 4817,
     /*  241281 */     GIR_EraseRootFromParent_Done,
     /*  241282 */   // Label 4664: @241282
     /*  241282 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241348), // Rule ID 4820 //
     /*  241287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241346 */     GIR_RootConstrainSelectedInstOperands,
     /*  241347 */     // GIR_Coverage, 4820,
     /*  241347 */     GIR_EraseRootFromParent_Done,
     /*  241348 */   // Label 4665: @241348
     /*  241348 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241414), // Rule ID 4821 //
     /*  241353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241412 */     GIR_RootConstrainSelectedInstOperands,
     /*  241413 */     // GIR_Coverage, 4821,
     /*  241413 */     GIR_EraseRootFromParent_Done,
     /*  241414 */   // Label 4666: @241414
     /*  241414 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241480), // Rule ID 4824 //
     /*  241419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241478 */     GIR_RootConstrainSelectedInstOperands,
     /*  241479 */     // GIR_Coverage, 4824,
     /*  241479 */     GIR_EraseRootFromParent_Done,
     /*  241480 */   // Label 4667: @241480
     /*  241480 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241546), // Rule ID 4825 //
     /*  241485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241544 */     GIR_RootConstrainSelectedInstOperands,
     /*  241545 */     // GIR_Coverage, 4825,
     /*  241545 */     GIR_EraseRootFromParent_Done,
     /*  241546 */   // Label 4668: @241546
     /*  241546 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241612), // Rule ID 4828 //
     /*  241551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241610 */     GIR_RootConstrainSelectedInstOperands,
     /*  241611 */     // GIR_Coverage, 4828,
     /*  241611 */     GIR_EraseRootFromParent_Done,
     /*  241612 */   // Label 4669: @241612
     /*  241612 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241678), // Rule ID 4829 //
     /*  241617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241676 */     GIR_RootConstrainSelectedInstOperands,
     /*  241677 */     // GIR_Coverage, 4829,
     /*  241677 */     GIR_EraseRootFromParent_Done,
     /*  241678 */   // Label 4670: @241678
     /*  241678 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241744), // Rule ID 4832 //
     /*  241683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241742 */     GIR_RootConstrainSelectedInstOperands,
     /*  241743 */     // GIR_Coverage, 4832,
     /*  241743 */     GIR_EraseRootFromParent_Done,
     /*  241744 */   // Label 4671: @241744
     /*  241744 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241810), // Rule ID 4833 //
     /*  241749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241808 */     GIR_RootConstrainSelectedInstOperands,
     /*  241809 */     // GIR_Coverage, 4833,
     /*  241809 */     GIR_EraseRootFromParent_Done,
     /*  241810 */   // Label 4672: @241810
     /*  241810 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(241876), // Rule ID 4836 //
     /*  241815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241874 */     GIR_RootConstrainSelectedInstOperands,
     /*  241875 */     // GIR_Coverage, 4836,
     /*  241875 */     GIR_EraseRootFromParent_Done,
     /*  241876 */   // Label 4673: @241876
     /*  241876 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(241942), // Rule ID 4837 //
     /*  241881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241940 */     GIR_RootConstrainSelectedInstOperands,
     /*  241941 */     // GIR_Coverage, 4837,
     /*  241941 */     GIR_EraseRootFromParent_Done,
     /*  241942 */   // Label 4674: @241942
     /*  241942 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(242008), // Rule ID 4840 //
     /*  241947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242006 */     GIR_RootConstrainSelectedInstOperands,
     /*  242007 */     // GIR_Coverage, 4840,
     /*  242007 */     GIR_EraseRootFromParent_Done,
     /*  242008 */   // Label 4675: @242008
     /*  242008 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(242074), // Rule ID 4841 //
     /*  242013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242072 */     GIR_RootConstrainSelectedInstOperands,
     /*  242073 */     // GIR_Coverage, 4841,
     /*  242073 */     GIR_EraseRootFromParent_Done,
     /*  242074 */   // Label 4676: @242074
     /*  242074 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242140), // Rule ID 4844 //
     /*  242079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242138 */     GIR_RootConstrainSelectedInstOperands,
     /*  242139 */     // GIR_Coverage, 4844,
     /*  242139 */     GIR_EraseRootFromParent_Done,
     /*  242140 */   // Label 4677: @242140
     /*  242140 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242206), // Rule ID 4845 //
     /*  242145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242204 */     GIR_RootConstrainSelectedInstOperands,
     /*  242205 */     // GIR_Coverage, 4845,
     /*  242205 */     GIR_EraseRootFromParent_Done,
     /*  242206 */   // Label 4678: @242206
     /*  242206 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242272), // Rule ID 4848 //
     /*  242211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242270 */     GIR_RootConstrainSelectedInstOperands,
     /*  242271 */     // GIR_Coverage, 4848,
     /*  242271 */     GIR_EraseRootFromParent_Done,
     /*  242272 */   // Label 4679: @242272
     /*  242272 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242338), // Rule ID 4849 //
     /*  242277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242336 */     GIR_RootConstrainSelectedInstOperands,
     /*  242337 */     // GIR_Coverage, 4849,
     /*  242337 */     GIR_EraseRootFromParent_Done,
     /*  242338 */   // Label 4680: @242338
     /*  242338 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242404), // Rule ID 4852 //
     /*  242343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  242354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242402 */     GIR_RootConstrainSelectedInstOperands,
     /*  242403 */     // GIR_Coverage, 4852,
     /*  242403 */     GIR_EraseRootFromParent_Done,
     /*  242404 */   // Label 4681: @242404
     /*  242404 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242470), // Rule ID 4853 //
     /*  242409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  242420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242468 */     GIR_RootConstrainSelectedInstOperands,
     /*  242469 */     // GIR_Coverage, 4853,
     /*  242469 */     GIR_EraseRootFromParent_Done,
     /*  242470 */   // Label 4682: @242470
     /*  242470 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242536), // Rule ID 4856 //
     /*  242475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242534 */     GIR_RootConstrainSelectedInstOperands,
     /*  242535 */     // GIR_Coverage, 4856,
     /*  242535 */     GIR_EraseRootFromParent_Done,
     /*  242536 */   // Label 4683: @242536
     /*  242536 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242602), // Rule ID 4857 //
     /*  242541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242600 */     GIR_RootConstrainSelectedInstOperands,
     /*  242601 */     // GIR_Coverage, 4857,
     /*  242601 */     GIR_EraseRootFromParent_Done,
     /*  242602 */   // Label 4684: @242602
     /*  242602 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242668), // Rule ID 4860 //
     /*  242607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242666 */     GIR_RootConstrainSelectedInstOperands,
     /*  242667 */     // GIR_Coverage, 4860,
     /*  242667 */     GIR_EraseRootFromParent_Done,
     /*  242668 */   // Label 4685: @242668
     /*  242668 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242734), // Rule ID 4861 //
     /*  242673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242732 */     GIR_RootConstrainSelectedInstOperands,
     /*  242733 */     // GIR_Coverage, 4861,
     /*  242733 */     GIR_EraseRootFromParent_Done,
     /*  242734 */   // Label 4686: @242734
     /*  242734 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(242800), // Rule ID 4864 //
     /*  242739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242798 */     GIR_RootConstrainSelectedInstOperands,
     /*  242799 */     // GIR_Coverage, 4864,
     /*  242799 */     GIR_EraseRootFromParent_Done,
     /*  242800 */   // Label 4687: @242800
     /*  242800 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(242866), // Rule ID 4865 //
     /*  242805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242864 */     GIR_RootConstrainSelectedInstOperands,
     /*  242865 */     // GIR_Coverage, 4865,
     /*  242865 */     GIR_EraseRootFromParent_Done,
     /*  242866 */   // Label 4688: @242866
     /*  242866 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(242932), // Rule ID 4868 //
     /*  242871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242930 */     GIR_RootConstrainSelectedInstOperands,
     /*  242931 */     // GIR_Coverage, 4868,
     /*  242931 */     GIR_EraseRootFromParent_Done,
     /*  242932 */   // Label 4689: @242932
     /*  242932 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(242998), // Rule ID 4869 //
     /*  242937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242996 */     GIR_RootConstrainSelectedInstOperands,
     /*  242997 */     // GIR_Coverage, 4869,
     /*  242997 */     GIR_EraseRootFromParent_Done,
     /*  242998 */   // Label 4690: @242998
     /*  242998 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(243064), // Rule ID 4872 //
     /*  243003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243062 */     GIR_RootConstrainSelectedInstOperands,
     /*  243063 */     // GIR_Coverage, 4872,
     /*  243063 */     GIR_EraseRootFromParent_Done,
     /*  243064 */   // Label 4691: @243064
     /*  243064 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243130), // Rule ID 4873 //
     /*  243069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243128 */     GIR_RootConstrainSelectedInstOperands,
     /*  243129 */     // GIR_Coverage, 4873,
     /*  243129 */     GIR_EraseRootFromParent_Done,
     /*  243130 */   // Label 4692: @243130
     /*  243130 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243196), // Rule ID 4876 //
     /*  243135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243194 */     GIR_RootConstrainSelectedInstOperands,
     /*  243195 */     // GIR_Coverage, 4876,
     /*  243195 */     GIR_EraseRootFromParent_Done,
     /*  243196 */   // Label 4693: @243196
     /*  243196 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243262), // Rule ID 4877 //
     /*  243201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243260 */     GIR_RootConstrainSelectedInstOperands,
     /*  243261 */     // GIR_Coverage, 4877,
     /*  243261 */     GIR_EraseRootFromParent_Done,
     /*  243262 */   // Label 4694: @243262
     /*  243262 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243328), // Rule ID 4880 //
     /*  243267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  243309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243326 */     GIR_RootConstrainSelectedInstOperands,
     /*  243327 */     // GIR_Coverage, 4880,
     /*  243327 */     GIR_EraseRootFromParent_Done,
     /*  243328 */   // Label 4695: @243328
     /*  243328 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243394), // Rule ID 4881 //
     /*  243333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  243375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243392 */     GIR_RootConstrainSelectedInstOperands,
     /*  243393 */     // GIR_Coverage, 4881,
     /*  243393 */     GIR_EraseRootFromParent_Done,
     /*  243394 */   // Label 4696: @243394
     /*  243394 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243460), // Rule ID 4884 //
     /*  243399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243458 */     GIR_RootConstrainSelectedInstOperands,
     /*  243459 */     // GIR_Coverage, 4884,
     /*  243459 */     GIR_EraseRootFromParent_Done,
     /*  243460 */   // Label 4697: @243460
     /*  243460 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243526), // Rule ID 4885 //
     /*  243465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243524 */     GIR_RootConstrainSelectedInstOperands,
     /*  243525 */     // GIR_Coverage, 4885,
     /*  243525 */     GIR_EraseRootFromParent_Done,
     /*  243526 */   // Label 4698: @243526
     /*  243526 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243592), // Rule ID 4888 //
     /*  243531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243570 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243590 */     GIR_RootConstrainSelectedInstOperands,
     /*  243591 */     // GIR_Coverage, 4888,
     /*  243591 */     GIR_EraseRootFromParent_Done,
     /*  243592 */   // Label 4699: @243592
     /*  243592 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243658), // Rule ID 4889 //
     /*  243597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243656 */     GIR_RootConstrainSelectedInstOperands,
     /*  243657 */     // GIR_Coverage, 4889,
     /*  243657 */     GIR_EraseRootFromParent_Done,
     /*  243658 */   // Label 4700: @243658
     /*  243658 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243724), // Rule ID 4892 //
     /*  243663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243722 */     GIR_RootConstrainSelectedInstOperands,
     /*  243723 */     // GIR_Coverage, 4892,
     /*  243723 */     GIR_EraseRootFromParent_Done,
     /*  243724 */   // Label 4701: @243724
     /*  243724 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(243790), // Rule ID 4893 //
     /*  243729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243788 */     GIR_RootConstrainSelectedInstOperands,
     /*  243789 */     // GIR_Coverage, 4893,
     /*  243789 */     GIR_EraseRootFromParent_Done,
     /*  243790 */   // Label 4702: @243790
     /*  243790 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(243856), // Rule ID 4896 //
     /*  243795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243854 */     GIR_RootConstrainSelectedInstOperands,
     /*  243855 */     // GIR_Coverage, 4896,
     /*  243855 */     GIR_EraseRootFromParent_Done,
     /*  243856 */   // Label 4703: @243856
     /*  243856 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(243922), // Rule ID 4897 //
     /*  243861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243920 */     GIR_RootConstrainSelectedInstOperands,
     /*  243921 */     // GIR_Coverage, 4897,
     /*  243921 */     GIR_EraseRootFromParent_Done,
     /*  243922 */   // Label 4704: @243922
     /*  243922 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(243988), // Rule ID 4900 //
     /*  243927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243986 */     GIR_RootConstrainSelectedInstOperands,
     /*  243987 */     // GIR_Coverage, 4900,
     /*  243987 */     GIR_EraseRootFromParent_Done,
     /*  243988 */   // Label 4705: @243988
     /*  243988 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(244054), // Rule ID 4901 //
     /*  243993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244052 */     GIR_RootConstrainSelectedInstOperands,
     /*  244053 */     // GIR_Coverage, 4901,
     /*  244053 */     GIR_EraseRootFromParent_Done,
     /*  244054 */   // Label 4706: @244054
     /*  244054 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244120), // Rule ID 4904 //
     /*  244059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244118 */     GIR_RootConstrainSelectedInstOperands,
     /*  244119 */     // GIR_Coverage, 4904,
     /*  244119 */     GIR_EraseRootFromParent_Done,
     /*  244120 */   // Label 4707: @244120
     /*  244120 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244186), // Rule ID 4905 //
     /*  244125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244184 */     GIR_RootConstrainSelectedInstOperands,
     /*  244185 */     // GIR_Coverage, 4905,
     /*  244185 */     GIR_EraseRootFromParent_Done,
     /*  244186 */   // Label 4708: @244186
     /*  244186 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244252), // Rule ID 4908 //
     /*  244191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244250 */     GIR_RootConstrainSelectedInstOperands,
     /*  244251 */     // GIR_Coverage, 4908,
     /*  244251 */     GIR_EraseRootFromParent_Done,
     /*  244252 */   // Label 4709: @244252
     /*  244252 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244318), // Rule ID 4909 //
     /*  244257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244316 */     GIR_RootConstrainSelectedInstOperands,
     /*  244317 */     // GIR_Coverage, 4909,
     /*  244317 */     GIR_EraseRootFromParent_Done,
     /*  244318 */   // Label 4710: @244318
     /*  244318 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244384), // Rule ID 4912 //
     /*  244323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244382 */     GIR_RootConstrainSelectedInstOperands,
     /*  244383 */     // GIR_Coverage, 4912,
     /*  244383 */     GIR_EraseRootFromParent_Done,
     /*  244384 */   // Label 4711: @244384
     /*  244384 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244450), // Rule ID 4913 //
     /*  244389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244448 */     GIR_RootConstrainSelectedInstOperands,
     /*  244449 */     // GIR_Coverage, 4913,
     /*  244449 */     GIR_EraseRootFromParent_Done,
     /*  244450 */   // Label 4712: @244450
     /*  244450 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244516), // Rule ID 4916 //
     /*  244455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244514 */     GIR_RootConstrainSelectedInstOperands,
     /*  244515 */     // GIR_Coverage, 4916,
     /*  244515 */     GIR_EraseRootFromParent_Done,
     /*  244516 */   // Label 4713: @244516
     /*  244516 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244582), // Rule ID 4917 //
     /*  244521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244580 */     GIR_RootConstrainSelectedInstOperands,
     /*  244581 */     // GIR_Coverage, 4917,
     /*  244581 */     GIR_EraseRootFromParent_Done,
     /*  244582 */   // Label 4714: @244582
     /*  244582 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244648), // Rule ID 4920 //
     /*  244587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244646 */     GIR_RootConstrainSelectedInstOperands,
     /*  244647 */     // GIR_Coverage, 4920,
     /*  244647 */     GIR_EraseRootFromParent_Done,
     /*  244648 */   // Label 4715: @244648
     /*  244648 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244714), // Rule ID 4921 //
     /*  244653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244712 */     GIR_RootConstrainSelectedInstOperands,
     /*  244713 */     // GIR_Coverage, 4921,
     /*  244713 */     GIR_EraseRootFromParent_Done,
     /*  244714 */   // Label 4716: @244714
     /*  244714 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244780), // Rule ID 4924 //
     /*  244719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244778 */     GIR_RootConstrainSelectedInstOperands,
     /*  244779 */     // GIR_Coverage, 4924,
     /*  244779 */     GIR_EraseRootFromParent_Done,
     /*  244780 */   // Label 4717: @244780
     /*  244780 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(244846), // Rule ID 4925 //
     /*  244785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244844 */     GIR_RootConstrainSelectedInstOperands,
     /*  244845 */     // GIR_Coverage, 4925,
     /*  244845 */     GIR_EraseRootFromParent_Done,
     /*  244846 */   // Label 4718: @244846
     /*  244846 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(244912), // Rule ID 4928 //
     /*  244851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244910 */     GIR_RootConstrainSelectedInstOperands,
     /*  244911 */     // GIR_Coverage, 4928,
     /*  244911 */     GIR_EraseRootFromParent_Done,
     /*  244912 */   // Label 4719: @244912
     /*  244912 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(244978), // Rule ID 4929 //
     /*  244917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244976 */     GIR_RootConstrainSelectedInstOperands,
     /*  244977 */     // GIR_Coverage, 4929,
     /*  244977 */     GIR_EraseRootFromParent_Done,
     /*  244978 */   // Label 4720: @244978
     /*  244978 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(245044), // Rule ID 4932 //
     /*  244983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245042 */     GIR_RootConstrainSelectedInstOperands,
     /*  245043 */     // GIR_Coverage, 4932,
     /*  245043 */     GIR_EraseRootFromParent_Done,
     /*  245044 */   // Label 4721: @245044
     /*  245044 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245110), // Rule ID 4933 //
     /*  245049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245108 */     GIR_RootConstrainSelectedInstOperands,
     /*  245109 */     // GIR_Coverage, 4933,
     /*  245109 */     GIR_EraseRootFromParent_Done,
     /*  245110 */   // Label 4722: @245110
     /*  245110 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245176), // Rule ID 4936 //
     /*  245115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245174 */     GIR_RootConstrainSelectedInstOperands,
     /*  245175 */     // GIR_Coverage, 4936,
     /*  245175 */     GIR_EraseRootFromParent_Done,
     /*  245176 */   // Label 4723: @245176
     /*  245176 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245242), // Rule ID 4937 //
     /*  245181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245240 */     GIR_RootConstrainSelectedInstOperands,
     /*  245241 */     // GIR_Coverage, 4937,
     /*  245241 */     GIR_EraseRootFromParent_Done,
     /*  245242 */   // Label 4724: @245242
     /*  245242 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245308), // Rule ID 4940 //
     /*  245247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245306 */     GIR_RootConstrainSelectedInstOperands,
     /*  245307 */     // GIR_Coverage, 4940,
     /*  245307 */     GIR_EraseRootFromParent_Done,
     /*  245308 */   // Label 4725: @245308
     /*  245308 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245374), // Rule ID 4941 //
     /*  245313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245372 */     GIR_RootConstrainSelectedInstOperands,
     /*  245373 */     // GIR_Coverage, 4941,
     /*  245373 */     GIR_EraseRootFromParent_Done,
     /*  245374 */   // Label 4726: @245374
     /*  245374 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245440), // Rule ID 4944 //
     /*  245379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245438 */     GIR_RootConstrainSelectedInstOperands,
     /*  245439 */     // GIR_Coverage, 4944,
     /*  245439 */     GIR_EraseRootFromParent_Done,
     /*  245440 */   // Label 4727: @245440
     /*  245440 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245506), // Rule ID 4945 //
     /*  245445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245504 */     GIR_RootConstrainSelectedInstOperands,
     /*  245505 */     // GIR_Coverage, 4945,
     /*  245505 */     GIR_EraseRootFromParent_Done,
     /*  245506 */   // Label 4728: @245506
     /*  245506 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245572), // Rule ID 4948 //
     /*  245511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245570 */     GIR_RootConstrainSelectedInstOperands,
     /*  245571 */     // GIR_Coverage, 4948,
     /*  245571 */     GIR_EraseRootFromParent_Done,
     /*  245572 */   // Label 4729: @245572
     /*  245572 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245638), // Rule ID 4949 //
     /*  245577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245636 */     GIR_RootConstrainSelectedInstOperands,
     /*  245637 */     // GIR_Coverage, 4949,
     /*  245637 */     GIR_EraseRootFromParent_Done,
     /*  245638 */   // Label 4730: @245638
     /*  245638 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245704), // Rule ID 4952 //
     /*  245643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245702 */     GIR_RootConstrainSelectedInstOperands,
     /*  245703 */     // GIR_Coverage, 4952,
     /*  245703 */     GIR_EraseRootFromParent_Done,
     /*  245704 */   // Label 4731: @245704
     /*  245704 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245770), // Rule ID 4953 //
     /*  245709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245768 */     GIR_RootConstrainSelectedInstOperands,
     /*  245769 */     // GIR_Coverage, 4953,
     /*  245769 */     GIR_EraseRootFromParent_Done,
     /*  245770 */   // Label 4732: @245770
     /*  245770 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(245836), // Rule ID 4956 //
     /*  245775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245834 */     GIR_RootConstrainSelectedInstOperands,
     /*  245835 */     // GIR_Coverage, 4956,
     /*  245835 */     GIR_EraseRootFromParent_Done,
     /*  245836 */   // Label 4733: @245836
     /*  245836 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(245902), // Rule ID 4957 //
     /*  245841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245900 */     GIR_RootConstrainSelectedInstOperands,
     /*  245901 */     // GIR_Coverage, 4957,
     /*  245901 */     GIR_EraseRootFromParent_Done,
     /*  245902 */   // Label 4734: @245902
     /*  245902 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(245968), // Rule ID 4960 //
     /*  245907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245966 */     GIR_RootConstrainSelectedInstOperands,
     /*  245967 */     // GIR_Coverage, 4960,
     /*  245967 */     GIR_EraseRootFromParent_Done,
     /*  245968 */   // Label 4735: @245968
     /*  245968 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(246034), // Rule ID 4961 //
     /*  245973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246032 */     GIR_RootConstrainSelectedInstOperands,
     /*  246033 */     // GIR_Coverage, 4961,
     /*  246033 */     GIR_EraseRootFromParent_Done,
     /*  246034 */   // Label 4736: @246034
     /*  246034 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(246100), // Rule ID 4964 //
     /*  246039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246098 */     GIR_RootConstrainSelectedInstOperands,
     /*  246099 */     // GIR_Coverage, 4964,
     /*  246099 */     GIR_EraseRootFromParent_Done,
     /*  246100 */   // Label 4737: @246100
     /*  246100 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246166), // Rule ID 4965 //
     /*  246105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246164 */     GIR_RootConstrainSelectedInstOperands,
     /*  246165 */     // GIR_Coverage, 4965,
     /*  246165 */     GIR_EraseRootFromParent_Done,
     /*  246166 */   // Label 4738: @246166
     /*  246166 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246232), // Rule ID 4968 //
     /*  246171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246230 */     GIR_RootConstrainSelectedInstOperands,
     /*  246231 */     // GIR_Coverage, 4968,
     /*  246231 */     GIR_EraseRootFromParent_Done,
     /*  246232 */   // Label 4739: @246232
     /*  246232 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246298), // Rule ID 4969 //
     /*  246237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246296 */     GIR_RootConstrainSelectedInstOperands,
     /*  246297 */     // GIR_Coverage, 4969,
     /*  246297 */     GIR_EraseRootFromParent_Done,
     /*  246298 */   // Label 4740: @246298
     /*  246298 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246364), // Rule ID 4972 //
     /*  246303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246362 */     GIR_RootConstrainSelectedInstOperands,
     /*  246363 */     // GIR_Coverage, 4972,
     /*  246363 */     GIR_EraseRootFromParent_Done,
     /*  246364 */   // Label 4741: @246364
     /*  246364 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246430), // Rule ID 4973 //
     /*  246369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246428 */     GIR_RootConstrainSelectedInstOperands,
     /*  246429 */     // GIR_Coverage, 4973,
     /*  246429 */     GIR_EraseRootFromParent_Done,
     /*  246430 */   // Label 4742: @246430
     /*  246430 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246496), // Rule ID 4976 //
     /*  246435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246494 */     GIR_RootConstrainSelectedInstOperands,
     /*  246495 */     // GIR_Coverage, 4976,
     /*  246495 */     GIR_EraseRootFromParent_Done,
     /*  246496 */   // Label 4743: @246496
     /*  246496 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246562), // Rule ID 4977 //
     /*  246501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246560 */     GIR_RootConstrainSelectedInstOperands,
     /*  246561 */     // GIR_Coverage, 4977,
     /*  246561 */     GIR_EraseRootFromParent_Done,
     /*  246562 */   // Label 4744: @246562
     /*  246562 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246628), // Rule ID 4980 //
     /*  246567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246626 */     GIR_RootConstrainSelectedInstOperands,
     /*  246627 */     // GIR_Coverage, 4980,
     /*  246627 */     GIR_EraseRootFromParent_Done,
     /*  246628 */   // Label 4745: @246628
     /*  246628 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246694), // Rule ID 4981 //
     /*  246633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246672 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246692 */     GIR_RootConstrainSelectedInstOperands,
     /*  246693 */     // GIR_Coverage, 4981,
     /*  246693 */     GIR_EraseRootFromParent_Done,
     /*  246694 */   // Label 4746: @246694
     /*  246694 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246760), // Rule ID 4984 //
     /*  246699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246758 */     GIR_RootConstrainSelectedInstOperands,
     /*  246759 */     // GIR_Coverage, 4984,
     /*  246759 */     GIR_EraseRootFromParent_Done,
     /*  246760 */   // Label 4747: @246760
     /*  246760 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246826), // Rule ID 4985 //
     /*  246765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246824 */     GIR_RootConstrainSelectedInstOperands,
     /*  246825 */     // GIR_Coverage, 4985,
     /*  246825 */     GIR_EraseRootFromParent_Done,
     /*  246826 */   // Label 4748: @246826
     /*  246826 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(246892), // Rule ID 4988 //
     /*  246831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246890 */     GIR_RootConstrainSelectedInstOperands,
     /*  246891 */     // GIR_Coverage, 4988,
     /*  246891 */     GIR_EraseRootFromParent_Done,
     /*  246892 */   // Label 4749: @246892
     /*  246892 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(246958), // Rule ID 4989 //
     /*  246897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246956 */     GIR_RootConstrainSelectedInstOperands,
     /*  246957 */     // GIR_Coverage, 4989,
     /*  246957 */     GIR_EraseRootFromParent_Done,
     /*  246958 */   // Label 4750: @246958
     /*  246958 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(247024), // Rule ID 4992 //
     /*  246963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247022 */     GIR_RootConstrainSelectedInstOperands,
     /*  247023 */     // GIR_Coverage, 4992,
     /*  247023 */     GIR_EraseRootFromParent_Done,
     /*  247024 */   // Label 4751: @247024
     /*  247024 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(247090), // Rule ID 4993 //
     /*  247029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247088 */     GIR_RootConstrainSelectedInstOperands,
     /*  247089 */     // GIR_Coverage, 4993,
     /*  247089 */     GIR_EraseRootFromParent_Done,
     /*  247090 */   // Label 4752: @247090
     /*  247090 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247156), // Rule ID 4996 //
     /*  247095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247154 */     GIR_RootConstrainSelectedInstOperands,
     /*  247155 */     // GIR_Coverage, 4996,
     /*  247155 */     GIR_EraseRootFromParent_Done,
     /*  247156 */   // Label 4753: @247156
     /*  247156 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247222), // Rule ID 4997 //
     /*  247161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247220 */     GIR_RootConstrainSelectedInstOperands,
     /*  247221 */     // GIR_Coverage, 4997,
     /*  247221 */     GIR_EraseRootFromParent_Done,
     /*  247222 */   // Label 4754: @247222
     /*  247222 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247285), // Rule ID 5260 //
     /*  247227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247283 */     GIR_RootConstrainSelectedInstOperands,
     /*  247284 */     // GIR_Coverage, 5260,
     /*  247284 */     GIR_EraseRootFromParent_Done,
     /*  247285 */   // Label 4755: @247285
     /*  247285 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247348), // Rule ID 5261 //
     /*  247290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247346 */     GIR_RootConstrainSelectedInstOperands,
     /*  247347 */     // GIR_Coverage, 5261,
     /*  247347 */     GIR_EraseRootFromParent_Done,
     /*  247348 */   // Label 4756: @247348
     /*  247348 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247411), // Rule ID 5262 //
     /*  247353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  247367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247409 */     GIR_RootConstrainSelectedInstOperands,
     /*  247410 */     // GIR_Coverage, 5262,
     /*  247410 */     GIR_EraseRootFromParent_Done,
     /*  247411 */   // Label 4757: @247411
     /*  247411 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247474), // Rule ID 5263 //
     /*  247416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  247430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247455 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247472 */     GIR_RootConstrainSelectedInstOperands,
     /*  247473 */     // GIR_Coverage, 5263,
     /*  247473 */     GIR_EraseRootFromParent_Done,
     /*  247474 */   // Label 4758: @247474
     /*  247474 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247537), // Rule ID 5264 //
     /*  247479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247535 */     GIR_RootConstrainSelectedInstOperands,
     /*  247536 */     // GIR_Coverage, 5264,
     /*  247536 */     GIR_EraseRootFromParent_Done,
     /*  247537 */   // Label 4759: @247537
     /*  247537 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247600), // Rule ID 5265 //
     /*  247542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247598 */     GIR_RootConstrainSelectedInstOperands,
     /*  247599 */     // GIR_Coverage, 5265,
     /*  247599 */     GIR_EraseRootFromParent_Done,
     /*  247600 */   // Label 4760: @247600
     /*  247600 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247663), // Rule ID 5266 //
     /*  247605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247661 */     GIR_RootConstrainSelectedInstOperands,
     /*  247662 */     // GIR_Coverage, 5266,
     /*  247662 */     GIR_EraseRootFromParent_Done,
     /*  247663 */   // Label 4761: @247663
     /*  247663 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247726), // Rule ID 5267 //
     /*  247668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247724 */     GIR_RootConstrainSelectedInstOperands,
     /*  247725 */     // GIR_Coverage, 5267,
     /*  247725 */     GIR_EraseRootFromParent_Done,
     /*  247726 */   // Label 4762: @247726
     /*  247726 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247789), // Rule ID 5268 //
     /*  247731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247787 */     GIR_RootConstrainSelectedInstOperands,
     /*  247788 */     // GIR_Coverage, 5268,
     /*  247788 */     GIR_EraseRootFromParent_Done,
     /*  247789 */   // Label 4763: @247789
     /*  247789 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247852), // Rule ID 5269 //
     /*  247794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247850 */     GIR_RootConstrainSelectedInstOperands,
     /*  247851 */     // GIR_Coverage, 5269,
     /*  247851 */     GIR_EraseRootFromParent_Done,
     /*  247852 */   // Label 4764: @247852
     /*  247852 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(247915), // Rule ID 5270 //
     /*  247857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247913 */     GIR_RootConstrainSelectedInstOperands,
     /*  247914 */     // GIR_Coverage, 5270,
     /*  247914 */     GIR_EraseRootFromParent_Done,
     /*  247915 */   // Label 4765: @247915
     /*  247915 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(247978), // Rule ID 5271 //
     /*  247920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247959 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247976 */     GIR_RootConstrainSelectedInstOperands,
     /*  247977 */     // GIR_Coverage, 5271,
     /*  247977 */     GIR_EraseRootFromParent_Done,
     /*  247978 */   // Label 4766: @247978
     /*  247978 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(248041), // Rule ID 5272 //
     /*  247983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248039 */     GIR_RootConstrainSelectedInstOperands,
     /*  248040 */     // GIR_Coverage, 5272,
     /*  248040 */     GIR_EraseRootFromParent_Done,
     /*  248041 */   // Label 4767: @248041
     /*  248041 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248104), // Rule ID 5273 //
     /*  248046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248102 */     GIR_RootConstrainSelectedInstOperands,
     /*  248103 */     // GIR_Coverage, 5273,
     /*  248103 */     GIR_EraseRootFromParent_Done,
     /*  248104 */   // Label 4768: @248104
     /*  248104 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248167), // Rule ID 5274 //
     /*  248109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248165 */     GIR_RootConstrainSelectedInstOperands,
     /*  248166 */     // GIR_Coverage, 5274,
     /*  248166 */     GIR_EraseRootFromParent_Done,
     /*  248167 */   // Label 4769: @248167
     /*  248167 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248230), // Rule ID 5275 //
     /*  248172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248228 */     GIR_RootConstrainSelectedInstOperands,
     /*  248229 */     // GIR_Coverage, 5275,
     /*  248229 */     GIR_EraseRootFromParent_Done,
     /*  248230 */   // Label 4770: @248230
     /*  248230 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248293), // Rule ID 5276 //
     /*  248235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248291 */     GIR_RootConstrainSelectedInstOperands,
     /*  248292 */     // GIR_Coverage, 5276,
     /*  248292 */     GIR_EraseRootFromParent_Done,
     /*  248293 */   // Label 4771: @248293
     /*  248293 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248356), // Rule ID 5277 //
     /*  248298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248337 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248354 */     GIR_RootConstrainSelectedInstOperands,
     /*  248355 */     // GIR_Coverage, 5277,
     /*  248355 */     GIR_EraseRootFromParent_Done,
     /*  248356 */   // Label 4772: @248356
     /*  248356 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248419), // Rule ID 5278 //
     /*  248361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248417 */     GIR_RootConstrainSelectedInstOperands,
     /*  248418 */     // GIR_Coverage, 5278,
     /*  248418 */     GIR_EraseRootFromParent_Done,
     /*  248419 */   // Label 4773: @248419
     /*  248419 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248482), // Rule ID 5279 //
     /*  248424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248463 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248480 */     GIR_RootConstrainSelectedInstOperands,
     /*  248481 */     // GIR_Coverage, 5279,
     /*  248481 */     GIR_EraseRootFromParent_Done,
     /*  248482 */   // Label 4774: @248482
     /*  248482 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248545), // Rule ID 5280 //
     /*  248487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248543 */     GIR_RootConstrainSelectedInstOperands,
     /*  248544 */     // GIR_Coverage, 5280,
     /*  248544 */     GIR_EraseRootFromParent_Done,
     /*  248545 */   // Label 4775: @248545
     /*  248545 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248608), // Rule ID 5281 //
     /*  248550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248589 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248606 */     GIR_RootConstrainSelectedInstOperands,
     /*  248607 */     // GIR_Coverage, 5281,
     /*  248607 */     GIR_EraseRootFromParent_Done,
     /*  248608 */   // Label 4776: @248608
     /*  248608 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248671), // Rule ID 5282 //
     /*  248613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248652 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248669 */     GIR_RootConstrainSelectedInstOperands,
     /*  248670 */     // GIR_Coverage, 5282,
     /*  248670 */     GIR_EraseRootFromParent_Done,
     /*  248671 */   // Label 4777: @248671
     /*  248671 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248734), // Rule ID 5283 //
     /*  248676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248715 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248732 */     GIR_RootConstrainSelectedInstOperands,
     /*  248733 */     // GIR_Coverage, 5283,
     /*  248733 */     GIR_EraseRootFromParent_Done,
     /*  248734 */   // Label 4778: @248734
     /*  248734 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248797), // Rule ID 5284 //
     /*  248739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248795 */     GIR_RootConstrainSelectedInstOperands,
     /*  248796 */     // GIR_Coverage, 5284,
     /*  248796 */     GIR_EraseRootFromParent_Done,
     /*  248797 */   // Label 4779: @248797
     /*  248797 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(248860), // Rule ID 5285 //
     /*  248802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248841 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248858 */     GIR_RootConstrainSelectedInstOperands,
     /*  248859 */     // GIR_Coverage, 5285,
     /*  248859 */     GIR_EraseRootFromParent_Done,
     /*  248860 */   // Label 4780: @248860
     /*  248860 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(248923), // Rule ID 5286 //
     /*  248865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248921 */     GIR_RootConstrainSelectedInstOperands,
     /*  248922 */     // GIR_Coverage, 5286,
     /*  248922 */     GIR_EraseRootFromParent_Done,
     /*  248923 */   // Label 4781: @248923
     /*  248923 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(248986), // Rule ID 5287 //
     /*  248928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248967 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248984 */     GIR_RootConstrainSelectedInstOperands,
     /*  248985 */     // GIR_Coverage, 5287,
     /*  248985 */     GIR_EraseRootFromParent_Done,
     /*  248986 */   // Label 4782: @248986
     /*  248986 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249049), // Rule ID 5288 //
     /*  248991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249047 */     GIR_RootConstrainSelectedInstOperands,
     /*  249048 */     // GIR_Coverage, 5288,
     /*  249048 */     GIR_EraseRootFromParent_Done,
     /*  249049 */   // Label 4783: @249049
     /*  249049 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249112), // Rule ID 5289 //
     /*  249054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249093 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249110 */     GIR_RootConstrainSelectedInstOperands,
     /*  249111 */     // GIR_Coverage, 5289,
     /*  249111 */     GIR_EraseRootFromParent_Done,
     /*  249112 */   // Label 4784: @249112
     /*  249112 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249175), // Rule ID 5290 //
     /*  249117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249173 */     GIR_RootConstrainSelectedInstOperands,
     /*  249174 */     // GIR_Coverage, 5290,
     /*  249174 */     GIR_EraseRootFromParent_Done,
     /*  249175 */   // Label 4785: @249175
     /*  249175 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249238), // Rule ID 5291 //
     /*  249180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249236 */     GIR_RootConstrainSelectedInstOperands,
     /*  249237 */     // GIR_Coverage, 5291,
     /*  249237 */     GIR_EraseRootFromParent_Done,
     /*  249238 */   // Label 4786: @249238
     /*  249238 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249301), // Rule ID 5292 //
     /*  249243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249299 */     GIR_RootConstrainSelectedInstOperands,
     /*  249300 */     // GIR_Coverage, 5292,
     /*  249300 */     GIR_EraseRootFromParent_Done,
     /*  249301 */   // Label 4787: @249301
     /*  249301 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249364), // Rule ID 5293 //
     /*  249306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249362 */     GIR_RootConstrainSelectedInstOperands,
     /*  249363 */     // GIR_Coverage, 5293,
     /*  249363 */     GIR_EraseRootFromParent_Done,
     /*  249364 */   // Label 4788: @249364
     /*  249364 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249427), // Rule ID 5294 //
     /*  249369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249425 */     GIR_RootConstrainSelectedInstOperands,
     /*  249426 */     // GIR_Coverage, 5294,
     /*  249426 */     GIR_EraseRootFromParent_Done,
     /*  249427 */   // Label 4789: @249427
     /*  249427 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249490), // Rule ID 5295 //
     /*  249432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249471 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249488 */     GIR_RootConstrainSelectedInstOperands,
     /*  249489 */     // GIR_Coverage, 5295,
     /*  249489 */     GIR_EraseRootFromParent_Done,
     /*  249490 */   // Label 4790: @249490
     /*  249490 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249553), // Rule ID 5296 //
     /*  249495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249551 */     GIR_RootConstrainSelectedInstOperands,
     /*  249552 */     // GIR_Coverage, 5296,
     /*  249552 */     GIR_EraseRootFromParent_Done,
     /*  249553 */   // Label 4791: @249553
     /*  249553 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249616), // Rule ID 5297 //
     /*  249558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249614 */     GIR_RootConstrainSelectedInstOperands,
     /*  249615 */     // GIR_Coverage, 5297,
     /*  249615 */     GIR_EraseRootFromParent_Done,
     /*  249616 */   // Label 4792: @249616
     /*  249616 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249679), // Rule ID 5298 //
     /*  249621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249677 */     GIR_RootConstrainSelectedInstOperands,
     /*  249678 */     // GIR_Coverage, 5298,
     /*  249678 */     GIR_EraseRootFromParent_Done,
     /*  249679 */   // Label 4793: @249679
     /*  249679 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249742), // Rule ID 5299 //
     /*  249684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249740 */     GIR_RootConstrainSelectedInstOperands,
     /*  249741 */     // GIR_Coverage, 5299,
     /*  249741 */     GIR_EraseRootFromParent_Done,
     /*  249742 */   // Label 4794: @249742
     /*  249742 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249805), // Rule ID 5300 //
     /*  249747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249803 */     GIR_RootConstrainSelectedInstOperands,
     /*  249804 */     // GIR_Coverage, 5300,
     /*  249804 */     GIR_EraseRootFromParent_Done,
     /*  249805 */   // Label 4795: @249805
     /*  249805 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(249868), // Rule ID 5301 //
     /*  249810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249866 */     GIR_RootConstrainSelectedInstOperands,
     /*  249867 */     // GIR_Coverage, 5301,
     /*  249867 */     GIR_EraseRootFromParent_Done,
     /*  249868 */   // Label 4796: @249868
     /*  249868 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(249931), // Rule ID 5302 //
     /*  249873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249929 */     GIR_RootConstrainSelectedInstOperands,
     /*  249930 */     // GIR_Coverage, 5302,
     /*  249930 */     GIR_EraseRootFromParent_Done,
     /*  249931 */   // Label 4797: @249931
     /*  249931 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(249994), // Rule ID 5303 //
     /*  249936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249992 */     GIR_RootConstrainSelectedInstOperands,
     /*  249993 */     // GIR_Coverage, 5303,
     /*  249993 */     GIR_EraseRootFromParent_Done,
     /*  249994 */   // Label 4798: @249994
     /*  249994 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250057), // Rule ID 5304 //
     /*  249999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250055 */     GIR_RootConstrainSelectedInstOperands,
     /*  250056 */     // GIR_Coverage, 5304,
     /*  250056 */     GIR_EraseRootFromParent_Done,
     /*  250057 */   // Label 4799: @250057
     /*  250057 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250120), // Rule ID 5305 //
     /*  250062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250101 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250118 */     GIR_RootConstrainSelectedInstOperands,
     /*  250119 */     // GIR_Coverage, 5305,
     /*  250119 */     GIR_EraseRootFromParent_Done,
     /*  250120 */   // Label 4800: @250120
     /*  250120 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250183), // Rule ID 5306 //
     /*  250125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250181 */     GIR_RootConstrainSelectedInstOperands,
     /*  250182 */     // GIR_Coverage, 5306,
     /*  250182 */     GIR_EraseRootFromParent_Done,
     /*  250183 */   // Label 4801: @250183
     /*  250183 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250246), // Rule ID 5307 //
     /*  250188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250244 */     GIR_RootConstrainSelectedInstOperands,
     /*  250245 */     // GIR_Coverage, 5307,
     /*  250245 */     GIR_EraseRootFromParent_Done,
     /*  250246 */   // Label 4802: @250246
     /*  250246 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250309), // Rule ID 5308 //
     /*  250251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  250265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250307 */     GIR_RootConstrainSelectedInstOperands,
     /*  250308 */     // GIR_Coverage, 5308,
     /*  250308 */     GIR_EraseRootFromParent_Done,
     /*  250309 */   // Label 4803: @250309
     /*  250309 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250372), // Rule ID 5309 //
     /*  250314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  250328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250370 */     GIR_RootConstrainSelectedInstOperands,
     /*  250371 */     // GIR_Coverage, 5309,
     /*  250371 */     GIR_EraseRootFromParent_Done,
     /*  250372 */   // Label 4804: @250372
     /*  250372 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250435), // Rule ID 5310 //
     /*  250377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250433 */     GIR_RootConstrainSelectedInstOperands,
     /*  250434 */     // GIR_Coverage, 5310,
     /*  250434 */     GIR_EraseRootFromParent_Done,
     /*  250435 */   // Label 4805: @250435
     /*  250435 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250498), // Rule ID 5311 //
     /*  250440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250496 */     GIR_RootConstrainSelectedInstOperands,
     /*  250497 */     // GIR_Coverage, 5311,
     /*  250497 */     GIR_EraseRootFromParent_Done,
     /*  250498 */   // Label 4806: @250498
     /*  250498 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250561), // Rule ID 5312 //
     /*  250503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250559 */     GIR_RootConstrainSelectedInstOperands,
     /*  250560 */     // GIR_Coverage, 5312,
     /*  250560 */     GIR_EraseRootFromParent_Done,
     /*  250561 */   // Label 4807: @250561
     /*  250561 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250624), // Rule ID 5313 //
     /*  250566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250622 */     GIR_RootConstrainSelectedInstOperands,
     /*  250623 */     // GIR_Coverage, 5313,
     /*  250623 */     GIR_EraseRootFromParent_Done,
     /*  250624 */   // Label 4808: @250624
     /*  250624 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250687), // Rule ID 5314 //
     /*  250629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250685 */     GIR_RootConstrainSelectedInstOperands,
     /*  250686 */     // GIR_Coverage, 5314,
     /*  250686 */     GIR_EraseRootFromParent_Done,
     /*  250687 */   // Label 4809: @250687
     /*  250687 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250750), // Rule ID 5315 //
     /*  250692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250731 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250748 */     GIR_RootConstrainSelectedInstOperands,
     /*  250749 */     // GIR_Coverage, 5315,
     /*  250749 */     GIR_EraseRootFromParent_Done,
     /*  250750 */   // Label 4810: @250750
     /*  250750 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250813), // Rule ID 5316 //
     /*  250755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250794 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250811 */     GIR_RootConstrainSelectedInstOperands,
     /*  250812 */     // GIR_Coverage, 5316,
     /*  250812 */     GIR_EraseRootFromParent_Done,
     /*  250813 */   // Label 4811: @250813
     /*  250813 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(250876), // Rule ID 5317 //
     /*  250818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250874 */     GIR_RootConstrainSelectedInstOperands,
     /*  250875 */     // GIR_Coverage, 5317,
     /*  250875 */     GIR_EraseRootFromParent_Done,
     /*  250876 */   // Label 4812: @250876
     /*  250876 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(250939), // Rule ID 5318 //
     /*  250881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250937 */     GIR_RootConstrainSelectedInstOperands,
     /*  250938 */     // GIR_Coverage, 5318,
     /*  250938 */     GIR_EraseRootFromParent_Done,
     /*  250939 */   // Label 4813: @250939
     /*  250939 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251002), // Rule ID 5319 //
     /*  250944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250983 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251000 */     GIR_RootConstrainSelectedInstOperands,
     /*  251001 */     // GIR_Coverage, 5319,
     /*  251001 */     GIR_EraseRootFromParent_Done,
     /*  251002 */   // Label 4814: @251002
     /*  251002 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251065), // Rule ID 5320 //
     /*  251007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251046 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251063 */     GIR_RootConstrainSelectedInstOperands,
     /*  251064 */     // GIR_Coverage, 5320,
     /*  251064 */     GIR_EraseRootFromParent_Done,
     /*  251065 */   // Label 4815: @251065
     /*  251065 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251128), // Rule ID 5321 //
     /*  251070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251109 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251126 */     GIR_RootConstrainSelectedInstOperands,
     /*  251127 */     // GIR_Coverage, 5321,
     /*  251127 */     GIR_EraseRootFromParent_Done,
     /*  251128 */   // Label 4816: @251128
     /*  251128 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251191), // Rule ID 5322 //
     /*  251133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251189 */     GIR_RootConstrainSelectedInstOperands,
     /*  251190 */     // GIR_Coverage, 5322,
     /*  251190 */     GIR_EraseRootFromParent_Done,
     /*  251191 */   // Label 4817: @251191
     /*  251191 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251254), // Rule ID 5323 //
     /*  251196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251235 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251252 */     GIR_RootConstrainSelectedInstOperands,
     /*  251253 */     // GIR_Coverage, 5323,
     /*  251253 */     GIR_EraseRootFromParent_Done,
     /*  251254 */   // Label 4818: @251254
     /*  251254 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251317), // Rule ID 5324 //
     /*  251259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  251273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251298 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251315 */     GIR_RootConstrainSelectedInstOperands,
     /*  251316 */     // GIR_Coverage, 5324,
     /*  251316 */     GIR_EraseRootFromParent_Done,
     /*  251317 */   // Label 4819: @251317
     /*  251317 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251380), // Rule ID 5325 //
     /*  251322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  251336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251361 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251378 */     GIR_RootConstrainSelectedInstOperands,
     /*  251379 */     // GIR_Coverage, 5325,
     /*  251379 */     GIR_EraseRootFromParent_Done,
     /*  251380 */   // Label 4820: @251380
     /*  251380 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251443), // Rule ID 5326 //
     /*  251385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251424 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251441 */     GIR_RootConstrainSelectedInstOperands,
     /*  251442 */     // GIR_Coverage, 5326,
     /*  251442 */     GIR_EraseRootFromParent_Done,
     /*  251443 */   // Label 4821: @251443
     /*  251443 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251506), // Rule ID 5327 //
     /*  251448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251487 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251504 */     GIR_RootConstrainSelectedInstOperands,
     /*  251505 */     // GIR_Coverage, 5327,
     /*  251505 */     GIR_EraseRootFromParent_Done,
     /*  251506 */   // Label 4822: @251506
     /*  251506 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251569), // Rule ID 5328 //
     /*  251511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251550 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251567 */     GIR_RootConstrainSelectedInstOperands,
     /*  251568 */     // GIR_Coverage, 5328,
     /*  251568 */     GIR_EraseRootFromParent_Done,
     /*  251569 */   // Label 4823: @251569
     /*  251569 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251632), // Rule ID 5329 //
     /*  251574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251630 */     GIR_RootConstrainSelectedInstOperands,
     /*  251631 */     // GIR_Coverage, 5329,
     /*  251631 */     GIR_EraseRootFromParent_Done,
     /*  251632 */   // Label 4824: @251632
     /*  251632 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251695), // Rule ID 5330 //
     /*  251637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251693 */     GIR_RootConstrainSelectedInstOperands,
     /*  251694 */     // GIR_Coverage, 5330,
     /*  251694 */     GIR_EraseRootFromParent_Done,
     /*  251695 */   // Label 4825: @251695
     /*  251695 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251758), // Rule ID 5331 //
     /*  251700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251739 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251756 */     GIR_RootConstrainSelectedInstOperands,
     /*  251757 */     // GIR_Coverage, 5331,
     /*  251757 */     GIR_EraseRootFromParent_Done,
     /*  251758 */   // Label 4826: @251758
     /*  251758 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251821), // Rule ID 5332 //
     /*  251763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251819 */     GIR_RootConstrainSelectedInstOperands,
     /*  251820 */     // GIR_Coverage, 5332,
     /*  251820 */     GIR_EraseRootFromParent_Done,
     /*  251821 */   // Label 4827: @251821
     /*  251821 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(251884), // Rule ID 5333 //
     /*  251826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251865 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251882 */     GIR_RootConstrainSelectedInstOperands,
     /*  251883 */     // GIR_Coverage, 5333,
     /*  251883 */     GIR_EraseRootFromParent_Done,
     /*  251884 */   // Label 4828: @251884
     /*  251884 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(251947), // Rule ID 5334 //
     /*  251889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251945 */     GIR_RootConstrainSelectedInstOperands,
     /*  251946 */     // GIR_Coverage, 5334,
     /*  251946 */     GIR_EraseRootFromParent_Done,
     /*  251947 */   // Label 4829: @251947
     /*  251947 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252010), // Rule ID 5335 //
     /*  251952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251991 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252008 */     GIR_RootConstrainSelectedInstOperands,
     /*  252009 */     // GIR_Coverage, 5335,
     /*  252009 */     GIR_EraseRootFromParent_Done,
     /*  252010 */   // Label 4830: @252010
     /*  252010 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252073), // Rule ID 5336 //
     /*  252015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252054 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252071 */     GIR_RootConstrainSelectedInstOperands,
     /*  252072 */     // GIR_Coverage, 5336,
     /*  252072 */     GIR_EraseRootFromParent_Done,
     /*  252073 */   // Label 4831: @252073
     /*  252073 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252136), // Rule ID 5337 //
     /*  252078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252117 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252134 */     GIR_RootConstrainSelectedInstOperands,
     /*  252135 */     // GIR_Coverage, 5337,
     /*  252135 */     GIR_EraseRootFromParent_Done,
     /*  252136 */   // Label 4832: @252136
     /*  252136 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252199), // Rule ID 5338 //
     /*  252141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252197 */     GIR_RootConstrainSelectedInstOperands,
     /*  252198 */     // GIR_Coverage, 5338,
     /*  252198 */     GIR_EraseRootFromParent_Done,
     /*  252199 */   // Label 4833: @252199
     /*  252199 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252262), // Rule ID 5339 //
     /*  252204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252260 */     GIR_RootConstrainSelectedInstOperands,
     /*  252261 */     // GIR_Coverage, 5339,
     /*  252261 */     GIR_EraseRootFromParent_Done,
     /*  252262 */   // Label 4834: @252262
     /*  252262 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252325), // Rule ID 5340 //
     /*  252267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  252281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252323 */     GIR_RootConstrainSelectedInstOperands,
     /*  252324 */     // GIR_Coverage, 5340,
     /*  252324 */     GIR_EraseRootFromParent_Done,
     /*  252325 */   // Label 4835: @252325
     /*  252325 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252388), // Rule ID 5341 //
     /*  252330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  252344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252386 */     GIR_RootConstrainSelectedInstOperands,
     /*  252387 */     // GIR_Coverage, 5341,
     /*  252387 */     GIR_EraseRootFromParent_Done,
     /*  252388 */   // Label 4836: @252388
     /*  252388 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252451), // Rule ID 5342 //
     /*  252393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252449 */     GIR_RootConstrainSelectedInstOperands,
     /*  252450 */     // GIR_Coverage, 5342,
     /*  252450 */     GIR_EraseRootFromParent_Done,
     /*  252451 */   // Label 4837: @252451
     /*  252451 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252514), // Rule ID 5343 //
     /*  252456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252495 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252512 */     GIR_RootConstrainSelectedInstOperands,
     /*  252513 */     // GIR_Coverage, 5343,
     /*  252513 */     GIR_EraseRootFromParent_Done,
     /*  252514 */   // Label 4838: @252514
     /*  252514 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252577), // Rule ID 5344 //
     /*  252519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252575 */     GIR_RootConstrainSelectedInstOperands,
     /*  252576 */     // GIR_Coverage, 5344,
     /*  252576 */     GIR_EraseRootFromParent_Done,
     /*  252577 */   // Label 4839: @252577
     /*  252577 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252640), // Rule ID 5345 //
     /*  252582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252638 */     GIR_RootConstrainSelectedInstOperands,
     /*  252639 */     // GIR_Coverage, 5345,
     /*  252639 */     GIR_EraseRootFromParent_Done,
     /*  252640 */   // Label 4840: @252640
     /*  252640 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252703), // Rule ID 5566 //
     /*  252645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252701 */     GIR_RootConstrainSelectedInstOperands,
     /*  252702 */     // GIR_Coverage, 5566,
     /*  252702 */     GIR_EraseRootFromParent_Done,
     /*  252703 */   // Label 4841: @252703
     /*  252703 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252766), // Rule ID 5567 //
     /*  252708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252747 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252764 */     GIR_RootConstrainSelectedInstOperands,
     /*  252765 */     // GIR_Coverage, 5567,
     /*  252765 */     GIR_EraseRootFromParent_Done,
     /*  252766 */   // Label 4842: @252766
     /*  252766 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252829), // Rule ID 5568 //
     /*  252771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252827 */     GIR_RootConstrainSelectedInstOperands,
     /*  252828 */     // GIR_Coverage, 5568,
     /*  252828 */     GIR_EraseRootFromParent_Done,
     /*  252829 */   // Label 4843: @252829
     /*  252829 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(252892), // Rule ID 5569 //
     /*  252834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252890 */     GIR_RootConstrainSelectedInstOperands,
     /*  252891 */     // GIR_Coverage, 5569,
     /*  252891 */     GIR_EraseRootFromParent_Done,
     /*  252892 */   // Label 4844: @252892
     /*  252892 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(252955), // Rule ID 5570 //
     /*  252897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252953 */     GIR_RootConstrainSelectedInstOperands,
     /*  252954 */     // GIR_Coverage, 5570,
     /*  252954 */     GIR_EraseRootFromParent_Done,
     /*  252955 */   // Label 4845: @252955
     /*  252955 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253018), // Rule ID 5571 //
     /*  252960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253016 */     GIR_RootConstrainSelectedInstOperands,
     /*  253017 */     // GIR_Coverage, 5571,
     /*  253017 */     GIR_EraseRootFromParent_Done,
     /*  253018 */   // Label 4846: @253018
     /*  253018 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253081), // Rule ID 5572 //
     /*  253023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253079 */     GIR_RootConstrainSelectedInstOperands,
     /*  253080 */     // GIR_Coverage, 5572,
     /*  253080 */     GIR_EraseRootFromParent_Done,
     /*  253081 */   // Label 4847: @253081
     /*  253081 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253144), // Rule ID 5573 //
     /*  253086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253142 */     GIR_RootConstrainSelectedInstOperands,
     /*  253143 */     // GIR_Coverage, 5573,
     /*  253143 */     GIR_EraseRootFromParent_Done,
     /*  253144 */   // Label 4848: @253144
     /*  253144 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253207), // Rule ID 5574 //
     /*  253149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253205 */     GIR_RootConstrainSelectedInstOperands,
     /*  253206 */     // GIR_Coverage, 5574,
     /*  253206 */     GIR_EraseRootFromParent_Done,
     /*  253207 */   // Label 4849: @253207
     /*  253207 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253270), // Rule ID 5575 //
     /*  253212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253268 */     GIR_RootConstrainSelectedInstOperands,
     /*  253269 */     // GIR_Coverage, 5575,
     /*  253269 */     GIR_EraseRootFromParent_Done,
     /*  253270 */   // Label 4850: @253270
     /*  253270 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253333), // Rule ID 5576 //
     /*  253275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  253289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253331 */     GIR_RootConstrainSelectedInstOperands,
     /*  253332 */     // GIR_Coverage, 5576,
     /*  253332 */     GIR_EraseRootFromParent_Done,
     /*  253333 */   // Label 4851: @253333
     /*  253333 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253396), // Rule ID 5577 //
     /*  253338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  253352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253394 */     GIR_RootConstrainSelectedInstOperands,
     /*  253395 */     // GIR_Coverage, 5577,
     /*  253395 */     GIR_EraseRootFromParent_Done,
     /*  253396 */   // Label 4852: @253396
     /*  253396 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253459), // Rule ID 5578 //
     /*  253401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253457 */     GIR_RootConstrainSelectedInstOperands,
     /*  253458 */     // GIR_Coverage, 5578,
     /*  253458 */     GIR_EraseRootFromParent_Done,
     /*  253459 */   // Label 4853: @253459
     /*  253459 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253522), // Rule ID 5579 //
     /*  253464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253520 */     GIR_RootConstrainSelectedInstOperands,
     /*  253521 */     // GIR_Coverage, 5579,
     /*  253521 */     GIR_EraseRootFromParent_Done,
     /*  253522 */   // Label 4854: @253522
     /*  253522 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253585), // Rule ID 5580 //
     /*  253527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253583 */     GIR_RootConstrainSelectedInstOperands,
     /*  253584 */     // GIR_Coverage, 5580,
     /*  253584 */     GIR_EraseRootFromParent_Done,
     /*  253585 */   // Label 4855: @253585
     /*  253585 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253648), // Rule ID 5581 //
     /*  253590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253629 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253646 */     GIR_RootConstrainSelectedInstOperands,
     /*  253647 */     // GIR_Coverage, 5581,
     /*  253647 */     GIR_EraseRootFromParent_Done,
     /*  253648 */   // Label 4856: @253648
     /*  253648 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253711), // Rule ID 5582 //
     /*  253653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253709 */     GIR_RootConstrainSelectedInstOperands,
     /*  253710 */     // GIR_Coverage, 5582,
     /*  253710 */     GIR_EraseRootFromParent_Done,
     /*  253711 */   // Label 4857: @253711
     /*  253711 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253774), // Rule ID 5583 //
     /*  253716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253755 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253772 */     GIR_RootConstrainSelectedInstOperands,
     /*  253773 */     // GIR_Coverage, 5583,
     /*  253773 */     GIR_EraseRootFromParent_Done,
     /*  253774 */   // Label 4858: @253774
     /*  253774 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253837), // Rule ID 5584 //
     /*  253779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253835 */     GIR_RootConstrainSelectedInstOperands,
     /*  253836 */     // GIR_Coverage, 5584,
     /*  253836 */     GIR_EraseRootFromParent_Done,
     /*  253837 */   // Label 4859: @253837
     /*  253837 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(253900), // Rule ID 5585 //
     /*  253842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253898 */     GIR_RootConstrainSelectedInstOperands,
     /*  253899 */     // GIR_Coverage, 5585,
     /*  253899 */     GIR_EraseRootFromParent_Done,
     /*  253900 */   // Label 4860: @253900
     /*  253900 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(253963), // Rule ID 5586 //
     /*  253905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253961 */     GIR_RootConstrainSelectedInstOperands,
     /*  253962 */     // GIR_Coverage, 5586,
     /*  253962 */     GIR_EraseRootFromParent_Done,
     /*  253963 */   // Label 4861: @253963
     /*  253963 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254026), // Rule ID 5587 //
     /*  253968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254024 */     GIR_RootConstrainSelectedInstOperands,
     /*  254025 */     // GIR_Coverage, 5587,
     /*  254025 */     GIR_EraseRootFromParent_Done,
     /*  254026 */   // Label 4862: @254026
     /*  254026 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254089), // Rule ID 5588 //
     /*  254031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254070 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254087 */     GIR_RootConstrainSelectedInstOperands,
     /*  254088 */     // GIR_Coverage, 5588,
     /*  254088 */     GIR_EraseRootFromParent_Done,
     /*  254089 */   // Label 4863: @254089
     /*  254089 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254152), // Rule ID 5589 //
     /*  254094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254150 */     GIR_RootConstrainSelectedInstOperands,
     /*  254151 */     // GIR_Coverage, 5589,
     /*  254151 */     GIR_EraseRootFromParent_Done,
     /*  254152 */   // Label 4864: @254152
     /*  254152 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254215), // Rule ID 5590 //
     /*  254157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254196 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254213 */     GIR_RootConstrainSelectedInstOperands,
     /*  254214 */     // GIR_Coverage, 5590,
     /*  254214 */     GIR_EraseRootFromParent_Done,
     /*  254215 */   // Label 4865: @254215
     /*  254215 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254278), // Rule ID 5591 //
     /*  254220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254259 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254276 */     GIR_RootConstrainSelectedInstOperands,
     /*  254277 */     // GIR_Coverage, 5591,
     /*  254277 */     GIR_EraseRootFromParent_Done,
     /*  254278 */   // Label 4866: @254278
     /*  254278 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254341), // Rule ID 5592 //
     /*  254283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254339 */     GIR_RootConstrainSelectedInstOperands,
     /*  254340 */     // GIR_Coverage, 5592,
     /*  254340 */     GIR_EraseRootFromParent_Done,
     /*  254341 */   // Label 4867: @254341
     /*  254341 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254404), // Rule ID 5593 //
     /*  254346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254402 */     GIR_RootConstrainSelectedInstOperands,
     /*  254403 */     // GIR_Coverage, 5593,
     /*  254403 */     GIR_EraseRootFromParent_Done,
     /*  254404 */   // Label 4868: @254404
     /*  254404 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254467), // Rule ID 5594 //
     /*  254409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254465 */     GIR_RootConstrainSelectedInstOperands,
     /*  254466 */     // GIR_Coverage, 5594,
     /*  254466 */     GIR_EraseRootFromParent_Done,
     /*  254467 */   // Label 4869: @254467
     /*  254467 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254530), // Rule ID 5595 //
     /*  254472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254528 */     GIR_RootConstrainSelectedInstOperands,
     /*  254529 */     // GIR_Coverage, 5595,
     /*  254529 */     GIR_EraseRootFromParent_Done,
     /*  254530 */   // Label 4870: @254530
     /*  254530 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254593), // Rule ID 5596 //
     /*  254535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254574 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254591 */     GIR_RootConstrainSelectedInstOperands,
     /*  254592 */     // GIR_Coverage, 5596,
     /*  254592 */     GIR_EraseRootFromParent_Done,
     /*  254593 */   // Label 4871: @254593
     /*  254593 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254656), // Rule ID 5597 //
     /*  254598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254637 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254654 */     GIR_RootConstrainSelectedInstOperands,
     /*  254655 */     // GIR_Coverage, 5597,
     /*  254655 */     GIR_EraseRootFromParent_Done,
     /*  254656 */   // Label 4872: @254656
     /*  254656 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254719), // Rule ID 5598 //
     /*  254661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254717 */     GIR_RootConstrainSelectedInstOperands,
     /*  254718 */     // GIR_Coverage, 5598,
     /*  254718 */     GIR_EraseRootFromParent_Done,
     /*  254719 */   // Label 4873: @254719
     /*  254719 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254782), // Rule ID 5599 //
     /*  254724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254780 */     GIR_RootConstrainSelectedInstOperands,
     /*  254781 */     // GIR_Coverage, 5599,
     /*  254781 */     GIR_EraseRootFromParent_Done,
     /*  254782 */   // Label 4874: @254782
     /*  254782 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254845), // Rule ID 5600 //
     /*  254787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254843 */     GIR_RootConstrainSelectedInstOperands,
     /*  254844 */     // GIR_Coverage, 5600,
     /*  254844 */     GIR_EraseRootFromParent_Done,
     /*  254845 */   // Label 4875: @254845
     /*  254845 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(254908), // Rule ID 5601 //
     /*  254850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254906 */     GIR_RootConstrainSelectedInstOperands,
     /*  254907 */     // GIR_Coverage, 5601,
     /*  254907 */     GIR_EraseRootFromParent_Done,
     /*  254908 */   // Label 4876: @254908
     /*  254908 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(254971), // Rule ID 5602 //
     /*  254913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254969 */     GIR_RootConstrainSelectedInstOperands,
     /*  254970 */     // GIR_Coverage, 5602,
     /*  254970 */     GIR_EraseRootFromParent_Done,
     /*  254971 */   // Label 4877: @254971
     /*  254971 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255034), // Rule ID 5603 //
     /*  254976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255015 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255032 */     GIR_RootConstrainSelectedInstOperands,
     /*  255033 */     // GIR_Coverage, 5603,
     /*  255033 */     GIR_EraseRootFromParent_Done,
     /*  255034 */   // Label 4878: @255034
     /*  255034 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255097), // Rule ID 5604 //
     /*  255039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255095 */     GIR_RootConstrainSelectedInstOperands,
     /*  255096 */     // GIR_Coverage, 5604,
     /*  255096 */     GIR_EraseRootFromParent_Done,
     /*  255097 */   // Label 4879: @255097
     /*  255097 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255160), // Rule ID 5605 //
     /*  255102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255158 */     GIR_RootConstrainSelectedInstOperands,
     /*  255159 */     // GIR_Coverage, 5605,
     /*  255159 */     GIR_EraseRootFromParent_Done,
     /*  255160 */   // Label 4880: @255160
     /*  255160 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255223), // Rule ID 5606 //
     /*  255165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255221 */     GIR_RootConstrainSelectedInstOperands,
     /*  255222 */     // GIR_Coverage, 5606,
     /*  255222 */     GIR_EraseRootFromParent_Done,
     /*  255223 */   // Label 4881: @255223
     /*  255223 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255286), // Rule ID 5607 //
     /*  255228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255284 */     GIR_RootConstrainSelectedInstOperands,
     /*  255285 */     // GIR_Coverage, 5607,
     /*  255285 */     GIR_EraseRootFromParent_Done,
     /*  255286 */   // Label 4882: @255286
     /*  255286 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255349), // Rule ID 5608 //
     /*  255291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  255308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255347 */     GIR_RootConstrainSelectedInstOperands,
     /*  255348 */     // GIR_Coverage, 5608,
     /*  255348 */     GIR_EraseRootFromParent_Done,
     /*  255349 */   // Label 4883: @255349
     /*  255349 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255412), // Rule ID 5609 //
     /*  255354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  255371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255410 */     GIR_RootConstrainSelectedInstOperands,
     /*  255411 */     // GIR_Coverage, 5609,
     /*  255411 */     GIR_EraseRootFromParent_Done,
     /*  255412 */   // Label 4884: @255412
     /*  255412 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255475), // Rule ID 5610 //
     /*  255417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255473 */     GIR_RootConstrainSelectedInstOperands,
     /*  255474 */     // GIR_Coverage, 5610,
     /*  255474 */     GIR_EraseRootFromParent_Done,
     /*  255475 */   // Label 4885: @255475
     /*  255475 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255538), // Rule ID 5611 //
     /*  255480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255519 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255536 */     GIR_RootConstrainSelectedInstOperands,
     /*  255537 */     // GIR_Coverage, 5611,
     /*  255537 */     GIR_EraseRootFromParent_Done,
     /*  255538 */   // Label 4886: @255538
     /*  255538 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255601), // Rule ID 5612 //
     /*  255543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255582 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255599 */     GIR_RootConstrainSelectedInstOperands,
     /*  255600 */     // GIR_Coverage, 5612,
     /*  255600 */     GIR_EraseRootFromParent_Done,
     /*  255601 */   // Label 4887: @255601
     /*  255601 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255664), // Rule ID 5613 //
     /*  255606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255645 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255662 */     GIR_RootConstrainSelectedInstOperands,
     /*  255663 */     // GIR_Coverage, 5613,
     /*  255663 */     GIR_EraseRootFromParent_Done,
     /*  255664 */   // Label 4888: @255664
     /*  255664 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255727), // Rule ID 5614 //
     /*  255669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255725 */     GIR_RootConstrainSelectedInstOperands,
     /*  255726 */     // GIR_Coverage, 5614,
     /*  255726 */     GIR_EraseRootFromParent_Done,
     /*  255727 */   // Label 4889: @255727
     /*  255727 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255790), // Rule ID 5615 //
     /*  255732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255771 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255788 */     GIR_RootConstrainSelectedInstOperands,
     /*  255789 */     // GIR_Coverage, 5615,
     /*  255789 */     GIR_EraseRootFromParent_Done,
     /*  255790 */   // Label 4890: @255790
     /*  255790 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255853), // Rule ID 5616 //
     /*  255795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255851 */     GIR_RootConstrainSelectedInstOperands,
     /*  255852 */     // GIR_Coverage, 5616,
     /*  255852 */     GIR_EraseRootFromParent_Done,
     /*  255853 */   // Label 4891: @255853
     /*  255853 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(255916), // Rule ID 5617 //
     /*  255858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255914 */     GIR_RootConstrainSelectedInstOperands,
     /*  255915 */     // GIR_Coverage, 5617,
     /*  255915 */     GIR_EraseRootFromParent_Done,
     /*  255916 */   // Label 4892: @255916
     /*  255916 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(255979), // Rule ID 5618 //
     /*  255921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255977 */     GIR_RootConstrainSelectedInstOperands,
     /*  255978 */     // GIR_Coverage, 5618,
     /*  255978 */     GIR_EraseRootFromParent_Done,
     /*  255979 */   // Label 4893: @255979
     /*  255979 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256042), // Rule ID 5619 //
     /*  255984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256040 */     GIR_RootConstrainSelectedInstOperands,
     /*  256041 */     // GIR_Coverage, 5619,
     /*  256041 */     GIR_EraseRootFromParent_Done,
     /*  256042 */   // Label 4894: @256042
     /*  256042 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256105), // Rule ID 5620 //
     /*  256047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256103 */     GIR_RootConstrainSelectedInstOperands,
     /*  256104 */     // GIR_Coverage, 5620,
     /*  256104 */     GIR_EraseRootFromParent_Done,
     /*  256105 */   // Label 4895: @256105
     /*  256105 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256168), // Rule ID 5621 //
     /*  256110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256166 */     GIR_RootConstrainSelectedInstOperands,
     /*  256167 */     // GIR_Coverage, 5621,
     /*  256167 */     GIR_EraseRootFromParent_Done,
     /*  256168 */   // Label 4896: @256168
     /*  256168 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256231), // Rule ID 5622 //
     /*  256173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256229 */     GIR_RootConstrainSelectedInstOperands,
     /*  256230 */     // GIR_Coverage, 5622,
     /*  256230 */     GIR_EraseRootFromParent_Done,
     /*  256231 */   // Label 4897: @256231
     /*  256231 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256294), // Rule ID 5623 //
     /*  256236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256292 */     GIR_RootConstrainSelectedInstOperands,
     /*  256293 */     // GIR_Coverage, 5623,
     /*  256293 */     GIR_EraseRootFromParent_Done,
     /*  256294 */   // Label 4898: @256294
     /*  256294 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256357), // Rule ID 5624 //
     /*  256299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  256313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256355 */     GIR_RootConstrainSelectedInstOperands,
     /*  256356 */     // GIR_Coverage, 5624,
     /*  256356 */     GIR_EraseRootFromParent_Done,
     /*  256357 */   // Label 4899: @256357
     /*  256357 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256420), // Rule ID 5625 //
     /*  256362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  256376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256401 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256418 */     GIR_RootConstrainSelectedInstOperands,
     /*  256419 */     // GIR_Coverage, 5625,
     /*  256419 */     GIR_EraseRootFromParent_Done,
     /*  256420 */   // Label 4900: @256420
     /*  256420 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256483), // Rule ID 5626 //
     /*  256425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256481 */     GIR_RootConstrainSelectedInstOperands,
     /*  256482 */     // GIR_Coverage, 5626,
     /*  256482 */     GIR_EraseRootFromParent_Done,
     /*  256483 */   // Label 4901: @256483
     /*  256483 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256546), // Rule ID 5627 //
     /*  256488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256527 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256544 */     GIR_RootConstrainSelectedInstOperands,
     /*  256545 */     // GIR_Coverage, 5627,
     /*  256545 */     GIR_EraseRootFromParent_Done,
     /*  256546 */   // Label 4902: @256546
     /*  256546 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256609), // Rule ID 5628 //
     /*  256551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256590 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256607 */     GIR_RootConstrainSelectedInstOperands,
     /*  256608 */     // GIR_Coverage, 5628,
     /*  256608 */     GIR_EraseRootFromParent_Done,
     /*  256609 */   // Label 4903: @256609
     /*  256609 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256672), // Rule ID 5629 //
     /*  256614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256670 */     GIR_RootConstrainSelectedInstOperands,
     /*  256671 */     // GIR_Coverage, 5629,
     /*  256671 */     GIR_EraseRootFromParent_Done,
     /*  256672 */   // Label 4904: @256672
     /*  256672 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256735), // Rule ID 5630 //
     /*  256677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256733 */     GIR_RootConstrainSelectedInstOperands,
     /*  256734 */     // GIR_Coverage, 5630,
     /*  256734 */     GIR_EraseRootFromParent_Done,
     /*  256735 */   // Label 4905: @256735
     /*  256735 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256798), // Rule ID 5631 //
     /*  256740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256796 */     GIR_RootConstrainSelectedInstOperands,
     /*  256797 */     // GIR_Coverage, 5631,
     /*  256797 */     GIR_EraseRootFromParent_Done,
     /*  256798 */   // Label 4906: @256798
     /*  256798 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(256861), // Rule ID 5632 //
     /*  256803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256859 */     GIR_RootConstrainSelectedInstOperands,
     /*  256860 */     // GIR_Coverage, 5632,
     /*  256860 */     GIR_EraseRootFromParent_Done,
     /*  256861 */   // Label 4907: @256861
     /*  256861 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(256924), // Rule ID 5633 //
     /*  256866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256905 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256922 */     GIR_RootConstrainSelectedInstOperands,
     /*  256923 */     // GIR_Coverage, 5633,
     /*  256923 */     GIR_EraseRootFromParent_Done,
     /*  256924 */   // Label 4908: @256924
     /*  256924 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(256987), // Rule ID 5634 //
     /*  256929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256968 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256985 */     GIR_RootConstrainSelectedInstOperands,
     /*  256986 */     // GIR_Coverage, 5634,
     /*  256986 */     GIR_EraseRootFromParent_Done,
     /*  256987 */   // Label 4909: @256987
     /*  256987 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257050), // Rule ID 5635 //
     /*  256992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  257003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  257006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257031 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257048 */     GIR_RootConstrainSelectedInstOperands,
     /*  257049 */     // GIR_Coverage, 5635,
     /*  257049 */     GIR_EraseRootFromParent_Done,
     /*  257050 */   // Label 4910: @257050
     /*  257050 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257113), // Rule ID 5636 //
     /*  257055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257111 */     GIR_RootConstrainSelectedInstOperands,
     /*  257112 */     // GIR_Coverage, 5636,
     /*  257112 */     GIR_EraseRootFromParent_Done,
     /*  257113 */   // Label 4911: @257113
     /*  257113 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257176), // Rule ID 5637 //
     /*  257118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257174 */     GIR_RootConstrainSelectedInstOperands,
     /*  257175 */     // GIR_Coverage, 5637,
     /*  257175 */     GIR_EraseRootFromParent_Done,
     /*  257176 */   // Label 4912: @257176
     /*  257176 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257239), // Rule ID 5638 //
     /*  257181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257237 */     GIR_RootConstrainSelectedInstOperands,
     /*  257238 */     // GIR_Coverage, 5638,
     /*  257238 */     GIR_EraseRootFromParent_Done,
     /*  257239 */   // Label 4913: @257239
     /*  257239 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257302), // Rule ID 5639 //
     /*  257244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257300 */     GIR_RootConstrainSelectedInstOperands,
     /*  257301 */     // GIR_Coverage, 5639,
     /*  257301 */     GIR_EraseRootFromParent_Done,
     /*  257302 */   // Label 4914: @257302
     /*  257302 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257365), // Rule ID 5640 //
     /*  257307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257346 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257363 */     GIR_RootConstrainSelectedInstOperands,
     /*  257364 */     // GIR_Coverage, 5640,
     /*  257364 */     GIR_EraseRootFromParent_Done,
     /*  257365 */   // Label 4915: @257365
     /*  257365 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257428), // Rule ID 5641 //
     /*  257370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257426 */     GIR_RootConstrainSelectedInstOperands,
     /*  257427 */     // GIR_Coverage, 5641,
     /*  257427 */     GIR_EraseRootFromParent_Done,
     /*  257428 */   // Label 4916: @257428
     /*  257428 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257491), // Rule ID 5642 //
     /*  257433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257489 */     GIR_RootConstrainSelectedInstOperands,
     /*  257490 */     // GIR_Coverage, 5642,
     /*  257490 */     GIR_EraseRootFromParent_Done,
     /*  257491 */   // Label 4917: @257491
     /*  257491 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257554), // Rule ID 5643 //
     /*  257496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257552 */     GIR_RootConstrainSelectedInstOperands,
     /*  257553 */     // GIR_Coverage, 5643,
     /*  257553 */     GIR_EraseRootFromParent_Done,
     /*  257554 */   // Label 4918: @257554
     /*  257554 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257617), // Rule ID 5644 //
     /*  257559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257615 */     GIR_RootConstrainSelectedInstOperands,
     /*  257616 */     // GIR_Coverage, 5644,
     /*  257616 */     GIR_EraseRootFromParent_Done,
     /*  257617 */   // Label 4919: @257617
     /*  257617 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257680), // Rule ID 5645 //
     /*  257622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257678 */     GIR_RootConstrainSelectedInstOperands,
     /*  257679 */     // GIR_Coverage, 5645,
     /*  257679 */     GIR_EraseRootFromParent_Done,
     /*  257680 */   // Label 4920: @257680
     /*  257680 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257743), // Rule ID 5646 //
     /*  257685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257741 */     GIR_RootConstrainSelectedInstOperands,
     /*  257742 */     // GIR_Coverage, 5646,
     /*  257742 */     GIR_EraseRootFromParent_Done,
     /*  257743 */   // Label 4921: @257743
     /*  257743 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257806), // Rule ID 5647 //
     /*  257748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257804 */     GIR_RootConstrainSelectedInstOperands,
     /*  257805 */     // GIR_Coverage, 5647,
     /*  257805 */     GIR_EraseRootFromParent_Done,
     /*  257806 */   // Label 4922: @257806
     /*  257806 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(257869), // Rule ID 5648 //
     /*  257811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257867 */     GIR_RootConstrainSelectedInstOperands,
     /*  257868 */     // GIR_Coverage, 5648,
     /*  257868 */     GIR_EraseRootFromParent_Done,
     /*  257869 */   // Label 4923: @257869
     /*  257869 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(257932), // Rule ID 5649 //
     /*  257874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257930 */     GIR_RootConstrainSelectedInstOperands,
     /*  257931 */     // GIR_Coverage, 5649,
     /*  257931 */     GIR_EraseRootFromParent_Done,
     /*  257932 */   // Label 4924: @257932
     /*  257932 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(257995), // Rule ID 5650 //
     /*  257937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257993 */     GIR_RootConstrainSelectedInstOperands,
     /*  257994 */     // GIR_Coverage, 5650,
     /*  257994 */     GIR_EraseRootFromParent_Done,
     /*  257995 */   // Label 4925: @257995
     /*  257995 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258058), // Rule ID 5651 //
     /*  258000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  258014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258056 */     GIR_RootConstrainSelectedInstOperands,
     /*  258057 */     // GIR_Coverage, 5651,
     /*  258057 */     GIR_EraseRootFromParent_Done,
     /*  258058 */   // Label 4926: @258058
     /*  258058 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258121), // Rule ID 5652 //
     /*  258063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258119 */     GIR_RootConstrainSelectedInstOperands,
     /*  258120 */     // GIR_Coverage, 5652,
     /*  258120 */     GIR_EraseRootFromParent_Done,
     /*  258121 */   // Label 4927: @258121
     /*  258121 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258184), // Rule ID 5653 //
     /*  258126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258182 */     GIR_RootConstrainSelectedInstOperands,
     /*  258183 */     // GIR_Coverage, 5653,
     /*  258183 */     GIR_EraseRootFromParent_Done,
     /*  258184 */   // Label 4928: @258184
     /*  258184 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258247), // Rule ID 7686 //
     /*  258189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258245 */     GIR_RootConstrainSelectedInstOperands,
     /*  258246 */     // GIR_Coverage, 7686,
     /*  258246 */     GIR_EraseRootFromParent_Done,
     /*  258247 */   // Label 4929: @258247
     /*  258247 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258310), // Rule ID 7687 //
     /*  258252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258308 */     GIR_RootConstrainSelectedInstOperands,
     /*  258309 */     // GIR_Coverage, 7687,
     /*  258309 */     GIR_EraseRootFromParent_Done,
     /*  258310 */   // Label 4930: @258310
     /*  258310 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258373), // Rule ID 7690 //
     /*  258315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  258332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258371 */     GIR_RootConstrainSelectedInstOperands,
     /*  258372 */     // GIR_Coverage, 7690,
     /*  258372 */     GIR_EraseRootFromParent_Done,
     /*  258373 */   // Label 4931: @258373
     /*  258373 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258436), // Rule ID 7691 //
     /*  258378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  258395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258434 */     GIR_RootConstrainSelectedInstOperands,
     /*  258435 */     // GIR_Coverage, 7691,
     /*  258435 */     GIR_EraseRootFromParent_Done,
     /*  258436 */   // Label 4932: @258436
     /*  258436 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258499), // Rule ID 7694 //
     /*  258441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258497 */     GIR_RootConstrainSelectedInstOperands,
     /*  258498 */     // GIR_Coverage, 7694,
     /*  258498 */     GIR_EraseRootFromParent_Done,
     /*  258499 */   // Label 4933: @258499
     /*  258499 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258562), // Rule ID 7695 //
     /*  258504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258560 */     GIR_RootConstrainSelectedInstOperands,
     /*  258561 */     // GIR_Coverage, 7695,
     /*  258561 */     GIR_EraseRootFromParent_Done,
     /*  258562 */   // Label 4934: @258562
     /*  258562 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258625), // Rule ID 7698 //
     /*  258567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258623 */     GIR_RootConstrainSelectedInstOperands,
     /*  258624 */     // GIR_Coverage, 7698,
     /*  258624 */     GIR_EraseRootFromParent_Done,
     /*  258625 */   // Label 4935: @258625
     /*  258625 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258688), // Rule ID 7699 //
     /*  258630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258686 */     GIR_RootConstrainSelectedInstOperands,
     /*  258687 */     // GIR_Coverage, 7699,
     /*  258687 */     GIR_EraseRootFromParent_Done,
     /*  258688 */   // Label 4936: @258688
     /*  258688 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258751), // Rule ID 7702 //
     /*  258693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258749 */     GIR_RootConstrainSelectedInstOperands,
     /*  258750 */     // GIR_Coverage, 7702,
     /*  258750 */     GIR_EraseRootFromParent_Done,
     /*  258751 */   // Label 4937: @258751
     /*  258751 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258814), // Rule ID 7703 //
     /*  258756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258812 */     GIR_RootConstrainSelectedInstOperands,
     /*  258813 */     // GIR_Coverage, 7703,
     /*  258813 */     GIR_EraseRootFromParent_Done,
     /*  258814 */   // Label 4938: @258814
     /*  258814 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(258877), // Rule ID 7706 //
     /*  258819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258875 */     GIR_RootConstrainSelectedInstOperands,
     /*  258876 */     // GIR_Coverage, 7706,
     /*  258876 */     GIR_EraseRootFromParent_Done,
     /*  258877 */   // Label 4939: @258877
     /*  258877 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(258940), // Rule ID 7707 //
     /*  258882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258938 */     GIR_RootConstrainSelectedInstOperands,
     /*  258939 */     // GIR_Coverage, 7707,
     /*  258939 */     GIR_EraseRootFromParent_Done,
     /*  258940 */   // Label 4940: @258940
     /*  258940 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259003), // Rule ID 7710 //
     /*  258945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259001 */     GIR_RootConstrainSelectedInstOperands,
     /*  259002 */     // GIR_Coverage, 7710,
     /*  259002 */     GIR_EraseRootFromParent_Done,
     /*  259003 */   // Label 4941: @259003
     /*  259003 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259066), // Rule ID 7711 //
     /*  259008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259047 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259064 */     GIR_RootConstrainSelectedInstOperands,
     /*  259065 */     // GIR_Coverage, 7711,
     /*  259065 */     GIR_EraseRootFromParent_Done,
     /*  259066 */   // Label 4942: @259066
     /*  259066 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259129), // Rule ID 7714 //
     /*  259071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259127 */     GIR_RootConstrainSelectedInstOperands,
     /*  259128 */     // GIR_Coverage, 7714,
     /*  259128 */     GIR_EraseRootFromParent_Done,
     /*  259129 */   // Label 4943: @259129
     /*  259129 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259192), // Rule ID 7715 //
     /*  259134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259190 */     GIR_RootConstrainSelectedInstOperands,
     /*  259191 */     // GIR_Coverage, 7715,
     /*  259191 */     GIR_EraseRootFromParent_Done,
     /*  259192 */   // Label 4944: @259192
     /*  259192 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259255), // Rule ID 7718 //
     /*  259197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259253 */     GIR_RootConstrainSelectedInstOperands,
     /*  259254 */     // GIR_Coverage, 7718,
     /*  259254 */     GIR_EraseRootFromParent_Done,
     /*  259255 */   // Label 4945: @259255
     /*  259255 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259318), // Rule ID 7719 //
     /*  259260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259316 */     GIR_RootConstrainSelectedInstOperands,
     /*  259317 */     // GIR_Coverage, 7719,
     /*  259317 */     GIR_EraseRootFromParent_Done,
     /*  259318 */   // Label 4946: @259318
     /*  259318 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259381), // Rule ID 7722 //
     /*  259323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  259340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259379 */     GIR_RootConstrainSelectedInstOperands,
     /*  259380 */     // GIR_Coverage, 7722,
     /*  259380 */     GIR_EraseRootFromParent_Done,
     /*  259381 */   // Label 4947: @259381
     /*  259381 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259444), // Rule ID 7723 //
     /*  259386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  259403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259425 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259442 */     GIR_RootConstrainSelectedInstOperands,
     /*  259443 */     // GIR_Coverage, 7723,
     /*  259443 */     GIR_EraseRootFromParent_Done,
     /*  259444 */   // Label 4948: @259444
     /*  259444 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259507), // Rule ID 7726 //
     /*  259449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259505 */     GIR_RootConstrainSelectedInstOperands,
     /*  259506 */     // GIR_Coverage, 7726,
     /*  259506 */     GIR_EraseRootFromParent_Done,
     /*  259507 */   // Label 4949: @259507
     /*  259507 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259570), // Rule ID 7727 //
     /*  259512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259551 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259568 */     GIR_RootConstrainSelectedInstOperands,
     /*  259569 */     // GIR_Coverage, 7727,
     /*  259569 */     GIR_EraseRootFromParent_Done,
     /*  259570 */   // Label 4950: @259570
     /*  259570 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259633), // Rule ID 7730 //
     /*  259575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259614 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259631 */     GIR_RootConstrainSelectedInstOperands,
     /*  259632 */     // GIR_Coverage, 7730,
     /*  259632 */     GIR_EraseRootFromParent_Done,
     /*  259633 */   // Label 4951: @259633
     /*  259633 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259696), // Rule ID 7731 //
     /*  259638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259677 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259694 */     GIR_RootConstrainSelectedInstOperands,
     /*  259695 */     // GIR_Coverage, 7731,
     /*  259695 */     GIR_EraseRootFromParent_Done,
     /*  259696 */   // Label 4952: @259696
     /*  259696 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259759), // Rule ID 7734 //
     /*  259701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259757 */     GIR_RootConstrainSelectedInstOperands,
     /*  259758 */     // GIR_Coverage, 7734,
     /*  259758 */     GIR_EraseRootFromParent_Done,
     /*  259759 */   // Label 4953: @259759
     /*  259759 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259822), // Rule ID 7735 //
     /*  259764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259820 */     GIR_RootConstrainSelectedInstOperands,
     /*  259821 */     // GIR_Coverage, 7735,
     /*  259821 */     GIR_EraseRootFromParent_Done,
     /*  259822 */   // Label 4954: @259822
     /*  259822 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(259885), // Rule ID 7738 //
     /*  259827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259866 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259883 */     GIR_RootConstrainSelectedInstOperands,
     /*  259884 */     // GIR_Coverage, 7738,
     /*  259884 */     GIR_EraseRootFromParent_Done,
     /*  259885 */   // Label 4955: @259885
     /*  259885 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(259948), // Rule ID 7739 //
     /*  259890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259946 */     GIR_RootConstrainSelectedInstOperands,
     /*  259947 */     // GIR_Coverage, 7739,
     /*  259947 */     GIR_EraseRootFromParent_Done,
     /*  259948 */   // Label 4956: @259948
     /*  259948 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260011), // Rule ID 7742 //
     /*  259953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260009 */     GIR_RootConstrainSelectedInstOperands,
     /*  260010 */     // GIR_Coverage, 7742,
     /*  260010 */     GIR_EraseRootFromParent_Done,
     /*  260011 */   // Label 4957: @260011
     /*  260011 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260074), // Rule ID 7743 //
     /*  260016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  260030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  260033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260072 */     GIR_RootConstrainSelectedInstOperands,
     /*  260073 */     // GIR_Coverage, 7743,
     /*  260073 */     GIR_EraseRootFromParent_Done,
     /*  260074 */   // Label 4958: @260074
     /*  260074 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260137), // Rule ID 7746 //
     /*  260079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260135 */     GIR_RootConstrainSelectedInstOperands,
     /*  260136 */     // GIR_Coverage, 7746,
     /*  260136 */     GIR_EraseRootFromParent_Done,
     /*  260137 */   // Label 4959: @260137
     /*  260137 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260200), // Rule ID 7747 //
     /*  260142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260181 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260198 */     GIR_RootConstrainSelectedInstOperands,
     /*  260199 */     // GIR_Coverage, 7747,
     /*  260199 */     GIR_EraseRootFromParent_Done,
     /*  260200 */   // Label 4960: @260200
     /*  260200 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260263), // Rule ID 7750 //
     /*  260205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260261 */     GIR_RootConstrainSelectedInstOperands,
     /*  260262 */     // GIR_Coverage, 7750,
     /*  260262 */     GIR_EraseRootFromParent_Done,
     /*  260263 */   // Label 4961: @260263
     /*  260263 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260326), // Rule ID 7751 //
     /*  260268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260324 */     GIR_RootConstrainSelectedInstOperands,
     /*  260325 */     // GIR_Coverage, 7751,
     /*  260325 */     GIR_EraseRootFromParent_Done,
     /*  260326 */   // Label 4962: @260326
     /*  260326 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260389), // Rule ID 7754 //
     /*  260331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  260345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260387 */     GIR_RootConstrainSelectedInstOperands,
     /*  260388 */     // GIR_Coverage, 7754,
     /*  260388 */     GIR_EraseRootFromParent_Done,
     /*  260389 */   // Label 4963: @260389
     /*  260389 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260452), // Rule ID 7755 //
     /*  260394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  260408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260450 */     GIR_RootConstrainSelectedInstOperands,
     /*  260451 */     // GIR_Coverage, 7755,
     /*  260451 */     GIR_EraseRootFromParent_Done,
     /*  260452 */   // Label 4964: @260452
     /*  260452 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260515), // Rule ID 7758 //
     /*  260457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260513 */     GIR_RootConstrainSelectedInstOperands,
     /*  260514 */     // GIR_Coverage, 7758,
     /*  260514 */     GIR_EraseRootFromParent_Done,
     /*  260515 */   // Label 4965: @260515
     /*  260515 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260578), // Rule ID 7759 //
     /*  260520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260576 */     GIR_RootConstrainSelectedInstOperands,
     /*  260577 */     // GIR_Coverage, 7759,
     /*  260577 */     GIR_EraseRootFromParent_Done,
     /*  260578 */   // Label 4966: @260578
     /*  260578 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260641), // Rule ID 7762 //
     /*  260583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260622 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260639 */     GIR_RootConstrainSelectedInstOperands,
     /*  260640 */     // GIR_Coverage, 7762,
     /*  260640 */     GIR_EraseRootFromParent_Done,
     /*  260641 */   // Label 4967: @260641
     /*  260641 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260704), // Rule ID 7763 //
     /*  260646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260702 */     GIR_RootConstrainSelectedInstOperands,
     /*  260703 */     // GIR_Coverage, 7763,
     /*  260703 */     GIR_EraseRootFromParent_Done,
     /*  260704 */   // Label 4968: @260704
     /*  260704 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260767), // Rule ID 7766 //
     /*  260709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260765 */     GIR_RootConstrainSelectedInstOperands,
     /*  260766 */     // GIR_Coverage, 7766,
     /*  260766 */     GIR_EraseRootFromParent_Done,
     /*  260767 */   // Label 4969: @260767
     /*  260767 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260830), // Rule ID 7767 //
     /*  260772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260828 */     GIR_RootConstrainSelectedInstOperands,
     /*  260829 */     // GIR_Coverage, 7767,
     /*  260829 */     GIR_EraseRootFromParent_Done,
     /*  260830 */   // Label 4970: @260830
     /*  260830 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(260893), // Rule ID 7770 //
     /*  260835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260891 */     GIR_RootConstrainSelectedInstOperands,
     /*  260892 */     // GIR_Coverage, 7770,
     /*  260892 */     GIR_EraseRootFromParent_Done,
     /*  260893 */   // Label 4971: @260893
     /*  260893 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(260956), // Rule ID 7771 //
     /*  260898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260954 */     GIR_RootConstrainSelectedInstOperands,
     /*  260955 */     // GIR_Coverage, 7771,
     /*  260955 */     GIR_EraseRootFromParent_Done,
     /*  260956 */   // Label 4972: @260956
     /*  260956 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261019), // Rule ID 7774 //
     /*  260961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261017 */     GIR_RootConstrainSelectedInstOperands,
     /*  261018 */     // GIR_Coverage, 7774,
     /*  261018 */     GIR_EraseRootFromParent_Done,
     /*  261019 */   // Label 4973: @261019
     /*  261019 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261082), // Rule ID 7775 //
     /*  261024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  261038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261080 */     GIR_RootConstrainSelectedInstOperands,
     /*  261081 */     // GIR_Coverage, 7775,
     /*  261081 */     GIR_EraseRootFromParent_Done,
     /*  261082 */   // Label 4974: @261082
     /*  261082 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261145), // Rule ID 7778 //
     /*  261087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261143 */     GIR_RootConstrainSelectedInstOperands,
     /*  261144 */     // GIR_Coverage, 7778,
     /*  261144 */     GIR_EraseRootFromParent_Done,
     /*  261145 */   // Label 4975: @261145
     /*  261145 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261208), // Rule ID 7779 //
     /*  261150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261206 */     GIR_RootConstrainSelectedInstOperands,
     /*  261207 */     // GIR_Coverage, 7779,
     /*  261207 */     GIR_EraseRootFromParent_Done,
     /*  261208 */   // Label 4976: @261208
     /*  261208 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261271), // Rule ID 7782 //
     /*  261213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261269 */     GIR_RootConstrainSelectedInstOperands,
     /*  261270 */     // GIR_Coverage, 7782,
     /*  261270 */     GIR_EraseRootFromParent_Done,
     /*  261271 */   // Label 4977: @261271
     /*  261271 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261334), // Rule ID 7783 //
     /*  261276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261332 */     GIR_RootConstrainSelectedInstOperands,
     /*  261333 */     // GIR_Coverage, 7783,
     /*  261333 */     GIR_EraseRootFromParent_Done,
     /*  261334 */   // Label 4978: @261334
     /*  261334 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261397), // Rule ID 7786 //
     /*  261339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  261353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261395 */     GIR_RootConstrainSelectedInstOperands,
     /*  261396 */     // GIR_Coverage, 7786,
     /*  261396 */     GIR_EraseRootFromParent_Done,
     /*  261397 */   // Label 4979: @261397
     /*  261397 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261460), // Rule ID 7787 //
     /*  261402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  261416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261458 */     GIR_RootConstrainSelectedInstOperands,
     /*  261459 */     // GIR_Coverage, 7787,
     /*  261459 */     GIR_EraseRootFromParent_Done,
     /*  261460 */   // Label 4980: @261460
     /*  261460 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261523), // Rule ID 7790 //
     /*  261465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261521 */     GIR_RootConstrainSelectedInstOperands,
     /*  261522 */     // GIR_Coverage, 7790,
     /*  261522 */     GIR_EraseRootFromParent_Done,
     /*  261523 */   // Label 4981: @261523
     /*  261523 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261586), // Rule ID 7791 //
     /*  261528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261584 */     GIR_RootConstrainSelectedInstOperands,
     /*  261585 */     // GIR_Coverage, 7791,
     /*  261585 */     GIR_EraseRootFromParent_Done,
     /*  261586 */   // Label 4982: @261586
     /*  261586 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261649), // Rule ID 7794 //
     /*  261591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261647 */     GIR_RootConstrainSelectedInstOperands,
     /*  261648 */     // GIR_Coverage, 7794,
     /*  261648 */     GIR_EraseRootFromParent_Done,
     /*  261649 */   // Label 4983: @261649
     /*  261649 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261712), // Rule ID 7795 //
     /*  261654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261710 */     GIR_RootConstrainSelectedInstOperands,
     /*  261711 */     // GIR_Coverage, 7795,
     /*  261711 */     GIR_EraseRootFromParent_Done,
     /*  261712 */   // Label 4984: @261712
     /*  261712 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261775), // Rule ID 7798 //
     /*  261717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261773 */     GIR_RootConstrainSelectedInstOperands,
     /*  261774 */     // GIR_Coverage, 7798,
     /*  261774 */     GIR_EraseRootFromParent_Done,
     /*  261775 */   // Label 4985: @261775
     /*  261775 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261838), // Rule ID 7799 //
     /*  261780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261836 */     GIR_RootConstrainSelectedInstOperands,
     /*  261837 */     // GIR_Coverage, 7799,
     /*  261837 */     GIR_EraseRootFromParent_Done,
     /*  261838 */   // Label 4986: @261838
     /*  261838 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(261901), // Rule ID 7802 //
     /*  261843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261882 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261899 */     GIR_RootConstrainSelectedInstOperands,
     /*  261900 */     // GIR_Coverage, 7802,
     /*  261900 */     GIR_EraseRootFromParent_Done,
     /*  261901 */   // Label 4987: @261901
     /*  261901 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(261964), // Rule ID 7803 //
     /*  261906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261962 */     GIR_RootConstrainSelectedInstOperands,
     /*  261963 */     // GIR_Coverage, 7803,
     /*  261963 */     GIR_EraseRootFromParent_Done,
     /*  261964 */   // Label 4988: @261964
     /*  261964 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262027), // Rule ID 7806 //
     /*  261969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262025 */     GIR_RootConstrainSelectedInstOperands,
     /*  262026 */     // GIR_Coverage, 7806,
     /*  262026 */     GIR_EraseRootFromParent_Done,
     /*  262027 */   // Label 4989: @262027
     /*  262027 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262090), // Rule ID 7807 //
     /*  262032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  262046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262088 */     GIR_RootConstrainSelectedInstOperands,
     /*  262089 */     // GIR_Coverage, 7807,
     /*  262089 */     GIR_EraseRootFromParent_Done,
     /*  262090 */   // Label 4990: @262090
     /*  262090 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262153), // Rule ID 7810 //
     /*  262095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262134 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262151 */     GIR_RootConstrainSelectedInstOperands,
     /*  262152 */     // GIR_Coverage, 7810,
     /*  262152 */     GIR_EraseRootFromParent_Done,
     /*  262153 */   // Label 4991: @262153
     /*  262153 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262216), // Rule ID 7811 //
     /*  262158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262197 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262214 */     GIR_RootConstrainSelectedInstOperands,
     /*  262215 */     // GIR_Coverage, 7811,
     /*  262215 */     GIR_EraseRootFromParent_Done,
     /*  262216 */   // Label 4992: @262216
     /*  262216 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262279), // Rule ID 7814 //
     /*  262221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262277 */     GIR_RootConstrainSelectedInstOperands,
     /*  262278 */     // GIR_Coverage, 7814,
     /*  262278 */     GIR_EraseRootFromParent_Done,
     /*  262279 */   // Label 4993: @262279
     /*  262279 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262342), // Rule ID 7815 //
     /*  262284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262323 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262340 */     GIR_RootConstrainSelectedInstOperands,
     /*  262341 */     // GIR_Coverage, 7815,
     /*  262341 */     GIR_EraseRootFromParent_Done,
     /*  262342 */   // Label 4994: @262342
     /*  262342 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262405), // Rule ID 7818 //
     /*  262347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  262361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262386 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262403 */     GIR_RootConstrainSelectedInstOperands,
     /*  262404 */     // GIR_Coverage, 7818,
     /*  262404 */     GIR_EraseRootFromParent_Done,
     /*  262405 */   // Label 4995: @262405
     /*  262405 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262468), // Rule ID 7819 //
     /*  262410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  262424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262449 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262466 */     GIR_RootConstrainSelectedInstOperands,
     /*  262467 */     // GIR_Coverage, 7819,
     /*  262467 */     GIR_EraseRootFromParent_Done,
     /*  262468 */   // Label 4996: @262468
     /*  262468 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262531), // Rule ID 7822 //
     /*  262473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262529 */     GIR_RootConstrainSelectedInstOperands,
     /*  262530 */     // GIR_Coverage, 7822,
     /*  262530 */     GIR_EraseRootFromParent_Done,
     /*  262531 */   // Label 4997: @262531
     /*  262531 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262594), // Rule ID 7823 //
     /*  262536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262592 */     GIR_RootConstrainSelectedInstOperands,
     /*  262593 */     // GIR_Coverage, 7823,
     /*  262593 */     GIR_EraseRootFromParent_Done,
     /*  262594 */   // Label 4998: @262594
     /*  262594 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262657), // Rule ID 7826 //
     /*  262599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262655 */     GIR_RootConstrainSelectedInstOperands,
     /*  262656 */     // GIR_Coverage, 7826,
     /*  262656 */     GIR_EraseRootFromParent_Done,
     /*  262657 */   // Label 4999: @262657
     /*  262657 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262720), // Rule ID 7827 //
     /*  262662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262701 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262718 */     GIR_RootConstrainSelectedInstOperands,
     /*  262719 */     // GIR_Coverage, 7827,
     /*  262719 */     GIR_EraseRootFromParent_Done,
     /*  262720 */   // Label 5000: @262720
     /*  262720 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262783), // Rule ID 7830 //
     /*  262725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262781 */     GIR_RootConstrainSelectedInstOperands,
     /*  262782 */     // GIR_Coverage, 7830,
     /*  262782 */     GIR_EraseRootFromParent_Done,
     /*  262783 */   // Label 5001: @262783
     /*  262783 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262846), // Rule ID 7831 //
     /*  262788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262827 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262844 */     GIR_RootConstrainSelectedInstOperands,
     /*  262845 */     // GIR_Coverage, 7831,
     /*  262845 */     GIR_EraseRootFromParent_Done,
     /*  262846 */   // Label 5002: @262846
     /*  262846 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(262909), // Rule ID 7834 //
     /*  262851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262907 */     GIR_RootConstrainSelectedInstOperands,
     /*  262908 */     // GIR_Coverage, 7834,
     /*  262908 */     GIR_EraseRootFromParent_Done,
     /*  262909 */   // Label 5003: @262909
     /*  262909 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(262972), // Rule ID 7835 //
     /*  262914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262970 */     GIR_RootConstrainSelectedInstOperands,
     /*  262971 */     // GIR_Coverage, 7835,
     /*  262971 */     GIR_EraseRootFromParent_Done,
     /*  262972 */   // Label 5004: @262972
     /*  262972 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263035), // Rule ID 7838 //
     /*  262977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263033 */     GIR_RootConstrainSelectedInstOperands,
     /*  263034 */     // GIR_Coverage, 7838,
     /*  263034 */     GIR_EraseRootFromParent_Done,
     /*  263035 */   // Label 5005: @263035
     /*  263035 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263098), // Rule ID 7839 //
     /*  263040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  263054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263079 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263096 */     GIR_RootConstrainSelectedInstOperands,
     /*  263097 */     // GIR_Coverage, 7839,
     /*  263097 */     GIR_EraseRootFromParent_Done,
     /*  263098 */   // Label 5006: @263098
     /*  263098 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263161), // Rule ID 7842 //
     /*  263103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263159 */     GIR_RootConstrainSelectedInstOperands,
     /*  263160 */     // GIR_Coverage, 7842,
     /*  263160 */     GIR_EraseRootFromParent_Done,
     /*  263161 */   // Label 5007: @263161
     /*  263161 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263224), // Rule ID 7843 //
     /*  263166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263222 */     GIR_RootConstrainSelectedInstOperands,
     /*  263223 */     // GIR_Coverage, 7843,
     /*  263223 */     GIR_EraseRootFromParent_Done,
     /*  263224 */   // Label 5008: @263224
     /*  263224 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263287), // Rule ID 7846 //
     /*  263229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263285 */     GIR_RootConstrainSelectedInstOperands,
     /*  263286 */     // GIR_Coverage, 7846,
     /*  263286 */     GIR_EraseRootFromParent_Done,
     /*  263287 */   // Label 5009: @263287
     /*  263287 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263350), // Rule ID 7847 //
     /*  263292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263348 */     GIR_RootConstrainSelectedInstOperands,
     /*  263349 */     // GIR_Coverage, 7847,
     /*  263349 */     GIR_EraseRootFromParent_Done,
     /*  263350 */   // Label 5010: @263350
     /*  263350 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263413), // Rule ID 7850 //
     /*  263355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263411 */     GIR_RootConstrainSelectedInstOperands,
     /*  263412 */     // GIR_Coverage, 7850,
     /*  263412 */     GIR_EraseRootFromParent_Done,
     /*  263413 */   // Label 5011: @263413
     /*  263413 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263476), // Rule ID 7851 //
     /*  263418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263474 */     GIR_RootConstrainSelectedInstOperands,
     /*  263475 */     // GIR_Coverage, 7851,
     /*  263475 */     GIR_EraseRootFromParent_Done,
     /*  263476 */   // Label 5012: @263476
     /*  263476 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263539), // Rule ID 7854 //
     /*  263481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263537 */     GIR_RootConstrainSelectedInstOperands,
     /*  263538 */     // GIR_Coverage, 7854,
     /*  263538 */     GIR_EraseRootFromParent_Done,
     /*  263539 */   // Label 5013: @263539
     /*  263539 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263602), // Rule ID 7855 //
     /*  263544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263600 */     GIR_RootConstrainSelectedInstOperands,
     /*  263601 */     // GIR_Coverage, 7855,
     /*  263601 */     GIR_EraseRootFromParent_Done,
     /*  263602 */   // Label 5014: @263602
     /*  263602 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263665), // Rule ID 7946 //
     /*  263607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263663 */     GIR_RootConstrainSelectedInstOperands,
     /*  263664 */     // GIR_Coverage, 7946,
     /*  263664 */     GIR_EraseRootFromParent_Done,
     /*  263665 */   // Label 5015: @263665
     /*  263665 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263728), // Rule ID 7947 //
     /*  263670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263709 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263726 */     GIR_RootConstrainSelectedInstOperands,
     /*  263727 */     // GIR_Coverage, 7947,
     /*  263727 */     GIR_EraseRootFromParent_Done,
     /*  263728 */   // Label 5016: @263728
     /*  263728 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263791), // Rule ID 7950 //
     /*  263733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263789 */     GIR_RootConstrainSelectedInstOperands,
     /*  263790 */     // GIR_Coverage, 7950,
     /*  263790 */     GIR_EraseRootFromParent_Done,
     /*  263791 */   // Label 5017: @263791
     /*  263791 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263854), // Rule ID 7951 //
     /*  263796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263852 */     GIR_RootConstrainSelectedInstOperands,
     /*  263853 */     // GIR_Coverage, 7951,
     /*  263853 */     GIR_EraseRootFromParent_Done,
     /*  263854 */   // Label 5018: @263854
     /*  263854 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(263917), // Rule ID 7954 //
     /*  263859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263915 */     GIR_RootConstrainSelectedInstOperands,
     /*  263916 */     // GIR_Coverage, 7954,
     /*  263916 */     GIR_EraseRootFromParent_Done,
     /*  263917 */   // Label 5019: @263917
     /*  263917 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(263980), // Rule ID 7955 //
     /*  263922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263978 */     GIR_RootConstrainSelectedInstOperands,
     /*  263979 */     // GIR_Coverage, 7955,
     /*  263979 */     GIR_EraseRootFromParent_Done,
     /*  263980 */   // Label 5020: @263980
     /*  263980 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264043), // Rule ID 7958 //
     /*  263985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264041 */     GIR_RootConstrainSelectedInstOperands,
     /*  264042 */     // GIR_Coverage, 7958,
     /*  264042 */     GIR_EraseRootFromParent_Done,
     /*  264043 */   // Label 5021: @264043
     /*  264043 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264106), // Rule ID 7959 //
     /*  264048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  264062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264104 */     GIR_RootConstrainSelectedInstOperands,
     /*  264105 */     // GIR_Coverage, 7959,
     /*  264105 */     GIR_EraseRootFromParent_Done,
     /*  264106 */   // Label 5022: @264106
     /*  264106 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264169), // Rule ID 7962 //
     /*  264111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264167 */     GIR_RootConstrainSelectedInstOperands,
     /*  264168 */     // GIR_Coverage, 7962,
     /*  264168 */     GIR_EraseRootFromParent_Done,
     /*  264169 */   // Label 5023: @264169
     /*  264169 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264232), // Rule ID 7963 //
     /*  264174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264230 */     GIR_RootConstrainSelectedInstOperands,
     /*  264231 */     // GIR_Coverage, 7963,
     /*  264231 */     GIR_EraseRootFromParent_Done,
     /*  264232 */   // Label 5024: @264232
     /*  264232 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264295), // Rule ID 7966 //
     /*  264237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264293 */     GIR_RootConstrainSelectedInstOperands,
     /*  264294 */     // GIR_Coverage, 7966,
     /*  264294 */     GIR_EraseRootFromParent_Done,
     /*  264295 */   // Label 5025: @264295
     /*  264295 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264358), // Rule ID 7967 //
     /*  264300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264356 */     GIR_RootConstrainSelectedInstOperands,
     /*  264357 */     // GIR_Coverage, 7967,
     /*  264357 */     GIR_EraseRootFromParent_Done,
     /*  264358 */   // Label 5026: @264358
     /*  264358 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264421), // Rule ID 7970 //
     /*  264363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264419 */     GIR_RootConstrainSelectedInstOperands,
     /*  264420 */     // GIR_Coverage, 7970,
     /*  264420 */     GIR_EraseRootFromParent_Done,
     /*  264421 */   // Label 5027: @264421
     /*  264421 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264484), // Rule ID 7971 //
     /*  264426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264482 */     GIR_RootConstrainSelectedInstOperands,
     /*  264483 */     // GIR_Coverage, 7971,
     /*  264483 */     GIR_EraseRootFromParent_Done,
     /*  264484 */   // Label 5028: @264484
     /*  264484 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264547), // Rule ID 7974 //
     /*  264489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264545 */     GIR_RootConstrainSelectedInstOperands,
     /*  264546 */     // GIR_Coverage, 7974,
     /*  264546 */     GIR_EraseRootFromParent_Done,
     /*  264547 */   // Label 5029: @264547
     /*  264547 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264610), // Rule ID 7975 //
     /*  264552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264608 */     GIR_RootConstrainSelectedInstOperands,
     /*  264609 */     // GIR_Coverage, 7975,
     /*  264609 */     GIR_EraseRootFromParent_Done,
     /*  264610 */   // Label 5030: @264610
     /*  264610 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264673), // Rule ID 7978 //
     /*  264615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264671 */     GIR_RootConstrainSelectedInstOperands,
     /*  264672 */     // GIR_Coverage, 7978,
     /*  264672 */     GIR_EraseRootFromParent_Done,
     /*  264673 */   // Label 5031: @264673
     /*  264673 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264736), // Rule ID 7979 //
     /*  264678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264734 */     GIR_RootConstrainSelectedInstOperands,
     /*  264735 */     // GIR_Coverage, 7979,
     /*  264735 */     GIR_EraseRootFromParent_Done,
     /*  264736 */   // Label 5032: @264736
     /*  264736 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264799), // Rule ID 7982 //
     /*  264741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264797 */     GIR_RootConstrainSelectedInstOperands,
     /*  264798 */     // GIR_Coverage, 7982,
     /*  264798 */     GIR_EraseRootFromParent_Done,
     /*  264799 */   // Label 5033: @264799
     /*  264799 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(264862), // Rule ID 7983 //
     /*  264804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264860 */     GIR_RootConstrainSelectedInstOperands,
     /*  264861 */     // GIR_Coverage, 7983,
     /*  264861 */     GIR_EraseRootFromParent_Done,
     /*  264862 */   // Label 5034: @264862
     /*  264862 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(264925), // Rule ID 7986 //
     /*  264867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264923 */     GIR_RootConstrainSelectedInstOperands,
     /*  264924 */     // GIR_Coverage, 7986,
     /*  264924 */     GIR_EraseRootFromParent_Done,
     /*  264925 */   // Label 5035: @264925
     /*  264925 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(264988), // Rule ID 7987 //
     /*  264930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264986 */     GIR_RootConstrainSelectedInstOperands,
     /*  264987 */     // GIR_Coverage, 7987,
     /*  264987 */     GIR_EraseRootFromParent_Done,
     /*  264988 */   // Label 5036: @264988
     /*  264988 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265051), // Rule ID 7990 //
     /*  264993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265049 */     GIR_RootConstrainSelectedInstOperands,
     /*  265050 */     // GIR_Coverage, 7990,
     /*  265050 */     GIR_EraseRootFromParent_Done,
     /*  265051 */   // Label 5037: @265051
     /*  265051 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265114), // Rule ID 7991 //
     /*  265056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265095 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265112 */     GIR_RootConstrainSelectedInstOperands,
     /*  265113 */     // GIR_Coverage, 7991,
     /*  265113 */     GIR_EraseRootFromParent_Done,
     /*  265114 */   // Label 5038: @265114
     /*  265114 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265177), // Rule ID 7994 //
     /*  265119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265158 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265175 */     GIR_RootConstrainSelectedInstOperands,
     /*  265176 */     // GIR_Coverage, 7994,
     /*  265176 */     GIR_EraseRootFromParent_Done,
     /*  265177 */   // Label 5039: @265177
     /*  265177 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265240), // Rule ID 7995 //
     /*  265182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265221 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265238 */     GIR_RootConstrainSelectedInstOperands,
     /*  265239 */     // GIR_Coverage, 7995,
     /*  265239 */     GIR_EraseRootFromParent_Done,
     /*  265240 */   // Label 5040: @265240
     /*  265240 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265303), // Rule ID 7998 //
     /*  265245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265301 */     GIR_RootConstrainSelectedInstOperands,
     /*  265302 */     // GIR_Coverage, 7998,
     /*  265302 */     GIR_EraseRootFromParent_Done,
     /*  265303 */   // Label 5041: @265303
     /*  265303 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265366), // Rule ID 7999 //
     /*  265308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265364 */     GIR_RootConstrainSelectedInstOperands,
     /*  265365 */     // GIR_Coverage, 7999,
     /*  265365 */     GIR_EraseRootFromParent_Done,
     /*  265366 */   // Label 5042: @265366
     /*  265366 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265429), // Rule ID 8002 //
     /*  265371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265427 */     GIR_RootConstrainSelectedInstOperands,
     /*  265428 */     // GIR_Coverage, 8002,
     /*  265428 */     GIR_EraseRootFromParent_Done,
     /*  265429 */   // Label 5043: @265429
     /*  265429 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265492), // Rule ID 8003 //
     /*  265434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265473 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265490 */     GIR_RootConstrainSelectedInstOperands,
     /*  265491 */     // GIR_Coverage, 8003,
     /*  265491 */     GIR_EraseRootFromParent_Done,
     /*  265492 */   // Label 5044: @265492
     /*  265492 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265555), // Rule ID 8006 //
     /*  265497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265536 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265553 */     GIR_RootConstrainSelectedInstOperands,
     /*  265554 */     // GIR_Coverage, 8006,
     /*  265554 */     GIR_EraseRootFromParent_Done,
     /*  265555 */   // Label 5045: @265555
     /*  265555 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265618), // Rule ID 8007 //
     /*  265560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265599 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265616 */     GIR_RootConstrainSelectedInstOperands,
     /*  265617 */     // GIR_Coverage, 8007,
     /*  265617 */     GIR_EraseRootFromParent_Done,
     /*  265618 */   // Label 5046: @265618
     /*  265618 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265681), // Rule ID 8010 //
     /*  265623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265679 */     GIR_RootConstrainSelectedInstOperands,
     /*  265680 */     // GIR_Coverage, 8010,
     /*  265680 */     GIR_EraseRootFromParent_Done,
     /*  265681 */   // Label 5047: @265681
     /*  265681 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265744), // Rule ID 8011 //
     /*  265686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265742 */     GIR_RootConstrainSelectedInstOperands,
     /*  265743 */     // GIR_Coverage, 8011,
     /*  265743 */     GIR_EraseRootFromParent_Done,
     /*  265744 */   // Label 5048: @265744
     /*  265744 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265807), // Rule ID 8014 //
     /*  265749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265805 */     GIR_RootConstrainSelectedInstOperands,
     /*  265806 */     // GIR_Coverage, 8014,
     /*  265806 */     GIR_EraseRootFromParent_Done,
     /*  265807 */   // Label 5049: @265807
     /*  265807 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(265870), // Rule ID 8015 //
     /*  265812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265868 */     GIR_RootConstrainSelectedInstOperands,
     /*  265869 */     // GIR_Coverage, 8015,
     /*  265869 */     GIR_EraseRootFromParent_Done,
     /*  265870 */   // Label 5050: @265870
     /*  265870 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(265933), // Rule ID 8018 //
     /*  265875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265931 */     GIR_RootConstrainSelectedInstOperands,
     /*  265932 */     // GIR_Coverage, 8018,
     /*  265932 */     GIR_EraseRootFromParent_Done,
     /*  265933 */   // Label 5051: @265933
     /*  265933 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(265996), // Rule ID 8019 //
     /*  265938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265977 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265994 */     GIR_RootConstrainSelectedInstOperands,
     /*  265995 */     // GIR_Coverage, 8019,
     /*  265995 */     GIR_EraseRootFromParent_Done,
     /*  265996 */   // Label 5052: @265996
     /*  265996 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266059), // Rule ID 8022 //
     /*  266001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266057 */     GIR_RootConstrainSelectedInstOperands,
     /*  266058 */     // GIR_Coverage, 8022,
     /*  266058 */     GIR_EraseRootFromParent_Done,
     /*  266059 */   // Label 5053: @266059
     /*  266059 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266122), // Rule ID 8023 //
     /*  266064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266103 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266120 */     GIR_RootConstrainSelectedInstOperands,
     /*  266121 */     // GIR_Coverage, 8023,
     /*  266121 */     GIR_EraseRootFromParent_Done,
     /*  266122 */   // Label 5054: @266122
     /*  266122 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266185), // Rule ID 8026 //
     /*  266127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266183 */     GIR_RootConstrainSelectedInstOperands,
     /*  266184 */     // GIR_Coverage, 8026,
     /*  266184 */     GIR_EraseRootFromParent_Done,
     /*  266185 */   // Label 5055: @266185
     /*  266185 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266248), // Rule ID 8027 //
     /*  266190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266246 */     GIR_RootConstrainSelectedInstOperands,
     /*  266247 */     // GIR_Coverage, 8027,
     /*  266247 */     GIR_EraseRootFromParent_Done,
     /*  266248 */   // Label 5056: @266248
     /*  266248 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266311), // Rule ID 8030 //
     /*  266253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  266267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  266270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266309 */     GIR_RootConstrainSelectedInstOperands,
     /*  266310 */     // GIR_Coverage, 8030,
     /*  266310 */     GIR_EraseRootFromParent_Done,
     /*  266311 */   // Label 5057: @266311
     /*  266311 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266374), // Rule ID 8031 //
     /*  266316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  266330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  266333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266355 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266372 */     GIR_RootConstrainSelectedInstOperands,
     /*  266373 */     // GIR_Coverage, 8031,
     /*  266373 */     GIR_EraseRootFromParent_Done,
     /*  266374 */   // Label 5058: @266374
     /*  266374 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266437), // Rule ID 8034 //
     /*  266379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266435 */     GIR_RootConstrainSelectedInstOperands,
     /*  266436 */     // GIR_Coverage, 8034,
     /*  266436 */     GIR_EraseRootFromParent_Done,
     /*  266437 */   // Label 5059: @266437
     /*  266437 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266500), // Rule ID 8035 //
     /*  266442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266498 */     GIR_RootConstrainSelectedInstOperands,
     /*  266499 */     // GIR_Coverage, 8035,
     /*  266499 */     GIR_EraseRootFromParent_Done,
     /*  266500 */   // Label 5060: @266500
     /*  266500 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266563), // Rule ID 8038 //
     /*  266505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266561 */     GIR_RootConstrainSelectedInstOperands,
     /*  266562 */     // GIR_Coverage, 8038,
     /*  266562 */     GIR_EraseRootFromParent_Done,
     /*  266563 */   // Label 5061: @266563
     /*  266563 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266626), // Rule ID 8039 //
     /*  266568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266607 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266624 */     GIR_RootConstrainSelectedInstOperands,
     /*  266625 */     // GIR_Coverage, 8039,
     /*  266625 */     GIR_EraseRootFromParent_Done,
     /*  266626 */   // Label 5062: @266626
     /*  266626 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266689), // Rule ID 8042 //
     /*  266631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266687 */     GIR_RootConstrainSelectedInstOperands,
     /*  266688 */     // GIR_Coverage, 8042,
     /*  266688 */     GIR_EraseRootFromParent_Done,
     /*  266689 */   // Label 5063: @266689
     /*  266689 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266752), // Rule ID 8043 //
     /*  266694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266750 */     GIR_RootConstrainSelectedInstOperands,
     /*  266751 */     // GIR_Coverage, 8043,
     /*  266751 */     GIR_EraseRootFromParent_Done,
     /*  266752 */   // Label 5064: @266752
     /*  266752 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266815), // Rule ID 8046 //
     /*  266757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266813 */     GIR_RootConstrainSelectedInstOperands,
     /*  266814 */     // GIR_Coverage, 8046,
     /*  266814 */     GIR_EraseRootFromParent_Done,
     /*  266815 */   // Label 5065: @266815
     /*  266815 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(266878), // Rule ID 8047 //
     /*  266820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266876 */     GIR_RootConstrainSelectedInstOperands,
     /*  266877 */     // GIR_Coverage, 8047,
     /*  266877 */     GIR_EraseRootFromParent_Done,
     /*  266878 */   // Label 5066: @266878
     /*  266878 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(266941), // Rule ID 8050 //
     /*  266883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266939 */     GIR_RootConstrainSelectedInstOperands,
     /*  266940 */     // GIR_Coverage, 8050,
     /*  266940 */     GIR_EraseRootFromParent_Done,
     /*  266941 */   // Label 5067: @266941
     /*  266941 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267004), // Rule ID 8051 //
     /*  266946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267002 */     GIR_RootConstrainSelectedInstOperands,
     /*  267003 */     // GIR_Coverage, 8051,
     /*  267003 */     GIR_EraseRootFromParent_Done,
     /*  267004 */   // Label 5068: @267004
     /*  267004 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267067), // Rule ID 8054 //
     /*  267009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267065 */     GIR_RootConstrainSelectedInstOperands,
     /*  267066 */     // GIR_Coverage, 8054,
     /*  267066 */     GIR_EraseRootFromParent_Done,
     /*  267067 */   // Label 5069: @267067
     /*  267067 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267130), // Rule ID 8055 //
     /*  267072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267128 */     GIR_RootConstrainSelectedInstOperands,
     /*  267129 */     // GIR_Coverage, 8055,
     /*  267129 */     GIR_EraseRootFromParent_Done,
     /*  267130 */   // Label 5070: @267130
     /*  267130 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267193), // Rule ID 8058 //
     /*  267135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267191 */     GIR_RootConstrainSelectedInstOperands,
     /*  267192 */     // GIR_Coverage, 8058,
     /*  267192 */     GIR_EraseRootFromParent_Done,
     /*  267193 */   // Label 5071: @267193
     /*  267193 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267256), // Rule ID 8059 //
     /*  267198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267254 */     GIR_RootConstrainSelectedInstOperands,
     /*  267255 */     // GIR_Coverage, 8059,
     /*  267255 */     GIR_EraseRootFromParent_Done,
     /*  267256 */   // Label 5072: @267256
     /*  267256 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267319), // Rule ID 8062 //
     /*  267261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  267275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267317 */     GIR_RootConstrainSelectedInstOperands,
     /*  267318 */     // GIR_Coverage, 8062,
     /*  267318 */     GIR_EraseRootFromParent_Done,
     /*  267319 */   // Label 5073: @267319
     /*  267319 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267382), // Rule ID 8063 //
     /*  267324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  267338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267380 */     GIR_RootConstrainSelectedInstOperands,
     /*  267381 */     // GIR_Coverage, 8063,
     /*  267381 */     GIR_EraseRootFromParent_Done,
     /*  267382 */   // Label 5074: @267382
     /*  267382 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267445), // Rule ID 8066 //
     /*  267387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267443 */     GIR_RootConstrainSelectedInstOperands,
     /*  267444 */     // GIR_Coverage, 8066,
     /*  267444 */     GIR_EraseRootFromParent_Done,
     /*  267445 */   // Label 5075: @267445
     /*  267445 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267508), // Rule ID 8067 //
     /*  267450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267506 */     GIR_RootConstrainSelectedInstOperands,
     /*  267507 */     // GIR_Coverage, 8067,
     /*  267507 */     GIR_EraseRootFromParent_Done,
     /*  267508 */   // Label 5076: @267508
     /*  267508 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267571), // Rule ID 8070 //
     /*  267513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267569 */     GIR_RootConstrainSelectedInstOperands,
     /*  267570 */     // GIR_Coverage, 8070,
     /*  267570 */     GIR_EraseRootFromParent_Done,
     /*  267571 */   // Label 5077: @267571
     /*  267571 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267634), // Rule ID 8071 //
     /*  267576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267615 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267632 */     GIR_RootConstrainSelectedInstOperands,
     /*  267633 */     // GIR_Coverage, 8071,
     /*  267633 */     GIR_EraseRootFromParent_Done,
     /*  267634 */   // Label 5078: @267634
     /*  267634 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267697), // Rule ID 8074 //
     /*  267639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267695 */     GIR_RootConstrainSelectedInstOperands,
     /*  267696 */     // GIR_Coverage, 8074,
     /*  267696 */     GIR_EraseRootFromParent_Done,
     /*  267697 */   // Label 5079: @267697
     /*  267697 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267760), // Rule ID 8075 //
     /*  267702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267758 */     GIR_RootConstrainSelectedInstOperands,
     /*  267759 */     // GIR_Coverage, 8075,
     /*  267759 */     GIR_EraseRootFromParent_Done,
     /*  267760 */   // Label 5080: @267760
     /*  267760 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267823), // Rule ID 8078 //
     /*  267765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267821 */     GIR_RootConstrainSelectedInstOperands,
     /*  267822 */     // GIR_Coverage, 8078,
     /*  267822 */     GIR_EraseRootFromParent_Done,
     /*  267823 */   // Label 5081: @267823
     /*  267823 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(267886), // Rule ID 8079 //
     /*  267828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267884 */     GIR_RootConstrainSelectedInstOperands,
     /*  267885 */     // GIR_Coverage, 8079,
     /*  267885 */     GIR_EraseRootFromParent_Done,
     /*  267886 */   // Label 5082: @267886
     /*  267886 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(267949), // Rule ID 8082 //
     /*  267891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267930 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267947 */     GIR_RootConstrainSelectedInstOperands,
     /*  267948 */     // GIR_Coverage, 8082,
     /*  267948 */     GIR_EraseRootFromParent_Done,
     /*  267949 */   // Label 5083: @267949
     /*  267949 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268012), // Rule ID 8083 //
     /*  267954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268010 */     GIR_RootConstrainSelectedInstOperands,
     /*  268011 */     // GIR_Coverage, 8083,
     /*  268011 */     GIR_EraseRootFromParent_Done,
     /*  268012 */   // Label 5084: @268012
     /*  268012 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268075), // Rule ID 8086 //
     /*  268017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268073 */     GIR_RootConstrainSelectedInstOperands,
     /*  268074 */     // GIR_Coverage, 8086,
     /*  268074 */     GIR_EraseRootFromParent_Done,
     /*  268075 */   // Label 5085: @268075
     /*  268075 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268138), // Rule ID 8087 //
     /*  268080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268136 */     GIR_RootConstrainSelectedInstOperands,
     /*  268137 */     // GIR_Coverage, 8087,
     /*  268137 */     GIR_EraseRootFromParent_Done,
     /*  268138 */   // Label 5086: @268138
     /*  268138 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268201), // Rule ID 8090 //
     /*  268143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268199 */     GIR_RootConstrainSelectedInstOperands,
     /*  268200 */     // GIR_Coverage, 8090,
     /*  268200 */     GIR_EraseRootFromParent_Done,
     /*  268201 */   // Label 5087: @268201
     /*  268201 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268264), // Rule ID 8091 //
     /*  268206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268262 */     GIR_RootConstrainSelectedInstOperands,
     /*  268263 */     // GIR_Coverage, 8091,
     /*  268263 */     GIR_EraseRootFromParent_Done,
     /*  268264 */   // Label 5088: @268264
     /*  268264 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268327), // Rule ID 8094 //
     /*  268269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  268283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268325 */     GIR_RootConstrainSelectedInstOperands,
     /*  268326 */     // GIR_Coverage, 8094,
     /*  268326 */     GIR_EraseRootFromParent_Done,
     /*  268327 */   // Label 5089: @268327
     /*  268327 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268390), // Rule ID 8095 //
     /*  268332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  268346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268371 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268388 */     GIR_RootConstrainSelectedInstOperands,
     /*  268389 */     // GIR_Coverage, 8095,
     /*  268389 */     GIR_EraseRootFromParent_Done,
     /*  268390 */   // Label 5090: @268390
     /*  268390 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268453), // Rule ID 8098 //
     /*  268395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268451 */     GIR_RootConstrainSelectedInstOperands,
     /*  268452 */     // GIR_Coverage, 8098,
     /*  268452 */     GIR_EraseRootFromParent_Done,
     /*  268453 */   // Label 5091: @268453
     /*  268453 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268516), // Rule ID 8099 //
     /*  268458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268514 */     GIR_RootConstrainSelectedInstOperands,
     /*  268515 */     // GIR_Coverage, 8099,
     /*  268515 */     GIR_EraseRootFromParent_Done,
     /*  268516 */   // Label 5092: @268516
     /*  268516 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268579), // Rule ID 8102 //
     /*  268521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268577 */     GIR_RootConstrainSelectedInstOperands,
     /*  268578 */     // GIR_Coverage, 8102,
     /*  268578 */     GIR_EraseRootFromParent_Done,
     /*  268579 */   // Label 5093: @268579
     /*  268579 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268642), // Rule ID 8103 //
     /*  268584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268640 */     GIR_RootConstrainSelectedInstOperands,
     /*  268641 */     // GIR_Coverage, 8103,
     /*  268641 */     GIR_EraseRootFromParent_Done,
     /*  268642 */   // Label 5094: @268642
     /*  268642 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268705), // Rule ID 8106 //
     /*  268647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268703 */     GIR_RootConstrainSelectedInstOperands,
     /*  268704 */     // GIR_Coverage, 8106,
     /*  268704 */     GIR_EraseRootFromParent_Done,
     /*  268705 */   // Label 5095: @268705
     /*  268705 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268768), // Rule ID 8107 //
     /*  268710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268766 */     GIR_RootConstrainSelectedInstOperands,
     /*  268767 */     // GIR_Coverage, 8107,
     /*  268767 */     GIR_EraseRootFromParent_Done,
     /*  268768 */   // Label 5096: @268768
     /*  268768 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268831), // Rule ID 8110 //
     /*  268773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268829 */     GIR_RootConstrainSelectedInstOperands,
     /*  268830 */     // GIR_Coverage, 8110,
     /*  268830 */     GIR_EraseRootFromParent_Done,
     /*  268831 */   // Label 5097: @268831
     /*  268831 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(268894), // Rule ID 8111 //
     /*  268836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268892 */     GIR_RootConstrainSelectedInstOperands,
     /*  268893 */     // GIR_Coverage, 8111,
     /*  268893 */     GIR_EraseRootFromParent_Done,
     /*  268894 */   // Label 5098: @268894
     /*  268894 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(268957), // Rule ID 8114 //
     /*  268899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268955 */     GIR_RootConstrainSelectedInstOperands,
     /*  268956 */     // GIR_Coverage, 8114,
     /*  268956 */     GIR_EraseRootFromParent_Done,
     /*  268957 */   // Label 5099: @268957
     /*  268957 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269020), // Rule ID 8115 //
     /*  268962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269018 */     GIR_RootConstrainSelectedInstOperands,
     /*  269019 */     // GIR_Coverage, 8115,
     /*  269019 */     GIR_EraseRootFromParent_Done,
     /*  269020 */   // Label 5100: @269020
     /*  269020 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269083), // Rule ID 8118 //
     /*  269025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269081 */     GIR_RootConstrainSelectedInstOperands,
     /*  269082 */     // GIR_Coverage, 8118,
     /*  269082 */     GIR_EraseRootFromParent_Done,
     /*  269083 */   // Label 5101: @269083
     /*  269083 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269146), // Rule ID 8119 //
     /*  269088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269144 */     GIR_RootConstrainSelectedInstOperands,
     /*  269145 */     // GIR_Coverage, 8119,
     /*  269145 */     GIR_EraseRootFromParent_Done,
     /*  269146 */   // Label 5102: @269146
     /*  269146 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269209), // Rule ID 8210 //
     /*  269151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269207 */     GIR_RootConstrainSelectedInstOperands,
     /*  269208 */     // GIR_Coverage, 8210,
     /*  269208 */     GIR_EraseRootFromParent_Done,
     /*  269209 */   // Label 5103: @269209
     /*  269209 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269272), // Rule ID 8211 //
     /*  269214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269270 */     GIR_RootConstrainSelectedInstOperands,
     /*  269271 */     // GIR_Coverage, 8211,
     /*  269271 */     GIR_EraseRootFromParent_Done,
     /*  269272 */   // Label 5104: @269272
     /*  269272 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269335), // Rule ID 8214 //
     /*  269277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  269291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  269294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269333 */     GIR_RootConstrainSelectedInstOperands,
     /*  269334 */     // GIR_Coverage, 8214,
     /*  269334 */     GIR_EraseRootFromParent_Done,
     /*  269335 */   // Label 5105: @269335
     /*  269335 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269398), // Rule ID 8215 //
     /*  269340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  269354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  269357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269396 */     GIR_RootConstrainSelectedInstOperands,
     /*  269397 */     // GIR_Coverage, 8215,
     /*  269397 */     GIR_EraseRootFromParent_Done,
     /*  269398 */   // Label 5106: @269398
     /*  269398 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269461), // Rule ID 8218 //
     /*  269403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269459 */     GIR_RootConstrainSelectedInstOperands,
     /*  269460 */     // GIR_Coverage, 8218,
     /*  269460 */     GIR_EraseRootFromParent_Done,
     /*  269461 */   // Label 5107: @269461
     /*  269461 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269524), // Rule ID 8219 //
     /*  269466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269522 */     GIR_RootConstrainSelectedInstOperands,
     /*  269523 */     // GIR_Coverage, 8219,
     /*  269523 */     GIR_EraseRootFromParent_Done,
     /*  269524 */   // Label 5108: @269524
     /*  269524 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269587), // Rule ID 8222 //
     /*  269529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269585 */     GIR_RootConstrainSelectedInstOperands,
     /*  269586 */     // GIR_Coverage, 8222,
     /*  269586 */     GIR_EraseRootFromParent_Done,
     /*  269587 */   // Label 5109: @269587
     /*  269587 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269650), // Rule ID 8223 //
     /*  269592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269648 */     GIR_RootConstrainSelectedInstOperands,
     /*  269649 */     // GIR_Coverage, 8223,
     /*  269649 */     GIR_EraseRootFromParent_Done,
     /*  269650 */   // Label 5110: @269650
     /*  269650 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269713), // Rule ID 8226 //
     /*  269655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269711 */     GIR_RootConstrainSelectedInstOperands,
     /*  269712 */     // GIR_Coverage, 8226,
     /*  269712 */     GIR_EraseRootFromParent_Done,
     /*  269713 */   // Label 5111: @269713
     /*  269713 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269776), // Rule ID 8227 //
     /*  269718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269774 */     GIR_RootConstrainSelectedInstOperands,
     /*  269775 */     // GIR_Coverage, 8227,
     /*  269775 */     GIR_EraseRootFromParent_Done,
     /*  269776 */   // Label 5112: @269776
     /*  269776 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269839), // Rule ID 8230 //
     /*  269781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269837 */     GIR_RootConstrainSelectedInstOperands,
     /*  269838 */     // GIR_Coverage, 8230,
     /*  269838 */     GIR_EraseRootFromParent_Done,
     /*  269839 */   // Label 5113: @269839
     /*  269839 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(269902), // Rule ID 8231 //
     /*  269844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269900 */     GIR_RootConstrainSelectedInstOperands,
     /*  269901 */     // GIR_Coverage, 8231,
     /*  269901 */     GIR_EraseRootFromParent_Done,
     /*  269902 */   // Label 5114: @269902
     /*  269902 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(269965), // Rule ID 8234 //
     /*  269907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269963 */     GIR_RootConstrainSelectedInstOperands,
     /*  269964 */     // GIR_Coverage, 8234,
     /*  269964 */     GIR_EraseRootFromParent_Done,
     /*  269965 */   // Label 5115: @269965
     /*  269965 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270028), // Rule ID 8235 //
     /*  269970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270026 */     GIR_RootConstrainSelectedInstOperands,
     /*  270027 */     // GIR_Coverage, 8235,
     /*  270027 */     GIR_EraseRootFromParent_Done,
     /*  270028 */   // Label 5116: @270028
     /*  270028 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270091), // Rule ID 8238 //
     /*  270033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270089 */     GIR_RootConstrainSelectedInstOperands,
     /*  270090 */     // GIR_Coverage, 8238,
     /*  270090 */     GIR_EraseRootFromParent_Done,
     /*  270091 */   // Label 5117: @270091
     /*  270091 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270154), // Rule ID 8239 //
     /*  270096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270152 */     GIR_RootConstrainSelectedInstOperands,
     /*  270153 */     // GIR_Coverage, 8239,
     /*  270153 */     GIR_EraseRootFromParent_Done,
     /*  270154 */   // Label 5118: @270154
     /*  270154 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270217), // Rule ID 8242 //
     /*  270159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270215 */     GIR_RootConstrainSelectedInstOperands,
     /*  270216 */     // GIR_Coverage, 8242,
     /*  270216 */     GIR_EraseRootFromParent_Done,
     /*  270217 */   // Label 5119: @270217
     /*  270217 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270280), // Rule ID 8243 //
     /*  270222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270261 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270278 */     GIR_RootConstrainSelectedInstOperands,
     /*  270279 */     // GIR_Coverage, 8243,
     /*  270279 */     GIR_EraseRootFromParent_Done,
     /*  270280 */   // Label 5120: @270280
     /*  270280 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270343), // Rule ID 8246 //
     /*  270285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  270299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  270302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270341 */     GIR_RootConstrainSelectedInstOperands,
     /*  270342 */     // GIR_Coverage, 8246,
     /*  270342 */     GIR_EraseRootFromParent_Done,
     /*  270343 */   // Label 5121: @270343
     /*  270343 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270406), // Rule ID 8247 //
     /*  270348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  270362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  270365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270404 */     GIR_RootConstrainSelectedInstOperands,
     /*  270405 */     // GIR_Coverage, 8247,
     /*  270405 */     GIR_EraseRootFromParent_Done,
     /*  270406 */   // Label 5122: @270406
     /*  270406 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270469), // Rule ID 8250 //
     /*  270411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270467 */     GIR_RootConstrainSelectedInstOperands,
     /*  270468 */     // GIR_Coverage, 8250,
     /*  270468 */     GIR_EraseRootFromParent_Done,
     /*  270469 */   // Label 5123: @270469
     /*  270469 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270532), // Rule ID 8251 //
     /*  270474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270530 */     GIR_RootConstrainSelectedInstOperands,
     /*  270531 */     // GIR_Coverage, 8251,
     /*  270531 */     GIR_EraseRootFromParent_Done,
     /*  270532 */   // Label 5124: @270532
     /*  270532 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270595), // Rule ID 8254 //
     /*  270537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270593 */     GIR_RootConstrainSelectedInstOperands,
     /*  270594 */     // GIR_Coverage, 8254,
     /*  270594 */     GIR_EraseRootFromParent_Done,
     /*  270595 */   // Label 5125: @270595
     /*  270595 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270658), // Rule ID 8255 //
     /*  270600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270639 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270656 */     GIR_RootConstrainSelectedInstOperands,
     /*  270657 */     // GIR_Coverage, 8255,
     /*  270657 */     GIR_EraseRootFromParent_Done,
     /*  270658 */   // Label 5126: @270658
     /*  270658 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270721), // Rule ID 8258 //
     /*  270663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270702 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270719 */     GIR_RootConstrainSelectedInstOperands,
     /*  270720 */     // GIR_Coverage, 8258,
     /*  270720 */     GIR_EraseRootFromParent_Done,
     /*  270721 */   // Label 5127: @270721
     /*  270721 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270784), // Rule ID 8259 //
     /*  270726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270765 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270782 */     GIR_RootConstrainSelectedInstOperands,
     /*  270783 */     // GIR_Coverage, 8259,
     /*  270783 */     GIR_EraseRootFromParent_Done,
     /*  270784 */   // Label 5128: @270784
     /*  270784 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270847), // Rule ID 8262 //
     /*  270789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270845 */     GIR_RootConstrainSelectedInstOperands,
     /*  270846 */     // GIR_Coverage, 8262,
     /*  270846 */     GIR_EraseRootFromParent_Done,
     /*  270847 */   // Label 5129: @270847
     /*  270847 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(270910), // Rule ID 8263 //
     /*  270852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270908 */     GIR_RootConstrainSelectedInstOperands,
     /*  270909 */     // GIR_Coverage, 8263,
     /*  270909 */     GIR_EraseRootFromParent_Done,
     /*  270910 */   // Label 5130: @270910
     /*  270910 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(270973), // Rule ID 8266 //
     /*  270915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270971 */     GIR_RootConstrainSelectedInstOperands,
     /*  270972 */     // GIR_Coverage, 8266,
     /*  270972 */     GIR_EraseRootFromParent_Done,
     /*  270973 */   // Label 5131: @270973
     /*  270973 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271036), // Rule ID 8267 //
     /*  270978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271034 */     GIR_RootConstrainSelectedInstOperands,
     /*  271035 */     // GIR_Coverage, 8267,
     /*  271035 */     GIR_EraseRootFromParent_Done,
     /*  271036 */   // Label 5132: @271036
     /*  271036 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271099), // Rule ID 8270 //
     /*  271041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271097 */     GIR_RootConstrainSelectedInstOperands,
     /*  271098 */     // GIR_Coverage, 8270,
     /*  271098 */     GIR_EraseRootFromParent_Done,
     /*  271099 */   // Label 5133: @271099
     /*  271099 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271162), // Rule ID 8271 //
     /*  271104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271143 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271160 */     GIR_RootConstrainSelectedInstOperands,
     /*  271161 */     // GIR_Coverage, 8271,
     /*  271161 */     GIR_EraseRootFromParent_Done,
     /*  271162 */   // Label 5134: @271162
     /*  271162 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271225), // Rule ID 8274 //
     /*  271167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271223 */     GIR_RootConstrainSelectedInstOperands,
     /*  271224 */     // GIR_Coverage, 8274,
     /*  271224 */     GIR_EraseRootFromParent_Done,
     /*  271225 */   // Label 5135: @271225
     /*  271225 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271288), // Rule ID 8275 //
     /*  271230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271286 */     GIR_RootConstrainSelectedInstOperands,
     /*  271287 */     // GIR_Coverage, 8275,
     /*  271287 */     GIR_EraseRootFromParent_Done,
     /*  271288 */   // Label 5136: @271288
     /*  271288 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271351), // Rule ID 8278 //
     /*  271293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  271307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  271310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271349 */     GIR_RootConstrainSelectedInstOperands,
     /*  271350 */     // GIR_Coverage, 8278,
     /*  271350 */     GIR_EraseRootFromParent_Done,
     /*  271351 */   // Label 5137: @271351
     /*  271351 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271414), // Rule ID 8279 //
     /*  271356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  271370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  271373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271412 */     GIR_RootConstrainSelectedInstOperands,
     /*  271413 */     // GIR_Coverage, 8279,
     /*  271413 */     GIR_EraseRootFromParent_Done,
     /*  271414 */   // Label 5138: @271414
     /*  271414 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271477), // Rule ID 8282 //
     /*  271419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271475 */     GIR_RootConstrainSelectedInstOperands,
     /*  271476 */     // GIR_Coverage, 8282,
     /*  271476 */     GIR_EraseRootFromParent_Done,
     /*  271477 */   // Label 5139: @271477
     /*  271477 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271540), // Rule ID 8283 //
     /*  271482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271538 */     GIR_RootConstrainSelectedInstOperands,
     /*  271539 */     // GIR_Coverage, 8283,
     /*  271539 */     GIR_EraseRootFromParent_Done,
     /*  271540 */   // Label 5140: @271540
     /*  271540 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271603), // Rule ID 8286 //
     /*  271545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271601 */     GIR_RootConstrainSelectedInstOperands,
     /*  271602 */     // GIR_Coverage, 8286,
     /*  271602 */     GIR_EraseRootFromParent_Done,
     /*  271603 */   // Label 5141: @271603
     /*  271603 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271666), // Rule ID 8287 //
     /*  271608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271664 */     GIR_RootConstrainSelectedInstOperands,
     /*  271665 */     // GIR_Coverage, 8287,
     /*  271665 */     GIR_EraseRootFromParent_Done,
     /*  271666 */   // Label 5142: @271666
     /*  271666 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271729), // Rule ID 8290 //
     /*  271671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271727 */     GIR_RootConstrainSelectedInstOperands,
     /*  271728 */     // GIR_Coverage, 8290,
     /*  271728 */     GIR_EraseRootFromParent_Done,
     /*  271729 */   // Label 5143: @271729
     /*  271729 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271792), // Rule ID 8291 //
     /*  271734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271790 */     GIR_RootConstrainSelectedInstOperands,
     /*  271791 */     // GIR_Coverage, 8291,
     /*  271791 */     GIR_EraseRootFromParent_Done,
     /*  271792 */   // Label 5144: @271792
     /*  271792 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271855), // Rule ID 8294 //
     /*  271797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271853 */     GIR_RootConstrainSelectedInstOperands,
     /*  271854 */     // GIR_Coverage, 8294,
     /*  271854 */     GIR_EraseRootFromParent_Done,
     /*  271855 */   // Label 5145: @271855
     /*  271855 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(271918), // Rule ID 8295 //
     /*  271860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271916 */     GIR_RootConstrainSelectedInstOperands,
     /*  271917 */     // GIR_Coverage, 8295,
     /*  271917 */     GIR_EraseRootFromParent_Done,
     /*  271918 */   // Label 5146: @271918
     /*  271918 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(271981), // Rule ID 8298 //
     /*  271923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271979 */     GIR_RootConstrainSelectedInstOperands,
     /*  271980 */     // GIR_Coverage, 8298,
     /*  271980 */     GIR_EraseRootFromParent_Done,
     /*  271981 */   // Label 5147: @271981
     /*  271981 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272044), // Rule ID 8299 //
     /*  271986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  272000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  272028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272042 */     GIR_RootConstrainSelectedInstOperands,
     /*  272043 */     // GIR_Coverage, 8299,
     /*  272043 */     GIR_EraseRootFromParent_Done,
     /*  272044 */   // Label 5148: @272044
     /*  272044 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272107), // Rule ID 8302 //
     /*  272049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272105 */     GIR_RootConstrainSelectedInstOperands,
     /*  272106 */     // GIR_Coverage, 8302,
     /*  272106 */     GIR_EraseRootFromParent_Done,
     /*  272107 */   // Label 5149: @272107
     /*  272107 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272170), // Rule ID 8303 //
     /*  272112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272151 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272168 */     GIR_RootConstrainSelectedInstOperands,
     /*  272169 */     // GIR_Coverage, 8303,
     /*  272169 */     GIR_EraseRootFromParent_Done,
     /*  272170 */   // Label 5150: @272170
     /*  272170 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272233), // Rule ID 8306 //
     /*  272175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272231 */     GIR_RootConstrainSelectedInstOperands,
     /*  272232 */     // GIR_Coverage, 8306,
     /*  272232 */     GIR_EraseRootFromParent_Done,
     /*  272233 */   // Label 5151: @272233
     /*  272233 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272296), // Rule ID 8307 //
     /*  272238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272294 */     GIR_RootConstrainSelectedInstOperands,
     /*  272295 */     // GIR_Coverage, 8307,
     /*  272295 */     GIR_EraseRootFromParent_Done,
     /*  272296 */   // Label 5152: @272296
     /*  272296 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272359), // Rule ID 8310 //
     /*  272301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  272315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272357 */     GIR_RootConstrainSelectedInstOperands,
     /*  272358 */     // GIR_Coverage, 8310,
     /*  272358 */     GIR_EraseRootFromParent_Done,
     /*  272359 */   // Label 5153: @272359
     /*  272359 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272422), // Rule ID 8311 //
     /*  272364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  272378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272420 */     GIR_RootConstrainSelectedInstOperands,
     /*  272421 */     // GIR_Coverage, 8311,
     /*  272421 */     GIR_EraseRootFromParent_Done,
     /*  272422 */   // Label 5154: @272422
     /*  272422 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272485), // Rule ID 8314 //
     /*  272427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272483 */     GIR_RootConstrainSelectedInstOperands,
     /*  272484 */     // GIR_Coverage, 8314,
     /*  272484 */     GIR_EraseRootFromParent_Done,
     /*  272485 */   // Label 5155: @272485
     /*  272485 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272548), // Rule ID 8315 //
     /*  272490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272546 */     GIR_RootConstrainSelectedInstOperands,
     /*  272547 */     // GIR_Coverage, 8315,
     /*  272547 */     GIR_EraseRootFromParent_Done,
     /*  272548 */   // Label 5156: @272548
     /*  272548 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272611), // Rule ID 8318 //
     /*  272553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272609 */     GIR_RootConstrainSelectedInstOperands,
     /*  272610 */     // GIR_Coverage, 8318,
     /*  272610 */     GIR_EraseRootFromParent_Done,
     /*  272611 */   // Label 5157: @272611
     /*  272611 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272674), // Rule ID 8319 //
     /*  272616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272672 */     GIR_RootConstrainSelectedInstOperands,
     /*  272673 */     // GIR_Coverage, 8319,
     /*  272673 */     GIR_EraseRootFromParent_Done,
     /*  272674 */   // Label 5158: @272674
     /*  272674 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272737), // Rule ID 8322 //
     /*  272679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272735 */     GIR_RootConstrainSelectedInstOperands,
     /*  272736 */     // GIR_Coverage, 8322,
     /*  272736 */     GIR_EraseRootFromParent_Done,
     /*  272737 */   // Label 5159: @272737
     /*  272737 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272800), // Rule ID 8323 //
     /*  272742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272798 */     GIR_RootConstrainSelectedInstOperands,
     /*  272799 */     // GIR_Coverage, 8323,
     /*  272799 */     GIR_EraseRootFromParent_Done,
     /*  272800 */   // Label 5160: @272800
     /*  272800 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(272863), // Rule ID 8326 //
     /*  272805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272861 */     GIR_RootConstrainSelectedInstOperands,
     /*  272862 */     // GIR_Coverage, 8326,
     /*  272862 */     GIR_EraseRootFromParent_Done,
     /*  272863 */   // Label 5161: @272863
     /*  272863 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(272926), // Rule ID 8327 //
     /*  272868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272924 */     GIR_RootConstrainSelectedInstOperands,
     /*  272925 */     // GIR_Coverage, 8327,
     /*  272925 */     GIR_EraseRootFromParent_Done,
     /*  272926 */   // Label 5162: @272926
     /*  272926 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(272989), // Rule ID 8330 //
     /*  272931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272987 */     GIR_RootConstrainSelectedInstOperands,
     /*  272988 */     // GIR_Coverage, 8330,
     /*  272988 */     GIR_EraseRootFromParent_Done,
     /*  272989 */   // Label 5163: @272989
     /*  272989 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273052), // Rule ID 8331 //
     /*  272994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  273008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273050 */     GIR_RootConstrainSelectedInstOperands,
     /*  273051 */     // GIR_Coverage, 8331,
     /*  273051 */     GIR_EraseRootFromParent_Done,
     /*  273052 */   // Label 5164: @273052
     /*  273052 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273115), // Rule ID 8334 //
     /*  273057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273113 */     GIR_RootConstrainSelectedInstOperands,
     /*  273114 */     // GIR_Coverage, 8334,
     /*  273114 */     GIR_EraseRootFromParent_Done,
     /*  273115 */   // Label 5165: @273115
     /*  273115 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273178), // Rule ID 8335 //
     /*  273120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273176 */     GIR_RootConstrainSelectedInstOperands,
     /*  273177 */     // GIR_Coverage, 8335,
     /*  273177 */     GIR_EraseRootFromParent_Done,
     /*  273178 */   // Label 5166: @273178
     /*  273178 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273241), // Rule ID 8338 //
     /*  273183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273222 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273239 */     GIR_RootConstrainSelectedInstOperands,
     /*  273240 */     // GIR_Coverage, 8338,
     /*  273240 */     GIR_EraseRootFromParent_Done,
     /*  273241 */   // Label 5167: @273241
     /*  273241 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273304), // Rule ID 8339 //
     /*  273246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273302 */     GIR_RootConstrainSelectedInstOperands,
     /*  273303 */     // GIR_Coverage, 8339,
     /*  273303 */     GIR_EraseRootFromParent_Done,
     /*  273304 */   // Label 5168: @273304
     /*  273304 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273367), // Rule ID 8342 //
     /*  273309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273365 */     GIR_RootConstrainSelectedInstOperands,
     /*  273366 */     // GIR_Coverage, 8342,
     /*  273366 */     GIR_EraseRootFromParent_Done,
     /*  273367 */   // Label 5169: @273367
     /*  273367 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273430), // Rule ID 8343 //
     /*  273372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273428 */     GIR_RootConstrainSelectedInstOperands,
     /*  273429 */     // GIR_Coverage, 8343,
     /*  273429 */     GIR_EraseRootFromParent_Done,
     /*  273430 */   // Label 5170: @273430
     /*  273430 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273493), // Rule ID 8346 //
     /*  273435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273474 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273491 */     GIR_RootConstrainSelectedInstOperands,
     /*  273492 */     // GIR_Coverage, 8346,
     /*  273492 */     GIR_EraseRootFromParent_Done,
     /*  273493 */   // Label 5171: @273493
     /*  273493 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273556), // Rule ID 8347 //
     /*  273498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273537 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273554 */     GIR_RootConstrainSelectedInstOperands,
     /*  273555 */     // GIR_Coverage, 8347,
     /*  273555 */     GIR_EraseRootFromParent_Done,
     /*  273556 */   // Label 5172: @273556
     /*  273556 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273619), // Rule ID 8350 //
     /*  273561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273617 */     GIR_RootConstrainSelectedInstOperands,
     /*  273618 */     // GIR_Coverage, 8350,
     /*  273618 */     GIR_EraseRootFromParent_Done,
     /*  273619 */   // Label 5173: @273619
     /*  273619 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273682), // Rule ID 8351 //
     /*  273624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273680 */     GIR_RootConstrainSelectedInstOperands,
     /*  273681 */     // GIR_Coverage, 8351,
     /*  273681 */     GIR_EraseRootFromParent_Done,
     /*  273682 */   // Label 5174: @273682
     /*  273682 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273745), // Rule ID 8354 //
     /*  273687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273743 */     GIR_RootConstrainSelectedInstOperands,
     /*  273744 */     // GIR_Coverage, 8354,
     /*  273744 */     GIR_EraseRootFromParent_Done,
     /*  273745 */   // Label 5175: @273745
     /*  273745 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273808), // Rule ID 8355 //
     /*  273750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273806 */     GIR_RootConstrainSelectedInstOperands,
     /*  273807 */     // GIR_Coverage, 8355,
     /*  273807 */     GIR_EraseRootFromParent_Done,
     /*  273808 */   // Label 5176: @273808
     /*  273808 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(273871), // Rule ID 8358 //
     /*  273813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273869 */     GIR_RootConstrainSelectedInstOperands,
     /*  273870 */     // GIR_Coverage, 8358,
     /*  273870 */     GIR_EraseRootFromParent_Done,
     /*  273871 */   // Label 5177: @273871
     /*  273871 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(273934), // Rule ID 8359 //
     /*  273876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273915 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273932 */     GIR_RootConstrainSelectedInstOperands,
     /*  273933 */     // GIR_Coverage, 8359,
     /*  273933 */     GIR_EraseRootFromParent_Done,
     /*  273934 */   // Label 5178: @273934
     /*  273934 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(273997), // Rule ID 8362 //
     /*  273939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273995 */     GIR_RootConstrainSelectedInstOperands,
     /*  273996 */     // GIR_Coverage, 8362,
     /*  273996 */     GIR_EraseRootFromParent_Done,
     /*  273997 */   // Label 5179: @273997
     /*  273997 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274060), // Rule ID 8363 //
     /*  274002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  274016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274058 */     GIR_RootConstrainSelectedInstOperands,
     /*  274059 */     // GIR_Coverage, 8363,
     /*  274059 */     GIR_EraseRootFromParent_Done,
     /*  274060 */   // Label 5180: @274060
     /*  274060 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274123), // Rule ID 8366 //
     /*  274065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274121 */     GIR_RootConstrainSelectedInstOperands,
     /*  274122 */     // GIR_Coverage, 8366,
     /*  274122 */     GIR_EraseRootFromParent_Done,
     /*  274123 */   // Label 5181: @274123
     /*  274123 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274186), // Rule ID 8367 //
     /*  274128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274184 */     GIR_RootConstrainSelectedInstOperands,
     /*  274185 */     // GIR_Coverage, 8367,
     /*  274185 */     GIR_EraseRootFromParent_Done,
     /*  274186 */   // Label 5182: @274186
     /*  274186 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274249), // Rule ID 8370 //
     /*  274191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274247 */     GIR_RootConstrainSelectedInstOperands,
     /*  274248 */     // GIR_Coverage, 8370,
     /*  274248 */     GIR_EraseRootFromParent_Done,
     /*  274249 */   // Label 5183: @274249
     /*  274249 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274312), // Rule ID 8371 //
     /*  274254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274310 */     GIR_RootConstrainSelectedInstOperands,
     /*  274311 */     // GIR_Coverage, 8371,
     /*  274311 */     GIR_EraseRootFromParent_Done,
     /*  274312 */   // Label 5184: @274312
     /*  274312 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274375), // Rule ID 8374 //
     /*  274317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  274331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274373 */     GIR_RootConstrainSelectedInstOperands,
     /*  274374 */     // GIR_Coverage, 8374,
     /*  274374 */     GIR_EraseRootFromParent_Done,
     /*  274375 */   // Label 5185: @274375
     /*  274375 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274438), // Rule ID 8375 //
     /*  274380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  274394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274436 */     GIR_RootConstrainSelectedInstOperands,
     /*  274437 */     // GIR_Coverage, 8375,
     /*  274437 */     GIR_EraseRootFromParent_Done,
     /*  274438 */   // Label 5186: @274438
     /*  274438 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274501), // Rule ID 8378 //
     /*  274443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274499 */     GIR_RootConstrainSelectedInstOperands,
     /*  274500 */     // GIR_Coverage, 8378,
     /*  274500 */     GIR_EraseRootFromParent_Done,
     /*  274501 */   // Label 5187: @274501
     /*  274501 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274564), // Rule ID 8379 //
     /*  274506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274562 */     GIR_RootConstrainSelectedInstOperands,
     /*  274563 */     // GIR_Coverage, 8379,
     /*  274563 */     GIR_EraseRootFromParent_Done,
     /*  274564 */   // Label 5188: @274564
     /*  274564 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274627), // Rule ID 8382 //
     /*  274569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274625 */     GIR_RootConstrainSelectedInstOperands,
     /*  274626 */     // GIR_Coverage, 8382,
     /*  274626 */     GIR_EraseRootFromParent_Done,
     /*  274627 */   // Label 5189: @274627
     /*  274627 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274690), // Rule ID 8383 //
     /*  274632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274688 */     GIR_RootConstrainSelectedInstOperands,
     /*  274689 */     // GIR_Coverage, 8383,
     /*  274689 */     GIR_EraseRootFromParent_Done,
     /*  274690 */   // Label 5190: @274690
     /*  274690 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274753), // Rule ID 8386 //
     /*  274695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274751 */     GIR_RootConstrainSelectedInstOperands,
     /*  274752 */     // GIR_Coverage, 8386,
     /*  274752 */     GIR_EraseRootFromParent_Done,
     /*  274753 */   // Label 5191: @274753
     /*  274753 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274816), // Rule ID 8387 //
     /*  274758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274814 */     GIR_RootConstrainSelectedInstOperands,
     /*  274815 */     // GIR_Coverage, 8387,
     /*  274815 */     GIR_EraseRootFromParent_Done,
     /*  274816 */   // Label 5192: @274816
     /*  274816 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(274879), // Rule ID 8390 //
     /*  274821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274877 */     GIR_RootConstrainSelectedInstOperands,
     /*  274878 */     // GIR_Coverage, 8390,
     /*  274878 */     GIR_EraseRootFromParent_Done,
     /*  274879 */   // Label 5193: @274879
     /*  274879 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(274942), // Rule ID 8391 //
     /*  274884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274940 */     GIR_RootConstrainSelectedInstOperands,
     /*  274941 */     // GIR_Coverage, 8391,
     /*  274941 */     GIR_EraseRootFromParent_Done,
     /*  274942 */   // Label 5194: @274942
     /*  274942 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275005), // Rule ID 8394 //
     /*  274947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275003 */     GIR_RootConstrainSelectedInstOperands,
     /*  275004 */     // GIR_Coverage, 8394,
     /*  275004 */     GIR_EraseRootFromParent_Done,
     /*  275005 */   // Label 5195: @275005
     /*  275005 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275068), // Rule ID 8395 //
     /*  275010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  275024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  275027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275066 */     GIR_RootConstrainSelectedInstOperands,
     /*  275067 */     // GIR_Coverage, 8395,
     /*  275067 */     GIR_EraseRootFromParent_Done,
     /*  275068 */   // Label 5196: @275068
     /*  275068 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275131), // Rule ID 8398 //
     /*  275073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275129 */     GIR_RootConstrainSelectedInstOperands,
     /*  275130 */     // GIR_Coverage, 8398,
     /*  275130 */     GIR_EraseRootFromParent_Done,
     /*  275131 */   // Label 5197: @275131
     /*  275131 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275194), // Rule ID 8399 //
     /*  275136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275175 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275192 */     GIR_RootConstrainSelectedInstOperands,
     /*  275193 */     // GIR_Coverage, 8399,
     /*  275193 */     GIR_EraseRootFromParent_Done,
     /*  275194 */   // Label 5198: @275194
     /*  275194 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275257), // Rule ID 8402 //
     /*  275199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275255 */     GIR_RootConstrainSelectedInstOperands,
     /*  275256 */     // GIR_Coverage, 8402,
     /*  275256 */     GIR_EraseRootFromParent_Done,
     /*  275257 */   // Label 5199: @275257
     /*  275257 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275320), // Rule ID 8403 //
     /*  275262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275318 */     GIR_RootConstrainSelectedInstOperands,
     /*  275319 */     // GIR_Coverage, 8403,
     /*  275319 */     GIR_EraseRootFromParent_Done,
     /*  275320 */   // Label 5200: @275320
     /*  275320 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275383), // Rule ID 8406 //
     /*  275325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  275339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  275342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275381 */     GIR_RootConstrainSelectedInstOperands,
     /*  275382 */     // GIR_Coverage, 8406,
     /*  275382 */     GIR_EraseRootFromParent_Done,
     /*  275383 */   // Label 5201: @275383
     /*  275383 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275446), // Rule ID 8407 //
     /*  275388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  275402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  275405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275444 */     GIR_RootConstrainSelectedInstOperands,
     /*  275445 */     // GIR_Coverage, 8407,
     /*  275445 */     GIR_EraseRootFromParent_Done,
     /*  275446 */   // Label 5202: @275446
     /*  275446 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275509), // Rule ID 8410 //
     /*  275451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275507 */     GIR_RootConstrainSelectedInstOperands,
     /*  275508 */     // GIR_Coverage, 8410,
     /*  275508 */     GIR_EraseRootFromParent_Done,
     /*  275509 */   // Label 5203: @275509
     /*  275509 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275572), // Rule ID 8411 //
     /*  275514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275570 */     GIR_RootConstrainSelectedInstOperands,
     /*  275571 */     // GIR_Coverage, 8411,
     /*  275571 */     GIR_EraseRootFromParent_Done,
     /*  275572 */   // Label 5204: @275572
     /*  275572 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275635), // Rule ID 8414 //
     /*  275577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275633 */     GIR_RootConstrainSelectedInstOperands,
     /*  275634 */     // GIR_Coverage, 8414,
     /*  275634 */     GIR_EraseRootFromParent_Done,
     /*  275635 */   // Label 5205: @275635
     /*  275635 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275698), // Rule ID 8415 //
     /*  275640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275696 */     GIR_RootConstrainSelectedInstOperands,
     /*  275697 */     // GIR_Coverage, 8415,
     /*  275697 */     GIR_EraseRootFromParent_Done,
     /*  275698 */   // Label 5206: @275698
     /*  275698 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275761), // Rule ID 8418 //
     /*  275703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275759 */     GIR_RootConstrainSelectedInstOperands,
     /*  275760 */     // GIR_Coverage, 8418,
     /*  275760 */     GIR_EraseRootFromParent_Done,
     /*  275761 */   // Label 5207: @275761
     /*  275761 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275824), // Rule ID 8419 //
     /*  275766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275822 */     GIR_RootConstrainSelectedInstOperands,
     /*  275823 */     // GIR_Coverage, 8419,
     /*  275823 */     GIR_EraseRootFromParent_Done,
     /*  275824 */   // Label 5208: @275824
     /*  275824 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(275887), // Rule ID 8422 //
     /*  275829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275885 */     GIR_RootConstrainSelectedInstOperands,
     /*  275886 */     // GIR_Coverage, 8422,
     /*  275886 */     GIR_EraseRootFromParent_Done,
     /*  275887 */   // Label 5209: @275887
     /*  275887 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(275950), // Rule ID 8423 //
     /*  275892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275948 */     GIR_RootConstrainSelectedInstOperands,
     /*  275949 */     // GIR_Coverage, 8423,
     /*  275949 */     GIR_EraseRootFromParent_Done,
     /*  275950 */   // Label 5210: @275950
     /*  275950 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276013), // Rule ID 8426 //
     /*  275955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276011 */     GIR_RootConstrainSelectedInstOperands,
     /*  276012 */     // GIR_Coverage, 8426,
     /*  276012 */     GIR_EraseRootFromParent_Done,
     /*  276013 */   // Label 5211: @276013
     /*  276013 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276076), // Rule ID 8427 //
     /*  276018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  276032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  276035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276074 */     GIR_RootConstrainSelectedInstOperands,
     /*  276075 */     // GIR_Coverage, 8427,
     /*  276075 */     GIR_EraseRootFromParent_Done,
     /*  276076 */   // Label 5212: @276076
     /*  276076 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276139), // Rule ID 8430 //
     /*  276081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276137 */     GIR_RootConstrainSelectedInstOperands,
     /*  276138 */     // GIR_Coverage, 8430,
     /*  276138 */     GIR_EraseRootFromParent_Done,
     /*  276139 */   // Label 5213: @276139
     /*  276139 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276202), // Rule ID 8431 //
     /*  276144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276183 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276200 */     GIR_RootConstrainSelectedInstOperands,
     /*  276201 */     // GIR_Coverage, 8431,
     /*  276201 */     GIR_EraseRootFromParent_Done,
     /*  276202 */   // Label 5214: @276202
     /*  276202 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276265), // Rule ID 8434 //
     /*  276207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276246 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276263 */     GIR_RootConstrainSelectedInstOperands,
     /*  276264 */     // GIR_Coverage, 8434,
     /*  276264 */     GIR_EraseRootFromParent_Done,
     /*  276265 */   // Label 5215: @276265
     /*  276265 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276328), // Rule ID 8435 //
     /*  276270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276309 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276326 */     GIR_RootConstrainSelectedInstOperands,
     /*  276327 */     // GIR_Coverage, 8435,
     /*  276327 */     GIR_EraseRootFromParent_Done,
     /*  276328 */   // Label 5216: @276328
     /*  276328 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276391), // Rule ID 8438 //
     /*  276333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  276347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  276350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276389 */     GIR_RootConstrainSelectedInstOperands,
     /*  276390 */     // GIR_Coverage, 8438,
     /*  276390 */     GIR_EraseRootFromParent_Done,
     /*  276391 */   // Label 5217: @276391
     /*  276391 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276454), // Rule ID 8439 //
     /*  276396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  276410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  276413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276452 */     GIR_RootConstrainSelectedInstOperands,
     /*  276453 */     // GIR_Coverage, 8439,
     /*  276453 */     GIR_EraseRootFromParent_Done,
     /*  276454 */   // Label 5218: @276454
     /*  276454 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276517), // Rule ID 8442 //
     /*  276459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276515 */     GIR_RootConstrainSelectedInstOperands,
     /*  276516 */     // GIR_Coverage, 8442,
     /*  276516 */     GIR_EraseRootFromParent_Done,
     /*  276517 */   // Label 5219: @276517
     /*  276517 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276580), // Rule ID 8443 //
     /*  276522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276578 */     GIR_RootConstrainSelectedInstOperands,
     /*  276579 */     // GIR_Coverage, 8443,
     /*  276579 */     GIR_EraseRootFromParent_Done,
     /*  276580 */   // Label 5220: @276580
     /*  276580 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276643), // Rule ID 8446 //
     /*  276585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276641 */     GIR_RootConstrainSelectedInstOperands,
     /*  276642 */     // GIR_Coverage, 8446,
     /*  276642 */     GIR_EraseRootFromParent_Done,
     /*  276643 */   // Label 5221: @276643
     /*  276643 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276706), // Rule ID 8447 //
     /*  276648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276687 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276704 */     GIR_RootConstrainSelectedInstOperands,
     /*  276705 */     // GIR_Coverage, 8447,
     /*  276705 */     GIR_EraseRootFromParent_Done,
     /*  276706 */   // Label 5222: @276706
     /*  276706 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276769), // Rule ID 8450 //
     /*  276711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276767 */     GIR_RootConstrainSelectedInstOperands,
     /*  276768 */     // GIR_Coverage, 8450,
     /*  276768 */     GIR_EraseRootFromParent_Done,
     /*  276769 */   // Label 5223: @276769
     /*  276769 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276832), // Rule ID 8451 //
     /*  276774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276830 */     GIR_RootConstrainSelectedInstOperands,
     /*  276831 */     // GIR_Coverage, 8451,
     /*  276831 */     GIR_EraseRootFromParent_Done,
     /*  276832 */   // Label 5224: @276832
     /*  276832 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(276895), // Rule ID 8454 //
     /*  276837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276893 */     GIR_RootConstrainSelectedInstOperands,
     /*  276894 */     // GIR_Coverage, 8454,
     /*  276894 */     GIR_EraseRootFromParent_Done,
     /*  276895 */   // Label 5225: @276895
     /*  276895 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(276958), // Rule ID 8455 //
     /*  276900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276956 */     GIR_RootConstrainSelectedInstOperands,
     /*  276957 */     // GIR_Coverage, 8455,
     /*  276957 */     GIR_EraseRootFromParent_Done,
     /*  276958 */   // Label 5226: @276958
     /*  276958 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277021), // Rule ID 8458 //
     /*  276963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277019 */     GIR_RootConstrainSelectedInstOperands,
     /*  277020 */     // GIR_Coverage, 8458,
     /*  277020 */     GIR_EraseRootFromParent_Done,
     /*  277021 */   // Label 5227: @277021
     /*  277021 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277084), // Rule ID 8459 //
     /*  277026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  277040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  277043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277065 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277082 */     GIR_RootConstrainSelectedInstOperands,
     /*  277083 */     // GIR_Coverage, 8459,
     /*  277083 */     GIR_EraseRootFromParent_Done,
     /*  277084 */   // Label 5228: @277084
     /*  277084 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277147), // Rule ID 8462 //
     /*  277089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277145 */     GIR_RootConstrainSelectedInstOperands,
     /*  277146 */     // GIR_Coverage, 8462,
     /*  277146 */     GIR_EraseRootFromParent_Done,
     /*  277147 */   // Label 5229: @277147
     /*  277147 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277210), // Rule ID 8463 //
     /*  277152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277191 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277208 */     GIR_RootConstrainSelectedInstOperands,
     /*  277209 */     // GIR_Coverage, 8463,
     /*  277209 */     GIR_EraseRootFromParent_Done,
     /*  277210 */   // Label 5230: @277210
     /*  277210 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277273), // Rule ID 8466 //
     /*  277215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277271 */     GIR_RootConstrainSelectedInstOperands,
     /*  277272 */     // GIR_Coverage, 8466,
     /*  277272 */     GIR_EraseRootFromParent_Done,
     /*  277273 */   // Label 5231: @277273
     /*  277273 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277336), // Rule ID 8467 //
     /*  277278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277334 */     GIR_RootConstrainSelectedInstOperands,
     /*  277335 */     // GIR_Coverage, 8467,
     /*  277335 */     GIR_EraseRootFromParent_Done,
     /*  277336 */   // Label 5232: @277336
     /*  277336 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277399), // Rule ID 8470 //
     /*  277341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  277355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  277358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277397 */     GIR_RootConstrainSelectedInstOperands,
     /*  277398 */     // GIR_Coverage, 8470,
     /*  277398 */     GIR_EraseRootFromParent_Done,
     /*  277399 */   // Label 5233: @277399
     /*  277399 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277462), // Rule ID 8471 //
     /*  277404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  277418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  277421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277460 */     GIR_RootConstrainSelectedInstOperands,
     /*  277461 */     // GIR_Coverage, 8471,
     /*  277461 */     GIR_EraseRootFromParent_Done,
     /*  277462 */   // Label 5234: @277462
     /*  277462 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277525), // Rule ID 8474 //
     /*  277467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277523 */     GIR_RootConstrainSelectedInstOperands,
     /*  277524 */     // GIR_Coverage, 8474,
     /*  277524 */     GIR_EraseRootFromParent_Done,
     /*  277525 */   // Label 5235: @277525
     /*  277525 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277588), // Rule ID 8475 //
     /*  277530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277586 */     GIR_RootConstrainSelectedInstOperands,
     /*  277587 */     // GIR_Coverage, 8475,
     /*  277587 */     GIR_EraseRootFromParent_Done,
     /*  277588 */   // Label 5236: @277588
     /*  277588 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277651), // Rule ID 8478 //
     /*  277593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277649 */     GIR_RootConstrainSelectedInstOperands,
     /*  277650 */     // GIR_Coverage, 8478,
     /*  277650 */     GIR_EraseRootFromParent_Done,
     /*  277651 */   // Label 5237: @277651
     /*  277651 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277714), // Rule ID 8479 //
     /*  277656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277695 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277712 */     GIR_RootConstrainSelectedInstOperands,
     /*  277713 */     // GIR_Coverage, 8479,
     /*  277713 */     GIR_EraseRootFromParent_Done,
     /*  277714 */   // Label 5238: @277714
     /*  277714 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277777), // Rule ID 8482 //
     /*  277719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277775 */     GIR_RootConstrainSelectedInstOperands,
     /*  277776 */     // GIR_Coverage, 8482,
     /*  277776 */     GIR_EraseRootFromParent_Done,
     /*  277777 */   // Label 5239: @277777
     /*  277777 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277840), // Rule ID 8483 //
     /*  277782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277838 */     GIR_RootConstrainSelectedInstOperands,
     /*  277839 */     // GIR_Coverage, 8483,
     /*  277839 */     GIR_EraseRootFromParent_Done,
     /*  277840 */   // Label 5240: @277840
     /*  277840 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(277903), // Rule ID 8486 //
     /*  277845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277901 */     GIR_RootConstrainSelectedInstOperands,
     /*  277902 */     // GIR_Coverage, 8486,
     /*  277902 */     GIR_EraseRootFromParent_Done,
     /*  277903 */   // Label 5241: @277903
     /*  277903 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(277966), // Rule ID 8487 //
     /*  277908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277964 */     GIR_RootConstrainSelectedInstOperands,
     /*  277965 */     // GIR_Coverage, 8487,
     /*  277965 */     GIR_EraseRootFromParent_Done,
     /*  277966 */   // Label 5242: @277966
     /*  277966 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278029), // Rule ID 8490 //
     /*  277971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278027 */     GIR_RootConstrainSelectedInstOperands,
     /*  278028 */     // GIR_Coverage, 8490,
     /*  278028 */     GIR_EraseRootFromParent_Done,
     /*  278029 */   // Label 5243: @278029
     /*  278029 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278092), // Rule ID 8491 //
     /*  278034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  278048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278090 */     GIR_RootConstrainSelectedInstOperands,
     /*  278091 */     // GIR_Coverage, 8491,
     /*  278091 */     GIR_EraseRootFromParent_Done,
     /*  278092 */   // Label 5244: @278092
     /*  278092 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278155), // Rule ID 8494 //
     /*  278097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278153 */     GIR_RootConstrainSelectedInstOperands,
     /*  278154 */     // GIR_Coverage, 8494,
     /*  278154 */     GIR_EraseRootFromParent_Done,
     /*  278155 */   // Label 5245: @278155
     /*  278155 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278218), // Rule ID 8495 //
     /*  278160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278216 */     GIR_RootConstrainSelectedInstOperands,
     /*  278217 */     // GIR_Coverage, 8495,
     /*  278217 */     GIR_EraseRootFromParent_Done,
     /*  278218 */   // Label 5246: @278218
     /*  278218 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278281), // Rule ID 8498 //
     /*  278223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278262 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278279 */     GIR_RootConstrainSelectedInstOperands,
     /*  278280 */     // GIR_Coverage, 8498,
     /*  278280 */     GIR_EraseRootFromParent_Done,
     /*  278281 */   // Label 5247: @278281
     /*  278281 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278344), // Rule ID 8499 //
     /*  278286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278342 */     GIR_RootConstrainSelectedInstOperands,
     /*  278343 */     // GIR_Coverage, 8499,
     /*  278343 */     GIR_EraseRootFromParent_Done,
     /*  278344 */   // Label 5248: @278344
     /*  278344 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278407), // Rule ID 8502 //
     /*  278349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  278363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278405 */     GIR_RootConstrainSelectedInstOperands,
     /*  278406 */     // GIR_Coverage, 8502,
     /*  278406 */     GIR_EraseRootFromParent_Done,
     /*  278407 */   // Label 5249: @278407
     /*  278407 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278470), // Rule ID 8503 //
     /*  278412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  278426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278451 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278468 */     GIR_RootConstrainSelectedInstOperands,
     /*  278469 */     // GIR_Coverage, 8503,
     /*  278469 */     GIR_EraseRootFromParent_Done,
     /*  278470 */   // Label 5250: @278470
     /*  278470 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278533), // Rule ID 8506 //
     /*  278475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278531 */     GIR_RootConstrainSelectedInstOperands,
     /*  278532 */     // GIR_Coverage, 8506,
     /*  278532 */     GIR_EraseRootFromParent_Done,
     /*  278533 */   // Label 5251: @278533
     /*  278533 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278596), // Rule ID 8507 //
     /*  278538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278594 */     GIR_RootConstrainSelectedInstOperands,
     /*  278595 */     // GIR_Coverage, 8507,
     /*  278595 */     GIR_EraseRootFromParent_Done,
     /*  278596 */   // Label 5252: @278596
     /*  278596 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278659), // Rule ID 8510 //
     /*  278601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278657 */     GIR_RootConstrainSelectedInstOperands,
     /*  278658 */     // GIR_Coverage, 8510,
     /*  278658 */     GIR_EraseRootFromParent_Done,
     /*  278659 */   // Label 5253: @278659
     /*  278659 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278722), // Rule ID 8511 //
     /*  278664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278720 */     GIR_RootConstrainSelectedInstOperands,
     /*  278721 */     // GIR_Coverage, 8511,
     /*  278721 */     GIR_EraseRootFromParent_Done,
     /*  278722 */   // Label 5254: @278722
     /*  278722 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278785), // Rule ID 8514 //
     /*  278727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278783 */     GIR_RootConstrainSelectedInstOperands,
     /*  278784 */     // GIR_Coverage, 8514,
     /*  278784 */     GIR_EraseRootFromParent_Done,
     /*  278785 */   // Label 5255: @278785
     /*  278785 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278848), // Rule ID 8515 //
     /*  278790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278846 */     GIR_RootConstrainSelectedInstOperands,
     /*  278847 */     // GIR_Coverage, 8515,
     /*  278847 */     GIR_EraseRootFromParent_Done,
     /*  278848 */   // Label 5256: @278848
     /*  278848 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(278911), // Rule ID 8518 //
     /*  278853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278909 */     GIR_RootConstrainSelectedInstOperands,
     /*  278910 */     // GIR_Coverage, 8518,
     /*  278910 */     GIR_EraseRootFromParent_Done,
     /*  278911 */   // Label 5257: @278911
     /*  278911 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(278974), // Rule ID 8519 //
     /*  278916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278955 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278972 */     GIR_RootConstrainSelectedInstOperands,
     /*  278973 */     // GIR_Coverage, 8519,
     /*  278973 */     GIR_EraseRootFromParent_Done,
     /*  278974 */   // Label 5258: @278974
     /*  278974 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279037), // Rule ID 8522 //
     /*  278979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279018 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279035 */     GIR_RootConstrainSelectedInstOperands,
     /*  279036 */     // GIR_Coverage, 8522,
     /*  279036 */     GIR_EraseRootFromParent_Done,
     /*  279037 */   // Label 5259: @279037
     /*  279037 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279100), // Rule ID 8523 //
     /*  279042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  279053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  279056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279081 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279098 */     GIR_RootConstrainSelectedInstOperands,
     /*  279099 */     // GIR_Coverage, 8523,
     /*  279099 */     GIR_EraseRootFromParent_Done,
     /*  279100 */   // Label 5260: @279100
     /*  279100 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279163), // Rule ID 8526 //
     /*  279105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279161 */     GIR_RootConstrainSelectedInstOperands,
     /*  279162 */     // GIR_Coverage, 8526,
     /*  279162 */     GIR_EraseRootFromParent_Done,
     /*  279163 */   // Label 5261: @279163
     /*  279163 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279226), // Rule ID 8527 //
     /*  279168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279207 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279224 */     GIR_RootConstrainSelectedInstOperands,
     /*  279225 */     // GIR_Coverage, 8527,
     /*  279225 */     GIR_EraseRootFromParent_Done,
     /*  279226 */   // Label 5262: @279226
     /*  279226 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279289), // Rule ID 8530 //
     /*  279231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279287 */     GIR_RootConstrainSelectedInstOperands,
     /*  279288 */     // GIR_Coverage, 8530,
     /*  279288 */     GIR_EraseRootFromParent_Done,
     /*  279289 */   // Label 5263: @279289
     /*  279289 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279352), // Rule ID 8531 //
     /*  279294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279350 */     GIR_RootConstrainSelectedInstOperands,
     /*  279351 */     // GIR_Coverage, 8531,
     /*  279351 */     GIR_EraseRootFromParent_Done,
     /*  279352 */   // Label 5264: @279352
     /*  279352 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279415), // Rule ID 8534 //
     /*  279357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279413 */     GIR_RootConstrainSelectedInstOperands,
     /*  279414 */     // GIR_Coverage, 8534,
     /*  279414 */     GIR_EraseRootFromParent_Done,
     /*  279415 */   // Label 5265: @279415
     /*  279415 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279478), // Rule ID 8535 //
     /*  279420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279459 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279476 */     GIR_RootConstrainSelectedInstOperands,
     /*  279477 */     // GIR_Coverage, 8535,
     /*  279477 */     GIR_EraseRootFromParent_Done,
     /*  279478 */   // Label 5266: @279478
     /*  279478 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279541), // Rule ID 8538 //
     /*  279483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279539 */     GIR_RootConstrainSelectedInstOperands,
     /*  279540 */     // GIR_Coverage, 8538,
     /*  279540 */     GIR_EraseRootFromParent_Done,
     /*  279541 */   // Label 5267: @279541
     /*  279541 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279604), // Rule ID 8539 //
     /*  279546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279602 */     GIR_RootConstrainSelectedInstOperands,
     /*  279603 */     // GIR_Coverage, 8539,
     /*  279603 */     GIR_EraseRootFromParent_Done,
     /*  279604 */   // Label 5268: @279604
     /*  279604 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279667), // Rule ID 8542 //
     /*  279609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279665 */     GIR_RootConstrainSelectedInstOperands,
     /*  279666 */     // GIR_Coverage, 8542,
     /*  279666 */     GIR_EraseRootFromParent_Done,
     /*  279667 */   // Label 5269: @279667
     /*  279667 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279730), // Rule ID 8543 //
     /*  279672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279728 */     GIR_RootConstrainSelectedInstOperands,
     /*  279729 */     // GIR_Coverage, 8543,
     /*  279729 */     GIR_EraseRootFromParent_Done,
     /*  279730 */   // Label 5270: @279730
     /*  279730 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279793), // Rule ID 8546 //
     /*  279735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279791 */     GIR_RootConstrainSelectedInstOperands,
     /*  279792 */     // GIR_Coverage, 8546,
     /*  279792 */     GIR_EraseRootFromParent_Done,
     /*  279793 */   // Label 5271: @279793
     /*  279793 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(279856), // Rule ID 8547 //
     /*  279798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279854 */     GIR_RootConstrainSelectedInstOperands,
     /*  279855 */     // GIR_Coverage, 8547,
     /*  279855 */     GIR_EraseRootFromParent_Done,
     /*  279856 */   // Label 5272: @279856
     /*  279856 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(279919), // Rule ID 8550 //
     /*  279861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279917 */     GIR_RootConstrainSelectedInstOperands,
     /*  279918 */     // GIR_Coverage, 8550,
     /*  279918 */     GIR_EraseRootFromParent_Done,
     /*  279919 */   // Label 5273: @279919
     /*  279919 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(279982), // Rule ID 8551 //
     /*  279924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279980 */     GIR_RootConstrainSelectedInstOperands,
     /*  279981 */     // GIR_Coverage, 8551,
     /*  279981 */     GIR_EraseRootFromParent_Done,
     /*  279982 */   // Label 5274: @279982
     /*  279982 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280045), // Rule ID 8554 //
     /*  279987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280043 */     GIR_RootConstrainSelectedInstOperands,
     /*  280044 */     // GIR_Coverage, 8554,
     /*  280044 */     GIR_EraseRootFromParent_Done,
     /*  280045 */   // Label 5275: @280045
     /*  280045 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280108), // Rule ID 8555 //
     /*  280050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280106 */     GIR_RootConstrainSelectedInstOperands,
     /*  280107 */     // GIR_Coverage, 8555,
     /*  280107 */     GIR_EraseRootFromParent_Done,
     /*  280108 */   // Label 5276: @280108
     /*  280108 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280171), // Rule ID 8558 //
     /*  280113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280169 */     GIR_RootConstrainSelectedInstOperands,
     /*  280170 */     // GIR_Coverage, 8558,
     /*  280170 */     GIR_EraseRootFromParent_Done,
     /*  280171 */   // Label 5277: @280171
     /*  280171 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280234), // Rule ID 8559 //
     /*  280176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280232 */     GIR_RootConstrainSelectedInstOperands,
     /*  280233 */     // GIR_Coverage, 8559,
     /*  280233 */     GIR_EraseRootFromParent_Done,
     /*  280234 */   // Label 5278: @280234
     /*  280234 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280297), // Rule ID 8562 //
     /*  280239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  280281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280295 */     GIR_RootConstrainSelectedInstOperands,
     /*  280296 */     // GIR_Coverage, 8562,
     /*  280296 */     GIR_EraseRootFromParent_Done,
     /*  280297 */   // Label 5279: @280297
     /*  280297 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280360), // Rule ID 8563 //
     /*  280302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280341 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  280344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280358 */     GIR_RootConstrainSelectedInstOperands,
     /*  280359 */     // GIR_Coverage, 8563,
     /*  280359 */     GIR_EraseRootFromParent_Done,
     /*  280360 */   // Label 5280: @280360
     /*  280360 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280423), // Rule ID 8566 //
     /*  280365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280421 */     GIR_RootConstrainSelectedInstOperands,
     /*  280422 */     // GIR_Coverage, 8566,
     /*  280422 */     GIR_EraseRootFromParent_Done,
     /*  280423 */   // Label 5281: @280423
     /*  280423 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280486), // Rule ID 8567 //
     /*  280428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280484 */     GIR_RootConstrainSelectedInstOperands,
     /*  280485 */     // GIR_Coverage, 8567,
     /*  280485 */     GIR_EraseRootFromParent_Done,
     /*  280486 */   // Label 5282: @280486
     /*  280486 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280549), // Rule ID 8570 //
     /*  280491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280547 */     GIR_RootConstrainSelectedInstOperands,
     /*  280548 */     // GIR_Coverage, 8570,
     /*  280548 */     GIR_EraseRootFromParent_Done,
     /*  280549 */   // Label 5283: @280549
     /*  280549 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280612), // Rule ID 8571 //
     /*  280554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280593 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280610 */     GIR_RootConstrainSelectedInstOperands,
     /*  280611 */     // GIR_Coverage, 8571,
     /*  280611 */     GIR_EraseRootFromParent_Done,
     /*  280612 */   // Label 5284: @280612
     /*  280612 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280675), // Rule ID 8574 //
     /*  280617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280673 */     GIR_RootConstrainSelectedInstOperands,
     /*  280674 */     // GIR_Coverage, 8574,
     /*  280674 */     GIR_EraseRootFromParent_Done,
     /*  280675 */   // Label 5285: @280675
     /*  280675 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280738), // Rule ID 8575 //
     /*  280680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280719 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280736 */     GIR_RootConstrainSelectedInstOperands,
     /*  280737 */     // GIR_Coverage, 8575,
     /*  280737 */     GIR_EraseRootFromParent_Done,
     /*  280738 */   // Label 5286: @280738
     /*  280738 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280801), // Rule ID 8578 //
     /*  280743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280799 */     GIR_RootConstrainSelectedInstOperands,
     /*  280800 */     // GIR_Coverage, 8578,
     /*  280800 */     GIR_EraseRootFromParent_Done,
     /*  280801 */   // Label 5287: @280801
     /*  280801 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(280864), // Rule ID 8579 //
     /*  280806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280845 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280862 */     GIR_RootConstrainSelectedInstOperands,
     /*  280863 */     // GIR_Coverage, 8579,
     /*  280863 */     GIR_EraseRootFromParent_Done,
     /*  280864 */   // Label 5288: @280864
     /*  280864 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(280927), // Rule ID 8582 //
     /*  280869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280925 */     GIR_RootConstrainSelectedInstOperands,
     /*  280926 */     // GIR_Coverage, 8582,
     /*  280926 */     GIR_EraseRootFromParent_Done,
     /*  280927 */   // Label 5289: @280927
     /*  280927 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(280990), // Rule ID 8583 //
     /*  280932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280988 */     GIR_RootConstrainSelectedInstOperands,
     /*  280989 */     // GIR_Coverage, 8583,
     /*  280989 */     GIR_EraseRootFromParent_Done,
     /*  280990 */   // Label 5290: @280990
     /*  280990 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281053), // Rule ID 8586 //
     /*  280995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281051 */     GIR_RootConstrainSelectedInstOperands,
     /*  281052 */     // GIR_Coverage, 8586,
     /*  281052 */     GIR_EraseRootFromParent_Done,
     /*  281053 */   // Label 5291: @281053
     /*  281053 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281116), // Rule ID 8587 //
     /*  281058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281114 */     GIR_RootConstrainSelectedInstOperands,
     /*  281115 */     // GIR_Coverage, 8587,
     /*  281115 */     GIR_EraseRootFromParent_Done,
     /*  281116 */   // Label 5292: @281116
     /*  281116 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281179), // Rule ID 8590 //
     /*  281121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281177 */     GIR_RootConstrainSelectedInstOperands,
     /*  281178 */     // GIR_Coverage, 8590,
     /*  281178 */     GIR_EraseRootFromParent_Done,
     /*  281179 */   // Label 5293: @281179
     /*  281179 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281242), // Rule ID 8591 //
     /*  281184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281240 */     GIR_RootConstrainSelectedInstOperands,
     /*  281241 */     // GIR_Coverage, 8591,
     /*  281241 */     GIR_EraseRootFromParent_Done,
     /*  281242 */   // Label 5294: @281242
     /*  281242 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281305), // Rule ID 8594 //
     /*  281247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  281264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281303 */     GIR_RootConstrainSelectedInstOperands,
     /*  281304 */     // GIR_Coverage, 8594,
     /*  281304 */     GIR_EraseRootFromParent_Done,
     /*  281305 */   // Label 5295: @281305
     /*  281305 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281368), // Rule ID 8595 //
     /*  281310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  281327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281366 */     GIR_RootConstrainSelectedInstOperands,
     /*  281367 */     // GIR_Coverage, 8595,
     /*  281367 */     GIR_EraseRootFromParent_Done,
     /*  281368 */   // Label 5296: @281368
     /*  281368 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281431), // Rule ID 8598 //
     /*  281373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281429 */     GIR_RootConstrainSelectedInstOperands,
     /*  281430 */     // GIR_Coverage, 8598,
     /*  281430 */     GIR_EraseRootFromParent_Done,
     /*  281431 */   // Label 5297: @281431
     /*  281431 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281494), // Rule ID 8599 //
     /*  281436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281475 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281492 */     GIR_RootConstrainSelectedInstOperands,
     /*  281493 */     // GIR_Coverage, 8599,
     /*  281493 */     GIR_EraseRootFromParent_Done,
     /*  281494 */   // Label 5298: @281494
     /*  281494 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281557), // Rule ID 8602 //
     /*  281499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281538 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281555 */     GIR_RootConstrainSelectedInstOperands,
     /*  281556 */     // GIR_Coverage, 8602,
     /*  281556 */     GIR_EraseRootFromParent_Done,
     /*  281557 */   // Label 5299: @281557
     /*  281557 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281620), // Rule ID 8603 //
     /*  281562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281618 */     GIR_RootConstrainSelectedInstOperands,
     /*  281619 */     // GIR_Coverage, 8603,
     /*  281619 */     GIR_EraseRootFromParent_Done,
     /*  281620 */   // Label 5300: @281620
     /*  281620 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281683), // Rule ID 8606 //
     /*  281625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281681 */     GIR_RootConstrainSelectedInstOperands,
     /*  281682 */     // GIR_Coverage, 8606,
     /*  281682 */     GIR_EraseRootFromParent_Done,
     /*  281683 */   // Label 5301: @281683
     /*  281683 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281746), // Rule ID 8607 //
     /*  281688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281727 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281744 */     GIR_RootConstrainSelectedInstOperands,
     /*  281745 */     // GIR_Coverage, 8607,
     /*  281745 */     GIR_EraseRootFromParent_Done,
     /*  281746 */   // Label 5302: @281746
     /*  281746 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281809), // Rule ID 8610 //
     /*  281751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281790 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281807 */     GIR_RootConstrainSelectedInstOperands,
     /*  281808 */     // GIR_Coverage, 8610,
     /*  281808 */     GIR_EraseRootFromParent_Done,
     /*  281809 */   // Label 5303: @281809
     /*  281809 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(281872), // Rule ID 8611 //
     /*  281814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281853 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281870 */     GIR_RootConstrainSelectedInstOperands,
     /*  281871 */     // GIR_Coverage, 8611,
     /*  281871 */     GIR_EraseRootFromParent_Done,
     /*  281872 */   // Label 5304: @281872
     /*  281872 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(281935), // Rule ID 8614 //
     /*  281877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281933 */     GIR_RootConstrainSelectedInstOperands,
     /*  281934 */     // GIR_Coverage, 8614,
     /*  281934 */     GIR_EraseRootFromParent_Done,
     /*  281935 */   // Label 5305: @281935
     /*  281935 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(281998), // Rule ID 8615 //
     /*  281940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281979 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281996 */     GIR_RootConstrainSelectedInstOperands,
     /*  281997 */     // GIR_Coverage, 8615,
     /*  281997 */     GIR_EraseRootFromParent_Done,
     /*  281998 */   // Label 5306: @281998
     /*  281998 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282061), // Rule ID 8618 //
     /*  282003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282059 */     GIR_RootConstrainSelectedInstOperands,
     /*  282060 */     // GIR_Coverage, 8618,
     /*  282060 */     GIR_EraseRootFromParent_Done,
     /*  282061 */   // Label 5307: @282061
     /*  282061 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282124), // Rule ID 8619 //
     /*  282066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282122 */     GIR_RootConstrainSelectedInstOperands,
     /*  282123 */     // GIR_Coverage, 8619,
     /*  282123 */     GIR_EraseRootFromParent_Done,
     /*  282124 */   // Label 5308: @282124
     /*  282124 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282187), // Rule ID 8622 //
     /*  282129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282185 */     GIR_RootConstrainSelectedInstOperands,
     /*  282186 */     // GIR_Coverage, 8622,
     /*  282186 */     GIR_EraseRootFromParent_Done,
     /*  282187 */   // Label 5309: @282187
     /*  282187 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282250), // Rule ID 8623 //
     /*  282192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282231 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282248 */     GIR_RootConstrainSelectedInstOperands,
     /*  282249 */     // GIR_Coverage, 8623,
     /*  282249 */     GIR_EraseRootFromParent_Done,
     /*  282250 */   // Label 5310: @282250
     /*  282250 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282313), // Rule ID 8626 //
     /*  282255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  282269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  282272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282311 */     GIR_RootConstrainSelectedInstOperands,
     /*  282312 */     // GIR_Coverage, 8626,
     /*  282312 */     GIR_EraseRootFromParent_Done,
     /*  282313 */   // Label 5311: @282313
     /*  282313 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282376), // Rule ID 8627 //
     /*  282318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  282332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  282335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282374 */     GIR_RootConstrainSelectedInstOperands,
     /*  282375 */     // GIR_Coverage, 8627,
     /*  282375 */     GIR_EraseRootFromParent_Done,
     /*  282376 */   // Label 5312: @282376
     /*  282376 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282439), // Rule ID 8630 //
     /*  282381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282437 */     GIR_RootConstrainSelectedInstOperands,
     /*  282438 */     // GIR_Coverage, 8630,
     /*  282438 */     GIR_EraseRootFromParent_Done,
     /*  282439 */   // Label 5313: @282439
     /*  282439 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282502), // Rule ID 8631 //
     /*  282444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282483 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282500 */     GIR_RootConstrainSelectedInstOperands,
     /*  282501 */     // GIR_Coverage, 8631,
     /*  282501 */     GIR_EraseRootFromParent_Done,
     /*  282502 */   // Label 5314: @282502
     /*  282502 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282565), // Rule ID 8634 //
     /*  282507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282563 */     GIR_RootConstrainSelectedInstOperands,
     /*  282564 */     // GIR_Coverage, 8634,
     /*  282564 */     GIR_EraseRootFromParent_Done,
     /*  282565 */   // Label 5315: @282565
     /*  282565 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282628), // Rule ID 8635 //
     /*  282570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282609 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282626 */     GIR_RootConstrainSelectedInstOperands,
     /*  282627 */     // GIR_Coverage, 8635,
     /*  282627 */     GIR_EraseRootFromParent_Done,
     /*  282628 */   // Label 5316: @282628
     /*  282628 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282691), // Rule ID 8638 //
     /*  282633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282689 */     GIR_RootConstrainSelectedInstOperands,
     /*  282690 */     // GIR_Coverage, 8638,
     /*  282690 */     GIR_EraseRootFromParent_Done,
     /*  282691 */   // Label 5317: @282691
     /*  282691 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282754), // Rule ID 8639 //
     /*  282696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282752 */     GIR_RootConstrainSelectedInstOperands,
     /*  282753 */     // GIR_Coverage, 8639,
     /*  282753 */     GIR_EraseRootFromParent_Done,
     /*  282754 */   // Label 5318: @282754
     /*  282754 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282817), // Rule ID 8642 //
     /*  282759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282815 */     GIR_RootConstrainSelectedInstOperands,
     /*  282816 */     // GIR_Coverage, 8642,
     /*  282816 */     GIR_EraseRootFromParent_Done,
     /*  282817 */   // Label 5319: @282817
     /*  282817 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(282880), // Rule ID 8643 //
     /*  282822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282878 */     GIR_RootConstrainSelectedInstOperands,
     /*  282879 */     // GIR_Coverage, 8643,
     /*  282879 */     GIR_EraseRootFromParent_Done,
     /*  282880 */   // Label 5320: @282880
     /*  282880 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(282943), // Rule ID 8646 //
     /*  282885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282941 */     GIR_RootConstrainSelectedInstOperands,
     /*  282942 */     // GIR_Coverage, 8646,
     /*  282942 */     GIR_EraseRootFromParent_Done,
     /*  282943 */   // Label 5321: @282943
     /*  282943 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283006), // Rule ID 8647 //
     /*  282948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283004 */     GIR_RootConstrainSelectedInstOperands,
     /*  283005 */     // GIR_Coverage, 8647,
     /*  283005 */     GIR_EraseRootFromParent_Done,
     /*  283006 */   // Label 5322: @283006
     /*  283006 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283069), // Rule ID 8650 //
     /*  283011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283067 */     GIR_RootConstrainSelectedInstOperands,
     /*  283068 */     // GIR_Coverage, 8650,
     /*  283068 */     GIR_EraseRootFromParent_Done,
     /*  283069 */   // Label 5323: @283069
     /*  283069 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283132), // Rule ID 8651 //
     /*  283074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283130 */     GIR_RootConstrainSelectedInstOperands,
     /*  283131 */     // GIR_Coverage, 8651,
     /*  283131 */     GIR_EraseRootFromParent_Done,
     /*  283132 */   // Label 5324: @283132
     /*  283132 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283195), // Rule ID 8654 //
     /*  283137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283193 */     GIR_RootConstrainSelectedInstOperands,
     /*  283194 */     // GIR_Coverage, 8654,
     /*  283194 */     GIR_EraseRootFromParent_Done,
     /*  283195 */   // Label 5325: @283195
     /*  283195 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283258), // Rule ID 8655 //
     /*  283200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283256 */     GIR_RootConstrainSelectedInstOperands,
     /*  283257 */     // GIR_Coverage, 8655,
     /*  283257 */     GIR_EraseRootFromParent_Done,
     /*  283258 */   // Label 5326: @283258
     /*  283258 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283321), // Rule ID 8658 //
     /*  283263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  283277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283319 */     GIR_RootConstrainSelectedInstOperands,
     /*  283320 */     // GIR_Coverage, 8658,
     /*  283320 */     GIR_EraseRootFromParent_Done,
     /*  283321 */   // Label 5327: @283321
     /*  283321 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283384), // Rule ID 8659 //
     /*  283326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  283340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283382 */     GIR_RootConstrainSelectedInstOperands,
     /*  283383 */     // GIR_Coverage, 8659,
     /*  283383 */     GIR_EraseRootFromParent_Done,
     /*  283384 */   // Label 5328: @283384
     /*  283384 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283447), // Rule ID 8662 //
     /*  283389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283445 */     GIR_RootConstrainSelectedInstOperands,
     /*  283446 */     // GIR_Coverage, 8662,
     /*  283446 */     GIR_EraseRootFromParent_Done,
     /*  283447 */   // Label 5329: @283447
     /*  283447 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283510), // Rule ID 8663 //
     /*  283452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283508 */     GIR_RootConstrainSelectedInstOperands,
     /*  283509 */     // GIR_Coverage, 8663,
     /*  283509 */     GIR_EraseRootFromParent_Done,
     /*  283510 */   // Label 5330: @283510
     /*  283510 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283573), // Rule ID 8666 //
     /*  283515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283571 */     GIR_RootConstrainSelectedInstOperands,
     /*  283572 */     // GIR_Coverage, 8666,
     /*  283572 */     GIR_EraseRootFromParent_Done,
     /*  283573 */   // Label 5331: @283573
     /*  283573 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283636), // Rule ID 8667 //
     /*  283578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283617 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283634 */     GIR_RootConstrainSelectedInstOperands,
     /*  283635 */     // GIR_Coverage, 8667,
     /*  283635 */     GIR_EraseRootFromParent_Done,
     /*  283636 */   // Label 5332: @283636
     /*  283636 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283699), // Rule ID 8670 //
     /*  283641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283697 */     GIR_RootConstrainSelectedInstOperands,
     /*  283698 */     // GIR_Coverage, 8670,
     /*  283698 */     GIR_EraseRootFromParent_Done,
     /*  283699 */   // Label 5333: @283699
     /*  283699 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283762), // Rule ID 8671 //
     /*  283704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283760 */     GIR_RootConstrainSelectedInstOperands,
     /*  283761 */     // GIR_Coverage, 8671,
     /*  283761 */     GIR_EraseRootFromParent_Done,
     /*  283762 */   // Label 5334: @283762
     /*  283762 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283825), // Rule ID 8674 //
     /*  283767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283823 */     GIR_RootConstrainSelectedInstOperands,
     /*  283824 */     // GIR_Coverage, 8674,
     /*  283824 */     GIR_EraseRootFromParent_Done,
     /*  283825 */   // Label 5335: @283825
     /*  283825 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(283888), // Rule ID 8675 //
     /*  283830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283869 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283886 */     GIR_RootConstrainSelectedInstOperands,
     /*  283887 */     // GIR_Coverage, 8675,
     /*  283887 */     GIR_EraseRootFromParent_Done,
     /*  283888 */   // Label 5336: @283888
     /*  283888 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(283951), // Rule ID 8678 //
     /*  283893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283949 */     GIR_RootConstrainSelectedInstOperands,
     /*  283950 */     // GIR_Coverage, 8678,
     /*  283950 */     GIR_EraseRootFromParent_Done,
     /*  283951 */   // Label 5337: @283951
     /*  283951 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284014), // Rule ID 8679 //
     /*  283956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283995 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284012 */     GIR_RootConstrainSelectedInstOperands,
     /*  284013 */     // GIR_Coverage, 8679,
     /*  284013 */     GIR_EraseRootFromParent_Done,
     /*  284014 */   // Label 5338: @284014
     /*  284014 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284077), // Rule ID 8682 //
     /*  284019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284058 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284075 */     GIR_RootConstrainSelectedInstOperands,
     /*  284076 */     // GIR_Coverage, 8682,
     /*  284076 */     GIR_EraseRootFromParent_Done,
     /*  284077 */   // Label 5339: @284077
     /*  284077 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284140), // Rule ID 8683 //
     /*  284082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284121 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284138 */     GIR_RootConstrainSelectedInstOperands,
     /*  284139 */     // GIR_Coverage, 8683,
     /*  284139 */     GIR_EraseRootFromParent_Done,
     /*  284140 */   // Label 5340: @284140
     /*  284140 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284203), // Rule ID 8686 //
     /*  284145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284201 */     GIR_RootConstrainSelectedInstOperands,
     /*  284202 */     // GIR_Coverage, 8686,
     /*  284202 */     GIR_EraseRootFromParent_Done,
     /*  284203 */   // Label 5341: @284203
     /*  284203 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284266), // Rule ID 8687 //
     /*  284208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284264 */     GIR_RootConstrainSelectedInstOperands,
     /*  284265 */     // GIR_Coverage, 8687,
     /*  284265 */     GIR_EraseRootFromParent_Done,
     /*  284266 */   // Label 5342: @284266
     /*  284266 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284329), // Rule ID 8690 //
     /*  284271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  284285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284327 */     GIR_RootConstrainSelectedInstOperands,
     /*  284328 */     // GIR_Coverage, 8690,
     /*  284328 */     GIR_EraseRootFromParent_Done,
     /*  284329 */   // Label 5343: @284329
     /*  284329 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284392), // Rule ID 8691 //
     /*  284334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  284348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284373 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284390 */     GIR_RootConstrainSelectedInstOperands,
     /*  284391 */     // GIR_Coverage, 8691,
     /*  284391 */     GIR_EraseRootFromParent_Done,
     /*  284392 */   // Label 5344: @284392
     /*  284392 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284455), // Rule ID 8694 //
     /*  284397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284436 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284453 */     GIR_RootConstrainSelectedInstOperands,
     /*  284454 */     // GIR_Coverage, 8694,
     /*  284454 */     GIR_EraseRootFromParent_Done,
     /*  284455 */   // Label 5345: @284455
     /*  284455 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284518), // Rule ID 8695 //
     /*  284460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284499 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284516 */     GIR_RootConstrainSelectedInstOperands,
     /*  284517 */     // GIR_Coverage, 8695,
     /*  284517 */     GIR_EraseRootFromParent_Done,
     /*  284518 */   // Label 5346: @284518
     /*  284518 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284581), // Rule ID 8698 //
     /*  284523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284562 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284579 */     GIR_RootConstrainSelectedInstOperands,
     /*  284580 */     // GIR_Coverage, 8698,
     /*  284580 */     GIR_EraseRootFromParent_Done,
     /*  284581 */   // Label 5347: @284581
     /*  284581 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284644), // Rule ID 8699 //
     /*  284586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284625 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284642 */     GIR_RootConstrainSelectedInstOperands,
     /*  284643 */     // GIR_Coverage, 8699,
     /*  284643 */     GIR_EraseRootFromParent_Done,
     /*  284644 */   // Label 5348: @284644
     /*  284644 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284707), // Rule ID 8702 //
     /*  284649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284705 */     GIR_RootConstrainSelectedInstOperands,
     /*  284706 */     // GIR_Coverage, 8702,
     /*  284706 */     GIR_EraseRootFromParent_Done,
     /*  284707 */   // Label 5349: @284707
     /*  284707 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284770), // Rule ID 8703 //
     /*  284712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284751 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284768 */     GIR_RootConstrainSelectedInstOperands,
     /*  284769 */     // GIR_Coverage, 8703,
     /*  284769 */     GIR_EraseRootFromParent_Done,
     /*  284770 */   // Label 5350: @284770
     /*  284770 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284833), // Rule ID 8706 //
     /*  284775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284831 */     GIR_RootConstrainSelectedInstOperands,
     /*  284832 */     // GIR_Coverage, 8706,
     /*  284832 */     GIR_EraseRootFromParent_Done,
     /*  284833 */   // Label 5351: @284833
     /*  284833 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(284896), // Rule ID 8707 //
     /*  284838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284894 */     GIR_RootConstrainSelectedInstOperands,
     /*  284895 */     // GIR_Coverage, 8707,
     /*  284895 */     GIR_EraseRootFromParent_Done,
     /*  284896 */   // Label 5352: @284896
     /*  284896 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(284959), // Rule ID 8710 //
     /*  284901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284957 */     GIR_RootConstrainSelectedInstOperands,
     /*  284958 */     // GIR_Coverage, 8710,
     /*  284958 */     GIR_EraseRootFromParent_Done,
     /*  284959 */   // Label 5353: @284959
     /*  284959 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285022), // Rule ID 8711 //
     /*  284964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285003 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285020 */     GIR_RootConstrainSelectedInstOperands,
     /*  285021 */     // GIR_Coverage, 8711,
     /*  285021 */     GIR_EraseRootFromParent_Done,
     /*  285022 */   // Label 5354: @285022
     /*  285022 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285085), // Rule ID 8714 //
     /*  285027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285066 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285083 */     GIR_RootConstrainSelectedInstOperands,
     /*  285084 */     // GIR_Coverage, 8714,
     /*  285084 */     GIR_EraseRootFromParent_Done,
     /*  285085 */   // Label 5355: @285085
     /*  285085 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285148), // Rule ID 8715 //
     /*  285090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285129 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285146 */     GIR_RootConstrainSelectedInstOperands,
     /*  285147 */     // GIR_Coverage, 8715,
     /*  285147 */     GIR_EraseRootFromParent_Done,
     /*  285148 */   // Label 5356: @285148
     /*  285148 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285211), // Rule ID 8718 //
     /*  285153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285209 */     GIR_RootConstrainSelectedInstOperands,
     /*  285210 */     // GIR_Coverage, 8718,
     /*  285210 */     GIR_EraseRootFromParent_Done,
     /*  285211 */   // Label 5357: @285211
     /*  285211 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285274), // Rule ID 8719 //
     /*  285216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285255 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285272 */     GIR_RootConstrainSelectedInstOperands,
     /*  285273 */     // GIR_Coverage, 8719,
     /*  285273 */     GIR_EraseRootFromParent_Done,
     /*  285274 */   // Label 5358: @285274
     /*  285274 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285337), // Rule ID 8722 //
     /*  285279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  285293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285335 */     GIR_RootConstrainSelectedInstOperands,
     /*  285336 */     // GIR_Coverage, 8722,
     /*  285336 */     GIR_EraseRootFromParent_Done,
     /*  285337 */   // Label 5359: @285337
     /*  285337 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285400), // Rule ID 8723 //
     /*  285342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  285356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285381 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285398 */     GIR_RootConstrainSelectedInstOperands,
     /*  285399 */     // GIR_Coverage, 8723,
     /*  285399 */     GIR_EraseRootFromParent_Done,
     /*  285400 */   // Label 5360: @285400
     /*  285400 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285463), // Rule ID 8726 //
     /*  285405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285461 */     GIR_RootConstrainSelectedInstOperands,
     /*  285462 */     // GIR_Coverage, 8726,
     /*  285462 */     GIR_EraseRootFromParent_Done,
     /*  285463 */   // Label 5361: @285463
     /*  285463 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285526), // Rule ID 8727 //
     /*  285468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285507 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285524 */     GIR_RootConstrainSelectedInstOperands,
     /*  285525 */     // GIR_Coverage, 8727,
     /*  285525 */     GIR_EraseRootFromParent_Done,
     /*  285526 */   // Label 5362: @285526
     /*  285526 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285589), // Rule ID 8730 //
     /*  285531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285570 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285587 */     GIR_RootConstrainSelectedInstOperands,
     /*  285588 */     // GIR_Coverage, 8730,
     /*  285588 */     GIR_EraseRootFromParent_Done,
     /*  285589 */   // Label 5363: @285589
     /*  285589 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285652), // Rule ID 8731 //
     /*  285594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285633 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285650 */     GIR_RootConstrainSelectedInstOperands,
     /*  285651 */     // GIR_Coverage, 8731,
     /*  285651 */     GIR_EraseRootFromParent_Done,
     /*  285652 */   // Label 5364: @285652
     /*  285652 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285715), // Rule ID 8734 //
     /*  285657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285713 */     GIR_RootConstrainSelectedInstOperands,
     /*  285714 */     // GIR_Coverage, 8734,
     /*  285714 */     GIR_EraseRootFromParent_Done,
     /*  285715 */   // Label 5365: @285715
     /*  285715 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285778), // Rule ID 8735 //
     /*  285720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285759 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285776 */     GIR_RootConstrainSelectedInstOperands,
     /*  285777 */     // GIR_Coverage, 8735,
     /*  285777 */     GIR_EraseRootFromParent_Done,
     /*  285778 */   // Label 5366: @285778
     /*  285778 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285841), // Rule ID 8826 //
     /*  285783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285839 */     GIR_RootConstrainSelectedInstOperands,
     /*  285840 */     // GIR_Coverage, 8826,
     /*  285840 */     GIR_EraseRootFromParent_Done,
     /*  285841 */   // Label 5367: @285841
     /*  285841 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(285904), // Rule ID 8827 //
     /*  285846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285885 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285902 */     GIR_RootConstrainSelectedInstOperands,
     /*  285903 */     // GIR_Coverage, 8827,
     /*  285903 */     GIR_EraseRootFromParent_Done,
     /*  285904 */   // Label 5368: @285904
     /*  285904 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(285967), // Rule ID 8830 //
     /*  285909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285965 */     GIR_RootConstrainSelectedInstOperands,
     /*  285966 */     // GIR_Coverage, 8830,
     /*  285966 */     GIR_EraseRootFromParent_Done,
     /*  285967 */   // Label 5369: @285967
     /*  285967 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286030), // Rule ID 8831 //
     /*  285972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286011 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286028 */     GIR_RootConstrainSelectedInstOperands,
     /*  286029 */     // GIR_Coverage, 8831,
     /*  286029 */     GIR_EraseRootFromParent_Done,
     /*  286030 */   // Label 5370: @286030
     /*  286030 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286093), // Rule ID 8834 //
     /*  286035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286091 */     GIR_RootConstrainSelectedInstOperands,
     /*  286092 */     // GIR_Coverage, 8834,
     /*  286092 */     GIR_EraseRootFromParent_Done,
     /*  286093 */   // Label 5371: @286093
     /*  286093 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286156), // Rule ID 8835 //
     /*  286098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286137 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286154 */     GIR_RootConstrainSelectedInstOperands,
     /*  286155 */     // GIR_Coverage, 8835,
     /*  286155 */     GIR_EraseRootFromParent_Done,
     /*  286156 */   // Label 5372: @286156
     /*  286156 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286219), // Rule ID 8838 //
     /*  286161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286217 */     GIR_RootConstrainSelectedInstOperands,
     /*  286218 */     // GIR_Coverage, 8838,
     /*  286218 */     GIR_EraseRootFromParent_Done,
     /*  286219 */   // Label 5373: @286219
     /*  286219 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286282), // Rule ID 8839 //
     /*  286224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286263 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286280 */     GIR_RootConstrainSelectedInstOperands,
     /*  286281 */     // GIR_Coverage, 8839,
     /*  286281 */     GIR_EraseRootFromParent_Done,
     /*  286282 */   // Label 5374: @286282
     /*  286282 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286345), // Rule ID 8842 //
     /*  286287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  286301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  286304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286343 */     GIR_RootConstrainSelectedInstOperands,
     /*  286344 */     // GIR_Coverage, 8842,
     /*  286344 */     GIR_EraseRootFromParent_Done,
     /*  286345 */   // Label 5375: @286345
     /*  286345 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286408), // Rule ID 8843 //
     /*  286350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  286364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  286367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286406 */     GIR_RootConstrainSelectedInstOperands,
     /*  286407 */     // GIR_Coverage, 8843,
     /*  286407 */     GIR_EraseRootFromParent_Done,
     /*  286408 */   // Label 5376: @286408
     /*  286408 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286471), // Rule ID 8846 //
     /*  286413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286469 */     GIR_RootConstrainSelectedInstOperands,
     /*  286470 */     // GIR_Coverage, 8846,
     /*  286470 */     GIR_EraseRootFromParent_Done,
     /*  286471 */   // Label 5377: @286471
     /*  286471 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286534), // Rule ID 8847 //
     /*  286476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286515 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286532 */     GIR_RootConstrainSelectedInstOperands,
     /*  286533 */     // GIR_Coverage, 8847,
     /*  286533 */     GIR_EraseRootFromParent_Done,
     /*  286534 */   // Label 5378: @286534
     /*  286534 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286597), // Rule ID 8850 //
     /*  286539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286595 */     GIR_RootConstrainSelectedInstOperands,
     /*  286596 */     // GIR_Coverage, 8850,
     /*  286596 */     GIR_EraseRootFromParent_Done,
     /*  286597 */   // Label 5379: @286597
     /*  286597 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286660), // Rule ID 8851 //
     /*  286602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286641 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286658 */     GIR_RootConstrainSelectedInstOperands,
     /*  286659 */     // GIR_Coverage, 8851,
     /*  286659 */     GIR_EraseRootFromParent_Done,
     /*  286660 */   // Label 5380: @286660
     /*  286660 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286723), // Rule ID 8854 //
     /*  286665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286721 */     GIR_RootConstrainSelectedInstOperands,
     /*  286722 */     // GIR_Coverage, 8854,
     /*  286722 */     GIR_EraseRootFromParent_Done,
     /*  286723 */   // Label 5381: @286723
     /*  286723 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286786), // Rule ID 8855 //
     /*  286728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286784 */     GIR_RootConstrainSelectedInstOperands,
     /*  286785 */     // GIR_Coverage, 8855,
     /*  286785 */     GIR_EraseRootFromParent_Done,
     /*  286786 */   // Label 5382: @286786
     /*  286786 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286849), // Rule ID 8858 //
     /*  286791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286847 */     GIR_RootConstrainSelectedInstOperands,
     /*  286848 */     // GIR_Coverage, 8858,
     /*  286848 */     GIR_EraseRootFromParent_Done,
     /*  286849 */   // Label 5383: @286849
     /*  286849 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(286912), // Rule ID 8859 //
     /*  286854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286910 */     GIR_RootConstrainSelectedInstOperands,
     /*  286911 */     // GIR_Coverage, 8859,
     /*  286911 */     GIR_EraseRootFromParent_Done,
     /*  286912 */   // Label 5384: @286912
     /*  286912 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(286975), // Rule ID 8862 //
     /*  286917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286973 */     GIR_RootConstrainSelectedInstOperands,
     /*  286974 */     // GIR_Coverage, 8862,
     /*  286974 */     GIR_EraseRootFromParent_Done,
     /*  286975 */   // Label 5385: @286975
     /*  286975 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287038), // Rule ID 8863 //
     /*  286980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287036 */     GIR_RootConstrainSelectedInstOperands,
     /*  287037 */     // GIR_Coverage, 8863,
     /*  287037 */     GIR_EraseRootFromParent_Done,
     /*  287038 */   // Label 5386: @287038
     /*  287038 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287101), // Rule ID 8866 //
     /*  287043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287099 */     GIR_RootConstrainSelectedInstOperands,
     /*  287100 */     // GIR_Coverage, 8866,
     /*  287100 */     GIR_EraseRootFromParent_Done,
     /*  287101 */   // Label 5387: @287101
     /*  287101 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287164), // Rule ID 8867 //
     /*  287106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287145 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287162 */     GIR_RootConstrainSelectedInstOperands,
     /*  287163 */     // GIR_Coverage, 8867,
     /*  287163 */     GIR_EraseRootFromParent_Done,
     /*  287164 */   // Label 5388: @287164
     /*  287164 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287227), // Rule ID 8870 //
     /*  287169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287225 */     GIR_RootConstrainSelectedInstOperands,
     /*  287226 */     // GIR_Coverage, 8870,
     /*  287226 */     GIR_EraseRootFromParent_Done,
     /*  287227 */   // Label 5389: @287227
     /*  287227 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287290), // Rule ID 8871 //
     /*  287232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287271 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287288 */     GIR_RootConstrainSelectedInstOperands,
     /*  287289 */     // GIR_Coverage, 8871,
     /*  287289 */     GIR_EraseRootFromParent_Done,
     /*  287290 */   // Label 5390: @287290
     /*  287290 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287353), // Rule ID 8874 //
     /*  287295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  287306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  287309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  287312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287334 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287351 */     GIR_RootConstrainSelectedInstOperands,
     /*  287352 */     // GIR_Coverage, 8874,
     /*  287352 */     GIR_EraseRootFromParent_Done,
     /*  287353 */   // Label 5391: @287353
     /*  287353 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287416), // Rule ID 8875 //
     /*  287358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  287369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  287372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  287375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287397 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287414 */     GIR_RootConstrainSelectedInstOperands,
     /*  287415 */     // GIR_Coverage, 8875,
     /*  287415 */     GIR_EraseRootFromParent_Done,
     /*  287416 */   // Label 5392: @287416
     /*  287416 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287479), // Rule ID 8878 //
     /*  287421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287477 */     GIR_RootConstrainSelectedInstOperands,
     /*  287478 */     // GIR_Coverage, 8878,
     /*  287478 */     GIR_EraseRootFromParent_Done,
     /*  287479 */   // Label 5393: @287479
     /*  287479 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287542), // Rule ID 8879 //
     /*  287484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287540 */     GIR_RootConstrainSelectedInstOperands,
     /*  287541 */     // GIR_Coverage, 8879,
     /*  287541 */     GIR_EraseRootFromParent_Done,
     /*  287542 */   // Label 5394: @287542
     /*  287542 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287605), // Rule ID 8882 //
     /*  287547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287586 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287603 */     GIR_RootConstrainSelectedInstOperands,
     /*  287604 */     // GIR_Coverage, 8882,
     /*  287604 */     GIR_EraseRootFromParent_Done,
     /*  287605 */   // Label 5395: @287605
     /*  287605 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287668), // Rule ID 8883 //
     /*  287610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287649 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287666 */     GIR_RootConstrainSelectedInstOperands,
     /*  287667 */     // GIR_Coverage, 8883,
     /*  287667 */     GIR_EraseRootFromParent_Done,
     /*  287668 */   // Label 5396: @287668
     /*  287668 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287731), // Rule ID 8886 //
     /*  287673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287729 */     GIR_RootConstrainSelectedInstOperands,
     /*  287730 */     // GIR_Coverage, 8886,
     /*  287730 */     GIR_EraseRootFromParent_Done,
     /*  287731 */   // Label 5397: @287731
     /*  287731 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287794), // Rule ID 8887 //
     /*  287736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287775 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287792 */     GIR_RootConstrainSelectedInstOperands,
     /*  287793 */     // GIR_Coverage, 8887,
     /*  287793 */     GIR_EraseRootFromParent_Done,
     /*  287794 */   // Label 5398: @287794
     /*  287794 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(287857), // Rule ID 8890 //
     /*  287799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287855 */     GIR_RootConstrainSelectedInstOperands,
     /*  287856 */     // GIR_Coverage, 8890,
     /*  287856 */     GIR_EraseRootFromParent_Done,
     /*  287857 */   // Label 5399: @287857
     /*  287857 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(287920), // Rule ID 8891 //
     /*  287862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287901 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287918 */     GIR_RootConstrainSelectedInstOperands,
     /*  287919 */     // GIR_Coverage, 8891,
     /*  287919 */     GIR_EraseRootFromParent_Done,
     /*  287920 */   // Label 5400: @287920
     /*  287920 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(287983), // Rule ID 8894 //
     /*  287925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287981 */     GIR_RootConstrainSelectedInstOperands,
     /*  287982 */     // GIR_Coverage, 8894,
     /*  287982 */     GIR_EraseRootFromParent_Done,
     /*  287983 */   // Label 5401: @287983
     /*  287983 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288046), // Rule ID 8895 //
     /*  287988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  288002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  288005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288044 */     GIR_RootConstrainSelectedInstOperands,
     /*  288045 */     // GIR_Coverage, 8895,
     /*  288045 */     GIR_EraseRootFromParent_Done,
     /*  288046 */   // Label 5402: @288046
     /*  288046 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288109), // Rule ID 8898 //
     /*  288051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288090 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288107 */     GIR_RootConstrainSelectedInstOperands,
     /*  288108 */     // GIR_Coverage, 8898,
     /*  288108 */     GIR_EraseRootFromParent_Done,
     /*  288109 */   // Label 5403: @288109
     /*  288109 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288172), // Rule ID 8899 //
     /*  288114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288153 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288170 */     GIR_RootConstrainSelectedInstOperands,
     /*  288171 */     // GIR_Coverage, 8899,
     /*  288171 */     GIR_EraseRootFromParent_Done,
     /*  288172 */   // Label 5404: @288172
     /*  288172 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288235), // Rule ID 8902 //
     /*  288177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288233 */     GIR_RootConstrainSelectedInstOperands,
     /*  288234 */     // GIR_Coverage, 8902,
     /*  288234 */     GIR_EraseRootFromParent_Done,
     /*  288235 */   // Label 5405: @288235
     /*  288235 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288298), // Rule ID 8903 //
     /*  288240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288279 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288296 */     GIR_RootConstrainSelectedInstOperands,
     /*  288297 */     // GIR_Coverage, 8903,
     /*  288297 */     GIR_EraseRootFromParent_Done,
     /*  288298 */   // Label 5406: @288298
     /*  288298 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288361), // Rule ID 8906 //
     /*  288303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288342 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288359 */     GIR_RootConstrainSelectedInstOperands,
     /*  288360 */     // GIR_Coverage, 8906,
     /*  288360 */     GIR_EraseRootFromParent_Done,
     /*  288361 */   // Label 5407: @288361
     /*  288361 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288424), // Rule ID 8907 //
     /*  288366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288405 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288422 */     GIR_RootConstrainSelectedInstOperands,
     /*  288423 */     // GIR_Coverage, 8907,
     /*  288423 */     GIR_EraseRootFromParent_Done,
     /*  288424 */   // Label 5408: @288424
     /*  288424 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288487), // Rule ID 8910 //
     /*  288429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288485 */     GIR_RootConstrainSelectedInstOperands,
     /*  288486 */     // GIR_Coverage, 8910,
     /*  288486 */     GIR_EraseRootFromParent_Done,
     /*  288487 */   // Label 5409: @288487
     /*  288487 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288550), // Rule ID 8911 //
     /*  288492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288531 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288548 */     GIR_RootConstrainSelectedInstOperands,
     /*  288549 */     // GIR_Coverage, 8911,
     /*  288549 */     GIR_EraseRootFromParent_Done,
     /*  288550 */   // Label 5410: @288550
     /*  288550 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288613), // Rule ID 8914 //
     /*  288555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288611 */     GIR_RootConstrainSelectedInstOperands,
     /*  288612 */     // GIR_Coverage, 8914,
     /*  288612 */     GIR_EraseRootFromParent_Done,
     /*  288613 */   // Label 5411: @288613
     /*  288613 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288676), // Rule ID 8915 //
     /*  288618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288657 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288674 */     GIR_RootConstrainSelectedInstOperands,
     /*  288675 */     // GIR_Coverage, 8915,
     /*  288675 */     GIR_EraseRootFromParent_Done,
     /*  288676 */   // Label 5412: @288676
     /*  288676 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288739), // Rule ID 8918 //
     /*  288681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288737 */     GIR_RootConstrainSelectedInstOperands,
     /*  288738 */     // GIR_Coverage, 8918,
     /*  288738 */     GIR_EraseRootFromParent_Done,
     /*  288739 */   // Label 5413: @288739
     /*  288739 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288802), // Rule ID 8919 //
     /*  288744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288783 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288800 */     GIR_RootConstrainSelectedInstOperands,
     /*  288801 */     // GIR_Coverage, 8919,
     /*  288801 */     GIR_EraseRootFromParent_Done,
     /*  288802 */   // Label 5414: @288802
     /*  288802 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(288865), // Rule ID 8922 //
     /*  288807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288863 */     GIR_RootConstrainSelectedInstOperands,
     /*  288864 */     // GIR_Coverage, 8922,
     /*  288864 */     GIR_EraseRootFromParent_Done,
     /*  288865 */   // Label 5415: @288865
     /*  288865 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(288928), // Rule ID 8923 //
     /*  288870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288926 */     GIR_RootConstrainSelectedInstOperands,
     /*  288927 */     // GIR_Coverage, 8923,
     /*  288927 */     GIR_EraseRootFromParent_Done,
     /*  288928 */   // Label 5416: @288928
     /*  288928 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(288991), // Rule ID 8926 //
     /*  288933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288989 */     GIR_RootConstrainSelectedInstOperands,
     /*  288990 */     // GIR_Coverage, 8926,
     /*  288990 */     GIR_EraseRootFromParent_Done,
     /*  288991 */   // Label 5417: @288991
     /*  288991 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289054), // Rule ID 8927 //
     /*  288996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  289010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289052 */     GIR_RootConstrainSelectedInstOperands,
     /*  289053 */     // GIR_Coverage, 8927,
     /*  289053 */     GIR_EraseRootFromParent_Done,
     /*  289054 */   // Label 5418: @289054
     /*  289054 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289117), // Rule ID 8930 //
     /*  289059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289115 */     GIR_RootConstrainSelectedInstOperands,
     /*  289116 */     // GIR_Coverage, 8930,
     /*  289116 */     GIR_EraseRootFromParent_Done,
     /*  289117 */   // Label 5419: @289117
     /*  289117 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289180), // Rule ID 8931 //
     /*  289122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289178 */     GIR_RootConstrainSelectedInstOperands,
     /*  289179 */     // GIR_Coverage, 8931,
     /*  289179 */     GIR_EraseRootFromParent_Done,
     /*  289180 */   // Label 5420: @289180
     /*  289180 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289243), // Rule ID 8934 //
     /*  289185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289241 */     GIR_RootConstrainSelectedInstOperands,
     /*  289242 */     // GIR_Coverage, 8934,
     /*  289242 */     GIR_EraseRootFromParent_Done,
     /*  289243 */   // Label 5421: @289243
     /*  289243 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289306), // Rule ID 8935 //
     /*  289248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289287 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289304 */     GIR_RootConstrainSelectedInstOperands,
     /*  289305 */     // GIR_Coverage, 8935,
     /*  289305 */     GIR_EraseRootFromParent_Done,
     /*  289306 */   // Label 5422: @289306
     /*  289306 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289369), // Rule ID 8938 //
     /*  289311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289350 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289367 */     GIR_RootConstrainSelectedInstOperands,
     /*  289368 */     // GIR_Coverage, 8938,
     /*  289368 */     GIR_EraseRootFromParent_Done,
     /*  289369 */   // Label 5423: @289369
     /*  289369 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289432), // Rule ID 8939 //
     /*  289374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289413 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289430 */     GIR_RootConstrainSelectedInstOperands,
     /*  289431 */     // GIR_Coverage, 8939,
     /*  289431 */     GIR_EraseRootFromParent_Done,
     /*  289432 */   // Label 5424: @289432
     /*  289432 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289495), // Rule ID 8942 //
     /*  289437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289493 */     GIR_RootConstrainSelectedInstOperands,
     /*  289494 */     // GIR_Coverage, 8942,
     /*  289494 */     GIR_EraseRootFromParent_Done,
     /*  289495 */   // Label 5425: @289495
     /*  289495 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289558), // Rule ID 8943 //
     /*  289500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289556 */     GIR_RootConstrainSelectedInstOperands,
     /*  289557 */     // GIR_Coverage, 8943,
     /*  289557 */     GIR_EraseRootFromParent_Done,
     /*  289558 */   // Label 5426: @289558
     /*  289558 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289621), // Rule ID 8946 //
     /*  289563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289619 */     GIR_RootConstrainSelectedInstOperands,
     /*  289620 */     // GIR_Coverage, 8946,
     /*  289620 */     GIR_EraseRootFromParent_Done,
     /*  289621 */   // Label 5427: @289621
     /*  289621 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289684), // Rule ID 8947 //
     /*  289626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289665 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289682 */     GIR_RootConstrainSelectedInstOperands,
     /*  289683 */     // GIR_Coverage, 8947,
     /*  289683 */     GIR_EraseRootFromParent_Done,
     /*  289684 */   // Label 5428: @289684
     /*  289684 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289747), // Rule ID 8950 //
     /*  289689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289745 */     GIR_RootConstrainSelectedInstOperands,
     /*  289746 */     // GIR_Coverage, 8950,
     /*  289746 */     GIR_EraseRootFromParent_Done,
     /*  289747 */   // Label 5429: @289747
     /*  289747 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289810), // Rule ID 8951 //
     /*  289752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289808 */     GIR_RootConstrainSelectedInstOperands,
     /*  289809 */     // GIR_Coverage, 8951,
     /*  289809 */     GIR_EraseRootFromParent_Done,
     /*  289810 */   // Label 5430: @289810
     /*  289810 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(289873), // Rule ID 8954 //
     /*  289815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289871 */     GIR_RootConstrainSelectedInstOperands,
     /*  289872 */     // GIR_Coverage, 8954,
     /*  289872 */     GIR_EraseRootFromParent_Done,
     /*  289873 */   // Label 5431: @289873
     /*  289873 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(289936), // Rule ID 8955 //
     /*  289878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289917 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289934 */     GIR_RootConstrainSelectedInstOperands,
     /*  289935 */     // GIR_Coverage, 8955,
     /*  289935 */     GIR_EraseRootFromParent_Done,
     /*  289936 */   // Label 5432: @289936
     /*  289936 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(289999), // Rule ID 8958 //
     /*  289941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289997 */     GIR_RootConstrainSelectedInstOperands,
     /*  289998 */     // GIR_Coverage, 8958,
     /*  289998 */     GIR_EraseRootFromParent_Done,
     /*  289999 */   // Label 5433: @289999
     /*  289999 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290062), // Rule ID 8959 //
     /*  290004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  290018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290043 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290060 */     GIR_RootConstrainSelectedInstOperands,
     /*  290061 */     // GIR_Coverage, 8959,
     /*  290061 */     GIR_EraseRootFromParent_Done,
     /*  290062 */   // Label 5434: @290062
     /*  290062 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290125), // Rule ID 8962 //
     /*  290067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290106 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290123 */     GIR_RootConstrainSelectedInstOperands,
     /*  290124 */     // GIR_Coverage, 8962,
     /*  290124 */     GIR_EraseRootFromParent_Done,
     /*  290125 */   // Label 5435: @290125
     /*  290125 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290188), // Rule ID 8963 //
     /*  290130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290169 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290186 */     GIR_RootConstrainSelectedInstOperands,
     /*  290187 */     // GIR_Coverage, 8963,
     /*  290187 */     GIR_EraseRootFromParent_Done,
     /*  290188 */   // Label 5436: @290188
     /*  290188 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290251), // Rule ID 8966 //
     /*  290193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290249 */     GIR_RootConstrainSelectedInstOperands,
     /*  290250 */     // GIR_Coverage, 8966,
     /*  290250 */     GIR_EraseRootFromParent_Done,
     /*  290251 */   // Label 5437: @290251
     /*  290251 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290314), // Rule ID 8967 //
     /*  290256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290295 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290312 */     GIR_RootConstrainSelectedInstOperands,
     /*  290313 */     // GIR_Coverage, 8967,
     /*  290313 */     GIR_EraseRootFromParent_Done,
     /*  290314 */   // Label 5438: @290314
     /*  290314 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290377), // Rule ID 8970 //
     /*  290319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290358 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290375 */     GIR_RootConstrainSelectedInstOperands,
     /*  290376 */     // GIR_Coverage, 8970,
     /*  290376 */     GIR_EraseRootFromParent_Done,
     /*  290377 */   // Label 5439: @290377
     /*  290377 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290440), // Rule ID 8971 //
     /*  290382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290438 */     GIR_RootConstrainSelectedInstOperands,
     /*  290439 */     // GIR_Coverage, 8971,
     /*  290439 */     GIR_EraseRootFromParent_Done,
     /*  290440 */   // Label 5440: @290440
     /*  290440 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290503), // Rule ID 8974 //
     /*  290445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290501 */     GIR_RootConstrainSelectedInstOperands,
     /*  290502 */     // GIR_Coverage, 8974,
     /*  290502 */     GIR_EraseRootFromParent_Done,
     /*  290503 */   // Label 5441: @290503
     /*  290503 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290566), // Rule ID 8975 //
     /*  290508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290547 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290564 */     GIR_RootConstrainSelectedInstOperands,
     /*  290565 */     // GIR_Coverage, 8975,
     /*  290565 */     GIR_EraseRootFromParent_Done,
     /*  290566 */   // Label 5442: @290566
     /*  290566 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290629), // Rule ID 8978 //
     /*  290571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290627 */     GIR_RootConstrainSelectedInstOperands,
     /*  290628 */     // GIR_Coverage, 8978,
     /*  290628 */     GIR_EraseRootFromParent_Done,
     /*  290629 */   // Label 5443: @290629
     /*  290629 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290692), // Rule ID 8979 //
     /*  290634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290690 */     GIR_RootConstrainSelectedInstOperands,
     /*  290691 */     // GIR_Coverage, 8979,
     /*  290691 */     GIR_EraseRootFromParent_Done,
     /*  290692 */   // Label 5444: @290692
     /*  290692 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290755), // Rule ID 8982 //
     /*  290697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290753 */     GIR_RootConstrainSelectedInstOperands,
     /*  290754 */     // GIR_Coverage, 8982,
     /*  290754 */     GIR_EraseRootFromParent_Done,
     /*  290755 */   // Label 5445: @290755
     /*  290755 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290818), // Rule ID 8983 //
     /*  290760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290799 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290816 */     GIR_RootConstrainSelectedInstOperands,
     /*  290817 */     // GIR_Coverage, 8983,
     /*  290817 */     GIR_EraseRootFromParent_Done,
     /*  290818 */   // Label 5446: @290818
     /*  290818 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(290881), // Rule ID 8986 //
     /*  290823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290879 */     GIR_RootConstrainSelectedInstOperands,
     /*  290880 */     // GIR_Coverage, 8986,
     /*  290880 */     GIR_EraseRootFromParent_Done,
     /*  290881 */   // Label 5447: @290881
     /*  290881 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(290944), // Rule ID 8987 //
     /*  290886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290925 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290942 */     GIR_RootConstrainSelectedInstOperands,
     /*  290943 */     // GIR_Coverage, 8987,
     /*  290943 */     GIR_EraseRootFromParent_Done,
     /*  290944 */   // Label 5448: @290944
     /*  290944 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291007), // Rule ID 8990 //
     /*  290949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291005 */     GIR_RootConstrainSelectedInstOperands,
     /*  291006 */     // GIR_Coverage, 8990,
     /*  291006 */     GIR_EraseRootFromParent_Done,
     /*  291007 */   // Label 5449: @291007
     /*  291007 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291070), // Rule ID 8991 //
     /*  291012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  291026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291051 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291068 */     GIR_RootConstrainSelectedInstOperands,
     /*  291069 */     // GIR_Coverage, 8991,
     /*  291069 */     GIR_EraseRootFromParent_Done,
     /*  291070 */   // Label 5450: @291070
     /*  291070 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291133), // Rule ID 8994 //
     /*  291075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291114 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291131 */     GIR_RootConstrainSelectedInstOperands,
     /*  291132 */     // GIR_Coverage, 8994,
     /*  291132 */     GIR_EraseRootFromParent_Done,
     /*  291133 */   // Label 5451: @291133
     /*  291133 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291196), // Rule ID 8995 //
     /*  291138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291194 */     GIR_RootConstrainSelectedInstOperands,
     /*  291195 */     // GIR_Coverage, 8995,
     /*  291195 */     GIR_EraseRootFromParent_Done,
     /*  291196 */   // Label 5452: @291196
     /*  291196 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291259), // Rule ID 8998 //
     /*  291201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291257 */     GIR_RootConstrainSelectedInstOperands,
     /*  291258 */     // GIR_Coverage, 8998,
     /*  291258 */     GIR_EraseRootFromParent_Done,
     /*  291259 */   // Label 5453: @291259
     /*  291259 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291322), // Rule ID 8999 //
     /*  291264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291303 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291320 */     GIR_RootConstrainSelectedInstOperands,
     /*  291321 */     // GIR_Coverage, 8999,
     /*  291321 */     GIR_EraseRootFromParent_Done,
     /*  291322 */   // Label 5454: @291322
     /*  291322 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291385), // Rule ID 9090 //
     /*  291327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  291341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291383 */     GIR_RootConstrainSelectedInstOperands,
     /*  291384 */     // GIR_Coverage, 9090,
     /*  291384 */     GIR_EraseRootFromParent_Done,
     /*  291385 */   // Label 5455: @291385
     /*  291385 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291448), // Rule ID 9091 //
     /*  291390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  291404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291429 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291446 */     GIR_RootConstrainSelectedInstOperands,
     /*  291447 */     // GIR_Coverage, 9091,
     /*  291447 */     GIR_EraseRootFromParent_Done,
     /*  291448 */   // Label 5456: @291448
     /*  291448 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291511), // Rule ID 9094 //
     /*  291453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291509 */     GIR_RootConstrainSelectedInstOperands,
     /*  291510 */     // GIR_Coverage, 9094,
     /*  291510 */     GIR_EraseRootFromParent_Done,
     /*  291511 */   // Label 5457: @291511
     /*  291511 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291574), // Rule ID 9095 //
     /*  291516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291555 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291572 */     GIR_RootConstrainSelectedInstOperands,
     /*  291573 */     // GIR_Coverage, 9095,
     /*  291573 */     GIR_EraseRootFromParent_Done,
     /*  291574 */   // Label 5458: @291574
     /*  291574 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291637), // Rule ID 9098 //
     /*  291579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291635 */     GIR_RootConstrainSelectedInstOperands,
     /*  291636 */     // GIR_Coverage, 9098,
     /*  291636 */     GIR_EraseRootFromParent_Done,
     /*  291637 */   // Label 5459: @291637
     /*  291637 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291700), // Rule ID 9099 //
     /*  291642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291681 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291698 */     GIR_RootConstrainSelectedInstOperands,
     /*  291699 */     // GIR_Coverage, 9099,
     /*  291699 */     GIR_EraseRootFromParent_Done,
     /*  291700 */   // Label 5460: @291700
     /*  291700 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291763), // Rule ID 9102 //
     /*  291705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291761 */     GIR_RootConstrainSelectedInstOperands,
     /*  291762 */     // GIR_Coverage, 9102,
     /*  291762 */     GIR_EraseRootFromParent_Done,
     /*  291763 */   // Label 5461: @291763
     /*  291763 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291826), // Rule ID 9103 //
     /*  291768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291807 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291824 */     GIR_RootConstrainSelectedInstOperands,
     /*  291825 */     // GIR_Coverage, 9103,
     /*  291825 */     GIR_EraseRootFromParent_Done,
     /*  291826 */   // Label 5462: @291826
     /*  291826 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(291889), // Rule ID 9106 //
     /*  291831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291887 */     GIR_RootConstrainSelectedInstOperands,
     /*  291888 */     // GIR_Coverage, 9106,
     /*  291888 */     GIR_EraseRootFromParent_Done,
     /*  291889 */   // Label 5463: @291889
     /*  291889 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(291952), // Rule ID 9107 //
     /*  291894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291950 */     GIR_RootConstrainSelectedInstOperands,
     /*  291951 */     // GIR_Coverage, 9107,
     /*  291951 */     GIR_EraseRootFromParent_Done,
     /*  291952 */   // Label 5464: @291952
     /*  291952 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292015), // Rule ID 9110 //
     /*  291957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292013 */     GIR_RootConstrainSelectedInstOperands,
     /*  292014 */     // GIR_Coverage, 9110,
     /*  292014 */     GIR_EraseRootFromParent_Done,
     /*  292015 */   // Label 5465: @292015
     /*  292015 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292078), // Rule ID 9111 //
     /*  292020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  292034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292076 */     GIR_RootConstrainSelectedInstOperands,
     /*  292077 */     // GIR_Coverage, 9111,
     /*  292077 */     GIR_EraseRootFromParent_Done,
     /*  292078 */   // Label 5466: @292078
     /*  292078 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292141), // Rule ID 9114 //
     /*  292083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292139 */     GIR_RootConstrainSelectedInstOperands,
     /*  292140 */     // GIR_Coverage, 9114,
     /*  292140 */     GIR_EraseRootFromParent_Done,
     /*  292141 */   // Label 5467: @292141
     /*  292141 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292204), // Rule ID 9115 //
     /*  292146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292202 */     GIR_RootConstrainSelectedInstOperands,
     /*  292203 */     // GIR_Coverage, 9115,
     /*  292203 */     GIR_EraseRootFromParent_Done,
     /*  292204 */   // Label 5468: @292204
     /*  292204 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292267), // Rule ID 9118 //
     /*  292209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292265 */     GIR_RootConstrainSelectedInstOperands,
     /*  292266 */     // GIR_Coverage, 9118,
     /*  292266 */     GIR_EraseRootFromParent_Done,
     /*  292267 */   // Label 5469: @292267
     /*  292267 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292330), // Rule ID 9119 //
     /*  292272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292311 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292328 */     GIR_RootConstrainSelectedInstOperands,
     /*  292329 */     // GIR_Coverage, 9119,
     /*  292329 */     GIR_EraseRootFromParent_Done,
     /*  292330 */   // Label 5470: @292330
     /*  292330 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292393), // Rule ID 9122 //
     /*  292335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  292349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292391 */     GIR_RootConstrainSelectedInstOperands,
     /*  292392 */     // GIR_Coverage, 9122,
     /*  292392 */     GIR_EraseRootFromParent_Done,
     /*  292393 */   // Label 5471: @292393
     /*  292393 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292456), // Rule ID 9123 //
     /*  292398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  292412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292437 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292454 */     GIR_RootConstrainSelectedInstOperands,
     /*  292455 */     // GIR_Coverage, 9123,
     /*  292455 */     GIR_EraseRootFromParent_Done,
     /*  292456 */   // Label 5472: @292456
     /*  292456 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292519), // Rule ID 9126 //
     /*  292461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292517 */     GIR_RootConstrainSelectedInstOperands,
     /*  292518 */     // GIR_Coverage, 9126,
     /*  292518 */     GIR_EraseRootFromParent_Done,
     /*  292519 */   // Label 5473: @292519
     /*  292519 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292582), // Rule ID 9127 //
     /*  292524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292563 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292580 */     GIR_RootConstrainSelectedInstOperands,
     /*  292581 */     // GIR_Coverage, 9127,
     /*  292581 */     GIR_EraseRootFromParent_Done,
     /*  292582 */   // Label 5474: @292582
     /*  292582 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292645), // Rule ID 9130 //
     /*  292587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292643 */     GIR_RootConstrainSelectedInstOperands,
     /*  292644 */     // GIR_Coverage, 9130,
     /*  292644 */     GIR_EraseRootFromParent_Done,
     /*  292645 */   // Label 5475: @292645
     /*  292645 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292708), // Rule ID 9131 //
     /*  292650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292689 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292706 */     GIR_RootConstrainSelectedInstOperands,
     /*  292707 */     // GIR_Coverage, 9131,
     /*  292707 */     GIR_EraseRootFromParent_Done,
     /*  292708 */   // Label 5476: @292708
     /*  292708 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292771), // Rule ID 9134 //
     /*  292713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292752 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292769 */     GIR_RootConstrainSelectedInstOperands,
     /*  292770 */     // GIR_Coverage, 9134,
     /*  292770 */     GIR_EraseRootFromParent_Done,
     /*  292771 */   // Label 5477: @292771
     /*  292771 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292834), // Rule ID 9135 //
     /*  292776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292815 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292832 */     GIR_RootConstrainSelectedInstOperands,
     /*  292833 */     // GIR_Coverage, 9135,
     /*  292833 */     GIR_EraseRootFromParent_Done,
     /*  292834 */   // Label 5478: @292834
     /*  292834 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(292897), // Rule ID 9138 //
     /*  292839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292878 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292895 */     GIR_RootConstrainSelectedInstOperands,
     /*  292896 */     // GIR_Coverage, 9138,
     /*  292896 */     GIR_EraseRootFromParent_Done,
     /*  292897 */   // Label 5479: @292897
     /*  292897 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(292960), // Rule ID 9139 //
     /*  292902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292941 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292958 */     GIR_RootConstrainSelectedInstOperands,
     /*  292959 */     // GIR_Coverage, 9139,
     /*  292959 */     GIR_EraseRootFromParent_Done,
     /*  292960 */   // Label 5480: @292960
     /*  292960 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293023), // Rule ID 9142 //
     /*  292965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293021 */     GIR_RootConstrainSelectedInstOperands,
     /*  293022 */     // GIR_Coverage, 9142,
     /*  293022 */     GIR_EraseRootFromParent_Done,
     /*  293023 */   // Label 5481: @293023
     /*  293023 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293086), // Rule ID 9143 //
     /*  293028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  293042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293067 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293084 */     GIR_RootConstrainSelectedInstOperands,
     /*  293085 */     // GIR_Coverage, 9143,
     /*  293085 */     GIR_EraseRootFromParent_Done,
     /*  293086 */   // Label 5482: @293086
     /*  293086 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293149), // Rule ID 9146 //
     /*  293091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293130 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293147 */     GIR_RootConstrainSelectedInstOperands,
     /*  293148 */     // GIR_Coverage, 9146,
     /*  293148 */     GIR_EraseRootFromParent_Done,
     /*  293149 */   // Label 5483: @293149
     /*  293149 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293212), // Rule ID 9147 //
     /*  293154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293193 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293210 */     GIR_RootConstrainSelectedInstOperands,
     /*  293211 */     // GIR_Coverage, 9147,
     /*  293211 */     GIR_EraseRootFromParent_Done,
     /*  293212 */   // Label 5484: @293212
     /*  293212 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293275), // Rule ID 9150 //
     /*  293217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293273 */     GIR_RootConstrainSelectedInstOperands,
     /*  293274 */     // GIR_Coverage, 9150,
     /*  293274 */     GIR_EraseRootFromParent_Done,
     /*  293275 */   // Label 5485: @293275
     /*  293275 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293338), // Rule ID 9151 //
     /*  293280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293319 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293336 */     GIR_RootConstrainSelectedInstOperands,
     /*  293337 */     // GIR_Coverage, 9151,
     /*  293337 */     GIR_EraseRootFromParent_Done,
     /*  293338 */   // Label 5486: @293338
     /*  293338 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293401), // Rule ID 9154 //
     /*  293343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  293357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293399 */     GIR_RootConstrainSelectedInstOperands,
     /*  293400 */     // GIR_Coverage, 9154,
     /*  293400 */     GIR_EraseRootFromParent_Done,
     /*  293401 */   // Label 5487: @293401
     /*  293401 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293464), // Rule ID 9155 //
     /*  293406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  293420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293462 */     GIR_RootConstrainSelectedInstOperands,
     /*  293463 */     // GIR_Coverage, 9155,
     /*  293463 */     GIR_EraseRootFromParent_Done,
     /*  293464 */   // Label 5488: @293464
     /*  293464 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293527), // Rule ID 9158 //
     /*  293469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293525 */     GIR_RootConstrainSelectedInstOperands,
     /*  293526 */     // GIR_Coverage, 9158,
     /*  293526 */     GIR_EraseRootFromParent_Done,
     /*  293527 */   // Label 5489: @293527
     /*  293527 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293590), // Rule ID 9159 //
     /*  293532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293571 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293588 */     GIR_RootConstrainSelectedInstOperands,
     /*  293589 */     // GIR_Coverage, 9159,
     /*  293589 */     GIR_EraseRootFromParent_Done,
     /*  293590 */   // Label 5490: @293590
     /*  293590 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293653), // Rule ID 9162 //
     /*  293595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293651 */     GIR_RootConstrainSelectedInstOperands,
     /*  293652 */     // GIR_Coverage, 9162,
     /*  293652 */     GIR_EraseRootFromParent_Done,
     /*  293653 */   // Label 5491: @293653
     /*  293653 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293716), // Rule ID 9163 //
     /*  293658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293697 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293714 */     GIR_RootConstrainSelectedInstOperands,
     /*  293715 */     // GIR_Coverage, 9163,
     /*  293715 */     GIR_EraseRootFromParent_Done,
     /*  293716 */   // Label 5492: @293716
     /*  293716 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293779), // Rule ID 9166 //
     /*  293721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293777 */     GIR_RootConstrainSelectedInstOperands,
     /*  293778 */     // GIR_Coverage, 9166,
     /*  293778 */     GIR_EraseRootFromParent_Done,
     /*  293779 */   // Label 5493: @293779
     /*  293779 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293842), // Rule ID 9167 //
     /*  293784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293823 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293840 */     GIR_RootConstrainSelectedInstOperands,
     /*  293841 */     // GIR_Coverage, 9167,
     /*  293841 */     GIR_EraseRootFromParent_Done,
     /*  293842 */   // Label 5494: @293842
     /*  293842 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(293905), // Rule ID 9170 //
     /*  293847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293903 */     GIR_RootConstrainSelectedInstOperands,
     /*  293904 */     // GIR_Coverage, 9170,
     /*  293904 */     GIR_EraseRootFromParent_Done,
     /*  293905 */   // Label 5495: @293905
     /*  293905 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(293968), // Rule ID 9171 //
     /*  293910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293966 */     GIR_RootConstrainSelectedInstOperands,
     /*  293967 */     // GIR_Coverage, 9171,
     /*  293967 */     GIR_EraseRootFromParent_Done,
     /*  293968 */   // Label 5496: @293968
     /*  293968 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294031), // Rule ID 9174 //
     /*  293973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294029 */     GIR_RootConstrainSelectedInstOperands,
     /*  294030 */     // GIR_Coverage, 9174,
     /*  294030 */     GIR_EraseRootFromParent_Done,
     /*  294031 */   // Label 5497: @294031
     /*  294031 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294094), // Rule ID 9175 //
     /*  294036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  294050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294092 */     GIR_RootConstrainSelectedInstOperands,
     /*  294093 */     // GIR_Coverage, 9175,
     /*  294093 */     GIR_EraseRootFromParent_Done,
     /*  294094 */   // Label 5498: @294094
     /*  294094 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294157), // Rule ID 9266 //
     /*  294099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294155 */     GIR_RootConstrainSelectedInstOperands,
     /*  294156 */     // GIR_Coverage, 9266,
     /*  294156 */     GIR_EraseRootFromParent_Done,
     /*  294157 */   // Label 5499: @294157
     /*  294157 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294220), // Rule ID 9267 //
     /*  294162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294218 */     GIR_RootConstrainSelectedInstOperands,
     /*  294219 */     // GIR_Coverage, 9267,
     /*  294219 */     GIR_EraseRootFromParent_Done,
     /*  294220 */   // Label 5500: @294220
     /*  294220 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294283), // Rule ID 9270 //
     /*  294225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294281 */     GIR_RootConstrainSelectedInstOperands,
     /*  294282 */     // GIR_Coverage, 9270,
     /*  294282 */     GIR_EraseRootFromParent_Done,
     /*  294283 */   // Label 5501: @294283
     /*  294283 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294346), // Rule ID 9271 //
     /*  294288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294327 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294344 */     GIR_RootConstrainSelectedInstOperands,
     /*  294345 */     // GIR_Coverage, 9271,
     /*  294345 */     GIR_EraseRootFromParent_Done,
     /*  294346 */   // Label 5502: @294346
     /*  294346 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294409), // Rule ID 9274 //
     /*  294351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  294365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294407 */     GIR_RootConstrainSelectedInstOperands,
     /*  294408 */     // GIR_Coverage, 9274,
     /*  294408 */     GIR_EraseRootFromParent_Done,
     /*  294409 */   // Label 5503: @294409
     /*  294409 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294472), // Rule ID 9275 //
     /*  294414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  294428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294453 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294470 */     GIR_RootConstrainSelectedInstOperands,
     /*  294471 */     // GIR_Coverage, 9275,
     /*  294471 */     GIR_EraseRootFromParent_Done,
     /*  294472 */   // Label 5504: @294472
     /*  294472 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294535), // Rule ID 9278 //
     /*  294477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294533 */     GIR_RootConstrainSelectedInstOperands,
     /*  294534 */     // GIR_Coverage, 9278,
     /*  294534 */     GIR_EraseRootFromParent_Done,
     /*  294535 */   // Label 5505: @294535
     /*  294535 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294598), // Rule ID 9279 //
     /*  294540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294596 */     GIR_RootConstrainSelectedInstOperands,
     /*  294597 */     // GIR_Coverage, 9279,
     /*  294597 */     GIR_EraseRootFromParent_Done,
     /*  294598 */   // Label 5506: @294598
     /*  294598 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294661), // Rule ID 9282 //
     /*  294603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294642 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294659 */     GIR_RootConstrainSelectedInstOperands,
     /*  294660 */     // GIR_Coverage, 9282,
     /*  294660 */     GIR_EraseRootFromParent_Done,
     /*  294661 */   // Label 5507: @294661
     /*  294661 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294724), // Rule ID 9283 //
     /*  294666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294705 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294722 */     GIR_RootConstrainSelectedInstOperands,
     /*  294723 */     // GIR_Coverage, 9283,
     /*  294723 */     GIR_EraseRootFromParent_Done,
     /*  294724 */   // Label 5508: @294724
     /*  294724 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294787), // Rule ID 9286 //
     /*  294729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294785 */     GIR_RootConstrainSelectedInstOperands,
     /*  294786 */     // GIR_Coverage, 9286,
     /*  294786 */     GIR_EraseRootFromParent_Done,
     /*  294787 */   // Label 5509: @294787
     /*  294787 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294850), // Rule ID 9287 //
     /*  294792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294848 */     GIR_RootConstrainSelectedInstOperands,
     /*  294849 */     // GIR_Coverage, 9287,
     /*  294849 */     GIR_EraseRootFromParent_Done,
     /*  294850 */   // Label 5510: @294850
     /*  294850 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(294913), // Rule ID 9290 //
     /*  294855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294911 */     GIR_RootConstrainSelectedInstOperands,
     /*  294912 */     // GIR_Coverage, 9290,
     /*  294912 */     GIR_EraseRootFromParent_Done,
     /*  294913 */   // Label 5511: @294913
     /*  294913 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(294976), // Rule ID 9291 //
     /*  294918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294957 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294974 */     GIR_RootConstrainSelectedInstOperands,
     /*  294975 */     // GIR_Coverage, 9291,
     /*  294975 */     GIR_EraseRootFromParent_Done,
     /*  294976 */   // Label 5512: @294976
     /*  294976 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295039), // Rule ID 9294 //
     /*  294981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295037 */     GIR_RootConstrainSelectedInstOperands,
     /*  295038 */     // GIR_Coverage, 9294,
     /*  295038 */     GIR_EraseRootFromParent_Done,
     /*  295039 */   // Label 5513: @295039
     /*  295039 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295102), // Rule ID 9295 //
     /*  295044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  295058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295100 */     GIR_RootConstrainSelectedInstOperands,
     /*  295101 */     // GIR_Coverage, 9295,
     /*  295101 */     GIR_EraseRootFromParent_Done,
     /*  295102 */   // Label 5514: @295102
     /*  295102 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295165), // Rule ID 9298 //
     /*  295107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295146 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295163 */     GIR_RootConstrainSelectedInstOperands,
     /*  295164 */     // GIR_Coverage, 9298,
     /*  295164 */     GIR_EraseRootFromParent_Done,
     /*  295165 */   // Label 5515: @295165
     /*  295165 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295228), // Rule ID 9299 //
     /*  295170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295226 */     GIR_RootConstrainSelectedInstOperands,
     /*  295227 */     // GIR_Coverage, 9299,
     /*  295227 */     GIR_EraseRootFromParent_Done,
     /*  295228 */   // Label 5516: @295228
     /*  295228 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295291), // Rule ID 9302 //
     /*  295233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295289 */     GIR_RootConstrainSelectedInstOperands,
     /*  295290 */     // GIR_Coverage, 9302,
     /*  295290 */     GIR_EraseRootFromParent_Done,
     /*  295291 */   // Label 5517: @295291
     /*  295291 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295354), // Rule ID 9303 //
     /*  295296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295352 */     GIR_RootConstrainSelectedInstOperands,
     /*  295353 */     // GIR_Coverage, 9303,
     /*  295353 */     GIR_EraseRootFromParent_Done,
     /*  295354 */   // Label 5518: @295354
     /*  295354 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295417), // Rule ID 9306 //
     /*  295359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295398 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295415 */     GIR_RootConstrainSelectedInstOperands,
     /*  295416 */     // GIR_Coverage, 9306,
     /*  295416 */     GIR_EraseRootFromParent_Done,
     /*  295417 */   // Label 5519: @295417
     /*  295417 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295480), // Rule ID 9307 //
     /*  295422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295461 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295478 */     GIR_RootConstrainSelectedInstOperands,
     /*  295479 */     // GIR_Coverage, 9307,
     /*  295479 */     GIR_EraseRootFromParent_Done,
     /*  295480 */   // Label 5520: @295480
     /*  295480 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295543), // Rule ID 9310 //
     /*  295485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295524 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295541 */     GIR_RootConstrainSelectedInstOperands,
     /*  295542 */     // GIR_Coverage, 9310,
     /*  295542 */     GIR_EraseRootFromParent_Done,
     /*  295543 */   // Label 5521: @295543
     /*  295543 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295606), // Rule ID 9311 //
     /*  295548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295587 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295604 */     GIR_RootConstrainSelectedInstOperands,
     /*  295605 */     // GIR_Coverage, 9311,
     /*  295605 */     GIR_EraseRootFromParent_Done,
     /*  295606 */   // Label 5522: @295606
     /*  295606 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295669), // Rule ID 9314 //
     /*  295611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295650 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295667 */     GIR_RootConstrainSelectedInstOperands,
     /*  295668 */     // GIR_Coverage, 9314,
     /*  295668 */     GIR_EraseRootFromParent_Done,
     /*  295669 */   // Label 5523: @295669
     /*  295669 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295732), // Rule ID 9315 //
     /*  295674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295713 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295730 */     GIR_RootConstrainSelectedInstOperands,
     /*  295731 */     // GIR_Coverage, 9315,
     /*  295731 */     GIR_EraseRootFromParent_Done,
     /*  295732 */   // Label 5524: @295732
     /*  295732 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295795), // Rule ID 9318 //
     /*  295737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295793 */     GIR_RootConstrainSelectedInstOperands,
     /*  295794 */     // GIR_Coverage, 9318,
     /*  295794 */     GIR_EraseRootFromParent_Done,
     /*  295795 */   // Label 5525: @295795
     /*  295795 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(295858), // Rule ID 9319 //
     /*  295800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295856 */     GIR_RootConstrainSelectedInstOperands,
     /*  295857 */     // GIR_Coverage, 9319,
     /*  295857 */     GIR_EraseRootFromParent_Done,
     /*  295858 */   // Label 5526: @295858
     /*  295858 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(295921), // Rule ID 9322 //
     /*  295863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295919 */     GIR_RootConstrainSelectedInstOperands,
     /*  295920 */     // GIR_Coverage, 9322,
     /*  295920 */     GIR_EraseRootFromParent_Done,
     /*  295921 */   // Label 5527: @295921
     /*  295921 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(295984), // Rule ID 9323 //
     /*  295926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295965 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295982 */     GIR_RootConstrainSelectedInstOperands,
     /*  295983 */     // GIR_Coverage, 9323,
     /*  295983 */     GIR_EraseRootFromParent_Done,
     /*  295984 */   // Label 5528: @295984
     /*  295984 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296047), // Rule ID 9326 //
     /*  295989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296045 */     GIR_RootConstrainSelectedInstOperands,
     /*  296046 */     // GIR_Coverage, 9326,
     /*  296046 */     GIR_EraseRootFromParent_Done,
     /*  296047 */   // Label 5529: @296047
     /*  296047 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296110), // Rule ID 9327 //
     /*  296052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296091 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296108 */     GIR_RootConstrainSelectedInstOperands,
     /*  296109 */     // GIR_Coverage, 9327,
     /*  296109 */     GIR_EraseRootFromParent_Done,
     /*  296110 */   // Label 5530: @296110
     /*  296110 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296173), // Rule ID 9330 //
     /*  296115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296171 */     GIR_RootConstrainSelectedInstOperands,
     /*  296172 */     // GIR_Coverage, 9330,
     /*  296172 */     GIR_EraseRootFromParent_Done,
     /*  296173 */   // Label 5531: @296173
     /*  296173 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296236), // Rule ID 9331 //
     /*  296178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296234 */     GIR_RootConstrainSelectedInstOperands,
     /*  296235 */     // GIR_Coverage, 9331,
     /*  296235 */     GIR_EraseRootFromParent_Done,
     /*  296236 */   // Label 5532: @296236
     /*  296236 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296299), // Rule ID 9334 //
     /*  296241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296297 */     GIR_RootConstrainSelectedInstOperands,
     /*  296298 */     // GIR_Coverage, 9334,
     /*  296298 */     GIR_EraseRootFromParent_Done,
     /*  296299 */   // Label 5533: @296299
     /*  296299 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296362), // Rule ID 9335 //
     /*  296304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296343 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296360 */     GIR_RootConstrainSelectedInstOperands,
     /*  296361 */     // GIR_Coverage, 9335,
     /*  296361 */     GIR_EraseRootFromParent_Done,
     /*  296362 */   // Label 5534: @296362
     /*  296362 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296425), // Rule ID 9338 //
     /*  296367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296423 */     GIR_RootConstrainSelectedInstOperands,
     /*  296424 */     // GIR_Coverage, 9338,
     /*  296424 */     GIR_EraseRootFromParent_Done,
     /*  296425 */   // Label 5535: @296425
     /*  296425 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296488), // Rule ID 9339 //
     /*  296430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296486 */     GIR_RootConstrainSelectedInstOperands,
     /*  296487 */     // GIR_Coverage, 9339,
     /*  296487 */     GIR_EraseRootFromParent_Done,
     /*  296488 */   // Label 5536: @296488
     /*  296488 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296551), // Rule ID 9342 //
     /*  296493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296549 */     GIR_RootConstrainSelectedInstOperands,
     /*  296550 */     // GIR_Coverage, 9342,
     /*  296550 */     GIR_EraseRootFromParent_Done,
     /*  296551 */   // Label 5537: @296551
     /*  296551 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296614), // Rule ID 9343 //
     /*  296556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296595 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296612 */     GIR_RootConstrainSelectedInstOperands,
     /*  296613 */     // GIR_Coverage, 9343,
     /*  296613 */     GIR_EraseRootFromParent_Done,
     /*  296614 */   // Label 5538: @296614
     /*  296614 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296677), // Rule ID 9346 //
     /*  296619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296675 */     GIR_RootConstrainSelectedInstOperands,
     /*  296676 */     // GIR_Coverage, 9346,
     /*  296676 */     GIR_EraseRootFromParent_Done,
     /*  296677 */   // Label 5539: @296677
     /*  296677 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296740), // Rule ID 9347 //
     /*  296682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296721 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296738 */     GIR_RootConstrainSelectedInstOperands,
     /*  296739 */     // GIR_Coverage, 9347,
     /*  296739 */     GIR_EraseRootFromParent_Done,
     /*  296740 */   // Label 5540: @296740
     /*  296740 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296803), // Rule ID 9350 //
     /*  296745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296801 */     GIR_RootConstrainSelectedInstOperands,
     /*  296802 */     // GIR_Coverage, 9350,
     /*  296802 */     GIR_EraseRootFromParent_Done,
     /*  296803 */   // Label 5541: @296803
     /*  296803 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(296866), // Rule ID 9351 //
     /*  296808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296847 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296864 */     GIR_RootConstrainSelectedInstOperands,
     /*  296865 */     // GIR_Coverage, 9351,
     /*  296865 */     GIR_EraseRootFromParent_Done,
     /*  296866 */   // Label 5542: @296866
     /*  296866 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(296929), // Rule ID 9442 //
     /*  296871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296910 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296927 */     GIR_RootConstrainSelectedInstOperands,
     /*  296928 */     // GIR_Coverage, 9442,
     /*  296928 */     GIR_EraseRootFromParent_Done,
     /*  296929 */   // Label 5543: @296929
     /*  296929 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(296992), // Rule ID 9443 //
     /*  296934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296990 */     GIR_RootConstrainSelectedInstOperands,
     /*  296991 */     // GIR_Coverage, 9443,
     /*  296991 */     GIR_EraseRootFromParent_Done,
     /*  296992 */   // Label 5544: @296992
     /*  296992 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297055), // Rule ID 9446 //
     /*  296997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297053 */     GIR_RootConstrainSelectedInstOperands,
     /*  297054 */     // GIR_Coverage, 9446,
     /*  297054 */     GIR_EraseRootFromParent_Done,
     /*  297055 */   // Label 5545: @297055
     /*  297055 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297118), // Rule ID 9447 //
     /*  297060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297116 */     GIR_RootConstrainSelectedInstOperands,
     /*  297117 */     // GIR_Coverage, 9447,
     /*  297117 */     GIR_EraseRootFromParent_Done,
     /*  297118 */   // Label 5546: @297118
     /*  297118 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297181), // Rule ID 9450 //
     /*  297123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297179 */     GIR_RootConstrainSelectedInstOperands,
     /*  297180 */     // GIR_Coverage, 9450,
     /*  297180 */     GIR_EraseRootFromParent_Done,
     /*  297181 */   // Label 5547: @297181
     /*  297181 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297244), // Rule ID 9451 //
     /*  297186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297242 */     GIR_RootConstrainSelectedInstOperands,
     /*  297243 */     // GIR_Coverage, 9451,
     /*  297243 */     GIR_EraseRootFromParent_Done,
     /*  297244 */   // Label 5548: @297244
     /*  297244 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297307), // Rule ID 9454 //
     /*  297249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  297263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  297266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297305 */     GIR_RootConstrainSelectedInstOperands,
     /*  297306 */     // GIR_Coverage, 9454,
     /*  297306 */     GIR_EraseRootFromParent_Done,
     /*  297307 */   // Label 5549: @297307
     /*  297307 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297370), // Rule ID 9455 //
     /*  297312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  297326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  297329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297368 */     GIR_RootConstrainSelectedInstOperands,
     /*  297369 */     // GIR_Coverage, 9455,
     /*  297369 */     GIR_EraseRootFromParent_Done,
     /*  297370 */   // Label 5550: @297370
     /*  297370 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297433), // Rule ID 9458 //
     /*  297375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297431 */     GIR_RootConstrainSelectedInstOperands,
     /*  297432 */     // GIR_Coverage, 9458,
     /*  297432 */     GIR_EraseRootFromParent_Done,
     /*  297433 */   // Label 5551: @297433
     /*  297433 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297496), // Rule ID 9459 //
     /*  297438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297494 */     GIR_RootConstrainSelectedInstOperands,
     /*  297495 */     // GIR_Coverage, 9459,
     /*  297495 */     GIR_EraseRootFromParent_Done,
     /*  297496 */   // Label 5552: @297496
     /*  297496 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297559), // Rule ID 9462 //
     /*  297501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297557 */     GIR_RootConstrainSelectedInstOperands,
     /*  297558 */     // GIR_Coverage, 9462,
     /*  297558 */     GIR_EraseRootFromParent_Done,
     /*  297559 */   // Label 5553: @297559
     /*  297559 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297622), // Rule ID 9463 //
     /*  297564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297620 */     GIR_RootConstrainSelectedInstOperands,
     /*  297621 */     // GIR_Coverage, 9463,
     /*  297621 */     GIR_EraseRootFromParent_Done,
     /*  297622 */   // Label 5554: @297622
     /*  297622 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297685), // Rule ID 9466 //
     /*  297627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297683 */     GIR_RootConstrainSelectedInstOperands,
     /*  297684 */     // GIR_Coverage, 9466,
     /*  297684 */     GIR_EraseRootFromParent_Done,
     /*  297685 */   // Label 5555: @297685
     /*  297685 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297748), // Rule ID 9467 //
     /*  297690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297746 */     GIR_RootConstrainSelectedInstOperands,
     /*  297747 */     // GIR_Coverage, 9467,
     /*  297747 */     GIR_EraseRootFromParent_Done,
     /*  297748 */   // Label 5556: @297748
     /*  297748 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297811), // Rule ID 9470 //
     /*  297753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297809 */     GIR_RootConstrainSelectedInstOperands,
     /*  297810 */     // GIR_Coverage, 9470,
     /*  297810 */     GIR_EraseRootFromParent_Done,
     /*  297811 */   // Label 5557: @297811
     /*  297811 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(297874), // Rule ID 9471 //
     /*  297816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297855 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297872 */     GIR_RootConstrainSelectedInstOperands,
     /*  297873 */     // GIR_Coverage, 9471,
     /*  297873 */     GIR_EraseRootFromParent_Done,
     /*  297874 */   // Label 5558: @297874
     /*  297874 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(297937), // Rule ID 9474 //
     /*  297879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297935 */     GIR_RootConstrainSelectedInstOperands,
     /*  297936 */     // GIR_Coverage, 9474,
     /*  297936 */     GIR_EraseRootFromParent_Done,
     /*  297937 */   // Label 5559: @297937
     /*  297937 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298000), // Rule ID 9475 //
     /*  297942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297998 */     GIR_RootConstrainSelectedInstOperands,
     /*  297999 */     // GIR_Coverage, 9475,
     /*  297999 */     GIR_EraseRootFromParent_Done,
     /*  298000 */   // Label 5560: @298000
     /*  298000 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298063), // Rule ID 9478 //
     /*  298005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298061 */     GIR_RootConstrainSelectedInstOperands,
     /*  298062 */     // GIR_Coverage, 9478,
     /*  298062 */     GIR_EraseRootFromParent_Done,
     /*  298063 */   // Label 5561: @298063
     /*  298063 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298126), // Rule ID 9479 //
     /*  298068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298124 */     GIR_RootConstrainSelectedInstOperands,
     /*  298125 */     // GIR_Coverage, 9479,
     /*  298125 */     GIR_EraseRootFromParent_Done,
     /*  298126 */   // Label 5562: @298126
     /*  298126 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298189), // Rule ID 9482 //
     /*  298131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298187 */     GIR_RootConstrainSelectedInstOperands,
     /*  298188 */     // GIR_Coverage, 9482,
     /*  298188 */     GIR_EraseRootFromParent_Done,
     /*  298189 */   // Label 5563: @298189
     /*  298189 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298252), // Rule ID 9483 //
     /*  298194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298250 */     GIR_RootConstrainSelectedInstOperands,
     /*  298251 */     // GIR_Coverage, 9483,
     /*  298251 */     GIR_EraseRootFromParent_Done,
     /*  298252 */   // Label 5564: @298252
     /*  298252 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298315), // Rule ID 9486 //
     /*  298257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  298268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  298271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  298274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298296 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298313 */     GIR_RootConstrainSelectedInstOperands,
     /*  298314 */     // GIR_Coverage, 9486,
     /*  298314 */     GIR_EraseRootFromParent_Done,
     /*  298315 */   // Label 5565: @298315
     /*  298315 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298378), // Rule ID 9487 //
     /*  298320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  298331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  298334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  298337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298359 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298376 */     GIR_RootConstrainSelectedInstOperands,
     /*  298377 */     // GIR_Coverage, 9487,
     /*  298377 */     GIR_EraseRootFromParent_Done,
     /*  298378 */   // Label 5566: @298378
     /*  298378 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298441), // Rule ID 9490 //
     /*  298383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298439 */     GIR_RootConstrainSelectedInstOperands,
     /*  298440 */     // GIR_Coverage, 9490,
     /*  298440 */     GIR_EraseRootFromParent_Done,
     /*  298441 */   // Label 5567: @298441
     /*  298441 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298504), // Rule ID 9491 //
     /*  298446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298502 */     GIR_RootConstrainSelectedInstOperands,
     /*  298503 */     // GIR_Coverage, 9491,
     /*  298503 */     GIR_EraseRootFromParent_Done,
     /*  298504 */   // Label 5568: @298504
     /*  298504 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298567), // Rule ID 9494 //
     /*  298509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298565 */     GIR_RootConstrainSelectedInstOperands,
     /*  298566 */     // GIR_Coverage, 9494,
     /*  298566 */     GIR_EraseRootFromParent_Done,
     /*  298567 */   // Label 5569: @298567
     /*  298567 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298630), // Rule ID 9495 //
     /*  298572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298628 */     GIR_RootConstrainSelectedInstOperands,
     /*  298629 */     // GIR_Coverage, 9495,
     /*  298629 */     GIR_EraseRootFromParent_Done,
     /*  298630 */   // Label 5570: @298630
     /*  298630 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298693), // Rule ID 9498 //
     /*  298635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298674 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298691 */     GIR_RootConstrainSelectedInstOperands,
     /*  298692 */     // GIR_Coverage, 9498,
     /*  298692 */     GIR_EraseRootFromParent_Done,
     /*  298693 */   // Label 5571: @298693
     /*  298693 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298756), // Rule ID 9499 //
     /*  298698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298737 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298754 */     GIR_RootConstrainSelectedInstOperands,
     /*  298755 */     // GIR_Coverage, 9499,
     /*  298755 */     GIR_EraseRootFromParent_Done,
     /*  298756 */   // Label 5572: @298756
     /*  298756 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298819), // Rule ID 9502 //
     /*  298761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298817 */     GIR_RootConstrainSelectedInstOperands,
     /*  298818 */     // GIR_Coverage, 9502,
     /*  298818 */     GIR_EraseRootFromParent_Done,
     /*  298819 */   // Label 5573: @298819
     /*  298819 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(298882), // Rule ID 9503 //
     /*  298824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298880 */     GIR_RootConstrainSelectedInstOperands,
     /*  298881 */     // GIR_Coverage, 9503,
     /*  298881 */     GIR_EraseRootFromParent_Done,
     /*  298882 */   // Label 5574: @298882
     /*  298882 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(298945), // Rule ID 9506 //
     /*  298887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298943 */     GIR_RootConstrainSelectedInstOperands,
     /*  298944 */     // GIR_Coverage, 9506,
     /*  298944 */     GIR_EraseRootFromParent_Done,
     /*  298945 */   // Label 5575: @298945
     /*  298945 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299008), // Rule ID 9507 //
     /*  298950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299006 */     GIR_RootConstrainSelectedInstOperands,
     /*  299007 */     // GIR_Coverage, 9507,
     /*  299007 */     GIR_EraseRootFromParent_Done,
     /*  299008 */   // Label 5576: @299008
     /*  299008 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299071), // Rule ID 9510 //
     /*  299013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299069 */     GIR_RootConstrainSelectedInstOperands,
     /*  299070 */     // GIR_Coverage, 9510,
     /*  299070 */     GIR_EraseRootFromParent_Done,
     /*  299071 */   // Label 5577: @299071
     /*  299071 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299134), // Rule ID 9511 //
     /*  299076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299115 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299132 */     GIR_RootConstrainSelectedInstOperands,
     /*  299133 */     // GIR_Coverage, 9511,
     /*  299133 */     GIR_EraseRootFromParent_Done,
     /*  299134 */   // Label 5578: @299134
     /*  299134 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299197), // Rule ID 9514 //
     /*  299139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299195 */     GIR_RootConstrainSelectedInstOperands,
     /*  299196 */     // GIR_Coverage, 9514,
     /*  299196 */     GIR_EraseRootFromParent_Done,
     /*  299197 */   // Label 5579: @299197
     /*  299197 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299260), // Rule ID 9515 //
     /*  299202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299258 */     GIR_RootConstrainSelectedInstOperands,
     /*  299259 */     // GIR_Coverage, 9515,
     /*  299259 */     GIR_EraseRootFromParent_Done,
     /*  299260 */   // Label 5580: @299260
     /*  299260 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299323), // Rule ID 9518 //
     /*  299265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  299279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  299282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299321 */     GIR_RootConstrainSelectedInstOperands,
     /*  299322 */     // GIR_Coverage, 9518,
     /*  299322 */     GIR_EraseRootFromParent_Done,
     /*  299323 */   // Label 5581: @299323
     /*  299323 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299386), // Rule ID 9519 //
     /*  299328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  299342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  299345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299384 */     GIR_RootConstrainSelectedInstOperands,
     /*  299385 */     // GIR_Coverage, 9519,
     /*  299385 */     GIR_EraseRootFromParent_Done,
     /*  299386 */   // Label 5582: @299386
     /*  299386 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299449), // Rule ID 9522 //
     /*  299391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299430 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299447 */     GIR_RootConstrainSelectedInstOperands,
     /*  299448 */     // GIR_Coverage, 9522,
     /*  299448 */     GIR_EraseRootFromParent_Done,
     /*  299449 */   // Label 5583: @299449
     /*  299449 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299512), // Rule ID 9523 //
     /*  299454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299510 */     GIR_RootConstrainSelectedInstOperands,
     /*  299511 */     // GIR_Coverage, 9523,
     /*  299511 */     GIR_EraseRootFromParent_Done,
     /*  299512 */   // Label 5584: @299512
     /*  299512 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299575), // Rule ID 9526 //
     /*  299517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299573 */     GIR_RootConstrainSelectedInstOperands,
     /*  299574 */     // GIR_Coverage, 9526,
     /*  299574 */     GIR_EraseRootFromParent_Done,
     /*  299575 */   // Label 5585: @299575
     /*  299575 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299638), // Rule ID 9527 //
     /*  299580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299619 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299636 */     GIR_RootConstrainSelectedInstOperands,
     /*  299637 */     // GIR_Coverage, 9527,
     /*  299637 */     GIR_EraseRootFromParent_Done,
     /*  299638 */   // Label 5586: @299638
     /*  299638 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299701), // Rule ID 9530 //
     /*  299643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299699 */     GIR_RootConstrainSelectedInstOperands,
     /*  299700 */     // GIR_Coverage, 9530,
     /*  299700 */     GIR_EraseRootFromParent_Done,
     /*  299701 */   // Label 5587: @299701
     /*  299701 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299764), // Rule ID 9531 //
     /*  299706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299762 */     GIR_RootConstrainSelectedInstOperands,
     /*  299763 */     // GIR_Coverage, 9531,
     /*  299763 */     GIR_EraseRootFromParent_Done,
     /*  299764 */   // Label 5588: @299764
     /*  299764 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299827), // Rule ID 9534 //
     /*  299769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299825 */     GIR_RootConstrainSelectedInstOperands,
     /*  299826 */     // GIR_Coverage, 9534,
     /*  299826 */     GIR_EraseRootFromParent_Done,
     /*  299827 */   // Label 5589: @299827
     /*  299827 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(299890), // Rule ID 9535 //
     /*  299832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299888 */     GIR_RootConstrainSelectedInstOperands,
     /*  299889 */     // GIR_Coverage, 9535,
     /*  299889 */     GIR_EraseRootFromParent_Done,
     /*  299890 */   // Label 5590: @299890
     /*  299890 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(299953), // Rule ID 9538 //
     /*  299895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299951 */     GIR_RootConstrainSelectedInstOperands,
     /*  299952 */     // GIR_Coverage, 9538,
     /*  299952 */     GIR_EraseRootFromParent_Done,
     /*  299953 */   // Label 5591: @299953
     /*  299953 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300016), // Rule ID 9539 //
     /*  299958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300014 */     GIR_RootConstrainSelectedInstOperands,
     /*  300015 */     // GIR_Coverage, 9539,
     /*  300015 */     GIR_EraseRootFromParent_Done,
     /*  300016 */   // Label 5592: @300016
     /*  300016 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300079), // Rule ID 9542 //
     /*  300021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300077 */     GIR_RootConstrainSelectedInstOperands,
     /*  300078 */     // GIR_Coverage, 9542,
     /*  300078 */     GIR_EraseRootFromParent_Done,
     /*  300079 */   // Label 5593: @300079
     /*  300079 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300142), // Rule ID 9543 //
     /*  300084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300140 */     GIR_RootConstrainSelectedInstOperands,
     /*  300141 */     // GIR_Coverage, 9543,
     /*  300141 */     GIR_EraseRootFromParent_Done,
     /*  300142 */   // Label 5594: @300142
     /*  300142 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300205), // Rule ID 9546 //
     /*  300147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300203 */     GIR_RootConstrainSelectedInstOperands,
     /*  300204 */     // GIR_Coverage, 9546,
     /*  300204 */     GIR_EraseRootFromParent_Done,
     /*  300205 */   // Label 5595: @300205
     /*  300205 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300268), // Rule ID 9547 //
     /*  300210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300266 */     GIR_RootConstrainSelectedInstOperands,
     /*  300267 */     // GIR_Coverage, 9547,
     /*  300267 */     GIR_EraseRootFromParent_Done,
     /*  300268 */   // Label 5596: @300268
     /*  300268 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300331), // Rule ID 9550 //
     /*  300273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  300287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300329 */     GIR_RootConstrainSelectedInstOperands,
     /*  300330 */     // GIR_Coverage, 9550,
     /*  300330 */     GIR_EraseRootFromParent_Done,
     /*  300331 */   // Label 5597: @300331
     /*  300331 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300394), // Rule ID 9551 //
     /*  300336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  300350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300392 */     GIR_RootConstrainSelectedInstOperands,
     /*  300393 */     // GIR_Coverage, 9551,
     /*  300393 */     GIR_EraseRootFromParent_Done,
     /*  300394 */   // Label 5598: @300394
     /*  300394 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300457), // Rule ID 9554 //
     /*  300399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300438 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300455 */     GIR_RootConstrainSelectedInstOperands,
     /*  300456 */     // GIR_Coverage, 9554,
     /*  300456 */     GIR_EraseRootFromParent_Done,
     /*  300457 */   // Label 5599: @300457
     /*  300457 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300520), // Rule ID 9555 //
     /*  300462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300518 */     GIR_RootConstrainSelectedInstOperands,
     /*  300519 */     // GIR_Coverage, 9555,
     /*  300519 */     GIR_EraseRootFromParent_Done,
     /*  300520 */   // Label 5600: @300520
     /*  300520 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300583), // Rule ID 9558 //
     /*  300525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300581 */     GIR_RootConstrainSelectedInstOperands,
     /*  300582 */     // GIR_Coverage, 9558,
     /*  300582 */     GIR_EraseRootFromParent_Done,
     /*  300583 */   // Label 5601: @300583
     /*  300583 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300646), // Rule ID 9559 //
     /*  300588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300644 */     GIR_RootConstrainSelectedInstOperands,
     /*  300645 */     // GIR_Coverage, 9559,
     /*  300645 */     GIR_EraseRootFromParent_Done,
     /*  300646 */   // Label 5602: @300646
     /*  300646 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300709), // Rule ID 9562 //
     /*  300651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300707 */     GIR_RootConstrainSelectedInstOperands,
     /*  300708 */     // GIR_Coverage, 9562,
     /*  300708 */     GIR_EraseRootFromParent_Done,
     /*  300709 */   // Label 5603: @300709
     /*  300709 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300772), // Rule ID 9563 //
     /*  300714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300770 */     GIR_RootConstrainSelectedInstOperands,
     /*  300771 */     // GIR_Coverage, 9563,
     /*  300771 */     GIR_EraseRootFromParent_Done,
     /*  300772 */   // Label 5604: @300772
     /*  300772 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300835), // Rule ID 9566 //
     /*  300777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300833 */     GIR_RootConstrainSelectedInstOperands,
     /*  300834 */     // GIR_Coverage, 9566,
     /*  300834 */     GIR_EraseRootFromParent_Done,
     /*  300835 */   // Label 5605: @300835
     /*  300835 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(300898), // Rule ID 9567 //
     /*  300840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300896 */     GIR_RootConstrainSelectedInstOperands,
     /*  300897 */     // GIR_Coverage, 9567,
     /*  300897 */     GIR_EraseRootFromParent_Done,
     /*  300898 */   // Label 5606: @300898
     /*  300898 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(300961), // Rule ID 9570 //
     /*  300903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300942 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300959 */     GIR_RootConstrainSelectedInstOperands,
     /*  300960 */     // GIR_Coverage, 9570,
     /*  300960 */     GIR_EraseRootFromParent_Done,
     /*  300961 */   // Label 5607: @300961
     /*  300961 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301024), // Rule ID 9571 //
     /*  300966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301022 */     GIR_RootConstrainSelectedInstOperands,
     /*  301023 */     // GIR_Coverage, 9571,
     /*  301023 */     GIR_EraseRootFromParent_Done,
     /*  301024 */   // Label 5608: @301024
     /*  301024 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301087), // Rule ID 9574 //
     /*  301029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301085 */     GIR_RootConstrainSelectedInstOperands,
     /*  301086 */     // GIR_Coverage, 9574,
     /*  301086 */     GIR_EraseRootFromParent_Done,
     /*  301087 */   // Label 5609: @301087
     /*  301087 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301150), // Rule ID 9575 //
     /*  301092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301131 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301148 */     GIR_RootConstrainSelectedInstOperands,
     /*  301149 */     // GIR_Coverage, 9575,
     /*  301149 */     GIR_EraseRootFromParent_Done,
     /*  301150 */   // Label 5610: @301150
     /*  301150 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301213), // Rule ID 9578 //
     /*  301155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301211 */     GIR_RootConstrainSelectedInstOperands,
     /*  301212 */     // GIR_Coverage, 9578,
     /*  301212 */     GIR_EraseRootFromParent_Done,
     /*  301213 */   // Label 5611: @301213
     /*  301213 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301276), // Rule ID 9579 //
     /*  301218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301274 */     GIR_RootConstrainSelectedInstOperands,
     /*  301275 */     // GIR_Coverage, 9579,
     /*  301275 */     GIR_EraseRootFromParent_Done,
     /*  301276 */   // Label 5612: @301276
     /*  301276 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301339), // Rule ID 9582 //
     /*  301281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  301295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301337 */     GIR_RootConstrainSelectedInstOperands,
     /*  301338 */     // GIR_Coverage, 9582,
     /*  301338 */     GIR_EraseRootFromParent_Done,
     /*  301339 */   // Label 5613: @301339
     /*  301339 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301402), // Rule ID 9583 //
     /*  301344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  301358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301400 */     GIR_RootConstrainSelectedInstOperands,
     /*  301401 */     // GIR_Coverage, 9583,
     /*  301401 */     GIR_EraseRootFromParent_Done,
     /*  301402 */   // Label 5614: @301402
     /*  301402 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301465), // Rule ID 9586 //
     /*  301407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301446 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301463 */     GIR_RootConstrainSelectedInstOperands,
     /*  301464 */     // GIR_Coverage, 9586,
     /*  301464 */     GIR_EraseRootFromParent_Done,
     /*  301465 */   // Label 5615: @301465
     /*  301465 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301528), // Rule ID 9587 //
     /*  301470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301509 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301526 */     GIR_RootConstrainSelectedInstOperands,
     /*  301527 */     // GIR_Coverage, 9587,
     /*  301527 */     GIR_EraseRootFromParent_Done,
     /*  301528 */   // Label 5616: @301528
     /*  301528 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301591), // Rule ID 9590 //
     /*  301533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301589 */     GIR_RootConstrainSelectedInstOperands,
     /*  301590 */     // GIR_Coverage, 9590,
     /*  301590 */     GIR_EraseRootFromParent_Done,
     /*  301591 */   // Label 5617: @301591
     /*  301591 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301654), // Rule ID 9591 //
     /*  301596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301652 */     GIR_RootConstrainSelectedInstOperands,
     /*  301653 */     // GIR_Coverage, 9591,
     /*  301653 */     GIR_EraseRootFromParent_Done,
     /*  301654 */   // Label 5618: @301654
     /*  301654 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301717), // Rule ID 9594 //
     /*  301659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301715 */     GIR_RootConstrainSelectedInstOperands,
     /*  301716 */     // GIR_Coverage, 9594,
     /*  301716 */     GIR_EraseRootFromParent_Done,
     /*  301717 */   // Label 5619: @301717
     /*  301717 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301780), // Rule ID 9595 //
     /*  301722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301778 */     GIR_RootConstrainSelectedInstOperands,
     /*  301779 */     // GIR_Coverage, 9595,
     /*  301779 */     GIR_EraseRootFromParent_Done,
     /*  301780 */   // Label 5620: @301780
     /*  301780 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301843), // Rule ID 9598 //
     /*  301785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301841 */     GIR_RootConstrainSelectedInstOperands,
     /*  301842 */     // GIR_Coverage, 9598,
     /*  301842 */     GIR_EraseRootFromParent_Done,
     /*  301843 */   // Label 5621: @301843
     /*  301843 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(301906), // Rule ID 9599 //
     /*  301848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301904 */     GIR_RootConstrainSelectedInstOperands,
     /*  301905 */     // GIR_Coverage, 9599,
     /*  301905 */     GIR_EraseRootFromParent_Done,
     /*  301906 */   // Label 5622: @301906
     /*  301906 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(301969), // Rule ID 9602 //
     /*  301911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301967 */     GIR_RootConstrainSelectedInstOperands,
     /*  301968 */     // GIR_Coverage, 9602,
     /*  301968 */     GIR_EraseRootFromParent_Done,
     /*  301969 */   // Label 5623: @301969
     /*  301969 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302032), // Rule ID 9603 //
     /*  301974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302030 */     GIR_RootConstrainSelectedInstOperands,
     /*  302031 */     // GIR_Coverage, 9603,
     /*  302031 */     GIR_EraseRootFromParent_Done,
     /*  302032 */   // Label 5624: @302032
     /*  302032 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302095), // Rule ID 9606 //
     /*  302037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302093 */     GIR_RootConstrainSelectedInstOperands,
     /*  302094 */     // GIR_Coverage, 9606,
     /*  302094 */     GIR_EraseRootFromParent_Done,
     /*  302095 */   // Label 5625: @302095
     /*  302095 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302158), // Rule ID 9607 //
     /*  302100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302156 */     GIR_RootConstrainSelectedInstOperands,
     /*  302157 */     // GIR_Coverage, 9607,
     /*  302157 */     GIR_EraseRootFromParent_Done,
     /*  302158 */   // Label 5626: @302158
     /*  302158 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302221), // Rule ID 9610 //
     /*  302163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302219 */     GIR_RootConstrainSelectedInstOperands,
     /*  302220 */     // GIR_Coverage, 9610,
     /*  302220 */     GIR_EraseRootFromParent_Done,
     /*  302221 */   // Label 5627: @302221
     /*  302221 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302284), // Rule ID 9611 //
     /*  302226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302282 */     GIR_RootConstrainSelectedInstOperands,
     /*  302283 */     // GIR_Coverage, 9611,
     /*  302283 */     GIR_EraseRootFromParent_Done,
     /*  302284 */   // Label 5628: @302284
     /*  302284 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302347), // Rule ID 9614 //
     /*  302289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  302331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302345 */     GIR_RootConstrainSelectedInstOperands,
     /*  302346 */     // GIR_Coverage, 9614,
     /*  302346 */     GIR_EraseRootFromParent_Done,
     /*  302347 */   // Label 5629: @302347
     /*  302347 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302410), // Rule ID 9615 //
     /*  302352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302391 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  302394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302408 */     GIR_RootConstrainSelectedInstOperands,
     /*  302409 */     // GIR_Coverage, 9615,
     /*  302409 */     GIR_EraseRootFromParent_Done,
     /*  302410 */   // Label 5630: @302410
     /*  302410 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302473), // Rule ID 9618 //
     /*  302415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302454 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302471 */     GIR_RootConstrainSelectedInstOperands,
     /*  302472 */     // GIR_Coverage, 9618,
     /*  302472 */     GIR_EraseRootFromParent_Done,
     /*  302473 */   // Label 5631: @302473
     /*  302473 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302536), // Rule ID 9619 //
     /*  302478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302534 */     GIR_RootConstrainSelectedInstOperands,
     /*  302535 */     // GIR_Coverage, 9619,
     /*  302535 */     GIR_EraseRootFromParent_Done,
     /*  302536 */   // Label 5632: @302536
     /*  302536 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302599), // Rule ID 9622 //
     /*  302541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302597 */     GIR_RootConstrainSelectedInstOperands,
     /*  302598 */     // GIR_Coverage, 9622,
     /*  302598 */     GIR_EraseRootFromParent_Done,
     /*  302599 */   // Label 5633: @302599
     /*  302599 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302662), // Rule ID 9623 //
     /*  302604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302660 */     GIR_RootConstrainSelectedInstOperands,
     /*  302661 */     // GIR_Coverage, 9623,
     /*  302661 */     GIR_EraseRootFromParent_Done,
     /*  302662 */   // Label 5634: @302662
     /*  302662 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302725), // Rule ID 9626 //
     /*  302667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302706 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302723 */     GIR_RootConstrainSelectedInstOperands,
     /*  302724 */     // GIR_Coverage, 9626,
     /*  302724 */     GIR_EraseRootFromParent_Done,
     /*  302725 */   // Label 5635: @302725
     /*  302725 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302788), // Rule ID 9627 //
     /*  302730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302786 */     GIR_RootConstrainSelectedInstOperands,
     /*  302787 */     // GIR_Coverage, 9627,
     /*  302787 */     GIR_EraseRootFromParent_Done,
     /*  302788 */   // Label 5636: @302788
     /*  302788 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302851), // Rule ID 9630 //
     /*  302793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302849 */     GIR_RootConstrainSelectedInstOperands,
     /*  302850 */     // GIR_Coverage, 9630,
     /*  302850 */     GIR_EraseRootFromParent_Done,
     /*  302851 */   // Label 5637: @302851
     /*  302851 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(302914), // Rule ID 9631 //
     /*  302856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302912 */     GIR_RootConstrainSelectedInstOperands,
     /*  302913 */     // GIR_Coverage, 9631,
     /*  302913 */     GIR_EraseRootFromParent_Done,
     /*  302914 */   // Label 5638: @302914
     /*  302914 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(302977), // Rule ID 9634 //
     /*  302919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302975 */     GIR_RootConstrainSelectedInstOperands,
     /*  302976 */     // GIR_Coverage, 9634,
     /*  302976 */     GIR_EraseRootFromParent_Done,
     /*  302977 */   // Label 5639: @302977
     /*  302977 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303040), // Rule ID 9635 //
     /*  302982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303038 */     GIR_RootConstrainSelectedInstOperands,
     /*  303039 */     // GIR_Coverage, 9635,
     /*  303039 */     GIR_EraseRootFromParent_Done,
     /*  303040 */   // Label 5640: @303040
     /*  303040 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303103), // Rule ID 9638 //
     /*  303045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303101 */     GIR_RootConstrainSelectedInstOperands,
     /*  303102 */     // GIR_Coverage, 9638,
     /*  303102 */     GIR_EraseRootFromParent_Done,
     /*  303103 */   // Label 5641: @303103
     /*  303103 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303166), // Rule ID 9639 //
     /*  303108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303164 */     GIR_RootConstrainSelectedInstOperands,
     /*  303165 */     // GIR_Coverage, 9639,
     /*  303165 */     GIR_EraseRootFromParent_Done,
     /*  303166 */   // Label 5642: @303166
     /*  303166 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303229), // Rule ID 9642 //
     /*  303171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303227 */     GIR_RootConstrainSelectedInstOperands,
     /*  303228 */     // GIR_Coverage, 9642,
     /*  303228 */     GIR_EraseRootFromParent_Done,
     /*  303229 */   // Label 5643: @303229
     /*  303229 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303292), // Rule ID 9643 //
     /*  303234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303290 */     GIR_RootConstrainSelectedInstOperands,
     /*  303291 */     // GIR_Coverage, 9643,
     /*  303291 */     GIR_EraseRootFromParent_Done,
     /*  303292 */   // Label 5644: @303292
     /*  303292 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303355), // Rule ID 9646 //
     /*  303297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  303311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  303314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303353 */     GIR_RootConstrainSelectedInstOperands,
     /*  303354 */     // GIR_Coverage, 9646,
     /*  303354 */     GIR_EraseRootFromParent_Done,
     /*  303355 */   // Label 5645: @303355
     /*  303355 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303418), // Rule ID 9647 //
     /*  303360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  303374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  303377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303416 */     GIR_RootConstrainSelectedInstOperands,
     /*  303417 */     // GIR_Coverage, 9647,
     /*  303417 */     GIR_EraseRootFromParent_Done,
     /*  303418 */   // Label 5646: @303418
     /*  303418 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303481), // Rule ID 9650 //
     /*  303423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303462 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303479 */     GIR_RootConstrainSelectedInstOperands,
     /*  303480 */     // GIR_Coverage, 9650,
     /*  303480 */     GIR_EraseRootFromParent_Done,
     /*  303481 */   // Label 5647: @303481
     /*  303481 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303544), // Rule ID 9651 //
     /*  303486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303542 */     GIR_RootConstrainSelectedInstOperands,
     /*  303543 */     // GIR_Coverage, 9651,
     /*  303543 */     GIR_EraseRootFromParent_Done,
     /*  303544 */   // Label 5648: @303544
     /*  303544 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303607), // Rule ID 9654 //
     /*  303549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303605 */     GIR_RootConstrainSelectedInstOperands,
     /*  303606 */     // GIR_Coverage, 9654,
     /*  303606 */     GIR_EraseRootFromParent_Done,
     /*  303607 */   // Label 5649: @303607
     /*  303607 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303670), // Rule ID 9655 //
     /*  303612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303668 */     GIR_RootConstrainSelectedInstOperands,
     /*  303669 */     // GIR_Coverage, 9655,
     /*  303669 */     GIR_EraseRootFromParent_Done,
     /*  303670 */   // Label 5650: @303670
     /*  303670 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303733), // Rule ID 9658 //
     /*  303675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303714 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303731 */     GIR_RootConstrainSelectedInstOperands,
     /*  303732 */     // GIR_Coverage, 9658,
     /*  303732 */     GIR_EraseRootFromParent_Done,
     /*  303733 */   // Label 5651: @303733
     /*  303733 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303796), // Rule ID 9659 //
     /*  303738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303777 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303794 */     GIR_RootConstrainSelectedInstOperands,
     /*  303795 */     // GIR_Coverage, 9659,
     /*  303795 */     GIR_EraseRootFromParent_Done,
     /*  303796 */   // Label 5652: @303796
     /*  303796 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(303859), // Rule ID 9662 //
     /*  303801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303840 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303857 */     GIR_RootConstrainSelectedInstOperands,
     /*  303858 */     // GIR_Coverage, 9662,
     /*  303858 */     GIR_EraseRootFromParent_Done,
     /*  303859 */   // Label 5653: @303859
     /*  303859 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(303922), // Rule ID 9663 //
     /*  303864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303903 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303920 */     GIR_RootConstrainSelectedInstOperands,
     /*  303921 */     // GIR_Coverage, 9663,
     /*  303921 */     GIR_EraseRootFromParent_Done,
     /*  303922 */   // Label 5654: @303922
     /*  303922 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(303985), // Rule ID 9666 //
     /*  303927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303983 */     GIR_RootConstrainSelectedInstOperands,
     /*  303984 */     // GIR_Coverage, 9666,
     /*  303984 */     GIR_EraseRootFromParent_Done,
     /*  303985 */   // Label 5655: @303985
     /*  303985 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304048), // Rule ID 9667 //
     /*  303990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304046 */     GIR_RootConstrainSelectedInstOperands,
     /*  304047 */     // GIR_Coverage, 9667,
     /*  304047 */     GIR_EraseRootFromParent_Done,
     /*  304048 */   // Label 5656: @304048
     /*  304048 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304111), // Rule ID 9670 //
     /*  304053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304109 */     GIR_RootConstrainSelectedInstOperands,
     /*  304110 */     // GIR_Coverage, 9670,
     /*  304110 */     GIR_EraseRootFromParent_Done,
     /*  304111 */   // Label 5657: @304111
     /*  304111 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304174), // Rule ID 9671 //
     /*  304116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304155 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304172 */     GIR_RootConstrainSelectedInstOperands,
     /*  304173 */     // GIR_Coverage, 9671,
     /*  304173 */     GIR_EraseRootFromParent_Done,
     /*  304174 */   // Label 5658: @304174
     /*  304174 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304237), // Rule ID 9674 //
     /*  304179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304218 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304235 */     GIR_RootConstrainSelectedInstOperands,
     /*  304236 */     // GIR_Coverage, 9674,
     /*  304236 */     GIR_EraseRootFromParent_Done,
     /*  304237 */   // Label 5659: @304237
     /*  304237 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304300), // Rule ID 9675 //
     /*  304242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304298 */     GIR_RootConstrainSelectedInstOperands,
     /*  304299 */     // GIR_Coverage, 9675,
     /*  304299 */     GIR_EraseRootFromParent_Done,
     /*  304300 */   // Label 5660: @304300
     /*  304300 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304363), // Rule ID 9678 //
     /*  304305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304361 */     GIR_RootConstrainSelectedInstOperands,
     /*  304362 */     // GIR_Coverage, 9678,
     /*  304362 */     GIR_EraseRootFromParent_Done,
     /*  304363 */   // Label 5661: @304363
     /*  304363 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304426), // Rule ID 9679 //
     /*  304368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304424 */     GIR_RootConstrainSelectedInstOperands,
     /*  304425 */     // GIR_Coverage, 9679,
     /*  304425 */     GIR_EraseRootFromParent_Done,
     /*  304426 */   // Label 5662: @304426
     /*  304426 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304489), // Rule ID 9682 //
     /*  304431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304487 */     GIR_RootConstrainSelectedInstOperands,
     /*  304488 */     // GIR_Coverage, 9682,
     /*  304488 */     GIR_EraseRootFromParent_Done,
     /*  304489 */   // Label 5663: @304489
     /*  304489 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304552), // Rule ID 9683 //
     /*  304494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304550 */     GIR_RootConstrainSelectedInstOperands,
     /*  304551 */     // GIR_Coverage, 9683,
     /*  304551 */     GIR_EraseRootFromParent_Done,
     /*  304552 */   // Label 5664: @304552
     /*  304552 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304615), // Rule ID 9686 //
     /*  304557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304613 */     GIR_RootConstrainSelectedInstOperands,
     /*  304614 */     // GIR_Coverage, 9686,
     /*  304614 */     GIR_EraseRootFromParent_Done,
     /*  304615 */   // Label 5665: @304615
     /*  304615 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304678), // Rule ID 9687 //
     /*  304620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304659 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304676 */     GIR_RootConstrainSelectedInstOperands,
     /*  304677 */     // GIR_Coverage, 9687,
     /*  304677 */     GIR_EraseRootFromParent_Done,
     /*  304678 */   // Label 5666: @304678
     /*  304678 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304741), // Rule ID 9690 //
     /*  304683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304739 */     GIR_RootConstrainSelectedInstOperands,
     /*  304740 */     // GIR_Coverage, 9690,
     /*  304740 */     GIR_EraseRootFromParent_Done,
     /*  304741 */   // Label 5667: @304741
     /*  304741 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304804), // Rule ID 9691 //
     /*  304746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304785 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304802 */     GIR_RootConstrainSelectedInstOperands,
     /*  304803 */     // GIR_Coverage, 9691,
     /*  304803 */     GIR_EraseRootFromParent_Done,
     /*  304804 */   // Label 5668: @304804
     /*  304804 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(304867), // Rule ID 9694 //
     /*  304809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304865 */     GIR_RootConstrainSelectedInstOperands,
     /*  304866 */     // GIR_Coverage, 9694,
     /*  304866 */     GIR_EraseRootFromParent_Done,
     /*  304867 */   // Label 5669: @304867
     /*  304867 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(304930), // Rule ID 9695 //
     /*  304872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304911 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304928 */     GIR_RootConstrainSelectedInstOperands,
     /*  304929 */     // GIR_Coverage, 9695,
     /*  304929 */     GIR_EraseRootFromParent_Done,
     /*  304930 */   // Label 5670: @304930
     /*  304930 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(304993), // Rule ID 9698 //
     /*  304935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304991 */     GIR_RootConstrainSelectedInstOperands,
     /*  304992 */     // GIR_Coverage, 9698,
     /*  304992 */     GIR_EraseRootFromParent_Done,
     /*  304993 */   // Label 5671: @304993
     /*  304993 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305056), // Rule ID 9699 //
     /*  304998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  305012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  305015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305054 */     GIR_RootConstrainSelectedInstOperands,
     /*  305055 */     // GIR_Coverage, 9699,
     /*  305055 */     GIR_EraseRootFromParent_Done,
     /*  305056 */   // Label 5672: @305056
     /*  305056 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305119), // Rule ID 9702 //
     /*  305061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305117 */     GIR_RootConstrainSelectedInstOperands,
     /*  305118 */     // GIR_Coverage, 9702,
     /*  305118 */     GIR_EraseRootFromParent_Done,
     /*  305119 */   // Label 5673: @305119
     /*  305119 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305182), // Rule ID 9703 //
     /*  305124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305180 */     GIR_RootConstrainSelectedInstOperands,
     /*  305181 */     // GIR_Coverage, 9703,
     /*  305181 */     GIR_EraseRootFromParent_Done,
     /*  305182 */   // Label 5674: @305182
     /*  305182 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305245), // Rule ID 9706 //
     /*  305187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305243 */     GIR_RootConstrainSelectedInstOperands,
     /*  305244 */     // GIR_Coverage, 9706,
     /*  305244 */     GIR_EraseRootFromParent_Done,
     /*  305245 */   // Label 5675: @305245
     /*  305245 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305308), // Rule ID 9707 //
     /*  305250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305306 */     GIR_RootConstrainSelectedInstOperands,
     /*  305307 */     // GIR_Coverage, 9707,
     /*  305307 */     GIR_EraseRootFromParent_Done,
     /*  305308 */   // Label 5676: @305308
     /*  305308 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305371), // Rule ID 9710 //
     /*  305313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  305327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  305330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305369 */     GIR_RootConstrainSelectedInstOperands,
     /*  305370 */     // GIR_Coverage, 9710,
     /*  305370 */     GIR_EraseRootFromParent_Done,
     /*  305371 */   // Label 5677: @305371
     /*  305371 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305434), // Rule ID 9711 //
     /*  305376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  305390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  305393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305432 */     GIR_RootConstrainSelectedInstOperands,
     /*  305433 */     // GIR_Coverage, 9711,
     /*  305433 */     GIR_EraseRootFromParent_Done,
     /*  305434 */   // Label 5678: @305434
     /*  305434 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305497), // Rule ID 9714 //
     /*  305439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305495 */     GIR_RootConstrainSelectedInstOperands,
     /*  305496 */     // GIR_Coverage, 9714,
     /*  305496 */     GIR_EraseRootFromParent_Done,
     /*  305497 */   // Label 5679: @305497
     /*  305497 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305560), // Rule ID 9715 //
     /*  305502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305558 */     GIR_RootConstrainSelectedInstOperands,
     /*  305559 */     // GIR_Coverage, 9715,
     /*  305559 */     GIR_EraseRootFromParent_Done,
     /*  305560 */   // Label 5680: @305560
     /*  305560 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305623), // Rule ID 9718 //
     /*  305565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305621 */     GIR_RootConstrainSelectedInstOperands,
     /*  305622 */     // GIR_Coverage, 9718,
     /*  305622 */     GIR_EraseRootFromParent_Done,
     /*  305623 */   // Label 5681: @305623
     /*  305623 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305686), // Rule ID 9719 //
     /*  305628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305667 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305684 */     GIR_RootConstrainSelectedInstOperands,
     /*  305685 */     // GIR_Coverage, 9719,
     /*  305685 */     GIR_EraseRootFromParent_Done,
     /*  305686 */   // Label 5682: @305686
     /*  305686 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305749), // Rule ID 9722 //
     /*  305691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305730 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305747 */     GIR_RootConstrainSelectedInstOperands,
     /*  305748 */     // GIR_Coverage, 9722,
     /*  305748 */     GIR_EraseRootFromParent_Done,
     /*  305749 */   // Label 5683: @305749
     /*  305749 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305812), // Rule ID 9723 //
     /*  305754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305810 */     GIR_RootConstrainSelectedInstOperands,
     /*  305811 */     // GIR_Coverage, 9723,
     /*  305811 */     GIR_EraseRootFromParent_Done,
     /*  305812 */   // Label 5684: @305812
     /*  305812 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(305875), // Rule ID 9726 //
     /*  305817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305873 */     GIR_RootConstrainSelectedInstOperands,
     /*  305874 */     // GIR_Coverage, 9726,
     /*  305874 */     GIR_EraseRootFromParent_Done,
     /*  305875 */   // Label 5685: @305875
     /*  305875 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(305938), // Rule ID 9727 //
     /*  305880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305919 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305936 */     GIR_RootConstrainSelectedInstOperands,
     /*  305937 */     // GIR_Coverage, 9727,
     /*  305937 */     GIR_EraseRootFromParent_Done,
     /*  305938 */   // Label 5686: @305938
     /*  305938 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306001), // Rule ID 9730 //
     /*  305943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305982 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305999 */     GIR_RootConstrainSelectedInstOperands,
     /*  306000 */     // GIR_Coverage, 9730,
     /*  306000 */     GIR_EraseRootFromParent_Done,
     /*  306001 */   // Label 5687: @306001
     /*  306001 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306064), // Rule ID 9731 //
     /*  306006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306062 */     GIR_RootConstrainSelectedInstOperands,
     /*  306063 */     // GIR_Coverage, 9731,
     /*  306063 */     GIR_EraseRootFromParent_Done,
     /*  306064 */   // Label 5688: @306064
     /*  306064 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306127), // Rule ID 9734 //
     /*  306069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306125 */     GIR_RootConstrainSelectedInstOperands,
     /*  306126 */     // GIR_Coverage, 9734,
     /*  306126 */     GIR_EraseRootFromParent_Done,
     /*  306127 */   // Label 5689: @306127
     /*  306127 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306190), // Rule ID 9735 //
     /*  306132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306188 */     GIR_RootConstrainSelectedInstOperands,
     /*  306189 */     // GIR_Coverage, 9735,
     /*  306189 */     GIR_EraseRootFromParent_Done,
     /*  306190 */   // Label 5690: @306190
     /*  306190 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306253), // Rule ID 9738 //
     /*  306195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306234 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306251 */     GIR_RootConstrainSelectedInstOperands,
     /*  306252 */     // GIR_Coverage, 9738,
     /*  306252 */     GIR_EraseRootFromParent_Done,
     /*  306253 */   // Label 5691: @306253
     /*  306253 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306316), // Rule ID 9739 //
     /*  306258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306314 */     GIR_RootConstrainSelectedInstOperands,
     /*  306315 */     // GIR_Coverage, 9739,
     /*  306315 */     GIR_EraseRootFromParent_Done,
     /*  306316 */   // Label 5692: @306316
     /*  306316 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306379), // Rule ID 9742 //
     /*  306321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  306335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  306338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306377 */     GIR_RootConstrainSelectedInstOperands,
     /*  306378 */     // GIR_Coverage, 9742,
     /*  306378 */     GIR_EraseRootFromParent_Done,
     /*  306379 */   // Label 5693: @306379
     /*  306379 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306442), // Rule ID 9743 //
     /*  306384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  306398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  306401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306423 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306440 */     GIR_RootConstrainSelectedInstOperands,
     /*  306441 */     // GIR_Coverage, 9743,
     /*  306441 */     GIR_EraseRootFromParent_Done,
     /*  306442 */   // Label 5694: @306442
     /*  306442 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306505), // Rule ID 9746 //
     /*  306447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306503 */     GIR_RootConstrainSelectedInstOperands,
     /*  306504 */     // GIR_Coverage, 9746,
     /*  306504 */     GIR_EraseRootFromParent_Done,
     /*  306505 */   // Label 5695: @306505
     /*  306505 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306568), // Rule ID 9747 //
     /*  306510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306549 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306566 */     GIR_RootConstrainSelectedInstOperands,
     /*  306567 */     // GIR_Coverage, 9747,
     /*  306567 */     GIR_EraseRootFromParent_Done,
     /*  306568 */   // Label 5696: @306568
     /*  306568 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306631), // Rule ID 9750 //
     /*  306573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306612 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306629 */     GIR_RootConstrainSelectedInstOperands,
     /*  306630 */     // GIR_Coverage, 9750,
     /*  306630 */     GIR_EraseRootFromParent_Done,
     /*  306631 */   // Label 5697: @306631
     /*  306631 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306694), // Rule ID 9751 //
     /*  306636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306675 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306692 */     GIR_RootConstrainSelectedInstOperands,
     /*  306693 */     // GIR_Coverage, 9751,
     /*  306693 */     GIR_EraseRootFromParent_Done,
     /*  306694 */   // Label 5698: @306694
     /*  306694 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306757), // Rule ID 9754 //
     /*  306699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306755 */     GIR_RootConstrainSelectedInstOperands,
     /*  306756 */     // GIR_Coverage, 9754,
     /*  306756 */     GIR_EraseRootFromParent_Done,
     /*  306757 */   // Label 5699: @306757
     /*  306757 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(306820), // Rule ID 9755 //
     /*  306762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306818 */     GIR_RootConstrainSelectedInstOperands,
     /*  306819 */     // GIR_Coverage, 9755,
     /*  306819 */     GIR_EraseRootFromParent_Done,
     /*  306820 */   // Label 5700: @306820
     /*  306820 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(306883), // Rule ID 9758 //
     /*  306825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306881 */     GIR_RootConstrainSelectedInstOperands,
     /*  306882 */     // GIR_Coverage, 9758,
     /*  306882 */     GIR_EraseRootFromParent_Done,
     /*  306883 */   // Label 5701: @306883
     /*  306883 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(306946), // Rule ID 9759 //
     /*  306888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306944 */     GIR_RootConstrainSelectedInstOperands,
     /*  306945 */     // GIR_Coverage, 9759,
     /*  306945 */     GIR_EraseRootFromParent_Done,
     /*  306946 */   // Label 5702: @306946
     /*  306946 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307009), // Rule ID 9762 //
     /*  306951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306990 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307007 */     GIR_RootConstrainSelectedInstOperands,
     /*  307008 */     // GIR_Coverage, 9762,
     /*  307008 */     GIR_EraseRootFromParent_Done,
     /*  307009 */   // Label 5703: @307009
     /*  307009 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307072), // Rule ID 9763 //
     /*  307014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307053 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307070 */     GIR_RootConstrainSelectedInstOperands,
     /*  307071 */     // GIR_Coverage, 9763,
     /*  307071 */     GIR_EraseRootFromParent_Done,
     /*  307072 */   // Label 5704: @307072
     /*  307072 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307135), // Rule ID 9766 //
     /*  307077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307133 */     GIR_RootConstrainSelectedInstOperands,
     /*  307134 */     // GIR_Coverage, 9766,
     /*  307134 */     GIR_EraseRootFromParent_Done,
     /*  307135 */   // Label 5705: @307135
     /*  307135 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307198), // Rule ID 9767 //
     /*  307140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307196 */     GIR_RootConstrainSelectedInstOperands,
     /*  307197 */     // GIR_Coverage, 9767,
     /*  307197 */     GIR_EraseRootFromParent_Done,
     /*  307198 */   // Label 5706: @307198
     /*  307198 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307261), // Rule ID 9770 //
     /*  307203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307259 */     GIR_RootConstrainSelectedInstOperands,
     /*  307260 */     // GIR_Coverage, 9770,
     /*  307260 */     GIR_EraseRootFromParent_Done,
     /*  307261 */   // Label 5707: @307261
     /*  307261 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307324), // Rule ID 9771 //
     /*  307266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307305 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307322 */     GIR_RootConstrainSelectedInstOperands,
     /*  307323 */     // GIR_Coverage, 9771,
     /*  307323 */     GIR_EraseRootFromParent_Done,
     /*  307324 */   // Label 5708: @307324
     /*  307324 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307387), // Rule ID 9774 //
     /*  307329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307385 */     GIR_RootConstrainSelectedInstOperands,
     /*  307386 */     // GIR_Coverage, 9774,
     /*  307386 */     GIR_EraseRootFromParent_Done,
     /*  307387 */   // Label 5709: @307387
     /*  307387 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307450), // Rule ID 9775 //
     /*  307392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307448 */     GIR_RootConstrainSelectedInstOperands,
     /*  307449 */     // GIR_Coverage, 9775,
     /*  307449 */     GIR_EraseRootFromParent_Done,
     /*  307450 */   // Label 5710: @307450
     /*  307450 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307513), // Rule ID 9778 //
     /*  307455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307511 */     GIR_RootConstrainSelectedInstOperands,
     /*  307512 */     // GIR_Coverage, 9778,
     /*  307512 */     GIR_EraseRootFromParent_Done,
     /*  307513 */   // Label 5711: @307513
     /*  307513 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307576), // Rule ID 9779 //
     /*  307518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307574 */     GIR_RootConstrainSelectedInstOperands,
     /*  307575 */     // GIR_Coverage, 9779,
     /*  307575 */     GIR_EraseRootFromParent_Done,
     /*  307576 */   // Label 5712: @307576
     /*  307576 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307639), // Rule ID 9782 //
     /*  307581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307637 */     GIR_RootConstrainSelectedInstOperands,
     /*  307638 */     // GIR_Coverage, 9782,
     /*  307638 */     GIR_EraseRootFromParent_Done,
     /*  307639 */   // Label 5713: @307639
     /*  307639 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307702), // Rule ID 9783 //
     /*  307644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307700 */     GIR_RootConstrainSelectedInstOperands,
     /*  307701 */     // GIR_Coverage, 9783,
     /*  307701 */     GIR_EraseRootFromParent_Done,
     /*  307702 */   // Label 5714: @307702
     /*  307702 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307765), // Rule ID 9786 //
     /*  307707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307746 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307763 */     GIR_RootConstrainSelectedInstOperands,
     /*  307764 */     // GIR_Coverage, 9786,
     /*  307764 */     GIR_EraseRootFromParent_Done,
     /*  307765 */   // Label 5715: @307765
     /*  307765 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(307828), // Rule ID 9787 //
     /*  307770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307826 */     GIR_RootConstrainSelectedInstOperands,
     /*  307827 */     // GIR_Coverage, 9787,
     /*  307827 */     GIR_EraseRootFromParent_Done,
     /*  307828 */   // Label 5716: @307828
     /*  307828 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(307894), // Rule ID 13862 //
     /*  307833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307892 */     GIR_RootConstrainSelectedInstOperands,
     /*  307893 */     // GIR_Coverage, 13862,
     /*  307893 */     GIR_EraseRootFromParent_Done,
     /*  307894 */   // Label 5717: @307894
     /*  307894 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(307960), // Rule ID 13863 //
     /*  307899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307938 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307958 */     GIR_RootConstrainSelectedInstOperands,
     /*  307959 */     // GIR_Coverage, 13863,
     /*  307959 */     GIR_EraseRootFromParent_Done,
     /*  307960 */   // Label 5718: @307960
     /*  307960 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308026), // Rule ID 13864 //
     /*  307965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308004 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308024 */     GIR_RootConstrainSelectedInstOperands,
     /*  308025 */     // GIR_Coverage, 13864,
     /*  308025 */     GIR_EraseRootFromParent_Done,
     /*  308026 */   // Label 5719: @308026
     /*  308026 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308092), // Rule ID 13865 //
     /*  308031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  308042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  308045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  308048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308090 */     GIR_RootConstrainSelectedInstOperands,
     /*  308091 */     // GIR_Coverage, 13865,
     /*  308091 */     GIR_EraseRootFromParent_Done,
     /*  308092 */   // Label 5720: @308092
     /*  308092 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308158), // Rule ID 13866 //
     /*  308097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308156 */     GIR_RootConstrainSelectedInstOperands,
     /*  308157 */     // GIR_Coverage, 13866,
     /*  308157 */     GIR_EraseRootFromParent_Done,
     /*  308158 */   // Label 5721: @308158
     /*  308158 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308224), // Rule ID 13867 //
     /*  308163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308222 */     GIR_RootConstrainSelectedInstOperands,
     /*  308223 */     // GIR_Coverage, 13867,
     /*  308223 */     GIR_EraseRootFromParent_Done,
     /*  308224 */   // Label 5722: @308224
     /*  308224 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308290), // Rule ID 13868 //
     /*  308229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308288 */     GIR_RootConstrainSelectedInstOperands,
     /*  308289 */     // GIR_Coverage, 13868,
     /*  308289 */     GIR_EraseRootFromParent_Done,
     /*  308290 */   // Label 5723: @308290
     /*  308290 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308356), // Rule ID 13869 //
     /*  308295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308354 */     GIR_RootConstrainSelectedInstOperands,
     /*  308355 */     // GIR_Coverage, 13869,
     /*  308355 */     GIR_EraseRootFromParent_Done,
     /*  308356 */   // Label 5724: @308356
     /*  308356 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308422), // Rule ID 13870 //
     /*  308361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308420 */     GIR_RootConstrainSelectedInstOperands,
     /*  308421 */     // GIR_Coverage, 13870,
     /*  308421 */     GIR_EraseRootFromParent_Done,
     /*  308422 */   // Label 5725: @308422
     /*  308422 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308488), // Rule ID 13871 //
     /*  308427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308486 */     GIR_RootConstrainSelectedInstOperands,
     /*  308487 */     // GIR_Coverage, 13871,
     /*  308487 */     GIR_EraseRootFromParent_Done,
     /*  308488 */   // Label 5726: @308488
     /*  308488 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308554), // Rule ID 13872 //
     /*  308493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308552 */     GIR_RootConstrainSelectedInstOperands,
     /*  308553 */     // GIR_Coverage, 13872,
     /*  308553 */     GIR_EraseRootFromParent_Done,
     /*  308554 */   // Label 5727: @308554
     /*  308554 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308620), // Rule ID 13873 //
     /*  308559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308618 */     GIR_RootConstrainSelectedInstOperands,
     /*  308619 */     // GIR_Coverage, 13873,
     /*  308619 */     GIR_EraseRootFromParent_Done,
     /*  308620 */   // Label 5728: @308620
     /*  308620 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308686), // Rule ID 13874 //
     /*  308625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308684 */     GIR_RootConstrainSelectedInstOperands,
     /*  308685 */     // GIR_Coverage, 13874,
     /*  308685 */     GIR_EraseRootFromParent_Done,
     /*  308686 */   // Label 5729: @308686
     /*  308686 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308752), // Rule ID 13875 //
     /*  308691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308750 */     GIR_RootConstrainSelectedInstOperands,
     /*  308751 */     // GIR_Coverage, 13875,
     /*  308751 */     GIR_EraseRootFromParent_Done,
     /*  308752 */   // Label 5730: @308752
     /*  308752 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(308818), // Rule ID 13876 //
     /*  308757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308816 */     GIR_RootConstrainSelectedInstOperands,
     /*  308817 */     // GIR_Coverage, 13876,
     /*  308817 */     GIR_EraseRootFromParent_Done,
     /*  308818 */   // Label 5731: @308818
     /*  308818 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(308884), // Rule ID 13877 //
     /*  308823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308882 */     GIR_RootConstrainSelectedInstOperands,
     /*  308883 */     // GIR_Coverage, 13877,
     /*  308883 */     GIR_EraseRootFromParent_Done,
     /*  308884 */   // Label 5732: @308884
     /*  308884 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(308950), // Rule ID 13878 //
     /*  308889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308948 */     GIR_RootConstrainSelectedInstOperands,
     /*  308949 */     // GIR_Coverage, 13878,
     /*  308949 */     GIR_EraseRootFromParent_Done,
     /*  308950 */   // Label 5733: @308950
     /*  308950 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309016), // Rule ID 13879 //
     /*  308955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309014 */     GIR_RootConstrainSelectedInstOperands,
     /*  309015 */     // GIR_Coverage, 13879,
     /*  309015 */     GIR_EraseRootFromParent_Done,
     /*  309016 */   // Label 5734: @309016
     /*  309016 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309082), // Rule ID 13880 //
     /*  309021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309080 */     GIR_RootConstrainSelectedInstOperands,
     /*  309081 */     // GIR_Coverage, 13880,
     /*  309081 */     GIR_EraseRootFromParent_Done,
     /*  309082 */   // Label 5735: @309082
     /*  309082 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309148), // Rule ID 13881 //
     /*  309087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309146 */     GIR_RootConstrainSelectedInstOperands,
     /*  309147 */     // GIR_Coverage, 13881,
     /*  309147 */     GIR_EraseRootFromParent_Done,
     /*  309148 */   // Label 5736: @309148
     /*  309148 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309214), // Rule ID 13882 //
     /*  309153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309212 */     GIR_RootConstrainSelectedInstOperands,
     /*  309213 */     // GIR_Coverage, 13882,
     /*  309213 */     GIR_EraseRootFromParent_Done,
     /*  309214 */   // Label 5737: @309214
     /*  309214 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309280), // Rule ID 13883 //
     /*  309219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309278 */     GIR_RootConstrainSelectedInstOperands,
     /*  309279 */     // GIR_Coverage, 13883,
     /*  309279 */     GIR_EraseRootFromParent_Done,
     /*  309280 */   // Label 5738: @309280
     /*  309280 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309346), // Rule ID 13884 //
     /*  309285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  309296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  309299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  309302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309344 */     GIR_RootConstrainSelectedInstOperands,
     /*  309345 */     // GIR_Coverage, 13884,
     /*  309345 */     GIR_EraseRootFromParent_Done,
     /*  309346 */   // Label 5739: @309346
     /*  309346 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309412), // Rule ID 13885 //
     /*  309351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  309362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  309365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  309368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309410 */     GIR_RootConstrainSelectedInstOperands,
     /*  309411 */     // GIR_Coverage, 13885,
     /*  309411 */     GIR_EraseRootFromParent_Done,
     /*  309412 */   // Label 5740: @309412
     /*  309412 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309478), // Rule ID 13886 //
     /*  309417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309476 */     GIR_RootConstrainSelectedInstOperands,
     /*  309477 */     // GIR_Coverage, 13886,
     /*  309477 */     GIR_EraseRootFromParent_Done,
     /*  309478 */   // Label 5741: @309478
     /*  309478 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309544), // Rule ID 13887 //
     /*  309483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309542 */     GIR_RootConstrainSelectedInstOperands,
     /*  309543 */     // GIR_Coverage, 13887,
     /*  309543 */     GIR_EraseRootFromParent_Done,
     /*  309544 */   // Label 5742: @309544
     /*  309544 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309610), // Rule ID 13888 //
     /*  309549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309608 */     GIR_RootConstrainSelectedInstOperands,
     /*  309609 */     // GIR_Coverage, 13888,
     /*  309609 */     GIR_EraseRootFromParent_Done,
     /*  309610 */   // Label 5743: @309610
     /*  309610 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309676), // Rule ID 13889 //
     /*  309615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309674 */     GIR_RootConstrainSelectedInstOperands,
     /*  309675 */     // GIR_Coverage, 13889,
     /*  309675 */     GIR_EraseRootFromParent_Done,
     /*  309676 */   // Label 5744: @309676
     /*  309676 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309742), // Rule ID 13890 //
     /*  309681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309740 */     GIR_RootConstrainSelectedInstOperands,
     /*  309741 */     // GIR_Coverage, 13890,
     /*  309741 */     GIR_EraseRootFromParent_Done,
     /*  309742 */   // Label 5745: @309742
     /*  309742 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(309808), // Rule ID 13891 //
     /*  309747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309806 */     GIR_RootConstrainSelectedInstOperands,
     /*  309807 */     // GIR_Coverage, 13891,
     /*  309807 */     GIR_EraseRootFromParent_Done,
     /*  309808 */   // Label 5746: @309808
     /*  309808 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(309874), // Rule ID 13892 //
     /*  309813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309872 */     GIR_RootConstrainSelectedInstOperands,
     /*  309873 */     // GIR_Coverage, 13892,
     /*  309873 */     GIR_EraseRootFromParent_Done,
     /*  309874 */   // Label 5747: @309874
     /*  309874 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(309940), // Rule ID 13893 //
     /*  309879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309938 */     GIR_RootConstrainSelectedInstOperands,
     /*  309939 */     // GIR_Coverage, 13893,
     /*  309939 */     GIR_EraseRootFromParent_Done,
     /*  309940 */   // Label 5748: @309940
     /*  309940 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310006), // Rule ID 13894 //
     /*  309945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310004 */     GIR_RootConstrainSelectedInstOperands,
     /*  310005 */     // GIR_Coverage, 13894,
     /*  310005 */     GIR_EraseRootFromParent_Done,
     /*  310006 */   // Label 5749: @310006
     /*  310006 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310072), // Rule ID 13895 //
     /*  310011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310070 */     GIR_RootConstrainSelectedInstOperands,
     /*  310071 */     // GIR_Coverage, 13895,
     /*  310071 */     GIR_EraseRootFromParent_Done,
     /*  310072 */   // Label 5750: @310072
     /*  310072 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310138), // Rule ID 13896 //
     /*  310077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310136 */     GIR_RootConstrainSelectedInstOperands,
     /*  310137 */     // GIR_Coverage, 13896,
     /*  310137 */     GIR_EraseRootFromParent_Done,
     /*  310138 */   // Label 5751: @310138
     /*  310138 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310204), // Rule ID 13897 //
     /*  310143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310202 */     GIR_RootConstrainSelectedInstOperands,
     /*  310203 */     // GIR_Coverage, 13897,
     /*  310203 */     GIR_EraseRootFromParent_Done,
     /*  310204 */   // Label 5752: @310204
     /*  310204 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310270), // Rule ID 13898 //
     /*  310209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310248 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310268 */     GIR_RootConstrainSelectedInstOperands,
     /*  310269 */     // GIR_Coverage, 13898,
     /*  310269 */     GIR_EraseRootFromParent_Done,
     /*  310270 */   // Label 5753: @310270
     /*  310270 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310336), // Rule ID 13899 //
     /*  310275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310334 */     GIR_RootConstrainSelectedInstOperands,
     /*  310335 */     // GIR_Coverage, 13899,
     /*  310335 */     GIR_EraseRootFromParent_Done,
     /*  310336 */   // Label 5754: @310336
     /*  310336 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310402), // Rule ID 13900 //
     /*  310341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310400 */     GIR_RootConstrainSelectedInstOperands,
     /*  310401 */     // GIR_Coverage, 13900,
     /*  310401 */     GIR_EraseRootFromParent_Done,
     /*  310402 */   // Label 5755: @310402
     /*  310402 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310468), // Rule ID 13901 //
     /*  310407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310466 */     GIR_RootConstrainSelectedInstOperands,
     /*  310467 */     // GIR_Coverage, 13901,
     /*  310467 */     GIR_EraseRootFromParent_Done,
     /*  310468 */   // Label 5756: @310468
     /*  310468 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310534), // Rule ID 13902 //
     /*  310473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310532 */     GIR_RootConstrainSelectedInstOperands,
     /*  310533 */     // GIR_Coverage, 13902,
     /*  310533 */     GIR_EraseRootFromParent_Done,
     /*  310534 */   // Label 5757: @310534
     /*  310534 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310600), // Rule ID 13903 //
     /*  310539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310598 */     GIR_RootConstrainSelectedInstOperands,
     /*  310599 */     // GIR_Coverage, 13903,
     /*  310599 */     GIR_EraseRootFromParent_Done,
     /*  310600 */   // Label 5758: @310600
     /*  310600 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310666), // Rule ID 13904 //
     /*  310605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310664 */     GIR_RootConstrainSelectedInstOperands,
     /*  310665 */     // GIR_Coverage, 13904,
     /*  310665 */     GIR_EraseRootFromParent_Done,
     /*  310666 */   // Label 5759: @310666
     /*  310666 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310732), // Rule ID 13905 //
     /*  310671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310730 */     GIR_RootConstrainSelectedInstOperands,
     /*  310731 */     // GIR_Coverage, 13905,
     /*  310731 */     GIR_EraseRootFromParent_Done,
     /*  310732 */   // Label 5760: @310732
     /*  310732 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(310798), // Rule ID 13906 //
     /*  310737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310796 */     GIR_RootConstrainSelectedInstOperands,
     /*  310797 */     // GIR_Coverage, 13906,
     /*  310797 */     GIR_EraseRootFromParent_Done,
     /*  310798 */   // Label 5761: @310798
     /*  310798 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(310864), // Rule ID 13907 //
     /*  310803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310842 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310862 */     GIR_RootConstrainSelectedInstOperands,
     /*  310863 */     // GIR_Coverage, 13907,
     /*  310863 */     GIR_EraseRootFromParent_Done,
     /*  310864 */   // Label 5762: @310864
     /*  310864 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(310930), // Rule ID 13908 //
     /*  310869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310908 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310928 */     GIR_RootConstrainSelectedInstOperands,
     /*  310929 */     // GIR_Coverage, 13908,
     /*  310929 */     GIR_EraseRootFromParent_Done,
     /*  310930 */   // Label 5763: @310930
     /*  310930 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(310996), // Rule ID 13909 //
     /*  310935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310974 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310994 */     GIR_RootConstrainSelectedInstOperands,
     /*  310995 */     // GIR_Coverage, 13909,
     /*  310995 */     GIR_EraseRootFromParent_Done,
     /*  310996 */   // Label 5764: @310996
     /*  310996 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311062), // Rule ID 13910 //
     /*  311001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311060 */     GIR_RootConstrainSelectedInstOperands,
     /*  311061 */     // GIR_Coverage, 13910,
     /*  311061 */     GIR_EraseRootFromParent_Done,
     /*  311062 */   // Label 5765: @311062
     /*  311062 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311128), // Rule ID 13911 //
     /*  311067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311106 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311126 */     GIR_RootConstrainSelectedInstOperands,
     /*  311127 */     // GIR_Coverage, 13911,
     /*  311127 */     GIR_EraseRootFromParent_Done,
     /*  311128 */   // Label 5766: @311128
     /*  311128 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311194), // Rule ID 13912 //
     /*  311133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311192 */     GIR_RootConstrainSelectedInstOperands,
     /*  311193 */     // GIR_Coverage, 13912,
     /*  311193 */     GIR_EraseRootFromParent_Done,
     /*  311194 */   // Label 5767: @311194
     /*  311194 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311260), // Rule ID 13913 //
     /*  311199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311238 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311258 */     GIR_RootConstrainSelectedInstOperands,
     /*  311259 */     // GIR_Coverage, 13913,
     /*  311259 */     GIR_EraseRootFromParent_Done,
     /*  311260 */   // Label 5768: @311260
     /*  311260 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311326), // Rule ID 13914 //
     /*  311265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311324 */     GIR_RootConstrainSelectedInstOperands,
     /*  311325 */     // GIR_Coverage, 13914,
     /*  311325 */     GIR_EraseRootFromParent_Done,
     /*  311326 */   // Label 5769: @311326
     /*  311326 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311392), // Rule ID 13915 //
     /*  311331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311390 */     GIR_RootConstrainSelectedInstOperands,
     /*  311391 */     // GIR_Coverage, 13915,
     /*  311391 */     GIR_EraseRootFromParent_Done,
     /*  311392 */   // Label 5770: @311392
     /*  311392 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311458), // Rule ID 13916 //
     /*  311397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311456 */     GIR_RootConstrainSelectedInstOperands,
     /*  311457 */     // GIR_Coverage, 13916,
     /*  311457 */     GIR_EraseRootFromParent_Done,
     /*  311458 */   // Label 5771: @311458
     /*  311458 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311524), // Rule ID 13917 //
     /*  311463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311522 */     GIR_RootConstrainSelectedInstOperands,
     /*  311523 */     // GIR_Coverage, 13917,
     /*  311523 */     GIR_EraseRootFromParent_Done,
     /*  311524 */   // Label 5772: @311524
     /*  311524 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311590), // Rule ID 13918 //
     /*  311529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311568 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311588 */     GIR_RootConstrainSelectedInstOperands,
     /*  311589 */     // GIR_Coverage, 13918,
     /*  311589 */     GIR_EraseRootFromParent_Done,
     /*  311590 */   // Label 5773: @311590
     /*  311590 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311656), // Rule ID 13919 //
     /*  311595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311634 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311654 */     GIR_RootConstrainSelectedInstOperands,
     /*  311655 */     // GIR_Coverage, 13919,
     /*  311655 */     GIR_EraseRootFromParent_Done,
     /*  311656 */   // Label 5774: @311656
     /*  311656 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311722), // Rule ID 13920 //
     /*  311661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311700 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311720 */     GIR_RootConstrainSelectedInstOperands,
     /*  311721 */     // GIR_Coverage, 13920,
     /*  311721 */     GIR_EraseRootFromParent_Done,
     /*  311722 */   // Label 5775: @311722
     /*  311722 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(311788), // Rule ID 13921 //
     /*  311727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311766 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311786 */     GIR_RootConstrainSelectedInstOperands,
     /*  311787 */     // GIR_Coverage, 13921,
     /*  311787 */     GIR_EraseRootFromParent_Done,
     /*  311788 */   // Label 5776: @311788
     /*  311788 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(311854), // Rule ID 13922 //
     /*  311793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311832 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311852 */     GIR_RootConstrainSelectedInstOperands,
     /*  311853 */     // GIR_Coverage, 13922,
     /*  311853 */     GIR_EraseRootFromParent_Done,
     /*  311854 */   // Label 5777: @311854
     /*  311854 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(311920), // Rule ID 13923 //
     /*  311859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311918 */     GIR_RootConstrainSelectedInstOperands,
     /*  311919 */     // GIR_Coverage, 13923,
     /*  311919 */     GIR_EraseRootFromParent_Done,
     /*  311920 */   // Label 5778: @311920
     /*  311920 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(311986), // Rule ID 13924 //
     /*  311925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311964 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311984 */     GIR_RootConstrainSelectedInstOperands,
     /*  311985 */     // GIR_Coverage, 13924,
     /*  311985 */     GIR_EraseRootFromParent_Done,
     /*  311986 */   // Label 5779: @311986
     /*  311986 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(312052), // Rule ID 13925 //
     /*  311991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312030 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312050 */     GIR_RootConstrainSelectedInstOperands,
     /*  312051 */     // GIR_Coverage, 13925,
     /*  312051 */     GIR_EraseRootFromParent_Done,
     /*  312052 */   // Label 5780: @312052
     /*  312052 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312118), // Rule ID 13926 //
     /*  312057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312116 */     GIR_RootConstrainSelectedInstOperands,
     /*  312117 */     // GIR_Coverage, 13926,
     /*  312117 */     GIR_EraseRootFromParent_Done,
     /*  312118 */   // Label 5781: @312118
     /*  312118 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312184), // Rule ID 13927 //
     /*  312123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312182 */     GIR_RootConstrainSelectedInstOperands,
     /*  312183 */     // GIR_Coverage, 13927,
     /*  312183 */     GIR_EraseRootFromParent_Done,
     /*  312184 */   // Label 5782: @312184
     /*  312184 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312250), // Rule ID 13928 //
     /*  312189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312228 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312248 */     GIR_RootConstrainSelectedInstOperands,
     /*  312249 */     // GIR_Coverage, 13928,
     /*  312249 */     GIR_EraseRootFromParent_Done,
     /*  312250 */   // Label 5783: @312250
     /*  312250 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312316), // Rule ID 13929 //
     /*  312255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312294 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312314 */     GIR_RootConstrainSelectedInstOperands,
     /*  312315 */     // GIR_Coverage, 13929,
     /*  312315 */     GIR_EraseRootFromParent_Done,
     /*  312316 */   // Label 5784: @312316
     /*  312316 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312382), // Rule ID 13930 //
     /*  312321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312360 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312380 */     GIR_RootConstrainSelectedInstOperands,
     /*  312381 */     // GIR_Coverage, 13930,
     /*  312381 */     GIR_EraseRootFromParent_Done,
     /*  312382 */   // Label 5785: @312382
     /*  312382 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312448), // Rule ID 13931 //
     /*  312387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312426 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312446 */     GIR_RootConstrainSelectedInstOperands,
     /*  312447 */     // GIR_Coverage, 13931,
     /*  312447 */     GIR_EraseRootFromParent_Done,
     /*  312448 */   // Label 5786: @312448
     /*  312448 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312514), // Rule ID 13932 //
     /*  312453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312512 */     GIR_RootConstrainSelectedInstOperands,
     /*  312513 */     // GIR_Coverage, 13932,
     /*  312513 */     GIR_EraseRootFromParent_Done,
     /*  312514 */   // Label 5787: @312514
     /*  312514 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312580), // Rule ID 13933 //
     /*  312519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312558 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312578 */     GIR_RootConstrainSelectedInstOperands,
     /*  312579 */     // GIR_Coverage, 13933,
     /*  312579 */     GIR_EraseRootFromParent_Done,
     /*  312580 */   // Label 5788: @312580
     /*  312580 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312646), // Rule ID 13934 //
     /*  312585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312624 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312644 */     GIR_RootConstrainSelectedInstOperands,
     /*  312645 */     // GIR_Coverage, 13934,
     /*  312645 */     GIR_EraseRootFromParent_Done,
     /*  312646 */   // Label 5789: @312646
     /*  312646 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312712), // Rule ID 13935 //
     /*  312651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312710 */     GIR_RootConstrainSelectedInstOperands,
     /*  312711 */     // GIR_Coverage, 13935,
     /*  312711 */     GIR_EraseRootFromParent_Done,
     /*  312712 */   // Label 5790: @312712
     /*  312712 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312778), // Rule ID 18938 //
     /*  312717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312756 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312776 */     GIR_RootConstrainSelectedInstOperands,
     /*  312777 */     // GIR_Coverage, 18938,
     /*  312777 */     GIR_EraseRootFromParent_Done,
     /*  312778 */   // Label 5791: @312778
     /*  312778 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(312844), // Rule ID 18939 //
     /*  312783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312822 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312842 */     GIR_RootConstrainSelectedInstOperands,
     /*  312843 */     // GIR_Coverage, 18939,
     /*  312843 */     GIR_EraseRootFromParent_Done,
     /*  312844 */   // Label 5792: @312844
     /*  312844 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(312910), // Rule ID 18942 //
     /*  312849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312888 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312908 */     GIR_RootConstrainSelectedInstOperands,
     /*  312909 */     // GIR_Coverage, 18942,
     /*  312909 */     GIR_EraseRootFromParent_Done,
     /*  312910 */   // Label 5793: @312910
     /*  312910 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(312976), // Rule ID 18943 //
     /*  312915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312954 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312974 */     GIR_RootConstrainSelectedInstOperands,
     /*  312975 */     // GIR_Coverage, 18943,
     /*  312975 */     GIR_EraseRootFromParent_Done,
     /*  312976 */   // Label 5794: @312976
     /*  312976 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(313042), // Rule ID 18946 //
     /*  312981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313040 */     GIR_RootConstrainSelectedInstOperands,
     /*  313041 */     // GIR_Coverage, 18946,
     /*  313041 */     GIR_EraseRootFromParent_Done,
     /*  313042 */   // Label 5795: @313042
     /*  313042 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313108), // Rule ID 18947 //
     /*  313047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313086 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313106 */     GIR_RootConstrainSelectedInstOperands,
     /*  313107 */     // GIR_Coverage, 18947,
     /*  313107 */     GIR_EraseRootFromParent_Done,
     /*  313108 */   // Label 5796: @313108
     /*  313108 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313174), // Rule ID 18950 //
     /*  313113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313152 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313172 */     GIR_RootConstrainSelectedInstOperands,
     /*  313173 */     // GIR_Coverage, 18950,
     /*  313173 */     GIR_EraseRootFromParent_Done,
     /*  313174 */   // Label 5797: @313174
     /*  313174 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313240), // Rule ID 18951 //
     /*  313179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313218 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313238 */     GIR_RootConstrainSelectedInstOperands,
     /*  313239 */     // GIR_Coverage, 18951,
     /*  313239 */     GIR_EraseRootFromParent_Done,
     /*  313240 */   // Label 5798: @313240
     /*  313240 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313306), // Rule ID 18954 //
     /*  313245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  313287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313304 */     GIR_RootConstrainSelectedInstOperands,
     /*  313305 */     // GIR_Coverage, 18954,
     /*  313305 */     GIR_EraseRootFromParent_Done,
     /*  313306 */   // Label 5799: @313306
     /*  313306 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313372), // Rule ID 18955 //
     /*  313311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  313353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313370 */     GIR_RootConstrainSelectedInstOperands,
     /*  313371 */     // GIR_Coverage, 18955,
     /*  313371 */     GIR_EraseRootFromParent_Done,
     /*  313372 */   // Label 5800: @313372
     /*  313372 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313438), // Rule ID 18958 //
     /*  313377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313436 */     GIR_RootConstrainSelectedInstOperands,
     /*  313437 */     // GIR_Coverage, 18958,
     /*  313437 */     GIR_EraseRootFromParent_Done,
     /*  313438 */   // Label 5801: @313438
     /*  313438 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313504), // Rule ID 18959 //
     /*  313443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313482 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313502 */     GIR_RootConstrainSelectedInstOperands,
     /*  313503 */     // GIR_Coverage, 18959,
     /*  313503 */     GIR_EraseRootFromParent_Done,
     /*  313504 */   // Label 5802: @313504
     /*  313504 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313570), // Rule ID 18962 //
     /*  313509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313548 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313568 */     GIR_RootConstrainSelectedInstOperands,
     /*  313569 */     // GIR_Coverage, 18962,
     /*  313569 */     GIR_EraseRootFromParent_Done,
     /*  313570 */   // Label 5803: @313570
     /*  313570 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313636), // Rule ID 18963 //
     /*  313575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313614 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313634 */     GIR_RootConstrainSelectedInstOperands,
     /*  313635 */     // GIR_Coverage, 18963,
     /*  313635 */     GIR_EraseRootFromParent_Done,
     /*  313636 */   // Label 5804: @313636
     /*  313636 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313702), // Rule ID 18966 //
     /*  313641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313700 */     GIR_RootConstrainSelectedInstOperands,
     /*  313701 */     // GIR_Coverage, 18966,
     /*  313701 */     GIR_EraseRootFromParent_Done,
     /*  313702 */   // Label 5805: @313702
     /*  313702 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313768), // Rule ID 18967 //
     /*  313707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313746 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313766 */     GIR_RootConstrainSelectedInstOperands,
     /*  313767 */     // GIR_Coverage, 18967,
     /*  313767 */     GIR_EraseRootFromParent_Done,
     /*  313768 */   // Label 5806: @313768
     /*  313768 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(313834), // Rule ID 18970 //
     /*  313773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313812 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313832 */     GIR_RootConstrainSelectedInstOperands,
     /*  313833 */     // GIR_Coverage, 18970,
     /*  313833 */     GIR_EraseRootFromParent_Done,
     /*  313834 */   // Label 5807: @313834
     /*  313834 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(313900), // Rule ID 18971 //
     /*  313839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313878 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313898 */     GIR_RootConstrainSelectedInstOperands,
     /*  313899 */     // GIR_Coverage, 18971,
     /*  313899 */     GIR_EraseRootFromParent_Done,
     /*  313900 */   // Label 5808: @313900
     /*  313900 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(313966), // Rule ID 18974 //
     /*  313905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313964 */     GIR_RootConstrainSelectedInstOperands,
     /*  313965 */     // GIR_Coverage, 18974,
     /*  313965 */     GIR_EraseRootFromParent_Done,
     /*  313966 */   // Label 5809: @313966
     /*  313966 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(314032), // Rule ID 18975 //
     /*  313971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  314013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314030 */     GIR_RootConstrainSelectedInstOperands,
     /*  314031 */     // GIR_Coverage, 18975,
     /*  314031 */     GIR_EraseRootFromParent_Done,
     /*  314032 */   // Label 5810: @314032
     /*  314032 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(314098), // Rule ID 18978 //
     /*  314037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314076 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314096 */     GIR_RootConstrainSelectedInstOperands,
     /*  314097 */     // GIR_Coverage, 18978,
     /*  314097 */     GIR_EraseRootFromParent_Done,
     /*  314098 */   // Label 5811: @314098
     /*  314098 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314164), // Rule ID 18979 //
     /*  314103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314142 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314162 */     GIR_RootConstrainSelectedInstOperands,
     /*  314163 */     // GIR_Coverage, 18979,
     /*  314163 */     GIR_EraseRootFromParent_Done,
     /*  314164 */   // Label 5812: @314164
     /*  314164 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314230), // Rule ID 18982 //
     /*  314169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314208 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314228 */     GIR_RootConstrainSelectedInstOperands,
     /*  314229 */     // GIR_Coverage, 18982,
     /*  314229 */     GIR_EraseRootFromParent_Done,
     /*  314230 */   // Label 5813: @314230
     /*  314230 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314296), // Rule ID 18983 //
     /*  314235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314274 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314294 */     GIR_RootConstrainSelectedInstOperands,
     /*  314295 */     // GIR_Coverage, 18983,
     /*  314295 */     GIR_EraseRootFromParent_Done,
     /*  314296 */   // Label 5814: @314296
     /*  314296 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314362), // Rule ID 18986 //
     /*  314301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314340 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  314343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314360 */     GIR_RootConstrainSelectedInstOperands,
     /*  314361 */     // GIR_Coverage, 18986,
     /*  314361 */     GIR_EraseRootFromParent_Done,
     /*  314362 */   // Label 5815: @314362
     /*  314362 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314428), // Rule ID 18987 //
     /*  314367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314406 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  314409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314426 */     GIR_RootConstrainSelectedInstOperands,
     /*  314427 */     // GIR_Coverage, 18987,
     /*  314427 */     GIR_EraseRootFromParent_Done,
     /*  314428 */   // Label 5816: @314428
     /*  314428 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314494), // Rule ID 18990 //
     /*  314433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314472 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314492 */     GIR_RootConstrainSelectedInstOperands,
     /*  314493 */     // GIR_Coverage, 18990,
     /*  314493 */     GIR_EraseRootFromParent_Done,
     /*  314494 */   // Label 5817: @314494
     /*  314494 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314560), // Rule ID 18991 //
     /*  314499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314538 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314558 */     GIR_RootConstrainSelectedInstOperands,
     /*  314559 */     // GIR_Coverage, 18991,
     /*  314559 */     GIR_EraseRootFromParent_Done,
     /*  314560 */   // Label 5818: @314560
     /*  314560 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314623), // Rule ID 19654 //
     /*  314565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314621 */     GIR_RootConstrainSelectedInstOperands,
     /*  314622 */     // GIR_Coverage, 19654,
     /*  314622 */     GIR_EraseRootFromParent_Done,
     /*  314623 */   // Label 5819: @314623
     /*  314623 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314686), // Rule ID 19655 //
     /*  314628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314684 */     GIR_RootConstrainSelectedInstOperands,
     /*  314685 */     // GIR_Coverage, 19655,
     /*  314685 */     GIR_EraseRootFromParent_Done,
     /*  314686 */   // Label 5820: @314686
     /*  314686 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314749), // Rule ID 19658 //
     /*  314691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314747 */     GIR_RootConstrainSelectedInstOperands,
     /*  314748 */     // GIR_Coverage, 19658,
     /*  314748 */     GIR_EraseRootFromParent_Done,
     /*  314749 */   // Label 5821: @314749
     /*  314749 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314812), // Rule ID 19659 //
     /*  314754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314793 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314810 */     GIR_RootConstrainSelectedInstOperands,
     /*  314811 */     // GIR_Coverage, 19659,
     /*  314811 */     GIR_EraseRootFromParent_Done,
     /*  314812 */   // Label 5822: @314812
     /*  314812 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(314875), // Rule ID 19662 //
     /*  314817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314873 */     GIR_RootConstrainSelectedInstOperands,
     /*  314874 */     // GIR_Coverage, 19662,
     /*  314874 */     GIR_EraseRootFromParent_Done,
     /*  314875 */   // Label 5823: @314875
     /*  314875 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(314938), // Rule ID 19663 //
     /*  314880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314919 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314936 */     GIR_RootConstrainSelectedInstOperands,
     /*  314937 */     // GIR_Coverage, 19663,
     /*  314937 */     GIR_EraseRootFromParent_Done,
     /*  314938 */   // Label 5824: @314938
     /*  314938 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(315001), // Rule ID 19666 //
     /*  314943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314982 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314999 */     GIR_RootConstrainSelectedInstOperands,
     /*  315000 */     // GIR_Coverage, 19666,
     /*  315000 */     GIR_EraseRootFromParent_Done,
     /*  315001 */   // Label 5825: @315001
     /*  315001 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(315064), // Rule ID 19667 //
     /*  315006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315062 */     GIR_RootConstrainSelectedInstOperands,
     /*  315063 */     // GIR_Coverage, 19667,
     /*  315063 */     GIR_EraseRootFromParent_Done,
     /*  315064 */   // Label 5826: @315064
     /*  315064 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315127), // Rule ID 19670 //
     /*  315069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315125 */     GIR_RootConstrainSelectedInstOperands,
     /*  315126 */     // GIR_Coverage, 19670,
     /*  315126 */     GIR_EraseRootFromParent_Done,
     /*  315127 */   // Label 5827: @315127
     /*  315127 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315190), // Rule ID 19671 //
     /*  315132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315188 */     GIR_RootConstrainSelectedInstOperands,
     /*  315189 */     // GIR_Coverage, 19671,
     /*  315189 */     GIR_EraseRootFromParent_Done,
     /*  315190 */   // Label 5828: @315190
     /*  315190 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315253), // Rule ID 19674 //
     /*  315195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315234 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315251 */     GIR_RootConstrainSelectedInstOperands,
     /*  315252 */     // GIR_Coverage, 19674,
     /*  315252 */     GIR_EraseRootFromParent_Done,
     /*  315253 */   // Label 5829: @315253
     /*  315253 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315316), // Rule ID 19675 //
     /*  315258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315314 */     GIR_RootConstrainSelectedInstOperands,
     /*  315315 */     // GIR_Coverage, 19675,
     /*  315315 */     GIR_EraseRootFromParent_Done,
     /*  315316 */   // Label 5830: @315316
     /*  315316 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315379), // Rule ID 19678 //
     /*  315321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315377 */     GIR_RootConstrainSelectedInstOperands,
     /*  315378 */     // GIR_Coverage, 19678,
     /*  315378 */     GIR_EraseRootFromParent_Done,
     /*  315379 */   // Label 5831: @315379
     /*  315379 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315442), // Rule ID 19679 //
     /*  315384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315423 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315440 */     GIR_RootConstrainSelectedInstOperands,
     /*  315441 */     // GIR_Coverage, 19679,
     /*  315441 */     GIR_EraseRootFromParent_Done,
     /*  315442 */   // Label 5832: @315442
     /*  315442 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315505), // Rule ID 19682 //
     /*  315447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315486 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315503 */     GIR_RootConstrainSelectedInstOperands,
     /*  315504 */     // GIR_Coverage, 19682,
     /*  315504 */     GIR_EraseRootFromParent_Done,
     /*  315505 */   // Label 5833: @315505
     /*  315505 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315568), // Rule ID 19683 //
     /*  315510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315549 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315566 */     GIR_RootConstrainSelectedInstOperands,
     /*  315567 */     // GIR_Coverage, 19683,
     /*  315567 */     GIR_EraseRootFromParent_Done,
     /*  315568 */   // Label 5834: @315568
     /*  315568 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315631), // Rule ID 19686 //
     /*  315573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315629 */     GIR_RootConstrainSelectedInstOperands,
     /*  315630 */     // GIR_Coverage, 19686,
     /*  315630 */     GIR_EraseRootFromParent_Done,
     /*  315631 */   // Label 5835: @315631
     /*  315631 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315694), // Rule ID 19687 //
     /*  315636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315675 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315692 */     GIR_RootConstrainSelectedInstOperands,
     /*  315693 */     // GIR_Coverage, 19687,
     /*  315693 */     GIR_EraseRootFromParent_Done,
     /*  315694 */   // Label 5836: @315694
     /*  315694 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315757), // Rule ID 19690 //
     /*  315699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315755 */     GIR_RootConstrainSelectedInstOperands,
     /*  315756 */     // GIR_Coverage, 19690,
     /*  315756 */     GIR_EraseRootFromParent_Done,
     /*  315757 */   // Label 5837: @315757
     /*  315757 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315820), // Rule ID 19691 //
     /*  315762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315801 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315818 */     GIR_RootConstrainSelectedInstOperands,
     /*  315819 */     // GIR_Coverage, 19691,
     /*  315819 */     GIR_EraseRootFromParent_Done,
     /*  315820 */   // Label 5838: @315820
     /*  315820 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(315883), // Rule ID 19694 //
     /*  315825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315881 */     GIR_RootConstrainSelectedInstOperands,
     /*  315882 */     // GIR_Coverage, 19694,
     /*  315882 */     GIR_EraseRootFromParent_Done,
     /*  315883 */   // Label 5839: @315883
     /*  315883 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(315946), // Rule ID 19695 //
     /*  315888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315927 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315944 */     GIR_RootConstrainSelectedInstOperands,
     /*  315945 */     // GIR_Coverage, 19695,
     /*  315945 */     GIR_EraseRootFromParent_Done,
     /*  315946 */   // Label 5840: @315946
     /*  315946 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(316009), // Rule ID 19698 //
     /*  315951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315990 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316007 */     GIR_RootConstrainSelectedInstOperands,
     /*  316008 */     // GIR_Coverage, 19698,
     /*  316008 */     GIR_EraseRootFromParent_Done,
     /*  316009 */   // Label 5841: @316009
     /*  316009 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316072), // Rule ID 19699 //
     /*  316014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316070 */     GIR_RootConstrainSelectedInstOperands,
     /*  316071 */     // GIR_Coverage, 19699,
     /*  316071 */     GIR_EraseRootFromParent_Done,
     /*  316072 */   // Label 5842: @316072
     /*  316072 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316135), // Rule ID 19702 //
     /*  316077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316133 */     GIR_RootConstrainSelectedInstOperands,
     /*  316134 */     // GIR_Coverage, 19702,
     /*  316134 */     GIR_EraseRootFromParent_Done,
     /*  316135 */   // Label 5843: @316135
     /*  316135 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316198), // Rule ID 19703 //
     /*  316140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316196 */     GIR_RootConstrainSelectedInstOperands,
     /*  316197 */     // GIR_Coverage, 19703,
     /*  316197 */     GIR_EraseRootFromParent_Done,
     /*  316198 */   // Label 5844: @316198
     /*  316198 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316261), // Rule ID 19706 //
     /*  316203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316259 */     GIR_RootConstrainSelectedInstOperands,
     /*  316260 */     // GIR_Coverage, 19706,
     /*  316260 */     GIR_EraseRootFromParent_Done,
     /*  316261 */   // Label 5845: @316261
     /*  316261 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316324), // Rule ID 19707 //
     /*  316266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316322 */     GIR_RootConstrainSelectedInstOperands,
     /*  316323 */     // GIR_Coverage, 19707,
     /*  316323 */     GIR_EraseRootFromParent_Done,
     /*  316324 */   // Label 5846: @316324
     /*  316324 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316387), // Rule ID 19710 //
     /*  316329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316385 */     GIR_RootConstrainSelectedInstOperands,
     /*  316386 */     // GIR_Coverage, 19710,
     /*  316386 */     GIR_EraseRootFromParent_Done,
     /*  316387 */   // Label 5847: @316387
     /*  316387 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316450), // Rule ID 19711 //
     /*  316392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316448 */     GIR_RootConstrainSelectedInstOperands,
     /*  316449 */     // GIR_Coverage, 19711,
     /*  316449 */     GIR_EraseRootFromParent_Done,
     /*  316450 */   // Label 5848: @316450
     /*  316450 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316513), // Rule ID 19714 //
     /*  316455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316494 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316511 */     GIR_RootConstrainSelectedInstOperands,
     /*  316512 */     // GIR_Coverage, 19714,
     /*  316512 */     GIR_EraseRootFromParent_Done,
     /*  316513 */   // Label 5849: @316513
     /*  316513 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316576), // Rule ID 19715 //
     /*  316518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316574 */     GIR_RootConstrainSelectedInstOperands,
     /*  316575 */     // GIR_Coverage, 19715,
     /*  316575 */     GIR_EraseRootFromParent_Done,
     /*  316576 */   // Label 5850: @316576
     /*  316576 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316639), // Rule ID 19718 //
     /*  316581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316637 */     GIR_RootConstrainSelectedInstOperands,
     /*  316638 */     // GIR_Coverage, 19718,
     /*  316638 */     GIR_EraseRootFromParent_Done,
     /*  316639 */   // Label 5851: @316639
     /*  316639 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316702), // Rule ID 19719 //
     /*  316644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316700 */     GIR_RootConstrainSelectedInstOperands,
     /*  316701 */     // GIR_Coverage, 19719,
     /*  316701 */     GIR_EraseRootFromParent_Done,
     /*  316702 */   // Label 5852: @316702
     /*  316702 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316765), // Rule ID 19722 //
     /*  316707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316763 */     GIR_RootConstrainSelectedInstOperands,
     /*  316764 */     // GIR_Coverage, 19722,
     /*  316764 */     GIR_EraseRootFromParent_Done,
     /*  316765 */   // Label 5853: @316765
     /*  316765 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316828), // Rule ID 19723 //
     /*  316770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316826 */     GIR_RootConstrainSelectedInstOperands,
     /*  316827 */     // GIR_Coverage, 19723,
     /*  316827 */     GIR_EraseRootFromParent_Done,
     /*  316828 */   // Label 5854: @316828
     /*  316828 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(316891), // Rule ID 19726 //
     /*  316833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316889 */     GIR_RootConstrainSelectedInstOperands,
     /*  316890 */     // GIR_Coverage, 19726,
     /*  316890 */     GIR_EraseRootFromParent_Done,
     /*  316891 */   // Label 5855: @316891
     /*  316891 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(316954), // Rule ID 19727 //
     /*  316896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316935 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316952 */     GIR_RootConstrainSelectedInstOperands,
     /*  316953 */     // GIR_Coverage, 19727,
     /*  316953 */     GIR_EraseRootFromParent_Done,
     /*  316954 */   // Label 5856: @316954
     /*  316954 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317017), // Rule ID 19730 //
     /*  316959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316998 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317015 */     GIR_RootConstrainSelectedInstOperands,
     /*  317016 */     // GIR_Coverage, 19730,
     /*  317016 */     GIR_EraseRootFromParent_Done,
     /*  317017 */   // Label 5857: @317017
     /*  317017 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317080), // Rule ID 19731 //
     /*  317022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317061 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317078 */     GIR_RootConstrainSelectedInstOperands,
     /*  317079 */     // GIR_Coverage, 19731,
     /*  317079 */     GIR_EraseRootFromParent_Done,
     /*  317080 */   // Label 5858: @317080
     /*  317080 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317143), // Rule ID 19734 //
     /*  317085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317141 */     GIR_RootConstrainSelectedInstOperands,
     /*  317142 */     // GIR_Coverage, 19734,
     /*  317142 */     GIR_EraseRootFromParent_Done,
     /*  317143 */   // Label 5859: @317143
     /*  317143 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317206), // Rule ID 19735 //
     /*  317148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317187 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317204 */     GIR_RootConstrainSelectedInstOperands,
     /*  317205 */     // GIR_Coverage, 19735,
     /*  317205 */     GIR_EraseRootFromParent_Done,
     /*  317206 */   // Label 5860: @317206
     /*  317206 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317269), // Rule ID 19738 //
     /*  317211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317250 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317267 */     GIR_RootConstrainSelectedInstOperands,
     /*  317268 */     // GIR_Coverage, 19738,
     /*  317268 */     GIR_EraseRootFromParent_Done,
     /*  317269 */   // Label 5861: @317269
     /*  317269 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317332), // Rule ID 19739 //
     /*  317274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317330 */     GIR_RootConstrainSelectedInstOperands,
     /*  317331 */     // GIR_Coverage, 19739,
     /*  317331 */     GIR_EraseRootFromParent_Done,
     /*  317332 */   // Label 5862: @317332
     /*  317332 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317395), // Rule ID 19742 //
     /*  317337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317393 */     GIR_RootConstrainSelectedInstOperands,
     /*  317394 */     // GIR_Coverage, 19742,
     /*  317394 */     GIR_EraseRootFromParent_Done,
     /*  317395 */   // Label 5863: @317395
     /*  317395 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317458), // Rule ID 19743 //
     /*  317400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317439 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317456 */     GIR_RootConstrainSelectedInstOperands,
     /*  317457 */     // GIR_Coverage, 19743,
     /*  317457 */     GIR_EraseRootFromParent_Done,
     /*  317458 */   // Label 5864: @317458
     /*  317458 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317521), // Rule ID 19746 //
     /*  317463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317502 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317519 */     GIR_RootConstrainSelectedInstOperands,
     /*  317520 */     // GIR_Coverage, 19746,
     /*  317520 */     GIR_EraseRootFromParent_Done,
     /*  317521 */   // Label 5865: @317521
     /*  317521 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317584), // Rule ID 19747 //
     /*  317526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317565 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317582 */     GIR_RootConstrainSelectedInstOperands,
     /*  317583 */     // GIR_Coverage, 19747,
     /*  317583 */     GIR_EraseRootFromParent_Done,
     /*  317584 */   // Label 5866: @317584
     /*  317584 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317647), // Rule ID 19750 //
     /*  317589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317645 */     GIR_RootConstrainSelectedInstOperands,
     /*  317646 */     // GIR_Coverage, 19750,
     /*  317646 */     GIR_EraseRootFromParent_Done,
     /*  317647 */   // Label 5867: @317647
     /*  317647 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317710), // Rule ID 19751 //
     /*  317652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317708 */     GIR_RootConstrainSelectedInstOperands,
     /*  317709 */     // GIR_Coverage, 19751,
     /*  317709 */     GIR_EraseRootFromParent_Done,
     /*  317710 */   // Label 5868: @317710
     /*  317710 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317773), // Rule ID 19754 //
     /*  317715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317771 */     GIR_RootConstrainSelectedInstOperands,
     /*  317772 */     // GIR_Coverage, 19754,
     /*  317772 */     GIR_EraseRootFromParent_Done,
     /*  317773 */   // Label 5869: @317773
     /*  317773 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317836), // Rule ID 19755 //
     /*  317778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317817 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317834 */     GIR_RootConstrainSelectedInstOperands,
     /*  317835 */     // GIR_Coverage, 19755,
     /*  317835 */     GIR_EraseRootFromParent_Done,
     /*  317836 */   // Label 5870: @317836
     /*  317836 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(317899), // Rule ID 19758 //
     /*  317841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317897 */     GIR_RootConstrainSelectedInstOperands,
     /*  317898 */     // GIR_Coverage, 19758,
     /*  317898 */     GIR_EraseRootFromParent_Done,
     /*  317899 */   // Label 5871: @317899
     /*  317899 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(317962), // Rule ID 19759 //
     /*  317904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317943 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317960 */     GIR_RootConstrainSelectedInstOperands,
     /*  317961 */     // GIR_Coverage, 19759,
     /*  317961 */     GIR_EraseRootFromParent_Done,
     /*  317962 */   // Label 5872: @317962
     /*  317962 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318025), // Rule ID 19762 //
     /*  317967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318023 */     GIR_RootConstrainSelectedInstOperands,
     /*  318024 */     // GIR_Coverage, 19762,
     /*  318024 */     GIR_EraseRootFromParent_Done,
     /*  318025 */   // Label 5873: @318025
     /*  318025 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318088), // Rule ID 19763 //
     /*  318030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318086 */     GIR_RootConstrainSelectedInstOperands,
     /*  318087 */     // GIR_Coverage, 19763,
     /*  318087 */     GIR_EraseRootFromParent_Done,
     /*  318088 */   // Label 5874: @318088
     /*  318088 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318151), // Rule ID 19766 //
     /*  318093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318149 */     GIR_RootConstrainSelectedInstOperands,
     /*  318150 */     // GIR_Coverage, 19766,
     /*  318150 */     GIR_EraseRootFromParent_Done,
     /*  318151 */   // Label 5875: @318151
     /*  318151 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318214), // Rule ID 19767 //
     /*  318156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318195 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318212 */     GIR_RootConstrainSelectedInstOperands,
     /*  318213 */     // GIR_Coverage, 19767,
     /*  318213 */     GIR_EraseRootFromParent_Done,
     /*  318214 */   // Label 5876: @318214
     /*  318214 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318277), // Rule ID 19770 //
     /*  318219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318275 */     GIR_RootConstrainSelectedInstOperands,
     /*  318276 */     // GIR_Coverage, 19770,
     /*  318276 */     GIR_EraseRootFromParent_Done,
     /*  318277 */   // Label 5877: @318277
     /*  318277 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318340), // Rule ID 19771 //
     /*  318282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318338 */     GIR_RootConstrainSelectedInstOperands,
     /*  318339 */     // GIR_Coverage, 19771,
     /*  318339 */     GIR_EraseRootFromParent_Done,
     /*  318340 */   // Label 5878: @318340
     /*  318340 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318403), // Rule ID 19774 //
     /*  318345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318401 */     GIR_RootConstrainSelectedInstOperands,
     /*  318402 */     // GIR_Coverage, 19774,
     /*  318402 */     GIR_EraseRootFromParent_Done,
     /*  318403 */   // Label 5879: @318403
     /*  318403 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318466), // Rule ID 19775 //
     /*  318408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318447 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318464 */     GIR_RootConstrainSelectedInstOperands,
     /*  318465 */     // GIR_Coverage, 19775,
     /*  318465 */     GIR_EraseRootFromParent_Done,
     /*  318466 */   // Label 5880: @318466
     /*  318466 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318529), // Rule ID 19778 //
     /*  318471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318510 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318527 */     GIR_RootConstrainSelectedInstOperands,
     /*  318528 */     // GIR_Coverage, 19778,
     /*  318528 */     GIR_EraseRootFromParent_Done,
     /*  318529 */   // Label 5881: @318529
     /*  318529 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318592), // Rule ID 19779 //
     /*  318534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318573 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318590 */     GIR_RootConstrainSelectedInstOperands,
     /*  318591 */     // GIR_Coverage, 19779,
     /*  318591 */     GIR_EraseRootFromParent_Done,
     /*  318592 */   // Label 5882: @318592
     /*  318592 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318655), // Rule ID 19782 //
     /*  318597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318653 */     GIR_RootConstrainSelectedInstOperands,
     /*  318654 */     // GIR_Coverage, 19782,
     /*  318654 */     GIR_EraseRootFromParent_Done,
     /*  318655 */   // Label 5883: @318655
     /*  318655 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318718), // Rule ID 19783 //
     /*  318660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318699 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318716 */     GIR_RootConstrainSelectedInstOperands,
     /*  318717 */     // GIR_Coverage, 19783,
     /*  318717 */     GIR_EraseRootFromParent_Done,
     /*  318718 */   // Label 5884: @318718
     /*  318718 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318781), // Rule ID 19786 //
     /*  318723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318779 */     GIR_RootConstrainSelectedInstOperands,
     /*  318780 */     // GIR_Coverage, 19786,
     /*  318780 */     GIR_EraseRootFromParent_Done,
     /*  318781 */   // Label 5885: @318781
     /*  318781 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318844), // Rule ID 19787 //
     /*  318786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318842 */     GIR_RootConstrainSelectedInstOperands,
     /*  318843 */     // GIR_Coverage, 19787,
     /*  318843 */     GIR_EraseRootFromParent_Done,
     /*  318844 */   // Label 5886: @318844
     /*  318844 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(318907), // Rule ID 19790 //
     /*  318849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318905 */     GIR_RootConstrainSelectedInstOperands,
     /*  318906 */     // GIR_Coverage, 19790,
     /*  318906 */     GIR_EraseRootFromParent_Done,
     /*  318907 */   // Label 5887: @318907
     /*  318907 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(318970), // Rule ID 19791 //
     /*  318912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318951 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318968 */     GIR_RootConstrainSelectedInstOperands,
     /*  318969 */     // GIR_Coverage, 19791,
     /*  318969 */     GIR_EraseRootFromParent_Done,
     /*  318970 */   // Label 5888: @318970
     /*  318970 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319033), // Rule ID 19794 //
     /*  318975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319031 */     GIR_RootConstrainSelectedInstOperands,
     /*  319032 */     // GIR_Coverage, 19794,
     /*  319032 */     GIR_EraseRootFromParent_Done,
     /*  319033 */   // Label 5889: @319033
     /*  319033 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319096), // Rule ID 19795 //
     /*  319038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319094 */     GIR_RootConstrainSelectedInstOperands,
     /*  319095 */     // GIR_Coverage, 19795,
     /*  319095 */     GIR_EraseRootFromParent_Done,
     /*  319096 */   // Label 5890: @319096
     /*  319096 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319159), // Rule ID 19798 //
     /*  319101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319157 */     GIR_RootConstrainSelectedInstOperands,
     /*  319158 */     // GIR_Coverage, 19798,
     /*  319158 */     GIR_EraseRootFromParent_Done,
     /*  319159 */   // Label 5891: @319159
     /*  319159 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319222), // Rule ID 19799 //
     /*  319164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319203 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319220 */     GIR_RootConstrainSelectedInstOperands,
     /*  319221 */     // GIR_Coverage, 19799,
     /*  319221 */     GIR_EraseRootFromParent_Done,
     /*  319222 */   // Label 5892: @319222
     /*  319222 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319285), // Rule ID 19802 //
     /*  319227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319266 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319283 */     GIR_RootConstrainSelectedInstOperands,
     /*  319284 */     // GIR_Coverage, 19802,
     /*  319284 */     GIR_EraseRootFromParent_Done,
     /*  319285 */   // Label 5893: @319285
     /*  319285 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319348), // Rule ID 19803 //
     /*  319290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319329 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319346 */     GIR_RootConstrainSelectedInstOperands,
     /*  319347 */     // GIR_Coverage, 19803,
     /*  319347 */     GIR_EraseRootFromParent_Done,
     /*  319348 */   // Label 5894: @319348
     /*  319348 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319411), // Rule ID 19806 //
     /*  319353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319392 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319409 */     GIR_RootConstrainSelectedInstOperands,
     /*  319410 */     // GIR_Coverage, 19806,
     /*  319410 */     GIR_EraseRootFromParent_Done,
     /*  319411 */   // Label 5895: @319411
     /*  319411 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319474), // Rule ID 19807 //
     /*  319416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319455 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319472 */     GIR_RootConstrainSelectedInstOperands,
     /*  319473 */     // GIR_Coverage, 19807,
     /*  319473 */     GIR_EraseRootFromParent_Done,
     /*  319474 */   // Label 5896: @319474
     /*  319474 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319537), // Rule ID 19810 //
     /*  319479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319535 */     GIR_RootConstrainSelectedInstOperands,
     /*  319536 */     // GIR_Coverage, 19810,
     /*  319536 */     GIR_EraseRootFromParent_Done,
     /*  319537 */   // Label 5897: @319537
     /*  319537 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319600), // Rule ID 19811 //
     /*  319542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319581 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319598 */     GIR_RootConstrainSelectedInstOperands,
     /*  319599 */     // GIR_Coverage, 19811,
     /*  319599 */     GIR_EraseRootFromParent_Done,
     /*  319600 */   // Label 5898: @319600
     /*  319600 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319663), // Rule ID 19814 //
     /*  319605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319661 */     GIR_RootConstrainSelectedInstOperands,
     /*  319662 */     // GIR_Coverage, 19814,
     /*  319662 */     GIR_EraseRootFromParent_Done,
     /*  319663 */   // Label 5899: @319663
     /*  319663 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319726), // Rule ID 19815 //
     /*  319668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319707 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319724 */     GIR_RootConstrainSelectedInstOperands,
     /*  319725 */     // GIR_Coverage, 19815,
     /*  319725 */     GIR_EraseRootFromParent_Done,
     /*  319726 */   // Label 5900: @319726
     /*  319726 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319789), // Rule ID 19818 //
     /*  319731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319770 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319787 */     GIR_RootConstrainSelectedInstOperands,
     /*  319788 */     // GIR_Coverage, 19818,
     /*  319788 */     GIR_EraseRootFromParent_Done,
     /*  319789 */   // Label 5901: @319789
     /*  319789 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319852), // Rule ID 19819 //
     /*  319794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319833 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319850 */     GIR_RootConstrainSelectedInstOperands,
     /*  319851 */     // GIR_Coverage, 19819,
     /*  319851 */     GIR_EraseRootFromParent_Done,
     /*  319852 */   // Label 5902: @319852
     /*  319852 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(319915), // Rule ID 19822 //
     /*  319857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319913 */     GIR_RootConstrainSelectedInstOperands,
     /*  319914 */     // GIR_Coverage, 19822,
     /*  319914 */     GIR_EraseRootFromParent_Done,
     /*  319915 */   // Label 5903: @319915
     /*  319915 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(319978), // Rule ID 19823 //
     /*  319920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319976 */     GIR_RootConstrainSelectedInstOperands,
     /*  319977 */     // GIR_Coverage, 19823,
     /*  319977 */     GIR_EraseRootFromParent_Done,
     /*  319978 */   // Label 5904: @319978
     /*  319978 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320041), // Rule ID 19826 //
     /*  319983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320039 */     GIR_RootConstrainSelectedInstOperands,
     /*  320040 */     // GIR_Coverage, 19826,
     /*  320040 */     GIR_EraseRootFromParent_Done,
     /*  320041 */   // Label 5905: @320041
     /*  320041 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320104), // Rule ID 19827 //
     /*  320046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320102 */     GIR_RootConstrainSelectedInstOperands,
     /*  320103 */     // GIR_Coverage, 19827,
     /*  320103 */     GIR_EraseRootFromParent_Done,
     /*  320104 */   // Label 5906: @320104
     /*  320104 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320167), // Rule ID 19830 //
     /*  320109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320165 */     GIR_RootConstrainSelectedInstOperands,
     /*  320166 */     // GIR_Coverage, 19830,
     /*  320166 */     GIR_EraseRootFromParent_Done,
     /*  320167 */   // Label 5907: @320167
     /*  320167 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320230), // Rule ID 19831 //
     /*  320172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320228 */     GIR_RootConstrainSelectedInstOperands,
     /*  320229 */     // GIR_Coverage, 19831,
     /*  320229 */     GIR_EraseRootFromParent_Done,
     /*  320230 */   // Label 5908: @320230
     /*  320230 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320293), // Rule ID 19834 //
     /*  320235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  320277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320291 */     GIR_RootConstrainSelectedInstOperands,
     /*  320292 */     // GIR_Coverage, 19834,
     /*  320292 */     GIR_EraseRootFromParent_Done,
     /*  320293 */   // Label 5909: @320293
     /*  320293 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320356), // Rule ID 19835 //
     /*  320298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320337 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  320340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320354 */     GIR_RootConstrainSelectedInstOperands,
     /*  320355 */     // GIR_Coverage, 19835,
     /*  320355 */     GIR_EraseRootFromParent_Done,
     /*  320356 */   // Label 5910: @320356
     /*  320356 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320419), // Rule ID 19838 //
     /*  320361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320417 */     GIR_RootConstrainSelectedInstOperands,
     /*  320418 */     // GIR_Coverage, 19838,
     /*  320418 */     GIR_EraseRootFromParent_Done,
     /*  320419 */   // Label 5911: @320419
     /*  320419 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320482), // Rule ID 19839 //
     /*  320424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320463 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320480 */     GIR_RootConstrainSelectedInstOperands,
     /*  320481 */     // GIR_Coverage, 19839,
     /*  320481 */     GIR_EraseRootFromParent_Done,
     /*  320482 */   // Label 5912: @320482
     /*  320482 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320545), // Rule ID 19842 //
     /*  320487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320526 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320543 */     GIR_RootConstrainSelectedInstOperands,
     /*  320544 */     // GIR_Coverage, 19842,
     /*  320544 */     GIR_EraseRootFromParent_Done,
     /*  320545 */   // Label 5913: @320545
     /*  320545 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320608), // Rule ID 19843 //
     /*  320550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320589 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320606 */     GIR_RootConstrainSelectedInstOperands,
     /*  320607 */     // GIR_Coverage, 19843,
     /*  320607 */     GIR_EraseRootFromParent_Done,
     /*  320608 */   // Label 5914: @320608
     /*  320608 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320671), // Rule ID 19846 //
     /*  320613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320669 */     GIR_RootConstrainSelectedInstOperands,
     /*  320670 */     // GIR_Coverage, 19846,
     /*  320670 */     GIR_EraseRootFromParent_Done,
     /*  320671 */   // Label 5915: @320671
     /*  320671 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320734), // Rule ID 19847 //
     /*  320676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320732 */     GIR_RootConstrainSelectedInstOperands,
     /*  320733 */     // GIR_Coverage, 19847,
     /*  320733 */     GIR_EraseRootFromParent_Done,
     /*  320734 */   // Label 5916: @320734
     /*  320734 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320797), // Rule ID 19850 //
     /*  320739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320795 */     GIR_RootConstrainSelectedInstOperands,
     /*  320796 */     // GIR_Coverage, 19850,
     /*  320796 */     GIR_EraseRootFromParent_Done,
     /*  320797 */   // Label 5917: @320797
     /*  320797 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(320860), // Rule ID 19851 //
     /*  320802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320858 */     GIR_RootConstrainSelectedInstOperands,
     /*  320859 */     // GIR_Coverage, 19851,
     /*  320859 */     GIR_EraseRootFromParent_Done,
     /*  320860 */   // Label 5918: @320860
     /*  320860 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(320923), // Rule ID 19854 //
     /*  320865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320921 */     GIR_RootConstrainSelectedInstOperands,
     /*  320922 */     // GIR_Coverage, 19854,
     /*  320922 */     GIR_EraseRootFromParent_Done,
     /*  320923 */   // Label 5919: @320923
     /*  320923 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(320986), // Rule ID 19855 //
     /*  320928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320967 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320984 */     GIR_RootConstrainSelectedInstOperands,
     /*  320985 */     // GIR_Coverage, 19855,
     /*  320985 */     GIR_EraseRootFromParent_Done,
     /*  320986 */   // Label 5920: @320986
     /*  320986 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321049), // Rule ID 19858 //
     /*  320991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321030 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321047 */     GIR_RootConstrainSelectedInstOperands,
     /*  321048 */     // GIR_Coverage, 19858,
     /*  321048 */     GIR_EraseRootFromParent_Done,
     /*  321049 */   // Label 5921: @321049
     /*  321049 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321112), // Rule ID 19859 //
     /*  321054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321110 */     GIR_RootConstrainSelectedInstOperands,
     /*  321111 */     // GIR_Coverage, 19859,
     /*  321111 */     GIR_EraseRootFromParent_Done,
     /*  321112 */   // Label 5922: @321112
     /*  321112 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321175), // Rule ID 19862 //
     /*  321117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321173 */     GIR_RootConstrainSelectedInstOperands,
     /*  321174 */     // GIR_Coverage, 19862,
     /*  321174 */     GIR_EraseRootFromParent_Done,
     /*  321175 */   // Label 5923: @321175
     /*  321175 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321238), // Rule ID 19863 //
     /*  321180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321219 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321236 */     GIR_RootConstrainSelectedInstOperands,
     /*  321237 */     // GIR_Coverage, 19863,
     /*  321237 */     GIR_EraseRootFromParent_Done,
     /*  321238 */   // Label 5924: @321238
     /*  321238 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321301), // Rule ID 19866 //
     /*  321243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321282 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  321285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321299 */     GIR_RootConstrainSelectedInstOperands,
     /*  321300 */     // GIR_Coverage, 19866,
     /*  321300 */     GIR_EraseRootFromParent_Done,
     /*  321301 */   // Label 5925: @321301
     /*  321301 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321364), // Rule ID 19867 //
     /*  321306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321345 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  321348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321362 */     GIR_RootConstrainSelectedInstOperands,
     /*  321363 */     // GIR_Coverage, 19867,
     /*  321363 */     GIR_EraseRootFromParent_Done,
     /*  321364 */   // Label 5926: @321364
     /*  321364 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321427), // Rule ID 19870 //
     /*  321369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321425 */     GIR_RootConstrainSelectedInstOperands,
     /*  321426 */     // GIR_Coverage, 19870,
     /*  321426 */     GIR_EraseRootFromParent_Done,
     /*  321427 */   // Label 5927: @321427
     /*  321427 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321490), // Rule ID 19871 //
     /*  321432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321471 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321488 */     GIR_RootConstrainSelectedInstOperands,
     /*  321489 */     // GIR_Coverage, 19871,
     /*  321489 */     GIR_EraseRootFromParent_Done,
     /*  321490 */   // Label 5928: @321490
     /*  321490 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321553), // Rule ID 19874 //
     /*  321495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321534 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321551 */     GIR_RootConstrainSelectedInstOperands,
     /*  321552 */     // GIR_Coverage, 19874,
     /*  321552 */     GIR_EraseRootFromParent_Done,
     /*  321553 */   // Label 5929: @321553
     /*  321553 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321616), // Rule ID 19875 //
     /*  321558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321614 */     GIR_RootConstrainSelectedInstOperands,
     /*  321615 */     // GIR_Coverage, 19875,
     /*  321615 */     GIR_EraseRootFromParent_Done,
     /*  321616 */   // Label 5930: @321616
     /*  321616 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321679), // Rule ID 19878 //
     /*  321621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321677 */     GIR_RootConstrainSelectedInstOperands,
     /*  321678 */     // GIR_Coverage, 19878,
     /*  321678 */     GIR_EraseRootFromParent_Done,
     /*  321679 */   // Label 5931: @321679
     /*  321679 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321742), // Rule ID 19879 //
     /*  321684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321723 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321740 */     GIR_RootConstrainSelectedInstOperands,
     /*  321741 */     // GIR_Coverage, 19879,
     /*  321741 */     GIR_EraseRootFromParent_Done,
     /*  321742 */   // Label 5932: @321742
     /*  321742 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321805), // Rule ID 19882 //
     /*  321747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321803 */     GIR_RootConstrainSelectedInstOperands,
     /*  321804 */     // GIR_Coverage, 19882,
     /*  321804 */     GIR_EraseRootFromParent_Done,
     /*  321805 */   // Label 5933: @321805
     /*  321805 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(321868), // Rule ID 19883 //
     /*  321810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321866 */     GIR_RootConstrainSelectedInstOperands,
     /*  321867 */     // GIR_Coverage, 19883,
     /*  321867 */     GIR_EraseRootFromParent_Done,
     /*  321868 */   // Label 5934: @321868
     /*  321868 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(321931), // Rule ID 19886 //
     /*  321873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321929 */     GIR_RootConstrainSelectedInstOperands,
     /*  321930 */     // GIR_Coverage, 19886,
     /*  321930 */     GIR_EraseRootFromParent_Done,
     /*  321931 */   // Label 5935: @321931
     /*  321931 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(321994), // Rule ID 19887 //
     /*  321936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321992 */     GIR_RootConstrainSelectedInstOperands,
     /*  321993 */     // GIR_Coverage, 19887,
     /*  321993 */     GIR_EraseRootFromParent_Done,
     /*  321994 */   // Label 5936: @321994
     /*  321994 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322057), // Rule ID 19890 //
     /*  321999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322055 */     GIR_RootConstrainSelectedInstOperands,
     /*  322056 */     // GIR_Coverage, 19890,
     /*  322056 */     GIR_EraseRootFromParent_Done,
     /*  322057 */   // Label 5937: @322057
     /*  322057 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322120), // Rule ID 19891 //
     /*  322062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322118 */     GIR_RootConstrainSelectedInstOperands,
     /*  322119 */     // GIR_Coverage, 19891,
     /*  322119 */     GIR_EraseRootFromParent_Done,
     /*  322120 */   // Label 5938: @322120
     /*  322120 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322183), // Rule ID 19894 //
     /*  322125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322181 */     GIR_RootConstrainSelectedInstOperands,
     /*  322182 */     // GIR_Coverage, 19894,
     /*  322182 */     GIR_EraseRootFromParent_Done,
     /*  322183 */   // Label 5939: @322183
     /*  322183 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322246), // Rule ID 19895 //
     /*  322188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322244 */     GIR_RootConstrainSelectedInstOperands,
     /*  322245 */     // GIR_Coverage, 19895,
     /*  322245 */     GIR_EraseRootFromParent_Done,
     /*  322246 */   // Label 5940: @322246
     /*  322246 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322309), // Rule ID 19898 //
     /*  322251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322307 */     GIR_RootConstrainSelectedInstOperands,
     /*  322308 */     // GIR_Coverage, 19898,
     /*  322308 */     GIR_EraseRootFromParent_Done,
     /*  322309 */   // Label 5941: @322309
     /*  322309 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322372), // Rule ID 19899 //
     /*  322314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322370 */     GIR_RootConstrainSelectedInstOperands,
     /*  322371 */     // GIR_Coverage, 19899,
     /*  322371 */     GIR_EraseRootFromParent_Done,
     /*  322372 */   // Label 5942: @322372
     /*  322372 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322435), // Rule ID 19902 //
     /*  322377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322433 */     GIR_RootConstrainSelectedInstOperands,
     /*  322434 */     // GIR_Coverage, 19902,
     /*  322434 */     GIR_EraseRootFromParent_Done,
     /*  322435 */   // Label 5943: @322435
     /*  322435 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322498), // Rule ID 19903 //
     /*  322440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322479 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322496 */     GIR_RootConstrainSelectedInstOperands,
     /*  322497 */     // GIR_Coverage, 19903,
     /*  322497 */     GIR_EraseRootFromParent_Done,
     /*  322498 */   // Label 5944: @322498
     /*  322498 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322561), // Rule ID 19906 //
     /*  322503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322542 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322559 */     GIR_RootConstrainSelectedInstOperands,
     /*  322560 */     // GIR_Coverage, 19906,
     /*  322560 */     GIR_EraseRootFromParent_Done,
     /*  322561 */   // Label 5945: @322561
     /*  322561 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322624), // Rule ID 19907 //
     /*  322566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322622 */     GIR_RootConstrainSelectedInstOperands,
     /*  322623 */     // GIR_Coverage, 19907,
     /*  322623 */     GIR_EraseRootFromParent_Done,
     /*  322624 */   // Label 5946: @322624
     /*  322624 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322687), // Rule ID 19910 //
     /*  322629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322685 */     GIR_RootConstrainSelectedInstOperands,
     /*  322686 */     // GIR_Coverage, 19910,
     /*  322686 */     GIR_EraseRootFromParent_Done,
     /*  322687 */   // Label 5947: @322687
     /*  322687 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322750), // Rule ID 19911 //
     /*  322692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322748 */     GIR_RootConstrainSelectedInstOperands,
     /*  322749 */     // GIR_Coverage, 19911,
     /*  322749 */     GIR_EraseRootFromParent_Done,
     /*  322750 */   // Label 5948: @322750
     /*  322750 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322813), // Rule ID 19914 //
     /*  322755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322794 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322811 */     GIR_RootConstrainSelectedInstOperands,
     /*  322812 */     // GIR_Coverage, 19914,
     /*  322812 */     GIR_EraseRootFromParent_Done,
     /*  322813 */   // Label 5949: @322813
     /*  322813 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(322876), // Rule ID 19915 //
     /*  322818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322857 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322874 */     GIR_RootConstrainSelectedInstOperands,
     /*  322875 */     // GIR_Coverage, 19915,
     /*  322875 */     GIR_EraseRootFromParent_Done,
     /*  322876 */   // Label 5950: @322876
     /*  322876 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(322939), // Rule ID 19918 //
     /*  322881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322937 */     GIR_RootConstrainSelectedInstOperands,
     /*  322938 */     // GIR_Coverage, 19918,
     /*  322938 */     GIR_EraseRootFromParent_Done,
     /*  322939 */   // Label 5951: @322939
     /*  322939 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323002), // Rule ID 19919 //
     /*  322944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323000 */     GIR_RootConstrainSelectedInstOperands,
     /*  323001 */     // GIR_Coverage, 19919,
     /*  323001 */     GIR_EraseRootFromParent_Done,
     /*  323002 */   // Label 5952: @323002
     /*  323002 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323065), // Rule ID 19922 //
     /*  323007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323046 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323063 */     GIR_RootConstrainSelectedInstOperands,
     /*  323064 */     // GIR_Coverage, 19922,
     /*  323064 */     GIR_EraseRootFromParent_Done,
     /*  323065 */   // Label 5953: @323065
     /*  323065 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323128), // Rule ID 19923 //
     /*  323070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323109 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323126 */     GIR_RootConstrainSelectedInstOperands,
     /*  323127 */     // GIR_Coverage, 19923,
     /*  323127 */     GIR_EraseRootFromParent_Done,
     /*  323128 */   // Label 5954: @323128
     /*  323128 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323191), // Rule ID 19926 //
     /*  323133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323189 */     GIR_RootConstrainSelectedInstOperands,
     /*  323190 */     // GIR_Coverage, 19926,
     /*  323190 */     GIR_EraseRootFromParent_Done,
     /*  323191 */   // Label 5955: @323191
     /*  323191 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323254), // Rule ID 19927 //
     /*  323196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323235 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323252 */     GIR_RootConstrainSelectedInstOperands,
     /*  323253 */     // GIR_Coverage, 19927,
     /*  323253 */     GIR_EraseRootFromParent_Done,
     /*  323254 */   // Label 5956: @323254
     /*  323254 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323317), // Rule ID 19930 //
     /*  323259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323315 */     GIR_RootConstrainSelectedInstOperands,
     /*  323316 */     // GIR_Coverage, 19930,
     /*  323316 */     GIR_EraseRootFromParent_Done,
     /*  323317 */   // Label 5957: @323317
     /*  323317 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323380), // Rule ID 19931 //
     /*  323322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323361 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323378 */     GIR_RootConstrainSelectedInstOperands,
     /*  323379 */     // GIR_Coverage, 19931,
     /*  323379 */     GIR_EraseRootFromParent_Done,
     /*  323380 */   // Label 5958: @323380
     /*  323380 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323443), // Rule ID 19934 //
     /*  323385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323441 */     GIR_RootConstrainSelectedInstOperands,
     /*  323442 */     // GIR_Coverage, 19934,
     /*  323442 */     GIR_EraseRootFromParent_Done,
     /*  323443 */   // Label 5959: @323443
     /*  323443 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323506), // Rule ID 19935 //
     /*  323448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323487 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323504 */     GIR_RootConstrainSelectedInstOperands,
     /*  323505 */     // GIR_Coverage, 19935,
     /*  323505 */     GIR_EraseRootFromParent_Done,
     /*  323506 */   // Label 5960: @323506
     /*  323506 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323569), // Rule ID 19938 //
     /*  323511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323567 */     GIR_RootConstrainSelectedInstOperands,
     /*  323568 */     // GIR_Coverage, 19938,
     /*  323568 */     GIR_EraseRootFromParent_Done,
     /*  323569 */   // Label 5961: @323569
     /*  323569 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323632), // Rule ID 19939 //
     /*  323574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323630 */     GIR_RootConstrainSelectedInstOperands,
     /*  323631 */     // GIR_Coverage, 19939,
     /*  323631 */     GIR_EraseRootFromParent_Done,
     /*  323632 */   // Label 5962: @323632
     /*  323632 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323695), // Rule ID 19942 //
     /*  323637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323693 */     GIR_RootConstrainSelectedInstOperands,
     /*  323694 */     // GIR_Coverage, 19942,
     /*  323694 */     GIR_EraseRootFromParent_Done,
     /*  323695 */   // Label 5963: @323695
     /*  323695 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323758), // Rule ID 19943 //
     /*  323700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323756 */     GIR_RootConstrainSelectedInstOperands,
     /*  323757 */     // GIR_Coverage, 19943,
     /*  323757 */     GIR_EraseRootFromParent_Done,
     /*  323758 */   // Label 5964: @323758
     /*  323758 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323821), // Rule ID 19946 //
     /*  323763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323819 */     GIR_RootConstrainSelectedInstOperands,
     /*  323820 */     // GIR_Coverage, 19946,
     /*  323820 */     GIR_EraseRootFromParent_Done,
     /*  323821 */   // Label 5965: @323821
     /*  323821 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(323884), // Rule ID 19947 //
     /*  323826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323865 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323882 */     GIR_RootConstrainSelectedInstOperands,
     /*  323883 */     // GIR_Coverage, 19947,
     /*  323883 */     GIR_EraseRootFromParent_Done,
     /*  323884 */   // Label 5966: @323884
     /*  323884 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(323947), // Rule ID 19950 //
     /*  323889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323945 */     GIR_RootConstrainSelectedInstOperands,
     /*  323946 */     // GIR_Coverage, 19950,
     /*  323946 */     GIR_EraseRootFromParent_Done,
     /*  323947 */   // Label 5967: @323947
     /*  323947 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324010), // Rule ID 19951 //
     /*  323952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324008 */     GIR_RootConstrainSelectedInstOperands,
     /*  324009 */     // GIR_Coverage, 19951,
     /*  324009 */     GIR_EraseRootFromParent_Done,
     /*  324010 */   // Label 5968: @324010
     /*  324010 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324073), // Rule ID 19954 //
     /*  324015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324071 */     GIR_RootConstrainSelectedInstOperands,
     /*  324072 */     // GIR_Coverage, 19954,
     /*  324072 */     GIR_EraseRootFromParent_Done,
     /*  324073 */   // Label 5969: @324073
     /*  324073 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324136), // Rule ID 19955 //
     /*  324078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324134 */     GIR_RootConstrainSelectedInstOperands,
     /*  324135 */     // GIR_Coverage, 19955,
     /*  324135 */     GIR_EraseRootFromParent_Done,
     /*  324136 */   // Label 5970: @324136
     /*  324136 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324199), // Rule ID 19958 //
     /*  324141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324197 */     GIR_RootConstrainSelectedInstOperands,
     /*  324198 */     // GIR_Coverage, 19958,
     /*  324198 */     GIR_EraseRootFromParent_Done,
     /*  324199 */   // Label 5971: @324199
     /*  324199 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324262), // Rule ID 19959 //
     /*  324204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324243 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324260 */     GIR_RootConstrainSelectedInstOperands,
     /*  324261 */     // GIR_Coverage, 19959,
     /*  324261 */     GIR_EraseRootFromParent_Done,
     /*  324262 */   // Label 5972: @324262
     /*  324262 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324325), // Rule ID 19962 //
     /*  324267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324306 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  324309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324323 */     GIR_RootConstrainSelectedInstOperands,
     /*  324324 */     // GIR_Coverage, 19962,
     /*  324324 */     GIR_EraseRootFromParent_Done,
     /*  324325 */   // Label 5973: @324325
     /*  324325 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324388), // Rule ID 19963 //
     /*  324330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324369 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  324372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324386 */     GIR_RootConstrainSelectedInstOperands,
     /*  324387 */     // GIR_Coverage, 19963,
     /*  324387 */     GIR_EraseRootFromParent_Done,
     /*  324388 */   // Label 5974: @324388
     /*  324388 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324451), // Rule ID 19966 //
     /*  324393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324449 */     GIR_RootConstrainSelectedInstOperands,
     /*  324450 */     // GIR_Coverage, 19966,
     /*  324450 */     GIR_EraseRootFromParent_Done,
     /*  324451 */   // Label 5975: @324451
     /*  324451 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324514), // Rule ID 19967 //
     /*  324456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324495 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324512 */     GIR_RootConstrainSelectedInstOperands,
     /*  324513 */     // GIR_Coverage, 19967,
     /*  324513 */     GIR_EraseRootFromParent_Done,
     /*  324514 */   // Label 5976: @324514
     /*  324514 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324577), // Rule ID 19970 //
     /*  324519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324558 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324575 */     GIR_RootConstrainSelectedInstOperands,
     /*  324576 */     // GIR_Coverage, 19970,
     /*  324576 */     GIR_EraseRootFromParent_Done,
     /*  324577 */   // Label 5977: @324577
     /*  324577 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324640), // Rule ID 19971 //
     /*  324582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324638 */     GIR_RootConstrainSelectedInstOperands,
     /*  324639 */     // GIR_Coverage, 19971,
     /*  324639 */     GIR_EraseRootFromParent_Done,
     /*  324640 */   // Label 5978: @324640
     /*  324640 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324703), // Rule ID 19974 //
     /*  324645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324701 */     GIR_RootConstrainSelectedInstOperands,
     /*  324702 */     // GIR_Coverage, 19974,
     /*  324702 */     GIR_EraseRootFromParent_Done,
     /*  324703 */   // Label 5979: @324703
     /*  324703 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324766), // Rule ID 19975 //
     /*  324708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324747 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324764 */     GIR_RootConstrainSelectedInstOperands,
     /*  324765 */     // GIR_Coverage, 19975,
     /*  324765 */     GIR_EraseRootFromParent_Done,
     /*  324766 */   // Label 5980: @324766
     /*  324766 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324829), // Rule ID 19978 //
     /*  324771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324827 */     GIR_RootConstrainSelectedInstOperands,
     /*  324828 */     // GIR_Coverage, 19978,
     /*  324828 */     GIR_EraseRootFromParent_Done,
     /*  324829 */   // Label 5981: @324829
     /*  324829 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(324892), // Rule ID 19979 //
     /*  324834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324890 */     GIR_RootConstrainSelectedInstOperands,
     /*  324891 */     // GIR_Coverage, 19979,
     /*  324891 */     GIR_EraseRootFromParent_Done,
     /*  324892 */   // Label 5982: @324892
     /*  324892 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(324955), // Rule ID 19982 //
     /*  324897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324953 */     GIR_RootConstrainSelectedInstOperands,
     /*  324954 */     // GIR_Coverage, 19982,
     /*  324954 */     GIR_EraseRootFromParent_Done,
     /*  324955 */   // Label 5983: @324955
     /*  324955 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325018), // Rule ID 19983 //
     /*  324960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324999 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  325002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325016 */     GIR_RootConstrainSelectedInstOperands,
     /*  325017 */     // GIR_Coverage, 19983,
     /*  325017 */     GIR_EraseRootFromParent_Done,
     /*  325018 */   // Label 5984: @325018
     /*  325018 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325081), // Rule ID 19986 //
     /*  325023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325062 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325079 */     GIR_RootConstrainSelectedInstOperands,
     /*  325080 */     // GIR_Coverage, 19986,
     /*  325080 */     GIR_EraseRootFromParent_Done,
     /*  325081 */   // Label 5985: @325081
     /*  325081 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325144), // Rule ID 19987 //
     /*  325086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325125 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325142 */     GIR_RootConstrainSelectedInstOperands,
     /*  325143 */     // GIR_Coverage, 19987,
     /*  325143 */     GIR_EraseRootFromParent_Done,
     /*  325144 */   // Label 5986: @325144
     /*  325144 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325207), // Rule ID 19990 //
     /*  325149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325205 */     GIR_RootConstrainSelectedInstOperands,
     /*  325206 */     // GIR_Coverage, 19990,
     /*  325206 */     GIR_EraseRootFromParent_Done,
     /*  325207 */   // Label 5987: @325207
     /*  325207 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325270), // Rule ID 19991 //
     /*  325212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325268 */     GIR_RootConstrainSelectedInstOperands,
     /*  325269 */     // GIR_Coverage, 19991,
     /*  325269 */     GIR_EraseRootFromParent_Done,
     /*  325270 */   // Label 5988: @325270
     /*  325270 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325333), // Rule ID 19994 //
     /*  325275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325331 */     GIR_RootConstrainSelectedInstOperands,
     /*  325332 */     // GIR_Coverage, 19994,
     /*  325332 */     GIR_EraseRootFromParent_Done,
     /*  325333 */   // Label 5989: @325333
     /*  325333 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325396), // Rule ID 19995 //
     /*  325338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325394 */     GIR_RootConstrainSelectedInstOperands,
     /*  325395 */     // GIR_Coverage, 19995,
     /*  325395 */     GIR_EraseRootFromParent_Done,
     /*  325396 */   // Label 5990: @325396
     /*  325396 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325459), // Rule ID 19998 //
     /*  325401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325457 */     GIR_RootConstrainSelectedInstOperands,
     /*  325458 */     // GIR_Coverage, 19998,
     /*  325458 */     GIR_EraseRootFromParent_Done,
     /*  325459 */   // Label 5991: @325459
     /*  325459 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325522), // Rule ID 19999 //
     /*  325464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325503 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325520 */     GIR_RootConstrainSelectedInstOperands,
     /*  325521 */     // GIR_Coverage, 19999,
     /*  325521 */     GIR_EraseRootFromParent_Done,
     /*  325522 */   // Label 5992: @325522
     /*  325522 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325585), // Rule ID 20002 //
     /*  325527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325583 */     GIR_RootConstrainSelectedInstOperands,
     /*  325584 */     // GIR_Coverage, 20002,
     /*  325584 */     GIR_EraseRootFromParent_Done,
     /*  325585 */   // Label 5993: @325585
     /*  325585 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325648), // Rule ID 20003 //
     /*  325590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325646 */     GIR_RootConstrainSelectedInstOperands,
     /*  325647 */     // GIR_Coverage, 20003,
     /*  325647 */     GIR_EraseRootFromParent_Done,
     /*  325648 */   // Label 5994: @325648
     /*  325648 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325711), // Rule ID 20006 //
     /*  325653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325709 */     GIR_RootConstrainSelectedInstOperands,
     /*  325710 */     // GIR_Coverage, 20006,
     /*  325710 */     GIR_EraseRootFromParent_Done,
     /*  325711 */   // Label 5995: @325711
     /*  325711 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325774), // Rule ID 20007 //
     /*  325716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325772 */     GIR_RootConstrainSelectedInstOperands,
     /*  325773 */     // GIR_Coverage, 20007,
     /*  325773 */     GIR_EraseRootFromParent_Done,
     /*  325774 */   // Label 5996: @325774
     /*  325774 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325837), // Rule ID 20010 //
     /*  325779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325835 */     GIR_RootConstrainSelectedInstOperands,
     /*  325836 */     // GIR_Coverage, 20010,
     /*  325836 */     GIR_EraseRootFromParent_Done,
     /*  325837 */   // Label 5997: @325837
     /*  325837 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(325900), // Rule ID 20011 //
     /*  325842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325898 */     GIR_RootConstrainSelectedInstOperands,
     /*  325899 */     // GIR_Coverage, 20011,
     /*  325899 */     GIR_EraseRootFromParent_Done,
     /*  325900 */   // Label 5998: @325900
     /*  325900 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(325963), // Rule ID 20014 //
     /*  325905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325961 */     GIR_RootConstrainSelectedInstOperands,
     /*  325962 */     // GIR_Coverage, 20014,
     /*  325962 */     GIR_EraseRootFromParent_Done,
     /*  325963 */   // Label 5999: @325963
     /*  325963 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326026), // Rule ID 20015 //
     /*  325968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  326010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326024 */     GIR_RootConstrainSelectedInstOperands,
     /*  326025 */     // GIR_Coverage, 20015,
     /*  326025 */     GIR_EraseRootFromParent_Done,
     /*  326026 */   // Label 6000: @326026
     /*  326026 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326089), // Rule ID 20018 //
     /*  326031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326087 */     GIR_RootConstrainSelectedInstOperands,
     /*  326088 */     // GIR_Coverage, 20018,
     /*  326088 */     GIR_EraseRootFromParent_Done,
     /*  326089 */   // Label 6001: @326089
     /*  326089 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326152), // Rule ID 20019 //
     /*  326094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326150 */     GIR_RootConstrainSelectedInstOperands,
     /*  326151 */     // GIR_Coverage, 20019,
     /*  326151 */     GIR_EraseRootFromParent_Done,
     /*  326152 */   // Label 6002: @326152
     /*  326152 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326215), // Rule ID 20022 //
     /*  326157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326213 */     GIR_RootConstrainSelectedInstOperands,
     /*  326214 */     // GIR_Coverage, 20022,
     /*  326214 */     GIR_EraseRootFromParent_Done,
     /*  326215 */   // Label 6003: @326215
     /*  326215 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326278), // Rule ID 20023 //
     /*  326220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326276 */     GIR_RootConstrainSelectedInstOperands,
     /*  326277 */     // GIR_Coverage, 20023,
     /*  326277 */     GIR_EraseRootFromParent_Done,
     /*  326278 */   // Label 6004: @326278
     /*  326278 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326341), // Rule ID 20026 //
     /*  326283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326339 */     GIR_RootConstrainSelectedInstOperands,
     /*  326340 */     // GIR_Coverage, 20026,
     /*  326340 */     GIR_EraseRootFromParent_Done,
     /*  326341 */   // Label 6005: @326341
     /*  326341 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326404), // Rule ID 20027 //
     /*  326346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326385 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326402 */     GIR_RootConstrainSelectedInstOperands,
     /*  326403 */     // GIR_Coverage, 20027,
     /*  326403 */     GIR_EraseRootFromParent_Done,
     /*  326404 */   // Label 6006: @326404
     /*  326404 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326467), // Rule ID 20030 //
     /*  326409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326465 */     GIR_RootConstrainSelectedInstOperands,
     /*  326466 */     // GIR_Coverage, 20030,
     /*  326466 */     GIR_EraseRootFromParent_Done,
     /*  326467 */   // Label 6007: @326467
     /*  326467 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326530), // Rule ID 20031 //
     /*  326472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326511 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326528 */     GIR_RootConstrainSelectedInstOperands,
     /*  326529 */     // GIR_Coverage, 20031,
     /*  326529 */     GIR_EraseRootFromParent_Done,
     /*  326530 */   // Label 6008: @326530
     /*  326530 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326593), // Rule ID 20034 //
     /*  326535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326574 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326591 */     GIR_RootConstrainSelectedInstOperands,
     /*  326592 */     // GIR_Coverage, 20034,
     /*  326592 */     GIR_EraseRootFromParent_Done,
     /*  326593 */   // Label 6009: @326593
     /*  326593 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326656), // Rule ID 20035 //
     /*  326598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326654 */     GIR_RootConstrainSelectedInstOperands,
     /*  326655 */     // GIR_Coverage, 20035,
     /*  326655 */     GIR_EraseRootFromParent_Done,
     /*  326656 */   // Label 6010: @326656
     /*  326656 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326719), // Rule ID 20038 //
     /*  326661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326717 */     GIR_RootConstrainSelectedInstOperands,
     /*  326718 */     // GIR_Coverage, 20038,
     /*  326718 */     GIR_EraseRootFromParent_Done,
     /*  326719 */   // Label 6011: @326719
     /*  326719 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326782), // Rule ID 20039 //
     /*  326724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326780 */     GIR_RootConstrainSelectedInstOperands,
     /*  326781 */     // GIR_Coverage, 20039,
     /*  326781 */     GIR_EraseRootFromParent_Done,
     /*  326782 */   // Label 6012: @326782
     /*  326782 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326845), // Rule ID 20042 //
     /*  326787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326826 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326843 */     GIR_RootConstrainSelectedInstOperands,
     /*  326844 */     // GIR_Coverage, 20042,
     /*  326844 */     GIR_EraseRootFromParent_Done,
     /*  326845 */   // Label 6013: @326845
     /*  326845 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(326908), // Rule ID 20043 //
     /*  326850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326906 */     GIR_RootConstrainSelectedInstOperands,
     /*  326907 */     // GIR_Coverage, 20043,
     /*  326907 */     GIR_EraseRootFromParent_Done,
     /*  326908 */   // Label 6014: @326908
     /*  326908 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(326971), // Rule ID 20046 //
     /*  326913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326969 */     GIR_RootConstrainSelectedInstOperands,
     /*  326970 */     // GIR_Coverage, 20046,
     /*  326970 */     GIR_EraseRootFromParent_Done,
     /*  326971 */   // Label 6015: @326971
     /*  326971 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327034), // Rule ID 20047 //
     /*  326976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327015 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327032 */     GIR_RootConstrainSelectedInstOperands,
     /*  327033 */     // GIR_Coverage, 20047,
     /*  327033 */     GIR_EraseRootFromParent_Done,
     /*  327034 */   // Label 6016: @327034
     /*  327034 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327097), // Rule ID 20050 //
     /*  327039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327095 */     GIR_RootConstrainSelectedInstOperands,
     /*  327096 */     // GIR_Coverage, 20050,
     /*  327096 */     GIR_EraseRootFromParent_Done,
     /*  327097 */   // Label 6017: @327097
     /*  327097 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327160), // Rule ID 20051 //
     /*  327102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327158 */     GIR_RootConstrainSelectedInstOperands,
     /*  327159 */     // GIR_Coverage, 20051,
     /*  327159 */     GIR_EraseRootFromParent_Done,
     /*  327160 */   // Label 6018: @327160
     /*  327160 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327223), // Rule ID 20054 //
     /*  327165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327221 */     GIR_RootConstrainSelectedInstOperands,
     /*  327222 */     // GIR_Coverage, 20054,
     /*  327222 */     GIR_EraseRootFromParent_Done,
     /*  327223 */   // Label 6019: @327223
     /*  327223 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327286), // Rule ID 20055 //
     /*  327228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327284 */     GIR_RootConstrainSelectedInstOperands,
     /*  327285 */     // GIR_Coverage, 20055,
     /*  327285 */     GIR_EraseRootFromParent_Done,
     /*  327286 */   // Label 6020: @327286
     /*  327286 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327349), // Rule ID 20058 //
     /*  327291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327330 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327347 */     GIR_RootConstrainSelectedInstOperands,
     /*  327348 */     // GIR_Coverage, 20058,
     /*  327348 */     GIR_EraseRootFromParent_Done,
     /*  327349 */   // Label 6021: @327349
     /*  327349 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327412), // Rule ID 20059 //
     /*  327354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327410 */     GIR_RootConstrainSelectedInstOperands,
     /*  327411 */     // GIR_Coverage, 20059,
     /*  327411 */     GIR_EraseRootFromParent_Done,
     /*  327412 */   // Label 6022: @327412
     /*  327412 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327475), // Rule ID 20062 //
     /*  327417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327473 */     GIR_RootConstrainSelectedInstOperands,
     /*  327474 */     // GIR_Coverage, 20062,
     /*  327474 */     GIR_EraseRootFromParent_Done,
     /*  327475 */   // Label 6023: @327475
     /*  327475 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327538), // Rule ID 20063 //
     /*  327480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327536 */     GIR_RootConstrainSelectedInstOperands,
     /*  327537 */     // GIR_Coverage, 20063,
     /*  327537 */     GIR_EraseRootFromParent_Done,
     /*  327538 */   // Label 6024: @327538
     /*  327538 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327601), // Rule ID 20066 //
     /*  327543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327599 */     GIR_RootConstrainSelectedInstOperands,
     /*  327600 */     // GIR_Coverage, 20066,
     /*  327600 */     GIR_EraseRootFromParent_Done,
     /*  327601 */   // Label 6025: @327601
     /*  327601 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327664), // Rule ID 20067 //
     /*  327606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327662 */     GIR_RootConstrainSelectedInstOperands,
     /*  327663 */     // GIR_Coverage, 20067,
     /*  327663 */     GIR_EraseRootFromParent_Done,
     /*  327664 */   // Label 6026: @327664
     /*  327664 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327727), // Rule ID 20070 //
     /*  327669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327725 */     GIR_RootConstrainSelectedInstOperands,
     /*  327726 */     // GIR_Coverage, 20070,
     /*  327726 */     GIR_EraseRootFromParent_Done,
     /*  327727 */   // Label 6027: @327727
     /*  327727 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327790), // Rule ID 20071 //
     /*  327732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327788 */     GIR_RootConstrainSelectedInstOperands,
     /*  327789 */     // GIR_Coverage, 20071,
     /*  327789 */     GIR_EraseRootFromParent_Done,
     /*  327790 */   // Label 6028: @327790
     /*  327790 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327853), // Rule ID 20074 //
     /*  327795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327851 */     GIR_RootConstrainSelectedInstOperands,
     /*  327852 */     // GIR_Coverage, 20074,
     /*  327852 */     GIR_EraseRootFromParent_Done,
     /*  327853 */   // Label 6029: @327853
     /*  327853 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(327916), // Rule ID 20075 //
     /*  327858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327914 */     GIR_RootConstrainSelectedInstOperands,
     /*  327915 */     // GIR_Coverage, 20075,
     /*  327915 */     GIR_EraseRootFromParent_Done,
     /*  327916 */   // Label 6030: @327916
     /*  327916 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(327979), // Rule ID 20078 //
     /*  327921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327977 */     GIR_RootConstrainSelectedInstOperands,
     /*  327978 */     // GIR_Coverage, 20078,
     /*  327978 */     GIR_EraseRootFromParent_Done,
     /*  327979 */   // Label 6031: @327979
     /*  327979 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328042), // Rule ID 20079 //
     /*  327984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  328026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328040 */     GIR_RootConstrainSelectedInstOperands,
     /*  328041 */     // GIR_Coverage, 20079,
     /*  328041 */     GIR_EraseRootFromParent_Done,
     /*  328042 */   // Label 6032: @328042
     /*  328042 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328105), // Rule ID 20082 //
     /*  328047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328103 */     GIR_RootConstrainSelectedInstOperands,
     /*  328104 */     // GIR_Coverage, 20082,
     /*  328104 */     GIR_EraseRootFromParent_Done,
     /*  328105 */   // Label 6033: @328105
     /*  328105 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328168), // Rule ID 20083 //
     /*  328110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328166 */     GIR_RootConstrainSelectedInstOperands,
     /*  328167 */     // GIR_Coverage, 20083,
     /*  328167 */     GIR_EraseRootFromParent_Done,
     /*  328168 */   // Label 6034: @328168
     /*  328168 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328231), // Rule ID 20086 //
     /*  328173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328229 */     GIR_RootConstrainSelectedInstOperands,
     /*  328230 */     // GIR_Coverage, 20086,
     /*  328230 */     GIR_EraseRootFromParent_Done,
     /*  328231 */   // Label 6035: @328231
     /*  328231 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328294), // Rule ID 20087 //
     /*  328236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328292 */     GIR_RootConstrainSelectedInstOperands,
     /*  328293 */     // GIR_Coverage, 20087,
     /*  328293 */     GIR_EraseRootFromParent_Done,
     /*  328294 */   // Label 6036: @328294
     /*  328294 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328357), // Rule ID 20090 //
     /*  328299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  328341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328355 */     GIR_RootConstrainSelectedInstOperands,
     /*  328356 */     // GIR_Coverage, 20090,
     /*  328356 */     GIR_EraseRootFromParent_Done,
     /*  328357 */   // Label 6037: @328357
     /*  328357 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328420), // Rule ID 20091 //
     /*  328362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  328404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328418 */     GIR_RootConstrainSelectedInstOperands,
     /*  328419 */     // GIR_Coverage, 20091,
     /*  328419 */     GIR_EraseRootFromParent_Done,
     /*  328420 */   // Label 6038: @328420
     /*  328420 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328483), // Rule ID 20094 //
     /*  328425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328481 */     GIR_RootConstrainSelectedInstOperands,
     /*  328482 */     // GIR_Coverage, 20094,
     /*  328482 */     GIR_EraseRootFromParent_Done,
     /*  328483 */   // Label 6039: @328483
     /*  328483 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328546), // Rule ID 20095 //
     /*  328488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328544 */     GIR_RootConstrainSelectedInstOperands,
     /*  328545 */     // GIR_Coverage, 20095,
     /*  328545 */     GIR_EraseRootFromParent_Done,
     /*  328546 */   // Label 6040: @328546
     /*  328546 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328609), // Rule ID 20098 //
     /*  328551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328607 */     GIR_RootConstrainSelectedInstOperands,
     /*  328608 */     // GIR_Coverage, 20098,
     /*  328608 */     GIR_EraseRootFromParent_Done,
     /*  328609 */   // Label 6041: @328609
     /*  328609 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328672), // Rule ID 20099 //
     /*  328614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328670 */     GIR_RootConstrainSelectedInstOperands,
     /*  328671 */     // GIR_Coverage, 20099,
     /*  328671 */     GIR_EraseRootFromParent_Done,
     /*  328672 */   // Label 6042: @328672
     /*  328672 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328735), // Rule ID 20102 //
     /*  328677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328733 */     GIR_RootConstrainSelectedInstOperands,
     /*  328734 */     // GIR_Coverage, 20102,
     /*  328734 */     GIR_EraseRootFromParent_Done,
     /*  328735 */   // Label 6043: @328735
     /*  328735 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328798), // Rule ID 20103 //
     /*  328740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328796 */     GIR_RootConstrainSelectedInstOperands,
     /*  328797 */     // GIR_Coverage, 20103,
     /*  328797 */     GIR_EraseRootFromParent_Done,
     /*  328798 */   // Label 6044: @328798
     /*  328798 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(328861), // Rule ID 20106 //
     /*  328803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328859 */     GIR_RootConstrainSelectedInstOperands,
     /*  328860 */     // GIR_Coverage, 20106,
     /*  328860 */     GIR_EraseRootFromParent_Done,
     /*  328861 */   // Label 6045: @328861
     /*  328861 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(328924), // Rule ID 20107 //
     /*  328866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328905 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328922 */     GIR_RootConstrainSelectedInstOperands,
     /*  328923 */     // GIR_Coverage, 20107,
     /*  328923 */     GIR_EraseRootFromParent_Done,
     /*  328924 */   // Label 6046: @328924
     /*  328924 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(328987), // Rule ID 20110 //
     /*  328929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328985 */     GIR_RootConstrainSelectedInstOperands,
     /*  328986 */     // GIR_Coverage, 20110,
     /*  328986 */     GIR_EraseRootFromParent_Done,
     /*  328987 */   // Label 6047: @328987
     /*  328987 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329050), // Rule ID 20111 //
     /*  328992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  329034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329048 */     GIR_RootConstrainSelectedInstOperands,
     /*  329049 */     // GIR_Coverage, 20111,
     /*  329049 */     GIR_EraseRootFromParent_Done,
     /*  329050 */   // Label 6048: @329050
     /*  329050 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329113), // Rule ID 20114 //
     /*  329055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329111 */     GIR_RootConstrainSelectedInstOperands,
     /*  329112 */     // GIR_Coverage, 20114,
     /*  329112 */     GIR_EraseRootFromParent_Done,
     /*  329113 */   // Label 6049: @329113
     /*  329113 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329176), // Rule ID 20115 //
     /*  329118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329174 */     GIR_RootConstrainSelectedInstOperands,
     /*  329175 */     // GIR_Coverage, 20115,
     /*  329175 */     GIR_EraseRootFromParent_Done,
     /*  329176 */   // Label 6050: @329176
     /*  329176 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329239), // Rule ID 20118 //
     /*  329181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329237 */     GIR_RootConstrainSelectedInstOperands,
     /*  329238 */     // GIR_Coverage, 20118,
     /*  329238 */     GIR_EraseRootFromParent_Done,
     /*  329239 */   // Label 6051: @329239
     /*  329239 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329302), // Rule ID 20119 //
     /*  329244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329300 */     GIR_RootConstrainSelectedInstOperands,
     /*  329301 */     // GIR_Coverage, 20119,
     /*  329301 */     GIR_EraseRootFromParent_Done,
     /*  329302 */   // Label 6052: @329302
     /*  329302 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329365), // Rule ID 20122 //
     /*  329307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  329349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329363 */     GIR_RootConstrainSelectedInstOperands,
     /*  329364 */     // GIR_Coverage, 20122,
     /*  329364 */     GIR_EraseRootFromParent_Done,
     /*  329365 */   // Label 6053: @329365
     /*  329365 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329428), // Rule ID 20123 //
     /*  329370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  329412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329426 */     GIR_RootConstrainSelectedInstOperands,
     /*  329427 */     // GIR_Coverage, 20123,
     /*  329427 */     GIR_EraseRootFromParent_Done,
     /*  329428 */   // Label 6054: @329428
     /*  329428 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329491), // Rule ID 20126 //
     /*  329433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329489 */     GIR_RootConstrainSelectedInstOperands,
     /*  329490 */     // GIR_Coverage, 20126,
     /*  329490 */     GIR_EraseRootFromParent_Done,
     /*  329491 */   // Label 6055: @329491
     /*  329491 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329554), // Rule ID 20127 //
     /*  329496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329552 */     GIR_RootConstrainSelectedInstOperands,
     /*  329553 */     // GIR_Coverage, 20127,
     /*  329553 */     GIR_EraseRootFromParent_Done,
     /*  329554 */   // Label 6056: @329554
     /*  329554 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329617), // Rule ID 20130 //
     /*  329559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329615 */     GIR_RootConstrainSelectedInstOperands,
     /*  329616 */     // GIR_Coverage, 20130,
     /*  329616 */     GIR_EraseRootFromParent_Done,
     /*  329617 */   // Label 6057: @329617
     /*  329617 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329680), // Rule ID 20131 //
     /*  329622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329678 */     GIR_RootConstrainSelectedInstOperands,
     /*  329679 */     // GIR_Coverage, 20131,
     /*  329679 */     GIR_EraseRootFromParent_Done,
     /*  329680 */   // Label 6058: @329680
     /*  329680 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329743), // Rule ID 20134 //
     /*  329685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329741 */     GIR_RootConstrainSelectedInstOperands,
     /*  329742 */     // GIR_Coverage, 20134,
     /*  329742 */     GIR_EraseRootFromParent_Done,
     /*  329743 */   // Label 6059: @329743
     /*  329743 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329806), // Rule ID 20135 //
     /*  329748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329804 */     GIR_RootConstrainSelectedInstOperands,
     /*  329805 */     // GIR_Coverage, 20135,
     /*  329805 */     GIR_EraseRootFromParent_Done,
     /*  329806 */   // Label 6060: @329806
     /*  329806 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(329869), // Rule ID 20138 //
     /*  329811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329867 */     GIR_RootConstrainSelectedInstOperands,
     /*  329868 */     // GIR_Coverage, 20138,
     /*  329868 */     GIR_EraseRootFromParent_Done,
     /*  329869 */   // Label 6061: @329869
     /*  329869 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(329932), // Rule ID 20139 //
     /*  329874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329930 */     GIR_RootConstrainSelectedInstOperands,
     /*  329931 */     // GIR_Coverage, 20139,
     /*  329931 */     GIR_EraseRootFromParent_Done,
     /*  329932 */   // Label 6062: @329932
     /*  329932 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(329995), // Rule ID 20142 //
     /*  329937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329993 */     GIR_RootConstrainSelectedInstOperands,
     /*  329994 */     // GIR_Coverage, 20142,
     /*  329994 */     GIR_EraseRootFromParent_Done,
     /*  329995 */   // Label 6063: @329995
     /*  329995 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330058), // Rule ID 20143 //
     /*  330000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330039 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  330042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330056 */     GIR_RootConstrainSelectedInstOperands,
     /*  330057 */     // GIR_Coverage, 20143,
     /*  330057 */     GIR_EraseRootFromParent_Done,
     /*  330058 */   // Label 6064: @330058
     /*  330058 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330121), // Rule ID 20146 //
     /*  330063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330119 */     GIR_RootConstrainSelectedInstOperands,
     /*  330120 */     // GIR_Coverage, 20146,
     /*  330120 */     GIR_EraseRootFromParent_Done,
     /*  330121 */   // Label 6065: @330121
     /*  330121 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330184), // Rule ID 20147 //
     /*  330126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330165 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330182 */     GIR_RootConstrainSelectedInstOperands,
     /*  330183 */     // GIR_Coverage, 20147,
     /*  330183 */     GIR_EraseRootFromParent_Done,
     /*  330184 */   // Label 6066: @330184
     /*  330184 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330247), // Rule ID 20150 //
     /*  330189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330245 */     GIR_RootConstrainSelectedInstOperands,
     /*  330246 */     // GIR_Coverage, 20150,
     /*  330246 */     GIR_EraseRootFromParent_Done,
     /*  330247 */   // Label 6067: @330247
     /*  330247 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330310), // Rule ID 20151 //
     /*  330252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330308 */     GIR_RootConstrainSelectedInstOperands,
     /*  330309 */     // GIR_Coverage, 20151,
     /*  330309 */     GIR_EraseRootFromParent_Done,
     /*  330310 */   // Label 6068: @330310
     /*  330310 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330373), // Rule ID 20154 //
     /*  330315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  330357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330371 */     GIR_RootConstrainSelectedInstOperands,
     /*  330372 */     // GIR_Coverage, 20154,
     /*  330372 */     GIR_EraseRootFromParent_Done,
     /*  330373 */   // Label 6069: @330373
     /*  330373 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330436), // Rule ID 20155 //
     /*  330378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  330420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330434 */     GIR_RootConstrainSelectedInstOperands,
     /*  330435 */     // GIR_Coverage, 20155,
     /*  330435 */     GIR_EraseRootFromParent_Done,
     /*  330436 */   // Label 6070: @330436
     /*  330436 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330499), // Rule ID 20158 //
     /*  330441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330497 */     GIR_RootConstrainSelectedInstOperands,
     /*  330498 */     // GIR_Coverage, 20158,
     /*  330498 */     GIR_EraseRootFromParent_Done,
     /*  330499 */   // Label 6071: @330499
     /*  330499 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330562), // Rule ID 20159 //
     /*  330504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330543 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330560 */     GIR_RootConstrainSelectedInstOperands,
     /*  330561 */     // GIR_Coverage, 20159,
     /*  330561 */     GIR_EraseRootFromParent_Done,
     /*  330562 */   // Label 6072: @330562
     /*  330562 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330625), // Rule ID 20162 //
     /*  330567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330623 */     GIR_RootConstrainSelectedInstOperands,
     /*  330624 */     // GIR_Coverage, 20162,
     /*  330624 */     GIR_EraseRootFromParent_Done,
     /*  330625 */   // Label 6073: @330625
     /*  330625 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330688), // Rule ID 20163 //
     /*  330630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330686 */     GIR_RootConstrainSelectedInstOperands,
     /*  330687 */     // GIR_Coverage, 20163,
     /*  330687 */     GIR_EraseRootFromParent_Done,
     /*  330688 */   // Label 6074: @330688
     /*  330688 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330751), // Rule ID 20166 //
     /*  330693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330749 */     GIR_RootConstrainSelectedInstOperands,
     /*  330750 */     // GIR_Coverage, 20166,
     /*  330750 */     GIR_EraseRootFromParent_Done,
     /*  330751 */   // Label 6075: @330751
     /*  330751 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330814), // Rule ID 20167 //
     /*  330756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330795 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330812 */     GIR_RootConstrainSelectedInstOperands,
     /*  330813 */     // GIR_Coverage, 20167,
     /*  330813 */     GIR_EraseRootFromParent_Done,
     /*  330814 */   // Label 6076: @330814
     /*  330814 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(330877), // Rule ID 20170 //
     /*  330819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330858 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330875 */     GIR_RootConstrainSelectedInstOperands,
     /*  330876 */     // GIR_Coverage, 20170,
     /*  330876 */     GIR_EraseRootFromParent_Done,
     /*  330877 */   // Label 6077: @330877
     /*  330877 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(330940), // Rule ID 20171 //
     /*  330882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330938 */     GIR_RootConstrainSelectedInstOperands,
     /*  330939 */     // GIR_Coverage, 20171,
     /*  330939 */     GIR_EraseRootFromParent_Done,
     /*  330940 */   // Label 6078: @330940
     /*  330940 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331003), // Rule ID 20174 //
     /*  330945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331001 */     GIR_RootConstrainSelectedInstOperands,
     /*  331002 */     // GIR_Coverage, 20174,
     /*  331002 */     GIR_EraseRootFromParent_Done,
     /*  331003 */   // Label 6079: @331003
     /*  331003 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331066), // Rule ID 20175 //
     /*  331008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331047 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  331050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331064 */     GIR_RootConstrainSelectedInstOperands,
     /*  331065 */     // GIR_Coverage, 20175,
     /*  331065 */     GIR_EraseRootFromParent_Done,
     /*  331066 */   // Label 6080: @331066
     /*  331066 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331129), // Rule ID 20178 //
     /*  331071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331127 */     GIR_RootConstrainSelectedInstOperands,
     /*  331128 */     // GIR_Coverage, 20178,
     /*  331128 */     GIR_EraseRootFromParent_Done,
     /*  331129 */   // Label 6081: @331129
     /*  331129 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331192), // Rule ID 20179 //
     /*  331134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331190 */     GIR_RootConstrainSelectedInstOperands,
     /*  331191 */     // GIR_Coverage, 20179,
     /*  331191 */     GIR_EraseRootFromParent_Done,
     /*  331192 */   // Label 6082: @331192
     /*  331192 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331255), // Rule ID 20182 //
     /*  331197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331253 */     GIR_RootConstrainSelectedInstOperands,
     /*  331254 */     // GIR_Coverage, 20182,
     /*  331254 */     GIR_EraseRootFromParent_Done,
     /*  331255 */   // Label 6083: @331255
     /*  331255 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331318), // Rule ID 20183 //
     /*  331260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331316 */     GIR_RootConstrainSelectedInstOperands,
     /*  331317 */     // GIR_Coverage, 20183,
     /*  331317 */     GIR_EraseRootFromParent_Done,
     /*  331318 */   // Label 6084: @331318
     /*  331318 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331381), // Rule ID 20186 //
     /*  331323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  331365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331379 */     GIR_RootConstrainSelectedInstOperands,
     /*  331380 */     // GIR_Coverage, 20186,
     /*  331380 */     GIR_EraseRootFromParent_Done,
     /*  331381 */   // Label 6085: @331381
     /*  331381 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331444), // Rule ID 20187 //
     /*  331386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  331428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331442 */     GIR_RootConstrainSelectedInstOperands,
     /*  331443 */     // GIR_Coverage, 20187,
     /*  331443 */     GIR_EraseRootFromParent_Done,
     /*  331444 */   // Label 6086: @331444
     /*  331444 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331507), // Rule ID 20190 //
     /*  331449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331505 */     GIR_RootConstrainSelectedInstOperands,
     /*  331506 */     // GIR_Coverage, 20190,
     /*  331506 */     GIR_EraseRootFromParent_Done,
     /*  331507 */   // Label 6087: @331507
     /*  331507 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331570), // Rule ID 20191 //
     /*  331512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331568 */     GIR_RootConstrainSelectedInstOperands,
     /*  331569 */     // GIR_Coverage, 20191,
     /*  331569 */     GIR_EraseRootFromParent_Done,
     /*  331570 */   // Label 6088: @331570
     /*  331570 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331633), // Rule ID 20194 //
     /*  331575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331631 */     GIR_RootConstrainSelectedInstOperands,
     /*  331632 */     // GIR_Coverage, 20194,
     /*  331632 */     GIR_EraseRootFromParent_Done,
     /*  331633 */   // Label 6089: @331633
     /*  331633 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331696), // Rule ID 20195 //
     /*  331638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331694 */     GIR_RootConstrainSelectedInstOperands,
     /*  331695 */     // GIR_Coverage, 20195,
     /*  331695 */     GIR_EraseRootFromParent_Done,
     /*  331696 */   // Label 6090: @331696
     /*  331696 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331759), // Rule ID 20198 //
     /*  331701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331757 */     GIR_RootConstrainSelectedInstOperands,
     /*  331758 */     // GIR_Coverage, 20198,
     /*  331758 */     GIR_EraseRootFromParent_Done,
     /*  331759 */   // Label 6091: @331759
     /*  331759 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331822), // Rule ID 20199 //
     /*  331764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331820 */     GIR_RootConstrainSelectedInstOperands,
     /*  331821 */     // GIR_Coverage, 20199,
     /*  331821 */     GIR_EraseRootFromParent_Done,
     /*  331822 */   // Label 6092: @331822
     /*  331822 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(331885), // Rule ID 20202 //
     /*  331827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331883 */     GIR_RootConstrainSelectedInstOperands,
     /*  331884 */     // GIR_Coverage, 20202,
     /*  331884 */     GIR_EraseRootFromParent_Done,
     /*  331885 */   // Label 6093: @331885
     /*  331885 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(331948), // Rule ID 20203 //
     /*  331890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331946 */     GIR_RootConstrainSelectedInstOperands,
     /*  331947 */     // GIR_Coverage, 20203,
     /*  331947 */     GIR_EraseRootFromParent_Done,
     /*  331948 */   // Label 6094: @331948
     /*  331948 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332011), // Rule ID 20206 //
     /*  331953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  331995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332009 */     GIR_RootConstrainSelectedInstOperands,
     /*  332010 */     // GIR_Coverage, 20206,
     /*  332010 */     GIR_EraseRootFromParent_Done,
     /*  332011 */   // Label 6095: @332011
     /*  332011 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332074), // Rule ID 20207 //
     /*  332016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332055 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  332058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332072 */     GIR_RootConstrainSelectedInstOperands,
     /*  332073 */     // GIR_Coverage, 20207,
     /*  332073 */     GIR_EraseRootFromParent_Done,
     /*  332074 */   // Label 6096: @332074
     /*  332074 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332137), // Rule ID 20210 //
     /*  332079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332135 */     GIR_RootConstrainSelectedInstOperands,
     /*  332136 */     // GIR_Coverage, 20210,
     /*  332136 */     GIR_EraseRootFromParent_Done,
     /*  332137 */   // Label 6097: @332137
     /*  332137 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332200), // Rule ID 20211 //
     /*  332142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332181 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332198 */     GIR_RootConstrainSelectedInstOperands,
     /*  332199 */     // GIR_Coverage, 20211,
     /*  332199 */     GIR_EraseRootFromParent_Done,
     /*  332200 */   // Label 6098: @332200
     /*  332200 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332263), // Rule ID 20214 //
     /*  332205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332261 */     GIR_RootConstrainSelectedInstOperands,
     /*  332262 */     // GIR_Coverage, 20214,
     /*  332262 */     GIR_EraseRootFromParent_Done,
     /*  332263 */   // Label 6099: @332263
     /*  332263 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332326), // Rule ID 20215 //
     /*  332268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332307 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332324 */     GIR_RootConstrainSelectedInstOperands,
     /*  332325 */     // GIR_Coverage, 20215,
     /*  332325 */     GIR_EraseRootFromParent_Done,
     /*  332326 */   // Label 6100: @332326
     /*  332326 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332389), // Rule ID 20218 //
     /*  332331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332387 */     GIR_RootConstrainSelectedInstOperands,
     /*  332388 */     // GIR_Coverage, 20218,
     /*  332388 */     GIR_EraseRootFromParent_Done,
     /*  332389 */   // Label 6101: @332389
     /*  332389 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332452), // Rule ID 20219 //
     /*  332394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332450 */     GIR_RootConstrainSelectedInstOperands,
     /*  332451 */     // GIR_Coverage, 20219,
     /*  332451 */     GIR_EraseRootFromParent_Done,
     /*  332452 */   // Label 6102: @332452
     /*  332452 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332515), // Rule ID 20222 //
     /*  332457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332513 */     GIR_RootConstrainSelectedInstOperands,
     /*  332514 */     // GIR_Coverage, 20222,
     /*  332514 */     GIR_EraseRootFromParent_Done,
     /*  332515 */   // Label 6103: @332515
     /*  332515 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332578), // Rule ID 20223 //
     /*  332520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332559 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332576 */     GIR_RootConstrainSelectedInstOperands,
     /*  332577 */     // GIR_Coverage, 20223,
     /*  332577 */     GIR_EraseRootFromParent_Done,
     /*  332578 */   // Label 6104: @332578
     /*  332578 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332641), // Rule ID 20226 //
     /*  332583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332639 */     GIR_RootConstrainSelectedInstOperands,
     /*  332640 */     // GIR_Coverage, 20226,
     /*  332640 */     GIR_EraseRootFromParent_Done,
     /*  332641 */   // Label 6105: @332641
     /*  332641 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332704), // Rule ID 20227 //
     /*  332646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332685 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332702 */     GIR_RootConstrainSelectedInstOperands,
     /*  332703 */     // GIR_Coverage, 20227,
     /*  332703 */     GIR_EraseRootFromParent_Done,
     /*  332704 */   // Label 6106: @332704
     /*  332704 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332767), // Rule ID 20230 //
     /*  332709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332765 */     GIR_RootConstrainSelectedInstOperands,
     /*  332766 */     // GIR_Coverage, 20230,
     /*  332766 */     GIR_EraseRootFromParent_Done,
     /*  332767 */   // Label 6107: @332767
     /*  332767 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332830), // Rule ID 20231 //
     /*  332772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332811 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332828 */     GIR_RootConstrainSelectedInstOperands,
     /*  332829 */     // GIR_Coverage, 20231,
     /*  332829 */     GIR_EraseRootFromParent_Done,
     /*  332830 */   // Label 6108: @332830
     /*  332830 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(332893), // Rule ID 20234 //
     /*  332835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332891 */     GIR_RootConstrainSelectedInstOperands,
     /*  332892 */     // GIR_Coverage, 20234,
     /*  332892 */     GIR_EraseRootFromParent_Done,
     /*  332893 */   // Label 6109: @332893
     /*  332893 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(332956), // Rule ID 20235 //
     /*  332898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332954 */     GIR_RootConstrainSelectedInstOperands,
     /*  332955 */     // GIR_Coverage, 20235,
     /*  332955 */     GIR_EraseRootFromParent_Done,
     /*  332956 */   // Label 6110: @332956
     /*  332956 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333019), // Rule ID 20238 //
     /*  332961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333017 */     GIR_RootConstrainSelectedInstOperands,
     /*  333018 */     // GIR_Coverage, 20238,
     /*  333018 */     GIR_EraseRootFromParent_Done,
     /*  333019 */   // Label 6111: @333019
     /*  333019 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333082), // Rule ID 20239 //
     /*  333024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333063 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333080 */     GIR_RootConstrainSelectedInstOperands,
     /*  333081 */     // GIR_Coverage, 20239,
     /*  333081 */     GIR_EraseRootFromParent_Done,
     /*  333082 */   // Label 6112: @333082
     /*  333082 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333145), // Rule ID 20242 //
     /*  333087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333143 */     GIR_RootConstrainSelectedInstOperands,
     /*  333144 */     // GIR_Coverage, 20242,
     /*  333144 */     GIR_EraseRootFromParent_Done,
     /*  333145 */   // Label 6113: @333145
     /*  333145 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333208), // Rule ID 20243 //
     /*  333150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333189 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333206 */     GIR_RootConstrainSelectedInstOperands,
     /*  333207 */     // GIR_Coverage, 20243,
     /*  333207 */     GIR_EraseRootFromParent_Done,
     /*  333208 */   // Label 6114: @333208
     /*  333208 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333271), // Rule ID 20246 //
     /*  333213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333269 */     GIR_RootConstrainSelectedInstOperands,
     /*  333270 */     // GIR_Coverage, 20246,
     /*  333270 */     GIR_EraseRootFromParent_Done,
     /*  333271 */   // Label 6115: @333271
     /*  333271 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333334), // Rule ID 20247 //
     /*  333276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333315 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333332 */     GIR_RootConstrainSelectedInstOperands,
     /*  333333 */     // GIR_Coverage, 20247,
     /*  333333 */     GIR_EraseRootFromParent_Done,
     /*  333334 */   // Label 6116: @333334
     /*  333334 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333397), // Rule ID 20250 //
     /*  333339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333395 */     GIR_RootConstrainSelectedInstOperands,
     /*  333396 */     // GIR_Coverage, 20250,
     /*  333396 */     GIR_EraseRootFromParent_Done,
     /*  333397 */   // Label 6117: @333397
     /*  333397 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333460), // Rule ID 20251 //
     /*  333402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333441 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333458 */     GIR_RootConstrainSelectedInstOperands,
     /*  333459 */     // GIR_Coverage, 20251,
     /*  333459 */     GIR_EraseRootFromParent_Done,
     /*  333460 */   // Label 6118: @333460
     /*  333460 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333523), // Rule ID 20254 //
     /*  333465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333521 */     GIR_RootConstrainSelectedInstOperands,
     /*  333522 */     // GIR_Coverage, 20254,
     /*  333522 */     GIR_EraseRootFromParent_Done,
     /*  333523 */   // Label 6119: @333523
     /*  333523 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333586), // Rule ID 20255 //
     /*  333528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333584 */     GIR_RootConstrainSelectedInstOperands,
     /*  333585 */     // GIR_Coverage, 20255,
     /*  333585 */     GIR_EraseRootFromParent_Done,
     /*  333586 */   // Label 6120: @333586
     /*  333586 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333649), // Rule ID 20258 //
     /*  333591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333647 */     GIR_RootConstrainSelectedInstOperands,
     /*  333648 */     // GIR_Coverage, 20258,
     /*  333648 */     GIR_EraseRootFromParent_Done,
     /*  333649 */   // Label 6121: @333649
     /*  333649 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333712), // Rule ID 20259 //
     /*  333654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333710 */     GIR_RootConstrainSelectedInstOperands,
     /*  333711 */     // GIR_Coverage, 20259,
     /*  333711 */     GIR_EraseRootFromParent_Done,
     /*  333712 */   // Label 6122: @333712
     /*  333712 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333775), // Rule ID 20262 //
     /*  333717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333773 */     GIR_RootConstrainSelectedInstOperands,
     /*  333774 */     // GIR_Coverage, 20262,
     /*  333774 */     GIR_EraseRootFromParent_Done,
     /*  333775 */   // Label 6123: @333775
     /*  333775 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333838), // Rule ID 20263 //
     /*  333780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333819 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333836 */     GIR_RootConstrainSelectedInstOperands,
     /*  333837 */     // GIR_Coverage, 20263,
     /*  333837 */     GIR_EraseRootFromParent_Done,
     /*  333838 */   // Label 6124: @333838
     /*  333838 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(333901), // Rule ID 20266 //
     /*  333843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333882 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333899 */     GIR_RootConstrainSelectedInstOperands,
     /*  333900 */     // GIR_Coverage, 20266,
     /*  333900 */     GIR_EraseRootFromParent_Done,
     /*  333901 */   // Label 6125: @333901
     /*  333901 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(333964), // Rule ID 20267 //
     /*  333906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333962 */     GIR_RootConstrainSelectedInstOperands,
     /*  333963 */     // GIR_Coverage, 20267,
     /*  333963 */     GIR_EraseRootFromParent_Done,
     /*  333964 */   // Label 6126: @333964
     /*  333964 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334027), // Rule ID 20270 //
     /*  333969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334025 */     GIR_RootConstrainSelectedInstOperands,
     /*  334026 */     // GIR_Coverage, 20270,
     /*  334026 */     GIR_EraseRootFromParent_Done,
     /*  334027 */   // Label 6127: @334027
     /*  334027 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334090), // Rule ID 20271 //
     /*  334032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334071 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334088 */     GIR_RootConstrainSelectedInstOperands,
     /*  334089 */     // GIR_Coverage, 20271,
     /*  334089 */     GIR_EraseRootFromParent_Done,
     /*  334090 */   // Label 6128: @334090
     /*  334090 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334153), // Rule ID 20274 //
     /*  334095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334151 */     GIR_RootConstrainSelectedInstOperands,
     /*  334152 */     // GIR_Coverage, 20274,
     /*  334152 */     GIR_EraseRootFromParent_Done,
     /*  334153 */   // Label 6129: @334153
     /*  334153 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334216), // Rule ID 20275 //
     /*  334158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334214 */     GIR_RootConstrainSelectedInstOperands,
     /*  334215 */     // GIR_Coverage, 20275,
     /*  334215 */     GIR_EraseRootFromParent_Done,
     /*  334216 */   // Label 6130: @334216
     /*  334216 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334279), // Rule ID 20278 //
     /*  334221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334277 */     GIR_RootConstrainSelectedInstOperands,
     /*  334278 */     // GIR_Coverage, 20278,
     /*  334278 */     GIR_EraseRootFromParent_Done,
     /*  334279 */   // Label 6131: @334279
     /*  334279 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334342), // Rule ID 20279 //
     /*  334284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334340 */     GIR_RootConstrainSelectedInstOperands,
     /*  334341 */     // GIR_Coverage, 20279,
     /*  334341 */     GIR_EraseRootFromParent_Done,
     /*  334342 */   // Label 6132: @334342
     /*  334342 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334405), // Rule ID 20282 //
     /*  334347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334386 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334403 */     GIR_RootConstrainSelectedInstOperands,
     /*  334404 */     // GIR_Coverage, 20282,
     /*  334404 */     GIR_EraseRootFromParent_Done,
     /*  334405 */   // Label 6133: @334405
     /*  334405 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334468), // Rule ID 20283 //
     /*  334410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334466 */     GIR_RootConstrainSelectedInstOperands,
     /*  334467 */     // GIR_Coverage, 20283,
     /*  334467 */     GIR_EraseRootFromParent_Done,
     /*  334468 */   // Label 6134: @334468
     /*  334468 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334531), // Rule ID 20286 //
     /*  334473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334512 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334529 */     GIR_RootConstrainSelectedInstOperands,
     /*  334530 */     // GIR_Coverage, 20286,
     /*  334530 */     GIR_EraseRootFromParent_Done,
     /*  334531 */   // Label 6135: @334531
     /*  334531 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334594), // Rule ID 20287 //
     /*  334536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334575 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334592 */     GIR_RootConstrainSelectedInstOperands,
     /*  334593 */     // GIR_Coverage, 20287,
     /*  334593 */     GIR_EraseRootFromParent_Done,
     /*  334594 */   // Label 6136: @334594
     /*  334594 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334657), // Rule ID 20290 //
     /*  334599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334655 */     GIR_RootConstrainSelectedInstOperands,
     /*  334656 */     // GIR_Coverage, 20290,
     /*  334656 */     GIR_EraseRootFromParent_Done,
     /*  334657 */   // Label 6137: @334657
     /*  334657 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334720), // Rule ID 20291 //
     /*  334662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334718 */     GIR_RootConstrainSelectedInstOperands,
     /*  334719 */     // GIR_Coverage, 20291,
     /*  334719 */     GIR_EraseRootFromParent_Done,
     /*  334720 */   // Label 6138: @334720
     /*  334720 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334783), // Rule ID 20294 //
     /*  334725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334781 */     GIR_RootConstrainSelectedInstOperands,
     /*  334782 */     // GIR_Coverage, 20294,
     /*  334782 */     GIR_EraseRootFromParent_Done,
     /*  334783 */   // Label 6139: @334783
     /*  334783 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334846), // Rule ID 20295 //
     /*  334788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334844 */     GIR_RootConstrainSelectedInstOperands,
     /*  334845 */     // GIR_Coverage, 20295,
     /*  334845 */     GIR_EraseRootFromParent_Done,
     /*  334846 */   // Label 6140: @334846
     /*  334846 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(334909), // Rule ID 20298 //
     /*  334851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334907 */     GIR_RootConstrainSelectedInstOperands,
     /*  334908 */     // GIR_Coverage, 20298,
     /*  334908 */     GIR_EraseRootFromParent_Done,
     /*  334909 */   // Label 6141: @334909
     /*  334909 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(334972), // Rule ID 20299 //
     /*  334914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334970 */     GIR_RootConstrainSelectedInstOperands,
     /*  334971 */     // GIR_Coverage, 20299,
     /*  334971 */     GIR_EraseRootFromParent_Done,
     /*  334972 */   // Label 6142: @334972
     /*  334972 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335035), // Rule ID 20302 //
     /*  334977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335033 */     GIR_RootConstrainSelectedInstOperands,
     /*  335034 */     // GIR_Coverage, 20302,
     /*  335034 */     GIR_EraseRootFromParent_Done,
     /*  335035 */   // Label 6143: @335035
     /*  335035 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335098), // Rule ID 20303 //
     /*  335040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335096 */     GIR_RootConstrainSelectedInstOperands,
     /*  335097 */     // GIR_Coverage, 20303,
     /*  335097 */     GIR_EraseRootFromParent_Done,
     /*  335098 */   // Label 6144: @335098
     /*  335098 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335161), // Rule ID 20306 //
     /*  335103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335159 */     GIR_RootConstrainSelectedInstOperands,
     /*  335160 */     // GIR_Coverage, 20306,
     /*  335160 */     GIR_EraseRootFromParent_Done,
     /*  335161 */   // Label 6145: @335161
     /*  335161 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335224), // Rule ID 20307 //
     /*  335166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335222 */     GIR_RootConstrainSelectedInstOperands,
     /*  335223 */     // GIR_Coverage, 20307,
     /*  335223 */     GIR_EraseRootFromParent_Done,
     /*  335224 */   // Label 6146: @335224
     /*  335224 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335287), // Rule ID 20310 //
     /*  335229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335285 */     GIR_RootConstrainSelectedInstOperands,
     /*  335286 */     // GIR_Coverage, 20310,
     /*  335286 */     GIR_EraseRootFromParent_Done,
     /*  335287 */   // Label 6147: @335287
     /*  335287 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335350), // Rule ID 20311 //
     /*  335292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335348 */     GIR_RootConstrainSelectedInstOperands,
     /*  335349 */     // GIR_Coverage, 20311,
     /*  335349 */     GIR_EraseRootFromParent_Done,
     /*  335350 */   // Label 6148: @335350
     /*  335350 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335413), // Rule ID 20314 //
     /*  335355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335394 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335411 */     GIR_RootConstrainSelectedInstOperands,
     /*  335412 */     // GIR_Coverage, 20314,
     /*  335412 */     GIR_EraseRootFromParent_Done,
     /*  335413 */   // Label 6149: @335413
     /*  335413 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335476), // Rule ID 20315 //
     /*  335418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335474 */     GIR_RootConstrainSelectedInstOperands,
     /*  335475 */     // GIR_Coverage, 20315,
     /*  335475 */     GIR_EraseRootFromParent_Done,
     /*  335476 */   // Label 6150: @335476
     /*  335476 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335539), // Rule ID 20318 //
     /*  335481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335537 */     GIR_RootConstrainSelectedInstOperands,
     /*  335538 */     // GIR_Coverage, 20318,
     /*  335538 */     GIR_EraseRootFromParent_Done,
     /*  335539 */   // Label 6151: @335539
     /*  335539 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335602), // Rule ID 20319 //
     /*  335544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335600 */     GIR_RootConstrainSelectedInstOperands,
     /*  335601 */     // GIR_Coverage, 20319,
     /*  335601 */     GIR_EraseRootFromParent_Done,
     /*  335602 */   // Label 6152: @335602
     /*  335602 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335665), // Rule ID 20322 //
     /*  335607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335663 */     GIR_RootConstrainSelectedInstOperands,
     /*  335664 */     // GIR_Coverage, 20322,
     /*  335664 */     GIR_EraseRootFromParent_Done,
     /*  335665 */   // Label 6153: @335665
     /*  335665 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335728), // Rule ID 20323 //
     /*  335670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335709 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335726 */     GIR_RootConstrainSelectedInstOperands,
     /*  335727 */     // GIR_Coverage, 20323,
     /*  335727 */     GIR_EraseRootFromParent_Done,
     /*  335728 */   // Label 6154: @335728
     /*  335728 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335791), // Rule ID 20326 //
     /*  335733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335789 */     GIR_RootConstrainSelectedInstOperands,
     /*  335790 */     // GIR_Coverage, 20326,
     /*  335790 */     GIR_EraseRootFromParent_Done,
     /*  335791 */   // Label 6155: @335791
     /*  335791 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(335854), // Rule ID 20327 //
     /*  335796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335852 */     GIR_RootConstrainSelectedInstOperands,
     /*  335853 */     // GIR_Coverage, 20327,
     /*  335853 */     GIR_EraseRootFromParent_Done,
     /*  335854 */   // Label 6156: @335854
     /*  335854 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(335917), // Rule ID 20330 //
     /*  335859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335898 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335915 */     GIR_RootConstrainSelectedInstOperands,
     /*  335916 */     // GIR_Coverage, 20330,
     /*  335916 */     GIR_EraseRootFromParent_Done,
     /*  335917 */   // Label 6157: @335917
     /*  335917 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(335980), // Rule ID 20331 //
     /*  335922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335978 */     GIR_RootConstrainSelectedInstOperands,
     /*  335979 */     // GIR_Coverage, 20331,
     /*  335979 */     GIR_EraseRootFromParent_Done,
     /*  335980 */   // Label 6158: @335980
     /*  335980 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336043), // Rule ID 20334 //
     /*  335985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336041 */     GIR_RootConstrainSelectedInstOperands,
     /*  336042 */     // GIR_Coverage, 20334,
     /*  336042 */     GIR_EraseRootFromParent_Done,
     /*  336043 */   // Label 6159: @336043
     /*  336043 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336106), // Rule ID 20335 //
     /*  336048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336104 */     GIR_RootConstrainSelectedInstOperands,
     /*  336105 */     // GIR_Coverage, 20335,
     /*  336105 */     GIR_EraseRootFromParent_Done,
     /*  336106 */   // Label 6160: @336106
     /*  336106 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336169), // Rule ID 20338 //
     /*  336111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336167 */     GIR_RootConstrainSelectedInstOperands,
     /*  336168 */     // GIR_Coverage, 20338,
     /*  336168 */     GIR_EraseRootFromParent_Done,
     /*  336169 */   // Label 6161: @336169
     /*  336169 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336232), // Rule ID 20339 //
     /*  336174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336213 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336230 */     GIR_RootConstrainSelectedInstOperands,
     /*  336231 */     // GIR_Coverage, 20339,
     /*  336231 */     GIR_EraseRootFromParent_Done,
     /*  336232 */   // Label 6162: @336232
     /*  336232 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336295), // Rule ID 20342 //
     /*  336237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336293 */     GIR_RootConstrainSelectedInstOperands,
     /*  336294 */     // GIR_Coverage, 20342,
     /*  336294 */     GIR_EraseRootFromParent_Done,
     /*  336295 */   // Label 6163: @336295
     /*  336295 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336358), // Rule ID 20343 //
     /*  336300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336356 */     GIR_RootConstrainSelectedInstOperands,
     /*  336357 */     // GIR_Coverage, 20343,
     /*  336357 */     GIR_EraseRootFromParent_Done,
     /*  336358 */   // Label 6164: @336358
     /*  336358 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336421), // Rule ID 20346 //
     /*  336363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336402 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336419 */     GIR_RootConstrainSelectedInstOperands,
     /*  336420 */     // GIR_Coverage, 20346,
     /*  336420 */     GIR_EraseRootFromParent_Done,
     /*  336421 */   // Label 6165: @336421
     /*  336421 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336484), // Rule ID 20347 //
     /*  336426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336465 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336482 */     GIR_RootConstrainSelectedInstOperands,
     /*  336483 */     // GIR_Coverage, 20347,
     /*  336483 */     GIR_EraseRootFromParent_Done,
     /*  336484 */   // Label 6166: @336484
     /*  336484 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336547), // Rule ID 20350 //
     /*  336489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336545 */     GIR_RootConstrainSelectedInstOperands,
     /*  336546 */     // GIR_Coverage, 20350,
     /*  336546 */     GIR_EraseRootFromParent_Done,
     /*  336547 */   // Label 6167: @336547
     /*  336547 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336610), // Rule ID 20351 //
     /*  336552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336608 */     GIR_RootConstrainSelectedInstOperands,
     /*  336609 */     // GIR_Coverage, 20351,
     /*  336609 */     GIR_EraseRootFromParent_Done,
     /*  336610 */   // Label 6168: @336610
     /*  336610 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336673), // Rule ID 20354 //
     /*  336615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336671 */     GIR_RootConstrainSelectedInstOperands,
     /*  336672 */     // GIR_Coverage, 20354,
     /*  336672 */     GIR_EraseRootFromParent_Done,
     /*  336673 */   // Label 6169: @336673
     /*  336673 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336736), // Rule ID 20355 //
     /*  336678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336734 */     GIR_RootConstrainSelectedInstOperands,
     /*  336735 */     // GIR_Coverage, 20355,
     /*  336735 */     GIR_EraseRootFromParent_Done,
     /*  336736 */   // Label 6170: @336736
     /*  336736 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(336799), // Rule ID 20358 //
     /*  336741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336797 */     GIR_RootConstrainSelectedInstOperands,
     /*  336798 */     // GIR_Coverage, 20358,
     /*  336798 */     GIR_EraseRootFromParent_Done,
     /*  336799 */   // Label 6171: @336799
     /*  336799 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(336862), // Rule ID 20359 //
     /*  336804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336860 */     GIR_RootConstrainSelectedInstOperands,
     /*  336861 */     // GIR_Coverage, 20359,
     /*  336861 */     GIR_EraseRootFromParent_Done,
     /*  336862 */   // Label 6172: @336862
     /*  336862 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(336925), // Rule ID 20362 //
     /*  336867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336923 */     GIR_RootConstrainSelectedInstOperands,
     /*  336924 */     // GIR_Coverage, 20362,
     /*  336924 */     GIR_EraseRootFromParent_Done,
     /*  336925 */   // Label 6173: @336925
     /*  336925 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(336988), // Rule ID 20363 //
     /*  336930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336986 */     GIR_RootConstrainSelectedInstOperands,
     /*  336987 */     // GIR_Coverage, 20363,
     /*  336987 */     GIR_EraseRootFromParent_Done,
     /*  336988 */   // Label 6174: @336988
     /*  336988 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337051), // Rule ID 20366 //
     /*  336993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337049 */     GIR_RootConstrainSelectedInstOperands,
     /*  337050 */     // GIR_Coverage, 20366,
     /*  337050 */     GIR_EraseRootFromParent_Done,
     /*  337051 */   // Label 6175: @337051
     /*  337051 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337114), // Rule ID 20367 //
     /*  337056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337112 */     GIR_RootConstrainSelectedInstOperands,
     /*  337113 */     // GIR_Coverage, 20367,
     /*  337113 */     GIR_EraseRootFromParent_Done,
     /*  337114 */   // Label 6176: @337114
     /*  337114 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337177), // Rule ID 20370 //
     /*  337119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337175 */     GIR_RootConstrainSelectedInstOperands,
     /*  337176 */     // GIR_Coverage, 20370,
     /*  337176 */     GIR_EraseRootFromParent_Done,
     /*  337177 */   // Label 6177: @337177
     /*  337177 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337240), // Rule ID 20371 //
     /*  337182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337238 */     GIR_RootConstrainSelectedInstOperands,
     /*  337239 */     // GIR_Coverage, 20371,
     /*  337239 */     GIR_EraseRootFromParent_Done,
     /*  337240 */   // Label 6178: @337240
     /*  337240 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337306), // Rule ID 20374 //
     /*  337245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337304 */     GIR_RootConstrainSelectedInstOperands,
     /*  337305 */     // GIR_Coverage, 20374,
     /*  337305 */     GIR_EraseRootFromParent_Done,
     /*  337306 */   // Label 6179: @337306
     /*  337306 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337372), // Rule ID 20375 //
     /*  337311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337370 */     GIR_RootConstrainSelectedInstOperands,
     /*  337371 */     // GIR_Coverage, 20375,
     /*  337371 */     GIR_EraseRootFromParent_Done,
     /*  337372 */   // Label 6180: @337372
     /*  337372 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337438), // Rule ID 20378 //
     /*  337377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337436 */     GIR_RootConstrainSelectedInstOperands,
     /*  337437 */     // GIR_Coverage, 20378,
     /*  337437 */     GIR_EraseRootFromParent_Done,
     /*  337438 */   // Label 6181: @337438
     /*  337438 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337504), // Rule ID 20379 //
     /*  337443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337502 */     GIR_RootConstrainSelectedInstOperands,
     /*  337503 */     // GIR_Coverage, 20379,
     /*  337503 */     GIR_EraseRootFromParent_Done,
     /*  337504 */   // Label 6182: @337504
     /*  337504 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337570), // Rule ID 20382 //
     /*  337509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337568 */     GIR_RootConstrainSelectedInstOperands,
     /*  337569 */     // GIR_Coverage, 20382,
     /*  337569 */     GIR_EraseRootFromParent_Done,
     /*  337570 */   // Label 6183: @337570
     /*  337570 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337636), // Rule ID 20383 //
     /*  337575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337634 */     GIR_RootConstrainSelectedInstOperands,
     /*  337635 */     // GIR_Coverage, 20383,
     /*  337635 */     GIR_EraseRootFromParent_Done,
     /*  337636 */   // Label 6184: @337636
     /*  337636 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337702), // Rule ID 20386 //
     /*  337641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337700 */     GIR_RootConstrainSelectedInstOperands,
     /*  337701 */     // GIR_Coverage, 20386,
     /*  337701 */     GIR_EraseRootFromParent_Done,
     /*  337702 */   // Label 6185: @337702
     /*  337702 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337768), // Rule ID 20387 //
     /*  337707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337766 */     GIR_RootConstrainSelectedInstOperands,
     /*  337767 */     // GIR_Coverage, 20387,
     /*  337767 */     GIR_EraseRootFromParent_Done,
     /*  337768 */   // Label 6186: @337768
     /*  337768 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(337834), // Rule ID 20390 //
     /*  337773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337832 */     GIR_RootConstrainSelectedInstOperands,
     /*  337833 */     // GIR_Coverage, 20390,
     /*  337833 */     GIR_EraseRootFromParent_Done,
     /*  337834 */   // Label 6187: @337834
     /*  337834 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(337900), // Rule ID 20391 //
     /*  337839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337898 */     GIR_RootConstrainSelectedInstOperands,
     /*  337899 */     // GIR_Coverage, 20391,
     /*  337899 */     GIR_EraseRootFromParent_Done,
     /*  337900 */   // Label 6188: @337900
     /*  337900 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(337966), // Rule ID 20394 //
     /*  337905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337964 */     GIR_RootConstrainSelectedInstOperands,
     /*  337965 */     // GIR_Coverage, 20394,
     /*  337965 */     GIR_EraseRootFromParent_Done,
     /*  337966 */   // Label 6189: @337966
     /*  337966 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338032), // Rule ID 20395 //
     /*  337971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338030 */     GIR_RootConstrainSelectedInstOperands,
     /*  338031 */     // GIR_Coverage, 20395,
     /*  338031 */     GIR_EraseRootFromParent_Done,
     /*  338032 */   // Label 6190: @338032
     /*  338032 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338098), // Rule ID 20398 //
     /*  338037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338096 */     GIR_RootConstrainSelectedInstOperands,
     /*  338097 */     // GIR_Coverage, 20398,
     /*  338097 */     GIR_EraseRootFromParent_Done,
     /*  338098 */   // Label 6191: @338098
     /*  338098 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338164), // Rule ID 20399 //
     /*  338103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338162 */     GIR_RootConstrainSelectedInstOperands,
     /*  338163 */     // GIR_Coverage, 20399,
     /*  338163 */     GIR_EraseRootFromParent_Done,
     /*  338164 */   // Label 6192: @338164
     /*  338164 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338230), // Rule ID 20402 //
     /*  338169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338228 */     GIR_RootConstrainSelectedInstOperands,
     /*  338229 */     // GIR_Coverage, 20402,
     /*  338229 */     GIR_EraseRootFromParent_Done,
     /*  338230 */   // Label 6193: @338230
     /*  338230 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338296), // Rule ID 20403 //
     /*  338235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338294 */     GIR_RootConstrainSelectedInstOperands,
     /*  338295 */     // GIR_Coverage, 20403,
     /*  338295 */     GIR_EraseRootFromParent_Done,
     /*  338296 */   // Label 6194: @338296
     /*  338296 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338362), // Rule ID 20406 //
     /*  338301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338360 */     GIR_RootConstrainSelectedInstOperands,
     /*  338361 */     // GIR_Coverage, 20406,
     /*  338361 */     GIR_EraseRootFromParent_Done,
     /*  338362 */   // Label 6195: @338362
     /*  338362 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338428), // Rule ID 20407 //
     /*  338367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338426 */     GIR_RootConstrainSelectedInstOperands,
     /*  338427 */     // GIR_Coverage, 20407,
     /*  338427 */     GIR_EraseRootFromParent_Done,
     /*  338428 */   // Label 6196: @338428
     /*  338428 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338494), // Rule ID 20410 //
     /*  338433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338492 */     GIR_RootConstrainSelectedInstOperands,
     /*  338493 */     // GIR_Coverage, 20410,
     /*  338493 */     GIR_EraseRootFromParent_Done,
     /*  338494 */   // Label 6197: @338494
     /*  338494 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338560), // Rule ID 20411 //
     /*  338499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338558 */     GIR_RootConstrainSelectedInstOperands,
     /*  338559 */     // GIR_Coverage, 20411,
     /*  338559 */     GIR_EraseRootFromParent_Done,
     /*  338560 */   // Label 6198: @338560
     /*  338560 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338626), // Rule ID 20414 //
     /*  338565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338624 */     GIR_RootConstrainSelectedInstOperands,
     /*  338625 */     // GIR_Coverage, 20414,
     /*  338625 */     GIR_EraseRootFromParent_Done,
     /*  338626 */   // Label 6199: @338626
     /*  338626 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338692), // Rule ID 20415 //
     /*  338631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338690 */     GIR_RootConstrainSelectedInstOperands,
     /*  338691 */     // GIR_Coverage, 20415,
     /*  338691 */     GIR_EraseRootFromParent_Done,
     /*  338692 */   // Label 6200: @338692
     /*  338692 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338758), // Rule ID 20418 //
     /*  338697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338756 */     GIR_RootConstrainSelectedInstOperands,
     /*  338757 */     // GIR_Coverage, 20418,
     /*  338757 */     GIR_EraseRootFromParent_Done,
     /*  338758 */   // Label 6201: @338758
     /*  338758 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(338824), // Rule ID 20419 //
     /*  338763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338822 */     GIR_RootConstrainSelectedInstOperands,
     /*  338823 */     // GIR_Coverage, 20419,
     /*  338823 */     GIR_EraseRootFromParent_Done,
     /*  338824 */   // Label 6202: @338824
     /*  338824 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(338890), // Rule ID 20422 //
     /*  338829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338888 */     GIR_RootConstrainSelectedInstOperands,
     /*  338889 */     // GIR_Coverage, 20422,
     /*  338889 */     GIR_EraseRootFromParent_Done,
     /*  338890 */   // Label 6203: @338890
     /*  338890 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(338956), // Rule ID 20423 //
     /*  338895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338954 */     GIR_RootConstrainSelectedInstOperands,
     /*  338955 */     // GIR_Coverage, 20423,
     /*  338955 */     GIR_EraseRootFromParent_Done,
     /*  338956 */   // Label 6204: @338956
     /*  338956 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339022), // Rule ID 20426 //
     /*  338961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339020 */     GIR_RootConstrainSelectedInstOperands,
     /*  339021 */     // GIR_Coverage, 20426,
     /*  339021 */     GIR_EraseRootFromParent_Done,
     /*  339022 */   // Label 6205: @339022
     /*  339022 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339088), // Rule ID 20427 //
     /*  339027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339086 */     GIR_RootConstrainSelectedInstOperands,
     /*  339087 */     // GIR_Coverage, 20427,
     /*  339087 */     GIR_EraseRootFromParent_Done,
     /*  339088 */   // Label 6206: @339088
     /*  339088 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339154), // Rule ID 20752 //
     /*  339093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339152 */     GIR_RootConstrainSelectedInstOperands,
     /*  339153 */     // GIR_Coverage, 20752,
     /*  339153 */     GIR_EraseRootFromParent_Done,
     /*  339154 */   // Label 6207: @339154
     /*  339154 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339220), // Rule ID 20753 //
     /*  339159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339218 */     GIR_RootConstrainSelectedInstOperands,
     /*  339219 */     // GIR_Coverage, 20753,
     /*  339219 */     GIR_EraseRootFromParent_Done,
     /*  339220 */   // Label 6208: @339220
     /*  339220 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339286), // Rule ID 20756 //
     /*  339225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339284 */     GIR_RootConstrainSelectedInstOperands,
     /*  339285 */     // GIR_Coverage, 20756,
     /*  339285 */     GIR_EraseRootFromParent_Done,
     /*  339286 */   // Label 6209: @339286
     /*  339286 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339352), // Rule ID 20757 //
     /*  339291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339350 */     GIR_RootConstrainSelectedInstOperands,
     /*  339351 */     // GIR_Coverage, 20757,
     /*  339351 */     GIR_EraseRootFromParent_Done,
     /*  339352 */   // Label 6210: @339352
     /*  339352 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339418), // Rule ID 20760 //
     /*  339357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339416 */     GIR_RootConstrainSelectedInstOperands,
     /*  339417 */     // GIR_Coverage, 20760,
     /*  339417 */     GIR_EraseRootFromParent_Done,
     /*  339418 */   // Label 6211: @339418
     /*  339418 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339484), // Rule ID 20761 //
     /*  339423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339482 */     GIR_RootConstrainSelectedInstOperands,
     /*  339483 */     // GIR_Coverage, 20761,
     /*  339483 */     GIR_EraseRootFromParent_Done,
     /*  339484 */   // Label 6212: @339484
     /*  339484 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339550), // Rule ID 20764 //
     /*  339489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339548 */     GIR_RootConstrainSelectedInstOperands,
     /*  339549 */     // GIR_Coverage, 20764,
     /*  339549 */     GIR_EraseRootFromParent_Done,
     /*  339550 */   // Label 6213: @339550
     /*  339550 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339616), // Rule ID 20765 //
     /*  339555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339614 */     GIR_RootConstrainSelectedInstOperands,
     /*  339615 */     // GIR_Coverage, 20765,
     /*  339615 */     GIR_EraseRootFromParent_Done,
     /*  339616 */   // Label 6214: @339616
     /*  339616 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339682), // Rule ID 20768 //
     /*  339621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339680 */     GIR_RootConstrainSelectedInstOperands,
     /*  339681 */     // GIR_Coverage, 20768,
     /*  339681 */     GIR_EraseRootFromParent_Done,
     /*  339682 */   // Label 6215: @339682
     /*  339682 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339748), // Rule ID 20769 //
     /*  339687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339746 */     GIR_RootConstrainSelectedInstOperands,
     /*  339747 */     // GIR_Coverage, 20769,
     /*  339747 */     GIR_EraseRootFromParent_Done,
     /*  339748 */   // Label 6216: @339748
     /*  339748 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(339814), // Rule ID 20772 //
     /*  339753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339812 */     GIR_RootConstrainSelectedInstOperands,
     /*  339813 */     // GIR_Coverage, 20772,
     /*  339813 */     GIR_EraseRootFromParent_Done,
     /*  339814 */   // Label 6217: @339814
     /*  339814 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(339880), // Rule ID 20773 //
     /*  339819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339878 */     GIR_RootConstrainSelectedInstOperands,
     /*  339879 */     // GIR_Coverage, 20773,
     /*  339879 */     GIR_EraseRootFromParent_Done,
     /*  339880 */   // Label 6218: @339880
     /*  339880 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(339946), // Rule ID 20776 //
     /*  339885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339944 */     GIR_RootConstrainSelectedInstOperands,
     /*  339945 */     // GIR_Coverage, 20776,
     /*  339945 */     GIR_EraseRootFromParent_Done,
     /*  339946 */   // Label 6219: @339946
     /*  339946 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340012), // Rule ID 20777 //
     /*  339951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340010 */     GIR_RootConstrainSelectedInstOperands,
     /*  340011 */     // GIR_Coverage, 20777,
     /*  340011 */     GIR_EraseRootFromParent_Done,
     /*  340012 */   // Label 6220: @340012
     /*  340012 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340078), // Rule ID 20780 //
     /*  340017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340076 */     GIR_RootConstrainSelectedInstOperands,
     /*  340077 */     // GIR_Coverage, 20780,
     /*  340077 */     GIR_EraseRootFromParent_Done,
     /*  340078 */   // Label 6221: @340078
     /*  340078 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340144), // Rule ID 20781 //
     /*  340083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340142 */     GIR_RootConstrainSelectedInstOperands,
     /*  340143 */     // GIR_Coverage, 20781,
     /*  340143 */     GIR_EraseRootFromParent_Done,
     /*  340144 */   // Label 6222: @340144
     /*  340144 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340210), // Rule ID 20784 //
     /*  340149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340208 */     GIR_RootConstrainSelectedInstOperands,
     /*  340209 */     // GIR_Coverage, 20784,
     /*  340209 */     GIR_EraseRootFromParent_Done,
     /*  340210 */   // Label 6223: @340210
     /*  340210 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340276), // Rule ID 20785 //
     /*  340215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340274 */     GIR_RootConstrainSelectedInstOperands,
     /*  340275 */     // GIR_Coverage, 20785,
     /*  340275 */     GIR_EraseRootFromParent_Done,
     /*  340276 */   // Label 6224: @340276
     /*  340276 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340342), // Rule ID 20788 //
     /*  340281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340340 */     GIR_RootConstrainSelectedInstOperands,
     /*  340341 */     // GIR_Coverage, 20788,
     /*  340341 */     GIR_EraseRootFromParent_Done,
     /*  340342 */   // Label 6225: @340342
     /*  340342 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340408), // Rule ID 20789 //
     /*  340347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340406 */     GIR_RootConstrainSelectedInstOperands,
     /*  340407 */     // GIR_Coverage, 20789,
     /*  340407 */     GIR_EraseRootFromParent_Done,
     /*  340408 */   // Label 6226: @340408
     /*  340408 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340474), // Rule ID 20792 //
     /*  340413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340472 */     GIR_RootConstrainSelectedInstOperands,
     /*  340473 */     // GIR_Coverage, 20792,
     /*  340473 */     GIR_EraseRootFromParent_Done,
     /*  340474 */   // Label 6227: @340474
     /*  340474 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340540), // Rule ID 20793 //
     /*  340479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340538 */     GIR_RootConstrainSelectedInstOperands,
     /*  340539 */     // GIR_Coverage, 20793,
     /*  340539 */     GIR_EraseRootFromParent_Done,
     /*  340540 */   // Label 6228: @340540
     /*  340540 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340606), // Rule ID 20796 //
     /*  340545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340604 */     GIR_RootConstrainSelectedInstOperands,
     /*  340605 */     // GIR_Coverage, 20796,
     /*  340605 */     GIR_EraseRootFromParent_Done,
     /*  340606 */   // Label 6229: @340606
     /*  340606 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340672), // Rule ID 20797 //
     /*  340611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340670 */     GIR_RootConstrainSelectedInstOperands,
     /*  340671 */     // GIR_Coverage, 20797,
     /*  340671 */     GIR_EraseRootFromParent_Done,
     /*  340672 */   // Label 6230: @340672
     /*  340672 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340738), // Rule ID 20800 //
     /*  340677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340736 */     GIR_RootConstrainSelectedInstOperands,
     /*  340737 */     // GIR_Coverage, 20800,
     /*  340737 */     GIR_EraseRootFromParent_Done,
     /*  340738 */   // Label 6231: @340738
     /*  340738 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(340804), // Rule ID 20801 //
     /*  340743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340802 */     GIR_RootConstrainSelectedInstOperands,
     /*  340803 */     // GIR_Coverage, 20801,
     /*  340803 */     GIR_EraseRootFromParent_Done,
     /*  340804 */   // Label 6232: @340804
     /*  340804 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(340870), // Rule ID 20804 //
     /*  340809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340868 */     GIR_RootConstrainSelectedInstOperands,
     /*  340869 */     // GIR_Coverage, 20804,
     /*  340869 */     GIR_EraseRootFromParent_Done,
     /*  340870 */   // Label 6233: @340870
     /*  340870 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(340936), // Rule ID 20805 //
     /*  340875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340934 */     GIR_RootConstrainSelectedInstOperands,
     /*  340935 */     // GIR_Coverage, 20805,
     /*  340935 */     GIR_EraseRootFromParent_Done,
     /*  340936 */   // Label 6234: @340936
     /*  340936 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(341002), // Rule ID 20808 //
     /*  340941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341000 */     GIR_RootConstrainSelectedInstOperands,
     /*  341001 */     // GIR_Coverage, 20808,
     /*  341001 */     GIR_EraseRootFromParent_Done,
     /*  341002 */   // Label 6235: @341002
     /*  341002 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341068), // Rule ID 20809 //
     /*  341007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341066 */     GIR_RootConstrainSelectedInstOperands,
     /*  341067 */     // GIR_Coverage, 20809,
     /*  341067 */     GIR_EraseRootFromParent_Done,
     /*  341068 */   // Label 6236: @341068
     /*  341068 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341134), // Rule ID 20812 //
     /*  341073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341132 */     GIR_RootConstrainSelectedInstOperands,
     /*  341133 */     // GIR_Coverage, 20812,
     /*  341133 */     GIR_EraseRootFromParent_Done,
     /*  341134 */   // Label 6237: @341134
     /*  341134 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341200), // Rule ID 20813 //
     /*  341139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341198 */     GIR_RootConstrainSelectedInstOperands,
     /*  341199 */     // GIR_Coverage, 20813,
     /*  341199 */     GIR_EraseRootFromParent_Done,
     /*  341200 */   // Label 6238: @341200
     /*  341200 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341266), // Rule ID 20816 //
     /*  341205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341264 */     GIR_RootConstrainSelectedInstOperands,
     /*  341265 */     // GIR_Coverage, 20816,
     /*  341265 */     GIR_EraseRootFromParent_Done,
     /*  341266 */   // Label 6239: @341266
     /*  341266 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341332), // Rule ID 20817 //
     /*  341271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341310 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341330 */     GIR_RootConstrainSelectedInstOperands,
     /*  341331 */     // GIR_Coverage, 20817,
     /*  341331 */     GIR_EraseRootFromParent_Done,
     /*  341332 */   // Label 6240: @341332
     /*  341332 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341398), // Rule ID 20820 //
     /*  341337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341396 */     GIR_RootConstrainSelectedInstOperands,
     /*  341397 */     // GIR_Coverage, 20820,
     /*  341397 */     GIR_EraseRootFromParent_Done,
     /*  341398 */   // Label 6241: @341398
     /*  341398 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341464), // Rule ID 20821 //
     /*  341403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341462 */     GIR_RootConstrainSelectedInstOperands,
     /*  341463 */     // GIR_Coverage, 20821,
     /*  341463 */     GIR_EraseRootFromParent_Done,
     /*  341464 */   // Label 6242: @341464
     /*  341464 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341530), // Rule ID 20824 //
     /*  341469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341528 */     GIR_RootConstrainSelectedInstOperands,
     /*  341529 */     // GIR_Coverage, 20824,
     /*  341529 */     GIR_EraseRootFromParent_Done,
     /*  341530 */   // Label 6243: @341530
     /*  341530 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341596), // Rule ID 20825 //
     /*  341535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341594 */     GIR_RootConstrainSelectedInstOperands,
     /*  341595 */     // GIR_Coverage, 20825,
     /*  341595 */     GIR_EraseRootFromParent_Done,
     /*  341596 */   // Label 6244: @341596
     /*  341596 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341662), // Rule ID 20828 //
     /*  341601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341660 */     GIR_RootConstrainSelectedInstOperands,
     /*  341661 */     // GIR_Coverage, 20828,
     /*  341661 */     GIR_EraseRootFromParent_Done,
     /*  341662 */   // Label 6245: @341662
     /*  341662 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341728), // Rule ID 20829 //
     /*  341667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341726 */     GIR_RootConstrainSelectedInstOperands,
     /*  341727 */     // GIR_Coverage, 20829,
     /*  341727 */     GIR_EraseRootFromParent_Done,
     /*  341728 */   // Label 6246: @341728
     /*  341728 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(341794), // Rule ID 20832 //
     /*  341733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341792 */     GIR_RootConstrainSelectedInstOperands,
     /*  341793 */     // GIR_Coverage, 20832,
     /*  341793 */     GIR_EraseRootFromParent_Done,
     /*  341794 */   // Label 6247: @341794
     /*  341794 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(341860), // Rule ID 20833 //
     /*  341799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341858 */     GIR_RootConstrainSelectedInstOperands,
     /*  341859 */     // GIR_Coverage, 20833,
     /*  341859 */     GIR_EraseRootFromParent_Done,
     /*  341860 */   // Label 6248: @341860
     /*  341860 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(341926), // Rule ID 20836 //
     /*  341865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341924 */     GIR_RootConstrainSelectedInstOperands,
     /*  341925 */     // GIR_Coverage, 20836,
     /*  341925 */     GIR_EraseRootFromParent_Done,
     /*  341926 */   // Label 6249: @341926
     /*  341926 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(341992), // Rule ID 20837 //
     /*  341931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341990 */     GIR_RootConstrainSelectedInstOperands,
     /*  341991 */     // GIR_Coverage, 20837,
     /*  341991 */     GIR_EraseRootFromParent_Done,
     /*  341992 */   // Label 6250: @341992
     /*  341992 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(342058), // Rule ID 20840 //
     /*  341997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342056 */     GIR_RootConstrainSelectedInstOperands,
     /*  342057 */     // GIR_Coverage, 20840,
     /*  342057 */     GIR_EraseRootFromParent_Done,
     /*  342058 */   // Label 6251: @342058
     /*  342058 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342124), // Rule ID 20841 //
     /*  342063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342122 */     GIR_RootConstrainSelectedInstOperands,
     /*  342123 */     // GIR_Coverage, 20841,
     /*  342123 */     GIR_EraseRootFromParent_Done,
     /*  342124 */   // Label 6252: @342124
     /*  342124 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342190), // Rule ID 20844 //
     /*  342129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342188 */     GIR_RootConstrainSelectedInstOperands,
     /*  342189 */     // GIR_Coverage, 20844,
     /*  342189 */     GIR_EraseRootFromParent_Done,
     /*  342190 */   // Label 6253: @342190
     /*  342190 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342256), // Rule ID 20845 //
     /*  342195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342254 */     GIR_RootConstrainSelectedInstOperands,
     /*  342255 */     // GIR_Coverage, 20845,
     /*  342255 */     GIR_EraseRootFromParent_Done,
     /*  342256 */   // Label 6254: @342256
     /*  342256 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342322), // Rule ID 20848 //
     /*  342261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342320 */     GIR_RootConstrainSelectedInstOperands,
     /*  342321 */     // GIR_Coverage, 20848,
     /*  342321 */     GIR_EraseRootFromParent_Done,
     /*  342322 */   // Label 6255: @342322
     /*  342322 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342388), // Rule ID 20849 //
     /*  342327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342386 */     GIR_RootConstrainSelectedInstOperands,
     /*  342387 */     // GIR_Coverage, 20849,
     /*  342387 */     GIR_EraseRootFromParent_Done,
     /*  342388 */   // Label 6256: @342388
     /*  342388 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342454), // Rule ID 20852 //
     /*  342393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342452 */     GIR_RootConstrainSelectedInstOperands,
     /*  342453 */     // GIR_Coverage, 20852,
     /*  342453 */     GIR_EraseRootFromParent_Done,
     /*  342454 */   // Label 6257: @342454
     /*  342454 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342520), // Rule ID 20853 //
     /*  342459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342518 */     GIR_RootConstrainSelectedInstOperands,
     /*  342519 */     // GIR_Coverage, 20853,
     /*  342519 */     GIR_EraseRootFromParent_Done,
     /*  342520 */   // Label 6258: @342520
     /*  342520 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342586), // Rule ID 20856 //
     /*  342525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342584 */     GIR_RootConstrainSelectedInstOperands,
     /*  342585 */     // GIR_Coverage, 20856,
     /*  342585 */     GIR_EraseRootFromParent_Done,
     /*  342586 */   // Label 6259: @342586
     /*  342586 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342652), // Rule ID 20857 //
     /*  342591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342650 */     GIR_RootConstrainSelectedInstOperands,
     /*  342651 */     // GIR_Coverage, 20857,
     /*  342651 */     GIR_EraseRootFromParent_Done,
     /*  342652 */   // Label 6260: @342652
     /*  342652 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342718), // Rule ID 20860 //
     /*  342657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342716 */     GIR_RootConstrainSelectedInstOperands,
     /*  342717 */     // GIR_Coverage, 20860,
     /*  342717 */     GIR_EraseRootFromParent_Done,
     /*  342718 */   // Label 6261: @342718
     /*  342718 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342784), // Rule ID 20861 //
     /*  342723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342782 */     GIR_RootConstrainSelectedInstOperands,
     /*  342783 */     // GIR_Coverage, 20861,
     /*  342783 */     GIR_EraseRootFromParent_Done,
     /*  342784 */   // Label 6262: @342784
     /*  342784 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(342850), // Rule ID 20864 //
     /*  342789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342848 */     GIR_RootConstrainSelectedInstOperands,
     /*  342849 */     // GIR_Coverage, 20864,
     /*  342849 */     GIR_EraseRootFromParent_Done,
     /*  342850 */   // Label 6263: @342850
     /*  342850 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(342916), // Rule ID 20865 //
     /*  342855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342914 */     GIR_RootConstrainSelectedInstOperands,
     /*  342915 */     // GIR_Coverage, 20865,
     /*  342915 */     GIR_EraseRootFromParent_Done,
     /*  342916 */   // Label 6264: @342916
     /*  342916 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(342982), // Rule ID 20868 //
     /*  342921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342980 */     GIR_RootConstrainSelectedInstOperands,
     /*  342981 */     // GIR_Coverage, 20868,
     /*  342981 */     GIR_EraseRootFromParent_Done,
     /*  342982 */   // Label 6265: @342982
     /*  342982 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(343048), // Rule ID 20869 //
     /*  342987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343046 */     GIR_RootConstrainSelectedInstOperands,
     /*  343047 */     // GIR_Coverage, 20869,
     /*  343047 */     GIR_EraseRootFromParent_Done,
     /*  343048 */   // Label 6266: @343048
     /*  343048 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343114), // Rule ID 21136 //
     /*  343053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343112 */     GIR_RootConstrainSelectedInstOperands,
     /*  343113 */     // GIR_Coverage, 21136,
     /*  343113 */     GIR_EraseRootFromParent_Done,
     /*  343114 */   // Label 6267: @343114
     /*  343114 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343180), // Rule ID 21137 //
     /*  343119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343178 */     GIR_RootConstrainSelectedInstOperands,
     /*  343179 */     // GIR_Coverage, 21137,
     /*  343179 */     GIR_EraseRootFromParent_Done,
     /*  343180 */   // Label 6268: @343180
     /*  343180 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343246), // Rule ID 21140 //
     /*  343185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343244 */     GIR_RootConstrainSelectedInstOperands,
     /*  343245 */     // GIR_Coverage, 21140,
     /*  343245 */     GIR_EraseRootFromParent_Done,
     /*  343246 */   // Label 6269: @343246
     /*  343246 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343312), // Rule ID 21141 //
     /*  343251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343310 */     GIR_RootConstrainSelectedInstOperands,
     /*  343311 */     // GIR_Coverage, 21141,
     /*  343311 */     GIR_EraseRootFromParent_Done,
     /*  343312 */   // Label 6270: @343312
     /*  343312 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343378), // Rule ID 21144 //
     /*  343317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343376 */     GIR_RootConstrainSelectedInstOperands,
     /*  343377 */     // GIR_Coverage, 21144,
     /*  343377 */     GIR_EraseRootFromParent_Done,
     /*  343378 */   // Label 6271: @343378
     /*  343378 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343444), // Rule ID 21145 //
     /*  343383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343442 */     GIR_RootConstrainSelectedInstOperands,
     /*  343443 */     // GIR_Coverage, 21145,
     /*  343443 */     GIR_EraseRootFromParent_Done,
     /*  343444 */   // Label 6272: @343444
     /*  343444 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343510), // Rule ID 21148 //
     /*  343449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343508 */     GIR_RootConstrainSelectedInstOperands,
     /*  343509 */     // GIR_Coverage, 21148,
     /*  343509 */     GIR_EraseRootFromParent_Done,
     /*  343510 */   // Label 6273: @343510
     /*  343510 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343576), // Rule ID 21149 //
     /*  343515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343574 */     GIR_RootConstrainSelectedInstOperands,
     /*  343575 */     // GIR_Coverage, 21149,
     /*  343575 */     GIR_EraseRootFromParent_Done,
     /*  343576 */   // Label 6274: @343576
     /*  343576 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343642), // Rule ID 21152 //
     /*  343581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343620 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343640 */     GIR_RootConstrainSelectedInstOperands,
     /*  343641 */     // GIR_Coverage, 21152,
     /*  343641 */     GIR_EraseRootFromParent_Done,
     /*  343642 */   // Label 6275: @343642
     /*  343642 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343708), // Rule ID 21153 //
     /*  343647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343706 */     GIR_RootConstrainSelectedInstOperands,
     /*  343707 */     // GIR_Coverage, 21153,
     /*  343707 */     GIR_EraseRootFromParent_Done,
     /*  343708 */   // Label 6276: @343708
     /*  343708 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343774), // Rule ID 21156 //
     /*  343713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343772 */     GIR_RootConstrainSelectedInstOperands,
     /*  343773 */     // GIR_Coverage, 21156,
     /*  343773 */     GIR_EraseRootFromParent_Done,
     /*  343774 */   // Label 6277: @343774
     /*  343774 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(343840), // Rule ID 21157 //
     /*  343779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343838 */     GIR_RootConstrainSelectedInstOperands,
     /*  343839 */     // GIR_Coverage, 21157,
     /*  343839 */     GIR_EraseRootFromParent_Done,
     /*  343840 */   // Label 6278: @343840
     /*  343840 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(343906), // Rule ID 21160 //
     /*  343845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343904 */     GIR_RootConstrainSelectedInstOperands,
     /*  343905 */     // GIR_Coverage, 21160,
     /*  343905 */     GIR_EraseRootFromParent_Done,
     /*  343906 */   // Label 6279: @343906
     /*  343906 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(343972), // Rule ID 21161 //
     /*  343911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343970 */     GIR_RootConstrainSelectedInstOperands,
     /*  343971 */     // GIR_Coverage, 21161,
     /*  343971 */     GIR_EraseRootFromParent_Done,
     /*  343972 */   // Label 6280: @343972
     /*  343972 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(344038), // Rule ID 21164 //
     /*  343977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344036 */     GIR_RootConstrainSelectedInstOperands,
     /*  344037 */     // GIR_Coverage, 21164,
     /*  344037 */     GIR_EraseRootFromParent_Done,
     /*  344038 */   // Label 6281: @344038
     /*  344038 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(344104), // Rule ID 21165 //
     /*  344043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344102 */     GIR_RootConstrainSelectedInstOperands,
     /*  344103 */     // GIR_Coverage, 21165,
     /*  344103 */     GIR_EraseRootFromParent_Done,
     /*  344104 */   // Label 6282: @344104
     /*  344104 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344170), // Rule ID 21168 //
     /*  344109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344168 */     GIR_RootConstrainSelectedInstOperands,
     /*  344169 */     // GIR_Coverage, 21168,
     /*  344169 */     GIR_EraseRootFromParent_Done,
     /*  344170 */   // Label 6283: @344170
     /*  344170 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344236), // Rule ID 21169 //
     /*  344175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344234 */     GIR_RootConstrainSelectedInstOperands,
     /*  344235 */     // GIR_Coverage, 21169,
     /*  344235 */     GIR_EraseRootFromParent_Done,
     /*  344236 */   // Label 6284: @344236
     /*  344236 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344302), // Rule ID 21172 //
     /*  344241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  344283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344300 */     GIR_RootConstrainSelectedInstOperands,
     /*  344301 */     // GIR_Coverage, 21172,
     /*  344301 */     GIR_EraseRootFromParent_Done,
     /*  344302 */   // Label 6285: @344302
     /*  344302 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344368), // Rule ID 21173 //
     /*  344307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  344349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344366 */     GIR_RootConstrainSelectedInstOperands,
     /*  344367 */     // GIR_Coverage, 21173,
     /*  344367 */     GIR_EraseRootFromParent_Done,
     /*  344368 */   // Label 6286: @344368
     /*  344368 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344434), // Rule ID 21176 //
     /*  344373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344432 */     GIR_RootConstrainSelectedInstOperands,
     /*  344433 */     // GIR_Coverage, 21176,
     /*  344433 */     GIR_EraseRootFromParent_Done,
     /*  344434 */   // Label 6287: @344434
     /*  344434 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344500), // Rule ID 21177 //
     /*  344439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344498 */     GIR_RootConstrainSelectedInstOperands,
     /*  344499 */     // GIR_Coverage, 21177,
     /*  344499 */     GIR_EraseRootFromParent_Done,
     /*  344500 */   // Label 6288: @344500
     /*  344500 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344566), // Rule ID 21180 //
     /*  344505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344564 */     GIR_RootConstrainSelectedInstOperands,
     /*  344565 */     // GIR_Coverage, 21180,
     /*  344565 */     GIR_EraseRootFromParent_Done,
     /*  344566 */   // Label 6289: @344566
     /*  344566 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344632), // Rule ID 21181 //
     /*  344571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344630 */     GIR_RootConstrainSelectedInstOperands,
     /*  344631 */     // GIR_Coverage, 21181,
     /*  344631 */     GIR_EraseRootFromParent_Done,
     /*  344632 */   // Label 6290: @344632
     /*  344632 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344698), // Rule ID 21184 //
     /*  344637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344696 */     GIR_RootConstrainSelectedInstOperands,
     /*  344697 */     // GIR_Coverage, 21184,
     /*  344697 */     GIR_EraseRootFromParent_Done,
     /*  344698 */   // Label 6291: @344698
     /*  344698 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344764), // Rule ID 21185 //
     /*  344703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344762 */     GIR_RootConstrainSelectedInstOperands,
     /*  344763 */     // GIR_Coverage, 21185,
     /*  344763 */     GIR_EraseRootFromParent_Done,
     /*  344764 */   // Label 6292: @344764
     /*  344764 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(344830), // Rule ID 21188 //
     /*  344769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344828 */     GIR_RootConstrainSelectedInstOperands,
     /*  344829 */     // GIR_Coverage, 21188,
     /*  344829 */     GIR_EraseRootFromParent_Done,
     /*  344830 */   // Label 6293: @344830
     /*  344830 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(344896), // Rule ID 21189 //
     /*  344835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344894 */     GIR_RootConstrainSelectedInstOperands,
     /*  344895 */     // GIR_Coverage, 21189,
     /*  344895 */     GIR_EraseRootFromParent_Done,
     /*  344896 */   // Label 6294: @344896
     /*  344896 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(344962), // Rule ID 21192 //
     /*  344901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344960 */     GIR_RootConstrainSelectedInstOperands,
     /*  344961 */     // GIR_Coverage, 21192,
     /*  344961 */     GIR_EraseRootFromParent_Done,
     /*  344962 */   // Label 6295: @344962
     /*  344962 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(345028), // Rule ID 21193 //
     /*  344967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345026 */     GIR_RootConstrainSelectedInstOperands,
     /*  345027 */     // GIR_Coverage, 21193,
     /*  345027 */     GIR_EraseRootFromParent_Done,
     /*  345028 */   // Label 6296: @345028
     /*  345028 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(345094), // Rule ID 21196 //
     /*  345033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345092 */     GIR_RootConstrainSelectedInstOperands,
     /*  345093 */     // GIR_Coverage, 21196,
     /*  345093 */     GIR_EraseRootFromParent_Done,
     /*  345094 */   // Label 6297: @345094
     /*  345094 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345160), // Rule ID 21197 //
     /*  345099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345158 */     GIR_RootConstrainSelectedInstOperands,
     /*  345159 */     // GIR_Coverage, 21197,
     /*  345159 */     GIR_EraseRootFromParent_Done,
     /*  345160 */   // Label 6298: @345160
     /*  345160 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345226), // Rule ID 21200 //
     /*  345165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345224 */     GIR_RootConstrainSelectedInstOperands,
     /*  345225 */     // GIR_Coverage, 21200,
     /*  345225 */     GIR_EraseRootFromParent_Done,
     /*  345226 */   // Label 6299: @345226
     /*  345226 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345292), // Rule ID 21201 //
     /*  345231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345290 */     GIR_RootConstrainSelectedInstOperands,
     /*  345291 */     // GIR_Coverage, 21201,
     /*  345291 */     GIR_EraseRootFromParent_Done,
     /*  345292 */   // Label 6300: @345292
     /*  345292 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345358), // Rule ID 21204 //
     /*  345297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345356 */     GIR_RootConstrainSelectedInstOperands,
     /*  345357 */     // GIR_Coverage, 21204,
     /*  345357 */     GIR_EraseRootFromParent_Done,
     /*  345358 */   // Label 6301: @345358
     /*  345358 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345424), // Rule ID 21205 //
     /*  345363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345422 */     GIR_RootConstrainSelectedInstOperands,
     /*  345423 */     // GIR_Coverage, 21205,
     /*  345423 */     GIR_EraseRootFromParent_Done,
     /*  345424 */   // Label 6302: @345424
     /*  345424 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345490), // Rule ID 21208 //
     /*  345429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345468 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345488 */     GIR_RootConstrainSelectedInstOperands,
     /*  345489 */     // GIR_Coverage, 21208,
     /*  345489 */     GIR_EraseRootFromParent_Done,
     /*  345490 */   // Label 6303: @345490
     /*  345490 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345556), // Rule ID 21209 //
     /*  345495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345534 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345554 */     GIR_RootConstrainSelectedInstOperands,
     /*  345555 */     // GIR_Coverage, 21209,
     /*  345555 */     GIR_EraseRootFromParent_Done,
     /*  345556 */   // Label 6304: @345556
     /*  345556 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345622), // Rule ID 21212 //
     /*  345561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345600 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345620 */     GIR_RootConstrainSelectedInstOperands,
     /*  345621 */     // GIR_Coverage, 21212,
     /*  345621 */     GIR_EraseRootFromParent_Done,
     /*  345622 */   // Label 6305: @345622
     /*  345622 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345688), // Rule ID 21213 //
     /*  345627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345686 */     GIR_RootConstrainSelectedInstOperands,
     /*  345687 */     // GIR_Coverage, 21213,
     /*  345687 */     GIR_EraseRootFromParent_Done,
     /*  345688 */   // Label 6306: @345688
     /*  345688 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345754), // Rule ID 21216 //
     /*  345693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345752 */     GIR_RootConstrainSelectedInstOperands,
     /*  345753 */     // GIR_Coverage, 21216,
     /*  345753 */     GIR_EraseRootFromParent_Done,
     /*  345754 */   // Label 6307: @345754
     /*  345754 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(345820), // Rule ID 21217 //
     /*  345759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345798 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345818 */     GIR_RootConstrainSelectedInstOperands,
     /*  345819 */     // GIR_Coverage, 21217,
     /*  345819 */     GIR_EraseRootFromParent_Done,
     /*  345820 */   // Label 6308: @345820
     /*  345820 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(345886), // Rule ID 21220 //
     /*  345825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345864 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345884 */     GIR_RootConstrainSelectedInstOperands,
     /*  345885 */     // GIR_Coverage, 21220,
     /*  345885 */     GIR_EraseRootFromParent_Done,
     /*  345886 */   // Label 6309: @345886
     /*  345886 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(345952), // Rule ID 21221 //
     /*  345891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345930 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345950 */     GIR_RootConstrainSelectedInstOperands,
     /*  345951 */     // GIR_Coverage, 21221,
     /*  345951 */     GIR_EraseRootFromParent_Done,
     /*  345952 */   // Label 6310: @345952
     /*  345952 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(346018), // Rule ID 21224 //
     /*  345957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  345999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346016 */     GIR_RootConstrainSelectedInstOperands,
     /*  346017 */     // GIR_Coverage, 21224,
     /*  346017 */     GIR_EraseRootFromParent_Done,
     /*  346018 */   // Label 6311: @346018
     /*  346018 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(346084), // Rule ID 21225 //
     /*  346023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346062 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  346065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346082 */     GIR_RootConstrainSelectedInstOperands,
     /*  346083 */     // GIR_Coverage, 21225,
     /*  346083 */     GIR_EraseRootFromParent_Done,
     /*  346084 */   // Label 6312: @346084
     /*  346084 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346150), // Rule ID 21228 //
     /*  346089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346148 */     GIR_RootConstrainSelectedInstOperands,
     /*  346149 */     // GIR_Coverage, 21228,
     /*  346149 */     GIR_EraseRootFromParent_Done,
     /*  346150 */   // Label 6313: @346150
     /*  346150 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346216), // Rule ID 21229 //
     /*  346155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346194 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346214 */     GIR_RootConstrainSelectedInstOperands,
     /*  346215 */     // GIR_Coverage, 21229,
     /*  346215 */     GIR_EraseRootFromParent_Done,
     /*  346216 */   // Label 6314: @346216
     /*  346216 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346282), // Rule ID 21232 //
     /*  346221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346260 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  346263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346280 */     GIR_RootConstrainSelectedInstOperands,
     /*  346281 */     // GIR_Coverage, 21232,
     /*  346281 */     GIR_EraseRootFromParent_Done,
     /*  346282 */   // Label 6315: @346282
     /*  346282 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346348), // Rule ID 21233 //
     /*  346287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346326 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  346329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346346 */     GIR_RootConstrainSelectedInstOperands,
     /*  346347 */     // GIR_Coverage, 21233,
     /*  346347 */     GIR_EraseRootFromParent_Done,
     /*  346348 */   // Label 6316: @346348
     /*  346348 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346414), // Rule ID 21236 //
     /*  346353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346412 */     GIR_RootConstrainSelectedInstOperands,
     /*  346413 */     // GIR_Coverage, 21236,
     /*  346413 */     GIR_EraseRootFromParent_Done,
     /*  346414 */   // Label 6317: @346414
     /*  346414 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346480), // Rule ID 21237 //
     /*  346419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346478 */     GIR_RootConstrainSelectedInstOperands,
     /*  346479 */     // GIR_Coverage, 21237,
     /*  346479 */     GIR_EraseRootFromParent_Done,
     /*  346480 */   // Label 6318: @346480
     /*  346480 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346546), // Rule ID 21240 //
     /*  346485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346524 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346544 */     GIR_RootConstrainSelectedInstOperands,
     /*  346545 */     // GIR_Coverage, 21240,
     /*  346545 */     GIR_EraseRootFromParent_Done,
     /*  346546 */   // Label 6319: @346546
     /*  346546 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346612), // Rule ID 21241 //
     /*  346551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346610 */     GIR_RootConstrainSelectedInstOperands,
     /*  346611 */     // GIR_Coverage, 21241,
     /*  346611 */     GIR_EraseRootFromParent_Done,
     /*  346612 */   // Label 6320: @346612
     /*  346612 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346678), // Rule ID 21244 //
     /*  346617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346676 */     GIR_RootConstrainSelectedInstOperands,
     /*  346677 */     // GIR_Coverage, 21244,
     /*  346677 */     GIR_EraseRootFromParent_Done,
     /*  346678 */   // Label 6321: @346678
     /*  346678 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346744), // Rule ID 21245 //
     /*  346683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346722 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346742 */     GIR_RootConstrainSelectedInstOperands,
     /*  346743 */     // GIR_Coverage, 21245,
     /*  346743 */     GIR_EraseRootFromParent_Done,
     /*  346744 */   // Label 6322: @346744
     /*  346744 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(346810), // Rule ID 21248 //
     /*  346749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346808 */     GIR_RootConstrainSelectedInstOperands,
     /*  346809 */     // GIR_Coverage, 21248,
     /*  346809 */     GIR_EraseRootFromParent_Done,
     /*  346810 */   // Label 6323: @346810
     /*  346810 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(346876), // Rule ID 21249 //
     /*  346815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346854 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346874 */     GIR_RootConstrainSelectedInstOperands,
     /*  346875 */     // GIR_Coverage, 21249,
     /*  346875 */     GIR_EraseRootFromParent_Done,
     /*  346876 */   // Label 6324: @346876
     /*  346876 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(346942), // Rule ID 21252 //
     /*  346881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346940 */     GIR_RootConstrainSelectedInstOperands,
     /*  346941 */     // GIR_Coverage, 21252,
     /*  346941 */     GIR_EraseRootFromParent_Done,
     /*  346942 */   // Label 6325: @346942
     /*  346942 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(347008), // Rule ID 21253 //
     /*  346947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346986 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347006 */     GIR_RootConstrainSelectedInstOperands,
     /*  347007 */     // GIR_Coverage, 21253,
     /*  347007 */     GIR_EraseRootFromParent_Done,
     /*  347008 */   // Label 6326: @347008
     /*  347008 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(347074), // Rule ID 21256 //
     /*  347013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347072 */     GIR_RootConstrainSelectedInstOperands,
     /*  347073 */     // GIR_Coverage, 21256,
     /*  347073 */     GIR_EraseRootFromParent_Done,
     /*  347074 */   // Label 6327: @347074
     /*  347074 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347140), // Rule ID 21257 //
     /*  347079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347118 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347138 */     GIR_RootConstrainSelectedInstOperands,
     /*  347139 */     // GIR_Coverage, 21257,
     /*  347139 */     GIR_EraseRootFromParent_Done,
     /*  347140 */   // Label 6328: @347140
     /*  347140 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347206), // Rule ID 21260 //
     /*  347145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347184 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347204 */     GIR_RootConstrainSelectedInstOperands,
     /*  347205 */     // GIR_Coverage, 21260,
     /*  347205 */     GIR_EraseRootFromParent_Done,
     /*  347206 */   // Label 6329: @347206
     /*  347206 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347272), // Rule ID 21261 //
     /*  347211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347270 */     GIR_RootConstrainSelectedInstOperands,
     /*  347271 */     // GIR_Coverage, 21261,
     /*  347271 */     GIR_EraseRootFromParent_Done,
     /*  347272 */   // Label 6330: @347272
     /*  347272 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347338), // Rule ID 21264 //
     /*  347277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347336 */     GIR_RootConstrainSelectedInstOperands,
     /*  347337 */     // GIR_Coverage, 21264,
     /*  347337 */     GIR_EraseRootFromParent_Done,
     /*  347338 */   // Label 6331: @347338
     /*  347338 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347404), // Rule ID 21265 //
     /*  347343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347402 */     GIR_RootConstrainSelectedInstOperands,
     /*  347403 */     // GIR_Coverage, 21265,
     /*  347403 */     GIR_EraseRootFromParent_Done,
     /*  347404 */   // Label 6332: @347404
     /*  347404 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347470), // Rule ID 21268 //
     /*  347409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347468 */     GIR_RootConstrainSelectedInstOperands,
     /*  347469 */     // GIR_Coverage, 21268,
     /*  347469 */     GIR_EraseRootFromParent_Done,
     /*  347470 */   // Label 6333: @347470
     /*  347470 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347536), // Rule ID 21269 //
     /*  347475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347514 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347534 */     GIR_RootConstrainSelectedInstOperands,
     /*  347535 */     // GIR_Coverage, 21269,
     /*  347535 */     GIR_EraseRootFromParent_Done,
     /*  347536 */   // Label 6334: @347536
     /*  347536 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347602), // Rule ID 21272 //
     /*  347541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347580 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347600 */     GIR_RootConstrainSelectedInstOperands,
     /*  347601 */     // GIR_Coverage, 21272,
     /*  347601 */     GIR_EraseRootFromParent_Done,
     /*  347602 */   // Label 6335: @347602
     /*  347602 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347668), // Rule ID 21273 //
     /*  347607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347646 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347666 */     GIR_RootConstrainSelectedInstOperands,
     /*  347667 */     // GIR_Coverage, 21273,
     /*  347667 */     GIR_EraseRootFromParent_Done,
     /*  347668 */   // Label 6336: @347668
     /*  347668 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347734), // Rule ID 21276 //
     /*  347673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347732 */     GIR_RootConstrainSelectedInstOperands,
     /*  347733 */     // GIR_Coverage, 21276,
     /*  347733 */     GIR_EraseRootFromParent_Done,
     /*  347734 */   // Label 6337: @347734
     /*  347734 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(347800), // Rule ID 21277 //
     /*  347739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347778 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347798 */     GIR_RootConstrainSelectedInstOperands,
     /*  347799 */     // GIR_Coverage, 21277,
     /*  347799 */     GIR_EraseRootFromParent_Done,
     /*  347800 */   // Label 6338: @347800
     /*  347800 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(347866), // Rule ID 21280 //
     /*  347805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347844 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347864 */     GIR_RootConstrainSelectedInstOperands,
     /*  347865 */     // GIR_Coverage, 21280,
     /*  347865 */     GIR_EraseRootFromParent_Done,
     /*  347866 */   // Label 6339: @347866
     /*  347866 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(347932), // Rule ID 21281 //
     /*  347871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347930 */     GIR_RootConstrainSelectedInstOperands,
     /*  347931 */     // GIR_Coverage, 21281,
     /*  347931 */     GIR_EraseRootFromParent_Done,
     /*  347932 */   // Label 6340: @347932
     /*  347932 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(347998), // Rule ID 21284 //
     /*  347937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347996 */     GIR_RootConstrainSelectedInstOperands,
     /*  347997 */     // GIR_Coverage, 21284,
     /*  347997 */     GIR_EraseRootFromParent_Done,
     /*  347998 */   // Label 6341: @347998
     /*  347998 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(348064), // Rule ID 21285 //
     /*  348003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348042 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  348045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348062 */     GIR_RootConstrainSelectedInstOperands,
     /*  348063 */     // GIR_Coverage, 21285,
     /*  348063 */     GIR_EraseRootFromParent_Done,
     /*  348064 */   // Label 6342: @348064
     /*  348064 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348130), // Rule ID 21288 //
     /*  348069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348108 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348128 */     GIR_RootConstrainSelectedInstOperands,
     /*  348129 */     // GIR_Coverage, 21288,
     /*  348129 */     GIR_EraseRootFromParent_Done,
     /*  348130 */   // Label 6343: @348130
     /*  348130 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348196), // Rule ID 21289 //
     /*  348135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348174 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348194 */     GIR_RootConstrainSelectedInstOperands,
     /*  348195 */     // GIR_Coverage, 21289,
     /*  348195 */     GIR_EraseRootFromParent_Done,
     /*  348196 */   // Label 6344: @348196
     /*  348196 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348262), // Rule ID 21292 //
     /*  348201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348260 */     GIR_RootConstrainSelectedInstOperands,
     /*  348261 */     // GIR_Coverage, 21292,
     /*  348261 */     GIR_EraseRootFromParent_Done,
     /*  348262 */   // Label 6345: @348262
     /*  348262 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348328), // Rule ID 21293 //
     /*  348267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348306 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348326 */     GIR_RootConstrainSelectedInstOperands,
     /*  348327 */     // GIR_Coverage, 21293,
     /*  348327 */     GIR_EraseRootFromParent_Done,
     /*  348328 */   // Label 6346: @348328
     /*  348328 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348394), // Rule ID 21296 //
     /*  348333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348392 */     GIR_RootConstrainSelectedInstOperands,
     /*  348393 */     // GIR_Coverage, 21296,
     /*  348393 */     GIR_EraseRootFromParent_Done,
     /*  348394 */   // Label 6347: @348394
     /*  348394 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348460), // Rule ID 21297 //
     /*  348399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348438 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348458 */     GIR_RootConstrainSelectedInstOperands,
     /*  348459 */     // GIR_Coverage, 21297,
     /*  348459 */     GIR_EraseRootFromParent_Done,
     /*  348460 */   // Label 6348: @348460
     /*  348460 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348526), // Rule ID 21300 //
     /*  348465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348524 */     GIR_RootConstrainSelectedInstOperands,
     /*  348525 */     // GIR_Coverage, 21300,
     /*  348525 */     GIR_EraseRootFromParent_Done,
     /*  348526 */   // Label 6349: @348526
     /*  348526 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348592), // Rule ID 21301 //
     /*  348531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348570 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348590 */     GIR_RootConstrainSelectedInstOperands,
     /*  348591 */     // GIR_Coverage, 21301,
     /*  348591 */     GIR_EraseRootFromParent_Done,
     /*  348592 */   // Label 6350: @348592
     /*  348592 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348658), // Rule ID 21304 //
     /*  348597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348656 */     GIR_RootConstrainSelectedInstOperands,
     /*  348657 */     // GIR_Coverage, 21304,
     /*  348657 */     GIR_EraseRootFromParent_Done,
     /*  348658 */   // Label 6351: @348658
     /*  348658 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348724), // Rule ID 21305 //
     /*  348663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348722 */     GIR_RootConstrainSelectedInstOperands,
     /*  348723 */     // GIR_Coverage, 21305,
     /*  348723 */     GIR_EraseRootFromParent_Done,
     /*  348724 */   // Label 6352: @348724
     /*  348724 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(348790), // Rule ID 21308 //
     /*  348729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348768 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348788 */     GIR_RootConstrainSelectedInstOperands,
     /*  348789 */     // GIR_Coverage, 21308,
     /*  348789 */     GIR_EraseRootFromParent_Done,
     /*  348790 */   // Label 6353: @348790
     /*  348790 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(348856), // Rule ID 21309 //
     /*  348795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348834 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348854 */     GIR_RootConstrainSelectedInstOperands,
     /*  348855 */     // GIR_Coverage, 21309,
     /*  348855 */     GIR_EraseRootFromParent_Done,
     /*  348856 */   // Label 6354: @348856
     /*  348856 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(348922), // Rule ID 21312 //
     /*  348861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348900 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348920 */     GIR_RootConstrainSelectedInstOperands,
     /*  348921 */     // GIR_Coverage, 21312,
     /*  348921 */     GIR_EraseRootFromParent_Done,
     /*  348922 */   // Label 6355: @348922
     /*  348922 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(348988), // Rule ID 21313 //
     /*  348927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348986 */     GIR_RootConstrainSelectedInstOperands,
     /*  348987 */     // GIR_Coverage, 21313,
     /*  348987 */     GIR_EraseRootFromParent_Done,
     /*  348988 */   // Label 6356: @348988
     /*  348988 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(349054), // Rule ID 21316 //
     /*  348993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349032 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349052 */     GIR_RootConstrainSelectedInstOperands,
     /*  349053 */     // GIR_Coverage, 21316,
     /*  349053 */     GIR_EraseRootFromParent_Done,
     /*  349054 */   // Label 6357: @349054
     /*  349054 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349120), // Rule ID 21317 //
     /*  349059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349118 */     GIR_RootConstrainSelectedInstOperands,
     /*  349119 */     // GIR_Coverage, 21317,
     /*  349119 */     GIR_EraseRootFromParent_Done,
     /*  349120 */   // Label 6358: @349120
     /*  349120 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349186), // Rule ID 21320 //
     /*  349125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349184 */     GIR_RootConstrainSelectedInstOperands,
     /*  349185 */     // GIR_Coverage, 21320,
     /*  349185 */     GIR_EraseRootFromParent_Done,
     /*  349186 */   // Label 6359: @349186
     /*  349186 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349252), // Rule ID 21321 //
     /*  349191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349230 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349250 */     GIR_RootConstrainSelectedInstOperands,
     /*  349251 */     // GIR_Coverage, 21321,
     /*  349251 */     GIR_EraseRootFromParent_Done,
     /*  349252 */   // Label 6360: @349252
     /*  349252 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349318), // Rule ID 21324 //
     /*  349257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  349299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349316 */     GIR_RootConstrainSelectedInstOperands,
     /*  349317 */     // GIR_Coverage, 21324,
     /*  349317 */     GIR_EraseRootFromParent_Done,
     /*  349318 */   // Label 6361: @349318
     /*  349318 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349384), // Rule ID 21325 //
     /*  349323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349362 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  349365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349382 */     GIR_RootConstrainSelectedInstOperands,
     /*  349383 */     // GIR_Coverage, 21325,
     /*  349383 */     GIR_EraseRootFromParent_Done,
     /*  349384 */   // Label 6362: @349384
     /*  349384 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349450), // Rule ID 21328 //
     /*  349389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349448 */     GIR_RootConstrainSelectedInstOperands,
     /*  349449 */     // GIR_Coverage, 21328,
     /*  349449 */     GIR_EraseRootFromParent_Done,
     /*  349450 */   // Label 6363: @349450
     /*  349450 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349516), // Rule ID 21329 //
     /*  349455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349494 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349514 */     GIR_RootConstrainSelectedInstOperands,
     /*  349515 */     // GIR_Coverage, 21329,
     /*  349515 */     GIR_EraseRootFromParent_Done,
     /*  349516 */   // Label 6364: @349516
     /*  349516 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349582), // Rule ID 21332 //
     /*  349521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349580 */     GIR_RootConstrainSelectedInstOperands,
     /*  349581 */     // GIR_Coverage, 21332,
     /*  349581 */     GIR_EraseRootFromParent_Done,
     /*  349582 */   // Label 6365: @349582
     /*  349582 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349648), // Rule ID 21333 //
     /*  349587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349626 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349646 */     GIR_RootConstrainSelectedInstOperands,
     /*  349647 */     // GIR_Coverage, 21333,
     /*  349647 */     GIR_EraseRootFromParent_Done,
     /*  349648 */   // Label 6366: @349648
     /*  349648 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349714), // Rule ID 21336 //
     /*  349653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349712 */     GIR_RootConstrainSelectedInstOperands,
     /*  349713 */     // GIR_Coverage, 21336,
     /*  349713 */     GIR_EraseRootFromParent_Done,
     /*  349714 */   // Label 6367: @349714
     /*  349714 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349780), // Rule ID 21337 //
     /*  349719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349758 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349778 */     GIR_RootConstrainSelectedInstOperands,
     /*  349779 */     // GIR_Coverage, 21337,
     /*  349779 */     GIR_EraseRootFromParent_Done,
     /*  349780 */   // Label 6368: @349780
     /*  349780 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(349846), // Rule ID 21340 //
     /*  349785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349824 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349844 */     GIR_RootConstrainSelectedInstOperands,
     /*  349845 */     // GIR_Coverage, 21340,
     /*  349845 */     GIR_EraseRootFromParent_Done,
     /*  349846 */   // Label 6369: @349846
     /*  349846 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(349912), // Rule ID 21341 //
     /*  349851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349890 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349910 */     GIR_RootConstrainSelectedInstOperands,
     /*  349911 */     // GIR_Coverage, 21341,
     /*  349911 */     GIR_EraseRootFromParent_Done,
     /*  349912 */   // Label 6370: @349912
     /*  349912 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(349978), // Rule ID 21344 //
     /*  349917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349956 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349976 */     GIR_RootConstrainSelectedInstOperands,
     /*  349977 */     // GIR_Coverage, 21344,
     /*  349977 */     GIR_EraseRootFromParent_Done,
     /*  349978 */   // Label 6371: @349978
     /*  349978 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(350044), // Rule ID 21345 //
     /*  349983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350022 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  350025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350042 */     GIR_RootConstrainSelectedInstOperands,
     /*  350043 */     // GIR_Coverage, 21345,
     /*  350043 */     GIR_EraseRootFromParent_Done,
     /*  350044 */   // Label 6372: @350044
     /*  350044 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350110), // Rule ID 21348 //
     /*  350049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350108 */     GIR_RootConstrainSelectedInstOperands,
     /*  350109 */     // GIR_Coverage, 21348,
     /*  350109 */     GIR_EraseRootFromParent_Done,
     /*  350110 */   // Label 6373: @350110
     /*  350110 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350176), // Rule ID 21349 //
     /*  350115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350154 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350174 */     GIR_RootConstrainSelectedInstOperands,
     /*  350175 */     // GIR_Coverage, 21349,
     /*  350175 */     GIR_EraseRootFromParent_Done,
     /*  350176 */   // Label 6374: @350176
     /*  350176 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350242), // Rule ID 21352 //
     /*  350181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350220 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350240 */     GIR_RootConstrainSelectedInstOperands,
     /*  350241 */     // GIR_Coverage, 21352,
     /*  350241 */     GIR_EraseRootFromParent_Done,
     /*  350242 */   // Label 6375: @350242
     /*  350242 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350308), // Rule ID 21353 //
     /*  350247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350286 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350306 */     GIR_RootConstrainSelectedInstOperands,
     /*  350307 */     // GIR_Coverage, 21353,
     /*  350307 */     GIR_EraseRootFromParent_Done,
     /*  350308 */   // Label 6376: @350308
     /*  350308 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350374), // Rule ID 21356 //
     /*  350313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  350355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350372 */     GIR_RootConstrainSelectedInstOperands,
     /*  350373 */     // GIR_Coverage, 21356,
     /*  350373 */     GIR_EraseRootFromParent_Done,
     /*  350374 */   // Label 6377: @350374
     /*  350374 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350440), // Rule ID 21357 //
     /*  350379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350418 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  350421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350438 */     GIR_RootConstrainSelectedInstOperands,
     /*  350439 */     // GIR_Coverage, 21357,
     /*  350439 */     GIR_EraseRootFromParent_Done,
     /*  350440 */   // Label 6378: @350440
     /*  350440 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350506), // Rule ID 21360 //
     /*  350445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350484 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350504 */     GIR_RootConstrainSelectedInstOperands,
     /*  350505 */     // GIR_Coverage, 21360,
     /*  350505 */     GIR_EraseRootFromParent_Done,
     /*  350506 */   // Label 6379: @350506
     /*  350506 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350572), // Rule ID 21361 //
     /*  350511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350550 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350570 */     GIR_RootConstrainSelectedInstOperands,
     /*  350571 */     // GIR_Coverage, 21361,
     /*  350571 */     GIR_EraseRootFromParent_Done,
     /*  350572 */   // Label 6380: @350572
     /*  350572 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350638), // Rule ID 21604 //
     /*  350577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350616 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350636 */     GIR_RootConstrainSelectedInstOperands,
     /*  350637 */     // GIR_Coverage, 21604,
     /*  350637 */     GIR_EraseRootFromParent_Done,
     /*  350638 */   // Label 6381: @350638
     /*  350638 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350704), // Rule ID 21605 //
     /*  350643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350702 */     GIR_RootConstrainSelectedInstOperands,
     /*  350703 */     // GIR_Coverage, 21605,
     /*  350703 */     GIR_EraseRootFromParent_Done,
     /*  350704 */   // Label 6382: @350704
     /*  350704 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350770), // Rule ID 21608 //
     /*  350709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350748 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350768 */     GIR_RootConstrainSelectedInstOperands,
     /*  350769 */     // GIR_Coverage, 21608,
     /*  350769 */     GIR_EraseRootFromParent_Done,
     /*  350770 */   // Label 6383: @350770
     /*  350770 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(350836), // Rule ID 21609 //
     /*  350775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350834 */     GIR_RootConstrainSelectedInstOperands,
     /*  350835 */     // GIR_Coverage, 21609,
     /*  350835 */     GIR_EraseRootFromParent_Done,
     /*  350836 */   // Label 6384: @350836
     /*  350836 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(350902), // Rule ID 21612 //
     /*  350841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350900 */     GIR_RootConstrainSelectedInstOperands,
     /*  350901 */     // GIR_Coverage, 21612,
     /*  350901 */     GIR_EraseRootFromParent_Done,
     /*  350902 */   // Label 6385: @350902
     /*  350902 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(350968), // Rule ID 21613 //
     /*  350907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350966 */     GIR_RootConstrainSelectedInstOperands,
     /*  350967 */     // GIR_Coverage, 21613,
     /*  350967 */     GIR_EraseRootFromParent_Done,
     /*  350968 */   // Label 6386: @350968
     /*  350968 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(351034), // Rule ID 21616 //
     /*  350973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351032 */     GIR_RootConstrainSelectedInstOperands,
     /*  351033 */     // GIR_Coverage, 21616,
     /*  351033 */     GIR_EraseRootFromParent_Done,
     /*  351034 */   // Label 6387: @351034
     /*  351034 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(351100), // Rule ID 21617 //
     /*  351039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351098 */     GIR_RootConstrainSelectedInstOperands,
     /*  351099 */     // GIR_Coverage, 21617,
     /*  351099 */     GIR_EraseRootFromParent_Done,
     /*  351100 */   // Label 6388: @351100
     /*  351100 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351166), // Rule ID 21620 //
     /*  351105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351164 */     GIR_RootConstrainSelectedInstOperands,
     /*  351165 */     // GIR_Coverage, 21620,
     /*  351165 */     GIR_EraseRootFromParent_Done,
     /*  351166 */   // Label 6389: @351166
     /*  351166 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351232), // Rule ID 21621 //
     /*  351171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351230 */     GIR_RootConstrainSelectedInstOperands,
     /*  351231 */     // GIR_Coverage, 21621,
     /*  351231 */     GIR_EraseRootFromParent_Done,
     /*  351232 */   // Label 6390: @351232
     /*  351232 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351298), // Rule ID 21624 //
     /*  351237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351296 */     GIR_RootConstrainSelectedInstOperands,
     /*  351297 */     // GIR_Coverage, 21624,
     /*  351297 */     GIR_EraseRootFromParent_Done,
     /*  351298 */   // Label 6391: @351298
     /*  351298 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351364), // Rule ID 21625 //
     /*  351303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351362 */     GIR_RootConstrainSelectedInstOperands,
     /*  351363 */     // GIR_Coverage, 21625,
     /*  351363 */     GIR_EraseRootFromParent_Done,
     /*  351364 */   // Label 6392: @351364
     /*  351364 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351430), // Rule ID 21628 //
     /*  351369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351428 */     GIR_RootConstrainSelectedInstOperands,
     /*  351429 */     // GIR_Coverage, 21628,
     /*  351429 */     GIR_EraseRootFromParent_Done,
     /*  351430 */   // Label 6393: @351430
     /*  351430 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351496), // Rule ID 21629 //
     /*  351435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351494 */     GIR_RootConstrainSelectedInstOperands,
     /*  351495 */     // GIR_Coverage, 21629,
     /*  351495 */     GIR_EraseRootFromParent_Done,
     /*  351496 */   // Label 6394: @351496
     /*  351496 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351562), // Rule ID 21632 //
     /*  351501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351560 */     GIR_RootConstrainSelectedInstOperands,
     /*  351561 */     // GIR_Coverage, 21632,
     /*  351561 */     GIR_EraseRootFromParent_Done,
     /*  351562 */   // Label 6395: @351562
     /*  351562 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351628), // Rule ID 21633 //
     /*  351567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351626 */     GIR_RootConstrainSelectedInstOperands,
     /*  351627 */     // GIR_Coverage, 21633,
     /*  351627 */     GIR_EraseRootFromParent_Done,
     /*  351628 */   // Label 6396: @351628
     /*  351628 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351694), // Rule ID 21636 //
     /*  351633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351692 */     GIR_RootConstrainSelectedInstOperands,
     /*  351693 */     // GIR_Coverage, 21636,
     /*  351693 */     GIR_EraseRootFromParent_Done,
     /*  351694 */   // Label 6397: @351694
     /*  351694 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351760), // Rule ID 21637 //
     /*  351699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351758 */     GIR_RootConstrainSelectedInstOperands,
     /*  351759 */     // GIR_Coverage, 21637,
     /*  351759 */     GIR_EraseRootFromParent_Done,
     /*  351760 */   // Label 6398: @351760
     /*  351760 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(351826), // Rule ID 21640 //
     /*  351765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351824 */     GIR_RootConstrainSelectedInstOperands,
     /*  351825 */     // GIR_Coverage, 21640,
     /*  351825 */     GIR_EraseRootFromParent_Done,
     /*  351826 */   // Label 6399: @351826
     /*  351826 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(351892), // Rule ID 21641 //
     /*  351831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351890 */     GIR_RootConstrainSelectedInstOperands,
     /*  351891 */     // GIR_Coverage, 21641,
     /*  351891 */     GIR_EraseRootFromParent_Done,
     /*  351892 */   // Label 6400: @351892
     /*  351892 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(351958), // Rule ID 21644 //
     /*  351897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351956 */     GIR_RootConstrainSelectedInstOperands,
     /*  351957 */     // GIR_Coverage, 21644,
     /*  351957 */     GIR_EraseRootFromParent_Done,
     /*  351958 */   // Label 6401: @351958
     /*  351958 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(352024), // Rule ID 21645 //
     /*  351963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352022 */     GIR_RootConstrainSelectedInstOperands,
     /*  352023 */     // GIR_Coverage, 21645,
     /*  352023 */     GIR_EraseRootFromParent_Done,
     /*  352024 */   // Label 6402: @352024
     /*  352024 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(352090), // Rule ID 21648 //
     /*  352029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352088 */     GIR_RootConstrainSelectedInstOperands,
     /*  352089 */     // GIR_Coverage, 21648,
     /*  352089 */     GIR_EraseRootFromParent_Done,
     /*  352090 */   // Label 6403: @352090
     /*  352090 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352156), // Rule ID 21649 //
     /*  352095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352154 */     GIR_RootConstrainSelectedInstOperands,
     /*  352155 */     // GIR_Coverage, 21649,
     /*  352155 */     GIR_EraseRootFromParent_Done,
     /*  352156 */   // Label 6404: @352156
     /*  352156 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352222), // Rule ID 21652 //
     /*  352161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352220 */     GIR_RootConstrainSelectedInstOperands,
     /*  352221 */     // GIR_Coverage, 21652,
     /*  352221 */     GIR_EraseRootFromParent_Done,
     /*  352222 */   // Label 6405: @352222
     /*  352222 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352288), // Rule ID 21653 //
     /*  352227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352286 */     GIR_RootConstrainSelectedInstOperands,
     /*  352287 */     // GIR_Coverage, 21653,
     /*  352287 */     GIR_EraseRootFromParent_Done,
     /*  352288 */   // Label 6406: @352288
     /*  352288 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352354), // Rule ID 21656 //
     /*  352293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352352 */     GIR_RootConstrainSelectedInstOperands,
     /*  352353 */     // GIR_Coverage, 21656,
     /*  352353 */     GIR_EraseRootFromParent_Done,
     /*  352354 */   // Label 6407: @352354
     /*  352354 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352420), // Rule ID 21657 //
     /*  352359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352418 */     GIR_RootConstrainSelectedInstOperands,
     /*  352419 */     // GIR_Coverage, 21657,
     /*  352419 */     GIR_EraseRootFromParent_Done,
     /*  352420 */   // Label 6408: @352420
     /*  352420 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352486), // Rule ID 21660 //
     /*  352425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352484 */     GIR_RootConstrainSelectedInstOperands,
     /*  352485 */     // GIR_Coverage, 21660,
     /*  352485 */     GIR_EraseRootFromParent_Done,
     /*  352486 */   // Label 6409: @352486
     /*  352486 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352552), // Rule ID 21661 //
     /*  352491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352550 */     GIR_RootConstrainSelectedInstOperands,
     /*  352551 */     // GIR_Coverage, 21661,
     /*  352551 */     GIR_EraseRootFromParent_Done,
     /*  352552 */   // Label 6410: @352552
     /*  352552 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352618), // Rule ID 21664 //
     /*  352557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352616 */     GIR_RootConstrainSelectedInstOperands,
     /*  352617 */     // GIR_Coverage, 21664,
     /*  352617 */     GIR_EraseRootFromParent_Done,
     /*  352618 */   // Label 6411: @352618
     /*  352618 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352684), // Rule ID 21665 //
     /*  352623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352682 */     GIR_RootConstrainSelectedInstOperands,
     /*  352683 */     // GIR_Coverage, 21665,
     /*  352683 */     GIR_EraseRootFromParent_Done,
     /*  352684 */   // Label 6412: @352684
     /*  352684 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352750), // Rule ID 21668 //
     /*  352689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352748 */     GIR_RootConstrainSelectedInstOperands,
     /*  352749 */     // GIR_Coverage, 21668,
     /*  352749 */     GIR_EraseRootFromParent_Done,
     /*  352750 */   // Label 6413: @352750
     /*  352750 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(352816), // Rule ID 21669 //
     /*  352755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352794 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352814 */     GIR_RootConstrainSelectedInstOperands,
     /*  352815 */     // GIR_Coverage, 21669,
     /*  352815 */     GIR_EraseRootFromParent_Done,
     /*  352816 */   // Label 6414: @352816
     /*  352816 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(352882), // Rule ID 21672 //
     /*  352821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352880 */     GIR_RootConstrainSelectedInstOperands,
     /*  352881 */     // GIR_Coverage, 21672,
     /*  352881 */     GIR_EraseRootFromParent_Done,
     /*  352882 */   // Label 6415: @352882
     /*  352882 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(352948), // Rule ID 21673 //
     /*  352887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352946 */     GIR_RootConstrainSelectedInstOperands,
     /*  352947 */     // GIR_Coverage, 21673,
     /*  352947 */     GIR_EraseRootFromParent_Done,
     /*  352948 */   // Label 6416: @352948
     /*  352948 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(353014), // Rule ID 21676 //
     /*  352953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353012 */     GIR_RootConstrainSelectedInstOperands,
     /*  353013 */     // GIR_Coverage, 21676,
     /*  353013 */     GIR_EraseRootFromParent_Done,
     /*  353014 */   // Label 6417: @353014
     /*  353014 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(353080), // Rule ID 21677 //
     /*  353019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353078 */     GIR_RootConstrainSelectedInstOperands,
     /*  353079 */     // GIR_Coverage, 21677,
     /*  353079 */     GIR_EraseRootFromParent_Done,
     /*  353080 */   // Label 6418: @353080
     /*  353080 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353146), // Rule ID 21680 //
     /*  353085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353144 */     GIR_RootConstrainSelectedInstOperands,
     /*  353145 */     // GIR_Coverage, 21680,
     /*  353145 */     GIR_EraseRootFromParent_Done,
     /*  353146 */   // Label 6419: @353146
     /*  353146 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353212), // Rule ID 21681 //
     /*  353151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353210 */     GIR_RootConstrainSelectedInstOperands,
     /*  353211 */     // GIR_Coverage, 21681,
     /*  353211 */     GIR_EraseRootFromParent_Done,
     /*  353212 */   // Label 6420: @353212
     /*  353212 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353278), // Rule ID 21684 //
     /*  353217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353276 */     GIR_RootConstrainSelectedInstOperands,
     /*  353277 */     // GIR_Coverage, 21684,
     /*  353277 */     GIR_EraseRootFromParent_Done,
     /*  353278 */   // Label 6421: @353278
     /*  353278 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353344), // Rule ID 21685 //
     /*  353283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353342 */     GIR_RootConstrainSelectedInstOperands,
     /*  353343 */     // GIR_Coverage, 21685,
     /*  353343 */     GIR_EraseRootFromParent_Done,
     /*  353344 */   // Label 6422: @353344
     /*  353344 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353410), // Rule ID 21688 //
     /*  353349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  353360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  353363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353408 */     GIR_RootConstrainSelectedInstOperands,
     /*  353409 */     // GIR_Coverage, 21688,
     /*  353409 */     GIR_EraseRootFromParent_Done,
     /*  353410 */   // Label 6423: @353410
     /*  353410 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353476), // Rule ID 21689 //
     /*  353415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  353426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  353429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353474 */     GIR_RootConstrainSelectedInstOperands,
     /*  353475 */     // GIR_Coverage, 21689,
     /*  353475 */     GIR_EraseRootFromParent_Done,
     /*  353476 */   // Label 6424: @353476
     /*  353476 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353542), // Rule ID 21692 //
     /*  353481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353540 */     GIR_RootConstrainSelectedInstOperands,
     /*  353541 */     // GIR_Coverage, 21692,
     /*  353541 */     GIR_EraseRootFromParent_Done,
     /*  353542 */   // Label 6425: @353542
     /*  353542 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353608), // Rule ID 21693 //
     /*  353547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353606 */     GIR_RootConstrainSelectedInstOperands,
     /*  353607 */     // GIR_Coverage, 21693,
     /*  353607 */     GIR_EraseRootFromParent_Done,
     /*  353608 */   // Label 6426: @353608
     /*  353608 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353674), // Rule ID 21696 //
     /*  353613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353672 */     GIR_RootConstrainSelectedInstOperands,
     /*  353673 */     // GIR_Coverage, 21696,
     /*  353673 */     GIR_EraseRootFromParent_Done,
     /*  353674 */   // Label 6427: @353674
     /*  353674 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353740), // Rule ID 21697 //
     /*  353679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353738 */     GIR_RootConstrainSelectedInstOperands,
     /*  353739 */     // GIR_Coverage, 21697,
     /*  353739 */     GIR_EraseRootFromParent_Done,
     /*  353740 */   // Label 6428: @353740
     /*  353740 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(353806), // Rule ID 21700 //
     /*  353745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353804 */     GIR_RootConstrainSelectedInstOperands,
     /*  353805 */     // GIR_Coverage, 21700,
     /*  353805 */     GIR_EraseRootFromParent_Done,
     /*  353806 */   // Label 6429: @353806
     /*  353806 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(353872), // Rule ID 21701 //
     /*  353811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353870 */     GIR_RootConstrainSelectedInstOperands,
     /*  353871 */     // GIR_Coverage, 21701,
     /*  353871 */     GIR_EraseRootFromParent_Done,
     /*  353872 */   // Label 6430: @353872
     /*  353872 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(353938), // Rule ID 21704 //
     /*  353877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353936 */     GIR_RootConstrainSelectedInstOperands,
     /*  353937 */     // GIR_Coverage, 21704,
     /*  353937 */     GIR_EraseRootFromParent_Done,
     /*  353938 */   // Label 6431: @353938
     /*  353938 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(354004), // Rule ID 21705 //
     /*  353943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354002 */     GIR_RootConstrainSelectedInstOperands,
     /*  354003 */     // GIR_Coverage, 21705,
     /*  354003 */     GIR_EraseRootFromParent_Done,
     /*  354004 */   // Label 6432: @354004
     /*  354004 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(354070), // Rule ID 21708 //
     /*  354009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354068 */     GIR_RootConstrainSelectedInstOperands,
     /*  354069 */     // GIR_Coverage, 21708,
     /*  354069 */     GIR_EraseRootFromParent_Done,
     /*  354070 */   // Label 6433: @354070
     /*  354070 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354136), // Rule ID 21709 //
     /*  354075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354134 */     GIR_RootConstrainSelectedInstOperands,
     /*  354135 */     // GIR_Coverage, 21709,
     /*  354135 */     GIR_EraseRootFromParent_Done,
     /*  354136 */   // Label 6434: @354136
     /*  354136 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354202), // Rule ID 21712 //
     /*  354141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354200 */     GIR_RootConstrainSelectedInstOperands,
     /*  354201 */     // GIR_Coverage, 21712,
     /*  354201 */     GIR_EraseRootFromParent_Done,
     /*  354202 */   // Label 6435: @354202
     /*  354202 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354268), // Rule ID 21713 //
     /*  354207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354266 */     GIR_RootConstrainSelectedInstOperands,
     /*  354267 */     // GIR_Coverage, 21713,
     /*  354267 */     GIR_EraseRootFromParent_Done,
     /*  354268 */   // Label 6436: @354268
     /*  354268 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354334), // Rule ID 21716 //
     /*  354273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354332 */     GIR_RootConstrainSelectedInstOperands,
     /*  354333 */     // GIR_Coverage, 21716,
     /*  354333 */     GIR_EraseRootFromParent_Done,
     /*  354334 */   // Label 6437: @354334
     /*  354334 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354400), // Rule ID 21717 //
     /*  354339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354398 */     GIR_RootConstrainSelectedInstOperands,
     /*  354399 */     // GIR_Coverage, 21717,
     /*  354399 */     GIR_EraseRootFromParent_Done,
     /*  354400 */   // Label 6438: @354400
     /*  354400 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354466), // Rule ID 21720 //
     /*  354405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354464 */     GIR_RootConstrainSelectedInstOperands,
     /*  354465 */     // GIR_Coverage, 21720,
     /*  354465 */     GIR_EraseRootFromParent_Done,
     /*  354466 */   // Label 6439: @354466
     /*  354466 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354532), // Rule ID 21721 //
     /*  354471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354530 */     GIR_RootConstrainSelectedInstOperands,
     /*  354531 */     // GIR_Coverage, 21721,
     /*  354531 */     GIR_EraseRootFromParent_Done,
     /*  354532 */   // Label 6440: @354532
     /*  354532 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354598), // Rule ID 21832 //
     /*  354537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354576 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354596 */     GIR_RootConstrainSelectedInstOperands,
     /*  354597 */     // GIR_Coverage, 21832,
     /*  354597 */     GIR_EraseRootFromParent_Done,
     /*  354598 */   // Label 6441: @354598
     /*  354598 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354664), // Rule ID 21833 //
     /*  354603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354642 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354662 */     GIR_RootConstrainSelectedInstOperands,
     /*  354663 */     // GIR_Coverage, 21833,
     /*  354663 */     GIR_EraseRootFromParent_Done,
     /*  354664 */   // Label 6442: @354664
     /*  354664 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354730), // Rule ID 21836 //
     /*  354669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354708 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354728 */     GIR_RootConstrainSelectedInstOperands,
     /*  354729 */     // GIR_Coverage, 21836,
     /*  354729 */     GIR_EraseRootFromParent_Done,
     /*  354730 */   // Label 6443: @354730
     /*  354730 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354796), // Rule ID 21837 //
     /*  354735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354774 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354794 */     GIR_RootConstrainSelectedInstOperands,
     /*  354795 */     // GIR_Coverage, 21837,
     /*  354795 */     GIR_EraseRootFromParent_Done,
     /*  354796 */   // Label 6444: @354796
     /*  354796 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(354862), // Rule ID 21840 //
     /*  354801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354860 */     GIR_RootConstrainSelectedInstOperands,
     /*  354861 */     // GIR_Coverage, 21840,
     /*  354861 */     GIR_EraseRootFromParent_Done,
     /*  354862 */   // Label 6445: @354862
     /*  354862 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(354928), // Rule ID 21841 //
     /*  354867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354926 */     GIR_RootConstrainSelectedInstOperands,
     /*  354927 */     // GIR_Coverage, 21841,
     /*  354927 */     GIR_EraseRootFromParent_Done,
     /*  354928 */   // Label 6446: @354928
     /*  354928 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(354994), // Rule ID 21844 //
     /*  354933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354972 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354992 */     GIR_RootConstrainSelectedInstOperands,
     /*  354993 */     // GIR_Coverage, 21844,
     /*  354993 */     GIR_EraseRootFromParent_Done,
     /*  354994 */   // Label 6447: @354994
     /*  354994 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(355060), // Rule ID 21845 //
     /*  354999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  355010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  355013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  355041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355058 */     GIR_RootConstrainSelectedInstOperands,
     /*  355059 */     // GIR_Coverage, 21845,
     /*  355059 */     GIR_EraseRootFromParent_Done,
     /*  355060 */   // Label 6448: @355060
     /*  355060 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355126), // Rule ID 21848 //
     /*  355065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355104 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355124 */     GIR_RootConstrainSelectedInstOperands,
     /*  355125 */     // GIR_Coverage, 21848,
     /*  355125 */     GIR_EraseRootFromParent_Done,
     /*  355126 */   // Label 6449: @355126
     /*  355126 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355192), // Rule ID 21849 //
     /*  355131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355170 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355190 */     GIR_RootConstrainSelectedInstOperands,
     /*  355191 */     // GIR_Coverage, 21849,
     /*  355191 */     GIR_EraseRootFromParent_Done,
     /*  355192 */   // Label 6450: @355192
     /*  355192 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355258), // Rule ID 21852 //
     /*  355197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355256 */     GIR_RootConstrainSelectedInstOperands,
     /*  355257 */     // GIR_Coverage, 21852,
     /*  355257 */     GIR_EraseRootFromParent_Done,
     /*  355258 */   // Label 6451: @355258
     /*  355258 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355324), // Rule ID 21853 //
     /*  355263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355302 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355322 */     GIR_RootConstrainSelectedInstOperands,
     /*  355323 */     // GIR_Coverage, 21853,
     /*  355323 */     GIR_EraseRootFromParent_Done,
     /*  355324 */   // Label 6452: @355324
     /*  355324 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355390), // Rule ID 21856 //
     /*  355329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  355340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  355343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355388 */     GIR_RootConstrainSelectedInstOperands,
     /*  355389 */     // GIR_Coverage, 21856,
     /*  355389 */     GIR_EraseRootFromParent_Done,
     /*  355390 */   // Label 6453: @355390
     /*  355390 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355456), // Rule ID 21857 //
     /*  355395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  355406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  355409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355434 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355454 */     GIR_RootConstrainSelectedInstOperands,
     /*  355455 */     // GIR_Coverage, 21857,
     /*  355455 */     GIR_EraseRootFromParent_Done,
     /*  355456 */   // Label 6454: @355456
     /*  355456 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355522), // Rule ID 21860 //
     /*  355461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355500 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355520 */     GIR_RootConstrainSelectedInstOperands,
     /*  355521 */     // GIR_Coverage, 21860,
     /*  355521 */     GIR_EraseRootFromParent_Done,
     /*  355522 */   // Label 6455: @355522
     /*  355522 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355588), // Rule ID 21861 //
     /*  355527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355566 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355586 */     GIR_RootConstrainSelectedInstOperands,
     /*  355587 */     // GIR_Coverage, 21861,
     /*  355587 */     GIR_EraseRootFromParent_Done,
     /*  355588 */   // Label 6456: @355588
     /*  355588 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355654), // Rule ID 21864 //
     /*  355593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355632 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355652 */     GIR_RootConstrainSelectedInstOperands,
     /*  355653 */     // GIR_Coverage, 21864,
     /*  355653 */     GIR_EraseRootFromParent_Done,
     /*  355654 */   // Label 6457: @355654
     /*  355654 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355720), // Rule ID 21865 //
     /*  355659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355718 */     GIR_RootConstrainSelectedInstOperands,
     /*  355719 */     // GIR_Coverage, 21865,
     /*  355719 */     GIR_EraseRootFromParent_Done,
     /*  355720 */   // Label 6458: @355720
     /*  355720 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355783), // Rule ID 23036 //
     /*  355725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355781 */     GIR_RootConstrainSelectedInstOperands,
     /*  355782 */     // GIR_Coverage, 23036,
     /*  355782 */     GIR_EraseRootFromParent_Done,
     /*  355783 */   // Label 6459: @355783
     /*  355783 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355846), // Rule ID 23037 //
     /*  355788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355827 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355844 */     GIR_RootConstrainSelectedInstOperands,
     /*  355845 */     // GIR_Coverage, 23037,
     /*  355845 */     GIR_EraseRootFromParent_Done,
     /*  355846 */   // Label 6460: @355846
     /*  355846 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(355909), // Rule ID 23038 //
     /*  355851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355907 */     GIR_RootConstrainSelectedInstOperands,
     /*  355908 */     // GIR_Coverage, 23038,
     /*  355908 */     GIR_EraseRootFromParent_Done,
     /*  355909 */   // Label 6461: @355909
     /*  355909 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(355972), // Rule ID 23039 //
     /*  355914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355970 */     GIR_RootConstrainSelectedInstOperands,
     /*  355971 */     // GIR_Coverage, 23039,
     /*  355971 */     GIR_EraseRootFromParent_Done,
     /*  355972 */   // Label 6462: @355972
     /*  355972 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(356035), // Rule ID 23040 //
     /*  355977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356033 */     GIR_RootConstrainSelectedInstOperands,
     /*  356034 */     // GIR_Coverage, 23040,
     /*  356034 */     GIR_EraseRootFromParent_Done,
     /*  356035 */   // Label 6463: @356035
     /*  356035 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356098), // Rule ID 23041 //
     /*  356040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356079 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356096 */     GIR_RootConstrainSelectedInstOperands,
     /*  356097 */     // GIR_Coverage, 23041,
     /*  356097 */     GIR_EraseRootFromParent_Done,
     /*  356098 */   // Label 6464: @356098
     /*  356098 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356161), // Rule ID 23042 //
     /*  356103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356159 */     GIR_RootConstrainSelectedInstOperands,
     /*  356160 */     // GIR_Coverage, 23042,
     /*  356160 */     GIR_EraseRootFromParent_Done,
     /*  356161 */   // Label 6465: @356161
     /*  356161 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356224), // Rule ID 23043 //
     /*  356166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356222 */     GIR_RootConstrainSelectedInstOperands,
     /*  356223 */     // GIR_Coverage, 23043,
     /*  356223 */     GIR_EraseRootFromParent_Done,
     /*  356224 */   // Label 6466: @356224
     /*  356224 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356287), // Rule ID 23044 //
     /*  356229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  356271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356285 */     GIR_RootConstrainSelectedInstOperands,
     /*  356286 */     // GIR_Coverage, 23044,
     /*  356286 */     GIR_EraseRootFromParent_Done,
     /*  356287 */   // Label 6467: @356287
     /*  356287 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356350), // Rule ID 23045 //
     /*  356292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356331 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  356334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356348 */     GIR_RootConstrainSelectedInstOperands,
     /*  356349 */     // GIR_Coverage, 23045,
     /*  356349 */     GIR_EraseRootFromParent_Done,
     /*  356350 */   // Label 6468: @356350
     /*  356350 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356413), // Rule ID 23046 //
     /*  356355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356394 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356411 */     GIR_RootConstrainSelectedInstOperands,
     /*  356412 */     // GIR_Coverage, 23046,
     /*  356412 */     GIR_EraseRootFromParent_Done,
     /*  356413 */   // Label 6469: @356413
     /*  356413 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356476), // Rule ID 23047 //
     /*  356418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356457 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356474 */     GIR_RootConstrainSelectedInstOperands,
     /*  356475 */     // GIR_Coverage, 23047,
     /*  356475 */     GIR_EraseRootFromParent_Done,
     /*  356476 */   // Label 6470: @356476
     /*  356476 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356539), // Rule ID 23048 //
     /*  356481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356537 */     GIR_RootConstrainSelectedInstOperands,
     /*  356538 */     // GIR_Coverage, 23048,
     /*  356538 */     GIR_EraseRootFromParent_Done,
     /*  356539 */   // Label 6471: @356539
     /*  356539 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356602), // Rule ID 23049 //
     /*  356544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356600 */     GIR_RootConstrainSelectedInstOperands,
     /*  356601 */     // GIR_Coverage, 23049,
     /*  356601 */     GIR_EraseRootFromParent_Done,
     /*  356602 */   // Label 6472: @356602
     /*  356602 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356665), // Rule ID 23050 //
     /*  356607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356646 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356663 */     GIR_RootConstrainSelectedInstOperands,
     /*  356664 */     // GIR_Coverage, 23050,
     /*  356664 */     GIR_EraseRootFromParent_Done,
     /*  356665 */   // Label 6473: @356665
     /*  356665 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356728), // Rule ID 23051 //
     /*  356670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356709 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356726 */     GIR_RootConstrainSelectedInstOperands,
     /*  356727 */     // GIR_Coverage, 23051,
     /*  356727 */     GIR_EraseRootFromParent_Done,
     /*  356728 */   // Label 6474: @356728
     /*  356728 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356791), // Rule ID 23052 //
     /*  356733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356789 */     GIR_RootConstrainSelectedInstOperands,
     /*  356790 */     // GIR_Coverage, 23052,
     /*  356790 */     GIR_EraseRootFromParent_Done,
     /*  356791 */   // Label 6475: @356791
     /*  356791 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356854), // Rule ID 23053 //
     /*  356796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356852 */     GIR_RootConstrainSelectedInstOperands,
     /*  356853 */     // GIR_Coverage, 23053,
     /*  356853 */     GIR_EraseRootFromParent_Done,
     /*  356854 */   // Label 6476: @356854
     /*  356854 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(356917), // Rule ID 23054 //
     /*  356859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356915 */     GIR_RootConstrainSelectedInstOperands,
     /*  356916 */     // GIR_Coverage, 23054,
     /*  356916 */     GIR_EraseRootFromParent_Done,
     /*  356917 */   // Label 6477: @356917
     /*  356917 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(356980), // Rule ID 23055 //
     /*  356922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356961 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356978 */     GIR_RootConstrainSelectedInstOperands,
     /*  356979 */     // GIR_Coverage, 23055,
     /*  356979 */     GIR_EraseRootFromParent_Done,
     /*  356980 */   // Label 6478: @356980
     /*  356980 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357043), // Rule ID 23056 //
     /*  356985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357041 */     GIR_RootConstrainSelectedInstOperands,
     /*  357042 */     // GIR_Coverage, 23056,
     /*  357042 */     GIR_EraseRootFromParent_Done,
     /*  357043 */   // Label 6479: @357043
     /*  357043 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357106), // Rule ID 23057 //
     /*  357048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357087 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357104 */     GIR_RootConstrainSelectedInstOperands,
     /*  357105 */     // GIR_Coverage, 23057,
     /*  357105 */     GIR_EraseRootFromParent_Done,
     /*  357106 */   // Label 6480: @357106
     /*  357106 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357169), // Rule ID 23058 //
     /*  357111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357150 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357167 */     GIR_RootConstrainSelectedInstOperands,
     /*  357168 */     // GIR_Coverage, 23058,
     /*  357168 */     GIR_EraseRootFromParent_Done,
     /*  357169 */   // Label 6481: @357169
     /*  357169 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357232), // Rule ID 23059 //
     /*  357174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357213 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357230 */     GIR_RootConstrainSelectedInstOperands,
     /*  357231 */     // GIR_Coverage, 23059,
     /*  357231 */     GIR_EraseRootFromParent_Done,
     /*  357232 */   // Label 6482: @357232
     /*  357232 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357295), // Rule ID 23060 //
     /*  357237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357276 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  357279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357293 */     GIR_RootConstrainSelectedInstOperands,
     /*  357294 */     // GIR_Coverage, 23060,
     /*  357294 */     GIR_EraseRootFromParent_Done,
     /*  357295 */   // Label 6483: @357295
     /*  357295 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357358), // Rule ID 23061 //
     /*  357300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357339 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  357342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357356 */     GIR_RootConstrainSelectedInstOperands,
     /*  357357 */     // GIR_Coverage, 23061,
     /*  357357 */     GIR_EraseRootFromParent_Done,
     /*  357358 */   // Label 6484: @357358
     /*  357358 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357421), // Rule ID 23062 //
     /*  357363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357419 */     GIR_RootConstrainSelectedInstOperands,
     /*  357420 */     // GIR_Coverage, 23062,
     /*  357420 */     GIR_EraseRootFromParent_Done,
     /*  357421 */   // Label 6485: @357421
     /*  357421 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357484), // Rule ID 23063 //
     /*  357426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357465 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357482 */     GIR_RootConstrainSelectedInstOperands,
     /*  357483 */     // GIR_Coverage, 23063,
     /*  357483 */     GIR_EraseRootFromParent_Done,
     /*  357484 */   // Label 6486: @357484
     /*  357484 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357547), // Rule ID 23064 //
     /*  357489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357545 */     GIR_RootConstrainSelectedInstOperands,
     /*  357546 */     // GIR_Coverage, 23064,
     /*  357546 */     GIR_EraseRootFromParent_Done,
     /*  357547 */   // Label 6487: @357547
     /*  357547 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357610), // Rule ID 23065 //
     /*  357552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357591 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357608 */     GIR_RootConstrainSelectedInstOperands,
     /*  357609 */     // GIR_Coverage, 23065,
     /*  357609 */     GIR_EraseRootFromParent_Done,
     /*  357610 */   // Label 6488: @357610
     /*  357610 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357673), // Rule ID 23066 //
     /*  357615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357671 */     GIR_RootConstrainSelectedInstOperands,
     /*  357672 */     // GIR_Coverage, 23066,
     /*  357672 */     GIR_EraseRootFromParent_Done,
     /*  357673 */   // Label 6489: @357673
     /*  357673 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357736), // Rule ID 23067 //
     /*  357678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357734 */     GIR_RootConstrainSelectedInstOperands,
     /*  357735 */     // GIR_Coverage, 23067,
     /*  357735 */     GIR_EraseRootFromParent_Done,
     /*  357736 */   // Label 6490: @357736
     /*  357736 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357799), // Rule ID 23068 //
     /*  357741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357797 */     GIR_RootConstrainSelectedInstOperands,
     /*  357798 */     // GIR_Coverage, 23068,
     /*  357798 */     GIR_EraseRootFromParent_Done,
     /*  357799 */   // Label 6491: @357799
     /*  357799 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(357862), // Rule ID 23069 //
     /*  357804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357843 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357860 */     GIR_RootConstrainSelectedInstOperands,
     /*  357861 */     // GIR_Coverage, 23069,
     /*  357861 */     GIR_EraseRootFromParent_Done,
     /*  357862 */   // Label 6492: @357862
     /*  357862 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(357925), // Rule ID 23070 //
     /*  357867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357923 */     GIR_RootConstrainSelectedInstOperands,
     /*  357924 */     // GIR_Coverage, 23070,
     /*  357924 */     GIR_EraseRootFromParent_Done,
     /*  357925 */   // Label 6493: @357925
     /*  357925 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(357988), // Rule ID 23071 //
     /*  357930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357986 */     GIR_RootConstrainSelectedInstOperands,
     /*  357987 */     // GIR_Coverage, 23071,
     /*  357987 */     GIR_EraseRootFromParent_Done,
     /*  357988 */   // Label 6494: @357988
     /*  357988 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358051), // Rule ID 23072 //
     /*  357993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358049 */     GIR_RootConstrainSelectedInstOperands,
     /*  358050 */     // GIR_Coverage, 23072,
     /*  358050 */     GIR_EraseRootFromParent_Done,
     /*  358051 */   // Label 6495: @358051
     /*  358051 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358114), // Rule ID 23073 //
     /*  358056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358095 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358112 */     GIR_RootConstrainSelectedInstOperands,
     /*  358113 */     // GIR_Coverage, 23073,
     /*  358113 */     GIR_EraseRootFromParent_Done,
     /*  358114 */   // Label 6496: @358114
     /*  358114 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358177), // Rule ID 23074 //
     /*  358119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358158 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358175 */     GIR_RootConstrainSelectedInstOperands,
     /*  358176 */     // GIR_Coverage, 23074,
     /*  358176 */     GIR_EraseRootFromParent_Done,
     /*  358177 */   // Label 6497: @358177
     /*  358177 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358240), // Rule ID 23075 //
     /*  358182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358221 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358238 */     GIR_RootConstrainSelectedInstOperands,
     /*  358239 */     // GIR_Coverage, 23075,
     /*  358239 */     GIR_EraseRootFromParent_Done,
     /*  358240 */   // Label 6498: @358240
     /*  358240 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358303), // Rule ID 23076 //
     /*  358245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  358287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358301 */     GIR_RootConstrainSelectedInstOperands,
     /*  358302 */     // GIR_Coverage, 23076,
     /*  358302 */     GIR_EraseRootFromParent_Done,
     /*  358303 */   // Label 6499: @358303
     /*  358303 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358366), // Rule ID 23077 //
     /*  358308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  358350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358364 */     GIR_RootConstrainSelectedInstOperands,
     /*  358365 */     // GIR_Coverage, 23077,
     /*  358365 */     GIR_EraseRootFromParent_Done,
     /*  358366 */   // Label 6500: @358366
     /*  358366 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358429), // Rule ID 23078 //
     /*  358371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358427 */     GIR_RootConstrainSelectedInstOperands,
     /*  358428 */     // GIR_Coverage, 23078,
     /*  358428 */     GIR_EraseRootFromParent_Done,
     /*  358429 */   // Label 6501: @358429
     /*  358429 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358492), // Rule ID 23079 //
     /*  358434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358490 */     GIR_RootConstrainSelectedInstOperands,
     /*  358491 */     // GIR_Coverage, 23079,
     /*  358491 */     GIR_EraseRootFromParent_Done,
     /*  358492 */   // Label 6502: @358492
     /*  358492 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358555), // Rule ID 23080 //
     /*  358497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358553 */     GIR_RootConstrainSelectedInstOperands,
     /*  358554 */     // GIR_Coverage, 23080,
     /*  358554 */     GIR_EraseRootFromParent_Done,
     /*  358555 */   // Label 6503: @358555
     /*  358555 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358618), // Rule ID 23081 //
     /*  358560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358616 */     GIR_RootConstrainSelectedInstOperands,
     /*  358617 */     // GIR_Coverage, 23081,
     /*  358617 */     GIR_EraseRootFromParent_Done,
     /*  358618 */   // Label 6504: @358618
     /*  358618 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358681), // Rule ID 23082 //
     /*  358623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358679 */     GIR_RootConstrainSelectedInstOperands,
     /*  358680 */     // GIR_Coverage, 23082,
     /*  358680 */     GIR_EraseRootFromParent_Done,
     /*  358681 */   // Label 6505: @358681
     /*  358681 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358744), // Rule ID 23083 //
     /*  358686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358742 */     GIR_RootConstrainSelectedInstOperands,
     /*  358743 */     // GIR_Coverage, 23083,
     /*  358743 */     GIR_EraseRootFromParent_Done,
     /*  358744 */   // Label 6506: @358744
     /*  358744 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358807), // Rule ID 23084 //
     /*  358749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358805 */     GIR_RootConstrainSelectedInstOperands,
     /*  358806 */     // GIR_Coverage, 23084,
     /*  358806 */     GIR_EraseRootFromParent_Done,
     /*  358807 */   // Label 6507: @358807
     /*  358807 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(358870), // Rule ID 23085 //
     /*  358812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358851 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358868 */     GIR_RootConstrainSelectedInstOperands,
     /*  358869 */     // GIR_Coverage, 23085,
     /*  358869 */     GIR_EraseRootFromParent_Done,
     /*  358870 */   // Label 6508: @358870
     /*  358870 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(358933), // Rule ID 23086 //
     /*  358875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358914 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358931 */     GIR_RootConstrainSelectedInstOperands,
     /*  358932 */     // GIR_Coverage, 23086,
     /*  358932 */     GIR_EraseRootFromParent_Done,
     /*  358933 */   // Label 6509: @358933
     /*  358933 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(358996), // Rule ID 23087 //
     /*  358938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358977 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358994 */     GIR_RootConstrainSelectedInstOperands,
     /*  358995 */     // GIR_Coverage, 23087,
     /*  358995 */     GIR_EraseRootFromParent_Done,
     /*  358996 */   // Label 6510: @358996
     /*  358996 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359059), // Rule ID 23088 //
     /*  359001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359040 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359057 */     GIR_RootConstrainSelectedInstOperands,
     /*  359058 */     // GIR_Coverage, 23088,
     /*  359058 */     GIR_EraseRootFromParent_Done,
     /*  359059 */   // Label 6511: @359059
     /*  359059 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359122), // Rule ID 23089 //
     /*  359064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359103 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359120 */     GIR_RootConstrainSelectedInstOperands,
     /*  359121 */     // GIR_Coverage, 23089,
     /*  359121 */     GIR_EraseRootFromParent_Done,
     /*  359122 */   // Label 6512: @359122
     /*  359122 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359185), // Rule ID 23090 //
     /*  359127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359166 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359183 */     GIR_RootConstrainSelectedInstOperands,
     /*  359184 */     // GIR_Coverage, 23090,
     /*  359184 */     GIR_EraseRootFromParent_Done,
     /*  359185 */   // Label 6513: @359185
     /*  359185 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359248), // Rule ID 23091 //
     /*  359190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359229 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359246 */     GIR_RootConstrainSelectedInstOperands,
     /*  359247 */     // GIR_Coverage, 23091,
     /*  359247 */     GIR_EraseRootFromParent_Done,
     /*  359248 */   // Label 6514: @359248
     /*  359248 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359311), // Rule ID 23092 //
     /*  359253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  359295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359309 */     GIR_RootConstrainSelectedInstOperands,
     /*  359310 */     // GIR_Coverage, 23092,
     /*  359310 */     GIR_EraseRootFromParent_Done,
     /*  359311 */   // Label 6515: @359311
     /*  359311 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359374), // Rule ID 23093 //
     /*  359316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  359358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359372 */     GIR_RootConstrainSelectedInstOperands,
     /*  359373 */     // GIR_Coverage, 23093,
     /*  359373 */     GIR_EraseRootFromParent_Done,
     /*  359374 */   // Label 6516: @359374
     /*  359374 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359437), // Rule ID 23094 //
     /*  359379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359435 */     GIR_RootConstrainSelectedInstOperands,
     /*  359436 */     // GIR_Coverage, 23094,
     /*  359436 */     GIR_EraseRootFromParent_Done,
     /*  359437 */   // Label 6517: @359437
     /*  359437 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359500), // Rule ID 23095 //
     /*  359442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359498 */     GIR_RootConstrainSelectedInstOperands,
     /*  359499 */     // GIR_Coverage, 23095,
     /*  359499 */     GIR_EraseRootFromParent_Done,
     /*  359500 */   // Label 6518: @359500
     /*  359500 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359563), // Rule ID 23096 //
     /*  359505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359561 */     GIR_RootConstrainSelectedInstOperands,
     /*  359562 */     // GIR_Coverage, 23096,
     /*  359562 */     GIR_EraseRootFromParent_Done,
     /*  359563 */   // Label 6519: @359563
     /*  359563 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359626), // Rule ID 23097 //
     /*  359568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359624 */     GIR_RootConstrainSelectedInstOperands,
     /*  359625 */     // GIR_Coverage, 23097,
     /*  359625 */     GIR_EraseRootFromParent_Done,
     /*  359626 */   // Label 6520: @359626
     /*  359626 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359689), // Rule ID 23098 //
     /*  359631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359687 */     GIR_RootConstrainSelectedInstOperands,
     /*  359688 */     // GIR_Coverage, 23098,
     /*  359688 */     GIR_EraseRootFromParent_Done,
     /*  359689 */   // Label 6521: @359689
     /*  359689 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359752), // Rule ID 23099 //
     /*  359694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359750 */     GIR_RootConstrainSelectedInstOperands,
     /*  359751 */     // GIR_Coverage, 23099,
     /*  359751 */     GIR_EraseRootFromParent_Done,
     /*  359752 */   // Label 6522: @359752
     /*  359752 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359815), // Rule ID 23100 //
     /*  359757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359796 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359813 */     GIR_RootConstrainSelectedInstOperands,
     /*  359814 */     // GIR_Coverage, 23100,
     /*  359814 */     GIR_EraseRootFromParent_Done,
     /*  359815 */   // Label 6523: @359815
     /*  359815 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(359878), // Rule ID 23101 //
     /*  359820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359859 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359876 */     GIR_RootConstrainSelectedInstOperands,
     /*  359877 */     // GIR_Coverage, 23101,
     /*  359877 */     GIR_EraseRootFromParent_Done,
     /*  359878 */   // Label 6524: @359878
     /*  359878 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(359941), // Rule ID 23102 //
     /*  359883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359922 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359939 */     GIR_RootConstrainSelectedInstOperands,
     /*  359940 */     // GIR_Coverage, 23102,
     /*  359940 */     GIR_EraseRootFromParent_Done,
     /*  359941 */   // Label 6525: @359941
     /*  359941 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360004), // Rule ID 23103 //
     /*  359946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359985 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360002 */     GIR_RootConstrainSelectedInstOperands,
     /*  360003 */     // GIR_Coverage, 23103,
     /*  360003 */     GIR_EraseRootFromParent_Done,
     /*  360004 */   // Label 6526: @360004
     /*  360004 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360067), // Rule ID 23104 //
     /*  360009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360065 */     GIR_RootConstrainSelectedInstOperands,
     /*  360066 */     // GIR_Coverage, 23104,
     /*  360066 */     GIR_EraseRootFromParent_Done,
     /*  360067 */   // Label 6527: @360067
     /*  360067 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360130), // Rule ID 23105 //
     /*  360072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360128 */     GIR_RootConstrainSelectedInstOperands,
     /*  360129 */     // GIR_Coverage, 23105,
     /*  360129 */     GIR_EraseRootFromParent_Done,
     /*  360130 */   // Label 6528: @360130
     /*  360130 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360193), // Rule ID 23106 //
     /*  360135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360174 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360191 */     GIR_RootConstrainSelectedInstOperands,
     /*  360192 */     // GIR_Coverage, 23106,
     /*  360192 */     GIR_EraseRootFromParent_Done,
     /*  360193 */   // Label 6529: @360193
     /*  360193 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360256), // Rule ID 23107 //
     /*  360198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360254 */     GIR_RootConstrainSelectedInstOperands,
     /*  360255 */     // GIR_Coverage, 23107,
     /*  360255 */     GIR_EraseRootFromParent_Done,
     /*  360256 */   // Label 6530: @360256
     /*  360256 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360319), // Rule ID 23108 //
     /*  360261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  360303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360317 */     GIR_RootConstrainSelectedInstOperands,
     /*  360318 */     // GIR_Coverage, 23108,
     /*  360318 */     GIR_EraseRootFromParent_Done,
     /*  360319 */   // Label 6531: @360319
     /*  360319 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360382), // Rule ID 23109 //
     /*  360324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  360366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360380 */     GIR_RootConstrainSelectedInstOperands,
     /*  360381 */     // GIR_Coverage, 23109,
     /*  360381 */     GIR_EraseRootFromParent_Done,
     /*  360382 */   // Label 6532: @360382
     /*  360382 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360445), // Rule ID 23110 //
     /*  360387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360443 */     GIR_RootConstrainSelectedInstOperands,
     /*  360444 */     // GIR_Coverage, 23110,
     /*  360444 */     GIR_EraseRootFromParent_Done,
     /*  360445 */   // Label 6533: @360445
     /*  360445 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360508), // Rule ID 23111 //
     /*  360450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360506 */     GIR_RootConstrainSelectedInstOperands,
     /*  360507 */     // GIR_Coverage, 23111,
     /*  360507 */     GIR_EraseRootFromParent_Done,
     /*  360508 */   // Label 6534: @360508
     /*  360508 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360571), // Rule ID 23112 //
     /*  360513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360569 */     GIR_RootConstrainSelectedInstOperands,
     /*  360570 */     // GIR_Coverage, 23112,
     /*  360570 */     GIR_EraseRootFromParent_Done,
     /*  360571 */   // Label 6535: @360571
     /*  360571 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360634), // Rule ID 23113 //
     /*  360576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360632 */     GIR_RootConstrainSelectedInstOperands,
     /*  360633 */     // GIR_Coverage, 23113,
     /*  360633 */     GIR_EraseRootFromParent_Done,
     /*  360634 */   // Label 6536: @360634
     /*  360634 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360697), // Rule ID 23114 //
     /*  360639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360678 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360695 */     GIR_RootConstrainSelectedInstOperands,
     /*  360696 */     // GIR_Coverage, 23114,
     /*  360696 */     GIR_EraseRootFromParent_Done,
     /*  360697 */   // Label 6537: @360697
     /*  360697 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360760), // Rule ID 23115 //
     /*  360702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360758 */     GIR_RootConstrainSelectedInstOperands,
     /*  360759 */     // GIR_Coverage, 23115,
     /*  360759 */     GIR_EraseRootFromParent_Done,
     /*  360760 */   // Label 6538: @360760
     /*  360760 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360823), // Rule ID 23116 //
     /*  360765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360804 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360821 */     GIR_RootConstrainSelectedInstOperands,
     /*  360822 */     // GIR_Coverage, 23116,
     /*  360822 */     GIR_EraseRootFromParent_Done,
     /*  360823 */   // Label 6539: @360823
     /*  360823 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(360886), // Rule ID 23117 //
     /*  360828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360884 */     GIR_RootConstrainSelectedInstOperands,
     /*  360885 */     // GIR_Coverage, 23117,
     /*  360885 */     GIR_EraseRootFromParent_Done,
     /*  360886 */   // Label 6540: @360886
     /*  360886 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(360949), // Rule ID 23118 //
     /*  360891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360930 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360947 */     GIR_RootConstrainSelectedInstOperands,
     /*  360948 */     // GIR_Coverage, 23118,
     /*  360948 */     GIR_EraseRootFromParent_Done,
     /*  360949 */   // Label 6541: @360949
     /*  360949 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361012), // Rule ID 23119 //
     /*  360954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361010 */     GIR_RootConstrainSelectedInstOperands,
     /*  361011 */     // GIR_Coverage, 23119,
     /*  361011 */     GIR_EraseRootFromParent_Done,
     /*  361012 */   // Label 6542: @361012
     /*  361012 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361075), // Rule ID 23120 //
     /*  361017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361073 */     GIR_RootConstrainSelectedInstOperands,
     /*  361074 */     // GIR_Coverage, 23120,
     /*  361074 */     GIR_EraseRootFromParent_Done,
     /*  361075 */   // Label 6543: @361075
     /*  361075 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361138), // Rule ID 23121 //
     /*  361080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361136 */     GIR_RootConstrainSelectedInstOperands,
     /*  361137 */     // GIR_Coverage, 23121,
     /*  361137 */     GIR_EraseRootFromParent_Done,
     /*  361138 */   // Label 6544: @361138
     /*  361138 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361201), // Rule ID 23122 //
     /*  361143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361199 */     GIR_RootConstrainSelectedInstOperands,
     /*  361200 */     // GIR_Coverage, 23122,
     /*  361200 */     GIR_EraseRootFromParent_Done,
     /*  361201 */   // Label 6545: @361201
     /*  361201 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361264), // Rule ID 23123 //
     /*  361206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361262 */     GIR_RootConstrainSelectedInstOperands,
     /*  361263 */     // GIR_Coverage, 23123,
     /*  361263 */     GIR_EraseRootFromParent_Done,
     /*  361264 */   // Label 6546: @361264
     /*  361264 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361327), // Rule ID 23124 //
     /*  361269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  361311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361325 */     GIR_RootConstrainSelectedInstOperands,
     /*  361326 */     // GIR_Coverage, 23124,
     /*  361326 */     GIR_EraseRootFromParent_Done,
     /*  361327 */   // Label 6547: @361327
     /*  361327 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361390), // Rule ID 23125 //
     /*  361332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  361374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361388 */     GIR_RootConstrainSelectedInstOperands,
     /*  361389 */     // GIR_Coverage, 23125,
     /*  361389 */     GIR_EraseRootFromParent_Done,
     /*  361390 */   // Label 6548: @361390
     /*  361390 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361453), // Rule ID 23126 //
     /*  361395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361451 */     GIR_RootConstrainSelectedInstOperands,
     /*  361452 */     // GIR_Coverage, 23126,
     /*  361452 */     GIR_EraseRootFromParent_Done,
     /*  361453 */   // Label 6549: @361453
     /*  361453 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361516), // Rule ID 23127 //
     /*  361458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361497 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361514 */     GIR_RootConstrainSelectedInstOperands,
     /*  361515 */     // GIR_Coverage, 23127,
     /*  361515 */     GIR_EraseRootFromParent_Done,
     /*  361516 */   // Label 6550: @361516
     /*  361516 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361579), // Rule ID 23128 //
     /*  361521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361577 */     GIR_RootConstrainSelectedInstOperands,
     /*  361578 */     // GIR_Coverage, 23128,
     /*  361578 */     GIR_EraseRootFromParent_Done,
     /*  361579 */   // Label 6551: @361579
     /*  361579 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361642), // Rule ID 23129 //
     /*  361584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361623 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361640 */     GIR_RootConstrainSelectedInstOperands,
     /*  361641 */     // GIR_Coverage, 23129,
     /*  361641 */     GIR_EraseRootFromParent_Done,
     /*  361642 */   // Label 6552: @361642
     /*  361642 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361705), // Rule ID 23130 //
     /*  361647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361686 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361703 */     GIR_RootConstrainSelectedInstOperands,
     /*  361704 */     // GIR_Coverage, 23130,
     /*  361704 */     GIR_EraseRootFromParent_Done,
     /*  361705 */   // Label 6553: @361705
     /*  361705 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361768), // Rule ID 23131 //
     /*  361710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361749 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361766 */     GIR_RootConstrainSelectedInstOperands,
     /*  361767 */     // GIR_Coverage, 23131,
     /*  361767 */     GIR_EraseRootFromParent_Done,
     /*  361768 */   // Label 6554: @361768
     /*  361768 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361831), // Rule ID 23132 //
     /*  361773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361829 */     GIR_RootConstrainSelectedInstOperands,
     /*  361830 */     // GIR_Coverage, 23132,
     /*  361830 */     GIR_EraseRootFromParent_Done,
     /*  361831 */   // Label 6555: @361831
     /*  361831 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(361894), // Rule ID 23133 //
     /*  361836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361892 */     GIR_RootConstrainSelectedInstOperands,
     /*  361893 */     // GIR_Coverage, 23133,
     /*  361893 */     GIR_EraseRootFromParent_Done,
     /*  361894 */   // Label 6556: @361894
     /*  361894 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(361957), // Rule ID 23134 //
     /*  361899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361955 */     GIR_RootConstrainSelectedInstOperands,
     /*  361956 */     // GIR_Coverage, 23134,
     /*  361956 */     GIR_EraseRootFromParent_Done,
     /*  361957 */   // Label 6557: @361957
     /*  361957 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362020), // Rule ID 23135 //
     /*  361962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  362004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362018 */     GIR_RootConstrainSelectedInstOperands,
     /*  362019 */     // GIR_Coverage, 23135,
     /*  362019 */     GIR_EraseRootFromParent_Done,
     /*  362020 */   // Label 6558: @362020
     /*  362020 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362083), // Rule ID 23136 //
     /*  362025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362081 */     GIR_RootConstrainSelectedInstOperands,
     /*  362082 */     // GIR_Coverage, 23136,
     /*  362082 */     GIR_EraseRootFromParent_Done,
     /*  362083 */   // Label 6559: @362083
     /*  362083 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362146), // Rule ID 23137 //
     /*  362088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362144 */     GIR_RootConstrainSelectedInstOperands,
     /*  362145 */     // GIR_Coverage, 23137,
     /*  362145 */     GIR_EraseRootFromParent_Done,
     /*  362146 */   // Label 6560: @362146
     /*  362146 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362209), // Rule ID 23138 //
     /*  362151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362207 */     GIR_RootConstrainSelectedInstOperands,
     /*  362208 */     // GIR_Coverage, 23138,
     /*  362208 */     GIR_EraseRootFromParent_Done,
     /*  362209 */   // Label 6561: @362209
     /*  362209 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362272), // Rule ID 23139 //
     /*  362214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362270 */     GIR_RootConstrainSelectedInstOperands,
     /*  362271 */     // GIR_Coverage, 23139,
     /*  362271 */     GIR_EraseRootFromParent_Done,
     /*  362272 */   // Label 6562: @362272
     /*  362272 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362335), // Rule ID 23140 //
     /*  362277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362333 */     GIR_RootConstrainSelectedInstOperands,
     /*  362334 */     // GIR_Coverage, 23140,
     /*  362334 */     GIR_EraseRootFromParent_Done,
     /*  362335 */   // Label 6563: @362335
     /*  362335 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362398), // Rule ID 23141 //
     /*  362340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362379 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362396 */     GIR_RootConstrainSelectedInstOperands,
     /*  362397 */     // GIR_Coverage, 23141,
     /*  362397 */     GIR_EraseRootFromParent_Done,
     /*  362398 */   // Label 6564: @362398
     /*  362398 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362461), // Rule ID 23142 //
     /*  362403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362442 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362459 */     GIR_RootConstrainSelectedInstOperands,
     /*  362460 */     // GIR_Coverage, 23142,
     /*  362460 */     GIR_EraseRootFromParent_Done,
     /*  362461 */   // Label 6565: @362461
     /*  362461 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362524), // Rule ID 23143 //
     /*  362466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362505 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362522 */     GIR_RootConstrainSelectedInstOperands,
     /*  362523 */     // GIR_Coverage, 23143,
     /*  362523 */     GIR_EraseRootFromParent_Done,
     /*  362524 */   // Label 6566: @362524
     /*  362524 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362587), // Rule ID 23144 //
     /*  362529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362568 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362585 */     GIR_RootConstrainSelectedInstOperands,
     /*  362586 */     // GIR_Coverage, 23144,
     /*  362586 */     GIR_EraseRootFromParent_Done,
     /*  362587 */   // Label 6567: @362587
     /*  362587 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362650), // Rule ID 23145 //
     /*  362592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362631 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362648 */     GIR_RootConstrainSelectedInstOperands,
     /*  362649 */     // GIR_Coverage, 23145,
     /*  362649 */     GIR_EraseRootFromParent_Done,
     /*  362650 */   // Label 6568: @362650
     /*  362650 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362713), // Rule ID 23174 //
     /*  362655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362694 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362701 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362711 */     GIR_RootConstrainSelectedInstOperands,
     /*  362712 */     // GIR_Coverage, 23174,
     /*  362712 */     GIR_EraseRootFromParent_Done,
     /*  362713 */   // Label 6569: @362713
     /*  362713 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362776), // Rule ID 23175 //
     /*  362718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362757 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362764 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362774 */     GIR_RootConstrainSelectedInstOperands,
     /*  362775 */     // GIR_Coverage, 23175,
     /*  362775 */     GIR_EraseRootFromParent_Done,
     /*  362776 */   // Label 6570: @362776
     /*  362776 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362839), // Rule ID 23178 //
     /*  362781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362820 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362827 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362837 */     GIR_RootConstrainSelectedInstOperands,
     /*  362838 */     // GIR_Coverage, 23178,
     /*  362838 */     GIR_EraseRootFromParent_Done,
     /*  362839 */   // Label 6571: @362839
     /*  362839 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(362902), // Rule ID 23179 //
     /*  362844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362883 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362890 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362900 */     GIR_RootConstrainSelectedInstOperands,
     /*  362901 */     // GIR_Coverage, 23179,
     /*  362901 */     GIR_EraseRootFromParent_Done,
     /*  362902 */   // Label 6572: @362902
     /*  362902 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(362965), // Rule ID 23182 //
     /*  362907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362946 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362953 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362963 */     GIR_RootConstrainSelectedInstOperands,
     /*  362964 */     // GIR_Coverage, 23182,
     /*  362964 */     GIR_EraseRootFromParent_Done,
     /*  362965 */   // Label 6573: @362965
     /*  362965 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363028), // Rule ID 23183 //
     /*  362970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363009 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  363012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363016 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363026 */     GIR_RootConstrainSelectedInstOperands,
     /*  363027 */     // GIR_Coverage, 23183,
     /*  363027 */     GIR_EraseRootFromParent_Done,
     /*  363028 */   // Label 6574: @363028
     /*  363028 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363091), // Rule ID 23186 //
     /*  363033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363072 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363079 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363089 */     GIR_RootConstrainSelectedInstOperands,
     /*  363090 */     // GIR_Coverage, 23186,
     /*  363090 */     GIR_EraseRootFromParent_Done,
     /*  363091 */   // Label 6575: @363091
     /*  363091 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363154), // Rule ID 23187 //
     /*  363096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363135 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363142 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363152 */     GIR_RootConstrainSelectedInstOperands,
     /*  363153 */     // GIR_Coverage, 23187,
     /*  363153 */     GIR_EraseRootFromParent_Done,
     /*  363154 */   // Label 6576: @363154
     /*  363154 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363217), // Rule ID 23190 //
     /*  363159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363198 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363205 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363215 */     GIR_RootConstrainSelectedInstOperands,
     /*  363216 */     // GIR_Coverage, 23190,
     /*  363216 */     GIR_EraseRootFromParent_Done,
     /*  363217 */   // Label 6577: @363217
     /*  363217 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363280), // Rule ID 23191 //
     /*  363222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363261 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363268 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363278 */     GIR_RootConstrainSelectedInstOperands,
     /*  363279 */     // GIR_Coverage, 23191,
     /*  363279 */     GIR_EraseRootFromParent_Done,
     /*  363280 */   // Label 6578: @363280
     /*  363280 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363343), // Rule ID 23194 //
     /*  363285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363324 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  363327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363331 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363341 */     GIR_RootConstrainSelectedInstOperands,
     /*  363342 */     // GIR_Coverage, 23194,
     /*  363342 */     GIR_EraseRootFromParent_Done,
     /*  363343 */   // Label 6579: @363343
     /*  363343 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363406), // Rule ID 23195 //
     /*  363348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363387 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  363390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363394 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363404 */     GIR_RootConstrainSelectedInstOperands,
     /*  363405 */     // GIR_Coverage, 23195,
     /*  363405 */     GIR_EraseRootFromParent_Done,
     /*  363406 */   // Label 6580: @363406
     /*  363406 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363469), // Rule ID 23198 //
     /*  363411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363450 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363457 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363467 */     GIR_RootConstrainSelectedInstOperands,
     /*  363468 */     // GIR_Coverage, 23198,
     /*  363468 */     GIR_EraseRootFromParent_Done,
     /*  363469 */   // Label 6581: @363469
     /*  363469 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363532), // Rule ID 23199 //
     /*  363474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363513 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363520 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363530 */     GIR_RootConstrainSelectedInstOperands,
     /*  363531 */     // GIR_Coverage, 23199,
     /*  363531 */     GIR_EraseRootFromParent_Done,
     /*  363532 */   // Label 6582: @363532
     /*  363532 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363595), // Rule ID 23202 //
     /*  363537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363576 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363583 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363593 */     GIR_RootConstrainSelectedInstOperands,
     /*  363594 */     // GIR_Coverage, 23202,
     /*  363594 */     GIR_EraseRootFromParent_Done,
     /*  363595 */   // Label 6583: @363595
     /*  363595 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363658), // Rule ID 23203 //
     /*  363600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363639 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363646 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363656 */     GIR_RootConstrainSelectedInstOperands,
     /*  363657 */     // GIR_Coverage, 23203,
     /*  363657 */     GIR_EraseRootFromParent_Done,
     /*  363658 */   // Label 6584: @363658
     /*  363658 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363721), // Rule ID 23206 //
     /*  363663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363702 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363709 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363719 */     GIR_RootConstrainSelectedInstOperands,
     /*  363720 */     // GIR_Coverage, 23206,
     /*  363720 */     GIR_EraseRootFromParent_Done,
     /*  363721 */   // Label 6585: @363721
     /*  363721 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363784), // Rule ID 23207 //
     /*  363726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363765 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363772 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363782 */     GIR_RootConstrainSelectedInstOperands,
     /*  363783 */     // GIR_Coverage, 23207,
     /*  363783 */     GIR_EraseRootFromParent_Done,
     /*  363784 */   // Label 6586: @363784
     /*  363784 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(363847), // Rule ID 23210 //
     /*  363789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363828 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363835 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363845 */     GIR_RootConstrainSelectedInstOperands,
     /*  363846 */     // GIR_Coverage, 23210,
     /*  363846 */     GIR_EraseRootFromParent_Done,
     /*  363847 */   // Label 6587: @363847
     /*  363847 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(363910), // Rule ID 23211 //
     /*  363852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363891 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363898 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363908 */     GIR_RootConstrainSelectedInstOperands,
     /*  363909 */     // GIR_Coverage, 23211,
     /*  363909 */     GIR_EraseRootFromParent_Done,
     /*  363910 */   // Label 6588: @363910
     /*  363910 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(363973), // Rule ID 23214 //
     /*  363915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363954 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363961 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363971 */     GIR_RootConstrainSelectedInstOperands,
     /*  363972 */     // GIR_Coverage, 23214,
     /*  363972 */     GIR_EraseRootFromParent_Done,
     /*  363973 */   // Label 6589: @363973
     /*  363973 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364036), // Rule ID 23215 //
     /*  363978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364017 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  364020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364024 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364034 */     GIR_RootConstrainSelectedInstOperands,
     /*  364035 */     // GIR_Coverage, 23215,
     /*  364035 */     GIR_EraseRootFromParent_Done,
     /*  364036 */   // Label 6590: @364036
     /*  364036 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364099), // Rule ID 23218 //
     /*  364041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364080 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364087 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364097 */     GIR_RootConstrainSelectedInstOperands,
     /*  364098 */     // GIR_Coverage, 23218,
     /*  364098 */     GIR_EraseRootFromParent_Done,
     /*  364099 */   // Label 6591: @364099
     /*  364099 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364162), // Rule ID 23219 //
     /*  364104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364143 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364150 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364160 */     GIR_RootConstrainSelectedInstOperands,
     /*  364161 */     // GIR_Coverage, 23219,
     /*  364161 */     GIR_EraseRootFromParent_Done,
     /*  364162 */   // Label 6592: @364162
     /*  364162 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364225), // Rule ID 23222 //
     /*  364167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364206 */     // (intrinsic_wo_chain:{ *:[i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364213 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364223 */     GIR_RootConstrainSelectedInstOperands,
     /*  364224 */     // GIR_Coverage, 23222,
     /*  364224 */     GIR_EraseRootFromParent_Done,
     /*  364225 */   // Label 6593: @364225
     /*  364225 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364288), // Rule ID 23223 //
     /*  364230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364269 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364276 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364286 */     GIR_RootConstrainSelectedInstOperands,
     /*  364287 */     // GIR_Coverage, 23223,
     /*  364287 */     GIR_EraseRootFromParent_Done,
     /*  364288 */   // Label 6594: @364288
     /*  364288 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364354), // Rule ID 23304 //
     /*  364293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  364304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  364307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364352 */     GIR_RootConstrainSelectedInstOperands,
     /*  364353 */     // GIR_Coverage, 23304,
     /*  364353 */     GIR_EraseRootFromParent_Done,
     /*  364354 */   // Label 6595: @364354
     /*  364354 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364420), // Rule ID 23305 //
     /*  364359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  364370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  364373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364418 */     GIR_RootConstrainSelectedInstOperands,
     /*  364419 */     // GIR_Coverage, 23305,
     /*  364419 */     GIR_EraseRootFromParent_Done,
     /*  364420 */   // Label 6596: @364420
     /*  364420 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364486), // Rule ID 23308 //
     /*  364425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364484 */     GIR_RootConstrainSelectedInstOperands,
     /*  364485 */     // GIR_Coverage, 23308,
     /*  364485 */     GIR_EraseRootFromParent_Done,
     /*  364486 */   // Label 6597: @364486
     /*  364486 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364552), // Rule ID 23309 //
     /*  364491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364550 */     GIR_RootConstrainSelectedInstOperands,
     /*  364551 */     // GIR_Coverage, 23309,
     /*  364551 */     GIR_EraseRootFromParent_Done,
     /*  364552 */   // Label 6598: @364552
     /*  364552 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364618), // Rule ID 23312 //
     /*  364557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364616 */     GIR_RootConstrainSelectedInstOperands,
     /*  364617 */     // GIR_Coverage, 23312,
     /*  364617 */     GIR_EraseRootFromParent_Done,
     /*  364618 */   // Label 6599: @364618
     /*  364618 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364684), // Rule ID 23313 //
     /*  364623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364682 */     GIR_RootConstrainSelectedInstOperands,
     /*  364683 */     // GIR_Coverage, 23313,
     /*  364683 */     GIR_EraseRootFromParent_Done,
     /*  364684 */   // Label 6600: @364684
     /*  364684 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364750), // Rule ID 23316 //
     /*  364689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364748 */     GIR_RootConstrainSelectedInstOperands,
     /*  364749 */     // GIR_Coverage, 23316,
     /*  364749 */     GIR_EraseRootFromParent_Done,
     /*  364750 */   // Label 6601: @364750
     /*  364750 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(364816), // Rule ID 23317 //
     /*  364755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364814 */     GIR_RootConstrainSelectedInstOperands,
     /*  364815 */     // GIR_Coverage, 23317,
     /*  364815 */     GIR_EraseRootFromParent_Done,
     /*  364816 */   // Label 6602: @364816
     /*  364816 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(364882), // Rule ID 23320 //
     /*  364821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364880 */     GIR_RootConstrainSelectedInstOperands,
     /*  364881 */     // GIR_Coverage, 23320,
     /*  364881 */     GIR_EraseRootFromParent_Done,
     /*  364882 */   // Label 6603: @364882
     /*  364882 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(364948), // Rule ID 23321 //
     /*  364887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364946 */     GIR_RootConstrainSelectedInstOperands,
     /*  364947 */     // GIR_Coverage, 23321,
     /*  364947 */     GIR_EraseRootFromParent_Done,
     /*  364948 */   // Label 6604: @364948
     /*  364948 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365014), // Rule ID 23324 //
     /*  364953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365012 */     GIR_RootConstrainSelectedInstOperands,
     /*  365013 */     // GIR_Coverage, 23324,
     /*  365013 */     GIR_EraseRootFromParent_Done,
     /*  365014 */   // Label 6605: @365014
     /*  365014 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365080), // Rule ID 23325 //
     /*  365019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  365030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  365033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365078 */     GIR_RootConstrainSelectedInstOperands,
     /*  365079 */     // GIR_Coverage, 23325,
     /*  365079 */     GIR_EraseRootFromParent_Done,
     /*  365080 */   // Label 6606: @365080
     /*  365080 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365146), // Rule ID 23328 //
     /*  365085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365144 */     GIR_RootConstrainSelectedInstOperands,
     /*  365145 */     // GIR_Coverage, 23328,
     /*  365145 */     GIR_EraseRootFromParent_Done,
     /*  365146 */   // Label 6607: @365146
     /*  365146 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365212), // Rule ID 23329 //
     /*  365151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365210 */     GIR_RootConstrainSelectedInstOperands,
     /*  365211 */     // GIR_Coverage, 23329,
     /*  365211 */     GIR_EraseRootFromParent_Done,
     /*  365212 */   // Label 6608: @365212
     /*  365212 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365278), // Rule ID 23332 //
     /*  365217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365276 */     GIR_RootConstrainSelectedInstOperands,
     /*  365277 */     // GIR_Coverage, 23332,
     /*  365277 */     GIR_EraseRootFromParent_Done,
     /*  365278 */   // Label 6609: @365278
     /*  365278 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365344), // Rule ID 23333 //
     /*  365283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365342 */     GIR_RootConstrainSelectedInstOperands,
     /*  365343 */     // GIR_Coverage, 23333,
     /*  365343 */     GIR_EraseRootFromParent_Done,
     /*  365344 */   // Label 6610: @365344
     /*  365344 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365410), // Rule ID 23336 //
     /*  365349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365408 */     GIR_RootConstrainSelectedInstOperands,
     /*  365409 */     // GIR_Coverage, 23336,
     /*  365409 */     GIR_EraseRootFromParent_Done,
     /*  365410 */   // Label 6611: @365410
     /*  365410 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365476), // Rule ID 23337 //
     /*  365415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365474 */     GIR_RootConstrainSelectedInstOperands,
     /*  365475 */     // GIR_Coverage, 23337,
     /*  365475 */     GIR_EraseRootFromParent_Done,
     /*  365476 */   // Label 6612: @365476
     /*  365476 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365542), // Rule ID 23340 //
     /*  365481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365540 */     GIR_RootConstrainSelectedInstOperands,
     /*  365541 */     // GIR_Coverage, 23340,
     /*  365541 */     GIR_EraseRootFromParent_Done,
     /*  365542 */   // Label 6613: @365542
     /*  365542 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365608), // Rule ID 23341 //
     /*  365547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365606 */     GIR_RootConstrainSelectedInstOperands,
     /*  365607 */     // GIR_Coverage, 23341,
     /*  365607 */     GIR_EraseRootFromParent_Done,
     /*  365608 */   // Label 6614: @365608
     /*  365608 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365674), // Rule ID 23344 //
     /*  365613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365672 */     GIR_RootConstrainSelectedInstOperands,
     /*  365673 */     // GIR_Coverage, 23344,
     /*  365673 */     GIR_EraseRootFromParent_Done,
     /*  365674 */   // Label 6615: @365674
     /*  365674 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365740), // Rule ID 23345 //
     /*  365679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365738 */     GIR_RootConstrainSelectedInstOperands,
     /*  365739 */     // GIR_Coverage, 23345,
     /*  365739 */     GIR_EraseRootFromParent_Done,
     /*  365740 */   // Label 6616: @365740
     /*  365740 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(365806), // Rule ID 23348 //
     /*  365745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365804 */     GIR_RootConstrainSelectedInstOperands,
     /*  365805 */     // GIR_Coverage, 23348,
     /*  365805 */     GIR_EraseRootFromParent_Done,
     /*  365806 */   // Label 6617: @365806
     /*  365806 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(365872), // Rule ID 23349 //
     /*  365811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365850 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365870 */     GIR_RootConstrainSelectedInstOperands,
     /*  365871 */     // GIR_Coverage, 23349,
     /*  365871 */     GIR_EraseRootFromParent_Done,
     /*  365872 */   // Label 6618: @365872
     /*  365872 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(365938), // Rule ID 23352 //
     /*  365877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365916 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365936 */     GIR_RootConstrainSelectedInstOperands,
     /*  365937 */     // GIR_Coverage, 23352,
     /*  365937 */     GIR_EraseRootFromParent_Done,
     /*  365938 */   // Label 6619: @365938
     /*  365938 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366004), // Rule ID 23353 //
     /*  365943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366002 */     GIR_RootConstrainSelectedInstOperands,
     /*  366003 */     // GIR_Coverage, 23353,
     /*  366003 */     GIR_EraseRootFromParent_Done,
     /*  366004 */   // Label 6620: @366004
     /*  366004 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366070), // Rule ID 23356 //
     /*  366009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366068 */     GIR_RootConstrainSelectedInstOperands,
     /*  366069 */     // GIR_Coverage, 23356,
     /*  366069 */     GIR_EraseRootFromParent_Done,
     /*  366070 */   // Label 6621: @366070
     /*  366070 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366136), // Rule ID 23357 //
     /*  366075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366134 */     GIR_RootConstrainSelectedInstOperands,
     /*  366135 */     // GIR_Coverage, 23357,
     /*  366135 */     GIR_EraseRootFromParent_Done,
     /*  366136 */   // Label 6622: @366136
     /*  366136 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366202), // Rule ID 23360 //
     /*  366141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366200 */     GIR_RootConstrainSelectedInstOperands,
     /*  366201 */     // GIR_Coverage, 23360,
     /*  366201 */     GIR_EraseRootFromParent_Done,
     /*  366202 */   // Label 6623: @366202
     /*  366202 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366268), // Rule ID 23361 //
     /*  366207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366266 */     GIR_RootConstrainSelectedInstOperands,
     /*  366267 */     // GIR_Coverage, 23361,
     /*  366267 */     GIR_EraseRootFromParent_Done,
     /*  366268 */   // Label 6624: @366268
     /*  366268 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366334), // Rule ID 23364 //
     /*  366273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366332 */     GIR_RootConstrainSelectedInstOperands,
     /*  366333 */     // GIR_Coverage, 23364,
     /*  366333 */     GIR_EraseRootFromParent_Done,
     /*  366334 */   // Label 6625: @366334
     /*  366334 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366400), // Rule ID 23365 //
     /*  366339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366398 */     GIR_RootConstrainSelectedInstOperands,
     /*  366399 */     // GIR_Coverage, 23365,
     /*  366399 */     GIR_EraseRootFromParent_Done,
     /*  366400 */   // Label 6626: @366400
     /*  366400 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366466), // Rule ID 23368 //
     /*  366405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366464 */     GIR_RootConstrainSelectedInstOperands,
     /*  366465 */     // GIR_Coverage, 23368,
     /*  366465 */     GIR_EraseRootFromParent_Done,
     /*  366466 */   // Label 6627: @366466
     /*  366466 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366532), // Rule ID 23369 //
     /*  366471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366530 */     GIR_RootConstrainSelectedInstOperands,
     /*  366531 */     // GIR_Coverage, 23369,
     /*  366531 */     GIR_EraseRootFromParent_Done,
     /*  366532 */   // Label 6628: @366532
     /*  366532 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366598), // Rule ID 23372 //
     /*  366537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366596 */     GIR_RootConstrainSelectedInstOperands,
     /*  366597 */     // GIR_Coverage, 23372,
     /*  366597 */     GIR_EraseRootFromParent_Done,
     /*  366598 */   // Label 6629: @366598
     /*  366598 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366664), // Rule ID 23373 //
     /*  366603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366662 */     GIR_RootConstrainSelectedInstOperands,
     /*  366663 */     // GIR_Coverage, 23373,
     /*  366663 */     GIR_EraseRootFromParent_Done,
     /*  366664 */   // Label 6630: @366664
     /*  366664 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366730), // Rule ID 23376 //
     /*  366669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366728 */     GIR_RootConstrainSelectedInstOperands,
     /*  366729 */     // GIR_Coverage, 23376,
     /*  366729 */     GIR_EraseRootFromParent_Done,
     /*  366730 */   // Label 6631: @366730
     /*  366730 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(366796), // Rule ID 23377 //
     /*  366735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366794 */     GIR_RootConstrainSelectedInstOperands,
     /*  366795 */     // GIR_Coverage, 23377,
     /*  366795 */     GIR_EraseRootFromParent_Done,
     /*  366796 */   // Label 6632: @366796
     /*  366796 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(366862), // Rule ID 23380 //
     /*  366801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366860 */     GIR_RootConstrainSelectedInstOperands,
     /*  366861 */     // GIR_Coverage, 23380,
     /*  366861 */     GIR_EraseRootFromParent_Done,
     /*  366862 */   // Label 6633: @366862
     /*  366862 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(366928), // Rule ID 23381 //
     /*  366867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366926 */     GIR_RootConstrainSelectedInstOperands,
     /*  366927 */     // GIR_Coverage, 23381,
     /*  366927 */     GIR_EraseRootFromParent_Done,
     /*  366928 */   // Label 6634: @366928
     /*  366928 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(366994), // Rule ID 23384 //
     /*  366933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366992 */     GIR_RootConstrainSelectedInstOperands,
     /*  366993 */     // GIR_Coverage, 23384,
     /*  366993 */     GIR_EraseRootFromParent_Done,
     /*  366994 */   // Label 6635: @366994
     /*  366994 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367060), // Rule ID 23385 //
     /*  366999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367058 */     GIR_RootConstrainSelectedInstOperands,
     /*  367059 */     // GIR_Coverage, 23385,
     /*  367059 */     GIR_EraseRootFromParent_Done,
     /*  367060 */   // Label 6636: @367060
     /*  367060 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367126), // Rule ID 60492 //
     /*  367065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367124 */     GIR_RootConstrainSelectedInstOperands,
     /*  367125 */     // GIR_Coverage, 60492,
     /*  367125 */     GIR_EraseRootFromParent_Done,
     /*  367126 */   // Label 6637: @367126
     /*  367126 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367192), // Rule ID 60493 //
     /*  367131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367190 */     GIR_RootConstrainSelectedInstOperands,
     /*  367191 */     // GIR_Coverage, 60493,
     /*  367191 */     GIR_EraseRootFromParent_Done,
     /*  367192 */   // Label 6638: @367192
     /*  367192 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367258), // Rule ID 60496 //
     /*  367197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367256 */     GIR_RootConstrainSelectedInstOperands,
     /*  367257 */     // GIR_Coverage, 60496,
     /*  367257 */     GIR_EraseRootFromParent_Done,
     /*  367258 */   // Label 6639: @367258
     /*  367258 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367324), // Rule ID 60497 //
     /*  367263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367322 */     GIR_RootConstrainSelectedInstOperands,
     /*  367323 */     // GIR_Coverage, 60497,
     /*  367323 */     GIR_EraseRootFromParent_Done,
     /*  367324 */   // Label 6640: @367324
     /*  367324 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367390), // Rule ID 60500 //
     /*  367329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  367346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367368 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367388 */     GIR_RootConstrainSelectedInstOperands,
     /*  367389 */     // GIR_Coverage, 60500,
     /*  367389 */     GIR_EraseRootFromParent_Done,
     /*  367390 */   // Label 6641: @367390
     /*  367390 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367456), // Rule ID 60501 //
     /*  367395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  367412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367454 */     GIR_RootConstrainSelectedInstOperands,
     /*  367455 */     // GIR_Coverage, 60501,
     /*  367455 */     GIR_EraseRootFromParent_Done,
     /*  367456 */   // Label 6642: @367456
     /*  367456 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367522), // Rule ID 60504 //
     /*  367461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367520 */     GIR_RootConstrainSelectedInstOperands,
     /*  367521 */     // GIR_Coverage, 60504,
     /*  367521 */     GIR_EraseRootFromParent_Done,
     /*  367522 */   // Label 6643: @367522
     /*  367522 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367588), // Rule ID 60505 //
     /*  367527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367586 */     GIR_RootConstrainSelectedInstOperands,
     /*  367587 */     // GIR_Coverage, 60505,
     /*  367587 */     GIR_EraseRootFromParent_Done,
     /*  367588 */   // Label 6644: @367588
     /*  367588 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367654), // Rule ID 60508 //
     /*  367593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367652 */     GIR_RootConstrainSelectedInstOperands,
     /*  367653 */     // GIR_Coverage, 60508,
     /*  367653 */     GIR_EraseRootFromParent_Done,
     /*  367654 */   // Label 6645: @367654
     /*  367654 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367720), // Rule ID 60509 //
     /*  367659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367718 */     GIR_RootConstrainSelectedInstOperands,
     /*  367719 */     // GIR_Coverage, 60509,
     /*  367719 */     GIR_EraseRootFromParent_Done,
     /*  367720 */   // Label 6646: @367720
     /*  367720 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(367786), // Rule ID 60512 //
     /*  367725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367784 */     GIR_RootConstrainSelectedInstOperands,
     /*  367785 */     // GIR_Coverage, 60512,
     /*  367785 */     GIR_EraseRootFromParent_Done,
     /*  367786 */   // Label 6647: @367786
     /*  367786 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(367852), // Rule ID 60513 //
     /*  367791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367850 */     GIR_RootConstrainSelectedInstOperands,
     /*  367851 */     // GIR_Coverage, 60513,
     /*  367851 */     GIR_EraseRootFromParent_Done,
     /*  367852 */   // Label 6648: @367852
     /*  367852 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(367918), // Rule ID 60516 //
     /*  367857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367916 */     GIR_RootConstrainSelectedInstOperands,
     /*  367917 */     // GIR_Coverage, 60516,
     /*  367917 */     GIR_EraseRootFromParent_Done,
     /*  367918 */   // Label 6649: @367918
     /*  367918 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(367984), // Rule ID 60517 //
     /*  367923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367962 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367982 */     GIR_RootConstrainSelectedInstOperands,
     /*  367983 */     // GIR_Coverage, 60517,
     /*  367983 */     GIR_EraseRootFromParent_Done,
     /*  367984 */   // Label 6650: @367984
     /*  367984 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(368050), // Rule ID 60520 //
     /*  367989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368048 */     GIR_RootConstrainSelectedInstOperands,
     /*  368049 */     // GIR_Coverage, 60520,
     /*  368049 */     GIR_EraseRootFromParent_Done,
     /*  368050 */   // Label 6651: @368050
     /*  368050 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368116), // Rule ID 60521 //
     /*  368055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368114 */     GIR_RootConstrainSelectedInstOperands,
     /*  368115 */     // GIR_Coverage, 60521,
     /*  368115 */     GIR_EraseRootFromParent_Done,
     /*  368116 */   // Label 6652: @368116
     /*  368116 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368182), // Rule ID 60524 //
     /*  368121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368180 */     GIR_RootConstrainSelectedInstOperands,
     /*  368181 */     // GIR_Coverage, 60524,
     /*  368181 */     GIR_EraseRootFromParent_Done,
     /*  368182 */   // Label 6653: @368182
     /*  368182 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368248), // Rule ID 60525 //
     /*  368187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368246 */     GIR_RootConstrainSelectedInstOperands,
     /*  368247 */     // GIR_Coverage, 60525,
     /*  368247 */     GIR_EraseRootFromParent_Done,
     /*  368248 */   // Label 6654: @368248
     /*  368248 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368314), // Rule ID 60528 //
     /*  368253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  368264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  368267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  368292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368312 */     GIR_RootConstrainSelectedInstOperands,
     /*  368313 */     // GIR_Coverage, 60528,
     /*  368313 */     GIR_EraseRootFromParent_Done,
     /*  368314 */   // Label 6655: @368314
     /*  368314 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368380), // Rule ID 60529 //
     /*  368319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  368330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  368333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  368358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368378 */     GIR_RootConstrainSelectedInstOperands,
     /*  368379 */     // GIR_Coverage, 60529,
     /*  368379 */     GIR_EraseRootFromParent_Done,
     /*  368380 */   // Label 6656: @368380
     /*  368380 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368446), // Rule ID 60532 //
     /*  368385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368444 */     GIR_RootConstrainSelectedInstOperands,
     /*  368445 */     // GIR_Coverage, 60532,
     /*  368445 */     GIR_EraseRootFromParent_Done,
     /*  368446 */   // Label 6657: @368446
     /*  368446 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368512), // Rule ID 60533 //
     /*  368451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368510 */     GIR_RootConstrainSelectedInstOperands,
     /*  368511 */     // GIR_Coverage, 60533,
     /*  368511 */     GIR_EraseRootFromParent_Done,
     /*  368512 */   // Label 6658: @368512
     /*  368512 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368578), // Rule ID 60536 //
     /*  368517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368576 */     GIR_RootConstrainSelectedInstOperands,
     /*  368577 */     // GIR_Coverage, 60536,
     /*  368577 */     GIR_EraseRootFromParent_Done,
     /*  368578 */   // Label 6659: @368578
     /*  368578 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368644), // Rule ID 60537 //
     /*  368583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368642 */     GIR_RootConstrainSelectedInstOperands,
     /*  368643 */     // GIR_Coverage, 60537,
     /*  368643 */     GIR_EraseRootFromParent_Done,
     /*  368644 */   // Label 6660: @368644
     /*  368644 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368710), // Rule ID 60540 //
     /*  368649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368708 */     GIR_RootConstrainSelectedInstOperands,
     /*  368709 */     // GIR_Coverage, 60540,
     /*  368709 */     GIR_EraseRootFromParent_Done,
     /*  368710 */   // Label 6661: @368710
     /*  368710 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368776), // Rule ID 60541 //
     /*  368715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368754 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368774 */     GIR_RootConstrainSelectedInstOperands,
     /*  368775 */     // GIR_Coverage, 60541,
     /*  368775 */     GIR_EraseRootFromParent_Done,
     /*  368776 */   // Label 6662: @368776
     /*  368776 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(368842), // Rule ID 60544 //
     /*  368781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368840 */     GIR_RootConstrainSelectedInstOperands,
     /*  368841 */     // GIR_Coverage, 60544,
     /*  368841 */     GIR_EraseRootFromParent_Done,
     /*  368842 */   // Label 6663: @368842
     /*  368842 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(368908), // Rule ID 60545 //
     /*  368847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368906 */     GIR_RootConstrainSelectedInstOperands,
     /*  368907 */     // GIR_Coverage, 60545,
     /*  368907 */     GIR_EraseRootFromParent_Done,
     /*  368908 */   // Label 6664: @368908
     /*  368908 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(368974), // Rule ID 60548 //
     /*  368913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368972 */     GIR_RootConstrainSelectedInstOperands,
     /*  368973 */     // GIR_Coverage, 60548,
     /*  368973 */     GIR_EraseRootFromParent_Done,
     /*  368974 */   // Label 6665: @368974
     /*  368974 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(369040), // Rule ID 60549 //
     /*  368979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369038 */     GIR_RootConstrainSelectedInstOperands,
     /*  369039 */     // GIR_Coverage, 60549,
     /*  369039 */     GIR_EraseRootFromParent_Done,
     /*  369040 */   // Label 6666: @369040
     /*  369040 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369106), // Rule ID 60552 //
     /*  369045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369104 */     GIR_RootConstrainSelectedInstOperands,
     /*  369105 */     // GIR_Coverage, 60552,
     /*  369105 */     GIR_EraseRootFromParent_Done,
     /*  369106 */   // Label 6667: @369106
     /*  369106 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369172), // Rule ID 60553 //
     /*  369111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369170 */     GIR_RootConstrainSelectedInstOperands,
     /*  369171 */     // GIR_Coverage, 60553,
     /*  369171 */     GIR_EraseRootFromParent_Done,
     /*  369172 */   // Label 6668: @369172
     /*  369172 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369238), // Rule ID 60556 //
     /*  369177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369236 */     GIR_RootConstrainSelectedInstOperands,
     /*  369237 */     // GIR_Coverage, 60556,
     /*  369237 */     GIR_EraseRootFromParent_Done,
     /*  369238 */   // Label 6669: @369238
     /*  369238 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369304), // Rule ID 60557 //
     /*  369243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369302 */     GIR_RootConstrainSelectedInstOperands,
     /*  369303 */     // GIR_Coverage, 60557,
     /*  369303 */     GIR_EraseRootFromParent_Done,
     /*  369304 */   // Label 6670: @369304
     /*  369304 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369370), // Rule ID 60560 //
     /*  369309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  369326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369368 */     GIR_RootConstrainSelectedInstOperands,
     /*  369369 */     // GIR_Coverage, 60560,
     /*  369369 */     GIR_EraseRootFromParent_Done,
     /*  369370 */   // Label 6671: @369370
     /*  369370 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369436), // Rule ID 60561 //
     /*  369375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  369392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369434 */     GIR_RootConstrainSelectedInstOperands,
     /*  369435 */     // GIR_Coverage, 60561,
     /*  369435 */     GIR_EraseRootFromParent_Done,
     /*  369436 */   // Label 6672: @369436
     /*  369436 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369502), // Rule ID 60564 //
     /*  369441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369500 */     GIR_RootConstrainSelectedInstOperands,
     /*  369501 */     // GIR_Coverage, 60564,
     /*  369501 */     GIR_EraseRootFromParent_Done,
     /*  369502 */   // Label 6673: @369502
     /*  369502 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369568), // Rule ID 60565 //
     /*  369507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369566 */     GIR_RootConstrainSelectedInstOperands,
     /*  369567 */     // GIR_Coverage, 60565,
     /*  369567 */     GIR_EraseRootFromParent_Done,
     /*  369568 */   // Label 6674: @369568
     /*  369568 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369634), // Rule ID 60568 //
     /*  369573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369632 */     GIR_RootConstrainSelectedInstOperands,
     /*  369633 */     // GIR_Coverage, 60568,
     /*  369633 */     GIR_EraseRootFromParent_Done,
     /*  369634 */   // Label 6675: @369634
     /*  369634 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369700), // Rule ID 60569 //
     /*  369639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369698 */     GIR_RootConstrainSelectedInstOperands,
     /*  369699 */     // GIR_Coverage, 60569,
     /*  369699 */     GIR_EraseRootFromParent_Done,
     /*  369700 */   // Label 6676: @369700
     /*  369700 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369766), // Rule ID 60572 //
     /*  369705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369764 */     GIR_RootConstrainSelectedInstOperands,
     /*  369765 */     // GIR_Coverage, 60572,
     /*  369765 */     GIR_EraseRootFromParent_Done,
     /*  369766 */   // Label 6677: @369766
     /*  369766 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(369832), // Rule ID 60573 //
     /*  369771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369810 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369830 */     GIR_RootConstrainSelectedInstOperands,
     /*  369831 */     // GIR_Coverage, 60573,
     /*  369831 */     GIR_EraseRootFromParent_Done,
     /*  369832 */   // Label 6678: @369832
     /*  369832 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(369898), // Rule ID 60576 //
     /*  369837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369896 */     GIR_RootConstrainSelectedInstOperands,
     /*  369897 */     // GIR_Coverage, 60576,
     /*  369897 */     GIR_EraseRootFromParent_Done,
     /*  369898 */   // Label 6679: @369898
     /*  369898 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(369964), // Rule ID 60577 //
     /*  369903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369962 */     GIR_RootConstrainSelectedInstOperands,
     /*  369963 */     // GIR_Coverage, 60577,
     /*  369963 */     GIR_EraseRootFromParent_Done,
     /*  369964 */   // Label 6680: @369964
     /*  369964 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(370030), // Rule ID 60580 //
     /*  369969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370028 */     GIR_RootConstrainSelectedInstOperands,
     /*  370029 */     // GIR_Coverage, 60580,
     /*  370029 */     GIR_EraseRootFromParent_Done,
     /*  370030 */   // Label 6681: @370030
     /*  370030 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(370096), // Rule ID 60581 //
     /*  370035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  370046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  370049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  370052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370094 */     GIR_RootConstrainSelectedInstOperands,
     /*  370095 */     // GIR_Coverage, 60581,
     /*  370095 */     GIR_EraseRootFromParent_Done,
     /*  370096 */   // Label 6682: @370096
     /*  370096 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370162), // Rule ID 60584 //
     /*  370101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370140 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370160 */     GIR_RootConstrainSelectedInstOperands,
     /*  370161 */     // GIR_Coverage, 60584,
     /*  370161 */     GIR_EraseRootFromParent_Done,
     /*  370162 */   // Label 6683: @370162
     /*  370162 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370228), // Rule ID 60585 //
     /*  370167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370226 */     GIR_RootConstrainSelectedInstOperands,
     /*  370227 */     // GIR_Coverage, 60585,
     /*  370227 */     GIR_EraseRootFromParent_Done,
     /*  370228 */   // Label 6684: @370228
     /*  370228 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370294), // Rule ID 60588 //
     /*  370233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370292 */     GIR_RootConstrainSelectedInstOperands,
     /*  370293 */     // GIR_Coverage, 60588,
     /*  370293 */     GIR_EraseRootFromParent_Done,
     /*  370294 */   // Label 6685: @370294
     /*  370294 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370360), // Rule ID 60589 //
     /*  370299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370358 */     GIR_RootConstrainSelectedInstOperands,
     /*  370359 */     // GIR_Coverage, 60589,
     /*  370359 */     GIR_EraseRootFromParent_Done,
     /*  370360 */   // Label 6686: @370360
     /*  370360 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370426), // Rule ID 60592 //
     /*  370365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370424 */     GIR_RootConstrainSelectedInstOperands,
     /*  370425 */     // GIR_Coverage, 60592,
     /*  370425 */     GIR_EraseRootFromParent_Done,
     /*  370426 */   // Label 6687: @370426
     /*  370426 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370492), // Rule ID 60593 //
     /*  370431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370490 */     GIR_RootConstrainSelectedInstOperands,
     /*  370491 */     // GIR_Coverage, 60593,
     /*  370491 */     GIR_EraseRootFromParent_Done,
     /*  370492 */   // Label 6688: @370492
     /*  370492 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370558), // Rule ID 60596 //
     /*  370497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370556 */     GIR_RootConstrainSelectedInstOperands,
     /*  370557 */     // GIR_Coverage, 60596,
     /*  370557 */     GIR_EraseRootFromParent_Done,
     /*  370558 */   // Label 6689: @370558
     /*  370558 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370624), // Rule ID 60597 //
     /*  370563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370622 */     GIR_RootConstrainSelectedInstOperands,
     /*  370623 */     // GIR_Coverage, 60597,
     /*  370623 */     GIR_EraseRootFromParent_Done,
     /*  370624 */   // Label 6690: @370624
     /*  370624 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370690), // Rule ID 60600 //
     /*  370629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370688 */     GIR_RootConstrainSelectedInstOperands,
     /*  370689 */     // GIR_Coverage, 60600,
     /*  370689 */     GIR_EraseRootFromParent_Done,
     /*  370690 */   // Label 6691: @370690
     /*  370690 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370756), // Rule ID 60601 //
     /*  370695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370754 */     GIR_RootConstrainSelectedInstOperands,
     /*  370755 */     // GIR_Coverage, 60601,
     /*  370755 */     GIR_EraseRootFromParent_Done,
     /*  370756 */   // Label 6692: @370756
     /*  370756 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(370822), // Rule ID 60604 //
     /*  370761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370820 */     GIR_RootConstrainSelectedInstOperands,
     /*  370821 */     // GIR_Coverage, 60604,
     /*  370821 */     GIR_EraseRootFromParent_Done,
     /*  370822 */   // Label 6693: @370822
     /*  370822 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(370888), // Rule ID 60605 //
     /*  370827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370886 */     GIR_RootConstrainSelectedInstOperands,
     /*  370887 */     // GIR_Coverage, 60605,
     /*  370887 */     GIR_EraseRootFromParent_Done,
     /*  370888 */   // Label 6694: @370888
     /*  370888 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(370954), // Rule ID 60608 //
     /*  370893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370952 */     GIR_RootConstrainSelectedInstOperands,
     /*  370953 */     // GIR_Coverage, 60608,
     /*  370953 */     GIR_EraseRootFromParent_Done,
     /*  370954 */   // Label 6695: @370954
     /*  370954 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(371020), // Rule ID 60609 //
     /*  370959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371018 */     GIR_RootConstrainSelectedInstOperands,
     /*  371019 */     // GIR_Coverage, 60609,
     /*  371019 */     GIR_EraseRootFromParent_Done,
     /*  371020 */   // Label 6696: @371020
     /*  371020 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(371086), // Rule ID 60612 //
     /*  371025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371084 */     GIR_RootConstrainSelectedInstOperands,
     /*  371085 */     // GIR_Coverage, 60612,
     /*  371085 */     GIR_EraseRootFromParent_Done,
     /*  371086 */   // Label 6697: @371086
     /*  371086 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371152), // Rule ID 60613 //
     /*  371091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371150 */     GIR_RootConstrainSelectedInstOperands,
     /*  371151 */     // GIR_Coverage, 60613,
     /*  371151 */     GIR_EraseRootFromParent_Done,
     /*  371152 */   // Label 6698: @371152
     /*  371152 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371218), // Rule ID 60616 //
     /*  371157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371216 */     GIR_RootConstrainSelectedInstOperands,
     /*  371217 */     // GIR_Coverage, 60616,
     /*  371217 */     GIR_EraseRootFromParent_Done,
     /*  371218 */   // Label 6699: @371218
     /*  371218 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371284), // Rule ID 60617 //
     /*  371223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371282 */     GIR_RootConstrainSelectedInstOperands,
     /*  371283 */     // GIR_Coverage, 60617,
     /*  371283 */     GIR_EraseRootFromParent_Done,
     /*  371284 */   // Label 6700: @371284
     /*  371284 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371350), // Rule ID 60620 //
     /*  371289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  371300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  371303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  371306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371348 */     GIR_RootConstrainSelectedInstOperands,
     /*  371349 */     // GIR_Coverage, 60620,
     /*  371349 */     GIR_EraseRootFromParent_Done,
     /*  371350 */   // Label 6701: @371350
     /*  371350 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371416), // Rule ID 60621 //
     /*  371355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  371366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  371369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  371372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371414 */     GIR_RootConstrainSelectedInstOperands,
     /*  371415 */     // GIR_Coverage, 60621,
     /*  371415 */     GIR_EraseRootFromParent_Done,
     /*  371416 */   // Label 6702: @371416
     /*  371416 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371482), // Rule ID 60624 //
     /*  371421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371480 */     GIR_RootConstrainSelectedInstOperands,
     /*  371481 */     // GIR_Coverage, 60624,
     /*  371481 */     GIR_EraseRootFromParent_Done,
     /*  371482 */   // Label 6703: @371482
     /*  371482 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371548), // Rule ID 60625 //
     /*  371487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371546 */     GIR_RootConstrainSelectedInstOperands,
     /*  371547 */     // GIR_Coverage, 60625,
     /*  371547 */     GIR_EraseRootFromParent_Done,
     /*  371548 */   // Label 6704: @371548
     /*  371548 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371614), // Rule ID 60628 //
     /*  371553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371612 */     GIR_RootConstrainSelectedInstOperands,
     /*  371613 */     // GIR_Coverage, 60628,
     /*  371613 */     GIR_EraseRootFromParent_Done,
     /*  371614 */   // Label 6705: @371614
     /*  371614 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371680), // Rule ID 60629 //
     /*  371619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371678 */     GIR_RootConstrainSelectedInstOperands,
     /*  371679 */     // GIR_Coverage, 60629,
     /*  371679 */     GIR_EraseRootFromParent_Done,
     /*  371680 */   // Label 6706: @371680
     /*  371680 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371746), // Rule ID 60632 //
     /*  371685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371744 */     GIR_RootConstrainSelectedInstOperands,
     /*  371745 */     // GIR_Coverage, 60632,
     /*  371745 */     GIR_EraseRootFromParent_Done,
     /*  371746 */   // Label 6707: @371746
     /*  371746 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(371812), // Rule ID 60633 //
     /*  371751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371810 */     GIR_RootConstrainSelectedInstOperands,
     /*  371811 */     // GIR_Coverage, 60633,
     /*  371811 */     GIR_EraseRootFromParent_Done,
     /*  371812 */   // Label 6708: @371812
     /*  371812 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(371878), // Rule ID 60636 //
     /*  371817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371876 */     GIR_RootConstrainSelectedInstOperands,
     /*  371877 */     // GIR_Coverage, 60636,
     /*  371877 */     GIR_EraseRootFromParent_Done,
     /*  371878 */   // Label 6709: @371878
     /*  371878 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(371944), // Rule ID 60637 //
     /*  371883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371942 */     GIR_RootConstrainSelectedInstOperands,
     /*  371943 */     // GIR_Coverage, 60637,
     /*  371943 */     GIR_EraseRootFromParent_Done,
     /*  371944 */   // Label 6710: @371944
     /*  371944 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(372010), // Rule ID 60640 //
     /*  371949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372008 */     GIR_RootConstrainSelectedInstOperands,
     /*  372009 */     // GIR_Coverage, 60640,
     /*  372009 */     GIR_EraseRootFromParent_Done,
     /*  372010 */   // Label 6711: @372010
     /*  372010 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(372076), // Rule ID 60641 //
     /*  372015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  372026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  372029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  372032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372074 */     GIR_RootConstrainSelectedInstOperands,
     /*  372075 */     // GIR_Coverage, 60641,
     /*  372075 */     GIR_EraseRootFromParent_Done,
     /*  372076 */   // Label 6712: @372076
     /*  372076 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372142), // Rule ID 60644 //
     /*  372081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372140 */     GIR_RootConstrainSelectedInstOperands,
     /*  372141 */     // GIR_Coverage, 60644,
     /*  372141 */     GIR_EraseRootFromParent_Done,
     /*  372142 */   // Label 6713: @372142
     /*  372142 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372208), // Rule ID 60645 //
     /*  372147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372206 */     GIR_RootConstrainSelectedInstOperands,
     /*  372207 */     // GIR_Coverage, 60645,
     /*  372207 */     GIR_EraseRootFromParent_Done,
     /*  372208 */   // Label 6714: @372208
     /*  372208 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372274), // Rule ID 60648 //
     /*  372213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372272 */     GIR_RootConstrainSelectedInstOperands,
     /*  372273 */     // GIR_Coverage, 60648,
     /*  372273 */     GIR_EraseRootFromParent_Done,
     /*  372274 */   // Label 6715: @372274
     /*  372274 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372340), // Rule ID 60649 //
     /*  372279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372338 */     GIR_RootConstrainSelectedInstOperands,
     /*  372339 */     // GIR_Coverage, 60649,
     /*  372339 */     GIR_EraseRootFromParent_Done,
     /*  372340 */   // Label 6716: @372340
     /*  372340 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372406), // Rule ID 60652 //
     /*  372345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  372356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  372359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  372362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372404 */     GIR_RootConstrainSelectedInstOperands,
     /*  372405 */     // GIR_Coverage, 60652,
     /*  372405 */     GIR_EraseRootFromParent_Done,
     /*  372406 */   // Label 6717: @372406
     /*  372406 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372472), // Rule ID 60653 //
     /*  372411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  372422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  372425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  372428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372470 */     GIR_RootConstrainSelectedInstOperands,
     /*  372471 */     // GIR_Coverage, 60653,
     /*  372471 */     GIR_EraseRootFromParent_Done,
     /*  372472 */   // Label 6718: @372472
     /*  372472 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372538), // Rule ID 60656 //
     /*  372477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372536 */     GIR_RootConstrainSelectedInstOperands,
     /*  372537 */     // GIR_Coverage, 60656,
     /*  372537 */     GIR_EraseRootFromParent_Done,
     /*  372538 */   // Label 6719: @372538
     /*  372538 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372604), // Rule ID 60657 //
     /*  372543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372602 */     GIR_RootConstrainSelectedInstOperands,
     /*  372603 */     // GIR_Coverage, 60657,
     /*  372603 */     GIR_EraseRootFromParent_Done,
     /*  372604 */   // Label 6720: @372604
     /*  372604 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372670), // Rule ID 60660 //
     /*  372609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372668 */     GIR_RootConstrainSelectedInstOperands,
     /*  372669 */     // GIR_Coverage, 60660,
     /*  372669 */     GIR_EraseRootFromParent_Done,
     /*  372670 */   // Label 6721: @372670
     /*  372670 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372736), // Rule ID 60661 //
     /*  372675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372734 */     GIR_RootConstrainSelectedInstOperands,
     /*  372735 */     // GIR_Coverage, 60661,
     /*  372735 */     GIR_EraseRootFromParent_Done,
     /*  372736 */   // Label 6722: @372736
     /*  372736 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(372802), // Rule ID 60664 //
     /*  372741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372800 */     GIR_RootConstrainSelectedInstOperands,
     /*  372801 */     // GIR_Coverage, 60664,
     /*  372801 */     GIR_EraseRootFromParent_Done,
     /*  372802 */   // Label 6723: @372802
     /*  372802 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(372868), // Rule ID 60665 //
     /*  372807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372866 */     GIR_RootConstrainSelectedInstOperands,
     /*  372867 */     // GIR_Coverage, 60665,
     /*  372867 */     GIR_EraseRootFromParent_Done,
     /*  372868 */   // Label 6724: @372868
     /*  372868 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(372934), // Rule ID 60668 //
     /*  372873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372932 */     GIR_RootConstrainSelectedInstOperands,
     /*  372933 */     // GIR_Coverage, 60668,
     /*  372933 */     GIR_EraseRootFromParent_Done,
     /*  372934 */   // Label 6725: @372934
     /*  372934 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(373000), // Rule ID 60669 //
     /*  372939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372998 */     GIR_RootConstrainSelectedInstOperands,
     /*  372999 */     // GIR_Coverage, 60669,
     /*  372999 */     GIR_EraseRootFromParent_Done,
     /*  373000 */   // Label 6726: @373000
     /*  373000 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(373066), // Rule ID 60672 //
     /*  373005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373064 */     GIR_RootConstrainSelectedInstOperands,
     /*  373065 */     // GIR_Coverage, 60672,
     /*  373065 */     GIR_EraseRootFromParent_Done,
     /*  373066 */   // Label 6727: @373066
     /*  373066 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373132), // Rule ID 60673 //
     /*  373071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373130 */     GIR_RootConstrainSelectedInstOperands,
     /*  373131 */     // GIR_Coverage, 60673,
     /*  373131 */     GIR_EraseRootFromParent_Done,
     /*  373132 */   // Label 6728: @373132
     /*  373132 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373198), // Rule ID 60676 //
     /*  373137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373196 */     GIR_RootConstrainSelectedInstOperands,
     /*  373197 */     // GIR_Coverage, 60676,
     /*  373197 */     GIR_EraseRootFromParent_Done,
     /*  373198 */   // Label 6729: @373198
     /*  373198 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373264), // Rule ID 60677 //
     /*  373203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373262 */     GIR_RootConstrainSelectedInstOperands,
     /*  373263 */     // GIR_Coverage, 60677,
     /*  373263 */     GIR_EraseRootFromParent_Done,
     /*  373264 */   // Label 6730: @373264
     /*  373264 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373330), // Rule ID 60680 //
     /*  373269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373328 */     GIR_RootConstrainSelectedInstOperands,
     /*  373329 */     // GIR_Coverage, 60680,
     /*  373329 */     GIR_EraseRootFromParent_Done,
     /*  373330 */   // Label 6731: @373330
     /*  373330 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373396), // Rule ID 60681 //
     /*  373335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373394 */     GIR_RootConstrainSelectedInstOperands,
     /*  373395 */     // GIR_Coverage, 60681,
     /*  373395 */     GIR_EraseRootFromParent_Done,
     /*  373396 */   // Label 6732: @373396
     /*  373396 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373462), // Rule ID 60684 //
     /*  373401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373460 */     GIR_RootConstrainSelectedInstOperands,
     /*  373461 */     // GIR_Coverage, 60684,
     /*  373461 */     GIR_EraseRootFromParent_Done,
     /*  373462 */   // Label 6733: @373462
     /*  373462 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373528), // Rule ID 60685 //
     /*  373467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373526 */     GIR_RootConstrainSelectedInstOperands,
     /*  373527 */     // GIR_Coverage, 60685,
     /*  373527 */     GIR_EraseRootFromParent_Done,
     /*  373528 */   // Label 6734: @373528
     /*  373528 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373594), // Rule ID 60688 //
     /*  373533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373592 */     GIR_RootConstrainSelectedInstOperands,
     /*  373593 */     // GIR_Coverage, 60688,
     /*  373593 */     GIR_EraseRootFromParent_Done,
     /*  373594 */   // Label 6735: @373594
     /*  373594 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373660), // Rule ID 60689 //
     /*  373599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373658 */     GIR_RootConstrainSelectedInstOperands,
     /*  373659 */     // GIR_Coverage, 60689,
     /*  373659 */     GIR_EraseRootFromParent_Done,
     /*  373660 */   // Label 6736: @373660
     /*  373660 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373726), // Rule ID 60692 //
     /*  373665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373724 */     GIR_RootConstrainSelectedInstOperands,
     /*  373725 */     // GIR_Coverage, 60692,
     /*  373725 */     GIR_EraseRootFromParent_Done,
     /*  373726 */   // Label 6737: @373726
     /*  373726 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(373792), // Rule ID 60693 //
     /*  373731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373790 */     GIR_RootConstrainSelectedInstOperands,
     /*  373791 */     // GIR_Coverage, 60693,
     /*  373791 */     GIR_EraseRootFromParent_Done,
     /*  373792 */   // Label 6738: @373792
     /*  373792 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(373858), // Rule ID 60696 //
     /*  373797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373856 */     GIR_RootConstrainSelectedInstOperands,
     /*  373857 */     // GIR_Coverage, 60696,
     /*  373857 */     GIR_EraseRootFromParent_Done,
     /*  373858 */   // Label 6739: @373858
     /*  373858 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(373924), // Rule ID 60697 //
     /*  373863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373922 */     GIR_RootConstrainSelectedInstOperands,
     /*  373923 */     // GIR_Coverage, 60697,
     /*  373923 */     GIR_EraseRootFromParent_Done,
     /*  373924 */   // Label 6740: @373924
     /*  373924 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(373990), // Rule ID 60700 //
     /*  373929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373988 */     GIR_RootConstrainSelectedInstOperands,
     /*  373989 */     // GIR_Coverage, 60700,
     /*  373989 */     GIR_EraseRootFromParent_Done,
     /*  373990 */   // Label 6741: @373990
     /*  373990 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(374056), // Rule ID 60701 //
     /*  373995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  374006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  374009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  374012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374054 */     GIR_RootConstrainSelectedInstOperands,
     /*  374055 */     // GIR_Coverage, 60701,
     /*  374055 */     GIR_EraseRootFromParent_Done,
     /*  374056 */   // Label 6742: @374056
     /*  374056 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374122), // Rule ID 60704 //
     /*  374061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374120 */     GIR_RootConstrainSelectedInstOperands,
     /*  374121 */     // GIR_Coverage, 60704,
     /*  374121 */     GIR_EraseRootFromParent_Done,
     /*  374122 */   // Label 6743: @374122
     /*  374122 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374188), // Rule ID 60705 //
     /*  374127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374186 */     GIR_RootConstrainSelectedInstOperands,
     /*  374187 */     // GIR_Coverage, 60705,
     /*  374187 */     GIR_EraseRootFromParent_Done,
     /*  374188 */   // Label 6744: @374188
     /*  374188 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374254), // Rule ID 60708 //
     /*  374193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374252 */     GIR_RootConstrainSelectedInstOperands,
     /*  374253 */     // GIR_Coverage, 60708,
     /*  374253 */     GIR_EraseRootFromParent_Done,
     /*  374254 */   // Label 6745: @374254
     /*  374254 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374320), // Rule ID 60709 //
     /*  374259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374318 */     GIR_RootConstrainSelectedInstOperands,
     /*  374319 */     // GIR_Coverage, 60709,
     /*  374319 */     GIR_EraseRootFromParent_Done,
     /*  374320 */   // Label 6746: @374320
     /*  374320 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374386), // Rule ID 60712 //
     /*  374325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374384 */     GIR_RootConstrainSelectedInstOperands,
     /*  374385 */     // GIR_Coverage, 60712,
     /*  374385 */     GIR_EraseRootFromParent_Done,
     /*  374386 */   // Label 6747: @374386
     /*  374386 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374452), // Rule ID 60713 //
     /*  374391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374430 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374450 */     GIR_RootConstrainSelectedInstOperands,
     /*  374451 */     // GIR_Coverage, 60713,
     /*  374451 */     GIR_EraseRootFromParent_Done,
     /*  374452 */   // Label 6748: @374452
     /*  374452 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374518), // Rule ID 60716 //
     /*  374457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374516 */     GIR_RootConstrainSelectedInstOperands,
     /*  374517 */     // GIR_Coverage, 60716,
     /*  374517 */     GIR_EraseRootFromParent_Done,
     /*  374518 */   // Label 6749: @374518
     /*  374518 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374584), // Rule ID 60717 //
     /*  374523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374582 */     GIR_RootConstrainSelectedInstOperands,
     /*  374583 */     // GIR_Coverage, 60717,
     /*  374583 */     GIR_EraseRootFromParent_Done,
     /*  374584 */   // Label 6750: @374584
     /*  374584 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374650), // Rule ID 60720 //
     /*  374589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374648 */     GIR_RootConstrainSelectedInstOperands,
     /*  374649 */     // GIR_Coverage, 60720,
     /*  374649 */     GIR_EraseRootFromParent_Done,
     /*  374650 */   // Label 6751: @374650
     /*  374650 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374716), // Rule ID 60721 //
     /*  374655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374714 */     GIR_RootConstrainSelectedInstOperands,
     /*  374715 */     // GIR_Coverage, 60721,
     /*  374715 */     GIR_EraseRootFromParent_Done,
     /*  374716 */   // Label 6752: @374716
     /*  374716 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374782), // Rule ID 60724 //
     /*  374721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374780 */     GIR_RootConstrainSelectedInstOperands,
     /*  374781 */     // GIR_Coverage, 60724,
     /*  374781 */     GIR_EraseRootFromParent_Done,
     /*  374782 */   // Label 6753: @374782
     /*  374782 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(374848), // Rule ID 60725 //
     /*  374787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374846 */     GIR_RootConstrainSelectedInstOperands,
     /*  374847 */     // GIR_Coverage, 60725,
     /*  374847 */     GIR_EraseRootFromParent_Done,
     /*  374848 */   // Label 6754: @374848
     /*  374848 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(374914), // Rule ID 60728 //
     /*  374853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374912 */     GIR_RootConstrainSelectedInstOperands,
     /*  374913 */     // GIR_Coverage, 60728,
     /*  374913 */     GIR_EraseRootFromParent_Done,
     /*  374914 */   // Label 6755: @374914
     /*  374914 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(374980), // Rule ID 60729 //
     /*  374919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374978 */     GIR_RootConstrainSelectedInstOperands,
     /*  374979 */     // GIR_Coverage, 60729,
     /*  374979 */     GIR_EraseRootFromParent_Done,
     /*  374980 */   // Label 6756: @374980
     /*  374980 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(375046), // Rule ID 60732 //
     /*  374985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375044 */     GIR_RootConstrainSelectedInstOperands,
     /*  375045 */     // GIR_Coverage, 60732,
     /*  375045 */     GIR_EraseRootFromParent_Done,
     /*  375046 */   // Label 6757: @375046
     /*  375046 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375112), // Rule ID 60733 //
     /*  375051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375110 */     GIR_RootConstrainSelectedInstOperands,
     /*  375111 */     // GIR_Coverage, 60733,
     /*  375111 */     GIR_EraseRootFromParent_Done,
     /*  375112 */   // Label 6758: @375112
     /*  375112 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375178), // Rule ID 60736 //
     /*  375117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375176 */     GIR_RootConstrainSelectedInstOperands,
     /*  375177 */     // GIR_Coverage, 60736,
     /*  375177 */     GIR_EraseRootFromParent_Done,
     /*  375178 */   // Label 6759: @375178
     /*  375178 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375244), // Rule ID 60737 //
     /*  375183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375242 */     GIR_RootConstrainSelectedInstOperands,
     /*  375243 */     // GIR_Coverage, 60737,
     /*  375243 */     GIR_EraseRootFromParent_Done,
     /*  375244 */   // Label 6760: @375244
     /*  375244 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375310), // Rule ID 60740 //
     /*  375249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375308 */     GIR_RootConstrainSelectedInstOperands,
     /*  375309 */     // GIR_Coverage, 60740,
     /*  375309 */     GIR_EraseRootFromParent_Done,
     /*  375310 */   // Label 6761: @375310
     /*  375310 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375376), // Rule ID 60741 //
     /*  375315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375374 */     GIR_RootConstrainSelectedInstOperands,
     /*  375375 */     // GIR_Coverage, 60741,
     /*  375375 */     GIR_EraseRootFromParent_Done,
     /*  375376 */   // Label 6762: @375376
     /*  375376 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375442), // Rule ID 60744 //
     /*  375381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375440 */     GIR_RootConstrainSelectedInstOperands,
     /*  375441 */     // GIR_Coverage, 60744,
     /*  375441 */     GIR_EraseRootFromParent_Done,
     /*  375442 */   // Label 6763: @375442
     /*  375442 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375508), // Rule ID 60745 //
     /*  375447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375506 */     GIR_RootConstrainSelectedInstOperands,
     /*  375507 */     // GIR_Coverage, 60745,
     /*  375507 */     GIR_EraseRootFromParent_Done,
     /*  375508 */   // Label 6764: @375508
     /*  375508 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375574), // Rule ID 60748 //
     /*  375513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375572 */     GIR_RootConstrainSelectedInstOperands,
     /*  375573 */     // GIR_Coverage, 60748,
     /*  375573 */     GIR_EraseRootFromParent_Done,
     /*  375574 */   // Label 6765: @375574
     /*  375574 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375640), // Rule ID 60749 //
     /*  375579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375638 */     GIR_RootConstrainSelectedInstOperands,
     /*  375639 */     // GIR_Coverage, 60749,
     /*  375639 */     GIR_EraseRootFromParent_Done,
     /*  375640 */   // Label 6766: @375640
     /*  375640 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375706), // Rule ID 60752 //
     /*  375645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375704 */     GIR_RootConstrainSelectedInstOperands,
     /*  375705 */     // GIR_Coverage, 60752,
     /*  375705 */     GIR_EraseRootFromParent_Done,
     /*  375706 */   // Label 6767: @375706
     /*  375706 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375772), // Rule ID 60753 //
     /*  375711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375770 */     GIR_RootConstrainSelectedInstOperands,
     /*  375771 */     // GIR_Coverage, 60753,
     /*  375771 */     GIR_EraseRootFromParent_Done,
     /*  375772 */   // Label 6768: @375772
     /*  375772 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(375838), // Rule ID 60756 //
     /*  375777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375836 */     GIR_RootConstrainSelectedInstOperands,
     /*  375837 */     // GIR_Coverage, 60756,
     /*  375837 */     GIR_EraseRootFromParent_Done,
     /*  375838 */   // Label 6769: @375838
     /*  375838 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(375904), // Rule ID 60757 //
     /*  375843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375902 */     GIR_RootConstrainSelectedInstOperands,
     /*  375903 */     // GIR_Coverage, 60757,
     /*  375903 */     GIR_EraseRootFromParent_Done,
     /*  375904 */   // Label 6770: @375904
     /*  375904 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375970), // Rule ID 60760 //
     /*  375909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375968 */     GIR_RootConstrainSelectedInstOperands,
     /*  375969 */     // GIR_Coverage, 60760,
     /*  375969 */     GIR_EraseRootFromParent_Done,
     /*  375970 */   // Label 6771: @375970
     /*  375970 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(376036), // Rule ID 60761 //
     /*  375975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376034 */     GIR_RootConstrainSelectedInstOperands,
     /*  376035 */     // GIR_Coverage, 60761,
     /*  376035 */     GIR_EraseRootFromParent_Done,
     /*  376036 */   // Label 6772: @376036
     /*  376036 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(376102), // Rule ID 60764 //
     /*  376041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376100 */     GIR_RootConstrainSelectedInstOperands,
     /*  376101 */     // GIR_Coverage, 60764,
     /*  376101 */     GIR_EraseRootFromParent_Done,
     /*  376102 */   // Label 6773: @376102
     /*  376102 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376168), // Rule ID 60765 //
     /*  376107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376146 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376166 */     GIR_RootConstrainSelectedInstOperands,
     /*  376167 */     // GIR_Coverage, 60765,
     /*  376167 */     GIR_EraseRootFromParent_Done,
     /*  376168 */   // Label 6774: @376168
     /*  376168 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376234), // Rule ID 60768 //
     /*  376173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376232 */     GIR_RootConstrainSelectedInstOperands,
     /*  376233 */     // GIR_Coverage, 60768,
     /*  376233 */     GIR_EraseRootFromParent_Done,
     /*  376234 */   // Label 6775: @376234
     /*  376234 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376300), // Rule ID 60769 //
     /*  376239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376298 */     GIR_RootConstrainSelectedInstOperands,
     /*  376299 */     // GIR_Coverage, 60769,
     /*  376299 */     GIR_EraseRootFromParent_Done,
     /*  376300 */   // Label 6776: @376300
     /*  376300 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376366), // Rule ID 60772 //
     /*  376305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376364 */     GIR_RootConstrainSelectedInstOperands,
     /*  376365 */     // GIR_Coverage, 60772,
     /*  376365 */     GIR_EraseRootFromParent_Done,
     /*  376366 */   // Label 6777: @376366
     /*  376366 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376432), // Rule ID 60773 //
     /*  376371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376410 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376430 */     GIR_RootConstrainSelectedInstOperands,
     /*  376431 */     // GIR_Coverage, 60773,
     /*  376431 */     GIR_EraseRootFromParent_Done,
     /*  376432 */   // Label 6778: @376432
     /*  376432 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376498), // Rule ID 60776 //
     /*  376437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376496 */     GIR_RootConstrainSelectedInstOperands,
     /*  376497 */     // GIR_Coverage, 60776,
     /*  376497 */     GIR_EraseRootFromParent_Done,
     /*  376498 */   // Label 6779: @376498
     /*  376498 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376564), // Rule ID 60777 //
     /*  376503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376562 */     GIR_RootConstrainSelectedInstOperands,
     /*  376563 */     // GIR_Coverage, 60777,
     /*  376563 */     GIR_EraseRootFromParent_Done,
     /*  376564 */   // Label 6780: @376564
     /*  376564 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376630), // Rule ID 60780 //
     /*  376569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376628 */     GIR_RootConstrainSelectedInstOperands,
     /*  376629 */     // GIR_Coverage, 60780,
     /*  376629 */     GIR_EraseRootFromParent_Done,
     /*  376630 */   // Label 6781: @376630
     /*  376630 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376696), // Rule ID 60781 //
     /*  376635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376674 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376694 */     GIR_RootConstrainSelectedInstOperands,
     /*  376695 */     // GIR_Coverage, 60781,
     /*  376695 */     GIR_EraseRootFromParent_Done,
     /*  376696 */   // Label 6782: @376696
     /*  376696 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376762), // Rule ID 60784 //
     /*  376701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376760 */     GIR_RootConstrainSelectedInstOperands,
     /*  376761 */     // GIR_Coverage, 60784,
     /*  376761 */     GIR_EraseRootFromParent_Done,
     /*  376762 */   // Label 6783: @376762
     /*  376762 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376828), // Rule ID 60785 //
     /*  376767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376826 */     GIR_RootConstrainSelectedInstOperands,
     /*  376827 */     // GIR_Coverage, 60785,
     /*  376827 */     GIR_EraseRootFromParent_Done,
     /*  376828 */   // Label 6784: @376828
     /*  376828 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376894), // Rule ID 60788 //
     /*  376833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376892 */     GIR_RootConstrainSelectedInstOperands,
     /*  376893 */     // GIR_Coverage, 60788,
     /*  376893 */     GIR_EraseRootFromParent_Done,
     /*  376894 */   // Label 6785: @376894
     /*  376894 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376960), // Rule ID 60789 //
     /*  376899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376958 */     GIR_RootConstrainSelectedInstOperands,
     /*  376959 */     // GIR_Coverage, 60789,
     /*  376959 */     GIR_EraseRootFromParent_Done,
     /*  376960 */   // Label 6786: @376960
     /*  376960 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(377026), // Rule ID 60792 //
     /*  376965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377024 */     GIR_RootConstrainSelectedInstOperands,
     /*  377025 */     // GIR_Coverage, 60792,
     /*  377025 */     GIR_EraseRootFromParent_Done,
     /*  377026 */   // Label 6787: @377026
     /*  377026 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(377092), // Rule ID 60793 //
     /*  377031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  377042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  377045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  377048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377090 */     GIR_RootConstrainSelectedInstOperands,
     /*  377091 */     // GIR_Coverage, 60793,
     /*  377091 */     GIR_EraseRootFromParent_Done,
     /*  377092 */   // Label 6788: @377092
     /*  377092 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377158), // Rule ID 60796 //
     /*  377097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377156 */     GIR_RootConstrainSelectedInstOperands,
     /*  377157 */     // GIR_Coverage, 60796,
     /*  377157 */     GIR_EraseRootFromParent_Done,
     /*  377158 */   // Label 6789: @377158
     /*  377158 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377224), // Rule ID 60797 //
     /*  377163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377222 */     GIR_RootConstrainSelectedInstOperands,
     /*  377223 */     // GIR_Coverage, 60797,
     /*  377223 */     GIR_EraseRootFromParent_Done,
     /*  377224 */   // Label 6790: @377224
     /*  377224 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377290), // Rule ID 60800 //
     /*  377229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377288 */     GIR_RootConstrainSelectedInstOperands,
     /*  377289 */     // GIR_Coverage, 60800,
     /*  377289 */     GIR_EraseRootFromParent_Done,
     /*  377290 */   // Label 6791: @377290
     /*  377290 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377356), // Rule ID 60801 //
     /*  377295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377354 */     GIR_RootConstrainSelectedInstOperands,
     /*  377355 */     // GIR_Coverage, 60801,
     /*  377355 */     GIR_EraseRootFromParent_Done,
     /*  377356 */   // Label 6792: @377356
     /*  377356 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377422), // Rule ID 60804 //
     /*  377361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377420 */     GIR_RootConstrainSelectedInstOperands,
     /*  377421 */     // GIR_Coverage, 60804,
     /*  377421 */     GIR_EraseRootFromParent_Done,
     /*  377422 */   // Label 6793: @377422
     /*  377422 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377488), // Rule ID 60805 //
     /*  377427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377466 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377486 */     GIR_RootConstrainSelectedInstOperands,
     /*  377487 */     // GIR_Coverage, 60805,
     /*  377487 */     GIR_EraseRootFromParent_Done,
     /*  377488 */   // Label 6794: @377488
     /*  377488 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377554), // Rule ID 60808 //
     /*  377493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377552 */     GIR_RootConstrainSelectedInstOperands,
     /*  377553 */     // GIR_Coverage, 60808,
     /*  377553 */     GIR_EraseRootFromParent_Done,
     /*  377554 */   // Label 6795: @377554
     /*  377554 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377620), // Rule ID 60809 //
     /*  377559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377618 */     GIR_RootConstrainSelectedInstOperands,
     /*  377619 */     // GIR_Coverage, 60809,
     /*  377619 */     GIR_EraseRootFromParent_Done,
     /*  377620 */   // Label 6796: @377620
     /*  377620 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377686), // Rule ID 60812 //
     /*  377625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377684 */     GIR_RootConstrainSelectedInstOperands,
     /*  377685 */     // GIR_Coverage, 60812,
     /*  377685 */     GIR_EraseRootFromParent_Done,
     /*  377686 */   // Label 6797: @377686
     /*  377686 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377752), // Rule ID 60813 //
     /*  377691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377750 */     GIR_RootConstrainSelectedInstOperands,
     /*  377751 */     // GIR_Coverage, 60813,
     /*  377751 */     GIR_EraseRootFromParent_Done,
     /*  377752 */   // Label 6798: @377752
     /*  377752 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377818), // Rule ID 60816 //
     /*  377757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377816 */     GIR_RootConstrainSelectedInstOperands,
     /*  377817 */     // GIR_Coverage, 60816,
     /*  377817 */     GIR_EraseRootFromParent_Done,
     /*  377818 */   // Label 6799: @377818
     /*  377818 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377884), // Rule ID 60817 //
     /*  377823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377882 */     GIR_RootConstrainSelectedInstOperands,
     /*  377883 */     // GIR_Coverage, 60817,
     /*  377883 */     GIR_EraseRootFromParent_Done,
     /*  377884 */   // Label 6800: @377884
     /*  377884 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377950), // Rule ID 60820 //
     /*  377889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377948 */     GIR_RootConstrainSelectedInstOperands,
     /*  377949 */     // GIR_Coverage, 60820,
     /*  377949 */     GIR_EraseRootFromParent_Done,
     /*  377950 */   // Label 6801: @377950
     /*  377950 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(378016), // Rule ID 60821 //
     /*  377955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378014 */     GIR_RootConstrainSelectedInstOperands,
     /*  378015 */     // GIR_Coverage, 60821,
     /*  378015 */     GIR_EraseRootFromParent_Done,
     /*  378016 */   // Label 6802: @378016
     /*  378016 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(378082), // Rule ID 60824 //
     /*  378021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378080 */     GIR_RootConstrainSelectedInstOperands,
     /*  378081 */     // GIR_Coverage, 60824,
     /*  378081 */     GIR_EraseRootFromParent_Done,
     /*  378082 */   // Label 6803: @378082
     /*  378082 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378148), // Rule ID 60825 //
     /*  378087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378146 */     GIR_RootConstrainSelectedInstOperands,
     /*  378147 */     // GIR_Coverage, 60825,
     /*  378147 */     GIR_EraseRootFromParent_Done,
     /*  378148 */   // Label 6804: @378148
     /*  378148 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378214), // Rule ID 60828 //
     /*  378153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378212 */     GIR_RootConstrainSelectedInstOperands,
     /*  378213 */     // GIR_Coverage, 60828,
     /*  378213 */     GIR_EraseRootFromParent_Done,
     /*  378214 */   // Label 6805: @378214
     /*  378214 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378280), // Rule ID 60829 //
     /*  378219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378278 */     GIR_RootConstrainSelectedInstOperands,
     /*  378279 */     // GIR_Coverage, 60829,
     /*  378279 */     GIR_EraseRootFromParent_Done,
     /*  378280 */   // Label 6806: @378280
     /*  378280 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378346), // Rule ID 60832 //
     /*  378285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378344 */     GIR_RootConstrainSelectedInstOperands,
     /*  378345 */     // GIR_Coverage, 60832,
     /*  378345 */     GIR_EraseRootFromParent_Done,
     /*  378346 */   // Label 6807: @378346
     /*  378346 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378412), // Rule ID 60833 //
     /*  378351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378410 */     GIR_RootConstrainSelectedInstOperands,
     /*  378411 */     // GIR_Coverage, 60833,
     /*  378411 */     GIR_EraseRootFromParent_Done,
     /*  378412 */   // Label 6808: @378412
     /*  378412 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378478), // Rule ID 60836 //
     /*  378417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378476 */     GIR_RootConstrainSelectedInstOperands,
     /*  378477 */     // GIR_Coverage, 60836,
     /*  378477 */     GIR_EraseRootFromParent_Done,
     /*  378478 */   // Label 6809: @378478
     /*  378478 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378544), // Rule ID 60837 //
     /*  378483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378542 */     GIR_RootConstrainSelectedInstOperands,
     /*  378543 */     // GIR_Coverage, 60837,
     /*  378543 */     GIR_EraseRootFromParent_Done,
     /*  378544 */   // Label 6810: @378544
     /*  378544 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378610), // Rule ID 60840 //
     /*  378549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378608 */     GIR_RootConstrainSelectedInstOperands,
     /*  378609 */     // GIR_Coverage, 60840,
     /*  378609 */     GIR_EraseRootFromParent_Done,
     /*  378610 */   // Label 6811: @378610
     /*  378610 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378676), // Rule ID 60841 //
     /*  378615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378674 */     GIR_RootConstrainSelectedInstOperands,
     /*  378675 */     // GIR_Coverage, 60841,
     /*  378675 */     GIR_EraseRootFromParent_Done,
     /*  378676 */   // Label 6812: @378676
     /*  378676 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378742), // Rule ID 61264 //
     /*  378681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378740 */     GIR_RootConstrainSelectedInstOperands,
     /*  378741 */     // GIR_Coverage, 61264,
     /*  378741 */     GIR_EraseRootFromParent_Done,
     /*  378742 */   // Label 6813: @378742
     /*  378742 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378808), // Rule ID 61265 //
     /*  378747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378786 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378806 */     GIR_RootConstrainSelectedInstOperands,
     /*  378807 */     // GIR_Coverage, 61265,
     /*  378807 */     GIR_EraseRootFromParent_Done,
     /*  378808 */   // Label 6814: @378808
     /*  378808 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378874), // Rule ID 61268 //
     /*  378813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378872 */     GIR_RootConstrainSelectedInstOperands,
     /*  378873 */     // GIR_Coverage, 61268,
     /*  378873 */     GIR_EraseRootFromParent_Done,
     /*  378874 */   // Label 6815: @378874
     /*  378874 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(378940), // Rule ID 61269 //
     /*  378879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378938 */     GIR_RootConstrainSelectedInstOperands,
     /*  378939 */     // GIR_Coverage, 61269,
     /*  378939 */     GIR_EraseRootFromParent_Done,
     /*  378940 */   // Label 6816: @378940
     /*  378940 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379006), // Rule ID 61272 //
     /*  378945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379004 */     GIR_RootConstrainSelectedInstOperands,
     /*  379005 */     // GIR_Coverage, 61272,
     /*  379005 */     GIR_EraseRootFromParent_Done,
     /*  379006 */   // Label 6817: @379006
     /*  379006 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379072), // Rule ID 61273 //
     /*  379011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379050 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379070 */     GIR_RootConstrainSelectedInstOperands,
     /*  379071 */     // GIR_Coverage, 61273,
     /*  379071 */     GIR_EraseRootFromParent_Done,
     /*  379072 */   // Label 6818: @379072
     /*  379072 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379138), // Rule ID 61276 //
     /*  379077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379136 */     GIR_RootConstrainSelectedInstOperands,
     /*  379137 */     // GIR_Coverage, 61276,
     /*  379137 */     GIR_EraseRootFromParent_Done,
     /*  379138 */   // Label 6819: @379138
     /*  379138 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379204), // Rule ID 61277 //
     /*  379143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379202 */     GIR_RootConstrainSelectedInstOperands,
     /*  379203 */     // GIR_Coverage, 61277,
     /*  379203 */     GIR_EraseRootFromParent_Done,
     /*  379204 */   // Label 6820: @379204
     /*  379204 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379270), // Rule ID 61280 //
     /*  379209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379268 */     GIR_RootConstrainSelectedInstOperands,
     /*  379269 */     // GIR_Coverage, 61280,
     /*  379269 */     GIR_EraseRootFromParent_Done,
     /*  379270 */   // Label 6821: @379270
     /*  379270 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379336), // Rule ID 61281 //
     /*  379275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379334 */     GIR_RootConstrainSelectedInstOperands,
     /*  379335 */     // GIR_Coverage, 61281,
     /*  379335 */     GIR_EraseRootFromParent_Done,
     /*  379336 */   // Label 6822: @379336
     /*  379336 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379402), // Rule ID 61284 //
     /*  379341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379400 */     GIR_RootConstrainSelectedInstOperands,
     /*  379401 */     // GIR_Coverage, 61284,
     /*  379401 */     GIR_EraseRootFromParent_Done,
     /*  379402 */   // Label 6823: @379402
     /*  379402 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379468), // Rule ID 61285 //
     /*  379407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379466 */     GIR_RootConstrainSelectedInstOperands,
     /*  379467 */     // GIR_Coverage, 61285,
     /*  379467 */     GIR_EraseRootFromParent_Done,
     /*  379468 */   // Label 6824: @379468
     /*  379468 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379534), // Rule ID 61288 //
     /*  379473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379532 */     GIR_RootConstrainSelectedInstOperands,
     /*  379533 */     // GIR_Coverage, 61288,
     /*  379533 */     GIR_EraseRootFromParent_Done,
     /*  379534 */   // Label 6825: @379534
     /*  379534 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379600), // Rule ID 61289 //
     /*  379539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379598 */     GIR_RootConstrainSelectedInstOperands,
     /*  379599 */     // GIR_Coverage, 61289,
     /*  379599 */     GIR_EraseRootFromParent_Done,
     /*  379600 */   // Label 6826: @379600
     /*  379600 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379666), // Rule ID 61292 //
     /*  379605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379664 */     GIR_RootConstrainSelectedInstOperands,
     /*  379665 */     // GIR_Coverage, 61292,
     /*  379665 */     GIR_EraseRootFromParent_Done,
     /*  379666 */   // Label 6827: @379666
     /*  379666 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379732), // Rule ID 61293 //
     /*  379671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379730 */     GIR_RootConstrainSelectedInstOperands,
     /*  379731 */     // GIR_Coverage, 61293,
     /*  379731 */     GIR_EraseRootFromParent_Done,
     /*  379732 */   // Label 6828: @379732
     /*  379732 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(379798), // Rule ID 61296 //
     /*  379737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379796 */     GIR_RootConstrainSelectedInstOperands,
     /*  379797 */     // GIR_Coverage, 61296,
     /*  379797 */     GIR_EraseRootFromParent_Done,
     /*  379798 */   // Label 6829: @379798
     /*  379798 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379864), // Rule ID 61297 //
     /*  379803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379862 */     GIR_RootConstrainSelectedInstOperands,
     /*  379863 */     // GIR_Coverage, 61297,
     /*  379863 */     GIR_EraseRootFromParent_Done,
     /*  379864 */   // Label 6830: @379864
     /*  379864 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379930), // Rule ID 61300 //
     /*  379869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379928 */     GIR_RootConstrainSelectedInstOperands,
     /*  379929 */     // GIR_Coverage, 61300,
     /*  379929 */     GIR_EraseRootFromParent_Done,
     /*  379930 */   // Label 6831: @379930
     /*  379930 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(379996), // Rule ID 61301 //
     /*  379935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379994 */     GIR_RootConstrainSelectedInstOperands,
     /*  379995 */     // GIR_Coverage, 61301,
     /*  379995 */     GIR_EraseRootFromParent_Done,
     /*  379996 */   // Label 6832: @379996
     /*  379996 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380062), // Rule ID 61304 //
     /*  380001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380040 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380060 */     GIR_RootConstrainSelectedInstOperands,
     /*  380061 */     // GIR_Coverage, 61304,
     /*  380061 */     GIR_EraseRootFromParent_Done,
     /*  380062 */   // Label 6833: @380062
     /*  380062 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380128), // Rule ID 61305 //
     /*  380067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380126 */     GIR_RootConstrainSelectedInstOperands,
     /*  380127 */     // GIR_Coverage, 61305,
     /*  380127 */     GIR_EraseRootFromParent_Done,
     /*  380128 */   // Label 6834: @380128
     /*  380128 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380194), // Rule ID 61308 //
     /*  380133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380192 */     GIR_RootConstrainSelectedInstOperands,
     /*  380193 */     // GIR_Coverage, 61308,
     /*  380193 */     GIR_EraseRootFromParent_Done,
     /*  380194 */   // Label 6835: @380194
     /*  380194 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380260), // Rule ID 61309 //
     /*  380199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380258 */     GIR_RootConstrainSelectedInstOperands,
     /*  380259 */     // GIR_Coverage, 61309,
     /*  380259 */     GIR_EraseRootFromParent_Done,
     /*  380260 */   // Label 6836: @380260
     /*  380260 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380326), // Rule ID 61312 //
     /*  380265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  380276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  380279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  380282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380324 */     GIR_RootConstrainSelectedInstOperands,
     /*  380325 */     // GIR_Coverage, 61312,
     /*  380325 */     GIR_EraseRootFromParent_Done,
     /*  380326 */   // Label 6837: @380326
     /*  380326 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380392), // Rule ID 61313 //
     /*  380331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  380342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  380345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  380348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380390 */     GIR_RootConstrainSelectedInstOperands,
     /*  380391 */     // GIR_Coverage, 61313,
     /*  380391 */     GIR_EraseRootFromParent_Done,
     /*  380392 */   // Label 6838: @380392
     /*  380392 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380458), // Rule ID 61316 //
     /*  380397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380456 */     GIR_RootConstrainSelectedInstOperands,
     /*  380457 */     // GIR_Coverage, 61316,
     /*  380457 */     GIR_EraseRootFromParent_Done,
     /*  380458 */   // Label 6839: @380458
     /*  380458 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380524), // Rule ID 61317 //
     /*  380463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380522 */     GIR_RootConstrainSelectedInstOperands,
     /*  380523 */     // GIR_Coverage, 61317,
     /*  380523 */     GIR_EraseRootFromParent_Done,
     /*  380524 */   // Label 6840: @380524
     /*  380524 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380590), // Rule ID 61320 //
     /*  380529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380588 */     GIR_RootConstrainSelectedInstOperands,
     /*  380589 */     // GIR_Coverage, 61320,
     /*  380589 */     GIR_EraseRootFromParent_Done,
     /*  380590 */   // Label 6841: @380590
     /*  380590 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380656), // Rule ID 61321 //
     /*  380595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380654 */     GIR_RootConstrainSelectedInstOperands,
     /*  380655 */     // GIR_Coverage, 61321,
     /*  380655 */     GIR_EraseRootFromParent_Done,
     /*  380656 */   // Label 6842: @380656
     /*  380656 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380722), // Rule ID 61324 //
     /*  380661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380720 */     GIR_RootConstrainSelectedInstOperands,
     /*  380721 */     // GIR_Coverage, 61324,
     /*  380721 */     GIR_EraseRootFromParent_Done,
     /*  380722 */   // Label 6843: @380722
     /*  380722 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380788), // Rule ID 61325 //
     /*  380727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380786 */     GIR_RootConstrainSelectedInstOperands,
     /*  380787 */     // GIR_Coverage, 61325,
     /*  380787 */     GIR_EraseRootFromParent_Done,
     /*  380788 */   // Label 6844: @380788
     /*  380788 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380854), // Rule ID 61328 //
     /*  380793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380852 */     GIR_RootConstrainSelectedInstOperands,
     /*  380853 */     // GIR_Coverage, 61328,
     /*  380853 */     GIR_EraseRootFromParent_Done,
     /*  380854 */   // Label 6845: @380854
     /*  380854 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380920), // Rule ID 61329 //
     /*  380859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380918 */     GIR_RootConstrainSelectedInstOperands,
     /*  380919 */     // GIR_Coverage, 61329,
     /*  380919 */     GIR_EraseRootFromParent_Done,
     /*  380920 */   // Label 6846: @380920
     /*  380920 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380986), // Rule ID 61332 //
     /*  380925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380984 */     GIR_RootConstrainSelectedInstOperands,
     /*  380985 */     // GIR_Coverage, 61332,
     /*  380985 */     GIR_EraseRootFromParent_Done,
     /*  380986 */   // Label 6847: @380986
     /*  380986 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381052), // Rule ID 61333 //
     /*  380991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  381002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  381005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  381008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381050 */     GIR_RootConstrainSelectedInstOperands,
     /*  381051 */     // GIR_Coverage, 61333,
     /*  381051 */     GIR_EraseRootFromParent_Done,
     /*  381052 */   // Label 6848: @381052
     /*  381052 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381118), // Rule ID 61336 //
     /*  381057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381116 */     GIR_RootConstrainSelectedInstOperands,
     /*  381117 */     // GIR_Coverage, 61336,
     /*  381117 */     GIR_EraseRootFromParent_Done,
     /*  381118 */   // Label 6849: @381118
     /*  381118 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381184), // Rule ID 61337 //
     /*  381123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381182 */     GIR_RootConstrainSelectedInstOperands,
     /*  381183 */     // GIR_Coverage, 61337,
     /*  381183 */     GIR_EraseRootFromParent_Done,
     /*  381184 */   // Label 6850: @381184
     /*  381184 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381250), // Rule ID 61340 //
     /*  381189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381248 */     GIR_RootConstrainSelectedInstOperands,
     /*  381249 */     // GIR_Coverage, 61340,
     /*  381249 */     GIR_EraseRootFromParent_Done,
     /*  381250 */   // Label 6851: @381250
     /*  381250 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381316), // Rule ID 61341 //
     /*  381255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381314 */     GIR_RootConstrainSelectedInstOperands,
     /*  381315 */     // GIR_Coverage, 61341,
     /*  381315 */     GIR_EraseRootFromParent_Done,
     /*  381316 */   // Label 6852: @381316
     /*  381316 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381382), // Rule ID 61344 //
     /*  381321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  381332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  381335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  381338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381380 */     GIR_RootConstrainSelectedInstOperands,
     /*  381381 */     // GIR_Coverage, 61344,
     /*  381381 */     GIR_EraseRootFromParent_Done,
     /*  381382 */   // Label 6853: @381382
     /*  381382 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381448), // Rule ID 61345 //
     /*  381387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  381398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  381401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  381404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381446 */     GIR_RootConstrainSelectedInstOperands,
     /*  381447 */     // GIR_Coverage, 61345,
     /*  381447 */     GIR_EraseRootFromParent_Done,
     /*  381448 */   // Label 6854: @381448
     /*  381448 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381514), // Rule ID 61348 //
     /*  381453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381512 */     GIR_RootConstrainSelectedInstOperands,
     /*  381513 */     // GIR_Coverage, 61348,
     /*  381513 */     GIR_EraseRootFromParent_Done,
     /*  381514 */   // Label 6855: @381514
     /*  381514 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381580), // Rule ID 61349 //
     /*  381519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381578 */     GIR_RootConstrainSelectedInstOperands,
     /*  381579 */     // GIR_Coverage, 61349,
     /*  381579 */     GIR_EraseRootFromParent_Done,
     /*  381580 */   // Label 6856: @381580
     /*  381580 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381646), // Rule ID 61352 //
     /*  381585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381644 */     GIR_RootConstrainSelectedInstOperands,
     /*  381645 */     // GIR_Coverage, 61352,
     /*  381645 */     GIR_EraseRootFromParent_Done,
     /*  381646 */   // Label 6857: @381646
     /*  381646 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381712), // Rule ID 61353 //
     /*  381651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381710 */     GIR_RootConstrainSelectedInstOperands,
     /*  381711 */     // GIR_Coverage, 61353,
     /*  381711 */     GIR_EraseRootFromParent_Done,
     /*  381712 */   // Label 6858: @381712
     /*  381712 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381778), // Rule ID 61356 //
     /*  381717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381756 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381776 */     GIR_RootConstrainSelectedInstOperands,
     /*  381777 */     // GIR_Coverage, 61356,
     /*  381777 */     GIR_EraseRootFromParent_Done,
     /*  381778 */   // Label 6859: @381778
     /*  381778 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381844), // Rule ID 61357 //
     /*  381783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381842 */     GIR_RootConstrainSelectedInstOperands,
     /*  381843 */     // GIR_Coverage, 61357,
     /*  381843 */     GIR_EraseRootFromParent_Done,
     /*  381844 */   // Label 6860: @381844
     /*  381844 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381910), // Rule ID 61360 //
     /*  381849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381908 */     GIR_RootConstrainSelectedInstOperands,
     /*  381909 */     // GIR_Coverage, 61360,
     /*  381909 */     GIR_EraseRootFromParent_Done,
     /*  381910 */   // Label 6861: @381910
     /*  381910 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381976), // Rule ID 61361 //
     /*  381915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381974 */     GIR_RootConstrainSelectedInstOperands,
     /*  381975 */     // GIR_Coverage, 61361,
     /*  381975 */     GIR_EraseRootFromParent_Done,
     /*  381976 */   // Label 6862: @381976
     /*  381976 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(382042), // Rule ID 61364 //
     /*  381981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382040 */     GIR_RootConstrainSelectedInstOperands,
     /*  382041 */     // GIR_Coverage, 61364,
     /*  382041 */     GIR_EraseRootFromParent_Done,
     /*  382042 */   // Label 6863: @382042
     /*  382042 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382108), // Rule ID 61365 //
     /*  382047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  382058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  382061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  382064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382106 */     GIR_RootConstrainSelectedInstOperands,
     /*  382107 */     // GIR_Coverage, 61365,
     /*  382107 */     GIR_EraseRootFromParent_Done,
     /*  382108 */   // Label 6864: @382108
     /*  382108 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382174), // Rule ID 61368 //
     /*  382113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382172 */     GIR_RootConstrainSelectedInstOperands,
     /*  382173 */     // GIR_Coverage, 61368,
     /*  382173 */     GIR_EraseRootFromParent_Done,
     /*  382174 */   // Label 6865: @382174
     /*  382174 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382240), // Rule ID 61369 //
     /*  382179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382238 */     GIR_RootConstrainSelectedInstOperands,
     /*  382239 */     // GIR_Coverage, 61369,
     /*  382239 */     GIR_EraseRootFromParent_Done,
     /*  382240 */   // Label 6866: @382240
     /*  382240 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382306), // Rule ID 61372 //
     /*  382245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382304 */     GIR_RootConstrainSelectedInstOperands,
     /*  382305 */     // GIR_Coverage, 61372,
     /*  382305 */     GIR_EraseRootFromParent_Done,
     /*  382306 */   // Label 6867: @382306
     /*  382306 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382372), // Rule ID 61373 //
     /*  382311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382370 */     GIR_RootConstrainSelectedInstOperands,
     /*  382371 */     // GIR_Coverage, 61373,
     /*  382371 */     GIR_EraseRootFromParent_Done,
     /*  382372 */   // Label 6868: @382372
     /*  382372 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382438), // Rule ID 61376 //
     /*  382377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382436 */     GIR_RootConstrainSelectedInstOperands,
     /*  382437 */     // GIR_Coverage, 61376,
     /*  382437 */     GIR_EraseRootFromParent_Done,
     /*  382438 */   // Label 6869: @382438
     /*  382438 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382504), // Rule ID 61377 //
     /*  382443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382502 */     GIR_RootConstrainSelectedInstOperands,
     /*  382503 */     // GIR_Coverage, 61377,
     /*  382503 */     GIR_EraseRootFromParent_Done,
     /*  382504 */   // Label 6870: @382504
     /*  382504 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382570), // Rule ID 61380 //
     /*  382509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382568 */     GIR_RootConstrainSelectedInstOperands,
     /*  382569 */     // GIR_Coverage, 61380,
     /*  382569 */     GIR_EraseRootFromParent_Done,
     /*  382570 */   // Label 6871: @382570
     /*  382570 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382636), // Rule ID 61381 //
     /*  382575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382634 */     GIR_RootConstrainSelectedInstOperands,
     /*  382635 */     // GIR_Coverage, 61381,
     /*  382635 */     GIR_EraseRootFromParent_Done,
     /*  382636 */   // Label 6872: @382636
     /*  382636 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382702), // Rule ID 61384 //
     /*  382641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382700 */     GIR_RootConstrainSelectedInstOperands,
     /*  382701 */     // GIR_Coverage, 61384,
     /*  382701 */     GIR_EraseRootFromParent_Done,
     /*  382702 */   // Label 6873: @382702
     /*  382702 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382768), // Rule ID 61385 //
     /*  382707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382766 */     GIR_RootConstrainSelectedInstOperands,
     /*  382767 */     // GIR_Coverage, 61385,
     /*  382767 */     GIR_EraseRootFromParent_Done,
     /*  382768 */   // Label 6874: @382768
     /*  382768 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382834), // Rule ID 61388 //
     /*  382773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382832 */     GIR_RootConstrainSelectedInstOperands,
     /*  382833 */     // GIR_Coverage, 61388,
     /*  382833 */     GIR_EraseRootFromParent_Done,
     /*  382834 */   // Label 6875: @382834
     /*  382834 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382900), // Rule ID 61389 //
     /*  382839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382898 */     GIR_RootConstrainSelectedInstOperands,
     /*  382899 */     // GIR_Coverage, 61389,
     /*  382899 */     GIR_EraseRootFromParent_Done,
     /*  382900 */   // Label 6876: @382900
     /*  382900 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(382966), // Rule ID 61392 //
     /*  382905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382944 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382964 */     GIR_RootConstrainSelectedInstOperands,
     /*  382965 */     // GIR_Coverage, 61392,
     /*  382965 */     GIR_EraseRootFromParent_Done,
     /*  382966 */   // Label 6877: @382966
     /*  382966 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383032), // Rule ID 61393 //
     /*  382971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383030 */     GIR_RootConstrainSelectedInstOperands,
     /*  383031 */     // GIR_Coverage, 61393,
     /*  383031 */     GIR_EraseRootFromParent_Done,
     /*  383032 */   // Label 6878: @383032
     /*  383032 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383098), // Rule ID 61396 //
     /*  383037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383096 */     GIR_RootConstrainSelectedInstOperands,
     /*  383097 */     // GIR_Coverage, 61396,
     /*  383097 */     GIR_EraseRootFromParent_Done,
     /*  383098 */   // Label 6879: @383098
     /*  383098 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383164), // Rule ID 61397 //
     /*  383103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383162 */     GIR_RootConstrainSelectedInstOperands,
     /*  383163 */     // GIR_Coverage, 61397,
     /*  383163 */     GIR_EraseRootFromParent_Done,
     /*  383164 */   // Label 6880: @383164
     /*  383164 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383230), // Rule ID 61400 //
     /*  383169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383228 */     GIR_RootConstrainSelectedInstOperands,
     /*  383229 */     // GIR_Coverage, 61400,
     /*  383229 */     GIR_EraseRootFromParent_Done,
     /*  383230 */   // Label 6881: @383230
     /*  383230 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383296), // Rule ID 61401 //
     /*  383235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383294 */     GIR_RootConstrainSelectedInstOperands,
     /*  383295 */     // GIR_Coverage, 61401,
     /*  383295 */     GIR_EraseRootFromParent_Done,
     /*  383296 */   // Label 6882: @383296
     /*  383296 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383362), // Rule ID 61404 //
     /*  383301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  383312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383360 */     GIR_RootConstrainSelectedInstOperands,
     /*  383361 */     // GIR_Coverage, 61404,
     /*  383361 */     GIR_EraseRootFromParent_Done,
     /*  383362 */   // Label 6883: @383362
     /*  383362 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383428), // Rule ID 61405 //
     /*  383367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  383378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383426 */     GIR_RootConstrainSelectedInstOperands,
     /*  383427 */     // GIR_Coverage, 61405,
     /*  383427 */     GIR_EraseRootFromParent_Done,
     /*  383428 */   // Label 6884: @383428
     /*  383428 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383494), // Rule ID 61408 //
     /*  383433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383492 */     GIR_RootConstrainSelectedInstOperands,
     /*  383493 */     // GIR_Coverage, 61408,
     /*  383493 */     GIR_EraseRootFromParent_Done,
     /*  383494 */   // Label 6885: @383494
     /*  383494 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383560), // Rule ID 61409 //
     /*  383499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383558 */     GIR_RootConstrainSelectedInstOperands,
     /*  383559 */     // GIR_Coverage, 61409,
     /*  383559 */     GIR_EraseRootFromParent_Done,
     /*  383560 */   // Label 6886: @383560
     /*  383560 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383626), // Rule ID 61412 //
     /*  383565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383604 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383624 */     GIR_RootConstrainSelectedInstOperands,
     /*  383625 */     // GIR_Coverage, 61412,
     /*  383625 */     GIR_EraseRootFromParent_Done,
     /*  383626 */   // Label 6887: @383626
     /*  383626 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383692), // Rule ID 61413 //
     /*  383631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383690 */     GIR_RootConstrainSelectedInstOperands,
     /*  383691 */     // GIR_Coverage, 61413,
     /*  383691 */     GIR_EraseRootFromParent_Done,
     /*  383692 */   // Label 6888: @383692
     /*  383692 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383758), // Rule ID 61416 //
     /*  383697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383756 */     GIR_RootConstrainSelectedInstOperands,
     /*  383757 */     // GIR_Coverage, 61416,
     /*  383757 */     GIR_EraseRootFromParent_Done,
     /*  383758 */   // Label 6889: @383758
     /*  383758 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383824), // Rule ID 61417 //
     /*  383763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383822 */     GIR_RootConstrainSelectedInstOperands,
     /*  383823 */     // GIR_Coverage, 61417,
     /*  383823 */     GIR_EraseRootFromParent_Done,
     /*  383824 */   // Label 6890: @383824
     /*  383824 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383890), // Rule ID 61420 //
     /*  383829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383888 */     GIR_RootConstrainSelectedInstOperands,
     /*  383889 */     // GIR_Coverage, 61420,
     /*  383889 */     GIR_EraseRootFromParent_Done,
     /*  383890 */   // Label 6891: @383890
     /*  383890 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(383956), // Rule ID 61421 //
     /*  383895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383954 */     GIR_RootConstrainSelectedInstOperands,
     /*  383955 */     // GIR_Coverage, 61421,
     /*  383955 */     GIR_EraseRootFromParent_Done,
     /*  383956 */   // Label 6892: @383956
     /*  383956 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384022), // Rule ID 61424 //
     /*  383961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384020 */     GIR_RootConstrainSelectedInstOperands,
     /*  384021 */     // GIR_Coverage, 61424,
     /*  384021 */     GIR_EraseRootFromParent_Done,
     /*  384022 */   // Label 6893: @384022
     /*  384022 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384088), // Rule ID 61425 //
     /*  384027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  384038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  384041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  384044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384086 */     GIR_RootConstrainSelectedInstOperands,
     /*  384087 */     // GIR_Coverage, 61425,
     /*  384087 */     GIR_EraseRootFromParent_Done,
     /*  384088 */   // Label 6894: @384088
     /*  384088 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384154), // Rule ID 61428 //
     /*  384093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384152 */     GIR_RootConstrainSelectedInstOperands,
     /*  384153 */     // GIR_Coverage, 61428,
     /*  384153 */     GIR_EraseRootFromParent_Done,
     /*  384154 */   // Label 6895: @384154
     /*  384154 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384220), // Rule ID 61429 //
     /*  384159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384218 */     GIR_RootConstrainSelectedInstOperands,
     /*  384219 */     // GIR_Coverage, 61429,
     /*  384219 */     GIR_EraseRootFromParent_Done,
     /*  384220 */   // Label 6896: @384220
     /*  384220 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384286), // Rule ID 61432 //
     /*  384225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384284 */     GIR_RootConstrainSelectedInstOperands,
     /*  384285 */     // GIR_Coverage, 61432,
     /*  384285 */     GIR_EraseRootFromParent_Done,
     /*  384286 */   // Label 6897: @384286
     /*  384286 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384352), // Rule ID 61433 //
     /*  384291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384350 */     GIR_RootConstrainSelectedInstOperands,
     /*  384351 */     // GIR_Coverage, 61433,
     /*  384351 */     GIR_EraseRootFromParent_Done,
     /*  384352 */   // Label 6898: @384352
     /*  384352 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384418), // Rule ID 61436 //
     /*  384357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384416 */     GIR_RootConstrainSelectedInstOperands,
     /*  384417 */     // GIR_Coverage, 61436,
     /*  384417 */     GIR_EraseRootFromParent_Done,
     /*  384418 */   // Label 6899: @384418
     /*  384418 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384484), // Rule ID 61437 //
     /*  384423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384482 */     GIR_RootConstrainSelectedInstOperands,
     /*  384483 */     // GIR_Coverage, 61437,
     /*  384483 */     GIR_EraseRootFromParent_Done,
     /*  384484 */   // Label 6900: @384484
     /*  384484 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384549), // Rule ID 64367 //
     /*  384489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384533 */     // MIs[1] Operand 1
     /*  384533 */     // No operand predicates
     /*  384533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384535 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  384538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384547 */     GIR_RootConstrainSelectedInstOperands,
     /*  384548 */     // GIR_Coverage, 64367,
     /*  384548 */     GIR_EraseRootFromParent_Done,
     /*  384549 */   // Label 6901: @384549
     /*  384549 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384614), // Rule ID 64394 //
     /*  384554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384598 */     // MIs[1] Operand 1
     /*  384598 */     // No operand predicates
     /*  384598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384600 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  384603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384612 */     GIR_RootConstrainSelectedInstOperands,
     /*  384613 */     // GIR_Coverage, 64394,
     /*  384613 */     GIR_EraseRootFromParent_Done,
     /*  384614 */   // Label 6902: @384614
     /*  384614 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384679), // Rule ID 64397 //
     /*  384619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384663 */     // MIs[1] Operand 1
     /*  384663 */     // No operand predicates
     /*  384663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384665 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  384668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384677 */     GIR_RootConstrainSelectedInstOperands,
     /*  384678 */     // GIR_Coverage, 64397,
     /*  384678 */     GIR_EraseRootFromParent_Done,
     /*  384679 */   // Label 6903: @384679
     /*  384679 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384744), // Rule ID 64400 //
     /*  384684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384728 */     // MIs[1] Operand 1
     /*  384728 */     // No operand predicates
     /*  384728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384730 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  384733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384742 */     GIR_RootConstrainSelectedInstOperands,
     /*  384743 */     // GIR_Coverage, 64400,
     /*  384743 */     GIR_EraseRootFromParent_Done,
     /*  384744 */   // Label 6904: @384744
     /*  384744 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384809), // Rule ID 64403 //
     /*  384749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384793 */     // MIs[1] Operand 1
     /*  384793 */     // No operand predicates
     /*  384793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384795 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  384798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384807 */     GIR_RootConstrainSelectedInstOperands,
     /*  384808 */     // GIR_Coverage, 64403,
     /*  384808 */     GIR_EraseRootFromParent_Done,
     /*  384809 */   // Label 6905: @384809
     /*  384809 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384874), // Rule ID 64406 //
     /*  384814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384858 */     // MIs[1] Operand 1
     /*  384858 */     // No operand predicates
     /*  384858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384860 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  384863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384872 */     GIR_RootConstrainSelectedInstOperands,
     /*  384873 */     // GIR_Coverage, 64406,
     /*  384873 */     GIR_EraseRootFromParent_Done,
     /*  384874 */   // Label 6906: @384874
     /*  384874 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384939), // Rule ID 64409 //
     /*  384879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384923 */     // MIs[1] Operand 1
     /*  384923 */     // No operand predicates
     /*  384923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384925 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  384928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384937 */     GIR_RootConstrainSelectedInstOperands,
     /*  384938 */     // GIR_Coverage, 64409,
     /*  384938 */     GIR_EraseRootFromParent_Done,
     /*  384939 */   // Label 6907: @384939
     /*  384939 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(385004), // Rule ID 64412 //
     /*  384944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384988 */     // MIs[1] Operand 1
     /*  384988 */     // No operand predicates
     /*  384988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384990 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  384993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385002 */     GIR_RootConstrainSelectedInstOperands,
     /*  385003 */     // GIR_Coverage, 64412,
     /*  385003 */     GIR_EraseRootFromParent_Done,
     /*  385004 */   // Label 6908: @385004
     /*  385004 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(385059), // Rule ID 2537 //
     /*  385009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  385017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385038 */     // MIs[0] imm
     /*  385038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385046 */     // (intrinsic_wo_chain:{ *:[i32] } 10896:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  385049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385055 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385057 */     GIR_RootConstrainSelectedInstOperands,
     /*  385058 */     // GIR_Coverage, 2537,
     /*  385058 */     GIR_EraseRootFromParent_Done,
     /*  385059 */   // Label 6909: @385059
     /*  385059 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385114), // Rule ID 2538 //
     /*  385064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  385072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385093 */     // MIs[0] imm
     /*  385093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385101 */     // (intrinsic_wo_chain:{ *:[i32] } 10897:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  385104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385110 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385112 */     GIR_RootConstrainSelectedInstOperands,
     /*  385113 */     // GIR_Coverage, 2538,
     /*  385113 */     GIR_EraseRootFromParent_Done,
     /*  385114 */   // Label 6910: @385114
     /*  385114 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385169), // Rule ID 2544 //
     /*  385119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  385127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385148 */     // MIs[0] imm
     /*  385148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385156 */     // (intrinsic_wo_chain:{ *:[i32] } 10898:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  385159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385165 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385167 */     GIR_RootConstrainSelectedInstOperands,
     /*  385168 */     // GIR_Coverage, 2544,
     /*  385168 */     GIR_EraseRootFromParent_Done,
     /*  385169 */   // Label 6911: @385169
     /*  385169 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385224), // Rule ID 2545 //
     /*  385174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  385182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385203 */     // MIs[0] imm
     /*  385203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385211 */     // (intrinsic_wo_chain:{ *:[i32] } 10899:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  385214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385220 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385222 */     GIR_RootConstrainSelectedInstOperands,
     /*  385223 */     // GIR_Coverage, 2545,
     /*  385223 */     GIR_EraseRootFromParent_Done,
     /*  385224 */   // Label 6912: @385224
     /*  385224 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385279), // Rule ID 64423 //
     /*  385229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  385237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385258 */     // MIs[0] imm5
     /*  385258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385266 */     // (intrinsic_wo_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  385269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385275 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385277 */     GIR_RootConstrainSelectedInstOperands,
     /*  385278 */     // GIR_Coverage, 64423,
     /*  385278 */     GIR_EraseRootFromParent_Done,
     /*  385279 */   // Label 6913: @385279
     /*  385279 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385334), // Rule ID 64424 //
     /*  385284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  385292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385313 */     // MIs[0] imm5
     /*  385313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385321 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  385324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385330 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385332 */     GIR_RootConstrainSelectedInstOperands,
     /*  385333 */     // GIR_Coverage, 64424,
     /*  385333 */     GIR_EraseRootFromParent_Done,
     /*  385334 */   // Label 6914: @385334
     /*  385334 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385389), // Rule ID 64425 //
     /*  385339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  385347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385368 */     // MIs[0] imm5
     /*  385368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385376 */     // (intrinsic_wo_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  385379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385385 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385387 */     GIR_RootConstrainSelectedInstOperands,
     /*  385388 */     // GIR_Coverage, 64425,
     /*  385388 */     GIR_EraseRootFromParent_Done,
     /*  385389 */   // Label 6915: @385389
     /*  385389 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385444), // Rule ID 64426 //
     /*  385394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  385402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385423 */     // MIs[0] imm5
     /*  385423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385431 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  385434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385440 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385442 */     GIR_RootConstrainSelectedInstOperands,
     /*  385443 */     // GIR_Coverage, 64426,
     /*  385443 */     GIR_EraseRootFromParent_Done,
     /*  385444 */   // Label 6916: @385444
     /*  385444 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385499), // Rule ID 64427 //
     /*  385449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  385457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385478 */     // MIs[0] imm5
     /*  385478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385486 */     // (intrinsic_wo_chain:{ *:[i32] } 10945:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  385489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385495 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385497 */     GIR_RootConstrainSelectedInstOperands,
     /*  385498 */     // GIR_Coverage, 64427,
     /*  385498 */     GIR_EraseRootFromParent_Done,
     /*  385499 */   // Label 6917: @385499
     /*  385499 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385554), // Rule ID 64428 //
     /*  385504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  385512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385533 */     // MIs[0] imm5
     /*  385533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385541 */     // (intrinsic_wo_chain:{ *:[i32] } 10941:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  385544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385550 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385552 */     GIR_RootConstrainSelectedInstOperands,
     /*  385553 */     // GIR_Coverage, 64428,
     /*  385553 */     GIR_EraseRootFromParent_Done,
     /*  385554 */   // Label 6918: @385554
     /*  385554 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385609), // Rule ID 64429 //
     /*  385559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  385567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385588 */     // MIs[0] imm5
     /*  385588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385596 */     // (intrinsic_wo_chain:{ *:[i32] } 10943:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  385599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385605 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385607 */     GIR_RootConstrainSelectedInstOperands,
     /*  385608 */     // GIR_Coverage, 64429,
     /*  385608 */     GIR_EraseRootFromParent_Done,
     /*  385609 */   // Label 6919: @385609
     /*  385609 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385664), // Rule ID 64430 //
     /*  385614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  385622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385643 */     // MIs[0] imm5
     /*  385643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385651 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  385654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385660 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385662 */     GIR_RootConstrainSelectedInstOperands,
     /*  385663 */     // GIR_Coverage, 64430,
     /*  385663 */     GIR_EraseRootFromParent_Done,
     /*  385664 */   // Label 6920: @385664
     /*  385664 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385718), // Rule ID 64365 //
     /*  385669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385705 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385716 */     GIR_RootConstrainSelectedInstOperands,
     /*  385717 */     // GIR_Coverage, 64365,
     /*  385717 */     GIR_EraseRootFromParent_Done,
     /*  385718 */   // Label 6921: @385718
     /*  385718 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385772), // Rule ID 64366 //
     /*  385723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385759 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385770 */     GIR_RootConstrainSelectedInstOperands,
     /*  385771 */     // GIR_Coverage, 64366,
     /*  385771 */     GIR_EraseRootFromParent_Done,
     /*  385772 */   // Label 6922: @385772
     /*  385772 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385826), // Rule ID 64392 //
     /*  385777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385813 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385824 */     GIR_RootConstrainSelectedInstOperands,
     /*  385825 */     // GIR_Coverage, 64392,
     /*  385825 */     GIR_EraseRootFromParent_Done,
     /*  385826 */   // Label 6923: @385826
     /*  385826 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385880), // Rule ID 64393 //
     /*  385831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385867 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385878 */     GIR_RootConstrainSelectedInstOperands,
     /*  385879 */     // GIR_Coverage, 64393,
     /*  385879 */     GIR_EraseRootFromParent_Done,
     /*  385880 */   // Label 6924: @385880
     /*  385880 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(385934), // Rule ID 64395 //
     /*  385885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385921 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385932 */     GIR_RootConstrainSelectedInstOperands,
     /*  385933 */     // GIR_Coverage, 64395,
     /*  385933 */     GIR_EraseRootFromParent_Done,
     /*  385934 */   // Label 6925: @385934
     /*  385934 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(385988), // Rule ID 64396 //
     /*  385939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385975 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385986 */     GIR_RootConstrainSelectedInstOperands,
     /*  385987 */     // GIR_Coverage, 64396,
     /*  385987 */     GIR_EraseRootFromParent_Done,
     /*  385988 */   // Label 6926: @385988
     /*  385988 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386042), // Rule ID 64398 //
     /*  385993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386029 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386040 */     GIR_RootConstrainSelectedInstOperands,
     /*  386041 */     // GIR_Coverage, 64398,
     /*  386041 */     GIR_EraseRootFromParent_Done,
     /*  386042 */   // Label 6927: @386042
     /*  386042 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386096), // Rule ID 64399 //
     /*  386047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386083 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386094 */     GIR_RootConstrainSelectedInstOperands,
     /*  386095 */     // GIR_Coverage, 64399,
     /*  386095 */     GIR_EraseRootFromParent_Done,
     /*  386096 */   // Label 6928: @386096
     /*  386096 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386150), // Rule ID 64401 //
     /*  386101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386137 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386148 */     GIR_RootConstrainSelectedInstOperands,
     /*  386149 */     // GIR_Coverage, 64401,
     /*  386149 */     GIR_EraseRootFromParent_Done,
     /*  386150 */   // Label 6929: @386150
     /*  386150 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386204), // Rule ID 64402 //
     /*  386155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386191 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386202 */     GIR_RootConstrainSelectedInstOperands,
     /*  386203 */     // GIR_Coverage, 64402,
     /*  386203 */     GIR_EraseRootFromParent_Done,
     /*  386204 */   // Label 6930: @386204
     /*  386204 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386258), // Rule ID 64404 //
     /*  386209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386245 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386256 */     GIR_RootConstrainSelectedInstOperands,
     /*  386257 */     // GIR_Coverage, 64404,
     /*  386257 */     GIR_EraseRootFromParent_Done,
     /*  386258 */   // Label 6931: @386258
     /*  386258 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386312), // Rule ID 64405 //
     /*  386263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386299 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386310 */     GIR_RootConstrainSelectedInstOperands,
     /*  386311 */     // GIR_Coverage, 64405,
     /*  386311 */     GIR_EraseRootFromParent_Done,
     /*  386312 */   // Label 6932: @386312
     /*  386312 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386366), // Rule ID 64407 //
     /*  386317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386353 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  386356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386364 */     GIR_RootConstrainSelectedInstOperands,
     /*  386365 */     // GIR_Coverage, 64407,
     /*  386365 */     GIR_EraseRootFromParent_Done,
     /*  386366 */   // Label 6933: @386366
     /*  386366 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386420), // Rule ID 64408 //
     /*  386371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386407 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  386410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386418 */     GIR_RootConstrainSelectedInstOperands,
     /*  386419 */     // GIR_Coverage, 64408,
     /*  386419 */     GIR_EraseRootFromParent_Done,
     /*  386420 */   // Label 6934: @386420
     /*  386420 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386474), // Rule ID 64410 //
     /*  386425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386461 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386472 */     GIR_RootConstrainSelectedInstOperands,
     /*  386473 */     // GIR_Coverage, 64410,
     /*  386473 */     GIR_EraseRootFromParent_Done,
     /*  386474 */   // Label 6935: @386474
     /*  386474 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386528), // Rule ID 64411 //
     /*  386479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386515 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386526 */     GIR_RootConstrainSelectedInstOperands,
     /*  386527 */     // GIR_Coverage, 64411,
     /*  386527 */     GIR_EraseRootFromParent_Done,
     /*  386528 */   // Label 6936: @386528
     /*  386528 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386582), // Rule ID 64348 //
     /*  386533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  386536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386569 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386580 */     GIR_RootConstrainSelectedInstOperands,
     /*  386581 */     // GIR_Coverage, 64348,
     /*  386581 */     GIR_EraseRootFromParent_Done,
     /*  386582 */   // Label 6937: @386582
     /*  386582 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386636), // Rule ID 64349 //
     /*  386587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  386590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386623 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386634 */     GIR_RootConstrainSelectedInstOperands,
     /*  386635 */     // GIR_Coverage, 64349,
     /*  386635 */     GIR_EraseRootFromParent_Done,
     /*  386636 */   // Label 6938: @386636
     /*  386636 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(386690), // Rule ID 64419 //
     /*  386641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386677 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386688 */     GIR_RootConstrainSelectedInstOperands,
     /*  386689 */     // GIR_Coverage, 64419,
     /*  386689 */     GIR_EraseRootFromParent_Done,
     /*  386690 */   // Label 6939: @386690
     /*  386690 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(386744), // Rule ID 64420 //
     /*  386695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386731 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386742 */     GIR_RootConstrainSelectedInstOperands,
     /*  386743 */     // GIR_Coverage, 64420,
     /*  386743 */     GIR_EraseRootFromParent_Done,
     /*  386744 */   // Label 6940: @386744
     /*  386744 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(386798), // Rule ID 64421 //
     /*  386749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386785 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386796 */     GIR_RootConstrainSelectedInstOperands,
     /*  386797 */     // GIR_Coverage, 64421,
     /*  386797 */     GIR_EraseRootFromParent_Done,
     /*  386798 */   // Label 6941: @386798
     /*  386798 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(386852), // Rule ID 64422 //
     /*  386803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386839 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386850 */     GIR_RootConstrainSelectedInstOperands,
     /*  386851 */     // GIR_Coverage, 64422,
     /*  386851 */     GIR_EraseRootFromParent_Done,
     /*  386852 */   // Label 6942: @386852
     /*  386852 */   GIM_Reject,
     /*  386853 */ // Label 4317: @386853
     /*  386853 */ GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(905630),
     /*  386858 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  386861 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(386936), // Rule ID 62752 //
     /*  386866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386884 */     // MIs[0] op1
     /*  386884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386892 */     // MIs[0] op2
     /*  386892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386900 */     // MIs[0] op3
     /*  386900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386915 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386934 */     GIR_RootConstrainSelectedInstOperands,
     /*  386935 */     // GIR_Coverage, 62752,
     /*  386935 */     GIR_EraseRootFromParent_Done,
     /*  386936 */   // Label 6944: @386936
     /*  386936 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387011), // Rule ID 62753 //
     /*  386941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386959 */     // MIs[0] op1
     /*  386959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386967 */     // MIs[0] op2
     /*  386967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386975 */     // MIs[0] op3
     /*  386975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387009 */     GIR_RootConstrainSelectedInstOperands,
     /*  387010 */     // GIR_Coverage, 62753,
     /*  387010 */     GIR_EraseRootFromParent_Done,
     /*  387011 */   // Label 6945: @387011
     /*  387011 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387086), // Rule ID 62784 //
     /*  387016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387034 */     // MIs[0] op1
     /*  387034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387042 */     // MIs[0] op2
     /*  387042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387050 */     // MIs[0] op3
     /*  387050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387084 */     GIR_RootConstrainSelectedInstOperands,
     /*  387085 */     // GIR_Coverage, 62784,
     /*  387085 */     GIR_EraseRootFromParent_Done,
     /*  387086 */   // Label 6946: @387086
     /*  387086 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387161), // Rule ID 62785 //
     /*  387091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387109 */     // MIs[0] op1
     /*  387109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387117 */     // MIs[0] op2
     /*  387117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387125 */     // MIs[0] op3
     /*  387125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387140 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387159 */     GIR_RootConstrainSelectedInstOperands,
     /*  387160 */     // GIR_Coverage, 62785,
     /*  387160 */     GIR_EraseRootFromParent_Done,
     /*  387161 */   // Label 6947: @387161
     /*  387161 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387236), // Rule ID 62828 //
     /*  387166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387184 */     // MIs[0] op1
     /*  387184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387192 */     // MIs[0] op2
     /*  387192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387200 */     // MIs[0] op3
     /*  387200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387215 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387234 */     GIR_RootConstrainSelectedInstOperands,
     /*  387235 */     // GIR_Coverage, 62828,
     /*  387235 */     GIR_EraseRootFromParent_Done,
     /*  387236 */   // Label 6948: @387236
     /*  387236 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387311), // Rule ID 62829 //
     /*  387241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387259 */     // MIs[0] op1
     /*  387259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387267 */     // MIs[0] op2
     /*  387267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387275 */     // MIs[0] op3
     /*  387275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387309 */     GIR_RootConstrainSelectedInstOperands,
     /*  387310 */     // GIR_Coverage, 62829,
     /*  387310 */     GIR_EraseRootFromParent_Done,
     /*  387311 */   // Label 6949: @387311
     /*  387311 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387386), // Rule ID 62872 //
     /*  387316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387334 */     // MIs[0] op1
     /*  387334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387342 */     // MIs[0] op2
     /*  387342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387350 */     // MIs[0] op3
     /*  387350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387370 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387372 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387374 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387384 */     GIR_RootConstrainSelectedInstOperands,
     /*  387385 */     // GIR_Coverage, 62872,
     /*  387385 */     GIR_EraseRootFromParent_Done,
     /*  387386 */   // Label 6950: @387386
     /*  387386 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387461), // Rule ID 62873 //
     /*  387391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387409 */     // MIs[0] op1
     /*  387409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387417 */     // MIs[0] op2
     /*  387417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387425 */     // MIs[0] op3
     /*  387425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387459 */     GIR_RootConstrainSelectedInstOperands,
     /*  387460 */     // GIR_Coverage, 62873,
     /*  387460 */     GIR_EraseRootFromParent_Done,
     /*  387461 */   // Label 6951: @387461
     /*  387461 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(387536), // Rule ID 62928 //
     /*  387466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387484 */     // MIs[0] op1
     /*  387484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387492 */     // MIs[0] op2
     /*  387492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387500 */     // MIs[0] op3
     /*  387500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387534 */     GIR_RootConstrainSelectedInstOperands,
     /*  387535 */     // GIR_Coverage, 62928,
     /*  387535 */     GIR_EraseRootFromParent_Done,
     /*  387536 */   // Label 6952: @387536
     /*  387536 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(387611), // Rule ID 62929 //
     /*  387541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387559 */     // MIs[0] op1
     /*  387559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387567 */     // MIs[0] op2
     /*  387567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387575 */     // MIs[0] op3
     /*  387575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387609 */     GIR_RootConstrainSelectedInstOperands,
     /*  387610 */     // GIR_Coverage, 62929,
     /*  387610 */     GIR_EraseRootFromParent_Done,
     /*  387611 */   // Label 6953: @387611
     /*  387611 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387686), // Rule ID 62984 //
     /*  387616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387634 */     // MIs[0] op1
     /*  387634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387642 */     // MIs[0] op2
     /*  387642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387650 */     // MIs[0] op3
     /*  387650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387684 */     GIR_RootConstrainSelectedInstOperands,
     /*  387685 */     // GIR_Coverage, 62984,
     /*  387685 */     GIR_EraseRootFromParent_Done,
     /*  387686 */   // Label 6954: @387686
     /*  387686 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(387761), // Rule ID 62985 //
     /*  387691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387709 */     // MIs[0] op1
     /*  387709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387717 */     // MIs[0] op2
     /*  387717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387725 */     // MIs[0] op3
     /*  387725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387745 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387747 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387749 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387759 */     GIR_RootConstrainSelectedInstOperands,
     /*  387760 */     // GIR_Coverage, 62985,
     /*  387760 */     GIR_EraseRootFromParent_Done,
     /*  387761 */   // Label 6955: @387761
     /*  387761 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(387836), // Rule ID 63040 //
     /*  387766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387784 */     // MIs[0] op1
     /*  387784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387792 */     // MIs[0] op2
     /*  387792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387800 */     // MIs[0] op3
     /*  387800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387820 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387822 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387824 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387834 */     GIR_RootConstrainSelectedInstOperands,
     /*  387835 */     // GIR_Coverage, 63040,
     /*  387835 */     GIR_EraseRootFromParent_Done,
     /*  387836 */   // Label 6956: @387836
     /*  387836 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(387911), // Rule ID 63041 //
     /*  387841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387859 */     // MIs[0] op1
     /*  387859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387867 */     // MIs[0] op2
     /*  387867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387875 */     // MIs[0] op3
     /*  387875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387895 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387897 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387899 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387909 */     GIR_RootConstrainSelectedInstOperands,
     /*  387910 */     // GIR_Coverage, 63041,
     /*  387910 */     GIR_EraseRootFromParent_Done,
     /*  387911 */   // Label 6957: @387911
     /*  387911 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(387986), // Rule ID 63084 //
     /*  387916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387934 */     // MIs[0] op1
     /*  387934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387942 */     // MIs[0] op2
     /*  387942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387950 */     // MIs[0] op3
     /*  387950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387984 */     GIR_RootConstrainSelectedInstOperands,
     /*  387985 */     // GIR_Coverage, 63084,
     /*  387985 */     GIR_EraseRootFromParent_Done,
     /*  387986 */   // Label 6958: @387986
     /*  387986 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388061), // Rule ID 63085 //
     /*  387991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388009 */     // MIs[0] op1
     /*  388009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388017 */     // MIs[0] op2
     /*  388017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388025 */     // MIs[0] op3
     /*  388025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388045 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388047 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388049 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388059 */     GIR_RootConstrainSelectedInstOperands,
     /*  388060 */     // GIR_Coverage, 63085,
     /*  388060 */     GIR_EraseRootFromParent_Done,
     /*  388061 */   // Label 6959: @388061
     /*  388061 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388136), // Rule ID 63140 //
     /*  388066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388084 */     // MIs[0] op1
     /*  388084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388092 */     // MIs[0] op2
     /*  388092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388100 */     // MIs[0] op3
     /*  388100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388134 */     GIR_RootConstrainSelectedInstOperands,
     /*  388135 */     // GIR_Coverage, 63140,
     /*  388135 */     GIR_EraseRootFromParent_Done,
     /*  388136 */   // Label 6960: @388136
     /*  388136 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388211), // Rule ID 63141 //
     /*  388141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388159 */     // MIs[0] op1
     /*  388159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388167 */     // MIs[0] op2
     /*  388167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388175 */     // MIs[0] op3
     /*  388175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388209 */     GIR_RootConstrainSelectedInstOperands,
     /*  388210 */     // GIR_Coverage, 63141,
     /*  388210 */     GIR_EraseRootFromParent_Done,
     /*  388211 */   // Label 6961: @388211
     /*  388211 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388286), // Rule ID 63196 //
     /*  388216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388234 */     // MIs[0] op1
     /*  388234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388242 */     // MIs[0] op2
     /*  388242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388250 */     // MIs[0] op3
     /*  388250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388284 */     GIR_RootConstrainSelectedInstOperands,
     /*  388285 */     // GIR_Coverage, 63196,
     /*  388285 */     GIR_EraseRootFromParent_Done,
     /*  388286 */   // Label 6962: @388286
     /*  388286 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388361), // Rule ID 63197 //
     /*  388291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388309 */     // MIs[0] op1
     /*  388309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388317 */     // MIs[0] op2
     /*  388317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388325 */     // MIs[0] op3
     /*  388325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  388343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388359 */     GIR_RootConstrainSelectedInstOperands,
     /*  388360 */     // GIR_Coverage, 63197,
     /*  388360 */     GIR_EraseRootFromParent_Done,
     /*  388361 */   // Label 6963: @388361
     /*  388361 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388436), // Rule ID 63252 //
     /*  388366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388384 */     // MIs[0] op1
     /*  388384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388392 */     // MIs[0] op2
     /*  388392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388400 */     // MIs[0] op3
     /*  388400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388434 */     GIR_RootConstrainSelectedInstOperands,
     /*  388435 */     // GIR_Coverage, 63252,
     /*  388435 */     GIR_EraseRootFromParent_Done,
     /*  388436 */   // Label 6964: @388436
     /*  388436 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388511), // Rule ID 63253 //
     /*  388441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388459 */     // MIs[0] op1
     /*  388459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388467 */     // MIs[0] op2
     /*  388467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388475 */     // MIs[0] op3
     /*  388475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388509 */     GIR_RootConstrainSelectedInstOperands,
     /*  388510 */     // GIR_Coverage, 63253,
     /*  388510 */     GIR_EraseRootFromParent_Done,
     /*  388511 */   // Label 6965: @388511
     /*  388511 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(388586), // Rule ID 63296 //
     /*  388516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388534 */     // MIs[0] op1
     /*  388534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388542 */     // MIs[0] op2
     /*  388542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388550 */     // MIs[0] op3
     /*  388550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388565 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388570 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388572 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388574 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388584 */     GIR_RootConstrainSelectedInstOperands,
     /*  388585 */     // GIR_Coverage, 63296,
     /*  388585 */     GIR_EraseRootFromParent_Done,
     /*  388586 */   // Label 6966: @388586
     /*  388586 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(388661), // Rule ID 63297 //
     /*  388591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388609 */     // MIs[0] op1
     /*  388609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388617 */     // MIs[0] op2
     /*  388617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388625 */     // MIs[0] op3
     /*  388625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388645 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388647 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388649 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388659 */     GIR_RootConstrainSelectedInstOperands,
     /*  388660 */     // GIR_Coverage, 63297,
     /*  388660 */     GIR_EraseRootFromParent_Done,
     /*  388661 */   // Label 6967: @388661
     /*  388661 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388736), // Rule ID 63340 //
     /*  388666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388684 */     // MIs[0] op1
     /*  388684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388692 */     // MIs[0] op2
     /*  388692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388700 */     // MIs[0] op3
     /*  388700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388715 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388734 */     GIR_RootConstrainSelectedInstOperands,
     /*  388735 */     // GIR_Coverage, 63340,
     /*  388735 */     GIR_EraseRootFromParent_Done,
     /*  388736 */   // Label 6968: @388736
     /*  388736 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388811), // Rule ID 63341 //
     /*  388741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388759 */     // MIs[0] op1
     /*  388759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388767 */     // MIs[0] op2
     /*  388767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388775 */     // MIs[0] op3
     /*  388775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388795 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388797 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388799 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388809 */     GIR_RootConstrainSelectedInstOperands,
     /*  388810 */     // GIR_Coverage, 63341,
     /*  388810 */     GIR_EraseRootFromParent_Done,
     /*  388811 */   // Label 6969: @388811
     /*  388811 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388886), // Rule ID 63384 //
     /*  388816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388834 */     // MIs[0] op1
     /*  388834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388842 */     // MIs[0] op2
     /*  388842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388850 */     // MIs[0] op3
     /*  388850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388870 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388872 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388874 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388884 */     GIR_RootConstrainSelectedInstOperands,
     /*  388885 */     // GIR_Coverage, 63384,
     /*  388885 */     GIR_EraseRootFromParent_Done,
     /*  388886 */   // Label 6970: @388886
     /*  388886 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(388961), // Rule ID 63385 //
     /*  388891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388909 */     // MIs[0] op1
     /*  388909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388917 */     // MIs[0] op2
     /*  388917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388925 */     // MIs[0] op3
     /*  388925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388945 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388947 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388949 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388959 */     GIR_RootConstrainSelectedInstOperands,
     /*  388960 */     // GIR_Coverage, 63385,
     /*  388960 */     GIR_EraseRootFromParent_Done,
     /*  388961 */   // Label 6971: @388961
     /*  388961 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389036), // Rule ID 63440 //
     /*  388966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388984 */     // MIs[0] op1
     /*  388984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388992 */     // MIs[0] op2
     /*  388992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389000 */     // MIs[0] op3
     /*  389000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389015 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389034 */     GIR_RootConstrainSelectedInstOperands,
     /*  389035 */     // GIR_Coverage, 63440,
     /*  389035 */     GIR_EraseRootFromParent_Done,
     /*  389036 */   // Label 6972: @389036
     /*  389036 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389111), // Rule ID 63441 //
     /*  389041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389059 */     // MIs[0] op1
     /*  389059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389067 */     // MIs[0] op2
     /*  389067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389075 */     // MIs[0] op3
     /*  389075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389095 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389097 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389099 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389109 */     GIR_RootConstrainSelectedInstOperands,
     /*  389110 */     // GIR_Coverage, 63441,
     /*  389110 */     GIR_EraseRootFromParent_Done,
     /*  389111 */   // Label 6973: @389111
     /*  389111 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389186), // Rule ID 63496 //
     /*  389116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389134 */     // MIs[0] op1
     /*  389134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389142 */     // MIs[0] op2
     /*  389142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389150 */     // MIs[0] op3
     /*  389150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389184 */     GIR_RootConstrainSelectedInstOperands,
     /*  389185 */     // GIR_Coverage, 63496,
     /*  389185 */     GIR_EraseRootFromParent_Done,
     /*  389186 */   // Label 6974: @389186
     /*  389186 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389261), // Rule ID 63497 //
     /*  389191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389209 */     // MIs[0] op1
     /*  389209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389217 */     // MIs[0] op2
     /*  389217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389225 */     // MIs[0] op3
     /*  389225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389259 */     GIR_RootConstrainSelectedInstOperands,
     /*  389260 */     // GIR_Coverage, 63497,
     /*  389260 */     GIR_EraseRootFromParent_Done,
     /*  389261 */   // Label 6975: @389261
     /*  389261 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389336), // Rule ID 63552 //
     /*  389266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389284 */     // MIs[0] op1
     /*  389284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389292 */     // MIs[0] op2
     /*  389292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389300 */     // MIs[0] op3
     /*  389300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389334 */     GIR_RootConstrainSelectedInstOperands,
     /*  389335 */     // GIR_Coverage, 63552,
     /*  389335 */     GIR_EraseRootFromParent_Done,
     /*  389336 */   // Label 6976: @389336
     /*  389336 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389411), // Rule ID 63553 //
     /*  389341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389359 */     // MIs[0] op1
     /*  389359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389367 */     // MIs[0] op2
     /*  389367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389375 */     // MIs[0] op3
     /*  389375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389409 */     GIR_RootConstrainSelectedInstOperands,
     /*  389410 */     // GIR_Coverage, 63553,
     /*  389410 */     GIR_EraseRootFromParent_Done,
     /*  389411 */   // Label 6977: @389411
     /*  389411 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389486), // Rule ID 63608 //
     /*  389416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389434 */     // MIs[0] op1
     /*  389434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389442 */     // MIs[0] op2
     /*  389442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389450 */     // MIs[0] op3
     /*  389450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389484 */     GIR_RootConstrainSelectedInstOperands,
     /*  389485 */     // GIR_Coverage, 63608,
     /*  389485 */     GIR_EraseRootFromParent_Done,
     /*  389486 */   // Label 6978: @389486
     /*  389486 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389561), // Rule ID 63609 //
     /*  389491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389509 */     // MIs[0] op1
     /*  389509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389517 */     // MIs[0] op2
     /*  389517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389525 */     // MIs[0] op3
     /*  389525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389545 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389547 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389549 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389559 */     GIR_RootConstrainSelectedInstOperands,
     /*  389560 */     // GIR_Coverage, 63609,
     /*  389560 */     GIR_EraseRootFromParent_Done,
     /*  389561 */   // Label 6979: @389561
     /*  389561 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389636), // Rule ID 63664 //
     /*  389566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389584 */     // MIs[0] op1
     /*  389584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389592 */     // MIs[0] op2
     /*  389592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389600 */     // MIs[0] op3
     /*  389600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389634 */     GIR_RootConstrainSelectedInstOperands,
     /*  389635 */     // GIR_Coverage, 63664,
     /*  389635 */     GIR_EraseRootFromParent_Done,
     /*  389636 */   // Label 6980: @389636
     /*  389636 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389711), // Rule ID 63665 //
     /*  389641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389659 */     // MIs[0] op1
     /*  389659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389667 */     // MIs[0] op2
     /*  389667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389675 */     // MIs[0] op3
     /*  389675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389709 */     GIR_RootConstrainSelectedInstOperands,
     /*  389710 */     // GIR_Coverage, 63665,
     /*  389710 */     GIR_EraseRootFromParent_Done,
     /*  389711 */   // Label 6981: @389711
     /*  389711 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389786), // Rule ID 63720 //
     /*  389716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389734 */     // MIs[0] op1
     /*  389734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389742 */     // MIs[0] op2
     /*  389742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389750 */     // MIs[0] op3
     /*  389750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389784 */     GIR_RootConstrainSelectedInstOperands,
     /*  389785 */     // GIR_Coverage, 63720,
     /*  389785 */     GIR_EraseRootFromParent_Done,
     /*  389786 */   // Label 6982: @389786
     /*  389786 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389861), // Rule ID 63721 //
     /*  389791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389809 */     // MIs[0] op1
     /*  389809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389817 */     // MIs[0] op2
     /*  389817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389825 */     // MIs[0] op3
     /*  389825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389859 */     GIR_RootConstrainSelectedInstOperands,
     /*  389860 */     // GIR_Coverage, 63721,
     /*  389860 */     GIR_EraseRootFromParent_Done,
     /*  389861 */   // Label 6983: @389861
     /*  389861 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389936), // Rule ID 63776 //
     /*  389866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389884 */     // MIs[0] op1
     /*  389884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389892 */     // MIs[0] op2
     /*  389892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389900 */     // MIs[0] op3
     /*  389900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389934 */     GIR_RootConstrainSelectedInstOperands,
     /*  389935 */     // GIR_Coverage, 63776,
     /*  389935 */     GIR_EraseRootFromParent_Done,
     /*  389936 */   // Label 6984: @389936
     /*  389936 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(390011), // Rule ID 63777 //
     /*  389941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389959 */     // MIs[0] op1
     /*  389959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389967 */     // MIs[0] op2
     /*  389967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389975 */     // MIs[0] op3
     /*  389975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390009 */     GIR_RootConstrainSelectedInstOperands,
     /*  390010 */     // GIR_Coverage, 63777,
     /*  390010 */     GIR_EraseRootFromParent_Done,
     /*  390011 */   // Label 6985: @390011
     /*  390011 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390086), // Rule ID 63832 //
     /*  390016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390034 */     // MIs[0] op1
     /*  390034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390042 */     // MIs[0] op2
     /*  390042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390050 */     // MIs[0] op3
     /*  390050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390065 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  390068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390084 */     GIR_RootConstrainSelectedInstOperands,
     /*  390085 */     // GIR_Coverage, 63832,
     /*  390085 */     GIR_EraseRootFromParent_Done,
     /*  390086 */   // Label 6986: @390086
     /*  390086 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390161), // Rule ID 63833 //
     /*  390091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390109 */     // MIs[0] op1
     /*  390109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390117 */     // MIs[0] op2
     /*  390117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390125 */     // MIs[0] op3
     /*  390125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  390143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390159 */     GIR_RootConstrainSelectedInstOperands,
     /*  390160 */     // GIR_Coverage, 63833,
     /*  390160 */     GIR_EraseRootFromParent_Done,
     /*  390161 */   // Label 6987: @390161
     /*  390161 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390235), // Rule ID 62734 //
     /*  390166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390187 */     // MIs[0] op1
     /*  390187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390195 */     // MIs[0] op2
     /*  390195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  390217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390219 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390221 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390223 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390233 */     GIR_RootConstrainSelectedInstOperands,
     /*  390234 */     // GIR_Coverage, 62734,
     /*  390234 */     GIR_EraseRootFromParent_Done,
     /*  390235 */   // Label 6988: @390235
     /*  390235 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390309), // Rule ID 62735 //
     /*  390240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390261 */     // MIs[0] op1
     /*  390261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390269 */     // MIs[0] op2
     /*  390269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  390291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390293 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390295 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390297 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390307 */     GIR_RootConstrainSelectedInstOperands,
     /*  390308 */     // GIR_Coverage, 62735,
     /*  390308 */     GIR_EraseRootFromParent_Done,
     /*  390309 */   // Label 6989: @390309
     /*  390309 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390383), // Rule ID 62780 //
     /*  390314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390335 */     // MIs[0] op1
     /*  390335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390343 */     // MIs[0] op2
     /*  390343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390362 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390381 */     GIR_RootConstrainSelectedInstOperands,
     /*  390382 */     // GIR_Coverage, 62780,
     /*  390382 */     GIR_EraseRootFromParent_Done,
     /*  390383 */   // Label 6990: @390383
     /*  390383 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390457), // Rule ID 62781 //
     /*  390388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390409 */     // MIs[0] op1
     /*  390409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390417 */     // MIs[0] op2
     /*  390417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390455 */     GIR_RootConstrainSelectedInstOperands,
     /*  390456 */     // GIR_Coverage, 62781,
     /*  390456 */     GIR_EraseRootFromParent_Done,
     /*  390457 */   // Label 6991: @390457
     /*  390457 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390531), // Rule ID 62824 //
     /*  390462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390483 */     // MIs[0] op1
     /*  390483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390491 */     // MIs[0] op2
     /*  390491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390510 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390515 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390517 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390519 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390529 */     GIR_RootConstrainSelectedInstOperands,
     /*  390530 */     // GIR_Coverage, 62824,
     /*  390530 */     GIR_EraseRootFromParent_Done,
     /*  390531 */   // Label 6992: @390531
     /*  390531 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390605), // Rule ID 62825 //
     /*  390536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390557 */     // MIs[0] op1
     /*  390557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390565 */     // MIs[0] op2
     /*  390565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390584 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390603 */     GIR_RootConstrainSelectedInstOperands,
     /*  390604 */     // GIR_Coverage, 62825,
     /*  390604 */     GIR_EraseRootFromParent_Done,
     /*  390605 */   // Label 6993: @390605
     /*  390605 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390679), // Rule ID 62868 //
     /*  390610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390631 */     // MIs[0] op1
     /*  390631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390639 */     // MIs[0] op2
     /*  390639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390677 */     GIR_RootConstrainSelectedInstOperands,
     /*  390678 */     // GIR_Coverage, 62868,
     /*  390678 */     GIR_EraseRootFromParent_Done,
     /*  390679 */   // Label 6994: @390679
     /*  390679 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390753), // Rule ID 62869 //
     /*  390684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390705 */     // MIs[0] op1
     /*  390705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390713 */     // MIs[0] op2
     /*  390713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390737 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390739 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390741 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390751 */     GIR_RootConstrainSelectedInstOperands,
     /*  390752 */     // GIR_Coverage, 62869,
     /*  390752 */     GIR_EraseRootFromParent_Done,
     /*  390753 */   // Label 6995: @390753
     /*  390753 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390827), // Rule ID 62924 //
     /*  390758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390779 */     // MIs[0] op1
     /*  390779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390787 */     // MIs[0] op2
     /*  390787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390811 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390813 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390815 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390825 */     GIR_RootConstrainSelectedInstOperands,
     /*  390826 */     // GIR_Coverage, 62924,
     /*  390826 */     GIR_EraseRootFromParent_Done,
     /*  390827 */   // Label 6996: @390827
     /*  390827 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390901), // Rule ID 62925 //
     /*  390832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390853 */     // MIs[0] op1
     /*  390853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390861 */     // MIs[0] op2
     /*  390861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390899 */     GIR_RootConstrainSelectedInstOperands,
     /*  390900 */     // GIR_Coverage, 62925,
     /*  390900 */     GIR_EraseRootFromParent_Done,
     /*  390901 */   // Label 6997: @390901
     /*  390901 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390975), // Rule ID 62980 //
     /*  390906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390927 */     // MIs[0] op1
     /*  390927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390935 */     // MIs[0] op2
     /*  390935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390959 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390961 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390963 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390973 */     GIR_RootConstrainSelectedInstOperands,
     /*  390974 */     // GIR_Coverage, 62980,
     /*  390974 */     GIR_EraseRootFromParent_Done,
     /*  390975 */   // Label 6998: @390975
     /*  390975 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(391049), // Rule ID 62981 //
     /*  390980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391001 */     // MIs[0] op1
     /*  391001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391009 */     // MIs[0] op2
     /*  391009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  391031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391047 */     GIR_RootConstrainSelectedInstOperands,
     /*  391048 */     // GIR_Coverage, 62981,
     /*  391048 */     GIR_EraseRootFromParent_Done,
     /*  391049 */   // Label 6999: @391049
     /*  391049 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(391123), // Rule ID 63036 //
     /*  391054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391075 */     // MIs[0] op1
     /*  391075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391083 */     // MIs[0] op2
     /*  391083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391107 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391109 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391111 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391121 */     GIR_RootConstrainSelectedInstOperands,
     /*  391122 */     // GIR_Coverage, 63036,
     /*  391122 */     GIR_EraseRootFromParent_Done,
     /*  391123 */   // Label 7000: @391123
     /*  391123 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391197), // Rule ID 63037 //
     /*  391128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391149 */     // MIs[0] op1
     /*  391149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391157 */     // MIs[0] op2
     /*  391157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391195 */     GIR_RootConstrainSelectedInstOperands,
     /*  391196 */     // GIR_Coverage, 63037,
     /*  391196 */     GIR_EraseRootFromParent_Done,
     /*  391197 */   // Label 7001: @391197
     /*  391197 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391271), // Rule ID 63080 //
     /*  391202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391223 */     // MIs[0] op1
     /*  391223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391231 */     // MIs[0] op2
     /*  391231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391255 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391257 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391259 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391269 */     GIR_RootConstrainSelectedInstOperands,
     /*  391270 */     // GIR_Coverage, 63080,
     /*  391270 */     GIR_EraseRootFromParent_Done,
     /*  391271 */   // Label 7002: @391271
     /*  391271 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391345), // Rule ID 63081 //
     /*  391276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391297 */     // MIs[0] op1
     /*  391297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391305 */     // MIs[0] op2
     /*  391305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391329 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391331 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391333 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391343 */     GIR_RootConstrainSelectedInstOperands,
     /*  391344 */     // GIR_Coverage, 63081,
     /*  391344 */     GIR_EraseRootFromParent_Done,
     /*  391345 */   // Label 7003: @391345
     /*  391345 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391419), // Rule ID 63136 //
     /*  391350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391371 */     // MIs[0] op1
     /*  391371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391379 */     // MIs[0] op2
     /*  391379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391417 */     GIR_RootConstrainSelectedInstOperands,
     /*  391418 */     // GIR_Coverage, 63136,
     /*  391418 */     GIR_EraseRootFromParent_Done,
     /*  391419 */   // Label 7004: @391419
     /*  391419 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391493), // Rule ID 63137 //
     /*  391424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391445 */     // MIs[0] op1
     /*  391445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391453 */     // MIs[0] op2
     /*  391453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391491 */     GIR_RootConstrainSelectedInstOperands,
     /*  391492 */     // GIR_Coverage, 63137,
     /*  391492 */     GIR_EraseRootFromParent_Done,
     /*  391493 */   // Label 7005: @391493
     /*  391493 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391567), // Rule ID 63192 //
     /*  391498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391519 */     // MIs[0] op1
     /*  391519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391527 */     // MIs[0] op2
     /*  391527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391551 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391553 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391555 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391565 */     GIR_RootConstrainSelectedInstOperands,
     /*  391566 */     // GIR_Coverage, 63192,
     /*  391566 */     GIR_EraseRootFromParent_Done,
     /*  391567 */   // Label 7006: @391567
     /*  391567 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391641), // Rule ID 63193 //
     /*  391572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391593 */     // MIs[0] op1
     /*  391593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391601 */     // MIs[0] op2
     /*  391601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391639 */     GIR_RootConstrainSelectedInstOperands,
     /*  391640 */     // GIR_Coverage, 63193,
     /*  391640 */     GIR_EraseRootFromParent_Done,
     /*  391641 */   // Label 7007: @391641
     /*  391641 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391715), // Rule ID 63248 //
     /*  391646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391667 */     // MIs[0] op1
     /*  391667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391675 */     // MIs[0] op2
     /*  391675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391713 */     GIR_RootConstrainSelectedInstOperands,
     /*  391714 */     // GIR_Coverage, 63248,
     /*  391714 */     GIR_EraseRootFromParent_Done,
     /*  391715 */   // Label 7008: @391715
     /*  391715 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391789), // Rule ID 63249 //
     /*  391720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391741 */     // MIs[0] op1
     /*  391741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391749 */     // MIs[0] op2
     /*  391749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391787 */     GIR_RootConstrainSelectedInstOperands,
     /*  391788 */     // GIR_Coverage, 63249,
     /*  391788 */     GIR_EraseRootFromParent_Done,
     /*  391789 */   // Label 7009: @391789
     /*  391789 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391863), // Rule ID 63292 //
     /*  391794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391815 */     // MIs[0] op1
     /*  391815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391823 */     // MIs[0] op2
     /*  391823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391847 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391849 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391851 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391861 */     GIR_RootConstrainSelectedInstOperands,
     /*  391862 */     // GIR_Coverage, 63292,
     /*  391862 */     GIR_EraseRootFromParent_Done,
     /*  391863 */   // Label 7010: @391863
     /*  391863 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391937), // Rule ID 63293 //
     /*  391868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391889 */     // MIs[0] op1
     /*  391889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391897 */     // MIs[0] op2
     /*  391897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391916 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391935 */     GIR_RootConstrainSelectedInstOperands,
     /*  391936 */     // GIR_Coverage, 63293,
     /*  391936 */     GIR_EraseRootFromParent_Done,
     /*  391937 */   // Label 7011: @391937
     /*  391937 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(392011), // Rule ID 63336 //
     /*  391942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391963 */     // MIs[0] op1
     /*  391963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391971 */     // MIs[0] op2
     /*  391971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391990 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392009 */     GIR_RootConstrainSelectedInstOperands,
     /*  392010 */     // GIR_Coverage, 63336,
     /*  392010 */     GIR_EraseRootFromParent_Done,
     /*  392011 */   // Label 7012: @392011
     /*  392011 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(392085), // Rule ID 63337 //
     /*  392016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392037 */     // MIs[0] op1
     /*  392037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392045 */     // MIs[0] op2
     /*  392045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392083 */     GIR_RootConstrainSelectedInstOperands,
     /*  392084 */     // GIR_Coverage, 63337,
     /*  392084 */     GIR_EraseRootFromParent_Done,
     /*  392085 */   // Label 7013: @392085
     /*  392085 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(392159), // Rule ID 63380 //
     /*  392090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392111 */     // MIs[0] op1
     /*  392111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392119 */     // MIs[0] op2
     /*  392119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392143 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392145 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392147 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392157 */     GIR_RootConstrainSelectedInstOperands,
     /*  392158 */     // GIR_Coverage, 63380,
     /*  392158 */     GIR_EraseRootFromParent_Done,
     /*  392159 */   // Label 7014: @392159
     /*  392159 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392233), // Rule ID 63381 //
     /*  392164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392185 */     // MIs[0] op1
     /*  392185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392193 */     // MIs[0] op2
     /*  392193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392231 */     GIR_RootConstrainSelectedInstOperands,
     /*  392232 */     // GIR_Coverage, 63381,
     /*  392232 */     GIR_EraseRootFromParent_Done,
     /*  392233 */   // Label 7015: @392233
     /*  392233 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392307), // Rule ID 63436 //
     /*  392238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392259 */     // MIs[0] op1
     /*  392259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392267 */     // MIs[0] op2
     /*  392267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392305 */     GIR_RootConstrainSelectedInstOperands,
     /*  392306 */     // GIR_Coverage, 63436,
     /*  392306 */     GIR_EraseRootFromParent_Done,
     /*  392307 */   // Label 7016: @392307
     /*  392307 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392381), // Rule ID 63437 //
     /*  392312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392333 */     // MIs[0] op1
     /*  392333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392341 */     // MIs[0] op2
     /*  392341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392379 */     GIR_RootConstrainSelectedInstOperands,
     /*  392380 */     // GIR_Coverage, 63437,
     /*  392380 */     GIR_EraseRootFromParent_Done,
     /*  392381 */   // Label 7017: @392381
     /*  392381 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392455), // Rule ID 63492 //
     /*  392386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392407 */     // MIs[0] op1
     /*  392407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392415 */     // MIs[0] op2
     /*  392415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392439 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392441 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392443 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392453 */     GIR_RootConstrainSelectedInstOperands,
     /*  392454 */     // GIR_Coverage, 63492,
     /*  392454 */     GIR_EraseRootFromParent_Done,
     /*  392455 */   // Label 7018: @392455
     /*  392455 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392529), // Rule ID 63493 //
     /*  392460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392481 */     // MIs[0] op1
     /*  392481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392489 */     // MIs[0] op2
     /*  392489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392527 */     GIR_RootConstrainSelectedInstOperands,
     /*  392528 */     // GIR_Coverage, 63493,
     /*  392528 */     GIR_EraseRootFromParent_Done,
     /*  392529 */   // Label 7019: @392529
     /*  392529 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392603), // Rule ID 63548 //
     /*  392534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392555 */     // MIs[0] op1
     /*  392555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392563 */     // MIs[0] op2
     /*  392563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392587 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392589 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392591 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392601 */     GIR_RootConstrainSelectedInstOperands,
     /*  392602 */     // GIR_Coverage, 63548,
     /*  392602 */     GIR_EraseRootFromParent_Done,
     /*  392603 */   // Label 7020: @392603
     /*  392603 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392677), // Rule ID 63549 //
     /*  392608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392629 */     // MIs[0] op1
     /*  392629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392637 */     // MIs[0] op2
     /*  392637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392661 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392663 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392665 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392675 */     GIR_RootConstrainSelectedInstOperands,
     /*  392676 */     // GIR_Coverage, 63549,
     /*  392676 */     GIR_EraseRootFromParent_Done,
     /*  392677 */   // Label 7021: @392677
     /*  392677 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392751), // Rule ID 63604 //
     /*  392682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392703 */     // MIs[0] op1
     /*  392703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392711 */     // MIs[0] op2
     /*  392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392749 */     GIR_RootConstrainSelectedInstOperands,
     /*  392750 */     // GIR_Coverage, 63604,
     /*  392750 */     GIR_EraseRootFromParent_Done,
     /*  392751 */   // Label 7022: @392751
     /*  392751 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392825), // Rule ID 63605 //
     /*  392756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392777 */     // MIs[0] op1
     /*  392777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392785 */     // MIs[0] op2
     /*  392785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392823 */     GIR_RootConstrainSelectedInstOperands,
     /*  392824 */     // GIR_Coverage, 63605,
     /*  392824 */     GIR_EraseRootFromParent_Done,
     /*  392825 */   // Label 7023: @392825
     /*  392825 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392899), // Rule ID 63660 //
     /*  392830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392851 */     // MIs[0] op1
     /*  392851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392859 */     // MIs[0] op2
     /*  392859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392883 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392885 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392887 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392897 */     GIR_RootConstrainSelectedInstOperands,
     /*  392898 */     // GIR_Coverage, 63660,
     /*  392898 */     GIR_EraseRootFromParent_Done,
     /*  392899 */   // Label 7024: @392899
     /*  392899 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392973), // Rule ID 63661 //
     /*  392904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392925 */     // MIs[0] op1
     /*  392925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392933 */     // MIs[0] op2
     /*  392933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392957 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392959 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392961 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392971 */     GIR_RootConstrainSelectedInstOperands,
     /*  392972 */     // GIR_Coverage, 63661,
     /*  392972 */     GIR_EraseRootFromParent_Done,
     /*  392973 */   // Label 7025: @392973
     /*  392973 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(393047), // Rule ID 63716 //
     /*  392978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392999 */     // MIs[0] op1
     /*  392999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393007 */     // MIs[0] op2
     /*  393007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  393029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393045 */     GIR_RootConstrainSelectedInstOperands,
     /*  393046 */     // GIR_Coverage, 63716,
     /*  393046 */     GIR_EraseRootFromParent_Done,
     /*  393047 */   // Label 7026: @393047
     /*  393047 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(393121), // Rule ID 63717 //
     /*  393052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393073 */     // MIs[0] op1
     /*  393073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393081 */     // MIs[0] op2
     /*  393081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  393103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393119 */     GIR_RootConstrainSelectedInstOperands,
     /*  393120 */     // GIR_Coverage, 63717,
     /*  393120 */     GIR_EraseRootFromParent_Done,
     /*  393121 */   // Label 7027: @393121
     /*  393121 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(393195), // Rule ID 63772 //
     /*  393126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393147 */     // MIs[0] op1
     /*  393147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393155 */     // MIs[0] op2
     /*  393155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  393177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393193 */     GIR_RootConstrainSelectedInstOperands,
     /*  393194 */     // GIR_Coverage, 63772,
     /*  393194 */     GIR_EraseRootFromParent_Done,
     /*  393195 */   // Label 7028: @393195
     /*  393195 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393269), // Rule ID 63773 //
     /*  393200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393221 */     // MIs[0] op1
     /*  393221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393229 */     // MIs[0] op2
     /*  393229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  393251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393267 */     GIR_RootConstrainSelectedInstOperands,
     /*  393268 */     // GIR_Coverage, 63773,
     /*  393268 */     GIR_EraseRootFromParent_Done,
     /*  393269 */   // Label 7029: @393269
     /*  393269 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393343), // Rule ID 63828 //
     /*  393274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393295 */     // MIs[0] op1
     /*  393295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393303 */     // MIs[0] op2
     /*  393303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  393325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393341 */     GIR_RootConstrainSelectedInstOperands,
     /*  393342 */     // GIR_Coverage, 63828,
     /*  393342 */     GIR_EraseRootFromParent_Done,
     /*  393343 */   // Label 7030: @393343
     /*  393343 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393417), // Rule ID 63829 //
     /*  393348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393369 */     // MIs[0] op1
     /*  393369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393377 */     // MIs[0] op2
     /*  393377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  393399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393415 */     GIR_RootConstrainSelectedInstOperands,
     /*  393416 */     // GIR_Coverage, 63829,
     /*  393416 */     GIR_EraseRootFromParent_Done,
     /*  393417 */   // Label 7031: @393417
     /*  393417 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393491), // Rule ID 62758 //
     /*  393422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393443 */     // MIs[0] op1
     /*  393443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393455 */     // MIs[0] op3
     /*  393455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393470 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393489 */     GIR_RootConstrainSelectedInstOperands,
     /*  393490 */     // GIR_Coverage, 62758,
     /*  393490 */     GIR_EraseRootFromParent_Done,
     /*  393491 */   // Label 7032: @393491
     /*  393491 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393565), // Rule ID 62759 //
     /*  393496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393517 */     // MIs[0] op1
     /*  393517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393529 */     // MIs[0] op3
     /*  393529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393549 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393551 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393553 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393563 */     GIR_RootConstrainSelectedInstOperands,
     /*  393564 */     // GIR_Coverage, 62759,
     /*  393564 */     GIR_EraseRootFromParent_Done,
     /*  393565 */   // Label 7033: @393565
     /*  393565 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393639), // Rule ID 62796 //
     /*  393570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393591 */     // MIs[0] op1
     /*  393591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393603 */     // MIs[0] op3
     /*  393603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393637 */     GIR_RootConstrainSelectedInstOperands,
     /*  393638 */     // GIR_Coverage, 62796,
     /*  393638 */     GIR_EraseRootFromParent_Done,
     /*  393639 */   // Label 7034: @393639
     /*  393639 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393713), // Rule ID 62797 //
     /*  393644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393665 */     // MIs[0] op1
     /*  393665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393677 */     // MIs[0] op3
     /*  393677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393711 */     GIR_RootConstrainSelectedInstOperands,
     /*  393712 */     // GIR_Coverage, 62797,
     /*  393712 */     GIR_EraseRootFromParent_Done,
     /*  393713 */   // Label 7035: @393713
     /*  393713 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393787), // Rule ID 62840 //
     /*  393718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393739 */     // MIs[0] op1
     /*  393739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393751 */     // MIs[0] op3
     /*  393751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393785 */     GIR_RootConstrainSelectedInstOperands,
     /*  393786 */     // GIR_Coverage, 62840,
     /*  393786 */     GIR_EraseRootFromParent_Done,
     /*  393787 */   // Label 7036: @393787
     /*  393787 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393861), // Rule ID 62841 //
     /*  393792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393813 */     // MIs[0] op1
     /*  393813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393825 */     // MIs[0] op3
     /*  393825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393859 */     GIR_RootConstrainSelectedInstOperands,
     /*  393860 */     // GIR_Coverage, 62841,
     /*  393860 */     GIR_EraseRootFromParent_Done,
     /*  393861 */   // Label 7037: @393861
     /*  393861 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393935), // Rule ID 62884 //
     /*  393866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393887 */     // MIs[0] op1
     /*  393887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393899 */     // MIs[0] op3
     /*  393899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393933 */     GIR_RootConstrainSelectedInstOperands,
     /*  393934 */     // GIR_Coverage, 62884,
     /*  393934 */     GIR_EraseRootFromParent_Done,
     /*  393935 */   // Label 7038: @393935
     /*  393935 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(394009), // Rule ID 62885 //
     /*  393940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393961 */     // MIs[0] op1
     /*  393961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393973 */     // MIs[0] op3
     /*  393973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393993 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393995 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393997 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394007 */     GIR_RootConstrainSelectedInstOperands,
     /*  394008 */     // GIR_Coverage, 62885,
     /*  394008 */     GIR_EraseRootFromParent_Done,
     /*  394009 */   // Label 7039: @394009
     /*  394009 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(394083), // Rule ID 62940 //
     /*  394014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394035 */     // MIs[0] op1
     /*  394035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394047 */     // MIs[0] op3
     /*  394047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394081 */     GIR_RootConstrainSelectedInstOperands,
     /*  394082 */     // GIR_Coverage, 62940,
     /*  394082 */     GIR_EraseRootFromParent_Done,
     /*  394083 */   // Label 7040: @394083
     /*  394083 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(394157), // Rule ID 62941 //
     /*  394088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394109 */     // MIs[0] op1
     /*  394109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394121 */     // MIs[0] op3
     /*  394121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394155 */     GIR_RootConstrainSelectedInstOperands,
     /*  394156 */     // GIR_Coverage, 62941,
     /*  394156 */     GIR_EraseRootFromParent_Done,
     /*  394157 */   // Label 7041: @394157
     /*  394157 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394231), // Rule ID 62996 //
     /*  394162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394183 */     // MIs[0] op1
     /*  394183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394195 */     // MIs[0] op3
     /*  394195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394229 */     GIR_RootConstrainSelectedInstOperands,
     /*  394230 */     // GIR_Coverage, 62996,
     /*  394230 */     GIR_EraseRootFromParent_Done,
     /*  394231 */   // Label 7042: @394231
     /*  394231 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394305), // Rule ID 62997 //
     /*  394236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394257 */     // MIs[0] op1
     /*  394257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394269 */     // MIs[0] op3
     /*  394269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  394287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394289 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394291 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394293 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394303 */     GIR_RootConstrainSelectedInstOperands,
     /*  394304 */     // GIR_Coverage, 62997,
     /*  394304 */     GIR_EraseRootFromParent_Done,
     /*  394305 */   // Label 7043: @394305
     /*  394305 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394379), // Rule ID 63052 //
     /*  394310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394331 */     // MIs[0] op1
     /*  394331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394343 */     // MIs[0] op3
     /*  394343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394377 */     GIR_RootConstrainSelectedInstOperands,
     /*  394378 */     // GIR_Coverage, 63052,
     /*  394378 */     GIR_EraseRootFromParent_Done,
     /*  394379 */   // Label 7044: @394379
     /*  394379 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394453), // Rule ID 63053 //
     /*  394384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394405 */     // MIs[0] op1
     /*  394405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394417 */     // MIs[0] op3
     /*  394417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394451 */     GIR_RootConstrainSelectedInstOperands,
     /*  394452 */     // GIR_Coverage, 63053,
     /*  394452 */     GIR_EraseRootFromParent_Done,
     /*  394453 */   // Label 7045: @394453
     /*  394453 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394527), // Rule ID 63096 //
     /*  394458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394479 */     // MIs[0] op1
     /*  394479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394491 */     // MIs[0] op3
     /*  394491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394525 */     GIR_RootConstrainSelectedInstOperands,
     /*  394526 */     // GIR_Coverage, 63096,
     /*  394526 */     GIR_EraseRootFromParent_Done,
     /*  394527 */   // Label 7046: @394527
     /*  394527 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394601), // Rule ID 63097 //
     /*  394532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394553 */     // MIs[0] op1
     /*  394553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394565 */     // MIs[0] op3
     /*  394565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394585 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394587 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394589 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394599 */     GIR_RootConstrainSelectedInstOperands,
     /*  394600 */     // GIR_Coverage, 63097,
     /*  394600 */     GIR_EraseRootFromParent_Done,
     /*  394601 */   // Label 7047: @394601
     /*  394601 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394675), // Rule ID 63152 //
     /*  394606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394627 */     // MIs[0] op1
     /*  394627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394639 */     // MIs[0] op3
     /*  394639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394673 */     GIR_RootConstrainSelectedInstOperands,
     /*  394674 */     // GIR_Coverage, 63152,
     /*  394674 */     GIR_EraseRootFromParent_Done,
     /*  394675 */   // Label 7048: @394675
     /*  394675 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394749), // Rule ID 63153 //
     /*  394680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394701 */     // MIs[0] op1
     /*  394701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394713 */     // MIs[0] op3
     /*  394713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394733 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394735 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394737 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394747 */     GIR_RootConstrainSelectedInstOperands,
     /*  394748 */     // GIR_Coverage, 63153,
     /*  394748 */     GIR_EraseRootFromParent_Done,
     /*  394749 */   // Label 7049: @394749
     /*  394749 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394823), // Rule ID 63208 //
     /*  394754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394775 */     // MIs[0] op1
     /*  394775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394787 */     // MIs[0] op3
     /*  394787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394807 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394809 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394811 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394821 */     GIR_RootConstrainSelectedInstOperands,
     /*  394822 */     // GIR_Coverage, 63208,
     /*  394822 */     GIR_EraseRootFromParent_Done,
     /*  394823 */   // Label 7050: @394823
     /*  394823 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394897), // Rule ID 63209 //
     /*  394828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394849 */     // MIs[0] op1
     /*  394849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394861 */     // MIs[0] op3
     /*  394861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394881 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394883 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394885 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394895 */     GIR_RootConstrainSelectedInstOperands,
     /*  394896 */     // GIR_Coverage, 63209,
     /*  394896 */     GIR_EraseRootFromParent_Done,
     /*  394897 */   // Label 7051: @394897
     /*  394897 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394971), // Rule ID 63264 //
     /*  394902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394923 */     // MIs[0] op1
     /*  394923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394935 */     // MIs[0] op3
     /*  394935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394969 */     GIR_RootConstrainSelectedInstOperands,
     /*  394970 */     // GIR_Coverage, 63264,
     /*  394970 */     GIR_EraseRootFromParent_Done,
     /*  394971 */   // Label 7052: @394971
     /*  394971 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(395045), // Rule ID 63265 //
     /*  394976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394997 */     // MIs[0] op1
     /*  394997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395009 */     // MIs[0] op3
     /*  395009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395043 */     GIR_RootConstrainSelectedInstOperands,
     /*  395044 */     // GIR_Coverage, 63265,
     /*  395044 */     GIR_EraseRootFromParent_Done,
     /*  395045 */   // Label 7053: @395045
     /*  395045 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(395119), // Rule ID 63308 //
     /*  395050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395071 */     // MIs[0] op1
     /*  395071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395083 */     // MIs[0] op3
     /*  395083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395117 */     GIR_RootConstrainSelectedInstOperands,
     /*  395118 */     // GIR_Coverage, 63308,
     /*  395118 */     GIR_EraseRootFromParent_Done,
     /*  395119 */   // Label 7054: @395119
     /*  395119 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(395193), // Rule ID 63309 //
     /*  395124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395145 */     // MIs[0] op1
     /*  395145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395157 */     // MIs[0] op3
     /*  395157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395191 */     GIR_RootConstrainSelectedInstOperands,
     /*  395192 */     // GIR_Coverage, 63309,
     /*  395192 */     GIR_EraseRootFromParent_Done,
     /*  395193 */   // Label 7055: @395193
     /*  395193 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395267), // Rule ID 63352 //
     /*  395198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395219 */     // MIs[0] op1
     /*  395219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395231 */     // MIs[0] op3
     /*  395231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395265 */     GIR_RootConstrainSelectedInstOperands,
     /*  395266 */     // GIR_Coverage, 63352,
     /*  395266 */     GIR_EraseRootFromParent_Done,
     /*  395267 */   // Label 7056: @395267
     /*  395267 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395341), // Rule ID 63353 //
     /*  395272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395293 */     // MIs[0] op1
     /*  395293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395305 */     // MIs[0] op3
     /*  395305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395339 */     GIR_RootConstrainSelectedInstOperands,
     /*  395340 */     // GIR_Coverage, 63353,
     /*  395340 */     GIR_EraseRootFromParent_Done,
     /*  395341 */   // Label 7057: @395341
     /*  395341 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395415), // Rule ID 63396 //
     /*  395346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395367 */     // MIs[0] op1
     /*  395367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395379 */     // MIs[0] op3
     /*  395379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395413 */     GIR_RootConstrainSelectedInstOperands,
     /*  395414 */     // GIR_Coverage, 63396,
     /*  395414 */     GIR_EraseRootFromParent_Done,
     /*  395415 */   // Label 7058: @395415
     /*  395415 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395489), // Rule ID 63397 //
     /*  395420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395441 */     // MIs[0] op1
     /*  395441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395453 */     // MIs[0] op3
     /*  395453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395487 */     GIR_RootConstrainSelectedInstOperands,
     /*  395488 */     // GIR_Coverage, 63397,
     /*  395488 */     GIR_EraseRootFromParent_Done,
     /*  395489 */   // Label 7059: @395489
     /*  395489 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395563), // Rule ID 63452 //
     /*  395494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395515 */     // MIs[0] op1
     /*  395515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395527 */     // MIs[0] op3
     /*  395527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395561 */     GIR_RootConstrainSelectedInstOperands,
     /*  395562 */     // GIR_Coverage, 63452,
     /*  395562 */     GIR_EraseRootFromParent_Done,
     /*  395563 */   // Label 7060: @395563
     /*  395563 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395637), // Rule ID 63453 //
     /*  395568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395589 */     // MIs[0] op1
     /*  395589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395601 */     // MIs[0] op3
     /*  395601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395621 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395623 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395625 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395635 */     GIR_RootConstrainSelectedInstOperands,
     /*  395636 */     // GIR_Coverage, 63453,
     /*  395636 */     GIR_EraseRootFromParent_Done,
     /*  395637 */   // Label 7061: @395637
     /*  395637 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395711), // Rule ID 63508 //
     /*  395642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395663 */     // MIs[0] op1
     /*  395663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395675 */     // MIs[0] op3
     /*  395675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395709 */     GIR_RootConstrainSelectedInstOperands,
     /*  395710 */     // GIR_Coverage, 63508,
     /*  395710 */     GIR_EraseRootFromParent_Done,
     /*  395711 */   // Label 7062: @395711
     /*  395711 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395785), // Rule ID 63509 //
     /*  395716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395737 */     // MIs[0] op1
     /*  395737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395749 */     // MIs[0] op3
     /*  395749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395783 */     GIR_RootConstrainSelectedInstOperands,
     /*  395784 */     // GIR_Coverage, 63509,
     /*  395784 */     GIR_EraseRootFromParent_Done,
     /*  395785 */   // Label 7063: @395785
     /*  395785 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395859), // Rule ID 63564 //
     /*  395790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395811 */     // MIs[0] op1
     /*  395811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395823 */     // MIs[0] op3
     /*  395823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395843 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395845 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395847 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395857 */     GIR_RootConstrainSelectedInstOperands,
     /*  395858 */     // GIR_Coverage, 63564,
     /*  395858 */     GIR_EraseRootFromParent_Done,
     /*  395859 */   // Label 7064: @395859
     /*  395859 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395933), // Rule ID 63565 //
     /*  395864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395885 */     // MIs[0] op1
     /*  395885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395897 */     // MIs[0] op3
     /*  395897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395931 */     GIR_RootConstrainSelectedInstOperands,
     /*  395932 */     // GIR_Coverage, 63565,
     /*  395932 */     GIR_EraseRootFromParent_Done,
     /*  395933 */   // Label 7065: @395933
     /*  395933 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(396007), // Rule ID 63620 //
     /*  395938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395959 */     // MIs[0] op1
     /*  395959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395971 */     // MIs[0] op3
     /*  395971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396005 */     GIR_RootConstrainSelectedInstOperands,
     /*  396006 */     // GIR_Coverage, 63620,
     /*  396006 */     GIR_EraseRootFromParent_Done,
     /*  396007 */   // Label 7066: @396007
     /*  396007 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(396081), // Rule ID 63621 //
     /*  396012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396033 */     // MIs[0] op1
     /*  396033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396045 */     // MIs[0] op3
     /*  396045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396079 */     GIR_RootConstrainSelectedInstOperands,
     /*  396080 */     // GIR_Coverage, 63621,
     /*  396080 */     GIR_EraseRootFromParent_Done,
     /*  396081 */   // Label 7067: @396081
     /*  396081 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(396155), // Rule ID 63676 //
     /*  396086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396107 */     // MIs[0] op1
     /*  396107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396119 */     // MIs[0] op3
     /*  396119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396139 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396141 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396143 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396153 */     GIR_RootConstrainSelectedInstOperands,
     /*  396154 */     // GIR_Coverage, 63676,
     /*  396154 */     GIR_EraseRootFromParent_Done,
     /*  396155 */   // Label 7068: @396155
     /*  396155 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396229), // Rule ID 63677 //
     /*  396160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396181 */     // MIs[0] op1
     /*  396181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396193 */     // MIs[0] op3
     /*  396193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396227 */     GIR_RootConstrainSelectedInstOperands,
     /*  396228 */     // GIR_Coverage, 63677,
     /*  396228 */     GIR_EraseRootFromParent_Done,
     /*  396229 */   // Label 7069: @396229
     /*  396229 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396303), // Rule ID 63732 //
     /*  396234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396255 */     // MIs[0] op1
     /*  396255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396267 */     // MIs[0] op3
     /*  396267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  396285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396287 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396289 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396291 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396301 */     GIR_RootConstrainSelectedInstOperands,
     /*  396302 */     // GIR_Coverage, 63732,
     /*  396302 */     GIR_EraseRootFromParent_Done,
     /*  396303 */   // Label 7070: @396303
     /*  396303 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396377), // Rule ID 63733 //
     /*  396308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396329 */     // MIs[0] op1
     /*  396329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396341 */     // MIs[0] op3
     /*  396341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  396359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396375 */     GIR_RootConstrainSelectedInstOperands,
     /*  396376 */     // GIR_Coverage, 63733,
     /*  396376 */     GIR_EraseRootFromParent_Done,
     /*  396377 */   // Label 7071: @396377
     /*  396377 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396451), // Rule ID 63788 //
     /*  396382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396403 */     // MIs[0] op1
     /*  396403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396415 */     // MIs[0] op3
     /*  396415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396435 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396437 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396439 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396449 */     GIR_RootConstrainSelectedInstOperands,
     /*  396450 */     // GIR_Coverage, 63788,
     /*  396450 */     GIR_EraseRootFromParent_Done,
     /*  396451 */   // Label 7072: @396451
     /*  396451 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396525), // Rule ID 63789 //
     /*  396456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396477 */     // MIs[0] op1
     /*  396477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396489 */     // MIs[0] op3
     /*  396489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396523 */     GIR_RootConstrainSelectedInstOperands,
     /*  396524 */     // GIR_Coverage, 63789,
     /*  396524 */     GIR_EraseRootFromParent_Done,
     /*  396525 */   // Label 7073: @396525
     /*  396525 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396599), // Rule ID 63844 //
     /*  396530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396551 */     // MIs[0] op1
     /*  396551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396554 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396563 */     // MIs[0] op3
     /*  396563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396597 */     GIR_RootConstrainSelectedInstOperands,
     /*  396598 */     // GIR_Coverage, 63844,
     /*  396598 */     GIR_EraseRootFromParent_Done,
     /*  396599 */   // Label 7074: @396599
     /*  396599 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396673), // Rule ID 63845 //
     /*  396604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396625 */     // MIs[0] op1
     /*  396625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396637 */     // MIs[0] op3
     /*  396637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396657 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396659 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396661 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396671 */     GIR_RootConstrainSelectedInstOperands,
     /*  396672 */     // GIR_Coverage, 63845,
     /*  396672 */     GIR_EraseRootFromParent_Done,
     /*  396673 */   // Label 7075: @396673
     /*  396673 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396748), // Rule ID 7238 //
     /*  396678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396713 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396746 */     GIR_RootConstrainSelectedInstOperands,
     /*  396747 */     // GIR_Coverage, 7238,
     /*  396747 */     GIR_EraseRootFromParent_Done,
     /*  396748 */   // Label 7076: @396748
     /*  396748 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396823), // Rule ID 7239 //
     /*  396753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396821 */     GIR_RootConstrainSelectedInstOperands,
     /*  396822 */     // GIR_Coverage, 7239,
     /*  396822 */     GIR_EraseRootFromParent_Done,
     /*  396823 */   // Label 7077: @396823
     /*  396823 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396898), // Rule ID 7242 //
     /*  396828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396863 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396896 */     GIR_RootConstrainSelectedInstOperands,
     /*  396897 */     // GIR_Coverage, 7242,
     /*  396897 */     GIR_EraseRootFromParent_Done,
     /*  396898 */   // Label 7078: @396898
     /*  396898 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396973), // Rule ID 7243 //
     /*  396903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396949 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396971 */     GIR_RootConstrainSelectedInstOperands,
     /*  396972 */     // GIR_Coverage, 7243,
     /*  396972 */     GIR_EraseRootFromParent_Done,
     /*  396973 */   // Label 7079: @396973
     /*  396973 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(397048), // Rule ID 7246 //
     /*  396978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  396992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  396995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397013 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397046 */     GIR_RootConstrainSelectedInstOperands,
     /*  397047 */     // GIR_Coverage, 7246,
     /*  397047 */     GIR_EraseRootFromParent_Done,
     /*  397048 */   // Label 7080: @397048
     /*  397048 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(397123), // Rule ID 7247 //
     /*  397053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  397067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397121 */     GIR_RootConstrainSelectedInstOperands,
     /*  397122 */     // GIR_Coverage, 7247,
     /*  397122 */     GIR_EraseRootFromParent_Done,
     /*  397123 */   // Label 7081: @397123
     /*  397123 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(397198), // Rule ID 7250 //
     /*  397128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397196 */     GIR_RootConstrainSelectedInstOperands,
     /*  397197 */     // GIR_Coverage, 7250,
     /*  397197 */     GIR_EraseRootFromParent_Done,
     /*  397198 */   // Label 7082: @397198
     /*  397198 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397273), // Rule ID 7251 //
     /*  397203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397238 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397271 */     GIR_RootConstrainSelectedInstOperands,
     /*  397272 */     // GIR_Coverage, 7251,
     /*  397272 */     GIR_EraseRootFromParent_Done,
     /*  397273 */   // Label 7083: @397273
     /*  397273 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397348), // Rule ID 7254 //
     /*  397278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397313 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397346 */     GIR_RootConstrainSelectedInstOperands,
     /*  397347 */     // GIR_Coverage, 7254,
     /*  397347 */     GIR_EraseRootFromParent_Done,
     /*  397348 */   // Label 7084: @397348
     /*  397348 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397423), // Rule ID 7255 //
     /*  397353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397388 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397421 */     GIR_RootConstrainSelectedInstOperands,
     /*  397422 */     // GIR_Coverage, 7255,
     /*  397422 */     GIR_EraseRootFromParent_Done,
     /*  397423 */   // Label 7085: @397423
     /*  397423 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397498), // Rule ID 7258 //
     /*  397428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397496 */     GIR_RootConstrainSelectedInstOperands,
     /*  397497 */     // GIR_Coverage, 7258,
     /*  397497 */     GIR_EraseRootFromParent_Done,
     /*  397498 */   // Label 7086: @397498
     /*  397498 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397573), // Rule ID 7259 //
     /*  397503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397571 */     GIR_RootConstrainSelectedInstOperands,
     /*  397572 */     // GIR_Coverage, 7259,
     /*  397572 */     GIR_EraseRootFromParent_Done,
     /*  397573 */   // Label 7087: @397573
     /*  397573 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397648), // Rule ID 7262 //
     /*  397578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397613 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397646 */     GIR_RootConstrainSelectedInstOperands,
     /*  397647 */     // GIR_Coverage, 7262,
     /*  397647 */     GIR_EraseRootFromParent_Done,
     /*  397648 */   // Label 7088: @397648
     /*  397648 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397723), // Rule ID 7263 //
     /*  397653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397721 */     GIR_RootConstrainSelectedInstOperands,
     /*  397722 */     // GIR_Coverage, 7263,
     /*  397722 */     GIR_EraseRootFromParent_Done,
     /*  397723 */   // Label 7089: @397723
     /*  397723 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397798), // Rule ID 7266 //
     /*  397728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397796 */     GIR_RootConstrainSelectedInstOperands,
     /*  397797 */     // GIR_Coverage, 7266,
     /*  397797 */     GIR_EraseRootFromParent_Done,
     /*  397798 */   // Label 7090: @397798
     /*  397798 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397873), // Rule ID 7267 //
     /*  397803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397871 */     GIR_RootConstrainSelectedInstOperands,
     /*  397872 */     // GIR_Coverage, 7267,
     /*  397872 */     GIR_EraseRootFromParent_Done,
     /*  397873 */   // Label 7091: @397873
     /*  397873 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397948), // Rule ID 7270 //
     /*  397878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397946 */     GIR_RootConstrainSelectedInstOperands,
     /*  397947 */     // GIR_Coverage, 7270,
     /*  397947 */     GIR_EraseRootFromParent_Done,
     /*  397948 */   // Label 7092: @397948
     /*  397948 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(398023), // Rule ID 7271 //
     /*  397953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397988 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398021 */     GIR_RootConstrainSelectedInstOperands,
     /*  398022 */     // GIR_Coverage, 7271,
     /*  398022 */     GIR_EraseRootFromParent_Done,
     /*  398023 */   // Label 7093: @398023
     /*  398023 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(398098), // Rule ID 7274 //
     /*  398028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  398031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398063 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398096 */     GIR_RootConstrainSelectedInstOperands,
     /*  398097 */     // GIR_Coverage, 7274,
     /*  398097 */     GIR_EraseRootFromParent_Done,
     /*  398098 */   // Label 7094: @398098
     /*  398098 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(398173), // Rule ID 7275 //
     /*  398103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  398106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398138 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398171 */     GIR_RootConstrainSelectedInstOperands,
     /*  398172 */     // GIR_Coverage, 7275,
     /*  398172 */     GIR_EraseRootFromParent_Done,
     /*  398173 */   // Label 7095: @398173
     /*  398173 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398248), // Rule ID 7278 //
     /*  398178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398213 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398246 */     GIR_RootConstrainSelectedInstOperands,
     /*  398247 */     // GIR_Coverage, 7278,
     /*  398247 */     GIR_EraseRootFromParent_Done,
     /*  398248 */   // Label 7096: @398248
     /*  398248 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398323), // Rule ID 7279 //
     /*  398253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398321 */     GIR_RootConstrainSelectedInstOperands,
     /*  398322 */     // GIR_Coverage, 7279,
     /*  398322 */     GIR_EraseRootFromParent_Done,
     /*  398323 */   // Label 7097: @398323
     /*  398323 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398398), // Rule ID 7282 //
     /*  398328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  398339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  398342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  398345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398363 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398396 */     GIR_RootConstrainSelectedInstOperands,
     /*  398397 */     // GIR_Coverage, 7282,
     /*  398397 */     GIR_EraseRootFromParent_Done,
     /*  398398 */   // Label 7098: @398398
     /*  398398 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398473), // Rule ID 7283 //
     /*  398403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  398414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  398417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  398420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398438 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398449 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398471 */     GIR_RootConstrainSelectedInstOperands,
     /*  398472 */     // GIR_Coverage, 7283,
     /*  398472 */     GIR_EraseRootFromParent_Done,
     /*  398473 */   // Label 7099: @398473
     /*  398473 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398548), // Rule ID 7286 //
     /*  398478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398513 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398546 */     GIR_RootConstrainSelectedInstOperands,
     /*  398547 */     // GIR_Coverage, 7286,
     /*  398547 */     GIR_EraseRootFromParent_Done,
     /*  398548 */   // Label 7100: @398548
     /*  398548 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398623), // Rule ID 7287 //
     /*  398553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398588 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398599 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398621 */     GIR_RootConstrainSelectedInstOperands,
     /*  398622 */     // GIR_Coverage, 7287,
     /*  398622 */     GIR_EraseRootFromParent_Done,
     /*  398623 */   // Label 7101: @398623
     /*  398623 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398698), // Rule ID 7290 //
     /*  398628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398663 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398696 */     GIR_RootConstrainSelectedInstOperands,
     /*  398697 */     // GIR_Coverage, 7290,
     /*  398697 */     GIR_EraseRootFromParent_Done,
     /*  398698 */   // Label 7102: @398698
     /*  398698 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398773), // Rule ID 7291 //
     /*  398703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398738 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398771 */     GIR_RootConstrainSelectedInstOperands,
     /*  398772 */     // GIR_Coverage, 7291,
     /*  398772 */     GIR_EraseRootFromParent_Done,
     /*  398773 */   // Label 7103: @398773
     /*  398773 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398848), // Rule ID 7294 //
     /*  398778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398813 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398846 */     GIR_RootConstrainSelectedInstOperands,
     /*  398847 */     // GIR_Coverage, 7294,
     /*  398847 */     GIR_EraseRootFromParent_Done,
     /*  398848 */   // Label 7104: @398848
     /*  398848 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398923), // Rule ID 7295 //
     /*  398853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398888 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398899 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398921 */     GIR_RootConstrainSelectedInstOperands,
     /*  398922 */     // GIR_Coverage, 7295,
     /*  398922 */     GIR_EraseRootFromParent_Done,
     /*  398923 */   // Label 7105: @398923
     /*  398923 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398998), // Rule ID 7298 //
     /*  398928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398963 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398996 */     GIR_RootConstrainSelectedInstOperands,
     /*  398997 */     // GIR_Coverage, 7298,
     /*  398997 */     GIR_EraseRootFromParent_Done,
     /*  398998 */   // Label 7106: @398998
     /*  398998 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(399073), // Rule ID 7299 //
     /*  399003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399038 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399071 */     GIR_RootConstrainSelectedInstOperands,
     /*  399072 */     // GIR_Coverage, 7299,
     /*  399072 */     GIR_EraseRootFromParent_Done,
     /*  399073 */   // Label 7107: @399073
     /*  399073 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(399148), // Rule ID 7302 //
     /*  399078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399113 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399146 */     GIR_RootConstrainSelectedInstOperands,
     /*  399147 */     // GIR_Coverage, 7302,
     /*  399147 */     GIR_EraseRootFromParent_Done,
     /*  399148 */   // Label 7108: @399148
     /*  399148 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(399223), // Rule ID 7303 //
     /*  399153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399188 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399221 */     GIR_RootConstrainSelectedInstOperands,
     /*  399222 */     // GIR_Coverage, 7303,
     /*  399222 */     GIR_EraseRootFromParent_Done,
     /*  399223 */   // Label 7109: @399223
     /*  399223 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399298), // Rule ID 7306 //
     /*  399228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399263 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399296 */     GIR_RootConstrainSelectedInstOperands,
     /*  399297 */     // GIR_Coverage, 7306,
     /*  399297 */     GIR_EraseRootFromParent_Done,
     /*  399298 */   // Label 7110: @399298
     /*  399298 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399373), // Rule ID 7307 //
     /*  399303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399338 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399371 */     GIR_RootConstrainSelectedInstOperands,
     /*  399372 */     // GIR_Coverage, 7307,
     /*  399372 */     GIR_EraseRootFromParent_Done,
     /*  399373 */   // Label 7111: @399373
     /*  399373 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399448), // Rule ID 7310 //
     /*  399378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399446 */     GIR_RootConstrainSelectedInstOperands,
     /*  399447 */     // GIR_Coverage, 7310,
     /*  399447 */     GIR_EraseRootFromParent_Done,
     /*  399448 */   // Label 7112: @399448
     /*  399448 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399523), // Rule ID 7311 //
     /*  399453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399521 */     GIR_RootConstrainSelectedInstOperands,
     /*  399522 */     // GIR_Coverage, 7311,
     /*  399522 */     GIR_EraseRootFromParent_Done,
     /*  399523 */   // Label 7113: @399523
     /*  399523 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399598), // Rule ID 7314 //
     /*  399528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399596 */     GIR_RootConstrainSelectedInstOperands,
     /*  399597 */     // GIR_Coverage, 7314,
     /*  399597 */     GIR_EraseRootFromParent_Done,
     /*  399598 */   // Label 7114: @399598
     /*  399598 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399673), // Rule ID 7315 //
     /*  399603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399638 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399671 */     GIR_RootConstrainSelectedInstOperands,
     /*  399672 */     // GIR_Coverage, 7315,
     /*  399672 */     GIR_EraseRootFromParent_Done,
     /*  399673 */   // Label 7115: @399673
     /*  399673 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399748), // Rule ID 7318 //
     /*  399678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399713 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399746 */     GIR_RootConstrainSelectedInstOperands,
     /*  399747 */     // GIR_Coverage, 7318,
     /*  399747 */     GIR_EraseRootFromParent_Done,
     /*  399748 */   // Label 7116: @399748
     /*  399748 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399823), // Rule ID 7319 //
     /*  399753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399821 */     GIR_RootConstrainSelectedInstOperands,
     /*  399822 */     // GIR_Coverage, 7319,
     /*  399822 */     GIR_EraseRootFromParent_Done,
     /*  399823 */   // Label 7117: @399823
     /*  399823 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399898), // Rule ID 7322 //
     /*  399828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399863 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399896 */     GIR_RootConstrainSelectedInstOperands,
     /*  399897 */     // GIR_Coverage, 7322,
     /*  399897 */     GIR_EraseRootFromParent_Done,
     /*  399898 */   // Label 7118: @399898
     /*  399898 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399973), // Rule ID 7323 //
     /*  399903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399949 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399971 */     GIR_RootConstrainSelectedInstOperands,
     /*  399972 */     // GIR_Coverage, 7323,
     /*  399972 */     GIR_EraseRootFromParent_Done,
     /*  399973 */   // Label 7119: @399973
     /*  399973 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(400050), // Rule ID 2636 //
     /*  399978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  399992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400010 */     // MIs[0] Operand 4
     /*  400010 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400048 */     GIR_RootConstrainSelectedInstOperands,
     /*  400049 */     // GIR_Coverage, 2636,
     /*  400049 */     GIR_EraseRootFromParent_Done,
     /*  400050 */   // Label 7120: @400050
     /*  400050 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(400127), // Rule ID 2637 //
     /*  400055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400087 */     // MIs[0] Operand 4
     /*  400087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400125 */     GIR_RootConstrainSelectedInstOperands,
     /*  400126 */     // GIR_Coverage, 2637,
     /*  400126 */     GIR_EraseRootFromParent_Done,
     /*  400127 */   // Label 7121: @400127
     /*  400127 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(400204), // Rule ID 20520 //
     /*  400132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400164 */     // MIs[0] Operand 4
     /*  400164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400202 */     GIR_RootConstrainSelectedInstOperands,
     /*  400203 */     // GIR_Coverage, 20520,
     /*  400203 */     GIR_EraseRootFromParent_Done,
     /*  400204 */   // Label 7122: @400204
     /*  400204 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400281), // Rule ID 20521 //
     /*  400209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400241 */     // MIs[0] Operand 4
     /*  400241 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400279 */     GIR_RootConstrainSelectedInstOperands,
     /*  400280 */     // GIR_Coverage, 20521,
     /*  400280 */     GIR_EraseRootFromParent_Done,
     /*  400281 */   // Label 7123: @400281
     /*  400281 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400358), // Rule ID 20524 //
     /*  400286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400318 */     // MIs[0] Operand 4
     /*  400318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400356 */     GIR_RootConstrainSelectedInstOperands,
     /*  400357 */     // GIR_Coverage, 20524,
     /*  400357 */     GIR_EraseRootFromParent_Done,
     /*  400358 */   // Label 7124: @400358
     /*  400358 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400435), // Rule ID 20525 //
     /*  400363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400395 */     // MIs[0] Operand 4
     /*  400395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400433 */     GIR_RootConstrainSelectedInstOperands,
     /*  400434 */     // GIR_Coverage, 20525,
     /*  400434 */     GIR_EraseRootFromParent_Done,
     /*  400435 */   // Label 7125: @400435
     /*  400435 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400512), // Rule ID 20528 //
     /*  400440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400472 */     // MIs[0] Operand 4
     /*  400472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400510 */     GIR_RootConstrainSelectedInstOperands,
     /*  400511 */     // GIR_Coverage, 20528,
     /*  400511 */     GIR_EraseRootFromParent_Done,
     /*  400512 */   // Label 7126: @400512
     /*  400512 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400589), // Rule ID 20529 //
     /*  400517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400549 */     // MIs[0] Operand 4
     /*  400549 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400587 */     GIR_RootConstrainSelectedInstOperands,
     /*  400588 */     // GIR_Coverage, 20529,
     /*  400588 */     GIR_EraseRootFromParent_Done,
     /*  400589 */   // Label 7127: @400589
     /*  400589 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400666), // Rule ID 20532 //
     /*  400594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400626 */     // MIs[0] Operand 4
     /*  400626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400664 */     GIR_RootConstrainSelectedInstOperands,
     /*  400665 */     // GIR_Coverage, 20532,
     /*  400665 */     GIR_EraseRootFromParent_Done,
     /*  400666 */   // Label 7128: @400666
     /*  400666 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400743), // Rule ID 20533 //
     /*  400671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400703 */     // MIs[0] Operand 4
     /*  400703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400741 */     GIR_RootConstrainSelectedInstOperands,
     /*  400742 */     // GIR_Coverage, 20533,
     /*  400742 */     GIR_EraseRootFromParent_Done,
     /*  400743 */   // Label 7129: @400743
     /*  400743 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400820), // Rule ID 20536 //
     /*  400748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400780 */     // MIs[0] Operand 4
     /*  400780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400818 */     GIR_RootConstrainSelectedInstOperands,
     /*  400819 */     // GIR_Coverage, 20536,
     /*  400819 */     GIR_EraseRootFromParent_Done,
     /*  400820 */   // Label 7130: @400820
     /*  400820 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400897), // Rule ID 20537 //
     /*  400825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400857 */     // MIs[0] Operand 4
     /*  400857 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400895 */     GIR_RootConstrainSelectedInstOperands,
     /*  400896 */     // GIR_Coverage, 20537,
     /*  400896 */     GIR_EraseRootFromParent_Done,
     /*  400897 */   // Label 7131: @400897
     /*  400897 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400974), // Rule ID 20540 //
     /*  400902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400934 */     // MIs[0] Operand 4
     /*  400934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400972 */     GIR_RootConstrainSelectedInstOperands,
     /*  400973 */     // GIR_Coverage, 20540,
     /*  400973 */     GIR_EraseRootFromParent_Done,
     /*  400974 */   // Label 7132: @400974
     /*  400974 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(401051), // Rule ID 20541 //
     /*  400979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401011 */     // MIs[0] Operand 4
     /*  401011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401049 */     GIR_RootConstrainSelectedInstOperands,
     /*  401050 */     // GIR_Coverage, 20541,
     /*  401050 */     GIR_EraseRootFromParent_Done,
     /*  401051 */   // Label 7133: @401051
     /*  401051 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(401128), // Rule ID 20544 //
     /*  401056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401088 */     // MIs[0] Operand 4
     /*  401088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401126 */     GIR_RootConstrainSelectedInstOperands,
     /*  401127 */     // GIR_Coverage, 20544,
     /*  401127 */     GIR_EraseRootFromParent_Done,
     /*  401128 */   // Label 7134: @401128
     /*  401128 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(401205), // Rule ID 20545 //
     /*  401133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401165 */     // MIs[0] Operand 4
     /*  401165 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401203 */     GIR_RootConstrainSelectedInstOperands,
     /*  401204 */     // GIR_Coverage, 20545,
     /*  401204 */     GIR_EraseRootFromParent_Done,
     /*  401205 */   // Label 7135: @401205
     /*  401205 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(401282), // Rule ID 20548 //
     /*  401210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401242 */     // MIs[0] Operand 4
     /*  401242 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401280 */     GIR_RootConstrainSelectedInstOperands,
     /*  401281 */     // GIR_Coverage, 20548,
     /*  401281 */     GIR_EraseRootFromParent_Done,
     /*  401282 */   // Label 7136: @401282
     /*  401282 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401359), // Rule ID 20549 //
     /*  401287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401319 */     // MIs[0] Operand 4
     /*  401319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401357 */     GIR_RootConstrainSelectedInstOperands,
     /*  401358 */     // GIR_Coverage, 20549,
     /*  401358 */     GIR_EraseRootFromParent_Done,
     /*  401359 */   // Label 7137: @401359
     /*  401359 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401436), // Rule ID 20552 //
     /*  401364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401396 */     // MIs[0] Operand 4
     /*  401396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401434 */     GIR_RootConstrainSelectedInstOperands,
     /*  401435 */     // GIR_Coverage, 20552,
     /*  401435 */     GIR_EraseRootFromParent_Done,
     /*  401436 */   // Label 7138: @401436
     /*  401436 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401513), // Rule ID 20553 //
     /*  401441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401473 */     // MIs[0] Operand 4
     /*  401473 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401511 */     GIR_RootConstrainSelectedInstOperands,
     /*  401512 */     // GIR_Coverage, 20553,
     /*  401512 */     GIR_EraseRootFromParent_Done,
     /*  401513 */   // Label 7139: @401513
     /*  401513 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401590), // Rule ID 20556 //
     /*  401518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401550 */     // MIs[0] Operand 4
     /*  401550 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401588 */     GIR_RootConstrainSelectedInstOperands,
     /*  401589 */     // GIR_Coverage, 20556,
     /*  401589 */     GIR_EraseRootFromParent_Done,
     /*  401590 */   // Label 7140: @401590
     /*  401590 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401667), // Rule ID 20557 //
     /*  401595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401627 */     // MIs[0] Operand 4
     /*  401627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401645 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401665 */     GIR_RootConstrainSelectedInstOperands,
     /*  401666 */     // GIR_Coverage, 20557,
     /*  401666 */     GIR_EraseRootFromParent_Done,
     /*  401667 */   // Label 7141: @401667
     /*  401667 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401744), // Rule ID 20560 //
     /*  401672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401704 */     // MIs[0] Operand 4
     /*  401704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401742 */     GIR_RootConstrainSelectedInstOperands,
     /*  401743 */     // GIR_Coverage, 20560,
     /*  401743 */     GIR_EraseRootFromParent_Done,
     /*  401744 */   // Label 7142: @401744
     /*  401744 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401821), // Rule ID 20561 //
     /*  401749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401781 */     // MIs[0] Operand 4
     /*  401781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401819 */     GIR_RootConstrainSelectedInstOperands,
     /*  401820 */     // GIR_Coverage, 20561,
     /*  401820 */     GIR_EraseRootFromParent_Done,
     /*  401821 */   // Label 7143: @401821
     /*  401821 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401898), // Rule ID 20564 //
     /*  401826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401858 */     // MIs[0] Operand 4
     /*  401858 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401896 */     GIR_RootConstrainSelectedInstOperands,
     /*  401897 */     // GIR_Coverage, 20564,
     /*  401897 */     GIR_EraseRootFromParent_Done,
     /*  401898 */   // Label 7144: @401898
     /*  401898 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401975), // Rule ID 20565 //
     /*  401903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401935 */     // MIs[0] Operand 4
     /*  401935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401973 */     GIR_RootConstrainSelectedInstOperands,
     /*  401974 */     // GIR_Coverage, 20565,
     /*  401974 */     GIR_EraseRootFromParent_Done,
     /*  401975 */   // Label 7145: @401975
     /*  401975 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(402052), // Rule ID 20568 //
     /*  401980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402012 */     // MIs[0] Operand 4
     /*  402012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402050 */     GIR_RootConstrainSelectedInstOperands,
     /*  402051 */     // GIR_Coverage, 20568,
     /*  402051 */     GIR_EraseRootFromParent_Done,
     /*  402052 */   // Label 7146: @402052
     /*  402052 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(402129), // Rule ID 20569 //
     /*  402057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402089 */     // MIs[0] Operand 4
     /*  402089 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402127 */     GIR_RootConstrainSelectedInstOperands,
     /*  402128 */     // GIR_Coverage, 20569,
     /*  402128 */     GIR_EraseRootFromParent_Done,
     /*  402129 */   // Label 7147: @402129
     /*  402129 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(402206), // Rule ID 20572 //
     /*  402134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402166 */     // MIs[0] Operand 4
     /*  402166 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402204 */     GIR_RootConstrainSelectedInstOperands,
     /*  402205 */     // GIR_Coverage, 20572,
     /*  402205 */     GIR_EraseRootFromParent_Done,
     /*  402206 */   // Label 7148: @402206
     /*  402206 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(402283), // Rule ID 20573 //
     /*  402211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402243 */     // MIs[0] Operand 4
     /*  402243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402281 */     GIR_RootConstrainSelectedInstOperands,
     /*  402282 */     // GIR_Coverage, 20573,
     /*  402282 */     GIR_EraseRootFromParent_Done,
     /*  402283 */   // Label 7149: @402283
     /*  402283 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402360), // Rule ID 20576 //
     /*  402288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402320 */     // MIs[0] Operand 4
     /*  402320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  402341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402358 */     GIR_RootConstrainSelectedInstOperands,
     /*  402359 */     // GIR_Coverage, 20576,
     /*  402359 */     GIR_EraseRootFromParent_Done,
     /*  402360 */   // Label 7150: @402360
     /*  402360 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402437), // Rule ID 20577 //
     /*  402365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402397 */     // MIs[0] Operand 4
     /*  402397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  402418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402435 */     GIR_RootConstrainSelectedInstOperands,
     /*  402436 */     // GIR_Coverage, 20577,
     /*  402436 */     GIR_EraseRootFromParent_Done,
     /*  402437 */   // Label 7151: @402437
     /*  402437 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402514), // Rule ID 20580 //
     /*  402442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402474 */     // MIs[0] Operand 4
     /*  402474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402512 */     GIR_RootConstrainSelectedInstOperands,
     /*  402513 */     // GIR_Coverage, 20580,
     /*  402513 */     GIR_EraseRootFromParent_Done,
     /*  402514 */   // Label 7152: @402514
     /*  402514 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402591), // Rule ID 20581 //
     /*  402519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402551 */     // MIs[0] Operand 4
     /*  402551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402589 */     GIR_RootConstrainSelectedInstOperands,
     /*  402590 */     // GIR_Coverage, 20581,
     /*  402590 */     GIR_EraseRootFromParent_Done,
     /*  402591 */   // Label 7153: @402591
     /*  402591 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402668), // Rule ID 20584 //
     /*  402596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402628 */     // MIs[0] Operand 4
     /*  402628 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402666 */     GIR_RootConstrainSelectedInstOperands,
     /*  402667 */     // GIR_Coverage, 20584,
     /*  402667 */     GIR_EraseRootFromParent_Done,
     /*  402668 */   // Label 7154: @402668
     /*  402668 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402745), // Rule ID 20585 //
     /*  402673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402705 */     // MIs[0] Operand 4
     /*  402705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402743 */     GIR_RootConstrainSelectedInstOperands,
     /*  402744 */     // GIR_Coverage, 20585,
     /*  402744 */     GIR_EraseRootFromParent_Done,
     /*  402745 */   // Label 7155: @402745
     /*  402745 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402822), // Rule ID 20588 //
     /*  402750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402782 */     // MIs[0] Operand 4
     /*  402782 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402820 */     GIR_RootConstrainSelectedInstOperands,
     /*  402821 */     // GIR_Coverage, 20588,
     /*  402821 */     GIR_EraseRootFromParent_Done,
     /*  402822 */   // Label 7156: @402822
     /*  402822 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402899), // Rule ID 20589 //
     /*  402827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402859 */     // MIs[0] Operand 4
     /*  402859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402897 */     GIR_RootConstrainSelectedInstOperands,
     /*  402898 */     // GIR_Coverage, 20589,
     /*  402898 */     GIR_EraseRootFromParent_Done,
     /*  402899 */   // Label 7157: @402899
     /*  402899 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402976), // Rule ID 20592 //
     /*  402904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402936 */     // MIs[0] Operand 4
     /*  402936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402974 */     GIR_RootConstrainSelectedInstOperands,
     /*  402975 */     // GIR_Coverage, 20592,
     /*  402975 */     GIR_EraseRootFromParent_Done,
     /*  402976 */   // Label 7158: @402976
     /*  402976 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(403053), // Rule ID 20593 //
     /*  402981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403013 */     // MIs[0] Operand 4
     /*  403013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403051 */     GIR_RootConstrainSelectedInstOperands,
     /*  403052 */     // GIR_Coverage, 20593,
     /*  403052 */     GIR_EraseRootFromParent_Done,
     /*  403053 */   // Label 7159: @403053
     /*  403053 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(403130), // Rule ID 20596 //
     /*  403058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403090 */     // MIs[0] Operand 4
     /*  403090 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403128 */     GIR_RootConstrainSelectedInstOperands,
     /*  403129 */     // GIR_Coverage, 20596,
     /*  403129 */     GIR_EraseRootFromParent_Done,
     /*  403130 */   // Label 7160: @403130
     /*  403130 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(403207), // Rule ID 20597 //
     /*  403135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403167 */     // MIs[0] Operand 4
     /*  403167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403185 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403205 */     GIR_RootConstrainSelectedInstOperands,
     /*  403206 */     // GIR_Coverage, 20597,
     /*  403206 */     GIR_EraseRootFromParent_Done,
     /*  403207 */   // Label 7161: @403207
     /*  403207 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(403284), // Rule ID 20600 //
     /*  403212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403244 */     // MIs[0] Operand 4
     /*  403244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403282 */     GIR_RootConstrainSelectedInstOperands,
     /*  403283 */     // GIR_Coverage, 20600,
     /*  403283 */     GIR_EraseRootFromParent_Done,
     /*  403284 */   // Label 7162: @403284
     /*  403284 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403361), // Rule ID 20601 //
     /*  403289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403321 */     // MIs[0] Operand 4
     /*  403321 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403359 */     GIR_RootConstrainSelectedInstOperands,
     /*  403360 */     // GIR_Coverage, 20601,
     /*  403360 */     GIR_EraseRootFromParent_Done,
     /*  403361 */   // Label 7163: @403361
     /*  403361 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403438), // Rule ID 20604 //
     /*  403366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403398 */     // MIs[0] Operand 4
     /*  403398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403436 */     GIR_RootConstrainSelectedInstOperands,
     /*  403437 */     // GIR_Coverage, 20604,
     /*  403437 */     GIR_EraseRootFromParent_Done,
     /*  403438 */   // Label 7164: @403438
     /*  403438 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403515), // Rule ID 20605 //
     /*  403443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403475 */     // MIs[0] Operand 4
     /*  403475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403513 */     GIR_RootConstrainSelectedInstOperands,
     /*  403514 */     // GIR_Coverage, 20605,
     /*  403514 */     GIR_EraseRootFromParent_Done,
     /*  403515 */   // Label 7165: @403515
     /*  403515 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403592), // Rule ID 20608 //
     /*  403520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403552 */     // MIs[0] Operand 4
     /*  403552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403590 */     GIR_RootConstrainSelectedInstOperands,
     /*  403591 */     // GIR_Coverage, 20608,
     /*  403591 */     GIR_EraseRootFromParent_Done,
     /*  403592 */   // Label 7166: @403592
     /*  403592 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403669), // Rule ID 20609 //
     /*  403597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403629 */     // MIs[0] Operand 4
     /*  403629 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403667 */     GIR_RootConstrainSelectedInstOperands,
     /*  403668 */     // GIR_Coverage, 20609,
     /*  403668 */     GIR_EraseRootFromParent_Done,
     /*  403669 */   // Label 7167: @403669
     /*  403669 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403746), // Rule ID 20612 //
     /*  403674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403706 */     // MIs[0] Operand 4
     /*  403706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403744 */     GIR_RootConstrainSelectedInstOperands,
     /*  403745 */     // GIR_Coverage, 20612,
     /*  403745 */     GIR_EraseRootFromParent_Done,
     /*  403746 */   // Label 7168: @403746
     /*  403746 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403823), // Rule ID 20613 //
     /*  403751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403783 */     // MIs[0] Operand 4
     /*  403783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403821 */     GIR_RootConstrainSelectedInstOperands,
     /*  403822 */     // GIR_Coverage, 20613,
     /*  403822 */     GIR_EraseRootFromParent_Done,
     /*  403823 */   // Label 7169: @403823
     /*  403823 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403900), // Rule ID 20616 //
     /*  403828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403860 */     // MIs[0] Operand 4
     /*  403860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403898 */     GIR_RootConstrainSelectedInstOperands,
     /*  403899 */     // GIR_Coverage, 20616,
     /*  403899 */     GIR_EraseRootFromParent_Done,
     /*  403900 */   // Label 7170: @403900
     /*  403900 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403977), // Rule ID 20617 //
     /*  403905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403937 */     // MIs[0] Operand 4
     /*  403937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403975 */     GIR_RootConstrainSelectedInstOperands,
     /*  403976 */     // GIR_Coverage, 20617,
     /*  403976 */     GIR_EraseRootFromParent_Done,
     /*  403977 */   // Label 7171: @403977
     /*  403977 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(404054), // Rule ID 20620 //
     /*  403982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404014 */     // MIs[0] Operand 4
     /*  404014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404052 */     GIR_RootConstrainSelectedInstOperands,
     /*  404053 */     // GIR_Coverage, 20620,
     /*  404053 */     GIR_EraseRootFromParent_Done,
     /*  404054 */   // Label 7172: @404054
     /*  404054 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(404131), // Rule ID 20621 //
     /*  404059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404091 */     // MIs[0] Operand 4
     /*  404091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404129 */     GIR_RootConstrainSelectedInstOperands,
     /*  404130 */     // GIR_Coverage, 20621,
     /*  404130 */     GIR_EraseRootFromParent_Done,
     /*  404131 */   // Label 7173: @404131
     /*  404131 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(404208), // Rule ID 20624 //
     /*  404136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404168 */     // MIs[0] Operand 4
     /*  404168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404206 */     GIR_RootConstrainSelectedInstOperands,
     /*  404207 */     // GIR_Coverage, 20624,
     /*  404207 */     GIR_EraseRootFromParent_Done,
     /*  404208 */   // Label 7174: @404208
     /*  404208 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(404285), // Rule ID 20625 //
     /*  404213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404245 */     // MIs[0] Operand 4
     /*  404245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404283 */     GIR_RootConstrainSelectedInstOperands,
     /*  404284 */     // GIR_Coverage, 20625,
     /*  404284 */     GIR_EraseRootFromParent_Done,
     /*  404285 */   // Label 7175: @404285
     /*  404285 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(404362), // Rule ID 20628 //
     /*  404290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404322 */     // MIs[0] Operand 4
     /*  404322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404360 */     GIR_RootConstrainSelectedInstOperands,
     /*  404361 */     // GIR_Coverage, 20628,
     /*  404361 */     GIR_EraseRootFromParent_Done,
     /*  404362 */   // Label 7176: @404362
     /*  404362 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404439), // Rule ID 20629 //
     /*  404367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404399 */     // MIs[0] Operand 4
     /*  404399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404437 */     GIR_RootConstrainSelectedInstOperands,
     /*  404438 */     // GIR_Coverage, 20629,
     /*  404438 */     GIR_EraseRootFromParent_Done,
     /*  404439 */   // Label 7177: @404439
     /*  404439 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404516), // Rule ID 20632 //
     /*  404444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404476 */     // MIs[0] Operand 4
     /*  404476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404514 */     GIR_RootConstrainSelectedInstOperands,
     /*  404515 */     // GIR_Coverage, 20632,
     /*  404515 */     GIR_EraseRootFromParent_Done,
     /*  404516 */   // Label 7178: @404516
     /*  404516 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404593), // Rule ID 20633 //
     /*  404521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404553 */     // MIs[0] Operand 4
     /*  404553 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404591 */     GIR_RootConstrainSelectedInstOperands,
     /*  404592 */     // GIR_Coverage, 20633,
     /*  404592 */     GIR_EraseRootFromParent_Done,
     /*  404593 */   // Label 7179: @404593
     /*  404593 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404670), // Rule ID 20992 //
     /*  404598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404630 */     // MIs[0] Operand 4
     /*  404630 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404668 */     GIR_RootConstrainSelectedInstOperands,
     /*  404669 */     // GIR_Coverage, 20992,
     /*  404669 */     GIR_EraseRootFromParent_Done,
     /*  404670 */   // Label 7180: @404670
     /*  404670 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404747), // Rule ID 20993 //
     /*  404675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404707 */     // MIs[0] Operand 4
     /*  404707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404745 */     GIR_RootConstrainSelectedInstOperands,
     /*  404746 */     // GIR_Coverage, 20993,
     /*  404746 */     GIR_EraseRootFromParent_Done,
     /*  404747 */   // Label 7181: @404747
     /*  404747 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404824), // Rule ID 20996 //
     /*  404752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404784 */     // MIs[0] Operand 4
     /*  404784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404822 */     GIR_RootConstrainSelectedInstOperands,
     /*  404823 */     // GIR_Coverage, 20996,
     /*  404823 */     GIR_EraseRootFromParent_Done,
     /*  404824 */   // Label 7182: @404824
     /*  404824 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404901), // Rule ID 20997 //
     /*  404829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404861 */     // MIs[0] Operand 4
     /*  404861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404899 */     GIR_RootConstrainSelectedInstOperands,
     /*  404900 */     // GIR_Coverage, 20997,
     /*  404900 */     GIR_EraseRootFromParent_Done,
     /*  404901 */   // Label 7183: @404901
     /*  404901 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404978), // Rule ID 21000 //
     /*  404906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404938 */     // MIs[0] Operand 4
     /*  404938 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404976 */     GIR_RootConstrainSelectedInstOperands,
     /*  404977 */     // GIR_Coverage, 21000,
     /*  404977 */     GIR_EraseRootFromParent_Done,
     /*  404978 */   // Label 7184: @404978
     /*  404978 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(405055), // Rule ID 21001 //
     /*  404983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405015 */     // MIs[0] Operand 4
     /*  405015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405053 */     GIR_RootConstrainSelectedInstOperands,
     /*  405054 */     // GIR_Coverage, 21001,
     /*  405054 */     GIR_EraseRootFromParent_Done,
     /*  405055 */   // Label 7185: @405055
     /*  405055 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(405132), // Rule ID 21004 //
     /*  405060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405092 */     // MIs[0] Operand 4
     /*  405092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405130 */     GIR_RootConstrainSelectedInstOperands,
     /*  405131 */     // GIR_Coverage, 21004,
     /*  405131 */     GIR_EraseRootFromParent_Done,
     /*  405132 */   // Label 7186: @405132
     /*  405132 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(405209), // Rule ID 21005 //
     /*  405137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405169 */     // MIs[0] Operand 4
     /*  405169 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405207 */     GIR_RootConstrainSelectedInstOperands,
     /*  405208 */     // GIR_Coverage, 21005,
     /*  405208 */     GIR_EraseRootFromParent_Done,
     /*  405209 */   // Label 7187: @405209
     /*  405209 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(405286), // Rule ID 21008 //
     /*  405214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405246 */     // MIs[0] Operand 4
     /*  405246 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405284 */     GIR_RootConstrainSelectedInstOperands,
     /*  405285 */     // GIR_Coverage, 21008,
     /*  405285 */     GIR_EraseRootFromParent_Done,
     /*  405286 */   // Label 7188: @405286
     /*  405286 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(405363), // Rule ID 21009 //
     /*  405291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405323 */     // MIs[0] Operand 4
     /*  405323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405341 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405361 */     GIR_RootConstrainSelectedInstOperands,
     /*  405362 */     // GIR_Coverage, 21009,
     /*  405362 */     GIR_EraseRootFromParent_Done,
     /*  405363 */   // Label 7189: @405363
     /*  405363 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405440), // Rule ID 21012 //
     /*  405368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405400 */     // MIs[0] Operand 4
     /*  405400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405438 */     GIR_RootConstrainSelectedInstOperands,
     /*  405439 */     // GIR_Coverage, 21012,
     /*  405439 */     GIR_EraseRootFromParent_Done,
     /*  405440 */   // Label 7190: @405440
     /*  405440 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405517), // Rule ID 21013 //
     /*  405445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405477 */     // MIs[0] Operand 4
     /*  405477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405515 */     GIR_RootConstrainSelectedInstOperands,
     /*  405516 */     // GIR_Coverage, 21013,
     /*  405516 */     GIR_EraseRootFromParent_Done,
     /*  405517 */   // Label 7191: @405517
     /*  405517 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405594), // Rule ID 21016 //
     /*  405522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405554 */     // MIs[0] Operand 4
     /*  405554 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405592 */     GIR_RootConstrainSelectedInstOperands,
     /*  405593 */     // GIR_Coverage, 21016,
     /*  405593 */     GIR_EraseRootFromParent_Done,
     /*  405594 */   // Label 7192: @405594
     /*  405594 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405671), // Rule ID 21017 //
     /*  405599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405631 */     // MIs[0] Operand 4
     /*  405631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405669 */     GIR_RootConstrainSelectedInstOperands,
     /*  405670 */     // GIR_Coverage, 21017,
     /*  405670 */     GIR_EraseRootFromParent_Done,
     /*  405671 */   // Label 7193: @405671
     /*  405671 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405748), // Rule ID 21020 //
     /*  405676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405708 */     // MIs[0] Operand 4
     /*  405708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405746 */     GIR_RootConstrainSelectedInstOperands,
     /*  405747 */     // GIR_Coverage, 21020,
     /*  405747 */     GIR_EraseRootFromParent_Done,
     /*  405748 */   // Label 7194: @405748
     /*  405748 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405825), // Rule ID 21021 //
     /*  405753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405785 */     // MIs[0] Operand 4
     /*  405785 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405823 */     GIR_RootConstrainSelectedInstOperands,
     /*  405824 */     // GIR_Coverage, 21021,
     /*  405824 */     GIR_EraseRootFromParent_Done,
     /*  405825 */   // Label 7195: @405825
     /*  405825 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405902), // Rule ID 21024 //
     /*  405830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405862 */     // MIs[0] Operand 4
     /*  405862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405900 */     GIR_RootConstrainSelectedInstOperands,
     /*  405901 */     // GIR_Coverage, 21024,
     /*  405901 */     GIR_EraseRootFromParent_Done,
     /*  405902 */   // Label 7196: @405902
     /*  405902 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405979), // Rule ID 21025 //
     /*  405907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405939 */     // MIs[0] Operand 4
     /*  405939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405977 */     GIR_RootConstrainSelectedInstOperands,
     /*  405978 */     // GIR_Coverage, 21025,
     /*  405978 */     GIR_EraseRootFromParent_Done,
     /*  405979 */   // Label 7197: @405979
     /*  405979 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(406056), // Rule ID 21028 //
     /*  405984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406016 */     // MIs[0] Operand 4
     /*  406016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406054 */     GIR_RootConstrainSelectedInstOperands,
     /*  406055 */     // GIR_Coverage, 21028,
     /*  406055 */     GIR_EraseRootFromParent_Done,
     /*  406056 */   // Label 7198: @406056
     /*  406056 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(406133), // Rule ID 21029 //
     /*  406061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406093 */     // MIs[0] Operand 4
     /*  406093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406131 */     GIR_RootConstrainSelectedInstOperands,
     /*  406132 */     // GIR_Coverage, 21029,
     /*  406132 */     GIR_EraseRootFromParent_Done,
     /*  406133 */   // Label 7199: @406133
     /*  406133 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(406210), // Rule ID 21032 //
     /*  406138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406170 */     // MIs[0] Operand 4
     /*  406170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406208 */     GIR_RootConstrainSelectedInstOperands,
     /*  406209 */     // GIR_Coverage, 21032,
     /*  406209 */     GIR_EraseRootFromParent_Done,
     /*  406210 */   // Label 7200: @406210
     /*  406210 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(406287), // Rule ID 21033 //
     /*  406215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406247 */     // MIs[0] Operand 4
     /*  406247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406285 */     GIR_RootConstrainSelectedInstOperands,
     /*  406286 */     // GIR_Coverage, 21033,
     /*  406286 */     GIR_EraseRootFromParent_Done,
     /*  406287 */   // Label 7201: @406287
     /*  406287 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(406364), // Rule ID 21036 //
     /*  406292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406324 */     // MIs[0] Operand 4
     /*  406324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406362 */     GIR_RootConstrainSelectedInstOperands,
     /*  406363 */     // GIR_Coverage, 21036,
     /*  406363 */     GIR_EraseRootFromParent_Done,
     /*  406364 */   // Label 7202: @406364
     /*  406364 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406441), // Rule ID 21037 //
     /*  406369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406401 */     // MIs[0] Operand 4
     /*  406401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406439 */     GIR_RootConstrainSelectedInstOperands,
     /*  406440 */     // GIR_Coverage, 21037,
     /*  406440 */     GIR_EraseRootFromParent_Done,
     /*  406441 */   // Label 7203: @406441
     /*  406441 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406518), // Rule ID 21040 //
     /*  406446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406478 */     // MIs[0] Operand 4
     /*  406478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406516 */     GIR_RootConstrainSelectedInstOperands,
     /*  406517 */     // GIR_Coverage, 21040,
     /*  406517 */     GIR_EraseRootFromParent_Done,
     /*  406518 */   // Label 7204: @406518
     /*  406518 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406595), // Rule ID 21041 //
     /*  406523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406555 */     // MIs[0] Operand 4
     /*  406555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406593 */     GIR_RootConstrainSelectedInstOperands,
     /*  406594 */     // GIR_Coverage, 21041,
     /*  406594 */     GIR_EraseRootFromParent_Done,
     /*  406595 */   // Label 7205: @406595
     /*  406595 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406672), // Rule ID 21044 //
     /*  406600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406632 */     // MIs[0] Operand 4
     /*  406632 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406670 */     GIR_RootConstrainSelectedInstOperands,
     /*  406671 */     // GIR_Coverage, 21044,
     /*  406671 */     GIR_EraseRootFromParent_Done,
     /*  406672 */   // Label 7206: @406672
     /*  406672 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406749), // Rule ID 21045 //
     /*  406677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406709 */     // MIs[0] Operand 4
     /*  406709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406727 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406747 */     GIR_RootConstrainSelectedInstOperands,
     /*  406748 */     // GIR_Coverage, 21045,
     /*  406748 */     GIR_EraseRootFromParent_Done,
     /*  406749 */   // Label 7207: @406749
     /*  406749 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406826), // Rule ID 21048 //
     /*  406754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406786 */     // MIs[0] Operand 4
     /*  406786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406824 */     GIR_RootConstrainSelectedInstOperands,
     /*  406825 */     // GIR_Coverage, 21048,
     /*  406825 */     GIR_EraseRootFromParent_Done,
     /*  406826 */   // Label 7208: @406826
     /*  406826 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406903), // Rule ID 21049 //
     /*  406831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406863 */     // MIs[0] Operand 4
     /*  406863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406901 */     GIR_RootConstrainSelectedInstOperands,
     /*  406902 */     // GIR_Coverage, 21049,
     /*  406902 */     GIR_EraseRootFromParent_Done,
     /*  406903 */   // Label 7209: @406903
     /*  406903 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406980), // Rule ID 21052 //
     /*  406908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406940 */     // MIs[0] Operand 4
     /*  406940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406978 */     GIR_RootConstrainSelectedInstOperands,
     /*  406979 */     // GIR_Coverage, 21052,
     /*  406979 */     GIR_EraseRootFromParent_Done,
     /*  406980 */   // Label 7210: @406980
     /*  406980 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(407057), // Rule ID 21053 //
     /*  406985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407017 */     // MIs[0] Operand 4
     /*  407017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407055 */     GIR_RootConstrainSelectedInstOperands,
     /*  407056 */     // GIR_Coverage, 21053,
     /*  407056 */     GIR_EraseRootFromParent_Done,
     /*  407057 */   // Label 7211: @407057
     /*  407057 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(407134), // Rule ID 21056 //
     /*  407062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407094 */     // MIs[0] Operand 4
     /*  407094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407132 */     GIR_RootConstrainSelectedInstOperands,
     /*  407133 */     // GIR_Coverage, 21056,
     /*  407133 */     GIR_EraseRootFromParent_Done,
     /*  407134 */   // Label 7212: @407134
     /*  407134 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(407211), // Rule ID 21057 //
     /*  407139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407171 */     // MIs[0] Operand 4
     /*  407171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407209 */     GIR_RootConstrainSelectedInstOperands,
     /*  407210 */     // GIR_Coverage, 21057,
     /*  407210 */     GIR_EraseRootFromParent_Done,
     /*  407211 */   // Label 7213: @407211
     /*  407211 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(407288), // Rule ID 21060 //
     /*  407216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407248 */     // MIs[0] Operand 4
     /*  407248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407286 */     GIR_RootConstrainSelectedInstOperands,
     /*  407287 */     // GIR_Coverage, 21060,
     /*  407287 */     GIR_EraseRootFromParent_Done,
     /*  407288 */   // Label 7214: @407288
     /*  407288 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(407365), // Rule ID 21061 //
     /*  407293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407325 */     // MIs[0] Operand 4
     /*  407325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407363 */     GIR_RootConstrainSelectedInstOperands,
     /*  407364 */     // GIR_Coverage, 21061,
     /*  407364 */     GIR_EraseRootFromParent_Done,
     /*  407365 */   // Label 7215: @407365
     /*  407365 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407442), // Rule ID 21364 //
     /*  407370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407402 */     // MIs[0] Operand 4
     /*  407402 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407440 */     GIR_RootConstrainSelectedInstOperands,
     /*  407441 */     // GIR_Coverage, 21364,
     /*  407441 */     GIR_EraseRootFromParent_Done,
     /*  407442 */   // Label 7216: @407442
     /*  407442 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407519), // Rule ID 21365 //
     /*  407447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407479 */     // MIs[0] Operand 4
     /*  407479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407517 */     GIR_RootConstrainSelectedInstOperands,
     /*  407518 */     // GIR_Coverage, 21365,
     /*  407518 */     GIR_EraseRootFromParent_Done,
     /*  407519 */   // Label 7217: @407519
     /*  407519 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407596), // Rule ID 21368 //
     /*  407524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407556 */     // MIs[0] Operand 4
     /*  407556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407574 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407594 */     GIR_RootConstrainSelectedInstOperands,
     /*  407595 */     // GIR_Coverage, 21368,
     /*  407595 */     GIR_EraseRootFromParent_Done,
     /*  407596 */   // Label 7218: @407596
     /*  407596 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407673), // Rule ID 21369 //
     /*  407601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407633 */     // MIs[0] Operand 4
     /*  407633 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407651 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407671 */     GIR_RootConstrainSelectedInstOperands,
     /*  407672 */     // GIR_Coverage, 21369,
     /*  407672 */     GIR_EraseRootFromParent_Done,
     /*  407673 */   // Label 7219: @407673
     /*  407673 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407750), // Rule ID 21372 //
     /*  407678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407710 */     // MIs[0] Operand 4
     /*  407710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407748 */     GIR_RootConstrainSelectedInstOperands,
     /*  407749 */     // GIR_Coverage, 21372,
     /*  407749 */     GIR_EraseRootFromParent_Done,
     /*  407750 */   // Label 7220: @407750
     /*  407750 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407827), // Rule ID 21373 //
     /*  407755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407787 */     // MIs[0] Operand 4
     /*  407787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407805 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407825 */     GIR_RootConstrainSelectedInstOperands,
     /*  407826 */     // GIR_Coverage, 21373,
     /*  407826 */     GIR_EraseRootFromParent_Done,
     /*  407827 */   // Label 7221: @407827
     /*  407827 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407904), // Rule ID 21376 //
     /*  407832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407864 */     // MIs[0] Operand 4
     /*  407864 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407902 */     GIR_RootConstrainSelectedInstOperands,
     /*  407903 */     // GIR_Coverage, 21376,
     /*  407903 */     GIR_EraseRootFromParent_Done,
     /*  407904 */   // Label 7222: @407904
     /*  407904 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407981), // Rule ID 21377 //
     /*  407909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407941 */     // MIs[0] Operand 4
     /*  407941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407979 */     GIR_RootConstrainSelectedInstOperands,
     /*  407980 */     // GIR_Coverage, 21377,
     /*  407980 */     GIR_EraseRootFromParent_Done,
     /*  407981 */   // Label 7223: @407981
     /*  407981 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(408058), // Rule ID 21380 //
     /*  407986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  407997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408018 */     // MIs[0] Operand 4
     /*  408018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408056 */     GIR_RootConstrainSelectedInstOperands,
     /*  408057 */     // GIR_Coverage, 21380,
     /*  408057 */     GIR_EraseRootFromParent_Done,
     /*  408058 */   // Label 7224: @408058
     /*  408058 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(408135), // Rule ID 21381 //
     /*  408063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408095 */     // MIs[0] Operand 4
     /*  408095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408133 */     GIR_RootConstrainSelectedInstOperands,
     /*  408134 */     // GIR_Coverage, 21381,
     /*  408134 */     GIR_EraseRootFromParent_Done,
     /*  408135 */   // Label 7225: @408135
     /*  408135 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(408212), // Rule ID 21384 //
     /*  408140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408172 */     // MIs[0] Operand 4
     /*  408172 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408210 */     GIR_RootConstrainSelectedInstOperands,
     /*  408211 */     // GIR_Coverage, 21384,
     /*  408211 */     GIR_EraseRootFromParent_Done,
     /*  408212 */   // Label 7226: @408212
     /*  408212 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(408289), // Rule ID 21385 //
     /*  408217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408249 */     // MIs[0] Operand 4
     /*  408249 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408287 */     GIR_RootConstrainSelectedInstOperands,
     /*  408288 */     // GIR_Coverage, 21385,
     /*  408288 */     GIR_EraseRootFromParent_Done,
     /*  408289 */   // Label 7227: @408289
     /*  408289 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(408366), // Rule ID 21388 //
     /*  408294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408326 */     // MIs[0] Operand 4
     /*  408326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408364 */     GIR_RootConstrainSelectedInstOperands,
     /*  408365 */     // GIR_Coverage, 21388,
     /*  408365 */     GIR_EraseRootFromParent_Done,
     /*  408366 */   // Label 7228: @408366
     /*  408366 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408443), // Rule ID 21389 //
     /*  408371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408403 */     // MIs[0] Operand 4
     /*  408403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408441 */     GIR_RootConstrainSelectedInstOperands,
     /*  408442 */     // GIR_Coverage, 21389,
     /*  408442 */     GIR_EraseRootFromParent_Done,
     /*  408443 */   // Label 7229: @408443
     /*  408443 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408520), // Rule ID 21392 //
     /*  408448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408480 */     // MIs[0] Operand 4
     /*  408480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408518 */     GIR_RootConstrainSelectedInstOperands,
     /*  408519 */     // GIR_Coverage, 21392,
     /*  408519 */     GIR_EraseRootFromParent_Done,
     /*  408520 */   // Label 7230: @408520
     /*  408520 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408597), // Rule ID 21393 //
     /*  408525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408557 */     // MIs[0] Operand 4
     /*  408557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408575 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408595 */     GIR_RootConstrainSelectedInstOperands,
     /*  408596 */     // GIR_Coverage, 21393,
     /*  408596 */     GIR_EraseRootFromParent_Done,
     /*  408597 */   // Label 7231: @408597
     /*  408597 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408674), // Rule ID 21396 //
     /*  408602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408634 */     // MIs[0] Operand 4
     /*  408634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408672 */     GIR_RootConstrainSelectedInstOperands,
     /*  408673 */     // GIR_Coverage, 21396,
     /*  408673 */     GIR_EraseRootFromParent_Done,
     /*  408674 */   // Label 7232: @408674
     /*  408674 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408751), // Rule ID 21397 //
     /*  408679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408711 */     // MIs[0] Operand 4
     /*  408711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408749 */     GIR_RootConstrainSelectedInstOperands,
     /*  408750 */     // GIR_Coverage, 21397,
     /*  408750 */     GIR_EraseRootFromParent_Done,
     /*  408751 */   // Label 7233: @408751
     /*  408751 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408828), // Rule ID 21400 //
     /*  408756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408788 */     // MIs[0] Operand 4
     /*  408788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408826 */     GIR_RootConstrainSelectedInstOperands,
     /*  408827 */     // GIR_Coverage, 21400,
     /*  408827 */     GIR_EraseRootFromParent_Done,
     /*  408828 */   // Label 7234: @408828
     /*  408828 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408905), // Rule ID 21401 //
     /*  408833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408865 */     // MIs[0] Operand 4
     /*  408865 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408903 */     GIR_RootConstrainSelectedInstOperands,
     /*  408904 */     // GIR_Coverage, 21401,
     /*  408904 */     GIR_EraseRootFromParent_Done,
     /*  408905 */   // Label 7235: @408905
     /*  408905 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408982), // Rule ID 21404 //
     /*  408910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408942 */     // MIs[0] Operand 4
     /*  408942 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408980 */     GIR_RootConstrainSelectedInstOperands,
     /*  408981 */     // GIR_Coverage, 21404,
     /*  408981 */     GIR_EraseRootFromParent_Done,
     /*  408982 */   // Label 7236: @408982
     /*  408982 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(409059), // Rule ID 21405 //
     /*  408987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409019 */     // MIs[0] Operand 4
     /*  409019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409057 */     GIR_RootConstrainSelectedInstOperands,
     /*  409058 */     // GIR_Coverage, 21405,
     /*  409058 */     GIR_EraseRootFromParent_Done,
     /*  409059 */   // Label 7237: @409059
     /*  409059 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(409136), // Rule ID 21408 //
     /*  409064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409096 */     // MIs[0] Operand 4
     /*  409096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409134 */     GIR_RootConstrainSelectedInstOperands,
     /*  409135 */     // GIR_Coverage, 21408,
     /*  409135 */     GIR_EraseRootFromParent_Done,
     /*  409136 */   // Label 7238: @409136
     /*  409136 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(409213), // Rule ID 21409 //
     /*  409141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409173 */     // MIs[0] Operand 4
     /*  409173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409211 */     GIR_RootConstrainSelectedInstOperands,
     /*  409212 */     // GIR_Coverage, 21409,
     /*  409212 */     GIR_EraseRootFromParent_Done,
     /*  409213 */   // Label 7239: @409213
     /*  409213 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(409290), // Rule ID 21412 //
     /*  409218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409250 */     // MIs[0] Operand 4
     /*  409250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409288 */     GIR_RootConstrainSelectedInstOperands,
     /*  409289 */     // GIR_Coverage, 21412,
     /*  409289 */     GIR_EraseRootFromParent_Done,
     /*  409290 */   // Label 7240: @409290
     /*  409290 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(409367), // Rule ID 21413 //
     /*  409295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409327 */     // MIs[0] Operand 4
     /*  409327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409365 */     GIR_RootConstrainSelectedInstOperands,
     /*  409366 */     // GIR_Coverage, 21413,
     /*  409366 */     GIR_EraseRootFromParent_Done,
     /*  409367 */   // Label 7241: @409367
     /*  409367 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409444), // Rule ID 21416 //
     /*  409372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409404 */     // MIs[0] Operand 4
     /*  409404 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409442 */     GIR_RootConstrainSelectedInstOperands,
     /*  409443 */     // GIR_Coverage, 21416,
     /*  409443 */     GIR_EraseRootFromParent_Done,
     /*  409444 */   // Label 7242: @409444
     /*  409444 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409521), // Rule ID 21417 //
     /*  409449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409481 */     // MIs[0] Operand 4
     /*  409481 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409519 */     GIR_RootConstrainSelectedInstOperands,
     /*  409520 */     // GIR_Coverage, 21417,
     /*  409520 */     GIR_EraseRootFromParent_Done,
     /*  409521 */   // Label 7243: @409521
     /*  409521 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409598), // Rule ID 21420 //
     /*  409526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409558 */     // MIs[0] Operand 4
     /*  409558 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409596 */     GIR_RootConstrainSelectedInstOperands,
     /*  409597 */     // GIR_Coverage, 21420,
     /*  409597 */     GIR_EraseRootFromParent_Done,
     /*  409598 */   // Label 7244: @409598
     /*  409598 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409675), // Rule ID 21421 //
     /*  409603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409635 */     // MIs[0] Operand 4
     /*  409635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409673 */     GIR_RootConstrainSelectedInstOperands,
     /*  409674 */     // GIR_Coverage, 21421,
     /*  409674 */     GIR_EraseRootFromParent_Done,
     /*  409675 */   // Label 7245: @409675
     /*  409675 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409752), // Rule ID 21424 //
     /*  409680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409712 */     // MIs[0] Operand 4
     /*  409712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409730 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409750 */     GIR_RootConstrainSelectedInstOperands,
     /*  409751 */     // GIR_Coverage, 21424,
     /*  409751 */     GIR_EraseRootFromParent_Done,
     /*  409752 */   // Label 7246: @409752
     /*  409752 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409829), // Rule ID 21425 //
     /*  409757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409789 */     // MIs[0] Operand 4
     /*  409789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409807 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409827 */     GIR_RootConstrainSelectedInstOperands,
     /*  409828 */     // GIR_Coverage, 21425,
     /*  409828 */     GIR_EraseRootFromParent_Done,
     /*  409829 */   // Label 7247: @409829
     /*  409829 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409906), // Rule ID 21428 //
     /*  409834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409866 */     // MIs[0] Operand 4
     /*  409866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409904 */     GIR_RootConstrainSelectedInstOperands,
     /*  409905 */     // GIR_Coverage, 21428,
     /*  409905 */     GIR_EraseRootFromParent_Done,
     /*  409906 */   // Label 7248: @409906
     /*  409906 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409983), // Rule ID 21429 //
     /*  409911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409943 */     // MIs[0] Operand 4
     /*  409943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409981 */     GIR_RootConstrainSelectedInstOperands,
     /*  409982 */     // GIR_Coverage, 21429,
     /*  409982 */     GIR_EraseRootFromParent_Done,
     /*  409983 */   // Label 7249: @409983
     /*  409983 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(410060), // Rule ID 21432 //
     /*  409988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  409999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410020 */     // MIs[0] Operand 4
     /*  410020 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410058 */     GIR_RootConstrainSelectedInstOperands,
     /*  410059 */     // GIR_Coverage, 21432,
     /*  410059 */     GIR_EraseRootFromParent_Done,
     /*  410060 */   // Label 7250: @410060
     /*  410060 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(410137), // Rule ID 21433 //
     /*  410065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410097 */     // MIs[0] Operand 4
     /*  410097 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410115 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410135 */     GIR_RootConstrainSelectedInstOperands,
     /*  410136 */     // GIR_Coverage, 21433,
     /*  410136 */     GIR_EraseRootFromParent_Done,
     /*  410137 */   // Label 7251: @410137
     /*  410137 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(410214), // Rule ID 21436 //
     /*  410142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410174 */     // MIs[0] Operand 4
     /*  410174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410212 */     GIR_RootConstrainSelectedInstOperands,
     /*  410213 */     // GIR_Coverage, 21436,
     /*  410213 */     GIR_EraseRootFromParent_Done,
     /*  410214 */   // Label 7252: @410214
     /*  410214 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(410291), // Rule ID 21437 //
     /*  410219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410251 */     // MIs[0] Operand 4
     /*  410251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410289 */     GIR_RootConstrainSelectedInstOperands,
     /*  410290 */     // GIR_Coverage, 21437,
     /*  410290 */     GIR_EraseRootFromParent_Done,
     /*  410291 */   // Label 7253: @410291
     /*  410291 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(410368), // Rule ID 21440 //
     /*  410296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410328 */     // MIs[0] Operand 4
     /*  410328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410366 */     GIR_RootConstrainSelectedInstOperands,
     /*  410367 */     // GIR_Coverage, 21440,
     /*  410367 */     GIR_EraseRootFromParent_Done,
     /*  410368 */   // Label 7254: @410368
     /*  410368 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410445), // Rule ID 21441 //
     /*  410373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410405 */     // MIs[0] Operand 4
     /*  410405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410443 */     GIR_RootConstrainSelectedInstOperands,
     /*  410444 */     // GIR_Coverage, 21441,
     /*  410444 */     GIR_EraseRootFromParent_Done,
     /*  410445 */   // Label 7255: @410445
     /*  410445 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410522), // Rule ID 21444 //
     /*  410450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410482 */     // MIs[0] Operand 4
     /*  410482 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410520 */     GIR_RootConstrainSelectedInstOperands,
     /*  410521 */     // GIR_Coverage, 21444,
     /*  410521 */     GIR_EraseRootFromParent_Done,
     /*  410522 */   // Label 7256: @410522
     /*  410522 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410599), // Rule ID 21445 //
     /*  410527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410559 */     // MIs[0] Operand 4
     /*  410559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410597 */     GIR_RootConstrainSelectedInstOperands,
     /*  410598 */     // GIR_Coverage, 21445,
     /*  410598 */     GIR_EraseRootFromParent_Done,
     /*  410599 */   // Label 7257: @410599
     /*  410599 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410676), // Rule ID 21448 //
     /*  410604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410636 */     // MIs[0] Operand 4
     /*  410636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410654 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410674 */     GIR_RootConstrainSelectedInstOperands,
     /*  410675 */     // GIR_Coverage, 21448,
     /*  410675 */     GIR_EraseRootFromParent_Done,
     /*  410676 */   // Label 7258: @410676
     /*  410676 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410753), // Rule ID 21449 //
     /*  410681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410713 */     // MIs[0] Operand 4
     /*  410713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410751 */     GIR_RootConstrainSelectedInstOperands,
     /*  410752 */     // GIR_Coverage, 21449,
     /*  410752 */     GIR_EraseRootFromParent_Done,
     /*  410753 */   // Label 7259: @410753
     /*  410753 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410830), // Rule ID 21452 //
     /*  410758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410790 */     // MIs[0] Operand 4
     /*  410790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410828 */     GIR_RootConstrainSelectedInstOperands,
     /*  410829 */     // GIR_Coverage, 21452,
     /*  410829 */     GIR_EraseRootFromParent_Done,
     /*  410830 */   // Label 7260: @410830
     /*  410830 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410907), // Rule ID 21453 //
     /*  410835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410867 */     // MIs[0] Operand 4
     /*  410867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410905 */     GIR_RootConstrainSelectedInstOperands,
     /*  410906 */     // GIR_Coverage, 21453,
     /*  410906 */     GIR_EraseRootFromParent_Done,
     /*  410907 */   // Label 7261: @410907
     /*  410907 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410984), // Rule ID 21456 //
     /*  410912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410944 */     // MIs[0] Operand 4
     /*  410944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410982 */     GIR_RootConstrainSelectedInstOperands,
     /*  410983 */     // GIR_Coverage, 21456,
     /*  410983 */     GIR_EraseRootFromParent_Done,
     /*  410984 */   // Label 7262: @410984
     /*  410984 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(411061), // Rule ID 21457 //
     /*  410989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  411000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  411003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411021 */     // MIs[0] Operand 4
     /*  411021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411059 */     GIR_RootConstrainSelectedInstOperands,
     /*  411060 */     // GIR_Coverage, 21457,
     /*  411060 */     GIR_EraseRootFromParent_Done,
     /*  411061 */   // Label 7263: @411061
     /*  411061 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(411138), // Rule ID 21460 //
     /*  411066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411098 */     // MIs[0] Operand 4
     /*  411098 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411136 */     GIR_RootConstrainSelectedInstOperands,
     /*  411137 */     // GIR_Coverage, 21460,
     /*  411137 */     GIR_EraseRootFromParent_Done,
     /*  411138 */   // Label 7264: @411138
     /*  411138 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(411215), // Rule ID 21461 //
     /*  411143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411175 */     // MIs[0] Operand 4
     /*  411175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411213 */     GIR_RootConstrainSelectedInstOperands,
     /*  411214 */     // GIR_Coverage, 21461,
     /*  411214 */     GIR_EraseRootFromParent_Done,
     /*  411215 */   // Label 7265: @411215
     /*  411215 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(411292), // Rule ID 21464 //
     /*  411220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411252 */     // MIs[0] Operand 4
     /*  411252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411270 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411290 */     GIR_RootConstrainSelectedInstOperands,
     /*  411291 */     // GIR_Coverage, 21464,
     /*  411291 */     GIR_EraseRootFromParent_Done,
     /*  411292 */   // Label 7266: @411292
     /*  411292 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(411369), // Rule ID 21465 //
     /*  411297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411329 */     // MIs[0] Operand 4
     /*  411329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411367 */     GIR_RootConstrainSelectedInstOperands,
     /*  411368 */     // GIR_Coverage, 21465,
     /*  411368 */     GIR_EraseRootFromParent_Done,
     /*  411369 */   // Label 7267: @411369
     /*  411369 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411446), // Rule ID 21468 //
     /*  411374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411406 */     // MIs[0] Operand 4
     /*  411406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411444 */     GIR_RootConstrainSelectedInstOperands,
     /*  411445 */     // GIR_Coverage, 21468,
     /*  411445 */     GIR_EraseRootFromParent_Done,
     /*  411446 */   // Label 7268: @411446
     /*  411446 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411523), // Rule ID 21469 //
     /*  411451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411483 */     // MIs[0] Operand 4
     /*  411483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411521 */     GIR_RootConstrainSelectedInstOperands,
     /*  411522 */     // GIR_Coverage, 21469,
     /*  411522 */     GIR_EraseRootFromParent_Done,
     /*  411523 */   // Label 7269: @411523
     /*  411523 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411600), // Rule ID 21472 //
     /*  411528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411560 */     // MIs[0] Operand 4
     /*  411560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411598 */     GIR_RootConstrainSelectedInstOperands,
     /*  411599 */     // GIR_Coverage, 21472,
     /*  411599 */     GIR_EraseRootFromParent_Done,
     /*  411600 */   // Label 7270: @411600
     /*  411600 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411677), // Rule ID 21473 //
     /*  411605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411637 */     // MIs[0] Operand 4
     /*  411637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411675 */     GIR_RootConstrainSelectedInstOperands,
     /*  411676 */     // GIR_Coverage, 21473,
     /*  411676 */     GIR_EraseRootFromParent_Done,
     /*  411677 */   // Label 7271: @411677
     /*  411677 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411754), // Rule ID 21476 //
     /*  411682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411714 */     // MIs[0] Operand 4
     /*  411714 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411752 */     GIR_RootConstrainSelectedInstOperands,
     /*  411753 */     // GIR_Coverage, 21476,
     /*  411753 */     GIR_EraseRootFromParent_Done,
     /*  411754 */   // Label 7272: @411754
     /*  411754 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411831), // Rule ID 21477 //
     /*  411759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411791 */     // MIs[0] Operand 4
     /*  411791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411829 */     GIR_RootConstrainSelectedInstOperands,
     /*  411830 */     // GIR_Coverage, 21477,
     /*  411830 */     GIR_EraseRootFromParent_Done,
     /*  411831 */   // Label 7273: @411831
     /*  411831 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411908), // Rule ID 21480 //
     /*  411836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411868 */     // MIs[0] Operand 4
     /*  411868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411906 */     GIR_RootConstrainSelectedInstOperands,
     /*  411907 */     // GIR_Coverage, 21480,
     /*  411907 */     GIR_EraseRootFromParent_Done,
     /*  411908 */   // Label 7274: @411908
     /*  411908 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411985), // Rule ID 21481 //
     /*  411913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411945 */     // MIs[0] Operand 4
     /*  411945 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411983 */     GIR_RootConstrainSelectedInstOperands,
     /*  411984 */     // GIR_Coverage, 21481,
     /*  411984 */     GIR_EraseRootFromParent_Done,
     /*  411985 */   // Label 7275: @411985
     /*  411985 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(412058), // Rule ID 62740 //
     /*  411990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412014 */     // MIs[0] op1
     /*  412014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  412040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412056 */     GIR_RootConstrainSelectedInstOperands,
     /*  412057 */     // GIR_Coverage, 62740,
     /*  412057 */     GIR_EraseRootFromParent_Done,
     /*  412058 */   // Label 7276: @412058
     /*  412058 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(412131), // Rule ID 62741 //
     /*  412063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412087 */     // MIs[0] op1
     /*  412087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412110 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  412113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412129 */     GIR_RootConstrainSelectedInstOperands,
     /*  412130 */     // GIR_Coverage, 62741,
     /*  412130 */     GIR_EraseRootFromParent_Done,
     /*  412131 */   // Label 7277: @412131
     /*  412131 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(412204), // Rule ID 62764 //
     /*  412136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412160 */     // MIs[0] op1
     /*  412160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  412186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412202 */     GIR_RootConstrainSelectedInstOperands,
     /*  412203 */     // GIR_Coverage, 62764,
     /*  412203 */     GIR_EraseRootFromParent_Done,
     /*  412204 */   // Label 7278: @412204
     /*  412204 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(412277), // Rule ID 62765 //
     /*  412209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412233 */     // MIs[0] op1
     /*  412233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  412259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412275 */     GIR_RootConstrainSelectedInstOperands,
     /*  412276 */     // GIR_Coverage, 62765,
     /*  412276 */     GIR_EraseRootFromParent_Done,
     /*  412277 */   // Label 7279: @412277
     /*  412277 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(412350), // Rule ID 62790 //
     /*  412282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412306 */     // MIs[0] op1
     /*  412306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412348 */     GIR_RootConstrainSelectedInstOperands,
     /*  412349 */     // GIR_Coverage, 62790,
     /*  412349 */     GIR_EraseRootFromParent_Done,
     /*  412350 */   // Label 7280: @412350
     /*  412350 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412423), // Rule ID 62791 //
     /*  412355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412379 */     // MIs[0] op1
     /*  412379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412421 */     GIR_RootConstrainSelectedInstOperands,
     /*  412422 */     // GIR_Coverage, 62791,
     /*  412422 */     GIR_EraseRootFromParent_Done,
     /*  412423 */   // Label 7281: @412423
     /*  412423 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412496), // Rule ID 62802 //
     /*  412428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412452 */     // MIs[0] op1
     /*  412452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412475 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412494 */     GIR_RootConstrainSelectedInstOperands,
     /*  412495 */     // GIR_Coverage, 62802,
     /*  412495 */     GIR_EraseRootFromParent_Done,
     /*  412496 */   // Label 7282: @412496
     /*  412496 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412569), // Rule ID 62803 //
     /*  412501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412525 */     // MIs[0] op1
     /*  412525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412567 */     GIR_RootConstrainSelectedInstOperands,
     /*  412568 */     // GIR_Coverage, 62803,
     /*  412568 */     GIR_EraseRootFromParent_Done,
     /*  412569 */   // Label 7283: @412569
     /*  412569 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412642), // Rule ID 62834 //
     /*  412574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412598 */     // MIs[0] op1
     /*  412598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412640 */     GIR_RootConstrainSelectedInstOperands,
     /*  412641 */     // GIR_Coverage, 62834,
     /*  412641 */     GIR_EraseRootFromParent_Done,
     /*  412642 */   // Label 7284: @412642
     /*  412642 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412715), // Rule ID 62835 //
     /*  412647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412671 */     // MIs[0] op1
     /*  412671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412713 */     GIR_RootConstrainSelectedInstOperands,
     /*  412714 */     // GIR_Coverage, 62835,
     /*  412714 */     GIR_EraseRootFromParent_Done,
     /*  412715 */   // Label 7285: @412715
     /*  412715 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412788), // Rule ID 62846 //
     /*  412720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412744 */     // MIs[0] op1
     /*  412744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412786 */     GIR_RootConstrainSelectedInstOperands,
     /*  412787 */     // GIR_Coverage, 62846,
     /*  412787 */     GIR_EraseRootFromParent_Done,
     /*  412788 */   // Label 7286: @412788
     /*  412788 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412861), // Rule ID 62847 //
     /*  412793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412817 */     // MIs[0] op1
     /*  412817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412859 */     GIR_RootConstrainSelectedInstOperands,
     /*  412860 */     // GIR_Coverage, 62847,
     /*  412860 */     GIR_EraseRootFromParent_Done,
     /*  412861 */   // Label 7287: @412861
     /*  412861 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412934), // Rule ID 62878 //
     /*  412866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412890 */     // MIs[0] op1
     /*  412890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412918 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412920 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412922 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412932 */     GIR_RootConstrainSelectedInstOperands,
     /*  412933 */     // GIR_Coverage, 62878,
     /*  412933 */     GIR_EraseRootFromParent_Done,
     /*  412934 */   // Label 7288: @412934
     /*  412934 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(413007), // Rule ID 62879 //
     /*  412939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412963 */     // MIs[0] op1
     /*  412963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413005 */     GIR_RootConstrainSelectedInstOperands,
     /*  413006 */     // GIR_Coverage, 62879,
     /*  413006 */     GIR_EraseRootFromParent_Done,
     /*  413007 */   // Label 7289: @413007
     /*  413007 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(413080), // Rule ID 62890 //
     /*  413012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413036 */     // MIs[0] op1
     /*  413036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  413062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413078 */     GIR_RootConstrainSelectedInstOperands,
     /*  413079 */     // GIR_Coverage, 62890,
     /*  413079 */     GIR_EraseRootFromParent_Done,
     /*  413080 */   // Label 7290: @413080
     /*  413080 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(413153), // Rule ID 62891 //
     /*  413085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413109 */     // MIs[0] op1
     /*  413109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  413135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413151 */     GIR_RootConstrainSelectedInstOperands,
     /*  413152 */     // GIR_Coverage, 62891,
     /*  413152 */     GIR_EraseRootFromParent_Done,
     /*  413153 */   // Label 7291: @413153
     /*  413153 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(413226), // Rule ID 62914 //
     /*  413158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413182 */     // MIs[0] op1
     /*  413182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  413208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413224 */     GIR_RootConstrainSelectedInstOperands,
     /*  413225 */     // GIR_Coverage, 62914,
     /*  413225 */     GIR_EraseRootFromParent_Done,
     /*  413226 */   // Label 7292: @413226
     /*  413226 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(413299), // Rule ID 62915 //
     /*  413231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413255 */     // MIs[0] op1
     /*  413255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  413281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413297 */     GIR_RootConstrainSelectedInstOperands,
     /*  413298 */     // GIR_Coverage, 62915,
     /*  413298 */     GIR_EraseRootFromParent_Done,
     /*  413299 */   // Label 7293: @413299
     /*  413299 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413372), // Rule ID 62934 //
     /*  413304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413328 */     // MIs[0] op1
     /*  413328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413370 */     GIR_RootConstrainSelectedInstOperands,
     /*  413371 */     // GIR_Coverage, 62934,
     /*  413371 */     GIR_EraseRootFromParent_Done,
     /*  413372 */   // Label 7294: @413372
     /*  413372 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413445), // Rule ID 62935 //
     /*  413377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413401 */     // MIs[0] op1
     /*  413401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413443 */     GIR_RootConstrainSelectedInstOperands,
     /*  413444 */     // GIR_Coverage, 62935,
     /*  413444 */     GIR_EraseRootFromParent_Done,
     /*  413445 */   // Label 7295: @413445
     /*  413445 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413518), // Rule ID 62946 //
     /*  413450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413474 */     // MIs[0] op1
     /*  413474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413516 */     GIR_RootConstrainSelectedInstOperands,
     /*  413517 */     // GIR_Coverage, 62946,
     /*  413517 */     GIR_EraseRootFromParent_Done,
     /*  413518 */   // Label 7296: @413518
     /*  413518 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413591), // Rule ID 62947 //
     /*  413523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413547 */     // MIs[0] op1
     /*  413547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413589 */     GIR_RootConstrainSelectedInstOperands,
     /*  413590 */     // GIR_Coverage, 62947,
     /*  413590 */     GIR_EraseRootFromParent_Done,
     /*  413591 */   // Label 7297: @413591
     /*  413591 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413664), // Rule ID 62970 //
     /*  413596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413620 */     // MIs[0] op1
     /*  413620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413662 */     GIR_RootConstrainSelectedInstOperands,
     /*  413663 */     // GIR_Coverage, 62970,
     /*  413663 */     GIR_EraseRootFromParent_Done,
     /*  413664 */   // Label 7298: @413664
     /*  413664 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413737), // Rule ID 62971 //
     /*  413669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413693 */     // MIs[0] op1
     /*  413693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413735 */     GIR_RootConstrainSelectedInstOperands,
     /*  413736 */     // GIR_Coverage, 62971,
     /*  413736 */     GIR_EraseRootFromParent_Done,
     /*  413737 */   // Label 7299: @413737
     /*  413737 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413810), // Rule ID 62990 //
     /*  413742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413766 */     // MIs[0] op1
     /*  413766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413808 */     GIR_RootConstrainSelectedInstOperands,
     /*  413809 */     // GIR_Coverage, 62990,
     /*  413809 */     GIR_EraseRootFromParent_Done,
     /*  413810 */   // Label 7300: @413810
     /*  413810 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413883), // Rule ID 62991 //
     /*  413815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413839 */     // MIs[0] op1
     /*  413839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413881 */     GIR_RootConstrainSelectedInstOperands,
     /*  413882 */     // GIR_Coverage, 62991,
     /*  413882 */     GIR_EraseRootFromParent_Done,
     /*  413883 */   // Label 7301: @413883
     /*  413883 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413956), // Rule ID 63002 //
     /*  413888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413912 */     // MIs[0] op1
     /*  413912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413935 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413954 */     GIR_RootConstrainSelectedInstOperands,
     /*  413955 */     // GIR_Coverage, 63002,
     /*  413955 */     GIR_EraseRootFromParent_Done,
     /*  413956 */   // Label 7302: @413956
     /*  413956 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(414029), // Rule ID 63003 //
     /*  413961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413985 */     // MIs[0] op1
     /*  413985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  414011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414027 */     GIR_RootConstrainSelectedInstOperands,
     /*  414028 */     // GIR_Coverage, 63003,
     /*  414028 */     GIR_EraseRootFromParent_Done,
     /*  414029 */   // Label 7303: @414029
     /*  414029 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(414102), // Rule ID 63026 //
     /*  414034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414058 */     // MIs[0] op1
     /*  414058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  414084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414100 */     GIR_RootConstrainSelectedInstOperands,
     /*  414101 */     // GIR_Coverage, 63026,
     /*  414101 */     GIR_EraseRootFromParent_Done,
     /*  414102 */   // Label 7304: @414102
     /*  414102 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(414175), // Rule ID 63027 //
     /*  414107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414131 */     // MIs[0] op1
     /*  414131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  414157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414173 */     GIR_RootConstrainSelectedInstOperands,
     /*  414174 */     // GIR_Coverage, 63027,
     /*  414174 */     GIR_EraseRootFromParent_Done,
     /*  414175 */   // Label 7305: @414175
     /*  414175 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(414248), // Rule ID 63046 //
     /*  414180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414204 */     // MIs[0] op1
     /*  414204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414246 */     GIR_RootConstrainSelectedInstOperands,
     /*  414247 */     // GIR_Coverage, 63046,
     /*  414247 */     GIR_EraseRootFromParent_Done,
     /*  414248 */   // Label 7306: @414248
     /*  414248 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414321), // Rule ID 63047 //
     /*  414253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414277 */     // MIs[0] op1
     /*  414277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414319 */     GIR_RootConstrainSelectedInstOperands,
     /*  414320 */     // GIR_Coverage, 63047,
     /*  414320 */     GIR_EraseRootFromParent_Done,
     /*  414321 */   // Label 7307: @414321
     /*  414321 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414394), // Rule ID 63058 //
     /*  414326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  414343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414350 */     // MIs[0] op1
     /*  414350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414392 */     GIR_RootConstrainSelectedInstOperands,
     /*  414393 */     // GIR_Coverage, 63058,
     /*  414393 */     GIR_EraseRootFromParent_Done,
     /*  414394 */   // Label 7308: @414394
     /*  414394 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414467), // Rule ID 63059 //
     /*  414399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  414416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414423 */     // MIs[0] op1
     /*  414423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414465 */     GIR_RootConstrainSelectedInstOperands,
     /*  414466 */     // GIR_Coverage, 63059,
     /*  414466 */     GIR_EraseRootFromParent_Done,
     /*  414467 */   // Label 7309: @414467
     /*  414467 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414540), // Rule ID 63090 //
     /*  414472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414496 */     // MIs[0] op1
     /*  414496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414538 */     GIR_RootConstrainSelectedInstOperands,
     /*  414539 */     // GIR_Coverage, 63090,
     /*  414539 */     GIR_EraseRootFromParent_Done,
     /*  414540 */   // Label 7310: @414540
     /*  414540 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414613), // Rule ID 63091 //
     /*  414545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414569 */     // MIs[0] op1
     /*  414569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414611 */     GIR_RootConstrainSelectedInstOperands,
     /*  414612 */     // GIR_Coverage, 63091,
     /*  414612 */     GIR_EraseRootFromParent_Done,
     /*  414613 */   // Label 7311: @414613
     /*  414613 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414686), // Rule ID 63102 //
     /*  414618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414642 */     // MIs[0] op1
     /*  414642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414684 */     GIR_RootConstrainSelectedInstOperands,
     /*  414685 */     // GIR_Coverage, 63102,
     /*  414685 */     GIR_EraseRootFromParent_Done,
     /*  414686 */   // Label 7312: @414686
     /*  414686 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414759), // Rule ID 63103 //
     /*  414691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414715 */     // MIs[0] op1
     /*  414715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414757 */     GIR_RootConstrainSelectedInstOperands,
     /*  414758 */     // GIR_Coverage, 63103,
     /*  414758 */     GIR_EraseRootFromParent_Done,
     /*  414759 */   // Label 7313: @414759
     /*  414759 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414832), // Rule ID 63126 //
     /*  414764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414788 */     // MIs[0] op1
     /*  414788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414830 */     GIR_RootConstrainSelectedInstOperands,
     /*  414831 */     // GIR_Coverage, 63126,
     /*  414831 */     GIR_EraseRootFromParent_Done,
     /*  414832 */   // Label 7314: @414832
     /*  414832 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414905), // Rule ID 63127 //
     /*  414837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414861 */     // MIs[0] op1
     /*  414861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414903 */     GIR_RootConstrainSelectedInstOperands,
     /*  414904 */     // GIR_Coverage, 63127,
     /*  414904 */     GIR_EraseRootFromParent_Done,
     /*  414905 */   // Label 7315: @414905
     /*  414905 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414978), // Rule ID 63146 //
     /*  414910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414934 */     // MIs[0] op1
     /*  414934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414976 */     GIR_RootConstrainSelectedInstOperands,
     /*  414977 */     // GIR_Coverage, 63146,
     /*  414977 */     GIR_EraseRootFromParent_Done,
     /*  414978 */   // Label 7316: @414978
     /*  414978 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(415051), // Rule ID 63147 //
     /*  414983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415007 */     // MIs[0] op1
     /*  415007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415049 */     GIR_RootConstrainSelectedInstOperands,
     /*  415050 */     // GIR_Coverage, 63147,
     /*  415050 */     GIR_EraseRootFromParent_Done,
     /*  415051 */   // Label 7317: @415051
     /*  415051 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(415124), // Rule ID 63158 //
     /*  415056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415080 */     // MIs[0] op1
     /*  415080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415122 */     GIR_RootConstrainSelectedInstOperands,
     /*  415123 */     // GIR_Coverage, 63158,
     /*  415123 */     GIR_EraseRootFromParent_Done,
     /*  415124 */   // Label 7318: @415124
     /*  415124 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(415197), // Rule ID 63159 //
     /*  415129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415153 */     // MIs[0] op1
     /*  415153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415195 */     GIR_RootConstrainSelectedInstOperands,
     /*  415196 */     // GIR_Coverage, 63159,
     /*  415196 */     GIR_EraseRootFromParent_Done,
     /*  415197 */   // Label 7319: @415197
     /*  415197 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415270), // Rule ID 63182 //
     /*  415202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415226 */     // MIs[0] op1
     /*  415226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  415252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415268 */     GIR_RootConstrainSelectedInstOperands,
     /*  415269 */     // GIR_Coverage, 63182,
     /*  415269 */     GIR_EraseRootFromParent_Done,
     /*  415270 */   // Label 7320: @415270
     /*  415270 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415343), // Rule ID 63183 //
     /*  415275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415299 */     // MIs[0] op1
     /*  415299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  415325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415341 */     GIR_RootConstrainSelectedInstOperands,
     /*  415342 */     // GIR_Coverage, 63183,
     /*  415342 */     GIR_EraseRootFromParent_Done,
     /*  415343 */   // Label 7321: @415343
     /*  415343 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415416), // Rule ID 63202 //
     /*  415348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415372 */     // MIs[0] op1
     /*  415372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415414 */     GIR_RootConstrainSelectedInstOperands,
     /*  415415 */     // GIR_Coverage, 63202,
     /*  415415 */     GIR_EraseRootFromParent_Done,
     /*  415416 */   // Label 7322: @415416
     /*  415416 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415489), // Rule ID 63203 //
     /*  415421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415445 */     // MIs[0] op1
     /*  415445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415487 */     GIR_RootConstrainSelectedInstOperands,
     /*  415488 */     // GIR_Coverage, 63203,
     /*  415488 */     GIR_EraseRootFromParent_Done,
     /*  415489 */   // Label 7323: @415489
     /*  415489 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415562), // Rule ID 63214 //
     /*  415494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415518 */     // MIs[0] op1
     /*  415518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415560 */     GIR_RootConstrainSelectedInstOperands,
     /*  415561 */     // GIR_Coverage, 63214,
     /*  415561 */     GIR_EraseRootFromParent_Done,
     /*  415562 */   // Label 7324: @415562
     /*  415562 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415635), // Rule ID 63215 //
     /*  415567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415591 */     // MIs[0] op1
     /*  415591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415633 */     GIR_RootConstrainSelectedInstOperands,
     /*  415634 */     // GIR_Coverage, 63215,
     /*  415634 */     GIR_EraseRootFromParent_Done,
     /*  415635 */   // Label 7325: @415635
     /*  415635 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415708), // Rule ID 63238 //
     /*  415640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415664 */     // MIs[0] op1
     /*  415664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415687 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415706 */     GIR_RootConstrainSelectedInstOperands,
     /*  415707 */     // GIR_Coverage, 63238,
     /*  415707 */     GIR_EraseRootFromParent_Done,
     /*  415708 */   // Label 7326: @415708
     /*  415708 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415781), // Rule ID 63239 //
     /*  415713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415737 */     // MIs[0] op1
     /*  415737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415765 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415767 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415769 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415779 */     GIR_RootConstrainSelectedInstOperands,
     /*  415780 */     // GIR_Coverage, 63239,
     /*  415780 */     GIR_EraseRootFromParent_Done,
     /*  415781 */   // Label 7327: @415781
     /*  415781 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415854), // Rule ID 63258 //
     /*  415786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415810 */     // MIs[0] op1
     /*  415810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415852 */     GIR_RootConstrainSelectedInstOperands,
     /*  415853 */     // GIR_Coverage, 63258,
     /*  415853 */     GIR_EraseRootFromParent_Done,
     /*  415854 */   // Label 7328: @415854
     /*  415854 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415927), // Rule ID 63259 //
     /*  415859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415883 */     // MIs[0] op1
     /*  415883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415911 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415913 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415915 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415925 */     GIR_RootConstrainSelectedInstOperands,
     /*  415926 */     // GIR_Coverage, 63259,
     /*  415926 */     GIR_EraseRootFromParent_Done,
     /*  415927 */   // Label 7329: @415927
     /*  415927 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(416000), // Rule ID 63270 //
     /*  415932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415956 */     // MIs[0] op1
     /*  415956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415998 */     GIR_RootConstrainSelectedInstOperands,
     /*  415999 */     // GIR_Coverage, 63270,
     /*  415999 */     GIR_EraseRootFromParent_Done,
     /*  416000 */   // Label 7330: @416000
     /*  416000 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(416073), // Rule ID 63271 //
     /*  416005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  416022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416029 */     // MIs[0] op1
     /*  416029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416071 */     GIR_RootConstrainSelectedInstOperands,
     /*  416072 */     // GIR_Coverage, 63271,
     /*  416072 */     GIR_EraseRootFromParent_Done,
     /*  416073 */   // Label 7331: @416073
     /*  416073 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(416146), // Rule ID 63302 //
     /*  416078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416102 */     // MIs[0] op1
     /*  416102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416125 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416144 */     GIR_RootConstrainSelectedInstOperands,
     /*  416145 */     // GIR_Coverage, 63302,
     /*  416145 */     GIR_EraseRootFromParent_Done,
     /*  416146 */   // Label 7332: @416146
     /*  416146 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416219), // Rule ID 63303 //
     /*  416151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416175 */     // MIs[0] op1
     /*  416175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416217 */     GIR_RootConstrainSelectedInstOperands,
     /*  416218 */     // GIR_Coverage, 63303,
     /*  416218 */     GIR_EraseRootFromParent_Done,
     /*  416219 */   // Label 7333: @416219
     /*  416219 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416292), // Rule ID 63314 //
     /*  416224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416248 */     // MIs[0] op1
     /*  416248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416271 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416290 */     GIR_RootConstrainSelectedInstOperands,
     /*  416291 */     // GIR_Coverage, 63314,
     /*  416291 */     GIR_EraseRootFromParent_Done,
     /*  416292 */   // Label 7334: @416292
     /*  416292 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416365), // Rule ID 63315 //
     /*  416297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416321 */     // MIs[0] op1
     /*  416321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416363 */     GIR_RootConstrainSelectedInstOperands,
     /*  416364 */     // GIR_Coverage, 63315,
     /*  416364 */     GIR_EraseRootFromParent_Done,
     /*  416365 */   // Label 7335: @416365
     /*  416365 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416438), // Rule ID 63346 //
     /*  416370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416394 */     // MIs[0] op1
     /*  416394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416417 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416436 */     GIR_RootConstrainSelectedInstOperands,
     /*  416437 */     // GIR_Coverage, 63346,
     /*  416437 */     GIR_EraseRootFromParent_Done,
     /*  416438 */   // Label 7336: @416438
     /*  416438 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416511), // Rule ID 63347 //
     /*  416443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416467 */     // MIs[0] op1
     /*  416467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416490 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416509 */     GIR_RootConstrainSelectedInstOperands,
     /*  416510 */     // GIR_Coverage, 63347,
     /*  416510 */     GIR_EraseRootFromParent_Done,
     /*  416511 */   // Label 7337: @416511
     /*  416511 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416584), // Rule ID 63358 //
     /*  416516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416540 */     // MIs[0] op1
     /*  416540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416563 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416582 */     GIR_RootConstrainSelectedInstOperands,
     /*  416583 */     // GIR_Coverage, 63358,
     /*  416583 */     GIR_EraseRootFromParent_Done,
     /*  416584 */   // Label 7338: @416584
     /*  416584 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416657), // Rule ID 63359 //
     /*  416589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416613 */     // MIs[0] op1
     /*  416613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416655 */     GIR_RootConstrainSelectedInstOperands,
     /*  416656 */     // GIR_Coverage, 63359,
     /*  416656 */     GIR_EraseRootFromParent_Done,
     /*  416657 */   // Label 7339: @416657
     /*  416657 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416730), // Rule ID 63390 //
     /*  416662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416686 */     // MIs[0] op1
     /*  416686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416728 */     GIR_RootConstrainSelectedInstOperands,
     /*  416729 */     // GIR_Coverage, 63390,
     /*  416729 */     GIR_EraseRootFromParent_Done,
     /*  416730 */   // Label 7340: @416730
     /*  416730 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416803), // Rule ID 63391 //
     /*  416735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416759 */     // MIs[0] op1
     /*  416759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416801 */     GIR_RootConstrainSelectedInstOperands,
     /*  416802 */     // GIR_Coverage, 63391,
     /*  416802 */     GIR_EraseRootFromParent_Done,
     /*  416803 */   // Label 7341: @416803
     /*  416803 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416876), // Rule ID 63402 //
     /*  416808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416832 */     // MIs[0] op1
     /*  416832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416874 */     GIR_RootConstrainSelectedInstOperands,
     /*  416875 */     // GIR_Coverage, 63402,
     /*  416875 */     GIR_EraseRootFromParent_Done,
     /*  416876 */   // Label 7342: @416876
     /*  416876 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416949), // Rule ID 63403 //
     /*  416881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416905 */     // MIs[0] op1
     /*  416905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416928 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416947 */     GIR_RootConstrainSelectedInstOperands,
     /*  416948 */     // GIR_Coverage, 63403,
     /*  416948 */     GIR_EraseRootFromParent_Done,
     /*  416949 */   // Label 7343: @416949
     /*  416949 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(417022), // Rule ID 63426 //
     /*  416954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416978 */     // MIs[0] op1
     /*  416978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  417004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417020 */     GIR_RootConstrainSelectedInstOperands,
     /*  417021 */     // GIR_Coverage, 63426,
     /*  417021 */     GIR_EraseRootFromParent_Done,
     /*  417022 */   // Label 7344: @417022
     /*  417022 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(417095), // Rule ID 63427 //
     /*  417027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417051 */     // MIs[0] op1
     /*  417051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  417077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417093 */     GIR_RootConstrainSelectedInstOperands,
     /*  417094 */     // GIR_Coverage, 63427,
     /*  417094 */     GIR_EraseRootFromParent_Done,
     /*  417095 */   // Label 7345: @417095
     /*  417095 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417168), // Rule ID 63446 //
     /*  417100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417124 */     // MIs[0] op1
     /*  417124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  417150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417166 */     GIR_RootConstrainSelectedInstOperands,
     /*  417167 */     // GIR_Coverage, 63446,
     /*  417167 */     GIR_EraseRootFromParent_Done,
     /*  417168 */   // Label 7346: @417168
     /*  417168 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417241), // Rule ID 63447 //
     /*  417173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417197 */     // MIs[0] op1
     /*  417197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  417223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417239 */     GIR_RootConstrainSelectedInstOperands,
     /*  417240 */     // GIR_Coverage, 63447,
     /*  417240 */     GIR_EraseRootFromParent_Done,
     /*  417241 */   // Label 7347: @417241
     /*  417241 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417314), // Rule ID 63458 //
     /*  417246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  417263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417270 */     // MIs[0] op1
     /*  417270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417293 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  417296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417312 */     GIR_RootConstrainSelectedInstOperands,
     /*  417313 */     // GIR_Coverage, 63458,
     /*  417313 */     GIR_EraseRootFromParent_Done,
     /*  417314 */   // Label 7348: @417314
     /*  417314 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417387), // Rule ID 63459 //
     /*  417319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  417336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417343 */     // MIs[0] op1
     /*  417343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  417369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417385 */     GIR_RootConstrainSelectedInstOperands,
     /*  417386 */     // GIR_Coverage, 63459,
     /*  417386 */     GIR_EraseRootFromParent_Done,
     /*  417387 */   // Label 7349: @417387
     /*  417387 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417460), // Rule ID 63482 //
     /*  417392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417416 */     // MIs[0] op1
     /*  417416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417458 */     GIR_RootConstrainSelectedInstOperands,
     /*  417459 */     // GIR_Coverage, 63482,
     /*  417459 */     GIR_EraseRootFromParent_Done,
     /*  417460 */   // Label 7350: @417460
     /*  417460 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417533), // Rule ID 63483 //
     /*  417465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417489 */     // MIs[0] op1
     /*  417489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417531 */     GIR_RootConstrainSelectedInstOperands,
     /*  417532 */     // GIR_Coverage, 63483,
     /*  417532 */     GIR_EraseRootFromParent_Done,
     /*  417533 */   // Label 7351: @417533
     /*  417533 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417606), // Rule ID 63502 //
     /*  417538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417562 */     // MIs[0] op1
     /*  417562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417590 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417592 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417594 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417604 */     GIR_RootConstrainSelectedInstOperands,
     /*  417605 */     // GIR_Coverage, 63502,
     /*  417605 */     GIR_EraseRootFromParent_Done,
     /*  417606 */   // Label 7352: @417606
     /*  417606 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417679), // Rule ID 63503 //
     /*  417611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417635 */     // MIs[0] op1
     /*  417635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417677 */     GIR_RootConstrainSelectedInstOperands,
     /*  417678 */     // GIR_Coverage, 63503,
     /*  417678 */     GIR_EraseRootFromParent_Done,
     /*  417679 */   // Label 7353: @417679
     /*  417679 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417752), // Rule ID 63514 //
     /*  417684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417708 */     // MIs[0] op1
     /*  417708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417750 */     GIR_RootConstrainSelectedInstOperands,
     /*  417751 */     // GIR_Coverage, 63514,
     /*  417751 */     GIR_EraseRootFromParent_Done,
     /*  417752 */   // Label 7354: @417752
     /*  417752 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417825), // Rule ID 63515 //
     /*  417757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417781 */     // MIs[0] op1
     /*  417781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417804 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417823 */     GIR_RootConstrainSelectedInstOperands,
     /*  417824 */     // GIR_Coverage, 63515,
     /*  417824 */     GIR_EraseRootFromParent_Done,
     /*  417825 */   // Label 7355: @417825
     /*  417825 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417898), // Rule ID 63538 //
     /*  417830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417854 */     // MIs[0] op1
     /*  417854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417896 */     GIR_RootConstrainSelectedInstOperands,
     /*  417897 */     // GIR_Coverage, 63538,
     /*  417897 */     GIR_EraseRootFromParent_Done,
     /*  417898 */   // Label 7356: @417898
     /*  417898 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417971), // Rule ID 63539 //
     /*  417903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417927 */     // MIs[0] op1
     /*  417927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417969 */     GIR_RootConstrainSelectedInstOperands,
     /*  417970 */     // GIR_Coverage, 63539,
     /*  417970 */     GIR_EraseRootFromParent_Done,
     /*  417971 */   // Label 7357: @417971
     /*  417971 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(418044), // Rule ID 63558 //
     /*  417976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418000 */     // MIs[0] op1
     /*  418000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418042 */     GIR_RootConstrainSelectedInstOperands,
     /*  418043 */     // GIR_Coverage, 63558,
     /*  418043 */     GIR_EraseRootFromParent_Done,
     /*  418044 */   // Label 7358: @418044
     /*  418044 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(418117), // Rule ID 63559 //
     /*  418049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418073 */     // MIs[0] op1
     /*  418073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418115 */     GIR_RootConstrainSelectedInstOperands,
     /*  418116 */     // GIR_Coverage, 63559,
     /*  418116 */     GIR_EraseRootFromParent_Done,
     /*  418117 */   // Label 7359: @418117
     /*  418117 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418190), // Rule ID 63570 //
     /*  418122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418146 */     // MIs[0] op1
     /*  418146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  418172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418188 */     GIR_RootConstrainSelectedInstOperands,
     /*  418189 */     // GIR_Coverage, 63570,
     /*  418189 */     GIR_EraseRootFromParent_Done,
     /*  418190 */   // Label 7360: @418190
     /*  418190 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418263), // Rule ID 63571 //
     /*  418195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418219 */     // MIs[0] op1
     /*  418219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  418245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418261 */     GIR_RootConstrainSelectedInstOperands,
     /*  418262 */     // GIR_Coverage, 63571,
     /*  418262 */     GIR_EraseRootFromParent_Done,
     /*  418263 */   // Label 7361: @418263
     /*  418263 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418336), // Rule ID 63594 //
     /*  418268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418292 */     // MIs[0] op1
     /*  418292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  418318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418334 */     GIR_RootConstrainSelectedInstOperands,
     /*  418335 */     // GIR_Coverage, 63594,
     /*  418335 */     GIR_EraseRootFromParent_Done,
     /*  418336 */   // Label 7362: @418336
     /*  418336 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418409), // Rule ID 63595 //
     /*  418341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418365 */     // MIs[0] op1
     /*  418365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  418391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418407 */     GIR_RootConstrainSelectedInstOperands,
     /*  418408 */     // GIR_Coverage, 63595,
     /*  418408 */     GIR_EraseRootFromParent_Done,
     /*  418409 */   // Label 7363: @418409
     /*  418409 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418482), // Rule ID 63614 //
     /*  418414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418438 */     // MIs[0] op1
     /*  418438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418480 */     GIR_RootConstrainSelectedInstOperands,
     /*  418481 */     // GIR_Coverage, 63614,
     /*  418481 */     GIR_EraseRootFromParent_Done,
     /*  418482 */   // Label 7364: @418482
     /*  418482 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418555), // Rule ID 63615 //
     /*  418487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418511 */     // MIs[0] op1
     /*  418511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418553 */     GIR_RootConstrainSelectedInstOperands,
     /*  418554 */     // GIR_Coverage, 63615,
     /*  418554 */     GIR_EraseRootFromParent_Done,
     /*  418555 */   // Label 7365: @418555
     /*  418555 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418628), // Rule ID 63626 //
     /*  418560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418584 */     // MIs[0] op1
     /*  418584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418607 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418626 */     GIR_RootConstrainSelectedInstOperands,
     /*  418627 */     // GIR_Coverage, 63626,
     /*  418627 */     GIR_EraseRootFromParent_Done,
     /*  418628 */   // Label 7366: @418628
     /*  418628 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418701), // Rule ID 63627 //
     /*  418633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418657 */     // MIs[0] op1
     /*  418657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418685 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418687 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418689 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418699 */     GIR_RootConstrainSelectedInstOperands,
     /*  418700 */     // GIR_Coverage, 63627,
     /*  418700 */     GIR_EraseRootFromParent_Done,
     /*  418701 */   // Label 7367: @418701
     /*  418701 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418774), // Rule ID 63650 //
     /*  418706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418730 */     // MIs[0] op1
     /*  418730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418772 */     GIR_RootConstrainSelectedInstOperands,
     /*  418773 */     // GIR_Coverage, 63650,
     /*  418773 */     GIR_EraseRootFromParent_Done,
     /*  418774 */   // Label 7368: @418774
     /*  418774 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418847), // Rule ID 63651 //
     /*  418779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418803 */     // MIs[0] op1
     /*  418803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418831 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418833 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418835 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418845 */     GIR_RootConstrainSelectedInstOperands,
     /*  418846 */     // GIR_Coverage, 63651,
     /*  418846 */     GIR_EraseRootFromParent_Done,
     /*  418847 */   // Label 7369: @418847
     /*  418847 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418920), // Rule ID 63670 //
     /*  418852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418876 */     // MIs[0] op1
     /*  418876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418918 */     GIR_RootConstrainSelectedInstOperands,
     /*  418919 */     // GIR_Coverage, 63670,
     /*  418919 */     GIR_EraseRootFromParent_Done,
     /*  418920 */   // Label 7370: @418920
     /*  418920 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418993), // Rule ID 63671 //
     /*  418925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418949 */     // MIs[0] op1
     /*  418949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418977 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418979 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418981 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418991 */     GIR_RootConstrainSelectedInstOperands,
     /*  418992 */     // GIR_Coverage, 63671,
     /*  418992 */     GIR_EraseRootFromParent_Done,
     /*  418993 */   // Label 7371: @418993
     /*  418993 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(419066), // Rule ID 63682 //
     /*  418998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419022 */     // MIs[0] op1
     /*  419022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419064 */     GIR_RootConstrainSelectedInstOperands,
     /*  419065 */     // GIR_Coverage, 63682,
     /*  419065 */     GIR_EraseRootFromParent_Done,
     /*  419066 */   // Label 7372: @419066
     /*  419066 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419139), // Rule ID 63683 //
     /*  419071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419095 */     // MIs[0] op1
     /*  419095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419137 */     GIR_RootConstrainSelectedInstOperands,
     /*  419138 */     // GIR_Coverage, 63683,
     /*  419138 */     GIR_EraseRootFromParent_Done,
     /*  419139 */   // Label 7373: @419139
     /*  419139 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419212), // Rule ID 63706 //
     /*  419144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419168 */     // MIs[0] op1
     /*  419168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  419194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419210 */     GIR_RootConstrainSelectedInstOperands,
     /*  419211 */     // GIR_Coverage, 63706,
     /*  419211 */     GIR_EraseRootFromParent_Done,
     /*  419212 */   // Label 7374: @419212
     /*  419212 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419285), // Rule ID 63707 //
     /*  419217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419241 */     // MIs[0] op1
     /*  419241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  419267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419283 */     GIR_RootConstrainSelectedInstOperands,
     /*  419284 */     // GIR_Coverage, 63707,
     /*  419284 */     GIR_EraseRootFromParent_Done,
     /*  419285 */   // Label 7375: @419285
     /*  419285 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419358), // Rule ID 63726 //
     /*  419290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419314 */     // MIs[0] op1
     /*  419314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  419340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419356 */     GIR_RootConstrainSelectedInstOperands,
     /*  419357 */     // GIR_Coverage, 63726,
     /*  419357 */     GIR_EraseRootFromParent_Done,
     /*  419358 */   // Label 7376: @419358
     /*  419358 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419431), // Rule ID 63727 //
     /*  419363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419387 */     // MIs[0] op1
     /*  419387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  419413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419429 */     GIR_RootConstrainSelectedInstOperands,
     /*  419430 */     // GIR_Coverage, 63727,
     /*  419430 */     GIR_EraseRootFromParent_Done,
     /*  419431 */   // Label 7377: @419431
     /*  419431 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419504), // Rule ID 63738 //
     /*  419436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419460 */     // MIs[0] op1
     /*  419460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419502 */     GIR_RootConstrainSelectedInstOperands,
     /*  419503 */     // GIR_Coverage, 63738,
     /*  419503 */     GIR_EraseRootFromParent_Done,
     /*  419504 */   // Label 7378: @419504
     /*  419504 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419577), // Rule ID 63739 //
     /*  419509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419533 */     // MIs[0] op1
     /*  419533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419575 */     GIR_RootConstrainSelectedInstOperands,
     /*  419576 */     // GIR_Coverage, 63739,
     /*  419576 */     GIR_EraseRootFromParent_Done,
     /*  419577 */   // Label 7379: @419577
     /*  419577 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419650), // Rule ID 63762 //
     /*  419582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419606 */     // MIs[0] op1
     /*  419606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419648 */     GIR_RootConstrainSelectedInstOperands,
     /*  419649 */     // GIR_Coverage, 63762,
     /*  419649 */     GIR_EraseRootFromParent_Done,
     /*  419650 */   // Label 7380: @419650
     /*  419650 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419723), // Rule ID 63763 //
     /*  419655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419679 */     // MIs[0] op1
     /*  419679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419721 */     GIR_RootConstrainSelectedInstOperands,
     /*  419722 */     // GIR_Coverage, 63763,
     /*  419722 */     GIR_EraseRootFromParent_Done,
     /*  419723 */   // Label 7381: @419723
     /*  419723 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419796), // Rule ID 63782 //
     /*  419728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419752 */     // MIs[0] op1
     /*  419752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419794 */     GIR_RootConstrainSelectedInstOperands,
     /*  419795 */     // GIR_Coverage, 63782,
     /*  419795 */     GIR_EraseRootFromParent_Done,
     /*  419796 */   // Label 7382: @419796
     /*  419796 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419869), // Rule ID 63783 //
     /*  419801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419825 */     // MIs[0] op1
     /*  419825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419867 */     GIR_RootConstrainSelectedInstOperands,
     /*  419868 */     // GIR_Coverage, 63783,
     /*  419868 */     GIR_EraseRootFromParent_Done,
     /*  419869 */   // Label 7383: @419869
     /*  419869 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419942), // Rule ID 63794 //
     /*  419874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419898 */     // MIs[0] op1
     /*  419898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419940 */     GIR_RootConstrainSelectedInstOperands,
     /*  419941 */     // GIR_Coverage, 63794,
     /*  419941 */     GIR_EraseRootFromParent_Done,
     /*  419942 */   // Label 7384: @419942
     /*  419942 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(420015), // Rule ID 63795 //
     /*  419947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419971 */     // MIs[0] op1
     /*  419971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420013 */     GIR_RootConstrainSelectedInstOperands,
     /*  420014 */     // GIR_Coverage, 63795,
     /*  420014 */     GIR_EraseRootFromParent_Done,
     /*  420015 */   // Label 7385: @420015
     /*  420015 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(420088), // Rule ID 63818 //
     /*  420020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420044 */     // MIs[0] op1
     /*  420044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  420070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420086 */     GIR_RootConstrainSelectedInstOperands,
     /*  420087 */     // GIR_Coverage, 63818,
     /*  420087 */     GIR_EraseRootFromParent_Done,
     /*  420088 */   // Label 7386: @420088
     /*  420088 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420161), // Rule ID 63819 //
     /*  420093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420117 */     // MIs[0] op1
     /*  420117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  420143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420159 */     GIR_RootConstrainSelectedInstOperands,
     /*  420160 */     // GIR_Coverage, 63819,
     /*  420160 */     GIR_EraseRootFromParent_Done,
     /*  420161 */   // Label 7387: @420161
     /*  420161 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420234), // Rule ID 63838 //
     /*  420166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420190 */     // MIs[0] op1
     /*  420190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420232 */     GIR_RootConstrainSelectedInstOperands,
     /*  420233 */     // GIR_Coverage, 63838,
     /*  420233 */     GIR_EraseRootFromParent_Done,
     /*  420234 */   // Label 7388: @420234
     /*  420234 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420307), // Rule ID 63839 //
     /*  420239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420263 */     // MIs[0] op1
     /*  420263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420305 */     GIR_RootConstrainSelectedInstOperands,
     /*  420306 */     // GIR_Coverage, 63839,
     /*  420306 */     GIR_EraseRootFromParent_Done,
     /*  420307 */   // Label 7389: @420307
     /*  420307 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420380), // Rule ID 63850 //
     /*  420312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  420329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420336 */     // MIs[0] op1
     /*  420336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420359 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420378 */     GIR_RootConstrainSelectedInstOperands,
     /*  420379 */     // GIR_Coverage, 63850,
     /*  420379 */     GIR_EraseRootFromParent_Done,
     /*  420380 */   // Label 7390: @420380
     /*  420380 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420453), // Rule ID 63851 //
     /*  420385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  420402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420409 */     // MIs[0] op1
     /*  420409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420451 */     GIR_RootConstrainSelectedInstOperands,
     /*  420452 */     // GIR_Coverage, 63851,
     /*  420452 */     GIR_EraseRootFromParent_Done,
     /*  420453 */   // Label 7391: @420453
     /*  420453 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420526), // Rule ID 63874 //
     /*  420458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420482 */     // MIs[0] op1
     /*  420482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420524 */     GIR_RootConstrainSelectedInstOperands,
     /*  420525 */     // GIR_Coverage, 63874,
     /*  420525 */     GIR_EraseRootFromParent_Done,
     /*  420526 */   // Label 7392: @420526
     /*  420526 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420599), // Rule ID 63875 //
     /*  420531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420555 */     // MIs[0] op1
     /*  420555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420597 */     GIR_RootConstrainSelectedInstOperands,
     /*  420598 */     // GIR_Coverage, 63875,
     /*  420598 */     GIR_EraseRootFromParent_Done,
     /*  420599 */   // Label 7393: @420599
     /*  420599 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420682), // Rule ID 5216 //
     /*  420604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420647 */     // MIs[1] Operand 1
     /*  420647 */     // No operand predicates
     /*  420647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420680 */     GIR_RootConstrainSelectedInstOperands,
     /*  420681 */     // GIR_Coverage, 5216,
     /*  420681 */     GIR_EraseRootFromParent_Done,
     /*  420682 */   // Label 7394: @420682
     /*  420682 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420765), // Rule ID 5217 //
     /*  420687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420730 */     // MIs[1] Operand 1
     /*  420730 */     // No operand predicates
     /*  420730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420763 */     GIR_RootConstrainSelectedInstOperands,
     /*  420764 */     // GIR_Coverage, 5217,
     /*  420764 */     GIR_EraseRootFromParent_Done,
     /*  420765 */   // Label 7395: @420765
     /*  420765 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420848), // Rule ID 5218 //
     /*  420770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420813 */     // MIs[1] Operand 1
     /*  420813 */     // No operand predicates
     /*  420813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420846 */     GIR_RootConstrainSelectedInstOperands,
     /*  420847 */     // GIR_Coverage, 5218,
     /*  420847 */     GIR_EraseRootFromParent_Done,
     /*  420848 */   // Label 7396: @420848
     /*  420848 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420931), // Rule ID 5219 //
     /*  420853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420896 */     // MIs[1] Operand 1
     /*  420896 */     // No operand predicates
     /*  420896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420929 */     GIR_RootConstrainSelectedInstOperands,
     /*  420930 */     // GIR_Coverage, 5219,
     /*  420930 */     GIR_EraseRootFromParent_Done,
     /*  420931 */   // Label 7397: @420931
     /*  420931 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(421014), // Rule ID 5220 //
     /*  420936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420979 */     // MIs[1] Operand 1
     /*  420979 */     // No operand predicates
     /*  420979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421012 */     GIR_RootConstrainSelectedInstOperands,
     /*  421013 */     // GIR_Coverage, 5220,
     /*  421013 */     GIR_EraseRootFromParent_Done,
     /*  421014 */   // Label 7398: @421014
     /*  421014 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421097), // Rule ID 5221 //
     /*  421019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  421033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421062 */     // MIs[1] Operand 1
     /*  421062 */     // No operand predicates
     /*  421062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421095 */     GIR_RootConstrainSelectedInstOperands,
     /*  421096 */     // GIR_Coverage, 5221,
     /*  421096 */     GIR_EraseRootFromParent_Done,
     /*  421097 */   // Label 7399: @421097
     /*  421097 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421180), // Rule ID 5222 //
     /*  421102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421145 */     // MIs[1] Operand 1
     /*  421145 */     // No operand predicates
     /*  421145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421158 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421178 */     GIR_RootConstrainSelectedInstOperands,
     /*  421179 */     // GIR_Coverage, 5222,
     /*  421179 */     GIR_EraseRootFromParent_Done,
     /*  421180 */   // Label 7400: @421180
     /*  421180 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421263), // Rule ID 5223 //
     /*  421185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421228 */     // MIs[1] Operand 1
     /*  421228 */     // No operand predicates
     /*  421228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421261 */     GIR_RootConstrainSelectedInstOperands,
     /*  421262 */     // GIR_Coverage, 5223,
     /*  421262 */     GIR_EraseRootFromParent_Done,
     /*  421263 */   // Label 7401: @421263
     /*  421263 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421346), // Rule ID 5224 //
     /*  421268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  421282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421311 */     // MIs[1] Operand 1
     /*  421311 */     // No operand predicates
     /*  421311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421344 */     GIR_RootConstrainSelectedInstOperands,
     /*  421345 */     // GIR_Coverage, 5224,
     /*  421345 */     GIR_EraseRootFromParent_Done,
     /*  421346 */   // Label 7402: @421346
     /*  421346 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421429), // Rule ID 5225 //
     /*  421351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  421365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421394 */     // MIs[1] Operand 1
     /*  421394 */     // No operand predicates
     /*  421394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421427 */     GIR_RootConstrainSelectedInstOperands,
     /*  421428 */     // GIR_Coverage, 5225,
     /*  421428 */     GIR_EraseRootFromParent_Done,
     /*  421429 */   // Label 7403: @421429
     /*  421429 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421512), // Rule ID 5226 //
     /*  421434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421477 */     // MIs[1] Operand 1
     /*  421477 */     // No operand predicates
     /*  421477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421510 */     GIR_RootConstrainSelectedInstOperands,
     /*  421511 */     // GIR_Coverage, 5226,
     /*  421511 */     GIR_EraseRootFromParent_Done,
     /*  421512 */   // Label 7404: @421512
     /*  421512 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421595), // Rule ID 5227 //
     /*  421517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421560 */     // MIs[1] Operand 1
     /*  421560 */     // No operand predicates
     /*  421560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421573 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421593 */     GIR_RootConstrainSelectedInstOperands,
     /*  421594 */     // GIR_Coverage, 5227,
     /*  421594 */     GIR_EraseRootFromParent_Done,
     /*  421595 */   // Label 7405: @421595
     /*  421595 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421678), // Rule ID 5228 //
     /*  421600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421643 */     // MIs[1] Operand 1
     /*  421643 */     // No operand predicates
     /*  421643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421676 */     GIR_RootConstrainSelectedInstOperands,
     /*  421677 */     // GIR_Coverage, 5228,
     /*  421677 */     GIR_EraseRootFromParent_Done,
     /*  421678 */   // Label 7406: @421678
     /*  421678 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421761), // Rule ID 5229 //
     /*  421683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421726 */     // MIs[1] Operand 1
     /*  421726 */     // No operand predicates
     /*  421726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421759 */     GIR_RootConstrainSelectedInstOperands,
     /*  421760 */     // GIR_Coverage, 5229,
     /*  421760 */     GIR_EraseRootFromParent_Done,
     /*  421761 */   // Label 7407: @421761
     /*  421761 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421844), // Rule ID 5230 //
     /*  421766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421809 */     // MIs[1] Operand 1
     /*  421809 */     // No operand predicates
     /*  421809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421842 */     GIR_RootConstrainSelectedInstOperands,
     /*  421843 */     // GIR_Coverage, 5230,
     /*  421843 */     GIR_EraseRootFromParent_Done,
     /*  421844 */   // Label 7408: @421844
     /*  421844 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421927), // Rule ID 5231 //
     /*  421849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421892 */     // MIs[1] Operand 1
     /*  421892 */     // No operand predicates
     /*  421892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421905 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421925 */     GIR_RootConstrainSelectedInstOperands,
     /*  421926 */     // GIR_Coverage, 5231,
     /*  421926 */     GIR_EraseRootFromParent_Done,
     /*  421927 */   // Label 7409: @421927
     /*  421927 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(422010), // Rule ID 5232 //
     /*  421932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421975 */     // MIs[1] Operand 1
     /*  421975 */     // No operand predicates
     /*  421975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422008 */     GIR_RootConstrainSelectedInstOperands,
     /*  422009 */     // GIR_Coverage, 5232,
     /*  422009 */     GIR_EraseRootFromParent_Done,
     /*  422010 */   // Label 7410: @422010
     /*  422010 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422093), // Rule ID 5233 //
     /*  422015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422058 */     // MIs[1] Operand 1
     /*  422058 */     // No operand predicates
     /*  422058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422071 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422091 */     GIR_RootConstrainSelectedInstOperands,
     /*  422092 */     // GIR_Coverage, 5233,
     /*  422092 */     GIR_EraseRootFromParent_Done,
     /*  422093 */   // Label 7411: @422093
     /*  422093 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422176), // Rule ID 5234 //
     /*  422098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422141 */     // MIs[1] Operand 1
     /*  422141 */     // No operand predicates
     /*  422141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422154 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422174 */     GIR_RootConstrainSelectedInstOperands,
     /*  422175 */     // GIR_Coverage, 5234,
     /*  422175 */     GIR_EraseRootFromParent_Done,
     /*  422176 */   // Label 7412: @422176
     /*  422176 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422259), // Rule ID 5235 //
     /*  422181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422224 */     // MIs[1] Operand 1
     /*  422224 */     // No operand predicates
     /*  422224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422257 */     GIR_RootConstrainSelectedInstOperands,
     /*  422258 */     // GIR_Coverage, 5235,
     /*  422258 */     GIR_EraseRootFromParent_Done,
     /*  422259 */   // Label 7413: @422259
     /*  422259 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422342), // Rule ID 5236 //
     /*  422264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  422278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422307 */     // MIs[1] Operand 1
     /*  422307 */     // No operand predicates
     /*  422307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422340 */     GIR_RootConstrainSelectedInstOperands,
     /*  422341 */     // GIR_Coverage, 5236,
     /*  422341 */     GIR_EraseRootFromParent_Done,
     /*  422342 */   // Label 7414: @422342
     /*  422342 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422425), // Rule ID 5237 //
     /*  422347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  422361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422390 */     // MIs[1] Operand 1
     /*  422390 */     // No operand predicates
     /*  422390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422403 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422423 */     GIR_RootConstrainSelectedInstOperands,
     /*  422424 */     // GIR_Coverage, 5237,
     /*  422424 */     GIR_EraseRootFromParent_Done,
     /*  422425 */   // Label 7415: @422425
     /*  422425 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422508), // Rule ID 5238 //
     /*  422430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422473 */     // MIs[1] Operand 1
     /*  422473 */     // No operand predicates
     /*  422473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422506 */     GIR_RootConstrainSelectedInstOperands,
     /*  422507 */     // GIR_Coverage, 5238,
     /*  422507 */     GIR_EraseRootFromParent_Done,
     /*  422508 */   // Label 7416: @422508
     /*  422508 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422591), // Rule ID 5239 //
     /*  422513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422556 */     // MIs[1] Operand 1
     /*  422556 */     // No operand predicates
     /*  422556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422569 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422589 */     GIR_RootConstrainSelectedInstOperands,
     /*  422590 */     // GIR_Coverage, 5239,
     /*  422590 */     GIR_EraseRootFromParent_Done,
     /*  422591 */   // Label 7417: @422591
     /*  422591 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422674), // Rule ID 5240 //
     /*  422596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422639 */     // MIs[1] Operand 1
     /*  422639 */     // No operand predicates
     /*  422639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422652 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422672 */     GIR_RootConstrainSelectedInstOperands,
     /*  422673 */     // GIR_Coverage, 5240,
     /*  422673 */     GIR_EraseRootFromParent_Done,
     /*  422674 */   // Label 7418: @422674
     /*  422674 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422757), // Rule ID 5241 //
     /*  422679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422722 */     // MIs[1] Operand 1
     /*  422722 */     // No operand predicates
     /*  422722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422735 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422755 */     GIR_RootConstrainSelectedInstOperands,
     /*  422756 */     // GIR_Coverage, 5241,
     /*  422756 */     GIR_EraseRootFromParent_Done,
     /*  422757 */   // Label 7419: @422757
     /*  422757 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422840), // Rule ID 5242 //
     /*  422762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422805 */     // MIs[1] Operand 1
     /*  422805 */     // No operand predicates
     /*  422805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422838 */     GIR_RootConstrainSelectedInstOperands,
     /*  422839 */     // GIR_Coverage, 5242,
     /*  422839 */     GIR_EraseRootFromParent_Done,
     /*  422840 */   // Label 7420: @422840
     /*  422840 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422923), // Rule ID 5243 //
     /*  422845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422888 */     // MIs[1] Operand 1
     /*  422888 */     // No operand predicates
     /*  422888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422921 */     GIR_RootConstrainSelectedInstOperands,
     /*  422922 */     // GIR_Coverage, 5243,
     /*  422922 */     GIR_EraseRootFromParent_Done,
     /*  422923 */   // Label 7421: @422923
     /*  422923 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(423006), // Rule ID 5244 //
     /*  422928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422971 */     // MIs[1] Operand 1
     /*  422971 */     // No operand predicates
     /*  422971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423004 */     GIR_RootConstrainSelectedInstOperands,
     /*  423005 */     // GIR_Coverage, 5244,
     /*  423005 */     GIR_EraseRootFromParent_Done,
     /*  423006 */   // Label 7422: @423006
     /*  423006 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423089), // Rule ID 5245 //
     /*  423011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423054 */     // MIs[1] Operand 1
     /*  423054 */     // No operand predicates
     /*  423054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423087 */     GIR_RootConstrainSelectedInstOperands,
     /*  423088 */     // GIR_Coverage, 5245,
     /*  423088 */     GIR_EraseRootFromParent_Done,
     /*  423089 */   // Label 7423: @423089
     /*  423089 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423172), // Rule ID 5246 //
     /*  423094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423137 */     // MIs[1] Operand 1
     /*  423137 */     // No operand predicates
     /*  423137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423150 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  423150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423170 */     GIR_RootConstrainSelectedInstOperands,
     /*  423171 */     // GIR_Coverage, 5246,
     /*  423171 */     GIR_EraseRootFromParent_Done,
     /*  423172 */   // Label 7424: @423172
     /*  423172 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423255), // Rule ID 5247 //
     /*  423177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423220 */     // MIs[1] Operand 1
     /*  423220 */     // No operand predicates
     /*  423220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423253 */     GIR_RootConstrainSelectedInstOperands,
     /*  423254 */     // GIR_Coverage, 5247,
     /*  423254 */     GIR_EraseRootFromParent_Done,
     /*  423255 */   // Label 7425: @423255
     /*  423255 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423338), // Rule ID 5248 //
     /*  423260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423303 */     // MIs[1] Operand 1
     /*  423303 */     // No operand predicates
     /*  423303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423336 */     GIR_RootConstrainSelectedInstOperands,
     /*  423337 */     // GIR_Coverage, 5248,
     /*  423337 */     GIR_EraseRootFromParent_Done,
     /*  423338 */   // Label 7426: @423338
     /*  423338 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423421), // Rule ID 5249 //
     /*  423343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423386 */     // MIs[1] Operand 1
     /*  423386 */     // No operand predicates
     /*  423386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423399 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423419 */     GIR_RootConstrainSelectedInstOperands,
     /*  423420 */     // GIR_Coverage, 5249,
     /*  423420 */     GIR_EraseRootFromParent_Done,
     /*  423421 */   // Label 7427: @423421
     /*  423421 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423504), // Rule ID 5250 //
     /*  423426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423469 */     // MIs[1] Operand 1
     /*  423469 */     // No operand predicates
     /*  423469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423502 */     GIR_RootConstrainSelectedInstOperands,
     /*  423503 */     // GIR_Coverage, 5250,
     /*  423503 */     GIR_EraseRootFromParent_Done,
     /*  423504 */   // Label 7428: @423504
     /*  423504 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423587), // Rule ID 5251 //
     /*  423509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423552 */     // MIs[1] Operand 1
     /*  423552 */     // No operand predicates
     /*  423552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423585 */     GIR_RootConstrainSelectedInstOperands,
     /*  423586 */     // GIR_Coverage, 5251,
     /*  423586 */     GIR_EraseRootFromParent_Done,
     /*  423587 */   // Label 7429: @423587
     /*  423587 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423670), // Rule ID 5252 //
     /*  423592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423635 */     // MIs[1] Operand 1
     /*  423635 */     // No operand predicates
     /*  423635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423668 */     GIR_RootConstrainSelectedInstOperands,
     /*  423669 */     // GIR_Coverage, 5252,
     /*  423669 */     GIR_EraseRootFromParent_Done,
     /*  423670 */   // Label 7430: @423670
     /*  423670 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423753), // Rule ID 5253 //
     /*  423675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423718 */     // MIs[1] Operand 1
     /*  423718 */     // No operand predicates
     /*  423718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423751 */     GIR_RootConstrainSelectedInstOperands,
     /*  423752 */     // GIR_Coverage, 5253,
     /*  423752 */     GIR_EraseRootFromParent_Done,
     /*  423753 */   // Label 7431: @423753
     /*  423753 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423836), // Rule ID 5254 //
     /*  423758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423801 */     // MIs[1] Operand 1
     /*  423801 */     // No operand predicates
     /*  423801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423834 */     GIR_RootConstrainSelectedInstOperands,
     /*  423835 */     // GIR_Coverage, 5254,
     /*  423835 */     GIR_EraseRootFromParent_Done,
     /*  423836 */   // Label 7432: @423836
     /*  423836 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423919), // Rule ID 5255 //
     /*  423841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423884 */     // MIs[1] Operand 1
     /*  423884 */     // No operand predicates
     /*  423884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423917 */     GIR_RootConstrainSelectedInstOperands,
     /*  423918 */     // GIR_Coverage, 5255,
     /*  423918 */     GIR_EraseRootFromParent_Done,
     /*  423919 */   // Label 7433: @423919
     /*  423919 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(424002), // Rule ID 5256 //
     /*  423924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423967 */     // MIs[1] Operand 1
     /*  423967 */     // No operand predicates
     /*  423967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424000 */     GIR_RootConstrainSelectedInstOperands,
     /*  424001 */     // GIR_Coverage, 5256,
     /*  424001 */     GIR_EraseRootFromParent_Done,
     /*  424002 */   // Label 7434: @424002
     /*  424002 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424085), // Rule ID 5257 //
     /*  424007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  424018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  424021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  424027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424050 */     // MIs[1] Operand 1
     /*  424050 */     // No operand predicates
     /*  424050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424083 */     GIR_RootConstrainSelectedInstOperands,
     /*  424084 */     // GIR_Coverage, 5257,
     /*  424084 */     GIR_EraseRootFromParent_Done,
     /*  424085 */   // Label 7435: @424085
     /*  424085 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424168), // Rule ID 5258 //
     /*  424090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424133 */     // MIs[1] Operand 1
     /*  424133 */     // No operand predicates
     /*  424133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424166 */     GIR_RootConstrainSelectedInstOperands,
     /*  424167 */     // GIR_Coverage, 5258,
     /*  424167 */     GIR_EraseRootFromParent_Done,
     /*  424168 */   // Label 7436: @424168
     /*  424168 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424251), // Rule ID 5259 //
     /*  424173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424216 */     // MIs[1] Operand 1
     /*  424216 */     // No operand predicates
     /*  424216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424249 */     GIR_RootConstrainSelectedInstOperands,
     /*  424250 */     // GIR_Coverage, 5259,
     /*  424250 */     GIR_EraseRootFromParent_Done,
     /*  424251 */   // Label 7437: @424251
     /*  424251 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424327), // Rule ID 60484 //
     /*  424256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424288 */     // MIs[0] rs2
     /*  424288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424325 */     GIR_RootConstrainSelectedInstOperands,
     /*  424326 */     // GIR_Coverage, 60484,
     /*  424326 */     GIR_EraseRootFromParent_Done,
     /*  424327 */   // Label 7438: @424327
     /*  424327 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424403), // Rule ID 60485 //
     /*  424332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424364 */     // MIs[0] rs2
     /*  424364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424401 */     GIR_RootConstrainSelectedInstOperands,
     /*  424402 */     // GIR_Coverage, 60485,
     /*  424402 */     GIR_EraseRootFromParent_Done,
     /*  424403 */   // Label 7439: @424403
     /*  424403 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424479), // Rule ID 62130 //
     /*  424408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424440 */     // MIs[0] rs2
     /*  424440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424477 */     GIR_RootConstrainSelectedInstOperands,
     /*  424478 */     // GIR_Coverage, 62130,
     /*  424478 */     GIR_EraseRootFromParent_Done,
     /*  424479 */   // Label 7440: @424479
     /*  424479 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424555), // Rule ID 62131 //
     /*  424484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424516 */     // MIs[0] rs2
     /*  424516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424553 */     GIR_RootConstrainSelectedInstOperands,
     /*  424554 */     // GIR_Coverage, 62131,
     /*  424554 */     GIR_EraseRootFromParent_Done,
     /*  424555 */   // Label 7441: @424555
     /*  424555 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424631), // Rule ID 62132 //
     /*  424560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424592 */     // MIs[0] rs2
     /*  424592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424629 */     GIR_RootConstrainSelectedInstOperands,
     /*  424630 */     // GIR_Coverage, 62132,
     /*  424630 */     GIR_EraseRootFromParent_Done,
     /*  424631 */   // Label 7442: @424631
     /*  424631 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424707), // Rule ID 62133 //
     /*  424636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424668 */     // MIs[0] rs2
     /*  424668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424705 */     GIR_RootConstrainSelectedInstOperands,
     /*  424706 */     // GIR_Coverage, 62133,
     /*  424706 */     GIR_EraseRootFromParent_Done,
     /*  424707 */   // Label 7443: @424707
     /*  424707 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424783), // Rule ID 62134 //
     /*  424712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424744 */     // MIs[0] rs2
     /*  424744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424781 */     GIR_RootConstrainSelectedInstOperands,
     /*  424782 */     // GIR_Coverage, 62134,
     /*  424782 */     GIR_EraseRootFromParent_Done,
     /*  424783 */   // Label 7444: @424783
     /*  424783 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424859), // Rule ID 62135 //
     /*  424788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424820 */     // MIs[0] rs2
     /*  424820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424857 */     GIR_RootConstrainSelectedInstOperands,
     /*  424858 */     // GIR_Coverage, 62135,
     /*  424858 */     GIR_EraseRootFromParent_Done,
     /*  424859 */   // Label 7445: @424859
     /*  424859 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424935), // Rule ID 62136 //
     /*  424864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424896 */     // MIs[0] rs2
     /*  424896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424933 */     GIR_RootConstrainSelectedInstOperands,
     /*  424934 */     // GIR_Coverage, 62136,
     /*  424934 */     GIR_EraseRootFromParent_Done,
     /*  424935 */   // Label 7446: @424935
     /*  424935 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(425011), // Rule ID 62137 //
     /*  424940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424972 */     // MIs[0] rs2
     /*  424972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425009 */     GIR_RootConstrainSelectedInstOperands,
     /*  425010 */     // GIR_Coverage, 62137,
     /*  425010 */     GIR_EraseRootFromParent_Done,
     /*  425011 */   // Label 7447: @425011
     /*  425011 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425087), // Rule ID 62258 //
     /*  425016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425048 */     // MIs[0] rs2
     /*  425048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425085 */     GIR_RootConstrainSelectedInstOperands,
     /*  425086 */     // GIR_Coverage, 62258,
     /*  425086 */     GIR_EraseRootFromParent_Done,
     /*  425087 */   // Label 7448: @425087
     /*  425087 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425163), // Rule ID 62259 //
     /*  425092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425124 */     // MIs[0] rs2
     /*  425124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425161 */     GIR_RootConstrainSelectedInstOperands,
     /*  425162 */     // GIR_Coverage, 62259,
     /*  425162 */     GIR_EraseRootFromParent_Done,
     /*  425163 */   // Label 7449: @425163
     /*  425163 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425239), // Rule ID 62260 //
     /*  425168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425200 */     // MIs[0] rs2
     /*  425200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425237 */     GIR_RootConstrainSelectedInstOperands,
     /*  425238 */     // GIR_Coverage, 62260,
     /*  425238 */     GIR_EraseRootFromParent_Done,
     /*  425239 */   // Label 7450: @425239
     /*  425239 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425315), // Rule ID 62261 //
     /*  425244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425276 */     // MIs[0] rs2
     /*  425276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425313 */     GIR_RootConstrainSelectedInstOperands,
     /*  425314 */     // GIR_Coverage, 62261,
     /*  425314 */     GIR_EraseRootFromParent_Done,
     /*  425315 */   // Label 7451: @425315
     /*  425315 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425391), // Rule ID 62262 //
     /*  425320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425352 */     // MIs[0] rs2
     /*  425352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425389 */     GIR_RootConstrainSelectedInstOperands,
     /*  425390 */     // GIR_Coverage, 62262,
     /*  425390 */     GIR_EraseRootFromParent_Done,
     /*  425391 */   // Label 7452: @425391
     /*  425391 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425467), // Rule ID 62263 //
     /*  425396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425428 */     // MIs[0] rs2
     /*  425428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425465 */     GIR_RootConstrainSelectedInstOperands,
     /*  425466 */     // GIR_Coverage, 62263,
     /*  425466 */     GIR_EraseRootFromParent_Done,
     /*  425467 */   // Label 7453: @425467
     /*  425467 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425543), // Rule ID 62264 //
     /*  425472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425504 */     // MIs[0] rs2
     /*  425504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425541 */     GIR_RootConstrainSelectedInstOperands,
     /*  425542 */     // GIR_Coverage, 62264,
     /*  425542 */     GIR_EraseRootFromParent_Done,
     /*  425543 */   // Label 7454: @425543
     /*  425543 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425619), // Rule ID 62265 //
     /*  425548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425580 */     // MIs[0] rs2
     /*  425580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425617 */     GIR_RootConstrainSelectedInstOperands,
     /*  425618 */     // GIR_Coverage, 62265,
     /*  425618 */     GIR_EraseRootFromParent_Done,
     /*  425619 */   // Label 7455: @425619
     /*  425619 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425695), // Rule ID 62266 //
     /*  425624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425656 */     // MIs[0] rs2
     /*  425656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425693 */     GIR_RootConstrainSelectedInstOperands,
     /*  425694 */     // GIR_Coverage, 62266,
     /*  425694 */     GIR_EraseRootFromParent_Done,
     /*  425695 */   // Label 7456: @425695
     /*  425695 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425771), // Rule ID 62267 //
     /*  425700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425732 */     // MIs[0] rs2
     /*  425732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425769 */     GIR_RootConstrainSelectedInstOperands,
     /*  425770 */     // GIR_Coverage, 62267,
     /*  425770 */     GIR_EraseRootFromParent_Done,
     /*  425771 */   // Label 7457: @425771
     /*  425771 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425859), // Rule ID 2686 //
     /*  425776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425823 */     // MIs[1] Operand 1
     /*  425823 */     // No operand predicates
     /*  425823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425832 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425841 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425857 */     GIR_RootConstrainSelectedInstOperands,
     /*  425858 */     // GIR_Coverage, 2686,
     /*  425858 */     GIR_EraseRootFromParent_Done,
     /*  425859 */   // Label 7458: @425859
     /*  425859 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425947), // Rule ID 2687 //
     /*  425864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425911 */     // MIs[1] Operand 1
     /*  425911 */     // No operand predicates
     /*  425911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425929 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425945 */     GIR_RootConstrainSelectedInstOperands,
     /*  425946 */     // GIR_Coverage, 2687,
     /*  425946 */     GIR_EraseRootFromParent_Done,
     /*  425947 */   // Label 7459: @425947
     /*  425947 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426035), // Rule ID 2694 //
     /*  425952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425999 */     // MIs[1] Operand 1
     /*  425999 */     // No operand predicates
     /*  425999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426017 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426033 */     GIR_RootConstrainSelectedInstOperands,
     /*  426034 */     // GIR_Coverage, 2694,
     /*  426034 */     GIR_EraseRootFromParent_Done,
     /*  426035 */   // Label 7460: @426035
     /*  426035 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426123), // Rule ID 2695 //
     /*  426040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  426051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  426054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  426057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426087 */     // MIs[1] Operand 1
     /*  426087 */     // No operand predicates
     /*  426087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426105 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426121 */     GIR_RootConstrainSelectedInstOperands,
     /*  426122 */     // GIR_Coverage, 2695,
     /*  426122 */     GIR_EraseRootFromParent_Done,
     /*  426123 */   // Label 7461: @426123
     /*  426123 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426211), // Rule ID 2702 //
     /*  426128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426175 */     // MIs[1] Operand 1
     /*  426175 */     // No operand predicates
     /*  426175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426193 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426209 */     GIR_RootConstrainSelectedInstOperands,
     /*  426210 */     // GIR_Coverage, 2702,
     /*  426210 */     GIR_EraseRootFromParent_Done,
     /*  426211 */   // Label 7462: @426211
     /*  426211 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426299), // Rule ID 2703 //
     /*  426216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426263 */     // MIs[1] Operand 1
     /*  426263 */     // No operand predicates
     /*  426263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426281 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426297 */     GIR_RootConstrainSelectedInstOperands,
     /*  426298 */     // GIR_Coverage, 2703,
     /*  426298 */     GIR_EraseRootFromParent_Done,
     /*  426299 */   // Label 7463: @426299
     /*  426299 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426387), // Rule ID 2710 //
     /*  426304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426351 */     // MIs[1] Operand 1
     /*  426351 */     // No operand predicates
     /*  426351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426369 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426385 */     GIR_RootConstrainSelectedInstOperands,
     /*  426386 */     // GIR_Coverage, 2710,
     /*  426386 */     GIR_EraseRootFromParent_Done,
     /*  426387 */   // Label 7464: @426387
     /*  426387 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426475), // Rule ID 2711 //
     /*  426392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426439 */     // MIs[1] Operand 1
     /*  426439 */     // No operand predicates
     /*  426439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426457 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426473 */     GIR_RootConstrainSelectedInstOperands,
     /*  426474 */     // GIR_Coverage, 2711,
     /*  426474 */     GIR_EraseRootFromParent_Done,
     /*  426475 */   // Label 7465: @426475
     /*  426475 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426563), // Rule ID 2718 //
     /*  426480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426527 */     // MIs[1] Operand 1
     /*  426527 */     // No operand predicates
     /*  426527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426545 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426561 */     GIR_RootConstrainSelectedInstOperands,
     /*  426562 */     // GIR_Coverage, 2718,
     /*  426562 */     GIR_EraseRootFromParent_Done,
     /*  426563 */   // Label 7466: @426563
     /*  426563 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426651), // Rule ID 2719 //
     /*  426568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426615 */     // MIs[1] Operand 1
     /*  426615 */     // No operand predicates
     /*  426615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426633 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426649 */     GIR_RootConstrainSelectedInstOperands,
     /*  426650 */     // GIR_Coverage, 2719,
     /*  426650 */     GIR_EraseRootFromParent_Done,
     /*  426651 */   // Label 7467: @426651
     /*  426651 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426739), // Rule ID 2726 //
     /*  426656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426703 */     // MIs[1] Operand 1
     /*  426703 */     // No operand predicates
     /*  426703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426721 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426737 */     GIR_RootConstrainSelectedInstOperands,
     /*  426738 */     // GIR_Coverage, 2726,
     /*  426738 */     GIR_EraseRootFromParent_Done,
     /*  426739 */   // Label 7468: @426739
     /*  426739 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426827), // Rule ID 2727 //
     /*  426744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426791 */     // MIs[1] Operand 1
     /*  426791 */     // No operand predicates
     /*  426791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426809 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426825 */     GIR_RootConstrainSelectedInstOperands,
     /*  426826 */     // GIR_Coverage, 2727,
     /*  426826 */     GIR_EraseRootFromParent_Done,
     /*  426827 */   // Label 7469: @426827
     /*  426827 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426915), // Rule ID 2734 //
     /*  426832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426879 */     // MIs[1] Operand 1
     /*  426879 */     // No operand predicates
     /*  426879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426897 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426913 */     GIR_RootConstrainSelectedInstOperands,
     /*  426914 */     // GIR_Coverage, 2734,
     /*  426914 */     GIR_EraseRootFromParent_Done,
     /*  426915 */   // Label 7470: @426915
     /*  426915 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(427003), // Rule ID 2735 //
     /*  426920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426967 */     // MIs[1] Operand 1
     /*  426967 */     // No operand predicates
     /*  426967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426985 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427001 */     GIR_RootConstrainSelectedInstOperands,
     /*  427002 */     // GIR_Coverage, 2735,
     /*  427002 */     GIR_EraseRootFromParent_Done,
     /*  427003 */   // Label 7471: @427003
     /*  427003 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427091), // Rule ID 2742 //
     /*  427008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427055 */     // MIs[1] Operand 1
     /*  427055 */     // No operand predicates
     /*  427055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427073 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427089 */     GIR_RootConstrainSelectedInstOperands,
     /*  427090 */     // GIR_Coverage, 2742,
     /*  427090 */     GIR_EraseRootFromParent_Done,
     /*  427091 */   // Label 7472: @427091
     /*  427091 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427179), // Rule ID 2743 //
     /*  427096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427143 */     // MIs[1] Operand 1
     /*  427143 */     // No operand predicates
     /*  427143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427161 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427177 */     GIR_RootConstrainSelectedInstOperands,
     /*  427178 */     // GIR_Coverage, 2743,
     /*  427178 */     GIR_EraseRootFromParent_Done,
     /*  427179 */   // Label 7473: @427179
     /*  427179 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427267), // Rule ID 2750 //
     /*  427184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427231 */     // MIs[1] Operand 1
     /*  427231 */     // No operand predicates
     /*  427231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427249 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427265 */     GIR_RootConstrainSelectedInstOperands,
     /*  427266 */     // GIR_Coverage, 2750,
     /*  427266 */     GIR_EraseRootFromParent_Done,
     /*  427267 */   // Label 7474: @427267
     /*  427267 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427355), // Rule ID 2751 //
     /*  427272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427319 */     // MIs[1] Operand 1
     /*  427319 */     // No operand predicates
     /*  427319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427337 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427353 */     GIR_RootConstrainSelectedInstOperands,
     /*  427354 */     // GIR_Coverage, 2751,
     /*  427354 */     GIR_EraseRootFromParent_Done,
     /*  427355 */   // Label 7475: @427355
     /*  427355 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427443), // Rule ID 2758 //
     /*  427360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427407 */     // MIs[1] Operand 1
     /*  427407 */     // No operand predicates
     /*  427407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427425 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427441 */     GIR_RootConstrainSelectedInstOperands,
     /*  427442 */     // GIR_Coverage, 2758,
     /*  427442 */     GIR_EraseRootFromParent_Done,
     /*  427443 */   // Label 7476: @427443
     /*  427443 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427531), // Rule ID 2759 //
     /*  427448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427495 */     // MIs[1] Operand 1
     /*  427495 */     // No operand predicates
     /*  427495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427513 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427529 */     GIR_RootConstrainSelectedInstOperands,
     /*  427530 */     // GIR_Coverage, 2759,
     /*  427530 */     GIR_EraseRootFromParent_Done,
     /*  427531 */   // Label 7477: @427531
     /*  427531 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427619), // Rule ID 2766 //
     /*  427536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427583 */     // MIs[1] Operand 1
     /*  427583 */     // No operand predicates
     /*  427583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427601 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427617 */     GIR_RootConstrainSelectedInstOperands,
     /*  427618 */     // GIR_Coverage, 2766,
     /*  427618 */     GIR_EraseRootFromParent_Done,
     /*  427619 */   // Label 7478: @427619
     /*  427619 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427707), // Rule ID 2767 //
     /*  427624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427671 */     // MIs[1] Operand 1
     /*  427671 */     // No operand predicates
     /*  427671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427689 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427705 */     GIR_RootConstrainSelectedInstOperands,
     /*  427706 */     // GIR_Coverage, 2767,
     /*  427706 */     GIR_EraseRootFromParent_Done,
     /*  427707 */   // Label 7479: @427707
     /*  427707 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427795), // Rule ID 2774 //
     /*  427712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427759 */     // MIs[1] Operand 1
     /*  427759 */     // No operand predicates
     /*  427759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427777 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427793 */     GIR_RootConstrainSelectedInstOperands,
     /*  427794 */     // GIR_Coverage, 2774,
     /*  427794 */     GIR_EraseRootFromParent_Done,
     /*  427795 */   // Label 7480: @427795
     /*  427795 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427883), // Rule ID 2775 //
     /*  427800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427847 */     // MIs[1] Operand 1
     /*  427847 */     // No operand predicates
     /*  427847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427865 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427881 */     GIR_RootConstrainSelectedInstOperands,
     /*  427882 */     // GIR_Coverage, 2775,
     /*  427882 */     GIR_EraseRootFromParent_Done,
     /*  427883 */   // Label 7481: @427883
     /*  427883 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427971), // Rule ID 2782 //
     /*  427888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427935 */     // MIs[1] Operand 1
     /*  427935 */     // No operand predicates
     /*  427935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427953 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427969 */     GIR_RootConstrainSelectedInstOperands,
     /*  427970 */     // GIR_Coverage, 2782,
     /*  427970 */     GIR_EraseRootFromParent_Done,
     /*  427971 */   // Label 7482: @427971
     /*  427971 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(428059), // Rule ID 2783 //
     /*  427976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428023 */     // MIs[1] Operand 1
     /*  428023 */     // No operand predicates
     /*  428023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428041 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428057 */     GIR_RootConstrainSelectedInstOperands,
     /*  428058 */     // GIR_Coverage, 2783,
     /*  428058 */     GIR_EraseRootFromParent_Done,
     /*  428059 */   // Label 7483: @428059
     /*  428059 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428147), // Rule ID 2790 //
     /*  428064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428111 */     // MIs[1] Operand 1
     /*  428111 */     // No operand predicates
     /*  428111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428129 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428145 */     GIR_RootConstrainSelectedInstOperands,
     /*  428146 */     // GIR_Coverage, 2790,
     /*  428146 */     GIR_EraseRootFromParent_Done,
     /*  428147 */   // Label 7484: @428147
     /*  428147 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(428235), // Rule ID 2791 //
     /*  428152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428199 */     // MIs[1] Operand 1
     /*  428199 */     // No operand predicates
     /*  428199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428217 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428233 */     GIR_RootConstrainSelectedInstOperands,
     /*  428234 */     // GIR_Coverage, 2791,
     /*  428234 */     GIR_EraseRootFromParent_Done,
     /*  428235 */   // Label 7485: @428235
     /*  428235 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(428323), // Rule ID 2798 //
     /*  428240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  428251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  428254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  428257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428287 */     // MIs[1] Operand 1
     /*  428287 */     // No operand predicates
     /*  428287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428305 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428321 */     GIR_RootConstrainSelectedInstOperands,
     /*  428322 */     // GIR_Coverage, 2798,
     /*  428322 */     GIR_EraseRootFromParent_Done,
     /*  428323 */   // Label 7486: @428323
     /*  428323 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428411), // Rule ID 2799 //
     /*  428328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  428339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  428342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  428345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428375 */     // MIs[1] Operand 1
     /*  428375 */     // No operand predicates
     /*  428375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428393 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428409 */     GIR_RootConstrainSelectedInstOperands,
     /*  428410 */     // GIR_Coverage, 2799,
     /*  428410 */     GIR_EraseRootFromParent_Done,
     /*  428411 */   // Label 7487: @428411
     /*  428411 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428499), // Rule ID 2806 //
     /*  428416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428463 */     // MIs[1] Operand 1
     /*  428463 */     // No operand predicates
     /*  428463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428481 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428497 */     GIR_RootConstrainSelectedInstOperands,
     /*  428498 */     // GIR_Coverage, 2806,
     /*  428498 */     GIR_EraseRootFromParent_Done,
     /*  428499 */   // Label 7488: @428499
     /*  428499 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428587), // Rule ID 2807 //
     /*  428504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428551 */     // MIs[1] Operand 1
     /*  428551 */     // No operand predicates
     /*  428551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428569 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428585 */     GIR_RootConstrainSelectedInstOperands,
     /*  428586 */     // GIR_Coverage, 2807,
     /*  428586 */     GIR_EraseRootFromParent_Done,
     /*  428587 */   // Label 7489: @428587
     /*  428587 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428675), // Rule ID 2814 //
     /*  428592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428639 */     // MIs[1] Operand 1
     /*  428639 */     // No operand predicates
     /*  428639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428657 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428673 */     GIR_RootConstrainSelectedInstOperands,
     /*  428674 */     // GIR_Coverage, 2814,
     /*  428674 */     GIR_EraseRootFromParent_Done,
     /*  428675 */   // Label 7490: @428675
     /*  428675 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428763), // Rule ID 2815 //
     /*  428680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428727 */     // MIs[1] Operand 1
     /*  428727 */     // No operand predicates
     /*  428727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428745 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428761 */     GIR_RootConstrainSelectedInstOperands,
     /*  428762 */     // GIR_Coverage, 2815,
     /*  428762 */     GIR_EraseRootFromParent_Done,
     /*  428763 */   // Label 7491: @428763
     /*  428763 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428851), // Rule ID 2822 //
     /*  428768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428815 */     // MIs[1] Operand 1
     /*  428815 */     // No operand predicates
     /*  428815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428833 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428849 */     GIR_RootConstrainSelectedInstOperands,
     /*  428850 */     // GIR_Coverage, 2822,
     /*  428850 */     GIR_EraseRootFromParent_Done,
     /*  428851 */   // Label 7492: @428851
     /*  428851 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428939), // Rule ID 2823 //
     /*  428856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428903 */     // MIs[1] Operand 1
     /*  428903 */     // No operand predicates
     /*  428903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428921 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428937 */     GIR_RootConstrainSelectedInstOperands,
     /*  428938 */     // GIR_Coverage, 2823,
     /*  428938 */     GIR_EraseRootFromParent_Done,
     /*  428939 */   // Label 7493: @428939
     /*  428939 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(429027), // Rule ID 2830 //
     /*  428944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428991 */     // MIs[1] Operand 1
     /*  428991 */     // No operand predicates
     /*  428991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429009 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429025 */     GIR_RootConstrainSelectedInstOperands,
     /*  429026 */     // GIR_Coverage, 2830,
     /*  429026 */     GIR_EraseRootFromParent_Done,
     /*  429027 */   // Label 7494: @429027
     /*  429027 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429115), // Rule ID 2831 //
     /*  429032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429079 */     // MIs[1] Operand 1
     /*  429079 */     // No operand predicates
     /*  429079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429097 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429113 */     GIR_RootConstrainSelectedInstOperands,
     /*  429114 */     // GIR_Coverage, 2831,
     /*  429114 */     GIR_EraseRootFromParent_Done,
     /*  429115 */   // Label 7495: @429115
     /*  429115 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(429203), // Rule ID 2838 //
     /*  429120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429167 */     // MIs[1] Operand 1
     /*  429167 */     // No operand predicates
     /*  429167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429185 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429201 */     GIR_RootConstrainSelectedInstOperands,
     /*  429202 */     // GIR_Coverage, 2838,
     /*  429202 */     GIR_EraseRootFromParent_Done,
     /*  429203 */   // Label 7496: @429203
     /*  429203 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(429291), // Rule ID 2839 //
     /*  429208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429255 */     // MIs[1] Operand 1
     /*  429255 */     // No operand predicates
     /*  429255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429273 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429289 */     GIR_RootConstrainSelectedInstOperands,
     /*  429290 */     // GIR_Coverage, 2839,
     /*  429290 */     GIR_EraseRootFromParent_Done,
     /*  429291 */   // Label 7497: @429291
     /*  429291 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(429379), // Rule ID 2846 //
     /*  429296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429343 */     // MIs[1] Operand 1
     /*  429343 */     // No operand predicates
     /*  429343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429361 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429377 */     GIR_RootConstrainSelectedInstOperands,
     /*  429378 */     // GIR_Coverage, 2846,
     /*  429378 */     GIR_EraseRootFromParent_Done,
     /*  429379 */   // Label 7498: @429379
     /*  429379 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(429467), // Rule ID 2847 //
     /*  429384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429431 */     // MIs[1] Operand 1
     /*  429431 */     // No operand predicates
     /*  429431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429449 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429465 */     GIR_RootConstrainSelectedInstOperands,
     /*  429466 */     // GIR_Coverage, 2847,
     /*  429466 */     GIR_EraseRootFromParent_Done,
     /*  429467 */   // Label 7499: @429467
     /*  429467 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(429555), // Rule ID 2854 //
     /*  429472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429519 */     // MIs[1] Operand 1
     /*  429519 */     // No operand predicates
     /*  429519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429537 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429553 */     GIR_RootConstrainSelectedInstOperands,
     /*  429554 */     // GIR_Coverage, 2854,
     /*  429554 */     GIR_EraseRootFromParent_Done,
     /*  429555 */   // Label 7500: @429555
     /*  429555 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429643), // Rule ID 2855 //
     /*  429560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429607 */     // MIs[1] Operand 1
     /*  429607 */     // No operand predicates
     /*  429607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429625 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429641 */     GIR_RootConstrainSelectedInstOperands,
     /*  429642 */     // GIR_Coverage, 2855,
     /*  429642 */     GIR_EraseRootFromParent_Done,
     /*  429643 */   // Label 7501: @429643
     /*  429643 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429729), // Rule ID 3030 //
     /*  429648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429695 */     // MIs[1] Operand 1
     /*  429695 */     // No operand predicates
     /*  429695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429704 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429727 */     GIR_RootConstrainSelectedInstOperands,
     /*  429728 */     // GIR_Coverage, 3030,
     /*  429728 */     GIR_EraseRootFromParent_Done,
     /*  429729 */   // Label 7502: @429729
     /*  429729 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(429815), // Rule ID 3031 //
     /*  429734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429781 */     // MIs[1] Operand 1
     /*  429781 */     // No operand predicates
     /*  429781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429790 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429813 */     GIR_RootConstrainSelectedInstOperands,
     /*  429814 */     // GIR_Coverage, 3031,
     /*  429814 */     GIR_EraseRootFromParent_Done,
     /*  429815 */   // Label 7503: @429815
     /*  429815 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429901), // Rule ID 3034 //
     /*  429820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429867 */     // MIs[1] Operand 1
     /*  429867 */     // No operand predicates
     /*  429867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429899 */     GIR_RootConstrainSelectedInstOperands,
     /*  429900 */     // GIR_Coverage, 3034,
     /*  429900 */     GIR_EraseRootFromParent_Done,
     /*  429901 */   // Label 7504: @429901
     /*  429901 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429987), // Rule ID 3035 //
     /*  429906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429953 */     // MIs[1] Operand 1
     /*  429953 */     // No operand predicates
     /*  429953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429985 */     GIR_RootConstrainSelectedInstOperands,
     /*  429986 */     // GIR_Coverage, 3035,
     /*  429986 */     GIR_EraseRootFromParent_Done,
     /*  429987 */   // Label 7505: @429987
     /*  429987 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(430073), // Rule ID 3038 //
     /*  429992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430039 */     // MIs[1] Operand 1
     /*  430039 */     // No operand predicates
     /*  430039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430071 */     GIR_RootConstrainSelectedInstOperands,
     /*  430072 */     // GIR_Coverage, 3038,
     /*  430072 */     GIR_EraseRootFromParent_Done,
     /*  430073 */   // Label 7506: @430073
     /*  430073 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430159), // Rule ID 3039 //
     /*  430078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430125 */     // MIs[1] Operand 1
     /*  430125 */     // No operand predicates
     /*  430125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430157 */     GIR_RootConstrainSelectedInstOperands,
     /*  430158 */     // GIR_Coverage, 3039,
     /*  430158 */     GIR_EraseRootFromParent_Done,
     /*  430159 */   // Label 7507: @430159
     /*  430159 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(430245), // Rule ID 3042 //
     /*  430164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430211 */     // MIs[1] Operand 1
     /*  430211 */     // No operand predicates
     /*  430211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430243 */     GIR_RootConstrainSelectedInstOperands,
     /*  430244 */     // GIR_Coverage, 3042,
     /*  430244 */     GIR_EraseRootFromParent_Done,
     /*  430245 */   // Label 7508: @430245
     /*  430245 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(430331), // Rule ID 3043 //
     /*  430250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430297 */     // MIs[1] Operand 1
     /*  430297 */     // No operand predicates
     /*  430297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430329 */     GIR_RootConstrainSelectedInstOperands,
     /*  430330 */     // GIR_Coverage, 3043,
     /*  430330 */     GIR_EraseRootFromParent_Done,
     /*  430331 */   // Label 7509: @430331
     /*  430331 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(430417), // Rule ID 3046 //
     /*  430336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430383 */     // MIs[1] Operand 1
     /*  430383 */     // No operand predicates
     /*  430383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430415 */     GIR_RootConstrainSelectedInstOperands,
     /*  430416 */     // GIR_Coverage, 3046,
     /*  430416 */     GIR_EraseRootFromParent_Done,
     /*  430417 */   // Label 7510: @430417
     /*  430417 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(430503), // Rule ID 3047 //
     /*  430422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430469 */     // MIs[1] Operand 1
     /*  430469 */     // No operand predicates
     /*  430469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430501 */     GIR_RootConstrainSelectedInstOperands,
     /*  430502 */     // GIR_Coverage, 3047,
     /*  430502 */     GIR_EraseRootFromParent_Done,
     /*  430503 */   // Label 7511: @430503
     /*  430503 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(430589), // Rule ID 3050 //
     /*  430508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430555 */     // MIs[1] Operand 1
     /*  430555 */     // No operand predicates
     /*  430555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430587 */     GIR_RootConstrainSelectedInstOperands,
     /*  430588 */     // GIR_Coverage, 3050,
     /*  430588 */     GIR_EraseRootFromParent_Done,
     /*  430589 */   // Label 7512: @430589
     /*  430589 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(430675), // Rule ID 3051 //
     /*  430594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430641 */     // MIs[1] Operand 1
     /*  430641 */     // No operand predicates
     /*  430641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430673 */     GIR_RootConstrainSelectedInstOperands,
     /*  430674 */     // GIR_Coverage, 3051,
     /*  430674 */     GIR_EraseRootFromParent_Done,
     /*  430675 */   // Label 7513: @430675
     /*  430675 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(430761), // Rule ID 3054 //
     /*  430680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430727 */     // MIs[1] Operand 1
     /*  430727 */     // No operand predicates
     /*  430727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430759 */     GIR_RootConstrainSelectedInstOperands,
     /*  430760 */     // GIR_Coverage, 3054,
     /*  430760 */     GIR_EraseRootFromParent_Done,
     /*  430761 */   // Label 7514: @430761
     /*  430761 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(430847), // Rule ID 3055 //
     /*  430766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430813 */     // MIs[1] Operand 1
     /*  430813 */     // No operand predicates
     /*  430813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430822 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430845 */     GIR_RootConstrainSelectedInstOperands,
     /*  430846 */     // GIR_Coverage, 3055,
     /*  430846 */     GIR_EraseRootFromParent_Done,
     /*  430847 */   // Label 7515: @430847
     /*  430847 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(430933), // Rule ID 3058 //
     /*  430852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430899 */     // MIs[1] Operand 1
     /*  430899 */     // No operand predicates
     /*  430899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430931 */     GIR_RootConstrainSelectedInstOperands,
     /*  430932 */     // GIR_Coverage, 3058,
     /*  430932 */     GIR_EraseRootFromParent_Done,
     /*  430933 */   // Label 7516: @430933
     /*  430933 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(431019), // Rule ID 3059 //
     /*  430938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430985 */     // MIs[1] Operand 1
     /*  430985 */     // No operand predicates
     /*  430985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431017 */     GIR_RootConstrainSelectedInstOperands,
     /*  431018 */     // GIR_Coverage, 3059,
     /*  431018 */     GIR_EraseRootFromParent_Done,
     /*  431019 */   // Label 7517: @431019
     /*  431019 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431105), // Rule ID 3062 //
     /*  431024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431071 */     // MIs[1] Operand 1
     /*  431071 */     // No operand predicates
     /*  431071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431103 */     GIR_RootConstrainSelectedInstOperands,
     /*  431104 */     // GIR_Coverage, 3062,
     /*  431104 */     GIR_EraseRootFromParent_Done,
     /*  431105 */   // Label 7518: @431105
     /*  431105 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431191), // Rule ID 3063 //
     /*  431110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431157 */     // MIs[1] Operand 1
     /*  431157 */     // No operand predicates
     /*  431157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431189 */     GIR_RootConstrainSelectedInstOperands,
     /*  431190 */     // GIR_Coverage, 3063,
     /*  431190 */     GIR_EraseRootFromParent_Done,
     /*  431191 */   // Label 7519: @431191
     /*  431191 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(431277), // Rule ID 3066 //
     /*  431196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431243 */     // MIs[1] Operand 1
     /*  431243 */     // No operand predicates
     /*  431243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431275 */     GIR_RootConstrainSelectedInstOperands,
     /*  431276 */     // GIR_Coverage, 3066,
     /*  431276 */     GIR_EraseRootFromParent_Done,
     /*  431277 */   // Label 7520: @431277
     /*  431277 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(431363), // Rule ID 3067 //
     /*  431282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431329 */     // MIs[1] Operand 1
     /*  431329 */     // No operand predicates
     /*  431329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431361 */     GIR_RootConstrainSelectedInstOperands,
     /*  431362 */     // GIR_Coverage, 3067,
     /*  431362 */     GIR_EraseRootFromParent_Done,
     /*  431363 */   // Label 7521: @431363
     /*  431363 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(431449), // Rule ID 3070 //
     /*  431368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431415 */     // MIs[1] Operand 1
     /*  431415 */     // No operand predicates
     /*  431415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431447 */     GIR_RootConstrainSelectedInstOperands,
     /*  431448 */     // GIR_Coverage, 3070,
     /*  431448 */     GIR_EraseRootFromParent_Done,
     /*  431449 */   // Label 7522: @431449
     /*  431449 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(431535), // Rule ID 3071 //
     /*  431454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431501 */     // MIs[1] Operand 1
     /*  431501 */     // No operand predicates
     /*  431501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431533 */     GIR_RootConstrainSelectedInstOperands,
     /*  431534 */     // GIR_Coverage, 3071,
     /*  431534 */     GIR_EraseRootFromParent_Done,
     /*  431535 */   // Label 7523: @431535
     /*  431535 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(431621), // Rule ID 3074 //
     /*  431540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431587 */     // MIs[1] Operand 1
     /*  431587 */     // No operand predicates
     /*  431587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431619 */     GIR_RootConstrainSelectedInstOperands,
     /*  431620 */     // GIR_Coverage, 3074,
     /*  431620 */     GIR_EraseRootFromParent_Done,
     /*  431621 */   // Label 7524: @431621
     /*  431621 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(431707), // Rule ID 3075 //
     /*  431626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431673 */     // MIs[1] Operand 1
     /*  431673 */     // No operand predicates
     /*  431673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431682 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431705 */     GIR_RootConstrainSelectedInstOperands,
     /*  431706 */     // GIR_Coverage, 3075,
     /*  431706 */     GIR_EraseRootFromParent_Done,
     /*  431707 */   // Label 7525: @431707
     /*  431707 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(431793), // Rule ID 3078 //
     /*  431712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431759 */     // MIs[1] Operand 1
     /*  431759 */     // No operand predicates
     /*  431759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431791 */     GIR_RootConstrainSelectedInstOperands,
     /*  431792 */     // GIR_Coverage, 3078,
     /*  431792 */     GIR_EraseRootFromParent_Done,
     /*  431793 */   // Label 7526: @431793
     /*  431793 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(431879), // Rule ID 3079 //
     /*  431798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431845 */     // MIs[1] Operand 1
     /*  431845 */     // No operand predicates
     /*  431845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431854 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431877 */     GIR_RootConstrainSelectedInstOperands,
     /*  431878 */     // GIR_Coverage, 3079,
     /*  431878 */     GIR_EraseRootFromParent_Done,
     /*  431879 */   // Label 7527: @431879
     /*  431879 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(431965), // Rule ID 3082 //
     /*  431884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431931 */     // MIs[1] Operand 1
     /*  431931 */     // No operand predicates
     /*  431931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431963 */     GIR_RootConstrainSelectedInstOperands,
     /*  431964 */     // GIR_Coverage, 3082,
     /*  431964 */     GIR_EraseRootFromParent_Done,
     /*  431965 */   // Label 7528: @431965
     /*  431965 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(432051), // Rule ID 3083 //
     /*  431970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432017 */     // MIs[1] Operand 1
     /*  432017 */     // No operand predicates
     /*  432017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432049 */     GIR_RootConstrainSelectedInstOperands,
     /*  432050 */     // GIR_Coverage, 3083,
     /*  432050 */     GIR_EraseRootFromParent_Done,
     /*  432051 */   // Label 7529: @432051
     /*  432051 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432137), // Rule ID 3086 //
     /*  432056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432103 */     // MIs[1] Operand 1
     /*  432103 */     // No operand predicates
     /*  432103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432135 */     GIR_RootConstrainSelectedInstOperands,
     /*  432136 */     // GIR_Coverage, 3086,
     /*  432136 */     GIR_EraseRootFromParent_Done,
     /*  432137 */   // Label 7530: @432137
     /*  432137 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(432223), // Rule ID 3087 //
     /*  432142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432189 */     // MIs[1] Operand 1
     /*  432189 */     // No operand predicates
     /*  432189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432221 */     GIR_RootConstrainSelectedInstOperands,
     /*  432222 */     // GIR_Coverage, 3087,
     /*  432222 */     GIR_EraseRootFromParent_Done,
     /*  432223 */   // Label 7531: @432223
     /*  432223 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(432309), // Rule ID 3090 //
     /*  432228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432275 */     // MIs[1] Operand 1
     /*  432275 */     // No operand predicates
     /*  432275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432307 */     GIR_RootConstrainSelectedInstOperands,
     /*  432308 */     // GIR_Coverage, 3090,
     /*  432308 */     GIR_EraseRootFromParent_Done,
     /*  432309 */   // Label 7532: @432309
     /*  432309 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(432395), // Rule ID 3091 //
     /*  432314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432361 */     // MIs[1] Operand 1
     /*  432361 */     // No operand predicates
     /*  432361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432370 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432393 */     GIR_RootConstrainSelectedInstOperands,
     /*  432394 */     // GIR_Coverage, 3091,
     /*  432394 */     GIR_EraseRootFromParent_Done,
     /*  432395 */   // Label 7533: @432395
     /*  432395 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(432481), // Rule ID 3094 //
     /*  432400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432447 */     // MIs[1] Operand 1
     /*  432447 */     // No operand predicates
     /*  432447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432479 */     GIR_RootConstrainSelectedInstOperands,
     /*  432480 */     // GIR_Coverage, 3094,
     /*  432480 */     GIR_EraseRootFromParent_Done,
     /*  432481 */   // Label 7534: @432481
     /*  432481 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(432567), // Rule ID 3095 //
     /*  432486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432533 */     // MIs[1] Operand 1
     /*  432533 */     // No operand predicates
     /*  432533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432565 */     GIR_RootConstrainSelectedInstOperands,
     /*  432566 */     // GIR_Coverage, 3095,
     /*  432566 */     GIR_EraseRootFromParent_Done,
     /*  432567 */   // Label 7535: @432567
     /*  432567 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(432653), // Rule ID 3098 //
     /*  432572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432619 */     // MIs[1] Operand 1
     /*  432619 */     // No operand predicates
     /*  432619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432651 */     GIR_RootConstrainSelectedInstOperands,
     /*  432652 */     // GIR_Coverage, 3098,
     /*  432652 */     GIR_EraseRootFromParent_Done,
     /*  432653 */   // Label 7536: @432653
     /*  432653 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(432739), // Rule ID 3099 //
     /*  432658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432705 */     // MIs[1] Operand 1
     /*  432705 */     // No operand predicates
     /*  432705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432737 */     GIR_RootConstrainSelectedInstOperands,
     /*  432738 */     // GIR_Coverage, 3099,
     /*  432738 */     GIR_EraseRootFromParent_Done,
     /*  432739 */   // Label 7537: @432739
     /*  432739 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(432825), // Rule ID 3102 //
     /*  432744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432791 */     // MIs[1] Operand 1
     /*  432791 */     // No operand predicates
     /*  432791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432823 */     GIR_RootConstrainSelectedInstOperands,
     /*  432824 */     // GIR_Coverage, 3102,
     /*  432824 */     GIR_EraseRootFromParent_Done,
     /*  432825 */   // Label 7538: @432825
     /*  432825 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(432911), // Rule ID 3103 //
     /*  432830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432877 */     // MIs[1] Operand 1
     /*  432877 */     // No operand predicates
     /*  432877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432909 */     GIR_RootConstrainSelectedInstOperands,
     /*  432910 */     // GIR_Coverage, 3103,
     /*  432910 */     GIR_EraseRootFromParent_Done,
     /*  432911 */   // Label 7539: @432911
     /*  432911 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(432997), // Rule ID 3106 //
     /*  432916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432963 */     // MIs[1] Operand 1
     /*  432963 */     // No operand predicates
     /*  432963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432995 */     GIR_RootConstrainSelectedInstOperands,
     /*  432996 */     // GIR_Coverage, 3106,
     /*  432996 */     GIR_EraseRootFromParent_Done,
     /*  432997 */   // Label 7540: @432997
     /*  432997 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433083), // Rule ID 3107 //
     /*  433002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433049 */     // MIs[1] Operand 1
     /*  433049 */     // No operand predicates
     /*  433049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433081 */     GIR_RootConstrainSelectedInstOperands,
     /*  433082 */     // GIR_Coverage, 3107,
     /*  433082 */     GIR_EraseRootFromParent_Done,
     /*  433083 */   // Label 7541: @433083
     /*  433083 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433169), // Rule ID 3110 //
     /*  433088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433135 */     // MIs[1] Operand 1
     /*  433135 */     // No operand predicates
     /*  433135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433167 */     GIR_RootConstrainSelectedInstOperands,
     /*  433168 */     // GIR_Coverage, 3110,
     /*  433168 */     GIR_EraseRootFromParent_Done,
     /*  433169 */   // Label 7542: @433169
     /*  433169 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(433255), // Rule ID 3111 //
     /*  433174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433221 */     // MIs[1] Operand 1
     /*  433221 */     // No operand predicates
     /*  433221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433253 */     GIR_RootConstrainSelectedInstOperands,
     /*  433254 */     // GIR_Coverage, 3111,
     /*  433254 */     GIR_EraseRootFromParent_Done,
     /*  433255 */   // Label 7543: @433255
     /*  433255 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(433341), // Rule ID 3114 //
     /*  433260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433307 */     // MIs[1] Operand 1
     /*  433307 */     // No operand predicates
     /*  433307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433339 */     GIR_RootConstrainSelectedInstOperands,
     /*  433340 */     // GIR_Coverage, 3114,
     /*  433340 */     GIR_EraseRootFromParent_Done,
     /*  433341 */   // Label 7544: @433341
     /*  433341 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(433427), // Rule ID 3115 //
     /*  433346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433393 */     // MIs[1] Operand 1
     /*  433393 */     // No operand predicates
     /*  433393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433425 */     GIR_RootConstrainSelectedInstOperands,
     /*  433426 */     // GIR_Coverage, 3115,
     /*  433426 */     GIR_EraseRootFromParent_Done,
     /*  433427 */   // Label 7545: @433427
     /*  433427 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(433513), // Rule ID 3382 //
     /*  433432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433479 */     // MIs[1] Operand 1
     /*  433479 */     // No operand predicates
     /*  433479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433511 */     GIR_RootConstrainSelectedInstOperands,
     /*  433512 */     // GIR_Coverage, 3382,
     /*  433512 */     GIR_EraseRootFromParent_Done,
     /*  433513 */   // Label 7546: @433513
     /*  433513 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(433599), // Rule ID 3383 //
     /*  433518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433565 */     // MIs[1] Operand 1
     /*  433565 */     // No operand predicates
     /*  433565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433597 */     GIR_RootConstrainSelectedInstOperands,
     /*  433598 */     // GIR_Coverage, 3383,
     /*  433598 */     GIR_EraseRootFromParent_Done,
     /*  433599 */   // Label 7547: @433599
     /*  433599 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(433685), // Rule ID 3386 //
     /*  433604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433651 */     // MIs[1] Operand 1
     /*  433651 */     // No operand predicates
     /*  433651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433660 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433683 */     GIR_RootConstrainSelectedInstOperands,
     /*  433684 */     // GIR_Coverage, 3386,
     /*  433684 */     GIR_EraseRootFromParent_Done,
     /*  433685 */   // Label 7548: @433685
     /*  433685 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(433771), // Rule ID 3387 //
     /*  433690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433737 */     // MIs[1] Operand 1
     /*  433737 */     // No operand predicates
     /*  433737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433769 */     GIR_RootConstrainSelectedInstOperands,
     /*  433770 */     // GIR_Coverage, 3387,
     /*  433770 */     GIR_EraseRootFromParent_Done,
     /*  433771 */   // Label 7549: @433771
     /*  433771 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(433857), // Rule ID 3390 //
     /*  433776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433823 */     // MIs[1] Operand 1
     /*  433823 */     // No operand predicates
     /*  433823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433855 */     GIR_RootConstrainSelectedInstOperands,
     /*  433856 */     // GIR_Coverage, 3390,
     /*  433856 */     GIR_EraseRootFromParent_Done,
     /*  433857 */   // Label 7550: @433857
     /*  433857 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(433943), // Rule ID 3391 //
     /*  433862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433909 */     // MIs[1] Operand 1
     /*  433909 */     // No operand predicates
     /*  433909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433941 */     GIR_RootConstrainSelectedInstOperands,
     /*  433942 */     // GIR_Coverage, 3391,
     /*  433942 */     GIR_EraseRootFromParent_Done,
     /*  433943 */   // Label 7551: @433943
     /*  433943 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(434029), // Rule ID 3394 //
     /*  433948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433995 */     // MIs[1] Operand 1
     /*  433995 */     // No operand predicates
     /*  433995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434027 */     GIR_RootConstrainSelectedInstOperands,
     /*  434028 */     // GIR_Coverage, 3394,
     /*  434028 */     GIR_EraseRootFromParent_Done,
     /*  434029 */   // Label 7552: @434029
     /*  434029 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434115), // Rule ID 3395 //
     /*  434034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434081 */     // MIs[1] Operand 1
     /*  434081 */     // No operand predicates
     /*  434081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434113 */     GIR_RootConstrainSelectedInstOperands,
     /*  434114 */     // GIR_Coverage, 3395,
     /*  434114 */     GIR_EraseRootFromParent_Done,
     /*  434115 */   // Label 7553: @434115
     /*  434115 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434201), // Rule ID 3398 //
     /*  434120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434167 */     // MIs[1] Operand 1
     /*  434167 */     // No operand predicates
     /*  434167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434199 */     GIR_RootConstrainSelectedInstOperands,
     /*  434200 */     // GIR_Coverage, 3398,
     /*  434200 */     GIR_EraseRootFromParent_Done,
     /*  434201 */   // Label 7554: @434201
     /*  434201 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434287), // Rule ID 3399 //
     /*  434206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434253 */     // MIs[1] Operand 1
     /*  434253 */     // No operand predicates
     /*  434253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434285 */     GIR_RootConstrainSelectedInstOperands,
     /*  434286 */     // GIR_Coverage, 3399,
     /*  434286 */     GIR_EraseRootFromParent_Done,
     /*  434287 */   // Label 7555: @434287
     /*  434287 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(434373), // Rule ID 3402 //
     /*  434292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434339 */     // MIs[1] Operand 1
     /*  434339 */     // No operand predicates
     /*  434339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434348 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434371 */     GIR_RootConstrainSelectedInstOperands,
     /*  434372 */     // GIR_Coverage, 3402,
     /*  434372 */     GIR_EraseRootFromParent_Done,
     /*  434373 */   // Label 7556: @434373
     /*  434373 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(434459), // Rule ID 3403 //
     /*  434378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434425 */     // MIs[1] Operand 1
     /*  434425 */     // No operand predicates
     /*  434425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434457 */     GIR_RootConstrainSelectedInstOperands,
     /*  434458 */     // GIR_Coverage, 3403,
     /*  434458 */     GIR_EraseRootFromParent_Done,
     /*  434459 */   // Label 7557: @434459
     /*  434459 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(434545), // Rule ID 3406 //
     /*  434464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434511 */     // MIs[1] Operand 1
     /*  434511 */     // No operand predicates
     /*  434511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434543 */     GIR_RootConstrainSelectedInstOperands,
     /*  434544 */     // GIR_Coverage, 3406,
     /*  434544 */     GIR_EraseRootFromParent_Done,
     /*  434545 */   // Label 7558: @434545
     /*  434545 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(434631), // Rule ID 3407 //
     /*  434550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434597 */     // MIs[1] Operand 1
     /*  434597 */     // No operand predicates
     /*  434597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434629 */     GIR_RootConstrainSelectedInstOperands,
     /*  434630 */     // GIR_Coverage, 3407,
     /*  434630 */     GIR_EraseRootFromParent_Done,
     /*  434631 */   // Label 7559: @434631
     /*  434631 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(434717), // Rule ID 3410 //
     /*  434636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434683 */     // MIs[1] Operand 1
     /*  434683 */     // No operand predicates
     /*  434683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434715 */     GIR_RootConstrainSelectedInstOperands,
     /*  434716 */     // GIR_Coverage, 3410,
     /*  434716 */     GIR_EraseRootFromParent_Done,
     /*  434717 */   // Label 7560: @434717
     /*  434717 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(434803), // Rule ID 3411 //
     /*  434722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434769 */     // MIs[1] Operand 1
     /*  434769 */     // No operand predicates
     /*  434769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434801 */     GIR_RootConstrainSelectedInstOperands,
     /*  434802 */     // GIR_Coverage, 3411,
     /*  434802 */     GIR_EraseRootFromParent_Done,
     /*  434803 */   // Label 7561: @434803
     /*  434803 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(434889), // Rule ID 3414 //
     /*  434808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434855 */     // MIs[1] Operand 1
     /*  434855 */     // No operand predicates
     /*  434855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434887 */     GIR_RootConstrainSelectedInstOperands,
     /*  434888 */     // GIR_Coverage, 3414,
     /*  434888 */     GIR_EraseRootFromParent_Done,
     /*  434889 */   // Label 7562: @434889
     /*  434889 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(434975), // Rule ID 3415 //
     /*  434894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434941 */     // MIs[1] Operand 1
     /*  434941 */     // No operand predicates
     /*  434941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434973 */     GIR_RootConstrainSelectedInstOperands,
     /*  434974 */     // GIR_Coverage, 3415,
     /*  434974 */     GIR_EraseRootFromParent_Done,
     /*  434975 */   // Label 7563: @434975
     /*  434975 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435061), // Rule ID 3418 //
     /*  434980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  434997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435027 */     // MIs[1] Operand 1
     /*  435027 */     // No operand predicates
     /*  435027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435059 */     GIR_RootConstrainSelectedInstOperands,
     /*  435060 */     // GIR_Coverage, 3418,
     /*  435060 */     GIR_EraseRootFromParent_Done,
     /*  435061 */   // Label 7564: @435061
     /*  435061 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435147), // Rule ID 3419 //
     /*  435066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435113 */     // MIs[1] Operand 1
     /*  435113 */     // No operand predicates
     /*  435113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435145 */     GIR_RootConstrainSelectedInstOperands,
     /*  435146 */     // GIR_Coverage, 3419,
     /*  435146 */     GIR_EraseRootFromParent_Done,
     /*  435147 */   // Label 7565: @435147
     /*  435147 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435233), // Rule ID 3422 //
     /*  435152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435199 */     // MIs[1] Operand 1
     /*  435199 */     // No operand predicates
     /*  435199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435231 */     GIR_RootConstrainSelectedInstOperands,
     /*  435232 */     // GIR_Coverage, 3422,
     /*  435232 */     GIR_EraseRootFromParent_Done,
     /*  435233 */   // Label 7566: @435233
     /*  435233 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435319), // Rule ID 3423 //
     /*  435238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435285 */     // MIs[1] Operand 1
     /*  435285 */     // No operand predicates
     /*  435285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435317 */     GIR_RootConstrainSelectedInstOperands,
     /*  435318 */     // GIR_Coverage, 3423,
     /*  435318 */     GIR_EraseRootFromParent_Done,
     /*  435319 */   // Label 7567: @435319
     /*  435319 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435405), // Rule ID 3426 //
     /*  435324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435371 */     // MIs[1] Operand 1
     /*  435371 */     // No operand predicates
     /*  435371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435380 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435403 */     GIR_RootConstrainSelectedInstOperands,
     /*  435404 */     // GIR_Coverage, 3426,
     /*  435404 */     GIR_EraseRootFromParent_Done,
     /*  435405 */   // Label 7568: @435405
     /*  435405 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435491), // Rule ID 3427 //
     /*  435410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435457 */     // MIs[1] Operand 1
     /*  435457 */     // No operand predicates
     /*  435457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435489 */     GIR_RootConstrainSelectedInstOperands,
     /*  435490 */     // GIR_Coverage, 3427,
     /*  435490 */     GIR_EraseRootFromParent_Done,
     /*  435491 */   // Label 7569: @435491
     /*  435491 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(435577), // Rule ID 3430 //
     /*  435496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435543 */     // MIs[1] Operand 1
     /*  435543 */     // No operand predicates
     /*  435543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435575 */     GIR_RootConstrainSelectedInstOperands,
     /*  435576 */     // GIR_Coverage, 3430,
     /*  435576 */     GIR_EraseRootFromParent_Done,
     /*  435577 */   // Label 7570: @435577
     /*  435577 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(435663), // Rule ID 3431 //
     /*  435582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435629 */     // MIs[1] Operand 1
     /*  435629 */     // No operand predicates
     /*  435629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435638 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435661 */     GIR_RootConstrainSelectedInstOperands,
     /*  435662 */     // GIR_Coverage, 3431,
     /*  435662 */     GIR_EraseRootFromParent_Done,
     /*  435663 */   // Label 7571: @435663
     /*  435663 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(435749), // Rule ID 3434 //
     /*  435668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435715 */     // MIs[1] Operand 1
     /*  435715 */     // No operand predicates
     /*  435715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435747 */     GIR_RootConstrainSelectedInstOperands,
     /*  435748 */     // GIR_Coverage, 3434,
     /*  435748 */     GIR_EraseRootFromParent_Done,
     /*  435749 */   // Label 7572: @435749
     /*  435749 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(435835), // Rule ID 3435 //
     /*  435754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435801 */     // MIs[1] Operand 1
     /*  435801 */     // No operand predicates
     /*  435801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435833 */     GIR_RootConstrainSelectedInstOperands,
     /*  435834 */     // GIR_Coverage, 3435,
     /*  435834 */     GIR_EraseRootFromParent_Done,
     /*  435835 */   // Label 7573: @435835
     /*  435835 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(435921), // Rule ID 3438 //
     /*  435840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435887 */     // MIs[1] Operand 1
     /*  435887 */     // No operand predicates
     /*  435887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435919 */     GIR_RootConstrainSelectedInstOperands,
     /*  435920 */     // GIR_Coverage, 3438,
     /*  435920 */     GIR_EraseRootFromParent_Done,
     /*  435921 */   // Label 7574: @435921
     /*  435921 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(436007), // Rule ID 3439 //
     /*  435926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435973 */     // MIs[1] Operand 1
     /*  435973 */     // No operand predicates
     /*  435973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436005 */     GIR_RootConstrainSelectedInstOperands,
     /*  436006 */     // GIR_Coverage, 3439,
     /*  436006 */     GIR_EraseRootFromParent_Done,
     /*  436007 */   // Label 7575: @436007
     /*  436007 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436093), // Rule ID 3442 //
     /*  436012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436059 */     // MIs[1] Operand 1
     /*  436059 */     // No operand predicates
     /*  436059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436091 */     GIR_RootConstrainSelectedInstOperands,
     /*  436092 */     // GIR_Coverage, 3442,
     /*  436092 */     GIR_EraseRootFromParent_Done,
     /*  436093 */   // Label 7576: @436093
     /*  436093 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436179), // Rule ID 3443 //
     /*  436098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436145 */     // MIs[1] Operand 1
     /*  436145 */     // No operand predicates
     /*  436145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436177 */     GIR_RootConstrainSelectedInstOperands,
     /*  436178 */     // GIR_Coverage, 3443,
     /*  436178 */     GIR_EraseRootFromParent_Done,
     /*  436179 */   // Label 7577: @436179
     /*  436179 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436265), // Rule ID 3446 //
     /*  436184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436231 */     // MIs[1] Operand 1
     /*  436231 */     // No operand predicates
     /*  436231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436263 */     GIR_RootConstrainSelectedInstOperands,
     /*  436264 */     // GIR_Coverage, 3446,
     /*  436264 */     GIR_EraseRootFromParent_Done,
     /*  436265 */   // Label 7578: @436265
     /*  436265 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436351), // Rule ID 3447 //
     /*  436270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436317 */     // MIs[1] Operand 1
     /*  436317 */     // No operand predicates
     /*  436317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436349 */     GIR_RootConstrainSelectedInstOperands,
     /*  436350 */     // GIR_Coverage, 3447,
     /*  436350 */     GIR_EraseRootFromParent_Done,
     /*  436351 */   // Label 7579: @436351
     /*  436351 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436437), // Rule ID 3450 //
     /*  436356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436403 */     // MIs[1] Operand 1
     /*  436403 */     // No operand predicates
     /*  436403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436435 */     GIR_RootConstrainSelectedInstOperands,
     /*  436436 */     // GIR_Coverage, 3450,
     /*  436436 */     GIR_EraseRootFromParent_Done,
     /*  436437 */   // Label 7580: @436437
     /*  436437 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436523), // Rule ID 3451 //
     /*  436442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436489 */     // MIs[1] Operand 1
     /*  436489 */     // No operand predicates
     /*  436489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436521 */     GIR_RootConstrainSelectedInstOperands,
     /*  436522 */     // GIR_Coverage, 3451,
     /*  436522 */     GIR_EraseRootFromParent_Done,
     /*  436523 */   // Label 7581: @436523
     /*  436523 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436609), // Rule ID 3454 //
     /*  436528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436575 */     // MIs[1] Operand 1
     /*  436575 */     // No operand predicates
     /*  436575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436607 */     GIR_RootConstrainSelectedInstOperands,
     /*  436608 */     // GIR_Coverage, 3454,
     /*  436608 */     GIR_EraseRootFromParent_Done,
     /*  436609 */   // Label 7582: @436609
     /*  436609 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436695), // Rule ID 3455 //
     /*  436614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436661 */     // MIs[1] Operand 1
     /*  436661 */     // No operand predicates
     /*  436661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436693 */     GIR_RootConstrainSelectedInstOperands,
     /*  436694 */     // GIR_Coverage, 3455,
     /*  436694 */     GIR_EraseRootFromParent_Done,
     /*  436695 */   // Label 7583: @436695
     /*  436695 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(436781), // Rule ID 3458 //
     /*  436700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436747 */     // MIs[1] Operand 1
     /*  436747 */     // No operand predicates
     /*  436747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436779 */     GIR_RootConstrainSelectedInstOperands,
     /*  436780 */     // GIR_Coverage, 3458,
     /*  436780 */     GIR_EraseRootFromParent_Done,
     /*  436781 */   // Label 7584: @436781
     /*  436781 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(436867), // Rule ID 3459 //
     /*  436786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436833 */     // MIs[1] Operand 1
     /*  436833 */     // No operand predicates
     /*  436833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436865 */     GIR_RootConstrainSelectedInstOperands,
     /*  436866 */     // GIR_Coverage, 3459,
     /*  436866 */     GIR_EraseRootFromParent_Done,
     /*  436867 */   // Label 7585: @436867
     /*  436867 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(436953), // Rule ID 3462 //
     /*  436872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436919 */     // MIs[1] Operand 1
     /*  436919 */     // No operand predicates
     /*  436919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436951 */     GIR_RootConstrainSelectedInstOperands,
     /*  436952 */     // GIR_Coverage, 3462,
     /*  436952 */     GIR_EraseRootFromParent_Done,
     /*  436953 */   // Label 7586: @436953
     /*  436953 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437039), // Rule ID 3463 //
     /*  436958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437005 */     // MIs[1] Operand 1
     /*  437005 */     // No operand predicates
     /*  437005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437037 */     GIR_RootConstrainSelectedInstOperands,
     /*  437038 */     // GIR_Coverage, 3463,
     /*  437038 */     GIR_EraseRootFromParent_Done,
     /*  437039 */   // Label 7587: @437039
     /*  437039 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437125), // Rule ID 3466 //
     /*  437044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437091 */     // MIs[1] Operand 1
     /*  437091 */     // No operand predicates
     /*  437091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437123 */     GIR_RootConstrainSelectedInstOperands,
     /*  437124 */     // GIR_Coverage, 3466,
     /*  437124 */     GIR_EraseRootFromParent_Done,
     /*  437125 */   // Label 7588: @437125
     /*  437125 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437211), // Rule ID 3467 //
     /*  437130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437177 */     // MIs[1] Operand 1
     /*  437177 */     // No operand predicates
     /*  437177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437209 */     GIR_RootConstrainSelectedInstOperands,
     /*  437210 */     // GIR_Coverage, 3467,
     /*  437210 */     GIR_EraseRootFromParent_Done,
     /*  437211 */   // Label 7589: @437211
     /*  437211 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437297), // Rule ID 5830 //
     /*  437216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437263 */     // MIs[1] Operand 1
     /*  437263 */     // No operand predicates
     /*  437263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  437275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437295 */     GIR_RootConstrainSelectedInstOperands,
     /*  437296 */     // GIR_Coverage, 5830,
     /*  437296 */     GIR_EraseRootFromParent_Done,
     /*  437297 */   // Label 7590: @437297
     /*  437297 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437383), // Rule ID 5831 //
     /*  437302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437349 */     // MIs[1] Operand 1
     /*  437349 */     // No operand predicates
     /*  437349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  437361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437381 */     GIR_RootConstrainSelectedInstOperands,
     /*  437382 */     // GIR_Coverage, 5831,
     /*  437382 */     GIR_EraseRootFromParent_Done,
     /*  437383 */   // Label 7591: @437383
     /*  437383 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437469), // Rule ID 5834 //
     /*  437388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437435 */     // MIs[1] Operand 1
     /*  437435 */     // No operand predicates
     /*  437435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437467 */     GIR_RootConstrainSelectedInstOperands,
     /*  437468 */     // GIR_Coverage, 5834,
     /*  437468 */     GIR_EraseRootFromParent_Done,
     /*  437469 */   // Label 7592: @437469
     /*  437469 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437555), // Rule ID 5835 //
     /*  437474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437521 */     // MIs[1] Operand 1
     /*  437521 */     // No operand predicates
     /*  437521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437553 */     GIR_RootConstrainSelectedInstOperands,
     /*  437554 */     // GIR_Coverage, 5835,
     /*  437554 */     GIR_EraseRootFromParent_Done,
     /*  437555 */   // Label 7593: @437555
     /*  437555 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437641), // Rule ID 5838 //
     /*  437560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437607 */     // MIs[1] Operand 1
     /*  437607 */     // No operand predicates
     /*  437607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437616 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437639 */     GIR_RootConstrainSelectedInstOperands,
     /*  437640 */     // GIR_Coverage, 5838,
     /*  437640 */     GIR_EraseRootFromParent_Done,
     /*  437641 */   // Label 7594: @437641
     /*  437641 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437727), // Rule ID 5839 //
     /*  437646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437693 */     // MIs[1] Operand 1
     /*  437693 */     // No operand predicates
     /*  437693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437725 */     GIR_RootConstrainSelectedInstOperands,
     /*  437726 */     // GIR_Coverage, 5839,
     /*  437726 */     GIR_EraseRootFromParent_Done,
     /*  437727 */   // Label 7595: @437727
     /*  437727 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(437813), // Rule ID 5842 //
     /*  437732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437779 */     // MIs[1] Operand 1
     /*  437779 */     // No operand predicates
     /*  437779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437788 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437811 */     GIR_RootConstrainSelectedInstOperands,
     /*  437812 */     // GIR_Coverage, 5842,
     /*  437812 */     GIR_EraseRootFromParent_Done,
     /*  437813 */   // Label 7596: @437813
     /*  437813 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(437899), // Rule ID 5843 //
     /*  437818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437865 */     // MIs[1] Operand 1
     /*  437865 */     // No operand predicates
     /*  437865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437897 */     GIR_RootConstrainSelectedInstOperands,
     /*  437898 */     // GIR_Coverage, 5843,
     /*  437898 */     GIR_EraseRootFromParent_Done,
     /*  437899 */   // Label 7597: @437899
     /*  437899 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(437985), // Rule ID 5846 //
     /*  437904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437951 */     // MIs[1] Operand 1
     /*  437951 */     // No operand predicates
     /*  437951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437983 */     GIR_RootConstrainSelectedInstOperands,
     /*  437984 */     // GIR_Coverage, 5846,
     /*  437984 */     GIR_EraseRootFromParent_Done,
     /*  437985 */   // Label 7598: @437985
     /*  437985 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438071), // Rule ID 5847 //
     /*  437990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438037 */     // MIs[1] Operand 1
     /*  438037 */     // No operand predicates
     /*  438037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438069 */     GIR_RootConstrainSelectedInstOperands,
     /*  438070 */     // GIR_Coverage, 5847,
     /*  438070 */     GIR_EraseRootFromParent_Done,
     /*  438071 */   // Label 7599: @438071
     /*  438071 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438157), // Rule ID 5850 //
     /*  438076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438123 */     // MIs[1] Operand 1
     /*  438123 */     // No operand predicates
     /*  438123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438155 */     GIR_RootConstrainSelectedInstOperands,
     /*  438156 */     // GIR_Coverage, 5850,
     /*  438156 */     GIR_EraseRootFromParent_Done,
     /*  438157 */   // Label 7600: @438157
     /*  438157 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438243), // Rule ID 5851 //
     /*  438162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438209 */     // MIs[1] Operand 1
     /*  438209 */     // No operand predicates
     /*  438209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438241 */     GIR_RootConstrainSelectedInstOperands,
     /*  438242 */     // GIR_Coverage, 5851,
     /*  438242 */     GIR_EraseRootFromParent_Done,
     /*  438243 */   // Label 7601: @438243
     /*  438243 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438329), // Rule ID 5854 //
     /*  438248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438295 */     // MIs[1] Operand 1
     /*  438295 */     // No operand predicates
     /*  438295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438327 */     GIR_RootConstrainSelectedInstOperands,
     /*  438328 */     // GIR_Coverage, 5854,
     /*  438328 */     GIR_EraseRootFromParent_Done,
     /*  438329 */   // Label 7602: @438329
     /*  438329 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438415), // Rule ID 5855 //
     /*  438334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438381 */     // MIs[1] Operand 1
     /*  438381 */     // No operand predicates
     /*  438381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438413 */     GIR_RootConstrainSelectedInstOperands,
     /*  438414 */     // GIR_Coverage, 5855,
     /*  438414 */     GIR_EraseRootFromParent_Done,
     /*  438415 */   // Label 7603: @438415
     /*  438415 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438501), // Rule ID 5858 //
     /*  438420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438467 */     // MIs[1] Operand 1
     /*  438467 */     // No operand predicates
     /*  438467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438499 */     GIR_RootConstrainSelectedInstOperands,
     /*  438500 */     // GIR_Coverage, 5858,
     /*  438500 */     GIR_EraseRootFromParent_Done,
     /*  438501 */   // Label 7604: @438501
     /*  438501 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438587), // Rule ID 5859 //
     /*  438506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438553 */     // MIs[1] Operand 1
     /*  438553 */     // No operand predicates
     /*  438553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438585 */     GIR_RootConstrainSelectedInstOperands,
     /*  438586 */     // GIR_Coverage, 5859,
     /*  438586 */     GIR_EraseRootFromParent_Done,
     /*  438587 */   // Label 7605: @438587
     /*  438587 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438673), // Rule ID 5862 //
     /*  438592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438639 */     // MIs[1] Operand 1
     /*  438639 */     // No operand predicates
     /*  438639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438671 */     GIR_RootConstrainSelectedInstOperands,
     /*  438672 */     // GIR_Coverage, 5862,
     /*  438672 */     GIR_EraseRootFromParent_Done,
     /*  438673 */   // Label 7606: @438673
     /*  438673 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438759), // Rule ID 5863 //
     /*  438678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438725 */     // MIs[1] Operand 1
     /*  438725 */     // No operand predicates
     /*  438725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438757 */     GIR_RootConstrainSelectedInstOperands,
     /*  438758 */     // GIR_Coverage, 5863,
     /*  438758 */     GIR_EraseRootFromParent_Done,
     /*  438759 */   // Label 7607: @438759
     /*  438759 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(438845), // Rule ID 5866 //
     /*  438764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438811 */     // MIs[1] Operand 1
     /*  438811 */     // No operand predicates
     /*  438811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438843 */     GIR_RootConstrainSelectedInstOperands,
     /*  438844 */     // GIR_Coverage, 5866,
     /*  438844 */     GIR_EraseRootFromParent_Done,
     /*  438845 */   // Label 7608: @438845
     /*  438845 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438931), // Rule ID 5867 //
     /*  438850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438897 */     // MIs[1] Operand 1
     /*  438897 */     // No operand predicates
     /*  438897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438929 */     GIR_RootConstrainSelectedInstOperands,
     /*  438930 */     // GIR_Coverage, 5867,
     /*  438930 */     GIR_EraseRootFromParent_Done,
     /*  438931 */   // Label 7609: @438931
     /*  438931 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(439017), // Rule ID 5870 //
     /*  438936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438983 */     // MIs[1] Operand 1
     /*  438983 */     // No operand predicates
     /*  438983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439015 */     GIR_RootConstrainSelectedInstOperands,
     /*  439016 */     // GIR_Coverage, 5870,
     /*  439016 */     GIR_EraseRootFromParent_Done,
     /*  439017 */   // Label 7610: @439017
     /*  439017 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439103), // Rule ID 5871 //
     /*  439022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439069 */     // MIs[1] Operand 1
     /*  439069 */     // No operand predicates
     /*  439069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439101 */     GIR_RootConstrainSelectedInstOperands,
     /*  439102 */     // GIR_Coverage, 5871,
     /*  439102 */     GIR_EraseRootFromParent_Done,
     /*  439103 */   // Label 7611: @439103
     /*  439103 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439189), // Rule ID 5874 //
     /*  439108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439155 */     // MIs[1] Operand 1
     /*  439155 */     // No operand predicates
     /*  439155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439187 */     GIR_RootConstrainSelectedInstOperands,
     /*  439188 */     // GIR_Coverage, 5874,
     /*  439188 */     GIR_EraseRootFromParent_Done,
     /*  439189 */   // Label 7612: @439189
     /*  439189 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439275), // Rule ID 5875 //
     /*  439194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439241 */     // MIs[1] Operand 1
     /*  439241 */     // No operand predicates
     /*  439241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439273 */     GIR_RootConstrainSelectedInstOperands,
     /*  439274 */     // GIR_Coverage, 5875,
     /*  439274 */     GIR_EraseRootFromParent_Done,
     /*  439275 */   // Label 7613: @439275
     /*  439275 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439361), // Rule ID 5878 //
     /*  439280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439327 */     // MIs[1] Operand 1
     /*  439327 */     // No operand predicates
     /*  439327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439359 */     GIR_RootConstrainSelectedInstOperands,
     /*  439360 */     // GIR_Coverage, 5878,
     /*  439360 */     GIR_EraseRootFromParent_Done,
     /*  439361 */   // Label 7614: @439361
     /*  439361 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439447), // Rule ID 5879 //
     /*  439366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439413 */     // MIs[1] Operand 1
     /*  439413 */     // No operand predicates
     /*  439413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439445 */     GIR_RootConstrainSelectedInstOperands,
     /*  439446 */     // GIR_Coverage, 5879,
     /*  439446 */     GIR_EraseRootFromParent_Done,
     /*  439447 */   // Label 7615: @439447
     /*  439447 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439533), // Rule ID 5882 //
     /*  439452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439499 */     // MIs[1] Operand 1
     /*  439499 */     // No operand predicates
     /*  439499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439531 */     GIR_RootConstrainSelectedInstOperands,
     /*  439532 */     // GIR_Coverage, 5882,
     /*  439532 */     GIR_EraseRootFromParent_Done,
     /*  439533 */   // Label 7616: @439533
     /*  439533 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439619), // Rule ID 5883 //
     /*  439538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439585 */     // MIs[1] Operand 1
     /*  439585 */     // No operand predicates
     /*  439585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439617 */     GIR_RootConstrainSelectedInstOperands,
     /*  439618 */     // GIR_Coverage, 5883,
     /*  439618 */     GIR_EraseRootFromParent_Done,
     /*  439619 */   // Label 7617: @439619
     /*  439619 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439705), // Rule ID 5886 //
     /*  439624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439671 */     // MIs[1] Operand 1
     /*  439671 */     // No operand predicates
     /*  439671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439703 */     GIR_RootConstrainSelectedInstOperands,
     /*  439704 */     // GIR_Coverage, 5886,
     /*  439704 */     GIR_EraseRootFromParent_Done,
     /*  439705 */   // Label 7618: @439705
     /*  439705 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439791), // Rule ID 5887 //
     /*  439710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439757 */     // MIs[1] Operand 1
     /*  439757 */     // No operand predicates
     /*  439757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439789 */     GIR_RootConstrainSelectedInstOperands,
     /*  439790 */     // GIR_Coverage, 5887,
     /*  439790 */     GIR_EraseRootFromParent_Done,
     /*  439791 */   // Label 7619: @439791
     /*  439791 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(439877), // Rule ID 5890 //
     /*  439796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439843 */     // MIs[1] Operand 1
     /*  439843 */     // No operand predicates
     /*  439843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439875 */     GIR_RootConstrainSelectedInstOperands,
     /*  439876 */     // GIR_Coverage, 5890,
     /*  439876 */     GIR_EraseRootFromParent_Done,
     /*  439877 */   // Label 7620: @439877
     /*  439877 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439963), // Rule ID 5891 //
     /*  439882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439929 */     // MIs[1] Operand 1
     /*  439929 */     // No operand predicates
     /*  439929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439961 */     GIR_RootConstrainSelectedInstOperands,
     /*  439962 */     // GIR_Coverage, 5891,
     /*  439962 */     GIR_EraseRootFromParent_Done,
     /*  439963 */   // Label 7621: @439963
     /*  439963 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(440049), // Rule ID 5894 //
     /*  439968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440015 */     // MIs[1] Operand 1
     /*  440015 */     // No operand predicates
     /*  440015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440047 */     GIR_RootConstrainSelectedInstOperands,
     /*  440048 */     // GIR_Coverage, 5894,
     /*  440048 */     GIR_EraseRootFromParent_Done,
     /*  440049 */   // Label 7622: @440049
     /*  440049 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440135), // Rule ID 5895 //
     /*  440054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440101 */     // MIs[1] Operand 1
     /*  440101 */     // No operand predicates
     /*  440101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440133 */     GIR_RootConstrainSelectedInstOperands,
     /*  440134 */     // GIR_Coverage, 5895,
     /*  440134 */     GIR_EraseRootFromParent_Done,
     /*  440135 */   // Label 7623: @440135
     /*  440135 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(440221), // Rule ID 5898 //
     /*  440140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440187 */     // MIs[1] Operand 1
     /*  440187 */     // No operand predicates
     /*  440187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440219 */     GIR_RootConstrainSelectedInstOperands,
     /*  440220 */     // GIR_Coverage, 5898,
     /*  440220 */     GIR_EraseRootFromParent_Done,
     /*  440221 */   // Label 7624: @440221
     /*  440221 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(440307), // Rule ID 5899 //
     /*  440226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440273 */     // MIs[1] Operand 1
     /*  440273 */     // No operand predicates
     /*  440273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440305 */     GIR_RootConstrainSelectedInstOperands,
     /*  440306 */     // GIR_Coverage, 5899,
     /*  440306 */     GIR_EraseRootFromParent_Done,
     /*  440307 */   // Label 7625: @440307
     /*  440307 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440393), // Rule ID 5902 //
     /*  440312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440359 */     // MIs[1] Operand 1
     /*  440359 */     // No operand predicates
     /*  440359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440391 */     GIR_RootConstrainSelectedInstOperands,
     /*  440392 */     // GIR_Coverage, 5902,
     /*  440392 */     GIR_EraseRootFromParent_Done,
     /*  440393 */   // Label 7626: @440393
     /*  440393 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440479), // Rule ID 5903 //
     /*  440398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440445 */     // MIs[1] Operand 1
     /*  440445 */     // No operand predicates
     /*  440445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440477 */     GIR_RootConstrainSelectedInstOperands,
     /*  440478 */     // GIR_Coverage, 5903,
     /*  440478 */     GIR_EraseRootFromParent_Done,
     /*  440479 */   // Label 7627: @440479
     /*  440479 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440565), // Rule ID 5906 //
     /*  440484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440531 */     // MIs[1] Operand 1
     /*  440531 */     // No operand predicates
     /*  440531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440563 */     GIR_RootConstrainSelectedInstOperands,
     /*  440564 */     // GIR_Coverage, 5906,
     /*  440564 */     GIR_EraseRootFromParent_Done,
     /*  440565 */   // Label 7628: @440565
     /*  440565 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440651), // Rule ID 5907 //
     /*  440570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440617 */     // MIs[1] Operand 1
     /*  440617 */     // No operand predicates
     /*  440617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440649 */     GIR_RootConstrainSelectedInstOperands,
     /*  440650 */     // GIR_Coverage, 5907,
     /*  440650 */     GIR_EraseRootFromParent_Done,
     /*  440651 */   // Label 7629: @440651
     /*  440651 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440737), // Rule ID 5910 //
     /*  440656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440703 */     // MIs[1] Operand 1
     /*  440703 */     // No operand predicates
     /*  440703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440735 */     GIR_RootConstrainSelectedInstOperands,
     /*  440736 */     // GIR_Coverage, 5910,
     /*  440736 */     GIR_EraseRootFromParent_Done,
     /*  440737 */   // Label 7630: @440737
     /*  440737 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(440823), // Rule ID 5911 //
     /*  440742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440789 */     // MIs[1] Operand 1
     /*  440789 */     // No operand predicates
     /*  440789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440821 */     GIR_RootConstrainSelectedInstOperands,
     /*  440822 */     // GIR_Coverage, 5911,
     /*  440822 */     GIR_EraseRootFromParent_Done,
     /*  440823 */   // Label 7631: @440823
     /*  440823 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(440909), // Rule ID 5914 //
     /*  440828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440875 */     // MIs[1] Operand 1
     /*  440875 */     // No operand predicates
     /*  440875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440907 */     GIR_RootConstrainSelectedInstOperands,
     /*  440908 */     // GIR_Coverage, 5914,
     /*  440908 */     GIR_EraseRootFromParent_Done,
     /*  440909 */   // Label 7632: @440909
     /*  440909 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(440995), // Rule ID 5915 //
     /*  440914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440961 */     // MIs[1] Operand 1
     /*  440961 */     // No operand predicates
     /*  440961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440993 */     GIR_RootConstrainSelectedInstOperands,
     /*  440994 */     // GIR_Coverage, 5915,
     /*  440994 */     GIR_EraseRootFromParent_Done,
     /*  440995 */   // Label 7633: @440995
     /*  440995 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(441081), // Rule ID 6094 //
     /*  441000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441047 */     // MIs[1] Operand 1
     /*  441047 */     // No operand predicates
     /*  441047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441079 */     GIR_RootConstrainSelectedInstOperands,
     /*  441080 */     // GIR_Coverage, 6094,
     /*  441080 */     GIR_EraseRootFromParent_Done,
     /*  441081 */   // Label 7634: @441081
     /*  441081 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441167), // Rule ID 6095 //
     /*  441086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441133 */     // MIs[1] Operand 1
     /*  441133 */     // No operand predicates
     /*  441133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441165 */     GIR_RootConstrainSelectedInstOperands,
     /*  441166 */     // GIR_Coverage, 6095,
     /*  441166 */     GIR_EraseRootFromParent_Done,
     /*  441167 */   // Label 7635: @441167
     /*  441167 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(441253), // Rule ID 6098 //
     /*  441172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441219 */     // MIs[1] Operand 1
     /*  441219 */     // No operand predicates
     /*  441219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441228 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441251 */     GIR_RootConstrainSelectedInstOperands,
     /*  441252 */     // GIR_Coverage, 6098,
     /*  441252 */     GIR_EraseRootFromParent_Done,
     /*  441253 */   // Label 7636: @441253
     /*  441253 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(441339), // Rule ID 6099 //
     /*  441258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441305 */     // MIs[1] Operand 1
     /*  441305 */     // No operand predicates
     /*  441305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441337 */     GIR_RootConstrainSelectedInstOperands,
     /*  441338 */     // GIR_Coverage, 6099,
     /*  441338 */     GIR_EraseRootFromParent_Done,
     /*  441339 */   // Label 7637: @441339
     /*  441339 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(441425), // Rule ID 6102 //
     /*  441344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441391 */     // MIs[1] Operand 1
     /*  441391 */     // No operand predicates
     /*  441391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441423 */     GIR_RootConstrainSelectedInstOperands,
     /*  441424 */     // GIR_Coverage, 6102,
     /*  441424 */     GIR_EraseRootFromParent_Done,
     /*  441425 */   // Label 7638: @441425
     /*  441425 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(441511), // Rule ID 6103 //
     /*  441430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441477 */     // MIs[1] Operand 1
     /*  441477 */     // No operand predicates
     /*  441477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441486 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441509 */     GIR_RootConstrainSelectedInstOperands,
     /*  441510 */     // GIR_Coverage, 6103,
     /*  441510 */     GIR_EraseRootFromParent_Done,
     /*  441511 */   // Label 7639: @441511
     /*  441511 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441597), // Rule ID 6106 //
     /*  441516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441563 */     // MIs[1] Operand 1
     /*  441563 */     // No operand predicates
     /*  441563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441595 */     GIR_RootConstrainSelectedInstOperands,
     /*  441596 */     // GIR_Coverage, 6106,
     /*  441596 */     GIR_EraseRootFromParent_Done,
     /*  441597 */   // Label 7640: @441597
     /*  441597 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441683), // Rule ID 6107 //
     /*  441602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441649 */     // MIs[1] Operand 1
     /*  441649 */     // No operand predicates
     /*  441649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441681 */     GIR_RootConstrainSelectedInstOperands,
     /*  441682 */     // GIR_Coverage, 6107,
     /*  441682 */     GIR_EraseRootFromParent_Done,
     /*  441683 */   // Label 7641: @441683
     /*  441683 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441769), // Rule ID 6110 //
     /*  441688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441735 */     // MIs[1] Operand 1
     /*  441735 */     // No operand predicates
     /*  441735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441767 */     GIR_RootConstrainSelectedInstOperands,
     /*  441768 */     // GIR_Coverage, 6110,
     /*  441768 */     GIR_EraseRootFromParent_Done,
     /*  441769 */   // Label 7642: @441769
     /*  441769 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(441855), // Rule ID 6111 //
     /*  441774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441821 */     // MIs[1] Operand 1
     /*  441821 */     // No operand predicates
     /*  441821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441853 */     GIR_RootConstrainSelectedInstOperands,
     /*  441854 */     // GIR_Coverage, 6111,
     /*  441854 */     GIR_EraseRootFromParent_Done,
     /*  441855 */   // Label 7643: @441855
     /*  441855 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441941), // Rule ID 6114 //
     /*  441860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441907 */     // MIs[1] Operand 1
     /*  441907 */     // No operand predicates
     /*  441907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441939 */     GIR_RootConstrainSelectedInstOperands,
     /*  441940 */     // GIR_Coverage, 6114,
     /*  441940 */     GIR_EraseRootFromParent_Done,
     /*  441941 */   // Label 7644: @441941
     /*  441941 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(442027), // Rule ID 6115 //
     /*  441946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441993 */     // MIs[1] Operand 1
     /*  441993 */     // No operand predicates
     /*  441993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442025 */     GIR_RootConstrainSelectedInstOperands,
     /*  442026 */     // GIR_Coverage, 6115,
     /*  442026 */     GIR_EraseRootFromParent_Done,
     /*  442027 */   // Label 7645: @442027
     /*  442027 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442113), // Rule ID 6118 //
     /*  442032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442079 */     // MIs[1] Operand 1
     /*  442079 */     // No operand predicates
     /*  442079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442111 */     GIR_RootConstrainSelectedInstOperands,
     /*  442112 */     // GIR_Coverage, 6118,
     /*  442112 */     GIR_EraseRootFromParent_Done,
     /*  442113 */   // Label 7646: @442113
     /*  442113 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442199), // Rule ID 6119 //
     /*  442118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442165 */     // MIs[1] Operand 1
     /*  442165 */     // No operand predicates
     /*  442165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442197 */     GIR_RootConstrainSelectedInstOperands,
     /*  442198 */     // GIR_Coverage, 6119,
     /*  442198 */     GIR_EraseRootFromParent_Done,
     /*  442199 */   // Label 7647: @442199
     /*  442199 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(442285), // Rule ID 6122 //
     /*  442204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442251 */     // MIs[1] Operand 1
     /*  442251 */     // No operand predicates
     /*  442251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442283 */     GIR_RootConstrainSelectedInstOperands,
     /*  442284 */     // GIR_Coverage, 6122,
     /*  442284 */     GIR_EraseRootFromParent_Done,
     /*  442285 */   // Label 7648: @442285
     /*  442285 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(442371), // Rule ID 6123 //
     /*  442290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442337 */     // MIs[1] Operand 1
     /*  442337 */     // No operand predicates
     /*  442337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442369 */     GIR_RootConstrainSelectedInstOperands,
     /*  442370 */     // GIR_Coverage, 6123,
     /*  442370 */     GIR_EraseRootFromParent_Done,
     /*  442371 */   // Label 7649: @442371
     /*  442371 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(442457), // Rule ID 6126 //
     /*  442376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442423 */     // MIs[1] Operand 1
     /*  442423 */     // No operand predicates
     /*  442423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442455 */     GIR_RootConstrainSelectedInstOperands,
     /*  442456 */     // GIR_Coverage, 6126,
     /*  442456 */     GIR_EraseRootFromParent_Done,
     /*  442457 */   // Label 7650: @442457
     /*  442457 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(442543), // Rule ID 6127 //
     /*  442462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442509 */     // MIs[1] Operand 1
     /*  442509 */     // No operand predicates
     /*  442509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442541 */     GIR_RootConstrainSelectedInstOperands,
     /*  442542 */     // GIR_Coverage, 6127,
     /*  442542 */     GIR_EraseRootFromParent_Done,
     /*  442543 */   // Label 7651: @442543
     /*  442543 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(442629), // Rule ID 6130 //
     /*  442548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442595 */     // MIs[1] Operand 1
     /*  442595 */     // No operand predicates
     /*  442595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442627 */     GIR_RootConstrainSelectedInstOperands,
     /*  442628 */     // GIR_Coverage, 6130,
     /*  442628 */     GIR_EraseRootFromParent_Done,
     /*  442629 */   // Label 7652: @442629
     /*  442629 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(442715), // Rule ID 6131 //
     /*  442634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442681 */     // MIs[1] Operand 1
     /*  442681 */     // No operand predicates
     /*  442681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442713 */     GIR_RootConstrainSelectedInstOperands,
     /*  442714 */     // GIR_Coverage, 6131,
     /*  442714 */     GIR_EraseRootFromParent_Done,
     /*  442715 */   // Label 7653: @442715
     /*  442715 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(442801), // Rule ID 6134 //
     /*  442720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442767 */     // MIs[1] Operand 1
     /*  442767 */     // No operand predicates
     /*  442767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442799 */     GIR_RootConstrainSelectedInstOperands,
     /*  442800 */     // GIR_Coverage, 6134,
     /*  442800 */     GIR_EraseRootFromParent_Done,
     /*  442801 */   // Label 7654: @442801
     /*  442801 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(442887), // Rule ID 6135 //
     /*  442806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442853 */     // MIs[1] Operand 1
     /*  442853 */     // No operand predicates
     /*  442853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442885 */     GIR_RootConstrainSelectedInstOperands,
     /*  442886 */     // GIR_Coverage, 6135,
     /*  442886 */     GIR_EraseRootFromParent_Done,
     /*  442887 */   // Label 7655: @442887
     /*  442887 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442973), // Rule ID 6138 //
     /*  442892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442939 */     // MIs[1] Operand 1
     /*  442939 */     // No operand predicates
     /*  442939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442971 */     GIR_RootConstrainSelectedInstOperands,
     /*  442972 */     // GIR_Coverage, 6138,
     /*  442972 */     GIR_EraseRootFromParent_Done,
     /*  442973 */   // Label 7656: @442973
     /*  442973 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(443059), // Rule ID 6139 //
     /*  442978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443025 */     // MIs[1] Operand 1
     /*  443025 */     // No operand predicates
     /*  443025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443034 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443057 */     GIR_RootConstrainSelectedInstOperands,
     /*  443058 */     // GIR_Coverage, 6139,
     /*  443058 */     GIR_EraseRootFromParent_Done,
     /*  443059 */   // Label 7657: @443059
     /*  443059 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443145), // Rule ID 6142 //
     /*  443064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443111 */     // MIs[1] Operand 1
     /*  443111 */     // No operand predicates
     /*  443111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443120 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443143 */     GIR_RootConstrainSelectedInstOperands,
     /*  443144 */     // GIR_Coverage, 6142,
     /*  443144 */     GIR_EraseRootFromParent_Done,
     /*  443145 */   // Label 7658: @443145
     /*  443145 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(443231), // Rule ID 6143 //
     /*  443150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443197 */     // MIs[1] Operand 1
     /*  443197 */     // No operand predicates
     /*  443197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443206 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443229 */     GIR_RootConstrainSelectedInstOperands,
     /*  443230 */     // GIR_Coverage, 6143,
     /*  443230 */     GIR_EraseRootFromParent_Done,
     /*  443231 */   // Label 7659: @443231
     /*  443231 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(443317), // Rule ID 6146 //
     /*  443236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443283 */     // MIs[1] Operand 1
     /*  443283 */     // No operand predicates
     /*  443283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443315 */     GIR_RootConstrainSelectedInstOperands,
     /*  443316 */     // GIR_Coverage, 6146,
     /*  443316 */     GIR_EraseRootFromParent_Done,
     /*  443317 */   // Label 7660: @443317
     /*  443317 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(443403), // Rule ID 6147 //
     /*  443322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443369 */     // MIs[1] Operand 1
     /*  443369 */     // No operand predicates
     /*  443369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443401 */     GIR_RootConstrainSelectedInstOperands,
     /*  443402 */     // GIR_Coverage, 6147,
     /*  443402 */     GIR_EraseRootFromParent_Done,
     /*  443403 */   // Label 7661: @443403
     /*  443403 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(443489), // Rule ID 6150 //
     /*  443408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443455 */     // MIs[1] Operand 1
     /*  443455 */     // No operand predicates
     /*  443455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443487 */     GIR_RootConstrainSelectedInstOperands,
     /*  443488 */     // GIR_Coverage, 6150,
     /*  443488 */     GIR_EraseRootFromParent_Done,
     /*  443489 */   // Label 7662: @443489
     /*  443489 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(443575), // Rule ID 6151 //
     /*  443494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443541 */     // MIs[1] Operand 1
     /*  443541 */     // No operand predicates
     /*  443541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443573 */     GIR_RootConstrainSelectedInstOperands,
     /*  443574 */     // GIR_Coverage, 6151,
     /*  443574 */     GIR_EraseRootFromParent_Done,
     /*  443575 */   // Label 7663: @443575
     /*  443575 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(443661), // Rule ID 6154 //
     /*  443580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443627 */     // MIs[1] Operand 1
     /*  443627 */     // No operand predicates
     /*  443627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443659 */     GIR_RootConstrainSelectedInstOperands,
     /*  443660 */     // GIR_Coverage, 6154,
     /*  443660 */     GIR_EraseRootFromParent_Done,
     /*  443661 */   // Label 7664: @443661
     /*  443661 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(443747), // Rule ID 6155 //
     /*  443666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443713 */     // MIs[1] Operand 1
     /*  443713 */     // No operand predicates
     /*  443713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443745 */     GIR_RootConstrainSelectedInstOperands,
     /*  443746 */     // GIR_Coverage, 6155,
     /*  443746 */     GIR_EraseRootFromParent_Done,
     /*  443747 */   // Label 7665: @443747
     /*  443747 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(443833), // Rule ID 6158 //
     /*  443752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443799 */     // MIs[1] Operand 1
     /*  443799 */     // No operand predicates
     /*  443799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443831 */     GIR_RootConstrainSelectedInstOperands,
     /*  443832 */     // GIR_Coverage, 6158,
     /*  443832 */     GIR_EraseRootFromParent_Done,
     /*  443833 */   // Label 7666: @443833
     /*  443833 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(443919), // Rule ID 6159 //
     /*  443838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443885 */     // MIs[1] Operand 1
     /*  443885 */     // No operand predicates
     /*  443885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443917 */     GIR_RootConstrainSelectedInstOperands,
     /*  443918 */     // GIR_Coverage, 6159,
     /*  443918 */     GIR_EraseRootFromParent_Done,
     /*  443919 */   // Label 7667: @443919
     /*  443919 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(444005), // Rule ID 6162 //
     /*  443924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443971 */     // MIs[1] Operand 1
     /*  443971 */     // No operand predicates
     /*  443971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444003 */     GIR_RootConstrainSelectedInstOperands,
     /*  444004 */     // GIR_Coverage, 6162,
     /*  444004 */     GIR_EraseRootFromParent_Done,
     /*  444005 */   // Label 7668: @444005
     /*  444005 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444091), // Rule ID 6163 //
     /*  444010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444057 */     // MIs[1] Operand 1
     /*  444057 */     // No operand predicates
     /*  444057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444089 */     GIR_RootConstrainSelectedInstOperands,
     /*  444090 */     // GIR_Coverage, 6163,
     /*  444090 */     GIR_EraseRootFromParent_Done,
     /*  444091 */   // Label 7669: @444091
     /*  444091 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444177), // Rule ID 6166 //
     /*  444096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444143 */     // MIs[1] Operand 1
     /*  444143 */     // No operand predicates
     /*  444143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444175 */     GIR_RootConstrainSelectedInstOperands,
     /*  444176 */     // GIR_Coverage, 6166,
     /*  444176 */     GIR_EraseRootFromParent_Done,
     /*  444177 */   // Label 7670: @444177
     /*  444177 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(444263), // Rule ID 6167 //
     /*  444182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444229 */     // MIs[1] Operand 1
     /*  444229 */     // No operand predicates
     /*  444229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444261 */     GIR_RootConstrainSelectedInstOperands,
     /*  444262 */     // GIR_Coverage, 6167,
     /*  444262 */     GIR_EraseRootFromParent_Done,
     /*  444263 */   // Label 7671: @444263
     /*  444263 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(444349), // Rule ID 6170 //
     /*  444268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444315 */     // MIs[1] Operand 1
     /*  444315 */     // No operand predicates
     /*  444315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444347 */     GIR_RootConstrainSelectedInstOperands,
     /*  444348 */     // GIR_Coverage, 6170,
     /*  444348 */     GIR_EraseRootFromParent_Done,
     /*  444349 */   // Label 7672: @444349
     /*  444349 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(444435), // Rule ID 6171 //
     /*  444354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444401 */     // MIs[1] Operand 1
     /*  444401 */     // No operand predicates
     /*  444401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444433 */     GIR_RootConstrainSelectedInstOperands,
     /*  444434 */     // GIR_Coverage, 6171,
     /*  444434 */     GIR_EraseRootFromParent_Done,
     /*  444435 */   // Label 7673: @444435
     /*  444435 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(444521), // Rule ID 6174 //
     /*  444440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444487 */     // MIs[1] Operand 1
     /*  444487 */     // No operand predicates
     /*  444487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444519 */     GIR_RootConstrainSelectedInstOperands,
     /*  444520 */     // GIR_Coverage, 6174,
     /*  444520 */     GIR_EraseRootFromParent_Done,
     /*  444521 */   // Label 7674: @444521
     /*  444521 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(444607), // Rule ID 6175 //
     /*  444526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444573 */     // MIs[1] Operand 1
     /*  444573 */     // No operand predicates
     /*  444573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444582 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444605 */     GIR_RootConstrainSelectedInstOperands,
     /*  444606 */     // GIR_Coverage, 6175,
     /*  444606 */     GIR_EraseRootFromParent_Done,
     /*  444607 */   // Label 7675: @444607
     /*  444607 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(444693), // Rule ID 6178 //
     /*  444612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444659 */     // MIs[1] Operand 1
     /*  444659 */     // No operand predicates
     /*  444659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444691 */     GIR_RootConstrainSelectedInstOperands,
     /*  444692 */     // GIR_Coverage, 6178,
     /*  444692 */     GIR_EraseRootFromParent_Done,
     /*  444693 */   // Label 7676: @444693
     /*  444693 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(444779), // Rule ID 6179 //
     /*  444698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444745 */     // MIs[1] Operand 1
     /*  444745 */     // No operand predicates
     /*  444745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444777 */     GIR_RootConstrainSelectedInstOperands,
     /*  444778 */     // GIR_Coverage, 6179,
     /*  444778 */     GIR_EraseRootFromParent_Done,
     /*  444779 */   // Label 7677: @444779
     /*  444779 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(444865), // Rule ID 6358 //
     /*  444784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444831 */     // MIs[1] Operand 1
     /*  444831 */     // No operand predicates
     /*  444831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444863 */     GIR_RootConstrainSelectedInstOperands,
     /*  444864 */     // GIR_Coverage, 6358,
     /*  444864 */     GIR_EraseRootFromParent_Done,
     /*  444865 */   // Label 7678: @444865
     /*  444865 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(444951), // Rule ID 6359 //
     /*  444870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444917 */     // MIs[1] Operand 1
     /*  444917 */     // No operand predicates
     /*  444917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444949 */     GIR_RootConstrainSelectedInstOperands,
     /*  444950 */     // GIR_Coverage, 6359,
     /*  444950 */     GIR_EraseRootFromParent_Done,
     /*  444951 */   // Label 7679: @444951
     /*  444951 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(445037), // Rule ID 6362 //
     /*  444956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445003 */     // MIs[1] Operand 1
     /*  445003 */     // No operand predicates
     /*  445003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445035 */     GIR_RootConstrainSelectedInstOperands,
     /*  445036 */     // GIR_Coverage, 6362,
     /*  445036 */     GIR_EraseRootFromParent_Done,
     /*  445037 */   // Label 7680: @445037
     /*  445037 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445123), // Rule ID 6363 //
     /*  445042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445089 */     // MIs[1] Operand 1
     /*  445089 */     // No operand predicates
     /*  445089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445121 */     GIR_RootConstrainSelectedInstOperands,
     /*  445122 */     // GIR_Coverage, 6363,
     /*  445122 */     GIR_EraseRootFromParent_Done,
     /*  445123 */   // Label 7681: @445123
     /*  445123 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445209), // Rule ID 6366 //
     /*  445128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445175 */     // MIs[1] Operand 1
     /*  445175 */     // No operand predicates
     /*  445175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445207 */     GIR_RootConstrainSelectedInstOperands,
     /*  445208 */     // GIR_Coverage, 6366,
     /*  445208 */     GIR_EraseRootFromParent_Done,
     /*  445209 */   // Label 7682: @445209
     /*  445209 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(445295), // Rule ID 6367 //
     /*  445214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445261 */     // MIs[1] Operand 1
     /*  445261 */     // No operand predicates
     /*  445261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445270 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445293 */     GIR_RootConstrainSelectedInstOperands,
     /*  445294 */     // GIR_Coverage, 6367,
     /*  445294 */     GIR_EraseRootFromParent_Done,
     /*  445295 */   // Label 7683: @445295
     /*  445295 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(445381), // Rule ID 6370 //
     /*  445300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445347 */     // MIs[1] Operand 1
     /*  445347 */     // No operand predicates
     /*  445347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445379 */     GIR_RootConstrainSelectedInstOperands,
     /*  445380 */     // GIR_Coverage, 6370,
     /*  445380 */     GIR_EraseRootFromParent_Done,
     /*  445381 */   // Label 7684: @445381
     /*  445381 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(445467), // Rule ID 6371 //
     /*  445386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445433 */     // MIs[1] Operand 1
     /*  445433 */     // No operand predicates
     /*  445433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445465 */     GIR_RootConstrainSelectedInstOperands,
     /*  445466 */     // GIR_Coverage, 6371,
     /*  445466 */     GIR_EraseRootFromParent_Done,
     /*  445467 */   // Label 7685: @445467
     /*  445467 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(445553), // Rule ID 6374 //
     /*  445472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445519 */     // MIs[1] Operand 1
     /*  445519 */     // No operand predicates
     /*  445519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445551 */     GIR_RootConstrainSelectedInstOperands,
     /*  445552 */     // GIR_Coverage, 6374,
     /*  445552 */     GIR_EraseRootFromParent_Done,
     /*  445553 */   // Label 7686: @445553
     /*  445553 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(445639), // Rule ID 6375 //
     /*  445558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445605 */     // MIs[1] Operand 1
     /*  445605 */     // No operand predicates
     /*  445605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445637 */     GIR_RootConstrainSelectedInstOperands,
     /*  445638 */     // GIR_Coverage, 6375,
     /*  445638 */     GIR_EraseRootFromParent_Done,
     /*  445639 */   // Label 7687: @445639
     /*  445639 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(445725), // Rule ID 6378 //
     /*  445644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445691 */     // MIs[1] Operand 1
     /*  445691 */     // No operand predicates
     /*  445691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445723 */     GIR_RootConstrainSelectedInstOperands,
     /*  445724 */     // GIR_Coverage, 6378,
     /*  445724 */     GIR_EraseRootFromParent_Done,
     /*  445725 */   // Label 7688: @445725
     /*  445725 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(445811), // Rule ID 6379 //
     /*  445730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445777 */     // MIs[1] Operand 1
     /*  445777 */     // No operand predicates
     /*  445777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445809 */     GIR_RootConstrainSelectedInstOperands,
     /*  445810 */     // GIR_Coverage, 6379,
     /*  445810 */     GIR_EraseRootFromParent_Done,
     /*  445811 */   // Label 7689: @445811
     /*  445811 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(445897), // Rule ID 6382 //
     /*  445816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445863 */     // MIs[1] Operand 1
     /*  445863 */     // No operand predicates
     /*  445863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445895 */     GIR_RootConstrainSelectedInstOperands,
     /*  445896 */     // GIR_Coverage, 6382,
     /*  445896 */     GIR_EraseRootFromParent_Done,
     /*  445897 */   // Label 7690: @445897
     /*  445897 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(445983), // Rule ID 6383 //
     /*  445902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445949 */     // MIs[1] Operand 1
     /*  445949 */     // No operand predicates
     /*  445949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445981 */     GIR_RootConstrainSelectedInstOperands,
     /*  445982 */     // GIR_Coverage, 6383,
     /*  445982 */     GIR_EraseRootFromParent_Done,
     /*  445983 */   // Label 7691: @445983
     /*  445983 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(446069), // Rule ID 6386 //
     /*  445988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446035 */     // MIs[1] Operand 1
     /*  446035 */     // No operand predicates
     /*  446035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446067 */     GIR_RootConstrainSelectedInstOperands,
     /*  446068 */     // GIR_Coverage, 6386,
     /*  446068 */     GIR_EraseRootFromParent_Done,
     /*  446069 */   // Label 7692: @446069
     /*  446069 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446155), // Rule ID 6387 //
     /*  446074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446121 */     // MIs[1] Operand 1
     /*  446121 */     // No operand predicates
     /*  446121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446153 */     GIR_RootConstrainSelectedInstOperands,
     /*  446154 */     // GIR_Coverage, 6387,
     /*  446154 */     GIR_EraseRootFromParent_Done,
     /*  446155 */   // Label 7693: @446155
     /*  446155 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(446241), // Rule ID 6390 //
     /*  446160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446207 */     // MIs[1] Operand 1
     /*  446207 */     // No operand predicates
     /*  446207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446239 */     GIR_RootConstrainSelectedInstOperands,
     /*  446240 */     // GIR_Coverage, 6390,
     /*  446240 */     GIR_EraseRootFromParent_Done,
     /*  446241 */   // Label 7694: @446241
     /*  446241 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(446327), // Rule ID 6391 //
     /*  446246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446293 */     // MIs[1] Operand 1
     /*  446293 */     // No operand predicates
     /*  446293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446325 */     GIR_RootConstrainSelectedInstOperands,
     /*  446326 */     // GIR_Coverage, 6391,
     /*  446326 */     GIR_EraseRootFromParent_Done,
     /*  446327 */   // Label 7695: @446327
     /*  446327 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(446413), // Rule ID 6394 //
     /*  446332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446379 */     // MIs[1] Operand 1
     /*  446379 */     // No operand predicates
     /*  446379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446411 */     GIR_RootConstrainSelectedInstOperands,
     /*  446412 */     // GIR_Coverage, 6394,
     /*  446412 */     GIR_EraseRootFromParent_Done,
     /*  446413 */   // Label 7696: @446413
     /*  446413 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(446499), // Rule ID 6395 //
     /*  446418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446465 */     // MIs[1] Operand 1
     /*  446465 */     // No operand predicates
     /*  446465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446497 */     GIR_RootConstrainSelectedInstOperands,
     /*  446498 */     // GIR_Coverage, 6395,
     /*  446498 */     GIR_EraseRootFromParent_Done,
     /*  446499 */   // Label 7697: @446499
     /*  446499 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(446585), // Rule ID 6398 //
     /*  446504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446551 */     // MIs[1] Operand 1
     /*  446551 */     // No operand predicates
     /*  446551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446583 */     GIR_RootConstrainSelectedInstOperands,
     /*  446584 */     // GIR_Coverage, 6398,
     /*  446584 */     GIR_EraseRootFromParent_Done,
     /*  446585 */   // Label 7698: @446585
     /*  446585 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(446671), // Rule ID 6399 //
     /*  446590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446637 */     // MIs[1] Operand 1
     /*  446637 */     // No operand predicates
     /*  446637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446669 */     GIR_RootConstrainSelectedInstOperands,
     /*  446670 */     // GIR_Coverage, 6399,
     /*  446670 */     GIR_EraseRootFromParent_Done,
     /*  446671 */   // Label 7699: @446671
     /*  446671 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(446757), // Rule ID 6402 //
     /*  446676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446723 */     // MIs[1] Operand 1
     /*  446723 */     // No operand predicates
     /*  446723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446755 */     GIR_RootConstrainSelectedInstOperands,
     /*  446756 */     // GIR_Coverage, 6402,
     /*  446756 */     GIR_EraseRootFromParent_Done,
     /*  446757 */   // Label 7700: @446757
     /*  446757 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(446843), // Rule ID 6403 //
     /*  446762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446809 */     // MIs[1] Operand 1
     /*  446809 */     // No operand predicates
     /*  446809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446841 */     GIR_RootConstrainSelectedInstOperands,
     /*  446842 */     // GIR_Coverage, 6403,
     /*  446842 */     GIR_EraseRootFromParent_Done,
     /*  446843 */   // Label 7701: @446843
     /*  446843 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(446929), // Rule ID 6406 //
     /*  446848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446895 */     // MIs[1] Operand 1
     /*  446895 */     // No operand predicates
     /*  446895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446927 */     GIR_RootConstrainSelectedInstOperands,
     /*  446928 */     // GIR_Coverage, 6406,
     /*  446928 */     GIR_EraseRootFromParent_Done,
     /*  446929 */   // Label 7702: @446929
     /*  446929 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(447015), // Rule ID 6407 //
     /*  446934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446981 */     // MIs[1] Operand 1
     /*  446981 */     // No operand predicates
     /*  446981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446990 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447013 */     GIR_RootConstrainSelectedInstOperands,
     /*  447014 */     // GIR_Coverage, 6407,
     /*  447014 */     GIR_EraseRootFromParent_Done,
     /*  447015 */   // Label 7703: @447015
     /*  447015 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447101), // Rule ID 6410 //
     /*  447020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447067 */     // MIs[1] Operand 1
     /*  447067 */     // No operand predicates
     /*  447067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447099 */     GIR_RootConstrainSelectedInstOperands,
     /*  447100 */     // GIR_Coverage, 6410,
     /*  447100 */     GIR_EraseRootFromParent_Done,
     /*  447101 */   // Label 7704: @447101
     /*  447101 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447187), // Rule ID 6411 //
     /*  447106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447153 */     // MIs[1] Operand 1
     /*  447153 */     // No operand predicates
     /*  447153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447185 */     GIR_RootConstrainSelectedInstOperands,
     /*  447186 */     // GIR_Coverage, 6411,
     /*  447186 */     GIR_EraseRootFromParent_Done,
     /*  447187 */   // Label 7705: @447187
     /*  447187 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(447273), // Rule ID 6414 //
     /*  447192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447239 */     // MIs[1] Operand 1
     /*  447239 */     // No operand predicates
     /*  447239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447271 */     GIR_RootConstrainSelectedInstOperands,
     /*  447272 */     // GIR_Coverage, 6414,
     /*  447272 */     GIR_EraseRootFromParent_Done,
     /*  447273 */   // Label 7706: @447273
     /*  447273 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(447359), // Rule ID 6415 //
     /*  447278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447325 */     // MIs[1] Operand 1
     /*  447325 */     // No operand predicates
     /*  447325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447357 */     GIR_RootConstrainSelectedInstOperands,
     /*  447358 */     // GIR_Coverage, 6415,
     /*  447358 */     GIR_EraseRootFromParent_Done,
     /*  447359 */   // Label 7707: @447359
     /*  447359 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(447445), // Rule ID 6418 //
     /*  447364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447411 */     // MIs[1] Operand 1
     /*  447411 */     // No operand predicates
     /*  447411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447420 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447443 */     GIR_RootConstrainSelectedInstOperands,
     /*  447444 */     // GIR_Coverage, 6418,
     /*  447444 */     GIR_EraseRootFromParent_Done,
     /*  447445 */   // Label 7708: @447445
     /*  447445 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(447531), // Rule ID 6419 //
     /*  447450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447497 */     // MIs[1] Operand 1
     /*  447497 */     // No operand predicates
     /*  447497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447529 */     GIR_RootConstrainSelectedInstOperands,
     /*  447530 */     // GIR_Coverage, 6419,
     /*  447530 */     GIR_EraseRootFromParent_Done,
     /*  447531 */   // Label 7709: @447531
     /*  447531 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(447617), // Rule ID 6422 //
     /*  447536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447583 */     // MIs[1] Operand 1
     /*  447583 */     // No operand predicates
     /*  447583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447615 */     GIR_RootConstrainSelectedInstOperands,
     /*  447616 */     // GIR_Coverage, 6422,
     /*  447616 */     GIR_EraseRootFromParent_Done,
     /*  447617 */   // Label 7710: @447617
     /*  447617 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(447703), // Rule ID 6423 //
     /*  447622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447669 */     // MIs[1] Operand 1
     /*  447669 */     // No operand predicates
     /*  447669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447701 */     GIR_RootConstrainSelectedInstOperands,
     /*  447702 */     // GIR_Coverage, 6423,
     /*  447702 */     GIR_EraseRootFromParent_Done,
     /*  447703 */   // Label 7711: @447703
     /*  447703 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(447789), // Rule ID 6426 //
     /*  447708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447755 */     // MIs[1] Operand 1
     /*  447755 */     // No operand predicates
     /*  447755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447787 */     GIR_RootConstrainSelectedInstOperands,
     /*  447788 */     // GIR_Coverage, 6426,
     /*  447788 */     GIR_EraseRootFromParent_Done,
     /*  447789 */   // Label 7712: @447789
     /*  447789 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(447875), // Rule ID 6427 //
     /*  447794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447841 */     // MIs[1] Operand 1
     /*  447841 */     // No operand predicates
     /*  447841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447873 */     GIR_RootConstrainSelectedInstOperands,
     /*  447874 */     // GIR_Coverage, 6427,
     /*  447874 */     GIR_EraseRootFromParent_Done,
     /*  447875 */   // Label 7713: @447875
     /*  447875 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(447961), // Rule ID 6430 //
     /*  447880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447927 */     // MIs[1] Operand 1
     /*  447927 */     // No operand predicates
     /*  447927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447959 */     GIR_RootConstrainSelectedInstOperands,
     /*  447960 */     // GIR_Coverage, 6430,
     /*  447960 */     GIR_EraseRootFromParent_Done,
     /*  447961 */   // Label 7714: @447961
     /*  447961 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(448047), // Rule ID 6431 //
     /*  447966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448013 */     // MIs[1] Operand 1
     /*  448013 */     // No operand predicates
     /*  448013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448045 */     GIR_RootConstrainSelectedInstOperands,
     /*  448046 */     // GIR_Coverage, 6431,
     /*  448046 */     GIR_EraseRootFromParent_Done,
     /*  448047 */   // Label 7715: @448047
     /*  448047 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448133), // Rule ID 6434 //
     /*  448052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448099 */     // MIs[1] Operand 1
     /*  448099 */     // No operand predicates
     /*  448099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448131 */     GIR_RootConstrainSelectedInstOperands,
     /*  448132 */     // GIR_Coverage, 6434,
     /*  448132 */     GIR_EraseRootFromParent_Done,
     /*  448133 */   // Label 7716: @448133
     /*  448133 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(448219), // Rule ID 6435 //
     /*  448138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448185 */     // MIs[1] Operand 1
     /*  448185 */     // No operand predicates
     /*  448185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448217 */     GIR_RootConstrainSelectedInstOperands,
     /*  448218 */     // GIR_Coverage, 6435,
     /*  448218 */     GIR_EraseRootFromParent_Done,
     /*  448219 */   // Label 7717: @448219
     /*  448219 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(448305), // Rule ID 6438 //
     /*  448224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448271 */     // MIs[1] Operand 1
     /*  448271 */     // No operand predicates
     /*  448271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448303 */     GIR_RootConstrainSelectedInstOperands,
     /*  448304 */     // GIR_Coverage, 6438,
     /*  448304 */     GIR_EraseRootFromParent_Done,
     /*  448305 */   // Label 7718: @448305
     /*  448305 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(448391), // Rule ID 6439 //
     /*  448310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448357 */     // MIs[1] Operand 1
     /*  448357 */     // No operand predicates
     /*  448357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448366 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448389 */     GIR_RootConstrainSelectedInstOperands,
     /*  448390 */     // GIR_Coverage, 6439,
     /*  448390 */     GIR_EraseRootFromParent_Done,
     /*  448391 */   // Label 7719: @448391
     /*  448391 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(448477), // Rule ID 6442 //
     /*  448396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448443 */     // MIs[1] Operand 1
     /*  448443 */     // No operand predicates
     /*  448443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448475 */     GIR_RootConstrainSelectedInstOperands,
     /*  448476 */     // GIR_Coverage, 6442,
     /*  448476 */     GIR_EraseRootFromParent_Done,
     /*  448477 */   // Label 7720: @448477
     /*  448477 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(448563), // Rule ID 6443 //
     /*  448482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448529 */     // MIs[1] Operand 1
     /*  448529 */     // No operand predicates
     /*  448529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448561 */     GIR_RootConstrainSelectedInstOperands,
     /*  448562 */     // GIR_Coverage, 6443,
     /*  448562 */     GIR_EraseRootFromParent_Done,
     /*  448563 */   // Label 7721: @448563
     /*  448563 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(448649), // Rule ID 6622 //
     /*  448568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448615 */     // MIs[1] Operand 1
     /*  448615 */     // No operand predicates
     /*  448615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448647 */     GIR_RootConstrainSelectedInstOperands,
     /*  448648 */     // GIR_Coverage, 6622,
     /*  448648 */     GIR_EraseRootFromParent_Done,
     /*  448649 */   // Label 7722: @448649
     /*  448649 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(448735), // Rule ID 6623 //
     /*  448654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448701 */     // MIs[1] Operand 1
     /*  448701 */     // No operand predicates
     /*  448701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448733 */     GIR_RootConstrainSelectedInstOperands,
     /*  448734 */     // GIR_Coverage, 6623,
     /*  448734 */     GIR_EraseRootFromParent_Done,
     /*  448735 */   // Label 7723: @448735
     /*  448735 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(448821), // Rule ID 6626 //
     /*  448740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448787 */     // MIs[1] Operand 1
     /*  448787 */     // No operand predicates
     /*  448787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448819 */     GIR_RootConstrainSelectedInstOperands,
     /*  448820 */     // GIR_Coverage, 6626,
     /*  448820 */     GIR_EraseRootFromParent_Done,
     /*  448821 */   // Label 7724: @448821
     /*  448821 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(448907), // Rule ID 6627 //
     /*  448826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448873 */     // MIs[1] Operand 1
     /*  448873 */     // No operand predicates
     /*  448873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448905 */     GIR_RootConstrainSelectedInstOperands,
     /*  448906 */     // GIR_Coverage, 6627,
     /*  448906 */     GIR_EraseRootFromParent_Done,
     /*  448907 */   // Label 7725: @448907
     /*  448907 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(448993), // Rule ID 6630 //
     /*  448912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448959 */     // MIs[1] Operand 1
     /*  448959 */     // No operand predicates
     /*  448959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448968 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448991 */     GIR_RootConstrainSelectedInstOperands,
     /*  448992 */     // GIR_Coverage, 6630,
     /*  448992 */     GIR_EraseRootFromParent_Done,
     /*  448993 */   // Label 7726: @448993
     /*  448993 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(449079), // Rule ID 6631 //
     /*  448998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449045 */     // MIs[1] Operand 1
     /*  449045 */     // No operand predicates
     /*  449045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449077 */     GIR_RootConstrainSelectedInstOperands,
     /*  449078 */     // GIR_Coverage, 6631,
     /*  449078 */     GIR_EraseRootFromParent_Done,
     /*  449079 */   // Label 7727: @449079
     /*  449079 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449165), // Rule ID 6634 //
     /*  449084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449131 */     // MIs[1] Operand 1
     /*  449131 */     // No operand predicates
     /*  449131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449163 */     GIR_RootConstrainSelectedInstOperands,
     /*  449164 */     // GIR_Coverage, 6634,
     /*  449164 */     GIR_EraseRootFromParent_Done,
     /*  449165 */   // Label 7728: @449165
     /*  449165 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(449251), // Rule ID 6635 //
     /*  449170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449217 */     // MIs[1] Operand 1
     /*  449217 */     // No operand predicates
     /*  449217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449249 */     GIR_RootConstrainSelectedInstOperands,
     /*  449250 */     // GIR_Coverage, 6635,
     /*  449250 */     GIR_EraseRootFromParent_Done,
     /*  449251 */   // Label 7729: @449251
     /*  449251 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(449337), // Rule ID 6638 //
     /*  449256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449303 */     // MIs[1] Operand 1
     /*  449303 */     // No operand predicates
     /*  449303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449335 */     GIR_RootConstrainSelectedInstOperands,
     /*  449336 */     // GIR_Coverage, 6638,
     /*  449336 */     GIR_EraseRootFromParent_Done,
     /*  449337 */   // Label 7730: @449337
     /*  449337 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(449423), // Rule ID 6639 //
     /*  449342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449389 */     // MIs[1] Operand 1
     /*  449389 */     // No operand predicates
     /*  449389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449421 */     GIR_RootConstrainSelectedInstOperands,
     /*  449422 */     // GIR_Coverage, 6639,
     /*  449422 */     GIR_EraseRootFromParent_Done,
     /*  449423 */   // Label 7731: @449423
     /*  449423 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(449509), // Rule ID 6642 //
     /*  449428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449475 */     // MIs[1] Operand 1
     /*  449475 */     // No operand predicates
     /*  449475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449507 */     GIR_RootConstrainSelectedInstOperands,
     /*  449508 */     // GIR_Coverage, 6642,
     /*  449508 */     GIR_EraseRootFromParent_Done,
     /*  449509 */   // Label 7732: @449509
     /*  449509 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(449595), // Rule ID 6643 //
     /*  449514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449561 */     // MIs[1] Operand 1
     /*  449561 */     // No operand predicates
     /*  449561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449593 */     GIR_RootConstrainSelectedInstOperands,
     /*  449594 */     // GIR_Coverage, 6643,
     /*  449594 */     GIR_EraseRootFromParent_Done,
     /*  449595 */   // Label 7733: @449595
     /*  449595 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(449681), // Rule ID 6646 //
     /*  449600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449647 */     // MIs[1] Operand 1
     /*  449647 */     // No operand predicates
     /*  449647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449679 */     GIR_RootConstrainSelectedInstOperands,
     /*  449680 */     // GIR_Coverage, 6646,
     /*  449680 */     GIR_EraseRootFromParent_Done,
     /*  449681 */   // Label 7734: @449681
     /*  449681 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(449767), // Rule ID 6647 //
     /*  449686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449733 */     // MIs[1] Operand 1
     /*  449733 */     // No operand predicates
     /*  449733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449765 */     GIR_RootConstrainSelectedInstOperands,
     /*  449766 */     // GIR_Coverage, 6647,
     /*  449766 */     GIR_EraseRootFromParent_Done,
     /*  449767 */   // Label 7735: @449767
     /*  449767 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(449853), // Rule ID 6650 //
     /*  449772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449819 */     // MIs[1] Operand 1
     /*  449819 */     // No operand predicates
     /*  449819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449851 */     GIR_RootConstrainSelectedInstOperands,
     /*  449852 */     // GIR_Coverage, 6650,
     /*  449852 */     GIR_EraseRootFromParent_Done,
     /*  449853 */   // Label 7736: @449853
     /*  449853 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(449939), // Rule ID 6651 //
     /*  449858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449905 */     // MIs[1] Operand 1
     /*  449905 */     // No operand predicates
     /*  449905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449937 */     GIR_RootConstrainSelectedInstOperands,
     /*  449938 */     // GIR_Coverage, 6651,
     /*  449938 */     GIR_EraseRootFromParent_Done,
     /*  449939 */   // Label 7737: @449939
     /*  449939 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(450025), // Rule ID 6654 //
     /*  449944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449991 */     // MIs[1] Operand 1
     /*  449991 */     // No operand predicates
     /*  449991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450023 */     GIR_RootConstrainSelectedInstOperands,
     /*  450024 */     // GIR_Coverage, 6654,
     /*  450024 */     GIR_EraseRootFromParent_Done,
     /*  450025 */   // Label 7738: @450025
     /*  450025 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450111), // Rule ID 6655 //
     /*  450030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450077 */     // MIs[1] Operand 1
     /*  450077 */     // No operand predicates
     /*  450077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450109 */     GIR_RootConstrainSelectedInstOperands,
     /*  450110 */     // GIR_Coverage, 6655,
     /*  450110 */     GIR_EraseRootFromParent_Done,
     /*  450111 */   // Label 7739: @450111
     /*  450111 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450197), // Rule ID 6658 //
     /*  450116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450163 */     // MIs[1] Operand 1
     /*  450163 */     // No operand predicates
     /*  450163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450195 */     GIR_RootConstrainSelectedInstOperands,
     /*  450196 */     // GIR_Coverage, 6658,
     /*  450196 */     GIR_EraseRootFromParent_Done,
     /*  450197 */   // Label 7740: @450197
     /*  450197 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(450283), // Rule ID 6659 //
     /*  450202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450249 */     // MIs[1] Operand 1
     /*  450249 */     // No operand predicates
     /*  450249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450281 */     GIR_RootConstrainSelectedInstOperands,
     /*  450282 */     // GIR_Coverage, 6659,
     /*  450282 */     GIR_EraseRootFromParent_Done,
     /*  450283 */   // Label 7741: @450283
     /*  450283 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(450369), // Rule ID 6662 //
     /*  450288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450335 */     // MIs[1] Operand 1
     /*  450335 */     // No operand predicates
     /*  450335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450367 */     GIR_RootConstrainSelectedInstOperands,
     /*  450368 */     // GIR_Coverage, 6662,
     /*  450368 */     GIR_EraseRootFromParent_Done,
     /*  450369 */   // Label 7742: @450369
     /*  450369 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(450455), // Rule ID 6663 //
     /*  450374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450421 */     // MIs[1] Operand 1
     /*  450421 */     // No operand predicates
     /*  450421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450453 */     GIR_RootConstrainSelectedInstOperands,
     /*  450454 */     // GIR_Coverage, 6663,
     /*  450454 */     GIR_EraseRootFromParent_Done,
     /*  450455 */   // Label 7743: @450455
     /*  450455 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(450541), // Rule ID 6666 //
     /*  450460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450507 */     // MIs[1] Operand 1
     /*  450507 */     // No operand predicates
     /*  450507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450539 */     GIR_RootConstrainSelectedInstOperands,
     /*  450540 */     // GIR_Coverage, 6666,
     /*  450540 */     GIR_EraseRootFromParent_Done,
     /*  450541 */   // Label 7744: @450541
     /*  450541 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(450627), // Rule ID 6667 //
     /*  450546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450593 */     // MIs[1] Operand 1
     /*  450593 */     // No operand predicates
     /*  450593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450602 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450625 */     GIR_RootConstrainSelectedInstOperands,
     /*  450626 */     // GIR_Coverage, 6667,
     /*  450626 */     GIR_EraseRootFromParent_Done,
     /*  450627 */   // Label 7745: @450627
     /*  450627 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(450713), // Rule ID 6670 //
     /*  450632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450679 */     // MIs[1] Operand 1
     /*  450679 */     // No operand predicates
     /*  450679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450711 */     GIR_RootConstrainSelectedInstOperands,
     /*  450712 */     // GIR_Coverage, 6670,
     /*  450712 */     GIR_EraseRootFromParent_Done,
     /*  450713 */   // Label 7746: @450713
     /*  450713 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(450799), // Rule ID 6671 //
     /*  450718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450765 */     // MIs[1] Operand 1
     /*  450765 */     // No operand predicates
     /*  450765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450774 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450797 */     GIR_RootConstrainSelectedInstOperands,
     /*  450798 */     // GIR_Coverage, 6671,
     /*  450798 */     GIR_EraseRootFromParent_Done,
     /*  450799 */   // Label 7747: @450799
     /*  450799 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(450885), // Rule ID 6674 //
     /*  450804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450851 */     // MIs[1] Operand 1
     /*  450851 */     // No operand predicates
     /*  450851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450883 */     GIR_RootConstrainSelectedInstOperands,
     /*  450884 */     // GIR_Coverage, 6674,
     /*  450884 */     GIR_EraseRootFromParent_Done,
     /*  450885 */   // Label 7748: @450885
     /*  450885 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(450971), // Rule ID 6675 //
     /*  450890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450937 */     // MIs[1] Operand 1
     /*  450937 */     // No operand predicates
     /*  450937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450969 */     GIR_RootConstrainSelectedInstOperands,
     /*  450970 */     // GIR_Coverage, 6675,
     /*  450970 */     GIR_EraseRootFromParent_Done,
     /*  450971 */   // Label 7749: @450971
     /*  450971 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(451057), // Rule ID 6678 //
     /*  450976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  450993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451023 */     // MIs[1] Operand 1
     /*  451023 */     // No operand predicates
     /*  451023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451055 */     GIR_RootConstrainSelectedInstOperands,
     /*  451056 */     // GIR_Coverage, 6678,
     /*  451056 */     GIR_EraseRootFromParent_Done,
     /*  451057 */   // Label 7750: @451057
     /*  451057 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451143), // Rule ID 6679 //
     /*  451062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451109 */     // MIs[1] Operand 1
     /*  451109 */     // No operand predicates
     /*  451109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451141 */     GIR_RootConstrainSelectedInstOperands,
     /*  451142 */     // GIR_Coverage, 6679,
     /*  451142 */     GIR_EraseRootFromParent_Done,
     /*  451143 */   // Label 7751: @451143
     /*  451143 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(451229), // Rule ID 6682 //
     /*  451148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451195 */     // MIs[1] Operand 1
     /*  451195 */     // No operand predicates
     /*  451195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451227 */     GIR_RootConstrainSelectedInstOperands,
     /*  451228 */     // GIR_Coverage, 6682,
     /*  451228 */     GIR_EraseRootFromParent_Done,
     /*  451229 */   // Label 7752: @451229
     /*  451229 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(451315), // Rule ID 6683 //
     /*  451234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451281 */     // MIs[1] Operand 1
     /*  451281 */     // No operand predicates
     /*  451281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451313 */     GIR_RootConstrainSelectedInstOperands,
     /*  451314 */     // GIR_Coverage, 6683,
     /*  451314 */     GIR_EraseRootFromParent_Done,
     /*  451315 */   // Label 7753: @451315
     /*  451315 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(451401), // Rule ID 6686 //
     /*  451320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451367 */     // MIs[1] Operand 1
     /*  451367 */     // No operand predicates
     /*  451367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451399 */     GIR_RootConstrainSelectedInstOperands,
     /*  451400 */     // GIR_Coverage, 6686,
     /*  451400 */     GIR_EraseRootFromParent_Done,
     /*  451401 */   // Label 7754: @451401
     /*  451401 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(451487), // Rule ID 6687 //
     /*  451406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451453 */     // MIs[1] Operand 1
     /*  451453 */     // No operand predicates
     /*  451453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451485 */     GIR_RootConstrainSelectedInstOperands,
     /*  451486 */     // GIR_Coverage, 6687,
     /*  451486 */     GIR_EraseRootFromParent_Done,
     /*  451487 */   // Label 7755: @451487
     /*  451487 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(451573), // Rule ID 6690 //
     /*  451492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451539 */     // MIs[1] Operand 1
     /*  451539 */     // No operand predicates
     /*  451539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451571 */     GIR_RootConstrainSelectedInstOperands,
     /*  451572 */     // GIR_Coverage, 6690,
     /*  451572 */     GIR_EraseRootFromParent_Done,
     /*  451573 */   // Label 7756: @451573
     /*  451573 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(451659), // Rule ID 6691 //
     /*  451578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451625 */     // MIs[1] Operand 1
     /*  451625 */     // No operand predicates
     /*  451625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451657 */     GIR_RootConstrainSelectedInstOperands,
     /*  451658 */     // GIR_Coverage, 6691,
     /*  451658 */     GIR_EraseRootFromParent_Done,
     /*  451659 */   // Label 7757: @451659
     /*  451659 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(451745), // Rule ID 6694 //
     /*  451664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451711 */     // MIs[1] Operand 1
     /*  451711 */     // No operand predicates
     /*  451711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451743 */     GIR_RootConstrainSelectedInstOperands,
     /*  451744 */     // GIR_Coverage, 6694,
     /*  451744 */     GIR_EraseRootFromParent_Done,
     /*  451745 */   // Label 7758: @451745
     /*  451745 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(451831), // Rule ID 6695 //
     /*  451750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451797 */     // MIs[1] Operand 1
     /*  451797 */     // No operand predicates
     /*  451797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451829 */     GIR_RootConstrainSelectedInstOperands,
     /*  451830 */     // GIR_Coverage, 6695,
     /*  451830 */     GIR_EraseRootFromParent_Done,
     /*  451831 */   // Label 7759: @451831
     /*  451831 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(451917), // Rule ID 6698 //
     /*  451836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451883 */     // MIs[1] Operand 1
     /*  451883 */     // No operand predicates
     /*  451883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451915 */     GIR_RootConstrainSelectedInstOperands,
     /*  451916 */     // GIR_Coverage, 6698,
     /*  451916 */     GIR_EraseRootFromParent_Done,
     /*  451917 */   // Label 7760: @451917
     /*  451917 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(452003), // Rule ID 6699 //
     /*  451922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451969 */     // MIs[1] Operand 1
     /*  451969 */     // No operand predicates
     /*  451969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452001 */     GIR_RootConstrainSelectedInstOperands,
     /*  452002 */     // GIR_Coverage, 6699,
     /*  452002 */     GIR_EraseRootFromParent_Done,
     /*  452003 */   // Label 7761: @452003
     /*  452003 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452089), // Rule ID 6702 //
     /*  452008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452055 */     // MIs[1] Operand 1
     /*  452055 */     // No operand predicates
     /*  452055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452087 */     GIR_RootConstrainSelectedInstOperands,
     /*  452088 */     // GIR_Coverage, 6702,
     /*  452088 */     GIR_EraseRootFromParent_Done,
     /*  452089 */   // Label 7762: @452089
     /*  452089 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452175), // Rule ID 6703 //
     /*  452094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452141 */     // MIs[1] Operand 1
     /*  452141 */     // No operand predicates
     /*  452141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452150 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452173 */     GIR_RootConstrainSelectedInstOperands,
     /*  452174 */     // GIR_Coverage, 6703,
     /*  452174 */     GIR_EraseRootFromParent_Done,
     /*  452175 */   // Label 7763: @452175
     /*  452175 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(452261), // Rule ID 6706 //
     /*  452180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452227 */     // MIs[1] Operand 1
     /*  452227 */     // No operand predicates
     /*  452227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452259 */     GIR_RootConstrainSelectedInstOperands,
     /*  452260 */     // GIR_Coverage, 6706,
     /*  452260 */     GIR_EraseRootFromParent_Done,
     /*  452261 */   // Label 7764: @452261
     /*  452261 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(452347), // Rule ID 6707 //
     /*  452266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452313 */     // MIs[1] Operand 1
     /*  452313 */     // No operand predicates
     /*  452313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452345 */     GIR_RootConstrainSelectedInstOperands,
     /*  452346 */     // GIR_Coverage, 6707,
     /*  452346 */     GIR_EraseRootFromParent_Done,
     /*  452347 */   // Label 7765: @452347
     /*  452347 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(452433), // Rule ID 6886 //
     /*  452352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452399 */     // MIs[1] Operand 1
     /*  452399 */     // No operand predicates
     /*  452399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452431 */     GIR_RootConstrainSelectedInstOperands,
     /*  452432 */     // GIR_Coverage, 6886,
     /*  452432 */     GIR_EraseRootFromParent_Done,
     /*  452433 */   // Label 7766: @452433
     /*  452433 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(452519), // Rule ID 6887 //
     /*  452438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452485 */     // MIs[1] Operand 1
     /*  452485 */     // No operand predicates
     /*  452485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452517 */     GIR_RootConstrainSelectedInstOperands,
     /*  452518 */     // GIR_Coverage, 6887,
     /*  452518 */     GIR_EraseRootFromParent_Done,
     /*  452519 */   // Label 7767: @452519
     /*  452519 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(452605), // Rule ID 6890 //
     /*  452524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452571 */     // MIs[1] Operand 1
     /*  452571 */     // No operand predicates
     /*  452571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452603 */     GIR_RootConstrainSelectedInstOperands,
     /*  452604 */     // GIR_Coverage, 6890,
     /*  452604 */     GIR_EraseRootFromParent_Done,
     /*  452605 */   // Label 7768: @452605
     /*  452605 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(452691), // Rule ID 6891 //
     /*  452610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452657 */     // MIs[1] Operand 1
     /*  452657 */     // No operand predicates
     /*  452657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452689 */     GIR_RootConstrainSelectedInstOperands,
     /*  452690 */     // GIR_Coverage, 6891,
     /*  452690 */     GIR_EraseRootFromParent_Done,
     /*  452691 */   // Label 7769: @452691
     /*  452691 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(452777), // Rule ID 6894 //
     /*  452696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452743 */     // MIs[1] Operand 1
     /*  452743 */     // No operand predicates
     /*  452743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452775 */     GIR_RootConstrainSelectedInstOperands,
     /*  452776 */     // GIR_Coverage, 6894,
     /*  452776 */     GIR_EraseRootFromParent_Done,
     /*  452777 */   // Label 7770: @452777
     /*  452777 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(452863), // Rule ID 6895 //
     /*  452782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452829 */     // MIs[1] Operand 1
     /*  452829 */     // No operand predicates
     /*  452829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452838 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452861 */     GIR_RootConstrainSelectedInstOperands,
     /*  452862 */     // GIR_Coverage, 6895,
     /*  452862 */     GIR_EraseRootFromParent_Done,
     /*  452863 */   // Label 7771: @452863
     /*  452863 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(452949), // Rule ID 6898 //
     /*  452868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452915 */     // MIs[1] Operand 1
     /*  452915 */     // No operand predicates
     /*  452915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452947 */     GIR_RootConstrainSelectedInstOperands,
     /*  452948 */     // GIR_Coverage, 6898,
     /*  452948 */     GIR_EraseRootFromParent_Done,
     /*  452949 */   // Label 7772: @452949
     /*  452949 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(453035), // Rule ID 6899 //
     /*  452954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453001 */     // MIs[1] Operand 1
     /*  453001 */     // No operand predicates
     /*  453001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453033 */     GIR_RootConstrainSelectedInstOperands,
     /*  453034 */     // GIR_Coverage, 6899,
     /*  453034 */     GIR_EraseRootFromParent_Done,
     /*  453035 */   // Label 7773: @453035
     /*  453035 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453121), // Rule ID 6902 //
     /*  453040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453087 */     // MIs[1] Operand 1
     /*  453087 */     // No operand predicates
     /*  453087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453119 */     GIR_RootConstrainSelectedInstOperands,
     /*  453120 */     // GIR_Coverage, 6902,
     /*  453120 */     GIR_EraseRootFromParent_Done,
     /*  453121 */   // Label 7774: @453121
     /*  453121 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453207), // Rule ID 6903 //
     /*  453126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453173 */     // MIs[1] Operand 1
     /*  453173 */     // No operand predicates
     /*  453173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453205 */     GIR_RootConstrainSelectedInstOperands,
     /*  453206 */     // GIR_Coverage, 6903,
     /*  453206 */     GIR_EraseRootFromParent_Done,
     /*  453207 */   // Label 7775: @453207
     /*  453207 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(453293), // Rule ID 6906 //
     /*  453212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453259 */     // MIs[1] Operand 1
     /*  453259 */     // No operand predicates
     /*  453259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453291 */     GIR_RootConstrainSelectedInstOperands,
     /*  453292 */     // GIR_Coverage, 6906,
     /*  453292 */     GIR_EraseRootFromParent_Done,
     /*  453293 */   // Label 7776: @453293
     /*  453293 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(453379), // Rule ID 6907 //
     /*  453298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453345 */     // MIs[1] Operand 1
     /*  453345 */     // No operand predicates
     /*  453345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453377 */     GIR_RootConstrainSelectedInstOperands,
     /*  453378 */     // GIR_Coverage, 6907,
     /*  453378 */     GIR_EraseRootFromParent_Done,
     /*  453379 */   // Label 7777: @453379
     /*  453379 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(453465), // Rule ID 6910 //
     /*  453384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453431 */     // MIs[1] Operand 1
     /*  453431 */     // No operand predicates
     /*  453431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453463 */     GIR_RootConstrainSelectedInstOperands,
     /*  453464 */     // GIR_Coverage, 6910,
     /*  453464 */     GIR_EraseRootFromParent_Done,
     /*  453465 */   // Label 7778: @453465
     /*  453465 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(453551), // Rule ID 6911 //
     /*  453470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453517 */     // MIs[1] Operand 1
     /*  453517 */     // No operand predicates
     /*  453517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453549 */     GIR_RootConstrainSelectedInstOperands,
     /*  453550 */     // GIR_Coverage, 6911,
     /*  453550 */     GIR_EraseRootFromParent_Done,
     /*  453551 */   // Label 7779: @453551
     /*  453551 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(453637), // Rule ID 6914 //
     /*  453556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453603 */     // MIs[1] Operand 1
     /*  453603 */     // No operand predicates
     /*  453603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453635 */     GIR_RootConstrainSelectedInstOperands,
     /*  453636 */     // GIR_Coverage, 6914,
     /*  453636 */     GIR_EraseRootFromParent_Done,
     /*  453637 */   // Label 7780: @453637
     /*  453637 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(453723), // Rule ID 6915 //
     /*  453642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453689 */     // MIs[1] Operand 1
     /*  453689 */     // No operand predicates
     /*  453689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453721 */     GIR_RootConstrainSelectedInstOperands,
     /*  453722 */     // GIR_Coverage, 6915,
     /*  453722 */     GIR_EraseRootFromParent_Done,
     /*  453723 */   // Label 7781: @453723
     /*  453723 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(453809), // Rule ID 6918 //
     /*  453728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453775 */     // MIs[1] Operand 1
     /*  453775 */     // No operand predicates
     /*  453775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453807 */     GIR_RootConstrainSelectedInstOperands,
     /*  453808 */     // GIR_Coverage, 6918,
     /*  453808 */     GIR_EraseRootFromParent_Done,
     /*  453809 */   // Label 7782: @453809
     /*  453809 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(453895), // Rule ID 6919 //
     /*  453814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453861 */     // MIs[1] Operand 1
     /*  453861 */     // No operand predicates
     /*  453861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453893 */     GIR_RootConstrainSelectedInstOperands,
     /*  453894 */     // GIR_Coverage, 6919,
     /*  453894 */     GIR_EraseRootFromParent_Done,
     /*  453895 */   // Label 7783: @453895
     /*  453895 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(453981), // Rule ID 6922 //
     /*  453900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453947 */     // MIs[1] Operand 1
     /*  453947 */     // No operand predicates
     /*  453947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453979 */     GIR_RootConstrainSelectedInstOperands,
     /*  453980 */     // GIR_Coverage, 6922,
     /*  453980 */     GIR_EraseRootFromParent_Done,
     /*  453981 */   // Label 7784: @453981
     /*  453981 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(454067), // Rule ID 6923 //
     /*  453986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454033 */     // MIs[1] Operand 1
     /*  454033 */     // No operand predicates
     /*  454033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454065 */     GIR_RootConstrainSelectedInstOperands,
     /*  454066 */     // GIR_Coverage, 6923,
     /*  454066 */     GIR_EraseRootFromParent_Done,
     /*  454067 */   // Label 7785: @454067
     /*  454067 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454153), // Rule ID 6926 //
     /*  454072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454119 */     // MIs[1] Operand 1
     /*  454119 */     // No operand predicates
     /*  454119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454151 */     GIR_RootConstrainSelectedInstOperands,
     /*  454152 */     // GIR_Coverage, 6926,
     /*  454152 */     GIR_EraseRootFromParent_Done,
     /*  454153 */   // Label 7786: @454153
     /*  454153 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(454239), // Rule ID 6927 //
     /*  454158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454205 */     // MIs[1] Operand 1
     /*  454205 */     // No operand predicates
     /*  454205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454237 */     GIR_RootConstrainSelectedInstOperands,
     /*  454238 */     // GIR_Coverage, 6927,
     /*  454238 */     GIR_EraseRootFromParent_Done,
     /*  454239 */   // Label 7787: @454239
     /*  454239 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(454325), // Rule ID 6930 //
     /*  454244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454291 */     // MIs[1] Operand 1
     /*  454291 */     // No operand predicates
     /*  454291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454323 */     GIR_RootConstrainSelectedInstOperands,
     /*  454324 */     // GIR_Coverage, 6930,
     /*  454324 */     GIR_EraseRootFromParent_Done,
     /*  454325 */   // Label 7788: @454325
     /*  454325 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(454411), // Rule ID 6931 //
     /*  454330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454377 */     // MIs[1] Operand 1
     /*  454377 */     // No operand predicates
     /*  454377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454409 */     GIR_RootConstrainSelectedInstOperands,
     /*  454410 */     // GIR_Coverage, 6931,
     /*  454410 */     GIR_EraseRootFromParent_Done,
     /*  454411 */   // Label 7789: @454411
     /*  454411 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(454497), // Rule ID 6934 //
     /*  454416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454463 */     // MIs[1] Operand 1
     /*  454463 */     // No operand predicates
     /*  454463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454495 */     GIR_RootConstrainSelectedInstOperands,
     /*  454496 */     // GIR_Coverage, 6934,
     /*  454496 */     GIR_EraseRootFromParent_Done,
     /*  454497 */   // Label 7790: @454497
     /*  454497 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(454583), // Rule ID 6935 //
     /*  454502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454549 */     // MIs[1] Operand 1
     /*  454549 */     // No operand predicates
     /*  454549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454581 */     GIR_RootConstrainSelectedInstOperands,
     /*  454582 */     // GIR_Coverage, 6935,
     /*  454582 */     GIR_EraseRootFromParent_Done,
     /*  454583 */   // Label 7791: @454583
     /*  454583 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(454669), // Rule ID 6938 //
     /*  454588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454635 */     // MIs[1] Operand 1
     /*  454635 */     // No operand predicates
     /*  454635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454667 */     GIR_RootConstrainSelectedInstOperands,
     /*  454668 */     // GIR_Coverage, 6938,
     /*  454668 */     GIR_EraseRootFromParent_Done,
     /*  454669 */   // Label 7792: @454669
     /*  454669 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(454755), // Rule ID 6939 //
     /*  454674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454721 */     // MIs[1] Operand 1
     /*  454721 */     // No operand predicates
     /*  454721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454753 */     GIR_RootConstrainSelectedInstOperands,
     /*  454754 */     // GIR_Coverage, 6939,
     /*  454754 */     GIR_EraseRootFromParent_Done,
     /*  454755 */   // Label 7793: @454755
     /*  454755 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(454841), // Rule ID 6942 //
     /*  454760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454807 */     // MIs[1] Operand 1
     /*  454807 */     // No operand predicates
     /*  454807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454839 */     GIR_RootConstrainSelectedInstOperands,
     /*  454840 */     // GIR_Coverage, 6942,
     /*  454840 */     GIR_EraseRootFromParent_Done,
     /*  454841 */   // Label 7794: @454841
     /*  454841 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(454927), // Rule ID 6943 //
     /*  454846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454893 */     // MIs[1] Operand 1
     /*  454893 */     // No operand predicates
     /*  454893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454925 */     GIR_RootConstrainSelectedInstOperands,
     /*  454926 */     // GIR_Coverage, 6943,
     /*  454926 */     GIR_EraseRootFromParent_Done,
     /*  454927 */   // Label 7795: @454927
     /*  454927 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(455013), // Rule ID 6946 //
     /*  454932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454979 */     // MIs[1] Operand 1
     /*  454979 */     // No operand predicates
     /*  454979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455011 */     GIR_RootConstrainSelectedInstOperands,
     /*  455012 */     // GIR_Coverage, 6946,
     /*  455012 */     GIR_EraseRootFromParent_Done,
     /*  455013 */   // Label 7796: @455013
     /*  455013 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455099), // Rule ID 6947 //
     /*  455018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455065 */     // MIs[1] Operand 1
     /*  455065 */     // No operand predicates
     /*  455065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455097 */     GIR_RootConstrainSelectedInstOperands,
     /*  455098 */     // GIR_Coverage, 6947,
     /*  455098 */     GIR_EraseRootFromParent_Done,
     /*  455099 */   // Label 7797: @455099
     /*  455099 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455185), // Rule ID 6950 //
     /*  455104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455151 */     // MIs[1] Operand 1
     /*  455151 */     // No operand predicates
     /*  455151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455183 */     GIR_RootConstrainSelectedInstOperands,
     /*  455184 */     // GIR_Coverage, 6950,
     /*  455184 */     GIR_EraseRootFromParent_Done,
     /*  455185 */   // Label 7798: @455185
     /*  455185 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(455271), // Rule ID 6951 //
     /*  455190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455237 */     // MIs[1] Operand 1
     /*  455237 */     // No operand predicates
     /*  455237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455269 */     GIR_RootConstrainSelectedInstOperands,
     /*  455270 */     // GIR_Coverage, 6951,
     /*  455270 */     GIR_EraseRootFromParent_Done,
     /*  455271 */   // Label 7799: @455271
     /*  455271 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(455357), // Rule ID 6954 //
     /*  455276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455323 */     // MIs[1] Operand 1
     /*  455323 */     // No operand predicates
     /*  455323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455355 */     GIR_RootConstrainSelectedInstOperands,
     /*  455356 */     // GIR_Coverage, 6954,
     /*  455356 */     GIR_EraseRootFromParent_Done,
     /*  455357 */   // Label 7800: @455357
     /*  455357 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(455443), // Rule ID 6955 //
     /*  455362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455409 */     // MIs[1] Operand 1
     /*  455409 */     // No operand predicates
     /*  455409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455441 */     GIR_RootConstrainSelectedInstOperands,
     /*  455442 */     // GIR_Coverage, 6955,
     /*  455442 */     GIR_EraseRootFromParent_Done,
     /*  455443 */   // Label 7801: @455443
     /*  455443 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(455529), // Rule ID 6958 //
     /*  455448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455495 */     // MIs[1] Operand 1
     /*  455495 */     // No operand predicates
     /*  455495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455527 */     GIR_RootConstrainSelectedInstOperands,
     /*  455528 */     // GIR_Coverage, 6958,
     /*  455528 */     GIR_EraseRootFromParent_Done,
     /*  455529 */   // Label 7802: @455529
     /*  455529 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(455615), // Rule ID 6959 //
     /*  455534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455581 */     // MIs[1] Operand 1
     /*  455581 */     // No operand predicates
     /*  455581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455613 */     GIR_RootConstrainSelectedInstOperands,
     /*  455614 */     // GIR_Coverage, 6959,
     /*  455614 */     GIR_EraseRootFromParent_Done,
     /*  455615 */   // Label 7803: @455615
     /*  455615 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(455701), // Rule ID 6962 //
     /*  455620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455667 */     // MIs[1] Operand 1
     /*  455667 */     // No operand predicates
     /*  455667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455699 */     GIR_RootConstrainSelectedInstOperands,
     /*  455700 */     // GIR_Coverage, 6962,
     /*  455700 */     GIR_EraseRootFromParent_Done,
     /*  455701 */   // Label 7804: @455701
     /*  455701 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(455787), // Rule ID 6963 //
     /*  455706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455753 */     // MIs[1] Operand 1
     /*  455753 */     // No operand predicates
     /*  455753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455785 */     GIR_RootConstrainSelectedInstOperands,
     /*  455786 */     // GIR_Coverage, 6963,
     /*  455786 */     GIR_EraseRootFromParent_Done,
     /*  455787 */   // Label 7805: @455787
     /*  455787 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(455873), // Rule ID 6966 //
     /*  455792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455839 */     // MIs[1] Operand 1
     /*  455839 */     // No operand predicates
     /*  455839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455871 */     GIR_RootConstrainSelectedInstOperands,
     /*  455872 */     // GIR_Coverage, 6966,
     /*  455872 */     GIR_EraseRootFromParent_Done,
     /*  455873 */   // Label 7806: @455873
     /*  455873 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(455959), // Rule ID 6967 //
     /*  455878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455925 */     // MIs[1] Operand 1
     /*  455925 */     // No operand predicates
     /*  455925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455957 */     GIR_RootConstrainSelectedInstOperands,
     /*  455958 */     // GIR_Coverage, 6967,
     /*  455958 */     GIR_EraseRootFromParent_Done,
     /*  455959 */   // Label 7807: @455959
     /*  455959 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(456045), // Rule ID 6970 //
     /*  455964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456011 */     // MIs[1] Operand 1
     /*  456011 */     // No operand predicates
     /*  456011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456043 */     GIR_RootConstrainSelectedInstOperands,
     /*  456044 */     // GIR_Coverage, 6970,
     /*  456044 */     GIR_EraseRootFromParent_Done,
     /*  456045 */   // Label 7808: @456045
     /*  456045 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456131), // Rule ID 6971 //
     /*  456050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456097 */     // MIs[1] Operand 1
     /*  456097 */     // No operand predicates
     /*  456097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456129 */     GIR_RootConstrainSelectedInstOperands,
     /*  456130 */     // GIR_Coverage, 6971,
     /*  456130 */     GIR_EraseRootFromParent_Done,
     /*  456131 */   // Label 7809: @456131
     /*  456131 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(456217), // Rule ID 7150 //
     /*  456136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456183 */     // MIs[1] Operand 1
     /*  456183 */     // No operand predicates
     /*  456183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456215 */     GIR_RootConstrainSelectedInstOperands,
     /*  456216 */     // GIR_Coverage, 7150,
     /*  456216 */     GIR_EraseRootFromParent_Done,
     /*  456217 */   // Label 7810: @456217
     /*  456217 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(456303), // Rule ID 7151 //
     /*  456222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456269 */     // MIs[1] Operand 1
     /*  456269 */     // No operand predicates
     /*  456269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456278 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456301 */     GIR_RootConstrainSelectedInstOperands,
     /*  456302 */     // GIR_Coverage, 7151,
     /*  456302 */     GIR_EraseRootFromParent_Done,
     /*  456303 */   // Label 7811: @456303
     /*  456303 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(456389), // Rule ID 7154 //
     /*  456308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456355 */     // MIs[1] Operand 1
     /*  456355 */     // No operand predicates
     /*  456355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456364 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456387 */     GIR_RootConstrainSelectedInstOperands,
     /*  456388 */     // GIR_Coverage, 7154,
     /*  456388 */     GIR_EraseRootFromParent_Done,
     /*  456389 */   // Label 7812: @456389
     /*  456389 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(456475), // Rule ID 7155 //
     /*  456394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456441 */     // MIs[1] Operand 1
     /*  456441 */     // No operand predicates
     /*  456441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456473 */     GIR_RootConstrainSelectedInstOperands,
     /*  456474 */     // GIR_Coverage, 7155,
     /*  456474 */     GIR_EraseRootFromParent_Done,
     /*  456475 */   // Label 7813: @456475
     /*  456475 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(456561), // Rule ID 7158 //
     /*  456480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456527 */     // MIs[1] Operand 1
     /*  456527 */     // No operand predicates
     /*  456527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456559 */     GIR_RootConstrainSelectedInstOperands,
     /*  456560 */     // GIR_Coverage, 7158,
     /*  456560 */     GIR_EraseRootFromParent_Done,
     /*  456561 */   // Label 7814: @456561
     /*  456561 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(456647), // Rule ID 7159 //
     /*  456566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456613 */     // MIs[1] Operand 1
     /*  456613 */     // No operand predicates
     /*  456613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456645 */     GIR_RootConstrainSelectedInstOperands,
     /*  456646 */     // GIR_Coverage, 7159,
     /*  456646 */     GIR_EraseRootFromParent_Done,
     /*  456647 */   // Label 7815: @456647
     /*  456647 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(456733), // Rule ID 7162 //
     /*  456652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456699 */     // MIs[1] Operand 1
     /*  456699 */     // No operand predicates
     /*  456699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456731 */     GIR_RootConstrainSelectedInstOperands,
     /*  456732 */     // GIR_Coverage, 7162,
     /*  456732 */     GIR_EraseRootFromParent_Done,
     /*  456733 */   // Label 7816: @456733
     /*  456733 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(456819), // Rule ID 7163 //
     /*  456738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456785 */     // MIs[1] Operand 1
     /*  456785 */     // No operand predicates
     /*  456785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456817 */     GIR_RootConstrainSelectedInstOperands,
     /*  456818 */     // GIR_Coverage, 7163,
     /*  456818 */     GIR_EraseRootFromParent_Done,
     /*  456819 */   // Label 7817: @456819
     /*  456819 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(456905), // Rule ID 7166 //
     /*  456824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456871 */     // MIs[1] Operand 1
     /*  456871 */     // No operand predicates
     /*  456871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456903 */     GIR_RootConstrainSelectedInstOperands,
     /*  456904 */     // GIR_Coverage, 7166,
     /*  456904 */     GIR_EraseRootFromParent_Done,
     /*  456905 */   // Label 7818: @456905
     /*  456905 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(456991), // Rule ID 7167 //
     /*  456910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456957 */     // MIs[1] Operand 1
     /*  456957 */     // No operand predicates
     /*  456957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456989 */     GIR_RootConstrainSelectedInstOperands,
     /*  456990 */     // GIR_Coverage, 7167,
     /*  456990 */     GIR_EraseRootFromParent_Done,
     /*  456991 */   // Label 7819: @456991
     /*  456991 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(457077), // Rule ID 7170 //
     /*  456996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457043 */     // MIs[1] Operand 1
     /*  457043 */     // No operand predicates
     /*  457043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457075 */     GIR_RootConstrainSelectedInstOperands,
     /*  457076 */     // GIR_Coverage, 7170,
     /*  457076 */     GIR_EraseRootFromParent_Done,
     /*  457077 */   // Label 7820: @457077
     /*  457077 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457163), // Rule ID 7171 //
     /*  457082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457129 */     // MIs[1] Operand 1
     /*  457129 */     // No operand predicates
     /*  457129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457161 */     GIR_RootConstrainSelectedInstOperands,
     /*  457162 */     // GIR_Coverage, 7171,
     /*  457162 */     GIR_EraseRootFromParent_Done,
     /*  457163 */   // Label 7821: @457163
     /*  457163 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(457249), // Rule ID 7174 //
     /*  457168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457215 */     // MIs[1] Operand 1
     /*  457215 */     // No operand predicates
     /*  457215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457247 */     GIR_RootConstrainSelectedInstOperands,
     /*  457248 */     // GIR_Coverage, 7174,
     /*  457248 */     GIR_EraseRootFromParent_Done,
     /*  457249 */   // Label 7822: @457249
     /*  457249 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(457335), // Rule ID 7175 //
     /*  457254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457301 */     // MIs[1] Operand 1
     /*  457301 */     // No operand predicates
     /*  457301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457333 */     GIR_RootConstrainSelectedInstOperands,
     /*  457334 */     // GIR_Coverage, 7175,
     /*  457334 */     GIR_EraseRootFromParent_Done,
     /*  457335 */   // Label 7823: @457335
     /*  457335 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(457421), // Rule ID 7178 //
     /*  457340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457387 */     // MIs[1] Operand 1
     /*  457387 */     // No operand predicates
     /*  457387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457419 */     GIR_RootConstrainSelectedInstOperands,
     /*  457420 */     // GIR_Coverage, 7178,
     /*  457420 */     GIR_EraseRootFromParent_Done,
     /*  457421 */   // Label 7824: @457421
     /*  457421 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(457507), // Rule ID 7179 //
     /*  457426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457473 */     // MIs[1] Operand 1
     /*  457473 */     // No operand predicates
     /*  457473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457505 */     GIR_RootConstrainSelectedInstOperands,
     /*  457506 */     // GIR_Coverage, 7179,
     /*  457506 */     GIR_EraseRootFromParent_Done,
     /*  457507 */   // Label 7825: @457507
     /*  457507 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(457593), // Rule ID 7182 //
     /*  457512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457559 */     // MIs[1] Operand 1
     /*  457559 */     // No operand predicates
     /*  457559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457591 */     GIR_RootConstrainSelectedInstOperands,
     /*  457592 */     // GIR_Coverage, 7182,
     /*  457592 */     GIR_EraseRootFromParent_Done,
     /*  457593 */   // Label 7826: @457593
     /*  457593 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(457679), // Rule ID 7183 //
     /*  457598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457645 */     // MIs[1] Operand 1
     /*  457645 */     // No operand predicates
     /*  457645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457677 */     GIR_RootConstrainSelectedInstOperands,
     /*  457678 */     // GIR_Coverage, 7183,
     /*  457678 */     GIR_EraseRootFromParent_Done,
     /*  457679 */   // Label 7827: @457679
     /*  457679 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(457765), // Rule ID 7186 //
     /*  457684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457731 */     // MIs[1] Operand 1
     /*  457731 */     // No operand predicates
     /*  457731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457763 */     GIR_RootConstrainSelectedInstOperands,
     /*  457764 */     // GIR_Coverage, 7186,
     /*  457764 */     GIR_EraseRootFromParent_Done,
     /*  457765 */   // Label 7828: @457765
     /*  457765 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(457851), // Rule ID 7187 //
     /*  457770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457817 */     // MIs[1] Operand 1
     /*  457817 */     // No operand predicates
     /*  457817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457849 */     GIR_RootConstrainSelectedInstOperands,
     /*  457850 */     // GIR_Coverage, 7187,
     /*  457850 */     GIR_EraseRootFromParent_Done,
     /*  457851 */   // Label 7829: @457851
     /*  457851 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(457937), // Rule ID 7190 //
     /*  457856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457903 */     // MIs[1] Operand 1
     /*  457903 */     // No operand predicates
     /*  457903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457935 */     GIR_RootConstrainSelectedInstOperands,
     /*  457936 */     // GIR_Coverage, 7190,
     /*  457936 */     GIR_EraseRootFromParent_Done,
     /*  457937 */   // Label 7830: @457937
     /*  457937 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(458023), // Rule ID 7191 //
     /*  457942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457989 */     // MIs[1] Operand 1
     /*  457989 */     // No operand predicates
     /*  457989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458021 */     GIR_RootConstrainSelectedInstOperands,
     /*  458022 */     // GIR_Coverage, 7191,
     /*  458022 */     GIR_EraseRootFromParent_Done,
     /*  458023 */   // Label 7831: @458023
     /*  458023 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458109), // Rule ID 7194 //
     /*  458028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458075 */     // MIs[1] Operand 1
     /*  458075 */     // No operand predicates
     /*  458075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458107 */     GIR_RootConstrainSelectedInstOperands,
     /*  458108 */     // GIR_Coverage, 7194,
     /*  458108 */     GIR_EraseRootFromParent_Done,
     /*  458109 */   // Label 7832: @458109
     /*  458109 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458195), // Rule ID 7195 //
     /*  458114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458161 */     // MIs[1] Operand 1
     /*  458161 */     // No operand predicates
     /*  458161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458193 */     GIR_RootConstrainSelectedInstOperands,
     /*  458194 */     // GIR_Coverage, 7195,
     /*  458194 */     GIR_EraseRootFromParent_Done,
     /*  458195 */   // Label 7833: @458195
     /*  458195 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(458281), // Rule ID 7198 //
     /*  458200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458247 */     // MIs[1] Operand 1
     /*  458247 */     // No operand predicates
     /*  458247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458279 */     GIR_RootConstrainSelectedInstOperands,
     /*  458280 */     // GIR_Coverage, 7198,
     /*  458280 */     GIR_EraseRootFromParent_Done,
     /*  458281 */   // Label 7834: @458281
     /*  458281 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(458367), // Rule ID 7199 //
     /*  458286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458333 */     // MIs[1] Operand 1
     /*  458333 */     // No operand predicates
     /*  458333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458365 */     GIR_RootConstrainSelectedInstOperands,
     /*  458366 */     // GIR_Coverage, 7199,
     /*  458366 */     GIR_EraseRootFromParent_Done,
     /*  458367 */   // Label 7835: @458367
     /*  458367 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(458453), // Rule ID 7202 //
     /*  458372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458419 */     // MIs[1] Operand 1
     /*  458419 */     // No operand predicates
     /*  458419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458451 */     GIR_RootConstrainSelectedInstOperands,
     /*  458452 */     // GIR_Coverage, 7202,
     /*  458452 */     GIR_EraseRootFromParent_Done,
     /*  458453 */   // Label 7836: @458453
     /*  458453 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(458539), // Rule ID 7203 //
     /*  458458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458505 */     // MIs[1] Operand 1
     /*  458505 */     // No operand predicates
     /*  458505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458537 */     GIR_RootConstrainSelectedInstOperands,
     /*  458538 */     // GIR_Coverage, 7203,
     /*  458538 */     GIR_EraseRootFromParent_Done,
     /*  458539 */   // Label 7837: @458539
     /*  458539 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(458625), // Rule ID 7206 //
     /*  458544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458591 */     // MIs[1] Operand 1
     /*  458591 */     // No operand predicates
     /*  458591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458623 */     GIR_RootConstrainSelectedInstOperands,
     /*  458624 */     // GIR_Coverage, 7206,
     /*  458624 */     GIR_EraseRootFromParent_Done,
     /*  458625 */   // Label 7838: @458625
     /*  458625 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(458711), // Rule ID 7207 //
     /*  458630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458677 */     // MIs[1] Operand 1
     /*  458677 */     // No operand predicates
     /*  458677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458709 */     GIR_RootConstrainSelectedInstOperands,
     /*  458710 */     // GIR_Coverage, 7207,
     /*  458710 */     GIR_EraseRootFromParent_Done,
     /*  458711 */   // Label 7839: @458711
     /*  458711 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(458797), // Rule ID 7210 //
     /*  458716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458763 */     // MIs[1] Operand 1
     /*  458763 */     // No operand predicates
     /*  458763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458795 */     GIR_RootConstrainSelectedInstOperands,
     /*  458796 */     // GIR_Coverage, 7210,
     /*  458796 */     GIR_EraseRootFromParent_Done,
     /*  458797 */   // Label 7840: @458797
     /*  458797 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(458883), // Rule ID 7211 //
     /*  458802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458849 */     // MIs[1] Operand 1
     /*  458849 */     // No operand predicates
     /*  458849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458881 */     GIR_RootConstrainSelectedInstOperands,
     /*  458882 */     // GIR_Coverage, 7211,
     /*  458882 */     GIR_EraseRootFromParent_Done,
     /*  458883 */   // Label 7841: @458883
     /*  458883 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(458969), // Rule ID 7214 //
     /*  458888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458935 */     // MIs[1] Operand 1
     /*  458935 */     // No operand predicates
     /*  458935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458967 */     GIR_RootConstrainSelectedInstOperands,
     /*  458968 */     // GIR_Coverage, 7214,
     /*  458968 */     GIR_EraseRootFromParent_Done,
     /*  458969 */   // Label 7842: @458969
     /*  458969 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(459055), // Rule ID 7215 //
     /*  458974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459021 */     // MIs[1] Operand 1
     /*  459021 */     // No operand predicates
     /*  459021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459053 */     GIR_RootConstrainSelectedInstOperands,
     /*  459054 */     // GIR_Coverage, 7215,
     /*  459054 */     GIR_EraseRootFromParent_Done,
     /*  459055 */   // Label 7843: @459055
     /*  459055 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459141), // Rule ID 7218 //
     /*  459060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459107 */     // MIs[1] Operand 1
     /*  459107 */     // No operand predicates
     /*  459107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459139 */     GIR_RootConstrainSelectedInstOperands,
     /*  459140 */     // GIR_Coverage, 7218,
     /*  459140 */     GIR_EraseRootFromParent_Done,
     /*  459141 */   // Label 7844: @459141
     /*  459141 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(459227), // Rule ID 7219 //
     /*  459146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459193 */     // MIs[1] Operand 1
     /*  459193 */     // No operand predicates
     /*  459193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459225 */     GIR_RootConstrainSelectedInstOperands,
     /*  459226 */     // GIR_Coverage, 7219,
     /*  459226 */     GIR_EraseRootFromParent_Done,
     /*  459227 */   // Label 7845: @459227
     /*  459227 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(459313), // Rule ID 7222 //
     /*  459232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459279 */     // MIs[1] Operand 1
     /*  459279 */     // No operand predicates
     /*  459279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459311 */     GIR_RootConstrainSelectedInstOperands,
     /*  459312 */     // GIR_Coverage, 7222,
     /*  459312 */     GIR_EraseRootFromParent_Done,
     /*  459313 */   // Label 7846: @459313
     /*  459313 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(459399), // Rule ID 7223 //
     /*  459318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459365 */     // MIs[1] Operand 1
     /*  459365 */     // No operand predicates
     /*  459365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459397 */     GIR_RootConstrainSelectedInstOperands,
     /*  459398 */     // GIR_Coverage, 7223,
     /*  459398 */     GIR_EraseRootFromParent_Done,
     /*  459399 */   // Label 7847: @459399
     /*  459399 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(459485), // Rule ID 7226 //
     /*  459404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459451 */     // MIs[1] Operand 1
     /*  459451 */     // No operand predicates
     /*  459451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459483 */     GIR_RootConstrainSelectedInstOperands,
     /*  459484 */     // GIR_Coverage, 7226,
     /*  459484 */     GIR_EraseRootFromParent_Done,
     /*  459485 */   // Label 7848: @459485
     /*  459485 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(459571), // Rule ID 7227 //
     /*  459490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459537 */     // MIs[1] Operand 1
     /*  459537 */     // No operand predicates
     /*  459537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459569 */     GIR_RootConstrainSelectedInstOperands,
     /*  459570 */     // GIR_Coverage, 7227,
     /*  459570 */     GIR_EraseRootFromParent_Done,
     /*  459571 */   // Label 7849: @459571
     /*  459571 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(459657), // Rule ID 7230 //
     /*  459576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459623 */     // MIs[1] Operand 1
     /*  459623 */     // No operand predicates
     /*  459623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459655 */     GIR_RootConstrainSelectedInstOperands,
     /*  459656 */     // GIR_Coverage, 7230,
     /*  459656 */     GIR_EraseRootFromParent_Done,
     /*  459657 */   // Label 7850: @459657
     /*  459657 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(459743), // Rule ID 7231 //
     /*  459662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459709 */     // MIs[1] Operand 1
     /*  459709 */     // No operand predicates
     /*  459709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459741 */     GIR_RootConstrainSelectedInstOperands,
     /*  459742 */     // GIR_Coverage, 7231,
     /*  459742 */     GIR_EraseRootFromParent_Done,
     /*  459743 */   // Label 7851: @459743
     /*  459743 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(459829), // Rule ID 7234 //
     /*  459748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459795 */     // MIs[1] Operand 1
     /*  459795 */     // No operand predicates
     /*  459795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459827 */     GIR_RootConstrainSelectedInstOperands,
     /*  459828 */     // GIR_Coverage, 7234,
     /*  459828 */     GIR_EraseRootFromParent_Done,
     /*  459829 */   // Label 7852: @459829
     /*  459829 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(459915), // Rule ID 7235 //
     /*  459834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459881 */     // MIs[1] Operand 1
     /*  459881 */     // No operand predicates
     /*  459881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459913 */     GIR_RootConstrainSelectedInstOperands,
     /*  459914 */     // GIR_Coverage, 7235,
     /*  459914 */     GIR_EraseRootFromParent_Done,
     /*  459915 */   // Label 7853: @459915
     /*  459915 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(460001), // Rule ID 7446 //
     /*  459920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459967 */     // MIs[1] Operand 1
     /*  459967 */     // No operand predicates
     /*  459967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459999 */     GIR_RootConstrainSelectedInstOperands,
     /*  460000 */     // GIR_Coverage, 7446,
     /*  460000 */     GIR_EraseRootFromParent_Done,
     /*  460001 */   // Label 7854: @460001
     /*  460001 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460087), // Rule ID 7447 //
     /*  460006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460053 */     // MIs[1] Operand 1
     /*  460053 */     // No operand predicates
     /*  460053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  460065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460085 */     GIR_RootConstrainSelectedInstOperands,
     /*  460086 */     // GIR_Coverage, 7447,
     /*  460086 */     GIR_EraseRootFromParent_Done,
     /*  460087 */   // Label 7855: @460087
     /*  460087 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460173), // Rule ID 7450 //
     /*  460092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460139 */     // MIs[1] Operand 1
     /*  460139 */     // No operand predicates
     /*  460139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460171 */     GIR_RootConstrainSelectedInstOperands,
     /*  460172 */     // GIR_Coverage, 7450,
     /*  460172 */     GIR_EraseRootFromParent_Done,
     /*  460173 */   // Label 7856: @460173
     /*  460173 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(460259), // Rule ID 7451 //
     /*  460178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460225 */     // MIs[1] Operand 1
     /*  460225 */     // No operand predicates
     /*  460225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460257 */     GIR_RootConstrainSelectedInstOperands,
     /*  460258 */     // GIR_Coverage, 7451,
     /*  460258 */     GIR_EraseRootFromParent_Done,
     /*  460259 */   // Label 7857: @460259
     /*  460259 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(460345), // Rule ID 7454 //
     /*  460264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460311 */     // MIs[1] Operand 1
     /*  460311 */     // No operand predicates
     /*  460311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460343 */     GIR_RootConstrainSelectedInstOperands,
     /*  460344 */     // GIR_Coverage, 7454,
     /*  460344 */     GIR_EraseRootFromParent_Done,
     /*  460345 */   // Label 7858: @460345
     /*  460345 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(460431), // Rule ID 7455 //
     /*  460350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460397 */     // MIs[1] Operand 1
     /*  460397 */     // No operand predicates
     /*  460397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460429 */     GIR_RootConstrainSelectedInstOperands,
     /*  460430 */     // GIR_Coverage, 7455,
     /*  460430 */     GIR_EraseRootFromParent_Done,
     /*  460431 */   // Label 7859: @460431
     /*  460431 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(460517), // Rule ID 7458 //
     /*  460436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460483 */     // MIs[1] Operand 1
     /*  460483 */     // No operand predicates
     /*  460483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460515 */     GIR_RootConstrainSelectedInstOperands,
     /*  460516 */     // GIR_Coverage, 7458,
     /*  460516 */     GIR_EraseRootFromParent_Done,
     /*  460517 */   // Label 7860: @460517
     /*  460517 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(460603), // Rule ID 7459 //
     /*  460522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460569 */     // MIs[1] Operand 1
     /*  460569 */     // No operand predicates
     /*  460569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460601 */     GIR_RootConstrainSelectedInstOperands,
     /*  460602 */     // GIR_Coverage, 7459,
     /*  460602 */     GIR_EraseRootFromParent_Done,
     /*  460603 */   // Label 7861: @460603
     /*  460603 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(460689), // Rule ID 7462 //
     /*  460608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460655 */     // MIs[1] Operand 1
     /*  460655 */     // No operand predicates
     /*  460655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460687 */     GIR_RootConstrainSelectedInstOperands,
     /*  460688 */     // GIR_Coverage, 7462,
     /*  460688 */     GIR_EraseRootFromParent_Done,
     /*  460689 */   // Label 7862: @460689
     /*  460689 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(460775), // Rule ID 7463 //
     /*  460694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460741 */     // MIs[1] Operand 1
     /*  460741 */     // No operand predicates
     /*  460741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460773 */     GIR_RootConstrainSelectedInstOperands,
     /*  460774 */     // GIR_Coverage, 7463,
     /*  460774 */     GIR_EraseRootFromParent_Done,
     /*  460775 */   // Label 7863: @460775
     /*  460775 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(460861), // Rule ID 7466 //
     /*  460780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460827 */     // MIs[1] Operand 1
     /*  460827 */     // No operand predicates
     /*  460827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460859 */     GIR_RootConstrainSelectedInstOperands,
     /*  460860 */     // GIR_Coverage, 7466,
     /*  460860 */     GIR_EraseRootFromParent_Done,
     /*  460861 */   // Label 7864: @460861
     /*  460861 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(460947), // Rule ID 7467 //
     /*  460866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460913 */     // MIs[1] Operand 1
     /*  460913 */     // No operand predicates
     /*  460913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460945 */     GIR_RootConstrainSelectedInstOperands,
     /*  460946 */     // GIR_Coverage, 7467,
     /*  460946 */     GIR_EraseRootFromParent_Done,
     /*  460947 */   // Label 7865: @460947
     /*  460947 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(461033), // Rule ID 7470 //
     /*  460952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460999 */     // MIs[1] Operand 1
     /*  460999 */     // No operand predicates
     /*  460999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461031 */     GIR_RootConstrainSelectedInstOperands,
     /*  461032 */     // GIR_Coverage, 7470,
     /*  461032 */     GIR_EraseRootFromParent_Done,
     /*  461033 */   // Label 7866: @461033
     /*  461033 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461119), // Rule ID 7471 //
     /*  461038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461085 */     // MIs[1] Operand 1
     /*  461085 */     // No operand predicates
     /*  461085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461117 */     GIR_RootConstrainSelectedInstOperands,
     /*  461118 */     // GIR_Coverage, 7471,
     /*  461118 */     GIR_EraseRootFromParent_Done,
     /*  461119 */   // Label 7867: @461119
     /*  461119 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461205), // Rule ID 7474 //
     /*  461124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461171 */     // MIs[1] Operand 1
     /*  461171 */     // No operand predicates
     /*  461171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461203 */     GIR_RootConstrainSelectedInstOperands,
     /*  461204 */     // GIR_Coverage, 7474,
     /*  461204 */     GIR_EraseRootFromParent_Done,
     /*  461205 */   // Label 7868: @461205
     /*  461205 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(461291), // Rule ID 7475 //
     /*  461210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461257 */     // MIs[1] Operand 1
     /*  461257 */     // No operand predicates
     /*  461257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461289 */     GIR_RootConstrainSelectedInstOperands,
     /*  461290 */     // GIR_Coverage, 7475,
     /*  461290 */     GIR_EraseRootFromParent_Done,
     /*  461291 */   // Label 7869: @461291
     /*  461291 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(461377), // Rule ID 7478 //
     /*  461296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461343 */     // MIs[1] Operand 1
     /*  461343 */     // No operand predicates
     /*  461343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461375 */     GIR_RootConstrainSelectedInstOperands,
     /*  461376 */     // GIR_Coverage, 7478,
     /*  461376 */     GIR_EraseRootFromParent_Done,
     /*  461377 */   // Label 7870: @461377
     /*  461377 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(461463), // Rule ID 7479 //
     /*  461382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461429 */     // MIs[1] Operand 1
     /*  461429 */     // No operand predicates
     /*  461429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461461 */     GIR_RootConstrainSelectedInstOperands,
     /*  461462 */     // GIR_Coverage, 7479,
     /*  461462 */     GIR_EraseRootFromParent_Done,
     /*  461463 */   // Label 7871: @461463
     /*  461463 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(461549), // Rule ID 7482 //
     /*  461468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461515 */     // MIs[1] Operand 1
     /*  461515 */     // No operand predicates
     /*  461515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461547 */     GIR_RootConstrainSelectedInstOperands,
     /*  461548 */     // GIR_Coverage, 7482,
     /*  461548 */     GIR_EraseRootFromParent_Done,
     /*  461549 */   // Label 7872: @461549
     /*  461549 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(461635), // Rule ID 7483 //
     /*  461554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461601 */     // MIs[1] Operand 1
     /*  461601 */     // No operand predicates
     /*  461601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461633 */     GIR_RootConstrainSelectedInstOperands,
     /*  461634 */     // GIR_Coverage, 7483,
     /*  461634 */     GIR_EraseRootFromParent_Done,
     /*  461635 */   // Label 7873: @461635
     /*  461635 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(461721), // Rule ID 7486 //
     /*  461640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461687 */     // MIs[1] Operand 1
     /*  461687 */     // No operand predicates
     /*  461687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461719 */     GIR_RootConstrainSelectedInstOperands,
     /*  461720 */     // GIR_Coverage, 7486,
     /*  461720 */     GIR_EraseRootFromParent_Done,
     /*  461721 */   // Label 7874: @461721
     /*  461721 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(461807), // Rule ID 7487 //
     /*  461726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461773 */     // MIs[1] Operand 1
     /*  461773 */     // No operand predicates
     /*  461773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461805 */     GIR_RootConstrainSelectedInstOperands,
     /*  461806 */     // GIR_Coverage, 7487,
     /*  461806 */     GIR_EraseRootFromParent_Done,
     /*  461807 */   // Label 7875: @461807
     /*  461807 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(461893), // Rule ID 7490 //
     /*  461812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461859 */     // MIs[1] Operand 1
     /*  461859 */     // No operand predicates
     /*  461859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461891 */     GIR_RootConstrainSelectedInstOperands,
     /*  461892 */     // GIR_Coverage, 7490,
     /*  461892 */     GIR_EraseRootFromParent_Done,
     /*  461893 */   // Label 7876: @461893
     /*  461893 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(461979), // Rule ID 7491 //
     /*  461898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461945 */     // MIs[1] Operand 1
     /*  461945 */     // No operand predicates
     /*  461945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461977 */     GIR_RootConstrainSelectedInstOperands,
     /*  461978 */     // GIR_Coverage, 7491,
     /*  461978 */     GIR_EraseRootFromParent_Done,
     /*  461979 */   // Label 7877: @461979
     /*  461979 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(462065), // Rule ID 7494 //
     /*  461984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462031 */     // MIs[1] Operand 1
     /*  462031 */     // No operand predicates
     /*  462031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462063 */     GIR_RootConstrainSelectedInstOperands,
     /*  462064 */     // GIR_Coverage, 7494,
     /*  462064 */     GIR_EraseRootFromParent_Done,
     /*  462065 */   // Label 7878: @462065
     /*  462065 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462151), // Rule ID 7495 //
     /*  462070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462117 */     // MIs[1] Operand 1
     /*  462117 */     // No operand predicates
     /*  462117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462149 */     GIR_RootConstrainSelectedInstOperands,
     /*  462150 */     // GIR_Coverage, 7495,
     /*  462150 */     GIR_EraseRootFromParent_Done,
     /*  462151 */   // Label 7879: @462151
     /*  462151 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(462237), // Rule ID 7498 //
     /*  462156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462203 */     // MIs[1] Operand 1
     /*  462203 */     // No operand predicates
     /*  462203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462235 */     GIR_RootConstrainSelectedInstOperands,
     /*  462236 */     // GIR_Coverage, 7498,
     /*  462236 */     GIR_EraseRootFromParent_Done,
     /*  462237 */   // Label 7880: @462237
     /*  462237 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(462323), // Rule ID 7499 //
     /*  462242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462289 */     // MIs[1] Operand 1
     /*  462289 */     // No operand predicates
     /*  462289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462321 */     GIR_RootConstrainSelectedInstOperands,
     /*  462322 */     // GIR_Coverage, 7499,
     /*  462322 */     GIR_EraseRootFromParent_Done,
     /*  462323 */   // Label 7881: @462323
     /*  462323 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(462409), // Rule ID 7502 //
     /*  462328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  462339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  462342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462375 */     // MIs[1] Operand 1
     /*  462375 */     // No operand predicates
     /*  462375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462407 */     GIR_RootConstrainSelectedInstOperands,
     /*  462408 */     // GIR_Coverage, 7502,
     /*  462408 */     GIR_EraseRootFromParent_Done,
     /*  462409 */   // Label 7882: @462409
     /*  462409 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(462495), // Rule ID 7503 //
     /*  462414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  462425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  462428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462461 */     // MIs[1] Operand 1
     /*  462461 */     // No operand predicates
     /*  462461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462493 */     GIR_RootConstrainSelectedInstOperands,
     /*  462494 */     // GIR_Coverage, 7503,
     /*  462494 */     GIR_EraseRootFromParent_Done,
     /*  462495 */   // Label 7883: @462495
     /*  462495 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(462581), // Rule ID 7626 //
     /*  462500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462547 */     // MIs[1] Operand 1
     /*  462547 */     // No operand predicates
     /*  462547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462579 */     GIR_RootConstrainSelectedInstOperands,
     /*  462580 */     // GIR_Coverage, 7626,
     /*  462580 */     GIR_EraseRootFromParent_Done,
     /*  462581 */   // Label 7884: @462581
     /*  462581 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(462667), // Rule ID 7627 //
     /*  462586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462633 */     // MIs[1] Operand 1
     /*  462633 */     // No operand predicates
     /*  462633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462665 */     GIR_RootConstrainSelectedInstOperands,
     /*  462666 */     // GIR_Coverage, 7627,
     /*  462666 */     GIR_EraseRootFromParent_Done,
     /*  462667 */   // Label 7885: @462667
     /*  462667 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(462753), // Rule ID 7630 //
     /*  462672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462719 */     // MIs[1] Operand 1
     /*  462719 */     // No operand predicates
     /*  462719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462751 */     GIR_RootConstrainSelectedInstOperands,
     /*  462752 */     // GIR_Coverage, 7630,
     /*  462752 */     GIR_EraseRootFromParent_Done,
     /*  462753 */   // Label 7886: @462753
     /*  462753 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(462839), // Rule ID 7631 //
     /*  462758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462805 */     // MIs[1] Operand 1
     /*  462805 */     // No operand predicates
     /*  462805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462837 */     GIR_RootConstrainSelectedInstOperands,
     /*  462838 */     // GIR_Coverage, 7631,
     /*  462838 */     GIR_EraseRootFromParent_Done,
     /*  462839 */   // Label 7887: @462839
     /*  462839 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(462925), // Rule ID 7634 //
     /*  462844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462891 */     // MIs[1] Operand 1
     /*  462891 */     // No operand predicates
     /*  462891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462900 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462923 */     GIR_RootConstrainSelectedInstOperands,
     /*  462924 */     // GIR_Coverage, 7634,
     /*  462924 */     GIR_EraseRootFromParent_Done,
     /*  462925 */   // Label 7888: @462925
     /*  462925 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(463011), // Rule ID 7635 //
     /*  462930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462977 */     // MIs[1] Operand 1
     /*  462977 */     // No operand predicates
     /*  462977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462986 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463009 */     GIR_RootConstrainSelectedInstOperands,
     /*  463010 */     // GIR_Coverage, 7635,
     /*  463010 */     GIR_EraseRootFromParent_Done,
     /*  463011 */   // Label 7889: @463011
     /*  463011 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463097), // Rule ID 7638 //
     /*  463016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463063 */     // MIs[1] Operand 1
     /*  463063 */     // No operand predicates
     /*  463063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463095 */     GIR_RootConstrainSelectedInstOperands,
     /*  463096 */     // GIR_Coverage, 7638,
     /*  463096 */     GIR_EraseRootFromParent_Done,
     /*  463097 */   // Label 7890: @463097
     /*  463097 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463183), // Rule ID 7639 //
     /*  463102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463149 */     // MIs[1] Operand 1
     /*  463149 */     // No operand predicates
     /*  463149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463181 */     GIR_RootConstrainSelectedInstOperands,
     /*  463182 */     // GIR_Coverage, 7639,
     /*  463182 */     GIR_EraseRootFromParent_Done,
     /*  463183 */   // Label 7891: @463183
     /*  463183 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(463269), // Rule ID 7642 //
     /*  463188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463235 */     // MIs[1] Operand 1
     /*  463235 */     // No operand predicates
     /*  463235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463267 */     GIR_RootConstrainSelectedInstOperands,
     /*  463268 */     // GIR_Coverage, 7642,
     /*  463268 */     GIR_EraseRootFromParent_Done,
     /*  463269 */   // Label 7892: @463269
     /*  463269 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(463355), // Rule ID 7643 //
     /*  463274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463321 */     // MIs[1] Operand 1
     /*  463321 */     // No operand predicates
     /*  463321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463353 */     GIR_RootConstrainSelectedInstOperands,
     /*  463354 */     // GIR_Coverage, 7643,
     /*  463354 */     GIR_EraseRootFromParent_Done,
     /*  463355 */   // Label 7893: @463355
     /*  463355 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(463441), // Rule ID 7646 //
     /*  463360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463407 */     // MIs[1] Operand 1
     /*  463407 */     // No operand predicates
     /*  463407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463416 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463439 */     GIR_RootConstrainSelectedInstOperands,
     /*  463440 */     // GIR_Coverage, 7646,
     /*  463440 */     GIR_EraseRootFromParent_Done,
     /*  463441 */   // Label 7894: @463441
     /*  463441 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(463527), // Rule ID 7647 //
     /*  463446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463493 */     // MIs[1] Operand 1
     /*  463493 */     // No operand predicates
     /*  463493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463525 */     GIR_RootConstrainSelectedInstOperands,
     /*  463526 */     // GIR_Coverage, 7647,
     /*  463526 */     GIR_EraseRootFromParent_Done,
     /*  463527 */   // Label 7895: @463527
     /*  463527 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(463613), // Rule ID 7650 //
     /*  463532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463579 */     // MIs[1] Operand 1
     /*  463579 */     // No operand predicates
     /*  463579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463611 */     GIR_RootConstrainSelectedInstOperands,
     /*  463612 */     // GIR_Coverage, 7650,
     /*  463612 */     GIR_EraseRootFromParent_Done,
     /*  463613 */   // Label 7896: @463613
     /*  463613 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(463699), // Rule ID 7651 //
     /*  463618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463665 */     // MIs[1] Operand 1
     /*  463665 */     // No operand predicates
     /*  463665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463697 */     GIR_RootConstrainSelectedInstOperands,
     /*  463698 */     // GIR_Coverage, 7651,
     /*  463698 */     GIR_EraseRootFromParent_Done,
     /*  463699 */   // Label 7897: @463699
     /*  463699 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(463785), // Rule ID 7654 //
     /*  463704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463751 */     // MIs[1] Operand 1
     /*  463751 */     // No operand predicates
     /*  463751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463783 */     GIR_RootConstrainSelectedInstOperands,
     /*  463784 */     // GIR_Coverage, 7654,
     /*  463784 */     GIR_EraseRootFromParent_Done,
     /*  463785 */   // Label 7898: @463785
     /*  463785 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(463871), // Rule ID 7655 //
     /*  463790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463837 */     // MIs[1] Operand 1
     /*  463837 */     // No operand predicates
     /*  463837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463869 */     GIR_RootConstrainSelectedInstOperands,
     /*  463870 */     // GIR_Coverage, 7655,
     /*  463870 */     GIR_EraseRootFromParent_Done,
     /*  463871 */   // Label 7899: @463871
     /*  463871 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(463957), // Rule ID 7658 //
     /*  463876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463923 */     // MIs[1] Operand 1
     /*  463923 */     // No operand predicates
     /*  463923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463955 */     GIR_RootConstrainSelectedInstOperands,
     /*  463956 */     // GIR_Coverage, 7658,
     /*  463956 */     GIR_EraseRootFromParent_Done,
     /*  463957 */   // Label 7900: @463957
     /*  463957 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(464043), // Rule ID 7659 //
     /*  463962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464009 */     // MIs[1] Operand 1
     /*  464009 */     // No operand predicates
     /*  464009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464041 */     GIR_RootConstrainSelectedInstOperands,
     /*  464042 */     // GIR_Coverage, 7659,
     /*  464042 */     GIR_EraseRootFromParent_Done,
     /*  464043 */   // Label 7901: @464043
     /*  464043 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464129), // Rule ID 7662 //
     /*  464048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464095 */     // MIs[1] Operand 1
     /*  464095 */     // No operand predicates
     /*  464095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464127 */     GIR_RootConstrainSelectedInstOperands,
     /*  464128 */     // GIR_Coverage, 7662,
     /*  464128 */     GIR_EraseRootFromParent_Done,
     /*  464129 */   // Label 7902: @464129
     /*  464129 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(464215), // Rule ID 7663 //
     /*  464134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464181 */     // MIs[1] Operand 1
     /*  464181 */     // No operand predicates
     /*  464181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464213 */     GIR_RootConstrainSelectedInstOperands,
     /*  464214 */     // GIR_Coverage, 7663,
     /*  464214 */     GIR_EraseRootFromParent_Done,
     /*  464215 */   // Label 7903: @464215
     /*  464215 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(464301), // Rule ID 7666 //
     /*  464220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464267 */     // MIs[1] Operand 1
     /*  464267 */     // No operand predicates
     /*  464267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464299 */     GIR_RootConstrainSelectedInstOperands,
     /*  464300 */     // GIR_Coverage, 7666,
     /*  464300 */     GIR_EraseRootFromParent_Done,
     /*  464301 */   // Label 7904: @464301
     /*  464301 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(464387), // Rule ID 7667 //
     /*  464306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464353 */     // MIs[1] Operand 1
     /*  464353 */     // No operand predicates
     /*  464353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464385 */     GIR_RootConstrainSelectedInstOperands,
     /*  464386 */     // GIR_Coverage, 7667,
     /*  464386 */     GIR_EraseRootFromParent_Done,
     /*  464387 */   // Label 7905: @464387
     /*  464387 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(464473), // Rule ID 7670 //
     /*  464392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464439 */     // MIs[1] Operand 1
     /*  464439 */     // No operand predicates
     /*  464439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464471 */     GIR_RootConstrainSelectedInstOperands,
     /*  464472 */     // GIR_Coverage, 7670,
     /*  464472 */     GIR_EraseRootFromParent_Done,
     /*  464473 */   // Label 7906: @464473
     /*  464473 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(464559), // Rule ID 7671 //
     /*  464478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464525 */     // MIs[1] Operand 1
     /*  464525 */     // No operand predicates
     /*  464525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464557 */     GIR_RootConstrainSelectedInstOperands,
     /*  464558 */     // GIR_Coverage, 7671,
     /*  464558 */     GIR_EraseRootFromParent_Done,
     /*  464559 */   // Label 7907: @464559
     /*  464559 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(464645), // Rule ID 7674 //
     /*  464564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464611 */     // MIs[1] Operand 1
     /*  464611 */     // No operand predicates
     /*  464611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464643 */     GIR_RootConstrainSelectedInstOperands,
     /*  464644 */     // GIR_Coverage, 7674,
     /*  464644 */     GIR_EraseRootFromParent_Done,
     /*  464645 */   // Label 7908: @464645
     /*  464645 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(464731), // Rule ID 7675 //
     /*  464650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464697 */     // MIs[1] Operand 1
     /*  464697 */     // No operand predicates
     /*  464697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464729 */     GIR_RootConstrainSelectedInstOperands,
     /*  464730 */     // GIR_Coverage, 7675,
     /*  464730 */     GIR_EraseRootFromParent_Done,
     /*  464731 */   // Label 7909: @464731
     /*  464731 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(464817), // Rule ID 7678 //
     /*  464736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464783 */     // MIs[1] Operand 1
     /*  464783 */     // No operand predicates
     /*  464783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464815 */     GIR_RootConstrainSelectedInstOperands,
     /*  464816 */     // GIR_Coverage, 7678,
     /*  464816 */     GIR_EraseRootFromParent_Done,
     /*  464817 */   // Label 7910: @464817
     /*  464817 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(464903), // Rule ID 7679 //
     /*  464822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464869 */     // MIs[1] Operand 1
     /*  464869 */     // No operand predicates
     /*  464869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464901 */     GIR_RootConstrainSelectedInstOperands,
     /*  464902 */     // GIR_Coverage, 7679,
     /*  464902 */     GIR_EraseRootFromParent_Done,
     /*  464903 */   // Label 7911: @464903
     /*  464903 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(464989), // Rule ID 7682 //
     /*  464908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464955 */     // MIs[1] Operand 1
     /*  464955 */     // No operand predicates
     /*  464955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464987 */     GIR_RootConstrainSelectedInstOperands,
     /*  464988 */     // GIR_Coverage, 7682,
     /*  464988 */     GIR_EraseRootFromParent_Done,
     /*  464989 */   // Label 7912: @464989
     /*  464989 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465075), // Rule ID 7683 //
     /*  464994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465041 */     // MIs[1] Operand 1
     /*  465041 */     // No operand predicates
     /*  465041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  465053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465073 */     GIR_RootConstrainSelectedInstOperands,
     /*  465074 */     // GIR_Coverage, 7683,
     /*  465074 */     GIR_EraseRootFromParent_Done,
     /*  465075 */   // Label 7913: @465075
     /*  465075 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(465164), // Rule ID 14112 //
     /*  465080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465127 */     // MIs[1] Operand 1
     /*  465127 */     // No operand predicates
     /*  465127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465162 */     GIR_RootConstrainSelectedInstOperands,
     /*  465163 */     // GIR_Coverage, 14112,
     /*  465163 */     GIR_EraseRootFromParent_Done,
     /*  465164 */   // Label 7914: @465164
     /*  465164 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(465253), // Rule ID 14113 //
     /*  465169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465216 */     // MIs[1] Operand 1
     /*  465216 */     // No operand predicates
     /*  465216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465225 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465251 */     GIR_RootConstrainSelectedInstOperands,
     /*  465252 */     // GIR_Coverage, 14113,
     /*  465252 */     GIR_EraseRootFromParent_Done,
     /*  465253 */   // Label 7915: @465253
     /*  465253 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(465342), // Rule ID 14116 //
     /*  465258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465305 */     // MIs[1] Operand 1
     /*  465305 */     // No operand predicates
     /*  465305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465340 */     GIR_RootConstrainSelectedInstOperands,
     /*  465341 */     // GIR_Coverage, 14116,
     /*  465341 */     GIR_EraseRootFromParent_Done,
     /*  465342 */   // Label 7916: @465342
     /*  465342 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(465431), // Rule ID 14117 //
     /*  465347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465394 */     // MIs[1] Operand 1
     /*  465394 */     // No operand predicates
     /*  465394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465429 */     GIR_RootConstrainSelectedInstOperands,
     /*  465430 */     // GIR_Coverage, 14117,
     /*  465430 */     GIR_EraseRootFromParent_Done,
     /*  465431 */   // Label 7917: @465431
     /*  465431 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(465520), // Rule ID 14120 //
     /*  465436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465483 */     // MIs[1] Operand 1
     /*  465483 */     // No operand predicates
     /*  465483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465518 */     GIR_RootConstrainSelectedInstOperands,
     /*  465519 */     // GIR_Coverage, 14120,
     /*  465519 */     GIR_EraseRootFromParent_Done,
     /*  465520 */   // Label 7918: @465520
     /*  465520 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(465609), // Rule ID 14121 //
     /*  465525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465572 */     // MIs[1] Operand 1
     /*  465572 */     // No operand predicates
     /*  465572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465581 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465607 */     GIR_RootConstrainSelectedInstOperands,
     /*  465608 */     // GIR_Coverage, 14121,
     /*  465608 */     GIR_EraseRootFromParent_Done,
     /*  465609 */   // Label 7919: @465609
     /*  465609 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(465698), // Rule ID 14124 //
     /*  465614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465661 */     // MIs[1] Operand 1
     /*  465661 */     // No operand predicates
     /*  465661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465696 */     GIR_RootConstrainSelectedInstOperands,
     /*  465697 */     // GIR_Coverage, 14124,
     /*  465697 */     GIR_EraseRootFromParent_Done,
     /*  465698 */   // Label 7920: @465698
     /*  465698 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(465787), // Rule ID 14125 //
     /*  465703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465750 */     // MIs[1] Operand 1
     /*  465750 */     // No operand predicates
     /*  465750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465759 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465785 */     GIR_RootConstrainSelectedInstOperands,
     /*  465786 */     // GIR_Coverage, 14125,
     /*  465786 */     GIR_EraseRootFromParent_Done,
     /*  465787 */   // Label 7921: @465787
     /*  465787 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(465876), // Rule ID 14128 //
     /*  465792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465839 */     // MIs[1] Operand 1
     /*  465839 */     // No operand predicates
     /*  465839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465874 */     GIR_RootConstrainSelectedInstOperands,
     /*  465875 */     // GIR_Coverage, 14128,
     /*  465875 */     GIR_EraseRootFromParent_Done,
     /*  465876 */   // Label 7922: @465876
     /*  465876 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(465965), // Rule ID 14129 //
     /*  465881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465928 */     // MIs[1] Operand 1
     /*  465928 */     // No operand predicates
     /*  465928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465963 */     GIR_RootConstrainSelectedInstOperands,
     /*  465964 */     // GIR_Coverage, 14129,
     /*  465964 */     GIR_EraseRootFromParent_Done,
     /*  465965 */   // Label 7923: @465965
     /*  465965 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(466054), // Rule ID 14132 //
     /*  465970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466017 */     // MIs[1] Operand 1
     /*  466017 */     // No operand predicates
     /*  466017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466052 */     GIR_RootConstrainSelectedInstOperands,
     /*  466053 */     // GIR_Coverage, 14132,
     /*  466053 */     GIR_EraseRootFromParent_Done,
     /*  466054 */   // Label 7924: @466054
     /*  466054 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(466143), // Rule ID 14133 //
     /*  466059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466106 */     // MIs[1] Operand 1
     /*  466106 */     // No operand predicates
     /*  466106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466141 */     GIR_RootConstrainSelectedInstOperands,
     /*  466142 */     // GIR_Coverage, 14133,
     /*  466142 */     GIR_EraseRootFromParent_Done,
     /*  466143 */   // Label 7925: @466143
     /*  466143 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(466232), // Rule ID 14136 //
     /*  466148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466195 */     // MIs[1] Operand 1
     /*  466195 */     // No operand predicates
     /*  466195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466230 */     GIR_RootConstrainSelectedInstOperands,
     /*  466231 */     // GIR_Coverage, 14136,
     /*  466231 */     GIR_EraseRootFromParent_Done,
     /*  466232 */   // Label 7926: @466232
     /*  466232 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(466321), // Rule ID 14137 //
     /*  466237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466284 */     // MIs[1] Operand 1
     /*  466284 */     // No operand predicates
     /*  466284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466319 */     GIR_RootConstrainSelectedInstOperands,
     /*  466320 */     // GIR_Coverage, 14137,
     /*  466320 */     GIR_EraseRootFromParent_Done,
     /*  466321 */   // Label 7927: @466321
     /*  466321 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(466410), // Rule ID 14140 //
     /*  466326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466373 */     // MIs[1] Operand 1
     /*  466373 */     // No operand predicates
     /*  466373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466408 */     GIR_RootConstrainSelectedInstOperands,
     /*  466409 */     // GIR_Coverage, 14140,
     /*  466409 */     GIR_EraseRootFromParent_Done,
     /*  466410 */   // Label 7928: @466410
     /*  466410 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(466499), // Rule ID 14141 //
     /*  466415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466462 */     // MIs[1] Operand 1
     /*  466462 */     // No operand predicates
     /*  466462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466497 */     GIR_RootConstrainSelectedInstOperands,
     /*  466498 */     // GIR_Coverage, 14141,
     /*  466498 */     GIR_EraseRootFromParent_Done,
     /*  466499 */   // Label 7929: @466499
     /*  466499 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(466588), // Rule ID 14144 //
     /*  466504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466551 */     // MIs[1] Operand 1
     /*  466551 */     // No operand predicates
     /*  466551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466586 */     GIR_RootConstrainSelectedInstOperands,
     /*  466587 */     // GIR_Coverage, 14144,
     /*  466587 */     GIR_EraseRootFromParent_Done,
     /*  466588 */   // Label 7930: @466588
     /*  466588 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(466677), // Rule ID 14145 //
     /*  466593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466640 */     // MIs[1] Operand 1
     /*  466640 */     // No operand predicates
     /*  466640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466675 */     GIR_RootConstrainSelectedInstOperands,
     /*  466676 */     // GIR_Coverage, 14145,
     /*  466676 */     GIR_EraseRootFromParent_Done,
     /*  466677 */   // Label 7931: @466677
     /*  466677 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(466766), // Rule ID 14148 //
     /*  466682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466729 */     // MIs[1] Operand 1
     /*  466729 */     // No operand predicates
     /*  466729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466764 */     GIR_RootConstrainSelectedInstOperands,
     /*  466765 */     // GIR_Coverage, 14148,
     /*  466765 */     GIR_EraseRootFromParent_Done,
     /*  466766 */   // Label 7932: @466766
     /*  466766 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(466855), // Rule ID 14149 //
     /*  466771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466818 */     // MIs[1] Operand 1
     /*  466818 */     // No operand predicates
     /*  466818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466853 */     GIR_RootConstrainSelectedInstOperands,
     /*  466854 */     // GIR_Coverage, 14149,
     /*  466854 */     GIR_EraseRootFromParent_Done,
     /*  466855 */   // Label 7933: @466855
     /*  466855 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(466944), // Rule ID 14152 //
     /*  466860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466907 */     // MIs[1] Operand 1
     /*  466907 */     // No operand predicates
     /*  466907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466942 */     GIR_RootConstrainSelectedInstOperands,
     /*  466943 */     // GIR_Coverage, 14152,
     /*  466943 */     GIR_EraseRootFromParent_Done,
     /*  466944 */   // Label 7934: @466944
     /*  466944 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(467033), // Rule ID 14153 //
     /*  466949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466996 */     // MIs[1] Operand 1
     /*  466996 */     // No operand predicates
     /*  466996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467005 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467031 */     GIR_RootConstrainSelectedInstOperands,
     /*  467032 */     // GIR_Coverage, 14153,
     /*  467032 */     GIR_EraseRootFromParent_Done,
     /*  467033 */   // Label 7935: @467033
     /*  467033 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467122), // Rule ID 14156 //
     /*  467038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467085 */     // MIs[1] Operand 1
     /*  467085 */     // No operand predicates
     /*  467085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467120 */     GIR_RootConstrainSelectedInstOperands,
     /*  467121 */     // GIR_Coverage, 14156,
     /*  467121 */     GIR_EraseRootFromParent_Done,
     /*  467122 */   // Label 7936: @467122
     /*  467122 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(467211), // Rule ID 14157 //
     /*  467127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467174 */     // MIs[1] Operand 1
     /*  467174 */     // No operand predicates
     /*  467174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467183 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467209 */     GIR_RootConstrainSelectedInstOperands,
     /*  467210 */     // GIR_Coverage, 14157,
     /*  467210 */     GIR_EraseRootFromParent_Done,
     /*  467211 */   // Label 7937: @467211
     /*  467211 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(467300), // Rule ID 14160 //
     /*  467216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467263 */     // MIs[1] Operand 1
     /*  467263 */     // No operand predicates
     /*  467263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467298 */     GIR_RootConstrainSelectedInstOperands,
     /*  467299 */     // GIR_Coverage, 14160,
     /*  467299 */     GIR_EraseRootFromParent_Done,
     /*  467300 */   // Label 7938: @467300
     /*  467300 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(467389), // Rule ID 14161 //
     /*  467305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467352 */     // MIs[1] Operand 1
     /*  467352 */     // No operand predicates
     /*  467352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467387 */     GIR_RootConstrainSelectedInstOperands,
     /*  467388 */     // GIR_Coverage, 14161,
     /*  467388 */     GIR_EraseRootFromParent_Done,
     /*  467389 */   // Label 7939: @467389
     /*  467389 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(467478), // Rule ID 14164 //
     /*  467394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467441 */     // MIs[1] Operand 1
     /*  467441 */     // No operand predicates
     /*  467441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467476 */     GIR_RootConstrainSelectedInstOperands,
     /*  467477 */     // GIR_Coverage, 14164,
     /*  467477 */     GIR_EraseRootFromParent_Done,
     /*  467478 */   // Label 7940: @467478
     /*  467478 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(467567), // Rule ID 14165 //
     /*  467483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467530 */     // MIs[1] Operand 1
     /*  467530 */     // No operand predicates
     /*  467530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467565 */     GIR_RootConstrainSelectedInstOperands,
     /*  467566 */     // GIR_Coverage, 14165,
     /*  467566 */     GIR_EraseRootFromParent_Done,
     /*  467567 */   // Label 7941: @467567
     /*  467567 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(467656), // Rule ID 14168 //
     /*  467572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467619 */     // MIs[1] Operand 1
     /*  467619 */     // No operand predicates
     /*  467619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467654 */     GIR_RootConstrainSelectedInstOperands,
     /*  467655 */     // GIR_Coverage, 14168,
     /*  467655 */     GIR_EraseRootFromParent_Done,
     /*  467656 */   // Label 7942: @467656
     /*  467656 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(467745), // Rule ID 14169 //
     /*  467661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467708 */     // MIs[1] Operand 1
     /*  467708 */     // No operand predicates
     /*  467708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467743 */     GIR_RootConstrainSelectedInstOperands,
     /*  467744 */     // GIR_Coverage, 14169,
     /*  467744 */     GIR_EraseRootFromParent_Done,
     /*  467745 */   // Label 7943: @467745
     /*  467745 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(467834), // Rule ID 14172 //
     /*  467750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467797 */     // MIs[1] Operand 1
     /*  467797 */     // No operand predicates
     /*  467797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467832 */     GIR_RootConstrainSelectedInstOperands,
     /*  467833 */     // GIR_Coverage, 14172,
     /*  467833 */     GIR_EraseRootFromParent_Done,
     /*  467834 */   // Label 7944: @467834
     /*  467834 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(467923), // Rule ID 14173 //
     /*  467839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467886 */     // MIs[1] Operand 1
     /*  467886 */     // No operand predicates
     /*  467886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467921 */     GIR_RootConstrainSelectedInstOperands,
     /*  467922 */     // GIR_Coverage, 14173,
     /*  467922 */     GIR_EraseRootFromParent_Done,
     /*  467923 */   // Label 7945: @467923
     /*  467923 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(468012), // Rule ID 14176 //
     /*  467928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467975 */     // MIs[1] Operand 1
     /*  467975 */     // No operand predicates
     /*  467975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468010 */     GIR_RootConstrainSelectedInstOperands,
     /*  468011 */     // GIR_Coverage, 14176,
     /*  468011 */     GIR_EraseRootFromParent_Done,
     /*  468012 */   // Label 7946: @468012
     /*  468012 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468101), // Rule ID 14177 //
     /*  468017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468064 */     // MIs[1] Operand 1
     /*  468064 */     // No operand predicates
     /*  468064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468099 */     GIR_RootConstrainSelectedInstOperands,
     /*  468100 */     // GIR_Coverage, 14177,
     /*  468100 */     GIR_EraseRootFromParent_Done,
     /*  468101 */   // Label 7947: @468101
     /*  468101 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(468190), // Rule ID 14180 //
     /*  468106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468153 */     // MIs[1] Operand 1
     /*  468153 */     // No operand predicates
     /*  468153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468188 */     GIR_RootConstrainSelectedInstOperands,
     /*  468189 */     // GIR_Coverage, 14180,
     /*  468189 */     GIR_EraseRootFromParent_Done,
     /*  468190 */   // Label 7948: @468190
     /*  468190 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(468279), // Rule ID 14181 //
     /*  468195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468242 */     // MIs[1] Operand 1
     /*  468242 */     // No operand predicates
     /*  468242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468277 */     GIR_RootConstrainSelectedInstOperands,
     /*  468278 */     // GIR_Coverage, 14181,
     /*  468278 */     GIR_EraseRootFromParent_Done,
     /*  468279 */   // Label 7949: @468279
     /*  468279 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(468368), // Rule ID 14184 //
     /*  468284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468331 */     // MIs[1] Operand 1
     /*  468331 */     // No operand predicates
     /*  468331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468366 */     GIR_RootConstrainSelectedInstOperands,
     /*  468367 */     // GIR_Coverage, 14184,
     /*  468367 */     GIR_EraseRootFromParent_Done,
     /*  468368 */   // Label 7950: @468368
     /*  468368 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(468457), // Rule ID 14185 //
     /*  468373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468420 */     // MIs[1] Operand 1
     /*  468420 */     // No operand predicates
     /*  468420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468455 */     GIR_RootConstrainSelectedInstOperands,
     /*  468456 */     // GIR_Coverage, 14185,
     /*  468456 */     GIR_EraseRootFromParent_Done,
     /*  468457 */   // Label 7951: @468457
     /*  468457 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(468546), // Rule ID 14188 //
     /*  468462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468509 */     // MIs[1] Operand 1
     /*  468509 */     // No operand predicates
     /*  468509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468544 */     GIR_RootConstrainSelectedInstOperands,
     /*  468545 */     // GIR_Coverage, 14188,
     /*  468545 */     GIR_EraseRootFromParent_Done,
     /*  468546 */   // Label 7952: @468546
     /*  468546 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(468635), // Rule ID 14189 //
     /*  468551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468598 */     // MIs[1] Operand 1
     /*  468598 */     // No operand predicates
     /*  468598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468607 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468633 */     GIR_RootConstrainSelectedInstOperands,
     /*  468634 */     // GIR_Coverage, 14189,
     /*  468634 */     GIR_EraseRootFromParent_Done,
     /*  468635 */   // Label 7953: @468635
     /*  468635 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(468724), // Rule ID 14192 //
     /*  468640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468687 */     // MIs[1] Operand 1
     /*  468687 */     // No operand predicates
     /*  468687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468722 */     GIR_RootConstrainSelectedInstOperands,
     /*  468723 */     // GIR_Coverage, 14192,
     /*  468723 */     GIR_EraseRootFromParent_Done,
     /*  468724 */   // Label 7954: @468724
     /*  468724 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(468813), // Rule ID 14193 //
     /*  468729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468776 */     // MIs[1] Operand 1
     /*  468776 */     // No operand predicates
     /*  468776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468811 */     GIR_RootConstrainSelectedInstOperands,
     /*  468812 */     // GIR_Coverage, 14193,
     /*  468812 */     GIR_EraseRootFromParent_Done,
     /*  468813 */   // Label 7955: @468813
     /*  468813 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(468902), // Rule ID 14196 //
     /*  468818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468865 */     // MIs[1] Operand 1
     /*  468865 */     // No operand predicates
     /*  468865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468900 */     GIR_RootConstrainSelectedInstOperands,
     /*  468901 */     // GIR_Coverage, 14196,
     /*  468901 */     GIR_EraseRootFromParent_Done,
     /*  468902 */   // Label 7956: @468902
     /*  468902 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(468991), // Rule ID 14197 //
     /*  468907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468954 */     // MIs[1] Operand 1
     /*  468954 */     // No operand predicates
     /*  468954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468989 */     GIR_RootConstrainSelectedInstOperands,
     /*  468990 */     // GIR_Coverage, 14197,
     /*  468990 */     GIR_EraseRootFromParent_Done,
     /*  468991 */   // Label 7957: @468991
     /*  468991 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469080), // Rule ID 14376 //
     /*  468996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469043 */     // MIs[1] Operand 1
     /*  469043 */     // No operand predicates
     /*  469043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469078 */     GIR_RootConstrainSelectedInstOperands,
     /*  469079 */     // GIR_Coverage, 14376,
     /*  469079 */     GIR_EraseRootFromParent_Done,
     /*  469080 */   // Label 7958: @469080
     /*  469080 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(469169), // Rule ID 14377 //
     /*  469085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469132 */     // MIs[1] Operand 1
     /*  469132 */     // No operand predicates
     /*  469132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469167 */     GIR_RootConstrainSelectedInstOperands,
     /*  469168 */     // GIR_Coverage, 14377,
     /*  469168 */     GIR_EraseRootFromParent_Done,
     /*  469169 */   // Label 7959: @469169
     /*  469169 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(469258), // Rule ID 14380 //
     /*  469174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469221 */     // MIs[1] Operand 1
     /*  469221 */     // No operand predicates
     /*  469221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469256 */     GIR_RootConstrainSelectedInstOperands,
     /*  469257 */     // GIR_Coverage, 14380,
     /*  469257 */     GIR_EraseRootFromParent_Done,
     /*  469258 */   // Label 7960: @469258
     /*  469258 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(469347), // Rule ID 14381 //
     /*  469263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469310 */     // MIs[1] Operand 1
     /*  469310 */     // No operand predicates
     /*  469310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469319 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469345 */     GIR_RootConstrainSelectedInstOperands,
     /*  469346 */     // GIR_Coverage, 14381,
     /*  469346 */     GIR_EraseRootFromParent_Done,
     /*  469347 */   // Label 7961: @469347
     /*  469347 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(469436), // Rule ID 14384 //
     /*  469352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469399 */     // MIs[1] Operand 1
     /*  469399 */     // No operand predicates
     /*  469399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469434 */     GIR_RootConstrainSelectedInstOperands,
     /*  469435 */     // GIR_Coverage, 14384,
     /*  469435 */     GIR_EraseRootFromParent_Done,
     /*  469436 */   // Label 7962: @469436
     /*  469436 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(469525), // Rule ID 14385 //
     /*  469441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469488 */     // MIs[1] Operand 1
     /*  469488 */     // No operand predicates
     /*  469488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469523 */     GIR_RootConstrainSelectedInstOperands,
     /*  469524 */     // GIR_Coverage, 14385,
     /*  469524 */     GIR_EraseRootFromParent_Done,
     /*  469525 */   // Label 7963: @469525
     /*  469525 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(469614), // Rule ID 14388 //
     /*  469530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469577 */     // MIs[1] Operand 1
     /*  469577 */     // No operand predicates
     /*  469577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469612 */     GIR_RootConstrainSelectedInstOperands,
     /*  469613 */     // GIR_Coverage, 14388,
     /*  469613 */     GIR_EraseRootFromParent_Done,
     /*  469614 */   // Label 7964: @469614
     /*  469614 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(469703), // Rule ID 14389 //
     /*  469619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469666 */     // MIs[1] Operand 1
     /*  469666 */     // No operand predicates
     /*  469666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469701 */     GIR_RootConstrainSelectedInstOperands,
     /*  469702 */     // GIR_Coverage, 14389,
     /*  469702 */     GIR_EraseRootFromParent_Done,
     /*  469703 */   // Label 7965: @469703
     /*  469703 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(469792), // Rule ID 14392 //
     /*  469708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469755 */     // MIs[1] Operand 1
     /*  469755 */     // No operand predicates
     /*  469755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469790 */     GIR_RootConstrainSelectedInstOperands,
     /*  469791 */     // GIR_Coverage, 14392,
     /*  469791 */     GIR_EraseRootFromParent_Done,
     /*  469792 */   // Label 7966: @469792
     /*  469792 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(469881), // Rule ID 14393 //
     /*  469797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469844 */     // MIs[1] Operand 1
     /*  469844 */     // No operand predicates
     /*  469844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469879 */     GIR_RootConstrainSelectedInstOperands,
     /*  469880 */     // GIR_Coverage, 14393,
     /*  469880 */     GIR_EraseRootFromParent_Done,
     /*  469881 */   // Label 7967: @469881
     /*  469881 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(469970), // Rule ID 14396 //
     /*  469886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469933 */     // MIs[1] Operand 1
     /*  469933 */     // No operand predicates
     /*  469933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469968 */     GIR_RootConstrainSelectedInstOperands,
     /*  469969 */     // GIR_Coverage, 14396,
     /*  469969 */     GIR_EraseRootFromParent_Done,
     /*  469970 */   // Label 7968: @469970
     /*  469970 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(470059), // Rule ID 14397 //
     /*  469975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470022 */     // MIs[1] Operand 1
     /*  470022 */     // No operand predicates
     /*  470022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470057 */     GIR_RootConstrainSelectedInstOperands,
     /*  470058 */     // GIR_Coverage, 14397,
     /*  470058 */     GIR_EraseRootFromParent_Done,
     /*  470059 */   // Label 7969: @470059
     /*  470059 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(470148), // Rule ID 14400 //
     /*  470064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470111 */     // MIs[1] Operand 1
     /*  470111 */     // No operand predicates
     /*  470111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470146 */     GIR_RootConstrainSelectedInstOperands,
     /*  470147 */     // GIR_Coverage, 14400,
     /*  470147 */     GIR_EraseRootFromParent_Done,
     /*  470148 */   // Label 7970: @470148
     /*  470148 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(470237), // Rule ID 14401 //
     /*  470153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470200 */     // MIs[1] Operand 1
     /*  470200 */     // No operand predicates
     /*  470200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470235 */     GIR_RootConstrainSelectedInstOperands,
     /*  470236 */     // GIR_Coverage, 14401,
     /*  470236 */     GIR_EraseRootFromParent_Done,
     /*  470237 */   // Label 7971: @470237
     /*  470237 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(470326), // Rule ID 14404 //
     /*  470242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470289 */     // MIs[1] Operand 1
     /*  470289 */     // No operand predicates
     /*  470289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470324 */     GIR_RootConstrainSelectedInstOperands,
     /*  470325 */     // GIR_Coverage, 14404,
     /*  470325 */     GIR_EraseRootFromParent_Done,
     /*  470326 */   // Label 7972: @470326
     /*  470326 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(470415), // Rule ID 14405 //
     /*  470331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470378 */     // MIs[1] Operand 1
     /*  470378 */     // No operand predicates
     /*  470378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470413 */     GIR_RootConstrainSelectedInstOperands,
     /*  470414 */     // GIR_Coverage, 14405,
     /*  470414 */     GIR_EraseRootFromParent_Done,
     /*  470415 */   // Label 7973: @470415
     /*  470415 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(470504), // Rule ID 14408 //
     /*  470420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470467 */     // MIs[1] Operand 1
     /*  470467 */     // No operand predicates
     /*  470467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470502 */     GIR_RootConstrainSelectedInstOperands,
     /*  470503 */     // GIR_Coverage, 14408,
     /*  470503 */     GIR_EraseRootFromParent_Done,
     /*  470504 */   // Label 7974: @470504
     /*  470504 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(470593), // Rule ID 14409 //
     /*  470509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470556 */     // MIs[1] Operand 1
     /*  470556 */     // No operand predicates
     /*  470556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470591 */     GIR_RootConstrainSelectedInstOperands,
     /*  470592 */     // GIR_Coverage, 14409,
     /*  470592 */     GIR_EraseRootFromParent_Done,
     /*  470593 */   // Label 7975: @470593
     /*  470593 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(470682), // Rule ID 14412 //
     /*  470598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470645 */     // MIs[1] Operand 1
     /*  470645 */     // No operand predicates
     /*  470645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470680 */     GIR_RootConstrainSelectedInstOperands,
     /*  470681 */     // GIR_Coverage, 14412,
     /*  470681 */     GIR_EraseRootFromParent_Done,
     /*  470682 */   // Label 7976: @470682
     /*  470682 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(470771), // Rule ID 14413 //
     /*  470687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470734 */     // MIs[1] Operand 1
     /*  470734 */     // No operand predicates
     /*  470734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470769 */     GIR_RootConstrainSelectedInstOperands,
     /*  470770 */     // GIR_Coverage, 14413,
     /*  470770 */     GIR_EraseRootFromParent_Done,
     /*  470771 */   // Label 7977: @470771
     /*  470771 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(470860), // Rule ID 14416 //
     /*  470776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470823 */     // MIs[1] Operand 1
     /*  470823 */     // No operand predicates
     /*  470823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470858 */     GIR_RootConstrainSelectedInstOperands,
     /*  470859 */     // GIR_Coverage, 14416,
     /*  470859 */     GIR_EraseRootFromParent_Done,
     /*  470860 */   // Label 7978: @470860
     /*  470860 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(470949), // Rule ID 14417 //
     /*  470865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470912 */     // MIs[1] Operand 1
     /*  470912 */     // No operand predicates
     /*  470912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470947 */     GIR_RootConstrainSelectedInstOperands,
     /*  470948 */     // GIR_Coverage, 14417,
     /*  470948 */     GIR_EraseRootFromParent_Done,
     /*  470949 */   // Label 7979: @470949
     /*  470949 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(471038), // Rule ID 14420 //
     /*  470954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471001 */     // MIs[1] Operand 1
     /*  471001 */     // No operand predicates
     /*  471001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471036 */     GIR_RootConstrainSelectedInstOperands,
     /*  471037 */     // GIR_Coverage, 14420,
     /*  471037 */     GIR_EraseRootFromParent_Done,
     /*  471038 */   // Label 7980: @471038
     /*  471038 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471127), // Rule ID 14421 //
     /*  471043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471090 */     // MIs[1] Operand 1
     /*  471090 */     // No operand predicates
     /*  471090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471125 */     GIR_RootConstrainSelectedInstOperands,
     /*  471126 */     // GIR_Coverage, 14421,
     /*  471126 */     GIR_EraseRootFromParent_Done,
     /*  471127 */   // Label 7981: @471127
     /*  471127 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(471216), // Rule ID 14424 //
     /*  471132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471179 */     // MIs[1] Operand 1
     /*  471179 */     // No operand predicates
     /*  471179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471214 */     GIR_RootConstrainSelectedInstOperands,
     /*  471215 */     // GIR_Coverage, 14424,
     /*  471215 */     GIR_EraseRootFromParent_Done,
     /*  471216 */   // Label 7982: @471216
     /*  471216 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(471305), // Rule ID 14425 //
     /*  471221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471268 */     // MIs[1] Operand 1
     /*  471268 */     // No operand predicates
     /*  471268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471303 */     GIR_RootConstrainSelectedInstOperands,
     /*  471304 */     // GIR_Coverage, 14425,
     /*  471304 */     GIR_EraseRootFromParent_Done,
     /*  471305 */   // Label 7983: @471305
     /*  471305 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(471394), // Rule ID 14428 //
     /*  471310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471357 */     // MIs[1] Operand 1
     /*  471357 */     // No operand predicates
     /*  471357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471392 */     GIR_RootConstrainSelectedInstOperands,
     /*  471393 */     // GIR_Coverage, 14428,
     /*  471393 */     GIR_EraseRootFromParent_Done,
     /*  471394 */   // Label 7984: @471394
     /*  471394 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(471483), // Rule ID 14429 //
     /*  471399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471446 */     // MIs[1] Operand 1
     /*  471446 */     // No operand predicates
     /*  471446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471481 */     GIR_RootConstrainSelectedInstOperands,
     /*  471482 */     // GIR_Coverage, 14429,
     /*  471482 */     GIR_EraseRootFromParent_Done,
     /*  471483 */   // Label 7985: @471483
     /*  471483 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(471572), // Rule ID 14432 //
     /*  471488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471535 */     // MIs[1] Operand 1
     /*  471535 */     // No operand predicates
     /*  471535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471570 */     GIR_RootConstrainSelectedInstOperands,
     /*  471571 */     // GIR_Coverage, 14432,
     /*  471571 */     GIR_EraseRootFromParent_Done,
     /*  471572 */   // Label 7986: @471572
     /*  471572 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(471661), // Rule ID 14433 //
     /*  471577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471624 */     // MIs[1] Operand 1
     /*  471624 */     // No operand predicates
     /*  471624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471659 */     GIR_RootConstrainSelectedInstOperands,
     /*  471660 */     // GIR_Coverage, 14433,
     /*  471660 */     GIR_EraseRootFromParent_Done,
     /*  471661 */   // Label 7987: @471661
     /*  471661 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(471750), // Rule ID 14436 //
     /*  471666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471713 */     // MIs[1] Operand 1
     /*  471713 */     // No operand predicates
     /*  471713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471748 */     GIR_RootConstrainSelectedInstOperands,
     /*  471749 */     // GIR_Coverage, 14436,
     /*  471749 */     GIR_EraseRootFromParent_Done,
     /*  471750 */   // Label 7988: @471750
     /*  471750 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(471839), // Rule ID 14437 //
     /*  471755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471802 */     // MIs[1] Operand 1
     /*  471802 */     // No operand predicates
     /*  471802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471837 */     GIR_RootConstrainSelectedInstOperands,
     /*  471838 */     // GIR_Coverage, 14437,
     /*  471838 */     GIR_EraseRootFromParent_Done,
     /*  471839 */   // Label 7989: @471839
     /*  471839 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(471928), // Rule ID 14440 //
     /*  471844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471891 */     // MIs[1] Operand 1
     /*  471891 */     // No operand predicates
     /*  471891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471926 */     GIR_RootConstrainSelectedInstOperands,
     /*  471927 */     // GIR_Coverage, 14440,
     /*  471927 */     GIR_EraseRootFromParent_Done,
     /*  471928 */   // Label 7990: @471928
     /*  471928 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(472017), // Rule ID 14441 //
     /*  471933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471980 */     // MIs[1] Operand 1
     /*  471980 */     // No operand predicates
     /*  471980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472015 */     GIR_RootConstrainSelectedInstOperands,
     /*  472016 */     // GIR_Coverage, 14441,
     /*  472016 */     GIR_EraseRootFromParent_Done,
     /*  472017 */   // Label 7991: @472017
     /*  472017 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472106), // Rule ID 14444 //
     /*  472022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472069 */     // MIs[1] Operand 1
     /*  472069 */     // No operand predicates
     /*  472069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472104 */     GIR_RootConstrainSelectedInstOperands,
     /*  472105 */     // GIR_Coverage, 14444,
     /*  472105 */     GIR_EraseRootFromParent_Done,
     /*  472106 */   // Label 7992: @472106
     /*  472106 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(472195), // Rule ID 14445 //
     /*  472111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472158 */     // MIs[1] Operand 1
     /*  472158 */     // No operand predicates
     /*  472158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472193 */     GIR_RootConstrainSelectedInstOperands,
     /*  472194 */     // GIR_Coverage, 14445,
     /*  472194 */     GIR_EraseRootFromParent_Done,
     /*  472195 */   // Label 7993: @472195
     /*  472195 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(472284), // Rule ID 14448 //
     /*  472200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472247 */     // MIs[1] Operand 1
     /*  472247 */     // No operand predicates
     /*  472247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472282 */     GIR_RootConstrainSelectedInstOperands,
     /*  472283 */     // GIR_Coverage, 14448,
     /*  472283 */     GIR_EraseRootFromParent_Done,
     /*  472284 */   // Label 7994: @472284
     /*  472284 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(472373), // Rule ID 14449 //
     /*  472289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472336 */     // MIs[1] Operand 1
     /*  472336 */     // No operand predicates
     /*  472336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472371 */     GIR_RootConstrainSelectedInstOperands,
     /*  472372 */     // GIR_Coverage, 14449,
     /*  472372 */     GIR_EraseRootFromParent_Done,
     /*  472373 */   // Label 7995: @472373
     /*  472373 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(472462), // Rule ID 14452 //
     /*  472378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472425 */     // MIs[1] Operand 1
     /*  472425 */     // No operand predicates
     /*  472425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472460 */     GIR_RootConstrainSelectedInstOperands,
     /*  472461 */     // GIR_Coverage, 14452,
     /*  472461 */     GIR_EraseRootFromParent_Done,
     /*  472462 */   // Label 7996: @472462
     /*  472462 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(472551), // Rule ID 14453 //
     /*  472467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472514 */     // MIs[1] Operand 1
     /*  472514 */     // No operand predicates
     /*  472514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472549 */     GIR_RootConstrainSelectedInstOperands,
     /*  472550 */     // GIR_Coverage, 14453,
     /*  472550 */     GIR_EraseRootFromParent_Done,
     /*  472551 */   // Label 7997: @472551
     /*  472551 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(472640), // Rule ID 14456 //
     /*  472556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472603 */     // MIs[1] Operand 1
     /*  472603 */     // No operand predicates
     /*  472603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472638 */     GIR_RootConstrainSelectedInstOperands,
     /*  472639 */     // GIR_Coverage, 14456,
     /*  472639 */     GIR_EraseRootFromParent_Done,
     /*  472640 */   // Label 7998: @472640
     /*  472640 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(472729), // Rule ID 14457 //
     /*  472645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472692 */     // MIs[1] Operand 1
     /*  472692 */     // No operand predicates
     /*  472692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472727 */     GIR_RootConstrainSelectedInstOperands,
     /*  472728 */     // GIR_Coverage, 14457,
     /*  472728 */     GIR_EraseRootFromParent_Done,
     /*  472729 */   // Label 7999: @472729
     /*  472729 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(472818), // Rule ID 14460 //
     /*  472734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472781 */     // MIs[1] Operand 1
     /*  472781 */     // No operand predicates
     /*  472781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472816 */     GIR_RootConstrainSelectedInstOperands,
     /*  472817 */     // GIR_Coverage, 14460,
     /*  472817 */     GIR_EraseRootFromParent_Done,
     /*  472818 */   // Label 8000: @472818
     /*  472818 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(472907), // Rule ID 14461 //
     /*  472823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472870 */     // MIs[1] Operand 1
     /*  472870 */     // No operand predicates
     /*  472870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472905 */     GIR_RootConstrainSelectedInstOperands,
     /*  472906 */     // GIR_Coverage, 14461,
     /*  472906 */     GIR_EraseRootFromParent_Done,
     /*  472907 */   // Label 8001: @472907
     /*  472907 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(472993), // Rule ID 24556 //
     /*  472912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472959 */     // MIs[1] Operand 1
     /*  472959 */     // No operand predicates
     /*  472959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472991 */     GIR_RootConstrainSelectedInstOperands,
     /*  472992 */     // GIR_Coverage, 24556,
     /*  472992 */     GIR_EraseRootFromParent_Done,
     /*  472993 */   // Label 8002: @472993
     /*  472993 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(473079), // Rule ID 24557 //
     /*  472998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473045 */     // MIs[1] Operand 1
     /*  473045 */     // No operand predicates
     /*  473045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473054 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  473057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473077 */     GIR_RootConstrainSelectedInstOperands,
     /*  473078 */     // GIR_Coverage, 24557,
     /*  473078 */     GIR_EraseRootFromParent_Done,
     /*  473079 */   // Label 8003: @473079
     /*  473079 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473165), // Rule ID 24560 //
     /*  473084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473131 */     // MIs[1] Operand 1
     /*  473131 */     // No operand predicates
     /*  473131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473140 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473163 */     GIR_RootConstrainSelectedInstOperands,
     /*  473164 */     // GIR_Coverage, 24560,
     /*  473164 */     GIR_EraseRootFromParent_Done,
     /*  473165 */   // Label 8004: @473165
     /*  473165 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(473251), // Rule ID 24561 //
     /*  473170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473217 */     // MIs[1] Operand 1
     /*  473217 */     // No operand predicates
     /*  473217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473226 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473249 */     GIR_RootConstrainSelectedInstOperands,
     /*  473250 */     // GIR_Coverage, 24561,
     /*  473250 */     GIR_EraseRootFromParent_Done,
     /*  473251 */   // Label 8005: @473251
     /*  473251 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(473337), // Rule ID 24564 //
     /*  473256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473303 */     // MIs[1] Operand 1
     /*  473303 */     // No operand predicates
     /*  473303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473335 */     GIR_RootConstrainSelectedInstOperands,
     /*  473336 */     // GIR_Coverage, 24564,
     /*  473336 */     GIR_EraseRootFromParent_Done,
     /*  473337 */   // Label 8006: @473337
     /*  473337 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(473423), // Rule ID 24565 //
     /*  473342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473389 */     // MIs[1] Operand 1
     /*  473389 */     // No operand predicates
     /*  473389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473398 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473421 */     GIR_RootConstrainSelectedInstOperands,
     /*  473422 */     // GIR_Coverage, 24565,
     /*  473422 */     GIR_EraseRootFromParent_Done,
     /*  473423 */   // Label 8007: @473423
     /*  473423 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(473509), // Rule ID 24568 //
     /*  473428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473475 */     // MIs[1] Operand 1
     /*  473475 */     // No operand predicates
     /*  473475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473507 */     GIR_RootConstrainSelectedInstOperands,
     /*  473508 */     // GIR_Coverage, 24568,
     /*  473508 */     GIR_EraseRootFromParent_Done,
     /*  473509 */   // Label 8008: @473509
     /*  473509 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(473595), // Rule ID 24569 //
     /*  473514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473561 */     // MIs[1] Operand 1
     /*  473561 */     // No operand predicates
     /*  473561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473570 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473593 */     GIR_RootConstrainSelectedInstOperands,
     /*  473594 */     // GIR_Coverage, 24569,
     /*  473594 */     GIR_EraseRootFromParent_Done,
     /*  473595 */   // Label 8009: @473595
     /*  473595 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(473681), // Rule ID 24572 //
     /*  473600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473647 */     // MIs[1] Operand 1
     /*  473647 */     // No operand predicates
     /*  473647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473679 */     GIR_RootConstrainSelectedInstOperands,
     /*  473680 */     // GIR_Coverage, 24572,
     /*  473680 */     GIR_EraseRootFromParent_Done,
     /*  473681 */   // Label 8010: @473681
     /*  473681 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(473767), // Rule ID 24573 //
     /*  473686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473733 */     // MIs[1] Operand 1
     /*  473733 */     // No operand predicates
     /*  473733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473765 */     GIR_RootConstrainSelectedInstOperands,
     /*  473766 */     // GIR_Coverage, 24573,
     /*  473766 */     GIR_EraseRootFromParent_Done,
     /*  473767 */   // Label 8011: @473767
     /*  473767 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(473853), // Rule ID 24576 //
     /*  473772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473819 */     // MIs[1] Operand 1
     /*  473819 */     // No operand predicates
     /*  473819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473851 */     GIR_RootConstrainSelectedInstOperands,
     /*  473852 */     // GIR_Coverage, 24576,
     /*  473852 */     GIR_EraseRootFromParent_Done,
     /*  473853 */   // Label 8012: @473853
     /*  473853 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(473939), // Rule ID 24577 //
     /*  473858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473905 */     // MIs[1] Operand 1
     /*  473905 */     // No operand predicates
     /*  473905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473937 */     GIR_RootConstrainSelectedInstOperands,
     /*  473938 */     // GIR_Coverage, 24577,
     /*  473938 */     GIR_EraseRootFromParent_Done,
     /*  473939 */   // Label 8013: @473939
     /*  473939 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(474025), // Rule ID 24580 //
     /*  473944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473991 */     // MIs[1] Operand 1
     /*  473991 */     // No operand predicates
     /*  473991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474023 */     GIR_RootConstrainSelectedInstOperands,
     /*  474024 */     // GIR_Coverage, 24580,
     /*  474024 */     GIR_EraseRootFromParent_Done,
     /*  474025 */   // Label 8014: @474025
     /*  474025 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474111), // Rule ID 24581 //
     /*  474030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474077 */     // MIs[1] Operand 1
     /*  474077 */     // No operand predicates
     /*  474077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474109 */     GIR_RootConstrainSelectedInstOperands,
     /*  474110 */     // GIR_Coverage, 24581,
     /*  474110 */     GIR_EraseRootFromParent_Done,
     /*  474111 */   // Label 8015: @474111
     /*  474111 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474197), // Rule ID 24584 //
     /*  474116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474163 */     // MIs[1] Operand 1
     /*  474163 */     // No operand predicates
     /*  474163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474195 */     GIR_RootConstrainSelectedInstOperands,
     /*  474196 */     // GIR_Coverage, 24584,
     /*  474196 */     GIR_EraseRootFromParent_Done,
     /*  474197 */   // Label 8016: @474197
     /*  474197 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(474283), // Rule ID 24585 //
     /*  474202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474249 */     // MIs[1] Operand 1
     /*  474249 */     // No operand predicates
     /*  474249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474281 */     GIR_RootConstrainSelectedInstOperands,
     /*  474282 */     // GIR_Coverage, 24585,
     /*  474282 */     GIR_EraseRootFromParent_Done,
     /*  474283 */   // Label 8017: @474283
     /*  474283 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(474369), // Rule ID 24588 //
     /*  474288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474335 */     // MIs[1] Operand 1
     /*  474335 */     // No operand predicates
     /*  474335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474367 */     GIR_RootConstrainSelectedInstOperands,
     /*  474368 */     // GIR_Coverage, 24588,
     /*  474368 */     GIR_EraseRootFromParent_Done,
     /*  474369 */   // Label 8018: @474369
     /*  474369 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(474455), // Rule ID 24589 //
     /*  474374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474421 */     // MIs[1] Operand 1
     /*  474421 */     // No operand predicates
     /*  474421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474453 */     GIR_RootConstrainSelectedInstOperands,
     /*  474454 */     // GIR_Coverage, 24589,
     /*  474454 */     GIR_EraseRootFromParent_Done,
     /*  474455 */   // Label 8019: @474455
     /*  474455 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(474541), // Rule ID 24592 //
     /*  474460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474507 */     // MIs[1] Operand 1
     /*  474507 */     // No operand predicates
     /*  474507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474539 */     GIR_RootConstrainSelectedInstOperands,
     /*  474540 */     // GIR_Coverage, 24592,
     /*  474540 */     GIR_EraseRootFromParent_Done,
     /*  474541 */   // Label 8020: @474541
     /*  474541 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(474627), // Rule ID 24593 //
     /*  474546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474593 */     // MIs[1] Operand 1
     /*  474593 */     // No operand predicates
     /*  474593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474625 */     GIR_RootConstrainSelectedInstOperands,
     /*  474626 */     // GIR_Coverage, 24593,
     /*  474626 */     GIR_EraseRootFromParent_Done,
     /*  474627 */   // Label 8021: @474627
     /*  474627 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(474713), // Rule ID 24596 //
     /*  474632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474679 */     // MIs[1] Operand 1
     /*  474679 */     // No operand predicates
     /*  474679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474711 */     GIR_RootConstrainSelectedInstOperands,
     /*  474712 */     // GIR_Coverage, 24596,
     /*  474712 */     GIR_EraseRootFromParent_Done,
     /*  474713 */   // Label 8022: @474713
     /*  474713 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(474799), // Rule ID 24597 //
     /*  474718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474765 */     // MIs[1] Operand 1
     /*  474765 */     // No operand predicates
     /*  474765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474797 */     GIR_RootConstrainSelectedInstOperands,
     /*  474798 */     // GIR_Coverage, 24597,
     /*  474798 */     GIR_EraseRootFromParent_Done,
     /*  474799 */   // Label 8023: @474799
     /*  474799 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(474885), // Rule ID 24600 //
     /*  474804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474851 */     // MIs[1] Operand 1
     /*  474851 */     // No operand predicates
     /*  474851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474860 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474883 */     GIR_RootConstrainSelectedInstOperands,
     /*  474884 */     // GIR_Coverage, 24600,
     /*  474884 */     GIR_EraseRootFromParent_Done,
     /*  474885 */   // Label 8024: @474885
     /*  474885 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(474971), // Rule ID 24601 //
     /*  474890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474937 */     // MIs[1] Operand 1
     /*  474937 */     // No operand predicates
     /*  474937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474969 */     GIR_RootConstrainSelectedInstOperands,
     /*  474970 */     // GIR_Coverage, 24601,
     /*  474970 */     GIR_EraseRootFromParent_Done,
     /*  474971 */   // Label 8025: @474971
     /*  474971 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(475057), // Rule ID 24604 //
     /*  474976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  474993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475023 */     // MIs[1] Operand 1
     /*  475023 */     // No operand predicates
     /*  475023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475055 */     GIR_RootConstrainSelectedInstOperands,
     /*  475056 */     // GIR_Coverage, 24604,
     /*  475056 */     GIR_EraseRootFromParent_Done,
     /*  475057 */   // Label 8026: @475057
     /*  475057 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475143), // Rule ID 24605 //
     /*  475062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475109 */     // MIs[1] Operand 1
     /*  475109 */     // No operand predicates
     /*  475109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475141 */     GIR_RootConstrainSelectedInstOperands,
     /*  475142 */     // GIR_Coverage, 24605,
     /*  475142 */     GIR_EraseRootFromParent_Done,
     /*  475143 */   // Label 8027: @475143
     /*  475143 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(475229), // Rule ID 24608 //
     /*  475148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475195 */     // MIs[1] Operand 1
     /*  475195 */     // No operand predicates
     /*  475195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475227 */     GIR_RootConstrainSelectedInstOperands,
     /*  475228 */     // GIR_Coverage, 24608,
     /*  475228 */     GIR_EraseRootFromParent_Done,
     /*  475229 */   // Label 8028: @475229
     /*  475229 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(475315), // Rule ID 24609 //
     /*  475234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475281 */     // MIs[1] Operand 1
     /*  475281 */     // No operand predicates
     /*  475281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475290 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475313 */     GIR_RootConstrainSelectedInstOperands,
     /*  475314 */     // GIR_Coverage, 24609,
     /*  475314 */     GIR_EraseRootFromParent_Done,
     /*  475315 */   // Label 8029: @475315
     /*  475315 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(475401), // Rule ID 24612 //
     /*  475320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475367 */     // MIs[1] Operand 1
     /*  475367 */     // No operand predicates
     /*  475367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475399 */     GIR_RootConstrainSelectedInstOperands,
     /*  475400 */     // GIR_Coverage, 24612,
     /*  475400 */     GIR_EraseRootFromParent_Done,
     /*  475401 */   // Label 8030: @475401
     /*  475401 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(475487), // Rule ID 24613 //
     /*  475406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475453 */     // MIs[1] Operand 1
     /*  475453 */     // No operand predicates
     /*  475453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475462 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475485 */     GIR_RootConstrainSelectedInstOperands,
     /*  475486 */     // GIR_Coverage, 24613,
     /*  475486 */     GIR_EraseRootFromParent_Done,
     /*  475487 */   // Label 8031: @475487
     /*  475487 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(475573), // Rule ID 24616 //
     /*  475492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475539 */     // MIs[1] Operand 1
     /*  475539 */     // No operand predicates
     /*  475539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475571 */     GIR_RootConstrainSelectedInstOperands,
     /*  475572 */     // GIR_Coverage, 24616,
     /*  475572 */     GIR_EraseRootFromParent_Done,
     /*  475573 */   // Label 8032: @475573
     /*  475573 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(475659), // Rule ID 24617 //
     /*  475578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475625 */     // MIs[1] Operand 1
     /*  475625 */     // No operand predicates
     /*  475625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475657 */     GIR_RootConstrainSelectedInstOperands,
     /*  475658 */     // GIR_Coverage, 24617,
     /*  475658 */     GIR_EraseRootFromParent_Done,
     /*  475659 */   // Label 8033: @475659
     /*  475659 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(475745), // Rule ID 24620 //
     /*  475664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475711 */     // MIs[1] Operand 1
     /*  475711 */     // No operand predicates
     /*  475711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475743 */     GIR_RootConstrainSelectedInstOperands,
     /*  475744 */     // GIR_Coverage, 24620,
     /*  475744 */     GIR_EraseRootFromParent_Done,
     /*  475745 */   // Label 8034: @475745
     /*  475745 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(475831), // Rule ID 24621 //
     /*  475750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475797 */     // MIs[1] Operand 1
     /*  475797 */     // No operand predicates
     /*  475797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475829 */     GIR_RootConstrainSelectedInstOperands,
     /*  475830 */     // GIR_Coverage, 24621,
     /*  475830 */     GIR_EraseRootFromParent_Done,
     /*  475831 */   // Label 8035: @475831
     /*  475831 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(475917), // Rule ID 24624 //
     /*  475836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475883 */     // MIs[1] Operand 1
     /*  475883 */     // No operand predicates
     /*  475883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475915 */     GIR_RootConstrainSelectedInstOperands,
     /*  475916 */     // GIR_Coverage, 24624,
     /*  475916 */     GIR_EraseRootFromParent_Done,
     /*  475917 */   // Label 8036: @475917
     /*  475917 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(476003), // Rule ID 24625 //
     /*  475922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475969 */     // MIs[1] Operand 1
     /*  475969 */     // No operand predicates
     /*  475969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476001 */     GIR_RootConstrainSelectedInstOperands,
     /*  476002 */     // GIR_Coverage, 24625,
     /*  476002 */     GIR_EraseRootFromParent_Done,
     /*  476003 */   // Label 8037: @476003
     /*  476003 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476089), // Rule ID 24628 //
     /*  476008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476055 */     // MIs[1] Operand 1
     /*  476055 */     // No operand predicates
     /*  476055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476087 */     GIR_RootConstrainSelectedInstOperands,
     /*  476088 */     // GIR_Coverage, 24628,
     /*  476088 */     GIR_EraseRootFromParent_Done,
     /*  476089 */   // Label 8038: @476089
     /*  476089 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476175), // Rule ID 24629 //
     /*  476094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476141 */     // MIs[1] Operand 1
     /*  476141 */     // No operand predicates
     /*  476141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476173 */     GIR_RootConstrainSelectedInstOperands,
     /*  476174 */     // GIR_Coverage, 24629,
     /*  476174 */     GIR_EraseRootFromParent_Done,
     /*  476175 */   // Label 8039: @476175
     /*  476175 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(476261), // Rule ID 24632 //
     /*  476180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476227 */     // MIs[1] Operand 1
     /*  476227 */     // No operand predicates
     /*  476227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476259 */     GIR_RootConstrainSelectedInstOperands,
     /*  476260 */     // GIR_Coverage, 24632,
     /*  476260 */     GIR_EraseRootFromParent_Done,
     /*  476261 */   // Label 8040: @476261
     /*  476261 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(476347), // Rule ID 24633 //
     /*  476266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476313 */     // MIs[1] Operand 1
     /*  476313 */     // No operand predicates
     /*  476313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476345 */     GIR_RootConstrainSelectedInstOperands,
     /*  476346 */     // GIR_Coverage, 24633,
     /*  476346 */     GIR_EraseRootFromParent_Done,
     /*  476347 */   // Label 8041: @476347
     /*  476347 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(476433), // Rule ID 24636 //
     /*  476352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476399 */     // MIs[1] Operand 1
     /*  476399 */     // No operand predicates
     /*  476399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476431 */     GIR_RootConstrainSelectedInstOperands,
     /*  476432 */     // GIR_Coverage, 24636,
     /*  476432 */     GIR_EraseRootFromParent_Done,
     /*  476433 */   // Label 8042: @476433
     /*  476433 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(476519), // Rule ID 24637 //
     /*  476438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476485 */     // MIs[1] Operand 1
     /*  476485 */     // No operand predicates
     /*  476485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476517 */     GIR_RootConstrainSelectedInstOperands,
     /*  476518 */     // GIR_Coverage, 24637,
     /*  476518 */     GIR_EraseRootFromParent_Done,
     /*  476519 */   // Label 8043: @476519
     /*  476519 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(476605), // Rule ID 24640 //
     /*  476524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476571 */     // MIs[1] Operand 1
     /*  476571 */     // No operand predicates
     /*  476571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476603 */     GIR_RootConstrainSelectedInstOperands,
     /*  476604 */     // GIR_Coverage, 24640,
     /*  476604 */     GIR_EraseRootFromParent_Done,
     /*  476605 */   // Label 8044: @476605
     /*  476605 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(476691), // Rule ID 24641 //
     /*  476610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476657 */     // MIs[1] Operand 1
     /*  476657 */     // No operand predicates
     /*  476657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476689 */     GIR_RootConstrainSelectedInstOperands,
     /*  476690 */     // GIR_Coverage, 24641,
     /*  476690 */     GIR_EraseRootFromParent_Done,
     /*  476691 */   // Label 8045: @476691
     /*  476691 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(476777), // Rule ID 24800 //
     /*  476696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476743 */     // MIs[1] Operand 1
     /*  476743 */     // No operand predicates
     /*  476743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476775 */     GIR_RootConstrainSelectedInstOperands,
     /*  476776 */     // GIR_Coverage, 24800,
     /*  476776 */     GIR_EraseRootFromParent_Done,
     /*  476777 */   // Label 8046: @476777
     /*  476777 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(476863), // Rule ID 24801 //
     /*  476782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476829 */     // MIs[1] Operand 1
     /*  476829 */     // No operand predicates
     /*  476829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476838 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476861 */     GIR_RootConstrainSelectedInstOperands,
     /*  476862 */     // GIR_Coverage, 24801,
     /*  476862 */     GIR_EraseRootFromParent_Done,
     /*  476863 */   // Label 8047: @476863
     /*  476863 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(476949), // Rule ID 24804 //
     /*  476868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476915 */     // MIs[1] Operand 1
     /*  476915 */     // No operand predicates
     /*  476915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476947 */     GIR_RootConstrainSelectedInstOperands,
     /*  476948 */     // GIR_Coverage, 24804,
     /*  476948 */     GIR_EraseRootFromParent_Done,
     /*  476949 */   // Label 8048: @476949
     /*  476949 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(477035), // Rule ID 24805 //
     /*  476954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477001 */     // MIs[1] Operand 1
     /*  477001 */     // No operand predicates
     /*  477001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477033 */     GIR_RootConstrainSelectedInstOperands,
     /*  477034 */     // GIR_Coverage, 24805,
     /*  477034 */     GIR_EraseRootFromParent_Done,
     /*  477035 */   // Label 8049: @477035
     /*  477035 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477121), // Rule ID 24808 //
     /*  477040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477087 */     // MIs[1] Operand 1
     /*  477087 */     // No operand predicates
     /*  477087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477119 */     GIR_RootConstrainSelectedInstOperands,
     /*  477120 */     // GIR_Coverage, 24808,
     /*  477120 */     GIR_EraseRootFromParent_Done,
     /*  477121 */   // Label 8050: @477121
     /*  477121 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477207), // Rule ID 24809 //
     /*  477126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477173 */     // MIs[1] Operand 1
     /*  477173 */     // No operand predicates
     /*  477173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477205 */     GIR_RootConstrainSelectedInstOperands,
     /*  477206 */     // GIR_Coverage, 24809,
     /*  477206 */     GIR_EraseRootFromParent_Done,
     /*  477207 */   // Label 8051: @477207
     /*  477207 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(477293), // Rule ID 24812 //
     /*  477212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  477229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477259 */     // MIs[1] Operand 1
     /*  477259 */     // No operand predicates
     /*  477259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477291 */     GIR_RootConstrainSelectedInstOperands,
     /*  477292 */     // GIR_Coverage, 24812,
     /*  477292 */     GIR_EraseRootFromParent_Done,
     /*  477293 */   // Label 8052: @477293
     /*  477293 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(477379), // Rule ID 24813 //
     /*  477298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  477315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477345 */     // MIs[1] Operand 1
     /*  477345 */     // No operand predicates
     /*  477345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477354 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477377 */     GIR_RootConstrainSelectedInstOperands,
     /*  477378 */     // GIR_Coverage, 24813,
     /*  477378 */     GIR_EraseRootFromParent_Done,
     /*  477379 */   // Label 8053: @477379
     /*  477379 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(477465), // Rule ID 24816 //
     /*  477384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477431 */     // MIs[1] Operand 1
     /*  477431 */     // No operand predicates
     /*  477431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477440 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477463 */     GIR_RootConstrainSelectedInstOperands,
     /*  477464 */     // GIR_Coverage, 24816,
     /*  477464 */     GIR_EraseRootFromParent_Done,
     /*  477465 */   // Label 8054: @477465
     /*  477465 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(477551), // Rule ID 24817 //
     /*  477470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477517 */     // MIs[1] Operand 1
     /*  477517 */     // No operand predicates
     /*  477517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477526 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477549 */     GIR_RootConstrainSelectedInstOperands,
     /*  477550 */     // GIR_Coverage, 24817,
     /*  477550 */     GIR_EraseRootFromParent_Done,
     /*  477551 */   // Label 8055: @477551
     /*  477551 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(477637), // Rule ID 24820 //
     /*  477556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477603 */     // MIs[1] Operand 1
     /*  477603 */     // No operand predicates
     /*  477603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477635 */     GIR_RootConstrainSelectedInstOperands,
     /*  477636 */     // GIR_Coverage, 24820,
     /*  477636 */     GIR_EraseRootFromParent_Done,
     /*  477637 */   // Label 8056: @477637
     /*  477637 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(477723), // Rule ID 24821 //
     /*  477642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477689 */     // MIs[1] Operand 1
     /*  477689 */     // No operand predicates
     /*  477689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477721 */     GIR_RootConstrainSelectedInstOperands,
     /*  477722 */     // GIR_Coverage, 24821,
     /*  477722 */     GIR_EraseRootFromParent_Done,
     /*  477723 */   // Label 8057: @477723
     /*  477723 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(477809), // Rule ID 24824 //
     /*  477728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477775 */     // MIs[1] Operand 1
     /*  477775 */     // No operand predicates
     /*  477775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477784 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477807 */     GIR_RootConstrainSelectedInstOperands,
     /*  477808 */     // GIR_Coverage, 24824,
     /*  477808 */     GIR_EraseRootFromParent_Done,
     /*  477809 */   // Label 8058: @477809
     /*  477809 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(477895), // Rule ID 24825 //
     /*  477814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477861 */     // MIs[1] Operand 1
     /*  477861 */     // No operand predicates
     /*  477861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477893 */     GIR_RootConstrainSelectedInstOperands,
     /*  477894 */     // GIR_Coverage, 24825,
     /*  477894 */     GIR_EraseRootFromParent_Done,
     /*  477895 */   // Label 8059: @477895
     /*  477895 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(477981), // Rule ID 24828 //
     /*  477900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477947 */     // MIs[1] Operand 1
     /*  477947 */     // No operand predicates
     /*  477947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477979 */     GIR_RootConstrainSelectedInstOperands,
     /*  477980 */     // GIR_Coverage, 24828,
     /*  477980 */     GIR_EraseRootFromParent_Done,
     /*  477981 */   // Label 8060: @477981
     /*  477981 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(478067), // Rule ID 24829 //
     /*  477986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  478003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478033 */     // MIs[1] Operand 1
     /*  478033 */     // No operand predicates
     /*  478033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478042 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478065 */     GIR_RootConstrainSelectedInstOperands,
     /*  478066 */     // GIR_Coverage, 24829,
     /*  478066 */     GIR_EraseRootFromParent_Done,
     /*  478067 */   // Label 8061: @478067
     /*  478067 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478153), // Rule ID 24832 //
     /*  478072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  478075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  478089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478119 */     // MIs[1] Operand 1
     /*  478119 */     // No operand predicates
     /*  478119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478128 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478151 */     GIR_RootConstrainSelectedInstOperands,
     /*  478152 */     // GIR_Coverage, 24832,
     /*  478152 */     GIR_EraseRootFromParent_Done,
     /*  478153 */   // Label 8062: @478153
     /*  478153 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(478239), // Rule ID 24833 //
     /*  478158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  478161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  478175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478205 */     // MIs[1] Operand 1
     /*  478205 */     // No operand predicates
     /*  478205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478214 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478237 */     GIR_RootConstrainSelectedInstOperands,
     /*  478238 */     // GIR_Coverage, 24833,
     /*  478238 */     GIR_EraseRootFromParent_Done,
     /*  478239 */   // Label 8063: @478239
     /*  478239 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(478325), // Rule ID 24884 //
     /*  478244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478291 */     // MIs[1] Operand 1
     /*  478291 */     // No operand predicates
     /*  478291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478300 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478323 */     GIR_RootConstrainSelectedInstOperands,
     /*  478324 */     // GIR_Coverage, 24884,
     /*  478324 */     GIR_EraseRootFromParent_Done,
     /*  478325 */   // Label 8064: @478325
     /*  478325 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(478411), // Rule ID 24885 //
     /*  478330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478377 */     // MIs[1] Operand 1
     /*  478377 */     // No operand predicates
     /*  478377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478386 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478409 */     GIR_RootConstrainSelectedInstOperands,
     /*  478410 */     // GIR_Coverage, 24885,
     /*  478410 */     GIR_EraseRootFromParent_Done,
     /*  478411 */   // Label 8065: @478411
     /*  478411 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(478497), // Rule ID 24888 //
     /*  478416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478463 */     // MIs[1] Operand 1
     /*  478463 */     // No operand predicates
     /*  478463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478472 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478495 */     GIR_RootConstrainSelectedInstOperands,
     /*  478496 */     // GIR_Coverage, 24888,
     /*  478496 */     GIR_EraseRootFromParent_Done,
     /*  478497 */   // Label 8066: @478497
     /*  478497 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(478583), // Rule ID 24889 //
     /*  478502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478549 */     // MIs[1] Operand 1
     /*  478549 */     // No operand predicates
     /*  478549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478558 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478581 */     GIR_RootConstrainSelectedInstOperands,
     /*  478582 */     // GIR_Coverage, 24889,
     /*  478582 */     GIR_EraseRootFromParent_Done,
     /*  478583 */   // Label 8067: @478583
     /*  478583 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(478669), // Rule ID 24892 //
     /*  478588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478635 */     // MIs[1] Operand 1
     /*  478635 */     // No operand predicates
     /*  478635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478644 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478667 */     GIR_RootConstrainSelectedInstOperands,
     /*  478668 */     // GIR_Coverage, 24892,
     /*  478668 */     GIR_EraseRootFromParent_Done,
     /*  478669 */   // Label 8068: @478669
     /*  478669 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(478755), // Rule ID 24893 //
     /*  478674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478721 */     // MIs[1] Operand 1
     /*  478721 */     // No operand predicates
     /*  478721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478753 */     GIR_RootConstrainSelectedInstOperands,
     /*  478754 */     // GIR_Coverage, 24893,
     /*  478754 */     GIR_EraseRootFromParent_Done,
     /*  478755 */   // Label 8069: @478755
     /*  478755 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(478841), // Rule ID 24896 //
     /*  478760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478807 */     // MIs[1] Operand 1
     /*  478807 */     // No operand predicates
     /*  478807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478839 */     GIR_RootConstrainSelectedInstOperands,
     /*  478840 */     // GIR_Coverage, 24896,
     /*  478840 */     GIR_EraseRootFromParent_Done,
     /*  478841 */   // Label 8070: @478841
     /*  478841 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(478927), // Rule ID 24897 //
     /*  478846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478893 */     // MIs[1] Operand 1
     /*  478893 */     // No operand predicates
     /*  478893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478902 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478925 */     GIR_RootConstrainSelectedInstOperands,
     /*  478926 */     // GIR_Coverage, 24897,
     /*  478926 */     GIR_EraseRootFromParent_Done,
     /*  478927 */   // Label 8071: @478927
     /*  478927 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(479013), // Rule ID 24900 //
     /*  478932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478979 */     // MIs[1] Operand 1
     /*  478979 */     // No operand predicates
     /*  478979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478988 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479011 */     GIR_RootConstrainSelectedInstOperands,
     /*  479012 */     // GIR_Coverage, 24900,
     /*  479012 */     GIR_EraseRootFromParent_Done,
     /*  479013 */   // Label 8072: @479013
     /*  479013 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479099), // Rule ID 24901 //
     /*  479018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  479021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479065 */     // MIs[1] Operand 1
     /*  479065 */     // No operand predicates
     /*  479065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479074 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479097 */     GIR_RootConstrainSelectedInstOperands,
     /*  479098 */     // GIR_Coverage, 24901,
     /*  479098 */     GIR_EraseRootFromParent_Done,
     /*  479099 */   // Label 8073: @479099
     /*  479099 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479185), // Rule ID 24904 //
     /*  479104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  479107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479151 */     // MIs[1] Operand 1
     /*  479151 */     // No operand predicates
     /*  479151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479183 */     GIR_RootConstrainSelectedInstOperands,
     /*  479184 */     // GIR_Coverage, 24904,
     /*  479184 */     GIR_EraseRootFromParent_Done,
     /*  479185 */   // Label 8074: @479185
     /*  479185 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(479271), // Rule ID 24905 //
     /*  479190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  479193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479237 */     // MIs[1] Operand 1
     /*  479237 */     // No operand predicates
     /*  479237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479246 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479269 */     GIR_RootConstrainSelectedInstOperands,
     /*  479270 */     // GIR_Coverage, 24905,
     /*  479270 */     GIR_EraseRootFromParent_Done,
     /*  479271 */   // Label 8075: @479271
     /*  479271 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(479357), // Rule ID 60908 //
     /*  479276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479323 */     // MIs[1] Operand 1
     /*  479323 */     // No operand predicates
     /*  479323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  479335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479355 */     GIR_RootConstrainSelectedInstOperands,
     /*  479356 */     // GIR_Coverage, 60908,
     /*  479356 */     GIR_EraseRootFromParent_Done,
     /*  479357 */   // Label 8076: @479357
     /*  479357 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(479443), // Rule ID 60909 //
     /*  479362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479409 */     // MIs[1] Operand 1
     /*  479409 */     // No operand predicates
     /*  479409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  479421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479441 */     GIR_RootConstrainSelectedInstOperands,
     /*  479442 */     // GIR_Coverage, 60909,
     /*  479442 */     GIR_EraseRootFromParent_Done,
     /*  479443 */   // Label 8077: @479443
     /*  479443 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(479529), // Rule ID 60916 //
     /*  479448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479495 */     // MIs[1] Operand 1
     /*  479495 */     // No operand predicates
     /*  479495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479527 */     GIR_RootConstrainSelectedInstOperands,
     /*  479528 */     // GIR_Coverage, 60916,
     /*  479528 */     GIR_EraseRootFromParent_Done,
     /*  479529 */   // Label 8078: @479529
     /*  479529 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(479615), // Rule ID 60917 //
     /*  479534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479581 */     // MIs[1] Operand 1
     /*  479581 */     // No operand predicates
     /*  479581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479613 */     GIR_RootConstrainSelectedInstOperands,
     /*  479614 */     // GIR_Coverage, 60917,
     /*  479614 */     GIR_EraseRootFromParent_Done,
     /*  479615 */   // Label 8079: @479615
     /*  479615 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(479701), // Rule ID 60924 //
     /*  479620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479667 */     // MIs[1] Operand 1
     /*  479667 */     // No operand predicates
     /*  479667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479699 */     GIR_RootConstrainSelectedInstOperands,
     /*  479700 */     // GIR_Coverage, 60924,
     /*  479700 */     GIR_EraseRootFromParent_Done,
     /*  479701 */   // Label 8080: @479701
     /*  479701 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(479787), // Rule ID 60925 //
     /*  479706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479753 */     // MIs[1] Operand 1
     /*  479753 */     // No operand predicates
     /*  479753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479785 */     GIR_RootConstrainSelectedInstOperands,
     /*  479786 */     // GIR_Coverage, 60925,
     /*  479786 */     GIR_EraseRootFromParent_Done,
     /*  479787 */   // Label 8081: @479787
     /*  479787 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(479873), // Rule ID 60932 //
     /*  479792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479839 */     // MIs[1] Operand 1
     /*  479839 */     // No operand predicates
     /*  479839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479871 */     GIR_RootConstrainSelectedInstOperands,
     /*  479872 */     // GIR_Coverage, 60932,
     /*  479872 */     GIR_EraseRootFromParent_Done,
     /*  479873 */   // Label 8082: @479873
     /*  479873 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(479959), // Rule ID 60933 //
     /*  479878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479925 */     // MIs[1] Operand 1
     /*  479925 */     // No operand predicates
     /*  479925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479957 */     GIR_RootConstrainSelectedInstOperands,
     /*  479958 */     // GIR_Coverage, 60933,
     /*  479958 */     GIR_EraseRootFromParent_Done,
     /*  479959 */   // Label 8083: @479959
     /*  479959 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(480045), // Rule ID 60940 //
     /*  479964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480011 */     // MIs[1] Operand 1
     /*  480011 */     // No operand predicates
     /*  480011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480043 */     GIR_RootConstrainSelectedInstOperands,
     /*  480044 */     // GIR_Coverage, 60940,
     /*  480044 */     GIR_EraseRootFromParent_Done,
     /*  480045 */   // Label 8084: @480045
     /*  480045 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480131), // Rule ID 60941 //
     /*  480050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  480067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480097 */     // MIs[1] Operand 1
     /*  480097 */     // No operand predicates
     /*  480097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480129 */     GIR_RootConstrainSelectedInstOperands,
     /*  480130 */     // GIR_Coverage, 60941,
     /*  480130 */     GIR_EraseRootFromParent_Done,
     /*  480131 */   // Label 8085: @480131
     /*  480131 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(480217), // Rule ID 60948 //
     /*  480136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480183 */     // MIs[1] Operand 1
     /*  480183 */     // No operand predicates
     /*  480183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480215 */     GIR_RootConstrainSelectedInstOperands,
     /*  480216 */     // GIR_Coverage, 60948,
     /*  480216 */     GIR_EraseRootFromParent_Done,
     /*  480217 */   // Label 8086: @480217
     /*  480217 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(480303), // Rule ID 60949 //
     /*  480222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480269 */     // MIs[1] Operand 1
     /*  480269 */     // No operand predicates
     /*  480269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480301 */     GIR_RootConstrainSelectedInstOperands,
     /*  480302 */     // GIR_Coverage, 60949,
     /*  480302 */     GIR_EraseRootFromParent_Done,
     /*  480303 */   // Label 8087: @480303
     /*  480303 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(480389), // Rule ID 60956 //
     /*  480308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480355 */     // MIs[1] Operand 1
     /*  480355 */     // No operand predicates
     /*  480355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480387 */     GIR_RootConstrainSelectedInstOperands,
     /*  480388 */     // GIR_Coverage, 60956,
     /*  480388 */     GIR_EraseRootFromParent_Done,
     /*  480389 */   // Label 8088: @480389
     /*  480389 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(480475), // Rule ID 60957 //
     /*  480394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480441 */     // MIs[1] Operand 1
     /*  480441 */     // No operand predicates
     /*  480441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480473 */     GIR_RootConstrainSelectedInstOperands,
     /*  480474 */     // GIR_Coverage, 60957,
     /*  480474 */     GIR_EraseRootFromParent_Done,
     /*  480475 */   // Label 8089: @480475
     /*  480475 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(480561), // Rule ID 60964 //
     /*  480480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480527 */     // MIs[1] Operand 1
     /*  480527 */     // No operand predicates
     /*  480527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480559 */     GIR_RootConstrainSelectedInstOperands,
     /*  480560 */     // GIR_Coverage, 60964,
     /*  480560 */     GIR_EraseRootFromParent_Done,
     /*  480561 */   // Label 8090: @480561
     /*  480561 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(480647), // Rule ID 60965 //
     /*  480566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480613 */     // MIs[1] Operand 1
     /*  480613 */     // No operand predicates
     /*  480613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480645 */     GIR_RootConstrainSelectedInstOperands,
     /*  480646 */     // GIR_Coverage, 60965,
     /*  480646 */     GIR_EraseRootFromParent_Done,
     /*  480647 */   // Label 8091: @480647
     /*  480647 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(480733), // Rule ID 60972 //
     /*  480652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480699 */     // MIs[1] Operand 1
     /*  480699 */     // No operand predicates
     /*  480699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480731 */     GIR_RootConstrainSelectedInstOperands,
     /*  480732 */     // GIR_Coverage, 60972,
     /*  480732 */     GIR_EraseRootFromParent_Done,
     /*  480733 */   // Label 8092: @480733
     /*  480733 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(480819), // Rule ID 60973 //
     /*  480738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480785 */     // MIs[1] Operand 1
     /*  480785 */     // No operand predicates
     /*  480785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480817 */     GIR_RootConstrainSelectedInstOperands,
     /*  480818 */     // GIR_Coverage, 60973,
     /*  480818 */     GIR_EraseRootFromParent_Done,
     /*  480819 */   // Label 8093: @480819
     /*  480819 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(480905), // Rule ID 60980 //
     /*  480824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480871 */     // MIs[1] Operand 1
     /*  480871 */     // No operand predicates
     /*  480871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480903 */     GIR_RootConstrainSelectedInstOperands,
     /*  480904 */     // GIR_Coverage, 60980,
     /*  480904 */     GIR_EraseRootFromParent_Done,
     /*  480905 */   // Label 8094: @480905
     /*  480905 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(480991), // Rule ID 60981 //
     /*  480910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480957 */     // MIs[1] Operand 1
     /*  480957 */     // No operand predicates
     /*  480957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480989 */     GIR_RootConstrainSelectedInstOperands,
     /*  480990 */     // GIR_Coverage, 60981,
     /*  480990 */     GIR_EraseRootFromParent_Done,
     /*  480991 */   // Label 8095: @480991
     /*  480991 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(481077), // Rule ID 60988 //
     /*  480996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481043 */     // MIs[1] Operand 1
     /*  481043 */     // No operand predicates
     /*  481043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481075 */     GIR_RootConstrainSelectedInstOperands,
     /*  481076 */     // GIR_Coverage, 60988,
     /*  481076 */     GIR_EraseRootFromParent_Done,
     /*  481077 */   // Label 8096: @481077
     /*  481077 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481163), // Rule ID 60989 //
     /*  481082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481129 */     // MIs[1] Operand 1
     /*  481129 */     // No operand predicates
     /*  481129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481161 */     GIR_RootConstrainSelectedInstOperands,
     /*  481162 */     // GIR_Coverage, 60989,
     /*  481162 */     GIR_EraseRootFromParent_Done,
     /*  481163 */   // Label 8097: @481163
     /*  481163 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(481249), // Rule ID 60996 //
     /*  481168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481215 */     // MIs[1] Operand 1
     /*  481215 */     // No operand predicates
     /*  481215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481247 */     GIR_RootConstrainSelectedInstOperands,
     /*  481248 */     // GIR_Coverage, 60996,
     /*  481248 */     GIR_EraseRootFromParent_Done,
     /*  481249 */   // Label 8098: @481249
     /*  481249 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(481335), // Rule ID 60997 //
     /*  481254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481301 */     // MIs[1] Operand 1
     /*  481301 */     // No operand predicates
     /*  481301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481333 */     GIR_RootConstrainSelectedInstOperands,
     /*  481334 */     // GIR_Coverage, 60997,
     /*  481334 */     GIR_EraseRootFromParent_Done,
     /*  481335 */   // Label 8099: @481335
     /*  481335 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(481421), // Rule ID 61004 //
     /*  481340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481387 */     // MIs[1] Operand 1
     /*  481387 */     // No operand predicates
     /*  481387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481419 */     GIR_RootConstrainSelectedInstOperands,
     /*  481420 */     // GIR_Coverage, 61004,
     /*  481420 */     GIR_EraseRootFromParent_Done,
     /*  481421 */   // Label 8100: @481421
     /*  481421 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(481507), // Rule ID 61005 //
     /*  481426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481473 */     // MIs[1] Operand 1
     /*  481473 */     // No operand predicates
     /*  481473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481505 */     GIR_RootConstrainSelectedInstOperands,
     /*  481506 */     // GIR_Coverage, 61005,
     /*  481506 */     GIR_EraseRootFromParent_Done,
     /*  481507 */   // Label 8101: @481507
     /*  481507 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(481593), // Rule ID 61012 //
     /*  481512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481559 */     // MIs[1] Operand 1
     /*  481559 */     // No operand predicates
     /*  481559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481591 */     GIR_RootConstrainSelectedInstOperands,
     /*  481592 */     // GIR_Coverage, 61012,
     /*  481592 */     GIR_EraseRootFromParent_Done,
     /*  481593 */   // Label 8102: @481593
     /*  481593 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(481679), // Rule ID 61013 //
     /*  481598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481645 */     // MIs[1] Operand 1
     /*  481645 */     // No operand predicates
     /*  481645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481677 */     GIR_RootConstrainSelectedInstOperands,
     /*  481678 */     // GIR_Coverage, 61013,
     /*  481678 */     GIR_EraseRootFromParent_Done,
     /*  481679 */   // Label 8103: @481679
     /*  481679 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(481765), // Rule ID 61020 //
     /*  481684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481731 */     // MIs[1] Operand 1
     /*  481731 */     // No operand predicates
     /*  481731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481763 */     GIR_RootConstrainSelectedInstOperands,
     /*  481764 */     // GIR_Coverage, 61020,
     /*  481764 */     GIR_EraseRootFromParent_Done,
     /*  481765 */   // Label 8104: @481765
     /*  481765 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(481851), // Rule ID 61021 //
     /*  481770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481817 */     // MIs[1] Operand 1
     /*  481817 */     // No operand predicates
     /*  481817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481849 */     GIR_RootConstrainSelectedInstOperands,
     /*  481850 */     // GIR_Coverage, 61021,
     /*  481850 */     GIR_EraseRootFromParent_Done,
     /*  481851 */   // Label 8105: @481851
     /*  481851 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481937), // Rule ID 61876 //
     /*  481856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481903 */     // MIs[1] Operand 1
     /*  481903 */     // No operand predicates
     /*  481903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481935 */     GIR_RootConstrainSelectedInstOperands,
     /*  481936 */     // GIR_Coverage, 61876,
     /*  481936 */     GIR_EraseRootFromParent_Done,
     /*  481937 */   // Label 8106: @481937
     /*  481937 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(482023), // Rule ID 61877 //
     /*  481942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481989 */     // MIs[1] Operand 1
     /*  481989 */     // No operand predicates
     /*  481989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  482001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482021 */     GIR_RootConstrainSelectedInstOperands,
     /*  482022 */     // GIR_Coverage, 61877,
     /*  482022 */     GIR_EraseRootFromParent_Done,
     /*  482023 */   // Label 8107: @482023
     /*  482023 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482109), // Rule ID 61880 //
     /*  482028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482075 */     // MIs[1] Operand 1
     /*  482075 */     // No operand predicates
     /*  482075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482107 */     GIR_RootConstrainSelectedInstOperands,
     /*  482108 */     // GIR_Coverage, 61880,
     /*  482108 */     GIR_EraseRootFromParent_Done,
     /*  482109 */   // Label 8108: @482109
     /*  482109 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482195), // Rule ID 61881 //
     /*  482114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482161 */     // MIs[1] Operand 1
     /*  482161 */     // No operand predicates
     /*  482161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482193 */     GIR_RootConstrainSelectedInstOperands,
     /*  482194 */     // GIR_Coverage, 61881,
     /*  482194 */     GIR_EraseRootFromParent_Done,
     /*  482195 */   // Label 8109: @482195
     /*  482195 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(482281), // Rule ID 61884 //
     /*  482200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482247 */     // MIs[1] Operand 1
     /*  482247 */     // No operand predicates
     /*  482247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482279 */     GIR_RootConstrainSelectedInstOperands,
     /*  482280 */     // GIR_Coverage, 61884,
     /*  482280 */     GIR_EraseRootFromParent_Done,
     /*  482281 */   // Label 8110: @482281
     /*  482281 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(482367), // Rule ID 61885 //
     /*  482286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482333 */     // MIs[1] Operand 1
     /*  482333 */     // No operand predicates
     /*  482333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482365 */     GIR_RootConstrainSelectedInstOperands,
     /*  482366 */     // GIR_Coverage, 61885,
     /*  482366 */     GIR_EraseRootFromParent_Done,
     /*  482367 */   // Label 8111: @482367
     /*  482367 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(482453), // Rule ID 61888 //
     /*  482372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482419 */     // MIs[1] Operand 1
     /*  482419 */     // No operand predicates
     /*  482419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482451 */     GIR_RootConstrainSelectedInstOperands,
     /*  482452 */     // GIR_Coverage, 61888,
     /*  482452 */     GIR_EraseRootFromParent_Done,
     /*  482453 */   // Label 8112: @482453
     /*  482453 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(482539), // Rule ID 61889 //
     /*  482458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482505 */     // MIs[1] Operand 1
     /*  482505 */     // No operand predicates
     /*  482505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482537 */     GIR_RootConstrainSelectedInstOperands,
     /*  482538 */     // GIR_Coverage, 61889,
     /*  482538 */     GIR_EraseRootFromParent_Done,
     /*  482539 */   // Label 8113: @482539
     /*  482539 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(482625), // Rule ID 61892 //
     /*  482544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482591 */     // MIs[1] Operand 1
     /*  482591 */     // No operand predicates
     /*  482591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482623 */     GIR_RootConstrainSelectedInstOperands,
     /*  482624 */     // GIR_Coverage, 61892,
     /*  482624 */     GIR_EraseRootFromParent_Done,
     /*  482625 */   // Label 8114: @482625
     /*  482625 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(482711), // Rule ID 61893 //
     /*  482630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482677 */     // MIs[1] Operand 1
     /*  482677 */     // No operand predicates
     /*  482677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482709 */     GIR_RootConstrainSelectedInstOperands,
     /*  482710 */     // GIR_Coverage, 61893,
     /*  482710 */     GIR_EraseRootFromParent_Done,
     /*  482711 */   // Label 8115: @482711
     /*  482711 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(482797), // Rule ID 61896 //
     /*  482716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482763 */     // MIs[1] Operand 1
     /*  482763 */     // No operand predicates
     /*  482763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482795 */     GIR_RootConstrainSelectedInstOperands,
     /*  482796 */     // GIR_Coverage, 61896,
     /*  482796 */     GIR_EraseRootFromParent_Done,
     /*  482797 */   // Label 8116: @482797
     /*  482797 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(482883), // Rule ID 61897 //
     /*  482802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482849 */     // MIs[1] Operand 1
     /*  482849 */     // No operand predicates
     /*  482849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482881 */     GIR_RootConstrainSelectedInstOperands,
     /*  482882 */     // GIR_Coverage, 61897,
     /*  482882 */     GIR_EraseRootFromParent_Done,
     /*  482883 */   // Label 8117: @482883
     /*  482883 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482969), // Rule ID 61900 //
     /*  482888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482935 */     // MIs[1] Operand 1
     /*  482935 */     // No operand predicates
     /*  482935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482967 */     GIR_RootConstrainSelectedInstOperands,
     /*  482968 */     // GIR_Coverage, 61900,
     /*  482968 */     GIR_EraseRootFromParent_Done,
     /*  482969 */   // Label 8118: @482969
     /*  482969 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(483055), // Rule ID 61901 //
     /*  482974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483021 */     // MIs[1] Operand 1
     /*  483021 */     // No operand predicates
     /*  483021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483053 */     GIR_RootConstrainSelectedInstOperands,
     /*  483054 */     // GIR_Coverage, 61901,
     /*  483054 */     GIR_EraseRootFromParent_Done,
     /*  483055 */   // Label 8119: @483055
     /*  483055 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483141), // Rule ID 61904 //
     /*  483060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483107 */     // MIs[1] Operand 1
     /*  483107 */     // No operand predicates
     /*  483107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483139 */     GIR_RootConstrainSelectedInstOperands,
     /*  483140 */     // GIR_Coverage, 61904,
     /*  483140 */     GIR_EraseRootFromParent_Done,
     /*  483141 */   // Label 8120: @483141
     /*  483141 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(483227), // Rule ID 61905 //
     /*  483146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483193 */     // MIs[1] Operand 1
     /*  483193 */     // No operand predicates
     /*  483193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483225 */     GIR_RootConstrainSelectedInstOperands,
     /*  483226 */     // GIR_Coverage, 61905,
     /*  483226 */     GIR_EraseRootFromParent_Done,
     /*  483227 */   // Label 8121: @483227
     /*  483227 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(483313), // Rule ID 61908 //
     /*  483232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  483243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  483246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483279 */     // MIs[1] Operand 1
     /*  483279 */     // No operand predicates
     /*  483279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483311 */     GIR_RootConstrainSelectedInstOperands,
     /*  483312 */     // GIR_Coverage, 61908,
     /*  483312 */     GIR_EraseRootFromParent_Done,
     /*  483313 */   // Label 8122: @483313
     /*  483313 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(483399), // Rule ID 61909 //
     /*  483318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  483329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  483332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483365 */     // MIs[1] Operand 1
     /*  483365 */     // No operand predicates
     /*  483365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483397 */     GIR_RootConstrainSelectedInstOperands,
     /*  483398 */     // GIR_Coverage, 61909,
     /*  483398 */     GIR_EraseRootFromParent_Done,
     /*  483399 */   // Label 8123: @483399
     /*  483399 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(483485), // Rule ID 61912 //
     /*  483404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483451 */     // MIs[1] Operand 1
     /*  483451 */     // No operand predicates
     /*  483451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483483 */     GIR_RootConstrainSelectedInstOperands,
     /*  483484 */     // GIR_Coverage, 61912,
     /*  483484 */     GIR_EraseRootFromParent_Done,
     /*  483485 */   // Label 8124: @483485
     /*  483485 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(483571), // Rule ID 61913 //
     /*  483490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483537 */     // MIs[1] Operand 1
     /*  483537 */     // No operand predicates
     /*  483537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483569 */     GIR_RootConstrainSelectedInstOperands,
     /*  483570 */     // GIR_Coverage, 61913,
     /*  483570 */     GIR_EraseRootFromParent_Done,
     /*  483571 */   // Label 8125: @483571
     /*  483571 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(483657), // Rule ID 61916 //
     /*  483576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483623 */     // MIs[1] Operand 1
     /*  483623 */     // No operand predicates
     /*  483623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483655 */     GIR_RootConstrainSelectedInstOperands,
     /*  483656 */     // GIR_Coverage, 61916,
     /*  483656 */     GIR_EraseRootFromParent_Done,
     /*  483657 */   // Label 8126: @483657
     /*  483657 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(483743), // Rule ID 61917 //
     /*  483662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483709 */     // MIs[1] Operand 1
     /*  483709 */     // No operand predicates
     /*  483709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483741 */     GIR_RootConstrainSelectedInstOperands,
     /*  483742 */     // GIR_Coverage, 61917,
     /*  483742 */     GIR_EraseRootFromParent_Done,
     /*  483743 */   // Label 8127: @483743
     /*  483743 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(483829), // Rule ID 61920 //
     /*  483748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483795 */     // MIs[1] Operand 1
     /*  483795 */     // No operand predicates
     /*  483795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483827 */     GIR_RootConstrainSelectedInstOperands,
     /*  483828 */     // GIR_Coverage, 61920,
     /*  483828 */     GIR_EraseRootFromParent_Done,
     /*  483829 */   // Label 8128: @483829
     /*  483829 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483915), // Rule ID 61921 //
     /*  483834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483881 */     // MIs[1] Operand 1
     /*  483881 */     // No operand predicates
     /*  483881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483913 */     GIR_RootConstrainSelectedInstOperands,
     /*  483914 */     // GIR_Coverage, 61921,
     /*  483914 */     GIR_EraseRootFromParent_Done,
     /*  483915 */   // Label 8129: @483915
     /*  483915 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(484001), // Rule ID 61924 //
     /*  483920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483967 */     // MIs[1] Operand 1
     /*  483967 */     // No operand predicates
     /*  483967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483999 */     GIR_RootConstrainSelectedInstOperands,
     /*  484000 */     // GIR_Coverage, 61924,
     /*  484000 */     GIR_EraseRootFromParent_Done,
     /*  484001 */   // Label 8130: @484001
     /*  484001 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(484087), // Rule ID 61925 //
     /*  484006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  484017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  484020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  484023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484053 */     // MIs[1] Operand 1
     /*  484053 */     // No operand predicates
     /*  484053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484062 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484085 */     GIR_RootConstrainSelectedInstOperands,
     /*  484086 */     // GIR_Coverage, 61925,
     /*  484086 */     GIR_EraseRootFromParent_Done,
     /*  484087 */   // Label 8131: @484087
     /*  484087 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(484173), // Rule ID 61928 //
     /*  484092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484139 */     // MIs[1] Operand 1
     /*  484139 */     // No operand predicates
     /*  484139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484171 */     GIR_RootConstrainSelectedInstOperands,
     /*  484172 */     // GIR_Coverage, 61928,
     /*  484172 */     GIR_EraseRootFromParent_Done,
     /*  484173 */   // Label 8132: @484173
     /*  484173 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484259), // Rule ID 61929 //
     /*  484178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484225 */     // MIs[1] Operand 1
     /*  484225 */     // No operand predicates
     /*  484225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484257 */     GIR_RootConstrainSelectedInstOperands,
     /*  484258 */     // GIR_Coverage, 61929,
     /*  484258 */     GIR_EraseRootFromParent_Done,
     /*  484259 */   // Label 8133: @484259
     /*  484259 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(484345), // Rule ID 61932 //
     /*  484264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484311 */     // MIs[1] Operand 1
     /*  484311 */     // No operand predicates
     /*  484311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484343 */     GIR_RootConstrainSelectedInstOperands,
     /*  484344 */     // GIR_Coverage, 61932,
     /*  484344 */     GIR_EraseRootFromParent_Done,
     /*  484345 */   // Label 8134: @484345
     /*  484345 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(484431), // Rule ID 61933 //
     /*  484350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484397 */     // MIs[1] Operand 1
     /*  484397 */     // No operand predicates
     /*  484397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484429 */     GIR_RootConstrainSelectedInstOperands,
     /*  484430 */     // GIR_Coverage, 61933,
     /*  484430 */     GIR_EraseRootFromParent_Done,
     /*  484431 */   // Label 8135: @484431
     /*  484431 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(484517), // Rule ID 61936 //
     /*  484436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484483 */     // MIs[1] Operand 1
     /*  484483 */     // No operand predicates
     /*  484483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484515 */     GIR_RootConstrainSelectedInstOperands,
     /*  484516 */     // GIR_Coverage, 61936,
     /*  484516 */     GIR_EraseRootFromParent_Done,
     /*  484517 */   // Label 8136: @484517
     /*  484517 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(484603), // Rule ID 61937 //
     /*  484522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484569 */     // MIs[1] Operand 1
     /*  484569 */     // No operand predicates
     /*  484569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484601 */     GIR_RootConstrainSelectedInstOperands,
     /*  484602 */     // GIR_Coverage, 61937,
     /*  484602 */     GIR_EraseRootFromParent_Done,
     /*  484603 */   // Label 8137: @484603
     /*  484603 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(484689), // Rule ID 61940 //
     /*  484608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484655 */     // MIs[1] Operand 1
     /*  484655 */     // No operand predicates
     /*  484655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484687 */     GIR_RootConstrainSelectedInstOperands,
     /*  484688 */     // GIR_Coverage, 61940,
     /*  484688 */     GIR_EraseRootFromParent_Done,
     /*  484689 */   // Label 8138: @484689
     /*  484689 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(484775), // Rule ID 61941 //
     /*  484694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484741 */     // MIs[1] Operand 1
     /*  484741 */     // No operand predicates
     /*  484741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484773 */     GIR_RootConstrainSelectedInstOperands,
     /*  484774 */     // GIR_Coverage, 61941,
     /*  484774 */     GIR_EraseRootFromParent_Done,
     /*  484775 */   // Label 8139: @484775
     /*  484775 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(484861), // Rule ID 61944 //
     /*  484780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484827 */     // MIs[1] Operand 1
     /*  484827 */     // No operand predicates
     /*  484827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484859 */     GIR_RootConstrainSelectedInstOperands,
     /*  484860 */     // GIR_Coverage, 61944,
     /*  484860 */     GIR_EraseRootFromParent_Done,
     /*  484861 */   // Label 8140: @484861
     /*  484861 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484947), // Rule ID 61945 //
     /*  484866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484913 */     // MIs[1] Operand 1
     /*  484913 */     // No operand predicates
     /*  484913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484945 */     GIR_RootConstrainSelectedInstOperands,
     /*  484946 */     // GIR_Coverage, 61945,
     /*  484946 */     GIR_EraseRootFromParent_Done,
     /*  484947 */   // Label 8141: @484947
     /*  484947 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(485033), // Rule ID 61948 //
     /*  484952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484999 */     // MIs[1] Operand 1
     /*  484999 */     // No operand predicates
     /*  484999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485031 */     GIR_RootConstrainSelectedInstOperands,
     /*  485032 */     // GIR_Coverage, 61948,
     /*  485032 */     GIR_EraseRootFromParent_Done,
     /*  485033 */   // Label 8142: @485033
     /*  485033 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(485119), // Rule ID 61949 //
     /*  485038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485085 */     // MIs[1] Operand 1
     /*  485085 */     // No operand predicates
     /*  485085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485117 */     GIR_RootConstrainSelectedInstOperands,
     /*  485118 */     // GIR_Coverage, 61949,
     /*  485118 */     GIR_EraseRootFromParent_Done,
     /*  485119 */   // Label 8143: @485119
     /*  485119 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(485205), // Rule ID 61952 //
     /*  485124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485171 */     // MIs[1] Operand 1
     /*  485171 */     // No operand predicates
     /*  485171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485203 */     GIR_RootConstrainSelectedInstOperands,
     /*  485204 */     // GIR_Coverage, 61952,
     /*  485204 */     GIR_EraseRootFromParent_Done,
     /*  485205 */   // Label 8144: @485205
     /*  485205 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(485291), // Rule ID 61953 //
     /*  485210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485257 */     // MIs[1] Operand 1
     /*  485257 */     // No operand predicates
     /*  485257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485289 */     GIR_RootConstrainSelectedInstOperands,
     /*  485290 */     // GIR_Coverage, 61953,
     /*  485290 */     GIR_EraseRootFromParent_Done,
     /*  485291 */   // Label 8145: @485291
     /*  485291 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485377), // Rule ID 61956 //
     /*  485296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485343 */     // MIs[1] Operand 1
     /*  485343 */     // No operand predicates
     /*  485343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485375 */     GIR_RootConstrainSelectedInstOperands,
     /*  485376 */     // GIR_Coverage, 61956,
     /*  485376 */     GIR_EraseRootFromParent_Done,
     /*  485377 */   // Label 8146: @485377
     /*  485377 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(485463), // Rule ID 61957 //
     /*  485382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485429 */     // MIs[1] Operand 1
     /*  485429 */     // No operand predicates
     /*  485429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485461 */     GIR_RootConstrainSelectedInstOperands,
     /*  485462 */     // GIR_Coverage, 61957,
     /*  485462 */     GIR_EraseRootFromParent_Done,
     /*  485463 */   // Label 8147: @485463
     /*  485463 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(485549), // Rule ID 61960 //
     /*  485468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485515 */     // MIs[1] Operand 1
     /*  485515 */     // No operand predicates
     /*  485515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485547 */     GIR_RootConstrainSelectedInstOperands,
     /*  485548 */     // GIR_Coverage, 61960,
     /*  485548 */     GIR_EraseRootFromParent_Done,
     /*  485549 */   // Label 8148: @485549
     /*  485549 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(485635), // Rule ID 61961 //
     /*  485554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485601 */     // MIs[1] Operand 1
     /*  485601 */     // No operand predicates
     /*  485601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485633 */     GIR_RootConstrainSelectedInstOperands,
     /*  485634 */     // GIR_Coverage, 61961,
     /*  485634 */     GIR_EraseRootFromParent_Done,
     /*  485635 */   // Label 8149: @485635
     /*  485635 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(485714), // Rule ID 2642 //
     /*  485640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485712 */     GIR_RootConstrainSelectedInstOperands,
     /*  485713 */     // GIR_Coverage, 2642,
     /*  485713 */     GIR_EraseRootFromParent_Done,
     /*  485714 */   // Label 8150: @485714
     /*  485714 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(485793), // Rule ID 2643 //
     /*  485719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485791 */     GIR_RootConstrainSelectedInstOperands,
     /*  485792 */     // GIR_Coverage, 2643,
     /*  485792 */     GIR_EraseRootFromParent_Done,
     /*  485793 */   // Label 8151: @485793
     /*  485793 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(485872), // Rule ID 3950 //
     /*  485798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485870 */     GIR_RootConstrainSelectedInstOperands,
     /*  485871 */     // GIR_Coverage, 3950,
     /*  485871 */     GIR_EraseRootFromParent_Done,
     /*  485872 */   // Label 8152: @485872
     /*  485872 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485951), // Rule ID 3951 //
     /*  485877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485949 */     GIR_RootConstrainSelectedInstOperands,
     /*  485950 */     // GIR_Coverage, 3951,
     /*  485950 */     GIR_EraseRootFromParent_Done,
     /*  485951 */   // Label 8153: @485951
     /*  485951 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(486030), // Rule ID 3960 //
     /*  485956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486028 */     GIR_RootConstrainSelectedInstOperands,
     /*  486029 */     // GIR_Coverage, 3960,
     /*  486029 */     GIR_EraseRootFromParent_Done,
     /*  486030 */   // Label 8154: @486030
     /*  486030 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(486109), // Rule ID 3961 //
     /*  486035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486107 */     GIR_RootConstrainSelectedInstOperands,
     /*  486108 */     // GIR_Coverage, 3961,
     /*  486108 */     GIR_EraseRootFromParent_Done,
     /*  486109 */   // Label 8155: @486109
     /*  486109 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(486188), // Rule ID 3970 //
     /*  486114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486186 */     GIR_RootConstrainSelectedInstOperands,
     /*  486187 */     // GIR_Coverage, 3970,
     /*  486187 */     GIR_EraseRootFromParent_Done,
     /*  486188 */   // Label 8156: @486188
     /*  486188 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(486267), // Rule ID 3971 //
     /*  486193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486265 */     GIR_RootConstrainSelectedInstOperands,
     /*  486266 */     // GIR_Coverage, 3971,
     /*  486266 */     GIR_EraseRootFromParent_Done,
     /*  486267 */   // Label 8157: @486267
     /*  486267 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486346), // Rule ID 3980 //
     /*  486272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  486289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486344 */     GIR_RootConstrainSelectedInstOperands,
     /*  486345 */     // GIR_Coverage, 3980,
     /*  486345 */     GIR_EraseRootFromParent_Done,
     /*  486346 */   // Label 8158: @486346
     /*  486346 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(486425), // Rule ID 3981 //
     /*  486351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  486368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486423 */     GIR_RootConstrainSelectedInstOperands,
     /*  486424 */     // GIR_Coverage, 3981,
     /*  486424 */     GIR_EraseRootFromParent_Done,
     /*  486425 */   // Label 8159: @486425
     /*  486425 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(486504), // Rule ID 3990 //
     /*  486430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486502 */     GIR_RootConstrainSelectedInstOperands,
     /*  486503 */     // GIR_Coverage, 3990,
     /*  486503 */     GIR_EraseRootFromParent_Done,
     /*  486504 */   // Label 8160: @486504
     /*  486504 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(486583), // Rule ID 3991 //
     /*  486509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486581 */     GIR_RootConstrainSelectedInstOperands,
     /*  486582 */     // GIR_Coverage, 3991,
     /*  486582 */     GIR_EraseRootFromParent_Done,
     /*  486583 */   // Label 8161: @486583
     /*  486583 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(486662), // Rule ID 4000 //
     /*  486588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486660 */     GIR_RootConstrainSelectedInstOperands,
     /*  486661 */     // GIR_Coverage, 4000,
     /*  486661 */     GIR_EraseRootFromParent_Done,
     /*  486662 */   // Label 8162: @486662
     /*  486662 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(486741), // Rule ID 4001 //
     /*  486667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486739 */     GIR_RootConstrainSelectedInstOperands,
     /*  486740 */     // GIR_Coverage, 4001,
     /*  486740 */     GIR_EraseRootFromParent_Done,
     /*  486741 */   // Label 8163: @486741
     /*  486741 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486820), // Rule ID 4010 //
     /*  486746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486818 */     GIR_RootConstrainSelectedInstOperands,
     /*  486819 */     // GIR_Coverage, 4010,
     /*  486819 */     GIR_EraseRootFromParent_Done,
     /*  486820 */   // Label 8164: @486820
     /*  486820 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486899), // Rule ID 4011 //
     /*  486825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486897 */     GIR_RootConstrainSelectedInstOperands,
     /*  486898 */     // GIR_Coverage, 4011,
     /*  486898 */     GIR_EraseRootFromParent_Done,
     /*  486899 */   // Label 8165: @486899
     /*  486899 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486978), // Rule ID 4020 //
     /*  486904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486976 */     GIR_RootConstrainSelectedInstOperands,
     /*  486977 */     // GIR_Coverage, 4020,
     /*  486977 */     GIR_EraseRootFromParent_Done,
     /*  486978 */   // Label 8166: @486978
     /*  486978 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(487057), // Rule ID 4021 //
     /*  486983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487055 */     GIR_RootConstrainSelectedInstOperands,
     /*  487056 */     // GIR_Coverage, 4021,
     /*  487056 */     GIR_EraseRootFromParent_Done,
     /*  487057 */   // Label 8167: @487057
     /*  487057 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(487136), // Rule ID 4030 //
     /*  487062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487134 */     GIR_RootConstrainSelectedInstOperands,
     /*  487135 */     // GIR_Coverage, 4030,
     /*  487135 */     GIR_EraseRootFromParent_Done,
     /*  487136 */   // Label 8168: @487136
     /*  487136 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(487215), // Rule ID 4031 //
     /*  487141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487213 */     GIR_RootConstrainSelectedInstOperands,
     /*  487214 */     // GIR_Coverage, 4031,
     /*  487214 */     GIR_EraseRootFromParent_Done,
     /*  487215 */   // Label 8169: @487215
     /*  487215 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(487294), // Rule ID 4040 //
     /*  487220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487292 */     GIR_RootConstrainSelectedInstOperands,
     /*  487293 */     // GIR_Coverage, 4040,
     /*  487293 */     GIR_EraseRootFromParent_Done,
     /*  487294 */   // Label 8170: @487294
     /*  487294 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487373), // Rule ID 4041 //
     /*  487299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487371 */     GIR_RootConstrainSelectedInstOperands,
     /*  487372 */     // GIR_Coverage, 4041,
     /*  487372 */     GIR_EraseRootFromParent_Done,
     /*  487373 */   // Label 8171: @487373
     /*  487373 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(487452), // Rule ID 4050 //
     /*  487378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487450 */     GIR_RootConstrainSelectedInstOperands,
     /*  487451 */     // GIR_Coverage, 4050,
     /*  487451 */     GIR_EraseRootFromParent_Done,
     /*  487452 */   // Label 8172: @487452
     /*  487452 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(487531), // Rule ID 4051 //
     /*  487457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487529 */     GIR_RootConstrainSelectedInstOperands,
     /*  487530 */     // GIR_Coverage, 4051,
     /*  487530 */     GIR_EraseRootFromParent_Done,
     /*  487531 */   // Label 8173: @487531
     /*  487531 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(487610), // Rule ID 4060 //
     /*  487536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487608 */     GIR_RootConstrainSelectedInstOperands,
     /*  487609 */     // GIR_Coverage, 4060,
     /*  487609 */     GIR_EraseRootFromParent_Done,
     /*  487610 */   // Label 8174: @487610
     /*  487610 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(487689), // Rule ID 4061 //
     /*  487615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487687 */     GIR_RootConstrainSelectedInstOperands,
     /*  487688 */     // GIR_Coverage, 4061,
     /*  487688 */     GIR_EraseRootFromParent_Done,
     /*  487689 */   // Label 8175: @487689
     /*  487689 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487768), // Rule ID 4070 //
     /*  487694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487766 */     GIR_RootConstrainSelectedInstOperands,
     /*  487767 */     // GIR_Coverage, 4070,
     /*  487767 */     GIR_EraseRootFromParent_Done,
     /*  487768 */   // Label 8176: @487768
     /*  487768 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487847), // Rule ID 4071 //
     /*  487773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487825 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487845 */     GIR_RootConstrainSelectedInstOperands,
     /*  487846 */     // GIR_Coverage, 4071,
     /*  487846 */     GIR_EraseRootFromParent_Done,
     /*  487847 */   // Label 8177: @487847
     /*  487847 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487926), // Rule ID 4080 //
     /*  487852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487924 */     GIR_RootConstrainSelectedInstOperands,
     /*  487925 */     // GIR_Coverage, 4080,
     /*  487925 */     GIR_EraseRootFromParent_Done,
     /*  487926 */   // Label 8178: @487926
     /*  487926 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(488005), // Rule ID 4081 //
     /*  487931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488003 */     GIR_RootConstrainSelectedInstOperands,
     /*  488004 */     // GIR_Coverage, 4081,
     /*  488004 */     GIR_EraseRootFromParent_Done,
     /*  488005 */   // Label 8179: @488005
     /*  488005 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(488084), // Rule ID 4150 //
     /*  488010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488082 */     GIR_RootConstrainSelectedInstOperands,
     /*  488083 */     // GIR_Coverage, 4150,
     /*  488083 */     GIR_EraseRootFromParent_Done,
     /*  488084 */   // Label 8180: @488084
     /*  488084 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(488163), // Rule ID 4151 //
     /*  488089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488161 */     GIR_RootConstrainSelectedInstOperands,
     /*  488162 */     // GIR_Coverage, 4151,
     /*  488162 */     GIR_EraseRootFromParent_Done,
     /*  488163 */   // Label 8181: @488163
     /*  488163 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(488242), // Rule ID 4160 //
     /*  488168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488240 */     GIR_RootConstrainSelectedInstOperands,
     /*  488241 */     // GIR_Coverage, 4160,
     /*  488241 */     GIR_EraseRootFromParent_Done,
     /*  488242 */   // Label 8182: @488242
     /*  488242 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(488321), // Rule ID 4161 //
     /*  488247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488319 */     GIR_RootConstrainSelectedInstOperands,
     /*  488320 */     // GIR_Coverage, 4161,
     /*  488320 */     GIR_EraseRootFromParent_Done,
     /*  488321 */   // Label 8183: @488321
     /*  488321 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488400), // Rule ID 4170 //
     /*  488326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488398 */     GIR_RootConstrainSelectedInstOperands,
     /*  488399 */     // GIR_Coverage, 4170,
     /*  488399 */     GIR_EraseRootFromParent_Done,
     /*  488400 */   // Label 8184: @488400
     /*  488400 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(488479), // Rule ID 4171 //
     /*  488405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488477 */     GIR_RootConstrainSelectedInstOperands,
     /*  488478 */     // GIR_Coverage, 4171,
     /*  488478 */     GIR_EraseRootFromParent_Done,
     /*  488479 */   // Label 8185: @488479
     /*  488479 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(488558), // Rule ID 4180 //
     /*  488484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488556 */     GIR_RootConstrainSelectedInstOperands,
     /*  488557 */     // GIR_Coverage, 4180,
     /*  488557 */     GIR_EraseRootFromParent_Done,
     /*  488558 */   // Label 8186: @488558
     /*  488558 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(488637), // Rule ID 4181 //
     /*  488563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488635 */     GIR_RootConstrainSelectedInstOperands,
     /*  488636 */     // GIR_Coverage, 4181,
     /*  488636 */     GIR_EraseRootFromParent_Done,
     /*  488637 */   // Label 8187: @488637
     /*  488637 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488716), // Rule ID 4190 //
     /*  488642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488714 */     GIR_RootConstrainSelectedInstOperands,
     /*  488715 */     // GIR_Coverage, 4190,
     /*  488715 */     GIR_EraseRootFromParent_Done,
     /*  488716 */   // Label 8188: @488716
     /*  488716 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488795), // Rule ID 4191 //
     /*  488721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488793 */     GIR_RootConstrainSelectedInstOperands,
     /*  488794 */     // GIR_Coverage, 4191,
     /*  488794 */     GIR_EraseRootFromParent_Done,
     /*  488795 */   // Label 8189: @488795
     /*  488795 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488874), // Rule ID 4200 //
     /*  488800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488872 */     GIR_RootConstrainSelectedInstOperands,
     /*  488873 */     // GIR_Coverage, 4200,
     /*  488873 */     GIR_EraseRootFromParent_Done,
     /*  488874 */   // Label 8190: @488874
     /*  488874 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488953), // Rule ID 4201 //
     /*  488879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488951 */     GIR_RootConstrainSelectedInstOperands,
     /*  488952 */     // GIR_Coverage, 4201,
     /*  488952 */     GIR_EraseRootFromParent_Done,
     /*  488953 */   // Label 8191: @488953
     /*  488953 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(489032), // Rule ID 4210 //
     /*  488958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489030 */     GIR_RootConstrainSelectedInstOperands,
     /*  489031 */     // GIR_Coverage, 4210,
     /*  489031 */     GIR_EraseRootFromParent_Done,
     /*  489032 */   // Label 8192: @489032
     /*  489032 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(489111), // Rule ID 4211 //
     /*  489037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489109 */     GIR_RootConstrainSelectedInstOperands,
     /*  489110 */     // GIR_Coverage, 4211,
     /*  489110 */     GIR_EraseRootFromParent_Done,
     /*  489111 */   // Label 8193: @489111
     /*  489111 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(489190), // Rule ID 4220 //
     /*  489116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489188 */     GIR_RootConstrainSelectedInstOperands,
     /*  489189 */     // GIR_Coverage, 4220,
     /*  489189 */     GIR_EraseRootFromParent_Done,
     /*  489190 */   // Label 8194: @489190
     /*  489190 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(489269), // Rule ID 4221 //
     /*  489195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489267 */     GIR_RootConstrainSelectedInstOperands,
     /*  489268 */     // GIR_Coverage, 4221,
     /*  489268 */     GIR_EraseRootFromParent_Done,
     /*  489269 */   // Label 8195: @489269
     /*  489269 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(489348), // Rule ID 4230 //
     /*  489274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489346 */     GIR_RootConstrainSelectedInstOperands,
     /*  489347 */     // GIR_Coverage, 4230,
     /*  489347 */     GIR_EraseRootFromParent_Done,
     /*  489348 */   // Label 8196: @489348
     /*  489348 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(489427), // Rule ID 4231 //
     /*  489353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489425 */     GIR_RootConstrainSelectedInstOperands,
     /*  489426 */     // GIR_Coverage, 4231,
     /*  489426 */     GIR_EraseRootFromParent_Done,
     /*  489427 */   // Label 8197: @489427
     /*  489427 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(489506), // Rule ID 4240 //
     /*  489432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489504 */     GIR_RootConstrainSelectedInstOperands,
     /*  489505 */     // GIR_Coverage, 4240,
     /*  489505 */     GIR_EraseRootFromParent_Done,
     /*  489506 */   // Label 8198: @489506
     /*  489506 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489585), // Rule ID 4241 //
     /*  489511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489583 */     GIR_RootConstrainSelectedInstOperands,
     /*  489584 */     // GIR_Coverage, 4241,
     /*  489584 */     GIR_EraseRootFromParent_Done,
     /*  489585 */   // Label 8199: @489585
     /*  489585 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489664), // Rule ID 4250 //
     /*  489590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489662 */     GIR_RootConstrainSelectedInstOperands,
     /*  489663 */     // GIR_Coverage, 4250,
     /*  489663 */     GIR_EraseRootFromParent_Done,
     /*  489664 */   // Label 8200: @489664
     /*  489664 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489743), // Rule ID 4251 //
     /*  489669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489741 */     GIR_RootConstrainSelectedInstOperands,
     /*  489742 */     // GIR_Coverage, 4251,
     /*  489742 */     GIR_EraseRootFromParent_Done,
     /*  489743 */   // Label 8201: @489743
     /*  489743 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489822), // Rule ID 4260 //
     /*  489748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489820 */     GIR_RootConstrainSelectedInstOperands,
     /*  489821 */     // GIR_Coverage, 4260,
     /*  489821 */     GIR_EraseRootFromParent_Done,
     /*  489822 */   // Label 8202: @489822
     /*  489822 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489901), // Rule ID 4261 //
     /*  489827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489899 */     GIR_RootConstrainSelectedInstOperands,
     /*  489900 */     // GIR_Coverage, 4261,
     /*  489900 */     GIR_EraseRootFromParent_Done,
     /*  489901 */   // Label 8203: @489901
     /*  489901 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489980), // Rule ID 4270 //
     /*  489906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489978 */     GIR_RootConstrainSelectedInstOperands,
     /*  489979 */     // GIR_Coverage, 4270,
     /*  489979 */     GIR_EraseRootFromParent_Done,
     /*  489980 */   // Label 8204: @489980
     /*  489980 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(490059), // Rule ID 4271 //
     /*  489985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490057 */     GIR_RootConstrainSelectedInstOperands,
     /*  490058 */     // GIR_Coverage, 4271,
     /*  490058 */     GIR_EraseRootFromParent_Done,
     /*  490059 */   // Label 8205: @490059
     /*  490059 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(490138), // Rule ID 4280 //
     /*  490064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490136 */     GIR_RootConstrainSelectedInstOperands,
     /*  490137 */     // GIR_Coverage, 4280,
     /*  490137 */     GIR_EraseRootFromParent_Done,
     /*  490138 */   // Label 8206: @490138
     /*  490138 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(490217), // Rule ID 4281 //
     /*  490143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490215 */     GIR_RootConstrainSelectedInstOperands,
     /*  490216 */     // GIR_Coverage, 4281,
     /*  490216 */     GIR_EraseRootFromParent_Done,
     /*  490217 */   // Label 8207: @490217
     /*  490217 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(490296), // Rule ID 4290 //
     /*  490222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490294 */     GIR_RootConstrainSelectedInstOperands,
     /*  490295 */     // GIR_Coverage, 4290,
     /*  490295 */     GIR_EraseRootFromParent_Done,
     /*  490296 */   // Label 8208: @490296
     /*  490296 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(490375), // Rule ID 4291 //
     /*  490301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490373 */     GIR_RootConstrainSelectedInstOperands,
     /*  490374 */     // GIR_Coverage, 4291,
     /*  490374 */     GIR_EraseRootFromParent_Done,
     /*  490375 */   // Label 8209: @490375
     /*  490375 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(490454), // Rule ID 4360 //
     /*  490380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490452 */     GIR_RootConstrainSelectedInstOperands,
     /*  490453 */     // GIR_Coverage, 4360,
     /*  490453 */     GIR_EraseRootFromParent_Done,
     /*  490454 */   // Label 8210: @490454
     /*  490454 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490533), // Rule ID 4361 //
     /*  490459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490511 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490531 */     GIR_RootConstrainSelectedInstOperands,
     /*  490532 */     // GIR_Coverage, 4361,
     /*  490532 */     GIR_EraseRootFromParent_Done,
     /*  490533 */   // Label 8211: @490533
     /*  490533 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490612), // Rule ID 4370 //
     /*  490538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490610 */     GIR_RootConstrainSelectedInstOperands,
     /*  490611 */     // GIR_Coverage, 4370,
     /*  490611 */     GIR_EraseRootFromParent_Done,
     /*  490612 */   // Label 8212: @490612
     /*  490612 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490691), // Rule ID 4371 //
     /*  490617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490689 */     GIR_RootConstrainSelectedInstOperands,
     /*  490690 */     // GIR_Coverage, 4371,
     /*  490690 */     GIR_EraseRootFromParent_Done,
     /*  490691 */   // Label 8213: @490691
     /*  490691 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490770), // Rule ID 4380 //
     /*  490696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490768 */     GIR_RootConstrainSelectedInstOperands,
     /*  490769 */     // GIR_Coverage, 4380,
     /*  490769 */     GIR_EraseRootFromParent_Done,
     /*  490770 */   // Label 8214: @490770
     /*  490770 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490849), // Rule ID 4381 //
     /*  490775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490847 */     GIR_RootConstrainSelectedInstOperands,
     /*  490848 */     // GIR_Coverage, 4381,
     /*  490848 */     GIR_EraseRootFromParent_Done,
     /*  490849 */   // Label 8215: @490849
     /*  490849 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490928), // Rule ID 4390 //
     /*  490854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490926 */     GIR_RootConstrainSelectedInstOperands,
     /*  490927 */     // GIR_Coverage, 4390,
     /*  490927 */     GIR_EraseRootFromParent_Done,
     /*  490928 */   // Label 8216: @490928
     /*  490928 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(491007), // Rule ID 4391 //
     /*  490933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490985 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491005 */     GIR_RootConstrainSelectedInstOperands,
     /*  491006 */     // GIR_Coverage, 4391,
     /*  491006 */     GIR_EraseRootFromParent_Done,
     /*  491007 */   // Label 8217: @491007
     /*  491007 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(491086), // Rule ID 4400 //
     /*  491012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491084 */     GIR_RootConstrainSelectedInstOperands,
     /*  491085 */     // GIR_Coverage, 4400,
     /*  491085 */     GIR_EraseRootFromParent_Done,
     /*  491086 */   // Label 8218: @491086
     /*  491086 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(491165), // Rule ID 4401 //
     /*  491091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491163 */     GIR_RootConstrainSelectedInstOperands,
     /*  491164 */     // GIR_Coverage, 4401,
     /*  491164 */     GIR_EraseRootFromParent_Done,
     /*  491165 */   // Label 8219: @491165
     /*  491165 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(491244), // Rule ID 4410 //
     /*  491170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491242 */     GIR_RootConstrainSelectedInstOperands,
     /*  491243 */     // GIR_Coverage, 4410,
     /*  491243 */     GIR_EraseRootFromParent_Done,
     /*  491244 */   // Label 8220: @491244
     /*  491244 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(491323), // Rule ID 4411 //
     /*  491249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491321 */     GIR_RootConstrainSelectedInstOperands,
     /*  491322 */     // GIR_Coverage, 4411,
     /*  491322 */     GIR_EraseRootFromParent_Done,
     /*  491323 */   // Label 8221: @491323
     /*  491323 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(491402), // Rule ID 4420 //
     /*  491328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491400 */     GIR_RootConstrainSelectedInstOperands,
     /*  491401 */     // GIR_Coverage, 4420,
     /*  491401 */     GIR_EraseRootFromParent_Done,
     /*  491402 */   // Label 8222: @491402
     /*  491402 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(491481), // Rule ID 4421 //
     /*  491407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491479 */     GIR_RootConstrainSelectedInstOperands,
     /*  491480 */     // GIR_Coverage, 4421,
     /*  491480 */     GIR_EraseRootFromParent_Done,
     /*  491481 */   // Label 8223: @491481
     /*  491481 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(491560), // Rule ID 4430 //
     /*  491486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491558 */     GIR_RootConstrainSelectedInstOperands,
     /*  491559 */     // GIR_Coverage, 4430,
     /*  491559 */     GIR_EraseRootFromParent_Done,
     /*  491560 */   // Label 8224: @491560
     /*  491560 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491639), // Rule ID 4431 //
     /*  491565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491637 */     GIR_RootConstrainSelectedInstOperands,
     /*  491638 */     // GIR_Coverage, 4431,
     /*  491638 */     GIR_EraseRootFromParent_Done,
     /*  491639 */   // Label 8225: @491639
     /*  491639 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491718), // Rule ID 4440 //
     /*  491644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491716 */     GIR_RootConstrainSelectedInstOperands,
     /*  491717 */     // GIR_Coverage, 4440,
     /*  491717 */     GIR_EraseRootFromParent_Done,
     /*  491718 */   // Label 8226: @491718
     /*  491718 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491797), // Rule ID 4441 //
     /*  491723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491795 */     GIR_RootConstrainSelectedInstOperands,
     /*  491796 */     // GIR_Coverage, 4441,
     /*  491796 */     GIR_EraseRootFromParent_Done,
     /*  491797 */   // Label 8227: @491797
     /*  491797 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491876), // Rule ID 4450 //
     /*  491802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491874 */     GIR_RootConstrainSelectedInstOperands,
     /*  491875 */     // GIR_Coverage, 4450,
     /*  491875 */     GIR_EraseRootFromParent_Done,
     /*  491876 */   // Label 8228: @491876
     /*  491876 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491955), // Rule ID 4451 //
     /*  491881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491953 */     GIR_RootConstrainSelectedInstOperands,
     /*  491954 */     // GIR_Coverage, 4451,
     /*  491954 */     GIR_EraseRootFromParent_Done,
     /*  491955 */   // Label 8229: @491955
     /*  491955 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(492034), // Rule ID 4460 //
     /*  491960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492032 */     GIR_RootConstrainSelectedInstOperands,
     /*  492033 */     // GIR_Coverage, 4460,
     /*  492033 */     GIR_EraseRootFromParent_Done,
     /*  492034 */   // Label 8230: @492034
     /*  492034 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(492113), // Rule ID 4461 //
     /*  492039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492111 */     GIR_RootConstrainSelectedInstOperands,
     /*  492112 */     // GIR_Coverage, 4461,
     /*  492112 */     GIR_EraseRootFromParent_Done,
     /*  492113 */   // Label 8231: @492113
     /*  492113 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(492192), // Rule ID 4470 //
     /*  492118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492190 */     GIR_RootConstrainSelectedInstOperands,
     /*  492191 */     // GIR_Coverage, 4470,
     /*  492191 */     GIR_EraseRootFromParent_Done,
     /*  492192 */   // Label 8232: @492192
     /*  492192 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(492271), // Rule ID 4471 //
     /*  492197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492269 */     GIR_RootConstrainSelectedInstOperands,
     /*  492270 */     // GIR_Coverage, 4471,
     /*  492270 */     GIR_EraseRootFromParent_Done,
     /*  492271 */   // Label 8233: @492271
     /*  492271 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(492350), // Rule ID 4480 //
     /*  492276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492348 */     GIR_RootConstrainSelectedInstOperands,
     /*  492349 */     // GIR_Coverage, 4480,
     /*  492349 */     GIR_EraseRootFromParent_Done,
     /*  492350 */   // Label 8234: @492350
     /*  492350 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(492429), // Rule ID 4481 //
     /*  492355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492427 */     GIR_RootConstrainSelectedInstOperands,
     /*  492428 */     // GIR_Coverage, 4481,
     /*  492428 */     GIR_EraseRootFromParent_Done,
     /*  492429 */   // Label 8235: @492429
     /*  492429 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(492508), // Rule ID 4490 //
     /*  492434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492506 */     GIR_RootConstrainSelectedInstOperands,
     /*  492507 */     // GIR_Coverage, 4490,
     /*  492507 */     GIR_EraseRootFromParent_Done,
     /*  492508 */   // Label 8236: @492508
     /*  492508 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(492587), // Rule ID 4491 //
     /*  492513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492565 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492585 */     GIR_RootConstrainSelectedInstOperands,
     /*  492586 */     // GIR_Coverage, 4491,
     /*  492586 */     GIR_EraseRootFromParent_Done,
     /*  492587 */   // Label 8237: @492587
     /*  492587 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492666), // Rule ID 4500 //
     /*  492592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492664 */     GIR_RootConstrainSelectedInstOperands,
     /*  492665 */     // GIR_Coverage, 4500,
     /*  492665 */     GIR_EraseRootFromParent_Done,
     /*  492666 */   // Label 8238: @492666
     /*  492666 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492745), // Rule ID 4501 //
     /*  492671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492743 */     GIR_RootConstrainSelectedInstOperands,
     /*  492744 */     // GIR_Coverage, 4501,
     /*  492744 */     GIR_EraseRootFromParent_Done,
     /*  492745 */   // Label 8239: @492745
     /*  492745 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492824), // Rule ID 4570 //
     /*  492750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492822 */     GIR_RootConstrainSelectedInstOperands,
     /*  492823 */     // GIR_Coverage, 4570,
     /*  492823 */     GIR_EraseRootFromParent_Done,
     /*  492824 */   // Label 8240: @492824
     /*  492824 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492903), // Rule ID 4571 //
     /*  492829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492901 */     GIR_RootConstrainSelectedInstOperands,
     /*  492902 */     // GIR_Coverage, 4571,
     /*  492902 */     GIR_EraseRootFromParent_Done,
     /*  492903 */   // Label 8241: @492903
     /*  492903 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492982), // Rule ID 4580 //
     /*  492908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492980 */     GIR_RootConstrainSelectedInstOperands,
     /*  492981 */     // GIR_Coverage, 4580,
     /*  492981 */     GIR_EraseRootFromParent_Done,
     /*  492982 */   // Label 8242: @492982
     /*  492982 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(493061), // Rule ID 4581 //
     /*  492987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493059 */     GIR_RootConstrainSelectedInstOperands,
     /*  493060 */     // GIR_Coverage, 4581,
     /*  493060 */     GIR_EraseRootFromParent_Done,
     /*  493061 */   // Label 8243: @493061
     /*  493061 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(493140), // Rule ID 4590 //
     /*  493066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493138 */     GIR_RootConstrainSelectedInstOperands,
     /*  493139 */     // GIR_Coverage, 4590,
     /*  493139 */     GIR_EraseRootFromParent_Done,
     /*  493140 */   // Label 8244: @493140
     /*  493140 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(493219), // Rule ID 4591 //
     /*  493145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493217 */     GIR_RootConstrainSelectedInstOperands,
     /*  493218 */     // GIR_Coverage, 4591,
     /*  493218 */     GIR_EraseRootFromParent_Done,
     /*  493219 */   // Label 8245: @493219
     /*  493219 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(493298), // Rule ID 4600 //
     /*  493224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493296 */     GIR_RootConstrainSelectedInstOperands,
     /*  493297 */     // GIR_Coverage, 4600,
     /*  493297 */     GIR_EraseRootFromParent_Done,
     /*  493298 */   // Label 8246: @493298
     /*  493298 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(493377), // Rule ID 4601 //
     /*  493303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493375 */     GIR_RootConstrainSelectedInstOperands,
     /*  493376 */     // GIR_Coverage, 4601,
     /*  493376 */     GIR_EraseRootFromParent_Done,
     /*  493377 */   // Label 8247: @493377
     /*  493377 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(493456), // Rule ID 4610 //
     /*  493382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493454 */     GIR_RootConstrainSelectedInstOperands,
     /*  493455 */     // GIR_Coverage, 4610,
     /*  493455 */     GIR_EraseRootFromParent_Done,
     /*  493456 */   // Label 8248: @493456
     /*  493456 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(493535), // Rule ID 4611 //
     /*  493461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493533 */     GIR_RootConstrainSelectedInstOperands,
     /*  493534 */     // GIR_Coverage, 4611,
     /*  493534 */     GIR_EraseRootFromParent_Done,
     /*  493535 */   // Label 8249: @493535
     /*  493535 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493614), // Rule ID 4620 //
     /*  493540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493612 */     GIR_RootConstrainSelectedInstOperands,
     /*  493613 */     // GIR_Coverage, 4620,
     /*  493613 */     GIR_EraseRootFromParent_Done,
     /*  493614 */   // Label 8250: @493614
     /*  493614 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493693), // Rule ID 4621 //
     /*  493619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493671 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493691 */     GIR_RootConstrainSelectedInstOperands,
     /*  493692 */     // GIR_Coverage, 4621,
     /*  493692 */     GIR_EraseRootFromParent_Done,
     /*  493693 */   // Label 8251: @493693
     /*  493693 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493772), // Rule ID 4630 //
     /*  493698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493770 */     GIR_RootConstrainSelectedInstOperands,
     /*  493771 */     // GIR_Coverage, 4630,
     /*  493771 */     GIR_EraseRootFromParent_Done,
     /*  493772 */   // Label 8252: @493772
     /*  493772 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493851), // Rule ID 4631 //
     /*  493777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493849 */     GIR_RootConstrainSelectedInstOperands,
     /*  493850 */     // GIR_Coverage, 4631,
     /*  493850 */     GIR_EraseRootFromParent_Done,
     /*  493851 */   // Label 8253: @493851
     /*  493851 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493930), // Rule ID 4640 //
     /*  493856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493928 */     GIR_RootConstrainSelectedInstOperands,
     /*  493929 */     // GIR_Coverage, 4640,
     /*  493929 */     GIR_EraseRootFromParent_Done,
     /*  493930 */   // Label 8254: @493930
     /*  493930 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(494009), // Rule ID 4641 //
     /*  493935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494007 */     GIR_RootConstrainSelectedInstOperands,
     /*  494008 */     // GIR_Coverage, 4641,
     /*  494008 */     GIR_EraseRootFromParent_Done,
     /*  494009 */   // Label 8255: @494009
     /*  494009 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(494088), // Rule ID 4650 //
     /*  494014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494086 */     GIR_RootConstrainSelectedInstOperands,
     /*  494087 */     // GIR_Coverage, 4650,
     /*  494087 */     GIR_EraseRootFromParent_Done,
     /*  494088 */   // Label 8256: @494088
     /*  494088 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(494167), // Rule ID 4651 //
     /*  494093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494165 */     GIR_RootConstrainSelectedInstOperands,
     /*  494166 */     // GIR_Coverage, 4651,
     /*  494166 */     GIR_EraseRootFromParent_Done,
     /*  494167 */   // Label 8257: @494167
     /*  494167 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(494246), // Rule ID 4660 //
     /*  494172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494244 */     GIR_RootConstrainSelectedInstOperands,
     /*  494245 */     // GIR_Coverage, 4660,
     /*  494245 */     GIR_EraseRootFromParent_Done,
     /*  494246 */   // Label 8258: @494246
     /*  494246 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(494325), // Rule ID 4661 //
     /*  494251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494323 */     GIR_RootConstrainSelectedInstOperands,
     /*  494324 */     // GIR_Coverage, 4661,
     /*  494324 */     GIR_EraseRootFromParent_Done,
     /*  494325 */   // Label 8259: @494325
     /*  494325 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(494404), // Rule ID 4670 //
     /*  494330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494402 */     GIR_RootConstrainSelectedInstOperands,
     /*  494403 */     // GIR_Coverage, 4670,
     /*  494403 */     GIR_EraseRootFromParent_Done,
     /*  494404 */   // Label 8260: @494404
     /*  494404 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(494483), // Rule ID 4671 //
     /*  494409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494481 */     GIR_RootConstrainSelectedInstOperands,
     /*  494482 */     // GIR_Coverage, 4671,
     /*  494482 */     GIR_EraseRootFromParent_Done,
     /*  494483 */   // Label 8261: @494483
     /*  494483 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494562), // Rule ID 4680 //
     /*  494488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494560 */     GIR_RootConstrainSelectedInstOperands,
     /*  494561 */     // GIR_Coverage, 4680,
     /*  494561 */     GIR_EraseRootFromParent_Done,
     /*  494562 */   // Label 8262: @494562
     /*  494562 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494641), // Rule ID 4681 //
     /*  494567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494639 */     GIR_RootConstrainSelectedInstOperands,
     /*  494640 */     // GIR_Coverage, 4681,
     /*  494640 */     GIR_EraseRootFromParent_Done,
     /*  494641 */   // Label 8263: @494641
     /*  494641 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494720), // Rule ID 4690 //
     /*  494646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494718 */     GIR_RootConstrainSelectedInstOperands,
     /*  494719 */     // GIR_Coverage, 4690,
     /*  494719 */     GIR_EraseRootFromParent_Done,
     /*  494720 */   // Label 8264: @494720
     /*  494720 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494799), // Rule ID 4691 //
     /*  494725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494797 */     GIR_RootConstrainSelectedInstOperands,
     /*  494798 */     // GIR_Coverage, 4691,
     /*  494798 */     GIR_EraseRootFromParent_Done,
     /*  494799 */   // Label 8265: @494799
     /*  494799 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494878), // Rule ID 4700 //
     /*  494804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494876 */     GIR_RootConstrainSelectedInstOperands,
     /*  494877 */     // GIR_Coverage, 4700,
     /*  494877 */     GIR_EraseRootFromParent_Done,
     /*  494878 */   // Label 8266: @494878
     /*  494878 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494957), // Rule ID 4701 //
     /*  494883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494955 */     GIR_RootConstrainSelectedInstOperands,
     /*  494956 */     // GIR_Coverage, 4701,
     /*  494956 */     GIR_EraseRootFromParent_Done,
     /*  494957 */   // Label 8267: @494957
     /*  494957 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(495036), // Rule ID 4710 //
     /*  494962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495034 */     GIR_RootConstrainSelectedInstOperands,
     /*  495035 */     // GIR_Coverage, 4710,
     /*  495035 */     GIR_EraseRootFromParent_Done,
     /*  495036 */   // Label 8268: @495036
     /*  495036 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(495115), // Rule ID 4711 //
     /*  495041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495113 */     GIR_RootConstrainSelectedInstOperands,
     /*  495114 */     // GIR_Coverage, 4711,
     /*  495114 */     GIR_EraseRootFromParent_Done,
     /*  495115 */   // Label 8269: @495115
     /*  495115 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(495183), // Rule ID 2602 //
     /*  495120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495152 */     // MIs[0] policy
     /*  495152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495169 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495181 */     GIR_RootConstrainSelectedInstOperands,
     /*  495182 */     // GIR_Coverage, 2602,
     /*  495182 */     GIR_EraseRootFromParent_Done,
     /*  495183 */   // Label 8270: @495183
     /*  495183 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(495251), // Rule ID 2603 //
     /*  495188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495220 */     // MIs[0] policy
     /*  495220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495237 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495249 */     GIR_RootConstrainSelectedInstOperands,
     /*  495250 */     // GIR_Coverage, 2603,
     /*  495250 */     GIR_EraseRootFromParent_Done,
     /*  495251 */   // Label 8271: @495251
     /*  495251 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(495319), // Rule ID 23390 //
     /*  495256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  495267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  495270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495288 */     // MIs[0] policy
     /*  495288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495305 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495317 */     GIR_RootConstrainSelectedInstOperands,
     /*  495318 */     // GIR_Coverage, 23390,
     /*  495318 */     GIR_EraseRootFromParent_Done,
     /*  495319 */   // Label 8272: @495319
     /*  495319 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(495387), // Rule ID 23391 //
     /*  495324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  495335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  495338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495356 */     // MIs[0] policy
     /*  495356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495373 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495385 */     GIR_RootConstrainSelectedInstOperands,
     /*  495386 */     // GIR_Coverage, 23391,
     /*  495386 */     GIR_EraseRootFromParent_Done,
     /*  495387 */   // Label 8273: @495387
     /*  495387 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495455), // Rule ID 23394 //
     /*  495392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495424 */     // MIs[0] policy
     /*  495424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495441 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495453 */     GIR_RootConstrainSelectedInstOperands,
     /*  495454 */     // GIR_Coverage, 23394,
     /*  495454 */     GIR_EraseRootFromParent_Done,
     /*  495455 */   // Label 8274: @495455
     /*  495455 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495523), // Rule ID 23395 //
     /*  495460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495492 */     // MIs[0] policy
     /*  495492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495509 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495521 */     GIR_RootConstrainSelectedInstOperands,
     /*  495522 */     // GIR_Coverage, 23395,
     /*  495522 */     GIR_EraseRootFromParent_Done,
     /*  495523 */   // Label 8275: @495523
     /*  495523 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495591), // Rule ID 23398 //
     /*  495528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495560 */     // MIs[0] policy
     /*  495560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495570 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495577 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495589 */     GIR_RootConstrainSelectedInstOperands,
     /*  495590 */     // GIR_Coverage, 23398,
     /*  495590 */     GIR_EraseRootFromParent_Done,
     /*  495591 */   // Label 8276: @495591
     /*  495591 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495659), // Rule ID 23399 //
     /*  495596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495628 */     // MIs[0] policy
     /*  495628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495645 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495657 */     GIR_RootConstrainSelectedInstOperands,
     /*  495658 */     // GIR_Coverage, 23399,
     /*  495658 */     GIR_EraseRootFromParent_Done,
     /*  495659 */   // Label 8277: @495659
     /*  495659 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495727), // Rule ID 23402 //
     /*  495664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495696 */     // MIs[0] policy
     /*  495696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495713 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495725 */     GIR_RootConstrainSelectedInstOperands,
     /*  495726 */     // GIR_Coverage, 23402,
     /*  495726 */     GIR_EraseRootFromParent_Done,
     /*  495727 */   // Label 8278: @495727
     /*  495727 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495795), // Rule ID 23403 //
     /*  495732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495764 */     // MIs[0] policy
     /*  495764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495781 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495793 */     GIR_RootConstrainSelectedInstOperands,
     /*  495794 */     // GIR_Coverage, 23403,
     /*  495794 */     GIR_EraseRootFromParent_Done,
     /*  495795 */   // Label 8279: @495795
     /*  495795 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495863), // Rule ID 23406 //
     /*  495800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495832 */     // MIs[0] policy
     /*  495832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495849 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495861 */     GIR_RootConstrainSelectedInstOperands,
     /*  495862 */     // GIR_Coverage, 23406,
     /*  495862 */     GIR_EraseRootFromParent_Done,
     /*  495863 */   // Label 8280: @495863
     /*  495863 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495931), // Rule ID 23407 //
     /*  495868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495900 */     // MIs[0] policy
     /*  495900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495917 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495929 */     GIR_RootConstrainSelectedInstOperands,
     /*  495930 */     // GIR_Coverage, 23407,
     /*  495930 */     GIR_EraseRootFromParent_Done,
     /*  495931 */   // Label 8281: @495931
     /*  495931 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495999), // Rule ID 23410 //
     /*  495936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495968 */     // MIs[0] policy
     /*  495968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495985 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495997 */     GIR_RootConstrainSelectedInstOperands,
     /*  495998 */     // GIR_Coverage, 23410,
     /*  495998 */     GIR_EraseRootFromParent_Done,
     /*  495999 */   // Label 8282: @495999
     /*  495999 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(496067), // Rule ID 23411 //
     /*  496004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  496015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  496018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496036 */     // MIs[0] policy
     /*  496036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496053 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496065 */     GIR_RootConstrainSelectedInstOperands,
     /*  496066 */     // GIR_Coverage, 23411,
     /*  496066 */     GIR_EraseRootFromParent_Done,
     /*  496067 */   // Label 8283: @496067
     /*  496067 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(496135), // Rule ID 23414 //
     /*  496072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496104 */     // MIs[0] policy
     /*  496104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496121 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496133 */     GIR_RootConstrainSelectedInstOperands,
     /*  496134 */     // GIR_Coverage, 23414,
     /*  496134 */     GIR_EraseRootFromParent_Done,
     /*  496135 */   // Label 8284: @496135
     /*  496135 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(496203), // Rule ID 23415 //
     /*  496140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496172 */     // MIs[0] policy
     /*  496172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496189 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496201 */     GIR_RootConstrainSelectedInstOperands,
     /*  496202 */     // GIR_Coverage, 23415,
     /*  496202 */     GIR_EraseRootFromParent_Done,
     /*  496203 */   // Label 8285: @496203
     /*  496203 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(496271), // Rule ID 23418 //
     /*  496208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496240 */     // MIs[0] policy
     /*  496240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496257 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496269 */     GIR_RootConstrainSelectedInstOperands,
     /*  496270 */     // GIR_Coverage, 23418,
     /*  496270 */     GIR_EraseRootFromParent_Done,
     /*  496271 */   // Label 8286: @496271
     /*  496271 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496339), // Rule ID 23419 //
     /*  496276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496308 */     // MIs[0] policy
     /*  496308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496325 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496337 */     GIR_RootConstrainSelectedInstOperands,
     /*  496338 */     // GIR_Coverage, 23419,
     /*  496338 */     GIR_EraseRootFromParent_Done,
     /*  496339 */   // Label 8287: @496339
     /*  496339 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496407), // Rule ID 23422 //
     /*  496344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  496347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496376 */     // MIs[0] policy
     /*  496376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496393 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496405 */     GIR_RootConstrainSelectedInstOperands,
     /*  496406 */     // GIR_Coverage, 23422,
     /*  496406 */     GIR_EraseRootFromParent_Done,
     /*  496407 */   // Label 8288: @496407
     /*  496407 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496475), // Rule ID 23423 //
     /*  496412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496444 */     // MIs[0] policy
     /*  496444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496461 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496473 */     GIR_RootConstrainSelectedInstOperands,
     /*  496474 */     // GIR_Coverage, 23423,
     /*  496474 */     GIR_EraseRootFromParent_Done,
     /*  496475 */   // Label 8289: @496475
     /*  496475 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496543), // Rule ID 23426 //
     /*  496480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496512 */     // MIs[0] policy
     /*  496512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496522 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496529 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496541 */     GIR_RootConstrainSelectedInstOperands,
     /*  496542 */     // GIR_Coverage, 23426,
     /*  496542 */     GIR_EraseRootFromParent_Done,
     /*  496543 */   // Label 8290: @496543
     /*  496543 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496611), // Rule ID 23427 //
     /*  496548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496580 */     // MIs[0] policy
     /*  496580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496597 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496609 */     GIR_RootConstrainSelectedInstOperands,
     /*  496610 */     // GIR_Coverage, 23427,
     /*  496610 */     GIR_EraseRootFromParent_Done,
     /*  496611 */   // Label 8291: @496611
     /*  496611 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496679), // Rule ID 23430 //
     /*  496616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496648 */     // MIs[0] policy
     /*  496648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496665 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496677 */     GIR_RootConstrainSelectedInstOperands,
     /*  496678 */     // GIR_Coverage, 23430,
     /*  496678 */     GIR_EraseRootFromParent_Done,
     /*  496679 */   // Label 8292: @496679
     /*  496679 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496747), // Rule ID 23431 //
     /*  496684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496716 */     // MIs[0] policy
     /*  496716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496733 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496745 */     GIR_RootConstrainSelectedInstOperands,
     /*  496746 */     // GIR_Coverage, 23431,
     /*  496746 */     GIR_EraseRootFromParent_Done,
     /*  496747 */   // Label 8293: @496747
     /*  496747 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496815), // Rule ID 23434 //
     /*  496752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496784 */     // MIs[0] policy
     /*  496784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496794 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496801 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496813 */     GIR_RootConstrainSelectedInstOperands,
     /*  496814 */     // GIR_Coverage, 23434,
     /*  496814 */     GIR_EraseRootFromParent_Done,
     /*  496815 */   // Label 8294: @496815
     /*  496815 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496883), // Rule ID 23435 //
     /*  496820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496852 */     // MIs[0] policy
     /*  496852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496869 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496881 */     GIR_RootConstrainSelectedInstOperands,
     /*  496882 */     // GIR_Coverage, 23435,
     /*  496882 */     GIR_EraseRootFromParent_Done,
     /*  496883 */   // Label 8295: @496883
     /*  496883 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496951), // Rule ID 23438 //
     /*  496888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496920 */     // MIs[0] policy
     /*  496920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496937 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496949 */     GIR_RootConstrainSelectedInstOperands,
     /*  496950 */     // GIR_Coverage, 23438,
     /*  496950 */     GIR_EraseRootFromParent_Done,
     /*  496951 */   // Label 8296: @496951
     /*  496951 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(497019), // Rule ID 23439 //
     /*  496956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496988 */     // MIs[0] policy
     /*  496988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497005 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497017 */     GIR_RootConstrainSelectedInstOperands,
     /*  497018 */     // GIR_Coverage, 23439,
     /*  497018 */     GIR_EraseRootFromParent_Done,
     /*  497019 */   // Label 8297: @497019
     /*  497019 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(497087), // Rule ID 23442 //
     /*  497024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497056 */     // MIs[0] policy
     /*  497056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497073 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497085 */     GIR_RootConstrainSelectedInstOperands,
     /*  497086 */     // GIR_Coverage, 23442,
     /*  497086 */     GIR_EraseRootFromParent_Done,
     /*  497087 */   // Label 8298: @497087
     /*  497087 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(497155), // Rule ID 23443 //
     /*  497092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497124 */     // MIs[0] policy
     /*  497124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497141 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497153 */     GIR_RootConstrainSelectedInstOperands,
     /*  497154 */     // GIR_Coverage, 23443,
     /*  497154 */     GIR_EraseRootFromParent_Done,
     /*  497155 */   // Label 8299: @497155
     /*  497155 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497223), // Rule ID 23446 //
     /*  497160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497192 */     // MIs[0] policy
     /*  497192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497202 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497209 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497221 */     GIR_RootConstrainSelectedInstOperands,
     /*  497222 */     // GIR_Coverage, 23446,
     /*  497222 */     GIR_EraseRootFromParent_Done,
     /*  497223 */   // Label 8300: @497223
     /*  497223 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497291), // Rule ID 23447 //
     /*  497228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497260 */     // MIs[0] policy
     /*  497260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497277 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497289 */     GIR_RootConstrainSelectedInstOperands,
     /*  497290 */     // GIR_Coverage, 23447,
     /*  497290 */     GIR_EraseRootFromParent_Done,
     /*  497291 */   // Label 8301: @497291
     /*  497291 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497359), // Rule ID 23450 //
     /*  497296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497328 */     // MIs[0] policy
     /*  497328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497345 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497357 */     GIR_RootConstrainSelectedInstOperands,
     /*  497358 */     // GIR_Coverage, 23450,
     /*  497358 */     GIR_EraseRootFromParent_Done,
     /*  497359 */   // Label 8302: @497359
     /*  497359 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497427), // Rule ID 23451 //
     /*  497364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497396 */     // MIs[0] policy
     /*  497396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497413 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497425 */     GIR_RootConstrainSelectedInstOperands,
     /*  497426 */     // GIR_Coverage, 23451,
     /*  497426 */     GIR_EraseRootFromParent_Done,
     /*  497427 */   // Label 8303: @497427
     /*  497427 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497495), // Rule ID 23454 //
     /*  497432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497464 */     // MIs[0] policy
     /*  497464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497481 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497493 */     GIR_RootConstrainSelectedInstOperands,
     /*  497494 */     // GIR_Coverage, 23454,
     /*  497494 */     GIR_EraseRootFromParent_Done,
     /*  497495 */   // Label 8304: @497495
     /*  497495 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497563), // Rule ID 23455 //
     /*  497500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497532 */     // MIs[0] policy
     /*  497532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497549 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497561 */     GIR_RootConstrainSelectedInstOperands,
     /*  497562 */     // GIR_Coverage, 23455,
     /*  497562 */     GIR_EraseRootFromParent_Done,
     /*  497563 */   // Label 8305: @497563
     /*  497563 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497631), // Rule ID 23458 //
     /*  497568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497600 */     // MIs[0] policy
     /*  497600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497617 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497629 */     GIR_RootConstrainSelectedInstOperands,
     /*  497630 */     // GIR_Coverage, 23458,
     /*  497630 */     GIR_EraseRootFromParent_Done,
     /*  497631 */   // Label 8306: @497631
     /*  497631 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497699), // Rule ID 23459 //
     /*  497636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497668 */     // MIs[0] policy
     /*  497668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497685 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497697 */     GIR_RootConstrainSelectedInstOperands,
     /*  497698 */     // GIR_Coverage, 23459,
     /*  497698 */     GIR_EraseRootFromParent_Done,
     /*  497699 */   // Label 8307: @497699
     /*  497699 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497767), // Rule ID 23462 //
     /*  497704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497736 */     // MIs[0] policy
     /*  497736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497753 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497765 */     GIR_RootConstrainSelectedInstOperands,
     /*  497766 */     // GIR_Coverage, 23462,
     /*  497766 */     GIR_EraseRootFromParent_Done,
     /*  497767 */   // Label 8308: @497767
     /*  497767 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497835), // Rule ID 23463 //
     /*  497772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497804 */     // MIs[0] policy
     /*  497804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497821 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497833 */     GIR_RootConstrainSelectedInstOperands,
     /*  497834 */     // GIR_Coverage, 23463,
     /*  497834 */     GIR_EraseRootFromParent_Done,
     /*  497835 */   // Label 8309: @497835
     /*  497835 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497903), // Rule ID 23466 //
     /*  497840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497872 */     // MIs[0] policy
     /*  497872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497882 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497889 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497901 */     GIR_RootConstrainSelectedInstOperands,
     /*  497902 */     // GIR_Coverage, 23466,
     /*  497902 */     GIR_EraseRootFromParent_Done,
     /*  497903 */   // Label 8310: @497903
     /*  497903 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497971), // Rule ID 23467 //
     /*  497908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497940 */     // MIs[0] policy
     /*  497940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497957 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497969 */     GIR_RootConstrainSelectedInstOperands,
     /*  497970 */     // GIR_Coverage, 23467,
     /*  497970 */     GIR_EraseRootFromParent_Done,
     /*  497971 */   // Label 8311: @497971
     /*  497971 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(498039), // Rule ID 23470 //
     /*  497976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498008 */     // MIs[0] policy
     /*  498008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498025 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498037 */     GIR_RootConstrainSelectedInstOperands,
     /*  498038 */     // GIR_Coverage, 23470,
     /*  498038 */     GIR_EraseRootFromParent_Done,
     /*  498039 */   // Label 8312: @498039
     /*  498039 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(498107), // Rule ID 23471 //
     /*  498044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  498047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498076 */     // MIs[0] policy
     /*  498076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498093 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498105 */     GIR_RootConstrainSelectedInstOperands,
     /*  498106 */     // GIR_Coverage, 23471,
     /*  498106 */     GIR_EraseRootFromParent_Done,
     /*  498107 */   // Label 8313: @498107
     /*  498107 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498175), // Rule ID 60476 //
     /*  498112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498144 */     // MIs[0] policy
     /*  498144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498173 */     GIR_RootConstrainSelectedInstOperands,
     /*  498174 */     // GIR_Coverage, 60476,
     /*  498174 */     GIR_EraseRootFromParent_Done,
     /*  498175 */   // Label 8314: @498175
     /*  498175 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498243), // Rule ID 60477 //
     /*  498180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498212 */     // MIs[0] policy
     /*  498212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498241 */     GIR_RootConstrainSelectedInstOperands,
     /*  498242 */     // GIR_Coverage, 60477,
     /*  498242 */     GIR_EraseRootFromParent_Done,
     /*  498243 */   // Label 8315: @498243
     /*  498243 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498311), // Rule ID 60478 //
     /*  498248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498280 */     // MIs[0] policy
     /*  498280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  498293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498309 */     GIR_RootConstrainSelectedInstOperands,
     /*  498310 */     // GIR_Coverage, 60478,
     /*  498310 */     GIR_EraseRootFromParent_Done,
     /*  498311 */   // Label 8316: @498311
     /*  498311 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498379), // Rule ID 60479 //
     /*  498316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498348 */     // MIs[0] policy
     /*  498348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  498361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498377 */     GIR_RootConstrainSelectedInstOperands,
     /*  498378 */     // GIR_Coverage, 60479,
     /*  498378 */     GIR_EraseRootFromParent_Done,
     /*  498379 */   // Label 8317: @498379
     /*  498379 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498447), // Rule ID 61972 //
     /*  498384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498416 */     // MIs[0] policy
     /*  498416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498445 */     GIR_RootConstrainSelectedInstOperands,
     /*  498446 */     // GIR_Coverage, 61972,
     /*  498446 */     GIR_EraseRootFromParent_Done,
     /*  498447 */   // Label 8318: @498447
     /*  498447 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498515), // Rule ID 61973 //
     /*  498452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498484 */     // MIs[0] policy
     /*  498484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498513 */     GIR_RootConstrainSelectedInstOperands,
     /*  498514 */     // GIR_Coverage, 61973,
     /*  498514 */     GIR_EraseRootFromParent_Done,
     /*  498515 */   // Label 8319: @498515
     /*  498515 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498583), // Rule ID 61974 //
     /*  498520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498552 */     // MIs[0] policy
     /*  498552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498581 */     GIR_RootConstrainSelectedInstOperands,
     /*  498582 */     // GIR_Coverage, 61974,
     /*  498582 */     GIR_EraseRootFromParent_Done,
     /*  498583 */   // Label 8320: @498583
     /*  498583 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498651), // Rule ID 61975 //
     /*  498588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498620 */     // MIs[0] policy
     /*  498620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498649 */     GIR_RootConstrainSelectedInstOperands,
     /*  498650 */     // GIR_Coverage, 61975,
     /*  498650 */     GIR_EraseRootFromParent_Done,
     /*  498651 */   // Label 8321: @498651
     /*  498651 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498719), // Rule ID 61976 //
     /*  498656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498688 */     // MIs[0] policy
     /*  498688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498717 */     GIR_RootConstrainSelectedInstOperands,
     /*  498718 */     // GIR_Coverage, 61976,
     /*  498718 */     GIR_EraseRootFromParent_Done,
     /*  498719 */   // Label 8322: @498719
     /*  498719 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498787), // Rule ID 61977 //
     /*  498724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498756 */     // MIs[0] policy
     /*  498756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498785 */     GIR_RootConstrainSelectedInstOperands,
     /*  498786 */     // GIR_Coverage, 61977,
     /*  498786 */     GIR_EraseRootFromParent_Done,
     /*  498787 */   // Label 8323: @498787
     /*  498787 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498855), // Rule ID 61978 //
     /*  498792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498824 */     // MIs[0] policy
     /*  498824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498853 */     GIR_RootConstrainSelectedInstOperands,
     /*  498854 */     // GIR_Coverage, 61978,
     /*  498854 */     GIR_EraseRootFromParent_Done,
     /*  498855 */   // Label 8324: @498855
     /*  498855 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498923), // Rule ID 61979 //
     /*  498860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498892 */     // MIs[0] policy
     /*  498892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498921 */     GIR_RootConstrainSelectedInstOperands,
     /*  498922 */     // GIR_Coverage, 61979,
     /*  498922 */     GIR_EraseRootFromParent_Done,
     /*  498923 */   // Label 8325: @498923
     /*  498923 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(498991), // Rule ID 61980 //
     /*  498928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498960 */     // MIs[0] policy
     /*  498960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498989 */     GIR_RootConstrainSelectedInstOperands,
     /*  498990 */     // GIR_Coverage, 61980,
     /*  498990 */     GIR_EraseRootFromParent_Done,
     /*  498991 */   // Label 8326: @498991
     /*  498991 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(499059), // Rule ID 61981 //
     /*  498996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499028 */     // MIs[0] policy
     /*  499028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  499041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499057 */     GIR_RootConstrainSelectedInstOperands,
     /*  499058 */     // GIR_Coverage, 61981,
     /*  499058 */     GIR_EraseRootFromParent_Done,
     /*  499059 */   // Label 8327: @499059
     /*  499059 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499127), // Rule ID 61982 //
     /*  499064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499096 */     // MIs[0] policy
     /*  499096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499125 */     GIR_RootConstrainSelectedInstOperands,
     /*  499126 */     // GIR_Coverage, 61982,
     /*  499126 */     GIR_EraseRootFromParent_Done,
     /*  499127 */   // Label 8328: @499127
     /*  499127 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499195), // Rule ID 61983 //
     /*  499132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499164 */     // MIs[0] policy
     /*  499164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499193 */     GIR_RootConstrainSelectedInstOperands,
     /*  499194 */     // GIR_Coverage, 61983,
     /*  499194 */     GIR_EraseRootFromParent_Done,
     /*  499195 */   // Label 8329: @499195
     /*  499195 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499263), // Rule ID 61984 //
     /*  499200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499232 */     // MIs[0] policy
     /*  499232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499261 */     GIR_RootConstrainSelectedInstOperands,
     /*  499262 */     // GIR_Coverage, 61984,
     /*  499262 */     GIR_EraseRootFromParent_Done,
     /*  499263 */   // Label 8330: @499263
     /*  499263 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499331), // Rule ID 61985 //
     /*  499268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499300 */     // MIs[0] policy
     /*  499300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499329 */     GIR_RootConstrainSelectedInstOperands,
     /*  499330 */     // GIR_Coverage, 61985,
     /*  499330 */     GIR_EraseRootFromParent_Done,
     /*  499331 */   // Label 8331: @499331
     /*  499331 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499399), // Rule ID 61986 //
     /*  499336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499368 */     // MIs[0] policy
     /*  499368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499397 */     GIR_RootConstrainSelectedInstOperands,
     /*  499398 */     // GIR_Coverage, 61986,
     /*  499398 */     GIR_EraseRootFromParent_Done,
     /*  499399 */   // Label 8332: @499399
     /*  499399 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499467), // Rule ID 61987 //
     /*  499404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499436 */     // MIs[0] policy
     /*  499436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499465 */     GIR_RootConstrainSelectedInstOperands,
     /*  499466 */     // GIR_Coverage, 61987,
     /*  499466 */     GIR_EraseRootFromParent_Done,
     /*  499467 */   // Label 8333: @499467
     /*  499467 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499535), // Rule ID 61988 //
     /*  499472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499504 */     // MIs[0] policy
     /*  499504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499533 */     GIR_RootConstrainSelectedInstOperands,
     /*  499534 */     // GIR_Coverage, 61988,
     /*  499534 */     GIR_EraseRootFromParent_Done,
     /*  499535 */   // Label 8334: @499535
     /*  499535 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499603), // Rule ID 61989 //
     /*  499540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499572 */     // MIs[0] policy
     /*  499572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499601 */     GIR_RootConstrainSelectedInstOperands,
     /*  499602 */     // GIR_Coverage, 61989,
     /*  499602 */     GIR_EraseRootFromParent_Done,
     /*  499603 */   // Label 8335: @499603
     /*  499603 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499671), // Rule ID 61990 //
     /*  499608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499640 */     // MIs[0] policy
     /*  499640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499669 */     GIR_RootConstrainSelectedInstOperands,
     /*  499670 */     // GIR_Coverage, 61990,
     /*  499670 */     GIR_EraseRootFromParent_Done,
     /*  499671 */   // Label 8336: @499671
     /*  499671 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499739), // Rule ID 61991 //
     /*  499676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499708 */     // MIs[0] policy
     /*  499708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499737 */     GIR_RootConstrainSelectedInstOperands,
     /*  499738 */     // GIR_Coverage, 61991,
     /*  499738 */     GIR_EraseRootFromParent_Done,
     /*  499739 */   // Label 8337: @499739
     /*  499739 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499807), // Rule ID 61992 //
     /*  499744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499776 */     // MIs[0] policy
     /*  499776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499805 */     GIR_RootConstrainSelectedInstOperands,
     /*  499806 */     // GIR_Coverage, 61992,
     /*  499806 */     GIR_EraseRootFromParent_Done,
     /*  499807 */   // Label 8338: @499807
     /*  499807 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499875), // Rule ID 61993 //
     /*  499812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499844 */     // MIs[0] policy
     /*  499844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499873 */     GIR_RootConstrainSelectedInstOperands,
     /*  499874 */     // GIR_Coverage, 61993,
     /*  499874 */     GIR_EraseRootFromParent_Done,
     /*  499875 */   // Label 8339: @499875
     /*  499875 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(499943), // Rule ID 61994 //
     /*  499880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499912 */     // MIs[0] policy
     /*  499912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499941 */     GIR_RootConstrainSelectedInstOperands,
     /*  499942 */     // GIR_Coverage, 61994,
     /*  499942 */     GIR_EraseRootFromParent_Done,
     /*  499943 */   // Label 8340: @499943
     /*  499943 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(500011), // Rule ID 61995 //
     /*  499948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499980 */     // MIs[0] policy
     /*  499980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500009 */     GIR_RootConstrainSelectedInstOperands,
     /*  500010 */     // GIR_Coverage, 61995,
     /*  500010 */     GIR_EraseRootFromParent_Done,
     /*  500011 */   // Label 8341: @500011
     /*  500011 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(500079), // Rule ID 61996 //
     /*  500016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500048 */     // MIs[0] policy
     /*  500048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500077 */     GIR_RootConstrainSelectedInstOperands,
     /*  500078 */     // GIR_Coverage, 61996,
     /*  500078 */     GIR_EraseRootFromParent_Done,
     /*  500079 */   // Label 8342: @500079
     /*  500079 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500147), // Rule ID 61997 //
     /*  500084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500116 */     // MIs[0] policy
     /*  500116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500145 */     GIR_RootConstrainSelectedInstOperands,
     /*  500146 */     // GIR_Coverage, 61997,
     /*  500146 */     GIR_EraseRootFromParent_Done,
     /*  500147 */   // Label 8343: @500147
     /*  500147 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500215), // Rule ID 61998 //
     /*  500152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500184 */     // MIs[0] policy
     /*  500184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500213 */     GIR_RootConstrainSelectedInstOperands,
     /*  500214 */     // GIR_Coverage, 61998,
     /*  500214 */     GIR_EraseRootFromParent_Done,
     /*  500215 */   // Label 8344: @500215
     /*  500215 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500283), // Rule ID 61999 //
     /*  500220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500252 */     // MIs[0] policy
     /*  500252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500281 */     GIR_RootConstrainSelectedInstOperands,
     /*  500282 */     // GIR_Coverage, 61999,
     /*  500282 */     GIR_EraseRootFromParent_Done,
     /*  500283 */   // Label 8345: @500283
     /*  500283 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500351), // Rule ID 62000 //
     /*  500288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500320 */     // MIs[0] policy
     /*  500320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  500333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500349 */     GIR_RootConstrainSelectedInstOperands,
     /*  500350 */     // GIR_Coverage, 62000,
     /*  500350 */     GIR_EraseRootFromParent_Done,
     /*  500351 */   // Label 8346: @500351
     /*  500351 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500419), // Rule ID 62001 //
     /*  500356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500388 */     // MIs[0] policy
     /*  500388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  500401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500417 */     GIR_RootConstrainSelectedInstOperands,
     /*  500418 */     // GIR_Coverage, 62001,
     /*  500418 */     GIR_EraseRootFromParent_Done,
     /*  500419 */   // Label 8347: @500419
     /*  500419 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500487), // Rule ID 62002 //
     /*  500424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500456 */     // MIs[0] policy
     /*  500456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500485 */     GIR_RootConstrainSelectedInstOperands,
     /*  500486 */     // GIR_Coverage, 62002,
     /*  500486 */     GIR_EraseRootFromParent_Done,
     /*  500487 */   // Label 8348: @500487
     /*  500487 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500555), // Rule ID 62003 //
     /*  500492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500524 */     // MIs[0] policy
     /*  500524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500553 */     GIR_RootConstrainSelectedInstOperands,
     /*  500554 */     // GIR_Coverage, 62003,
     /*  500554 */     GIR_EraseRootFromParent_Done,
     /*  500555 */   // Label 8349: @500555
     /*  500555 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500623), // Rule ID 62004 //
     /*  500560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500592 */     // MIs[0] policy
     /*  500592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500621 */     GIR_RootConstrainSelectedInstOperands,
     /*  500622 */     // GIR_Coverage, 62004,
     /*  500622 */     GIR_EraseRootFromParent_Done,
     /*  500623 */   // Label 8350: @500623
     /*  500623 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500691), // Rule ID 62005 //
     /*  500628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500660 */     // MIs[0] policy
     /*  500660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500689 */     GIR_RootConstrainSelectedInstOperands,
     /*  500690 */     // GIR_Coverage, 62005,
     /*  500690 */     GIR_EraseRootFromParent_Done,
     /*  500691 */   // Label 8351: @500691
     /*  500691 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500759), // Rule ID 62006 //
     /*  500696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500728 */     // MIs[0] policy
     /*  500728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500738 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500757 */     GIR_RootConstrainSelectedInstOperands,
     /*  500758 */     // GIR_Coverage, 62006,
     /*  500758 */     GIR_EraseRootFromParent_Done,
     /*  500759 */   // Label 8352: @500759
     /*  500759 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500827), // Rule ID 62007 //
     /*  500764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500796 */     // MIs[0] policy
     /*  500796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500825 */     GIR_RootConstrainSelectedInstOperands,
     /*  500826 */     // GIR_Coverage, 62007,
     /*  500826 */     GIR_EraseRootFromParent_Done,
     /*  500827 */   // Label 8353: @500827
     /*  500827 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500895), // Rule ID 62008 //
     /*  500832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500864 */     // MIs[0] policy
     /*  500864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500893 */     GIR_RootConstrainSelectedInstOperands,
     /*  500894 */     // GIR_Coverage, 62008,
     /*  500894 */     GIR_EraseRootFromParent_Done,
     /*  500895 */   // Label 8354: @500895
     /*  500895 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(500963), // Rule ID 62009 //
     /*  500900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500932 */     // MIs[0] policy
     /*  500932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500961 */     GIR_RootConstrainSelectedInstOperands,
     /*  500962 */     // GIR_Coverage, 62009,
     /*  500962 */     GIR_EraseRootFromParent_Done,
     /*  500963 */   // Label 8355: @500963
     /*  500963 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(501031), // Rule ID 62010 //
     /*  500968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501000 */     // MIs[0] policy
     /*  501000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501029 */     GIR_RootConstrainSelectedInstOperands,
     /*  501030 */     // GIR_Coverage, 62010,
     /*  501030 */     GIR_EraseRootFromParent_Done,
     /*  501031 */   // Label 8356: @501031
     /*  501031 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(501099), // Rule ID 62011 //
     /*  501036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501068 */     // MIs[0] policy
     /*  501068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501097 */     GIR_RootConstrainSelectedInstOperands,
     /*  501098 */     // GIR_Coverage, 62011,
     /*  501098 */     GIR_EraseRootFromParent_Done,
     /*  501099 */   // Label 8357: @501099
     /*  501099 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501167), // Rule ID 62012 //
     /*  501104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501136 */     // MIs[0] policy
     /*  501136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501165 */     GIR_RootConstrainSelectedInstOperands,
     /*  501166 */     // GIR_Coverage, 62012,
     /*  501166 */     GIR_EraseRootFromParent_Done,
     /*  501167 */   // Label 8358: @501167
     /*  501167 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501235), // Rule ID 62013 //
     /*  501172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501204 */     // MIs[0] policy
     /*  501204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501233 */     GIR_RootConstrainSelectedInstOperands,
     /*  501234 */     // GIR_Coverage, 62013,
     /*  501234 */     GIR_EraseRootFromParent_Done,
     /*  501235 */   // Label 8359: @501235
     /*  501235 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501303), // Rule ID 62014 //
     /*  501240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501272 */     // MIs[0] policy
     /*  501272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  501285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501301 */     GIR_RootConstrainSelectedInstOperands,
     /*  501302 */     // GIR_Coverage, 62014,
     /*  501302 */     GIR_EraseRootFromParent_Done,
     /*  501303 */   // Label 8360: @501303
     /*  501303 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501371), // Rule ID 62015 //
     /*  501308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501340 */     // MIs[0] policy
     /*  501340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  501353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501369 */     GIR_RootConstrainSelectedInstOperands,
     /*  501370 */     // GIR_Coverage, 62015,
     /*  501370 */     GIR_EraseRootFromParent_Done,
     /*  501371 */   // Label 8361: @501371
     /*  501371 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501439), // Rule ID 62016 //
     /*  501376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501408 */     // MIs[0] policy
     /*  501408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501437 */     GIR_RootConstrainSelectedInstOperands,
     /*  501438 */     // GIR_Coverage, 62016,
     /*  501438 */     GIR_EraseRootFromParent_Done,
     /*  501439 */   // Label 8362: @501439
     /*  501439 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501507), // Rule ID 62017 //
     /*  501444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501476 */     // MIs[0] policy
     /*  501476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501505 */     GIR_RootConstrainSelectedInstOperands,
     /*  501506 */     // GIR_Coverage, 62017,
     /*  501506 */     GIR_EraseRootFromParent_Done,
     /*  501507 */   // Label 8363: @501507
     /*  501507 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501575), // Rule ID 62018 //
     /*  501512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501544 */     // MIs[0] policy
     /*  501544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501573 */     GIR_RootConstrainSelectedInstOperands,
     /*  501574 */     // GIR_Coverage, 62018,
     /*  501574 */     GIR_EraseRootFromParent_Done,
     /*  501575 */   // Label 8364: @501575
     /*  501575 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501643), // Rule ID 62019 //
     /*  501580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501612 */     // MIs[0] policy
     /*  501612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501641 */     GIR_RootConstrainSelectedInstOperands,
     /*  501642 */     // GIR_Coverage, 62019,
     /*  501642 */     GIR_EraseRootFromParent_Done,
     /*  501643 */   // Label 8365: @501643
     /*  501643 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501711), // Rule ID 62020 //
     /*  501648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501680 */     // MIs[0] policy
     /*  501680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501709 */     GIR_RootConstrainSelectedInstOperands,
     /*  501710 */     // GIR_Coverage, 62020,
     /*  501710 */     GIR_EraseRootFromParent_Done,
     /*  501711 */   // Label 8366: @501711
     /*  501711 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501779), // Rule ID 62021 //
     /*  501716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501748 */     // MIs[0] policy
     /*  501748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501777 */     GIR_RootConstrainSelectedInstOperands,
     /*  501778 */     // GIR_Coverage, 62021,
     /*  501778 */     GIR_EraseRootFromParent_Done,
     /*  501779 */   // Label 8367: @501779
     /*  501779 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501847), // Rule ID 62022 //
     /*  501784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501816 */     // MIs[0] policy
     /*  501816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501845 */     GIR_RootConstrainSelectedInstOperands,
     /*  501846 */     // GIR_Coverage, 62022,
     /*  501846 */     GIR_EraseRootFromParent_Done,
     /*  501847 */   // Label 8368: @501847
     /*  501847 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501915), // Rule ID 62023 //
     /*  501852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501884 */     // MIs[0] policy
     /*  501884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501913 */     GIR_RootConstrainSelectedInstOperands,
     /*  501914 */     // GIR_Coverage, 62023,
     /*  501914 */     GIR_EraseRootFromParent_Done,
     /*  501915 */   // Label 8369: @501915
     /*  501915 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(501983), // Rule ID 62024 //
     /*  501920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501952 */     // MIs[0] policy
     /*  501952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501981 */     GIR_RootConstrainSelectedInstOperands,
     /*  501982 */     // GIR_Coverage, 62024,
     /*  501982 */     GIR_EraseRootFromParent_Done,
     /*  501983 */   // Label 8370: @501983
     /*  501983 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(502051), // Rule ID 62025 //
     /*  501988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502020 */     // MIs[0] policy
     /*  502020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  502033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502049 */     GIR_RootConstrainSelectedInstOperands,
     /*  502050 */     // GIR_Coverage, 62025,
     /*  502050 */     GIR_EraseRootFromParent_Done,
     /*  502051 */   // Label 8371: @502051
     /*  502051 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502119), // Rule ID 62026 //
     /*  502056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502088 */     // MIs[0] policy
     /*  502088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502117 */     GIR_RootConstrainSelectedInstOperands,
     /*  502118 */     // GIR_Coverage, 62026,
     /*  502118 */     GIR_EraseRootFromParent_Done,
     /*  502119 */   // Label 8372: @502119
     /*  502119 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502187), // Rule ID 62027 //
     /*  502124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502156 */     // MIs[0] policy
     /*  502156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502185 */     GIR_RootConstrainSelectedInstOperands,
     /*  502186 */     // GIR_Coverage, 62027,
     /*  502186 */     GIR_EraseRootFromParent_Done,
     /*  502187 */   // Label 8373: @502187
     /*  502187 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502255), // Rule ID 62028 //
     /*  502192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502224 */     // MIs[0] policy
     /*  502224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502253 */     GIR_RootConstrainSelectedInstOperands,
     /*  502254 */     // GIR_Coverage, 62028,
     /*  502254 */     GIR_EraseRootFromParent_Done,
     /*  502255 */   // Label 8374: @502255
     /*  502255 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502323), // Rule ID 62029 //
     /*  502260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502292 */     // MIs[0] policy
     /*  502292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502321 */     GIR_RootConstrainSelectedInstOperands,
     /*  502322 */     // GIR_Coverage, 62029,
     /*  502322 */     GIR_EraseRootFromParent_Done,
     /*  502323 */   // Label 8375: @502323
     /*  502323 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502391), // Rule ID 62030 //
     /*  502328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502360 */     // MIs[0] policy
     /*  502360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502389 */     GIR_RootConstrainSelectedInstOperands,
     /*  502390 */     // GIR_Coverage, 62030,
     /*  502390 */     GIR_EraseRootFromParent_Done,
     /*  502391 */   // Label 8376: @502391
     /*  502391 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502459), // Rule ID 62031 //
     /*  502396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502428 */     // MIs[0] policy
     /*  502428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502457 */     GIR_RootConstrainSelectedInstOperands,
     /*  502458 */     // GIR_Coverage, 62031,
     /*  502458 */     GIR_EraseRootFromParent_Done,
     /*  502459 */   // Label 8377: @502459
     /*  502459 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502527), // Rule ID 62032 //
     /*  502464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502496 */     // MIs[0] policy
     /*  502496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502525 */     GIR_RootConstrainSelectedInstOperands,
     /*  502526 */     // GIR_Coverage, 62032,
     /*  502526 */     GIR_EraseRootFromParent_Done,
     /*  502527 */   // Label 8378: @502527
     /*  502527 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502595), // Rule ID 62033 //
     /*  502532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502564 */     // MIs[0] policy
     /*  502564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502593 */     GIR_RootConstrainSelectedInstOperands,
     /*  502594 */     // GIR_Coverage, 62033,
     /*  502594 */     GIR_EraseRootFromParent_Done,
     /*  502595 */   // Label 8379: @502595
     /*  502595 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502663), // Rule ID 62034 //
     /*  502600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502632 */     // MIs[0] policy
     /*  502632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502661 */     GIR_RootConstrainSelectedInstOperands,
     /*  502662 */     // GIR_Coverage, 62034,
     /*  502662 */     GIR_EraseRootFromParent_Done,
     /*  502663 */   // Label 8380: @502663
     /*  502663 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502731), // Rule ID 62035 //
     /*  502668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502700 */     // MIs[0] policy
     /*  502700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502729 */     GIR_RootConstrainSelectedInstOperands,
     /*  502730 */     // GIR_Coverage, 62035,
     /*  502730 */     GIR_EraseRootFromParent_Done,
     /*  502731 */   // Label 8381: @502731
     /*  502731 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502799), // Rule ID 62036 //
     /*  502736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502768 */     // MIs[0] policy
     /*  502768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502797 */     GIR_RootConstrainSelectedInstOperands,
     /*  502798 */     // GIR_Coverage, 62036,
     /*  502798 */     GIR_EraseRootFromParent_Done,
     /*  502799 */   // Label 8382: @502799
     /*  502799 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502867), // Rule ID 62037 //
     /*  502804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502836 */     // MIs[0] policy
     /*  502836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502865 */     GIR_RootConstrainSelectedInstOperands,
     /*  502866 */     // GIR_Coverage, 62037,
     /*  502866 */     GIR_EraseRootFromParent_Done,
     /*  502867 */   // Label 8383: @502867
     /*  502867 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(502935), // Rule ID 62038 //
     /*  502872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502904 */     // MIs[0] policy
     /*  502904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502933 */     GIR_RootConstrainSelectedInstOperands,
     /*  502934 */     // GIR_Coverage, 62038,
     /*  502934 */     GIR_EraseRootFromParent_Done,
     /*  502935 */   // Label 8384: @502935
     /*  502935 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(503003), // Rule ID 62039 //
     /*  502940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502972 */     // MIs[0] policy
     /*  502972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503001 */     GIR_RootConstrainSelectedInstOperands,
     /*  503002 */     // GIR_Coverage, 62039,
     /*  503002 */     GIR_EraseRootFromParent_Done,
     /*  503003 */   // Label 8385: @503003
     /*  503003 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(503071), // Rule ID 62040 //
     /*  503008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503040 */     // MIs[0] policy
     /*  503040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503069 */     GIR_RootConstrainSelectedInstOperands,
     /*  503070 */     // GIR_Coverage, 62040,
     /*  503070 */     GIR_EraseRootFromParent_Done,
     /*  503071 */   // Label 8386: @503071
     /*  503071 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503139), // Rule ID 62041 //
     /*  503076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503108 */     // MIs[0] policy
     /*  503108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503137 */     GIR_RootConstrainSelectedInstOperands,
     /*  503138 */     // GIR_Coverage, 62041,
     /*  503138 */     GIR_EraseRootFromParent_Done,
     /*  503139 */   // Label 8387: @503139
     /*  503139 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503207), // Rule ID 62042 //
     /*  503144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503176 */     // MIs[0] policy
     /*  503176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503205 */     GIR_RootConstrainSelectedInstOperands,
     /*  503206 */     // GIR_Coverage, 62042,
     /*  503206 */     GIR_EraseRootFromParent_Done,
     /*  503207 */   // Label 8388: @503207
     /*  503207 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503275), // Rule ID 62043 //
     /*  503212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503244 */     // MIs[0] policy
     /*  503244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503273 */     GIR_RootConstrainSelectedInstOperands,
     /*  503274 */     // GIR_Coverage, 62043,
     /*  503274 */     GIR_EraseRootFromParent_Done,
     /*  503275 */   // Label 8389: @503275
     /*  503275 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503343), // Rule ID 62044 //
     /*  503280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503312 */     // MIs[0] policy
     /*  503312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503341 */     GIR_RootConstrainSelectedInstOperands,
     /*  503342 */     // GIR_Coverage, 62044,
     /*  503342 */     GIR_EraseRootFromParent_Done,
     /*  503343 */   // Label 8390: @503343
     /*  503343 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503411), // Rule ID 62045 //
     /*  503348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503380 */     // MIs[0] policy
     /*  503380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503409 */     GIR_RootConstrainSelectedInstOperands,
     /*  503410 */     // GIR_Coverage, 62045,
     /*  503410 */     GIR_EraseRootFromParent_Done,
     /*  503411 */   // Label 8391: @503411
     /*  503411 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503479), // Rule ID 62046 //
     /*  503416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503448 */     // MIs[0] policy
     /*  503448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503477 */     GIR_RootConstrainSelectedInstOperands,
     /*  503478 */     // GIR_Coverage, 62046,
     /*  503478 */     GIR_EraseRootFromParent_Done,
     /*  503479 */   // Label 8392: @503479
     /*  503479 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503547), // Rule ID 62047 //
     /*  503484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503516 */     // MIs[0] policy
     /*  503516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503545 */     GIR_RootConstrainSelectedInstOperands,
     /*  503546 */     // GIR_Coverage, 62047,
     /*  503546 */     GIR_EraseRootFromParent_Done,
     /*  503547 */   // Label 8393: @503547
     /*  503547 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503615), // Rule ID 62048 //
     /*  503552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503584 */     // MIs[0] policy
     /*  503584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503613 */     GIR_RootConstrainSelectedInstOperands,
     /*  503614 */     // GIR_Coverage, 62048,
     /*  503614 */     GIR_EraseRootFromParent_Done,
     /*  503615 */   // Label 8394: @503615
     /*  503615 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503683), // Rule ID 62049 //
     /*  503620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503652 */     // MIs[0] policy
     /*  503652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503681 */     GIR_RootConstrainSelectedInstOperands,
     /*  503682 */     // GIR_Coverage, 62049,
     /*  503682 */     GIR_EraseRootFromParent_Done,
     /*  503683 */   // Label 8395: @503683
     /*  503683 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503751), // Rule ID 62050 //
     /*  503688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503720 */     // MIs[0] policy
     /*  503720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503749 */     GIR_RootConstrainSelectedInstOperands,
     /*  503750 */     // GIR_Coverage, 62050,
     /*  503750 */     GIR_EraseRootFromParent_Done,
     /*  503751 */   // Label 8396: @503751
     /*  503751 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503819), // Rule ID 62051 //
     /*  503756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503788 */     // MIs[0] policy
     /*  503788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503817 */     GIR_RootConstrainSelectedInstOperands,
     /*  503818 */     // GIR_Coverage, 62051,
     /*  503818 */     GIR_EraseRootFromParent_Done,
     /*  503819 */   // Label 8397: @503819
     /*  503819 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503887), // Rule ID 62052 //
     /*  503824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503856 */     // MIs[0] policy
     /*  503856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503885 */     GIR_RootConstrainSelectedInstOperands,
     /*  503886 */     // GIR_Coverage, 62052,
     /*  503886 */     GIR_EraseRootFromParent_Done,
     /*  503887 */   // Label 8398: @503887
     /*  503887 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(503955), // Rule ID 62053 //
     /*  503892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503924 */     // MIs[0] policy
     /*  503924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503953 */     GIR_RootConstrainSelectedInstOperands,
     /*  503954 */     // GIR_Coverage, 62053,
     /*  503954 */     GIR_EraseRootFromParent_Done,
     /*  503955 */   // Label 8399: @503955
     /*  503955 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(504023), // Rule ID 62054 //
     /*  503960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503992 */     // MIs[0] policy
     /*  503992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504021 */     GIR_RootConstrainSelectedInstOperands,
     /*  504022 */     // GIR_Coverage, 62054,
     /*  504022 */     GIR_EraseRootFromParent_Done,
     /*  504023 */   // Label 8400: @504023
     /*  504023 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(504091), // Rule ID 62055 //
     /*  504028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504060 */     // MIs[0] policy
     /*  504060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504089 */     GIR_RootConstrainSelectedInstOperands,
     /*  504090 */     // GIR_Coverage, 62055,
     /*  504090 */     GIR_EraseRootFromParent_Done,
     /*  504091 */   // Label 8401: @504091
     /*  504091 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504159), // Rule ID 62056 //
     /*  504096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504128 */     // MIs[0] policy
     /*  504128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504157 */     GIR_RootConstrainSelectedInstOperands,
     /*  504158 */     // GIR_Coverage, 62056,
     /*  504158 */     GIR_EraseRootFromParent_Done,
     /*  504159 */   // Label 8402: @504159
     /*  504159 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504227), // Rule ID 62057 //
     /*  504164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504196 */     // MIs[0] policy
     /*  504196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504225 */     GIR_RootConstrainSelectedInstOperands,
     /*  504226 */     // GIR_Coverage, 62057,
     /*  504226 */     GIR_EraseRootFromParent_Done,
     /*  504227 */   // Label 8403: @504227
     /*  504227 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504295), // Rule ID 62058 //
     /*  504232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504264 */     // MIs[0] policy
     /*  504264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  504277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504293 */     GIR_RootConstrainSelectedInstOperands,
     /*  504294 */     // GIR_Coverage, 62058,
     /*  504294 */     GIR_EraseRootFromParent_Done,
     /*  504295 */   // Label 8404: @504295
     /*  504295 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504363), // Rule ID 62059 //
     /*  504300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504332 */     // MIs[0] policy
     /*  504332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  504345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504361 */     GIR_RootConstrainSelectedInstOperands,
     /*  504362 */     // GIR_Coverage, 62059,
     /*  504362 */     GIR_EraseRootFromParent_Done,
     /*  504363 */   // Label 8405: @504363
     /*  504363 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504431), // Rule ID 62060 //
     /*  504368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504400 */     // MIs[0] policy
     /*  504400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504429 */     GIR_RootConstrainSelectedInstOperands,
     /*  504430 */     // GIR_Coverage, 62060,
     /*  504430 */     GIR_EraseRootFromParent_Done,
     /*  504431 */   // Label 8406: @504431
     /*  504431 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504499), // Rule ID 62061 //
     /*  504436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504468 */     // MIs[0] policy
     /*  504468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504497 */     GIR_RootConstrainSelectedInstOperands,
     /*  504498 */     // GIR_Coverage, 62061,
     /*  504498 */     GIR_EraseRootFromParent_Done,
     /*  504499 */   // Label 8407: @504499
     /*  504499 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504567), // Rule ID 62062 //
     /*  504504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504536 */     // MIs[0] policy
     /*  504536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504565 */     GIR_RootConstrainSelectedInstOperands,
     /*  504566 */     // GIR_Coverage, 62062,
     /*  504566 */     GIR_EraseRootFromParent_Done,
     /*  504567 */   // Label 8408: @504567
     /*  504567 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504635), // Rule ID 62063 //
     /*  504572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504604 */     // MIs[0] policy
     /*  504604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504633 */     GIR_RootConstrainSelectedInstOperands,
     /*  504634 */     // GIR_Coverage, 62063,
     /*  504634 */     GIR_EraseRootFromParent_Done,
     /*  504635 */   // Label 8409: @504635
     /*  504635 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504703), // Rule ID 62064 //
     /*  504640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504672 */     // MIs[0] policy
     /*  504672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504701 */     GIR_RootConstrainSelectedInstOperands,
     /*  504702 */     // GIR_Coverage, 62064,
     /*  504702 */     GIR_EraseRootFromParent_Done,
     /*  504703 */   // Label 8410: @504703
     /*  504703 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504771), // Rule ID 62065 //
     /*  504708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504740 */     // MIs[0] policy
     /*  504740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504769 */     GIR_RootConstrainSelectedInstOperands,
     /*  504770 */     // GIR_Coverage, 62065,
     /*  504770 */     GIR_EraseRootFromParent_Done,
     /*  504771 */   // Label 8411: @504771
     /*  504771 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504839), // Rule ID 62066 //
     /*  504776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504808 */     // MIs[0] policy
     /*  504808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504837 */     GIR_RootConstrainSelectedInstOperands,
     /*  504838 */     // GIR_Coverage, 62066,
     /*  504838 */     GIR_EraseRootFromParent_Done,
     /*  504839 */   // Label 8412: @504839
     /*  504839 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504907), // Rule ID 62067 //
     /*  504844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504876 */     // MIs[0] policy
     /*  504876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504905 */     GIR_RootConstrainSelectedInstOperands,
     /*  504906 */     // GIR_Coverage, 62067,
     /*  504906 */     GIR_EraseRootFromParent_Done,
     /*  504907 */   // Label 8413: @504907
     /*  504907 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(504975), // Rule ID 62068 //
     /*  504912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504944 */     // MIs[0] policy
     /*  504944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504973 */     GIR_RootConstrainSelectedInstOperands,
     /*  504974 */     // GIR_Coverage, 62068,
     /*  504974 */     GIR_EraseRootFromParent_Done,
     /*  504975 */   // Label 8414: @504975
     /*  504975 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(505043), // Rule ID 62069 //
     /*  504980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505012 */     // MIs[0] policy
     /*  505012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  505025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505041 */     GIR_RootConstrainSelectedInstOperands,
     /*  505042 */     // GIR_Coverage, 62069,
     /*  505042 */     GIR_EraseRootFromParent_Done,
     /*  505043 */   // Label 8415: @505043
     /*  505043 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505111), // Rule ID 62070 //
     /*  505048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505080 */     // MIs[0] policy
     /*  505080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505109 */     GIR_RootConstrainSelectedInstOperands,
     /*  505110 */     // GIR_Coverage, 62070,
     /*  505110 */     GIR_EraseRootFromParent_Done,
     /*  505111 */   // Label 8416: @505111
     /*  505111 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505179), // Rule ID 62071 //
     /*  505116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505148 */     // MIs[0] policy
     /*  505148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505177 */     GIR_RootConstrainSelectedInstOperands,
     /*  505178 */     // GIR_Coverage, 62071,
     /*  505178 */     GIR_EraseRootFromParent_Done,
     /*  505179 */   // Label 8417: @505179
     /*  505179 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505247), // Rule ID 62072 //
     /*  505184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505216 */     // MIs[0] policy
     /*  505216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505245 */     GIR_RootConstrainSelectedInstOperands,
     /*  505246 */     // GIR_Coverage, 62072,
     /*  505246 */     GIR_EraseRootFromParent_Done,
     /*  505247 */   // Label 8418: @505247
     /*  505247 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505315), // Rule ID 62073 //
     /*  505252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505284 */     // MIs[0] policy
     /*  505284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505313 */     GIR_RootConstrainSelectedInstOperands,
     /*  505314 */     // GIR_Coverage, 62073,
     /*  505314 */     GIR_EraseRootFromParent_Done,
     /*  505315 */   // Label 8419: @505315
     /*  505315 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505383), // Rule ID 62074 //
     /*  505320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505352 */     // MIs[0] policy
     /*  505352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505381 */     GIR_RootConstrainSelectedInstOperands,
     /*  505382 */     // GIR_Coverage, 62074,
     /*  505382 */     GIR_EraseRootFromParent_Done,
     /*  505383 */   // Label 8420: @505383
     /*  505383 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505451), // Rule ID 62075 //
     /*  505388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505420 */     // MIs[0] policy
     /*  505420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505449 */     GIR_RootConstrainSelectedInstOperands,
     /*  505450 */     // GIR_Coverage, 62075,
     /*  505450 */     GIR_EraseRootFromParent_Done,
     /*  505451 */   // Label 8421: @505451
     /*  505451 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505519), // Rule ID 62076 //
     /*  505456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505488 */     // MIs[0] policy
     /*  505488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505517 */     GIR_RootConstrainSelectedInstOperands,
     /*  505518 */     // GIR_Coverage, 62076,
     /*  505518 */     GIR_EraseRootFromParent_Done,
     /*  505519 */   // Label 8422: @505519
     /*  505519 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505587), // Rule ID 62077 //
     /*  505524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505556 */     // MIs[0] policy
     /*  505556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505585 */     GIR_RootConstrainSelectedInstOperands,
     /*  505586 */     // GIR_Coverage, 62077,
     /*  505586 */     GIR_EraseRootFromParent_Done,
     /*  505587 */   // Label 8423: @505587
     /*  505587 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505655), // Rule ID 62078 //
     /*  505592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505624 */     // MIs[0] policy
     /*  505624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505653 */     GIR_RootConstrainSelectedInstOperands,
     /*  505654 */     // GIR_Coverage, 62078,
     /*  505654 */     GIR_EraseRootFromParent_Done,
     /*  505655 */   // Label 8424: @505655
     /*  505655 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505723), // Rule ID 62079 //
     /*  505660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505692 */     // MIs[0] policy
     /*  505692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505721 */     GIR_RootConstrainSelectedInstOperands,
     /*  505722 */     // GIR_Coverage, 62079,
     /*  505722 */     GIR_EraseRootFromParent_Done,
     /*  505723 */   // Label 8425: @505723
     /*  505723 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505791), // Rule ID 62080 //
     /*  505728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505760 */     // MIs[0] policy
     /*  505760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505789 */     GIR_RootConstrainSelectedInstOperands,
     /*  505790 */     // GIR_Coverage, 62080,
     /*  505790 */     GIR_EraseRootFromParent_Done,
     /*  505791 */   // Label 8426: @505791
     /*  505791 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505859), // Rule ID 62081 //
     /*  505796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505828 */     // MIs[0] policy
     /*  505828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505857 */     GIR_RootConstrainSelectedInstOperands,
     /*  505858 */     // GIR_Coverage, 62081,
     /*  505858 */     GIR_EraseRootFromParent_Done,
     /*  505859 */   // Label 8427: @505859
     /*  505859 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(505927), // Rule ID 62082 //
     /*  505864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505896 */     // MIs[0] policy
     /*  505896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505925 */     GIR_RootConstrainSelectedInstOperands,
     /*  505926 */     // GIR_Coverage, 62082,
     /*  505926 */     GIR_EraseRootFromParent_Done,
     /*  505927 */   // Label 8428: @505927
     /*  505927 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(505995), // Rule ID 62083 //
     /*  505932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505964 */     // MIs[0] policy
     /*  505964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505993 */     GIR_RootConstrainSelectedInstOperands,
     /*  505994 */     // GIR_Coverage, 62083,
     /*  505994 */     GIR_EraseRootFromParent_Done,
     /*  505995 */   // Label 8429: @505995
     /*  505995 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(506063), // Rule ID 62084 //
     /*  506000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506032 */     // MIs[0] policy
     /*  506032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506061 */     GIR_RootConstrainSelectedInstOperands,
     /*  506062 */     // GIR_Coverage, 62084,
     /*  506062 */     GIR_EraseRootFromParent_Done,
     /*  506063 */   // Label 8430: @506063
     /*  506063 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506131), // Rule ID 62085 //
     /*  506068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506100 */     // MIs[0] policy
     /*  506100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506129 */     GIR_RootConstrainSelectedInstOperands,
     /*  506130 */     // GIR_Coverage, 62085,
     /*  506130 */     GIR_EraseRootFromParent_Done,
     /*  506131 */   // Label 8431: @506131
     /*  506131 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506199), // Rule ID 62086 //
     /*  506136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506168 */     // MIs[0] policy
     /*  506168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506197 */     GIR_RootConstrainSelectedInstOperands,
     /*  506198 */     // GIR_Coverage, 62086,
     /*  506198 */     GIR_EraseRootFromParent_Done,
     /*  506199 */   // Label 8432: @506199
     /*  506199 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506267), // Rule ID 62087 //
     /*  506204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506236 */     // MIs[0] policy
     /*  506236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506265 */     GIR_RootConstrainSelectedInstOperands,
     /*  506266 */     // GIR_Coverage, 62087,
     /*  506266 */     GIR_EraseRootFromParent_Done,
     /*  506267 */   // Label 8433: @506267
     /*  506267 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506335), // Rule ID 62088 //
     /*  506272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506304 */     // MIs[0] policy
     /*  506304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506333 */     GIR_RootConstrainSelectedInstOperands,
     /*  506334 */     // GIR_Coverage, 62088,
     /*  506334 */     GIR_EraseRootFromParent_Done,
     /*  506335 */   // Label 8434: @506335
     /*  506335 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506403), // Rule ID 62089 //
     /*  506340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506372 */     // MIs[0] policy
     /*  506372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506401 */     GIR_RootConstrainSelectedInstOperands,
     /*  506402 */     // GIR_Coverage, 62089,
     /*  506402 */     GIR_EraseRootFromParent_Done,
     /*  506403 */   // Label 8435: @506403
     /*  506403 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506471), // Rule ID 62090 //
     /*  506408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506440 */     // MIs[0] policy
     /*  506440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506469 */     GIR_RootConstrainSelectedInstOperands,
     /*  506470 */     // GIR_Coverage, 62090,
     /*  506470 */     GIR_EraseRootFromParent_Done,
     /*  506471 */   // Label 8436: @506471
     /*  506471 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506539), // Rule ID 62091 //
     /*  506476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506508 */     // MIs[0] policy
     /*  506508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506537 */     GIR_RootConstrainSelectedInstOperands,
     /*  506538 */     // GIR_Coverage, 62091,
     /*  506538 */     GIR_EraseRootFromParent_Done,
     /*  506539 */   // Label 8437: @506539
     /*  506539 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506607), // Rule ID 62092 //
     /*  506544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506576 */     // MIs[0] policy
     /*  506576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506605 */     GIR_RootConstrainSelectedInstOperands,
     /*  506606 */     // GIR_Coverage, 62092,
     /*  506606 */     GIR_EraseRootFromParent_Done,
     /*  506607 */   // Label 8438: @506607
     /*  506607 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506675), // Rule ID 62093 //
     /*  506612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506644 */     // MIs[0] policy
     /*  506644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506673 */     GIR_RootConstrainSelectedInstOperands,
     /*  506674 */     // GIR_Coverage, 62093,
     /*  506674 */     GIR_EraseRootFromParent_Done,
     /*  506675 */   // Label 8439: @506675
     /*  506675 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506743), // Rule ID 62094 //
     /*  506680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506712 */     // MIs[0] policy
     /*  506712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506741 */     GIR_RootConstrainSelectedInstOperands,
     /*  506742 */     // GIR_Coverage, 62094,
     /*  506742 */     GIR_EraseRootFromParent_Done,
     /*  506743 */   // Label 8440: @506743
     /*  506743 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506811), // Rule ID 62095 //
     /*  506748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506780 */     // MIs[0] policy
     /*  506780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506809 */     GIR_RootConstrainSelectedInstOperands,
     /*  506810 */     // GIR_Coverage, 62095,
     /*  506810 */     GIR_EraseRootFromParent_Done,
     /*  506811 */   // Label 8441: @506811
     /*  506811 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506879), // Rule ID 62096 //
     /*  506816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506848 */     // MIs[0] policy
     /*  506848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506877 */     GIR_RootConstrainSelectedInstOperands,
     /*  506878 */     // GIR_Coverage, 62096,
     /*  506878 */     GIR_EraseRootFromParent_Done,
     /*  506879 */   // Label 8442: @506879
     /*  506879 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(506947), // Rule ID 62097 //
     /*  506884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506916 */     // MIs[0] policy
     /*  506916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506945 */     GIR_RootConstrainSelectedInstOperands,
     /*  506946 */     // GIR_Coverage, 62097,
     /*  506946 */     GIR_EraseRootFromParent_Done,
     /*  506947 */   // Label 8443: @506947
     /*  506947 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(507015), // Rule ID 62098 //
     /*  506952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506984 */     // MIs[0] policy
     /*  506984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  506997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507013 */     GIR_RootConstrainSelectedInstOperands,
     /*  507014 */     // GIR_Coverage, 62098,
     /*  507014 */     GIR_EraseRootFromParent_Done,
     /*  507015 */   // Label 8444: @507015
     /*  507015 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(507083), // Rule ID 62099 //
     /*  507020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507052 */     // MIs[0] policy
     /*  507052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  507065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507081 */     GIR_RootConstrainSelectedInstOperands,
     /*  507082 */     // GIR_Coverage, 62099,
     /*  507082 */     GIR_EraseRootFromParent_Done,
     /*  507083 */   // Label 8445: @507083
     /*  507083 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507151), // Rule ID 62100 //
     /*  507088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507120 */     // MIs[0] policy
     /*  507120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507149 */     GIR_RootConstrainSelectedInstOperands,
     /*  507150 */     // GIR_Coverage, 62100,
     /*  507150 */     GIR_EraseRootFromParent_Done,
     /*  507151 */   // Label 8446: @507151
     /*  507151 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507219), // Rule ID 62101 //
     /*  507156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507188 */     // MIs[0] policy
     /*  507188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507217 */     GIR_RootConstrainSelectedInstOperands,
     /*  507218 */     // GIR_Coverage, 62101,
     /*  507218 */     GIR_EraseRootFromParent_Done,
     /*  507219 */   // Label 8447: @507219
     /*  507219 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507287), // Rule ID 62102 //
     /*  507224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507256 */     // MIs[0] policy
     /*  507256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  507269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507285 */     GIR_RootConstrainSelectedInstOperands,
     /*  507286 */     // GIR_Coverage, 62102,
     /*  507286 */     GIR_EraseRootFromParent_Done,
     /*  507287 */   // Label 8448: @507287
     /*  507287 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507355), // Rule ID 62103 //
     /*  507292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507324 */     // MIs[0] policy
     /*  507324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  507337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507353 */     GIR_RootConstrainSelectedInstOperands,
     /*  507354 */     // GIR_Coverage, 62103,
     /*  507354 */     GIR_EraseRootFromParent_Done,
     /*  507355 */   // Label 8449: @507355
     /*  507355 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507423), // Rule ID 62104 //
     /*  507360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507392 */     // MIs[0] policy
     /*  507392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507421 */     GIR_RootConstrainSelectedInstOperands,
     /*  507422 */     // GIR_Coverage, 62104,
     /*  507422 */     GIR_EraseRootFromParent_Done,
     /*  507423 */   // Label 8450: @507423
     /*  507423 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507491), // Rule ID 62105 //
     /*  507428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507460 */     // MIs[0] policy
     /*  507460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507489 */     GIR_RootConstrainSelectedInstOperands,
     /*  507490 */     // GIR_Coverage, 62105,
     /*  507490 */     GIR_EraseRootFromParent_Done,
     /*  507491 */   // Label 8451: @507491
     /*  507491 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507559), // Rule ID 62106 //
     /*  507496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507528 */     // MIs[0] policy
     /*  507528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507557 */     GIR_RootConstrainSelectedInstOperands,
     /*  507558 */     // GIR_Coverage, 62106,
     /*  507558 */     GIR_EraseRootFromParent_Done,
     /*  507559 */   // Label 8452: @507559
     /*  507559 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507627), // Rule ID 62107 //
     /*  507564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507596 */     // MIs[0] policy
     /*  507596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507625 */     GIR_RootConstrainSelectedInstOperands,
     /*  507626 */     // GIR_Coverage, 62107,
     /*  507626 */     GIR_EraseRootFromParent_Done,
     /*  507627 */   // Label 8453: @507627
     /*  507627 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507695), // Rule ID 62108 //
     /*  507632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507664 */     // MIs[0] policy
     /*  507664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507693 */     GIR_RootConstrainSelectedInstOperands,
     /*  507694 */     // GIR_Coverage, 62108,
     /*  507694 */     GIR_EraseRootFromParent_Done,
     /*  507695 */   // Label 8454: @507695
     /*  507695 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507763), // Rule ID 62109 //
     /*  507700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507732 */     // MIs[0] policy
     /*  507732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507761 */     GIR_RootConstrainSelectedInstOperands,
     /*  507762 */     // GIR_Coverage, 62109,
     /*  507762 */     GIR_EraseRootFromParent_Done,
     /*  507763 */   // Label 8455: @507763
     /*  507763 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507831), // Rule ID 62110 //
     /*  507768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507800 */     // MIs[0] policy
     /*  507800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507829 */     GIR_RootConstrainSelectedInstOperands,
     /*  507830 */     // GIR_Coverage, 62110,
     /*  507830 */     GIR_EraseRootFromParent_Done,
     /*  507831 */   // Label 8456: @507831
     /*  507831 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507899), // Rule ID 62111 //
     /*  507836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507868 */     // MIs[0] policy
     /*  507868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507897 */     GIR_RootConstrainSelectedInstOperands,
     /*  507898 */     // GIR_Coverage, 62111,
     /*  507898 */     GIR_EraseRootFromParent_Done,
     /*  507899 */   // Label 8457: @507899
     /*  507899 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(507967), // Rule ID 62112 //
     /*  507904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507936 */     // MIs[0] policy
     /*  507936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507965 */     GIR_RootConstrainSelectedInstOperands,
     /*  507966 */     // GIR_Coverage, 62112,
     /*  507966 */     GIR_EraseRootFromParent_Done,
     /*  507967 */   // Label 8458: @507967
     /*  507967 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(508035), // Rule ID 62113 //
     /*  507972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508004 */     // MIs[0] policy
     /*  508004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  508017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508033 */     GIR_RootConstrainSelectedInstOperands,
     /*  508034 */     // GIR_Coverage, 62113,
     /*  508034 */     GIR_EraseRootFromParent_Done,
     /*  508035 */   // Label 8459: @508035
     /*  508035 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(508103), // Rule ID 62114 //
     /*  508040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508072 */     // MIs[0] policy
     /*  508072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508101 */     GIR_RootConstrainSelectedInstOperands,
     /*  508102 */     // GIR_Coverage, 62114,
     /*  508102 */     GIR_EraseRootFromParent_Done,
     /*  508103 */   // Label 8460: @508103
     /*  508103 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508171), // Rule ID 62115 //
     /*  508108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508140 */     // MIs[0] policy
     /*  508140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508169 */     GIR_RootConstrainSelectedInstOperands,
     /*  508170 */     // GIR_Coverage, 62115,
     /*  508170 */     GIR_EraseRootFromParent_Done,
     /*  508171 */   // Label 8461: @508171
     /*  508171 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508239), // Rule ID 62116 //
     /*  508176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508208 */     // MIs[0] policy
     /*  508208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508237 */     GIR_RootConstrainSelectedInstOperands,
     /*  508238 */     // GIR_Coverage, 62116,
     /*  508238 */     GIR_EraseRootFromParent_Done,
     /*  508239 */   // Label 8462: @508239
     /*  508239 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508307), // Rule ID 62117 //
     /*  508244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508276 */     // MIs[0] policy
     /*  508276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508305 */     GIR_RootConstrainSelectedInstOperands,
     /*  508306 */     // GIR_Coverage, 62117,
     /*  508306 */     GIR_EraseRootFromParent_Done,
     /*  508307 */   // Label 8463: @508307
     /*  508307 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508375), // Rule ID 62118 //
     /*  508312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508344 */     // MIs[0] policy
     /*  508344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  508357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508373 */     GIR_RootConstrainSelectedInstOperands,
     /*  508374 */     // GIR_Coverage, 62118,
     /*  508374 */     GIR_EraseRootFromParent_Done,
     /*  508375 */   // Label 8464: @508375
     /*  508375 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508443), // Rule ID 62119 //
     /*  508380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508412 */     // MIs[0] policy
     /*  508412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  508425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508441 */     GIR_RootConstrainSelectedInstOperands,
     /*  508442 */     // GIR_Coverage, 62119,
     /*  508442 */     GIR_EraseRootFromParent_Done,
     /*  508443 */   // Label 8465: @508443
     /*  508443 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508511), // Rule ID 62120 //
     /*  508448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508480 */     // MIs[0] policy
     /*  508480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508509 */     GIR_RootConstrainSelectedInstOperands,
     /*  508510 */     // GIR_Coverage, 62120,
     /*  508510 */     GIR_EraseRootFromParent_Done,
     /*  508511 */   // Label 8466: @508511
     /*  508511 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508579), // Rule ID 62121 //
     /*  508516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508548 */     // MIs[0] policy
     /*  508548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508577 */     GIR_RootConstrainSelectedInstOperands,
     /*  508578 */     // GIR_Coverage, 62121,
     /*  508578 */     GIR_EraseRootFromParent_Done,
     /*  508579 */   // Label 8467: @508579
     /*  508579 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508647), // Rule ID 62122 //
     /*  508584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508616 */     // MIs[0] policy
     /*  508616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508645 */     GIR_RootConstrainSelectedInstOperands,
     /*  508646 */     // GIR_Coverage, 62122,
     /*  508646 */     GIR_EraseRootFromParent_Done,
     /*  508647 */   // Label 8468: @508647
     /*  508647 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508715), // Rule ID 62123 //
     /*  508652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508684 */     // MIs[0] policy
     /*  508684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508713 */     GIR_RootConstrainSelectedInstOperands,
     /*  508714 */     // GIR_Coverage, 62123,
     /*  508714 */     GIR_EraseRootFromParent_Done,
     /*  508715 */   // Label 8469: @508715
     /*  508715 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508783), // Rule ID 62124 //
     /*  508720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508752 */     // MIs[0] policy
     /*  508752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508781 */     GIR_RootConstrainSelectedInstOperands,
     /*  508782 */     // GIR_Coverage, 62124,
     /*  508782 */     GIR_EraseRootFromParent_Done,
     /*  508783 */   // Label 8470: @508783
     /*  508783 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508851), // Rule ID 62125 //
     /*  508788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508820 */     // MIs[0] policy
     /*  508820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508849 */     GIR_RootConstrainSelectedInstOperands,
     /*  508850 */     // GIR_Coverage, 62125,
     /*  508850 */     GIR_EraseRootFromParent_Done,
     /*  508851 */   // Label 8471: @508851
     /*  508851 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(508919), // Rule ID 62126 //
     /*  508856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508888 */     // MIs[0] policy
     /*  508888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508917 */     GIR_RootConstrainSelectedInstOperands,
     /*  508918 */     // GIR_Coverage, 62126,
     /*  508918 */     GIR_EraseRootFromParent_Done,
     /*  508919 */   // Label 8472: @508919
     /*  508919 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(508987), // Rule ID 62127 //
     /*  508924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508956 */     // MIs[0] policy
     /*  508956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508985 */     GIR_RootConstrainSelectedInstOperands,
     /*  508986 */     // GIR_Coverage, 62127,
     /*  508986 */     GIR_EraseRootFromParent_Done,
     /*  508987 */   // Label 8473: @508987
     /*  508987 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(509055), // Rule ID 62128 //
     /*  508992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509024 */     // MIs[0] policy
     /*  509024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509053 */     GIR_RootConstrainSelectedInstOperands,
     /*  509054 */     // GIR_Coverage, 62128,
     /*  509054 */     GIR_EraseRootFromParent_Done,
     /*  509055 */   // Label 8474: @509055
     /*  509055 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509123), // Rule ID 62129 //
     /*  509060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509092 */     // MIs[0] policy
     /*  509092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509121 */     GIR_RootConstrainSelectedInstOperands,
     /*  509122 */     // GIR_Coverage, 62129,
     /*  509122 */     GIR_EraseRootFromParent_Done,
     /*  509123 */   // Label 8475: @509123
     /*  509123 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509191), // Rule ID 62146 //
     /*  509128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509160 */     // MIs[0] policy
     /*  509160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509170 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509189 */     GIR_RootConstrainSelectedInstOperands,
     /*  509190 */     // GIR_Coverage, 62146,
     /*  509190 */     GIR_EraseRootFromParent_Done,
     /*  509191 */   // Label 8476: @509191
     /*  509191 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509259), // Rule ID 62147 //
     /*  509196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509228 */     // MIs[0] policy
     /*  509228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509257 */     GIR_RootConstrainSelectedInstOperands,
     /*  509258 */     // GIR_Coverage, 62147,
     /*  509258 */     GIR_EraseRootFromParent_Done,
     /*  509259 */   // Label 8477: @509259
     /*  509259 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509327), // Rule ID 62148 //
     /*  509264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509296 */     // MIs[0] policy
     /*  509296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  509309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509325 */     GIR_RootConstrainSelectedInstOperands,
     /*  509326 */     // GIR_Coverage, 62148,
     /*  509326 */     GIR_EraseRootFromParent_Done,
     /*  509327 */   // Label 8478: @509327
     /*  509327 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509395), // Rule ID 62149 //
     /*  509332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509364 */     // MIs[0] policy
     /*  509364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  509377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509393 */     GIR_RootConstrainSelectedInstOperands,
     /*  509394 */     // GIR_Coverage, 62149,
     /*  509394 */     GIR_EraseRootFromParent_Done,
     /*  509395 */   // Label 8479: @509395
     /*  509395 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509463), // Rule ID 62150 //
     /*  509400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509432 */     // MIs[0] policy
     /*  509432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509461 */     GIR_RootConstrainSelectedInstOperands,
     /*  509462 */     // GIR_Coverage, 62150,
     /*  509462 */     GIR_EraseRootFromParent_Done,
     /*  509463 */   // Label 8480: @509463
     /*  509463 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509531), // Rule ID 62151 //
     /*  509468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509500 */     // MIs[0] policy
     /*  509500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509529 */     GIR_RootConstrainSelectedInstOperands,
     /*  509530 */     // GIR_Coverage, 62151,
     /*  509530 */     GIR_EraseRootFromParent_Done,
     /*  509531 */   // Label 8481: @509531
     /*  509531 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509599), // Rule ID 62152 //
     /*  509536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509568 */     // MIs[0] policy
     /*  509568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509597 */     GIR_RootConstrainSelectedInstOperands,
     /*  509598 */     // GIR_Coverage, 62152,
     /*  509598 */     GIR_EraseRootFromParent_Done,
     /*  509599 */   // Label 8482: @509599
     /*  509599 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509667), // Rule ID 62153 //
     /*  509604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509636 */     // MIs[0] policy
     /*  509636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509665 */     GIR_RootConstrainSelectedInstOperands,
     /*  509666 */     // GIR_Coverage, 62153,
     /*  509666 */     GIR_EraseRootFromParent_Done,
     /*  509667 */   // Label 8483: @509667
     /*  509667 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509735), // Rule ID 62154 //
     /*  509672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509704 */     // MIs[0] policy
     /*  509704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509733 */     GIR_RootConstrainSelectedInstOperands,
     /*  509734 */     // GIR_Coverage, 62154,
     /*  509734 */     GIR_EraseRootFromParent_Done,
     /*  509735 */   // Label 8484: @509735
     /*  509735 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509803), // Rule ID 62155 //
     /*  509740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509772 */     // MIs[0] policy
     /*  509772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509801 */     GIR_RootConstrainSelectedInstOperands,
     /*  509802 */     // GIR_Coverage, 62155,
     /*  509802 */     GIR_EraseRootFromParent_Done,
     /*  509803 */   // Label 8485: @509803
     /*  509803 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509871), // Rule ID 62156 //
     /*  509808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509840 */     // MIs[0] policy
     /*  509840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509869 */     GIR_RootConstrainSelectedInstOperands,
     /*  509870 */     // GIR_Coverage, 62156,
     /*  509870 */     GIR_EraseRootFromParent_Done,
     /*  509871 */   // Label 8486: @509871
     /*  509871 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(509939), // Rule ID 62157 //
     /*  509876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509908 */     // MIs[0] policy
     /*  509908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509937 */     GIR_RootConstrainSelectedInstOperands,
     /*  509938 */     // GIR_Coverage, 62157,
     /*  509938 */     GIR_EraseRootFromParent_Done,
     /*  509939 */   // Label 8487: @509939
     /*  509939 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(510007), // Rule ID 62158 //
     /*  509944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509976 */     // MIs[0] policy
     /*  509976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510005 */     GIR_RootConstrainSelectedInstOperands,
     /*  510006 */     // GIR_Coverage, 62158,
     /*  510006 */     GIR_EraseRootFromParent_Done,
     /*  510007 */   // Label 8488: @510007
     /*  510007 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(510075), // Rule ID 62159 //
     /*  510012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510044 */     // MIs[0] policy
     /*  510044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  510057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510073 */     GIR_RootConstrainSelectedInstOperands,
     /*  510074 */     // GIR_Coverage, 62159,
     /*  510074 */     GIR_EraseRootFromParent_Done,
     /*  510075 */   // Label 8489: @510075
     /*  510075 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510143), // Rule ID 62160 //
     /*  510080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510112 */     // MIs[0] policy
     /*  510112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510141 */     GIR_RootConstrainSelectedInstOperands,
     /*  510142 */     // GIR_Coverage, 62160,
     /*  510142 */     GIR_EraseRootFromParent_Done,
     /*  510143 */   // Label 8490: @510143
     /*  510143 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510211), // Rule ID 62161 //
     /*  510148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510180 */     // MIs[0] policy
     /*  510180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510209 */     GIR_RootConstrainSelectedInstOperands,
     /*  510210 */     // GIR_Coverage, 62161,
     /*  510210 */     GIR_EraseRootFromParent_Done,
     /*  510211 */   // Label 8491: @510211
     /*  510211 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510279), // Rule ID 62162 //
     /*  510216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510248 */     // MIs[0] policy
     /*  510248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  510261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510277 */     GIR_RootConstrainSelectedInstOperands,
     /*  510278 */     // GIR_Coverage, 62162,
     /*  510278 */     GIR_EraseRootFromParent_Done,
     /*  510279 */   // Label 8492: @510279
     /*  510279 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510347), // Rule ID 62163 //
     /*  510284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510316 */     // MIs[0] policy
     /*  510316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  510329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510345 */     GIR_RootConstrainSelectedInstOperands,
     /*  510346 */     // GIR_Coverage, 62163,
     /*  510346 */     GIR_EraseRootFromParent_Done,
     /*  510347 */   // Label 8493: @510347
     /*  510347 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510415), // Rule ID 62164 //
     /*  510352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510384 */     // MIs[0] policy
     /*  510384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510413 */     GIR_RootConstrainSelectedInstOperands,
     /*  510414 */     // GIR_Coverage, 62164,
     /*  510414 */     GIR_EraseRootFromParent_Done,
     /*  510415 */   // Label 8494: @510415
     /*  510415 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510483), // Rule ID 62165 //
     /*  510420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510452 */     // MIs[0] policy
     /*  510452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510481 */     GIR_RootConstrainSelectedInstOperands,
     /*  510482 */     // GIR_Coverage, 62165,
     /*  510482 */     GIR_EraseRootFromParent_Done,
     /*  510483 */   // Label 8495: @510483
     /*  510483 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510551), // Rule ID 62166 //
     /*  510488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510520 */     // MIs[0] policy
     /*  510520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510549 */     GIR_RootConstrainSelectedInstOperands,
     /*  510550 */     // GIR_Coverage, 62166,
     /*  510550 */     GIR_EraseRootFromParent_Done,
     /*  510551 */   // Label 8496: @510551
     /*  510551 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510619), // Rule ID 62167 //
     /*  510556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510588 */     // MIs[0] policy
     /*  510588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510617 */     GIR_RootConstrainSelectedInstOperands,
     /*  510618 */     // GIR_Coverage, 62167,
     /*  510618 */     GIR_EraseRootFromParent_Done,
     /*  510619 */   // Label 8497: @510619
     /*  510619 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510687), // Rule ID 62168 //
     /*  510624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510656 */     // MIs[0] policy
     /*  510656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510685 */     GIR_RootConstrainSelectedInstOperands,
     /*  510686 */     // GIR_Coverage, 62168,
     /*  510686 */     GIR_EraseRootFromParent_Done,
     /*  510687 */   // Label 8498: @510687
     /*  510687 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510755), // Rule ID 62169 //
     /*  510692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510724 */     // MIs[0] policy
     /*  510724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510753 */     GIR_RootConstrainSelectedInstOperands,
     /*  510754 */     // GIR_Coverage, 62169,
     /*  510754 */     GIR_EraseRootFromParent_Done,
     /*  510755 */   // Label 8499: @510755
     /*  510755 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510823), // Rule ID 62170 //
     /*  510760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510792 */     // MIs[0] policy
     /*  510792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510821 */     GIR_RootConstrainSelectedInstOperands,
     /*  510822 */     // GIR_Coverage, 62170,
     /*  510822 */     GIR_EraseRootFromParent_Done,
     /*  510823 */   // Label 8500: @510823
     /*  510823 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510891), // Rule ID 62171 //
     /*  510828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510860 */     // MIs[0] policy
     /*  510860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510889 */     GIR_RootConstrainSelectedInstOperands,
     /*  510890 */     // GIR_Coverage, 62171,
     /*  510890 */     GIR_EraseRootFromParent_Done,
     /*  510891 */   // Label 8501: @510891
     /*  510891 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(510959), // Rule ID 62172 //
     /*  510896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510928 */     // MIs[0] policy
     /*  510928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510957 */     GIR_RootConstrainSelectedInstOperands,
     /*  510958 */     // GIR_Coverage, 62172,
     /*  510958 */     GIR_EraseRootFromParent_Done,
     /*  510959 */   // Label 8502: @510959
     /*  510959 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(511027), // Rule ID 62173 //
     /*  510964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510996 */     // MIs[0] policy
     /*  510996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  511009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511025 */     GIR_RootConstrainSelectedInstOperands,
     /*  511026 */     // GIR_Coverage, 62173,
     /*  511026 */     GIR_EraseRootFromParent_Done,
     /*  511027 */   // Label 8503: @511027
     /*  511027 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(511095), // Rule ID 62268 //
     /*  511032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511064 */     // MIs[0] policy
     /*  511064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511093 */     GIR_RootConstrainSelectedInstOperands,
     /*  511094 */     // GIR_Coverage, 62268,
     /*  511094 */     GIR_EraseRootFromParent_Done,
     /*  511095 */   // Label 8504: @511095
     /*  511095 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511163), // Rule ID 62269 //
     /*  511100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511132 */     // MIs[0] policy
     /*  511132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511161 */     GIR_RootConstrainSelectedInstOperands,
     /*  511162 */     // GIR_Coverage, 62269,
     /*  511162 */     GIR_EraseRootFromParent_Done,
     /*  511163 */   // Label 8505: @511163
     /*  511163 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511231), // Rule ID 62270 //
     /*  511168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511200 */     // MIs[0] policy
     /*  511200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511229 */     GIR_RootConstrainSelectedInstOperands,
     /*  511230 */     // GIR_Coverage, 62270,
     /*  511230 */     GIR_EraseRootFromParent_Done,
     /*  511231 */   // Label 8506: @511231
     /*  511231 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511299), // Rule ID 62271 //
     /*  511236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511268 */     // MIs[0] policy
     /*  511268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511297 */     GIR_RootConstrainSelectedInstOperands,
     /*  511298 */     // GIR_Coverage, 62271,
     /*  511298 */     GIR_EraseRootFromParent_Done,
     /*  511299 */   // Label 8507: @511299
     /*  511299 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511367), // Rule ID 62272 //
     /*  511304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511336 */     // MIs[0] policy
     /*  511336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  511349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511365 */     GIR_RootConstrainSelectedInstOperands,
     /*  511366 */     // GIR_Coverage, 62272,
     /*  511366 */     GIR_EraseRootFromParent_Done,
     /*  511367 */   // Label 8508: @511367
     /*  511367 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511435), // Rule ID 62273 //
     /*  511372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511404 */     // MIs[0] policy
     /*  511404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  511417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511433 */     GIR_RootConstrainSelectedInstOperands,
     /*  511434 */     // GIR_Coverage, 62273,
     /*  511434 */     GIR_EraseRootFromParent_Done,
     /*  511435 */   // Label 8509: @511435
     /*  511435 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511503), // Rule ID 62274 //
     /*  511440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511472 */     // MIs[0] policy
     /*  511472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511501 */     GIR_RootConstrainSelectedInstOperands,
     /*  511502 */     // GIR_Coverage, 62274,
     /*  511502 */     GIR_EraseRootFromParent_Done,
     /*  511503 */   // Label 8510: @511503
     /*  511503 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511571), // Rule ID 62275 //
     /*  511508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511540 */     // MIs[0] policy
     /*  511540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511569 */     GIR_RootConstrainSelectedInstOperands,
     /*  511570 */     // GIR_Coverage, 62275,
     /*  511570 */     GIR_EraseRootFromParent_Done,
     /*  511571 */   // Label 8511: @511571
     /*  511571 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511639), // Rule ID 62276 //
     /*  511576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511608 */     // MIs[0] policy
     /*  511608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511637 */     GIR_RootConstrainSelectedInstOperands,
     /*  511638 */     // GIR_Coverage, 62276,
     /*  511638 */     GIR_EraseRootFromParent_Done,
     /*  511639 */   // Label 8512: @511639
     /*  511639 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511707), // Rule ID 62277 //
     /*  511644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511676 */     // MIs[0] policy
     /*  511676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511705 */     GIR_RootConstrainSelectedInstOperands,
     /*  511706 */     // GIR_Coverage, 62277,
     /*  511706 */     GIR_EraseRootFromParent_Done,
     /*  511707 */   // Label 8513: @511707
     /*  511707 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511775), // Rule ID 62278 //
     /*  511712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511744 */     // MIs[0] policy
     /*  511744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511754 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511773 */     GIR_RootConstrainSelectedInstOperands,
     /*  511774 */     // GIR_Coverage, 62278,
     /*  511774 */     GIR_EraseRootFromParent_Done,
     /*  511775 */   // Label 8514: @511775
     /*  511775 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511843), // Rule ID 62279 //
     /*  511780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511812 */     // MIs[0] policy
     /*  511812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511841 */     GIR_RootConstrainSelectedInstOperands,
     /*  511842 */     // GIR_Coverage, 62279,
     /*  511842 */     GIR_EraseRootFromParent_Done,
     /*  511843 */   // Label 8515: @511843
     /*  511843 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511911), // Rule ID 62280 //
     /*  511848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511880 */     // MIs[0] policy
     /*  511880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511909 */     GIR_RootConstrainSelectedInstOperands,
     /*  511910 */     // GIR_Coverage, 62280,
     /*  511910 */     GIR_EraseRootFromParent_Done,
     /*  511911 */   // Label 8516: @511911
     /*  511911 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(511979), // Rule ID 62281 //
     /*  511916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511948 */     // MIs[0] policy
     /*  511948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511977 */     GIR_RootConstrainSelectedInstOperands,
     /*  511978 */     // GIR_Coverage, 62281,
     /*  511978 */     GIR_EraseRootFromParent_Done,
     /*  511979 */   // Label 8517: @511979
     /*  511979 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(512047), // Rule ID 62282 //
     /*  511984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512016 */     // MIs[0] policy
     /*  512016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512045 */     GIR_RootConstrainSelectedInstOperands,
     /*  512046 */     // GIR_Coverage, 62282,
     /*  512046 */     GIR_EraseRootFromParent_Done,
     /*  512047 */   // Label 8518: @512047
     /*  512047 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512115), // Rule ID 62283 //
     /*  512052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512084 */     // MIs[0] policy
     /*  512084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512113 */     GIR_RootConstrainSelectedInstOperands,
     /*  512114 */     // GIR_Coverage, 62283,
     /*  512114 */     GIR_EraseRootFromParent_Done,
     /*  512115 */   // Label 8519: @512115
     /*  512115 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512183), // Rule ID 62284 //
     /*  512120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512152 */     // MIs[0] policy
     /*  512152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512181 */     GIR_RootConstrainSelectedInstOperands,
     /*  512182 */     // GIR_Coverage, 62284,
     /*  512182 */     GIR_EraseRootFromParent_Done,
     /*  512183 */   // Label 8520: @512183
     /*  512183 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512251), // Rule ID 62285 //
     /*  512188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512220 */     // MIs[0] policy
     /*  512220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512249 */     GIR_RootConstrainSelectedInstOperands,
     /*  512250 */     // GIR_Coverage, 62285,
     /*  512250 */     GIR_EraseRootFromParent_Done,
     /*  512251 */   // Label 8521: @512251
     /*  512251 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512319), // Rule ID 62286 //
     /*  512256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512288 */     // MIs[0] policy
     /*  512288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  512301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512317 */     GIR_RootConstrainSelectedInstOperands,
     /*  512318 */     // GIR_Coverage, 62286,
     /*  512318 */     GIR_EraseRootFromParent_Done,
     /*  512319 */   // Label 8522: @512319
     /*  512319 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512387), // Rule ID 62287 //
     /*  512324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512356 */     // MIs[0] policy
     /*  512356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  512369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512385 */     GIR_RootConstrainSelectedInstOperands,
     /*  512386 */     // GIR_Coverage, 62287,
     /*  512386 */     GIR_EraseRootFromParent_Done,
     /*  512387 */   // Label 8523: @512387
     /*  512387 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512455), // Rule ID 62288 //
     /*  512392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512424 */     // MIs[0] policy
     /*  512424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512453 */     GIR_RootConstrainSelectedInstOperands,
     /*  512454 */     // GIR_Coverage, 62288,
     /*  512454 */     GIR_EraseRootFromParent_Done,
     /*  512455 */   // Label 8524: @512455
     /*  512455 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512523), // Rule ID 62289 //
     /*  512460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512492 */     // MIs[0] policy
     /*  512492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512521 */     GIR_RootConstrainSelectedInstOperands,
     /*  512522 */     // GIR_Coverage, 62289,
     /*  512522 */     GIR_EraseRootFromParent_Done,
     /*  512523 */   // Label 8525: @512523
     /*  512523 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512591), // Rule ID 62290 //
     /*  512528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512560 */     // MIs[0] policy
     /*  512560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512589 */     GIR_RootConstrainSelectedInstOperands,
     /*  512590 */     // GIR_Coverage, 62290,
     /*  512590 */     GIR_EraseRootFromParent_Done,
     /*  512591 */   // Label 8526: @512591
     /*  512591 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512659), // Rule ID 62291 //
     /*  512596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512628 */     // MIs[0] policy
     /*  512628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512657 */     GIR_RootConstrainSelectedInstOperands,
     /*  512658 */     // GIR_Coverage, 62291,
     /*  512658 */     GIR_EraseRootFromParent_Done,
     /*  512659 */   // Label 8527: @512659
     /*  512659 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512727), // Rule ID 62292 //
     /*  512664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512696 */     // MIs[0] policy
     /*  512696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512725 */     GIR_RootConstrainSelectedInstOperands,
     /*  512726 */     // GIR_Coverage, 62292,
     /*  512726 */     GIR_EraseRootFromParent_Done,
     /*  512727 */   // Label 8528: @512727
     /*  512727 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512795), // Rule ID 62293 //
     /*  512732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512764 */     // MIs[0] policy
     /*  512764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512793 */     GIR_RootConstrainSelectedInstOperands,
     /*  512794 */     // GIR_Coverage, 62293,
     /*  512794 */     GIR_EraseRootFromParent_Done,
     /*  512795 */   // Label 8529: @512795
     /*  512795 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512863), // Rule ID 62294 //
     /*  512800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512832 */     // MIs[0] policy
     /*  512832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512861 */     GIR_RootConstrainSelectedInstOperands,
     /*  512862 */     // GIR_Coverage, 62294,
     /*  512862 */     GIR_EraseRootFromParent_Done,
     /*  512863 */   // Label 8530: @512863
     /*  512863 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(512931), // Rule ID 62295 //
     /*  512868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512900 */     // MIs[0] policy
     /*  512900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512929 */     GIR_RootConstrainSelectedInstOperands,
     /*  512930 */     // GIR_Coverage, 62295,
     /*  512930 */     GIR_EraseRootFromParent_Done,
     /*  512931 */   // Label 8531: @512931
     /*  512931 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(512999), // Rule ID 62296 //
     /*  512936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512968 */     // MIs[0] policy
     /*  512968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512997 */     GIR_RootConstrainSelectedInstOperands,
     /*  512998 */     // GIR_Coverage, 62296,
     /*  512998 */     GIR_EraseRootFromParent_Done,
     /*  512999 */   // Label 8532: @512999
     /*  512999 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(513067), // Rule ID 62297 //
     /*  513004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513036 */     // MIs[0] policy
     /*  513036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  513049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513065 */     GIR_RootConstrainSelectedInstOperands,
     /*  513066 */     // GIR_Coverage, 62297,
     /*  513066 */     GIR_EraseRootFromParent_Done,
     /*  513067 */   // Label 8533: @513067
     /*  513067 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513135), // Rule ID 62298 //
     /*  513072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513104 */     // MIs[0] policy
     /*  513104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513133 */     GIR_RootConstrainSelectedInstOperands,
     /*  513134 */     // GIR_Coverage, 62298,
     /*  513134 */     GIR_EraseRootFromParent_Done,
     /*  513135 */   // Label 8534: @513135
     /*  513135 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513203), // Rule ID 62299 //
     /*  513140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513172 */     // MIs[0] policy
     /*  513172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513201 */     GIR_RootConstrainSelectedInstOperands,
     /*  513202 */     // GIR_Coverage, 62299,
     /*  513202 */     GIR_EraseRootFromParent_Done,
     /*  513203 */   // Label 8535: @513203
     /*  513203 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513271), // Rule ID 62300 //
     /*  513208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513240 */     // MIs[0] policy
     /*  513240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513269 */     GIR_RootConstrainSelectedInstOperands,
     /*  513270 */     // GIR_Coverage, 62300,
     /*  513270 */     GIR_EraseRootFromParent_Done,
     /*  513271 */   // Label 8536: @513271
     /*  513271 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513339), // Rule ID 62301 //
     /*  513276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513308 */     // MIs[0] policy
     /*  513308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513337 */     GIR_RootConstrainSelectedInstOperands,
     /*  513338 */     // GIR_Coverage, 62301,
     /*  513338 */     GIR_EraseRootFromParent_Done,
     /*  513339 */   // Label 8537: @513339
     /*  513339 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513407), // Rule ID 62302 //
     /*  513344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513376 */     // MIs[0] policy
     /*  513376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513405 */     GIR_RootConstrainSelectedInstOperands,
     /*  513406 */     // GIR_Coverage, 62302,
     /*  513406 */     GIR_EraseRootFromParent_Done,
     /*  513407 */   // Label 8538: @513407
     /*  513407 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513475), // Rule ID 62303 //
     /*  513412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513444 */     // MIs[0] policy
     /*  513444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513473 */     GIR_RootConstrainSelectedInstOperands,
     /*  513474 */     // GIR_Coverage, 62303,
     /*  513474 */     GIR_EraseRootFromParent_Done,
     /*  513475 */   // Label 8539: @513475
     /*  513475 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513543), // Rule ID 62304 //
     /*  513480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513512 */     // MIs[0] policy
     /*  513512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513541 */     GIR_RootConstrainSelectedInstOperands,
     /*  513542 */     // GIR_Coverage, 62304,
     /*  513542 */     GIR_EraseRootFromParent_Done,
     /*  513543 */   // Label 8540: @513543
     /*  513543 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513611), // Rule ID 62305 //
     /*  513548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513580 */     // MIs[0] policy
     /*  513580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513609 */     GIR_RootConstrainSelectedInstOperands,
     /*  513610 */     // GIR_Coverage, 62305,
     /*  513610 */     GIR_EraseRootFromParent_Done,
     /*  513611 */   // Label 8541: @513611
     /*  513611 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513682), // Rule ID 2596 //
     /*  513616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513648 */     // MIs[0] round
     /*  513648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513658 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513680 */     GIR_RootConstrainSelectedInstOperands,
     /*  513681 */     // GIR_Coverage, 2596,
     /*  513681 */     GIR_EraseRootFromParent_Done,
     /*  513682 */   // Label 8542: @513682
     /*  513682 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513753), // Rule ID 2597 //
     /*  513687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513719 */     // MIs[0] round
     /*  513719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513729 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513751 */     GIR_RootConstrainSelectedInstOperands,
     /*  513752 */     // GIR_Coverage, 2597,
     /*  513752 */     GIR_EraseRootFromParent_Done,
     /*  513753 */   // Label 8543: @513753
     /*  513753 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513824), // Rule ID 2632 //
     /*  513758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513790 */     // MIs[0] round
     /*  513790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513822 */     GIR_RootConstrainSelectedInstOperands,
     /*  513823 */     // GIR_Coverage, 2632,
     /*  513823 */     GIR_EraseRootFromParent_Done,
     /*  513824 */   // Label 8544: @513824
     /*  513824 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513895), // Rule ID 2633 //
     /*  513829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513861 */     // MIs[0] round
     /*  513861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513893 */     GIR_RootConstrainSelectedInstOperands,
     /*  513894 */     // GIR_Coverage, 2633,
     /*  513894 */     GIR_EraseRootFromParent_Done,
     /*  513895 */   // Label 8545: @513895
     /*  513895 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513966), // Rule ID 18882 //
     /*  513900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513932 */     // MIs[0] round
     /*  513932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513942 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513964 */     GIR_RootConstrainSelectedInstOperands,
     /*  513965 */     // GIR_Coverage, 18882,
     /*  513965 */     GIR_EraseRootFromParent_Done,
     /*  513966 */   // Label 8546: @513966
     /*  513966 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(514037), // Rule ID 18883 //
     /*  513971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514003 */     // MIs[0] round
     /*  514003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514013 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  514016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514035 */     GIR_RootConstrainSelectedInstOperands,
     /*  514036 */     // GIR_Coverage, 18883,
     /*  514036 */     GIR_EraseRootFromParent_Done,
     /*  514037 */   // Label 8547: @514037
     /*  514037 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514108), // Rule ID 18886 //
     /*  514042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514074 */     // MIs[0] round
     /*  514074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514106 */     GIR_RootConstrainSelectedInstOperands,
     /*  514107 */     // GIR_Coverage, 18886,
     /*  514107 */     GIR_EraseRootFromParent_Done,
     /*  514108 */   // Label 8548: @514108
     /*  514108 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514179), // Rule ID 18887 //
     /*  514113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514145 */     // MIs[0] round
     /*  514145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514177 */     GIR_RootConstrainSelectedInstOperands,
     /*  514178 */     // GIR_Coverage, 18887,
     /*  514178 */     GIR_EraseRootFromParent_Done,
     /*  514179 */   // Label 8549: @514179
     /*  514179 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514250), // Rule ID 18890 //
     /*  514184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514216 */     // MIs[0] round
     /*  514216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514226 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514248 */     GIR_RootConstrainSelectedInstOperands,
     /*  514249 */     // GIR_Coverage, 18890,
     /*  514249 */     GIR_EraseRootFromParent_Done,
     /*  514250 */   // Label 8550: @514250
     /*  514250 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514321), // Rule ID 18891 //
     /*  514255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514287 */     // MIs[0] round
     /*  514287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514319 */     GIR_RootConstrainSelectedInstOperands,
     /*  514320 */     // GIR_Coverage, 18891,
     /*  514320 */     GIR_EraseRootFromParent_Done,
     /*  514321 */   // Label 8551: @514321
     /*  514321 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514392), // Rule ID 18894 //
     /*  514326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514358 */     // MIs[0] round
     /*  514358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514390 */     GIR_RootConstrainSelectedInstOperands,
     /*  514391 */     // GIR_Coverage, 18894,
     /*  514391 */     GIR_EraseRootFromParent_Done,
     /*  514392 */   // Label 8552: @514392
     /*  514392 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514463), // Rule ID 18895 //
     /*  514397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514429 */     // MIs[0] round
     /*  514429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514461 */     GIR_RootConstrainSelectedInstOperands,
     /*  514462 */     // GIR_Coverage, 18895,
     /*  514462 */     GIR_EraseRootFromParent_Done,
     /*  514463 */   // Label 8553: @514463
     /*  514463 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514534), // Rule ID 18898 //
     /*  514468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514500 */     // MIs[0] round
     /*  514500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514510 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514532 */     GIR_RootConstrainSelectedInstOperands,
     /*  514533 */     // GIR_Coverage, 18898,
     /*  514533 */     GIR_EraseRootFromParent_Done,
     /*  514534 */   // Label 8554: @514534
     /*  514534 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514605), // Rule ID 18899 //
     /*  514539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514571 */     // MIs[0] round
     /*  514571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514603 */     GIR_RootConstrainSelectedInstOperands,
     /*  514604 */     // GIR_Coverage, 18899,
     /*  514604 */     GIR_EraseRootFromParent_Done,
     /*  514605 */   // Label 8555: @514605
     /*  514605 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514676), // Rule ID 18902 //
     /*  514610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514642 */     // MIs[0] round
     /*  514642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514652 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514674 */     GIR_RootConstrainSelectedInstOperands,
     /*  514675 */     // GIR_Coverage, 18902,
     /*  514675 */     GIR_EraseRootFromParent_Done,
     /*  514676 */   // Label 8556: @514676
     /*  514676 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514747), // Rule ID 18903 //
     /*  514681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514713 */     // MIs[0] round
     /*  514713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514723 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514745 */     GIR_RootConstrainSelectedInstOperands,
     /*  514746 */     // GIR_Coverage, 18903,
     /*  514746 */     GIR_EraseRootFromParent_Done,
     /*  514747 */   // Label 8557: @514747
     /*  514747 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514818), // Rule ID 18906 //
     /*  514752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514784 */     // MIs[0] round
     /*  514784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514794 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514816 */     GIR_RootConstrainSelectedInstOperands,
     /*  514817 */     // GIR_Coverage, 18906,
     /*  514817 */     GIR_EraseRootFromParent_Done,
     /*  514818 */   // Label 8558: @514818
     /*  514818 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514889), // Rule ID 18907 //
     /*  514823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514855 */     // MIs[0] round
     /*  514855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514865 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514887 */     GIR_RootConstrainSelectedInstOperands,
     /*  514888 */     // GIR_Coverage, 18907,
     /*  514888 */     GIR_EraseRootFromParent_Done,
     /*  514889 */   // Label 8559: @514889
     /*  514889 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514960), // Rule ID 18910 //
     /*  514894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514926 */     // MIs[0] round
     /*  514926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514958 */     GIR_RootConstrainSelectedInstOperands,
     /*  514959 */     // GIR_Coverage, 18910,
     /*  514959 */     GIR_EraseRootFromParent_Done,
     /*  514960 */   // Label 8560: @514960
     /*  514960 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(515031), // Rule ID 18911 //
     /*  514965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514997 */     // MIs[0] round
     /*  514997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515007 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  515010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515029 */     GIR_RootConstrainSelectedInstOperands,
     /*  515030 */     // GIR_Coverage, 18911,
     /*  515030 */     GIR_EraseRootFromParent_Done,
     /*  515031 */   // Label 8561: @515031
     /*  515031 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515102), // Rule ID 18914 //
     /*  515036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515068 */     // MIs[0] round
     /*  515068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515100 */     GIR_RootConstrainSelectedInstOperands,
     /*  515101 */     // GIR_Coverage, 18914,
     /*  515101 */     GIR_EraseRootFromParent_Done,
     /*  515102 */   // Label 8562: @515102
     /*  515102 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515173), // Rule ID 18915 //
     /*  515107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515139 */     // MIs[0] round
     /*  515139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515149 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515171 */     GIR_RootConstrainSelectedInstOperands,
     /*  515172 */     // GIR_Coverage, 18915,
     /*  515172 */     GIR_EraseRootFromParent_Done,
     /*  515173 */   // Label 8563: @515173
     /*  515173 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515244), // Rule ID 18918 //
     /*  515178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515210 */     // MIs[0] round
     /*  515210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515242 */     GIR_RootConstrainSelectedInstOperands,
     /*  515243 */     // GIR_Coverage, 18918,
     /*  515243 */     GIR_EraseRootFromParent_Done,
     /*  515244 */   // Label 8564: @515244
     /*  515244 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515315), // Rule ID 18919 //
     /*  515249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515281 */     // MIs[0] round
     /*  515281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515291 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515313 */     GIR_RootConstrainSelectedInstOperands,
     /*  515314 */     // GIR_Coverage, 18919,
     /*  515314 */     GIR_EraseRootFromParent_Done,
     /*  515315 */   // Label 8565: @515315
     /*  515315 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515386), // Rule ID 18922 //
     /*  515320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515352 */     // MIs[0] round
     /*  515352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515362 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515384 */     GIR_RootConstrainSelectedInstOperands,
     /*  515385 */     // GIR_Coverage, 18922,
     /*  515385 */     GIR_EraseRootFromParent_Done,
     /*  515386 */   // Label 8566: @515386
     /*  515386 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515457), // Rule ID 18923 //
     /*  515391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515423 */     // MIs[0] round
     /*  515423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515455 */     GIR_RootConstrainSelectedInstOperands,
     /*  515456 */     // GIR_Coverage, 18923,
     /*  515456 */     GIR_EraseRootFromParent_Done,
     /*  515457 */   // Label 8567: @515457
     /*  515457 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515528), // Rule ID 18926 //
     /*  515462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515494 */     // MIs[0] round
     /*  515494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515526 */     GIR_RootConstrainSelectedInstOperands,
     /*  515527 */     // GIR_Coverage, 18926,
     /*  515527 */     GIR_EraseRootFromParent_Done,
     /*  515528 */   // Label 8568: @515528
     /*  515528 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515599), // Rule ID 18927 //
     /*  515533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515565 */     // MIs[0] round
     /*  515565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515575 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515597 */     GIR_RootConstrainSelectedInstOperands,
     /*  515598 */     // GIR_Coverage, 18927,
     /*  515598 */     GIR_EraseRootFromParent_Done,
     /*  515599 */   // Label 8569: @515599
     /*  515599 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515670), // Rule ID 18930 //
     /*  515604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515636 */     // MIs[0] round
     /*  515636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515668 */     GIR_RootConstrainSelectedInstOperands,
     /*  515669 */     // GIR_Coverage, 18930,
     /*  515669 */     GIR_EraseRootFromParent_Done,
     /*  515670 */   // Label 8570: @515670
     /*  515670 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515741), // Rule ID 18931 //
     /*  515675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515707 */     // MIs[0] round
     /*  515707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515717 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515739 */     GIR_RootConstrainSelectedInstOperands,
     /*  515740 */     // GIR_Coverage, 18931,
     /*  515740 */     GIR_EraseRootFromParent_Done,
     /*  515741 */   // Label 8571: @515741
     /*  515741 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515812), // Rule ID 18934 //
     /*  515746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515778 */     // MIs[0] round
     /*  515778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515810 */     GIR_RootConstrainSelectedInstOperands,
     /*  515811 */     // GIR_Coverage, 18934,
     /*  515811 */     GIR_EraseRootFromParent_Done,
     /*  515812 */   // Label 8572: @515812
     /*  515812 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515883), // Rule ID 18935 //
     /*  515817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515849 */     // MIs[0] round
     /*  515849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515859 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515881 */     GIR_RootConstrainSelectedInstOperands,
     /*  515882 */     // GIR_Coverage, 18935,
     /*  515882 */     GIR_EraseRootFromParent_Done,
     /*  515883 */   // Label 8573: @515883
     /*  515883 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515954), // Rule ID 18994 //
     /*  515888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515920 */     // MIs[0] round
     /*  515920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515930 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515952 */     GIR_RootConstrainSelectedInstOperands,
     /*  515953 */     // GIR_Coverage, 18994,
     /*  515953 */     GIR_EraseRootFromParent_Done,
     /*  515954 */   // Label 8574: @515954
     /*  515954 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(516025), // Rule ID 18995 //
     /*  515959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515991 */     // MIs[0] round
     /*  515991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516001 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  516004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516023 */     GIR_RootConstrainSelectedInstOperands,
     /*  516024 */     // GIR_Coverage, 18995,
     /*  516024 */     GIR_EraseRootFromParent_Done,
     /*  516025 */   // Label 8575: @516025
     /*  516025 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516096), // Rule ID 18998 //
     /*  516030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516062 */     // MIs[0] round
     /*  516062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516094 */     GIR_RootConstrainSelectedInstOperands,
     /*  516095 */     // GIR_Coverage, 18998,
     /*  516095 */     GIR_EraseRootFromParent_Done,
     /*  516096 */   // Label 8576: @516096
     /*  516096 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516167), // Rule ID 18999 //
     /*  516101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516133 */     // MIs[0] round
     /*  516133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516143 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516165 */     GIR_RootConstrainSelectedInstOperands,
     /*  516166 */     // GIR_Coverage, 18999,
     /*  516166 */     GIR_EraseRootFromParent_Done,
     /*  516167 */   // Label 8577: @516167
     /*  516167 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516238), // Rule ID 19002 //
     /*  516172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516204 */     // MIs[0] round
     /*  516204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516236 */     GIR_RootConstrainSelectedInstOperands,
     /*  516237 */     // GIR_Coverage, 19002,
     /*  516237 */     GIR_EraseRootFromParent_Done,
     /*  516238 */   // Label 8578: @516238
     /*  516238 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516309), // Rule ID 19003 //
     /*  516243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516275 */     // MIs[0] round
     /*  516275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516285 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516307 */     GIR_RootConstrainSelectedInstOperands,
     /*  516308 */     // GIR_Coverage, 19003,
     /*  516308 */     GIR_EraseRootFromParent_Done,
     /*  516309 */   // Label 8579: @516309
     /*  516309 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516380), // Rule ID 19006 //
     /*  516314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516346 */     // MIs[0] round
     /*  516346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516356 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  516359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516378 */     GIR_RootConstrainSelectedInstOperands,
     /*  516379 */     // GIR_Coverage, 19006,
     /*  516379 */     GIR_EraseRootFromParent_Done,
     /*  516380 */   // Label 8580: @516380
     /*  516380 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516451), // Rule ID 19007 //
     /*  516385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516417 */     // MIs[0] round
     /*  516417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  516430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516449 */     GIR_RootConstrainSelectedInstOperands,
     /*  516450 */     // GIR_Coverage, 19007,
     /*  516450 */     GIR_EraseRootFromParent_Done,
     /*  516451 */   // Label 8581: @516451
     /*  516451 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516522), // Rule ID 19010 //
     /*  516456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516488 */     // MIs[0] round
     /*  516488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516498 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516520 */     GIR_RootConstrainSelectedInstOperands,
     /*  516521 */     // GIR_Coverage, 19010,
     /*  516521 */     GIR_EraseRootFromParent_Done,
     /*  516522 */   // Label 8582: @516522
     /*  516522 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516593), // Rule ID 19011 //
     /*  516527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516559 */     // MIs[0] round
     /*  516559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516591 */     GIR_RootConstrainSelectedInstOperands,
     /*  516592 */     // GIR_Coverage, 19011,
     /*  516592 */     GIR_EraseRootFromParent_Done,
     /*  516593 */   // Label 8583: @516593
     /*  516593 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516664), // Rule ID 19014 //
     /*  516598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516630 */     // MIs[0] round
     /*  516630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516662 */     GIR_RootConstrainSelectedInstOperands,
     /*  516663 */     // GIR_Coverage, 19014,
     /*  516663 */     GIR_EraseRootFromParent_Done,
     /*  516664 */   // Label 8584: @516664
     /*  516664 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516735), // Rule ID 19015 //
     /*  516669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516701 */     // MIs[0] round
     /*  516701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516733 */     GIR_RootConstrainSelectedInstOperands,
     /*  516734 */     // GIR_Coverage, 19015,
     /*  516734 */     GIR_EraseRootFromParent_Done,
     /*  516735 */   // Label 8585: @516735
     /*  516735 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516806), // Rule ID 19018 //
     /*  516740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516772 */     // MIs[0] round
     /*  516772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516782 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516804 */     GIR_RootConstrainSelectedInstOperands,
     /*  516805 */     // GIR_Coverage, 19018,
     /*  516805 */     GIR_EraseRootFromParent_Done,
     /*  516806 */   // Label 8586: @516806
     /*  516806 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516877), // Rule ID 19019 //
     /*  516811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516843 */     // MIs[0] round
     /*  516843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516875 */     GIR_RootConstrainSelectedInstOperands,
     /*  516876 */     // GIR_Coverage, 19019,
     /*  516876 */     GIR_EraseRootFromParent_Done,
     /*  516877 */   // Label 8587: @516877
     /*  516877 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516948), // Rule ID 19022 //
     /*  516882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516914 */     // MIs[0] round
     /*  516914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516924 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516946 */     GIR_RootConstrainSelectedInstOperands,
     /*  516947 */     // GIR_Coverage, 19022,
     /*  516947 */     GIR_EraseRootFromParent_Done,
     /*  516948 */   // Label 8588: @516948
     /*  516948 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(517019), // Rule ID 19023 //
     /*  516953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516985 */     // MIs[0] round
     /*  516985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516995 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517017 */     GIR_RootConstrainSelectedInstOperands,
     /*  517018 */     // GIR_Coverage, 19023,
     /*  517018 */     GIR_EraseRootFromParent_Done,
     /*  517019 */   // Label 8589: @517019
     /*  517019 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(517090), // Rule ID 19026 //
     /*  517024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517056 */     // MIs[0] round
     /*  517056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517066 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517088 */     GIR_RootConstrainSelectedInstOperands,
     /*  517089 */     // GIR_Coverage, 19026,
     /*  517089 */     GIR_EraseRootFromParent_Done,
     /*  517090 */   // Label 8590: @517090
     /*  517090 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517161), // Rule ID 19027 //
     /*  517095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517127 */     // MIs[0] round
     /*  517127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517137 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517159 */     GIR_RootConstrainSelectedInstOperands,
     /*  517160 */     // GIR_Coverage, 19027,
     /*  517160 */     GIR_EraseRootFromParent_Done,
     /*  517161 */   // Label 8591: @517161
     /*  517161 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517232), // Rule ID 19030 //
     /*  517166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517198 */     // MIs[0] round
     /*  517198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517230 */     GIR_RootConstrainSelectedInstOperands,
     /*  517231 */     // GIR_Coverage, 19030,
     /*  517231 */     GIR_EraseRootFromParent_Done,
     /*  517232 */   // Label 8592: @517232
     /*  517232 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517303), // Rule ID 19031 //
     /*  517237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517269 */     // MIs[0] round
     /*  517269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517279 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517301 */     GIR_RootConstrainSelectedInstOperands,
     /*  517302 */     // GIR_Coverage, 19031,
     /*  517302 */     GIR_EraseRootFromParent_Done,
     /*  517303 */   // Label 8593: @517303
     /*  517303 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517374), // Rule ID 19034 //
     /*  517308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517340 */     // MIs[0] round
     /*  517340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517350 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  517353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517372 */     GIR_RootConstrainSelectedInstOperands,
     /*  517373 */     // GIR_Coverage, 19034,
     /*  517373 */     GIR_EraseRootFromParent_Done,
     /*  517374 */   // Label 8594: @517374
     /*  517374 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517445), // Rule ID 19035 //
     /*  517379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517411 */     // MIs[0] round
     /*  517411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  517424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517443 */     GIR_RootConstrainSelectedInstOperands,
     /*  517444 */     // GIR_Coverage, 19035,
     /*  517444 */     GIR_EraseRootFromParent_Done,
     /*  517445 */   // Label 8595: @517445
     /*  517445 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517516), // Rule ID 19038 //
     /*  517450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517482 */     // MIs[0] round
     /*  517482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517514 */     GIR_RootConstrainSelectedInstOperands,
     /*  517515 */     // GIR_Coverage, 19038,
     /*  517515 */     GIR_EraseRootFromParent_Done,
     /*  517516 */   // Label 8596: @517516
     /*  517516 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517587), // Rule ID 19039 //
     /*  517521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517553 */     // MIs[0] round
     /*  517553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517563 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517585 */     GIR_RootConstrainSelectedInstOperands,
     /*  517586 */     // GIR_Coverage, 19039,
     /*  517586 */     GIR_EraseRootFromParent_Done,
     /*  517587 */   // Label 8597: @517587
     /*  517587 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517658), // Rule ID 19042 //
     /*  517592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517624 */     // MIs[0] round
     /*  517624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517634 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517656 */     GIR_RootConstrainSelectedInstOperands,
     /*  517657 */     // GIR_Coverage, 19042,
     /*  517657 */     GIR_EraseRootFromParent_Done,
     /*  517658 */   // Label 8598: @517658
     /*  517658 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517729), // Rule ID 19043 //
     /*  517663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517695 */     // MIs[0] round
     /*  517695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517727 */     GIR_RootConstrainSelectedInstOperands,
     /*  517728 */     // GIR_Coverage, 19043,
     /*  517728 */     GIR_EraseRootFromParent_Done,
     /*  517729 */   // Label 8599: @517729
     /*  517729 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517800), // Rule ID 19046 //
     /*  517734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517766 */     // MIs[0] round
     /*  517766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517798 */     GIR_RootConstrainSelectedInstOperands,
     /*  517799 */     // GIR_Coverage, 19046,
     /*  517799 */     GIR_EraseRootFromParent_Done,
     /*  517800 */   // Label 8600: @517800
     /*  517800 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517871), // Rule ID 19047 //
     /*  517805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517837 */     // MIs[0] round
     /*  517837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517847 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517869 */     GIR_RootConstrainSelectedInstOperands,
     /*  517870 */     // GIR_Coverage, 19047,
     /*  517870 */     GIR_EraseRootFromParent_Done,
     /*  517871 */   // Label 8601: @517871
     /*  517871 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517942), // Rule ID 19050 //
     /*  517876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517908 */     // MIs[0] round
     /*  517908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517918 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517940 */     GIR_RootConstrainSelectedInstOperands,
     /*  517941 */     // GIR_Coverage, 19050,
     /*  517941 */     GIR_EraseRootFromParent_Done,
     /*  517942 */   // Label 8602: @517942
     /*  517942 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(518013), // Rule ID 19051 //
     /*  517947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517979 */     // MIs[0] round
     /*  517979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517989 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518011 */     GIR_RootConstrainSelectedInstOperands,
     /*  518012 */     // GIR_Coverage, 19051,
     /*  518012 */     GIR_EraseRootFromParent_Done,
     /*  518013 */   // Label 8603: @518013
     /*  518013 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(518084), // Rule ID 20636 //
     /*  518018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518050 */     // MIs[0] round
     /*  518050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518082 */     GIR_RootConstrainSelectedInstOperands,
     /*  518083 */     // GIR_Coverage, 20636,
     /*  518083 */     GIR_EraseRootFromParent_Done,
     /*  518084 */   // Label 8604: @518084
     /*  518084 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518155), // Rule ID 20637 //
     /*  518089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518121 */     // MIs[0] round
     /*  518121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518131 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518153 */     GIR_RootConstrainSelectedInstOperands,
     /*  518154 */     // GIR_Coverage, 20637,
     /*  518154 */     GIR_EraseRootFromParent_Done,
     /*  518155 */   // Label 8605: @518155
     /*  518155 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518226), // Rule ID 20640 //
     /*  518160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518192 */     // MIs[0] round
     /*  518192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518224 */     GIR_RootConstrainSelectedInstOperands,
     /*  518225 */     // GIR_Coverage, 20640,
     /*  518225 */     GIR_EraseRootFromParent_Done,
     /*  518226 */   // Label 8606: @518226
     /*  518226 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518297), // Rule ID 20641 //
     /*  518231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518263 */     // MIs[0] round
     /*  518263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518295 */     GIR_RootConstrainSelectedInstOperands,
     /*  518296 */     // GIR_Coverage, 20641,
     /*  518296 */     GIR_EraseRootFromParent_Done,
     /*  518297 */   // Label 8607: @518297
     /*  518297 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518368), // Rule ID 20644 //
     /*  518302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518334 */     // MIs[0] round
     /*  518334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518366 */     GIR_RootConstrainSelectedInstOperands,
     /*  518367 */     // GIR_Coverage, 20644,
     /*  518367 */     GIR_EraseRootFromParent_Done,
     /*  518368 */   // Label 8608: @518368
     /*  518368 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518439), // Rule ID 20645 //
     /*  518373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518405 */     // MIs[0] round
     /*  518405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518437 */     GIR_RootConstrainSelectedInstOperands,
     /*  518438 */     // GIR_Coverage, 20645,
     /*  518438 */     GIR_EraseRootFromParent_Done,
     /*  518439 */   // Label 8609: @518439
     /*  518439 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518510), // Rule ID 20648 //
     /*  518444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518476 */     // MIs[0] round
     /*  518476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518508 */     GIR_RootConstrainSelectedInstOperands,
     /*  518509 */     // GIR_Coverage, 20648,
     /*  518509 */     GIR_EraseRootFromParent_Done,
     /*  518510 */   // Label 8610: @518510
     /*  518510 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518581), // Rule ID 20649 //
     /*  518515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518547 */     // MIs[0] round
     /*  518547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518579 */     GIR_RootConstrainSelectedInstOperands,
     /*  518580 */     // GIR_Coverage, 20649,
     /*  518580 */     GIR_EraseRootFromParent_Done,
     /*  518581 */   // Label 8611: @518581
     /*  518581 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518652), // Rule ID 20652 //
     /*  518586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518618 */     // MIs[0] round
     /*  518618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518650 */     GIR_RootConstrainSelectedInstOperands,
     /*  518651 */     // GIR_Coverage, 20652,
     /*  518651 */     GIR_EraseRootFromParent_Done,
     /*  518652 */   // Label 8612: @518652
     /*  518652 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518723), // Rule ID 20653 //
     /*  518657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518689 */     // MIs[0] round
     /*  518689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518721 */     GIR_RootConstrainSelectedInstOperands,
     /*  518722 */     // GIR_Coverage, 20653,
     /*  518722 */     GIR_EraseRootFromParent_Done,
     /*  518723 */   // Label 8613: @518723
     /*  518723 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518794), // Rule ID 20656 //
     /*  518728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518760 */     // MIs[0] round
     /*  518760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518792 */     GIR_RootConstrainSelectedInstOperands,
     /*  518793 */     // GIR_Coverage, 20656,
     /*  518793 */     GIR_EraseRootFromParent_Done,
     /*  518794 */   // Label 8614: @518794
     /*  518794 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518865), // Rule ID 20657 //
     /*  518799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518831 */     // MIs[0] round
     /*  518831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518841 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518863 */     GIR_RootConstrainSelectedInstOperands,
     /*  518864 */     // GIR_Coverage, 20657,
     /*  518864 */     GIR_EraseRootFromParent_Done,
     /*  518865 */   // Label 8615: @518865
     /*  518865 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518936), // Rule ID 20660 //
     /*  518870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518902 */     // MIs[0] round
     /*  518902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518934 */     GIR_RootConstrainSelectedInstOperands,
     /*  518935 */     // GIR_Coverage, 20660,
     /*  518935 */     GIR_EraseRootFromParent_Done,
     /*  518936 */   // Label 8616: @518936
     /*  518936 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(519007), // Rule ID 20661 //
     /*  518941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518973 */     // MIs[0] round
     /*  518973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519005 */     GIR_RootConstrainSelectedInstOperands,
     /*  519006 */     // GIR_Coverage, 20661,
     /*  519006 */     GIR_EraseRootFromParent_Done,
     /*  519007 */   // Label 8617: @519007
     /*  519007 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(519078), // Rule ID 20664 //
     /*  519012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519044 */     // MIs[0] round
     /*  519044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519076 */     GIR_RootConstrainSelectedInstOperands,
     /*  519077 */     // GIR_Coverage, 20664,
     /*  519077 */     GIR_EraseRootFromParent_Done,
     /*  519078 */   // Label 8618: @519078
     /*  519078 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519149), // Rule ID 20665 //
     /*  519083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519115 */     // MIs[0] round
     /*  519115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519125 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519147 */     GIR_RootConstrainSelectedInstOperands,
     /*  519148 */     // GIR_Coverage, 20665,
     /*  519148 */     GIR_EraseRootFromParent_Done,
     /*  519149 */   // Label 8619: @519149
     /*  519149 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519220), // Rule ID 20668 //
     /*  519154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519186 */     // MIs[0] round
     /*  519186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519218 */     GIR_RootConstrainSelectedInstOperands,
     /*  519219 */     // GIR_Coverage, 20668,
     /*  519219 */     GIR_EraseRootFromParent_Done,
     /*  519220 */   // Label 8620: @519220
     /*  519220 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519291), // Rule ID 20669 //
     /*  519225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519257 */     // MIs[0] round
     /*  519257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519289 */     GIR_RootConstrainSelectedInstOperands,
     /*  519290 */     // GIR_Coverage, 20669,
     /*  519290 */     GIR_EraseRootFromParent_Done,
     /*  519291 */   // Label 8621: @519291
     /*  519291 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519362), // Rule ID 20672 //
     /*  519296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519328 */     // MIs[0] round
     /*  519328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519360 */     GIR_RootConstrainSelectedInstOperands,
     /*  519361 */     // GIR_Coverage, 20672,
     /*  519361 */     GIR_EraseRootFromParent_Done,
     /*  519362 */   // Label 8622: @519362
     /*  519362 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519433), // Rule ID 20673 //
     /*  519367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519399 */     // MIs[0] round
     /*  519399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519431 */     GIR_RootConstrainSelectedInstOperands,
     /*  519432 */     // GIR_Coverage, 20673,
     /*  519432 */     GIR_EraseRootFromParent_Done,
     /*  519433 */   // Label 8623: @519433
     /*  519433 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519504), // Rule ID 20676 //
     /*  519438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519470 */     // MIs[0] round
     /*  519470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519502 */     GIR_RootConstrainSelectedInstOperands,
     /*  519503 */     // GIR_Coverage, 20676,
     /*  519503 */     GIR_EraseRootFromParent_Done,
     /*  519504 */   // Label 8624: @519504
     /*  519504 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519575), // Rule ID 20677 //
     /*  519509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519541 */     // MIs[0] round
     /*  519541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519573 */     GIR_RootConstrainSelectedInstOperands,
     /*  519574 */     // GIR_Coverage, 20677,
     /*  519574 */     GIR_EraseRootFromParent_Done,
     /*  519575 */   // Label 8625: @519575
     /*  519575 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519646), // Rule ID 20680 //
     /*  519580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519612 */     // MIs[0] round
     /*  519612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519644 */     GIR_RootConstrainSelectedInstOperands,
     /*  519645 */     // GIR_Coverage, 20680,
     /*  519645 */     GIR_EraseRootFromParent_Done,
     /*  519646 */   // Label 8626: @519646
     /*  519646 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519717), // Rule ID 20681 //
     /*  519651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519683 */     // MIs[0] round
     /*  519683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519715 */     GIR_RootConstrainSelectedInstOperands,
     /*  519716 */     // GIR_Coverage, 20681,
     /*  519716 */     GIR_EraseRootFromParent_Done,
     /*  519717 */   // Label 8627: @519717
     /*  519717 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519788), // Rule ID 20684 //
     /*  519722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519754 */     // MIs[0] round
     /*  519754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519786 */     GIR_RootConstrainSelectedInstOperands,
     /*  519787 */     // GIR_Coverage, 20684,
     /*  519787 */     GIR_EraseRootFromParent_Done,
     /*  519788 */   // Label 8628: @519788
     /*  519788 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519859), // Rule ID 20685 //
     /*  519793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519825 */     // MIs[0] round
     /*  519825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519857 */     GIR_RootConstrainSelectedInstOperands,
     /*  519858 */     // GIR_Coverage, 20685,
     /*  519858 */     GIR_EraseRootFromParent_Done,
     /*  519859 */   // Label 8629: @519859
     /*  519859 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519930), // Rule ID 20688 //
     /*  519864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519896 */     // MIs[0] round
     /*  519896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519928 */     GIR_RootConstrainSelectedInstOperands,
     /*  519929 */     // GIR_Coverage, 20688,
     /*  519929 */     GIR_EraseRootFromParent_Done,
     /*  519930 */   // Label 8630: @519930
     /*  519930 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(520001), // Rule ID 20689 //
     /*  519935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519967 */     // MIs[0] round
     /*  519967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519999 */     GIR_RootConstrainSelectedInstOperands,
     /*  520000 */     // GIR_Coverage, 20689,
     /*  520000 */     GIR_EraseRootFromParent_Done,
     /*  520001 */   // Label 8631: @520001
     /*  520001 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(520072), // Rule ID 20692 //
     /*  520006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520038 */     // MIs[0] round
     /*  520038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520070 */     GIR_RootConstrainSelectedInstOperands,
     /*  520071 */     // GIR_Coverage, 20692,
     /*  520071 */     GIR_EraseRootFromParent_Done,
     /*  520072 */   // Label 8632: @520072
     /*  520072 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520143), // Rule ID 20693 //
     /*  520077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520109 */     // MIs[0] round
     /*  520109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520141 */     GIR_RootConstrainSelectedInstOperands,
     /*  520142 */     // GIR_Coverage, 20693,
     /*  520142 */     GIR_EraseRootFromParent_Done,
     /*  520143 */   // Label 8633: @520143
     /*  520143 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520214), // Rule ID 20696 //
     /*  520148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520180 */     // MIs[0] round
     /*  520180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520212 */     GIR_RootConstrainSelectedInstOperands,
     /*  520213 */     // GIR_Coverage, 20696,
     /*  520213 */     GIR_EraseRootFromParent_Done,
     /*  520214 */   // Label 8634: @520214
     /*  520214 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520285), // Rule ID 20697 //
     /*  520219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520251 */     // MIs[0] round
     /*  520251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520261 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520283 */     GIR_RootConstrainSelectedInstOperands,
     /*  520284 */     // GIR_Coverage, 20697,
     /*  520284 */     GIR_EraseRootFromParent_Done,
     /*  520285 */   // Label 8635: @520285
     /*  520285 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520356), // Rule ID 20700 //
     /*  520290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520322 */     // MIs[0] round
     /*  520322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520354 */     GIR_RootConstrainSelectedInstOperands,
     /*  520355 */     // GIR_Coverage, 20700,
     /*  520355 */     GIR_EraseRootFromParent_Done,
     /*  520356 */   // Label 8636: @520356
     /*  520356 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520427), // Rule ID 20701 //
     /*  520361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520393 */     // MIs[0] round
     /*  520393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520425 */     GIR_RootConstrainSelectedInstOperands,
     /*  520426 */     // GIR_Coverage, 20701,
     /*  520426 */     GIR_EraseRootFromParent_Done,
     /*  520427 */   // Label 8637: @520427
     /*  520427 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520498), // Rule ID 20704 //
     /*  520432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520464 */     // MIs[0] round
     /*  520464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520496 */     GIR_RootConstrainSelectedInstOperands,
     /*  520497 */     // GIR_Coverage, 20704,
     /*  520497 */     GIR_EraseRootFromParent_Done,
     /*  520498 */   // Label 8638: @520498
     /*  520498 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520569), // Rule ID 20705 //
     /*  520503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520535 */     // MIs[0] round
     /*  520535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520567 */     GIR_RootConstrainSelectedInstOperands,
     /*  520568 */     // GIR_Coverage, 20705,
     /*  520568 */     GIR_EraseRootFromParent_Done,
     /*  520569 */   // Label 8639: @520569
     /*  520569 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520640), // Rule ID 20708 //
     /*  520574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520606 */     // MIs[0] round
     /*  520606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520638 */     GIR_RootConstrainSelectedInstOperands,
     /*  520639 */     // GIR_Coverage, 20708,
     /*  520639 */     GIR_EraseRootFromParent_Done,
     /*  520640 */   // Label 8640: @520640
     /*  520640 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520711), // Rule ID 20709 //
     /*  520645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520677 */     // MIs[0] round
     /*  520677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520709 */     GIR_RootConstrainSelectedInstOperands,
     /*  520710 */     // GIR_Coverage, 20709,
     /*  520710 */     GIR_EraseRootFromParent_Done,
     /*  520711 */   // Label 8641: @520711
     /*  520711 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520782), // Rule ID 20712 //
     /*  520716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520748 */     // MIs[0] round
     /*  520748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520780 */     GIR_RootConstrainSelectedInstOperands,
     /*  520781 */     // GIR_Coverage, 20712,
     /*  520781 */     GIR_EraseRootFromParent_Done,
     /*  520782 */   // Label 8642: @520782
     /*  520782 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520853), // Rule ID 20713 //
     /*  520787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520819 */     // MIs[0] round
     /*  520819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520851 */     GIR_RootConstrainSelectedInstOperands,
     /*  520852 */     // GIR_Coverage, 20713,
     /*  520852 */     GIR_EraseRootFromParent_Done,
     /*  520853 */   // Label 8643: @520853
     /*  520853 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520924), // Rule ID 20716 //
     /*  520858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520890 */     // MIs[0] round
     /*  520890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520922 */     GIR_RootConstrainSelectedInstOperands,
     /*  520923 */     // GIR_Coverage, 20716,
     /*  520923 */     GIR_EraseRootFromParent_Done,
     /*  520924 */   // Label 8644: @520924
     /*  520924 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520995), // Rule ID 20717 //
     /*  520929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520961 */     // MIs[0] round
     /*  520961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520993 */     GIR_RootConstrainSelectedInstOperands,
     /*  520994 */     // GIR_Coverage, 20717,
     /*  520994 */     GIR_EraseRootFromParent_Done,
     /*  520995 */   // Label 8645: @520995
     /*  520995 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(521066), // Rule ID 20720 //
     /*  521000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521032 */     // MIs[0] round
     /*  521032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521064 */     GIR_RootConstrainSelectedInstOperands,
     /*  521065 */     // GIR_Coverage, 20720,
     /*  521065 */     GIR_EraseRootFromParent_Done,
     /*  521066 */   // Label 8646: @521066
     /*  521066 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521137), // Rule ID 20721 //
     /*  521071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521103 */     // MIs[0] round
     /*  521103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521135 */     GIR_RootConstrainSelectedInstOperands,
     /*  521136 */     // GIR_Coverage, 20721,
     /*  521136 */     GIR_EraseRootFromParent_Done,
     /*  521137 */   // Label 8647: @521137
     /*  521137 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521208), // Rule ID 20724 //
     /*  521142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521174 */     // MIs[0] round
     /*  521174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521206 */     GIR_RootConstrainSelectedInstOperands,
     /*  521207 */     // GIR_Coverage, 20724,
     /*  521207 */     GIR_EraseRootFromParent_Done,
     /*  521208 */   // Label 8648: @521208
     /*  521208 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521279), // Rule ID 20725 //
     /*  521213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521245 */     // MIs[0] round
     /*  521245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521277 */     GIR_RootConstrainSelectedInstOperands,
     /*  521278 */     // GIR_Coverage, 20725,
     /*  521278 */     GIR_EraseRootFromParent_Done,
     /*  521279 */   // Label 8649: @521279
     /*  521279 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521350), // Rule ID 20728 //
     /*  521284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521316 */     // MIs[0] round
     /*  521316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521348 */     GIR_RootConstrainSelectedInstOperands,
     /*  521349 */     // GIR_Coverage, 20728,
     /*  521349 */     GIR_EraseRootFromParent_Done,
     /*  521350 */   // Label 8650: @521350
     /*  521350 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521421), // Rule ID 20729 //
     /*  521355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521387 */     // MIs[0] round
     /*  521387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521419 */     GIR_RootConstrainSelectedInstOperands,
     /*  521420 */     // GIR_Coverage, 20729,
     /*  521420 */     GIR_EraseRootFromParent_Done,
     /*  521421 */   // Label 8651: @521421
     /*  521421 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521492), // Rule ID 20732 //
     /*  521426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521458 */     // MIs[0] round
     /*  521458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521490 */     GIR_RootConstrainSelectedInstOperands,
     /*  521491 */     // GIR_Coverage, 20732,
     /*  521491 */     GIR_EraseRootFromParent_Done,
     /*  521492 */   // Label 8652: @521492
     /*  521492 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521563), // Rule ID 20733 //
     /*  521497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521529 */     // MIs[0] round
     /*  521529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521561 */     GIR_RootConstrainSelectedInstOperands,
     /*  521562 */     // GIR_Coverage, 20733,
     /*  521562 */     GIR_EraseRootFromParent_Done,
     /*  521563 */   // Label 8653: @521563
     /*  521563 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521634), // Rule ID 20736 //
     /*  521568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521600 */     // MIs[0] round
     /*  521600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521632 */     GIR_RootConstrainSelectedInstOperands,
     /*  521633 */     // GIR_Coverage, 20736,
     /*  521633 */     GIR_EraseRootFromParent_Done,
     /*  521634 */   // Label 8654: @521634
     /*  521634 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521705), // Rule ID 20737 //
     /*  521639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521671 */     // MIs[0] round
     /*  521671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521681 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521703 */     GIR_RootConstrainSelectedInstOperands,
     /*  521704 */     // GIR_Coverage, 20737,
     /*  521704 */     GIR_EraseRootFromParent_Done,
     /*  521705 */   // Label 8655: @521705
     /*  521705 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521776), // Rule ID 20740 //
     /*  521710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521742 */     // MIs[0] round
     /*  521742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521774 */     GIR_RootConstrainSelectedInstOperands,
     /*  521775 */     // GIR_Coverage, 20740,
     /*  521775 */     GIR_EraseRootFromParent_Done,
     /*  521776 */   // Label 8656: @521776
     /*  521776 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521847), // Rule ID 20741 //
     /*  521781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521813 */     // MIs[0] round
     /*  521813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521823 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521845 */     GIR_RootConstrainSelectedInstOperands,
     /*  521846 */     // GIR_Coverage, 20741,
     /*  521846 */     GIR_EraseRootFromParent_Done,
     /*  521847 */   // Label 8657: @521847
     /*  521847 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521918), // Rule ID 20744 //
     /*  521852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521884 */     // MIs[0] round
     /*  521884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521916 */     GIR_RootConstrainSelectedInstOperands,
     /*  521917 */     // GIR_Coverage, 20744,
     /*  521917 */     GIR_EraseRootFromParent_Done,
     /*  521918 */   // Label 8658: @521918
     /*  521918 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521989), // Rule ID 20745 //
     /*  521923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521955 */     // MIs[0] round
     /*  521955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521987 */     GIR_RootConstrainSelectedInstOperands,
     /*  521988 */     // GIR_Coverage, 20745,
     /*  521988 */     GIR_EraseRootFromParent_Done,
     /*  521989 */   // Label 8659: @521989
     /*  521989 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(522060), // Rule ID 20748 //
     /*  521994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522026 */     // MIs[0] round
     /*  522026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522058 */     GIR_RootConstrainSelectedInstOperands,
     /*  522059 */     // GIR_Coverage, 20748,
     /*  522059 */     GIR_EraseRootFromParent_Done,
     /*  522060 */   // Label 8660: @522060
     /*  522060 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522131), // Rule ID 20749 //
     /*  522065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522097 */     // MIs[0] round
     /*  522097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522129 */     GIR_RootConstrainSelectedInstOperands,
     /*  522130 */     // GIR_Coverage, 20749,
     /*  522130 */     GIR_EraseRootFromParent_Done,
     /*  522131 */   // Label 8661: @522131
     /*  522131 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522202), // Rule ID 20872 //
     /*  522136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522168 */     // MIs[0] round
     /*  522168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522200 */     GIR_RootConstrainSelectedInstOperands,
     /*  522201 */     // GIR_Coverage, 20872,
     /*  522201 */     GIR_EraseRootFromParent_Done,
     /*  522202 */   // Label 8662: @522202
     /*  522202 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522273), // Rule ID 20873 //
     /*  522207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522239 */     // MIs[0] round
     /*  522239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522249 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522271 */     GIR_RootConstrainSelectedInstOperands,
     /*  522272 */     // GIR_Coverage, 20873,
     /*  522272 */     GIR_EraseRootFromParent_Done,
     /*  522273 */   // Label 8663: @522273
     /*  522273 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522344), // Rule ID 20876 //
     /*  522278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522310 */     // MIs[0] round
     /*  522310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522342 */     GIR_RootConstrainSelectedInstOperands,
     /*  522343 */     // GIR_Coverage, 20876,
     /*  522343 */     GIR_EraseRootFromParent_Done,
     /*  522344 */   // Label 8664: @522344
     /*  522344 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522415), // Rule ID 20877 //
     /*  522349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522381 */     // MIs[0] round
     /*  522381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522391 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522413 */     GIR_RootConstrainSelectedInstOperands,
     /*  522414 */     // GIR_Coverage, 20877,
     /*  522414 */     GIR_EraseRootFromParent_Done,
     /*  522415 */   // Label 8665: @522415
     /*  522415 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522486), // Rule ID 20880 //
     /*  522420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522452 */     // MIs[0] round
     /*  522452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522462 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522484 */     GIR_RootConstrainSelectedInstOperands,
     /*  522485 */     // GIR_Coverage, 20880,
     /*  522485 */     GIR_EraseRootFromParent_Done,
     /*  522486 */   // Label 8666: @522486
     /*  522486 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522557), // Rule ID 20881 //
     /*  522491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522523 */     // MIs[0] round
     /*  522523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522533 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522555 */     GIR_RootConstrainSelectedInstOperands,
     /*  522556 */     // GIR_Coverage, 20881,
     /*  522556 */     GIR_EraseRootFromParent_Done,
     /*  522557 */   // Label 8667: @522557
     /*  522557 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522628), // Rule ID 20884 //
     /*  522562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522594 */     // MIs[0] round
     /*  522594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522604 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522626 */     GIR_RootConstrainSelectedInstOperands,
     /*  522627 */     // GIR_Coverage, 20884,
     /*  522627 */     GIR_EraseRootFromParent_Done,
     /*  522628 */   // Label 8668: @522628
     /*  522628 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522699), // Rule ID 20885 //
     /*  522633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522665 */     // MIs[0] round
     /*  522665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522675 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522697 */     GIR_RootConstrainSelectedInstOperands,
     /*  522698 */     // GIR_Coverage, 20885,
     /*  522698 */     GIR_EraseRootFromParent_Done,
     /*  522699 */   // Label 8669: @522699
     /*  522699 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522770), // Rule ID 20888 //
     /*  522704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522736 */     // MIs[0] round
     /*  522736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522746 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522768 */     GIR_RootConstrainSelectedInstOperands,
     /*  522769 */     // GIR_Coverage, 20888,
     /*  522769 */     GIR_EraseRootFromParent_Done,
     /*  522770 */   // Label 8670: @522770
     /*  522770 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522841), // Rule ID 20889 //
     /*  522775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522807 */     // MIs[0] round
     /*  522807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522839 */     GIR_RootConstrainSelectedInstOperands,
     /*  522840 */     // GIR_Coverage, 20889,
     /*  522840 */     GIR_EraseRootFromParent_Done,
     /*  522841 */   // Label 8671: @522841
     /*  522841 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522912), // Rule ID 20892 //
     /*  522846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522878 */     // MIs[0] round
     /*  522878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522910 */     GIR_RootConstrainSelectedInstOperands,
     /*  522911 */     // GIR_Coverage, 20892,
     /*  522911 */     GIR_EraseRootFromParent_Done,
     /*  522912 */   // Label 8672: @522912
     /*  522912 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522983), // Rule ID 20893 //
     /*  522917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522949 */     // MIs[0] round
     /*  522949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522981 */     GIR_RootConstrainSelectedInstOperands,
     /*  522982 */     // GIR_Coverage, 20893,
     /*  522982 */     GIR_EraseRootFromParent_Done,
     /*  522983 */   // Label 8673: @522983
     /*  522983 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(523054), // Rule ID 20896 //
     /*  522988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523020 */     // MIs[0] round
     /*  523020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523030 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523052 */     GIR_RootConstrainSelectedInstOperands,
     /*  523053 */     // GIR_Coverage, 20896,
     /*  523053 */     GIR_EraseRootFromParent_Done,
     /*  523054 */   // Label 8674: @523054
     /*  523054 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523125), // Rule ID 20897 //
     /*  523059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523091 */     // MIs[0] round
     /*  523091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523101 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523123 */     GIR_RootConstrainSelectedInstOperands,
     /*  523124 */     // GIR_Coverage, 20897,
     /*  523124 */     GIR_EraseRootFromParent_Done,
     /*  523125 */   // Label 8675: @523125
     /*  523125 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523196), // Rule ID 20900 //
     /*  523130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523162 */     // MIs[0] round
     /*  523162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523172 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523194 */     GIR_RootConstrainSelectedInstOperands,
     /*  523195 */     // GIR_Coverage, 20900,
     /*  523195 */     GIR_EraseRootFromParent_Done,
     /*  523196 */   // Label 8676: @523196
     /*  523196 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523267), // Rule ID 20901 //
     /*  523201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523233 */     // MIs[0] round
     /*  523233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523243 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523265 */     GIR_RootConstrainSelectedInstOperands,
     /*  523266 */     // GIR_Coverage, 20901,
     /*  523266 */     GIR_EraseRootFromParent_Done,
     /*  523267 */   // Label 8677: @523267
     /*  523267 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523338), // Rule ID 20904 //
     /*  523272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523304 */     // MIs[0] round
     /*  523304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523314 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523336 */     GIR_RootConstrainSelectedInstOperands,
     /*  523337 */     // GIR_Coverage, 20904,
     /*  523337 */     GIR_EraseRootFromParent_Done,
     /*  523338 */   // Label 8678: @523338
     /*  523338 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523409), // Rule ID 20905 //
     /*  523343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523375 */     // MIs[0] round
     /*  523375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523385 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523407 */     GIR_RootConstrainSelectedInstOperands,
     /*  523408 */     // GIR_Coverage, 20905,
     /*  523408 */     GIR_EraseRootFromParent_Done,
     /*  523409 */   // Label 8679: @523409
     /*  523409 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523480), // Rule ID 20908 //
     /*  523414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523446 */     // MIs[0] round
     /*  523446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523478 */     GIR_RootConstrainSelectedInstOperands,
     /*  523479 */     // GIR_Coverage, 20908,
     /*  523479 */     GIR_EraseRootFromParent_Done,
     /*  523480 */   // Label 8680: @523480
     /*  523480 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523551), // Rule ID 20909 //
     /*  523485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523517 */     // MIs[0] round
     /*  523517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523549 */     GIR_RootConstrainSelectedInstOperands,
     /*  523550 */     // GIR_Coverage, 20909,
     /*  523550 */     GIR_EraseRootFromParent_Done,
     /*  523551 */   // Label 8681: @523551
     /*  523551 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523622), // Rule ID 20912 //
     /*  523556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523588 */     // MIs[0] round
     /*  523588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523598 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523620 */     GIR_RootConstrainSelectedInstOperands,
     /*  523621 */     // GIR_Coverage, 20912,
     /*  523621 */     GIR_EraseRootFromParent_Done,
     /*  523622 */   // Label 8682: @523622
     /*  523622 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523693), // Rule ID 20913 //
     /*  523627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523659 */     // MIs[0] round
     /*  523659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523669 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523691 */     GIR_RootConstrainSelectedInstOperands,
     /*  523692 */     // GIR_Coverage, 20913,
     /*  523692 */     GIR_EraseRootFromParent_Done,
     /*  523693 */   // Label 8683: @523693
     /*  523693 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523764), // Rule ID 20916 //
     /*  523698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523730 */     // MIs[0] round
     /*  523730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523740 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523762 */     GIR_RootConstrainSelectedInstOperands,
     /*  523763 */     // GIR_Coverage, 20916,
     /*  523763 */     GIR_EraseRootFromParent_Done,
     /*  523764 */   // Label 8684: @523764
     /*  523764 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523835), // Rule ID 20917 //
     /*  523769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523801 */     // MIs[0] round
     /*  523801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523833 */     GIR_RootConstrainSelectedInstOperands,
     /*  523834 */     // GIR_Coverage, 20917,
     /*  523834 */     GIR_EraseRootFromParent_Done,
     /*  523835 */   // Label 8685: @523835
     /*  523835 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523906), // Rule ID 20920 //
     /*  523840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523872 */     // MIs[0] round
     /*  523872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523882 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523904 */     GIR_RootConstrainSelectedInstOperands,
     /*  523905 */     // GIR_Coverage, 20920,
     /*  523905 */     GIR_EraseRootFromParent_Done,
     /*  523906 */   // Label 8686: @523906
     /*  523906 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523977), // Rule ID 20921 //
     /*  523911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523943 */     // MIs[0] round
     /*  523943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523953 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523975 */     GIR_RootConstrainSelectedInstOperands,
     /*  523976 */     // GIR_Coverage, 20921,
     /*  523976 */     GIR_EraseRootFromParent_Done,
     /*  523977 */   // Label 8687: @523977
     /*  523977 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(524048), // Rule ID 20924 //
     /*  523982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524014 */     // MIs[0] round
     /*  524014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524024 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524046 */     GIR_RootConstrainSelectedInstOperands,
     /*  524047 */     // GIR_Coverage, 20924,
     /*  524047 */     GIR_EraseRootFromParent_Done,
     /*  524048 */   // Label 8688: @524048
     /*  524048 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524119), // Rule ID 20925 //
     /*  524053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524085 */     // MIs[0] round
     /*  524085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524095 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524117 */     GIR_RootConstrainSelectedInstOperands,
     /*  524118 */     // GIR_Coverage, 20925,
     /*  524118 */     GIR_EraseRootFromParent_Done,
     /*  524119 */   // Label 8689: @524119
     /*  524119 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524190), // Rule ID 20928 //
     /*  524124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524156 */     // MIs[0] round
     /*  524156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524166 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524188 */     GIR_RootConstrainSelectedInstOperands,
     /*  524189 */     // GIR_Coverage, 20928,
     /*  524189 */     GIR_EraseRootFromParent_Done,
     /*  524190 */   // Label 8690: @524190
     /*  524190 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524261), // Rule ID 20929 //
     /*  524195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524227 */     // MIs[0] round
     /*  524227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524237 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524259 */     GIR_RootConstrainSelectedInstOperands,
     /*  524260 */     // GIR_Coverage, 20929,
     /*  524260 */     GIR_EraseRootFromParent_Done,
     /*  524261 */   // Label 8691: @524261
     /*  524261 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524332), // Rule ID 20932 //
     /*  524266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524298 */     // MIs[0] round
     /*  524298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524330 */     GIR_RootConstrainSelectedInstOperands,
     /*  524331 */     // GIR_Coverage, 20932,
     /*  524331 */     GIR_EraseRootFromParent_Done,
     /*  524332 */   // Label 8692: @524332
     /*  524332 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524403), // Rule ID 20933 //
     /*  524337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524369 */     // MIs[0] round
     /*  524369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524379 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524401 */     GIR_RootConstrainSelectedInstOperands,
     /*  524402 */     // GIR_Coverage, 20933,
     /*  524402 */     GIR_EraseRootFromParent_Done,
     /*  524403 */   // Label 8693: @524403
     /*  524403 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524474), // Rule ID 20936 //
     /*  524408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524440 */     // MIs[0] round
     /*  524440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524450 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524472 */     GIR_RootConstrainSelectedInstOperands,
     /*  524473 */     // GIR_Coverage, 20936,
     /*  524473 */     GIR_EraseRootFromParent_Done,
     /*  524474 */   // Label 8694: @524474
     /*  524474 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524545), // Rule ID 20937 //
     /*  524479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524511 */     // MIs[0] round
     /*  524511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524521 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524543 */     GIR_RootConstrainSelectedInstOperands,
     /*  524544 */     // GIR_Coverage, 20937,
     /*  524544 */     GIR_EraseRootFromParent_Done,
     /*  524545 */   // Label 8695: @524545
     /*  524545 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524616), // Rule ID 20940 //
     /*  524550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524582 */     // MIs[0] round
     /*  524582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524614 */     GIR_RootConstrainSelectedInstOperands,
     /*  524615 */     // GIR_Coverage, 20940,
     /*  524615 */     GIR_EraseRootFromParent_Done,
     /*  524616 */   // Label 8696: @524616
     /*  524616 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524687), // Rule ID 20941 //
     /*  524621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524653 */     // MIs[0] round
     /*  524653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524663 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524685 */     GIR_RootConstrainSelectedInstOperands,
     /*  524686 */     // GIR_Coverage, 20941,
     /*  524686 */     GIR_EraseRootFromParent_Done,
     /*  524687 */   // Label 8697: @524687
     /*  524687 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524758), // Rule ID 20944 //
     /*  524692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524724 */     // MIs[0] round
     /*  524724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524756 */     GIR_RootConstrainSelectedInstOperands,
     /*  524757 */     // GIR_Coverage, 20944,
     /*  524757 */     GIR_EraseRootFromParent_Done,
     /*  524758 */   // Label 8698: @524758
     /*  524758 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524829), // Rule ID 20945 //
     /*  524763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524795 */     // MIs[0] round
     /*  524795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524805 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524827 */     GIR_RootConstrainSelectedInstOperands,
     /*  524828 */     // GIR_Coverage, 20945,
     /*  524828 */     GIR_EraseRootFromParent_Done,
     /*  524829 */   // Label 8699: @524829
     /*  524829 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524900), // Rule ID 20948 //
     /*  524834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524866 */     // MIs[0] round
     /*  524866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524898 */     GIR_RootConstrainSelectedInstOperands,
     /*  524899 */     // GIR_Coverage, 20948,
     /*  524899 */     GIR_EraseRootFromParent_Done,
     /*  524900 */   // Label 8700: @524900
     /*  524900 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524971), // Rule ID 20949 //
     /*  524905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524937 */     // MIs[0] round
     /*  524937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524969 */     GIR_RootConstrainSelectedInstOperands,
     /*  524970 */     // GIR_Coverage, 20949,
     /*  524970 */     GIR_EraseRootFromParent_Done,
     /*  524971 */   // Label 8701: @524971
     /*  524971 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(525042), // Rule ID 20952 //
     /*  524976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525008 */     // MIs[0] round
     /*  525008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525018 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525040 */     GIR_RootConstrainSelectedInstOperands,
     /*  525041 */     // GIR_Coverage, 20952,
     /*  525041 */     GIR_EraseRootFromParent_Done,
     /*  525042 */   // Label 8702: @525042
     /*  525042 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525113), // Rule ID 20953 //
     /*  525047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525079 */     // MIs[0] round
     /*  525079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525089 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525111 */     GIR_RootConstrainSelectedInstOperands,
     /*  525112 */     // GIR_Coverage, 20953,
     /*  525112 */     GIR_EraseRootFromParent_Done,
     /*  525113 */   // Label 8703: @525113
     /*  525113 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525184), // Rule ID 20956 //
     /*  525118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525150 */     // MIs[0] round
     /*  525150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525182 */     GIR_RootConstrainSelectedInstOperands,
     /*  525183 */     // GIR_Coverage, 20956,
     /*  525183 */     GIR_EraseRootFromParent_Done,
     /*  525184 */   // Label 8704: @525184
     /*  525184 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525255), // Rule ID 20957 //
     /*  525189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525221 */     // MIs[0] round
     /*  525221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525231 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525253 */     GIR_RootConstrainSelectedInstOperands,
     /*  525254 */     // GIR_Coverage, 20957,
     /*  525254 */     GIR_EraseRootFromParent_Done,
     /*  525255 */   // Label 8705: @525255
     /*  525255 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525326), // Rule ID 20960 //
     /*  525260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525292 */     // MIs[0] round
     /*  525292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525302 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  525305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525324 */     GIR_RootConstrainSelectedInstOperands,
     /*  525325 */     // GIR_Coverage, 20960,
     /*  525325 */     GIR_EraseRootFromParent_Done,
     /*  525326 */   // Label 8706: @525326
     /*  525326 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525397), // Rule ID 20961 //
     /*  525331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525363 */     // MIs[0] round
     /*  525363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525373 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  525376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525395 */     GIR_RootConstrainSelectedInstOperands,
     /*  525396 */     // GIR_Coverage, 20961,
     /*  525396 */     GIR_EraseRootFromParent_Done,
     /*  525397 */   // Label 8707: @525397
     /*  525397 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525468), // Rule ID 20964 //
     /*  525402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525434 */     // MIs[0] round
     /*  525434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525444 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525466 */     GIR_RootConstrainSelectedInstOperands,
     /*  525467 */     // GIR_Coverage, 20964,
     /*  525467 */     GIR_EraseRootFromParent_Done,
     /*  525468 */   // Label 8708: @525468
     /*  525468 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525539), // Rule ID 20965 //
     /*  525473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525505 */     // MIs[0] round
     /*  525505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525515 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525537 */     GIR_RootConstrainSelectedInstOperands,
     /*  525538 */     // GIR_Coverage, 20965,
     /*  525538 */     GIR_EraseRootFromParent_Done,
     /*  525539 */   // Label 8709: @525539
     /*  525539 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525610), // Rule ID 20968 //
     /*  525544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525576 */     // MIs[0] round
     /*  525576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525586 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525608 */     GIR_RootConstrainSelectedInstOperands,
     /*  525609 */     // GIR_Coverage, 20968,
     /*  525609 */     GIR_EraseRootFromParent_Done,
     /*  525610 */   // Label 8710: @525610
     /*  525610 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525681), // Rule ID 20969 //
     /*  525615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525647 */     // MIs[0] round
     /*  525647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525657 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525679 */     GIR_RootConstrainSelectedInstOperands,
     /*  525680 */     // GIR_Coverage, 20969,
     /*  525680 */     GIR_EraseRootFromParent_Done,
     /*  525681 */   // Label 8711: @525681
     /*  525681 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525752), // Rule ID 20972 //
     /*  525686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525718 */     // MIs[0] round
     /*  525718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525728 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525750 */     GIR_RootConstrainSelectedInstOperands,
     /*  525751 */     // GIR_Coverage, 20972,
     /*  525751 */     GIR_EraseRootFromParent_Done,
     /*  525752 */   // Label 8712: @525752
     /*  525752 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525823), // Rule ID 20973 //
     /*  525757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525789 */     // MIs[0] round
     /*  525789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525799 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525821 */     GIR_RootConstrainSelectedInstOperands,
     /*  525822 */     // GIR_Coverage, 20973,
     /*  525822 */     GIR_EraseRootFromParent_Done,
     /*  525823 */   // Label 8713: @525823
     /*  525823 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525894), // Rule ID 20976 //
     /*  525828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525860 */     // MIs[0] round
     /*  525860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525892 */     GIR_RootConstrainSelectedInstOperands,
     /*  525893 */     // GIR_Coverage, 20976,
     /*  525893 */     GIR_EraseRootFromParent_Done,
     /*  525894 */   // Label 8714: @525894
     /*  525894 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525965), // Rule ID 20977 //
     /*  525899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525931 */     // MIs[0] round
     /*  525931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525941 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525963 */     GIR_RootConstrainSelectedInstOperands,
     /*  525964 */     // GIR_Coverage, 20977,
     /*  525964 */     GIR_EraseRootFromParent_Done,
     /*  525965 */   // Label 8715: @525965
     /*  525965 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(526036), // Rule ID 20980 //
     /*  525970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526002 */     // MIs[0] round
     /*  526002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526012 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526034 */     GIR_RootConstrainSelectedInstOperands,
     /*  526035 */     // GIR_Coverage, 20980,
     /*  526035 */     GIR_EraseRootFromParent_Done,
     /*  526036 */   // Label 8716: @526036
     /*  526036 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526107), // Rule ID 20981 //
     /*  526041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526073 */     // MIs[0] round
     /*  526073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526105 */     GIR_RootConstrainSelectedInstOperands,
     /*  526106 */     // GIR_Coverage, 20981,
     /*  526106 */     GIR_EraseRootFromParent_Done,
     /*  526107 */   // Label 8717: @526107
     /*  526107 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526178), // Rule ID 20984 //
     /*  526112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526144 */     // MIs[0] round
     /*  526144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526154 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526176 */     GIR_RootConstrainSelectedInstOperands,
     /*  526177 */     // GIR_Coverage, 20984,
     /*  526177 */     GIR_EraseRootFromParent_Done,
     /*  526178 */   // Label 8718: @526178
     /*  526178 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526249), // Rule ID 20985 //
     /*  526183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526215 */     // MIs[0] round
     /*  526215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526225 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526247 */     GIR_RootConstrainSelectedInstOperands,
     /*  526248 */     // GIR_Coverage, 20985,
     /*  526248 */     GIR_EraseRootFromParent_Done,
     /*  526249 */   // Label 8719: @526249
     /*  526249 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526320), // Rule ID 20988 //
     /*  526254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526286 */     // MIs[0] round
     /*  526286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  526299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526318 */     GIR_RootConstrainSelectedInstOperands,
     /*  526319 */     // GIR_Coverage, 20988,
     /*  526319 */     GIR_EraseRootFromParent_Done,
     /*  526320 */   // Label 8720: @526320
     /*  526320 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526391), // Rule ID 20989 //
     /*  526325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526357 */     // MIs[0] round
     /*  526357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526367 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  526370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526389 */     GIR_RootConstrainSelectedInstOperands,
     /*  526390 */     // GIR_Coverage, 20989,
     /*  526390 */     GIR_EraseRootFromParent_Done,
     /*  526391 */   // Label 8721: @526391
     /*  526391 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526462), // Rule ID 21064 //
     /*  526396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526428 */     // MIs[0] round
     /*  526428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526460 */     GIR_RootConstrainSelectedInstOperands,
     /*  526461 */     // GIR_Coverage, 21064,
     /*  526461 */     GIR_EraseRootFromParent_Done,
     /*  526462 */   // Label 8722: @526462
     /*  526462 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526533), // Rule ID 21065 //
     /*  526467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526499 */     // MIs[0] round
     /*  526499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526531 */     GIR_RootConstrainSelectedInstOperands,
     /*  526532 */     // GIR_Coverage, 21065,
     /*  526532 */     GIR_EraseRootFromParent_Done,
     /*  526533 */   // Label 8723: @526533
     /*  526533 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526604), // Rule ID 21068 //
     /*  526538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526570 */     // MIs[0] round
     /*  526570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526602 */     GIR_RootConstrainSelectedInstOperands,
     /*  526603 */     // GIR_Coverage, 21068,
     /*  526603 */     GIR_EraseRootFromParent_Done,
     /*  526604 */   // Label 8724: @526604
     /*  526604 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526675), // Rule ID 21069 //
     /*  526609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526641 */     // MIs[0] round
     /*  526641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526673 */     GIR_RootConstrainSelectedInstOperands,
     /*  526674 */     // GIR_Coverage, 21069,
     /*  526674 */     GIR_EraseRootFromParent_Done,
     /*  526675 */   // Label 8725: @526675
     /*  526675 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526746), // Rule ID 21072 //
     /*  526680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526712 */     // MIs[0] round
     /*  526712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526744 */     GIR_RootConstrainSelectedInstOperands,
     /*  526745 */     // GIR_Coverage, 21072,
     /*  526745 */     GIR_EraseRootFromParent_Done,
     /*  526746 */   // Label 8726: @526746
     /*  526746 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526817), // Rule ID 21073 //
     /*  526751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526783 */     // MIs[0] round
     /*  526783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526815 */     GIR_RootConstrainSelectedInstOperands,
     /*  526816 */     // GIR_Coverage, 21073,
     /*  526816 */     GIR_EraseRootFromParent_Done,
     /*  526817 */   // Label 8727: @526817
     /*  526817 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526888), // Rule ID 21076 //
     /*  526822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526854 */     // MIs[0] round
     /*  526854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526886 */     GIR_RootConstrainSelectedInstOperands,
     /*  526887 */     // GIR_Coverage, 21076,
     /*  526887 */     GIR_EraseRootFromParent_Done,
     /*  526888 */   // Label 8728: @526888
     /*  526888 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526959), // Rule ID 21077 //
     /*  526893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526925 */     // MIs[0] round
     /*  526925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526957 */     GIR_RootConstrainSelectedInstOperands,
     /*  526958 */     // GIR_Coverage, 21077,
     /*  526958 */     GIR_EraseRootFromParent_Done,
     /*  526959 */   // Label 8729: @526959
     /*  526959 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(527030), // Rule ID 21080 //
     /*  526964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526996 */     // MIs[0] round
     /*  526996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527028 */     GIR_RootConstrainSelectedInstOperands,
     /*  527029 */     // GIR_Coverage, 21080,
     /*  527029 */     GIR_EraseRootFromParent_Done,
     /*  527030 */   // Label 8730: @527030
     /*  527030 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(527101), // Rule ID 21081 //
     /*  527035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527067 */     // MIs[0] round
     /*  527067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527099 */     GIR_RootConstrainSelectedInstOperands,
     /*  527100 */     // GIR_Coverage, 21081,
     /*  527100 */     GIR_EraseRootFromParent_Done,
     /*  527101 */   // Label 8731: @527101
     /*  527101 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527172), // Rule ID 21084 //
     /*  527106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527138 */     // MIs[0] round
     /*  527138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527170 */     GIR_RootConstrainSelectedInstOperands,
     /*  527171 */     // GIR_Coverage, 21084,
     /*  527171 */     GIR_EraseRootFromParent_Done,
     /*  527172 */   // Label 8732: @527172
     /*  527172 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527243), // Rule ID 21085 //
     /*  527177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527209 */     // MIs[0] round
     /*  527209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527228 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527241 */     GIR_RootConstrainSelectedInstOperands,
     /*  527242 */     // GIR_Coverage, 21085,
     /*  527242 */     GIR_EraseRootFromParent_Done,
     /*  527243 */   // Label 8733: @527243
     /*  527243 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527314), // Rule ID 21088 //
     /*  527248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  527259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  527262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527280 */     // MIs[0] round
     /*  527280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527299 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527312 */     GIR_RootConstrainSelectedInstOperands,
     /*  527313 */     // GIR_Coverage, 21088,
     /*  527313 */     GIR_EraseRootFromParent_Done,
     /*  527314 */   // Label 8734: @527314
     /*  527314 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527385), // Rule ID 21089 //
     /*  527319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  527330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  527333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527351 */     // MIs[0] round
     /*  527351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527370 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527383 */     GIR_RootConstrainSelectedInstOperands,
     /*  527384 */     // GIR_Coverage, 21089,
     /*  527384 */     GIR_EraseRootFromParent_Done,
     /*  527385 */   // Label 8735: @527385
     /*  527385 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527456), // Rule ID 21092 //
     /*  527390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527422 */     // MIs[0] round
     /*  527422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527441 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527454 */     GIR_RootConstrainSelectedInstOperands,
     /*  527455 */     // GIR_Coverage, 21092,
     /*  527455 */     GIR_EraseRootFromParent_Done,
     /*  527456 */   // Label 8736: @527456
     /*  527456 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527527), // Rule ID 21093 //
     /*  527461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527493 */     // MIs[0] round
     /*  527493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527512 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527525 */     GIR_RootConstrainSelectedInstOperands,
     /*  527526 */     // GIR_Coverage, 21093,
     /*  527526 */     GIR_EraseRootFromParent_Done,
     /*  527527 */   // Label 8737: @527527
     /*  527527 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527598), // Rule ID 21096 //
     /*  527532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527564 */     // MIs[0] round
     /*  527564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527583 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527596 */     GIR_RootConstrainSelectedInstOperands,
     /*  527597 */     // GIR_Coverage, 21096,
     /*  527597 */     GIR_EraseRootFromParent_Done,
     /*  527598 */   // Label 8738: @527598
     /*  527598 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527669), // Rule ID 21097 //
     /*  527603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527635 */     // MIs[0] round
     /*  527635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527645 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527654 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527667 */     GIR_RootConstrainSelectedInstOperands,
     /*  527668 */     // GIR_Coverage, 21097,
     /*  527668 */     GIR_EraseRootFromParent_Done,
     /*  527669 */   // Label 8739: @527669
     /*  527669 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527740), // Rule ID 21100 //
     /*  527674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527706 */     // MIs[0] round
     /*  527706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527725 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527738 */     GIR_RootConstrainSelectedInstOperands,
     /*  527739 */     // GIR_Coverage, 21100,
     /*  527739 */     GIR_EraseRootFromParent_Done,
     /*  527740 */   // Label 8740: @527740
     /*  527740 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527811), // Rule ID 21101 //
     /*  527745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527777 */     // MIs[0] round
     /*  527777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527796 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527809 */     GIR_RootConstrainSelectedInstOperands,
     /*  527810 */     // GIR_Coverage, 21101,
     /*  527810 */     GIR_EraseRootFromParent_Done,
     /*  527811 */   // Label 8741: @527811
     /*  527811 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527882), // Rule ID 21104 //
     /*  527816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527848 */     // MIs[0] round
     /*  527848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527867 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527880 */     GIR_RootConstrainSelectedInstOperands,
     /*  527881 */     // GIR_Coverage, 21104,
     /*  527881 */     GIR_EraseRootFromParent_Done,
     /*  527882 */   // Label 8742: @527882
     /*  527882 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527953), // Rule ID 21105 //
     /*  527887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527919 */     // MIs[0] round
     /*  527919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527938 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527951 */     GIR_RootConstrainSelectedInstOperands,
     /*  527952 */     // GIR_Coverage, 21105,
     /*  527952 */     GIR_EraseRootFromParent_Done,
     /*  527953 */   // Label 8743: @527953
     /*  527953 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(528024), // Rule ID 21108 //
     /*  527958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527990 */     // MIs[0] round
     /*  527990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528009 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528022 */     GIR_RootConstrainSelectedInstOperands,
     /*  528023 */     // GIR_Coverage, 21108,
     /*  528023 */     GIR_EraseRootFromParent_Done,
     /*  528024 */   // Label 8744: @528024
     /*  528024 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(528095), // Rule ID 21109 //
     /*  528029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528061 */     // MIs[0] round
     /*  528061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528080 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528093 */     GIR_RootConstrainSelectedInstOperands,
     /*  528094 */     // GIR_Coverage, 21109,
     /*  528094 */     GIR_EraseRootFromParent_Done,
     /*  528095 */   // Label 8745: @528095
     /*  528095 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528166), // Rule ID 21112 //
     /*  528100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528132 */     // MIs[0] round
     /*  528132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528151 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528164 */     GIR_RootConstrainSelectedInstOperands,
     /*  528165 */     // GIR_Coverage, 21112,
     /*  528165 */     GIR_EraseRootFromParent_Done,
     /*  528166 */   // Label 8746: @528166
     /*  528166 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528237), // Rule ID 21113 //
     /*  528171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528203 */     // MIs[0] round
     /*  528203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528213 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528222 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528235 */     GIR_RootConstrainSelectedInstOperands,
     /*  528236 */     // GIR_Coverage, 21113,
     /*  528236 */     GIR_EraseRootFromParent_Done,
     /*  528237 */   // Label 8747: @528237
     /*  528237 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528308), // Rule ID 21116 //
     /*  528242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528274 */     // MIs[0] round
     /*  528274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528293 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528306 */     GIR_RootConstrainSelectedInstOperands,
     /*  528307 */     // GIR_Coverage, 21116,
     /*  528307 */     GIR_EraseRootFromParent_Done,
     /*  528308 */   // Label 8748: @528308
     /*  528308 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528379), // Rule ID 21117 //
     /*  528313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528345 */     // MIs[0] round
     /*  528345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528364 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528377 */     GIR_RootConstrainSelectedInstOperands,
     /*  528378 */     // GIR_Coverage, 21117,
     /*  528378 */     GIR_EraseRootFromParent_Done,
     /*  528379 */   // Label 8749: @528379
     /*  528379 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528450), // Rule ID 21120 //
     /*  528384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528416 */     // MIs[0] round
     /*  528416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528435 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528448 */     GIR_RootConstrainSelectedInstOperands,
     /*  528449 */     // GIR_Coverage, 21120,
     /*  528449 */     GIR_EraseRootFromParent_Done,
     /*  528450 */   // Label 8750: @528450
     /*  528450 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528521), // Rule ID 21121 //
     /*  528455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528487 */     // MIs[0] round
     /*  528487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528506 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528519 */     GIR_RootConstrainSelectedInstOperands,
     /*  528520 */     // GIR_Coverage, 21121,
     /*  528520 */     GIR_EraseRootFromParent_Done,
     /*  528521 */   // Label 8751: @528521
     /*  528521 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528592), // Rule ID 21124 //
     /*  528526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528558 */     // MIs[0] round
     /*  528558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528577 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528590 */     GIR_RootConstrainSelectedInstOperands,
     /*  528591 */     // GIR_Coverage, 21124,
     /*  528591 */     GIR_EraseRootFromParent_Done,
     /*  528592 */   // Label 8752: @528592
     /*  528592 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528663), // Rule ID 21125 //
     /*  528597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528629 */     // MIs[0] round
     /*  528629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528639 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528648 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528661 */     GIR_RootConstrainSelectedInstOperands,
     /*  528662 */     // GIR_Coverage, 21125,
     /*  528662 */     GIR_EraseRootFromParent_Done,
     /*  528663 */   // Label 8753: @528663
     /*  528663 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528734), // Rule ID 21128 //
     /*  528668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528700 */     // MIs[0] round
     /*  528700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528719 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528732 */     GIR_RootConstrainSelectedInstOperands,
     /*  528733 */     // GIR_Coverage, 21128,
     /*  528733 */     GIR_EraseRootFromParent_Done,
     /*  528734 */   // Label 8754: @528734
     /*  528734 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528805), // Rule ID 21129 //
     /*  528739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528771 */     // MIs[0] round
     /*  528771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528781 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528790 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528803 */     GIR_RootConstrainSelectedInstOperands,
     /*  528804 */     // GIR_Coverage, 21129,
     /*  528804 */     GIR_EraseRootFromParent_Done,
     /*  528805 */   // Label 8755: @528805
     /*  528805 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528876), // Rule ID 21132 //
     /*  528810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528842 */     // MIs[0] round
     /*  528842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528861 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528874 */     GIR_RootConstrainSelectedInstOperands,
     /*  528875 */     // GIR_Coverage, 21132,
     /*  528875 */     GIR_EraseRootFromParent_Done,
     /*  528876 */   // Label 8756: @528876
     /*  528876 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528947), // Rule ID 21133 //
     /*  528881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528913 */     // MIs[0] round
     /*  528913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528932 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528945 */     GIR_RootConstrainSelectedInstOperands,
     /*  528946 */     // GIR_Coverage, 21133,
     /*  528946 */     GIR_EraseRootFromParent_Done,
     /*  528947 */   // Label 8757: @528947
     /*  528947 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(529018), // Rule ID 21484 //
     /*  528952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528984 */     // MIs[0] round
     /*  528984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  528997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529003 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529016 */     GIR_RootConstrainSelectedInstOperands,
     /*  529017 */     // GIR_Coverage, 21484,
     /*  529017 */     GIR_EraseRootFromParent_Done,
     /*  529018 */   // Label 8758: @529018
     /*  529018 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(529089), // Rule ID 21485 //
     /*  529023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529055 */     // MIs[0] round
     /*  529055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  529068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529074 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529087 */     GIR_RootConstrainSelectedInstOperands,
     /*  529088 */     // GIR_Coverage, 21485,
     /*  529088 */     GIR_EraseRootFromParent_Done,
     /*  529089 */   // Label 8759: @529089
     /*  529089 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529160), // Rule ID 21488 //
     /*  529094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529126 */     // MIs[0] round
     /*  529126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529145 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529158 */     GIR_RootConstrainSelectedInstOperands,
     /*  529159 */     // GIR_Coverage, 21488,
     /*  529159 */     GIR_EraseRootFromParent_Done,
     /*  529160 */   // Label 8760: @529160
     /*  529160 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529231), // Rule ID 21489 //
     /*  529165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529197 */     // MIs[0] round
     /*  529197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529207 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529216 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529229 */     GIR_RootConstrainSelectedInstOperands,
     /*  529230 */     // GIR_Coverage, 21489,
     /*  529230 */     GIR_EraseRootFromParent_Done,
     /*  529231 */   // Label 8761: @529231
     /*  529231 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529302), // Rule ID 21492 //
     /*  529236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529268 */     // MIs[0] round
     /*  529268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529287 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529300 */     GIR_RootConstrainSelectedInstOperands,
     /*  529301 */     // GIR_Coverage, 21492,
     /*  529301 */     GIR_EraseRootFromParent_Done,
     /*  529302 */   // Label 8762: @529302
     /*  529302 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529373), // Rule ID 21493 //
     /*  529307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529339 */     // MIs[0] round
     /*  529339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529358 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529371 */     GIR_RootConstrainSelectedInstOperands,
     /*  529372 */     // GIR_Coverage, 21493,
     /*  529372 */     GIR_EraseRootFromParent_Done,
     /*  529373 */   // Label 8763: @529373
     /*  529373 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529444), // Rule ID 21496 //
     /*  529378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529410 */     // MIs[0] round
     /*  529410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529429 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529442 */     GIR_RootConstrainSelectedInstOperands,
     /*  529443 */     // GIR_Coverage, 21496,
     /*  529443 */     GIR_EraseRootFromParent_Done,
     /*  529444 */   // Label 8764: @529444
     /*  529444 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529515), // Rule ID 21497 //
     /*  529449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529481 */     // MIs[0] round
     /*  529481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529491 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529500 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529513 */     GIR_RootConstrainSelectedInstOperands,
     /*  529514 */     // GIR_Coverage, 21497,
     /*  529514 */     GIR_EraseRootFromParent_Done,
     /*  529515 */   // Label 8765: @529515
     /*  529515 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529586), // Rule ID 21500 //
     /*  529520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529552 */     // MIs[0] round
     /*  529552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529571 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529584 */     GIR_RootConstrainSelectedInstOperands,
     /*  529585 */     // GIR_Coverage, 21500,
     /*  529585 */     GIR_EraseRootFromParent_Done,
     /*  529586 */   // Label 8766: @529586
     /*  529586 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529657), // Rule ID 21501 //
     /*  529591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529623 */     // MIs[0] round
     /*  529623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529642 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529655 */     GIR_RootConstrainSelectedInstOperands,
     /*  529656 */     // GIR_Coverage, 21501,
     /*  529656 */     GIR_EraseRootFromParent_Done,
     /*  529657 */   // Label 8767: @529657
     /*  529657 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529728), // Rule ID 21504 //
     /*  529662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529694 */     // MIs[0] round
     /*  529694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529713 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529726 */     GIR_RootConstrainSelectedInstOperands,
     /*  529727 */     // GIR_Coverage, 21504,
     /*  529727 */     GIR_EraseRootFromParent_Done,
     /*  529728 */   // Label 8768: @529728
     /*  529728 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529799), // Rule ID 21505 //
     /*  529733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529765 */     // MIs[0] round
     /*  529765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529775 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529784 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529797 */     GIR_RootConstrainSelectedInstOperands,
     /*  529798 */     // GIR_Coverage, 21505,
     /*  529798 */     GIR_EraseRootFromParent_Done,
     /*  529799 */   // Label 8769: @529799
     /*  529799 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529870), // Rule ID 21508 //
     /*  529804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529836 */     // MIs[0] round
     /*  529836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529855 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529868 */     GIR_RootConstrainSelectedInstOperands,
     /*  529869 */     // GIR_Coverage, 21508,
     /*  529869 */     GIR_EraseRootFromParent_Done,
     /*  529870 */   // Label 8770: @529870
     /*  529870 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529941), // Rule ID 21509 //
     /*  529875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529907 */     // MIs[0] round
     /*  529907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529926 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529939 */     GIR_RootConstrainSelectedInstOperands,
     /*  529940 */     // GIR_Coverage, 21509,
     /*  529940 */     GIR_EraseRootFromParent_Done,
     /*  529941 */   // Label 8771: @529941
     /*  529941 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(530012), // Rule ID 21512 //
     /*  529946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529978 */     // MIs[0] round
     /*  529978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529997 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530010 */     GIR_RootConstrainSelectedInstOperands,
     /*  530011 */     // GIR_Coverage, 21512,
     /*  530011 */     GIR_EraseRootFromParent_Done,
     /*  530012 */   // Label 8772: @530012
     /*  530012 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(530083), // Rule ID 21513 //
     /*  530017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530049 */     // MIs[0] round
     /*  530049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530068 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530081 */     GIR_RootConstrainSelectedInstOperands,
     /*  530082 */     // GIR_Coverage, 21513,
     /*  530082 */     GIR_EraseRootFromParent_Done,
     /*  530083 */   // Label 8773: @530083
     /*  530083 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530154), // Rule ID 21516 //
     /*  530088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530120 */     // MIs[0] round
     /*  530120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530139 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530152 */     GIR_RootConstrainSelectedInstOperands,
     /*  530153 */     // GIR_Coverage, 21516,
     /*  530153 */     GIR_EraseRootFromParent_Done,
     /*  530154 */   // Label 8774: @530154
     /*  530154 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530225), // Rule ID 21517 //
     /*  530159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530191 */     // MIs[0] round
     /*  530191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530210 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530223 */     GIR_RootConstrainSelectedInstOperands,
     /*  530224 */     // GIR_Coverage, 21517,
     /*  530224 */     GIR_EraseRootFromParent_Done,
     /*  530225 */   // Label 8775: @530225
     /*  530225 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530296), // Rule ID 21520 //
     /*  530230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530262 */     // MIs[0] round
     /*  530262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530281 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530294 */     GIR_RootConstrainSelectedInstOperands,
     /*  530295 */     // GIR_Coverage, 21520,
     /*  530295 */     GIR_EraseRootFromParent_Done,
     /*  530296 */   // Label 8776: @530296
     /*  530296 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530367), // Rule ID 21521 //
     /*  530301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530333 */     // MIs[0] round
     /*  530333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530352 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530365 */     GIR_RootConstrainSelectedInstOperands,
     /*  530366 */     // GIR_Coverage, 21521,
     /*  530366 */     GIR_EraseRootFromParent_Done,
     /*  530367 */   // Label 8777: @530367
     /*  530367 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530438), // Rule ID 21524 //
     /*  530372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530404 */     // MIs[0] round
     /*  530404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530423 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530436 */     GIR_RootConstrainSelectedInstOperands,
     /*  530437 */     // GIR_Coverage, 21524,
     /*  530437 */     GIR_EraseRootFromParent_Done,
     /*  530438 */   // Label 8778: @530438
     /*  530438 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530509), // Rule ID 21525 //
     /*  530443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530475 */     // MIs[0] round
     /*  530475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530494 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530507 */     GIR_RootConstrainSelectedInstOperands,
     /*  530508 */     // GIR_Coverage, 21525,
     /*  530508 */     GIR_EraseRootFromParent_Done,
     /*  530509 */   // Label 8779: @530509
     /*  530509 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530580), // Rule ID 21528 //
     /*  530514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530546 */     // MIs[0] round
     /*  530546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530565 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530578 */     GIR_RootConstrainSelectedInstOperands,
     /*  530579 */     // GIR_Coverage, 21528,
     /*  530579 */     GIR_EraseRootFromParent_Done,
     /*  530580 */   // Label 8780: @530580
     /*  530580 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530651), // Rule ID 21529 //
     /*  530585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530617 */     // MIs[0] round
     /*  530617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530636 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530649 */     GIR_RootConstrainSelectedInstOperands,
     /*  530650 */     // GIR_Coverage, 21529,
     /*  530650 */     GIR_EraseRootFromParent_Done,
     /*  530651 */   // Label 8781: @530651
     /*  530651 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530722), // Rule ID 21532 //
     /*  530656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530688 */     // MIs[0] round
     /*  530688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530707 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530720 */     GIR_RootConstrainSelectedInstOperands,
     /*  530721 */     // GIR_Coverage, 21532,
     /*  530721 */     GIR_EraseRootFromParent_Done,
     /*  530722 */   // Label 8782: @530722
     /*  530722 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530793), // Rule ID 21533 //
     /*  530727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530759 */     // MIs[0] round
     /*  530759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530778 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530791 */     GIR_RootConstrainSelectedInstOperands,
     /*  530792 */     // GIR_Coverage, 21533,
     /*  530792 */     GIR_EraseRootFromParent_Done,
     /*  530793 */   // Label 8783: @530793
     /*  530793 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530864), // Rule ID 21536 //
     /*  530798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530830 */     // MIs[0] round
     /*  530830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530849 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530862 */     GIR_RootConstrainSelectedInstOperands,
     /*  530863 */     // GIR_Coverage, 21536,
     /*  530863 */     GIR_EraseRootFromParent_Done,
     /*  530864 */   // Label 8784: @530864
     /*  530864 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530935), // Rule ID 21537 //
     /*  530869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530901 */     // MIs[0] round
     /*  530901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530920 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530933 */     GIR_RootConstrainSelectedInstOperands,
     /*  530934 */     // GIR_Coverage, 21537,
     /*  530934 */     GIR_EraseRootFromParent_Done,
     /*  530935 */   // Label 8785: @530935
     /*  530935 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(531006), // Rule ID 21540 //
     /*  530940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530972 */     // MIs[0] round
     /*  530972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530991 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531004 */     GIR_RootConstrainSelectedInstOperands,
     /*  531005 */     // GIR_Coverage, 21540,
     /*  531005 */     GIR_EraseRootFromParent_Done,
     /*  531006 */   // Label 8786: @531006
     /*  531006 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(531077), // Rule ID 21541 //
     /*  531011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531043 */     // MIs[0] round
     /*  531043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531062 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531075 */     GIR_RootConstrainSelectedInstOperands,
     /*  531076 */     // GIR_Coverage, 21541,
     /*  531076 */     GIR_EraseRootFromParent_Done,
     /*  531077 */   // Label 8787: @531077
     /*  531077 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531148), // Rule ID 21544 //
     /*  531082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531114 */     // MIs[0] round
     /*  531114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531133 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531146 */     GIR_RootConstrainSelectedInstOperands,
     /*  531147 */     // GIR_Coverage, 21544,
     /*  531147 */     GIR_EraseRootFromParent_Done,
     /*  531148 */   // Label 8788: @531148
     /*  531148 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531219), // Rule ID 21545 //
     /*  531153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531185 */     // MIs[0] round
     /*  531185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531195 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531204 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531217 */     GIR_RootConstrainSelectedInstOperands,
     /*  531218 */     // GIR_Coverage, 21545,
     /*  531218 */     GIR_EraseRootFromParent_Done,
     /*  531219 */   // Label 8789: @531219
     /*  531219 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531290), // Rule ID 21548 //
     /*  531224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531256 */     // MIs[0] round
     /*  531256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531275 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531288 */     GIR_RootConstrainSelectedInstOperands,
     /*  531289 */     // GIR_Coverage, 21548,
     /*  531289 */     GIR_EraseRootFromParent_Done,
     /*  531290 */   // Label 8790: @531290
     /*  531290 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531361), // Rule ID 21549 //
     /*  531295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531327 */     // MIs[0] round
     /*  531327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531346 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531359 */     GIR_RootConstrainSelectedInstOperands,
     /*  531360 */     // GIR_Coverage, 21549,
     /*  531360 */     GIR_EraseRootFromParent_Done,
     /*  531361 */   // Label 8791: @531361
     /*  531361 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531432), // Rule ID 21552 //
     /*  531366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531398 */     // MIs[0] round
     /*  531398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531417 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531430 */     GIR_RootConstrainSelectedInstOperands,
     /*  531431 */     // GIR_Coverage, 21552,
     /*  531431 */     GIR_EraseRootFromParent_Done,
     /*  531432 */   // Label 8792: @531432
     /*  531432 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531503), // Rule ID 21553 //
     /*  531437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531469 */     // MIs[0] round
     /*  531469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531479 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531488 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531501 */     GIR_RootConstrainSelectedInstOperands,
     /*  531502 */     // GIR_Coverage, 21553,
     /*  531502 */     GIR_EraseRootFromParent_Done,
     /*  531503 */   // Label 8793: @531503
     /*  531503 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531574), // Rule ID 21556 //
     /*  531508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531540 */     // MIs[0] round
     /*  531540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531559 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531572 */     GIR_RootConstrainSelectedInstOperands,
     /*  531573 */     // GIR_Coverage, 21556,
     /*  531573 */     GIR_EraseRootFromParent_Done,
     /*  531574 */   // Label 8794: @531574
     /*  531574 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531645), // Rule ID 21557 //
     /*  531579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531611 */     // MIs[0] round
     /*  531611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531630 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531643 */     GIR_RootConstrainSelectedInstOperands,
     /*  531644 */     // GIR_Coverage, 21557,
     /*  531644 */     GIR_EraseRootFromParent_Done,
     /*  531645 */   // Label 8795: @531645
     /*  531645 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531716), // Rule ID 21560 //
     /*  531650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531682 */     // MIs[0] round
     /*  531682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531701 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531714 */     GIR_RootConstrainSelectedInstOperands,
     /*  531715 */     // GIR_Coverage, 21560,
     /*  531715 */     GIR_EraseRootFromParent_Done,
     /*  531716 */   // Label 8796: @531716
     /*  531716 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531787), // Rule ID 21561 //
     /*  531721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531753 */     // MIs[0] round
     /*  531753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531772 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531785 */     GIR_RootConstrainSelectedInstOperands,
     /*  531786 */     // GIR_Coverage, 21561,
     /*  531786 */     GIR_EraseRootFromParent_Done,
     /*  531787 */   // Label 8797: @531787
     /*  531787 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531858), // Rule ID 21564 //
     /*  531792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531824 */     // MIs[0] round
     /*  531824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531843 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531856 */     GIR_RootConstrainSelectedInstOperands,
     /*  531857 */     // GIR_Coverage, 21564,
     /*  531857 */     GIR_EraseRootFromParent_Done,
     /*  531858 */   // Label 8798: @531858
     /*  531858 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531929), // Rule ID 21565 //
     /*  531863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531895 */     // MIs[0] round
     /*  531895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531905 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531914 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531927 */     GIR_RootConstrainSelectedInstOperands,
     /*  531928 */     // GIR_Coverage, 21565,
     /*  531928 */     GIR_EraseRootFromParent_Done,
     /*  531929 */   // Label 8799: @531929
     /*  531929 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(532000), // Rule ID 21568 //
     /*  531934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531966 */     // MIs[0] round
     /*  531966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531985 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531998 */     GIR_RootConstrainSelectedInstOperands,
     /*  531999 */     // GIR_Coverage, 21568,
     /*  531999 */     GIR_EraseRootFromParent_Done,
     /*  532000 */   // Label 8800: @532000
     /*  532000 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(532071), // Rule ID 21569 //
     /*  532005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532037 */     // MIs[0] round
     /*  532037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  532050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532056 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532069 */     GIR_RootConstrainSelectedInstOperands,
     /*  532070 */     // GIR_Coverage, 21569,
     /*  532070 */     GIR_EraseRootFromParent_Done,
     /*  532071 */   // Label 8801: @532071
     /*  532071 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532142), // Rule ID 21572 //
     /*  532076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532108 */     // MIs[0] round
     /*  532108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532127 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532140 */     GIR_RootConstrainSelectedInstOperands,
     /*  532141 */     // GIR_Coverage, 21572,
     /*  532141 */     GIR_EraseRootFromParent_Done,
     /*  532142 */   // Label 8802: @532142
     /*  532142 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532213), // Rule ID 21573 //
     /*  532147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532179 */     // MIs[0] round
     /*  532179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532198 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532211 */     GIR_RootConstrainSelectedInstOperands,
     /*  532212 */     // GIR_Coverage, 21573,
     /*  532212 */     GIR_EraseRootFromParent_Done,
     /*  532213 */   // Label 8803: @532213
     /*  532213 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532284), // Rule ID 21576 //
     /*  532218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532250 */     // MIs[0] round
     /*  532250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532269 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532282 */     GIR_RootConstrainSelectedInstOperands,
     /*  532283 */     // GIR_Coverage, 21576,
     /*  532283 */     GIR_EraseRootFromParent_Done,
     /*  532284 */   // Label 8804: @532284
     /*  532284 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532355), // Rule ID 21577 //
     /*  532289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532321 */     // MIs[0] round
     /*  532321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532331 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532340 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532353 */     GIR_RootConstrainSelectedInstOperands,
     /*  532354 */     // GIR_Coverage, 21577,
     /*  532354 */     GIR_EraseRootFromParent_Done,
     /*  532355 */   // Label 8805: @532355
     /*  532355 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532426), // Rule ID 21580 //
     /*  532360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532392 */     // MIs[0] round
     /*  532392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532411 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532424 */     GIR_RootConstrainSelectedInstOperands,
     /*  532425 */     // GIR_Coverage, 21580,
     /*  532425 */     GIR_EraseRootFromParent_Done,
     /*  532426 */   // Label 8806: @532426
     /*  532426 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532497), // Rule ID 21581 //
     /*  532431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532463 */     // MIs[0] round
     /*  532463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532482 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532495 */     GIR_RootConstrainSelectedInstOperands,
     /*  532496 */     // GIR_Coverage, 21581,
     /*  532496 */     GIR_EraseRootFromParent_Done,
     /*  532497 */   // Label 8807: @532497
     /*  532497 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532568), // Rule ID 21584 //
     /*  532502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532534 */     // MIs[0] round
     /*  532534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532553 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532566 */     GIR_RootConstrainSelectedInstOperands,
     /*  532567 */     // GIR_Coverage, 21584,
     /*  532567 */     GIR_EraseRootFromParent_Done,
     /*  532568 */   // Label 8808: @532568
     /*  532568 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532639), // Rule ID 21585 //
     /*  532573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532605 */     // MIs[0] round
     /*  532605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532615 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532624 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532637 */     GIR_RootConstrainSelectedInstOperands,
     /*  532638 */     // GIR_Coverage, 21585,
     /*  532638 */     GIR_EraseRootFromParent_Done,
     /*  532639 */   // Label 8809: @532639
     /*  532639 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532710), // Rule ID 21588 //
     /*  532644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532676 */     // MIs[0] round
     /*  532676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532695 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532708 */     GIR_RootConstrainSelectedInstOperands,
     /*  532709 */     // GIR_Coverage, 21588,
     /*  532709 */     GIR_EraseRootFromParent_Done,
     /*  532710 */   // Label 8810: @532710
     /*  532710 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532781), // Rule ID 21589 //
     /*  532715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532747 */     // MIs[0] round
     /*  532747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532766 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532779 */     GIR_RootConstrainSelectedInstOperands,
     /*  532780 */     // GIR_Coverage, 21589,
     /*  532780 */     GIR_EraseRootFromParent_Done,
     /*  532781 */   // Label 8811: @532781
     /*  532781 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532852), // Rule ID 21592 //
     /*  532786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532818 */     // MIs[0] round
     /*  532818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532837 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532850 */     GIR_RootConstrainSelectedInstOperands,
     /*  532851 */     // GIR_Coverage, 21592,
     /*  532851 */     GIR_EraseRootFromParent_Done,
     /*  532852 */   // Label 8812: @532852
     /*  532852 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532923), // Rule ID 21593 //
     /*  532857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532889 */     // MIs[0] round
     /*  532889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532908 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532921 */     GIR_RootConstrainSelectedInstOperands,
     /*  532922 */     // GIR_Coverage, 21593,
     /*  532922 */     GIR_EraseRootFromParent_Done,
     /*  532923 */   // Label 8813: @532923
     /*  532923 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532994), // Rule ID 21596 //
     /*  532928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532960 */     // MIs[0] round
     /*  532960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532979 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532992 */     GIR_RootConstrainSelectedInstOperands,
     /*  532993 */     // GIR_Coverage, 21596,
     /*  532993 */     GIR_EraseRootFromParent_Done,
     /*  532994 */   // Label 8814: @532994
     /*  532994 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(533065), // Rule ID 21597 //
     /*  532999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533031 */     // MIs[0] round
     /*  533031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533050 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533063 */     GIR_RootConstrainSelectedInstOperands,
     /*  533064 */     // GIR_Coverage, 21597,
     /*  533064 */     GIR_EraseRootFromParent_Done,
     /*  533065 */   // Label 8815: @533065
     /*  533065 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533136), // Rule ID 21600 //
     /*  533070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533102 */     // MIs[0] round
     /*  533102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533121 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533134 */     GIR_RootConstrainSelectedInstOperands,
     /*  533135 */     // GIR_Coverage, 21600,
     /*  533135 */     GIR_EraseRootFromParent_Done,
     /*  533136 */   // Label 8816: @533136
     /*  533136 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533207), // Rule ID 21601 //
     /*  533141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533173 */     // MIs[0] round
     /*  533173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533192 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533205 */     GIR_RootConstrainSelectedInstOperands,
     /*  533206 */     // GIR_Coverage, 21601,
     /*  533206 */     GIR_EraseRootFromParent_Done,
     /*  533207 */   // Label 8817: @533207
     /*  533207 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533278), // Rule ID 21724 //
     /*  533212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533244 */     // MIs[0] round
     /*  533244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533254 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  533257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533263 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533276 */     GIR_RootConstrainSelectedInstOperands,
     /*  533277 */     // GIR_Coverage, 21724,
     /*  533277 */     GIR_EraseRootFromParent_Done,
     /*  533278 */   // Label 8818: @533278
     /*  533278 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533349), // Rule ID 21725 //
     /*  533283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533315 */     // MIs[0] round
     /*  533315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533325 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  533328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533334 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533347 */     GIR_RootConstrainSelectedInstOperands,
     /*  533348 */     // GIR_Coverage, 21725,
     /*  533348 */     GIR_EraseRootFromParent_Done,
     /*  533349 */   // Label 8819: @533349
     /*  533349 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533420), // Rule ID 21728 //
     /*  533354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533386 */     // MIs[0] round
     /*  533386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533396 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533405 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533418 */     GIR_RootConstrainSelectedInstOperands,
     /*  533419 */     // GIR_Coverage, 21728,
     /*  533419 */     GIR_EraseRootFromParent_Done,
     /*  533420 */   // Label 8820: @533420
     /*  533420 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533491), // Rule ID 21729 //
     /*  533425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533457 */     // MIs[0] round
     /*  533457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533476 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533489 */     GIR_RootConstrainSelectedInstOperands,
     /*  533490 */     // GIR_Coverage, 21729,
     /*  533490 */     GIR_EraseRootFromParent_Done,
     /*  533491 */   // Label 8821: @533491
     /*  533491 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533562), // Rule ID 21732 //
     /*  533496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533528 */     // MIs[0] round
     /*  533528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533538 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533547 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533560 */     GIR_RootConstrainSelectedInstOperands,
     /*  533561 */     // GIR_Coverage, 21732,
     /*  533561 */     GIR_EraseRootFromParent_Done,
     /*  533562 */   // Label 8822: @533562
     /*  533562 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533633), // Rule ID 21733 //
     /*  533567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533599 */     // MIs[0] round
     /*  533599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533609 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533618 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533631 */     GIR_RootConstrainSelectedInstOperands,
     /*  533632 */     // GIR_Coverage, 21733,
     /*  533632 */     GIR_EraseRootFromParent_Done,
     /*  533633 */   // Label 8823: @533633
     /*  533633 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533704), // Rule ID 21736 //
     /*  533638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533670 */     // MIs[0] round
     /*  533670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533680 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533689 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533702 */     GIR_RootConstrainSelectedInstOperands,
     /*  533703 */     // GIR_Coverage, 21736,
     /*  533703 */     GIR_EraseRootFromParent_Done,
     /*  533704 */   // Label 8824: @533704
     /*  533704 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533775), // Rule ID 21737 //
     /*  533709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533741 */     // MIs[0] round
     /*  533741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533751 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533760 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533773 */     GIR_RootConstrainSelectedInstOperands,
     /*  533774 */     // GIR_Coverage, 21737,
     /*  533774 */     GIR_EraseRootFromParent_Done,
     /*  533775 */   // Label 8825: @533775
     /*  533775 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533846), // Rule ID 21740 //
     /*  533780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533812 */     // MIs[0] round
     /*  533812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533822 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533844 */     GIR_RootConstrainSelectedInstOperands,
     /*  533845 */     // GIR_Coverage, 21740,
     /*  533845 */     GIR_EraseRootFromParent_Done,
     /*  533846 */   // Label 8826: @533846
     /*  533846 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533917), // Rule ID 21741 //
     /*  533851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533883 */     // MIs[0] round
     /*  533883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533915 */     GIR_RootConstrainSelectedInstOperands,
     /*  533916 */     // GIR_Coverage, 21741,
     /*  533916 */     GIR_EraseRootFromParent_Done,
     /*  533917 */   // Label 8827: @533917
     /*  533917 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533988), // Rule ID 21744 //
     /*  533922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533954 */     // MIs[0] round
     /*  533954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533986 */     GIR_RootConstrainSelectedInstOperands,
     /*  533987 */     // GIR_Coverage, 21744,
     /*  533987 */     GIR_EraseRootFromParent_Done,
     /*  533988 */   // Label 8828: @533988
     /*  533988 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(534059), // Rule ID 21745 //
     /*  533993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534025 */     // MIs[0] round
     /*  534025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534035 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  534038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534057 */     GIR_RootConstrainSelectedInstOperands,
     /*  534058 */     // GIR_Coverage, 21745,
     /*  534058 */     GIR_EraseRootFromParent_Done,
     /*  534059 */   // Label 8829: @534059
     /*  534059 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534130), // Rule ID 21748 //
     /*  534064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534096 */     // MIs[0] round
     /*  534096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534128 */     GIR_RootConstrainSelectedInstOperands,
     /*  534129 */     // GIR_Coverage, 21748,
     /*  534129 */     GIR_EraseRootFromParent_Done,
     /*  534130 */   // Label 8830: @534130
     /*  534130 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534201), // Rule ID 21749 //
     /*  534135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534167 */     // MIs[0] round
     /*  534167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534199 */     GIR_RootConstrainSelectedInstOperands,
     /*  534200 */     // GIR_Coverage, 21749,
     /*  534200 */     GIR_EraseRootFromParent_Done,
     /*  534201 */   // Label 8831: @534201
     /*  534201 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534272), // Rule ID 21752 //
     /*  534206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534238 */     // MIs[0] round
     /*  534238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534270 */     GIR_RootConstrainSelectedInstOperands,
     /*  534271 */     // GIR_Coverage, 21752,
     /*  534271 */     GIR_EraseRootFromParent_Done,
     /*  534272 */   // Label 8832: @534272
     /*  534272 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534343), // Rule ID 21753 //
     /*  534277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534309 */     // MIs[0] round
     /*  534309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534319 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534341 */     GIR_RootConstrainSelectedInstOperands,
     /*  534342 */     // GIR_Coverage, 21753,
     /*  534342 */     GIR_EraseRootFromParent_Done,
     /*  534343 */   // Label 8833: @534343
     /*  534343 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534414), // Rule ID 21756 //
     /*  534348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534380 */     // MIs[0] round
     /*  534380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534412 */     GIR_RootConstrainSelectedInstOperands,
     /*  534413 */     // GIR_Coverage, 21756,
     /*  534413 */     GIR_EraseRootFromParent_Done,
     /*  534414 */   // Label 8834: @534414
     /*  534414 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534485), // Rule ID 21757 //
     /*  534419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534451 */     // MIs[0] round
     /*  534451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534461 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534483 */     GIR_RootConstrainSelectedInstOperands,
     /*  534484 */     // GIR_Coverage, 21757,
     /*  534484 */     GIR_EraseRootFromParent_Done,
     /*  534485 */   // Label 8835: @534485
     /*  534485 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534556), // Rule ID 21760 //
     /*  534490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534522 */     // MIs[0] round
     /*  534522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534532 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534554 */     GIR_RootConstrainSelectedInstOperands,
     /*  534555 */     // GIR_Coverage, 21760,
     /*  534555 */     GIR_EraseRootFromParent_Done,
     /*  534556 */   // Label 8836: @534556
     /*  534556 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534627), // Rule ID 21761 //
     /*  534561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534593 */     // MIs[0] round
     /*  534593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534603 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534625 */     GIR_RootConstrainSelectedInstOperands,
     /*  534626 */     // GIR_Coverage, 21761,
     /*  534626 */     GIR_EraseRootFromParent_Done,
     /*  534627 */   // Label 8837: @534627
     /*  534627 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534698), // Rule ID 21764 //
     /*  534632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534664 */     // MIs[0] round
     /*  534664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534696 */     GIR_RootConstrainSelectedInstOperands,
     /*  534697 */     // GIR_Coverage, 21764,
     /*  534697 */     GIR_EraseRootFromParent_Done,
     /*  534698 */   // Label 8838: @534698
     /*  534698 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534769), // Rule ID 21765 //
     /*  534703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534735 */     // MIs[0] round
     /*  534735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534745 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534767 */     GIR_RootConstrainSelectedInstOperands,
     /*  534768 */     // GIR_Coverage, 21765,
     /*  534768 */     GIR_EraseRootFromParent_Done,
     /*  534769 */   // Label 8839: @534769
     /*  534769 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534840), // Rule ID 21768 //
     /*  534774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534806 */     // MIs[0] round
     /*  534806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534838 */     GIR_RootConstrainSelectedInstOperands,
     /*  534839 */     // GIR_Coverage, 21768,
     /*  534839 */     GIR_EraseRootFromParent_Done,
     /*  534840 */   // Label 8840: @534840
     /*  534840 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534911), // Rule ID 21769 //
     /*  534845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534877 */     // MIs[0] round
     /*  534877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534887 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534909 */     GIR_RootConstrainSelectedInstOperands,
     /*  534910 */     // GIR_Coverage, 21769,
     /*  534910 */     GIR_EraseRootFromParent_Done,
     /*  534911 */   // Label 8841: @534911
     /*  534911 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534982), // Rule ID 21772 //
     /*  534916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534948 */     // MIs[0] round
     /*  534948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534958 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534980 */     GIR_RootConstrainSelectedInstOperands,
     /*  534981 */     // GIR_Coverage, 21772,
     /*  534981 */     GIR_EraseRootFromParent_Done,
     /*  534982 */   // Label 8842: @534982
     /*  534982 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(535053), // Rule ID 21773 //
     /*  534987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535019 */     // MIs[0] round
     /*  535019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535029 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  535032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535051 */     GIR_RootConstrainSelectedInstOperands,
     /*  535052 */     // GIR_Coverage, 21773,
     /*  535052 */     GIR_EraseRootFromParent_Done,
     /*  535053 */   // Label 8843: @535053
     /*  535053 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535124), // Rule ID 21776 //
     /*  535058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535090 */     // MIs[0] round
     /*  535090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535100 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535122 */     GIR_RootConstrainSelectedInstOperands,
     /*  535123 */     // GIR_Coverage, 21776,
     /*  535123 */     GIR_EraseRootFromParent_Done,
     /*  535124 */   // Label 8844: @535124
     /*  535124 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535195), // Rule ID 21777 //
     /*  535129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535161 */     // MIs[0] round
     /*  535161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535171 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535193 */     GIR_RootConstrainSelectedInstOperands,
     /*  535194 */     // GIR_Coverage, 21777,
     /*  535194 */     GIR_EraseRootFromParent_Done,
     /*  535195 */   // Label 8845: @535195
     /*  535195 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535266), // Rule ID 21780 //
     /*  535200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535232 */     // MIs[0] round
     /*  535232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535242 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535264 */     GIR_RootConstrainSelectedInstOperands,
     /*  535265 */     // GIR_Coverage, 21780,
     /*  535265 */     GIR_EraseRootFromParent_Done,
     /*  535266 */   // Label 8846: @535266
     /*  535266 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535337), // Rule ID 21781 //
     /*  535271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535303 */     // MIs[0] round
     /*  535303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535313 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535335 */     GIR_RootConstrainSelectedInstOperands,
     /*  535336 */     // GIR_Coverage, 21781,
     /*  535336 */     GIR_EraseRootFromParent_Done,
     /*  535337 */   // Label 8847: @535337
     /*  535337 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535408), // Rule ID 21784 //
     /*  535342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535374 */     // MIs[0] round
     /*  535374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535406 */     GIR_RootConstrainSelectedInstOperands,
     /*  535407 */     // GIR_Coverage, 21784,
     /*  535407 */     GIR_EraseRootFromParent_Done,
     /*  535408 */   // Label 8848: @535408
     /*  535408 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535479), // Rule ID 21785 //
     /*  535413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535445 */     // MIs[0] round
     /*  535445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535455 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535477 */     GIR_RootConstrainSelectedInstOperands,
     /*  535478 */     // GIR_Coverage, 21785,
     /*  535478 */     GIR_EraseRootFromParent_Done,
     /*  535479 */   // Label 8849: @535479
     /*  535479 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535550), // Rule ID 21788 //
     /*  535484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535516 */     // MIs[0] round
     /*  535516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535526 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535548 */     GIR_RootConstrainSelectedInstOperands,
     /*  535549 */     // GIR_Coverage, 21788,
     /*  535549 */     GIR_EraseRootFromParent_Done,
     /*  535550 */   // Label 8850: @535550
     /*  535550 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535621), // Rule ID 21789 //
     /*  535555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535587 */     // MIs[0] round
     /*  535587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535597 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535619 */     GIR_RootConstrainSelectedInstOperands,
     /*  535620 */     // GIR_Coverage, 21789,
     /*  535620 */     GIR_EraseRootFromParent_Done,
     /*  535621 */   // Label 8851: @535621
     /*  535621 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535692), // Rule ID 21792 //
     /*  535626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535658 */     // MIs[0] round
     /*  535658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535690 */     GIR_RootConstrainSelectedInstOperands,
     /*  535691 */     // GIR_Coverage, 21792,
     /*  535691 */     GIR_EraseRootFromParent_Done,
     /*  535692 */   // Label 8852: @535692
     /*  535692 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535763), // Rule ID 21793 //
     /*  535697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535729 */     // MIs[0] round
     /*  535729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535739 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535761 */     GIR_RootConstrainSelectedInstOperands,
     /*  535762 */     // GIR_Coverage, 21793,
     /*  535762 */     GIR_EraseRootFromParent_Done,
     /*  535763 */   // Label 8853: @535763
     /*  535763 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535834), // Rule ID 21796 //
     /*  535768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535800 */     // MIs[0] round
     /*  535800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535810 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535832 */     GIR_RootConstrainSelectedInstOperands,
     /*  535833 */     // GIR_Coverage, 21796,
     /*  535833 */     GIR_EraseRootFromParent_Done,
     /*  535834 */   // Label 8854: @535834
     /*  535834 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535905), // Rule ID 21797 //
     /*  535839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535871 */     // MIs[0] round
     /*  535871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535881 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535903 */     GIR_RootConstrainSelectedInstOperands,
     /*  535904 */     // GIR_Coverage, 21797,
     /*  535904 */     GIR_EraseRootFromParent_Done,
     /*  535905 */   // Label 8855: @535905
     /*  535905 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535976), // Rule ID 21800 //
     /*  535910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535942 */     // MIs[0] round
     /*  535942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535952 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535974 */     GIR_RootConstrainSelectedInstOperands,
     /*  535975 */     // GIR_Coverage, 21800,
     /*  535975 */     GIR_EraseRootFromParent_Done,
     /*  535976 */   // Label 8856: @535976
     /*  535976 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(536047), // Rule ID 21801 //
     /*  535981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536013 */     // MIs[0] round
     /*  536013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536023 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  536026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536045 */     GIR_RootConstrainSelectedInstOperands,
     /*  536046 */     // GIR_Coverage, 21801,
     /*  536046 */     GIR_EraseRootFromParent_Done,
     /*  536047 */   // Label 8857: @536047
     /*  536047 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536118), // Rule ID 21804 //
     /*  536052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  536055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536084 */     // MIs[0] round
     /*  536084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536094 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  536097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536116 */     GIR_RootConstrainSelectedInstOperands,
     /*  536117 */     // GIR_Coverage, 21804,
     /*  536117 */     GIR_EraseRootFromParent_Done,
     /*  536118 */   // Label 8858: @536118
     /*  536118 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536189), // Rule ID 21805 //
     /*  536123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  536126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536155 */     // MIs[0] round
     /*  536155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536165 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  536168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536187 */     GIR_RootConstrainSelectedInstOperands,
     /*  536188 */     // GIR_Coverage, 21805,
     /*  536188 */     GIR_EraseRootFromParent_Done,
     /*  536189 */   // Label 8859: @536189
     /*  536189 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536260), // Rule ID 21808 //
     /*  536194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  536197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536226 */     // MIs[0] round
     /*  536226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  536239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536258 */     GIR_RootConstrainSelectedInstOperands,
     /*  536259 */     // GIR_Coverage, 21808,
     /*  536259 */     GIR_EraseRootFromParent_Done,
     /*  536260 */   // Label 8860: @536260
     /*  536260 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536331), // Rule ID 21809 //
     /*  536265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  536268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536297 */     // MIs[0] round
     /*  536297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536307 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  536310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536316 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536329 */     GIR_RootConstrainSelectedInstOperands,
     /*  536330 */     // GIR_Coverage, 21809,
     /*  536330 */     GIR_EraseRootFromParent_Done,
     /*  536331 */   // Label 8861: @536331
     /*  536331 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536402), // Rule ID 21812 //
     /*  536336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536368 */     // MIs[0] round
     /*  536368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536387 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536400 */     GIR_RootConstrainSelectedInstOperands,
     /*  536401 */     // GIR_Coverage, 21812,
     /*  536401 */     GIR_EraseRootFromParent_Done,
     /*  536402 */   // Label 8862: @536402
     /*  536402 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536473), // Rule ID 21813 //
     /*  536407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536439 */     // MIs[0] round
     /*  536439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536449 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536458 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536471 */     GIR_RootConstrainSelectedInstOperands,
     /*  536472 */     // GIR_Coverage, 21813,
     /*  536472 */     GIR_EraseRootFromParent_Done,
     /*  536473 */   // Label 8863: @536473
     /*  536473 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536544), // Rule ID 21816 //
     /*  536478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536510 */     // MIs[0] round
     /*  536510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536529 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536542 */     GIR_RootConstrainSelectedInstOperands,
     /*  536543 */     // GIR_Coverage, 21816,
     /*  536543 */     GIR_EraseRootFromParent_Done,
     /*  536544 */   // Label 8864: @536544
     /*  536544 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536615), // Rule ID 21817 //
     /*  536549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536581 */     // MIs[0] round
     /*  536581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536591 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536600 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536613 */     GIR_RootConstrainSelectedInstOperands,
     /*  536614 */     // GIR_Coverage, 21817,
     /*  536614 */     GIR_EraseRootFromParent_Done,
     /*  536615 */   // Label 8865: @536615
     /*  536615 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536686), // Rule ID 21820 //
     /*  536620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536652 */     // MIs[0] round
     /*  536652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536662 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536671 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536684 */     GIR_RootConstrainSelectedInstOperands,
     /*  536685 */     // GIR_Coverage, 21820,
     /*  536685 */     GIR_EraseRootFromParent_Done,
     /*  536686 */   // Label 8866: @536686
     /*  536686 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536757), // Rule ID 21821 //
     /*  536691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536723 */     // MIs[0] round
     /*  536723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536742 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536755 */     GIR_RootConstrainSelectedInstOperands,
     /*  536756 */     // GIR_Coverage, 21821,
     /*  536756 */     GIR_EraseRootFromParent_Done,
     /*  536757 */   // Label 8867: @536757
     /*  536757 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536828), // Rule ID 21824 //
     /*  536762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536794 */     // MIs[0] round
     /*  536794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536813 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536826 */     GIR_RootConstrainSelectedInstOperands,
     /*  536827 */     // GIR_Coverage, 21824,
     /*  536827 */     GIR_EraseRootFromParent_Done,
     /*  536828 */   // Label 8868: @536828
     /*  536828 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536899), // Rule ID 21825 //
     /*  536833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536865 */     // MIs[0] round
     /*  536865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536875 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536884 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536897 */     GIR_RootConstrainSelectedInstOperands,
     /*  536898 */     // GIR_Coverage, 21825,
     /*  536898 */     GIR_EraseRootFromParent_Done,
     /*  536899 */   // Label 8869: @536899
     /*  536899 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536970), // Rule ID 21828 //
     /*  536904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536936 */     // MIs[0] round
     /*  536936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536946 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536955 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536968 */     GIR_RootConstrainSelectedInstOperands,
     /*  536969 */     // GIR_Coverage, 21828,
     /*  536969 */     GIR_EraseRootFromParent_Done,
     /*  536970 */   // Label 8870: @536970
     /*  536970 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(537041), // Rule ID 21829 //
     /*  536975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537007 */     // MIs[0] round
     /*  537007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537017 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  537020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537026 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537039 */     GIR_RootConstrainSelectedInstOperands,
     /*  537040 */     // GIR_Coverage, 21829,
     /*  537040 */     GIR_EraseRootFromParent_Done,
     /*  537041 */   // Label 8871: @537041
     /*  537041 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537112), // Rule ID 2646 //
     /*  537046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537074 */     // MIs[0] passthru
     /*  537074 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537110 */     GIR_RootConstrainSelectedInstOperands,
     /*  537111 */     // GIR_Coverage, 2646,
     /*  537111 */     GIR_EraseRootFromParent_Done,
     /*  537112 */   // Label 8872: @537112
     /*  537112 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537183), // Rule ID 2647 //
     /*  537117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537145 */     // MIs[0] passthru
     /*  537145 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537181 */     GIR_RootConstrainSelectedInstOperands,
     /*  537182 */     // GIR_Coverage, 2647,
     /*  537182 */     GIR_EraseRootFromParent_Done,
     /*  537183 */   // Label 8873: @537183
     /*  537183 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537254), // Rule ID 3954 //
     /*  537188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537216 */     // MIs[0] passthru
     /*  537216 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537252 */     GIR_RootConstrainSelectedInstOperands,
     /*  537253 */     // GIR_Coverage, 3954,
     /*  537253 */     GIR_EraseRootFromParent_Done,
     /*  537254 */   // Label 8874: @537254
     /*  537254 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537325), // Rule ID 3955 //
     /*  537259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537287 */     // MIs[0] passthru
     /*  537287 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537323 */     GIR_RootConstrainSelectedInstOperands,
     /*  537324 */     // GIR_Coverage, 3955,
     /*  537324 */     GIR_EraseRootFromParent_Done,
     /*  537325 */   // Label 8875: @537325
     /*  537325 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537396), // Rule ID 3964 //
     /*  537330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537358 */     // MIs[0] passthru
     /*  537358 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537394 */     GIR_RootConstrainSelectedInstOperands,
     /*  537395 */     // GIR_Coverage, 3964,
     /*  537395 */     GIR_EraseRootFromParent_Done,
     /*  537396 */   // Label 8876: @537396
     /*  537396 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537467), // Rule ID 3965 //
     /*  537401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537429 */     // MIs[0] passthru
     /*  537429 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537465 */     GIR_RootConstrainSelectedInstOperands,
     /*  537466 */     // GIR_Coverage, 3965,
     /*  537466 */     GIR_EraseRootFromParent_Done,
     /*  537467 */   // Label 8877: @537467
     /*  537467 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537538), // Rule ID 3974 //
     /*  537472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537500 */     // MIs[0] passthru
     /*  537500 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537536 */     GIR_RootConstrainSelectedInstOperands,
     /*  537537 */     // GIR_Coverage, 3974,
     /*  537537 */     GIR_EraseRootFromParent_Done,
     /*  537538 */   // Label 8878: @537538
     /*  537538 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537609), // Rule ID 3975 //
     /*  537543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537571 */     // MIs[0] passthru
     /*  537571 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537607 */     GIR_RootConstrainSelectedInstOperands,
     /*  537608 */     // GIR_Coverage, 3975,
     /*  537608 */     GIR_EraseRootFromParent_Done,
     /*  537609 */   // Label 8879: @537609
     /*  537609 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537680), // Rule ID 3984 //
     /*  537614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537642 */     // MIs[0] passthru
     /*  537642 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537678 */     GIR_RootConstrainSelectedInstOperands,
     /*  537679 */     // GIR_Coverage, 3984,
     /*  537679 */     GIR_EraseRootFromParent_Done,
     /*  537680 */   // Label 8880: @537680
     /*  537680 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537751), // Rule ID 3985 //
     /*  537685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537713 */     // MIs[0] passthru
     /*  537713 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537729 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537749 */     GIR_RootConstrainSelectedInstOperands,
     /*  537750 */     // GIR_Coverage, 3985,
     /*  537750 */     GIR_EraseRootFromParent_Done,
     /*  537751 */   // Label 8881: @537751
     /*  537751 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537822), // Rule ID 3994 //
     /*  537756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537784 */     // MIs[0] passthru
     /*  537784 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537820 */     GIR_RootConstrainSelectedInstOperands,
     /*  537821 */     // GIR_Coverage, 3994,
     /*  537821 */     GIR_EraseRootFromParent_Done,
     /*  537822 */   // Label 8882: @537822
     /*  537822 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537893), // Rule ID 3995 //
     /*  537827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537855 */     // MIs[0] passthru
     /*  537855 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537871 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537891 */     GIR_RootConstrainSelectedInstOperands,
     /*  537892 */     // GIR_Coverage, 3995,
     /*  537892 */     GIR_EraseRootFromParent_Done,
     /*  537893 */   // Label 8883: @537893
     /*  537893 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537964), // Rule ID 4004 //
     /*  537898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537926 */     // MIs[0] passthru
     /*  537926 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537962 */     GIR_RootConstrainSelectedInstOperands,
     /*  537963 */     // GIR_Coverage, 4004,
     /*  537963 */     GIR_EraseRootFromParent_Done,
     /*  537964 */   // Label 8884: @537964
     /*  537964 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(538035), // Rule ID 4005 //
     /*  537969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537997 */     // MIs[0] passthru
     /*  537997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538013 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  538016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538033 */     GIR_RootConstrainSelectedInstOperands,
     /*  538034 */     // GIR_Coverage, 4005,
     /*  538034 */     GIR_EraseRootFromParent_Done,
     /*  538035 */   // Label 8885: @538035
     /*  538035 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538106), // Rule ID 4014 //
     /*  538040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538068 */     // MIs[0] passthru
     /*  538068 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538104 */     GIR_RootConstrainSelectedInstOperands,
     /*  538105 */     // GIR_Coverage, 4014,
     /*  538105 */     GIR_EraseRootFromParent_Done,
     /*  538106 */   // Label 8886: @538106
     /*  538106 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538177), // Rule ID 4015 //
     /*  538111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538139 */     // MIs[0] passthru
     /*  538139 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538175 */     GIR_RootConstrainSelectedInstOperands,
     /*  538176 */     // GIR_Coverage, 4015,
     /*  538176 */     GIR_EraseRootFromParent_Done,
     /*  538177 */   // Label 8887: @538177
     /*  538177 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538248), // Rule ID 4024 //
     /*  538182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538210 */     // MIs[0] passthru
     /*  538210 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538246 */     GIR_RootConstrainSelectedInstOperands,
     /*  538247 */     // GIR_Coverage, 4024,
     /*  538247 */     GIR_EraseRootFromParent_Done,
     /*  538248 */   // Label 8888: @538248
     /*  538248 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538319), // Rule ID 4025 //
     /*  538253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538281 */     // MIs[0] passthru
     /*  538281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538317 */     GIR_RootConstrainSelectedInstOperands,
     /*  538318 */     // GIR_Coverage, 4025,
     /*  538318 */     GIR_EraseRootFromParent_Done,
     /*  538319 */   // Label 8889: @538319
     /*  538319 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538390), // Rule ID 4034 //
     /*  538324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538352 */     // MIs[0] passthru
     /*  538352 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538388 */     GIR_RootConstrainSelectedInstOperands,
     /*  538389 */     // GIR_Coverage, 4034,
     /*  538389 */     GIR_EraseRootFromParent_Done,
     /*  538390 */   // Label 8890: @538390
     /*  538390 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538461), // Rule ID 4035 //
     /*  538395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538423 */     // MIs[0] passthru
     /*  538423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538459 */     GIR_RootConstrainSelectedInstOperands,
     /*  538460 */     // GIR_Coverage, 4035,
     /*  538460 */     GIR_EraseRootFromParent_Done,
     /*  538461 */   // Label 8891: @538461
     /*  538461 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538532), // Rule ID 4044 //
     /*  538466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538494 */     // MIs[0] passthru
     /*  538494 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538530 */     GIR_RootConstrainSelectedInstOperands,
     /*  538531 */     // GIR_Coverage, 4044,
     /*  538531 */     GIR_EraseRootFromParent_Done,
     /*  538532 */   // Label 8892: @538532
     /*  538532 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538603), // Rule ID 4045 //
     /*  538537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538565 */     // MIs[0] passthru
     /*  538565 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538601 */     GIR_RootConstrainSelectedInstOperands,
     /*  538602 */     // GIR_Coverage, 4045,
     /*  538602 */     GIR_EraseRootFromParent_Done,
     /*  538603 */   // Label 8893: @538603
     /*  538603 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538674), // Rule ID 4054 //
     /*  538608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538636 */     // MIs[0] passthru
     /*  538636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538672 */     GIR_RootConstrainSelectedInstOperands,
     /*  538673 */     // GIR_Coverage, 4054,
     /*  538673 */     GIR_EraseRootFromParent_Done,
     /*  538674 */   // Label 8894: @538674
     /*  538674 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538745), // Rule ID 4055 //
     /*  538679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538707 */     // MIs[0] passthru
     /*  538707 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538743 */     GIR_RootConstrainSelectedInstOperands,
     /*  538744 */     // GIR_Coverage, 4055,
     /*  538744 */     GIR_EraseRootFromParent_Done,
     /*  538745 */   // Label 8895: @538745
     /*  538745 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538816), // Rule ID 4064 //
     /*  538750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538778 */     // MIs[0] passthru
     /*  538778 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538814 */     GIR_RootConstrainSelectedInstOperands,
     /*  538815 */     // GIR_Coverage, 4064,
     /*  538815 */     GIR_EraseRootFromParent_Done,
     /*  538816 */   // Label 8896: @538816
     /*  538816 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538887), // Rule ID 4065 //
     /*  538821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538849 */     // MIs[0] passthru
     /*  538849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538885 */     GIR_RootConstrainSelectedInstOperands,
     /*  538886 */     // GIR_Coverage, 4065,
     /*  538886 */     GIR_EraseRootFromParent_Done,
     /*  538887 */   // Label 8897: @538887
     /*  538887 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538958), // Rule ID 4074 //
     /*  538892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538920 */     // MIs[0] passthru
     /*  538920 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538956 */     GIR_RootConstrainSelectedInstOperands,
     /*  538957 */     // GIR_Coverage, 4074,
     /*  538957 */     GIR_EraseRootFromParent_Done,
     /*  538958 */   // Label 8898: @538958
     /*  538958 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(539029), // Rule ID 4075 //
     /*  538963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538991 */     // MIs[0] passthru
     /*  538991 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539027 */     GIR_RootConstrainSelectedInstOperands,
     /*  539028 */     // GIR_Coverage, 4075,
     /*  539028 */     GIR_EraseRootFromParent_Done,
     /*  539029 */   // Label 8899: @539029
     /*  539029 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(539100), // Rule ID 4084 //
     /*  539034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539062 */     // MIs[0] passthru
     /*  539062 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539098 */     GIR_RootConstrainSelectedInstOperands,
     /*  539099 */     // GIR_Coverage, 4084,
     /*  539099 */     GIR_EraseRootFromParent_Done,
     /*  539100 */   // Label 8900: @539100
     /*  539100 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539171), // Rule ID 4085 //
     /*  539105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539133 */     // MIs[0] passthru
     /*  539133 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539169 */     GIR_RootConstrainSelectedInstOperands,
     /*  539170 */     // GIR_Coverage, 4085,
     /*  539170 */     GIR_EraseRootFromParent_Done,
     /*  539171 */   // Label 8901: @539171
     /*  539171 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539242), // Rule ID 4154 //
     /*  539176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539204 */     // MIs[0] passthru
     /*  539204 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539240 */     GIR_RootConstrainSelectedInstOperands,
     /*  539241 */     // GIR_Coverage, 4154,
     /*  539241 */     GIR_EraseRootFromParent_Done,
     /*  539242 */   // Label 8902: @539242
     /*  539242 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539313), // Rule ID 4155 //
     /*  539247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539275 */     // MIs[0] passthru
     /*  539275 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539311 */     GIR_RootConstrainSelectedInstOperands,
     /*  539312 */     // GIR_Coverage, 4155,
     /*  539312 */     GIR_EraseRootFromParent_Done,
     /*  539313 */   // Label 8903: @539313
     /*  539313 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539384), // Rule ID 4164 //
     /*  539318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539346 */     // MIs[0] passthru
     /*  539346 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539382 */     GIR_RootConstrainSelectedInstOperands,
     /*  539383 */     // GIR_Coverage, 4164,
     /*  539383 */     GIR_EraseRootFromParent_Done,
     /*  539384 */   // Label 8904: @539384
     /*  539384 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539455), // Rule ID 4165 //
     /*  539389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539417 */     // MIs[0] passthru
     /*  539417 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539453 */     GIR_RootConstrainSelectedInstOperands,
     /*  539454 */     // GIR_Coverage, 4165,
     /*  539454 */     GIR_EraseRootFromParent_Done,
     /*  539455 */   // Label 8905: @539455
     /*  539455 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539526), // Rule ID 4174 //
     /*  539460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539488 */     // MIs[0] passthru
     /*  539488 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539524 */     GIR_RootConstrainSelectedInstOperands,
     /*  539525 */     // GIR_Coverage, 4174,
     /*  539525 */     GIR_EraseRootFromParent_Done,
     /*  539526 */   // Label 8906: @539526
     /*  539526 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539597), // Rule ID 4175 //
     /*  539531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539559 */     // MIs[0] passthru
     /*  539559 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539575 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539595 */     GIR_RootConstrainSelectedInstOperands,
     /*  539596 */     // GIR_Coverage, 4175,
     /*  539596 */     GIR_EraseRootFromParent_Done,
     /*  539597 */   // Label 8907: @539597
     /*  539597 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539668), // Rule ID 4184 //
     /*  539602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539630 */     // MIs[0] passthru
     /*  539630 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539666 */     GIR_RootConstrainSelectedInstOperands,
     /*  539667 */     // GIR_Coverage, 4184,
     /*  539667 */     GIR_EraseRootFromParent_Done,
     /*  539668 */   // Label 8908: @539668
     /*  539668 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539739), // Rule ID 4185 //
     /*  539673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539701 */     // MIs[0] passthru
     /*  539701 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539737 */     GIR_RootConstrainSelectedInstOperands,
     /*  539738 */     // GIR_Coverage, 4185,
     /*  539738 */     GIR_EraseRootFromParent_Done,
     /*  539739 */   // Label 8909: @539739
     /*  539739 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539810), // Rule ID 4194 //
     /*  539744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539772 */     // MIs[0] passthru
     /*  539772 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539808 */     GIR_RootConstrainSelectedInstOperands,
     /*  539809 */     // GIR_Coverage, 4194,
     /*  539809 */     GIR_EraseRootFromParent_Done,
     /*  539810 */   // Label 8910: @539810
     /*  539810 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539881), // Rule ID 4195 //
     /*  539815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539843 */     // MIs[0] passthru
     /*  539843 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539879 */     GIR_RootConstrainSelectedInstOperands,
     /*  539880 */     // GIR_Coverage, 4195,
     /*  539880 */     GIR_EraseRootFromParent_Done,
     /*  539881 */   // Label 8911: @539881
     /*  539881 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539952), // Rule ID 4204 //
     /*  539886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539914 */     // MIs[0] passthru
     /*  539914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539950 */     GIR_RootConstrainSelectedInstOperands,
     /*  539951 */     // GIR_Coverage, 4204,
     /*  539951 */     GIR_EraseRootFromParent_Done,
     /*  539952 */   // Label 8912: @539952
     /*  539952 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(540023), // Rule ID 4205 //
     /*  539957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539985 */     // MIs[0] passthru
     /*  539985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540021 */     GIR_RootConstrainSelectedInstOperands,
     /*  540022 */     // GIR_Coverage, 4205,
     /*  540022 */     GIR_EraseRootFromParent_Done,
     /*  540023 */   // Label 8913: @540023
     /*  540023 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(540094), // Rule ID 4214 //
     /*  540028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540056 */     // MIs[0] passthru
     /*  540056 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540092 */     GIR_RootConstrainSelectedInstOperands,
     /*  540093 */     // GIR_Coverage, 4214,
     /*  540093 */     GIR_EraseRootFromParent_Done,
     /*  540094 */   // Label 8914: @540094
     /*  540094 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540165), // Rule ID 4215 //
     /*  540099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540127 */     // MIs[0] passthru
     /*  540127 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540163 */     GIR_RootConstrainSelectedInstOperands,
     /*  540164 */     // GIR_Coverage, 4215,
     /*  540164 */     GIR_EraseRootFromParent_Done,
     /*  540165 */   // Label 8915: @540165
     /*  540165 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540236), // Rule ID 4224 //
     /*  540170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540198 */     // MIs[0] passthru
     /*  540198 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540234 */     GIR_RootConstrainSelectedInstOperands,
     /*  540235 */     // GIR_Coverage, 4224,
     /*  540235 */     GIR_EraseRootFromParent_Done,
     /*  540236 */   // Label 8916: @540236
     /*  540236 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540307), // Rule ID 4225 //
     /*  540241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540269 */     // MIs[0] passthru
     /*  540269 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540305 */     GIR_RootConstrainSelectedInstOperands,
     /*  540306 */     // GIR_Coverage, 4225,
     /*  540306 */     GIR_EraseRootFromParent_Done,
     /*  540307 */   // Label 8917: @540307
     /*  540307 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540378), // Rule ID 4234 //
     /*  540312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540340 */     // MIs[0] passthru
     /*  540340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540376 */     GIR_RootConstrainSelectedInstOperands,
     /*  540377 */     // GIR_Coverage, 4234,
     /*  540377 */     GIR_EraseRootFromParent_Done,
     /*  540378 */   // Label 8918: @540378
     /*  540378 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540449), // Rule ID 4235 //
     /*  540383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540411 */     // MIs[0] passthru
     /*  540411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540447 */     GIR_RootConstrainSelectedInstOperands,
     /*  540448 */     // GIR_Coverage, 4235,
     /*  540448 */     GIR_EraseRootFromParent_Done,
     /*  540449 */   // Label 8919: @540449
     /*  540449 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540520), // Rule ID 4244 //
     /*  540454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540482 */     // MIs[0] passthru
     /*  540482 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540518 */     GIR_RootConstrainSelectedInstOperands,
     /*  540519 */     // GIR_Coverage, 4244,
     /*  540519 */     GIR_EraseRootFromParent_Done,
     /*  540520 */   // Label 8920: @540520
     /*  540520 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540591), // Rule ID 4245 //
     /*  540525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540553 */     // MIs[0] passthru
     /*  540553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540589 */     GIR_RootConstrainSelectedInstOperands,
     /*  540590 */     // GIR_Coverage, 4245,
     /*  540590 */     GIR_EraseRootFromParent_Done,
     /*  540591 */   // Label 8921: @540591
     /*  540591 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540662), // Rule ID 4254 //
     /*  540596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540624 */     // MIs[0] passthru
     /*  540624 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540660 */     GIR_RootConstrainSelectedInstOperands,
     /*  540661 */     // GIR_Coverage, 4254,
     /*  540661 */     GIR_EraseRootFromParent_Done,
     /*  540662 */   // Label 8922: @540662
     /*  540662 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540733), // Rule ID 4255 //
     /*  540667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540695 */     // MIs[0] passthru
     /*  540695 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540731 */     GIR_RootConstrainSelectedInstOperands,
     /*  540732 */     // GIR_Coverage, 4255,
     /*  540732 */     GIR_EraseRootFromParent_Done,
     /*  540733 */   // Label 8923: @540733
     /*  540733 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540804), // Rule ID 4264 //
     /*  540738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540766 */     // MIs[0] passthru
     /*  540766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540802 */     GIR_RootConstrainSelectedInstOperands,
     /*  540803 */     // GIR_Coverage, 4264,
     /*  540803 */     GIR_EraseRootFromParent_Done,
     /*  540804 */   // Label 8924: @540804
     /*  540804 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540875), // Rule ID 4265 //
     /*  540809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540837 */     // MIs[0] passthru
     /*  540837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540873 */     GIR_RootConstrainSelectedInstOperands,
     /*  540874 */     // GIR_Coverage, 4265,
     /*  540874 */     GIR_EraseRootFromParent_Done,
     /*  540875 */   // Label 8925: @540875
     /*  540875 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540946), // Rule ID 4274 //
     /*  540880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540908 */     // MIs[0] passthru
     /*  540908 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540944 */     GIR_RootConstrainSelectedInstOperands,
     /*  540945 */     // GIR_Coverage, 4274,
     /*  540945 */     GIR_EraseRootFromParent_Done,
     /*  540946 */   // Label 8926: @540946
     /*  540946 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(541017), // Rule ID 4275 //
     /*  540951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540979 */     // MIs[0] passthru
     /*  540979 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541015 */     GIR_RootConstrainSelectedInstOperands,
     /*  541016 */     // GIR_Coverage, 4275,
     /*  541016 */     GIR_EraseRootFromParent_Done,
     /*  541017 */   // Label 8927: @541017
     /*  541017 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(541088), // Rule ID 4284 //
     /*  541022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541050 */     // MIs[0] passthru
     /*  541050 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541086 */     GIR_RootConstrainSelectedInstOperands,
     /*  541087 */     // GIR_Coverage, 4284,
     /*  541087 */     GIR_EraseRootFromParent_Done,
     /*  541088 */   // Label 8928: @541088
     /*  541088 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541159), // Rule ID 4285 //
     /*  541093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541121 */     // MIs[0] passthru
     /*  541121 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541157 */     GIR_RootConstrainSelectedInstOperands,
     /*  541158 */     // GIR_Coverage, 4285,
     /*  541158 */     GIR_EraseRootFromParent_Done,
     /*  541159 */   // Label 8929: @541159
     /*  541159 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541230), // Rule ID 4294 //
     /*  541164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541192 */     // MIs[0] passthru
     /*  541192 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541228 */     GIR_RootConstrainSelectedInstOperands,
     /*  541229 */     // GIR_Coverage, 4294,
     /*  541229 */     GIR_EraseRootFromParent_Done,
     /*  541230 */   // Label 8930: @541230
     /*  541230 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541301), // Rule ID 4295 //
     /*  541235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541263 */     // MIs[0] passthru
     /*  541263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541299 */     GIR_RootConstrainSelectedInstOperands,
     /*  541300 */     // GIR_Coverage, 4295,
     /*  541300 */     GIR_EraseRootFromParent_Done,
     /*  541301 */   // Label 8931: @541301
     /*  541301 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541372), // Rule ID 4364 //
     /*  541306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541334 */     // MIs[0] passthru
     /*  541334 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  541353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541370 */     GIR_RootConstrainSelectedInstOperands,
     /*  541371 */     // GIR_Coverage, 4364,
     /*  541371 */     GIR_EraseRootFromParent_Done,
     /*  541372 */   // Label 8932: @541372
     /*  541372 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541443), // Rule ID 4365 //
     /*  541377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541405 */     // MIs[0] passthru
     /*  541405 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  541424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541441 */     GIR_RootConstrainSelectedInstOperands,
     /*  541442 */     // GIR_Coverage, 4365,
     /*  541442 */     GIR_EraseRootFromParent_Done,
     /*  541443 */   // Label 8933: @541443
     /*  541443 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541514), // Rule ID 4374 //
     /*  541448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541476 */     // MIs[0] passthru
     /*  541476 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541512 */     GIR_RootConstrainSelectedInstOperands,
     /*  541513 */     // GIR_Coverage, 4374,
     /*  541513 */     GIR_EraseRootFromParent_Done,
     /*  541514 */   // Label 8934: @541514
     /*  541514 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541585), // Rule ID 4375 //
     /*  541519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541547 */     // MIs[0] passthru
     /*  541547 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541583 */     GIR_RootConstrainSelectedInstOperands,
     /*  541584 */     // GIR_Coverage, 4375,
     /*  541584 */     GIR_EraseRootFromParent_Done,
     /*  541585 */   // Label 8935: @541585
     /*  541585 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541656), // Rule ID 4384 //
     /*  541590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541618 */     // MIs[0] passthru
     /*  541618 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541654 */     GIR_RootConstrainSelectedInstOperands,
     /*  541655 */     // GIR_Coverage, 4384,
     /*  541655 */     GIR_EraseRootFromParent_Done,
     /*  541656 */   // Label 8936: @541656
     /*  541656 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541727), // Rule ID 4385 //
     /*  541661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541689 */     // MIs[0] passthru
     /*  541689 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541725 */     GIR_RootConstrainSelectedInstOperands,
     /*  541726 */     // GIR_Coverage, 4385,
     /*  541726 */     GIR_EraseRootFromParent_Done,
     /*  541727 */   // Label 8937: @541727
     /*  541727 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541798), // Rule ID 4394 //
     /*  541732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541760 */     // MIs[0] passthru
     /*  541760 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541796 */     GIR_RootConstrainSelectedInstOperands,
     /*  541797 */     // GIR_Coverage, 4394,
     /*  541797 */     GIR_EraseRootFromParent_Done,
     /*  541798 */   // Label 8938: @541798
     /*  541798 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541869), // Rule ID 4395 //
     /*  541803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541831 */     // MIs[0] passthru
     /*  541831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541867 */     GIR_RootConstrainSelectedInstOperands,
     /*  541868 */     // GIR_Coverage, 4395,
     /*  541868 */     GIR_EraseRootFromParent_Done,
     /*  541869 */   // Label 8939: @541869
     /*  541869 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541940), // Rule ID 4404 //
     /*  541874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541902 */     // MIs[0] passthru
     /*  541902 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541938 */     GIR_RootConstrainSelectedInstOperands,
     /*  541939 */     // GIR_Coverage, 4404,
     /*  541939 */     GIR_EraseRootFromParent_Done,
     /*  541940 */   // Label 8940: @541940
     /*  541940 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(542011), // Rule ID 4405 //
     /*  541945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541973 */     // MIs[0] passthru
     /*  541973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542009 */     GIR_RootConstrainSelectedInstOperands,
     /*  542010 */     // GIR_Coverage, 4405,
     /*  542010 */     GIR_EraseRootFromParent_Done,
     /*  542011 */   // Label 8941: @542011
     /*  542011 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(542082), // Rule ID 4414 //
     /*  542016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542044 */     // MIs[0] passthru
     /*  542044 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542080 */     GIR_RootConstrainSelectedInstOperands,
     /*  542081 */     // GIR_Coverage, 4414,
     /*  542081 */     GIR_EraseRootFromParent_Done,
     /*  542082 */   // Label 8942: @542082
     /*  542082 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542153), // Rule ID 4415 //
     /*  542087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542115 */     // MIs[0] passthru
     /*  542115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542151 */     GIR_RootConstrainSelectedInstOperands,
     /*  542152 */     // GIR_Coverage, 4415,
     /*  542152 */     GIR_EraseRootFromParent_Done,
     /*  542153 */   // Label 8943: @542153
     /*  542153 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542224), // Rule ID 4424 //
     /*  542158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542186 */     // MIs[0] passthru
     /*  542186 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542222 */     GIR_RootConstrainSelectedInstOperands,
     /*  542223 */     // GIR_Coverage, 4424,
     /*  542223 */     GIR_EraseRootFromParent_Done,
     /*  542224 */   // Label 8944: @542224
     /*  542224 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542295), // Rule ID 4425 //
     /*  542229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542257 */     // MIs[0] passthru
     /*  542257 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542293 */     GIR_RootConstrainSelectedInstOperands,
     /*  542294 */     // GIR_Coverage, 4425,
     /*  542294 */     GIR_EraseRootFromParent_Done,
     /*  542295 */   // Label 8945: @542295
     /*  542295 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542366), // Rule ID 4434 //
     /*  542300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542328 */     // MIs[0] passthru
     /*  542328 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542364 */     GIR_RootConstrainSelectedInstOperands,
     /*  542365 */     // GIR_Coverage, 4434,
     /*  542365 */     GIR_EraseRootFromParent_Done,
     /*  542366 */   // Label 8946: @542366
     /*  542366 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542437), // Rule ID 4435 //
     /*  542371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542399 */     // MIs[0] passthru
     /*  542399 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542435 */     GIR_RootConstrainSelectedInstOperands,
     /*  542436 */     // GIR_Coverage, 4435,
     /*  542436 */     GIR_EraseRootFromParent_Done,
     /*  542437 */   // Label 8947: @542437
     /*  542437 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542508), // Rule ID 4444 //
     /*  542442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542470 */     // MIs[0] passthru
     /*  542470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542506 */     GIR_RootConstrainSelectedInstOperands,
     /*  542507 */     // GIR_Coverage, 4444,
     /*  542507 */     GIR_EraseRootFromParent_Done,
     /*  542508 */   // Label 8948: @542508
     /*  542508 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542579), // Rule ID 4445 //
     /*  542513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542541 */     // MIs[0] passthru
     /*  542541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542577 */     GIR_RootConstrainSelectedInstOperands,
     /*  542578 */     // GIR_Coverage, 4445,
     /*  542578 */     GIR_EraseRootFromParent_Done,
     /*  542579 */   // Label 8949: @542579
     /*  542579 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542650), // Rule ID 4454 //
     /*  542584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542612 */     // MIs[0] passthru
     /*  542612 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542648 */     GIR_RootConstrainSelectedInstOperands,
     /*  542649 */     // GIR_Coverage, 4454,
     /*  542649 */     GIR_EraseRootFromParent_Done,
     /*  542650 */   // Label 8950: @542650
     /*  542650 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542721), // Rule ID 4455 //
     /*  542655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542683 */     // MIs[0] passthru
     /*  542683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542719 */     GIR_RootConstrainSelectedInstOperands,
     /*  542720 */     // GIR_Coverage, 4455,
     /*  542720 */     GIR_EraseRootFromParent_Done,
     /*  542721 */   // Label 8951: @542721
     /*  542721 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542792), // Rule ID 4464 //
     /*  542726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542754 */     // MIs[0] passthru
     /*  542754 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542790 */     GIR_RootConstrainSelectedInstOperands,
     /*  542791 */     // GIR_Coverage, 4464,
     /*  542791 */     GIR_EraseRootFromParent_Done,
     /*  542792 */   // Label 8952: @542792
     /*  542792 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542863), // Rule ID 4465 //
     /*  542797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542825 */     // MIs[0] passthru
     /*  542825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542861 */     GIR_RootConstrainSelectedInstOperands,
     /*  542862 */     // GIR_Coverage, 4465,
     /*  542862 */     GIR_EraseRootFromParent_Done,
     /*  542863 */   // Label 8953: @542863
     /*  542863 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542934), // Rule ID 4474 //
     /*  542868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542896 */     // MIs[0] passthru
     /*  542896 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542932 */     GIR_RootConstrainSelectedInstOperands,
     /*  542933 */     // GIR_Coverage, 4474,
     /*  542933 */     GIR_EraseRootFromParent_Done,
     /*  542934 */   // Label 8954: @542934
     /*  542934 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(543005), // Rule ID 4475 //
     /*  542939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542967 */     // MIs[0] passthru
     /*  542967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543003 */     GIR_RootConstrainSelectedInstOperands,
     /*  543004 */     // GIR_Coverage, 4475,
     /*  543004 */     GIR_EraseRootFromParent_Done,
     /*  543005 */   // Label 8955: @543005
     /*  543005 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(543076), // Rule ID 4484 //
     /*  543010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543038 */     // MIs[0] passthru
     /*  543038 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543074 */     GIR_RootConstrainSelectedInstOperands,
     /*  543075 */     // GIR_Coverage, 4484,
     /*  543075 */     GIR_EraseRootFromParent_Done,
     /*  543076 */   // Label 8956: @543076
     /*  543076 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543147), // Rule ID 4485 //
     /*  543081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543109 */     // MIs[0] passthru
     /*  543109 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543145 */     GIR_RootConstrainSelectedInstOperands,
     /*  543146 */     // GIR_Coverage, 4485,
     /*  543146 */     GIR_EraseRootFromParent_Done,
     /*  543147 */   // Label 8957: @543147
     /*  543147 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543218), // Rule ID 4494 //
     /*  543152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543180 */     // MIs[0] passthru
     /*  543180 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543216 */     GIR_RootConstrainSelectedInstOperands,
     /*  543217 */     // GIR_Coverage, 4494,
     /*  543217 */     GIR_EraseRootFromParent_Done,
     /*  543218 */   // Label 8958: @543218
     /*  543218 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543289), // Rule ID 4495 //
     /*  543223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543251 */     // MIs[0] passthru
     /*  543251 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543287 */     GIR_RootConstrainSelectedInstOperands,
     /*  543288 */     // GIR_Coverage, 4495,
     /*  543288 */     GIR_EraseRootFromParent_Done,
     /*  543289 */   // Label 8959: @543289
     /*  543289 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543360), // Rule ID 4504 //
     /*  543294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543322 */     // MIs[0] passthru
     /*  543322 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543358 */     GIR_RootConstrainSelectedInstOperands,
     /*  543359 */     // GIR_Coverage, 4504,
     /*  543359 */     GIR_EraseRootFromParent_Done,
     /*  543360 */   // Label 8960: @543360
     /*  543360 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543431), // Rule ID 4505 //
     /*  543365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543393 */     // MIs[0] passthru
     /*  543393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543429 */     GIR_RootConstrainSelectedInstOperands,
     /*  543430 */     // GIR_Coverage, 4505,
     /*  543430 */     GIR_EraseRootFromParent_Done,
     /*  543431 */   // Label 8961: @543431
     /*  543431 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543502), // Rule ID 4574 //
     /*  543436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543464 */     // MIs[0] passthru
     /*  543464 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543500 */     GIR_RootConstrainSelectedInstOperands,
     /*  543501 */     // GIR_Coverage, 4574,
     /*  543501 */     GIR_EraseRootFromParent_Done,
     /*  543502 */   // Label 8962: @543502
     /*  543502 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543573), // Rule ID 4575 //
     /*  543507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543535 */     // MIs[0] passthru
     /*  543535 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543551 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543571 */     GIR_RootConstrainSelectedInstOperands,
     /*  543572 */     // GIR_Coverage, 4575,
     /*  543572 */     GIR_EraseRootFromParent_Done,
     /*  543573 */   // Label 8963: @543573
     /*  543573 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543644), // Rule ID 4584 //
     /*  543578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543606 */     // MIs[0] passthru
     /*  543606 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543642 */     GIR_RootConstrainSelectedInstOperands,
     /*  543643 */     // GIR_Coverage, 4584,
     /*  543643 */     GIR_EraseRootFromParent_Done,
     /*  543644 */   // Label 8964: @543644
     /*  543644 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543715), // Rule ID 4585 //
     /*  543649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543677 */     // MIs[0] passthru
     /*  543677 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543713 */     GIR_RootConstrainSelectedInstOperands,
     /*  543714 */     // GIR_Coverage, 4585,
     /*  543714 */     GIR_EraseRootFromParent_Done,
     /*  543715 */   // Label 8965: @543715
     /*  543715 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543786), // Rule ID 4594 //
     /*  543720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543748 */     // MIs[0] passthru
     /*  543748 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543784 */     GIR_RootConstrainSelectedInstOperands,
     /*  543785 */     // GIR_Coverage, 4594,
     /*  543785 */     GIR_EraseRootFromParent_Done,
     /*  543786 */   // Label 8966: @543786
     /*  543786 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543857), // Rule ID 4595 //
     /*  543791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543819 */     // MIs[0] passthru
     /*  543819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543835 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543855 */     GIR_RootConstrainSelectedInstOperands,
     /*  543856 */     // GIR_Coverage, 4595,
     /*  543856 */     GIR_EraseRootFromParent_Done,
     /*  543857 */   // Label 8967: @543857
     /*  543857 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543928), // Rule ID 4604 //
     /*  543862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543890 */     // MIs[0] passthru
     /*  543890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543926 */     GIR_RootConstrainSelectedInstOperands,
     /*  543927 */     // GIR_Coverage, 4604,
     /*  543927 */     GIR_EraseRootFromParent_Done,
     /*  543928 */   // Label 8968: @543928
     /*  543928 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543999), // Rule ID 4605 //
     /*  543933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543961 */     // MIs[0] passthru
     /*  543961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543997 */     GIR_RootConstrainSelectedInstOperands,
     /*  543998 */     // GIR_Coverage, 4605,
     /*  543998 */     GIR_EraseRootFromParent_Done,
     /*  543999 */   // Label 8969: @543999
     /*  543999 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(544070), // Rule ID 4614 //
     /*  544004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544032 */     // MIs[0] passthru
     /*  544032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544068 */     GIR_RootConstrainSelectedInstOperands,
     /*  544069 */     // GIR_Coverage, 4614,
     /*  544069 */     GIR_EraseRootFromParent_Done,
     /*  544070 */   // Label 8970: @544070
     /*  544070 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544141), // Rule ID 4615 //
     /*  544075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544103 */     // MIs[0] passthru
     /*  544103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544119 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544139 */     GIR_RootConstrainSelectedInstOperands,
     /*  544140 */     // GIR_Coverage, 4615,
     /*  544140 */     GIR_EraseRootFromParent_Done,
     /*  544141 */   // Label 8971: @544141
     /*  544141 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544212), // Rule ID 4624 //
     /*  544146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544174 */     // MIs[0] passthru
     /*  544174 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544210 */     GIR_RootConstrainSelectedInstOperands,
     /*  544211 */     // GIR_Coverage, 4624,
     /*  544211 */     GIR_EraseRootFromParent_Done,
     /*  544212 */   // Label 8972: @544212
     /*  544212 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544283), // Rule ID 4625 //
     /*  544217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544245 */     // MIs[0] passthru
     /*  544245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544281 */     GIR_RootConstrainSelectedInstOperands,
     /*  544282 */     // GIR_Coverage, 4625,
     /*  544282 */     GIR_EraseRootFromParent_Done,
     /*  544283 */   // Label 8973: @544283
     /*  544283 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544354), // Rule ID 4634 //
     /*  544288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544316 */     // MIs[0] passthru
     /*  544316 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544352 */     GIR_RootConstrainSelectedInstOperands,
     /*  544353 */     // GIR_Coverage, 4634,
     /*  544353 */     GIR_EraseRootFromParent_Done,
     /*  544354 */   // Label 8974: @544354
     /*  544354 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544425), // Rule ID 4635 //
     /*  544359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544387 */     // MIs[0] passthru
     /*  544387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544423 */     GIR_RootConstrainSelectedInstOperands,
     /*  544424 */     // GIR_Coverage, 4635,
     /*  544424 */     GIR_EraseRootFromParent_Done,
     /*  544425 */   // Label 8975: @544425
     /*  544425 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544496), // Rule ID 4644 //
     /*  544430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544458 */     // MIs[0] passthru
     /*  544458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544494 */     GIR_RootConstrainSelectedInstOperands,
     /*  544495 */     // GIR_Coverage, 4644,
     /*  544495 */     GIR_EraseRootFromParent_Done,
     /*  544496 */   // Label 8976: @544496
     /*  544496 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544567), // Rule ID 4645 //
     /*  544501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544529 */     // MIs[0] passthru
     /*  544529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544565 */     GIR_RootConstrainSelectedInstOperands,
     /*  544566 */     // GIR_Coverage, 4645,
     /*  544566 */     GIR_EraseRootFromParent_Done,
     /*  544567 */   // Label 8977: @544567
     /*  544567 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544638), // Rule ID 4654 //
     /*  544572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544600 */     // MIs[0] passthru
     /*  544600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544636 */     GIR_RootConstrainSelectedInstOperands,
     /*  544637 */     // GIR_Coverage, 4654,
     /*  544637 */     GIR_EraseRootFromParent_Done,
     /*  544638 */   // Label 8978: @544638
     /*  544638 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544709), // Rule ID 4655 //
     /*  544643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544671 */     // MIs[0] passthru
     /*  544671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544707 */     GIR_RootConstrainSelectedInstOperands,
     /*  544708 */     // GIR_Coverage, 4655,
     /*  544708 */     GIR_EraseRootFromParent_Done,
     /*  544709 */   // Label 8979: @544709
     /*  544709 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544780), // Rule ID 4664 //
     /*  544714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544742 */     // MIs[0] passthru
     /*  544742 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544778 */     GIR_RootConstrainSelectedInstOperands,
     /*  544779 */     // GIR_Coverage, 4664,
     /*  544779 */     GIR_EraseRootFromParent_Done,
     /*  544780 */   // Label 8980: @544780
     /*  544780 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544851), // Rule ID 4665 //
     /*  544785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544813 */     // MIs[0] passthru
     /*  544813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544849 */     GIR_RootConstrainSelectedInstOperands,
     /*  544850 */     // GIR_Coverage, 4665,
     /*  544850 */     GIR_EraseRootFromParent_Done,
     /*  544851 */   // Label 8981: @544851
     /*  544851 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544922), // Rule ID 4674 //
     /*  544856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544884 */     // MIs[0] passthru
     /*  544884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544920 */     GIR_RootConstrainSelectedInstOperands,
     /*  544921 */     // GIR_Coverage, 4674,
     /*  544921 */     GIR_EraseRootFromParent_Done,
     /*  544922 */   // Label 8982: @544922
     /*  544922 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544993), // Rule ID 4675 //
     /*  544927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544955 */     // MIs[0] passthru
     /*  544955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544991 */     GIR_RootConstrainSelectedInstOperands,
     /*  544992 */     // GIR_Coverage, 4675,
     /*  544992 */     GIR_EraseRootFromParent_Done,
     /*  544993 */   // Label 8983: @544993
     /*  544993 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(545064), // Rule ID 4684 //
     /*  544998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545026 */     // MIs[0] passthru
     /*  545026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545062 */     GIR_RootConstrainSelectedInstOperands,
     /*  545063 */     // GIR_Coverage, 4684,
     /*  545063 */     GIR_EraseRootFromParent_Done,
     /*  545064 */   // Label 8984: @545064
     /*  545064 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545135), // Rule ID 4685 //
     /*  545069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545097 */     // MIs[0] passthru
     /*  545097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545133 */     GIR_RootConstrainSelectedInstOperands,
     /*  545134 */     // GIR_Coverage, 4685,
     /*  545134 */     GIR_EraseRootFromParent_Done,
     /*  545135 */   // Label 8985: @545135
     /*  545135 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545206), // Rule ID 4694 //
     /*  545140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545168 */     // MIs[0] passthru
     /*  545168 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545204 */     GIR_RootConstrainSelectedInstOperands,
     /*  545205 */     // GIR_Coverage, 4694,
     /*  545205 */     GIR_EraseRootFromParent_Done,
     /*  545206 */   // Label 8986: @545206
     /*  545206 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545277), // Rule ID 4695 //
     /*  545211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545239 */     // MIs[0] passthru
     /*  545239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545275 */     GIR_RootConstrainSelectedInstOperands,
     /*  545276 */     // GIR_Coverage, 4695,
     /*  545276 */     GIR_EraseRootFromParent_Done,
     /*  545277 */   // Label 8987: @545277
     /*  545277 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545348), // Rule ID 4704 //
     /*  545282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545310 */     // MIs[0] passthru
     /*  545310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545346 */     GIR_RootConstrainSelectedInstOperands,
     /*  545347 */     // GIR_Coverage, 4704,
     /*  545347 */     GIR_EraseRootFromParent_Done,
     /*  545348 */   // Label 8988: @545348
     /*  545348 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545419), // Rule ID 4705 //
     /*  545353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545381 */     // MIs[0] passthru
     /*  545381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545417 */     GIR_RootConstrainSelectedInstOperands,
     /*  545418 */     // GIR_Coverage, 4705,
     /*  545418 */     GIR_EraseRootFromParent_Done,
     /*  545419 */   // Label 8989: @545419
     /*  545419 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545490), // Rule ID 4714 //
     /*  545424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545452 */     // MIs[0] passthru
     /*  545452 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545488 */     GIR_RootConstrainSelectedInstOperands,
     /*  545489 */     // GIR_Coverage, 4714,
     /*  545489 */     GIR_EraseRootFromParent_Done,
     /*  545490 */   // Label 8990: @545490
     /*  545490 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545561), // Rule ID 4715 //
     /*  545495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545523 */     // MIs[0] passthru
     /*  545523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545559 */     GIR_RootConstrainSelectedInstOperands,
     /*  545560 */     // GIR_Coverage, 4715,
     /*  545560 */     GIR_EraseRootFromParent_Done,
     /*  545561 */   // Label 8991: @545561
     /*  545561 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545633), // Rule ID 2578 //
     /*  545566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545631 */     GIR_RootConstrainSelectedInstOperands,
     /*  545632 */     // GIR_Coverage, 2578,
     /*  545632 */     GIR_EraseRootFromParent_Done,
     /*  545633 */   // Label 8992: @545633
     /*  545633 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545705), // Rule ID 2579 //
     /*  545638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545684 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545703 */     GIR_RootConstrainSelectedInstOperands,
     /*  545704 */     // GIR_Coverage, 2579,
     /*  545704 */     GIR_EraseRootFromParent_Done,
     /*  545705 */   // Label 8993: @545705
     /*  545705 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545780), // Rule ID 2582 //
     /*  545710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  545713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  545756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545778 */     GIR_RootConstrainSelectedInstOperands,
     /*  545779 */     // GIR_Coverage, 2582,
     /*  545779 */     GIR_EraseRootFromParent_Done,
     /*  545780 */   // Label 8994: @545780
     /*  545780 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545855), // Rule ID 2583 //
     /*  545785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  545788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  545831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545853 */     GIR_RootConstrainSelectedInstOperands,
     /*  545854 */     // GIR_Coverage, 2583,
     /*  545854 */     GIR_EraseRootFromParent_Done,
     /*  545855 */   // Label 8995: @545855
     /*  545855 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545930), // Rule ID 2610 //
     /*  545860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545906 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545928 */     GIR_RootConstrainSelectedInstOperands,
     /*  545929 */     // GIR_Coverage, 2610,
     /*  545929 */     GIR_EraseRootFromParent_Done,
     /*  545930 */   // Label 8996: @545930
     /*  545930 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(546005), // Rule ID 2611 //
     /*  545935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546003 */     GIR_RootConstrainSelectedInstOperands,
     /*  546004 */     // GIR_Coverage, 2611,
     /*  546004 */     GIR_EraseRootFromParent_Done,
     /*  546005 */   // Label 8997: @546005
     /*  546005 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(546077), // Rule ID 2624 //
     /*  546010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  546056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546075 */     GIR_RootConstrainSelectedInstOperands,
     /*  546076 */     // GIR_Coverage, 2624,
     /*  546076 */     GIR_EraseRootFromParent_Done,
     /*  546077 */   // Label 8998: @546077
     /*  546077 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546149), // Rule ID 2625 //
     /*  546082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  546128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546147 */     GIR_RootConstrainSelectedInstOperands,
     /*  546148 */     // GIR_Coverage, 2625,
     /*  546148 */     GIR_EraseRootFromParent_Done,
     /*  546149 */   // Label 8999: @546149
     /*  546149 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546224), // Rule ID 2644 //
     /*  546154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546222 */     GIR_RootConstrainSelectedInstOperands,
     /*  546223 */     // GIR_Coverage, 2644,
     /*  546223 */     GIR_EraseRootFromParent_Done,
     /*  546224 */   // Label 9000: @546224
     /*  546224 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546299), // Rule ID 2645 //
     /*  546229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546297 */     GIR_RootConstrainSelectedInstOperands,
     /*  546298 */     // GIR_Coverage, 2645,
     /*  546298 */     GIR_EraseRootFromParent_Done,
     /*  546299 */   // Label 9001: @546299
     /*  546299 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546374), // Rule ID 2670 //
     /*  546304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546350 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  546353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546372 */     GIR_RootConstrainSelectedInstOperands,
     /*  546373 */     // GIR_Coverage, 2670,
     /*  546373 */     GIR_EraseRootFromParent_Done,
     /*  546374 */   // Label 9002: @546374
     /*  546374 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546449), // Rule ID 2671 //
     /*  546379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546425 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  546428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546447 */     GIR_RootConstrainSelectedInstOperands,
     /*  546448 */     // GIR_Coverage, 2671,
     /*  546448 */     GIR_EraseRootFromParent_Done,
     /*  546449 */   // Label 9003: @546449
     /*  546449 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546524), // Rule ID 2682 //
     /*  546454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546522 */     GIR_RootConstrainSelectedInstOperands,
     /*  546523 */     // GIR_Coverage, 2682,
     /*  546523 */     GIR_EraseRootFromParent_Done,
     /*  546524 */   // Label 9004: @546524
     /*  546524 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546599), // Rule ID 2683 //
     /*  546529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546575 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546597 */     GIR_RootConstrainSelectedInstOperands,
     /*  546598 */     // GIR_Coverage, 2683,
     /*  546598 */     GIR_EraseRootFromParent_Done,
     /*  546599 */   // Label 9005: @546599
     /*  546599 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546674), // Rule ID 2690 //
     /*  546604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546672 */     GIR_RootConstrainSelectedInstOperands,
     /*  546673 */     // GIR_Coverage, 2690,
     /*  546673 */     GIR_EraseRootFromParent_Done,
     /*  546674 */   // Label 9006: @546674
     /*  546674 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546749), // Rule ID 2691 //
     /*  546679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546725 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546747 */     GIR_RootConstrainSelectedInstOperands,
     /*  546748 */     // GIR_Coverage, 2691,
     /*  546748 */     GIR_EraseRootFromParent_Done,
     /*  546749 */   // Label 9007: @546749
     /*  546749 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546824), // Rule ID 2698 //
     /*  546754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546822 */     GIR_RootConstrainSelectedInstOperands,
     /*  546823 */     // GIR_Coverage, 2698,
     /*  546823 */     GIR_EraseRootFromParent_Done,
     /*  546824 */   // Label 9008: @546824
     /*  546824 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546899), // Rule ID 2699 //
     /*  546829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546897 */     GIR_RootConstrainSelectedInstOperands,
     /*  546898 */     // GIR_Coverage, 2699,
     /*  546898 */     GIR_EraseRootFromParent_Done,
     /*  546899 */   // Label 9009: @546899
     /*  546899 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546974), // Rule ID 2706 //
     /*  546904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546972 */     GIR_RootConstrainSelectedInstOperands,
     /*  546973 */     // GIR_Coverage, 2706,
     /*  546973 */     GIR_EraseRootFromParent_Done,
     /*  546974 */   // Label 9010: @546974
     /*  546974 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(547049), // Rule ID 2707 //
     /*  546979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547047 */     GIR_RootConstrainSelectedInstOperands,
     /*  547048 */     // GIR_Coverage, 2707,
     /*  547048 */     GIR_EraseRootFromParent_Done,
     /*  547049 */   // Label 9011: @547049
     /*  547049 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(547124), // Rule ID 2714 //
     /*  547054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547122 */     GIR_RootConstrainSelectedInstOperands,
     /*  547123 */     // GIR_Coverage, 2714,
     /*  547123 */     GIR_EraseRootFromParent_Done,
     /*  547124 */   // Label 9012: @547124
     /*  547124 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547199), // Rule ID 2715 //
     /*  547129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547175 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547197 */     GIR_RootConstrainSelectedInstOperands,
     /*  547198 */     // GIR_Coverage, 2715,
     /*  547198 */     GIR_EraseRootFromParent_Done,
     /*  547199 */   // Label 9013: @547199
     /*  547199 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547274), // Rule ID 2722 //
     /*  547204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547272 */     GIR_RootConstrainSelectedInstOperands,
     /*  547273 */     // GIR_Coverage, 2722,
     /*  547273 */     GIR_EraseRootFromParent_Done,
     /*  547274 */   // Label 9014: @547274
     /*  547274 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547349), // Rule ID 2723 //
     /*  547279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547347 */     GIR_RootConstrainSelectedInstOperands,
     /*  547348 */     // GIR_Coverage, 2723,
     /*  547348 */     GIR_EraseRootFromParent_Done,
     /*  547349 */   // Label 9015: @547349
     /*  547349 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547424), // Rule ID 2730 //
     /*  547354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547400 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547422 */     GIR_RootConstrainSelectedInstOperands,
     /*  547423 */     // GIR_Coverage, 2730,
     /*  547423 */     GIR_EraseRootFromParent_Done,
     /*  547424 */   // Label 9016: @547424
     /*  547424 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547499), // Rule ID 2731 //
     /*  547429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547497 */     GIR_RootConstrainSelectedInstOperands,
     /*  547498 */     // GIR_Coverage, 2731,
     /*  547498 */     GIR_EraseRootFromParent_Done,
     /*  547499 */   // Label 9017: @547499
     /*  547499 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547574), // Rule ID 2738 //
     /*  547504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547572 */     GIR_RootConstrainSelectedInstOperands,
     /*  547573 */     // GIR_Coverage, 2738,
     /*  547573 */     GIR_EraseRootFromParent_Done,
     /*  547574 */   // Label 9018: @547574
     /*  547574 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547649), // Rule ID 2739 //
     /*  547579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547625 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547647 */     GIR_RootConstrainSelectedInstOperands,
     /*  547648 */     // GIR_Coverage, 2739,
     /*  547648 */     GIR_EraseRootFromParent_Done,
     /*  547649 */   // Label 9019: @547649
     /*  547649 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547724), // Rule ID 2746 //
     /*  547654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547722 */     GIR_RootConstrainSelectedInstOperands,
     /*  547723 */     // GIR_Coverage, 2746,
     /*  547723 */     GIR_EraseRootFromParent_Done,
     /*  547724 */   // Label 9020: @547724
     /*  547724 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547799), // Rule ID 2747 //
     /*  547729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547797 */     GIR_RootConstrainSelectedInstOperands,
     /*  547798 */     // GIR_Coverage, 2747,
     /*  547798 */     GIR_EraseRootFromParent_Done,
     /*  547799 */   // Label 9021: @547799
     /*  547799 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547874), // Rule ID 2754 //
     /*  547804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547872 */     GIR_RootConstrainSelectedInstOperands,
     /*  547873 */     // GIR_Coverage, 2754,
     /*  547873 */     GIR_EraseRootFromParent_Done,
     /*  547874 */   // Label 9022: @547874
     /*  547874 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547949), // Rule ID 2755 //
     /*  547879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547925 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547947 */     GIR_RootConstrainSelectedInstOperands,
     /*  547948 */     // GIR_Coverage, 2755,
     /*  547948 */     GIR_EraseRootFromParent_Done,
     /*  547949 */   // Label 9023: @547949
     /*  547949 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(548024), // Rule ID 2762 //
     /*  547954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548022 */     GIR_RootConstrainSelectedInstOperands,
     /*  548023 */     // GIR_Coverage, 2762,
     /*  548023 */     GIR_EraseRootFromParent_Done,
     /*  548024 */   // Label 9024: @548024
     /*  548024 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(548099), // Rule ID 2763 //
     /*  548029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548075 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548097 */     GIR_RootConstrainSelectedInstOperands,
     /*  548098 */     // GIR_Coverage, 2763,
     /*  548098 */     GIR_EraseRootFromParent_Done,
     /*  548099 */   // Label 9025: @548099
     /*  548099 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548174), // Rule ID 2770 //
     /*  548104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548150 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548172 */     GIR_RootConstrainSelectedInstOperands,
     /*  548173 */     // GIR_Coverage, 2770,
     /*  548173 */     GIR_EraseRootFromParent_Done,
     /*  548174 */   // Label 9026: @548174
     /*  548174 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548249), // Rule ID 2771 //
     /*  548179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548247 */     GIR_RootConstrainSelectedInstOperands,
     /*  548248 */     // GIR_Coverage, 2771,
     /*  548248 */     GIR_EraseRootFromParent_Done,
     /*  548249 */   // Label 9027: @548249
     /*  548249 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548324), // Rule ID 2778 //
     /*  548254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548322 */     GIR_RootConstrainSelectedInstOperands,
     /*  548323 */     // GIR_Coverage, 2778,
     /*  548323 */     GIR_EraseRootFromParent_Done,
     /*  548324 */   // Label 9028: @548324
     /*  548324 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548399), // Rule ID 2779 //
     /*  548329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548375 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548397 */     GIR_RootConstrainSelectedInstOperands,
     /*  548398 */     // GIR_Coverage, 2779,
     /*  548398 */     GIR_EraseRootFromParent_Done,
     /*  548399 */   // Label 9029: @548399
     /*  548399 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548474), // Rule ID 2786 //
     /*  548404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548472 */     GIR_RootConstrainSelectedInstOperands,
     /*  548473 */     // GIR_Coverage, 2786,
     /*  548473 */     GIR_EraseRootFromParent_Done,
     /*  548474 */   // Label 9030: @548474
     /*  548474 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548549), // Rule ID 2787 //
     /*  548479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548547 */     GIR_RootConstrainSelectedInstOperands,
     /*  548548 */     // GIR_Coverage, 2787,
     /*  548548 */     GIR_EraseRootFromParent_Done,
     /*  548549 */   // Label 9031: @548549
     /*  548549 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548624), // Rule ID 2794 //
     /*  548554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548622 */     GIR_RootConstrainSelectedInstOperands,
     /*  548623 */     // GIR_Coverage, 2794,
     /*  548623 */     GIR_EraseRootFromParent_Done,
     /*  548624 */   // Label 9032: @548624
     /*  548624 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548699), // Rule ID 2795 //
     /*  548629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548697 */     GIR_RootConstrainSelectedInstOperands,
     /*  548698 */     // GIR_Coverage, 2795,
     /*  548698 */     GIR_EraseRootFromParent_Done,
     /*  548699 */   // Label 9033: @548699
     /*  548699 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548774), // Rule ID 2802 //
     /*  548704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548772 */     GIR_RootConstrainSelectedInstOperands,
     /*  548773 */     // GIR_Coverage, 2802,
     /*  548773 */     GIR_EraseRootFromParent_Done,
     /*  548774 */   // Label 9034: @548774
     /*  548774 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548849), // Rule ID 2803 //
     /*  548779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548847 */     GIR_RootConstrainSelectedInstOperands,
     /*  548848 */     // GIR_Coverage, 2803,
     /*  548848 */     GIR_EraseRootFromParent_Done,
     /*  548849 */   // Label 9035: @548849
     /*  548849 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548924), // Rule ID 2810 //
     /*  548854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548922 */     GIR_RootConstrainSelectedInstOperands,
     /*  548923 */     // GIR_Coverage, 2810,
     /*  548923 */     GIR_EraseRootFromParent_Done,
     /*  548924 */   // Label 9036: @548924
     /*  548924 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548999), // Rule ID 2811 //
     /*  548929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548997 */     GIR_RootConstrainSelectedInstOperands,
     /*  548998 */     // GIR_Coverage, 2811,
     /*  548998 */     GIR_EraseRootFromParent_Done,
     /*  548999 */   // Label 9037: @548999
     /*  548999 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(549074), // Rule ID 2818 //
     /*  549004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549072 */     GIR_RootConstrainSelectedInstOperands,
     /*  549073 */     // GIR_Coverage, 2818,
     /*  549073 */     GIR_EraseRootFromParent_Done,
     /*  549074 */   // Label 9038: @549074
     /*  549074 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(549149), // Rule ID 2819 //
     /*  549079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549147 */     GIR_RootConstrainSelectedInstOperands,
     /*  549148 */     // GIR_Coverage, 2819,
     /*  549148 */     GIR_EraseRootFromParent_Done,
     /*  549149 */   // Label 9039: @549149
     /*  549149 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549224), // Rule ID 2826 //
     /*  549154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549222 */     GIR_RootConstrainSelectedInstOperands,
     /*  549223 */     // GIR_Coverage, 2826,
     /*  549223 */     GIR_EraseRootFromParent_Done,
     /*  549224 */   // Label 9040: @549224
     /*  549224 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549299), // Rule ID 2827 //
     /*  549229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549297 */     GIR_RootConstrainSelectedInstOperands,
     /*  549298 */     // GIR_Coverage, 2827,
     /*  549298 */     GIR_EraseRootFromParent_Done,
     /*  549299 */   // Label 9041: @549299
     /*  549299 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549374), // Rule ID 2834 //
     /*  549304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549372 */     GIR_RootConstrainSelectedInstOperands,
     /*  549373 */     // GIR_Coverage, 2834,
     /*  549373 */     GIR_EraseRootFromParent_Done,
     /*  549374 */   // Label 9042: @549374
     /*  549374 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549449), // Rule ID 2835 //
     /*  549379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549447 */     GIR_RootConstrainSelectedInstOperands,
     /*  549448 */     // GIR_Coverage, 2835,
     /*  549448 */     GIR_EraseRootFromParent_Done,
     /*  549449 */   // Label 9043: @549449
     /*  549449 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549524), // Rule ID 2842 //
     /*  549454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549522 */     GIR_RootConstrainSelectedInstOperands,
     /*  549523 */     // GIR_Coverage, 2842,
     /*  549523 */     GIR_EraseRootFromParent_Done,
     /*  549524 */   // Label 9044: @549524
     /*  549524 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549599), // Rule ID 2843 //
     /*  549529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549597 */     GIR_RootConstrainSelectedInstOperands,
     /*  549598 */     // GIR_Coverage, 2843,
     /*  549598 */     GIR_EraseRootFromParent_Done,
     /*  549599 */   // Label 9045: @549599
     /*  549599 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549674), // Rule ID 2850 //
     /*  549604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549672 */     GIR_RootConstrainSelectedInstOperands,
     /*  549673 */     // GIR_Coverage, 2850,
     /*  549673 */     GIR_EraseRootFromParent_Done,
     /*  549674 */   // Label 9046: @549674
     /*  549674 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549749), // Rule ID 2851 //
     /*  549679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549747 */     GIR_RootConstrainSelectedInstOperands,
     /*  549748 */     // GIR_Coverage, 2851,
     /*  549748 */     GIR_EraseRootFromParent_Done,
     /*  549749 */   // Label 9047: @549749
     /*  549749 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549824), // Rule ID 2858 //
     /*  549754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549822 */     GIR_RootConstrainSelectedInstOperands,
     /*  549823 */     // GIR_Coverage, 2858,
     /*  549823 */     GIR_EraseRootFromParent_Done,
     /*  549824 */   // Label 9048: @549824
     /*  549824 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549899), // Rule ID 2859 //
     /*  549829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549875 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549897 */     GIR_RootConstrainSelectedInstOperands,
     /*  549898 */     // GIR_Coverage, 2859,
     /*  549898 */     GIR_EraseRootFromParent_Done,
     /*  549899 */   // Label 9049: @549899
     /*  549899 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549974), // Rule ID 2862 //
     /*  549904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549950 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549972 */     GIR_RootConstrainSelectedInstOperands,
     /*  549973 */     // GIR_Coverage, 2862,
     /*  549973 */     GIR_EraseRootFromParent_Done,
     /*  549974 */   // Label 9050: @549974
     /*  549974 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(550049), // Rule ID 2863 //
     /*  549979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550025 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550047 */     GIR_RootConstrainSelectedInstOperands,
     /*  550048 */     // GIR_Coverage, 2863,
     /*  550048 */     GIR_EraseRootFromParent_Done,
     /*  550049 */   // Label 9051: @550049
     /*  550049 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(550124), // Rule ID 2866 //
     /*  550054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550100 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550122 */     GIR_RootConstrainSelectedInstOperands,
     /*  550123 */     // GIR_Coverage, 2866,
     /*  550123 */     GIR_EraseRootFromParent_Done,
     /*  550124 */   // Label 9052: @550124
     /*  550124 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(550199), // Rule ID 2867 //
     /*  550129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550175 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550197 */     GIR_RootConstrainSelectedInstOperands,
     /*  550198 */     // GIR_Coverage, 2867,
     /*  550198 */     GIR_EraseRootFromParent_Done,
     /*  550199 */   // Label 9053: @550199
     /*  550199 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550274), // Rule ID 2870 //
     /*  550204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550250 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550272 */     GIR_RootConstrainSelectedInstOperands,
     /*  550273 */     // GIR_Coverage, 2870,
     /*  550273 */     GIR_EraseRootFromParent_Done,
     /*  550274 */   // Label 9054: @550274
     /*  550274 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550349), // Rule ID 2871 //
     /*  550279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550347 */     GIR_RootConstrainSelectedInstOperands,
     /*  550348 */     // GIR_Coverage, 2871,
     /*  550348 */     GIR_EraseRootFromParent_Done,
     /*  550349 */   // Label 9055: @550349
     /*  550349 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550424), // Rule ID 2874 //
     /*  550354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550422 */     GIR_RootConstrainSelectedInstOperands,
     /*  550423 */     // GIR_Coverage, 2874,
     /*  550423 */     GIR_EraseRootFromParent_Done,
     /*  550424 */   // Label 9056: @550424
     /*  550424 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550499), // Rule ID 2875 //
     /*  550429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550497 */     GIR_RootConstrainSelectedInstOperands,
     /*  550498 */     // GIR_Coverage, 2875,
     /*  550498 */     GIR_EraseRootFromParent_Done,
     /*  550499 */   // Label 9057: @550499
     /*  550499 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550574), // Rule ID 2878 //
     /*  550504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550572 */     GIR_RootConstrainSelectedInstOperands,
     /*  550573 */     // GIR_Coverage, 2878,
     /*  550573 */     GIR_EraseRootFromParent_Done,
     /*  550574 */   // Label 9058: @550574
     /*  550574 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550649), // Rule ID 2879 //
     /*  550579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550625 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550647 */     GIR_RootConstrainSelectedInstOperands,
     /*  550648 */     // GIR_Coverage, 2879,
     /*  550648 */     GIR_EraseRootFromParent_Done,
     /*  550649 */   // Label 9059: @550649
     /*  550649 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550724), // Rule ID 2882 //
     /*  550654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550722 */     GIR_RootConstrainSelectedInstOperands,
     /*  550723 */     // GIR_Coverage, 2882,
     /*  550723 */     GIR_EraseRootFromParent_Done,
     /*  550724 */   // Label 9060: @550724
     /*  550724 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550799), // Rule ID 2883 //
     /*  550729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550797 */     GIR_RootConstrainSelectedInstOperands,
     /*  550798 */     // GIR_Coverage, 2883,
     /*  550798 */     GIR_EraseRootFromParent_Done,
     /*  550799 */   // Label 9061: @550799
     /*  550799 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550874), // Rule ID 2886 //
     /*  550804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550872 */     GIR_RootConstrainSelectedInstOperands,
     /*  550873 */     // GIR_Coverage, 2886,
     /*  550873 */     GIR_EraseRootFromParent_Done,
     /*  550874 */   // Label 9062: @550874
     /*  550874 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550949), // Rule ID 2887 //
     /*  550879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550947 */     GIR_RootConstrainSelectedInstOperands,
     /*  550948 */     // GIR_Coverage, 2887,
     /*  550948 */     GIR_EraseRootFromParent_Done,
     /*  550949 */   // Label 9063: @550949
     /*  550949 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(551024), // Rule ID 2890 //
     /*  550954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551022 */     GIR_RootConstrainSelectedInstOperands,
     /*  551023 */     // GIR_Coverage, 2890,
     /*  551023 */     GIR_EraseRootFromParent_Done,
     /*  551024 */   // Label 9064: @551024
     /*  551024 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(551099), // Rule ID 2891 //
     /*  551029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551097 */     GIR_RootConstrainSelectedInstOperands,
     /*  551098 */     // GIR_Coverage, 2891,
     /*  551098 */     GIR_EraseRootFromParent_Done,
     /*  551099 */   // Label 9065: @551099
     /*  551099 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(551174), // Rule ID 2894 //
     /*  551104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551150 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551172 */     GIR_RootConstrainSelectedInstOperands,
     /*  551173 */     // GIR_Coverage, 2894,
     /*  551173 */     GIR_EraseRootFromParent_Done,
     /*  551174 */   // Label 9066: @551174
     /*  551174 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(551249), // Rule ID 2895 //
     /*  551179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551225 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551247 */     GIR_RootConstrainSelectedInstOperands,
     /*  551248 */     // GIR_Coverage, 2895,
     /*  551248 */     GIR_EraseRootFromParent_Done,
     /*  551249 */   // Label 9067: @551249
     /*  551249 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551324), // Rule ID 2898 //
     /*  551254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551322 */     GIR_RootConstrainSelectedInstOperands,
     /*  551323 */     // GIR_Coverage, 2898,
     /*  551323 */     GIR_EraseRootFromParent_Done,
     /*  551324 */   // Label 9068: @551324
     /*  551324 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551399), // Rule ID 2899 //
     /*  551329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551375 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551397 */     GIR_RootConstrainSelectedInstOperands,
     /*  551398 */     // GIR_Coverage, 2899,
     /*  551398 */     GIR_EraseRootFromParent_Done,
     /*  551399 */   // Label 9069: @551399
     /*  551399 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551474), // Rule ID 2902 //
     /*  551404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551472 */     GIR_RootConstrainSelectedInstOperands,
     /*  551473 */     // GIR_Coverage, 2902,
     /*  551473 */     GIR_EraseRootFromParent_Done,
     /*  551474 */   // Label 9070: @551474
     /*  551474 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551549), // Rule ID 2903 //
     /*  551479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551525 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551547 */     GIR_RootConstrainSelectedInstOperands,
     /*  551548 */     // GIR_Coverage, 2903,
     /*  551548 */     GIR_EraseRootFromParent_Done,
     /*  551549 */   // Label 9071: @551549
     /*  551549 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551624), // Rule ID 2906 //
     /*  551554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551622 */     GIR_RootConstrainSelectedInstOperands,
     /*  551623 */     // GIR_Coverage, 2906,
     /*  551623 */     GIR_EraseRootFromParent_Done,
     /*  551624 */   // Label 9072: @551624
     /*  551624 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551699), // Rule ID 2907 //
     /*  551629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551697 */     GIR_RootConstrainSelectedInstOperands,
     /*  551698 */     // GIR_Coverage, 2907,
     /*  551698 */     GIR_EraseRootFromParent_Done,
     /*  551699 */   // Label 9073: @551699
     /*  551699 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551774), // Rule ID 2910 //
     /*  551704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551772 */     GIR_RootConstrainSelectedInstOperands,
     /*  551773 */     // GIR_Coverage, 2910,
     /*  551773 */     GIR_EraseRootFromParent_Done,
     /*  551774 */   // Label 9074: @551774
     /*  551774 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551849), // Rule ID 2911 //
     /*  551779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551847 */     GIR_RootConstrainSelectedInstOperands,
     /*  551848 */     // GIR_Coverage, 2911,
     /*  551848 */     GIR_EraseRootFromParent_Done,
     /*  551849 */   // Label 9075: @551849
     /*  551849 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551924), // Rule ID 2914 //
     /*  551854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551922 */     GIR_RootConstrainSelectedInstOperands,
     /*  551923 */     // GIR_Coverage, 2914,
     /*  551923 */     GIR_EraseRootFromParent_Done,
     /*  551924 */   // Label 9076: @551924
     /*  551924 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551999), // Rule ID 2915 //
     /*  551929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551997 */     GIR_RootConstrainSelectedInstOperands,
     /*  551998 */     // GIR_Coverage, 2915,
     /*  551998 */     GIR_EraseRootFromParent_Done,
     /*  551999 */   // Label 9077: @551999
     /*  551999 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(552074), // Rule ID 2918 //
     /*  552004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552072 */     GIR_RootConstrainSelectedInstOperands,
     /*  552073 */     // GIR_Coverage, 2918,
     /*  552073 */     GIR_EraseRootFromParent_Done,
     /*  552074 */   // Label 9078: @552074
     /*  552074 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(552149), // Rule ID 2919 //
     /*  552079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552147 */     GIR_RootConstrainSelectedInstOperands,
     /*  552148 */     // GIR_Coverage, 2919,
     /*  552148 */     GIR_EraseRootFromParent_Done,
     /*  552149 */   // Label 9079: @552149
     /*  552149 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(552224), // Rule ID 2922 //
     /*  552154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552222 */     GIR_RootConstrainSelectedInstOperands,
     /*  552223 */     // GIR_Coverage, 2922,
     /*  552223 */     GIR_EraseRootFromParent_Done,
     /*  552224 */   // Label 9080: @552224
     /*  552224 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552299), // Rule ID 2923 //
     /*  552229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552297 */     GIR_RootConstrainSelectedInstOperands,
     /*  552298 */     // GIR_Coverage, 2923,
     /*  552298 */     GIR_EraseRootFromParent_Done,
     /*  552299 */   // Label 9081: @552299
     /*  552299 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552374), // Rule ID 2926 //
     /*  552304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552372 */     GIR_RootConstrainSelectedInstOperands,
     /*  552373 */     // GIR_Coverage, 2926,
     /*  552373 */     GIR_EraseRootFromParent_Done,
     /*  552374 */   // Label 9082: @552374
     /*  552374 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552449), // Rule ID 2927 //
     /*  552379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552425 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552447 */     GIR_RootConstrainSelectedInstOperands,
     /*  552448 */     // GIR_Coverage, 2927,
     /*  552448 */     GIR_EraseRootFromParent_Done,
     /*  552449 */   // Label 9083: @552449
     /*  552449 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552524), // Rule ID 2930 //
     /*  552454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552522 */     GIR_RootConstrainSelectedInstOperands,
     /*  552523 */     // GIR_Coverage, 2930,
     /*  552523 */     GIR_EraseRootFromParent_Done,
     /*  552524 */   // Label 9084: @552524
     /*  552524 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552599), // Rule ID 2931 //
     /*  552529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552597 */     GIR_RootConstrainSelectedInstOperands,
     /*  552598 */     // GIR_Coverage, 2931,
     /*  552598 */     GIR_EraseRootFromParent_Done,
     /*  552599 */   // Label 9085: @552599
     /*  552599 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552674), // Rule ID 2934 //
     /*  552604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552672 */     GIR_RootConstrainSelectedInstOperands,
     /*  552673 */     // GIR_Coverage, 2934,
     /*  552673 */     GIR_EraseRootFromParent_Done,
     /*  552674 */   // Label 9086: @552674
     /*  552674 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552749), // Rule ID 2935 //
     /*  552679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552725 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552747 */     GIR_RootConstrainSelectedInstOperands,
     /*  552748 */     // GIR_Coverage, 2935,
     /*  552748 */     GIR_EraseRootFromParent_Done,
     /*  552749 */   // Label 9087: @552749
     /*  552749 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552824), // Rule ID 2938 //
     /*  552754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552822 */     GIR_RootConstrainSelectedInstOperands,
     /*  552823 */     // GIR_Coverage, 2938,
     /*  552823 */     GIR_EraseRootFromParent_Done,
     /*  552824 */   // Label 9088: @552824
     /*  552824 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552899), // Rule ID 2939 //
     /*  552829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552897 */     GIR_RootConstrainSelectedInstOperands,
     /*  552898 */     // GIR_Coverage, 2939,
     /*  552898 */     GIR_EraseRootFromParent_Done,
     /*  552899 */   // Label 9089: @552899
     /*  552899 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552974), // Rule ID 2942 //
     /*  552904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552950 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552972 */     GIR_RootConstrainSelectedInstOperands,
     /*  552973 */     // GIR_Coverage, 2942,
     /*  552973 */     GIR_EraseRootFromParent_Done,
     /*  552974 */   // Label 9090: @552974
     /*  552974 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(553049), // Rule ID 2943 //
     /*  552979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553025 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  553028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553047 */     GIR_RootConstrainSelectedInstOperands,
     /*  553048 */     // GIR_Coverage, 2943,
     /*  553048 */     GIR_EraseRootFromParent_Done,
     /*  553049 */   // Label 9091: @553049
     /*  553049 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(553124), // Rule ID 2946 //
     /*  553054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553100 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553122 */     GIR_RootConstrainSelectedInstOperands,
     /*  553123 */     // GIR_Coverage, 2946,
     /*  553123 */     GIR_EraseRootFromParent_Done,
     /*  553124 */   // Label 9092: @553124
     /*  553124 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(553199), // Rule ID 2947 //
     /*  553129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553197 */     GIR_RootConstrainSelectedInstOperands,
     /*  553198 */     // GIR_Coverage, 2947,
     /*  553198 */     GIR_EraseRootFromParent_Done,
     /*  553199 */   // Label 9093: @553199
     /*  553199 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553274), // Rule ID 2950 //
     /*  553204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553272 */     GIR_RootConstrainSelectedInstOperands,
     /*  553273 */     // GIR_Coverage, 2950,
     /*  553273 */     GIR_EraseRootFromParent_Done,
     /*  553274 */   // Label 9094: @553274
     /*  553274 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553349), // Rule ID 2951 //
     /*  553279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553347 */     GIR_RootConstrainSelectedInstOperands,
     /*  553348 */     // GIR_Coverage, 2951,
     /*  553348 */     GIR_EraseRootFromParent_Done,
     /*  553349 */   // Label 9095: @553349
     /*  553349 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553424), // Rule ID 2954 //
     /*  553354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553422 */     GIR_RootConstrainSelectedInstOperands,
     /*  553423 */     // GIR_Coverage, 2954,
     /*  553423 */     GIR_EraseRootFromParent_Done,
     /*  553424 */   // Label 9096: @553424
     /*  553424 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553499), // Rule ID 2955 //
     /*  553429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553497 */     GIR_RootConstrainSelectedInstOperands,
     /*  553498 */     // GIR_Coverage, 2955,
     /*  553498 */     GIR_EraseRootFromParent_Done,
     /*  553499 */   // Label 9097: @553499
     /*  553499 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553574), // Rule ID 2958 //
     /*  553504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553572 */     GIR_RootConstrainSelectedInstOperands,
     /*  553573 */     // GIR_Coverage, 2958,
     /*  553573 */     GIR_EraseRootFromParent_Done,
     /*  553574 */   // Label 9098: @553574
     /*  553574 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553649), // Rule ID 2959 //
     /*  553579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553625 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553647 */     GIR_RootConstrainSelectedInstOperands,
     /*  553648 */     // GIR_Coverage, 2959,
     /*  553648 */     GIR_EraseRootFromParent_Done,
     /*  553649 */   // Label 9099: @553649
     /*  553649 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553724), // Rule ID 2962 //
     /*  553654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553722 */     GIR_RootConstrainSelectedInstOperands,
     /*  553723 */     // GIR_Coverage, 2962,
     /*  553723 */     GIR_EraseRootFromParent_Done,
     /*  553724 */   // Label 9100: @553724
     /*  553724 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553799), // Rule ID 2963 //
     /*  553729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553797 */     GIR_RootConstrainSelectedInstOperands,
     /*  553798 */     // GIR_Coverage, 2963,
     /*  553798 */     GIR_EraseRootFromParent_Done,
     /*  553799 */   // Label 9101: @553799
     /*  553799 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553874), // Rule ID 2966 //
     /*  553804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553872 */     GIR_RootConstrainSelectedInstOperands,
     /*  553873 */     // GIR_Coverage, 2966,
     /*  553873 */     GIR_EraseRootFromParent_Done,
     /*  553874 */   // Label 9102: @553874
     /*  553874 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553949), // Rule ID 2967 //
     /*  553879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553947 */     GIR_RootConstrainSelectedInstOperands,
     /*  553948 */     // GIR_Coverage, 2967,
     /*  553948 */     GIR_EraseRootFromParent_Done,
     /*  553949 */   // Label 9103: @553949
     /*  553949 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(554024), // Rule ID 2970 //
     /*  553954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554022 */     GIR_RootConstrainSelectedInstOperands,
     /*  554023 */     // GIR_Coverage, 2970,
     /*  554023 */     GIR_EraseRootFromParent_Done,
     /*  554024 */   // Label 9104: @554024
     /*  554024 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(554099), // Rule ID 2971 //
     /*  554029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554097 */     GIR_RootConstrainSelectedInstOperands,
     /*  554098 */     // GIR_Coverage, 2971,
     /*  554098 */     GIR_EraseRootFromParent_Done,
     /*  554099 */   // Label 9105: @554099
     /*  554099 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(554174), // Rule ID 2974 //
     /*  554104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554172 */     GIR_RootConstrainSelectedInstOperands,
     /*  554173 */     // GIR_Coverage, 2974,
     /*  554173 */     GIR_EraseRootFromParent_Done,
     /*  554174 */   // Label 9106: @554174
     /*  554174 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(554249), // Rule ID 2975 //
     /*  554179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554247 */     GIR_RootConstrainSelectedInstOperands,
     /*  554248 */     // GIR_Coverage, 2975,
     /*  554248 */     GIR_EraseRootFromParent_Done,
     /*  554249 */   // Label 9107: @554249
     /*  554249 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554324), // Rule ID 2978 //
     /*  554254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554322 */     GIR_RootConstrainSelectedInstOperands,
     /*  554323 */     // GIR_Coverage, 2978,
     /*  554323 */     GIR_EraseRootFromParent_Done,
     /*  554324 */   // Label 9108: @554324
     /*  554324 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554399), // Rule ID 2979 //
     /*  554329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554397 */     GIR_RootConstrainSelectedInstOperands,
     /*  554398 */     // GIR_Coverage, 2979,
     /*  554398 */     GIR_EraseRootFromParent_Done,
     /*  554399 */   // Label 9109: @554399
     /*  554399 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554474), // Rule ID 2982 //
     /*  554404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554450 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554472 */     GIR_RootConstrainSelectedInstOperands,
     /*  554473 */     // GIR_Coverage, 2982,
     /*  554473 */     GIR_EraseRootFromParent_Done,
     /*  554474 */   // Label 9110: @554474
     /*  554474 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554549), // Rule ID 2983 //
     /*  554479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554547 */     GIR_RootConstrainSelectedInstOperands,
     /*  554548 */     // GIR_Coverage, 2983,
     /*  554548 */     GIR_EraseRootFromParent_Done,
     /*  554549 */   // Label 9111: @554549
     /*  554549 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554624), // Rule ID 2986 //
     /*  554554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554600 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554622 */     GIR_RootConstrainSelectedInstOperands,
     /*  554623 */     // GIR_Coverage, 2986,
     /*  554623 */     GIR_EraseRootFromParent_Done,
     /*  554624 */   // Label 9112: @554624
     /*  554624 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554699), // Rule ID 2987 //
     /*  554629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554697 */     GIR_RootConstrainSelectedInstOperands,
     /*  554698 */     // GIR_Coverage, 2987,
     /*  554698 */     GIR_EraseRootFromParent_Done,
     /*  554699 */   // Label 9113: @554699
     /*  554699 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554774), // Rule ID 2990 //
     /*  554704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554772 */     GIR_RootConstrainSelectedInstOperands,
     /*  554773 */     // GIR_Coverage, 2990,
     /*  554773 */     GIR_EraseRootFromParent_Done,
     /*  554774 */   // Label 9114: @554774
     /*  554774 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554849), // Rule ID 2991 //
     /*  554779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554825 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554847 */     GIR_RootConstrainSelectedInstOperands,
     /*  554848 */     // GIR_Coverage, 2991,
     /*  554848 */     GIR_EraseRootFromParent_Done,
     /*  554849 */   // Label 9115: @554849
     /*  554849 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554924), // Rule ID 2994 //
     /*  554854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554922 */     GIR_RootConstrainSelectedInstOperands,
     /*  554923 */     // GIR_Coverage, 2994,
     /*  554923 */     GIR_EraseRootFromParent_Done,
     /*  554924 */   // Label 9116: @554924
     /*  554924 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554999), // Rule ID 2995 //
     /*  554929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554997 */     GIR_RootConstrainSelectedInstOperands,
     /*  554998 */     // GIR_Coverage, 2995,
     /*  554998 */     GIR_EraseRootFromParent_Done,
     /*  554999 */   // Label 9117: @554999
     /*  554999 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(555074), // Rule ID 2998 //
     /*  555004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555072 */     GIR_RootConstrainSelectedInstOperands,
     /*  555073 */     // GIR_Coverage, 2998,
     /*  555073 */     GIR_EraseRootFromParent_Done,
     /*  555074 */   // Label 9118: @555074
     /*  555074 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(555149), // Rule ID 2999 //
     /*  555079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555125 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555147 */     GIR_RootConstrainSelectedInstOperands,
     /*  555148 */     // GIR_Coverage, 2999,
     /*  555148 */     GIR_EraseRootFromParent_Done,
     /*  555149 */   // Label 9119: @555149
     /*  555149 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(555224), // Rule ID 3002 //
     /*  555154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555222 */     GIR_RootConstrainSelectedInstOperands,
     /*  555223 */     // GIR_Coverage, 3002,
     /*  555223 */     GIR_EraseRootFromParent_Done,
     /*  555224 */   // Label 9120: @555224
     /*  555224 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555299), // Rule ID 3003 //
     /*  555229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555297 */     GIR_RootConstrainSelectedInstOperands,
     /*  555298 */     // GIR_Coverage, 3003,
     /*  555298 */     GIR_EraseRootFromParent_Done,
     /*  555299 */   // Label 9121: @555299
     /*  555299 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555374), // Rule ID 3006 //
     /*  555304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555372 */     GIR_RootConstrainSelectedInstOperands,
     /*  555373 */     // GIR_Coverage, 3006,
     /*  555373 */     GIR_EraseRootFromParent_Done,
     /*  555374 */   // Label 9122: @555374
     /*  555374 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555449), // Rule ID 3007 //
     /*  555379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555447 */     GIR_RootConstrainSelectedInstOperands,
     /*  555448 */     // GIR_Coverage, 3007,
     /*  555448 */     GIR_EraseRootFromParent_Done,
     /*  555449 */   // Label 9123: @555449
     /*  555449 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555524), // Rule ID 3010 //
     /*  555454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555522 */     GIR_RootConstrainSelectedInstOperands,
     /*  555523 */     // GIR_Coverage, 3010,
     /*  555523 */     GIR_EraseRootFromParent_Done,
     /*  555524 */   // Label 9124: @555524
     /*  555524 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555599), // Rule ID 3011 //
     /*  555529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555597 */     GIR_RootConstrainSelectedInstOperands,
     /*  555598 */     // GIR_Coverage, 3011,
     /*  555598 */     GIR_EraseRootFromParent_Done,
     /*  555599 */   // Label 9125: @555599
     /*  555599 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555674), // Rule ID 3014 //
     /*  555604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555672 */     GIR_RootConstrainSelectedInstOperands,
     /*  555673 */     // GIR_Coverage, 3014,
     /*  555673 */     GIR_EraseRootFromParent_Done,
     /*  555674 */   // Label 9126: @555674
     /*  555674 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555749), // Rule ID 3015 //
     /*  555679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555747 */     GIR_RootConstrainSelectedInstOperands,
     /*  555748 */     // GIR_Coverage, 3015,
     /*  555748 */     GIR_EraseRootFromParent_Done,
     /*  555749 */   // Label 9127: @555749
     /*  555749 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555824), // Rule ID 3018 //
     /*  555754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555822 */     GIR_RootConstrainSelectedInstOperands,
     /*  555823 */     // GIR_Coverage, 3018,
     /*  555823 */     GIR_EraseRootFromParent_Done,
     /*  555824 */   // Label 9128: @555824
     /*  555824 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555899), // Rule ID 3019 //
     /*  555829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555897 */     GIR_RootConstrainSelectedInstOperands,
     /*  555898 */     // GIR_Coverage, 3019,
     /*  555898 */     GIR_EraseRootFromParent_Done,
     /*  555899 */   // Label 9129: @555899
     /*  555899 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555974), // Rule ID 3022 //
     /*  555904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555972 */     GIR_RootConstrainSelectedInstOperands,
     /*  555973 */     // GIR_Coverage, 3022,
     /*  555973 */     GIR_EraseRootFromParent_Done,
     /*  555974 */   // Label 9130: @555974
     /*  555974 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(556049), // Rule ID 3023 //
     /*  555979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556047 */     GIR_RootConstrainSelectedInstOperands,
     /*  556048 */     // GIR_Coverage, 3023,
     /*  556048 */     GIR_EraseRootFromParent_Done,
     /*  556049 */   // Label 9131: @556049
     /*  556049 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(556124), // Rule ID 3026 //
     /*  556054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556122 */     GIR_RootConstrainSelectedInstOperands,
     /*  556123 */     // GIR_Coverage, 3026,
     /*  556123 */     GIR_EraseRootFromParent_Done,
     /*  556124 */   // Label 9132: @556124
     /*  556124 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(556199), // Rule ID 3027 //
     /*  556129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556197 */     GIR_RootConstrainSelectedInstOperands,
     /*  556198 */     // GIR_Coverage, 3027,
     /*  556198 */     GIR_EraseRootFromParent_Done,
     /*  556199 */   // Label 9133: @556199
     /*  556199 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556274), // Rule ID 3118 //
     /*  556204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556250 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  556253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556272 */     GIR_RootConstrainSelectedInstOperands,
     /*  556273 */     // GIR_Coverage, 3118,
     /*  556273 */     GIR_EraseRootFromParent_Done,
     /*  556274 */   // Label 9134: @556274
     /*  556274 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556349), // Rule ID 3119 //
     /*  556279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556325 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  556328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556347 */     GIR_RootConstrainSelectedInstOperands,
     /*  556348 */     // GIR_Coverage, 3119,
     /*  556348 */     GIR_EraseRootFromParent_Done,
     /*  556349 */   // Label 9135: @556349
     /*  556349 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556424), // Rule ID 3122 //
     /*  556354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556422 */     GIR_RootConstrainSelectedInstOperands,
     /*  556423 */     // GIR_Coverage, 3122,
     /*  556423 */     GIR_EraseRootFromParent_Done,
     /*  556424 */   // Label 9136: @556424
     /*  556424 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556499), // Rule ID 3123 //
     /*  556429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556475 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556497 */     GIR_RootConstrainSelectedInstOperands,
     /*  556498 */     // GIR_Coverage, 3123,
     /*  556498 */     GIR_EraseRootFromParent_Done,
     /*  556499 */   // Label 9137: @556499
     /*  556499 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556574), // Rule ID 3126 //
     /*  556504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556572 */     GIR_RootConstrainSelectedInstOperands,
     /*  556573 */     // GIR_Coverage, 3126,
     /*  556573 */     GIR_EraseRootFromParent_Done,
     /*  556574 */   // Label 9138: @556574
     /*  556574 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556649), // Rule ID 3127 //
     /*  556579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556625 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556647 */     GIR_RootConstrainSelectedInstOperands,
     /*  556648 */     // GIR_Coverage, 3127,
     /*  556648 */     GIR_EraseRootFromParent_Done,
     /*  556649 */   // Label 9139: @556649
     /*  556649 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556724), // Rule ID 3130 //
     /*  556654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556722 */     GIR_RootConstrainSelectedInstOperands,
     /*  556723 */     // GIR_Coverage, 3130,
     /*  556723 */     GIR_EraseRootFromParent_Done,
     /*  556724 */   // Label 9140: @556724
     /*  556724 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556799), // Rule ID 3131 //
     /*  556729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556775 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556797 */     GIR_RootConstrainSelectedInstOperands,
     /*  556798 */     // GIR_Coverage, 3131,
     /*  556798 */     GIR_EraseRootFromParent_Done,
     /*  556799 */   // Label 9141: @556799
     /*  556799 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556874), // Rule ID 3134 //
     /*  556804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556872 */     GIR_RootConstrainSelectedInstOperands,
     /*  556873 */     // GIR_Coverage, 3134,
     /*  556873 */     GIR_EraseRootFromParent_Done,
     /*  556874 */   // Label 9142: @556874
     /*  556874 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556949), // Rule ID 3135 //
     /*  556879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556947 */     GIR_RootConstrainSelectedInstOperands,
     /*  556948 */     // GIR_Coverage, 3135,
     /*  556948 */     GIR_EraseRootFromParent_Done,
     /*  556949 */   // Label 9143: @556949
     /*  556949 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(557024), // Rule ID 3138 //
     /*  556954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557022 */     GIR_RootConstrainSelectedInstOperands,
     /*  557023 */     // GIR_Coverage, 3138,
     /*  557023 */     GIR_EraseRootFromParent_Done,
     /*  557024 */   // Label 9144: @557024
     /*  557024 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(557099), // Rule ID 3139 //
     /*  557029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  557049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557075 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557097 */     GIR_RootConstrainSelectedInstOperands,
     /*  557098 */     // GIR_Coverage, 3139,
     /*  557098 */     GIR_EraseRootFromParent_Done,
     /*  557099 */   // Label 9145: @557099
     /*  557099 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(557174), // Rule ID 3142 //
     /*  557104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557172 */     GIR_RootConstrainSelectedInstOperands,
     /*  557173 */     // GIR_Coverage, 3142,
     /*  557173 */     GIR_EraseRootFromParent_Done,
     /*  557174 */   // Label 9146: @557174
     /*  557174 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(557249), // Rule ID 3143 //
     /*  557179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557247 */     GIR_RootConstrainSelectedInstOperands,
     /*  557248 */     // GIR_Coverage, 3143,
     /*  557248 */     GIR_EraseRootFromParent_Done,
     /*  557249 */   // Label 9147: @557249
     /*  557249 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557324), // Rule ID 3146 //
     /*  557254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  557274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557322 */     GIR_RootConstrainSelectedInstOperands,
     /*  557323 */     // GIR_Coverage, 3146,
     /*  557323 */     GIR_EraseRootFromParent_Done,
     /*  557324 */   // Label 9148: @557324
     /*  557324 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557399), // Rule ID 3147 //
     /*  557329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  557349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557397 */     GIR_RootConstrainSelectedInstOperands,
     /*  557398 */     // GIR_Coverage, 3147,
     /*  557398 */     GIR_EraseRootFromParent_Done,
     /*  557399 */   // Label 9149: @557399
     /*  557399 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557474), // Rule ID 3150 //
     /*  557404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557472 */     GIR_RootConstrainSelectedInstOperands,
     /*  557473 */     // GIR_Coverage, 3150,
     /*  557473 */     GIR_EraseRootFromParent_Done,
     /*  557474 */   // Label 9150: @557474
     /*  557474 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557549), // Rule ID 3151 //
     /*  557479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557547 */     GIR_RootConstrainSelectedInstOperands,
     /*  557548 */     // GIR_Coverage, 3151,
     /*  557548 */     GIR_EraseRootFromParent_Done,
     /*  557549 */   // Label 9151: @557549
     /*  557549 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557624), // Rule ID 3154 //
     /*  557554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557622 */     GIR_RootConstrainSelectedInstOperands,
     /*  557623 */     // GIR_Coverage, 3154,
     /*  557623 */     GIR_EraseRootFromParent_Done,
     /*  557624 */   // Label 9152: @557624
     /*  557624 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557699), // Rule ID 3155 //
     /*  557629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557675 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557697 */     GIR_RootConstrainSelectedInstOperands,
     /*  557698 */     // GIR_Coverage, 3155,
     /*  557698 */     GIR_EraseRootFromParent_Done,
     /*  557699 */   // Label 9153: @557699
     /*  557699 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557774), // Rule ID 3158 //
     /*  557704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557772 */     GIR_RootConstrainSelectedInstOperands,
     /*  557773 */     // GIR_Coverage, 3158,
     /*  557773 */     GIR_EraseRootFromParent_Done,
     /*  557774 */   // Label 9154: @557774
     /*  557774 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557849), // Rule ID 3159 //
     /*  557779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557825 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557847 */     GIR_RootConstrainSelectedInstOperands,
     /*  557848 */     // GIR_Coverage, 3159,
     /*  557848 */     GIR_EraseRootFromParent_Done,
     /*  557849 */   // Label 9155: @557849
     /*  557849 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557924), // Rule ID 3162 //
     /*  557854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557900 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557922 */     GIR_RootConstrainSelectedInstOperands,
     /*  557923 */     // GIR_Coverage, 3162,
     /*  557923 */     GIR_EraseRootFromParent_Done,
     /*  557924 */   // Label 9156: @557924
     /*  557924 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557999), // Rule ID 3163 //
     /*  557929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557997 */     GIR_RootConstrainSelectedInstOperands,
     /*  557998 */     // GIR_Coverage, 3163,
     /*  557998 */     GIR_EraseRootFromParent_Done,
     /*  557999 */   // Label 9157: @557999
     /*  557999 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(558074), // Rule ID 3166 //
     /*  558004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558072 */     GIR_RootConstrainSelectedInstOperands,
     /*  558073 */     // GIR_Coverage, 3166,
     /*  558073 */     GIR_EraseRootFromParent_Done,
     /*  558074 */   // Label 9158: @558074
     /*  558074 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(558149), // Rule ID 3167 //
     /*  558079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558147 */     GIR_RootConstrainSelectedInstOperands,
     /*  558148 */     // GIR_Coverage, 3167,
     /*  558148 */     GIR_EraseRootFromParent_Done,
     /*  558149 */   // Label 9159: @558149
     /*  558149 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(558224), // Rule ID 3170 //
     /*  558154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558222 */     GIR_RootConstrainSelectedInstOperands,
     /*  558223 */     // GIR_Coverage, 3170,
     /*  558223 */     GIR_EraseRootFromParent_Done,
     /*  558224 */   // Label 9160: @558224
     /*  558224 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558299), // Rule ID 3171 //
     /*  558229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558297 */     GIR_RootConstrainSelectedInstOperands,
     /*  558298 */     // GIR_Coverage, 3171,
     /*  558298 */     GIR_EraseRootFromParent_Done,
     /*  558299 */   // Label 9161: @558299
     /*  558299 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558374), // Rule ID 3174 //
     /*  558304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558372 */     GIR_RootConstrainSelectedInstOperands,
     /*  558373 */     // GIR_Coverage, 3174,
     /*  558373 */     GIR_EraseRootFromParent_Done,
     /*  558374 */   // Label 9162: @558374
     /*  558374 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558449), // Rule ID 3175 //
     /*  558379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558425 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558447 */     GIR_RootConstrainSelectedInstOperands,
     /*  558448 */     // GIR_Coverage, 3175,
     /*  558448 */     GIR_EraseRootFromParent_Done,
     /*  558449 */   // Label 9163: @558449
     /*  558449 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558524), // Rule ID 3178 //
     /*  558454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558522 */     GIR_RootConstrainSelectedInstOperands,
     /*  558523 */     // GIR_Coverage, 3178,
     /*  558523 */     GIR_EraseRootFromParent_Done,
     /*  558524 */   // Label 9164: @558524
     /*  558524 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558599), // Rule ID 3179 //
     /*  558529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558597 */     GIR_RootConstrainSelectedInstOperands,
     /*  558598 */     // GIR_Coverage, 3179,
     /*  558598 */     GIR_EraseRootFromParent_Done,
     /*  558599 */   // Label 9165: @558599
     /*  558599 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558674), // Rule ID 3182 //
     /*  558604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558672 */     GIR_RootConstrainSelectedInstOperands,
     /*  558673 */     // GIR_Coverage, 3182,
     /*  558673 */     GIR_EraseRootFromParent_Done,
     /*  558674 */   // Label 9166: @558674
     /*  558674 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558749), // Rule ID 3183 //
     /*  558679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558747 */     GIR_RootConstrainSelectedInstOperands,
     /*  558748 */     // GIR_Coverage, 3183,
     /*  558748 */     GIR_EraseRootFromParent_Done,
     /*  558749 */   // Label 9167: @558749
     /*  558749 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558824), // Rule ID 3186 //
     /*  558754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558822 */     GIR_RootConstrainSelectedInstOperands,
     /*  558823 */     // GIR_Coverage, 3186,
     /*  558823 */     GIR_EraseRootFromParent_Done,
     /*  558824 */   // Label 9168: @558824
     /*  558824 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558899), // Rule ID 3187 //
     /*  558829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558897 */     GIR_RootConstrainSelectedInstOperands,
     /*  558898 */     // GIR_Coverage, 3187,
     /*  558898 */     GIR_EraseRootFromParent_Done,
     /*  558899 */   // Label 9169: @558899
     /*  558899 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558974), // Rule ID 3190 //
     /*  558904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558972 */     GIR_RootConstrainSelectedInstOperands,
     /*  558973 */     // GIR_Coverage, 3190,
     /*  558973 */     GIR_EraseRootFromParent_Done,
     /*  558974 */   // Label 9170: @558974
     /*  558974 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(559049), // Rule ID 3191 //
     /*  558979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559047 */     GIR_RootConstrainSelectedInstOperands,
     /*  559048 */     // GIR_Coverage, 3191,
     /*  559048 */     GIR_EraseRootFromParent_Done,
     /*  559049 */   // Label 9171: @559049
     /*  559049 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(559124), // Rule ID 3194 //
     /*  559054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559122 */     GIR_RootConstrainSelectedInstOperands,
     /*  559123 */     // GIR_Coverage, 3194,
     /*  559123 */     GIR_EraseRootFromParent_Done,
     /*  559124 */   // Label 9172: @559124
     /*  559124 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(559199), // Rule ID 3195 //
     /*  559129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559175 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559197 */     GIR_RootConstrainSelectedInstOperands,
     /*  559198 */     // GIR_Coverage, 3195,
     /*  559198 */     GIR_EraseRootFromParent_Done,
     /*  559199 */   // Label 9173: @559199
     /*  559199 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559274), // Rule ID 3198 //
     /*  559204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559272 */     GIR_RootConstrainSelectedInstOperands,
     /*  559273 */     // GIR_Coverage, 3198,
     /*  559273 */     GIR_EraseRootFromParent_Done,
     /*  559274 */   // Label 9174: @559274
     /*  559274 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559349), // Rule ID 3199 //
     /*  559279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559347 */     GIR_RootConstrainSelectedInstOperands,
     /*  559348 */     // GIR_Coverage, 3199,
     /*  559348 */     GIR_EraseRootFromParent_Done,
     /*  559349 */   // Label 9175: @559349
     /*  559349 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559424), // Rule ID 3202 //
     /*  559354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559422 */     GIR_RootConstrainSelectedInstOperands,
     /*  559423 */     // GIR_Coverage, 3202,
     /*  559423 */     GIR_EraseRootFromParent_Done,
     /*  559424 */   // Label 9176: @559424
     /*  559424 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559499), // Rule ID 3203 //
     /*  559429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559497 */     GIR_RootConstrainSelectedInstOperands,
     /*  559498 */     // GIR_Coverage, 3203,
     /*  559498 */     GIR_EraseRootFromParent_Done,
     /*  559499 */   // Label 9177: @559499
     /*  559499 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559574), // Rule ID 3206 //
     /*  559504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559572 */     GIR_RootConstrainSelectedInstOperands,
     /*  559573 */     // GIR_Coverage, 3206,
     /*  559573 */     GIR_EraseRootFromParent_Done,
     /*  559574 */   // Label 9178: @559574
     /*  559574 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559649), // Rule ID 3207 //
     /*  559579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559647 */     GIR_RootConstrainSelectedInstOperands,
     /*  559648 */     // GIR_Coverage, 3207,
     /*  559648 */     GIR_EraseRootFromParent_Done,
     /*  559649 */   // Label 9179: @559649
     /*  559649 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559724), // Rule ID 3210 //
     /*  559654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559722 */     GIR_RootConstrainSelectedInstOperands,
     /*  559723 */     // GIR_Coverage, 3210,
     /*  559723 */     GIR_EraseRootFromParent_Done,
     /*  559724 */   // Label 9180: @559724
     /*  559724 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559799), // Rule ID 3211 //
     /*  559729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559797 */     GIR_RootConstrainSelectedInstOperands,
     /*  559798 */     // GIR_Coverage, 3211,
     /*  559798 */     GIR_EraseRootFromParent_Done,
     /*  559799 */   // Label 9181: @559799
     /*  559799 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559874), // Rule ID 3214 //
     /*  559804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559872 */     GIR_RootConstrainSelectedInstOperands,
     /*  559873 */     // GIR_Coverage, 3214,
     /*  559873 */     GIR_EraseRootFromParent_Done,
     /*  559874 */   // Label 9182: @559874
     /*  559874 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559949), // Rule ID 3215 //
     /*  559879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559947 */     GIR_RootConstrainSelectedInstOperands,
     /*  559948 */     // GIR_Coverage, 3215,
     /*  559948 */     GIR_EraseRootFromParent_Done,
     /*  559949 */   // Label 9183: @559949
     /*  559949 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(560024), // Rule ID 3218 //
     /*  559954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560022 */     GIR_RootConstrainSelectedInstOperands,
     /*  560023 */     // GIR_Coverage, 3218,
     /*  560023 */     GIR_EraseRootFromParent_Done,
     /*  560024 */   // Label 9184: @560024
     /*  560024 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(560099), // Rule ID 3219 //
     /*  560029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560097 */     GIR_RootConstrainSelectedInstOperands,
     /*  560098 */     // GIR_Coverage, 3219,
     /*  560098 */     GIR_EraseRootFromParent_Done,
     /*  560099 */   // Label 9185: @560099
     /*  560099 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(560174), // Rule ID 3222 //
     /*  560104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560172 */     GIR_RootConstrainSelectedInstOperands,
     /*  560173 */     // GIR_Coverage, 3222,
     /*  560173 */     GIR_EraseRootFromParent_Done,
     /*  560174 */   // Label 9186: @560174
     /*  560174 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(560249), // Rule ID 3223 //
     /*  560179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560247 */     GIR_RootConstrainSelectedInstOperands,
     /*  560248 */     // GIR_Coverage, 3223,
     /*  560248 */     GIR_EraseRootFromParent_Done,
     /*  560249 */   // Label 9187: @560249
     /*  560249 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560324), // Rule ID 3226 //
     /*  560254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  560271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560322 */     GIR_RootConstrainSelectedInstOperands,
     /*  560323 */     // GIR_Coverage, 3226,
     /*  560323 */     GIR_EraseRootFromParent_Done,
     /*  560324 */   // Label 9188: @560324
     /*  560324 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560399), // Rule ID 3227 //
     /*  560329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  560346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560397 */     GIR_RootConstrainSelectedInstOperands,
     /*  560398 */     // GIR_Coverage, 3227,
     /*  560398 */     GIR_EraseRootFromParent_Done,
     /*  560399 */   // Label 9189: @560399
     /*  560399 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560474), // Rule ID 3230 //
     /*  560404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560472 */     GIR_RootConstrainSelectedInstOperands,
     /*  560473 */     // GIR_Coverage, 3230,
     /*  560473 */     GIR_EraseRootFromParent_Done,
     /*  560474 */   // Label 9190: @560474
     /*  560474 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560549), // Rule ID 3231 //
     /*  560479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560525 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560547 */     GIR_RootConstrainSelectedInstOperands,
     /*  560548 */     // GIR_Coverage, 3231,
     /*  560548 */     GIR_EraseRootFromParent_Done,
     /*  560549 */   // Label 9191: @560549
     /*  560549 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560624), // Rule ID 3234 //
     /*  560554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560622 */     GIR_RootConstrainSelectedInstOperands,
     /*  560623 */     // GIR_Coverage, 3234,
     /*  560623 */     GIR_EraseRootFromParent_Done,
     /*  560624 */   // Label 9192: @560624
     /*  560624 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560699), // Rule ID 3235 //
     /*  560629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560697 */     GIR_RootConstrainSelectedInstOperands,
     /*  560698 */     // GIR_Coverage, 3235,
     /*  560698 */     GIR_EraseRootFromParent_Done,
     /*  560699 */   // Label 9193: @560699
     /*  560699 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560774), // Rule ID 3238 //
     /*  560704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560772 */     GIR_RootConstrainSelectedInstOperands,
     /*  560773 */     // GIR_Coverage, 3238,
     /*  560773 */     GIR_EraseRootFromParent_Done,
     /*  560774 */   // Label 9194: @560774
     /*  560774 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560849), // Rule ID 3239 //
     /*  560779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560847 */     GIR_RootConstrainSelectedInstOperands,
     /*  560848 */     // GIR_Coverage, 3239,
     /*  560848 */     GIR_EraseRootFromParent_Done,
     /*  560849 */   // Label 9195: @560849
     /*  560849 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560924), // Rule ID 3242 //
     /*  560854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560922 */     GIR_RootConstrainSelectedInstOperands,
     /*  560923 */     // GIR_Coverage, 3242,
     /*  560923 */     GIR_EraseRootFromParent_Done,
     /*  560924 */   // Label 9196: @560924
     /*  560924 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560999), // Rule ID 3243 //
     /*  560929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560997 */     GIR_RootConstrainSelectedInstOperands,
     /*  560998 */     // GIR_Coverage, 3243,
     /*  560998 */     GIR_EraseRootFromParent_Done,
     /*  560999 */   // Label 9197: @560999
     /*  560999 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(561074), // Rule ID 3246 //
     /*  561004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561072 */     GIR_RootConstrainSelectedInstOperands,
     /*  561073 */     // GIR_Coverage, 3246,
     /*  561073 */     GIR_EraseRootFromParent_Done,
     /*  561074 */   // Label 9198: @561074
     /*  561074 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(561149), // Rule ID 3247 //
     /*  561079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561147 */     GIR_RootConstrainSelectedInstOperands,
     /*  561148 */     // GIR_Coverage, 3247,
     /*  561148 */     GIR_EraseRootFromParent_Done,
     /*  561149 */   // Label 9199: @561149
     /*  561149 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(561224), // Rule ID 3250 //
     /*  561154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561200 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561222 */     GIR_RootConstrainSelectedInstOperands,
     /*  561223 */     // GIR_Coverage, 3250,
     /*  561223 */     GIR_EraseRootFromParent_Done,
     /*  561224 */   // Label 9200: @561224
     /*  561224 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561299), // Rule ID 3251 //
     /*  561229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561297 */     GIR_RootConstrainSelectedInstOperands,
     /*  561298 */     // GIR_Coverage, 3251,
     /*  561298 */     GIR_EraseRootFromParent_Done,
     /*  561299 */   // Label 9201: @561299
     /*  561299 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561374), // Rule ID 3254 //
     /*  561304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561372 */     GIR_RootConstrainSelectedInstOperands,
     /*  561373 */     // GIR_Coverage, 3254,
     /*  561373 */     GIR_EraseRootFromParent_Done,
     /*  561374 */   // Label 9202: @561374
     /*  561374 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561449), // Rule ID 3255 //
     /*  561379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561447 */     GIR_RootConstrainSelectedInstOperands,
     /*  561448 */     // GIR_Coverage, 3255,
     /*  561448 */     GIR_EraseRootFromParent_Done,
     /*  561449 */   // Label 9203: @561449
     /*  561449 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561524), // Rule ID 3258 //
     /*  561454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561522 */     GIR_RootConstrainSelectedInstOperands,
     /*  561523 */     // GIR_Coverage, 3258,
     /*  561523 */     GIR_EraseRootFromParent_Done,
     /*  561524 */   // Label 9204: @561524
     /*  561524 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561599), // Rule ID 3259 //
     /*  561529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561597 */     GIR_RootConstrainSelectedInstOperands,
     /*  561598 */     // GIR_Coverage, 3259,
     /*  561598 */     GIR_EraseRootFromParent_Done,
     /*  561599 */   // Label 9205: @561599
     /*  561599 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561674), // Rule ID 3262 //
     /*  561604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561672 */     GIR_RootConstrainSelectedInstOperands,
     /*  561673 */     // GIR_Coverage, 3262,
     /*  561673 */     GIR_EraseRootFromParent_Done,
     /*  561674 */   // Label 9206: @561674
     /*  561674 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561749), // Rule ID 3263 //
     /*  561679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561725 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561747 */     GIR_RootConstrainSelectedInstOperands,
     /*  561748 */     // GIR_Coverage, 3263,
     /*  561748 */     GIR_EraseRootFromParent_Done,
     /*  561749 */   // Label 9207: @561749
     /*  561749 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561824), // Rule ID 3266 //
     /*  561754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561822 */     GIR_RootConstrainSelectedInstOperands,
     /*  561823 */     // GIR_Coverage, 3266,
     /*  561823 */     GIR_EraseRootFromParent_Done,
     /*  561824 */   // Label 9208: @561824
     /*  561824 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561899), // Rule ID 3267 //
     /*  561829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561897 */     GIR_RootConstrainSelectedInstOperands,
     /*  561898 */     // GIR_Coverage, 3267,
     /*  561898 */     GIR_EraseRootFromParent_Done,
     /*  561899 */   // Label 9209: @561899
     /*  561899 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561974), // Rule ID 3270 //
     /*  561904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561972 */     GIR_RootConstrainSelectedInstOperands,
     /*  561973 */     // GIR_Coverage, 3270,
     /*  561973 */     GIR_EraseRootFromParent_Done,
     /*  561974 */   // Label 9210: @561974
     /*  561974 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(562049), // Rule ID 3271 //
     /*  561979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562047 */     GIR_RootConstrainSelectedInstOperands,
     /*  562048 */     // GIR_Coverage, 3271,
     /*  562048 */     GIR_EraseRootFromParent_Done,
     /*  562049 */   // Label 9211: @562049
     /*  562049 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(562124), // Rule ID 3274 //
     /*  562054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562122 */     GIR_RootConstrainSelectedInstOperands,
     /*  562123 */     // GIR_Coverage, 3274,
     /*  562123 */     GIR_EraseRootFromParent_Done,
     /*  562124 */   // Label 9212: @562124
     /*  562124 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(562199), // Rule ID 3275 //
     /*  562129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562197 */     GIR_RootConstrainSelectedInstOperands,
     /*  562198 */     // GIR_Coverage, 3275,
     /*  562198 */     GIR_EraseRootFromParent_Done,
     /*  562199 */   // Label 9213: @562199
     /*  562199 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562274), // Rule ID 3278 //
     /*  562204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562272 */     GIR_RootConstrainSelectedInstOperands,
     /*  562273 */     // GIR_Coverage, 3278,
     /*  562273 */     GIR_EraseRootFromParent_Done,
     /*  562274 */   // Label 9214: @562274
     /*  562274 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562349), // Rule ID 3279 //
     /*  562279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562347 */     GIR_RootConstrainSelectedInstOperands,
     /*  562348 */     // GIR_Coverage, 3279,
     /*  562348 */     GIR_EraseRootFromParent_Done,
     /*  562349 */   // Label 9215: @562349
     /*  562349 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562424), // Rule ID 3282 //
     /*  562354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562422 */     GIR_RootConstrainSelectedInstOperands,
     /*  562423 */     // GIR_Coverage, 3282,
     /*  562423 */     GIR_EraseRootFromParent_Done,
     /*  562424 */   // Label 9216: @562424
     /*  562424 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562499), // Rule ID 3283 //
     /*  562429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562497 */     GIR_RootConstrainSelectedInstOperands,
     /*  562498 */     // GIR_Coverage, 3283,
     /*  562498 */     GIR_EraseRootFromParent_Done,
     /*  562499 */   // Label 9217: @562499
     /*  562499 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562574), // Rule ID 3286 //
     /*  562504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562550 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562572 */     GIR_RootConstrainSelectedInstOperands,
     /*  562573 */     // GIR_Coverage, 3286,
     /*  562573 */     GIR_EraseRootFromParent_Done,
     /*  562574 */   // Label 9218: @562574
     /*  562574 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562649), // Rule ID 3287 //
     /*  562579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562647 */     GIR_RootConstrainSelectedInstOperands,
     /*  562648 */     // GIR_Coverage, 3287,
     /*  562648 */     GIR_EraseRootFromParent_Done,
     /*  562649 */   // Label 9219: @562649
     /*  562649 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562724), // Rule ID 3290 //
     /*  562654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562722 */     GIR_RootConstrainSelectedInstOperands,
     /*  562723 */     // GIR_Coverage, 3290,
     /*  562723 */     GIR_EraseRootFromParent_Done,
     /*  562724 */   // Label 9220: @562724
     /*  562724 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562799), // Rule ID 3291 //
     /*  562729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562797 */     GIR_RootConstrainSelectedInstOperands,
     /*  562798 */     // GIR_Coverage, 3291,
     /*  562798 */     GIR_EraseRootFromParent_Done,
     /*  562799 */   // Label 9221: @562799
     /*  562799 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562874), // Rule ID 3294 //
     /*  562804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562872 */     GIR_RootConstrainSelectedInstOperands,
     /*  562873 */     // GIR_Coverage, 3294,
     /*  562873 */     GIR_EraseRootFromParent_Done,
     /*  562874 */   // Label 9222: @562874
     /*  562874 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562949), // Rule ID 3295 //
     /*  562879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562925 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562947 */     GIR_RootConstrainSelectedInstOperands,
     /*  562948 */     // GIR_Coverage, 3295,
     /*  562948 */     GIR_EraseRootFromParent_Done,
     /*  562949 */   // Label 9223: @562949
     /*  562949 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(563024), // Rule ID 3298 //
     /*  562954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563022 */     GIR_RootConstrainSelectedInstOperands,
     /*  563023 */     // GIR_Coverage, 3298,
     /*  563023 */     GIR_EraseRootFromParent_Done,
     /*  563024 */   // Label 9224: @563024
     /*  563024 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(563099), // Rule ID 3299 //
     /*  563029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563075 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563097 */     GIR_RootConstrainSelectedInstOperands,
     /*  563098 */     // GIR_Coverage, 3299,
     /*  563098 */     GIR_EraseRootFromParent_Done,
     /*  563099 */   // Label 9225: @563099
     /*  563099 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(563174), // Rule ID 3302 //
     /*  563104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563172 */     GIR_RootConstrainSelectedInstOperands,
     /*  563173 */     // GIR_Coverage, 3302,
     /*  563173 */     GIR_EraseRootFromParent_Done,
     /*  563174 */   // Label 9226: @563174
     /*  563174 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(563249), // Rule ID 3303 //
     /*  563179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563225 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563247 */     GIR_RootConstrainSelectedInstOperands,
     /*  563248 */     // GIR_Coverage, 3303,
     /*  563248 */     GIR_EraseRootFromParent_Done,
     /*  563249 */   // Label 9227: @563249
     /*  563249 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563324), // Rule ID 3306 //
     /*  563254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563322 */     GIR_RootConstrainSelectedInstOperands,
     /*  563323 */     // GIR_Coverage, 3306,
     /*  563323 */     GIR_EraseRootFromParent_Done,
     /*  563324 */   // Label 9228: @563324
     /*  563324 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563399), // Rule ID 3307 //
     /*  563329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563375 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563397 */     GIR_RootConstrainSelectedInstOperands,
     /*  563398 */     // GIR_Coverage, 3307,
     /*  563398 */     GIR_EraseRootFromParent_Done,
     /*  563399 */   // Label 9229: @563399
     /*  563399 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563474), // Rule ID 3310 //
     /*  563404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563472 */     GIR_RootConstrainSelectedInstOperands,
     /*  563473 */     // GIR_Coverage, 3310,
     /*  563473 */     GIR_EraseRootFromParent_Done,
     /*  563474 */   // Label 9230: @563474
     /*  563474 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563549), // Rule ID 3311 //
     /*  563479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563525 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563547 */     GIR_RootConstrainSelectedInstOperands,
     /*  563548 */     // GIR_Coverage, 3311,
     /*  563548 */     GIR_EraseRootFromParent_Done,
     /*  563549 */   // Label 9231: @563549
     /*  563549 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563624), // Rule ID 3314 //
     /*  563554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563622 */     GIR_RootConstrainSelectedInstOperands,
     /*  563623 */     // GIR_Coverage, 3314,
     /*  563623 */     GIR_EraseRootFromParent_Done,
     /*  563624 */   // Label 9232: @563624
     /*  563624 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563699), // Rule ID 3315 //
     /*  563629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563697 */     GIR_RootConstrainSelectedInstOperands,
     /*  563698 */     // GIR_Coverage, 3315,
     /*  563698 */     GIR_EraseRootFromParent_Done,
     /*  563699 */   // Label 9233: @563699
     /*  563699 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563774), // Rule ID 3318 //
     /*  563704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563772 */     GIR_RootConstrainSelectedInstOperands,
     /*  563773 */     // GIR_Coverage, 3318,
     /*  563773 */     GIR_EraseRootFromParent_Done,
     /*  563774 */   // Label 9234: @563774
     /*  563774 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563849), // Rule ID 3319 //
     /*  563779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563847 */     GIR_RootConstrainSelectedInstOperands,
     /*  563848 */     // GIR_Coverage, 3319,
     /*  563848 */     GIR_EraseRootFromParent_Done,
     /*  563849 */   // Label 9235: @563849
     /*  563849 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563924), // Rule ID 3322 //
     /*  563854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563922 */     GIR_RootConstrainSelectedInstOperands,
     /*  563923 */     // GIR_Coverage, 3322,
     /*  563923 */     GIR_EraseRootFromParent_Done,
     /*  563924 */   // Label 9236: @563924
     /*  563924 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563999), // Rule ID 3323 //
     /*  563929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563997 */     GIR_RootConstrainSelectedInstOperands,
     /*  563998 */     // GIR_Coverage, 3323,
     /*  563998 */     GIR_EraseRootFromParent_Done,
     /*  563999 */   // Label 9237: @563999
     /*  563999 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(564074), // Rule ID 3326 //
     /*  564004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564072 */     GIR_RootConstrainSelectedInstOperands,
     /*  564073 */     // GIR_Coverage, 3326,
     /*  564073 */     GIR_EraseRootFromParent_Done,
     /*  564074 */   // Label 9238: @564074
     /*  564074 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(564149), // Rule ID 3327 //
     /*  564079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564147 */     GIR_RootConstrainSelectedInstOperands,
     /*  564148 */     // GIR_Coverage, 3327,
     /*  564148 */     GIR_EraseRootFromParent_Done,
     /*  564149 */   // Label 9239: @564149
     /*  564149 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(564224), // Rule ID 3330 //
     /*  564154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564222 */     GIR_RootConstrainSelectedInstOperands,
     /*  564223 */     // GIR_Coverage, 3330,
     /*  564223 */     GIR_EraseRootFromParent_Done,
     /*  564224 */   // Label 9240: @564224
     /*  564224 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564299), // Rule ID 3331 //
     /*  564229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564297 */     GIR_RootConstrainSelectedInstOperands,
     /*  564298 */     // GIR_Coverage, 3331,
     /*  564298 */     GIR_EraseRootFromParent_Done,
     /*  564299 */   // Label 9241: @564299
     /*  564299 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564374), // Rule ID 3334 //
     /*  564304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564372 */     GIR_RootConstrainSelectedInstOperands,
     /*  564373 */     // GIR_Coverage, 3334,
     /*  564373 */     GIR_EraseRootFromParent_Done,
     /*  564374 */   // Label 9242: @564374
     /*  564374 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564449), // Rule ID 3335 //
     /*  564379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564447 */     GIR_RootConstrainSelectedInstOperands,
     /*  564448 */     // GIR_Coverage, 3335,
     /*  564448 */     GIR_EraseRootFromParent_Done,
     /*  564449 */   // Label 9243: @564449
     /*  564449 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564524), // Rule ID 3338 //
     /*  564454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564522 */     GIR_RootConstrainSelectedInstOperands,
     /*  564523 */     // GIR_Coverage, 3338,
     /*  564523 */     GIR_EraseRootFromParent_Done,
     /*  564524 */   // Label 9244: @564524
     /*  564524 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564599), // Rule ID 3339 //
     /*  564529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564575 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564597 */     GIR_RootConstrainSelectedInstOperands,
     /*  564598 */     // GIR_Coverage, 3339,
     /*  564598 */     GIR_EraseRootFromParent_Done,
     /*  564599 */   // Label 9245: @564599
     /*  564599 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564674), // Rule ID 3342 //
     /*  564604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564650 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564672 */     GIR_RootConstrainSelectedInstOperands,
     /*  564673 */     // GIR_Coverage, 3342,
     /*  564673 */     GIR_EraseRootFromParent_Done,
     /*  564674 */   // Label 9246: @564674
     /*  564674 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564749), // Rule ID 3343 //
     /*  564679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564725 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564747 */     GIR_RootConstrainSelectedInstOperands,
     /*  564748 */     // GIR_Coverage, 3343,
     /*  564748 */     GIR_EraseRootFromParent_Done,
     /*  564749 */   // Label 9247: @564749
     /*  564749 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564824), // Rule ID 3346 //
     /*  564754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564822 */     GIR_RootConstrainSelectedInstOperands,
     /*  564823 */     // GIR_Coverage, 3346,
     /*  564823 */     GIR_EraseRootFromParent_Done,
     /*  564824 */   // Label 9248: @564824
     /*  564824 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564899), // Rule ID 3347 //
     /*  564829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564897 */     GIR_RootConstrainSelectedInstOperands,
     /*  564898 */     // GIR_Coverage, 3347,
     /*  564898 */     GIR_EraseRootFromParent_Done,
     /*  564899 */   // Label 9249: @564899
     /*  564899 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564974), // Rule ID 3350 //
     /*  564904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564972 */     GIR_RootConstrainSelectedInstOperands,
     /*  564973 */     // GIR_Coverage, 3350,
     /*  564973 */     GIR_EraseRootFromParent_Done,
     /*  564974 */   // Label 9250: @564974
     /*  564974 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(565049), // Rule ID 3351 //
     /*  564979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565025 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565047 */     GIR_RootConstrainSelectedInstOperands,
     /*  565048 */     // GIR_Coverage, 3351,
     /*  565048 */     GIR_EraseRootFromParent_Done,
     /*  565049 */   // Label 9251: @565049
     /*  565049 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(565124), // Rule ID 3354 //
     /*  565054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565122 */     GIR_RootConstrainSelectedInstOperands,
     /*  565123 */     // GIR_Coverage, 3354,
     /*  565123 */     GIR_EraseRootFromParent_Done,
     /*  565124 */   // Label 9252: @565124
     /*  565124 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(565199), // Rule ID 3355 //
     /*  565129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565175 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565197 */     GIR_RootConstrainSelectedInstOperands,
     /*  565198 */     // GIR_Coverage, 3355,
     /*  565198 */     GIR_EraseRootFromParent_Done,
     /*  565199 */   // Label 9253: @565199
     /*  565199 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565274), // Rule ID 3358 //
     /*  565204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565272 */     GIR_RootConstrainSelectedInstOperands,
     /*  565273 */     // GIR_Coverage, 3358,
     /*  565273 */     GIR_EraseRootFromParent_Done,
     /*  565274 */   // Label 9254: @565274
     /*  565274 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565349), // Rule ID 3359 //
     /*  565279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565347 */     GIR_RootConstrainSelectedInstOperands,
     /*  565348 */     // GIR_Coverage, 3359,
     /*  565348 */     GIR_EraseRootFromParent_Done,
     /*  565349 */   // Label 9255: @565349
     /*  565349 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565424), // Rule ID 3362 //
     /*  565354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565422 */     GIR_RootConstrainSelectedInstOperands,
     /*  565423 */     // GIR_Coverage, 3362,
     /*  565423 */     GIR_EraseRootFromParent_Done,
     /*  565424 */   // Label 9256: @565424
     /*  565424 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565499), // Rule ID 3363 //
     /*  565429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565497 */     GIR_RootConstrainSelectedInstOperands,
     /*  565498 */     // GIR_Coverage, 3363,
     /*  565498 */     GIR_EraseRootFromParent_Done,
     /*  565499 */   // Label 9257: @565499
     /*  565499 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565574), // Rule ID 3366 //
     /*  565504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565572 */     GIR_RootConstrainSelectedInstOperands,
     /*  565573 */     // GIR_Coverage, 3366,
     /*  565573 */     GIR_EraseRootFromParent_Done,
     /*  565574 */   // Label 9258: @565574
     /*  565574 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565649), // Rule ID 3367 //
     /*  565579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565625 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565647 */     GIR_RootConstrainSelectedInstOperands,
     /*  565648 */     // GIR_Coverage, 3367,
     /*  565648 */     GIR_EraseRootFromParent_Done,
     /*  565649 */   // Label 9259: @565649
     /*  565649 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565724), // Rule ID 3370 //
     /*  565654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565722 */     GIR_RootConstrainSelectedInstOperands,
     /*  565723 */     // GIR_Coverage, 3370,
     /*  565723 */     GIR_EraseRootFromParent_Done,
     /*  565724 */   // Label 9260: @565724
     /*  565724 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565799), // Rule ID 3371 //
     /*  565729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565797 */     GIR_RootConstrainSelectedInstOperands,
     /*  565798 */     // GIR_Coverage, 3371,
     /*  565798 */     GIR_EraseRootFromParent_Done,
     /*  565799 */   // Label 9261: @565799
     /*  565799 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565874), // Rule ID 3374 //
     /*  565804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565872 */     GIR_RootConstrainSelectedInstOperands,
     /*  565873 */     // GIR_Coverage, 3374,
     /*  565873 */     GIR_EraseRootFromParent_Done,
     /*  565874 */   // Label 9262: @565874
     /*  565874 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565949), // Rule ID 3375 //
     /*  565879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565947 */     GIR_RootConstrainSelectedInstOperands,
     /*  565948 */     // GIR_Coverage, 3375,
     /*  565948 */     GIR_EraseRootFromParent_Done,
     /*  565949 */   // Label 9263: @565949
     /*  565949 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(566024), // Rule ID 3378 //
     /*  565954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566022 */     GIR_RootConstrainSelectedInstOperands,
     /*  566023 */     // GIR_Coverage, 3378,
     /*  566023 */     GIR_EraseRootFromParent_Done,
     /*  566024 */   // Label 9264: @566024
     /*  566024 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(566099), // Rule ID 3379 //
     /*  566029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566097 */     GIR_RootConstrainSelectedInstOperands,
     /*  566098 */     // GIR_Coverage, 3379,
     /*  566098 */     GIR_EraseRootFromParent_Done,
     /*  566099 */   // Label 9265: @566099
     /*  566099 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(566174), // Rule ID 3470 //
     /*  566104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566172 */     GIR_RootConstrainSelectedInstOperands,
     /*  566173 */     // GIR_Coverage, 3470,
     /*  566173 */     GIR_EraseRootFromParent_Done,
     /*  566174 */   // Label 9266: @566174
     /*  566174 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(566249), // Rule ID 3471 //
     /*  566179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566247 */     GIR_RootConstrainSelectedInstOperands,
     /*  566248 */     // GIR_Coverage, 3471,
     /*  566248 */     GIR_EraseRootFromParent_Done,
     /*  566249 */   // Label 9267: @566249
     /*  566249 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566324), // Rule ID 3474 //
     /*  566254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  566274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566322 */     GIR_RootConstrainSelectedInstOperands,
     /*  566323 */     // GIR_Coverage, 3474,
     /*  566323 */     GIR_EraseRootFromParent_Done,
     /*  566324 */   // Label 9268: @566324
     /*  566324 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566399), // Rule ID 3475 //
     /*  566329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  566349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566375 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566397 */     GIR_RootConstrainSelectedInstOperands,
     /*  566398 */     // GIR_Coverage, 3475,
     /*  566398 */     GIR_EraseRootFromParent_Done,
     /*  566399 */   // Label 9269: @566399
     /*  566399 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566474), // Rule ID 3478 //
     /*  566404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566472 */     GIR_RootConstrainSelectedInstOperands,
     /*  566473 */     // GIR_Coverage, 3478,
     /*  566473 */     GIR_EraseRootFromParent_Done,
     /*  566474 */   // Label 9270: @566474
     /*  566474 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566549), // Rule ID 3479 //
     /*  566479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566547 */     GIR_RootConstrainSelectedInstOperands,
     /*  566548 */     // GIR_Coverage, 3479,
     /*  566548 */     GIR_EraseRootFromParent_Done,
     /*  566549 */   // Label 9271: @566549
     /*  566549 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566624), // Rule ID 3482 //
     /*  566554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566622 */     GIR_RootConstrainSelectedInstOperands,
     /*  566623 */     // GIR_Coverage, 3482,
     /*  566623 */     GIR_EraseRootFromParent_Done,
     /*  566624 */   // Label 9272: @566624
     /*  566624 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566699), // Rule ID 3483 //
     /*  566629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566697 */     GIR_RootConstrainSelectedInstOperands,
     /*  566698 */     // GIR_Coverage, 3483,
     /*  566698 */     GIR_EraseRootFromParent_Done,
     /*  566699 */   // Label 9273: @566699
     /*  566699 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566774), // Rule ID 3486 //
     /*  566704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566772 */     GIR_RootConstrainSelectedInstOperands,
     /*  566773 */     // GIR_Coverage, 3486,
     /*  566773 */     GIR_EraseRootFromParent_Done,
     /*  566774 */   // Label 9274: @566774
     /*  566774 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566849), // Rule ID 3487 //
     /*  566779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566847 */     GIR_RootConstrainSelectedInstOperands,
     /*  566848 */     // GIR_Coverage, 3487,
     /*  566848 */     GIR_EraseRootFromParent_Done,
     /*  566849 */   // Label 9275: @566849
     /*  566849 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566924), // Rule ID 3490 //
     /*  566854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566922 */     GIR_RootConstrainSelectedInstOperands,
     /*  566923 */     // GIR_Coverage, 3490,
     /*  566923 */     GIR_EraseRootFromParent_Done,
     /*  566924 */   // Label 9276: @566924
     /*  566924 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566999), // Rule ID 3491 //
     /*  566929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566997 */     GIR_RootConstrainSelectedInstOperands,
     /*  566998 */     // GIR_Coverage, 3491,
     /*  566998 */     GIR_EraseRootFromParent_Done,
     /*  566999 */   // Label 9277: @566999
     /*  566999 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(567074), // Rule ID 3494 //
     /*  567004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567072 */     GIR_RootConstrainSelectedInstOperands,
     /*  567073 */     // GIR_Coverage, 3494,
     /*  567073 */     GIR_EraseRootFromParent_Done,
     /*  567074 */   // Label 9278: @567074
     /*  567074 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(567149), // Rule ID 3495 //
     /*  567079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567147 */     GIR_RootConstrainSelectedInstOperands,
     /*  567148 */     // GIR_Coverage, 3495,
     /*  567148 */     GIR_EraseRootFromParent_Done,
     /*  567149 */   // Label 9279: @567149
     /*  567149 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(567224), // Rule ID 3498 //
     /*  567154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567222 */     GIR_RootConstrainSelectedInstOperands,
     /*  567223 */     // GIR_Coverage, 3498,
     /*  567223 */     GIR_EraseRootFromParent_Done,
     /*  567224 */   // Label 9280: @567224
     /*  567224 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567299), // Rule ID 3499 //
     /*  567229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567297 */     GIR_RootConstrainSelectedInstOperands,
     /*  567298 */     // GIR_Coverage, 3499,
     /*  567298 */     GIR_EraseRootFromParent_Done,
     /*  567299 */   // Label 9281: @567299
     /*  567299 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567374), // Rule ID 3502 //
     /*  567304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567372 */     GIR_RootConstrainSelectedInstOperands,
     /*  567373 */     // GIR_Coverage, 3502,
     /*  567373 */     GIR_EraseRootFromParent_Done,
     /*  567374 */   // Label 9282: @567374
     /*  567374 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567449), // Rule ID 3503 //
     /*  567379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567447 */     GIR_RootConstrainSelectedInstOperands,
     /*  567448 */     // GIR_Coverage, 3503,
     /*  567448 */     GIR_EraseRootFromParent_Done,
     /*  567449 */   // Label 9283: @567449
     /*  567449 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567524), // Rule ID 3506 //
     /*  567454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567522 */     GIR_RootConstrainSelectedInstOperands,
     /*  567523 */     // GIR_Coverage, 3506,
     /*  567523 */     GIR_EraseRootFromParent_Done,
     /*  567524 */   // Label 9284: @567524
     /*  567524 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567599), // Rule ID 3507 //
     /*  567529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567597 */     GIR_RootConstrainSelectedInstOperands,
     /*  567598 */     // GIR_Coverage, 3507,
     /*  567598 */     GIR_EraseRootFromParent_Done,
     /*  567599 */   // Label 9285: @567599
     /*  567599 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567674), // Rule ID 3510 //
     /*  567604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567672 */     GIR_RootConstrainSelectedInstOperands,
     /*  567673 */     // GIR_Coverage, 3510,
     /*  567673 */     GIR_EraseRootFromParent_Done,
     /*  567674 */   // Label 9286: @567674
     /*  567674 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567749), // Rule ID 3511 //
     /*  567679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567747 */     GIR_RootConstrainSelectedInstOperands,
     /*  567748 */     // GIR_Coverage, 3511,
     /*  567748 */     GIR_EraseRootFromParent_Done,
     /*  567749 */   // Label 9287: @567749
     /*  567749 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567824), // Rule ID 3514 //
     /*  567754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567822 */     GIR_RootConstrainSelectedInstOperands,
     /*  567823 */     // GIR_Coverage, 3514,
     /*  567823 */     GIR_EraseRootFromParent_Done,
     /*  567824 */   // Label 9288: @567824
     /*  567824 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567899), // Rule ID 3515 //
     /*  567829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567897 */     GIR_RootConstrainSelectedInstOperands,
     /*  567898 */     // GIR_Coverage, 3515,
     /*  567898 */     GIR_EraseRootFromParent_Done,
     /*  567899 */   // Label 9289: @567899
     /*  567899 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567974), // Rule ID 3518 //
     /*  567904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567972 */     GIR_RootConstrainSelectedInstOperands,
     /*  567973 */     // GIR_Coverage, 3518,
     /*  567973 */     GIR_EraseRootFromParent_Done,
     /*  567974 */   // Label 9290: @567974
     /*  567974 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(568049), // Rule ID 3519 //
     /*  567979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568047 */     GIR_RootConstrainSelectedInstOperands,
     /*  568048 */     // GIR_Coverage, 3519,
     /*  568048 */     GIR_EraseRootFromParent_Done,
     /*  568049 */   // Label 9291: @568049
     /*  568049 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(568124), // Rule ID 3522 //
     /*  568054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568122 */     GIR_RootConstrainSelectedInstOperands,
     /*  568123 */     // GIR_Coverage, 3522,
     /*  568123 */     GIR_EraseRootFromParent_Done,
     /*  568124 */   // Label 9292: @568124
     /*  568124 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(568199), // Rule ID 3523 //
     /*  568129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568175 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568197 */     GIR_RootConstrainSelectedInstOperands,
     /*  568198 */     // GIR_Coverage, 3523,
     /*  568198 */     GIR_EraseRootFromParent_Done,
     /*  568199 */   // Label 9293: @568199
     /*  568199 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568274), // Rule ID 3526 //
     /*  568204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568272 */     GIR_RootConstrainSelectedInstOperands,
     /*  568273 */     // GIR_Coverage, 3526,
     /*  568273 */     GIR_EraseRootFromParent_Done,
     /*  568274 */   // Label 9294: @568274
     /*  568274 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568349), // Rule ID 3527 //
     /*  568279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568347 */     GIR_RootConstrainSelectedInstOperands,
     /*  568348 */     // GIR_Coverage, 3527,
     /*  568348 */     GIR_EraseRootFromParent_Done,
     /*  568349 */   // Label 9295: @568349
     /*  568349 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568424), // Rule ID 3530 //
     /*  568354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568422 */     GIR_RootConstrainSelectedInstOperands,
     /*  568423 */     // GIR_Coverage, 3530,
     /*  568423 */     GIR_EraseRootFromParent_Done,
     /*  568424 */   // Label 9296: @568424
     /*  568424 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568499), // Rule ID 3531 //
     /*  568429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568497 */     GIR_RootConstrainSelectedInstOperands,
     /*  568498 */     // GIR_Coverage, 3531,
     /*  568498 */     GIR_EraseRootFromParent_Done,
     /*  568499 */   // Label 9297: @568499
     /*  568499 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568574), // Rule ID 3534 //
     /*  568504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568572 */     GIR_RootConstrainSelectedInstOperands,
     /*  568573 */     // GIR_Coverage, 3534,
     /*  568573 */     GIR_EraseRootFromParent_Done,
     /*  568574 */   // Label 9298: @568574
     /*  568574 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568649), // Rule ID 3535 //
     /*  568579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568625 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568647 */     GIR_RootConstrainSelectedInstOperands,
     /*  568648 */     // GIR_Coverage, 3535,
     /*  568648 */     GIR_EraseRootFromParent_Done,
     /*  568649 */   // Label 9299: @568649
     /*  568649 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568724), // Rule ID 3538 //
     /*  568654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568722 */     GIR_RootConstrainSelectedInstOperands,
     /*  568723 */     // GIR_Coverage, 3538,
     /*  568723 */     GIR_EraseRootFromParent_Done,
     /*  568724 */   // Label 9300: @568724
     /*  568724 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568799), // Rule ID 3539 //
     /*  568729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568797 */     GIR_RootConstrainSelectedInstOperands,
     /*  568798 */     // GIR_Coverage, 3539,
     /*  568798 */     GIR_EraseRootFromParent_Done,
     /*  568799 */   // Label 9301: @568799
     /*  568799 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568874), // Rule ID 3542 //
     /*  568804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568872 */     GIR_RootConstrainSelectedInstOperands,
     /*  568873 */     // GIR_Coverage, 3542,
     /*  568873 */     GIR_EraseRootFromParent_Done,
     /*  568874 */   // Label 9302: @568874
     /*  568874 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568949), // Rule ID 3543 //
     /*  568879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568947 */     GIR_RootConstrainSelectedInstOperands,
     /*  568948 */     // GIR_Coverage, 3543,
     /*  568948 */     GIR_EraseRootFromParent_Done,
     /*  568949 */   // Label 9303: @568949
     /*  568949 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(569024), // Rule ID 3546 //
     /*  568954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569022 */     GIR_RootConstrainSelectedInstOperands,
     /*  569023 */     // GIR_Coverage, 3546,
     /*  569023 */     GIR_EraseRootFromParent_Done,
     /*  569024 */   // Label 9304: @569024
     /*  569024 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(569099), // Rule ID 3547 //
     /*  569029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569097 */     GIR_RootConstrainSelectedInstOperands,
     /*  569098 */     // GIR_Coverage, 3547,
     /*  569098 */     GIR_EraseRootFromParent_Done,
     /*  569099 */   // Label 9305: @569099
     /*  569099 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(569174), // Rule ID 3550 //
     /*  569104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569172 */     GIR_RootConstrainSelectedInstOperands,
     /*  569173 */     // GIR_Coverage, 3550,
     /*  569173 */     GIR_EraseRootFromParent_Done,
     /*  569174 */   // Label 9306: @569174
     /*  569174 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(569249), // Rule ID 3551 //
     /*  569179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569225 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569247 */     GIR_RootConstrainSelectedInstOperands,
     /*  569248 */     // GIR_Coverage, 3551,
     /*  569248 */     GIR_EraseRootFromParent_Done,
     /*  569249 */   // Label 9307: @569249
     /*  569249 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569324), // Rule ID 3554 //
     /*  569254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569322 */     GIR_RootConstrainSelectedInstOperands,
     /*  569323 */     // GIR_Coverage, 3554,
     /*  569323 */     GIR_EraseRootFromParent_Done,
     /*  569324 */   // Label 9308: @569324
     /*  569324 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569399), // Rule ID 3555 //
     /*  569329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569397 */     GIR_RootConstrainSelectedInstOperands,
     /*  569398 */     // GIR_Coverage, 3555,
     /*  569398 */     GIR_EraseRootFromParent_Done,
     /*  569399 */   // Label 9309: @569399
     /*  569399 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569474), // Rule ID 3558 //
     /*  569404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569472 */     GIR_RootConstrainSelectedInstOperands,
     /*  569473 */     // GIR_Coverage, 3558,
     /*  569473 */     GIR_EraseRootFromParent_Done,
     /*  569474 */   // Label 9310: @569474
     /*  569474 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569549), // Rule ID 3559 //
     /*  569479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569547 */     GIR_RootConstrainSelectedInstOperands,
     /*  569548 */     // GIR_Coverage, 3559,
     /*  569548 */     GIR_EraseRootFromParent_Done,
     /*  569549 */   // Label 9311: @569549
     /*  569549 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569624), // Rule ID 3562 //
     /*  569554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569622 */     GIR_RootConstrainSelectedInstOperands,
     /*  569623 */     // GIR_Coverage, 3562,
     /*  569623 */     GIR_EraseRootFromParent_Done,
     /*  569624 */   // Label 9312: @569624
     /*  569624 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569699), // Rule ID 3563 //
     /*  569629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569697 */     GIR_RootConstrainSelectedInstOperands,
     /*  569698 */     // GIR_Coverage, 3563,
     /*  569698 */     GIR_EraseRootFromParent_Done,
     /*  569699 */   // Label 9313: @569699
     /*  569699 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569774), // Rule ID 3566 //
     /*  569704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569772 */     GIR_RootConstrainSelectedInstOperands,
     /*  569773 */     // GIR_Coverage, 3566,
     /*  569773 */     GIR_EraseRootFromParent_Done,
     /*  569774 */   // Label 9314: @569774
     /*  569774 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569849), // Rule ID 3567 //
     /*  569779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569847 */     GIR_RootConstrainSelectedInstOperands,
     /*  569848 */     // GIR_Coverage, 3567,
     /*  569848 */     GIR_EraseRootFromParent_Done,
     /*  569849 */   // Label 9315: @569849
     /*  569849 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569924), // Rule ID 3570 //
     /*  569854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569922 */     GIR_RootConstrainSelectedInstOperands,
     /*  569923 */     // GIR_Coverage, 3570,
     /*  569923 */     GIR_EraseRootFromParent_Done,
     /*  569924 */   // Label 9316: @569924
     /*  569924 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569999), // Rule ID 3571 //
     /*  569929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569997 */     GIR_RootConstrainSelectedInstOperands,
     /*  569998 */     // GIR_Coverage, 3571,
     /*  569998 */     GIR_EraseRootFromParent_Done,
     /*  569999 */   // Label 9317: @569999
     /*  569999 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(570074), // Rule ID 3574 //
     /*  570004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570072 */     GIR_RootConstrainSelectedInstOperands,
     /*  570073 */     // GIR_Coverage, 3574,
     /*  570073 */     GIR_EraseRootFromParent_Done,
     /*  570074 */   // Label 9318: @570074
     /*  570074 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(570149), // Rule ID 3575 //
     /*  570079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570147 */     GIR_RootConstrainSelectedInstOperands,
     /*  570148 */     // GIR_Coverage, 3575,
     /*  570148 */     GIR_EraseRootFromParent_Done,
     /*  570149 */   // Label 9319: @570149
     /*  570149 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(570224), // Rule ID 3578 //
     /*  570154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570222 */     GIR_RootConstrainSelectedInstOperands,
     /*  570223 */     // GIR_Coverage, 3578,
     /*  570223 */     GIR_EraseRootFromParent_Done,
     /*  570224 */   // Label 9320: @570224
     /*  570224 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570299), // Rule ID 3579 //
     /*  570229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570297 */     GIR_RootConstrainSelectedInstOperands,
     /*  570298 */     // GIR_Coverage, 3579,
     /*  570298 */     GIR_EraseRootFromParent_Done,
     /*  570299 */   // Label 9321: @570299
     /*  570299 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570374), // Rule ID 3582 //
     /*  570304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570372 */     GIR_RootConstrainSelectedInstOperands,
     /*  570373 */     // GIR_Coverage, 3582,
     /*  570373 */     GIR_EraseRootFromParent_Done,
     /*  570374 */   // Label 9322: @570374
     /*  570374 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570449), // Rule ID 3583 //
     /*  570379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570447 */     GIR_RootConstrainSelectedInstOperands,
     /*  570448 */     // GIR_Coverage, 3583,
     /*  570448 */     GIR_EraseRootFromParent_Done,
     /*  570449 */   // Label 9323: @570449
     /*  570449 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570524), // Rule ID 3586 //
     /*  570454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570522 */     GIR_RootConstrainSelectedInstOperands,
     /*  570523 */     // GIR_Coverage, 3586,
     /*  570523 */     GIR_EraseRootFromParent_Done,
     /*  570524 */   // Label 9324: @570524
     /*  570524 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570599), // Rule ID 3587 //
     /*  570529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570597 */     GIR_RootConstrainSelectedInstOperands,
     /*  570598 */     // GIR_Coverage, 3587,
     /*  570598 */     GIR_EraseRootFromParent_Done,
     /*  570599 */   // Label 9325: @570599
     /*  570599 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570674), // Rule ID 3590 //
     /*  570604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570672 */     GIR_RootConstrainSelectedInstOperands,
     /*  570673 */     // GIR_Coverage, 3590,
     /*  570673 */     GIR_EraseRootFromParent_Done,
     /*  570674 */   // Label 9326: @570674
     /*  570674 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570749), // Rule ID 3591 //
     /*  570679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570747 */     GIR_RootConstrainSelectedInstOperands,
     /*  570748 */     // GIR_Coverage, 3591,
     /*  570748 */     GIR_EraseRootFromParent_Done,
     /*  570749 */   // Label 9327: @570749
     /*  570749 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570824), // Rule ID 3594 //
     /*  570754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570822 */     GIR_RootConstrainSelectedInstOperands,
     /*  570823 */     // GIR_Coverage, 3594,
     /*  570823 */     GIR_EraseRootFromParent_Done,
     /*  570824 */   // Label 9328: @570824
     /*  570824 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570899), // Rule ID 3595 //
     /*  570829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570897 */     GIR_RootConstrainSelectedInstOperands,
     /*  570898 */     // GIR_Coverage, 3595,
     /*  570898 */     GIR_EraseRootFromParent_Done,
     /*  570899 */   // Label 9329: @570899
     /*  570899 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570974), // Rule ID 3598 //
     /*  570904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570972 */     GIR_RootConstrainSelectedInstOperands,
     /*  570973 */     // GIR_Coverage, 3598,
     /*  570973 */     GIR_EraseRootFromParent_Done,
     /*  570974 */   // Label 9330: @570974
     /*  570974 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(571049), // Rule ID 3599 //
     /*  570979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571047 */     GIR_RootConstrainSelectedInstOperands,
     /*  571048 */     // GIR_Coverage, 3599,
     /*  571048 */     GIR_EraseRootFromParent_Done,
     /*  571049 */   // Label 9331: @571049
     /*  571049 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(571124), // Rule ID 3602 //
     /*  571054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571122 */     GIR_RootConstrainSelectedInstOperands,
     /*  571123 */     // GIR_Coverage, 3602,
     /*  571123 */     GIR_EraseRootFromParent_Done,
     /*  571124 */   // Label 9332: @571124
     /*  571124 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(571199), // Rule ID 3603 //
     /*  571129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571197 */     GIR_RootConstrainSelectedInstOperands,
     /*  571198 */     // GIR_Coverage, 3603,
     /*  571198 */     GIR_EraseRootFromParent_Done,
     /*  571199 */   // Label 9333: @571199
     /*  571199 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571274), // Rule ID 3606 //
     /*  571204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571272 */     GIR_RootConstrainSelectedInstOperands,
     /*  571273 */     // GIR_Coverage, 3606,
     /*  571273 */     GIR_EraseRootFromParent_Done,
     /*  571274 */   // Label 9334: @571274
     /*  571274 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571349), // Rule ID 3607 //
     /*  571279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571347 */     GIR_RootConstrainSelectedInstOperands,
     /*  571348 */     // GIR_Coverage, 3607,
     /*  571348 */     GIR_EraseRootFromParent_Done,
     /*  571349 */   // Label 9335: @571349
     /*  571349 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571424), // Rule ID 3610 //
     /*  571354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571422 */     GIR_RootConstrainSelectedInstOperands,
     /*  571423 */     // GIR_Coverage, 3610,
     /*  571423 */     GIR_EraseRootFromParent_Done,
     /*  571424 */   // Label 9336: @571424
     /*  571424 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571499), // Rule ID 3611 //
     /*  571429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571497 */     GIR_RootConstrainSelectedInstOperands,
     /*  571498 */     // GIR_Coverage, 3611,
     /*  571498 */     GIR_EraseRootFromParent_Done,
     /*  571499 */   // Label 9337: @571499
     /*  571499 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571574), // Rule ID 3614 //
     /*  571504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571572 */     GIR_RootConstrainSelectedInstOperands,
     /*  571573 */     // GIR_Coverage, 3614,
     /*  571573 */     GIR_EraseRootFromParent_Done,
     /*  571574 */   // Label 9338: @571574
     /*  571574 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571649), // Rule ID 3615 //
     /*  571579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571647 */     GIR_RootConstrainSelectedInstOperands,
     /*  571648 */     // GIR_Coverage, 3615,
     /*  571648 */     GIR_EraseRootFromParent_Done,
     /*  571649 */   // Label 9339: @571649
     /*  571649 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571724), // Rule ID 3618 //
     /*  571654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571722 */     GIR_RootConstrainSelectedInstOperands,
     /*  571723 */     // GIR_Coverage, 3618,
     /*  571723 */     GIR_EraseRootFromParent_Done,
     /*  571724 */   // Label 9340: @571724
     /*  571724 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571799), // Rule ID 3619 //
     /*  571729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571797 */     GIR_RootConstrainSelectedInstOperands,
     /*  571798 */     // GIR_Coverage, 3619,
     /*  571798 */     GIR_EraseRootFromParent_Done,
     /*  571799 */   // Label 9341: @571799
     /*  571799 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571874), // Rule ID 3622 //
     /*  571804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571872 */     GIR_RootConstrainSelectedInstOperands,
     /*  571873 */     // GIR_Coverage, 3622,
     /*  571873 */     GIR_EraseRootFromParent_Done,
     /*  571874 */   // Label 9342: @571874
     /*  571874 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571949), // Rule ID 3623 //
     /*  571879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571947 */     GIR_RootConstrainSelectedInstOperands,
     /*  571948 */     // GIR_Coverage, 3623,
     /*  571948 */     GIR_EraseRootFromParent_Done,
     /*  571949 */   // Label 9343: @571949
     /*  571949 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(572024), // Rule ID 3626 //
     /*  571954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572022 */     GIR_RootConstrainSelectedInstOperands,
     /*  572023 */     // GIR_Coverage, 3626,
     /*  572023 */     GIR_EraseRootFromParent_Done,
     /*  572024 */   // Label 9344: @572024
     /*  572024 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(572099), // Rule ID 3627 //
     /*  572029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572097 */     GIR_RootConstrainSelectedInstOperands,
     /*  572098 */     // GIR_Coverage, 3627,
     /*  572098 */     GIR_EraseRootFromParent_Done,
     /*  572099 */   // Label 9345: @572099
     /*  572099 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(572174), // Rule ID 3630 //
     /*  572104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572172 */     GIR_RootConstrainSelectedInstOperands,
     /*  572173 */     // GIR_Coverage, 3630,
     /*  572173 */     GIR_EraseRootFromParent_Done,
     /*  572174 */   // Label 9346: @572174
     /*  572174 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(572249), // Rule ID 3631 //
     /*  572179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572247 */     GIR_RootConstrainSelectedInstOperands,
     /*  572248 */     // GIR_Coverage, 3631,
     /*  572248 */     GIR_EraseRootFromParent_Done,
     /*  572249 */   // Label 9347: @572249
     /*  572249 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572324), // Rule ID 3634 //
     /*  572254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572322 */     GIR_RootConstrainSelectedInstOperands,
     /*  572323 */     // GIR_Coverage, 3634,
     /*  572323 */     GIR_EraseRootFromParent_Done,
     /*  572324 */   // Label 9348: @572324
     /*  572324 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572399), // Rule ID 3635 //
     /*  572329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572397 */     GIR_RootConstrainSelectedInstOperands,
     /*  572398 */     // GIR_Coverage, 3635,
     /*  572398 */     GIR_EraseRootFromParent_Done,
     /*  572399 */   // Label 9349: @572399
     /*  572399 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572474), // Rule ID 3638 //
     /*  572404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572472 */     GIR_RootConstrainSelectedInstOperands,
     /*  572473 */     // GIR_Coverage, 3638,
     /*  572473 */     GIR_EraseRootFromParent_Done,
     /*  572474 */   // Label 9350: @572474
     /*  572474 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572549), // Rule ID 3639 //
     /*  572479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572547 */     GIR_RootConstrainSelectedInstOperands,
     /*  572548 */     // GIR_Coverage, 3639,
     /*  572548 */     GIR_EraseRootFromParent_Done,
     /*  572549 */   // Label 9351: @572549
     /*  572549 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572624), // Rule ID 3642 //
     /*  572554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572622 */     GIR_RootConstrainSelectedInstOperands,
     /*  572623 */     // GIR_Coverage, 3642,
     /*  572623 */     GIR_EraseRootFromParent_Done,
     /*  572624 */   // Label 9352: @572624
     /*  572624 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572699), // Rule ID 3643 //
     /*  572629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572697 */     GIR_RootConstrainSelectedInstOperands,
     /*  572698 */     // GIR_Coverage, 3643,
     /*  572698 */     GIR_EraseRootFromParent_Done,
     /*  572699 */   // Label 9353: @572699
     /*  572699 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572774), // Rule ID 3646 //
     /*  572704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572772 */     GIR_RootConstrainSelectedInstOperands,
     /*  572773 */     // GIR_Coverage, 3646,
     /*  572773 */     GIR_EraseRootFromParent_Done,
     /*  572774 */   // Label 9354: @572774
     /*  572774 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572849), // Rule ID 3647 //
     /*  572779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572825 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572847 */     GIR_RootConstrainSelectedInstOperands,
     /*  572848 */     // GIR_Coverage, 3647,
     /*  572848 */     GIR_EraseRootFromParent_Done,
     /*  572849 */   // Label 9355: @572849
     /*  572849 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572924), // Rule ID 3650 //
     /*  572854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572922 */     GIR_RootConstrainSelectedInstOperands,
     /*  572923 */     // GIR_Coverage, 3650,
     /*  572923 */     GIR_EraseRootFromParent_Done,
     /*  572924 */   // Label 9356: @572924
     /*  572924 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572999), // Rule ID 3651 //
     /*  572929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572975 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572997 */     GIR_RootConstrainSelectedInstOperands,
     /*  572998 */     // GIR_Coverage, 3651,
     /*  572998 */     GIR_EraseRootFromParent_Done,
     /*  572999 */   // Label 9357: @572999
     /*  572999 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(573074), // Rule ID 3654 //
     /*  573004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573072 */     GIR_RootConstrainSelectedInstOperands,
     /*  573073 */     // GIR_Coverage, 3654,
     /*  573073 */     GIR_EraseRootFromParent_Done,
     /*  573074 */   // Label 9358: @573074
     /*  573074 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(573149), // Rule ID 3655 //
     /*  573079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573125 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573147 */     GIR_RootConstrainSelectedInstOperands,
     /*  573148 */     // GIR_Coverage, 3655,
     /*  573148 */     GIR_EraseRootFromParent_Done,
     /*  573149 */   // Label 9359: @573149
     /*  573149 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(573224), // Rule ID 3658 //
     /*  573154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573222 */     GIR_RootConstrainSelectedInstOperands,
     /*  573223 */     // GIR_Coverage, 3658,
     /*  573223 */     GIR_EraseRootFromParent_Done,
     /*  573224 */   // Label 9360: @573224
     /*  573224 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573299), // Rule ID 3659 //
     /*  573229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573297 */     GIR_RootConstrainSelectedInstOperands,
     /*  573298 */     // GIR_Coverage, 3659,
     /*  573298 */     GIR_EraseRootFromParent_Done,
     /*  573299 */   // Label 9361: @573299
     /*  573299 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573374), // Rule ID 3662 //
     /*  573304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573372 */     GIR_RootConstrainSelectedInstOperands,
     /*  573373 */     // GIR_Coverage, 3662,
     /*  573373 */     GIR_EraseRootFromParent_Done,
     /*  573374 */   // Label 9362: @573374
     /*  573374 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573449), // Rule ID 3663 //
     /*  573379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573447 */     GIR_RootConstrainSelectedInstOperands,
     /*  573448 */     // GIR_Coverage, 3663,
     /*  573448 */     GIR_EraseRootFromParent_Done,
     /*  573449 */   // Label 9363: @573449
     /*  573449 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573524), // Rule ID 3666 //
     /*  573454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573522 */     GIR_RootConstrainSelectedInstOperands,
     /*  573523 */     // GIR_Coverage, 3666,
     /*  573523 */     GIR_EraseRootFromParent_Done,
     /*  573524 */   // Label 9364: @573524
     /*  573524 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573599), // Rule ID 3667 //
     /*  573529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573597 */     GIR_RootConstrainSelectedInstOperands,
     /*  573598 */     // GIR_Coverage, 3667,
     /*  573598 */     GIR_EraseRootFromParent_Done,
     /*  573599 */   // Label 9365: @573599
     /*  573599 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573674), // Rule ID 3670 //
     /*  573604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573672 */     GIR_RootConstrainSelectedInstOperands,
     /*  573673 */     // GIR_Coverage, 3670,
     /*  573673 */     GIR_EraseRootFromParent_Done,
     /*  573674 */   // Label 9366: @573674
     /*  573674 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573749), // Rule ID 3671 //
     /*  573679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573747 */     GIR_RootConstrainSelectedInstOperands,
     /*  573748 */     // GIR_Coverage, 3671,
     /*  573748 */     GIR_EraseRootFromParent_Done,
     /*  573749 */   // Label 9367: @573749
     /*  573749 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573824), // Rule ID 3674 //
     /*  573754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573822 */     GIR_RootConstrainSelectedInstOperands,
     /*  573823 */     // GIR_Coverage, 3674,
     /*  573823 */     GIR_EraseRootFromParent_Done,
     /*  573824 */   // Label 9368: @573824
     /*  573824 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573899), // Rule ID 3675 //
     /*  573829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573897 */     GIR_RootConstrainSelectedInstOperands,
     /*  573898 */     // GIR_Coverage, 3675,
     /*  573898 */     GIR_EraseRootFromParent_Done,
     /*  573899 */   // Label 9369: @573899
     /*  573899 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573974), // Rule ID 3678 //
     /*  573904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573972 */     GIR_RootConstrainSelectedInstOperands,
     /*  573973 */     // GIR_Coverage, 3678,
     /*  573973 */     GIR_EraseRootFromParent_Done,
     /*  573974 */   // Label 9370: @573974
     /*  573974 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(574049), // Rule ID 3679 //
     /*  573979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574047 */     GIR_RootConstrainSelectedInstOperands,
     /*  574048 */     // GIR_Coverage, 3679,
     /*  574048 */     GIR_EraseRootFromParent_Done,
     /*  574049 */   // Label 9371: @574049
     /*  574049 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(574124), // Rule ID 3682 //
     /*  574054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574122 */     GIR_RootConstrainSelectedInstOperands,
     /*  574123 */     // GIR_Coverage, 3682,
     /*  574123 */     GIR_EraseRootFromParent_Done,
     /*  574124 */   // Label 9372: @574124
     /*  574124 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(574199), // Rule ID 3683 //
     /*  574129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574197 */     GIR_RootConstrainSelectedInstOperands,
     /*  574198 */     // GIR_Coverage, 3683,
     /*  574198 */     GIR_EraseRootFromParent_Done,
     /*  574199 */   // Label 9373: @574199
     /*  574199 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574274), // Rule ID 3686 //
     /*  574204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574272 */     GIR_RootConstrainSelectedInstOperands,
     /*  574273 */     // GIR_Coverage, 3686,
     /*  574273 */     GIR_EraseRootFromParent_Done,
     /*  574274 */   // Label 9374: @574274
     /*  574274 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574349), // Rule ID 3687 //
     /*  574279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574347 */     GIR_RootConstrainSelectedInstOperands,
     /*  574348 */     // GIR_Coverage, 3687,
     /*  574348 */     GIR_EraseRootFromParent_Done,
     /*  574349 */   // Label 9375: @574349
     /*  574349 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574424), // Rule ID 3690 //
     /*  574354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574422 */     GIR_RootConstrainSelectedInstOperands,
     /*  574423 */     // GIR_Coverage, 3690,
     /*  574423 */     GIR_EraseRootFromParent_Done,
     /*  574424 */   // Label 9376: @574424
     /*  574424 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574499), // Rule ID 3691 //
     /*  574429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574497 */     GIR_RootConstrainSelectedInstOperands,
     /*  574498 */     // GIR_Coverage, 3691,
     /*  574498 */     GIR_EraseRootFromParent_Done,
     /*  574499 */   // Label 9377: @574499
     /*  574499 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574574), // Rule ID 3694 //
     /*  574504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574572 */     GIR_RootConstrainSelectedInstOperands,
     /*  574573 */     // GIR_Coverage, 3694,
     /*  574573 */     GIR_EraseRootFromParent_Done,
     /*  574574 */   // Label 9378: @574574
     /*  574574 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574649), // Rule ID 3695 //
     /*  574579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574647 */     GIR_RootConstrainSelectedInstOperands,
     /*  574648 */     // GIR_Coverage, 3695,
     /*  574648 */     GIR_EraseRootFromParent_Done,
     /*  574649 */   // Label 9379: @574649
     /*  574649 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574724), // Rule ID 3698 //
     /*  574654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574722 */     GIR_RootConstrainSelectedInstOperands,
     /*  574723 */     // GIR_Coverage, 3698,
     /*  574723 */     GIR_EraseRootFromParent_Done,
     /*  574724 */   // Label 9380: @574724
     /*  574724 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574799), // Rule ID 3699 //
     /*  574729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574797 */     GIR_RootConstrainSelectedInstOperands,
     /*  574798 */     // GIR_Coverage, 3699,
     /*  574798 */     GIR_EraseRootFromParent_Done,
     /*  574799 */   // Label 9381: @574799
     /*  574799 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574874), // Rule ID 3702 //
     /*  574804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574872 */     GIR_RootConstrainSelectedInstOperands,
     /*  574873 */     // GIR_Coverage, 3702,
     /*  574873 */     GIR_EraseRootFromParent_Done,
     /*  574874 */   // Label 9382: @574874
     /*  574874 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574949), // Rule ID 3703 //
     /*  574879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574947 */     GIR_RootConstrainSelectedInstOperands,
     /*  574948 */     // GIR_Coverage, 3703,
     /*  574948 */     GIR_EraseRootFromParent_Done,
     /*  574949 */   // Label 9383: @574949
     /*  574949 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(575024), // Rule ID 3706 //
     /*  574954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575022 */     GIR_RootConstrainSelectedInstOperands,
     /*  575023 */     // GIR_Coverage, 3706,
     /*  575023 */     GIR_EraseRootFromParent_Done,
     /*  575024 */   // Label 9384: @575024
     /*  575024 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(575099), // Rule ID 3707 //
     /*  575029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575097 */     GIR_RootConstrainSelectedInstOperands,
     /*  575098 */     // GIR_Coverage, 3707,
     /*  575098 */     GIR_EraseRootFromParent_Done,
     /*  575099 */   // Label 9385: @575099
     /*  575099 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(575174), // Rule ID 3710 //
     /*  575104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575172 */     GIR_RootConstrainSelectedInstOperands,
     /*  575173 */     // GIR_Coverage, 3710,
     /*  575173 */     GIR_EraseRootFromParent_Done,
     /*  575174 */   // Label 9386: @575174
     /*  575174 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(575249), // Rule ID 3711 //
     /*  575179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575247 */     GIR_RootConstrainSelectedInstOperands,
     /*  575248 */     // GIR_Coverage, 3711,
     /*  575248 */     GIR_EraseRootFromParent_Done,
     /*  575249 */   // Label 9387: @575249
     /*  575249 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575324), // Rule ID 3714 //
     /*  575254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575322 */     GIR_RootConstrainSelectedInstOperands,
     /*  575323 */     // GIR_Coverage, 3714,
     /*  575323 */     GIR_EraseRootFromParent_Done,
     /*  575324 */   // Label 9388: @575324
     /*  575324 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575399), // Rule ID 3715 //
     /*  575329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575375 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575397 */     GIR_RootConstrainSelectedInstOperands,
     /*  575398 */     // GIR_Coverage, 3715,
     /*  575398 */     GIR_EraseRootFromParent_Done,
     /*  575399 */   // Label 9389: @575399
     /*  575399 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575474), // Rule ID 3718 //
     /*  575404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575472 */     GIR_RootConstrainSelectedInstOperands,
     /*  575473 */     // GIR_Coverage, 3718,
     /*  575473 */     GIR_EraseRootFromParent_Done,
     /*  575474 */   // Label 9390: @575474
     /*  575474 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575549), // Rule ID 3719 //
     /*  575479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575547 */     GIR_RootConstrainSelectedInstOperands,
     /*  575548 */     // GIR_Coverage, 3719,
     /*  575548 */     GIR_EraseRootFromParent_Done,
     /*  575549 */   // Label 9391: @575549
     /*  575549 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575624), // Rule ID 3722 //
     /*  575554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575622 */     GIR_RootConstrainSelectedInstOperands,
     /*  575623 */     // GIR_Coverage, 3722,
     /*  575623 */     GIR_EraseRootFromParent_Done,
     /*  575624 */   // Label 9392: @575624
     /*  575624 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575699), // Rule ID 3723 //
     /*  575629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575697 */     GIR_RootConstrainSelectedInstOperands,
     /*  575698 */     // GIR_Coverage, 3723,
     /*  575698 */     GIR_EraseRootFromParent_Done,
     /*  575699 */   // Label 9393: @575699
     /*  575699 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575774), // Rule ID 3726 //
     /*  575704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575772 */     GIR_RootConstrainSelectedInstOperands,
     /*  575773 */     // GIR_Coverage, 3726,
     /*  575773 */     GIR_EraseRootFromParent_Done,
     /*  575774 */   // Label 9394: @575774
     /*  575774 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575849), // Rule ID 3727 //
     /*  575779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575847 */     GIR_RootConstrainSelectedInstOperands,
     /*  575848 */     // GIR_Coverage, 3727,
     /*  575848 */     GIR_EraseRootFromParent_Done,
     /*  575849 */   // Label 9395: @575849
     /*  575849 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575924), // Rule ID 3730 //
     /*  575854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575922 */     GIR_RootConstrainSelectedInstOperands,
     /*  575923 */     // GIR_Coverage, 3730,
     /*  575923 */     GIR_EraseRootFromParent_Done,
     /*  575924 */   // Label 9396: @575924
     /*  575924 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575999), // Rule ID 3731 //
     /*  575929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575997 */     GIR_RootConstrainSelectedInstOperands,
     /*  575998 */     // GIR_Coverage, 3731,
     /*  575998 */     GIR_EraseRootFromParent_Done,
     /*  575999 */   // Label 9397: @575999
     /*  575999 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(576074), // Rule ID 3734 //
     /*  576004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576072 */     GIR_RootConstrainSelectedInstOperands,
     /*  576073 */     // GIR_Coverage, 3734,
     /*  576073 */     GIR_EraseRootFromParent_Done,
     /*  576074 */   // Label 9398: @576074
     /*  576074 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(576149), // Rule ID 3735 //
     /*  576079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576147 */     GIR_RootConstrainSelectedInstOperands,
     /*  576148 */     // GIR_Coverage, 3735,
     /*  576148 */     GIR_EraseRootFromParent_Done,
     /*  576149 */   // Label 9399: @576149
     /*  576149 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(576224), // Rule ID 3738 //
     /*  576154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576222 */     GIR_RootConstrainSelectedInstOperands,
     /*  576223 */     // GIR_Coverage, 3738,
     /*  576223 */     GIR_EraseRootFromParent_Done,
     /*  576224 */   // Label 9400: @576224
     /*  576224 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576299), // Rule ID 3739 //
     /*  576229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576297 */     GIR_RootConstrainSelectedInstOperands,
     /*  576298 */     // GIR_Coverage, 3739,
     /*  576298 */     GIR_EraseRootFromParent_Done,
     /*  576299 */   // Label 9401: @576299
     /*  576299 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576374), // Rule ID 3742 //
     /*  576304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576372 */     GIR_RootConstrainSelectedInstOperands,
     /*  576373 */     // GIR_Coverage, 3742,
     /*  576373 */     GIR_EraseRootFromParent_Done,
     /*  576374 */   // Label 9402: @576374
     /*  576374 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576449), // Rule ID 3743 //
     /*  576379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576447 */     GIR_RootConstrainSelectedInstOperands,
     /*  576448 */     // GIR_Coverage, 3743,
     /*  576448 */     GIR_EraseRootFromParent_Done,
     /*  576449 */   // Label 9403: @576449
     /*  576449 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576524), // Rule ID 3746 //
     /*  576454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576522 */     GIR_RootConstrainSelectedInstOperands,
     /*  576523 */     // GIR_Coverage, 3746,
     /*  576523 */     GIR_EraseRootFromParent_Done,
     /*  576524 */   // Label 9404: @576524
     /*  576524 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576599), // Rule ID 3747 //
     /*  576529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576597 */     GIR_RootConstrainSelectedInstOperands,
     /*  576598 */     // GIR_Coverage, 3747,
     /*  576598 */     GIR_EraseRootFromParent_Done,
     /*  576599 */   // Label 9405: @576599
     /*  576599 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576674), // Rule ID 3750 //
     /*  576604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576672 */     GIR_RootConstrainSelectedInstOperands,
     /*  576673 */     // GIR_Coverage, 3750,
     /*  576673 */     GIR_EraseRootFromParent_Done,
     /*  576674 */   // Label 9406: @576674
     /*  576674 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576749), // Rule ID 3751 //
     /*  576679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576747 */     GIR_RootConstrainSelectedInstOperands,
     /*  576748 */     // GIR_Coverage, 3751,
     /*  576748 */     GIR_EraseRootFromParent_Done,
     /*  576749 */   // Label 9407: @576749
     /*  576749 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576824), // Rule ID 3754 //
     /*  576754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576822 */     GIR_RootConstrainSelectedInstOperands,
     /*  576823 */     // GIR_Coverage, 3754,
     /*  576823 */     GIR_EraseRootFromParent_Done,
     /*  576824 */   // Label 9408: @576824
     /*  576824 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576899), // Rule ID 3755 //
     /*  576829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576897 */     GIR_RootConstrainSelectedInstOperands,
     /*  576898 */     // GIR_Coverage, 3755,
     /*  576898 */     GIR_EraseRootFromParent_Done,
     /*  576899 */   // Label 9409: @576899
     /*  576899 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576974), // Rule ID 3758 //
     /*  576904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576972 */     GIR_RootConstrainSelectedInstOperands,
     /*  576973 */     // GIR_Coverage, 3758,
     /*  576973 */     GIR_EraseRootFromParent_Done,
     /*  576974 */   // Label 9410: @576974
     /*  576974 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(577049), // Rule ID 3759 //
     /*  576979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577047 */     GIR_RootConstrainSelectedInstOperands,
     /*  577048 */     // GIR_Coverage, 3759,
     /*  577048 */     GIR_EraseRootFromParent_Done,
     /*  577049 */   // Label 9411: @577049
     /*  577049 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(577124), // Rule ID 3762 //
     /*  577054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577122 */     GIR_RootConstrainSelectedInstOperands,
     /*  577123 */     // GIR_Coverage, 3762,
     /*  577123 */     GIR_EraseRootFromParent_Done,
     /*  577124 */   // Label 9412: @577124
     /*  577124 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(577199), // Rule ID 3763 //
     /*  577129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577175 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577197 */     GIR_RootConstrainSelectedInstOperands,
     /*  577198 */     // GIR_Coverage, 3763,
     /*  577198 */     GIR_EraseRootFromParent_Done,
     /*  577199 */   // Label 9413: @577199
     /*  577199 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577274), // Rule ID 3766 //
     /*  577204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577272 */     GIR_RootConstrainSelectedInstOperands,
     /*  577273 */     // GIR_Coverage, 3766,
     /*  577273 */     GIR_EraseRootFromParent_Done,
     /*  577274 */   // Label 9414: @577274
     /*  577274 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577349), // Rule ID 3767 //
     /*  577279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577347 */     GIR_RootConstrainSelectedInstOperands,
     /*  577348 */     // GIR_Coverage, 3767,
     /*  577348 */     GIR_EraseRootFromParent_Done,
     /*  577349 */   // Label 9415: @577349
     /*  577349 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577424), // Rule ID 3770 //
     /*  577354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577422 */     GIR_RootConstrainSelectedInstOperands,
     /*  577423 */     // GIR_Coverage, 3770,
     /*  577423 */     GIR_EraseRootFromParent_Done,
     /*  577424 */   // Label 9416: @577424
     /*  577424 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577499), // Rule ID 3771 //
     /*  577429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577497 */     GIR_RootConstrainSelectedInstOperands,
     /*  577498 */     // GIR_Coverage, 3771,
     /*  577498 */     GIR_EraseRootFromParent_Done,
     /*  577499 */   // Label 9417: @577499
     /*  577499 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577574), // Rule ID 3774 //
     /*  577504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577572 */     GIR_RootConstrainSelectedInstOperands,
     /*  577573 */     // GIR_Coverage, 3774,
     /*  577573 */     GIR_EraseRootFromParent_Done,
     /*  577574 */   // Label 9418: @577574
     /*  577574 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577649), // Rule ID 3775 //
     /*  577579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577625 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577647 */     GIR_RootConstrainSelectedInstOperands,
     /*  577648 */     // GIR_Coverage, 3775,
     /*  577648 */     GIR_EraseRootFromParent_Done,
     /*  577649 */   // Label 9419: @577649
     /*  577649 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577724), // Rule ID 3778 //
     /*  577654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577722 */     GIR_RootConstrainSelectedInstOperands,
     /*  577723 */     // GIR_Coverage, 3778,
     /*  577723 */     GIR_EraseRootFromParent_Done,
     /*  577724 */   // Label 9420: @577724
     /*  577724 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577799), // Rule ID 3779 //
     /*  577729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577797 */     GIR_RootConstrainSelectedInstOperands,
     /*  577798 */     // GIR_Coverage, 3779,
     /*  577798 */     GIR_EraseRootFromParent_Done,
     /*  577799 */   // Label 9421: @577799
     /*  577799 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577874), // Rule ID 3782 //
     /*  577804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577872 */     GIR_RootConstrainSelectedInstOperands,
     /*  577873 */     // GIR_Coverage, 3782,
     /*  577873 */     GIR_EraseRootFromParent_Done,
     /*  577874 */   // Label 9422: @577874
     /*  577874 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577949), // Rule ID 3783 //
     /*  577879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577947 */     GIR_RootConstrainSelectedInstOperands,
     /*  577948 */     // GIR_Coverage, 3783,
     /*  577948 */     GIR_EraseRootFromParent_Done,
     /*  577949 */   // Label 9423: @577949
     /*  577949 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(578024), // Rule ID 3786 //
     /*  577954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578022 */     GIR_RootConstrainSelectedInstOperands,
     /*  578023 */     // GIR_Coverage, 3786,
     /*  578023 */     GIR_EraseRootFromParent_Done,
     /*  578024 */   // Label 9424: @578024
     /*  578024 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(578099), // Rule ID 3787 //
     /*  578029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578097 */     GIR_RootConstrainSelectedInstOperands,
     /*  578098 */     // GIR_Coverage, 3787,
     /*  578098 */     GIR_EraseRootFromParent_Done,
     /*  578099 */   // Label 9425: @578099
     /*  578099 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(578174), // Rule ID 3790 //
     /*  578104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578172 */     GIR_RootConstrainSelectedInstOperands,
     /*  578173 */     // GIR_Coverage, 3790,
     /*  578173 */     GIR_EraseRootFromParent_Done,
     /*  578174 */   // Label 9426: @578174
     /*  578174 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(578249), // Rule ID 3791 //
     /*  578179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578225 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578247 */     GIR_RootConstrainSelectedInstOperands,
     /*  578248 */     // GIR_Coverage, 3791,
     /*  578248 */     GIR_EraseRootFromParent_Done,
     /*  578249 */   // Label 9427: @578249
     /*  578249 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578324), // Rule ID 3794 //
     /*  578254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578322 */     GIR_RootConstrainSelectedInstOperands,
     /*  578323 */     // GIR_Coverage, 3794,
     /*  578323 */     GIR_EraseRootFromParent_Done,
     /*  578324 */   // Label 9428: @578324
     /*  578324 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578399), // Rule ID 3795 //
     /*  578329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578397 */     GIR_RootConstrainSelectedInstOperands,
     /*  578398 */     // GIR_Coverage, 3795,
     /*  578398 */     GIR_EraseRootFromParent_Done,
     /*  578399 */   // Label 9429: @578399
     /*  578399 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578474), // Rule ID 3798 //
     /*  578404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578472 */     GIR_RootConstrainSelectedInstOperands,
     /*  578473 */     // GIR_Coverage, 3798,
     /*  578473 */     GIR_EraseRootFromParent_Done,
     /*  578474 */   // Label 9430: @578474
     /*  578474 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578549), // Rule ID 3799 //
     /*  578479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578547 */     GIR_RootConstrainSelectedInstOperands,
     /*  578548 */     // GIR_Coverage, 3799,
     /*  578548 */     GIR_EraseRootFromParent_Done,
     /*  578549 */   // Label 9431: @578549
     /*  578549 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578624), // Rule ID 3802 //
     /*  578554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578622 */     GIR_RootConstrainSelectedInstOperands,
     /*  578623 */     // GIR_Coverage, 3802,
     /*  578623 */     GIR_EraseRootFromParent_Done,
     /*  578624 */   // Label 9432: @578624
     /*  578624 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578699), // Rule ID 3803 //
     /*  578629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578697 */     GIR_RootConstrainSelectedInstOperands,
     /*  578698 */     // GIR_Coverage, 3803,
     /*  578698 */     GIR_EraseRootFromParent_Done,
     /*  578699 */   // Label 9433: @578699
     /*  578699 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578774), // Rule ID 3806 //
     /*  578704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578772 */     GIR_RootConstrainSelectedInstOperands,
     /*  578773 */     // GIR_Coverage, 3806,
     /*  578773 */     GIR_EraseRootFromParent_Done,
     /*  578774 */   // Label 9434: @578774
     /*  578774 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578849), // Rule ID 3807 //
     /*  578779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578847 */     GIR_RootConstrainSelectedInstOperands,
     /*  578848 */     // GIR_Coverage, 3807,
     /*  578848 */     GIR_EraseRootFromParent_Done,
     /*  578849 */   // Label 9435: @578849
     /*  578849 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578924), // Rule ID 3810 //
     /*  578854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578922 */     GIR_RootConstrainSelectedInstOperands,
     /*  578923 */     // GIR_Coverage, 3810,
     /*  578923 */     GIR_EraseRootFromParent_Done,
     /*  578924 */   // Label 9436: @578924
     /*  578924 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578999), // Rule ID 3811 //
     /*  578929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578997 */     GIR_RootConstrainSelectedInstOperands,
     /*  578998 */     // GIR_Coverage, 3811,
     /*  578998 */     GIR_EraseRootFromParent_Done,
     /*  578999 */   // Label 9437: @578999
     /*  578999 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(579074), // Rule ID 3814 //
     /*  579004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579072 */     GIR_RootConstrainSelectedInstOperands,
     /*  579073 */     // GIR_Coverage, 3814,
     /*  579073 */     GIR_EraseRootFromParent_Done,
     /*  579074 */   // Label 9438: @579074
     /*  579074 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(579149), // Rule ID 3815 //
     /*  579079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579147 */     GIR_RootConstrainSelectedInstOperands,
     /*  579148 */     // GIR_Coverage, 3815,
     /*  579148 */     GIR_EraseRootFromParent_Done,
     /*  579149 */   // Label 9439: @579149
     /*  579149 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(579224), // Rule ID 3818 //
     /*  579154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579222 */     GIR_RootConstrainSelectedInstOperands,
     /*  579223 */     // GIR_Coverage, 3818,
     /*  579223 */     GIR_EraseRootFromParent_Done,
     /*  579224 */   // Label 9440: @579224
     /*  579224 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579299), // Rule ID 3819 //
     /*  579229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579297 */     GIR_RootConstrainSelectedInstOperands,
     /*  579298 */     // GIR_Coverage, 3819,
     /*  579298 */     GIR_EraseRootFromParent_Done,
     /*  579299 */   // Label 9441: @579299
     /*  579299 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579374), // Rule ID 3822 //
     /*  579304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579372 */     GIR_RootConstrainSelectedInstOperands,
     /*  579373 */     // GIR_Coverage, 3822,
     /*  579373 */     GIR_EraseRootFromParent_Done,
     /*  579374 */   // Label 9442: @579374
     /*  579374 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579449), // Rule ID 3823 //
     /*  579379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579447 */     GIR_RootConstrainSelectedInstOperands,
     /*  579448 */     // GIR_Coverage, 3823,
     /*  579448 */     GIR_EraseRootFromParent_Done,
     /*  579449 */   // Label 9443: @579449
     /*  579449 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579524), // Rule ID 3826 //
     /*  579454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579522 */     GIR_RootConstrainSelectedInstOperands,
     /*  579523 */     // GIR_Coverage, 3826,
     /*  579523 */     GIR_EraseRootFromParent_Done,
     /*  579524 */   // Label 9444: @579524
     /*  579524 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579599), // Rule ID 3827 //
     /*  579529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579597 */     GIR_RootConstrainSelectedInstOperands,
     /*  579598 */     // GIR_Coverage, 3827,
     /*  579598 */     GIR_EraseRootFromParent_Done,
     /*  579599 */   // Label 9445: @579599
     /*  579599 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579674), // Rule ID 3830 //
     /*  579604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579672 */     GIR_RootConstrainSelectedInstOperands,
     /*  579673 */     // GIR_Coverage, 3830,
     /*  579673 */     GIR_EraseRootFromParent_Done,
     /*  579674 */   // Label 9446: @579674
     /*  579674 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579749), // Rule ID 3831 //
     /*  579679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579747 */     GIR_RootConstrainSelectedInstOperands,
     /*  579748 */     // GIR_Coverage, 3831,
     /*  579748 */     GIR_EraseRootFromParent_Done,
     /*  579749 */   // Label 9447: @579749
     /*  579749 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579824), // Rule ID 3834 //
     /*  579754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579822 */     GIR_RootConstrainSelectedInstOperands,
     /*  579823 */     // GIR_Coverage, 3834,
     /*  579823 */     GIR_EraseRootFromParent_Done,
     /*  579824 */   // Label 9448: @579824
     /*  579824 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579899), // Rule ID 3835 //
     /*  579829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579897 */     GIR_RootConstrainSelectedInstOperands,
     /*  579898 */     // GIR_Coverage, 3835,
     /*  579898 */     GIR_EraseRootFromParent_Done,
     /*  579899 */   // Label 9449: @579899
     /*  579899 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579974), // Rule ID 3838 //
     /*  579904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579972 */     GIR_RootConstrainSelectedInstOperands,
     /*  579973 */     // GIR_Coverage, 3838,
     /*  579973 */     GIR_EraseRootFromParent_Done,
     /*  579974 */   // Label 9450: @579974
     /*  579974 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(580049), // Rule ID 3839 //
     /*  579979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580047 */     GIR_RootConstrainSelectedInstOperands,
     /*  580048 */     // GIR_Coverage, 3839,
     /*  580048 */     GIR_EraseRootFromParent_Done,
     /*  580049 */   // Label 9451: @580049
     /*  580049 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(580124), // Rule ID 3842 //
     /*  580054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580122 */     GIR_RootConstrainSelectedInstOperands,
     /*  580123 */     // GIR_Coverage, 3842,
     /*  580123 */     GIR_EraseRootFromParent_Done,
     /*  580124 */   // Label 9452: @580124
     /*  580124 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(580199), // Rule ID 3843 //
     /*  580129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580197 */     GIR_RootConstrainSelectedInstOperands,
     /*  580198 */     // GIR_Coverage, 3843,
     /*  580198 */     GIR_EraseRootFromParent_Done,
     /*  580199 */   // Label 9453: @580199
     /*  580199 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580274), // Rule ID 3846 //
     /*  580204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580272 */     GIR_RootConstrainSelectedInstOperands,
     /*  580273 */     // GIR_Coverage, 3846,
     /*  580273 */     GIR_EraseRootFromParent_Done,
     /*  580274 */   // Label 9454: @580274
     /*  580274 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580349), // Rule ID 3847 //
     /*  580279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580347 */     GIR_RootConstrainSelectedInstOperands,
     /*  580348 */     // GIR_Coverage, 3847,
     /*  580348 */     GIR_EraseRootFromParent_Done,
     /*  580349 */   // Label 9455: @580349
     /*  580349 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580424), // Rule ID 3850 //
     /*  580354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580422 */     GIR_RootConstrainSelectedInstOperands,
     /*  580423 */     // GIR_Coverage, 3850,
     /*  580423 */     GIR_EraseRootFromParent_Done,
     /*  580424 */   // Label 9456: @580424
     /*  580424 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580499), // Rule ID 3851 //
     /*  580429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580497 */     GIR_RootConstrainSelectedInstOperands,
     /*  580498 */     // GIR_Coverage, 3851,
     /*  580498 */     GIR_EraseRootFromParent_Done,
     /*  580499 */   // Label 9457: @580499
     /*  580499 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580574), // Rule ID 3854 //
     /*  580504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580572 */     GIR_RootConstrainSelectedInstOperands,
     /*  580573 */     // GIR_Coverage, 3854,
     /*  580573 */     GIR_EraseRootFromParent_Done,
     /*  580574 */   // Label 9458: @580574
     /*  580574 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580649), // Rule ID 3855 //
     /*  580579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580647 */     GIR_RootConstrainSelectedInstOperands,
     /*  580648 */     // GIR_Coverage, 3855,
     /*  580648 */     GIR_EraseRootFromParent_Done,
     /*  580649 */   // Label 9459: @580649
     /*  580649 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580724), // Rule ID 3858 //
     /*  580654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580722 */     GIR_RootConstrainSelectedInstOperands,
     /*  580723 */     // GIR_Coverage, 3858,
     /*  580723 */     GIR_EraseRootFromParent_Done,
     /*  580724 */   // Label 9460: @580724
     /*  580724 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580799), // Rule ID 3859 //
     /*  580729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580797 */     GIR_RootConstrainSelectedInstOperands,
     /*  580798 */     // GIR_Coverage, 3859,
     /*  580798 */     GIR_EraseRootFromParent_Done,
     /*  580799 */   // Label 9461: @580799
     /*  580799 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580874), // Rule ID 3862 //
     /*  580804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580872 */     GIR_RootConstrainSelectedInstOperands,
     /*  580873 */     // GIR_Coverage, 3862,
     /*  580873 */     GIR_EraseRootFromParent_Done,
     /*  580874 */   // Label 9462: @580874
     /*  580874 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580949), // Rule ID 3863 //
     /*  580879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580947 */     GIR_RootConstrainSelectedInstOperands,
     /*  580948 */     // GIR_Coverage, 3863,
     /*  580948 */     GIR_EraseRootFromParent_Done,
     /*  580949 */   // Label 9463: @580949
     /*  580949 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(581024), // Rule ID 3866 //
     /*  580954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581022 */     GIR_RootConstrainSelectedInstOperands,
     /*  581023 */     // GIR_Coverage, 3866,
     /*  581023 */     GIR_EraseRootFromParent_Done,
     /*  581024 */   // Label 9464: @581024
     /*  581024 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(581099), // Rule ID 3867 //
     /*  581029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581097 */     GIR_RootConstrainSelectedInstOperands,
     /*  581098 */     // GIR_Coverage, 3867,
     /*  581098 */     GIR_EraseRootFromParent_Done,
     /*  581099 */   // Label 9465: @581099
     /*  581099 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(581174), // Rule ID 3870 //
     /*  581104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581172 */     GIR_RootConstrainSelectedInstOperands,
     /*  581173 */     // GIR_Coverage, 3870,
     /*  581173 */     GIR_EraseRootFromParent_Done,
     /*  581174 */   // Label 9466: @581174
     /*  581174 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(581249), // Rule ID 3871 //
     /*  581179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581247 */     GIR_RootConstrainSelectedInstOperands,
     /*  581248 */     // GIR_Coverage, 3871,
     /*  581248 */     GIR_EraseRootFromParent_Done,
     /*  581249 */   // Label 9467: @581249
     /*  581249 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581324), // Rule ID 3874 //
     /*  581254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581322 */     GIR_RootConstrainSelectedInstOperands,
     /*  581323 */     // GIR_Coverage, 3874,
     /*  581323 */     GIR_EraseRootFromParent_Done,
     /*  581324 */   // Label 9468: @581324
     /*  581324 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581399), // Rule ID 3875 //
     /*  581329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581397 */     GIR_RootConstrainSelectedInstOperands,
     /*  581398 */     // GIR_Coverage, 3875,
     /*  581398 */     GIR_EraseRootFromParent_Done,
     /*  581399 */   // Label 9469: @581399
     /*  581399 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581474), // Rule ID 3878 //
     /*  581404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581472 */     GIR_RootConstrainSelectedInstOperands,
     /*  581473 */     // GIR_Coverage, 3878,
     /*  581473 */     GIR_EraseRootFromParent_Done,
     /*  581474 */   // Label 9470: @581474
     /*  581474 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581549), // Rule ID 3879 //
     /*  581479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581547 */     GIR_RootConstrainSelectedInstOperands,
     /*  581548 */     // GIR_Coverage, 3879,
     /*  581548 */     GIR_EraseRootFromParent_Done,
     /*  581549 */   // Label 9471: @581549
     /*  581549 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581624), // Rule ID 3882 //
     /*  581554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581622 */     GIR_RootConstrainSelectedInstOperands,
     /*  581623 */     // GIR_Coverage, 3882,
     /*  581623 */     GIR_EraseRootFromParent_Done,
     /*  581624 */   // Label 9472: @581624
     /*  581624 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581699), // Rule ID 3883 //
     /*  581629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581697 */     GIR_RootConstrainSelectedInstOperands,
     /*  581698 */     // GIR_Coverage, 3883,
     /*  581698 */     GIR_EraseRootFromParent_Done,
     /*  581699 */   // Label 9473: @581699
     /*  581699 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581774), // Rule ID 3886 //
     /*  581704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581772 */     GIR_RootConstrainSelectedInstOperands,
     /*  581773 */     // GIR_Coverage, 3886,
     /*  581773 */     GIR_EraseRootFromParent_Done,
     /*  581774 */   // Label 9474: @581774
     /*  581774 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581849), // Rule ID 3887 //
     /*  581779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581825 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581847 */     GIR_RootConstrainSelectedInstOperands,
     /*  581848 */     // GIR_Coverage, 3887,
     /*  581848 */     GIR_EraseRootFromParent_Done,
     /*  581849 */   // Label 9475: @581849
     /*  581849 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581924), // Rule ID 3890 //
     /*  581854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581922 */     GIR_RootConstrainSelectedInstOperands,
     /*  581923 */     // GIR_Coverage, 3890,
     /*  581923 */     GIR_EraseRootFromParent_Done,
     /*  581924 */   // Label 9476: @581924
     /*  581924 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581999), // Rule ID 3891 //
     /*  581929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581975 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581997 */     GIR_RootConstrainSelectedInstOperands,
     /*  581998 */     // GIR_Coverage, 3891,
     /*  581998 */     GIR_EraseRootFromParent_Done,
     /*  581999 */   // Label 9477: @581999
     /*  581999 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(582074), // Rule ID 3894 //
     /*  582004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582072 */     GIR_RootConstrainSelectedInstOperands,
     /*  582073 */     // GIR_Coverage, 3894,
     /*  582073 */     GIR_EraseRootFromParent_Done,
     /*  582074 */   // Label 9478: @582074
     /*  582074 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(582149), // Rule ID 3895 //
     /*  582079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582125 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582147 */     GIR_RootConstrainSelectedInstOperands,
     /*  582148 */     // GIR_Coverage, 3895,
     /*  582148 */     GIR_EraseRootFromParent_Done,
     /*  582149 */   // Label 9479: @582149
     /*  582149 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(582224), // Rule ID 3898 //
     /*  582154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582222 */     GIR_RootConstrainSelectedInstOperands,
     /*  582223 */     // GIR_Coverage, 3898,
     /*  582223 */     GIR_EraseRootFromParent_Done,
     /*  582224 */   // Label 9480: @582224
     /*  582224 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582299), // Rule ID 3899 //
     /*  582229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582297 */     GIR_RootConstrainSelectedInstOperands,
     /*  582298 */     // GIR_Coverage, 3899,
     /*  582298 */     GIR_EraseRootFromParent_Done,
     /*  582299 */   // Label 9481: @582299
     /*  582299 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582374), // Rule ID 3902 //
     /*  582304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582372 */     GIR_RootConstrainSelectedInstOperands,
     /*  582373 */     // GIR_Coverage, 3902,
     /*  582373 */     GIR_EraseRootFromParent_Done,
     /*  582374 */   // Label 9482: @582374
     /*  582374 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582449), // Rule ID 3903 //
     /*  582379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582447 */     GIR_RootConstrainSelectedInstOperands,
     /*  582448 */     // GIR_Coverage, 3903,
     /*  582448 */     GIR_EraseRootFromParent_Done,
     /*  582449 */   // Label 9483: @582449
     /*  582449 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582524), // Rule ID 3906 //
     /*  582454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582522 */     GIR_RootConstrainSelectedInstOperands,
     /*  582523 */     // GIR_Coverage, 3906,
     /*  582523 */     GIR_EraseRootFromParent_Done,
     /*  582524 */   // Label 9484: @582524
     /*  582524 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582599), // Rule ID 3907 //
     /*  582529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582597 */     GIR_RootConstrainSelectedInstOperands,
     /*  582598 */     // GIR_Coverage, 3907,
     /*  582598 */     GIR_EraseRootFromParent_Done,
     /*  582599 */   // Label 9485: @582599
     /*  582599 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582674), // Rule ID 3910 //
     /*  582604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582672 */     GIR_RootConstrainSelectedInstOperands,
     /*  582673 */     // GIR_Coverage, 3910,
     /*  582673 */     GIR_EraseRootFromParent_Done,
     /*  582674 */   // Label 9486: @582674
     /*  582674 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582749), // Rule ID 3911 //
     /*  582679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582747 */     GIR_RootConstrainSelectedInstOperands,
     /*  582748 */     // GIR_Coverage, 3911,
     /*  582748 */     GIR_EraseRootFromParent_Done,
     /*  582749 */   // Label 9487: @582749
     /*  582749 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582824), // Rule ID 3914 //
     /*  582754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582822 */     GIR_RootConstrainSelectedInstOperands,
     /*  582823 */     // GIR_Coverage, 3914,
     /*  582823 */     GIR_EraseRootFromParent_Done,
     /*  582824 */   // Label 9488: @582824
     /*  582824 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582899), // Rule ID 3915 //
     /*  582829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582897 */     GIR_RootConstrainSelectedInstOperands,
     /*  582898 */     // GIR_Coverage, 3915,
     /*  582898 */     GIR_EraseRootFromParent_Done,
     /*  582899 */   // Label 9489: @582899
     /*  582899 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582974), // Rule ID 3918 //
     /*  582904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582972 */     GIR_RootConstrainSelectedInstOperands,
     /*  582973 */     // GIR_Coverage, 3918,
     /*  582973 */     GIR_EraseRootFromParent_Done,
     /*  582974 */   // Label 9490: @582974
     /*  582974 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(583049), // Rule ID 3919 //
     /*  582979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583047 */     GIR_RootConstrainSelectedInstOperands,
     /*  583048 */     // GIR_Coverage, 3919,
     /*  583048 */     GIR_EraseRootFromParent_Done,
     /*  583049 */   // Label 9491: @583049
     /*  583049 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(583124), // Rule ID 3922 //
     /*  583054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583122 */     GIR_RootConstrainSelectedInstOperands,
     /*  583123 */     // GIR_Coverage, 3922,
     /*  583123 */     GIR_EraseRootFromParent_Done,
     /*  583124 */   // Label 9492: @583124
     /*  583124 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(583199), // Rule ID 3923 //
     /*  583129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583197 */     GIR_RootConstrainSelectedInstOperands,
     /*  583198 */     // GIR_Coverage, 3923,
     /*  583198 */     GIR_EraseRootFromParent_Done,
     /*  583199 */   // Label 9493: @583199
     /*  583199 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583274), // Rule ID 3926 //
     /*  583204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583272 */     GIR_RootConstrainSelectedInstOperands,
     /*  583273 */     // GIR_Coverage, 3926,
     /*  583273 */     GIR_EraseRootFromParent_Done,
     /*  583274 */   // Label 9494: @583274
     /*  583274 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583349), // Rule ID 3927 //
     /*  583279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583347 */     GIR_RootConstrainSelectedInstOperands,
     /*  583348 */     // GIR_Coverage, 3927,
     /*  583348 */     GIR_EraseRootFromParent_Done,
     /*  583349 */   // Label 9495: @583349
     /*  583349 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583424), // Rule ID 3930 //
     /*  583354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583422 */     GIR_RootConstrainSelectedInstOperands,
     /*  583423 */     // GIR_Coverage, 3930,
     /*  583423 */     GIR_EraseRootFromParent_Done,
     /*  583424 */   // Label 9496: @583424
     /*  583424 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583499), // Rule ID 3931 //
     /*  583429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583497 */     GIR_RootConstrainSelectedInstOperands,
     /*  583498 */     // GIR_Coverage, 3931,
     /*  583498 */     GIR_EraseRootFromParent_Done,
     /*  583499 */   // Label 9497: @583499
     /*  583499 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583574), // Rule ID 3934 //
     /*  583504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583572 */     GIR_RootConstrainSelectedInstOperands,
     /*  583573 */     // GIR_Coverage, 3934,
     /*  583573 */     GIR_EraseRootFromParent_Done,
     /*  583574 */   // Label 9498: @583574
     /*  583574 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583649), // Rule ID 3935 //
     /*  583579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583647 */     GIR_RootConstrainSelectedInstOperands,
     /*  583648 */     // GIR_Coverage, 3935,
     /*  583648 */     GIR_EraseRootFromParent_Done,
     /*  583649 */   // Label 9499: @583649
     /*  583649 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583724), // Rule ID 3938 //
     /*  583654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583722 */     GIR_RootConstrainSelectedInstOperands,
     /*  583723 */     // GIR_Coverage, 3938,
     /*  583723 */     GIR_EraseRootFromParent_Done,
     /*  583724 */   // Label 9500: @583724
     /*  583724 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583799), // Rule ID 3939 //
     /*  583729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583797 */     GIR_RootConstrainSelectedInstOperands,
     /*  583798 */     // GIR_Coverage, 3939,
     /*  583798 */     GIR_EraseRootFromParent_Done,
     /*  583799 */   // Label 9501: @583799
     /*  583799 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583874), // Rule ID 3942 //
     /*  583804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583872 */     GIR_RootConstrainSelectedInstOperands,
     /*  583873 */     // GIR_Coverage, 3942,
     /*  583873 */     GIR_EraseRootFromParent_Done,
     /*  583874 */   // Label 9502: @583874
     /*  583874 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583949), // Rule ID 3943 //
     /*  583879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583947 */     GIR_RootConstrainSelectedInstOperands,
     /*  583948 */     // GIR_Coverage, 3943,
     /*  583948 */     GIR_EraseRootFromParent_Done,
     /*  583949 */   // Label 9503: @583949
     /*  583949 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(584024), // Rule ID 3946 //
     /*  583954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584022 */     GIR_RootConstrainSelectedInstOperands,
     /*  584023 */     // GIR_Coverage, 3946,
     /*  584023 */     GIR_EraseRootFromParent_Done,
     /*  584024 */   // Label 9504: @584024
     /*  584024 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(584099), // Rule ID 3947 //
     /*  584029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584097 */     GIR_RootConstrainSelectedInstOperands,
     /*  584098 */     // GIR_Coverage, 3947,
     /*  584098 */     GIR_EraseRootFromParent_Done,
     /*  584099 */   // Label 9505: @584099
     /*  584099 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(584174), // Rule ID 3952 //
     /*  584104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584172 */     GIR_RootConstrainSelectedInstOperands,
     /*  584173 */     // GIR_Coverage, 3952,
     /*  584173 */     GIR_EraseRootFromParent_Done,
     /*  584174 */   // Label 9506: @584174
     /*  584174 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(584249), // Rule ID 3953 //
     /*  584179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584247 */     GIR_RootConstrainSelectedInstOperands,
     /*  584248 */     // GIR_Coverage, 3953,
     /*  584248 */     GIR_EraseRootFromParent_Done,
     /*  584249 */   // Label 9507: @584249
     /*  584249 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584324), // Rule ID 3962 //
     /*  584254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584322 */     GIR_RootConstrainSelectedInstOperands,
     /*  584323 */     // GIR_Coverage, 3962,
     /*  584323 */     GIR_EraseRootFromParent_Done,
     /*  584324 */   // Label 9508: @584324
     /*  584324 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584399), // Rule ID 3963 //
     /*  584329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584397 */     GIR_RootConstrainSelectedInstOperands,
     /*  584398 */     // GIR_Coverage, 3963,
     /*  584398 */     GIR_EraseRootFromParent_Done,
     /*  584399 */   // Label 9509: @584399
     /*  584399 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584474), // Rule ID 3972 //
     /*  584404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584472 */     GIR_RootConstrainSelectedInstOperands,
     /*  584473 */     // GIR_Coverage, 3972,
     /*  584473 */     GIR_EraseRootFromParent_Done,
     /*  584474 */   // Label 9510: @584474
     /*  584474 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584549), // Rule ID 3973 //
     /*  584479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584547 */     GIR_RootConstrainSelectedInstOperands,
     /*  584548 */     // GIR_Coverage, 3973,
     /*  584548 */     GIR_EraseRootFromParent_Done,
     /*  584549 */   // Label 9511: @584549
     /*  584549 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584624), // Rule ID 3982 //
     /*  584554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584622 */     GIR_RootConstrainSelectedInstOperands,
     /*  584623 */     // GIR_Coverage, 3982,
     /*  584623 */     GIR_EraseRootFromParent_Done,
     /*  584624 */   // Label 9512: @584624
     /*  584624 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584699), // Rule ID 3983 //
     /*  584629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584697 */     GIR_RootConstrainSelectedInstOperands,
     /*  584698 */     // GIR_Coverage, 3983,
     /*  584698 */     GIR_EraseRootFromParent_Done,
     /*  584699 */   // Label 9513: @584699
     /*  584699 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584774), // Rule ID 3992 //
     /*  584704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584772 */     GIR_RootConstrainSelectedInstOperands,
     /*  584773 */     // GIR_Coverage, 3992,
     /*  584773 */     GIR_EraseRootFromParent_Done,
     /*  584774 */   // Label 9514: @584774
     /*  584774 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584849), // Rule ID 3993 //
     /*  584779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584847 */     GIR_RootConstrainSelectedInstOperands,
     /*  584848 */     // GIR_Coverage, 3993,
     /*  584848 */     GIR_EraseRootFromParent_Done,
     /*  584849 */   // Label 9515: @584849
     /*  584849 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584924), // Rule ID 4002 //
     /*  584854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584922 */     GIR_RootConstrainSelectedInstOperands,
     /*  584923 */     // GIR_Coverage, 4002,
     /*  584923 */     GIR_EraseRootFromParent_Done,
     /*  584924 */   // Label 9516: @584924
     /*  584924 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584999), // Rule ID 4003 //
     /*  584929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584997 */     GIR_RootConstrainSelectedInstOperands,
     /*  584998 */     // GIR_Coverage, 4003,
     /*  584998 */     GIR_EraseRootFromParent_Done,
     /*  584999 */   // Label 9517: @584999
     /*  584999 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(585074), // Rule ID 4012 //
     /*  585004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585072 */     GIR_RootConstrainSelectedInstOperands,
     /*  585073 */     // GIR_Coverage, 4012,
     /*  585073 */     GIR_EraseRootFromParent_Done,
     /*  585074 */   // Label 9518: @585074
     /*  585074 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(585149), // Rule ID 4013 //
     /*  585079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585147 */     GIR_RootConstrainSelectedInstOperands,
     /*  585148 */     // GIR_Coverage, 4013,
     /*  585148 */     GIR_EraseRootFromParent_Done,
     /*  585149 */   // Label 9519: @585149
     /*  585149 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(585224), // Rule ID 4022 //
     /*  585154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585222 */     GIR_RootConstrainSelectedInstOperands,
     /*  585223 */     // GIR_Coverage, 4022,
     /*  585223 */     GIR_EraseRootFromParent_Done,
     /*  585224 */   // Label 9520: @585224
     /*  585224 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585299), // Rule ID 4023 //
     /*  585229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585297 */     GIR_RootConstrainSelectedInstOperands,
     /*  585298 */     // GIR_Coverage, 4023,
     /*  585298 */     GIR_EraseRootFromParent_Done,
     /*  585299 */   // Label 9521: @585299
     /*  585299 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585374), // Rule ID 4032 //
     /*  585304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585372 */     GIR_RootConstrainSelectedInstOperands,
     /*  585373 */     // GIR_Coverage, 4032,
     /*  585373 */     GIR_EraseRootFromParent_Done,
     /*  585374 */   // Label 9522: @585374
     /*  585374 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585449), // Rule ID 4033 //
     /*  585379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585447 */     GIR_RootConstrainSelectedInstOperands,
     /*  585448 */     // GIR_Coverage, 4033,
     /*  585448 */     GIR_EraseRootFromParent_Done,
     /*  585449 */   // Label 9523: @585449
     /*  585449 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585524), // Rule ID 4042 //
     /*  585454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585500 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585522 */     GIR_RootConstrainSelectedInstOperands,
     /*  585523 */     // GIR_Coverage, 4042,
     /*  585523 */     GIR_EraseRootFromParent_Done,
     /*  585524 */   // Label 9524: @585524
     /*  585524 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585599), // Rule ID 4043 //
     /*  585529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585597 */     GIR_RootConstrainSelectedInstOperands,
     /*  585598 */     // GIR_Coverage, 4043,
     /*  585598 */     GIR_EraseRootFromParent_Done,
     /*  585599 */   // Label 9525: @585599
     /*  585599 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585674), // Rule ID 4052 //
     /*  585604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585672 */     GIR_RootConstrainSelectedInstOperands,
     /*  585673 */     // GIR_Coverage, 4052,
     /*  585673 */     GIR_EraseRootFromParent_Done,
     /*  585674 */   // Label 9526: @585674
     /*  585674 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585749), // Rule ID 4053 //
     /*  585679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585747 */     GIR_RootConstrainSelectedInstOperands,
     /*  585748 */     // GIR_Coverage, 4053,
     /*  585748 */     GIR_EraseRootFromParent_Done,
     /*  585749 */   // Label 9527: @585749
     /*  585749 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585824), // Rule ID 4062 //
     /*  585754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585822 */     GIR_RootConstrainSelectedInstOperands,
     /*  585823 */     // GIR_Coverage, 4062,
     /*  585823 */     GIR_EraseRootFromParent_Done,
     /*  585824 */   // Label 9528: @585824
     /*  585824 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585899), // Rule ID 4063 //
     /*  585829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585897 */     GIR_RootConstrainSelectedInstOperands,
     /*  585898 */     // GIR_Coverage, 4063,
     /*  585898 */     GIR_EraseRootFromParent_Done,
     /*  585899 */   // Label 9529: @585899
     /*  585899 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585974), // Rule ID 4072 //
     /*  585904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585972 */     GIR_RootConstrainSelectedInstOperands,
     /*  585973 */     // GIR_Coverage, 4072,
     /*  585973 */     GIR_EraseRootFromParent_Done,
     /*  585974 */   // Label 9530: @585974
     /*  585974 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(586049), // Rule ID 4073 //
     /*  585979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586047 */     GIR_RootConstrainSelectedInstOperands,
     /*  586048 */     // GIR_Coverage, 4073,
     /*  586048 */     GIR_EraseRootFromParent_Done,
     /*  586049 */   // Label 9531: @586049
     /*  586049 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(586124), // Rule ID 4082 //
     /*  586054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586122 */     GIR_RootConstrainSelectedInstOperands,
     /*  586123 */     // GIR_Coverage, 4082,
     /*  586123 */     GIR_EraseRootFromParent_Done,
     /*  586124 */   // Label 9532: @586124
     /*  586124 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(586199), // Rule ID 4083 //
     /*  586129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586197 */     GIR_RootConstrainSelectedInstOperands,
     /*  586198 */     // GIR_Coverage, 4083,
     /*  586198 */     GIR_EraseRootFromParent_Done,
     /*  586199 */   // Label 9533: @586199
     /*  586199 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586274), // Rule ID 4090 //
     /*  586204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  586253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586272 */     GIR_RootConstrainSelectedInstOperands,
     /*  586273 */     // GIR_Coverage, 4090,
     /*  586273 */     GIR_EraseRootFromParent_Done,
     /*  586274 */   // Label 9534: @586274
     /*  586274 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586349), // Rule ID 4091 //
     /*  586279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  586328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586347 */     GIR_RootConstrainSelectedInstOperands,
     /*  586348 */     // GIR_Coverage, 4091,
     /*  586348 */     GIR_EraseRootFromParent_Done,
     /*  586349 */   // Label 9535: @586349
     /*  586349 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586424), // Rule ID 4094 //
     /*  586354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586422 */     GIR_RootConstrainSelectedInstOperands,
     /*  586423 */     // GIR_Coverage, 4094,
     /*  586423 */     GIR_EraseRootFromParent_Done,
     /*  586424 */   // Label 9536: @586424
     /*  586424 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586499), // Rule ID 4095 //
     /*  586429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586497 */     GIR_RootConstrainSelectedInstOperands,
     /*  586498 */     // GIR_Coverage, 4095,
     /*  586498 */     GIR_EraseRootFromParent_Done,
     /*  586499 */   // Label 9537: @586499
     /*  586499 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586574), // Rule ID 4098 //
     /*  586504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586572 */     GIR_RootConstrainSelectedInstOperands,
     /*  586573 */     // GIR_Coverage, 4098,
     /*  586573 */     GIR_EraseRootFromParent_Done,
     /*  586574 */   // Label 9538: @586574
     /*  586574 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586649), // Rule ID 4099 //
     /*  586579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586625 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586647 */     GIR_RootConstrainSelectedInstOperands,
     /*  586648 */     // GIR_Coverage, 4099,
     /*  586648 */     GIR_EraseRootFromParent_Done,
     /*  586649 */   // Label 9539: @586649
     /*  586649 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586724), // Rule ID 4102 //
     /*  586654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586722 */     GIR_RootConstrainSelectedInstOperands,
     /*  586723 */     // GIR_Coverage, 4102,
     /*  586723 */     GIR_EraseRootFromParent_Done,
     /*  586724 */   // Label 9540: @586724
     /*  586724 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586799), // Rule ID 4103 //
     /*  586729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586797 */     GIR_RootConstrainSelectedInstOperands,
     /*  586798 */     // GIR_Coverage, 4103,
     /*  586798 */     GIR_EraseRootFromParent_Done,
     /*  586799 */   // Label 9541: @586799
     /*  586799 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586874), // Rule ID 4106 //
     /*  586804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586872 */     GIR_RootConstrainSelectedInstOperands,
     /*  586873 */     // GIR_Coverage, 4106,
     /*  586873 */     GIR_EraseRootFromParent_Done,
     /*  586874 */   // Label 9542: @586874
     /*  586874 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586949), // Rule ID 4107 //
     /*  586879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586947 */     GIR_RootConstrainSelectedInstOperands,
     /*  586948 */     // GIR_Coverage, 4107,
     /*  586948 */     GIR_EraseRootFromParent_Done,
     /*  586949 */   // Label 9543: @586949
     /*  586949 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(587024), // Rule ID 4110 //
     /*  586954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587022 */     GIR_RootConstrainSelectedInstOperands,
     /*  587023 */     // GIR_Coverage, 4110,
     /*  587023 */     GIR_EraseRootFromParent_Done,
     /*  587024 */   // Label 9544: @587024
     /*  587024 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(587099), // Rule ID 4111 //
     /*  587029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587097 */     GIR_RootConstrainSelectedInstOperands,
     /*  587098 */     // GIR_Coverage, 4111,
     /*  587098 */     GIR_EraseRootFromParent_Done,
     /*  587099 */   // Label 9545: @587099
     /*  587099 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(587174), // Rule ID 4114 //
     /*  587104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587172 */     GIR_RootConstrainSelectedInstOperands,
     /*  587173 */     // GIR_Coverage, 4114,
     /*  587173 */     GIR_EraseRootFromParent_Done,
     /*  587174 */   // Label 9546: @587174
     /*  587174 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(587249), // Rule ID 4115 //
     /*  587179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587247 */     GIR_RootConstrainSelectedInstOperands,
     /*  587248 */     // GIR_Coverage, 4115,
     /*  587248 */     GIR_EraseRootFromParent_Done,
     /*  587249 */   // Label 9547: @587249
     /*  587249 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587324), // Rule ID 4118 //
     /*  587254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587322 */     GIR_RootConstrainSelectedInstOperands,
     /*  587323 */     // GIR_Coverage, 4118,
     /*  587323 */     GIR_EraseRootFromParent_Done,
     /*  587324 */   // Label 9548: @587324
     /*  587324 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587399), // Rule ID 4119 //
     /*  587329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587397 */     GIR_RootConstrainSelectedInstOperands,
     /*  587398 */     // GIR_Coverage, 4119,
     /*  587398 */     GIR_EraseRootFromParent_Done,
     /*  587399 */   // Label 9549: @587399
     /*  587399 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587474), // Rule ID 4122 //
     /*  587404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587472 */     GIR_RootConstrainSelectedInstOperands,
     /*  587473 */     // GIR_Coverage, 4122,
     /*  587473 */     GIR_EraseRootFromParent_Done,
     /*  587474 */   // Label 9550: @587474
     /*  587474 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587549), // Rule ID 4123 //
     /*  587479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587547 */     GIR_RootConstrainSelectedInstOperands,
     /*  587548 */     // GIR_Coverage, 4123,
     /*  587548 */     GIR_EraseRootFromParent_Done,
     /*  587549 */   // Label 9551: @587549
     /*  587549 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587624), // Rule ID 4126 //
     /*  587554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587622 */     GIR_RootConstrainSelectedInstOperands,
     /*  587623 */     // GIR_Coverage, 4126,
     /*  587623 */     GIR_EraseRootFromParent_Done,
     /*  587624 */   // Label 9552: @587624
     /*  587624 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587699), // Rule ID 4127 //
     /*  587629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587697 */     GIR_RootConstrainSelectedInstOperands,
     /*  587698 */     // GIR_Coverage, 4127,
     /*  587698 */     GIR_EraseRootFromParent_Done,
     /*  587699 */   // Label 9553: @587699
     /*  587699 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587774), // Rule ID 4130 //
     /*  587704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587772 */     GIR_RootConstrainSelectedInstOperands,
     /*  587773 */     // GIR_Coverage, 4130,
     /*  587773 */     GIR_EraseRootFromParent_Done,
     /*  587774 */   // Label 9554: @587774
     /*  587774 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587849), // Rule ID 4131 //
     /*  587779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587847 */     GIR_RootConstrainSelectedInstOperands,
     /*  587848 */     // GIR_Coverage, 4131,
     /*  587848 */     GIR_EraseRootFromParent_Done,
     /*  587849 */   // Label 9555: @587849
     /*  587849 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587924), // Rule ID 4134 //
     /*  587854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587922 */     GIR_RootConstrainSelectedInstOperands,
     /*  587923 */     // GIR_Coverage, 4134,
     /*  587923 */     GIR_EraseRootFromParent_Done,
     /*  587924 */   // Label 9556: @587924
     /*  587924 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587999), // Rule ID 4135 //
     /*  587929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587997 */     GIR_RootConstrainSelectedInstOperands,
     /*  587998 */     // GIR_Coverage, 4135,
     /*  587998 */     GIR_EraseRootFromParent_Done,
     /*  587999 */   // Label 9557: @587999
     /*  587999 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(588074), // Rule ID 4138 //
     /*  588004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588072 */     GIR_RootConstrainSelectedInstOperands,
     /*  588073 */     // GIR_Coverage, 4138,
     /*  588073 */     GIR_EraseRootFromParent_Done,
     /*  588074 */   // Label 9558: @588074
     /*  588074 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(588149), // Rule ID 4139 //
     /*  588079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588147 */     GIR_RootConstrainSelectedInstOperands,
     /*  588148 */     // GIR_Coverage, 4139,
     /*  588148 */     GIR_EraseRootFromParent_Done,
     /*  588149 */   // Label 9559: @588149
     /*  588149 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(588224), // Rule ID 4142 //
     /*  588154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588200 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588222 */     GIR_RootConstrainSelectedInstOperands,
     /*  588223 */     // GIR_Coverage, 4142,
     /*  588223 */     GIR_EraseRootFromParent_Done,
     /*  588224 */   // Label 9560: @588224
     /*  588224 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588299), // Rule ID 4143 //
     /*  588229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588297 */     GIR_RootConstrainSelectedInstOperands,
     /*  588298 */     // GIR_Coverage, 4143,
     /*  588298 */     GIR_EraseRootFromParent_Done,
     /*  588299 */   // Label 9561: @588299
     /*  588299 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588374), // Rule ID 4146 //
     /*  588304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588372 */     GIR_RootConstrainSelectedInstOperands,
     /*  588373 */     // GIR_Coverage, 4146,
     /*  588373 */     GIR_EraseRootFromParent_Done,
     /*  588374 */   // Label 9562: @588374
     /*  588374 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588449), // Rule ID 4147 //
     /*  588379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588447 */     GIR_RootConstrainSelectedInstOperands,
     /*  588448 */     // GIR_Coverage, 4147,
     /*  588448 */     GIR_EraseRootFromParent_Done,
     /*  588449 */   // Label 9563: @588449
     /*  588449 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588524), // Rule ID 4152 //
     /*  588454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588522 */     GIR_RootConstrainSelectedInstOperands,
     /*  588523 */     // GIR_Coverage, 4152,
     /*  588523 */     GIR_EraseRootFromParent_Done,
     /*  588524 */   // Label 9564: @588524
     /*  588524 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588599), // Rule ID 4153 //
     /*  588529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588597 */     GIR_RootConstrainSelectedInstOperands,
     /*  588598 */     // GIR_Coverage, 4153,
     /*  588598 */     GIR_EraseRootFromParent_Done,
     /*  588599 */   // Label 9565: @588599
     /*  588599 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588674), // Rule ID 4162 //
     /*  588604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588672 */     GIR_RootConstrainSelectedInstOperands,
     /*  588673 */     // GIR_Coverage, 4162,
     /*  588673 */     GIR_EraseRootFromParent_Done,
     /*  588674 */   // Label 9566: @588674
     /*  588674 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588749), // Rule ID 4163 //
     /*  588679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588747 */     GIR_RootConstrainSelectedInstOperands,
     /*  588748 */     // GIR_Coverage, 4163,
     /*  588748 */     GIR_EraseRootFromParent_Done,
     /*  588749 */   // Label 9567: @588749
     /*  588749 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588824), // Rule ID 4172 //
     /*  588754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588822 */     GIR_RootConstrainSelectedInstOperands,
     /*  588823 */     // GIR_Coverage, 4172,
     /*  588823 */     GIR_EraseRootFromParent_Done,
     /*  588824 */   // Label 9568: @588824
     /*  588824 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588899), // Rule ID 4173 //
     /*  588829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588897 */     GIR_RootConstrainSelectedInstOperands,
     /*  588898 */     // GIR_Coverage, 4173,
     /*  588898 */     GIR_EraseRootFromParent_Done,
     /*  588899 */   // Label 9569: @588899
     /*  588899 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588974), // Rule ID 4182 //
     /*  588904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588972 */     GIR_RootConstrainSelectedInstOperands,
     /*  588973 */     // GIR_Coverage, 4182,
     /*  588973 */     GIR_EraseRootFromParent_Done,
     /*  588974 */   // Label 9570: @588974
     /*  588974 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(589049), // Rule ID 4183 //
     /*  588979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589025 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589047 */     GIR_RootConstrainSelectedInstOperands,
     /*  589048 */     // GIR_Coverage, 4183,
     /*  589048 */     GIR_EraseRootFromParent_Done,
     /*  589049 */   // Label 9571: @589049
     /*  589049 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(589124), // Rule ID 4192 //
     /*  589054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589122 */     GIR_RootConstrainSelectedInstOperands,
     /*  589123 */     // GIR_Coverage, 4192,
     /*  589123 */     GIR_EraseRootFromParent_Done,
     /*  589124 */   // Label 9572: @589124
     /*  589124 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(589199), // Rule ID 4193 //
     /*  589129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589197 */     GIR_RootConstrainSelectedInstOperands,
     /*  589198 */     // GIR_Coverage, 4193,
     /*  589198 */     GIR_EraseRootFromParent_Done,
     /*  589199 */   // Label 9573: @589199
     /*  589199 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589274), // Rule ID 4202 //
     /*  589204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589250 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589272 */     GIR_RootConstrainSelectedInstOperands,
     /*  589273 */     // GIR_Coverage, 4202,
     /*  589273 */     GIR_EraseRootFromParent_Done,
     /*  589274 */   // Label 9574: @589274
     /*  589274 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589349), // Rule ID 4203 //
     /*  589279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589347 */     GIR_RootConstrainSelectedInstOperands,
     /*  589348 */     // GIR_Coverage, 4203,
     /*  589348 */     GIR_EraseRootFromParent_Done,
     /*  589349 */   // Label 9575: @589349
     /*  589349 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589424), // Rule ID 4212 //
     /*  589354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589422 */     GIR_RootConstrainSelectedInstOperands,
     /*  589423 */     // GIR_Coverage, 4212,
     /*  589423 */     GIR_EraseRootFromParent_Done,
     /*  589424 */   // Label 9576: @589424
     /*  589424 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589499), // Rule ID 4213 //
     /*  589429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589497 */     GIR_RootConstrainSelectedInstOperands,
     /*  589498 */     // GIR_Coverage, 4213,
     /*  589498 */     GIR_EraseRootFromParent_Done,
     /*  589499 */   // Label 9577: @589499
     /*  589499 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589574), // Rule ID 4222 //
     /*  589504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589572 */     GIR_RootConstrainSelectedInstOperands,
     /*  589573 */     // GIR_Coverage, 4222,
     /*  589573 */     GIR_EraseRootFromParent_Done,
     /*  589574 */   // Label 9578: @589574
     /*  589574 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589649), // Rule ID 4223 //
     /*  589579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589647 */     GIR_RootConstrainSelectedInstOperands,
     /*  589648 */     // GIR_Coverage, 4223,
     /*  589648 */     GIR_EraseRootFromParent_Done,
     /*  589649 */   // Label 9579: @589649
     /*  589649 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589724), // Rule ID 4232 //
     /*  589654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589722 */     GIR_RootConstrainSelectedInstOperands,
     /*  589723 */     // GIR_Coverage, 4232,
     /*  589723 */     GIR_EraseRootFromParent_Done,
     /*  589724 */   // Label 9580: @589724
     /*  589724 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589799), // Rule ID 4233 //
     /*  589729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589797 */     GIR_RootConstrainSelectedInstOperands,
     /*  589798 */     // GIR_Coverage, 4233,
     /*  589798 */     GIR_EraseRootFromParent_Done,
     /*  589799 */   // Label 9581: @589799
     /*  589799 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589874), // Rule ID 4242 //
     /*  589804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589872 */     GIR_RootConstrainSelectedInstOperands,
     /*  589873 */     // GIR_Coverage, 4242,
     /*  589873 */     GIR_EraseRootFromParent_Done,
     /*  589874 */   // Label 9582: @589874
     /*  589874 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589949), // Rule ID 4243 //
     /*  589879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589947 */     GIR_RootConstrainSelectedInstOperands,
     /*  589948 */     // GIR_Coverage, 4243,
     /*  589948 */     GIR_EraseRootFromParent_Done,
     /*  589949 */   // Label 9583: @589949
     /*  589949 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(590024), // Rule ID 4252 //
     /*  589954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590022 */     GIR_RootConstrainSelectedInstOperands,
     /*  590023 */     // GIR_Coverage, 4252,
     /*  590023 */     GIR_EraseRootFromParent_Done,
     /*  590024 */   // Label 9584: @590024
     /*  590024 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(590099), // Rule ID 4253 //
     /*  590029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590097 */     GIR_RootConstrainSelectedInstOperands,
     /*  590098 */     // GIR_Coverage, 4253,
     /*  590098 */     GIR_EraseRootFromParent_Done,
     /*  590099 */   // Label 9585: @590099
     /*  590099 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(590174), // Rule ID 4262 //
     /*  590104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590172 */     GIR_RootConstrainSelectedInstOperands,
     /*  590173 */     // GIR_Coverage, 4262,
     /*  590173 */     GIR_EraseRootFromParent_Done,
     /*  590174 */   // Label 9586: @590174
     /*  590174 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(590249), // Rule ID 4263 //
     /*  590179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590247 */     GIR_RootConstrainSelectedInstOperands,
     /*  590248 */     // GIR_Coverage, 4263,
     /*  590248 */     GIR_EraseRootFromParent_Done,
     /*  590249 */   // Label 9587: @590249
     /*  590249 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590324), // Rule ID 4272 //
     /*  590254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590322 */     GIR_RootConstrainSelectedInstOperands,
     /*  590323 */     // GIR_Coverage, 4272,
     /*  590323 */     GIR_EraseRootFromParent_Done,
     /*  590324 */   // Label 9588: @590324
     /*  590324 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590399), // Rule ID 4273 //
     /*  590329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590397 */     GIR_RootConstrainSelectedInstOperands,
     /*  590398 */     // GIR_Coverage, 4273,
     /*  590398 */     GIR_EraseRootFromParent_Done,
     /*  590399 */   // Label 9589: @590399
     /*  590399 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590474), // Rule ID 4282 //
     /*  590404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590472 */     GIR_RootConstrainSelectedInstOperands,
     /*  590473 */     // GIR_Coverage, 4282,
     /*  590473 */     GIR_EraseRootFromParent_Done,
     /*  590474 */   // Label 9590: @590474
     /*  590474 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590549), // Rule ID 4283 //
     /*  590479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590547 */     GIR_RootConstrainSelectedInstOperands,
     /*  590548 */     // GIR_Coverage, 4283,
     /*  590548 */     GIR_EraseRootFromParent_Done,
     /*  590549 */   // Label 9591: @590549
     /*  590549 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590624), // Rule ID 4292 //
     /*  590554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590622 */     GIR_RootConstrainSelectedInstOperands,
     /*  590623 */     // GIR_Coverage, 4292,
     /*  590623 */     GIR_EraseRootFromParent_Done,
     /*  590624 */   // Label 9592: @590624
     /*  590624 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590699), // Rule ID 4293 //
     /*  590629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590697 */     GIR_RootConstrainSelectedInstOperands,
     /*  590698 */     // GIR_Coverage, 4293,
     /*  590698 */     GIR_EraseRootFromParent_Done,
     /*  590699 */   // Label 9593: @590699
     /*  590699 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590774), // Rule ID 4300 //
     /*  590704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590772 */     GIR_RootConstrainSelectedInstOperands,
     /*  590773 */     // GIR_Coverage, 4300,
     /*  590773 */     GIR_EraseRootFromParent_Done,
     /*  590774 */   // Label 9594: @590774
     /*  590774 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590849), // Rule ID 4301 //
     /*  590779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590847 */     GIR_RootConstrainSelectedInstOperands,
     /*  590848 */     // GIR_Coverage, 4301,
     /*  590848 */     GIR_EraseRootFromParent_Done,
     /*  590849 */   // Label 9595: @590849
     /*  590849 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590924), // Rule ID 4304 //
     /*  590854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590922 */     GIR_RootConstrainSelectedInstOperands,
     /*  590923 */     // GIR_Coverage, 4304,
     /*  590923 */     GIR_EraseRootFromParent_Done,
     /*  590924 */   // Label 9596: @590924
     /*  590924 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590999), // Rule ID 4305 //
     /*  590929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590997 */     GIR_RootConstrainSelectedInstOperands,
     /*  590998 */     // GIR_Coverage, 4305,
     /*  590998 */     GIR_EraseRootFromParent_Done,
     /*  590999 */   // Label 9597: @590999
     /*  590999 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(591074), // Rule ID 4308 //
     /*  591004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591072 */     GIR_RootConstrainSelectedInstOperands,
     /*  591073 */     // GIR_Coverage, 4308,
     /*  591073 */     GIR_EraseRootFromParent_Done,
     /*  591074 */   // Label 9598: @591074
     /*  591074 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(591149), // Rule ID 4309 //
     /*  591079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591147 */     GIR_RootConstrainSelectedInstOperands,
     /*  591148 */     // GIR_Coverage, 4309,
     /*  591148 */     GIR_EraseRootFromParent_Done,
     /*  591149 */   // Label 9599: @591149
     /*  591149 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(591224), // Rule ID 4312 //
     /*  591154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591222 */     GIR_RootConstrainSelectedInstOperands,
     /*  591223 */     // GIR_Coverage, 4312,
     /*  591223 */     GIR_EraseRootFromParent_Done,
     /*  591224 */   // Label 9600: @591224
     /*  591224 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591299), // Rule ID 4313 //
     /*  591229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591297 */     GIR_RootConstrainSelectedInstOperands,
     /*  591298 */     // GIR_Coverage, 4313,
     /*  591298 */     GIR_EraseRootFromParent_Done,
     /*  591299 */   // Label 9601: @591299
     /*  591299 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591374), // Rule ID 4316 //
     /*  591304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591372 */     GIR_RootConstrainSelectedInstOperands,
     /*  591373 */     // GIR_Coverage, 4316,
     /*  591373 */     GIR_EraseRootFromParent_Done,
     /*  591374 */   // Label 9602: @591374
     /*  591374 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591449), // Rule ID 4317 //
     /*  591379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591425 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591447 */     GIR_RootConstrainSelectedInstOperands,
     /*  591448 */     // GIR_Coverage, 4317,
     /*  591448 */     GIR_EraseRootFromParent_Done,
     /*  591449 */   // Label 9603: @591449
     /*  591449 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591524), // Rule ID 4320 //
     /*  591454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591522 */     GIR_RootConstrainSelectedInstOperands,
     /*  591523 */     // GIR_Coverage, 4320,
     /*  591523 */     GIR_EraseRootFromParent_Done,
     /*  591524 */   // Label 9604: @591524
     /*  591524 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591599), // Rule ID 4321 //
     /*  591529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591597 */     GIR_RootConstrainSelectedInstOperands,
     /*  591598 */     // GIR_Coverage, 4321,
     /*  591598 */     GIR_EraseRootFromParent_Done,
     /*  591599 */   // Label 9605: @591599
     /*  591599 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591674), // Rule ID 4324 //
     /*  591604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591672 */     GIR_RootConstrainSelectedInstOperands,
     /*  591673 */     // GIR_Coverage, 4324,
     /*  591673 */     GIR_EraseRootFromParent_Done,
     /*  591674 */   // Label 9606: @591674
     /*  591674 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591749), // Rule ID 4325 //
     /*  591679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591747 */     GIR_RootConstrainSelectedInstOperands,
     /*  591748 */     // GIR_Coverage, 4325,
     /*  591748 */     GIR_EraseRootFromParent_Done,
     /*  591749 */   // Label 9607: @591749
     /*  591749 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591824), // Rule ID 4328 //
     /*  591754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591822 */     GIR_RootConstrainSelectedInstOperands,
     /*  591823 */     // GIR_Coverage, 4328,
     /*  591823 */     GIR_EraseRootFromParent_Done,
     /*  591824 */   // Label 9608: @591824
     /*  591824 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591899), // Rule ID 4329 //
     /*  591829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591897 */     GIR_RootConstrainSelectedInstOperands,
     /*  591898 */     // GIR_Coverage, 4329,
     /*  591898 */     GIR_EraseRootFromParent_Done,
     /*  591899 */   // Label 9609: @591899
     /*  591899 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591974), // Rule ID 4332 //
     /*  591904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591972 */     GIR_RootConstrainSelectedInstOperands,
     /*  591973 */     // GIR_Coverage, 4332,
     /*  591973 */     GIR_EraseRootFromParent_Done,
     /*  591974 */   // Label 9610: @591974
     /*  591974 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(592049), // Rule ID 4333 //
     /*  591979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592047 */     GIR_RootConstrainSelectedInstOperands,
     /*  592048 */     // GIR_Coverage, 4333,
     /*  592048 */     GIR_EraseRootFromParent_Done,
     /*  592049 */   // Label 9611: @592049
     /*  592049 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(592124), // Rule ID 4336 //
     /*  592054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592122 */     GIR_RootConstrainSelectedInstOperands,
     /*  592123 */     // GIR_Coverage, 4336,
     /*  592123 */     GIR_EraseRootFromParent_Done,
     /*  592124 */   // Label 9612: @592124
     /*  592124 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(592199), // Rule ID 4337 //
     /*  592129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592197 */     GIR_RootConstrainSelectedInstOperands,
     /*  592198 */     // GIR_Coverage, 4337,
     /*  592198 */     GIR_EraseRootFromParent_Done,
     /*  592199 */   // Label 9613: @592199
     /*  592199 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592274), // Rule ID 4340 //
     /*  592204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592272 */     GIR_RootConstrainSelectedInstOperands,
     /*  592273 */     // GIR_Coverage, 4340,
     /*  592273 */     GIR_EraseRootFromParent_Done,
     /*  592274 */   // Label 9614: @592274
     /*  592274 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592349), // Rule ID 4341 //
     /*  592279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592347 */     GIR_RootConstrainSelectedInstOperands,
     /*  592348 */     // GIR_Coverage, 4341,
     /*  592348 */     GIR_EraseRootFromParent_Done,
     /*  592349 */   // Label 9615: @592349
     /*  592349 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592424), // Rule ID 4344 //
     /*  592354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592422 */     GIR_RootConstrainSelectedInstOperands,
     /*  592423 */     // GIR_Coverage, 4344,
     /*  592423 */     GIR_EraseRootFromParent_Done,
     /*  592424 */   // Label 9616: @592424
     /*  592424 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592499), // Rule ID 4345 //
     /*  592429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592497 */     GIR_RootConstrainSelectedInstOperands,
     /*  592498 */     // GIR_Coverage, 4345,
     /*  592498 */     GIR_EraseRootFromParent_Done,
     /*  592499 */   // Label 9617: @592499
     /*  592499 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592574), // Rule ID 4348 //
     /*  592504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592572 */     GIR_RootConstrainSelectedInstOperands,
     /*  592573 */     // GIR_Coverage, 4348,
     /*  592573 */     GIR_EraseRootFromParent_Done,
     /*  592574 */   // Label 9618: @592574
     /*  592574 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592649), // Rule ID 4349 //
     /*  592579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592647 */     GIR_RootConstrainSelectedInstOperands,
     /*  592648 */     // GIR_Coverage, 4349,
     /*  592648 */     GIR_EraseRootFromParent_Done,
     /*  592649 */   // Label 9619: @592649
     /*  592649 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592724), // Rule ID 4352 //
     /*  592654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592722 */     GIR_RootConstrainSelectedInstOperands,
     /*  592723 */     // GIR_Coverage, 4352,
     /*  592723 */     GIR_EraseRootFromParent_Done,
     /*  592724 */   // Label 9620: @592724
     /*  592724 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592799), // Rule ID 4353 //
     /*  592729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592797 */     GIR_RootConstrainSelectedInstOperands,
     /*  592798 */     // GIR_Coverage, 4353,
     /*  592798 */     GIR_EraseRootFromParent_Done,
     /*  592799 */   // Label 9621: @592799
     /*  592799 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592874), // Rule ID 4356 //
     /*  592804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592872 */     GIR_RootConstrainSelectedInstOperands,
     /*  592873 */     // GIR_Coverage, 4356,
     /*  592873 */     GIR_EraseRootFromParent_Done,
     /*  592874 */   // Label 9622: @592874
     /*  592874 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592949), // Rule ID 4357 //
     /*  592879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592925 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592947 */     GIR_RootConstrainSelectedInstOperands,
     /*  592948 */     // GIR_Coverage, 4357,
     /*  592948 */     GIR_EraseRootFromParent_Done,
     /*  592949 */   // Label 9623: @592949
     /*  592949 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(593024), // Rule ID 4362 //
     /*  592954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593022 */     GIR_RootConstrainSelectedInstOperands,
     /*  593023 */     // GIR_Coverage, 4362,
     /*  593023 */     GIR_EraseRootFromParent_Done,
     /*  593024 */   // Label 9624: @593024
     /*  593024 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(593099), // Rule ID 4363 //
     /*  593029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593097 */     GIR_RootConstrainSelectedInstOperands,
     /*  593098 */     // GIR_Coverage, 4363,
     /*  593098 */     GIR_EraseRootFromParent_Done,
     /*  593099 */   // Label 9625: @593099
     /*  593099 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(593174), // Rule ID 4372 //
     /*  593104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593172 */     GIR_RootConstrainSelectedInstOperands,
     /*  593173 */     // GIR_Coverage, 4372,
     /*  593173 */     GIR_EraseRootFromParent_Done,
     /*  593174 */   // Label 9626: @593174
     /*  593174 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(593249), // Rule ID 4373 //
     /*  593179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593247 */     GIR_RootConstrainSelectedInstOperands,
     /*  593248 */     // GIR_Coverage, 4373,
     /*  593248 */     GIR_EraseRootFromParent_Done,
     /*  593249 */   // Label 9627: @593249
     /*  593249 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593324), // Rule ID 4382 //
     /*  593254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593322 */     GIR_RootConstrainSelectedInstOperands,
     /*  593323 */     // GIR_Coverage, 4382,
     /*  593323 */     GIR_EraseRootFromParent_Done,
     /*  593324 */   // Label 9628: @593324
     /*  593324 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593399), // Rule ID 4383 //
     /*  593329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593397 */     GIR_RootConstrainSelectedInstOperands,
     /*  593398 */     // GIR_Coverage, 4383,
     /*  593398 */     GIR_EraseRootFromParent_Done,
     /*  593399 */   // Label 9629: @593399
     /*  593399 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593474), // Rule ID 4392 //
     /*  593404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593472 */     GIR_RootConstrainSelectedInstOperands,
     /*  593473 */     // GIR_Coverage, 4392,
     /*  593473 */     GIR_EraseRootFromParent_Done,
     /*  593474 */   // Label 9630: @593474
     /*  593474 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593549), // Rule ID 4393 //
     /*  593479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593547 */     GIR_RootConstrainSelectedInstOperands,
     /*  593548 */     // GIR_Coverage, 4393,
     /*  593548 */     GIR_EraseRootFromParent_Done,
     /*  593549 */   // Label 9631: @593549
     /*  593549 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593624), // Rule ID 4402 //
     /*  593554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593622 */     GIR_RootConstrainSelectedInstOperands,
     /*  593623 */     // GIR_Coverage, 4402,
     /*  593623 */     GIR_EraseRootFromParent_Done,
     /*  593624 */   // Label 9632: @593624
     /*  593624 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593699), // Rule ID 4403 //
     /*  593629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593697 */     GIR_RootConstrainSelectedInstOperands,
     /*  593698 */     // GIR_Coverage, 4403,
     /*  593698 */     GIR_EraseRootFromParent_Done,
     /*  593699 */   // Label 9633: @593699
     /*  593699 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593774), // Rule ID 4412 //
     /*  593704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593772 */     GIR_RootConstrainSelectedInstOperands,
     /*  593773 */     // GIR_Coverage, 4412,
     /*  593773 */     GIR_EraseRootFromParent_Done,
     /*  593774 */   // Label 9634: @593774
     /*  593774 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593849), // Rule ID 4413 //
     /*  593779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593847 */     GIR_RootConstrainSelectedInstOperands,
     /*  593848 */     // GIR_Coverage, 4413,
     /*  593848 */     GIR_EraseRootFromParent_Done,
     /*  593849 */   // Label 9635: @593849
     /*  593849 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593924), // Rule ID 4422 //
     /*  593854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593922 */     GIR_RootConstrainSelectedInstOperands,
     /*  593923 */     // GIR_Coverage, 4422,
     /*  593923 */     GIR_EraseRootFromParent_Done,
     /*  593924 */   // Label 9636: @593924
     /*  593924 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593999), // Rule ID 4423 //
     /*  593929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593997 */     GIR_RootConstrainSelectedInstOperands,
     /*  593998 */     // GIR_Coverage, 4423,
     /*  593998 */     GIR_EraseRootFromParent_Done,
     /*  593999 */   // Label 9637: @593999
     /*  593999 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(594074), // Rule ID 4432 //
     /*  594004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594072 */     GIR_RootConstrainSelectedInstOperands,
     /*  594073 */     // GIR_Coverage, 4432,
     /*  594073 */     GIR_EraseRootFromParent_Done,
     /*  594074 */   // Label 9638: @594074
     /*  594074 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(594149), // Rule ID 4433 //
     /*  594079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594147 */     GIR_RootConstrainSelectedInstOperands,
     /*  594148 */     // GIR_Coverage, 4433,
     /*  594148 */     GIR_EraseRootFromParent_Done,
     /*  594149 */   // Label 9639: @594149
     /*  594149 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(594224), // Rule ID 4442 //
     /*  594154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594222 */     GIR_RootConstrainSelectedInstOperands,
     /*  594223 */     // GIR_Coverage, 4442,
     /*  594223 */     GIR_EraseRootFromParent_Done,
     /*  594224 */   // Label 9640: @594224
     /*  594224 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594299), // Rule ID 4443 //
     /*  594229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594297 */     GIR_RootConstrainSelectedInstOperands,
     /*  594298 */     // GIR_Coverage, 4443,
     /*  594298 */     GIR_EraseRootFromParent_Done,
     /*  594299 */   // Label 9641: @594299
     /*  594299 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594374), // Rule ID 4452 //
     /*  594304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594372 */     GIR_RootConstrainSelectedInstOperands,
     /*  594373 */     // GIR_Coverage, 4452,
     /*  594373 */     GIR_EraseRootFromParent_Done,
     /*  594374 */   // Label 9642: @594374
     /*  594374 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594449), // Rule ID 4453 //
     /*  594379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594447 */     GIR_RootConstrainSelectedInstOperands,
     /*  594448 */     // GIR_Coverage, 4453,
     /*  594448 */     GIR_EraseRootFromParent_Done,
     /*  594449 */   // Label 9643: @594449
     /*  594449 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594524), // Rule ID 4462 //
     /*  594454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594500 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594522 */     GIR_RootConstrainSelectedInstOperands,
     /*  594523 */     // GIR_Coverage, 4462,
     /*  594523 */     GIR_EraseRootFromParent_Done,
     /*  594524 */   // Label 9644: @594524
     /*  594524 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594599), // Rule ID 4463 //
     /*  594529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594597 */     GIR_RootConstrainSelectedInstOperands,
     /*  594598 */     // GIR_Coverage, 4463,
     /*  594598 */     GIR_EraseRootFromParent_Done,
     /*  594599 */   // Label 9645: @594599
     /*  594599 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594674), // Rule ID 4472 //
     /*  594604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594672 */     GIR_RootConstrainSelectedInstOperands,
     /*  594673 */     // GIR_Coverage, 4472,
     /*  594673 */     GIR_EraseRootFromParent_Done,
     /*  594674 */   // Label 9646: @594674
     /*  594674 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594749), // Rule ID 4473 //
     /*  594679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594747 */     GIR_RootConstrainSelectedInstOperands,
     /*  594748 */     // GIR_Coverage, 4473,
     /*  594748 */     GIR_EraseRootFromParent_Done,
     /*  594749 */   // Label 9647: @594749
     /*  594749 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594824), // Rule ID 4482 //
     /*  594754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594822 */     GIR_RootConstrainSelectedInstOperands,
     /*  594823 */     // GIR_Coverage, 4482,
     /*  594823 */     GIR_EraseRootFromParent_Done,
     /*  594824 */   // Label 9648: @594824
     /*  594824 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594899), // Rule ID 4483 //
     /*  594829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594897 */     GIR_RootConstrainSelectedInstOperands,
     /*  594898 */     // GIR_Coverage, 4483,
     /*  594898 */     GIR_EraseRootFromParent_Done,
     /*  594899 */   // Label 9649: @594899
     /*  594899 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594974), // Rule ID 4492 //
     /*  594904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594972 */     GIR_RootConstrainSelectedInstOperands,
     /*  594973 */     // GIR_Coverage, 4492,
     /*  594973 */     GIR_EraseRootFromParent_Done,
     /*  594974 */   // Label 9650: @594974
     /*  594974 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(595049), // Rule ID 4493 //
     /*  594979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595047 */     GIR_RootConstrainSelectedInstOperands,
     /*  595048 */     // GIR_Coverage, 4493,
     /*  595048 */     GIR_EraseRootFromParent_Done,
     /*  595049 */   // Label 9651: @595049
     /*  595049 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(595124), // Rule ID 4502 //
     /*  595054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595122 */     GIR_RootConstrainSelectedInstOperands,
     /*  595123 */     // GIR_Coverage, 4502,
     /*  595123 */     GIR_EraseRootFromParent_Done,
     /*  595124 */   // Label 9652: @595124
     /*  595124 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(595199), // Rule ID 4503 //
     /*  595129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595197 */     GIR_RootConstrainSelectedInstOperands,
     /*  595198 */     // GIR_Coverage, 4503,
     /*  595198 */     GIR_EraseRootFromParent_Done,
     /*  595199 */   // Label 9653: @595199
     /*  595199 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595274), // Rule ID 4510 //
     /*  595204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  595253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595272 */     GIR_RootConstrainSelectedInstOperands,
     /*  595273 */     // GIR_Coverage, 4510,
     /*  595273 */     GIR_EraseRootFromParent_Done,
     /*  595274 */   // Label 9654: @595274
     /*  595274 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595349), // Rule ID 4511 //
     /*  595279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  595328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595347 */     GIR_RootConstrainSelectedInstOperands,
     /*  595348 */     // GIR_Coverage, 4511,
     /*  595348 */     GIR_EraseRootFromParent_Done,
     /*  595349 */   // Label 9655: @595349
     /*  595349 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595424), // Rule ID 4514 //
     /*  595354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595422 */     GIR_RootConstrainSelectedInstOperands,
     /*  595423 */     // GIR_Coverage, 4514,
     /*  595423 */     GIR_EraseRootFromParent_Done,
     /*  595424 */   // Label 9656: @595424
     /*  595424 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595499), // Rule ID 4515 //
     /*  595429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595497 */     GIR_RootConstrainSelectedInstOperands,
     /*  595498 */     // GIR_Coverage, 4515,
     /*  595498 */     GIR_EraseRootFromParent_Done,
     /*  595499 */   // Label 9657: @595499
     /*  595499 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595574), // Rule ID 4518 //
     /*  595504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595572 */     GIR_RootConstrainSelectedInstOperands,
     /*  595573 */     // GIR_Coverage, 4518,
     /*  595573 */     GIR_EraseRootFromParent_Done,
     /*  595574 */   // Label 9658: @595574
     /*  595574 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595649), // Rule ID 4519 //
     /*  595579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595625 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595647 */     GIR_RootConstrainSelectedInstOperands,
     /*  595648 */     // GIR_Coverage, 4519,
     /*  595648 */     GIR_EraseRootFromParent_Done,
     /*  595649 */   // Label 9659: @595649
     /*  595649 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595724), // Rule ID 4522 //
     /*  595654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595722 */     GIR_RootConstrainSelectedInstOperands,
     /*  595723 */     // GIR_Coverage, 4522,
     /*  595723 */     GIR_EraseRootFromParent_Done,
     /*  595724 */   // Label 9660: @595724
     /*  595724 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595799), // Rule ID 4523 //
     /*  595729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595797 */     GIR_RootConstrainSelectedInstOperands,
     /*  595798 */     // GIR_Coverage, 4523,
     /*  595798 */     GIR_EraseRootFromParent_Done,
     /*  595799 */   // Label 9661: @595799
     /*  595799 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595874), // Rule ID 4526 //
     /*  595804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595872 */     GIR_RootConstrainSelectedInstOperands,
     /*  595873 */     // GIR_Coverage, 4526,
     /*  595873 */     GIR_EraseRootFromParent_Done,
     /*  595874 */   // Label 9662: @595874
     /*  595874 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595949), // Rule ID 4527 //
     /*  595879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595947 */     GIR_RootConstrainSelectedInstOperands,
     /*  595948 */     // GIR_Coverage, 4527,
     /*  595948 */     GIR_EraseRootFromParent_Done,
     /*  595949 */   // Label 9663: @595949
     /*  595949 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(596024), // Rule ID 4530 //
     /*  595954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596022 */     GIR_RootConstrainSelectedInstOperands,
     /*  596023 */     // GIR_Coverage, 4530,
     /*  596023 */     GIR_EraseRootFromParent_Done,
     /*  596024 */   // Label 9664: @596024
     /*  596024 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(596099), // Rule ID 4531 //
     /*  596029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596097 */     GIR_RootConstrainSelectedInstOperands,
     /*  596098 */     // GIR_Coverage, 4531,
     /*  596098 */     GIR_EraseRootFromParent_Done,
     /*  596099 */   // Label 9665: @596099
     /*  596099 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(596174), // Rule ID 4534 //
     /*  596104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596172 */     GIR_RootConstrainSelectedInstOperands,
     /*  596173 */     // GIR_Coverage, 4534,
     /*  596173 */     GIR_EraseRootFromParent_Done,
     /*  596174 */   // Label 9666: @596174
     /*  596174 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(596249), // Rule ID 4535 //
     /*  596179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596247 */     GIR_RootConstrainSelectedInstOperands,
     /*  596248 */     // GIR_Coverage, 4535,
     /*  596248 */     GIR_EraseRootFromParent_Done,
     /*  596249 */   // Label 9667: @596249
     /*  596249 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596324), // Rule ID 4538 //
     /*  596254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596322 */     GIR_RootConstrainSelectedInstOperands,
     /*  596323 */     // GIR_Coverage, 4538,
     /*  596323 */     GIR_EraseRootFromParent_Done,
     /*  596324 */   // Label 9668: @596324
     /*  596324 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596399), // Rule ID 4539 //
     /*  596329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596397 */     GIR_RootConstrainSelectedInstOperands,
     /*  596398 */     // GIR_Coverage, 4539,
     /*  596398 */     GIR_EraseRootFromParent_Done,
     /*  596399 */   // Label 9669: @596399
     /*  596399 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596474), // Rule ID 4542 //
     /*  596404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596472 */     GIR_RootConstrainSelectedInstOperands,
     /*  596473 */     // GIR_Coverage, 4542,
     /*  596473 */     GIR_EraseRootFromParent_Done,
     /*  596474 */   // Label 9670: @596474
     /*  596474 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596549), // Rule ID 4543 //
     /*  596479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596547 */     GIR_RootConstrainSelectedInstOperands,
     /*  596548 */     // GIR_Coverage, 4543,
     /*  596548 */     GIR_EraseRootFromParent_Done,
     /*  596549 */   // Label 9671: @596549
     /*  596549 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596624), // Rule ID 4546 //
     /*  596554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596622 */     GIR_RootConstrainSelectedInstOperands,
     /*  596623 */     // GIR_Coverage, 4546,
     /*  596623 */     GIR_EraseRootFromParent_Done,
     /*  596624 */   // Label 9672: @596624
     /*  596624 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596699), // Rule ID 4547 //
     /*  596629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596697 */     GIR_RootConstrainSelectedInstOperands,
     /*  596698 */     // GIR_Coverage, 4547,
     /*  596698 */     GIR_EraseRootFromParent_Done,
     /*  596699 */   // Label 9673: @596699
     /*  596699 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596774), // Rule ID 4550 //
     /*  596704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596772 */     GIR_RootConstrainSelectedInstOperands,
     /*  596773 */     // GIR_Coverage, 4550,
     /*  596773 */     GIR_EraseRootFromParent_Done,
     /*  596774 */   // Label 9674: @596774
     /*  596774 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596849), // Rule ID 4551 //
     /*  596779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596847 */     GIR_RootConstrainSelectedInstOperands,
     /*  596848 */     // GIR_Coverage, 4551,
     /*  596848 */     GIR_EraseRootFromParent_Done,
     /*  596849 */   // Label 9675: @596849
     /*  596849 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596924), // Rule ID 4554 //
     /*  596854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596922 */     GIR_RootConstrainSelectedInstOperands,
     /*  596923 */     // GIR_Coverage, 4554,
     /*  596923 */     GIR_EraseRootFromParent_Done,
     /*  596924 */   // Label 9676: @596924
     /*  596924 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596999), // Rule ID 4555 //
     /*  596929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596997 */     GIR_RootConstrainSelectedInstOperands,
     /*  596998 */     // GIR_Coverage, 4555,
     /*  596998 */     GIR_EraseRootFromParent_Done,
     /*  596999 */   // Label 9677: @596999
     /*  596999 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(597074), // Rule ID 4558 //
     /*  597004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597072 */     GIR_RootConstrainSelectedInstOperands,
     /*  597073 */     // GIR_Coverage, 4558,
     /*  597073 */     GIR_EraseRootFromParent_Done,
     /*  597074 */   // Label 9678: @597074
     /*  597074 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(597149), // Rule ID 4559 //
     /*  597079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597147 */     GIR_RootConstrainSelectedInstOperands,
     /*  597148 */     // GIR_Coverage, 4559,
     /*  597148 */     GIR_EraseRootFromParent_Done,
     /*  597149 */   // Label 9679: @597149
     /*  597149 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(597224), // Rule ID 4562 //
     /*  597154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597200 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597222 */     GIR_RootConstrainSelectedInstOperands,
     /*  597223 */     // GIR_Coverage, 4562,
     /*  597223 */     GIR_EraseRootFromParent_Done,
     /*  597224 */   // Label 9680: @597224
     /*  597224 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597299), // Rule ID 4563 //
     /*  597229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597297 */     GIR_RootConstrainSelectedInstOperands,
     /*  597298 */     // GIR_Coverage, 4563,
     /*  597298 */     GIR_EraseRootFromParent_Done,
     /*  597299 */   // Label 9681: @597299
     /*  597299 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597374), // Rule ID 4566 //
     /*  597304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597372 */     GIR_RootConstrainSelectedInstOperands,
     /*  597373 */     // GIR_Coverage, 4566,
     /*  597373 */     GIR_EraseRootFromParent_Done,
     /*  597374 */   // Label 9682: @597374
     /*  597374 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597449), // Rule ID 4567 //
     /*  597379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597447 */     GIR_RootConstrainSelectedInstOperands,
     /*  597448 */     // GIR_Coverage, 4567,
     /*  597448 */     GIR_EraseRootFromParent_Done,
     /*  597449 */   // Label 9683: @597449
     /*  597449 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597524), // Rule ID 4572 //
     /*  597454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597522 */     GIR_RootConstrainSelectedInstOperands,
     /*  597523 */     // GIR_Coverage, 4572,
     /*  597523 */     GIR_EraseRootFromParent_Done,
     /*  597524 */   // Label 9684: @597524
     /*  597524 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597599), // Rule ID 4573 //
     /*  597529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597597 */     GIR_RootConstrainSelectedInstOperands,
     /*  597598 */     // GIR_Coverage, 4573,
     /*  597598 */     GIR_EraseRootFromParent_Done,
     /*  597599 */   // Label 9685: @597599
     /*  597599 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597674), // Rule ID 4582 //
     /*  597604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597672 */     GIR_RootConstrainSelectedInstOperands,
     /*  597673 */     // GIR_Coverage, 4582,
     /*  597673 */     GIR_EraseRootFromParent_Done,
     /*  597674 */   // Label 9686: @597674
     /*  597674 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597749), // Rule ID 4583 //
     /*  597679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597747 */     GIR_RootConstrainSelectedInstOperands,
     /*  597748 */     // GIR_Coverage, 4583,
     /*  597748 */     GIR_EraseRootFromParent_Done,
     /*  597749 */   // Label 9687: @597749
     /*  597749 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597824), // Rule ID 4592 //
     /*  597754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597822 */     GIR_RootConstrainSelectedInstOperands,
     /*  597823 */     // GIR_Coverage, 4592,
     /*  597823 */     GIR_EraseRootFromParent_Done,
     /*  597824 */   // Label 9688: @597824
     /*  597824 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597899), // Rule ID 4593 //
     /*  597829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597897 */     GIR_RootConstrainSelectedInstOperands,
     /*  597898 */     // GIR_Coverage, 4593,
     /*  597898 */     GIR_EraseRootFromParent_Done,
     /*  597899 */   // Label 9689: @597899
     /*  597899 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597974), // Rule ID 4602 //
     /*  597904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597972 */     GIR_RootConstrainSelectedInstOperands,
     /*  597973 */     // GIR_Coverage, 4602,
     /*  597973 */     GIR_EraseRootFromParent_Done,
     /*  597974 */   // Label 9690: @597974
     /*  597974 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(598049), // Rule ID 4603 //
     /*  597979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598025 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598047 */     GIR_RootConstrainSelectedInstOperands,
     /*  598048 */     // GIR_Coverage, 4603,
     /*  598048 */     GIR_EraseRootFromParent_Done,
     /*  598049 */   // Label 9691: @598049
     /*  598049 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(598124), // Rule ID 4612 //
     /*  598054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598122 */     GIR_RootConstrainSelectedInstOperands,
     /*  598123 */     // GIR_Coverage, 4612,
     /*  598123 */     GIR_EraseRootFromParent_Done,
     /*  598124 */   // Label 9692: @598124
     /*  598124 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(598199), // Rule ID 4613 //
     /*  598129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598197 */     GIR_RootConstrainSelectedInstOperands,
     /*  598198 */     // GIR_Coverage, 4613,
     /*  598198 */     GIR_EraseRootFromParent_Done,
     /*  598199 */   // Label 9693: @598199
     /*  598199 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598274), // Rule ID 4622 //
     /*  598204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598250 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598272 */     GIR_RootConstrainSelectedInstOperands,
     /*  598273 */     // GIR_Coverage, 4622,
     /*  598273 */     GIR_EraseRootFromParent_Done,
     /*  598274 */   // Label 9694: @598274
     /*  598274 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598349), // Rule ID 4623 //
     /*  598279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598347 */     GIR_RootConstrainSelectedInstOperands,
     /*  598348 */     // GIR_Coverage, 4623,
     /*  598348 */     GIR_EraseRootFromParent_Done,
     /*  598349 */   // Label 9695: @598349
     /*  598349 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598424), // Rule ID 4632 //
     /*  598354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598422 */     GIR_RootConstrainSelectedInstOperands,
     /*  598423 */     // GIR_Coverage, 4632,
     /*  598423 */     GIR_EraseRootFromParent_Done,
     /*  598424 */   // Label 9696: @598424
     /*  598424 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598499), // Rule ID 4633 //
     /*  598429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598497 */     GIR_RootConstrainSelectedInstOperands,
     /*  598498 */     // GIR_Coverage, 4633,
     /*  598498 */     GIR_EraseRootFromParent_Done,
     /*  598499 */   // Label 9697: @598499
     /*  598499 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598574), // Rule ID 4642 //
     /*  598504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598572 */     GIR_RootConstrainSelectedInstOperands,
     /*  598573 */     // GIR_Coverage, 4642,
     /*  598573 */     GIR_EraseRootFromParent_Done,
     /*  598574 */   // Label 9698: @598574
     /*  598574 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598649), // Rule ID 4643 //
     /*  598579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598647 */     GIR_RootConstrainSelectedInstOperands,
     /*  598648 */     // GIR_Coverage, 4643,
     /*  598648 */     GIR_EraseRootFromParent_Done,
     /*  598649 */   // Label 9699: @598649
     /*  598649 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598724), // Rule ID 4652 //
     /*  598654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598722 */     GIR_RootConstrainSelectedInstOperands,
     /*  598723 */     // GIR_Coverage, 4652,
     /*  598723 */     GIR_EraseRootFromParent_Done,
     /*  598724 */   // Label 9700: @598724
     /*  598724 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598799), // Rule ID 4653 //
     /*  598729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598797 */     GIR_RootConstrainSelectedInstOperands,
     /*  598798 */     // GIR_Coverage, 4653,
     /*  598798 */     GIR_EraseRootFromParent_Done,
     /*  598799 */   // Label 9701: @598799
     /*  598799 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598874), // Rule ID 4662 //
     /*  598804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598872 */     GIR_RootConstrainSelectedInstOperands,
     /*  598873 */     // GIR_Coverage, 4662,
     /*  598873 */     GIR_EraseRootFromParent_Done,
     /*  598874 */   // Label 9702: @598874
     /*  598874 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598949), // Rule ID 4663 //
     /*  598879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598947 */     GIR_RootConstrainSelectedInstOperands,
     /*  598948 */     // GIR_Coverage, 4663,
     /*  598948 */     GIR_EraseRootFromParent_Done,
     /*  598949 */   // Label 9703: @598949
     /*  598949 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(599024), // Rule ID 4672 //
     /*  598954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599022 */     GIR_RootConstrainSelectedInstOperands,
     /*  599023 */     // GIR_Coverage, 4672,
     /*  599023 */     GIR_EraseRootFromParent_Done,
     /*  599024 */   // Label 9704: @599024
     /*  599024 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(599099), // Rule ID 4673 //
     /*  599029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599097 */     GIR_RootConstrainSelectedInstOperands,
     /*  599098 */     // GIR_Coverage, 4673,
     /*  599098 */     GIR_EraseRootFromParent_Done,
     /*  599099 */   // Label 9705: @599099
     /*  599099 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(599174), // Rule ID 4682 //
     /*  599104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599172 */     GIR_RootConstrainSelectedInstOperands,
     /*  599173 */     // GIR_Coverage, 4682,
     /*  599173 */     GIR_EraseRootFromParent_Done,
     /*  599174 */   // Label 9706: @599174
     /*  599174 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(599249), // Rule ID 4683 //
     /*  599179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599247 */     GIR_RootConstrainSelectedInstOperands,
     /*  599248 */     // GIR_Coverage, 4683,
     /*  599248 */     GIR_EraseRootFromParent_Done,
     /*  599249 */   // Label 9707: @599249
     /*  599249 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599324), // Rule ID 4692 //
     /*  599254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599322 */     GIR_RootConstrainSelectedInstOperands,
     /*  599323 */     // GIR_Coverage, 4692,
     /*  599323 */     GIR_EraseRootFromParent_Done,
     /*  599324 */   // Label 9708: @599324
     /*  599324 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599399), // Rule ID 4693 //
     /*  599329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599397 */     GIR_RootConstrainSelectedInstOperands,
     /*  599398 */     // GIR_Coverage, 4693,
     /*  599398 */     GIR_EraseRootFromParent_Done,
     /*  599399 */   // Label 9709: @599399
     /*  599399 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599474), // Rule ID 4702 //
     /*  599404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599472 */     GIR_RootConstrainSelectedInstOperands,
     /*  599473 */     // GIR_Coverage, 4702,
     /*  599473 */     GIR_EraseRootFromParent_Done,
     /*  599474 */   // Label 9710: @599474
     /*  599474 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599549), // Rule ID 4703 //
     /*  599479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599547 */     GIR_RootConstrainSelectedInstOperands,
     /*  599548 */     // GIR_Coverage, 4703,
     /*  599548 */     GIR_EraseRootFromParent_Done,
     /*  599549 */   // Label 9711: @599549
     /*  599549 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599624), // Rule ID 4712 //
     /*  599554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599622 */     GIR_RootConstrainSelectedInstOperands,
     /*  599623 */     // GIR_Coverage, 4712,
     /*  599623 */     GIR_EraseRootFromParent_Done,
     /*  599624 */   // Label 9712: @599624
     /*  599624 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599699), // Rule ID 4713 //
     /*  599629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599697 */     GIR_RootConstrainSelectedInstOperands,
     /*  599698 */     // GIR_Coverage, 4713,
     /*  599698 */     GIR_EraseRootFromParent_Done,
     /*  599699 */   // Label 9713: @599699
     /*  599699 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599774), // Rule ID 4720 //
     /*  599704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599772 */     GIR_RootConstrainSelectedInstOperands,
     /*  599773 */     // GIR_Coverage, 4720,
     /*  599773 */     GIR_EraseRootFromParent_Done,
     /*  599774 */   // Label 9714: @599774
     /*  599774 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599849), // Rule ID 4721 //
     /*  599779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599847 */     GIR_RootConstrainSelectedInstOperands,
     /*  599848 */     // GIR_Coverage, 4721,
     /*  599848 */     GIR_EraseRootFromParent_Done,
     /*  599849 */   // Label 9715: @599849
     /*  599849 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599924), // Rule ID 4724 //
     /*  599854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599922 */     GIR_RootConstrainSelectedInstOperands,
     /*  599923 */     // GIR_Coverage, 4724,
     /*  599923 */     GIR_EraseRootFromParent_Done,
     /*  599924 */   // Label 9716: @599924
     /*  599924 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599999), // Rule ID 4725 //
     /*  599929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599997 */     GIR_RootConstrainSelectedInstOperands,
     /*  599998 */     // GIR_Coverage, 4725,
     /*  599998 */     GIR_EraseRootFromParent_Done,
     /*  599999 */   // Label 9717: @599999
     /*  599999 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(600074), // Rule ID 4728 //
     /*  600004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600072 */     GIR_RootConstrainSelectedInstOperands,
     /*  600073 */     // GIR_Coverage, 4728,
     /*  600073 */     GIR_EraseRootFromParent_Done,
     /*  600074 */   // Label 9718: @600074
     /*  600074 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(600149), // Rule ID 4729 //
     /*  600079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600147 */     GIR_RootConstrainSelectedInstOperands,
     /*  600148 */     // GIR_Coverage, 4729,
     /*  600148 */     GIR_EraseRootFromParent_Done,
     /*  600149 */   // Label 9719: @600149
     /*  600149 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(600224), // Rule ID 4732 //
     /*  600154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600222 */     GIR_RootConstrainSelectedInstOperands,
     /*  600223 */     // GIR_Coverage, 4732,
     /*  600223 */     GIR_EraseRootFromParent_Done,
     /*  600224 */   // Label 9720: @600224
     /*  600224 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600299), // Rule ID 4733 //
     /*  600229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600297 */     GIR_RootConstrainSelectedInstOperands,
     /*  600298 */     // GIR_Coverage, 4733,
     /*  600298 */     GIR_EraseRootFromParent_Done,
     /*  600299 */   // Label 9721: @600299
     /*  600299 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600374), // Rule ID 4736 //
     /*  600304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600372 */     GIR_RootConstrainSelectedInstOperands,
     /*  600373 */     // GIR_Coverage, 4736,
     /*  600373 */     GIR_EraseRootFromParent_Done,
     /*  600374 */   // Label 9722: @600374
     /*  600374 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600449), // Rule ID 4737 //
     /*  600379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600425 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600447 */     GIR_RootConstrainSelectedInstOperands,
     /*  600448 */     // GIR_Coverage, 4737,
     /*  600448 */     GIR_EraseRootFromParent_Done,
     /*  600449 */   // Label 9723: @600449
     /*  600449 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600524), // Rule ID 4740 //
     /*  600454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600522 */     GIR_RootConstrainSelectedInstOperands,
     /*  600523 */     // GIR_Coverage, 4740,
     /*  600523 */     GIR_EraseRootFromParent_Done,
     /*  600524 */   // Label 9724: @600524
     /*  600524 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600599), // Rule ID 4741 //
     /*  600529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600597 */     GIR_RootConstrainSelectedInstOperands,
     /*  600598 */     // GIR_Coverage, 4741,
     /*  600598 */     GIR_EraseRootFromParent_Done,
     /*  600599 */   // Label 9725: @600599
     /*  600599 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600674), // Rule ID 4744 //
     /*  600604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600672 */     GIR_RootConstrainSelectedInstOperands,
     /*  600673 */     // GIR_Coverage, 4744,
     /*  600673 */     GIR_EraseRootFromParent_Done,
     /*  600674 */   // Label 9726: @600674
     /*  600674 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600749), // Rule ID 4745 //
     /*  600679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600747 */     GIR_RootConstrainSelectedInstOperands,
     /*  600748 */     // GIR_Coverage, 4745,
     /*  600748 */     GIR_EraseRootFromParent_Done,
     /*  600749 */   // Label 9727: @600749
     /*  600749 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600824), // Rule ID 4748 //
     /*  600754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600822 */     GIR_RootConstrainSelectedInstOperands,
     /*  600823 */     // GIR_Coverage, 4748,
     /*  600823 */     GIR_EraseRootFromParent_Done,
     /*  600824 */   // Label 9728: @600824
     /*  600824 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600899), // Rule ID 4749 //
     /*  600829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600897 */     GIR_RootConstrainSelectedInstOperands,
     /*  600898 */     // GIR_Coverage, 4749,
     /*  600898 */     GIR_EraseRootFromParent_Done,
     /*  600899 */   // Label 9729: @600899
     /*  600899 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600974), // Rule ID 4752 //
     /*  600904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600972 */     GIR_RootConstrainSelectedInstOperands,
     /*  600973 */     // GIR_Coverage, 4752,
     /*  600973 */     GIR_EraseRootFromParent_Done,
     /*  600974 */   // Label 9730: @600974
     /*  600974 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(601049), // Rule ID 4753 //
     /*  600979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601047 */     GIR_RootConstrainSelectedInstOperands,
     /*  601048 */     // GIR_Coverage, 4753,
     /*  601048 */     GIR_EraseRootFromParent_Done,
     /*  601049 */   // Label 9731: @601049
     /*  601049 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(601124), // Rule ID 4756 //
     /*  601054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601122 */     GIR_RootConstrainSelectedInstOperands,
     /*  601123 */     // GIR_Coverage, 4756,
     /*  601123 */     GIR_EraseRootFromParent_Done,
     /*  601124 */   // Label 9732: @601124
     /*  601124 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(601199), // Rule ID 4757 //
     /*  601129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601197 */     GIR_RootConstrainSelectedInstOperands,
     /*  601198 */     // GIR_Coverage, 4757,
     /*  601198 */     GIR_EraseRootFromParent_Done,
     /*  601199 */   // Label 9733: @601199
     /*  601199 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601274), // Rule ID 4760 //
     /*  601204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601272 */     GIR_RootConstrainSelectedInstOperands,
     /*  601273 */     // GIR_Coverage, 4760,
     /*  601273 */     GIR_EraseRootFromParent_Done,
     /*  601274 */   // Label 9734: @601274
     /*  601274 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601349), // Rule ID 4761 //
     /*  601279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601347 */     GIR_RootConstrainSelectedInstOperands,
     /*  601348 */     // GIR_Coverage, 4761,
     /*  601348 */     GIR_EraseRootFromParent_Done,
     /*  601349 */   // Label 9735: @601349
     /*  601349 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601424), // Rule ID 4764 //
     /*  601354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601422 */     GIR_RootConstrainSelectedInstOperands,
     /*  601423 */     // GIR_Coverage, 4764,
     /*  601423 */     GIR_EraseRootFromParent_Done,
     /*  601424 */   // Label 9736: @601424
     /*  601424 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601499), // Rule ID 4765 //
     /*  601429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601497 */     GIR_RootConstrainSelectedInstOperands,
     /*  601498 */     // GIR_Coverage, 4765,
     /*  601498 */     GIR_EraseRootFromParent_Done,
     /*  601499 */   // Label 9737: @601499
     /*  601499 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601574), // Rule ID 4768 //
     /*  601504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601572 */     GIR_RootConstrainSelectedInstOperands,
     /*  601573 */     // GIR_Coverage, 4768,
     /*  601573 */     GIR_EraseRootFromParent_Done,
     /*  601574 */   // Label 9738: @601574
     /*  601574 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601649), // Rule ID 4769 //
     /*  601579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601647 */     GIR_RootConstrainSelectedInstOperands,
     /*  601648 */     // GIR_Coverage, 4769,
     /*  601648 */     GIR_EraseRootFromParent_Done,
     /*  601649 */   // Label 9739: @601649
     /*  601649 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601724), // Rule ID 4772 //
     /*  601654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601722 */     GIR_RootConstrainSelectedInstOperands,
     /*  601723 */     // GIR_Coverage, 4772,
     /*  601723 */     GIR_EraseRootFromParent_Done,
     /*  601724 */   // Label 9740: @601724
     /*  601724 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601799), // Rule ID 4773 //
     /*  601729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601797 */     GIR_RootConstrainSelectedInstOperands,
     /*  601798 */     // GIR_Coverage, 4773,
     /*  601798 */     GIR_EraseRootFromParent_Done,
     /*  601799 */   // Label 9741: @601799
     /*  601799 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601874), // Rule ID 4776 //
     /*  601804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601872 */     GIR_RootConstrainSelectedInstOperands,
     /*  601873 */     // GIR_Coverage, 4776,
     /*  601873 */     GIR_EraseRootFromParent_Done,
     /*  601874 */   // Label 9742: @601874
     /*  601874 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601949), // Rule ID 4777 //
     /*  601879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601925 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601947 */     GIR_RootConstrainSelectedInstOperands,
     /*  601948 */     // GIR_Coverage, 4777,
     /*  601948 */     GIR_EraseRootFromParent_Done,
     /*  601949 */   // Label 9743: @601949
     /*  601949 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(602021), // Rule ID 5130 //
     /*  601954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602019 */     GIR_RootConstrainSelectedInstOperands,
     /*  602020 */     // GIR_Coverage, 5130,
     /*  602020 */     GIR_EraseRootFromParent_Done,
     /*  602021 */   // Label 9744: @602021
     /*  602021 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(602093), // Rule ID 5131 //
     /*  602026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602091 */     GIR_RootConstrainSelectedInstOperands,
     /*  602092 */     // GIR_Coverage, 5131,
     /*  602092 */     GIR_EraseRootFromParent_Done,
     /*  602093 */   // Label 9745: @602093
     /*  602093 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(602165), // Rule ID 5132 //
     /*  602098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602163 */     GIR_RootConstrainSelectedInstOperands,
     /*  602164 */     // GIR_Coverage, 5132,
     /*  602164 */     GIR_EraseRootFromParent_Done,
     /*  602165 */   // Label 9746: @602165
     /*  602165 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(602237), // Rule ID 5133 //
     /*  602170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602235 */     GIR_RootConstrainSelectedInstOperands,
     /*  602236 */     // GIR_Coverage, 5133,
     /*  602236 */     GIR_EraseRootFromParent_Done,
     /*  602237 */   // Label 9747: @602237
     /*  602237 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602309), // Rule ID 5134 //
     /*  602242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602307 */     GIR_RootConstrainSelectedInstOperands,
     /*  602308 */     // GIR_Coverage, 5134,
     /*  602308 */     GIR_EraseRootFromParent_Done,
     /*  602309 */   // Label 9748: @602309
     /*  602309 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602381), // Rule ID 5135 //
     /*  602314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602379 */     GIR_RootConstrainSelectedInstOperands,
     /*  602380 */     // GIR_Coverage, 5135,
     /*  602380 */     GIR_EraseRootFromParent_Done,
     /*  602381 */   // Label 9749: @602381
     /*  602381 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602453), // Rule ID 5136 //
     /*  602386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602451 */     GIR_RootConstrainSelectedInstOperands,
     /*  602452 */     // GIR_Coverage, 5136,
     /*  602452 */     GIR_EraseRootFromParent_Done,
     /*  602453 */   // Label 9750: @602453
     /*  602453 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602525), // Rule ID 5137 //
     /*  602458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602523 */     GIR_RootConstrainSelectedInstOperands,
     /*  602524 */     // GIR_Coverage, 5137,
     /*  602524 */     GIR_EraseRootFromParent_Done,
     /*  602525 */   // Label 9751: @602525
     /*  602525 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602597), // Rule ID 5138 //
     /*  602530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602595 */     GIR_RootConstrainSelectedInstOperands,
     /*  602596 */     // GIR_Coverage, 5138,
     /*  602596 */     GIR_EraseRootFromParent_Done,
     /*  602597 */   // Label 9752: @602597
     /*  602597 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602669), // Rule ID 5139 //
     /*  602602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602667 */     GIR_RootConstrainSelectedInstOperands,
     /*  602668 */     // GIR_Coverage, 5139,
     /*  602668 */     GIR_EraseRootFromParent_Done,
     /*  602669 */   // Label 9753: @602669
     /*  602669 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602741), // Rule ID 5140 //
     /*  602674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602739 */     GIR_RootConstrainSelectedInstOperands,
     /*  602740 */     // GIR_Coverage, 5140,
     /*  602740 */     GIR_EraseRootFromParent_Done,
     /*  602741 */   // Label 9754: @602741
     /*  602741 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602813), // Rule ID 5141 //
     /*  602746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602811 */     GIR_RootConstrainSelectedInstOperands,
     /*  602812 */     // GIR_Coverage, 5141,
     /*  602812 */     GIR_EraseRootFromParent_Done,
     /*  602813 */   // Label 9755: @602813
     /*  602813 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602885), // Rule ID 5142 //
     /*  602818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602883 */     GIR_RootConstrainSelectedInstOperands,
     /*  602884 */     // GIR_Coverage, 5142,
     /*  602884 */     GIR_EraseRootFromParent_Done,
     /*  602885 */   // Label 9756: @602885
     /*  602885 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602957), // Rule ID 5143 //
     /*  602890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602955 */     GIR_RootConstrainSelectedInstOperands,
     /*  602956 */     // GIR_Coverage, 5143,
     /*  602956 */     GIR_EraseRootFromParent_Done,
     /*  602957 */   // Label 9757: @602957
     /*  602957 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(603029), // Rule ID 5144 //
     /*  602962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603027 */     GIR_RootConstrainSelectedInstOperands,
     /*  603028 */     // GIR_Coverage, 5144,
     /*  603028 */     GIR_EraseRootFromParent_Done,
     /*  603029 */   // Label 9758: @603029
     /*  603029 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(603101), // Rule ID 5145 //
     /*  603034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603099 */     GIR_RootConstrainSelectedInstOperands,
     /*  603100 */     // GIR_Coverage, 5145,
     /*  603100 */     GIR_EraseRootFromParent_Done,
     /*  603101 */   // Label 9759: @603101
     /*  603101 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(603173), // Rule ID 5146 //
     /*  603106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603171 */     GIR_RootConstrainSelectedInstOperands,
     /*  603172 */     // GIR_Coverage, 5146,
     /*  603172 */     GIR_EraseRootFromParent_Done,
     /*  603173 */   // Label 9760: @603173
     /*  603173 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603245), // Rule ID 5147 //
     /*  603178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603243 */     GIR_RootConstrainSelectedInstOperands,
     /*  603244 */     // GIR_Coverage, 5147,
     /*  603244 */     GIR_EraseRootFromParent_Done,
     /*  603245 */   // Label 9761: @603245
     /*  603245 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603317), // Rule ID 5148 //
     /*  603250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603315 */     GIR_RootConstrainSelectedInstOperands,
     /*  603316 */     // GIR_Coverage, 5148,
     /*  603316 */     GIR_EraseRootFromParent_Done,
     /*  603317 */   // Label 9762: @603317
     /*  603317 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603389), // Rule ID 5149 //
     /*  603322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603387 */     GIR_RootConstrainSelectedInstOperands,
     /*  603388 */     // GIR_Coverage, 5149,
     /*  603388 */     GIR_EraseRootFromParent_Done,
     /*  603389 */   // Label 9763: @603389
     /*  603389 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603461), // Rule ID 5150 //
     /*  603394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603459 */     GIR_RootConstrainSelectedInstOperands,
     /*  603460 */     // GIR_Coverage, 5150,
     /*  603460 */     GIR_EraseRootFromParent_Done,
     /*  603461 */   // Label 9764: @603461
     /*  603461 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603533), // Rule ID 5151 //
     /*  603466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603512 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603531 */     GIR_RootConstrainSelectedInstOperands,
     /*  603532 */     // GIR_Coverage, 5151,
     /*  603532 */     GIR_EraseRootFromParent_Done,
     /*  603533 */   // Label 9765: @603533
     /*  603533 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603605), // Rule ID 5152 //
     /*  603538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603584 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603603 */     GIR_RootConstrainSelectedInstOperands,
     /*  603604 */     // GIR_Coverage, 5152,
     /*  603604 */     GIR_EraseRootFromParent_Done,
     /*  603605 */   // Label 9766: @603605
     /*  603605 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603677), // Rule ID 5153 //
     /*  603610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603656 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603675 */     GIR_RootConstrainSelectedInstOperands,
     /*  603676 */     // GIR_Coverage, 5153,
     /*  603676 */     GIR_EraseRootFromParent_Done,
     /*  603677 */   // Label 9767: @603677
     /*  603677 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603749), // Rule ID 5154 //
     /*  603682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603747 */     GIR_RootConstrainSelectedInstOperands,
     /*  603748 */     // GIR_Coverage, 5154,
     /*  603748 */     GIR_EraseRootFromParent_Done,
     /*  603749 */   // Label 9768: @603749
     /*  603749 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603821), // Rule ID 5155 //
     /*  603754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603819 */     GIR_RootConstrainSelectedInstOperands,
     /*  603820 */     // GIR_Coverage, 5155,
     /*  603820 */     GIR_EraseRootFromParent_Done,
     /*  603821 */   // Label 9769: @603821
     /*  603821 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603893), // Rule ID 5156 //
     /*  603826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603891 */     GIR_RootConstrainSelectedInstOperands,
     /*  603892 */     // GIR_Coverage, 5156,
     /*  603892 */     GIR_EraseRootFromParent_Done,
     /*  603893 */   // Label 9770: @603893
     /*  603893 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603965), // Rule ID 5157 //
     /*  603898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603963 */     GIR_RootConstrainSelectedInstOperands,
     /*  603964 */     // GIR_Coverage, 5157,
     /*  603964 */     GIR_EraseRootFromParent_Done,
     /*  603965 */   // Label 9771: @603965
     /*  603965 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(604037), // Rule ID 5158 //
     /*  603970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604035 */     GIR_RootConstrainSelectedInstOperands,
     /*  604036 */     // GIR_Coverage, 5158,
     /*  604036 */     GIR_EraseRootFromParent_Done,
     /*  604037 */   // Label 9772: @604037
     /*  604037 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(604109), // Rule ID 5159 //
     /*  604042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604107 */     GIR_RootConstrainSelectedInstOperands,
     /*  604108 */     // GIR_Coverage, 5159,
     /*  604108 */     GIR_EraseRootFromParent_Done,
     /*  604109 */   // Label 9773: @604109
     /*  604109 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604181), // Rule ID 5160 //
     /*  604114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604179 */     GIR_RootConstrainSelectedInstOperands,
     /*  604180 */     // GIR_Coverage, 5160,
     /*  604180 */     GIR_EraseRootFromParent_Done,
     /*  604181 */   // Label 9774: @604181
     /*  604181 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604253), // Rule ID 5161 //
     /*  604186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604251 */     GIR_RootConstrainSelectedInstOperands,
     /*  604252 */     // GIR_Coverage, 5161,
     /*  604252 */     GIR_EraseRootFromParent_Done,
     /*  604253 */   // Label 9775: @604253
     /*  604253 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604325), // Rule ID 5162 //
     /*  604258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604323 */     GIR_RootConstrainSelectedInstOperands,
     /*  604324 */     // GIR_Coverage, 5162,
     /*  604324 */     GIR_EraseRootFromParent_Done,
     /*  604325 */   // Label 9776: @604325
     /*  604325 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604397), // Rule ID 5163 //
     /*  604330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604395 */     GIR_RootConstrainSelectedInstOperands,
     /*  604396 */     // GIR_Coverage, 5163,
     /*  604396 */     GIR_EraseRootFromParent_Done,
     /*  604397 */   // Label 9777: @604397
     /*  604397 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604469), // Rule ID 5164 //
     /*  604402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604467 */     GIR_RootConstrainSelectedInstOperands,
     /*  604468 */     // GIR_Coverage, 5164,
     /*  604468 */     GIR_EraseRootFromParent_Done,
     /*  604469 */   // Label 9778: @604469
     /*  604469 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604541), // Rule ID 5165 //
     /*  604474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604539 */     GIR_RootConstrainSelectedInstOperands,
     /*  604540 */     // GIR_Coverage, 5165,
     /*  604540 */     GIR_EraseRootFromParent_Done,
     /*  604541 */   // Label 9779: @604541
     /*  604541 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604613), // Rule ID 5166 //
     /*  604546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604611 */     GIR_RootConstrainSelectedInstOperands,
     /*  604612 */     // GIR_Coverage, 5166,
     /*  604612 */     GIR_EraseRootFromParent_Done,
     /*  604613 */   // Label 9780: @604613
     /*  604613 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604685), // Rule ID 5167 //
     /*  604618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604683 */     GIR_RootConstrainSelectedInstOperands,
     /*  604684 */     // GIR_Coverage, 5167,
     /*  604684 */     GIR_EraseRootFromParent_Done,
     /*  604685 */   // Label 9781: @604685
     /*  604685 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604757), // Rule ID 5168 //
     /*  604690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604755 */     GIR_RootConstrainSelectedInstOperands,
     /*  604756 */     // GIR_Coverage, 5168,
     /*  604756 */     GIR_EraseRootFromParent_Done,
     /*  604757 */   // Label 9782: @604757
     /*  604757 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604829), // Rule ID 5169 //
     /*  604762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604827 */     GIR_RootConstrainSelectedInstOperands,
     /*  604828 */     // GIR_Coverage, 5169,
     /*  604828 */     GIR_EraseRootFromParent_Done,
     /*  604829 */   // Label 9783: @604829
     /*  604829 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604901), // Rule ID 5170 //
     /*  604834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604899 */     GIR_RootConstrainSelectedInstOperands,
     /*  604900 */     // GIR_Coverage, 5170,
     /*  604900 */     GIR_EraseRootFromParent_Done,
     /*  604901 */   // Label 9784: @604901
     /*  604901 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604973), // Rule ID 5171 //
     /*  604906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604971 */     GIR_RootConstrainSelectedInstOperands,
     /*  604972 */     // GIR_Coverage, 5171,
     /*  604972 */     GIR_EraseRootFromParent_Done,
     /*  604973 */   // Label 9785: @604973
     /*  604973 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(605045), // Rule ID 5172 //
     /*  604978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605043 */     GIR_RootConstrainSelectedInstOperands,
     /*  605044 */     // GIR_Coverage, 5172,
     /*  605044 */     GIR_EraseRootFromParent_Done,
     /*  605045 */   // Label 9786: @605045
     /*  605045 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(605117), // Rule ID 5173 //
     /*  605050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605115 */     GIR_RootConstrainSelectedInstOperands,
     /*  605116 */     // GIR_Coverage, 5173,
     /*  605116 */     GIR_EraseRootFromParent_Done,
     /*  605117 */   // Label 9787: @605117
     /*  605117 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605189), // Rule ID 5174 //
     /*  605122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605187 */     GIR_RootConstrainSelectedInstOperands,
     /*  605188 */     // GIR_Coverage, 5174,
     /*  605188 */     GIR_EraseRootFromParent_Done,
     /*  605189 */   // Label 9788: @605189
     /*  605189 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605261), // Rule ID 5175 //
     /*  605194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605259 */     GIR_RootConstrainSelectedInstOperands,
     /*  605260 */     // GIR_Coverage, 5175,
     /*  605260 */     GIR_EraseRootFromParent_Done,
     /*  605261 */   // Label 9789: @605261
     /*  605261 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605333), // Rule ID 5176 //
     /*  605266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605331 */     GIR_RootConstrainSelectedInstOperands,
     /*  605332 */     // GIR_Coverage, 5176,
     /*  605332 */     GIR_EraseRootFromParent_Done,
     /*  605333 */   // Label 9790: @605333
     /*  605333 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605405), // Rule ID 5177 //
     /*  605338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605403 */     GIR_RootConstrainSelectedInstOperands,
     /*  605404 */     // GIR_Coverage, 5177,
     /*  605404 */     GIR_EraseRootFromParent_Done,
     /*  605405 */   // Label 9791: @605405
     /*  605405 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605477), // Rule ID 5178 //
     /*  605410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605475 */     GIR_RootConstrainSelectedInstOperands,
     /*  605476 */     // GIR_Coverage, 5178,
     /*  605476 */     GIR_EraseRootFromParent_Done,
     /*  605477 */   // Label 9792: @605477
     /*  605477 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605549), // Rule ID 5179 //
     /*  605482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605547 */     GIR_RootConstrainSelectedInstOperands,
     /*  605548 */     // GIR_Coverage, 5179,
     /*  605548 */     GIR_EraseRootFromParent_Done,
     /*  605549 */   // Label 9793: @605549
     /*  605549 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605621), // Rule ID 5180 //
     /*  605554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605619 */     GIR_RootConstrainSelectedInstOperands,
     /*  605620 */     // GIR_Coverage, 5180,
     /*  605620 */     GIR_EraseRootFromParent_Done,
     /*  605621 */   // Label 9794: @605621
     /*  605621 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605693), // Rule ID 5181 //
     /*  605626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605691 */     GIR_RootConstrainSelectedInstOperands,
     /*  605692 */     // GIR_Coverage, 5181,
     /*  605692 */     GIR_EraseRootFromParent_Done,
     /*  605693 */   // Label 9795: @605693
     /*  605693 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605765), // Rule ID 5182 //
     /*  605698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605763 */     GIR_RootConstrainSelectedInstOperands,
     /*  605764 */     // GIR_Coverage, 5182,
     /*  605764 */     GIR_EraseRootFromParent_Done,
     /*  605765 */   // Label 9796: @605765
     /*  605765 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605837), // Rule ID 5183 //
     /*  605770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605835 */     GIR_RootConstrainSelectedInstOperands,
     /*  605836 */     // GIR_Coverage, 5183,
     /*  605836 */     GIR_EraseRootFromParent_Done,
     /*  605837 */   // Label 9797: @605837
     /*  605837 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605909), // Rule ID 5184 //
     /*  605842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605907 */     GIR_RootConstrainSelectedInstOperands,
     /*  605908 */     // GIR_Coverage, 5184,
     /*  605908 */     GIR_EraseRootFromParent_Done,
     /*  605909 */   // Label 9798: @605909
     /*  605909 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605981), // Rule ID 5185 //
     /*  605914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605979 */     GIR_RootConstrainSelectedInstOperands,
     /*  605980 */     // GIR_Coverage, 5185,
     /*  605980 */     GIR_EraseRootFromParent_Done,
     /*  605981 */   // Label 9799: @605981
     /*  605981 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(606053), // Rule ID 5186 //
     /*  605986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606051 */     GIR_RootConstrainSelectedInstOperands,
     /*  606052 */     // GIR_Coverage, 5186,
     /*  606052 */     GIR_EraseRootFromParent_Done,
     /*  606053 */   // Label 9800: @606053
     /*  606053 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(606125), // Rule ID 5187 //
     /*  606058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606123 */     GIR_RootConstrainSelectedInstOperands,
     /*  606124 */     // GIR_Coverage, 5187,
     /*  606124 */     GIR_EraseRootFromParent_Done,
     /*  606125 */   // Label 9801: @606125
     /*  606125 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606197), // Rule ID 5188 //
     /*  606130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606195 */     GIR_RootConstrainSelectedInstOperands,
     /*  606196 */     // GIR_Coverage, 5188,
     /*  606196 */     GIR_EraseRootFromParent_Done,
     /*  606197 */   // Label 9802: @606197
     /*  606197 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606269), // Rule ID 5189 //
     /*  606202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606267 */     GIR_RootConstrainSelectedInstOperands,
     /*  606268 */     // GIR_Coverage, 5189,
     /*  606268 */     GIR_EraseRootFromParent_Done,
     /*  606269 */   // Label 9803: @606269
     /*  606269 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606341), // Rule ID 5190 //
     /*  606274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606339 */     GIR_RootConstrainSelectedInstOperands,
     /*  606340 */     // GIR_Coverage, 5190,
     /*  606340 */     GIR_EraseRootFromParent_Done,
     /*  606341 */   // Label 9804: @606341
     /*  606341 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606413), // Rule ID 5191 //
     /*  606346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606411 */     GIR_RootConstrainSelectedInstOperands,
     /*  606412 */     // GIR_Coverage, 5191,
     /*  606412 */     GIR_EraseRootFromParent_Done,
     /*  606413 */   // Label 9805: @606413
     /*  606413 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606485), // Rule ID 5192 //
     /*  606418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606483 */     GIR_RootConstrainSelectedInstOperands,
     /*  606484 */     // GIR_Coverage, 5192,
     /*  606484 */     GIR_EraseRootFromParent_Done,
     /*  606485 */   // Label 9806: @606485
     /*  606485 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606557), // Rule ID 5193 //
     /*  606490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606555 */     GIR_RootConstrainSelectedInstOperands,
     /*  606556 */     // GIR_Coverage, 5193,
     /*  606556 */     GIR_EraseRootFromParent_Done,
     /*  606557 */   // Label 9807: @606557
     /*  606557 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606629), // Rule ID 5194 //
     /*  606562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606608 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606627 */     GIR_RootConstrainSelectedInstOperands,
     /*  606628 */     // GIR_Coverage, 5194,
     /*  606628 */     GIR_EraseRootFromParent_Done,
     /*  606629 */   // Label 9808: @606629
     /*  606629 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606701), // Rule ID 5195 //
     /*  606634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606699 */     GIR_RootConstrainSelectedInstOperands,
     /*  606700 */     // GIR_Coverage, 5195,
     /*  606700 */     GIR_EraseRootFromParent_Done,
     /*  606701 */   // Label 9809: @606701
     /*  606701 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606773), // Rule ID 5196 //
     /*  606706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606752 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606771 */     GIR_RootConstrainSelectedInstOperands,
     /*  606772 */     // GIR_Coverage, 5196,
     /*  606772 */     GIR_EraseRootFromParent_Done,
     /*  606773 */   // Label 9810: @606773
     /*  606773 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606845), // Rule ID 5197 //
     /*  606778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606824 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606843 */     GIR_RootConstrainSelectedInstOperands,
     /*  606844 */     // GIR_Coverage, 5197,
     /*  606844 */     GIR_EraseRootFromParent_Done,
     /*  606845 */   // Label 9811: @606845
     /*  606845 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606917), // Rule ID 5198 //
     /*  606850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606915 */     GIR_RootConstrainSelectedInstOperands,
     /*  606916 */     // GIR_Coverage, 5198,
     /*  606916 */     GIR_EraseRootFromParent_Done,
     /*  606917 */   // Label 9812: @606917
     /*  606917 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606989), // Rule ID 5199 //
     /*  606922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606987 */     GIR_RootConstrainSelectedInstOperands,
     /*  606988 */     // GIR_Coverage, 5199,
     /*  606988 */     GIR_EraseRootFromParent_Done,
     /*  606989 */   // Label 9813: @606989
     /*  606989 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(607061), // Rule ID 5200 //
     /*  606994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607059 */     GIR_RootConstrainSelectedInstOperands,
     /*  607060 */     // GIR_Coverage, 5200,
     /*  607060 */     GIR_EraseRootFromParent_Done,
     /*  607061 */   // Label 9814: @607061
     /*  607061 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(607133), // Rule ID 5201 //
     /*  607066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607131 */     GIR_RootConstrainSelectedInstOperands,
     /*  607132 */     // GIR_Coverage, 5201,
     /*  607132 */     GIR_EraseRootFromParent_Done,
     /*  607133 */   // Label 9815: @607133
     /*  607133 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607205), // Rule ID 5202 //
     /*  607138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607203 */     GIR_RootConstrainSelectedInstOperands,
     /*  607204 */     // GIR_Coverage, 5202,
     /*  607204 */     GIR_EraseRootFromParent_Done,
     /*  607205 */   // Label 9816: @607205
     /*  607205 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607277), // Rule ID 5203 //
     /*  607210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607275 */     GIR_RootConstrainSelectedInstOperands,
     /*  607276 */     // GIR_Coverage, 5203,
     /*  607276 */     GIR_EraseRootFromParent_Done,
     /*  607277 */   // Label 9817: @607277
     /*  607277 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607349), // Rule ID 5204 //
     /*  607282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607347 */     GIR_RootConstrainSelectedInstOperands,
     /*  607348 */     // GIR_Coverage, 5204,
     /*  607348 */     GIR_EraseRootFromParent_Done,
     /*  607349 */   // Label 9818: @607349
     /*  607349 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607421), // Rule ID 5205 //
     /*  607354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607419 */     GIR_RootConstrainSelectedInstOperands,
     /*  607420 */     // GIR_Coverage, 5205,
     /*  607420 */     GIR_EraseRootFromParent_Done,
     /*  607421 */   // Label 9819: @607421
     /*  607421 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607493), // Rule ID 5206 //
     /*  607426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607491 */     GIR_RootConstrainSelectedInstOperands,
     /*  607492 */     // GIR_Coverage, 5206,
     /*  607492 */     GIR_EraseRootFromParent_Done,
     /*  607493 */   // Label 9820: @607493
     /*  607493 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607565), // Rule ID 5207 //
     /*  607498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607563 */     GIR_RootConstrainSelectedInstOperands,
     /*  607564 */     // GIR_Coverage, 5207,
     /*  607564 */     GIR_EraseRootFromParent_Done,
     /*  607565 */   // Label 9821: @607565
     /*  607565 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607637), // Rule ID 5208 //
     /*  607570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607635 */     GIR_RootConstrainSelectedInstOperands,
     /*  607636 */     // GIR_Coverage, 5208,
     /*  607636 */     GIR_EraseRootFromParent_Done,
     /*  607637 */   // Label 9822: @607637
     /*  607637 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607709), // Rule ID 5209 //
     /*  607642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607707 */     GIR_RootConstrainSelectedInstOperands,
     /*  607708 */     // GIR_Coverage, 5209,
     /*  607708 */     GIR_EraseRootFromParent_Done,
     /*  607709 */   // Label 9823: @607709
     /*  607709 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607781), // Rule ID 5210 //
     /*  607714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607779 */     GIR_RootConstrainSelectedInstOperands,
     /*  607780 */     // GIR_Coverage, 5210,
     /*  607780 */     GIR_EraseRootFromParent_Done,
     /*  607781 */   // Label 9824: @607781
     /*  607781 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607853), // Rule ID 5211 //
     /*  607786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607851 */     GIR_RootConstrainSelectedInstOperands,
     /*  607852 */     // GIR_Coverage, 5211,
     /*  607852 */     GIR_EraseRootFromParent_Done,
     /*  607853 */   // Label 9825: @607853
     /*  607853 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607925), // Rule ID 5212 //
     /*  607858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607923 */     GIR_RootConstrainSelectedInstOperands,
     /*  607924 */     // GIR_Coverage, 5212,
     /*  607924 */     GIR_EraseRootFromParent_Done,
     /*  607925 */   // Label 9826: @607925
     /*  607925 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607997), // Rule ID 5213 //
     /*  607930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607995 */     GIR_RootConstrainSelectedInstOperands,
     /*  607996 */     // GIR_Coverage, 5213,
     /*  607996 */     GIR_EraseRootFromParent_Done,
     /*  607997 */   // Label 9827: @607997
     /*  607997 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(608069), // Rule ID 5214 //
     /*  608002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608067 */     GIR_RootConstrainSelectedInstOperands,
     /*  608068 */     // GIR_Coverage, 5214,
     /*  608068 */     GIR_EraseRootFromParent_Done,
     /*  608069 */   // Label 9828: @608069
     /*  608069 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(608141), // Rule ID 5215 //
     /*  608074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608139 */     GIR_RootConstrainSelectedInstOperands,
     /*  608140 */     // GIR_Coverage, 5215,
     /*  608140 */     GIR_EraseRootFromParent_Done,
     /*  608141 */   // Label 9829: @608141
     /*  608141 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608213), // Rule ID 5478 //
     /*  608146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608211 */     GIR_RootConstrainSelectedInstOperands,
     /*  608212 */     // GIR_Coverage, 5478,
     /*  608212 */     GIR_EraseRootFromParent_Done,
     /*  608213 */   // Label 9830: @608213
     /*  608213 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608285), // Rule ID 5479 //
     /*  608218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608283 */     GIR_RootConstrainSelectedInstOperands,
     /*  608284 */     // GIR_Coverage, 5479,
     /*  608284 */     GIR_EraseRootFromParent_Done,
     /*  608285 */   // Label 9831: @608285
     /*  608285 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608357), // Rule ID 5480 //
     /*  608290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608355 */     GIR_RootConstrainSelectedInstOperands,
     /*  608356 */     // GIR_Coverage, 5480,
     /*  608356 */     GIR_EraseRootFromParent_Done,
     /*  608357 */   // Label 9832: @608357
     /*  608357 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608429), // Rule ID 5481 //
     /*  608362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608427 */     GIR_RootConstrainSelectedInstOperands,
     /*  608428 */     // GIR_Coverage, 5481,
     /*  608428 */     GIR_EraseRootFromParent_Done,
     /*  608429 */   // Label 9833: @608429
     /*  608429 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608501), // Rule ID 5482 //
     /*  608434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608499 */     GIR_RootConstrainSelectedInstOperands,
     /*  608500 */     // GIR_Coverage, 5482,
     /*  608500 */     GIR_EraseRootFromParent_Done,
     /*  608501 */   // Label 9834: @608501
     /*  608501 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608573), // Rule ID 5483 //
     /*  608506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608571 */     GIR_RootConstrainSelectedInstOperands,
     /*  608572 */     // GIR_Coverage, 5483,
     /*  608572 */     GIR_EraseRootFromParent_Done,
     /*  608573 */   // Label 9835: @608573
     /*  608573 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608645), // Rule ID 5484 //
     /*  608578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608643 */     GIR_RootConstrainSelectedInstOperands,
     /*  608644 */     // GIR_Coverage, 5484,
     /*  608644 */     GIR_EraseRootFromParent_Done,
     /*  608645 */   // Label 9836: @608645
     /*  608645 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608717), // Rule ID 5485 //
     /*  608650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608715 */     GIR_RootConstrainSelectedInstOperands,
     /*  608716 */     // GIR_Coverage, 5485,
     /*  608716 */     GIR_EraseRootFromParent_Done,
     /*  608717 */   // Label 9837: @608717
     /*  608717 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608789), // Rule ID 5486 //
     /*  608722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608787 */     GIR_RootConstrainSelectedInstOperands,
     /*  608788 */     // GIR_Coverage, 5486,
     /*  608788 */     GIR_EraseRootFromParent_Done,
     /*  608789 */   // Label 9838: @608789
     /*  608789 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608861), // Rule ID 5487 //
     /*  608794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608859 */     GIR_RootConstrainSelectedInstOperands,
     /*  608860 */     // GIR_Coverage, 5487,
     /*  608860 */     GIR_EraseRootFromParent_Done,
     /*  608861 */   // Label 9839: @608861
     /*  608861 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608933), // Rule ID 5488 //
     /*  608866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608931 */     GIR_RootConstrainSelectedInstOperands,
     /*  608932 */     // GIR_Coverage, 5488,
     /*  608932 */     GIR_EraseRootFromParent_Done,
     /*  608933 */   // Label 9840: @608933
     /*  608933 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(609005), // Rule ID 5489 //
     /*  608938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609003 */     GIR_RootConstrainSelectedInstOperands,
     /*  609004 */     // GIR_Coverage, 5489,
     /*  609004 */     GIR_EraseRootFromParent_Done,
     /*  609005 */   // Label 9841: @609005
     /*  609005 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(609077), // Rule ID 5490 //
     /*  609010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609075 */     GIR_RootConstrainSelectedInstOperands,
     /*  609076 */     // GIR_Coverage, 5490,
     /*  609076 */     GIR_EraseRootFromParent_Done,
     /*  609077 */   // Label 9842: @609077
     /*  609077 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609149), // Rule ID 5491 //
     /*  609082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609147 */     GIR_RootConstrainSelectedInstOperands,
     /*  609148 */     // GIR_Coverage, 5491,
     /*  609148 */     GIR_EraseRootFromParent_Done,
     /*  609149 */   // Label 9843: @609149
     /*  609149 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609221), // Rule ID 5492 //
     /*  609154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609219 */     GIR_RootConstrainSelectedInstOperands,
     /*  609220 */     // GIR_Coverage, 5492,
     /*  609220 */     GIR_EraseRootFromParent_Done,
     /*  609221 */   // Label 9844: @609221
     /*  609221 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609293), // Rule ID 5493 //
     /*  609226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609291 */     GIR_RootConstrainSelectedInstOperands,
     /*  609292 */     // GIR_Coverage, 5493,
     /*  609292 */     GIR_EraseRootFromParent_Done,
     /*  609293 */   // Label 9845: @609293
     /*  609293 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609365), // Rule ID 5494 //
     /*  609298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609363 */     GIR_RootConstrainSelectedInstOperands,
     /*  609364 */     // GIR_Coverage, 5494,
     /*  609364 */     GIR_EraseRootFromParent_Done,
     /*  609365 */   // Label 9846: @609365
     /*  609365 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609437), // Rule ID 5495 //
     /*  609370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609435 */     GIR_RootConstrainSelectedInstOperands,
     /*  609436 */     // GIR_Coverage, 5495,
     /*  609436 */     GIR_EraseRootFromParent_Done,
     /*  609437 */   // Label 9847: @609437
     /*  609437 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609509), // Rule ID 5496 //
     /*  609442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609507 */     GIR_RootConstrainSelectedInstOperands,
     /*  609508 */     // GIR_Coverage, 5496,
     /*  609508 */     GIR_EraseRootFromParent_Done,
     /*  609509 */   // Label 9848: @609509
     /*  609509 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609581), // Rule ID 5497 //
     /*  609514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609579 */     GIR_RootConstrainSelectedInstOperands,
     /*  609580 */     // GIR_Coverage, 5497,
     /*  609580 */     GIR_EraseRootFromParent_Done,
     /*  609581 */   // Label 9849: @609581
     /*  609581 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609653), // Rule ID 5498 //
     /*  609586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609651 */     GIR_RootConstrainSelectedInstOperands,
     /*  609652 */     // GIR_Coverage, 5498,
     /*  609652 */     GIR_EraseRootFromParent_Done,
     /*  609653 */   // Label 9850: @609653
     /*  609653 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609725), // Rule ID 5499 //
     /*  609658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609723 */     GIR_RootConstrainSelectedInstOperands,
     /*  609724 */     // GIR_Coverage, 5499,
     /*  609724 */     GIR_EraseRootFromParent_Done,
     /*  609725 */   // Label 9851: @609725
     /*  609725 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609797), // Rule ID 5500 //
     /*  609730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609776 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609795 */     GIR_RootConstrainSelectedInstOperands,
     /*  609796 */     // GIR_Coverage, 5500,
     /*  609796 */     GIR_EraseRootFromParent_Done,
     /*  609797 */   // Label 9852: @609797
     /*  609797 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609869), // Rule ID 5501 //
     /*  609802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609867 */     GIR_RootConstrainSelectedInstOperands,
     /*  609868 */     // GIR_Coverage, 5501,
     /*  609868 */     GIR_EraseRootFromParent_Done,
     /*  609869 */   // Label 9853: @609869
     /*  609869 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609941), // Rule ID 5502 //
     /*  609874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609920 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609939 */     GIR_RootConstrainSelectedInstOperands,
     /*  609940 */     // GIR_Coverage, 5502,
     /*  609940 */     GIR_EraseRootFromParent_Done,
     /*  609941 */   // Label 9854: @609941
     /*  609941 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(610013), // Rule ID 5503 //
     /*  609946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609992 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610011 */     GIR_RootConstrainSelectedInstOperands,
     /*  610012 */     // GIR_Coverage, 5503,
     /*  610012 */     GIR_EraseRootFromParent_Done,
     /*  610013 */   // Label 9855: @610013
     /*  610013 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(610085), // Rule ID 5504 //
     /*  610018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610083 */     GIR_RootConstrainSelectedInstOperands,
     /*  610084 */     // GIR_Coverage, 5504,
     /*  610084 */     GIR_EraseRootFromParent_Done,
     /*  610085 */   // Label 9856: @610085
     /*  610085 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610157), // Rule ID 5505 //
     /*  610090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610155 */     GIR_RootConstrainSelectedInstOperands,
     /*  610156 */     // GIR_Coverage, 5505,
     /*  610156 */     GIR_EraseRootFromParent_Done,
     /*  610157 */   // Label 9857: @610157
     /*  610157 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610229), // Rule ID 5506 //
     /*  610162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610227 */     GIR_RootConstrainSelectedInstOperands,
     /*  610228 */     // GIR_Coverage, 5506,
     /*  610228 */     GIR_EraseRootFromParent_Done,
     /*  610229 */   // Label 9858: @610229
     /*  610229 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610301), // Rule ID 5507 //
     /*  610234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610299 */     GIR_RootConstrainSelectedInstOperands,
     /*  610300 */     // GIR_Coverage, 5507,
     /*  610300 */     GIR_EraseRootFromParent_Done,
     /*  610301 */   // Label 9859: @610301
     /*  610301 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610373), // Rule ID 5508 //
     /*  610306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610371 */     GIR_RootConstrainSelectedInstOperands,
     /*  610372 */     // GIR_Coverage, 5508,
     /*  610372 */     GIR_EraseRootFromParent_Done,
     /*  610373 */   // Label 9860: @610373
     /*  610373 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610445), // Rule ID 5509 //
     /*  610378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610443 */     GIR_RootConstrainSelectedInstOperands,
     /*  610444 */     // GIR_Coverage, 5509,
     /*  610444 */     GIR_EraseRootFromParent_Done,
     /*  610445 */   // Label 9861: @610445
     /*  610445 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610517), // Rule ID 5510 //
     /*  610450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610515 */     GIR_RootConstrainSelectedInstOperands,
     /*  610516 */     // GIR_Coverage, 5510,
     /*  610516 */     GIR_EraseRootFromParent_Done,
     /*  610517 */   // Label 9862: @610517
     /*  610517 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610589), // Rule ID 5511 //
     /*  610522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610587 */     GIR_RootConstrainSelectedInstOperands,
     /*  610588 */     // GIR_Coverage, 5511,
     /*  610588 */     GIR_EraseRootFromParent_Done,
     /*  610589 */   // Label 9863: @610589
     /*  610589 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610661), // Rule ID 5512 //
     /*  610594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610659 */     GIR_RootConstrainSelectedInstOperands,
     /*  610660 */     // GIR_Coverage, 5512,
     /*  610660 */     GIR_EraseRootFromParent_Done,
     /*  610661 */   // Label 9864: @610661
     /*  610661 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610733), // Rule ID 5513 //
     /*  610666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610731 */     GIR_RootConstrainSelectedInstOperands,
     /*  610732 */     // GIR_Coverage, 5513,
     /*  610732 */     GIR_EraseRootFromParent_Done,
     /*  610733 */   // Label 9865: @610733
     /*  610733 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610805), // Rule ID 5514 //
     /*  610738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610803 */     GIR_RootConstrainSelectedInstOperands,
     /*  610804 */     // GIR_Coverage, 5514,
     /*  610804 */     GIR_EraseRootFromParent_Done,
     /*  610805 */   // Label 9866: @610805
     /*  610805 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610877), // Rule ID 5515 //
     /*  610810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610875 */     GIR_RootConstrainSelectedInstOperands,
     /*  610876 */     // GIR_Coverage, 5515,
     /*  610876 */     GIR_EraseRootFromParent_Done,
     /*  610877 */   // Label 9867: @610877
     /*  610877 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610949), // Rule ID 5516 //
     /*  610882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610947 */     GIR_RootConstrainSelectedInstOperands,
     /*  610948 */     // GIR_Coverage, 5516,
     /*  610948 */     GIR_EraseRootFromParent_Done,
     /*  610949 */   // Label 9868: @610949
     /*  610949 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(611021), // Rule ID 5517 //
     /*  610954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611019 */     GIR_RootConstrainSelectedInstOperands,
     /*  611020 */     // GIR_Coverage, 5517,
     /*  611020 */     GIR_EraseRootFromParent_Done,
     /*  611021 */   // Label 9869: @611021
     /*  611021 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(611093), // Rule ID 5518 //
     /*  611026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611091 */     GIR_RootConstrainSelectedInstOperands,
     /*  611092 */     // GIR_Coverage, 5518,
     /*  611092 */     GIR_EraseRootFromParent_Done,
     /*  611093 */   // Label 9870: @611093
     /*  611093 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611165), // Rule ID 5519 //
     /*  611098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611163 */     GIR_RootConstrainSelectedInstOperands,
     /*  611164 */     // GIR_Coverage, 5519,
     /*  611164 */     GIR_EraseRootFromParent_Done,
     /*  611165 */   // Label 9871: @611165
     /*  611165 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611237), // Rule ID 5520 //
     /*  611170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611235 */     GIR_RootConstrainSelectedInstOperands,
     /*  611236 */     // GIR_Coverage, 5520,
     /*  611236 */     GIR_EraseRootFromParent_Done,
     /*  611237 */   // Label 9872: @611237
     /*  611237 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611309), // Rule ID 5521 //
     /*  611242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611307 */     GIR_RootConstrainSelectedInstOperands,
     /*  611308 */     // GIR_Coverage, 5521,
     /*  611308 */     GIR_EraseRootFromParent_Done,
     /*  611309 */   // Label 9873: @611309
     /*  611309 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611381), // Rule ID 5522 //
     /*  611314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611379 */     GIR_RootConstrainSelectedInstOperands,
     /*  611380 */     // GIR_Coverage, 5522,
     /*  611380 */     GIR_EraseRootFromParent_Done,
     /*  611381 */   // Label 9874: @611381
     /*  611381 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611453), // Rule ID 5523 //
     /*  611386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611451 */     GIR_RootConstrainSelectedInstOperands,
     /*  611452 */     // GIR_Coverage, 5523,
     /*  611452 */     GIR_EraseRootFromParent_Done,
     /*  611453 */   // Label 9875: @611453
     /*  611453 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611525), // Rule ID 5524 //
     /*  611458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611523 */     GIR_RootConstrainSelectedInstOperands,
     /*  611524 */     // GIR_Coverage, 5524,
     /*  611524 */     GIR_EraseRootFromParent_Done,
     /*  611525 */   // Label 9876: @611525
     /*  611525 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611597), // Rule ID 5525 //
     /*  611530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611595 */     GIR_RootConstrainSelectedInstOperands,
     /*  611596 */     // GIR_Coverage, 5525,
     /*  611596 */     GIR_EraseRootFromParent_Done,
     /*  611597 */   // Label 9877: @611597
     /*  611597 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611669), // Rule ID 5526 //
     /*  611602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611667 */     GIR_RootConstrainSelectedInstOperands,
     /*  611668 */     // GIR_Coverage, 5526,
     /*  611668 */     GIR_EraseRootFromParent_Done,
     /*  611669 */   // Label 9878: @611669
     /*  611669 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611741), // Rule ID 5527 //
     /*  611674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611739 */     GIR_RootConstrainSelectedInstOperands,
     /*  611740 */     // GIR_Coverage, 5527,
     /*  611740 */     GIR_EraseRootFromParent_Done,
     /*  611741 */   // Label 9879: @611741
     /*  611741 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611813), // Rule ID 5528 //
     /*  611746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611811 */     GIR_RootConstrainSelectedInstOperands,
     /*  611812 */     // GIR_Coverage, 5528,
     /*  611812 */     GIR_EraseRootFromParent_Done,
     /*  611813 */   // Label 9880: @611813
     /*  611813 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611885), // Rule ID 5529 //
     /*  611818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611883 */     GIR_RootConstrainSelectedInstOperands,
     /*  611884 */     // GIR_Coverage, 5529,
     /*  611884 */     GIR_EraseRootFromParent_Done,
     /*  611885 */   // Label 9881: @611885
     /*  611885 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611957), // Rule ID 5530 //
     /*  611890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611955 */     GIR_RootConstrainSelectedInstOperands,
     /*  611956 */     // GIR_Coverage, 5530,
     /*  611956 */     GIR_EraseRootFromParent_Done,
     /*  611957 */   // Label 9882: @611957
     /*  611957 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(612029), // Rule ID 5531 //
     /*  611962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612027 */     GIR_RootConstrainSelectedInstOperands,
     /*  612028 */     // GIR_Coverage, 5531,
     /*  612028 */     GIR_EraseRootFromParent_Done,
     /*  612029 */   // Label 9883: @612029
     /*  612029 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(612101), // Rule ID 5532 //
     /*  612034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612099 */     GIR_RootConstrainSelectedInstOperands,
     /*  612100 */     // GIR_Coverage, 5532,
     /*  612100 */     GIR_EraseRootFromParent_Done,
     /*  612101 */   // Label 9884: @612101
     /*  612101 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612173), // Rule ID 5533 //
     /*  612106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612171 */     GIR_RootConstrainSelectedInstOperands,
     /*  612172 */     // GIR_Coverage, 5533,
     /*  612172 */     GIR_EraseRootFromParent_Done,
     /*  612173 */   // Label 9885: @612173
     /*  612173 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612245), // Rule ID 5534 //
     /*  612178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612243 */     GIR_RootConstrainSelectedInstOperands,
     /*  612244 */     // GIR_Coverage, 5534,
     /*  612244 */     GIR_EraseRootFromParent_Done,
     /*  612245 */   // Label 9886: @612245
     /*  612245 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612317), // Rule ID 5535 //
     /*  612250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612315 */     GIR_RootConstrainSelectedInstOperands,
     /*  612316 */     // GIR_Coverage, 5535,
     /*  612316 */     GIR_EraseRootFromParent_Done,
     /*  612317 */   // Label 9887: @612317
     /*  612317 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612389), // Rule ID 5536 //
     /*  612322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612387 */     GIR_RootConstrainSelectedInstOperands,
     /*  612388 */     // GIR_Coverage, 5536,
     /*  612388 */     GIR_EraseRootFromParent_Done,
     /*  612389 */   // Label 9888: @612389
     /*  612389 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612461), // Rule ID 5537 //
     /*  612394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612459 */     GIR_RootConstrainSelectedInstOperands,
     /*  612460 */     // GIR_Coverage, 5537,
     /*  612460 */     GIR_EraseRootFromParent_Done,
     /*  612461 */   // Label 9889: @612461
     /*  612461 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612533), // Rule ID 5538 //
     /*  612466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612531 */     GIR_RootConstrainSelectedInstOperands,
     /*  612532 */     // GIR_Coverage, 5538,
     /*  612532 */     GIR_EraseRootFromParent_Done,
     /*  612533 */   // Label 9890: @612533
     /*  612533 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612605), // Rule ID 5539 //
     /*  612538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612603 */     GIR_RootConstrainSelectedInstOperands,
     /*  612604 */     // GIR_Coverage, 5539,
     /*  612604 */     GIR_EraseRootFromParent_Done,
     /*  612605 */   // Label 9891: @612605
     /*  612605 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612677), // Rule ID 5540 //
     /*  612610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612675 */     GIR_RootConstrainSelectedInstOperands,
     /*  612676 */     // GIR_Coverage, 5540,
     /*  612676 */     GIR_EraseRootFromParent_Done,
     /*  612677 */   // Label 9892: @612677
     /*  612677 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612749), // Rule ID 5541 //
     /*  612682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612747 */     GIR_RootConstrainSelectedInstOperands,
     /*  612748 */     // GIR_Coverage, 5541,
     /*  612748 */     GIR_EraseRootFromParent_Done,
     /*  612749 */   // Label 9893: @612749
     /*  612749 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612821), // Rule ID 5542 //
     /*  612754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612819 */     GIR_RootConstrainSelectedInstOperands,
     /*  612820 */     // GIR_Coverage, 5542,
     /*  612820 */     GIR_EraseRootFromParent_Done,
     /*  612821 */   // Label 9894: @612821
     /*  612821 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612893), // Rule ID 5543 //
     /*  612826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612891 */     GIR_RootConstrainSelectedInstOperands,
     /*  612892 */     // GIR_Coverage, 5543,
     /*  612892 */     GIR_EraseRootFromParent_Done,
     /*  612893 */   // Label 9895: @612893
     /*  612893 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612965), // Rule ID 5544 //
     /*  612898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612963 */     GIR_RootConstrainSelectedInstOperands,
     /*  612964 */     // GIR_Coverage, 5544,
     /*  612964 */     GIR_EraseRootFromParent_Done,
     /*  612965 */   // Label 9896: @612965
     /*  612965 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(613037), // Rule ID 5545 //
     /*  612970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613035 */     GIR_RootConstrainSelectedInstOperands,
     /*  613036 */     // GIR_Coverage, 5545,
     /*  613036 */     GIR_EraseRootFromParent_Done,
     /*  613037 */   // Label 9897: @613037
     /*  613037 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(613109), // Rule ID 5546 //
     /*  613042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613088 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613107 */     GIR_RootConstrainSelectedInstOperands,
     /*  613108 */     // GIR_Coverage, 5546,
     /*  613108 */     GIR_EraseRootFromParent_Done,
     /*  613109 */   // Label 9898: @613109
     /*  613109 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613181), // Rule ID 5547 //
     /*  613114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613160 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613179 */     GIR_RootConstrainSelectedInstOperands,
     /*  613180 */     // GIR_Coverage, 5547,
     /*  613180 */     GIR_EraseRootFromParent_Done,
     /*  613181 */   // Label 9899: @613181
     /*  613181 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613253), // Rule ID 5548 //
     /*  613186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613251 */     GIR_RootConstrainSelectedInstOperands,
     /*  613252 */     // GIR_Coverage, 5548,
     /*  613252 */     GIR_EraseRootFromParent_Done,
     /*  613253 */   // Label 9900: @613253
     /*  613253 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613325), // Rule ID 5549 //
     /*  613258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613323 */     GIR_RootConstrainSelectedInstOperands,
     /*  613324 */     // GIR_Coverage, 5549,
     /*  613324 */     GIR_EraseRootFromParent_Done,
     /*  613325 */   // Label 9901: @613325
     /*  613325 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613397), // Rule ID 5550 //
     /*  613330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613395 */     GIR_RootConstrainSelectedInstOperands,
     /*  613396 */     // GIR_Coverage, 5550,
     /*  613396 */     GIR_EraseRootFromParent_Done,
     /*  613397 */   // Label 9902: @613397
     /*  613397 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613469), // Rule ID 5551 //
     /*  613402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613467 */     GIR_RootConstrainSelectedInstOperands,
     /*  613468 */     // GIR_Coverage, 5551,
     /*  613468 */     GIR_EraseRootFromParent_Done,
     /*  613469 */   // Label 9903: @613469
     /*  613469 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613541), // Rule ID 5552 //
     /*  613474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613520 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613539 */     GIR_RootConstrainSelectedInstOperands,
     /*  613540 */     // GIR_Coverage, 5552,
     /*  613540 */     GIR_EraseRootFromParent_Done,
     /*  613541 */   // Label 9904: @613541
     /*  613541 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613613), // Rule ID 5553 //
     /*  613546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613611 */     GIR_RootConstrainSelectedInstOperands,
     /*  613612 */     // GIR_Coverage, 5553,
     /*  613612 */     GIR_EraseRootFromParent_Done,
     /*  613613 */   // Label 9905: @613613
     /*  613613 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613685), // Rule ID 5554 //
     /*  613618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613683 */     GIR_RootConstrainSelectedInstOperands,
     /*  613684 */     // GIR_Coverage, 5554,
     /*  613684 */     GIR_EraseRootFromParent_Done,
     /*  613685 */   // Label 9906: @613685
     /*  613685 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613757), // Rule ID 5555 //
     /*  613690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613755 */     GIR_RootConstrainSelectedInstOperands,
     /*  613756 */     // GIR_Coverage, 5555,
     /*  613756 */     GIR_EraseRootFromParent_Done,
     /*  613757 */   // Label 9907: @613757
     /*  613757 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613829), // Rule ID 5556 //
     /*  613762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613827 */     GIR_RootConstrainSelectedInstOperands,
     /*  613828 */     // GIR_Coverage, 5556,
     /*  613828 */     GIR_EraseRootFromParent_Done,
     /*  613829 */   // Label 9908: @613829
     /*  613829 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613901), // Rule ID 5557 //
     /*  613834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613899 */     GIR_RootConstrainSelectedInstOperands,
     /*  613900 */     // GIR_Coverage, 5557,
     /*  613900 */     GIR_EraseRootFromParent_Done,
     /*  613901 */   // Label 9909: @613901
     /*  613901 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613973), // Rule ID 5558 //
     /*  613906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613971 */     GIR_RootConstrainSelectedInstOperands,
     /*  613972 */     // GIR_Coverage, 5558,
     /*  613972 */     GIR_EraseRootFromParent_Done,
     /*  613973 */   // Label 9910: @613973
     /*  613973 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(614045), // Rule ID 5559 //
     /*  613978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614043 */     GIR_RootConstrainSelectedInstOperands,
     /*  614044 */     // GIR_Coverage, 5559,
     /*  614044 */     GIR_EraseRootFromParent_Done,
     /*  614045 */   // Label 9911: @614045
     /*  614045 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(614117), // Rule ID 5560 //
     /*  614050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614115 */     GIR_RootConstrainSelectedInstOperands,
     /*  614116 */     // GIR_Coverage, 5560,
     /*  614116 */     GIR_EraseRootFromParent_Done,
     /*  614117 */   // Label 9912: @614117
     /*  614117 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614189), // Rule ID 5561 //
     /*  614122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614187 */     GIR_RootConstrainSelectedInstOperands,
     /*  614188 */     // GIR_Coverage, 5561,
     /*  614188 */     GIR_EraseRootFromParent_Done,
     /*  614189 */   // Label 9913: @614189
     /*  614189 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614261), // Rule ID 5562 //
     /*  614194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614259 */     GIR_RootConstrainSelectedInstOperands,
     /*  614260 */     // GIR_Coverage, 5562,
     /*  614260 */     GIR_EraseRootFromParent_Done,
     /*  614261 */   // Label 9914: @614261
     /*  614261 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614333), // Rule ID 5563 //
     /*  614266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614331 */     GIR_RootConstrainSelectedInstOperands,
     /*  614332 */     // GIR_Coverage, 5563,
     /*  614332 */     GIR_EraseRootFromParent_Done,
     /*  614333 */   // Label 9915: @614333
     /*  614333 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614405), // Rule ID 5564 //
     /*  614338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614403 */     GIR_RootConstrainSelectedInstOperands,
     /*  614404 */     // GIR_Coverage, 5564,
     /*  614404 */     GIR_EraseRootFromParent_Done,
     /*  614405 */   // Label 9916: @614405
     /*  614405 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614477), // Rule ID 5565 //
     /*  614410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614475 */     GIR_RootConstrainSelectedInstOperands,
     /*  614476 */     // GIR_Coverage, 5565,
     /*  614476 */     GIR_EraseRootFromParent_Done,
     /*  614477 */   // Label 9917: @614477
     /*  614477 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614552), // Rule ID 5654 //
     /*  614482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614550 */     GIR_RootConstrainSelectedInstOperands,
     /*  614551 */     // GIR_Coverage, 5654,
     /*  614551 */     GIR_EraseRootFromParent_Done,
     /*  614552 */   // Label 9918: @614552
     /*  614552 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614627), // Rule ID 5655 //
     /*  614557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614625 */     GIR_RootConstrainSelectedInstOperands,
     /*  614626 */     // GIR_Coverage, 5655,
     /*  614626 */     GIR_EraseRootFromParent_Done,
     /*  614627 */   // Label 9919: @614627
     /*  614627 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614702), // Rule ID 5658 //
     /*  614632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614700 */     GIR_RootConstrainSelectedInstOperands,
     /*  614701 */     // GIR_Coverage, 5658,
     /*  614701 */     GIR_EraseRootFromParent_Done,
     /*  614702 */   // Label 9920: @614702
     /*  614702 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614777), // Rule ID 5659 //
     /*  614707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614775 */     GIR_RootConstrainSelectedInstOperands,
     /*  614776 */     // GIR_Coverage, 5659,
     /*  614776 */     GIR_EraseRootFromParent_Done,
     /*  614777 */   // Label 9921: @614777
     /*  614777 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614852), // Rule ID 5662 //
     /*  614782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614850 */     GIR_RootConstrainSelectedInstOperands,
     /*  614851 */     // GIR_Coverage, 5662,
     /*  614851 */     GIR_EraseRootFromParent_Done,
     /*  614852 */   // Label 9922: @614852
     /*  614852 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614927), // Rule ID 5663 //
     /*  614857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614925 */     GIR_RootConstrainSelectedInstOperands,
     /*  614926 */     // GIR_Coverage, 5663,
     /*  614926 */     GIR_EraseRootFromParent_Done,
     /*  614927 */   // Label 9923: @614927
     /*  614927 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(615002), // Rule ID 5666 //
     /*  614932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615000 */     GIR_RootConstrainSelectedInstOperands,
     /*  615001 */     // GIR_Coverage, 5666,
     /*  615001 */     GIR_EraseRootFromParent_Done,
     /*  615002 */   // Label 9924: @615002
     /*  615002 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(615077), // Rule ID 5667 //
     /*  615007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615075 */     GIR_RootConstrainSelectedInstOperands,
     /*  615076 */     // GIR_Coverage, 5667,
     /*  615076 */     GIR_EraseRootFromParent_Done,
     /*  615077 */   // Label 9925: @615077
     /*  615077 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615152), // Rule ID 5670 //
     /*  615082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615150 */     GIR_RootConstrainSelectedInstOperands,
     /*  615151 */     // GIR_Coverage, 5670,
     /*  615151 */     GIR_EraseRootFromParent_Done,
     /*  615152 */   // Label 9926: @615152
     /*  615152 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615227), // Rule ID 5671 //
     /*  615157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615225 */     GIR_RootConstrainSelectedInstOperands,
     /*  615226 */     // GIR_Coverage, 5671,
     /*  615226 */     GIR_EraseRootFromParent_Done,
     /*  615227 */   // Label 9927: @615227
     /*  615227 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615302), // Rule ID 5674 //
     /*  615232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615300 */     GIR_RootConstrainSelectedInstOperands,
     /*  615301 */     // GIR_Coverage, 5674,
     /*  615301 */     GIR_EraseRootFromParent_Done,
     /*  615302 */   // Label 9928: @615302
     /*  615302 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615377), // Rule ID 5675 //
     /*  615307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615375 */     GIR_RootConstrainSelectedInstOperands,
     /*  615376 */     // GIR_Coverage, 5675,
     /*  615376 */     GIR_EraseRootFromParent_Done,
     /*  615377 */   // Label 9929: @615377
     /*  615377 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615452), // Rule ID 5678 //
     /*  615382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615450 */     GIR_RootConstrainSelectedInstOperands,
     /*  615451 */     // GIR_Coverage, 5678,
     /*  615451 */     GIR_EraseRootFromParent_Done,
     /*  615452 */   // Label 9930: @615452
     /*  615452 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615527), // Rule ID 5679 //
     /*  615457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615525 */     GIR_RootConstrainSelectedInstOperands,
     /*  615526 */     // GIR_Coverage, 5679,
     /*  615526 */     GIR_EraseRootFromParent_Done,
     /*  615527 */   // Label 9931: @615527
     /*  615527 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615602), // Rule ID 5682 //
     /*  615532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615600 */     GIR_RootConstrainSelectedInstOperands,
     /*  615601 */     // GIR_Coverage, 5682,
     /*  615601 */     GIR_EraseRootFromParent_Done,
     /*  615602 */   // Label 9932: @615602
     /*  615602 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615677), // Rule ID 5683 //
     /*  615607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615675 */     GIR_RootConstrainSelectedInstOperands,
     /*  615676 */     // GIR_Coverage, 5683,
     /*  615676 */     GIR_EraseRootFromParent_Done,
     /*  615677 */   // Label 9933: @615677
     /*  615677 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615752), // Rule ID 5686 //
     /*  615682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615750 */     GIR_RootConstrainSelectedInstOperands,
     /*  615751 */     // GIR_Coverage, 5686,
     /*  615751 */     GIR_EraseRootFromParent_Done,
     /*  615752 */   // Label 9934: @615752
     /*  615752 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615827), // Rule ID 5687 //
     /*  615757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615825 */     GIR_RootConstrainSelectedInstOperands,
     /*  615826 */     // GIR_Coverage, 5687,
     /*  615826 */     GIR_EraseRootFromParent_Done,
     /*  615827 */   // Label 9935: @615827
     /*  615827 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615902), // Rule ID 5690 //
     /*  615832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615900 */     GIR_RootConstrainSelectedInstOperands,
     /*  615901 */     // GIR_Coverage, 5690,
     /*  615901 */     GIR_EraseRootFromParent_Done,
     /*  615902 */   // Label 9936: @615902
     /*  615902 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615977), // Rule ID 5691 //
     /*  615907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615975 */     GIR_RootConstrainSelectedInstOperands,
     /*  615976 */     // GIR_Coverage, 5691,
     /*  615976 */     GIR_EraseRootFromParent_Done,
     /*  615977 */   // Label 9937: @615977
     /*  615977 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(616052), // Rule ID 5694 //
     /*  615982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  615993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  615996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  615999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616050 */     GIR_RootConstrainSelectedInstOperands,
     /*  616051 */     // GIR_Coverage, 5694,
     /*  616051 */     GIR_EraseRootFromParent_Done,
     /*  616052 */   // Label 9938: @616052
     /*  616052 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(616127), // Rule ID 5695 //
     /*  616057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616125 */     GIR_RootConstrainSelectedInstOperands,
     /*  616126 */     // GIR_Coverage, 5695,
     /*  616126 */     GIR_EraseRootFromParent_Done,
     /*  616127 */   // Label 9939: @616127
     /*  616127 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616202), // Rule ID 5698 //
     /*  616132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616200 */     GIR_RootConstrainSelectedInstOperands,
     /*  616201 */     // GIR_Coverage, 5698,
     /*  616201 */     GIR_EraseRootFromParent_Done,
     /*  616202 */   // Label 9940: @616202
     /*  616202 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616277), // Rule ID 5699 //
     /*  616207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616275 */     GIR_RootConstrainSelectedInstOperands,
     /*  616276 */     // GIR_Coverage, 5699,
     /*  616276 */     GIR_EraseRootFromParent_Done,
     /*  616277 */   // Label 9941: @616277
     /*  616277 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616352), // Rule ID 5702 //
     /*  616282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616350 */     GIR_RootConstrainSelectedInstOperands,
     /*  616351 */     // GIR_Coverage, 5702,
     /*  616351 */     GIR_EraseRootFromParent_Done,
     /*  616352 */   // Label 9942: @616352
     /*  616352 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616427), // Rule ID 5703 //
     /*  616357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616425 */     GIR_RootConstrainSelectedInstOperands,
     /*  616426 */     // GIR_Coverage, 5703,
     /*  616426 */     GIR_EraseRootFromParent_Done,
     /*  616427 */   // Label 9943: @616427
     /*  616427 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616502), // Rule ID 5706 //
     /*  616432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616500 */     GIR_RootConstrainSelectedInstOperands,
     /*  616501 */     // GIR_Coverage, 5706,
     /*  616501 */     GIR_EraseRootFromParent_Done,
     /*  616502 */   // Label 9944: @616502
     /*  616502 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616577), // Rule ID 5707 //
     /*  616507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616575 */     GIR_RootConstrainSelectedInstOperands,
     /*  616576 */     // GIR_Coverage, 5707,
     /*  616576 */     GIR_EraseRootFromParent_Done,
     /*  616577 */   // Label 9945: @616577
     /*  616577 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616652), // Rule ID 5710 //
     /*  616582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616650 */     GIR_RootConstrainSelectedInstOperands,
     /*  616651 */     // GIR_Coverage, 5710,
     /*  616651 */     GIR_EraseRootFromParent_Done,
     /*  616652 */   // Label 9946: @616652
     /*  616652 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616727), // Rule ID 5711 //
     /*  616657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616725 */     GIR_RootConstrainSelectedInstOperands,
     /*  616726 */     // GIR_Coverage, 5711,
     /*  616726 */     GIR_EraseRootFromParent_Done,
     /*  616727 */   // Label 9947: @616727
     /*  616727 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616802), // Rule ID 5714 //
     /*  616732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616800 */     GIR_RootConstrainSelectedInstOperands,
     /*  616801 */     // GIR_Coverage, 5714,
     /*  616801 */     GIR_EraseRootFromParent_Done,
     /*  616802 */   // Label 9948: @616802
     /*  616802 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616877), // Rule ID 5715 //
     /*  616807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616875 */     GIR_RootConstrainSelectedInstOperands,
     /*  616876 */     // GIR_Coverage, 5715,
     /*  616876 */     GIR_EraseRootFromParent_Done,
     /*  616877 */   // Label 9949: @616877
     /*  616877 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616952), // Rule ID 5718 //
     /*  616882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616950 */     GIR_RootConstrainSelectedInstOperands,
     /*  616951 */     // GIR_Coverage, 5718,
     /*  616951 */     GIR_EraseRootFromParent_Done,
     /*  616952 */   // Label 9950: @616952
     /*  616952 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(617027), // Rule ID 5719 //
     /*  616957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617025 */     GIR_RootConstrainSelectedInstOperands,
     /*  617026 */     // GIR_Coverage, 5719,
     /*  617026 */     GIR_EraseRootFromParent_Done,
     /*  617027 */   // Label 9951: @617027
     /*  617027 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(617102), // Rule ID 5722 //
     /*  617032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617100 */     GIR_RootConstrainSelectedInstOperands,
     /*  617101 */     // GIR_Coverage, 5722,
     /*  617101 */     GIR_EraseRootFromParent_Done,
     /*  617102 */   // Label 9952: @617102
     /*  617102 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(617177), // Rule ID 5723 //
     /*  617107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617175 */     GIR_RootConstrainSelectedInstOperands,
     /*  617176 */     // GIR_Coverage, 5723,
     /*  617176 */     GIR_EraseRootFromParent_Done,
     /*  617177 */   // Label 9953: @617177
     /*  617177 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617252), // Rule ID 5726 //
     /*  617182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617250 */     GIR_RootConstrainSelectedInstOperands,
     /*  617251 */     // GIR_Coverage, 5726,
     /*  617251 */     GIR_EraseRootFromParent_Done,
     /*  617252 */   // Label 9954: @617252
     /*  617252 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617327), // Rule ID 5727 //
     /*  617257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617325 */     GIR_RootConstrainSelectedInstOperands,
     /*  617326 */     // GIR_Coverage, 5727,
     /*  617326 */     GIR_EraseRootFromParent_Done,
     /*  617327 */   // Label 9955: @617327
     /*  617327 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617402), // Rule ID 5730 //
     /*  617332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617400 */     GIR_RootConstrainSelectedInstOperands,
     /*  617401 */     // GIR_Coverage, 5730,
     /*  617401 */     GIR_EraseRootFromParent_Done,
     /*  617402 */   // Label 9956: @617402
     /*  617402 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617477), // Rule ID 5731 //
     /*  617407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617475 */     GIR_RootConstrainSelectedInstOperands,
     /*  617476 */     // GIR_Coverage, 5731,
     /*  617476 */     GIR_EraseRootFromParent_Done,
     /*  617477 */   // Label 9957: @617477
     /*  617477 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617552), // Rule ID 5734 //
     /*  617482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617550 */     GIR_RootConstrainSelectedInstOperands,
     /*  617551 */     // GIR_Coverage, 5734,
     /*  617551 */     GIR_EraseRootFromParent_Done,
     /*  617552 */   // Label 9958: @617552
     /*  617552 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617627), // Rule ID 5735 //
     /*  617557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617625 */     GIR_RootConstrainSelectedInstOperands,
     /*  617626 */     // GIR_Coverage, 5735,
     /*  617626 */     GIR_EraseRootFromParent_Done,
     /*  617627 */   // Label 9959: @617627
     /*  617627 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617702), // Rule ID 5738 //
     /*  617632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617700 */     GIR_RootConstrainSelectedInstOperands,
     /*  617701 */     // GIR_Coverage, 5738,
     /*  617701 */     GIR_EraseRootFromParent_Done,
     /*  617702 */   // Label 9960: @617702
     /*  617702 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617777), // Rule ID 5739 //
     /*  617707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617775 */     GIR_RootConstrainSelectedInstOperands,
     /*  617776 */     // GIR_Coverage, 5739,
     /*  617776 */     GIR_EraseRootFromParent_Done,
     /*  617777 */   // Label 9961: @617777
     /*  617777 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617852), // Rule ID 5742 //
     /*  617782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617850 */     GIR_RootConstrainSelectedInstOperands,
     /*  617851 */     // GIR_Coverage, 5742,
     /*  617851 */     GIR_EraseRootFromParent_Done,
     /*  617852 */   // Label 9962: @617852
     /*  617852 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617927), // Rule ID 5743 //
     /*  617857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617925 */     GIR_RootConstrainSelectedInstOperands,
     /*  617926 */     // GIR_Coverage, 5743,
     /*  617926 */     GIR_EraseRootFromParent_Done,
     /*  617927 */   // Label 9963: @617927
     /*  617927 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(618002), // Rule ID 5746 //
     /*  617932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618000 */     GIR_RootConstrainSelectedInstOperands,
     /*  618001 */     // GIR_Coverage, 5746,
     /*  618001 */     GIR_EraseRootFromParent_Done,
     /*  618002 */   // Label 9964: @618002
     /*  618002 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(618077), // Rule ID 5747 //
     /*  618007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618075 */     GIR_RootConstrainSelectedInstOperands,
     /*  618076 */     // GIR_Coverage, 5747,
     /*  618076 */     GIR_EraseRootFromParent_Done,
     /*  618077 */   // Label 9965: @618077
     /*  618077 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(618152), // Rule ID 5750 //
     /*  618082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618150 */     GIR_RootConstrainSelectedInstOperands,
     /*  618151 */     // GIR_Coverage, 5750,
     /*  618151 */     GIR_EraseRootFromParent_Done,
     /*  618152 */   // Label 9966: @618152
     /*  618152 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(618227), // Rule ID 5751 //
     /*  618157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618225 */     GIR_RootConstrainSelectedInstOperands,
     /*  618226 */     // GIR_Coverage, 5751,
     /*  618226 */     GIR_EraseRootFromParent_Done,
     /*  618227 */   // Label 9967: @618227
     /*  618227 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618302), // Rule ID 5754 //
     /*  618232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618300 */     GIR_RootConstrainSelectedInstOperands,
     /*  618301 */     // GIR_Coverage, 5754,
     /*  618301 */     GIR_EraseRootFromParent_Done,
     /*  618302 */   // Label 9968: @618302
     /*  618302 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618377), // Rule ID 5755 //
     /*  618307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618375 */     GIR_RootConstrainSelectedInstOperands,
     /*  618376 */     // GIR_Coverage, 5755,
     /*  618376 */     GIR_EraseRootFromParent_Done,
     /*  618377 */   // Label 9969: @618377
     /*  618377 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618452), // Rule ID 5758 //
     /*  618382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618450 */     GIR_RootConstrainSelectedInstOperands,
     /*  618451 */     // GIR_Coverage, 5758,
     /*  618451 */     GIR_EraseRootFromParent_Done,
     /*  618452 */   // Label 9970: @618452
     /*  618452 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618527), // Rule ID 5759 //
     /*  618457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618525 */     GIR_RootConstrainSelectedInstOperands,
     /*  618526 */     // GIR_Coverage, 5759,
     /*  618526 */     GIR_EraseRootFromParent_Done,
     /*  618527 */   // Label 9971: @618527
     /*  618527 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618602), // Rule ID 5762 //
     /*  618532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618600 */     GIR_RootConstrainSelectedInstOperands,
     /*  618601 */     // GIR_Coverage, 5762,
     /*  618601 */     GIR_EraseRootFromParent_Done,
     /*  618602 */   // Label 9972: @618602
     /*  618602 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618677), // Rule ID 5763 //
     /*  618607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618675 */     GIR_RootConstrainSelectedInstOperands,
     /*  618676 */     // GIR_Coverage, 5763,
     /*  618676 */     GIR_EraseRootFromParent_Done,
     /*  618677 */   // Label 9973: @618677
     /*  618677 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618752), // Rule ID 5766 //
     /*  618682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618750 */     GIR_RootConstrainSelectedInstOperands,
     /*  618751 */     // GIR_Coverage, 5766,
     /*  618751 */     GIR_EraseRootFromParent_Done,
     /*  618752 */   // Label 9974: @618752
     /*  618752 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618827), // Rule ID 5767 //
     /*  618757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618825 */     GIR_RootConstrainSelectedInstOperands,
     /*  618826 */     // GIR_Coverage, 5767,
     /*  618826 */     GIR_EraseRootFromParent_Done,
     /*  618827 */   // Label 9975: @618827
     /*  618827 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618902), // Rule ID 5770 //
     /*  618832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618900 */     GIR_RootConstrainSelectedInstOperands,
     /*  618901 */     // GIR_Coverage, 5770,
     /*  618901 */     GIR_EraseRootFromParent_Done,
     /*  618902 */   // Label 9976: @618902
     /*  618902 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618977), // Rule ID 5771 //
     /*  618907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618975 */     GIR_RootConstrainSelectedInstOperands,
     /*  618976 */     // GIR_Coverage, 5771,
     /*  618976 */     GIR_EraseRootFromParent_Done,
     /*  618977 */   // Label 9977: @618977
     /*  618977 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(619052), // Rule ID 5774 //
     /*  618982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  618993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  618996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  618999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619050 */     GIR_RootConstrainSelectedInstOperands,
     /*  619051 */     // GIR_Coverage, 5774,
     /*  619051 */     GIR_EraseRootFromParent_Done,
     /*  619052 */   // Label 9978: @619052
     /*  619052 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(619127), // Rule ID 5775 //
     /*  619057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619125 */     GIR_RootConstrainSelectedInstOperands,
     /*  619126 */     // GIR_Coverage, 5775,
     /*  619126 */     GIR_EraseRootFromParent_Done,
     /*  619127 */   // Label 9979: @619127
     /*  619127 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(619202), // Rule ID 5778 //
     /*  619132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619200 */     GIR_RootConstrainSelectedInstOperands,
     /*  619201 */     // GIR_Coverage, 5778,
     /*  619201 */     GIR_EraseRootFromParent_Done,
     /*  619202 */   // Label 9980: @619202
     /*  619202 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619277), // Rule ID 5779 //
     /*  619207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619275 */     GIR_RootConstrainSelectedInstOperands,
     /*  619276 */     // GIR_Coverage, 5779,
     /*  619276 */     GIR_EraseRootFromParent_Done,
     /*  619277 */   // Label 9981: @619277
     /*  619277 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619352), // Rule ID 5782 //
     /*  619282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619350 */     GIR_RootConstrainSelectedInstOperands,
     /*  619351 */     // GIR_Coverage, 5782,
     /*  619351 */     GIR_EraseRootFromParent_Done,
     /*  619352 */   // Label 9982: @619352
     /*  619352 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619427), // Rule ID 5783 //
     /*  619357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619425 */     GIR_RootConstrainSelectedInstOperands,
     /*  619426 */     // GIR_Coverage, 5783,
     /*  619426 */     GIR_EraseRootFromParent_Done,
     /*  619427 */   // Label 9983: @619427
     /*  619427 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619502), // Rule ID 5786 //
     /*  619432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619500 */     GIR_RootConstrainSelectedInstOperands,
     /*  619501 */     // GIR_Coverage, 5786,
     /*  619501 */     GIR_EraseRootFromParent_Done,
     /*  619502 */   // Label 9984: @619502
     /*  619502 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619577), // Rule ID 5787 //
     /*  619507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619575 */     GIR_RootConstrainSelectedInstOperands,
     /*  619576 */     // GIR_Coverage, 5787,
     /*  619576 */     GIR_EraseRootFromParent_Done,
     /*  619577 */   // Label 9985: @619577
     /*  619577 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619652), // Rule ID 5790 //
     /*  619582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619650 */     GIR_RootConstrainSelectedInstOperands,
     /*  619651 */     // GIR_Coverage, 5790,
     /*  619651 */     GIR_EraseRootFromParent_Done,
     /*  619652 */   // Label 9986: @619652
     /*  619652 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619727), // Rule ID 5791 //
     /*  619657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619725 */     GIR_RootConstrainSelectedInstOperands,
     /*  619726 */     // GIR_Coverage, 5791,
     /*  619726 */     GIR_EraseRootFromParent_Done,
     /*  619727 */   // Label 9987: @619727
     /*  619727 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619802), // Rule ID 5794 //
     /*  619732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619800 */     GIR_RootConstrainSelectedInstOperands,
     /*  619801 */     // GIR_Coverage, 5794,
     /*  619801 */     GIR_EraseRootFromParent_Done,
     /*  619802 */   // Label 9988: @619802
     /*  619802 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619877), // Rule ID 5795 //
     /*  619807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619875 */     GIR_RootConstrainSelectedInstOperands,
     /*  619876 */     // GIR_Coverage, 5795,
     /*  619876 */     GIR_EraseRootFromParent_Done,
     /*  619877 */   // Label 9989: @619877
     /*  619877 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619952), // Rule ID 5798 //
     /*  619882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619950 */     GIR_RootConstrainSelectedInstOperands,
     /*  619951 */     // GIR_Coverage, 5798,
     /*  619951 */     GIR_EraseRootFromParent_Done,
     /*  619952 */   // Label 9990: @619952
     /*  619952 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(620027), // Rule ID 5799 //
     /*  619957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620025 */     GIR_RootConstrainSelectedInstOperands,
     /*  620026 */     // GIR_Coverage, 5799,
     /*  620026 */     GIR_EraseRootFromParent_Done,
     /*  620027 */   // Label 9991: @620027
     /*  620027 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(620102), // Rule ID 5802 //
     /*  620032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620100 */     GIR_RootConstrainSelectedInstOperands,
     /*  620101 */     // GIR_Coverage, 5802,
     /*  620101 */     GIR_EraseRootFromParent_Done,
     /*  620102 */   // Label 9992: @620102
     /*  620102 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(620177), // Rule ID 5803 //
     /*  620107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620175 */     GIR_RootConstrainSelectedInstOperands,
     /*  620176 */     // GIR_Coverage, 5803,
     /*  620176 */     GIR_EraseRootFromParent_Done,
     /*  620177 */   // Label 9993: @620177
     /*  620177 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(620252), // Rule ID 5806 //
     /*  620182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620250 */     GIR_RootConstrainSelectedInstOperands,
     /*  620251 */     // GIR_Coverage, 5806,
     /*  620251 */     GIR_EraseRootFromParent_Done,
     /*  620252 */   // Label 9994: @620252
     /*  620252 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620327), // Rule ID 5807 //
     /*  620257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620325 */     GIR_RootConstrainSelectedInstOperands,
     /*  620326 */     // GIR_Coverage, 5807,
     /*  620326 */     GIR_EraseRootFromParent_Done,
     /*  620327 */   // Label 9995: @620327
     /*  620327 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620402), // Rule ID 5810 //
     /*  620332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620400 */     GIR_RootConstrainSelectedInstOperands,
     /*  620401 */     // GIR_Coverage, 5810,
     /*  620401 */     GIR_EraseRootFromParent_Done,
     /*  620402 */   // Label 9996: @620402
     /*  620402 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620477), // Rule ID 5811 //
     /*  620407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620475 */     GIR_RootConstrainSelectedInstOperands,
     /*  620476 */     // GIR_Coverage, 5811,
     /*  620476 */     GIR_EraseRootFromParent_Done,
     /*  620477 */   // Label 9997: @620477
     /*  620477 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620552), // Rule ID 5814 //
     /*  620482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620550 */     GIR_RootConstrainSelectedInstOperands,
     /*  620551 */     // GIR_Coverage, 5814,
     /*  620551 */     GIR_EraseRootFromParent_Done,
     /*  620552 */   // Label 9998: @620552
     /*  620552 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620627), // Rule ID 5815 //
     /*  620557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620625 */     GIR_RootConstrainSelectedInstOperands,
     /*  620626 */     // GIR_Coverage, 5815,
     /*  620626 */     GIR_EraseRootFromParent_Done,
     /*  620627 */   // Label 9999: @620627
     /*  620627 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620702), // Rule ID 5818 //
     /*  620632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620700 */     GIR_RootConstrainSelectedInstOperands,
     /*  620701 */     // GIR_Coverage, 5818,
     /*  620701 */     GIR_EraseRootFromParent_Done,
     /*  620702 */   // Label 10000: @620702
     /*  620702 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620777), // Rule ID 5819 //
     /*  620707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620775 */     GIR_RootConstrainSelectedInstOperands,
     /*  620776 */     // GIR_Coverage, 5819,
     /*  620776 */     GIR_EraseRootFromParent_Done,
     /*  620777 */   // Label 10001: @620777
     /*  620777 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620852), // Rule ID 5822 //
     /*  620782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620850 */     GIR_RootConstrainSelectedInstOperands,
     /*  620851 */     // GIR_Coverage, 5822,
     /*  620851 */     GIR_EraseRootFromParent_Done,
     /*  620852 */   // Label 10002: @620852
     /*  620852 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620927), // Rule ID 5823 //
     /*  620857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620925 */     GIR_RootConstrainSelectedInstOperands,
     /*  620926 */     // GIR_Coverage, 5823,
     /*  620926 */     GIR_EraseRootFromParent_Done,
     /*  620927 */   // Label 10003: @620927
     /*  620927 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(621002), // Rule ID 5826 //
     /*  620932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621000 */     GIR_RootConstrainSelectedInstOperands,
     /*  621001 */     // GIR_Coverage, 5826,
     /*  621001 */     GIR_EraseRootFromParent_Done,
     /*  621002 */   // Label 10004: @621002
     /*  621002 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(621077), // Rule ID 5827 //
     /*  621007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621075 */     GIR_RootConstrainSelectedInstOperands,
     /*  621076 */     // GIR_Coverage, 5827,
     /*  621076 */     GIR_EraseRootFromParent_Done,
     /*  621077 */   // Label 10005: @621077
     /*  621077 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(621152), // Rule ID 5918 //
     /*  621082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621150 */     GIR_RootConstrainSelectedInstOperands,
     /*  621151 */     // GIR_Coverage, 5918,
     /*  621151 */     GIR_EraseRootFromParent_Done,
     /*  621152 */   // Label 10006: @621152
     /*  621152 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(621227), // Rule ID 5919 //
     /*  621157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621225 */     GIR_RootConstrainSelectedInstOperands,
     /*  621226 */     // GIR_Coverage, 5919,
     /*  621226 */     GIR_EraseRootFromParent_Done,
     /*  621227 */   // Label 10007: @621227
     /*  621227 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621302), // Rule ID 5922 //
     /*  621232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621300 */     GIR_RootConstrainSelectedInstOperands,
     /*  621301 */     // GIR_Coverage, 5922,
     /*  621301 */     GIR_EraseRootFromParent_Done,
     /*  621302 */   // Label 10008: @621302
     /*  621302 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621377), // Rule ID 5923 //
     /*  621307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621375 */     GIR_RootConstrainSelectedInstOperands,
     /*  621376 */     // GIR_Coverage, 5923,
     /*  621376 */     GIR_EraseRootFromParent_Done,
     /*  621377 */   // Label 10009: @621377
     /*  621377 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621452), // Rule ID 5926 //
     /*  621382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621450 */     GIR_RootConstrainSelectedInstOperands,
     /*  621451 */     // GIR_Coverage, 5926,
     /*  621451 */     GIR_EraseRootFromParent_Done,
     /*  621452 */   // Label 10010: @621452
     /*  621452 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621527), // Rule ID 5927 //
     /*  621457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621525 */     GIR_RootConstrainSelectedInstOperands,
     /*  621526 */     // GIR_Coverage, 5927,
     /*  621526 */     GIR_EraseRootFromParent_Done,
     /*  621527 */   // Label 10011: @621527
     /*  621527 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621602), // Rule ID 5930 //
     /*  621532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621600 */     GIR_RootConstrainSelectedInstOperands,
     /*  621601 */     // GIR_Coverage, 5930,
     /*  621601 */     GIR_EraseRootFromParent_Done,
     /*  621602 */   // Label 10012: @621602
     /*  621602 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621677), // Rule ID 5931 //
     /*  621607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621675 */     GIR_RootConstrainSelectedInstOperands,
     /*  621676 */     // GIR_Coverage, 5931,
     /*  621676 */     GIR_EraseRootFromParent_Done,
     /*  621677 */   // Label 10013: @621677
     /*  621677 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621752), // Rule ID 5934 //
     /*  621682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621750 */     GIR_RootConstrainSelectedInstOperands,
     /*  621751 */     // GIR_Coverage, 5934,
     /*  621751 */     GIR_EraseRootFromParent_Done,
     /*  621752 */   // Label 10014: @621752
     /*  621752 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621827), // Rule ID 5935 //
     /*  621757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621825 */     GIR_RootConstrainSelectedInstOperands,
     /*  621826 */     // GIR_Coverage, 5935,
     /*  621826 */     GIR_EraseRootFromParent_Done,
     /*  621827 */   // Label 10015: @621827
     /*  621827 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621902), // Rule ID 5938 //
     /*  621832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621900 */     GIR_RootConstrainSelectedInstOperands,
     /*  621901 */     // GIR_Coverage, 5938,
     /*  621901 */     GIR_EraseRootFromParent_Done,
     /*  621902 */   // Label 10016: @621902
     /*  621902 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621977), // Rule ID 5939 //
     /*  621907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621975 */     GIR_RootConstrainSelectedInstOperands,
     /*  621976 */     // GIR_Coverage, 5939,
     /*  621976 */     GIR_EraseRootFromParent_Done,
     /*  621977 */   // Label 10017: @621977
     /*  621977 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(622052), // Rule ID 5942 //
     /*  621982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622050 */     GIR_RootConstrainSelectedInstOperands,
     /*  622051 */     // GIR_Coverage, 5942,
     /*  622051 */     GIR_EraseRootFromParent_Done,
     /*  622052 */   // Label 10018: @622052
     /*  622052 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(622127), // Rule ID 5943 //
     /*  622057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622125 */     GIR_RootConstrainSelectedInstOperands,
     /*  622126 */     // GIR_Coverage, 5943,
     /*  622126 */     GIR_EraseRootFromParent_Done,
     /*  622127 */   // Label 10019: @622127
     /*  622127 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(622202), // Rule ID 5946 //
     /*  622132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622200 */     GIR_RootConstrainSelectedInstOperands,
     /*  622201 */     // GIR_Coverage, 5946,
     /*  622201 */     GIR_EraseRootFromParent_Done,
     /*  622202 */   // Label 10020: @622202
     /*  622202 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622277), // Rule ID 5947 //
     /*  622207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622275 */     GIR_RootConstrainSelectedInstOperands,
     /*  622276 */     // GIR_Coverage, 5947,
     /*  622276 */     GIR_EraseRootFromParent_Done,
     /*  622277 */   // Label 10021: @622277
     /*  622277 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622352), // Rule ID 5950 //
     /*  622282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622350 */     GIR_RootConstrainSelectedInstOperands,
     /*  622351 */     // GIR_Coverage, 5950,
     /*  622351 */     GIR_EraseRootFromParent_Done,
     /*  622352 */   // Label 10022: @622352
     /*  622352 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622427), // Rule ID 5951 //
     /*  622357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622425 */     GIR_RootConstrainSelectedInstOperands,
     /*  622426 */     // GIR_Coverage, 5951,
     /*  622426 */     GIR_EraseRootFromParent_Done,
     /*  622427 */   // Label 10023: @622427
     /*  622427 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622502), // Rule ID 5954 //
     /*  622432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622500 */     GIR_RootConstrainSelectedInstOperands,
     /*  622501 */     // GIR_Coverage, 5954,
     /*  622501 */     GIR_EraseRootFromParent_Done,
     /*  622502 */   // Label 10024: @622502
     /*  622502 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622577), // Rule ID 5955 //
     /*  622507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622575 */     GIR_RootConstrainSelectedInstOperands,
     /*  622576 */     // GIR_Coverage, 5955,
     /*  622576 */     GIR_EraseRootFromParent_Done,
     /*  622577 */   // Label 10025: @622577
     /*  622577 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622652), // Rule ID 5958 //
     /*  622582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622650 */     GIR_RootConstrainSelectedInstOperands,
     /*  622651 */     // GIR_Coverage, 5958,
     /*  622651 */     GIR_EraseRootFromParent_Done,
     /*  622652 */   // Label 10026: @622652
     /*  622652 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622727), // Rule ID 5959 //
     /*  622657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622725 */     GIR_RootConstrainSelectedInstOperands,
     /*  622726 */     // GIR_Coverage, 5959,
     /*  622726 */     GIR_EraseRootFromParent_Done,
     /*  622727 */   // Label 10027: @622727
     /*  622727 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622802), // Rule ID 5962 //
     /*  622732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622800 */     GIR_RootConstrainSelectedInstOperands,
     /*  622801 */     // GIR_Coverage, 5962,
     /*  622801 */     GIR_EraseRootFromParent_Done,
     /*  622802 */   // Label 10028: @622802
     /*  622802 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622877), // Rule ID 5963 //
     /*  622807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622875 */     GIR_RootConstrainSelectedInstOperands,
     /*  622876 */     // GIR_Coverage, 5963,
     /*  622876 */     GIR_EraseRootFromParent_Done,
     /*  622877 */   // Label 10029: @622877
     /*  622877 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622952), // Rule ID 5966 //
     /*  622882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622950 */     GIR_RootConstrainSelectedInstOperands,
     /*  622951 */     // GIR_Coverage, 5966,
     /*  622951 */     GIR_EraseRootFromParent_Done,
     /*  622952 */   // Label 10030: @622952
     /*  622952 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(623027), // Rule ID 5967 //
     /*  622957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623025 */     GIR_RootConstrainSelectedInstOperands,
     /*  623026 */     // GIR_Coverage, 5967,
     /*  623026 */     GIR_EraseRootFromParent_Done,
     /*  623027 */   // Label 10031: @623027
     /*  623027 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(623102), // Rule ID 5970 //
     /*  623032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623100 */     GIR_RootConstrainSelectedInstOperands,
     /*  623101 */     // GIR_Coverage, 5970,
     /*  623101 */     GIR_EraseRootFromParent_Done,
     /*  623102 */   // Label 10032: @623102
     /*  623102 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(623177), // Rule ID 5971 //
     /*  623107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623175 */     GIR_RootConstrainSelectedInstOperands,
     /*  623176 */     // GIR_Coverage, 5971,
     /*  623176 */     GIR_EraseRootFromParent_Done,
     /*  623177 */   // Label 10033: @623177
     /*  623177 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(623252), // Rule ID 5974 //
     /*  623182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623250 */     GIR_RootConstrainSelectedInstOperands,
     /*  623251 */     // GIR_Coverage, 5974,
     /*  623251 */     GIR_EraseRootFromParent_Done,
     /*  623252 */   // Label 10034: @623252
     /*  623252 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623327), // Rule ID 5975 //
     /*  623257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623325 */     GIR_RootConstrainSelectedInstOperands,
     /*  623326 */     // GIR_Coverage, 5975,
     /*  623326 */     GIR_EraseRootFromParent_Done,
     /*  623327 */   // Label 10035: @623327
     /*  623327 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623402), // Rule ID 5978 //
     /*  623332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623400 */     GIR_RootConstrainSelectedInstOperands,
     /*  623401 */     // GIR_Coverage, 5978,
     /*  623401 */     GIR_EraseRootFromParent_Done,
     /*  623402 */   // Label 10036: @623402
     /*  623402 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623477), // Rule ID 5979 //
     /*  623407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623475 */     GIR_RootConstrainSelectedInstOperands,
     /*  623476 */     // GIR_Coverage, 5979,
     /*  623476 */     GIR_EraseRootFromParent_Done,
     /*  623477 */   // Label 10037: @623477
     /*  623477 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623552), // Rule ID 5982 //
     /*  623482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623550 */     GIR_RootConstrainSelectedInstOperands,
     /*  623551 */     // GIR_Coverage, 5982,
     /*  623551 */     GIR_EraseRootFromParent_Done,
     /*  623552 */   // Label 10038: @623552
     /*  623552 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623627), // Rule ID 5983 //
     /*  623557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623625 */     GIR_RootConstrainSelectedInstOperands,
     /*  623626 */     // GIR_Coverage, 5983,
     /*  623626 */     GIR_EraseRootFromParent_Done,
     /*  623627 */   // Label 10039: @623627
     /*  623627 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623702), // Rule ID 5986 //
     /*  623632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623700 */     GIR_RootConstrainSelectedInstOperands,
     /*  623701 */     // GIR_Coverage, 5986,
     /*  623701 */     GIR_EraseRootFromParent_Done,
     /*  623702 */   // Label 10040: @623702
     /*  623702 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623777), // Rule ID 5987 //
     /*  623707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623775 */     GIR_RootConstrainSelectedInstOperands,
     /*  623776 */     // GIR_Coverage, 5987,
     /*  623776 */     GIR_EraseRootFromParent_Done,
     /*  623777 */   // Label 10041: @623777
     /*  623777 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623852), // Rule ID 5990 //
     /*  623782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623850 */     GIR_RootConstrainSelectedInstOperands,
     /*  623851 */     // GIR_Coverage, 5990,
     /*  623851 */     GIR_EraseRootFromParent_Done,
     /*  623852 */   // Label 10042: @623852
     /*  623852 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623927), // Rule ID 5991 //
     /*  623857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623925 */     GIR_RootConstrainSelectedInstOperands,
     /*  623926 */     // GIR_Coverage, 5991,
     /*  623926 */     GIR_EraseRootFromParent_Done,
     /*  623927 */   // Label 10043: @623927
     /*  623927 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(624002), // Rule ID 5994 //
     /*  623932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624000 */     GIR_RootConstrainSelectedInstOperands,
     /*  624001 */     // GIR_Coverage, 5994,
     /*  624001 */     GIR_EraseRootFromParent_Done,
     /*  624002 */   // Label 10044: @624002
     /*  624002 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(624077), // Rule ID 5995 //
     /*  624007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624075 */     GIR_RootConstrainSelectedInstOperands,
     /*  624076 */     // GIR_Coverage, 5995,
     /*  624076 */     GIR_EraseRootFromParent_Done,
     /*  624077 */   // Label 10045: @624077
     /*  624077 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(624152), // Rule ID 5998 //
     /*  624082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624150 */     GIR_RootConstrainSelectedInstOperands,
     /*  624151 */     // GIR_Coverage, 5998,
     /*  624151 */     GIR_EraseRootFromParent_Done,
     /*  624152 */   // Label 10046: @624152
     /*  624152 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(624227), // Rule ID 5999 //
     /*  624157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624225 */     GIR_RootConstrainSelectedInstOperands,
     /*  624226 */     // GIR_Coverage, 5999,
     /*  624226 */     GIR_EraseRootFromParent_Done,
     /*  624227 */   // Label 10047: @624227
     /*  624227 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624302), // Rule ID 6002 //
     /*  624232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624300 */     GIR_RootConstrainSelectedInstOperands,
     /*  624301 */     // GIR_Coverage, 6002,
     /*  624301 */     GIR_EraseRootFromParent_Done,
     /*  624302 */   // Label 10048: @624302
     /*  624302 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624377), // Rule ID 6003 //
     /*  624307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624375 */     GIR_RootConstrainSelectedInstOperands,
     /*  624376 */     // GIR_Coverage, 6003,
     /*  624376 */     GIR_EraseRootFromParent_Done,
     /*  624377 */   // Label 10049: @624377
     /*  624377 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624452), // Rule ID 6006 //
     /*  624382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624450 */     GIR_RootConstrainSelectedInstOperands,
     /*  624451 */     // GIR_Coverage, 6006,
     /*  624451 */     GIR_EraseRootFromParent_Done,
     /*  624452 */   // Label 10050: @624452
     /*  624452 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624527), // Rule ID 6007 //
     /*  624457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624525 */     GIR_RootConstrainSelectedInstOperands,
     /*  624526 */     // GIR_Coverage, 6007,
     /*  624526 */     GIR_EraseRootFromParent_Done,
     /*  624527 */   // Label 10051: @624527
     /*  624527 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624602), // Rule ID 6010 //
     /*  624532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624578 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624600 */     GIR_RootConstrainSelectedInstOperands,
     /*  624601 */     // GIR_Coverage, 6010,
     /*  624601 */     GIR_EraseRootFromParent_Done,
     /*  624602 */   // Label 10052: @624602
     /*  624602 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624677), // Rule ID 6011 //
     /*  624607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624675 */     GIR_RootConstrainSelectedInstOperands,
     /*  624676 */     // GIR_Coverage, 6011,
     /*  624676 */     GIR_EraseRootFromParent_Done,
     /*  624677 */   // Label 10053: @624677
     /*  624677 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624752), // Rule ID 6014 //
     /*  624682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624750 */     GIR_RootConstrainSelectedInstOperands,
     /*  624751 */     // GIR_Coverage, 6014,
     /*  624751 */     GIR_EraseRootFromParent_Done,
     /*  624752 */   // Label 10054: @624752
     /*  624752 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624827), // Rule ID 6015 //
     /*  624757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624825 */     GIR_RootConstrainSelectedInstOperands,
     /*  624826 */     // GIR_Coverage, 6015,
     /*  624826 */     GIR_EraseRootFromParent_Done,
     /*  624827 */   // Label 10055: @624827
     /*  624827 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624902), // Rule ID 6018 //
     /*  624832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624900 */     GIR_RootConstrainSelectedInstOperands,
     /*  624901 */     // GIR_Coverage, 6018,
     /*  624901 */     GIR_EraseRootFromParent_Done,
     /*  624902 */   // Label 10056: @624902
     /*  624902 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624977), // Rule ID 6019 //
     /*  624907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624975 */     GIR_RootConstrainSelectedInstOperands,
     /*  624976 */     // GIR_Coverage, 6019,
     /*  624976 */     GIR_EraseRootFromParent_Done,
     /*  624977 */   // Label 10057: @624977
     /*  624977 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(625052), // Rule ID 6022 //
     /*  624982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  624993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  624996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  624999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625050 */     GIR_RootConstrainSelectedInstOperands,
     /*  625051 */     // GIR_Coverage, 6022,
     /*  625051 */     GIR_EraseRootFromParent_Done,
     /*  625052 */   // Label 10058: @625052
     /*  625052 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(625127), // Rule ID 6023 //
     /*  625057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625125 */     GIR_RootConstrainSelectedInstOperands,
     /*  625126 */     // GIR_Coverage, 6023,
     /*  625126 */     GIR_EraseRootFromParent_Done,
     /*  625127 */   // Label 10059: @625127
     /*  625127 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(625202), // Rule ID 6026 //
     /*  625132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625200 */     GIR_RootConstrainSelectedInstOperands,
     /*  625201 */     // GIR_Coverage, 6026,
     /*  625201 */     GIR_EraseRootFromParent_Done,
     /*  625202 */   // Label 10060: @625202
     /*  625202 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625277), // Rule ID 6027 //
     /*  625207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625275 */     GIR_RootConstrainSelectedInstOperands,
     /*  625276 */     // GIR_Coverage, 6027,
     /*  625276 */     GIR_EraseRootFromParent_Done,
     /*  625277 */   // Label 10061: @625277
     /*  625277 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625352), // Rule ID 6030 //
     /*  625282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625350 */     GIR_RootConstrainSelectedInstOperands,
     /*  625351 */     // GIR_Coverage, 6030,
     /*  625351 */     GIR_EraseRootFromParent_Done,
     /*  625352 */   // Label 10062: @625352
     /*  625352 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625427), // Rule ID 6031 //
     /*  625357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625425 */     GIR_RootConstrainSelectedInstOperands,
     /*  625426 */     // GIR_Coverage, 6031,
     /*  625426 */     GIR_EraseRootFromParent_Done,
     /*  625427 */   // Label 10063: @625427
     /*  625427 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625502), // Rule ID 6034 //
     /*  625432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625500 */     GIR_RootConstrainSelectedInstOperands,
     /*  625501 */     // GIR_Coverage, 6034,
     /*  625501 */     GIR_EraseRootFromParent_Done,
     /*  625502 */   // Label 10064: @625502
     /*  625502 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625577), // Rule ID 6035 //
     /*  625507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625575 */     GIR_RootConstrainSelectedInstOperands,
     /*  625576 */     // GIR_Coverage, 6035,
     /*  625576 */     GIR_EraseRootFromParent_Done,
     /*  625577 */   // Label 10065: @625577
     /*  625577 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625652), // Rule ID 6038 //
     /*  625582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625650 */     GIR_RootConstrainSelectedInstOperands,
     /*  625651 */     // GIR_Coverage, 6038,
     /*  625651 */     GIR_EraseRootFromParent_Done,
     /*  625652 */   // Label 10066: @625652
     /*  625652 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625727), // Rule ID 6039 //
     /*  625657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625725 */     GIR_RootConstrainSelectedInstOperands,
     /*  625726 */     // GIR_Coverage, 6039,
     /*  625726 */     GIR_EraseRootFromParent_Done,
     /*  625727 */   // Label 10067: @625727
     /*  625727 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625802), // Rule ID 6042 //
     /*  625732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625800 */     GIR_RootConstrainSelectedInstOperands,
     /*  625801 */     // GIR_Coverage, 6042,
     /*  625801 */     GIR_EraseRootFromParent_Done,
     /*  625802 */   // Label 10068: @625802
     /*  625802 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625877), // Rule ID 6043 //
     /*  625807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625875 */     GIR_RootConstrainSelectedInstOperands,
     /*  625876 */     // GIR_Coverage, 6043,
     /*  625876 */     GIR_EraseRootFromParent_Done,
     /*  625877 */   // Label 10069: @625877
     /*  625877 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625952), // Rule ID 6046 //
     /*  625882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625950 */     GIR_RootConstrainSelectedInstOperands,
     /*  625951 */     // GIR_Coverage, 6046,
     /*  625951 */     GIR_EraseRootFromParent_Done,
     /*  625952 */   // Label 10070: @625952
     /*  625952 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(626027), // Rule ID 6047 //
     /*  625957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626025 */     GIR_RootConstrainSelectedInstOperands,
     /*  626026 */     // GIR_Coverage, 6047,
     /*  626026 */     GIR_EraseRootFromParent_Done,
     /*  626027 */   // Label 10071: @626027
     /*  626027 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(626102), // Rule ID 6050 //
     /*  626032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626100 */     GIR_RootConstrainSelectedInstOperands,
     /*  626101 */     // GIR_Coverage, 6050,
     /*  626101 */     GIR_EraseRootFromParent_Done,
     /*  626102 */   // Label 10072: @626102
     /*  626102 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(626177), // Rule ID 6051 //
     /*  626107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626175 */     GIR_RootConstrainSelectedInstOperands,
     /*  626176 */     // GIR_Coverage, 6051,
     /*  626176 */     GIR_EraseRootFromParent_Done,
     /*  626177 */   // Label 10073: @626177
     /*  626177 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(626252), // Rule ID 6054 //
     /*  626182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626250 */     GIR_RootConstrainSelectedInstOperands,
     /*  626251 */     // GIR_Coverage, 6054,
     /*  626251 */     GIR_EraseRootFromParent_Done,
     /*  626252 */   // Label 10074: @626252
     /*  626252 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626327), // Rule ID 6055 //
     /*  626257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626325 */     GIR_RootConstrainSelectedInstOperands,
     /*  626326 */     // GIR_Coverage, 6055,
     /*  626326 */     GIR_EraseRootFromParent_Done,
     /*  626327 */   // Label 10075: @626327
     /*  626327 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626402), // Rule ID 6058 //
     /*  626332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626400 */     GIR_RootConstrainSelectedInstOperands,
     /*  626401 */     // GIR_Coverage, 6058,
     /*  626401 */     GIR_EraseRootFromParent_Done,
     /*  626402 */   // Label 10076: @626402
     /*  626402 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626477), // Rule ID 6059 //
     /*  626407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626475 */     GIR_RootConstrainSelectedInstOperands,
     /*  626476 */     // GIR_Coverage, 6059,
     /*  626476 */     GIR_EraseRootFromParent_Done,
     /*  626477 */   // Label 10077: @626477
     /*  626477 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626552), // Rule ID 6062 //
     /*  626482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626550 */     GIR_RootConstrainSelectedInstOperands,
     /*  626551 */     // GIR_Coverage, 6062,
     /*  626551 */     GIR_EraseRootFromParent_Done,
     /*  626552 */   // Label 10078: @626552
     /*  626552 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626627), // Rule ID 6063 //
     /*  626557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626625 */     GIR_RootConstrainSelectedInstOperands,
     /*  626626 */     // GIR_Coverage, 6063,
     /*  626626 */     GIR_EraseRootFromParent_Done,
     /*  626627 */   // Label 10079: @626627
     /*  626627 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626702), // Rule ID 6066 //
     /*  626632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626700 */     GIR_RootConstrainSelectedInstOperands,
     /*  626701 */     // GIR_Coverage, 6066,
     /*  626701 */     GIR_EraseRootFromParent_Done,
     /*  626702 */   // Label 10080: @626702
     /*  626702 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626777), // Rule ID 6067 //
     /*  626707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626775 */     GIR_RootConstrainSelectedInstOperands,
     /*  626776 */     // GIR_Coverage, 6067,
     /*  626776 */     GIR_EraseRootFromParent_Done,
     /*  626777 */   // Label 10081: @626777
     /*  626777 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626852), // Rule ID 6070 //
     /*  626782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626850 */     GIR_RootConstrainSelectedInstOperands,
     /*  626851 */     // GIR_Coverage, 6070,
     /*  626851 */     GIR_EraseRootFromParent_Done,
     /*  626852 */   // Label 10082: @626852
     /*  626852 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626927), // Rule ID 6071 //
     /*  626857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626925 */     GIR_RootConstrainSelectedInstOperands,
     /*  626926 */     // GIR_Coverage, 6071,
     /*  626926 */     GIR_EraseRootFromParent_Done,
     /*  626927 */   // Label 10083: @626927
     /*  626927 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(627002), // Rule ID 6074 //
     /*  626932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627000 */     GIR_RootConstrainSelectedInstOperands,
     /*  627001 */     // GIR_Coverage, 6074,
     /*  627001 */     GIR_EraseRootFromParent_Done,
     /*  627002 */   // Label 10084: @627002
     /*  627002 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(627077), // Rule ID 6075 //
     /*  627007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627075 */     GIR_RootConstrainSelectedInstOperands,
     /*  627076 */     // GIR_Coverage, 6075,
     /*  627076 */     GIR_EraseRootFromParent_Done,
     /*  627077 */   // Label 10085: @627077
     /*  627077 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(627152), // Rule ID 6078 //
     /*  627082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627150 */     GIR_RootConstrainSelectedInstOperands,
     /*  627151 */     // GIR_Coverage, 6078,
     /*  627151 */     GIR_EraseRootFromParent_Done,
     /*  627152 */   // Label 10086: @627152
     /*  627152 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(627227), // Rule ID 6079 //
     /*  627157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627225 */     GIR_RootConstrainSelectedInstOperands,
     /*  627226 */     // GIR_Coverage, 6079,
     /*  627226 */     GIR_EraseRootFromParent_Done,
     /*  627227 */   // Label 10087: @627227
     /*  627227 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627302), // Rule ID 6082 //
     /*  627232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627300 */     GIR_RootConstrainSelectedInstOperands,
     /*  627301 */     // GIR_Coverage, 6082,
     /*  627301 */     GIR_EraseRootFromParent_Done,
     /*  627302 */   // Label 10088: @627302
     /*  627302 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627377), // Rule ID 6083 //
     /*  627307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627375 */     GIR_RootConstrainSelectedInstOperands,
     /*  627376 */     // GIR_Coverage, 6083,
     /*  627376 */     GIR_EraseRootFromParent_Done,
     /*  627377 */   // Label 10089: @627377
     /*  627377 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627452), // Rule ID 6086 //
     /*  627382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627450 */     GIR_RootConstrainSelectedInstOperands,
     /*  627451 */     // GIR_Coverage, 6086,
     /*  627451 */     GIR_EraseRootFromParent_Done,
     /*  627452 */   // Label 10090: @627452
     /*  627452 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627527), // Rule ID 6087 //
     /*  627457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627525 */     GIR_RootConstrainSelectedInstOperands,
     /*  627526 */     // GIR_Coverage, 6087,
     /*  627526 */     GIR_EraseRootFromParent_Done,
     /*  627527 */   // Label 10091: @627527
     /*  627527 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627602), // Rule ID 6090 //
     /*  627532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627600 */     GIR_RootConstrainSelectedInstOperands,
     /*  627601 */     // GIR_Coverage, 6090,
     /*  627601 */     GIR_EraseRootFromParent_Done,
     /*  627602 */   // Label 10092: @627602
     /*  627602 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627677), // Rule ID 6091 //
     /*  627607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627675 */     GIR_RootConstrainSelectedInstOperands,
     /*  627676 */     // GIR_Coverage, 6091,
     /*  627676 */     GIR_EraseRootFromParent_Done,
     /*  627677 */   // Label 10093: @627677
     /*  627677 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627752), // Rule ID 6182 //
     /*  627682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627750 */     GIR_RootConstrainSelectedInstOperands,
     /*  627751 */     // GIR_Coverage, 6182,
     /*  627751 */     GIR_EraseRootFromParent_Done,
     /*  627752 */   // Label 10094: @627752
     /*  627752 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627827), // Rule ID 6183 //
     /*  627757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627825 */     GIR_RootConstrainSelectedInstOperands,
     /*  627826 */     // GIR_Coverage, 6183,
     /*  627826 */     GIR_EraseRootFromParent_Done,
     /*  627827 */   // Label 10095: @627827
     /*  627827 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627902), // Rule ID 6186 //
     /*  627832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627900 */     GIR_RootConstrainSelectedInstOperands,
     /*  627901 */     // GIR_Coverage, 6186,
     /*  627901 */     GIR_EraseRootFromParent_Done,
     /*  627902 */   // Label 10096: @627902
     /*  627902 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627977), // Rule ID 6187 //
     /*  627907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627975 */     GIR_RootConstrainSelectedInstOperands,
     /*  627976 */     // GIR_Coverage, 6187,
     /*  627976 */     GIR_EraseRootFromParent_Done,
     /*  627977 */   // Label 10097: @627977
     /*  627977 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(628052), // Rule ID 6190 //
     /*  627982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628050 */     GIR_RootConstrainSelectedInstOperands,
     /*  628051 */     // GIR_Coverage, 6190,
     /*  628051 */     GIR_EraseRootFromParent_Done,
     /*  628052 */   // Label 10098: @628052
     /*  628052 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(628127), // Rule ID 6191 //
     /*  628057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628125 */     GIR_RootConstrainSelectedInstOperands,
     /*  628126 */     // GIR_Coverage, 6191,
     /*  628126 */     GIR_EraseRootFromParent_Done,
     /*  628127 */   // Label 10099: @628127
     /*  628127 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(628202), // Rule ID 6194 //
     /*  628132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628200 */     GIR_RootConstrainSelectedInstOperands,
     /*  628201 */     // GIR_Coverage, 6194,
     /*  628201 */     GIR_EraseRootFromParent_Done,
     /*  628202 */   // Label 10100: @628202
     /*  628202 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628277), // Rule ID 6195 //
     /*  628207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628275 */     GIR_RootConstrainSelectedInstOperands,
     /*  628276 */     // GIR_Coverage, 6195,
     /*  628276 */     GIR_EraseRootFromParent_Done,
     /*  628277 */   // Label 10101: @628277
     /*  628277 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628352), // Rule ID 6198 //
     /*  628282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628350 */     GIR_RootConstrainSelectedInstOperands,
     /*  628351 */     // GIR_Coverage, 6198,
     /*  628351 */     GIR_EraseRootFromParent_Done,
     /*  628352 */   // Label 10102: @628352
     /*  628352 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628427), // Rule ID 6199 //
     /*  628357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628425 */     GIR_RootConstrainSelectedInstOperands,
     /*  628426 */     // GIR_Coverage, 6199,
     /*  628426 */     GIR_EraseRootFromParent_Done,
     /*  628427 */   // Label 10103: @628427
     /*  628427 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628502), // Rule ID 6202 //
     /*  628432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628500 */     GIR_RootConstrainSelectedInstOperands,
     /*  628501 */     // GIR_Coverage, 6202,
     /*  628501 */     GIR_EraseRootFromParent_Done,
     /*  628502 */   // Label 10104: @628502
     /*  628502 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628577), // Rule ID 6203 //
     /*  628507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628575 */     GIR_RootConstrainSelectedInstOperands,
     /*  628576 */     // GIR_Coverage, 6203,
     /*  628576 */     GIR_EraseRootFromParent_Done,
     /*  628577 */   // Label 10105: @628577
     /*  628577 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628652), // Rule ID 6206 //
     /*  628582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628650 */     GIR_RootConstrainSelectedInstOperands,
     /*  628651 */     // GIR_Coverage, 6206,
     /*  628651 */     GIR_EraseRootFromParent_Done,
     /*  628652 */   // Label 10106: @628652
     /*  628652 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628727), // Rule ID 6207 //
     /*  628657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628725 */     GIR_RootConstrainSelectedInstOperands,
     /*  628726 */     // GIR_Coverage, 6207,
     /*  628726 */     GIR_EraseRootFromParent_Done,
     /*  628727 */   // Label 10107: @628727
     /*  628727 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628802), // Rule ID 6210 //
     /*  628732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628800 */     GIR_RootConstrainSelectedInstOperands,
     /*  628801 */     // GIR_Coverage, 6210,
     /*  628801 */     GIR_EraseRootFromParent_Done,
     /*  628802 */   // Label 10108: @628802
     /*  628802 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628877), // Rule ID 6211 //
     /*  628807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628875 */     GIR_RootConstrainSelectedInstOperands,
     /*  628876 */     // GIR_Coverage, 6211,
     /*  628876 */     GIR_EraseRootFromParent_Done,
     /*  628877 */   // Label 10109: @628877
     /*  628877 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628952), // Rule ID 6214 //
     /*  628882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628950 */     GIR_RootConstrainSelectedInstOperands,
     /*  628951 */     // GIR_Coverage, 6214,
     /*  628951 */     GIR_EraseRootFromParent_Done,
     /*  628952 */   // Label 10110: @628952
     /*  628952 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(629027), // Rule ID 6215 //
     /*  628957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629025 */     GIR_RootConstrainSelectedInstOperands,
     /*  629026 */     // GIR_Coverage, 6215,
     /*  629026 */     GIR_EraseRootFromParent_Done,
     /*  629027 */   // Label 10111: @629027
     /*  629027 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(629102), // Rule ID 6218 //
     /*  629032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629100 */     GIR_RootConstrainSelectedInstOperands,
     /*  629101 */     // GIR_Coverage, 6218,
     /*  629101 */     GIR_EraseRootFromParent_Done,
     /*  629102 */   // Label 10112: @629102
     /*  629102 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(629177), // Rule ID 6219 //
     /*  629107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629175 */     GIR_RootConstrainSelectedInstOperands,
     /*  629176 */     // GIR_Coverage, 6219,
     /*  629176 */     GIR_EraseRootFromParent_Done,
     /*  629177 */   // Label 10113: @629177
     /*  629177 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(629252), // Rule ID 6222 //
     /*  629182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629250 */     GIR_RootConstrainSelectedInstOperands,
     /*  629251 */     // GIR_Coverage, 6222,
     /*  629251 */     GIR_EraseRootFromParent_Done,
     /*  629252 */   // Label 10114: @629252
     /*  629252 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629327), // Rule ID 6223 //
     /*  629257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629325 */     GIR_RootConstrainSelectedInstOperands,
     /*  629326 */     // GIR_Coverage, 6223,
     /*  629326 */     GIR_EraseRootFromParent_Done,
     /*  629327 */   // Label 10115: @629327
     /*  629327 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629402), // Rule ID 6226 //
     /*  629332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629400 */     GIR_RootConstrainSelectedInstOperands,
     /*  629401 */     // GIR_Coverage, 6226,
     /*  629401 */     GIR_EraseRootFromParent_Done,
     /*  629402 */   // Label 10116: @629402
     /*  629402 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629477), // Rule ID 6227 //
     /*  629407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629475 */     GIR_RootConstrainSelectedInstOperands,
     /*  629476 */     // GIR_Coverage, 6227,
     /*  629476 */     GIR_EraseRootFromParent_Done,
     /*  629477 */   // Label 10117: @629477
     /*  629477 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629552), // Rule ID 6230 //
     /*  629482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629550 */     GIR_RootConstrainSelectedInstOperands,
     /*  629551 */     // GIR_Coverage, 6230,
     /*  629551 */     GIR_EraseRootFromParent_Done,
     /*  629552 */   // Label 10118: @629552
     /*  629552 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629627), // Rule ID 6231 //
     /*  629557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629625 */     GIR_RootConstrainSelectedInstOperands,
     /*  629626 */     // GIR_Coverage, 6231,
     /*  629626 */     GIR_EraseRootFromParent_Done,
     /*  629627 */   // Label 10119: @629627
     /*  629627 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629702), // Rule ID 6234 //
     /*  629632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629700 */     GIR_RootConstrainSelectedInstOperands,
     /*  629701 */     // GIR_Coverage, 6234,
     /*  629701 */     GIR_EraseRootFromParent_Done,
     /*  629702 */   // Label 10120: @629702
     /*  629702 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629777), // Rule ID 6235 //
     /*  629707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629775 */     GIR_RootConstrainSelectedInstOperands,
     /*  629776 */     // GIR_Coverage, 6235,
     /*  629776 */     GIR_EraseRootFromParent_Done,
     /*  629777 */   // Label 10121: @629777
     /*  629777 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629852), // Rule ID 6238 //
     /*  629782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629850 */     GIR_RootConstrainSelectedInstOperands,
     /*  629851 */     // GIR_Coverage, 6238,
     /*  629851 */     GIR_EraseRootFromParent_Done,
     /*  629852 */   // Label 10122: @629852
     /*  629852 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629927), // Rule ID 6239 //
     /*  629857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629925 */     GIR_RootConstrainSelectedInstOperands,
     /*  629926 */     // GIR_Coverage, 6239,
     /*  629926 */     GIR_EraseRootFromParent_Done,
     /*  629927 */   // Label 10123: @629927
     /*  629927 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(630002), // Rule ID 6242 //
     /*  629932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630000 */     GIR_RootConstrainSelectedInstOperands,
     /*  630001 */     // GIR_Coverage, 6242,
     /*  630001 */     GIR_EraseRootFromParent_Done,
     /*  630002 */   // Label 10124: @630002
     /*  630002 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(630077), // Rule ID 6243 //
     /*  630007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630053 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630075 */     GIR_RootConstrainSelectedInstOperands,
     /*  630076 */     // GIR_Coverage, 6243,
     /*  630076 */     GIR_EraseRootFromParent_Done,
     /*  630077 */   // Label 10125: @630077
     /*  630077 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(630152), // Rule ID 6246 //
     /*  630082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630150 */     GIR_RootConstrainSelectedInstOperands,
     /*  630151 */     // GIR_Coverage, 6246,
     /*  630151 */     GIR_EraseRootFromParent_Done,
     /*  630152 */   // Label 10126: @630152
     /*  630152 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(630227), // Rule ID 6247 //
     /*  630157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630225 */     GIR_RootConstrainSelectedInstOperands,
     /*  630226 */     // GIR_Coverage, 6247,
     /*  630226 */     GIR_EraseRootFromParent_Done,
     /*  630227 */   // Label 10127: @630227
     /*  630227 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630302), // Rule ID 6250 //
     /*  630232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630300 */     GIR_RootConstrainSelectedInstOperands,
     /*  630301 */     // GIR_Coverage, 6250,
     /*  630301 */     GIR_EraseRootFromParent_Done,
     /*  630302 */   // Label 10128: @630302
     /*  630302 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630377), // Rule ID 6251 //
     /*  630307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630375 */     GIR_RootConstrainSelectedInstOperands,
     /*  630376 */     // GIR_Coverage, 6251,
     /*  630376 */     GIR_EraseRootFromParent_Done,
     /*  630377 */   // Label 10129: @630377
     /*  630377 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630452), // Rule ID 6254 //
     /*  630382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630450 */     GIR_RootConstrainSelectedInstOperands,
     /*  630451 */     // GIR_Coverage, 6254,
     /*  630451 */     GIR_EraseRootFromParent_Done,
     /*  630452 */   // Label 10130: @630452
     /*  630452 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630527), // Rule ID 6255 //
     /*  630457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630525 */     GIR_RootConstrainSelectedInstOperands,
     /*  630526 */     // GIR_Coverage, 6255,
     /*  630526 */     GIR_EraseRootFromParent_Done,
     /*  630527 */   // Label 10131: @630527
     /*  630527 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630602), // Rule ID 6258 //
     /*  630532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630600 */     GIR_RootConstrainSelectedInstOperands,
     /*  630601 */     // GIR_Coverage, 6258,
     /*  630601 */     GIR_EraseRootFromParent_Done,
     /*  630602 */   // Label 10132: @630602
     /*  630602 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630677), // Rule ID 6259 //
     /*  630607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630675 */     GIR_RootConstrainSelectedInstOperands,
     /*  630676 */     // GIR_Coverage, 6259,
     /*  630676 */     GIR_EraseRootFromParent_Done,
     /*  630677 */   // Label 10133: @630677
     /*  630677 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630752), // Rule ID 6262 //
     /*  630682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630750 */     GIR_RootConstrainSelectedInstOperands,
     /*  630751 */     // GIR_Coverage, 6262,
     /*  630751 */     GIR_EraseRootFromParent_Done,
     /*  630752 */   // Label 10134: @630752
     /*  630752 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630827), // Rule ID 6263 //
     /*  630757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630825 */     GIR_RootConstrainSelectedInstOperands,
     /*  630826 */     // GIR_Coverage, 6263,
     /*  630826 */     GIR_EraseRootFromParent_Done,
     /*  630827 */   // Label 10135: @630827
     /*  630827 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630902), // Rule ID 6266 //
     /*  630832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630900 */     GIR_RootConstrainSelectedInstOperands,
     /*  630901 */     // GIR_Coverage, 6266,
     /*  630901 */     GIR_EraseRootFromParent_Done,
     /*  630902 */   // Label 10136: @630902
     /*  630902 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630977), // Rule ID 6267 //
     /*  630907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630975 */     GIR_RootConstrainSelectedInstOperands,
     /*  630976 */     // GIR_Coverage, 6267,
     /*  630976 */     GIR_EraseRootFromParent_Done,
     /*  630977 */   // Label 10137: @630977
     /*  630977 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(631052), // Rule ID 6270 //
     /*  630982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631050 */     GIR_RootConstrainSelectedInstOperands,
     /*  631051 */     // GIR_Coverage, 6270,
     /*  631051 */     GIR_EraseRootFromParent_Done,
     /*  631052 */   // Label 10138: @631052
     /*  631052 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(631127), // Rule ID 6271 //
     /*  631057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631125 */     GIR_RootConstrainSelectedInstOperands,
     /*  631126 */     // GIR_Coverage, 6271,
     /*  631126 */     GIR_EraseRootFromParent_Done,
     /*  631127 */   // Label 10139: @631127
     /*  631127 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(631202), // Rule ID 6274 //
     /*  631132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631200 */     GIR_RootConstrainSelectedInstOperands,
     /*  631201 */     // GIR_Coverage, 6274,
     /*  631201 */     GIR_EraseRootFromParent_Done,
     /*  631202 */   // Label 10140: @631202
     /*  631202 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631277), // Rule ID 6275 //
     /*  631207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631253 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631275 */     GIR_RootConstrainSelectedInstOperands,
     /*  631276 */     // GIR_Coverage, 6275,
     /*  631276 */     GIR_EraseRootFromParent_Done,
     /*  631277 */   // Label 10141: @631277
     /*  631277 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631352), // Rule ID 6278 //
     /*  631282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631350 */     GIR_RootConstrainSelectedInstOperands,
     /*  631351 */     // GIR_Coverage, 6278,
     /*  631351 */     GIR_EraseRootFromParent_Done,
     /*  631352 */   // Label 10142: @631352
     /*  631352 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631427), // Rule ID 6279 //
     /*  631357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631425 */     GIR_RootConstrainSelectedInstOperands,
     /*  631426 */     // GIR_Coverage, 6279,
     /*  631426 */     GIR_EraseRootFromParent_Done,
     /*  631427 */   // Label 10143: @631427
     /*  631427 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631502), // Rule ID 6282 //
     /*  631432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631500 */     GIR_RootConstrainSelectedInstOperands,
     /*  631501 */     // GIR_Coverage, 6282,
     /*  631501 */     GIR_EraseRootFromParent_Done,
     /*  631502 */   // Label 10144: @631502
     /*  631502 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631577), // Rule ID 6283 //
     /*  631507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631575 */     GIR_RootConstrainSelectedInstOperands,
     /*  631576 */     // GIR_Coverage, 6283,
     /*  631576 */     GIR_EraseRootFromParent_Done,
     /*  631577 */   // Label 10145: @631577
     /*  631577 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631652), // Rule ID 6286 //
     /*  631582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631650 */     GIR_RootConstrainSelectedInstOperands,
     /*  631651 */     // GIR_Coverage, 6286,
     /*  631651 */     GIR_EraseRootFromParent_Done,
     /*  631652 */   // Label 10146: @631652
     /*  631652 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631727), // Rule ID 6287 //
     /*  631657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631725 */     GIR_RootConstrainSelectedInstOperands,
     /*  631726 */     // GIR_Coverage, 6287,
     /*  631726 */     GIR_EraseRootFromParent_Done,
     /*  631727 */   // Label 10147: @631727
     /*  631727 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631802), // Rule ID 6290 //
     /*  631732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631800 */     GIR_RootConstrainSelectedInstOperands,
     /*  631801 */     // GIR_Coverage, 6290,
     /*  631801 */     GIR_EraseRootFromParent_Done,
     /*  631802 */   // Label 10148: @631802
     /*  631802 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631877), // Rule ID 6291 //
     /*  631807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631875 */     GIR_RootConstrainSelectedInstOperands,
     /*  631876 */     // GIR_Coverage, 6291,
     /*  631876 */     GIR_EraseRootFromParent_Done,
     /*  631877 */   // Label 10149: @631877
     /*  631877 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631952), // Rule ID 6294 //
     /*  631882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631950 */     GIR_RootConstrainSelectedInstOperands,
     /*  631951 */     // GIR_Coverage, 6294,
     /*  631951 */     GIR_EraseRootFromParent_Done,
     /*  631952 */   // Label 10150: @631952
     /*  631952 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(632027), // Rule ID 6295 //
     /*  631957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632025 */     GIR_RootConstrainSelectedInstOperands,
     /*  632026 */     // GIR_Coverage, 6295,
     /*  632026 */     GIR_EraseRootFromParent_Done,
     /*  632027 */   // Label 10151: @632027
     /*  632027 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(632102), // Rule ID 6298 //
     /*  632032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632100 */     GIR_RootConstrainSelectedInstOperands,
     /*  632101 */     // GIR_Coverage, 6298,
     /*  632101 */     GIR_EraseRootFromParent_Done,
     /*  632102 */   // Label 10152: @632102
     /*  632102 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(632177), // Rule ID 6299 //
     /*  632107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632175 */     GIR_RootConstrainSelectedInstOperands,
     /*  632176 */     // GIR_Coverage, 6299,
     /*  632176 */     GIR_EraseRootFromParent_Done,
     /*  632177 */   // Label 10153: @632177
     /*  632177 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(632252), // Rule ID 6302 //
     /*  632182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632250 */     GIR_RootConstrainSelectedInstOperands,
     /*  632251 */     // GIR_Coverage, 6302,
     /*  632251 */     GIR_EraseRootFromParent_Done,
     /*  632252 */   // Label 10154: @632252
     /*  632252 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632327), // Rule ID 6303 //
     /*  632257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632325 */     GIR_RootConstrainSelectedInstOperands,
     /*  632326 */     // GIR_Coverage, 6303,
     /*  632326 */     GIR_EraseRootFromParent_Done,
     /*  632327 */   // Label 10155: @632327
     /*  632327 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632402), // Rule ID 6306 //
     /*  632332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632400 */     GIR_RootConstrainSelectedInstOperands,
     /*  632401 */     // GIR_Coverage, 6306,
     /*  632401 */     GIR_EraseRootFromParent_Done,
     /*  632402 */   // Label 10156: @632402
     /*  632402 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632477), // Rule ID 6307 //
     /*  632407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632475 */     GIR_RootConstrainSelectedInstOperands,
     /*  632476 */     // GIR_Coverage, 6307,
     /*  632476 */     GIR_EraseRootFromParent_Done,
     /*  632477 */   // Label 10157: @632477
     /*  632477 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632552), // Rule ID 6310 //
     /*  632482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632550 */     GIR_RootConstrainSelectedInstOperands,
     /*  632551 */     // GIR_Coverage, 6310,
     /*  632551 */     GIR_EraseRootFromParent_Done,
     /*  632552 */   // Label 10158: @632552
     /*  632552 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632627), // Rule ID 6311 //
     /*  632557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632625 */     GIR_RootConstrainSelectedInstOperands,
     /*  632626 */     // GIR_Coverage, 6311,
     /*  632626 */     GIR_EraseRootFromParent_Done,
     /*  632627 */   // Label 10159: @632627
     /*  632627 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632702), // Rule ID 6314 //
     /*  632632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632700 */     GIR_RootConstrainSelectedInstOperands,
     /*  632701 */     // GIR_Coverage, 6314,
     /*  632701 */     GIR_EraseRootFromParent_Done,
     /*  632702 */   // Label 10160: @632702
     /*  632702 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632777), // Rule ID 6315 //
     /*  632707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632775 */     GIR_RootConstrainSelectedInstOperands,
     /*  632776 */     // GIR_Coverage, 6315,
     /*  632776 */     GIR_EraseRootFromParent_Done,
     /*  632777 */   // Label 10161: @632777
     /*  632777 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632852), // Rule ID 6318 //
     /*  632782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632850 */     GIR_RootConstrainSelectedInstOperands,
     /*  632851 */     // GIR_Coverage, 6318,
     /*  632851 */     GIR_EraseRootFromParent_Done,
     /*  632852 */   // Label 10162: @632852
     /*  632852 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632927), // Rule ID 6319 //
     /*  632857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632925 */     GIR_RootConstrainSelectedInstOperands,
     /*  632926 */     // GIR_Coverage, 6319,
     /*  632926 */     GIR_EraseRootFromParent_Done,
     /*  632927 */   // Label 10163: @632927
     /*  632927 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(633002), // Rule ID 6322 //
     /*  632932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633000 */     GIR_RootConstrainSelectedInstOperands,
     /*  633001 */     // GIR_Coverage, 6322,
     /*  633001 */     GIR_EraseRootFromParent_Done,
     /*  633002 */   // Label 10164: @633002
     /*  633002 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(633077), // Rule ID 6323 //
     /*  633007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633075 */     GIR_RootConstrainSelectedInstOperands,
     /*  633076 */     // GIR_Coverage, 6323,
     /*  633076 */     GIR_EraseRootFromParent_Done,
     /*  633077 */   // Label 10165: @633077
     /*  633077 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(633152), // Rule ID 6326 //
     /*  633082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633150 */     GIR_RootConstrainSelectedInstOperands,
     /*  633151 */     // GIR_Coverage, 6326,
     /*  633151 */     GIR_EraseRootFromParent_Done,
     /*  633152 */   // Label 10166: @633152
     /*  633152 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(633227), // Rule ID 6327 //
     /*  633157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633225 */     GIR_RootConstrainSelectedInstOperands,
     /*  633226 */     // GIR_Coverage, 6327,
     /*  633226 */     GIR_EraseRootFromParent_Done,
     /*  633227 */   // Label 10167: @633227
     /*  633227 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633302), // Rule ID 6330 //
     /*  633232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633300 */     GIR_RootConstrainSelectedInstOperands,
     /*  633301 */     // GIR_Coverage, 6330,
     /*  633301 */     GIR_EraseRootFromParent_Done,
     /*  633302 */   // Label 10168: @633302
     /*  633302 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633377), // Rule ID 6331 //
     /*  633307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633353 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633375 */     GIR_RootConstrainSelectedInstOperands,
     /*  633376 */     // GIR_Coverage, 6331,
     /*  633376 */     GIR_EraseRootFromParent_Done,
     /*  633377 */   // Label 10169: @633377
     /*  633377 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633452), // Rule ID 6334 //
     /*  633382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633450 */     GIR_RootConstrainSelectedInstOperands,
     /*  633451 */     // GIR_Coverage, 6334,
     /*  633451 */     GIR_EraseRootFromParent_Done,
     /*  633452 */   // Label 10170: @633452
     /*  633452 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633527), // Rule ID 6335 //
     /*  633457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633525 */     GIR_RootConstrainSelectedInstOperands,
     /*  633526 */     // GIR_Coverage, 6335,
     /*  633526 */     GIR_EraseRootFromParent_Done,
     /*  633527 */   // Label 10171: @633527
     /*  633527 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633602), // Rule ID 6338 //
     /*  633532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633600 */     GIR_RootConstrainSelectedInstOperands,
     /*  633601 */     // GIR_Coverage, 6338,
     /*  633601 */     GIR_EraseRootFromParent_Done,
     /*  633602 */   // Label 10172: @633602
     /*  633602 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633677), // Rule ID 6339 //
     /*  633607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633675 */     GIR_RootConstrainSelectedInstOperands,
     /*  633676 */     // GIR_Coverage, 6339,
     /*  633676 */     GIR_EraseRootFromParent_Done,
     /*  633677 */   // Label 10173: @633677
     /*  633677 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633752), // Rule ID 6342 //
     /*  633682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633750 */     GIR_RootConstrainSelectedInstOperands,
     /*  633751 */     // GIR_Coverage, 6342,
     /*  633751 */     GIR_EraseRootFromParent_Done,
     /*  633752 */   // Label 10174: @633752
     /*  633752 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633827), // Rule ID 6343 //
     /*  633757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633825 */     GIR_RootConstrainSelectedInstOperands,
     /*  633826 */     // GIR_Coverage, 6343,
     /*  633826 */     GIR_EraseRootFromParent_Done,
     /*  633827 */   // Label 10175: @633827
     /*  633827 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633902), // Rule ID 6346 //
     /*  633832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633900 */     GIR_RootConstrainSelectedInstOperands,
     /*  633901 */     // GIR_Coverage, 6346,
     /*  633901 */     GIR_EraseRootFromParent_Done,
     /*  633902 */   // Label 10176: @633902
     /*  633902 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633977), // Rule ID 6347 //
     /*  633907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633975 */     GIR_RootConstrainSelectedInstOperands,
     /*  633976 */     // GIR_Coverage, 6347,
     /*  633976 */     GIR_EraseRootFromParent_Done,
     /*  633977 */   // Label 10177: @633977
     /*  633977 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(634052), // Rule ID 6350 //
     /*  633982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634050 */     GIR_RootConstrainSelectedInstOperands,
     /*  634051 */     // GIR_Coverage, 6350,
     /*  634051 */     GIR_EraseRootFromParent_Done,
     /*  634052 */   // Label 10178: @634052
     /*  634052 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(634127), // Rule ID 6351 //
     /*  634057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634125 */     GIR_RootConstrainSelectedInstOperands,
     /*  634126 */     // GIR_Coverage, 6351,
     /*  634126 */     GIR_EraseRootFromParent_Done,
     /*  634127 */   // Label 10179: @634127
     /*  634127 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(634202), // Rule ID 6354 //
     /*  634132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634200 */     GIR_RootConstrainSelectedInstOperands,
     /*  634201 */     // GIR_Coverage, 6354,
     /*  634201 */     GIR_EraseRootFromParent_Done,
     /*  634202 */   // Label 10180: @634202
     /*  634202 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634277), // Rule ID 6355 //
     /*  634207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634275 */     GIR_RootConstrainSelectedInstOperands,
     /*  634276 */     // GIR_Coverage, 6355,
     /*  634276 */     GIR_EraseRootFromParent_Done,
     /*  634277 */   // Label 10181: @634277
     /*  634277 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634352), // Rule ID 6446 //
     /*  634282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634328 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  634331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634350 */     GIR_RootConstrainSelectedInstOperands,
     /*  634351 */     // GIR_Coverage, 6446,
     /*  634351 */     GIR_EraseRootFromParent_Done,
     /*  634352 */   // Label 10182: @634352
     /*  634352 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634427), // Rule ID 6447 //
     /*  634357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  634406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634425 */     GIR_RootConstrainSelectedInstOperands,
     /*  634426 */     // GIR_Coverage, 6447,
     /*  634426 */     GIR_EraseRootFromParent_Done,
     /*  634427 */   // Label 10183: @634427
     /*  634427 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634502), // Rule ID 6450 //
     /*  634432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634500 */     GIR_RootConstrainSelectedInstOperands,
     /*  634501 */     // GIR_Coverage, 6450,
     /*  634501 */     GIR_EraseRootFromParent_Done,
     /*  634502 */   // Label 10184: @634502
     /*  634502 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634577), // Rule ID 6451 //
     /*  634507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634575 */     GIR_RootConstrainSelectedInstOperands,
     /*  634576 */     // GIR_Coverage, 6451,
     /*  634576 */     GIR_EraseRootFromParent_Done,
     /*  634577 */   // Label 10185: @634577
     /*  634577 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634652), // Rule ID 6454 //
     /*  634582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634650 */     GIR_RootConstrainSelectedInstOperands,
     /*  634651 */     // GIR_Coverage, 6454,
     /*  634651 */     GIR_EraseRootFromParent_Done,
     /*  634652 */   // Label 10186: @634652
     /*  634652 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634727), // Rule ID 6455 //
     /*  634657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634725 */     GIR_RootConstrainSelectedInstOperands,
     /*  634726 */     // GIR_Coverage, 6455,
     /*  634726 */     GIR_EraseRootFromParent_Done,
     /*  634727 */   // Label 10187: @634727
     /*  634727 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634802), // Rule ID 6458 //
     /*  634732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634800 */     GIR_RootConstrainSelectedInstOperands,
     /*  634801 */     // GIR_Coverage, 6458,
     /*  634801 */     GIR_EraseRootFromParent_Done,
     /*  634802 */   // Label 10188: @634802
     /*  634802 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634877), // Rule ID 6459 //
     /*  634807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634875 */     GIR_RootConstrainSelectedInstOperands,
     /*  634876 */     // GIR_Coverage, 6459,
     /*  634876 */     GIR_EraseRootFromParent_Done,
     /*  634877 */   // Label 10189: @634877
     /*  634877 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634952), // Rule ID 6462 //
     /*  634882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634950 */     GIR_RootConstrainSelectedInstOperands,
     /*  634951 */     // GIR_Coverage, 6462,
     /*  634951 */     GIR_EraseRootFromParent_Done,
     /*  634952 */   // Label 10190: @634952
     /*  634952 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(635027), // Rule ID 6463 //
     /*  634957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635025 */     GIR_RootConstrainSelectedInstOperands,
     /*  635026 */     // GIR_Coverage, 6463,
     /*  635026 */     GIR_EraseRootFromParent_Done,
     /*  635027 */   // Label 10191: @635027
     /*  635027 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(635102), // Rule ID 6466 //
     /*  635032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635100 */     GIR_RootConstrainSelectedInstOperands,
     /*  635101 */     // GIR_Coverage, 6466,
     /*  635101 */     GIR_EraseRootFromParent_Done,
     /*  635102 */   // Label 10192: @635102
     /*  635102 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(635177), // Rule ID 6467 //
     /*  635107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635175 */     GIR_RootConstrainSelectedInstOperands,
     /*  635176 */     // GIR_Coverage, 6467,
     /*  635176 */     GIR_EraseRootFromParent_Done,
     /*  635177 */   // Label 10193: @635177
     /*  635177 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(635252), // Rule ID 6470 //
     /*  635182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635250 */     GIR_RootConstrainSelectedInstOperands,
     /*  635251 */     // GIR_Coverage, 6470,
     /*  635251 */     GIR_EraseRootFromParent_Done,
     /*  635252 */   // Label 10194: @635252
     /*  635252 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635327), // Rule ID 6471 //
     /*  635257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635325 */     GIR_RootConstrainSelectedInstOperands,
     /*  635326 */     // GIR_Coverage, 6471,
     /*  635326 */     GIR_EraseRootFromParent_Done,
     /*  635327 */   // Label 10195: @635327
     /*  635327 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635402), // Rule ID 6474 //
     /*  635332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635400 */     GIR_RootConstrainSelectedInstOperands,
     /*  635401 */     // GIR_Coverage, 6474,
     /*  635401 */     GIR_EraseRootFromParent_Done,
     /*  635402 */   // Label 10196: @635402
     /*  635402 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635477), // Rule ID 6475 //
     /*  635407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635475 */     GIR_RootConstrainSelectedInstOperands,
     /*  635476 */     // GIR_Coverage, 6475,
     /*  635476 */     GIR_EraseRootFromParent_Done,
     /*  635477 */   // Label 10197: @635477
     /*  635477 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635552), // Rule ID 6478 //
     /*  635482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635550 */     GIR_RootConstrainSelectedInstOperands,
     /*  635551 */     // GIR_Coverage, 6478,
     /*  635551 */     GIR_EraseRootFromParent_Done,
     /*  635552 */   // Label 10198: @635552
     /*  635552 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635627), // Rule ID 6479 //
     /*  635557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635625 */     GIR_RootConstrainSelectedInstOperands,
     /*  635626 */     // GIR_Coverage, 6479,
     /*  635626 */     GIR_EraseRootFromParent_Done,
     /*  635627 */   // Label 10199: @635627
     /*  635627 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635702), // Rule ID 6482 //
     /*  635632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635700 */     GIR_RootConstrainSelectedInstOperands,
     /*  635701 */     // GIR_Coverage, 6482,
     /*  635701 */     GIR_EraseRootFromParent_Done,
     /*  635702 */   // Label 10200: @635702
     /*  635702 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635777), // Rule ID 6483 //
     /*  635707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635753 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635775 */     GIR_RootConstrainSelectedInstOperands,
     /*  635776 */     // GIR_Coverage, 6483,
     /*  635776 */     GIR_EraseRootFromParent_Done,
     /*  635777 */   // Label 10201: @635777
     /*  635777 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635852), // Rule ID 6486 //
     /*  635782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635850 */     GIR_RootConstrainSelectedInstOperands,
     /*  635851 */     // GIR_Coverage, 6486,
     /*  635851 */     GIR_EraseRootFromParent_Done,
     /*  635852 */   // Label 10202: @635852
     /*  635852 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635927), // Rule ID 6487 //
     /*  635857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635925 */     GIR_RootConstrainSelectedInstOperands,
     /*  635926 */     // GIR_Coverage, 6487,
     /*  635926 */     GIR_EraseRootFromParent_Done,
     /*  635927 */   // Label 10203: @635927
     /*  635927 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(636002), // Rule ID 6490 //
     /*  635932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636000 */     GIR_RootConstrainSelectedInstOperands,
     /*  636001 */     // GIR_Coverage, 6490,
     /*  636001 */     GIR_EraseRootFromParent_Done,
     /*  636002 */   // Label 10204: @636002
     /*  636002 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(636077), // Rule ID 6491 //
     /*  636007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636075 */     GIR_RootConstrainSelectedInstOperands,
     /*  636076 */     // GIR_Coverage, 6491,
     /*  636076 */     GIR_EraseRootFromParent_Done,
     /*  636077 */   // Label 10205: @636077
     /*  636077 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(636152), // Rule ID 6494 //
     /*  636082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636128 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636150 */     GIR_RootConstrainSelectedInstOperands,
     /*  636151 */     // GIR_Coverage, 6494,
     /*  636151 */     GIR_EraseRootFromParent_Done,
     /*  636152 */   // Label 10206: @636152
     /*  636152 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(636227), // Rule ID 6495 //
     /*  636157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636203 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636225 */     GIR_RootConstrainSelectedInstOperands,
     /*  636226 */     // GIR_Coverage, 6495,
     /*  636226 */     GIR_EraseRootFromParent_Done,
     /*  636227 */   // Label 10207: @636227
     /*  636227 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636302), // Rule ID 6498 //
     /*  636232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636300 */     GIR_RootConstrainSelectedInstOperands,
     /*  636301 */     // GIR_Coverage, 6498,
     /*  636301 */     GIR_EraseRootFromParent_Done,
     /*  636302 */   // Label 10208: @636302
     /*  636302 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636377), // Rule ID 6499 //
     /*  636307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636375 */     GIR_RootConstrainSelectedInstOperands,
     /*  636376 */     // GIR_Coverage, 6499,
     /*  636376 */     GIR_EraseRootFromParent_Done,
     /*  636377 */   // Label 10209: @636377
     /*  636377 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636452), // Rule ID 6502 //
     /*  636382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636450 */     GIR_RootConstrainSelectedInstOperands,
     /*  636451 */     // GIR_Coverage, 6502,
     /*  636451 */     GIR_EraseRootFromParent_Done,
     /*  636452 */   // Label 10210: @636452
     /*  636452 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636527), // Rule ID 6503 //
     /*  636457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636525 */     GIR_RootConstrainSelectedInstOperands,
     /*  636526 */     // GIR_Coverage, 6503,
     /*  636526 */     GIR_EraseRootFromParent_Done,
     /*  636527 */   // Label 10211: @636527
     /*  636527 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636602), // Rule ID 6506 //
     /*  636532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636600 */     GIR_RootConstrainSelectedInstOperands,
     /*  636601 */     // GIR_Coverage, 6506,
     /*  636601 */     GIR_EraseRootFromParent_Done,
     /*  636602 */   // Label 10212: @636602
     /*  636602 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636677), // Rule ID 6507 //
     /*  636607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636675 */     GIR_RootConstrainSelectedInstOperands,
     /*  636676 */     // GIR_Coverage, 6507,
     /*  636676 */     GIR_EraseRootFromParent_Done,
     /*  636677 */   // Label 10213: @636677
     /*  636677 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636752), // Rule ID 6510 //
     /*  636682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636750 */     GIR_RootConstrainSelectedInstOperands,
     /*  636751 */     // GIR_Coverage, 6510,
     /*  636751 */     GIR_EraseRootFromParent_Done,
     /*  636752 */   // Label 10214: @636752
     /*  636752 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636827), // Rule ID 6511 //
     /*  636757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636825 */     GIR_RootConstrainSelectedInstOperands,
     /*  636826 */     // GIR_Coverage, 6511,
     /*  636826 */     GIR_EraseRootFromParent_Done,
     /*  636827 */   // Label 10215: @636827
     /*  636827 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636902), // Rule ID 6514 //
     /*  636832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636900 */     GIR_RootConstrainSelectedInstOperands,
     /*  636901 */     // GIR_Coverage, 6514,
     /*  636901 */     GIR_EraseRootFromParent_Done,
     /*  636902 */   // Label 10216: @636902
     /*  636902 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636977), // Rule ID 6515 //
     /*  636907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636975 */     GIR_RootConstrainSelectedInstOperands,
     /*  636976 */     // GIR_Coverage, 6515,
     /*  636976 */     GIR_EraseRootFromParent_Done,
     /*  636977 */   // Label 10217: @636977
     /*  636977 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(637052), // Rule ID 6518 //
     /*  636982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637050 */     GIR_RootConstrainSelectedInstOperands,
     /*  637051 */     // GIR_Coverage, 6518,
     /*  637051 */     GIR_EraseRootFromParent_Done,
     /*  637052 */   // Label 10218: @637052
     /*  637052 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(637127), // Rule ID 6519 //
     /*  637057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637125 */     GIR_RootConstrainSelectedInstOperands,
     /*  637126 */     // GIR_Coverage, 6519,
     /*  637126 */     GIR_EraseRootFromParent_Done,
     /*  637127 */   // Label 10219: @637127
     /*  637127 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(637202), // Rule ID 6522 //
     /*  637132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637200 */     GIR_RootConstrainSelectedInstOperands,
     /*  637201 */     // GIR_Coverage, 6522,
     /*  637201 */     GIR_EraseRootFromParent_Done,
     /*  637202 */   // Label 10220: @637202
     /*  637202 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637277), // Rule ID 6523 //
     /*  637207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637275 */     GIR_RootConstrainSelectedInstOperands,
     /*  637276 */     // GIR_Coverage, 6523,
     /*  637276 */     GIR_EraseRootFromParent_Done,
     /*  637277 */   // Label 10221: @637277
     /*  637277 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637352), // Rule ID 6526 //
     /*  637282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637350 */     GIR_RootConstrainSelectedInstOperands,
     /*  637351 */     // GIR_Coverage, 6526,
     /*  637351 */     GIR_EraseRootFromParent_Done,
     /*  637352 */   // Label 10222: @637352
     /*  637352 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637427), // Rule ID 6527 //
     /*  637357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637425 */     GIR_RootConstrainSelectedInstOperands,
     /*  637426 */     // GIR_Coverage, 6527,
     /*  637426 */     GIR_EraseRootFromParent_Done,
     /*  637427 */   // Label 10223: @637427
     /*  637427 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637502), // Rule ID 6530 //
     /*  637432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637500 */     GIR_RootConstrainSelectedInstOperands,
     /*  637501 */     // GIR_Coverage, 6530,
     /*  637501 */     GIR_EraseRootFromParent_Done,
     /*  637502 */   // Label 10224: @637502
     /*  637502 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637577), // Rule ID 6531 //
     /*  637507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637575 */     GIR_RootConstrainSelectedInstOperands,
     /*  637576 */     // GIR_Coverage, 6531,
     /*  637576 */     GIR_EraseRootFromParent_Done,
     /*  637577 */   // Label 10225: @637577
     /*  637577 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637652), // Rule ID 6534 //
     /*  637582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637650 */     GIR_RootConstrainSelectedInstOperands,
     /*  637651 */     // GIR_Coverage, 6534,
     /*  637651 */     GIR_EraseRootFromParent_Done,
     /*  637652 */   // Label 10226: @637652
     /*  637652 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637727), // Rule ID 6535 //
     /*  637657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637725 */     GIR_RootConstrainSelectedInstOperands,
     /*  637726 */     // GIR_Coverage, 6535,
     /*  637726 */     GIR_EraseRootFromParent_Done,
     /*  637727 */   // Label 10227: @637727
     /*  637727 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637802), // Rule ID 6538 //
     /*  637732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637800 */     GIR_RootConstrainSelectedInstOperands,
     /*  637801 */     // GIR_Coverage, 6538,
     /*  637801 */     GIR_EraseRootFromParent_Done,
     /*  637802 */   // Label 10228: @637802
     /*  637802 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637877), // Rule ID 6539 //
     /*  637807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637875 */     GIR_RootConstrainSelectedInstOperands,
     /*  637876 */     // GIR_Coverage, 6539,
     /*  637876 */     GIR_EraseRootFromParent_Done,
     /*  637877 */   // Label 10229: @637877
     /*  637877 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637952), // Rule ID 6542 //
     /*  637882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637950 */     GIR_RootConstrainSelectedInstOperands,
     /*  637951 */     // GIR_Coverage, 6542,
     /*  637951 */     GIR_EraseRootFromParent_Done,
     /*  637952 */   // Label 10230: @637952
     /*  637952 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(638027), // Rule ID 6543 //
     /*  637957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638025 */     GIR_RootConstrainSelectedInstOperands,
     /*  638026 */     // GIR_Coverage, 6543,
     /*  638026 */     GIR_EraseRootFromParent_Done,
     /*  638027 */   // Label 10231: @638027
     /*  638027 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(638102), // Rule ID 6546 //
     /*  638032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638100 */     GIR_RootConstrainSelectedInstOperands,
     /*  638101 */     // GIR_Coverage, 6546,
     /*  638101 */     GIR_EraseRootFromParent_Done,
     /*  638102 */   // Label 10232: @638102
     /*  638102 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(638177), // Rule ID 6547 //
     /*  638107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638175 */     GIR_RootConstrainSelectedInstOperands,
     /*  638176 */     // GIR_Coverage, 6547,
     /*  638176 */     GIR_EraseRootFromParent_Done,
     /*  638177 */   // Label 10233: @638177
     /*  638177 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(638252), // Rule ID 6550 //
     /*  638182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638250 */     GIR_RootConstrainSelectedInstOperands,
     /*  638251 */     // GIR_Coverage, 6550,
     /*  638251 */     GIR_EraseRootFromParent_Done,
     /*  638252 */   // Label 10234: @638252
     /*  638252 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638327), // Rule ID 6551 //
     /*  638257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638325 */     GIR_RootConstrainSelectedInstOperands,
     /*  638326 */     // GIR_Coverage, 6551,
     /*  638326 */     GIR_EraseRootFromParent_Done,
     /*  638327 */   // Label 10235: @638327
     /*  638327 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638402), // Rule ID 6554 //
     /*  638332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638400 */     GIR_RootConstrainSelectedInstOperands,
     /*  638401 */     // GIR_Coverage, 6554,
     /*  638401 */     GIR_EraseRootFromParent_Done,
     /*  638402 */   // Label 10236: @638402
     /*  638402 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638477), // Rule ID 6555 //
     /*  638407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638453 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638475 */     GIR_RootConstrainSelectedInstOperands,
     /*  638476 */     // GIR_Coverage, 6555,
     /*  638476 */     GIR_EraseRootFromParent_Done,
     /*  638477 */   // Label 10237: @638477
     /*  638477 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638552), // Rule ID 6558 //
     /*  638482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638550 */     GIR_RootConstrainSelectedInstOperands,
     /*  638551 */     // GIR_Coverage, 6558,
     /*  638551 */     GIR_EraseRootFromParent_Done,
     /*  638552 */   // Label 10238: @638552
     /*  638552 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638627), // Rule ID 6559 //
     /*  638557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638625 */     GIR_RootConstrainSelectedInstOperands,
     /*  638626 */     // GIR_Coverage, 6559,
     /*  638626 */     GIR_EraseRootFromParent_Done,
     /*  638627 */   // Label 10239: @638627
     /*  638627 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638702), // Rule ID 6562 //
     /*  638632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638700 */     GIR_RootConstrainSelectedInstOperands,
     /*  638701 */     // GIR_Coverage, 6562,
     /*  638701 */     GIR_EraseRootFromParent_Done,
     /*  638702 */   // Label 10240: @638702
     /*  638702 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638777), // Rule ID 6563 //
     /*  638707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638775 */     GIR_RootConstrainSelectedInstOperands,
     /*  638776 */     // GIR_Coverage, 6563,
     /*  638776 */     GIR_EraseRootFromParent_Done,
     /*  638777 */   // Label 10241: @638777
     /*  638777 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638852), // Rule ID 6566 //
     /*  638782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638850 */     GIR_RootConstrainSelectedInstOperands,
     /*  638851 */     // GIR_Coverage, 6566,
     /*  638851 */     GIR_EraseRootFromParent_Done,
     /*  638852 */   // Label 10242: @638852
     /*  638852 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638927), // Rule ID 6567 //
     /*  638857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638925 */     GIR_RootConstrainSelectedInstOperands,
     /*  638926 */     // GIR_Coverage, 6567,
     /*  638926 */     GIR_EraseRootFromParent_Done,
     /*  638927 */   // Label 10243: @638927
     /*  638927 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(639002), // Rule ID 6570 //
     /*  638932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639000 */     GIR_RootConstrainSelectedInstOperands,
     /*  639001 */     // GIR_Coverage, 6570,
     /*  639001 */     GIR_EraseRootFromParent_Done,
     /*  639002 */   // Label 10244: @639002
     /*  639002 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(639077), // Rule ID 6571 //
     /*  639007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639075 */     GIR_RootConstrainSelectedInstOperands,
     /*  639076 */     // GIR_Coverage, 6571,
     /*  639076 */     GIR_EraseRootFromParent_Done,
     /*  639077 */   // Label 10245: @639077
     /*  639077 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(639152), // Rule ID 6574 //
     /*  639082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639150 */     GIR_RootConstrainSelectedInstOperands,
     /*  639151 */     // GIR_Coverage, 6574,
     /*  639151 */     GIR_EraseRootFromParent_Done,
     /*  639152 */   // Label 10246: @639152
     /*  639152 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(639227), // Rule ID 6575 //
     /*  639157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639225 */     GIR_RootConstrainSelectedInstOperands,
     /*  639226 */     // GIR_Coverage, 6575,
     /*  639226 */     GIR_EraseRootFromParent_Done,
     /*  639227 */   // Label 10247: @639227
     /*  639227 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639302), // Rule ID 6578 //
     /*  639232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639300 */     GIR_RootConstrainSelectedInstOperands,
     /*  639301 */     // GIR_Coverage, 6578,
     /*  639301 */     GIR_EraseRootFromParent_Done,
     /*  639302 */   // Label 10248: @639302
     /*  639302 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639377), // Rule ID 6579 //
     /*  639307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639375 */     GIR_RootConstrainSelectedInstOperands,
     /*  639376 */     // GIR_Coverage, 6579,
     /*  639376 */     GIR_EraseRootFromParent_Done,
     /*  639377 */   // Label 10249: @639377
     /*  639377 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639452), // Rule ID 6582 //
     /*  639382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639450 */     GIR_RootConstrainSelectedInstOperands,
     /*  639451 */     // GIR_Coverage, 6582,
     /*  639451 */     GIR_EraseRootFromParent_Done,
     /*  639452 */   // Label 10250: @639452
     /*  639452 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639527), // Rule ID 6583 //
     /*  639457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639503 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639525 */     GIR_RootConstrainSelectedInstOperands,
     /*  639526 */     // GIR_Coverage, 6583,
     /*  639526 */     GIR_EraseRootFromParent_Done,
     /*  639527 */   // Label 10251: @639527
     /*  639527 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639602), // Rule ID 6586 //
     /*  639532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639600 */     GIR_RootConstrainSelectedInstOperands,
     /*  639601 */     // GIR_Coverage, 6586,
     /*  639601 */     GIR_EraseRootFromParent_Done,
     /*  639602 */   // Label 10252: @639602
     /*  639602 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639677), // Rule ID 6587 //
     /*  639607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639675 */     GIR_RootConstrainSelectedInstOperands,
     /*  639676 */     // GIR_Coverage, 6587,
     /*  639676 */     GIR_EraseRootFromParent_Done,
     /*  639677 */   // Label 10253: @639677
     /*  639677 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639752), // Rule ID 6590 //
     /*  639682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639750 */     GIR_RootConstrainSelectedInstOperands,
     /*  639751 */     // GIR_Coverage, 6590,
     /*  639751 */     GIR_EraseRootFromParent_Done,
     /*  639752 */   // Label 10254: @639752
     /*  639752 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639827), // Rule ID 6591 //
     /*  639757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639825 */     GIR_RootConstrainSelectedInstOperands,
     /*  639826 */     // GIR_Coverage, 6591,
     /*  639826 */     GIR_EraseRootFromParent_Done,
     /*  639827 */   // Label 10255: @639827
     /*  639827 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639902), // Rule ID 6594 //
     /*  639832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639900 */     GIR_RootConstrainSelectedInstOperands,
     /*  639901 */     // GIR_Coverage, 6594,
     /*  639901 */     GIR_EraseRootFromParent_Done,
     /*  639902 */   // Label 10256: @639902
     /*  639902 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639977), // Rule ID 6595 //
     /*  639907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639975 */     GIR_RootConstrainSelectedInstOperands,
     /*  639976 */     // GIR_Coverage, 6595,
     /*  639976 */     GIR_EraseRootFromParent_Done,
     /*  639977 */   // Label 10257: @639977
     /*  639977 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(640052), // Rule ID 6598 //
     /*  639982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640050 */     GIR_RootConstrainSelectedInstOperands,
     /*  640051 */     // GIR_Coverage, 6598,
     /*  640051 */     GIR_EraseRootFromParent_Done,
     /*  640052 */   // Label 10258: @640052
     /*  640052 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(640127), // Rule ID 6599 //
     /*  640057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640125 */     GIR_RootConstrainSelectedInstOperands,
     /*  640126 */     // GIR_Coverage, 6599,
     /*  640126 */     GIR_EraseRootFromParent_Done,
     /*  640127 */   // Label 10259: @640127
     /*  640127 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(640202), // Rule ID 6602 //
     /*  640132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640200 */     GIR_RootConstrainSelectedInstOperands,
     /*  640201 */     // GIR_Coverage, 6602,
     /*  640201 */     GIR_EraseRootFromParent_Done,
     /*  640202 */   // Label 10260: @640202
     /*  640202 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640277), // Rule ID 6603 //
     /*  640207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640275 */     GIR_RootConstrainSelectedInstOperands,
     /*  640276 */     // GIR_Coverage, 6603,
     /*  640276 */     GIR_EraseRootFromParent_Done,
     /*  640277 */   // Label 10261: @640277
     /*  640277 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640352), // Rule ID 6606 //
     /*  640282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640350 */     GIR_RootConstrainSelectedInstOperands,
     /*  640351 */     // GIR_Coverage, 6606,
     /*  640351 */     GIR_EraseRootFromParent_Done,
     /*  640352 */   // Label 10262: @640352
     /*  640352 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640427), // Rule ID 6607 //
     /*  640357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640425 */     GIR_RootConstrainSelectedInstOperands,
     /*  640426 */     // GIR_Coverage, 6607,
     /*  640426 */     GIR_EraseRootFromParent_Done,
     /*  640427 */   // Label 10263: @640427
     /*  640427 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640502), // Rule ID 6610 //
     /*  640432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640500 */     GIR_RootConstrainSelectedInstOperands,
     /*  640501 */     // GIR_Coverage, 6610,
     /*  640501 */     GIR_EraseRootFromParent_Done,
     /*  640502 */   // Label 10264: @640502
     /*  640502 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640577), // Rule ID 6611 //
     /*  640507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640575 */     GIR_RootConstrainSelectedInstOperands,
     /*  640576 */     // GIR_Coverage, 6611,
     /*  640576 */     GIR_EraseRootFromParent_Done,
     /*  640577 */   // Label 10265: @640577
     /*  640577 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640652), // Rule ID 6614 //
     /*  640582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640650 */     GIR_RootConstrainSelectedInstOperands,
     /*  640651 */     // GIR_Coverage, 6614,
     /*  640651 */     GIR_EraseRootFromParent_Done,
     /*  640652 */   // Label 10266: @640652
     /*  640652 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640727), // Rule ID 6615 //
     /*  640657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640725 */     GIR_RootConstrainSelectedInstOperands,
     /*  640726 */     // GIR_Coverage, 6615,
     /*  640726 */     GIR_EraseRootFromParent_Done,
     /*  640727 */   // Label 10267: @640727
     /*  640727 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640802), // Rule ID 6618 //
     /*  640732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640800 */     GIR_RootConstrainSelectedInstOperands,
     /*  640801 */     // GIR_Coverage, 6618,
     /*  640801 */     GIR_EraseRootFromParent_Done,
     /*  640802 */   // Label 10268: @640802
     /*  640802 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640877), // Rule ID 6619 //
     /*  640807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640875 */     GIR_RootConstrainSelectedInstOperands,
     /*  640876 */     // GIR_Coverage, 6619,
     /*  640876 */     GIR_EraseRootFromParent_Done,
     /*  640877 */   // Label 10269: @640877
     /*  640877 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640952), // Rule ID 6710 //
     /*  640882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640950 */     GIR_RootConstrainSelectedInstOperands,
     /*  640951 */     // GIR_Coverage, 6710,
     /*  640951 */     GIR_EraseRootFromParent_Done,
     /*  640952 */   // Label 10270: @640952
     /*  640952 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(641027), // Rule ID 6711 //
     /*  640957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  641006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641025 */     GIR_RootConstrainSelectedInstOperands,
     /*  641026 */     // GIR_Coverage, 6711,
     /*  641026 */     GIR_EraseRootFromParent_Done,
     /*  641027 */   // Label 10271: @641027
     /*  641027 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(641102), // Rule ID 6714 //
     /*  641032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641100 */     GIR_RootConstrainSelectedInstOperands,
     /*  641101 */     // GIR_Coverage, 6714,
     /*  641101 */     GIR_EraseRootFromParent_Done,
     /*  641102 */   // Label 10272: @641102
     /*  641102 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(641177), // Rule ID 6715 //
     /*  641107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641175 */     GIR_RootConstrainSelectedInstOperands,
     /*  641176 */     // GIR_Coverage, 6715,
     /*  641176 */     GIR_EraseRootFromParent_Done,
     /*  641177 */   // Label 10273: @641177
     /*  641177 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(641252), // Rule ID 6718 //
     /*  641182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641250 */     GIR_RootConstrainSelectedInstOperands,
     /*  641251 */     // GIR_Coverage, 6718,
     /*  641251 */     GIR_EraseRootFromParent_Done,
     /*  641252 */   // Label 10274: @641252
     /*  641252 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641327), // Rule ID 6719 //
     /*  641257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641325 */     GIR_RootConstrainSelectedInstOperands,
     /*  641326 */     // GIR_Coverage, 6719,
     /*  641326 */     GIR_EraseRootFromParent_Done,
     /*  641327 */   // Label 10275: @641327
     /*  641327 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641402), // Rule ID 6722 //
     /*  641332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641400 */     GIR_RootConstrainSelectedInstOperands,
     /*  641401 */     // GIR_Coverage, 6722,
     /*  641401 */     GIR_EraseRootFromParent_Done,
     /*  641402 */   // Label 10276: @641402
     /*  641402 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641477), // Rule ID 6723 //
     /*  641407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641475 */     GIR_RootConstrainSelectedInstOperands,
     /*  641476 */     // GIR_Coverage, 6723,
     /*  641476 */     GIR_EraseRootFromParent_Done,
     /*  641477 */   // Label 10277: @641477
     /*  641477 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641552), // Rule ID 6726 //
     /*  641482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641550 */     GIR_RootConstrainSelectedInstOperands,
     /*  641551 */     // GIR_Coverage, 6726,
     /*  641551 */     GIR_EraseRootFromParent_Done,
     /*  641552 */   // Label 10278: @641552
     /*  641552 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641627), // Rule ID 6727 //
     /*  641557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641625 */     GIR_RootConstrainSelectedInstOperands,
     /*  641626 */     // GIR_Coverage, 6727,
     /*  641626 */     GIR_EraseRootFromParent_Done,
     /*  641627 */   // Label 10279: @641627
     /*  641627 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641702), // Rule ID 6730 //
     /*  641632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641700 */     GIR_RootConstrainSelectedInstOperands,
     /*  641701 */     // GIR_Coverage, 6730,
     /*  641701 */     GIR_EraseRootFromParent_Done,
     /*  641702 */   // Label 10280: @641702
     /*  641702 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641777), // Rule ID 6731 //
     /*  641707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641775 */     GIR_RootConstrainSelectedInstOperands,
     /*  641776 */     // GIR_Coverage, 6731,
     /*  641776 */     GIR_EraseRootFromParent_Done,
     /*  641777 */   // Label 10281: @641777
     /*  641777 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641852), // Rule ID 6734 //
     /*  641782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641850 */     GIR_RootConstrainSelectedInstOperands,
     /*  641851 */     // GIR_Coverage, 6734,
     /*  641851 */     GIR_EraseRootFromParent_Done,
     /*  641852 */   // Label 10282: @641852
     /*  641852 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641927), // Rule ID 6735 //
     /*  641857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641925 */     GIR_RootConstrainSelectedInstOperands,
     /*  641926 */     // GIR_Coverage, 6735,
     /*  641926 */     GIR_EraseRootFromParent_Done,
     /*  641927 */   // Label 10283: @641927
     /*  641927 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(642002), // Rule ID 6738 //
     /*  641932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642000 */     GIR_RootConstrainSelectedInstOperands,
     /*  642001 */     // GIR_Coverage, 6738,
     /*  642001 */     GIR_EraseRootFromParent_Done,
     /*  642002 */   // Label 10284: @642002
     /*  642002 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(642077), // Rule ID 6739 //
     /*  642007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642075 */     GIR_RootConstrainSelectedInstOperands,
     /*  642076 */     // GIR_Coverage, 6739,
     /*  642076 */     GIR_EraseRootFromParent_Done,
     /*  642077 */   // Label 10285: @642077
     /*  642077 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(642152), // Rule ID 6742 //
     /*  642082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642150 */     GIR_RootConstrainSelectedInstOperands,
     /*  642151 */     // GIR_Coverage, 6742,
     /*  642151 */     GIR_EraseRootFromParent_Done,
     /*  642152 */   // Label 10286: @642152
     /*  642152 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(642227), // Rule ID 6743 //
     /*  642157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642225 */     GIR_RootConstrainSelectedInstOperands,
     /*  642226 */     // GIR_Coverage, 6743,
     /*  642226 */     GIR_EraseRootFromParent_Done,
     /*  642227 */   // Label 10287: @642227
     /*  642227 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642302), // Rule ID 6746 //
     /*  642232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642300 */     GIR_RootConstrainSelectedInstOperands,
     /*  642301 */     // GIR_Coverage, 6746,
     /*  642301 */     GIR_EraseRootFromParent_Done,
     /*  642302 */   // Label 10288: @642302
     /*  642302 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642377), // Rule ID 6747 //
     /*  642307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642375 */     GIR_RootConstrainSelectedInstOperands,
     /*  642376 */     // GIR_Coverage, 6747,
     /*  642376 */     GIR_EraseRootFromParent_Done,
     /*  642377 */   // Label 10289: @642377
     /*  642377 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642452), // Rule ID 6750 //
     /*  642382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642450 */     GIR_RootConstrainSelectedInstOperands,
     /*  642451 */     // GIR_Coverage, 6750,
     /*  642451 */     GIR_EraseRootFromParent_Done,
     /*  642452 */   // Label 10290: @642452
     /*  642452 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642527), // Rule ID 6751 //
     /*  642457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642525 */     GIR_RootConstrainSelectedInstOperands,
     /*  642526 */     // GIR_Coverage, 6751,
     /*  642526 */     GIR_EraseRootFromParent_Done,
     /*  642527 */   // Label 10291: @642527
     /*  642527 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642602), // Rule ID 6754 //
     /*  642532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642600 */     GIR_RootConstrainSelectedInstOperands,
     /*  642601 */     // GIR_Coverage, 6754,
     /*  642601 */     GIR_EraseRootFromParent_Done,
     /*  642602 */   // Label 10292: @642602
     /*  642602 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642677), // Rule ID 6755 //
     /*  642607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642675 */     GIR_RootConstrainSelectedInstOperands,
     /*  642676 */     // GIR_Coverage, 6755,
     /*  642676 */     GIR_EraseRootFromParent_Done,
     /*  642677 */   // Label 10293: @642677
     /*  642677 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642752), // Rule ID 6758 //
     /*  642682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642750 */     GIR_RootConstrainSelectedInstOperands,
     /*  642751 */     // GIR_Coverage, 6758,
     /*  642751 */     GIR_EraseRootFromParent_Done,
     /*  642752 */   // Label 10294: @642752
     /*  642752 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642827), // Rule ID 6759 //
     /*  642757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642825 */     GIR_RootConstrainSelectedInstOperands,
     /*  642826 */     // GIR_Coverage, 6759,
     /*  642826 */     GIR_EraseRootFromParent_Done,
     /*  642827 */   // Label 10295: @642827
     /*  642827 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642902), // Rule ID 6762 //
     /*  642832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642900 */     GIR_RootConstrainSelectedInstOperands,
     /*  642901 */     // GIR_Coverage, 6762,
     /*  642901 */     GIR_EraseRootFromParent_Done,
     /*  642902 */   // Label 10296: @642902
     /*  642902 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642977), // Rule ID 6763 //
     /*  642907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642975 */     GIR_RootConstrainSelectedInstOperands,
     /*  642976 */     // GIR_Coverage, 6763,
     /*  642976 */     GIR_EraseRootFromParent_Done,
     /*  642977 */   // Label 10297: @642977
     /*  642977 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(643052), // Rule ID 6766 //
     /*  642982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643050 */     GIR_RootConstrainSelectedInstOperands,
     /*  643051 */     // GIR_Coverage, 6766,
     /*  643051 */     GIR_EraseRootFromParent_Done,
     /*  643052 */   // Label 10298: @643052
     /*  643052 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(643127), // Rule ID 6767 //
     /*  643057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643125 */     GIR_RootConstrainSelectedInstOperands,
     /*  643126 */     // GIR_Coverage, 6767,
     /*  643126 */     GIR_EraseRootFromParent_Done,
     /*  643127 */   // Label 10299: @643127
     /*  643127 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(643202), // Rule ID 6770 //
     /*  643132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643200 */     GIR_RootConstrainSelectedInstOperands,
     /*  643201 */     // GIR_Coverage, 6770,
     /*  643201 */     GIR_EraseRootFromParent_Done,
     /*  643202 */   // Label 10300: @643202
     /*  643202 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643277), // Rule ID 6771 //
     /*  643207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643275 */     GIR_RootConstrainSelectedInstOperands,
     /*  643276 */     // GIR_Coverage, 6771,
     /*  643276 */     GIR_EraseRootFromParent_Done,
     /*  643277 */   // Label 10301: @643277
     /*  643277 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643352), // Rule ID 6774 //
     /*  643282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643350 */     GIR_RootConstrainSelectedInstOperands,
     /*  643351 */     // GIR_Coverage, 6774,
     /*  643351 */     GIR_EraseRootFromParent_Done,
     /*  643352 */   // Label 10302: @643352
     /*  643352 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643427), // Rule ID 6775 //
     /*  643357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643425 */     GIR_RootConstrainSelectedInstOperands,
     /*  643426 */     // GIR_Coverage, 6775,
     /*  643426 */     GIR_EraseRootFromParent_Done,
     /*  643427 */   // Label 10303: @643427
     /*  643427 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643502), // Rule ID 6778 //
     /*  643432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643500 */     GIR_RootConstrainSelectedInstOperands,
     /*  643501 */     // GIR_Coverage, 6778,
     /*  643501 */     GIR_EraseRootFromParent_Done,
     /*  643502 */   // Label 10304: @643502
     /*  643502 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643577), // Rule ID 6779 //
     /*  643507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643575 */     GIR_RootConstrainSelectedInstOperands,
     /*  643576 */     // GIR_Coverage, 6779,
     /*  643576 */     GIR_EraseRootFromParent_Done,
     /*  643577 */   // Label 10305: @643577
     /*  643577 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643652), // Rule ID 6782 //
     /*  643582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643650 */     GIR_RootConstrainSelectedInstOperands,
     /*  643651 */     // GIR_Coverage, 6782,
     /*  643651 */     GIR_EraseRootFromParent_Done,
     /*  643652 */   // Label 10306: @643652
     /*  643652 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643727), // Rule ID 6783 //
     /*  643657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643725 */     GIR_RootConstrainSelectedInstOperands,
     /*  643726 */     // GIR_Coverage, 6783,
     /*  643726 */     GIR_EraseRootFromParent_Done,
     /*  643727 */   // Label 10307: @643727
     /*  643727 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643802), // Rule ID 6786 //
     /*  643732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643800 */     GIR_RootConstrainSelectedInstOperands,
     /*  643801 */     // GIR_Coverage, 6786,
     /*  643801 */     GIR_EraseRootFromParent_Done,
     /*  643802 */   // Label 10308: @643802
     /*  643802 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643877), // Rule ID 6787 //
     /*  643807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643875 */     GIR_RootConstrainSelectedInstOperands,
     /*  643876 */     // GIR_Coverage, 6787,
     /*  643876 */     GIR_EraseRootFromParent_Done,
     /*  643877 */   // Label 10309: @643877
     /*  643877 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643952), // Rule ID 6790 //
     /*  643882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643950 */     GIR_RootConstrainSelectedInstOperands,
     /*  643951 */     // GIR_Coverage, 6790,
     /*  643951 */     GIR_EraseRootFromParent_Done,
     /*  643952 */   // Label 10310: @643952
     /*  643952 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(644027), // Rule ID 6791 //
     /*  643957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644025 */     GIR_RootConstrainSelectedInstOperands,
     /*  644026 */     // GIR_Coverage, 6791,
     /*  644026 */     GIR_EraseRootFromParent_Done,
     /*  644027 */   // Label 10311: @644027
     /*  644027 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(644102), // Rule ID 6794 //
     /*  644032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644100 */     GIR_RootConstrainSelectedInstOperands,
     /*  644101 */     // GIR_Coverage, 6794,
     /*  644101 */     GIR_EraseRootFromParent_Done,
     /*  644102 */   // Label 10312: @644102
     /*  644102 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(644177), // Rule ID 6795 //
     /*  644107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644153 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644175 */     GIR_RootConstrainSelectedInstOperands,
     /*  644176 */     // GIR_Coverage, 6795,
     /*  644176 */     GIR_EraseRootFromParent_Done,
     /*  644177 */   // Label 10313: @644177
     /*  644177 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(644252), // Rule ID 6798 //
     /*  644182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644250 */     GIR_RootConstrainSelectedInstOperands,
     /*  644251 */     // GIR_Coverage, 6798,
     /*  644251 */     GIR_EraseRootFromParent_Done,
     /*  644252 */   // Label 10314: @644252
     /*  644252 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644327), // Rule ID 6799 //
     /*  644257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644325 */     GIR_RootConstrainSelectedInstOperands,
     /*  644326 */     // GIR_Coverage, 6799,
     /*  644326 */     GIR_EraseRootFromParent_Done,
     /*  644327 */   // Label 10315: @644327
     /*  644327 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644402), // Rule ID 6802 //
     /*  644332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644400 */     GIR_RootConstrainSelectedInstOperands,
     /*  644401 */     // GIR_Coverage, 6802,
     /*  644401 */     GIR_EraseRootFromParent_Done,
     /*  644402 */   // Label 10316: @644402
     /*  644402 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644477), // Rule ID 6803 //
     /*  644407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644475 */     GIR_RootConstrainSelectedInstOperands,
     /*  644476 */     // GIR_Coverage, 6803,
     /*  644476 */     GIR_EraseRootFromParent_Done,
     /*  644477 */   // Label 10317: @644477
     /*  644477 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644552), // Rule ID 6806 //
     /*  644482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644550 */     GIR_RootConstrainSelectedInstOperands,
     /*  644551 */     // GIR_Coverage, 6806,
     /*  644551 */     GIR_EraseRootFromParent_Done,
     /*  644552 */   // Label 10318: @644552
     /*  644552 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644627), // Rule ID 6807 //
     /*  644557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644625 */     GIR_RootConstrainSelectedInstOperands,
     /*  644626 */     // GIR_Coverage, 6807,
     /*  644626 */     GIR_EraseRootFromParent_Done,
     /*  644627 */   // Label 10319: @644627
     /*  644627 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644702), // Rule ID 6810 //
     /*  644632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644700 */     GIR_RootConstrainSelectedInstOperands,
     /*  644701 */     // GIR_Coverage, 6810,
     /*  644701 */     GIR_EraseRootFromParent_Done,
     /*  644702 */   // Label 10320: @644702
     /*  644702 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644777), // Rule ID 6811 //
     /*  644707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644775 */     GIR_RootConstrainSelectedInstOperands,
     /*  644776 */     // GIR_Coverage, 6811,
     /*  644776 */     GIR_EraseRootFromParent_Done,
     /*  644777 */   // Label 10321: @644777
     /*  644777 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644852), // Rule ID 6814 //
     /*  644782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644850 */     GIR_RootConstrainSelectedInstOperands,
     /*  644851 */     // GIR_Coverage, 6814,
     /*  644851 */     GIR_EraseRootFromParent_Done,
     /*  644852 */   // Label 10322: @644852
     /*  644852 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644927), // Rule ID 6815 //
     /*  644857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644925 */     GIR_RootConstrainSelectedInstOperands,
     /*  644926 */     // GIR_Coverage, 6815,
     /*  644926 */     GIR_EraseRootFromParent_Done,
     /*  644927 */   // Label 10323: @644927
     /*  644927 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(645002), // Rule ID 6818 //
     /*  644932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645000 */     GIR_RootConstrainSelectedInstOperands,
     /*  645001 */     // GIR_Coverage, 6818,
     /*  645001 */     GIR_EraseRootFromParent_Done,
     /*  645002 */   // Label 10324: @645002
     /*  645002 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(645077), // Rule ID 6819 //
     /*  645007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645075 */     GIR_RootConstrainSelectedInstOperands,
     /*  645076 */     // GIR_Coverage, 6819,
     /*  645076 */     GIR_EraseRootFromParent_Done,
     /*  645077 */   // Label 10325: @645077
     /*  645077 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(645152), // Rule ID 6822 //
     /*  645082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645150 */     GIR_RootConstrainSelectedInstOperands,
     /*  645151 */     // GIR_Coverage, 6822,
     /*  645151 */     GIR_EraseRootFromParent_Done,
     /*  645152 */   // Label 10326: @645152
     /*  645152 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(645227), // Rule ID 6823 //
     /*  645157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645225 */     GIR_RootConstrainSelectedInstOperands,
     /*  645226 */     // GIR_Coverage, 6823,
     /*  645226 */     GIR_EraseRootFromParent_Done,
     /*  645227 */   // Label 10327: @645227
     /*  645227 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645302), // Rule ID 6826 //
     /*  645232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645300 */     GIR_RootConstrainSelectedInstOperands,
     /*  645301 */     // GIR_Coverage, 6826,
     /*  645301 */     GIR_EraseRootFromParent_Done,
     /*  645302 */   // Label 10328: @645302
     /*  645302 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645377), // Rule ID 6827 //
     /*  645307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645375 */     GIR_RootConstrainSelectedInstOperands,
     /*  645376 */     // GIR_Coverage, 6827,
     /*  645376 */     GIR_EraseRootFromParent_Done,
     /*  645377 */   // Label 10329: @645377
     /*  645377 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645452), // Rule ID 6830 //
     /*  645382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645450 */     GIR_RootConstrainSelectedInstOperands,
     /*  645451 */     // GIR_Coverage, 6830,
     /*  645451 */     GIR_EraseRootFromParent_Done,
     /*  645452 */   // Label 10330: @645452
     /*  645452 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645527), // Rule ID 6831 //
     /*  645457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645525 */     GIR_RootConstrainSelectedInstOperands,
     /*  645526 */     // GIR_Coverage, 6831,
     /*  645526 */     GIR_EraseRootFromParent_Done,
     /*  645527 */   // Label 10331: @645527
     /*  645527 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645602), // Rule ID 6834 //
     /*  645532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645600 */     GIR_RootConstrainSelectedInstOperands,
     /*  645601 */     // GIR_Coverage, 6834,
     /*  645601 */     GIR_EraseRootFromParent_Done,
     /*  645602 */   // Label 10332: @645602
     /*  645602 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645677), // Rule ID 6835 //
     /*  645607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645675 */     GIR_RootConstrainSelectedInstOperands,
     /*  645676 */     // GIR_Coverage, 6835,
     /*  645676 */     GIR_EraseRootFromParent_Done,
     /*  645677 */   // Label 10333: @645677
     /*  645677 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645752), // Rule ID 6838 //
     /*  645682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645750 */     GIR_RootConstrainSelectedInstOperands,
     /*  645751 */     // GIR_Coverage, 6838,
     /*  645751 */     GIR_EraseRootFromParent_Done,
     /*  645752 */   // Label 10334: @645752
     /*  645752 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645827), // Rule ID 6839 //
     /*  645757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645825 */     GIR_RootConstrainSelectedInstOperands,
     /*  645826 */     // GIR_Coverage, 6839,
     /*  645826 */     GIR_EraseRootFromParent_Done,
     /*  645827 */   // Label 10335: @645827
     /*  645827 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645902), // Rule ID 6842 //
     /*  645832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645900 */     GIR_RootConstrainSelectedInstOperands,
     /*  645901 */     // GIR_Coverage, 6842,
     /*  645901 */     GIR_EraseRootFromParent_Done,
     /*  645902 */   // Label 10336: @645902
     /*  645902 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645977), // Rule ID 6843 //
     /*  645907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645975 */     GIR_RootConstrainSelectedInstOperands,
     /*  645976 */     // GIR_Coverage, 6843,
     /*  645976 */     GIR_EraseRootFromParent_Done,
     /*  645977 */   // Label 10337: @645977
     /*  645977 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(646052), // Rule ID 6846 //
     /*  645982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646050 */     GIR_RootConstrainSelectedInstOperands,
     /*  646051 */     // GIR_Coverage, 6846,
     /*  646051 */     GIR_EraseRootFromParent_Done,
     /*  646052 */   // Label 10338: @646052
     /*  646052 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(646127), // Rule ID 6847 //
     /*  646057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646103 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646125 */     GIR_RootConstrainSelectedInstOperands,
     /*  646126 */     // GIR_Coverage, 6847,
     /*  646126 */     GIR_EraseRootFromParent_Done,
     /*  646127 */   // Label 10339: @646127
     /*  646127 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(646202), // Rule ID 6850 //
     /*  646132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646200 */     GIR_RootConstrainSelectedInstOperands,
     /*  646201 */     // GIR_Coverage, 6850,
     /*  646201 */     GIR_EraseRootFromParent_Done,
     /*  646202 */   // Label 10340: @646202
     /*  646202 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646277), // Rule ID 6851 //
     /*  646207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646275 */     GIR_RootConstrainSelectedInstOperands,
     /*  646276 */     // GIR_Coverage, 6851,
     /*  646276 */     GIR_EraseRootFromParent_Done,
     /*  646277 */   // Label 10341: @646277
     /*  646277 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646352), // Rule ID 6854 //
     /*  646282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646350 */     GIR_RootConstrainSelectedInstOperands,
     /*  646351 */     // GIR_Coverage, 6854,
     /*  646351 */     GIR_EraseRootFromParent_Done,
     /*  646352 */   // Label 10342: @646352
     /*  646352 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646427), // Rule ID 6855 //
     /*  646357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646425 */     GIR_RootConstrainSelectedInstOperands,
     /*  646426 */     // GIR_Coverage, 6855,
     /*  646426 */     GIR_EraseRootFromParent_Done,
     /*  646427 */   // Label 10343: @646427
     /*  646427 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646502), // Rule ID 6858 //
     /*  646432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646500 */     GIR_RootConstrainSelectedInstOperands,
     /*  646501 */     // GIR_Coverage, 6858,
     /*  646501 */     GIR_EraseRootFromParent_Done,
     /*  646502 */   // Label 10344: @646502
     /*  646502 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646577), // Rule ID 6859 //
     /*  646507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646575 */     GIR_RootConstrainSelectedInstOperands,
     /*  646576 */     // GIR_Coverage, 6859,
     /*  646576 */     GIR_EraseRootFromParent_Done,
     /*  646577 */   // Label 10345: @646577
     /*  646577 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646652), // Rule ID 6862 //
     /*  646582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646650 */     GIR_RootConstrainSelectedInstOperands,
     /*  646651 */     // GIR_Coverage, 6862,
     /*  646651 */     GIR_EraseRootFromParent_Done,
     /*  646652 */   // Label 10346: @646652
     /*  646652 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646727), // Rule ID 6863 //
     /*  646657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646725 */     GIR_RootConstrainSelectedInstOperands,
     /*  646726 */     // GIR_Coverage, 6863,
     /*  646726 */     GIR_EraseRootFromParent_Done,
     /*  646727 */   // Label 10347: @646727
     /*  646727 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646802), // Rule ID 6866 //
     /*  646732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646800 */     GIR_RootConstrainSelectedInstOperands,
     /*  646801 */     // GIR_Coverage, 6866,
     /*  646801 */     GIR_EraseRootFromParent_Done,
     /*  646802 */   // Label 10348: @646802
     /*  646802 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646877), // Rule ID 6867 //
     /*  646807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646875 */     GIR_RootConstrainSelectedInstOperands,
     /*  646876 */     // GIR_Coverage, 6867,
     /*  646876 */     GIR_EraseRootFromParent_Done,
     /*  646877 */   // Label 10349: @646877
     /*  646877 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646952), // Rule ID 6870 //
     /*  646882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646950 */     GIR_RootConstrainSelectedInstOperands,
     /*  646951 */     // GIR_Coverage, 6870,
     /*  646951 */     GIR_EraseRootFromParent_Done,
     /*  646952 */   // Label 10350: @646952
     /*  646952 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(647027), // Rule ID 6871 //
     /*  646957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647025 */     GIR_RootConstrainSelectedInstOperands,
     /*  647026 */     // GIR_Coverage, 6871,
     /*  647026 */     GIR_EraseRootFromParent_Done,
     /*  647027 */   // Label 10351: @647027
     /*  647027 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(647102), // Rule ID 6874 //
     /*  647032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647100 */     GIR_RootConstrainSelectedInstOperands,
     /*  647101 */     // GIR_Coverage, 6874,
     /*  647101 */     GIR_EraseRootFromParent_Done,
     /*  647102 */   // Label 10352: @647102
     /*  647102 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(647177), // Rule ID 6875 //
     /*  647107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647175 */     GIR_RootConstrainSelectedInstOperands,
     /*  647176 */     // GIR_Coverage, 6875,
     /*  647176 */     GIR_EraseRootFromParent_Done,
     /*  647177 */   // Label 10353: @647177
     /*  647177 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(647252), // Rule ID 6878 //
     /*  647182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647250 */     GIR_RootConstrainSelectedInstOperands,
     /*  647251 */     // GIR_Coverage, 6878,
     /*  647251 */     GIR_EraseRootFromParent_Done,
     /*  647252 */   // Label 10354: @647252
     /*  647252 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647327), // Rule ID 6879 //
     /*  647257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647325 */     GIR_RootConstrainSelectedInstOperands,
     /*  647326 */     // GIR_Coverage, 6879,
     /*  647326 */     GIR_EraseRootFromParent_Done,
     /*  647327 */   // Label 10355: @647327
     /*  647327 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647402), // Rule ID 6882 //
     /*  647332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647400 */     GIR_RootConstrainSelectedInstOperands,
     /*  647401 */     // GIR_Coverage, 6882,
     /*  647401 */     GIR_EraseRootFromParent_Done,
     /*  647402 */   // Label 10356: @647402
     /*  647402 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647477), // Rule ID 6883 //
     /*  647407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11508:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647475 */     GIR_RootConstrainSelectedInstOperands,
     /*  647476 */     // GIR_Coverage, 6883,
     /*  647476 */     GIR_EraseRootFromParent_Done,
     /*  647477 */   // Label 10357: @647477
     /*  647477 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647552), // Rule ID 6974 //
     /*  647482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647550 */     GIR_RootConstrainSelectedInstOperands,
     /*  647551 */     // GIR_Coverage, 6974,
     /*  647551 */     GIR_EraseRootFromParent_Done,
     /*  647552 */   // Label 10358: @647552
     /*  647552 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647627), // Rule ID 6975 //
     /*  647557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647625 */     GIR_RootConstrainSelectedInstOperands,
     /*  647626 */     // GIR_Coverage, 6975,
     /*  647626 */     GIR_EraseRootFromParent_Done,
     /*  647627 */   // Label 10359: @647627
     /*  647627 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647702), // Rule ID 6978 //
     /*  647632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647700 */     GIR_RootConstrainSelectedInstOperands,
     /*  647701 */     // GIR_Coverage, 6978,
     /*  647701 */     GIR_EraseRootFromParent_Done,
     /*  647702 */   // Label 10360: @647702
     /*  647702 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647777), // Rule ID 6979 //
     /*  647707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647775 */     GIR_RootConstrainSelectedInstOperands,
     /*  647776 */     // GIR_Coverage, 6979,
     /*  647776 */     GIR_EraseRootFromParent_Done,
     /*  647777 */   // Label 10361: @647777
     /*  647777 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647852), // Rule ID 6982 //
     /*  647782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647850 */     GIR_RootConstrainSelectedInstOperands,
     /*  647851 */     // GIR_Coverage, 6982,
     /*  647851 */     GIR_EraseRootFromParent_Done,
     /*  647852 */   // Label 10362: @647852
     /*  647852 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647927), // Rule ID 6983 //
     /*  647857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647925 */     GIR_RootConstrainSelectedInstOperands,
     /*  647926 */     // GIR_Coverage, 6983,
     /*  647926 */     GIR_EraseRootFromParent_Done,
     /*  647927 */   // Label 10363: @647927
     /*  647927 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(648002), // Rule ID 6986 //
     /*  647932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648000 */     GIR_RootConstrainSelectedInstOperands,
     /*  648001 */     // GIR_Coverage, 6986,
     /*  648001 */     GIR_EraseRootFromParent_Done,
     /*  648002 */   // Label 10364: @648002
     /*  648002 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(648077), // Rule ID 6987 //
     /*  648007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648075 */     GIR_RootConstrainSelectedInstOperands,
     /*  648076 */     // GIR_Coverage, 6987,
     /*  648076 */     GIR_EraseRootFromParent_Done,
     /*  648077 */   // Label 10365: @648077
     /*  648077 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(648152), // Rule ID 6990 //
     /*  648082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648150 */     GIR_RootConstrainSelectedInstOperands,
     /*  648151 */     // GIR_Coverage, 6990,
     /*  648151 */     GIR_EraseRootFromParent_Done,
     /*  648152 */   // Label 10366: @648152
     /*  648152 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(648227), // Rule ID 6991 //
     /*  648157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648225 */     GIR_RootConstrainSelectedInstOperands,
     /*  648226 */     // GIR_Coverage, 6991,
     /*  648226 */     GIR_EraseRootFromParent_Done,
     /*  648227 */   // Label 10367: @648227
     /*  648227 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648302), // Rule ID 6994 //
     /*  648232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  648252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648300 */     GIR_RootConstrainSelectedInstOperands,
     /*  648301 */     // GIR_Coverage, 6994,
     /*  648301 */     GIR_EraseRootFromParent_Done,
     /*  648302 */   // Label 10368: @648302
     /*  648302 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648377), // Rule ID 6995 //
     /*  648307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  648327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648375 */     GIR_RootConstrainSelectedInstOperands,
     /*  648376 */     // GIR_Coverage, 6995,
     /*  648376 */     GIR_EraseRootFromParent_Done,
     /*  648377 */   // Label 10369: @648377
     /*  648377 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648452), // Rule ID 6998 //
     /*  648382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648450 */     GIR_RootConstrainSelectedInstOperands,
     /*  648451 */     // GIR_Coverage, 6998,
     /*  648451 */     GIR_EraseRootFromParent_Done,
     /*  648452 */   // Label 10370: @648452
     /*  648452 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648527), // Rule ID 6999 //
     /*  648457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648525 */     GIR_RootConstrainSelectedInstOperands,
     /*  648526 */     // GIR_Coverage, 6999,
     /*  648526 */     GIR_EraseRootFromParent_Done,
     /*  648527 */   // Label 10371: @648527
     /*  648527 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648602), // Rule ID 7002 //
     /*  648532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648600 */     GIR_RootConstrainSelectedInstOperands,
     /*  648601 */     // GIR_Coverage, 7002,
     /*  648601 */     GIR_EraseRootFromParent_Done,
     /*  648602 */   // Label 10372: @648602
     /*  648602 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648677), // Rule ID 7003 //
     /*  648607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648675 */     GIR_RootConstrainSelectedInstOperands,
     /*  648676 */     // GIR_Coverage, 7003,
     /*  648676 */     GIR_EraseRootFromParent_Done,
     /*  648677 */   // Label 10373: @648677
     /*  648677 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648752), // Rule ID 7006 //
     /*  648682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648750 */     GIR_RootConstrainSelectedInstOperands,
     /*  648751 */     // GIR_Coverage, 7006,
     /*  648751 */     GIR_EraseRootFromParent_Done,
     /*  648752 */   // Label 10374: @648752
     /*  648752 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648827), // Rule ID 7007 //
     /*  648757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648825 */     GIR_RootConstrainSelectedInstOperands,
     /*  648826 */     // GIR_Coverage, 7007,
     /*  648826 */     GIR_EraseRootFromParent_Done,
     /*  648827 */   // Label 10375: @648827
     /*  648827 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648902), // Rule ID 7010 //
     /*  648832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648900 */     GIR_RootConstrainSelectedInstOperands,
     /*  648901 */     // GIR_Coverage, 7010,
     /*  648901 */     GIR_EraseRootFromParent_Done,
     /*  648902 */   // Label 10376: @648902
     /*  648902 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648977), // Rule ID 7011 //
     /*  648907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648975 */     GIR_RootConstrainSelectedInstOperands,
     /*  648976 */     // GIR_Coverage, 7011,
     /*  648976 */     GIR_EraseRootFromParent_Done,
     /*  648977 */   // Label 10377: @648977
     /*  648977 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(649052), // Rule ID 7014 //
     /*  648982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649050 */     GIR_RootConstrainSelectedInstOperands,
     /*  649051 */     // GIR_Coverage, 7014,
     /*  649051 */     GIR_EraseRootFromParent_Done,
     /*  649052 */   // Label 10378: @649052
     /*  649052 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(649127), // Rule ID 7015 //
     /*  649057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649125 */     GIR_RootConstrainSelectedInstOperands,
     /*  649126 */     // GIR_Coverage, 7015,
     /*  649126 */     GIR_EraseRootFromParent_Done,
     /*  649127 */   // Label 10379: @649127
     /*  649127 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(649202), // Rule ID 7018 //
     /*  649132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649200 */     GIR_RootConstrainSelectedInstOperands,
     /*  649201 */     // GIR_Coverage, 7018,
     /*  649201 */     GIR_EraseRootFromParent_Done,
     /*  649202 */   // Label 10380: @649202
     /*  649202 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649277), // Rule ID 7019 //
     /*  649207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649275 */     GIR_RootConstrainSelectedInstOperands,
     /*  649276 */     // GIR_Coverage, 7019,
     /*  649276 */     GIR_EraseRootFromParent_Done,
     /*  649277 */   // Label 10381: @649277
     /*  649277 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649352), // Rule ID 7022 //
     /*  649282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  649293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  649296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  649299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649350 */     GIR_RootConstrainSelectedInstOperands,
     /*  649351 */     // GIR_Coverage, 7022,
     /*  649351 */     GIR_EraseRootFromParent_Done,
     /*  649352 */   // Label 10382: @649352
     /*  649352 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649427), // Rule ID 7023 //
     /*  649357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  649368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  649371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  649374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649425 */     GIR_RootConstrainSelectedInstOperands,
     /*  649426 */     // GIR_Coverage, 7023,
     /*  649426 */     GIR_EraseRootFromParent_Done,
     /*  649427 */   // Label 10383: @649427
     /*  649427 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649502), // Rule ID 7026 //
     /*  649432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649500 */     GIR_RootConstrainSelectedInstOperands,
     /*  649501 */     // GIR_Coverage, 7026,
     /*  649501 */     GIR_EraseRootFromParent_Done,
     /*  649502 */   // Label 10384: @649502
     /*  649502 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649577), // Rule ID 7027 //
     /*  649507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649575 */     GIR_RootConstrainSelectedInstOperands,
     /*  649576 */     // GIR_Coverage, 7027,
     /*  649576 */     GIR_EraseRootFromParent_Done,
     /*  649577 */   // Label 10385: @649577
     /*  649577 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649652), // Rule ID 7030 //
     /*  649582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649650 */     GIR_RootConstrainSelectedInstOperands,
     /*  649651 */     // GIR_Coverage, 7030,
     /*  649651 */     GIR_EraseRootFromParent_Done,
     /*  649652 */   // Label 10386: @649652
     /*  649652 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649727), // Rule ID 7031 //
     /*  649657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649725 */     GIR_RootConstrainSelectedInstOperands,
     /*  649726 */     // GIR_Coverage, 7031,
     /*  649726 */     GIR_EraseRootFromParent_Done,
     /*  649727 */   // Label 10387: @649727
     /*  649727 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649802), // Rule ID 7034 //
     /*  649732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649800 */     GIR_RootConstrainSelectedInstOperands,
     /*  649801 */     // GIR_Coverage, 7034,
     /*  649801 */     GIR_EraseRootFromParent_Done,
     /*  649802 */   // Label 10388: @649802
     /*  649802 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649877), // Rule ID 7035 //
     /*  649807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649875 */     GIR_RootConstrainSelectedInstOperands,
     /*  649876 */     // GIR_Coverage, 7035,
     /*  649876 */     GIR_EraseRootFromParent_Done,
     /*  649877 */   // Label 10389: @649877
     /*  649877 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649952), // Rule ID 7038 //
     /*  649882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649950 */     GIR_RootConstrainSelectedInstOperands,
     /*  649951 */     // GIR_Coverage, 7038,
     /*  649951 */     GIR_EraseRootFromParent_Done,
     /*  649952 */   // Label 10390: @649952
     /*  649952 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(650027), // Rule ID 7039 //
     /*  649957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650025 */     GIR_RootConstrainSelectedInstOperands,
     /*  650026 */     // GIR_Coverage, 7039,
     /*  650026 */     GIR_EraseRootFromParent_Done,
     /*  650027 */   // Label 10391: @650027
     /*  650027 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(650102), // Rule ID 7042 //
     /*  650032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650100 */     GIR_RootConstrainSelectedInstOperands,
     /*  650101 */     // GIR_Coverage, 7042,
     /*  650101 */     GIR_EraseRootFromParent_Done,
     /*  650102 */   // Label 10392: @650102
     /*  650102 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(650177), // Rule ID 7043 //
     /*  650107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650175 */     GIR_RootConstrainSelectedInstOperands,
     /*  650176 */     // GIR_Coverage, 7043,
     /*  650176 */     GIR_EraseRootFromParent_Done,
     /*  650177 */   // Label 10393: @650177
     /*  650177 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(650252), // Rule ID 7046 //
     /*  650182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650250 */     GIR_RootConstrainSelectedInstOperands,
     /*  650251 */     // GIR_Coverage, 7046,
     /*  650251 */     GIR_EraseRootFromParent_Done,
     /*  650252 */   // Label 10394: @650252
     /*  650252 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650327), // Rule ID 7047 //
     /*  650257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650325 */     GIR_RootConstrainSelectedInstOperands,
     /*  650326 */     // GIR_Coverage, 7047,
     /*  650326 */     GIR_EraseRootFromParent_Done,
     /*  650327 */   // Label 10395: @650327
     /*  650327 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650402), // Rule ID 7050 //
     /*  650332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650400 */     GIR_RootConstrainSelectedInstOperands,
     /*  650401 */     // GIR_Coverage, 7050,
     /*  650401 */     GIR_EraseRootFromParent_Done,
     /*  650402 */   // Label 10396: @650402
     /*  650402 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650477), // Rule ID 7051 //
     /*  650407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650475 */     GIR_RootConstrainSelectedInstOperands,
     /*  650476 */     // GIR_Coverage, 7051,
     /*  650476 */     GIR_EraseRootFromParent_Done,
     /*  650477 */   // Label 10397: @650477
     /*  650477 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650552), // Rule ID 7054 //
     /*  650482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650550 */     GIR_RootConstrainSelectedInstOperands,
     /*  650551 */     // GIR_Coverage, 7054,
     /*  650551 */     GIR_EraseRootFromParent_Done,
     /*  650552 */   // Label 10398: @650552
     /*  650552 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650627), // Rule ID 7055 //
     /*  650557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650625 */     GIR_RootConstrainSelectedInstOperands,
     /*  650626 */     // GIR_Coverage, 7055,
     /*  650626 */     GIR_EraseRootFromParent_Done,
     /*  650627 */   // Label 10399: @650627
     /*  650627 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650702), // Rule ID 7058 //
     /*  650632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650700 */     GIR_RootConstrainSelectedInstOperands,
     /*  650701 */     // GIR_Coverage, 7058,
     /*  650701 */     GIR_EraseRootFromParent_Done,
     /*  650702 */   // Label 10400: @650702
     /*  650702 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650777), // Rule ID 7059 //
     /*  650707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650775 */     GIR_RootConstrainSelectedInstOperands,
     /*  650776 */     // GIR_Coverage, 7059,
     /*  650776 */     GIR_EraseRootFromParent_Done,
     /*  650777 */   // Label 10401: @650777
     /*  650777 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650852), // Rule ID 7062 //
     /*  650782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650850 */     GIR_RootConstrainSelectedInstOperands,
     /*  650851 */     // GIR_Coverage, 7062,
     /*  650851 */     GIR_EraseRootFromParent_Done,
     /*  650852 */   // Label 10402: @650852
     /*  650852 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650927), // Rule ID 7063 //
     /*  650857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650925 */     GIR_RootConstrainSelectedInstOperands,
     /*  650926 */     // GIR_Coverage, 7063,
     /*  650926 */     GIR_EraseRootFromParent_Done,
     /*  650927 */   // Label 10403: @650927
     /*  650927 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(651002), // Rule ID 7066 //
     /*  650932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651000 */     GIR_RootConstrainSelectedInstOperands,
     /*  651001 */     // GIR_Coverage, 7066,
     /*  651001 */     GIR_EraseRootFromParent_Done,
     /*  651002 */   // Label 10404: @651002
     /*  651002 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(651077), // Rule ID 7067 //
     /*  651007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651075 */     GIR_RootConstrainSelectedInstOperands,
     /*  651076 */     // GIR_Coverage, 7067,
     /*  651076 */     GIR_EraseRootFromParent_Done,
     /*  651077 */   // Label 10405: @651077
     /*  651077 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(651152), // Rule ID 7070 //
     /*  651082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651150 */     GIR_RootConstrainSelectedInstOperands,
     /*  651151 */     // GIR_Coverage, 7070,
     /*  651151 */     GIR_EraseRootFromParent_Done,
     /*  651152 */   // Label 10406: @651152
     /*  651152 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(651227), // Rule ID 7071 //
     /*  651157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651225 */     GIR_RootConstrainSelectedInstOperands,
     /*  651226 */     // GIR_Coverage, 7071,
     /*  651226 */     GIR_EraseRootFromParent_Done,
     /*  651227 */   // Label 10407: @651227
     /*  651227 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651302), // Rule ID 7074 //
     /*  651232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651300 */     GIR_RootConstrainSelectedInstOperands,
     /*  651301 */     // GIR_Coverage, 7074,
     /*  651301 */     GIR_EraseRootFromParent_Done,
     /*  651302 */   // Label 10408: @651302
     /*  651302 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651377), // Rule ID 7075 //
     /*  651307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651375 */     GIR_RootConstrainSelectedInstOperands,
     /*  651376 */     // GIR_Coverage, 7075,
     /*  651376 */     GIR_EraseRootFromParent_Done,
     /*  651377 */   // Label 10409: @651377
     /*  651377 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651452), // Rule ID 7078 //
     /*  651382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651450 */     GIR_RootConstrainSelectedInstOperands,
     /*  651451 */     // GIR_Coverage, 7078,
     /*  651451 */     GIR_EraseRootFromParent_Done,
     /*  651452 */   // Label 10410: @651452
     /*  651452 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651527), // Rule ID 7079 //
     /*  651457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651525 */     GIR_RootConstrainSelectedInstOperands,
     /*  651526 */     // GIR_Coverage, 7079,
     /*  651526 */     GIR_EraseRootFromParent_Done,
     /*  651527 */   // Label 10411: @651527
     /*  651527 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651602), // Rule ID 7082 //
     /*  651532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651600 */     GIR_RootConstrainSelectedInstOperands,
     /*  651601 */     // GIR_Coverage, 7082,
     /*  651601 */     GIR_EraseRootFromParent_Done,
     /*  651602 */   // Label 10412: @651602
     /*  651602 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651677), // Rule ID 7083 //
     /*  651607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651675 */     GIR_RootConstrainSelectedInstOperands,
     /*  651676 */     // GIR_Coverage, 7083,
     /*  651676 */     GIR_EraseRootFromParent_Done,
     /*  651677 */   // Label 10413: @651677
     /*  651677 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651752), // Rule ID 7086 //
     /*  651682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651750 */     GIR_RootConstrainSelectedInstOperands,
     /*  651751 */     // GIR_Coverage, 7086,
     /*  651751 */     GIR_EraseRootFromParent_Done,
     /*  651752 */   // Label 10414: @651752
     /*  651752 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651827), // Rule ID 7087 //
     /*  651757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651825 */     GIR_RootConstrainSelectedInstOperands,
     /*  651826 */     // GIR_Coverage, 7087,
     /*  651826 */     GIR_EraseRootFromParent_Done,
     /*  651827 */   // Label 10415: @651827
     /*  651827 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651902), // Rule ID 7090 //
     /*  651832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651900 */     GIR_RootConstrainSelectedInstOperands,
     /*  651901 */     // GIR_Coverage, 7090,
     /*  651901 */     GIR_EraseRootFromParent_Done,
     /*  651902 */   // Label 10416: @651902
     /*  651902 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651977), // Rule ID 7091 //
     /*  651907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651975 */     GIR_RootConstrainSelectedInstOperands,
     /*  651976 */     // GIR_Coverage, 7091,
     /*  651976 */     GIR_EraseRootFromParent_Done,
     /*  651977 */   // Label 10417: @651977
     /*  651977 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(652052), // Rule ID 7094 //
     /*  651982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652050 */     GIR_RootConstrainSelectedInstOperands,
     /*  652051 */     // GIR_Coverage, 7094,
     /*  652051 */     GIR_EraseRootFromParent_Done,
     /*  652052 */   // Label 10418: @652052
     /*  652052 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(652127), // Rule ID 7095 //
     /*  652057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652125 */     GIR_RootConstrainSelectedInstOperands,
     /*  652126 */     // GIR_Coverage, 7095,
     /*  652126 */     GIR_EraseRootFromParent_Done,
     /*  652127 */   // Label 10419: @652127
     /*  652127 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(652202), // Rule ID 7098 //
     /*  652132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652200 */     GIR_RootConstrainSelectedInstOperands,
     /*  652201 */     // GIR_Coverage, 7098,
     /*  652201 */     GIR_EraseRootFromParent_Done,
     /*  652202 */   // Label 10420: @652202
     /*  652202 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652277), // Rule ID 7099 //
     /*  652207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652275 */     GIR_RootConstrainSelectedInstOperands,
     /*  652276 */     // GIR_Coverage, 7099,
     /*  652276 */     GIR_EraseRootFromParent_Done,
     /*  652277 */   // Label 10421: @652277
     /*  652277 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652352), // Rule ID 7102 //
     /*  652282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  652299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652350 */     GIR_RootConstrainSelectedInstOperands,
     /*  652351 */     // GIR_Coverage, 7102,
     /*  652351 */     GIR_EraseRootFromParent_Done,
     /*  652352 */   // Label 10422: @652352
     /*  652352 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652427), // Rule ID 7103 //
     /*  652357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  652374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652425 */     GIR_RootConstrainSelectedInstOperands,
     /*  652426 */     // GIR_Coverage, 7103,
     /*  652426 */     GIR_EraseRootFromParent_Done,
     /*  652427 */   // Label 10423: @652427
     /*  652427 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652502), // Rule ID 7106 //
     /*  652432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652500 */     GIR_RootConstrainSelectedInstOperands,
     /*  652501 */     // GIR_Coverage, 7106,
     /*  652501 */     GIR_EraseRootFromParent_Done,
     /*  652502 */   // Label 10424: @652502
     /*  652502 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652577), // Rule ID 7107 //
     /*  652507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652575 */     GIR_RootConstrainSelectedInstOperands,
     /*  652576 */     // GIR_Coverage, 7107,
     /*  652576 */     GIR_EraseRootFromParent_Done,
     /*  652577 */   // Label 10425: @652577
     /*  652577 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652652), // Rule ID 7110 //
     /*  652582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652650 */     GIR_RootConstrainSelectedInstOperands,
     /*  652651 */     // GIR_Coverage, 7110,
     /*  652651 */     GIR_EraseRootFromParent_Done,
     /*  652652 */   // Label 10426: @652652
     /*  652652 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652727), // Rule ID 7111 //
     /*  652657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652725 */     GIR_RootConstrainSelectedInstOperands,
     /*  652726 */     // GIR_Coverage, 7111,
     /*  652726 */     GIR_EraseRootFromParent_Done,
     /*  652727 */   // Label 10427: @652727
     /*  652727 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652802), // Rule ID 7114 //
     /*  652732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652800 */     GIR_RootConstrainSelectedInstOperands,
     /*  652801 */     // GIR_Coverage, 7114,
     /*  652801 */     GIR_EraseRootFromParent_Done,
     /*  652802 */   // Label 10428: @652802
     /*  652802 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652877), // Rule ID 7115 //
     /*  652807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652875 */     GIR_RootConstrainSelectedInstOperands,
     /*  652876 */     // GIR_Coverage, 7115,
     /*  652876 */     GIR_EraseRootFromParent_Done,
     /*  652877 */   // Label 10429: @652877
     /*  652877 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652952), // Rule ID 7118 //
     /*  652882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652950 */     GIR_RootConstrainSelectedInstOperands,
     /*  652951 */     // GIR_Coverage, 7118,
     /*  652951 */     GIR_EraseRootFromParent_Done,
     /*  652952 */   // Label 10430: @652952
     /*  652952 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(653027), // Rule ID 7119 //
     /*  652957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653025 */     GIR_RootConstrainSelectedInstOperands,
     /*  653026 */     // GIR_Coverage, 7119,
     /*  653026 */     GIR_EraseRootFromParent_Done,
     /*  653027 */   // Label 10431: @653027
     /*  653027 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(653102), // Rule ID 7122 //
     /*  653032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653100 */     GIR_RootConstrainSelectedInstOperands,
     /*  653101 */     // GIR_Coverage, 7122,
     /*  653101 */     GIR_EraseRootFromParent_Done,
     /*  653102 */   // Label 10432: @653102
     /*  653102 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(653177), // Rule ID 7123 //
     /*  653107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653175 */     GIR_RootConstrainSelectedInstOperands,
     /*  653176 */     // GIR_Coverage, 7123,
     /*  653176 */     GIR_EraseRootFromParent_Done,
     /*  653177 */   // Label 10433: @653177
     /*  653177 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(653252), // Rule ID 7126 //
     /*  653182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653250 */     GIR_RootConstrainSelectedInstOperands,
     /*  653251 */     // GIR_Coverage, 7126,
     /*  653251 */     GIR_EraseRootFromParent_Done,
     /*  653252 */   // Label 10434: @653252
     /*  653252 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653327), // Rule ID 7127 //
     /*  653257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653325 */     GIR_RootConstrainSelectedInstOperands,
     /*  653326 */     // GIR_Coverage, 7127,
     /*  653326 */     GIR_EraseRootFromParent_Done,
     /*  653327 */   // Label 10435: @653327
     /*  653327 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653402), // Rule ID 7130 //
     /*  653332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653400 */     GIR_RootConstrainSelectedInstOperands,
     /*  653401 */     // GIR_Coverage, 7130,
     /*  653401 */     GIR_EraseRootFromParent_Done,
     /*  653402 */   // Label 10436: @653402
     /*  653402 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653477), // Rule ID 7131 //
     /*  653407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653475 */     GIR_RootConstrainSelectedInstOperands,
     /*  653476 */     // GIR_Coverage, 7131,
     /*  653476 */     GIR_EraseRootFromParent_Done,
     /*  653477 */   // Label 10437: @653477
     /*  653477 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653552), // Rule ID 7134 //
     /*  653482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653550 */     GIR_RootConstrainSelectedInstOperands,
     /*  653551 */     // GIR_Coverage, 7134,
     /*  653551 */     GIR_EraseRootFromParent_Done,
     /*  653552 */   // Label 10438: @653552
     /*  653552 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653627), // Rule ID 7135 //
     /*  653557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653625 */     GIR_RootConstrainSelectedInstOperands,
     /*  653626 */     // GIR_Coverage, 7135,
     /*  653626 */     GIR_EraseRootFromParent_Done,
     /*  653627 */   // Label 10439: @653627
     /*  653627 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653702), // Rule ID 7138 //
     /*  653632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653700 */     GIR_RootConstrainSelectedInstOperands,
     /*  653701 */     // GIR_Coverage, 7138,
     /*  653701 */     GIR_EraseRootFromParent_Done,
     /*  653702 */   // Label 10440: @653702
     /*  653702 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653777), // Rule ID 7139 //
     /*  653707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653775 */     GIR_RootConstrainSelectedInstOperands,
     /*  653776 */     // GIR_Coverage, 7139,
     /*  653776 */     GIR_EraseRootFromParent_Done,
     /*  653777 */   // Label 10441: @653777
     /*  653777 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653852), // Rule ID 7142 //
     /*  653782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653850 */     GIR_RootConstrainSelectedInstOperands,
     /*  653851 */     // GIR_Coverage, 7142,
     /*  653851 */     GIR_EraseRootFromParent_Done,
     /*  653852 */   // Label 10442: @653852
     /*  653852 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653927), // Rule ID 7143 //
     /*  653857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653925 */     GIR_RootConstrainSelectedInstOperands,
     /*  653926 */     // GIR_Coverage, 7143,
     /*  653926 */     GIR_EraseRootFromParent_Done,
     /*  653927 */   // Label 10443: @653927
     /*  653927 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(654002), // Rule ID 7146 //
     /*  653932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654000 */     GIR_RootConstrainSelectedInstOperands,
     /*  654001 */     // GIR_Coverage, 7146,
     /*  654001 */     GIR_EraseRootFromParent_Done,
     /*  654002 */   // Label 10444: @654002
     /*  654002 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(654077), // Rule ID 7147 //
     /*  654007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654075 */     GIR_RootConstrainSelectedInstOperands,
     /*  654076 */     // GIR_Coverage, 7147,
     /*  654076 */     GIR_EraseRootFromParent_Done,
     /*  654077 */   // Label 10445: @654077
     /*  654077 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(654152), // Rule ID 7326 //
     /*  654082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654150 */     GIR_RootConstrainSelectedInstOperands,
     /*  654151 */     // GIR_Coverage, 7326,
     /*  654151 */     GIR_EraseRootFromParent_Done,
     /*  654152 */   // Label 10446: @654152
     /*  654152 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(654227), // Rule ID 7327 //
     /*  654157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654225 */     GIR_RootConstrainSelectedInstOperands,
     /*  654226 */     // GIR_Coverage, 7327,
     /*  654226 */     GIR_EraseRootFromParent_Done,
     /*  654227 */   // Label 10447: @654227
     /*  654227 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654302), // Rule ID 7330 //
     /*  654232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  654252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654300 */     GIR_RootConstrainSelectedInstOperands,
     /*  654301 */     // GIR_Coverage, 7330,
     /*  654301 */     GIR_EraseRootFromParent_Done,
     /*  654302 */   // Label 10448: @654302
     /*  654302 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654377), // Rule ID 7331 //
     /*  654307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  654327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654375 */     GIR_RootConstrainSelectedInstOperands,
     /*  654376 */     // GIR_Coverage, 7331,
     /*  654376 */     GIR_EraseRootFromParent_Done,
     /*  654377 */   // Label 10449: @654377
     /*  654377 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654452), // Rule ID 7334 //
     /*  654382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654450 */     GIR_RootConstrainSelectedInstOperands,
     /*  654451 */     // GIR_Coverage, 7334,
     /*  654451 */     GIR_EraseRootFromParent_Done,
     /*  654452 */   // Label 10450: @654452
     /*  654452 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654527), // Rule ID 7335 //
     /*  654457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654525 */     GIR_RootConstrainSelectedInstOperands,
     /*  654526 */     // GIR_Coverage, 7335,
     /*  654526 */     GIR_EraseRootFromParent_Done,
     /*  654527 */   // Label 10451: @654527
     /*  654527 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654602), // Rule ID 7338 //
     /*  654532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654600 */     GIR_RootConstrainSelectedInstOperands,
     /*  654601 */     // GIR_Coverage, 7338,
     /*  654601 */     GIR_EraseRootFromParent_Done,
     /*  654602 */   // Label 10452: @654602
     /*  654602 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654677), // Rule ID 7339 //
     /*  654607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654675 */     GIR_RootConstrainSelectedInstOperands,
     /*  654676 */     // GIR_Coverage, 7339,
     /*  654676 */     GIR_EraseRootFromParent_Done,
     /*  654677 */   // Label 10453: @654677
     /*  654677 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654752), // Rule ID 7342 //
     /*  654682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654750 */     GIR_RootConstrainSelectedInstOperands,
     /*  654751 */     // GIR_Coverage, 7342,
     /*  654751 */     GIR_EraseRootFromParent_Done,
     /*  654752 */   // Label 10454: @654752
     /*  654752 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654827), // Rule ID 7343 //
     /*  654757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654825 */     GIR_RootConstrainSelectedInstOperands,
     /*  654826 */     // GIR_Coverage, 7343,
     /*  654826 */     GIR_EraseRootFromParent_Done,
     /*  654827 */   // Label 10455: @654827
     /*  654827 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654902), // Rule ID 7346 //
     /*  654832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654900 */     GIR_RootConstrainSelectedInstOperands,
     /*  654901 */     // GIR_Coverage, 7346,
     /*  654901 */     GIR_EraseRootFromParent_Done,
     /*  654902 */   // Label 10456: @654902
     /*  654902 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654977), // Rule ID 7347 //
     /*  654907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654975 */     GIR_RootConstrainSelectedInstOperands,
     /*  654976 */     // GIR_Coverage, 7347,
     /*  654976 */     GIR_EraseRootFromParent_Done,
     /*  654977 */   // Label 10457: @654977
     /*  654977 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(655052), // Rule ID 7350 //
     /*  654982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  654993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  654996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655050 */     GIR_RootConstrainSelectedInstOperands,
     /*  655051 */     // GIR_Coverage, 7350,
     /*  655051 */     GIR_EraseRootFromParent_Done,
     /*  655052 */   // Label 10458: @655052
     /*  655052 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(655127), // Rule ID 7351 //
     /*  655057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655103 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655125 */     GIR_RootConstrainSelectedInstOperands,
     /*  655126 */     // GIR_Coverage, 7351,
     /*  655126 */     GIR_EraseRootFromParent_Done,
     /*  655127 */   // Label 10459: @655127
     /*  655127 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(655202), // Rule ID 7354 //
     /*  655132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655200 */     GIR_RootConstrainSelectedInstOperands,
     /*  655201 */     // GIR_Coverage, 7354,
     /*  655201 */     GIR_EraseRootFromParent_Done,
     /*  655202 */   // Label 10460: @655202
     /*  655202 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655277), // Rule ID 7355 //
     /*  655207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655275 */     GIR_RootConstrainSelectedInstOperands,
     /*  655276 */     // GIR_Coverage, 7355,
     /*  655276 */     GIR_EraseRootFromParent_Done,
     /*  655277 */   // Label 10461: @655277
     /*  655277 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655352), // Rule ID 7358 //
     /*  655282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655350 */     GIR_RootConstrainSelectedInstOperands,
     /*  655351 */     // GIR_Coverage, 7358,
     /*  655351 */     GIR_EraseRootFromParent_Done,
     /*  655352 */   // Label 10462: @655352
     /*  655352 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655427), // Rule ID 7359 //
     /*  655357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655425 */     GIR_RootConstrainSelectedInstOperands,
     /*  655426 */     // GIR_Coverage, 7359,
     /*  655426 */     GIR_EraseRootFromParent_Done,
     /*  655427 */   // Label 10463: @655427
     /*  655427 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655502), // Rule ID 7362 //
     /*  655432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655500 */     GIR_RootConstrainSelectedInstOperands,
     /*  655501 */     // GIR_Coverage, 7362,
     /*  655501 */     GIR_EraseRootFromParent_Done,
     /*  655502 */   // Label 10464: @655502
     /*  655502 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655577), // Rule ID 7363 //
     /*  655507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655575 */     GIR_RootConstrainSelectedInstOperands,
     /*  655576 */     // GIR_Coverage, 7363,
     /*  655576 */     GIR_EraseRootFromParent_Done,
     /*  655577 */   // Label 10465: @655577
     /*  655577 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655652), // Rule ID 7366 //
     /*  655582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655650 */     GIR_RootConstrainSelectedInstOperands,
     /*  655651 */     // GIR_Coverage, 7366,
     /*  655651 */     GIR_EraseRootFromParent_Done,
     /*  655652 */   // Label 10466: @655652
     /*  655652 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655727), // Rule ID 7367 //
     /*  655657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655725 */     GIR_RootConstrainSelectedInstOperands,
     /*  655726 */     // GIR_Coverage, 7367,
     /*  655726 */     GIR_EraseRootFromParent_Done,
     /*  655727 */   // Label 10467: @655727
     /*  655727 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655802), // Rule ID 7370 //
     /*  655732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655800 */     GIR_RootConstrainSelectedInstOperands,
     /*  655801 */     // GIR_Coverage, 7370,
     /*  655801 */     GIR_EraseRootFromParent_Done,
     /*  655802 */   // Label 10468: @655802
     /*  655802 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655877), // Rule ID 7371 //
     /*  655807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655875 */     GIR_RootConstrainSelectedInstOperands,
     /*  655876 */     // GIR_Coverage, 7371,
     /*  655876 */     GIR_EraseRootFromParent_Done,
     /*  655877 */   // Label 10469: @655877
     /*  655877 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655952), // Rule ID 7374 //
     /*  655882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655950 */     GIR_RootConstrainSelectedInstOperands,
     /*  655951 */     // GIR_Coverage, 7374,
     /*  655951 */     GIR_EraseRootFromParent_Done,
     /*  655952 */   // Label 10470: @655952
     /*  655952 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(656027), // Rule ID 7375 //
     /*  655957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656025 */     GIR_RootConstrainSelectedInstOperands,
     /*  656026 */     // GIR_Coverage, 7375,
     /*  656026 */     GIR_EraseRootFromParent_Done,
     /*  656027 */   // Label 10471: @656027
     /*  656027 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(656102), // Rule ID 7378 //
     /*  656032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656100 */     GIR_RootConstrainSelectedInstOperands,
     /*  656101 */     // GIR_Coverage, 7378,
     /*  656101 */     GIR_EraseRootFromParent_Done,
     /*  656102 */   // Label 10472: @656102
     /*  656102 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(656177), // Rule ID 7379 //
     /*  656107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656175 */     GIR_RootConstrainSelectedInstOperands,
     /*  656176 */     // GIR_Coverage, 7379,
     /*  656176 */     GIR_EraseRootFromParent_Done,
     /*  656177 */   // Label 10473: @656177
     /*  656177 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(656252), // Rule ID 7382 //
     /*  656182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656250 */     GIR_RootConstrainSelectedInstOperands,
     /*  656251 */     // GIR_Coverage, 7382,
     /*  656251 */     GIR_EraseRootFromParent_Done,
     /*  656252 */   // Label 10474: @656252
     /*  656252 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656327), // Rule ID 7383 //
     /*  656257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656325 */     GIR_RootConstrainSelectedInstOperands,
     /*  656326 */     // GIR_Coverage, 7383,
     /*  656326 */     GIR_EraseRootFromParent_Done,
     /*  656327 */   // Label 10475: @656327
     /*  656327 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656402), // Rule ID 7386 //
     /*  656332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656400 */     GIR_RootConstrainSelectedInstOperands,
     /*  656401 */     // GIR_Coverage, 7386,
     /*  656401 */     GIR_EraseRootFromParent_Done,
     /*  656402 */   // Label 10476: @656402
     /*  656402 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656477), // Rule ID 7387 //
     /*  656407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656453 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656475 */     GIR_RootConstrainSelectedInstOperands,
     /*  656476 */     // GIR_Coverage, 7387,
     /*  656476 */     GIR_EraseRootFromParent_Done,
     /*  656477 */   // Label 10477: @656477
     /*  656477 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656552), // Rule ID 7390 //
     /*  656482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656550 */     GIR_RootConstrainSelectedInstOperands,
     /*  656551 */     // GIR_Coverage, 7390,
     /*  656551 */     GIR_EraseRootFromParent_Done,
     /*  656552 */   // Label 10478: @656552
     /*  656552 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656627), // Rule ID 7391 //
     /*  656557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656625 */     GIR_RootConstrainSelectedInstOperands,
     /*  656626 */     // GIR_Coverage, 7391,
     /*  656626 */     GIR_EraseRootFromParent_Done,
     /*  656627 */   // Label 10479: @656627
     /*  656627 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656702), // Rule ID 7394 //
     /*  656632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656700 */     GIR_RootConstrainSelectedInstOperands,
     /*  656701 */     // GIR_Coverage, 7394,
     /*  656701 */     GIR_EraseRootFromParent_Done,
     /*  656702 */   // Label 10480: @656702
     /*  656702 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656777), // Rule ID 7395 //
     /*  656707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656775 */     GIR_RootConstrainSelectedInstOperands,
     /*  656776 */     // GIR_Coverage, 7395,
     /*  656776 */     GIR_EraseRootFromParent_Done,
     /*  656777 */   // Label 10481: @656777
     /*  656777 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656852), // Rule ID 7398 //
     /*  656782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656850 */     GIR_RootConstrainSelectedInstOperands,
     /*  656851 */     // GIR_Coverage, 7398,
     /*  656851 */     GIR_EraseRootFromParent_Done,
     /*  656852 */   // Label 10482: @656852
     /*  656852 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656927), // Rule ID 7399 //
     /*  656857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656925 */     GIR_RootConstrainSelectedInstOperands,
     /*  656926 */     // GIR_Coverage, 7399,
     /*  656926 */     GIR_EraseRootFromParent_Done,
     /*  656927 */   // Label 10483: @656927
     /*  656927 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(657002), // Rule ID 7402 //
     /*  656932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657000 */     GIR_RootConstrainSelectedInstOperands,
     /*  657001 */     // GIR_Coverage, 7402,
     /*  657001 */     GIR_EraseRootFromParent_Done,
     /*  657002 */   // Label 10484: @657002
     /*  657002 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(657077), // Rule ID 7403 //
     /*  657007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657075 */     GIR_RootConstrainSelectedInstOperands,
     /*  657076 */     // GIR_Coverage, 7403,
     /*  657076 */     GIR_EraseRootFromParent_Done,
     /*  657077 */   // Label 10485: @657077
     /*  657077 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(657152), // Rule ID 7406 //
     /*  657082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657150 */     GIR_RootConstrainSelectedInstOperands,
     /*  657151 */     // GIR_Coverage, 7406,
     /*  657151 */     GIR_EraseRootFromParent_Done,
     /*  657152 */   // Label 10486: @657152
     /*  657152 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(657227), // Rule ID 7407 //
     /*  657157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657225 */     GIR_RootConstrainSelectedInstOperands,
     /*  657226 */     // GIR_Coverage, 7407,
     /*  657226 */     GIR_EraseRootFromParent_Done,
     /*  657227 */   // Label 10487: @657227
     /*  657227 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657302), // Rule ID 7410 //
     /*  657232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657300 */     GIR_RootConstrainSelectedInstOperands,
     /*  657301 */     // GIR_Coverage, 7410,
     /*  657301 */     GIR_EraseRootFromParent_Done,
     /*  657302 */   // Label 10488: @657302
     /*  657302 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657377), // Rule ID 7411 //
     /*  657307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657375 */     GIR_RootConstrainSelectedInstOperands,
     /*  657376 */     // GIR_Coverage, 7411,
     /*  657376 */     GIR_EraseRootFromParent_Done,
     /*  657377 */   // Label 10489: @657377
     /*  657377 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657452), // Rule ID 7414 //
     /*  657382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657450 */     GIR_RootConstrainSelectedInstOperands,
     /*  657451 */     // GIR_Coverage, 7414,
     /*  657451 */     GIR_EraseRootFromParent_Done,
     /*  657452 */   // Label 10490: @657452
     /*  657452 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657527), // Rule ID 7415 //
     /*  657457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657525 */     GIR_RootConstrainSelectedInstOperands,
     /*  657526 */     // GIR_Coverage, 7415,
     /*  657526 */     GIR_EraseRootFromParent_Done,
     /*  657527 */   // Label 10491: @657527
     /*  657527 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657602), // Rule ID 7418 //
     /*  657532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657600 */     GIR_RootConstrainSelectedInstOperands,
     /*  657601 */     // GIR_Coverage, 7418,
     /*  657601 */     GIR_EraseRootFromParent_Done,
     /*  657602 */   // Label 10492: @657602
     /*  657602 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657677), // Rule ID 7419 //
     /*  657607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657675 */     GIR_RootConstrainSelectedInstOperands,
     /*  657676 */     // GIR_Coverage, 7419,
     /*  657676 */     GIR_EraseRootFromParent_Done,
     /*  657677 */   // Label 10493: @657677
     /*  657677 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657752), // Rule ID 7422 //
     /*  657682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657750 */     GIR_RootConstrainSelectedInstOperands,
     /*  657751 */     // GIR_Coverage, 7422,
     /*  657751 */     GIR_EraseRootFromParent_Done,
     /*  657752 */   // Label 10494: @657752
     /*  657752 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657827), // Rule ID 7423 //
     /*  657757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657825 */     GIR_RootConstrainSelectedInstOperands,
     /*  657826 */     // GIR_Coverage, 7423,
     /*  657826 */     GIR_EraseRootFromParent_Done,
     /*  657827 */   // Label 10495: @657827
     /*  657827 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657902), // Rule ID 7426 //
     /*  657832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657900 */     GIR_RootConstrainSelectedInstOperands,
     /*  657901 */     // GIR_Coverage, 7426,
     /*  657901 */     GIR_EraseRootFromParent_Done,
     /*  657902 */   // Label 10496: @657902
     /*  657902 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657977), // Rule ID 7427 //
     /*  657907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657975 */     GIR_RootConstrainSelectedInstOperands,
     /*  657976 */     // GIR_Coverage, 7427,
     /*  657976 */     GIR_EraseRootFromParent_Done,
     /*  657977 */   // Label 10497: @657977
     /*  657977 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(658052), // Rule ID 7430 //
     /*  657982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658050 */     GIR_RootConstrainSelectedInstOperands,
     /*  658051 */     // GIR_Coverage, 7430,
     /*  658051 */     GIR_EraseRootFromParent_Done,
     /*  658052 */   // Label 10498: @658052
     /*  658052 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(658127), // Rule ID 7431 //
     /*  658057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658125 */     GIR_RootConstrainSelectedInstOperands,
     /*  658126 */     // GIR_Coverage, 7431,
     /*  658126 */     GIR_EraseRootFromParent_Done,
     /*  658127 */   // Label 10499: @658127
     /*  658127 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(658202), // Rule ID 7434 //
     /*  658132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658200 */     GIR_RootConstrainSelectedInstOperands,
     /*  658201 */     // GIR_Coverage, 7434,
     /*  658201 */     GIR_EraseRootFromParent_Done,
     /*  658202 */   // Label 10500: @658202
     /*  658202 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658277), // Rule ID 7435 //
     /*  658207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658275 */     GIR_RootConstrainSelectedInstOperands,
     /*  658276 */     // GIR_Coverage, 7435,
     /*  658276 */     GIR_EraseRootFromParent_Done,
     /*  658277 */   // Label 10501: @658277
     /*  658277 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658352), // Rule ID 7438 //
     /*  658282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658350 */     GIR_RootConstrainSelectedInstOperands,
     /*  658351 */     // GIR_Coverage, 7438,
     /*  658351 */     GIR_EraseRootFromParent_Done,
     /*  658352 */   // Label 10502: @658352
     /*  658352 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658427), // Rule ID 7439 //
     /*  658357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658425 */     GIR_RootConstrainSelectedInstOperands,
     /*  658426 */     // GIR_Coverage, 7439,
     /*  658426 */     GIR_EraseRootFromParent_Done,
     /*  658427 */   // Label 10503: @658427
     /*  658427 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658502), // Rule ID 7442 //
     /*  658432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658500 */     GIR_RootConstrainSelectedInstOperands,
     /*  658501 */     // GIR_Coverage, 7442,
     /*  658501 */     GIR_EraseRootFromParent_Done,
     /*  658502 */   // Label 10504: @658502
     /*  658502 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658577), // Rule ID 7443 //
     /*  658507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658575 */     GIR_RootConstrainSelectedInstOperands,
     /*  658576 */     // GIR_Coverage, 7443,
     /*  658576 */     GIR_EraseRootFromParent_Done,
     /*  658577 */   // Label 10505: @658577
     /*  658577 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658652), // Rule ID 7506 //
     /*  658582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658650 */     GIR_RootConstrainSelectedInstOperands,
     /*  658651 */     // GIR_Coverage, 7506,
     /*  658651 */     GIR_EraseRootFromParent_Done,
     /*  658652 */   // Label 10506: @658652
     /*  658652 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658727), // Rule ID 7507 //
     /*  658657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658725 */     GIR_RootConstrainSelectedInstOperands,
     /*  658726 */     // GIR_Coverage, 7507,
     /*  658726 */     GIR_EraseRootFromParent_Done,
     /*  658727 */   // Label 10507: @658727
     /*  658727 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658802), // Rule ID 7510 //
     /*  658732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658800 */     GIR_RootConstrainSelectedInstOperands,
     /*  658801 */     // GIR_Coverage, 7510,
     /*  658801 */     GIR_EraseRootFromParent_Done,
     /*  658802 */   // Label 10508: @658802
     /*  658802 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658877), // Rule ID 7511 //
     /*  658807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658875 */     GIR_RootConstrainSelectedInstOperands,
     /*  658876 */     // GIR_Coverage, 7511,
     /*  658876 */     GIR_EraseRootFromParent_Done,
     /*  658877 */   // Label 10509: @658877
     /*  658877 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658952), // Rule ID 7514 //
     /*  658882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658950 */     GIR_RootConstrainSelectedInstOperands,
     /*  658951 */     // GIR_Coverage, 7514,
     /*  658951 */     GIR_EraseRootFromParent_Done,
     /*  658952 */   // Label 10510: @658952
     /*  658952 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(659027), // Rule ID 7515 //
     /*  658957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659025 */     GIR_RootConstrainSelectedInstOperands,
     /*  659026 */     // GIR_Coverage, 7515,
     /*  659026 */     GIR_EraseRootFromParent_Done,
     /*  659027 */   // Label 10511: @659027
     /*  659027 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(659102), // Rule ID 7518 //
     /*  659032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659100 */     GIR_RootConstrainSelectedInstOperands,
     /*  659101 */     // GIR_Coverage, 7518,
     /*  659101 */     GIR_EraseRootFromParent_Done,
     /*  659102 */   // Label 10512: @659102
     /*  659102 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(659177), // Rule ID 7519 //
     /*  659107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659175 */     GIR_RootConstrainSelectedInstOperands,
     /*  659176 */     // GIR_Coverage, 7519,
     /*  659176 */     GIR_EraseRootFromParent_Done,
     /*  659177 */   // Label 10513: @659177
     /*  659177 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(659252), // Rule ID 7522 //
     /*  659182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659250 */     GIR_RootConstrainSelectedInstOperands,
     /*  659251 */     // GIR_Coverage, 7522,
     /*  659251 */     GIR_EraseRootFromParent_Done,
     /*  659252 */   // Label 10514: @659252
     /*  659252 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659327), // Rule ID 7523 //
     /*  659257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659325 */     GIR_RootConstrainSelectedInstOperands,
     /*  659326 */     // GIR_Coverage, 7523,
     /*  659326 */     GIR_EraseRootFromParent_Done,
     /*  659327 */   // Label 10515: @659327
     /*  659327 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659402), // Rule ID 7526 //
     /*  659332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659400 */     GIR_RootConstrainSelectedInstOperands,
     /*  659401 */     // GIR_Coverage, 7526,
     /*  659401 */     GIR_EraseRootFromParent_Done,
     /*  659402 */   // Label 10516: @659402
     /*  659402 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659477), // Rule ID 7527 //
     /*  659407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659475 */     GIR_RootConstrainSelectedInstOperands,
     /*  659476 */     // GIR_Coverage, 7527,
     /*  659476 */     GIR_EraseRootFromParent_Done,
     /*  659477 */   // Label 10517: @659477
     /*  659477 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659552), // Rule ID 7530 //
     /*  659482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659550 */     GIR_RootConstrainSelectedInstOperands,
     /*  659551 */     // GIR_Coverage, 7530,
     /*  659551 */     GIR_EraseRootFromParent_Done,
     /*  659552 */   // Label 10518: @659552
     /*  659552 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659627), // Rule ID 7531 //
     /*  659557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659625 */     GIR_RootConstrainSelectedInstOperands,
     /*  659626 */     // GIR_Coverage, 7531,
     /*  659626 */     GIR_EraseRootFromParent_Done,
     /*  659627 */   // Label 10519: @659627
     /*  659627 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659702), // Rule ID 7534 //
     /*  659632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659700 */     GIR_RootConstrainSelectedInstOperands,
     /*  659701 */     // GIR_Coverage, 7534,
     /*  659701 */     GIR_EraseRootFromParent_Done,
     /*  659702 */   // Label 10520: @659702
     /*  659702 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659777), // Rule ID 7535 //
     /*  659707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659775 */     GIR_RootConstrainSelectedInstOperands,
     /*  659776 */     // GIR_Coverage, 7535,
     /*  659776 */     GIR_EraseRootFromParent_Done,
     /*  659777 */   // Label 10521: @659777
     /*  659777 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659852), // Rule ID 7538 //
     /*  659782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659850 */     GIR_RootConstrainSelectedInstOperands,
     /*  659851 */     // GIR_Coverage, 7538,
     /*  659851 */     GIR_EraseRootFromParent_Done,
     /*  659852 */   // Label 10522: @659852
     /*  659852 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659927), // Rule ID 7539 //
     /*  659857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659925 */     GIR_RootConstrainSelectedInstOperands,
     /*  659926 */     // GIR_Coverage, 7539,
     /*  659926 */     GIR_EraseRootFromParent_Done,
     /*  659927 */   // Label 10523: @659927
     /*  659927 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(660002), // Rule ID 7542 //
     /*  659932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660000 */     GIR_RootConstrainSelectedInstOperands,
     /*  660001 */     // GIR_Coverage, 7542,
     /*  660001 */     GIR_EraseRootFromParent_Done,
     /*  660002 */   // Label 10524: @660002
     /*  660002 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(660077), // Rule ID 7543 //
     /*  660007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660075 */     GIR_RootConstrainSelectedInstOperands,
     /*  660076 */     // GIR_Coverage, 7543,
     /*  660076 */     GIR_EraseRootFromParent_Done,
     /*  660077 */   // Label 10525: @660077
     /*  660077 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(660152), // Rule ID 7546 //
     /*  660082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660150 */     GIR_RootConstrainSelectedInstOperands,
     /*  660151 */     // GIR_Coverage, 7546,
     /*  660151 */     GIR_EraseRootFromParent_Done,
     /*  660152 */   // Label 10526: @660152
     /*  660152 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(660227), // Rule ID 7547 //
     /*  660157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660225 */     GIR_RootConstrainSelectedInstOperands,
     /*  660226 */     // GIR_Coverage, 7547,
     /*  660226 */     GIR_EraseRootFromParent_Done,
     /*  660227 */   // Label 10527: @660227
     /*  660227 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660302), // Rule ID 7550 //
     /*  660232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660300 */     GIR_RootConstrainSelectedInstOperands,
     /*  660301 */     // GIR_Coverage, 7550,
     /*  660301 */     GIR_EraseRootFromParent_Done,
     /*  660302 */   // Label 10528: @660302
     /*  660302 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660377), // Rule ID 7551 //
     /*  660307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660375 */     GIR_RootConstrainSelectedInstOperands,
     /*  660376 */     // GIR_Coverage, 7551,
     /*  660376 */     GIR_EraseRootFromParent_Done,
     /*  660377 */   // Label 10529: @660377
     /*  660377 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660452), // Rule ID 7554 //
     /*  660382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660450 */     GIR_RootConstrainSelectedInstOperands,
     /*  660451 */     // GIR_Coverage, 7554,
     /*  660451 */     GIR_EraseRootFromParent_Done,
     /*  660452 */   // Label 10530: @660452
     /*  660452 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660527), // Rule ID 7555 //
     /*  660457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660525 */     GIR_RootConstrainSelectedInstOperands,
     /*  660526 */     // GIR_Coverage, 7555,
     /*  660526 */     GIR_EraseRootFromParent_Done,
     /*  660527 */   // Label 10531: @660527
     /*  660527 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660602), // Rule ID 7558 //
     /*  660532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660600 */     GIR_RootConstrainSelectedInstOperands,
     /*  660601 */     // GIR_Coverage, 7558,
     /*  660601 */     GIR_EraseRootFromParent_Done,
     /*  660602 */   // Label 10532: @660602
     /*  660602 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660677), // Rule ID 7559 //
     /*  660607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660675 */     GIR_RootConstrainSelectedInstOperands,
     /*  660676 */     // GIR_Coverage, 7559,
     /*  660676 */     GIR_EraseRootFromParent_Done,
     /*  660677 */   // Label 10533: @660677
     /*  660677 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660752), // Rule ID 7562 //
     /*  660682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660750 */     GIR_RootConstrainSelectedInstOperands,
     /*  660751 */     // GIR_Coverage, 7562,
     /*  660751 */     GIR_EraseRootFromParent_Done,
     /*  660752 */   // Label 10534: @660752
     /*  660752 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660827), // Rule ID 7563 //
     /*  660757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660825 */     GIR_RootConstrainSelectedInstOperands,
     /*  660826 */     // GIR_Coverage, 7563,
     /*  660826 */     GIR_EraseRootFromParent_Done,
     /*  660827 */   // Label 10535: @660827
     /*  660827 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660902), // Rule ID 7566 //
     /*  660832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660900 */     GIR_RootConstrainSelectedInstOperands,
     /*  660901 */     // GIR_Coverage, 7566,
     /*  660901 */     GIR_EraseRootFromParent_Done,
     /*  660902 */   // Label 10536: @660902
     /*  660902 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660977), // Rule ID 7567 //
     /*  660907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660975 */     GIR_RootConstrainSelectedInstOperands,
     /*  660976 */     // GIR_Coverage, 7567,
     /*  660976 */     GIR_EraseRootFromParent_Done,
     /*  660977 */   // Label 10537: @660977
     /*  660977 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(661052), // Rule ID 7570 //
     /*  660982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661050 */     GIR_RootConstrainSelectedInstOperands,
     /*  661051 */     // GIR_Coverage, 7570,
     /*  661051 */     GIR_EraseRootFromParent_Done,
     /*  661052 */   // Label 10538: @661052
     /*  661052 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(661127), // Rule ID 7571 //
     /*  661057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661103 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661125 */     GIR_RootConstrainSelectedInstOperands,
     /*  661126 */     // GIR_Coverage, 7571,
     /*  661126 */     GIR_EraseRootFromParent_Done,
     /*  661127 */   // Label 10539: @661127
     /*  661127 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(661202), // Rule ID 7574 //
     /*  661132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661200 */     GIR_RootConstrainSelectedInstOperands,
     /*  661201 */     // GIR_Coverage, 7574,
     /*  661201 */     GIR_EraseRootFromParent_Done,
     /*  661202 */   // Label 10540: @661202
     /*  661202 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661277), // Rule ID 7575 //
     /*  661207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661275 */     GIR_RootConstrainSelectedInstOperands,
     /*  661276 */     // GIR_Coverage, 7575,
     /*  661276 */     GIR_EraseRootFromParent_Done,
     /*  661277 */   // Label 10541: @661277
     /*  661277 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661352), // Rule ID 7578 //
     /*  661282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661350 */     GIR_RootConstrainSelectedInstOperands,
     /*  661351 */     // GIR_Coverage, 7578,
     /*  661351 */     GIR_EraseRootFromParent_Done,
     /*  661352 */   // Label 10542: @661352
     /*  661352 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661427), // Rule ID 7579 //
     /*  661357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661425 */     GIR_RootConstrainSelectedInstOperands,
     /*  661426 */     // GIR_Coverage, 7579,
     /*  661426 */     GIR_EraseRootFromParent_Done,
     /*  661427 */   // Label 10543: @661427
     /*  661427 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661502), // Rule ID 7582 //
     /*  661432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661500 */     GIR_RootConstrainSelectedInstOperands,
     /*  661501 */     // GIR_Coverage, 7582,
     /*  661501 */     GIR_EraseRootFromParent_Done,
     /*  661502 */   // Label 10544: @661502
     /*  661502 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661577), // Rule ID 7583 //
     /*  661507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661575 */     GIR_RootConstrainSelectedInstOperands,
     /*  661576 */     // GIR_Coverage, 7583,
     /*  661576 */     GIR_EraseRootFromParent_Done,
     /*  661577 */   // Label 10545: @661577
     /*  661577 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661652), // Rule ID 7586 //
     /*  661582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661650 */     GIR_RootConstrainSelectedInstOperands,
     /*  661651 */     // GIR_Coverage, 7586,
     /*  661651 */     GIR_EraseRootFromParent_Done,
     /*  661652 */   // Label 10546: @661652
     /*  661652 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661727), // Rule ID 7587 //
     /*  661657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661703 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661725 */     GIR_RootConstrainSelectedInstOperands,
     /*  661726 */     // GIR_Coverage, 7587,
     /*  661726 */     GIR_EraseRootFromParent_Done,
     /*  661727 */   // Label 10547: @661727
     /*  661727 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661802), // Rule ID 7590 //
     /*  661732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661800 */     GIR_RootConstrainSelectedInstOperands,
     /*  661801 */     // GIR_Coverage, 7590,
     /*  661801 */     GIR_EraseRootFromParent_Done,
     /*  661802 */   // Label 10548: @661802
     /*  661802 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661877), // Rule ID 7591 //
     /*  661807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661875 */     GIR_RootConstrainSelectedInstOperands,
     /*  661876 */     // GIR_Coverage, 7591,
     /*  661876 */     GIR_EraseRootFromParent_Done,
     /*  661877 */   // Label 10549: @661877
     /*  661877 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661952), // Rule ID 7594 //
     /*  661882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661950 */     GIR_RootConstrainSelectedInstOperands,
     /*  661951 */     // GIR_Coverage, 7594,
     /*  661951 */     GIR_EraseRootFromParent_Done,
     /*  661952 */   // Label 10550: @661952
     /*  661952 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(662027), // Rule ID 7595 //
     /*  661957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662025 */     GIR_RootConstrainSelectedInstOperands,
     /*  662026 */     // GIR_Coverage, 7595,
     /*  662026 */     GIR_EraseRootFromParent_Done,
     /*  662027 */   // Label 10551: @662027
     /*  662027 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(662102), // Rule ID 7598 //
     /*  662032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662100 */     GIR_RootConstrainSelectedInstOperands,
     /*  662101 */     // GIR_Coverage, 7598,
     /*  662101 */     GIR_EraseRootFromParent_Done,
     /*  662102 */   // Label 10552: @662102
     /*  662102 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(662177), // Rule ID 7599 //
     /*  662107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662175 */     GIR_RootConstrainSelectedInstOperands,
     /*  662176 */     // GIR_Coverage, 7599,
     /*  662176 */     GIR_EraseRootFromParent_Done,
     /*  662177 */   // Label 10553: @662177
     /*  662177 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(662252), // Rule ID 7602 //
     /*  662182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662250 */     GIR_RootConstrainSelectedInstOperands,
     /*  662251 */     // GIR_Coverage, 7602,
     /*  662251 */     GIR_EraseRootFromParent_Done,
     /*  662252 */   // Label 10554: @662252
     /*  662252 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662327), // Rule ID 7603 //
     /*  662257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662303 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662325 */     GIR_RootConstrainSelectedInstOperands,
     /*  662326 */     // GIR_Coverage, 7603,
     /*  662326 */     GIR_EraseRootFromParent_Done,
     /*  662327 */   // Label 10555: @662327
     /*  662327 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662402), // Rule ID 7606 //
     /*  662332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662400 */     GIR_RootConstrainSelectedInstOperands,
     /*  662401 */     // GIR_Coverage, 7606,
     /*  662401 */     GIR_EraseRootFromParent_Done,
     /*  662402 */   // Label 10556: @662402
     /*  662402 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662477), // Rule ID 7607 //
     /*  662407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662453 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662475 */     GIR_RootConstrainSelectedInstOperands,
     /*  662476 */     // GIR_Coverage, 7607,
     /*  662476 */     GIR_EraseRootFromParent_Done,
     /*  662477 */   // Label 10557: @662477
     /*  662477 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662552), // Rule ID 7610 //
     /*  662482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662550 */     GIR_RootConstrainSelectedInstOperands,
     /*  662551 */     // GIR_Coverage, 7610,
     /*  662551 */     GIR_EraseRootFromParent_Done,
     /*  662552 */   // Label 10558: @662552
     /*  662552 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662627), // Rule ID 7611 //
     /*  662557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662625 */     GIR_RootConstrainSelectedInstOperands,
     /*  662626 */     // GIR_Coverage, 7611,
     /*  662626 */     GIR_EraseRootFromParent_Done,
     /*  662627 */   // Label 10559: @662627
     /*  662627 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662702), // Rule ID 7614 //
     /*  662632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662700 */     GIR_RootConstrainSelectedInstOperands,
     /*  662701 */     // GIR_Coverage, 7614,
     /*  662701 */     GIR_EraseRootFromParent_Done,
     /*  662702 */   // Label 10560: @662702
     /*  662702 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662777), // Rule ID 7615 //
     /*  662707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662775 */     GIR_RootConstrainSelectedInstOperands,
     /*  662776 */     // GIR_Coverage, 7615,
     /*  662776 */     GIR_EraseRootFromParent_Done,
     /*  662777 */   // Label 10561: @662777
     /*  662777 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662852), // Rule ID 7618 //
     /*  662782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662850 */     GIR_RootConstrainSelectedInstOperands,
     /*  662851 */     // GIR_Coverage, 7618,
     /*  662851 */     GIR_EraseRootFromParent_Done,
     /*  662852 */   // Label 10562: @662852
     /*  662852 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662927), // Rule ID 7619 //
     /*  662857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662925 */     GIR_RootConstrainSelectedInstOperands,
     /*  662926 */     // GIR_Coverage, 7619,
     /*  662926 */     GIR_EraseRootFromParent_Done,
     /*  662927 */   // Label 10563: @662927
     /*  662927 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(663002), // Rule ID 7622 //
     /*  662932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663000 */     GIR_RootConstrainSelectedInstOperands,
     /*  663001 */     // GIR_Coverage, 7622,
     /*  663001 */     GIR_EraseRootFromParent_Done,
     /*  663002 */   // Label 10564: @663002
     /*  663002 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(663077), // Rule ID 7623 //
     /*  663007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663075 */     GIR_RootConstrainSelectedInstOperands,
     /*  663076 */     // GIR_Coverage, 7623,
     /*  663076 */     GIR_EraseRootFromParent_Done,
     /*  663077 */   // Label 10565: @663077
     /*  663077 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(663152), // Rule ID 10138 //
     /*  663082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663150 */     GIR_RootConstrainSelectedInstOperands,
     /*  663151 */     // GIR_Coverage, 10138,
     /*  663151 */     GIR_EraseRootFromParent_Done,
     /*  663152 */   // Label 10566: @663152
     /*  663152 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(663227), // Rule ID 10139 //
     /*  663157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663225 */     GIR_RootConstrainSelectedInstOperands,
     /*  663226 */     // GIR_Coverage, 10139,
     /*  663226 */     GIR_EraseRootFromParent_Done,
     /*  663227 */   // Label 10567: @663227
     /*  663227 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663302), // Rule ID 10142 //
     /*  663232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663300 */     GIR_RootConstrainSelectedInstOperands,
     /*  663301 */     // GIR_Coverage, 10142,
     /*  663301 */     GIR_EraseRootFromParent_Done,
     /*  663302 */   // Label 10568: @663302
     /*  663302 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663377), // Rule ID 10143 //
     /*  663307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663375 */     GIR_RootConstrainSelectedInstOperands,
     /*  663376 */     // GIR_Coverage, 10143,
     /*  663376 */     GIR_EraseRootFromParent_Done,
     /*  663377 */   // Label 10569: @663377
     /*  663377 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663452), // Rule ID 10146 //
     /*  663382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663450 */     GIR_RootConstrainSelectedInstOperands,
     /*  663451 */     // GIR_Coverage, 10146,
     /*  663451 */     GIR_EraseRootFromParent_Done,
     /*  663452 */   // Label 10570: @663452
     /*  663452 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663527), // Rule ID 10147 //
     /*  663457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663525 */     GIR_RootConstrainSelectedInstOperands,
     /*  663526 */     // GIR_Coverage, 10147,
     /*  663526 */     GIR_EraseRootFromParent_Done,
     /*  663527 */   // Label 10571: @663527
     /*  663527 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663602), // Rule ID 10150 //
     /*  663532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663600 */     GIR_RootConstrainSelectedInstOperands,
     /*  663601 */     // GIR_Coverage, 10150,
     /*  663601 */     GIR_EraseRootFromParent_Done,
     /*  663602 */   // Label 10572: @663602
     /*  663602 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663677), // Rule ID 10151 //
     /*  663607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663675 */     GIR_RootConstrainSelectedInstOperands,
     /*  663676 */     // GIR_Coverage, 10151,
     /*  663676 */     GIR_EraseRootFromParent_Done,
     /*  663677 */   // Label 10573: @663677
     /*  663677 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663752), // Rule ID 10154 //
     /*  663682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663750 */     GIR_RootConstrainSelectedInstOperands,
     /*  663751 */     // GIR_Coverage, 10154,
     /*  663751 */     GIR_EraseRootFromParent_Done,
     /*  663752 */   // Label 10574: @663752
     /*  663752 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663827), // Rule ID 10155 //
     /*  663757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663825 */     GIR_RootConstrainSelectedInstOperands,
     /*  663826 */     // GIR_Coverage, 10155,
     /*  663826 */     GIR_EraseRootFromParent_Done,
     /*  663827 */   // Label 10575: @663827
     /*  663827 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663902), // Rule ID 10158 //
     /*  663832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663900 */     GIR_RootConstrainSelectedInstOperands,
     /*  663901 */     // GIR_Coverage, 10158,
     /*  663901 */     GIR_EraseRootFromParent_Done,
     /*  663902 */   // Label 10576: @663902
     /*  663902 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663977), // Rule ID 10159 //
     /*  663907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663975 */     GIR_RootConstrainSelectedInstOperands,
     /*  663976 */     // GIR_Coverage, 10159,
     /*  663976 */     GIR_EraseRootFromParent_Done,
     /*  663977 */   // Label 10577: @663977
     /*  663977 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(664052), // Rule ID 10162 //
     /*  663982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664050 */     GIR_RootConstrainSelectedInstOperands,
     /*  664051 */     // GIR_Coverage, 10162,
     /*  664051 */     GIR_EraseRootFromParent_Done,
     /*  664052 */   // Label 10578: @664052
     /*  664052 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(664127), // Rule ID 10163 //
     /*  664057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664125 */     GIR_RootConstrainSelectedInstOperands,
     /*  664126 */     // GIR_Coverage, 10163,
     /*  664126 */     GIR_EraseRootFromParent_Done,
     /*  664127 */   // Label 10579: @664127
     /*  664127 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(664202), // Rule ID 10166 //
     /*  664132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664200 */     GIR_RootConstrainSelectedInstOperands,
     /*  664201 */     // GIR_Coverage, 10166,
     /*  664201 */     GIR_EraseRootFromParent_Done,
     /*  664202 */   // Label 10580: @664202
     /*  664202 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664277), // Rule ID 10167 //
     /*  664207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664275 */     GIR_RootConstrainSelectedInstOperands,
     /*  664276 */     // GIR_Coverage, 10167,
     /*  664276 */     GIR_EraseRootFromParent_Done,
     /*  664277 */   // Label 10581: @664277
     /*  664277 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664352), // Rule ID 10170 //
     /*  664282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664350 */     GIR_RootConstrainSelectedInstOperands,
     /*  664351 */     // GIR_Coverage, 10170,
     /*  664351 */     GIR_EraseRootFromParent_Done,
     /*  664352 */   // Label 10582: @664352
     /*  664352 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664427), // Rule ID 10171 //
     /*  664357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664425 */     GIR_RootConstrainSelectedInstOperands,
     /*  664426 */     // GIR_Coverage, 10171,
     /*  664426 */     GIR_EraseRootFromParent_Done,
     /*  664427 */   // Label 10583: @664427
     /*  664427 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664502), // Rule ID 10174 //
     /*  664432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664500 */     GIR_RootConstrainSelectedInstOperands,
     /*  664501 */     // GIR_Coverage, 10174,
     /*  664501 */     GIR_EraseRootFromParent_Done,
     /*  664502 */   // Label 10584: @664502
     /*  664502 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664577), // Rule ID 10175 //
     /*  664507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664575 */     GIR_RootConstrainSelectedInstOperands,
     /*  664576 */     // GIR_Coverage, 10175,
     /*  664576 */     GIR_EraseRootFromParent_Done,
     /*  664577 */   // Label 10585: @664577
     /*  664577 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664652), // Rule ID 10178 //
     /*  664582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664650 */     GIR_RootConstrainSelectedInstOperands,
     /*  664651 */     // GIR_Coverage, 10178,
     /*  664651 */     GIR_EraseRootFromParent_Done,
     /*  664652 */   // Label 10586: @664652
     /*  664652 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664727), // Rule ID 10179 //
     /*  664657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664725 */     GIR_RootConstrainSelectedInstOperands,
     /*  664726 */     // GIR_Coverage, 10179,
     /*  664726 */     GIR_EraseRootFromParent_Done,
     /*  664727 */   // Label 10587: @664727
     /*  664727 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664802), // Rule ID 10182 //
     /*  664732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664800 */     GIR_RootConstrainSelectedInstOperands,
     /*  664801 */     // GIR_Coverage, 10182,
     /*  664801 */     GIR_EraseRootFromParent_Done,
     /*  664802 */   // Label 10588: @664802
     /*  664802 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664877), // Rule ID 10183 //
     /*  664807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664875 */     GIR_RootConstrainSelectedInstOperands,
     /*  664876 */     // GIR_Coverage, 10183,
     /*  664876 */     GIR_EraseRootFromParent_Done,
     /*  664877 */   // Label 10589: @664877
     /*  664877 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664952), // Rule ID 10186 //
     /*  664882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664950 */     GIR_RootConstrainSelectedInstOperands,
     /*  664951 */     // GIR_Coverage, 10186,
     /*  664951 */     GIR_EraseRootFromParent_Done,
     /*  664952 */   // Label 10590: @664952
     /*  664952 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(665027), // Rule ID 10187 //
     /*  664957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665025 */     GIR_RootConstrainSelectedInstOperands,
     /*  665026 */     // GIR_Coverage, 10187,
     /*  665026 */     GIR_EraseRootFromParent_Done,
     /*  665027 */   // Label 10591: @665027
     /*  665027 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(665102), // Rule ID 10190 //
     /*  665032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665100 */     GIR_RootConstrainSelectedInstOperands,
     /*  665101 */     // GIR_Coverage, 10190,
     /*  665101 */     GIR_EraseRootFromParent_Done,
     /*  665102 */   // Label 10592: @665102
     /*  665102 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(665177), // Rule ID 10191 //
     /*  665107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665175 */     GIR_RootConstrainSelectedInstOperands,
     /*  665176 */     // GIR_Coverage, 10191,
     /*  665176 */     GIR_EraseRootFromParent_Done,
     /*  665177 */   // Label 10593: @665177
     /*  665177 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(665252), // Rule ID 10194 //
     /*  665182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665250 */     GIR_RootConstrainSelectedInstOperands,
     /*  665251 */     // GIR_Coverage, 10194,
     /*  665251 */     GIR_EraseRootFromParent_Done,
     /*  665252 */   // Label 10594: @665252
     /*  665252 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665327), // Rule ID 10195 //
     /*  665257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665325 */     GIR_RootConstrainSelectedInstOperands,
     /*  665326 */     // GIR_Coverage, 10195,
     /*  665326 */     GIR_EraseRootFromParent_Done,
     /*  665327 */   // Label 10595: @665327
     /*  665327 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665402), // Rule ID 10198 //
     /*  665332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665400 */     GIR_RootConstrainSelectedInstOperands,
     /*  665401 */     // GIR_Coverage, 10198,
     /*  665401 */     GIR_EraseRootFromParent_Done,
     /*  665402 */   // Label 10596: @665402
     /*  665402 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665477), // Rule ID 10199 //
     /*  665407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665475 */     GIR_RootConstrainSelectedInstOperands,
     /*  665476 */     // GIR_Coverage, 10199,
     /*  665476 */     GIR_EraseRootFromParent_Done,
     /*  665477 */   // Label 10597: @665477
     /*  665477 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665552), // Rule ID 10202 //
     /*  665482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665550 */     GIR_RootConstrainSelectedInstOperands,
     /*  665551 */     // GIR_Coverage, 10202,
     /*  665551 */     GIR_EraseRootFromParent_Done,
     /*  665552 */   // Label 10598: @665552
     /*  665552 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665627), // Rule ID 10203 //
     /*  665557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665625 */     GIR_RootConstrainSelectedInstOperands,
     /*  665626 */     // GIR_Coverage, 10203,
     /*  665626 */     GIR_EraseRootFromParent_Done,
     /*  665627 */   // Label 10599: @665627
     /*  665627 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665702), // Rule ID 10206 //
     /*  665632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665700 */     GIR_RootConstrainSelectedInstOperands,
     /*  665701 */     // GIR_Coverage, 10206,
     /*  665701 */     GIR_EraseRootFromParent_Done,
     /*  665702 */   // Label 10600: @665702
     /*  665702 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665777), // Rule ID 10207 //
     /*  665707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665775 */     GIR_RootConstrainSelectedInstOperands,
     /*  665776 */     // GIR_Coverage, 10207,
     /*  665776 */     GIR_EraseRootFromParent_Done,
     /*  665777 */   // Label 10601: @665777
     /*  665777 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665852), // Rule ID 10210 //
     /*  665782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665850 */     GIR_RootConstrainSelectedInstOperands,
     /*  665851 */     // GIR_Coverage, 10210,
     /*  665851 */     GIR_EraseRootFromParent_Done,
     /*  665852 */   // Label 10602: @665852
     /*  665852 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665927), // Rule ID 10211 //
     /*  665857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665925 */     GIR_RootConstrainSelectedInstOperands,
     /*  665926 */     // GIR_Coverage, 10211,
     /*  665926 */     GIR_EraseRootFromParent_Done,
     /*  665927 */   // Label 10603: @665927
     /*  665927 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(666002), // Rule ID 10214 //
     /*  665932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666000 */     GIR_RootConstrainSelectedInstOperands,
     /*  666001 */     // GIR_Coverage, 10214,
     /*  666001 */     GIR_EraseRootFromParent_Done,
     /*  666002 */   // Label 10604: @666002
     /*  666002 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(666077), // Rule ID 10215 //
     /*  666007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666075 */     GIR_RootConstrainSelectedInstOperands,
     /*  666076 */     // GIR_Coverage, 10215,
     /*  666076 */     GIR_EraseRootFromParent_Done,
     /*  666077 */   // Label 10605: @666077
     /*  666077 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(666152), // Rule ID 10218 //
     /*  666082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666150 */     GIR_RootConstrainSelectedInstOperands,
     /*  666151 */     // GIR_Coverage, 10218,
     /*  666151 */     GIR_EraseRootFromParent_Done,
     /*  666152 */   // Label 10606: @666152
     /*  666152 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(666227), // Rule ID 10219 //
     /*  666157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666225 */     GIR_RootConstrainSelectedInstOperands,
     /*  666226 */     // GIR_Coverage, 10219,
     /*  666226 */     GIR_EraseRootFromParent_Done,
     /*  666227 */   // Label 10607: @666227
     /*  666227 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666302), // Rule ID 10222 //
     /*  666232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666300 */     GIR_RootConstrainSelectedInstOperands,
     /*  666301 */     // GIR_Coverage, 10222,
     /*  666301 */     GIR_EraseRootFromParent_Done,
     /*  666302 */   // Label 10608: @666302
     /*  666302 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666377), // Rule ID 10223 //
     /*  666307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666375 */     GIR_RootConstrainSelectedInstOperands,
     /*  666376 */     // GIR_Coverage, 10223,
     /*  666376 */     GIR_EraseRootFromParent_Done,
     /*  666377 */   // Label 10609: @666377
     /*  666377 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666452), // Rule ID 10226 //
     /*  666382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666450 */     GIR_RootConstrainSelectedInstOperands,
     /*  666451 */     // GIR_Coverage, 10226,
     /*  666451 */     GIR_EraseRootFromParent_Done,
     /*  666452 */   // Label 10610: @666452
     /*  666452 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666527), // Rule ID 10227 //
     /*  666457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666525 */     GIR_RootConstrainSelectedInstOperands,
     /*  666526 */     // GIR_Coverage, 10227,
     /*  666526 */     GIR_EraseRootFromParent_Done,
     /*  666527 */   // Label 10611: @666527
     /*  666527 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666602), // Rule ID 10230 //
     /*  666532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666578 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666600 */     GIR_RootConstrainSelectedInstOperands,
     /*  666601 */     // GIR_Coverage, 10230,
     /*  666601 */     GIR_EraseRootFromParent_Done,
     /*  666602 */   // Label 10612: @666602
     /*  666602 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666677), // Rule ID 10231 //
     /*  666607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666675 */     GIR_RootConstrainSelectedInstOperands,
     /*  666676 */     // GIR_Coverage, 10231,
     /*  666676 */     GIR_EraseRootFromParent_Done,
     /*  666677 */   // Label 10613: @666677
     /*  666677 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666752), // Rule ID 10234 //
     /*  666682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666750 */     GIR_RootConstrainSelectedInstOperands,
     /*  666751 */     // GIR_Coverage, 10234,
     /*  666751 */     GIR_EraseRootFromParent_Done,
     /*  666752 */   // Label 10614: @666752
     /*  666752 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666827), // Rule ID 10235 //
     /*  666757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666825 */     GIR_RootConstrainSelectedInstOperands,
     /*  666826 */     // GIR_Coverage, 10235,
     /*  666826 */     GIR_EraseRootFromParent_Done,
     /*  666827 */   // Label 10615: @666827
     /*  666827 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666902), // Rule ID 10238 //
     /*  666832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666900 */     GIR_RootConstrainSelectedInstOperands,
     /*  666901 */     // GIR_Coverage, 10238,
     /*  666901 */     GIR_EraseRootFromParent_Done,
     /*  666902 */   // Label 10616: @666902
     /*  666902 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666977), // Rule ID 10239 //
     /*  666907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666975 */     GIR_RootConstrainSelectedInstOperands,
     /*  666976 */     // GIR_Coverage, 10239,
     /*  666976 */     GIR_EraseRootFromParent_Done,
     /*  666977 */   // Label 10617: @666977
     /*  666977 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(667052), // Rule ID 10242 //
     /*  666982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667050 */     GIR_RootConstrainSelectedInstOperands,
     /*  667051 */     // GIR_Coverage, 10242,
     /*  667051 */     GIR_EraseRootFromParent_Done,
     /*  667052 */   // Label 10618: @667052
     /*  667052 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(667127), // Rule ID 10243 //
     /*  667057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667125 */     GIR_RootConstrainSelectedInstOperands,
     /*  667126 */     // GIR_Coverage, 10243,
     /*  667126 */     GIR_EraseRootFromParent_Done,
     /*  667127 */   // Label 10619: @667127
     /*  667127 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(667202), // Rule ID 10246 //
     /*  667132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667200 */     GIR_RootConstrainSelectedInstOperands,
     /*  667201 */     // GIR_Coverage, 10246,
     /*  667201 */     GIR_EraseRootFromParent_Done,
     /*  667202 */   // Label 10620: @667202
     /*  667202 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667277), // Rule ID 10247 //
     /*  667207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667275 */     GIR_RootConstrainSelectedInstOperands,
     /*  667276 */     // GIR_Coverage, 10247,
     /*  667276 */     GIR_EraseRootFromParent_Done,
     /*  667277 */   // Label 10621: @667277
     /*  667277 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667352), // Rule ID 10250 //
     /*  667282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667350 */     GIR_RootConstrainSelectedInstOperands,
     /*  667351 */     // GIR_Coverage, 10250,
     /*  667351 */     GIR_EraseRootFromParent_Done,
     /*  667352 */   // Label 10622: @667352
     /*  667352 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667427), // Rule ID 10251 //
     /*  667357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667425 */     GIR_RootConstrainSelectedInstOperands,
     /*  667426 */     // GIR_Coverage, 10251,
     /*  667426 */     GIR_EraseRootFromParent_Done,
     /*  667427 */   // Label 10623: @667427
     /*  667427 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667502), // Rule ID 10254 //
     /*  667432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667500 */     GIR_RootConstrainSelectedInstOperands,
     /*  667501 */     // GIR_Coverage, 10254,
     /*  667501 */     GIR_EraseRootFromParent_Done,
     /*  667502 */   // Label 10624: @667502
     /*  667502 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667577), // Rule ID 10255 //
     /*  667507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667575 */     GIR_RootConstrainSelectedInstOperands,
     /*  667576 */     // GIR_Coverage, 10255,
     /*  667576 */     GIR_EraseRootFromParent_Done,
     /*  667577 */   // Label 10625: @667577
     /*  667577 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667652), // Rule ID 10258 //
     /*  667582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667650 */     GIR_RootConstrainSelectedInstOperands,
     /*  667651 */     // GIR_Coverage, 10258,
     /*  667651 */     GIR_EraseRootFromParent_Done,
     /*  667652 */   // Label 10626: @667652
     /*  667652 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667727), // Rule ID 10259 //
     /*  667657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667725 */     GIR_RootConstrainSelectedInstOperands,
     /*  667726 */     // GIR_Coverage, 10259,
     /*  667726 */     GIR_EraseRootFromParent_Done,
     /*  667727 */   // Label 10627: @667727
     /*  667727 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667802), // Rule ID 10262 //
     /*  667732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667800 */     GIR_RootConstrainSelectedInstOperands,
     /*  667801 */     // GIR_Coverage, 10262,
     /*  667801 */     GIR_EraseRootFromParent_Done,
     /*  667802 */   // Label 10628: @667802
     /*  667802 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667877), // Rule ID 10263 //
     /*  667807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667875 */     GIR_RootConstrainSelectedInstOperands,
     /*  667876 */     // GIR_Coverage, 10263,
     /*  667876 */     GIR_EraseRootFromParent_Done,
     /*  667877 */   // Label 10629: @667877
     /*  667877 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667952), // Rule ID 10266 //
     /*  667882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667950 */     GIR_RootConstrainSelectedInstOperands,
     /*  667951 */     // GIR_Coverage, 10266,
     /*  667951 */     GIR_EraseRootFromParent_Done,
     /*  667952 */   // Label 10630: @667952
     /*  667952 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(668027), // Rule ID 10267 //
     /*  667957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668025 */     GIR_RootConstrainSelectedInstOperands,
     /*  668026 */     // GIR_Coverage, 10267,
     /*  668026 */     GIR_EraseRootFromParent_Done,
     /*  668027 */   // Label 10631: @668027
     /*  668027 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(668102), // Rule ID 10270 //
     /*  668032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668100 */     GIR_RootConstrainSelectedInstOperands,
     /*  668101 */     // GIR_Coverage, 10270,
     /*  668101 */     GIR_EraseRootFromParent_Done,
     /*  668102 */   // Label 10632: @668102
     /*  668102 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(668177), // Rule ID 10271 //
     /*  668107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668175 */     GIR_RootConstrainSelectedInstOperands,
     /*  668176 */     // GIR_Coverage, 10271,
     /*  668176 */     GIR_EraseRootFromParent_Done,
     /*  668177 */   // Label 10633: @668177
     /*  668177 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(668252), // Rule ID 10274 //
     /*  668182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668250 */     GIR_RootConstrainSelectedInstOperands,
     /*  668251 */     // GIR_Coverage, 10274,
     /*  668251 */     GIR_EraseRootFromParent_Done,
     /*  668252 */   // Label 10634: @668252
     /*  668252 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668327), // Rule ID 10275 //
     /*  668257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668325 */     GIR_RootConstrainSelectedInstOperands,
     /*  668326 */     // GIR_Coverage, 10275,
     /*  668326 */     GIR_EraseRootFromParent_Done,
     /*  668327 */   // Label 10635: @668327
     /*  668327 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668402), // Rule ID 10278 //
     /*  668332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668400 */     GIR_RootConstrainSelectedInstOperands,
     /*  668401 */     // GIR_Coverage, 10278,
     /*  668401 */     GIR_EraseRootFromParent_Done,
     /*  668402 */   // Label 10636: @668402
     /*  668402 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668477), // Rule ID 10279 //
     /*  668407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668475 */     GIR_RootConstrainSelectedInstOperands,
     /*  668476 */     // GIR_Coverage, 10279,
     /*  668476 */     GIR_EraseRootFromParent_Done,
     /*  668477 */   // Label 10637: @668477
     /*  668477 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668552), // Rule ID 10282 //
     /*  668482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668550 */     GIR_RootConstrainSelectedInstOperands,
     /*  668551 */     // GIR_Coverage, 10282,
     /*  668551 */     GIR_EraseRootFromParent_Done,
     /*  668552 */   // Label 10638: @668552
     /*  668552 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668627), // Rule ID 10283 //
     /*  668557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668625 */     GIR_RootConstrainSelectedInstOperands,
     /*  668626 */     // GIR_Coverage, 10283,
     /*  668626 */     GIR_EraseRootFromParent_Done,
     /*  668627 */   // Label 10639: @668627
     /*  668627 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668702), // Rule ID 10286 //
     /*  668632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668700 */     GIR_RootConstrainSelectedInstOperands,
     /*  668701 */     // GIR_Coverage, 10286,
     /*  668701 */     GIR_EraseRootFromParent_Done,
     /*  668702 */   // Label 10640: @668702
     /*  668702 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668777), // Rule ID 10287 //
     /*  668707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668775 */     GIR_RootConstrainSelectedInstOperands,
     /*  668776 */     // GIR_Coverage, 10287,
     /*  668776 */     GIR_EraseRootFromParent_Done,
     /*  668777 */   // Label 10641: @668777
     /*  668777 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668852), // Rule ID 10290 //
     /*  668782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668850 */     GIR_RootConstrainSelectedInstOperands,
     /*  668851 */     // GIR_Coverage, 10290,
     /*  668851 */     GIR_EraseRootFromParent_Done,
     /*  668852 */   // Label 10642: @668852
     /*  668852 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668927), // Rule ID 10291 //
     /*  668857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668925 */     GIR_RootConstrainSelectedInstOperands,
     /*  668926 */     // GIR_Coverage, 10291,
     /*  668926 */     GIR_EraseRootFromParent_Done,
     /*  668927 */   // Label 10643: @668927
     /*  668927 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(669002), // Rule ID 10294 //
     /*  668932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669000 */     GIR_RootConstrainSelectedInstOperands,
     /*  669001 */     // GIR_Coverage, 10294,
     /*  669001 */     GIR_EraseRootFromParent_Done,
     /*  669002 */   // Label 10644: @669002
     /*  669002 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(669077), // Rule ID 10295 //
     /*  669007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669075 */     GIR_RootConstrainSelectedInstOperands,
     /*  669076 */     // GIR_Coverage, 10295,
     /*  669076 */     GIR_EraseRootFromParent_Done,
     /*  669077 */   // Label 10645: @669077
     /*  669077 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(669152), // Rule ID 10298 //
     /*  669082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669150 */     GIR_RootConstrainSelectedInstOperands,
     /*  669151 */     // GIR_Coverage, 10298,
     /*  669151 */     GIR_EraseRootFromParent_Done,
     /*  669152 */   // Label 10646: @669152
     /*  669152 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(669227), // Rule ID 10299 //
     /*  669157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669225 */     GIR_RootConstrainSelectedInstOperands,
     /*  669226 */     // GIR_Coverage, 10299,
     /*  669226 */     GIR_EraseRootFromParent_Done,
     /*  669227 */   // Label 10647: @669227
     /*  669227 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669302), // Rule ID 10302 //
     /*  669232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669300 */     GIR_RootConstrainSelectedInstOperands,
     /*  669301 */     // GIR_Coverage, 10302,
     /*  669301 */     GIR_EraseRootFromParent_Done,
     /*  669302 */   // Label 10648: @669302
     /*  669302 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669377), // Rule ID 10303 //
     /*  669307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669375 */     GIR_RootConstrainSelectedInstOperands,
     /*  669376 */     // GIR_Coverage, 10303,
     /*  669376 */     GIR_EraseRootFromParent_Done,
     /*  669377 */   // Label 10649: @669377
     /*  669377 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669452), // Rule ID 10306 //
     /*  669382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669450 */     GIR_RootConstrainSelectedInstOperands,
     /*  669451 */     // GIR_Coverage, 10306,
     /*  669451 */     GIR_EraseRootFromParent_Done,
     /*  669452 */   // Label 10650: @669452
     /*  669452 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669527), // Rule ID 10307 //
     /*  669457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669525 */     GIR_RootConstrainSelectedInstOperands,
     /*  669526 */     // GIR_Coverage, 10307,
     /*  669526 */     GIR_EraseRootFromParent_Done,
     /*  669527 */   // Label 10651: @669527
     /*  669527 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669602), // Rule ID 10310 //
     /*  669532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669600 */     GIR_RootConstrainSelectedInstOperands,
     /*  669601 */     // GIR_Coverage, 10310,
     /*  669601 */     GIR_EraseRootFromParent_Done,
     /*  669602 */   // Label 10652: @669602
     /*  669602 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669677), // Rule ID 10311 //
     /*  669607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669675 */     GIR_RootConstrainSelectedInstOperands,
     /*  669676 */     // GIR_Coverage, 10311,
     /*  669676 */     GIR_EraseRootFromParent_Done,
     /*  669677 */   // Label 10653: @669677
     /*  669677 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669752), // Rule ID 10314 //
     /*  669682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669750 */     GIR_RootConstrainSelectedInstOperands,
     /*  669751 */     // GIR_Coverage, 10314,
     /*  669751 */     GIR_EraseRootFromParent_Done,
     /*  669752 */   // Label 10654: @669752
     /*  669752 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669827), // Rule ID 10315 //
     /*  669757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669825 */     GIR_RootConstrainSelectedInstOperands,
     /*  669826 */     // GIR_Coverage, 10315,
     /*  669826 */     GIR_EraseRootFromParent_Done,
     /*  669827 */   // Label 10655: @669827
     /*  669827 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669902), // Rule ID 10318 //
     /*  669832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669900 */     GIR_RootConstrainSelectedInstOperands,
     /*  669901 */     // GIR_Coverage, 10318,
     /*  669901 */     GIR_EraseRootFromParent_Done,
     /*  669902 */   // Label 10656: @669902
     /*  669902 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669977), // Rule ID 10319 //
     /*  669907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669975 */     GIR_RootConstrainSelectedInstOperands,
     /*  669976 */     // GIR_Coverage, 10319,
     /*  669976 */     GIR_EraseRootFromParent_Done,
     /*  669977 */   // Label 10657: @669977
     /*  669977 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(670052), // Rule ID 10322 //
     /*  669982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670050 */     GIR_RootConstrainSelectedInstOperands,
     /*  670051 */     // GIR_Coverage, 10322,
     /*  670051 */     GIR_EraseRootFromParent_Done,
     /*  670052 */   // Label 10658: @670052
     /*  670052 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(670127), // Rule ID 10323 //
     /*  670057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670125 */     GIR_RootConstrainSelectedInstOperands,
     /*  670126 */     // GIR_Coverage, 10323,
     /*  670126 */     GIR_EraseRootFromParent_Done,
     /*  670127 */   // Label 10659: @670127
     /*  670127 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(670202), // Rule ID 10326 //
     /*  670132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670200 */     GIR_RootConstrainSelectedInstOperands,
     /*  670201 */     // GIR_Coverage, 10326,
     /*  670201 */     GIR_EraseRootFromParent_Done,
     /*  670202 */   // Label 10660: @670202
     /*  670202 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670277), // Rule ID 10327 //
     /*  670207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670275 */     GIR_RootConstrainSelectedInstOperands,
     /*  670276 */     // GIR_Coverage, 10327,
     /*  670276 */     GIR_EraseRootFromParent_Done,
     /*  670277 */   // Label 10661: @670277
     /*  670277 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670352), // Rule ID 10330 //
     /*  670282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670350 */     GIR_RootConstrainSelectedInstOperands,
     /*  670351 */     // GIR_Coverage, 10330,
     /*  670351 */     GIR_EraseRootFromParent_Done,
     /*  670352 */   // Label 10662: @670352
     /*  670352 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670427), // Rule ID 10331 //
     /*  670357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670425 */     GIR_RootConstrainSelectedInstOperands,
     /*  670426 */     // GIR_Coverage, 10331,
     /*  670426 */     GIR_EraseRootFromParent_Done,
     /*  670427 */   // Label 10663: @670427
     /*  670427 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670502), // Rule ID 10334 //
     /*  670432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670500 */     GIR_RootConstrainSelectedInstOperands,
     /*  670501 */     // GIR_Coverage, 10334,
     /*  670501 */     GIR_EraseRootFromParent_Done,
     /*  670502 */   // Label 10664: @670502
     /*  670502 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670577), // Rule ID 10335 //
     /*  670507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670575 */     GIR_RootConstrainSelectedInstOperands,
     /*  670576 */     // GIR_Coverage, 10335,
     /*  670576 */     GIR_EraseRootFromParent_Done,
     /*  670577 */   // Label 10665: @670577
     /*  670577 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670652), // Rule ID 10338 //
     /*  670582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670650 */     GIR_RootConstrainSelectedInstOperands,
     /*  670651 */     // GIR_Coverage, 10338,
     /*  670651 */     GIR_EraseRootFromParent_Done,
     /*  670652 */   // Label 10666: @670652
     /*  670652 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670727), // Rule ID 10339 //
     /*  670657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670725 */     GIR_RootConstrainSelectedInstOperands,
     /*  670726 */     // GIR_Coverage, 10339,
     /*  670726 */     GIR_EraseRootFromParent_Done,
     /*  670727 */   // Label 10667: @670727
     /*  670727 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670802), // Rule ID 10342 //
     /*  670732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670800 */     GIR_RootConstrainSelectedInstOperands,
     /*  670801 */     // GIR_Coverage, 10342,
     /*  670801 */     GIR_EraseRootFromParent_Done,
     /*  670802 */   // Label 10668: @670802
     /*  670802 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670877), // Rule ID 10343 //
     /*  670807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670875 */     GIR_RootConstrainSelectedInstOperands,
     /*  670876 */     // GIR_Coverage, 10343,
     /*  670876 */     GIR_EraseRootFromParent_Done,
     /*  670877 */   // Label 10669: @670877
     /*  670877 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670952), // Rule ID 10346 //
     /*  670882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670950 */     GIR_RootConstrainSelectedInstOperands,
     /*  670951 */     // GIR_Coverage, 10346,
     /*  670951 */     GIR_EraseRootFromParent_Done,
     /*  670952 */   // Label 10670: @670952
     /*  670952 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(671027), // Rule ID 10347 //
     /*  670957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671025 */     GIR_RootConstrainSelectedInstOperands,
     /*  671026 */     // GIR_Coverage, 10347,
     /*  671026 */     GIR_EraseRootFromParent_Done,
     /*  671027 */   // Label 10671: @671027
     /*  671027 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(671102), // Rule ID 10350 //
     /*  671032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671100 */     GIR_RootConstrainSelectedInstOperands,
     /*  671101 */     // GIR_Coverage, 10350,
     /*  671101 */     GIR_EraseRootFromParent_Done,
     /*  671102 */   // Label 10672: @671102
     /*  671102 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(671177), // Rule ID 10351 //
     /*  671107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671175 */     GIR_RootConstrainSelectedInstOperands,
     /*  671176 */     // GIR_Coverage, 10351,
     /*  671176 */     GIR_EraseRootFromParent_Done,
     /*  671177 */   // Label 10673: @671177
     /*  671177 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(671252), // Rule ID 10354 //
     /*  671182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671250 */     GIR_RootConstrainSelectedInstOperands,
     /*  671251 */     // GIR_Coverage, 10354,
     /*  671251 */     GIR_EraseRootFromParent_Done,
     /*  671252 */   // Label 10674: @671252
     /*  671252 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671327), // Rule ID 10355 //
     /*  671257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671325 */     GIR_RootConstrainSelectedInstOperands,
     /*  671326 */     // GIR_Coverage, 10355,
     /*  671326 */     GIR_EraseRootFromParent_Done,
     /*  671327 */   // Label 10675: @671327
     /*  671327 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671402), // Rule ID 10358 //
     /*  671332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671400 */     GIR_RootConstrainSelectedInstOperands,
     /*  671401 */     // GIR_Coverage, 10358,
     /*  671401 */     GIR_EraseRootFromParent_Done,
     /*  671402 */   // Label 10676: @671402
     /*  671402 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671477), // Rule ID 10359 //
     /*  671407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671475 */     GIR_RootConstrainSelectedInstOperands,
     /*  671476 */     // GIR_Coverage, 10359,
     /*  671476 */     GIR_EraseRootFromParent_Done,
     /*  671477 */   // Label 10677: @671477
     /*  671477 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671552), // Rule ID 10362 //
     /*  671482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671550 */     GIR_RootConstrainSelectedInstOperands,
     /*  671551 */     // GIR_Coverage, 10362,
     /*  671551 */     GIR_EraseRootFromParent_Done,
     /*  671552 */   // Label 10678: @671552
     /*  671552 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671627), // Rule ID 10363 //
     /*  671557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671625 */     GIR_RootConstrainSelectedInstOperands,
     /*  671626 */     // GIR_Coverage, 10363,
     /*  671626 */     GIR_EraseRootFromParent_Done,
     /*  671627 */   // Label 10679: @671627
     /*  671627 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671702), // Rule ID 10366 //
     /*  671632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671700 */     GIR_RootConstrainSelectedInstOperands,
     /*  671701 */     // GIR_Coverage, 10366,
     /*  671701 */     GIR_EraseRootFromParent_Done,
     /*  671702 */   // Label 10680: @671702
     /*  671702 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671777), // Rule ID 10367 //
     /*  671707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671775 */     GIR_RootConstrainSelectedInstOperands,
     /*  671776 */     // GIR_Coverage, 10367,
     /*  671776 */     GIR_EraseRootFromParent_Done,
     /*  671777 */   // Label 10681: @671777
     /*  671777 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671852), // Rule ID 10370 //
     /*  671782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671850 */     GIR_RootConstrainSelectedInstOperands,
     /*  671851 */     // GIR_Coverage, 10370,
     /*  671851 */     GIR_EraseRootFromParent_Done,
     /*  671852 */   // Label 10682: @671852
     /*  671852 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671927), // Rule ID 10371 //
     /*  671857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671925 */     GIR_RootConstrainSelectedInstOperands,
     /*  671926 */     // GIR_Coverage, 10371,
     /*  671926 */     GIR_EraseRootFromParent_Done,
     /*  671927 */   // Label 10683: @671927
     /*  671927 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(672002), // Rule ID 10374 //
     /*  671932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672000 */     GIR_RootConstrainSelectedInstOperands,
     /*  672001 */     // GIR_Coverage, 10374,
     /*  672001 */     GIR_EraseRootFromParent_Done,
     /*  672002 */   // Label 10684: @672002
     /*  672002 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(672077), // Rule ID 10375 //
     /*  672007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672053 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672075 */     GIR_RootConstrainSelectedInstOperands,
     /*  672076 */     // GIR_Coverage, 10375,
     /*  672076 */     GIR_EraseRootFromParent_Done,
     /*  672077 */   // Label 10685: @672077
     /*  672077 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(672152), // Rule ID 10378 //
     /*  672082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672150 */     GIR_RootConstrainSelectedInstOperands,
     /*  672151 */     // GIR_Coverage, 10378,
     /*  672151 */     GIR_EraseRootFromParent_Done,
     /*  672152 */   // Label 10686: @672152
     /*  672152 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(672227), // Rule ID 10379 //
     /*  672157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672225 */     GIR_RootConstrainSelectedInstOperands,
     /*  672226 */     // GIR_Coverage, 10379,
     /*  672226 */     GIR_EraseRootFromParent_Done,
     /*  672227 */   // Label 10687: @672227
     /*  672227 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672302), // Rule ID 10382 //
     /*  672232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672300 */     GIR_RootConstrainSelectedInstOperands,
     /*  672301 */     // GIR_Coverage, 10382,
     /*  672301 */     GIR_EraseRootFromParent_Done,
     /*  672302 */   // Label 10688: @672302
     /*  672302 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672377), // Rule ID 10383 //
     /*  672307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672375 */     GIR_RootConstrainSelectedInstOperands,
     /*  672376 */     // GIR_Coverage, 10383,
     /*  672376 */     GIR_EraseRootFromParent_Done,
     /*  672377 */   // Label 10689: @672377
     /*  672377 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672452), // Rule ID 10386 //
     /*  672382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672450 */     GIR_RootConstrainSelectedInstOperands,
     /*  672451 */     // GIR_Coverage, 10386,
     /*  672451 */     GIR_EraseRootFromParent_Done,
     /*  672452 */   // Label 10690: @672452
     /*  672452 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672527), // Rule ID 10387 //
     /*  672457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672525 */     GIR_RootConstrainSelectedInstOperands,
     /*  672526 */     // GIR_Coverage, 10387,
     /*  672526 */     GIR_EraseRootFromParent_Done,
     /*  672527 */   // Label 10691: @672527
     /*  672527 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672602), // Rule ID 10390 //
     /*  672532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672600 */     GIR_RootConstrainSelectedInstOperands,
     /*  672601 */     // GIR_Coverage, 10390,
     /*  672601 */     GIR_EraseRootFromParent_Done,
     /*  672602 */   // Label 10692: @672602
     /*  672602 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672677), // Rule ID 10391 //
     /*  672607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672675 */     GIR_RootConstrainSelectedInstOperands,
     /*  672676 */     // GIR_Coverage, 10391,
     /*  672676 */     GIR_EraseRootFromParent_Done,
     /*  672677 */   // Label 10693: @672677
     /*  672677 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672752), // Rule ID 10394 //
     /*  672682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672750 */     GIR_RootConstrainSelectedInstOperands,
     /*  672751 */     // GIR_Coverage, 10394,
     /*  672751 */     GIR_EraseRootFromParent_Done,
     /*  672752 */   // Label 10694: @672752
     /*  672752 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672827), // Rule ID 10395 //
     /*  672757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672825 */     GIR_RootConstrainSelectedInstOperands,
     /*  672826 */     // GIR_Coverage, 10395,
     /*  672826 */     GIR_EraseRootFromParent_Done,
     /*  672827 */   // Label 10695: @672827
     /*  672827 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672902), // Rule ID 10398 //
     /*  672832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672900 */     GIR_RootConstrainSelectedInstOperands,
     /*  672901 */     // GIR_Coverage, 10398,
     /*  672901 */     GIR_EraseRootFromParent_Done,
     /*  672902 */   // Label 10696: @672902
     /*  672902 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672977), // Rule ID 10399 //
     /*  672907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672975 */     GIR_RootConstrainSelectedInstOperands,
     /*  672976 */     // GIR_Coverage, 10399,
     /*  672976 */     GIR_EraseRootFromParent_Done,
     /*  672977 */   // Label 10697: @672977
     /*  672977 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(673052), // Rule ID 10402 //
     /*  672982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673050 */     GIR_RootConstrainSelectedInstOperands,
     /*  673051 */     // GIR_Coverage, 10402,
     /*  673051 */     GIR_EraseRootFromParent_Done,
     /*  673052 */   // Label 10698: @673052
     /*  673052 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(673127), // Rule ID 10403 //
     /*  673057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673125 */     GIR_RootConstrainSelectedInstOperands,
     /*  673126 */     // GIR_Coverage, 10403,
     /*  673126 */     GIR_EraseRootFromParent_Done,
     /*  673127 */   // Label 10699: @673127
     /*  673127 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(673202), // Rule ID 10406 //
     /*  673132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673200 */     GIR_RootConstrainSelectedInstOperands,
     /*  673201 */     // GIR_Coverage, 10406,
     /*  673201 */     GIR_EraseRootFromParent_Done,
     /*  673202 */   // Label 10700: @673202
     /*  673202 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673277), // Rule ID 10407 //
     /*  673207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673253 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673275 */     GIR_RootConstrainSelectedInstOperands,
     /*  673276 */     // GIR_Coverage, 10407,
     /*  673276 */     GIR_EraseRootFromParent_Done,
     /*  673277 */   // Label 10701: @673277
     /*  673277 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673352), // Rule ID 10410 //
     /*  673282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673350 */     GIR_RootConstrainSelectedInstOperands,
     /*  673351 */     // GIR_Coverage, 10410,
     /*  673351 */     GIR_EraseRootFromParent_Done,
     /*  673352 */   // Label 10702: @673352
     /*  673352 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673427), // Rule ID 10411 //
     /*  673357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673425 */     GIR_RootConstrainSelectedInstOperands,
     /*  673426 */     // GIR_Coverage, 10411,
     /*  673426 */     GIR_EraseRootFromParent_Done,
     /*  673427 */   // Label 10703: @673427
     /*  673427 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673502), // Rule ID 10414 //
     /*  673432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673500 */     GIR_RootConstrainSelectedInstOperands,
     /*  673501 */     // GIR_Coverage, 10414,
     /*  673501 */     GIR_EraseRootFromParent_Done,
     /*  673502 */   // Label 10704: @673502
     /*  673502 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673577), // Rule ID 10415 //
     /*  673507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673575 */     GIR_RootConstrainSelectedInstOperands,
     /*  673576 */     // GIR_Coverage, 10415,
     /*  673576 */     GIR_EraseRootFromParent_Done,
     /*  673577 */   // Label 10705: @673577
     /*  673577 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673652), // Rule ID 10418 //
     /*  673582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673650 */     GIR_RootConstrainSelectedInstOperands,
     /*  673651 */     // GIR_Coverage, 10418,
     /*  673651 */     GIR_EraseRootFromParent_Done,
     /*  673652 */   // Label 10706: @673652
     /*  673652 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673727), // Rule ID 10419 //
     /*  673657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673725 */     GIR_RootConstrainSelectedInstOperands,
     /*  673726 */     // GIR_Coverage, 10419,
     /*  673726 */     GIR_EraseRootFromParent_Done,
     /*  673727 */   // Label 10707: @673727
     /*  673727 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673802), // Rule ID 10422 //
     /*  673732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673800 */     GIR_RootConstrainSelectedInstOperands,
     /*  673801 */     // GIR_Coverage, 10422,
     /*  673801 */     GIR_EraseRootFromParent_Done,
     /*  673802 */   // Label 10708: @673802
     /*  673802 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673877), // Rule ID 10423 //
     /*  673807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673875 */     GIR_RootConstrainSelectedInstOperands,
     /*  673876 */     // GIR_Coverage, 10423,
     /*  673876 */     GIR_EraseRootFromParent_Done,
     /*  673877 */   // Label 10709: @673877
     /*  673877 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673952), // Rule ID 10426 //
     /*  673882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673950 */     GIR_RootConstrainSelectedInstOperands,
     /*  673951 */     // GIR_Coverage, 10426,
     /*  673951 */     GIR_EraseRootFromParent_Done,
     /*  673952 */   // Label 10710: @673952
     /*  673952 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(674027), // Rule ID 10427 //
     /*  673957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674025 */     GIR_RootConstrainSelectedInstOperands,
     /*  674026 */     // GIR_Coverage, 10427,
     /*  674026 */     GIR_EraseRootFromParent_Done,
     /*  674027 */   // Label 10711: @674027
     /*  674027 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(674102), // Rule ID 10430 //
     /*  674032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674100 */     GIR_RootConstrainSelectedInstOperands,
     /*  674101 */     // GIR_Coverage, 10430,
     /*  674101 */     GIR_EraseRootFromParent_Done,
     /*  674102 */   // Label 10712: @674102
     /*  674102 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(674177), // Rule ID 10431 //
     /*  674107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674175 */     GIR_RootConstrainSelectedInstOperands,
     /*  674176 */     // GIR_Coverage, 10431,
     /*  674176 */     GIR_EraseRootFromParent_Done,
     /*  674177 */   // Label 10713: @674177
     /*  674177 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(674252), // Rule ID 10434 //
     /*  674182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674250 */     GIR_RootConstrainSelectedInstOperands,
     /*  674251 */     // GIR_Coverage, 10434,
     /*  674251 */     GIR_EraseRootFromParent_Done,
     /*  674252 */   // Label 10714: @674252
     /*  674252 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674327), // Rule ID 10435 //
     /*  674257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674325 */     GIR_RootConstrainSelectedInstOperands,
     /*  674326 */     // GIR_Coverage, 10435,
     /*  674326 */     GIR_EraseRootFromParent_Done,
     /*  674327 */   // Label 10715: @674327
     /*  674327 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674402), // Rule ID 10438 //
     /*  674332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674400 */     GIR_RootConstrainSelectedInstOperands,
     /*  674401 */     // GIR_Coverage, 10438,
     /*  674401 */     GIR_EraseRootFromParent_Done,
     /*  674402 */   // Label 10716: @674402
     /*  674402 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674477), // Rule ID 10439 //
     /*  674407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674475 */     GIR_RootConstrainSelectedInstOperands,
     /*  674476 */     // GIR_Coverage, 10439,
     /*  674476 */     GIR_EraseRootFromParent_Done,
     /*  674477 */   // Label 10717: @674477
     /*  674477 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674552), // Rule ID 10442 //
     /*  674482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674550 */     GIR_RootConstrainSelectedInstOperands,
     /*  674551 */     // GIR_Coverage, 10442,
     /*  674551 */     GIR_EraseRootFromParent_Done,
     /*  674552 */   // Label 10718: @674552
     /*  674552 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674627), // Rule ID 10443 //
     /*  674557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674625 */     GIR_RootConstrainSelectedInstOperands,
     /*  674626 */     // GIR_Coverage, 10443,
     /*  674626 */     GIR_EraseRootFromParent_Done,
     /*  674627 */   // Label 10719: @674627
     /*  674627 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674702), // Rule ID 10446 //
     /*  674632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674700 */     GIR_RootConstrainSelectedInstOperands,
     /*  674701 */     // GIR_Coverage, 10446,
     /*  674701 */     GIR_EraseRootFromParent_Done,
     /*  674702 */   // Label 10720: @674702
     /*  674702 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674777), // Rule ID 10447 //
     /*  674707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674775 */     GIR_RootConstrainSelectedInstOperands,
     /*  674776 */     // GIR_Coverage, 10447,
     /*  674776 */     GIR_EraseRootFromParent_Done,
     /*  674777 */   // Label 10721: @674777
     /*  674777 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674852), // Rule ID 10450 //
     /*  674782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674850 */     GIR_RootConstrainSelectedInstOperands,
     /*  674851 */     // GIR_Coverage, 10450,
     /*  674851 */     GIR_EraseRootFromParent_Done,
     /*  674852 */   // Label 10722: @674852
     /*  674852 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674927), // Rule ID 10451 //
     /*  674857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674925 */     GIR_RootConstrainSelectedInstOperands,
     /*  674926 */     // GIR_Coverage, 10451,
     /*  674926 */     GIR_EraseRootFromParent_Done,
     /*  674927 */   // Label 10723: @674927
     /*  674927 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(675002), // Rule ID 10454 //
     /*  674932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675000 */     GIR_RootConstrainSelectedInstOperands,
     /*  675001 */     // GIR_Coverage, 10454,
     /*  675001 */     GIR_EraseRootFromParent_Done,
     /*  675002 */   // Label 10724: @675002
     /*  675002 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(675077), // Rule ID 10455 //
     /*  675007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675075 */     GIR_RootConstrainSelectedInstOperands,
     /*  675076 */     // GIR_Coverage, 10455,
     /*  675076 */     GIR_EraseRootFromParent_Done,
     /*  675077 */   // Label 10725: @675077
     /*  675077 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(675152), // Rule ID 10458 //
     /*  675082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675150 */     GIR_RootConstrainSelectedInstOperands,
     /*  675151 */     // GIR_Coverage, 10458,
     /*  675151 */     GIR_EraseRootFromParent_Done,
     /*  675152 */   // Label 10726: @675152
     /*  675152 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(675227), // Rule ID 10459 //
     /*  675157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675225 */     GIR_RootConstrainSelectedInstOperands,
     /*  675226 */     // GIR_Coverage, 10459,
     /*  675226 */     GIR_EraseRootFromParent_Done,
     /*  675227 */   // Label 10727: @675227
     /*  675227 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675302), // Rule ID 10462 //
     /*  675232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675300 */     GIR_RootConstrainSelectedInstOperands,
     /*  675301 */     // GIR_Coverage, 10462,
     /*  675301 */     GIR_EraseRootFromParent_Done,
     /*  675302 */   // Label 10728: @675302
     /*  675302 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675377), // Rule ID 10463 //
     /*  675307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675353 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675375 */     GIR_RootConstrainSelectedInstOperands,
     /*  675376 */     // GIR_Coverage, 10463,
     /*  675376 */     GIR_EraseRootFromParent_Done,
     /*  675377 */   // Label 10729: @675377
     /*  675377 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675452), // Rule ID 10466 //
     /*  675382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675450 */     GIR_RootConstrainSelectedInstOperands,
     /*  675451 */     // GIR_Coverage, 10466,
     /*  675451 */     GIR_EraseRootFromParent_Done,
     /*  675452 */   // Label 10730: @675452
     /*  675452 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675527), // Rule ID 10467 //
     /*  675457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675525 */     GIR_RootConstrainSelectedInstOperands,
     /*  675526 */     // GIR_Coverage, 10467,
     /*  675526 */     GIR_EraseRootFromParent_Done,
     /*  675527 */   // Label 10731: @675527
     /*  675527 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675602), // Rule ID 10470 //
     /*  675532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675600 */     GIR_RootConstrainSelectedInstOperands,
     /*  675601 */     // GIR_Coverage, 10470,
     /*  675601 */     GIR_EraseRootFromParent_Done,
     /*  675602 */   // Label 10732: @675602
     /*  675602 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675677), // Rule ID 10471 //
     /*  675607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675675 */     GIR_RootConstrainSelectedInstOperands,
     /*  675676 */     // GIR_Coverage, 10471,
     /*  675676 */     GIR_EraseRootFromParent_Done,
     /*  675677 */   // Label 10733: @675677
     /*  675677 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675752), // Rule ID 10474 //
     /*  675682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675750 */     GIR_RootConstrainSelectedInstOperands,
     /*  675751 */     // GIR_Coverage, 10474,
     /*  675751 */     GIR_EraseRootFromParent_Done,
     /*  675752 */   // Label 10734: @675752
     /*  675752 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675827), // Rule ID 10475 //
     /*  675757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675825 */     GIR_RootConstrainSelectedInstOperands,
     /*  675826 */     // GIR_Coverage, 10475,
     /*  675826 */     GIR_EraseRootFromParent_Done,
     /*  675827 */   // Label 10735: @675827
     /*  675827 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675902), // Rule ID 10478 //
     /*  675832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675900 */     GIR_RootConstrainSelectedInstOperands,
     /*  675901 */     // GIR_Coverage, 10478,
     /*  675901 */     GIR_EraseRootFromParent_Done,
     /*  675902 */   // Label 10736: @675902
     /*  675902 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675977), // Rule ID 10479 //
     /*  675907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675975 */     GIR_RootConstrainSelectedInstOperands,
     /*  675976 */     // GIR_Coverage, 10479,
     /*  675976 */     GIR_EraseRootFromParent_Done,
     /*  675977 */   // Label 10737: @675977
     /*  675977 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(676052), // Rule ID 10482 //
     /*  675982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676050 */     GIR_RootConstrainSelectedInstOperands,
     /*  676051 */     // GIR_Coverage, 10482,
     /*  676051 */     GIR_EraseRootFromParent_Done,
     /*  676052 */   // Label 10738: @676052
     /*  676052 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(676127), // Rule ID 10483 //
     /*  676057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676125 */     GIR_RootConstrainSelectedInstOperands,
     /*  676126 */     // GIR_Coverage, 10483,
     /*  676126 */     GIR_EraseRootFromParent_Done,
     /*  676127 */   // Label 10739: @676127
     /*  676127 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(676202), // Rule ID 10486 //
     /*  676132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676200 */     GIR_RootConstrainSelectedInstOperands,
     /*  676201 */     // GIR_Coverage, 10486,
     /*  676201 */     GIR_EraseRootFromParent_Done,
     /*  676202 */   // Label 10740: @676202
     /*  676202 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676277), // Rule ID 10487 //
     /*  676207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676275 */     GIR_RootConstrainSelectedInstOperands,
     /*  676276 */     // GIR_Coverage, 10487,
     /*  676276 */     GIR_EraseRootFromParent_Done,
     /*  676277 */   // Label 10741: @676277
     /*  676277 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676352), // Rule ID 10490 //
     /*  676282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676328 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  676331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676350 */     GIR_RootConstrainSelectedInstOperands,
     /*  676351 */     // GIR_Coverage, 10490,
     /*  676351 */     GIR_EraseRootFromParent_Done,
     /*  676352 */   // Label 10742: @676352
     /*  676352 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676427), // Rule ID 10491 //
     /*  676357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  676406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676425 */     GIR_RootConstrainSelectedInstOperands,
     /*  676426 */     // GIR_Coverage, 10491,
     /*  676426 */     GIR_EraseRootFromParent_Done,
     /*  676427 */   // Label 10743: @676427
     /*  676427 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676502), // Rule ID 10494 //
     /*  676432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676500 */     GIR_RootConstrainSelectedInstOperands,
     /*  676501 */     // GIR_Coverage, 10494,
     /*  676501 */     GIR_EraseRootFromParent_Done,
     /*  676502 */   // Label 10744: @676502
     /*  676502 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676577), // Rule ID 10495 //
     /*  676507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676575 */     GIR_RootConstrainSelectedInstOperands,
     /*  676576 */     // GIR_Coverage, 10495,
     /*  676576 */     GIR_EraseRootFromParent_Done,
     /*  676577 */   // Label 10745: @676577
     /*  676577 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676652), // Rule ID 10498 //
     /*  676582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676650 */     GIR_RootConstrainSelectedInstOperands,
     /*  676651 */     // GIR_Coverage, 10498,
     /*  676651 */     GIR_EraseRootFromParent_Done,
     /*  676652 */   // Label 10746: @676652
     /*  676652 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676727), // Rule ID 10499 //
     /*  676657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676725 */     GIR_RootConstrainSelectedInstOperands,
     /*  676726 */     // GIR_Coverage, 10499,
     /*  676726 */     GIR_EraseRootFromParent_Done,
     /*  676727 */   // Label 10747: @676727
     /*  676727 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676802), // Rule ID 10502 //
     /*  676732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676800 */     GIR_RootConstrainSelectedInstOperands,
     /*  676801 */     // GIR_Coverage, 10502,
     /*  676801 */     GIR_EraseRootFromParent_Done,
     /*  676802 */   // Label 10748: @676802
     /*  676802 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676877), // Rule ID 10503 //
     /*  676807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676875 */     GIR_RootConstrainSelectedInstOperands,
     /*  676876 */     // GIR_Coverage, 10503,
     /*  676876 */     GIR_EraseRootFromParent_Done,
     /*  676877 */   // Label 10749: @676877
     /*  676877 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676952), // Rule ID 10506 //
     /*  676882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676950 */     GIR_RootConstrainSelectedInstOperands,
     /*  676951 */     // GIR_Coverage, 10506,
     /*  676951 */     GIR_EraseRootFromParent_Done,
     /*  676952 */   // Label 10750: @676952
     /*  676952 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(677027), // Rule ID 10507 //
     /*  676957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677025 */     GIR_RootConstrainSelectedInstOperands,
     /*  677026 */     // GIR_Coverage, 10507,
     /*  677026 */     GIR_EraseRootFromParent_Done,
     /*  677027 */   // Label 10751: @677027
     /*  677027 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(677102), // Rule ID 10510 //
     /*  677032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677100 */     GIR_RootConstrainSelectedInstOperands,
     /*  677101 */     // GIR_Coverage, 10510,
     /*  677101 */     GIR_EraseRootFromParent_Done,
     /*  677102 */   // Label 10752: @677102
     /*  677102 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(677177), // Rule ID 10511 //
     /*  677107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677175 */     GIR_RootConstrainSelectedInstOperands,
     /*  677176 */     // GIR_Coverage, 10511,
     /*  677176 */     GIR_EraseRootFromParent_Done,
     /*  677177 */   // Label 10753: @677177
     /*  677177 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(677252), // Rule ID 10514 //
     /*  677182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677250 */     GIR_RootConstrainSelectedInstOperands,
     /*  677251 */     // GIR_Coverage, 10514,
     /*  677251 */     GIR_EraseRootFromParent_Done,
     /*  677252 */   // Label 10754: @677252
     /*  677252 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677327), // Rule ID 10515 //
     /*  677257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677325 */     GIR_RootConstrainSelectedInstOperands,
     /*  677326 */     // GIR_Coverage, 10515,
     /*  677326 */     GIR_EraseRootFromParent_Done,
     /*  677327 */   // Label 10755: @677327
     /*  677327 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677402), // Rule ID 10518 //
     /*  677332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677400 */     GIR_RootConstrainSelectedInstOperands,
     /*  677401 */     // GIR_Coverage, 10518,
     /*  677401 */     GIR_EraseRootFromParent_Done,
     /*  677402 */   // Label 10756: @677402
     /*  677402 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677477), // Rule ID 10519 //
     /*  677407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677475 */     GIR_RootConstrainSelectedInstOperands,
     /*  677476 */     // GIR_Coverage, 10519,
     /*  677476 */     GIR_EraseRootFromParent_Done,
     /*  677477 */   // Label 10757: @677477
     /*  677477 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677552), // Rule ID 10522 //
     /*  677482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677550 */     GIR_RootConstrainSelectedInstOperands,
     /*  677551 */     // GIR_Coverage, 10522,
     /*  677551 */     GIR_EraseRootFromParent_Done,
     /*  677552 */   // Label 10758: @677552
     /*  677552 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677627), // Rule ID 10523 //
     /*  677557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677625 */     GIR_RootConstrainSelectedInstOperands,
     /*  677626 */     // GIR_Coverage, 10523,
     /*  677626 */     GIR_EraseRootFromParent_Done,
     /*  677627 */   // Label 10759: @677627
     /*  677627 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677702), // Rule ID 10526 //
     /*  677632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677700 */     GIR_RootConstrainSelectedInstOperands,
     /*  677701 */     // GIR_Coverage, 10526,
     /*  677701 */     GIR_EraseRootFromParent_Done,
     /*  677702 */   // Label 10760: @677702
     /*  677702 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677777), // Rule ID 10527 //
     /*  677707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677753 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677775 */     GIR_RootConstrainSelectedInstOperands,
     /*  677776 */     // GIR_Coverage, 10527,
     /*  677776 */     GIR_EraseRootFromParent_Done,
     /*  677777 */   // Label 10761: @677777
     /*  677777 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677852), // Rule ID 10530 //
     /*  677782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677850 */     GIR_RootConstrainSelectedInstOperands,
     /*  677851 */     // GIR_Coverage, 10530,
     /*  677851 */     GIR_EraseRootFromParent_Done,
     /*  677852 */   // Label 10762: @677852
     /*  677852 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677927), // Rule ID 10531 //
     /*  677857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677925 */     GIR_RootConstrainSelectedInstOperands,
     /*  677926 */     // GIR_Coverage, 10531,
     /*  677926 */     GIR_EraseRootFromParent_Done,
     /*  677927 */   // Label 10763: @677927
     /*  677927 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(678002), // Rule ID 10534 //
     /*  677932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678000 */     GIR_RootConstrainSelectedInstOperands,
     /*  678001 */     // GIR_Coverage, 10534,
     /*  678001 */     GIR_EraseRootFromParent_Done,
     /*  678002 */   // Label 10764: @678002
     /*  678002 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(678077), // Rule ID 10535 //
     /*  678007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678075 */     GIR_RootConstrainSelectedInstOperands,
     /*  678076 */     // GIR_Coverage, 10535,
     /*  678076 */     GIR_EraseRootFromParent_Done,
     /*  678077 */   // Label 10765: @678077
     /*  678077 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(678152), // Rule ID 10538 //
     /*  678082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678128 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678150 */     GIR_RootConstrainSelectedInstOperands,
     /*  678151 */     // GIR_Coverage, 10538,
     /*  678151 */     GIR_EraseRootFromParent_Done,
     /*  678152 */   // Label 10766: @678152
     /*  678152 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(678227), // Rule ID 10539 //
     /*  678157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678203 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678225 */     GIR_RootConstrainSelectedInstOperands,
     /*  678226 */     // GIR_Coverage, 10539,
     /*  678226 */     GIR_EraseRootFromParent_Done,
     /*  678227 */   // Label 10767: @678227
     /*  678227 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678302), // Rule ID 10542 //
     /*  678232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678300 */     GIR_RootConstrainSelectedInstOperands,
     /*  678301 */     // GIR_Coverage, 10542,
     /*  678301 */     GIR_EraseRootFromParent_Done,
     /*  678302 */   // Label 10768: @678302
     /*  678302 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678377), // Rule ID 10543 //
     /*  678307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678375 */     GIR_RootConstrainSelectedInstOperands,
     /*  678376 */     // GIR_Coverage, 10543,
     /*  678376 */     GIR_EraseRootFromParent_Done,
     /*  678377 */   // Label 10769: @678377
     /*  678377 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678452), // Rule ID 10546 //
     /*  678382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678450 */     GIR_RootConstrainSelectedInstOperands,
     /*  678451 */     // GIR_Coverage, 10546,
     /*  678451 */     GIR_EraseRootFromParent_Done,
     /*  678452 */   // Label 10770: @678452
     /*  678452 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678527), // Rule ID 10547 //
     /*  678457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678525 */     GIR_RootConstrainSelectedInstOperands,
     /*  678526 */     // GIR_Coverage, 10547,
     /*  678526 */     GIR_EraseRootFromParent_Done,
     /*  678527 */   // Label 10771: @678527
     /*  678527 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678602), // Rule ID 10550 //
     /*  678532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678600 */     GIR_RootConstrainSelectedInstOperands,
     /*  678601 */     // GIR_Coverage, 10550,
     /*  678601 */     GIR_EraseRootFromParent_Done,
     /*  678602 */   // Label 10772: @678602
     /*  678602 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678677), // Rule ID 10551 //
     /*  678607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678675 */     GIR_RootConstrainSelectedInstOperands,
     /*  678676 */     // GIR_Coverage, 10551,
     /*  678676 */     GIR_EraseRootFromParent_Done,
     /*  678677 */   // Label 10773: @678677
     /*  678677 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678752), // Rule ID 10554 //
     /*  678682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678750 */     GIR_RootConstrainSelectedInstOperands,
     /*  678751 */     // GIR_Coverage, 10554,
     /*  678751 */     GIR_EraseRootFromParent_Done,
     /*  678752 */   // Label 10774: @678752
     /*  678752 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678827), // Rule ID 10555 //
     /*  678757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678825 */     GIR_RootConstrainSelectedInstOperands,
     /*  678826 */     // GIR_Coverage, 10555,
     /*  678826 */     GIR_EraseRootFromParent_Done,
     /*  678827 */   // Label 10775: @678827
     /*  678827 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678902), // Rule ID 10558 //
     /*  678832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678900 */     GIR_RootConstrainSelectedInstOperands,
     /*  678901 */     // GIR_Coverage, 10558,
     /*  678901 */     GIR_EraseRootFromParent_Done,
     /*  678902 */   // Label 10776: @678902
     /*  678902 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678977), // Rule ID 10559 //
     /*  678907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678975 */     GIR_RootConstrainSelectedInstOperands,
     /*  678976 */     // GIR_Coverage, 10559,
     /*  678976 */     GIR_EraseRootFromParent_Done,
     /*  678977 */   // Label 10777: @678977
     /*  678977 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(679052), // Rule ID 10562 //
     /*  678982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679050 */     GIR_RootConstrainSelectedInstOperands,
     /*  679051 */     // GIR_Coverage, 10562,
     /*  679051 */     GIR_EraseRootFromParent_Done,
     /*  679052 */   // Label 10778: @679052
     /*  679052 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(679127), // Rule ID 10563 //
     /*  679057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679125 */     GIR_RootConstrainSelectedInstOperands,
     /*  679126 */     // GIR_Coverage, 10563,
     /*  679126 */     GIR_EraseRootFromParent_Done,
     /*  679127 */   // Label 10779: @679127
     /*  679127 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(679202), // Rule ID 10566 //
     /*  679132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679200 */     GIR_RootConstrainSelectedInstOperands,
     /*  679201 */     // GIR_Coverage, 10566,
     /*  679201 */     GIR_EraseRootFromParent_Done,
     /*  679202 */   // Label 10780: @679202
     /*  679202 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679277), // Rule ID 10567 //
     /*  679207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679275 */     GIR_RootConstrainSelectedInstOperands,
     /*  679276 */     // GIR_Coverage, 10567,
     /*  679276 */     GIR_EraseRootFromParent_Done,
     /*  679277 */   // Label 10781: @679277
     /*  679277 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679352), // Rule ID 10570 //
     /*  679282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679350 */     GIR_RootConstrainSelectedInstOperands,
     /*  679351 */     // GIR_Coverage, 10570,
     /*  679351 */     GIR_EraseRootFromParent_Done,
     /*  679352 */   // Label 10782: @679352
     /*  679352 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679427), // Rule ID 10571 //
     /*  679357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679425 */     GIR_RootConstrainSelectedInstOperands,
     /*  679426 */     // GIR_Coverage, 10571,
     /*  679426 */     GIR_EraseRootFromParent_Done,
     /*  679427 */   // Label 10783: @679427
     /*  679427 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679502), // Rule ID 10574 //
     /*  679432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679500 */     GIR_RootConstrainSelectedInstOperands,
     /*  679501 */     // GIR_Coverage, 10574,
     /*  679501 */     GIR_EraseRootFromParent_Done,
     /*  679502 */   // Label 10784: @679502
     /*  679502 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679577), // Rule ID 10575 //
     /*  679507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679575 */     GIR_RootConstrainSelectedInstOperands,
     /*  679576 */     // GIR_Coverage, 10575,
     /*  679576 */     GIR_EraseRootFromParent_Done,
     /*  679577 */   // Label 10785: @679577
     /*  679577 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679652), // Rule ID 10578 //
     /*  679582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679650 */     GIR_RootConstrainSelectedInstOperands,
     /*  679651 */     // GIR_Coverage, 10578,
     /*  679651 */     GIR_EraseRootFromParent_Done,
     /*  679652 */   // Label 10786: @679652
     /*  679652 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679727), // Rule ID 10579 //
     /*  679657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679725 */     GIR_RootConstrainSelectedInstOperands,
     /*  679726 */     // GIR_Coverage, 10579,
     /*  679726 */     GIR_EraseRootFromParent_Done,
     /*  679727 */   // Label 10787: @679727
     /*  679727 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679802), // Rule ID 10582 //
     /*  679732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679800 */     GIR_RootConstrainSelectedInstOperands,
     /*  679801 */     // GIR_Coverage, 10582,
     /*  679801 */     GIR_EraseRootFromParent_Done,
     /*  679802 */   // Label 10788: @679802
     /*  679802 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679877), // Rule ID 10583 //
     /*  679807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679875 */     GIR_RootConstrainSelectedInstOperands,
     /*  679876 */     // GIR_Coverage, 10583,
     /*  679876 */     GIR_EraseRootFromParent_Done,
     /*  679877 */   // Label 10789: @679877
     /*  679877 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679952), // Rule ID 10586 //
     /*  679882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679950 */     GIR_RootConstrainSelectedInstOperands,
     /*  679951 */     // GIR_Coverage, 10586,
     /*  679951 */     GIR_EraseRootFromParent_Done,
     /*  679952 */   // Label 10790: @679952
     /*  679952 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(680027), // Rule ID 10587 //
     /*  679957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680025 */     GIR_RootConstrainSelectedInstOperands,
     /*  680026 */     // GIR_Coverage, 10587,
     /*  680026 */     GIR_EraseRootFromParent_Done,
     /*  680027 */   // Label 10791: @680027
     /*  680027 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(680102), // Rule ID 10590 //
     /*  680032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680100 */     GIR_RootConstrainSelectedInstOperands,
     /*  680101 */     // GIR_Coverage, 10590,
     /*  680101 */     GIR_EraseRootFromParent_Done,
     /*  680102 */   // Label 10792: @680102
     /*  680102 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(680177), // Rule ID 10591 //
     /*  680107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680175 */     GIR_RootConstrainSelectedInstOperands,
     /*  680176 */     // GIR_Coverage, 10591,
     /*  680176 */     GIR_EraseRootFromParent_Done,
     /*  680177 */   // Label 10793: @680177
     /*  680177 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(680252), // Rule ID 10594 //
     /*  680182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680250 */     GIR_RootConstrainSelectedInstOperands,
     /*  680251 */     // GIR_Coverage, 10594,
     /*  680251 */     GIR_EraseRootFromParent_Done,
     /*  680252 */   // Label 10794: @680252
     /*  680252 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680327), // Rule ID 10595 //
     /*  680257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680325 */     GIR_RootConstrainSelectedInstOperands,
     /*  680326 */     // GIR_Coverage, 10595,
     /*  680326 */     GIR_EraseRootFromParent_Done,
     /*  680327 */   // Label 10795: @680327
     /*  680327 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680402), // Rule ID 10598 //
     /*  680332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680400 */     GIR_RootConstrainSelectedInstOperands,
     /*  680401 */     // GIR_Coverage, 10598,
     /*  680401 */     GIR_EraseRootFromParent_Done,
     /*  680402 */   // Label 10796: @680402
     /*  680402 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680477), // Rule ID 10599 //
     /*  680407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680453 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680475 */     GIR_RootConstrainSelectedInstOperands,
     /*  680476 */     // GIR_Coverage, 10599,
     /*  680476 */     GIR_EraseRootFromParent_Done,
     /*  680477 */   // Label 10797: @680477
     /*  680477 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680552), // Rule ID 10602 //
     /*  680482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680550 */     GIR_RootConstrainSelectedInstOperands,
     /*  680551 */     // GIR_Coverage, 10602,
     /*  680551 */     GIR_EraseRootFromParent_Done,
     /*  680552 */   // Label 10798: @680552
     /*  680552 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680627), // Rule ID 10603 //
     /*  680557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680625 */     GIR_RootConstrainSelectedInstOperands,
     /*  680626 */     // GIR_Coverage, 10603,
     /*  680626 */     GIR_EraseRootFromParent_Done,
     /*  680627 */   // Label 10799: @680627
     /*  680627 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680702), // Rule ID 10606 //
     /*  680632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680700 */     GIR_RootConstrainSelectedInstOperands,
     /*  680701 */     // GIR_Coverage, 10606,
     /*  680701 */     GIR_EraseRootFromParent_Done,
     /*  680702 */   // Label 10800: @680702
     /*  680702 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680777), // Rule ID 10607 //
     /*  680707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680775 */     GIR_RootConstrainSelectedInstOperands,
     /*  680776 */     // GIR_Coverage, 10607,
     /*  680776 */     GIR_EraseRootFromParent_Done,
     /*  680777 */   // Label 10801: @680777
     /*  680777 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680852), // Rule ID 10610 //
     /*  680782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680850 */     GIR_RootConstrainSelectedInstOperands,
     /*  680851 */     // GIR_Coverage, 10610,
     /*  680851 */     GIR_EraseRootFromParent_Done,
     /*  680852 */   // Label 10802: @680852
     /*  680852 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680927), // Rule ID 10611 //
     /*  680857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680925 */     GIR_RootConstrainSelectedInstOperands,
     /*  680926 */     // GIR_Coverage, 10611,
     /*  680926 */     GIR_EraseRootFromParent_Done,
     /*  680927 */   // Label 10803: @680927
     /*  680927 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(681002), // Rule ID 10614 //
     /*  680932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681000 */     GIR_RootConstrainSelectedInstOperands,
     /*  681001 */     // GIR_Coverage, 10614,
     /*  681001 */     GIR_EraseRootFromParent_Done,
     /*  681002 */   // Label 10804: @681002
     /*  681002 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(681077), // Rule ID 10615 //
     /*  681007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681075 */     GIR_RootConstrainSelectedInstOperands,
     /*  681076 */     // GIR_Coverage, 10615,
     /*  681076 */     GIR_EraseRootFromParent_Done,
     /*  681077 */   // Label 10805: @681077
     /*  681077 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(681152), // Rule ID 10618 //
     /*  681082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681150 */     GIR_RootConstrainSelectedInstOperands,
     /*  681151 */     // GIR_Coverage, 10618,
     /*  681151 */     GIR_EraseRootFromParent_Done,
     /*  681152 */   // Label 10806: @681152
     /*  681152 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681227), // Rule ID 10619 //
     /*  681157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681225 */     GIR_RootConstrainSelectedInstOperands,
     /*  681226 */     // GIR_Coverage, 10619,
     /*  681226 */     GIR_EraseRootFromParent_Done,
     /*  681227 */   // Label 10807: @681227
     /*  681227 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681302), // Rule ID 10622 //
     /*  681232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681300 */     GIR_RootConstrainSelectedInstOperands,
     /*  681301 */     // GIR_Coverage, 10622,
     /*  681301 */     GIR_EraseRootFromParent_Done,
     /*  681302 */   // Label 10808: @681302
     /*  681302 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681377), // Rule ID 10623 //
     /*  681307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681375 */     GIR_RootConstrainSelectedInstOperands,
     /*  681376 */     // GIR_Coverage, 10623,
     /*  681376 */     GIR_EraseRootFromParent_Done,
     /*  681377 */   // Label 10809: @681377
     /*  681377 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681452), // Rule ID 10626 //
     /*  681382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681450 */     GIR_RootConstrainSelectedInstOperands,
     /*  681451 */     // GIR_Coverage, 10626,
     /*  681451 */     GIR_EraseRootFromParent_Done,
     /*  681452 */   // Label 10810: @681452
     /*  681452 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681527), // Rule ID 10627 //
     /*  681457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681503 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681525 */     GIR_RootConstrainSelectedInstOperands,
     /*  681526 */     // GIR_Coverage, 10627,
     /*  681526 */     GIR_EraseRootFromParent_Done,
     /*  681527 */   // Label 10811: @681527
     /*  681527 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681602), // Rule ID 10630 //
     /*  681532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681600 */     GIR_RootConstrainSelectedInstOperands,
     /*  681601 */     // GIR_Coverage, 10630,
     /*  681601 */     GIR_EraseRootFromParent_Done,
     /*  681602 */   // Label 10812: @681602
     /*  681602 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681677), // Rule ID 10631 //
     /*  681607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681675 */     GIR_RootConstrainSelectedInstOperands,
     /*  681676 */     // GIR_Coverage, 10631,
     /*  681676 */     GIR_EraseRootFromParent_Done,
     /*  681677 */   // Label 10813: @681677
     /*  681677 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681752), // Rule ID 10634 //
     /*  681682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681750 */     GIR_RootConstrainSelectedInstOperands,
     /*  681751 */     // GIR_Coverage, 10634,
     /*  681751 */     GIR_EraseRootFromParent_Done,
     /*  681752 */   // Label 10814: @681752
     /*  681752 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681827), // Rule ID 10635 //
     /*  681757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681825 */     GIR_RootConstrainSelectedInstOperands,
     /*  681826 */     // GIR_Coverage, 10635,
     /*  681826 */     GIR_EraseRootFromParent_Done,
     /*  681827 */   // Label 10815: @681827
     /*  681827 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681902), // Rule ID 10638 //
     /*  681832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681900 */     GIR_RootConstrainSelectedInstOperands,
     /*  681901 */     // GIR_Coverage, 10638,
     /*  681901 */     GIR_EraseRootFromParent_Done,
     /*  681902 */   // Label 10816: @681902
     /*  681902 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681977), // Rule ID 10639 //
     /*  681907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681975 */     GIR_RootConstrainSelectedInstOperands,
     /*  681976 */     // GIR_Coverage, 10639,
     /*  681976 */     GIR_EraseRootFromParent_Done,
     /*  681977 */   // Label 10817: @681977
     /*  681977 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(682052), // Rule ID 10642 //
     /*  681982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682050 */     GIR_RootConstrainSelectedInstOperands,
     /*  682051 */     // GIR_Coverage, 10642,
     /*  682051 */     GIR_EraseRootFromParent_Done,
     /*  682052 */   // Label 10818: @682052
     /*  682052 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(682127), // Rule ID 10643 //
     /*  682057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682125 */     GIR_RootConstrainSelectedInstOperands,
     /*  682126 */     // GIR_Coverage, 10643,
     /*  682126 */     GIR_EraseRootFromParent_Done,
     /*  682127 */   // Label 10819: @682127
     /*  682127 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682202), // Rule ID 10646 //
     /*  682132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682200 */     GIR_RootConstrainSelectedInstOperands,
     /*  682201 */     // GIR_Coverage, 10646,
     /*  682201 */     GIR_EraseRootFromParent_Done,
     /*  682202 */   // Label 10820: @682202
     /*  682202 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682277), // Rule ID 10647 //
     /*  682207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682275 */     GIR_RootConstrainSelectedInstOperands,
     /*  682276 */     // GIR_Coverage, 10647,
     /*  682276 */     GIR_EraseRootFromParent_Done,
     /*  682277 */   // Label 10821: @682277
     /*  682277 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682352), // Rule ID 10650 //
     /*  682282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682350 */     GIR_RootConstrainSelectedInstOperands,
     /*  682351 */     // GIR_Coverage, 10650,
     /*  682351 */     GIR_EraseRootFromParent_Done,
     /*  682352 */   // Label 10822: @682352
     /*  682352 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682427), // Rule ID 10651 //
     /*  682357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682425 */     GIR_RootConstrainSelectedInstOperands,
     /*  682426 */     // GIR_Coverage, 10651,
     /*  682426 */     GIR_EraseRootFromParent_Done,
     /*  682427 */   // Label 10823: @682427
     /*  682427 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682502), // Rule ID 10654 //
     /*  682432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682500 */     GIR_RootConstrainSelectedInstOperands,
     /*  682501 */     // GIR_Coverage, 10654,
     /*  682501 */     GIR_EraseRootFromParent_Done,
     /*  682502 */   // Label 10824: @682502
     /*  682502 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682577), // Rule ID 10655 //
     /*  682507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682575 */     GIR_RootConstrainSelectedInstOperands,
     /*  682576 */     // GIR_Coverage, 10655,
     /*  682576 */     GIR_EraseRootFromParent_Done,
     /*  682577 */   // Label 10825: @682577
     /*  682577 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682652), // Rule ID 10658 //
     /*  682582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682650 */     GIR_RootConstrainSelectedInstOperands,
     /*  682651 */     // GIR_Coverage, 10658,
     /*  682651 */     GIR_EraseRootFromParent_Done,
     /*  682652 */   // Label 10826: @682652
     /*  682652 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682727), // Rule ID 10659 //
     /*  682657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682725 */     GIR_RootConstrainSelectedInstOperands,
     /*  682726 */     // GIR_Coverage, 10659,
     /*  682726 */     GIR_EraseRootFromParent_Done,
     /*  682727 */   // Label 10827: @682727
     /*  682727 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682802), // Rule ID 10662 //
     /*  682732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682800 */     GIR_RootConstrainSelectedInstOperands,
     /*  682801 */     // GIR_Coverage, 10662,
     /*  682801 */     GIR_EraseRootFromParent_Done,
     /*  682802 */   // Label 10828: @682802
     /*  682802 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682877), // Rule ID 10663 //
     /*  682807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682875 */     GIR_RootConstrainSelectedInstOperands,
     /*  682876 */     // GIR_Coverage, 10663,
     /*  682876 */     GIR_EraseRootFromParent_Done,
     /*  682877 */   // Label 10829: @682877
     /*  682877 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682952), // Rule ID 10666 //
     /*  682882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682950 */     GIR_RootConstrainSelectedInstOperands,
     /*  682951 */     // GIR_Coverage, 10666,
     /*  682951 */     GIR_EraseRootFromParent_Done,
     /*  682952 */   // Label 10830: @682952
     /*  682952 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(683027), // Rule ID 10667 //
     /*  682957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  683006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683025 */     GIR_RootConstrainSelectedInstOperands,
     /*  683026 */     // GIR_Coverage, 10667,
     /*  683026 */     GIR_EraseRootFromParent_Done,
     /*  683027 */   // Label 10831: @683027
     /*  683027 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(683102), // Rule ID 10670 //
     /*  683032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683100 */     GIR_RootConstrainSelectedInstOperands,
     /*  683101 */     // GIR_Coverage, 10670,
     /*  683101 */     GIR_EraseRootFromParent_Done,
     /*  683102 */   // Label 10832: @683102
     /*  683102 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683177), // Rule ID 10671 //
     /*  683107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683175 */     GIR_RootConstrainSelectedInstOperands,
     /*  683176 */     // GIR_Coverage, 10671,
     /*  683176 */     GIR_EraseRootFromParent_Done,
     /*  683177 */   // Label 10833: @683177
     /*  683177 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683252), // Rule ID 10674 //
     /*  683182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683250 */     GIR_RootConstrainSelectedInstOperands,
     /*  683251 */     // GIR_Coverage, 10674,
     /*  683251 */     GIR_EraseRootFromParent_Done,
     /*  683252 */   // Label 10834: @683252
     /*  683252 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683327), // Rule ID 10675 //
     /*  683257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683325 */     GIR_RootConstrainSelectedInstOperands,
     /*  683326 */     // GIR_Coverage, 10675,
     /*  683326 */     GIR_EraseRootFromParent_Done,
     /*  683327 */   // Label 10835: @683327
     /*  683327 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683402), // Rule ID 10678 //
     /*  683332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683400 */     GIR_RootConstrainSelectedInstOperands,
     /*  683401 */     // GIR_Coverage, 10678,
     /*  683401 */     GIR_EraseRootFromParent_Done,
     /*  683402 */   // Label 10836: @683402
     /*  683402 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683477), // Rule ID 10679 //
     /*  683407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683475 */     GIR_RootConstrainSelectedInstOperands,
     /*  683476 */     // GIR_Coverage, 10679,
     /*  683476 */     GIR_EraseRootFromParent_Done,
     /*  683477 */   // Label 10837: @683477
     /*  683477 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683552), // Rule ID 10682 //
     /*  683482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683550 */     GIR_RootConstrainSelectedInstOperands,
     /*  683551 */     // GIR_Coverage, 10682,
     /*  683551 */     GIR_EraseRootFromParent_Done,
     /*  683552 */   // Label 10838: @683552
     /*  683552 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683627), // Rule ID 10683 //
     /*  683557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683625 */     GIR_RootConstrainSelectedInstOperands,
     /*  683626 */     // GIR_Coverage, 10683,
     /*  683626 */     GIR_EraseRootFromParent_Done,
     /*  683627 */   // Label 10839: @683627
     /*  683627 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683702), // Rule ID 10686 //
     /*  683632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683700 */     GIR_RootConstrainSelectedInstOperands,
     /*  683701 */     // GIR_Coverage, 10686,
     /*  683701 */     GIR_EraseRootFromParent_Done,
     /*  683702 */   // Label 10840: @683702
     /*  683702 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683777), // Rule ID 10687 //
     /*  683707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683775 */     GIR_RootConstrainSelectedInstOperands,
     /*  683776 */     // GIR_Coverage, 10687,
     /*  683776 */     GIR_EraseRootFromParent_Done,
     /*  683777 */   // Label 10841: @683777
     /*  683777 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683852), // Rule ID 10690 //
     /*  683782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683850 */     GIR_RootConstrainSelectedInstOperands,
     /*  683851 */     // GIR_Coverage, 10690,
     /*  683851 */     GIR_EraseRootFromParent_Done,
     /*  683852 */   // Label 10842: @683852
     /*  683852 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683927), // Rule ID 10691 //
     /*  683857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683925 */     GIR_RootConstrainSelectedInstOperands,
     /*  683926 */     // GIR_Coverage, 10691,
     /*  683926 */     GIR_EraseRootFromParent_Done,
     /*  683927 */   // Label 10843: @683927
     /*  683927 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(684002), // Rule ID 10694 //
     /*  683932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684000 */     GIR_RootConstrainSelectedInstOperands,
     /*  684001 */     // GIR_Coverage, 10694,
     /*  684001 */     GIR_EraseRootFromParent_Done,
     /*  684002 */   // Label 10844: @684002
     /*  684002 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(684077), // Rule ID 10695 //
     /*  684007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684075 */     GIR_RootConstrainSelectedInstOperands,
     /*  684076 */     // GIR_Coverage, 10695,
     /*  684076 */     GIR_EraseRootFromParent_Done,
     /*  684077 */   // Label 10845: @684077
     /*  684077 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684152), // Rule ID 10698 //
     /*  684082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684150 */     GIR_RootConstrainSelectedInstOperands,
     /*  684151 */     // GIR_Coverage, 10698,
     /*  684151 */     GIR_EraseRootFromParent_Done,
     /*  684152 */   // Label 10846: @684152
     /*  684152 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684227), // Rule ID 10699 //
     /*  684157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684225 */     GIR_RootConstrainSelectedInstOperands,
     /*  684226 */     // GIR_Coverage, 10699,
     /*  684226 */     GIR_EraseRootFromParent_Done,
     /*  684227 */   // Label 10847: @684227
     /*  684227 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684302), // Rule ID 10702 //
     /*  684232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684300 */     GIR_RootConstrainSelectedInstOperands,
     /*  684301 */     // GIR_Coverage, 10702,
     /*  684301 */     GIR_EraseRootFromParent_Done,
     /*  684302 */   // Label 10848: @684302
     /*  684302 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684377), // Rule ID 10703 //
     /*  684307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684375 */     GIR_RootConstrainSelectedInstOperands,
     /*  684376 */     // GIR_Coverage, 10703,
     /*  684376 */     GIR_EraseRootFromParent_Done,
     /*  684377 */   // Label 10849: @684377
     /*  684377 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684452), // Rule ID 10706 //
     /*  684382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684450 */     GIR_RootConstrainSelectedInstOperands,
     /*  684451 */     // GIR_Coverage, 10706,
     /*  684451 */     GIR_EraseRootFromParent_Done,
     /*  684452 */   // Label 10850: @684452
     /*  684452 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684527), // Rule ID 10707 //
     /*  684457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684525 */     GIR_RootConstrainSelectedInstOperands,
     /*  684526 */     // GIR_Coverage, 10707,
     /*  684526 */     GIR_EraseRootFromParent_Done,
     /*  684527 */   // Label 10851: @684527
     /*  684527 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684602), // Rule ID 10710 //
     /*  684532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684600 */     GIR_RootConstrainSelectedInstOperands,
     /*  684601 */     // GIR_Coverage, 10710,
     /*  684601 */     GIR_EraseRootFromParent_Done,
     /*  684602 */   // Label 10852: @684602
     /*  684602 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684677), // Rule ID 10711 //
     /*  684607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684675 */     GIR_RootConstrainSelectedInstOperands,
     /*  684676 */     // GIR_Coverage, 10711,
     /*  684676 */     GIR_EraseRootFromParent_Done,
     /*  684677 */   // Label 10853: @684677
     /*  684677 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684752), // Rule ID 10714 //
     /*  684682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684750 */     GIR_RootConstrainSelectedInstOperands,
     /*  684751 */     // GIR_Coverage, 10714,
     /*  684751 */     GIR_EraseRootFromParent_Done,
     /*  684752 */   // Label 10854: @684752
     /*  684752 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684827), // Rule ID 10715 //
     /*  684757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684825 */     GIR_RootConstrainSelectedInstOperands,
     /*  684826 */     // GIR_Coverage, 10715,
     /*  684826 */     GIR_EraseRootFromParent_Done,
     /*  684827 */   // Label 10855: @684827
     /*  684827 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684902), // Rule ID 10718 //
     /*  684832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684900 */     GIR_RootConstrainSelectedInstOperands,
     /*  684901 */     // GIR_Coverage, 10718,
     /*  684901 */     GIR_EraseRootFromParent_Done,
     /*  684902 */   // Label 10856: @684902
     /*  684902 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684977), // Rule ID 10719 //
     /*  684907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684975 */     GIR_RootConstrainSelectedInstOperands,
     /*  684976 */     // GIR_Coverage, 10719,
     /*  684976 */     GIR_EraseRootFromParent_Done,
     /*  684977 */   // Label 10857: @684977
     /*  684977 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(685052), // Rule ID 10722 //
     /*  684982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685050 */     GIR_RootConstrainSelectedInstOperands,
     /*  685051 */     // GIR_Coverage, 10722,
     /*  685051 */     GIR_EraseRootFromParent_Done,
     /*  685052 */   // Label 10858: @685052
     /*  685052 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(685127), // Rule ID 10723 //
     /*  685057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685125 */     GIR_RootConstrainSelectedInstOperands,
     /*  685126 */     // GIR_Coverage, 10723,
     /*  685126 */     GIR_EraseRootFromParent_Done,
     /*  685127 */   // Label 10859: @685127
     /*  685127 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685202), // Rule ID 10726 //
     /*  685132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685200 */     GIR_RootConstrainSelectedInstOperands,
     /*  685201 */     // GIR_Coverage, 10726,
     /*  685201 */     GIR_EraseRootFromParent_Done,
     /*  685202 */   // Label 10860: @685202
     /*  685202 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685277), // Rule ID 10727 //
     /*  685207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685275 */     GIR_RootConstrainSelectedInstOperands,
     /*  685276 */     // GIR_Coverage, 10727,
     /*  685276 */     GIR_EraseRootFromParent_Done,
     /*  685277 */   // Label 10861: @685277
     /*  685277 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685352), // Rule ID 10730 //
     /*  685282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685350 */     GIR_RootConstrainSelectedInstOperands,
     /*  685351 */     // GIR_Coverage, 10730,
     /*  685351 */     GIR_EraseRootFromParent_Done,
     /*  685352 */   // Label 10862: @685352
     /*  685352 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685427), // Rule ID 10731 //
     /*  685357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685425 */     GIR_RootConstrainSelectedInstOperands,
     /*  685426 */     // GIR_Coverage, 10731,
     /*  685426 */     GIR_EraseRootFromParent_Done,
     /*  685427 */   // Label 10863: @685427
     /*  685427 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685502), // Rule ID 10734 //
     /*  685432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685500 */     GIR_RootConstrainSelectedInstOperands,
     /*  685501 */     // GIR_Coverage, 10734,
     /*  685501 */     GIR_EraseRootFromParent_Done,
     /*  685502 */   // Label 10864: @685502
     /*  685502 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685577), // Rule ID 10735 //
     /*  685507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685575 */     GIR_RootConstrainSelectedInstOperands,
     /*  685576 */     // GIR_Coverage, 10735,
     /*  685576 */     GIR_EraseRootFromParent_Done,
     /*  685577 */   // Label 10865: @685577
     /*  685577 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685652), // Rule ID 10738 //
     /*  685582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685650 */     GIR_RootConstrainSelectedInstOperands,
     /*  685651 */     // GIR_Coverage, 10738,
     /*  685651 */     GIR_EraseRootFromParent_Done,
     /*  685652 */   // Label 10866: @685652
     /*  685652 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685727), // Rule ID 10739 //
     /*  685657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685725 */     GIR_RootConstrainSelectedInstOperands,
     /*  685726 */     // GIR_Coverage, 10739,
     /*  685726 */     GIR_EraseRootFromParent_Done,
     /*  685727 */   // Label 10867: @685727
     /*  685727 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685802), // Rule ID 10742 //
     /*  685732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685800 */     GIR_RootConstrainSelectedInstOperands,
     /*  685801 */     // GIR_Coverage, 10742,
     /*  685801 */     GIR_EraseRootFromParent_Done,
     /*  685802 */   // Label 10868: @685802
     /*  685802 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685877), // Rule ID 10743 //
     /*  685807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685875 */     GIR_RootConstrainSelectedInstOperands,
     /*  685876 */     // GIR_Coverage, 10743,
     /*  685876 */     GIR_EraseRootFromParent_Done,
     /*  685877 */   // Label 10869: @685877
     /*  685877 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685952), // Rule ID 10746 //
     /*  685882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685950 */     GIR_RootConstrainSelectedInstOperands,
     /*  685951 */     // GIR_Coverage, 10746,
     /*  685951 */     GIR_EraseRootFromParent_Done,
     /*  685952 */   // Label 10870: @685952
     /*  685952 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(686027), // Rule ID 10747 //
     /*  685957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686025 */     GIR_RootConstrainSelectedInstOperands,
     /*  686026 */     // GIR_Coverage, 10747,
     /*  686026 */     GIR_EraseRootFromParent_Done,
     /*  686027 */   // Label 10871: @686027
     /*  686027 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(686102), // Rule ID 10750 //
     /*  686032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686100 */     GIR_RootConstrainSelectedInstOperands,
     /*  686101 */     // GIR_Coverage, 10750,
     /*  686101 */     GIR_EraseRootFromParent_Done,
     /*  686102 */   // Label 10872: @686102
     /*  686102 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686177), // Rule ID 10751 //
     /*  686107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686153 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686175 */     GIR_RootConstrainSelectedInstOperands,
     /*  686176 */     // GIR_Coverage, 10751,
     /*  686176 */     GIR_EraseRootFromParent_Done,
     /*  686177 */   // Label 10873: @686177
     /*  686177 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686252), // Rule ID 10754 //
     /*  686182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686250 */     GIR_RootConstrainSelectedInstOperands,
     /*  686251 */     // GIR_Coverage, 10754,
     /*  686251 */     GIR_EraseRootFromParent_Done,
     /*  686252 */   // Label 10874: @686252
     /*  686252 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686327), // Rule ID 10755 //
     /*  686257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686325 */     GIR_RootConstrainSelectedInstOperands,
     /*  686326 */     // GIR_Coverage, 10755,
     /*  686326 */     GIR_EraseRootFromParent_Done,
     /*  686327 */   // Label 10875: @686327
     /*  686327 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686402), // Rule ID 10758 //
     /*  686332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686400 */     GIR_RootConstrainSelectedInstOperands,
     /*  686401 */     // GIR_Coverage, 10758,
     /*  686401 */     GIR_EraseRootFromParent_Done,
     /*  686402 */   // Label 10876: @686402
     /*  686402 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686477), // Rule ID 10759 //
     /*  686407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686475 */     GIR_RootConstrainSelectedInstOperands,
     /*  686476 */     // GIR_Coverage, 10759,
     /*  686476 */     GIR_EraseRootFromParent_Done,
     /*  686477 */   // Label 10877: @686477
     /*  686477 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686552), // Rule ID 10762 //
     /*  686482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686550 */     GIR_RootConstrainSelectedInstOperands,
     /*  686551 */     // GIR_Coverage, 10762,
     /*  686551 */     GIR_EraseRootFromParent_Done,
     /*  686552 */   // Label 10878: @686552
     /*  686552 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686627), // Rule ID 10763 //
     /*  686557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686625 */     GIR_RootConstrainSelectedInstOperands,
     /*  686626 */     // GIR_Coverage, 10763,
     /*  686626 */     GIR_EraseRootFromParent_Done,
     /*  686627 */   // Label 10879: @686627
     /*  686627 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686702), // Rule ID 10766 //
     /*  686632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686700 */     GIR_RootConstrainSelectedInstOperands,
     /*  686701 */     // GIR_Coverage, 10766,
     /*  686701 */     GIR_EraseRootFromParent_Done,
     /*  686702 */   // Label 10880: @686702
     /*  686702 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686777), // Rule ID 10767 //
     /*  686707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686775 */     GIR_RootConstrainSelectedInstOperands,
     /*  686776 */     // GIR_Coverage, 10767,
     /*  686776 */     GIR_EraseRootFromParent_Done,
     /*  686777 */   // Label 10881: @686777
     /*  686777 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686852), // Rule ID 10770 //
     /*  686782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686850 */     GIR_RootConstrainSelectedInstOperands,
     /*  686851 */     // GIR_Coverage, 10770,
     /*  686851 */     GIR_EraseRootFromParent_Done,
     /*  686852 */   // Label 10882: @686852
     /*  686852 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686927), // Rule ID 10771 //
     /*  686857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686925 */     GIR_RootConstrainSelectedInstOperands,
     /*  686926 */     // GIR_Coverage, 10771,
     /*  686926 */     GIR_EraseRootFromParent_Done,
     /*  686927 */   // Label 10883: @686927
     /*  686927 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(687002), // Rule ID 10774 //
     /*  686932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687000 */     GIR_RootConstrainSelectedInstOperands,
     /*  687001 */     // GIR_Coverage, 10774,
     /*  687001 */     GIR_EraseRootFromParent_Done,
     /*  687002 */   // Label 10884: @687002
     /*  687002 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(687077), // Rule ID 10775 //
     /*  687007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687075 */     GIR_RootConstrainSelectedInstOperands,
     /*  687076 */     // GIR_Coverage, 10775,
     /*  687076 */     GIR_EraseRootFromParent_Done,
     /*  687077 */   // Label 10885: @687077
     /*  687077 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687152), // Rule ID 10778 //
     /*  687082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687150 */     GIR_RootConstrainSelectedInstOperands,
     /*  687151 */     // GIR_Coverage, 10778,
     /*  687151 */     GIR_EraseRootFromParent_Done,
     /*  687152 */   // Label 10886: @687152
     /*  687152 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687227), // Rule ID 10779 //
     /*  687157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687225 */     GIR_RootConstrainSelectedInstOperands,
     /*  687226 */     // GIR_Coverage, 10779,
     /*  687226 */     GIR_EraseRootFromParent_Done,
     /*  687227 */   // Label 10887: @687227
     /*  687227 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687302), // Rule ID 10782 //
     /*  687232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687300 */     GIR_RootConstrainSelectedInstOperands,
     /*  687301 */     // GIR_Coverage, 10782,
     /*  687301 */     GIR_EraseRootFromParent_Done,
     /*  687302 */   // Label 10888: @687302
     /*  687302 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687377), // Rule ID 10783 //
     /*  687307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687375 */     GIR_RootConstrainSelectedInstOperands,
     /*  687376 */     // GIR_Coverage, 10783,
     /*  687376 */     GIR_EraseRootFromParent_Done,
     /*  687377 */   // Label 10889: @687377
     /*  687377 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687452), // Rule ID 10786 //
     /*  687382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687450 */     GIR_RootConstrainSelectedInstOperands,
     /*  687451 */     // GIR_Coverage, 10786,
     /*  687451 */     GIR_EraseRootFromParent_Done,
     /*  687452 */   // Label 10890: @687452
     /*  687452 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687527), // Rule ID 10787 //
     /*  687457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687525 */     GIR_RootConstrainSelectedInstOperands,
     /*  687526 */     // GIR_Coverage, 10787,
     /*  687526 */     GIR_EraseRootFromParent_Done,
     /*  687527 */   // Label 10891: @687527
     /*  687527 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687602), // Rule ID 10790 //
     /*  687532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687600 */     GIR_RootConstrainSelectedInstOperands,
     /*  687601 */     // GIR_Coverage, 10790,
     /*  687601 */     GIR_EraseRootFromParent_Done,
     /*  687602 */   // Label 10892: @687602
     /*  687602 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687677), // Rule ID 10791 //
     /*  687607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687675 */     GIR_RootConstrainSelectedInstOperands,
     /*  687676 */     // GIR_Coverage, 10791,
     /*  687676 */     GIR_EraseRootFromParent_Done,
     /*  687677 */   // Label 10893: @687677
     /*  687677 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687752), // Rule ID 10794 //
     /*  687682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687750 */     GIR_RootConstrainSelectedInstOperands,
     /*  687751 */     // GIR_Coverage, 10794,
     /*  687751 */     GIR_EraseRootFromParent_Done,
     /*  687752 */   // Label 10894: @687752
     /*  687752 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687827), // Rule ID 10795 //
     /*  687757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687825 */     GIR_RootConstrainSelectedInstOperands,
     /*  687826 */     // GIR_Coverage, 10795,
     /*  687826 */     GIR_EraseRootFromParent_Done,
     /*  687827 */   // Label 10895: @687827
     /*  687827 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687902), // Rule ID 10798 //
     /*  687832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687900 */     GIR_RootConstrainSelectedInstOperands,
     /*  687901 */     // GIR_Coverage, 10798,
     /*  687901 */     GIR_EraseRootFromParent_Done,
     /*  687902 */   // Label 10896: @687902
     /*  687902 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687977), // Rule ID 10799 //
     /*  687907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687975 */     GIR_RootConstrainSelectedInstOperands,
     /*  687976 */     // GIR_Coverage, 10799,
     /*  687976 */     GIR_EraseRootFromParent_Done,
     /*  687977 */   // Label 10897: @687977
     /*  687977 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(688052), // Rule ID 10802 //
     /*  687982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688050 */     GIR_RootConstrainSelectedInstOperands,
     /*  688051 */     // GIR_Coverage, 10802,
     /*  688051 */     GIR_EraseRootFromParent_Done,
     /*  688052 */   // Label 10898: @688052
     /*  688052 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(688127), // Rule ID 10803 //
     /*  688057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688103 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688125 */     GIR_RootConstrainSelectedInstOperands,
     /*  688126 */     // GIR_Coverage, 10803,
     /*  688126 */     GIR_EraseRootFromParent_Done,
     /*  688127 */   // Label 10899: @688127
     /*  688127 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688202), // Rule ID 10806 //
     /*  688132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688200 */     GIR_RootConstrainSelectedInstOperands,
     /*  688201 */     // GIR_Coverage, 10806,
     /*  688201 */     GIR_EraseRootFromParent_Done,
     /*  688202 */   // Label 10900: @688202
     /*  688202 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688277), // Rule ID 10807 //
     /*  688207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688275 */     GIR_RootConstrainSelectedInstOperands,
     /*  688276 */     // GIR_Coverage, 10807,
     /*  688276 */     GIR_EraseRootFromParent_Done,
     /*  688277 */   // Label 10901: @688277
     /*  688277 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688352), // Rule ID 10810 //
     /*  688282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688350 */     GIR_RootConstrainSelectedInstOperands,
     /*  688351 */     // GIR_Coverage, 10810,
     /*  688351 */     GIR_EraseRootFromParent_Done,
     /*  688352 */   // Label 10902: @688352
     /*  688352 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688427), // Rule ID 10811 //
     /*  688357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688425 */     GIR_RootConstrainSelectedInstOperands,
     /*  688426 */     // GIR_Coverage, 10811,
     /*  688426 */     GIR_EraseRootFromParent_Done,
     /*  688427 */   // Label 10903: @688427
     /*  688427 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688502), // Rule ID 10814 //
     /*  688432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688500 */     GIR_RootConstrainSelectedInstOperands,
     /*  688501 */     // GIR_Coverage, 10814,
     /*  688501 */     GIR_EraseRootFromParent_Done,
     /*  688502 */   // Label 10904: @688502
     /*  688502 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688577), // Rule ID 10815 //
     /*  688507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688575 */     GIR_RootConstrainSelectedInstOperands,
     /*  688576 */     // GIR_Coverage, 10815,
     /*  688576 */     GIR_EraseRootFromParent_Done,
     /*  688577 */   // Label 10905: @688577
     /*  688577 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688652), // Rule ID 10818 //
     /*  688582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688650 */     GIR_RootConstrainSelectedInstOperands,
     /*  688651 */     // GIR_Coverage, 10818,
     /*  688651 */     GIR_EraseRootFromParent_Done,
     /*  688652 */   // Label 10906: @688652
     /*  688652 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688727), // Rule ID 10819 //
     /*  688657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688725 */     GIR_RootConstrainSelectedInstOperands,
     /*  688726 */     // GIR_Coverage, 10819,
     /*  688726 */     GIR_EraseRootFromParent_Done,
     /*  688727 */   // Label 10907: @688727
     /*  688727 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688802), // Rule ID 10822 //
     /*  688732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688800 */     GIR_RootConstrainSelectedInstOperands,
     /*  688801 */     // GIR_Coverage, 10822,
     /*  688801 */     GIR_EraseRootFromParent_Done,
     /*  688802 */   // Label 10908: @688802
     /*  688802 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688877), // Rule ID 10823 //
     /*  688807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688875 */     GIR_RootConstrainSelectedInstOperands,
     /*  688876 */     // GIR_Coverage, 10823,
     /*  688876 */     GIR_EraseRootFromParent_Done,
     /*  688877 */   // Label 10909: @688877
     /*  688877 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688952), // Rule ID 10826 //
     /*  688882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688950 */     GIR_RootConstrainSelectedInstOperands,
     /*  688951 */     // GIR_Coverage, 10826,
     /*  688951 */     GIR_EraseRootFromParent_Done,
     /*  688952 */   // Label 10910: @688952
     /*  688952 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(689027), // Rule ID 10827 //
     /*  688957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689025 */     GIR_RootConstrainSelectedInstOperands,
     /*  689026 */     // GIR_Coverage, 10827,
     /*  689026 */     GIR_EraseRootFromParent_Done,
     /*  689027 */   // Label 10911: @689027
     /*  689027 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(689102), // Rule ID 10830 //
     /*  689032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689100 */     GIR_RootConstrainSelectedInstOperands,
     /*  689101 */     // GIR_Coverage, 10830,
     /*  689101 */     GIR_EraseRootFromParent_Done,
     /*  689102 */   // Label 10912: @689102
     /*  689102 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689177), // Rule ID 10831 //
     /*  689107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689175 */     GIR_RootConstrainSelectedInstOperands,
     /*  689176 */     // GIR_Coverage, 10831,
     /*  689176 */     GIR_EraseRootFromParent_Done,
     /*  689177 */   // Label 10913: @689177
     /*  689177 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689252), // Rule ID 10834 //
     /*  689182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689250 */     GIR_RootConstrainSelectedInstOperands,
     /*  689251 */     // GIR_Coverage, 10834,
     /*  689251 */     GIR_EraseRootFromParent_Done,
     /*  689252 */   // Label 10914: @689252
     /*  689252 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689327), // Rule ID 10835 //
     /*  689257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689325 */     GIR_RootConstrainSelectedInstOperands,
     /*  689326 */     // GIR_Coverage, 10835,
     /*  689326 */     GIR_EraseRootFromParent_Done,
     /*  689327 */   // Label 10915: @689327
     /*  689327 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689402), // Rule ID 10838 //
     /*  689332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689400 */     GIR_RootConstrainSelectedInstOperands,
     /*  689401 */     // GIR_Coverage, 10838,
     /*  689401 */     GIR_EraseRootFromParent_Done,
     /*  689402 */   // Label 10916: @689402
     /*  689402 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689477), // Rule ID 10839 //
     /*  689407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689475 */     GIR_RootConstrainSelectedInstOperands,
     /*  689476 */     // GIR_Coverage, 10839,
     /*  689476 */     GIR_EraseRootFromParent_Done,
     /*  689477 */   // Label 10917: @689477
     /*  689477 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689552), // Rule ID 10842 //
     /*  689482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689550 */     GIR_RootConstrainSelectedInstOperands,
     /*  689551 */     // GIR_Coverage, 10842,
     /*  689551 */     GIR_EraseRootFromParent_Done,
     /*  689552 */   // Label 10918: @689552
     /*  689552 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689627), // Rule ID 10843 //
     /*  689557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689625 */     GIR_RootConstrainSelectedInstOperands,
     /*  689626 */     // GIR_Coverage, 10843,
     /*  689626 */     GIR_EraseRootFromParent_Done,
     /*  689627 */   // Label 10919: @689627
     /*  689627 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689702), // Rule ID 10846 //
     /*  689632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689700 */     GIR_RootConstrainSelectedInstOperands,
     /*  689701 */     // GIR_Coverage, 10846,
     /*  689701 */     GIR_EraseRootFromParent_Done,
     /*  689702 */   // Label 10920: @689702
     /*  689702 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689777), // Rule ID 10847 //
     /*  689707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689775 */     GIR_RootConstrainSelectedInstOperands,
     /*  689776 */     // GIR_Coverage, 10847,
     /*  689776 */     GIR_EraseRootFromParent_Done,
     /*  689777 */   // Label 10921: @689777
     /*  689777 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689852), // Rule ID 10850 //
     /*  689782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689850 */     GIR_RootConstrainSelectedInstOperands,
     /*  689851 */     // GIR_Coverage, 10850,
     /*  689851 */     GIR_EraseRootFromParent_Done,
     /*  689852 */   // Label 10922: @689852
     /*  689852 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689927), // Rule ID 10851 //
     /*  689857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689925 */     GIR_RootConstrainSelectedInstOperands,
     /*  689926 */     // GIR_Coverage, 10851,
     /*  689926 */     GIR_EraseRootFromParent_Done,
     /*  689927 */   // Label 10923: @689927
     /*  689927 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(690002), // Rule ID 10854 //
     /*  689932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690000 */     GIR_RootConstrainSelectedInstOperands,
     /*  690001 */     // GIR_Coverage, 10854,
     /*  690001 */     GIR_EraseRootFromParent_Done,
     /*  690002 */   // Label 10924: @690002
     /*  690002 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(690077), // Rule ID 10855 //
     /*  690007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690075 */     GIR_RootConstrainSelectedInstOperands,
     /*  690076 */     // GIR_Coverage, 10855,
     /*  690076 */     GIR_EraseRootFromParent_Done,
     /*  690077 */   // Label 10925: @690077
     /*  690077 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690152), // Rule ID 10858 //
     /*  690082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690150 */     GIR_RootConstrainSelectedInstOperands,
     /*  690151 */     // GIR_Coverage, 10858,
     /*  690151 */     GIR_EraseRootFromParent_Done,
     /*  690152 */   // Label 10926: @690152
     /*  690152 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690227), // Rule ID 10859 //
     /*  690157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690225 */     GIR_RootConstrainSelectedInstOperands,
     /*  690226 */     // GIR_Coverage, 10859,
     /*  690226 */     GIR_EraseRootFromParent_Done,
     /*  690227 */   // Label 10927: @690227
     /*  690227 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690302), // Rule ID 10862 //
     /*  690232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690300 */     GIR_RootConstrainSelectedInstOperands,
     /*  690301 */     // GIR_Coverage, 10862,
     /*  690301 */     GIR_EraseRootFromParent_Done,
     /*  690302 */   // Label 10928: @690302
     /*  690302 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690377), // Rule ID 10863 //
     /*  690307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690375 */     GIR_RootConstrainSelectedInstOperands,
     /*  690376 */     // GIR_Coverage, 10863,
     /*  690376 */     GIR_EraseRootFromParent_Done,
     /*  690377 */   // Label 10929: @690377
     /*  690377 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690452), // Rule ID 10866 //
     /*  690382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690450 */     GIR_RootConstrainSelectedInstOperands,
     /*  690451 */     // GIR_Coverage, 10866,
     /*  690451 */     GIR_EraseRootFromParent_Done,
     /*  690452 */   // Label 10930: @690452
     /*  690452 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690527), // Rule ID 10867 //
     /*  690457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690525 */     GIR_RootConstrainSelectedInstOperands,
     /*  690526 */     // GIR_Coverage, 10867,
     /*  690526 */     GIR_EraseRootFromParent_Done,
     /*  690527 */   // Label 10931: @690527
     /*  690527 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690602), // Rule ID 10870 //
     /*  690532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690600 */     GIR_RootConstrainSelectedInstOperands,
     /*  690601 */     // GIR_Coverage, 10870,
     /*  690601 */     GIR_EraseRootFromParent_Done,
     /*  690602 */   // Label 10932: @690602
     /*  690602 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690677), // Rule ID 10871 //
     /*  690607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690675 */     GIR_RootConstrainSelectedInstOperands,
     /*  690676 */     // GIR_Coverage, 10871,
     /*  690676 */     GIR_EraseRootFromParent_Done,
     /*  690677 */   // Label 10933: @690677
     /*  690677 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690752), // Rule ID 10874 //
     /*  690682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690750 */     GIR_RootConstrainSelectedInstOperands,
     /*  690751 */     // GIR_Coverage, 10874,
     /*  690751 */     GIR_EraseRootFromParent_Done,
     /*  690752 */   // Label 10934: @690752
     /*  690752 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690827), // Rule ID 10875 //
     /*  690757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690825 */     GIR_RootConstrainSelectedInstOperands,
     /*  690826 */     // GIR_Coverage, 10875,
     /*  690826 */     GIR_EraseRootFromParent_Done,
     /*  690827 */   // Label 10935: @690827
     /*  690827 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690902), // Rule ID 10878 //
     /*  690832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690900 */     GIR_RootConstrainSelectedInstOperands,
     /*  690901 */     // GIR_Coverage, 10878,
     /*  690901 */     GIR_EraseRootFromParent_Done,
     /*  690902 */   // Label 10936: @690902
     /*  690902 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690977), // Rule ID 10879 //
     /*  690907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690975 */     GIR_RootConstrainSelectedInstOperands,
     /*  690976 */     // GIR_Coverage, 10879,
     /*  690976 */     GIR_EraseRootFromParent_Done,
     /*  690977 */   // Label 10937: @690977
     /*  690977 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(691052), // Rule ID 10882 //
     /*  690982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  690993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  690996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  690999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691050 */     GIR_RootConstrainSelectedInstOperands,
     /*  691051 */     // GIR_Coverage, 10882,
     /*  691051 */     GIR_EraseRootFromParent_Done,
     /*  691052 */   // Label 10938: @691052
     /*  691052 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(691127), // Rule ID 10883 //
     /*  691057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691125 */     GIR_RootConstrainSelectedInstOperands,
     /*  691126 */     // GIR_Coverage, 10883,
     /*  691126 */     GIR_EraseRootFromParent_Done,
     /*  691127 */   // Label 10939: @691127
     /*  691127 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691202), // Rule ID 10886 //
     /*  691132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691200 */     GIR_RootConstrainSelectedInstOperands,
     /*  691201 */     // GIR_Coverage, 10886,
     /*  691201 */     GIR_EraseRootFromParent_Done,
     /*  691202 */   // Label 10940: @691202
     /*  691202 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691277), // Rule ID 10887 //
     /*  691207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691275 */     GIR_RootConstrainSelectedInstOperands,
     /*  691276 */     // GIR_Coverage, 10887,
     /*  691276 */     GIR_EraseRootFromParent_Done,
     /*  691277 */   // Label 10941: @691277
     /*  691277 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691352), // Rule ID 10890 //
     /*  691282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691350 */     GIR_RootConstrainSelectedInstOperands,
     /*  691351 */     // GIR_Coverage, 10890,
     /*  691351 */     GIR_EraseRootFromParent_Done,
     /*  691352 */   // Label 10942: @691352
     /*  691352 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691427), // Rule ID 10891 //
     /*  691357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691425 */     GIR_RootConstrainSelectedInstOperands,
     /*  691426 */     // GIR_Coverage, 10891,
     /*  691426 */     GIR_EraseRootFromParent_Done,
     /*  691427 */   // Label 10943: @691427
     /*  691427 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691502), // Rule ID 10894 //
     /*  691432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691500 */     GIR_RootConstrainSelectedInstOperands,
     /*  691501 */     // GIR_Coverage, 10894,
     /*  691501 */     GIR_EraseRootFromParent_Done,
     /*  691502 */   // Label 10944: @691502
     /*  691502 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691577), // Rule ID 10895 //
     /*  691507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691575 */     GIR_RootConstrainSelectedInstOperands,
     /*  691576 */     // GIR_Coverage, 10895,
     /*  691576 */     GIR_EraseRootFromParent_Done,
     /*  691577 */   // Label 10945: @691577
     /*  691577 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691652), // Rule ID 10898 //
     /*  691582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691650 */     GIR_RootConstrainSelectedInstOperands,
     /*  691651 */     // GIR_Coverage, 10898,
     /*  691651 */     GIR_EraseRootFromParent_Done,
     /*  691652 */   // Label 10946: @691652
     /*  691652 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691727), // Rule ID 10899 //
     /*  691657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691725 */     GIR_RootConstrainSelectedInstOperands,
     /*  691726 */     // GIR_Coverage, 10899,
     /*  691726 */     GIR_EraseRootFromParent_Done,
     /*  691727 */   // Label 10947: @691727
     /*  691727 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691802), // Rule ID 10902 //
     /*  691732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691800 */     GIR_RootConstrainSelectedInstOperands,
     /*  691801 */     // GIR_Coverage, 10902,
     /*  691801 */     GIR_EraseRootFromParent_Done,
     /*  691802 */   // Label 10948: @691802
     /*  691802 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691877), // Rule ID 10903 //
     /*  691807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691875 */     GIR_RootConstrainSelectedInstOperands,
     /*  691876 */     // GIR_Coverage, 10903,
     /*  691876 */     GIR_EraseRootFromParent_Done,
     /*  691877 */   // Label 10949: @691877
     /*  691877 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691952), // Rule ID 10906 //
     /*  691882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691950 */     GIR_RootConstrainSelectedInstOperands,
     /*  691951 */     // GIR_Coverage, 10906,
     /*  691951 */     GIR_EraseRootFromParent_Done,
     /*  691952 */   // Label 10950: @691952
     /*  691952 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(692027), // Rule ID 10907 //
     /*  691957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692025 */     GIR_RootConstrainSelectedInstOperands,
     /*  692026 */     // GIR_Coverage, 10907,
     /*  692026 */     GIR_EraseRootFromParent_Done,
     /*  692027 */   // Label 10951: @692027
     /*  692027 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(692102), // Rule ID 10910 //
     /*  692032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692100 */     GIR_RootConstrainSelectedInstOperands,
     /*  692101 */     // GIR_Coverage, 10910,
     /*  692101 */     GIR_EraseRootFromParent_Done,
     /*  692102 */   // Label 10952: @692102
     /*  692102 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692177), // Rule ID 10911 //
     /*  692107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692175 */     GIR_RootConstrainSelectedInstOperands,
     /*  692176 */     // GIR_Coverage, 10911,
     /*  692176 */     GIR_EraseRootFromParent_Done,
     /*  692177 */   // Label 10953: @692177
     /*  692177 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692252), // Rule ID 10914 //
     /*  692182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692250 */     GIR_RootConstrainSelectedInstOperands,
     /*  692251 */     // GIR_Coverage, 10914,
     /*  692251 */     GIR_EraseRootFromParent_Done,
     /*  692252 */   // Label 10954: @692252
     /*  692252 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692327), // Rule ID 10915 //
     /*  692257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692325 */     GIR_RootConstrainSelectedInstOperands,
     /*  692326 */     // GIR_Coverage, 10915,
     /*  692326 */     GIR_EraseRootFromParent_Done,
     /*  692327 */   // Label 10955: @692327
     /*  692327 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692402), // Rule ID 10918 //
     /*  692332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  692343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  692346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  692349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  692352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692400 */     GIR_RootConstrainSelectedInstOperands,
     /*  692401 */     // GIR_Coverage, 10918,
     /*  692401 */     GIR_EraseRootFromParent_Done,
     /*  692402 */   // Label 10956: @692402
     /*  692402 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692477), // Rule ID 10919 //
     /*  692407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  692418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  692421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  692424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  692427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692475 */     GIR_RootConstrainSelectedInstOperands,
     /*  692476 */     // GIR_Coverage, 10919,
     /*  692476 */     GIR_EraseRootFromParent_Done,
     /*  692477 */   // Label 10957: @692477
     /*  692477 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692552), // Rule ID 10922 //
     /*  692482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692550 */     GIR_RootConstrainSelectedInstOperands,
     /*  692551 */     // GIR_Coverage, 10922,
     /*  692551 */     GIR_EraseRootFromParent_Done,
     /*  692552 */   // Label 10958: @692552
     /*  692552 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692627), // Rule ID 10923 //
     /*  692557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692625 */     GIR_RootConstrainSelectedInstOperands,
     /*  692626 */     // GIR_Coverage, 10923,
     /*  692626 */     GIR_EraseRootFromParent_Done,
     /*  692627 */   // Label 10959: @692627
     /*  692627 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692702), // Rule ID 10926 //
     /*  692632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692700 */     GIR_RootConstrainSelectedInstOperands,
     /*  692701 */     // GIR_Coverage, 10926,
     /*  692701 */     GIR_EraseRootFromParent_Done,
     /*  692702 */   // Label 10960: @692702
     /*  692702 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692777), // Rule ID 10927 //
     /*  692707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692775 */     GIR_RootConstrainSelectedInstOperands,
     /*  692776 */     // GIR_Coverage, 10927,
     /*  692776 */     GIR_EraseRootFromParent_Done,
     /*  692777 */   // Label 10961: @692777
     /*  692777 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692852), // Rule ID 10930 //
     /*  692782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692850 */     GIR_RootConstrainSelectedInstOperands,
     /*  692851 */     // GIR_Coverage, 10930,
     /*  692851 */     GIR_EraseRootFromParent_Done,
     /*  692852 */   // Label 10962: @692852
     /*  692852 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692927), // Rule ID 10931 //
     /*  692857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692925 */     GIR_RootConstrainSelectedInstOperands,
     /*  692926 */     // GIR_Coverage, 10931,
     /*  692926 */     GIR_EraseRootFromParent_Done,
     /*  692927 */   // Label 10963: @692927
     /*  692927 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(693002), // Rule ID 10934 //
     /*  692932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693000 */     GIR_RootConstrainSelectedInstOperands,
     /*  693001 */     // GIR_Coverage, 10934,
     /*  693001 */     GIR_EraseRootFromParent_Done,
     /*  693002 */   // Label 10964: @693002
     /*  693002 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(693077), // Rule ID 10935 //
     /*  693007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693075 */     GIR_RootConstrainSelectedInstOperands,
     /*  693076 */     // GIR_Coverage, 10935,
     /*  693076 */     GIR_EraseRootFromParent_Done,
     /*  693077 */   // Label 10965: @693077
     /*  693077 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693152), // Rule ID 10938 //
     /*  693082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693150 */     GIR_RootConstrainSelectedInstOperands,
     /*  693151 */     // GIR_Coverage, 10938,
     /*  693151 */     GIR_EraseRootFromParent_Done,
     /*  693152 */   // Label 10966: @693152
     /*  693152 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693227), // Rule ID 10939 //
     /*  693157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693225 */     GIR_RootConstrainSelectedInstOperands,
     /*  693226 */     // GIR_Coverage, 10939,
     /*  693226 */     GIR_EraseRootFromParent_Done,
     /*  693227 */   // Label 10967: @693227
     /*  693227 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693302), // Rule ID 10942 //
     /*  693232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693300 */     GIR_RootConstrainSelectedInstOperands,
     /*  693301 */     // GIR_Coverage, 10942,
     /*  693301 */     GIR_EraseRootFromParent_Done,
     /*  693302 */   // Label 10968: @693302
     /*  693302 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693377), // Rule ID 10943 //
     /*  693307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693375 */     GIR_RootConstrainSelectedInstOperands,
     /*  693376 */     // GIR_Coverage, 10943,
     /*  693376 */     GIR_EraseRootFromParent_Done,
     /*  693377 */   // Label 10969: @693377
     /*  693377 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693452), // Rule ID 10946 //
     /*  693382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693450 */     GIR_RootConstrainSelectedInstOperands,
     /*  693451 */     // GIR_Coverage, 10946,
     /*  693451 */     GIR_EraseRootFromParent_Done,
     /*  693452 */   // Label 10970: @693452
     /*  693452 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693527), // Rule ID 10947 //
     /*  693457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693525 */     GIR_RootConstrainSelectedInstOperands,
     /*  693526 */     // GIR_Coverage, 10947,
     /*  693526 */     GIR_EraseRootFromParent_Done,
     /*  693527 */   // Label 10971: @693527
     /*  693527 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693602), // Rule ID 10950 //
     /*  693532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693600 */     GIR_RootConstrainSelectedInstOperands,
     /*  693601 */     // GIR_Coverage, 10950,
     /*  693601 */     GIR_EraseRootFromParent_Done,
     /*  693602 */   // Label 10972: @693602
     /*  693602 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693677), // Rule ID 10951 //
     /*  693607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693675 */     GIR_RootConstrainSelectedInstOperands,
     /*  693676 */     // GIR_Coverage, 10951,
     /*  693676 */     GIR_EraseRootFromParent_Done,
     /*  693677 */   // Label 10973: @693677
     /*  693677 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693752), // Rule ID 10954 //
     /*  693682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693750 */     GIR_RootConstrainSelectedInstOperands,
     /*  693751 */     // GIR_Coverage, 10954,
     /*  693751 */     GIR_EraseRootFromParent_Done,
     /*  693752 */   // Label 10974: @693752
     /*  693752 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693827), // Rule ID 10955 //
     /*  693757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693825 */     GIR_RootConstrainSelectedInstOperands,
     /*  693826 */     // GIR_Coverage, 10955,
     /*  693826 */     GIR_EraseRootFromParent_Done,
     /*  693827 */   // Label 10975: @693827
     /*  693827 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693902), // Rule ID 10958 //
     /*  693832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693900 */     GIR_RootConstrainSelectedInstOperands,
     /*  693901 */     // GIR_Coverage, 10958,
     /*  693901 */     GIR_EraseRootFromParent_Done,
     /*  693902 */   // Label 10976: @693902
     /*  693902 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693977), // Rule ID 10959 //
     /*  693907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693975 */     GIR_RootConstrainSelectedInstOperands,
     /*  693976 */     // GIR_Coverage, 10959,
     /*  693976 */     GIR_EraseRootFromParent_Done,
     /*  693977 */   // Label 10977: @693977
     /*  693977 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(694052), // Rule ID 10962 //
     /*  693982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694050 */     GIR_RootConstrainSelectedInstOperands,
     /*  694051 */     // GIR_Coverage, 10962,
     /*  694051 */     GIR_EraseRootFromParent_Done,
     /*  694052 */   // Label 10978: @694052
     /*  694052 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(694127), // Rule ID 10963 //
     /*  694057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694125 */     GIR_RootConstrainSelectedInstOperands,
     /*  694126 */     // GIR_Coverage, 10963,
     /*  694126 */     GIR_EraseRootFromParent_Done,
     /*  694127 */   // Label 10979: @694127
     /*  694127 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694202), // Rule ID 10966 //
     /*  694132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694200 */     GIR_RootConstrainSelectedInstOperands,
     /*  694201 */     // GIR_Coverage, 10966,
     /*  694201 */     GIR_EraseRootFromParent_Done,
     /*  694202 */   // Label 10980: @694202
     /*  694202 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694277), // Rule ID 10967 //
     /*  694207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694275 */     GIR_RootConstrainSelectedInstOperands,
     /*  694276 */     // GIR_Coverage, 10967,
     /*  694276 */     GIR_EraseRootFromParent_Done,
     /*  694277 */   // Label 10981: @694277
     /*  694277 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694352), // Rule ID 10970 //
     /*  694282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  694293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  694296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  694299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694350 */     GIR_RootConstrainSelectedInstOperands,
     /*  694351 */     // GIR_Coverage, 10970,
     /*  694351 */     GIR_EraseRootFromParent_Done,
     /*  694352 */   // Label 10982: @694352
     /*  694352 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694427), // Rule ID 10971 //
     /*  694357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  694368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  694371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  694374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694425 */     GIR_RootConstrainSelectedInstOperands,
     /*  694426 */     // GIR_Coverage, 10971,
     /*  694426 */     GIR_EraseRootFromParent_Done,
     /*  694427 */   // Label 10983: @694427
     /*  694427 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694502), // Rule ID 10974 //
     /*  694432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694500 */     GIR_RootConstrainSelectedInstOperands,
     /*  694501 */     // GIR_Coverage, 10974,
     /*  694501 */     GIR_EraseRootFromParent_Done,
     /*  694502 */   // Label 10984: @694502
     /*  694502 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694577), // Rule ID 10975 //
     /*  694507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694575 */     GIR_RootConstrainSelectedInstOperands,
     /*  694576 */     // GIR_Coverage, 10975,
     /*  694576 */     GIR_EraseRootFromParent_Done,
     /*  694577 */   // Label 10985: @694577
     /*  694577 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694652), // Rule ID 10978 //
     /*  694582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694650 */     GIR_RootConstrainSelectedInstOperands,
     /*  694651 */     // GIR_Coverage, 10978,
     /*  694651 */     GIR_EraseRootFromParent_Done,
     /*  694652 */   // Label 10986: @694652
     /*  694652 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694727), // Rule ID 10979 //
     /*  694657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694725 */     GIR_RootConstrainSelectedInstOperands,
     /*  694726 */     // GIR_Coverage, 10979,
     /*  694726 */     GIR_EraseRootFromParent_Done,
     /*  694727 */   // Label 10987: @694727
     /*  694727 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694802), // Rule ID 10982 //
     /*  694732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694800 */     GIR_RootConstrainSelectedInstOperands,
     /*  694801 */     // GIR_Coverage, 10982,
     /*  694801 */     GIR_EraseRootFromParent_Done,
     /*  694802 */   // Label 10988: @694802
     /*  694802 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694877), // Rule ID 10983 //
     /*  694807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694875 */     GIR_RootConstrainSelectedInstOperands,
     /*  694876 */     // GIR_Coverage, 10983,
     /*  694876 */     GIR_EraseRootFromParent_Done,
     /*  694877 */   // Label 10989: @694877
     /*  694877 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694952), // Rule ID 10986 //
     /*  694882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694950 */     GIR_RootConstrainSelectedInstOperands,
     /*  694951 */     // GIR_Coverage, 10986,
     /*  694951 */     GIR_EraseRootFromParent_Done,
     /*  694952 */   // Label 10990: @694952
     /*  694952 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(695027), // Rule ID 10987 //
     /*  694957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695025 */     GIR_RootConstrainSelectedInstOperands,
     /*  695026 */     // GIR_Coverage, 10987,
     /*  695026 */     GIR_EraseRootFromParent_Done,
     /*  695027 */   // Label 10991: @695027
     /*  695027 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(695102), // Rule ID 10990 //
     /*  695032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695100 */     GIR_RootConstrainSelectedInstOperands,
     /*  695101 */     // GIR_Coverage, 10990,
     /*  695101 */     GIR_EraseRootFromParent_Done,
     /*  695102 */   // Label 10992: @695102
     /*  695102 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695177), // Rule ID 10991 //
     /*  695107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695175 */     GIR_RootConstrainSelectedInstOperands,
     /*  695176 */     // GIR_Coverage, 10991,
     /*  695176 */     GIR_EraseRootFromParent_Done,
     /*  695177 */   // Label 10993: @695177
     /*  695177 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695252), // Rule ID 10994 //
     /*  695182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695250 */     GIR_RootConstrainSelectedInstOperands,
     /*  695251 */     // GIR_Coverage, 10994,
     /*  695251 */     GIR_EraseRootFromParent_Done,
     /*  695252 */   // Label 10994: @695252
     /*  695252 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695327), // Rule ID 10995 //
     /*  695257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695325 */     GIR_RootConstrainSelectedInstOperands,
     /*  695326 */     // GIR_Coverage, 10995,
     /*  695326 */     GIR_EraseRootFromParent_Done,
     /*  695327 */   // Label 10995: @695327
     /*  695327 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695402), // Rule ID 10998 //
     /*  695332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695400 */     GIR_RootConstrainSelectedInstOperands,
     /*  695401 */     // GIR_Coverage, 10998,
     /*  695401 */     GIR_EraseRootFromParent_Done,
     /*  695402 */   // Label 10996: @695402
     /*  695402 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695477), // Rule ID 10999 //
     /*  695407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695475 */     GIR_RootConstrainSelectedInstOperands,
     /*  695476 */     // GIR_Coverage, 10999,
     /*  695476 */     GIR_EraseRootFromParent_Done,
     /*  695477 */   // Label 10997: @695477
     /*  695477 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695552), // Rule ID 11002 //
     /*  695482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695550 */     GIR_RootConstrainSelectedInstOperands,
     /*  695551 */     // GIR_Coverage, 11002,
     /*  695551 */     GIR_EraseRootFromParent_Done,
     /*  695552 */   // Label 10998: @695552
     /*  695552 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695627), // Rule ID 11003 //
     /*  695557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695625 */     GIR_RootConstrainSelectedInstOperands,
     /*  695626 */     // GIR_Coverage, 11003,
     /*  695626 */     GIR_EraseRootFromParent_Done,
     /*  695627 */   // Label 10999: @695627
     /*  695627 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695702), // Rule ID 11006 //
     /*  695632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695700 */     GIR_RootConstrainSelectedInstOperands,
     /*  695701 */     // GIR_Coverage, 11006,
     /*  695701 */     GIR_EraseRootFromParent_Done,
     /*  695702 */   // Label 11000: @695702
     /*  695702 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695777), // Rule ID 11007 //
     /*  695707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695775 */     GIR_RootConstrainSelectedInstOperands,
     /*  695776 */     // GIR_Coverage, 11007,
     /*  695776 */     GIR_EraseRootFromParent_Done,
     /*  695777 */   // Label 11001: @695777
     /*  695777 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695852), // Rule ID 11010 //
     /*  695782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695850 */     GIR_RootConstrainSelectedInstOperands,
     /*  695851 */     // GIR_Coverage, 11010,
     /*  695851 */     GIR_EraseRootFromParent_Done,
     /*  695852 */   // Label 11002: @695852
     /*  695852 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695927), // Rule ID 11011 //
     /*  695857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695925 */     GIR_RootConstrainSelectedInstOperands,
     /*  695926 */     // GIR_Coverage, 11011,
     /*  695926 */     GIR_EraseRootFromParent_Done,
     /*  695927 */   // Label 11003: @695927
     /*  695927 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(696002), // Rule ID 11014 //
     /*  695932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696000 */     GIR_RootConstrainSelectedInstOperands,
     /*  696001 */     // GIR_Coverage, 11014,
     /*  696001 */     GIR_EraseRootFromParent_Done,
     /*  696002 */   // Label 11004: @696002
     /*  696002 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(696077), // Rule ID 11015 //
     /*  696007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696075 */     GIR_RootConstrainSelectedInstOperands,
     /*  696076 */     // GIR_Coverage, 11015,
     /*  696076 */     GIR_EraseRootFromParent_Done,
     /*  696077 */   // Label 11005: @696077
     /*  696077 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696152), // Rule ID 11018 //
     /*  696082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696150 */     GIR_RootConstrainSelectedInstOperands,
     /*  696151 */     // GIR_Coverage, 11018,
     /*  696151 */     GIR_EraseRootFromParent_Done,
     /*  696152 */   // Label 11006: @696152
     /*  696152 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696227), // Rule ID 11019 //
     /*  696157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696225 */     GIR_RootConstrainSelectedInstOperands,
     /*  696226 */     // GIR_Coverage, 11019,
     /*  696226 */     GIR_EraseRootFromParent_Done,
     /*  696227 */   // Label 11007: @696227
     /*  696227 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696302), // Rule ID 11022 //
     /*  696232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  696252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696300 */     GIR_RootConstrainSelectedInstOperands,
     /*  696301 */     // GIR_Coverage, 11022,
     /*  696301 */     GIR_EraseRootFromParent_Done,
     /*  696302 */   // Label 11008: @696302
     /*  696302 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696377), // Rule ID 11023 //
     /*  696307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  696327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696375 */     GIR_RootConstrainSelectedInstOperands,
     /*  696376 */     // GIR_Coverage, 11023,
     /*  696376 */     GIR_EraseRootFromParent_Done,
     /*  696377 */   // Label 11009: @696377
     /*  696377 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696452), // Rule ID 11026 //
     /*  696382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696450 */     GIR_RootConstrainSelectedInstOperands,
     /*  696451 */     // GIR_Coverage, 11026,
     /*  696451 */     GIR_EraseRootFromParent_Done,
     /*  696452 */   // Label 11010: @696452
     /*  696452 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696527), // Rule ID 11027 //
     /*  696457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696525 */     GIR_RootConstrainSelectedInstOperands,
     /*  696526 */     // GIR_Coverage, 11027,
     /*  696526 */     GIR_EraseRootFromParent_Done,
     /*  696527 */   // Label 11011: @696527
     /*  696527 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696602), // Rule ID 11030 //
     /*  696532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696600 */     GIR_RootConstrainSelectedInstOperands,
     /*  696601 */     // GIR_Coverage, 11030,
     /*  696601 */     GIR_EraseRootFromParent_Done,
     /*  696602 */   // Label 11012: @696602
     /*  696602 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696677), // Rule ID 11031 //
     /*  696607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696675 */     GIR_RootConstrainSelectedInstOperands,
     /*  696676 */     // GIR_Coverage, 11031,
     /*  696676 */     GIR_EraseRootFromParent_Done,
     /*  696677 */   // Label 11013: @696677
     /*  696677 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696752), // Rule ID 11034 //
     /*  696682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696750 */     GIR_RootConstrainSelectedInstOperands,
     /*  696751 */     // GIR_Coverage, 11034,
     /*  696751 */     GIR_EraseRootFromParent_Done,
     /*  696752 */   // Label 11014: @696752
     /*  696752 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696827), // Rule ID 11035 //
     /*  696757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696825 */     GIR_RootConstrainSelectedInstOperands,
     /*  696826 */     // GIR_Coverage, 11035,
     /*  696826 */     GIR_EraseRootFromParent_Done,
     /*  696827 */   // Label 11015: @696827
     /*  696827 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696902), // Rule ID 11038 //
     /*  696832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696900 */     GIR_RootConstrainSelectedInstOperands,
     /*  696901 */     // GIR_Coverage, 11038,
     /*  696901 */     GIR_EraseRootFromParent_Done,
     /*  696902 */   // Label 11016: @696902
     /*  696902 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696977), // Rule ID 11039 //
     /*  696907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696975 */     GIR_RootConstrainSelectedInstOperands,
     /*  696976 */     // GIR_Coverage, 11039,
     /*  696976 */     GIR_EraseRootFromParent_Done,
     /*  696977 */   // Label 11017: @696977
     /*  696977 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(697052), // Rule ID 11042 //
     /*  696982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697050 */     GIR_RootConstrainSelectedInstOperands,
     /*  697051 */     // GIR_Coverage, 11042,
     /*  697051 */     GIR_EraseRootFromParent_Done,
     /*  697052 */   // Label 11018: @697052
     /*  697052 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(697127), // Rule ID 11043 //
     /*  697057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697125 */     GIR_RootConstrainSelectedInstOperands,
     /*  697126 */     // GIR_Coverage, 11043,
     /*  697126 */     GIR_EraseRootFromParent_Done,
     /*  697127 */   // Label 11019: @697127
     /*  697127 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697202), // Rule ID 11046 //
     /*  697132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697200 */     GIR_RootConstrainSelectedInstOperands,
     /*  697201 */     // GIR_Coverage, 11046,
     /*  697201 */     GIR_EraseRootFromParent_Done,
     /*  697202 */   // Label 11020: @697202
     /*  697202 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697277), // Rule ID 11047 //
     /*  697207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697275 */     GIR_RootConstrainSelectedInstOperands,
     /*  697276 */     // GIR_Coverage, 11047,
     /*  697276 */     GIR_EraseRootFromParent_Done,
     /*  697277 */   // Label 11021: @697277
     /*  697277 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697352), // Rule ID 11050 //
     /*  697282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  697302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697350 */     GIR_RootConstrainSelectedInstOperands,
     /*  697351 */     // GIR_Coverage, 11050,
     /*  697351 */     GIR_EraseRootFromParent_Done,
     /*  697352 */   // Label 11022: @697352
     /*  697352 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697427), // Rule ID 11051 //
     /*  697357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  697377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697425 */     GIR_RootConstrainSelectedInstOperands,
     /*  697426 */     // GIR_Coverage, 11051,
     /*  697426 */     GIR_EraseRootFromParent_Done,
     /*  697427 */   // Label 11023: @697427
     /*  697427 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697502), // Rule ID 11054 //
     /*  697432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697500 */     GIR_RootConstrainSelectedInstOperands,
     /*  697501 */     // GIR_Coverage, 11054,
     /*  697501 */     GIR_EraseRootFromParent_Done,
     /*  697502 */   // Label 11024: @697502
     /*  697502 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697577), // Rule ID 11055 //
     /*  697507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697575 */     GIR_RootConstrainSelectedInstOperands,
     /*  697576 */     // GIR_Coverage, 11055,
     /*  697576 */     GIR_EraseRootFromParent_Done,
     /*  697577 */   // Label 11025: @697577
     /*  697577 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697652), // Rule ID 11058 //
     /*  697582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697650 */     GIR_RootConstrainSelectedInstOperands,
     /*  697651 */     // GIR_Coverage, 11058,
     /*  697651 */     GIR_EraseRootFromParent_Done,
     /*  697652 */   // Label 11026: @697652
     /*  697652 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697727), // Rule ID 11059 //
     /*  697657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697703 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697725 */     GIR_RootConstrainSelectedInstOperands,
     /*  697726 */     // GIR_Coverage, 11059,
     /*  697726 */     GIR_EraseRootFromParent_Done,
     /*  697727 */   // Label 11027: @697727
     /*  697727 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697802), // Rule ID 11062 //
     /*  697732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697800 */     GIR_RootConstrainSelectedInstOperands,
     /*  697801 */     // GIR_Coverage, 11062,
     /*  697801 */     GIR_EraseRootFromParent_Done,
     /*  697802 */   // Label 11028: @697802
     /*  697802 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697877), // Rule ID 11063 //
     /*  697807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697875 */     GIR_RootConstrainSelectedInstOperands,
     /*  697876 */     // GIR_Coverage, 11063,
     /*  697876 */     GIR_EraseRootFromParent_Done,
     /*  697877 */   // Label 11029: @697877
     /*  697877 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697952), // Rule ID 11066 //
     /*  697882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697928 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697950 */     GIR_RootConstrainSelectedInstOperands,
     /*  697951 */     // GIR_Coverage, 11066,
     /*  697951 */     GIR_EraseRootFromParent_Done,
     /*  697952 */   // Label 11030: @697952
     /*  697952 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(698027), // Rule ID 11067 //
     /*  697957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698025 */     GIR_RootConstrainSelectedInstOperands,
     /*  698026 */     // GIR_Coverage, 11067,
     /*  698026 */     GIR_EraseRootFromParent_Done,
     /*  698027 */   // Label 11031: @698027
     /*  698027 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(698102), // Rule ID 11070 //
     /*  698032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698100 */     GIR_RootConstrainSelectedInstOperands,
     /*  698101 */     // GIR_Coverage, 11070,
     /*  698101 */     GIR_EraseRootFromParent_Done,
     /*  698102 */   // Label 11032: @698102
     /*  698102 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698177), // Rule ID 11071 //
     /*  698107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698175 */     GIR_RootConstrainSelectedInstOperands,
     /*  698176 */     // GIR_Coverage, 11071,
     /*  698176 */     GIR_EraseRootFromParent_Done,
     /*  698177 */   // Label 11033: @698177
     /*  698177 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698252), // Rule ID 11074 //
     /*  698182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698250 */     GIR_RootConstrainSelectedInstOperands,
     /*  698251 */     // GIR_Coverage, 11074,
     /*  698251 */     GIR_EraseRootFromParent_Done,
     /*  698252 */   // Label 11034: @698252
     /*  698252 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698327), // Rule ID 11075 //
     /*  698257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698303 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698325 */     GIR_RootConstrainSelectedInstOperands,
     /*  698326 */     // GIR_Coverage, 11075,
     /*  698326 */     GIR_EraseRootFromParent_Done,
     /*  698327 */   // Label 11035: @698327
     /*  698327 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698402), // Rule ID 11078 //
     /*  698332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  698352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698400 */     GIR_RootConstrainSelectedInstOperands,
     /*  698401 */     // GIR_Coverage, 11078,
     /*  698401 */     GIR_EraseRootFromParent_Done,
     /*  698402 */   // Label 11036: @698402
     /*  698402 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698477), // Rule ID 11079 //
     /*  698407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  698427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698475 */     GIR_RootConstrainSelectedInstOperands,
     /*  698476 */     // GIR_Coverage, 11079,
     /*  698476 */     GIR_EraseRootFromParent_Done,
     /*  698477 */   // Label 11037: @698477
     /*  698477 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698552), // Rule ID 11082 //
     /*  698482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698550 */     GIR_RootConstrainSelectedInstOperands,
     /*  698551 */     // GIR_Coverage, 11082,
     /*  698551 */     GIR_EraseRootFromParent_Done,
     /*  698552 */   // Label 11038: @698552
     /*  698552 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698627), // Rule ID 11083 //
     /*  698557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698625 */     GIR_RootConstrainSelectedInstOperands,
     /*  698626 */     // GIR_Coverage, 11083,
     /*  698626 */     GIR_EraseRootFromParent_Done,
     /*  698627 */   // Label 11039: @698627
     /*  698627 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698702), // Rule ID 11086 //
     /*  698632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698700 */     GIR_RootConstrainSelectedInstOperands,
     /*  698701 */     // GIR_Coverage, 11086,
     /*  698701 */     GIR_EraseRootFromParent_Done,
     /*  698702 */   // Label 11040: @698702
     /*  698702 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698777), // Rule ID 11087 //
     /*  698707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698753 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698775 */     GIR_RootConstrainSelectedInstOperands,
     /*  698776 */     // GIR_Coverage, 11087,
     /*  698776 */     GIR_EraseRootFromParent_Done,
     /*  698777 */   // Label 11041: @698777
     /*  698777 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698852), // Rule ID 11090 //
     /*  698782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698850 */     GIR_RootConstrainSelectedInstOperands,
     /*  698851 */     // GIR_Coverage, 11090,
     /*  698851 */     GIR_EraseRootFromParent_Done,
     /*  698852 */   // Label 11042: @698852
     /*  698852 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698927), // Rule ID 11091 //
     /*  698857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698925 */     GIR_RootConstrainSelectedInstOperands,
     /*  698926 */     // GIR_Coverage, 11091,
     /*  698926 */     GIR_EraseRootFromParent_Done,
     /*  698927 */   // Label 11043: @698927
     /*  698927 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(699002), // Rule ID 11094 //
     /*  698932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699000 */     GIR_RootConstrainSelectedInstOperands,
     /*  699001 */     // GIR_Coverage, 11094,
     /*  699001 */     GIR_EraseRootFromParent_Done,
     /*  699002 */   // Label 11044: @699002
     /*  699002 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(699077), // Rule ID 11095 //
     /*  699007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  699018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  699021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  699024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699075 */     GIR_RootConstrainSelectedInstOperands,
     /*  699076 */     // GIR_Coverage, 11095,
     /*  699076 */     GIR_EraseRootFromParent_Done,
     /*  699077 */   // Label 11045: @699077
     /*  699077 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699152), // Rule ID 11098 //
     /*  699082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699150 */     GIR_RootConstrainSelectedInstOperands,
     /*  699151 */     // GIR_Coverage, 11098,
     /*  699151 */     GIR_EraseRootFromParent_Done,
     /*  699152 */   // Label 11046: @699152
     /*  699152 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699227), // Rule ID 11099 //
     /*  699157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699225 */     GIR_RootConstrainSelectedInstOperands,
     /*  699226 */     // GIR_Coverage, 11099,
     /*  699226 */     GIR_EraseRootFromParent_Done,
     /*  699227 */   // Label 11047: @699227
     /*  699227 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699302), // Rule ID 11102 //
     /*  699232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699300 */     GIR_RootConstrainSelectedInstOperands,
     /*  699301 */     // GIR_Coverage, 11102,
     /*  699301 */     GIR_EraseRootFromParent_Done,
     /*  699302 */   // Label 11048: @699302
     /*  699302 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699377), // Rule ID 11103 //
     /*  699307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699375 */     GIR_RootConstrainSelectedInstOperands,
     /*  699376 */     // GIR_Coverage, 11103,
     /*  699376 */     GIR_EraseRootFromParent_Done,
     /*  699377 */   // Label 11049: @699377
     /*  699377 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699452), // Rule ID 11106 //
     /*  699382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699450 */     GIR_RootConstrainSelectedInstOperands,
     /*  699451 */     // GIR_Coverage, 11106,
     /*  699451 */     GIR_EraseRootFromParent_Done,
     /*  699452 */   // Label 11050: @699452
     /*  699452 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699527), // Rule ID 11107 //
     /*  699457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699525 */     GIR_RootConstrainSelectedInstOperands,
     /*  699526 */     // GIR_Coverage, 11107,
     /*  699526 */     GIR_EraseRootFromParent_Done,
     /*  699527 */   // Label 11051: @699527
     /*  699527 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699602), // Rule ID 11110 //
     /*  699532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699600 */     GIR_RootConstrainSelectedInstOperands,
     /*  699601 */     // GIR_Coverage, 11110,
     /*  699601 */     GIR_EraseRootFromParent_Done,
     /*  699602 */   // Label 11052: @699602
     /*  699602 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699677), // Rule ID 11111 //
     /*  699607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699675 */     GIR_RootConstrainSelectedInstOperands,
     /*  699676 */     // GIR_Coverage, 11111,
     /*  699676 */     GIR_EraseRootFromParent_Done,
     /*  699677 */   // Label 11053: @699677
     /*  699677 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699752), // Rule ID 11114 //
     /*  699682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699750 */     GIR_RootConstrainSelectedInstOperands,
     /*  699751 */     // GIR_Coverage, 11114,
     /*  699751 */     GIR_EraseRootFromParent_Done,
     /*  699752 */   // Label 11054: @699752
     /*  699752 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699827), // Rule ID 11115 //
     /*  699757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699825 */     GIR_RootConstrainSelectedInstOperands,
     /*  699826 */     // GIR_Coverage, 11115,
     /*  699826 */     GIR_EraseRootFromParent_Done,
     /*  699827 */   // Label 11055: @699827
     /*  699827 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699902), // Rule ID 11118 //
     /*  699832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699900 */     GIR_RootConstrainSelectedInstOperands,
     /*  699901 */     // GIR_Coverage, 11118,
     /*  699901 */     GIR_EraseRootFromParent_Done,
     /*  699902 */   // Label 11056: @699902
     /*  699902 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699977), // Rule ID 11119 //
     /*  699907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699975 */     GIR_RootConstrainSelectedInstOperands,
     /*  699976 */     // GIR_Coverage, 11119,
     /*  699976 */     GIR_EraseRootFromParent_Done,
     /*  699977 */   // Label 11057: @699977
     /*  699977 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(700052), // Rule ID 11122 //
     /*  699982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700050 */     GIR_RootConstrainSelectedInstOperands,
     /*  700051 */     // GIR_Coverage, 11122,
     /*  700051 */     GIR_EraseRootFromParent_Done,
     /*  700052 */   // Label 11058: @700052
     /*  700052 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(700127), // Rule ID 11123 //
     /*  700057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  700068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  700071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  700074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700125 */     GIR_RootConstrainSelectedInstOperands,
     /*  700126 */     // GIR_Coverage, 11123,
     /*  700126 */     GIR_EraseRootFromParent_Done,
     /*  700127 */   // Label 11059: @700127
     /*  700127 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700202), // Rule ID 11126 //
     /*  700132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700200 */     GIR_RootConstrainSelectedInstOperands,
     /*  700201 */     // GIR_Coverage, 11126,
     /*  700201 */     GIR_EraseRootFromParent_Done,
     /*  700202 */   // Label 11060: @700202
     /*  700202 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700277), // Rule ID 11127 //
     /*  700207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700253 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700275 */     GIR_RootConstrainSelectedInstOperands,
     /*  700276 */     // GIR_Coverage, 11127,
     /*  700276 */     GIR_EraseRootFromParent_Done,
     /*  700277 */   // Label 11061: @700277
     /*  700277 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700352), // Rule ID 11130 //
     /*  700282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  700293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  700296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  700299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700350 */     GIR_RootConstrainSelectedInstOperands,
     /*  700351 */     // GIR_Coverage, 11130,
     /*  700351 */     GIR_EraseRootFromParent_Done,
     /*  700352 */   // Label 11062: @700352
     /*  700352 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700427), // Rule ID 11131 //
     /*  700357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  700368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  700371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  700374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700425 */     GIR_RootConstrainSelectedInstOperands,
     /*  700426 */     // GIR_Coverage, 11131,
     /*  700426 */     GIR_EraseRootFromParent_Done,
     /*  700427 */   // Label 11063: @700427
     /*  700427 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700502), // Rule ID 11134 //
     /*  700432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700500 */     GIR_RootConstrainSelectedInstOperands,
     /*  700501 */     // GIR_Coverage, 11134,
     /*  700501 */     GIR_EraseRootFromParent_Done,
     /*  700502 */   // Label 11064: @700502
     /*  700502 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700577), // Rule ID 11135 //
     /*  700507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700553 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700575 */     GIR_RootConstrainSelectedInstOperands,
     /*  700576 */     // GIR_Coverage, 11135,
     /*  700576 */     GIR_EraseRootFromParent_Done,
     /*  700577 */   // Label 11065: @700577
     /*  700577 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700652), // Rule ID 11138 //
     /*  700582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700650 */     GIR_RootConstrainSelectedInstOperands,
     /*  700651 */     // GIR_Coverage, 11138,
     /*  700651 */     GIR_EraseRootFromParent_Done,
     /*  700652 */   // Label 11066: @700652
     /*  700652 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700727), // Rule ID 11139 //
     /*  700657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700725 */     GIR_RootConstrainSelectedInstOperands,
     /*  700726 */     // GIR_Coverage, 11139,
     /*  700726 */     GIR_EraseRootFromParent_Done,
     /*  700727 */   // Label 11067: @700727
     /*  700727 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700802), // Rule ID 11142 //
     /*  700732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700800 */     GIR_RootConstrainSelectedInstOperands,
     /*  700801 */     // GIR_Coverage, 11142,
     /*  700801 */     GIR_EraseRootFromParent_Done,
     /*  700802 */   // Label 11068: @700802
     /*  700802 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700877), // Rule ID 11143 //
     /*  700807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700875 */     GIR_RootConstrainSelectedInstOperands,
     /*  700876 */     // GIR_Coverage, 11143,
     /*  700876 */     GIR_EraseRootFromParent_Done,
     /*  700877 */   // Label 11069: @700877
     /*  700877 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700952), // Rule ID 11146 //
     /*  700882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700950 */     GIR_RootConstrainSelectedInstOperands,
     /*  700951 */     // GIR_Coverage, 11146,
     /*  700951 */     GIR_EraseRootFromParent_Done,
     /*  700952 */   // Label 11070: @700952
     /*  700952 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(701027), // Rule ID 11147 //
     /*  700957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701025 */     GIR_RootConstrainSelectedInstOperands,
     /*  701026 */     // GIR_Coverage, 11147,
     /*  701026 */     GIR_EraseRootFromParent_Done,
     /*  701027 */   // Label 11071: @701027
     /*  701027 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(701102), // Rule ID 11150 //
     /*  701032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701100 */     GIR_RootConstrainSelectedInstOperands,
     /*  701101 */     // GIR_Coverage, 11150,
     /*  701101 */     GIR_EraseRootFromParent_Done,
     /*  701102 */   // Label 11072: @701102
     /*  701102 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701177), // Rule ID 11151 //
     /*  701107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701175 */     GIR_RootConstrainSelectedInstOperands,
     /*  701176 */     // GIR_Coverage, 11151,
     /*  701176 */     GIR_EraseRootFromParent_Done,
     /*  701177 */   // Label 11073: @701177
     /*  701177 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701252), // Rule ID 11154 //
     /*  701182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701250 */     GIR_RootConstrainSelectedInstOperands,
     /*  701251 */     // GIR_Coverage, 11154,
     /*  701251 */     GIR_EraseRootFromParent_Done,
     /*  701252 */   // Label 11074: @701252
     /*  701252 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701327), // Rule ID 11155 //
     /*  701257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701325 */     GIR_RootConstrainSelectedInstOperands,
     /*  701326 */     // GIR_Coverage, 11155,
     /*  701326 */     GIR_EraseRootFromParent_Done,
     /*  701327 */   // Label 11075: @701327
     /*  701327 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701402), // Rule ID 11158 //
     /*  701332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  701343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  701346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  701349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701400 */     GIR_RootConstrainSelectedInstOperands,
     /*  701401 */     // GIR_Coverage, 11158,
     /*  701401 */     GIR_EraseRootFromParent_Done,
     /*  701402 */   // Label 11076: @701402
     /*  701402 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701477), // Rule ID 11159 //
     /*  701407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  701418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  701421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  701424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701475 */     GIR_RootConstrainSelectedInstOperands,
     /*  701476 */     // GIR_Coverage, 11159,
     /*  701476 */     GIR_EraseRootFromParent_Done,
     /*  701477 */   // Label 11077: @701477
     /*  701477 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701552), // Rule ID 11162 //
     /*  701482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701550 */     GIR_RootConstrainSelectedInstOperands,
     /*  701551 */     // GIR_Coverage, 11162,
     /*  701551 */     GIR_EraseRootFromParent_Done,
     /*  701552 */   // Label 11078: @701552
     /*  701552 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701627), // Rule ID 11163 //
     /*  701557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701625 */     GIR_RootConstrainSelectedInstOperands,
     /*  701626 */     // GIR_Coverage, 11163,
     /*  701626 */     GIR_EraseRootFromParent_Done,
     /*  701627 */   // Label 11079: @701627
     /*  701627 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701702), // Rule ID 11166 //
     /*  701632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701700 */     GIR_RootConstrainSelectedInstOperands,
     /*  701701 */     // GIR_Coverage, 11166,
     /*  701701 */     GIR_EraseRootFromParent_Done,
     /*  701702 */   // Label 11080: @701702
     /*  701702 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701777), // Rule ID 11167 //
     /*  701707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701775 */     GIR_RootConstrainSelectedInstOperands,
     /*  701776 */     // GIR_Coverage, 11167,
     /*  701776 */     GIR_EraseRootFromParent_Done,
     /*  701777 */   // Label 11081: @701777
     /*  701777 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701852), // Rule ID 11170 //
     /*  701782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701850 */     GIR_RootConstrainSelectedInstOperands,
     /*  701851 */     // GIR_Coverage, 11170,
     /*  701851 */     GIR_EraseRootFromParent_Done,
     /*  701852 */   // Label 11082: @701852
     /*  701852 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701927), // Rule ID 11171 //
     /*  701857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701925 */     GIR_RootConstrainSelectedInstOperands,
     /*  701926 */     // GIR_Coverage, 11171,
     /*  701926 */     GIR_EraseRootFromParent_Done,
     /*  701927 */   // Label 11083: @701927
     /*  701927 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(702002), // Rule ID 11174 //
     /*  701932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702000 */     GIR_RootConstrainSelectedInstOperands,
     /*  702001 */     // GIR_Coverage, 11174,
     /*  702001 */     GIR_EraseRootFromParent_Done,
     /*  702002 */   // Label 11084: @702002
     /*  702002 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(702077), // Rule ID 11175 //
     /*  702007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702075 */     GIR_RootConstrainSelectedInstOperands,
     /*  702076 */     // GIR_Coverage, 11175,
     /*  702076 */     GIR_EraseRootFromParent_Done,
     /*  702077 */   // Label 11085: @702077
     /*  702077 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702152), // Rule ID 11178 //
     /*  702082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702150 */     GIR_RootConstrainSelectedInstOperands,
     /*  702151 */     // GIR_Coverage, 11178,
     /*  702151 */     GIR_EraseRootFromParent_Done,
     /*  702152 */   // Label 11086: @702152
     /*  702152 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702227), // Rule ID 11179 //
     /*  702157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702225 */     GIR_RootConstrainSelectedInstOperands,
     /*  702226 */     // GIR_Coverage, 11179,
     /*  702226 */     GIR_EraseRootFromParent_Done,
     /*  702227 */   // Label 11087: @702227
     /*  702227 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702302), // Rule ID 11182 //
     /*  702232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  702252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702300 */     GIR_RootConstrainSelectedInstOperands,
     /*  702301 */     // GIR_Coverage, 11182,
     /*  702301 */     GIR_EraseRootFromParent_Done,
     /*  702302 */   // Label 11088: @702302
     /*  702302 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702377), // Rule ID 11183 //
     /*  702307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  702327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702375 */     GIR_RootConstrainSelectedInstOperands,
     /*  702376 */     // GIR_Coverage, 11183,
     /*  702376 */     GIR_EraseRootFromParent_Done,
     /*  702377 */   // Label 11089: @702377
     /*  702377 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702452), // Rule ID 11186 //
     /*  702382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702450 */     GIR_RootConstrainSelectedInstOperands,
     /*  702451 */     // GIR_Coverage, 11186,
     /*  702451 */     GIR_EraseRootFromParent_Done,
     /*  702452 */   // Label 11090: @702452
     /*  702452 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702527), // Rule ID 11187 //
     /*  702457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702525 */     GIR_RootConstrainSelectedInstOperands,
     /*  702526 */     // GIR_Coverage, 11187,
     /*  702526 */     GIR_EraseRootFromParent_Done,
     /*  702527 */   // Label 11091: @702527
     /*  702527 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702602), // Rule ID 11190 //
     /*  702532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702600 */     GIR_RootConstrainSelectedInstOperands,
     /*  702601 */     // GIR_Coverage, 11190,
     /*  702601 */     GIR_EraseRootFromParent_Done,
     /*  702602 */   // Label 11092: @702602
     /*  702602 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702677), // Rule ID 11191 //
     /*  702607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702675 */     GIR_RootConstrainSelectedInstOperands,
     /*  702676 */     // GIR_Coverage, 11191,
     /*  702676 */     GIR_EraseRootFromParent_Done,
     /*  702677 */   // Label 11093: @702677
     /*  702677 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702752), // Rule ID 11194 //
     /*  702682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702750 */     GIR_RootConstrainSelectedInstOperands,
     /*  702751 */     // GIR_Coverage, 11194,
     /*  702751 */     GIR_EraseRootFromParent_Done,
     /*  702752 */   // Label 11094: @702752
     /*  702752 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702827), // Rule ID 11195 //
     /*  702757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702825 */     GIR_RootConstrainSelectedInstOperands,
     /*  702826 */     // GIR_Coverage, 11195,
     /*  702826 */     GIR_EraseRootFromParent_Done,
     /*  702827 */   // Label 11095: @702827
     /*  702827 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702902), // Rule ID 11198 //
     /*  702832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702900 */     GIR_RootConstrainSelectedInstOperands,
     /*  702901 */     // GIR_Coverage, 11198,
     /*  702901 */     GIR_EraseRootFromParent_Done,
     /*  702902 */   // Label 11096: @702902
     /*  702902 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702977), // Rule ID 11199 //
     /*  702907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702953 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702975 */     GIR_RootConstrainSelectedInstOperands,
     /*  702976 */     // GIR_Coverage, 11199,
     /*  702976 */     GIR_EraseRootFromParent_Done,
     /*  702977 */   // Label 11097: @702977
     /*  702977 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(703052), // Rule ID 11202 //
     /*  702982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703050 */     GIR_RootConstrainSelectedInstOperands,
     /*  703051 */     // GIR_Coverage, 11202,
     /*  703051 */     GIR_EraseRootFromParent_Done,
     /*  703052 */   // Label 11098: @703052
     /*  703052 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(703127), // Rule ID 11203 //
     /*  703057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  703068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  703071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  703074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703103 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703125 */     GIR_RootConstrainSelectedInstOperands,
     /*  703126 */     // GIR_Coverage, 11203,
     /*  703126 */     GIR_EraseRootFromParent_Done,
     /*  703127 */   // Label 11099: @703127
     /*  703127 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703202), // Rule ID 11206 //
     /*  703132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703178 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703200 */     GIR_RootConstrainSelectedInstOperands,
     /*  703201 */     // GIR_Coverage, 11206,
     /*  703201 */     GIR_EraseRootFromParent_Done,
     /*  703202 */   // Label 11100: @703202
     /*  703202 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703277), // Rule ID 11207 //
     /*  703207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703253 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703275 */     GIR_RootConstrainSelectedInstOperands,
     /*  703276 */     // GIR_Coverage, 11207,
     /*  703276 */     GIR_EraseRootFromParent_Done,
     /*  703277 */   // Label 11101: @703277
     /*  703277 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703352), // Rule ID 11210 //
     /*  703282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703350 */     GIR_RootConstrainSelectedInstOperands,
     /*  703351 */     // GIR_Coverage, 11210,
     /*  703351 */     GIR_EraseRootFromParent_Done,
     /*  703352 */   // Label 11102: @703352
     /*  703352 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703427), // Rule ID 11211 //
     /*  703357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703425 */     GIR_RootConstrainSelectedInstOperands,
     /*  703426 */     // GIR_Coverage, 11211,
     /*  703426 */     GIR_EraseRootFromParent_Done,
     /*  703427 */   // Label 11103: @703427
     /*  703427 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703502), // Rule ID 11214 //
     /*  703432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703500 */     GIR_RootConstrainSelectedInstOperands,
     /*  703501 */     // GIR_Coverage, 11214,
     /*  703501 */     GIR_EraseRootFromParent_Done,
     /*  703502 */   // Label 11104: @703502
     /*  703502 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703577), // Rule ID 11215 //
     /*  703507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703553 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703575 */     GIR_RootConstrainSelectedInstOperands,
     /*  703576 */     // GIR_Coverage, 11215,
     /*  703576 */     GIR_EraseRootFromParent_Done,
     /*  703577 */   // Label 11105: @703577
     /*  703577 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703652), // Rule ID 11218 //
     /*  703582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703650 */     GIR_RootConstrainSelectedInstOperands,
     /*  703651 */     // GIR_Coverage, 11218,
     /*  703651 */     GIR_EraseRootFromParent_Done,
     /*  703652 */   // Label 11106: @703652
     /*  703652 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703727), // Rule ID 11219 //
     /*  703657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703725 */     GIR_RootConstrainSelectedInstOperands,
     /*  703726 */     // GIR_Coverage, 11219,
     /*  703726 */     GIR_EraseRootFromParent_Done,
     /*  703727 */   // Label 11107: @703727
     /*  703727 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703802), // Rule ID 11222 //
     /*  703732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703800 */     GIR_RootConstrainSelectedInstOperands,
     /*  703801 */     // GIR_Coverage, 11222,
     /*  703801 */     GIR_EraseRootFromParent_Done,
     /*  703802 */   // Label 11108: @703802
     /*  703802 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703877), // Rule ID 11223 //
     /*  703807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703875 */     GIR_RootConstrainSelectedInstOperands,
     /*  703876 */     // GIR_Coverage, 11223,
     /*  703876 */     GIR_EraseRootFromParent_Done,
     /*  703877 */   // Label 11109: @703877
     /*  703877 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703952), // Rule ID 11226 //
     /*  703882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703950 */     GIR_RootConstrainSelectedInstOperands,
     /*  703951 */     // GIR_Coverage, 11226,
     /*  703951 */     GIR_EraseRootFromParent_Done,
     /*  703952 */   // Label 11110: @703952
     /*  703952 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(704027), // Rule ID 11227 //
     /*  703957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704025 */     GIR_RootConstrainSelectedInstOperands,
     /*  704026 */     // GIR_Coverage, 11227,
     /*  704026 */     GIR_EraseRootFromParent_Done,
     /*  704027 */   // Label 11111: @704027
     /*  704027 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(704102), // Rule ID 11230 //
     /*  704032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704100 */     GIR_RootConstrainSelectedInstOperands,
     /*  704101 */     // GIR_Coverage, 11230,
     /*  704101 */     GIR_EraseRootFromParent_Done,
     /*  704102 */   // Label 11112: @704102
     /*  704102 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704177), // Rule ID 11231 //
     /*  704107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704175 */     GIR_RootConstrainSelectedInstOperands,
     /*  704176 */     // GIR_Coverage, 11231,
     /*  704176 */     GIR_EraseRootFromParent_Done,
     /*  704177 */   // Label 11113: @704177
     /*  704177 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704252), // Rule ID 11234 //
     /*  704182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704250 */     GIR_RootConstrainSelectedInstOperands,
     /*  704251 */     // GIR_Coverage, 11234,
     /*  704251 */     GIR_EraseRootFromParent_Done,
     /*  704252 */   // Label 11114: @704252
     /*  704252 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704327), // Rule ID 11235 //
     /*  704257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704325 */     GIR_RootConstrainSelectedInstOperands,
     /*  704326 */     // GIR_Coverage, 11235,
     /*  704326 */     GIR_EraseRootFromParent_Done,
     /*  704327 */   // Label 11115: @704327
     /*  704327 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704402), // Rule ID 11238 //
     /*  704332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  704343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  704346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  704349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704400 */     GIR_RootConstrainSelectedInstOperands,
     /*  704401 */     // GIR_Coverage, 11238,
     /*  704401 */     GIR_EraseRootFromParent_Done,
     /*  704402 */   // Label 11116: @704402
     /*  704402 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704477), // Rule ID 11239 //
     /*  704407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  704418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  704421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  704424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704475 */     GIR_RootConstrainSelectedInstOperands,
     /*  704476 */     // GIR_Coverage, 11239,
     /*  704476 */     GIR_EraseRootFromParent_Done,
     /*  704477 */   // Label 11117: @704477
     /*  704477 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704552), // Rule ID 11242 //
     /*  704482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704550 */     GIR_RootConstrainSelectedInstOperands,
     /*  704551 */     // GIR_Coverage, 11242,
     /*  704551 */     GIR_EraseRootFromParent_Done,
     /*  704552 */   // Label 11118: @704552
     /*  704552 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704627), // Rule ID 11243 //
     /*  704557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704625 */     GIR_RootConstrainSelectedInstOperands,
     /*  704626 */     // GIR_Coverage, 11243,
     /*  704626 */     GIR_EraseRootFromParent_Done,
     /*  704627 */   // Label 11119: @704627
     /*  704627 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704702), // Rule ID 11246 //
     /*  704632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704700 */     GIR_RootConstrainSelectedInstOperands,
     /*  704701 */     // GIR_Coverage, 11246,
     /*  704701 */     GIR_EraseRootFromParent_Done,
     /*  704702 */   // Label 11120: @704702
     /*  704702 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704777), // Rule ID 11247 //
     /*  704707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704775 */     GIR_RootConstrainSelectedInstOperands,
     /*  704776 */     // GIR_Coverage, 11247,
     /*  704776 */     GIR_EraseRootFromParent_Done,
     /*  704777 */   // Label 11121: @704777
     /*  704777 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704852), // Rule ID 11250 //
     /*  704782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704850 */     GIR_RootConstrainSelectedInstOperands,
     /*  704851 */     // GIR_Coverage, 11250,
     /*  704851 */     GIR_EraseRootFromParent_Done,
     /*  704852 */   // Label 11122: @704852
     /*  704852 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704927), // Rule ID 11251 //
     /*  704857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704925 */     GIR_RootConstrainSelectedInstOperands,
     /*  704926 */     // GIR_Coverage, 11251,
     /*  704926 */     GIR_EraseRootFromParent_Done,
     /*  704927 */   // Label 11123: @704927
     /*  704927 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(705002), // Rule ID 11254 //
     /*  704932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705000 */     GIR_RootConstrainSelectedInstOperands,
     /*  705001 */     // GIR_Coverage, 11254,
     /*  705001 */     GIR_EraseRootFromParent_Done,
     /*  705002 */   // Label 11124: @705002
     /*  705002 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(705077), // Rule ID 11255 //
     /*  705007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705075 */     GIR_RootConstrainSelectedInstOperands,
     /*  705076 */     // GIR_Coverage, 11255,
     /*  705076 */     GIR_EraseRootFromParent_Done,
     /*  705077 */   // Label 11125: @705077
     /*  705077 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705152), // Rule ID 11258 //
     /*  705082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705150 */     GIR_RootConstrainSelectedInstOperands,
     /*  705151 */     // GIR_Coverage, 11258,
     /*  705151 */     GIR_EraseRootFromParent_Done,
     /*  705152 */   // Label 11126: @705152
     /*  705152 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705227), // Rule ID 11259 //
     /*  705157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705225 */     GIR_RootConstrainSelectedInstOperands,
     /*  705226 */     // GIR_Coverage, 11259,
     /*  705226 */     GIR_EraseRootFromParent_Done,
     /*  705227 */   // Label 11127: @705227
     /*  705227 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705302), // Rule ID 11262 //
     /*  705232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705300 */     GIR_RootConstrainSelectedInstOperands,
     /*  705301 */     // GIR_Coverage, 11262,
     /*  705301 */     GIR_EraseRootFromParent_Done,
     /*  705302 */   // Label 11128: @705302
     /*  705302 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705377), // Rule ID 11263 //
     /*  705307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705375 */     GIR_RootConstrainSelectedInstOperands,
     /*  705376 */     // GIR_Coverage, 11263,
     /*  705376 */     GIR_EraseRootFromParent_Done,
     /*  705377 */   // Label 11129: @705377
     /*  705377 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705452), // Rule ID 11266 //
     /*  705382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705450 */     GIR_RootConstrainSelectedInstOperands,
     /*  705451 */     // GIR_Coverage, 11266,
     /*  705451 */     GIR_EraseRootFromParent_Done,
     /*  705452 */   // Label 11130: @705452
     /*  705452 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705527), // Rule ID 11267 //
     /*  705457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705525 */     GIR_RootConstrainSelectedInstOperands,
     /*  705526 */     // GIR_Coverage, 11267,
     /*  705526 */     GIR_EraseRootFromParent_Done,
     /*  705527 */   // Label 11131: @705527
     /*  705527 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705602), // Rule ID 11270 //
     /*  705532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705600 */     GIR_RootConstrainSelectedInstOperands,
     /*  705601 */     // GIR_Coverage, 11270,
     /*  705601 */     GIR_EraseRootFromParent_Done,
     /*  705602 */   // Label 11132: @705602
     /*  705602 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705677), // Rule ID 11271 //
     /*  705607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705675 */     GIR_RootConstrainSelectedInstOperands,
     /*  705676 */     // GIR_Coverage, 11271,
     /*  705676 */     GIR_EraseRootFromParent_Done,
     /*  705677 */   // Label 11133: @705677
     /*  705677 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705752), // Rule ID 11274 //
     /*  705682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705750 */     GIR_RootConstrainSelectedInstOperands,
     /*  705751 */     // GIR_Coverage, 11274,
     /*  705751 */     GIR_EraseRootFromParent_Done,
     /*  705752 */   // Label 11134: @705752
     /*  705752 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705827), // Rule ID 11275 //
     /*  705757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705825 */     GIR_RootConstrainSelectedInstOperands,
     /*  705826 */     // GIR_Coverage, 11275,
     /*  705826 */     GIR_EraseRootFromParent_Done,
     /*  705827 */   // Label 11135: @705827
     /*  705827 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705902), // Rule ID 11278 //
     /*  705832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705900 */     GIR_RootConstrainSelectedInstOperands,
     /*  705901 */     // GIR_Coverage, 11278,
     /*  705901 */     GIR_EraseRootFromParent_Done,
     /*  705902 */   // Label 11136: @705902
     /*  705902 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705977), // Rule ID 11279 //
     /*  705907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705953 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705975 */     GIR_RootConstrainSelectedInstOperands,
     /*  705976 */     // GIR_Coverage, 11279,
     /*  705976 */     GIR_EraseRootFromParent_Done,
     /*  705977 */   // Label 11137: @705977
     /*  705977 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(706052), // Rule ID 11282 //
     /*  705982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706050 */     GIR_RootConstrainSelectedInstOperands,
     /*  706051 */     // GIR_Coverage, 11282,
     /*  706051 */     GIR_EraseRootFromParent_Done,
     /*  706052 */   // Label 11138: @706052
     /*  706052 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(706127), // Rule ID 11283 //
     /*  706057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706125 */     GIR_RootConstrainSelectedInstOperands,
     /*  706126 */     // GIR_Coverage, 11283,
     /*  706126 */     GIR_EraseRootFromParent_Done,
     /*  706127 */   // Label 11139: @706127
     /*  706127 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706202), // Rule ID 11286 //
     /*  706132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706200 */     GIR_RootConstrainSelectedInstOperands,
     /*  706201 */     // GIR_Coverage, 11286,
     /*  706201 */     GIR_EraseRootFromParent_Done,
     /*  706202 */   // Label 11140: @706202
     /*  706202 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706277), // Rule ID 11287 //
     /*  706207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706275 */     GIR_RootConstrainSelectedInstOperands,
     /*  706276 */     // GIR_Coverage, 11287,
     /*  706276 */     GIR_EraseRootFromParent_Done,
     /*  706277 */   // Label 11141: @706277
     /*  706277 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706352), // Rule ID 11290 //
     /*  706282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706350 */     GIR_RootConstrainSelectedInstOperands,
     /*  706351 */     // GIR_Coverage, 11290,
     /*  706351 */     GIR_EraseRootFromParent_Done,
     /*  706352 */   // Label 11142: @706352
     /*  706352 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706427), // Rule ID 11291 //
     /*  706357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706425 */     GIR_RootConstrainSelectedInstOperands,
     /*  706426 */     // GIR_Coverage, 11291,
     /*  706426 */     GIR_EraseRootFromParent_Done,
     /*  706427 */   // Label 11143: @706427
     /*  706427 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706502), // Rule ID 11294 //
     /*  706432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706500 */     GIR_RootConstrainSelectedInstOperands,
     /*  706501 */     // GIR_Coverage, 11294,
     /*  706501 */     GIR_EraseRootFromParent_Done,
     /*  706502 */   // Label 11144: @706502
     /*  706502 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706577), // Rule ID 11295 //
     /*  706507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706575 */     GIR_RootConstrainSelectedInstOperands,
     /*  706576 */     // GIR_Coverage, 11295,
     /*  706576 */     GIR_EraseRootFromParent_Done,
     /*  706577 */   // Label 11145: @706577
     /*  706577 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706652), // Rule ID 11298 //
     /*  706582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706650 */     GIR_RootConstrainSelectedInstOperands,
     /*  706651 */     // GIR_Coverage, 11298,
     /*  706651 */     GIR_EraseRootFromParent_Done,
     /*  706652 */   // Label 11146: @706652
     /*  706652 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706727), // Rule ID 11299 //
     /*  706657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706725 */     GIR_RootConstrainSelectedInstOperands,
     /*  706726 */     // GIR_Coverage, 11299,
     /*  706726 */     GIR_EraseRootFromParent_Done,
     /*  706727 */   // Label 11147: @706727
     /*  706727 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706802), // Rule ID 11302 //
     /*  706732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706800 */     GIR_RootConstrainSelectedInstOperands,
     /*  706801 */     // GIR_Coverage, 11302,
     /*  706801 */     GIR_EraseRootFromParent_Done,
     /*  706802 */   // Label 11148: @706802
     /*  706802 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706877), // Rule ID 11303 //
     /*  706807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706875 */     GIR_RootConstrainSelectedInstOperands,
     /*  706876 */     // GIR_Coverage, 11303,
     /*  706876 */     GIR_EraseRootFromParent_Done,
     /*  706877 */   // Label 11149: @706877
     /*  706877 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706952), // Rule ID 11306 //
     /*  706882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706950 */     GIR_RootConstrainSelectedInstOperands,
     /*  706951 */     // GIR_Coverage, 11306,
     /*  706951 */     GIR_EraseRootFromParent_Done,
     /*  706952 */   // Label 11150: @706952
     /*  706952 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(707027), // Rule ID 11307 //
     /*  706957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  707006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707025 */     GIR_RootConstrainSelectedInstOperands,
     /*  707026 */     // GIR_Coverage, 11307,
     /*  707026 */     GIR_EraseRootFromParent_Done,
     /*  707027 */   // Label 11151: @707027
     /*  707027 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(707102), // Rule ID 11310 //
     /*  707032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707100 */     GIR_RootConstrainSelectedInstOperands,
     /*  707101 */     // GIR_Coverage, 11310,
     /*  707101 */     GIR_EraseRootFromParent_Done,
     /*  707102 */   // Label 11152: @707102
     /*  707102 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707177), // Rule ID 11311 //
     /*  707107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707175 */     GIR_RootConstrainSelectedInstOperands,
     /*  707176 */     // GIR_Coverage, 11311,
     /*  707176 */     GIR_EraseRootFromParent_Done,
     /*  707177 */   // Label 11153: @707177
     /*  707177 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707252), // Rule ID 11314 //
     /*  707182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707250 */     GIR_RootConstrainSelectedInstOperands,
     /*  707251 */     // GIR_Coverage, 11314,
     /*  707251 */     GIR_EraseRootFromParent_Done,
     /*  707252 */   // Label 11154: @707252
     /*  707252 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707327), // Rule ID 11315 //
     /*  707257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707325 */     GIR_RootConstrainSelectedInstOperands,
     /*  707326 */     // GIR_Coverage, 11315,
     /*  707326 */     GIR_EraseRootFromParent_Done,
     /*  707327 */   // Label 11155: @707327
     /*  707327 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707402), // Rule ID 11318 //
     /*  707332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707400 */     GIR_RootConstrainSelectedInstOperands,
     /*  707401 */     // GIR_Coverage, 11318,
     /*  707401 */     GIR_EraseRootFromParent_Done,
     /*  707402 */   // Label 11156: @707402
     /*  707402 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707477), // Rule ID 11319 //
     /*  707407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707475 */     GIR_RootConstrainSelectedInstOperands,
     /*  707476 */     // GIR_Coverage, 11319,
     /*  707476 */     GIR_EraseRootFromParent_Done,
     /*  707477 */   // Label 11157: @707477
     /*  707477 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707552), // Rule ID 11322 //
     /*  707482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707550 */     GIR_RootConstrainSelectedInstOperands,
     /*  707551 */     // GIR_Coverage, 11322,
     /*  707551 */     GIR_EraseRootFromParent_Done,
     /*  707552 */   // Label 11158: @707552
     /*  707552 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707627), // Rule ID 11323 //
     /*  707557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707625 */     GIR_RootConstrainSelectedInstOperands,
     /*  707626 */     // GIR_Coverage, 11323,
     /*  707626 */     GIR_EraseRootFromParent_Done,
     /*  707627 */   // Label 11159: @707627
     /*  707627 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707702), // Rule ID 11326 //
     /*  707632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707700 */     GIR_RootConstrainSelectedInstOperands,
     /*  707701 */     // GIR_Coverage, 11326,
     /*  707701 */     GIR_EraseRootFromParent_Done,
     /*  707702 */   // Label 11160: @707702
     /*  707702 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707777), // Rule ID 11327 //
     /*  707707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707775 */     GIR_RootConstrainSelectedInstOperands,
     /*  707776 */     // GIR_Coverage, 11327,
     /*  707776 */     GIR_EraseRootFromParent_Done,
     /*  707777 */   // Label 11161: @707777
     /*  707777 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707852), // Rule ID 11330 //
     /*  707782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707850 */     GIR_RootConstrainSelectedInstOperands,
     /*  707851 */     // GIR_Coverage, 11330,
     /*  707851 */     GIR_EraseRootFromParent_Done,
     /*  707852 */   // Label 11162: @707852
     /*  707852 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707927), // Rule ID 11331 //
     /*  707857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707925 */     GIR_RootConstrainSelectedInstOperands,
     /*  707926 */     // GIR_Coverage, 11331,
     /*  707926 */     GIR_EraseRootFromParent_Done,
     /*  707927 */   // Label 11163: @707927
     /*  707927 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(708002), // Rule ID 11334 //
     /*  707932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708000 */     GIR_RootConstrainSelectedInstOperands,
     /*  708001 */     // GIR_Coverage, 11334,
     /*  708001 */     GIR_EraseRootFromParent_Done,
     /*  708002 */   // Label 11164: @708002
     /*  708002 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(708077), // Rule ID 11335 //
     /*  708007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708075 */     GIR_RootConstrainSelectedInstOperands,
     /*  708076 */     // GIR_Coverage, 11335,
     /*  708076 */     GIR_EraseRootFromParent_Done,
     /*  708077 */   // Label 11165: @708077
     /*  708077 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708152), // Rule ID 11338 //
     /*  708082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708150 */     GIR_RootConstrainSelectedInstOperands,
     /*  708151 */     // GIR_Coverage, 11338,
     /*  708151 */     GIR_EraseRootFromParent_Done,
     /*  708152 */   // Label 11166: @708152
     /*  708152 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708227), // Rule ID 11339 //
     /*  708157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708225 */     GIR_RootConstrainSelectedInstOperands,
     /*  708226 */     // GIR_Coverage, 11339,
     /*  708226 */     GIR_EraseRootFromParent_Done,
     /*  708227 */   // Label 11167: @708227
     /*  708227 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708302), // Rule ID 11342 //
     /*  708232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  708252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708300 */     GIR_RootConstrainSelectedInstOperands,
     /*  708301 */     // GIR_Coverage, 11342,
     /*  708301 */     GIR_EraseRootFromParent_Done,
     /*  708302 */   // Label 11168: @708302
     /*  708302 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708377), // Rule ID 11343 //
     /*  708307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  708327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708375 */     GIR_RootConstrainSelectedInstOperands,
     /*  708376 */     // GIR_Coverage, 11343,
     /*  708376 */     GIR_EraseRootFromParent_Done,
     /*  708377 */   // Label 11169: @708377
     /*  708377 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708452), // Rule ID 11346 //
     /*  708382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708450 */     GIR_RootConstrainSelectedInstOperands,
     /*  708451 */     // GIR_Coverage, 11346,
     /*  708451 */     GIR_EraseRootFromParent_Done,
     /*  708452 */   // Label 11170: @708452
     /*  708452 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708527), // Rule ID 11347 //
     /*  708457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708503 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708525 */     GIR_RootConstrainSelectedInstOperands,
     /*  708526 */     // GIR_Coverage, 11347,
     /*  708526 */     GIR_EraseRootFromParent_Done,
     /*  708527 */   // Label 11171: @708527
     /*  708527 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708602), // Rule ID 11350 //
     /*  708532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708600 */     GIR_RootConstrainSelectedInstOperands,
     /*  708601 */     // GIR_Coverage, 11350,
     /*  708601 */     GIR_EraseRootFromParent_Done,
     /*  708602 */   // Label 11172: @708602
     /*  708602 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708677), // Rule ID 11351 //
     /*  708607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708675 */     GIR_RootConstrainSelectedInstOperands,
     /*  708676 */     // GIR_Coverage, 11351,
     /*  708676 */     GIR_EraseRootFromParent_Done,
     /*  708677 */   // Label 11173: @708677
     /*  708677 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708752), // Rule ID 11354 //
     /*  708682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708750 */     GIR_RootConstrainSelectedInstOperands,
     /*  708751 */     // GIR_Coverage, 11354,
     /*  708751 */     GIR_EraseRootFromParent_Done,
     /*  708752 */   // Label 11174: @708752
     /*  708752 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708827), // Rule ID 11355 //
     /*  708757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708825 */     GIR_RootConstrainSelectedInstOperands,
     /*  708826 */     // GIR_Coverage, 11355,
     /*  708826 */     GIR_EraseRootFromParent_Done,
     /*  708827 */   // Label 11175: @708827
     /*  708827 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708902), // Rule ID 11358 //
     /*  708832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708900 */     GIR_RootConstrainSelectedInstOperands,
     /*  708901 */     // GIR_Coverage, 11358,
     /*  708901 */     GIR_EraseRootFromParent_Done,
     /*  708902 */   // Label 11176: @708902
     /*  708902 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708977), // Rule ID 11359 //
     /*  708907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708975 */     GIR_RootConstrainSelectedInstOperands,
     /*  708976 */     // GIR_Coverage, 11359,
     /*  708976 */     GIR_EraseRootFromParent_Done,
     /*  708977 */   // Label 11177: @708977
     /*  708977 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(709052), // Rule ID 11362 //
     /*  708982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709050 */     GIR_RootConstrainSelectedInstOperands,
     /*  709051 */     // GIR_Coverage, 11362,
     /*  709051 */     GIR_EraseRootFromParent_Done,
     /*  709052 */   // Label 11178: @709052
     /*  709052 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(709127), // Rule ID 11363 //
     /*  709057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709125 */     GIR_RootConstrainSelectedInstOperands,
     /*  709126 */     // GIR_Coverage, 11363,
     /*  709126 */     GIR_EraseRootFromParent_Done,
     /*  709127 */   // Label 11179: @709127
     /*  709127 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709202), // Rule ID 11366 //
     /*  709132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709200 */     GIR_RootConstrainSelectedInstOperands,
     /*  709201 */     // GIR_Coverage, 11366,
     /*  709201 */     GIR_EraseRootFromParent_Done,
     /*  709202 */   // Label 11180: @709202
     /*  709202 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709277), // Rule ID 11367 //
     /*  709207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709275 */     GIR_RootConstrainSelectedInstOperands,
     /*  709276 */     // GIR_Coverage, 11367,
     /*  709276 */     GIR_EraseRootFromParent_Done,
     /*  709277 */   // Label 11181: @709277
     /*  709277 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709352), // Rule ID 11370 //
     /*  709282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709350 */     GIR_RootConstrainSelectedInstOperands,
     /*  709351 */     // GIR_Coverage, 11370,
     /*  709351 */     GIR_EraseRootFromParent_Done,
     /*  709352 */   // Label 11182: @709352
     /*  709352 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709427), // Rule ID 11371 //
     /*  709357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709425 */     GIR_RootConstrainSelectedInstOperands,
     /*  709426 */     // GIR_Coverage, 11371,
     /*  709426 */     GIR_EraseRootFromParent_Done,
     /*  709427 */   // Label 11183: @709427
     /*  709427 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709502), // Rule ID 11374 //
     /*  709432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709500 */     GIR_RootConstrainSelectedInstOperands,
     /*  709501 */     // GIR_Coverage, 11374,
     /*  709501 */     GIR_EraseRootFromParent_Done,
     /*  709502 */   // Label 11184: @709502
     /*  709502 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709577), // Rule ID 11375 //
     /*  709507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709575 */     GIR_RootConstrainSelectedInstOperands,
     /*  709576 */     // GIR_Coverage, 11375,
     /*  709576 */     GIR_EraseRootFromParent_Done,
     /*  709577 */   // Label 11185: @709577
     /*  709577 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709652), // Rule ID 11378 //
     /*  709582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709650 */     GIR_RootConstrainSelectedInstOperands,
     /*  709651 */     // GIR_Coverage, 11378,
     /*  709651 */     GIR_EraseRootFromParent_Done,
     /*  709652 */   // Label 11186: @709652
     /*  709652 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709727), // Rule ID 11379 //
     /*  709657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709725 */     GIR_RootConstrainSelectedInstOperands,
     /*  709726 */     // GIR_Coverage, 11379,
     /*  709726 */     GIR_EraseRootFromParent_Done,
     /*  709727 */   // Label 11187: @709727
     /*  709727 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709802), // Rule ID 11382 //
     /*  709732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709800 */     GIR_RootConstrainSelectedInstOperands,
     /*  709801 */     // GIR_Coverage, 11382,
     /*  709801 */     GIR_EraseRootFromParent_Done,
     /*  709802 */   // Label 11188: @709802
     /*  709802 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709877), // Rule ID 11383 //
     /*  709807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709875 */     GIR_RootConstrainSelectedInstOperands,
     /*  709876 */     // GIR_Coverage, 11383,
     /*  709876 */     GIR_EraseRootFromParent_Done,
     /*  709877 */   // Label 11189: @709877
     /*  709877 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709952), // Rule ID 11386 //
     /*  709882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709950 */     GIR_RootConstrainSelectedInstOperands,
     /*  709951 */     // GIR_Coverage, 11386,
     /*  709951 */     GIR_EraseRootFromParent_Done,
     /*  709952 */   // Label 11190: @709952
     /*  709952 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(710027), // Rule ID 11387 //
     /*  709957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710025 */     GIR_RootConstrainSelectedInstOperands,
     /*  710026 */     // GIR_Coverage, 11387,
     /*  710026 */     GIR_EraseRootFromParent_Done,
     /*  710027 */   // Label 11191: @710027
     /*  710027 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(710102), // Rule ID 11390 //
     /*  710032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710100 */     GIR_RootConstrainSelectedInstOperands,
     /*  710101 */     // GIR_Coverage, 11390,
     /*  710101 */     GIR_EraseRootFromParent_Done,
     /*  710102 */   // Label 11192: @710102
     /*  710102 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710177), // Rule ID 11391 //
     /*  710107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710175 */     GIR_RootConstrainSelectedInstOperands,
     /*  710176 */     // GIR_Coverage, 11391,
     /*  710176 */     GIR_EraseRootFromParent_Done,
     /*  710177 */   // Label 11193: @710177
     /*  710177 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710252), // Rule ID 11394 //
     /*  710182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710250 */     GIR_RootConstrainSelectedInstOperands,
     /*  710251 */     // GIR_Coverage, 11394,
     /*  710251 */     GIR_EraseRootFromParent_Done,
     /*  710252 */   // Label 11194: @710252
     /*  710252 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710327), // Rule ID 11395 //
     /*  710257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710325 */     GIR_RootConstrainSelectedInstOperands,
     /*  710326 */     // GIR_Coverage, 11395,
     /*  710326 */     GIR_EraseRootFromParent_Done,
     /*  710327 */   // Label 11195: @710327
     /*  710327 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710402), // Rule ID 11398 //
     /*  710332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710400 */     GIR_RootConstrainSelectedInstOperands,
     /*  710401 */     // GIR_Coverage, 11398,
     /*  710401 */     GIR_EraseRootFromParent_Done,
     /*  710402 */   // Label 11196: @710402
     /*  710402 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710477), // Rule ID 11399 //
     /*  710407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710453 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710475 */     GIR_RootConstrainSelectedInstOperands,
     /*  710476 */     // GIR_Coverage, 11399,
     /*  710476 */     GIR_EraseRootFromParent_Done,
     /*  710477 */   // Label 11197: @710477
     /*  710477 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710552), // Rule ID 11402 //
     /*  710482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710550 */     GIR_RootConstrainSelectedInstOperands,
     /*  710551 */     // GIR_Coverage, 11402,
     /*  710551 */     GIR_EraseRootFromParent_Done,
     /*  710552 */   // Label 11198: @710552
     /*  710552 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710627), // Rule ID 11403 //
     /*  710557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710625 */     GIR_RootConstrainSelectedInstOperands,
     /*  710626 */     // GIR_Coverage, 11403,
     /*  710626 */     GIR_EraseRootFromParent_Done,
     /*  710627 */   // Label 11199: @710627
     /*  710627 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710702), // Rule ID 11406 //
     /*  710632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710700 */     GIR_RootConstrainSelectedInstOperands,
     /*  710701 */     // GIR_Coverage, 11406,
     /*  710701 */     GIR_EraseRootFromParent_Done,
     /*  710702 */   // Label 11200: @710702
     /*  710702 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710777), // Rule ID 11407 //
     /*  710707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710775 */     GIR_RootConstrainSelectedInstOperands,
     /*  710776 */     // GIR_Coverage, 11407,
     /*  710776 */     GIR_EraseRootFromParent_Done,
     /*  710777 */   // Label 11201: @710777
     /*  710777 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710852), // Rule ID 11410 //
     /*  710782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710850 */     GIR_RootConstrainSelectedInstOperands,
     /*  710851 */     // GIR_Coverage, 11410,
     /*  710851 */     GIR_EraseRootFromParent_Done,
     /*  710852 */   // Label 11202: @710852
     /*  710852 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710927), // Rule ID 11411 //
     /*  710857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710925 */     GIR_RootConstrainSelectedInstOperands,
     /*  710926 */     // GIR_Coverage, 11411,
     /*  710926 */     GIR_EraseRootFromParent_Done,
     /*  710927 */   // Label 11203: @710927
     /*  710927 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(711002), // Rule ID 11414 //
     /*  710932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711000 */     GIR_RootConstrainSelectedInstOperands,
     /*  711001 */     // GIR_Coverage, 11414,
     /*  711001 */     GIR_EraseRootFromParent_Done,
     /*  711002 */   // Label 11204: @711002
     /*  711002 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(711077), // Rule ID 11415 //
     /*  711007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711075 */     GIR_RootConstrainSelectedInstOperands,
     /*  711076 */     // GIR_Coverage, 11415,
     /*  711076 */     GIR_EraseRootFromParent_Done,
     /*  711077 */   // Label 11205: @711077
     /*  711077 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711152), // Rule ID 11418 //
     /*  711082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711150 */     GIR_RootConstrainSelectedInstOperands,
     /*  711151 */     // GIR_Coverage, 11418,
     /*  711151 */     GIR_EraseRootFromParent_Done,
     /*  711152 */   // Label 11206: @711152
     /*  711152 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711227), // Rule ID 11419 //
     /*  711157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711225 */     GIR_RootConstrainSelectedInstOperands,
     /*  711226 */     // GIR_Coverage, 11419,
     /*  711226 */     GIR_EraseRootFromParent_Done,
     /*  711227 */   // Label 11207: @711227
     /*  711227 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711302), // Rule ID 11422 //
     /*  711232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711300 */     GIR_RootConstrainSelectedInstOperands,
     /*  711301 */     // GIR_Coverage, 11422,
     /*  711301 */     GIR_EraseRootFromParent_Done,
     /*  711302 */   // Label 11208: @711302
     /*  711302 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711377), // Rule ID 11423 //
     /*  711307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711353 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711375 */     GIR_RootConstrainSelectedInstOperands,
     /*  711376 */     // GIR_Coverage, 11423,
     /*  711376 */     GIR_EraseRootFromParent_Done,
     /*  711377 */   // Label 11209: @711377
     /*  711377 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711452), // Rule ID 11426 //
     /*  711382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711450 */     GIR_RootConstrainSelectedInstOperands,
     /*  711451 */     // GIR_Coverage, 11426,
     /*  711451 */     GIR_EraseRootFromParent_Done,
     /*  711452 */   // Label 11210: @711452
     /*  711452 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711527), // Rule ID 11427 //
     /*  711457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711525 */     GIR_RootConstrainSelectedInstOperands,
     /*  711526 */     // GIR_Coverage, 11427,
     /*  711526 */     GIR_EraseRootFromParent_Done,
     /*  711527 */   // Label 11211: @711527
     /*  711527 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711602), // Rule ID 11430 //
     /*  711532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711600 */     GIR_RootConstrainSelectedInstOperands,
     /*  711601 */     // GIR_Coverage, 11430,
     /*  711601 */     GIR_EraseRootFromParent_Done,
     /*  711602 */   // Label 11212: @711602
     /*  711602 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711677), // Rule ID 11431 //
     /*  711607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711675 */     GIR_RootConstrainSelectedInstOperands,
     /*  711676 */     // GIR_Coverage, 11431,
     /*  711676 */     GIR_EraseRootFromParent_Done,
     /*  711677 */   // Label 11213: @711677
     /*  711677 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711752), // Rule ID 11434 //
     /*  711682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711750 */     GIR_RootConstrainSelectedInstOperands,
     /*  711751 */     // GIR_Coverage, 11434,
     /*  711751 */     GIR_EraseRootFromParent_Done,
     /*  711752 */   // Label 11214: @711752
     /*  711752 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711827), // Rule ID 11435 //
     /*  711757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711825 */     GIR_RootConstrainSelectedInstOperands,
     /*  711826 */     // GIR_Coverage, 11435,
     /*  711826 */     GIR_EraseRootFromParent_Done,
     /*  711827 */   // Label 11215: @711827
     /*  711827 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711902), // Rule ID 11438 //
     /*  711832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711900 */     GIR_RootConstrainSelectedInstOperands,
     /*  711901 */     // GIR_Coverage, 11438,
     /*  711901 */     GIR_EraseRootFromParent_Done,
     /*  711902 */   // Label 11216: @711902
     /*  711902 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711977), // Rule ID 11439 //
     /*  711907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711975 */     GIR_RootConstrainSelectedInstOperands,
     /*  711976 */     // GIR_Coverage, 11439,
     /*  711976 */     GIR_EraseRootFromParent_Done,
     /*  711977 */   // Label 11217: @711977
     /*  711977 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(712052), // Rule ID 11442 //
     /*  711982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712050 */     GIR_RootConstrainSelectedInstOperands,
     /*  712051 */     // GIR_Coverage, 11442,
     /*  712051 */     GIR_EraseRootFromParent_Done,
     /*  712052 */   // Label 11218: @712052
     /*  712052 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(712127), // Rule ID 11443 //
     /*  712057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712125 */     GIR_RootConstrainSelectedInstOperands,
     /*  712126 */     // GIR_Coverage, 11443,
     /*  712126 */     GIR_EraseRootFromParent_Done,
     /*  712127 */   // Label 11219: @712127
     /*  712127 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712202), // Rule ID 11446 //
     /*  712132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712200 */     GIR_RootConstrainSelectedInstOperands,
     /*  712201 */     // GIR_Coverage, 11446,
     /*  712201 */     GIR_EraseRootFromParent_Done,
     /*  712202 */   // Label 11220: @712202
     /*  712202 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712277), // Rule ID 11447 //
     /*  712207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712275 */     GIR_RootConstrainSelectedInstOperands,
     /*  712276 */     // GIR_Coverage, 11447,
     /*  712276 */     GIR_EraseRootFromParent_Done,
     /*  712277 */   // Label 11221: @712277
     /*  712277 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712352), // Rule ID 11450 //
     /*  712282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  712302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  712331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712350 */     GIR_RootConstrainSelectedInstOperands,
     /*  712351 */     // GIR_Coverage, 11450,
     /*  712351 */     GIR_EraseRootFromParent_Done,
     /*  712352 */   // Label 11222: @712352
     /*  712352 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712427), // Rule ID 11451 //
     /*  712357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  712377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  712406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712425 */     GIR_RootConstrainSelectedInstOperands,
     /*  712426 */     // GIR_Coverage, 11451,
     /*  712426 */     GIR_EraseRootFromParent_Done,
     /*  712427 */   // Label 11223: @712427
     /*  712427 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712502), // Rule ID 11454 //
     /*  712432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712500 */     GIR_RootConstrainSelectedInstOperands,
     /*  712501 */     // GIR_Coverage, 11454,
     /*  712501 */     GIR_EraseRootFromParent_Done,
     /*  712502 */   // Label 11224: @712502
     /*  712502 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712577), // Rule ID 11455 //
     /*  712507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712575 */     GIR_RootConstrainSelectedInstOperands,
     /*  712576 */     // GIR_Coverage, 11455,
     /*  712576 */     GIR_EraseRootFromParent_Done,
     /*  712577 */   // Label 11225: @712577
     /*  712577 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712652), // Rule ID 11458 //
     /*  712582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712650 */     GIR_RootConstrainSelectedInstOperands,
     /*  712651 */     // GIR_Coverage, 11458,
     /*  712651 */     GIR_EraseRootFromParent_Done,
     /*  712652 */   // Label 11226: @712652
     /*  712652 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712727), // Rule ID 11459 //
     /*  712657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712725 */     GIR_RootConstrainSelectedInstOperands,
     /*  712726 */     // GIR_Coverage, 11459,
     /*  712726 */     GIR_EraseRootFromParent_Done,
     /*  712727 */   // Label 11227: @712727
     /*  712727 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712802), // Rule ID 11462 //
     /*  712732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712800 */     GIR_RootConstrainSelectedInstOperands,
     /*  712801 */     // GIR_Coverage, 11462,
     /*  712801 */     GIR_EraseRootFromParent_Done,
     /*  712802 */   // Label 11228: @712802
     /*  712802 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712877), // Rule ID 11463 //
     /*  712807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712875 */     GIR_RootConstrainSelectedInstOperands,
     /*  712876 */     // GIR_Coverage, 11463,
     /*  712876 */     GIR_EraseRootFromParent_Done,
     /*  712877 */   // Label 11229: @712877
     /*  712877 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712952), // Rule ID 11466 //
     /*  712882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712950 */     GIR_RootConstrainSelectedInstOperands,
     /*  712951 */     // GIR_Coverage, 11466,
     /*  712951 */     GIR_EraseRootFromParent_Done,
     /*  712952 */   // Label 11230: @712952
     /*  712952 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(713027), // Rule ID 11467 //
     /*  712957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  713006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713025 */     GIR_RootConstrainSelectedInstOperands,
     /*  713026 */     // GIR_Coverage, 11467,
     /*  713026 */     GIR_EraseRootFromParent_Done,
     /*  713027 */   // Label 11231: @713027
     /*  713027 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(713102), // Rule ID 11470 //
     /*  713032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713100 */     GIR_RootConstrainSelectedInstOperands,
     /*  713101 */     // GIR_Coverage, 11470,
     /*  713101 */     GIR_EraseRootFromParent_Done,
     /*  713102 */   // Label 11232: @713102
     /*  713102 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713177), // Rule ID 11471 //
     /*  713107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713175 */     GIR_RootConstrainSelectedInstOperands,
     /*  713176 */     // GIR_Coverage, 11471,
     /*  713176 */     GIR_EraseRootFromParent_Done,
     /*  713177 */   // Label 11233: @713177
     /*  713177 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713252), // Rule ID 11474 //
     /*  713182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713250 */     GIR_RootConstrainSelectedInstOperands,
     /*  713251 */     // GIR_Coverage, 11474,
     /*  713251 */     GIR_EraseRootFromParent_Done,
     /*  713252 */   // Label 11234: @713252
     /*  713252 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713327), // Rule ID 11475 //
     /*  713257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713325 */     GIR_RootConstrainSelectedInstOperands,
     /*  713326 */     // GIR_Coverage, 11475,
     /*  713326 */     GIR_EraseRootFromParent_Done,
     /*  713327 */   // Label 11235: @713327
     /*  713327 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713402), // Rule ID 11478 //
     /*  713332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713400 */     GIR_RootConstrainSelectedInstOperands,
     /*  713401 */     // GIR_Coverage, 11478,
     /*  713401 */     GIR_EraseRootFromParent_Done,
     /*  713402 */   // Label 11236: @713402
     /*  713402 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713477), // Rule ID 11479 //
     /*  713407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713475 */     GIR_RootConstrainSelectedInstOperands,
     /*  713476 */     // GIR_Coverage, 11479,
     /*  713476 */     GIR_EraseRootFromParent_Done,
     /*  713477 */   // Label 11237: @713477
     /*  713477 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713552), // Rule ID 11482 //
     /*  713482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713550 */     GIR_RootConstrainSelectedInstOperands,
     /*  713551 */     // GIR_Coverage, 11482,
     /*  713551 */     GIR_EraseRootFromParent_Done,
     /*  713552 */   // Label 11238: @713552
     /*  713552 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713627), // Rule ID 11483 //
     /*  713557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713625 */     GIR_RootConstrainSelectedInstOperands,
     /*  713626 */     // GIR_Coverage, 11483,
     /*  713626 */     GIR_EraseRootFromParent_Done,
     /*  713627 */   // Label 11239: @713627
     /*  713627 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713702), // Rule ID 11486 //
     /*  713632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713700 */     GIR_RootConstrainSelectedInstOperands,
     /*  713701 */     // GIR_Coverage, 11486,
     /*  713701 */     GIR_EraseRootFromParent_Done,
     /*  713702 */   // Label 11240: @713702
     /*  713702 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713777), // Rule ID 11487 //
     /*  713707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713775 */     GIR_RootConstrainSelectedInstOperands,
     /*  713776 */     // GIR_Coverage, 11487,
     /*  713776 */     GIR_EraseRootFromParent_Done,
     /*  713777 */   // Label 11241: @713777
     /*  713777 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713852), // Rule ID 11490 //
     /*  713782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713850 */     GIR_RootConstrainSelectedInstOperands,
     /*  713851 */     // GIR_Coverage, 11490,
     /*  713851 */     GIR_EraseRootFromParent_Done,
     /*  713852 */   // Label 11242: @713852
     /*  713852 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713927), // Rule ID 11491 //
     /*  713857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713925 */     GIR_RootConstrainSelectedInstOperands,
     /*  713926 */     // GIR_Coverage, 11491,
     /*  713926 */     GIR_EraseRootFromParent_Done,
     /*  713927 */   // Label 11243: @713927
     /*  713927 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(714002), // Rule ID 11494 //
     /*  713932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714000 */     GIR_RootConstrainSelectedInstOperands,
     /*  714001 */     // GIR_Coverage, 11494,
     /*  714001 */     GIR_EraseRootFromParent_Done,
     /*  714002 */   // Label 11244: @714002
     /*  714002 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(714077), // Rule ID 11495 //
     /*  714007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  714056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714075 */     GIR_RootConstrainSelectedInstOperands,
     /*  714076 */     // GIR_Coverage, 11495,
     /*  714076 */     GIR_EraseRootFromParent_Done,
     /*  714077 */   // Label 11245: @714077
     /*  714077 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714152), // Rule ID 11498 //
     /*  714082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714150 */     GIR_RootConstrainSelectedInstOperands,
     /*  714151 */     // GIR_Coverage, 11498,
     /*  714151 */     GIR_EraseRootFromParent_Done,
     /*  714152 */   // Label 11246: @714152
     /*  714152 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714227), // Rule ID 11499 //
     /*  714157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714225 */     GIR_RootConstrainSelectedInstOperands,
     /*  714226 */     // GIR_Coverage, 11499,
     /*  714226 */     GIR_EraseRootFromParent_Done,
     /*  714227 */   // Label 11247: @714227
     /*  714227 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714302), // Rule ID 11502 //
     /*  714232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  714281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714300 */     GIR_RootConstrainSelectedInstOperands,
     /*  714301 */     // GIR_Coverage, 11502,
     /*  714301 */     GIR_EraseRootFromParent_Done,
     /*  714302 */   // Label 11248: @714302
     /*  714302 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714377), // Rule ID 11503 //
     /*  714307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  714356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714375 */     GIR_RootConstrainSelectedInstOperands,
     /*  714376 */     // GIR_Coverage, 11503,
     /*  714376 */     GIR_EraseRootFromParent_Done,
     /*  714377 */   // Label 11249: @714377
     /*  714377 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714452), // Rule ID 11506 //
     /*  714382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714450 */     GIR_RootConstrainSelectedInstOperands,
     /*  714451 */     // GIR_Coverage, 11506,
     /*  714451 */     GIR_EraseRootFromParent_Done,
     /*  714452 */   // Label 11250: @714452
     /*  714452 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714527), // Rule ID 11507 //
     /*  714457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714525 */     GIR_RootConstrainSelectedInstOperands,
     /*  714526 */     // GIR_Coverage, 11507,
     /*  714526 */     GIR_EraseRootFromParent_Done,
     /*  714527 */   // Label 11251: @714527
     /*  714527 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714602), // Rule ID 11510 //
     /*  714532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714600 */     GIR_RootConstrainSelectedInstOperands,
     /*  714601 */     // GIR_Coverage, 11510,
     /*  714601 */     GIR_EraseRootFromParent_Done,
     /*  714602 */   // Label 11252: @714602
     /*  714602 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714677), // Rule ID 11511 //
     /*  714607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714675 */     GIR_RootConstrainSelectedInstOperands,
     /*  714676 */     // GIR_Coverage, 11511,
     /*  714676 */     GIR_EraseRootFromParent_Done,
     /*  714677 */   // Label 11253: @714677
     /*  714677 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714752), // Rule ID 11514 //
     /*  714682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714750 */     GIR_RootConstrainSelectedInstOperands,
     /*  714751 */     // GIR_Coverage, 11514,
     /*  714751 */     GIR_EraseRootFromParent_Done,
     /*  714752 */   // Label 11254: @714752
     /*  714752 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714827), // Rule ID 11515 //
     /*  714757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714825 */     GIR_RootConstrainSelectedInstOperands,
     /*  714826 */     // GIR_Coverage, 11515,
     /*  714826 */     GIR_EraseRootFromParent_Done,
     /*  714827 */   // Label 11255: @714827
     /*  714827 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714902), // Rule ID 11518 //
     /*  714832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714900 */     GIR_RootConstrainSelectedInstOperands,
     /*  714901 */     // GIR_Coverage, 11518,
     /*  714901 */     GIR_EraseRootFromParent_Done,
     /*  714902 */   // Label 11256: @714902
     /*  714902 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714977), // Rule ID 11519 //
     /*  714907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714975 */     GIR_RootConstrainSelectedInstOperands,
     /*  714976 */     // GIR_Coverage, 11519,
     /*  714976 */     GIR_EraseRootFromParent_Done,
     /*  714977 */   // Label 11257: @714977
     /*  714977 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(715052), // Rule ID 11522 //
     /*  714982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715050 */     GIR_RootConstrainSelectedInstOperands,
     /*  715051 */     // GIR_Coverage, 11522,
     /*  715051 */     GIR_EraseRootFromParent_Done,
     /*  715052 */   // Label 11258: @715052
     /*  715052 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(715127), // Rule ID 11523 //
     /*  715057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715125 */     GIR_RootConstrainSelectedInstOperands,
     /*  715126 */     // GIR_Coverage, 11523,
     /*  715126 */     GIR_EraseRootFromParent_Done,
     /*  715127 */   // Label 11259: @715127
     /*  715127 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715202), // Rule ID 11526 //
     /*  715132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715200 */     GIR_RootConstrainSelectedInstOperands,
     /*  715201 */     // GIR_Coverage, 11526,
     /*  715201 */     GIR_EraseRootFromParent_Done,
     /*  715202 */   // Label 11260: @715202
     /*  715202 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715277), // Rule ID 11527 //
     /*  715207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715275 */     GIR_RootConstrainSelectedInstOperands,
     /*  715276 */     // GIR_Coverage, 11527,
     /*  715276 */     GIR_EraseRootFromParent_Done,
     /*  715277 */   // Label 11261: @715277
     /*  715277 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715352), // Rule ID 11530 //
     /*  715282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715350 */     GIR_RootConstrainSelectedInstOperands,
     /*  715351 */     // GIR_Coverage, 11530,
     /*  715351 */     GIR_EraseRootFromParent_Done,
     /*  715352 */   // Label 11262: @715352
     /*  715352 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715427), // Rule ID 11531 //
     /*  715357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715425 */     GIR_RootConstrainSelectedInstOperands,
     /*  715426 */     // GIR_Coverage, 11531,
     /*  715426 */     GIR_EraseRootFromParent_Done,
     /*  715427 */   // Label 11263: @715427
     /*  715427 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715502), // Rule ID 11534 //
     /*  715432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715500 */     GIR_RootConstrainSelectedInstOperands,
     /*  715501 */     // GIR_Coverage, 11534,
     /*  715501 */     GIR_EraseRootFromParent_Done,
     /*  715502 */   // Label 11264: @715502
     /*  715502 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715577), // Rule ID 11535 //
     /*  715507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715575 */     GIR_RootConstrainSelectedInstOperands,
     /*  715576 */     // GIR_Coverage, 11535,
     /*  715576 */     GIR_EraseRootFromParent_Done,
     /*  715577 */   // Label 11265: @715577
     /*  715577 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715652), // Rule ID 11538 //
     /*  715582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715650 */     GIR_RootConstrainSelectedInstOperands,
     /*  715651 */     // GIR_Coverage, 11538,
     /*  715651 */     GIR_EraseRootFromParent_Done,
     /*  715652 */   // Label 11266: @715652
     /*  715652 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715727), // Rule ID 11539 //
     /*  715657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715703 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715725 */     GIR_RootConstrainSelectedInstOperands,
     /*  715726 */     // GIR_Coverage, 11539,
     /*  715726 */     GIR_EraseRootFromParent_Done,
     /*  715727 */   // Label 11267: @715727
     /*  715727 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715802), // Rule ID 11542 //
     /*  715732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715800 */     GIR_RootConstrainSelectedInstOperands,
     /*  715801 */     // GIR_Coverage, 11542,
     /*  715801 */     GIR_EraseRootFromParent_Done,
     /*  715802 */   // Label 11268: @715802
     /*  715802 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715877), // Rule ID 11543 //
     /*  715807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715875 */     GIR_RootConstrainSelectedInstOperands,
     /*  715876 */     // GIR_Coverage, 11543,
     /*  715876 */     GIR_EraseRootFromParent_Done,
     /*  715877 */   // Label 11269: @715877
     /*  715877 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715952), // Rule ID 11546 //
     /*  715882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715950 */     GIR_RootConstrainSelectedInstOperands,
     /*  715951 */     // GIR_Coverage, 11546,
     /*  715951 */     GIR_EraseRootFromParent_Done,
     /*  715952 */   // Label 11270: @715952
     /*  715952 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(716027), // Rule ID 11547 //
     /*  715957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  716006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716025 */     GIR_RootConstrainSelectedInstOperands,
     /*  716026 */     // GIR_Coverage, 11547,
     /*  716026 */     GIR_EraseRootFromParent_Done,
     /*  716027 */   // Label 11271: @716027
     /*  716027 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(716102), // Rule ID 11550 //
     /*  716032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716100 */     GIR_RootConstrainSelectedInstOperands,
     /*  716101 */     // GIR_Coverage, 11550,
     /*  716101 */     GIR_EraseRootFromParent_Done,
     /*  716102 */   // Label 11272: @716102
     /*  716102 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716177), // Rule ID 11551 //
     /*  716107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716175 */     GIR_RootConstrainSelectedInstOperands,
     /*  716176 */     // GIR_Coverage, 11551,
     /*  716176 */     GIR_EraseRootFromParent_Done,
     /*  716177 */   // Label 11273: @716177
     /*  716177 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716252), // Rule ID 11554 //
     /*  716182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716250 */     GIR_RootConstrainSelectedInstOperands,
     /*  716251 */     // GIR_Coverage, 11554,
     /*  716251 */     GIR_EraseRootFromParent_Done,
     /*  716252 */   // Label 11274: @716252
     /*  716252 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716327), // Rule ID 11555 //
     /*  716257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716325 */     GIR_RootConstrainSelectedInstOperands,
     /*  716326 */     // GIR_Coverage, 11555,
     /*  716326 */     GIR_EraseRootFromParent_Done,
     /*  716327 */   // Label 11275: @716327
     /*  716327 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716402), // Rule ID 11558 //
     /*  716332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716400 */     GIR_RootConstrainSelectedInstOperands,
     /*  716401 */     // GIR_Coverage, 11558,
     /*  716401 */     GIR_EraseRootFromParent_Done,
     /*  716402 */   // Label 11276: @716402
     /*  716402 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716477), // Rule ID 11559 //
     /*  716407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716475 */     GIR_RootConstrainSelectedInstOperands,
     /*  716476 */     // GIR_Coverage, 11559,
     /*  716476 */     GIR_EraseRootFromParent_Done,
     /*  716477 */   // Label 11277: @716477
     /*  716477 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716552), // Rule ID 11562 //
     /*  716482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716550 */     GIR_RootConstrainSelectedInstOperands,
     /*  716551 */     // GIR_Coverage, 11562,
     /*  716551 */     GIR_EraseRootFromParent_Done,
     /*  716552 */   // Label 11278: @716552
     /*  716552 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716627), // Rule ID 11563 //
     /*  716557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716625 */     GIR_RootConstrainSelectedInstOperands,
     /*  716626 */     // GIR_Coverage, 11563,
     /*  716626 */     GIR_EraseRootFromParent_Done,
     /*  716627 */   // Label 11279: @716627
     /*  716627 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716702), // Rule ID 11566 //
     /*  716632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716700 */     GIR_RootConstrainSelectedInstOperands,
     /*  716701 */     // GIR_Coverage, 11566,
     /*  716701 */     GIR_EraseRootFromParent_Done,
     /*  716702 */   // Label 11280: @716702
     /*  716702 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716777), // Rule ID 11567 //
     /*  716707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716775 */     GIR_RootConstrainSelectedInstOperands,
     /*  716776 */     // GIR_Coverage, 11567,
     /*  716776 */     GIR_EraseRootFromParent_Done,
     /*  716777 */   // Label 11281: @716777
     /*  716777 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716852), // Rule ID 11570 //
     /*  716782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716850 */     GIR_RootConstrainSelectedInstOperands,
     /*  716851 */     // GIR_Coverage, 11570,
     /*  716851 */     GIR_EraseRootFromParent_Done,
     /*  716852 */   // Label 11282: @716852
     /*  716852 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716927), // Rule ID 11571 //
     /*  716857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716925 */     GIR_RootConstrainSelectedInstOperands,
     /*  716926 */     // GIR_Coverage, 11571,
     /*  716926 */     GIR_EraseRootFromParent_Done,
     /*  716927 */   // Label 11283: @716927
     /*  716927 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(717002), // Rule ID 11574 //
     /*  716932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717000 */     GIR_RootConstrainSelectedInstOperands,
     /*  717001 */     // GIR_Coverage, 11574,
     /*  717001 */     GIR_EraseRootFromParent_Done,
     /*  717002 */   // Label 11284: @717002
     /*  717002 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(717077), // Rule ID 11575 //
     /*  717007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  717056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717075 */     GIR_RootConstrainSelectedInstOperands,
     /*  717076 */     // GIR_Coverage, 11575,
     /*  717076 */     GIR_EraseRootFromParent_Done,
     /*  717077 */   // Label 11285: @717077
     /*  717077 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717152), // Rule ID 11578 //
     /*  717082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717150 */     GIR_RootConstrainSelectedInstOperands,
     /*  717151 */     // GIR_Coverage, 11578,
     /*  717151 */     GIR_EraseRootFromParent_Done,
     /*  717152 */   // Label 11286: @717152
     /*  717152 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717227), // Rule ID 11579 //
     /*  717157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717225 */     GIR_RootConstrainSelectedInstOperands,
     /*  717226 */     // GIR_Coverage, 11579,
     /*  717226 */     GIR_EraseRootFromParent_Done,
     /*  717227 */   // Label 11287: @717227
     /*  717227 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717302), // Rule ID 11582 //
     /*  717232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  717281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717300 */     GIR_RootConstrainSelectedInstOperands,
     /*  717301 */     // GIR_Coverage, 11582,
     /*  717301 */     GIR_EraseRootFromParent_Done,
     /*  717302 */   // Label 11288: @717302
     /*  717302 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717377), // Rule ID 11583 //
     /*  717307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  717356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717375 */     GIR_RootConstrainSelectedInstOperands,
     /*  717376 */     // GIR_Coverage, 11583,
     /*  717376 */     GIR_EraseRootFromParent_Done,
     /*  717377 */   // Label 11289: @717377
     /*  717377 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717452), // Rule ID 11586 //
     /*  717382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717450 */     GIR_RootConstrainSelectedInstOperands,
     /*  717451 */     // GIR_Coverage, 11586,
     /*  717451 */     GIR_EraseRootFromParent_Done,
     /*  717452 */   // Label 11290: @717452
     /*  717452 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717527), // Rule ID 11587 //
     /*  717457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717525 */     GIR_RootConstrainSelectedInstOperands,
     /*  717526 */     // GIR_Coverage, 11587,
     /*  717526 */     GIR_EraseRootFromParent_Done,
     /*  717527 */   // Label 11291: @717527
     /*  717527 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717602), // Rule ID 11590 //
     /*  717532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717600 */     GIR_RootConstrainSelectedInstOperands,
     /*  717601 */     // GIR_Coverage, 11590,
     /*  717601 */     GIR_EraseRootFromParent_Done,
     /*  717602 */   // Label 11292: @717602
     /*  717602 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717677), // Rule ID 11591 //
     /*  717607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717675 */     GIR_RootConstrainSelectedInstOperands,
     /*  717676 */     // GIR_Coverage, 11591,
     /*  717676 */     GIR_EraseRootFromParent_Done,
     /*  717677 */   // Label 11293: @717677
     /*  717677 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717752), // Rule ID 11594 //
     /*  717682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717750 */     GIR_RootConstrainSelectedInstOperands,
     /*  717751 */     // GIR_Coverage, 11594,
     /*  717751 */     GIR_EraseRootFromParent_Done,
     /*  717752 */   // Label 11294: @717752
     /*  717752 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717827), // Rule ID 11595 //
     /*  717757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717825 */     GIR_RootConstrainSelectedInstOperands,
     /*  717826 */     // GIR_Coverage, 11595,
     /*  717826 */     GIR_EraseRootFromParent_Done,
     /*  717827 */   // Label 11295: @717827
     /*  717827 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717902), // Rule ID 11598 //
     /*  717832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717900 */     GIR_RootConstrainSelectedInstOperands,
     /*  717901 */     // GIR_Coverage, 11598,
     /*  717901 */     GIR_EraseRootFromParent_Done,
     /*  717902 */   // Label 11296: @717902
     /*  717902 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717977), // Rule ID 11599 //
     /*  717907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717975 */     GIR_RootConstrainSelectedInstOperands,
     /*  717976 */     // GIR_Coverage, 11599,
     /*  717976 */     GIR_EraseRootFromParent_Done,
     /*  717977 */   // Label 11297: @717977
     /*  717977 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(718052), // Rule ID 11602 //
     /*  717982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  717993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  717996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718050 */     GIR_RootConstrainSelectedInstOperands,
     /*  718051 */     // GIR_Coverage, 11602,
     /*  718051 */     GIR_EraseRootFromParent_Done,
     /*  718052 */   // Label 11298: @718052
     /*  718052 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(718127), // Rule ID 11603 //
     /*  718057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718125 */     GIR_RootConstrainSelectedInstOperands,
     /*  718126 */     // GIR_Coverage, 11603,
     /*  718126 */     GIR_EraseRootFromParent_Done,
     /*  718127 */   // Label 11299: @718127
     /*  718127 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718202), // Rule ID 11606 //
     /*  718132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718200 */     GIR_RootConstrainSelectedInstOperands,
     /*  718201 */     // GIR_Coverage, 11606,
     /*  718201 */     GIR_EraseRootFromParent_Done,
     /*  718202 */   // Label 11300: @718202
     /*  718202 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718277), // Rule ID 11607 //
     /*  718207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718275 */     GIR_RootConstrainSelectedInstOperands,
     /*  718276 */     // GIR_Coverage, 11607,
     /*  718276 */     GIR_EraseRootFromParent_Done,
     /*  718277 */   // Label 11301: @718277
     /*  718277 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718352), // Rule ID 11610 //
     /*  718282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  718331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718350 */     GIR_RootConstrainSelectedInstOperands,
     /*  718351 */     // GIR_Coverage, 11610,
     /*  718351 */     GIR_EraseRootFromParent_Done,
     /*  718352 */   // Label 11302: @718352
     /*  718352 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718427), // Rule ID 11611 //
     /*  718357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  718406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718425 */     GIR_RootConstrainSelectedInstOperands,
     /*  718426 */     // GIR_Coverage, 11611,
     /*  718426 */     GIR_EraseRootFromParent_Done,
     /*  718427 */   // Label 11303: @718427
     /*  718427 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718502), // Rule ID 11614 //
     /*  718432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718500 */     GIR_RootConstrainSelectedInstOperands,
     /*  718501 */     // GIR_Coverage, 11614,
     /*  718501 */     GIR_EraseRootFromParent_Done,
     /*  718502 */   // Label 11304: @718502
     /*  718502 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718577), // Rule ID 11615 //
     /*  718507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718575 */     GIR_RootConstrainSelectedInstOperands,
     /*  718576 */     // GIR_Coverage, 11615,
     /*  718576 */     GIR_EraseRootFromParent_Done,
     /*  718577 */   // Label 11305: @718577
     /*  718577 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718652), // Rule ID 11618 //
     /*  718582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718650 */     GIR_RootConstrainSelectedInstOperands,
     /*  718651 */     // GIR_Coverage, 11618,
     /*  718651 */     GIR_EraseRootFromParent_Done,
     /*  718652 */   // Label 11306: @718652
     /*  718652 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718727), // Rule ID 11619 //
     /*  718657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718725 */     GIR_RootConstrainSelectedInstOperands,
     /*  718726 */     // GIR_Coverage, 11619,
     /*  718726 */     GIR_EraseRootFromParent_Done,
     /*  718727 */   // Label 11307: @718727
     /*  718727 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718802), // Rule ID 11622 //
     /*  718732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718800 */     GIR_RootConstrainSelectedInstOperands,
     /*  718801 */     // GIR_Coverage, 11622,
     /*  718801 */     GIR_EraseRootFromParent_Done,
     /*  718802 */   // Label 11308: @718802
     /*  718802 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718877), // Rule ID 11623 //
     /*  718807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718875 */     GIR_RootConstrainSelectedInstOperands,
     /*  718876 */     // GIR_Coverage, 11623,
     /*  718876 */     GIR_EraseRootFromParent_Done,
     /*  718877 */   // Label 11309: @718877
     /*  718877 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718952), // Rule ID 11626 //
     /*  718882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718950 */     GIR_RootConstrainSelectedInstOperands,
     /*  718951 */     // GIR_Coverage, 11626,
     /*  718951 */     GIR_EraseRootFromParent_Done,
     /*  718952 */   // Label 11310: @718952
     /*  718952 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(719027), // Rule ID 11627 //
     /*  718957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  719006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719025 */     GIR_RootConstrainSelectedInstOperands,
     /*  719026 */     // GIR_Coverage, 11627,
     /*  719026 */     GIR_EraseRootFromParent_Done,
     /*  719027 */   // Label 11311: @719027
     /*  719027 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(719102), // Rule ID 11630 //
     /*  719032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719100 */     GIR_RootConstrainSelectedInstOperands,
     /*  719101 */     // GIR_Coverage, 11630,
     /*  719101 */     GIR_EraseRootFromParent_Done,
     /*  719102 */   // Label 11312: @719102
     /*  719102 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719177), // Rule ID 11631 //
     /*  719107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719153 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719175 */     GIR_RootConstrainSelectedInstOperands,
     /*  719176 */     // GIR_Coverage, 11631,
     /*  719176 */     GIR_EraseRootFromParent_Done,
     /*  719177 */   // Label 11313: @719177
     /*  719177 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719252), // Rule ID 11634 //
     /*  719182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719250 */     GIR_RootConstrainSelectedInstOperands,
     /*  719251 */     // GIR_Coverage, 11634,
     /*  719251 */     GIR_EraseRootFromParent_Done,
     /*  719252 */   // Label 11314: @719252
     /*  719252 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719327), // Rule ID 11635 //
     /*  719257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719325 */     GIR_RootConstrainSelectedInstOperands,
     /*  719326 */     // GIR_Coverage, 11635,
     /*  719326 */     GIR_EraseRootFromParent_Done,
     /*  719327 */   // Label 11315: @719327
     /*  719327 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719402), // Rule ID 11638 //
     /*  719332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719400 */     GIR_RootConstrainSelectedInstOperands,
     /*  719401 */     // GIR_Coverage, 11638,
     /*  719401 */     GIR_EraseRootFromParent_Done,
     /*  719402 */   // Label 11316: @719402
     /*  719402 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719477), // Rule ID 11639 //
     /*  719407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719475 */     GIR_RootConstrainSelectedInstOperands,
     /*  719476 */     // GIR_Coverage, 11639,
     /*  719476 */     GIR_EraseRootFromParent_Done,
     /*  719477 */   // Label 11317: @719477
     /*  719477 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719552), // Rule ID 11642 //
     /*  719482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719550 */     GIR_RootConstrainSelectedInstOperands,
     /*  719551 */     // GIR_Coverage, 11642,
     /*  719551 */     GIR_EraseRootFromParent_Done,
     /*  719552 */   // Label 11318: @719552
     /*  719552 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719627), // Rule ID 11643 //
     /*  719557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719625 */     GIR_RootConstrainSelectedInstOperands,
     /*  719626 */     // GIR_Coverage, 11643,
     /*  719626 */     GIR_EraseRootFromParent_Done,
     /*  719627 */   // Label 11319: @719627
     /*  719627 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719702), // Rule ID 11646 //
     /*  719632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719700 */     GIR_RootConstrainSelectedInstOperands,
     /*  719701 */     // GIR_Coverage, 11646,
     /*  719701 */     GIR_EraseRootFromParent_Done,
     /*  719702 */   // Label 11320: @719702
     /*  719702 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719777), // Rule ID 11647 //
     /*  719707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719775 */     GIR_RootConstrainSelectedInstOperands,
     /*  719776 */     // GIR_Coverage, 11647,
     /*  719776 */     GIR_EraseRootFromParent_Done,
     /*  719777 */   // Label 11321: @719777
     /*  719777 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719852), // Rule ID 11650 //
     /*  719782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719850 */     GIR_RootConstrainSelectedInstOperands,
     /*  719851 */     // GIR_Coverage, 11650,
     /*  719851 */     GIR_EraseRootFromParent_Done,
     /*  719852 */   // Label 11322: @719852
     /*  719852 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719927), // Rule ID 11651 //
     /*  719857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719925 */     GIR_RootConstrainSelectedInstOperands,
     /*  719926 */     // GIR_Coverage, 11651,
     /*  719926 */     GIR_EraseRootFromParent_Done,
     /*  719927 */   // Label 11323: @719927
     /*  719927 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(720002), // Rule ID 11654 //
     /*  719932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720000 */     GIR_RootConstrainSelectedInstOperands,
     /*  720001 */     // GIR_Coverage, 11654,
     /*  720001 */     GIR_EraseRootFromParent_Done,
     /*  720002 */   // Label 11324: @720002
     /*  720002 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(720077), // Rule ID 11655 //
     /*  720007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  720056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720075 */     GIR_RootConstrainSelectedInstOperands,
     /*  720076 */     // GIR_Coverage, 11655,
     /*  720076 */     GIR_EraseRootFromParent_Done,
     /*  720077 */   // Label 11325: @720077
     /*  720077 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720152), // Rule ID 11658 //
     /*  720082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720150 */     GIR_RootConstrainSelectedInstOperands,
     /*  720151 */     // GIR_Coverage, 11658,
     /*  720151 */     GIR_EraseRootFromParent_Done,
     /*  720152 */   // Label 11326: @720152
     /*  720152 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720227), // Rule ID 11659 //
     /*  720157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720225 */     GIR_RootConstrainSelectedInstOperands,
     /*  720226 */     // GIR_Coverage, 11659,
     /*  720226 */     GIR_EraseRootFromParent_Done,
     /*  720227 */   // Label 11327: @720227
     /*  720227 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720302), // Rule ID 11662 //
     /*  720232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  720281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720300 */     GIR_RootConstrainSelectedInstOperands,
     /*  720301 */     // GIR_Coverage, 11662,
     /*  720301 */     GIR_EraseRootFromParent_Done,
     /*  720302 */   // Label 11328: @720302
     /*  720302 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720377), // Rule ID 11663 //
     /*  720307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  720356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720375 */     GIR_RootConstrainSelectedInstOperands,
     /*  720376 */     // GIR_Coverage, 11663,
     /*  720376 */     GIR_EraseRootFromParent_Done,
     /*  720377 */   // Label 11329: @720377
     /*  720377 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720452), // Rule ID 11666 //
     /*  720382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720450 */     GIR_RootConstrainSelectedInstOperands,
     /*  720451 */     // GIR_Coverage, 11666,
     /*  720451 */     GIR_EraseRootFromParent_Done,
     /*  720452 */   // Label 11330: @720452
     /*  720452 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720527), // Rule ID 11667 //
     /*  720457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720525 */     GIR_RootConstrainSelectedInstOperands,
     /*  720526 */     // GIR_Coverage, 11667,
     /*  720526 */     GIR_EraseRootFromParent_Done,
     /*  720527 */   // Label 11331: @720527
     /*  720527 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720602), // Rule ID 11670 //
     /*  720532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720600 */     GIR_RootConstrainSelectedInstOperands,
     /*  720601 */     // GIR_Coverage, 11670,
     /*  720601 */     GIR_EraseRootFromParent_Done,
     /*  720602 */   // Label 11332: @720602
     /*  720602 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720677), // Rule ID 11671 //
     /*  720607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720675 */     GIR_RootConstrainSelectedInstOperands,
     /*  720676 */     // GIR_Coverage, 11671,
     /*  720676 */     GIR_EraseRootFromParent_Done,
     /*  720677 */   // Label 11333: @720677
     /*  720677 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720752), // Rule ID 11674 //
     /*  720682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720750 */     GIR_RootConstrainSelectedInstOperands,
     /*  720751 */     // GIR_Coverage, 11674,
     /*  720751 */     GIR_EraseRootFromParent_Done,
     /*  720752 */   // Label 11334: @720752
     /*  720752 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720827), // Rule ID 11675 //
     /*  720757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720825 */     GIR_RootConstrainSelectedInstOperands,
     /*  720826 */     // GIR_Coverage, 11675,
     /*  720826 */     GIR_EraseRootFromParent_Done,
     /*  720827 */   // Label 11335: @720827
     /*  720827 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720902), // Rule ID 11678 //
     /*  720832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720900 */     GIR_RootConstrainSelectedInstOperands,
     /*  720901 */     // GIR_Coverage, 11678,
     /*  720901 */     GIR_EraseRootFromParent_Done,
     /*  720902 */   // Label 11336: @720902
     /*  720902 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720977), // Rule ID 11679 //
     /*  720907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720975 */     GIR_RootConstrainSelectedInstOperands,
     /*  720976 */     // GIR_Coverage, 11679,
     /*  720976 */     GIR_EraseRootFromParent_Done,
     /*  720977 */   // Label 11337: @720977
     /*  720977 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(721052), // Rule ID 11682 //
     /*  720982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  720993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  720996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721050 */     GIR_RootConstrainSelectedInstOperands,
     /*  721051 */     // GIR_Coverage, 11682,
     /*  721051 */     GIR_EraseRootFromParent_Done,
     /*  721052 */   // Label 11338: @721052
     /*  721052 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(721127), // Rule ID 11683 //
     /*  721057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721103 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721125 */     GIR_RootConstrainSelectedInstOperands,
     /*  721126 */     // GIR_Coverage, 11683,
     /*  721126 */     GIR_EraseRootFromParent_Done,
     /*  721127 */   // Label 11339: @721127
     /*  721127 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721202), // Rule ID 11686 //
     /*  721132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721200 */     GIR_RootConstrainSelectedInstOperands,
     /*  721201 */     // GIR_Coverage, 11686,
     /*  721201 */     GIR_EraseRootFromParent_Done,
     /*  721202 */   // Label 11340: @721202
     /*  721202 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721277), // Rule ID 11687 //
     /*  721207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721275 */     GIR_RootConstrainSelectedInstOperands,
     /*  721276 */     // GIR_Coverage, 11687,
     /*  721276 */     GIR_EraseRootFromParent_Done,
     /*  721277 */   // Label 11341: @721277
     /*  721277 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721352), // Rule ID 11690 //
     /*  721282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  721331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721350 */     GIR_RootConstrainSelectedInstOperands,
     /*  721351 */     // GIR_Coverage, 11690,
     /*  721351 */     GIR_EraseRootFromParent_Done,
     /*  721352 */   // Label 11342: @721352
     /*  721352 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721427), // Rule ID 11691 //
     /*  721357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  721406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721425 */     GIR_RootConstrainSelectedInstOperands,
     /*  721426 */     // GIR_Coverage, 11691,
     /*  721426 */     GIR_EraseRootFromParent_Done,
     /*  721427 */   // Label 11343: @721427
     /*  721427 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721502), // Rule ID 11694 //
     /*  721432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721500 */     GIR_RootConstrainSelectedInstOperands,
     /*  721501 */     // GIR_Coverage, 11694,
     /*  721501 */     GIR_EraseRootFromParent_Done,
     /*  721502 */   // Label 11344: @721502
     /*  721502 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721577), // Rule ID 11695 //
     /*  721507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721575 */     GIR_RootConstrainSelectedInstOperands,
     /*  721576 */     // GIR_Coverage, 11695,
     /*  721576 */     GIR_EraseRootFromParent_Done,
     /*  721577 */   // Label 11345: @721577
     /*  721577 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721652), // Rule ID 11698 //
     /*  721582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721650 */     GIR_RootConstrainSelectedInstOperands,
     /*  721651 */     // GIR_Coverage, 11698,
     /*  721651 */     GIR_EraseRootFromParent_Done,
     /*  721652 */   // Label 11346: @721652
     /*  721652 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721727), // Rule ID 11699 //
     /*  721657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721725 */     GIR_RootConstrainSelectedInstOperands,
     /*  721726 */     // GIR_Coverage, 11699,
     /*  721726 */     GIR_EraseRootFromParent_Done,
     /*  721727 */   // Label 11347: @721727
     /*  721727 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721802), // Rule ID 11702 //
     /*  721732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721800 */     GIR_RootConstrainSelectedInstOperands,
     /*  721801 */     // GIR_Coverage, 11702,
     /*  721801 */     GIR_EraseRootFromParent_Done,
     /*  721802 */   // Label 11348: @721802
     /*  721802 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721877), // Rule ID 11703 //
     /*  721807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721875 */     GIR_RootConstrainSelectedInstOperands,
     /*  721876 */     // GIR_Coverage, 11703,
     /*  721876 */     GIR_EraseRootFromParent_Done,
     /*  721877 */   // Label 11349: @721877
     /*  721877 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721952), // Rule ID 11706 //
     /*  721882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721950 */     GIR_RootConstrainSelectedInstOperands,
     /*  721951 */     // GIR_Coverage, 11706,
     /*  721951 */     GIR_EraseRootFromParent_Done,
     /*  721952 */   // Label 11350: @721952
     /*  721952 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(722027), // Rule ID 11707 //
     /*  721957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  722006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722025 */     GIR_RootConstrainSelectedInstOperands,
     /*  722026 */     // GIR_Coverage, 11707,
     /*  722026 */     GIR_EraseRootFromParent_Done,
     /*  722027 */   // Label 11351: @722027
     /*  722027 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(722102), // Rule ID 11710 //
     /*  722032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722100 */     GIR_RootConstrainSelectedInstOperands,
     /*  722101 */     // GIR_Coverage, 11710,
     /*  722101 */     GIR_EraseRootFromParent_Done,
     /*  722102 */   // Label 11352: @722102
     /*  722102 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722177), // Rule ID 11711 //
     /*  722107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722175 */     GIR_RootConstrainSelectedInstOperands,
     /*  722176 */     // GIR_Coverage, 11711,
     /*  722176 */     GIR_EraseRootFromParent_Done,
     /*  722177 */   // Label 11353: @722177
     /*  722177 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722252), // Rule ID 11714 //
     /*  722182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722250 */     GIR_RootConstrainSelectedInstOperands,
     /*  722251 */     // GIR_Coverage, 11714,
     /*  722251 */     GIR_EraseRootFromParent_Done,
     /*  722252 */   // Label 11354: @722252
     /*  722252 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722327), // Rule ID 11715 //
     /*  722257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722325 */     GIR_RootConstrainSelectedInstOperands,
     /*  722326 */     // GIR_Coverage, 11715,
     /*  722326 */     GIR_EraseRootFromParent_Done,
     /*  722327 */   // Label 11355: @722327
     /*  722327 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722402), // Rule ID 11718 //
     /*  722332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722400 */     GIR_RootConstrainSelectedInstOperands,
     /*  722401 */     // GIR_Coverage, 11718,
     /*  722401 */     GIR_EraseRootFromParent_Done,
     /*  722402 */   // Label 11356: @722402
     /*  722402 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722477), // Rule ID 11719 //
     /*  722407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722475 */     GIR_RootConstrainSelectedInstOperands,
     /*  722476 */     // GIR_Coverage, 11719,
     /*  722476 */     GIR_EraseRootFromParent_Done,
     /*  722477 */   // Label 11357: @722477
     /*  722477 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722552), // Rule ID 11722 //
     /*  722482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722550 */     GIR_RootConstrainSelectedInstOperands,
     /*  722551 */     // GIR_Coverage, 11722,
     /*  722551 */     GIR_EraseRootFromParent_Done,
     /*  722552 */   // Label 11358: @722552
     /*  722552 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722627), // Rule ID 11723 //
     /*  722557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722625 */     GIR_RootConstrainSelectedInstOperands,
     /*  722626 */     // GIR_Coverage, 11723,
     /*  722626 */     GIR_EraseRootFromParent_Done,
     /*  722627 */   // Label 11359: @722627
     /*  722627 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722702), // Rule ID 11726 //
     /*  722632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722700 */     GIR_RootConstrainSelectedInstOperands,
     /*  722701 */     // GIR_Coverage, 11726,
     /*  722701 */     GIR_EraseRootFromParent_Done,
     /*  722702 */   // Label 11360: @722702
     /*  722702 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722777), // Rule ID 11727 //
     /*  722707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722775 */     GIR_RootConstrainSelectedInstOperands,
     /*  722776 */     // GIR_Coverage, 11727,
     /*  722776 */     GIR_EraseRootFromParent_Done,
     /*  722777 */   // Label 11361: @722777
     /*  722777 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722852), // Rule ID 11730 //
     /*  722782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722850 */     GIR_RootConstrainSelectedInstOperands,
     /*  722851 */     // GIR_Coverage, 11730,
     /*  722851 */     GIR_EraseRootFromParent_Done,
     /*  722852 */   // Label 11362: @722852
     /*  722852 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722927), // Rule ID 11731 //
     /*  722857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722925 */     GIR_RootConstrainSelectedInstOperands,
     /*  722926 */     // GIR_Coverage, 11731,
     /*  722926 */     GIR_EraseRootFromParent_Done,
     /*  722927 */   // Label 11363: @722927
     /*  722927 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(723002), // Rule ID 11734 //
     /*  722932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723000 */     GIR_RootConstrainSelectedInstOperands,
     /*  723001 */     // GIR_Coverage, 11734,
     /*  723001 */     GIR_EraseRootFromParent_Done,
     /*  723002 */   // Label 11364: @723002
     /*  723002 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(723077), // Rule ID 11735 //
     /*  723007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  723056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723075 */     GIR_RootConstrainSelectedInstOperands,
     /*  723076 */     // GIR_Coverage, 11735,
     /*  723076 */     GIR_EraseRootFromParent_Done,
     /*  723077 */   // Label 11365: @723077
     /*  723077 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723152), // Rule ID 11738 //
     /*  723082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723150 */     GIR_RootConstrainSelectedInstOperands,
     /*  723151 */     // GIR_Coverage, 11738,
     /*  723151 */     GIR_EraseRootFromParent_Done,
     /*  723152 */   // Label 11366: @723152
     /*  723152 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723227), // Rule ID 11739 //
     /*  723157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723225 */     GIR_RootConstrainSelectedInstOperands,
     /*  723226 */     // GIR_Coverage, 11739,
     /*  723226 */     GIR_EraseRootFromParent_Done,
     /*  723227 */   // Label 11367: @723227
     /*  723227 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723302), // Rule ID 11742 //
     /*  723232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  723281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723300 */     GIR_RootConstrainSelectedInstOperands,
     /*  723301 */     // GIR_Coverage, 11742,
     /*  723301 */     GIR_EraseRootFromParent_Done,
     /*  723302 */   // Label 11368: @723302
     /*  723302 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723377), // Rule ID 11743 //
     /*  723307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  723356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723375 */     GIR_RootConstrainSelectedInstOperands,
     /*  723376 */     // GIR_Coverage, 11743,
     /*  723376 */     GIR_EraseRootFromParent_Done,
     /*  723377 */   // Label 11369: @723377
     /*  723377 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723452), // Rule ID 11746 //
     /*  723382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723450 */     GIR_RootConstrainSelectedInstOperands,
     /*  723451 */     // GIR_Coverage, 11746,
     /*  723451 */     GIR_EraseRootFromParent_Done,
     /*  723452 */   // Label 11370: @723452
     /*  723452 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723527), // Rule ID 11747 //
     /*  723457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723525 */     GIR_RootConstrainSelectedInstOperands,
     /*  723526 */     // GIR_Coverage, 11747,
     /*  723526 */     GIR_EraseRootFromParent_Done,
     /*  723527 */   // Label 11371: @723527
     /*  723527 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723602), // Rule ID 11750 //
     /*  723532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723600 */     GIR_RootConstrainSelectedInstOperands,
     /*  723601 */     // GIR_Coverage, 11750,
     /*  723601 */     GIR_EraseRootFromParent_Done,
     /*  723602 */   // Label 11372: @723602
     /*  723602 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723677), // Rule ID 11751 //
     /*  723607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723675 */     GIR_RootConstrainSelectedInstOperands,
     /*  723676 */     // GIR_Coverage, 11751,
     /*  723676 */     GIR_EraseRootFromParent_Done,
     /*  723677 */   // Label 11373: @723677
     /*  723677 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723752), // Rule ID 11754 //
     /*  723682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723750 */     GIR_RootConstrainSelectedInstOperands,
     /*  723751 */     // GIR_Coverage, 11754,
     /*  723751 */     GIR_EraseRootFromParent_Done,
     /*  723752 */   // Label 11374: @723752
     /*  723752 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723827), // Rule ID 11755 //
     /*  723757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723825 */     GIR_RootConstrainSelectedInstOperands,
     /*  723826 */     // GIR_Coverage, 11755,
     /*  723826 */     GIR_EraseRootFromParent_Done,
     /*  723827 */   // Label 11375: @723827
     /*  723827 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723902), // Rule ID 11758 //
     /*  723832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723900 */     GIR_RootConstrainSelectedInstOperands,
     /*  723901 */     // GIR_Coverage, 11758,
     /*  723901 */     GIR_EraseRootFromParent_Done,
     /*  723902 */   // Label 11376: @723902
     /*  723902 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723977), // Rule ID 11759 //
     /*  723907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723975 */     GIR_RootConstrainSelectedInstOperands,
     /*  723976 */     // GIR_Coverage, 11759,
     /*  723976 */     GIR_EraseRootFromParent_Done,
     /*  723977 */   // Label 11377: @723977
     /*  723977 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(724052), // Rule ID 11762 //
     /*  723982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  723993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  723996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724050 */     GIR_RootConstrainSelectedInstOperands,
     /*  724051 */     // GIR_Coverage, 11762,
     /*  724051 */     GIR_EraseRootFromParent_Done,
     /*  724052 */   // Label 11378: @724052
     /*  724052 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(724127), // Rule ID 11763 //
     /*  724057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724125 */     GIR_RootConstrainSelectedInstOperands,
     /*  724126 */     // GIR_Coverage, 11763,
     /*  724126 */     GIR_EraseRootFromParent_Done,
     /*  724127 */   // Label 11379: @724127
     /*  724127 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724202), // Rule ID 11766 //
     /*  724132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724200 */     GIR_RootConstrainSelectedInstOperands,
     /*  724201 */     // GIR_Coverage, 11766,
     /*  724201 */     GIR_EraseRootFromParent_Done,
     /*  724202 */   // Label 11380: @724202
     /*  724202 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724277), // Rule ID 11767 //
     /*  724207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724275 */     GIR_RootConstrainSelectedInstOperands,
     /*  724276 */     // GIR_Coverage, 11767,
     /*  724276 */     GIR_EraseRootFromParent_Done,
     /*  724277 */   // Label 11381: @724277
     /*  724277 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724352), // Rule ID 11770 //
     /*  724282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  724331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724350 */     GIR_RootConstrainSelectedInstOperands,
     /*  724351 */     // GIR_Coverage, 11770,
     /*  724351 */     GIR_EraseRootFromParent_Done,
     /*  724352 */   // Label 11382: @724352
     /*  724352 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724427), // Rule ID 11771 //
     /*  724357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  724406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724425 */     GIR_RootConstrainSelectedInstOperands,
     /*  724426 */     // GIR_Coverage, 11771,
     /*  724426 */     GIR_EraseRootFromParent_Done,
     /*  724427 */   // Label 11383: @724427
     /*  724427 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724502), // Rule ID 11774 //
     /*  724432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724500 */     GIR_RootConstrainSelectedInstOperands,
     /*  724501 */     // GIR_Coverage, 11774,
     /*  724501 */     GIR_EraseRootFromParent_Done,
     /*  724502 */   // Label 11384: @724502
     /*  724502 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724577), // Rule ID 11775 //
     /*  724507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724575 */     GIR_RootConstrainSelectedInstOperands,
     /*  724576 */     // GIR_Coverage, 11775,
     /*  724576 */     GIR_EraseRootFromParent_Done,
     /*  724577 */   // Label 11385: @724577
     /*  724577 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724652), // Rule ID 11778 //
     /*  724582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724650 */     GIR_RootConstrainSelectedInstOperands,
     /*  724651 */     // GIR_Coverage, 11778,
     /*  724651 */     GIR_EraseRootFromParent_Done,
     /*  724652 */   // Label 11386: @724652
     /*  724652 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724727), // Rule ID 11779 //
     /*  724657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724725 */     GIR_RootConstrainSelectedInstOperands,
     /*  724726 */     // GIR_Coverage, 11779,
     /*  724726 */     GIR_EraseRootFromParent_Done,
     /*  724727 */   // Label 11387: @724727
     /*  724727 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724802), // Rule ID 11782 //
     /*  724732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724800 */     GIR_RootConstrainSelectedInstOperands,
     /*  724801 */     // GIR_Coverage, 11782,
     /*  724801 */     GIR_EraseRootFromParent_Done,
     /*  724802 */   // Label 11388: @724802
     /*  724802 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724877), // Rule ID 11783 //
     /*  724807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724875 */     GIR_RootConstrainSelectedInstOperands,
     /*  724876 */     // GIR_Coverage, 11783,
     /*  724876 */     GIR_EraseRootFromParent_Done,
     /*  724877 */   // Label 11389: @724877
     /*  724877 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724952), // Rule ID 11786 //
     /*  724882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724950 */     GIR_RootConstrainSelectedInstOperands,
     /*  724951 */     // GIR_Coverage, 11786,
     /*  724951 */     GIR_EraseRootFromParent_Done,
     /*  724952 */   // Label 11390: @724952
     /*  724952 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(725027), // Rule ID 11787 //
     /*  724957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  725006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725025 */     GIR_RootConstrainSelectedInstOperands,
     /*  725026 */     // GIR_Coverage, 11787,
     /*  725026 */     GIR_EraseRootFromParent_Done,
     /*  725027 */   // Label 11391: @725027
     /*  725027 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(725102), // Rule ID 11790 //
     /*  725032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725100 */     GIR_RootConstrainSelectedInstOperands,
     /*  725101 */     // GIR_Coverage, 11790,
     /*  725101 */     GIR_EraseRootFromParent_Done,
     /*  725102 */   // Label 11392: @725102
     /*  725102 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725177), // Rule ID 11791 //
     /*  725107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725175 */     GIR_RootConstrainSelectedInstOperands,
     /*  725176 */     // GIR_Coverage, 11791,
     /*  725176 */     GIR_EraseRootFromParent_Done,
     /*  725177 */   // Label 11393: @725177
     /*  725177 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725252), // Rule ID 11794 //
     /*  725182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725250 */     GIR_RootConstrainSelectedInstOperands,
     /*  725251 */     // GIR_Coverage, 11794,
     /*  725251 */     GIR_EraseRootFromParent_Done,
     /*  725252 */   // Label 11394: @725252
     /*  725252 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725327), // Rule ID 11795 //
     /*  725257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725325 */     GIR_RootConstrainSelectedInstOperands,
     /*  725326 */     // GIR_Coverage, 11795,
     /*  725326 */     GIR_EraseRootFromParent_Done,
     /*  725327 */   // Label 11395: @725327
     /*  725327 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725402), // Rule ID 11798 //
     /*  725332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725400 */     GIR_RootConstrainSelectedInstOperands,
     /*  725401 */     // GIR_Coverage, 11798,
     /*  725401 */     GIR_EraseRootFromParent_Done,
     /*  725402 */   // Label 11396: @725402
     /*  725402 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725477), // Rule ID 11799 //
     /*  725407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725475 */     GIR_RootConstrainSelectedInstOperands,
     /*  725476 */     // GIR_Coverage, 11799,
     /*  725476 */     GIR_EraseRootFromParent_Done,
     /*  725477 */   // Label 11397: @725477
     /*  725477 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725552), // Rule ID 11802 //
     /*  725482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725550 */     GIR_RootConstrainSelectedInstOperands,
     /*  725551 */     // GIR_Coverage, 11802,
     /*  725551 */     GIR_EraseRootFromParent_Done,
     /*  725552 */   // Label 11398: @725552
     /*  725552 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725627), // Rule ID 11803 //
     /*  725557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725625 */     GIR_RootConstrainSelectedInstOperands,
     /*  725626 */     // GIR_Coverage, 11803,
     /*  725626 */     GIR_EraseRootFromParent_Done,
     /*  725627 */   // Label 11399: @725627
     /*  725627 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725702), // Rule ID 11806 //
     /*  725632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725700 */     GIR_RootConstrainSelectedInstOperands,
     /*  725701 */     // GIR_Coverage, 11806,
     /*  725701 */     GIR_EraseRootFromParent_Done,
     /*  725702 */   // Label 11400: @725702
     /*  725702 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725777), // Rule ID 11807 //
     /*  725707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725775 */     GIR_RootConstrainSelectedInstOperands,
     /*  725776 */     // GIR_Coverage, 11807,
     /*  725776 */     GIR_EraseRootFromParent_Done,
     /*  725777 */   // Label 11401: @725777
     /*  725777 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725852), // Rule ID 11810 //
     /*  725782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725850 */     GIR_RootConstrainSelectedInstOperands,
     /*  725851 */     // GIR_Coverage, 11810,
     /*  725851 */     GIR_EraseRootFromParent_Done,
     /*  725852 */   // Label 11402: @725852
     /*  725852 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725927), // Rule ID 11811 //
     /*  725857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725925 */     GIR_RootConstrainSelectedInstOperands,
     /*  725926 */     // GIR_Coverage, 11811,
     /*  725926 */     GIR_EraseRootFromParent_Done,
     /*  725927 */   // Label 11403: @725927
     /*  725927 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(726002), // Rule ID 11814 //
     /*  725932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726000 */     GIR_RootConstrainSelectedInstOperands,
     /*  726001 */     // GIR_Coverage, 11814,
     /*  726001 */     GIR_EraseRootFromParent_Done,
     /*  726002 */   // Label 11404: @726002
     /*  726002 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(726077), // Rule ID 11815 //
     /*  726007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  726056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726075 */     GIR_RootConstrainSelectedInstOperands,
     /*  726076 */     // GIR_Coverage, 11815,
     /*  726076 */     GIR_EraseRootFromParent_Done,
     /*  726077 */   // Label 11405: @726077
     /*  726077 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726152), // Rule ID 11818 //
     /*  726082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726150 */     GIR_RootConstrainSelectedInstOperands,
     /*  726151 */     // GIR_Coverage, 11818,
     /*  726151 */     GIR_EraseRootFromParent_Done,
     /*  726152 */   // Label 11406: @726152
     /*  726152 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726227), // Rule ID 11819 //
     /*  726157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726225 */     GIR_RootConstrainSelectedInstOperands,
     /*  726226 */     // GIR_Coverage, 11819,
     /*  726226 */     GIR_EraseRootFromParent_Done,
     /*  726227 */   // Label 11407: @726227
     /*  726227 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726302), // Rule ID 11822 //
     /*  726232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  726281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726300 */     GIR_RootConstrainSelectedInstOperands,
     /*  726301 */     // GIR_Coverage, 11822,
     /*  726301 */     GIR_EraseRootFromParent_Done,
     /*  726302 */   // Label 11408: @726302
     /*  726302 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726377), // Rule ID 11823 //
     /*  726307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  726356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726375 */     GIR_RootConstrainSelectedInstOperands,
     /*  726376 */     // GIR_Coverage, 11823,
     /*  726376 */     GIR_EraseRootFromParent_Done,
     /*  726377 */   // Label 11409: @726377
     /*  726377 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726452), // Rule ID 11826 //
     /*  726382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726450 */     GIR_RootConstrainSelectedInstOperands,
     /*  726451 */     // GIR_Coverage, 11826,
     /*  726451 */     GIR_EraseRootFromParent_Done,
     /*  726452 */   // Label 11410: @726452
     /*  726452 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726527), // Rule ID 11827 //
     /*  726457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726525 */     GIR_RootConstrainSelectedInstOperands,
     /*  726526 */     // GIR_Coverage, 11827,
     /*  726526 */     GIR_EraseRootFromParent_Done,
     /*  726527 */   // Label 11411: @726527
     /*  726527 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726602), // Rule ID 11830 //
     /*  726532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726600 */     GIR_RootConstrainSelectedInstOperands,
     /*  726601 */     // GIR_Coverage, 11830,
     /*  726601 */     GIR_EraseRootFromParent_Done,
     /*  726602 */   // Label 11412: @726602
     /*  726602 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726677), // Rule ID 11831 //
     /*  726607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726675 */     GIR_RootConstrainSelectedInstOperands,
     /*  726676 */     // GIR_Coverage, 11831,
     /*  726676 */     GIR_EraseRootFromParent_Done,
     /*  726677 */   // Label 11413: @726677
     /*  726677 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726752), // Rule ID 11834 //
     /*  726682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726750 */     GIR_RootConstrainSelectedInstOperands,
     /*  726751 */     // GIR_Coverage, 11834,
     /*  726751 */     GIR_EraseRootFromParent_Done,
     /*  726752 */   // Label 11414: @726752
     /*  726752 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726827), // Rule ID 11835 //
     /*  726757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726825 */     GIR_RootConstrainSelectedInstOperands,
     /*  726826 */     // GIR_Coverage, 11835,
     /*  726826 */     GIR_EraseRootFromParent_Done,
     /*  726827 */   // Label 11415: @726827
     /*  726827 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726902), // Rule ID 11838 //
     /*  726832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726900 */     GIR_RootConstrainSelectedInstOperands,
     /*  726901 */     // GIR_Coverage, 11838,
     /*  726901 */     GIR_EraseRootFromParent_Done,
     /*  726902 */   // Label 11416: @726902
     /*  726902 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726977), // Rule ID 11839 //
     /*  726907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726975 */     GIR_RootConstrainSelectedInstOperands,
     /*  726976 */     // GIR_Coverage, 11839,
     /*  726976 */     GIR_EraseRootFromParent_Done,
     /*  726977 */   // Label 11417: @726977
     /*  726977 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(727052), // Rule ID 11842 //
     /*  726982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727050 */     GIR_RootConstrainSelectedInstOperands,
     /*  727051 */     // GIR_Coverage, 11842,
     /*  727051 */     GIR_EraseRootFromParent_Done,
     /*  727052 */   // Label 11418: @727052
     /*  727052 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(727127), // Rule ID 11843 //
     /*  727057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727125 */     GIR_RootConstrainSelectedInstOperands,
     /*  727126 */     // GIR_Coverage, 11843,
     /*  727126 */     GIR_EraseRootFromParent_Done,
     /*  727127 */   // Label 11419: @727127
     /*  727127 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727202), // Rule ID 11846 //
     /*  727132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727200 */     GIR_RootConstrainSelectedInstOperands,
     /*  727201 */     // GIR_Coverage, 11846,
     /*  727201 */     GIR_EraseRootFromParent_Done,
     /*  727202 */   // Label 11420: @727202
     /*  727202 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727277), // Rule ID 11847 //
     /*  727207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727275 */     GIR_RootConstrainSelectedInstOperands,
     /*  727276 */     // GIR_Coverage, 11847,
     /*  727276 */     GIR_EraseRootFromParent_Done,
     /*  727277 */   // Label 11421: @727277
     /*  727277 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727352), // Rule ID 11850 //
     /*  727282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  727331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727350 */     GIR_RootConstrainSelectedInstOperands,
     /*  727351 */     // GIR_Coverage, 11850,
     /*  727351 */     GIR_EraseRootFromParent_Done,
     /*  727352 */   // Label 11422: @727352
     /*  727352 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727427), // Rule ID 11851 //
     /*  727357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  727406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727425 */     GIR_RootConstrainSelectedInstOperands,
     /*  727426 */     // GIR_Coverage, 11851,
     /*  727426 */     GIR_EraseRootFromParent_Done,
     /*  727427 */   // Label 11423: @727427
     /*  727427 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727502), // Rule ID 11854 //
     /*  727432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727500 */     GIR_RootConstrainSelectedInstOperands,
     /*  727501 */     // GIR_Coverage, 11854,
     /*  727501 */     GIR_EraseRootFromParent_Done,
     /*  727502 */   // Label 11424: @727502
     /*  727502 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727577), // Rule ID 11855 //
     /*  727507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727575 */     GIR_RootConstrainSelectedInstOperands,
     /*  727576 */     // GIR_Coverage, 11855,
     /*  727576 */     GIR_EraseRootFromParent_Done,
     /*  727577 */   // Label 11425: @727577
     /*  727577 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727652), // Rule ID 11858 //
     /*  727582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727650 */     GIR_RootConstrainSelectedInstOperands,
     /*  727651 */     // GIR_Coverage, 11858,
     /*  727651 */     GIR_EraseRootFromParent_Done,
     /*  727652 */   // Label 11426: @727652
     /*  727652 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727727), // Rule ID 11859 //
     /*  727657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727725 */     GIR_RootConstrainSelectedInstOperands,
     /*  727726 */     // GIR_Coverage, 11859,
     /*  727726 */     GIR_EraseRootFromParent_Done,
     /*  727727 */   // Label 11427: @727727
     /*  727727 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727802), // Rule ID 11862 //
     /*  727732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727800 */     GIR_RootConstrainSelectedInstOperands,
     /*  727801 */     // GIR_Coverage, 11862,
     /*  727801 */     GIR_EraseRootFromParent_Done,
     /*  727802 */   // Label 11428: @727802
     /*  727802 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727877), // Rule ID 11863 //
     /*  727807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727875 */     GIR_RootConstrainSelectedInstOperands,
     /*  727876 */     // GIR_Coverage, 11863,
     /*  727876 */     GIR_EraseRootFromParent_Done,
     /*  727877 */   // Label 11429: @727877
     /*  727877 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727952), // Rule ID 11866 //
     /*  727882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727950 */     GIR_RootConstrainSelectedInstOperands,
     /*  727951 */     // GIR_Coverage, 11866,
     /*  727951 */     GIR_EraseRootFromParent_Done,
     /*  727952 */   // Label 11430: @727952
     /*  727952 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(728027), // Rule ID 11867 //
     /*  727957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  728006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728025 */     GIR_RootConstrainSelectedInstOperands,
     /*  728026 */     // GIR_Coverage, 11867,
     /*  728026 */     GIR_EraseRootFromParent_Done,
     /*  728027 */   // Label 11431: @728027
     /*  728027 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(728102), // Rule ID 11870 //
     /*  728032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728100 */     GIR_RootConstrainSelectedInstOperands,
     /*  728101 */     // GIR_Coverage, 11870,
     /*  728101 */     GIR_EraseRootFromParent_Done,
     /*  728102 */   // Label 11432: @728102
     /*  728102 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728177), // Rule ID 11871 //
     /*  728107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728175 */     GIR_RootConstrainSelectedInstOperands,
     /*  728176 */     // GIR_Coverage, 11871,
     /*  728176 */     GIR_EraseRootFromParent_Done,
     /*  728177 */   // Label 11433: @728177
     /*  728177 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728252), // Rule ID 11874 //
     /*  728182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728250 */     GIR_RootConstrainSelectedInstOperands,
     /*  728251 */     // GIR_Coverage, 11874,
     /*  728251 */     GIR_EraseRootFromParent_Done,
     /*  728252 */   // Label 11434: @728252
     /*  728252 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728327), // Rule ID 11875 //
     /*  728257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728325 */     GIR_RootConstrainSelectedInstOperands,
     /*  728326 */     // GIR_Coverage, 11875,
     /*  728326 */     GIR_EraseRootFromParent_Done,
     /*  728327 */   // Label 11435: @728327
     /*  728327 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728402), // Rule ID 11878 //
     /*  728332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728400 */     GIR_RootConstrainSelectedInstOperands,
     /*  728401 */     // GIR_Coverage, 11878,
     /*  728401 */     GIR_EraseRootFromParent_Done,
     /*  728402 */   // Label 11436: @728402
     /*  728402 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728477), // Rule ID 11879 //
     /*  728407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728475 */     GIR_RootConstrainSelectedInstOperands,
     /*  728476 */     // GIR_Coverage, 11879,
     /*  728476 */     GIR_EraseRootFromParent_Done,
     /*  728477 */   // Label 11437: @728477
     /*  728477 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728552), // Rule ID 11882 //
     /*  728482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728550 */     GIR_RootConstrainSelectedInstOperands,
     /*  728551 */     // GIR_Coverage, 11882,
     /*  728551 */     GIR_EraseRootFromParent_Done,
     /*  728552 */   // Label 11438: @728552
     /*  728552 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728627), // Rule ID 11883 //
     /*  728557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728625 */     GIR_RootConstrainSelectedInstOperands,
     /*  728626 */     // GIR_Coverage, 11883,
     /*  728626 */     GIR_EraseRootFromParent_Done,
     /*  728627 */   // Label 11439: @728627
     /*  728627 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728702), // Rule ID 11886 //
     /*  728632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728700 */     GIR_RootConstrainSelectedInstOperands,
     /*  728701 */     // GIR_Coverage, 11886,
     /*  728701 */     GIR_EraseRootFromParent_Done,
     /*  728702 */   // Label 11440: @728702
     /*  728702 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728777), // Rule ID 11887 //
     /*  728707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728775 */     GIR_RootConstrainSelectedInstOperands,
     /*  728776 */     // GIR_Coverage, 11887,
     /*  728776 */     GIR_EraseRootFromParent_Done,
     /*  728777 */   // Label 11441: @728777
     /*  728777 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728852), // Rule ID 11890 //
     /*  728782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728850 */     GIR_RootConstrainSelectedInstOperands,
     /*  728851 */     // GIR_Coverage, 11890,
     /*  728851 */     GIR_EraseRootFromParent_Done,
     /*  728852 */   // Label 11442: @728852
     /*  728852 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728927), // Rule ID 11891 //
     /*  728857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728925 */     GIR_RootConstrainSelectedInstOperands,
     /*  728926 */     // GIR_Coverage, 11891,
     /*  728926 */     GIR_EraseRootFromParent_Done,
     /*  728927 */   // Label 11443: @728927
     /*  728927 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(729002), // Rule ID 11894 //
     /*  728932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729000 */     GIR_RootConstrainSelectedInstOperands,
     /*  729001 */     // GIR_Coverage, 11894,
     /*  729001 */     GIR_EraseRootFromParent_Done,
     /*  729002 */   // Label 11444: @729002
     /*  729002 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(729077), // Rule ID 11895 //
     /*  729007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  729056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729075 */     GIR_RootConstrainSelectedInstOperands,
     /*  729076 */     // GIR_Coverage, 11895,
     /*  729076 */     GIR_EraseRootFromParent_Done,
     /*  729077 */   // Label 11445: @729077
     /*  729077 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729152), // Rule ID 11898 //
     /*  729082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729150 */     GIR_RootConstrainSelectedInstOperands,
     /*  729151 */     // GIR_Coverage, 11898,
     /*  729151 */     GIR_EraseRootFromParent_Done,
     /*  729152 */   // Label 11446: @729152
     /*  729152 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729227), // Rule ID 11899 //
     /*  729157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729225 */     GIR_RootConstrainSelectedInstOperands,
     /*  729226 */     // GIR_Coverage, 11899,
     /*  729226 */     GIR_EraseRootFromParent_Done,
     /*  729227 */   // Label 11447: @729227
     /*  729227 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729302), // Rule ID 11902 //
     /*  729232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  729281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729300 */     GIR_RootConstrainSelectedInstOperands,
     /*  729301 */     // GIR_Coverage, 11902,
     /*  729301 */     GIR_EraseRootFromParent_Done,
     /*  729302 */   // Label 11448: @729302
     /*  729302 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729377), // Rule ID 11903 //
     /*  729307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  729356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729375 */     GIR_RootConstrainSelectedInstOperands,
     /*  729376 */     // GIR_Coverage, 11903,
     /*  729376 */     GIR_EraseRootFromParent_Done,
     /*  729377 */   // Label 11449: @729377
     /*  729377 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729452), // Rule ID 11906 //
     /*  729382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729450 */     GIR_RootConstrainSelectedInstOperands,
     /*  729451 */     // GIR_Coverage, 11906,
     /*  729451 */     GIR_EraseRootFromParent_Done,
     /*  729452 */   // Label 11450: @729452
     /*  729452 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729527), // Rule ID 11907 //
     /*  729457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729525 */     GIR_RootConstrainSelectedInstOperands,
     /*  729526 */     // GIR_Coverage, 11907,
     /*  729526 */     GIR_EraseRootFromParent_Done,
     /*  729527 */   // Label 11451: @729527
     /*  729527 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729602), // Rule ID 11910 //
     /*  729532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729600 */     GIR_RootConstrainSelectedInstOperands,
     /*  729601 */     // GIR_Coverage, 11910,
     /*  729601 */     GIR_EraseRootFromParent_Done,
     /*  729602 */   // Label 11452: @729602
     /*  729602 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729677), // Rule ID 11911 //
     /*  729607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729675 */     GIR_RootConstrainSelectedInstOperands,
     /*  729676 */     // GIR_Coverage, 11911,
     /*  729676 */     GIR_EraseRootFromParent_Done,
     /*  729677 */   // Label 11453: @729677
     /*  729677 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729752), // Rule ID 11914 //
     /*  729682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729750 */     GIR_RootConstrainSelectedInstOperands,
     /*  729751 */     // GIR_Coverage, 11914,
     /*  729751 */     GIR_EraseRootFromParent_Done,
     /*  729752 */   // Label 11454: @729752
     /*  729752 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729827), // Rule ID 11915 //
     /*  729757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729825 */     GIR_RootConstrainSelectedInstOperands,
     /*  729826 */     // GIR_Coverage, 11915,
     /*  729826 */     GIR_EraseRootFromParent_Done,
     /*  729827 */   // Label 11455: @729827
     /*  729827 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729902), // Rule ID 11918 //
     /*  729832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729900 */     GIR_RootConstrainSelectedInstOperands,
     /*  729901 */     // GIR_Coverage, 11918,
     /*  729901 */     GIR_EraseRootFromParent_Done,
     /*  729902 */   // Label 11456: @729902
     /*  729902 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729977), // Rule ID 11919 //
     /*  729907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729975 */     GIR_RootConstrainSelectedInstOperands,
     /*  729976 */     // GIR_Coverage, 11919,
     /*  729976 */     GIR_EraseRootFromParent_Done,
     /*  729977 */   // Label 11457: @729977
     /*  729977 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(730052), // Rule ID 11922 //
     /*  729982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730050 */     GIR_RootConstrainSelectedInstOperands,
     /*  730051 */     // GIR_Coverage, 11922,
     /*  730051 */     GIR_EraseRootFromParent_Done,
     /*  730052 */   // Label 11458: @730052
     /*  730052 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(730127), // Rule ID 11923 //
     /*  730057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730125 */     GIR_RootConstrainSelectedInstOperands,
     /*  730126 */     // GIR_Coverage, 11923,
     /*  730126 */     GIR_EraseRootFromParent_Done,
     /*  730127 */   // Label 11459: @730127
     /*  730127 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730202), // Rule ID 11926 //
     /*  730132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730200 */     GIR_RootConstrainSelectedInstOperands,
     /*  730201 */     // GIR_Coverage, 11926,
     /*  730201 */     GIR_EraseRootFromParent_Done,
     /*  730202 */   // Label 11460: @730202
     /*  730202 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730277), // Rule ID 11927 //
     /*  730207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730275 */     GIR_RootConstrainSelectedInstOperands,
     /*  730276 */     // GIR_Coverage, 11927,
     /*  730276 */     GIR_EraseRootFromParent_Done,
     /*  730277 */   // Label 11461: @730277
     /*  730277 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730352), // Rule ID 11930 //
     /*  730282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  730331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730350 */     GIR_RootConstrainSelectedInstOperands,
     /*  730351 */     // GIR_Coverage, 11930,
     /*  730351 */     GIR_EraseRootFromParent_Done,
     /*  730352 */   // Label 11462: @730352
     /*  730352 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730427), // Rule ID 11931 //
     /*  730357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  730406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730425 */     GIR_RootConstrainSelectedInstOperands,
     /*  730426 */     // GIR_Coverage, 11931,
     /*  730426 */     GIR_EraseRootFromParent_Done,
     /*  730427 */   // Label 11463: @730427
     /*  730427 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730502), // Rule ID 11934 //
     /*  730432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730500 */     GIR_RootConstrainSelectedInstOperands,
     /*  730501 */     // GIR_Coverage, 11934,
     /*  730501 */     GIR_EraseRootFromParent_Done,
     /*  730502 */   // Label 11464: @730502
     /*  730502 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730577), // Rule ID 11935 //
     /*  730507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730575 */     GIR_RootConstrainSelectedInstOperands,
     /*  730576 */     // GIR_Coverage, 11935,
     /*  730576 */     GIR_EraseRootFromParent_Done,
     /*  730577 */   // Label 11465: @730577
     /*  730577 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730652), // Rule ID 11938 //
     /*  730582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730650 */     GIR_RootConstrainSelectedInstOperands,
     /*  730651 */     // GIR_Coverage, 11938,
     /*  730651 */     GIR_EraseRootFromParent_Done,
     /*  730652 */   // Label 11466: @730652
     /*  730652 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730727), // Rule ID 11939 //
     /*  730657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730725 */     GIR_RootConstrainSelectedInstOperands,
     /*  730726 */     // GIR_Coverage, 11939,
     /*  730726 */     GIR_EraseRootFromParent_Done,
     /*  730727 */   // Label 11467: @730727
     /*  730727 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730802), // Rule ID 11942 //
     /*  730732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730800 */     GIR_RootConstrainSelectedInstOperands,
     /*  730801 */     // GIR_Coverage, 11942,
     /*  730801 */     GIR_EraseRootFromParent_Done,
     /*  730802 */   // Label 11468: @730802
     /*  730802 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730877), // Rule ID 11943 //
     /*  730807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730875 */     GIR_RootConstrainSelectedInstOperands,
     /*  730876 */     // GIR_Coverage, 11943,
     /*  730876 */     GIR_EraseRootFromParent_Done,
     /*  730877 */   // Label 11469: @730877
     /*  730877 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730952), // Rule ID 11946 //
     /*  730882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730950 */     GIR_RootConstrainSelectedInstOperands,
     /*  730951 */     // GIR_Coverage, 11946,
     /*  730951 */     GIR_EraseRootFromParent_Done,
     /*  730952 */   // Label 11470: @730952
     /*  730952 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(731027), // Rule ID 11947 //
     /*  730957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  731006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731025 */     GIR_RootConstrainSelectedInstOperands,
     /*  731026 */     // GIR_Coverage, 11947,
     /*  731026 */     GIR_EraseRootFromParent_Done,
     /*  731027 */   // Label 11471: @731027
     /*  731027 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(731102), // Rule ID 11950 //
     /*  731032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731100 */     GIR_RootConstrainSelectedInstOperands,
     /*  731101 */     // GIR_Coverage, 11950,
     /*  731101 */     GIR_EraseRootFromParent_Done,
     /*  731102 */   // Label 11472: @731102
     /*  731102 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731177), // Rule ID 11951 //
     /*  731107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731175 */     GIR_RootConstrainSelectedInstOperands,
     /*  731176 */     // GIR_Coverage, 11951,
     /*  731176 */     GIR_EraseRootFromParent_Done,
     /*  731177 */   // Label 11473: @731177
     /*  731177 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731252), // Rule ID 11954 //
     /*  731182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731250 */     GIR_RootConstrainSelectedInstOperands,
     /*  731251 */     // GIR_Coverage, 11954,
     /*  731251 */     GIR_EraseRootFromParent_Done,
     /*  731252 */   // Label 11474: @731252
     /*  731252 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731327), // Rule ID 11955 //
     /*  731257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731325 */     GIR_RootConstrainSelectedInstOperands,
     /*  731326 */     // GIR_Coverage, 11955,
     /*  731326 */     GIR_EraseRootFromParent_Done,
     /*  731327 */   // Label 11475: @731327
     /*  731327 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731402), // Rule ID 11958 //
     /*  731332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731400 */     GIR_RootConstrainSelectedInstOperands,
     /*  731401 */     // GIR_Coverage, 11958,
     /*  731401 */     GIR_EraseRootFromParent_Done,
     /*  731402 */   // Label 11476: @731402
     /*  731402 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731477), // Rule ID 11959 //
     /*  731407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731475 */     GIR_RootConstrainSelectedInstOperands,
     /*  731476 */     // GIR_Coverage, 11959,
     /*  731476 */     GIR_EraseRootFromParent_Done,
     /*  731477 */   // Label 11477: @731477
     /*  731477 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731552), // Rule ID 11962 //
     /*  731482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731550 */     GIR_RootConstrainSelectedInstOperands,
     /*  731551 */     // GIR_Coverage, 11962,
     /*  731551 */     GIR_EraseRootFromParent_Done,
     /*  731552 */   // Label 11478: @731552
     /*  731552 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731627), // Rule ID 11963 //
     /*  731557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731625 */     GIR_RootConstrainSelectedInstOperands,
     /*  731626 */     // GIR_Coverage, 11963,
     /*  731626 */     GIR_EraseRootFromParent_Done,
     /*  731627 */   // Label 11479: @731627
     /*  731627 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731702), // Rule ID 11966 //
     /*  731632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731700 */     GIR_RootConstrainSelectedInstOperands,
     /*  731701 */     // GIR_Coverage, 11966,
     /*  731701 */     GIR_EraseRootFromParent_Done,
     /*  731702 */   // Label 11480: @731702
     /*  731702 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731777), // Rule ID 11967 //
     /*  731707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731775 */     GIR_RootConstrainSelectedInstOperands,
     /*  731776 */     // GIR_Coverage, 11967,
     /*  731776 */     GIR_EraseRootFromParent_Done,
     /*  731777 */   // Label 11481: @731777
     /*  731777 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731852), // Rule ID 11970 //
     /*  731782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731850 */     GIR_RootConstrainSelectedInstOperands,
     /*  731851 */     // GIR_Coverage, 11970,
     /*  731851 */     GIR_EraseRootFromParent_Done,
     /*  731852 */   // Label 11482: @731852
     /*  731852 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731927), // Rule ID 11971 //
     /*  731857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731925 */     GIR_RootConstrainSelectedInstOperands,
     /*  731926 */     // GIR_Coverage, 11971,
     /*  731926 */     GIR_EraseRootFromParent_Done,
     /*  731927 */   // Label 11483: @731927
     /*  731927 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(732002), // Rule ID 11974 //
     /*  731932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732000 */     GIR_RootConstrainSelectedInstOperands,
     /*  732001 */     // GIR_Coverage, 11974,
     /*  732001 */     GIR_EraseRootFromParent_Done,
     /*  732002 */   // Label 11484: @732002
     /*  732002 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(732077), // Rule ID 11975 //
     /*  732007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  732056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732075 */     GIR_RootConstrainSelectedInstOperands,
     /*  732076 */     // GIR_Coverage, 11975,
     /*  732076 */     GIR_EraseRootFromParent_Done,
     /*  732077 */   // Label 11485: @732077
     /*  732077 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732152), // Rule ID 11978 //
     /*  732082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732150 */     GIR_RootConstrainSelectedInstOperands,
     /*  732151 */     // GIR_Coverage, 11978,
     /*  732151 */     GIR_EraseRootFromParent_Done,
     /*  732152 */   // Label 11486: @732152
     /*  732152 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732227), // Rule ID 11979 //
     /*  732157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732225 */     GIR_RootConstrainSelectedInstOperands,
     /*  732226 */     // GIR_Coverage, 11979,
     /*  732226 */     GIR_EraseRootFromParent_Done,
     /*  732227 */   // Label 11487: @732227
     /*  732227 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732302), // Rule ID 11982 //
     /*  732232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  732281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732300 */     GIR_RootConstrainSelectedInstOperands,
     /*  732301 */     // GIR_Coverage, 11982,
     /*  732301 */     GIR_EraseRootFromParent_Done,
     /*  732302 */   // Label 11488: @732302
     /*  732302 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732377), // Rule ID 11983 //
     /*  732307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  732356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732375 */     GIR_RootConstrainSelectedInstOperands,
     /*  732376 */     // GIR_Coverage, 11983,
     /*  732376 */     GIR_EraseRootFromParent_Done,
     /*  732377 */   // Label 11489: @732377
     /*  732377 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732452), // Rule ID 11986 //
     /*  732382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732450 */     GIR_RootConstrainSelectedInstOperands,
     /*  732451 */     // GIR_Coverage, 11986,
     /*  732451 */     GIR_EraseRootFromParent_Done,
     /*  732452 */   // Label 11490: @732452
     /*  732452 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732527), // Rule ID 11987 //
     /*  732457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732525 */     GIR_RootConstrainSelectedInstOperands,
     /*  732526 */     // GIR_Coverage, 11987,
     /*  732526 */     GIR_EraseRootFromParent_Done,
     /*  732527 */   // Label 11491: @732527
     /*  732527 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732602), // Rule ID 11990 //
     /*  732532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732578 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732600 */     GIR_RootConstrainSelectedInstOperands,
     /*  732601 */     // GIR_Coverage, 11990,
     /*  732601 */     GIR_EraseRootFromParent_Done,
     /*  732602 */   // Label 11492: @732602
     /*  732602 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732677), // Rule ID 11991 //
     /*  732607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732675 */     GIR_RootConstrainSelectedInstOperands,
     /*  732676 */     // GIR_Coverage, 11991,
     /*  732676 */     GIR_EraseRootFromParent_Done,
     /*  732677 */   // Label 11493: @732677
     /*  732677 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732752), // Rule ID 11994 //
     /*  732682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732750 */     GIR_RootConstrainSelectedInstOperands,
     /*  732751 */     // GIR_Coverage, 11994,
     /*  732751 */     GIR_EraseRootFromParent_Done,
     /*  732752 */   // Label 11494: @732752
     /*  732752 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732827), // Rule ID 11995 //
     /*  732757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732825 */     GIR_RootConstrainSelectedInstOperands,
     /*  732826 */     // GIR_Coverage, 11995,
     /*  732826 */     GIR_EraseRootFromParent_Done,
     /*  732827 */   // Label 11495: @732827
     /*  732827 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732902), // Rule ID 11998 //
     /*  732832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732900 */     GIR_RootConstrainSelectedInstOperands,
     /*  732901 */     // GIR_Coverage, 11998,
     /*  732901 */     GIR_EraseRootFromParent_Done,
     /*  732902 */   // Label 11496: @732902
     /*  732902 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732977), // Rule ID 11999 //
     /*  732907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732975 */     GIR_RootConstrainSelectedInstOperands,
     /*  732976 */     // GIR_Coverage, 11999,
     /*  732976 */     GIR_EraseRootFromParent_Done,
     /*  732977 */   // Label 11497: @732977
     /*  732977 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(733052), // Rule ID 12002 //
     /*  732982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  732993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  732996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733050 */     GIR_RootConstrainSelectedInstOperands,
     /*  733051 */     // GIR_Coverage, 12002,
     /*  733051 */     GIR_EraseRootFromParent_Done,
     /*  733052 */   // Label 11498: @733052
     /*  733052 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(733127), // Rule ID 12003 //
     /*  733057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733125 */     GIR_RootConstrainSelectedInstOperands,
     /*  733126 */     // GIR_Coverage, 12003,
     /*  733126 */     GIR_EraseRootFromParent_Done,
     /*  733127 */   // Label 11499: @733127
     /*  733127 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733202), // Rule ID 12006 //
     /*  733132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733200 */     GIR_RootConstrainSelectedInstOperands,
     /*  733201 */     // GIR_Coverage, 12006,
     /*  733201 */     GIR_EraseRootFromParent_Done,
     /*  733202 */   // Label 11500: @733202
     /*  733202 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733277), // Rule ID 12007 //
     /*  733207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733275 */     GIR_RootConstrainSelectedInstOperands,
     /*  733276 */     // GIR_Coverage, 12007,
     /*  733276 */     GIR_EraseRootFromParent_Done,
     /*  733277 */   // Label 11501: @733277
     /*  733277 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733352), // Rule ID 12010 //
     /*  733282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  733331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733350 */     GIR_RootConstrainSelectedInstOperands,
     /*  733351 */     // GIR_Coverage, 12010,
     /*  733351 */     GIR_EraseRootFromParent_Done,
     /*  733352 */   // Label 11502: @733352
     /*  733352 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733427), // Rule ID 12011 //
     /*  733357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  733406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733425 */     GIR_RootConstrainSelectedInstOperands,
     /*  733426 */     // GIR_Coverage, 12011,
     /*  733426 */     GIR_EraseRootFromParent_Done,
     /*  733427 */   // Label 11503: @733427
     /*  733427 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733502), // Rule ID 12014 //
     /*  733432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733500 */     GIR_RootConstrainSelectedInstOperands,
     /*  733501 */     // GIR_Coverage, 12014,
     /*  733501 */     GIR_EraseRootFromParent_Done,
     /*  733502 */   // Label 11504: @733502
     /*  733502 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733577), // Rule ID 12015 //
     /*  733507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733575 */     GIR_RootConstrainSelectedInstOperands,
     /*  733576 */     // GIR_Coverage, 12015,
     /*  733576 */     GIR_EraseRootFromParent_Done,
     /*  733577 */   // Label 11505: @733577
     /*  733577 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733652), // Rule ID 12018 //
     /*  733582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733650 */     GIR_RootConstrainSelectedInstOperands,
     /*  733651 */     // GIR_Coverage, 12018,
     /*  733651 */     GIR_EraseRootFromParent_Done,
     /*  733652 */   // Label 11506: @733652
     /*  733652 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733727), // Rule ID 12019 //
     /*  733657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733725 */     GIR_RootConstrainSelectedInstOperands,
     /*  733726 */     // GIR_Coverage, 12019,
     /*  733726 */     GIR_EraseRootFromParent_Done,
     /*  733727 */   // Label 11507: @733727
     /*  733727 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733802), // Rule ID 12022 //
     /*  733732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733800 */     GIR_RootConstrainSelectedInstOperands,
     /*  733801 */     // GIR_Coverage, 12022,
     /*  733801 */     GIR_EraseRootFromParent_Done,
     /*  733802 */   // Label 11508: @733802
     /*  733802 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733877), // Rule ID 12023 //
     /*  733807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733875 */     GIR_RootConstrainSelectedInstOperands,
     /*  733876 */     // GIR_Coverage, 12023,
     /*  733876 */     GIR_EraseRootFromParent_Done,
     /*  733877 */   // Label 11509: @733877
     /*  733877 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733952), // Rule ID 12026 //
     /*  733882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733950 */     GIR_RootConstrainSelectedInstOperands,
     /*  733951 */     // GIR_Coverage, 12026,
     /*  733951 */     GIR_EraseRootFromParent_Done,
     /*  733952 */   // Label 11510: @733952
     /*  733952 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(734027), // Rule ID 12027 //
     /*  733957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  734006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734025 */     GIR_RootConstrainSelectedInstOperands,
     /*  734026 */     // GIR_Coverage, 12027,
     /*  734026 */     GIR_EraseRootFromParent_Done,
     /*  734027 */   // Label 11511: @734027
     /*  734027 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(734102), // Rule ID 12030 //
     /*  734032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734100 */     GIR_RootConstrainSelectedInstOperands,
     /*  734101 */     // GIR_Coverage, 12030,
     /*  734101 */     GIR_EraseRootFromParent_Done,
     /*  734102 */   // Label 11512: @734102
     /*  734102 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734177), // Rule ID 12031 //
     /*  734107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734175 */     GIR_RootConstrainSelectedInstOperands,
     /*  734176 */     // GIR_Coverage, 12031,
     /*  734176 */     GIR_EraseRootFromParent_Done,
     /*  734177 */   // Label 11513: @734177
     /*  734177 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734252), // Rule ID 12034 //
     /*  734182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734250 */     GIR_RootConstrainSelectedInstOperands,
     /*  734251 */     // GIR_Coverage, 12034,
     /*  734251 */     GIR_EraseRootFromParent_Done,
     /*  734252 */   // Label 11514: @734252
     /*  734252 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734327), // Rule ID 12035 //
     /*  734257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734325 */     GIR_RootConstrainSelectedInstOperands,
     /*  734326 */     // GIR_Coverage, 12035,
     /*  734326 */     GIR_EraseRootFromParent_Done,
     /*  734327 */   // Label 11515: @734327
     /*  734327 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734402), // Rule ID 12038 //
     /*  734332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734400 */     GIR_RootConstrainSelectedInstOperands,
     /*  734401 */     // GIR_Coverage, 12038,
     /*  734401 */     GIR_EraseRootFromParent_Done,
     /*  734402 */   // Label 11516: @734402
     /*  734402 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734477), // Rule ID 12039 //
     /*  734407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734475 */     GIR_RootConstrainSelectedInstOperands,
     /*  734476 */     // GIR_Coverage, 12039,
     /*  734476 */     GIR_EraseRootFromParent_Done,
     /*  734477 */   // Label 11517: @734477
     /*  734477 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734552), // Rule ID 12042 //
     /*  734482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734550 */     GIR_RootConstrainSelectedInstOperands,
     /*  734551 */     // GIR_Coverage, 12042,
     /*  734551 */     GIR_EraseRootFromParent_Done,
     /*  734552 */   // Label 11518: @734552
     /*  734552 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734627), // Rule ID 12043 //
     /*  734557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734625 */     GIR_RootConstrainSelectedInstOperands,
     /*  734626 */     // GIR_Coverage, 12043,
     /*  734626 */     GIR_EraseRootFromParent_Done,
     /*  734627 */   // Label 11519: @734627
     /*  734627 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734702), // Rule ID 12046 //
     /*  734632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734700 */     GIR_RootConstrainSelectedInstOperands,
     /*  734701 */     // GIR_Coverage, 12046,
     /*  734701 */     GIR_EraseRootFromParent_Done,
     /*  734702 */   // Label 11520: @734702
     /*  734702 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734777), // Rule ID 12047 //
     /*  734707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734775 */     GIR_RootConstrainSelectedInstOperands,
     /*  734776 */     // GIR_Coverage, 12047,
     /*  734776 */     GIR_EraseRootFromParent_Done,
     /*  734777 */   // Label 11521: @734777
     /*  734777 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734852), // Rule ID 12050 //
     /*  734782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734850 */     GIR_RootConstrainSelectedInstOperands,
     /*  734851 */     // GIR_Coverage, 12050,
     /*  734851 */     GIR_EraseRootFromParent_Done,
     /*  734852 */   // Label 11522: @734852
     /*  734852 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734927), // Rule ID 12051 //
     /*  734857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734925 */     GIR_RootConstrainSelectedInstOperands,
     /*  734926 */     // GIR_Coverage, 12051,
     /*  734926 */     GIR_EraseRootFromParent_Done,
     /*  734927 */   // Label 11523: @734927
     /*  734927 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(735002), // Rule ID 12054 //
     /*  734932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735000 */     GIR_RootConstrainSelectedInstOperands,
     /*  735001 */     // GIR_Coverage, 12054,
     /*  735001 */     GIR_EraseRootFromParent_Done,
     /*  735002 */   // Label 11524: @735002
     /*  735002 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(735077), // Rule ID 12055 //
     /*  735007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  735056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735075 */     GIR_RootConstrainSelectedInstOperands,
     /*  735076 */     // GIR_Coverage, 12055,
     /*  735076 */     GIR_EraseRootFromParent_Done,
     /*  735077 */   // Label 11525: @735077
     /*  735077 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735152), // Rule ID 12058 //
     /*  735082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735150 */     GIR_RootConstrainSelectedInstOperands,
     /*  735151 */     // GIR_Coverage, 12058,
     /*  735151 */     GIR_EraseRootFromParent_Done,
     /*  735152 */   // Label 11526: @735152
     /*  735152 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735227), // Rule ID 12059 //
     /*  735157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735225 */     GIR_RootConstrainSelectedInstOperands,
     /*  735226 */     // GIR_Coverage, 12059,
     /*  735226 */     GIR_EraseRootFromParent_Done,
     /*  735227 */   // Label 11527: @735227
     /*  735227 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735302), // Rule ID 12062 //
     /*  735232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  735281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735300 */     GIR_RootConstrainSelectedInstOperands,
     /*  735301 */     // GIR_Coverage, 12062,
     /*  735301 */     GIR_EraseRootFromParent_Done,
     /*  735302 */   // Label 11528: @735302
     /*  735302 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735377), // Rule ID 12063 //
     /*  735307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  735356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735375 */     GIR_RootConstrainSelectedInstOperands,
     /*  735376 */     // GIR_Coverage, 12063,
     /*  735376 */     GIR_EraseRootFromParent_Done,
     /*  735377 */   // Label 11529: @735377
     /*  735377 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735452), // Rule ID 12066 //
     /*  735382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735450 */     GIR_RootConstrainSelectedInstOperands,
     /*  735451 */     // GIR_Coverage, 12066,
     /*  735451 */     GIR_EraseRootFromParent_Done,
     /*  735452 */   // Label 11530: @735452
     /*  735452 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735527), // Rule ID 12067 //
     /*  735457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735525 */     GIR_RootConstrainSelectedInstOperands,
     /*  735526 */     // GIR_Coverage, 12067,
     /*  735526 */     GIR_EraseRootFromParent_Done,
     /*  735527 */   // Label 11531: @735527
     /*  735527 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735602), // Rule ID 12070 //
     /*  735532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735600 */     GIR_RootConstrainSelectedInstOperands,
     /*  735601 */     // GIR_Coverage, 12070,
     /*  735601 */     GIR_EraseRootFromParent_Done,
     /*  735602 */   // Label 11532: @735602
     /*  735602 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735677), // Rule ID 12071 //
     /*  735607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735675 */     GIR_RootConstrainSelectedInstOperands,
     /*  735676 */     // GIR_Coverage, 12071,
     /*  735676 */     GIR_EraseRootFromParent_Done,
     /*  735677 */   // Label 11533: @735677
     /*  735677 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735752), // Rule ID 12074 //
     /*  735682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735750 */     GIR_RootConstrainSelectedInstOperands,
     /*  735751 */     // GIR_Coverage, 12074,
     /*  735751 */     GIR_EraseRootFromParent_Done,
     /*  735752 */   // Label 11534: @735752
     /*  735752 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735827), // Rule ID 12075 //
     /*  735757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735825 */     GIR_RootConstrainSelectedInstOperands,
     /*  735826 */     // GIR_Coverage, 12075,
     /*  735826 */     GIR_EraseRootFromParent_Done,
     /*  735827 */   // Label 11535: @735827
     /*  735827 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735902), // Rule ID 12078 //
     /*  735832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735900 */     GIR_RootConstrainSelectedInstOperands,
     /*  735901 */     // GIR_Coverage, 12078,
     /*  735901 */     GIR_EraseRootFromParent_Done,
     /*  735902 */   // Label 11536: @735902
     /*  735902 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735977), // Rule ID 12079 //
     /*  735907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735975 */     GIR_RootConstrainSelectedInstOperands,
     /*  735976 */     // GIR_Coverage, 12079,
     /*  735976 */     GIR_EraseRootFromParent_Done,
     /*  735977 */   // Label 11537: @735977
     /*  735977 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(736052), // Rule ID 12082 //
     /*  735982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  735993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  735996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736050 */     GIR_RootConstrainSelectedInstOperands,
     /*  736051 */     // GIR_Coverage, 12082,
     /*  736051 */     GIR_EraseRootFromParent_Done,
     /*  736052 */   // Label 11538: @736052
     /*  736052 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(736127), // Rule ID 12083 //
     /*  736057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736125 */     GIR_RootConstrainSelectedInstOperands,
     /*  736126 */     // GIR_Coverage, 12083,
     /*  736126 */     GIR_EraseRootFromParent_Done,
     /*  736127 */   // Label 11539: @736127
     /*  736127 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736202), // Rule ID 12086 //
     /*  736132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736200 */     GIR_RootConstrainSelectedInstOperands,
     /*  736201 */     // GIR_Coverage, 12086,
     /*  736201 */     GIR_EraseRootFromParent_Done,
     /*  736202 */   // Label 11540: @736202
     /*  736202 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736277), // Rule ID 12087 //
     /*  736207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736275 */     GIR_RootConstrainSelectedInstOperands,
     /*  736276 */     // GIR_Coverage, 12087,
     /*  736276 */     GIR_EraseRootFromParent_Done,
     /*  736277 */   // Label 11541: @736277
     /*  736277 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736352), // Rule ID 12090 //
     /*  736282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  736299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  736302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  736331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736350 */     GIR_RootConstrainSelectedInstOperands,
     /*  736351 */     // GIR_Coverage, 12090,
     /*  736351 */     GIR_EraseRootFromParent_Done,
     /*  736352 */   // Label 11542: @736352
     /*  736352 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736427), // Rule ID 12091 //
     /*  736357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  736374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  736377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  736406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736425 */     GIR_RootConstrainSelectedInstOperands,
     /*  736426 */     // GIR_Coverage, 12091,
     /*  736426 */     GIR_EraseRootFromParent_Done,
     /*  736427 */   // Label 11543: @736427
     /*  736427 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736502), // Rule ID 12094 //
     /*  736432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736500 */     GIR_RootConstrainSelectedInstOperands,
     /*  736501 */     // GIR_Coverage, 12094,
     /*  736501 */     GIR_EraseRootFromParent_Done,
     /*  736502 */   // Label 11544: @736502
     /*  736502 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736577), // Rule ID 12095 //
     /*  736507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736575 */     GIR_RootConstrainSelectedInstOperands,
     /*  736576 */     // GIR_Coverage, 12095,
     /*  736576 */     GIR_EraseRootFromParent_Done,
     /*  736577 */   // Label 11545: @736577
     /*  736577 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736652), // Rule ID 12098 //
     /*  736582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736650 */     GIR_RootConstrainSelectedInstOperands,
     /*  736651 */     // GIR_Coverage, 12098,
     /*  736651 */     GIR_EraseRootFromParent_Done,
     /*  736652 */   // Label 11546: @736652
     /*  736652 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736727), // Rule ID 12099 //
     /*  736657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736725 */     GIR_RootConstrainSelectedInstOperands,
     /*  736726 */     // GIR_Coverage, 12099,
     /*  736726 */     GIR_EraseRootFromParent_Done,
     /*  736727 */   // Label 11547: @736727
     /*  736727 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736802), // Rule ID 12102 //
     /*  736732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736800 */     GIR_RootConstrainSelectedInstOperands,
     /*  736801 */     // GIR_Coverage, 12102,
     /*  736801 */     GIR_EraseRootFromParent_Done,
     /*  736802 */   // Label 11548: @736802
     /*  736802 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736877), // Rule ID 12103 //
     /*  736807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736875 */     GIR_RootConstrainSelectedInstOperands,
     /*  736876 */     // GIR_Coverage, 12103,
     /*  736876 */     GIR_EraseRootFromParent_Done,
     /*  736877 */   // Label 11549: @736877
     /*  736877 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736952), // Rule ID 12106 //
     /*  736882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736950 */     GIR_RootConstrainSelectedInstOperands,
     /*  736951 */     // GIR_Coverage, 12106,
     /*  736951 */     GIR_EraseRootFromParent_Done,
     /*  736952 */   // Label 11550: @736952
     /*  736952 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(737027), // Rule ID 12107 //
     /*  736957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  737006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737025 */     GIR_RootConstrainSelectedInstOperands,
     /*  737026 */     // GIR_Coverage, 12107,
     /*  737026 */     GIR_EraseRootFromParent_Done,
     /*  737027 */   // Label 11551: @737027
     /*  737027 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(737102), // Rule ID 12110 //
     /*  737032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737100 */     GIR_RootConstrainSelectedInstOperands,
     /*  737101 */     // GIR_Coverage, 12110,
     /*  737101 */     GIR_EraseRootFromParent_Done,
     /*  737102 */   // Label 11552: @737102
     /*  737102 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737177), // Rule ID 12111 //
     /*  737107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737175 */     GIR_RootConstrainSelectedInstOperands,
     /*  737176 */     // GIR_Coverage, 12111,
     /*  737176 */     GIR_EraseRootFromParent_Done,
     /*  737177 */   // Label 11553: @737177
     /*  737177 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737252), // Rule ID 12114 //
     /*  737182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737250 */     GIR_RootConstrainSelectedInstOperands,
     /*  737251 */     // GIR_Coverage, 12114,
     /*  737251 */     GIR_EraseRootFromParent_Done,
     /*  737252 */   // Label 11554: @737252
     /*  737252 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737327), // Rule ID 12115 //
     /*  737257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737325 */     GIR_RootConstrainSelectedInstOperands,
     /*  737326 */     // GIR_Coverage, 12115,
     /*  737326 */     GIR_EraseRootFromParent_Done,
     /*  737327 */   // Label 11555: @737327
     /*  737327 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737402), // Rule ID 12118 //
     /*  737332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  737343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  737346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  737349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  737352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737400 */     GIR_RootConstrainSelectedInstOperands,
     /*  737401 */     // GIR_Coverage, 12118,
     /*  737401 */     GIR_EraseRootFromParent_Done,
     /*  737402 */   // Label 11556: @737402
     /*  737402 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737477), // Rule ID 12119 //
     /*  737407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  737418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  737421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  737424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  737427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737475 */     GIR_RootConstrainSelectedInstOperands,
     /*  737476 */     // GIR_Coverage, 12119,
     /*  737476 */     GIR_EraseRootFromParent_Done,
     /*  737477 */   // Label 11557: @737477
     /*  737477 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737552), // Rule ID 12122 //
     /*  737482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737550 */     GIR_RootConstrainSelectedInstOperands,
     /*  737551 */     // GIR_Coverage, 12122,
     /*  737551 */     GIR_EraseRootFromParent_Done,
     /*  737552 */   // Label 11558: @737552
     /*  737552 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737627), // Rule ID 12123 //
     /*  737557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737625 */     GIR_RootConstrainSelectedInstOperands,
     /*  737626 */     // GIR_Coverage, 12123,
     /*  737626 */     GIR_EraseRootFromParent_Done,
     /*  737627 */   // Label 11559: @737627
     /*  737627 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737702), // Rule ID 12126 //
     /*  737632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737700 */     GIR_RootConstrainSelectedInstOperands,
     /*  737701 */     // GIR_Coverage, 12126,
     /*  737701 */     GIR_EraseRootFromParent_Done,
     /*  737702 */   // Label 11560: @737702
     /*  737702 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737777), // Rule ID 12127 //
     /*  737707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737775 */     GIR_RootConstrainSelectedInstOperands,
     /*  737776 */     // GIR_Coverage, 12127,
     /*  737776 */     GIR_EraseRootFromParent_Done,
     /*  737777 */   // Label 11561: @737777
     /*  737777 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737852), // Rule ID 12130 //
     /*  737782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737850 */     GIR_RootConstrainSelectedInstOperands,
     /*  737851 */     // GIR_Coverage, 12130,
     /*  737851 */     GIR_EraseRootFromParent_Done,
     /*  737852 */   // Label 11562: @737852
     /*  737852 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737927), // Rule ID 12131 //
     /*  737857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737925 */     GIR_RootConstrainSelectedInstOperands,
     /*  737926 */     // GIR_Coverage, 12131,
     /*  737926 */     GIR_EraseRootFromParent_Done,
     /*  737927 */   // Label 11563: @737927
     /*  737927 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(738002), // Rule ID 12134 //
     /*  737932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738000 */     GIR_RootConstrainSelectedInstOperands,
     /*  738001 */     // GIR_Coverage, 12134,
     /*  738001 */     GIR_EraseRootFromParent_Done,
     /*  738002 */   // Label 11564: @738002
     /*  738002 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(738077), // Rule ID 12135 //
     /*  738007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  738027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738053 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  738056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738075 */     GIR_RootConstrainSelectedInstOperands,
     /*  738076 */     // GIR_Coverage, 12135,
     /*  738076 */     GIR_EraseRootFromParent_Done,
     /*  738077 */   // Label 11565: @738077
     /*  738077 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738152), // Rule ID 12138 //
     /*  738082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738150 */     GIR_RootConstrainSelectedInstOperands,
     /*  738151 */     // GIR_Coverage, 12138,
     /*  738151 */     GIR_EraseRootFromParent_Done,
     /*  738152 */   // Label 11566: @738152
     /*  738152 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738227), // Rule ID 12139 //
     /*  738157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738225 */     GIR_RootConstrainSelectedInstOperands,
     /*  738226 */     // GIR_Coverage, 12139,
     /*  738226 */     GIR_EraseRootFromParent_Done,
     /*  738227 */   // Label 11567: @738227
     /*  738227 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738302), // Rule ID 12142 //
     /*  738232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  738281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738300 */     GIR_RootConstrainSelectedInstOperands,
     /*  738301 */     // GIR_Coverage, 12142,
     /*  738301 */     GIR_EraseRootFromParent_Done,
     /*  738302 */   // Label 11568: @738302
     /*  738302 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738377), // Rule ID 12143 //
     /*  738307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  738356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738375 */     GIR_RootConstrainSelectedInstOperands,
     /*  738376 */     // GIR_Coverage, 12143,
     /*  738376 */     GIR_EraseRootFromParent_Done,
     /*  738377 */   // Label 11569: @738377
     /*  738377 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738452), // Rule ID 12146 //
     /*  738382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738450 */     GIR_RootConstrainSelectedInstOperands,
     /*  738451 */     // GIR_Coverage, 12146,
     /*  738451 */     GIR_EraseRootFromParent_Done,
     /*  738452 */   // Label 11570: @738452
     /*  738452 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738527), // Rule ID 12147 //
     /*  738457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738525 */     GIR_RootConstrainSelectedInstOperands,
     /*  738526 */     // GIR_Coverage, 12147,
     /*  738526 */     GIR_EraseRootFromParent_Done,
     /*  738527 */   // Label 11571: @738527
     /*  738527 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738602), // Rule ID 12150 //
     /*  738532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738600 */     GIR_RootConstrainSelectedInstOperands,
     /*  738601 */     // GIR_Coverage, 12150,
     /*  738601 */     GIR_EraseRootFromParent_Done,
     /*  738602 */   // Label 11572: @738602
     /*  738602 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738677), // Rule ID 12151 //
     /*  738607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738675 */     GIR_RootConstrainSelectedInstOperands,
     /*  738676 */     // GIR_Coverage, 12151,
     /*  738676 */     GIR_EraseRootFromParent_Done,
     /*  738677 */   // Label 11573: @738677
     /*  738677 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738752), // Rule ID 12154 //
     /*  738682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738750 */     GIR_RootConstrainSelectedInstOperands,
     /*  738751 */     // GIR_Coverage, 12154,
     /*  738751 */     GIR_EraseRootFromParent_Done,
     /*  738752 */   // Label 11574: @738752
     /*  738752 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738827), // Rule ID 12155 //
     /*  738757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738825 */     GIR_RootConstrainSelectedInstOperands,
     /*  738826 */     // GIR_Coverage, 12155,
     /*  738826 */     GIR_EraseRootFromParent_Done,
     /*  738827 */   // Label 11575: @738827
     /*  738827 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738902), // Rule ID 12158 //
     /*  738832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738900 */     GIR_RootConstrainSelectedInstOperands,
     /*  738901 */     // GIR_Coverage, 12158,
     /*  738901 */     GIR_EraseRootFromParent_Done,
     /*  738902 */   // Label 11576: @738902
     /*  738902 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738977), // Rule ID 12159 //
     /*  738907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738975 */     GIR_RootConstrainSelectedInstOperands,
     /*  738976 */     // GIR_Coverage, 12159,
     /*  738976 */     GIR_EraseRootFromParent_Done,
     /*  738977 */   // Label 11577: @738977
     /*  738977 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(739052), // Rule ID 12162 //
     /*  738982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  738993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  738996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739050 */     GIR_RootConstrainSelectedInstOperands,
     /*  739051 */     // GIR_Coverage, 12162,
     /*  739051 */     GIR_EraseRootFromParent_Done,
     /*  739052 */   // Label 11578: @739052
     /*  739052 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(739127), // Rule ID 12163 //
     /*  739057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739125 */     GIR_RootConstrainSelectedInstOperands,
     /*  739126 */     // GIR_Coverage, 12163,
     /*  739126 */     GIR_EraseRootFromParent_Done,
     /*  739127 */   // Label 11579: @739127
     /*  739127 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739202), // Rule ID 12166 //
     /*  739132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739200 */     GIR_RootConstrainSelectedInstOperands,
     /*  739201 */     // GIR_Coverage, 12166,
     /*  739201 */     GIR_EraseRootFromParent_Done,
     /*  739202 */   // Label 11580: @739202
     /*  739202 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739277), // Rule ID 12167 //
     /*  739207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739253 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739275 */     GIR_RootConstrainSelectedInstOperands,
     /*  739276 */     // GIR_Coverage, 12167,
     /*  739276 */     GIR_EraseRootFromParent_Done,
     /*  739277 */   // Label 11581: @739277
     /*  739277 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739352), // Rule ID 12170 //
     /*  739282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  739293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  739296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  739299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  739331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739350 */     GIR_RootConstrainSelectedInstOperands,
     /*  739351 */     // GIR_Coverage, 12170,
     /*  739351 */     GIR_EraseRootFromParent_Done,
     /*  739352 */   // Label 11582: @739352
     /*  739352 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739427), // Rule ID 12171 //
     /*  739357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  739368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  739371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  739374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  739406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739425 */     GIR_RootConstrainSelectedInstOperands,
     /*  739426 */     // GIR_Coverage, 12171,
     /*  739426 */     GIR_EraseRootFromParent_Done,
     /*  739427 */   // Label 11583: @739427
     /*  739427 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739502), // Rule ID 12174 //
     /*  739432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739500 */     GIR_RootConstrainSelectedInstOperands,
     /*  739501 */     // GIR_Coverage, 12174,
     /*  739501 */     GIR_EraseRootFromParent_Done,
     /*  739502 */   // Label 11584: @739502
     /*  739502 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739577), // Rule ID 12175 //
     /*  739507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739575 */     GIR_RootConstrainSelectedInstOperands,
     /*  739576 */     // GIR_Coverage, 12175,
     /*  739576 */     GIR_EraseRootFromParent_Done,
     /*  739577 */   // Label 11585: @739577
     /*  739577 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739652), // Rule ID 12178 //
     /*  739582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739650 */     GIR_RootConstrainSelectedInstOperands,
     /*  739651 */     // GIR_Coverage, 12178,
     /*  739651 */     GIR_EraseRootFromParent_Done,
     /*  739652 */   // Label 11586: @739652
     /*  739652 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739727), // Rule ID 12179 //
     /*  739657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739725 */     GIR_RootConstrainSelectedInstOperands,
     /*  739726 */     // GIR_Coverage, 12179,
     /*  739726 */     GIR_EraseRootFromParent_Done,
     /*  739727 */   // Label 11587: @739727
     /*  739727 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739802), // Rule ID 12182 //
     /*  739732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739800 */     GIR_RootConstrainSelectedInstOperands,
     /*  739801 */     // GIR_Coverage, 12182,
     /*  739801 */     GIR_EraseRootFromParent_Done,
     /*  739802 */   // Label 11588: @739802
     /*  739802 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739877), // Rule ID 12183 //
     /*  739807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739875 */     GIR_RootConstrainSelectedInstOperands,
     /*  739876 */     // GIR_Coverage, 12183,
     /*  739876 */     GIR_EraseRootFromParent_Done,
     /*  739877 */   // Label 11589: @739877
     /*  739877 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739952), // Rule ID 12186 //
     /*  739882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739950 */     GIR_RootConstrainSelectedInstOperands,
     /*  739951 */     // GIR_Coverage, 12186,
     /*  739951 */     GIR_EraseRootFromParent_Done,
     /*  739952 */   // Label 11590: @739952
     /*  739952 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(740027), // Rule ID 12187 //
     /*  739957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  740006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740025 */     GIR_RootConstrainSelectedInstOperands,
     /*  740026 */     // GIR_Coverage, 12187,
     /*  740026 */     GIR_EraseRootFromParent_Done,
     /*  740027 */   // Label 11591: @740027
     /*  740027 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(740102), // Rule ID 12190 //
     /*  740032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740100 */     GIR_RootConstrainSelectedInstOperands,
     /*  740101 */     // GIR_Coverage, 12190,
     /*  740101 */     GIR_EraseRootFromParent_Done,
     /*  740102 */   // Label 11592: @740102
     /*  740102 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740177), // Rule ID 12191 //
     /*  740107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740175 */     GIR_RootConstrainSelectedInstOperands,
     /*  740176 */     // GIR_Coverage, 12191,
     /*  740176 */     GIR_EraseRootFromParent_Done,
     /*  740177 */   // Label 11593: @740177
     /*  740177 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740252), // Rule ID 12194 //
     /*  740182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740250 */     GIR_RootConstrainSelectedInstOperands,
     /*  740251 */     // GIR_Coverage, 12194,
     /*  740251 */     GIR_EraseRootFromParent_Done,
     /*  740252 */   // Label 11594: @740252
     /*  740252 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740327), // Rule ID 12195 //
     /*  740257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740325 */     GIR_RootConstrainSelectedInstOperands,
     /*  740326 */     // GIR_Coverage, 12195,
     /*  740326 */     GIR_EraseRootFromParent_Done,
     /*  740327 */   // Label 11595: @740327
     /*  740327 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740402), // Rule ID 12198 //
     /*  740332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  740349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740400 */     GIR_RootConstrainSelectedInstOperands,
     /*  740401 */     // GIR_Coverage, 12198,
     /*  740401 */     GIR_EraseRootFromParent_Done,
     /*  740402 */   // Label 11596: @740402
     /*  740402 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740477), // Rule ID 12199 //
     /*  740407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  740424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740475 */     GIR_RootConstrainSelectedInstOperands,
     /*  740476 */     // GIR_Coverage, 12199,
     /*  740476 */     GIR_EraseRootFromParent_Done,
     /*  740477 */   // Label 11597: @740477
     /*  740477 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740552), // Rule ID 12202 //
     /*  740482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740550 */     GIR_RootConstrainSelectedInstOperands,
     /*  740551 */     // GIR_Coverage, 12202,
     /*  740551 */     GIR_EraseRootFromParent_Done,
     /*  740552 */   // Label 11598: @740552
     /*  740552 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740627), // Rule ID 12203 //
     /*  740557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740625 */     GIR_RootConstrainSelectedInstOperands,
     /*  740626 */     // GIR_Coverage, 12203,
     /*  740626 */     GIR_EraseRootFromParent_Done,
     /*  740627 */   // Label 11599: @740627
     /*  740627 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740702), // Rule ID 12206 //
     /*  740632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740700 */     GIR_RootConstrainSelectedInstOperands,
     /*  740701 */     // GIR_Coverage, 12206,
     /*  740701 */     GIR_EraseRootFromParent_Done,
     /*  740702 */   // Label 11600: @740702
     /*  740702 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740777), // Rule ID 12207 //
     /*  740707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740775 */     GIR_RootConstrainSelectedInstOperands,
     /*  740776 */     // GIR_Coverage, 12207,
     /*  740776 */     GIR_EraseRootFromParent_Done,
     /*  740777 */   // Label 11601: @740777
     /*  740777 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740852), // Rule ID 12210 //
     /*  740782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740850 */     GIR_RootConstrainSelectedInstOperands,
     /*  740851 */     // GIR_Coverage, 12210,
     /*  740851 */     GIR_EraseRootFromParent_Done,
     /*  740852 */   // Label 11602: @740852
     /*  740852 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740927), // Rule ID 12211 //
     /*  740857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740925 */     GIR_RootConstrainSelectedInstOperands,
     /*  740926 */     // GIR_Coverage, 12211,
     /*  740926 */     GIR_EraseRootFromParent_Done,
     /*  740927 */   // Label 11603: @740927
     /*  740927 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(741002), // Rule ID 12214 //
     /*  740932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741000 */     GIR_RootConstrainSelectedInstOperands,
     /*  741001 */     // GIR_Coverage, 12214,
     /*  741001 */     GIR_EraseRootFromParent_Done,
     /*  741002 */   // Label 11604: @741002
     /*  741002 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(741077), // Rule ID 12215 //
     /*  741007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  741056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741075 */     GIR_RootConstrainSelectedInstOperands,
     /*  741076 */     // GIR_Coverage, 12215,
     /*  741076 */     GIR_EraseRootFromParent_Done,
     /*  741077 */   // Label 11605: @741077
     /*  741077 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741152), // Rule ID 12218 //
     /*  741082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741150 */     GIR_RootConstrainSelectedInstOperands,
     /*  741151 */     // GIR_Coverage, 12218,
     /*  741151 */     GIR_EraseRootFromParent_Done,
     /*  741152 */   // Label 11606: @741152
     /*  741152 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741227), // Rule ID 12219 //
     /*  741157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741225 */     GIR_RootConstrainSelectedInstOperands,
     /*  741226 */     // GIR_Coverage, 12219,
     /*  741226 */     GIR_EraseRootFromParent_Done,
     /*  741227 */   // Label 11607: @741227
     /*  741227 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741302), // Rule ID 12222 //
     /*  741232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  741281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741300 */     GIR_RootConstrainSelectedInstOperands,
     /*  741301 */     // GIR_Coverage, 12222,
     /*  741301 */     GIR_EraseRootFromParent_Done,
     /*  741302 */   // Label 11608: @741302
     /*  741302 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741377), // Rule ID 12223 //
     /*  741307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741353 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  741356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741375 */     GIR_RootConstrainSelectedInstOperands,
     /*  741376 */     // GIR_Coverage, 12223,
     /*  741376 */     GIR_EraseRootFromParent_Done,
     /*  741377 */   // Label 11609: @741377
     /*  741377 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741452), // Rule ID 12226 //
     /*  741382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741450 */     GIR_RootConstrainSelectedInstOperands,
     /*  741451 */     // GIR_Coverage, 12226,
     /*  741451 */     GIR_EraseRootFromParent_Done,
     /*  741452 */   // Label 11610: @741452
     /*  741452 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741527), // Rule ID 12227 //
     /*  741457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741525 */     GIR_RootConstrainSelectedInstOperands,
     /*  741526 */     // GIR_Coverage, 12227,
     /*  741526 */     GIR_EraseRootFromParent_Done,
     /*  741527 */   // Label 11611: @741527
     /*  741527 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741602), // Rule ID 12230 //
     /*  741532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741600 */     GIR_RootConstrainSelectedInstOperands,
     /*  741601 */     // GIR_Coverage, 12230,
     /*  741601 */     GIR_EraseRootFromParent_Done,
     /*  741602 */   // Label 11612: @741602
     /*  741602 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741677), // Rule ID 12231 //
     /*  741607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741675 */     GIR_RootConstrainSelectedInstOperands,
     /*  741676 */     // GIR_Coverage, 12231,
     /*  741676 */     GIR_EraseRootFromParent_Done,
     /*  741677 */   // Label 11613: @741677
     /*  741677 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741752), // Rule ID 12234 //
     /*  741682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741750 */     GIR_RootConstrainSelectedInstOperands,
     /*  741751 */     // GIR_Coverage, 12234,
     /*  741751 */     GIR_EraseRootFromParent_Done,
     /*  741752 */   // Label 11614: @741752
     /*  741752 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741827), // Rule ID 12235 //
     /*  741757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741825 */     GIR_RootConstrainSelectedInstOperands,
     /*  741826 */     // GIR_Coverage, 12235,
     /*  741826 */     GIR_EraseRootFromParent_Done,
     /*  741827 */   // Label 11615: @741827
     /*  741827 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741902), // Rule ID 12238 //
     /*  741832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741900 */     GIR_RootConstrainSelectedInstOperands,
     /*  741901 */     // GIR_Coverage, 12238,
     /*  741901 */     GIR_EraseRootFromParent_Done,
     /*  741902 */   // Label 11616: @741902
     /*  741902 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741977), // Rule ID 12239 //
     /*  741907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741975 */     GIR_RootConstrainSelectedInstOperands,
     /*  741976 */     // GIR_Coverage, 12239,
     /*  741976 */     GIR_EraseRootFromParent_Done,
     /*  741977 */   // Label 11617: @741977
     /*  741977 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(742052), // Rule ID 12242 //
     /*  741982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  741993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  741996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  741999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742050 */     GIR_RootConstrainSelectedInstOperands,
     /*  742051 */     // GIR_Coverage, 12242,
     /*  742051 */     GIR_EraseRootFromParent_Done,
     /*  742052 */   // Label 11618: @742052
     /*  742052 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(742127), // Rule ID 12243 //
     /*  742057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742125 */     GIR_RootConstrainSelectedInstOperands,
     /*  742126 */     // GIR_Coverage, 12243,
     /*  742126 */     GIR_EraseRootFromParent_Done,
     /*  742127 */   // Label 11619: @742127
     /*  742127 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742202), // Rule ID 12246 //
     /*  742132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742200 */     GIR_RootConstrainSelectedInstOperands,
     /*  742201 */     // GIR_Coverage, 12246,
     /*  742201 */     GIR_EraseRootFromParent_Done,
     /*  742202 */   // Label 11620: @742202
     /*  742202 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742277), // Rule ID 12247 //
     /*  742207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742275 */     GIR_RootConstrainSelectedInstOperands,
     /*  742276 */     // GIR_Coverage, 12247,
     /*  742276 */     GIR_EraseRootFromParent_Done,
     /*  742277 */   // Label 11621: @742277
     /*  742277 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742352), // Rule ID 12250 //
     /*  742282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  742302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  742331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742350 */     GIR_RootConstrainSelectedInstOperands,
     /*  742351 */     // GIR_Coverage, 12250,
     /*  742351 */     GIR_EraseRootFromParent_Done,
     /*  742352 */   // Label 11622: @742352
     /*  742352 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742427), // Rule ID 12251 //
     /*  742357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  742377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  742406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742425 */     GIR_RootConstrainSelectedInstOperands,
     /*  742426 */     // GIR_Coverage, 12251,
     /*  742426 */     GIR_EraseRootFromParent_Done,
     /*  742427 */   // Label 11623: @742427
     /*  742427 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742502), // Rule ID 12254 //
     /*  742432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742500 */     GIR_RootConstrainSelectedInstOperands,
     /*  742501 */     // GIR_Coverage, 12254,
     /*  742501 */     GIR_EraseRootFromParent_Done,
     /*  742502 */   // Label 11624: @742502
     /*  742502 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742577), // Rule ID 12255 //
     /*  742507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742575 */     GIR_RootConstrainSelectedInstOperands,
     /*  742576 */     // GIR_Coverage, 12255,
     /*  742576 */     GIR_EraseRootFromParent_Done,
     /*  742577 */   // Label 11625: @742577
     /*  742577 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742652), // Rule ID 12258 //
     /*  742582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742650 */     GIR_RootConstrainSelectedInstOperands,
     /*  742651 */     // GIR_Coverage, 12258,
     /*  742651 */     GIR_EraseRootFromParent_Done,
     /*  742652 */   // Label 11626: @742652
     /*  742652 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742727), // Rule ID 12259 //
     /*  742657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742725 */     GIR_RootConstrainSelectedInstOperands,
     /*  742726 */     // GIR_Coverage, 12259,
     /*  742726 */     GIR_EraseRootFromParent_Done,
     /*  742727 */   // Label 11627: @742727
     /*  742727 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742802), // Rule ID 12262 //
     /*  742732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742800 */     GIR_RootConstrainSelectedInstOperands,
     /*  742801 */     // GIR_Coverage, 12262,
     /*  742801 */     GIR_EraseRootFromParent_Done,
     /*  742802 */   // Label 11628: @742802
     /*  742802 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742877), // Rule ID 12263 //
     /*  742807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742875 */     GIR_RootConstrainSelectedInstOperands,
     /*  742876 */     // GIR_Coverage, 12263,
     /*  742876 */     GIR_EraseRootFromParent_Done,
     /*  742877 */   // Label 11629: @742877
     /*  742877 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742952), // Rule ID 12266 //
     /*  742882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742950 */     GIR_RootConstrainSelectedInstOperands,
     /*  742951 */     // GIR_Coverage, 12266,
     /*  742951 */     GIR_EraseRootFromParent_Done,
     /*  742952 */   // Label 11630: @742952
     /*  742952 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(743027), // Rule ID 12267 //
     /*  742957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743025 */     GIR_RootConstrainSelectedInstOperands,
     /*  743026 */     // GIR_Coverage, 12267,
     /*  743026 */     GIR_EraseRootFromParent_Done,
     /*  743027 */   // Label 11631: @743027
     /*  743027 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(743102), // Rule ID 12270 //
     /*  743032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743100 */     GIR_RootConstrainSelectedInstOperands,
     /*  743101 */     // GIR_Coverage, 12270,
     /*  743101 */     GIR_EraseRootFromParent_Done,
     /*  743102 */   // Label 11632: @743102
     /*  743102 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743177), // Rule ID 12271 //
     /*  743107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743175 */     GIR_RootConstrainSelectedInstOperands,
     /*  743176 */     // GIR_Coverage, 12271,
     /*  743176 */     GIR_EraseRootFromParent_Done,
     /*  743177 */   // Label 11633: @743177
     /*  743177 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743252), // Rule ID 12274 //
     /*  743182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743250 */     GIR_RootConstrainSelectedInstOperands,
     /*  743251 */     // GIR_Coverage, 12274,
     /*  743251 */     GIR_EraseRootFromParent_Done,
     /*  743252 */   // Label 11634: @743252
     /*  743252 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743327), // Rule ID 12275 //
     /*  743257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743325 */     GIR_RootConstrainSelectedInstOperands,
     /*  743326 */     // GIR_Coverage, 12275,
     /*  743326 */     GIR_EraseRootFromParent_Done,
     /*  743327 */   // Label 11635: @743327
     /*  743327 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743402), // Rule ID 12278 //
     /*  743332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  743352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743400 */     GIR_RootConstrainSelectedInstOperands,
     /*  743401 */     // GIR_Coverage, 12278,
     /*  743401 */     GIR_EraseRootFromParent_Done,
     /*  743402 */   // Label 11636: @743402
     /*  743402 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743477), // Rule ID 12279 //
     /*  743407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  743427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743475 */     GIR_RootConstrainSelectedInstOperands,
     /*  743476 */     // GIR_Coverage, 12279,
     /*  743476 */     GIR_EraseRootFromParent_Done,
     /*  743477 */   // Label 11637: @743477
     /*  743477 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743552), // Rule ID 12282 //
     /*  743482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743550 */     GIR_RootConstrainSelectedInstOperands,
     /*  743551 */     // GIR_Coverage, 12282,
     /*  743551 */     GIR_EraseRootFromParent_Done,
     /*  743552 */   // Label 11638: @743552
     /*  743552 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743627), // Rule ID 12283 //
     /*  743557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743625 */     GIR_RootConstrainSelectedInstOperands,
     /*  743626 */     // GIR_Coverage, 12283,
     /*  743626 */     GIR_EraseRootFromParent_Done,
     /*  743627 */   // Label 11639: @743627
     /*  743627 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743702), // Rule ID 12286 //
     /*  743632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743700 */     GIR_RootConstrainSelectedInstOperands,
     /*  743701 */     // GIR_Coverage, 12286,
     /*  743701 */     GIR_EraseRootFromParent_Done,
     /*  743702 */   // Label 11640: @743702
     /*  743702 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743777), // Rule ID 12287 //
     /*  743707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743775 */     GIR_RootConstrainSelectedInstOperands,
     /*  743776 */     // GIR_Coverage, 12287,
     /*  743776 */     GIR_EraseRootFromParent_Done,
     /*  743777 */   // Label 11641: @743777
     /*  743777 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743852), // Rule ID 12290 //
     /*  743782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743850 */     GIR_RootConstrainSelectedInstOperands,
     /*  743851 */     // GIR_Coverage, 12290,
     /*  743851 */     GIR_EraseRootFromParent_Done,
     /*  743852 */   // Label 11642: @743852
     /*  743852 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743927), // Rule ID 12291 //
     /*  743857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743925 */     GIR_RootConstrainSelectedInstOperands,
     /*  743926 */     // GIR_Coverage, 12291,
     /*  743926 */     GIR_EraseRootFromParent_Done,
     /*  743927 */   // Label 11643: @743927
     /*  743927 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(744002), // Rule ID 12294 //
     /*  743932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744000 */     GIR_RootConstrainSelectedInstOperands,
     /*  744001 */     // GIR_Coverage, 12294,
     /*  744001 */     GIR_EraseRootFromParent_Done,
     /*  744002 */   // Label 11644: @744002
     /*  744002 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(744077), // Rule ID 12295 //
     /*  744007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  744027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744075 */     GIR_RootConstrainSelectedInstOperands,
     /*  744076 */     // GIR_Coverage, 12295,
     /*  744076 */     GIR_EraseRootFromParent_Done,
     /*  744077 */   // Label 11645: @744077
     /*  744077 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744152), // Rule ID 12298 //
     /*  744082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744150 */     GIR_RootConstrainSelectedInstOperands,
     /*  744151 */     // GIR_Coverage, 12298,
     /*  744151 */     GIR_EraseRootFromParent_Done,
     /*  744152 */   // Label 11646: @744152
     /*  744152 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744227), // Rule ID 12299 //
     /*  744157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744225 */     GIR_RootConstrainSelectedInstOperands,
     /*  744226 */     // GIR_Coverage, 12299,
     /*  744226 */     GIR_EraseRootFromParent_Done,
     /*  744227 */   // Label 11647: @744227
     /*  744227 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744302), // Rule ID 12302 //
     /*  744232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  744252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744300 */     GIR_RootConstrainSelectedInstOperands,
     /*  744301 */     // GIR_Coverage, 12302,
     /*  744301 */     GIR_EraseRootFromParent_Done,
     /*  744302 */   // Label 11648: @744302
     /*  744302 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744377), // Rule ID 12303 //
     /*  744307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  744327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744375 */     GIR_RootConstrainSelectedInstOperands,
     /*  744376 */     // GIR_Coverage, 12303,
     /*  744376 */     GIR_EraseRootFromParent_Done,
     /*  744377 */   // Label 11649: @744377
     /*  744377 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744452), // Rule ID 12306 //
     /*  744382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744450 */     GIR_RootConstrainSelectedInstOperands,
     /*  744451 */     // GIR_Coverage, 12306,
     /*  744451 */     GIR_EraseRootFromParent_Done,
     /*  744452 */   // Label 11650: @744452
     /*  744452 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744527), // Rule ID 12307 //
     /*  744457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744525 */     GIR_RootConstrainSelectedInstOperands,
     /*  744526 */     // GIR_Coverage, 12307,
     /*  744526 */     GIR_EraseRootFromParent_Done,
     /*  744527 */   // Label 11651: @744527
     /*  744527 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744602), // Rule ID 12310 //
     /*  744532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744600 */     GIR_RootConstrainSelectedInstOperands,
     /*  744601 */     // GIR_Coverage, 12310,
     /*  744601 */     GIR_EraseRootFromParent_Done,
     /*  744602 */   // Label 11652: @744602
     /*  744602 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744677), // Rule ID 12311 //
     /*  744607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744675 */     GIR_RootConstrainSelectedInstOperands,
     /*  744676 */     // GIR_Coverage, 12311,
     /*  744676 */     GIR_EraseRootFromParent_Done,
     /*  744677 */   // Label 11653: @744677
     /*  744677 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744752), // Rule ID 12314 //
     /*  744682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744750 */     GIR_RootConstrainSelectedInstOperands,
     /*  744751 */     // GIR_Coverage, 12314,
     /*  744751 */     GIR_EraseRootFromParent_Done,
     /*  744752 */   // Label 11654: @744752
     /*  744752 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744827), // Rule ID 12315 //
     /*  744757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744825 */     GIR_RootConstrainSelectedInstOperands,
     /*  744826 */     // GIR_Coverage, 12315,
     /*  744826 */     GIR_EraseRootFromParent_Done,
     /*  744827 */   // Label 11655: @744827
     /*  744827 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744902), // Rule ID 12318 //
     /*  744832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744900 */     GIR_RootConstrainSelectedInstOperands,
     /*  744901 */     // GIR_Coverage, 12318,
     /*  744901 */     GIR_EraseRootFromParent_Done,
     /*  744902 */   // Label 11656: @744902
     /*  744902 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744977), // Rule ID 12319 //
     /*  744907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744975 */     GIR_RootConstrainSelectedInstOperands,
     /*  744976 */     // GIR_Coverage, 12319,
     /*  744976 */     GIR_EraseRootFromParent_Done,
     /*  744977 */   // Label 11657: @744977
     /*  744977 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(745052), // Rule ID 12322 //
     /*  744982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  744993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  744996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745050 */     GIR_RootConstrainSelectedInstOperands,
     /*  745051 */     // GIR_Coverage, 12322,
     /*  745051 */     GIR_EraseRootFromParent_Done,
     /*  745052 */   // Label 11658: @745052
     /*  745052 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(745127), // Rule ID 12323 //
     /*  745057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745125 */     GIR_RootConstrainSelectedInstOperands,
     /*  745126 */     // GIR_Coverage, 12323,
     /*  745126 */     GIR_EraseRootFromParent_Done,
     /*  745127 */   // Label 11659: @745127
     /*  745127 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745202), // Rule ID 12326 //
     /*  745132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745200 */     GIR_RootConstrainSelectedInstOperands,
     /*  745201 */     // GIR_Coverage, 12326,
     /*  745201 */     GIR_EraseRootFromParent_Done,
     /*  745202 */   // Label 11660: @745202
     /*  745202 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745277), // Rule ID 12327 //
     /*  745207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745275 */     GIR_RootConstrainSelectedInstOperands,
     /*  745276 */     // GIR_Coverage, 12327,
     /*  745276 */     GIR_EraseRootFromParent_Done,
     /*  745277 */   // Label 11661: @745277
     /*  745277 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745352), // Rule ID 12330 //
     /*  745282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745350 */     GIR_RootConstrainSelectedInstOperands,
     /*  745351 */     // GIR_Coverage, 12330,
     /*  745351 */     GIR_EraseRootFromParent_Done,
     /*  745352 */   // Label 11662: @745352
     /*  745352 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745427), // Rule ID 12331 //
     /*  745357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745425 */     GIR_RootConstrainSelectedInstOperands,
     /*  745426 */     // GIR_Coverage, 12331,
     /*  745426 */     GIR_EraseRootFromParent_Done,
     /*  745427 */   // Label 11663: @745427
     /*  745427 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745502), // Rule ID 12334 //
     /*  745432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745500 */     GIR_RootConstrainSelectedInstOperands,
     /*  745501 */     // GIR_Coverage, 12334,
     /*  745501 */     GIR_EraseRootFromParent_Done,
     /*  745502 */   // Label 11664: @745502
     /*  745502 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745577), // Rule ID 12335 //
     /*  745507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745575 */     GIR_RootConstrainSelectedInstOperands,
     /*  745576 */     // GIR_Coverage, 12335,
     /*  745576 */     GIR_EraseRootFromParent_Done,
     /*  745577 */   // Label 11665: @745577
     /*  745577 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745652), // Rule ID 12338 //
     /*  745582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745650 */     GIR_RootConstrainSelectedInstOperands,
     /*  745651 */     // GIR_Coverage, 12338,
     /*  745651 */     GIR_EraseRootFromParent_Done,
     /*  745652 */   // Label 11666: @745652
     /*  745652 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745727), // Rule ID 12339 //
     /*  745657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745725 */     GIR_RootConstrainSelectedInstOperands,
     /*  745726 */     // GIR_Coverage, 12339,
     /*  745726 */     GIR_EraseRootFromParent_Done,
     /*  745727 */   // Label 11667: @745727
     /*  745727 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745802), // Rule ID 12342 //
     /*  745732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745800 */     GIR_RootConstrainSelectedInstOperands,
     /*  745801 */     // GIR_Coverage, 12342,
     /*  745801 */     GIR_EraseRootFromParent_Done,
     /*  745802 */   // Label 11668: @745802
     /*  745802 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745877), // Rule ID 12343 //
     /*  745807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745875 */     GIR_RootConstrainSelectedInstOperands,
     /*  745876 */     // GIR_Coverage, 12343,
     /*  745876 */     GIR_EraseRootFromParent_Done,
     /*  745877 */   // Label 11669: @745877
     /*  745877 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745952), // Rule ID 12346 //
     /*  745882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745950 */     GIR_RootConstrainSelectedInstOperands,
     /*  745951 */     // GIR_Coverage, 12346,
     /*  745951 */     GIR_EraseRootFromParent_Done,
     /*  745952 */   // Label 11670: @745952
     /*  745952 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(746027), // Rule ID 12347 //
     /*  745957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746025 */     GIR_RootConstrainSelectedInstOperands,
     /*  746026 */     // GIR_Coverage, 12347,
     /*  746026 */     GIR_EraseRootFromParent_Done,
     /*  746027 */   // Label 11671: @746027
     /*  746027 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(746102), // Rule ID 12350 //
     /*  746032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746100 */     GIR_RootConstrainSelectedInstOperands,
     /*  746101 */     // GIR_Coverage, 12350,
     /*  746101 */     GIR_EraseRootFromParent_Done,
     /*  746102 */   // Label 11672: @746102
     /*  746102 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746177), // Rule ID 12351 //
     /*  746107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746175 */     GIR_RootConstrainSelectedInstOperands,
     /*  746176 */     // GIR_Coverage, 12351,
     /*  746176 */     GIR_EraseRootFromParent_Done,
     /*  746177 */   // Label 11673: @746177
     /*  746177 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746252), // Rule ID 12354 //
     /*  746182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746250 */     GIR_RootConstrainSelectedInstOperands,
     /*  746251 */     // GIR_Coverage, 12354,
     /*  746251 */     GIR_EraseRootFromParent_Done,
     /*  746252 */   // Label 11674: @746252
     /*  746252 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746327), // Rule ID 12355 //
     /*  746257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746325 */     GIR_RootConstrainSelectedInstOperands,
     /*  746326 */     // GIR_Coverage, 12355,
     /*  746326 */     GIR_EraseRootFromParent_Done,
     /*  746327 */   // Label 11675: @746327
     /*  746327 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746402), // Rule ID 12358 //
     /*  746332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746400 */     GIR_RootConstrainSelectedInstOperands,
     /*  746401 */     // GIR_Coverage, 12358,
     /*  746401 */     GIR_EraseRootFromParent_Done,
     /*  746402 */   // Label 11676: @746402
     /*  746402 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746477), // Rule ID 12359 //
     /*  746407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746475 */     GIR_RootConstrainSelectedInstOperands,
     /*  746476 */     // GIR_Coverage, 12359,
     /*  746476 */     GIR_EraseRootFromParent_Done,
     /*  746477 */   // Label 11677: @746477
     /*  746477 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746552), // Rule ID 12362 //
     /*  746482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746550 */     GIR_RootConstrainSelectedInstOperands,
     /*  746551 */     // GIR_Coverage, 12362,
     /*  746551 */     GIR_EraseRootFromParent_Done,
     /*  746552 */   // Label 11678: @746552
     /*  746552 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746627), // Rule ID 12363 //
     /*  746557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746625 */     GIR_RootConstrainSelectedInstOperands,
     /*  746626 */     // GIR_Coverage, 12363,
     /*  746626 */     GIR_EraseRootFromParent_Done,
     /*  746627 */   // Label 11679: @746627
     /*  746627 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746702), // Rule ID 12366 //
     /*  746632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746700 */     GIR_RootConstrainSelectedInstOperands,
     /*  746701 */     // GIR_Coverage, 12366,
     /*  746701 */     GIR_EraseRootFromParent_Done,
     /*  746702 */   // Label 11680: @746702
     /*  746702 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746777), // Rule ID 12367 //
     /*  746707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746775 */     GIR_RootConstrainSelectedInstOperands,
     /*  746776 */     // GIR_Coverage, 12367,
     /*  746776 */     GIR_EraseRootFromParent_Done,
     /*  746777 */   // Label 11681: @746777
     /*  746777 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746852), // Rule ID 12370 //
     /*  746782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746850 */     GIR_RootConstrainSelectedInstOperands,
     /*  746851 */     // GIR_Coverage, 12370,
     /*  746851 */     GIR_EraseRootFromParent_Done,
     /*  746852 */   // Label 11682: @746852
     /*  746852 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746927), // Rule ID 12371 //
     /*  746857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746903 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746925 */     GIR_RootConstrainSelectedInstOperands,
     /*  746926 */     // GIR_Coverage, 12371,
     /*  746926 */     GIR_EraseRootFromParent_Done,
     /*  746927 */   // Label 11683: @746927
     /*  746927 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(747002), // Rule ID 12374 //
     /*  746932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746978 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747000 */     GIR_RootConstrainSelectedInstOperands,
     /*  747001 */     // GIR_Coverage, 12374,
     /*  747001 */     GIR_EraseRootFromParent_Done,
     /*  747002 */   // Label 11684: @747002
     /*  747002 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(747077), // Rule ID 12375 //
     /*  747007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747075 */     GIR_RootConstrainSelectedInstOperands,
     /*  747076 */     // GIR_Coverage, 12375,
     /*  747076 */     GIR_EraseRootFromParent_Done,
     /*  747077 */   // Label 11685: @747077
     /*  747077 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747152), // Rule ID 12378 //
     /*  747082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747150 */     GIR_RootConstrainSelectedInstOperands,
     /*  747151 */     // GIR_Coverage, 12378,
     /*  747151 */     GIR_EraseRootFromParent_Done,
     /*  747152 */   // Label 11686: @747152
     /*  747152 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747227), // Rule ID 12379 //
     /*  747157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747225 */     GIR_RootConstrainSelectedInstOperands,
     /*  747226 */     // GIR_Coverage, 12379,
     /*  747226 */     GIR_EraseRootFromParent_Done,
     /*  747227 */   // Label 11687: @747227
     /*  747227 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747302), // Rule ID 12382 //
     /*  747232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747300 */     GIR_RootConstrainSelectedInstOperands,
     /*  747301 */     // GIR_Coverage, 12382,
     /*  747301 */     GIR_EraseRootFromParent_Done,
     /*  747302 */   // Label 11688: @747302
     /*  747302 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747377), // Rule ID 12383 //
     /*  747307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747375 */     GIR_RootConstrainSelectedInstOperands,
     /*  747376 */     // GIR_Coverage, 12383,
     /*  747376 */     GIR_EraseRootFromParent_Done,
     /*  747377 */   // Label 11689: @747377
     /*  747377 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747452), // Rule ID 12386 //
     /*  747382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747450 */     GIR_RootConstrainSelectedInstOperands,
     /*  747451 */     // GIR_Coverage, 12386,
     /*  747451 */     GIR_EraseRootFromParent_Done,
     /*  747452 */   // Label 11690: @747452
     /*  747452 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747527), // Rule ID 12387 //
     /*  747457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747525 */     GIR_RootConstrainSelectedInstOperands,
     /*  747526 */     // GIR_Coverage, 12387,
     /*  747526 */     GIR_EraseRootFromParent_Done,
     /*  747527 */   // Label 11691: @747527
     /*  747527 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747602), // Rule ID 12390 //
     /*  747532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747600 */     GIR_RootConstrainSelectedInstOperands,
     /*  747601 */     // GIR_Coverage, 12390,
     /*  747601 */     GIR_EraseRootFromParent_Done,
     /*  747602 */   // Label 11692: @747602
     /*  747602 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747677), // Rule ID 12391 //
     /*  747607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747675 */     GIR_RootConstrainSelectedInstOperands,
     /*  747676 */     // GIR_Coverage, 12391,
     /*  747676 */     GIR_EraseRootFromParent_Done,
     /*  747677 */   // Label 11693: @747677
     /*  747677 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747752), // Rule ID 12394 //
     /*  747682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747750 */     GIR_RootConstrainSelectedInstOperands,
     /*  747751 */     // GIR_Coverage, 12394,
     /*  747751 */     GIR_EraseRootFromParent_Done,
     /*  747752 */   // Label 11694: @747752
     /*  747752 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747827), // Rule ID 12395 //
     /*  747757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747825 */     GIR_RootConstrainSelectedInstOperands,
     /*  747826 */     // GIR_Coverage, 12395,
     /*  747826 */     GIR_EraseRootFromParent_Done,
     /*  747827 */   // Label 11695: @747827
     /*  747827 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747902), // Rule ID 12398 //
     /*  747832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747900 */     GIR_RootConstrainSelectedInstOperands,
     /*  747901 */     // GIR_Coverage, 12398,
     /*  747901 */     GIR_EraseRootFromParent_Done,
     /*  747902 */   // Label 11696: @747902
     /*  747902 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747977), // Rule ID 12399 //
     /*  747907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747975 */     GIR_RootConstrainSelectedInstOperands,
     /*  747976 */     // GIR_Coverage, 12399,
     /*  747976 */     GIR_EraseRootFromParent_Done,
     /*  747977 */   // Label 11697: @747977
     /*  747977 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(748052), // Rule ID 12402 //
     /*  747982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748050 */     GIR_RootConstrainSelectedInstOperands,
     /*  748051 */     // GIR_Coverage, 12402,
     /*  748051 */     GIR_EraseRootFromParent_Done,
     /*  748052 */   // Label 11698: @748052
     /*  748052 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(748127), // Rule ID 12403 //
     /*  748057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748125 */     GIR_RootConstrainSelectedInstOperands,
     /*  748126 */     // GIR_Coverage, 12403,
     /*  748126 */     GIR_EraseRootFromParent_Done,
     /*  748127 */   // Label 11699: @748127
     /*  748127 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748202), // Rule ID 12406 //
     /*  748132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748200 */     GIR_RootConstrainSelectedInstOperands,
     /*  748201 */     // GIR_Coverage, 12406,
     /*  748201 */     GIR_EraseRootFromParent_Done,
     /*  748202 */   // Label 11700: @748202
     /*  748202 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748277), // Rule ID 12407 //
     /*  748207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748275 */     GIR_RootConstrainSelectedInstOperands,
     /*  748276 */     // GIR_Coverage, 12407,
     /*  748276 */     GIR_EraseRootFromParent_Done,
     /*  748277 */   // Label 11701: @748277
     /*  748277 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748352), // Rule ID 12410 //
     /*  748282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748350 */     GIR_RootConstrainSelectedInstOperands,
     /*  748351 */     // GIR_Coverage, 12410,
     /*  748351 */     GIR_EraseRootFromParent_Done,
     /*  748352 */   // Label 11702: @748352
     /*  748352 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748427), // Rule ID 12411 //
     /*  748357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748425 */     GIR_RootConstrainSelectedInstOperands,
     /*  748426 */     // GIR_Coverage, 12411,
     /*  748426 */     GIR_EraseRootFromParent_Done,
     /*  748427 */   // Label 11703: @748427
     /*  748427 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748502), // Rule ID 12414 //
     /*  748432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748500 */     GIR_RootConstrainSelectedInstOperands,
     /*  748501 */     // GIR_Coverage, 12414,
     /*  748501 */     GIR_EraseRootFromParent_Done,
     /*  748502 */   // Label 11704: @748502
     /*  748502 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748577), // Rule ID 12415 //
     /*  748507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748575 */     GIR_RootConstrainSelectedInstOperands,
     /*  748576 */     // GIR_Coverage, 12415,
     /*  748576 */     GIR_EraseRootFromParent_Done,
     /*  748577 */   // Label 11705: @748577
     /*  748577 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748652), // Rule ID 12418 //
     /*  748582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748650 */     GIR_RootConstrainSelectedInstOperands,
     /*  748651 */     // GIR_Coverage, 12418,
     /*  748651 */     GIR_EraseRootFromParent_Done,
     /*  748652 */   // Label 11706: @748652
     /*  748652 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748727), // Rule ID 12419 //
     /*  748657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748725 */     GIR_RootConstrainSelectedInstOperands,
     /*  748726 */     // GIR_Coverage, 12419,
     /*  748726 */     GIR_EraseRootFromParent_Done,
     /*  748727 */   // Label 11707: @748727
     /*  748727 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748802), // Rule ID 12422 //
     /*  748732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748800 */     GIR_RootConstrainSelectedInstOperands,
     /*  748801 */     // GIR_Coverage, 12422,
     /*  748801 */     GIR_EraseRootFromParent_Done,
     /*  748802 */   // Label 11708: @748802
     /*  748802 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748877), // Rule ID 12423 //
     /*  748807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748853 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748875 */     GIR_RootConstrainSelectedInstOperands,
     /*  748876 */     // GIR_Coverage, 12423,
     /*  748876 */     GIR_EraseRootFromParent_Done,
     /*  748877 */   // Label 11709: @748877
     /*  748877 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748952), // Rule ID 12426 //
     /*  748882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748950 */     GIR_RootConstrainSelectedInstOperands,
     /*  748951 */     // GIR_Coverage, 12426,
     /*  748951 */     GIR_EraseRootFromParent_Done,
     /*  748952 */   // Label 11710: @748952
     /*  748952 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(749027), // Rule ID 12427 //
     /*  748957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749025 */     GIR_RootConstrainSelectedInstOperands,
     /*  749026 */     // GIR_Coverage, 12427,
     /*  749026 */     GIR_EraseRootFromParent_Done,
     /*  749027 */   // Label 11711: @749027
     /*  749027 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(749102), // Rule ID 12430 //
     /*  749032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749100 */     GIR_RootConstrainSelectedInstOperands,
     /*  749101 */     // GIR_Coverage, 12430,
     /*  749101 */     GIR_EraseRootFromParent_Done,
     /*  749102 */   // Label 11712: @749102
     /*  749102 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749177), // Rule ID 12431 //
     /*  749107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749175 */     GIR_RootConstrainSelectedInstOperands,
     /*  749176 */     // GIR_Coverage, 12431,
     /*  749176 */     GIR_EraseRootFromParent_Done,
     /*  749177 */   // Label 11713: @749177
     /*  749177 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749252), // Rule ID 12434 //
     /*  749182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749250 */     GIR_RootConstrainSelectedInstOperands,
     /*  749251 */     // GIR_Coverage, 12434,
     /*  749251 */     GIR_EraseRootFromParent_Done,
     /*  749252 */   // Label 11714: @749252
     /*  749252 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749327), // Rule ID 12435 //
     /*  749257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749325 */     GIR_RootConstrainSelectedInstOperands,
     /*  749326 */     // GIR_Coverage, 12435,
     /*  749326 */     GIR_EraseRootFromParent_Done,
     /*  749327 */   // Label 11715: @749327
     /*  749327 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749402), // Rule ID 12438 //
     /*  749332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749400 */     GIR_RootConstrainSelectedInstOperands,
     /*  749401 */     // GIR_Coverage, 12438,
     /*  749401 */     GIR_EraseRootFromParent_Done,
     /*  749402 */   // Label 11716: @749402
     /*  749402 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749477), // Rule ID 12439 //
     /*  749407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749475 */     GIR_RootConstrainSelectedInstOperands,
     /*  749476 */     // GIR_Coverage, 12439,
     /*  749476 */     GIR_EraseRootFromParent_Done,
     /*  749477 */   // Label 11717: @749477
     /*  749477 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749552), // Rule ID 12442 //
     /*  749482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749550 */     GIR_RootConstrainSelectedInstOperands,
     /*  749551 */     // GIR_Coverage, 12442,
     /*  749551 */     GIR_EraseRootFromParent_Done,
     /*  749552 */   // Label 11718: @749552
     /*  749552 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749627), // Rule ID 12443 //
     /*  749557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749625 */     GIR_RootConstrainSelectedInstOperands,
     /*  749626 */     // GIR_Coverage, 12443,
     /*  749626 */     GIR_EraseRootFromParent_Done,
     /*  749627 */   // Label 11719: @749627
     /*  749627 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749702), // Rule ID 12446 //
     /*  749632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749678 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749700 */     GIR_RootConstrainSelectedInstOperands,
     /*  749701 */     // GIR_Coverage, 12446,
     /*  749701 */     GIR_EraseRootFromParent_Done,
     /*  749702 */   // Label 11720: @749702
     /*  749702 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749777), // Rule ID 12447 //
     /*  749707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749775 */     GIR_RootConstrainSelectedInstOperands,
     /*  749776 */     // GIR_Coverage, 12447,
     /*  749776 */     GIR_EraseRootFromParent_Done,
     /*  749777 */   // Label 11721: @749777
     /*  749777 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749852), // Rule ID 12450 //
     /*  749782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749850 */     GIR_RootConstrainSelectedInstOperands,
     /*  749851 */     // GIR_Coverage, 12450,
     /*  749851 */     GIR_EraseRootFromParent_Done,
     /*  749852 */   // Label 11722: @749852
     /*  749852 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749927), // Rule ID 12451 //
     /*  749857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749903 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749925 */     GIR_RootConstrainSelectedInstOperands,
     /*  749926 */     // GIR_Coverage, 12451,
     /*  749926 */     GIR_EraseRootFromParent_Done,
     /*  749927 */   // Label 11723: @749927
     /*  749927 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(750002), // Rule ID 12454 //
     /*  749932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750000 */     GIR_RootConstrainSelectedInstOperands,
     /*  750001 */     // GIR_Coverage, 12454,
     /*  750001 */     GIR_EraseRootFromParent_Done,
     /*  750002 */   // Label 11724: @750002
     /*  750002 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(750077), // Rule ID 12455 //
     /*  750007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  750056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750075 */     GIR_RootConstrainSelectedInstOperands,
     /*  750076 */     // GIR_Coverage, 12455,
     /*  750076 */     GIR_EraseRootFromParent_Done,
     /*  750077 */   // Label 11725: @750077
     /*  750077 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750152), // Rule ID 12458 //
     /*  750082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750150 */     GIR_RootConstrainSelectedInstOperands,
     /*  750151 */     // GIR_Coverage, 12458,
     /*  750151 */     GIR_EraseRootFromParent_Done,
     /*  750152 */   // Label 11726: @750152
     /*  750152 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750227), // Rule ID 12459 //
     /*  750157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750225 */     GIR_RootConstrainSelectedInstOperands,
     /*  750226 */     // GIR_Coverage, 12459,
     /*  750226 */     GIR_EraseRootFromParent_Done,
     /*  750227 */   // Label 11727: @750227
     /*  750227 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750302), // Rule ID 12462 //
     /*  750232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750300 */     GIR_RootConstrainSelectedInstOperands,
     /*  750301 */     // GIR_Coverage, 12462,
     /*  750301 */     GIR_EraseRootFromParent_Done,
     /*  750302 */   // Label 11728: @750302
     /*  750302 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750377), // Rule ID 12463 //
     /*  750307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750375 */     GIR_RootConstrainSelectedInstOperands,
     /*  750376 */     // GIR_Coverage, 12463,
     /*  750376 */     GIR_EraseRootFromParent_Done,
     /*  750377 */   // Label 11729: @750377
     /*  750377 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750452), // Rule ID 12466 //
     /*  750382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750450 */     GIR_RootConstrainSelectedInstOperands,
     /*  750451 */     // GIR_Coverage, 12466,
     /*  750451 */     GIR_EraseRootFromParent_Done,
     /*  750452 */   // Label 11730: @750452
     /*  750452 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750527), // Rule ID 12467 //
     /*  750457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750525 */     GIR_RootConstrainSelectedInstOperands,
     /*  750526 */     // GIR_Coverage, 12467,
     /*  750526 */     GIR_EraseRootFromParent_Done,
     /*  750527 */   // Label 11731: @750527
     /*  750527 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750602), // Rule ID 12470 //
     /*  750532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750600 */     GIR_RootConstrainSelectedInstOperands,
     /*  750601 */     // GIR_Coverage, 12470,
     /*  750601 */     GIR_EraseRootFromParent_Done,
     /*  750602 */   // Label 11732: @750602
     /*  750602 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750677), // Rule ID 12471 //
     /*  750607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750675 */     GIR_RootConstrainSelectedInstOperands,
     /*  750676 */     // GIR_Coverage, 12471,
     /*  750676 */     GIR_EraseRootFromParent_Done,
     /*  750677 */   // Label 11733: @750677
     /*  750677 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750752), // Rule ID 12474 //
     /*  750682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750750 */     GIR_RootConstrainSelectedInstOperands,
     /*  750751 */     // GIR_Coverage, 12474,
     /*  750751 */     GIR_EraseRootFromParent_Done,
     /*  750752 */   // Label 11734: @750752
     /*  750752 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750827), // Rule ID 12475 //
     /*  750757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750825 */     GIR_RootConstrainSelectedInstOperands,
     /*  750826 */     // GIR_Coverage, 12475,
     /*  750826 */     GIR_EraseRootFromParent_Done,
     /*  750827 */   // Label 11735: @750827
     /*  750827 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750902), // Rule ID 12478 //
     /*  750832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750900 */     GIR_RootConstrainSelectedInstOperands,
     /*  750901 */     // GIR_Coverage, 12478,
     /*  750901 */     GIR_EraseRootFromParent_Done,
     /*  750902 */   // Label 11736: @750902
     /*  750902 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750977), // Rule ID 12479 //
     /*  750907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750975 */     GIR_RootConstrainSelectedInstOperands,
     /*  750976 */     // GIR_Coverage, 12479,
     /*  750976 */     GIR_EraseRootFromParent_Done,
     /*  750977 */   // Label 11737: @750977
     /*  750977 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(751052), // Rule ID 12482 //
     /*  750982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751050 */     GIR_RootConstrainSelectedInstOperands,
     /*  751051 */     // GIR_Coverage, 12482,
     /*  751051 */     GIR_EraseRootFromParent_Done,
     /*  751052 */   // Label 11738: @751052
     /*  751052 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(751127), // Rule ID 12483 //
     /*  751057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751125 */     GIR_RootConstrainSelectedInstOperands,
     /*  751126 */     // GIR_Coverage, 12483,
     /*  751126 */     GIR_EraseRootFromParent_Done,
     /*  751127 */   // Label 11739: @751127
     /*  751127 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751202), // Rule ID 12486 //
     /*  751132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751200 */     GIR_RootConstrainSelectedInstOperands,
     /*  751201 */     // GIR_Coverage, 12486,
     /*  751201 */     GIR_EraseRootFromParent_Done,
     /*  751202 */   // Label 11740: @751202
     /*  751202 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751277), // Rule ID 12487 //
     /*  751207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751275 */     GIR_RootConstrainSelectedInstOperands,
     /*  751276 */     // GIR_Coverage, 12487,
     /*  751276 */     GIR_EraseRootFromParent_Done,
     /*  751277 */   // Label 11741: @751277
     /*  751277 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751352), // Rule ID 12490 //
     /*  751282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  751331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751350 */     GIR_RootConstrainSelectedInstOperands,
     /*  751351 */     // GIR_Coverage, 12490,
     /*  751351 */     GIR_EraseRootFromParent_Done,
     /*  751352 */   // Label 11742: @751352
     /*  751352 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751427), // Rule ID 12491 //
     /*  751357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  751406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751425 */     GIR_RootConstrainSelectedInstOperands,
     /*  751426 */     // GIR_Coverage, 12491,
     /*  751426 */     GIR_EraseRootFromParent_Done,
     /*  751427 */   // Label 11743: @751427
     /*  751427 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751502), // Rule ID 12494 //
     /*  751432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751500 */     GIR_RootConstrainSelectedInstOperands,
     /*  751501 */     // GIR_Coverage, 12494,
     /*  751501 */     GIR_EraseRootFromParent_Done,
     /*  751502 */   // Label 11744: @751502
     /*  751502 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751577), // Rule ID 12495 //
     /*  751507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751575 */     GIR_RootConstrainSelectedInstOperands,
     /*  751576 */     // GIR_Coverage, 12495,
     /*  751576 */     GIR_EraseRootFromParent_Done,
     /*  751577 */   // Label 11745: @751577
     /*  751577 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751652), // Rule ID 12498 //
     /*  751582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751650 */     GIR_RootConstrainSelectedInstOperands,
     /*  751651 */     // GIR_Coverage, 12498,
     /*  751651 */     GIR_EraseRootFromParent_Done,
     /*  751652 */   // Label 11746: @751652
     /*  751652 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751727), // Rule ID 12499 //
     /*  751657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751725 */     GIR_RootConstrainSelectedInstOperands,
     /*  751726 */     // GIR_Coverage, 12499,
     /*  751726 */     GIR_EraseRootFromParent_Done,
     /*  751727 */   // Label 11747: @751727
     /*  751727 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751802), // Rule ID 12502 //
     /*  751732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751800 */     GIR_RootConstrainSelectedInstOperands,
     /*  751801 */     // GIR_Coverage, 12502,
     /*  751801 */     GIR_EraseRootFromParent_Done,
     /*  751802 */   // Label 11748: @751802
     /*  751802 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751877), // Rule ID 12503 //
     /*  751807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751875 */     GIR_RootConstrainSelectedInstOperands,
     /*  751876 */     // GIR_Coverage, 12503,
     /*  751876 */     GIR_EraseRootFromParent_Done,
     /*  751877 */   // Label 11749: @751877
     /*  751877 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751952), // Rule ID 12506 //
     /*  751882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751950 */     GIR_RootConstrainSelectedInstOperands,
     /*  751951 */     // GIR_Coverage, 12506,
     /*  751951 */     GIR_EraseRootFromParent_Done,
     /*  751952 */   // Label 11750: @751952
     /*  751952 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(752027), // Rule ID 12507 //
     /*  751957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752025 */     GIR_RootConstrainSelectedInstOperands,
     /*  752026 */     // GIR_Coverage, 12507,
     /*  752026 */     GIR_EraseRootFromParent_Done,
     /*  752027 */   // Label 11751: @752027
     /*  752027 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(752102), // Rule ID 12510 //
     /*  752032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752100 */     GIR_RootConstrainSelectedInstOperands,
     /*  752101 */     // GIR_Coverage, 12510,
     /*  752101 */     GIR_EraseRootFromParent_Done,
     /*  752102 */   // Label 11752: @752102
     /*  752102 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752177), // Rule ID 12511 //
     /*  752107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752175 */     GIR_RootConstrainSelectedInstOperands,
     /*  752176 */     // GIR_Coverage, 12511,
     /*  752176 */     GIR_EraseRootFromParent_Done,
     /*  752177 */   // Label 11753: @752177
     /*  752177 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752252), // Rule ID 12514 //
     /*  752182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752250 */     GIR_RootConstrainSelectedInstOperands,
     /*  752251 */     // GIR_Coverage, 12514,
     /*  752251 */     GIR_EraseRootFromParent_Done,
     /*  752252 */   // Label 11754: @752252
     /*  752252 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752327), // Rule ID 12515 //
     /*  752257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752325 */     GIR_RootConstrainSelectedInstOperands,
     /*  752326 */     // GIR_Coverage, 12515,
     /*  752326 */     GIR_EraseRootFromParent_Done,
     /*  752327 */   // Label 11755: @752327
     /*  752327 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752402), // Rule ID 12518 //
     /*  752332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752400 */     GIR_RootConstrainSelectedInstOperands,
     /*  752401 */     // GIR_Coverage, 12518,
     /*  752401 */     GIR_EraseRootFromParent_Done,
     /*  752402 */   // Label 11756: @752402
     /*  752402 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752477), // Rule ID 12519 //
     /*  752407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752475 */     GIR_RootConstrainSelectedInstOperands,
     /*  752476 */     // GIR_Coverage, 12519,
     /*  752476 */     GIR_EraseRootFromParent_Done,
     /*  752477 */   // Label 11757: @752477
     /*  752477 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752552), // Rule ID 12522 //
     /*  752482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752550 */     GIR_RootConstrainSelectedInstOperands,
     /*  752551 */     // GIR_Coverage, 12522,
     /*  752551 */     GIR_EraseRootFromParent_Done,
     /*  752552 */   // Label 11758: @752552
     /*  752552 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752627), // Rule ID 12523 //
     /*  752557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752625 */     GIR_RootConstrainSelectedInstOperands,
     /*  752626 */     // GIR_Coverage, 12523,
     /*  752626 */     GIR_EraseRootFromParent_Done,
     /*  752627 */   // Label 11759: @752627
     /*  752627 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752702), // Rule ID 12526 //
     /*  752632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752700 */     GIR_RootConstrainSelectedInstOperands,
     /*  752701 */     // GIR_Coverage, 12526,
     /*  752701 */     GIR_EraseRootFromParent_Done,
     /*  752702 */   // Label 11760: @752702
     /*  752702 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752777), // Rule ID 12527 //
     /*  752707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752775 */     GIR_RootConstrainSelectedInstOperands,
     /*  752776 */     // GIR_Coverage, 12527,
     /*  752776 */     GIR_EraseRootFromParent_Done,
     /*  752777 */   // Label 11761: @752777
     /*  752777 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752852), // Rule ID 12530 //
     /*  752782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752850 */     GIR_RootConstrainSelectedInstOperands,
     /*  752851 */     // GIR_Coverage, 12530,
     /*  752851 */     GIR_EraseRootFromParent_Done,
     /*  752852 */   // Label 11762: @752852
     /*  752852 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752927), // Rule ID 12531 //
     /*  752857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752925 */     GIR_RootConstrainSelectedInstOperands,
     /*  752926 */     // GIR_Coverage, 12531,
     /*  752926 */     GIR_EraseRootFromParent_Done,
     /*  752927 */   // Label 11763: @752927
     /*  752927 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(753002), // Rule ID 12534 //
     /*  752932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753000 */     GIR_RootConstrainSelectedInstOperands,
     /*  753001 */     // GIR_Coverage, 12534,
     /*  753001 */     GIR_EraseRootFromParent_Done,
     /*  753002 */   // Label 11764: @753002
     /*  753002 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(753077), // Rule ID 12535 //
     /*  753007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753075 */     GIR_RootConstrainSelectedInstOperands,
     /*  753076 */     // GIR_Coverage, 12535,
     /*  753076 */     GIR_EraseRootFromParent_Done,
     /*  753077 */   // Label 11765: @753077
     /*  753077 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753152), // Rule ID 12538 //
     /*  753082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753150 */     GIR_RootConstrainSelectedInstOperands,
     /*  753151 */     // GIR_Coverage, 12538,
     /*  753151 */     GIR_EraseRootFromParent_Done,
     /*  753152 */   // Label 11766: @753152
     /*  753152 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753227), // Rule ID 12539 //
     /*  753157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753225 */     GIR_RootConstrainSelectedInstOperands,
     /*  753226 */     // GIR_Coverage, 12539,
     /*  753226 */     GIR_EraseRootFromParent_Done,
     /*  753227 */   // Label 11767: @753227
     /*  753227 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753302), // Rule ID 12542 //
     /*  753232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753300 */     GIR_RootConstrainSelectedInstOperands,
     /*  753301 */     // GIR_Coverage, 12542,
     /*  753301 */     GIR_EraseRootFromParent_Done,
     /*  753302 */   // Label 11768: @753302
     /*  753302 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753377), // Rule ID 12543 //
     /*  753307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753375 */     GIR_RootConstrainSelectedInstOperands,
     /*  753376 */     // GIR_Coverage, 12543,
     /*  753376 */     GIR_EraseRootFromParent_Done,
     /*  753377 */   // Label 11769: @753377
     /*  753377 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753452), // Rule ID 12546 //
     /*  753382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753450 */     GIR_RootConstrainSelectedInstOperands,
     /*  753451 */     // GIR_Coverage, 12546,
     /*  753451 */     GIR_EraseRootFromParent_Done,
     /*  753452 */   // Label 11770: @753452
     /*  753452 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753527), // Rule ID 12547 //
     /*  753457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753525 */     GIR_RootConstrainSelectedInstOperands,
     /*  753526 */     // GIR_Coverage, 12547,
     /*  753526 */     GIR_EraseRootFromParent_Done,
     /*  753527 */   // Label 11771: @753527
     /*  753527 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753602), // Rule ID 12550 //
     /*  753532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753600 */     GIR_RootConstrainSelectedInstOperands,
     /*  753601 */     // GIR_Coverage, 12550,
     /*  753601 */     GIR_EraseRootFromParent_Done,
     /*  753602 */   // Label 11772: @753602
     /*  753602 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753677), // Rule ID 12551 //
     /*  753607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753675 */     GIR_RootConstrainSelectedInstOperands,
     /*  753676 */     // GIR_Coverage, 12551,
     /*  753676 */     GIR_EraseRootFromParent_Done,
     /*  753677 */   // Label 11773: @753677
     /*  753677 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753752), // Rule ID 12554 //
     /*  753682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753750 */     GIR_RootConstrainSelectedInstOperands,
     /*  753751 */     // GIR_Coverage, 12554,
     /*  753751 */     GIR_EraseRootFromParent_Done,
     /*  753752 */   // Label 11774: @753752
     /*  753752 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753827), // Rule ID 12555 //
     /*  753757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753825 */     GIR_RootConstrainSelectedInstOperands,
     /*  753826 */     // GIR_Coverage, 12555,
     /*  753826 */     GIR_EraseRootFromParent_Done,
     /*  753827 */   // Label 11775: @753827
     /*  753827 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753902), // Rule ID 12558 //
     /*  753832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753900 */     GIR_RootConstrainSelectedInstOperands,
     /*  753901 */     // GIR_Coverage, 12558,
     /*  753901 */     GIR_EraseRootFromParent_Done,
     /*  753902 */   // Label 11776: @753902
     /*  753902 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753977), // Rule ID 12559 //
     /*  753907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753975 */     GIR_RootConstrainSelectedInstOperands,
     /*  753976 */     // GIR_Coverage, 12559,
     /*  753976 */     GIR_EraseRootFromParent_Done,
     /*  753977 */   // Label 11777: @753977
     /*  753977 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(754052), // Rule ID 12562 //
     /*  753982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754050 */     GIR_RootConstrainSelectedInstOperands,
     /*  754051 */     // GIR_Coverage, 12562,
     /*  754051 */     GIR_EraseRootFromParent_Done,
     /*  754052 */   // Label 11778: @754052
     /*  754052 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(754127), // Rule ID 12563 //
     /*  754057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754125 */     GIR_RootConstrainSelectedInstOperands,
     /*  754126 */     // GIR_Coverage, 12563,
     /*  754126 */     GIR_EraseRootFromParent_Done,
     /*  754127 */   // Label 11779: @754127
     /*  754127 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754202), // Rule ID 12566 //
     /*  754132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754200 */     GIR_RootConstrainSelectedInstOperands,
     /*  754201 */     // GIR_Coverage, 12566,
     /*  754201 */     GIR_EraseRootFromParent_Done,
     /*  754202 */   // Label 11780: @754202
     /*  754202 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754277), // Rule ID 12567 //
     /*  754207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754275 */     GIR_RootConstrainSelectedInstOperands,
     /*  754276 */     // GIR_Coverage, 12567,
     /*  754276 */     GIR_EraseRootFromParent_Done,
     /*  754277 */   // Label 11781: @754277
     /*  754277 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754352), // Rule ID 12570 //
     /*  754282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754350 */     GIR_RootConstrainSelectedInstOperands,
     /*  754351 */     // GIR_Coverage, 12570,
     /*  754351 */     GIR_EraseRootFromParent_Done,
     /*  754352 */   // Label 11782: @754352
     /*  754352 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754427), // Rule ID 12571 //
     /*  754357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754425 */     GIR_RootConstrainSelectedInstOperands,
     /*  754426 */     // GIR_Coverage, 12571,
     /*  754426 */     GIR_EraseRootFromParent_Done,
     /*  754427 */   // Label 11783: @754427
     /*  754427 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754502), // Rule ID 12574 //
     /*  754432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754500 */     GIR_RootConstrainSelectedInstOperands,
     /*  754501 */     // GIR_Coverage, 12574,
     /*  754501 */     GIR_EraseRootFromParent_Done,
     /*  754502 */   // Label 11784: @754502
     /*  754502 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754577), // Rule ID 12575 //
     /*  754507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754575 */     GIR_RootConstrainSelectedInstOperands,
     /*  754576 */     // GIR_Coverage, 12575,
     /*  754576 */     GIR_EraseRootFromParent_Done,
     /*  754577 */   // Label 11785: @754577
     /*  754577 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754652), // Rule ID 12578 //
     /*  754582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754650 */     GIR_RootConstrainSelectedInstOperands,
     /*  754651 */     // GIR_Coverage, 12578,
     /*  754651 */     GIR_EraseRootFromParent_Done,
     /*  754652 */   // Label 11786: @754652
     /*  754652 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754727), // Rule ID 12579 //
     /*  754657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754725 */     GIR_RootConstrainSelectedInstOperands,
     /*  754726 */     // GIR_Coverage, 12579,
     /*  754726 */     GIR_EraseRootFromParent_Done,
     /*  754727 */   // Label 11787: @754727
     /*  754727 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754802), // Rule ID 12582 //
     /*  754732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754800 */     GIR_RootConstrainSelectedInstOperands,
     /*  754801 */     // GIR_Coverage, 12582,
     /*  754801 */     GIR_EraseRootFromParent_Done,
     /*  754802 */   // Label 11788: @754802
     /*  754802 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754877), // Rule ID 12583 //
     /*  754807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754875 */     GIR_RootConstrainSelectedInstOperands,
     /*  754876 */     // GIR_Coverage, 12583,
     /*  754876 */     GIR_EraseRootFromParent_Done,
     /*  754877 */   // Label 11789: @754877
     /*  754877 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754952), // Rule ID 12586 //
     /*  754882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754950 */     GIR_RootConstrainSelectedInstOperands,
     /*  754951 */     // GIR_Coverage, 12586,
     /*  754951 */     GIR_EraseRootFromParent_Done,
     /*  754952 */   // Label 11790: @754952
     /*  754952 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(755027), // Rule ID 12587 //
     /*  754957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755025 */     GIR_RootConstrainSelectedInstOperands,
     /*  755026 */     // GIR_Coverage, 12587,
     /*  755026 */     GIR_EraseRootFromParent_Done,
     /*  755027 */   // Label 11791: @755027
     /*  755027 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(755102), // Rule ID 12590 //
     /*  755032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755100 */     GIR_RootConstrainSelectedInstOperands,
     /*  755101 */     // GIR_Coverage, 12590,
     /*  755101 */     GIR_EraseRootFromParent_Done,
     /*  755102 */   // Label 11792: @755102
     /*  755102 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(755177), // Rule ID 12591 //
     /*  755107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755175 */     GIR_RootConstrainSelectedInstOperands,
     /*  755176 */     // GIR_Coverage, 12591,
     /*  755176 */     GIR_EraseRootFromParent_Done,
     /*  755177 */   // Label 11793: @755177
     /*  755177 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(755252), // Rule ID 12594 //
     /*  755182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755250 */     GIR_RootConstrainSelectedInstOperands,
     /*  755251 */     // GIR_Coverage, 12594,
     /*  755251 */     GIR_EraseRootFromParent_Done,
     /*  755252 */   // Label 11794: @755252
     /*  755252 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755327), // Rule ID 12595 //
     /*  755257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755325 */     GIR_RootConstrainSelectedInstOperands,
     /*  755326 */     // GIR_Coverage, 12595,
     /*  755326 */     GIR_EraseRootFromParent_Done,
     /*  755327 */   // Label 11795: @755327
     /*  755327 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755402), // Rule ID 12598 //
     /*  755332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755400 */     GIR_RootConstrainSelectedInstOperands,
     /*  755401 */     // GIR_Coverage, 12598,
     /*  755401 */     GIR_EraseRootFromParent_Done,
     /*  755402 */   // Label 11796: @755402
     /*  755402 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755477), // Rule ID 12599 //
     /*  755407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755475 */     GIR_RootConstrainSelectedInstOperands,
     /*  755476 */     // GIR_Coverage, 12599,
     /*  755476 */     GIR_EraseRootFromParent_Done,
     /*  755477 */   // Label 11797: @755477
     /*  755477 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755552), // Rule ID 12602 //
     /*  755482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755550 */     GIR_RootConstrainSelectedInstOperands,
     /*  755551 */     // GIR_Coverage, 12602,
     /*  755551 */     GIR_EraseRootFromParent_Done,
     /*  755552 */   // Label 11798: @755552
     /*  755552 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755627), // Rule ID 12603 //
     /*  755557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755625 */     GIR_RootConstrainSelectedInstOperands,
     /*  755626 */     // GIR_Coverage, 12603,
     /*  755626 */     GIR_EraseRootFromParent_Done,
     /*  755627 */   // Label 11799: @755627
     /*  755627 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755702), // Rule ID 12606 //
     /*  755632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755700 */     GIR_RootConstrainSelectedInstOperands,
     /*  755701 */     // GIR_Coverage, 12606,
     /*  755701 */     GIR_EraseRootFromParent_Done,
     /*  755702 */   // Label 11800: @755702
     /*  755702 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755777), // Rule ID 12607 //
     /*  755707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755775 */     GIR_RootConstrainSelectedInstOperands,
     /*  755776 */     // GIR_Coverage, 12607,
     /*  755776 */     GIR_EraseRootFromParent_Done,
     /*  755777 */   // Label 11801: @755777
     /*  755777 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755855), // Rule ID 13936 //
     /*  755782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755853 */     GIR_RootConstrainSelectedInstOperands,
     /*  755854 */     // GIR_Coverage, 13936,
     /*  755854 */     GIR_EraseRootFromParent_Done,
     /*  755855 */   // Label 11802: @755855
     /*  755855 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755933), // Rule ID 13937 //
     /*  755860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755906 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755931 */     GIR_RootConstrainSelectedInstOperands,
     /*  755932 */     // GIR_Coverage, 13937,
     /*  755932 */     GIR_EraseRootFromParent_Done,
     /*  755933 */   // Label 11803: @755933
     /*  755933 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(756011), // Rule ID 13940 //
     /*  755938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756009 */     GIR_RootConstrainSelectedInstOperands,
     /*  756010 */     // GIR_Coverage, 13940,
     /*  756010 */     GIR_EraseRootFromParent_Done,
     /*  756011 */   // Label 11804: @756011
     /*  756011 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(756089), // Rule ID 13941 //
     /*  756016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756087 */     GIR_RootConstrainSelectedInstOperands,
     /*  756088 */     // GIR_Coverage, 13941,
     /*  756088 */     GIR_EraseRootFromParent_Done,
     /*  756089 */   // Label 11805: @756089
     /*  756089 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(756167), // Rule ID 13944 //
     /*  756094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756165 */     GIR_RootConstrainSelectedInstOperands,
     /*  756166 */     // GIR_Coverage, 13944,
     /*  756166 */     GIR_EraseRootFromParent_Done,
     /*  756167 */   // Label 11806: @756167
     /*  756167 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(756245), // Rule ID 13945 //
     /*  756172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756243 */     GIR_RootConstrainSelectedInstOperands,
     /*  756244 */     // GIR_Coverage, 13945,
     /*  756244 */     GIR_EraseRootFromParent_Done,
     /*  756245 */   // Label 11807: @756245
     /*  756245 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756323), // Rule ID 13948 //
     /*  756250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756321 */     GIR_RootConstrainSelectedInstOperands,
     /*  756322 */     // GIR_Coverage, 13948,
     /*  756322 */     GIR_EraseRootFromParent_Done,
     /*  756323 */   // Label 11808: @756323
     /*  756323 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756401), // Rule ID 13949 //
     /*  756328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756399 */     GIR_RootConstrainSelectedInstOperands,
     /*  756400 */     // GIR_Coverage, 13949,
     /*  756400 */     GIR_EraseRootFromParent_Done,
     /*  756401 */   // Label 11809: @756401
     /*  756401 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756479), // Rule ID 13952 //
     /*  756406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756477 */     GIR_RootConstrainSelectedInstOperands,
     /*  756478 */     // GIR_Coverage, 13952,
     /*  756478 */     GIR_EraseRootFromParent_Done,
     /*  756479 */   // Label 11810: @756479
     /*  756479 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756557), // Rule ID 13953 //
     /*  756484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756555 */     GIR_RootConstrainSelectedInstOperands,
     /*  756556 */     // GIR_Coverage, 13953,
     /*  756556 */     GIR_EraseRootFromParent_Done,
     /*  756557 */   // Label 11811: @756557
     /*  756557 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756635), // Rule ID 13956 //
     /*  756562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756633 */     GIR_RootConstrainSelectedInstOperands,
     /*  756634 */     // GIR_Coverage, 13956,
     /*  756634 */     GIR_EraseRootFromParent_Done,
     /*  756635 */   // Label 11812: @756635
     /*  756635 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756713), // Rule ID 13957 //
     /*  756640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756711 */     GIR_RootConstrainSelectedInstOperands,
     /*  756712 */     // GIR_Coverage, 13957,
     /*  756712 */     GIR_EraseRootFromParent_Done,
     /*  756713 */   // Label 11813: @756713
     /*  756713 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756791), // Rule ID 13960 //
     /*  756718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756789 */     GIR_RootConstrainSelectedInstOperands,
     /*  756790 */     // GIR_Coverage, 13960,
     /*  756790 */     GIR_EraseRootFromParent_Done,
     /*  756791 */   // Label 11814: @756791
     /*  756791 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756869), // Rule ID 13961 //
     /*  756796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756867 */     GIR_RootConstrainSelectedInstOperands,
     /*  756868 */     // GIR_Coverage, 13961,
     /*  756868 */     GIR_EraseRootFromParent_Done,
     /*  756869 */   // Label 11815: @756869
     /*  756869 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756947), // Rule ID 13964 //
     /*  756874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756945 */     GIR_RootConstrainSelectedInstOperands,
     /*  756946 */     // GIR_Coverage, 13964,
     /*  756946 */     GIR_EraseRootFromParent_Done,
     /*  756947 */   // Label 11816: @756947
     /*  756947 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(757025), // Rule ID 13965 //
     /*  756952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757023 */     GIR_RootConstrainSelectedInstOperands,
     /*  757024 */     // GIR_Coverage, 13965,
     /*  757024 */     GIR_EraseRootFromParent_Done,
     /*  757025 */   // Label 11817: @757025
     /*  757025 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(757103), // Rule ID 13968 //
     /*  757030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757101 */     GIR_RootConstrainSelectedInstOperands,
     /*  757102 */     // GIR_Coverage, 13968,
     /*  757102 */     GIR_EraseRootFromParent_Done,
     /*  757103 */   // Label 11818: @757103
     /*  757103 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(757181), // Rule ID 13969 //
     /*  757108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757179 */     GIR_RootConstrainSelectedInstOperands,
     /*  757180 */     // GIR_Coverage, 13969,
     /*  757180 */     GIR_EraseRootFromParent_Done,
     /*  757181 */   // Label 11819: @757181
     /*  757181 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(757259), // Rule ID 13972 //
     /*  757186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757257 */     GIR_RootConstrainSelectedInstOperands,
     /*  757258 */     // GIR_Coverage, 13972,
     /*  757258 */     GIR_EraseRootFromParent_Done,
     /*  757259 */   // Label 11820: @757259
     /*  757259 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757337), // Rule ID 13973 //
     /*  757264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757335 */     GIR_RootConstrainSelectedInstOperands,
     /*  757336 */     // GIR_Coverage, 13973,
     /*  757336 */     GIR_EraseRootFromParent_Done,
     /*  757337 */   // Label 11821: @757337
     /*  757337 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757415), // Rule ID 13976 //
     /*  757342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757413 */     GIR_RootConstrainSelectedInstOperands,
     /*  757414 */     // GIR_Coverage, 13976,
     /*  757414 */     GIR_EraseRootFromParent_Done,
     /*  757415 */   // Label 11822: @757415
     /*  757415 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757493), // Rule ID 13977 //
     /*  757420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757491 */     GIR_RootConstrainSelectedInstOperands,
     /*  757492 */     // GIR_Coverage, 13977,
     /*  757492 */     GIR_EraseRootFromParent_Done,
     /*  757493 */   // Label 11823: @757493
     /*  757493 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757571), // Rule ID 13980 //
     /*  757498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757569 */     GIR_RootConstrainSelectedInstOperands,
     /*  757570 */     // GIR_Coverage, 13980,
     /*  757570 */     GIR_EraseRootFromParent_Done,
     /*  757571 */   // Label 11824: @757571
     /*  757571 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757649), // Rule ID 13981 //
     /*  757576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757647 */     GIR_RootConstrainSelectedInstOperands,
     /*  757648 */     // GIR_Coverage, 13981,
     /*  757648 */     GIR_EraseRootFromParent_Done,
     /*  757649 */   // Label 11825: @757649
     /*  757649 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757727), // Rule ID 13984 //
     /*  757654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757700 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757725 */     GIR_RootConstrainSelectedInstOperands,
     /*  757726 */     // GIR_Coverage, 13984,
     /*  757726 */     GIR_EraseRootFromParent_Done,
     /*  757727 */   // Label 11826: @757727
     /*  757727 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757805), // Rule ID 13985 //
     /*  757732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757803 */     GIR_RootConstrainSelectedInstOperands,
     /*  757804 */     // GIR_Coverage, 13985,
     /*  757804 */     GIR_EraseRootFromParent_Done,
     /*  757805 */   // Label 11827: @757805
     /*  757805 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757883), // Rule ID 13988 //
     /*  757810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757881 */     GIR_RootConstrainSelectedInstOperands,
     /*  757882 */     // GIR_Coverage, 13988,
     /*  757882 */     GIR_EraseRootFromParent_Done,
     /*  757883 */   // Label 11828: @757883
     /*  757883 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757961), // Rule ID 13989 //
     /*  757888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757959 */     GIR_RootConstrainSelectedInstOperands,
     /*  757960 */     // GIR_Coverage, 13989,
     /*  757960 */     GIR_EraseRootFromParent_Done,
     /*  757961 */   // Label 11829: @757961
     /*  757961 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(758039), // Rule ID 13992 //
     /*  757966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758037 */     GIR_RootConstrainSelectedInstOperands,
     /*  758038 */     // GIR_Coverage, 13992,
     /*  758038 */     GIR_EraseRootFromParent_Done,
     /*  758039 */   // Label 11830: @758039
     /*  758039 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(758117), // Rule ID 13993 //
     /*  758044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758115 */     GIR_RootConstrainSelectedInstOperands,
     /*  758116 */     // GIR_Coverage, 13993,
     /*  758116 */     GIR_EraseRootFromParent_Done,
     /*  758117 */   // Label 11831: @758117
     /*  758117 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(758195), // Rule ID 13996 //
     /*  758122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758193 */     GIR_RootConstrainSelectedInstOperands,
     /*  758194 */     // GIR_Coverage, 13996,
     /*  758194 */     GIR_EraseRootFromParent_Done,
     /*  758195 */   // Label 11832: @758195
     /*  758195 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(758273), // Rule ID 13997 //
     /*  758200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758271 */     GIR_RootConstrainSelectedInstOperands,
     /*  758272 */     // GIR_Coverage, 13997,
     /*  758272 */     GIR_EraseRootFromParent_Done,
     /*  758273 */   // Label 11833: @758273
     /*  758273 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(758351), // Rule ID 14000 //
     /*  758278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758349 */     GIR_RootConstrainSelectedInstOperands,
     /*  758350 */     // GIR_Coverage, 14000,
     /*  758350 */     GIR_EraseRootFromParent_Done,
     /*  758351 */   // Label 11834: @758351
     /*  758351 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758429), // Rule ID 14001 //
     /*  758356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758427 */     GIR_RootConstrainSelectedInstOperands,
     /*  758428 */     // GIR_Coverage, 14001,
     /*  758428 */     GIR_EraseRootFromParent_Done,
     /*  758429 */   // Label 11835: @758429
     /*  758429 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758507), // Rule ID 14004 //
     /*  758434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758505 */     GIR_RootConstrainSelectedInstOperands,
     /*  758506 */     // GIR_Coverage, 14004,
     /*  758506 */     GIR_EraseRootFromParent_Done,
     /*  758507 */   // Label 11836: @758507
     /*  758507 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758585), // Rule ID 14005 //
     /*  758512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758583 */     GIR_RootConstrainSelectedInstOperands,
     /*  758584 */     // GIR_Coverage, 14005,
     /*  758584 */     GIR_EraseRootFromParent_Done,
     /*  758585 */   // Label 11837: @758585
     /*  758585 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758663), // Rule ID 14008 //
     /*  758590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758661 */     GIR_RootConstrainSelectedInstOperands,
     /*  758662 */     // GIR_Coverage, 14008,
     /*  758662 */     GIR_EraseRootFromParent_Done,
     /*  758663 */   // Label 11838: @758663
     /*  758663 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758741), // Rule ID 14009 //
     /*  758668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758739 */     GIR_RootConstrainSelectedInstOperands,
     /*  758740 */     // GIR_Coverage, 14009,
     /*  758740 */     GIR_EraseRootFromParent_Done,
     /*  758741 */   // Label 11839: @758741
     /*  758741 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758819), // Rule ID 14012 //
     /*  758746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758817 */     GIR_RootConstrainSelectedInstOperands,
     /*  758818 */     // GIR_Coverage, 14012,
     /*  758818 */     GIR_EraseRootFromParent_Done,
     /*  758819 */   // Label 11840: @758819
     /*  758819 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758897), // Rule ID 14013 //
     /*  758824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758895 */     GIR_RootConstrainSelectedInstOperands,
     /*  758896 */     // GIR_Coverage, 14013,
     /*  758896 */     GIR_EraseRootFromParent_Done,
     /*  758897 */   // Label 11841: @758897
     /*  758897 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758975), // Rule ID 14016 //
     /*  758902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758973 */     GIR_RootConstrainSelectedInstOperands,
     /*  758974 */     // GIR_Coverage, 14016,
     /*  758974 */     GIR_EraseRootFromParent_Done,
     /*  758975 */   // Label 11842: @758975
     /*  758975 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(759053), // Rule ID 14017 //
     /*  758980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759051 */     GIR_RootConstrainSelectedInstOperands,
     /*  759052 */     // GIR_Coverage, 14017,
     /*  759052 */     GIR_EraseRootFromParent_Done,
     /*  759053 */   // Label 11843: @759053
     /*  759053 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(759131), // Rule ID 14020 //
     /*  759058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759129 */     GIR_RootConstrainSelectedInstOperands,
     /*  759130 */     // GIR_Coverage, 14020,
     /*  759130 */     GIR_EraseRootFromParent_Done,
     /*  759131 */   // Label 11844: @759131
     /*  759131 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(759209), // Rule ID 14021 //
     /*  759136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759207 */     GIR_RootConstrainSelectedInstOperands,
     /*  759208 */     // GIR_Coverage, 14021,
     /*  759208 */     GIR_EraseRootFromParent_Done,
     /*  759209 */   // Label 11845: @759209
     /*  759209 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(759287), // Rule ID 14024 //
     /*  759214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759260 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  759263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759285 */     GIR_RootConstrainSelectedInstOperands,
     /*  759286 */     // GIR_Coverage, 14024,
     /*  759286 */     GIR_EraseRootFromParent_Done,
     /*  759287 */   // Label 11846: @759287
     /*  759287 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(759365), // Rule ID 14025 //
     /*  759292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  759341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759363 */     GIR_RootConstrainSelectedInstOperands,
     /*  759364 */     // GIR_Coverage, 14025,
     /*  759364 */     GIR_EraseRootFromParent_Done,
     /*  759365 */   // Label 11847: @759365
     /*  759365 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759443), // Rule ID 14028 //
     /*  759370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759441 */     GIR_RootConstrainSelectedInstOperands,
     /*  759442 */     // GIR_Coverage, 14028,
     /*  759442 */     GIR_EraseRootFromParent_Done,
     /*  759443 */   // Label 11848: @759443
     /*  759443 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759521), // Rule ID 14029 //
     /*  759448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759494 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759519 */     GIR_RootConstrainSelectedInstOperands,
     /*  759520 */     // GIR_Coverage, 14029,
     /*  759520 */     GIR_EraseRootFromParent_Done,
     /*  759521 */   // Label 11849: @759521
     /*  759521 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759599), // Rule ID 14032 //
     /*  759526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759597 */     GIR_RootConstrainSelectedInstOperands,
     /*  759598 */     // GIR_Coverage, 14032,
     /*  759598 */     GIR_EraseRootFromParent_Done,
     /*  759599 */   // Label 11850: @759599
     /*  759599 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759677), // Rule ID 14033 //
     /*  759604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759650 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759675 */     GIR_RootConstrainSelectedInstOperands,
     /*  759676 */     // GIR_Coverage, 14033,
     /*  759676 */     GIR_EraseRootFromParent_Done,
     /*  759677 */   // Label 11851: @759677
     /*  759677 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759755), // Rule ID 14036 //
     /*  759682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759753 */     GIR_RootConstrainSelectedInstOperands,
     /*  759754 */     // GIR_Coverage, 14036,
     /*  759754 */     GIR_EraseRootFromParent_Done,
     /*  759755 */   // Label 11852: @759755
     /*  759755 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759833), // Rule ID 14037 //
     /*  759760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759831 */     GIR_RootConstrainSelectedInstOperands,
     /*  759832 */     // GIR_Coverage, 14037,
     /*  759832 */     GIR_EraseRootFromParent_Done,
     /*  759833 */   // Label 11853: @759833
     /*  759833 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759911), // Rule ID 14040 //
     /*  759838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759909 */     GIR_RootConstrainSelectedInstOperands,
     /*  759910 */     // GIR_Coverage, 14040,
     /*  759910 */     GIR_EraseRootFromParent_Done,
     /*  759911 */   // Label 11854: @759911
     /*  759911 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759989), // Rule ID 14041 //
     /*  759916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759962 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759987 */     GIR_RootConstrainSelectedInstOperands,
     /*  759988 */     // GIR_Coverage, 14041,
     /*  759988 */     GIR_EraseRootFromParent_Done,
     /*  759989 */   // Label 11855: @759989
     /*  759989 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(760067), // Rule ID 14044 //
     /*  759994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760065 */     GIR_RootConstrainSelectedInstOperands,
     /*  760066 */     // GIR_Coverage, 14044,
     /*  760066 */     GIR_EraseRootFromParent_Done,
     /*  760067 */   // Label 11856: @760067
     /*  760067 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(760145), // Rule ID 14045 //
     /*  760072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760143 */     GIR_RootConstrainSelectedInstOperands,
     /*  760144 */     // GIR_Coverage, 14045,
     /*  760144 */     GIR_EraseRootFromParent_Done,
     /*  760145 */   // Label 11857: @760145
     /*  760145 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(760223), // Rule ID 14048 //
     /*  760150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760221 */     GIR_RootConstrainSelectedInstOperands,
     /*  760222 */     // GIR_Coverage, 14048,
     /*  760222 */     GIR_EraseRootFromParent_Done,
     /*  760223 */   // Label 11858: @760223
     /*  760223 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(760301), // Rule ID 14049 //
     /*  760228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760299 */     GIR_RootConstrainSelectedInstOperands,
     /*  760300 */     // GIR_Coverage, 14049,
     /*  760300 */     GIR_EraseRootFromParent_Done,
     /*  760301 */   // Label 11859: @760301
     /*  760301 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(760379), // Rule ID 14052 //
     /*  760306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760377 */     GIR_RootConstrainSelectedInstOperands,
     /*  760378 */     // GIR_Coverage, 14052,
     /*  760378 */     GIR_EraseRootFromParent_Done,
     /*  760379 */   // Label 11860: @760379
     /*  760379 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760457), // Rule ID 14053 //
     /*  760384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760455 */     GIR_RootConstrainSelectedInstOperands,
     /*  760456 */     // GIR_Coverage, 14053,
     /*  760456 */     GIR_EraseRootFromParent_Done,
     /*  760457 */   // Label 11861: @760457
     /*  760457 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760535), // Rule ID 14056 //
     /*  760462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760533 */     GIR_RootConstrainSelectedInstOperands,
     /*  760534 */     // GIR_Coverage, 14056,
     /*  760534 */     GIR_EraseRootFromParent_Done,
     /*  760535 */   // Label 11862: @760535
     /*  760535 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760613), // Rule ID 14057 //
     /*  760540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760611 */     GIR_RootConstrainSelectedInstOperands,
     /*  760612 */     // GIR_Coverage, 14057,
     /*  760612 */     GIR_EraseRootFromParent_Done,
     /*  760613 */   // Label 11863: @760613
     /*  760613 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760691), // Rule ID 14060 //
     /*  760618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760689 */     GIR_RootConstrainSelectedInstOperands,
     /*  760690 */     // GIR_Coverage, 14060,
     /*  760690 */     GIR_EraseRootFromParent_Done,
     /*  760691 */   // Label 11864: @760691
     /*  760691 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760769), // Rule ID 14061 //
     /*  760696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760767 */     GIR_RootConstrainSelectedInstOperands,
     /*  760768 */     // GIR_Coverage, 14061,
     /*  760768 */     GIR_EraseRootFromParent_Done,
     /*  760769 */   // Label 11865: @760769
     /*  760769 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760847), // Rule ID 14064 //
     /*  760774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760820 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760845 */     GIR_RootConstrainSelectedInstOperands,
     /*  760846 */     // GIR_Coverage, 14064,
     /*  760846 */     GIR_EraseRootFromParent_Done,
     /*  760847 */   // Label 11866: @760847
     /*  760847 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760925), // Rule ID 14065 //
     /*  760852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760923 */     GIR_RootConstrainSelectedInstOperands,
     /*  760924 */     // GIR_Coverage, 14065,
     /*  760924 */     GIR_EraseRootFromParent_Done,
     /*  760925 */   // Label 11867: @760925
     /*  760925 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(761003), // Rule ID 14068 //
     /*  760930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761001 */     GIR_RootConstrainSelectedInstOperands,
     /*  761002 */     // GIR_Coverage, 14068,
     /*  761002 */     GIR_EraseRootFromParent_Done,
     /*  761003 */   // Label 11868: @761003
     /*  761003 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(761081), // Rule ID 14069 //
     /*  761008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761079 */     GIR_RootConstrainSelectedInstOperands,
     /*  761080 */     // GIR_Coverage, 14069,
     /*  761080 */     GIR_EraseRootFromParent_Done,
     /*  761081 */   // Label 11869: @761081
     /*  761081 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761159), // Rule ID 14072 //
     /*  761086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761132 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761157 */     GIR_RootConstrainSelectedInstOperands,
     /*  761158 */     // GIR_Coverage, 14072,
     /*  761158 */     GIR_EraseRootFromParent_Done,
     /*  761159 */   // Label 11870: @761159
     /*  761159 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(761237), // Rule ID 14073 //
     /*  761164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761210 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761235 */     GIR_RootConstrainSelectedInstOperands,
     /*  761236 */     // GIR_Coverage, 14073,
     /*  761236 */     GIR_EraseRootFromParent_Done,
     /*  761237 */   // Label 11871: @761237
     /*  761237 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(761315), // Rule ID 14076 //
     /*  761242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761313 */     GIR_RootConstrainSelectedInstOperands,
     /*  761314 */     // GIR_Coverage, 14076,
     /*  761314 */     GIR_EraseRootFromParent_Done,
     /*  761315 */   // Label 11872: @761315
     /*  761315 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(761393), // Rule ID 14077 //
     /*  761320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761391 */     GIR_RootConstrainSelectedInstOperands,
     /*  761392 */     // GIR_Coverage, 14077,
     /*  761392 */     GIR_EraseRootFromParent_Done,
     /*  761393 */   // Label 11873: @761393
     /*  761393 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761471), // Rule ID 14080 //
     /*  761398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761469 */     GIR_RootConstrainSelectedInstOperands,
     /*  761470 */     // GIR_Coverage, 14080,
     /*  761470 */     GIR_EraseRootFromParent_Done,
     /*  761471 */   // Label 11874: @761471
     /*  761471 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761549), // Rule ID 14081 //
     /*  761476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761547 */     GIR_RootConstrainSelectedInstOperands,
     /*  761548 */     // GIR_Coverage, 14081,
     /*  761548 */     GIR_EraseRootFromParent_Done,
     /*  761549 */   // Label 11875: @761549
     /*  761549 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761627), // Rule ID 14084 //
     /*  761554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761625 */     GIR_RootConstrainSelectedInstOperands,
     /*  761626 */     // GIR_Coverage, 14084,
     /*  761626 */     GIR_EraseRootFromParent_Done,
     /*  761627 */   // Label 11876: @761627
     /*  761627 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761705), // Rule ID 14085 //
     /*  761632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761703 */     GIR_RootConstrainSelectedInstOperands,
     /*  761704 */     // GIR_Coverage, 14085,
     /*  761704 */     GIR_EraseRootFromParent_Done,
     /*  761705 */   // Label 11877: @761705
     /*  761705 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761783), // Rule ID 14088 //
     /*  761710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761781 */     GIR_RootConstrainSelectedInstOperands,
     /*  761782 */     // GIR_Coverage, 14088,
     /*  761782 */     GIR_EraseRootFromParent_Done,
     /*  761783 */   // Label 11878: @761783
     /*  761783 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761861), // Rule ID 14089 //
     /*  761788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761859 */     GIR_RootConstrainSelectedInstOperands,
     /*  761860 */     // GIR_Coverage, 14089,
     /*  761860 */     GIR_EraseRootFromParent_Done,
     /*  761861 */   // Label 11879: @761861
     /*  761861 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761939), // Rule ID 14092 //
     /*  761866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761937 */     GIR_RootConstrainSelectedInstOperands,
     /*  761938 */     // GIR_Coverage, 14092,
     /*  761938 */     GIR_EraseRootFromParent_Done,
     /*  761939 */   // Label 11880: @761939
     /*  761939 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(762017), // Rule ID 14093 //
     /*  761944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762015 */     GIR_RootConstrainSelectedInstOperands,
     /*  762016 */     // GIR_Coverage, 14093,
     /*  762016 */     GIR_EraseRootFromParent_Done,
     /*  762017 */   // Label 11881: @762017
     /*  762017 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(762095), // Rule ID 14096 //
     /*  762022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762093 */     GIR_RootConstrainSelectedInstOperands,
     /*  762094 */     // GIR_Coverage, 14096,
     /*  762094 */     GIR_EraseRootFromParent_Done,
     /*  762095 */   // Label 11882: @762095
     /*  762095 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762173), // Rule ID 14097 //
     /*  762100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762171 */     GIR_RootConstrainSelectedInstOperands,
     /*  762172 */     // GIR_Coverage, 14097,
     /*  762172 */     GIR_EraseRootFromParent_Done,
     /*  762173 */   // Label 11883: @762173
     /*  762173 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(762251), // Rule ID 14100 //
     /*  762178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762249 */     GIR_RootConstrainSelectedInstOperands,
     /*  762250 */     // GIR_Coverage, 14100,
     /*  762250 */     GIR_EraseRootFromParent_Done,
     /*  762251 */   // Label 11884: @762251
     /*  762251 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(762329), // Rule ID 14101 //
     /*  762256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762327 */     GIR_RootConstrainSelectedInstOperands,
     /*  762328 */     // GIR_Coverage, 14101,
     /*  762328 */     GIR_EraseRootFromParent_Done,
     /*  762329 */   // Label 11885: @762329
     /*  762329 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762407), // Rule ID 14104 //
     /*  762334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762405 */     GIR_RootConstrainSelectedInstOperands,
     /*  762406 */     // GIR_Coverage, 14104,
     /*  762406 */     GIR_EraseRootFromParent_Done,
     /*  762407 */   // Label 11886: @762407
     /*  762407 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762485), // Rule ID 14105 //
     /*  762412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762483 */     GIR_RootConstrainSelectedInstOperands,
     /*  762484 */     // GIR_Coverage, 14105,
     /*  762484 */     GIR_EraseRootFromParent_Done,
     /*  762485 */   // Label 11887: @762485
     /*  762485 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762563), // Rule ID 14108 //
     /*  762490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762561 */     GIR_RootConstrainSelectedInstOperands,
     /*  762562 */     // GIR_Coverage, 14108,
     /*  762562 */     GIR_EraseRootFromParent_Done,
     /*  762563 */   // Label 11888: @762563
     /*  762563 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762641), // Rule ID 14109 //
     /*  762568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762639 */     GIR_RootConstrainSelectedInstOperands,
     /*  762640 */     // GIR_Coverage, 14109,
     /*  762640 */     GIR_EraseRootFromParent_Done,
     /*  762641 */   // Label 11889: @762641
     /*  762641 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762719), // Rule ID 14200 //
     /*  762646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762717 */     GIR_RootConstrainSelectedInstOperands,
     /*  762718 */     // GIR_Coverage, 14200,
     /*  762718 */     GIR_EraseRootFromParent_Done,
     /*  762719 */   // Label 11890: @762719
     /*  762719 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762797), // Rule ID 14201 //
     /*  762724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762795 */     GIR_RootConstrainSelectedInstOperands,
     /*  762796 */     // GIR_Coverage, 14201,
     /*  762796 */     GIR_EraseRootFromParent_Done,
     /*  762797 */   // Label 11891: @762797
     /*  762797 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762875), // Rule ID 14204 //
     /*  762802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762873 */     GIR_RootConstrainSelectedInstOperands,
     /*  762874 */     // GIR_Coverage, 14204,
     /*  762874 */     GIR_EraseRootFromParent_Done,
     /*  762875 */   // Label 11892: @762875
     /*  762875 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762953), // Rule ID 14205 //
     /*  762880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762951 */     GIR_RootConstrainSelectedInstOperands,
     /*  762952 */     // GIR_Coverage, 14205,
     /*  762952 */     GIR_EraseRootFromParent_Done,
     /*  762953 */   // Label 11893: @762953
     /*  762953 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(763031), // Rule ID 14208 //
     /*  762958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763029 */     GIR_RootConstrainSelectedInstOperands,
     /*  763030 */     // GIR_Coverage, 14208,
     /*  763030 */     GIR_EraseRootFromParent_Done,
     /*  763031 */   // Label 11894: @763031
     /*  763031 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(763109), // Rule ID 14209 //
     /*  763036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763107 */     GIR_RootConstrainSelectedInstOperands,
     /*  763108 */     // GIR_Coverage, 14209,
     /*  763108 */     GIR_EraseRootFromParent_Done,
     /*  763109 */   // Label 11895: @763109
     /*  763109 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763187), // Rule ID 14212 //
     /*  763114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763160 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763185 */     GIR_RootConstrainSelectedInstOperands,
     /*  763186 */     // GIR_Coverage, 14212,
     /*  763186 */     GIR_EraseRootFromParent_Done,
     /*  763187 */   // Label 11896: @763187
     /*  763187 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(763265), // Rule ID 14213 //
     /*  763192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763263 */     GIR_RootConstrainSelectedInstOperands,
     /*  763264 */     // GIR_Coverage, 14213,
     /*  763264 */     GIR_EraseRootFromParent_Done,
     /*  763265 */   // Label 11897: @763265
     /*  763265 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(763343), // Rule ID 14216 //
     /*  763270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763341 */     GIR_RootConstrainSelectedInstOperands,
     /*  763342 */     // GIR_Coverage, 14216,
     /*  763342 */     GIR_EraseRootFromParent_Done,
     /*  763343 */   // Label 11898: @763343
     /*  763343 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763421), // Rule ID 14217 //
     /*  763348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763419 */     GIR_RootConstrainSelectedInstOperands,
     /*  763420 */     // GIR_Coverage, 14217,
     /*  763420 */     GIR_EraseRootFromParent_Done,
     /*  763421 */   // Label 11899: @763421
     /*  763421 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763499), // Rule ID 14220 //
     /*  763426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763497 */     GIR_RootConstrainSelectedInstOperands,
     /*  763498 */     // GIR_Coverage, 14220,
     /*  763498 */     GIR_EraseRootFromParent_Done,
     /*  763499 */   // Label 11900: @763499
     /*  763499 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763577), // Rule ID 14221 //
     /*  763504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763575 */     GIR_RootConstrainSelectedInstOperands,
     /*  763576 */     // GIR_Coverage, 14221,
     /*  763576 */     GIR_EraseRootFromParent_Done,
     /*  763577 */   // Label 11901: @763577
     /*  763577 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763655), // Rule ID 14224 //
     /*  763582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763653 */     GIR_RootConstrainSelectedInstOperands,
     /*  763654 */     // GIR_Coverage, 14224,
     /*  763654 */     GIR_EraseRootFromParent_Done,
     /*  763655 */   // Label 11902: @763655
     /*  763655 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763733), // Rule ID 14225 //
     /*  763660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763731 */     GIR_RootConstrainSelectedInstOperands,
     /*  763732 */     // GIR_Coverage, 14225,
     /*  763732 */     GIR_EraseRootFromParent_Done,
     /*  763733 */   // Label 11903: @763733
     /*  763733 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763811), // Rule ID 14228 //
     /*  763738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763809 */     GIR_RootConstrainSelectedInstOperands,
     /*  763810 */     // GIR_Coverage, 14228,
     /*  763810 */     GIR_EraseRootFromParent_Done,
     /*  763811 */   // Label 11904: @763811
     /*  763811 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763889), // Rule ID 14229 //
     /*  763816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763887 */     GIR_RootConstrainSelectedInstOperands,
     /*  763888 */     // GIR_Coverage, 14229,
     /*  763888 */     GIR_EraseRootFromParent_Done,
     /*  763889 */   // Label 11905: @763889
     /*  763889 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763967), // Rule ID 14232 //
     /*  763894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763965 */     GIR_RootConstrainSelectedInstOperands,
     /*  763966 */     // GIR_Coverage, 14232,
     /*  763966 */     GIR_EraseRootFromParent_Done,
     /*  763967 */   // Label 11906: @763967
     /*  763967 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(764045), // Rule ID 14233 //
     /*  763972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764043 */     GIR_RootConstrainSelectedInstOperands,
     /*  764044 */     // GIR_Coverage, 14233,
     /*  764044 */     GIR_EraseRootFromParent_Done,
     /*  764045 */   // Label 11907: @764045
     /*  764045 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764123), // Rule ID 14236 //
     /*  764050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764121 */     GIR_RootConstrainSelectedInstOperands,
     /*  764122 */     // GIR_Coverage, 14236,
     /*  764122 */     GIR_EraseRootFromParent_Done,
     /*  764123 */   // Label 11908: @764123
     /*  764123 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764201), // Rule ID 14237 //
     /*  764128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764199 */     GIR_RootConstrainSelectedInstOperands,
     /*  764200 */     // GIR_Coverage, 14237,
     /*  764200 */     GIR_EraseRootFromParent_Done,
     /*  764201 */   // Label 11909: @764201
     /*  764201 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764279), // Rule ID 14240 //
     /*  764206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764277 */     GIR_RootConstrainSelectedInstOperands,
     /*  764278 */     // GIR_Coverage, 14240,
     /*  764278 */     GIR_EraseRootFromParent_Done,
     /*  764279 */   // Label 11910: @764279
     /*  764279 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(764357), // Rule ID 14241 //
     /*  764284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764355 */     GIR_RootConstrainSelectedInstOperands,
     /*  764356 */     // GIR_Coverage, 14241,
     /*  764356 */     GIR_EraseRootFromParent_Done,
     /*  764357 */   // Label 11911: @764357
     /*  764357 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764435), // Rule ID 14244 //
     /*  764362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764433 */     GIR_RootConstrainSelectedInstOperands,
     /*  764434 */     // GIR_Coverage, 14244,
     /*  764434 */     GIR_EraseRootFromParent_Done,
     /*  764435 */   // Label 11912: @764435
     /*  764435 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764513), // Rule ID 14245 //
     /*  764440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764511 */     GIR_RootConstrainSelectedInstOperands,
     /*  764512 */     // GIR_Coverage, 14245,
     /*  764512 */     GIR_EraseRootFromParent_Done,
     /*  764513 */   // Label 11913: @764513
     /*  764513 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764591), // Rule ID 14248 //
     /*  764518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764564 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764589 */     GIR_RootConstrainSelectedInstOperands,
     /*  764590 */     // GIR_Coverage, 14248,
     /*  764590 */     GIR_EraseRootFromParent_Done,
     /*  764591 */   // Label 11914: @764591
     /*  764591 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764669), // Rule ID 14249 //
     /*  764596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764667 */     GIR_RootConstrainSelectedInstOperands,
     /*  764668 */     // GIR_Coverage, 14249,
     /*  764668 */     GIR_EraseRootFromParent_Done,
     /*  764669 */   // Label 11915: @764669
     /*  764669 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764747), // Rule ID 14252 //
     /*  764674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764745 */     GIR_RootConstrainSelectedInstOperands,
     /*  764746 */     // GIR_Coverage, 14252,
     /*  764746 */     GIR_EraseRootFromParent_Done,
     /*  764747 */   // Label 11916: @764747
     /*  764747 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764825), // Rule ID 14253 //
     /*  764752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764823 */     GIR_RootConstrainSelectedInstOperands,
     /*  764824 */     // GIR_Coverage, 14253,
     /*  764824 */     GIR_EraseRootFromParent_Done,
     /*  764825 */   // Label 11917: @764825
     /*  764825 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764903), // Rule ID 14256 //
     /*  764830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764901 */     GIR_RootConstrainSelectedInstOperands,
     /*  764902 */     // GIR_Coverage, 14256,
     /*  764902 */     GIR_EraseRootFromParent_Done,
     /*  764903 */   // Label 11918: @764903
     /*  764903 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764981), // Rule ID 14257 //
     /*  764908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764979 */     GIR_RootConstrainSelectedInstOperands,
     /*  764980 */     // GIR_Coverage, 14257,
     /*  764980 */     GIR_EraseRootFromParent_Done,
     /*  764981 */   // Label 11919: @764981
     /*  764981 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(765059), // Rule ID 14260 //
     /*  764986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765057 */     GIR_RootConstrainSelectedInstOperands,
     /*  765058 */     // GIR_Coverage, 14260,
     /*  765058 */     GIR_EraseRootFromParent_Done,
     /*  765059 */   // Label 11920: @765059
     /*  765059 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765137), // Rule ID 14261 //
     /*  765064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765135 */     GIR_RootConstrainSelectedInstOperands,
     /*  765136 */     // GIR_Coverage, 14261,
     /*  765136 */     GIR_EraseRootFromParent_Done,
     /*  765137 */   // Label 11921: @765137
     /*  765137 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765215), // Rule ID 14264 //
     /*  765142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765213 */     GIR_RootConstrainSelectedInstOperands,
     /*  765214 */     // GIR_Coverage, 14264,
     /*  765214 */     GIR_EraseRootFromParent_Done,
     /*  765215 */   // Label 11922: @765215
     /*  765215 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765293), // Rule ID 14265 //
     /*  765220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765291 */     GIR_RootConstrainSelectedInstOperands,
     /*  765292 */     // GIR_Coverage, 14265,
     /*  765292 */     GIR_EraseRootFromParent_Done,
     /*  765293 */   // Label 11923: @765293
     /*  765293 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(765371), // Rule ID 14268 //
     /*  765298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765369 */     GIR_RootConstrainSelectedInstOperands,
     /*  765370 */     // GIR_Coverage, 14268,
     /*  765370 */     GIR_EraseRootFromParent_Done,
     /*  765371 */   // Label 11924: @765371
     /*  765371 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765449), // Rule ID 14269 //
     /*  765376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765447 */     GIR_RootConstrainSelectedInstOperands,
     /*  765448 */     // GIR_Coverage, 14269,
     /*  765448 */     GIR_EraseRootFromParent_Done,
     /*  765449 */   // Label 11925: @765449
     /*  765449 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765527), // Rule ID 14272 //
     /*  765454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765500 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765525 */     GIR_RootConstrainSelectedInstOperands,
     /*  765526 */     // GIR_Coverage, 14272,
     /*  765526 */     GIR_EraseRootFromParent_Done,
     /*  765527 */   // Label 11926: @765527
     /*  765527 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765605), // Rule ID 14273 //
     /*  765532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765603 */     GIR_RootConstrainSelectedInstOperands,
     /*  765604 */     // GIR_Coverage, 14273,
     /*  765604 */     GIR_EraseRootFromParent_Done,
     /*  765605 */   // Label 11927: @765605
     /*  765605 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765683), // Rule ID 14276 //
     /*  765610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765681 */     GIR_RootConstrainSelectedInstOperands,
     /*  765682 */     // GIR_Coverage, 14276,
     /*  765682 */     GIR_EraseRootFromParent_Done,
     /*  765683 */   // Label 11928: @765683
     /*  765683 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765761), // Rule ID 14277 //
     /*  765688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765759 */     GIR_RootConstrainSelectedInstOperands,
     /*  765760 */     // GIR_Coverage, 14277,
     /*  765760 */     GIR_EraseRootFromParent_Done,
     /*  765761 */   // Label 11929: @765761
     /*  765761 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765839), // Rule ID 14280 //
     /*  765766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765837 */     GIR_RootConstrainSelectedInstOperands,
     /*  765838 */     // GIR_Coverage, 14280,
     /*  765838 */     GIR_EraseRootFromParent_Done,
     /*  765839 */   // Label 11930: @765839
     /*  765839 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765917), // Rule ID 14281 //
     /*  765844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765915 */     GIR_RootConstrainSelectedInstOperands,
     /*  765916 */     // GIR_Coverage, 14281,
     /*  765916 */     GIR_EraseRootFromParent_Done,
     /*  765917 */   // Label 11931: @765917
     /*  765917 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765995), // Rule ID 14284 //
     /*  765922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765993 */     GIR_RootConstrainSelectedInstOperands,
     /*  765994 */     // GIR_Coverage, 14284,
     /*  765994 */     GIR_EraseRootFromParent_Done,
     /*  765995 */   // Label 11932: @765995
     /*  765995 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(766073), // Rule ID 14285 //
     /*  766000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766071 */     GIR_RootConstrainSelectedInstOperands,
     /*  766072 */     // GIR_Coverage, 14285,
     /*  766072 */     GIR_EraseRootFromParent_Done,
     /*  766073 */   // Label 11933: @766073
     /*  766073 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766151), // Rule ID 14288 //
     /*  766078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766149 */     GIR_RootConstrainSelectedInstOperands,
     /*  766150 */     // GIR_Coverage, 14288,
     /*  766150 */     GIR_EraseRootFromParent_Done,
     /*  766151 */   // Label 11934: @766151
     /*  766151 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766229), // Rule ID 14289 //
     /*  766156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766227 */     GIR_RootConstrainSelectedInstOperands,
     /*  766228 */     // GIR_Coverage, 14289,
     /*  766228 */     GIR_EraseRootFromParent_Done,
     /*  766229 */   // Label 11935: @766229
     /*  766229 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766307), // Rule ID 14292 //
     /*  766234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766305 */     GIR_RootConstrainSelectedInstOperands,
     /*  766306 */     // GIR_Coverage, 14292,
     /*  766306 */     GIR_EraseRootFromParent_Done,
     /*  766307 */   // Label 11936: @766307
     /*  766307 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(766385), // Rule ID 14293 //
     /*  766312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766383 */     GIR_RootConstrainSelectedInstOperands,
     /*  766384 */     // GIR_Coverage, 14293,
     /*  766384 */     GIR_EraseRootFromParent_Done,
     /*  766385 */   // Label 11937: @766385
     /*  766385 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766463), // Rule ID 14296 //
     /*  766390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766461 */     GIR_RootConstrainSelectedInstOperands,
     /*  766462 */     // GIR_Coverage, 14296,
     /*  766462 */     GIR_EraseRootFromParent_Done,
     /*  766463 */   // Label 11938: @766463
     /*  766463 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766541), // Rule ID 14297 //
     /*  766468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766539 */     GIR_RootConstrainSelectedInstOperands,
     /*  766540 */     // GIR_Coverage, 14297,
     /*  766540 */     GIR_EraseRootFromParent_Done,
     /*  766541 */   // Label 11939: @766541
     /*  766541 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766619), // Rule ID 14300 //
     /*  766546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766617 */     GIR_RootConstrainSelectedInstOperands,
     /*  766618 */     // GIR_Coverage, 14300,
     /*  766618 */     GIR_EraseRootFromParent_Done,
     /*  766619 */   // Label 11940: @766619
     /*  766619 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766697), // Rule ID 14301 //
     /*  766624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766695 */     GIR_RootConstrainSelectedInstOperands,
     /*  766696 */     // GIR_Coverage, 14301,
     /*  766696 */     GIR_EraseRootFromParent_Done,
     /*  766697 */   // Label 11941: @766697
     /*  766697 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766775), // Rule ID 14304 //
     /*  766702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766773 */     GIR_RootConstrainSelectedInstOperands,
     /*  766774 */     // GIR_Coverage, 14304,
     /*  766774 */     GIR_EraseRootFromParent_Done,
     /*  766775 */   // Label 11942: @766775
     /*  766775 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766853), // Rule ID 14305 //
     /*  766780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766851 */     GIR_RootConstrainSelectedInstOperands,
     /*  766852 */     // GIR_Coverage, 14305,
     /*  766852 */     GIR_EraseRootFromParent_Done,
     /*  766853 */   // Label 11943: @766853
     /*  766853 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766931), // Rule ID 14308 //
     /*  766858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766929 */     GIR_RootConstrainSelectedInstOperands,
     /*  766930 */     // GIR_Coverage, 14308,
     /*  766930 */     GIR_EraseRootFromParent_Done,
     /*  766931 */   // Label 11944: @766931
     /*  766931 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(767009), // Rule ID 14309 //
     /*  766936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767007 */     GIR_RootConstrainSelectedInstOperands,
     /*  767008 */     // GIR_Coverage, 14309,
     /*  767008 */     GIR_EraseRootFromParent_Done,
     /*  767009 */   // Label 11945: @767009
     /*  767009 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(767087), // Rule ID 14312 //
     /*  767014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767085 */     GIR_RootConstrainSelectedInstOperands,
     /*  767086 */     // GIR_Coverage, 14312,
     /*  767086 */     GIR_EraseRootFromParent_Done,
     /*  767087 */   // Label 11946: @767087
     /*  767087 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767165), // Rule ID 14313 //
     /*  767092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767163 */     GIR_RootConstrainSelectedInstOperands,
     /*  767164 */     // GIR_Coverage, 14313,
     /*  767164 */     GIR_EraseRootFromParent_Done,
     /*  767165 */   // Label 11947: @767165
     /*  767165 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767243), // Rule ID 14316 //
     /*  767170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767241 */     GIR_RootConstrainSelectedInstOperands,
     /*  767242 */     // GIR_Coverage, 14316,
     /*  767242 */     GIR_EraseRootFromParent_Done,
     /*  767243 */   // Label 11948: @767243
     /*  767243 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767321), // Rule ID 14317 //
     /*  767248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767319 */     GIR_RootConstrainSelectedInstOperands,
     /*  767320 */     // GIR_Coverage, 14317,
     /*  767320 */     GIR_EraseRootFromParent_Done,
     /*  767321 */   // Label 11949: @767321
     /*  767321 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767399), // Rule ID 14320 //
     /*  767326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767397 */     GIR_RootConstrainSelectedInstOperands,
     /*  767398 */     // GIR_Coverage, 14320,
     /*  767398 */     GIR_EraseRootFromParent_Done,
     /*  767399 */   // Label 11950: @767399
     /*  767399 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767477), // Rule ID 14321 //
     /*  767404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767475 */     GIR_RootConstrainSelectedInstOperands,
     /*  767476 */     // GIR_Coverage, 14321,
     /*  767476 */     GIR_EraseRootFromParent_Done,
     /*  767477 */   // Label 11951: @767477
     /*  767477 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767555), // Rule ID 14324 //
     /*  767482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767553 */     GIR_RootConstrainSelectedInstOperands,
     /*  767554 */     // GIR_Coverage, 14324,
     /*  767554 */     GIR_EraseRootFromParent_Done,
     /*  767555 */   // Label 11952: @767555
     /*  767555 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767633), // Rule ID 14325 //
     /*  767560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767631 */     GIR_RootConstrainSelectedInstOperands,
     /*  767632 */     // GIR_Coverage, 14325,
     /*  767632 */     GIR_EraseRootFromParent_Done,
     /*  767633 */   // Label 11953: @767633
     /*  767633 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767711), // Rule ID 14328 //
     /*  767638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767709 */     GIR_RootConstrainSelectedInstOperands,
     /*  767710 */     // GIR_Coverage, 14328,
     /*  767710 */     GIR_EraseRootFromParent_Done,
     /*  767711 */   // Label 11954: @767711
     /*  767711 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767789), // Rule ID 14329 //
     /*  767716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767787 */     GIR_RootConstrainSelectedInstOperands,
     /*  767788 */     // GIR_Coverage, 14329,
     /*  767788 */     GIR_EraseRootFromParent_Done,
     /*  767789 */   // Label 11955: @767789
     /*  767789 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767867), // Rule ID 14332 //
     /*  767794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767865 */     GIR_RootConstrainSelectedInstOperands,
     /*  767866 */     // GIR_Coverage, 14332,
     /*  767866 */     GIR_EraseRootFromParent_Done,
     /*  767867 */   // Label 11956: @767867
     /*  767867 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767945), // Rule ID 14333 //
     /*  767872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767943 */     GIR_RootConstrainSelectedInstOperands,
     /*  767944 */     // GIR_Coverage, 14333,
     /*  767944 */     GIR_EraseRootFromParent_Done,
     /*  767945 */   // Label 11957: @767945
     /*  767945 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(768023), // Rule ID 14336 //
     /*  767950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768021 */     GIR_RootConstrainSelectedInstOperands,
     /*  768022 */     // GIR_Coverage, 14336,
     /*  768022 */     GIR_EraseRootFromParent_Done,
     /*  768023 */   // Label 11958: @768023
     /*  768023 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(768101), // Rule ID 14337 //
     /*  768028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768099 */     GIR_RootConstrainSelectedInstOperands,
     /*  768100 */     // GIR_Coverage, 14337,
     /*  768100 */     GIR_EraseRootFromParent_Done,
     /*  768101 */   // Label 11959: @768101
     /*  768101 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768179), // Rule ID 14340 //
     /*  768106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768177 */     GIR_RootConstrainSelectedInstOperands,
     /*  768178 */     // GIR_Coverage, 14340,
     /*  768178 */     GIR_EraseRootFromParent_Done,
     /*  768179 */   // Label 11960: @768179
     /*  768179 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768257), // Rule ID 14341 //
     /*  768184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768255 */     GIR_RootConstrainSelectedInstOperands,
     /*  768256 */     // GIR_Coverage, 14341,
     /*  768256 */     GIR_EraseRootFromParent_Done,
     /*  768257 */   // Label 11961: @768257
     /*  768257 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768335), // Rule ID 14344 //
     /*  768262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768333 */     GIR_RootConstrainSelectedInstOperands,
     /*  768334 */     // GIR_Coverage, 14344,
     /*  768334 */     GIR_EraseRootFromParent_Done,
     /*  768335 */   // Label 11962: @768335
     /*  768335 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768413), // Rule ID 14345 //
     /*  768340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768411 */     GIR_RootConstrainSelectedInstOperands,
     /*  768412 */     // GIR_Coverage, 14345,
     /*  768412 */     GIR_EraseRootFromParent_Done,
     /*  768413 */   // Label 11963: @768413
     /*  768413 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768491), // Rule ID 14348 //
     /*  768418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768489 */     GIR_RootConstrainSelectedInstOperands,
     /*  768490 */     // GIR_Coverage, 14348,
     /*  768490 */     GIR_EraseRootFromParent_Done,
     /*  768491 */   // Label 11964: @768491
     /*  768491 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768569), // Rule ID 14349 //
     /*  768496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768567 */     GIR_RootConstrainSelectedInstOperands,
     /*  768568 */     // GIR_Coverage, 14349,
     /*  768568 */     GIR_EraseRootFromParent_Done,
     /*  768569 */   // Label 11965: @768569
     /*  768569 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768647), // Rule ID 14352 //
     /*  768574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768645 */     GIR_RootConstrainSelectedInstOperands,
     /*  768646 */     // GIR_Coverage, 14352,
     /*  768646 */     GIR_EraseRootFromParent_Done,
     /*  768647 */   // Label 11966: @768647
     /*  768647 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768725), // Rule ID 14353 //
     /*  768652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768723 */     GIR_RootConstrainSelectedInstOperands,
     /*  768724 */     // GIR_Coverage, 14353,
     /*  768724 */     GIR_EraseRootFromParent_Done,
     /*  768725 */   // Label 11967: @768725
     /*  768725 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768803), // Rule ID 14356 //
     /*  768730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768801 */     GIR_RootConstrainSelectedInstOperands,
     /*  768802 */     // GIR_Coverage, 14356,
     /*  768802 */     GIR_EraseRootFromParent_Done,
     /*  768803 */   // Label 11968: @768803
     /*  768803 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768881), // Rule ID 14357 //
     /*  768808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768879 */     GIR_RootConstrainSelectedInstOperands,
     /*  768880 */     // GIR_Coverage, 14357,
     /*  768880 */     GIR_EraseRootFromParent_Done,
     /*  768881 */   // Label 11969: @768881
     /*  768881 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768959), // Rule ID 14360 //
     /*  768886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768957 */     GIR_RootConstrainSelectedInstOperands,
     /*  768958 */     // GIR_Coverage, 14360,
     /*  768958 */     GIR_EraseRootFromParent_Done,
     /*  768959 */   // Label 11970: @768959
     /*  768959 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(769037), // Rule ID 14361 //
     /*  768964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769035 */     GIR_RootConstrainSelectedInstOperands,
     /*  769036 */     // GIR_Coverage, 14361,
     /*  769036 */     GIR_EraseRootFromParent_Done,
     /*  769037 */   // Label 11971: @769037
     /*  769037 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(769115), // Rule ID 14364 //
     /*  769042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769113 */     GIR_RootConstrainSelectedInstOperands,
     /*  769114 */     // GIR_Coverage, 14364,
     /*  769114 */     GIR_EraseRootFromParent_Done,
     /*  769115 */   // Label 11972: @769115
     /*  769115 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769193), // Rule ID 14365 //
     /*  769120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769191 */     GIR_RootConstrainSelectedInstOperands,
     /*  769192 */     // GIR_Coverage, 14365,
     /*  769192 */     GIR_EraseRootFromParent_Done,
     /*  769193 */   // Label 11973: @769193
     /*  769193 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769271), // Rule ID 14368 //
     /*  769198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769269 */     GIR_RootConstrainSelectedInstOperands,
     /*  769270 */     // GIR_Coverage, 14368,
     /*  769270 */     GIR_EraseRootFromParent_Done,
     /*  769271 */   // Label 11974: @769271
     /*  769271 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769349), // Rule ID 14369 //
     /*  769276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769347 */     GIR_RootConstrainSelectedInstOperands,
     /*  769348 */     // GIR_Coverage, 14369,
     /*  769348 */     GIR_EraseRootFromParent_Done,
     /*  769349 */   // Label 11975: @769349
     /*  769349 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769427), // Rule ID 14372 //
     /*  769354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769425 */     GIR_RootConstrainSelectedInstOperands,
     /*  769426 */     // GIR_Coverage, 14372,
     /*  769426 */     GIR_EraseRootFromParent_Done,
     /*  769427 */   // Label 11976: @769427
     /*  769427 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769505), // Rule ID 14373 //
     /*  769432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769503 */     GIR_RootConstrainSelectedInstOperands,
     /*  769504 */     // GIR_Coverage, 14373,
     /*  769504 */     GIR_EraseRootFromParent_Done,
     /*  769505 */   // Label 11977: @769505
     /*  769505 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769583), // Rule ID 14464 //
     /*  769510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769581 */     GIR_RootConstrainSelectedInstOperands,
     /*  769582 */     // GIR_Coverage, 14464,
     /*  769582 */     GIR_EraseRootFromParent_Done,
     /*  769583 */   // Label 11978: @769583
     /*  769583 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769661), // Rule ID 14465 //
     /*  769588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769659 */     GIR_RootConstrainSelectedInstOperands,
     /*  769660 */     // GIR_Coverage, 14465,
     /*  769660 */     GIR_EraseRootFromParent_Done,
     /*  769661 */   // Label 11979: @769661
     /*  769661 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769739), // Rule ID 14468 //
     /*  769666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769737 */     GIR_RootConstrainSelectedInstOperands,
     /*  769738 */     // GIR_Coverage, 14468,
     /*  769738 */     GIR_EraseRootFromParent_Done,
     /*  769739 */   // Label 11980: @769739
     /*  769739 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769817), // Rule ID 14469 //
     /*  769744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769790 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769815 */     GIR_RootConstrainSelectedInstOperands,
     /*  769816 */     // GIR_Coverage, 14469,
     /*  769816 */     GIR_EraseRootFromParent_Done,
     /*  769817 */   // Label 11981: @769817
     /*  769817 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769895), // Rule ID 14472 //
     /*  769822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769893 */     GIR_RootConstrainSelectedInstOperands,
     /*  769894 */     // GIR_Coverage, 14472,
     /*  769894 */     GIR_EraseRootFromParent_Done,
     /*  769895 */   // Label 11982: @769895
     /*  769895 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769973), // Rule ID 14473 //
     /*  769900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769971 */     GIR_RootConstrainSelectedInstOperands,
     /*  769972 */     // GIR_Coverage, 14473,
     /*  769972 */     GIR_EraseRootFromParent_Done,
     /*  769973 */   // Label 11983: @769973
     /*  769973 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(770051), // Rule ID 14476 //
     /*  769978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770049 */     GIR_RootConstrainSelectedInstOperands,
     /*  770050 */     // GIR_Coverage, 14476,
     /*  770050 */     GIR_EraseRootFromParent_Done,
     /*  770051 */   // Label 11984: @770051
     /*  770051 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770129), // Rule ID 14477 //
     /*  770056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770127 */     GIR_RootConstrainSelectedInstOperands,
     /*  770128 */     // GIR_Coverage, 14477,
     /*  770128 */     GIR_EraseRootFromParent_Done,
     /*  770129 */   // Label 11985: @770129
     /*  770129 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770207), // Rule ID 14480 //
     /*  770134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770205 */     GIR_RootConstrainSelectedInstOperands,
     /*  770206 */     // GIR_Coverage, 14480,
     /*  770206 */     GIR_EraseRootFromParent_Done,
     /*  770207 */   // Label 11986: @770207
     /*  770207 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770285), // Rule ID 14481 //
     /*  770212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770283 */     GIR_RootConstrainSelectedInstOperands,
     /*  770284 */     // GIR_Coverage, 14481,
     /*  770284 */     GIR_EraseRootFromParent_Done,
     /*  770285 */   // Label 11987: @770285
     /*  770285 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770363), // Rule ID 14484 //
     /*  770290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770361 */     GIR_RootConstrainSelectedInstOperands,
     /*  770362 */     // GIR_Coverage, 14484,
     /*  770362 */     GIR_EraseRootFromParent_Done,
     /*  770363 */   // Label 11988: @770363
     /*  770363 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770441), // Rule ID 14485 //
     /*  770368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770439 */     GIR_RootConstrainSelectedInstOperands,
     /*  770440 */     // GIR_Coverage, 14485,
     /*  770440 */     GIR_EraseRootFromParent_Done,
     /*  770441 */   // Label 11989: @770441
     /*  770441 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770519), // Rule ID 14488 //
     /*  770446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770517 */     GIR_RootConstrainSelectedInstOperands,
     /*  770518 */     // GIR_Coverage, 14488,
     /*  770518 */     GIR_EraseRootFromParent_Done,
     /*  770519 */   // Label 11990: @770519
     /*  770519 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770597), // Rule ID 14489 //
     /*  770524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770570 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770595 */     GIR_RootConstrainSelectedInstOperands,
     /*  770596 */     // GIR_Coverage, 14489,
     /*  770596 */     GIR_EraseRootFromParent_Done,
     /*  770597 */   // Label 11991: @770597
     /*  770597 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770675), // Rule ID 14492 //
     /*  770602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770673 */     GIR_RootConstrainSelectedInstOperands,
     /*  770674 */     // GIR_Coverage, 14492,
     /*  770674 */     GIR_EraseRootFromParent_Done,
     /*  770675 */   // Label 11992: @770675
     /*  770675 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770753), // Rule ID 14493 //
     /*  770680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770751 */     GIR_RootConstrainSelectedInstOperands,
     /*  770752 */     // GIR_Coverage, 14493,
     /*  770752 */     GIR_EraseRootFromParent_Done,
     /*  770753 */   // Label 11993: @770753
     /*  770753 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770831), // Rule ID 14496 //
     /*  770758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770829 */     GIR_RootConstrainSelectedInstOperands,
     /*  770830 */     // GIR_Coverage, 14496,
     /*  770830 */     GIR_EraseRootFromParent_Done,
     /*  770831 */   // Label 11994: @770831
     /*  770831 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770909), // Rule ID 14497 //
     /*  770836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770907 */     GIR_RootConstrainSelectedInstOperands,
     /*  770908 */     // GIR_Coverage, 14497,
     /*  770908 */     GIR_EraseRootFromParent_Done,
     /*  770909 */   // Label 11995: @770909
     /*  770909 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770987), // Rule ID 14500 //
     /*  770914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770985 */     GIR_RootConstrainSelectedInstOperands,
     /*  770986 */     // GIR_Coverage, 14500,
     /*  770986 */     GIR_EraseRootFromParent_Done,
     /*  770987 */   // Label 11996: @770987
     /*  770987 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(771065), // Rule ID 14501 //
     /*  770992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771063 */     GIR_RootConstrainSelectedInstOperands,
     /*  771064 */     // GIR_Coverage, 14501,
     /*  771064 */     GIR_EraseRootFromParent_Done,
     /*  771065 */   // Label 11997: @771065
     /*  771065 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771143), // Rule ID 14504 //
     /*  771070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771141 */     GIR_RootConstrainSelectedInstOperands,
     /*  771142 */     // GIR_Coverage, 14504,
     /*  771142 */     GIR_EraseRootFromParent_Done,
     /*  771143 */   // Label 11998: @771143
     /*  771143 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771221), // Rule ID 14505 //
     /*  771148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771219 */     GIR_RootConstrainSelectedInstOperands,
     /*  771220 */     // GIR_Coverage, 14505,
     /*  771220 */     GIR_EraseRootFromParent_Done,
     /*  771221 */   // Label 11999: @771221
     /*  771221 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771299), // Rule ID 14508 //
     /*  771226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771297 */     GIR_RootConstrainSelectedInstOperands,
     /*  771298 */     // GIR_Coverage, 14508,
     /*  771298 */     GIR_EraseRootFromParent_Done,
     /*  771299 */   // Label 12000: @771299
     /*  771299 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771377), // Rule ID 14509 //
     /*  771304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771375 */     GIR_RootConstrainSelectedInstOperands,
     /*  771376 */     // GIR_Coverage, 14509,
     /*  771376 */     GIR_EraseRootFromParent_Done,
     /*  771377 */   // Label 12001: @771377
     /*  771377 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771455), // Rule ID 14512 //
     /*  771382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771453 */     GIR_RootConstrainSelectedInstOperands,
     /*  771454 */     // GIR_Coverage, 14512,
     /*  771454 */     GIR_EraseRootFromParent_Done,
     /*  771455 */   // Label 12002: @771455
     /*  771455 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771533), // Rule ID 14513 //
     /*  771460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771531 */     GIR_RootConstrainSelectedInstOperands,
     /*  771532 */     // GIR_Coverage, 14513,
     /*  771532 */     GIR_EraseRootFromParent_Done,
     /*  771533 */   // Label 12003: @771533
     /*  771533 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771611), // Rule ID 14516 //
     /*  771538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771609 */     GIR_RootConstrainSelectedInstOperands,
     /*  771610 */     // GIR_Coverage, 14516,
     /*  771610 */     GIR_EraseRootFromParent_Done,
     /*  771611 */   // Label 12004: @771611
     /*  771611 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771689), // Rule ID 14517 //
     /*  771616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771687 */     GIR_RootConstrainSelectedInstOperands,
     /*  771688 */     // GIR_Coverage, 14517,
     /*  771688 */     GIR_EraseRootFromParent_Done,
     /*  771689 */   // Label 12005: @771689
     /*  771689 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771767), // Rule ID 14520 //
     /*  771694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771765 */     GIR_RootConstrainSelectedInstOperands,
     /*  771766 */     // GIR_Coverage, 14520,
     /*  771766 */     GIR_EraseRootFromParent_Done,
     /*  771767 */   // Label 12006: @771767
     /*  771767 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771845), // Rule ID 14521 //
     /*  771772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771843 */     GIR_RootConstrainSelectedInstOperands,
     /*  771844 */     // GIR_Coverage, 14521,
     /*  771844 */     GIR_EraseRootFromParent_Done,
     /*  771845 */   // Label 12007: @771845
     /*  771845 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771923), // Rule ID 14524 //
     /*  771850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771921 */     GIR_RootConstrainSelectedInstOperands,
     /*  771922 */     // GIR_Coverage, 14524,
     /*  771922 */     GIR_EraseRootFromParent_Done,
     /*  771923 */   // Label 12008: @771923
     /*  771923 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(772001), // Rule ID 14525 //
     /*  771928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771999 */     GIR_RootConstrainSelectedInstOperands,
     /*  772000 */     // GIR_Coverage, 14525,
     /*  772000 */     GIR_EraseRootFromParent_Done,
     /*  772001 */   // Label 12009: @772001
     /*  772001 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(772079), // Rule ID 14528 //
     /*  772006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772077 */     GIR_RootConstrainSelectedInstOperands,
     /*  772078 */     // GIR_Coverage, 14528,
     /*  772078 */     GIR_EraseRootFromParent_Done,
     /*  772079 */   // Label 12010: @772079
     /*  772079 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772157), // Rule ID 14529 //
     /*  772084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772155 */     GIR_RootConstrainSelectedInstOperands,
     /*  772156 */     // GIR_Coverage, 14529,
     /*  772156 */     GIR_EraseRootFromParent_Done,
     /*  772157 */   // Label 12011: @772157
     /*  772157 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772235), // Rule ID 14532 //
     /*  772162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772233 */     GIR_RootConstrainSelectedInstOperands,
     /*  772234 */     // GIR_Coverage, 14532,
     /*  772234 */     GIR_EraseRootFromParent_Done,
     /*  772235 */   // Label 12012: @772235
     /*  772235 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772313), // Rule ID 14533 //
     /*  772240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772311 */     GIR_RootConstrainSelectedInstOperands,
     /*  772312 */     // GIR_Coverage, 14533,
     /*  772312 */     GIR_EraseRootFromParent_Done,
     /*  772313 */   // Label 12013: @772313
     /*  772313 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772391), // Rule ID 14536 //
     /*  772318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772389 */     GIR_RootConstrainSelectedInstOperands,
     /*  772390 */     // GIR_Coverage, 14536,
     /*  772390 */     GIR_EraseRootFromParent_Done,
     /*  772391 */   // Label 12014: @772391
     /*  772391 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772469), // Rule ID 14537 //
     /*  772396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772467 */     GIR_RootConstrainSelectedInstOperands,
     /*  772468 */     // GIR_Coverage, 14537,
     /*  772468 */     GIR_EraseRootFromParent_Done,
     /*  772469 */   // Label 12015: @772469
     /*  772469 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772547), // Rule ID 14540 //
     /*  772474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772545 */     GIR_RootConstrainSelectedInstOperands,
     /*  772546 */     // GIR_Coverage, 14540,
     /*  772546 */     GIR_EraseRootFromParent_Done,
     /*  772547 */   // Label 12016: @772547
     /*  772547 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772625), // Rule ID 14541 //
     /*  772552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772623 */     GIR_RootConstrainSelectedInstOperands,
     /*  772624 */     // GIR_Coverage, 14541,
     /*  772624 */     GIR_EraseRootFromParent_Done,
     /*  772625 */   // Label 12017: @772625
     /*  772625 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772703), // Rule ID 14544 //
     /*  772630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772701 */     GIR_RootConstrainSelectedInstOperands,
     /*  772702 */     // GIR_Coverage, 14544,
     /*  772702 */     GIR_EraseRootFromParent_Done,
     /*  772703 */   // Label 12018: @772703
     /*  772703 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772781), // Rule ID 14545 //
     /*  772708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772779 */     GIR_RootConstrainSelectedInstOperands,
     /*  772780 */     // GIR_Coverage, 14545,
     /*  772780 */     GIR_EraseRootFromParent_Done,
     /*  772781 */   // Label 12019: @772781
     /*  772781 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772859), // Rule ID 14548 //
     /*  772786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772857 */     GIR_RootConstrainSelectedInstOperands,
     /*  772858 */     // GIR_Coverage, 14548,
     /*  772858 */     GIR_EraseRootFromParent_Done,
     /*  772859 */   // Label 12020: @772859
     /*  772859 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772937), // Rule ID 14549 //
     /*  772864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772935 */     GIR_RootConstrainSelectedInstOperands,
     /*  772936 */     // GIR_Coverage, 14549,
     /*  772936 */     GIR_EraseRootFromParent_Done,
     /*  772937 */   // Label 12021: @772937
     /*  772937 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(773015), // Rule ID 14552 //
     /*  772942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772988 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773013 */     GIR_RootConstrainSelectedInstOperands,
     /*  773014 */     // GIR_Coverage, 14552,
     /*  773014 */     GIR_EraseRootFromParent_Done,
     /*  773015 */   // Label 12022: @773015
     /*  773015 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(773093), // Rule ID 14553 //
     /*  773020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  773069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773091 */     GIR_RootConstrainSelectedInstOperands,
     /*  773092 */     // GIR_Coverage, 14553,
     /*  773092 */     GIR_EraseRootFromParent_Done,
     /*  773093 */   // Label 12023: @773093
     /*  773093 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773171), // Rule ID 14556 //
     /*  773098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773169 */     GIR_RootConstrainSelectedInstOperands,
     /*  773170 */     // GIR_Coverage, 14556,
     /*  773170 */     GIR_EraseRootFromParent_Done,
     /*  773171 */   // Label 12024: @773171
     /*  773171 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773249), // Rule ID 14557 //
     /*  773176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773247 */     GIR_RootConstrainSelectedInstOperands,
     /*  773248 */     // GIR_Coverage, 14557,
     /*  773248 */     GIR_EraseRootFromParent_Done,
     /*  773249 */   // Label 12025: @773249
     /*  773249 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773327), // Rule ID 14560 //
     /*  773254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773325 */     GIR_RootConstrainSelectedInstOperands,
     /*  773326 */     // GIR_Coverage, 14560,
     /*  773326 */     GIR_EraseRootFromParent_Done,
     /*  773327 */   // Label 12026: @773327
     /*  773327 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773405), // Rule ID 14561 //
     /*  773332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773378 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773403 */     GIR_RootConstrainSelectedInstOperands,
     /*  773404 */     // GIR_Coverage, 14561,
     /*  773404 */     GIR_EraseRootFromParent_Done,
     /*  773405 */   // Label 12027: @773405
     /*  773405 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773483), // Rule ID 14564 //
     /*  773410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773481 */     GIR_RootConstrainSelectedInstOperands,
     /*  773482 */     // GIR_Coverage, 14564,
     /*  773482 */     GIR_EraseRootFromParent_Done,
     /*  773483 */   // Label 12028: @773483
     /*  773483 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773561), // Rule ID 14565 //
     /*  773488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773559 */     GIR_RootConstrainSelectedInstOperands,
     /*  773560 */     // GIR_Coverage, 14565,
     /*  773560 */     GIR_EraseRootFromParent_Done,
     /*  773561 */   // Label 12029: @773561
     /*  773561 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773639), // Rule ID 14568 //
     /*  773566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773637 */     GIR_RootConstrainSelectedInstOperands,
     /*  773638 */     // GIR_Coverage, 14568,
     /*  773638 */     GIR_EraseRootFromParent_Done,
     /*  773639 */   // Label 12030: @773639
     /*  773639 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773717), // Rule ID 14569 //
     /*  773644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773715 */     GIR_RootConstrainSelectedInstOperands,
     /*  773716 */     // GIR_Coverage, 14569,
     /*  773716 */     GIR_EraseRootFromParent_Done,
     /*  773717 */   // Label 12031: @773717
     /*  773717 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773795), // Rule ID 14572 //
     /*  773722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773793 */     GIR_RootConstrainSelectedInstOperands,
     /*  773794 */     // GIR_Coverage, 14572,
     /*  773794 */     GIR_EraseRootFromParent_Done,
     /*  773795 */   // Label 12032: @773795
     /*  773795 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773873), // Rule ID 14573 //
     /*  773800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773871 */     GIR_RootConstrainSelectedInstOperands,
     /*  773872 */     // GIR_Coverage, 14573,
     /*  773872 */     GIR_EraseRootFromParent_Done,
     /*  773873 */   // Label 12033: @773873
     /*  773873 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773951), // Rule ID 14576 //
     /*  773878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773949 */     GIR_RootConstrainSelectedInstOperands,
     /*  773950 */     // GIR_Coverage, 14576,
     /*  773950 */     GIR_EraseRootFromParent_Done,
     /*  773951 */   // Label 12034: @773951
     /*  773951 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(774029), // Rule ID 14577 //
     /*  773956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774027 */     GIR_RootConstrainSelectedInstOperands,
     /*  774028 */     // GIR_Coverage, 14577,
     /*  774028 */     GIR_EraseRootFromParent_Done,
     /*  774029 */   // Label 12035: @774029
     /*  774029 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(774107), // Rule ID 14580 //
     /*  774034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774105 */     GIR_RootConstrainSelectedInstOperands,
     /*  774106 */     // GIR_Coverage, 14580,
     /*  774106 */     GIR_EraseRootFromParent_Done,
     /*  774107 */   // Label 12036: @774107
     /*  774107 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774185), // Rule ID 14581 //
     /*  774112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774183 */     GIR_RootConstrainSelectedInstOperands,
     /*  774184 */     // GIR_Coverage, 14581,
     /*  774184 */     GIR_EraseRootFromParent_Done,
     /*  774185 */   // Label 12037: @774185
     /*  774185 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774263), // Rule ID 14584 //
     /*  774190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774261 */     GIR_RootConstrainSelectedInstOperands,
     /*  774262 */     // GIR_Coverage, 14584,
     /*  774262 */     GIR_EraseRootFromParent_Done,
     /*  774263 */   // Label 12038: @774263
     /*  774263 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774341), // Rule ID 14585 //
     /*  774268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774339 */     GIR_RootConstrainSelectedInstOperands,
     /*  774340 */     // GIR_Coverage, 14585,
     /*  774340 */     GIR_EraseRootFromParent_Done,
     /*  774341 */   // Label 12039: @774341
     /*  774341 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774419), // Rule ID 14588 //
     /*  774346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774417 */     GIR_RootConstrainSelectedInstOperands,
     /*  774418 */     // GIR_Coverage, 14588,
     /*  774418 */     GIR_EraseRootFromParent_Done,
     /*  774419 */   // Label 12040: @774419
     /*  774419 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774497), // Rule ID 14589 //
     /*  774424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774495 */     GIR_RootConstrainSelectedInstOperands,
     /*  774496 */     // GIR_Coverage, 14589,
     /*  774496 */     GIR_EraseRootFromParent_Done,
     /*  774497 */   // Label 12041: @774497
     /*  774497 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774575), // Rule ID 14592 //
     /*  774502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774573 */     GIR_RootConstrainSelectedInstOperands,
     /*  774574 */     // GIR_Coverage, 14592,
     /*  774574 */     GIR_EraseRootFromParent_Done,
     /*  774575 */   // Label 12042: @774575
     /*  774575 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774653), // Rule ID 14593 //
     /*  774580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774651 */     GIR_RootConstrainSelectedInstOperands,
     /*  774652 */     // GIR_Coverage, 14593,
     /*  774652 */     GIR_EraseRootFromParent_Done,
     /*  774653 */   // Label 12043: @774653
     /*  774653 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774731), // Rule ID 14596 //
     /*  774658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774729 */     GIR_RootConstrainSelectedInstOperands,
     /*  774730 */     // GIR_Coverage, 14596,
     /*  774730 */     GIR_EraseRootFromParent_Done,
     /*  774731 */   // Label 12044: @774731
     /*  774731 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774809), // Rule ID 14597 //
     /*  774736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774807 */     GIR_RootConstrainSelectedInstOperands,
     /*  774808 */     // GIR_Coverage, 14597,
     /*  774808 */     GIR_EraseRootFromParent_Done,
     /*  774809 */   // Label 12045: @774809
     /*  774809 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774887), // Rule ID 14600 //
     /*  774814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774860 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774885 */     GIR_RootConstrainSelectedInstOperands,
     /*  774886 */     // GIR_Coverage, 14600,
     /*  774886 */     GIR_EraseRootFromParent_Done,
     /*  774887 */   // Label 12046: @774887
     /*  774887 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774965), // Rule ID 14601 //
     /*  774892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774963 */     GIR_RootConstrainSelectedInstOperands,
     /*  774964 */     // GIR_Coverage, 14601,
     /*  774964 */     GIR_EraseRootFromParent_Done,
     /*  774965 */   // Label 12047: @774965
     /*  774965 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(775043), // Rule ID 14604 //
     /*  774970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775041 */     GIR_RootConstrainSelectedInstOperands,
     /*  775042 */     // GIR_Coverage, 14604,
     /*  775042 */     GIR_EraseRootFromParent_Done,
     /*  775043 */   // Label 12048: @775043
     /*  775043 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775121), // Rule ID 14605 //
     /*  775048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775119 */     GIR_RootConstrainSelectedInstOperands,
     /*  775120 */     // GIR_Coverage, 14605,
     /*  775120 */     GIR_EraseRootFromParent_Done,
     /*  775121 */   // Label 12049: @775121
     /*  775121 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775199), // Rule ID 14608 //
     /*  775126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775197 */     GIR_RootConstrainSelectedInstOperands,
     /*  775198 */     // GIR_Coverage, 14608,
     /*  775198 */     GIR_EraseRootFromParent_Done,
     /*  775199 */   // Label 12050: @775199
     /*  775199 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775277), // Rule ID 14609 //
     /*  775204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775275 */     GIR_RootConstrainSelectedInstOperands,
     /*  775276 */     // GIR_Coverage, 14609,
     /*  775276 */     GIR_EraseRootFromParent_Done,
     /*  775277 */   // Label 12051: @775277
     /*  775277 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775355), // Rule ID 14612 //
     /*  775282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775353 */     GIR_RootConstrainSelectedInstOperands,
     /*  775354 */     // GIR_Coverage, 14612,
     /*  775354 */     GIR_EraseRootFromParent_Done,
     /*  775355 */   // Label 12052: @775355
     /*  775355 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775433), // Rule ID 14613 //
     /*  775360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775431 */     GIR_RootConstrainSelectedInstOperands,
     /*  775432 */     // GIR_Coverage, 14613,
     /*  775432 */     GIR_EraseRootFromParent_Done,
     /*  775433 */   // Label 12053: @775433
     /*  775433 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775511), // Rule ID 14616 //
     /*  775438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775509 */     GIR_RootConstrainSelectedInstOperands,
     /*  775510 */     // GIR_Coverage, 14616,
     /*  775510 */     GIR_EraseRootFromParent_Done,
     /*  775511 */   // Label 12054: @775511
     /*  775511 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775589), // Rule ID 14617 //
     /*  775516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775587 */     GIR_RootConstrainSelectedInstOperands,
     /*  775588 */     // GIR_Coverage, 14617,
     /*  775588 */     GIR_EraseRootFromParent_Done,
     /*  775589 */   // Label 12055: @775589
     /*  775589 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775667), // Rule ID 14620 //
     /*  775594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775665 */     GIR_RootConstrainSelectedInstOperands,
     /*  775666 */     // GIR_Coverage, 14620,
     /*  775666 */     GIR_EraseRootFromParent_Done,
     /*  775667 */   // Label 12056: @775667
     /*  775667 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775745), // Rule ID 14621 //
     /*  775672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775743 */     GIR_RootConstrainSelectedInstOperands,
     /*  775744 */     // GIR_Coverage, 14621,
     /*  775744 */     GIR_EraseRootFromParent_Done,
     /*  775745 */   // Label 12057: @775745
     /*  775745 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775823), // Rule ID 14624 //
     /*  775750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775821 */     GIR_RootConstrainSelectedInstOperands,
     /*  775822 */     // GIR_Coverage, 14624,
     /*  775822 */     GIR_EraseRootFromParent_Done,
     /*  775823 */   // Label 12058: @775823
     /*  775823 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775901), // Rule ID 14625 //
     /*  775828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775899 */     GIR_RootConstrainSelectedInstOperands,
     /*  775900 */     // GIR_Coverage, 14625,
     /*  775900 */     GIR_EraseRootFromParent_Done,
     /*  775901 */   // Label 12059: @775901
     /*  775901 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775979), // Rule ID 14628 //
     /*  775906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775977 */     GIR_RootConstrainSelectedInstOperands,
     /*  775978 */     // GIR_Coverage, 14628,
     /*  775978 */     GIR_EraseRootFromParent_Done,
     /*  775979 */   // Label 12060: @775979
     /*  775979 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(776057), // Rule ID 14629 //
     /*  775984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776055 */     GIR_RootConstrainSelectedInstOperands,
     /*  776056 */     // GIR_Coverage, 14629,
     /*  776056 */     GIR_EraseRootFromParent_Done,
     /*  776057 */   // Label 12061: @776057
     /*  776057 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776135), // Rule ID 14632 //
     /*  776062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776133 */     GIR_RootConstrainSelectedInstOperands,
     /*  776134 */     // GIR_Coverage, 14632,
     /*  776134 */     GIR_EraseRootFromParent_Done,
     /*  776135 */   // Label 12062: @776135
     /*  776135 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776213), // Rule ID 14633 //
     /*  776140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776211 */     GIR_RootConstrainSelectedInstOperands,
     /*  776212 */     // GIR_Coverage, 14633,
     /*  776212 */     GIR_EraseRootFromParent_Done,
     /*  776213 */   // Label 12063: @776213
     /*  776213 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776291), // Rule ID 14636 //
     /*  776218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776289 */     GIR_RootConstrainSelectedInstOperands,
     /*  776290 */     // GIR_Coverage, 14636,
     /*  776290 */     GIR_EraseRootFromParent_Done,
     /*  776291 */   // Label 12064: @776291
     /*  776291 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776369), // Rule ID 14637 //
     /*  776296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776367 */     GIR_RootConstrainSelectedInstOperands,
     /*  776368 */     // GIR_Coverage, 14637,
     /*  776368 */     GIR_EraseRootFromParent_Done,
     /*  776369 */   // Label 12065: @776369
     /*  776369 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776447), // Rule ID 14640 //
     /*  776374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776445 */     GIR_RootConstrainSelectedInstOperands,
     /*  776446 */     // GIR_Coverage, 14640,
     /*  776446 */     GIR_EraseRootFromParent_Done,
     /*  776447 */   // Label 12066: @776447
     /*  776447 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776525), // Rule ID 14641 //
     /*  776452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776523 */     GIR_RootConstrainSelectedInstOperands,
     /*  776524 */     // GIR_Coverage, 14641,
     /*  776524 */     GIR_EraseRootFromParent_Done,
     /*  776525 */   // Label 12067: @776525
     /*  776525 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776603), // Rule ID 14644 //
     /*  776530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776601 */     GIR_RootConstrainSelectedInstOperands,
     /*  776602 */     // GIR_Coverage, 14644,
     /*  776602 */     GIR_EraseRootFromParent_Done,
     /*  776603 */   // Label 12068: @776603
     /*  776603 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776681), // Rule ID 14645 //
     /*  776608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776679 */     GIR_RootConstrainSelectedInstOperands,
     /*  776680 */     // GIR_Coverage, 14645,
     /*  776680 */     GIR_EraseRootFromParent_Done,
     /*  776681 */   // Label 12069: @776681
     /*  776681 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776759), // Rule ID 14648 //
     /*  776686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776732 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776757 */     GIR_RootConstrainSelectedInstOperands,
     /*  776758 */     // GIR_Coverage, 14648,
     /*  776758 */     GIR_EraseRootFromParent_Done,
     /*  776759 */   // Label 12070: @776759
     /*  776759 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776837), // Rule ID 14649 //
     /*  776764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776835 */     GIR_RootConstrainSelectedInstOperands,
     /*  776836 */     // GIR_Coverage, 14649,
     /*  776836 */     GIR_EraseRootFromParent_Done,
     /*  776837 */   // Label 12071: @776837
     /*  776837 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776915), // Rule ID 14652 //
     /*  776842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776913 */     GIR_RootConstrainSelectedInstOperands,
     /*  776914 */     // GIR_Coverage, 14652,
     /*  776914 */     GIR_EraseRootFromParent_Done,
     /*  776915 */   // Label 12072: @776915
     /*  776915 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776993), // Rule ID 14653 //
     /*  776920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776991 */     GIR_RootConstrainSelectedInstOperands,
     /*  776992 */     // GIR_Coverage, 14653,
     /*  776992 */     GIR_EraseRootFromParent_Done,
     /*  776993 */   // Label 12073: @776993
     /*  776993 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(777071), // Rule ID 14656 //
     /*  776998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777069 */     GIR_RootConstrainSelectedInstOperands,
     /*  777070 */     // GIR_Coverage, 14656,
     /*  777070 */     GIR_EraseRootFromParent_Done,
     /*  777071 */   // Label 12074: @777071
     /*  777071 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777149), // Rule ID 14657 //
     /*  777076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777147 */     GIR_RootConstrainSelectedInstOperands,
     /*  777148 */     // GIR_Coverage, 14657,
     /*  777148 */     GIR_EraseRootFromParent_Done,
     /*  777149 */   // Label 12075: @777149
     /*  777149 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777227), // Rule ID 14660 //
     /*  777154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777225 */     GIR_RootConstrainSelectedInstOperands,
     /*  777226 */     // GIR_Coverage, 14660,
     /*  777226 */     GIR_EraseRootFromParent_Done,
     /*  777227 */   // Label 12076: @777227
     /*  777227 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777305), // Rule ID 14661 //
     /*  777232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777303 */     GIR_RootConstrainSelectedInstOperands,
     /*  777304 */     // GIR_Coverage, 14661,
     /*  777304 */     GIR_EraseRootFromParent_Done,
     /*  777305 */   // Label 12077: @777305
     /*  777305 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777383), // Rule ID 14664 //
     /*  777310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  777327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  777330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777381 */     GIR_RootConstrainSelectedInstOperands,
     /*  777382 */     // GIR_Coverage, 14664,
     /*  777382 */     GIR_EraseRootFromParent_Done,
     /*  777383 */   // Label 12078: @777383
     /*  777383 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777461), // Rule ID 14665 //
     /*  777388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  777405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  777408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777459 */     GIR_RootConstrainSelectedInstOperands,
     /*  777460 */     // GIR_Coverage, 14665,
     /*  777460 */     GIR_EraseRootFromParent_Done,
     /*  777461 */   // Label 12079: @777461
     /*  777461 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777539), // Rule ID 14668 //
     /*  777466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777537 */     GIR_RootConstrainSelectedInstOperands,
     /*  777538 */     // GIR_Coverage, 14668,
     /*  777538 */     GIR_EraseRootFromParent_Done,
     /*  777539 */   // Label 12080: @777539
     /*  777539 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777617), // Rule ID 14669 //
     /*  777544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777615 */     GIR_RootConstrainSelectedInstOperands,
     /*  777616 */     // GIR_Coverage, 14669,
     /*  777616 */     GIR_EraseRootFromParent_Done,
     /*  777617 */   // Label 12081: @777617
     /*  777617 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777695), // Rule ID 14672 //
     /*  777622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777693 */     GIR_RootConstrainSelectedInstOperands,
     /*  777694 */     // GIR_Coverage, 14672,
     /*  777694 */     GIR_EraseRootFromParent_Done,
     /*  777695 */   // Label 12082: @777695
     /*  777695 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777773), // Rule ID 14673 //
     /*  777700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777771 */     GIR_RootConstrainSelectedInstOperands,
     /*  777772 */     // GIR_Coverage, 14673,
     /*  777772 */     GIR_EraseRootFromParent_Done,
     /*  777773 */   // Label 12083: @777773
     /*  777773 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777851), // Rule ID 14676 //
     /*  777778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777849 */     GIR_RootConstrainSelectedInstOperands,
     /*  777850 */     // GIR_Coverage, 14676,
     /*  777850 */     GIR_EraseRootFromParent_Done,
     /*  777851 */   // Label 12084: @777851
     /*  777851 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777929), // Rule ID 14677 //
     /*  777856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777927 */     GIR_RootConstrainSelectedInstOperands,
     /*  777928 */     // GIR_Coverage, 14677,
     /*  777928 */     GIR_EraseRootFromParent_Done,
     /*  777929 */   // Label 12085: @777929
     /*  777929 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(778007), // Rule ID 14680 //
     /*  777934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778005 */     GIR_RootConstrainSelectedInstOperands,
     /*  778006 */     // GIR_Coverage, 14680,
     /*  778006 */     GIR_EraseRootFromParent_Done,
     /*  778007 */   // Label 12086: @778007
     /*  778007 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(778085), // Rule ID 14681 //
     /*  778012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  778032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778083 */     GIR_RootConstrainSelectedInstOperands,
     /*  778084 */     // GIR_Coverage, 14681,
     /*  778084 */     GIR_EraseRootFromParent_Done,
     /*  778085 */   // Label 12087: @778085
     /*  778085 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778163), // Rule ID 14684 //
     /*  778090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778161 */     GIR_RootConstrainSelectedInstOperands,
     /*  778162 */     // GIR_Coverage, 14684,
     /*  778162 */     GIR_EraseRootFromParent_Done,
     /*  778163 */   // Label 12088: @778163
     /*  778163 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778241), // Rule ID 14685 //
     /*  778168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778239 */     GIR_RootConstrainSelectedInstOperands,
     /*  778240 */     // GIR_Coverage, 14685,
     /*  778240 */     GIR_EraseRootFromParent_Done,
     /*  778241 */   // Label 12089: @778241
     /*  778241 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778319), // Rule ID 14688 //
     /*  778246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  778266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778317 */     GIR_RootConstrainSelectedInstOperands,
     /*  778318 */     // GIR_Coverage, 14688,
     /*  778318 */     GIR_EraseRootFromParent_Done,
     /*  778319 */   // Label 12090: @778319
     /*  778319 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778397), // Rule ID 14689 //
     /*  778324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  778344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778395 */     GIR_RootConstrainSelectedInstOperands,
     /*  778396 */     // GIR_Coverage, 14689,
     /*  778396 */     GIR_EraseRootFromParent_Done,
     /*  778397 */   // Label 12091: @778397
     /*  778397 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778475), // Rule ID 14692 //
     /*  778402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778473 */     GIR_RootConstrainSelectedInstOperands,
     /*  778474 */     // GIR_Coverage, 14692,
     /*  778474 */     GIR_EraseRootFromParent_Done,
     /*  778475 */   // Label 12092: @778475
     /*  778475 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778553), // Rule ID 14693 //
     /*  778480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778551 */     GIR_RootConstrainSelectedInstOperands,
     /*  778552 */     // GIR_Coverage, 14693,
     /*  778552 */     GIR_EraseRootFromParent_Done,
     /*  778553 */   // Label 12093: @778553
     /*  778553 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778631), // Rule ID 14696 //
     /*  778558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778629 */     GIR_RootConstrainSelectedInstOperands,
     /*  778630 */     // GIR_Coverage, 14696,
     /*  778630 */     GIR_EraseRootFromParent_Done,
     /*  778631 */   // Label 12094: @778631
     /*  778631 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778709), // Rule ID 14697 //
     /*  778636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778707 */     GIR_RootConstrainSelectedInstOperands,
     /*  778708 */     // GIR_Coverage, 14697,
     /*  778708 */     GIR_EraseRootFromParent_Done,
     /*  778709 */   // Label 12095: @778709
     /*  778709 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778787), // Rule ID 14700 //
     /*  778714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778785 */     GIR_RootConstrainSelectedInstOperands,
     /*  778786 */     // GIR_Coverage, 14700,
     /*  778786 */     GIR_EraseRootFromParent_Done,
     /*  778787 */   // Label 12096: @778787
     /*  778787 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778865), // Rule ID 14701 //
     /*  778792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778863 */     GIR_RootConstrainSelectedInstOperands,
     /*  778864 */     // GIR_Coverage, 14701,
     /*  778864 */     GIR_EraseRootFromParent_Done,
     /*  778865 */   // Label 12097: @778865
     /*  778865 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778943), // Rule ID 14704 //
     /*  778870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778941 */     GIR_RootConstrainSelectedInstOperands,
     /*  778942 */     // GIR_Coverage, 14704,
     /*  778942 */     GIR_EraseRootFromParent_Done,
     /*  778943 */   // Label 12098: @778943
     /*  778943 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(779021), // Rule ID 14705 //
     /*  778948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779019 */     GIR_RootConstrainSelectedInstOperands,
     /*  779020 */     // GIR_Coverage, 14705,
     /*  779020 */     GIR_EraseRootFromParent_Done,
     /*  779021 */   // Label 12099: @779021
     /*  779021 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(779099), // Rule ID 14708 //
     /*  779026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779097 */     GIR_RootConstrainSelectedInstOperands,
     /*  779098 */     // GIR_Coverage, 14708,
     /*  779098 */     GIR_EraseRootFromParent_Done,
     /*  779099 */   // Label 12100: @779099
     /*  779099 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779177), // Rule ID 14709 //
     /*  779104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779175 */     GIR_RootConstrainSelectedInstOperands,
     /*  779176 */     // GIR_Coverage, 14709,
     /*  779176 */     GIR_EraseRootFromParent_Done,
     /*  779177 */   // Label 12101: @779177
     /*  779177 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779255), // Rule ID 14712 //
     /*  779182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779253 */     GIR_RootConstrainSelectedInstOperands,
     /*  779254 */     // GIR_Coverage, 14712,
     /*  779254 */     GIR_EraseRootFromParent_Done,
     /*  779255 */   // Label 12102: @779255
     /*  779255 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779333), // Rule ID 14713 //
     /*  779260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779331 */     GIR_RootConstrainSelectedInstOperands,
     /*  779332 */     // GIR_Coverage, 14713,
     /*  779332 */     GIR_EraseRootFromParent_Done,
     /*  779333 */   // Label 12103: @779333
     /*  779333 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779411), // Rule ID 14716 //
     /*  779338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  779349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  779352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779409 */     GIR_RootConstrainSelectedInstOperands,
     /*  779410 */     // GIR_Coverage, 14716,
     /*  779410 */     GIR_EraseRootFromParent_Done,
     /*  779411 */   // Label 12104: @779411
     /*  779411 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779489), // Rule ID 14717 //
     /*  779416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  779427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  779430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779487 */     GIR_RootConstrainSelectedInstOperands,
     /*  779488 */     // GIR_Coverage, 14717,
     /*  779488 */     GIR_EraseRootFromParent_Done,
     /*  779489 */   // Label 12105: @779489
     /*  779489 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779567), // Rule ID 14720 //
     /*  779494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779565 */     GIR_RootConstrainSelectedInstOperands,
     /*  779566 */     // GIR_Coverage, 14720,
     /*  779566 */     GIR_EraseRootFromParent_Done,
     /*  779567 */   // Label 12106: @779567
     /*  779567 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779645), // Rule ID 14721 //
     /*  779572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779643 */     GIR_RootConstrainSelectedInstOperands,
     /*  779644 */     // GIR_Coverage, 14721,
     /*  779644 */     GIR_EraseRootFromParent_Done,
     /*  779645 */   // Label 12107: @779645
     /*  779645 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779723), // Rule ID 14724 //
     /*  779650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779721 */     GIR_RootConstrainSelectedInstOperands,
     /*  779722 */     // GIR_Coverage, 14724,
     /*  779722 */     GIR_EraseRootFromParent_Done,
     /*  779723 */   // Label 12108: @779723
     /*  779723 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779801), // Rule ID 14725 //
     /*  779728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779799 */     GIR_RootConstrainSelectedInstOperands,
     /*  779800 */     // GIR_Coverage, 14725,
     /*  779800 */     GIR_EraseRootFromParent_Done,
     /*  779801 */   // Label 12109: @779801
     /*  779801 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779879), // Rule ID 14728 //
     /*  779806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779877 */     GIR_RootConstrainSelectedInstOperands,
     /*  779878 */     // GIR_Coverage, 14728,
     /*  779878 */     GIR_EraseRootFromParent_Done,
     /*  779879 */   // Label 12110: @779879
     /*  779879 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779957), // Rule ID 14729 //
     /*  779884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779955 */     GIR_RootConstrainSelectedInstOperands,
     /*  779956 */     // GIR_Coverage, 14729,
     /*  779956 */     GIR_EraseRootFromParent_Done,
     /*  779957 */   // Label 12111: @779957
     /*  779957 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(780035), // Rule ID 14732 //
     /*  779962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780033 */     GIR_RootConstrainSelectedInstOperands,
     /*  780034 */     // GIR_Coverage, 14732,
     /*  780034 */     GIR_EraseRootFromParent_Done,
     /*  780035 */   // Label 12112: @780035
     /*  780035 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(780113), // Rule ID 14733 //
     /*  780040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780111 */     GIR_RootConstrainSelectedInstOperands,
     /*  780112 */     // GIR_Coverage, 14733,
     /*  780112 */     GIR_EraseRootFromParent_Done,
     /*  780113 */   // Label 12113: @780113
     /*  780113 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780191), // Rule ID 14736 //
     /*  780118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780189 */     GIR_RootConstrainSelectedInstOperands,
     /*  780190 */     // GIR_Coverage, 14736,
     /*  780190 */     GIR_EraseRootFromParent_Done,
     /*  780191 */   // Label 12114: @780191
     /*  780191 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780269), // Rule ID 14737 //
     /*  780196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780267 */     GIR_RootConstrainSelectedInstOperands,
     /*  780268 */     // GIR_Coverage, 14737,
     /*  780268 */     GIR_EraseRootFromParent_Done,
     /*  780269 */   // Label 12115: @780269
     /*  780269 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780347), // Rule ID 14740 //
     /*  780274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780345 */     GIR_RootConstrainSelectedInstOperands,
     /*  780346 */     // GIR_Coverage, 14740,
     /*  780346 */     GIR_EraseRootFromParent_Done,
     /*  780347 */   // Label 12116: @780347
     /*  780347 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780425), // Rule ID 14741 //
     /*  780352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780423 */     GIR_RootConstrainSelectedInstOperands,
     /*  780424 */     // GIR_Coverage, 14741,
     /*  780424 */     GIR_EraseRootFromParent_Done,
     /*  780425 */   // Label 12117: @780425
     /*  780425 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780503), // Rule ID 14744 //
     /*  780430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780501 */     GIR_RootConstrainSelectedInstOperands,
     /*  780502 */     // GIR_Coverage, 14744,
     /*  780502 */     GIR_EraseRootFromParent_Done,
     /*  780503 */   // Label 12118: @780503
     /*  780503 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780581), // Rule ID 14745 //
     /*  780508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780579 */     GIR_RootConstrainSelectedInstOperands,
     /*  780580 */     // GIR_Coverage, 14745,
     /*  780580 */     GIR_EraseRootFromParent_Done,
     /*  780581 */   // Label 12119: @780581
     /*  780581 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780659), // Rule ID 14748 //
     /*  780586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780657 */     GIR_RootConstrainSelectedInstOperands,
     /*  780658 */     // GIR_Coverage, 14748,
     /*  780658 */     GIR_EraseRootFromParent_Done,
     /*  780659 */   // Label 12120: @780659
     /*  780659 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780737), // Rule ID 14749 //
     /*  780664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780735 */     GIR_RootConstrainSelectedInstOperands,
     /*  780736 */     // GIR_Coverage, 14749,
     /*  780736 */     GIR_EraseRootFromParent_Done,
     /*  780737 */   // Label 12121: @780737
     /*  780737 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780815), // Rule ID 14752 //
     /*  780742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780813 */     GIR_RootConstrainSelectedInstOperands,
     /*  780814 */     // GIR_Coverage, 14752,
     /*  780814 */     GIR_EraseRootFromParent_Done,
     /*  780815 */   // Label 12122: @780815
     /*  780815 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780893), // Rule ID 14753 //
     /*  780820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780891 */     GIR_RootConstrainSelectedInstOperands,
     /*  780892 */     // GIR_Coverage, 14753,
     /*  780892 */     GIR_EraseRootFromParent_Done,
     /*  780893 */   // Label 12123: @780893
     /*  780893 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780971), // Rule ID 14756 //
     /*  780898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780969 */     GIR_RootConstrainSelectedInstOperands,
     /*  780970 */     // GIR_Coverage, 14756,
     /*  780970 */     GIR_EraseRootFromParent_Done,
     /*  780971 */   // Label 12124: @780971
     /*  780971 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(781049), // Rule ID 14757 //
     /*  780976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781047 */     GIR_RootConstrainSelectedInstOperands,
     /*  781048 */     // GIR_Coverage, 14757,
     /*  781048 */     GIR_EraseRootFromParent_Done,
     /*  781049 */   // Label 12125: @781049
     /*  781049 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781127), // Rule ID 14760 //
     /*  781054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781125 */     GIR_RootConstrainSelectedInstOperands,
     /*  781126 */     // GIR_Coverage, 14760,
     /*  781126 */     GIR_EraseRootFromParent_Done,
     /*  781127 */   // Label 12126: @781127
     /*  781127 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781205), // Rule ID 14761 //
     /*  781132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781203 */     GIR_RootConstrainSelectedInstOperands,
     /*  781204 */     // GIR_Coverage, 14761,
     /*  781204 */     GIR_EraseRootFromParent_Done,
     /*  781205 */   // Label 12127: @781205
     /*  781205 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781283), // Rule ID 14764 //
     /*  781210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781281 */     GIR_RootConstrainSelectedInstOperands,
     /*  781282 */     // GIR_Coverage, 14764,
     /*  781282 */     GIR_EraseRootFromParent_Done,
     /*  781283 */   // Label 12128: @781283
     /*  781283 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781361), // Rule ID 14765 //
     /*  781288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781359 */     GIR_RootConstrainSelectedInstOperands,
     /*  781360 */     // GIR_Coverage, 14765,
     /*  781360 */     GIR_EraseRootFromParent_Done,
     /*  781361 */   // Label 12129: @781361
     /*  781361 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781439), // Rule ID 14768 //
     /*  781366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781437 */     GIR_RootConstrainSelectedInstOperands,
     /*  781438 */     // GIR_Coverage, 14768,
     /*  781438 */     GIR_EraseRootFromParent_Done,
     /*  781439 */   // Label 12130: @781439
     /*  781439 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781517), // Rule ID 14769 //
     /*  781444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781515 */     GIR_RootConstrainSelectedInstOperands,
     /*  781516 */     // GIR_Coverage, 14769,
     /*  781516 */     GIR_EraseRootFromParent_Done,
     /*  781517 */   // Label 12131: @781517
     /*  781517 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781595), // Rule ID 14772 //
     /*  781522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781593 */     GIR_RootConstrainSelectedInstOperands,
     /*  781594 */     // GIR_Coverage, 14772,
     /*  781594 */     GIR_EraseRootFromParent_Done,
     /*  781595 */   // Label 12132: @781595
     /*  781595 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781673), // Rule ID 14773 //
     /*  781600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781671 */     GIR_RootConstrainSelectedInstOperands,
     /*  781672 */     // GIR_Coverage, 14773,
     /*  781672 */     GIR_EraseRootFromParent_Done,
     /*  781673 */   // Label 12133: @781673
     /*  781673 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781751), // Rule ID 14776 //
     /*  781678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781749 */     GIR_RootConstrainSelectedInstOperands,
     /*  781750 */     // GIR_Coverage, 14776,
     /*  781750 */     GIR_EraseRootFromParent_Done,
     /*  781751 */   // Label 12134: @781751
     /*  781751 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781829), // Rule ID 14777 //
     /*  781756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781827 */     GIR_RootConstrainSelectedInstOperands,
     /*  781828 */     // GIR_Coverage, 14777,
     /*  781828 */     GIR_EraseRootFromParent_Done,
     /*  781829 */   // Label 12135: @781829
     /*  781829 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781907), // Rule ID 14780 //
     /*  781834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781905 */     GIR_RootConstrainSelectedInstOperands,
     /*  781906 */     // GIR_Coverage, 14780,
     /*  781906 */     GIR_EraseRootFromParent_Done,
     /*  781907 */   // Label 12136: @781907
     /*  781907 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781985), // Rule ID 14781 //
     /*  781912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781983 */     GIR_RootConstrainSelectedInstOperands,
     /*  781984 */     // GIR_Coverage, 14781,
     /*  781984 */     GIR_EraseRootFromParent_Done,
     /*  781985 */   // Label 12137: @781985
     /*  781985 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(782063), // Rule ID 14784 //
     /*  781990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782061 */     GIR_RootConstrainSelectedInstOperands,
     /*  782062 */     // GIR_Coverage, 14784,
     /*  782062 */     GIR_EraseRootFromParent_Done,
     /*  782063 */   // Label 12138: @782063
     /*  782063 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782141), // Rule ID 14785 //
     /*  782068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782139 */     GIR_RootConstrainSelectedInstOperands,
     /*  782140 */     // GIR_Coverage, 14785,
     /*  782140 */     GIR_EraseRootFromParent_Done,
     /*  782141 */   // Label 12139: @782141
     /*  782141 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782219), // Rule ID 14788 //
     /*  782146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782217 */     GIR_RootConstrainSelectedInstOperands,
     /*  782218 */     // GIR_Coverage, 14788,
     /*  782218 */     GIR_EraseRootFromParent_Done,
     /*  782219 */   // Label 12140: @782219
     /*  782219 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782297), // Rule ID 14789 //
     /*  782224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782295 */     GIR_RootConstrainSelectedInstOperands,
     /*  782296 */     // GIR_Coverage, 14789,
     /*  782296 */     GIR_EraseRootFromParent_Done,
     /*  782297 */   // Label 12141: @782297
     /*  782297 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782375), // Rule ID 14792 //
     /*  782302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782373 */     GIR_RootConstrainSelectedInstOperands,
     /*  782374 */     // GIR_Coverage, 14792,
     /*  782374 */     GIR_EraseRootFromParent_Done,
     /*  782375 */   // Label 12142: @782375
     /*  782375 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782453), // Rule ID 14793 //
     /*  782380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782451 */     GIR_RootConstrainSelectedInstOperands,
     /*  782452 */     // GIR_Coverage, 14793,
     /*  782452 */     GIR_EraseRootFromParent_Done,
     /*  782453 */   // Label 12143: @782453
     /*  782453 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782531), // Rule ID 14796 //
     /*  782458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782529 */     GIR_RootConstrainSelectedInstOperands,
     /*  782530 */     // GIR_Coverage, 14796,
     /*  782530 */     GIR_EraseRootFromParent_Done,
     /*  782531 */   // Label 12144: @782531
     /*  782531 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782609), // Rule ID 14797 //
     /*  782536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782607 */     GIR_RootConstrainSelectedInstOperands,
     /*  782608 */     // GIR_Coverage, 14797,
     /*  782608 */     GIR_EraseRootFromParent_Done,
     /*  782609 */   // Label 12145: @782609
     /*  782609 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782687), // Rule ID 14800 //
     /*  782614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782660 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782685 */     GIR_RootConstrainSelectedInstOperands,
     /*  782686 */     // GIR_Coverage, 14800,
     /*  782686 */     GIR_EraseRootFromParent_Done,
     /*  782687 */   // Label 12146: @782687
     /*  782687 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782765), // Rule ID 14801 //
     /*  782692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782763 */     GIR_RootConstrainSelectedInstOperands,
     /*  782764 */     // GIR_Coverage, 14801,
     /*  782764 */     GIR_EraseRootFromParent_Done,
     /*  782765 */   // Label 12147: @782765
     /*  782765 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782843), // Rule ID 14804 //
     /*  782770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782841 */     GIR_RootConstrainSelectedInstOperands,
     /*  782842 */     // GIR_Coverage, 14804,
     /*  782842 */     GIR_EraseRootFromParent_Done,
     /*  782843 */   // Label 12148: @782843
     /*  782843 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782921), // Rule ID 14805 //
     /*  782848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782919 */     GIR_RootConstrainSelectedInstOperands,
     /*  782920 */     // GIR_Coverage, 14805,
     /*  782920 */     GIR_EraseRootFromParent_Done,
     /*  782921 */   // Label 12149: @782921
     /*  782921 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782999), // Rule ID 14808 //
     /*  782926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782997 */     GIR_RootConstrainSelectedInstOperands,
     /*  782998 */     // GIR_Coverage, 14808,
     /*  782998 */     GIR_EraseRootFromParent_Done,
     /*  782999 */   // Label 12150: @782999
     /*  782999 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(783077), // Rule ID 14809 //
     /*  783004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783075 */     GIR_RootConstrainSelectedInstOperands,
     /*  783076 */     // GIR_Coverage, 14809,
     /*  783076 */     GIR_EraseRootFromParent_Done,
     /*  783077 */   // Label 12151: @783077
     /*  783077 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783155), // Rule ID 14812 //
     /*  783082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783153 */     GIR_RootConstrainSelectedInstOperands,
     /*  783154 */     // GIR_Coverage, 14812,
     /*  783154 */     GIR_EraseRootFromParent_Done,
     /*  783155 */   // Label 12152: @783155
     /*  783155 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783233), // Rule ID 14813 //
     /*  783160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783231 */     GIR_RootConstrainSelectedInstOperands,
     /*  783232 */     // GIR_Coverage, 14813,
     /*  783232 */     GIR_EraseRootFromParent_Done,
     /*  783233 */   // Label 12153: @783233
     /*  783233 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783308), // Rule ID 19054 //
     /*  783238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  783287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783306 */     GIR_RootConstrainSelectedInstOperands,
     /*  783307 */     // GIR_Coverage, 19054,
     /*  783307 */     GIR_EraseRootFromParent_Done,
     /*  783308 */   // Label 12154: @783308
     /*  783308 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783383), // Rule ID 19055 //
     /*  783313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783359 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  783362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783381 */     GIR_RootConstrainSelectedInstOperands,
     /*  783382 */     // GIR_Coverage, 19055,
     /*  783382 */     GIR_EraseRootFromParent_Done,
     /*  783383 */   // Label 12155: @783383
     /*  783383 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783458), // Rule ID 19058 //
     /*  783388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783456 */     GIR_RootConstrainSelectedInstOperands,
     /*  783457 */     // GIR_Coverage, 19058,
     /*  783457 */     GIR_EraseRootFromParent_Done,
     /*  783458 */   // Label 12156: @783458
     /*  783458 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783533), // Rule ID 19059 //
     /*  783463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783531 */     GIR_RootConstrainSelectedInstOperands,
     /*  783532 */     // GIR_Coverage, 19059,
     /*  783532 */     GIR_EraseRootFromParent_Done,
     /*  783533 */   // Label 12157: @783533
     /*  783533 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783608), // Rule ID 19062 //
     /*  783538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783606 */     GIR_RootConstrainSelectedInstOperands,
     /*  783607 */     // GIR_Coverage, 19062,
     /*  783607 */     GIR_EraseRootFromParent_Done,
     /*  783608 */   // Label 12158: @783608
     /*  783608 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783683), // Rule ID 19063 //
     /*  783613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783681 */     GIR_RootConstrainSelectedInstOperands,
     /*  783682 */     // GIR_Coverage, 19063,
     /*  783682 */     GIR_EraseRootFromParent_Done,
     /*  783683 */   // Label 12159: @783683
     /*  783683 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783758), // Rule ID 19066 //
     /*  783688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783756 */     GIR_RootConstrainSelectedInstOperands,
     /*  783757 */     // GIR_Coverage, 19066,
     /*  783757 */     GIR_EraseRootFromParent_Done,
     /*  783758 */   // Label 12160: @783758
     /*  783758 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783833), // Rule ID 19067 //
     /*  783763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783831 */     GIR_RootConstrainSelectedInstOperands,
     /*  783832 */     // GIR_Coverage, 19067,
     /*  783832 */     GIR_EraseRootFromParent_Done,
     /*  783833 */   // Label 12161: @783833
     /*  783833 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783908), // Rule ID 19070 //
     /*  783838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783906 */     GIR_RootConstrainSelectedInstOperands,
     /*  783907 */     // GIR_Coverage, 19070,
     /*  783907 */     GIR_EraseRootFromParent_Done,
     /*  783908 */   // Label 12162: @783908
     /*  783908 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783983), // Rule ID 19071 //
     /*  783913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783981 */     GIR_RootConstrainSelectedInstOperands,
     /*  783982 */     // GIR_Coverage, 19071,
     /*  783982 */     GIR_EraseRootFromParent_Done,
     /*  783983 */   // Label 12163: @783983
     /*  783983 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(784058), // Rule ID 19074 //
     /*  783988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784056 */     GIR_RootConstrainSelectedInstOperands,
     /*  784057 */     // GIR_Coverage, 19074,
     /*  784057 */     GIR_EraseRootFromParent_Done,
     /*  784058 */   // Label 12164: @784058
     /*  784058 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784133), // Rule ID 19075 //
     /*  784063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784131 */     GIR_RootConstrainSelectedInstOperands,
     /*  784132 */     // GIR_Coverage, 19075,
     /*  784132 */     GIR_EraseRootFromParent_Done,
     /*  784133 */   // Label 12165: @784133
     /*  784133 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784208), // Rule ID 19078 //
     /*  784138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784206 */     GIR_RootConstrainSelectedInstOperands,
     /*  784207 */     // GIR_Coverage, 19078,
     /*  784207 */     GIR_EraseRootFromParent_Done,
     /*  784208 */   // Label 12166: @784208
     /*  784208 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784283), // Rule ID 19079 //
     /*  784213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784281 */     GIR_RootConstrainSelectedInstOperands,
     /*  784282 */     // GIR_Coverage, 19079,
     /*  784282 */     GIR_EraseRootFromParent_Done,
     /*  784283 */   // Label 12167: @784283
     /*  784283 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784358), // Rule ID 19082 //
     /*  784288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  784337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784356 */     GIR_RootConstrainSelectedInstOperands,
     /*  784357 */     // GIR_Coverage, 19082,
     /*  784357 */     GIR_EraseRootFromParent_Done,
     /*  784358 */   // Label 12168: @784358
     /*  784358 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784433), // Rule ID 19083 //
     /*  784363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784409 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  784412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784431 */     GIR_RootConstrainSelectedInstOperands,
     /*  784432 */     // GIR_Coverage, 19083,
     /*  784432 */     GIR_EraseRootFromParent_Done,
     /*  784433 */   // Label 12169: @784433
     /*  784433 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784508), // Rule ID 19086 //
     /*  784438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784484 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784506 */     GIR_RootConstrainSelectedInstOperands,
     /*  784507 */     // GIR_Coverage, 19086,
     /*  784507 */     GIR_EraseRootFromParent_Done,
     /*  784508 */   // Label 12170: @784508
     /*  784508 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784583), // Rule ID 19087 //
     /*  784513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784559 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784581 */     GIR_RootConstrainSelectedInstOperands,
     /*  784582 */     // GIR_Coverage, 19087,
     /*  784582 */     GIR_EraseRootFromParent_Done,
     /*  784583 */   // Label 12171: @784583
     /*  784583 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784658), // Rule ID 19090 //
     /*  784588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784656 */     GIR_RootConstrainSelectedInstOperands,
     /*  784657 */     // GIR_Coverage, 19090,
     /*  784657 */     GIR_EraseRootFromParent_Done,
     /*  784658 */   // Label 12172: @784658
     /*  784658 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784733), // Rule ID 19091 //
     /*  784663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784731 */     GIR_RootConstrainSelectedInstOperands,
     /*  784732 */     // GIR_Coverage, 19091,
     /*  784732 */     GIR_EraseRootFromParent_Done,
     /*  784733 */   // Label 12173: @784733
     /*  784733 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784808), // Rule ID 19094 //
     /*  784738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784806 */     GIR_RootConstrainSelectedInstOperands,
     /*  784807 */     // GIR_Coverage, 19094,
     /*  784807 */     GIR_EraseRootFromParent_Done,
     /*  784808 */   // Label 12174: @784808
     /*  784808 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784883), // Rule ID 19095 //
     /*  784813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784881 */     GIR_RootConstrainSelectedInstOperands,
     /*  784882 */     // GIR_Coverage, 19095,
     /*  784882 */     GIR_EraseRootFromParent_Done,
     /*  784883 */   // Label 12175: @784883
     /*  784883 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784958), // Rule ID 19098 //
     /*  784888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784934 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784956 */     GIR_RootConstrainSelectedInstOperands,
     /*  784957 */     // GIR_Coverage, 19098,
     /*  784957 */     GIR_EraseRootFromParent_Done,
     /*  784958 */   // Label 12176: @784958
     /*  784958 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(785033), // Rule ID 19099 //
     /*  784963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785009 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  785012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785031 */     GIR_RootConstrainSelectedInstOperands,
     /*  785032 */     // GIR_Coverage, 19099,
     /*  785032 */     GIR_EraseRootFromParent_Done,
     /*  785033 */   // Label 12177: @785033
     /*  785033 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(785108), // Rule ID 19102 //
     /*  785038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785106 */     GIR_RootConstrainSelectedInstOperands,
     /*  785107 */     // GIR_Coverage, 19102,
     /*  785107 */     GIR_EraseRootFromParent_Done,
     /*  785108 */   // Label 12178: @785108
     /*  785108 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785183), // Rule ID 19103 //
     /*  785113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785159 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785181 */     GIR_RootConstrainSelectedInstOperands,
     /*  785182 */     // GIR_Coverage, 19103,
     /*  785182 */     GIR_EraseRootFromParent_Done,
     /*  785183 */   // Label 12179: @785183
     /*  785183 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785258), // Rule ID 19106 //
     /*  785188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785256 */     GIR_RootConstrainSelectedInstOperands,
     /*  785257 */     // GIR_Coverage, 19106,
     /*  785257 */     GIR_EraseRootFromParent_Done,
     /*  785258 */   // Label 12180: @785258
     /*  785258 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785333), // Rule ID 19107 //
     /*  785263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785331 */     GIR_RootConstrainSelectedInstOperands,
     /*  785332 */     // GIR_Coverage, 19107,
     /*  785332 */     GIR_EraseRootFromParent_Done,
     /*  785333 */   // Label 12181: @785333
     /*  785333 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785408), // Rule ID 19110 //
     /*  785338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785406 */     GIR_RootConstrainSelectedInstOperands,
     /*  785407 */     // GIR_Coverage, 19110,
     /*  785407 */     GIR_EraseRootFromParent_Done,
     /*  785408 */   // Label 12182: @785408
     /*  785408 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785483), // Rule ID 19111 //
     /*  785413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785459 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785481 */     GIR_RootConstrainSelectedInstOperands,
     /*  785482 */     // GIR_Coverage, 19111,
     /*  785482 */     GIR_EraseRootFromParent_Done,
     /*  785483 */   // Label 12183: @785483
     /*  785483 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785558), // Rule ID 19114 //
     /*  785488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785534 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785556 */     GIR_RootConstrainSelectedInstOperands,
     /*  785557 */     // GIR_Coverage, 19114,
     /*  785557 */     GIR_EraseRootFromParent_Done,
     /*  785558 */   // Label 12184: @785558
     /*  785558 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785633), // Rule ID 19115 //
     /*  785563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785609 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785631 */     GIR_RootConstrainSelectedInstOperands,
     /*  785632 */     // GIR_Coverage, 19115,
     /*  785632 */     GIR_EraseRootFromParent_Done,
     /*  785633 */   // Label 12185: @785633
     /*  785633 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785708), // Rule ID 19118 //
     /*  785638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785706 */     GIR_RootConstrainSelectedInstOperands,
     /*  785707 */     // GIR_Coverage, 19118,
     /*  785707 */     GIR_EraseRootFromParent_Done,
     /*  785708 */   // Label 12186: @785708
     /*  785708 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785783), // Rule ID 19119 //
     /*  785713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785781 */     GIR_RootConstrainSelectedInstOperands,
     /*  785782 */     // GIR_Coverage, 19119,
     /*  785782 */     GIR_EraseRootFromParent_Done,
     /*  785783 */   // Label 12187: @785783
     /*  785783 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785858), // Rule ID 19122 //
     /*  785788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785856 */     GIR_RootConstrainSelectedInstOperands,
     /*  785857 */     // GIR_Coverage, 19122,
     /*  785857 */     GIR_EraseRootFromParent_Done,
     /*  785858 */   // Label 12188: @785858
     /*  785858 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785933), // Rule ID 19123 //
     /*  785863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785931 */     GIR_RootConstrainSelectedInstOperands,
     /*  785932 */     // GIR_Coverage, 19123,
     /*  785932 */     GIR_EraseRootFromParent_Done,
     /*  785933 */   // Label 12189: @785933
     /*  785933 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(786008), // Rule ID 19126 //
     /*  785938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786006 */     GIR_RootConstrainSelectedInstOperands,
     /*  786007 */     // GIR_Coverage, 19126,
     /*  786007 */     GIR_EraseRootFromParent_Done,
     /*  786008 */   // Label 12190: @786008
     /*  786008 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(786083), // Rule ID 19127 //
     /*  786013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786059 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  786062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786081 */     GIR_RootConstrainSelectedInstOperands,
     /*  786082 */     // GIR_Coverage, 19127,
     /*  786082 */     GIR_EraseRootFromParent_Done,
     /*  786083 */   // Label 12191: @786083
     /*  786083 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786158), // Rule ID 19130 //
     /*  786088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786156 */     GIR_RootConstrainSelectedInstOperands,
     /*  786157 */     // GIR_Coverage, 19130,
     /*  786157 */     GIR_EraseRootFromParent_Done,
     /*  786158 */   // Label 12192: @786158
     /*  786158 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786233), // Rule ID 19131 //
     /*  786163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786231 */     GIR_RootConstrainSelectedInstOperands,
     /*  786232 */     // GIR_Coverage, 19131,
     /*  786232 */     GIR_EraseRootFromParent_Done,
     /*  786233 */   // Label 12193: @786233
     /*  786233 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786308), // Rule ID 19134 //
     /*  786238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  786287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786306 */     GIR_RootConstrainSelectedInstOperands,
     /*  786307 */     // GIR_Coverage, 19134,
     /*  786307 */     GIR_EraseRootFromParent_Done,
     /*  786308 */   // Label 12194: @786308
     /*  786308 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786383), // Rule ID 19135 //
     /*  786313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  786362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786381 */     GIR_RootConstrainSelectedInstOperands,
     /*  786382 */     // GIR_Coverage, 19135,
     /*  786382 */     GIR_EraseRootFromParent_Done,
     /*  786383 */   // Label 12195: @786383
     /*  786383 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786458), // Rule ID 19138 //
     /*  786388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786456 */     GIR_RootConstrainSelectedInstOperands,
     /*  786457 */     // GIR_Coverage, 19138,
     /*  786457 */     GIR_EraseRootFromParent_Done,
     /*  786458 */   // Label 12196: @786458
     /*  786458 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786533), // Rule ID 19139 //
     /*  786463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786509 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786531 */     GIR_RootConstrainSelectedInstOperands,
     /*  786532 */     // GIR_Coverage, 19139,
     /*  786532 */     GIR_EraseRootFromParent_Done,
     /*  786533 */   // Label 12197: @786533
     /*  786533 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786608), // Rule ID 19142 //
     /*  786538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786584 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786606 */     GIR_RootConstrainSelectedInstOperands,
     /*  786607 */     // GIR_Coverage, 19142,
     /*  786607 */     GIR_EraseRootFromParent_Done,
     /*  786608 */   // Label 12198: @786608
     /*  786608 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786683), // Rule ID 19143 //
     /*  786613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786681 */     GIR_RootConstrainSelectedInstOperands,
     /*  786682 */     // GIR_Coverage, 19143,
     /*  786682 */     GIR_EraseRootFromParent_Done,
     /*  786683 */   // Label 12199: @786683
     /*  786683 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786758), // Rule ID 19146 //
     /*  786688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786756 */     GIR_RootConstrainSelectedInstOperands,
     /*  786757 */     // GIR_Coverage, 19146,
     /*  786757 */     GIR_EraseRootFromParent_Done,
     /*  786758 */   // Label 12200: @786758
     /*  786758 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786833), // Rule ID 19147 //
     /*  786763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786809 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786831 */     GIR_RootConstrainSelectedInstOperands,
     /*  786832 */     // GIR_Coverage, 19147,
     /*  786832 */     GIR_EraseRootFromParent_Done,
     /*  786833 */   // Label 12201: @786833
     /*  786833 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786908), // Rule ID 19150 //
     /*  786838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786906 */     GIR_RootConstrainSelectedInstOperands,
     /*  786907 */     // GIR_Coverage, 19150,
     /*  786907 */     GIR_EraseRootFromParent_Done,
     /*  786908 */   // Label 12202: @786908
     /*  786908 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786983), // Rule ID 19151 //
     /*  786913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786981 */     GIR_RootConstrainSelectedInstOperands,
     /*  786982 */     // GIR_Coverage, 19151,
     /*  786982 */     GIR_EraseRootFromParent_Done,
     /*  786983 */   // Label 12203: @786983
     /*  786983 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(787058), // Rule ID 19154 //
     /*  786988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787056 */     GIR_RootConstrainSelectedInstOperands,
     /*  787057 */     // GIR_Coverage, 19154,
     /*  787057 */     GIR_EraseRootFromParent_Done,
     /*  787058 */   // Label 12204: @787058
     /*  787058 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787133), // Rule ID 19155 //
     /*  787063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787131 */     GIR_RootConstrainSelectedInstOperands,
     /*  787132 */     // GIR_Coverage, 19155,
     /*  787132 */     GIR_EraseRootFromParent_Done,
     /*  787133 */   // Label 12205: @787133
     /*  787133 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787208), // Rule ID 19158 //
     /*  787138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787206 */     GIR_RootConstrainSelectedInstOperands,
     /*  787207 */     // GIR_Coverage, 19158,
     /*  787207 */     GIR_EraseRootFromParent_Done,
     /*  787208 */   // Label 12206: @787208
     /*  787208 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787283), // Rule ID 19159 //
     /*  787213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787259 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787281 */     GIR_RootConstrainSelectedInstOperands,
     /*  787282 */     // GIR_Coverage, 19159,
     /*  787282 */     GIR_EraseRootFromParent_Done,
     /*  787283 */   // Label 12207: @787283
     /*  787283 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787358), // Rule ID 19162 //
     /*  787288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  787337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787356 */     GIR_RootConstrainSelectedInstOperands,
     /*  787357 */     // GIR_Coverage, 19162,
     /*  787357 */     GIR_EraseRootFromParent_Done,
     /*  787358 */   // Label 12208: @787358
     /*  787358 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787433), // Rule ID 19163 //
     /*  787363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  787412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787431 */     GIR_RootConstrainSelectedInstOperands,
     /*  787432 */     // GIR_Coverage, 19163,
     /*  787432 */     GIR_EraseRootFromParent_Done,
     /*  787433 */   // Label 12209: @787433
     /*  787433 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787508), // Rule ID 19166 //
     /*  787438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787506 */     GIR_RootConstrainSelectedInstOperands,
     /*  787507 */     // GIR_Coverage, 19166,
     /*  787507 */     GIR_EraseRootFromParent_Done,
     /*  787508 */   // Label 12210: @787508
     /*  787508 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787583), // Rule ID 19167 //
     /*  787513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787581 */     GIR_RootConstrainSelectedInstOperands,
     /*  787582 */     // GIR_Coverage, 19167,
     /*  787582 */     GIR_EraseRootFromParent_Done,
     /*  787583 */   // Label 12211: @787583
     /*  787583 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787658), // Rule ID 19170 //
     /*  787588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787656 */     GIR_RootConstrainSelectedInstOperands,
     /*  787657 */     // GIR_Coverage, 19170,
     /*  787657 */     GIR_EraseRootFromParent_Done,
     /*  787658 */   // Label 12212: @787658
     /*  787658 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787733), // Rule ID 19171 //
     /*  787663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787731 */     GIR_RootConstrainSelectedInstOperands,
     /*  787732 */     // GIR_Coverage, 19171,
     /*  787732 */     GIR_EraseRootFromParent_Done,
     /*  787733 */   // Label 12213: @787733
     /*  787733 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787808), // Rule ID 19174 //
     /*  787738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787806 */     GIR_RootConstrainSelectedInstOperands,
     /*  787807 */     // GIR_Coverage, 19174,
     /*  787807 */     GIR_EraseRootFromParent_Done,
     /*  787808 */   // Label 12214: @787808
     /*  787808 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787883), // Rule ID 19175 //
     /*  787813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787881 */     GIR_RootConstrainSelectedInstOperands,
     /*  787882 */     // GIR_Coverage, 19175,
     /*  787882 */     GIR_EraseRootFromParent_Done,
     /*  787883 */   // Label 12215: @787883
     /*  787883 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787958), // Rule ID 19178 //
     /*  787888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787934 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787956 */     GIR_RootConstrainSelectedInstOperands,
     /*  787957 */     // GIR_Coverage, 19178,
     /*  787957 */     GIR_EraseRootFromParent_Done,
     /*  787958 */   // Label 12216: @787958
     /*  787958 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(788033), // Rule ID 19179 //
     /*  787963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788009 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  788012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788031 */     GIR_RootConstrainSelectedInstOperands,
     /*  788032 */     // GIR_Coverage, 19179,
     /*  788032 */     GIR_EraseRootFromParent_Done,
     /*  788033 */   // Label 12217: @788033
     /*  788033 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(788108), // Rule ID 19182 //
     /*  788038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788106 */     GIR_RootConstrainSelectedInstOperands,
     /*  788107 */     // GIR_Coverage, 19182,
     /*  788107 */     GIR_EraseRootFromParent_Done,
     /*  788108 */   // Label 12218: @788108
     /*  788108 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788183), // Rule ID 19183 //
     /*  788113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788159 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788181 */     GIR_RootConstrainSelectedInstOperands,
     /*  788182 */     // GIR_Coverage, 19183,
     /*  788182 */     GIR_EraseRootFromParent_Done,
     /*  788183 */   // Label 12219: @788183
     /*  788183 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788258), // Rule ID 19186 //
     /*  788188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788256 */     GIR_RootConstrainSelectedInstOperands,
     /*  788257 */     // GIR_Coverage, 19186,
     /*  788257 */     GIR_EraseRootFromParent_Done,
     /*  788258 */   // Label 12220: @788258
     /*  788258 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788333), // Rule ID 19187 //
     /*  788263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788331 */     GIR_RootConstrainSelectedInstOperands,
     /*  788332 */     // GIR_Coverage, 19187,
     /*  788332 */     GIR_EraseRootFromParent_Done,
     /*  788333 */   // Label 12221: @788333
     /*  788333 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788408), // Rule ID 19190 //
     /*  788338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788406 */     GIR_RootConstrainSelectedInstOperands,
     /*  788407 */     // GIR_Coverage, 19190,
     /*  788407 */     GIR_EraseRootFromParent_Done,
     /*  788408 */   // Label 12222: @788408
     /*  788408 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788483), // Rule ID 19191 //
     /*  788413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788459 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788481 */     GIR_RootConstrainSelectedInstOperands,
     /*  788482 */     // GIR_Coverage, 19191,
     /*  788482 */     GIR_EraseRootFromParent_Done,
     /*  788483 */   // Label 12223: @788483
     /*  788483 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788558), // Rule ID 19194 //
     /*  788488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788556 */     GIR_RootConstrainSelectedInstOperands,
     /*  788557 */     // GIR_Coverage, 19194,
     /*  788557 */     GIR_EraseRootFromParent_Done,
     /*  788558 */   // Label 12224: @788558
     /*  788558 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788633), // Rule ID 19195 //
     /*  788563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788631 */     GIR_RootConstrainSelectedInstOperands,
     /*  788632 */     // GIR_Coverage, 19195,
     /*  788632 */     GIR_EraseRootFromParent_Done,
     /*  788633 */   // Label 12225: @788633
     /*  788633 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788708), // Rule ID 19198 //
     /*  788638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788684 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788706 */     GIR_RootConstrainSelectedInstOperands,
     /*  788707 */     // GIR_Coverage, 19198,
     /*  788707 */     GIR_EraseRootFromParent_Done,
     /*  788708 */   // Label 12226: @788708
     /*  788708 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788783), // Rule ID 19199 //
     /*  788713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788781 */     GIR_RootConstrainSelectedInstOperands,
     /*  788782 */     // GIR_Coverage, 19199,
     /*  788782 */     GIR_EraseRootFromParent_Done,
     /*  788783 */   // Label 12227: @788783
     /*  788783 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788858), // Rule ID 19202 //
     /*  788788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788834 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788856 */     GIR_RootConstrainSelectedInstOperands,
     /*  788857 */     // GIR_Coverage, 19202,
     /*  788857 */     GIR_EraseRootFromParent_Done,
     /*  788858 */   // Label 12228: @788858
     /*  788858 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788933), // Rule ID 19203 //
     /*  788863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788931 */     GIR_RootConstrainSelectedInstOperands,
     /*  788932 */     // GIR_Coverage, 19203,
     /*  788932 */     GIR_EraseRootFromParent_Done,
     /*  788933 */   // Label 12229: @788933
     /*  788933 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(789008), // Rule ID 19206 //
     /*  788938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788984 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789006 */     GIR_RootConstrainSelectedInstOperands,
     /*  789007 */     // GIR_Coverage, 19206,
     /*  789007 */     GIR_EraseRootFromParent_Done,
     /*  789008 */   // Label 12230: @789008
     /*  789008 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(789083), // Rule ID 19207 //
     /*  789013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789059 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  789062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789081 */     GIR_RootConstrainSelectedInstOperands,
     /*  789082 */     // GIR_Coverage, 19207,
     /*  789082 */     GIR_EraseRootFromParent_Done,
     /*  789083 */   // Label 12231: @789083
     /*  789083 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(789158), // Rule ID 19210 //
     /*  789088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789156 */     GIR_RootConstrainSelectedInstOperands,
     /*  789157 */     // GIR_Coverage, 19210,
     /*  789157 */     GIR_EraseRootFromParent_Done,
     /*  789158 */   // Label 12232: @789158
     /*  789158 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789233), // Rule ID 19211 //
     /*  789163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789231 */     GIR_RootConstrainSelectedInstOperands,
     /*  789232 */     // GIR_Coverage, 19211,
     /*  789232 */     GIR_EraseRootFromParent_Done,
     /*  789233 */   // Label 12233: @789233
     /*  789233 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789308), // Rule ID 19214 //
     /*  789238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789284 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  789287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789306 */     GIR_RootConstrainSelectedInstOperands,
     /*  789307 */     // GIR_Coverage, 19214,
     /*  789307 */     GIR_EraseRootFromParent_Done,
     /*  789308 */   // Label 12234: @789308
     /*  789308 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789383), // Rule ID 19215 //
     /*  789313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789359 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  789362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789381 */     GIR_RootConstrainSelectedInstOperands,
     /*  789382 */     // GIR_Coverage, 19215,
     /*  789382 */     GIR_EraseRootFromParent_Done,
     /*  789383 */   // Label 12235: @789383
     /*  789383 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789458), // Rule ID 19218 //
     /*  789388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789434 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789456 */     GIR_RootConstrainSelectedInstOperands,
     /*  789457 */     // GIR_Coverage, 19218,
     /*  789457 */     GIR_EraseRootFromParent_Done,
     /*  789458 */   // Label 12236: @789458
     /*  789458 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789533), // Rule ID 19219 //
     /*  789463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789531 */     GIR_RootConstrainSelectedInstOperands,
     /*  789532 */     // GIR_Coverage, 19219,
     /*  789532 */     GIR_EraseRootFromParent_Done,
     /*  789533 */   // Label 12237: @789533
     /*  789533 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789608), // Rule ID 19222 //
     /*  789538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789606 */     GIR_RootConstrainSelectedInstOperands,
     /*  789607 */     // GIR_Coverage, 19222,
     /*  789607 */     GIR_EraseRootFromParent_Done,
     /*  789608 */   // Label 12238: @789608
     /*  789608 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789683), // Rule ID 19223 //
     /*  789613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789659 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789681 */     GIR_RootConstrainSelectedInstOperands,
     /*  789682 */     // GIR_Coverage, 19223,
     /*  789682 */     GIR_EraseRootFromParent_Done,
     /*  789683 */   // Label 12239: @789683
     /*  789683 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789758), // Rule ID 19226 //
     /*  789688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789756 */     GIR_RootConstrainSelectedInstOperands,
     /*  789757 */     // GIR_Coverage, 19226,
     /*  789757 */     GIR_EraseRootFromParent_Done,
     /*  789758 */   // Label 12240: @789758
     /*  789758 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789833), // Rule ID 19227 //
     /*  789763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789809 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789831 */     GIR_RootConstrainSelectedInstOperands,
     /*  789832 */     // GIR_Coverage, 19227,
     /*  789832 */     GIR_EraseRootFromParent_Done,
     /*  789833 */   // Label 12241: @789833
     /*  789833 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789908), // Rule ID 19230 //
     /*  789838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789906 */     GIR_RootConstrainSelectedInstOperands,
     /*  789907 */     // GIR_Coverage, 19230,
     /*  789907 */     GIR_EraseRootFromParent_Done,
     /*  789908 */   // Label 12242: @789908
     /*  789908 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789983), // Rule ID 19231 //
     /*  789913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789981 */     GIR_RootConstrainSelectedInstOperands,
     /*  789982 */     // GIR_Coverage, 19231,
     /*  789982 */     GIR_EraseRootFromParent_Done,
     /*  789983 */   // Label 12243: @789983
     /*  789983 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(790058), // Rule ID 19234 //
     /*  789988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790034 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790056 */     GIR_RootConstrainSelectedInstOperands,
     /*  790057 */     // GIR_Coverage, 19234,
     /*  790057 */     GIR_EraseRootFromParent_Done,
     /*  790058 */   // Label 12244: @790058
     /*  790058 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(790133), // Rule ID 19235 //
     /*  790063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790109 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790131 */     GIR_RootConstrainSelectedInstOperands,
     /*  790132 */     // GIR_Coverage, 19235,
     /*  790132 */     GIR_EraseRootFromParent_Done,
     /*  790133 */   // Label 12245: @790133
     /*  790133 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(790208), // Rule ID 19238 //
     /*  790138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790184 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790206 */     GIR_RootConstrainSelectedInstOperands,
     /*  790207 */     // GIR_Coverage, 19238,
     /*  790207 */     GIR_EraseRootFromParent_Done,
     /*  790208 */   // Label 12246: @790208
     /*  790208 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790283), // Rule ID 19239 //
     /*  790213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790259 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790281 */     GIR_RootConstrainSelectedInstOperands,
     /*  790282 */     // GIR_Coverage, 19239,
     /*  790282 */     GIR_EraseRootFromParent_Done,
     /*  790283 */   // Label 12247: @790283
     /*  790283 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790358), // Rule ID 19242 //
     /*  790288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  790337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790356 */     GIR_RootConstrainSelectedInstOperands,
     /*  790357 */     // GIR_Coverage, 19242,
     /*  790357 */     GIR_EraseRootFromParent_Done,
     /*  790358 */   // Label 12248: @790358
     /*  790358 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790433), // Rule ID 19243 //
     /*  790363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790409 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  790412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790431 */     GIR_RootConstrainSelectedInstOperands,
     /*  790432 */     // GIR_Coverage, 19243,
     /*  790432 */     GIR_EraseRootFromParent_Done,
     /*  790433 */   // Label 12249: @790433
     /*  790433 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790508), // Rule ID 19246 //
     /*  790438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790506 */     GIR_RootConstrainSelectedInstOperands,
     /*  790507 */     // GIR_Coverage, 19246,
     /*  790507 */     GIR_EraseRootFromParent_Done,
     /*  790508 */   // Label 12250: @790508
     /*  790508 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790583), // Rule ID 19247 //
     /*  790513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790559 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790581 */     GIR_RootConstrainSelectedInstOperands,
     /*  790582 */     // GIR_Coverage, 19247,
     /*  790582 */     GIR_EraseRootFromParent_Done,
     /*  790583 */   // Label 12251: @790583
     /*  790583 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790658), // Rule ID 19250 //
     /*  790588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790656 */     GIR_RootConstrainSelectedInstOperands,
     /*  790657 */     // GIR_Coverage, 19250,
     /*  790657 */     GIR_EraseRootFromParent_Done,
     /*  790658 */   // Label 12252: @790658
     /*  790658 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790733), // Rule ID 19251 //
     /*  790663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790731 */     GIR_RootConstrainSelectedInstOperands,
     /*  790732 */     // GIR_Coverage, 19251,
     /*  790732 */     GIR_EraseRootFromParent_Done,
     /*  790733 */   // Label 12253: @790733
     /*  790733 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790808), // Rule ID 19254 //
     /*  790738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790806 */     GIR_RootConstrainSelectedInstOperands,
     /*  790807 */     // GIR_Coverage, 19254,
     /*  790807 */     GIR_EraseRootFromParent_Done,
     /*  790808 */   // Label 12254: @790808
     /*  790808 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790883), // Rule ID 19255 //
     /*  790813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790881 */     GIR_RootConstrainSelectedInstOperands,
     /*  790882 */     // GIR_Coverage, 19255,
     /*  790882 */     GIR_EraseRootFromParent_Done,
     /*  790883 */   // Label 12255: @790883
     /*  790883 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790958), // Rule ID 19258 //
     /*  790888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790934 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790956 */     GIR_RootConstrainSelectedInstOperands,
     /*  790957 */     // GIR_Coverage, 19258,
     /*  790957 */     GIR_EraseRootFromParent_Done,
     /*  790958 */   // Label 12256: @790958
     /*  790958 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(791033), // Rule ID 19259 //
     /*  790963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791009 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  791012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791031 */     GIR_RootConstrainSelectedInstOperands,
     /*  791032 */     // GIR_Coverage, 19259,
     /*  791032 */     GIR_EraseRootFromParent_Done,
     /*  791033 */   // Label 12257: @791033
     /*  791033 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(791108), // Rule ID 19262 //
     /*  791038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791084 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791106 */     GIR_RootConstrainSelectedInstOperands,
     /*  791107 */     // GIR_Coverage, 19262,
     /*  791107 */     GIR_EraseRootFromParent_Done,
     /*  791108 */   // Label 12258: @791108
     /*  791108 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(791183), // Rule ID 19263 //
     /*  791113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791181 */     GIR_RootConstrainSelectedInstOperands,
     /*  791182 */     // GIR_Coverage, 19263,
     /*  791182 */     GIR_EraseRootFromParent_Done,
     /*  791183 */   // Label 12259: @791183
     /*  791183 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791258), // Rule ID 19266 //
     /*  791188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791234 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791256 */     GIR_RootConstrainSelectedInstOperands,
     /*  791257 */     // GIR_Coverage, 19266,
     /*  791257 */     GIR_EraseRootFromParent_Done,
     /*  791258 */   // Label 12260: @791258
     /*  791258 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791333), // Rule ID 19267 //
     /*  791263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791331 */     GIR_RootConstrainSelectedInstOperands,
     /*  791332 */     // GIR_Coverage, 19267,
     /*  791332 */     GIR_EraseRootFromParent_Done,
     /*  791333 */   // Label 12261: @791333
     /*  791333 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791408), // Rule ID 19270 //
     /*  791338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791406 */     GIR_RootConstrainSelectedInstOperands,
     /*  791407 */     // GIR_Coverage, 19270,
     /*  791407 */     GIR_EraseRootFromParent_Done,
     /*  791408 */   // Label 12262: @791408
     /*  791408 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791483), // Rule ID 19271 //
     /*  791413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791481 */     GIR_RootConstrainSelectedInstOperands,
     /*  791482 */     // GIR_Coverage, 19271,
     /*  791482 */     GIR_EraseRootFromParent_Done,
     /*  791483 */   // Label 12263: @791483
     /*  791483 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791558), // Rule ID 19274 //
     /*  791488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791556 */     GIR_RootConstrainSelectedInstOperands,
     /*  791557 */     // GIR_Coverage, 19274,
     /*  791557 */     GIR_EraseRootFromParent_Done,
     /*  791558 */   // Label 12264: @791558
     /*  791558 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791633), // Rule ID 19275 //
     /*  791563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791631 */     GIR_RootConstrainSelectedInstOperands,
     /*  791632 */     // GIR_Coverage, 19275,
     /*  791632 */     GIR_EraseRootFromParent_Done,
     /*  791633 */   // Label 12265: @791633
     /*  791633 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791708), // Rule ID 19278 //
     /*  791638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791684 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791706 */     GIR_RootConstrainSelectedInstOperands,
     /*  791707 */     // GIR_Coverage, 19278,
     /*  791707 */     GIR_EraseRootFromParent_Done,
     /*  791708 */   // Label 12266: @791708
     /*  791708 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791783), // Rule ID 19279 //
     /*  791713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791759 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791781 */     GIR_RootConstrainSelectedInstOperands,
     /*  791782 */     // GIR_Coverage, 19279,
     /*  791782 */     GIR_EraseRootFromParent_Done,
     /*  791783 */   // Label 12267: @791783
     /*  791783 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791858), // Rule ID 19282 //
     /*  791788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791834 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791856 */     GIR_RootConstrainSelectedInstOperands,
     /*  791857 */     // GIR_Coverage, 19282,
     /*  791857 */     GIR_EraseRootFromParent_Done,
     /*  791858 */   // Label 12268: @791858
     /*  791858 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791933), // Rule ID 19283 //
     /*  791863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791909 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791931 */     GIR_RootConstrainSelectedInstOperands,
     /*  791932 */     // GIR_Coverage, 19283,
     /*  791932 */     GIR_EraseRootFromParent_Done,
     /*  791933 */   // Label 12269: @791933
     /*  791933 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(792008), // Rule ID 19286 //
     /*  791938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791984 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792006 */     GIR_RootConstrainSelectedInstOperands,
     /*  792007 */     // GIR_Coverage, 19286,
     /*  792007 */     GIR_EraseRootFromParent_Done,
     /*  792008 */   // Label 12270: @792008
     /*  792008 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(792083), // Rule ID 19287 //
     /*  792013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792059 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  792062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792081 */     GIR_RootConstrainSelectedInstOperands,
     /*  792082 */     // GIR_Coverage, 19287,
     /*  792082 */     GIR_EraseRootFromParent_Done,
     /*  792083 */   // Label 12271: @792083
     /*  792083 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(792158), // Rule ID 19290 //
     /*  792088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792134 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792156 */     GIR_RootConstrainSelectedInstOperands,
     /*  792157 */     // GIR_Coverage, 19290,
     /*  792157 */     GIR_EraseRootFromParent_Done,
     /*  792158 */   // Label 12272: @792158
     /*  792158 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(792233), // Rule ID 19291 //
     /*  792163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792209 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792231 */     GIR_RootConstrainSelectedInstOperands,
     /*  792232 */     // GIR_Coverage, 19291,
     /*  792232 */     GIR_EraseRootFromParent_Done,
     /*  792233 */   // Label 12273: @792233
     /*  792233 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792308), // Rule ID 19294 //
     /*  792238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  792287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792306 */     GIR_RootConstrainSelectedInstOperands,
     /*  792307 */     // GIR_Coverage, 19294,
     /*  792307 */     GIR_EraseRootFromParent_Done,
     /*  792308 */   // Label 12274: @792308
     /*  792308 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792383), // Rule ID 19295 //
     /*  792313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792359 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  792362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792381 */     GIR_RootConstrainSelectedInstOperands,
     /*  792382 */     // GIR_Coverage, 19295,
     /*  792382 */     GIR_EraseRootFromParent_Done,
     /*  792383 */   // Label 12275: @792383
     /*  792383 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792458), // Rule ID 19298 //
     /*  792388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792456 */     GIR_RootConstrainSelectedInstOperands,
     /*  792457 */     // GIR_Coverage, 19298,
     /*  792457 */     GIR_EraseRootFromParent_Done,
     /*  792458 */   // Label 12276: @792458
     /*  792458 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792533), // Rule ID 19299 //
     /*  792463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792531 */     GIR_RootConstrainSelectedInstOperands,
     /*  792532 */     // GIR_Coverage, 19299,
     /*  792532 */     GIR_EraseRootFromParent_Done,
     /*  792533 */   // Label 12277: @792533
     /*  792533 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792608), // Rule ID 19302 //
     /*  792538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792606 */     GIR_RootConstrainSelectedInstOperands,
     /*  792607 */     // GIR_Coverage, 19302,
     /*  792607 */     GIR_EraseRootFromParent_Done,
     /*  792608 */   // Label 12278: @792608
     /*  792608 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792683), // Rule ID 19303 //
     /*  792613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792681 */     GIR_RootConstrainSelectedInstOperands,
     /*  792682 */     // GIR_Coverage, 19303,
     /*  792682 */     GIR_EraseRootFromParent_Done,
     /*  792683 */   // Label 12279: @792683
     /*  792683 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792758), // Rule ID 19306 //
     /*  792688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792756 */     GIR_RootConstrainSelectedInstOperands,
     /*  792757 */     // GIR_Coverage, 19306,
     /*  792757 */     GIR_EraseRootFromParent_Done,
     /*  792758 */   // Label 12280: @792758
     /*  792758 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792833), // Rule ID 19307 //
     /*  792763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792831 */     GIR_RootConstrainSelectedInstOperands,
     /*  792832 */     // GIR_Coverage, 19307,
     /*  792832 */     GIR_EraseRootFromParent_Done,
     /*  792833 */   // Label 12281: @792833
     /*  792833 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792908), // Rule ID 19310 //
     /*  792838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792906 */     GIR_RootConstrainSelectedInstOperands,
     /*  792907 */     // GIR_Coverage, 19310,
     /*  792907 */     GIR_EraseRootFromParent_Done,
     /*  792908 */   // Label 12282: @792908
     /*  792908 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792983), // Rule ID 19311 //
     /*  792913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792981 */     GIR_RootConstrainSelectedInstOperands,
     /*  792982 */     // GIR_Coverage, 19311,
     /*  792982 */     GIR_EraseRootFromParent_Done,
     /*  792983 */   // Label 12283: @792983
     /*  792983 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(793058), // Rule ID 19314 //
     /*  792988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793056 */     GIR_RootConstrainSelectedInstOperands,
     /*  793057 */     // GIR_Coverage, 19314,
     /*  793057 */     GIR_EraseRootFromParent_Done,
     /*  793058 */   // Label 12284: @793058
     /*  793058 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(793133), // Rule ID 19315 //
     /*  793063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793131 */     GIR_RootConstrainSelectedInstOperands,
     /*  793132 */     // GIR_Coverage, 19315,
     /*  793132 */     GIR_EraseRootFromParent_Done,
     /*  793133 */   // Label 12285: @793133
     /*  793133 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(793208), // Rule ID 19318 //
     /*  793138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793206 */     GIR_RootConstrainSelectedInstOperands,
     /*  793207 */     // GIR_Coverage, 19318,
     /*  793207 */     GIR_EraseRootFromParent_Done,
     /*  793208 */   // Label 12286: @793208
     /*  793208 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793283), // Rule ID 19319 //
     /*  793213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793281 */     GIR_RootConstrainSelectedInstOperands,
     /*  793282 */     // GIR_Coverage, 19319,
     /*  793282 */     GIR_EraseRootFromParent_Done,
     /*  793283 */   // Label 12287: @793283
     /*  793283 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793358), // Rule ID 19322 //
     /*  793288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  793337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793356 */     GIR_RootConstrainSelectedInstOperands,
     /*  793357 */     // GIR_Coverage, 19322,
     /*  793357 */     GIR_EraseRootFromParent_Done,
     /*  793358 */   // Label 12288: @793358
     /*  793358 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793433), // Rule ID 19323 //
     /*  793363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793409 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  793412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793431 */     GIR_RootConstrainSelectedInstOperands,
     /*  793432 */     // GIR_Coverage, 19323,
     /*  793432 */     GIR_EraseRootFromParent_Done,
     /*  793433 */   // Label 12289: @793433
     /*  793433 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793508), // Rule ID 19326 //
     /*  793438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793484 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793506 */     GIR_RootConstrainSelectedInstOperands,
     /*  793507 */     // GIR_Coverage, 19326,
     /*  793507 */     GIR_EraseRootFromParent_Done,
     /*  793508 */   // Label 12290: @793508
     /*  793508 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793583), // Rule ID 19327 //
     /*  793513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793559 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793581 */     GIR_RootConstrainSelectedInstOperands,
     /*  793582 */     // GIR_Coverage, 19327,
     /*  793582 */     GIR_EraseRootFromParent_Done,
     /*  793583 */   // Label 12291: @793583
     /*  793583 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793658), // Rule ID 19330 //
     /*  793588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793656 */     GIR_RootConstrainSelectedInstOperands,
     /*  793657 */     // GIR_Coverage, 19330,
     /*  793657 */     GIR_EraseRootFromParent_Done,
     /*  793658 */   // Label 12292: @793658
     /*  793658 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793733), // Rule ID 19331 //
     /*  793663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793731 */     GIR_RootConstrainSelectedInstOperands,
     /*  793732 */     // GIR_Coverage, 19331,
     /*  793732 */     GIR_EraseRootFromParent_Done,
     /*  793733 */   // Label 12293: @793733
     /*  793733 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793808), // Rule ID 19334 //
     /*  793738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793806 */     GIR_RootConstrainSelectedInstOperands,
     /*  793807 */     // GIR_Coverage, 19334,
     /*  793807 */     GIR_EraseRootFromParent_Done,
     /*  793808 */   // Label 12294: @793808
     /*  793808 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793883), // Rule ID 19335 //
     /*  793813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793881 */     GIR_RootConstrainSelectedInstOperands,
     /*  793882 */     // GIR_Coverage, 19335,
     /*  793882 */     GIR_EraseRootFromParent_Done,
     /*  793883 */   // Label 12295: @793883
     /*  793883 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793958), // Rule ID 19338 //
     /*  793888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793934 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793956 */     GIR_RootConstrainSelectedInstOperands,
     /*  793957 */     // GIR_Coverage, 19338,
     /*  793957 */     GIR_EraseRootFromParent_Done,
     /*  793958 */   // Label 12296: @793958
     /*  793958 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(794033), // Rule ID 19339 //
     /*  793963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794009 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  794012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794031 */     GIR_RootConstrainSelectedInstOperands,
     /*  794032 */     // GIR_Coverage, 19339,
     /*  794032 */     GIR_EraseRootFromParent_Done,
     /*  794033 */   // Label 12297: @794033
     /*  794033 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(794108), // Rule ID 19342 //
     /*  794038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794106 */     GIR_RootConstrainSelectedInstOperands,
     /*  794107 */     // GIR_Coverage, 19342,
     /*  794107 */     GIR_EraseRootFromParent_Done,
     /*  794108 */   // Label 12298: @794108
     /*  794108 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(794183), // Rule ID 19343 //
     /*  794113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794159 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794181 */     GIR_RootConstrainSelectedInstOperands,
     /*  794182 */     // GIR_Coverage, 19343,
     /*  794182 */     GIR_EraseRootFromParent_Done,
     /*  794183 */   // Label 12299: @794183
     /*  794183 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794258), // Rule ID 19346 //
     /*  794188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794256 */     GIR_RootConstrainSelectedInstOperands,
     /*  794257 */     // GIR_Coverage, 19346,
     /*  794257 */     GIR_EraseRootFromParent_Done,
     /*  794258 */   // Label 12300: @794258
     /*  794258 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794333), // Rule ID 19347 //
     /*  794263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794331 */     GIR_RootConstrainSelectedInstOperands,
     /*  794332 */     // GIR_Coverage, 19347,
     /*  794332 */     GIR_EraseRootFromParent_Done,
     /*  794333 */   // Label 12301: @794333
     /*  794333 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794408), // Rule ID 19350 //
     /*  794338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794406 */     GIR_RootConstrainSelectedInstOperands,
     /*  794407 */     // GIR_Coverage, 19350,
     /*  794407 */     GIR_EraseRootFromParent_Done,
     /*  794408 */   // Label 12302: @794408
     /*  794408 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794483), // Rule ID 19351 //
     /*  794413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794459 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794481 */     GIR_RootConstrainSelectedInstOperands,
     /*  794482 */     // GIR_Coverage, 19351,
     /*  794482 */     GIR_EraseRootFromParent_Done,
     /*  794483 */   // Label 12303: @794483
     /*  794483 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794558), // Rule ID 19354 //
     /*  794488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794534 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794556 */     GIR_RootConstrainSelectedInstOperands,
     /*  794557 */     // GIR_Coverage, 19354,
     /*  794557 */     GIR_EraseRootFromParent_Done,
     /*  794558 */   // Label 12304: @794558
     /*  794558 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794633), // Rule ID 19355 //
     /*  794563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794609 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794631 */     GIR_RootConstrainSelectedInstOperands,
     /*  794632 */     // GIR_Coverage, 19355,
     /*  794632 */     GIR_EraseRootFromParent_Done,
     /*  794633 */   // Label 12305: @794633
     /*  794633 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794708), // Rule ID 19358 //
     /*  794638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794706 */     GIR_RootConstrainSelectedInstOperands,
     /*  794707 */     // GIR_Coverage, 19358,
     /*  794707 */     GIR_EraseRootFromParent_Done,
     /*  794708 */   // Label 12306: @794708
     /*  794708 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794783), // Rule ID 19359 //
     /*  794713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794781 */     GIR_RootConstrainSelectedInstOperands,
     /*  794782 */     // GIR_Coverage, 19359,
     /*  794782 */     GIR_EraseRootFromParent_Done,
     /*  794783 */   // Label 12307: @794783
     /*  794783 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794858), // Rule ID 19362 //
     /*  794788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794856 */     GIR_RootConstrainSelectedInstOperands,
     /*  794857 */     // GIR_Coverage, 19362,
     /*  794857 */     GIR_EraseRootFromParent_Done,
     /*  794858 */   // Label 12308: @794858
     /*  794858 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794933), // Rule ID 19363 //
     /*  794863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794931 */     GIR_RootConstrainSelectedInstOperands,
     /*  794932 */     // GIR_Coverage, 19363,
     /*  794932 */     GIR_EraseRootFromParent_Done,
     /*  794933 */   // Label 12309: @794933
     /*  794933 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(795008), // Rule ID 19366 //
     /*  794938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795006 */     GIR_RootConstrainSelectedInstOperands,
     /*  795007 */     // GIR_Coverage, 19366,
     /*  795007 */     GIR_EraseRootFromParent_Done,
     /*  795008 */   // Label 12310: @795008
     /*  795008 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(795083), // Rule ID 19367 //
     /*  795013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795059 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  795062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795081 */     GIR_RootConstrainSelectedInstOperands,
     /*  795082 */     // GIR_Coverage, 19367,
     /*  795082 */     GIR_EraseRootFromParent_Done,
     /*  795083 */   // Label 12311: @795083
     /*  795083 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(795158), // Rule ID 19370 //
     /*  795088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795156 */     GIR_RootConstrainSelectedInstOperands,
     /*  795157 */     // GIR_Coverage, 19370,
     /*  795157 */     GIR_EraseRootFromParent_Done,
     /*  795158 */   // Label 12312: @795158
     /*  795158 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(795233), // Rule ID 19371 //
     /*  795163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795231 */     GIR_RootConstrainSelectedInstOperands,
     /*  795232 */     // GIR_Coverage, 19371,
     /*  795232 */     GIR_EraseRootFromParent_Done,
     /*  795233 */   // Label 12313: @795233
     /*  795233 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795308), // Rule ID 19374 //
     /*  795238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  795287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795306 */     GIR_RootConstrainSelectedInstOperands,
     /*  795307 */     // GIR_Coverage, 19374,
     /*  795307 */     GIR_EraseRootFromParent_Done,
     /*  795308 */   // Label 12314: @795308
     /*  795308 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795383), // Rule ID 19375 //
     /*  795313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  795362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795381 */     GIR_RootConstrainSelectedInstOperands,
     /*  795382 */     // GIR_Coverage, 19375,
     /*  795382 */     GIR_EraseRootFromParent_Done,
     /*  795383 */   // Label 12315: @795383
     /*  795383 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795458), // Rule ID 19378 //
     /*  795388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795456 */     GIR_RootConstrainSelectedInstOperands,
     /*  795457 */     // GIR_Coverage, 19378,
     /*  795457 */     GIR_EraseRootFromParent_Done,
     /*  795458 */   // Label 12316: @795458
     /*  795458 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795533), // Rule ID 19379 //
     /*  795463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795509 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795531 */     GIR_RootConstrainSelectedInstOperands,
     /*  795532 */     // GIR_Coverage, 19379,
     /*  795532 */     GIR_EraseRootFromParent_Done,
     /*  795533 */   // Label 12317: @795533
     /*  795533 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795608), // Rule ID 19382 //
     /*  795538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795584 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795606 */     GIR_RootConstrainSelectedInstOperands,
     /*  795607 */     // GIR_Coverage, 19382,
     /*  795607 */     GIR_EraseRootFromParent_Done,
     /*  795608 */   // Label 12318: @795608
     /*  795608 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795683), // Rule ID 19383 //
     /*  795613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795681 */     GIR_RootConstrainSelectedInstOperands,
     /*  795682 */     // GIR_Coverage, 19383,
     /*  795682 */     GIR_EraseRootFromParent_Done,
     /*  795683 */   // Label 12319: @795683
     /*  795683 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795758), // Rule ID 19386 //
     /*  795688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795756 */     GIR_RootConstrainSelectedInstOperands,
     /*  795757 */     // GIR_Coverage, 19386,
     /*  795757 */     GIR_EraseRootFromParent_Done,
     /*  795758 */   // Label 12320: @795758
     /*  795758 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795833), // Rule ID 19387 //
     /*  795763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795809 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795831 */     GIR_RootConstrainSelectedInstOperands,
     /*  795832 */     // GIR_Coverage, 19387,
     /*  795832 */     GIR_EraseRootFromParent_Done,
     /*  795833 */   // Label 12321: @795833
     /*  795833 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795908), // Rule ID 19390 //
     /*  795838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795906 */     GIR_RootConstrainSelectedInstOperands,
     /*  795907 */     // GIR_Coverage, 19390,
     /*  795907 */     GIR_EraseRootFromParent_Done,
     /*  795908 */   // Label 12322: @795908
     /*  795908 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795983), // Rule ID 19391 //
     /*  795913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795981 */     GIR_RootConstrainSelectedInstOperands,
     /*  795982 */     // GIR_Coverage, 19391,
     /*  795982 */     GIR_EraseRootFromParent_Done,
     /*  795983 */   // Label 12323: @795983
     /*  795983 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(796058), // Rule ID 19394 //
     /*  795988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796056 */     GIR_RootConstrainSelectedInstOperands,
     /*  796057 */     // GIR_Coverage, 19394,
     /*  796057 */     GIR_EraseRootFromParent_Done,
     /*  796058 */   // Label 12324: @796058
     /*  796058 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(796133), // Rule ID 19395 //
     /*  796063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796131 */     GIR_RootConstrainSelectedInstOperands,
     /*  796132 */     // GIR_Coverage, 19395,
     /*  796132 */     GIR_EraseRootFromParent_Done,
     /*  796133 */   // Label 12325: @796133
     /*  796133 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(796208), // Rule ID 19398 //
     /*  796138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796206 */     GIR_RootConstrainSelectedInstOperands,
     /*  796207 */     // GIR_Coverage, 19398,
     /*  796207 */     GIR_EraseRootFromParent_Done,
     /*  796208 */   // Label 12326: @796208
     /*  796208 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796283), // Rule ID 19399 //
     /*  796213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796259 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796281 */     GIR_RootConstrainSelectedInstOperands,
     /*  796282 */     // GIR_Coverage, 19399,
     /*  796282 */     GIR_EraseRootFromParent_Done,
     /*  796283 */   // Label 12327: @796283
     /*  796283 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796358), // Rule ID 19402 //
     /*  796288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  796337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796356 */     GIR_RootConstrainSelectedInstOperands,
     /*  796357 */     // GIR_Coverage, 19402,
     /*  796357 */     GIR_EraseRootFromParent_Done,
     /*  796358 */   // Label 12328: @796358
     /*  796358 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796433), // Rule ID 19403 //
     /*  796363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  796412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796431 */     GIR_RootConstrainSelectedInstOperands,
     /*  796432 */     // GIR_Coverage, 19403,
     /*  796432 */     GIR_EraseRootFromParent_Done,
     /*  796433 */   // Label 12329: @796433
     /*  796433 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796508), // Rule ID 19406 //
     /*  796438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796506 */     GIR_RootConstrainSelectedInstOperands,
     /*  796507 */     // GIR_Coverage, 19406,
     /*  796507 */     GIR_EraseRootFromParent_Done,
     /*  796508 */   // Label 12330: @796508
     /*  796508 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796583), // Rule ID 19407 //
     /*  796513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796581 */     GIR_RootConstrainSelectedInstOperands,
     /*  796582 */     // GIR_Coverage, 19407,
     /*  796582 */     GIR_EraseRootFromParent_Done,
     /*  796583 */   // Label 12331: @796583
     /*  796583 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796658), // Rule ID 19410 //
     /*  796588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796656 */     GIR_RootConstrainSelectedInstOperands,
     /*  796657 */     // GIR_Coverage, 19410,
     /*  796657 */     GIR_EraseRootFromParent_Done,
     /*  796658 */   // Label 12332: @796658
     /*  796658 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796733), // Rule ID 19411 //
     /*  796663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796731 */     GIR_RootConstrainSelectedInstOperands,
     /*  796732 */     // GIR_Coverage, 19411,
     /*  796732 */     GIR_EraseRootFromParent_Done,
     /*  796733 */   // Label 12333: @796733
     /*  796733 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796808), // Rule ID 19414 //
     /*  796738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796806 */     GIR_RootConstrainSelectedInstOperands,
     /*  796807 */     // GIR_Coverage, 19414,
     /*  796807 */     GIR_EraseRootFromParent_Done,
     /*  796808 */   // Label 12334: @796808
     /*  796808 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796883), // Rule ID 19415 //
     /*  796813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796881 */     GIR_RootConstrainSelectedInstOperands,
     /*  796882 */     // GIR_Coverage, 19415,
     /*  796882 */     GIR_EraseRootFromParent_Done,
     /*  796883 */   // Label 12335: @796883
     /*  796883 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796958), // Rule ID 19418 //
     /*  796888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796934 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796956 */     GIR_RootConstrainSelectedInstOperands,
     /*  796957 */     // GIR_Coverage, 19418,
     /*  796957 */     GIR_EraseRootFromParent_Done,
     /*  796958 */   // Label 12336: @796958
     /*  796958 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(797033), // Rule ID 19419 //
     /*  796963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797009 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  797012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797031 */     GIR_RootConstrainSelectedInstOperands,
     /*  797032 */     // GIR_Coverage, 19419,
     /*  797032 */     GIR_EraseRootFromParent_Done,
     /*  797033 */   // Label 12337: @797033
     /*  797033 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(797108), // Rule ID 19422 //
     /*  797038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797106 */     GIR_RootConstrainSelectedInstOperands,
     /*  797107 */     // GIR_Coverage, 19422,
     /*  797107 */     GIR_EraseRootFromParent_Done,
     /*  797108 */   // Label 12338: @797108
     /*  797108 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(797183), // Rule ID 19423 //
     /*  797113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797159 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797181 */     GIR_RootConstrainSelectedInstOperands,
     /*  797182 */     // GIR_Coverage, 19423,
     /*  797182 */     GIR_EraseRootFromParent_Done,
     /*  797183 */   // Label 12339: @797183
     /*  797183 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797258), // Rule ID 19426 //
     /*  797188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797256 */     GIR_RootConstrainSelectedInstOperands,
     /*  797257 */     // GIR_Coverage, 19426,
     /*  797257 */     GIR_EraseRootFromParent_Done,
     /*  797258 */   // Label 12340: @797258
     /*  797258 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797333), // Rule ID 19427 //
     /*  797263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797331 */     GIR_RootConstrainSelectedInstOperands,
     /*  797332 */     // GIR_Coverage, 19427,
     /*  797332 */     GIR_EraseRootFromParent_Done,
     /*  797333 */   // Label 12341: @797333
     /*  797333 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797408), // Rule ID 19430 //
     /*  797338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797406 */     GIR_RootConstrainSelectedInstOperands,
     /*  797407 */     // GIR_Coverage, 19430,
     /*  797407 */     GIR_EraseRootFromParent_Done,
     /*  797408 */   // Label 12342: @797408
     /*  797408 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797483), // Rule ID 19431 //
     /*  797413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797459 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797481 */     GIR_RootConstrainSelectedInstOperands,
     /*  797482 */     // GIR_Coverage, 19431,
     /*  797482 */     GIR_EraseRootFromParent_Done,
     /*  797483 */   // Label 12343: @797483
     /*  797483 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797558), // Rule ID 19434 //
     /*  797488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797556 */     GIR_RootConstrainSelectedInstOperands,
     /*  797557 */     // GIR_Coverage, 19434,
     /*  797557 */     GIR_EraseRootFromParent_Done,
     /*  797558 */   // Label 12344: @797558
     /*  797558 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797633), // Rule ID 19435 //
     /*  797563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797631 */     GIR_RootConstrainSelectedInstOperands,
     /*  797632 */     // GIR_Coverage, 19435,
     /*  797632 */     GIR_EraseRootFromParent_Done,
     /*  797633 */   // Label 12345: @797633
     /*  797633 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797708), // Rule ID 19438 //
     /*  797638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797684 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797706 */     GIR_RootConstrainSelectedInstOperands,
     /*  797707 */     // GIR_Coverage, 19438,
     /*  797707 */     GIR_EraseRootFromParent_Done,
     /*  797708 */   // Label 12346: @797708
     /*  797708 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797783), // Rule ID 19439 //
     /*  797713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797781 */     GIR_RootConstrainSelectedInstOperands,
     /*  797782 */     // GIR_Coverage, 19439,
     /*  797782 */     GIR_EraseRootFromParent_Done,
     /*  797783 */   // Label 12347: @797783
     /*  797783 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797858), // Rule ID 19442 //
     /*  797788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797834 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797856 */     GIR_RootConstrainSelectedInstOperands,
     /*  797857 */     // GIR_Coverage, 19442,
     /*  797857 */     GIR_EraseRootFromParent_Done,
     /*  797858 */   // Label 12348: @797858
     /*  797858 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797933), // Rule ID 19443 //
     /*  797863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797931 */     GIR_RootConstrainSelectedInstOperands,
     /*  797932 */     // GIR_Coverage, 19443,
     /*  797932 */     GIR_EraseRootFromParent_Done,
     /*  797933 */   // Label 12349: @797933
     /*  797933 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(798008), // Rule ID 19446 //
     /*  797938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797984 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798006 */     GIR_RootConstrainSelectedInstOperands,
     /*  798007 */     // GIR_Coverage, 19446,
     /*  798007 */     GIR_EraseRootFromParent_Done,
     /*  798008 */   // Label 12350: @798008
     /*  798008 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(798083), // Rule ID 19447 //
     /*  798013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798059 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  798062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798081 */     GIR_RootConstrainSelectedInstOperands,
     /*  798082 */     // GIR_Coverage, 19447,
     /*  798082 */     GIR_EraseRootFromParent_Done,
     /*  798083 */   // Label 12351: @798083
     /*  798083 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(798158), // Rule ID 19450 //
     /*  798088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798156 */     GIR_RootConstrainSelectedInstOperands,
     /*  798157 */     // GIR_Coverage, 19450,
     /*  798157 */     GIR_EraseRootFromParent_Done,
     /*  798158 */   // Label 12352: @798158
     /*  798158 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(798233), // Rule ID 19451 //
     /*  798163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798231 */     GIR_RootConstrainSelectedInstOperands,
     /*  798232 */     // GIR_Coverage, 19451,
     /*  798232 */     GIR_EraseRootFromParent_Done,
     /*  798233 */   // Label 12353: @798233
     /*  798233 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798308), // Rule ID 19454 //
     /*  798238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798284 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  798287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798306 */     GIR_RootConstrainSelectedInstOperands,
     /*  798307 */     // GIR_Coverage, 19454,
     /*  798307 */     GIR_EraseRootFromParent_Done,
     /*  798308 */   // Label 12354: @798308
     /*  798308 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798383), // Rule ID 19455 //
     /*  798313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798359 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  798362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798381 */     GIR_RootConstrainSelectedInstOperands,
     /*  798382 */     // GIR_Coverage, 19455,
     /*  798382 */     GIR_EraseRootFromParent_Done,
     /*  798383 */   // Label 12355: @798383
     /*  798383 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798458), // Rule ID 19458 //
     /*  798388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798434 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798456 */     GIR_RootConstrainSelectedInstOperands,
     /*  798457 */     // GIR_Coverage, 19458,
     /*  798457 */     GIR_EraseRootFromParent_Done,
     /*  798458 */   // Label 12356: @798458
     /*  798458 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798533), // Rule ID 19459 //
     /*  798463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798531 */     GIR_RootConstrainSelectedInstOperands,
     /*  798532 */     // GIR_Coverage, 19459,
     /*  798532 */     GIR_EraseRootFromParent_Done,
     /*  798533 */   // Label 12357: @798533
     /*  798533 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798608), // Rule ID 19462 //
     /*  798538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798606 */     GIR_RootConstrainSelectedInstOperands,
     /*  798607 */     // GIR_Coverage, 19462,
     /*  798607 */     GIR_EraseRootFromParent_Done,
     /*  798608 */   // Label 12358: @798608
     /*  798608 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798683), // Rule ID 19463 //
     /*  798613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798659 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798681 */     GIR_RootConstrainSelectedInstOperands,
     /*  798682 */     // GIR_Coverage, 19463,
     /*  798682 */     GIR_EraseRootFromParent_Done,
     /*  798683 */   // Label 12359: @798683
     /*  798683 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798758), // Rule ID 19466 //
     /*  798688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798756 */     GIR_RootConstrainSelectedInstOperands,
     /*  798757 */     // GIR_Coverage, 19466,
     /*  798757 */     GIR_EraseRootFromParent_Done,
     /*  798758 */   // Label 12360: @798758
     /*  798758 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798833), // Rule ID 19467 //
     /*  798763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798809 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798831 */     GIR_RootConstrainSelectedInstOperands,
     /*  798832 */     // GIR_Coverage, 19467,
     /*  798832 */     GIR_EraseRootFromParent_Done,
     /*  798833 */   // Label 12361: @798833
     /*  798833 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798908), // Rule ID 19470 //
     /*  798838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798906 */     GIR_RootConstrainSelectedInstOperands,
     /*  798907 */     // GIR_Coverage, 19470,
     /*  798907 */     GIR_EraseRootFromParent_Done,
     /*  798908 */   // Label 12362: @798908
     /*  798908 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798983), // Rule ID 19471 //
     /*  798913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798981 */     GIR_RootConstrainSelectedInstOperands,
     /*  798982 */     // GIR_Coverage, 19471,
     /*  798982 */     GIR_EraseRootFromParent_Done,
     /*  798983 */   // Label 12363: @798983
     /*  798983 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(799058), // Rule ID 19474 //
     /*  798988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799034 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799056 */     GIR_RootConstrainSelectedInstOperands,
     /*  799057 */     // GIR_Coverage, 19474,
     /*  799057 */     GIR_EraseRootFromParent_Done,
     /*  799058 */   // Label 12364: @799058
     /*  799058 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(799133), // Rule ID 19475 //
     /*  799063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799109 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799131 */     GIR_RootConstrainSelectedInstOperands,
     /*  799132 */     // GIR_Coverage, 19475,
     /*  799132 */     GIR_EraseRootFromParent_Done,
     /*  799133 */   // Label 12365: @799133
     /*  799133 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(799208), // Rule ID 19478 //
     /*  799138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799184 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799206 */     GIR_RootConstrainSelectedInstOperands,
     /*  799207 */     // GIR_Coverage, 19478,
     /*  799207 */     GIR_EraseRootFromParent_Done,
     /*  799208 */   // Label 12366: @799208
     /*  799208 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799283), // Rule ID 19479 //
     /*  799213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799259 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799281 */     GIR_RootConstrainSelectedInstOperands,
     /*  799282 */     // GIR_Coverage, 19479,
     /*  799282 */     GIR_EraseRootFromParent_Done,
     /*  799283 */   // Label 12367: @799283
     /*  799283 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799358), // Rule ID 19482 //
     /*  799288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  799337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799356 */     GIR_RootConstrainSelectedInstOperands,
     /*  799357 */     // GIR_Coverage, 19482,
     /*  799357 */     GIR_EraseRootFromParent_Done,
     /*  799358 */   // Label 12368: @799358
     /*  799358 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799433), // Rule ID 19483 //
     /*  799363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799409 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  799412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799431 */     GIR_RootConstrainSelectedInstOperands,
     /*  799432 */     // GIR_Coverage, 19483,
     /*  799432 */     GIR_EraseRootFromParent_Done,
     /*  799433 */   // Label 12369: @799433
     /*  799433 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799508), // Rule ID 19486 //
     /*  799438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799506 */     GIR_RootConstrainSelectedInstOperands,
     /*  799507 */     // GIR_Coverage, 19486,
     /*  799507 */     GIR_EraseRootFromParent_Done,
     /*  799508 */   // Label 12370: @799508
     /*  799508 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799583), // Rule ID 19487 //
     /*  799513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799559 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799581 */     GIR_RootConstrainSelectedInstOperands,
     /*  799582 */     // GIR_Coverage, 19487,
     /*  799582 */     GIR_EraseRootFromParent_Done,
     /*  799583 */   // Label 12371: @799583
     /*  799583 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799658), // Rule ID 19490 //
     /*  799588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799656 */     GIR_RootConstrainSelectedInstOperands,
     /*  799657 */     // GIR_Coverage, 19490,
     /*  799657 */     GIR_EraseRootFromParent_Done,
     /*  799658 */   // Label 12372: @799658
     /*  799658 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799733), // Rule ID 19491 //
     /*  799663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799731 */     GIR_RootConstrainSelectedInstOperands,
     /*  799732 */     // GIR_Coverage, 19491,
     /*  799732 */     GIR_EraseRootFromParent_Done,
     /*  799733 */   // Label 12373: @799733
     /*  799733 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799808), // Rule ID 19494 //
     /*  799738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799806 */     GIR_RootConstrainSelectedInstOperands,
     /*  799807 */     // GIR_Coverage, 19494,
     /*  799807 */     GIR_EraseRootFromParent_Done,
     /*  799808 */   // Label 12374: @799808
     /*  799808 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799883), // Rule ID 19495 //
     /*  799813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799881 */     GIR_RootConstrainSelectedInstOperands,
     /*  799882 */     // GIR_Coverage, 19495,
     /*  799882 */     GIR_EraseRootFromParent_Done,
     /*  799883 */   // Label 12375: @799883
     /*  799883 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799958), // Rule ID 19498 //
     /*  799888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799934 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799956 */     GIR_RootConstrainSelectedInstOperands,
     /*  799957 */     // GIR_Coverage, 19498,
     /*  799957 */     GIR_EraseRootFromParent_Done,
     /*  799958 */   // Label 12376: @799958
     /*  799958 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(800033), // Rule ID 19499 //
     /*  799963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800009 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  800012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800031 */     GIR_RootConstrainSelectedInstOperands,
     /*  800032 */     // GIR_Coverage, 19499,
     /*  800032 */     GIR_EraseRootFromParent_Done,
     /*  800033 */   // Label 12377: @800033
     /*  800033 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(800108), // Rule ID 19502 //
     /*  800038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800084 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800106 */     GIR_RootConstrainSelectedInstOperands,
     /*  800107 */     // GIR_Coverage, 19502,
     /*  800107 */     GIR_EraseRootFromParent_Done,
     /*  800108 */   // Label 12378: @800108
     /*  800108 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(800183), // Rule ID 19503 //
     /*  800113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800181 */     GIR_RootConstrainSelectedInstOperands,
     /*  800182 */     // GIR_Coverage, 19503,
     /*  800182 */     GIR_EraseRootFromParent_Done,
     /*  800183 */   // Label 12379: @800183
     /*  800183 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800258), // Rule ID 19506 //
     /*  800188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800234 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800256 */     GIR_RootConstrainSelectedInstOperands,
     /*  800257 */     // GIR_Coverage, 19506,
     /*  800257 */     GIR_EraseRootFromParent_Done,
     /*  800258 */   // Label 12380: @800258
     /*  800258 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800333), // Rule ID 19507 //
     /*  800263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800331 */     GIR_RootConstrainSelectedInstOperands,
     /*  800332 */     // GIR_Coverage, 19507,
     /*  800332 */     GIR_EraseRootFromParent_Done,
     /*  800333 */   // Label 12381: @800333
     /*  800333 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800408), // Rule ID 19510 //
     /*  800338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800406 */     GIR_RootConstrainSelectedInstOperands,
     /*  800407 */     // GIR_Coverage, 19510,
     /*  800407 */     GIR_EraseRootFromParent_Done,
     /*  800408 */   // Label 12382: @800408
     /*  800408 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800483), // Rule ID 19511 //
     /*  800413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800481 */     GIR_RootConstrainSelectedInstOperands,
     /*  800482 */     // GIR_Coverage, 19511,
     /*  800482 */     GIR_EraseRootFromParent_Done,
     /*  800483 */   // Label 12383: @800483
     /*  800483 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800558), // Rule ID 19514 //
     /*  800488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800556 */     GIR_RootConstrainSelectedInstOperands,
     /*  800557 */     // GIR_Coverage, 19514,
     /*  800557 */     GIR_EraseRootFromParent_Done,
     /*  800558 */   // Label 12384: @800558
     /*  800558 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800633), // Rule ID 19515 //
     /*  800563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800631 */     GIR_RootConstrainSelectedInstOperands,
     /*  800632 */     // GIR_Coverage, 19515,
     /*  800632 */     GIR_EraseRootFromParent_Done,
     /*  800633 */   // Label 12385: @800633
     /*  800633 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800708), // Rule ID 19518 //
     /*  800638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800684 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800706 */     GIR_RootConstrainSelectedInstOperands,
     /*  800707 */     // GIR_Coverage, 19518,
     /*  800707 */     GIR_EraseRootFromParent_Done,
     /*  800708 */   // Label 12386: @800708
     /*  800708 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800783), // Rule ID 19519 //
     /*  800713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800759 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800781 */     GIR_RootConstrainSelectedInstOperands,
     /*  800782 */     // GIR_Coverage, 19519,
     /*  800782 */     GIR_EraseRootFromParent_Done,
     /*  800783 */   // Label 12387: @800783
     /*  800783 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800858), // Rule ID 19522 //
     /*  800788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800834 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800856 */     GIR_RootConstrainSelectedInstOperands,
     /*  800857 */     // GIR_Coverage, 19522,
     /*  800857 */     GIR_EraseRootFromParent_Done,
     /*  800858 */   // Label 12388: @800858
     /*  800858 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800933), // Rule ID 19523 //
     /*  800863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800909 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800931 */     GIR_RootConstrainSelectedInstOperands,
     /*  800932 */     // GIR_Coverage, 19523,
     /*  800932 */     GIR_EraseRootFromParent_Done,
     /*  800933 */   // Label 12389: @800933
     /*  800933 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(801008), // Rule ID 19526 //
     /*  800938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800984 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801006 */     GIR_RootConstrainSelectedInstOperands,
     /*  801007 */     // GIR_Coverage, 19526,
     /*  801007 */     GIR_EraseRootFromParent_Done,
     /*  801008 */   // Label 12390: @801008
     /*  801008 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(801083), // Rule ID 19527 //
     /*  801013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801059 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  801062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801081 */     GIR_RootConstrainSelectedInstOperands,
     /*  801082 */     // GIR_Coverage, 19527,
     /*  801082 */     GIR_EraseRootFromParent_Done,
     /*  801083 */   // Label 12391: @801083
     /*  801083 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(801158), // Rule ID 19530 //
     /*  801088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801134 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801156 */     GIR_RootConstrainSelectedInstOperands,
     /*  801157 */     // GIR_Coverage, 19530,
     /*  801157 */     GIR_EraseRootFromParent_Done,
     /*  801158 */   // Label 12392: @801158
     /*  801158 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(801233), // Rule ID 19531 //
     /*  801163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801209 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801231 */     GIR_RootConstrainSelectedInstOperands,
     /*  801232 */     // GIR_Coverage, 19531,
     /*  801232 */     GIR_EraseRootFromParent_Done,
     /*  801233 */   // Label 12393: @801233
     /*  801233 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801308), // Rule ID 19534 //
     /*  801238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  801287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801306 */     GIR_RootConstrainSelectedInstOperands,
     /*  801307 */     // GIR_Coverage, 19534,
     /*  801307 */     GIR_EraseRootFromParent_Done,
     /*  801308 */   // Label 12394: @801308
     /*  801308 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801383), // Rule ID 19535 //
     /*  801313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801359 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  801362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801381 */     GIR_RootConstrainSelectedInstOperands,
     /*  801382 */     // GIR_Coverage, 19535,
     /*  801382 */     GIR_EraseRootFromParent_Done,
     /*  801383 */   // Label 12395: @801383
     /*  801383 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801458), // Rule ID 19538 //
     /*  801388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801456 */     GIR_RootConstrainSelectedInstOperands,
     /*  801457 */     // GIR_Coverage, 19538,
     /*  801457 */     GIR_EraseRootFromParent_Done,
     /*  801458 */   // Label 12396: @801458
     /*  801458 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801533), // Rule ID 19539 //
     /*  801463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801531 */     GIR_RootConstrainSelectedInstOperands,
     /*  801532 */     // GIR_Coverage, 19539,
     /*  801532 */     GIR_EraseRootFromParent_Done,
     /*  801533 */   // Label 12397: @801533
     /*  801533 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801608), // Rule ID 19542 //
     /*  801538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801606 */     GIR_RootConstrainSelectedInstOperands,
     /*  801607 */     // GIR_Coverage, 19542,
     /*  801607 */     GIR_EraseRootFromParent_Done,
     /*  801608 */   // Label 12398: @801608
     /*  801608 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801683), // Rule ID 19543 //
     /*  801613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801681 */     GIR_RootConstrainSelectedInstOperands,
     /*  801682 */     // GIR_Coverage, 19543,
     /*  801682 */     GIR_EraseRootFromParent_Done,
     /*  801683 */   // Label 12399: @801683
     /*  801683 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801758), // Rule ID 19546 //
     /*  801688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801756 */     GIR_RootConstrainSelectedInstOperands,
     /*  801757 */     // GIR_Coverage, 19546,
     /*  801757 */     GIR_EraseRootFromParent_Done,
     /*  801758 */   // Label 12400: @801758
     /*  801758 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801833), // Rule ID 19547 //
     /*  801763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801831 */     GIR_RootConstrainSelectedInstOperands,
     /*  801832 */     // GIR_Coverage, 19547,
     /*  801832 */     GIR_EraseRootFromParent_Done,
     /*  801833 */   // Label 12401: @801833
     /*  801833 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801908), // Rule ID 19550 //
     /*  801838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801906 */     GIR_RootConstrainSelectedInstOperands,
     /*  801907 */     // GIR_Coverage, 19550,
     /*  801907 */     GIR_EraseRootFromParent_Done,
     /*  801908 */   // Label 12402: @801908
     /*  801908 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801983), // Rule ID 19551 //
     /*  801913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801981 */     GIR_RootConstrainSelectedInstOperands,
     /*  801982 */     // GIR_Coverage, 19551,
     /*  801982 */     GIR_EraseRootFromParent_Done,
     /*  801983 */   // Label 12403: @801983
     /*  801983 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(802058), // Rule ID 19554 //
     /*  801988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802056 */     GIR_RootConstrainSelectedInstOperands,
     /*  802057 */     // GIR_Coverage, 19554,
     /*  802057 */     GIR_EraseRootFromParent_Done,
     /*  802058 */   // Label 12404: @802058
     /*  802058 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(802133), // Rule ID 19555 //
     /*  802063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802131 */     GIR_RootConstrainSelectedInstOperands,
     /*  802132 */     // GIR_Coverage, 19555,
     /*  802132 */     GIR_EraseRootFromParent_Done,
     /*  802133 */   // Label 12405: @802133
     /*  802133 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(802208), // Rule ID 19558 //
     /*  802138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802206 */     GIR_RootConstrainSelectedInstOperands,
     /*  802207 */     // GIR_Coverage, 19558,
     /*  802207 */     GIR_EraseRootFromParent_Done,
     /*  802208 */   // Label 12406: @802208
     /*  802208 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802283), // Rule ID 19559 //
     /*  802213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802281 */     GIR_RootConstrainSelectedInstOperands,
     /*  802282 */     // GIR_Coverage, 19559,
     /*  802282 */     GIR_EraseRootFromParent_Done,
     /*  802283 */   // Label 12407: @802283
     /*  802283 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802358), // Rule ID 19562 //
     /*  802288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  802337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802356 */     GIR_RootConstrainSelectedInstOperands,
     /*  802357 */     // GIR_Coverage, 19562,
     /*  802357 */     GIR_EraseRootFromParent_Done,
     /*  802358 */   // Label 12408: @802358
     /*  802358 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802433), // Rule ID 19563 //
     /*  802363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802409 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  802412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802431 */     GIR_RootConstrainSelectedInstOperands,
     /*  802432 */     // GIR_Coverage, 19563,
     /*  802432 */     GIR_EraseRootFromParent_Done,
     /*  802433 */   // Label 12409: @802433
     /*  802433 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802508), // Rule ID 19566 //
     /*  802438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802484 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802506 */     GIR_RootConstrainSelectedInstOperands,
     /*  802507 */     // GIR_Coverage, 19566,
     /*  802507 */     GIR_EraseRootFromParent_Done,
     /*  802508 */   // Label 12410: @802508
     /*  802508 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802583), // Rule ID 19567 //
     /*  802513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802559 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802581 */     GIR_RootConstrainSelectedInstOperands,
     /*  802582 */     // GIR_Coverage, 19567,
     /*  802582 */     GIR_EraseRootFromParent_Done,
     /*  802583 */   // Label 12411: @802583
     /*  802583 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802658), // Rule ID 19570 //
     /*  802588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802656 */     GIR_RootConstrainSelectedInstOperands,
     /*  802657 */     // GIR_Coverage, 19570,
     /*  802657 */     GIR_EraseRootFromParent_Done,
     /*  802658 */   // Label 12412: @802658
     /*  802658 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802733), // Rule ID 19571 //
     /*  802663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802731 */     GIR_RootConstrainSelectedInstOperands,
     /*  802732 */     // GIR_Coverage, 19571,
     /*  802732 */     GIR_EraseRootFromParent_Done,
     /*  802733 */   // Label 12413: @802733
     /*  802733 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802808), // Rule ID 19574 //
     /*  802738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802806 */     GIR_RootConstrainSelectedInstOperands,
     /*  802807 */     // GIR_Coverage, 19574,
     /*  802807 */     GIR_EraseRootFromParent_Done,
     /*  802808 */   // Label 12414: @802808
     /*  802808 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802883), // Rule ID 19575 //
     /*  802813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802881 */     GIR_RootConstrainSelectedInstOperands,
     /*  802882 */     // GIR_Coverage, 19575,
     /*  802882 */     GIR_EraseRootFromParent_Done,
     /*  802883 */   // Label 12415: @802883
     /*  802883 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802958), // Rule ID 19578 //
     /*  802888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802934 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802956 */     GIR_RootConstrainSelectedInstOperands,
     /*  802957 */     // GIR_Coverage, 19578,
     /*  802957 */     GIR_EraseRootFromParent_Done,
     /*  802958 */   // Label 12416: @802958
     /*  802958 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(803033), // Rule ID 19579 //
     /*  802963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803009 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  803012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803031 */     GIR_RootConstrainSelectedInstOperands,
     /*  803032 */     // GIR_Coverage, 19579,
     /*  803032 */     GIR_EraseRootFromParent_Done,
     /*  803033 */   // Label 12417: @803033
     /*  803033 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(803108), // Rule ID 19582 //
     /*  803038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803106 */     GIR_RootConstrainSelectedInstOperands,
     /*  803107 */     // GIR_Coverage, 19582,
     /*  803107 */     GIR_EraseRootFromParent_Done,
     /*  803108 */   // Label 12418: @803108
     /*  803108 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(803183), // Rule ID 19583 //
     /*  803113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803159 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803181 */     GIR_RootConstrainSelectedInstOperands,
     /*  803182 */     // GIR_Coverage, 19583,
     /*  803182 */     GIR_EraseRootFromParent_Done,
     /*  803183 */   // Label 12419: @803183
     /*  803183 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803258), // Rule ID 19586 //
     /*  803188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803256 */     GIR_RootConstrainSelectedInstOperands,
     /*  803257 */     // GIR_Coverage, 19586,
     /*  803257 */     GIR_EraseRootFromParent_Done,
     /*  803258 */   // Label 12420: @803258
     /*  803258 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803333), // Rule ID 19587 //
     /*  803263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803331 */     GIR_RootConstrainSelectedInstOperands,
     /*  803332 */     // GIR_Coverage, 19587,
     /*  803332 */     GIR_EraseRootFromParent_Done,
     /*  803333 */   // Label 12421: @803333
     /*  803333 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803408), // Rule ID 19590 //
     /*  803338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803406 */     GIR_RootConstrainSelectedInstOperands,
     /*  803407 */     // GIR_Coverage, 19590,
     /*  803407 */     GIR_EraseRootFromParent_Done,
     /*  803408 */   // Label 12422: @803408
     /*  803408 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803483), // Rule ID 19591 //
     /*  803413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803459 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803481 */     GIR_RootConstrainSelectedInstOperands,
     /*  803482 */     // GIR_Coverage, 19591,
     /*  803482 */     GIR_EraseRootFromParent_Done,
     /*  803483 */   // Label 12423: @803483
     /*  803483 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803558), // Rule ID 19594 //
     /*  803488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803534 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803556 */     GIR_RootConstrainSelectedInstOperands,
     /*  803557 */     // GIR_Coverage, 19594,
     /*  803557 */     GIR_EraseRootFromParent_Done,
     /*  803558 */   // Label 12424: @803558
     /*  803558 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803633), // Rule ID 19595 //
     /*  803563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803609 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803631 */     GIR_RootConstrainSelectedInstOperands,
     /*  803632 */     // GIR_Coverage, 19595,
     /*  803632 */     GIR_EraseRootFromParent_Done,
     /*  803633 */   // Label 12425: @803633
     /*  803633 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803708), // Rule ID 19598 //
     /*  803638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803706 */     GIR_RootConstrainSelectedInstOperands,
     /*  803707 */     // GIR_Coverage, 19598,
     /*  803707 */     GIR_EraseRootFromParent_Done,
     /*  803708 */   // Label 12426: @803708
     /*  803708 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803783), // Rule ID 19599 //
     /*  803713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803781 */     GIR_RootConstrainSelectedInstOperands,
     /*  803782 */     // GIR_Coverage, 19599,
     /*  803782 */     GIR_EraseRootFromParent_Done,
     /*  803783 */   // Label 12427: @803783
     /*  803783 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803858), // Rule ID 19602 //
     /*  803788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803856 */     GIR_RootConstrainSelectedInstOperands,
     /*  803857 */     // GIR_Coverage, 19602,
     /*  803857 */     GIR_EraseRootFromParent_Done,
     /*  803858 */   // Label 12428: @803858
     /*  803858 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803933), // Rule ID 19603 //
     /*  803863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803931 */     GIR_RootConstrainSelectedInstOperands,
     /*  803932 */     // GIR_Coverage, 19603,
     /*  803932 */     GIR_EraseRootFromParent_Done,
     /*  803933 */   // Label 12429: @803933
     /*  803933 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(804008), // Rule ID 19606 //
     /*  803938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804006 */     GIR_RootConstrainSelectedInstOperands,
     /*  804007 */     // GIR_Coverage, 19606,
     /*  804007 */     GIR_EraseRootFromParent_Done,
     /*  804008 */   // Label 12430: @804008
     /*  804008 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(804083), // Rule ID 19607 //
     /*  804013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804059 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  804062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804081 */     GIR_RootConstrainSelectedInstOperands,
     /*  804082 */     // GIR_Coverage, 19607,
     /*  804082 */     GIR_EraseRootFromParent_Done,
     /*  804083 */   // Label 12431: @804083
     /*  804083 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(804158), // Rule ID 19610 //
     /*  804088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804156 */     GIR_RootConstrainSelectedInstOperands,
     /*  804157 */     // GIR_Coverage, 19610,
     /*  804157 */     GIR_EraseRootFromParent_Done,
     /*  804158 */   // Label 12432: @804158
     /*  804158 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(804233), // Rule ID 19611 //
     /*  804163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804231 */     GIR_RootConstrainSelectedInstOperands,
     /*  804232 */     // GIR_Coverage, 19611,
     /*  804232 */     GIR_EraseRootFromParent_Done,
     /*  804233 */   // Label 12433: @804233
     /*  804233 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804308), // Rule ID 19614 //
     /*  804238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  804287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804306 */     GIR_RootConstrainSelectedInstOperands,
     /*  804307 */     // GIR_Coverage, 19614,
     /*  804307 */     GIR_EraseRootFromParent_Done,
     /*  804308 */   // Label 12434: @804308
     /*  804308 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804383), // Rule ID 19615 //
     /*  804313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  804362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804381 */     GIR_RootConstrainSelectedInstOperands,
     /*  804382 */     // GIR_Coverage, 19615,
     /*  804382 */     GIR_EraseRootFromParent_Done,
     /*  804383 */   // Label 12435: @804383
     /*  804383 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804458), // Rule ID 19618 //
     /*  804388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804456 */     GIR_RootConstrainSelectedInstOperands,
     /*  804457 */     // GIR_Coverage, 19618,
     /*  804457 */     GIR_EraseRootFromParent_Done,
     /*  804458 */   // Label 12436: @804458
     /*  804458 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804533), // Rule ID 19619 //
     /*  804463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804509 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804531 */     GIR_RootConstrainSelectedInstOperands,
     /*  804532 */     // GIR_Coverage, 19619,
     /*  804532 */     GIR_EraseRootFromParent_Done,
     /*  804533 */   // Label 12437: @804533
     /*  804533 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804608), // Rule ID 19622 //
     /*  804538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804584 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804606 */     GIR_RootConstrainSelectedInstOperands,
     /*  804607 */     // GIR_Coverage, 19622,
     /*  804607 */     GIR_EraseRootFromParent_Done,
     /*  804608 */   // Label 12438: @804608
     /*  804608 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804683), // Rule ID 19623 //
     /*  804613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804681 */     GIR_RootConstrainSelectedInstOperands,
     /*  804682 */     // GIR_Coverage, 19623,
     /*  804682 */     GIR_EraseRootFromParent_Done,
     /*  804683 */   // Label 12439: @804683
     /*  804683 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804758), // Rule ID 19626 //
     /*  804688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804756 */     GIR_RootConstrainSelectedInstOperands,
     /*  804757 */     // GIR_Coverage, 19626,
     /*  804757 */     GIR_EraseRootFromParent_Done,
     /*  804758 */   // Label 12440: @804758
     /*  804758 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804833), // Rule ID 19627 //
     /*  804763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804809 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804831 */     GIR_RootConstrainSelectedInstOperands,
     /*  804832 */     // GIR_Coverage, 19627,
     /*  804832 */     GIR_EraseRootFromParent_Done,
     /*  804833 */   // Label 12441: @804833
     /*  804833 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804908), // Rule ID 19630 //
     /*  804838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804906 */     GIR_RootConstrainSelectedInstOperands,
     /*  804907 */     // GIR_Coverage, 19630,
     /*  804907 */     GIR_EraseRootFromParent_Done,
     /*  804908 */   // Label 12442: @804908
     /*  804908 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804983), // Rule ID 19631 //
     /*  804913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804981 */     GIR_RootConstrainSelectedInstOperands,
     /*  804982 */     // GIR_Coverage, 19631,
     /*  804982 */     GIR_EraseRootFromParent_Done,
     /*  804983 */   // Label 12443: @804983
     /*  804983 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(805058), // Rule ID 19634 //
     /*  804988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805056 */     GIR_RootConstrainSelectedInstOperands,
     /*  805057 */     // GIR_Coverage, 19634,
     /*  805057 */     GIR_EraseRootFromParent_Done,
     /*  805058 */   // Label 12444: @805058
     /*  805058 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(805133), // Rule ID 19635 //
     /*  805063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805131 */     GIR_RootConstrainSelectedInstOperands,
     /*  805132 */     // GIR_Coverage, 19635,
     /*  805132 */     GIR_EraseRootFromParent_Done,
     /*  805133 */   // Label 12445: @805133
     /*  805133 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(805208), // Rule ID 19638 //
     /*  805138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805206 */     GIR_RootConstrainSelectedInstOperands,
     /*  805207 */     // GIR_Coverage, 19638,
     /*  805207 */     GIR_EraseRootFromParent_Done,
     /*  805208 */   // Label 12446: @805208
     /*  805208 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805283), // Rule ID 19639 //
     /*  805213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805259 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805281 */     GIR_RootConstrainSelectedInstOperands,
     /*  805282 */     // GIR_Coverage, 19639,
     /*  805282 */     GIR_EraseRootFromParent_Done,
     /*  805283 */   // Label 12447: @805283
     /*  805283 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805358), // Rule ID 19642 //
     /*  805288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  805337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805356 */     GIR_RootConstrainSelectedInstOperands,
     /*  805357 */     // GIR_Coverage, 19642,
     /*  805357 */     GIR_EraseRootFromParent_Done,
     /*  805358 */   // Label 12448: @805358
     /*  805358 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805433), // Rule ID 19643 //
     /*  805363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  805412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805431 */     GIR_RootConstrainSelectedInstOperands,
     /*  805432 */     // GIR_Coverage, 19643,
     /*  805432 */     GIR_EraseRootFromParent_Done,
     /*  805433 */   // Label 12449: @805433
     /*  805433 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805508), // Rule ID 19646 //
     /*  805438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805506 */     GIR_RootConstrainSelectedInstOperands,
     /*  805507 */     // GIR_Coverage, 19646,
     /*  805507 */     GIR_EraseRootFromParent_Done,
     /*  805508 */   // Label 12450: @805508
     /*  805508 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805583), // Rule ID 19647 //
     /*  805513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805581 */     GIR_RootConstrainSelectedInstOperands,
     /*  805582 */     // GIR_Coverage, 19647,
     /*  805582 */     GIR_EraseRootFromParent_Done,
     /*  805583 */   // Label 12451: @805583
     /*  805583 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805658), // Rule ID 19650 //
     /*  805588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805656 */     GIR_RootConstrainSelectedInstOperands,
     /*  805657 */     // GIR_Coverage, 19650,
     /*  805657 */     GIR_EraseRootFromParent_Done,
     /*  805658 */   // Label 12452: @805658
     /*  805658 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805733), // Rule ID 19651 //
     /*  805663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805731 */     GIR_RootConstrainSelectedInstOperands,
     /*  805732 */     // GIR_Coverage, 19651,
     /*  805732 */     GIR_EraseRootFromParent_Done,
     /*  805733 */   // Label 12453: @805733
     /*  805733 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805808), // Rule ID 21868 //
     /*  805738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805806 */     GIR_RootConstrainSelectedInstOperands,
     /*  805807 */     // GIR_Coverage, 21868,
     /*  805807 */     GIR_EraseRootFromParent_Done,
     /*  805808 */   // Label 12454: @805808
     /*  805808 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805883), // Rule ID 21869 //
     /*  805813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805881 */     GIR_RootConstrainSelectedInstOperands,
     /*  805882 */     // GIR_Coverage, 21869,
     /*  805882 */     GIR_EraseRootFromParent_Done,
     /*  805883 */   // Label 12455: @805883
     /*  805883 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805958), // Rule ID 21872 //
     /*  805888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805956 */     GIR_RootConstrainSelectedInstOperands,
     /*  805957 */     // GIR_Coverage, 21872,
     /*  805957 */     GIR_EraseRootFromParent_Done,
     /*  805958 */   // Label 12456: @805958
     /*  805958 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(806033), // Rule ID 21873 //
     /*  805963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  806012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806031 */     GIR_RootConstrainSelectedInstOperands,
     /*  806032 */     // GIR_Coverage, 21873,
     /*  806032 */     GIR_EraseRootFromParent_Done,
     /*  806033 */   // Label 12457: @806033
     /*  806033 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(806108), // Rule ID 21876 //
     /*  806038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806106 */     GIR_RootConstrainSelectedInstOperands,
     /*  806107 */     // GIR_Coverage, 21876,
     /*  806107 */     GIR_EraseRootFromParent_Done,
     /*  806108 */   // Label 12458: @806108
     /*  806108 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(806183), // Rule ID 21877 //
     /*  806113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806181 */     GIR_RootConstrainSelectedInstOperands,
     /*  806182 */     // GIR_Coverage, 21877,
     /*  806182 */     GIR_EraseRootFromParent_Done,
     /*  806183 */   // Label 12459: @806183
     /*  806183 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806258), // Rule ID 21880 //
     /*  806188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806256 */     GIR_RootConstrainSelectedInstOperands,
     /*  806257 */     // GIR_Coverage, 21880,
     /*  806257 */     GIR_EraseRootFromParent_Done,
     /*  806258 */   // Label 12460: @806258
     /*  806258 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806333), // Rule ID 21881 //
     /*  806263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806331 */     GIR_RootConstrainSelectedInstOperands,
     /*  806332 */     // GIR_Coverage, 21881,
     /*  806332 */     GIR_EraseRootFromParent_Done,
     /*  806333 */   // Label 12461: @806333
     /*  806333 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806408), // Rule ID 21884 //
     /*  806338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806406 */     GIR_RootConstrainSelectedInstOperands,
     /*  806407 */     // GIR_Coverage, 21884,
     /*  806407 */     GIR_EraseRootFromParent_Done,
     /*  806408 */   // Label 12462: @806408
     /*  806408 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806483), // Rule ID 21885 //
     /*  806413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806481 */     GIR_RootConstrainSelectedInstOperands,
     /*  806482 */     // GIR_Coverage, 21885,
     /*  806482 */     GIR_EraseRootFromParent_Done,
     /*  806483 */   // Label 12463: @806483
     /*  806483 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806558), // Rule ID 21888 //
     /*  806488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806556 */     GIR_RootConstrainSelectedInstOperands,
     /*  806557 */     // GIR_Coverage, 21888,
     /*  806557 */     GIR_EraseRootFromParent_Done,
     /*  806558 */   // Label 12464: @806558
     /*  806558 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806633), // Rule ID 21889 //
     /*  806563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806631 */     GIR_RootConstrainSelectedInstOperands,
     /*  806632 */     // GIR_Coverage, 21889,
     /*  806632 */     GIR_EraseRootFromParent_Done,
     /*  806633 */   // Label 12465: @806633
     /*  806633 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806708), // Rule ID 21892 //
     /*  806638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806706 */     GIR_RootConstrainSelectedInstOperands,
     /*  806707 */     // GIR_Coverage, 21892,
     /*  806707 */     GIR_EraseRootFromParent_Done,
     /*  806708 */   // Label 12466: @806708
     /*  806708 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806783), // Rule ID 21893 //
     /*  806713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806781 */     GIR_RootConstrainSelectedInstOperands,
     /*  806782 */     // GIR_Coverage, 21893,
     /*  806782 */     GIR_EraseRootFromParent_Done,
     /*  806783 */   // Label 12467: @806783
     /*  806783 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806858), // Rule ID 21896 //
     /*  806788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806856 */     GIR_RootConstrainSelectedInstOperands,
     /*  806857 */     // GIR_Coverage, 21896,
     /*  806857 */     GIR_EraseRootFromParent_Done,
     /*  806858 */   // Label 12468: @806858
     /*  806858 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806933), // Rule ID 21897 //
     /*  806863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806931 */     GIR_RootConstrainSelectedInstOperands,
     /*  806932 */     // GIR_Coverage, 21897,
     /*  806932 */     GIR_EraseRootFromParent_Done,
     /*  806933 */   // Label 12469: @806933
     /*  806933 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(807008), // Rule ID 21900 //
     /*  806938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807006 */     GIR_RootConstrainSelectedInstOperands,
     /*  807007 */     // GIR_Coverage, 21900,
     /*  807007 */     GIR_EraseRootFromParent_Done,
     /*  807008 */   // Label 12470: @807008
     /*  807008 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(807083), // Rule ID 21901 //
     /*  807013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  807062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807081 */     GIR_RootConstrainSelectedInstOperands,
     /*  807082 */     // GIR_Coverage, 21901,
     /*  807082 */     GIR_EraseRootFromParent_Done,
     /*  807083 */   // Label 12471: @807083
     /*  807083 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(807158), // Rule ID 21904 //
     /*  807088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807156 */     GIR_RootConstrainSelectedInstOperands,
     /*  807157 */     // GIR_Coverage, 21904,
     /*  807157 */     GIR_EraseRootFromParent_Done,
     /*  807158 */   // Label 12472: @807158
     /*  807158 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(807233), // Rule ID 21905 //
     /*  807163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807231 */     GIR_RootConstrainSelectedInstOperands,
     /*  807232 */     // GIR_Coverage, 21905,
     /*  807232 */     GIR_EraseRootFromParent_Done,
     /*  807233 */   // Label 12473: @807233
     /*  807233 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807308), // Rule ID 21908 //
     /*  807238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  807287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807306 */     GIR_RootConstrainSelectedInstOperands,
     /*  807307 */     // GIR_Coverage, 21908,
     /*  807307 */     GIR_EraseRootFromParent_Done,
     /*  807308 */   // Label 12474: @807308
     /*  807308 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807383), // Rule ID 21909 //
     /*  807313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  807362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807381 */     GIR_RootConstrainSelectedInstOperands,
     /*  807382 */     // GIR_Coverage, 21909,
     /*  807382 */     GIR_EraseRootFromParent_Done,
     /*  807383 */   // Label 12475: @807383
     /*  807383 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807458), // Rule ID 21912 //
     /*  807388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807456 */     GIR_RootConstrainSelectedInstOperands,
     /*  807457 */     // GIR_Coverage, 21912,
     /*  807457 */     GIR_EraseRootFromParent_Done,
     /*  807458 */   // Label 12476: @807458
     /*  807458 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807533), // Rule ID 21913 //
     /*  807463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807531 */     GIR_RootConstrainSelectedInstOperands,
     /*  807532 */     // GIR_Coverage, 21913,
     /*  807532 */     GIR_EraseRootFromParent_Done,
     /*  807533 */   // Label 12477: @807533
     /*  807533 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807608), // Rule ID 21916 //
     /*  807538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807606 */     GIR_RootConstrainSelectedInstOperands,
     /*  807607 */     // GIR_Coverage, 21916,
     /*  807607 */     GIR_EraseRootFromParent_Done,
     /*  807608 */   // Label 12478: @807608
     /*  807608 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807683), // Rule ID 21917 //
     /*  807613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807681 */     GIR_RootConstrainSelectedInstOperands,
     /*  807682 */     // GIR_Coverage, 21917,
     /*  807682 */     GIR_EraseRootFromParent_Done,
     /*  807683 */   // Label 12479: @807683
     /*  807683 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807758), // Rule ID 21920 //
     /*  807688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807756 */     GIR_RootConstrainSelectedInstOperands,
     /*  807757 */     // GIR_Coverage, 21920,
     /*  807757 */     GIR_EraseRootFromParent_Done,
     /*  807758 */   // Label 12480: @807758
     /*  807758 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807833), // Rule ID 21921 //
     /*  807763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807831 */     GIR_RootConstrainSelectedInstOperands,
     /*  807832 */     // GIR_Coverage, 21921,
     /*  807832 */     GIR_EraseRootFromParent_Done,
     /*  807833 */   // Label 12481: @807833
     /*  807833 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807908), // Rule ID 21924 //
     /*  807838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807906 */     GIR_RootConstrainSelectedInstOperands,
     /*  807907 */     // GIR_Coverage, 21924,
     /*  807907 */     GIR_EraseRootFromParent_Done,
     /*  807908 */   // Label 12482: @807908
     /*  807908 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807983), // Rule ID 21925 //
     /*  807913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807981 */     GIR_RootConstrainSelectedInstOperands,
     /*  807982 */     // GIR_Coverage, 21925,
     /*  807982 */     GIR_EraseRootFromParent_Done,
     /*  807983 */   // Label 12483: @807983
     /*  807983 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(808058), // Rule ID 21928 //
     /*  807988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808056 */     GIR_RootConstrainSelectedInstOperands,
     /*  808057 */     // GIR_Coverage, 21928,
     /*  808057 */     GIR_EraseRootFromParent_Done,
     /*  808058 */   // Label 12484: @808058
     /*  808058 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(808133), // Rule ID 21929 //
     /*  808063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808131 */     GIR_RootConstrainSelectedInstOperands,
     /*  808132 */     // GIR_Coverage, 21929,
     /*  808132 */     GIR_EraseRootFromParent_Done,
     /*  808133 */   // Label 12485: @808133
     /*  808133 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(808208), // Rule ID 21932 //
     /*  808138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808206 */     GIR_RootConstrainSelectedInstOperands,
     /*  808207 */     // GIR_Coverage, 21932,
     /*  808207 */     GIR_EraseRootFromParent_Done,
     /*  808208 */   // Label 12486: @808208
     /*  808208 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808283), // Rule ID 21933 //
     /*  808213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808281 */     GIR_RootConstrainSelectedInstOperands,
     /*  808282 */     // GIR_Coverage, 21933,
     /*  808282 */     GIR_EraseRootFromParent_Done,
     /*  808283 */   // Label 12487: @808283
     /*  808283 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808358), // Rule ID 21936 //
     /*  808288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  808337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808356 */     GIR_RootConstrainSelectedInstOperands,
     /*  808357 */     // GIR_Coverage, 21936,
     /*  808357 */     GIR_EraseRootFromParent_Done,
     /*  808358 */   // Label 12488: @808358
     /*  808358 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808433), // Rule ID 21937 //
     /*  808363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  808412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808431 */     GIR_RootConstrainSelectedInstOperands,
     /*  808432 */     // GIR_Coverage, 21937,
     /*  808432 */     GIR_EraseRootFromParent_Done,
     /*  808433 */   // Label 12489: @808433
     /*  808433 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808508), // Rule ID 21940 //
     /*  808438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808506 */     GIR_RootConstrainSelectedInstOperands,
     /*  808507 */     // GIR_Coverage, 21940,
     /*  808507 */     GIR_EraseRootFromParent_Done,
     /*  808508 */   // Label 12490: @808508
     /*  808508 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808583), // Rule ID 21941 //
     /*  808513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808581 */     GIR_RootConstrainSelectedInstOperands,
     /*  808582 */     // GIR_Coverage, 21941,
     /*  808582 */     GIR_EraseRootFromParent_Done,
     /*  808583 */   // Label 12491: @808583
     /*  808583 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808658), // Rule ID 21944 //
     /*  808588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808656 */     GIR_RootConstrainSelectedInstOperands,
     /*  808657 */     // GIR_Coverage, 21944,
     /*  808657 */     GIR_EraseRootFromParent_Done,
     /*  808658 */   // Label 12492: @808658
     /*  808658 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808733), // Rule ID 21945 //
     /*  808663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808731 */     GIR_RootConstrainSelectedInstOperands,
     /*  808732 */     // GIR_Coverage, 21945,
     /*  808732 */     GIR_EraseRootFromParent_Done,
     /*  808733 */   // Label 12493: @808733
     /*  808733 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808808), // Rule ID 21948 //
     /*  808738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808806 */     GIR_RootConstrainSelectedInstOperands,
     /*  808807 */     // GIR_Coverage, 21948,
     /*  808807 */     GIR_EraseRootFromParent_Done,
     /*  808808 */   // Label 12494: @808808
     /*  808808 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808883), // Rule ID 21949 //
     /*  808813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808881 */     GIR_RootConstrainSelectedInstOperands,
     /*  808882 */     // GIR_Coverage, 21949,
     /*  808882 */     GIR_EraseRootFromParent_Done,
     /*  808883 */   // Label 12495: @808883
     /*  808883 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808958), // Rule ID 21952 //
     /*  808888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808956 */     GIR_RootConstrainSelectedInstOperands,
     /*  808957 */     // GIR_Coverage, 21952,
     /*  808957 */     GIR_EraseRootFromParent_Done,
     /*  808958 */   // Label 12496: @808958
     /*  808958 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(809033), // Rule ID 21953 //
     /*  808963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  809012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809031 */     GIR_RootConstrainSelectedInstOperands,
     /*  809032 */     // GIR_Coverage, 21953,
     /*  809032 */     GIR_EraseRootFromParent_Done,
     /*  809033 */   // Label 12497: @809033
     /*  809033 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(809108), // Rule ID 21956 //
     /*  809038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809106 */     GIR_RootConstrainSelectedInstOperands,
     /*  809107 */     // GIR_Coverage, 21956,
     /*  809107 */     GIR_EraseRootFromParent_Done,
     /*  809108 */   // Label 12498: @809108
     /*  809108 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(809183), // Rule ID 21957 //
     /*  809113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809181 */     GIR_RootConstrainSelectedInstOperands,
     /*  809182 */     // GIR_Coverage, 21957,
     /*  809182 */     GIR_EraseRootFromParent_Done,
     /*  809183 */   // Label 12499: @809183
     /*  809183 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809258), // Rule ID 21960 //
     /*  809188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809256 */     GIR_RootConstrainSelectedInstOperands,
     /*  809257 */     // GIR_Coverage, 21960,
     /*  809257 */     GIR_EraseRootFromParent_Done,
     /*  809258 */   // Label 12500: @809258
     /*  809258 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809333), // Rule ID 21961 //
     /*  809263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809331 */     GIR_RootConstrainSelectedInstOperands,
     /*  809332 */     // GIR_Coverage, 21961,
     /*  809332 */     GIR_EraseRootFromParent_Done,
     /*  809333 */   // Label 12501: @809333
     /*  809333 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809408), // Rule ID 21964 //
     /*  809338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809406 */     GIR_RootConstrainSelectedInstOperands,
     /*  809407 */     // GIR_Coverage, 21964,
     /*  809407 */     GIR_EraseRootFromParent_Done,
     /*  809408 */   // Label 12502: @809408
     /*  809408 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809483), // Rule ID 21965 //
     /*  809413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809481 */     GIR_RootConstrainSelectedInstOperands,
     /*  809482 */     // GIR_Coverage, 21965,
     /*  809482 */     GIR_EraseRootFromParent_Done,
     /*  809483 */   // Label 12503: @809483
     /*  809483 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809558), // Rule ID 21968 //
     /*  809488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809556 */     GIR_RootConstrainSelectedInstOperands,
     /*  809557 */     // GIR_Coverage, 21968,
     /*  809557 */     GIR_EraseRootFromParent_Done,
     /*  809558 */   // Label 12504: @809558
     /*  809558 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809633), // Rule ID 21969 //
     /*  809563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809631 */     GIR_RootConstrainSelectedInstOperands,
     /*  809632 */     // GIR_Coverage, 21969,
     /*  809632 */     GIR_EraseRootFromParent_Done,
     /*  809633 */   // Label 12505: @809633
     /*  809633 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809708), // Rule ID 21972 //
     /*  809638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809706 */     GIR_RootConstrainSelectedInstOperands,
     /*  809707 */     // GIR_Coverage, 21972,
     /*  809707 */     GIR_EraseRootFromParent_Done,
     /*  809708 */   // Label 12506: @809708
     /*  809708 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809783), // Rule ID 21973 //
     /*  809713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809781 */     GIR_RootConstrainSelectedInstOperands,
     /*  809782 */     // GIR_Coverage, 21973,
     /*  809782 */     GIR_EraseRootFromParent_Done,
     /*  809783 */   // Label 12507: @809783
     /*  809783 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809858), // Rule ID 21976 //
     /*  809788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809856 */     GIR_RootConstrainSelectedInstOperands,
     /*  809857 */     // GIR_Coverage, 21976,
     /*  809857 */     GIR_EraseRootFromParent_Done,
     /*  809858 */   // Label 12508: @809858
     /*  809858 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809933), // Rule ID 21977 //
     /*  809863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809931 */     GIR_RootConstrainSelectedInstOperands,
     /*  809932 */     // GIR_Coverage, 21977,
     /*  809932 */     GIR_EraseRootFromParent_Done,
     /*  809933 */   // Label 12509: @809933
     /*  809933 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(810008), // Rule ID 21980 //
     /*  809938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810006 */     GIR_RootConstrainSelectedInstOperands,
     /*  810007 */     // GIR_Coverage, 21980,
     /*  810007 */     GIR_EraseRootFromParent_Done,
     /*  810008 */   // Label 12510: @810008
     /*  810008 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(810083), // Rule ID 21981 //
     /*  810013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  810062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810081 */     GIR_RootConstrainSelectedInstOperands,
     /*  810082 */     // GIR_Coverage, 21981,
     /*  810082 */     GIR_EraseRootFromParent_Done,
     /*  810083 */   // Label 12511: @810083
     /*  810083 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(810158), // Rule ID 21984 //
     /*  810088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810156 */     GIR_RootConstrainSelectedInstOperands,
     /*  810157 */     // GIR_Coverage, 21984,
     /*  810157 */     GIR_EraseRootFromParent_Done,
     /*  810158 */   // Label 12512: @810158
     /*  810158 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(810233), // Rule ID 21985 //
     /*  810163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810231 */     GIR_RootConstrainSelectedInstOperands,
     /*  810232 */     // GIR_Coverage, 21985,
     /*  810232 */     GIR_EraseRootFromParent_Done,
     /*  810233 */   // Label 12513: @810233
     /*  810233 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810308), // Rule ID 21988 //
     /*  810238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  810287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810306 */     GIR_RootConstrainSelectedInstOperands,
     /*  810307 */     // GIR_Coverage, 21988,
     /*  810307 */     GIR_EraseRootFromParent_Done,
     /*  810308 */   // Label 12514: @810308
     /*  810308 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810383), // Rule ID 21989 //
     /*  810313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  810362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810381 */     GIR_RootConstrainSelectedInstOperands,
     /*  810382 */     // GIR_Coverage, 21989,
     /*  810382 */     GIR_EraseRootFromParent_Done,
     /*  810383 */   // Label 12515: @810383
     /*  810383 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810458), // Rule ID 21992 //
     /*  810388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810456 */     GIR_RootConstrainSelectedInstOperands,
     /*  810457 */     // GIR_Coverage, 21992,
     /*  810457 */     GIR_EraseRootFromParent_Done,
     /*  810458 */   // Label 12516: @810458
     /*  810458 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810533), // Rule ID 21993 //
     /*  810463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810531 */     GIR_RootConstrainSelectedInstOperands,
     /*  810532 */     // GIR_Coverage, 21993,
     /*  810532 */     GIR_EraseRootFromParent_Done,
     /*  810533 */   // Label 12517: @810533
     /*  810533 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810608), // Rule ID 21996 //
     /*  810538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810606 */     GIR_RootConstrainSelectedInstOperands,
     /*  810607 */     // GIR_Coverage, 21996,
     /*  810607 */     GIR_EraseRootFromParent_Done,
     /*  810608 */   // Label 12518: @810608
     /*  810608 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810683), // Rule ID 21997 //
     /*  810613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810681 */     GIR_RootConstrainSelectedInstOperands,
     /*  810682 */     // GIR_Coverage, 21997,
     /*  810682 */     GIR_EraseRootFromParent_Done,
     /*  810683 */   // Label 12519: @810683
     /*  810683 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810758), // Rule ID 22000 //
     /*  810688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810756 */     GIR_RootConstrainSelectedInstOperands,
     /*  810757 */     // GIR_Coverage, 22000,
     /*  810757 */     GIR_EraseRootFromParent_Done,
     /*  810758 */   // Label 12520: @810758
     /*  810758 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810833), // Rule ID 22001 //
     /*  810763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810831 */     GIR_RootConstrainSelectedInstOperands,
     /*  810832 */     // GIR_Coverage, 22001,
     /*  810832 */     GIR_EraseRootFromParent_Done,
     /*  810833 */   // Label 12521: @810833
     /*  810833 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810908), // Rule ID 22004 //
     /*  810838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810906 */     GIR_RootConstrainSelectedInstOperands,
     /*  810907 */     // GIR_Coverage, 22004,
     /*  810907 */     GIR_EraseRootFromParent_Done,
     /*  810908 */   // Label 12522: @810908
     /*  810908 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810983), // Rule ID 22005 //
     /*  810913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810981 */     GIR_RootConstrainSelectedInstOperands,
     /*  810982 */     // GIR_Coverage, 22005,
     /*  810982 */     GIR_EraseRootFromParent_Done,
     /*  810983 */   // Label 12523: @810983
     /*  810983 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(811058), // Rule ID 22008 //
     /*  810988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811056 */     GIR_RootConstrainSelectedInstOperands,
     /*  811057 */     // GIR_Coverage, 22008,
     /*  811057 */     GIR_EraseRootFromParent_Done,
     /*  811058 */   // Label 12524: @811058
     /*  811058 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(811133), // Rule ID 22009 //
     /*  811063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811131 */     GIR_RootConstrainSelectedInstOperands,
     /*  811132 */     // GIR_Coverage, 22009,
     /*  811132 */     GIR_EraseRootFromParent_Done,
     /*  811133 */   // Label 12525: @811133
     /*  811133 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(811208), // Rule ID 22012 //
     /*  811138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811206 */     GIR_RootConstrainSelectedInstOperands,
     /*  811207 */     // GIR_Coverage, 22012,
     /*  811207 */     GIR_EraseRootFromParent_Done,
     /*  811208 */   // Label 12526: @811208
     /*  811208 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811283), // Rule ID 22013 //
     /*  811213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811281 */     GIR_RootConstrainSelectedInstOperands,
     /*  811282 */     // GIR_Coverage, 22013,
     /*  811282 */     GIR_EraseRootFromParent_Done,
     /*  811283 */   // Label 12527: @811283
     /*  811283 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811358), // Rule ID 22016 //
     /*  811288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  811337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811356 */     GIR_RootConstrainSelectedInstOperands,
     /*  811357 */     // GIR_Coverage, 22016,
     /*  811357 */     GIR_EraseRootFromParent_Done,
     /*  811358 */   // Label 12528: @811358
     /*  811358 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811433), // Rule ID 22017 //
     /*  811363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  811412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811431 */     GIR_RootConstrainSelectedInstOperands,
     /*  811432 */     // GIR_Coverage, 22017,
     /*  811432 */     GIR_EraseRootFromParent_Done,
     /*  811433 */   // Label 12529: @811433
     /*  811433 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811508), // Rule ID 22020 //
     /*  811438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811506 */     GIR_RootConstrainSelectedInstOperands,
     /*  811507 */     // GIR_Coverage, 22020,
     /*  811507 */     GIR_EraseRootFromParent_Done,
     /*  811508 */   // Label 12530: @811508
     /*  811508 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811583), // Rule ID 22021 //
     /*  811513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811581 */     GIR_RootConstrainSelectedInstOperands,
     /*  811582 */     // GIR_Coverage, 22021,
     /*  811582 */     GIR_EraseRootFromParent_Done,
     /*  811583 */   // Label 12531: @811583
     /*  811583 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811658), // Rule ID 22024 //
     /*  811588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811656 */     GIR_RootConstrainSelectedInstOperands,
     /*  811657 */     // GIR_Coverage, 22024,
     /*  811657 */     GIR_EraseRootFromParent_Done,
     /*  811658 */   // Label 12532: @811658
     /*  811658 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811733), // Rule ID 22025 //
     /*  811663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811731 */     GIR_RootConstrainSelectedInstOperands,
     /*  811732 */     // GIR_Coverage, 22025,
     /*  811732 */     GIR_EraseRootFromParent_Done,
     /*  811733 */   // Label 12533: @811733
     /*  811733 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811808), // Rule ID 22028 //
     /*  811738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811806 */     GIR_RootConstrainSelectedInstOperands,
     /*  811807 */     // GIR_Coverage, 22028,
     /*  811807 */     GIR_EraseRootFromParent_Done,
     /*  811808 */   // Label 12534: @811808
     /*  811808 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811883), // Rule ID 22029 //
     /*  811813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811881 */     GIR_RootConstrainSelectedInstOperands,
     /*  811882 */     // GIR_Coverage, 22029,
     /*  811882 */     GIR_EraseRootFromParent_Done,
     /*  811883 */   // Label 12535: @811883
     /*  811883 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811958), // Rule ID 22032 //
     /*  811888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811956 */     GIR_RootConstrainSelectedInstOperands,
     /*  811957 */     // GIR_Coverage, 22032,
     /*  811957 */     GIR_EraseRootFromParent_Done,
     /*  811958 */   // Label 12536: @811958
     /*  811958 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(812033), // Rule ID 22033 //
     /*  811963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  812012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812031 */     GIR_RootConstrainSelectedInstOperands,
     /*  812032 */     // GIR_Coverage, 22033,
     /*  812032 */     GIR_EraseRootFromParent_Done,
     /*  812033 */   // Label 12537: @812033
     /*  812033 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(812108), // Rule ID 22036 //
     /*  812038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812106 */     GIR_RootConstrainSelectedInstOperands,
     /*  812107 */     // GIR_Coverage, 22036,
     /*  812107 */     GIR_EraseRootFromParent_Done,
     /*  812108 */   // Label 12538: @812108
     /*  812108 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(812183), // Rule ID 22037 //
     /*  812113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812181 */     GIR_RootConstrainSelectedInstOperands,
     /*  812182 */     // GIR_Coverage, 22037,
     /*  812182 */     GIR_EraseRootFromParent_Done,
     /*  812183 */   // Label 12539: @812183
     /*  812183 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812258), // Rule ID 22040 //
     /*  812188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812256 */     GIR_RootConstrainSelectedInstOperands,
     /*  812257 */     // GIR_Coverage, 22040,
     /*  812257 */     GIR_EraseRootFromParent_Done,
     /*  812258 */   // Label 12540: @812258
     /*  812258 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812333), // Rule ID 22041 //
     /*  812263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812331 */     GIR_RootConstrainSelectedInstOperands,
     /*  812332 */     // GIR_Coverage, 22041,
     /*  812332 */     GIR_EraseRootFromParent_Done,
     /*  812333 */   // Label 12541: @812333
     /*  812333 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812408), // Rule ID 22044 //
     /*  812338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812406 */     GIR_RootConstrainSelectedInstOperands,
     /*  812407 */     // GIR_Coverage, 22044,
     /*  812407 */     GIR_EraseRootFromParent_Done,
     /*  812408 */   // Label 12542: @812408
     /*  812408 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812483), // Rule ID 22045 //
     /*  812413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812481 */     GIR_RootConstrainSelectedInstOperands,
     /*  812482 */     // GIR_Coverage, 22045,
     /*  812482 */     GIR_EraseRootFromParent_Done,
     /*  812483 */   // Label 12543: @812483
     /*  812483 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812558), // Rule ID 22048 //
     /*  812488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812556 */     GIR_RootConstrainSelectedInstOperands,
     /*  812557 */     // GIR_Coverage, 22048,
     /*  812557 */     GIR_EraseRootFromParent_Done,
     /*  812558 */   // Label 12544: @812558
     /*  812558 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812633), // Rule ID 22049 //
     /*  812563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812631 */     GIR_RootConstrainSelectedInstOperands,
     /*  812632 */     // GIR_Coverage, 22049,
     /*  812632 */     GIR_EraseRootFromParent_Done,
     /*  812633 */   // Label 12545: @812633
     /*  812633 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812708), // Rule ID 22052 //
     /*  812638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812706 */     GIR_RootConstrainSelectedInstOperands,
     /*  812707 */     // GIR_Coverage, 22052,
     /*  812707 */     GIR_EraseRootFromParent_Done,
     /*  812708 */   // Label 12546: @812708
     /*  812708 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812783), // Rule ID 22053 //
     /*  812713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812781 */     GIR_RootConstrainSelectedInstOperands,
     /*  812782 */     // GIR_Coverage, 22053,
     /*  812782 */     GIR_EraseRootFromParent_Done,
     /*  812783 */   // Label 12547: @812783
     /*  812783 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812858), // Rule ID 22056 //
     /*  812788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812856 */     GIR_RootConstrainSelectedInstOperands,
     /*  812857 */     // GIR_Coverage, 22056,
     /*  812857 */     GIR_EraseRootFromParent_Done,
     /*  812858 */   // Label 12548: @812858
     /*  812858 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812933), // Rule ID 22057 //
     /*  812863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812931 */     GIR_RootConstrainSelectedInstOperands,
     /*  812932 */     // GIR_Coverage, 22057,
     /*  812932 */     GIR_EraseRootFromParent_Done,
     /*  812933 */   // Label 12549: @812933
     /*  812933 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(813008), // Rule ID 22060 //
     /*  812938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813006 */     GIR_RootConstrainSelectedInstOperands,
     /*  813007 */     // GIR_Coverage, 22060,
     /*  813007 */     GIR_EraseRootFromParent_Done,
     /*  813008 */   // Label 12550: @813008
     /*  813008 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(813083), // Rule ID 22061 //
     /*  813013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  813062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813081 */     GIR_RootConstrainSelectedInstOperands,
     /*  813082 */     // GIR_Coverage, 22061,
     /*  813082 */     GIR_EraseRootFromParent_Done,
     /*  813083 */   // Label 12551: @813083
     /*  813083 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(813158), // Rule ID 22064 //
     /*  813088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813156 */     GIR_RootConstrainSelectedInstOperands,
     /*  813157 */     // GIR_Coverage, 22064,
     /*  813157 */     GIR_EraseRootFromParent_Done,
     /*  813158 */   // Label 12552: @813158
     /*  813158 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(813233), // Rule ID 22065 //
     /*  813163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813231 */     GIR_RootConstrainSelectedInstOperands,
     /*  813232 */     // GIR_Coverage, 22065,
     /*  813232 */     GIR_EraseRootFromParent_Done,
     /*  813233 */   // Label 12553: @813233
     /*  813233 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813308), // Rule ID 22068 //
     /*  813238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  813287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813306 */     GIR_RootConstrainSelectedInstOperands,
     /*  813307 */     // GIR_Coverage, 22068,
     /*  813307 */     GIR_EraseRootFromParent_Done,
     /*  813308 */   // Label 12554: @813308
     /*  813308 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813383), // Rule ID 22069 //
     /*  813313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  813362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813381 */     GIR_RootConstrainSelectedInstOperands,
     /*  813382 */     // GIR_Coverage, 22069,
     /*  813382 */     GIR_EraseRootFromParent_Done,
     /*  813383 */   // Label 12555: @813383
     /*  813383 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813458), // Rule ID 22072 //
     /*  813388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813456 */     GIR_RootConstrainSelectedInstOperands,
     /*  813457 */     // GIR_Coverage, 22072,
     /*  813457 */     GIR_EraseRootFromParent_Done,
     /*  813458 */   // Label 12556: @813458
     /*  813458 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813533), // Rule ID 22073 //
     /*  813463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813531 */     GIR_RootConstrainSelectedInstOperands,
     /*  813532 */     // GIR_Coverage, 22073,
     /*  813532 */     GIR_EraseRootFromParent_Done,
     /*  813533 */   // Label 12557: @813533
     /*  813533 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813608), // Rule ID 22076 //
     /*  813538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813606 */     GIR_RootConstrainSelectedInstOperands,
     /*  813607 */     // GIR_Coverage, 22076,
     /*  813607 */     GIR_EraseRootFromParent_Done,
     /*  813608 */   // Label 12558: @813608
     /*  813608 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813683), // Rule ID 22077 //
     /*  813613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813681 */     GIR_RootConstrainSelectedInstOperands,
     /*  813682 */     // GIR_Coverage, 22077,
     /*  813682 */     GIR_EraseRootFromParent_Done,
     /*  813683 */   // Label 12559: @813683
     /*  813683 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813758), // Rule ID 22080 //
     /*  813688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813756 */     GIR_RootConstrainSelectedInstOperands,
     /*  813757 */     // GIR_Coverage, 22080,
     /*  813757 */     GIR_EraseRootFromParent_Done,
     /*  813758 */   // Label 12560: @813758
     /*  813758 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813833), // Rule ID 22081 //
     /*  813763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813831 */     GIR_RootConstrainSelectedInstOperands,
     /*  813832 */     // GIR_Coverage, 22081,
     /*  813832 */     GIR_EraseRootFromParent_Done,
     /*  813833 */   // Label 12561: @813833
     /*  813833 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813908), // Rule ID 22084 //
     /*  813838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813906 */     GIR_RootConstrainSelectedInstOperands,
     /*  813907 */     // GIR_Coverage, 22084,
     /*  813907 */     GIR_EraseRootFromParent_Done,
     /*  813908 */   // Label 12562: @813908
     /*  813908 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813983), // Rule ID 22085 //
     /*  813913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813981 */     GIR_RootConstrainSelectedInstOperands,
     /*  813982 */     // GIR_Coverage, 22085,
     /*  813982 */     GIR_EraseRootFromParent_Done,
     /*  813983 */   // Label 12563: @813983
     /*  813983 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(814058), // Rule ID 22088 //
     /*  813988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814056 */     GIR_RootConstrainSelectedInstOperands,
     /*  814057 */     // GIR_Coverage, 22088,
     /*  814057 */     GIR_EraseRootFromParent_Done,
     /*  814058 */   // Label 12564: @814058
     /*  814058 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(814133), // Rule ID 22089 //
     /*  814063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814131 */     GIR_RootConstrainSelectedInstOperands,
     /*  814132 */     // GIR_Coverage, 22089,
     /*  814132 */     GIR_EraseRootFromParent_Done,
     /*  814133 */   // Label 12565: @814133
     /*  814133 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(814208), // Rule ID 22092 //
     /*  814138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814206 */     GIR_RootConstrainSelectedInstOperands,
     /*  814207 */     // GIR_Coverage, 22092,
     /*  814207 */     GIR_EraseRootFromParent_Done,
     /*  814208 */   // Label 12566: @814208
     /*  814208 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814283), // Rule ID 22093 //
     /*  814213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814281 */     GIR_RootConstrainSelectedInstOperands,
     /*  814282 */     // GIR_Coverage, 22093,
     /*  814282 */     GIR_EraseRootFromParent_Done,
     /*  814283 */   // Label 12567: @814283
     /*  814283 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814358), // Rule ID 22096 //
     /*  814288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  814337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814356 */     GIR_RootConstrainSelectedInstOperands,
     /*  814357 */     // GIR_Coverage, 22096,
     /*  814357 */     GIR_EraseRootFromParent_Done,
     /*  814358 */   // Label 12568: @814358
     /*  814358 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814433), // Rule ID 22097 //
     /*  814363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  814412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814431 */     GIR_RootConstrainSelectedInstOperands,
     /*  814432 */     // GIR_Coverage, 22097,
     /*  814432 */     GIR_EraseRootFromParent_Done,
     /*  814433 */   // Label 12569: @814433
     /*  814433 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814508), // Rule ID 22100 //
     /*  814438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814506 */     GIR_RootConstrainSelectedInstOperands,
     /*  814507 */     // GIR_Coverage, 22100,
     /*  814507 */     GIR_EraseRootFromParent_Done,
     /*  814508 */   // Label 12570: @814508
     /*  814508 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814583), // Rule ID 22101 //
     /*  814513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814581 */     GIR_RootConstrainSelectedInstOperands,
     /*  814582 */     // GIR_Coverage, 22101,
     /*  814582 */     GIR_EraseRootFromParent_Done,
     /*  814583 */   // Label 12571: @814583
     /*  814583 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814658), // Rule ID 22104 //
     /*  814588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814656 */     GIR_RootConstrainSelectedInstOperands,
     /*  814657 */     // GIR_Coverage, 22104,
     /*  814657 */     GIR_EraseRootFromParent_Done,
     /*  814658 */   // Label 12572: @814658
     /*  814658 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814733), // Rule ID 22105 //
     /*  814663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814731 */     GIR_RootConstrainSelectedInstOperands,
     /*  814732 */     // GIR_Coverage, 22105,
     /*  814732 */     GIR_EraseRootFromParent_Done,
     /*  814733 */   // Label 12573: @814733
     /*  814733 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814808), // Rule ID 22108 //
     /*  814738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814806 */     GIR_RootConstrainSelectedInstOperands,
     /*  814807 */     // GIR_Coverage, 22108,
     /*  814807 */     GIR_EraseRootFromParent_Done,
     /*  814808 */   // Label 12574: @814808
     /*  814808 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814883), // Rule ID 22109 //
     /*  814813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814881 */     GIR_RootConstrainSelectedInstOperands,
     /*  814882 */     // GIR_Coverage, 22109,
     /*  814882 */     GIR_EraseRootFromParent_Done,
     /*  814883 */   // Label 12575: @814883
     /*  814883 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814958), // Rule ID 22112 //
     /*  814888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814956 */     GIR_RootConstrainSelectedInstOperands,
     /*  814957 */     // GIR_Coverage, 22112,
     /*  814957 */     GIR_EraseRootFromParent_Done,
     /*  814958 */   // Label 12576: @814958
     /*  814958 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(815033), // Rule ID 22113 //
     /*  814963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  815012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815031 */     GIR_RootConstrainSelectedInstOperands,
     /*  815032 */     // GIR_Coverage, 22113,
     /*  815032 */     GIR_EraseRootFromParent_Done,
     /*  815033 */   // Label 12577: @815033
     /*  815033 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(815108), // Rule ID 22116 //
     /*  815038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815106 */     GIR_RootConstrainSelectedInstOperands,
     /*  815107 */     // GIR_Coverage, 22116,
     /*  815107 */     GIR_EraseRootFromParent_Done,
     /*  815108 */   // Label 12578: @815108
     /*  815108 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(815183), // Rule ID 22117 //
     /*  815113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815181 */     GIR_RootConstrainSelectedInstOperands,
     /*  815182 */     // GIR_Coverage, 22117,
     /*  815182 */     GIR_EraseRootFromParent_Done,
     /*  815183 */   // Label 12579: @815183
     /*  815183 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815258), // Rule ID 22120 //
     /*  815188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815256 */     GIR_RootConstrainSelectedInstOperands,
     /*  815257 */     // GIR_Coverage, 22120,
     /*  815257 */     GIR_EraseRootFromParent_Done,
     /*  815258 */   // Label 12580: @815258
     /*  815258 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815333), // Rule ID 22121 //
     /*  815263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815331 */     GIR_RootConstrainSelectedInstOperands,
     /*  815332 */     // GIR_Coverage, 22121,
     /*  815332 */     GIR_EraseRootFromParent_Done,
     /*  815333 */   // Label 12581: @815333
     /*  815333 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815408), // Rule ID 22124 //
     /*  815338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815406 */     GIR_RootConstrainSelectedInstOperands,
     /*  815407 */     // GIR_Coverage, 22124,
     /*  815407 */     GIR_EraseRootFromParent_Done,
     /*  815408 */   // Label 12582: @815408
     /*  815408 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815483), // Rule ID 22125 //
     /*  815413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815481 */     GIR_RootConstrainSelectedInstOperands,
     /*  815482 */     // GIR_Coverage, 22125,
     /*  815482 */     GIR_EraseRootFromParent_Done,
     /*  815483 */   // Label 12583: @815483
     /*  815483 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815558), // Rule ID 22128 //
     /*  815488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815556 */     GIR_RootConstrainSelectedInstOperands,
     /*  815557 */     // GIR_Coverage, 22128,
     /*  815557 */     GIR_EraseRootFromParent_Done,
     /*  815558 */   // Label 12584: @815558
     /*  815558 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815633), // Rule ID 22129 //
     /*  815563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815631 */     GIR_RootConstrainSelectedInstOperands,
     /*  815632 */     // GIR_Coverage, 22129,
     /*  815632 */     GIR_EraseRootFromParent_Done,
     /*  815633 */   // Label 12585: @815633
     /*  815633 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815708), // Rule ID 22132 //
     /*  815638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815706 */     GIR_RootConstrainSelectedInstOperands,
     /*  815707 */     // GIR_Coverage, 22132,
     /*  815707 */     GIR_EraseRootFromParent_Done,
     /*  815708 */   // Label 12586: @815708
     /*  815708 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815783), // Rule ID 22133 //
     /*  815713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815781 */     GIR_RootConstrainSelectedInstOperands,
     /*  815782 */     // GIR_Coverage, 22133,
     /*  815782 */     GIR_EraseRootFromParent_Done,
     /*  815783 */   // Label 12587: @815783
     /*  815783 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815858), // Rule ID 22136 //
     /*  815788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815856 */     GIR_RootConstrainSelectedInstOperands,
     /*  815857 */     // GIR_Coverage, 22136,
     /*  815857 */     GIR_EraseRootFromParent_Done,
     /*  815858 */   // Label 12588: @815858
     /*  815858 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815933), // Rule ID 22137 //
     /*  815863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815931 */     GIR_RootConstrainSelectedInstOperands,
     /*  815932 */     // GIR_Coverage, 22137,
     /*  815932 */     GIR_EraseRootFromParent_Done,
     /*  815933 */   // Label 12589: @815933
     /*  815933 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(816008), // Rule ID 22140 //
     /*  815938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816006 */     GIR_RootConstrainSelectedInstOperands,
     /*  816007 */     // GIR_Coverage, 22140,
     /*  816007 */     GIR_EraseRootFromParent_Done,
     /*  816008 */   // Label 12590: @816008
     /*  816008 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(816083), // Rule ID 22141 //
     /*  816013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  816062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816081 */     GIR_RootConstrainSelectedInstOperands,
     /*  816082 */     // GIR_Coverage, 22141,
     /*  816082 */     GIR_EraseRootFromParent_Done,
     /*  816083 */   // Label 12591: @816083
     /*  816083 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(816158), // Rule ID 22144 //
     /*  816088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816156 */     GIR_RootConstrainSelectedInstOperands,
     /*  816157 */     // GIR_Coverage, 22144,
     /*  816157 */     GIR_EraseRootFromParent_Done,
     /*  816158 */   // Label 12592: @816158
     /*  816158 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(816233), // Rule ID 22145 //
     /*  816163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816231 */     GIR_RootConstrainSelectedInstOperands,
     /*  816232 */     // GIR_Coverage, 22145,
     /*  816232 */     GIR_EraseRootFromParent_Done,
     /*  816233 */   // Label 12593: @816233
     /*  816233 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816308), // Rule ID 22148 //
     /*  816238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  816287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816306 */     GIR_RootConstrainSelectedInstOperands,
     /*  816307 */     // GIR_Coverage, 22148,
     /*  816307 */     GIR_EraseRootFromParent_Done,
     /*  816308 */   // Label 12594: @816308
     /*  816308 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816383), // Rule ID 22149 //
     /*  816313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  816362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816381 */     GIR_RootConstrainSelectedInstOperands,
     /*  816382 */     // GIR_Coverage, 22149,
     /*  816382 */     GIR_EraseRootFromParent_Done,
     /*  816383 */   // Label 12595: @816383
     /*  816383 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816458), // Rule ID 22152 //
     /*  816388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816456 */     GIR_RootConstrainSelectedInstOperands,
     /*  816457 */     // GIR_Coverage, 22152,
     /*  816457 */     GIR_EraseRootFromParent_Done,
     /*  816458 */   // Label 12596: @816458
     /*  816458 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816533), // Rule ID 22153 //
     /*  816463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816531 */     GIR_RootConstrainSelectedInstOperands,
     /*  816532 */     // GIR_Coverage, 22153,
     /*  816532 */     GIR_EraseRootFromParent_Done,
     /*  816533 */   // Label 12597: @816533
     /*  816533 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816608), // Rule ID 22156 //
     /*  816538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816606 */     GIR_RootConstrainSelectedInstOperands,
     /*  816607 */     // GIR_Coverage, 22156,
     /*  816607 */     GIR_EraseRootFromParent_Done,
     /*  816608 */   // Label 12598: @816608
     /*  816608 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816683), // Rule ID 22157 //
     /*  816613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816681 */     GIR_RootConstrainSelectedInstOperands,
     /*  816682 */     // GIR_Coverage, 22157,
     /*  816682 */     GIR_EraseRootFromParent_Done,
     /*  816683 */   // Label 12599: @816683
     /*  816683 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816758), // Rule ID 22160 //
     /*  816688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816756 */     GIR_RootConstrainSelectedInstOperands,
     /*  816757 */     // GIR_Coverage, 22160,
     /*  816757 */     GIR_EraseRootFromParent_Done,
     /*  816758 */   // Label 12600: @816758
     /*  816758 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816833), // Rule ID 22161 //
     /*  816763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816831 */     GIR_RootConstrainSelectedInstOperands,
     /*  816832 */     // GIR_Coverage, 22161,
     /*  816832 */     GIR_EraseRootFromParent_Done,
     /*  816833 */   // Label 12601: @816833
     /*  816833 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816908), // Rule ID 22164 //
     /*  816838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816906 */     GIR_RootConstrainSelectedInstOperands,
     /*  816907 */     // GIR_Coverage, 22164,
     /*  816907 */     GIR_EraseRootFromParent_Done,
     /*  816908 */   // Label 12602: @816908
     /*  816908 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816983), // Rule ID 22165 //
     /*  816913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816981 */     GIR_RootConstrainSelectedInstOperands,
     /*  816982 */     // GIR_Coverage, 22165,
     /*  816982 */     GIR_EraseRootFromParent_Done,
     /*  816983 */   // Label 12603: @816983
     /*  816983 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(817058), // Rule ID 22168 //
     /*  816988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817056 */     GIR_RootConstrainSelectedInstOperands,
     /*  817057 */     // GIR_Coverage, 22168,
     /*  817057 */     GIR_EraseRootFromParent_Done,
     /*  817058 */   // Label 12604: @817058
     /*  817058 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(817133), // Rule ID 22169 //
     /*  817063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817131 */     GIR_RootConstrainSelectedInstOperands,
     /*  817132 */     // GIR_Coverage, 22169,
     /*  817132 */     GIR_EraseRootFromParent_Done,
     /*  817133 */   // Label 12605: @817133
     /*  817133 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(817208), // Rule ID 22172 //
     /*  817138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817206 */     GIR_RootConstrainSelectedInstOperands,
     /*  817207 */     // GIR_Coverage, 22172,
     /*  817207 */     GIR_EraseRootFromParent_Done,
     /*  817208 */   // Label 12606: @817208
     /*  817208 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817283), // Rule ID 22173 //
     /*  817213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817281 */     GIR_RootConstrainSelectedInstOperands,
     /*  817282 */     // GIR_Coverage, 22173,
     /*  817282 */     GIR_EraseRootFromParent_Done,
     /*  817283 */   // Label 12607: @817283
     /*  817283 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817358), // Rule ID 22176 //
     /*  817288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  817337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817356 */     GIR_RootConstrainSelectedInstOperands,
     /*  817357 */     // GIR_Coverage, 22176,
     /*  817357 */     GIR_EraseRootFromParent_Done,
     /*  817358 */   // Label 12608: @817358
     /*  817358 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817433), // Rule ID 22177 //
     /*  817363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  817412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817431 */     GIR_RootConstrainSelectedInstOperands,
     /*  817432 */     // GIR_Coverage, 22177,
     /*  817432 */     GIR_EraseRootFromParent_Done,
     /*  817433 */   // Label 12609: @817433
     /*  817433 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817508), // Rule ID 22180 //
     /*  817438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817506 */     GIR_RootConstrainSelectedInstOperands,
     /*  817507 */     // GIR_Coverage, 22180,
     /*  817507 */     GIR_EraseRootFromParent_Done,
     /*  817508 */   // Label 12610: @817508
     /*  817508 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817583), // Rule ID 22181 //
     /*  817513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817581 */     GIR_RootConstrainSelectedInstOperands,
     /*  817582 */     // GIR_Coverage, 22181,
     /*  817582 */     GIR_EraseRootFromParent_Done,
     /*  817583 */   // Label 12611: @817583
     /*  817583 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817658), // Rule ID 22184 //
     /*  817588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817656 */     GIR_RootConstrainSelectedInstOperands,
     /*  817657 */     // GIR_Coverage, 22184,
     /*  817657 */     GIR_EraseRootFromParent_Done,
     /*  817658 */   // Label 12612: @817658
     /*  817658 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817733), // Rule ID 22185 //
     /*  817663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817731 */     GIR_RootConstrainSelectedInstOperands,
     /*  817732 */     // GIR_Coverage, 22185,
     /*  817732 */     GIR_EraseRootFromParent_Done,
     /*  817733 */   // Label 12613: @817733
     /*  817733 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817808), // Rule ID 22188 //
     /*  817738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817806 */     GIR_RootConstrainSelectedInstOperands,
     /*  817807 */     // GIR_Coverage, 22188,
     /*  817807 */     GIR_EraseRootFromParent_Done,
     /*  817808 */   // Label 12614: @817808
     /*  817808 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817883), // Rule ID 22189 //
     /*  817813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817881 */     GIR_RootConstrainSelectedInstOperands,
     /*  817882 */     // GIR_Coverage, 22189,
     /*  817882 */     GIR_EraseRootFromParent_Done,
     /*  817883 */   // Label 12615: @817883
     /*  817883 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817958), // Rule ID 22192 //
     /*  817888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817956 */     GIR_RootConstrainSelectedInstOperands,
     /*  817957 */     // GIR_Coverage, 22192,
     /*  817957 */     GIR_EraseRootFromParent_Done,
     /*  817958 */   // Label 12616: @817958
     /*  817958 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(818033), // Rule ID 22193 //
     /*  817963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  818012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818031 */     GIR_RootConstrainSelectedInstOperands,
     /*  818032 */     // GIR_Coverage, 22193,
     /*  818032 */     GIR_EraseRootFromParent_Done,
     /*  818033 */   // Label 12617: @818033
     /*  818033 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(818108), // Rule ID 22196 //
     /*  818038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818106 */     GIR_RootConstrainSelectedInstOperands,
     /*  818107 */     // GIR_Coverage, 22196,
     /*  818107 */     GIR_EraseRootFromParent_Done,
     /*  818108 */   // Label 12618: @818108
     /*  818108 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(818183), // Rule ID 22197 //
     /*  818113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818181 */     GIR_RootConstrainSelectedInstOperands,
     /*  818182 */     // GIR_Coverage, 22197,
     /*  818182 */     GIR_EraseRootFromParent_Done,
     /*  818183 */   // Label 12619: @818183
     /*  818183 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(818258), // Rule ID 22200 //
     /*  818188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818256 */     GIR_RootConstrainSelectedInstOperands,
     /*  818257 */     // GIR_Coverage, 22200,
     /*  818257 */     GIR_EraseRootFromParent_Done,
     /*  818258 */   // Label 12620: @818258
     /*  818258 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818333), // Rule ID 22201 //
     /*  818263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818331 */     GIR_RootConstrainSelectedInstOperands,
     /*  818332 */     // GIR_Coverage, 22201,
     /*  818332 */     GIR_EraseRootFromParent_Done,
     /*  818333 */   // Label 12621: @818333
     /*  818333 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818408), // Rule ID 22204 //
     /*  818338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818406 */     GIR_RootConstrainSelectedInstOperands,
     /*  818407 */     // GIR_Coverage, 22204,
     /*  818407 */     GIR_EraseRootFromParent_Done,
     /*  818408 */   // Label 12622: @818408
     /*  818408 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818483), // Rule ID 22205 //
     /*  818413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818481 */     GIR_RootConstrainSelectedInstOperands,
     /*  818482 */     // GIR_Coverage, 22205,
     /*  818482 */     GIR_EraseRootFromParent_Done,
     /*  818483 */   // Label 12623: @818483
     /*  818483 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818558), // Rule ID 22208 //
     /*  818488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818556 */     GIR_RootConstrainSelectedInstOperands,
     /*  818557 */     // GIR_Coverage, 22208,
     /*  818557 */     GIR_EraseRootFromParent_Done,
     /*  818558 */   // Label 12624: @818558
     /*  818558 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818633), // Rule ID 22209 //
     /*  818563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818631 */     GIR_RootConstrainSelectedInstOperands,
     /*  818632 */     // GIR_Coverage, 22209,
     /*  818632 */     GIR_EraseRootFromParent_Done,
     /*  818633 */   // Label 12625: @818633
     /*  818633 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818708), // Rule ID 22212 //
     /*  818638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818706 */     GIR_RootConstrainSelectedInstOperands,
     /*  818707 */     // GIR_Coverage, 22212,
     /*  818707 */     GIR_EraseRootFromParent_Done,
     /*  818708 */   // Label 12626: @818708
     /*  818708 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818783), // Rule ID 22213 //
     /*  818713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818781 */     GIR_RootConstrainSelectedInstOperands,
     /*  818782 */     // GIR_Coverage, 22213,
     /*  818782 */     GIR_EraseRootFromParent_Done,
     /*  818783 */   // Label 12627: @818783
     /*  818783 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818858), // Rule ID 22216 //
     /*  818788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818856 */     GIR_RootConstrainSelectedInstOperands,
     /*  818857 */     // GIR_Coverage, 22216,
     /*  818857 */     GIR_EraseRootFromParent_Done,
     /*  818858 */   // Label 12628: @818858
     /*  818858 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818933), // Rule ID 22217 //
     /*  818863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818931 */     GIR_RootConstrainSelectedInstOperands,
     /*  818932 */     // GIR_Coverage, 22217,
     /*  818932 */     GIR_EraseRootFromParent_Done,
     /*  818933 */   // Label 12629: @818933
     /*  818933 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(819008), // Rule ID 22220 //
     /*  818938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819006 */     GIR_RootConstrainSelectedInstOperands,
     /*  819007 */     // GIR_Coverage, 22220,
     /*  819007 */     GIR_EraseRootFromParent_Done,
     /*  819008 */   // Label 12630: @819008
     /*  819008 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(819083), // Rule ID 22221 //
     /*  819013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  819062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819081 */     GIR_RootConstrainSelectedInstOperands,
     /*  819082 */     // GIR_Coverage, 22221,
     /*  819082 */     GIR_EraseRootFromParent_Done,
     /*  819083 */   // Label 12631: @819083
     /*  819083 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(819158), // Rule ID 22224 //
     /*  819088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819156 */     GIR_RootConstrainSelectedInstOperands,
     /*  819157 */     // GIR_Coverage, 22224,
     /*  819157 */     GIR_EraseRootFromParent_Done,
     /*  819158 */   // Label 12632: @819158
     /*  819158 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(819233), // Rule ID 22225 //
     /*  819163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819231 */     GIR_RootConstrainSelectedInstOperands,
     /*  819232 */     // GIR_Coverage, 22225,
     /*  819232 */     GIR_EraseRootFromParent_Done,
     /*  819233 */   // Label 12633: @819233
     /*  819233 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819308), // Rule ID 22228 //
     /*  819238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  819287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819306 */     GIR_RootConstrainSelectedInstOperands,
     /*  819307 */     // GIR_Coverage, 22228,
     /*  819307 */     GIR_EraseRootFromParent_Done,
     /*  819308 */   // Label 12634: @819308
     /*  819308 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819383), // Rule ID 22229 //
     /*  819313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  819362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819381 */     GIR_RootConstrainSelectedInstOperands,
     /*  819382 */     // GIR_Coverage, 22229,
     /*  819382 */     GIR_EraseRootFromParent_Done,
     /*  819383 */   // Label 12635: @819383
     /*  819383 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819458), // Rule ID 22232 //
     /*  819388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819456 */     GIR_RootConstrainSelectedInstOperands,
     /*  819457 */     // GIR_Coverage, 22232,
     /*  819457 */     GIR_EraseRootFromParent_Done,
     /*  819458 */   // Label 12636: @819458
     /*  819458 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819533), // Rule ID 22233 //
     /*  819463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819531 */     GIR_RootConstrainSelectedInstOperands,
     /*  819532 */     // GIR_Coverage, 22233,
     /*  819532 */     GIR_EraseRootFromParent_Done,
     /*  819533 */   // Label 12637: @819533
     /*  819533 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819608), // Rule ID 22236 //
     /*  819538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819606 */     GIR_RootConstrainSelectedInstOperands,
     /*  819607 */     // GIR_Coverage, 22236,
     /*  819607 */     GIR_EraseRootFromParent_Done,
     /*  819608 */   // Label 12638: @819608
     /*  819608 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819683), // Rule ID 22237 //
     /*  819613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819681 */     GIR_RootConstrainSelectedInstOperands,
     /*  819682 */     // GIR_Coverage, 22237,
     /*  819682 */     GIR_EraseRootFromParent_Done,
     /*  819683 */   // Label 12639: @819683
     /*  819683 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819758), // Rule ID 22240 //
     /*  819688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819756 */     GIR_RootConstrainSelectedInstOperands,
     /*  819757 */     // GIR_Coverage, 22240,
     /*  819757 */     GIR_EraseRootFromParent_Done,
     /*  819758 */   // Label 12640: @819758
     /*  819758 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819833), // Rule ID 22241 //
     /*  819763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819831 */     GIR_RootConstrainSelectedInstOperands,
     /*  819832 */     // GIR_Coverage, 22241,
     /*  819832 */     GIR_EraseRootFromParent_Done,
     /*  819833 */   // Label 12641: @819833
     /*  819833 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819908), // Rule ID 22244 //
     /*  819838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819906 */     GIR_RootConstrainSelectedInstOperands,
     /*  819907 */     // GIR_Coverage, 22244,
     /*  819907 */     GIR_EraseRootFromParent_Done,
     /*  819908 */   // Label 12642: @819908
     /*  819908 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819983), // Rule ID 22245 //
     /*  819913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819981 */     GIR_RootConstrainSelectedInstOperands,
     /*  819982 */     // GIR_Coverage, 22245,
     /*  819982 */     GIR_EraseRootFromParent_Done,
     /*  819983 */   // Label 12643: @819983
     /*  819983 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(820058), // Rule ID 22248 //
     /*  819988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820056 */     GIR_RootConstrainSelectedInstOperands,
     /*  820057 */     // GIR_Coverage, 22248,
     /*  820057 */     GIR_EraseRootFromParent_Done,
     /*  820058 */   // Label 12644: @820058
     /*  820058 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(820133), // Rule ID 22249 //
     /*  820063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820131 */     GIR_RootConstrainSelectedInstOperands,
     /*  820132 */     // GIR_Coverage, 22249,
     /*  820132 */     GIR_EraseRootFromParent_Done,
     /*  820133 */   // Label 12645: @820133
     /*  820133 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820208), // Rule ID 22252 //
     /*  820138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820206 */     GIR_RootConstrainSelectedInstOperands,
     /*  820207 */     // GIR_Coverage, 22252,
     /*  820207 */     GIR_EraseRootFromParent_Done,
     /*  820208 */   // Label 12646: @820208
     /*  820208 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820283), // Rule ID 22253 //
     /*  820213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820281 */     GIR_RootConstrainSelectedInstOperands,
     /*  820282 */     // GIR_Coverage, 22253,
     /*  820282 */     GIR_EraseRootFromParent_Done,
     /*  820283 */   // Label 12647: @820283
     /*  820283 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820358), // Rule ID 22256 //
     /*  820288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  820337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820356 */     GIR_RootConstrainSelectedInstOperands,
     /*  820357 */     // GIR_Coverage, 22256,
     /*  820357 */     GIR_EraseRootFromParent_Done,
     /*  820358 */   // Label 12648: @820358
     /*  820358 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820433), // Rule ID 22257 //
     /*  820363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  820412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820431 */     GIR_RootConstrainSelectedInstOperands,
     /*  820432 */     // GIR_Coverage, 22257,
     /*  820432 */     GIR_EraseRootFromParent_Done,
     /*  820433 */   // Label 12649: @820433
     /*  820433 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820508), // Rule ID 22260 //
     /*  820438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820506 */     GIR_RootConstrainSelectedInstOperands,
     /*  820507 */     // GIR_Coverage, 22260,
     /*  820507 */     GIR_EraseRootFromParent_Done,
     /*  820508 */   // Label 12650: @820508
     /*  820508 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820583), // Rule ID 22261 //
     /*  820513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820581 */     GIR_RootConstrainSelectedInstOperands,
     /*  820582 */     // GIR_Coverage, 22261,
     /*  820582 */     GIR_EraseRootFromParent_Done,
     /*  820583 */   // Label 12651: @820583
     /*  820583 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820658), // Rule ID 22264 //
     /*  820588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820656 */     GIR_RootConstrainSelectedInstOperands,
     /*  820657 */     // GIR_Coverage, 22264,
     /*  820657 */     GIR_EraseRootFromParent_Done,
     /*  820658 */   // Label 12652: @820658
     /*  820658 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820733), // Rule ID 22265 //
     /*  820663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820731 */     GIR_RootConstrainSelectedInstOperands,
     /*  820732 */     // GIR_Coverage, 22265,
     /*  820732 */     GIR_EraseRootFromParent_Done,
     /*  820733 */   // Label 12653: @820733
     /*  820733 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820808), // Rule ID 22268 //
     /*  820738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820806 */     GIR_RootConstrainSelectedInstOperands,
     /*  820807 */     // GIR_Coverage, 22268,
     /*  820807 */     GIR_EraseRootFromParent_Done,
     /*  820808 */   // Label 12654: @820808
     /*  820808 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820883), // Rule ID 22269 //
     /*  820813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820881 */     GIR_RootConstrainSelectedInstOperands,
     /*  820882 */     // GIR_Coverage, 22269,
     /*  820882 */     GIR_EraseRootFromParent_Done,
     /*  820883 */   // Label 12655: @820883
     /*  820883 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820958), // Rule ID 22272 //
     /*  820888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820956 */     GIR_RootConstrainSelectedInstOperands,
     /*  820957 */     // GIR_Coverage, 22272,
     /*  820957 */     GIR_EraseRootFromParent_Done,
     /*  820958 */   // Label 12656: @820958
     /*  820958 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(821033), // Rule ID 22273 //
     /*  820963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  821012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821031 */     GIR_RootConstrainSelectedInstOperands,
     /*  821032 */     // GIR_Coverage, 22273,
     /*  821032 */     GIR_EraseRootFromParent_Done,
     /*  821033 */   // Label 12657: @821033
     /*  821033 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(821108), // Rule ID 22276 //
     /*  821038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821106 */     GIR_RootConstrainSelectedInstOperands,
     /*  821107 */     // GIR_Coverage, 22276,
     /*  821107 */     GIR_EraseRootFromParent_Done,
     /*  821108 */   // Label 12658: @821108
     /*  821108 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821183), // Rule ID 22277 //
     /*  821113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821181 */     GIR_RootConstrainSelectedInstOperands,
     /*  821182 */     // GIR_Coverage, 22277,
     /*  821182 */     GIR_EraseRootFromParent_Done,
     /*  821183 */   // Label 12659: @821183
     /*  821183 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821258), // Rule ID 22280 //
     /*  821188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821256 */     GIR_RootConstrainSelectedInstOperands,
     /*  821257 */     // GIR_Coverage, 22280,
     /*  821257 */     GIR_EraseRootFromParent_Done,
     /*  821258 */   // Label 12660: @821258
     /*  821258 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821333), // Rule ID 22281 //
     /*  821263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821331 */     GIR_RootConstrainSelectedInstOperands,
     /*  821332 */     // GIR_Coverage, 22281,
     /*  821332 */     GIR_EraseRootFromParent_Done,
     /*  821333 */   // Label 12661: @821333
     /*  821333 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821408), // Rule ID 22284 //
     /*  821338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821406 */     GIR_RootConstrainSelectedInstOperands,
     /*  821407 */     // GIR_Coverage, 22284,
     /*  821407 */     GIR_EraseRootFromParent_Done,
     /*  821408 */   // Label 12662: @821408
     /*  821408 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821483), // Rule ID 22285 //
     /*  821413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821481 */     GIR_RootConstrainSelectedInstOperands,
     /*  821482 */     // GIR_Coverage, 22285,
     /*  821482 */     GIR_EraseRootFromParent_Done,
     /*  821483 */   // Label 12663: @821483
     /*  821483 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821558), // Rule ID 22288 //
     /*  821488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821556 */     GIR_RootConstrainSelectedInstOperands,
     /*  821557 */     // GIR_Coverage, 22288,
     /*  821557 */     GIR_EraseRootFromParent_Done,
     /*  821558 */   // Label 12664: @821558
     /*  821558 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821633), // Rule ID 22289 //
     /*  821563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821631 */     GIR_RootConstrainSelectedInstOperands,
     /*  821632 */     // GIR_Coverage, 22289,
     /*  821632 */     GIR_EraseRootFromParent_Done,
     /*  821633 */   // Label 12665: @821633
     /*  821633 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821708), // Rule ID 22292 //
     /*  821638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821706 */     GIR_RootConstrainSelectedInstOperands,
     /*  821707 */     // GIR_Coverage, 22292,
     /*  821707 */     GIR_EraseRootFromParent_Done,
     /*  821708 */   // Label 12666: @821708
     /*  821708 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821783), // Rule ID 22293 //
     /*  821713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821781 */     GIR_RootConstrainSelectedInstOperands,
     /*  821782 */     // GIR_Coverage, 22293,
     /*  821782 */     GIR_EraseRootFromParent_Done,
     /*  821783 */   // Label 12667: @821783
     /*  821783 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821858), // Rule ID 22296 //
     /*  821788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821856 */     GIR_RootConstrainSelectedInstOperands,
     /*  821857 */     // GIR_Coverage, 22296,
     /*  821857 */     GIR_EraseRootFromParent_Done,
     /*  821858 */   // Label 12668: @821858
     /*  821858 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821933), // Rule ID 22297 //
     /*  821863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821931 */     GIR_RootConstrainSelectedInstOperands,
     /*  821932 */     // GIR_Coverage, 22297,
     /*  821932 */     GIR_EraseRootFromParent_Done,
     /*  821933 */   // Label 12669: @821933
     /*  821933 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(822008), // Rule ID 22300 //
     /*  821938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822006 */     GIR_RootConstrainSelectedInstOperands,
     /*  822007 */     // GIR_Coverage, 22300,
     /*  822007 */     GIR_EraseRootFromParent_Done,
     /*  822008 */   // Label 12670: @822008
     /*  822008 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(822083), // Rule ID 22301 //
     /*  822013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  822062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822081 */     GIR_RootConstrainSelectedInstOperands,
     /*  822082 */     // GIR_Coverage, 22301,
     /*  822082 */     GIR_EraseRootFromParent_Done,
     /*  822083 */   // Label 12671: @822083
     /*  822083 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822158), // Rule ID 22304 //
     /*  822088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822156 */     GIR_RootConstrainSelectedInstOperands,
     /*  822157 */     // GIR_Coverage, 22304,
     /*  822157 */     GIR_EraseRootFromParent_Done,
     /*  822158 */   // Label 12672: @822158
     /*  822158 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822233), // Rule ID 22305 //
     /*  822163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822231 */     GIR_RootConstrainSelectedInstOperands,
     /*  822232 */     // GIR_Coverage, 22305,
     /*  822232 */     GIR_EraseRootFromParent_Done,
     /*  822233 */   // Label 12673: @822233
     /*  822233 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822308), // Rule ID 22308 //
     /*  822238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  822287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822306 */     GIR_RootConstrainSelectedInstOperands,
     /*  822307 */     // GIR_Coverage, 22308,
     /*  822307 */     GIR_EraseRootFromParent_Done,
     /*  822308 */   // Label 12674: @822308
     /*  822308 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822383), // Rule ID 22309 //
     /*  822313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  822362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822381 */     GIR_RootConstrainSelectedInstOperands,
     /*  822382 */     // GIR_Coverage, 22309,
     /*  822382 */     GIR_EraseRootFromParent_Done,
     /*  822383 */   // Label 12675: @822383
     /*  822383 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822458), // Rule ID 22312 //
     /*  822388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822456 */     GIR_RootConstrainSelectedInstOperands,
     /*  822457 */     // GIR_Coverage, 22312,
     /*  822457 */     GIR_EraseRootFromParent_Done,
     /*  822458 */   // Label 12676: @822458
     /*  822458 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822533), // Rule ID 22313 //
     /*  822463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822531 */     GIR_RootConstrainSelectedInstOperands,
     /*  822532 */     // GIR_Coverage, 22313,
     /*  822532 */     GIR_EraseRootFromParent_Done,
     /*  822533 */   // Label 12677: @822533
     /*  822533 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822608), // Rule ID 22316 //
     /*  822538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822606 */     GIR_RootConstrainSelectedInstOperands,
     /*  822607 */     // GIR_Coverage, 22316,
     /*  822607 */     GIR_EraseRootFromParent_Done,
     /*  822608 */   // Label 12678: @822608
     /*  822608 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822683), // Rule ID 22317 //
     /*  822613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822681 */     GIR_RootConstrainSelectedInstOperands,
     /*  822682 */     // GIR_Coverage, 22317,
     /*  822682 */     GIR_EraseRootFromParent_Done,
     /*  822683 */   // Label 12679: @822683
     /*  822683 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822758), // Rule ID 22320 //
     /*  822688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822756 */     GIR_RootConstrainSelectedInstOperands,
     /*  822757 */     // GIR_Coverage, 22320,
     /*  822757 */     GIR_EraseRootFromParent_Done,
     /*  822758 */   // Label 12680: @822758
     /*  822758 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822833), // Rule ID 22321 //
     /*  822763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822831 */     GIR_RootConstrainSelectedInstOperands,
     /*  822832 */     // GIR_Coverage, 22321,
     /*  822832 */     GIR_EraseRootFromParent_Done,
     /*  822833 */   // Label 12681: @822833
     /*  822833 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822908), // Rule ID 22324 //
     /*  822838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822906 */     GIR_RootConstrainSelectedInstOperands,
     /*  822907 */     // GIR_Coverage, 22324,
     /*  822907 */     GIR_EraseRootFromParent_Done,
     /*  822908 */   // Label 12682: @822908
     /*  822908 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822983), // Rule ID 22325 //
     /*  822913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822981 */     GIR_RootConstrainSelectedInstOperands,
     /*  822982 */     // GIR_Coverage, 22325,
     /*  822982 */     GIR_EraseRootFromParent_Done,
     /*  822983 */   // Label 12683: @822983
     /*  822983 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(823058), // Rule ID 22328 //
     /*  822988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823056 */     GIR_RootConstrainSelectedInstOperands,
     /*  823057 */     // GIR_Coverage, 22328,
     /*  823057 */     GIR_EraseRootFromParent_Done,
     /*  823058 */   // Label 12684: @823058
     /*  823058 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823133), // Rule ID 22329 //
     /*  823063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823131 */     GIR_RootConstrainSelectedInstOperands,
     /*  823132 */     // GIR_Coverage, 22329,
     /*  823132 */     GIR_EraseRootFromParent_Done,
     /*  823133 */   // Label 12685: @823133
     /*  823133 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823208), // Rule ID 22332 //
     /*  823138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823206 */     GIR_RootConstrainSelectedInstOperands,
     /*  823207 */     // GIR_Coverage, 22332,
     /*  823207 */     GIR_EraseRootFromParent_Done,
     /*  823208 */   // Label 12686: @823208
     /*  823208 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823283), // Rule ID 22333 //
     /*  823213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823281 */     GIR_RootConstrainSelectedInstOperands,
     /*  823282 */     // GIR_Coverage, 22333,
     /*  823282 */     GIR_EraseRootFromParent_Done,
     /*  823283 */   // Label 12687: @823283
     /*  823283 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823358), // Rule ID 22336 //
     /*  823288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  823337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823356 */     GIR_RootConstrainSelectedInstOperands,
     /*  823357 */     // GIR_Coverage, 22336,
     /*  823357 */     GIR_EraseRootFromParent_Done,
     /*  823358 */   // Label 12688: @823358
     /*  823358 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823433), // Rule ID 22337 //
     /*  823363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  823412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823431 */     GIR_RootConstrainSelectedInstOperands,
     /*  823432 */     // GIR_Coverage, 22337,
     /*  823432 */     GIR_EraseRootFromParent_Done,
     /*  823433 */   // Label 12689: @823433
     /*  823433 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823508), // Rule ID 22340 //
     /*  823438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823506 */     GIR_RootConstrainSelectedInstOperands,
     /*  823507 */     // GIR_Coverage, 22340,
     /*  823507 */     GIR_EraseRootFromParent_Done,
     /*  823508 */   // Label 12690: @823508
     /*  823508 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823583), // Rule ID 22341 //
     /*  823513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823581 */     GIR_RootConstrainSelectedInstOperands,
     /*  823582 */     // GIR_Coverage, 22341,
     /*  823582 */     GIR_EraseRootFromParent_Done,
     /*  823583 */   // Label 12691: @823583
     /*  823583 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823658), // Rule ID 22344 //
     /*  823588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823656 */     GIR_RootConstrainSelectedInstOperands,
     /*  823657 */     // GIR_Coverage, 22344,
     /*  823657 */     GIR_EraseRootFromParent_Done,
     /*  823658 */   // Label 12692: @823658
     /*  823658 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823733), // Rule ID 22345 //
     /*  823663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823731 */     GIR_RootConstrainSelectedInstOperands,
     /*  823732 */     // GIR_Coverage, 22345,
     /*  823732 */     GIR_EraseRootFromParent_Done,
     /*  823733 */   // Label 12693: @823733
     /*  823733 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823808), // Rule ID 22348 //
     /*  823738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823806 */     GIR_RootConstrainSelectedInstOperands,
     /*  823807 */     // GIR_Coverage, 22348,
     /*  823807 */     GIR_EraseRootFromParent_Done,
     /*  823808 */   // Label 12694: @823808
     /*  823808 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823883), // Rule ID 22349 //
     /*  823813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823881 */     GIR_RootConstrainSelectedInstOperands,
     /*  823882 */     // GIR_Coverage, 22349,
     /*  823882 */     GIR_EraseRootFromParent_Done,
     /*  823883 */   // Label 12695: @823883
     /*  823883 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823958), // Rule ID 22352 //
     /*  823888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823956 */     GIR_RootConstrainSelectedInstOperands,
     /*  823957 */     // GIR_Coverage, 22352,
     /*  823957 */     GIR_EraseRootFromParent_Done,
     /*  823958 */   // Label 12696: @823958
     /*  823958 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(824033), // Rule ID 22353 //
     /*  823963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  824012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824031 */     GIR_RootConstrainSelectedInstOperands,
     /*  824032 */     // GIR_Coverage, 22353,
     /*  824032 */     GIR_EraseRootFromParent_Done,
     /*  824033 */   // Label 12697: @824033
     /*  824033 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(824108), // Rule ID 22356 //
     /*  824038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824106 */     GIR_RootConstrainSelectedInstOperands,
     /*  824107 */     // GIR_Coverage, 22356,
     /*  824107 */     GIR_EraseRootFromParent_Done,
     /*  824108 */   // Label 12698: @824108
     /*  824108 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824183), // Rule ID 22357 //
     /*  824113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824181 */     GIR_RootConstrainSelectedInstOperands,
     /*  824182 */     // GIR_Coverage, 22357,
     /*  824182 */     GIR_EraseRootFromParent_Done,
     /*  824183 */   // Label 12699: @824183
     /*  824183 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824258), // Rule ID 22360 //
     /*  824188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824256 */     GIR_RootConstrainSelectedInstOperands,
     /*  824257 */     // GIR_Coverage, 22360,
     /*  824257 */     GIR_EraseRootFromParent_Done,
     /*  824258 */   // Label 12700: @824258
     /*  824258 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824333), // Rule ID 22361 //
     /*  824263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824331 */     GIR_RootConstrainSelectedInstOperands,
     /*  824332 */     // GIR_Coverage, 22361,
     /*  824332 */     GIR_EraseRootFromParent_Done,
     /*  824333 */   // Label 12701: @824333
     /*  824333 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824408), // Rule ID 22364 //
     /*  824338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824406 */     GIR_RootConstrainSelectedInstOperands,
     /*  824407 */     // GIR_Coverage, 22364,
     /*  824407 */     GIR_EraseRootFromParent_Done,
     /*  824408 */   // Label 12702: @824408
     /*  824408 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824483), // Rule ID 22365 //
     /*  824413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824481 */     GIR_RootConstrainSelectedInstOperands,
     /*  824482 */     // GIR_Coverage, 22365,
     /*  824482 */     GIR_EraseRootFromParent_Done,
     /*  824483 */   // Label 12703: @824483
     /*  824483 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824558), // Rule ID 22368 //
     /*  824488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824556 */     GIR_RootConstrainSelectedInstOperands,
     /*  824557 */     // GIR_Coverage, 22368,
     /*  824557 */     GIR_EraseRootFromParent_Done,
     /*  824558 */   // Label 12704: @824558
     /*  824558 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824633), // Rule ID 22369 //
     /*  824563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824631 */     GIR_RootConstrainSelectedInstOperands,
     /*  824632 */     // GIR_Coverage, 22369,
     /*  824632 */     GIR_EraseRootFromParent_Done,
     /*  824633 */   // Label 12705: @824633
     /*  824633 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824708), // Rule ID 22372 //
     /*  824638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824706 */     GIR_RootConstrainSelectedInstOperands,
     /*  824707 */     // GIR_Coverage, 22372,
     /*  824707 */     GIR_EraseRootFromParent_Done,
     /*  824708 */   // Label 12706: @824708
     /*  824708 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824783), // Rule ID 22373 //
     /*  824713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824781 */     GIR_RootConstrainSelectedInstOperands,
     /*  824782 */     // GIR_Coverage, 22373,
     /*  824782 */     GIR_EraseRootFromParent_Done,
     /*  824783 */   // Label 12707: @824783
     /*  824783 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824858), // Rule ID 22376 //
     /*  824788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824856 */     GIR_RootConstrainSelectedInstOperands,
     /*  824857 */     // GIR_Coverage, 22376,
     /*  824857 */     GIR_EraseRootFromParent_Done,
     /*  824858 */   // Label 12708: @824858
     /*  824858 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824933), // Rule ID 22377 //
     /*  824863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824931 */     GIR_RootConstrainSelectedInstOperands,
     /*  824932 */     // GIR_Coverage, 22377,
     /*  824932 */     GIR_EraseRootFromParent_Done,
     /*  824933 */   // Label 12709: @824933
     /*  824933 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(825008), // Rule ID 22380 //
     /*  824938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825006 */     GIR_RootConstrainSelectedInstOperands,
     /*  825007 */     // GIR_Coverage, 22380,
     /*  825007 */     GIR_EraseRootFromParent_Done,
     /*  825008 */   // Label 12710: @825008
     /*  825008 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(825083), // Rule ID 22381 //
     /*  825013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  825062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825081 */     GIR_RootConstrainSelectedInstOperands,
     /*  825082 */     // GIR_Coverage, 22381,
     /*  825082 */     GIR_EraseRootFromParent_Done,
     /*  825083 */   // Label 12711: @825083
     /*  825083 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825158), // Rule ID 22384 //
     /*  825088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825156 */     GIR_RootConstrainSelectedInstOperands,
     /*  825157 */     // GIR_Coverage, 22384,
     /*  825157 */     GIR_EraseRootFromParent_Done,
     /*  825158 */   // Label 12712: @825158
     /*  825158 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825233), // Rule ID 22385 //
     /*  825163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825231 */     GIR_RootConstrainSelectedInstOperands,
     /*  825232 */     // GIR_Coverage, 22385,
     /*  825232 */     GIR_EraseRootFromParent_Done,
     /*  825233 */   // Label 12713: @825233
     /*  825233 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825308), // Rule ID 22388 //
     /*  825238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  825287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825306 */     GIR_RootConstrainSelectedInstOperands,
     /*  825307 */     // GIR_Coverage, 22388,
     /*  825307 */     GIR_EraseRootFromParent_Done,
     /*  825308 */   // Label 12714: @825308
     /*  825308 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825383), // Rule ID 22389 //
     /*  825313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  825362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825381 */     GIR_RootConstrainSelectedInstOperands,
     /*  825382 */     // GIR_Coverage, 22389,
     /*  825382 */     GIR_EraseRootFromParent_Done,
     /*  825383 */   // Label 12715: @825383
     /*  825383 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825458), // Rule ID 22392 //
     /*  825388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825456 */     GIR_RootConstrainSelectedInstOperands,
     /*  825457 */     // GIR_Coverage, 22392,
     /*  825457 */     GIR_EraseRootFromParent_Done,
     /*  825458 */   // Label 12716: @825458
     /*  825458 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825533), // Rule ID 22393 //
     /*  825463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825531 */     GIR_RootConstrainSelectedInstOperands,
     /*  825532 */     // GIR_Coverage, 22393,
     /*  825532 */     GIR_EraseRootFromParent_Done,
     /*  825533 */   // Label 12717: @825533
     /*  825533 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825608), // Rule ID 22396 //
     /*  825538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825606 */     GIR_RootConstrainSelectedInstOperands,
     /*  825607 */     // GIR_Coverage, 22396,
     /*  825607 */     GIR_EraseRootFromParent_Done,
     /*  825608 */   // Label 12718: @825608
     /*  825608 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825683), // Rule ID 22397 //
     /*  825613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825681 */     GIR_RootConstrainSelectedInstOperands,
     /*  825682 */     // GIR_Coverage, 22397,
     /*  825682 */     GIR_EraseRootFromParent_Done,
     /*  825683 */   // Label 12719: @825683
     /*  825683 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825758), // Rule ID 22400 //
     /*  825688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825756 */     GIR_RootConstrainSelectedInstOperands,
     /*  825757 */     // GIR_Coverage, 22400,
     /*  825757 */     GIR_EraseRootFromParent_Done,
     /*  825758 */   // Label 12720: @825758
     /*  825758 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825833), // Rule ID 22401 //
     /*  825763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825831 */     GIR_RootConstrainSelectedInstOperands,
     /*  825832 */     // GIR_Coverage, 22401,
     /*  825832 */     GIR_EraseRootFromParent_Done,
     /*  825833 */   // Label 12721: @825833
     /*  825833 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825908), // Rule ID 22404 //
     /*  825838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825906 */     GIR_RootConstrainSelectedInstOperands,
     /*  825907 */     // GIR_Coverage, 22404,
     /*  825907 */     GIR_EraseRootFromParent_Done,
     /*  825908 */   // Label 12722: @825908
     /*  825908 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825983), // Rule ID 22405 //
     /*  825913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825981 */     GIR_RootConstrainSelectedInstOperands,
     /*  825982 */     // GIR_Coverage, 22405,
     /*  825982 */     GIR_EraseRootFromParent_Done,
     /*  825983 */   // Label 12723: @825983
     /*  825983 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(826058), // Rule ID 22408 //
     /*  825988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826056 */     GIR_RootConstrainSelectedInstOperands,
     /*  826057 */     // GIR_Coverage, 22408,
     /*  826057 */     GIR_EraseRootFromParent_Done,
     /*  826058 */   // Label 12724: @826058
     /*  826058 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826133), // Rule ID 22409 //
     /*  826063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826131 */     GIR_RootConstrainSelectedInstOperands,
     /*  826132 */     // GIR_Coverage, 22409,
     /*  826132 */     GIR_EraseRootFromParent_Done,
     /*  826133 */   // Label 12725: @826133
     /*  826133 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826208), // Rule ID 22412 //
     /*  826138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826206 */     GIR_RootConstrainSelectedInstOperands,
     /*  826207 */     // GIR_Coverage, 22412,
     /*  826207 */     GIR_EraseRootFromParent_Done,
     /*  826208 */   // Label 12726: @826208
     /*  826208 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826283), // Rule ID 22413 //
     /*  826213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826281 */     GIR_RootConstrainSelectedInstOperands,
     /*  826282 */     // GIR_Coverage, 22413,
     /*  826282 */     GIR_EraseRootFromParent_Done,
     /*  826283 */   // Label 12727: @826283
     /*  826283 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826358), // Rule ID 22416 //
     /*  826288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  826337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826356 */     GIR_RootConstrainSelectedInstOperands,
     /*  826357 */     // GIR_Coverage, 22416,
     /*  826357 */     GIR_EraseRootFromParent_Done,
     /*  826358 */   // Label 12728: @826358
     /*  826358 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826433), // Rule ID 22417 //
     /*  826363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  826412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826431 */     GIR_RootConstrainSelectedInstOperands,
     /*  826432 */     // GIR_Coverage, 22417,
     /*  826432 */     GIR_EraseRootFromParent_Done,
     /*  826433 */   // Label 12729: @826433
     /*  826433 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826508), // Rule ID 22420 //
     /*  826438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826506 */     GIR_RootConstrainSelectedInstOperands,
     /*  826507 */     // GIR_Coverage, 22420,
     /*  826507 */     GIR_EraseRootFromParent_Done,
     /*  826508 */   // Label 12730: @826508
     /*  826508 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826583), // Rule ID 22421 //
     /*  826513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826581 */     GIR_RootConstrainSelectedInstOperands,
     /*  826582 */     // GIR_Coverage, 22421,
     /*  826582 */     GIR_EraseRootFromParent_Done,
     /*  826583 */   // Label 12731: @826583
     /*  826583 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826658), // Rule ID 22424 //
     /*  826588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826656 */     GIR_RootConstrainSelectedInstOperands,
     /*  826657 */     // GIR_Coverage, 22424,
     /*  826657 */     GIR_EraseRootFromParent_Done,
     /*  826658 */   // Label 12732: @826658
     /*  826658 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826733), // Rule ID 22425 //
     /*  826663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826731 */     GIR_RootConstrainSelectedInstOperands,
     /*  826732 */     // GIR_Coverage, 22425,
     /*  826732 */     GIR_EraseRootFromParent_Done,
     /*  826733 */   // Label 12733: @826733
     /*  826733 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826808), // Rule ID 22428 //
     /*  826738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826806 */     GIR_RootConstrainSelectedInstOperands,
     /*  826807 */     // GIR_Coverage, 22428,
     /*  826807 */     GIR_EraseRootFromParent_Done,
     /*  826808 */   // Label 12734: @826808
     /*  826808 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826883), // Rule ID 22429 //
     /*  826813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826881 */     GIR_RootConstrainSelectedInstOperands,
     /*  826882 */     // GIR_Coverage, 22429,
     /*  826882 */     GIR_EraseRootFromParent_Done,
     /*  826883 */   // Label 12735: @826883
     /*  826883 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826958), // Rule ID 22432 //
     /*  826888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826956 */     GIR_RootConstrainSelectedInstOperands,
     /*  826957 */     // GIR_Coverage, 22432,
     /*  826957 */     GIR_EraseRootFromParent_Done,
     /*  826958 */   // Label 12736: @826958
     /*  826958 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(827033), // Rule ID 22433 //
     /*  826963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  827012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827031 */     GIR_RootConstrainSelectedInstOperands,
     /*  827032 */     // GIR_Coverage, 22433,
     /*  827032 */     GIR_EraseRootFromParent_Done,
     /*  827033 */   // Label 12737: @827033
     /*  827033 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(827108), // Rule ID 22436 //
     /*  827038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827106 */     GIR_RootConstrainSelectedInstOperands,
     /*  827107 */     // GIR_Coverage, 22436,
     /*  827107 */     GIR_EraseRootFromParent_Done,
     /*  827108 */   // Label 12738: @827108
     /*  827108 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827183), // Rule ID 22437 //
     /*  827113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827181 */     GIR_RootConstrainSelectedInstOperands,
     /*  827182 */     // GIR_Coverage, 22437,
     /*  827182 */     GIR_EraseRootFromParent_Done,
     /*  827183 */   // Label 12739: @827183
     /*  827183 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827258), // Rule ID 22440 //
     /*  827188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827256 */     GIR_RootConstrainSelectedInstOperands,
     /*  827257 */     // GIR_Coverage, 22440,
     /*  827257 */     GIR_EraseRootFromParent_Done,
     /*  827258 */   // Label 12740: @827258
     /*  827258 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827333), // Rule ID 22441 //
     /*  827263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827331 */     GIR_RootConstrainSelectedInstOperands,
     /*  827332 */     // GIR_Coverage, 22441,
     /*  827332 */     GIR_EraseRootFromParent_Done,
     /*  827333 */   // Label 12741: @827333
     /*  827333 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827408), // Rule ID 22444 //
     /*  827338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827406 */     GIR_RootConstrainSelectedInstOperands,
     /*  827407 */     // GIR_Coverage, 22444,
     /*  827407 */     GIR_EraseRootFromParent_Done,
     /*  827408 */   // Label 12742: @827408
     /*  827408 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827483), // Rule ID 22445 //
     /*  827413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827481 */     GIR_RootConstrainSelectedInstOperands,
     /*  827482 */     // GIR_Coverage, 22445,
     /*  827482 */     GIR_EraseRootFromParent_Done,
     /*  827483 */   // Label 12743: @827483
     /*  827483 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827558), // Rule ID 22448 //
     /*  827488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827556 */     GIR_RootConstrainSelectedInstOperands,
     /*  827557 */     // GIR_Coverage, 22448,
     /*  827557 */     GIR_EraseRootFromParent_Done,
     /*  827558 */   // Label 12744: @827558
     /*  827558 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827633), // Rule ID 22449 //
     /*  827563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827631 */     GIR_RootConstrainSelectedInstOperands,
     /*  827632 */     // GIR_Coverage, 22449,
     /*  827632 */     GIR_EraseRootFromParent_Done,
     /*  827633 */   // Label 12745: @827633
     /*  827633 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827708), // Rule ID 22452 //
     /*  827638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827706 */     GIR_RootConstrainSelectedInstOperands,
     /*  827707 */     // GIR_Coverage, 22452,
     /*  827707 */     GIR_EraseRootFromParent_Done,
     /*  827708 */   // Label 12746: @827708
     /*  827708 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827783), // Rule ID 22453 //
     /*  827713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827781 */     GIR_RootConstrainSelectedInstOperands,
     /*  827782 */     // GIR_Coverage, 22453,
     /*  827782 */     GIR_EraseRootFromParent_Done,
     /*  827783 */   // Label 12747: @827783
     /*  827783 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827858), // Rule ID 22456 //
     /*  827788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827856 */     GIR_RootConstrainSelectedInstOperands,
     /*  827857 */     // GIR_Coverage, 22456,
     /*  827857 */     GIR_EraseRootFromParent_Done,
     /*  827858 */   // Label 12748: @827858
     /*  827858 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827933), // Rule ID 22457 //
     /*  827863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827931 */     GIR_RootConstrainSelectedInstOperands,
     /*  827932 */     // GIR_Coverage, 22457,
     /*  827932 */     GIR_EraseRootFromParent_Done,
     /*  827933 */   // Label 12749: @827933
     /*  827933 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(828008), // Rule ID 22460 //
     /*  827938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828006 */     GIR_RootConstrainSelectedInstOperands,
     /*  828007 */     // GIR_Coverage, 22460,
     /*  828007 */     GIR_EraseRootFromParent_Done,
     /*  828008 */   // Label 12750: @828008
     /*  828008 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(828083), // Rule ID 22461 //
     /*  828013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  828062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828081 */     GIR_RootConstrainSelectedInstOperands,
     /*  828082 */     // GIR_Coverage, 22461,
     /*  828082 */     GIR_EraseRootFromParent_Done,
     /*  828083 */   // Label 12751: @828083
     /*  828083 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828158), // Rule ID 22464 //
     /*  828088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828156 */     GIR_RootConstrainSelectedInstOperands,
     /*  828157 */     // GIR_Coverage, 22464,
     /*  828157 */     GIR_EraseRootFromParent_Done,
     /*  828158 */   // Label 12752: @828158
     /*  828158 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(828233), // Rule ID 22465 //
     /*  828163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828231 */     GIR_RootConstrainSelectedInstOperands,
     /*  828232 */     // GIR_Coverage, 22465,
     /*  828232 */     GIR_EraseRootFromParent_Done,
     /*  828233 */   // Label 12753: @828233
     /*  828233 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828308), // Rule ID 22468 //
     /*  828238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  828287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828306 */     GIR_RootConstrainSelectedInstOperands,
     /*  828307 */     // GIR_Coverage, 22468,
     /*  828307 */     GIR_EraseRootFromParent_Done,
     /*  828308 */   // Label 12754: @828308
     /*  828308 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828383), // Rule ID 22469 //
     /*  828313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  828362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828381 */     GIR_RootConstrainSelectedInstOperands,
     /*  828382 */     // GIR_Coverage, 22469,
     /*  828382 */     GIR_EraseRootFromParent_Done,
     /*  828383 */   // Label 12755: @828383
     /*  828383 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828458), // Rule ID 22472 //
     /*  828388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828456 */     GIR_RootConstrainSelectedInstOperands,
     /*  828457 */     // GIR_Coverage, 22472,
     /*  828457 */     GIR_EraseRootFromParent_Done,
     /*  828458 */   // Label 12756: @828458
     /*  828458 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828533), // Rule ID 22473 //
     /*  828463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828531 */     GIR_RootConstrainSelectedInstOperands,
     /*  828532 */     // GIR_Coverage, 22473,
     /*  828532 */     GIR_EraseRootFromParent_Done,
     /*  828533 */   // Label 12757: @828533
     /*  828533 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828608), // Rule ID 22476 //
     /*  828538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828606 */     GIR_RootConstrainSelectedInstOperands,
     /*  828607 */     // GIR_Coverage, 22476,
     /*  828607 */     GIR_EraseRootFromParent_Done,
     /*  828608 */   // Label 12758: @828608
     /*  828608 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828683), // Rule ID 22477 //
     /*  828613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828681 */     GIR_RootConstrainSelectedInstOperands,
     /*  828682 */     // GIR_Coverage, 22477,
     /*  828682 */     GIR_EraseRootFromParent_Done,
     /*  828683 */   // Label 12759: @828683
     /*  828683 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828758), // Rule ID 22480 //
     /*  828688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828756 */     GIR_RootConstrainSelectedInstOperands,
     /*  828757 */     // GIR_Coverage, 22480,
     /*  828757 */     GIR_EraseRootFromParent_Done,
     /*  828758 */   // Label 12760: @828758
     /*  828758 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828833), // Rule ID 22481 //
     /*  828763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828831 */     GIR_RootConstrainSelectedInstOperands,
     /*  828832 */     // GIR_Coverage, 22481,
     /*  828832 */     GIR_EraseRootFromParent_Done,
     /*  828833 */   // Label 12761: @828833
     /*  828833 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828908), // Rule ID 22484 //
     /*  828838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828906 */     GIR_RootConstrainSelectedInstOperands,
     /*  828907 */     // GIR_Coverage, 22484,
     /*  828907 */     GIR_EraseRootFromParent_Done,
     /*  828908 */   // Label 12762: @828908
     /*  828908 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828983), // Rule ID 22485 //
     /*  828913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828981 */     GIR_RootConstrainSelectedInstOperands,
     /*  828982 */     // GIR_Coverage, 22485,
     /*  828982 */     GIR_EraseRootFromParent_Done,
     /*  828983 */   // Label 12763: @828983
     /*  828983 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(829058), // Rule ID 22488 //
     /*  828988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829056 */     GIR_RootConstrainSelectedInstOperands,
     /*  829057 */     // GIR_Coverage, 22488,
     /*  829057 */     GIR_EraseRootFromParent_Done,
     /*  829058 */   // Label 12764: @829058
     /*  829058 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(829133), // Rule ID 22489 //
     /*  829063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829131 */     GIR_RootConstrainSelectedInstOperands,
     /*  829132 */     // GIR_Coverage, 22489,
     /*  829132 */     GIR_EraseRootFromParent_Done,
     /*  829133 */   // Label 12765: @829133
     /*  829133 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(829208), // Rule ID 22492 //
     /*  829138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829206 */     GIR_RootConstrainSelectedInstOperands,
     /*  829207 */     // GIR_Coverage, 22492,
     /*  829207 */     GIR_EraseRootFromParent_Done,
     /*  829208 */   // Label 12766: @829208
     /*  829208 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829283), // Rule ID 22493 //
     /*  829213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829281 */     GIR_RootConstrainSelectedInstOperands,
     /*  829282 */     // GIR_Coverage, 22493,
     /*  829282 */     GIR_EraseRootFromParent_Done,
     /*  829283 */   // Label 12767: @829283
     /*  829283 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829358), // Rule ID 22496 //
     /*  829288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  829337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829356 */     GIR_RootConstrainSelectedInstOperands,
     /*  829357 */     // GIR_Coverage, 22496,
     /*  829357 */     GIR_EraseRootFromParent_Done,
     /*  829358 */   // Label 12768: @829358
     /*  829358 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829433), // Rule ID 22497 //
     /*  829363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  829412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829431 */     GIR_RootConstrainSelectedInstOperands,
     /*  829432 */     // GIR_Coverage, 22497,
     /*  829432 */     GIR_EraseRootFromParent_Done,
     /*  829433 */   // Label 12769: @829433
     /*  829433 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829508), // Rule ID 22500 //
     /*  829438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829506 */     GIR_RootConstrainSelectedInstOperands,
     /*  829507 */     // GIR_Coverage, 22500,
     /*  829507 */     GIR_EraseRootFromParent_Done,
     /*  829508 */   // Label 12770: @829508
     /*  829508 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829583), // Rule ID 22501 //
     /*  829513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829581 */     GIR_RootConstrainSelectedInstOperands,
     /*  829582 */     // GIR_Coverage, 22501,
     /*  829582 */     GIR_EraseRootFromParent_Done,
     /*  829583 */   // Label 12771: @829583
     /*  829583 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829658), // Rule ID 22504 //
     /*  829588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829656 */     GIR_RootConstrainSelectedInstOperands,
     /*  829657 */     // GIR_Coverage, 22504,
     /*  829657 */     GIR_EraseRootFromParent_Done,
     /*  829658 */   // Label 12772: @829658
     /*  829658 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829733), // Rule ID 22505 //
     /*  829663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829731 */     GIR_RootConstrainSelectedInstOperands,
     /*  829732 */     // GIR_Coverage, 22505,
     /*  829732 */     GIR_EraseRootFromParent_Done,
     /*  829733 */   // Label 12773: @829733
     /*  829733 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829808), // Rule ID 22508 //
     /*  829738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829806 */     GIR_RootConstrainSelectedInstOperands,
     /*  829807 */     // GIR_Coverage, 22508,
     /*  829807 */     GIR_EraseRootFromParent_Done,
     /*  829808 */   // Label 12774: @829808
     /*  829808 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829883), // Rule ID 22509 //
     /*  829813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829881 */     GIR_RootConstrainSelectedInstOperands,
     /*  829882 */     // GIR_Coverage, 22509,
     /*  829882 */     GIR_EraseRootFromParent_Done,
     /*  829883 */   // Label 12775: @829883
     /*  829883 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829958), // Rule ID 22512 //
     /*  829888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829956 */     GIR_RootConstrainSelectedInstOperands,
     /*  829957 */     // GIR_Coverage, 22512,
     /*  829957 */     GIR_EraseRootFromParent_Done,
     /*  829958 */   // Label 12776: @829958
     /*  829958 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(830033), // Rule ID 22513 //
     /*  829963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  830012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830031 */     GIR_RootConstrainSelectedInstOperands,
     /*  830032 */     // GIR_Coverage, 22513,
     /*  830032 */     GIR_EraseRootFromParent_Done,
     /*  830033 */   // Label 12777: @830033
     /*  830033 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(830108), // Rule ID 22516 //
     /*  830038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830106 */     GIR_RootConstrainSelectedInstOperands,
     /*  830107 */     // GIR_Coverage, 22516,
     /*  830107 */     GIR_EraseRootFromParent_Done,
     /*  830108 */   // Label 12778: @830108
     /*  830108 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(830183), // Rule ID 22517 //
     /*  830113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830181 */     GIR_RootConstrainSelectedInstOperands,
     /*  830182 */     // GIR_Coverage, 22517,
     /*  830182 */     GIR_EraseRootFromParent_Done,
     /*  830183 */   // Label 12779: @830183
     /*  830183 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(830258), // Rule ID 22520 //
     /*  830188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830256 */     GIR_RootConstrainSelectedInstOperands,
     /*  830257 */     // GIR_Coverage, 22520,
     /*  830257 */     GIR_EraseRootFromParent_Done,
     /*  830258 */   // Label 12780: @830258
     /*  830258 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830333), // Rule ID 22521 //
     /*  830263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830331 */     GIR_RootConstrainSelectedInstOperands,
     /*  830332 */     // GIR_Coverage, 22521,
     /*  830332 */     GIR_EraseRootFromParent_Done,
     /*  830333 */   // Label 12781: @830333
     /*  830333 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830408), // Rule ID 22524 //
     /*  830338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  830355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830406 */     GIR_RootConstrainSelectedInstOperands,
     /*  830407 */     // GIR_Coverage, 22524,
     /*  830407 */     GIR_EraseRootFromParent_Done,
     /*  830408 */   // Label 12782: @830408
     /*  830408 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830483), // Rule ID 22525 //
     /*  830413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  830430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830481 */     GIR_RootConstrainSelectedInstOperands,
     /*  830482 */     // GIR_Coverage, 22525,
     /*  830482 */     GIR_EraseRootFromParent_Done,
     /*  830483 */   // Label 12783: @830483
     /*  830483 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830558), // Rule ID 22528 //
     /*  830488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830556 */     GIR_RootConstrainSelectedInstOperands,
     /*  830557 */     // GIR_Coverage, 22528,
     /*  830557 */     GIR_EraseRootFromParent_Done,
     /*  830558 */   // Label 12784: @830558
     /*  830558 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830633), // Rule ID 22529 //
     /*  830563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830631 */     GIR_RootConstrainSelectedInstOperands,
     /*  830632 */     // GIR_Coverage, 22529,
     /*  830632 */     GIR_EraseRootFromParent_Done,
     /*  830633 */   // Label 12785: @830633
     /*  830633 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830708), // Rule ID 22532 //
     /*  830638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830706 */     GIR_RootConstrainSelectedInstOperands,
     /*  830707 */     // GIR_Coverage, 22532,
     /*  830707 */     GIR_EraseRootFromParent_Done,
     /*  830708 */   // Label 12786: @830708
     /*  830708 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830783), // Rule ID 22533 //
     /*  830713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830781 */     GIR_RootConstrainSelectedInstOperands,
     /*  830782 */     // GIR_Coverage, 22533,
     /*  830782 */     GIR_EraseRootFromParent_Done,
     /*  830783 */   // Label 12787: @830783
     /*  830783 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830858), // Rule ID 22536 //
     /*  830788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830856 */     GIR_RootConstrainSelectedInstOperands,
     /*  830857 */     // GIR_Coverage, 22536,
     /*  830857 */     GIR_EraseRootFromParent_Done,
     /*  830858 */   // Label 12788: @830858
     /*  830858 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830933), // Rule ID 22537 //
     /*  830863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830931 */     GIR_RootConstrainSelectedInstOperands,
     /*  830932 */     // GIR_Coverage, 22537,
     /*  830932 */     GIR_EraseRootFromParent_Done,
     /*  830933 */   // Label 12789: @830933
     /*  830933 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(831008), // Rule ID 22540 //
     /*  830938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831006 */     GIR_RootConstrainSelectedInstOperands,
     /*  831007 */     // GIR_Coverage, 22540,
     /*  831007 */     GIR_EraseRootFromParent_Done,
     /*  831008 */   // Label 12790: @831008
     /*  831008 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(831083), // Rule ID 22541 //
     /*  831013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  831062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831081 */     GIR_RootConstrainSelectedInstOperands,
     /*  831082 */     // GIR_Coverage, 22541,
     /*  831082 */     GIR_EraseRootFromParent_Done,
     /*  831083 */   // Label 12791: @831083
     /*  831083 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(831158), // Rule ID 22544 //
     /*  831088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831156 */     GIR_RootConstrainSelectedInstOperands,
     /*  831157 */     // GIR_Coverage, 22544,
     /*  831157 */     GIR_EraseRootFromParent_Done,
     /*  831158 */   // Label 12792: @831158
     /*  831158 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(831233), // Rule ID 22545 //
     /*  831163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831231 */     GIR_RootConstrainSelectedInstOperands,
     /*  831232 */     // GIR_Coverage, 22545,
     /*  831232 */     GIR_EraseRootFromParent_Done,
     /*  831233 */   // Label 12793: @831233
     /*  831233 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831308), // Rule ID 22548 //
     /*  831238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  831287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831306 */     GIR_RootConstrainSelectedInstOperands,
     /*  831307 */     // GIR_Coverage, 22548,
     /*  831307 */     GIR_EraseRootFromParent_Done,
     /*  831308 */   // Label 12794: @831308
     /*  831308 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831383), // Rule ID 22549 //
     /*  831313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  831362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831381 */     GIR_RootConstrainSelectedInstOperands,
     /*  831382 */     // GIR_Coverage, 22549,
     /*  831382 */     GIR_EraseRootFromParent_Done,
     /*  831383 */   // Label 12795: @831383
     /*  831383 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831458), // Rule ID 22552 //
     /*  831388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831456 */     GIR_RootConstrainSelectedInstOperands,
     /*  831457 */     // GIR_Coverage, 22552,
     /*  831457 */     GIR_EraseRootFromParent_Done,
     /*  831458 */   // Label 12796: @831458
     /*  831458 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831533), // Rule ID 22553 //
     /*  831463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831531 */     GIR_RootConstrainSelectedInstOperands,
     /*  831532 */     // GIR_Coverage, 22553,
     /*  831532 */     GIR_EraseRootFromParent_Done,
     /*  831533 */   // Label 12797: @831533
     /*  831533 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831608), // Rule ID 22556 //
     /*  831538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831606 */     GIR_RootConstrainSelectedInstOperands,
     /*  831607 */     // GIR_Coverage, 22556,
     /*  831607 */     GIR_EraseRootFromParent_Done,
     /*  831608 */   // Label 12798: @831608
     /*  831608 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831683), // Rule ID 22557 //
     /*  831613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831681 */     GIR_RootConstrainSelectedInstOperands,
     /*  831682 */     // GIR_Coverage, 22557,
     /*  831682 */     GIR_EraseRootFromParent_Done,
     /*  831683 */   // Label 12799: @831683
     /*  831683 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831758), // Rule ID 22560 //
     /*  831688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831756 */     GIR_RootConstrainSelectedInstOperands,
     /*  831757 */     // GIR_Coverage, 22560,
     /*  831757 */     GIR_EraseRootFromParent_Done,
     /*  831758 */   // Label 12800: @831758
     /*  831758 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831833), // Rule ID 22561 //
     /*  831763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831831 */     GIR_RootConstrainSelectedInstOperands,
     /*  831832 */     // GIR_Coverage, 22561,
     /*  831832 */     GIR_EraseRootFromParent_Done,
     /*  831833 */   // Label 12801: @831833
     /*  831833 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831908), // Rule ID 22564 //
     /*  831838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831906 */     GIR_RootConstrainSelectedInstOperands,
     /*  831907 */     // GIR_Coverage, 22564,
     /*  831907 */     GIR_EraseRootFromParent_Done,
     /*  831908 */   // Label 12802: @831908
     /*  831908 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831983), // Rule ID 22565 //
     /*  831913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831981 */     GIR_RootConstrainSelectedInstOperands,
     /*  831982 */     // GIR_Coverage, 22565,
     /*  831982 */     GIR_EraseRootFromParent_Done,
     /*  831983 */   // Label 12803: @831983
     /*  831983 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(832058), // Rule ID 22568 //
     /*  831988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832056 */     GIR_RootConstrainSelectedInstOperands,
     /*  832057 */     // GIR_Coverage, 22568,
     /*  832057 */     GIR_EraseRootFromParent_Done,
     /*  832058 */   // Label 12804: @832058
     /*  832058 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(832133), // Rule ID 22569 //
     /*  832063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832131 */     GIR_RootConstrainSelectedInstOperands,
     /*  832132 */     // GIR_Coverage, 22569,
     /*  832132 */     GIR_EraseRootFromParent_Done,
     /*  832133 */   // Label 12805: @832133
     /*  832133 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(832208), // Rule ID 22572 //
     /*  832138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832206 */     GIR_RootConstrainSelectedInstOperands,
     /*  832207 */     // GIR_Coverage, 22572,
     /*  832207 */     GIR_EraseRootFromParent_Done,
     /*  832208 */   // Label 12806: @832208
     /*  832208 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832283), // Rule ID 22573 //
     /*  832213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832281 */     GIR_RootConstrainSelectedInstOperands,
     /*  832282 */     // GIR_Coverage, 22573,
     /*  832282 */     GIR_EraseRootFromParent_Done,
     /*  832283 */   // Label 12807: @832283
     /*  832283 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832358), // Rule ID 22576 //
     /*  832288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  832337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832356 */     GIR_RootConstrainSelectedInstOperands,
     /*  832357 */     // GIR_Coverage, 22576,
     /*  832357 */     GIR_EraseRootFromParent_Done,
     /*  832358 */   // Label 12808: @832358
     /*  832358 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832433), // Rule ID 22577 //
     /*  832363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  832412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832431 */     GIR_RootConstrainSelectedInstOperands,
     /*  832432 */     // GIR_Coverage, 22577,
     /*  832432 */     GIR_EraseRootFromParent_Done,
     /*  832433 */   // Label 12809: @832433
     /*  832433 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832508), // Rule ID 22580 //
     /*  832438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832506 */     GIR_RootConstrainSelectedInstOperands,
     /*  832507 */     // GIR_Coverage, 22580,
     /*  832507 */     GIR_EraseRootFromParent_Done,
     /*  832508 */   // Label 12810: @832508
     /*  832508 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832583), // Rule ID 22581 //
     /*  832513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832581 */     GIR_RootConstrainSelectedInstOperands,
     /*  832582 */     // GIR_Coverage, 22581,
     /*  832582 */     GIR_EraseRootFromParent_Done,
     /*  832583 */   // Label 12811: @832583
     /*  832583 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832658), // Rule ID 22584 //
     /*  832588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832656 */     GIR_RootConstrainSelectedInstOperands,
     /*  832657 */     // GIR_Coverage, 22584,
     /*  832657 */     GIR_EraseRootFromParent_Done,
     /*  832658 */   // Label 12812: @832658
     /*  832658 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832733), // Rule ID 22585 //
     /*  832663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832731 */     GIR_RootConstrainSelectedInstOperands,
     /*  832732 */     // GIR_Coverage, 22585,
     /*  832732 */     GIR_EraseRootFromParent_Done,
     /*  832733 */   // Label 12813: @832733
     /*  832733 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832808), // Rule ID 22588 //
     /*  832738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832806 */     GIR_RootConstrainSelectedInstOperands,
     /*  832807 */     // GIR_Coverage, 22588,
     /*  832807 */     GIR_EraseRootFromParent_Done,
     /*  832808 */   // Label 12814: @832808
     /*  832808 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832883), // Rule ID 22589 //
     /*  832813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832881 */     GIR_RootConstrainSelectedInstOperands,
     /*  832882 */     // GIR_Coverage, 22589,
     /*  832882 */     GIR_EraseRootFromParent_Done,
     /*  832883 */   // Label 12815: @832883
     /*  832883 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832958), // Rule ID 22592 //
     /*  832888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832956 */     GIR_RootConstrainSelectedInstOperands,
     /*  832957 */     // GIR_Coverage, 22592,
     /*  832957 */     GIR_EraseRootFromParent_Done,
     /*  832958 */   // Label 12816: @832958
     /*  832958 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(833033), // Rule ID 22593 //
     /*  832963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  833012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833031 */     GIR_RootConstrainSelectedInstOperands,
     /*  833032 */     // GIR_Coverage, 22593,
     /*  833032 */     GIR_EraseRootFromParent_Done,
     /*  833033 */   // Label 12817: @833033
     /*  833033 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(833108), // Rule ID 22596 //
     /*  833038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833106 */     GIR_RootConstrainSelectedInstOperands,
     /*  833107 */     // GIR_Coverage, 22596,
     /*  833107 */     GIR_EraseRootFromParent_Done,
     /*  833108 */   // Label 12818: @833108
     /*  833108 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(833183), // Rule ID 22597 //
     /*  833113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833181 */     GIR_RootConstrainSelectedInstOperands,
     /*  833182 */     // GIR_Coverage, 22597,
     /*  833182 */     GIR_EraseRootFromParent_Done,
     /*  833183 */   // Label 12819: @833183
     /*  833183 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(833258), // Rule ID 22600 //
     /*  833188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833256 */     GIR_RootConstrainSelectedInstOperands,
     /*  833257 */     // GIR_Coverage, 22600,
     /*  833257 */     GIR_EraseRootFromParent_Done,
     /*  833258 */   // Label 12820: @833258
     /*  833258 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833333), // Rule ID 22601 //
     /*  833263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833331 */     GIR_RootConstrainSelectedInstOperands,
     /*  833332 */     // GIR_Coverage, 22601,
     /*  833332 */     GIR_EraseRootFromParent_Done,
     /*  833333 */   // Label 12821: @833333
     /*  833333 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833408), // Rule ID 22604 //
     /*  833338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  833355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833406 */     GIR_RootConstrainSelectedInstOperands,
     /*  833407 */     // GIR_Coverage, 22604,
     /*  833407 */     GIR_EraseRootFromParent_Done,
     /*  833408 */   // Label 12822: @833408
     /*  833408 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833483), // Rule ID 22605 //
     /*  833413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  833430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833481 */     GIR_RootConstrainSelectedInstOperands,
     /*  833482 */     // GIR_Coverage, 22605,
     /*  833482 */     GIR_EraseRootFromParent_Done,
     /*  833483 */   // Label 12823: @833483
     /*  833483 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833558), // Rule ID 22608 //
     /*  833488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833556 */     GIR_RootConstrainSelectedInstOperands,
     /*  833557 */     // GIR_Coverage, 22608,
     /*  833557 */     GIR_EraseRootFromParent_Done,
     /*  833558 */   // Label 12824: @833558
     /*  833558 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833633), // Rule ID 22609 //
     /*  833563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833631 */     GIR_RootConstrainSelectedInstOperands,
     /*  833632 */     // GIR_Coverage, 22609,
     /*  833632 */     GIR_EraseRootFromParent_Done,
     /*  833633 */   // Label 12825: @833633
     /*  833633 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833708), // Rule ID 22612 //
     /*  833638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833706 */     GIR_RootConstrainSelectedInstOperands,
     /*  833707 */     // GIR_Coverage, 22612,
     /*  833707 */     GIR_EraseRootFromParent_Done,
     /*  833708 */   // Label 12826: @833708
     /*  833708 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833783), // Rule ID 22613 //
     /*  833713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833781 */     GIR_RootConstrainSelectedInstOperands,
     /*  833782 */     // GIR_Coverage, 22613,
     /*  833782 */     GIR_EraseRootFromParent_Done,
     /*  833783 */   // Label 12827: @833783
     /*  833783 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833858), // Rule ID 22616 //
     /*  833788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833856 */     GIR_RootConstrainSelectedInstOperands,
     /*  833857 */     // GIR_Coverage, 22616,
     /*  833857 */     GIR_EraseRootFromParent_Done,
     /*  833858 */   // Label 12828: @833858
     /*  833858 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833933), // Rule ID 22617 //
     /*  833863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833931 */     GIR_RootConstrainSelectedInstOperands,
     /*  833932 */     // GIR_Coverage, 22617,
     /*  833932 */     GIR_EraseRootFromParent_Done,
     /*  833933 */   // Label 12829: @833933
     /*  833933 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(834008), // Rule ID 22620 //
     /*  833938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834006 */     GIR_RootConstrainSelectedInstOperands,
     /*  834007 */     // GIR_Coverage, 22620,
     /*  834007 */     GIR_EraseRootFromParent_Done,
     /*  834008 */   // Label 12830: @834008
     /*  834008 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(834083), // Rule ID 22621 //
     /*  834013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  834062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834081 */     GIR_RootConstrainSelectedInstOperands,
     /*  834082 */     // GIR_Coverage, 22621,
     /*  834082 */     GIR_EraseRootFromParent_Done,
     /*  834083 */   // Label 12831: @834083
     /*  834083 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(834158), // Rule ID 22624 //
     /*  834088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834156 */     GIR_RootConstrainSelectedInstOperands,
     /*  834157 */     // GIR_Coverage, 22624,
     /*  834157 */     GIR_EraseRootFromParent_Done,
     /*  834158 */   // Label 12832: @834158
     /*  834158 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(834233), // Rule ID 22625 //
     /*  834163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834231 */     GIR_RootConstrainSelectedInstOperands,
     /*  834232 */     // GIR_Coverage, 22625,
     /*  834232 */     GIR_EraseRootFromParent_Done,
     /*  834233 */   // Label 12833: @834233
     /*  834233 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834308), // Rule ID 22628 //
     /*  834238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  834287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834306 */     GIR_RootConstrainSelectedInstOperands,
     /*  834307 */     // GIR_Coverage, 22628,
     /*  834307 */     GIR_EraseRootFromParent_Done,
     /*  834308 */   // Label 12834: @834308
     /*  834308 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834383), // Rule ID 22629 //
     /*  834313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  834362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834381 */     GIR_RootConstrainSelectedInstOperands,
     /*  834382 */     // GIR_Coverage, 22629,
     /*  834382 */     GIR_EraseRootFromParent_Done,
     /*  834383 */   // Label 12835: @834383
     /*  834383 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834458), // Rule ID 22632 //
     /*  834388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834456 */     GIR_RootConstrainSelectedInstOperands,
     /*  834457 */     // GIR_Coverage, 22632,
     /*  834457 */     GIR_EraseRootFromParent_Done,
     /*  834458 */   // Label 12836: @834458
     /*  834458 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834533), // Rule ID 22633 //
     /*  834463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834531 */     GIR_RootConstrainSelectedInstOperands,
     /*  834532 */     // GIR_Coverage, 22633,
     /*  834532 */     GIR_EraseRootFromParent_Done,
     /*  834533 */   // Label 12837: @834533
     /*  834533 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834608), // Rule ID 22636 //
     /*  834538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834606 */     GIR_RootConstrainSelectedInstOperands,
     /*  834607 */     // GIR_Coverage, 22636,
     /*  834607 */     GIR_EraseRootFromParent_Done,
     /*  834608 */   // Label 12838: @834608
     /*  834608 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834683), // Rule ID 22637 //
     /*  834613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834681 */     GIR_RootConstrainSelectedInstOperands,
     /*  834682 */     // GIR_Coverage, 22637,
     /*  834682 */     GIR_EraseRootFromParent_Done,
     /*  834683 */   // Label 12839: @834683
     /*  834683 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834758), // Rule ID 22640 //
     /*  834688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834756 */     GIR_RootConstrainSelectedInstOperands,
     /*  834757 */     // GIR_Coverage, 22640,
     /*  834757 */     GIR_EraseRootFromParent_Done,
     /*  834758 */   // Label 12840: @834758
     /*  834758 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834833), // Rule ID 22641 //
     /*  834763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834831 */     GIR_RootConstrainSelectedInstOperands,
     /*  834832 */     // GIR_Coverage, 22641,
     /*  834832 */     GIR_EraseRootFromParent_Done,
     /*  834833 */   // Label 12841: @834833
     /*  834833 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834908), // Rule ID 22644 //
     /*  834838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834906 */     GIR_RootConstrainSelectedInstOperands,
     /*  834907 */     // GIR_Coverage, 22644,
     /*  834907 */     GIR_EraseRootFromParent_Done,
     /*  834908 */   // Label 12842: @834908
     /*  834908 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834983), // Rule ID 22645 //
     /*  834913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834981 */     GIR_RootConstrainSelectedInstOperands,
     /*  834982 */     // GIR_Coverage, 22645,
     /*  834982 */     GIR_EraseRootFromParent_Done,
     /*  834983 */   // Label 12843: @834983
     /*  834983 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(835058), // Rule ID 22648 //
     /*  834988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835056 */     GIR_RootConstrainSelectedInstOperands,
     /*  835057 */     // GIR_Coverage, 22648,
     /*  835057 */     GIR_EraseRootFromParent_Done,
     /*  835058 */   // Label 12844: @835058
     /*  835058 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(835133), // Rule ID 22649 //
     /*  835063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835131 */     GIR_RootConstrainSelectedInstOperands,
     /*  835132 */     // GIR_Coverage, 22649,
     /*  835132 */     GIR_EraseRootFromParent_Done,
     /*  835133 */   // Label 12845: @835133
     /*  835133 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(835208), // Rule ID 22652 //
     /*  835138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835206 */     GIR_RootConstrainSelectedInstOperands,
     /*  835207 */     // GIR_Coverage, 22652,
     /*  835207 */     GIR_EraseRootFromParent_Done,
     /*  835208 */   // Label 12846: @835208
     /*  835208 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835283), // Rule ID 22653 //
     /*  835213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835281 */     GIR_RootConstrainSelectedInstOperands,
     /*  835282 */     // GIR_Coverage, 22653,
     /*  835282 */     GIR_EraseRootFromParent_Done,
     /*  835283 */   // Label 12847: @835283
     /*  835283 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835358), // Rule ID 22656 //
     /*  835288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  835337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835356 */     GIR_RootConstrainSelectedInstOperands,
     /*  835357 */     // GIR_Coverage, 22656,
     /*  835357 */     GIR_EraseRootFromParent_Done,
     /*  835358 */   // Label 12848: @835358
     /*  835358 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835433), // Rule ID 22657 //
     /*  835363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  835412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835431 */     GIR_RootConstrainSelectedInstOperands,
     /*  835432 */     // GIR_Coverage, 22657,
     /*  835432 */     GIR_EraseRootFromParent_Done,
     /*  835433 */   // Label 12849: @835433
     /*  835433 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835508), // Rule ID 22660 //
     /*  835438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835506 */     GIR_RootConstrainSelectedInstOperands,
     /*  835507 */     // GIR_Coverage, 22660,
     /*  835507 */     GIR_EraseRootFromParent_Done,
     /*  835508 */   // Label 12850: @835508
     /*  835508 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835583), // Rule ID 22661 //
     /*  835513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835581 */     GIR_RootConstrainSelectedInstOperands,
     /*  835582 */     // GIR_Coverage, 22661,
     /*  835582 */     GIR_EraseRootFromParent_Done,
     /*  835583 */   // Label 12851: @835583
     /*  835583 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835658), // Rule ID 22664 //
     /*  835588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835656 */     GIR_RootConstrainSelectedInstOperands,
     /*  835657 */     // GIR_Coverage, 22664,
     /*  835657 */     GIR_EraseRootFromParent_Done,
     /*  835658 */   // Label 12852: @835658
     /*  835658 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835733), // Rule ID 22665 //
     /*  835663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835731 */     GIR_RootConstrainSelectedInstOperands,
     /*  835732 */     // GIR_Coverage, 22665,
     /*  835732 */     GIR_EraseRootFromParent_Done,
     /*  835733 */   // Label 12853: @835733
     /*  835733 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835808), // Rule ID 22668 //
     /*  835738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835806 */     GIR_RootConstrainSelectedInstOperands,
     /*  835807 */     // GIR_Coverage, 22668,
     /*  835807 */     GIR_EraseRootFromParent_Done,
     /*  835808 */   // Label 12854: @835808
     /*  835808 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835883), // Rule ID 22669 //
     /*  835813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835881 */     GIR_RootConstrainSelectedInstOperands,
     /*  835882 */     // GIR_Coverage, 22669,
     /*  835882 */     GIR_EraseRootFromParent_Done,
     /*  835883 */   // Label 12855: @835883
     /*  835883 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835958), // Rule ID 22672 //
     /*  835888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835956 */     GIR_RootConstrainSelectedInstOperands,
     /*  835957 */     // GIR_Coverage, 22672,
     /*  835957 */     GIR_EraseRootFromParent_Done,
     /*  835958 */   // Label 12856: @835958
     /*  835958 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(836033), // Rule ID 22673 //
     /*  835963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  836012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836031 */     GIR_RootConstrainSelectedInstOperands,
     /*  836032 */     // GIR_Coverage, 22673,
     /*  836032 */     GIR_EraseRootFromParent_Done,
     /*  836033 */   // Label 12857: @836033
     /*  836033 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(836108), // Rule ID 22676 //
     /*  836038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836106 */     GIR_RootConstrainSelectedInstOperands,
     /*  836107 */     // GIR_Coverage, 22676,
     /*  836107 */     GIR_EraseRootFromParent_Done,
     /*  836108 */   // Label 12858: @836108
     /*  836108 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(836183), // Rule ID 22677 //
     /*  836113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836181 */     GIR_RootConstrainSelectedInstOperands,
     /*  836182 */     // GIR_Coverage, 22677,
     /*  836182 */     GIR_EraseRootFromParent_Done,
     /*  836183 */   // Label 12859: @836183
     /*  836183 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(836258), // Rule ID 22680 //
     /*  836188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836256 */     GIR_RootConstrainSelectedInstOperands,
     /*  836257 */     // GIR_Coverage, 22680,
     /*  836257 */     GIR_EraseRootFromParent_Done,
     /*  836258 */   // Label 12860: @836258
     /*  836258 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836333), // Rule ID 22681 //
     /*  836263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836331 */     GIR_RootConstrainSelectedInstOperands,
     /*  836332 */     // GIR_Coverage, 22681,
     /*  836332 */     GIR_EraseRootFromParent_Done,
     /*  836333 */   // Label 12861: @836333
     /*  836333 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836408), // Rule ID 22684 //
     /*  836338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  836355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836406 */     GIR_RootConstrainSelectedInstOperands,
     /*  836407 */     // GIR_Coverage, 22684,
     /*  836407 */     GIR_EraseRootFromParent_Done,
     /*  836408 */   // Label 12862: @836408
     /*  836408 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836483), // Rule ID 22685 //
     /*  836413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  836430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836481 */     GIR_RootConstrainSelectedInstOperands,
     /*  836482 */     // GIR_Coverage, 22685,
     /*  836482 */     GIR_EraseRootFromParent_Done,
     /*  836483 */   // Label 12863: @836483
     /*  836483 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836558), // Rule ID 22688 //
     /*  836488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836556 */     GIR_RootConstrainSelectedInstOperands,
     /*  836557 */     // GIR_Coverage, 22688,
     /*  836557 */     GIR_EraseRootFromParent_Done,
     /*  836558 */   // Label 12864: @836558
     /*  836558 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836633), // Rule ID 22689 //
     /*  836563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836631 */     GIR_RootConstrainSelectedInstOperands,
     /*  836632 */     // GIR_Coverage, 22689,
     /*  836632 */     GIR_EraseRootFromParent_Done,
     /*  836633 */   // Label 12865: @836633
     /*  836633 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836708), // Rule ID 22692 //
     /*  836638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836706 */     GIR_RootConstrainSelectedInstOperands,
     /*  836707 */     // GIR_Coverage, 22692,
     /*  836707 */     GIR_EraseRootFromParent_Done,
     /*  836708 */   // Label 12866: @836708
     /*  836708 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836783), // Rule ID 22693 //
     /*  836713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836781 */     GIR_RootConstrainSelectedInstOperands,
     /*  836782 */     // GIR_Coverage, 22693,
     /*  836782 */     GIR_EraseRootFromParent_Done,
     /*  836783 */   // Label 12867: @836783
     /*  836783 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836858), // Rule ID 22696 //
     /*  836788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836856 */     GIR_RootConstrainSelectedInstOperands,
     /*  836857 */     // GIR_Coverage, 22696,
     /*  836857 */     GIR_EraseRootFromParent_Done,
     /*  836858 */   // Label 12868: @836858
     /*  836858 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836933), // Rule ID 22697 //
     /*  836863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836931 */     GIR_RootConstrainSelectedInstOperands,
     /*  836932 */     // GIR_Coverage, 22697,
     /*  836932 */     GIR_EraseRootFromParent_Done,
     /*  836933 */   // Label 12869: @836933
     /*  836933 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(837008), // Rule ID 22700 //
     /*  836938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837006 */     GIR_RootConstrainSelectedInstOperands,
     /*  837007 */     // GIR_Coverage, 22700,
     /*  837007 */     GIR_EraseRootFromParent_Done,
     /*  837008 */   // Label 12870: @837008
     /*  837008 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(837083), // Rule ID 22701 //
     /*  837013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  837062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837081 */     GIR_RootConstrainSelectedInstOperands,
     /*  837082 */     // GIR_Coverage, 22701,
     /*  837082 */     GIR_EraseRootFromParent_Done,
     /*  837083 */   // Label 12871: @837083
     /*  837083 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(837158), // Rule ID 22704 //
     /*  837088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837156 */     GIR_RootConstrainSelectedInstOperands,
     /*  837157 */     // GIR_Coverage, 22704,
     /*  837157 */     GIR_EraseRootFromParent_Done,
     /*  837158 */   // Label 12872: @837158
     /*  837158 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(837233), // Rule ID 22705 //
     /*  837163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837231 */     GIR_RootConstrainSelectedInstOperands,
     /*  837232 */     // GIR_Coverage, 22705,
     /*  837232 */     GIR_EraseRootFromParent_Done,
     /*  837233 */   // Label 12873: @837233
     /*  837233 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837308), // Rule ID 22708 //
     /*  837238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  837287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837306 */     GIR_RootConstrainSelectedInstOperands,
     /*  837307 */     // GIR_Coverage, 22708,
     /*  837307 */     GIR_EraseRootFromParent_Done,
     /*  837308 */   // Label 12874: @837308
     /*  837308 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837383), // Rule ID 22709 //
     /*  837313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  837362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837381 */     GIR_RootConstrainSelectedInstOperands,
     /*  837382 */     // GIR_Coverage, 22709,
     /*  837382 */     GIR_EraseRootFromParent_Done,
     /*  837383 */   // Label 12875: @837383
     /*  837383 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837458), // Rule ID 22828 //
     /*  837388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837434 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837456 */     GIR_RootConstrainSelectedInstOperands,
     /*  837457 */     // GIR_Coverage, 22828,
     /*  837457 */     GIR_EraseRootFromParent_Done,
     /*  837458 */   // Label 12876: @837458
     /*  837458 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837533), // Rule ID 22829 //
     /*  837463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837509 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837531 */     GIR_RootConstrainSelectedInstOperands,
     /*  837532 */     // GIR_Coverage, 22829,
     /*  837532 */     GIR_EraseRootFromParent_Done,
     /*  837533 */   // Label 12877: @837533
     /*  837533 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837608), // Rule ID 22832 //
     /*  837538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837584 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837606 */     GIR_RootConstrainSelectedInstOperands,
     /*  837607 */     // GIR_Coverage, 22832,
     /*  837607 */     GIR_EraseRootFromParent_Done,
     /*  837608 */   // Label 12878: @837608
     /*  837608 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837683), // Rule ID 22833 //
     /*  837613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837659 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837681 */     GIR_RootConstrainSelectedInstOperands,
     /*  837682 */     // GIR_Coverage, 22833,
     /*  837682 */     GIR_EraseRootFromParent_Done,
     /*  837683 */   // Label 12879: @837683
     /*  837683 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837758), // Rule ID 22836 //
     /*  837688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837734 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837756 */     GIR_RootConstrainSelectedInstOperands,
     /*  837757 */     // GIR_Coverage, 22836,
     /*  837757 */     GIR_EraseRootFromParent_Done,
     /*  837758 */   // Label 12880: @837758
     /*  837758 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837833), // Rule ID 22837 //
     /*  837763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837809 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837831 */     GIR_RootConstrainSelectedInstOperands,
     /*  837832 */     // GIR_Coverage, 22837,
     /*  837832 */     GIR_EraseRootFromParent_Done,
     /*  837833 */   // Label 12881: @837833
     /*  837833 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837908), // Rule ID 22840 //
     /*  837838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837906 */     GIR_RootConstrainSelectedInstOperands,
     /*  837907 */     // GIR_Coverage, 22840,
     /*  837907 */     GIR_EraseRootFromParent_Done,
     /*  837908 */   // Label 12882: @837908
     /*  837908 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837983), // Rule ID 22841 //
     /*  837913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837959 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837981 */     GIR_RootConstrainSelectedInstOperands,
     /*  837982 */     // GIR_Coverage, 22841,
     /*  837982 */     GIR_EraseRootFromParent_Done,
     /*  837983 */   // Label 12883: @837983
     /*  837983 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(838058), // Rule ID 22844 //
     /*  837988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838034 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838056 */     GIR_RootConstrainSelectedInstOperands,
     /*  838057 */     // GIR_Coverage, 22844,
     /*  838057 */     GIR_EraseRootFromParent_Done,
     /*  838058 */   // Label 12884: @838058
     /*  838058 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(838133), // Rule ID 22845 //
     /*  838063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838131 */     GIR_RootConstrainSelectedInstOperands,
     /*  838132 */     // GIR_Coverage, 22845,
     /*  838132 */     GIR_EraseRootFromParent_Done,
     /*  838133 */   // Label 12885: @838133
     /*  838133 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(838208), // Rule ID 22848 //
     /*  838138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838206 */     GIR_RootConstrainSelectedInstOperands,
     /*  838207 */     // GIR_Coverage, 22848,
     /*  838207 */     GIR_EraseRootFromParent_Done,
     /*  838208 */   // Label 12886: @838208
     /*  838208 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838283), // Rule ID 22849 //
     /*  838213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838281 */     GIR_RootConstrainSelectedInstOperands,
     /*  838282 */     // GIR_Coverage, 22849,
     /*  838282 */     GIR_EraseRootFromParent_Done,
     /*  838283 */   // Label 12887: @838283
     /*  838283 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838358), // Rule ID 22852 //
     /*  838288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838334 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  838337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838356 */     GIR_RootConstrainSelectedInstOperands,
     /*  838357 */     // GIR_Coverage, 22852,
     /*  838357 */     GIR_EraseRootFromParent_Done,
     /*  838358 */   // Label 12888: @838358
     /*  838358 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838433), // Rule ID 22853 //
     /*  838363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838409 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  838412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838431 */     GIR_RootConstrainSelectedInstOperands,
     /*  838432 */     // GIR_Coverage, 22853,
     /*  838432 */     GIR_EraseRootFromParent_Done,
     /*  838433 */   // Label 12889: @838433
     /*  838433 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838508), // Rule ID 22856 //
     /*  838438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838506 */     GIR_RootConstrainSelectedInstOperands,
     /*  838507 */     // GIR_Coverage, 22856,
     /*  838507 */     GIR_EraseRootFromParent_Done,
     /*  838508 */   // Label 12890: @838508
     /*  838508 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838583), // Rule ID 22857 //
     /*  838513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838559 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838581 */     GIR_RootConstrainSelectedInstOperands,
     /*  838582 */     // GIR_Coverage, 22857,
     /*  838582 */     GIR_EraseRootFromParent_Done,
     /*  838583 */   // Label 12891: @838583
     /*  838583 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838658), // Rule ID 22860 //
     /*  838588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838634 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838656 */     GIR_RootConstrainSelectedInstOperands,
     /*  838657 */     // GIR_Coverage, 22860,
     /*  838657 */     GIR_EraseRootFromParent_Done,
     /*  838658 */   // Label 12892: @838658
     /*  838658 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838733), // Rule ID 22861 //
     /*  838663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838709 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838731 */     GIR_RootConstrainSelectedInstOperands,
     /*  838732 */     // GIR_Coverage, 22861,
     /*  838732 */     GIR_EraseRootFromParent_Done,
     /*  838733 */   // Label 12893: @838733
     /*  838733 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838808), // Rule ID 22864 //
     /*  838738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838806 */     GIR_RootConstrainSelectedInstOperands,
     /*  838807 */     // GIR_Coverage, 22864,
     /*  838807 */     GIR_EraseRootFromParent_Done,
     /*  838808 */   // Label 12894: @838808
     /*  838808 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838883), // Rule ID 22865 //
     /*  838813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838859 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838881 */     GIR_RootConstrainSelectedInstOperands,
     /*  838882 */     // GIR_Coverage, 22865,
     /*  838882 */     GIR_EraseRootFromParent_Done,
     /*  838883 */   // Label 12895: @838883
     /*  838883 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838958), // Rule ID 22868 //
     /*  838888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838934 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838956 */     GIR_RootConstrainSelectedInstOperands,
     /*  838957 */     // GIR_Coverage, 22868,
     /*  838957 */     GIR_EraseRootFromParent_Done,
     /*  838958 */   // Label 12896: @838958
     /*  838958 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(839033), // Rule ID 22869 //
     /*  838963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  839012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839031 */     GIR_RootConstrainSelectedInstOperands,
     /*  839032 */     // GIR_Coverage, 22869,
     /*  839032 */     GIR_EraseRootFromParent_Done,
     /*  839033 */   // Label 12897: @839033
     /*  839033 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(839108), // Rule ID 22872 //
     /*  839038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839084 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839106 */     GIR_RootConstrainSelectedInstOperands,
     /*  839107 */     // GIR_Coverage, 22872,
     /*  839107 */     GIR_EraseRootFromParent_Done,
     /*  839108 */   // Label 12898: @839108
     /*  839108 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(839183), // Rule ID 22873 //
     /*  839113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839159 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839181 */     GIR_RootConstrainSelectedInstOperands,
     /*  839182 */     // GIR_Coverage, 22873,
     /*  839182 */     GIR_EraseRootFromParent_Done,
     /*  839183 */   // Label 12899: @839183
     /*  839183 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(839258), // Rule ID 22876 //
     /*  839188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839234 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839256 */     GIR_RootConstrainSelectedInstOperands,
     /*  839257 */     // GIR_Coverage, 22876,
     /*  839257 */     GIR_EraseRootFromParent_Done,
     /*  839258 */   // Label 12900: @839258
     /*  839258 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839333), // Rule ID 22877 //
     /*  839263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839331 */     GIR_RootConstrainSelectedInstOperands,
     /*  839332 */     // GIR_Coverage, 22877,
     /*  839332 */     GIR_EraseRootFromParent_Done,
     /*  839333 */   // Label 12901: @839333
     /*  839333 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839408), // Rule ID 22880 //
     /*  839338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839384 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839406 */     GIR_RootConstrainSelectedInstOperands,
     /*  839407 */     // GIR_Coverage, 22880,
     /*  839407 */     GIR_EraseRootFromParent_Done,
     /*  839408 */   // Label 12902: @839408
     /*  839408 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839483), // Rule ID 22881 //
     /*  839413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839459 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839481 */     GIR_RootConstrainSelectedInstOperands,
     /*  839482 */     // GIR_Coverage, 22881,
     /*  839482 */     GIR_EraseRootFromParent_Done,
     /*  839483 */   // Label 12903: @839483
     /*  839483 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839558), // Rule ID 22884 //
     /*  839488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839556 */     GIR_RootConstrainSelectedInstOperands,
     /*  839557 */     // GIR_Coverage, 22884,
     /*  839557 */     GIR_EraseRootFromParent_Done,
     /*  839558 */   // Label 12904: @839558
     /*  839558 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839633), // Rule ID 22885 //
     /*  839563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839631 */     GIR_RootConstrainSelectedInstOperands,
     /*  839632 */     // GIR_Coverage, 22885,
     /*  839632 */     GIR_EraseRootFromParent_Done,
     /*  839633 */   // Label 12905: @839633
     /*  839633 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839708), // Rule ID 22888 //
     /*  839638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839706 */     GIR_RootConstrainSelectedInstOperands,
     /*  839707 */     // GIR_Coverage, 22888,
     /*  839707 */     GIR_EraseRootFromParent_Done,
     /*  839708 */   // Label 12906: @839708
     /*  839708 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839783), // Rule ID 22889 //
     /*  839713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839759 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839781 */     GIR_RootConstrainSelectedInstOperands,
     /*  839782 */     // GIR_Coverage, 22889,
     /*  839782 */     GIR_EraseRootFromParent_Done,
     /*  839783 */   // Label 12907: @839783
     /*  839783 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839858), // Rule ID 22892 //
     /*  839788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839834 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839856 */     GIR_RootConstrainSelectedInstOperands,
     /*  839857 */     // GIR_Coverage, 22892,
     /*  839857 */     GIR_EraseRootFromParent_Done,
     /*  839858 */   // Label 12908: @839858
     /*  839858 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839933), // Rule ID 22893 //
     /*  839863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839909 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839931 */     GIR_RootConstrainSelectedInstOperands,
     /*  839932 */     // GIR_Coverage, 22893,
     /*  839932 */     GIR_EraseRootFromParent_Done,
     /*  839933 */   // Label 12909: @839933
     /*  839933 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(840008), // Rule ID 22896 //
     /*  839938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840006 */     GIR_RootConstrainSelectedInstOperands,
     /*  840007 */     // GIR_Coverage, 22896,
     /*  840007 */     GIR_EraseRootFromParent_Done,
     /*  840008 */   // Label 12910: @840008
     /*  840008 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(840083), // Rule ID 22897 //
     /*  840013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  840062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840081 */     GIR_RootConstrainSelectedInstOperands,
     /*  840082 */     // GIR_Coverage, 22897,
     /*  840082 */     GIR_EraseRootFromParent_Done,
     /*  840083 */   // Label 12911: @840083
     /*  840083 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(840158), // Rule ID 22900 //
     /*  840088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840134 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840156 */     GIR_RootConstrainSelectedInstOperands,
     /*  840157 */     // GIR_Coverage, 22900,
     /*  840157 */     GIR_EraseRootFromParent_Done,
     /*  840158 */   // Label 12912: @840158
     /*  840158 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(840233), // Rule ID 22901 //
     /*  840163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840209 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840231 */     GIR_RootConstrainSelectedInstOperands,
     /*  840232 */     // GIR_Coverage, 22901,
     /*  840232 */     GIR_EraseRootFromParent_Done,
     /*  840233 */   // Label 12913: @840233
     /*  840233 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840308), // Rule ID 22904 //
     /*  840238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840284 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  840287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840306 */     GIR_RootConstrainSelectedInstOperands,
     /*  840307 */     // GIR_Coverage, 22904,
     /*  840307 */     GIR_EraseRootFromParent_Done,
     /*  840308 */   // Label 12914: @840308
     /*  840308 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840383), // Rule ID 22905 //
     /*  840313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840359 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  840362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840381 */     GIR_RootConstrainSelectedInstOperands,
     /*  840382 */     // GIR_Coverage, 22905,
     /*  840382 */     GIR_EraseRootFromParent_Done,
     /*  840383 */   // Label 12915: @840383
     /*  840383 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840458), // Rule ID 22908 //
     /*  840388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840434 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840456 */     GIR_RootConstrainSelectedInstOperands,
     /*  840457 */     // GIR_Coverage, 22908,
     /*  840457 */     GIR_EraseRootFromParent_Done,
     /*  840458 */   // Label 12916: @840458
     /*  840458 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840533), // Rule ID 22909 //
     /*  840463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840531 */     GIR_RootConstrainSelectedInstOperands,
     /*  840532 */     // GIR_Coverage, 22909,
     /*  840532 */     GIR_EraseRootFromParent_Done,
     /*  840533 */   // Label 12917: @840533
     /*  840533 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840608), // Rule ID 22912 //
     /*  840538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840584 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840606 */     GIR_RootConstrainSelectedInstOperands,
     /*  840607 */     // GIR_Coverage, 22912,
     /*  840607 */     GIR_EraseRootFromParent_Done,
     /*  840608 */   // Label 12918: @840608
     /*  840608 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840683), // Rule ID 22913 //
     /*  840613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840659 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840681 */     GIR_RootConstrainSelectedInstOperands,
     /*  840682 */     // GIR_Coverage, 22913,
     /*  840682 */     GIR_EraseRootFromParent_Done,
     /*  840683 */   // Label 12919: @840683
     /*  840683 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840758), // Rule ID 22916 //
     /*  840688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840756 */     GIR_RootConstrainSelectedInstOperands,
     /*  840757 */     // GIR_Coverage, 22916,
     /*  840757 */     GIR_EraseRootFromParent_Done,
     /*  840758 */   // Label 12920: @840758
     /*  840758 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840833), // Rule ID 22917 //
     /*  840763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840831 */     GIR_RootConstrainSelectedInstOperands,
     /*  840832 */     // GIR_Coverage, 22917,
     /*  840832 */     GIR_EraseRootFromParent_Done,
     /*  840833 */   // Label 12921: @840833
     /*  840833 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840908), // Rule ID 22920 //
     /*  840838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840906 */     GIR_RootConstrainSelectedInstOperands,
     /*  840907 */     // GIR_Coverage, 22920,
     /*  840907 */     GIR_EraseRootFromParent_Done,
     /*  840908 */   // Label 12922: @840908
     /*  840908 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840983), // Rule ID 22921 //
     /*  840913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840959 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840981 */     GIR_RootConstrainSelectedInstOperands,
     /*  840982 */     // GIR_Coverage, 22921,
     /*  840982 */     GIR_EraseRootFromParent_Done,
     /*  840983 */   // Label 12923: @840983
     /*  840983 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(841058), // Rule ID 22924 //
     /*  840988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841034 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841056 */     GIR_RootConstrainSelectedInstOperands,
     /*  841057 */     // GIR_Coverage, 22924,
     /*  841057 */     GIR_EraseRootFromParent_Done,
     /*  841058 */   // Label 12924: @841058
     /*  841058 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(841133), // Rule ID 22925 //
     /*  841063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841131 */     GIR_RootConstrainSelectedInstOperands,
     /*  841132 */     // GIR_Coverage, 22925,
     /*  841132 */     GIR_EraseRootFromParent_Done,
     /*  841133 */   // Label 12925: @841133
     /*  841133 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(841208), // Rule ID 22928 //
     /*  841138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841184 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841206 */     GIR_RootConstrainSelectedInstOperands,
     /*  841207 */     // GIR_Coverage, 22928,
     /*  841207 */     GIR_EraseRootFromParent_Done,
     /*  841208 */   // Label 12926: @841208
     /*  841208 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841283), // Rule ID 22929 //
     /*  841213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841259 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841281 */     GIR_RootConstrainSelectedInstOperands,
     /*  841282 */     // GIR_Coverage, 22929,
     /*  841282 */     GIR_EraseRootFromParent_Done,
     /*  841283 */   // Label 12927: @841283
     /*  841283 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841358), // Rule ID 22932 //
     /*  841288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  841337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841356 */     GIR_RootConstrainSelectedInstOperands,
     /*  841357 */     // GIR_Coverage, 22932,
     /*  841357 */     GIR_EraseRootFromParent_Done,
     /*  841358 */   // Label 12928: @841358
     /*  841358 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841433), // Rule ID 22933 //
     /*  841363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841409 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  841412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841431 */     GIR_RootConstrainSelectedInstOperands,
     /*  841432 */     // GIR_Coverage, 22933,
     /*  841432 */     GIR_EraseRootFromParent_Done,
     /*  841433 */   // Label 12929: @841433
     /*  841433 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841508), // Rule ID 22936 //
     /*  841438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841484 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841506 */     GIR_RootConstrainSelectedInstOperands,
     /*  841507 */     // GIR_Coverage, 22936,
     /*  841507 */     GIR_EraseRootFromParent_Done,
     /*  841508 */   // Label 12930: @841508
     /*  841508 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841583), // Rule ID 22937 //
     /*  841513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841559 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841581 */     GIR_RootConstrainSelectedInstOperands,
     /*  841582 */     // GIR_Coverage, 22937,
     /*  841582 */     GIR_EraseRootFromParent_Done,
     /*  841583 */   // Label 12931: @841583
     /*  841583 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841658), // Rule ID 22940 //
     /*  841588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841656 */     GIR_RootConstrainSelectedInstOperands,
     /*  841657 */     // GIR_Coverage, 22940,
     /*  841657 */     GIR_EraseRootFromParent_Done,
     /*  841658 */   // Label 12932: @841658
     /*  841658 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841733), // Rule ID 22941 //
     /*  841663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841731 */     GIR_RootConstrainSelectedInstOperands,
     /*  841732 */     // GIR_Coverage, 22941,
     /*  841732 */     GIR_EraseRootFromParent_Done,
     /*  841733 */   // Label 12933: @841733
     /*  841733 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841808), // Rule ID 22944 //
     /*  841738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841806 */     GIR_RootConstrainSelectedInstOperands,
     /*  841807 */     // GIR_Coverage, 22944,
     /*  841807 */     GIR_EraseRootFromParent_Done,
     /*  841808 */   // Label 12934: @841808
     /*  841808 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841883), // Rule ID 22945 //
     /*  841813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841881 */     GIR_RootConstrainSelectedInstOperands,
     /*  841882 */     // GIR_Coverage, 22945,
     /*  841882 */     GIR_EraseRootFromParent_Done,
     /*  841883 */   // Label 12935: @841883
     /*  841883 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841958), // Rule ID 23226 //
     /*  841888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841956 */     GIR_RootConstrainSelectedInstOperands,
     /*  841957 */     // GIR_Coverage, 23226,
     /*  841957 */     GIR_EraseRootFromParent_Done,
     /*  841958 */   // Label 12936: @841958
     /*  841958 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(842033), // Rule ID 23227 //
     /*  841963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  842012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842031 */     GIR_RootConstrainSelectedInstOperands,
     /*  842032 */     // GIR_Coverage, 23227,
     /*  842032 */     GIR_EraseRootFromParent_Done,
     /*  842033 */   // Label 12937: @842033
     /*  842033 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(842108), // Rule ID 23230 //
     /*  842038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842106 */     GIR_RootConstrainSelectedInstOperands,
     /*  842107 */     // GIR_Coverage, 23230,
     /*  842107 */     GIR_EraseRootFromParent_Done,
     /*  842108 */   // Label 12938: @842108
     /*  842108 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(842183), // Rule ID 23231 //
     /*  842113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842159 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842181 */     GIR_RootConstrainSelectedInstOperands,
     /*  842182 */     // GIR_Coverage, 23231,
     /*  842182 */     GIR_EraseRootFromParent_Done,
     /*  842183 */   // Label 12939: @842183
     /*  842183 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(842258), // Rule ID 23234 //
     /*  842188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842256 */     GIR_RootConstrainSelectedInstOperands,
     /*  842257 */     // GIR_Coverage, 23234,
     /*  842257 */     GIR_EraseRootFromParent_Done,
     /*  842258 */   // Label 12940: @842258
     /*  842258 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842333), // Rule ID 23235 //
     /*  842263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842331 */     GIR_RootConstrainSelectedInstOperands,
     /*  842332 */     // GIR_Coverage, 23235,
     /*  842332 */     GIR_EraseRootFromParent_Done,
     /*  842333 */   // Label 12941: @842333
     /*  842333 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842408), // Rule ID 23238 //
     /*  842338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842406 */     GIR_RootConstrainSelectedInstOperands,
     /*  842407 */     // GIR_Coverage, 23238,
     /*  842407 */     GIR_EraseRootFromParent_Done,
     /*  842408 */   // Label 12942: @842408
     /*  842408 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842483), // Rule ID 23239 //
     /*  842413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842459 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842481 */     GIR_RootConstrainSelectedInstOperands,
     /*  842482 */     // GIR_Coverage, 23239,
     /*  842482 */     GIR_EraseRootFromParent_Done,
     /*  842483 */   // Label 12943: @842483
     /*  842483 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842558), // Rule ID 23242 //
     /*  842488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842534 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842556 */     GIR_RootConstrainSelectedInstOperands,
     /*  842557 */     // GIR_Coverage, 23242,
     /*  842557 */     GIR_EraseRootFromParent_Done,
     /*  842558 */   // Label 12944: @842558
     /*  842558 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842633), // Rule ID 23243 //
     /*  842563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842609 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842631 */     GIR_RootConstrainSelectedInstOperands,
     /*  842632 */     // GIR_Coverage, 23243,
     /*  842632 */     GIR_EraseRootFromParent_Done,
     /*  842633 */   // Label 12945: @842633
     /*  842633 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842708), // Rule ID 23246 //
     /*  842638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842684 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842706 */     GIR_RootConstrainSelectedInstOperands,
     /*  842707 */     // GIR_Coverage, 23246,
     /*  842707 */     GIR_EraseRootFromParent_Done,
     /*  842708 */   // Label 12946: @842708
     /*  842708 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842783), // Rule ID 23247 //
     /*  842713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842759 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842781 */     GIR_RootConstrainSelectedInstOperands,
     /*  842782 */     // GIR_Coverage, 23247,
     /*  842782 */     GIR_EraseRootFromParent_Done,
     /*  842783 */   // Label 12947: @842783
     /*  842783 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842858), // Rule ID 23250 //
     /*  842788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842856 */     GIR_RootConstrainSelectedInstOperands,
     /*  842857 */     // GIR_Coverage, 23250,
     /*  842857 */     GIR_EraseRootFromParent_Done,
     /*  842858 */   // Label 12948: @842858
     /*  842858 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842933), // Rule ID 23251 //
     /*  842863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842931 */     GIR_RootConstrainSelectedInstOperands,
     /*  842932 */     // GIR_Coverage, 23251,
     /*  842932 */     GIR_EraseRootFromParent_Done,
     /*  842933 */   // Label 12949: @842933
     /*  842933 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(843008), // Rule ID 23254 //
     /*  842938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843006 */     GIR_RootConstrainSelectedInstOperands,
     /*  843007 */     // GIR_Coverage, 23254,
     /*  843007 */     GIR_EraseRootFromParent_Done,
     /*  843008 */   // Label 12950: @843008
     /*  843008 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(843083), // Rule ID 23255 //
     /*  843013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  843062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843081 */     GIR_RootConstrainSelectedInstOperands,
     /*  843082 */     // GIR_Coverage, 23255,
     /*  843082 */     GIR_EraseRootFromParent_Done,
     /*  843083 */   // Label 12951: @843083
     /*  843083 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(843158), // Rule ID 23258 //
     /*  843088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843134 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843156 */     GIR_RootConstrainSelectedInstOperands,
     /*  843157 */     // GIR_Coverage, 23258,
     /*  843157 */     GIR_EraseRootFromParent_Done,
     /*  843158 */   // Label 12952: @843158
     /*  843158 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(843233), // Rule ID 23259 //
     /*  843163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843231 */     GIR_RootConstrainSelectedInstOperands,
     /*  843232 */     // GIR_Coverage, 23259,
     /*  843232 */     GIR_EraseRootFromParent_Done,
     /*  843233 */   // Label 12953: @843233
     /*  843233 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843308), // Rule ID 23262 //
     /*  843238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  843287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843306 */     GIR_RootConstrainSelectedInstOperands,
     /*  843307 */     // GIR_Coverage, 23262,
     /*  843307 */     GIR_EraseRootFromParent_Done,
     /*  843308 */   // Label 12954: @843308
     /*  843308 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843383), // Rule ID 23263 //
     /*  843313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  843362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843381 */     GIR_RootConstrainSelectedInstOperands,
     /*  843382 */     // GIR_Coverage, 23263,
     /*  843382 */     GIR_EraseRootFromParent_Done,
     /*  843383 */   // Label 12955: @843383
     /*  843383 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843458), // Rule ID 23266 //
     /*  843388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843456 */     GIR_RootConstrainSelectedInstOperands,
     /*  843457 */     // GIR_Coverage, 23266,
     /*  843457 */     GIR_EraseRootFromParent_Done,
     /*  843458 */   // Label 12956: @843458
     /*  843458 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843533), // Rule ID 23267 //
     /*  843463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843509 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843531 */     GIR_RootConstrainSelectedInstOperands,
     /*  843532 */     // GIR_Coverage, 23267,
     /*  843532 */     GIR_EraseRootFromParent_Done,
     /*  843533 */   // Label 12957: @843533
     /*  843533 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843608), // Rule ID 23270 //
     /*  843538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843606 */     GIR_RootConstrainSelectedInstOperands,
     /*  843607 */     // GIR_Coverage, 23270,
     /*  843607 */     GIR_EraseRootFromParent_Done,
     /*  843608 */   // Label 12958: @843608
     /*  843608 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843683), // Rule ID 23271 //
     /*  843613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843659 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843681 */     GIR_RootConstrainSelectedInstOperands,
     /*  843682 */     // GIR_Coverage, 23271,
     /*  843682 */     GIR_EraseRootFromParent_Done,
     /*  843683 */   // Label 12959: @843683
     /*  843683 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843758), // Rule ID 23274 //
     /*  843688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843734 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843756 */     GIR_RootConstrainSelectedInstOperands,
     /*  843757 */     // GIR_Coverage, 23274,
     /*  843757 */     GIR_EraseRootFromParent_Done,
     /*  843758 */   // Label 12960: @843758
     /*  843758 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843833), // Rule ID 23275 //
     /*  843763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843809 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843831 */     GIR_RootConstrainSelectedInstOperands,
     /*  843832 */     // GIR_Coverage, 23275,
     /*  843832 */     GIR_EraseRootFromParent_Done,
     /*  843833 */   // Label 12961: @843833
     /*  843833 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843908), // Rule ID 23278 //
     /*  843838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843906 */     GIR_RootConstrainSelectedInstOperands,
     /*  843907 */     // GIR_Coverage, 23278,
     /*  843907 */     GIR_EraseRootFromParent_Done,
     /*  843908 */   // Label 12962: @843908
     /*  843908 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843983), // Rule ID 23279 //
     /*  843913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843959 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843981 */     GIR_RootConstrainSelectedInstOperands,
     /*  843982 */     // GIR_Coverage, 23279,
     /*  843982 */     GIR_EraseRootFromParent_Done,
     /*  843983 */   // Label 12963: @843983
     /*  843983 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(844058), // Rule ID 23282 //
     /*  843988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844034 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844056 */     GIR_RootConstrainSelectedInstOperands,
     /*  844057 */     // GIR_Coverage, 23282,
     /*  844057 */     GIR_EraseRootFromParent_Done,
     /*  844058 */   // Label 12964: @844058
     /*  844058 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(844133), // Rule ID 23283 //
     /*  844063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  844074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844131 */     GIR_RootConstrainSelectedInstOperands,
     /*  844132 */     // GIR_Coverage, 23283,
     /*  844132 */     GIR_EraseRootFromParent_Done,
     /*  844133 */   // Label 12965: @844133
     /*  844133 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(844208), // Rule ID 23286 //
     /*  844138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844206 */     GIR_RootConstrainSelectedInstOperands,
     /*  844207 */     // GIR_Coverage, 23286,
     /*  844207 */     GIR_EraseRootFromParent_Done,
     /*  844208 */   // Label 12966: @844208
     /*  844208 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844283), // Rule ID 23287 //
     /*  844213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844281 */     GIR_RootConstrainSelectedInstOperands,
     /*  844282 */     // GIR_Coverage, 23287,
     /*  844282 */     GIR_EraseRootFromParent_Done,
     /*  844283 */   // Label 12967: @844283
     /*  844283 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844358), // Rule ID 23290 //
     /*  844288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  844299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  844337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844356 */     GIR_RootConstrainSelectedInstOperands,
     /*  844357 */     // GIR_Coverage, 23290,
     /*  844357 */     GIR_EraseRootFromParent_Done,
     /*  844358 */   // Label 12968: @844358
     /*  844358 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844433), // Rule ID 23291 //
     /*  844363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  844374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  844412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844431 */     GIR_RootConstrainSelectedInstOperands,
     /*  844432 */     // GIR_Coverage, 23291,
     /*  844432 */     GIR_EraseRootFromParent_Done,
     /*  844433 */   // Label 12969: @844433
     /*  844433 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844508), // Rule ID 23294 //
     /*  844438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844506 */     GIR_RootConstrainSelectedInstOperands,
     /*  844507 */     // GIR_Coverage, 23294,
     /*  844507 */     GIR_EraseRootFromParent_Done,
     /*  844508 */   // Label 12970: @844508
     /*  844508 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844583), // Rule ID 23295 //
     /*  844513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844559 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844581 */     GIR_RootConstrainSelectedInstOperands,
     /*  844582 */     // GIR_Coverage, 23295,
     /*  844582 */     GIR_EraseRootFromParent_Done,
     /*  844583 */   // Label 12971: @844583
     /*  844583 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844658), // Rule ID 23298 //
     /*  844588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844634 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844656 */     GIR_RootConstrainSelectedInstOperands,
     /*  844657 */     // GIR_Coverage, 23298,
     /*  844657 */     GIR_EraseRootFromParent_Done,
     /*  844658 */   // Label 12972: @844658
     /*  844658 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844733), // Rule ID 23299 //
     /*  844663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844709 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844731 */     GIR_RootConstrainSelectedInstOperands,
     /*  844732 */     // GIR_Coverage, 23299,
     /*  844732 */     GIR_EraseRootFromParent_Done,
     /*  844733 */   // Label 12973: @844733
     /*  844733 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844808), // Rule ID 23302 //
     /*  844738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844784 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844806 */     GIR_RootConstrainSelectedInstOperands,
     /*  844807 */     // GIR_Coverage, 23302,
     /*  844807 */     GIR_EraseRootFromParent_Done,
     /*  844808 */   // Label 12974: @844808
     /*  844808 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844883), // Rule ID 23303 //
     /*  844813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844859 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844881 */     GIR_RootConstrainSelectedInstOperands,
     /*  844882 */     // GIR_Coverage, 23303,
     /*  844882 */     GIR_EraseRootFromParent_Done,
     /*  844883 */   // Label 12975: @844883
     /*  844883 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844958), // Rule ID 23844 //
     /*  844888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844956 */     GIR_RootConstrainSelectedInstOperands,
     /*  844957 */     // GIR_Coverage, 23844,
     /*  844957 */     GIR_EraseRootFromParent_Done,
     /*  844958 */   // Label 12976: @844958
     /*  844958 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(845033), // Rule ID 23845 //
     /*  844963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845009 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  845012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845031 */     GIR_RootConstrainSelectedInstOperands,
     /*  845032 */     // GIR_Coverage, 23845,
     /*  845032 */     GIR_EraseRootFromParent_Done,
     /*  845033 */   // Label 12977: @845033
     /*  845033 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(845108), // Rule ID 23848 //
     /*  845038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845106 */     GIR_RootConstrainSelectedInstOperands,
     /*  845107 */     // GIR_Coverage, 23848,
     /*  845107 */     GIR_EraseRootFromParent_Done,
     /*  845108 */   // Label 12978: @845108
     /*  845108 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(845183), // Rule ID 23849 //
     /*  845113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845181 */     GIR_RootConstrainSelectedInstOperands,
     /*  845182 */     // GIR_Coverage, 23849,
     /*  845182 */     GIR_EraseRootFromParent_Done,
     /*  845183 */   // Label 12979: @845183
     /*  845183 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(845258), // Rule ID 23852 //
     /*  845188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845256 */     GIR_RootConstrainSelectedInstOperands,
     /*  845257 */     // GIR_Coverage, 23852,
     /*  845257 */     GIR_EraseRootFromParent_Done,
     /*  845258 */   // Label 12980: @845258
     /*  845258 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845333), // Rule ID 23853 //
     /*  845263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845309 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845331 */     GIR_RootConstrainSelectedInstOperands,
     /*  845332 */     // GIR_Coverage, 23853,
     /*  845332 */     GIR_EraseRootFromParent_Done,
     /*  845333 */   // Label 12981: @845333
     /*  845333 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845408), // Rule ID 23856 //
     /*  845338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845406 */     GIR_RootConstrainSelectedInstOperands,
     /*  845407 */     // GIR_Coverage, 23856,
     /*  845407 */     GIR_EraseRootFromParent_Done,
     /*  845408 */   // Label 12982: @845408
     /*  845408 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845483), // Rule ID 23857 //
     /*  845413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845481 */     GIR_RootConstrainSelectedInstOperands,
     /*  845482 */     // GIR_Coverage, 23857,
     /*  845482 */     GIR_EraseRootFromParent_Done,
     /*  845483 */   // Label 12983: @845483
     /*  845483 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845558), // Rule ID 23860 //
     /*  845488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845556 */     GIR_RootConstrainSelectedInstOperands,
     /*  845557 */     // GIR_Coverage, 23860,
     /*  845557 */     GIR_EraseRootFromParent_Done,
     /*  845558 */   // Label 12984: @845558
     /*  845558 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845633), // Rule ID 23861 //
     /*  845563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845631 */     GIR_RootConstrainSelectedInstOperands,
     /*  845632 */     // GIR_Coverage, 23861,
     /*  845632 */     GIR_EraseRootFromParent_Done,
     /*  845633 */   // Label 12985: @845633
     /*  845633 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845708), // Rule ID 23864 //
     /*  845638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845706 */     GIR_RootConstrainSelectedInstOperands,
     /*  845707 */     // GIR_Coverage, 23864,
     /*  845707 */     GIR_EraseRootFromParent_Done,
     /*  845708 */   // Label 12986: @845708
     /*  845708 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845783), // Rule ID 23865 //
     /*  845713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845781 */     GIR_RootConstrainSelectedInstOperands,
     /*  845782 */     // GIR_Coverage, 23865,
     /*  845782 */     GIR_EraseRootFromParent_Done,
     /*  845783 */   // Label 12987: @845783
     /*  845783 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845858), // Rule ID 23868 //
     /*  845788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845856 */     GIR_RootConstrainSelectedInstOperands,
     /*  845857 */     // GIR_Coverage, 23868,
     /*  845857 */     GIR_EraseRootFromParent_Done,
     /*  845858 */   // Label 12988: @845858
     /*  845858 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845933), // Rule ID 23869 //
     /*  845863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845931 */     GIR_RootConstrainSelectedInstOperands,
     /*  845932 */     // GIR_Coverage, 23869,
     /*  845932 */     GIR_EraseRootFromParent_Done,
     /*  845933 */   // Label 12989: @845933
     /*  845933 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(846008), // Rule ID 23872 //
     /*  845938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846006 */     GIR_RootConstrainSelectedInstOperands,
     /*  846007 */     // GIR_Coverage, 23872,
     /*  846007 */     GIR_EraseRootFromParent_Done,
     /*  846008 */   // Label 12990: @846008
     /*  846008 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(846083), // Rule ID 23873 //
     /*  846013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  846024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  846027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  846030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846081 */     GIR_RootConstrainSelectedInstOperands,
     /*  846082 */     // GIR_Coverage, 23873,
     /*  846082 */     GIR_EraseRootFromParent_Done,
     /*  846083 */   // Label 12991: @846083
     /*  846083 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(846158), // Rule ID 23876 //
     /*  846088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846156 */     GIR_RootConstrainSelectedInstOperands,
     /*  846157 */     // GIR_Coverage, 23876,
     /*  846157 */     GIR_EraseRootFromParent_Done,
     /*  846158 */   // Label 12992: @846158
     /*  846158 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(846233), // Rule ID 23877 //
     /*  846163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846231 */     GIR_RootConstrainSelectedInstOperands,
     /*  846232 */     // GIR_Coverage, 23877,
     /*  846232 */     GIR_EraseRootFromParent_Done,
     /*  846233 */   // Label 12993: @846233
     /*  846233 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846308), // Rule ID 23880 //
     /*  846238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  846255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846306 */     GIR_RootConstrainSelectedInstOperands,
     /*  846307 */     // GIR_Coverage, 23880,
     /*  846307 */     GIR_EraseRootFromParent_Done,
     /*  846308 */   // Label 12994: @846308
     /*  846308 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846383), // Rule ID 23881 //
     /*  846313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  846330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846381 */     GIR_RootConstrainSelectedInstOperands,
     /*  846382 */     // GIR_Coverage, 23881,
     /*  846382 */     GIR_EraseRootFromParent_Done,
     /*  846383 */   // Label 12995: @846383
     /*  846383 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846458), // Rule ID 23884 //
     /*  846388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846456 */     GIR_RootConstrainSelectedInstOperands,
     /*  846457 */     // GIR_Coverage, 23884,
     /*  846457 */     GIR_EraseRootFromParent_Done,
     /*  846458 */   // Label 12996: @846458
     /*  846458 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846533), // Rule ID 23885 //
     /*  846463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846509 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846531 */     GIR_RootConstrainSelectedInstOperands,
     /*  846532 */     // GIR_Coverage, 23885,
     /*  846532 */     GIR_EraseRootFromParent_Done,
     /*  846533 */   // Label 12997: @846533
     /*  846533 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846608), // Rule ID 23888 //
     /*  846538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846606 */     GIR_RootConstrainSelectedInstOperands,
     /*  846607 */     // GIR_Coverage, 23888,
     /*  846607 */     GIR_EraseRootFromParent_Done,
     /*  846608 */   // Label 12998: @846608
     /*  846608 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846683), // Rule ID 23889 //
     /*  846613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846659 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846681 */     GIR_RootConstrainSelectedInstOperands,
     /*  846682 */     // GIR_Coverage, 23889,
     /*  846682 */     GIR_EraseRootFromParent_Done,
     /*  846683 */   // Label 12999: @846683
     /*  846683 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846758), // Rule ID 23892 //
     /*  846688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846734 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846756 */     GIR_RootConstrainSelectedInstOperands,
     /*  846757 */     // GIR_Coverage, 23892,
     /*  846757 */     GIR_EraseRootFromParent_Done,
     /*  846758 */   // Label 13000: @846758
     /*  846758 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846833), // Rule ID 23893 //
     /*  846763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846809 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846831 */     GIR_RootConstrainSelectedInstOperands,
     /*  846832 */     // GIR_Coverage, 23893,
     /*  846832 */     GIR_EraseRootFromParent_Done,
     /*  846833 */   // Label 13001: @846833
     /*  846833 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846908), // Rule ID 23896 //
     /*  846838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846906 */     GIR_RootConstrainSelectedInstOperands,
     /*  846907 */     // GIR_Coverage, 23896,
     /*  846907 */     GIR_EraseRootFromParent_Done,
     /*  846908 */   // Label 13002: @846908
     /*  846908 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846983), // Rule ID 23897 //
     /*  846913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846959 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846981 */     GIR_RootConstrainSelectedInstOperands,
     /*  846982 */     // GIR_Coverage, 23897,
     /*  846982 */     GIR_EraseRootFromParent_Done,
     /*  846983 */   // Label 13003: @846983
     /*  846983 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(847058), // Rule ID 23900 //
     /*  846988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847056 */     GIR_RootConstrainSelectedInstOperands,
     /*  847057 */     // GIR_Coverage, 23900,
     /*  847057 */     GIR_EraseRootFromParent_Done,
     /*  847058 */   // Label 13004: @847058
     /*  847058 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(847133), // Rule ID 23901 //
     /*  847063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  847074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847131 */     GIR_RootConstrainSelectedInstOperands,
     /*  847132 */     // GIR_Coverage, 23901,
     /*  847132 */     GIR_EraseRootFromParent_Done,
     /*  847133 */   // Label 13005: @847133
     /*  847133 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(847208), // Rule ID 23904 //
     /*  847138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847206 */     GIR_RootConstrainSelectedInstOperands,
     /*  847207 */     // GIR_Coverage, 23904,
     /*  847207 */     GIR_EraseRootFromParent_Done,
     /*  847208 */   // Label 13006: @847208
     /*  847208 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847283), // Rule ID 23905 //
     /*  847213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847281 */     GIR_RootConstrainSelectedInstOperands,
     /*  847282 */     // GIR_Coverage, 23905,
     /*  847282 */     GIR_EraseRootFromParent_Done,
     /*  847283 */   // Label 13007: @847283
     /*  847283 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847358), // Rule ID 23908 //
     /*  847288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  847299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  847302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847356 */     GIR_RootConstrainSelectedInstOperands,
     /*  847357 */     // GIR_Coverage, 23908,
     /*  847357 */     GIR_EraseRootFromParent_Done,
     /*  847358 */   // Label 13008: @847358
     /*  847358 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847433), // Rule ID 23909 //
     /*  847363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  847374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  847377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847431 */     GIR_RootConstrainSelectedInstOperands,
     /*  847432 */     // GIR_Coverage, 23909,
     /*  847432 */     GIR_EraseRootFromParent_Done,
     /*  847433 */   // Label 13009: @847433
     /*  847433 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847508), // Rule ID 23912 //
     /*  847438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847506 */     GIR_RootConstrainSelectedInstOperands,
     /*  847507 */     // GIR_Coverage, 23912,
     /*  847507 */     GIR_EraseRootFromParent_Done,
     /*  847508 */   // Label 13010: @847508
     /*  847508 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847583), // Rule ID 23913 //
     /*  847513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847581 */     GIR_RootConstrainSelectedInstOperands,
     /*  847582 */     // GIR_Coverage, 23913,
     /*  847582 */     GIR_EraseRootFromParent_Done,
     /*  847583 */   // Label 13011: @847583
     /*  847583 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847658), // Rule ID 23916 //
     /*  847588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847656 */     GIR_RootConstrainSelectedInstOperands,
     /*  847657 */     // GIR_Coverage, 23916,
     /*  847657 */     GIR_EraseRootFromParent_Done,
     /*  847658 */   // Label 13012: @847658
     /*  847658 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847733), // Rule ID 23917 //
     /*  847663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847731 */     GIR_RootConstrainSelectedInstOperands,
     /*  847732 */     // GIR_Coverage, 23917,
     /*  847732 */     GIR_EraseRootFromParent_Done,
     /*  847733 */   // Label 13013: @847733
     /*  847733 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847808), // Rule ID 23920 //
     /*  847738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847806 */     GIR_RootConstrainSelectedInstOperands,
     /*  847807 */     // GIR_Coverage, 23920,
     /*  847807 */     GIR_EraseRootFromParent_Done,
     /*  847808 */   // Label 13014: @847808
     /*  847808 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847883), // Rule ID 23921 //
     /*  847813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847881 */     GIR_RootConstrainSelectedInstOperands,
     /*  847882 */     // GIR_Coverage, 23921,
     /*  847882 */     GIR_EraseRootFromParent_Done,
     /*  847883 */   // Label 13015: @847883
     /*  847883 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847958), // Rule ID 23924 //
     /*  847888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847956 */     GIR_RootConstrainSelectedInstOperands,
     /*  847957 */     // GIR_Coverage, 23924,
     /*  847957 */     GIR_EraseRootFromParent_Done,
     /*  847958 */   // Label 13016: @847958
     /*  847958 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(848033), // Rule ID 23925 //
     /*  847963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848009 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848031 */     GIR_RootConstrainSelectedInstOperands,
     /*  848032 */     // GIR_Coverage, 23925,
     /*  848032 */     GIR_EraseRootFromParent_Done,
     /*  848033 */   // Label 13017: @848033
     /*  848033 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(848108), // Rule ID 23928 //
     /*  848038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  848041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848106 */     GIR_RootConstrainSelectedInstOperands,
     /*  848107 */     // GIR_Coverage, 23928,
     /*  848107 */     GIR_EraseRootFromParent_Done,
     /*  848108 */   // Label 13018: @848108
     /*  848108 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(848183), // Rule ID 23929 //
     /*  848113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  848116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848159 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848181 */     GIR_RootConstrainSelectedInstOperands,
     /*  848182 */     // GIR_Coverage, 23929,
     /*  848182 */     GIR_EraseRootFromParent_Done,
     /*  848183 */   // Label 13019: @848183
     /*  848183 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(848258), // Rule ID 23932 //
     /*  848188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848256 */     GIR_RootConstrainSelectedInstOperands,
     /*  848257 */     // GIR_Coverage, 23932,
     /*  848257 */     GIR_EraseRootFromParent_Done,
     /*  848258 */   // Label 13020: @848258
     /*  848258 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848333), // Rule ID 23933 //
     /*  848263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848331 */     GIR_RootConstrainSelectedInstOperands,
     /*  848332 */     // GIR_Coverage, 23933,
     /*  848332 */     GIR_EraseRootFromParent_Done,
     /*  848333 */   // Label 13021: @848333
     /*  848333 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848408), // Rule ID 23936 //
     /*  848338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  848349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  848352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  848355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848406 */     GIR_RootConstrainSelectedInstOperands,
     /*  848407 */     // GIR_Coverage, 23936,
     /*  848407 */     GIR_EraseRootFromParent_Done,
     /*  848408 */   // Label 13022: @848408
     /*  848408 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848483), // Rule ID 23937 //
     /*  848413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  848424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  848427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  848430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848481 */     GIR_RootConstrainSelectedInstOperands,
     /*  848482 */     // GIR_Coverage, 23937,
     /*  848482 */     GIR_EraseRootFromParent_Done,
     /*  848483 */   // Label 13023: @848483
     /*  848483 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848558), // Rule ID 23940 //
     /*  848488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848556 */     GIR_RootConstrainSelectedInstOperands,
     /*  848557 */     // GIR_Coverage, 23940,
     /*  848557 */     GIR_EraseRootFromParent_Done,
     /*  848558 */   // Label 13024: @848558
     /*  848558 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848633), // Rule ID 23941 //
     /*  848563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848609 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848631 */     GIR_RootConstrainSelectedInstOperands,
     /*  848632 */     // GIR_Coverage, 23941,
     /*  848632 */     GIR_EraseRootFromParent_Done,
     /*  848633 */   // Label 13025: @848633
     /*  848633 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848708), // Rule ID 23944 //
     /*  848638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848706 */     GIR_RootConstrainSelectedInstOperands,
     /*  848707 */     // GIR_Coverage, 23944,
     /*  848707 */     GIR_EraseRootFromParent_Done,
     /*  848708 */   // Label 13026: @848708
     /*  848708 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848783), // Rule ID 23945 //
     /*  848713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848759 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848781 */     GIR_RootConstrainSelectedInstOperands,
     /*  848782 */     // GIR_Coverage, 23945,
     /*  848782 */     GIR_EraseRootFromParent_Done,
     /*  848783 */   // Label 13027: @848783
     /*  848783 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848858), // Rule ID 23948 //
     /*  848788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848856 */     GIR_RootConstrainSelectedInstOperands,
     /*  848857 */     // GIR_Coverage, 23948,
     /*  848857 */     GIR_EraseRootFromParent_Done,
     /*  848858 */   // Label 13028: @848858
     /*  848858 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848933), // Rule ID 23949 //
     /*  848863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848909 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848931 */     GIR_RootConstrainSelectedInstOperands,
     /*  848932 */     // GIR_Coverage, 23949,
     /*  848932 */     GIR_EraseRootFromParent_Done,
     /*  848933 */   // Label 13029: @848933
     /*  848933 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(849008), // Rule ID 23952 //
     /*  848938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849006 */     GIR_RootConstrainSelectedInstOperands,
     /*  849007 */     // GIR_Coverage, 23952,
     /*  849007 */     GIR_EraseRootFromParent_Done,
     /*  849008 */   // Label 13030: @849008
     /*  849008 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(849083), // Rule ID 23953 //
     /*  849013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849081 */     GIR_RootConstrainSelectedInstOperands,
     /*  849082 */     // GIR_Coverage, 23953,
     /*  849082 */     GIR_EraseRootFromParent_Done,
     /*  849083 */   // Label 13031: @849083
     /*  849083 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(849158), // Rule ID 23956 //
     /*  849088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849156 */     GIR_RootConstrainSelectedInstOperands,
     /*  849157 */     // GIR_Coverage, 23956,
     /*  849157 */     GIR_EraseRootFromParent_Done,
     /*  849158 */   // Label 13032: @849158
     /*  849158 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(849233), // Rule ID 23957 //
     /*  849163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849231 */     GIR_RootConstrainSelectedInstOperands,
     /*  849232 */     // GIR_Coverage, 23957,
     /*  849232 */     GIR_EraseRootFromParent_Done,
     /*  849233 */   // Label 13033: @849233
     /*  849233 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849308), // Rule ID 23960 //
     /*  849238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  849252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849306 */     GIR_RootConstrainSelectedInstOperands,
     /*  849307 */     // GIR_Coverage, 23960,
     /*  849307 */     GIR_EraseRootFromParent_Done,
     /*  849308 */   // Label 13034: @849308
     /*  849308 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849383), // Rule ID 23961 //
     /*  849313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  849327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849381 */     GIR_RootConstrainSelectedInstOperands,
     /*  849382 */     // GIR_Coverage, 23961,
     /*  849382 */     GIR_EraseRootFromParent_Done,
     /*  849383 */   // Label 13035: @849383
     /*  849383 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849458), // Rule ID 23964 //
     /*  849388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849456 */     GIR_RootConstrainSelectedInstOperands,
     /*  849457 */     // GIR_Coverage, 23964,
     /*  849457 */     GIR_EraseRootFromParent_Done,
     /*  849458 */   // Label 13036: @849458
     /*  849458 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849533), // Rule ID 23965 //
     /*  849463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849531 */     GIR_RootConstrainSelectedInstOperands,
     /*  849532 */     // GIR_Coverage, 23965,
     /*  849532 */     GIR_EraseRootFromParent_Done,
     /*  849533 */   // Label 13037: @849533
     /*  849533 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849608), // Rule ID 23968 //
     /*  849538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849606 */     GIR_RootConstrainSelectedInstOperands,
     /*  849607 */     // GIR_Coverage, 23968,
     /*  849607 */     GIR_EraseRootFromParent_Done,
     /*  849608 */   // Label 13038: @849608
     /*  849608 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849683), // Rule ID 23969 //
     /*  849613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849681 */     GIR_RootConstrainSelectedInstOperands,
     /*  849682 */     // GIR_Coverage, 23969,
     /*  849682 */     GIR_EraseRootFromParent_Done,
     /*  849683 */   // Label 13039: @849683
     /*  849683 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849758), // Rule ID 23972 //
     /*  849688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849756 */     GIR_RootConstrainSelectedInstOperands,
     /*  849757 */     // GIR_Coverage, 23972,
     /*  849757 */     GIR_EraseRootFromParent_Done,
     /*  849758 */   // Label 13040: @849758
     /*  849758 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849833), // Rule ID 23973 //
     /*  849763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849831 */     GIR_RootConstrainSelectedInstOperands,
     /*  849832 */     // GIR_Coverage, 23973,
     /*  849832 */     GIR_EraseRootFromParent_Done,
     /*  849833 */   // Label 13041: @849833
     /*  849833 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849908), // Rule ID 23976 //
     /*  849838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849906 */     GIR_RootConstrainSelectedInstOperands,
     /*  849907 */     // GIR_Coverage, 23976,
     /*  849907 */     GIR_EraseRootFromParent_Done,
     /*  849908 */   // Label 13042: @849908
     /*  849908 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849983), // Rule ID 23977 //
     /*  849913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849959 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849981 */     GIR_RootConstrainSelectedInstOperands,
     /*  849982 */     // GIR_Coverage, 23977,
     /*  849982 */     GIR_EraseRootFromParent_Done,
     /*  849983 */   // Label 13043: @849983
     /*  849983 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(850058), // Rule ID 23980 //
     /*  849988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  849999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850056 */     GIR_RootConstrainSelectedInstOperands,
     /*  850057 */     // GIR_Coverage, 23980,
     /*  850057 */     GIR_EraseRootFromParent_Done,
     /*  850058 */   // Label 13044: @850058
     /*  850058 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(850133), // Rule ID 23981 //
     /*  850063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850109 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850131 */     GIR_RootConstrainSelectedInstOperands,
     /*  850132 */     // GIR_Coverage, 23981,
     /*  850132 */     GIR_EraseRootFromParent_Done,
     /*  850133 */   // Label 13045: @850133
     /*  850133 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(850208), // Rule ID 23984 //
     /*  850138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850206 */     GIR_RootConstrainSelectedInstOperands,
     /*  850207 */     // GIR_Coverage, 23984,
     /*  850207 */     GIR_EraseRootFromParent_Done,
     /*  850208 */   // Label 13046: @850208
     /*  850208 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850283), // Rule ID 23985 //
     /*  850213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850281 */     GIR_RootConstrainSelectedInstOperands,
     /*  850282 */     // GIR_Coverage, 23985,
     /*  850282 */     GIR_EraseRootFromParent_Done,
     /*  850283 */   // Label 13047: @850283
     /*  850283 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850358), // Rule ID 23988 //
     /*  850288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850356 */     GIR_RootConstrainSelectedInstOperands,
     /*  850357 */     // GIR_Coverage, 23988,
     /*  850357 */     GIR_EraseRootFromParent_Done,
     /*  850358 */   // Label 13048: @850358
     /*  850358 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850433), // Rule ID 23989 //
     /*  850363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850431 */     GIR_RootConstrainSelectedInstOperands,
     /*  850432 */     // GIR_Coverage, 23989,
     /*  850432 */     GIR_EraseRootFromParent_Done,
     /*  850433 */   // Label 13049: @850433
     /*  850433 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850508), // Rule ID 23992 //
     /*  850438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850506 */     GIR_RootConstrainSelectedInstOperands,
     /*  850507 */     // GIR_Coverage, 23992,
     /*  850507 */     GIR_EraseRootFromParent_Done,
     /*  850508 */   // Label 13050: @850508
     /*  850508 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850583), // Rule ID 23993 //
     /*  850513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850559 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850581 */     GIR_RootConstrainSelectedInstOperands,
     /*  850582 */     // GIR_Coverage, 23993,
     /*  850582 */     GIR_EraseRootFromParent_Done,
     /*  850583 */   // Label 13051: @850583
     /*  850583 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850658), // Rule ID 23996 //
     /*  850588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850656 */     GIR_RootConstrainSelectedInstOperands,
     /*  850657 */     // GIR_Coverage, 23996,
     /*  850657 */     GIR_EraseRootFromParent_Done,
     /*  850658 */   // Label 13052: @850658
     /*  850658 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850733), // Rule ID 23997 //
     /*  850663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850731 */     GIR_RootConstrainSelectedInstOperands,
     /*  850732 */     // GIR_Coverage, 23997,
     /*  850732 */     GIR_EraseRootFromParent_Done,
     /*  850733 */   // Label 13053: @850733
     /*  850733 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850808), // Rule ID 24000 //
     /*  850738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850806 */     GIR_RootConstrainSelectedInstOperands,
     /*  850807 */     // GIR_Coverage, 24000,
     /*  850807 */     GIR_EraseRootFromParent_Done,
     /*  850808 */   // Label 13054: @850808
     /*  850808 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850883), // Rule ID 24001 //
     /*  850813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850881 */     GIR_RootConstrainSelectedInstOperands,
     /*  850882 */     // GIR_Coverage, 24001,
     /*  850882 */     GIR_EraseRootFromParent_Done,
     /*  850883 */   // Label 13055: @850883
     /*  850883 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850958), // Rule ID 24004 //
     /*  850888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850956 */     GIR_RootConstrainSelectedInstOperands,
     /*  850957 */     // GIR_Coverage, 24004,
     /*  850957 */     GIR_EraseRootFromParent_Done,
     /*  850958 */   // Label 13056: @850958
     /*  850958 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(851033), // Rule ID 24005 //
     /*  850963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851031 */     GIR_RootConstrainSelectedInstOperands,
     /*  851032 */     // GIR_Coverage, 24005,
     /*  851032 */     GIR_EraseRootFromParent_Done,
     /*  851033 */   // Label 13057: @851033
     /*  851033 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(851108), // Rule ID 24008 //
     /*  851038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851106 */     GIR_RootConstrainSelectedInstOperands,
     /*  851107 */     // GIR_Coverage, 24008,
     /*  851107 */     GIR_EraseRootFromParent_Done,
     /*  851108 */   // Label 13058: @851108
     /*  851108 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(851183), // Rule ID 24009 //
     /*  851113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851181 */     GIR_RootConstrainSelectedInstOperands,
     /*  851182 */     // GIR_Coverage, 24009,
     /*  851182 */     GIR_EraseRootFromParent_Done,
     /*  851183 */   // Label 13059: @851183
     /*  851183 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(851258), // Rule ID 24012 //
     /*  851188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851256 */     GIR_RootConstrainSelectedInstOperands,
     /*  851257 */     // GIR_Coverage, 24012,
     /*  851257 */     GIR_EraseRootFromParent_Done,
     /*  851258 */   // Label 13060: @851258
     /*  851258 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851333), // Rule ID 24013 //
     /*  851263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851309 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851331 */     GIR_RootConstrainSelectedInstOperands,
     /*  851332 */     // GIR_Coverage, 24013,
     /*  851332 */     GIR_EraseRootFromParent_Done,
     /*  851333 */   // Label 13061: @851333
     /*  851333 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851408), // Rule ID 24016 //
     /*  851338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851406 */     GIR_RootConstrainSelectedInstOperands,
     /*  851407 */     // GIR_Coverage, 24016,
     /*  851407 */     GIR_EraseRootFromParent_Done,
     /*  851408 */   // Label 13062: @851408
     /*  851408 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851483), // Rule ID 24017 //
     /*  851413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851459 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851481 */     GIR_RootConstrainSelectedInstOperands,
     /*  851482 */     // GIR_Coverage, 24017,
     /*  851482 */     GIR_EraseRootFromParent_Done,
     /*  851483 */   // Label 13063: @851483
     /*  851483 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851558), // Rule ID 24260 //
     /*  851488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851534 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851556 */     GIR_RootConstrainSelectedInstOperands,
     /*  851557 */     // GIR_Coverage, 24260,
     /*  851557 */     GIR_EraseRootFromParent_Done,
     /*  851558 */   // Label 13064: @851558
     /*  851558 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851633), // Rule ID 24261 //
     /*  851563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851609 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851631 */     GIR_RootConstrainSelectedInstOperands,
     /*  851632 */     // GIR_Coverage, 24261,
     /*  851632 */     GIR_EraseRootFromParent_Done,
     /*  851633 */   // Label 13065: @851633
     /*  851633 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851708), // Rule ID 24264 //
     /*  851638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851706 */     GIR_RootConstrainSelectedInstOperands,
     /*  851707 */     // GIR_Coverage, 24264,
     /*  851707 */     GIR_EraseRootFromParent_Done,
     /*  851708 */   // Label 13066: @851708
     /*  851708 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851783), // Rule ID 24265 //
     /*  851713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851781 */     GIR_RootConstrainSelectedInstOperands,
     /*  851782 */     // GIR_Coverage, 24265,
     /*  851782 */     GIR_EraseRootFromParent_Done,
     /*  851783 */   // Label 13067: @851783
     /*  851783 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851858), // Rule ID 24268 //
     /*  851788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851856 */     GIR_RootConstrainSelectedInstOperands,
     /*  851857 */     // GIR_Coverage, 24268,
     /*  851857 */     GIR_EraseRootFromParent_Done,
     /*  851858 */   // Label 13068: @851858
     /*  851858 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851933), // Rule ID 24269 //
     /*  851863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851931 */     GIR_RootConstrainSelectedInstOperands,
     /*  851932 */     // GIR_Coverage, 24269,
     /*  851932 */     GIR_EraseRootFromParent_Done,
     /*  851933 */   // Label 13069: @851933
     /*  851933 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(852008), // Rule ID 24272 //
     /*  851938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852006 */     GIR_RootConstrainSelectedInstOperands,
     /*  852007 */     // GIR_Coverage, 24272,
     /*  852007 */     GIR_EraseRootFromParent_Done,
     /*  852008 */   // Label 13070: @852008
     /*  852008 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(852083), // Rule ID 24273 //
     /*  852013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852059 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  852062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852081 */     GIR_RootConstrainSelectedInstOperands,
     /*  852082 */     // GIR_Coverage, 24273,
     /*  852082 */     GIR_EraseRootFromParent_Done,
     /*  852083 */   // Label 13071: @852083
     /*  852083 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(852158), // Rule ID 24276 //
     /*  852088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852156 */     GIR_RootConstrainSelectedInstOperands,
     /*  852157 */     // GIR_Coverage, 24276,
     /*  852157 */     GIR_EraseRootFromParent_Done,
     /*  852158 */   // Label 13072: @852158
     /*  852158 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(852233), // Rule ID 24277 //
     /*  852163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852231 */     GIR_RootConstrainSelectedInstOperands,
     /*  852232 */     // GIR_Coverage, 24277,
     /*  852232 */     GIR_EraseRootFromParent_Done,
     /*  852233 */   // Label 13073: @852233
     /*  852233 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852308), // Rule ID 24280 //
     /*  852238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  852287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852306 */     GIR_RootConstrainSelectedInstOperands,
     /*  852307 */     // GIR_Coverage, 24280,
     /*  852307 */     GIR_EraseRootFromParent_Done,
     /*  852308 */   // Label 13074: @852308
     /*  852308 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852383), // Rule ID 24281 //
     /*  852313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  852362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852381 */     GIR_RootConstrainSelectedInstOperands,
     /*  852382 */     // GIR_Coverage, 24281,
     /*  852382 */     GIR_EraseRootFromParent_Done,
     /*  852383 */   // Label 13075: @852383
     /*  852383 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852458), // Rule ID 24284 //
     /*  852388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852456 */     GIR_RootConstrainSelectedInstOperands,
     /*  852457 */     // GIR_Coverage, 24284,
     /*  852457 */     GIR_EraseRootFromParent_Done,
     /*  852458 */   // Label 13076: @852458
     /*  852458 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852533), // Rule ID 24285 //
     /*  852463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852509 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852531 */     GIR_RootConstrainSelectedInstOperands,
     /*  852532 */     // GIR_Coverage, 24285,
     /*  852532 */     GIR_EraseRootFromParent_Done,
     /*  852533 */   // Label 13077: @852533
     /*  852533 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852608), // Rule ID 24288 //
     /*  852538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852584 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852606 */     GIR_RootConstrainSelectedInstOperands,
     /*  852607 */     // GIR_Coverage, 24288,
     /*  852607 */     GIR_EraseRootFromParent_Done,
     /*  852608 */   // Label 13078: @852608
     /*  852608 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852683), // Rule ID 24289 //
     /*  852613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852681 */     GIR_RootConstrainSelectedInstOperands,
     /*  852682 */     // GIR_Coverage, 24289,
     /*  852682 */     GIR_EraseRootFromParent_Done,
     /*  852683 */   // Label 13079: @852683
     /*  852683 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852758), // Rule ID 24292 //
     /*  852688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852756 */     GIR_RootConstrainSelectedInstOperands,
     /*  852757 */     // GIR_Coverage, 24292,
     /*  852757 */     GIR_EraseRootFromParent_Done,
     /*  852758 */   // Label 13080: @852758
     /*  852758 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852833), // Rule ID 24293 //
     /*  852763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852809 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852831 */     GIR_RootConstrainSelectedInstOperands,
     /*  852832 */     // GIR_Coverage, 24293,
     /*  852832 */     GIR_EraseRootFromParent_Done,
     /*  852833 */   // Label 13081: @852833
     /*  852833 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852908), // Rule ID 24296 //
     /*  852838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852906 */     GIR_RootConstrainSelectedInstOperands,
     /*  852907 */     // GIR_Coverage, 24296,
     /*  852907 */     GIR_EraseRootFromParent_Done,
     /*  852908 */   // Label 13082: @852908
     /*  852908 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852983), // Rule ID 24297 //
     /*  852913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852981 */     GIR_RootConstrainSelectedInstOperands,
     /*  852982 */     // GIR_Coverage, 24297,
     /*  852982 */     GIR_EraseRootFromParent_Done,
     /*  852983 */   // Label 13083: @852983
     /*  852983 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(853058), // Rule ID 24300 //
     /*  852988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853056 */     GIR_RootConstrainSelectedInstOperands,
     /*  853057 */     // GIR_Coverage, 24300,
     /*  853057 */     GIR_EraseRootFromParent_Done,
     /*  853058 */   // Label 13084: @853058
     /*  853058 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(853133), // Rule ID 24301 //
     /*  853063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853131 */     GIR_RootConstrainSelectedInstOperands,
     /*  853132 */     // GIR_Coverage, 24301,
     /*  853132 */     GIR_EraseRootFromParent_Done,
     /*  853133 */   // Label 13085: @853133
     /*  853133 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(853208), // Rule ID 24304 //
     /*  853138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853206 */     GIR_RootConstrainSelectedInstOperands,
     /*  853207 */     // GIR_Coverage, 24304,
     /*  853207 */     GIR_EraseRootFromParent_Done,
     /*  853208 */   // Label 13086: @853208
     /*  853208 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853283), // Rule ID 24305 //
     /*  853213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853259 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853281 */     GIR_RootConstrainSelectedInstOperands,
     /*  853282 */     // GIR_Coverage, 24305,
     /*  853282 */     GIR_EraseRootFromParent_Done,
     /*  853283 */   // Label 13087: @853283
     /*  853283 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853358), // Rule ID 24308 //
     /*  853288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  853337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853356 */     GIR_RootConstrainSelectedInstOperands,
     /*  853357 */     // GIR_Coverage, 24308,
     /*  853357 */     GIR_EraseRootFromParent_Done,
     /*  853358 */   // Label 13088: @853358
     /*  853358 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853433), // Rule ID 24309 //
     /*  853363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  853412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853431 */     GIR_RootConstrainSelectedInstOperands,
     /*  853432 */     // GIR_Coverage, 24309,
     /*  853432 */     GIR_EraseRootFromParent_Done,
     /*  853433 */   // Label 13089: @853433
     /*  853433 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853508), // Rule ID 24312 //
     /*  853438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853506 */     GIR_RootConstrainSelectedInstOperands,
     /*  853507 */     // GIR_Coverage, 24312,
     /*  853507 */     GIR_EraseRootFromParent_Done,
     /*  853508 */   // Label 13090: @853508
     /*  853508 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853583), // Rule ID 24313 //
     /*  853513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853581 */     GIR_RootConstrainSelectedInstOperands,
     /*  853582 */     // GIR_Coverage, 24313,
     /*  853582 */     GIR_EraseRootFromParent_Done,
     /*  853583 */   // Label 13091: @853583
     /*  853583 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853658), // Rule ID 24316 //
     /*  853588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853656 */     GIR_RootConstrainSelectedInstOperands,
     /*  853657 */     // GIR_Coverage, 24316,
     /*  853657 */     GIR_EraseRootFromParent_Done,
     /*  853658 */   // Label 13092: @853658
     /*  853658 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853733), // Rule ID 24317 //
     /*  853663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853731 */     GIR_RootConstrainSelectedInstOperands,
     /*  853732 */     // GIR_Coverage, 24317,
     /*  853732 */     GIR_EraseRootFromParent_Done,
     /*  853733 */   // Label 13093: @853733
     /*  853733 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853808), // Rule ID 24320 //
     /*  853738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853806 */     GIR_RootConstrainSelectedInstOperands,
     /*  853807 */     // GIR_Coverage, 24320,
     /*  853807 */     GIR_EraseRootFromParent_Done,
     /*  853808 */   // Label 13094: @853808
     /*  853808 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853883), // Rule ID 24321 //
     /*  853813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853881 */     GIR_RootConstrainSelectedInstOperands,
     /*  853882 */     // GIR_Coverage, 24321,
     /*  853882 */     GIR_EraseRootFromParent_Done,
     /*  853883 */   // Label 13095: @853883
     /*  853883 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853958), // Rule ID 24324 //
     /*  853888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853934 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853956 */     GIR_RootConstrainSelectedInstOperands,
     /*  853957 */     // GIR_Coverage, 24324,
     /*  853957 */     GIR_EraseRootFromParent_Done,
     /*  853958 */   // Label 13096: @853958
     /*  853958 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(854033), // Rule ID 24325 //
     /*  853963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854009 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  854012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854031 */     GIR_RootConstrainSelectedInstOperands,
     /*  854032 */     // GIR_Coverage, 24325,
     /*  854032 */     GIR_EraseRootFromParent_Done,
     /*  854033 */   // Label 13097: @854033
     /*  854033 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(854108), // Rule ID 24328 //
     /*  854038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854106 */     GIR_RootConstrainSelectedInstOperands,
     /*  854107 */     // GIR_Coverage, 24328,
     /*  854107 */     GIR_EraseRootFromParent_Done,
     /*  854108 */   // Label 13098: @854108
     /*  854108 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(854183), // Rule ID 24329 //
     /*  854113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854159 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854181 */     GIR_RootConstrainSelectedInstOperands,
     /*  854182 */     // GIR_Coverage, 24329,
     /*  854182 */     GIR_EraseRootFromParent_Done,
     /*  854183 */   // Label 13099: @854183
     /*  854183 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(854258), // Rule ID 24332 //
     /*  854188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854256 */     GIR_RootConstrainSelectedInstOperands,
     /*  854257 */     // GIR_Coverage, 24332,
     /*  854257 */     GIR_EraseRootFromParent_Done,
     /*  854258 */   // Label 13100: @854258
     /*  854258 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854333), // Rule ID 24333 //
     /*  854263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854331 */     GIR_RootConstrainSelectedInstOperands,
     /*  854332 */     // GIR_Coverage, 24333,
     /*  854332 */     GIR_EraseRootFromParent_Done,
     /*  854333 */   // Label 13101: @854333
     /*  854333 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854408), // Rule ID 24336 //
     /*  854338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854406 */     GIR_RootConstrainSelectedInstOperands,
     /*  854407 */     // GIR_Coverage, 24336,
     /*  854407 */     GIR_EraseRootFromParent_Done,
     /*  854408 */   // Label 13102: @854408
     /*  854408 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854483), // Rule ID 24337 //
     /*  854413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854459 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854481 */     GIR_RootConstrainSelectedInstOperands,
     /*  854482 */     // GIR_Coverage, 24337,
     /*  854482 */     GIR_EraseRootFromParent_Done,
     /*  854483 */   // Label 13103: @854483
     /*  854483 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854558), // Rule ID 24340 //
     /*  854488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854556 */     GIR_RootConstrainSelectedInstOperands,
     /*  854557 */     // GIR_Coverage, 24340,
     /*  854557 */     GIR_EraseRootFromParent_Done,
     /*  854558 */   // Label 13104: @854558
     /*  854558 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854633), // Rule ID 24341 //
     /*  854563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854631 */     GIR_RootConstrainSelectedInstOperands,
     /*  854632 */     // GIR_Coverage, 24341,
     /*  854632 */     GIR_EraseRootFromParent_Done,
     /*  854633 */   // Label 13105: @854633
     /*  854633 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854708), // Rule ID 24344 //
     /*  854638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854684 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854706 */     GIR_RootConstrainSelectedInstOperands,
     /*  854707 */     // GIR_Coverage, 24344,
     /*  854707 */     GIR_EraseRootFromParent_Done,
     /*  854708 */   // Label 13106: @854708
     /*  854708 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854783), // Rule ID 24345 //
     /*  854713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854781 */     GIR_RootConstrainSelectedInstOperands,
     /*  854782 */     // GIR_Coverage, 24345,
     /*  854782 */     GIR_EraseRootFromParent_Done,
     /*  854783 */   // Label 13107: @854783
     /*  854783 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854858), // Rule ID 24348 //
     /*  854788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854834 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854856 */     GIR_RootConstrainSelectedInstOperands,
     /*  854857 */     // GIR_Coverage, 24348,
     /*  854857 */     GIR_EraseRootFromParent_Done,
     /*  854858 */   // Label 13108: @854858
     /*  854858 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854933), // Rule ID 24349 //
     /*  854863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854931 */     GIR_RootConstrainSelectedInstOperands,
     /*  854932 */     // GIR_Coverage, 24349,
     /*  854932 */     GIR_EraseRootFromParent_Done,
     /*  854933 */   // Label 13109: @854933
     /*  854933 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(855008), // Rule ID 24352 //
     /*  854938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854984 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855006 */     GIR_RootConstrainSelectedInstOperands,
     /*  855007 */     // GIR_Coverage, 24352,
     /*  855007 */     GIR_EraseRootFromParent_Done,
     /*  855008 */   // Label 13110: @855008
     /*  855008 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(855083), // Rule ID 24353 //
     /*  855013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855059 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  855062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855081 */     GIR_RootConstrainSelectedInstOperands,
     /*  855082 */     // GIR_Coverage, 24353,
     /*  855082 */     GIR_EraseRootFromParent_Done,
     /*  855083 */   // Label 13111: @855083
     /*  855083 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(855158), // Rule ID 24356 //
     /*  855088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855156 */     GIR_RootConstrainSelectedInstOperands,
     /*  855157 */     // GIR_Coverage, 24356,
     /*  855157 */     GIR_EraseRootFromParent_Done,
     /*  855158 */   // Label 13112: @855158
     /*  855158 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(855233), // Rule ID 24357 //
     /*  855163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855231 */     GIR_RootConstrainSelectedInstOperands,
     /*  855232 */     // GIR_Coverage, 24357,
     /*  855232 */     GIR_EraseRootFromParent_Done,
     /*  855233 */   // Label 13113: @855233
     /*  855233 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855308), // Rule ID 24360 //
     /*  855238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855284 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  855287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855306 */     GIR_RootConstrainSelectedInstOperands,
     /*  855307 */     // GIR_Coverage, 24360,
     /*  855307 */     GIR_EraseRootFromParent_Done,
     /*  855308 */   // Label 13114: @855308
     /*  855308 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855383), // Rule ID 24361 //
     /*  855313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855359 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  855362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855381 */     GIR_RootConstrainSelectedInstOperands,
     /*  855382 */     // GIR_Coverage, 24361,
     /*  855382 */     GIR_EraseRootFromParent_Done,
     /*  855383 */   // Label 13115: @855383
     /*  855383 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855458), // Rule ID 24364 //
     /*  855388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855434 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855456 */     GIR_RootConstrainSelectedInstOperands,
     /*  855457 */     // GIR_Coverage, 24364,
     /*  855457 */     GIR_EraseRootFromParent_Done,
     /*  855458 */   // Label 13116: @855458
     /*  855458 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855533), // Rule ID 24365 //
     /*  855463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855531 */     GIR_RootConstrainSelectedInstOperands,
     /*  855532 */     // GIR_Coverage, 24365,
     /*  855532 */     GIR_EraseRootFromParent_Done,
     /*  855533 */   // Label 13117: @855533
     /*  855533 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855608), // Rule ID 24368 //
     /*  855538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855606 */     GIR_RootConstrainSelectedInstOperands,
     /*  855607 */     // GIR_Coverage, 24368,
     /*  855607 */     GIR_EraseRootFromParent_Done,
     /*  855608 */   // Label 13118: @855608
     /*  855608 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855683), // Rule ID 24369 //
     /*  855613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855659 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855681 */     GIR_RootConstrainSelectedInstOperands,
     /*  855682 */     // GIR_Coverage, 24369,
     /*  855682 */     GIR_EraseRootFromParent_Done,
     /*  855683 */   // Label 13119: @855683
     /*  855683 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855758), // Rule ID 24372 //
     /*  855688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855756 */     GIR_RootConstrainSelectedInstOperands,
     /*  855757 */     // GIR_Coverage, 24372,
     /*  855757 */     GIR_EraseRootFromParent_Done,
     /*  855758 */   // Label 13120: @855758
     /*  855758 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855833), // Rule ID 24373 //
     /*  855763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855809 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855831 */     GIR_RootConstrainSelectedInstOperands,
     /*  855832 */     // GIR_Coverage, 24373,
     /*  855832 */     GIR_EraseRootFromParent_Done,
     /*  855833 */   // Label 13121: @855833
     /*  855833 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855908), // Rule ID 24376 //
     /*  855838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855906 */     GIR_RootConstrainSelectedInstOperands,
     /*  855907 */     // GIR_Coverage, 24376,
     /*  855907 */     GIR_EraseRootFromParent_Done,
     /*  855908 */   // Label 13122: @855908
     /*  855908 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855983), // Rule ID 24377 //
     /*  855913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855981 */     GIR_RootConstrainSelectedInstOperands,
     /*  855982 */     // GIR_Coverage, 24377,
     /*  855982 */     GIR_EraseRootFromParent_Done,
     /*  855983 */   // Label 13123: @855983
     /*  855983 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(856058), // Rule ID 24380 //
     /*  855988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856056 */     GIR_RootConstrainSelectedInstOperands,
     /*  856057 */     // GIR_Coverage, 24380,
     /*  856057 */     GIR_EraseRootFromParent_Done,
     /*  856058 */   // Label 13124: @856058
     /*  856058 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(856133), // Rule ID 24381 //
     /*  856063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856131 */     GIR_RootConstrainSelectedInstOperands,
     /*  856132 */     // GIR_Coverage, 24381,
     /*  856132 */     GIR_EraseRootFromParent_Done,
     /*  856133 */   // Label 13125: @856133
     /*  856133 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(856208), // Rule ID 24384 //
     /*  856138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856206 */     GIR_RootConstrainSelectedInstOperands,
     /*  856207 */     // GIR_Coverage, 24384,
     /*  856207 */     GIR_EraseRootFromParent_Done,
     /*  856208 */   // Label 13126: @856208
     /*  856208 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856283), // Rule ID 24385 //
     /*  856213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856281 */     GIR_RootConstrainSelectedInstOperands,
     /*  856282 */     // GIR_Coverage, 24385,
     /*  856282 */     GIR_EraseRootFromParent_Done,
     /*  856283 */   // Label 13127: @856283
     /*  856283 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856358), // Rule ID 24388 //
     /*  856288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  856337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856356 */     GIR_RootConstrainSelectedInstOperands,
     /*  856357 */     // GIR_Coverage, 24388,
     /*  856357 */     GIR_EraseRootFromParent_Done,
     /*  856358 */   // Label 13128: @856358
     /*  856358 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856433), // Rule ID 24389 //
     /*  856363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  856412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856431 */     GIR_RootConstrainSelectedInstOperands,
     /*  856432 */     // GIR_Coverage, 24389,
     /*  856432 */     GIR_EraseRootFromParent_Done,
     /*  856433 */   // Label 13129: @856433
     /*  856433 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856508), // Rule ID 24392 //
     /*  856438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856506 */     GIR_RootConstrainSelectedInstOperands,
     /*  856507 */     // GIR_Coverage, 24392,
     /*  856507 */     GIR_EraseRootFromParent_Done,
     /*  856508 */   // Label 13130: @856508
     /*  856508 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856583), // Rule ID 24393 //
     /*  856513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856581 */     GIR_RootConstrainSelectedInstOperands,
     /*  856582 */     // GIR_Coverage, 24393,
     /*  856582 */     GIR_EraseRootFromParent_Done,
     /*  856583 */   // Label 13131: @856583
     /*  856583 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856658), // Rule ID 24396 //
     /*  856588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856656 */     GIR_RootConstrainSelectedInstOperands,
     /*  856657 */     // GIR_Coverage, 24396,
     /*  856657 */     GIR_EraseRootFromParent_Done,
     /*  856658 */   // Label 13132: @856658
     /*  856658 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856733), // Rule ID 24397 //
     /*  856663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856731 */     GIR_RootConstrainSelectedInstOperands,
     /*  856732 */     // GIR_Coverage, 24397,
     /*  856732 */     GIR_EraseRootFromParent_Done,
     /*  856733 */   // Label 13133: @856733
     /*  856733 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856808), // Rule ID 24400 //
     /*  856738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856806 */     GIR_RootConstrainSelectedInstOperands,
     /*  856807 */     // GIR_Coverage, 24400,
     /*  856807 */     GIR_EraseRootFromParent_Done,
     /*  856808 */   // Label 13134: @856808
     /*  856808 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856883), // Rule ID 24401 //
     /*  856813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856881 */     GIR_RootConstrainSelectedInstOperands,
     /*  856882 */     // GIR_Coverage, 24401,
     /*  856882 */     GIR_EraseRootFromParent_Done,
     /*  856883 */   // Label 13135: @856883
     /*  856883 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856958), // Rule ID 24404 //
     /*  856888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856956 */     GIR_RootConstrainSelectedInstOperands,
     /*  856957 */     // GIR_Coverage, 24404,
     /*  856957 */     GIR_EraseRootFromParent_Done,
     /*  856958 */   // Label 13136: @856958
     /*  856958 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(857033), // Rule ID 24405 //
     /*  856963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  857012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857031 */     GIR_RootConstrainSelectedInstOperands,
     /*  857032 */     // GIR_Coverage, 24405,
     /*  857032 */     GIR_EraseRootFromParent_Done,
     /*  857033 */   // Label 13137: @857033
     /*  857033 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(857108), // Rule ID 24408 //
     /*  857038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857106 */     GIR_RootConstrainSelectedInstOperands,
     /*  857107 */     // GIR_Coverage, 24408,
     /*  857107 */     GIR_EraseRootFromParent_Done,
     /*  857108 */   // Label 13138: @857108
     /*  857108 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(857183), // Rule ID 24409 //
     /*  857113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857181 */     GIR_RootConstrainSelectedInstOperands,
     /*  857182 */     // GIR_Coverage, 24409,
     /*  857182 */     GIR_EraseRootFromParent_Done,
     /*  857183 */   // Label 13139: @857183
     /*  857183 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(857258), // Rule ID 24412 //
     /*  857188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857256 */     GIR_RootConstrainSelectedInstOperands,
     /*  857257 */     // GIR_Coverage, 24412,
     /*  857257 */     GIR_EraseRootFromParent_Done,
     /*  857258 */   // Label 13140: @857258
     /*  857258 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857333), // Rule ID 24413 //
     /*  857263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857331 */     GIR_RootConstrainSelectedInstOperands,
     /*  857332 */     // GIR_Coverage, 24413,
     /*  857332 */     GIR_EraseRootFromParent_Done,
     /*  857333 */   // Label 13141: @857333
     /*  857333 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857408), // Rule ID 24416 //
     /*  857338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  857341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857406 */     GIR_RootConstrainSelectedInstOperands,
     /*  857407 */     // GIR_Coverage, 24416,
     /*  857407 */     GIR_EraseRootFromParent_Done,
     /*  857408 */   // Label 13142: @857408
     /*  857408 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857483), // Rule ID 24417 //
     /*  857413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857481 */     GIR_RootConstrainSelectedInstOperands,
     /*  857482 */     // GIR_Coverage, 24417,
     /*  857482 */     GIR_EraseRootFromParent_Done,
     /*  857483 */   // Label 13143: @857483
     /*  857483 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857558), // Rule ID 24420 //
     /*  857488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857556 */     GIR_RootConstrainSelectedInstOperands,
     /*  857557 */     // GIR_Coverage, 24420,
     /*  857557 */     GIR_EraseRootFromParent_Done,
     /*  857558 */   // Label 13144: @857558
     /*  857558 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857633), // Rule ID 24421 //
     /*  857563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857631 */     GIR_RootConstrainSelectedInstOperands,
     /*  857632 */     // GIR_Coverage, 24421,
     /*  857632 */     GIR_EraseRootFromParent_Done,
     /*  857633 */   // Label 13145: @857633
     /*  857633 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857708), // Rule ID 24424 //
     /*  857638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857706 */     GIR_RootConstrainSelectedInstOperands,
     /*  857707 */     // GIR_Coverage, 24424,
     /*  857707 */     GIR_EraseRootFromParent_Done,
     /*  857708 */   // Label 13146: @857708
     /*  857708 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857783), // Rule ID 24425 //
     /*  857713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857781 */     GIR_RootConstrainSelectedInstOperands,
     /*  857782 */     // GIR_Coverage, 24425,
     /*  857782 */     GIR_EraseRootFromParent_Done,
     /*  857783 */   // Label 13147: @857783
     /*  857783 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857858), // Rule ID 24428 //
     /*  857788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857856 */     GIR_RootConstrainSelectedInstOperands,
     /*  857857 */     // GIR_Coverage, 24428,
     /*  857857 */     GIR_EraseRootFromParent_Done,
     /*  857858 */   // Label 13148: @857858
     /*  857858 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857933), // Rule ID 24429 //
     /*  857863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857931 */     GIR_RootConstrainSelectedInstOperands,
     /*  857932 */     // GIR_Coverage, 24429,
     /*  857932 */     GIR_EraseRootFromParent_Done,
     /*  857933 */   // Label 13149: @857933
     /*  857933 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(858008), // Rule ID 24432 //
     /*  857938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858006 */     GIR_RootConstrainSelectedInstOperands,
     /*  858007 */     // GIR_Coverage, 24432,
     /*  858007 */     GIR_EraseRootFromParent_Done,
     /*  858008 */   // Label 13150: @858008
     /*  858008 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(858083), // Rule ID 24433 //
     /*  858013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  858062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858081 */     GIR_RootConstrainSelectedInstOperands,
     /*  858082 */     // GIR_Coverage, 24433,
     /*  858082 */     GIR_EraseRootFromParent_Done,
     /*  858083 */   // Label 13151: @858083
     /*  858083 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(858158), // Rule ID 24436 //
     /*  858088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858156 */     GIR_RootConstrainSelectedInstOperands,
     /*  858157 */     // GIR_Coverage, 24436,
     /*  858157 */     GIR_EraseRootFromParent_Done,
     /*  858158 */   // Label 13152: @858158
     /*  858158 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858233), // Rule ID 24437 //
     /*  858163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858231 */     GIR_RootConstrainSelectedInstOperands,
     /*  858232 */     // GIR_Coverage, 24437,
     /*  858232 */     GIR_EraseRootFromParent_Done,
     /*  858233 */   // Label 13153: @858233
     /*  858233 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858308), // Rule ID 24440 //
     /*  858238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  858287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858306 */     GIR_RootConstrainSelectedInstOperands,
     /*  858307 */     // GIR_Coverage, 24440,
     /*  858307 */     GIR_EraseRootFromParent_Done,
     /*  858308 */   // Label 13154: @858308
     /*  858308 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858383), // Rule ID 24441 //
     /*  858313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  858362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858381 */     GIR_RootConstrainSelectedInstOperands,
     /*  858382 */     // GIR_Coverage, 24441,
     /*  858382 */     GIR_EraseRootFromParent_Done,
     /*  858383 */   // Label 13155: @858383
     /*  858383 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858458), // Rule ID 24444 //
     /*  858388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858456 */     GIR_RootConstrainSelectedInstOperands,
     /*  858457 */     // GIR_Coverage, 24444,
     /*  858457 */     GIR_EraseRootFromParent_Done,
     /*  858458 */   // Label 13156: @858458
     /*  858458 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858533), // Rule ID 24445 //
     /*  858463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858531 */     GIR_RootConstrainSelectedInstOperands,
     /*  858532 */     // GIR_Coverage, 24445,
     /*  858532 */     GIR_EraseRootFromParent_Done,
     /*  858533 */   // Label 13157: @858533
     /*  858533 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858608), // Rule ID 24448 //
     /*  858538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858606 */     GIR_RootConstrainSelectedInstOperands,
     /*  858607 */     // GIR_Coverage, 24448,
     /*  858607 */     GIR_EraseRootFromParent_Done,
     /*  858608 */   // Label 13158: @858608
     /*  858608 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858683), // Rule ID 24449 //
     /*  858613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858681 */     GIR_RootConstrainSelectedInstOperands,
     /*  858682 */     // GIR_Coverage, 24449,
     /*  858682 */     GIR_EraseRootFromParent_Done,
     /*  858683 */   // Label 13159: @858683
     /*  858683 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858758), // Rule ID 24452 //
     /*  858688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858756 */     GIR_RootConstrainSelectedInstOperands,
     /*  858757 */     // GIR_Coverage, 24452,
     /*  858757 */     GIR_EraseRootFromParent_Done,
     /*  858758 */   // Label 13160: @858758
     /*  858758 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858833), // Rule ID 24453 //
     /*  858763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858831 */     GIR_RootConstrainSelectedInstOperands,
     /*  858832 */     // GIR_Coverage, 24453,
     /*  858832 */     GIR_EraseRootFromParent_Done,
     /*  858833 */   // Label 13161: @858833
     /*  858833 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858908), // Rule ID 24456 //
     /*  858838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858906 */     GIR_RootConstrainSelectedInstOperands,
     /*  858907 */     // GIR_Coverage, 24456,
     /*  858907 */     GIR_EraseRootFromParent_Done,
     /*  858908 */   // Label 13162: @858908
     /*  858908 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858983), // Rule ID 24457 //
     /*  858913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858959 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858981 */     GIR_RootConstrainSelectedInstOperands,
     /*  858982 */     // GIR_Coverage, 24457,
     /*  858982 */     GIR_EraseRootFromParent_Done,
     /*  858983 */   // Label 13163: @858983
     /*  858983 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(859058), // Rule ID 24460 //
     /*  858988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859056 */     GIR_RootConstrainSelectedInstOperands,
     /*  859057 */     // GIR_Coverage, 24460,
     /*  859057 */     GIR_EraseRootFromParent_Done,
     /*  859058 */   // Label 13164: @859058
     /*  859058 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859133), // Rule ID 24461 //
     /*  859063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859131 */     GIR_RootConstrainSelectedInstOperands,
     /*  859132 */     // GIR_Coverage, 24461,
     /*  859132 */     GIR_EraseRootFromParent_Done,
     /*  859133 */   // Label 13165: @859133
     /*  859133 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859208), // Rule ID 24464 //
     /*  859138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859206 */     GIR_RootConstrainSelectedInstOperands,
     /*  859207 */     // GIR_Coverage, 24464,
     /*  859207 */     GIR_EraseRootFromParent_Done,
     /*  859208 */   // Label 13166: @859208
     /*  859208 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859283), // Rule ID 24465 //
     /*  859213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859259 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859281 */     GIR_RootConstrainSelectedInstOperands,
     /*  859282 */     // GIR_Coverage, 24465,
     /*  859282 */     GIR_EraseRootFromParent_Done,
     /*  859283 */   // Label 13167: @859283
     /*  859283 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859358), // Rule ID 24468 //
     /*  859288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  859299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  859302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  859337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859356 */     GIR_RootConstrainSelectedInstOperands,
     /*  859357 */     // GIR_Coverage, 24468,
     /*  859357 */     GIR_EraseRootFromParent_Done,
     /*  859358 */   // Label 13168: @859358
     /*  859358 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859433), // Rule ID 24469 //
     /*  859363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  859374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  859377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  859412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859431 */     GIR_RootConstrainSelectedInstOperands,
     /*  859432 */     // GIR_Coverage, 24469,
     /*  859432 */     GIR_EraseRootFromParent_Done,
     /*  859433 */   // Label 13169: @859433
     /*  859433 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859508), // Rule ID 24472 //
     /*  859438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859506 */     GIR_RootConstrainSelectedInstOperands,
     /*  859507 */     // GIR_Coverage, 24472,
     /*  859507 */     GIR_EraseRootFromParent_Done,
     /*  859508 */   // Label 13170: @859508
     /*  859508 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859583), // Rule ID 24473 //
     /*  859513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859559 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859581 */     GIR_RootConstrainSelectedInstOperands,
     /*  859582 */     // GIR_Coverage, 24473,
     /*  859582 */     GIR_EraseRootFromParent_Done,
     /*  859583 */   // Label 13171: @859583
     /*  859583 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859658), // Rule ID 24476 //
     /*  859588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859656 */     GIR_RootConstrainSelectedInstOperands,
     /*  859657 */     // GIR_Coverage, 24476,
     /*  859657 */     GIR_EraseRootFromParent_Done,
     /*  859658 */   // Label 13172: @859658
     /*  859658 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859733), // Rule ID 24477 //
     /*  859663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859731 */     GIR_RootConstrainSelectedInstOperands,
     /*  859732 */     // GIR_Coverage, 24477,
     /*  859732 */     GIR_EraseRootFromParent_Done,
     /*  859733 */   // Label 13173: @859733
     /*  859733 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859808), // Rule ID 24480 //
     /*  859738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859806 */     GIR_RootConstrainSelectedInstOperands,
     /*  859807 */     // GIR_Coverage, 24480,
     /*  859807 */     GIR_EraseRootFromParent_Done,
     /*  859808 */   // Label 13174: @859808
     /*  859808 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859883), // Rule ID 24481 //
     /*  859813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859881 */     GIR_RootConstrainSelectedInstOperands,
     /*  859882 */     // GIR_Coverage, 24481,
     /*  859882 */     GIR_EraseRootFromParent_Done,
     /*  859883 */   // Label 13175: @859883
     /*  859883 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859958), // Rule ID 24484 //
     /*  859888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859956 */     GIR_RootConstrainSelectedInstOperands,
     /*  859957 */     // GIR_Coverage, 24484,
     /*  859957 */     GIR_EraseRootFromParent_Done,
     /*  859958 */   // Label 13176: @859958
     /*  859958 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(860033), // Rule ID 24485 //
     /*  859963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860009 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860031 */     GIR_RootConstrainSelectedInstOperands,
     /*  860032 */     // GIR_Coverage, 24485,
     /*  860032 */     GIR_EraseRootFromParent_Done,
     /*  860033 */   // Label 13177: @860033
     /*  860033 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(860108), // Rule ID 24488 //
     /*  860038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860106 */     GIR_RootConstrainSelectedInstOperands,
     /*  860107 */     // GIR_Coverage, 24488,
     /*  860107 */     GIR_EraseRootFromParent_Done,
     /*  860108 */   // Label 13178: @860108
     /*  860108 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860183), // Rule ID 24489 //
     /*  860113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860181 */     GIR_RootConstrainSelectedInstOperands,
     /*  860182 */     // GIR_Coverage, 24489,
     /*  860182 */     GIR_EraseRootFromParent_Done,
     /*  860183 */   // Label 13179: @860183
     /*  860183 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860258), // Rule ID 24492 //
     /*  860188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860256 */     GIR_RootConstrainSelectedInstOperands,
     /*  860257 */     // GIR_Coverage, 24492,
     /*  860257 */     GIR_EraseRootFromParent_Done,
     /*  860258 */   // Label 13180: @860258
     /*  860258 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860333), // Rule ID 24493 //
     /*  860263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860331 */     GIR_RootConstrainSelectedInstOperands,
     /*  860332 */     // GIR_Coverage, 24493,
     /*  860332 */     GIR_EraseRootFromParent_Done,
     /*  860333 */   // Label 13181: @860333
     /*  860333 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860408), // Rule ID 24496 //
     /*  860338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  860349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  860352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  860355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860406 */     GIR_RootConstrainSelectedInstOperands,
     /*  860407 */     // GIR_Coverage, 24496,
     /*  860407 */     GIR_EraseRootFromParent_Done,
     /*  860408 */   // Label 13182: @860408
     /*  860408 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860483), // Rule ID 24497 //
     /*  860413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  860424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  860427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  860430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860481 */     GIR_RootConstrainSelectedInstOperands,
     /*  860482 */     // GIR_Coverage, 24497,
     /*  860482 */     GIR_EraseRootFromParent_Done,
     /*  860483 */   // Label 13183: @860483
     /*  860483 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860558), // Rule ID 24500 //
     /*  860488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860556 */     GIR_RootConstrainSelectedInstOperands,
     /*  860557 */     // GIR_Coverage, 24500,
     /*  860557 */     GIR_EraseRootFromParent_Done,
     /*  860558 */   // Label 13184: @860558
     /*  860558 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860633), // Rule ID 24501 //
     /*  860563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860631 */     GIR_RootConstrainSelectedInstOperands,
     /*  860632 */     // GIR_Coverage, 24501,
     /*  860632 */     GIR_EraseRootFromParent_Done,
     /*  860633 */   // Label 13185: @860633
     /*  860633 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860708), // Rule ID 24504 //
     /*  860638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860706 */     GIR_RootConstrainSelectedInstOperands,
     /*  860707 */     // GIR_Coverage, 24504,
     /*  860707 */     GIR_EraseRootFromParent_Done,
     /*  860708 */   // Label 13186: @860708
     /*  860708 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860783), // Rule ID 24505 //
     /*  860713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860781 */     GIR_RootConstrainSelectedInstOperands,
     /*  860782 */     // GIR_Coverage, 24505,
     /*  860782 */     GIR_EraseRootFromParent_Done,
     /*  860783 */   // Label 13187: @860783
     /*  860783 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860858), // Rule ID 24508 //
     /*  860788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860856 */     GIR_RootConstrainSelectedInstOperands,
     /*  860857 */     // GIR_Coverage, 24508,
     /*  860857 */     GIR_EraseRootFromParent_Done,
     /*  860858 */   // Label 13188: @860858
     /*  860858 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860933), // Rule ID 24509 //
     /*  860863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860909 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860931 */     GIR_RootConstrainSelectedInstOperands,
     /*  860932 */     // GIR_Coverage, 24509,
     /*  860932 */     GIR_EraseRootFromParent_Done,
     /*  860933 */   // Label 13189: @860933
     /*  860933 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(861008), // Rule ID 24512 //
     /*  860938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861006 */     GIR_RootConstrainSelectedInstOperands,
     /*  861007 */     // GIR_Coverage, 24512,
     /*  861007 */     GIR_EraseRootFromParent_Done,
     /*  861008 */   // Label 13190: @861008
     /*  861008 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(861083), // Rule ID 24513 //
     /*  861013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861059 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861081 */     GIR_RootConstrainSelectedInstOperands,
     /*  861082 */     // GIR_Coverage, 24513,
     /*  861082 */     GIR_EraseRootFromParent_Done,
     /*  861083 */   // Label 13191: @861083
     /*  861083 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861158), // Rule ID 24516 //
     /*  861088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861156 */     GIR_RootConstrainSelectedInstOperands,
     /*  861157 */     // GIR_Coverage, 24516,
     /*  861157 */     GIR_EraseRootFromParent_Done,
     /*  861158 */   // Label 13192: @861158
     /*  861158 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861233), // Rule ID 24517 //
     /*  861163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861209 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861231 */     GIR_RootConstrainSelectedInstOperands,
     /*  861232 */     // GIR_Coverage, 24517,
     /*  861232 */     GIR_EraseRootFromParent_Done,
     /*  861233 */   // Label 13193: @861233
     /*  861233 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861308), // Rule ID 24520 //
     /*  861238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  861252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  861255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861306 */     GIR_RootConstrainSelectedInstOperands,
     /*  861307 */     // GIR_Coverage, 24520,
     /*  861307 */     GIR_EraseRootFromParent_Done,
     /*  861308 */   // Label 13194: @861308
     /*  861308 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861383), // Rule ID 24521 //
     /*  861313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  861327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  861330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861381 */     GIR_RootConstrainSelectedInstOperands,
     /*  861382 */     // GIR_Coverage, 24521,
     /*  861382 */     GIR_EraseRootFromParent_Done,
     /*  861383 */   // Label 13195: @861383
     /*  861383 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861458), // Rule ID 24524 //
     /*  861388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861456 */     GIR_RootConstrainSelectedInstOperands,
     /*  861457 */     // GIR_Coverage, 24524,
     /*  861457 */     GIR_EraseRootFromParent_Done,
     /*  861458 */   // Label 13196: @861458
     /*  861458 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861533), // Rule ID 24525 //
     /*  861463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861531 */     GIR_RootConstrainSelectedInstOperands,
     /*  861532 */     // GIR_Coverage, 24525,
     /*  861532 */     GIR_EraseRootFromParent_Done,
     /*  861533 */   // Label 13197: @861533
     /*  861533 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861608), // Rule ID 24528 //
     /*  861538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861606 */     GIR_RootConstrainSelectedInstOperands,
     /*  861607 */     // GIR_Coverage, 24528,
     /*  861607 */     GIR_EraseRootFromParent_Done,
     /*  861608 */   // Label 13198: @861608
     /*  861608 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861683), // Rule ID 24529 //
     /*  861613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861681 */     GIR_RootConstrainSelectedInstOperands,
     /*  861682 */     // GIR_Coverage, 24529,
     /*  861682 */     GIR_EraseRootFromParent_Done,
     /*  861683 */   // Label 13199: @861683
     /*  861683 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861758), // Rule ID 24532 //
     /*  861688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861756 */     GIR_RootConstrainSelectedInstOperands,
     /*  861757 */     // GIR_Coverage, 24532,
     /*  861757 */     GIR_EraseRootFromParent_Done,
     /*  861758 */   // Label 13200: @861758
     /*  861758 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861833), // Rule ID 24533 //
     /*  861763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861831 */     GIR_RootConstrainSelectedInstOperands,
     /*  861832 */     // GIR_Coverage, 24533,
     /*  861832 */     GIR_EraseRootFromParent_Done,
     /*  861833 */   // Label 13201: @861833
     /*  861833 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861908), // Rule ID 24536 //
     /*  861838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861906 */     GIR_RootConstrainSelectedInstOperands,
     /*  861907 */     // GIR_Coverage, 24536,
     /*  861907 */     GIR_EraseRootFromParent_Done,
     /*  861908 */   // Label 13202: @861908
     /*  861908 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861983), // Rule ID 24537 //
     /*  861913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861981 */     GIR_RootConstrainSelectedInstOperands,
     /*  861982 */     // GIR_Coverage, 24537,
     /*  861982 */     GIR_EraseRootFromParent_Done,
     /*  861983 */   // Label 13203: @861983
     /*  861983 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(862058), // Rule ID 24540 //
     /*  861988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862056 */     GIR_RootConstrainSelectedInstOperands,
     /*  862057 */     // GIR_Coverage, 24540,
     /*  862057 */     GIR_EraseRootFromParent_Done,
     /*  862058 */   // Label 13204: @862058
     /*  862058 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862133), // Rule ID 24541 //
     /*  862063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862131 */     GIR_RootConstrainSelectedInstOperands,
     /*  862132 */     // GIR_Coverage, 24541,
     /*  862132 */     GIR_EraseRootFromParent_Done,
     /*  862133 */   // Label 13205: @862133
     /*  862133 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862208), // Rule ID 24544 //
     /*  862138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862206 */     GIR_RootConstrainSelectedInstOperands,
     /*  862207 */     // GIR_Coverage, 24544,
     /*  862207 */     GIR_EraseRootFromParent_Done,
     /*  862208 */   // Label 13206: @862208
     /*  862208 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862283), // Rule ID 24545 //
     /*  862213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862281 */     GIR_RootConstrainSelectedInstOperands,
     /*  862282 */     // GIR_Coverage, 24545,
     /*  862282 */     GIR_EraseRootFromParent_Done,
     /*  862283 */   // Label 13207: @862283
     /*  862283 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862358), // Rule ID 24548 //
     /*  862288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  862299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  862302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862356 */     GIR_RootConstrainSelectedInstOperands,
     /*  862357 */     // GIR_Coverage, 24548,
     /*  862357 */     GIR_EraseRootFromParent_Done,
     /*  862358 */   // Label 13208: @862358
     /*  862358 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862433), // Rule ID 24549 //
     /*  862363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  862374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  862377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862431 */     GIR_RootConstrainSelectedInstOperands,
     /*  862432 */     // GIR_Coverage, 24549,
     /*  862432 */     GIR_EraseRootFromParent_Done,
     /*  862433 */   // Label 13209: @862433
     /*  862433 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862508), // Rule ID 24552 //
     /*  862438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862506 */     GIR_RootConstrainSelectedInstOperands,
     /*  862507 */     // GIR_Coverage, 24552,
     /*  862507 */     GIR_EraseRootFromParent_Done,
     /*  862508 */   // Label 13210: @862508
     /*  862508 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862583), // Rule ID 24553 //
     /*  862513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862581 */     GIR_RootConstrainSelectedInstOperands,
     /*  862582 */     // GIR_Coverage, 24553,
     /*  862582 */     GIR_EraseRootFromParent_Done,
     /*  862583 */   // Label 13211: @862583
     /*  862583 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862658), // Rule ID 24644 //
     /*  862588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862656 */     GIR_RootConstrainSelectedInstOperands,
     /*  862657 */     // GIR_Coverage, 24644,
     /*  862657 */     GIR_EraseRootFromParent_Done,
     /*  862658 */   // Label 13212: @862658
     /*  862658 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862733), // Rule ID 24645 //
     /*  862663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862731 */     GIR_RootConstrainSelectedInstOperands,
     /*  862732 */     // GIR_Coverage, 24645,
     /*  862732 */     GIR_EraseRootFromParent_Done,
     /*  862733 */   // Label 13213: @862733
     /*  862733 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862808), // Rule ID 24648 //
     /*  862738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862806 */     GIR_RootConstrainSelectedInstOperands,
     /*  862807 */     // GIR_Coverage, 24648,
     /*  862807 */     GIR_EraseRootFromParent_Done,
     /*  862808 */   // Label 13214: @862808
     /*  862808 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862883), // Rule ID 24649 //
     /*  862813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862881 */     GIR_RootConstrainSelectedInstOperands,
     /*  862882 */     // GIR_Coverage, 24649,
     /*  862882 */     GIR_EraseRootFromParent_Done,
     /*  862883 */   // Label 13215: @862883
     /*  862883 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862958), // Rule ID 24652 //
     /*  862888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862956 */     GIR_RootConstrainSelectedInstOperands,
     /*  862957 */     // GIR_Coverage, 24652,
     /*  862957 */     GIR_EraseRootFromParent_Done,
     /*  862958 */   // Label 13216: @862958
     /*  862958 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(863033), // Rule ID 24653 //
     /*  862963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863009 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  863012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863031 */     GIR_RootConstrainSelectedInstOperands,
     /*  863032 */     // GIR_Coverage, 24653,
     /*  863032 */     GIR_EraseRootFromParent_Done,
     /*  863033 */   // Label 13217: @863033
     /*  863033 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(863108), // Rule ID 24656 //
     /*  863038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863106 */     GIR_RootConstrainSelectedInstOperands,
     /*  863107 */     // GIR_Coverage, 24656,
     /*  863107 */     GIR_EraseRootFromParent_Done,
     /*  863108 */   // Label 13218: @863108
     /*  863108 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863183), // Rule ID 24657 //
     /*  863113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863159 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863181 */     GIR_RootConstrainSelectedInstOperands,
     /*  863182 */     // GIR_Coverage, 24657,
     /*  863182 */     GIR_EraseRootFromParent_Done,
     /*  863183 */   // Label 13219: @863183
     /*  863183 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863258), // Rule ID 24660 //
     /*  863188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863256 */     GIR_RootConstrainSelectedInstOperands,
     /*  863257 */     // GIR_Coverage, 24660,
     /*  863257 */     GIR_EraseRootFromParent_Done,
     /*  863258 */   // Label 13220: @863258
     /*  863258 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863333), // Rule ID 24661 //
     /*  863263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863331 */     GIR_RootConstrainSelectedInstOperands,
     /*  863332 */     // GIR_Coverage, 24661,
     /*  863332 */     GIR_EraseRootFromParent_Done,
     /*  863333 */   // Label 13221: @863333
     /*  863333 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863408), // Rule ID 24664 //
     /*  863338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  863349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  863352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  863355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863406 */     GIR_RootConstrainSelectedInstOperands,
     /*  863407 */     // GIR_Coverage, 24664,
     /*  863407 */     GIR_EraseRootFromParent_Done,
     /*  863408 */   // Label 13222: @863408
     /*  863408 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863483), // Rule ID 24665 //
     /*  863413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  863424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  863427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  863430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863481 */     GIR_RootConstrainSelectedInstOperands,
     /*  863482 */     // GIR_Coverage, 24665,
     /*  863482 */     GIR_EraseRootFromParent_Done,
     /*  863483 */   // Label 13223: @863483
     /*  863483 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863558), // Rule ID 24668 //
     /*  863488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863556 */     GIR_RootConstrainSelectedInstOperands,
     /*  863557 */     // GIR_Coverage, 24668,
     /*  863557 */     GIR_EraseRootFromParent_Done,
     /*  863558 */   // Label 13224: @863558
     /*  863558 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863633), // Rule ID 24669 //
     /*  863563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863631 */     GIR_RootConstrainSelectedInstOperands,
     /*  863632 */     // GIR_Coverage, 24669,
     /*  863632 */     GIR_EraseRootFromParent_Done,
     /*  863633 */   // Label 13225: @863633
     /*  863633 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863708), // Rule ID 24672 //
     /*  863638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863706 */     GIR_RootConstrainSelectedInstOperands,
     /*  863707 */     // GIR_Coverage, 24672,
     /*  863707 */     GIR_EraseRootFromParent_Done,
     /*  863708 */   // Label 13226: @863708
     /*  863708 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863783), // Rule ID 24673 //
     /*  863713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863781 */     GIR_RootConstrainSelectedInstOperands,
     /*  863782 */     // GIR_Coverage, 24673,
     /*  863782 */     GIR_EraseRootFromParent_Done,
     /*  863783 */   // Label 13227: @863783
     /*  863783 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863858), // Rule ID 24676 //
     /*  863788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863856 */     GIR_RootConstrainSelectedInstOperands,
     /*  863857 */     // GIR_Coverage, 24676,
     /*  863857 */     GIR_EraseRootFromParent_Done,
     /*  863858 */   // Label 13228: @863858
     /*  863858 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863933), // Rule ID 24677 //
     /*  863863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863931 */     GIR_RootConstrainSelectedInstOperands,
     /*  863932 */     // GIR_Coverage, 24677,
     /*  863932 */     GIR_EraseRootFromParent_Done,
     /*  863933 */   // Label 13229: @863933
     /*  863933 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(864008), // Rule ID 24680 //
     /*  863938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864006 */     GIR_RootConstrainSelectedInstOperands,
     /*  864007 */     // GIR_Coverage, 24680,
     /*  864007 */     GIR_EraseRootFromParent_Done,
     /*  864008 */   // Label 13230: @864008
     /*  864008 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(864083), // Rule ID 24681 //
     /*  864013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864081 */     GIR_RootConstrainSelectedInstOperands,
     /*  864082 */     // GIR_Coverage, 24681,
     /*  864082 */     GIR_EraseRootFromParent_Done,
     /*  864083 */   // Label 13231: @864083
     /*  864083 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864158), // Rule ID 24684 //
     /*  864088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864156 */     GIR_RootConstrainSelectedInstOperands,
     /*  864157 */     // GIR_Coverage, 24684,
     /*  864157 */     GIR_EraseRootFromParent_Done,
     /*  864158 */   // Label 13232: @864158
     /*  864158 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864233), // Rule ID 24685 //
     /*  864163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864231 */     GIR_RootConstrainSelectedInstOperands,
     /*  864232 */     // GIR_Coverage, 24685,
     /*  864232 */     GIR_EraseRootFromParent_Done,
     /*  864233 */   // Label 13233: @864233
     /*  864233 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864308), // Rule ID 24688 //
     /*  864238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  864252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  864255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  864287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864306 */     GIR_RootConstrainSelectedInstOperands,
     /*  864307 */     // GIR_Coverage, 24688,
     /*  864307 */     GIR_EraseRootFromParent_Done,
     /*  864308 */   // Label 13234: @864308
     /*  864308 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864383), // Rule ID 24689 //
     /*  864313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  864327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  864330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864359 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  864362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864381 */     GIR_RootConstrainSelectedInstOperands,
     /*  864382 */     // GIR_Coverage, 24689,
     /*  864382 */     GIR_EraseRootFromParent_Done,
     /*  864383 */   // Label 13235: @864383
     /*  864383 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864458), // Rule ID 24692 //
     /*  864388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864456 */     GIR_RootConstrainSelectedInstOperands,
     /*  864457 */     // GIR_Coverage, 24692,
     /*  864457 */     GIR_EraseRootFromParent_Done,
     /*  864458 */   // Label 13236: @864458
     /*  864458 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864533), // Rule ID 24693 //
     /*  864463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864531 */     GIR_RootConstrainSelectedInstOperands,
     /*  864532 */     // GIR_Coverage, 24693,
     /*  864532 */     GIR_EraseRootFromParent_Done,
     /*  864533 */   // Label 13237: @864533
     /*  864533 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864608), // Rule ID 24696 //
     /*  864538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864606 */     GIR_RootConstrainSelectedInstOperands,
     /*  864607 */     // GIR_Coverage, 24696,
     /*  864607 */     GIR_EraseRootFromParent_Done,
     /*  864608 */   // Label 13238: @864608
     /*  864608 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864683), // Rule ID 24697 //
     /*  864613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864681 */     GIR_RootConstrainSelectedInstOperands,
     /*  864682 */     // GIR_Coverage, 24697,
     /*  864682 */     GIR_EraseRootFromParent_Done,
     /*  864683 */   // Label 13239: @864683
     /*  864683 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864758), // Rule ID 24700 //
     /*  864688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864756 */     GIR_RootConstrainSelectedInstOperands,
     /*  864757 */     // GIR_Coverage, 24700,
     /*  864757 */     GIR_EraseRootFromParent_Done,
     /*  864758 */   // Label 13240: @864758
     /*  864758 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864833), // Rule ID 24701 //
     /*  864763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864831 */     GIR_RootConstrainSelectedInstOperands,
     /*  864832 */     // GIR_Coverage, 24701,
     /*  864832 */     GIR_EraseRootFromParent_Done,
     /*  864833 */   // Label 13241: @864833
     /*  864833 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864908), // Rule ID 24704 //
     /*  864838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864906 */     GIR_RootConstrainSelectedInstOperands,
     /*  864907 */     // GIR_Coverage, 24704,
     /*  864907 */     GIR_EraseRootFromParent_Done,
     /*  864908 */   // Label 13242: @864908
     /*  864908 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864983), // Rule ID 24705 //
     /*  864913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864981 */     GIR_RootConstrainSelectedInstOperands,
     /*  864982 */     // GIR_Coverage, 24705,
     /*  864982 */     GIR_EraseRootFromParent_Done,
     /*  864983 */   // Label 13243: @864983
     /*  864983 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(865058), // Rule ID 24708 //
     /*  864988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865056 */     GIR_RootConstrainSelectedInstOperands,
     /*  865057 */     // GIR_Coverage, 24708,
     /*  865057 */     GIR_EraseRootFromParent_Done,
     /*  865058 */   // Label 13244: @865058
     /*  865058 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865133), // Rule ID 24709 //
     /*  865063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865131 */     GIR_RootConstrainSelectedInstOperands,
     /*  865132 */     // GIR_Coverage, 24709,
     /*  865132 */     GIR_EraseRootFromParent_Done,
     /*  865133 */   // Label 13245: @865133
     /*  865133 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865208), // Rule ID 24712 //
     /*  865138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865206 */     GIR_RootConstrainSelectedInstOperands,
     /*  865207 */     // GIR_Coverage, 24712,
     /*  865207 */     GIR_EraseRootFromParent_Done,
     /*  865208 */   // Label 13246: @865208
     /*  865208 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865283), // Rule ID 24713 //
     /*  865213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865281 */     GIR_RootConstrainSelectedInstOperands,
     /*  865282 */     // GIR_Coverage, 24713,
     /*  865282 */     GIR_EraseRootFromParent_Done,
     /*  865283 */   // Label 13247: @865283
     /*  865283 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865358), // Rule ID 24716 //
     /*  865288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865356 */     GIR_RootConstrainSelectedInstOperands,
     /*  865357 */     // GIR_Coverage, 24716,
     /*  865357 */     GIR_EraseRootFromParent_Done,
     /*  865358 */   // Label 13248: @865358
     /*  865358 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865433), // Rule ID 24717 //
     /*  865363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865431 */     GIR_RootConstrainSelectedInstOperands,
     /*  865432 */     // GIR_Coverage, 24717,
     /*  865432 */     GIR_EraseRootFromParent_Done,
     /*  865433 */   // Label 13249: @865433
     /*  865433 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865508), // Rule ID 24720 //
     /*  865438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865506 */     GIR_RootConstrainSelectedInstOperands,
     /*  865507 */     // GIR_Coverage, 24720,
     /*  865507 */     GIR_EraseRootFromParent_Done,
     /*  865508 */   // Label 13250: @865508
     /*  865508 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865583), // Rule ID 24721 //
     /*  865513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865581 */     GIR_RootConstrainSelectedInstOperands,
     /*  865582 */     // GIR_Coverage, 24721,
     /*  865582 */     GIR_EraseRootFromParent_Done,
     /*  865583 */   // Label 13251: @865583
     /*  865583 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865658), // Rule ID 24724 //
     /*  865588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865656 */     GIR_RootConstrainSelectedInstOperands,
     /*  865657 */     // GIR_Coverage, 24724,
     /*  865657 */     GIR_EraseRootFromParent_Done,
     /*  865658 */   // Label 13252: @865658
     /*  865658 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865733), // Rule ID 24725 //
     /*  865663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865731 */     GIR_RootConstrainSelectedInstOperands,
     /*  865732 */     // GIR_Coverage, 24725,
     /*  865732 */     GIR_EraseRootFromParent_Done,
     /*  865733 */   // Label 13253: @865733
     /*  865733 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865808), // Rule ID 24728 //
     /*  865738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865784 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865806 */     GIR_RootConstrainSelectedInstOperands,
     /*  865807 */     // GIR_Coverage, 24728,
     /*  865807 */     GIR_EraseRootFromParent_Done,
     /*  865808 */   // Label 13254: @865808
     /*  865808 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865883), // Rule ID 24729 //
     /*  865813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865859 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865881 */     GIR_RootConstrainSelectedInstOperands,
     /*  865882 */     // GIR_Coverage, 24729,
     /*  865882 */     GIR_EraseRootFromParent_Done,
     /*  865883 */   // Label 13255: @865883
     /*  865883 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865958), // Rule ID 24732 //
     /*  865888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865934 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865956 */     GIR_RootConstrainSelectedInstOperands,
     /*  865957 */     // GIR_Coverage, 24732,
     /*  865957 */     GIR_EraseRootFromParent_Done,
     /*  865958 */   // Label 13256: @865958
     /*  865958 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(866033), // Rule ID 24733 //
     /*  865963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  866012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866031 */     GIR_RootConstrainSelectedInstOperands,
     /*  866032 */     // GIR_Coverage, 24733,
     /*  866032 */     GIR_EraseRootFromParent_Done,
     /*  866033 */   // Label 13257: @866033
     /*  866033 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(866108), // Rule ID 24736 //
     /*  866038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  866058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  866087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866106 */     GIR_RootConstrainSelectedInstOperands,
     /*  866107 */     // GIR_Coverage, 24736,
     /*  866107 */     GIR_EraseRootFromParent_Done,
     /*  866108 */   // Label 13258: @866108
     /*  866108 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866183), // Rule ID 24737 //
     /*  866113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  866133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866159 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  866162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866181 */     GIR_RootConstrainSelectedInstOperands,
     /*  866182 */     // GIR_Coverage, 24737,
     /*  866182 */     GIR_EraseRootFromParent_Done,
     /*  866183 */   // Label 13259: @866183
     /*  866183 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866258), // Rule ID 24740 //
     /*  866188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  866208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866234 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  866237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866256 */     GIR_RootConstrainSelectedInstOperands,
     /*  866257 */     // GIR_Coverage, 24740,
     /*  866257 */     GIR_EraseRootFromParent_Done,
     /*  866258 */   // Label 13260: @866258
     /*  866258 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866333), // Rule ID 24741 //
     /*  866263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  866283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866309 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  866312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866331 */     GIR_RootConstrainSelectedInstOperands,
     /*  866332 */     // GIR_Coverage, 24741,
     /*  866332 */     GIR_EraseRootFromParent_Done,
     /*  866333 */   // Label 13261: @866333
     /*  866333 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866408), // Rule ID 24744 //
     /*  866338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866406 */     GIR_RootConstrainSelectedInstOperands,
     /*  866407 */     // GIR_Coverage, 24744,
     /*  866407 */     GIR_EraseRootFromParent_Done,
     /*  866408 */   // Label 13262: @866408
     /*  866408 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866483), // Rule ID 24745 //
     /*  866413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866459 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866481 */     GIR_RootConstrainSelectedInstOperands,
     /*  866482 */     // GIR_Coverage, 24745,
     /*  866482 */     GIR_EraseRootFromParent_Done,
     /*  866483 */   // Label 13263: @866483
     /*  866483 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866558), // Rule ID 24748 //
     /*  866488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866534 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866556 */     GIR_RootConstrainSelectedInstOperands,
     /*  866557 */     // GIR_Coverage, 24748,
     /*  866557 */     GIR_EraseRootFromParent_Done,
     /*  866558 */   // Label 13264: @866558
     /*  866558 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866633), // Rule ID 24749 //
     /*  866563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866609 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866631 */     GIR_RootConstrainSelectedInstOperands,
     /*  866632 */     // GIR_Coverage, 24749,
     /*  866632 */     GIR_EraseRootFromParent_Done,
     /*  866633 */   // Label 13265: @866633
     /*  866633 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866708), // Rule ID 24752 //
     /*  866638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866684 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866706 */     GIR_RootConstrainSelectedInstOperands,
     /*  866707 */     // GIR_Coverage, 24752,
     /*  866707 */     GIR_EraseRootFromParent_Done,
     /*  866708 */   // Label 13266: @866708
     /*  866708 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866783), // Rule ID 24753 //
     /*  866713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866781 */     GIR_RootConstrainSelectedInstOperands,
     /*  866782 */     // GIR_Coverage, 24753,
     /*  866782 */     GIR_EraseRootFromParent_Done,
     /*  866783 */   // Label 13267: @866783
     /*  866783 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866858), // Rule ID 24756 //
     /*  866788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866834 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866856 */     GIR_RootConstrainSelectedInstOperands,
     /*  866857 */     // GIR_Coverage, 24756,
     /*  866857 */     GIR_EraseRootFromParent_Done,
     /*  866858 */   // Label 13268: @866858
     /*  866858 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866933), // Rule ID 24757 //
     /*  866863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866909 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866931 */     GIR_RootConstrainSelectedInstOperands,
     /*  866932 */     // GIR_Coverage, 24757,
     /*  866932 */     GIR_EraseRootFromParent_Done,
     /*  866933 */   // Label 13269: @866933
     /*  866933 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(867008), // Rule ID 24760 //
     /*  866938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867006 */     GIR_RootConstrainSelectedInstOperands,
     /*  867007 */     // GIR_Coverage, 24760,
     /*  867007 */     GIR_EraseRootFromParent_Done,
     /*  867008 */   // Label 13270: @867008
     /*  867008 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(867083), // Rule ID 24761 //
     /*  867013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  867033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867059 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  867062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867081 */     GIR_RootConstrainSelectedInstOperands,
     /*  867082 */     // GIR_Coverage, 24761,
     /*  867082 */     GIR_EraseRootFromParent_Done,
     /*  867083 */   // Label 13271: @867083
     /*  867083 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(867158), // Rule ID 24764 //
     /*  867088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867134 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867156 */     GIR_RootConstrainSelectedInstOperands,
     /*  867157 */     // GIR_Coverage, 24764,
     /*  867157 */     GIR_EraseRootFromParent_Done,
     /*  867158 */   // Label 13272: @867158
     /*  867158 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(867233), // Rule ID 24765 //
     /*  867163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867231 */     GIR_RootConstrainSelectedInstOperands,
     /*  867232 */     // GIR_Coverage, 24765,
     /*  867232 */     GIR_EraseRootFromParent_Done,
     /*  867233 */   // Label 13273: @867233
     /*  867233 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867308), // Rule ID 24768 //
     /*  867238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867284 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867306 */     GIR_RootConstrainSelectedInstOperands,
     /*  867307 */     // GIR_Coverage, 24768,
     /*  867307 */     GIR_EraseRootFromParent_Done,
     /*  867308 */   // Label 13274: @867308
     /*  867308 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867383), // Rule ID 24769 //
     /*  867313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867359 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867381 */     GIR_RootConstrainSelectedInstOperands,
     /*  867382 */     // GIR_Coverage, 24769,
     /*  867382 */     GIR_EraseRootFromParent_Done,
     /*  867383 */   // Label 13275: @867383
     /*  867383 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867458), // Rule ID 24772 //
     /*  867388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867434 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867456 */     GIR_RootConstrainSelectedInstOperands,
     /*  867457 */     // GIR_Coverage, 24772,
     /*  867457 */     GIR_EraseRootFromParent_Done,
     /*  867458 */   // Label 13276: @867458
     /*  867458 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867533), // Rule ID 24773 //
     /*  867463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867531 */     GIR_RootConstrainSelectedInstOperands,
     /*  867532 */     // GIR_Coverage, 24773,
     /*  867532 */     GIR_EraseRootFromParent_Done,
     /*  867533 */   // Label 13277: @867533
     /*  867533 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867608), // Rule ID 24776 //
     /*  867538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867584 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867606 */     GIR_RootConstrainSelectedInstOperands,
     /*  867607 */     // GIR_Coverage, 24776,
     /*  867607 */     GIR_EraseRootFromParent_Done,
     /*  867608 */   // Label 13278: @867608
     /*  867608 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867683), // Rule ID 24777 //
     /*  867613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867681 */     GIR_RootConstrainSelectedInstOperands,
     /*  867682 */     // GIR_Coverage, 24777,
     /*  867682 */     GIR_EraseRootFromParent_Done,
     /*  867683 */   // Label 13279: @867683
     /*  867683 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867758), // Rule ID 24780 //
     /*  867688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867756 */     GIR_RootConstrainSelectedInstOperands,
     /*  867757 */     // GIR_Coverage, 24780,
     /*  867757 */     GIR_EraseRootFromParent_Done,
     /*  867758 */   // Label 13280: @867758
     /*  867758 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867833), // Rule ID 24781 //
     /*  867763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867809 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867831 */     GIR_RootConstrainSelectedInstOperands,
     /*  867832 */     // GIR_Coverage, 24781,
     /*  867832 */     GIR_EraseRootFromParent_Done,
     /*  867833 */   // Label 13281: @867833
     /*  867833 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867908), // Rule ID 24784 //
     /*  867838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867884 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867906 */     GIR_RootConstrainSelectedInstOperands,
     /*  867907 */     // GIR_Coverage, 24784,
     /*  867907 */     GIR_EraseRootFromParent_Done,
     /*  867908 */   // Label 13282: @867908
     /*  867908 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867983), // Rule ID 24785 //
     /*  867913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867959 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867981 */     GIR_RootConstrainSelectedInstOperands,
     /*  867982 */     // GIR_Coverage, 24785,
     /*  867982 */     GIR_EraseRootFromParent_Done,
     /*  867983 */   // Label 13283: @867983
     /*  867983 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(868058), // Rule ID 24788 //
     /*  867988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868034 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868056 */     GIR_RootConstrainSelectedInstOperands,
     /*  868057 */     // GIR_Coverage, 24788,
     /*  868057 */     GIR_EraseRootFromParent_Done,
     /*  868058 */   // Label 13284: @868058
     /*  868058 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(868133), // Rule ID 24789 //
     /*  868063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868131 */     GIR_RootConstrainSelectedInstOperands,
     /*  868132 */     // GIR_Coverage, 24789,
     /*  868132 */     GIR_EraseRootFromParent_Done,
     /*  868133 */   // Label 13285: @868133
     /*  868133 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(868208), // Rule ID 24792 //
     /*  868138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  868141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868184 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868206 */     GIR_RootConstrainSelectedInstOperands,
     /*  868207 */     // GIR_Coverage, 24792,
     /*  868207 */     GIR_EraseRootFromParent_Done,
     /*  868208 */   // Label 13286: @868208
     /*  868208 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868283), // Rule ID 24793 //
     /*  868213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868259 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868281 */     GIR_RootConstrainSelectedInstOperands,
     /*  868282 */     // GIR_Coverage, 24793,
     /*  868282 */     GIR_EraseRootFromParent_Done,
     /*  868283 */   // Label 13287: @868283
     /*  868283 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868358), // Rule ID 24796 //
     /*  868288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  868291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868334 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868356 */     GIR_RootConstrainSelectedInstOperands,
     /*  868357 */     // GIR_Coverage, 24796,
     /*  868357 */     GIR_EraseRootFromParent_Done,
     /*  868358 */   // Label 13288: @868358
     /*  868358 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868433), // Rule ID 24797 //
     /*  868363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  868366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868409 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868431 */     GIR_RootConstrainSelectedInstOperands,
     /*  868432 */     // GIR_Coverage, 24797,
     /*  868432 */     GIR_EraseRootFromParent_Done,
     /*  868433 */   // Label 13289: @868433
     /*  868433 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868508), // Rule ID 24836 //
     /*  868438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868506 */     GIR_RootConstrainSelectedInstOperands,
     /*  868507 */     // GIR_Coverage, 24836,
     /*  868507 */     GIR_EraseRootFromParent_Done,
     /*  868508 */   // Label 13290: @868508
     /*  868508 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868583), // Rule ID 24837 //
     /*  868513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868559 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868581 */     GIR_RootConstrainSelectedInstOperands,
     /*  868582 */     // GIR_Coverage, 24837,
     /*  868582 */     GIR_EraseRootFromParent_Done,
     /*  868583 */   // Label 13291: @868583
     /*  868583 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868658), // Rule ID 24840 //
     /*  868588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868634 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868656 */     GIR_RootConstrainSelectedInstOperands,
     /*  868657 */     // GIR_Coverage, 24840,
     /*  868657 */     GIR_EraseRootFromParent_Done,
     /*  868658 */   // Label 13292: @868658
     /*  868658 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868733), // Rule ID 24841 //
     /*  868663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868709 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868731 */     GIR_RootConstrainSelectedInstOperands,
     /*  868732 */     // GIR_Coverage, 24841,
     /*  868732 */     GIR_EraseRootFromParent_Done,
     /*  868733 */   // Label 13293: @868733
     /*  868733 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868808), // Rule ID 24844 //
     /*  868738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868784 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868806 */     GIR_RootConstrainSelectedInstOperands,
     /*  868807 */     // GIR_Coverage, 24844,
     /*  868807 */     GIR_EraseRootFromParent_Done,
     /*  868808 */   // Label 13294: @868808
     /*  868808 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868883), // Rule ID 24845 //
     /*  868813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868859 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868881 */     GIR_RootConstrainSelectedInstOperands,
     /*  868882 */     // GIR_Coverage, 24845,
     /*  868882 */     GIR_EraseRootFromParent_Done,
     /*  868883 */   // Label 13295: @868883
     /*  868883 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868958), // Rule ID 24848 //
     /*  868888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868934 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868956 */     GIR_RootConstrainSelectedInstOperands,
     /*  868957 */     // GIR_Coverage, 24848,
     /*  868957 */     GIR_EraseRootFromParent_Done,
     /*  868958 */   // Label 13296: @868958
     /*  868958 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(869033), // Rule ID 24849 //
     /*  868963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869009 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  869012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869031 */     GIR_RootConstrainSelectedInstOperands,
     /*  869032 */     // GIR_Coverage, 24849,
     /*  869032 */     GIR_EraseRootFromParent_Done,
     /*  869033 */   // Label 13297: @869033
     /*  869033 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(869108), // Rule ID 24852 //
     /*  869038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869084 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  869087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869106 */     GIR_RootConstrainSelectedInstOperands,
     /*  869107 */     // GIR_Coverage, 24852,
     /*  869107 */     GIR_EraseRootFromParent_Done,
     /*  869108 */   // Label 13298: @869108
     /*  869108 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(869183), // Rule ID 24853 //
     /*  869113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  869162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869181 */     GIR_RootConstrainSelectedInstOperands,
     /*  869182 */     // GIR_Coverage, 24853,
     /*  869182 */     GIR_EraseRootFromParent_Done,
     /*  869183 */   // Label 13299: @869183
     /*  869183 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(869258), // Rule ID 24856 //
     /*  869188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869234 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  869237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869256 */     GIR_RootConstrainSelectedInstOperands,
     /*  869257 */     // GIR_Coverage, 24856,
     /*  869257 */     GIR_EraseRootFromParent_Done,
     /*  869258 */   // Label 13300: @869258
     /*  869258 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869333), // Rule ID 24857 //
     /*  869263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  869312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869331 */     GIR_RootConstrainSelectedInstOperands,
     /*  869332 */     // GIR_Coverage, 24857,
     /*  869332 */     GIR_EraseRootFromParent_Done,
     /*  869333 */   // Label 13301: @869333
     /*  869333 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869408), // Rule ID 24860 //
     /*  869338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869384 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869406 */     GIR_RootConstrainSelectedInstOperands,
     /*  869407 */     // GIR_Coverage, 24860,
     /*  869407 */     GIR_EraseRootFromParent_Done,
     /*  869408 */   // Label 13302: @869408
     /*  869408 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869483), // Rule ID 24861 //
     /*  869413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869459 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869481 */     GIR_RootConstrainSelectedInstOperands,
     /*  869482 */     // GIR_Coverage, 24861,
     /*  869482 */     GIR_EraseRootFromParent_Done,
     /*  869483 */   // Label 13303: @869483
     /*  869483 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869558), // Rule ID 24864 //
     /*  869488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869534 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869556 */     GIR_RootConstrainSelectedInstOperands,
     /*  869557 */     // GIR_Coverage, 24864,
     /*  869557 */     GIR_EraseRootFromParent_Done,
     /*  869558 */   // Label 13304: @869558
     /*  869558 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869633), // Rule ID 24865 //
     /*  869563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869609 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869631 */     GIR_RootConstrainSelectedInstOperands,
     /*  869632 */     // GIR_Coverage, 24865,
     /*  869632 */     GIR_EraseRootFromParent_Done,
     /*  869633 */   // Label 13305: @869633
     /*  869633 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869708), // Rule ID 24868 //
     /*  869638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869706 */     GIR_RootConstrainSelectedInstOperands,
     /*  869707 */     // GIR_Coverage, 24868,
     /*  869707 */     GIR_EraseRootFromParent_Done,
     /*  869708 */   // Label 13306: @869708
     /*  869708 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869783), // Rule ID 24869 //
     /*  869713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869759 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869781 */     GIR_RootConstrainSelectedInstOperands,
     /*  869782 */     // GIR_Coverage, 24869,
     /*  869782 */     GIR_EraseRootFromParent_Done,
     /*  869783 */   // Label 13307: @869783
     /*  869783 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869858), // Rule ID 24872 //
     /*  869788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869834 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869856 */     GIR_RootConstrainSelectedInstOperands,
     /*  869857 */     // GIR_Coverage, 24872,
     /*  869857 */     GIR_EraseRootFromParent_Done,
     /*  869858 */   // Label 13308: @869858
     /*  869858 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869933), // Rule ID 24873 //
     /*  869863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869909 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869931 */     GIR_RootConstrainSelectedInstOperands,
     /*  869932 */     // GIR_Coverage, 24873,
     /*  869932 */     GIR_EraseRootFromParent_Done,
     /*  869933 */   // Label 13309: @869933
     /*  869933 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(870008), // Rule ID 24876 //
     /*  869938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869984 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870006 */     GIR_RootConstrainSelectedInstOperands,
     /*  870007 */     // GIR_Coverage, 24876,
     /*  870007 */     GIR_EraseRootFromParent_Done,
     /*  870008 */   // Label 13310: @870008
     /*  870008 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(870083), // Rule ID 24877 //
     /*  870013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  870030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870059 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870081 */     GIR_RootConstrainSelectedInstOperands,
     /*  870082 */     // GIR_Coverage, 24877,
     /*  870082 */     GIR_EraseRootFromParent_Done,
     /*  870083 */   // Label 13311: @870083
     /*  870083 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(870158), // Rule ID 24880 //
     /*  870088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  870099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  870102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  870105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870156 */     GIR_RootConstrainSelectedInstOperands,
     /*  870157 */     // GIR_Coverage, 24880,
     /*  870157 */     GIR_EraseRootFromParent_Done,
     /*  870158 */   // Label 13312: @870158
     /*  870158 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(870233), // Rule ID 24881 //
     /*  870163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  870174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  870177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  870180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870209 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870231 */     GIR_RootConstrainSelectedInstOperands,
     /*  870232 */     // GIR_Coverage, 24881,
     /*  870232 */     GIR_EraseRootFromParent_Done,
     /*  870233 */   // Label 13313: @870233
     /*  870233 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870308), // Rule ID 24908 //
     /*  870238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  870287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870306 */     GIR_RootConstrainSelectedInstOperands,
     /*  870307 */     // GIR_Coverage, 24908,
     /*  870307 */     GIR_EraseRootFromParent_Done,
     /*  870308 */   // Label 13314: @870308
     /*  870308 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870383), // Rule ID 24909 //
     /*  870313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870359 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  870362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870381 */     GIR_RootConstrainSelectedInstOperands,
     /*  870382 */     // GIR_Coverage, 24909,
     /*  870382 */     GIR_EraseRootFromParent_Done,
     /*  870383 */   // Label 13315: @870383
     /*  870383 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870458), // Rule ID 24912 //
     /*  870388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870456 */     GIR_RootConstrainSelectedInstOperands,
     /*  870457 */     // GIR_Coverage, 24912,
     /*  870457 */     GIR_EraseRootFromParent_Done,
     /*  870458 */   // Label 13316: @870458
     /*  870458 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870533), // Rule ID 24913 //
     /*  870463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870531 */     GIR_RootConstrainSelectedInstOperands,
     /*  870532 */     // GIR_Coverage, 24913,
     /*  870532 */     GIR_EraseRootFromParent_Done,
     /*  870533 */   // Label 13317: @870533
     /*  870533 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870608), // Rule ID 24916 //
     /*  870538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870606 */     GIR_RootConstrainSelectedInstOperands,
     /*  870607 */     // GIR_Coverage, 24916,
     /*  870607 */     GIR_EraseRootFromParent_Done,
     /*  870608 */   // Label 13318: @870608
     /*  870608 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870683), // Rule ID 24917 //
     /*  870613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870681 */     GIR_RootConstrainSelectedInstOperands,
     /*  870682 */     // GIR_Coverage, 24917,
     /*  870682 */     GIR_EraseRootFromParent_Done,
     /*  870683 */   // Label 13319: @870683
     /*  870683 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870758), // Rule ID 24920 //
     /*  870688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870756 */     GIR_RootConstrainSelectedInstOperands,
     /*  870757 */     // GIR_Coverage, 24920,
     /*  870757 */     GIR_EraseRootFromParent_Done,
     /*  870758 */   // Label 13320: @870758
     /*  870758 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870833), // Rule ID 24921 //
     /*  870763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870809 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870831 */     GIR_RootConstrainSelectedInstOperands,
     /*  870832 */     // GIR_Coverage, 24921,
     /*  870832 */     GIR_EraseRootFromParent_Done,
     /*  870833 */   // Label 13321: @870833
     /*  870833 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870908), // Rule ID 24924 //
     /*  870838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870906 */     GIR_RootConstrainSelectedInstOperands,
     /*  870907 */     // GIR_Coverage, 24924,
     /*  870907 */     GIR_EraseRootFromParent_Done,
     /*  870908 */   // Label 13322: @870908
     /*  870908 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870983), // Rule ID 24925 //
     /*  870913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870959 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870981 */     GIR_RootConstrainSelectedInstOperands,
     /*  870982 */     // GIR_Coverage, 24925,
     /*  870982 */     GIR_EraseRootFromParent_Done,
     /*  870983 */   // Label 13323: @870983
     /*  870983 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(871058), // Rule ID 24928 //
     /*  870988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871056 */     GIR_RootConstrainSelectedInstOperands,
     /*  871057 */     // GIR_Coverage, 24928,
     /*  871057 */     GIR_EraseRootFromParent_Done,
     /*  871058 */   // Label 13324: @871058
     /*  871058 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(871133), // Rule ID 24929 //
     /*  871063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871131 */     GIR_RootConstrainSelectedInstOperands,
     /*  871132 */     // GIR_Coverage, 24929,
     /*  871132 */     GIR_EraseRootFromParent_Done,
     /*  871133 */   // Label 13325: @871133
     /*  871133 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(871208), // Rule ID 24932 //
     /*  871138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871206 */     GIR_RootConstrainSelectedInstOperands,
     /*  871207 */     // GIR_Coverage, 24932,
     /*  871207 */     GIR_EraseRootFromParent_Done,
     /*  871208 */   // Label 13326: @871208
     /*  871208 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871283), // Rule ID 24933 //
     /*  871213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871281 */     GIR_RootConstrainSelectedInstOperands,
     /*  871282 */     // GIR_Coverage, 24933,
     /*  871282 */     GIR_EraseRootFromParent_Done,
     /*  871283 */   // Label 13327: @871283
     /*  871283 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871358), // Rule ID 24936 //
     /*  871288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  871337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871356 */     GIR_RootConstrainSelectedInstOperands,
     /*  871357 */     // GIR_Coverage, 24936,
     /*  871357 */     GIR_EraseRootFromParent_Done,
     /*  871358 */   // Label 13328: @871358
     /*  871358 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871433), // Rule ID 24937 //
     /*  871363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871409 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  871412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871431 */     GIR_RootConstrainSelectedInstOperands,
     /*  871432 */     // GIR_Coverage, 24937,
     /*  871432 */     GIR_EraseRootFromParent_Done,
     /*  871433 */   // Label 13329: @871433
     /*  871433 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871508), // Rule ID 24940 //
     /*  871438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871484 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871506 */     GIR_RootConstrainSelectedInstOperands,
     /*  871507 */     // GIR_Coverage, 24940,
     /*  871507 */     GIR_EraseRootFromParent_Done,
     /*  871508 */   // Label 13330: @871508
     /*  871508 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871583), // Rule ID 24941 //
     /*  871513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871559 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871581 */     GIR_RootConstrainSelectedInstOperands,
     /*  871582 */     // GIR_Coverage, 24941,
     /*  871582 */     GIR_EraseRootFromParent_Done,
     /*  871583 */   // Label 13331: @871583
     /*  871583 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871658), // Rule ID 24944 //
     /*  871588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871656 */     GIR_RootConstrainSelectedInstOperands,
     /*  871657 */     // GIR_Coverage, 24944,
     /*  871657 */     GIR_EraseRootFromParent_Done,
     /*  871658 */   // Label 13332: @871658
     /*  871658 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871733), // Rule ID 24945 //
     /*  871663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871731 */     GIR_RootConstrainSelectedInstOperands,
     /*  871732 */     // GIR_Coverage, 24945,
     /*  871732 */     GIR_EraseRootFromParent_Done,
     /*  871733 */   // Label 13333: @871733
     /*  871733 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871808), // Rule ID 24948 //
     /*  871738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871806 */     GIR_RootConstrainSelectedInstOperands,
     /*  871807 */     // GIR_Coverage, 24948,
     /*  871807 */     GIR_EraseRootFromParent_Done,
     /*  871808 */   // Label 13334: @871808
     /*  871808 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871883), // Rule ID 24949 //
     /*  871813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871881 */     GIR_RootConstrainSelectedInstOperands,
     /*  871882 */     // GIR_Coverage, 24949,
     /*  871882 */     GIR_EraseRootFromParent_Done,
     /*  871883 */   // Label 13335: @871883
     /*  871883 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871958), // Rule ID 24952 //
     /*  871888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871934 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871956 */     GIR_RootConstrainSelectedInstOperands,
     /*  871957 */     // GIR_Coverage, 24952,
     /*  871957 */     GIR_EraseRootFromParent_Done,
     /*  871958 */   // Label 13336: @871958
     /*  871958 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(872033), // Rule ID 24953 //
     /*  871963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872009 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  872012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872031 */     GIR_RootConstrainSelectedInstOperands,
     /*  872032 */     // GIR_Coverage, 24953,
     /*  872032 */     GIR_EraseRootFromParent_Done,
     /*  872033 */   // Label 13337: @872033
     /*  872033 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(872108), // Rule ID 24956 //
     /*  872038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872106 */     GIR_RootConstrainSelectedInstOperands,
     /*  872107 */     // GIR_Coverage, 24956,
     /*  872107 */     GIR_EraseRootFromParent_Done,
     /*  872108 */   // Label 13338: @872108
     /*  872108 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(872183), // Rule ID 24957 //
     /*  872113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872159 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872181 */     GIR_RootConstrainSelectedInstOperands,
     /*  872182 */     // GIR_Coverage, 24957,
     /*  872182 */     GIR_EraseRootFromParent_Done,
     /*  872183 */   // Label 13339: @872183
     /*  872183 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(872258), // Rule ID 24960 //
     /*  872188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872256 */     GIR_RootConstrainSelectedInstOperands,
     /*  872257 */     // GIR_Coverage, 24960,
     /*  872257 */     GIR_EraseRootFromParent_Done,
     /*  872258 */   // Label 13340: @872258
     /*  872258 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872333), // Rule ID 24961 //
     /*  872263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872331 */     GIR_RootConstrainSelectedInstOperands,
     /*  872332 */     // GIR_Coverage, 24961,
     /*  872332 */     GIR_EraseRootFromParent_Done,
     /*  872333 */   // Label 13341: @872333
     /*  872333 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872408), // Rule ID 24964 //
     /*  872338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  872341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872406 */     GIR_RootConstrainSelectedInstOperands,
     /*  872407 */     // GIR_Coverage, 24964,
     /*  872407 */     GIR_EraseRootFromParent_Done,
     /*  872408 */   // Label 13342: @872408
     /*  872408 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872483), // Rule ID 24965 //
     /*  872413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  872416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872459 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872481 */     GIR_RootConstrainSelectedInstOperands,
     /*  872482 */     // GIR_Coverage, 24965,
     /*  872482 */     GIR_EraseRootFromParent_Done,
     /*  872483 */   // Label 13343: @872483
     /*  872483 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872555), // Rule ID 24968 //
     /*  872488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872553 */     GIR_RootConstrainSelectedInstOperands,
     /*  872554 */     // GIR_Coverage, 24968,
     /*  872554 */     GIR_EraseRootFromParent_Done,
     /*  872555 */   // Label 13344: @872555
     /*  872555 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872627), // Rule ID 24969 //
     /*  872560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872625 */     GIR_RootConstrainSelectedInstOperands,
     /*  872626 */     // GIR_Coverage, 24969,
     /*  872626 */     GIR_EraseRootFromParent_Done,
     /*  872627 */   // Label 13345: @872627
     /*  872627 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872699), // Rule ID 24970 //
     /*  872632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872697 */     GIR_RootConstrainSelectedInstOperands,
     /*  872698 */     // GIR_Coverage, 24970,
     /*  872698 */     GIR_EraseRootFromParent_Done,
     /*  872699 */   // Label 13346: @872699
     /*  872699 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872771), // Rule ID 24971 //
     /*  872704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872769 */     GIR_RootConstrainSelectedInstOperands,
     /*  872770 */     // GIR_Coverage, 24971,
     /*  872770 */     GIR_EraseRootFromParent_Done,
     /*  872771 */   // Label 13347: @872771
     /*  872771 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872843), // Rule ID 24972 //
     /*  872776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872841 */     GIR_RootConstrainSelectedInstOperands,
     /*  872842 */     // GIR_Coverage, 24972,
     /*  872842 */     GIR_EraseRootFromParent_Done,
     /*  872843 */   // Label 13348: @872843
     /*  872843 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872915), // Rule ID 24973 //
     /*  872848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872913 */     GIR_RootConstrainSelectedInstOperands,
     /*  872914 */     // GIR_Coverage, 24973,
     /*  872914 */     GIR_EraseRootFromParent_Done,
     /*  872915 */   // Label 13349: @872915
     /*  872915 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872987), // Rule ID 24974 //
     /*  872920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872985 */     GIR_RootConstrainSelectedInstOperands,
     /*  872986 */     // GIR_Coverage, 24974,
     /*  872986 */     GIR_EraseRootFromParent_Done,
     /*  872987 */   // Label 13350: @872987
     /*  872987 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(873059), // Rule ID 24975 //
     /*  872992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  873041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873057 */     GIR_RootConstrainSelectedInstOperands,
     /*  873058 */     // GIR_Coverage, 24975,
     /*  873058 */     GIR_EraseRootFromParent_Done,
     /*  873059 */   // Label 13351: @873059
     /*  873059 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(873131), // Rule ID 24976 //
     /*  873064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873129 */     GIR_RootConstrainSelectedInstOperands,
     /*  873130 */     // GIR_Coverage, 24976,
     /*  873130 */     GIR_EraseRootFromParent_Done,
     /*  873131 */   // Label 13352: @873131
     /*  873131 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(873203), // Rule ID 24977 //
     /*  873136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873201 */     GIR_RootConstrainSelectedInstOperands,
     /*  873202 */     // GIR_Coverage, 24977,
     /*  873202 */     GIR_EraseRootFromParent_Done,
     /*  873203 */   // Label 13353: @873203
     /*  873203 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873275), // Rule ID 24978 //
     /*  873208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  873257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873273 */     GIR_RootConstrainSelectedInstOperands,
     /*  873274 */     // GIR_Coverage, 24978,
     /*  873274 */     GIR_EraseRootFromParent_Done,
     /*  873275 */   // Label 13354: @873275
     /*  873275 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873347), // Rule ID 24979 //
     /*  873280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  873329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873345 */     GIR_RootConstrainSelectedInstOperands,
     /*  873346 */     // GIR_Coverage, 24979,
     /*  873346 */     GIR_EraseRootFromParent_Done,
     /*  873347 */   // Label 13355: @873347
     /*  873347 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873419), // Rule ID 24980 //
     /*  873352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873417 */     GIR_RootConstrainSelectedInstOperands,
     /*  873418 */     // GIR_Coverage, 24980,
     /*  873418 */     GIR_EraseRootFromParent_Done,
     /*  873419 */   // Label 13356: @873419
     /*  873419 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873491), // Rule ID 24981 //
     /*  873424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873489 */     GIR_RootConstrainSelectedInstOperands,
     /*  873490 */     // GIR_Coverage, 24981,
     /*  873490 */     GIR_EraseRootFromParent_Done,
     /*  873491 */   // Label 13357: @873491
     /*  873491 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873563), // Rule ID 24982 //
     /*  873496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873561 */     GIR_RootConstrainSelectedInstOperands,
     /*  873562 */     // GIR_Coverage, 24982,
     /*  873562 */     GIR_EraseRootFromParent_Done,
     /*  873563 */   // Label 13358: @873563
     /*  873563 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873635), // Rule ID 24983 //
     /*  873568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873633 */     GIR_RootConstrainSelectedInstOperands,
     /*  873634 */     // GIR_Coverage, 24983,
     /*  873634 */     GIR_EraseRootFromParent_Done,
     /*  873635 */   // Label 13359: @873635
     /*  873635 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873707), // Rule ID 24984 //
     /*  873640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873705 */     GIR_RootConstrainSelectedInstOperands,
     /*  873706 */     // GIR_Coverage, 24984,
     /*  873706 */     GIR_EraseRootFromParent_Done,
     /*  873707 */   // Label 13360: @873707
     /*  873707 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873779), // Rule ID 24985 //
     /*  873712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873777 */     GIR_RootConstrainSelectedInstOperands,
     /*  873778 */     // GIR_Coverage, 24985,
     /*  873778 */     GIR_EraseRootFromParent_Done,
     /*  873779 */   // Label 13361: @873779
     /*  873779 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873851), // Rule ID 24986 //
     /*  873784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873830 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873849 */     GIR_RootConstrainSelectedInstOperands,
     /*  873850 */     // GIR_Coverage, 24986,
     /*  873850 */     GIR_EraseRootFromParent_Done,
     /*  873851 */   // Label 13362: @873851
     /*  873851 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873923), // Rule ID 24987 //
     /*  873856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873921 */     GIR_RootConstrainSelectedInstOperands,
     /*  873922 */     // GIR_Coverage, 24987,
     /*  873922 */     GIR_EraseRootFromParent_Done,
     /*  873923 */   // Label 13363: @873923
     /*  873923 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873995), // Rule ID 24988 //
     /*  873928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873993 */     GIR_RootConstrainSelectedInstOperands,
     /*  873994 */     // GIR_Coverage, 24988,
     /*  873994 */     GIR_EraseRootFromParent_Done,
     /*  873995 */   // Label 13364: @873995
     /*  873995 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(874067), // Rule ID 24989 //
     /*  874000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  874011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  874014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  874049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874065 */     GIR_RootConstrainSelectedInstOperands,
     /*  874066 */     // GIR_Coverage, 24989,
     /*  874066 */     GIR_EraseRootFromParent_Done,
     /*  874067 */   // Label 13365: @874067
     /*  874067 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(874139), // Rule ID 24990 //
     /*  874072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874137 */     GIR_RootConstrainSelectedInstOperands,
     /*  874138 */     // GIR_Coverage, 24990,
     /*  874138 */     GIR_EraseRootFromParent_Done,
     /*  874139 */   // Label 13366: @874139
     /*  874139 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874211), // Rule ID 24991 //
     /*  874144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874209 */     GIR_RootConstrainSelectedInstOperands,
     /*  874210 */     // GIR_Coverage, 24991,
     /*  874210 */     GIR_EraseRootFromParent_Done,
     /*  874211 */   // Label 13367: @874211
     /*  874211 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874283), // Rule ID 24992 //
     /*  874216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  874265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874281 */     GIR_RootConstrainSelectedInstOperands,
     /*  874282 */     // GIR_Coverage, 24992,
     /*  874282 */     GIR_EraseRootFromParent_Done,
     /*  874283 */   // Label 13368: @874283
     /*  874283 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874355), // Rule ID 24993 //
     /*  874288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  874337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874353 */     GIR_RootConstrainSelectedInstOperands,
     /*  874354 */     // GIR_Coverage, 24993,
     /*  874354 */     GIR_EraseRootFromParent_Done,
     /*  874355 */   // Label 13369: @874355
     /*  874355 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874427), // Rule ID 24994 //
     /*  874360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874425 */     GIR_RootConstrainSelectedInstOperands,
     /*  874426 */     // GIR_Coverage, 24994,
     /*  874426 */     GIR_EraseRootFromParent_Done,
     /*  874427 */   // Label 13370: @874427
     /*  874427 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874499), // Rule ID 24995 //
     /*  874432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874497 */     GIR_RootConstrainSelectedInstOperands,
     /*  874498 */     // GIR_Coverage, 24995,
     /*  874498 */     GIR_EraseRootFromParent_Done,
     /*  874499 */   // Label 13371: @874499
     /*  874499 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874571), // Rule ID 24996 //
     /*  874504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874569 */     GIR_RootConstrainSelectedInstOperands,
     /*  874570 */     // GIR_Coverage, 24996,
     /*  874570 */     GIR_EraseRootFromParent_Done,
     /*  874571 */   // Label 13372: @874571
     /*  874571 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874643), // Rule ID 24997 //
     /*  874576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874641 */     GIR_RootConstrainSelectedInstOperands,
     /*  874642 */     // GIR_Coverage, 24997,
     /*  874642 */     GIR_EraseRootFromParent_Done,
     /*  874643 */   // Label 13373: @874643
     /*  874643 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874715), // Rule ID 24998 //
     /*  874648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874713 */     GIR_RootConstrainSelectedInstOperands,
     /*  874714 */     // GIR_Coverage, 24998,
     /*  874714 */     GIR_EraseRootFromParent_Done,
     /*  874715 */   // Label 13374: @874715
     /*  874715 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874787), // Rule ID 24999 //
     /*  874720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874785 */     GIR_RootConstrainSelectedInstOperands,
     /*  874786 */     // GIR_Coverage, 24999,
     /*  874786 */     GIR_EraseRootFromParent_Done,
     /*  874787 */   // Label 13375: @874787
     /*  874787 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874859), // Rule ID 25000 //
     /*  874792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874857 */     GIR_RootConstrainSelectedInstOperands,
     /*  874858 */     // GIR_Coverage, 25000,
     /*  874858 */     GIR_EraseRootFromParent_Done,
     /*  874859 */   // Label 13376: @874859
     /*  874859 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874931), // Rule ID 25001 //
     /*  874864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874929 */     GIR_RootConstrainSelectedInstOperands,
     /*  874930 */     // GIR_Coverage, 25001,
     /*  874930 */     GIR_EraseRootFromParent_Done,
     /*  874931 */   // Label 13377: @874931
     /*  874931 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(875003), // Rule ID 25002 //
     /*  874936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875001 */     GIR_RootConstrainSelectedInstOperands,
     /*  875002 */     // GIR_Coverage, 25002,
     /*  875002 */     GIR_EraseRootFromParent_Done,
     /*  875003 */   // Label 13378: @875003
     /*  875003 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(875075), // Rule ID 25003 //
     /*  875008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875073 */     GIR_RootConstrainSelectedInstOperands,
     /*  875074 */     // GIR_Coverage, 25003,
     /*  875074 */     GIR_EraseRootFromParent_Done,
     /*  875075 */   // Label 13379: @875075
     /*  875075 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(875147), // Rule ID 25004 //
     /*  875080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875145 */     GIR_RootConstrainSelectedInstOperands,
     /*  875146 */     // GIR_Coverage, 25004,
     /*  875146 */     GIR_EraseRootFromParent_Done,
     /*  875147 */   // Label 13380: @875147
     /*  875147 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875219), // Rule ID 25005 //
     /*  875152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875217 */     GIR_RootConstrainSelectedInstOperands,
     /*  875218 */     // GIR_Coverage, 25005,
     /*  875218 */     GIR_EraseRootFromParent_Done,
     /*  875219 */   // Label 13381: @875219
     /*  875219 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875291), // Rule ID 25006 //
     /*  875224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875289 */     GIR_RootConstrainSelectedInstOperands,
     /*  875290 */     // GIR_Coverage, 25006,
     /*  875290 */     GIR_EraseRootFromParent_Done,
     /*  875291 */   // Label 13382: @875291
     /*  875291 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875363), // Rule ID 25007 //
     /*  875296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875361 */     GIR_RootConstrainSelectedInstOperands,
     /*  875362 */     // GIR_Coverage, 25007,
     /*  875362 */     GIR_EraseRootFromParent_Done,
     /*  875363 */   // Label 13383: @875363
     /*  875363 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875435), // Rule ID 25008 //
     /*  875368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875433 */     GIR_RootConstrainSelectedInstOperands,
     /*  875434 */     // GIR_Coverage, 25008,
     /*  875434 */     GIR_EraseRootFromParent_Done,
     /*  875435 */   // Label 13384: @875435
     /*  875435 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875507), // Rule ID 25009 //
     /*  875440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875505 */     GIR_RootConstrainSelectedInstOperands,
     /*  875506 */     // GIR_Coverage, 25009,
     /*  875506 */     GIR_EraseRootFromParent_Done,
     /*  875507 */   // Label 13385: @875507
     /*  875507 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875579), // Rule ID 25010 //
     /*  875512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875558 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875577 */     GIR_RootConstrainSelectedInstOperands,
     /*  875578 */     // GIR_Coverage, 25010,
     /*  875578 */     GIR_EraseRootFromParent_Done,
     /*  875579 */   // Label 13386: @875579
     /*  875579 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875651), // Rule ID 25011 //
     /*  875584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875630 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875649 */     GIR_RootConstrainSelectedInstOperands,
     /*  875650 */     // GIR_Coverage, 25011,
     /*  875650 */     GIR_EraseRootFromParent_Done,
     /*  875651 */   // Label 13387: @875651
     /*  875651 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875723), // Rule ID 25012 //
     /*  875656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875721 */     GIR_RootConstrainSelectedInstOperands,
     /*  875722 */     // GIR_Coverage, 25012,
     /*  875722 */     GIR_EraseRootFromParent_Done,
     /*  875723 */   // Label 13388: @875723
     /*  875723 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875795), // Rule ID 25013 //
     /*  875728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875774 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875793 */     GIR_RootConstrainSelectedInstOperands,
     /*  875794 */     // GIR_Coverage, 25013,
     /*  875794 */     GIR_EraseRootFromParent_Done,
     /*  875795 */   // Label 13389: @875795
     /*  875795 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875867), // Rule ID 25014 //
     /*  875800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875865 */     GIR_RootConstrainSelectedInstOperands,
     /*  875866 */     // GIR_Coverage, 25014,
     /*  875866 */     GIR_EraseRootFromParent_Done,
     /*  875867 */   // Label 13390: @875867
     /*  875867 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875939), // Rule ID 25015 //
     /*  875872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875918 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875937 */     GIR_RootConstrainSelectedInstOperands,
     /*  875938 */     // GIR_Coverage, 25015,
     /*  875938 */     GIR_EraseRootFromParent_Done,
     /*  875939 */   // Label 13391: @875939
     /*  875939 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(876011), // Rule ID 25016 //
     /*  875944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876009 */     GIR_RootConstrainSelectedInstOperands,
     /*  876010 */     // GIR_Coverage, 25016,
     /*  876010 */     GIR_EraseRootFromParent_Done,
     /*  876011 */   // Label 13392: @876011
     /*  876011 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(876083), // Rule ID 25017 //
     /*  876016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  876027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  876030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876062 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  876065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876081 */     GIR_RootConstrainSelectedInstOperands,
     /*  876082 */     // GIR_Coverage, 25017,
     /*  876082 */     GIR_EraseRootFromParent_Done,
     /*  876083 */   // Label 13393: @876083
     /*  876083 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876155), // Rule ID 25018 //
     /*  876088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  876091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876134 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  876137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876153 */     GIR_RootConstrainSelectedInstOperands,
     /*  876154 */     // GIR_Coverage, 25018,
     /*  876154 */     GIR_EraseRootFromParent_Done,
     /*  876155 */   // Label 13394: @876155
     /*  876155 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876227), // Rule ID 25019 //
     /*  876160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876206 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  876209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876225 */     GIR_RootConstrainSelectedInstOperands,
     /*  876226 */     // GIR_Coverage, 25019,
     /*  876226 */     GIR_EraseRootFromParent_Done,
     /*  876227 */   // Label 13395: @876227
     /*  876227 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876299), // Rule ID 25020 //
     /*  876232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  876235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  876252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  876281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876297 */     GIR_RootConstrainSelectedInstOperands,
     /*  876298 */     // GIR_Coverage, 25020,
     /*  876298 */     GIR_EraseRootFromParent_Done,
     /*  876299 */   // Label 13396: @876299
     /*  876299 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876371), // Rule ID 25021 //
     /*  876304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  876307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  876324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876350 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  876353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876369 */     GIR_RootConstrainSelectedInstOperands,
     /*  876370 */     // GIR_Coverage, 25021,
     /*  876370 */     GIR_EraseRootFromParent_Done,
     /*  876371 */   // Label 13397: @876371
     /*  876371 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876443), // Rule ID 25022 //
     /*  876376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876422 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876441 */     GIR_RootConstrainSelectedInstOperands,
     /*  876442 */     // GIR_Coverage, 25022,
     /*  876442 */     GIR_EraseRootFromParent_Done,
     /*  876443 */   // Label 13398: @876443
     /*  876443 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876515), // Rule ID 25023 //
     /*  876448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876494 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876513 */     GIR_RootConstrainSelectedInstOperands,
     /*  876514 */     // GIR_Coverage, 25023,
     /*  876514 */     GIR_EraseRootFromParent_Done,
     /*  876515 */   // Label 13399: @876515
     /*  876515 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876587), // Rule ID 25024 //
     /*  876520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876566 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876585 */     GIR_RootConstrainSelectedInstOperands,
     /*  876586 */     // GIR_Coverage, 25024,
     /*  876586 */     GIR_EraseRootFromParent_Done,
     /*  876587 */   // Label 13400: @876587
     /*  876587 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876659), // Rule ID 25025 //
     /*  876592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876638 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876657 */     GIR_RootConstrainSelectedInstOperands,
     /*  876658 */     // GIR_Coverage, 25025,
     /*  876658 */     GIR_EraseRootFromParent_Done,
     /*  876659 */   // Label 13401: @876659
     /*  876659 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876731), // Rule ID 25026 //
     /*  876664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876710 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876729 */     GIR_RootConstrainSelectedInstOperands,
     /*  876730 */     // GIR_Coverage, 25026,
     /*  876730 */     GIR_EraseRootFromParent_Done,
     /*  876731 */   // Label 13402: @876731
     /*  876731 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876803), // Rule ID 25027 //
     /*  876736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876782 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876801 */     GIR_RootConstrainSelectedInstOperands,
     /*  876802 */     // GIR_Coverage, 25027,
     /*  876802 */     GIR_EraseRootFromParent_Done,
     /*  876803 */   // Label 13403: @876803
     /*  876803 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876875), // Rule ID 25028 //
     /*  876808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876854 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876873 */     GIR_RootConstrainSelectedInstOperands,
     /*  876874 */     // GIR_Coverage, 25028,
     /*  876874 */     GIR_EraseRootFromParent_Done,
     /*  876875 */   // Label 13404: @876875
     /*  876875 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876947), // Rule ID 25029 //
     /*  876880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876926 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876945 */     GIR_RootConstrainSelectedInstOperands,
     /*  876946 */     // GIR_Coverage, 25029,
     /*  876946 */     GIR_EraseRootFromParent_Done,
     /*  876947 */   // Label 13405: @876947
     /*  876947 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(877019), // Rule ID 25030 //
     /*  876952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876998 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877017 */     GIR_RootConstrainSelectedInstOperands,
     /*  877018 */     // GIR_Coverage, 25030,
     /*  877018 */     GIR_EraseRootFromParent_Done,
     /*  877019 */   // Label 13406: @877019
     /*  877019 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(877091), // Rule ID 25031 //
     /*  877024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877070 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877089 */     GIR_RootConstrainSelectedInstOperands,
     /*  877090 */     // GIR_Coverage, 25031,
     /*  877090 */     GIR_EraseRootFromParent_Done,
     /*  877091 */   // Label 13407: @877091
     /*  877091 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877163), // Rule ID 25032 //
     /*  877096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877142 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877161 */     GIR_RootConstrainSelectedInstOperands,
     /*  877162 */     // GIR_Coverage, 25032,
     /*  877162 */     GIR_EraseRootFromParent_Done,
     /*  877163 */   // Label 13408: @877163
     /*  877163 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877235), // Rule ID 25033 //
     /*  877168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877214 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877233 */     GIR_RootConstrainSelectedInstOperands,
     /*  877234 */     // GIR_Coverage, 25033,
     /*  877234 */     GIR_EraseRootFromParent_Done,
     /*  877235 */   // Label 13409: @877235
     /*  877235 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877307), // Rule ID 25034 //
     /*  877240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877286 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877305 */     GIR_RootConstrainSelectedInstOperands,
     /*  877306 */     // GIR_Coverage, 25034,
     /*  877306 */     GIR_EraseRootFromParent_Done,
     /*  877307 */   // Label 13410: @877307
     /*  877307 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877379), // Rule ID 25035 //
     /*  877312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877377 */     GIR_RootConstrainSelectedInstOperands,
     /*  877378 */     // GIR_Coverage, 25035,
     /*  877378 */     GIR_EraseRootFromParent_Done,
     /*  877379 */   // Label 13411: @877379
     /*  877379 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877451), // Rule ID 25036 //
     /*  877384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877449 */     GIR_RootConstrainSelectedInstOperands,
     /*  877450 */     // GIR_Coverage, 25036,
     /*  877450 */     GIR_EraseRootFromParent_Done,
     /*  877451 */   // Label 13412: @877451
     /*  877451 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877523), // Rule ID 25037 //
     /*  877456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877521 */     GIR_RootConstrainSelectedInstOperands,
     /*  877522 */     // GIR_Coverage, 25037,
     /*  877522 */     GIR_EraseRootFromParent_Done,
     /*  877523 */   // Label 13413: @877523
     /*  877523 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877595), // Rule ID 25038 //
     /*  877528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877574 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877593 */     GIR_RootConstrainSelectedInstOperands,
     /*  877594 */     // GIR_Coverage, 25038,
     /*  877594 */     GIR_EraseRootFromParent_Done,
     /*  877595 */   // Label 13414: @877595
     /*  877595 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877667), // Rule ID 25039 //
     /*  877600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877646 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877665 */     GIR_RootConstrainSelectedInstOperands,
     /*  877666 */     // GIR_Coverage, 25039,
     /*  877666 */     GIR_EraseRootFromParent_Done,
     /*  877667 */   // Label 13415: @877667
     /*  877667 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877742), // Rule ID 60486 //
     /*  877672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  877675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  877718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877740 */     GIR_RootConstrainSelectedInstOperands,
     /*  877741 */     // GIR_Coverage, 60486,
     /*  877741 */     GIR_EraseRootFromParent_Done,
     /*  877742 */   // Label 13416: @877742
     /*  877742 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877817), // Rule ID 60487 //
     /*  877747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  877750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  877793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877815 */     GIR_RootConstrainSelectedInstOperands,
     /*  877816 */     // GIR_Coverage, 60487,
     /*  877816 */     GIR_EraseRootFromParent_Done,
     /*  877817 */   // Label 13417: @877817
     /*  877817 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877892), // Rule ID 60844 //
     /*  877822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877890 */     GIR_RootConstrainSelectedInstOperands,
     /*  877891 */     // GIR_Coverage, 60844,
     /*  877891 */     GIR_EraseRootFromParent_Done,
     /*  877892 */   // Label 13418: @877892
     /*  877892 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877967), // Rule ID 60845 //
     /*  877897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877965 */     GIR_RootConstrainSelectedInstOperands,
     /*  877966 */     // GIR_Coverage, 60845,
     /*  877966 */     GIR_EraseRootFromParent_Done,
     /*  877967 */   // Label 13419: @877967
     /*  877967 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(878042), // Rule ID 60848 //
     /*  877972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  877992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878040 */     GIR_RootConstrainSelectedInstOperands,
     /*  878041 */     // GIR_Coverage, 60848,
     /*  878041 */     GIR_EraseRootFromParent_Done,
     /*  878042 */   // Label 13420: @878042
     /*  878042 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(878117), // Rule ID 60849 //
     /*  878047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878115 */     GIR_RootConstrainSelectedInstOperands,
     /*  878116 */     // GIR_Coverage, 60849,
     /*  878116 */     GIR_EraseRootFromParent_Done,
     /*  878117 */   // Label 13421: @878117
     /*  878117 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878192), // Rule ID 60852 //
     /*  878122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878190 */     GIR_RootConstrainSelectedInstOperands,
     /*  878191 */     // GIR_Coverage, 60852,
     /*  878191 */     GIR_EraseRootFromParent_Done,
     /*  878192 */   // Label 13422: @878192
     /*  878192 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878267), // Rule ID 60853 //
     /*  878197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878265 */     GIR_RootConstrainSelectedInstOperands,
     /*  878266 */     // GIR_Coverage, 60853,
     /*  878266 */     GIR_EraseRootFromParent_Done,
     /*  878267 */   // Label 13423: @878267
     /*  878267 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878342), // Rule ID 60856 //
     /*  878272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  878292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878340 */     GIR_RootConstrainSelectedInstOperands,
     /*  878341 */     // GIR_Coverage, 60856,
     /*  878341 */     GIR_EraseRootFromParent_Done,
     /*  878342 */   // Label 13424: @878342
     /*  878342 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878417), // Rule ID 60857 //
     /*  878347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  878367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878415 */     GIR_RootConstrainSelectedInstOperands,
     /*  878416 */     // GIR_Coverage, 60857,
     /*  878416 */     GIR_EraseRootFromParent_Done,
     /*  878417 */   // Label 13425: @878417
     /*  878417 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878492), // Rule ID 60860 //
     /*  878422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878490 */     GIR_RootConstrainSelectedInstOperands,
     /*  878491 */     // GIR_Coverage, 60860,
     /*  878491 */     GIR_EraseRootFromParent_Done,
     /*  878492 */   // Label 13426: @878492
     /*  878492 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878567), // Rule ID 60861 //
     /*  878497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878565 */     GIR_RootConstrainSelectedInstOperands,
     /*  878566 */     // GIR_Coverage, 60861,
     /*  878566 */     GIR_EraseRootFromParent_Done,
     /*  878567 */   // Label 13427: @878567
     /*  878567 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878642), // Rule ID 60864 //
     /*  878572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878640 */     GIR_RootConstrainSelectedInstOperands,
     /*  878641 */     // GIR_Coverage, 60864,
     /*  878641 */     GIR_EraseRootFromParent_Done,
     /*  878642 */   // Label 13428: @878642
     /*  878642 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878717), // Rule ID 60865 //
     /*  878647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878715 */     GIR_RootConstrainSelectedInstOperands,
     /*  878716 */     // GIR_Coverage, 60865,
     /*  878716 */     GIR_EraseRootFromParent_Done,
     /*  878717 */   // Label 13429: @878717
     /*  878717 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878792), // Rule ID 60868 //
     /*  878722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878790 */     GIR_RootConstrainSelectedInstOperands,
     /*  878791 */     // GIR_Coverage, 60868,
     /*  878791 */     GIR_EraseRootFromParent_Done,
     /*  878792 */   // Label 13430: @878792
     /*  878792 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878867), // Rule ID 60869 //
     /*  878797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878865 */     GIR_RootConstrainSelectedInstOperands,
     /*  878866 */     // GIR_Coverage, 60869,
     /*  878866 */     GIR_EraseRootFromParent_Done,
     /*  878867 */   // Label 13431: @878867
     /*  878867 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878942), // Rule ID 60872 //
     /*  878872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878940 */     GIR_RootConstrainSelectedInstOperands,
     /*  878941 */     // GIR_Coverage, 60872,
     /*  878941 */     GIR_EraseRootFromParent_Done,
     /*  878942 */   // Label 13432: @878942
     /*  878942 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(879017), // Rule ID 60873 //
     /*  878947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879015 */     GIR_RootConstrainSelectedInstOperands,
     /*  879016 */     // GIR_Coverage, 60873,
     /*  879016 */     GIR_EraseRootFromParent_Done,
     /*  879017 */   // Label 13433: @879017
     /*  879017 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(879092), // Rule ID 60876 //
     /*  879022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879090 */     GIR_RootConstrainSelectedInstOperands,
     /*  879091 */     // GIR_Coverage, 60876,
     /*  879091 */     GIR_EraseRootFromParent_Done,
     /*  879092 */   // Label 13434: @879092
     /*  879092 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879167), // Rule ID 60877 //
     /*  879097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879165 */     GIR_RootConstrainSelectedInstOperands,
     /*  879166 */     // GIR_Coverage, 60877,
     /*  879166 */     GIR_EraseRootFromParent_Done,
     /*  879167 */   // Label 13435: @879167
     /*  879167 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879242), // Rule ID 60880 //
     /*  879172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879240 */     GIR_RootConstrainSelectedInstOperands,
     /*  879241 */     // GIR_Coverage, 60880,
     /*  879241 */     GIR_EraseRootFromParent_Done,
     /*  879242 */   // Label 13436: @879242
     /*  879242 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879317), // Rule ID 60881 //
     /*  879247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879315 */     GIR_RootConstrainSelectedInstOperands,
     /*  879316 */     // GIR_Coverage, 60881,
     /*  879316 */     GIR_EraseRootFromParent_Done,
     /*  879317 */   // Label 13437: @879317
     /*  879317 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879392), // Rule ID 60884 //
     /*  879322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  879342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879390 */     GIR_RootConstrainSelectedInstOperands,
     /*  879391 */     // GIR_Coverage, 60884,
     /*  879391 */     GIR_EraseRootFromParent_Done,
     /*  879392 */   // Label 13438: @879392
     /*  879392 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879467), // Rule ID 60885 //
     /*  879397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  879417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879465 */     GIR_RootConstrainSelectedInstOperands,
     /*  879466 */     // GIR_Coverage, 60885,
     /*  879466 */     GIR_EraseRootFromParent_Done,
     /*  879467 */   // Label 13439: @879467
     /*  879467 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879542), // Rule ID 60888 //
     /*  879472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879540 */     GIR_RootConstrainSelectedInstOperands,
     /*  879541 */     // GIR_Coverage, 60888,
     /*  879541 */     GIR_EraseRootFromParent_Done,
     /*  879542 */   // Label 13440: @879542
     /*  879542 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879617), // Rule ID 60889 //
     /*  879547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879615 */     GIR_RootConstrainSelectedInstOperands,
     /*  879616 */     // GIR_Coverage, 60889,
     /*  879616 */     GIR_EraseRootFromParent_Done,
     /*  879617 */   // Label 13441: @879617
     /*  879617 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879692), // Rule ID 60892 //
     /*  879622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879668 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879690 */     GIR_RootConstrainSelectedInstOperands,
     /*  879691 */     // GIR_Coverage, 60892,
     /*  879691 */     GIR_EraseRootFromParent_Done,
     /*  879692 */   // Label 13442: @879692
     /*  879692 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879767), // Rule ID 60893 //
     /*  879697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879765 */     GIR_RootConstrainSelectedInstOperands,
     /*  879766 */     // GIR_Coverage, 60893,
     /*  879766 */     GIR_EraseRootFromParent_Done,
     /*  879767 */   // Label 13443: @879767
     /*  879767 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879842), // Rule ID 60896 //
     /*  879772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879840 */     GIR_RootConstrainSelectedInstOperands,
     /*  879841 */     // GIR_Coverage, 60896,
     /*  879841 */     GIR_EraseRootFromParent_Done,
     /*  879842 */   // Label 13444: @879842
     /*  879842 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879917), // Rule ID 60897 //
     /*  879847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879893 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879915 */     GIR_RootConstrainSelectedInstOperands,
     /*  879916 */     // GIR_Coverage, 60897,
     /*  879916 */     GIR_EraseRootFromParent_Done,
     /*  879917 */   // Label 13445: @879917
     /*  879917 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879992), // Rule ID 60900 //
     /*  879922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879990 */     GIR_RootConstrainSelectedInstOperands,
     /*  879991 */     // GIR_Coverage, 60900,
     /*  879991 */     GIR_EraseRootFromParent_Done,
     /*  879992 */   // Label 13446: @879992
     /*  879992 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(880067), // Rule ID 60901 //
     /*  879997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  880017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880065 */     GIR_RootConstrainSelectedInstOperands,
     /*  880066 */     // GIR_Coverage, 60901,
     /*  880066 */     GIR_EraseRootFromParent_Done,
     /*  880067 */   // Label 13447: @880067
     /*  880067 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(880142), // Rule ID 60904 //
     /*  880072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880140 */     GIR_RootConstrainSelectedInstOperands,
     /*  880141 */     // GIR_Coverage, 60904,
     /*  880141 */     GIR_EraseRootFromParent_Done,
     /*  880142 */   // Label 13448: @880142
     /*  880142 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880217), // Rule ID 60905 //
     /*  880147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880215 */     GIR_RootConstrainSelectedInstOperands,
     /*  880216 */     // GIR_Coverage, 60905,
     /*  880216 */     GIR_EraseRootFromParent_Done,
     /*  880217 */   // Label 13449: @880217
     /*  880217 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880292), // Rule ID 60912 //
     /*  880222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880290 */     GIR_RootConstrainSelectedInstOperands,
     /*  880291 */     // GIR_Coverage, 60912,
     /*  880291 */     GIR_EraseRootFromParent_Done,
     /*  880292 */   // Label 13450: @880292
     /*  880292 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880367), // Rule ID 60913 //
     /*  880297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880365 */     GIR_RootConstrainSelectedInstOperands,
     /*  880366 */     // GIR_Coverage, 60913,
     /*  880366 */     GIR_EraseRootFromParent_Done,
     /*  880367 */   // Label 13451: @880367
     /*  880367 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880442), // Rule ID 60920 //
     /*  880372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880440 */     GIR_RootConstrainSelectedInstOperands,
     /*  880441 */     // GIR_Coverage, 60920,
     /*  880441 */     GIR_EraseRootFromParent_Done,
     /*  880442 */   // Label 13452: @880442
     /*  880442 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880517), // Rule ID 60921 //
     /*  880447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880515 */     GIR_RootConstrainSelectedInstOperands,
     /*  880516 */     // GIR_Coverage, 60921,
     /*  880516 */     GIR_EraseRootFromParent_Done,
     /*  880517 */   // Label 13453: @880517
     /*  880517 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880592), // Rule ID 60928 //
     /*  880522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880590 */     GIR_RootConstrainSelectedInstOperands,
     /*  880591 */     // GIR_Coverage, 60928,
     /*  880591 */     GIR_EraseRootFromParent_Done,
     /*  880592 */   // Label 13454: @880592
     /*  880592 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880667), // Rule ID 60929 //
     /*  880597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880665 */     GIR_RootConstrainSelectedInstOperands,
     /*  880666 */     // GIR_Coverage, 60929,
     /*  880666 */     GIR_EraseRootFromParent_Done,
     /*  880667 */   // Label 13455: @880667
     /*  880667 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880742), // Rule ID 60936 //
     /*  880672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880740 */     GIR_RootConstrainSelectedInstOperands,
     /*  880741 */     // GIR_Coverage, 60936,
     /*  880741 */     GIR_EraseRootFromParent_Done,
     /*  880742 */   // Label 13456: @880742
     /*  880742 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880817), // Rule ID 60937 //
     /*  880747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880815 */     GIR_RootConstrainSelectedInstOperands,
     /*  880816 */     // GIR_Coverage, 60937,
     /*  880816 */     GIR_EraseRootFromParent_Done,
     /*  880817 */   // Label 13457: @880817
     /*  880817 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880892), // Rule ID 60944 //
     /*  880822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880890 */     GIR_RootConstrainSelectedInstOperands,
     /*  880891 */     // GIR_Coverage, 60944,
     /*  880891 */     GIR_EraseRootFromParent_Done,
     /*  880892 */   // Label 13458: @880892
     /*  880892 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880967), // Rule ID 60945 //
     /*  880897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880965 */     GIR_RootConstrainSelectedInstOperands,
     /*  880966 */     // GIR_Coverage, 60945,
     /*  880966 */     GIR_EraseRootFromParent_Done,
     /*  880967 */   // Label 13459: @880967
     /*  880967 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(881042), // Rule ID 60952 //
     /*  880972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881040 */     GIR_RootConstrainSelectedInstOperands,
     /*  881041 */     // GIR_Coverage, 60952,
     /*  881041 */     GIR_EraseRootFromParent_Done,
     /*  881042 */   // Label 13460: @881042
     /*  881042 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(881117), // Rule ID 60953 //
     /*  881047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881115 */     GIR_RootConstrainSelectedInstOperands,
     /*  881116 */     // GIR_Coverage, 60953,
     /*  881116 */     GIR_EraseRootFromParent_Done,
     /*  881117 */   // Label 13461: @881117
     /*  881117 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(881192), // Rule ID 60960 //
     /*  881122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881190 */     GIR_RootConstrainSelectedInstOperands,
     /*  881191 */     // GIR_Coverage, 60960,
     /*  881191 */     GIR_EraseRootFromParent_Done,
     /*  881192 */   // Label 13462: @881192
     /*  881192 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881267), // Rule ID 60961 //
     /*  881197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881265 */     GIR_RootConstrainSelectedInstOperands,
     /*  881266 */     // GIR_Coverage, 60961,
     /*  881266 */     GIR_EraseRootFromParent_Done,
     /*  881267 */   // Label 13463: @881267
     /*  881267 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881342), // Rule ID 60968 //
     /*  881272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881340 */     GIR_RootConstrainSelectedInstOperands,
     /*  881341 */     // GIR_Coverage, 60968,
     /*  881341 */     GIR_EraseRootFromParent_Done,
     /*  881342 */   // Label 13464: @881342
     /*  881342 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881417), // Rule ID 60969 //
     /*  881347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881415 */     GIR_RootConstrainSelectedInstOperands,
     /*  881416 */     // GIR_Coverage, 60969,
     /*  881416 */     GIR_EraseRootFromParent_Done,
     /*  881417 */   // Label 13465: @881417
     /*  881417 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881492), // Rule ID 60976 //
     /*  881422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881490 */     GIR_RootConstrainSelectedInstOperands,
     /*  881491 */     // GIR_Coverage, 60976,
     /*  881491 */     GIR_EraseRootFromParent_Done,
     /*  881492 */   // Label 13466: @881492
     /*  881492 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881567), // Rule ID 60977 //
     /*  881497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881565 */     GIR_RootConstrainSelectedInstOperands,
     /*  881566 */     // GIR_Coverage, 60977,
     /*  881566 */     GIR_EraseRootFromParent_Done,
     /*  881567 */   // Label 13467: @881567
     /*  881567 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881642), // Rule ID 60984 //
     /*  881572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881640 */     GIR_RootConstrainSelectedInstOperands,
     /*  881641 */     // GIR_Coverage, 60984,
     /*  881641 */     GIR_EraseRootFromParent_Done,
     /*  881642 */   // Label 13468: @881642
     /*  881642 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881717), // Rule ID 60985 //
     /*  881647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881715 */     GIR_RootConstrainSelectedInstOperands,
     /*  881716 */     // GIR_Coverage, 60985,
     /*  881716 */     GIR_EraseRootFromParent_Done,
     /*  881717 */   // Label 13469: @881717
     /*  881717 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881792), // Rule ID 60992 //
     /*  881722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881790 */     GIR_RootConstrainSelectedInstOperands,
     /*  881791 */     // GIR_Coverage, 60992,
     /*  881791 */     GIR_EraseRootFromParent_Done,
     /*  881792 */   // Label 13470: @881792
     /*  881792 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881867), // Rule ID 60993 //
     /*  881797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881865 */     GIR_RootConstrainSelectedInstOperands,
     /*  881866 */     // GIR_Coverage, 60993,
     /*  881866 */     GIR_EraseRootFromParent_Done,
     /*  881867 */   // Label 13471: @881867
     /*  881867 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881942), // Rule ID 61000 //
     /*  881872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881940 */     GIR_RootConstrainSelectedInstOperands,
     /*  881941 */     // GIR_Coverage, 61000,
     /*  881941 */     GIR_EraseRootFromParent_Done,
     /*  881942 */   // Label 13472: @881942
     /*  881942 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(882017), // Rule ID 61001 //
     /*  881947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882015 */     GIR_RootConstrainSelectedInstOperands,
     /*  882016 */     // GIR_Coverage, 61001,
     /*  882016 */     GIR_EraseRootFromParent_Done,
     /*  882017 */   // Label 13473: @882017
     /*  882017 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(882092), // Rule ID 61008 //
     /*  882022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882090 */     GIR_RootConstrainSelectedInstOperands,
     /*  882091 */     // GIR_Coverage, 61008,
     /*  882091 */     GIR_EraseRootFromParent_Done,
     /*  882092 */   // Label 13474: @882092
     /*  882092 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(882167), // Rule ID 61009 //
     /*  882097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882165 */     GIR_RootConstrainSelectedInstOperands,
     /*  882166 */     // GIR_Coverage, 61009,
     /*  882166 */     GIR_EraseRootFromParent_Done,
     /*  882167 */   // Label 13475: @882167
     /*  882167 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(882242), // Rule ID 61016 //
     /*  882172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882240 */     GIR_RootConstrainSelectedInstOperands,
     /*  882241 */     // GIR_Coverage, 61016,
     /*  882241 */     GIR_EraseRootFromParent_Done,
     /*  882242 */   // Label 13476: @882242
     /*  882242 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882317), // Rule ID 61017 //
     /*  882247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882315 */     GIR_RootConstrainSelectedInstOperands,
     /*  882316 */     // GIR_Coverage, 61017,
     /*  882316 */     GIR_EraseRootFromParent_Done,
     /*  882317 */   // Label 13477: @882317
     /*  882317 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882392), // Rule ID 61024 //
     /*  882322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  882342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882390 */     GIR_RootConstrainSelectedInstOperands,
     /*  882391 */     // GIR_Coverage, 61024,
     /*  882391 */     GIR_EraseRootFromParent_Done,
     /*  882392 */   // Label 13478: @882392
     /*  882392 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882467), // Rule ID 61025 //
     /*  882397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  882417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882465 */     GIR_RootConstrainSelectedInstOperands,
     /*  882466 */     // GIR_Coverage, 61025,
     /*  882466 */     GIR_EraseRootFromParent_Done,
     /*  882467 */   // Label 13479: @882467
     /*  882467 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882542), // Rule ID 61028 //
     /*  882472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882540 */     GIR_RootConstrainSelectedInstOperands,
     /*  882541 */     // GIR_Coverage, 61028,
     /*  882541 */     GIR_EraseRootFromParent_Done,
     /*  882542 */   // Label 13480: @882542
     /*  882542 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882617), // Rule ID 61029 //
     /*  882547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882615 */     GIR_RootConstrainSelectedInstOperands,
     /*  882616 */     // GIR_Coverage, 61029,
     /*  882616 */     GIR_EraseRootFromParent_Done,
     /*  882617 */   // Label 13481: @882617
     /*  882617 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882692), // Rule ID 61032 //
     /*  882622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882690 */     GIR_RootConstrainSelectedInstOperands,
     /*  882691 */     // GIR_Coverage, 61032,
     /*  882691 */     GIR_EraseRootFromParent_Done,
     /*  882692 */   // Label 13482: @882692
     /*  882692 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882767), // Rule ID 61033 //
     /*  882697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882743 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882765 */     GIR_RootConstrainSelectedInstOperands,
     /*  882766 */     // GIR_Coverage, 61033,
     /*  882766 */     GIR_EraseRootFromParent_Done,
     /*  882767 */   // Label 13483: @882767
     /*  882767 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882842), // Rule ID 61036 //
     /*  882772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882840 */     GIR_RootConstrainSelectedInstOperands,
     /*  882841 */     // GIR_Coverage, 61036,
     /*  882841 */     GIR_EraseRootFromParent_Done,
     /*  882842 */   // Label 13484: @882842
     /*  882842 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882917), // Rule ID 61037 //
     /*  882847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882915 */     GIR_RootConstrainSelectedInstOperands,
     /*  882916 */     // GIR_Coverage, 61037,
     /*  882916 */     GIR_EraseRootFromParent_Done,
     /*  882917 */   // Label 13485: @882917
     /*  882917 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882992), // Rule ID 61040 //
     /*  882922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882990 */     GIR_RootConstrainSelectedInstOperands,
     /*  882991 */     // GIR_Coverage, 61040,
     /*  882991 */     GIR_EraseRootFromParent_Done,
     /*  882992 */   // Label 13486: @882992
     /*  882992 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(883067), // Rule ID 61041 //
     /*  882997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  883046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883065 */     GIR_RootConstrainSelectedInstOperands,
     /*  883066 */     // GIR_Coverage, 61041,
     /*  883066 */     GIR_EraseRootFromParent_Done,
     /*  883067 */   // Label 13487: @883067
     /*  883067 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(883142), // Rule ID 61044 //
     /*  883072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883140 */     GIR_RootConstrainSelectedInstOperands,
     /*  883141 */     // GIR_Coverage, 61044,
     /*  883141 */     GIR_EraseRootFromParent_Done,
     /*  883142 */   // Label 13488: @883142
     /*  883142 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(883217), // Rule ID 61045 //
     /*  883147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883215 */     GIR_RootConstrainSelectedInstOperands,
     /*  883216 */     // GIR_Coverage, 61045,
     /*  883216 */     GIR_EraseRootFromParent_Done,
     /*  883217 */   // Label 13489: @883217
     /*  883217 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883292), // Rule ID 61048 //
     /*  883222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  883271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883290 */     GIR_RootConstrainSelectedInstOperands,
     /*  883291 */     // GIR_Coverage, 61048,
     /*  883291 */     GIR_EraseRootFromParent_Done,
     /*  883292 */   // Label 13490: @883292
     /*  883292 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883367), // Rule ID 61049 //
     /*  883297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  883346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883365 */     GIR_RootConstrainSelectedInstOperands,
     /*  883366 */     // GIR_Coverage, 61049,
     /*  883366 */     GIR_EraseRootFromParent_Done,
     /*  883367 */   // Label 13491: @883367
     /*  883367 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883442), // Rule ID 61052 //
     /*  883372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883440 */     GIR_RootConstrainSelectedInstOperands,
     /*  883441 */     // GIR_Coverage, 61052,
     /*  883441 */     GIR_EraseRootFromParent_Done,
     /*  883442 */   // Label 13492: @883442
     /*  883442 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883517), // Rule ID 61053 //
     /*  883447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883515 */     GIR_RootConstrainSelectedInstOperands,
     /*  883516 */     // GIR_Coverage, 61053,
     /*  883516 */     GIR_EraseRootFromParent_Done,
     /*  883517 */   // Label 13493: @883517
     /*  883517 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883592), // Rule ID 61056 //
     /*  883522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883590 */     GIR_RootConstrainSelectedInstOperands,
     /*  883591 */     // GIR_Coverage, 61056,
     /*  883591 */     GIR_EraseRootFromParent_Done,
     /*  883592 */   // Label 13494: @883592
     /*  883592 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883667), // Rule ID 61057 //
     /*  883597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883665 */     GIR_RootConstrainSelectedInstOperands,
     /*  883666 */     // GIR_Coverage, 61057,
     /*  883666 */     GIR_EraseRootFromParent_Done,
     /*  883667 */   // Label 13495: @883667
     /*  883667 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883742), // Rule ID 61060 //
     /*  883672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883740 */     GIR_RootConstrainSelectedInstOperands,
     /*  883741 */     // GIR_Coverage, 61060,
     /*  883741 */     GIR_EraseRootFromParent_Done,
     /*  883742 */   // Label 13496: @883742
     /*  883742 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883817), // Rule ID 61061 //
     /*  883747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883815 */     GIR_RootConstrainSelectedInstOperands,
     /*  883816 */     // GIR_Coverage, 61061,
     /*  883816 */     GIR_EraseRootFromParent_Done,
     /*  883817 */   // Label 13497: @883817
     /*  883817 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883892), // Rule ID 61064 //
     /*  883822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883890 */     GIR_RootConstrainSelectedInstOperands,
     /*  883891 */     // GIR_Coverage, 61064,
     /*  883891 */     GIR_EraseRootFromParent_Done,
     /*  883892 */   // Label 13498: @883892
     /*  883892 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883967), // Rule ID 61065 //
     /*  883897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883965 */     GIR_RootConstrainSelectedInstOperands,
     /*  883966 */     // GIR_Coverage, 61065,
     /*  883966 */     GIR_EraseRootFromParent_Done,
     /*  883967 */   // Label 13499: @883967
     /*  883967 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(884042), // Rule ID 61068 //
     /*  883972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884040 */     GIR_RootConstrainSelectedInstOperands,
     /*  884041 */     // GIR_Coverage, 61068,
     /*  884041 */     GIR_EraseRootFromParent_Done,
     /*  884042 */   // Label 13500: @884042
     /*  884042 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(884117), // Rule ID 61069 //
     /*  884047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  884067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884115 */     GIR_RootConstrainSelectedInstOperands,
     /*  884116 */     // GIR_Coverage, 61069,
     /*  884116 */     GIR_EraseRootFromParent_Done,
     /*  884117 */   // Label 13501: @884117
     /*  884117 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(884192), // Rule ID 61072 //
     /*  884122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884190 */     GIR_RootConstrainSelectedInstOperands,
     /*  884191 */     // GIR_Coverage, 61072,
     /*  884191 */     GIR_EraseRootFromParent_Done,
     /*  884192 */   // Label 13502: @884192
     /*  884192 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884267), // Rule ID 61073 //
     /*  884197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884265 */     GIR_RootConstrainSelectedInstOperands,
     /*  884266 */     // GIR_Coverage, 61073,
     /*  884266 */     GIR_EraseRootFromParent_Done,
     /*  884267 */   // Label 13503: @884267
     /*  884267 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884342), // Rule ID 61076 //
     /*  884272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884340 */     GIR_RootConstrainSelectedInstOperands,
     /*  884341 */     // GIR_Coverage, 61076,
     /*  884341 */     GIR_EraseRootFromParent_Done,
     /*  884342 */   // Label 13504: @884342
     /*  884342 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884417), // Rule ID 61077 //
     /*  884347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884415 */     GIR_RootConstrainSelectedInstOperands,
     /*  884416 */     // GIR_Coverage, 61077,
     /*  884416 */     GIR_EraseRootFromParent_Done,
     /*  884417 */   // Label 13505: @884417
     /*  884417 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884492), // Rule ID 61080 //
     /*  884422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884490 */     GIR_RootConstrainSelectedInstOperands,
     /*  884491 */     // GIR_Coverage, 61080,
     /*  884491 */     GIR_EraseRootFromParent_Done,
     /*  884492 */   // Label 13506: @884492
     /*  884492 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884567), // Rule ID 61081 //
     /*  884497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884565 */     GIR_RootConstrainSelectedInstOperands,
     /*  884566 */     // GIR_Coverage, 61081,
     /*  884566 */     GIR_EraseRootFromParent_Done,
     /*  884567 */   // Label 13507: @884567
     /*  884567 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884642), // Rule ID 61084 //
     /*  884572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884640 */     GIR_RootConstrainSelectedInstOperands,
     /*  884641 */     // GIR_Coverage, 61084,
     /*  884641 */     GIR_EraseRootFromParent_Done,
     /*  884642 */   // Label 13508: @884642
     /*  884642 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884717), // Rule ID 61085 //
     /*  884647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884715 */     GIR_RootConstrainSelectedInstOperands,
     /*  884716 */     // GIR_Coverage, 61085,
     /*  884716 */     GIR_EraseRootFromParent_Done,
     /*  884717 */   // Label 13509: @884717
     /*  884717 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884792), // Rule ID 61088 //
     /*  884722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884790 */     GIR_RootConstrainSelectedInstOperands,
     /*  884791 */     // GIR_Coverage, 61088,
     /*  884791 */     GIR_EraseRootFromParent_Done,
     /*  884792 */   // Label 13510: @884792
     /*  884792 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884867), // Rule ID 61089 //
     /*  884797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884843 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884865 */     GIR_RootConstrainSelectedInstOperands,
     /*  884866 */     // GIR_Coverage, 61089,
     /*  884866 */     GIR_EraseRootFromParent_Done,
     /*  884867 */   // Label 13511: @884867
     /*  884867 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884942), // Rule ID 61092 //
     /*  884872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884940 */     GIR_RootConstrainSelectedInstOperands,
     /*  884941 */     // GIR_Coverage, 61092,
     /*  884941 */     GIR_EraseRootFromParent_Done,
     /*  884942 */   // Label 13512: @884942
     /*  884942 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(885017), // Rule ID 61093 //
     /*  884947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884993 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885015 */     GIR_RootConstrainSelectedInstOperands,
     /*  885016 */     // GIR_Coverage, 61093,
     /*  885016 */     GIR_EraseRootFromParent_Done,
     /*  885017 */   // Label 13513: @885017
     /*  885017 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(885092), // Rule ID 61096 //
     /*  885022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885090 */     GIR_RootConstrainSelectedInstOperands,
     /*  885091 */     // GIR_Coverage, 61096,
     /*  885091 */     GIR_EraseRootFromParent_Done,
     /*  885092 */   // Label 13514: @885092
     /*  885092 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(885167), // Rule ID 61097 //
     /*  885097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885143 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885165 */     GIR_RootConstrainSelectedInstOperands,
     /*  885166 */     // GIR_Coverage, 61097,
     /*  885166 */     GIR_EraseRootFromParent_Done,
     /*  885167 */   // Label 13515: @885167
     /*  885167 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(885242), // Rule ID 61100 //
     /*  885172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885218 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885240 */     GIR_RootConstrainSelectedInstOperands,
     /*  885241 */     // GIR_Coverage, 61100,
     /*  885241 */     GIR_EraseRootFromParent_Done,
     /*  885242 */   // Label 13516: @885242
     /*  885242 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885317), // Rule ID 61101 //
     /*  885247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885293 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885315 */     GIR_RootConstrainSelectedInstOperands,
     /*  885316 */     // GIR_Coverage, 61101,
     /*  885316 */     GIR_EraseRootFromParent_Done,
     /*  885317 */   // Label 13517: @885317
     /*  885317 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885392), // Rule ID 61104 //
     /*  885322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885390 */     GIR_RootConstrainSelectedInstOperands,
     /*  885391 */     // GIR_Coverage, 61104,
     /*  885391 */     GIR_EraseRootFromParent_Done,
     /*  885392 */   // Label 13518: @885392
     /*  885392 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885467), // Rule ID 61105 //
     /*  885397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885465 */     GIR_RootConstrainSelectedInstOperands,
     /*  885466 */     // GIR_Coverage, 61105,
     /*  885466 */     GIR_EraseRootFromParent_Done,
     /*  885467 */   // Label 13519: @885467
     /*  885467 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885542), // Rule ID 61108 //
     /*  885472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885540 */     GIR_RootConstrainSelectedInstOperands,
     /*  885541 */     // GIR_Coverage, 61108,
     /*  885541 */     GIR_EraseRootFromParent_Done,
     /*  885542 */   // Label 13520: @885542
     /*  885542 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885617), // Rule ID 61109 //
     /*  885547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885615 */     GIR_RootConstrainSelectedInstOperands,
     /*  885616 */     // GIR_Coverage, 61109,
     /*  885616 */     GIR_EraseRootFromParent_Done,
     /*  885617 */   // Label 13521: @885617
     /*  885617 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885692), // Rule ID 61112 //
     /*  885622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885690 */     GIR_RootConstrainSelectedInstOperands,
     /*  885691 */     // GIR_Coverage, 61112,
     /*  885691 */     GIR_EraseRootFromParent_Done,
     /*  885692 */   // Label 13522: @885692
     /*  885692 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885767), // Rule ID 61113 //
     /*  885697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885743 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885765 */     GIR_RootConstrainSelectedInstOperands,
     /*  885766 */     // GIR_Coverage, 61113,
     /*  885766 */     GIR_EraseRootFromParent_Done,
     /*  885767 */   // Label 13523: @885767
     /*  885767 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885842), // Rule ID 61116 //
     /*  885772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885840 */     GIR_RootConstrainSelectedInstOperands,
     /*  885841 */     // GIR_Coverage, 61116,
     /*  885841 */     GIR_EraseRootFromParent_Done,
     /*  885842 */   // Label 13524: @885842
     /*  885842 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885917), // Rule ID 61117 //
     /*  885847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885915 */     GIR_RootConstrainSelectedInstOperands,
     /*  885916 */     // GIR_Coverage, 61117,
     /*  885916 */     GIR_EraseRootFromParent_Done,
     /*  885917 */   // Label 13525: @885917
     /*  885917 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885992), // Rule ID 61120 //
     /*  885922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885990 */     GIR_RootConstrainSelectedInstOperands,
     /*  885991 */     // GIR_Coverage, 61120,
     /*  885991 */     GIR_EraseRootFromParent_Done,
     /*  885992 */   // Label 13526: @885992
     /*  885992 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(886067), // Rule ID 61121 //
     /*  885997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886065 */     GIR_RootConstrainSelectedInstOperands,
     /*  886066 */     // GIR_Coverage, 61121,
     /*  886066 */     GIR_EraseRootFromParent_Done,
     /*  886067 */   // Label 13527: @886067
     /*  886067 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(886142), // Rule ID 61124 //
     /*  886072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886140 */     GIR_RootConstrainSelectedInstOperands,
     /*  886141 */     // GIR_Coverage, 61124,
     /*  886141 */     GIR_EraseRootFromParent_Done,
     /*  886142 */   // Label 13528: @886142
     /*  886142 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(886217), // Rule ID 61125 //
     /*  886147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886215 */     GIR_RootConstrainSelectedInstOperands,
     /*  886216 */     // GIR_Coverage, 61125,
     /*  886216 */     GIR_EraseRootFromParent_Done,
     /*  886217 */   // Label 13529: @886217
     /*  886217 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886292), // Rule ID 61128 //
     /*  886222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886290 */     GIR_RootConstrainSelectedInstOperands,
     /*  886291 */     // GIR_Coverage, 61128,
     /*  886291 */     GIR_EraseRootFromParent_Done,
     /*  886292 */   // Label 13530: @886292
     /*  886292 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886367), // Rule ID 61129 //
     /*  886297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886365 */     GIR_RootConstrainSelectedInstOperands,
     /*  886366 */     // GIR_Coverage, 61129,
     /*  886366 */     GIR_EraseRootFromParent_Done,
     /*  886367 */   // Label 13531: @886367
     /*  886367 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886442), // Rule ID 61132 //
     /*  886372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886440 */     GIR_RootConstrainSelectedInstOperands,
     /*  886441 */     // GIR_Coverage, 61132,
     /*  886441 */     GIR_EraseRootFromParent_Done,
     /*  886442 */   // Label 13532: @886442
     /*  886442 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886517), // Rule ID 61133 //
     /*  886447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886493 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886515 */     GIR_RootConstrainSelectedInstOperands,
     /*  886516 */     // GIR_Coverage, 61133,
     /*  886516 */     GIR_EraseRootFromParent_Done,
     /*  886517 */   // Label 13533: @886517
     /*  886517 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886592), // Rule ID 61136 //
     /*  886522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886590 */     GIR_RootConstrainSelectedInstOperands,
     /*  886591 */     // GIR_Coverage, 61136,
     /*  886591 */     GIR_EraseRootFromParent_Done,
     /*  886592 */   // Label 13534: @886592
     /*  886592 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886667), // Rule ID 61137 //
     /*  886597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886643 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886665 */     GIR_RootConstrainSelectedInstOperands,
     /*  886666 */     // GIR_Coverage, 61137,
     /*  886666 */     GIR_EraseRootFromParent_Done,
     /*  886667 */   // Label 13535: @886667
     /*  886667 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886742), // Rule ID 61140 //
     /*  886672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886740 */     GIR_RootConstrainSelectedInstOperands,
     /*  886741 */     // GIR_Coverage, 61140,
     /*  886741 */     GIR_EraseRootFromParent_Done,
     /*  886742 */   // Label 13536: @886742
     /*  886742 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886817), // Rule ID 61141 //
     /*  886747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886815 */     GIR_RootConstrainSelectedInstOperands,
     /*  886816 */     // GIR_Coverage, 61141,
     /*  886816 */     GIR_EraseRootFromParent_Done,
     /*  886817 */   // Label 13537: @886817
     /*  886817 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886892), // Rule ID 61144 //
     /*  886822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886890 */     GIR_RootConstrainSelectedInstOperands,
     /*  886891 */     // GIR_Coverage, 61144,
     /*  886891 */     GIR_EraseRootFromParent_Done,
     /*  886892 */   // Label 13538: @886892
     /*  886892 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886967), // Rule ID 61145 //
     /*  886897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886965 */     GIR_RootConstrainSelectedInstOperands,
     /*  886966 */     // GIR_Coverage, 61145,
     /*  886966 */     GIR_EraseRootFromParent_Done,
     /*  886967 */   // Label 13539: @886967
     /*  886967 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(887042), // Rule ID 61148 //
     /*  886972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  886992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887040 */     GIR_RootConstrainSelectedInstOperands,
     /*  887041 */     // GIR_Coverage, 61148,
     /*  887041 */     GIR_EraseRootFromParent_Done,
     /*  887042 */   // Label 13540: @887042
     /*  887042 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(887117), // Rule ID 61149 //
     /*  887047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887115 */     GIR_RootConstrainSelectedInstOperands,
     /*  887116 */     // GIR_Coverage, 61149,
     /*  887116 */     GIR_EraseRootFromParent_Done,
     /*  887117 */   // Label 13541: @887117
     /*  887117 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(887192), // Rule ID 61152 //
     /*  887122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887190 */     GIR_RootConstrainSelectedInstOperands,
     /*  887191 */     // GIR_Coverage, 61152,
     /*  887191 */     GIR_EraseRootFromParent_Done,
     /*  887192 */   // Label 13542: @887192
     /*  887192 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887267), // Rule ID 61153 //
     /*  887197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887265 */     GIR_RootConstrainSelectedInstOperands,
     /*  887266 */     // GIR_Coverage, 61153,
     /*  887266 */     GIR_EraseRootFromParent_Done,
     /*  887267 */   // Label 13543: @887267
     /*  887267 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887342), // Rule ID 61156 //
     /*  887272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887340 */     GIR_RootConstrainSelectedInstOperands,
     /*  887341 */     // GIR_Coverage, 61156,
     /*  887341 */     GIR_EraseRootFromParent_Done,
     /*  887342 */   // Label 13544: @887342
     /*  887342 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887417), // Rule ID 61157 //
     /*  887347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887415 */     GIR_RootConstrainSelectedInstOperands,
     /*  887416 */     // GIR_Coverage, 61157,
     /*  887416 */     GIR_EraseRootFromParent_Done,
     /*  887417 */   // Label 13545: @887417
     /*  887417 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887492), // Rule ID 61160 //
     /*  887422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887490 */     GIR_RootConstrainSelectedInstOperands,
     /*  887491 */     // GIR_Coverage, 61160,
     /*  887491 */     GIR_EraseRootFromParent_Done,
     /*  887492 */   // Label 13546: @887492
     /*  887492 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887567), // Rule ID 61161 //
     /*  887497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887543 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887565 */     GIR_RootConstrainSelectedInstOperands,
     /*  887566 */     // GIR_Coverage, 61161,
     /*  887566 */     GIR_EraseRootFromParent_Done,
     /*  887567 */   // Label 13547: @887567
     /*  887567 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887642), // Rule ID 61164 //
     /*  887572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887640 */     GIR_RootConstrainSelectedInstOperands,
     /*  887641 */     // GIR_Coverage, 61164,
     /*  887641 */     GIR_EraseRootFromParent_Done,
     /*  887642 */   // Label 13548: @887642
     /*  887642 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887717), // Rule ID 61165 //
     /*  887647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887715 */     GIR_RootConstrainSelectedInstOperands,
     /*  887716 */     // GIR_Coverage, 61165,
     /*  887716 */     GIR_EraseRootFromParent_Done,
     /*  887717 */   // Label 13549: @887717
     /*  887717 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887792), // Rule ID 61168 //
     /*  887722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887790 */     GIR_RootConstrainSelectedInstOperands,
     /*  887791 */     // GIR_Coverage, 61168,
     /*  887791 */     GIR_EraseRootFromParent_Done,
     /*  887792 */   // Label 13550: @887792
     /*  887792 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887867), // Rule ID 61169 //
     /*  887797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887865 */     GIR_RootConstrainSelectedInstOperands,
     /*  887866 */     // GIR_Coverage, 61169,
     /*  887866 */     GIR_EraseRootFromParent_Done,
     /*  887867 */   // Label 13551: @887867
     /*  887867 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887942), // Rule ID 61172 //
     /*  887872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887940 */     GIR_RootConstrainSelectedInstOperands,
     /*  887941 */     // GIR_Coverage, 61172,
     /*  887941 */     GIR_EraseRootFromParent_Done,
     /*  887942 */   // Label 13552: @887942
     /*  887942 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(888017), // Rule ID 61173 //
     /*  887947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888015 */     GIR_RootConstrainSelectedInstOperands,
     /*  888016 */     // GIR_Coverage, 61173,
     /*  888016 */     GIR_EraseRootFromParent_Done,
     /*  888017 */   // Label 13553: @888017
     /*  888017 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(888092), // Rule ID 61176 //
     /*  888022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888090 */     GIR_RootConstrainSelectedInstOperands,
     /*  888091 */     // GIR_Coverage, 61176,
     /*  888091 */     GIR_EraseRootFromParent_Done,
     /*  888092 */   // Label 13554: @888092
     /*  888092 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(888167), // Rule ID 61177 //
     /*  888097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888143 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888165 */     GIR_RootConstrainSelectedInstOperands,
     /*  888166 */     // GIR_Coverage, 61177,
     /*  888166 */     GIR_EraseRootFromParent_Done,
     /*  888167 */   // Label 13555: @888167
     /*  888167 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(888242), // Rule ID 61180 //
     /*  888172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888240 */     GIR_RootConstrainSelectedInstOperands,
     /*  888241 */     // GIR_Coverage, 61180,
     /*  888241 */     GIR_EraseRootFromParent_Done,
     /*  888242 */   // Label 13556: @888242
     /*  888242 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888317), // Rule ID 61181 //
     /*  888247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888293 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888315 */     GIR_RootConstrainSelectedInstOperands,
     /*  888316 */     // GIR_Coverage, 61181,
     /*  888316 */     GIR_EraseRootFromParent_Done,
     /*  888317 */   // Label 13557: @888317
     /*  888317 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888392), // Rule ID 61184 //
     /*  888322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888368 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888390 */     GIR_RootConstrainSelectedInstOperands,
     /*  888391 */     // GIR_Coverage, 61184,
     /*  888391 */     GIR_EraseRootFromParent_Done,
     /*  888392 */   // Label 13558: @888392
     /*  888392 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888467), // Rule ID 61185 //
     /*  888397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888443 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888465 */     GIR_RootConstrainSelectedInstOperands,
     /*  888466 */     // GIR_Coverage, 61185,
     /*  888466 */     GIR_EraseRootFromParent_Done,
     /*  888467 */   // Label 13559: @888467
     /*  888467 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888542), // Rule ID 61188 //
     /*  888472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888540 */     GIR_RootConstrainSelectedInstOperands,
     /*  888541 */     // GIR_Coverage, 61188,
     /*  888541 */     GIR_EraseRootFromParent_Done,
     /*  888542 */   // Label 13560: @888542
     /*  888542 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888617), // Rule ID 61189 //
     /*  888547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888615 */     GIR_RootConstrainSelectedInstOperands,
     /*  888616 */     // GIR_Coverage, 61189,
     /*  888616 */     GIR_EraseRootFromParent_Done,
     /*  888617 */   // Label 13561: @888617
     /*  888617 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888692), // Rule ID 61192 //
     /*  888622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888690 */     GIR_RootConstrainSelectedInstOperands,
     /*  888691 */     // GIR_Coverage, 61192,
     /*  888691 */     GIR_EraseRootFromParent_Done,
     /*  888692 */   // Label 13562: @888692
     /*  888692 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888767), // Rule ID 61193 //
     /*  888697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888765 */     GIR_RootConstrainSelectedInstOperands,
     /*  888766 */     // GIR_Coverage, 61193,
     /*  888766 */     GIR_EraseRootFromParent_Done,
     /*  888767 */   // Label 13563: @888767
     /*  888767 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888842), // Rule ID 61196 //
     /*  888772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888840 */     GIR_RootConstrainSelectedInstOperands,
     /*  888841 */     // GIR_Coverage, 61196,
     /*  888841 */     GIR_EraseRootFromParent_Done,
     /*  888842 */   // Label 13564: @888842
     /*  888842 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888917), // Rule ID 61197 //
     /*  888847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888915 */     GIR_RootConstrainSelectedInstOperands,
     /*  888916 */     // GIR_Coverage, 61197,
     /*  888916 */     GIR_EraseRootFromParent_Done,
     /*  888917 */   // Label 13565: @888917
     /*  888917 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888992), // Rule ID 61200 //
     /*  888922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888990 */     GIR_RootConstrainSelectedInstOperands,
     /*  888991 */     // GIR_Coverage, 61200,
     /*  888991 */     GIR_EraseRootFromParent_Done,
     /*  888992 */   // Label 13566: @888992
     /*  888992 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(889067), // Rule ID 61201 //
     /*  888997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889043 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889065 */     GIR_RootConstrainSelectedInstOperands,
     /*  889066 */     // GIR_Coverage, 61201,
     /*  889066 */     GIR_EraseRootFromParent_Done,
     /*  889067 */   // Label 13567: @889067
     /*  889067 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(889142), // Rule ID 61204 //
     /*  889072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889140 */     GIR_RootConstrainSelectedInstOperands,
     /*  889141 */     // GIR_Coverage, 61204,
     /*  889141 */     GIR_EraseRootFromParent_Done,
     /*  889142 */   // Label 13568: @889142
     /*  889142 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(889217), // Rule ID 61205 //
     /*  889147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889215 */     GIR_RootConstrainSelectedInstOperands,
     /*  889216 */     // GIR_Coverage, 61205,
     /*  889216 */     GIR_EraseRootFromParent_Done,
     /*  889217 */   // Label 13569: @889217
     /*  889217 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889292), // Rule ID 61208 //
     /*  889222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889290 */     GIR_RootConstrainSelectedInstOperands,
     /*  889291 */     // GIR_Coverage, 61208,
     /*  889291 */     GIR_EraseRootFromParent_Done,
     /*  889292 */   // Label 13570: @889292
     /*  889292 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889367), // Rule ID 61209 //
     /*  889297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889365 */     GIR_RootConstrainSelectedInstOperands,
     /*  889366 */     // GIR_Coverage, 61209,
     /*  889366 */     GIR_EraseRootFromParent_Done,
     /*  889367 */   // Label 13571: @889367
     /*  889367 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889442), // Rule ID 61212 //
     /*  889372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889440 */     GIR_RootConstrainSelectedInstOperands,
     /*  889441 */     // GIR_Coverage, 61212,
     /*  889441 */     GIR_EraseRootFromParent_Done,
     /*  889442 */   // Label 13572: @889442
     /*  889442 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889517), // Rule ID 61213 //
     /*  889447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889515 */     GIR_RootConstrainSelectedInstOperands,
     /*  889516 */     // GIR_Coverage, 61213,
     /*  889516 */     GIR_EraseRootFromParent_Done,
     /*  889517 */   // Label 13573: @889517
     /*  889517 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889592), // Rule ID 61216 //
     /*  889522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889590 */     GIR_RootConstrainSelectedInstOperands,
     /*  889591 */     // GIR_Coverage, 61216,
     /*  889591 */     GIR_EraseRootFromParent_Done,
     /*  889592 */   // Label 13574: @889592
     /*  889592 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889667), // Rule ID 61217 //
     /*  889597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889665 */     GIR_RootConstrainSelectedInstOperands,
     /*  889666 */     // GIR_Coverage, 61217,
     /*  889666 */     GIR_EraseRootFromParent_Done,
     /*  889667 */   // Label 13575: @889667
     /*  889667 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889742), // Rule ID 61220 //
     /*  889672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889740 */     GIR_RootConstrainSelectedInstOperands,
     /*  889741 */     // GIR_Coverage, 61220,
     /*  889741 */     GIR_EraseRootFromParent_Done,
     /*  889742 */   // Label 13576: @889742
     /*  889742 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889817), // Rule ID 61221 //
     /*  889747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889815 */     GIR_RootConstrainSelectedInstOperands,
     /*  889816 */     // GIR_Coverage, 61221,
     /*  889816 */     GIR_EraseRootFromParent_Done,
     /*  889817 */   // Label 13577: @889817
     /*  889817 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889892), // Rule ID 61224 //
     /*  889822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889890 */     GIR_RootConstrainSelectedInstOperands,
     /*  889891 */     // GIR_Coverage, 61224,
     /*  889891 */     GIR_EraseRootFromParent_Done,
     /*  889892 */   // Label 13578: @889892
     /*  889892 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889967), // Rule ID 61225 //
     /*  889897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889965 */     GIR_RootConstrainSelectedInstOperands,
     /*  889966 */     // GIR_Coverage, 61225,
     /*  889966 */     GIR_EraseRootFromParent_Done,
     /*  889967 */   // Label 13579: @889967
     /*  889967 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(890042), // Rule ID 61228 //
     /*  889972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890040 */     GIR_RootConstrainSelectedInstOperands,
     /*  890041 */     // GIR_Coverage, 61228,
     /*  890041 */     GIR_EraseRootFromParent_Done,
     /*  890042 */   // Label 13580: @890042
     /*  890042 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(890117), // Rule ID 61229 //
     /*  890047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890115 */     GIR_RootConstrainSelectedInstOperands,
     /*  890116 */     // GIR_Coverage, 61229,
     /*  890116 */     GIR_EraseRootFromParent_Done,
     /*  890117 */   // Label 13581: @890117
     /*  890117 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(890192), // Rule ID 61232 //
     /*  890122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890190 */     GIR_RootConstrainSelectedInstOperands,
     /*  890191 */     // GIR_Coverage, 61232,
     /*  890191 */     GIR_EraseRootFromParent_Done,
     /*  890192 */   // Label 13582: @890192
     /*  890192 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890267), // Rule ID 61233 //
     /*  890197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890265 */     GIR_RootConstrainSelectedInstOperands,
     /*  890266 */     // GIR_Coverage, 61233,
     /*  890266 */     GIR_EraseRootFromParent_Done,
     /*  890267 */   // Label 13583: @890267
     /*  890267 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890342), // Rule ID 61236 //
     /*  890272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890340 */     GIR_RootConstrainSelectedInstOperands,
     /*  890341 */     // GIR_Coverage, 61236,
     /*  890341 */     GIR_EraseRootFromParent_Done,
     /*  890342 */   // Label 13584: @890342
     /*  890342 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890417), // Rule ID 61237 //
     /*  890347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890415 */     GIR_RootConstrainSelectedInstOperands,
     /*  890416 */     // GIR_Coverage, 61237,
     /*  890416 */     GIR_EraseRootFromParent_Done,
     /*  890417 */   // Label 13585: @890417
     /*  890417 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890492), // Rule ID 61240 //
     /*  890422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890490 */     GIR_RootConstrainSelectedInstOperands,
     /*  890491 */     // GIR_Coverage, 61240,
     /*  890491 */     GIR_EraseRootFromParent_Done,
     /*  890492 */   // Label 13586: @890492
     /*  890492 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890567), // Rule ID 61241 //
     /*  890497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890565 */     GIR_RootConstrainSelectedInstOperands,
     /*  890566 */     // GIR_Coverage, 61241,
     /*  890566 */     GIR_EraseRootFromParent_Done,
     /*  890567 */   // Label 13587: @890567
     /*  890567 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890642), // Rule ID 61244 //
     /*  890572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890640 */     GIR_RootConstrainSelectedInstOperands,
     /*  890641 */     // GIR_Coverage, 61244,
     /*  890641 */     GIR_EraseRootFromParent_Done,
     /*  890642 */   // Label 13588: @890642
     /*  890642 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890717), // Rule ID 61245 //
     /*  890647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890715 */     GIR_RootConstrainSelectedInstOperands,
     /*  890716 */     // GIR_Coverage, 61245,
     /*  890716 */     GIR_EraseRootFromParent_Done,
     /*  890717 */   // Label 13589: @890717
     /*  890717 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890792), // Rule ID 61248 //
     /*  890722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890790 */     GIR_RootConstrainSelectedInstOperands,
     /*  890791 */     // GIR_Coverage, 61248,
     /*  890791 */     GIR_EraseRootFromParent_Done,
     /*  890792 */   // Label 13590: @890792
     /*  890792 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890867), // Rule ID 61249 //
     /*  890797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890865 */     GIR_RootConstrainSelectedInstOperands,
     /*  890866 */     // GIR_Coverage, 61249,
     /*  890866 */     GIR_EraseRootFromParent_Done,
     /*  890867 */   // Label 13591: @890867
     /*  890867 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890942), // Rule ID 61252 //
     /*  890872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890940 */     GIR_RootConstrainSelectedInstOperands,
     /*  890941 */     // GIR_Coverage, 61252,
     /*  890941 */     GIR_EraseRootFromParent_Done,
     /*  890942 */   // Label 13592: @890942
     /*  890942 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(891017), // Rule ID 61253 //
     /*  890947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891015 */     GIR_RootConstrainSelectedInstOperands,
     /*  891016 */     // GIR_Coverage, 61253,
     /*  891016 */     GIR_EraseRootFromParent_Done,
     /*  891017 */   // Label 13593: @891017
     /*  891017 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(891092), // Rule ID 61256 //
     /*  891022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891090 */     GIR_RootConstrainSelectedInstOperands,
     /*  891091 */     // GIR_Coverage, 61256,
     /*  891091 */     GIR_EraseRootFromParent_Done,
     /*  891092 */   // Label 13594: @891092
     /*  891092 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(891167), // Rule ID 61257 //
     /*  891097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891165 */     GIR_RootConstrainSelectedInstOperands,
     /*  891166 */     // GIR_Coverage, 61257,
     /*  891166 */     GIR_EraseRootFromParent_Done,
     /*  891167 */   // Label 13595: @891167
     /*  891167 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(891242), // Rule ID 61260 //
     /*  891172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891240 */     GIR_RootConstrainSelectedInstOperands,
     /*  891241 */     // GIR_Coverage, 61260,
     /*  891241 */     GIR_EraseRootFromParent_Done,
     /*  891242 */   // Label 13596: @891242
     /*  891242 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891317), // Rule ID 61261 //
     /*  891247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891315 */     GIR_RootConstrainSelectedInstOperands,
     /*  891316 */     // GIR_Coverage, 61261,
     /*  891316 */     GIR_EraseRootFromParent_Done,
     /*  891317 */   // Label 13597: @891317
     /*  891317 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891392), // Rule ID 61440 //
     /*  891322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891368 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891390 */     GIR_RootConstrainSelectedInstOperands,
     /*  891391 */     // GIR_Coverage, 61440,
     /*  891391 */     GIR_EraseRootFromParent_Done,
     /*  891392 */   // Label 13598: @891392
     /*  891392 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891467), // Rule ID 61441 //
     /*  891397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891465 */     GIR_RootConstrainSelectedInstOperands,
     /*  891466 */     // GIR_Coverage, 61441,
     /*  891466 */     GIR_EraseRootFromParent_Done,
     /*  891467 */   // Label 13599: @891467
     /*  891467 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891542), // Rule ID 61444 //
     /*  891472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891540 */     GIR_RootConstrainSelectedInstOperands,
     /*  891541 */     // GIR_Coverage, 61444,
     /*  891541 */     GIR_EraseRootFromParent_Done,
     /*  891542 */   // Label 13600: @891542
     /*  891542 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891617), // Rule ID 61445 //
     /*  891547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891593 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891615 */     GIR_RootConstrainSelectedInstOperands,
     /*  891616 */     // GIR_Coverage, 61445,
     /*  891616 */     GIR_EraseRootFromParent_Done,
     /*  891617 */   // Label 13601: @891617
     /*  891617 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891692), // Rule ID 61448 //
     /*  891622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891690 */     GIR_RootConstrainSelectedInstOperands,
     /*  891691 */     // GIR_Coverage, 61448,
     /*  891691 */     GIR_EraseRootFromParent_Done,
     /*  891692 */   // Label 13602: @891692
     /*  891692 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891767), // Rule ID 61449 //
     /*  891697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891765 */     GIR_RootConstrainSelectedInstOperands,
     /*  891766 */     // GIR_Coverage, 61449,
     /*  891766 */     GIR_EraseRootFromParent_Done,
     /*  891767 */   // Label 13603: @891767
     /*  891767 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891842), // Rule ID 61452 //
     /*  891772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891840 */     GIR_RootConstrainSelectedInstOperands,
     /*  891841 */     // GIR_Coverage, 61452,
     /*  891841 */     GIR_EraseRootFromParent_Done,
     /*  891842 */   // Label 13604: @891842
     /*  891842 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891917), // Rule ID 61453 //
     /*  891847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891915 */     GIR_RootConstrainSelectedInstOperands,
     /*  891916 */     // GIR_Coverage, 61453,
     /*  891916 */     GIR_EraseRootFromParent_Done,
     /*  891917 */   // Label 13605: @891917
     /*  891917 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891992), // Rule ID 61456 //
     /*  891922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891990 */     GIR_RootConstrainSelectedInstOperands,
     /*  891991 */     // GIR_Coverage, 61456,
     /*  891991 */     GIR_EraseRootFromParent_Done,
     /*  891992 */   // Label 13606: @891992
     /*  891992 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(892067), // Rule ID 61457 //
     /*  891997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892065 */     GIR_RootConstrainSelectedInstOperands,
     /*  892066 */     // GIR_Coverage, 61457,
     /*  892066 */     GIR_EraseRootFromParent_Done,
     /*  892067 */   // Label 13607: @892067
     /*  892067 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(892142), // Rule ID 61460 //
     /*  892072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892140 */     GIR_RootConstrainSelectedInstOperands,
     /*  892141 */     // GIR_Coverage, 61460,
     /*  892141 */     GIR_EraseRootFromParent_Done,
     /*  892142 */   // Label 13608: @892142
     /*  892142 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(892217), // Rule ID 61461 //
     /*  892147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892215 */     GIR_RootConstrainSelectedInstOperands,
     /*  892216 */     // GIR_Coverage, 61461,
     /*  892216 */     GIR_EraseRootFromParent_Done,
     /*  892217 */   // Label 13609: @892217
     /*  892217 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892292), // Rule ID 61464 //
     /*  892222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892290 */     GIR_RootConstrainSelectedInstOperands,
     /*  892291 */     // GIR_Coverage, 61464,
     /*  892291 */     GIR_EraseRootFromParent_Done,
     /*  892292 */   // Label 13610: @892292
     /*  892292 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892367), // Rule ID 61465 //
     /*  892297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892365 */     GIR_RootConstrainSelectedInstOperands,
     /*  892366 */     // GIR_Coverage, 61465,
     /*  892366 */     GIR_EraseRootFromParent_Done,
     /*  892367 */   // Label 13611: @892367
     /*  892367 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892442), // Rule ID 61468 //
     /*  892372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892440 */     GIR_RootConstrainSelectedInstOperands,
     /*  892441 */     // GIR_Coverage, 61468,
     /*  892441 */     GIR_EraseRootFromParent_Done,
     /*  892442 */   // Label 13612: @892442
     /*  892442 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892517), // Rule ID 61469 //
     /*  892447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892515 */     GIR_RootConstrainSelectedInstOperands,
     /*  892516 */     // GIR_Coverage, 61469,
     /*  892516 */     GIR_EraseRootFromParent_Done,
     /*  892517 */   // Label 13613: @892517
     /*  892517 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892592), // Rule ID 61472 //
     /*  892522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892590 */     GIR_RootConstrainSelectedInstOperands,
     /*  892591 */     // GIR_Coverage, 61472,
     /*  892591 */     GIR_EraseRootFromParent_Done,
     /*  892592 */   // Label 13614: @892592
     /*  892592 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892667), // Rule ID 61473 //
     /*  892597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892665 */     GIR_RootConstrainSelectedInstOperands,
     /*  892666 */     // GIR_Coverage, 61473,
     /*  892666 */     GIR_EraseRootFromParent_Done,
     /*  892667 */   // Label 13615: @892667
     /*  892667 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892742), // Rule ID 61476 //
     /*  892672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892740 */     GIR_RootConstrainSelectedInstOperands,
     /*  892741 */     // GIR_Coverage, 61476,
     /*  892741 */     GIR_EraseRootFromParent_Done,
     /*  892742 */   // Label 13616: @892742
     /*  892742 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892817), // Rule ID 61477 //
     /*  892747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892815 */     GIR_RootConstrainSelectedInstOperands,
     /*  892816 */     // GIR_Coverage, 61477,
     /*  892816 */     GIR_EraseRootFromParent_Done,
     /*  892817 */   // Label 13617: @892817
     /*  892817 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892892), // Rule ID 61480 //
     /*  892822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892890 */     GIR_RootConstrainSelectedInstOperands,
     /*  892891 */     // GIR_Coverage, 61480,
     /*  892891 */     GIR_EraseRootFromParent_Done,
     /*  892892 */   // Label 13618: @892892
     /*  892892 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892967), // Rule ID 61481 //
     /*  892897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892943 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892965 */     GIR_RootConstrainSelectedInstOperands,
     /*  892966 */     // GIR_Coverage, 61481,
     /*  892966 */     GIR_EraseRootFromParent_Done,
     /*  892967 */   // Label 13619: @892967
     /*  892967 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(893042), // Rule ID 61484 //
     /*  892972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  892992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893040 */     GIR_RootConstrainSelectedInstOperands,
     /*  893041 */     // GIR_Coverage, 61484,
     /*  893041 */     GIR_EraseRootFromParent_Done,
     /*  893042 */   // Label 13620: @893042
     /*  893042 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(893117), // Rule ID 61485 //
     /*  893047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893115 */     GIR_RootConstrainSelectedInstOperands,
     /*  893116 */     // GIR_Coverage, 61485,
     /*  893116 */     GIR_EraseRootFromParent_Done,
     /*  893117 */   // Label 13621: @893117
     /*  893117 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(893192), // Rule ID 61488 //
     /*  893122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893168 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893190 */     GIR_RootConstrainSelectedInstOperands,
     /*  893191 */     // GIR_Coverage, 61488,
     /*  893191 */     GIR_EraseRootFromParent_Done,
     /*  893192 */   // Label 13622: @893192
     /*  893192 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893267), // Rule ID 61489 //
     /*  893197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893265 */     GIR_RootConstrainSelectedInstOperands,
     /*  893266 */     // GIR_Coverage, 61489,
     /*  893266 */     GIR_EraseRootFromParent_Done,
     /*  893267 */   // Label 13623: @893267
     /*  893267 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893342), // Rule ID 61492 //
     /*  893272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893340 */     GIR_RootConstrainSelectedInstOperands,
     /*  893341 */     // GIR_Coverage, 61492,
     /*  893341 */     GIR_EraseRootFromParent_Done,
     /*  893342 */   // Label 13624: @893342
     /*  893342 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893417), // Rule ID 61493 //
     /*  893347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893415 */     GIR_RootConstrainSelectedInstOperands,
     /*  893416 */     // GIR_Coverage, 61493,
     /*  893416 */     GIR_EraseRootFromParent_Done,
     /*  893417 */   // Label 13625: @893417
     /*  893417 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893492), // Rule ID 61496 //
     /*  893422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893490 */     GIR_RootConstrainSelectedInstOperands,
     /*  893491 */     // GIR_Coverage, 61496,
     /*  893491 */     GIR_EraseRootFromParent_Done,
     /*  893492 */   // Label 13626: @893492
     /*  893492 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893567), // Rule ID 61497 //
     /*  893497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893565 */     GIR_RootConstrainSelectedInstOperands,
     /*  893566 */     // GIR_Coverage, 61497,
     /*  893566 */     GIR_EraseRootFromParent_Done,
     /*  893567 */   // Label 13627: @893567
     /*  893567 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893642), // Rule ID 61500 //
     /*  893572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893640 */     GIR_RootConstrainSelectedInstOperands,
     /*  893641 */     // GIR_Coverage, 61500,
     /*  893641 */     GIR_EraseRootFromParent_Done,
     /*  893642 */   // Label 13628: @893642
     /*  893642 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893717), // Rule ID 61501 //
     /*  893647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893715 */     GIR_RootConstrainSelectedInstOperands,
     /*  893716 */     // GIR_Coverage, 61501,
     /*  893716 */     GIR_EraseRootFromParent_Done,
     /*  893717 */   // Label 13629: @893717
     /*  893717 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893792), // Rule ID 61504 //
     /*  893722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893790 */     GIR_RootConstrainSelectedInstOperands,
     /*  893791 */     // GIR_Coverage, 61504,
     /*  893791 */     GIR_EraseRootFromParent_Done,
     /*  893792 */   // Label 13630: @893792
     /*  893792 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893867), // Rule ID 61505 //
     /*  893797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893865 */     GIR_RootConstrainSelectedInstOperands,
     /*  893866 */     // GIR_Coverage, 61505,
     /*  893866 */     GIR_EraseRootFromParent_Done,
     /*  893867 */   // Label 13631: @893867
     /*  893867 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893942), // Rule ID 61508 //
     /*  893872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893940 */     GIR_RootConstrainSelectedInstOperands,
     /*  893941 */     // GIR_Coverage, 61508,
     /*  893941 */     GIR_EraseRootFromParent_Done,
     /*  893942 */   // Label 13632: @893942
     /*  893942 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(894017), // Rule ID 61509 //
     /*  893947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894015 */     GIR_RootConstrainSelectedInstOperands,
     /*  894016 */     // GIR_Coverage, 61509,
     /*  894016 */     GIR_EraseRootFromParent_Done,
     /*  894017 */   // Label 13633: @894017
     /*  894017 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(894092), // Rule ID 61512 //
     /*  894022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894090 */     GIR_RootConstrainSelectedInstOperands,
     /*  894091 */     // GIR_Coverage, 61512,
     /*  894091 */     GIR_EraseRootFromParent_Done,
     /*  894092 */   // Label 13634: @894092
     /*  894092 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(894167), // Rule ID 61513 //
     /*  894097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894165 */     GIR_RootConstrainSelectedInstOperands,
     /*  894166 */     // GIR_Coverage, 61513,
     /*  894166 */     GIR_EraseRootFromParent_Done,
     /*  894167 */   // Label 13635: @894167
     /*  894167 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(894242), // Rule ID 61516 //
     /*  894172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894240 */     GIR_RootConstrainSelectedInstOperands,
     /*  894241 */     // GIR_Coverage, 61516,
     /*  894241 */     GIR_EraseRootFromParent_Done,
     /*  894242 */   // Label 13636: @894242
     /*  894242 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894317), // Rule ID 61517 //
     /*  894247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894315 */     GIR_RootConstrainSelectedInstOperands,
     /*  894316 */     // GIR_Coverage, 61517,
     /*  894316 */     GIR_EraseRootFromParent_Done,
     /*  894317 */   // Label 13637: @894317
     /*  894317 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894392), // Rule ID 61520 //
     /*  894322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894390 */     GIR_RootConstrainSelectedInstOperands,
     /*  894391 */     // GIR_Coverage, 61520,
     /*  894391 */     GIR_EraseRootFromParent_Done,
     /*  894392 */   // Label 13638: @894392
     /*  894392 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894467), // Rule ID 61521 //
     /*  894397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894465 */     GIR_RootConstrainSelectedInstOperands,
     /*  894466 */     // GIR_Coverage, 61521,
     /*  894466 */     GIR_EraseRootFromParent_Done,
     /*  894467 */   // Label 13639: @894467
     /*  894467 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894542), // Rule ID 61524 //
     /*  894472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894540 */     GIR_RootConstrainSelectedInstOperands,
     /*  894541 */     // GIR_Coverage, 61524,
     /*  894541 */     GIR_EraseRootFromParent_Done,
     /*  894542 */   // Label 13640: @894542
     /*  894542 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894617), // Rule ID 61525 //
     /*  894547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894615 */     GIR_RootConstrainSelectedInstOperands,
     /*  894616 */     // GIR_Coverage, 61525,
     /*  894616 */     GIR_EraseRootFromParent_Done,
     /*  894617 */   // Label 13641: @894617
     /*  894617 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894692), // Rule ID 61528 //
     /*  894622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894690 */     GIR_RootConstrainSelectedInstOperands,
     /*  894691 */     // GIR_Coverage, 61528,
     /*  894691 */     GIR_EraseRootFromParent_Done,
     /*  894692 */   // Label 13642: @894692
     /*  894692 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894767), // Rule ID 61529 //
     /*  894697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894743 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894765 */     GIR_RootConstrainSelectedInstOperands,
     /*  894766 */     // GIR_Coverage, 61529,
     /*  894766 */     GIR_EraseRootFromParent_Done,
     /*  894767 */   // Label 13643: @894767
     /*  894767 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894842), // Rule ID 61532 //
     /*  894772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894840 */     GIR_RootConstrainSelectedInstOperands,
     /*  894841 */     // GIR_Coverage, 61532,
     /*  894841 */     GIR_EraseRootFromParent_Done,
     /*  894842 */   // Label 13644: @894842
     /*  894842 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894917), // Rule ID 61533 //
     /*  894847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894893 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894915 */     GIR_RootConstrainSelectedInstOperands,
     /*  894916 */     // GIR_Coverage, 61533,
     /*  894916 */     GIR_EraseRootFromParent_Done,
     /*  894917 */   // Label 13645: @894917
     /*  894917 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894992), // Rule ID 61536 //
     /*  894922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894968 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894990 */     GIR_RootConstrainSelectedInstOperands,
     /*  894991 */     // GIR_Coverage, 61536,
     /*  894991 */     GIR_EraseRootFromParent_Done,
     /*  894992 */   // Label 13646: @894992
     /*  894992 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(895067), // Rule ID 61537 //
     /*  894997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895043 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895065 */     GIR_RootConstrainSelectedInstOperands,
     /*  895066 */     // GIR_Coverage, 61537,
     /*  895066 */     GIR_EraseRootFromParent_Done,
     /*  895067 */   // Label 13647: @895067
     /*  895067 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(895142), // Rule ID 61540 //
     /*  895072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895140 */     GIR_RootConstrainSelectedInstOperands,
     /*  895141 */     // GIR_Coverage, 61540,
     /*  895141 */     GIR_EraseRootFromParent_Done,
     /*  895142 */   // Label 13648: @895142
     /*  895142 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(895217), // Rule ID 61541 //
     /*  895147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895215 */     GIR_RootConstrainSelectedInstOperands,
     /*  895216 */     // GIR_Coverage, 61541,
     /*  895216 */     GIR_EraseRootFromParent_Done,
     /*  895217 */   // Label 13649: @895217
     /*  895217 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895292), // Rule ID 61544 //
     /*  895222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895290 */     GIR_RootConstrainSelectedInstOperands,
     /*  895291 */     // GIR_Coverage, 61544,
     /*  895291 */     GIR_EraseRootFromParent_Done,
     /*  895292 */   // Label 13650: @895292
     /*  895292 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895367), // Rule ID 61545 //
     /*  895297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895365 */     GIR_RootConstrainSelectedInstOperands,
     /*  895366 */     // GIR_Coverage, 61545,
     /*  895366 */     GIR_EraseRootFromParent_Done,
     /*  895367 */   // Label 13651: @895367
     /*  895367 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895442), // Rule ID 61548 //
     /*  895372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895440 */     GIR_RootConstrainSelectedInstOperands,
     /*  895441 */     // GIR_Coverage, 61548,
     /*  895441 */     GIR_EraseRootFromParent_Done,
     /*  895442 */   // Label 13652: @895442
     /*  895442 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895517), // Rule ID 61549 //
     /*  895447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895515 */     GIR_RootConstrainSelectedInstOperands,
     /*  895516 */     // GIR_Coverage, 61549,
     /*  895516 */     GIR_EraseRootFromParent_Done,
     /*  895517 */   // Label 13653: @895517
     /*  895517 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895592), // Rule ID 61552 //
     /*  895522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895568 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895590 */     GIR_RootConstrainSelectedInstOperands,
     /*  895591 */     // GIR_Coverage, 61552,
     /*  895591 */     GIR_EraseRootFromParent_Done,
     /*  895592 */   // Label 13654: @895592
     /*  895592 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895667), // Rule ID 61553 //
     /*  895597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895665 */     GIR_RootConstrainSelectedInstOperands,
     /*  895666 */     // GIR_Coverage, 61553,
     /*  895666 */     GIR_EraseRootFromParent_Done,
     /*  895667 */   // Label 13655: @895667
     /*  895667 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895742), // Rule ID 61556 //
     /*  895672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895740 */     GIR_RootConstrainSelectedInstOperands,
     /*  895741 */     // GIR_Coverage, 61556,
     /*  895741 */     GIR_EraseRootFromParent_Done,
     /*  895742 */   // Label 13656: @895742
     /*  895742 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895817), // Rule ID 61557 //
     /*  895747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895815 */     GIR_RootConstrainSelectedInstOperands,
     /*  895816 */     // GIR_Coverage, 61557,
     /*  895816 */     GIR_EraseRootFromParent_Done,
     /*  895817 */   // Label 13657: @895817
     /*  895817 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895892), // Rule ID 61560 //
     /*  895822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895890 */     GIR_RootConstrainSelectedInstOperands,
     /*  895891 */     // GIR_Coverage, 61560,
     /*  895891 */     GIR_EraseRootFromParent_Done,
     /*  895892 */   // Label 13658: @895892
     /*  895892 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895967), // Rule ID 61561 //
     /*  895897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895965 */     GIR_RootConstrainSelectedInstOperands,
     /*  895966 */     // GIR_Coverage, 61561,
     /*  895966 */     GIR_EraseRootFromParent_Done,
     /*  895967 */   // Label 13659: @895967
     /*  895967 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(896042), // Rule ID 61564 //
     /*  895972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896040 */     GIR_RootConstrainSelectedInstOperands,
     /*  896041 */     // GIR_Coverage, 61564,
     /*  896041 */     GIR_EraseRootFromParent_Done,
     /*  896042 */   // Label 13660: @896042
     /*  896042 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(896117), // Rule ID 61565 //
     /*  896047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896115 */     GIR_RootConstrainSelectedInstOperands,
     /*  896116 */     // GIR_Coverage, 61565,
     /*  896116 */     GIR_EraseRootFromParent_Done,
     /*  896117 */   // Label 13661: @896117
     /*  896117 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(896192), // Rule ID 61568 //
     /*  896122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896168 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896190 */     GIR_RootConstrainSelectedInstOperands,
     /*  896191 */     // GIR_Coverage, 61568,
     /*  896191 */     GIR_EraseRootFromParent_Done,
     /*  896192 */   // Label 13662: @896192
     /*  896192 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896267), // Rule ID 61569 //
     /*  896197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896243 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896265 */     GIR_RootConstrainSelectedInstOperands,
     /*  896266 */     // GIR_Coverage, 61569,
     /*  896266 */     GIR_EraseRootFromParent_Done,
     /*  896267 */   // Label 13663: @896267
     /*  896267 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896342), // Rule ID 61572 //
     /*  896272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896318 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896340 */     GIR_RootConstrainSelectedInstOperands,
     /*  896341 */     // GIR_Coverage, 61572,
     /*  896341 */     GIR_EraseRootFromParent_Done,
     /*  896342 */   // Label 13664: @896342
     /*  896342 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896417), // Rule ID 61573 //
     /*  896347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896393 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896415 */     GIR_RootConstrainSelectedInstOperands,
     /*  896416 */     // GIR_Coverage, 61573,
     /*  896416 */     GIR_EraseRootFromParent_Done,
     /*  896417 */   // Label 13665: @896417
     /*  896417 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896492), // Rule ID 61576 //
     /*  896422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896468 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896490 */     GIR_RootConstrainSelectedInstOperands,
     /*  896491 */     // GIR_Coverage, 61576,
     /*  896491 */     GIR_EraseRootFromParent_Done,
     /*  896492 */   // Label 13666: @896492
     /*  896492 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896567), // Rule ID 61577 //
     /*  896497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896543 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896565 */     GIR_RootConstrainSelectedInstOperands,
     /*  896566 */     // GIR_Coverage, 61577,
     /*  896566 */     GIR_EraseRootFromParent_Done,
     /*  896567 */   // Label 13667: @896567
     /*  896567 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896642), // Rule ID 61580 //
     /*  896572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896640 */     GIR_RootConstrainSelectedInstOperands,
     /*  896641 */     // GIR_Coverage, 61580,
     /*  896641 */     GIR_EraseRootFromParent_Done,
     /*  896642 */   // Label 13668: @896642
     /*  896642 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896717), // Rule ID 61581 //
     /*  896647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896715 */     GIR_RootConstrainSelectedInstOperands,
     /*  896716 */     // GIR_Coverage, 61581,
     /*  896716 */     GIR_EraseRootFromParent_Done,
     /*  896717 */   // Label 13669: @896717
     /*  896717 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896792), // Rule ID 61584 //
     /*  896722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896790 */     GIR_RootConstrainSelectedInstOperands,
     /*  896791 */     // GIR_Coverage, 61584,
     /*  896791 */     GIR_EraseRootFromParent_Done,
     /*  896792 */   // Label 13670: @896792
     /*  896792 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896867), // Rule ID 61585 //
     /*  896797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896865 */     GIR_RootConstrainSelectedInstOperands,
     /*  896866 */     // GIR_Coverage, 61585,
     /*  896866 */     GIR_EraseRootFromParent_Done,
     /*  896867 */   // Label 13671: @896867
     /*  896867 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896942), // Rule ID 61588 //
     /*  896872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896940 */     GIR_RootConstrainSelectedInstOperands,
     /*  896941 */     // GIR_Coverage, 61588,
     /*  896941 */     GIR_EraseRootFromParent_Done,
     /*  896942 */   // Label 13672: @896942
     /*  896942 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(897017), // Rule ID 61589 //
     /*  896947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897015 */     GIR_RootConstrainSelectedInstOperands,
     /*  897016 */     // GIR_Coverage, 61589,
     /*  897016 */     GIR_EraseRootFromParent_Done,
     /*  897017 */   // Label 13673: @897017
     /*  897017 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(897092), // Rule ID 61592 //
     /*  897022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897090 */     GIR_RootConstrainSelectedInstOperands,
     /*  897091 */     // GIR_Coverage, 61592,
     /*  897091 */     GIR_EraseRootFromParent_Done,
     /*  897092 */   // Label 13674: @897092
     /*  897092 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(897167), // Rule ID 61593 //
     /*  897097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897165 */     GIR_RootConstrainSelectedInstOperands,
     /*  897166 */     // GIR_Coverage, 61593,
     /*  897166 */     GIR_EraseRootFromParent_Done,
     /*  897167 */   // Label 13675: @897167
     /*  897167 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(897242), // Rule ID 61596 //
     /*  897172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897240 */     GIR_RootConstrainSelectedInstOperands,
     /*  897241 */     // GIR_Coverage, 61596,
     /*  897241 */     GIR_EraseRootFromParent_Done,
     /*  897242 */   // Label 13676: @897242
     /*  897242 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897317), // Rule ID 61597 //
     /*  897247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897315 */     GIR_RootConstrainSelectedInstOperands,
     /*  897316 */     // GIR_Coverage, 61597,
     /*  897316 */     GIR_EraseRootFromParent_Done,
     /*  897317 */   // Label 13677: @897317
     /*  897317 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897392), // Rule ID 61600 //
     /*  897322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897390 */     GIR_RootConstrainSelectedInstOperands,
     /*  897391 */     // GIR_Coverage, 61600,
     /*  897391 */     GIR_EraseRootFromParent_Done,
     /*  897392 */   // Label 13678: @897392
     /*  897392 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897467), // Rule ID 61601 //
     /*  897397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897465 */     GIR_RootConstrainSelectedInstOperands,
     /*  897466 */     // GIR_Coverage, 61601,
     /*  897466 */     GIR_EraseRootFromParent_Done,
     /*  897467 */   // Label 13679: @897467
     /*  897467 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897542), // Rule ID 61604 //
     /*  897472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897540 */     GIR_RootConstrainSelectedInstOperands,
     /*  897541 */     // GIR_Coverage, 61604,
     /*  897541 */     GIR_EraseRootFromParent_Done,
     /*  897542 */   // Label 13680: @897542
     /*  897542 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897617), // Rule ID 61605 //
     /*  897547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897615 */     GIR_RootConstrainSelectedInstOperands,
     /*  897616 */     // GIR_Coverage, 61605,
     /*  897616 */     GIR_EraseRootFromParent_Done,
     /*  897617 */   // Label 13681: @897617
     /*  897617 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897692), // Rule ID 61608 //
     /*  897622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897690 */     GIR_RootConstrainSelectedInstOperands,
     /*  897691 */     // GIR_Coverage, 61608,
     /*  897691 */     GIR_EraseRootFromParent_Done,
     /*  897692 */   // Label 13682: @897692
     /*  897692 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897767), // Rule ID 61609 //
     /*  897697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897743 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897765 */     GIR_RootConstrainSelectedInstOperands,
     /*  897766 */     // GIR_Coverage, 61609,
     /*  897766 */     GIR_EraseRootFromParent_Done,
     /*  897767 */   // Label 13683: @897767
     /*  897767 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897842), // Rule ID 61612 //
     /*  897772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897840 */     GIR_RootConstrainSelectedInstOperands,
     /*  897841 */     // GIR_Coverage, 61612,
     /*  897841 */     GIR_EraseRootFromParent_Done,
     /*  897842 */   // Label 13684: @897842
     /*  897842 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897917), // Rule ID 61613 //
     /*  897847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897915 */     GIR_RootConstrainSelectedInstOperands,
     /*  897916 */     // GIR_Coverage, 61613,
     /*  897916 */     GIR_EraseRootFromParent_Done,
     /*  897917 */   // Label 13685: @897917
     /*  897917 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897992), // Rule ID 61700 //
     /*  897922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897990 */     GIR_RootConstrainSelectedInstOperands,
     /*  897991 */     // GIR_Coverage, 61700,
     /*  897991 */     GIR_EraseRootFromParent_Done,
     /*  897992 */   // Label 13686: @897992
     /*  897992 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(898067), // Rule ID 61701 //
     /*  897997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  898017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  898046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898065 */     GIR_RootConstrainSelectedInstOperands,
     /*  898066 */     // GIR_Coverage, 61701,
     /*  898066 */     GIR_EraseRootFromParent_Done,
     /*  898067 */   // Label 13687: @898067
     /*  898067 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(898142), // Rule ID 61704 //
     /*  898072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898140 */     GIR_RootConstrainSelectedInstOperands,
     /*  898141 */     // GIR_Coverage, 61704,
     /*  898141 */     GIR_EraseRootFromParent_Done,
     /*  898142 */   // Label 13688: @898142
     /*  898142 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(898217), // Rule ID 61705 //
     /*  898147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898215 */     GIR_RootConstrainSelectedInstOperands,
     /*  898216 */     // GIR_Coverage, 61705,
     /*  898216 */     GIR_EraseRootFromParent_Done,
     /*  898217 */   // Label 13689: @898217
     /*  898217 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898292), // Rule ID 61708 //
     /*  898222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898290 */     GIR_RootConstrainSelectedInstOperands,
     /*  898291 */     // GIR_Coverage, 61708,
     /*  898291 */     GIR_EraseRootFromParent_Done,
     /*  898292 */   // Label 13690: @898292
     /*  898292 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898367), // Rule ID 61709 //
     /*  898297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898343 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898365 */     GIR_RootConstrainSelectedInstOperands,
     /*  898366 */     // GIR_Coverage, 61709,
     /*  898366 */     GIR_EraseRootFromParent_Done,
     /*  898367 */   // Label 13691: @898367
     /*  898367 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898442), // Rule ID 61712 //
     /*  898372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898440 */     GIR_RootConstrainSelectedInstOperands,
     /*  898441 */     // GIR_Coverage, 61712,
     /*  898441 */     GIR_EraseRootFromParent_Done,
     /*  898442 */   // Label 13692: @898442
     /*  898442 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898517), // Rule ID 61713 //
     /*  898447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898515 */     GIR_RootConstrainSelectedInstOperands,
     /*  898516 */     // GIR_Coverage, 61713,
     /*  898516 */     GIR_EraseRootFromParent_Done,
     /*  898517 */   // Label 13693: @898517
     /*  898517 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898592), // Rule ID 61716 //
     /*  898522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898590 */     GIR_RootConstrainSelectedInstOperands,
     /*  898591 */     // GIR_Coverage, 61716,
     /*  898591 */     GIR_EraseRootFromParent_Done,
     /*  898592 */   // Label 13694: @898592
     /*  898592 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898667), // Rule ID 61717 //
     /*  898597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898665 */     GIR_RootConstrainSelectedInstOperands,
     /*  898666 */     // GIR_Coverage, 61717,
     /*  898666 */     GIR_EraseRootFromParent_Done,
     /*  898667 */   // Label 13695: @898667
     /*  898667 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898742), // Rule ID 61720 //
     /*  898672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898740 */     GIR_RootConstrainSelectedInstOperands,
     /*  898741 */     // GIR_Coverage, 61720,
     /*  898741 */     GIR_EraseRootFromParent_Done,
     /*  898742 */   // Label 13696: @898742
     /*  898742 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898817), // Rule ID 61721 //
     /*  898747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898815 */     GIR_RootConstrainSelectedInstOperands,
     /*  898816 */     // GIR_Coverage, 61721,
     /*  898816 */     GIR_EraseRootFromParent_Done,
     /*  898817 */   // Label 13697: @898817
     /*  898817 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898892), // Rule ID 61724 //
     /*  898822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898890 */     GIR_RootConstrainSelectedInstOperands,
     /*  898891 */     // GIR_Coverage, 61724,
     /*  898891 */     GIR_EraseRootFromParent_Done,
     /*  898892 */   // Label 13698: @898892
     /*  898892 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898967), // Rule ID 61725 //
     /*  898897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898965 */     GIR_RootConstrainSelectedInstOperands,
     /*  898966 */     // GIR_Coverage, 61725,
     /*  898966 */     GIR_EraseRootFromParent_Done,
     /*  898967 */   // Label 13699: @898967
     /*  898967 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(899042), // Rule ID 61728 //
     /*  898972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899040 */     GIR_RootConstrainSelectedInstOperands,
     /*  899041 */     // GIR_Coverage, 61728,
     /*  899041 */     GIR_EraseRootFromParent_Done,
     /*  899042 */   // Label 13700: @899042
     /*  899042 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(899117), // Rule ID 61729 //
     /*  899047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899093 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899115 */     GIR_RootConstrainSelectedInstOperands,
     /*  899116 */     // GIR_Coverage, 61729,
     /*  899116 */     GIR_EraseRootFromParent_Done,
     /*  899117 */   // Label 13701: @899117
     /*  899117 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(899192), // Rule ID 61732 //
     /*  899122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899190 */     GIR_RootConstrainSelectedInstOperands,
     /*  899191 */     // GIR_Coverage, 61732,
     /*  899191 */     GIR_EraseRootFromParent_Done,
     /*  899192 */   // Label 13702: @899192
     /*  899192 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899267), // Rule ID 61733 //
     /*  899197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899265 */     GIR_RootConstrainSelectedInstOperands,
     /*  899266 */     // GIR_Coverage, 61733,
     /*  899266 */     GIR_EraseRootFromParent_Done,
     /*  899267 */   // Label 13703: @899267
     /*  899267 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899342), // Rule ID 61736 //
     /*  899272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  899289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  899292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899340 */     GIR_RootConstrainSelectedInstOperands,
     /*  899341 */     // GIR_Coverage, 61736,
     /*  899341 */     GIR_EraseRootFromParent_Done,
     /*  899342 */   // Label 13704: @899342
     /*  899342 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899417), // Rule ID 61737 //
     /*  899347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  899364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  899367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899415 */     GIR_RootConstrainSelectedInstOperands,
     /*  899416 */     // GIR_Coverage, 61737,
     /*  899416 */     GIR_EraseRootFromParent_Done,
     /*  899417 */   // Label 13705: @899417
     /*  899417 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899492), // Rule ID 61740 //
     /*  899422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899490 */     GIR_RootConstrainSelectedInstOperands,
     /*  899491 */     // GIR_Coverage, 61740,
     /*  899491 */     GIR_EraseRootFromParent_Done,
     /*  899492 */   // Label 13706: @899492
     /*  899492 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899567), // Rule ID 61741 //
     /*  899497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899543 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899565 */     GIR_RootConstrainSelectedInstOperands,
     /*  899566 */     // GIR_Coverage, 61741,
     /*  899566 */     GIR_EraseRootFromParent_Done,
     /*  899567 */   // Label 13707: @899567
     /*  899567 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899642), // Rule ID 61744 //
     /*  899572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899618 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899640 */     GIR_RootConstrainSelectedInstOperands,
     /*  899641 */     // GIR_Coverage, 61744,
     /*  899641 */     GIR_EraseRootFromParent_Done,
     /*  899642 */   // Label 13708: @899642
     /*  899642 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899717), // Rule ID 61745 //
     /*  899647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899693 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899715 */     GIR_RootConstrainSelectedInstOperands,
     /*  899716 */     // GIR_Coverage, 61745,
     /*  899716 */     GIR_EraseRootFromParent_Done,
     /*  899717 */   // Label 13709: @899717
     /*  899717 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899792), // Rule ID 61748 //
     /*  899722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899790 */     GIR_RootConstrainSelectedInstOperands,
     /*  899791 */     // GIR_Coverage, 61748,
     /*  899791 */     GIR_EraseRootFromParent_Done,
     /*  899792 */   // Label 13710: @899792
     /*  899792 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899867), // Rule ID 61749 //
     /*  899797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899865 */     GIR_RootConstrainSelectedInstOperands,
     /*  899866 */     // GIR_Coverage, 61749,
     /*  899866 */     GIR_EraseRootFromParent_Done,
     /*  899867 */   // Label 13711: @899867
     /*  899867 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899942), // Rule ID 61752 //
     /*  899872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899918 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899940 */     GIR_RootConstrainSelectedInstOperands,
     /*  899941 */     // GIR_Coverage, 61752,
     /*  899941 */     GIR_EraseRootFromParent_Done,
     /*  899942 */   // Label 13712: @899942
     /*  899942 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(900017), // Rule ID 61753 //
     /*  899947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899993 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900015 */     GIR_RootConstrainSelectedInstOperands,
     /*  900016 */     // GIR_Coverage, 61753,
     /*  900016 */     GIR_EraseRootFromParent_Done,
     /*  900017 */   // Label 13713: @900017
     /*  900017 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(900092), // Rule ID 61756 //
     /*  900022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900090 */     GIR_RootConstrainSelectedInstOperands,
     /*  900091 */     // GIR_Coverage, 61756,
     /*  900091 */     GIR_EraseRootFromParent_Done,
     /*  900092 */   // Label 13714: @900092
     /*  900092 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(900167), // Rule ID 61757 //
     /*  900097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900165 */     GIR_RootConstrainSelectedInstOperands,
     /*  900166 */     // GIR_Coverage, 61757,
     /*  900166 */     GIR_EraseRootFromParent_Done,
     /*  900167 */   // Label 13715: @900167
     /*  900167 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(900242), // Rule ID 61760 //
     /*  900172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900240 */     GIR_RootConstrainSelectedInstOperands,
     /*  900241 */     // GIR_Coverage, 61760,
     /*  900241 */     GIR_EraseRootFromParent_Done,
     /*  900242 */   // Label 13716: @900242
     /*  900242 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900317), // Rule ID 61761 //
     /*  900247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900315 */     GIR_RootConstrainSelectedInstOperands,
     /*  900316 */     // GIR_Coverage, 61761,
     /*  900316 */     GIR_EraseRootFromParent_Done,
     /*  900317 */   // Label 13717: @900317
     /*  900317 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900392), // Rule ID 61764 //
     /*  900322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  900333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  900336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  900339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900390 */     GIR_RootConstrainSelectedInstOperands,
     /*  900391 */     // GIR_Coverage, 61764,
     /*  900391 */     GIR_EraseRootFromParent_Done,
     /*  900392 */   // Label 13718: @900392
     /*  900392 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900467), // Rule ID 61765 //
     /*  900397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  900408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  900411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  900414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900465 */     GIR_RootConstrainSelectedInstOperands,
     /*  900466 */     // GIR_Coverage, 61765,
     /*  900466 */     GIR_EraseRootFromParent_Done,
     /*  900467 */   // Label 13719: @900467
     /*  900467 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900542), // Rule ID 61768 //
     /*  900472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900540 */     GIR_RootConstrainSelectedInstOperands,
     /*  900541 */     // GIR_Coverage, 61768,
     /*  900541 */     GIR_EraseRootFromParent_Done,
     /*  900542 */   // Label 13720: @900542
     /*  900542 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900617), // Rule ID 61769 //
     /*  900547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900615 */     GIR_RootConstrainSelectedInstOperands,
     /*  900616 */     // GIR_Coverage, 61769,
     /*  900616 */     GIR_EraseRootFromParent_Done,
     /*  900617 */   // Label 13721: @900617
     /*  900617 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900692), // Rule ID 61772 //
     /*  900622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900690 */     GIR_RootConstrainSelectedInstOperands,
     /*  900691 */     // GIR_Coverage, 61772,
     /*  900691 */     GIR_EraseRootFromParent_Done,
     /*  900692 */   // Label 13722: @900692
     /*  900692 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900767), // Rule ID 61773 //
     /*  900697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900765 */     GIR_RootConstrainSelectedInstOperands,
     /*  900766 */     // GIR_Coverage, 61773,
     /*  900766 */     GIR_EraseRootFromParent_Done,
     /*  900767 */   // Label 13723: @900767
     /*  900767 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900842), // Rule ID 61776 //
     /*  900772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900840 */     GIR_RootConstrainSelectedInstOperands,
     /*  900841 */     // GIR_Coverage, 61776,
     /*  900841 */     GIR_EraseRootFromParent_Done,
     /*  900842 */   // Label 13724: @900842
     /*  900842 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900917), // Rule ID 61777 //
     /*  900847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900915 */     GIR_RootConstrainSelectedInstOperands,
     /*  900916 */     // GIR_Coverage, 61777,
     /*  900916 */     GIR_EraseRootFromParent_Done,
     /*  900917 */   // Label 13725: @900917
     /*  900917 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900992), // Rule ID 61780 //
     /*  900922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900990 */     GIR_RootConstrainSelectedInstOperands,
     /*  900991 */     // GIR_Coverage, 61780,
     /*  900991 */     GIR_EraseRootFromParent_Done,
     /*  900992 */   // Label 13726: @900992
     /*  900992 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(901067), // Rule ID 61781 //
     /*  900997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  901017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901065 */     GIR_RootConstrainSelectedInstOperands,
     /*  901066 */     // GIR_Coverage, 61781,
     /*  901066 */     GIR_EraseRootFromParent_Done,
     /*  901067 */   // Label 13727: @901067
     /*  901067 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(901142), // Rule ID 61784 //
     /*  901072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901140 */     GIR_RootConstrainSelectedInstOperands,
     /*  901141 */     // GIR_Coverage, 61784,
     /*  901141 */     GIR_EraseRootFromParent_Done,
     /*  901142 */   // Label 13728: @901142
     /*  901142 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(901217), // Rule ID 61785 //
     /*  901147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901215 */     GIR_RootConstrainSelectedInstOperands,
     /*  901216 */     // GIR_Coverage, 61785,
     /*  901216 */     GIR_EraseRootFromParent_Done,
     /*  901217 */   // Label 13729: @901217
     /*  901217 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901292), // Rule ID 61788 //
     /*  901222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  901271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901290 */     GIR_RootConstrainSelectedInstOperands,
     /*  901291 */     // GIR_Coverage, 61788,
     /*  901291 */     GIR_EraseRootFromParent_Done,
     /*  901292 */   // Label 13730: @901292
     /*  901292 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901367), // Rule ID 61789 //
     /*  901297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901343 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  901346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901365 */     GIR_RootConstrainSelectedInstOperands,
     /*  901366 */     // GIR_Coverage, 61789,
     /*  901366 */     GIR_EraseRootFromParent_Done,
     /*  901367 */   // Label 13731: @901367
     /*  901367 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901442), // Rule ID 61792 //
     /*  901372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901418 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901440 */     GIR_RootConstrainSelectedInstOperands,
     /*  901441 */     // GIR_Coverage, 61792,
     /*  901441 */     GIR_EraseRootFromParent_Done,
     /*  901442 */   // Label 13732: @901442
     /*  901442 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901517), // Rule ID 61793 //
     /*  901447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901493 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901515 */     GIR_RootConstrainSelectedInstOperands,
     /*  901516 */     // GIR_Coverage, 61793,
     /*  901516 */     GIR_EraseRootFromParent_Done,
     /*  901517 */   // Label 13733: @901517
     /*  901517 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901592), // Rule ID 61796 //
     /*  901522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901568 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901590 */     GIR_RootConstrainSelectedInstOperands,
     /*  901591 */     // GIR_Coverage, 61796,
     /*  901591 */     GIR_EraseRootFromParent_Done,
     /*  901592 */   // Label 13734: @901592
     /*  901592 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901667), // Rule ID 61797 //
     /*  901597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901665 */     GIR_RootConstrainSelectedInstOperands,
     /*  901666 */     // GIR_Coverage, 61797,
     /*  901666 */     GIR_EraseRootFromParent_Done,
     /*  901667 */   // Label 13735: @901667
     /*  901667 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901742), // Rule ID 61800 //
     /*  901672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901740 */     GIR_RootConstrainSelectedInstOperands,
     /*  901741 */     // GIR_Coverage, 61800,
     /*  901741 */     GIR_EraseRootFromParent_Done,
     /*  901742 */   // Label 13736: @901742
     /*  901742 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901817), // Rule ID 61801 //
     /*  901747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901815 */     GIR_RootConstrainSelectedInstOperands,
     /*  901816 */     // GIR_Coverage, 61801,
     /*  901816 */     GIR_EraseRootFromParent_Done,
     /*  901817 */   // Label 13737: @901817
     /*  901817 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901892), // Rule ID 61804 //
     /*  901822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901890 */     GIR_RootConstrainSelectedInstOperands,
     /*  901891 */     // GIR_Coverage, 61804,
     /*  901891 */     GIR_EraseRootFromParent_Done,
     /*  901892 */   // Label 13738: @901892
     /*  901892 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901967), // Rule ID 61805 //
     /*  901897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901965 */     GIR_RootConstrainSelectedInstOperands,
     /*  901966 */     // GIR_Coverage, 61805,
     /*  901966 */     GIR_EraseRootFromParent_Done,
     /*  901967 */   // Label 13739: @901967
     /*  901967 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(902042), // Rule ID 61808 //
     /*  901972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902040 */     GIR_RootConstrainSelectedInstOperands,
     /*  902041 */     // GIR_Coverage, 61808,
     /*  902041 */     GIR_EraseRootFromParent_Done,
     /*  902042 */   // Label 13740: @902042
     /*  902042 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(902117), // Rule ID 61809 //
     /*  902047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902115 */     GIR_RootConstrainSelectedInstOperands,
     /*  902116 */     // GIR_Coverage, 61809,
     /*  902116 */     GIR_EraseRootFromParent_Done,
     /*  902117 */   // Label 13741: @902117
     /*  902117 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(902192), // Rule ID 61812 //
     /*  902122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902190 */     GIR_RootConstrainSelectedInstOperands,
     /*  902191 */     // GIR_Coverage, 61812,
     /*  902191 */     GIR_EraseRootFromParent_Done,
     /*  902192 */   // Label 13742: @902192
     /*  902192 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902267), // Rule ID 61813 //
     /*  902197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902243 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902265 */     GIR_RootConstrainSelectedInstOperands,
     /*  902266 */     // GIR_Coverage, 61813,
     /*  902266 */     GIR_EraseRootFromParent_Done,
     /*  902267 */   // Label 13743: @902267
     /*  902267 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902342), // Rule ID 61816 //
     /*  902272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  902283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  902286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902340 */     GIR_RootConstrainSelectedInstOperands,
     /*  902341 */     // GIR_Coverage, 61816,
     /*  902341 */     GIR_EraseRootFromParent_Done,
     /*  902342 */   // Label 13744: @902342
     /*  902342 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902417), // Rule ID 61817 //
     /*  902347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  902358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  902361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902415 */     GIR_RootConstrainSelectedInstOperands,
     /*  902416 */     // GIR_Coverage, 61817,
     /*  902416 */     GIR_EraseRootFromParent_Done,
     /*  902417 */   // Label 13745: @902417
     /*  902417 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902492), // Rule ID 61820 //
     /*  902422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902490 */     GIR_RootConstrainSelectedInstOperands,
     /*  902491 */     // GIR_Coverage, 61820,
     /*  902491 */     GIR_EraseRootFromParent_Done,
     /*  902492 */   // Label 13746: @902492
     /*  902492 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902567), // Rule ID 61821 //
     /*  902497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902565 */     GIR_RootConstrainSelectedInstOperands,
     /*  902566 */     // GIR_Coverage, 61821,
     /*  902566 */     GIR_EraseRootFromParent_Done,
     /*  902567 */   // Label 13747: @902567
     /*  902567 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902642), // Rule ID 61824 //
     /*  902572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902640 */     GIR_RootConstrainSelectedInstOperands,
     /*  902641 */     // GIR_Coverage, 61824,
     /*  902641 */     GIR_EraseRootFromParent_Done,
     /*  902642 */   // Label 13748: @902642
     /*  902642 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902717), // Rule ID 61825 //
     /*  902647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902693 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902715 */     GIR_RootConstrainSelectedInstOperands,
     /*  902716 */     // GIR_Coverage, 61825,
     /*  902716 */     GIR_EraseRootFromParent_Done,
     /*  902717 */   // Label 13749: @902717
     /*  902717 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902792), // Rule ID 61828 //
     /*  902722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902790 */     GIR_RootConstrainSelectedInstOperands,
     /*  902791 */     // GIR_Coverage, 61828,
     /*  902791 */     GIR_EraseRootFromParent_Done,
     /*  902792 */   // Label 13750: @902792
     /*  902792 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902867), // Rule ID 61829 //
     /*  902797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902843 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902865 */     GIR_RootConstrainSelectedInstOperands,
     /*  902866 */     // GIR_Coverage, 61829,
     /*  902866 */     GIR_EraseRootFromParent_Done,
     /*  902867 */   // Label 13751: @902867
     /*  902867 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902942), // Rule ID 61832 //
     /*  902872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902940 */     GIR_RootConstrainSelectedInstOperands,
     /*  902941 */     // GIR_Coverage, 61832,
     /*  902941 */     GIR_EraseRootFromParent_Done,
     /*  902942 */   // Label 13752: @902942
     /*  902942 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(903017), // Rule ID 61833 //
     /*  902947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903015 */     GIR_RootConstrainSelectedInstOperands,
     /*  903016 */     // GIR_Coverage, 61833,
     /*  903016 */     GIR_EraseRootFromParent_Done,
     /*  903017 */   // Label 13753: @903017
     /*  903017 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(903092), // Rule ID 61836 //
     /*  903022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903090 */     GIR_RootConstrainSelectedInstOperands,
     /*  903091 */     // GIR_Coverage, 61836,
     /*  903091 */     GIR_EraseRootFromParent_Done,
     /*  903092 */   // Label 13754: @903092
     /*  903092 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(903167), // Rule ID 61837 //
     /*  903097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903143 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903165 */     GIR_RootConstrainSelectedInstOperands,
     /*  903166 */     // GIR_Coverage, 61837,
     /*  903166 */     GIR_EraseRootFromParent_Done,
     /*  903167 */   // Label 13755: @903167
     /*  903167 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(903242), // Rule ID 61840 //
     /*  903172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903240 */     GIR_RootConstrainSelectedInstOperands,
     /*  903241 */     // GIR_Coverage, 61840,
     /*  903241 */     GIR_EraseRootFromParent_Done,
     /*  903242 */   // Label 13756: @903242
     /*  903242 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903317), // Rule ID 61841 //
     /*  903247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903315 */     GIR_RootConstrainSelectedInstOperands,
     /*  903316 */     // GIR_Coverage, 61841,
     /*  903316 */     GIR_EraseRootFromParent_Done,
     /*  903317 */   // Label 13757: @903317
     /*  903317 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903392), // Rule ID 61844 //
     /*  903322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  903336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903390 */     GIR_RootConstrainSelectedInstOperands,
     /*  903391 */     // GIR_Coverage, 61844,
     /*  903391 */     GIR_EraseRootFromParent_Done,
     /*  903392 */   // Label 13758: @903392
     /*  903392 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903467), // Rule ID 61845 //
     /*  903397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  903411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903465 */     GIR_RootConstrainSelectedInstOperands,
     /*  903466 */     // GIR_Coverage, 61845,
     /*  903466 */     GIR_EraseRootFromParent_Done,
     /*  903467 */   // Label 13759: @903467
     /*  903467 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903542), // Rule ID 61848 //
     /*  903472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903540 */     GIR_RootConstrainSelectedInstOperands,
     /*  903541 */     // GIR_Coverage, 61848,
     /*  903541 */     GIR_EraseRootFromParent_Done,
     /*  903542 */   // Label 13760: @903542
     /*  903542 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903617), // Rule ID 61849 //
     /*  903547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903615 */     GIR_RootConstrainSelectedInstOperands,
     /*  903616 */     // GIR_Coverage, 61849,
     /*  903616 */     GIR_EraseRootFromParent_Done,
     /*  903617 */   // Label 13761: @903617
     /*  903617 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903692), // Rule ID 61852 //
     /*  903622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903690 */     GIR_RootConstrainSelectedInstOperands,
     /*  903691 */     // GIR_Coverage, 61852,
     /*  903691 */     GIR_EraseRootFromParent_Done,
     /*  903692 */   // Label 13762: @903692
     /*  903692 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903767), // Rule ID 61853 //
     /*  903697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903743 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903765 */     GIR_RootConstrainSelectedInstOperands,
     /*  903766 */     // GIR_Coverage, 61853,
     /*  903766 */     GIR_EraseRootFromParent_Done,
     /*  903767 */   // Label 13763: @903767
     /*  903767 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903842), // Rule ID 61856 //
     /*  903772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903840 */     GIR_RootConstrainSelectedInstOperands,
     /*  903841 */     // GIR_Coverage, 61856,
     /*  903841 */     GIR_EraseRootFromParent_Done,
     /*  903842 */   // Label 13764: @903842
     /*  903842 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903917), // Rule ID 61857 //
     /*  903847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903893 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903915 */     GIR_RootConstrainSelectedInstOperands,
     /*  903916 */     // GIR_Coverage, 61857,
     /*  903916 */     GIR_EraseRootFromParent_Done,
     /*  903917 */   // Label 13765: @903917
     /*  903917 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903992), // Rule ID 61860 //
     /*  903922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903990 */     GIR_RootConstrainSelectedInstOperands,
     /*  903991 */     // GIR_Coverage, 61860,
     /*  903991 */     GIR_EraseRootFromParent_Done,
     /*  903992 */   // Label 13766: @903992
     /*  903992 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(904067), // Rule ID 61861 //
     /*  903997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904065 */     GIR_RootConstrainSelectedInstOperands,
     /*  904066 */     // GIR_Coverage, 61861,
     /*  904066 */     GIR_EraseRootFromParent_Done,
     /*  904067 */   // Label 13767: @904067
     /*  904067 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(904142), // Rule ID 61864 //
     /*  904072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904140 */     GIR_RootConstrainSelectedInstOperands,
     /*  904141 */     // GIR_Coverage, 61864,
     /*  904141 */     GIR_EraseRootFromParent_Done,
     /*  904142 */   // Label 13768: @904142
     /*  904142 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(904217), // Rule ID 61865 //
     /*  904147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904215 */     GIR_RootConstrainSelectedInstOperands,
     /*  904216 */     // GIR_Coverage, 61865,
     /*  904216 */     GIR_EraseRootFromParent_Done,
     /*  904217 */   // Label 13769: @904217
     /*  904217 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904292), // Rule ID 61868 //
     /*  904222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904290 */     GIR_RootConstrainSelectedInstOperands,
     /*  904291 */     // GIR_Coverage, 61868,
     /*  904291 */     GIR_EraseRootFromParent_Done,
     /*  904292 */   // Label 13770: @904292
     /*  904292 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904367), // Rule ID 61869 //
     /*  904297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904365 */     GIR_RootConstrainSelectedInstOperands,
     /*  904366 */     // GIR_Coverage, 61869,
     /*  904366 */     GIR_EraseRootFromParent_Done,
     /*  904367 */   // Label 13771: @904367
     /*  904367 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904442), // Rule ID 61872 //
     /*  904372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904440 */     GIR_RootConstrainSelectedInstOperands,
     /*  904441 */     // GIR_Coverage, 61872,
     /*  904441 */     GIR_EraseRootFromParent_Done,
     /*  904442 */   // Label 13772: @904442
     /*  904442 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904517), // Rule ID 61873 //
     /*  904447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904515 */     GIR_RootConstrainSelectedInstOperands,
     /*  904516 */     // GIR_Coverage, 61873,
     /*  904516 */     GIR_EraseRootFromParent_Done,
     /*  904517 */   // Label 13773: @904517
     /*  904517 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904592), // Rule ID 62316 //
     /*  904522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904590 */     GIR_RootConstrainSelectedInstOperands,
     /*  904591 */     // GIR_Coverage, 62316,
     /*  904591 */     GIR_EraseRootFromParent_Done,
     /*  904592 */   // Label 13774: @904592
     /*  904592 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904667), // Rule ID 62317 //
     /*  904597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904665 */     GIR_RootConstrainSelectedInstOperands,
     /*  904666 */     // GIR_Coverage, 62317,
     /*  904666 */     GIR_EraseRootFromParent_Done,
     /*  904667 */   // Label 13775: @904667
     /*  904667 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904742), // Rule ID 62318 //
     /*  904672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904740 */     GIR_RootConstrainSelectedInstOperands,
     /*  904741 */     // GIR_Coverage, 62318,
     /*  904741 */     GIR_EraseRootFromParent_Done,
     /*  904742 */   // Label 13776: @904742
     /*  904742 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904817), // Rule ID 62319 //
     /*  904747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904815 */     GIR_RootConstrainSelectedInstOperands,
     /*  904816 */     // GIR_Coverage, 62319,
     /*  904816 */     GIR_EraseRootFromParent_Done,
     /*  904817 */   // Label 13777: @904817
     /*  904817 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904892), // Rule ID 62320 //
     /*  904822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904890 */     GIR_RootConstrainSelectedInstOperands,
     /*  904891 */     // GIR_Coverage, 62320,
     /*  904891 */     GIR_EraseRootFromParent_Done,
     /*  904892 */   // Label 13778: @904892
     /*  904892 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904967), // Rule ID 62321 //
     /*  904897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904965 */     GIR_RootConstrainSelectedInstOperands,
     /*  904966 */     // GIR_Coverage, 62321,
     /*  904966 */     GIR_EraseRootFromParent_Done,
     /*  904967 */   // Label 13779: @904967
     /*  904967 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(905042), // Rule ID 62322 //
     /*  904972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905040 */     GIR_RootConstrainSelectedInstOperands,
     /*  905041 */     // GIR_Coverage, 62322,
     /*  905041 */     GIR_EraseRootFromParent_Done,
     /*  905042 */   // Label 13780: @905042
     /*  905042 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(905117), // Rule ID 62323 //
     /*  905047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905115 */     GIR_RootConstrainSelectedInstOperands,
     /*  905116 */     // GIR_Coverage, 62323,
     /*  905116 */     GIR_EraseRootFromParent_Done,
     /*  905117 */   // Label 13781: @905117
     /*  905117 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(905181), // Rule ID 64431 //
     /*  905122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  905130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905158 */     // MIs[0] imm5
     /*  905158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905166 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  905169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905177 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905179 */     GIR_RootConstrainSelectedInstOperands,
     /*  905180 */     // GIR_Coverage, 64431,
     /*  905180 */     GIR_EraseRootFromParent_Done,
     /*  905181 */   // Label 13782: @905181
     /*  905181 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905245), // Rule ID 64432 //
     /*  905186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  905194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905222 */     // MIs[0] imm5
     /*  905222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905230 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  905233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905241 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905243 */     GIR_RootConstrainSelectedInstOperands,
     /*  905244 */     // GIR_Coverage, 64432,
     /*  905244 */     GIR_EraseRootFromParent_Done,
     /*  905245 */   // Label 13783: @905245
     /*  905245 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905309), // Rule ID 64433 //
     /*  905250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  905258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905286 */     // MIs[0] imm5
     /*  905286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905294 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  905297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905305 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905307 */     GIR_RootConstrainSelectedInstOperands,
     /*  905308 */     // GIR_Coverage, 64433,
     /*  905308 */     GIR_EraseRootFromParent_Done,
     /*  905309 */   // Label 13784: @905309
     /*  905309 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905373), // Rule ID 64434 //
     /*  905314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  905322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905350 */     // MIs[0] imm5
     /*  905350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905358 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  905361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905369 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905371 */     GIR_RootConstrainSelectedInstOperands,
     /*  905372 */     // GIR_Coverage, 64434,
     /*  905372 */     GIR_EraseRootFromParent_Done,
     /*  905373 */   // Label 13785: @905373
     /*  905373 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(905437), // Rule ID 64435 //
     /*  905378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  905386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905414 */     // MIs[0] imm5
     /*  905414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905422 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  905425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905433 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905435 */     GIR_RootConstrainSelectedInstOperands,
     /*  905436 */     // GIR_Coverage, 64435,
     /*  905436 */     GIR_EraseRootFromParent_Done,
     /*  905437 */   // Label 13786: @905437
     /*  905437 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905501), // Rule ID 64436 //
     /*  905442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  905450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905478 */     // MIs[0] imm5
     /*  905478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905486 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  905489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905497 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905499 */     GIR_RootConstrainSelectedInstOperands,
     /*  905500 */     // GIR_Coverage, 64436,
     /*  905500 */     GIR_EraseRootFromParent_Done,
     /*  905501 */   // Label 13787: @905501
     /*  905501 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905565), // Rule ID 64437 //
     /*  905506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  905514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905542 */     // MIs[0] imm5
     /*  905542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905550 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  905553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905561 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905563 */     GIR_RootConstrainSelectedInstOperands,
     /*  905564 */     // GIR_Coverage, 64437,
     /*  905564 */     GIR_EraseRootFromParent_Done,
     /*  905565 */   // Label 13788: @905565
     /*  905565 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905629), // Rule ID 64438 //
     /*  905570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  905578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905606 */     // MIs[0] imm5
     /*  905606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905614 */     // (intrinsic_wo_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  905617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905625 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905627 */     GIR_RootConstrainSelectedInstOperands,
     /*  905628 */     // GIR_Coverage, 64438,
     /*  905628 */     GIR_EraseRootFromParent_Done,
     /*  905629 */   // Label 13789: @905629
     /*  905629 */   GIM_Reject,
     /*  905630 */ // Label 6943: @905630
     /*  905630 */ GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(1395103),
     /*  905635 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  905638 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905721), // Rule ID 62770 //
     /*  905643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905667 */     // MIs[0] op1
     /*  905667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905683 */     // MIs[0] op4
     /*  905683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905709 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905719 */     GIR_RootConstrainSelectedInstOperands,
     /*  905720 */     // GIR_Coverage, 62770,
     /*  905720 */     GIR_EraseRootFromParent_Done,
     /*  905721 */   // Label 13791: @905721
     /*  905721 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905804), // Rule ID 62771 //
     /*  905726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905750 */     // MIs[0] op1
     /*  905750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905766 */     // MIs[0] op4
     /*  905766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905781 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905802 */     GIR_RootConstrainSelectedInstOperands,
     /*  905803 */     // GIR_Coverage, 62771,
     /*  905803 */     GIR_EraseRootFromParent_Done,
     /*  905804 */   // Label 13792: @905804
     /*  905804 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905887), // Rule ID 62814 //
     /*  905809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905833 */     // MIs[0] op1
     /*  905833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905849 */     // MIs[0] op4
     /*  905849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905885 */     GIR_RootConstrainSelectedInstOperands,
     /*  905886 */     // GIR_Coverage, 62814,
     /*  905886 */     GIR_EraseRootFromParent_Done,
     /*  905887 */   // Label 13793: @905887
     /*  905887 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905970), // Rule ID 62815 //
     /*  905892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905916 */     // MIs[0] op1
     /*  905916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905932 */     // MIs[0] op4
     /*  905932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905952 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905954 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905956 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905958 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905968 */     GIR_RootConstrainSelectedInstOperands,
     /*  905969 */     // GIR_Coverage, 62815,
     /*  905969 */     GIR_EraseRootFromParent_Done,
     /*  905970 */   // Label 13794: @905970
     /*  905970 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(906053), // Rule ID 62858 //
     /*  905975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  905992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905999 */     // MIs[0] op1
     /*  905999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906015 */     // MIs[0] op4
     /*  906015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906051 */     GIR_RootConstrainSelectedInstOperands,
     /*  906052 */     // GIR_Coverage, 62858,
     /*  906052 */     GIR_EraseRootFromParent_Done,
     /*  906053 */   // Label 13795: @906053
     /*  906053 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906136), // Rule ID 62859 //
     /*  906058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  906075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906082 */     // MIs[0] op1
     /*  906082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906098 */     // MIs[0] op4
     /*  906098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906134 */     GIR_RootConstrainSelectedInstOperands,
     /*  906135 */     // GIR_Coverage, 62859,
     /*  906135 */     GIR_EraseRootFromParent_Done,
     /*  906136 */   // Label 13796: @906136
     /*  906136 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906219), // Rule ID 62902 //
     /*  906141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906165 */     // MIs[0] op1
     /*  906165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906181 */     // MIs[0] op4
     /*  906181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  906199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906207 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906217 */     GIR_RootConstrainSelectedInstOperands,
     /*  906218 */     // GIR_Coverage, 62902,
     /*  906218 */     GIR_EraseRootFromParent_Done,
     /*  906219 */   // Label 13797: @906219
     /*  906219 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906302), // Rule ID 62903 //
     /*  906224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906248 */     // MIs[0] op1
     /*  906248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906264 */     // MIs[0] op4
     /*  906264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  906282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906300 */     GIR_RootConstrainSelectedInstOperands,
     /*  906301 */     // GIR_Coverage, 62903,
     /*  906301 */     GIR_EraseRootFromParent_Done,
     /*  906302 */   // Label 13798: @906302
     /*  906302 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906385), // Rule ID 62958 //
     /*  906307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906331 */     // MIs[0] op1
     /*  906331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906347 */     // MIs[0] op4
     /*  906347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906373 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906383 */     GIR_RootConstrainSelectedInstOperands,
     /*  906384 */     // GIR_Coverage, 62958,
     /*  906384 */     GIR_EraseRootFromParent_Done,
     /*  906385 */   // Label 13799: @906385
     /*  906385 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906468), // Rule ID 62959 //
     /*  906390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906414 */     // MIs[0] op1
     /*  906414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906430 */     // MIs[0] op4
     /*  906430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906445 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906466 */     GIR_RootConstrainSelectedInstOperands,
     /*  906467 */     // GIR_Coverage, 62959,
     /*  906467 */     GIR_EraseRootFromParent_Done,
     /*  906468 */   // Label 13800: @906468
     /*  906468 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906551), // Rule ID 63014 //
     /*  906473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906497 */     // MIs[0] op1
     /*  906497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906513 */     // MIs[0] op4
     /*  906513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906533 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906535 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906537 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906539 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906549 */     GIR_RootConstrainSelectedInstOperands,
     /*  906550 */     // GIR_Coverage, 63014,
     /*  906550 */     GIR_EraseRootFromParent_Done,
     /*  906551 */   // Label 13801: @906551
     /*  906551 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906634), // Rule ID 63015 //
     /*  906556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906580 */     // MIs[0] op1
     /*  906580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906596 */     // MIs[0] op4
     /*  906596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906632 */     GIR_RootConstrainSelectedInstOperands,
     /*  906633 */     // GIR_Coverage, 63015,
     /*  906633 */     GIR_EraseRootFromParent_Done,
     /*  906634 */   // Label 13802: @906634
     /*  906634 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906717), // Rule ID 63070 //
     /*  906639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906663 */     // MIs[0] op1
     /*  906663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906679 */     // MIs[0] op4
     /*  906679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906705 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906715 */     GIR_RootConstrainSelectedInstOperands,
     /*  906716 */     // GIR_Coverage, 63070,
     /*  906716 */     GIR_EraseRootFromParent_Done,
     /*  906717 */   // Label 13803: @906717
     /*  906717 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906800), // Rule ID 63071 //
     /*  906722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906746 */     // MIs[0] op1
     /*  906746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906762 */     // MIs[0] op4
     /*  906762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906798 */     GIR_RootConstrainSelectedInstOperands,
     /*  906799 */     // GIR_Coverage, 63071,
     /*  906799 */     GIR_EraseRootFromParent_Done,
     /*  906800 */   // Label 13804: @906800
     /*  906800 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906883), // Rule ID 63114 //
     /*  906805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906829 */     // MIs[0] op1
     /*  906829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906845 */     // MIs[0] op4
     /*  906845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906865 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906867 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906869 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906871 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906881 */     GIR_RootConstrainSelectedInstOperands,
     /*  906882 */     // GIR_Coverage, 63114,
     /*  906882 */     GIR_EraseRootFromParent_Done,
     /*  906883 */   // Label 13805: @906883
     /*  906883 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906966), // Rule ID 63115 //
     /*  906888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906912 */     // MIs[0] op1
     /*  906912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906928 */     // MIs[0] op4
     /*  906928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906964 */     GIR_RootConstrainSelectedInstOperands,
     /*  906965 */     // GIR_Coverage, 63115,
     /*  906965 */     GIR_EraseRootFromParent_Done,
     /*  906966 */   // Label 13806: @906966
     /*  906966 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(907049), // Rule ID 63170 //
     /*  906971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906995 */     // MIs[0] op1
     /*  906995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907011 */     // MIs[0] op4
     /*  907011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907037 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907047 */     GIR_RootConstrainSelectedInstOperands,
     /*  907048 */     // GIR_Coverage, 63170,
     /*  907048 */     GIR_EraseRootFromParent_Done,
     /*  907049 */   // Label 13807: @907049
     /*  907049 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907132), // Rule ID 63171 //
     /*  907054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  907071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907078 */     // MIs[0] op1
     /*  907078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907094 */     // MIs[0] op4
     /*  907094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907130 */     GIR_RootConstrainSelectedInstOperands,
     /*  907131 */     // GIR_Coverage, 63171,
     /*  907131 */     GIR_EraseRootFromParent_Done,
     /*  907132 */   // Label 13808: @907132
     /*  907132 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907215), // Rule ID 63226 //
     /*  907137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907161 */     // MIs[0] op1
     /*  907161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907177 */     // MIs[0] op4
     /*  907177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907213 */     GIR_RootConstrainSelectedInstOperands,
     /*  907214 */     // GIR_Coverage, 63226,
     /*  907214 */     GIR_EraseRootFromParent_Done,
     /*  907215 */   // Label 13809: @907215
     /*  907215 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907298), // Rule ID 63227 //
     /*  907220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907244 */     // MIs[0] op1
     /*  907244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907260 */     // MIs[0] op4
     /*  907260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  907278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907286 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907296 */     GIR_RootConstrainSelectedInstOperands,
     /*  907297 */     // GIR_Coverage, 63227,
     /*  907297 */     GIR_EraseRootFromParent_Done,
     /*  907298 */   // Label 13810: @907298
     /*  907298 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907381), // Rule ID 63282 //
     /*  907303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907327 */     // MIs[0] op1
     /*  907327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907343 */     // MIs[0] op4
     /*  907343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907379 */     GIR_RootConstrainSelectedInstOperands,
     /*  907380 */     // GIR_Coverage, 63282,
     /*  907380 */     GIR_EraseRootFromParent_Done,
     /*  907381 */   // Label 13811: @907381
     /*  907381 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907464), // Rule ID 63283 //
     /*  907386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907410 */     // MIs[0] op1
     /*  907410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907426 */     // MIs[0] op4
     /*  907426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907462 */     GIR_RootConstrainSelectedInstOperands,
     /*  907463 */     // GIR_Coverage, 63283,
     /*  907463 */     GIR_EraseRootFromParent_Done,
     /*  907464 */   // Label 13812: @907464
     /*  907464 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907547), // Rule ID 63326 //
     /*  907469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907493 */     // MIs[0] op1
     /*  907493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907509 */     // MIs[0] op4
     /*  907509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907535 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907545 */     GIR_RootConstrainSelectedInstOperands,
     /*  907546 */     // GIR_Coverage, 63326,
     /*  907546 */     GIR_EraseRootFromParent_Done,
     /*  907547 */   // Label 13813: @907547
     /*  907547 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907630), // Rule ID 63327 //
     /*  907552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907576 */     // MIs[0] op1
     /*  907576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907592 */     // MIs[0] op4
     /*  907592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907607 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907628 */     GIR_RootConstrainSelectedInstOperands,
     /*  907629 */     // GIR_Coverage, 63327,
     /*  907629 */     GIR_EraseRootFromParent_Done,
     /*  907630 */   // Label 13814: @907630
     /*  907630 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907713), // Rule ID 63370 //
     /*  907635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907659 */     // MIs[0] op1
     /*  907659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907675 */     // MIs[0] op4
     /*  907675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907701 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907711 */     GIR_RootConstrainSelectedInstOperands,
     /*  907712 */     // GIR_Coverage, 63370,
     /*  907712 */     GIR_EraseRootFromParent_Done,
     /*  907713 */   // Label 13815: @907713
     /*  907713 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907796), // Rule ID 63371 //
     /*  907718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907742 */     // MIs[0] op1
     /*  907742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907758 */     // MIs[0] op4
     /*  907758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907794 */     GIR_RootConstrainSelectedInstOperands,
     /*  907795 */     // GIR_Coverage, 63371,
     /*  907795 */     GIR_EraseRootFromParent_Done,
     /*  907796 */   // Label 13816: @907796
     /*  907796 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907879), // Rule ID 63414 //
     /*  907801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907825 */     // MIs[0] op1
     /*  907825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907841 */     // MIs[0] op4
     /*  907841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907861 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907863 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907865 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907867 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907877 */     GIR_RootConstrainSelectedInstOperands,
     /*  907878 */     // GIR_Coverage, 63414,
     /*  907878 */     GIR_EraseRootFromParent_Done,
     /*  907879 */   // Label 13817: @907879
     /*  907879 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907962), // Rule ID 63415 //
     /*  907884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907908 */     // MIs[0] op1
     /*  907908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907924 */     // MIs[0] op4
     /*  907924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907960 */     GIR_RootConstrainSelectedInstOperands,
     /*  907961 */     // GIR_Coverage, 63415,
     /*  907961 */     GIR_EraseRootFromParent_Done,
     /*  907962 */   // Label 13818: @907962
     /*  907962 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(908045), // Rule ID 63470 //
     /*  907967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907991 */     // MIs[0] op1
     /*  907991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908007 */     // MIs[0] op4
     /*  908007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908027 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908029 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908031 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908033 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908043 */     GIR_RootConstrainSelectedInstOperands,
     /*  908044 */     // GIR_Coverage, 63470,
     /*  908044 */     GIR_EraseRootFromParent_Done,
     /*  908045 */   // Label 13819: @908045
     /*  908045 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908128), // Rule ID 63471 //
     /*  908050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  908067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908074 */     // MIs[0] op1
     /*  908074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908090 */     // MIs[0] op4
     /*  908090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908105 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908126 */     GIR_RootConstrainSelectedInstOperands,
     /*  908127 */     // GIR_Coverage, 63471,
     /*  908127 */     GIR_EraseRootFromParent_Done,
     /*  908128 */   // Label 13820: @908128
     /*  908128 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908211), // Rule ID 63526 //
     /*  908133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908157 */     // MIs[0] op1
     /*  908157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908173 */     // MIs[0] op4
     /*  908173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908193 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908195 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908197 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908199 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908209 */     GIR_RootConstrainSelectedInstOperands,
     /*  908210 */     // GIR_Coverage, 63526,
     /*  908210 */     GIR_EraseRootFromParent_Done,
     /*  908211 */   // Label 13821: @908211
     /*  908211 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908294), // Rule ID 63527 //
     /*  908216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908240 */     // MIs[0] op1
     /*  908240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908256 */     // MIs[0] op4
     /*  908256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908292 */     GIR_RootConstrainSelectedInstOperands,
     /*  908293 */     // GIR_Coverage, 63527,
     /*  908293 */     GIR_EraseRootFromParent_Done,
     /*  908294 */   // Label 13822: @908294
     /*  908294 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908377), // Rule ID 63582 //
     /*  908299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908323 */     // MIs[0] op1
     /*  908323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908339 */     // MIs[0] op4
     /*  908339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908365 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908375 */     GIR_RootConstrainSelectedInstOperands,
     /*  908376 */     // GIR_Coverage, 63582,
     /*  908376 */     GIR_EraseRootFromParent_Done,
     /*  908377 */   // Label 13823: @908377
     /*  908377 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908460), // Rule ID 63583 //
     /*  908382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908406 */     // MIs[0] op1
     /*  908406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908422 */     // MIs[0] op4
     /*  908422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908458 */     GIR_RootConstrainSelectedInstOperands,
     /*  908459 */     // GIR_Coverage, 63583,
     /*  908459 */     GIR_EraseRootFromParent_Done,
     /*  908460 */   // Label 13824: @908460
     /*  908460 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908543), // Rule ID 63638 //
     /*  908465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908489 */     // MIs[0] op1
     /*  908489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908505 */     // MIs[0] op4
     /*  908505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908541 */     GIR_RootConstrainSelectedInstOperands,
     /*  908542 */     // GIR_Coverage, 63638,
     /*  908542 */     GIR_EraseRootFromParent_Done,
     /*  908543 */   // Label 13825: @908543
     /*  908543 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908626), // Rule ID 63639 //
     /*  908548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908572 */     // MIs[0] op1
     /*  908572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908588 */     // MIs[0] op4
     /*  908588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908614 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908624 */     GIR_RootConstrainSelectedInstOperands,
     /*  908625 */     // GIR_Coverage, 63639,
     /*  908625 */     GIR_EraseRootFromParent_Done,
     /*  908626 */   // Label 13826: @908626
     /*  908626 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908709), // Rule ID 63694 //
     /*  908631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908655 */     // MIs[0] op1
     /*  908655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908671 */     // MIs[0] op4
     /*  908671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908707 */     GIR_RootConstrainSelectedInstOperands,
     /*  908708 */     // GIR_Coverage, 63694,
     /*  908708 */     GIR_EraseRootFromParent_Done,
     /*  908709 */   // Label 13827: @908709
     /*  908709 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908792), // Rule ID 63695 //
     /*  908714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908738 */     // MIs[0] op1
     /*  908738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908754 */     // MIs[0] op4
     /*  908754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908790 */     GIR_RootConstrainSelectedInstOperands,
     /*  908791 */     // GIR_Coverage, 63695,
     /*  908791 */     GIR_EraseRootFromParent_Done,
     /*  908792 */   // Label 13828: @908792
     /*  908792 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908875), // Rule ID 63750 //
     /*  908797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908821 */     // MIs[0] op1
     /*  908821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908837 */     // MIs[0] op4
     /*  908837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908863 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908873 */     GIR_RootConstrainSelectedInstOperands,
     /*  908874 */     // GIR_Coverage, 63750,
     /*  908874 */     GIR_EraseRootFromParent_Done,
     /*  908875 */   // Label 13829: @908875
     /*  908875 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908958), // Rule ID 63751 //
     /*  908880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908904 */     // MIs[0] op1
     /*  908904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908920 */     // MIs[0] op4
     /*  908920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908956 */     GIR_RootConstrainSelectedInstOperands,
     /*  908957 */     // GIR_Coverage, 63751,
     /*  908957 */     GIR_EraseRootFromParent_Done,
     /*  908958 */   // Label 13830: @908958
     /*  908958 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(909041), // Rule ID 63806 //
     /*  908963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908987 */     // MIs[0] op1
     /*  908987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909003 */     // MIs[0] op4
     /*  909003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  909021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909029 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909039 */     GIR_RootConstrainSelectedInstOperands,
     /*  909040 */     // GIR_Coverage, 63806,
     /*  909040 */     GIR_EraseRootFromParent_Done,
     /*  909041 */   // Label 13831: @909041
     /*  909041 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909124), // Rule ID 63807 //
     /*  909046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  909063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909070 */     // MIs[0] op1
     /*  909070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909086 */     // MIs[0] op4
     /*  909086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  909104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909122 */     GIR_RootConstrainSelectedInstOperands,
     /*  909123 */     // GIR_Coverage, 63807,
     /*  909123 */     GIR_EraseRootFromParent_Done,
     /*  909124 */   // Label 13832: @909124
     /*  909124 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909207), // Rule ID 63862 //
     /*  909129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909153 */     // MIs[0] op1
     /*  909153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909169 */     // MIs[0] op4
     /*  909169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  909187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909195 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909205 */     GIR_RootConstrainSelectedInstOperands,
     /*  909206 */     // GIR_Coverage, 63862,
     /*  909206 */     GIR_EraseRootFromParent_Done,
     /*  909207 */   // Label 13833: @909207
     /*  909207 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909290), // Rule ID 63863 //
     /*  909212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909236 */     // MIs[0] op1
     /*  909236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909252 */     // MIs[0] op4
     /*  909252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  909270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909288 */     GIR_RootConstrainSelectedInstOperands,
     /*  909289 */     // GIR_Coverage, 63863,
     /*  909289 */     GIR_EraseRootFromParent_Done,
     /*  909290 */   // Label 13834: @909290
     /*  909290 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(909373), // Rule ID 63892 //
     /*  909295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909319 */     // MIs[0] op1
     /*  909319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909335 */     // MIs[0] op4
     /*  909335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909361 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909371 */     GIR_RootConstrainSelectedInstOperands,
     /*  909372 */     // GIR_Coverage, 63892,
     /*  909372 */     GIR_EraseRootFromParent_Done,
     /*  909373 */   // Label 13835: @909373
     /*  909373 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(909456), // Rule ID 63893 //
     /*  909378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909402 */     // MIs[0] op1
     /*  909402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909418 */     // MIs[0] op4
     /*  909418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909454 */     GIR_RootConstrainSelectedInstOperands,
     /*  909455 */     // GIR_Coverage, 63893,
     /*  909455 */     GIR_EraseRootFromParent_Done,
     /*  909456 */   // Label 13836: @909456
     /*  909456 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909539), // Rule ID 63910 //
     /*  909461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909485 */     // MIs[0] op1
     /*  909485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909501 */     // MIs[0] op4
     /*  909501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909527 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909537 */     GIR_RootConstrainSelectedInstOperands,
     /*  909538 */     // GIR_Coverage, 63910,
     /*  909538 */     GIR_EraseRootFromParent_Done,
     /*  909539 */   // Label 13837: @909539
     /*  909539 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909622), // Rule ID 63911 //
     /*  909544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909568 */     // MIs[0] op1
     /*  909568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909584 */     // MIs[0] op4
     /*  909584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909599 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909620 */     GIR_RootConstrainSelectedInstOperands,
     /*  909621 */     // GIR_Coverage, 63911,
     /*  909621 */     GIR_EraseRootFromParent_Done,
     /*  909622 */   // Label 13838: @909622
     /*  909622 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909705), // Rule ID 63928 //
     /*  909627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909651 */     // MIs[0] op1
     /*  909651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909667 */     // MIs[0] op4
     /*  909667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909703 */     GIR_RootConstrainSelectedInstOperands,
     /*  909704 */     // GIR_Coverage, 63928,
     /*  909704 */     GIR_EraseRootFromParent_Done,
     /*  909705 */   // Label 13839: @909705
     /*  909705 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909788), // Rule ID 63929 //
     /*  909710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909734 */     // MIs[0] op1
     /*  909734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909750 */     // MIs[0] op4
     /*  909750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909786 */     GIR_RootConstrainSelectedInstOperands,
     /*  909787 */     // GIR_Coverage, 63929,
     /*  909787 */     GIR_EraseRootFromParent_Done,
     /*  909788 */   // Label 13840: @909788
     /*  909788 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909871), // Rule ID 63946 //
     /*  909793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909817 */     // MIs[0] op1
     /*  909817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909833 */     // MIs[0] op4
     /*  909833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909869 */     GIR_RootConstrainSelectedInstOperands,
     /*  909870 */     // GIR_Coverage, 63946,
     /*  909870 */     GIR_EraseRootFromParent_Done,
     /*  909871 */   // Label 13841: @909871
     /*  909871 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909954), // Rule ID 63947 //
     /*  909876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909900 */     // MIs[0] op1
     /*  909900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909916 */     // MIs[0] op4
     /*  909916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909942 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909952 */     GIR_RootConstrainSelectedInstOperands,
     /*  909953 */     // GIR_Coverage, 63947,
     /*  909953 */     GIR_EraseRootFromParent_Done,
     /*  909954 */   // Label 13842: @909954
     /*  909954 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(910037), // Rule ID 63964 //
     /*  909959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909983 */     // MIs[0] op1
     /*  909983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909999 */     // MIs[0] op4
     /*  909999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910035 */     GIR_RootConstrainSelectedInstOperands,
     /*  910036 */     // GIR_Coverage, 63964,
     /*  910036 */     GIR_EraseRootFromParent_Done,
     /*  910037 */   // Label 13843: @910037
     /*  910037 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910120), // Rule ID 63965 //
     /*  910042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  910053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  910056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  910059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910066 */     // MIs[0] op1
     /*  910066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910082 */     // MIs[0] op4
     /*  910082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910118 */     GIR_RootConstrainSelectedInstOperands,
     /*  910119 */     // GIR_Coverage, 63965,
     /*  910119 */     GIR_EraseRootFromParent_Done,
     /*  910120 */   // Label 13844: @910120
     /*  910120 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910203), // Rule ID 63982 //
     /*  910125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910149 */     // MIs[0] op1
     /*  910149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910165 */     // MIs[0] op4
     /*  910165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910191 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910201 */     GIR_RootConstrainSelectedInstOperands,
     /*  910202 */     // GIR_Coverage, 63982,
     /*  910202 */     GIR_EraseRootFromParent_Done,
     /*  910203 */   // Label 13845: @910203
     /*  910203 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910286), // Rule ID 63983 //
     /*  910208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910232 */     // MIs[0] op1
     /*  910232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910248 */     // MIs[0] op4
     /*  910248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910284 */     GIR_RootConstrainSelectedInstOperands,
     /*  910285 */     // GIR_Coverage, 63983,
     /*  910285 */     GIR_EraseRootFromParent_Done,
     /*  910286 */   // Label 13846: @910286
     /*  910286 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(910369), // Rule ID 64000 //
     /*  910291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910315 */     // MIs[0] op1
     /*  910315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910331 */     // MIs[0] op4
     /*  910331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910351 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910353 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910355 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910357 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910367 */     GIR_RootConstrainSelectedInstOperands,
     /*  910368 */     // GIR_Coverage, 64000,
     /*  910368 */     GIR_EraseRootFromParent_Done,
     /*  910369 */   // Label 13847: @910369
     /*  910369 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(910452), // Rule ID 64001 //
     /*  910374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910398 */     // MIs[0] op1
     /*  910398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910414 */     // MIs[0] op4
     /*  910414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910450 */     GIR_RootConstrainSelectedInstOperands,
     /*  910451 */     // GIR_Coverage, 64001,
     /*  910451 */     GIR_EraseRootFromParent_Done,
     /*  910452 */   // Label 13848: @910452
     /*  910452 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(910535), // Rule ID 64024 //
     /*  910457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910481 */     // MIs[0] op1
     /*  910481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910497 */     // MIs[0] op4
     /*  910497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910523 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910533 */     GIR_RootConstrainSelectedInstOperands,
     /*  910534 */     // GIR_Coverage, 64024,
     /*  910534 */     GIR_EraseRootFromParent_Done,
     /*  910535 */   // Label 13849: @910535
     /*  910535 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(910618), // Rule ID 64025 //
     /*  910540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910564 */     // MIs[0] op1
     /*  910564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910580 */     // MIs[0] op4
     /*  910580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910616 */     GIR_RootConstrainSelectedInstOperands,
     /*  910617 */     // GIR_Coverage, 64025,
     /*  910617 */     GIR_EraseRootFromParent_Done,
     /*  910618 */   // Label 13850: @910618
     /*  910618 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(910701), // Rule ID 64048 //
     /*  910623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910647 */     // MIs[0] op1
     /*  910647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910663 */     // MIs[0] op4
     /*  910663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910683 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910685 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910687 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910689 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910699 */     GIR_RootConstrainSelectedInstOperands,
     /*  910700 */     // GIR_Coverage, 64048,
     /*  910700 */     GIR_EraseRootFromParent_Done,
     /*  910701 */   // Label 13851: @910701
     /*  910701 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910784), // Rule ID 64049 //
     /*  910706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910730 */     // MIs[0] op1
     /*  910730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910746 */     // MIs[0] op4
     /*  910746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910782 */     GIR_RootConstrainSelectedInstOperands,
     /*  910783 */     // GIR_Coverage, 64049,
     /*  910783 */     GIR_EraseRootFromParent_Done,
     /*  910784 */   // Label 13852: @910784
     /*  910784 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910867), // Rule ID 64072 //
     /*  910789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910813 */     // MIs[0] op1
     /*  910813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910829 */     // MIs[0] op4
     /*  910829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910855 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910865 */     GIR_RootConstrainSelectedInstOperands,
     /*  910866 */     // GIR_Coverage, 64072,
     /*  910866 */     GIR_EraseRootFromParent_Done,
     /*  910867 */   // Label 13853: @910867
     /*  910867 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910950), // Rule ID 64073 //
     /*  910872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910896 */     // MIs[0] op1
     /*  910896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910912 */     // MIs[0] op4
     /*  910912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910948 */     GIR_RootConstrainSelectedInstOperands,
     /*  910949 */     // GIR_Coverage, 64073,
     /*  910949 */     GIR_EraseRootFromParent_Done,
     /*  910950 */   // Label 13854: @910950
     /*  910950 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(911033), // Rule ID 64096 //
     /*  910955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910979 */     // MIs[0] op1
     /*  910979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910995 */     // MIs[0] op4
     /*  910995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911015 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911017 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911019 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911021 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911031 */     GIR_RootConstrainSelectedInstOperands,
     /*  911032 */     // GIR_Coverage, 64096,
     /*  911032 */     GIR_EraseRootFromParent_Done,
     /*  911033 */   // Label 13855: @911033
     /*  911033 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911116), // Rule ID 64097 //
     /*  911038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911062 */     // MIs[0] op1
     /*  911062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911078 */     // MIs[0] op4
     /*  911078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911104 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911114 */     GIR_RootConstrainSelectedInstOperands,
     /*  911115 */     // GIR_Coverage, 64097,
     /*  911115 */     GIR_EraseRootFromParent_Done,
     /*  911116 */   // Label 13856: @911116
     /*  911116 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911199), // Rule ID 64120 //
     /*  911121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911145 */     // MIs[0] op1
     /*  911145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911161 */     // MIs[0] op4
     /*  911161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  911179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911197 */     GIR_RootConstrainSelectedInstOperands,
     /*  911198 */     // GIR_Coverage, 64120,
     /*  911198 */     GIR_EraseRootFromParent_Done,
     /*  911199 */   // Label 13857: @911199
     /*  911199 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911282), // Rule ID 64121 //
     /*  911204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911228 */     // MIs[0] op1
     /*  911228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911244 */     // MIs[0] op4
     /*  911244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  911262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911280 */     GIR_RootConstrainSelectedInstOperands,
     /*  911281 */     // GIR_Coverage, 64121,
     /*  911281 */     GIR_EraseRootFromParent_Done,
     /*  911282 */   // Label 13858: @911282
     /*  911282 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911365), // Rule ID 64144 //
     /*  911287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911311 */     // MIs[0] op1
     /*  911311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911327 */     // MIs[0] op4
     /*  911327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  911345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911363 */     GIR_RootConstrainSelectedInstOperands,
     /*  911364 */     // GIR_Coverage, 64144,
     /*  911364 */     GIR_EraseRootFromParent_Done,
     /*  911365 */   // Label 13859: @911365
     /*  911365 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(911448), // Rule ID 64145 //
     /*  911370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911394 */     // MIs[0] op1
     /*  911394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911410 */     // MIs[0] op4
     /*  911410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  911428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911446 */     GIR_RootConstrainSelectedInstOperands,
     /*  911447 */     // GIR_Coverage, 64145,
     /*  911447 */     GIR_EraseRootFromParent_Done,
     /*  911448 */   // Label 13860: @911448
     /*  911448 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(911531), // Rule ID 64168 //
     /*  911453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911477 */     // MIs[0] op1
     /*  911477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911493 */     // MIs[0] op4
     /*  911493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911519 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911529 */     GIR_RootConstrainSelectedInstOperands,
     /*  911530 */     // GIR_Coverage, 64168,
     /*  911530 */     GIR_EraseRootFromParent_Done,
     /*  911531 */   // Label 13861: @911531
     /*  911531 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(911614), // Rule ID 64169 //
     /*  911536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911560 */     // MIs[0] op1
     /*  911560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911576 */     // MIs[0] op4
     /*  911576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911591 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911612 */     GIR_RootConstrainSelectedInstOperands,
     /*  911613 */     // GIR_Coverage, 64169,
     /*  911613 */     GIR_EraseRootFromParent_Done,
     /*  911614 */   // Label 13862: @911614
     /*  911614 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(911697), // Rule ID 64192 //
     /*  911619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911643 */     // MIs[0] op1
     /*  911643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911659 */     // MIs[0] op4
     /*  911659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911679 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911681 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911683 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911685 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911695 */     GIR_RootConstrainSelectedInstOperands,
     /*  911696 */     // GIR_Coverage, 64192,
     /*  911696 */     GIR_EraseRootFromParent_Done,
     /*  911697 */   // Label 13863: @911697
     /*  911697 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911780), // Rule ID 64193 //
     /*  911702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911726 */     // MIs[0] op1
     /*  911726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911742 */     // MIs[0] op4
     /*  911742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911778 */     GIR_RootConstrainSelectedInstOperands,
     /*  911779 */     // GIR_Coverage, 64193,
     /*  911779 */     GIR_EraseRootFromParent_Done,
     /*  911780 */   // Label 13864: @911780
     /*  911780 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911858), // Rule ID 60482 //
     /*  911785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911817 */     // MIs[0] rs2
     /*  911817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911825 */     // MIs[0] policy
     /*  911825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911856 */     GIR_RootConstrainSelectedInstOperands,
     /*  911857 */     // GIR_Coverage, 60482,
     /*  911857 */     GIR_EraseRootFromParent_Done,
     /*  911858 */   // Label 13865: @911858
     /*  911858 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911936), // Rule ID 60483 //
     /*  911863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911895 */     // MIs[0] rs2
     /*  911895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911903 */     // MIs[0] policy
     /*  911903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911934 */     GIR_RootConstrainSelectedInstOperands,
     /*  911935 */     // GIR_Coverage, 60483,
     /*  911935 */     GIR_EraseRootFromParent_Done,
     /*  911936 */   // Label 13866: @911936
     /*  911936 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(912014), // Rule ID 62138 //
     /*  911941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911973 */     // MIs[0] rs2
     /*  911973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911981 */     // MIs[0] policy
     /*  911981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  911994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912012 */     GIR_RootConstrainSelectedInstOperands,
     /*  912013 */     // GIR_Coverage, 62138,
     /*  912013 */     GIR_EraseRootFromParent_Done,
     /*  912014 */   // Label 13867: @912014
     /*  912014 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(912092), // Rule ID 62139 //
     /*  912019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912051 */     // MIs[0] rs2
     /*  912051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912059 */     // MIs[0] policy
     /*  912059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  912072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912090 */     GIR_RootConstrainSelectedInstOperands,
     /*  912091 */     // GIR_Coverage, 62139,
     /*  912091 */     GIR_EraseRootFromParent_Done,
     /*  912092 */   // Label 13868: @912092
     /*  912092 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912170), // Rule ID 62140 //
     /*  912097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912129 */     // MIs[0] rs2
     /*  912129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912137 */     // MIs[0] policy
     /*  912137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912168 */     GIR_RootConstrainSelectedInstOperands,
     /*  912169 */     // GIR_Coverage, 62140,
     /*  912169 */     GIR_EraseRootFromParent_Done,
     /*  912170 */   // Label 13869: @912170
     /*  912170 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912248), // Rule ID 62141 //
     /*  912175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912207 */     // MIs[0] rs2
     /*  912207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912215 */     // MIs[0] policy
     /*  912215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912246 */     GIR_RootConstrainSelectedInstOperands,
     /*  912247 */     // GIR_Coverage, 62141,
     /*  912247 */     GIR_EraseRootFromParent_Done,
     /*  912248 */   // Label 13870: @912248
     /*  912248 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(912326), // Rule ID 62142 //
     /*  912253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912285 */     // MIs[0] rs2
     /*  912285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912293 */     // MIs[0] policy
     /*  912293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912324 */     GIR_RootConstrainSelectedInstOperands,
     /*  912325 */     // GIR_Coverage, 62142,
     /*  912325 */     GIR_EraseRootFromParent_Done,
     /*  912326 */   // Label 13871: @912326
     /*  912326 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(912404), // Rule ID 62143 //
     /*  912331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912363 */     // MIs[0] rs2
     /*  912363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912371 */     // MIs[0] policy
     /*  912371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912402 */     GIR_RootConstrainSelectedInstOperands,
     /*  912403 */     // GIR_Coverage, 62143,
     /*  912403 */     GIR_EraseRootFromParent_Done,
     /*  912404 */   // Label 13872: @912404
     /*  912404 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(912482), // Rule ID 62144 //
     /*  912409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912441 */     // MIs[0] rs2
     /*  912441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912449 */     // MIs[0] policy
     /*  912449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912480 */     GIR_RootConstrainSelectedInstOperands,
     /*  912481 */     // GIR_Coverage, 62144,
     /*  912481 */     GIR_EraseRootFromParent_Done,
     /*  912482 */   // Label 13873: @912482
     /*  912482 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(912560), // Rule ID 62145 //
     /*  912487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912519 */     // MIs[0] rs2
     /*  912519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912527 */     // MIs[0] policy
     /*  912527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912558 */     GIR_RootConstrainSelectedInstOperands,
     /*  912559 */     // GIR_Coverage, 62145,
     /*  912559 */     GIR_EraseRootFromParent_Done,
     /*  912560 */   // Label 13874: @912560
     /*  912560 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(912638), // Rule ID 62306 //
     /*  912565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912597 */     // MIs[0] rs2
     /*  912597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912605 */     // MIs[0] policy
     /*  912605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912636 */     GIR_RootConstrainSelectedInstOperands,
     /*  912637 */     // GIR_Coverage, 62306,
     /*  912637 */     GIR_EraseRootFromParent_Done,
     /*  912638 */   // Label 13875: @912638
     /*  912638 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912716), // Rule ID 62307 //
     /*  912643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912675 */     // MIs[0] rs2
     /*  912675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912683 */     // MIs[0] policy
     /*  912683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912714 */     GIR_RootConstrainSelectedInstOperands,
     /*  912715 */     // GIR_Coverage, 62307,
     /*  912715 */     GIR_EraseRootFromParent_Done,
     /*  912716 */   // Label 13876: @912716
     /*  912716 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(912794), // Rule ID 62308 //
     /*  912721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912753 */     // MIs[0] rs2
     /*  912753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912761 */     // MIs[0] policy
     /*  912761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912792 */     GIR_RootConstrainSelectedInstOperands,
     /*  912793 */     // GIR_Coverage, 62308,
     /*  912793 */     GIR_EraseRootFromParent_Done,
     /*  912794 */   // Label 13877: @912794
     /*  912794 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912872), // Rule ID 62309 //
     /*  912799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912831 */     // MIs[0] rs2
     /*  912831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912839 */     // MIs[0] policy
     /*  912839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912870 */     GIR_RootConstrainSelectedInstOperands,
     /*  912871 */     // GIR_Coverage, 62309,
     /*  912871 */     GIR_EraseRootFromParent_Done,
     /*  912872 */   // Label 13878: @912872
     /*  912872 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912950), // Rule ID 62310 //
     /*  912877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912909 */     // MIs[0] rs2
     /*  912909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912917 */     // MIs[0] policy
     /*  912917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912948 */     GIR_RootConstrainSelectedInstOperands,
     /*  912949 */     // GIR_Coverage, 62310,
     /*  912949 */     GIR_EraseRootFromParent_Done,
     /*  912950 */   // Label 13879: @912950
     /*  912950 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(913028), // Rule ID 62311 //
     /*  912955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912987 */     // MIs[0] rs2
     /*  912987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912995 */     // MIs[0] policy
     /*  912995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  913008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913026 */     GIR_RootConstrainSelectedInstOperands,
     /*  913027 */     // GIR_Coverage, 62311,
     /*  913027 */     GIR_EraseRootFromParent_Done,
     /*  913028 */   // Label 13880: @913028
     /*  913028 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(913106), // Rule ID 62312 //
     /*  913033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913065 */     // MIs[0] rs2
     /*  913065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913073 */     // MIs[0] policy
     /*  913073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913104 */     GIR_RootConstrainSelectedInstOperands,
     /*  913105 */     // GIR_Coverage, 62312,
     /*  913105 */     GIR_EraseRootFromParent_Done,
     /*  913106 */   // Label 13881: @913106
     /*  913106 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(913184), // Rule ID 62313 //
     /*  913111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913143 */     // MIs[0] rs2
     /*  913143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913151 */     // MIs[0] policy
     /*  913151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913182 */     GIR_RootConstrainSelectedInstOperands,
     /*  913183 */     // GIR_Coverage, 62313,
     /*  913183 */     GIR_EraseRootFromParent_Done,
     /*  913184 */   // Label 13882: @913184
     /*  913184 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(913262), // Rule ID 62314 //
     /*  913189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913221 */     // MIs[0] rs2
     /*  913221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913229 */     // MIs[0] policy
     /*  913229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913260 */     GIR_RootConstrainSelectedInstOperands,
     /*  913261 */     // GIR_Coverage, 62314,
     /*  913261 */     GIR_EraseRootFromParent_Done,
     /*  913262 */   // Label 13883: @913262
     /*  913262 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(913340), // Rule ID 62315 //
     /*  913267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913299 */     // MIs[0] rs2
     /*  913299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913307 */     // MIs[0] policy
     /*  913307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913338 */     GIR_RootConstrainSelectedInstOperands,
     /*  913339 */     // GIR_Coverage, 62315,
     /*  913339 */     GIR_EraseRootFromParent_Done,
     /*  913340 */   // Label 13884: @913340
     /*  913340 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(913428), // Rule ID 23580 //
     /*  913345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913392 */     // MIs[1] Operand 1
     /*  913392 */     // No operand predicates
     /*  913392 */     // MIs[0] policy
     /*  913392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913426 */     GIR_RootConstrainSelectedInstOperands,
     /*  913427 */     // GIR_Coverage, 23580,
     /*  913427 */     GIR_EraseRootFromParent_Done,
     /*  913428 */   // Label 13885: @913428
     /*  913428 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(913516), // Rule ID 23581 //
     /*  913433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913480 */     // MIs[1] Operand 1
     /*  913480 */     // No operand predicates
     /*  913480 */     // MIs[0] policy
     /*  913480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913514 */     GIR_RootConstrainSelectedInstOperands,
     /*  913515 */     // GIR_Coverage, 23581,
     /*  913515 */     GIR_EraseRootFromParent_Done,
     /*  913516 */   // Label 13886: @913516
     /*  913516 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(913604), // Rule ID 23584 //
     /*  913521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913568 */     // MIs[1] Operand 1
     /*  913568 */     // No operand predicates
     /*  913568 */     // MIs[0] policy
     /*  913568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913602 */     GIR_RootConstrainSelectedInstOperands,
     /*  913603 */     // GIR_Coverage, 23584,
     /*  913603 */     GIR_EraseRootFromParent_Done,
     /*  913604 */   // Label 13887: @913604
     /*  913604 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(913692), // Rule ID 23585 //
     /*  913609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913656 */     // MIs[1] Operand 1
     /*  913656 */     // No operand predicates
     /*  913656 */     // MIs[0] policy
     /*  913656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913668 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913690 */     GIR_RootConstrainSelectedInstOperands,
     /*  913691 */     // GIR_Coverage, 23585,
     /*  913691 */     GIR_EraseRootFromParent_Done,
     /*  913692 */   // Label 13888: @913692
     /*  913692 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(913780), // Rule ID 23588 //
     /*  913697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913744 */     // MIs[1] Operand 1
     /*  913744 */     // No operand predicates
     /*  913744 */     // MIs[0] policy
     /*  913744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913778 */     GIR_RootConstrainSelectedInstOperands,
     /*  913779 */     // GIR_Coverage, 23588,
     /*  913779 */     GIR_EraseRootFromParent_Done,
     /*  913780 */   // Label 13889: @913780
     /*  913780 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913868), // Rule ID 23589 //
     /*  913785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913832 */     // MIs[1] Operand 1
     /*  913832 */     // No operand predicates
     /*  913832 */     // MIs[0] policy
     /*  913832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913866 */     GIR_RootConstrainSelectedInstOperands,
     /*  913867 */     // GIR_Coverage, 23589,
     /*  913867 */     GIR_EraseRootFromParent_Done,
     /*  913868 */   // Label 13890: @913868
     /*  913868 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913956), // Rule ID 23592 //
     /*  913873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913920 */     // MIs[1] Operand 1
     /*  913920 */     // No operand predicates
     /*  913920 */     // MIs[0] policy
     /*  913920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913954 */     GIR_RootConstrainSelectedInstOperands,
     /*  913955 */     // GIR_Coverage, 23592,
     /*  913955 */     GIR_EraseRootFromParent_Done,
     /*  913956 */   // Label 13891: @913956
     /*  913956 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(914044), // Rule ID 23593 //
     /*  913961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914008 */     // MIs[1] Operand 1
     /*  914008 */     // No operand predicates
     /*  914008 */     // MIs[0] policy
     /*  914008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914042 */     GIR_RootConstrainSelectedInstOperands,
     /*  914043 */     // GIR_Coverage, 23593,
     /*  914043 */     GIR_EraseRootFromParent_Done,
     /*  914044 */   // Label 13892: @914044
     /*  914044 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914132), // Rule ID 23596 //
     /*  914049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914096 */     // MIs[1] Operand 1
     /*  914096 */     // No operand predicates
     /*  914096 */     // MIs[0] policy
     /*  914096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914130 */     GIR_RootConstrainSelectedInstOperands,
     /*  914131 */     // GIR_Coverage, 23596,
     /*  914131 */     GIR_EraseRootFromParent_Done,
     /*  914132 */   // Label 13893: @914132
     /*  914132 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(914220), // Rule ID 23597 //
     /*  914137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914184 */     // MIs[1] Operand 1
     /*  914184 */     // No operand predicates
     /*  914184 */     // MIs[0] policy
     /*  914184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914218 */     GIR_RootConstrainSelectedInstOperands,
     /*  914219 */     // GIR_Coverage, 23597,
     /*  914219 */     GIR_EraseRootFromParent_Done,
     /*  914220 */   // Label 13894: @914220
     /*  914220 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(914308), // Rule ID 23600 //
     /*  914225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914272 */     // MIs[1] Operand 1
     /*  914272 */     // No operand predicates
     /*  914272 */     // MIs[0] policy
     /*  914272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914306 */     GIR_RootConstrainSelectedInstOperands,
     /*  914307 */     // GIR_Coverage, 23600,
     /*  914307 */     GIR_EraseRootFromParent_Done,
     /*  914308 */   // Label 13895: @914308
     /*  914308 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(914396), // Rule ID 23601 //
     /*  914313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914360 */     // MIs[1] Operand 1
     /*  914360 */     // No operand predicates
     /*  914360 */     // MIs[0] policy
     /*  914360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914394 */     GIR_RootConstrainSelectedInstOperands,
     /*  914395 */     // GIR_Coverage, 23601,
     /*  914395 */     GIR_EraseRootFromParent_Done,
     /*  914396 */   // Label 13896: @914396
     /*  914396 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(914484), // Rule ID 23604 //
     /*  914401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914448 */     // MIs[1] Operand 1
     /*  914448 */     // No operand predicates
     /*  914448 */     // MIs[0] policy
     /*  914448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914482 */     GIR_RootConstrainSelectedInstOperands,
     /*  914483 */     // GIR_Coverage, 23604,
     /*  914483 */     GIR_EraseRootFromParent_Done,
     /*  914484 */   // Label 13897: @914484
     /*  914484 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(914572), // Rule ID 23605 //
     /*  914489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914536 */     // MIs[1] Operand 1
     /*  914536 */     // No operand predicates
     /*  914536 */     // MIs[0] policy
     /*  914536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914570 */     GIR_RootConstrainSelectedInstOperands,
     /*  914571 */     // GIR_Coverage, 23605,
     /*  914571 */     GIR_EraseRootFromParent_Done,
     /*  914572 */   // Label 13898: @914572
     /*  914572 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(914660), // Rule ID 23608 //
     /*  914577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914624 */     // MIs[1] Operand 1
     /*  914624 */     // No operand predicates
     /*  914624 */     // MIs[0] policy
     /*  914624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914658 */     GIR_RootConstrainSelectedInstOperands,
     /*  914659 */     // GIR_Coverage, 23608,
     /*  914659 */     GIR_EraseRootFromParent_Done,
     /*  914660 */   // Label 13899: @914660
     /*  914660 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(914748), // Rule ID 23609 //
     /*  914665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914712 */     // MIs[1] Operand 1
     /*  914712 */     // No operand predicates
     /*  914712 */     // MIs[0] policy
     /*  914712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914746 */     GIR_RootConstrainSelectedInstOperands,
     /*  914747 */     // GIR_Coverage, 23609,
     /*  914747 */     GIR_EraseRootFromParent_Done,
     /*  914748 */   // Label 13900: @914748
     /*  914748 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(914836), // Rule ID 23612 //
     /*  914753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914800 */     // MIs[1] Operand 1
     /*  914800 */     // No operand predicates
     /*  914800 */     // MIs[0] policy
     /*  914800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914834 */     GIR_RootConstrainSelectedInstOperands,
     /*  914835 */     // GIR_Coverage, 23612,
     /*  914835 */     GIR_EraseRootFromParent_Done,
     /*  914836 */   // Label 13901: @914836
     /*  914836 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914924), // Rule ID 23613 //
     /*  914841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914888 */     // MIs[1] Operand 1
     /*  914888 */     // No operand predicates
     /*  914888 */     // MIs[0] policy
     /*  914888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914922 */     GIR_RootConstrainSelectedInstOperands,
     /*  914923 */     // GIR_Coverage, 23613,
     /*  914923 */     GIR_EraseRootFromParent_Done,
     /*  914924 */   // Label 13902: @914924
     /*  914924 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(915012), // Rule ID 23616 //
     /*  914929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914976 */     // MIs[1] Operand 1
     /*  914976 */     // No operand predicates
     /*  914976 */     // MIs[0] policy
     /*  914976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915010 */     GIR_RootConstrainSelectedInstOperands,
     /*  915011 */     // GIR_Coverage, 23616,
     /*  915011 */     GIR_EraseRootFromParent_Done,
     /*  915012 */   // Label 13903: @915012
     /*  915012 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915100), // Rule ID 23617 //
     /*  915017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915064 */     // MIs[1] Operand 1
     /*  915064 */     // No operand predicates
     /*  915064 */     // MIs[0] policy
     /*  915064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915098 */     GIR_RootConstrainSelectedInstOperands,
     /*  915099 */     // GIR_Coverage, 23617,
     /*  915099 */     GIR_EraseRootFromParent_Done,
     /*  915100 */   // Label 13904: @915100
     /*  915100 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(915188), // Rule ID 23620 //
     /*  915105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915152 */     // MIs[1] Operand 1
     /*  915152 */     // No operand predicates
     /*  915152 */     // MIs[0] policy
     /*  915152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915186 */     GIR_RootConstrainSelectedInstOperands,
     /*  915187 */     // GIR_Coverage, 23620,
     /*  915187 */     GIR_EraseRootFromParent_Done,
     /*  915188 */   // Label 13905: @915188
     /*  915188 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(915276), // Rule ID 23621 //
     /*  915193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915240 */     // MIs[1] Operand 1
     /*  915240 */     // No operand predicates
     /*  915240 */     // MIs[0] policy
     /*  915240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915274 */     GIR_RootConstrainSelectedInstOperands,
     /*  915275 */     // GIR_Coverage, 23621,
     /*  915275 */     GIR_EraseRootFromParent_Done,
     /*  915276 */   // Label 13906: @915276
     /*  915276 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(915364), // Rule ID 23624 //
     /*  915281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915328 */     // MIs[1] Operand 1
     /*  915328 */     // No operand predicates
     /*  915328 */     // MIs[0] policy
     /*  915328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915362 */     GIR_RootConstrainSelectedInstOperands,
     /*  915363 */     // GIR_Coverage, 23624,
     /*  915363 */     GIR_EraseRootFromParent_Done,
     /*  915364 */   // Label 13907: @915364
     /*  915364 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(915452), // Rule ID 23625 //
     /*  915369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915416 */     // MIs[1] Operand 1
     /*  915416 */     // No operand predicates
     /*  915416 */     // MIs[0] policy
     /*  915416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915450 */     GIR_RootConstrainSelectedInstOperands,
     /*  915451 */     // GIR_Coverage, 23625,
     /*  915451 */     GIR_EraseRootFromParent_Done,
     /*  915452 */   // Label 13908: @915452
     /*  915452 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(915540), // Rule ID 23628 //
     /*  915457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915504 */     // MIs[1] Operand 1
     /*  915504 */     // No operand predicates
     /*  915504 */     // MIs[0] policy
     /*  915504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915516 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915538 */     GIR_RootConstrainSelectedInstOperands,
     /*  915539 */     // GIR_Coverage, 23628,
     /*  915539 */     GIR_EraseRootFromParent_Done,
     /*  915540 */   // Label 13909: @915540
     /*  915540 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(915628), // Rule ID 23629 //
     /*  915545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915592 */     // MIs[1] Operand 1
     /*  915592 */     // No operand predicates
     /*  915592 */     // MIs[0] policy
     /*  915592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915626 */     GIR_RootConstrainSelectedInstOperands,
     /*  915627 */     // GIR_Coverage, 23629,
     /*  915627 */     GIR_EraseRootFromParent_Done,
     /*  915628 */   // Label 13910: @915628
     /*  915628 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(915716), // Rule ID 23632 //
     /*  915633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915680 */     // MIs[1] Operand 1
     /*  915680 */     // No operand predicates
     /*  915680 */     // MIs[0] policy
     /*  915680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915714 */     GIR_RootConstrainSelectedInstOperands,
     /*  915715 */     // GIR_Coverage, 23632,
     /*  915715 */     GIR_EraseRootFromParent_Done,
     /*  915716 */   // Label 13911: @915716
     /*  915716 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(915804), // Rule ID 23633 //
     /*  915721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915768 */     // MIs[1] Operand 1
     /*  915768 */     // No operand predicates
     /*  915768 */     // MIs[0] policy
     /*  915768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915802 */     GIR_RootConstrainSelectedInstOperands,
     /*  915803 */     // GIR_Coverage, 23633,
     /*  915803 */     GIR_EraseRootFromParent_Done,
     /*  915804 */   // Label 13912: @915804
     /*  915804 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(915892), // Rule ID 23636 //
     /*  915809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915856 */     // MIs[1] Operand 1
     /*  915856 */     // No operand predicates
     /*  915856 */     // MIs[0] policy
     /*  915856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915890 */     GIR_RootConstrainSelectedInstOperands,
     /*  915891 */     // GIR_Coverage, 23636,
     /*  915891 */     GIR_EraseRootFromParent_Done,
     /*  915892 */   // Label 13913: @915892
     /*  915892 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915980), // Rule ID 23637 //
     /*  915897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915944 */     // MIs[1] Operand 1
     /*  915944 */     // No operand predicates
     /*  915944 */     // MIs[0] policy
     /*  915944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915978 */     GIR_RootConstrainSelectedInstOperands,
     /*  915979 */     // GIR_Coverage, 23637,
     /*  915979 */     GIR_EraseRootFromParent_Done,
     /*  915980 */   // Label 13914: @915980
     /*  915980 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(916068), // Rule ID 23640 //
     /*  915985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916032 */     // MIs[1] Operand 1
     /*  916032 */     // No operand predicates
     /*  916032 */     // MIs[0] policy
     /*  916032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916066 */     GIR_RootConstrainSelectedInstOperands,
     /*  916067 */     // GIR_Coverage, 23640,
     /*  916067 */     GIR_EraseRootFromParent_Done,
     /*  916068 */   // Label 13915: @916068
     /*  916068 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(916156), // Rule ID 23641 //
     /*  916073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916120 */     // MIs[1] Operand 1
     /*  916120 */     // No operand predicates
     /*  916120 */     // MIs[0] policy
     /*  916120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916154 */     GIR_RootConstrainSelectedInstOperands,
     /*  916155 */     // GIR_Coverage, 23641,
     /*  916155 */     GIR_EraseRootFromParent_Done,
     /*  916156 */   // Label 13916: @916156
     /*  916156 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(916244), // Rule ID 23644 //
     /*  916161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916208 */     // MIs[1] Operand 1
     /*  916208 */     // No operand predicates
     /*  916208 */     // MIs[0] policy
     /*  916208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916242 */     GIR_RootConstrainSelectedInstOperands,
     /*  916243 */     // GIR_Coverage, 23644,
     /*  916243 */     GIR_EraseRootFromParent_Done,
     /*  916244 */   // Label 13917: @916244
     /*  916244 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(916332), // Rule ID 23645 //
     /*  916249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916296 */     // MIs[1] Operand 1
     /*  916296 */     // No operand predicates
     /*  916296 */     // MIs[0] policy
     /*  916296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916330 */     GIR_RootConstrainSelectedInstOperands,
     /*  916331 */     // GIR_Coverage, 23645,
     /*  916331 */     GIR_EraseRootFromParent_Done,
     /*  916332 */   // Label 13918: @916332
     /*  916332 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(916420), // Rule ID 23648 //
     /*  916337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916384 */     // MIs[1] Operand 1
     /*  916384 */     // No operand predicates
     /*  916384 */     // MIs[0] policy
     /*  916384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916418 */     GIR_RootConstrainSelectedInstOperands,
     /*  916419 */     // GIR_Coverage, 23648,
     /*  916419 */     GIR_EraseRootFromParent_Done,
     /*  916420 */   // Label 13919: @916420
     /*  916420 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(916508), // Rule ID 23649 //
     /*  916425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916472 */     // MIs[1] Operand 1
     /*  916472 */     // No operand predicates
     /*  916472 */     // MIs[0] policy
     /*  916472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916506 */     GIR_RootConstrainSelectedInstOperands,
     /*  916507 */     // GIR_Coverage, 23649,
     /*  916507 */     GIR_EraseRootFromParent_Done,
     /*  916508 */   // Label 13920: @916508
     /*  916508 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(916596), // Rule ID 23652 //
     /*  916513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916560 */     // MIs[1] Operand 1
     /*  916560 */     // No operand predicates
     /*  916560 */     // MIs[0] policy
     /*  916560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916594 */     GIR_RootConstrainSelectedInstOperands,
     /*  916595 */     // GIR_Coverage, 23652,
     /*  916595 */     GIR_EraseRootFromParent_Done,
     /*  916596 */   // Label 13921: @916596
     /*  916596 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(916684), // Rule ID 23653 //
     /*  916601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916648 */     // MIs[1] Operand 1
     /*  916648 */     // No operand predicates
     /*  916648 */     // MIs[0] policy
     /*  916648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916660 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916682 */     GIR_RootConstrainSelectedInstOperands,
     /*  916683 */     // GIR_Coverage, 23653,
     /*  916683 */     GIR_EraseRootFromParent_Done,
     /*  916684 */   // Label 13922: @916684
     /*  916684 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(916772), // Rule ID 23656 //
     /*  916689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916736 */     // MIs[1] Operand 1
     /*  916736 */     // No operand predicates
     /*  916736 */     // MIs[0] policy
     /*  916736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916770 */     GIR_RootConstrainSelectedInstOperands,
     /*  916771 */     // GIR_Coverage, 23656,
     /*  916771 */     GIR_EraseRootFromParent_Done,
     /*  916772 */   // Label 13923: @916772
     /*  916772 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(916860), // Rule ID 23657 //
     /*  916777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916824 */     // MIs[1] Operand 1
     /*  916824 */     // No operand predicates
     /*  916824 */     // MIs[0] policy
     /*  916824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916858 */     GIR_RootConstrainSelectedInstOperands,
     /*  916859 */     // GIR_Coverage, 23657,
     /*  916859 */     GIR_EraseRootFromParent_Done,
     /*  916860 */   // Label 13924: @916860
     /*  916860 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(916948), // Rule ID 23660 //
     /*  916865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916912 */     // MIs[1] Operand 1
     /*  916912 */     // No operand predicates
     /*  916912 */     // MIs[0] policy
     /*  916912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916946 */     GIR_RootConstrainSelectedInstOperands,
     /*  916947 */     // GIR_Coverage, 23660,
     /*  916947 */     GIR_EraseRootFromParent_Done,
     /*  916948 */   // Label 13925: @916948
     /*  916948 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(917036), // Rule ID 23661 //
     /*  916953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917000 */     // MIs[1] Operand 1
     /*  917000 */     // No operand predicates
     /*  917000 */     // MIs[0] policy
     /*  917000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917034 */     GIR_RootConstrainSelectedInstOperands,
     /*  917035 */     // GIR_Coverage, 23661,
     /*  917035 */     GIR_EraseRootFromParent_Done,
     /*  917036 */   // Label 13926: @917036
     /*  917036 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917124), // Rule ID 23664 //
     /*  917041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917088 */     // MIs[1] Operand 1
     /*  917088 */     // No operand predicates
     /*  917088 */     // MIs[0] policy
     /*  917088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917122 */     GIR_RootConstrainSelectedInstOperands,
     /*  917123 */     // GIR_Coverage, 23664,
     /*  917123 */     GIR_EraseRootFromParent_Done,
     /*  917124 */   // Label 13927: @917124
     /*  917124 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(917212), // Rule ID 23665 //
     /*  917129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917176 */     // MIs[1] Operand 1
     /*  917176 */     // No operand predicates
     /*  917176 */     // MIs[0] policy
     /*  917176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917188 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917210 */     GIR_RootConstrainSelectedInstOperands,
     /*  917211 */     // GIR_Coverage, 23665,
     /*  917211 */     GIR_EraseRootFromParent_Done,
     /*  917212 */   // Label 13928: @917212
     /*  917212 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(917300), // Rule ID 23756 //
     /*  917217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917264 */     // MIs[1] Operand 1
     /*  917264 */     // No operand predicates
     /*  917264 */     // MIs[0] policy
     /*  917264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  917279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917298 */     GIR_RootConstrainSelectedInstOperands,
     /*  917299 */     // GIR_Coverage, 23756,
     /*  917299 */     GIR_EraseRootFromParent_Done,
     /*  917300 */   // Label 13929: @917300
     /*  917300 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(917388), // Rule ID 23757 //
     /*  917305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917352 */     // MIs[1] Operand 1
     /*  917352 */     // No operand predicates
     /*  917352 */     // MIs[0] policy
     /*  917352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  917367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917386 */     GIR_RootConstrainSelectedInstOperands,
     /*  917387 */     // GIR_Coverage, 23757,
     /*  917387 */     GIR_EraseRootFromParent_Done,
     /*  917388 */   // Label 13930: @917388
     /*  917388 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(917476), // Rule ID 23760 //
     /*  917393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917440 */     // MIs[1] Operand 1
     /*  917440 */     // No operand predicates
     /*  917440 */     // MIs[0] policy
     /*  917440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917474 */     GIR_RootConstrainSelectedInstOperands,
     /*  917475 */     // GIR_Coverage, 23760,
     /*  917475 */     GIR_EraseRootFromParent_Done,
     /*  917476 */   // Label 13931: @917476
     /*  917476 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(917564), // Rule ID 23761 //
     /*  917481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917528 */     // MIs[1] Operand 1
     /*  917528 */     // No operand predicates
     /*  917528 */     // MIs[0] policy
     /*  917528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917540 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917562 */     GIR_RootConstrainSelectedInstOperands,
     /*  917563 */     // GIR_Coverage, 23761,
     /*  917563 */     GIR_EraseRootFromParent_Done,
     /*  917564 */   // Label 13932: @917564
     /*  917564 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(917652), // Rule ID 23764 //
     /*  917569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917616 */     // MIs[1] Operand 1
     /*  917616 */     // No operand predicates
     /*  917616 */     // MIs[0] policy
     /*  917616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917650 */     GIR_RootConstrainSelectedInstOperands,
     /*  917651 */     // GIR_Coverage, 23764,
     /*  917651 */     GIR_EraseRootFromParent_Done,
     /*  917652 */   // Label 13933: @917652
     /*  917652 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(917740), // Rule ID 23765 //
     /*  917657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917704 */     // MIs[1] Operand 1
     /*  917704 */     // No operand predicates
     /*  917704 */     // MIs[0] policy
     /*  917704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917738 */     GIR_RootConstrainSelectedInstOperands,
     /*  917739 */     // GIR_Coverage, 23765,
     /*  917739 */     GIR_EraseRootFromParent_Done,
     /*  917740 */   // Label 13934: @917740
     /*  917740 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(917828), // Rule ID 23768 //
     /*  917745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917792 */     // MIs[1] Operand 1
     /*  917792 */     // No operand predicates
     /*  917792 */     // MIs[0] policy
     /*  917792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917826 */     GIR_RootConstrainSelectedInstOperands,
     /*  917827 */     // GIR_Coverage, 23768,
     /*  917827 */     GIR_EraseRootFromParent_Done,
     /*  917828 */   // Label 13935: @917828
     /*  917828 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(917916), // Rule ID 23769 //
     /*  917833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917880 */     // MIs[1] Operand 1
     /*  917880 */     // No operand predicates
     /*  917880 */     // MIs[0] policy
     /*  917880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917914 */     GIR_RootConstrainSelectedInstOperands,
     /*  917915 */     // GIR_Coverage, 23769,
     /*  917915 */     GIR_EraseRootFromParent_Done,
     /*  917916 */   // Label 13936: @917916
     /*  917916 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(918004), // Rule ID 23772 //
     /*  917921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917968 */     // MIs[1] Operand 1
     /*  917968 */     // No operand predicates
     /*  917968 */     // MIs[0] policy
     /*  917968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918002 */     GIR_RootConstrainSelectedInstOperands,
     /*  918003 */     // GIR_Coverage, 23772,
     /*  918003 */     GIR_EraseRootFromParent_Done,
     /*  918004 */   // Label 13937: @918004
     /*  918004 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918092), // Rule ID 23773 //
     /*  918009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918056 */     // MIs[1] Operand 1
     /*  918056 */     // No operand predicates
     /*  918056 */     // MIs[0] policy
     /*  918056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918090 */     GIR_RootConstrainSelectedInstOperands,
     /*  918091 */     // GIR_Coverage, 23773,
     /*  918091 */     GIR_EraseRootFromParent_Done,
     /*  918092 */   // Label 13938: @918092
     /*  918092 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(918180), // Rule ID 23776 //
     /*  918097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918144 */     // MIs[1] Operand 1
     /*  918144 */     // No operand predicates
     /*  918144 */     // MIs[0] policy
     /*  918144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918178 */     GIR_RootConstrainSelectedInstOperands,
     /*  918179 */     // GIR_Coverage, 23776,
     /*  918179 */     GIR_EraseRootFromParent_Done,
     /*  918180 */   // Label 13939: @918180
     /*  918180 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(918268), // Rule ID 23777 //
     /*  918185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918232 */     // MIs[1] Operand 1
     /*  918232 */     // No operand predicates
     /*  918232 */     // MIs[0] policy
     /*  918232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918266 */     GIR_RootConstrainSelectedInstOperands,
     /*  918267 */     // GIR_Coverage, 23777,
     /*  918267 */     GIR_EraseRootFromParent_Done,
     /*  918268 */   // Label 13940: @918268
     /*  918268 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(918356), // Rule ID 23780 //
     /*  918273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918320 */     // MIs[1] Operand 1
     /*  918320 */     // No operand predicates
     /*  918320 */     // MIs[0] policy
     /*  918320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918354 */     GIR_RootConstrainSelectedInstOperands,
     /*  918355 */     // GIR_Coverage, 23780,
     /*  918355 */     GIR_EraseRootFromParent_Done,
     /*  918356 */   // Label 13941: @918356
     /*  918356 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(918444), // Rule ID 23781 //
     /*  918361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918408 */     // MIs[1] Operand 1
     /*  918408 */     // No operand predicates
     /*  918408 */     // MIs[0] policy
     /*  918408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918442 */     GIR_RootConstrainSelectedInstOperands,
     /*  918443 */     // GIR_Coverage, 23781,
     /*  918443 */     GIR_EraseRootFromParent_Done,
     /*  918444 */   // Label 13942: @918444
     /*  918444 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(918532), // Rule ID 23784 //
     /*  918449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918496 */     // MIs[1] Operand 1
     /*  918496 */     // No operand predicates
     /*  918496 */     // MIs[0] policy
     /*  918496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918530 */     GIR_RootConstrainSelectedInstOperands,
     /*  918531 */     // GIR_Coverage, 23784,
     /*  918531 */     GIR_EraseRootFromParent_Done,
     /*  918532 */   // Label 13943: @918532
     /*  918532 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(918620), // Rule ID 23785 //
     /*  918537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918584 */     // MIs[1] Operand 1
     /*  918584 */     // No operand predicates
     /*  918584 */     // MIs[0] policy
     /*  918584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918618 */     GIR_RootConstrainSelectedInstOperands,
     /*  918619 */     // GIR_Coverage, 23785,
     /*  918619 */     GIR_EraseRootFromParent_Done,
     /*  918620 */   // Label 13944: @918620
     /*  918620 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(918708), // Rule ID 23788 //
     /*  918625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918672 */     // MIs[1] Operand 1
     /*  918672 */     // No operand predicates
     /*  918672 */     // MIs[0] policy
     /*  918672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918706 */     GIR_RootConstrainSelectedInstOperands,
     /*  918707 */     // GIR_Coverage, 23788,
     /*  918707 */     GIR_EraseRootFromParent_Done,
     /*  918708 */   // Label 13945: @918708
     /*  918708 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(918796), // Rule ID 23789 //
     /*  918713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918760 */     // MIs[1] Operand 1
     /*  918760 */     // No operand predicates
     /*  918760 */     // MIs[0] policy
     /*  918760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918794 */     GIR_RootConstrainSelectedInstOperands,
     /*  918795 */     // GIR_Coverage, 23789,
     /*  918795 */     GIR_EraseRootFromParent_Done,
     /*  918796 */   // Label 13946: @918796
     /*  918796 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(918884), // Rule ID 23792 //
     /*  918801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  918804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918848 */     // MIs[1] Operand 1
     /*  918848 */     // No operand predicates
     /*  918848 */     // MIs[0] policy
     /*  918848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918882 */     GIR_RootConstrainSelectedInstOperands,
     /*  918883 */     // GIR_Coverage, 23792,
     /*  918883 */     GIR_EraseRootFromParent_Done,
     /*  918884 */   // Label 13947: @918884
     /*  918884 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(918972), // Rule ID 23793 //
     /*  918889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  918892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918936 */     // MIs[1] Operand 1
     /*  918936 */     // No operand predicates
     /*  918936 */     // MIs[0] policy
     /*  918936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918970 */     GIR_RootConstrainSelectedInstOperands,
     /*  918971 */     // GIR_Coverage, 23793,
     /*  918971 */     GIR_EraseRootFromParent_Done,
     /*  918972 */   // Label 13948: @918972
     /*  918972 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(919060), // Rule ID 23796 //
     /*  918977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  918994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919024 */     // MIs[1] Operand 1
     /*  919024 */     // No operand predicates
     /*  919024 */     // MIs[0] policy
     /*  919024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919058 */     GIR_RootConstrainSelectedInstOperands,
     /*  919059 */     // GIR_Coverage, 23796,
     /*  919059 */     GIR_EraseRootFromParent_Done,
     /*  919060 */   // Label 13949: @919060
     /*  919060 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919148), // Rule ID 23797 //
     /*  919065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919112 */     // MIs[1] Operand 1
     /*  919112 */     // No operand predicates
     /*  919112 */     // MIs[0] policy
     /*  919112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919146 */     GIR_RootConstrainSelectedInstOperands,
     /*  919147 */     // GIR_Coverage, 23797,
     /*  919147 */     GIR_EraseRootFromParent_Done,
     /*  919148 */   // Label 13950: @919148
     /*  919148 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(919236), // Rule ID 23800 //
     /*  919153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919200 */     // MIs[1] Operand 1
     /*  919200 */     // No operand predicates
     /*  919200 */     // MIs[0] policy
     /*  919200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919212 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919234 */     GIR_RootConstrainSelectedInstOperands,
     /*  919235 */     // GIR_Coverage, 23800,
     /*  919235 */     GIR_EraseRootFromParent_Done,
     /*  919236 */   // Label 13951: @919236
     /*  919236 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(919324), // Rule ID 23801 //
     /*  919241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919288 */     // MIs[1] Operand 1
     /*  919288 */     // No operand predicates
     /*  919288 */     // MIs[0] policy
     /*  919288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919322 */     GIR_RootConstrainSelectedInstOperands,
     /*  919323 */     // GIR_Coverage, 23801,
     /*  919323 */     GIR_EraseRootFromParent_Done,
     /*  919324 */   // Label 13952: @919324
     /*  919324 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(919412), // Rule ID 23804 //
     /*  919329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919376 */     // MIs[1] Operand 1
     /*  919376 */     // No operand predicates
     /*  919376 */     // MIs[0] policy
     /*  919376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919410 */     GIR_RootConstrainSelectedInstOperands,
     /*  919411 */     // GIR_Coverage, 23804,
     /*  919411 */     GIR_EraseRootFromParent_Done,
     /*  919412 */   // Label 13953: @919412
     /*  919412 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(919500), // Rule ID 23805 //
     /*  919417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919464 */     // MIs[1] Operand 1
     /*  919464 */     // No operand predicates
     /*  919464 */     // MIs[0] policy
     /*  919464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919498 */     GIR_RootConstrainSelectedInstOperands,
     /*  919499 */     // GIR_Coverage, 23805,
     /*  919499 */     GIR_EraseRootFromParent_Done,
     /*  919500 */   // Label 13954: @919500
     /*  919500 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(919588), // Rule ID 23808 //
     /*  919505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919552 */     // MIs[1] Operand 1
     /*  919552 */     // No operand predicates
     /*  919552 */     // MIs[0] policy
     /*  919552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919586 */     GIR_RootConstrainSelectedInstOperands,
     /*  919587 */     // GIR_Coverage, 23808,
     /*  919587 */     GIR_EraseRootFromParent_Done,
     /*  919588 */   // Label 13955: @919588
     /*  919588 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(919676), // Rule ID 23809 //
     /*  919593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919640 */     // MIs[1] Operand 1
     /*  919640 */     // No operand predicates
     /*  919640 */     // MIs[0] policy
     /*  919640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919674 */     GIR_RootConstrainSelectedInstOperands,
     /*  919675 */     // GIR_Coverage, 23809,
     /*  919675 */     GIR_EraseRootFromParent_Done,
     /*  919676 */   // Label 13956: @919676
     /*  919676 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(919764), // Rule ID 23812 //
     /*  919681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919728 */     // MIs[1] Operand 1
     /*  919728 */     // No operand predicates
     /*  919728 */     // MIs[0] policy
     /*  919728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919762 */     GIR_RootConstrainSelectedInstOperands,
     /*  919763 */     // GIR_Coverage, 23812,
     /*  919763 */     GIR_EraseRootFromParent_Done,
     /*  919764 */   // Label 13957: @919764
     /*  919764 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(919852), // Rule ID 23813 //
     /*  919769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919816 */     // MIs[1] Operand 1
     /*  919816 */     // No operand predicates
     /*  919816 */     // MIs[0] policy
     /*  919816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919850 */     GIR_RootConstrainSelectedInstOperands,
     /*  919851 */     // GIR_Coverage, 23813,
     /*  919851 */     GIR_EraseRootFromParent_Done,
     /*  919852 */   // Label 13958: @919852
     /*  919852 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(919940), // Rule ID 23816 //
     /*  919857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919904 */     // MIs[1] Operand 1
     /*  919904 */     // No operand predicates
     /*  919904 */     // MIs[0] policy
     /*  919904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919938 */     GIR_RootConstrainSelectedInstOperands,
     /*  919939 */     // GIR_Coverage, 23816,
     /*  919939 */     GIR_EraseRootFromParent_Done,
     /*  919940 */   // Label 13959: @919940
     /*  919940 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(920028), // Rule ID 23817 //
     /*  919945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919992 */     // MIs[1] Operand 1
     /*  919992 */     // No operand predicates
     /*  919992 */     // MIs[0] policy
     /*  919992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920026 */     GIR_RootConstrainSelectedInstOperands,
     /*  920027 */     // GIR_Coverage, 23817,
     /*  920027 */     GIR_EraseRootFromParent_Done,
     /*  920028 */   // Label 13960: @920028
     /*  920028 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920116), // Rule ID 23820 //
     /*  920033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920080 */     // MIs[1] Operand 1
     /*  920080 */     // No operand predicates
     /*  920080 */     // MIs[0] policy
     /*  920080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920114 */     GIR_RootConstrainSelectedInstOperands,
     /*  920115 */     // GIR_Coverage, 23820,
     /*  920115 */     GIR_EraseRootFromParent_Done,
     /*  920116 */   // Label 13961: @920116
     /*  920116 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(920204), // Rule ID 23821 //
     /*  920121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920168 */     // MIs[1] Operand 1
     /*  920168 */     // No operand predicates
     /*  920168 */     // MIs[0] policy
     /*  920168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920202 */     GIR_RootConstrainSelectedInstOperands,
     /*  920203 */     // GIR_Coverage, 23821,
     /*  920203 */     GIR_EraseRootFromParent_Done,
     /*  920204 */   // Label 13962: @920204
     /*  920204 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(920292), // Rule ID 23824 //
     /*  920209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920256 */     // MIs[1] Operand 1
     /*  920256 */     // No operand predicates
     /*  920256 */     // MIs[0] policy
     /*  920256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920290 */     GIR_RootConstrainSelectedInstOperands,
     /*  920291 */     // GIR_Coverage, 23824,
     /*  920291 */     GIR_EraseRootFromParent_Done,
     /*  920292 */   // Label 13963: @920292
     /*  920292 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(920380), // Rule ID 23825 //
     /*  920297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920344 */     // MIs[1] Operand 1
     /*  920344 */     // No operand predicates
     /*  920344 */     // MIs[0] policy
     /*  920344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920378 */     GIR_RootConstrainSelectedInstOperands,
     /*  920379 */     // GIR_Coverage, 23825,
     /*  920379 */     GIR_EraseRootFromParent_Done,
     /*  920380 */   // Label 13964: @920380
     /*  920380 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(920468), // Rule ID 23828 //
     /*  920385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920432 */     // MIs[1] Operand 1
     /*  920432 */     // No operand predicates
     /*  920432 */     // MIs[0] policy
     /*  920432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920466 */     GIR_RootConstrainSelectedInstOperands,
     /*  920467 */     // GIR_Coverage, 23828,
     /*  920467 */     GIR_EraseRootFromParent_Done,
     /*  920468 */   // Label 13965: @920468
     /*  920468 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(920556), // Rule ID 23829 //
     /*  920473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920520 */     // MIs[1] Operand 1
     /*  920520 */     // No operand predicates
     /*  920520 */     // MIs[0] policy
     /*  920520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920554 */     GIR_RootConstrainSelectedInstOperands,
     /*  920555 */     // GIR_Coverage, 23829,
     /*  920555 */     GIR_EraseRootFromParent_Done,
     /*  920556 */   // Label 13966: @920556
     /*  920556 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(920644), // Rule ID 23832 //
     /*  920561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920608 */     // MIs[1] Operand 1
     /*  920608 */     // No operand predicates
     /*  920608 */     // MIs[0] policy
     /*  920608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920642 */     GIR_RootConstrainSelectedInstOperands,
     /*  920643 */     // GIR_Coverage, 23832,
     /*  920643 */     GIR_EraseRootFromParent_Done,
     /*  920644 */   // Label 13967: @920644
     /*  920644 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(920732), // Rule ID 23833 //
     /*  920649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920696 */     // MIs[1] Operand 1
     /*  920696 */     // No operand predicates
     /*  920696 */     // MIs[0] policy
     /*  920696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920730 */     GIR_RootConstrainSelectedInstOperands,
     /*  920731 */     // GIR_Coverage, 23833,
     /*  920731 */     GIR_EraseRootFromParent_Done,
     /*  920732 */   // Label 13968: @920732
     /*  920732 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(920820), // Rule ID 23836 //
     /*  920737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920784 */     // MIs[1] Operand 1
     /*  920784 */     // No operand predicates
     /*  920784 */     // MIs[0] policy
     /*  920784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920818 */     GIR_RootConstrainSelectedInstOperands,
     /*  920819 */     // GIR_Coverage, 23836,
     /*  920819 */     GIR_EraseRootFromParent_Done,
     /*  920820 */   // Label 13969: @920820
     /*  920820 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(920908), // Rule ID 23837 //
     /*  920825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920872 */     // MIs[1] Operand 1
     /*  920872 */     // No operand predicates
     /*  920872 */     // MIs[0] policy
     /*  920872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920906 */     GIR_RootConstrainSelectedInstOperands,
     /*  920907 */     // GIR_Coverage, 23837,
     /*  920907 */     GIR_EraseRootFromParent_Done,
     /*  920908 */   // Label 13970: @920908
     /*  920908 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(920996), // Rule ID 23840 //
     /*  920913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920960 */     // MIs[1] Operand 1
     /*  920960 */     // No operand predicates
     /*  920960 */     // MIs[0] policy
     /*  920960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920994 */     GIR_RootConstrainSelectedInstOperands,
     /*  920995 */     // GIR_Coverage, 23840,
     /*  920995 */     GIR_EraseRootFromParent_Done,
     /*  920996 */   // Label 13971: @920996
     /*  920996 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921084), // Rule ID 23841 //
     /*  921001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921048 */     // MIs[1] Operand 1
     /*  921048 */     // No operand predicates
     /*  921048 */     // MIs[0] policy
     /*  921048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921060 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921082 */     GIR_RootConstrainSelectedInstOperands,
     /*  921083 */     // GIR_Coverage, 23841,
     /*  921083 */     GIR_EraseRootFromParent_Done,
     /*  921084 */   // Label 13972: @921084
     /*  921084 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(921172), // Rule ID 24080 //
     /*  921089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921136 */     // MIs[1] Operand 1
     /*  921136 */     // No operand predicates
     /*  921136 */     // MIs[0] policy
     /*  921136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921170 */     GIR_RootConstrainSelectedInstOperands,
     /*  921171 */     // GIR_Coverage, 24080,
     /*  921171 */     GIR_EraseRootFromParent_Done,
     /*  921172 */   // Label 13973: @921172
     /*  921172 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(921260), // Rule ID 24081 //
     /*  921177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921224 */     // MIs[1] Operand 1
     /*  921224 */     // No operand predicates
     /*  921224 */     // MIs[0] policy
     /*  921224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921236 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921258 */     GIR_RootConstrainSelectedInstOperands,
     /*  921259 */     // GIR_Coverage, 24081,
     /*  921259 */     GIR_EraseRootFromParent_Done,
     /*  921260 */   // Label 13974: @921260
     /*  921260 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(921348), // Rule ID 24084 //
     /*  921265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  921276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  921279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  921282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921312 */     // MIs[1] Operand 1
     /*  921312 */     // No operand predicates
     /*  921312 */     // MIs[0] policy
     /*  921312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921324 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921346 */     GIR_RootConstrainSelectedInstOperands,
     /*  921347 */     // GIR_Coverage, 24084,
     /*  921347 */     GIR_EraseRootFromParent_Done,
     /*  921348 */   // Label 13975: @921348
     /*  921348 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(921436), // Rule ID 24085 //
     /*  921353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  921364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  921367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  921370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921400 */     // MIs[1] Operand 1
     /*  921400 */     // No operand predicates
     /*  921400 */     // MIs[0] policy
     /*  921400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921412 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921434 */     GIR_RootConstrainSelectedInstOperands,
     /*  921435 */     // GIR_Coverage, 24085,
     /*  921435 */     GIR_EraseRootFromParent_Done,
     /*  921436 */   // Label 13976: @921436
     /*  921436 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(921524), // Rule ID 24088 //
     /*  921441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921488 */     // MIs[1] Operand 1
     /*  921488 */     // No operand predicates
     /*  921488 */     // MIs[0] policy
     /*  921488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921500 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921522 */     GIR_RootConstrainSelectedInstOperands,
     /*  921523 */     // GIR_Coverage, 24088,
     /*  921523 */     GIR_EraseRootFromParent_Done,
     /*  921524 */   // Label 13977: @921524
     /*  921524 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(921612), // Rule ID 24089 //
     /*  921529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921576 */     // MIs[1] Operand 1
     /*  921576 */     // No operand predicates
     /*  921576 */     // MIs[0] policy
     /*  921576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921610 */     GIR_RootConstrainSelectedInstOperands,
     /*  921611 */     // GIR_Coverage, 24089,
     /*  921611 */     GIR_EraseRootFromParent_Done,
     /*  921612 */   // Label 13978: @921612
     /*  921612 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(921700), // Rule ID 24092 //
     /*  921617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921664 */     // MIs[1] Operand 1
     /*  921664 */     // No operand predicates
     /*  921664 */     // MIs[0] policy
     /*  921664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921698 */     GIR_RootConstrainSelectedInstOperands,
     /*  921699 */     // GIR_Coverage, 24092,
     /*  921699 */     GIR_EraseRootFromParent_Done,
     /*  921700 */   // Label 13979: @921700
     /*  921700 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(921788), // Rule ID 24093 //
     /*  921705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921752 */     // MIs[1] Operand 1
     /*  921752 */     // No operand predicates
     /*  921752 */     // MIs[0] policy
     /*  921752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921786 */     GIR_RootConstrainSelectedInstOperands,
     /*  921787 */     // GIR_Coverage, 24093,
     /*  921787 */     GIR_EraseRootFromParent_Done,
     /*  921788 */   // Label 13980: @921788
     /*  921788 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(921876), // Rule ID 24096 //
     /*  921793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921840 */     // MIs[1] Operand 1
     /*  921840 */     // No operand predicates
     /*  921840 */     // MIs[0] policy
     /*  921840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921874 */     GIR_RootConstrainSelectedInstOperands,
     /*  921875 */     // GIR_Coverage, 24096,
     /*  921875 */     GIR_EraseRootFromParent_Done,
     /*  921876 */   // Label 13981: @921876
     /*  921876 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(921964), // Rule ID 24097 //
     /*  921881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921928 */     // MIs[1] Operand 1
     /*  921928 */     // No operand predicates
     /*  921928 */     // MIs[0] policy
     /*  921928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921962 */     GIR_RootConstrainSelectedInstOperands,
     /*  921963 */     // GIR_Coverage, 24097,
     /*  921963 */     GIR_EraseRootFromParent_Done,
     /*  921964 */   // Label 13982: @921964
     /*  921964 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(922052), // Rule ID 24100 //
     /*  921969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922016 */     // MIs[1] Operand 1
     /*  922016 */     // No operand predicates
     /*  922016 */     // MIs[0] policy
     /*  922016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922050 */     GIR_RootConstrainSelectedInstOperands,
     /*  922051 */     // GIR_Coverage, 24100,
     /*  922051 */     GIR_EraseRootFromParent_Done,
     /*  922052 */   // Label 13983: @922052
     /*  922052 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922140), // Rule ID 24101 //
     /*  922057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  922060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  922074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922104 */     // MIs[1] Operand 1
     /*  922104 */     // No operand predicates
     /*  922104 */     // MIs[0] policy
     /*  922104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922138 */     GIR_RootConstrainSelectedInstOperands,
     /*  922139 */     // GIR_Coverage, 24101,
     /*  922139 */     GIR_EraseRootFromParent_Done,
     /*  922140 */   // Label 13984: @922140
     /*  922140 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(922228), // Rule ID 24104 //
     /*  922145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922192 */     // MIs[1] Operand 1
     /*  922192 */     // No operand predicates
     /*  922192 */     // MIs[0] policy
     /*  922192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922204 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922226 */     GIR_RootConstrainSelectedInstOperands,
     /*  922227 */     // GIR_Coverage, 24104,
     /*  922227 */     GIR_EraseRootFromParent_Done,
     /*  922228 */   // Label 13985: @922228
     /*  922228 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(922316), // Rule ID 24105 //
     /*  922233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922280 */     // MIs[1] Operand 1
     /*  922280 */     // No operand predicates
     /*  922280 */     // MIs[0] policy
     /*  922280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922314 */     GIR_RootConstrainSelectedInstOperands,
     /*  922315 */     // GIR_Coverage, 24105,
     /*  922315 */     GIR_EraseRootFromParent_Done,
     /*  922316 */   // Label 13986: @922316
     /*  922316 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(922404), // Rule ID 24108 //
     /*  922321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922368 */     // MIs[1] Operand 1
     /*  922368 */     // No operand predicates
     /*  922368 */     // MIs[0] policy
     /*  922368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922380 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922402 */     GIR_RootConstrainSelectedInstOperands,
     /*  922403 */     // GIR_Coverage, 24108,
     /*  922403 */     GIR_EraseRootFromParent_Done,
     /*  922404 */   // Label 13987: @922404
     /*  922404 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(922492), // Rule ID 24109 //
     /*  922409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922456 */     // MIs[1] Operand 1
     /*  922456 */     // No operand predicates
     /*  922456 */     // MIs[0] policy
     /*  922456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922468 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922490 */     GIR_RootConstrainSelectedInstOperands,
     /*  922491 */     // GIR_Coverage, 24109,
     /*  922491 */     GIR_EraseRootFromParent_Done,
     /*  922492 */   // Label 13988: @922492
     /*  922492 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(922580), // Rule ID 24112 //
     /*  922497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922544 */     // MIs[1] Operand 1
     /*  922544 */     // No operand predicates
     /*  922544 */     // MIs[0] policy
     /*  922544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922556 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922578 */     GIR_RootConstrainSelectedInstOperands,
     /*  922579 */     // GIR_Coverage, 24112,
     /*  922579 */     GIR_EraseRootFromParent_Done,
     /*  922580 */   // Label 13989: @922580
     /*  922580 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(922668), // Rule ID 24113 //
     /*  922585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922632 */     // MIs[1] Operand 1
     /*  922632 */     // No operand predicates
     /*  922632 */     // MIs[0] policy
     /*  922632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922644 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922666 */     GIR_RootConstrainSelectedInstOperands,
     /*  922667 */     // GIR_Coverage, 24113,
     /*  922667 */     GIR_EraseRootFromParent_Done,
     /*  922668 */   // Label 13990: @922668
     /*  922668 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(922756), // Rule ID 24116 //
     /*  922673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922720 */     // MIs[1] Operand 1
     /*  922720 */     // No operand predicates
     /*  922720 */     // MIs[0] policy
     /*  922720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922732 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922754 */     GIR_RootConstrainSelectedInstOperands,
     /*  922755 */     // GIR_Coverage, 24116,
     /*  922755 */     GIR_EraseRootFromParent_Done,
     /*  922756 */   // Label 13991: @922756
     /*  922756 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(922844), // Rule ID 24117 //
     /*  922761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922808 */     // MIs[1] Operand 1
     /*  922808 */     // No operand predicates
     /*  922808 */     // MIs[0] policy
     /*  922808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922842 */     GIR_RootConstrainSelectedInstOperands,
     /*  922843 */     // GIR_Coverage, 24117,
     /*  922843 */     GIR_EraseRootFromParent_Done,
     /*  922844 */   // Label 13992: @922844
     /*  922844 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(922932), // Rule ID 24120 //
     /*  922849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922896 */     // MIs[1] Operand 1
     /*  922896 */     // No operand predicates
     /*  922896 */     // MIs[0] policy
     /*  922896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922930 */     GIR_RootConstrainSelectedInstOperands,
     /*  922931 */     // GIR_Coverage, 24120,
     /*  922931 */     GIR_EraseRootFromParent_Done,
     /*  922932 */   // Label 13993: @922932
     /*  922932 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(923020), // Rule ID 24121 //
     /*  922937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922984 */     // MIs[1] Operand 1
     /*  922984 */     // No operand predicates
     /*  922984 */     // MIs[0] policy
     /*  922984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923018 */     GIR_RootConstrainSelectedInstOperands,
     /*  923019 */     // GIR_Coverage, 24121,
     /*  923019 */     GIR_EraseRootFromParent_Done,
     /*  923020 */   // Label 13994: @923020
     /*  923020 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923108), // Rule ID 24124 //
     /*  923025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923072 */     // MIs[1] Operand 1
     /*  923072 */     // No operand predicates
     /*  923072 */     // MIs[0] policy
     /*  923072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923106 */     GIR_RootConstrainSelectedInstOperands,
     /*  923107 */     // GIR_Coverage, 24124,
     /*  923107 */     GIR_EraseRootFromParent_Done,
     /*  923108 */   // Label 13995: @923108
     /*  923108 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(923196), // Rule ID 24125 //
     /*  923113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923160 */     // MIs[1] Operand 1
     /*  923160 */     // No operand predicates
     /*  923160 */     // MIs[0] policy
     /*  923160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923194 */     GIR_RootConstrainSelectedInstOperands,
     /*  923195 */     // GIR_Coverage, 24125,
     /*  923195 */     GIR_EraseRootFromParent_Done,
     /*  923196 */   // Label 13996: @923196
     /*  923196 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(923284), // Rule ID 24128 //
     /*  923201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923248 */     // MIs[1] Operand 1
     /*  923248 */     // No operand predicates
     /*  923248 */     // MIs[0] policy
     /*  923248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923260 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923282 */     GIR_RootConstrainSelectedInstOperands,
     /*  923283 */     // GIR_Coverage, 24128,
     /*  923283 */     GIR_EraseRootFromParent_Done,
     /*  923284 */   // Label 13997: @923284
     /*  923284 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(923372), // Rule ID 24129 //
     /*  923289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923336 */     // MIs[1] Operand 1
     /*  923336 */     // No operand predicates
     /*  923336 */     // MIs[0] policy
     /*  923336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923370 */     GIR_RootConstrainSelectedInstOperands,
     /*  923371 */     // GIR_Coverage, 24129,
     /*  923371 */     GIR_EraseRootFromParent_Done,
     /*  923372 */   // Label 13998: @923372
     /*  923372 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(923460), // Rule ID 24132 //
     /*  923377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923424 */     // MIs[1] Operand 1
     /*  923424 */     // No operand predicates
     /*  923424 */     // MIs[0] policy
     /*  923424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923458 */     GIR_RootConstrainSelectedInstOperands,
     /*  923459 */     // GIR_Coverage, 24132,
     /*  923459 */     GIR_EraseRootFromParent_Done,
     /*  923460 */   // Label 13999: @923460
     /*  923460 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(923548), // Rule ID 24133 //
     /*  923465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923512 */     // MIs[1] Operand 1
     /*  923512 */     // No operand predicates
     /*  923512 */     // MIs[0] policy
     /*  923512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923524 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923546 */     GIR_RootConstrainSelectedInstOperands,
     /*  923547 */     // GIR_Coverage, 24133,
     /*  923547 */     GIR_EraseRootFromParent_Done,
     /*  923548 */   // Label 14000: @923548
     /*  923548 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(923636), // Rule ID 24136 //
     /*  923553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923600 */     // MIs[1] Operand 1
     /*  923600 */     // No operand predicates
     /*  923600 */     // MIs[0] policy
     /*  923600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923612 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923634 */     GIR_RootConstrainSelectedInstOperands,
     /*  923635 */     // GIR_Coverage, 24136,
     /*  923635 */     GIR_EraseRootFromParent_Done,
     /*  923636 */   // Label 14001: @923636
     /*  923636 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(923724), // Rule ID 24137 //
     /*  923641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923688 */     // MIs[1] Operand 1
     /*  923688 */     // No operand predicates
     /*  923688 */     // MIs[0] policy
     /*  923688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923700 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923722 */     GIR_RootConstrainSelectedInstOperands,
     /*  923723 */     // GIR_Coverage, 24137,
     /*  923723 */     GIR_EraseRootFromParent_Done,
     /*  923724 */   // Label 14002: @923724
     /*  923724 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(923812), // Rule ID 24200 //
     /*  923729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923776 */     // MIs[1] Operand 1
     /*  923776 */     // No operand predicates
     /*  923776 */     // MIs[0] policy
     /*  923776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923788 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923810 */     GIR_RootConstrainSelectedInstOperands,
     /*  923811 */     // GIR_Coverage, 24200,
     /*  923811 */     GIR_EraseRootFromParent_Done,
     /*  923812 */   // Label 14003: @923812
     /*  923812 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(923900), // Rule ID 24201 //
     /*  923817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923864 */     // MIs[1] Operand 1
     /*  923864 */     // No operand predicates
     /*  923864 */     // MIs[0] policy
     /*  923864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923876 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923898 */     GIR_RootConstrainSelectedInstOperands,
     /*  923899 */     // GIR_Coverage, 24201,
     /*  923899 */     GIR_EraseRootFromParent_Done,
     /*  923900 */   // Label 14004: @923900
     /*  923900 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(923988), // Rule ID 24204 //
     /*  923905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923952 */     // MIs[1] Operand 1
     /*  923952 */     // No operand predicates
     /*  923952 */     // MIs[0] policy
     /*  923952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923964 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923986 */     GIR_RootConstrainSelectedInstOperands,
     /*  923987 */     // GIR_Coverage, 24204,
     /*  923987 */     GIR_EraseRootFromParent_Done,
     /*  923988 */   // Label 14005: @923988
     /*  923988 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(924076), // Rule ID 24205 //
     /*  923993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924040 */     // MIs[1] Operand 1
     /*  924040 */     // No operand predicates
     /*  924040 */     // MIs[0] policy
     /*  924040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924074 */     GIR_RootConstrainSelectedInstOperands,
     /*  924075 */     // GIR_Coverage, 24205,
     /*  924075 */     GIR_EraseRootFromParent_Done,
     /*  924076 */   // Label 14006: @924076
     /*  924076 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(924164), // Rule ID 24208 //
     /*  924081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924128 */     // MIs[1] Operand 1
     /*  924128 */     // No operand predicates
     /*  924128 */     // MIs[0] policy
     /*  924128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924162 */     GIR_RootConstrainSelectedInstOperands,
     /*  924163 */     // GIR_Coverage, 24208,
     /*  924163 */     GIR_EraseRootFromParent_Done,
     /*  924164 */   // Label 14007: @924164
     /*  924164 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(924252), // Rule ID 24209 //
     /*  924169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924216 */     // MIs[1] Operand 1
     /*  924216 */     // No operand predicates
     /*  924216 */     // MIs[0] policy
     /*  924216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924250 */     GIR_RootConstrainSelectedInstOperands,
     /*  924251 */     // GIR_Coverage, 24209,
     /*  924251 */     GIR_EraseRootFromParent_Done,
     /*  924252 */   // Label 14008: @924252
     /*  924252 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(924340), // Rule ID 24212 //
     /*  924257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924304 */     // MIs[1] Operand 1
     /*  924304 */     // No operand predicates
     /*  924304 */     // MIs[0] policy
     /*  924304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924316 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924338 */     GIR_RootConstrainSelectedInstOperands,
     /*  924339 */     // GIR_Coverage, 24212,
     /*  924339 */     GIR_EraseRootFromParent_Done,
     /*  924340 */   // Label 14009: @924340
     /*  924340 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(924428), // Rule ID 24213 //
     /*  924345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924392 */     // MIs[1] Operand 1
     /*  924392 */     // No operand predicates
     /*  924392 */     // MIs[0] policy
     /*  924392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924404 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924426 */     GIR_RootConstrainSelectedInstOperands,
     /*  924427 */     // GIR_Coverage, 24213,
     /*  924427 */     GIR_EraseRootFromParent_Done,
     /*  924428 */   // Label 14010: @924428
     /*  924428 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(924516), // Rule ID 24216 //
     /*  924433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924480 */     // MIs[1] Operand 1
     /*  924480 */     // No operand predicates
     /*  924480 */     // MIs[0] policy
     /*  924480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924514 */     GIR_RootConstrainSelectedInstOperands,
     /*  924515 */     // GIR_Coverage, 24216,
     /*  924515 */     GIR_EraseRootFromParent_Done,
     /*  924516 */   // Label 14011: @924516
     /*  924516 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(924604), // Rule ID 24217 //
     /*  924521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924568 */     // MIs[1] Operand 1
     /*  924568 */     // No operand predicates
     /*  924568 */     // MIs[0] policy
     /*  924568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924602 */     GIR_RootConstrainSelectedInstOperands,
     /*  924603 */     // GIR_Coverage, 24217,
     /*  924603 */     GIR_EraseRootFromParent_Done,
     /*  924604 */   // Label 14012: @924604
     /*  924604 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(924692), // Rule ID 24220 //
     /*  924609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924656 */     // MIs[1] Operand 1
     /*  924656 */     // No operand predicates
     /*  924656 */     // MIs[0] policy
     /*  924656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924690 */     GIR_RootConstrainSelectedInstOperands,
     /*  924691 */     // GIR_Coverage, 24220,
     /*  924691 */     GIR_EraseRootFromParent_Done,
     /*  924692 */   // Label 14013: @924692
     /*  924692 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(924780), // Rule ID 24221 //
     /*  924697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924744 */     // MIs[1] Operand 1
     /*  924744 */     // No operand predicates
     /*  924744 */     // MIs[0] policy
     /*  924744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924778 */     GIR_RootConstrainSelectedInstOperands,
     /*  924779 */     // GIR_Coverage, 24221,
     /*  924779 */     GIR_EraseRootFromParent_Done,
     /*  924780 */   // Label 14014: @924780
     /*  924780 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(924868), // Rule ID 24224 //
     /*  924785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924832 */     // MIs[1] Operand 1
     /*  924832 */     // No operand predicates
     /*  924832 */     // MIs[0] policy
     /*  924832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924844 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924866 */     GIR_RootConstrainSelectedInstOperands,
     /*  924867 */     // GIR_Coverage, 24224,
     /*  924867 */     GIR_EraseRootFromParent_Done,
     /*  924868 */   // Label 14015: @924868
     /*  924868 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(924956), // Rule ID 24225 //
     /*  924873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924920 */     // MIs[1] Operand 1
     /*  924920 */     // No operand predicates
     /*  924920 */     // MIs[0] policy
     /*  924920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924954 */     GIR_RootConstrainSelectedInstOperands,
     /*  924955 */     // GIR_Coverage, 24225,
     /*  924955 */     GIR_EraseRootFromParent_Done,
     /*  924956 */   // Label 14016: @924956
     /*  924956 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(925044), // Rule ID 24228 //
     /*  924961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925008 */     // MIs[1] Operand 1
     /*  925008 */     // No operand predicates
     /*  925008 */     // MIs[0] policy
     /*  925008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925020 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925042 */     GIR_RootConstrainSelectedInstOperands,
     /*  925043 */     // GIR_Coverage, 24228,
     /*  925043 */     GIR_EraseRootFromParent_Done,
     /*  925044 */   // Label 14017: @925044
     /*  925044 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(925132), // Rule ID 24229 //
     /*  925049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925096 */     // MIs[1] Operand 1
     /*  925096 */     // No operand predicates
     /*  925096 */     // MIs[0] policy
     /*  925096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925108 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925130 */     GIR_RootConstrainSelectedInstOperands,
     /*  925131 */     // GIR_Coverage, 24229,
     /*  925131 */     GIR_EraseRootFromParent_Done,
     /*  925132 */   // Label 14018: @925132
     /*  925132 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(925220), // Rule ID 24232 //
     /*  925137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925184 */     // MIs[1] Operand 1
     /*  925184 */     // No operand predicates
     /*  925184 */     // MIs[0] policy
     /*  925184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925196 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925218 */     GIR_RootConstrainSelectedInstOperands,
     /*  925219 */     // GIR_Coverage, 24232,
     /*  925219 */     GIR_EraseRootFromParent_Done,
     /*  925220 */   // Label 14019: @925220
     /*  925220 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(925308), // Rule ID 24233 //
     /*  925225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925272 */     // MIs[1] Operand 1
     /*  925272 */     // No operand predicates
     /*  925272 */     // MIs[0] policy
     /*  925272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925284 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925306 */     GIR_RootConstrainSelectedInstOperands,
     /*  925307 */     // GIR_Coverage, 24233,
     /*  925307 */     GIR_EraseRootFromParent_Done,
     /*  925308 */   // Label 14020: @925308
     /*  925308 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(925396), // Rule ID 24236 //
     /*  925313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925360 */     // MIs[1] Operand 1
     /*  925360 */     // No operand predicates
     /*  925360 */     // MIs[0] policy
     /*  925360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925394 */     GIR_RootConstrainSelectedInstOperands,
     /*  925395 */     // GIR_Coverage, 24236,
     /*  925395 */     GIR_EraseRootFromParent_Done,
     /*  925396 */   // Label 14021: @925396
     /*  925396 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(925484), // Rule ID 24237 //
     /*  925401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925448 */     // MIs[1] Operand 1
     /*  925448 */     // No operand predicates
     /*  925448 */     // MIs[0] policy
     /*  925448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925482 */     GIR_RootConstrainSelectedInstOperands,
     /*  925483 */     // GIR_Coverage, 24237,
     /*  925483 */     GIR_EraseRootFromParent_Done,
     /*  925484 */   // Label 14022: @925484
     /*  925484 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(925572), // Rule ID 24240 //
     /*  925489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925536 */     // MIs[1] Operand 1
     /*  925536 */     // No operand predicates
     /*  925536 */     // MIs[0] policy
     /*  925536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925570 */     GIR_RootConstrainSelectedInstOperands,
     /*  925571 */     // GIR_Coverage, 24240,
     /*  925571 */     GIR_EraseRootFromParent_Done,
     /*  925572 */   // Label 14023: @925572
     /*  925572 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(925660), // Rule ID 24241 //
     /*  925577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925624 */     // MIs[1] Operand 1
     /*  925624 */     // No operand predicates
     /*  925624 */     // MIs[0] policy
     /*  925624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925658 */     GIR_RootConstrainSelectedInstOperands,
     /*  925659 */     // GIR_Coverage, 24241,
     /*  925659 */     GIR_EraseRootFromParent_Done,
     /*  925660 */   // Label 14024: @925660
     /*  925660 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(925748), // Rule ID 24244 //
     /*  925665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925712 */     // MIs[1] Operand 1
     /*  925712 */     // No operand predicates
     /*  925712 */     // MIs[0] policy
     /*  925712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925724 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925746 */     GIR_RootConstrainSelectedInstOperands,
     /*  925747 */     // GIR_Coverage, 24244,
     /*  925747 */     GIR_EraseRootFromParent_Done,
     /*  925748 */   // Label 14025: @925748
     /*  925748 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(925836), // Rule ID 24245 //
     /*  925753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925800 */     // MIs[1] Operand 1
     /*  925800 */     // No operand predicates
     /*  925800 */     // MIs[0] policy
     /*  925800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925834 */     GIR_RootConstrainSelectedInstOperands,
     /*  925835 */     // GIR_Coverage, 24245,
     /*  925835 */     GIR_EraseRootFromParent_Done,
     /*  925836 */   // Label 14026: @925836
     /*  925836 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(925924), // Rule ID 24248 //
     /*  925841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925888 */     // MIs[1] Operand 1
     /*  925888 */     // No operand predicates
     /*  925888 */     // MIs[0] policy
     /*  925888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925900 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925922 */     GIR_RootConstrainSelectedInstOperands,
     /*  925923 */     // GIR_Coverage, 24248,
     /*  925923 */     GIR_EraseRootFromParent_Done,
     /*  925924 */   // Label 14027: @925924
     /*  925924 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(926012), // Rule ID 24249 //
     /*  925929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925976 */     // MIs[1] Operand 1
     /*  925976 */     // No operand predicates
     /*  925976 */     // MIs[0] policy
     /*  925976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925988 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926010 */     GIR_RootConstrainSelectedInstOperands,
     /*  926011 */     // GIR_Coverage, 24249,
     /*  926011 */     GIR_EraseRootFromParent_Done,
     /*  926012 */   // Label 14028: @926012
     /*  926012 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(926100), // Rule ID 24252 //
     /*  926017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926064 */     // MIs[1] Operand 1
     /*  926064 */     // No operand predicates
     /*  926064 */     // MIs[0] policy
     /*  926064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926098 */     GIR_RootConstrainSelectedInstOperands,
     /*  926099 */     // GIR_Coverage, 24252,
     /*  926099 */     GIR_EraseRootFromParent_Done,
     /*  926100 */   // Label 14029: @926100
     /*  926100 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(926188), // Rule ID 24253 //
     /*  926105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926152 */     // MIs[1] Operand 1
     /*  926152 */     // No operand predicates
     /*  926152 */     // MIs[0] policy
     /*  926152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926186 */     GIR_RootConstrainSelectedInstOperands,
     /*  926187 */     // GIR_Coverage, 24253,
     /*  926187 */     GIR_EraseRootFromParent_Done,
     /*  926188 */   // Label 14030: @926188
     /*  926188 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(926276), // Rule ID 24256 //
     /*  926193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926240 */     // MIs[1] Operand 1
     /*  926240 */     // No operand predicates
     /*  926240 */     // MIs[0] policy
     /*  926240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926274 */     GIR_RootConstrainSelectedInstOperands,
     /*  926275 */     // GIR_Coverage, 24256,
     /*  926275 */     GIR_EraseRootFromParent_Done,
     /*  926276 */   // Label 14031: @926276
     /*  926276 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(926364), // Rule ID 24257 //
     /*  926281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926328 */     // MIs[1] Operand 1
     /*  926328 */     // No operand predicates
     /*  926328 */     // MIs[0] policy
     /*  926328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926340 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926362 */     GIR_RootConstrainSelectedInstOperands,
     /*  926363 */     // GIR_Coverage, 24257,
     /*  926363 */     GIR_EraseRootFromParent_Done,
     /*  926364 */   // Label 14032: @926364
     /*  926364 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(926455), // Rule ID 15868 //
     /*  926369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926416 */     // MIs[1] Operand 1
     /*  926416 */     // No operand predicates
     /*  926416 */     // MIs[0] round
     /*  926416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926453 */     GIR_RootConstrainSelectedInstOperands,
     /*  926454 */     // GIR_Coverage, 15868,
     /*  926454 */     GIR_EraseRootFromParent_Done,
     /*  926455 */   // Label 14033: @926455
     /*  926455 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(926546), // Rule ID 15869 //
     /*  926460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926507 */     // MIs[1] Operand 1
     /*  926507 */     // No operand predicates
     /*  926507 */     // MIs[0] round
     /*  926507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926519 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926544 */     GIR_RootConstrainSelectedInstOperands,
     /*  926545 */     // GIR_Coverage, 15869,
     /*  926545 */     GIR_EraseRootFromParent_Done,
     /*  926546 */   // Label 14034: @926546
     /*  926546 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(926637), // Rule ID 15872 //
     /*  926551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926598 */     // MIs[1] Operand 1
     /*  926598 */     // No operand predicates
     /*  926598 */     // MIs[0] round
     /*  926598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926610 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926635 */     GIR_RootConstrainSelectedInstOperands,
     /*  926636 */     // GIR_Coverage, 15872,
     /*  926636 */     GIR_EraseRootFromParent_Done,
     /*  926637 */   // Label 14035: @926637
     /*  926637 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(926728), // Rule ID 15873 //
     /*  926642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926689 */     // MIs[1] Operand 1
     /*  926689 */     // No operand predicates
     /*  926689 */     // MIs[0] round
     /*  926689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926726 */     GIR_RootConstrainSelectedInstOperands,
     /*  926727 */     // GIR_Coverage, 15873,
     /*  926727 */     GIR_EraseRootFromParent_Done,
     /*  926728 */   // Label 14036: @926728
     /*  926728 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(926819), // Rule ID 15876 //
     /*  926733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926780 */     // MIs[1] Operand 1
     /*  926780 */     // No operand predicates
     /*  926780 */     // MIs[0] round
     /*  926780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926817 */     GIR_RootConstrainSelectedInstOperands,
     /*  926818 */     // GIR_Coverage, 15876,
     /*  926818 */     GIR_EraseRootFromParent_Done,
     /*  926819 */   // Label 14037: @926819
     /*  926819 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(926910), // Rule ID 15877 //
     /*  926824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926871 */     // MIs[1] Operand 1
     /*  926871 */     // No operand predicates
     /*  926871 */     // MIs[0] round
     /*  926871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926908 */     GIR_RootConstrainSelectedInstOperands,
     /*  926909 */     // GIR_Coverage, 15877,
     /*  926909 */     GIR_EraseRootFromParent_Done,
     /*  926910 */   // Label 14038: @926910
     /*  926910 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(927001), // Rule ID 15880 //
     /*  926915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926962 */     // MIs[1] Operand 1
     /*  926962 */     // No operand predicates
     /*  926962 */     // MIs[0] round
     /*  926962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926999 */     GIR_RootConstrainSelectedInstOperands,
     /*  927000 */     // GIR_Coverage, 15880,
     /*  927000 */     GIR_EraseRootFromParent_Done,
     /*  927001 */   // Label 14039: @927001
     /*  927001 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(927092), // Rule ID 15881 //
     /*  927006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927053 */     // MIs[1] Operand 1
     /*  927053 */     // No operand predicates
     /*  927053 */     // MIs[0] round
     /*  927053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927090 */     GIR_RootConstrainSelectedInstOperands,
     /*  927091 */     // GIR_Coverage, 15881,
     /*  927091 */     GIR_EraseRootFromParent_Done,
     /*  927092 */   // Label 14040: @927092
     /*  927092 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(927183), // Rule ID 15884 //
     /*  927097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927144 */     // MIs[1] Operand 1
     /*  927144 */     // No operand predicates
     /*  927144 */     // MIs[0] round
     /*  927144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927181 */     GIR_RootConstrainSelectedInstOperands,
     /*  927182 */     // GIR_Coverage, 15884,
     /*  927182 */     GIR_EraseRootFromParent_Done,
     /*  927183 */   // Label 14041: @927183
     /*  927183 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(927274), // Rule ID 15885 //
     /*  927188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927235 */     // MIs[1] Operand 1
     /*  927235 */     // No operand predicates
     /*  927235 */     // MIs[0] round
     /*  927235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927272 */     GIR_RootConstrainSelectedInstOperands,
     /*  927273 */     // GIR_Coverage, 15885,
     /*  927273 */     GIR_EraseRootFromParent_Done,
     /*  927274 */   // Label 14042: @927274
     /*  927274 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(927365), // Rule ID 15888 //
     /*  927279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927326 */     // MIs[1] Operand 1
     /*  927326 */     // No operand predicates
     /*  927326 */     // MIs[0] round
     /*  927326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927363 */     GIR_RootConstrainSelectedInstOperands,
     /*  927364 */     // GIR_Coverage, 15888,
     /*  927364 */     GIR_EraseRootFromParent_Done,
     /*  927365 */   // Label 14043: @927365
     /*  927365 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(927456), // Rule ID 15889 //
     /*  927370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927417 */     // MIs[1] Operand 1
     /*  927417 */     // No operand predicates
     /*  927417 */     // MIs[0] round
     /*  927417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927454 */     GIR_RootConstrainSelectedInstOperands,
     /*  927455 */     // GIR_Coverage, 15889,
     /*  927455 */     GIR_EraseRootFromParent_Done,
     /*  927456 */   // Label 14044: @927456
     /*  927456 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(927547), // Rule ID 15892 //
     /*  927461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927508 */     // MIs[1] Operand 1
     /*  927508 */     // No operand predicates
     /*  927508 */     // MIs[0] round
     /*  927508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927545 */     GIR_RootConstrainSelectedInstOperands,
     /*  927546 */     // GIR_Coverage, 15892,
     /*  927546 */     GIR_EraseRootFromParent_Done,
     /*  927547 */   // Label 14045: @927547
     /*  927547 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(927638), // Rule ID 15893 //
     /*  927552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927599 */     // MIs[1] Operand 1
     /*  927599 */     // No operand predicates
     /*  927599 */     // MIs[0] round
     /*  927599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927636 */     GIR_RootConstrainSelectedInstOperands,
     /*  927637 */     // GIR_Coverage, 15893,
     /*  927637 */     GIR_EraseRootFromParent_Done,
     /*  927638 */   // Label 14046: @927638
     /*  927638 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(927729), // Rule ID 15896 //
     /*  927643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927690 */     // MIs[1] Operand 1
     /*  927690 */     // No operand predicates
     /*  927690 */     // MIs[0] round
     /*  927690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927727 */     GIR_RootConstrainSelectedInstOperands,
     /*  927728 */     // GIR_Coverage, 15896,
     /*  927728 */     GIR_EraseRootFromParent_Done,
     /*  927729 */   // Label 14047: @927729
     /*  927729 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(927820), // Rule ID 15897 //
     /*  927734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927781 */     // MIs[1] Operand 1
     /*  927781 */     // No operand predicates
     /*  927781 */     // MIs[0] round
     /*  927781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927818 */     GIR_RootConstrainSelectedInstOperands,
     /*  927819 */     // GIR_Coverage, 15897,
     /*  927819 */     GIR_EraseRootFromParent_Done,
     /*  927820 */   // Label 14048: @927820
     /*  927820 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(927911), // Rule ID 15900 //
     /*  927825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927872 */     // MIs[1] Operand 1
     /*  927872 */     // No operand predicates
     /*  927872 */     // MIs[0] round
     /*  927872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927909 */     GIR_RootConstrainSelectedInstOperands,
     /*  927910 */     // GIR_Coverage, 15900,
     /*  927910 */     GIR_EraseRootFromParent_Done,
     /*  927911 */   // Label 14049: @927911
     /*  927911 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(928002), // Rule ID 15901 //
     /*  927916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927963 */     // MIs[1] Operand 1
     /*  927963 */     // No operand predicates
     /*  927963 */     // MIs[0] round
     /*  927963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928000 */     GIR_RootConstrainSelectedInstOperands,
     /*  928001 */     // GIR_Coverage, 15901,
     /*  928001 */     GIR_EraseRootFromParent_Done,
     /*  928002 */   // Label 14050: @928002
     /*  928002 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(928093), // Rule ID 15904 //
     /*  928007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928054 */     // MIs[1] Operand 1
     /*  928054 */     // No operand predicates
     /*  928054 */     // MIs[0] round
     /*  928054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928091 */     GIR_RootConstrainSelectedInstOperands,
     /*  928092 */     // GIR_Coverage, 15904,
     /*  928092 */     GIR_EraseRootFromParent_Done,
     /*  928093 */   // Label 14051: @928093
     /*  928093 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(928184), // Rule ID 15905 //
     /*  928098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928145 */     // MIs[1] Operand 1
     /*  928145 */     // No operand predicates
     /*  928145 */     // MIs[0] round
     /*  928145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928182 */     GIR_RootConstrainSelectedInstOperands,
     /*  928183 */     // GIR_Coverage, 15905,
     /*  928183 */     GIR_EraseRootFromParent_Done,
     /*  928184 */   // Label 14052: @928184
     /*  928184 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(928275), // Rule ID 15908 //
     /*  928189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928236 */     // MIs[1] Operand 1
     /*  928236 */     // No operand predicates
     /*  928236 */     // MIs[0] round
     /*  928236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928273 */     GIR_RootConstrainSelectedInstOperands,
     /*  928274 */     // GIR_Coverage, 15908,
     /*  928274 */     GIR_EraseRootFromParent_Done,
     /*  928275 */   // Label 14053: @928275
     /*  928275 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(928366), // Rule ID 15909 //
     /*  928280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928327 */     // MIs[1] Operand 1
     /*  928327 */     // No operand predicates
     /*  928327 */     // MIs[0] round
     /*  928327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928339 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928364 */     GIR_RootConstrainSelectedInstOperands,
     /*  928365 */     // GIR_Coverage, 15909,
     /*  928365 */     GIR_EraseRootFromParent_Done,
     /*  928366 */   // Label 14054: @928366
     /*  928366 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(928457), // Rule ID 15912 //
     /*  928371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928418 */     // MIs[1] Operand 1
     /*  928418 */     // No operand predicates
     /*  928418 */     // MIs[0] round
     /*  928418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928430 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928455 */     GIR_RootConstrainSelectedInstOperands,
     /*  928456 */     // GIR_Coverage, 15912,
     /*  928456 */     GIR_EraseRootFromParent_Done,
     /*  928457 */   // Label 14055: @928457
     /*  928457 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(928548), // Rule ID 15913 //
     /*  928462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928509 */     // MIs[1] Operand 1
     /*  928509 */     // No operand predicates
     /*  928509 */     // MIs[0] round
     /*  928509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928546 */     GIR_RootConstrainSelectedInstOperands,
     /*  928547 */     // GIR_Coverage, 15913,
     /*  928547 */     GIR_EraseRootFromParent_Done,
     /*  928548 */   // Label 14056: @928548
     /*  928548 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(928639), // Rule ID 15916 //
     /*  928553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928600 */     // MIs[1] Operand 1
     /*  928600 */     // No operand predicates
     /*  928600 */     // MIs[0] round
     /*  928600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928637 */     GIR_RootConstrainSelectedInstOperands,
     /*  928638 */     // GIR_Coverage, 15916,
     /*  928638 */     GIR_EraseRootFromParent_Done,
     /*  928639 */   // Label 14057: @928639
     /*  928639 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(928730), // Rule ID 15917 //
     /*  928644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928691 */     // MIs[1] Operand 1
     /*  928691 */     // No operand predicates
     /*  928691 */     // MIs[0] round
     /*  928691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928728 */     GIR_RootConstrainSelectedInstOperands,
     /*  928729 */     // GIR_Coverage, 15917,
     /*  928729 */     GIR_EraseRootFromParent_Done,
     /*  928730 */   // Label 14058: @928730
     /*  928730 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(928821), // Rule ID 15920 //
     /*  928735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928782 */     // MIs[1] Operand 1
     /*  928782 */     // No operand predicates
     /*  928782 */     // MIs[0] round
     /*  928782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928819 */     GIR_RootConstrainSelectedInstOperands,
     /*  928820 */     // GIR_Coverage, 15920,
     /*  928820 */     GIR_EraseRootFromParent_Done,
     /*  928821 */   // Label 14059: @928821
     /*  928821 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(928912), // Rule ID 15921 //
     /*  928826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928873 */     // MIs[1] Operand 1
     /*  928873 */     // No operand predicates
     /*  928873 */     // MIs[0] round
     /*  928873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928910 */     GIR_RootConstrainSelectedInstOperands,
     /*  928911 */     // GIR_Coverage, 15921,
     /*  928911 */     GIR_EraseRootFromParent_Done,
     /*  928912 */   // Label 14060: @928912
     /*  928912 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(929003), // Rule ID 15924 //
     /*  928917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928964 */     // MIs[1] Operand 1
     /*  928964 */     // No operand predicates
     /*  928964 */     // MIs[0] round
     /*  928964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929001 */     GIR_RootConstrainSelectedInstOperands,
     /*  929002 */     // GIR_Coverage, 15924,
     /*  929002 */     GIR_EraseRootFromParent_Done,
     /*  929003 */   // Label 14061: @929003
     /*  929003 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(929094), // Rule ID 15925 //
     /*  929008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929055 */     // MIs[1] Operand 1
     /*  929055 */     // No operand predicates
     /*  929055 */     // MIs[0] round
     /*  929055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929092 */     GIR_RootConstrainSelectedInstOperands,
     /*  929093 */     // GIR_Coverage, 15925,
     /*  929093 */     GIR_EraseRootFromParent_Done,
     /*  929094 */   // Label 14062: @929094
     /*  929094 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(929185), // Rule ID 15928 //
     /*  929099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929146 */     // MIs[1] Operand 1
     /*  929146 */     // No operand predicates
     /*  929146 */     // MIs[0] round
     /*  929146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929183 */     GIR_RootConstrainSelectedInstOperands,
     /*  929184 */     // GIR_Coverage, 15928,
     /*  929184 */     GIR_EraseRootFromParent_Done,
     /*  929185 */   // Label 14063: @929185
     /*  929185 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(929276), // Rule ID 15929 //
     /*  929190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929237 */     // MIs[1] Operand 1
     /*  929237 */     // No operand predicates
     /*  929237 */     // MIs[0] round
     /*  929237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929274 */     GIR_RootConstrainSelectedInstOperands,
     /*  929275 */     // GIR_Coverage, 15929,
     /*  929275 */     GIR_EraseRootFromParent_Done,
     /*  929276 */   // Label 14064: @929276
     /*  929276 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(929367), // Rule ID 15932 //
     /*  929281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929328 */     // MIs[1] Operand 1
     /*  929328 */     // No operand predicates
     /*  929328 */     // MIs[0] round
     /*  929328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929365 */     GIR_RootConstrainSelectedInstOperands,
     /*  929366 */     // GIR_Coverage, 15932,
     /*  929366 */     GIR_EraseRootFromParent_Done,
     /*  929367 */   // Label 14065: @929367
     /*  929367 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(929458), // Rule ID 15933 //
     /*  929372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929419 */     // MIs[1] Operand 1
     /*  929419 */     // No operand predicates
     /*  929419 */     // MIs[0] round
     /*  929419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929456 */     GIR_RootConstrainSelectedInstOperands,
     /*  929457 */     // GIR_Coverage, 15933,
     /*  929457 */     GIR_EraseRootFromParent_Done,
     /*  929458 */   // Label 14066: @929458
     /*  929458 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(929549), // Rule ID 15936 //
     /*  929463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929510 */     // MIs[1] Operand 1
     /*  929510 */     // No operand predicates
     /*  929510 */     // MIs[0] round
     /*  929510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929547 */     GIR_RootConstrainSelectedInstOperands,
     /*  929548 */     // GIR_Coverage, 15936,
     /*  929548 */     GIR_EraseRootFromParent_Done,
     /*  929549 */   // Label 14067: @929549
     /*  929549 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(929640), // Rule ID 15937 //
     /*  929554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929601 */     // MIs[1] Operand 1
     /*  929601 */     // No operand predicates
     /*  929601 */     // MIs[0] round
     /*  929601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929638 */     GIR_RootConstrainSelectedInstOperands,
     /*  929639 */     // GIR_Coverage, 15937,
     /*  929639 */     GIR_EraseRootFromParent_Done,
     /*  929640 */   // Label 14068: @929640
     /*  929640 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(929731), // Rule ID 15940 //
     /*  929645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929692 */     // MIs[1] Operand 1
     /*  929692 */     // No operand predicates
     /*  929692 */     // MIs[0] round
     /*  929692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929729 */     GIR_RootConstrainSelectedInstOperands,
     /*  929730 */     // GIR_Coverage, 15940,
     /*  929730 */     GIR_EraseRootFromParent_Done,
     /*  929731 */   // Label 14069: @929731
     /*  929731 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(929822), // Rule ID 15941 //
     /*  929736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929783 */     // MIs[1] Operand 1
     /*  929783 */     // No operand predicates
     /*  929783 */     // MIs[0] round
     /*  929783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929820 */     GIR_RootConstrainSelectedInstOperands,
     /*  929821 */     // GIR_Coverage, 15941,
     /*  929821 */     GIR_EraseRootFromParent_Done,
     /*  929822 */   // Label 14070: @929822
     /*  929822 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(929913), // Rule ID 15944 //
     /*  929827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929874 */     // MIs[1] Operand 1
     /*  929874 */     // No operand predicates
     /*  929874 */     // MIs[0] round
     /*  929874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929911 */     GIR_RootConstrainSelectedInstOperands,
     /*  929912 */     // GIR_Coverage, 15944,
     /*  929912 */     GIR_EraseRootFromParent_Done,
     /*  929913 */   // Label 14071: @929913
     /*  929913 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(930004), // Rule ID 15945 //
     /*  929918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929965 */     // MIs[1] Operand 1
     /*  929965 */     // No operand predicates
     /*  929965 */     // MIs[0] round
     /*  929965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930002 */     GIR_RootConstrainSelectedInstOperands,
     /*  930003 */     // GIR_Coverage, 15945,
     /*  930003 */     GIR_EraseRootFromParent_Done,
     /*  930004 */   // Label 14072: @930004
     /*  930004 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(930095), // Rule ID 15948 //
     /*  930009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930056 */     // MIs[1] Operand 1
     /*  930056 */     // No operand predicates
     /*  930056 */     // MIs[0] round
     /*  930056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930093 */     GIR_RootConstrainSelectedInstOperands,
     /*  930094 */     // GIR_Coverage, 15948,
     /*  930094 */     GIR_EraseRootFromParent_Done,
     /*  930095 */   // Label 14073: @930095
     /*  930095 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(930186), // Rule ID 15949 //
     /*  930100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930147 */     // MIs[1] Operand 1
     /*  930147 */     // No operand predicates
     /*  930147 */     // MIs[0] round
     /*  930147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930184 */     GIR_RootConstrainSelectedInstOperands,
     /*  930185 */     // GIR_Coverage, 15949,
     /*  930185 */     GIR_EraseRootFromParent_Done,
     /*  930186 */   // Label 14074: @930186
     /*  930186 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(930277), // Rule ID 15952 //
     /*  930191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930238 */     // MIs[1] Operand 1
     /*  930238 */     // No operand predicates
     /*  930238 */     // MIs[0] round
     /*  930238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930275 */     GIR_RootConstrainSelectedInstOperands,
     /*  930276 */     // GIR_Coverage, 15952,
     /*  930276 */     GIR_EraseRootFromParent_Done,
     /*  930277 */   // Label 14075: @930277
     /*  930277 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(930368), // Rule ID 15953 //
     /*  930282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930329 */     // MIs[1] Operand 1
     /*  930329 */     // No operand predicates
     /*  930329 */     // MIs[0] round
     /*  930329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930366 */     GIR_RootConstrainSelectedInstOperands,
     /*  930367 */     // GIR_Coverage, 15953,
     /*  930367 */     GIR_EraseRootFromParent_Done,
     /*  930368 */   // Label 14076: @930368
     /*  930368 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(930459), // Rule ID 16132 //
     /*  930373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930420 */     // MIs[1] Operand 1
     /*  930420 */     // No operand predicates
     /*  930420 */     // MIs[0] round
     /*  930420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930457 */     GIR_RootConstrainSelectedInstOperands,
     /*  930458 */     // GIR_Coverage, 16132,
     /*  930458 */     GIR_EraseRootFromParent_Done,
     /*  930459 */   // Label 14077: @930459
     /*  930459 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(930550), // Rule ID 16133 //
     /*  930464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930511 */     // MIs[1] Operand 1
     /*  930511 */     // No operand predicates
     /*  930511 */     // MIs[0] round
     /*  930511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930548 */     GIR_RootConstrainSelectedInstOperands,
     /*  930549 */     // GIR_Coverage, 16133,
     /*  930549 */     GIR_EraseRootFromParent_Done,
     /*  930550 */   // Label 14078: @930550
     /*  930550 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(930641), // Rule ID 16136 //
     /*  930555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930602 */     // MIs[1] Operand 1
     /*  930602 */     // No operand predicates
     /*  930602 */     // MIs[0] round
     /*  930602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930639 */     GIR_RootConstrainSelectedInstOperands,
     /*  930640 */     // GIR_Coverage, 16136,
     /*  930640 */     GIR_EraseRootFromParent_Done,
     /*  930641 */   // Label 14079: @930641
     /*  930641 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(930732), // Rule ID 16137 //
     /*  930646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930693 */     // MIs[1] Operand 1
     /*  930693 */     // No operand predicates
     /*  930693 */     // MIs[0] round
     /*  930693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930730 */     GIR_RootConstrainSelectedInstOperands,
     /*  930731 */     // GIR_Coverage, 16137,
     /*  930731 */     GIR_EraseRootFromParent_Done,
     /*  930732 */   // Label 14080: @930732
     /*  930732 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(930823), // Rule ID 16140 //
     /*  930737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930784 */     // MIs[1] Operand 1
     /*  930784 */     // No operand predicates
     /*  930784 */     // MIs[0] round
     /*  930784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930821 */     GIR_RootConstrainSelectedInstOperands,
     /*  930822 */     // GIR_Coverage, 16140,
     /*  930822 */     GIR_EraseRootFromParent_Done,
     /*  930823 */   // Label 14081: @930823
     /*  930823 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(930914), // Rule ID 16141 //
     /*  930828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930875 */     // MIs[1] Operand 1
     /*  930875 */     // No operand predicates
     /*  930875 */     // MIs[0] round
     /*  930875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930912 */     GIR_RootConstrainSelectedInstOperands,
     /*  930913 */     // GIR_Coverage, 16141,
     /*  930913 */     GIR_EraseRootFromParent_Done,
     /*  930914 */   // Label 14082: @930914
     /*  930914 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(931005), // Rule ID 16144 //
     /*  930919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930966 */     // MIs[1] Operand 1
     /*  930966 */     // No operand predicates
     /*  930966 */     // MIs[0] round
     /*  930966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931003 */     GIR_RootConstrainSelectedInstOperands,
     /*  931004 */     // GIR_Coverage, 16144,
     /*  931004 */     GIR_EraseRootFromParent_Done,
     /*  931005 */   // Label 14083: @931005
     /*  931005 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(931096), // Rule ID 16145 //
     /*  931010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931057 */     // MIs[1] Operand 1
     /*  931057 */     // No operand predicates
     /*  931057 */     // MIs[0] round
     /*  931057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931094 */     GIR_RootConstrainSelectedInstOperands,
     /*  931095 */     // GIR_Coverage, 16145,
     /*  931095 */     GIR_EraseRootFromParent_Done,
     /*  931096 */   // Label 14084: @931096
     /*  931096 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(931187), // Rule ID 16148 //
     /*  931101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931148 */     // MIs[1] Operand 1
     /*  931148 */     // No operand predicates
     /*  931148 */     // MIs[0] round
     /*  931148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931185 */     GIR_RootConstrainSelectedInstOperands,
     /*  931186 */     // GIR_Coverage, 16148,
     /*  931186 */     GIR_EraseRootFromParent_Done,
     /*  931187 */   // Label 14085: @931187
     /*  931187 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(931278), // Rule ID 16149 //
     /*  931192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931239 */     // MIs[1] Operand 1
     /*  931239 */     // No operand predicates
     /*  931239 */     // MIs[0] round
     /*  931239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931276 */     GIR_RootConstrainSelectedInstOperands,
     /*  931277 */     // GIR_Coverage, 16149,
     /*  931277 */     GIR_EraseRootFromParent_Done,
     /*  931278 */   // Label 14086: @931278
     /*  931278 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(931369), // Rule ID 16152 //
     /*  931283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931330 */     // MIs[1] Operand 1
     /*  931330 */     // No operand predicates
     /*  931330 */     // MIs[0] round
     /*  931330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931367 */     GIR_RootConstrainSelectedInstOperands,
     /*  931368 */     // GIR_Coverage, 16152,
     /*  931368 */     GIR_EraseRootFromParent_Done,
     /*  931369 */   // Label 14087: @931369
     /*  931369 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(931460), // Rule ID 16153 //
     /*  931374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931421 */     // MIs[1] Operand 1
     /*  931421 */     // No operand predicates
     /*  931421 */     // MIs[0] round
     /*  931421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931458 */     GIR_RootConstrainSelectedInstOperands,
     /*  931459 */     // GIR_Coverage, 16153,
     /*  931459 */     GIR_EraseRootFromParent_Done,
     /*  931460 */   // Label 14088: @931460
     /*  931460 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(931551), // Rule ID 16156 //
     /*  931465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931512 */     // MIs[1] Operand 1
     /*  931512 */     // No operand predicates
     /*  931512 */     // MIs[0] round
     /*  931512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931549 */     GIR_RootConstrainSelectedInstOperands,
     /*  931550 */     // GIR_Coverage, 16156,
     /*  931550 */     GIR_EraseRootFromParent_Done,
     /*  931551 */   // Label 14089: @931551
     /*  931551 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(931642), // Rule ID 16157 //
     /*  931556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931603 */     // MIs[1] Operand 1
     /*  931603 */     // No operand predicates
     /*  931603 */     // MIs[0] round
     /*  931603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931615 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931640 */     GIR_RootConstrainSelectedInstOperands,
     /*  931641 */     // GIR_Coverage, 16157,
     /*  931641 */     GIR_EraseRootFromParent_Done,
     /*  931642 */   // Label 14090: @931642
     /*  931642 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(931733), // Rule ID 16160 //
     /*  931647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931694 */     // MIs[1] Operand 1
     /*  931694 */     // No operand predicates
     /*  931694 */     // MIs[0] round
     /*  931694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931731 */     GIR_RootConstrainSelectedInstOperands,
     /*  931732 */     // GIR_Coverage, 16160,
     /*  931732 */     GIR_EraseRootFromParent_Done,
     /*  931733 */   // Label 14091: @931733
     /*  931733 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(931824), // Rule ID 16161 //
     /*  931738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931785 */     // MIs[1] Operand 1
     /*  931785 */     // No operand predicates
     /*  931785 */     // MIs[0] round
     /*  931785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931822 */     GIR_RootConstrainSelectedInstOperands,
     /*  931823 */     // GIR_Coverage, 16161,
     /*  931823 */     GIR_EraseRootFromParent_Done,
     /*  931824 */   // Label 14092: @931824
     /*  931824 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(931915), // Rule ID 16164 //
     /*  931829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931876 */     // MIs[1] Operand 1
     /*  931876 */     // No operand predicates
     /*  931876 */     // MIs[0] round
     /*  931876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931913 */     GIR_RootConstrainSelectedInstOperands,
     /*  931914 */     // GIR_Coverage, 16164,
     /*  931914 */     GIR_EraseRootFromParent_Done,
     /*  931915 */   // Label 14093: @931915
     /*  931915 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(932006), // Rule ID 16165 //
     /*  931920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931967 */     // MIs[1] Operand 1
     /*  931967 */     // No operand predicates
     /*  931967 */     // MIs[0] round
     /*  931967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932004 */     GIR_RootConstrainSelectedInstOperands,
     /*  932005 */     // GIR_Coverage, 16165,
     /*  932005 */     GIR_EraseRootFromParent_Done,
     /*  932006 */   // Label 14094: @932006
     /*  932006 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(932097), // Rule ID 16168 //
     /*  932011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932058 */     // MIs[1] Operand 1
     /*  932058 */     // No operand predicates
     /*  932058 */     // MIs[0] round
     /*  932058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932095 */     GIR_RootConstrainSelectedInstOperands,
     /*  932096 */     // GIR_Coverage, 16168,
     /*  932096 */     GIR_EraseRootFromParent_Done,
     /*  932097 */   // Label 14095: @932097
     /*  932097 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(932188), // Rule ID 16169 //
     /*  932102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932149 */     // MIs[1] Operand 1
     /*  932149 */     // No operand predicates
     /*  932149 */     // MIs[0] round
     /*  932149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932186 */     GIR_RootConstrainSelectedInstOperands,
     /*  932187 */     // GIR_Coverage, 16169,
     /*  932187 */     GIR_EraseRootFromParent_Done,
     /*  932188 */   // Label 14096: @932188
     /*  932188 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(932279), // Rule ID 16172 //
     /*  932193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932240 */     // MIs[1] Operand 1
     /*  932240 */     // No operand predicates
     /*  932240 */     // MIs[0] round
     /*  932240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932277 */     GIR_RootConstrainSelectedInstOperands,
     /*  932278 */     // GIR_Coverage, 16172,
     /*  932278 */     GIR_EraseRootFromParent_Done,
     /*  932279 */   // Label 14097: @932279
     /*  932279 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(932370), // Rule ID 16173 //
     /*  932284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932331 */     // MIs[1] Operand 1
     /*  932331 */     // No operand predicates
     /*  932331 */     // MIs[0] round
     /*  932331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932368 */     GIR_RootConstrainSelectedInstOperands,
     /*  932369 */     // GIR_Coverage, 16173,
     /*  932369 */     GIR_EraseRootFromParent_Done,
     /*  932370 */   // Label 14098: @932370
     /*  932370 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(932461), // Rule ID 16176 //
     /*  932375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932422 */     // MIs[1] Operand 1
     /*  932422 */     // No operand predicates
     /*  932422 */     // MIs[0] round
     /*  932422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932459 */     GIR_RootConstrainSelectedInstOperands,
     /*  932460 */     // GIR_Coverage, 16176,
     /*  932460 */     GIR_EraseRootFromParent_Done,
     /*  932461 */   // Label 14099: @932461
     /*  932461 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(932552), // Rule ID 16177 //
     /*  932466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932513 */     // MIs[1] Operand 1
     /*  932513 */     // No operand predicates
     /*  932513 */     // MIs[0] round
     /*  932513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932550 */     GIR_RootConstrainSelectedInstOperands,
     /*  932551 */     // GIR_Coverage, 16177,
     /*  932551 */     GIR_EraseRootFromParent_Done,
     /*  932552 */   // Label 14100: @932552
     /*  932552 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(932643), // Rule ID 16180 //
     /*  932557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932604 */     // MIs[1] Operand 1
     /*  932604 */     // No operand predicates
     /*  932604 */     // MIs[0] round
     /*  932604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932616 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932641 */     GIR_RootConstrainSelectedInstOperands,
     /*  932642 */     // GIR_Coverage, 16180,
     /*  932642 */     GIR_EraseRootFromParent_Done,
     /*  932643 */   // Label 14101: @932643
     /*  932643 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(932734), // Rule ID 16181 //
     /*  932648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932695 */     // MIs[1] Operand 1
     /*  932695 */     // No operand predicates
     /*  932695 */     // MIs[0] round
     /*  932695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932707 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932732 */     GIR_RootConstrainSelectedInstOperands,
     /*  932733 */     // GIR_Coverage, 16181,
     /*  932733 */     GIR_EraseRootFromParent_Done,
     /*  932734 */   // Label 14102: @932734
     /*  932734 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(932825), // Rule ID 16184 //
     /*  932739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932786 */     // MIs[1] Operand 1
     /*  932786 */     // No operand predicates
     /*  932786 */     // MIs[0] round
     /*  932786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932823 */     GIR_RootConstrainSelectedInstOperands,
     /*  932824 */     // GIR_Coverage, 16184,
     /*  932824 */     GIR_EraseRootFromParent_Done,
     /*  932825 */   // Label 14103: @932825
     /*  932825 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(932916), // Rule ID 16185 //
     /*  932830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932877 */     // MIs[1] Operand 1
     /*  932877 */     // No operand predicates
     /*  932877 */     // MIs[0] round
     /*  932877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932914 */     GIR_RootConstrainSelectedInstOperands,
     /*  932915 */     // GIR_Coverage, 16185,
     /*  932915 */     GIR_EraseRootFromParent_Done,
     /*  932916 */   // Label 14104: @932916
     /*  932916 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(933007), // Rule ID 16188 //
     /*  932921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932968 */     // MIs[1] Operand 1
     /*  932968 */     // No operand predicates
     /*  932968 */     // MIs[0] round
     /*  932968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933005 */     GIR_RootConstrainSelectedInstOperands,
     /*  933006 */     // GIR_Coverage, 16188,
     /*  933006 */     GIR_EraseRootFromParent_Done,
     /*  933007 */   // Label 14105: @933007
     /*  933007 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(933098), // Rule ID 16189 //
     /*  933012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933059 */     // MIs[1] Operand 1
     /*  933059 */     // No operand predicates
     /*  933059 */     // MIs[0] round
     /*  933059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933096 */     GIR_RootConstrainSelectedInstOperands,
     /*  933097 */     // GIR_Coverage, 16189,
     /*  933097 */     GIR_EraseRootFromParent_Done,
     /*  933098 */   // Label 14106: @933098
     /*  933098 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(933189), // Rule ID 16192 //
     /*  933103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933150 */     // MIs[1] Operand 1
     /*  933150 */     // No operand predicates
     /*  933150 */     // MIs[0] round
     /*  933150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933187 */     GIR_RootConstrainSelectedInstOperands,
     /*  933188 */     // GIR_Coverage, 16192,
     /*  933188 */     GIR_EraseRootFromParent_Done,
     /*  933189 */   // Label 14107: @933189
     /*  933189 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(933280), // Rule ID 16193 //
     /*  933194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933241 */     // MIs[1] Operand 1
     /*  933241 */     // No operand predicates
     /*  933241 */     // MIs[0] round
     /*  933241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933278 */     GIR_RootConstrainSelectedInstOperands,
     /*  933279 */     // GIR_Coverage, 16193,
     /*  933279 */     GIR_EraseRootFromParent_Done,
     /*  933280 */   // Label 14108: @933280
     /*  933280 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(933371), // Rule ID 16196 //
     /*  933285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933332 */     // MIs[1] Operand 1
     /*  933332 */     // No operand predicates
     /*  933332 */     // MIs[0] round
     /*  933332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933369 */     GIR_RootConstrainSelectedInstOperands,
     /*  933370 */     // GIR_Coverage, 16196,
     /*  933370 */     GIR_EraseRootFromParent_Done,
     /*  933371 */   // Label 14109: @933371
     /*  933371 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(933462), // Rule ID 16197 //
     /*  933376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933423 */     // MIs[1] Operand 1
     /*  933423 */     // No operand predicates
     /*  933423 */     // MIs[0] round
     /*  933423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933460 */     GIR_RootConstrainSelectedInstOperands,
     /*  933461 */     // GIR_Coverage, 16197,
     /*  933461 */     GIR_EraseRootFromParent_Done,
     /*  933462 */   // Label 14110: @933462
     /*  933462 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(933553), // Rule ID 16200 //
     /*  933467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933514 */     // MIs[1] Operand 1
     /*  933514 */     // No operand predicates
     /*  933514 */     // MIs[0] round
     /*  933514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933551 */     GIR_RootConstrainSelectedInstOperands,
     /*  933552 */     // GIR_Coverage, 16200,
     /*  933552 */     GIR_EraseRootFromParent_Done,
     /*  933553 */   // Label 14111: @933553
     /*  933553 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(933644), // Rule ID 16201 //
     /*  933558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933605 */     // MIs[1] Operand 1
     /*  933605 */     // No operand predicates
     /*  933605 */     // MIs[0] round
     /*  933605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933642 */     GIR_RootConstrainSelectedInstOperands,
     /*  933643 */     // GIR_Coverage, 16201,
     /*  933643 */     GIR_EraseRootFromParent_Done,
     /*  933644 */   // Label 14112: @933644
     /*  933644 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(933735), // Rule ID 16204 //
     /*  933649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933696 */     // MIs[1] Operand 1
     /*  933696 */     // No operand predicates
     /*  933696 */     // MIs[0] round
     /*  933696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933733 */     GIR_RootConstrainSelectedInstOperands,
     /*  933734 */     // GIR_Coverage, 16204,
     /*  933734 */     GIR_EraseRootFromParent_Done,
     /*  933735 */   // Label 14113: @933735
     /*  933735 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(933826), // Rule ID 16205 //
     /*  933740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933787 */     // MIs[1] Operand 1
     /*  933787 */     // No operand predicates
     /*  933787 */     // MIs[0] round
     /*  933787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933824 */     GIR_RootConstrainSelectedInstOperands,
     /*  933825 */     // GIR_Coverage, 16205,
     /*  933825 */     GIR_EraseRootFromParent_Done,
     /*  933826 */   // Label 14114: @933826
     /*  933826 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(933917), // Rule ID 16208 //
     /*  933831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933878 */     // MIs[1] Operand 1
     /*  933878 */     // No operand predicates
     /*  933878 */     // MIs[0] round
     /*  933878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933915 */     GIR_RootConstrainSelectedInstOperands,
     /*  933916 */     // GIR_Coverage, 16208,
     /*  933916 */     GIR_EraseRootFromParent_Done,
     /*  933917 */   // Label 14115: @933917
     /*  933917 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(934008), // Rule ID 16209 //
     /*  933922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933969 */     // MIs[1] Operand 1
     /*  933969 */     // No operand predicates
     /*  933969 */     // MIs[0] round
     /*  933969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934006 */     GIR_RootConstrainSelectedInstOperands,
     /*  934007 */     // GIR_Coverage, 16209,
     /*  934007 */     GIR_EraseRootFromParent_Done,
     /*  934008 */   // Label 14116: @934008
     /*  934008 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(934099), // Rule ID 16212 //
     /*  934013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934060 */     // MIs[1] Operand 1
     /*  934060 */     // No operand predicates
     /*  934060 */     // MIs[0] round
     /*  934060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934097 */     GIR_RootConstrainSelectedInstOperands,
     /*  934098 */     // GIR_Coverage, 16212,
     /*  934098 */     GIR_EraseRootFromParent_Done,
     /*  934099 */   // Label 14117: @934099
     /*  934099 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(934190), // Rule ID 16213 //
     /*  934104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934151 */     // MIs[1] Operand 1
     /*  934151 */     // No operand predicates
     /*  934151 */     // MIs[0] round
     /*  934151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934163 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934188 */     GIR_RootConstrainSelectedInstOperands,
     /*  934189 */     // GIR_Coverage, 16213,
     /*  934189 */     GIR_EraseRootFromParent_Done,
     /*  934190 */   // Label 14118: @934190
     /*  934190 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(934281), // Rule ID 16216 //
     /*  934195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934242 */     // MIs[1] Operand 1
     /*  934242 */     // No operand predicates
     /*  934242 */     // MIs[0] round
     /*  934242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934279 */     GIR_RootConstrainSelectedInstOperands,
     /*  934280 */     // GIR_Coverage, 16216,
     /*  934280 */     GIR_EraseRootFromParent_Done,
     /*  934281 */   // Label 14119: @934281
     /*  934281 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(934372), // Rule ID 16217 //
     /*  934286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934333 */     // MIs[1] Operand 1
     /*  934333 */     // No operand predicates
     /*  934333 */     // MIs[0] round
     /*  934333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934370 */     GIR_RootConstrainSelectedInstOperands,
     /*  934371 */     // GIR_Coverage, 16217,
     /*  934371 */     GIR_EraseRootFromParent_Done,
     /*  934372 */   // Label 14120: @934372
     /*  934372 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(934466), // Rule ID 16340 //
     /*  934377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934424 */     // MIs[1] Operand 1
     /*  934424 */     // No operand predicates
     /*  934424 */     // MIs[0] round
     /*  934424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934464 */     GIR_RootConstrainSelectedInstOperands,
     /*  934465 */     // GIR_Coverage, 16340,
     /*  934465 */     GIR_EraseRootFromParent_Done,
     /*  934466 */   // Label 14121: @934466
     /*  934466 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(934560), // Rule ID 16341 //
     /*  934471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934518 */     // MIs[1] Operand 1
     /*  934518 */     // No operand predicates
     /*  934518 */     // MIs[0] round
     /*  934518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934558 */     GIR_RootConstrainSelectedInstOperands,
     /*  934559 */     // GIR_Coverage, 16341,
     /*  934559 */     GIR_EraseRootFromParent_Done,
     /*  934560 */   // Label 14122: @934560
     /*  934560 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(934654), // Rule ID 16344 //
     /*  934565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934612 */     // MIs[1] Operand 1
     /*  934612 */     // No operand predicates
     /*  934612 */     // MIs[0] round
     /*  934612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934652 */     GIR_RootConstrainSelectedInstOperands,
     /*  934653 */     // GIR_Coverage, 16344,
     /*  934653 */     GIR_EraseRootFromParent_Done,
     /*  934654 */   // Label 14123: @934654
     /*  934654 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(934748), // Rule ID 16345 //
     /*  934659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934706 */     // MIs[1] Operand 1
     /*  934706 */     // No operand predicates
     /*  934706 */     // MIs[0] round
     /*  934706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934746 */     GIR_RootConstrainSelectedInstOperands,
     /*  934747 */     // GIR_Coverage, 16345,
     /*  934747 */     GIR_EraseRootFromParent_Done,
     /*  934748 */   // Label 14124: @934748
     /*  934748 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(934842), // Rule ID 16348 //
     /*  934753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934800 */     // MIs[1] Operand 1
     /*  934800 */     // No operand predicates
     /*  934800 */     // MIs[0] round
     /*  934800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934840 */     GIR_RootConstrainSelectedInstOperands,
     /*  934841 */     // GIR_Coverage, 16348,
     /*  934841 */     GIR_EraseRootFromParent_Done,
     /*  934842 */   // Label 14125: @934842
     /*  934842 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(934936), // Rule ID 16349 //
     /*  934847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934894 */     // MIs[1] Operand 1
     /*  934894 */     // No operand predicates
     /*  934894 */     // MIs[0] round
     /*  934894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934934 */     GIR_RootConstrainSelectedInstOperands,
     /*  934935 */     // GIR_Coverage, 16349,
     /*  934935 */     GIR_EraseRootFromParent_Done,
     /*  934936 */   // Label 14126: @934936
     /*  934936 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(935030), // Rule ID 16352 //
     /*  934941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934988 */     // MIs[1] Operand 1
     /*  934988 */     // No operand predicates
     /*  934988 */     // MIs[0] round
     /*  934988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935028 */     GIR_RootConstrainSelectedInstOperands,
     /*  935029 */     // GIR_Coverage, 16352,
     /*  935029 */     GIR_EraseRootFromParent_Done,
     /*  935030 */   // Label 14127: @935030
     /*  935030 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(935124), // Rule ID 16353 //
     /*  935035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  935052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935082 */     // MIs[1] Operand 1
     /*  935082 */     // No operand predicates
     /*  935082 */     // MIs[0] round
     /*  935082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935122 */     GIR_RootConstrainSelectedInstOperands,
     /*  935123 */     // GIR_Coverage, 16353,
     /*  935123 */     GIR_EraseRootFromParent_Done,
     /*  935124 */   // Label 14128: @935124
     /*  935124 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(935218), // Rule ID 16356 //
     /*  935129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935176 */     // MIs[1] Operand 1
     /*  935176 */     // No operand predicates
     /*  935176 */     // MIs[0] round
     /*  935176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935216 */     GIR_RootConstrainSelectedInstOperands,
     /*  935217 */     // GIR_Coverage, 16356,
     /*  935217 */     GIR_EraseRootFromParent_Done,
     /*  935218 */   // Label 14129: @935218
     /*  935218 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(935312), // Rule ID 16357 //
     /*  935223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935270 */     // MIs[1] Operand 1
     /*  935270 */     // No operand predicates
     /*  935270 */     // MIs[0] round
     /*  935270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935282 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935310 */     GIR_RootConstrainSelectedInstOperands,
     /*  935311 */     // GIR_Coverage, 16357,
     /*  935311 */     GIR_EraseRootFromParent_Done,
     /*  935312 */   // Label 14130: @935312
     /*  935312 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(935406), // Rule ID 16360 //
     /*  935317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  935334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935364 */     // MIs[1] Operand 1
     /*  935364 */     // No operand predicates
     /*  935364 */     // MIs[0] round
     /*  935364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935404 */     GIR_RootConstrainSelectedInstOperands,
     /*  935405 */     // GIR_Coverage, 16360,
     /*  935405 */     GIR_EraseRootFromParent_Done,
     /*  935406 */   // Label 14131: @935406
     /*  935406 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(935500), // Rule ID 16361 //
     /*  935411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  935428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935458 */     // MIs[1] Operand 1
     /*  935458 */     // No operand predicates
     /*  935458 */     // MIs[0] round
     /*  935458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935498 */     GIR_RootConstrainSelectedInstOperands,
     /*  935499 */     // GIR_Coverage, 16361,
     /*  935499 */     GIR_EraseRootFromParent_Done,
     /*  935500 */   // Label 14132: @935500
     /*  935500 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(935594), // Rule ID 16364 //
     /*  935505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935552 */     // MIs[1] Operand 1
     /*  935552 */     // No operand predicates
     /*  935552 */     // MIs[0] round
     /*  935552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935592 */     GIR_RootConstrainSelectedInstOperands,
     /*  935593 */     // GIR_Coverage, 16364,
     /*  935593 */     GIR_EraseRootFromParent_Done,
     /*  935594 */   // Label 14133: @935594
     /*  935594 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(935688), // Rule ID 16365 //
     /*  935599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935646 */     // MIs[1] Operand 1
     /*  935646 */     // No operand predicates
     /*  935646 */     // MIs[0] round
     /*  935646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935686 */     GIR_RootConstrainSelectedInstOperands,
     /*  935687 */     // GIR_Coverage, 16365,
     /*  935687 */     GIR_EraseRootFromParent_Done,
     /*  935688 */   // Label 14134: @935688
     /*  935688 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(935782), // Rule ID 16368 //
     /*  935693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935740 */     // MIs[1] Operand 1
     /*  935740 */     // No operand predicates
     /*  935740 */     // MIs[0] round
     /*  935740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935780 */     GIR_RootConstrainSelectedInstOperands,
     /*  935781 */     // GIR_Coverage, 16368,
     /*  935781 */     GIR_EraseRootFromParent_Done,
     /*  935782 */   // Label 14135: @935782
     /*  935782 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(935876), // Rule ID 16369 //
     /*  935787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935834 */     // MIs[1] Operand 1
     /*  935834 */     // No operand predicates
     /*  935834 */     // MIs[0] round
     /*  935834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935874 */     GIR_RootConstrainSelectedInstOperands,
     /*  935875 */     // GIR_Coverage, 16369,
     /*  935875 */     GIR_EraseRootFromParent_Done,
     /*  935876 */   // Label 14136: @935876
     /*  935876 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(935970), // Rule ID 16372 //
     /*  935881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935928 */     // MIs[1] Operand 1
     /*  935928 */     // No operand predicates
     /*  935928 */     // MIs[0] round
     /*  935928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935968 */     GIR_RootConstrainSelectedInstOperands,
     /*  935969 */     // GIR_Coverage, 16372,
     /*  935969 */     GIR_EraseRootFromParent_Done,
     /*  935970 */   // Label 14137: @935970
     /*  935970 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(936064), // Rule ID 16373 //
     /*  935975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936022 */     // MIs[1] Operand 1
     /*  936022 */     // No operand predicates
     /*  936022 */     // MIs[0] round
     /*  936022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936062 */     GIR_RootConstrainSelectedInstOperands,
     /*  936063 */     // GIR_Coverage, 16373,
     /*  936063 */     GIR_EraseRootFromParent_Done,
     /*  936064 */   // Label 14138: @936064
     /*  936064 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(936158), // Rule ID 16376 //
     /*  936069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936116 */     // MIs[1] Operand 1
     /*  936116 */     // No operand predicates
     /*  936116 */     // MIs[0] round
     /*  936116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936156 */     GIR_RootConstrainSelectedInstOperands,
     /*  936157 */     // GIR_Coverage, 16376,
     /*  936157 */     GIR_EraseRootFromParent_Done,
     /*  936158 */   // Label 14139: @936158
     /*  936158 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(936252), // Rule ID 16377 //
     /*  936163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936210 */     // MIs[1] Operand 1
     /*  936210 */     // No operand predicates
     /*  936210 */     // MIs[0] round
     /*  936210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936250 */     GIR_RootConstrainSelectedInstOperands,
     /*  936251 */     // GIR_Coverage, 16377,
     /*  936251 */     GIR_EraseRootFromParent_Done,
     /*  936252 */   // Label 14140: @936252
     /*  936252 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(936346), // Rule ID 16380 //
     /*  936257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  936274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936304 */     // MIs[1] Operand 1
     /*  936304 */     // No operand predicates
     /*  936304 */     // MIs[0] round
     /*  936304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936344 */     GIR_RootConstrainSelectedInstOperands,
     /*  936345 */     // GIR_Coverage, 16380,
     /*  936345 */     GIR_EraseRootFromParent_Done,
     /*  936346 */   // Label 14141: @936346
     /*  936346 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(936440), // Rule ID 16381 //
     /*  936351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  936368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936398 */     // MIs[1] Operand 1
     /*  936398 */     // No operand predicates
     /*  936398 */     // MIs[0] round
     /*  936398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936438 */     GIR_RootConstrainSelectedInstOperands,
     /*  936439 */     // GIR_Coverage, 16381,
     /*  936439 */     GIR_EraseRootFromParent_Done,
     /*  936440 */   // Label 14142: @936440
     /*  936440 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(936534), // Rule ID 16384 //
     /*  936445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936492 */     // MIs[1] Operand 1
     /*  936492 */     // No operand predicates
     /*  936492 */     // MIs[0] round
     /*  936492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936532 */     GIR_RootConstrainSelectedInstOperands,
     /*  936533 */     // GIR_Coverage, 16384,
     /*  936533 */     GIR_EraseRootFromParent_Done,
     /*  936534 */   // Label 14143: @936534
     /*  936534 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(936628), // Rule ID 16385 //
     /*  936539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936586 */     // MIs[1] Operand 1
     /*  936586 */     // No operand predicates
     /*  936586 */     // MIs[0] round
     /*  936586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936626 */     GIR_RootConstrainSelectedInstOperands,
     /*  936627 */     // GIR_Coverage, 16385,
     /*  936627 */     GIR_EraseRootFromParent_Done,
     /*  936628 */   // Label 14144: @936628
     /*  936628 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(936722), // Rule ID 16388 //
     /*  936633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936680 */     // MIs[1] Operand 1
     /*  936680 */     // No operand predicates
     /*  936680 */     // MIs[0] round
     /*  936680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936720 */     GIR_RootConstrainSelectedInstOperands,
     /*  936721 */     // GIR_Coverage, 16388,
     /*  936721 */     GIR_EraseRootFromParent_Done,
     /*  936722 */   // Label 14145: @936722
     /*  936722 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(936816), // Rule ID 16389 //
     /*  936727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936774 */     // MIs[1] Operand 1
     /*  936774 */     // No operand predicates
     /*  936774 */     // MIs[0] round
     /*  936774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936814 */     GIR_RootConstrainSelectedInstOperands,
     /*  936815 */     // GIR_Coverage, 16389,
     /*  936815 */     GIR_EraseRootFromParent_Done,
     /*  936816 */   // Label 14146: @936816
     /*  936816 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(936910), // Rule ID 16392 //
     /*  936821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936868 */     // MIs[1] Operand 1
     /*  936868 */     // No operand predicates
     /*  936868 */     // MIs[0] round
     /*  936868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936908 */     GIR_RootConstrainSelectedInstOperands,
     /*  936909 */     // GIR_Coverage, 16392,
     /*  936909 */     GIR_EraseRootFromParent_Done,
     /*  936910 */   // Label 14147: @936910
     /*  936910 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(937004), // Rule ID 16393 //
     /*  936915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936962 */     // MIs[1] Operand 1
     /*  936962 */     // No operand predicates
     /*  936962 */     // MIs[0] round
     /*  936962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937002 */     GIR_RootConstrainSelectedInstOperands,
     /*  937003 */     // GIR_Coverage, 16393,
     /*  937003 */     GIR_EraseRootFromParent_Done,
     /*  937004 */   // Label 14148: @937004
     /*  937004 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(937098), // Rule ID 16396 //
     /*  937009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937056 */     // MIs[1] Operand 1
     /*  937056 */     // No operand predicates
     /*  937056 */     // MIs[0] round
     /*  937056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937096 */     GIR_RootConstrainSelectedInstOperands,
     /*  937097 */     // GIR_Coverage, 16396,
     /*  937097 */     GIR_EraseRootFromParent_Done,
     /*  937098 */   // Label 14149: @937098
     /*  937098 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(937192), // Rule ID 16397 //
     /*  937103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937150 */     // MIs[1] Operand 1
     /*  937150 */     // No operand predicates
     /*  937150 */     // MIs[0] round
     /*  937150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937190 */     GIR_RootConstrainSelectedInstOperands,
     /*  937191 */     // GIR_Coverage, 16397,
     /*  937191 */     GIR_EraseRootFromParent_Done,
     /*  937192 */   // Label 14150: @937192
     /*  937192 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(937286), // Rule ID 16520 //
     /*  937197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937244 */     // MIs[1] Operand 1
     /*  937244 */     // No operand predicates
     /*  937244 */     // MIs[0] round
     /*  937244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  937259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937284 */     GIR_RootConstrainSelectedInstOperands,
     /*  937285 */     // GIR_Coverage, 16520,
     /*  937285 */     GIR_EraseRootFromParent_Done,
     /*  937286 */   // Label 14151: @937286
     /*  937286 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(937380), // Rule ID 16521 //
     /*  937291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937338 */     // MIs[1] Operand 1
     /*  937338 */     // No operand predicates
     /*  937338 */     // MIs[0] round
     /*  937338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  937353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937378 */     GIR_RootConstrainSelectedInstOperands,
     /*  937379 */     // GIR_Coverage, 16521,
     /*  937379 */     GIR_EraseRootFromParent_Done,
     /*  937380 */   // Label 14152: @937380
     /*  937380 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(937474), // Rule ID 16524 //
     /*  937385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937432 */     // MIs[1] Operand 1
     /*  937432 */     // No operand predicates
     /*  937432 */     // MIs[0] round
     /*  937432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937472 */     GIR_RootConstrainSelectedInstOperands,
     /*  937473 */     // GIR_Coverage, 16524,
     /*  937473 */     GIR_EraseRootFromParent_Done,
     /*  937474 */   // Label 14153: @937474
     /*  937474 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(937568), // Rule ID 16525 //
     /*  937479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937526 */     // MIs[1] Operand 1
     /*  937526 */     // No operand predicates
     /*  937526 */     // MIs[0] round
     /*  937526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937566 */     GIR_RootConstrainSelectedInstOperands,
     /*  937567 */     // GIR_Coverage, 16525,
     /*  937567 */     GIR_EraseRootFromParent_Done,
     /*  937568 */   // Label 14154: @937568
     /*  937568 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(937662), // Rule ID 16528 //
     /*  937573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937620 */     // MIs[1] Operand 1
     /*  937620 */     // No operand predicates
     /*  937620 */     // MIs[0] round
     /*  937620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937660 */     GIR_RootConstrainSelectedInstOperands,
     /*  937661 */     // GIR_Coverage, 16528,
     /*  937661 */     GIR_EraseRootFromParent_Done,
     /*  937662 */   // Label 14155: @937662
     /*  937662 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(937756), // Rule ID 16529 //
     /*  937667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937714 */     // MIs[1] Operand 1
     /*  937714 */     // No operand predicates
     /*  937714 */     // MIs[0] round
     /*  937714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937754 */     GIR_RootConstrainSelectedInstOperands,
     /*  937755 */     // GIR_Coverage, 16529,
     /*  937755 */     GIR_EraseRootFromParent_Done,
     /*  937756 */   // Label 14156: @937756
     /*  937756 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(937850), // Rule ID 16532 //
     /*  937761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937808 */     // MIs[1] Operand 1
     /*  937808 */     // No operand predicates
     /*  937808 */     // MIs[0] round
     /*  937808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937848 */     GIR_RootConstrainSelectedInstOperands,
     /*  937849 */     // GIR_Coverage, 16532,
     /*  937849 */     GIR_EraseRootFromParent_Done,
     /*  937850 */   // Label 14157: @937850
     /*  937850 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(937944), // Rule ID 16533 //
     /*  937855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937902 */     // MIs[1] Operand 1
     /*  937902 */     // No operand predicates
     /*  937902 */     // MIs[0] round
     /*  937902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937942 */     GIR_RootConstrainSelectedInstOperands,
     /*  937943 */     // GIR_Coverage, 16533,
     /*  937943 */     GIR_EraseRootFromParent_Done,
     /*  937944 */   // Label 14158: @937944
     /*  937944 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(938038), // Rule ID 16536 //
     /*  937949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937996 */     // MIs[1] Operand 1
     /*  937996 */     // No operand predicates
     /*  937996 */     // MIs[0] round
     /*  937996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938036 */     GIR_RootConstrainSelectedInstOperands,
     /*  938037 */     // GIR_Coverage, 16536,
     /*  938037 */     GIR_EraseRootFromParent_Done,
     /*  938038 */   // Label 14159: @938038
     /*  938038 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(938132), // Rule ID 16537 //
     /*  938043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  938054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  938057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938090 */     // MIs[1] Operand 1
     /*  938090 */     // No operand predicates
     /*  938090 */     // MIs[0] round
     /*  938090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938130 */     GIR_RootConstrainSelectedInstOperands,
     /*  938131 */     // GIR_Coverage, 16537,
     /*  938131 */     GIR_EraseRootFromParent_Done,
     /*  938132 */   // Label 14160: @938132
     /*  938132 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(938226), // Rule ID 16540 //
     /*  938137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938184 */     // MIs[1] Operand 1
     /*  938184 */     // No operand predicates
     /*  938184 */     // MIs[0] round
     /*  938184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938224 */     GIR_RootConstrainSelectedInstOperands,
     /*  938225 */     // GIR_Coverage, 16540,
     /*  938225 */     GIR_EraseRootFromParent_Done,
     /*  938226 */   // Label 14161: @938226
     /*  938226 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(938320), // Rule ID 16541 //
     /*  938231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938278 */     // MIs[1] Operand 1
     /*  938278 */     // No operand predicates
     /*  938278 */     // MIs[0] round
     /*  938278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938318 */     GIR_RootConstrainSelectedInstOperands,
     /*  938319 */     // GIR_Coverage, 16541,
     /*  938319 */     GIR_EraseRootFromParent_Done,
     /*  938320 */   // Label 14162: @938320
     /*  938320 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(938414), // Rule ID 16544 //
     /*  938325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938372 */     // MIs[1] Operand 1
     /*  938372 */     // No operand predicates
     /*  938372 */     // MIs[0] round
     /*  938372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938412 */     GIR_RootConstrainSelectedInstOperands,
     /*  938413 */     // GIR_Coverage, 16544,
     /*  938413 */     GIR_EraseRootFromParent_Done,
     /*  938414 */   // Label 14163: @938414
     /*  938414 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(938508), // Rule ID 16545 //
     /*  938419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938466 */     // MIs[1] Operand 1
     /*  938466 */     // No operand predicates
     /*  938466 */     // MIs[0] round
     /*  938466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938506 */     GIR_RootConstrainSelectedInstOperands,
     /*  938507 */     // GIR_Coverage, 16545,
     /*  938507 */     GIR_EraseRootFromParent_Done,
     /*  938508 */   // Label 14164: @938508
     /*  938508 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(938602), // Rule ID 16548 //
     /*  938513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938560 */     // MIs[1] Operand 1
     /*  938560 */     // No operand predicates
     /*  938560 */     // MIs[0] round
     /*  938560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938600 */     GIR_RootConstrainSelectedInstOperands,
     /*  938601 */     // GIR_Coverage, 16548,
     /*  938601 */     GIR_EraseRootFromParent_Done,
     /*  938602 */   // Label 14165: @938602
     /*  938602 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(938696), // Rule ID 16549 //
     /*  938607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938654 */     // MIs[1] Operand 1
     /*  938654 */     // No operand predicates
     /*  938654 */     // MIs[0] round
     /*  938654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938694 */     GIR_RootConstrainSelectedInstOperands,
     /*  938695 */     // GIR_Coverage, 16549,
     /*  938695 */     GIR_EraseRootFromParent_Done,
     /*  938696 */   // Label 14166: @938696
     /*  938696 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(938790), // Rule ID 16552 //
     /*  938701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938748 */     // MIs[1] Operand 1
     /*  938748 */     // No operand predicates
     /*  938748 */     // MIs[0] round
     /*  938748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938788 */     GIR_RootConstrainSelectedInstOperands,
     /*  938789 */     // GIR_Coverage, 16552,
     /*  938789 */     GIR_EraseRootFromParent_Done,
     /*  938790 */   // Label 14167: @938790
     /*  938790 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(938884), // Rule ID 16553 //
     /*  938795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938842 */     // MIs[1] Operand 1
     /*  938842 */     // No operand predicates
     /*  938842 */     // MIs[0] round
     /*  938842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938882 */     GIR_RootConstrainSelectedInstOperands,
     /*  938883 */     // GIR_Coverage, 16553,
     /*  938883 */     GIR_EraseRootFromParent_Done,
     /*  938884 */   // Label 14168: @938884
     /*  938884 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(938978), // Rule ID 16556 //
     /*  938889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938936 */     // MIs[1] Operand 1
     /*  938936 */     // No operand predicates
     /*  938936 */     // MIs[0] round
     /*  938936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938976 */     GIR_RootConstrainSelectedInstOperands,
     /*  938977 */     // GIR_Coverage, 16556,
     /*  938977 */     GIR_EraseRootFromParent_Done,
     /*  938978 */   // Label 14169: @938978
     /*  938978 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939072), // Rule ID 16557 //
     /*  938983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  939000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939030 */     // MIs[1] Operand 1
     /*  939030 */     // No operand predicates
     /*  939030 */     // MIs[0] round
     /*  939030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939070 */     GIR_RootConstrainSelectedInstOperands,
     /*  939071 */     // GIR_Coverage, 16557,
     /*  939071 */     GIR_EraseRootFromParent_Done,
     /*  939072 */   // Label 14170: @939072
     /*  939072 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939166), // Rule ID 16560 //
     /*  939077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939124 */     // MIs[1] Operand 1
     /*  939124 */     // No operand predicates
     /*  939124 */     // MIs[0] round
     /*  939124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939164 */     GIR_RootConstrainSelectedInstOperands,
     /*  939165 */     // GIR_Coverage, 16560,
     /*  939165 */     GIR_EraseRootFromParent_Done,
     /*  939166 */   // Label 14171: @939166
     /*  939166 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(939260), // Rule ID 16561 //
     /*  939171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939218 */     // MIs[1] Operand 1
     /*  939218 */     // No operand predicates
     /*  939218 */     // MIs[0] round
     /*  939218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939258 */     GIR_RootConstrainSelectedInstOperands,
     /*  939259 */     // GIR_Coverage, 16561,
     /*  939259 */     GIR_EraseRootFromParent_Done,
     /*  939260 */   // Label 14172: @939260
     /*  939260 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(939354), // Rule ID 16564 //
     /*  939265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939312 */     // MIs[1] Operand 1
     /*  939312 */     // No operand predicates
     /*  939312 */     // MIs[0] round
     /*  939312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939352 */     GIR_RootConstrainSelectedInstOperands,
     /*  939353 */     // GIR_Coverage, 16564,
     /*  939353 */     GIR_EraseRootFromParent_Done,
     /*  939354 */   // Label 14173: @939354
     /*  939354 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(939448), // Rule ID 16565 //
     /*  939359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939406 */     // MIs[1] Operand 1
     /*  939406 */     // No operand predicates
     /*  939406 */     // MIs[0] round
     /*  939406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939446 */     GIR_RootConstrainSelectedInstOperands,
     /*  939447 */     // GIR_Coverage, 16565,
     /*  939447 */     GIR_EraseRootFromParent_Done,
     /*  939448 */   // Label 14174: @939448
     /*  939448 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(939542), // Rule ID 16568 //
     /*  939453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939500 */     // MIs[1] Operand 1
     /*  939500 */     // No operand predicates
     /*  939500 */     // MIs[0] round
     /*  939500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939540 */     GIR_RootConstrainSelectedInstOperands,
     /*  939541 */     // GIR_Coverage, 16568,
     /*  939541 */     GIR_EraseRootFromParent_Done,
     /*  939542 */   // Label 14175: @939542
     /*  939542 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(939636), // Rule ID 16569 //
     /*  939547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939594 */     // MIs[1] Operand 1
     /*  939594 */     // No operand predicates
     /*  939594 */     // MIs[0] round
     /*  939594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939634 */     GIR_RootConstrainSelectedInstOperands,
     /*  939635 */     // GIR_Coverage, 16569,
     /*  939635 */     GIR_EraseRootFromParent_Done,
     /*  939636 */   // Label 14176: @939636
     /*  939636 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(939730), // Rule ID 16572 //
     /*  939641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939688 */     // MIs[1] Operand 1
     /*  939688 */     // No operand predicates
     /*  939688 */     // MIs[0] round
     /*  939688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939728 */     GIR_RootConstrainSelectedInstOperands,
     /*  939729 */     // GIR_Coverage, 16572,
     /*  939729 */     GIR_EraseRootFromParent_Done,
     /*  939730 */   // Label 14177: @939730
     /*  939730 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(939824), // Rule ID 16573 //
     /*  939735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939782 */     // MIs[1] Operand 1
     /*  939782 */     // No operand predicates
     /*  939782 */     // MIs[0] round
     /*  939782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939822 */     GIR_RootConstrainSelectedInstOperands,
     /*  939823 */     // GIR_Coverage, 16573,
     /*  939823 */     GIR_EraseRootFromParent_Done,
     /*  939824 */   // Label 14178: @939824
     /*  939824 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(939918), // Rule ID 16576 //
     /*  939829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939876 */     // MIs[1] Operand 1
     /*  939876 */     // No operand predicates
     /*  939876 */     // MIs[0] round
     /*  939876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939916 */     GIR_RootConstrainSelectedInstOperands,
     /*  939917 */     // GIR_Coverage, 16576,
     /*  939917 */     GIR_EraseRootFromParent_Done,
     /*  939918 */   // Label 14179: @939918
     /*  939918 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(940012), // Rule ID 16577 //
     /*  939923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939970 */     // MIs[1] Operand 1
     /*  939970 */     // No operand predicates
     /*  939970 */     // MIs[0] round
     /*  939970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940010 */     GIR_RootConstrainSelectedInstOperands,
     /*  940011 */     // GIR_Coverage, 16577,
     /*  940011 */     GIR_EraseRootFromParent_Done,
     /*  940012 */   // Label 14180: @940012
     /*  940012 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940096), // Rule ID 2652 //
     /*  940017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940060 */     // MIs[0] round
     /*  940060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940072 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940094 */     GIR_RootConstrainSelectedInstOperands,
     /*  940095 */     // GIR_Coverage, 2652,
     /*  940095 */     GIR_EraseRootFromParent_Done,
     /*  940096 */   // Label 14181: @940096
     /*  940096 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940180), // Rule ID 2653 //
     /*  940101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940144 */     // MIs[0] round
     /*  940144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940178 */     GIR_RootConstrainSelectedInstOperands,
     /*  940179 */     // GIR_Coverage, 2653,
     /*  940179 */     GIR_EraseRootFromParent_Done,
     /*  940180 */   // Label 14182: @940180
     /*  940180 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940264), // Rule ID 17024 //
     /*  940185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940228 */     // MIs[0] round
     /*  940228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  940243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940262 */     GIR_RootConstrainSelectedInstOperands,
     /*  940263 */     // GIR_Coverage, 17024,
     /*  940263 */     GIR_EraseRootFromParent_Done,
     /*  940264 */   // Label 14183: @940264
     /*  940264 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(940348), // Rule ID 17025 //
     /*  940269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940312 */     // MIs[0] round
     /*  940312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  940327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940346 */     GIR_RootConstrainSelectedInstOperands,
     /*  940347 */     // GIR_Coverage, 17025,
     /*  940347 */     GIR_EraseRootFromParent_Done,
     /*  940348 */   // Label 14184: @940348
     /*  940348 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(940432), // Rule ID 17034 //
     /*  940353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940396 */     // MIs[0] round
     /*  940396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940408 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940430 */     GIR_RootConstrainSelectedInstOperands,
     /*  940431 */     // GIR_Coverage, 17034,
     /*  940431 */     GIR_EraseRootFromParent_Done,
     /*  940432 */   // Label 14185: @940432
     /*  940432 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(940516), // Rule ID 17035 //
     /*  940437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940480 */     // MIs[0] round
     /*  940480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940492 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940514 */     GIR_RootConstrainSelectedInstOperands,
     /*  940515 */     // GIR_Coverage, 17035,
     /*  940515 */     GIR_EraseRootFromParent_Done,
     /*  940516 */   // Label 14186: @940516
     /*  940516 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(940600), // Rule ID 17044 //
     /*  940521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940564 */     // MIs[0] round
     /*  940564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940598 */     GIR_RootConstrainSelectedInstOperands,
     /*  940599 */     // GIR_Coverage, 17044,
     /*  940599 */     GIR_EraseRootFromParent_Done,
     /*  940600 */   // Label 14187: @940600
     /*  940600 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(940684), // Rule ID 17045 //
     /*  940605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940648 */     // MIs[0] round
     /*  940648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940660 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940682 */     GIR_RootConstrainSelectedInstOperands,
     /*  940683 */     // GIR_Coverage, 17045,
     /*  940683 */     GIR_EraseRootFromParent_Done,
     /*  940684 */   // Label 14188: @940684
     /*  940684 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(940768), // Rule ID 17054 //
     /*  940689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940732 */     // MIs[0] round
     /*  940732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940744 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940766 */     GIR_RootConstrainSelectedInstOperands,
     /*  940767 */     // GIR_Coverage, 17054,
     /*  940767 */     GIR_EraseRootFromParent_Done,
     /*  940768 */   // Label 14189: @940768
     /*  940768 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(940852), // Rule ID 17055 //
     /*  940773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940816 */     // MIs[0] round
     /*  940816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940850 */     GIR_RootConstrainSelectedInstOperands,
     /*  940851 */     // GIR_Coverage, 17055,
     /*  940851 */     GIR_EraseRootFromParent_Done,
     /*  940852 */   // Label 14190: @940852
     /*  940852 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(940936), // Rule ID 17064 //
     /*  940857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940900 */     // MIs[0] round
     /*  940900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940912 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940934 */     GIR_RootConstrainSelectedInstOperands,
     /*  940935 */     // GIR_Coverage, 17064,
     /*  940935 */     GIR_EraseRootFromParent_Done,
     /*  940936 */   // Label 14191: @940936
     /*  940936 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(941020), // Rule ID 17065 //
     /*  940941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940984 */     // MIs[0] round
     /*  940984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941018 */     GIR_RootConstrainSelectedInstOperands,
     /*  941019 */     // GIR_Coverage, 17065,
     /*  941019 */     GIR_EraseRootFromParent_Done,
     /*  941020 */   // Label 14192: @941020
     /*  941020 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941104), // Rule ID 17074 //
     /*  941025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941068 */     // MIs[0] round
     /*  941068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941102 */     GIR_RootConstrainSelectedInstOperands,
     /*  941103 */     // GIR_Coverage, 17074,
     /*  941103 */     GIR_EraseRootFromParent_Done,
     /*  941104 */   // Label 14193: @941104
     /*  941104 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941188), // Rule ID 17075 //
     /*  941109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941152 */     // MIs[0] round
     /*  941152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941164 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941186 */     GIR_RootConstrainSelectedInstOperands,
     /*  941187 */     // GIR_Coverage, 17075,
     /*  941187 */     GIR_EraseRootFromParent_Done,
     /*  941188 */   // Label 14194: @941188
     /*  941188 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941272), // Rule ID 17084 //
     /*  941193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941236 */     // MIs[0] round
     /*  941236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941248 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  941251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941270 */     GIR_RootConstrainSelectedInstOperands,
     /*  941271 */     // GIR_Coverage, 17084,
     /*  941271 */     GIR_EraseRootFromParent_Done,
     /*  941272 */   // Label 14195: @941272
     /*  941272 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(941356), // Rule ID 17085 //
     /*  941277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941320 */     // MIs[0] round
     /*  941320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941332 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  941335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941354 */     GIR_RootConstrainSelectedInstOperands,
     /*  941355 */     // GIR_Coverage, 17085,
     /*  941355 */     GIR_EraseRootFromParent_Done,
     /*  941356 */   // Label 14196: @941356
     /*  941356 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(941440), // Rule ID 17094 //
     /*  941361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941404 */     // MIs[0] round
     /*  941404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941438 */     GIR_RootConstrainSelectedInstOperands,
     /*  941439 */     // GIR_Coverage, 17094,
     /*  941439 */     GIR_EraseRootFromParent_Done,
     /*  941440 */   // Label 14197: @941440
     /*  941440 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(941524), // Rule ID 17095 //
     /*  941445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941488 */     // MIs[0] round
     /*  941488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941500 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941522 */     GIR_RootConstrainSelectedInstOperands,
     /*  941523 */     // GIR_Coverage, 17095,
     /*  941523 */     GIR_EraseRootFromParent_Done,
     /*  941524 */   // Label 14198: @941524
     /*  941524 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(941608), // Rule ID 17140 //
     /*  941529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941572 */     // MIs[0] round
     /*  941572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941606 */     GIR_RootConstrainSelectedInstOperands,
     /*  941607 */     // GIR_Coverage, 17140,
     /*  941607 */     GIR_EraseRootFromParent_Done,
     /*  941608 */   // Label 14199: @941608
     /*  941608 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(941692), // Rule ID 17141 //
     /*  941613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941656 */     // MIs[0] round
     /*  941656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941668 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941690 */     GIR_RootConstrainSelectedInstOperands,
     /*  941691 */     // GIR_Coverage, 17141,
     /*  941691 */     GIR_EraseRootFromParent_Done,
     /*  941692 */   // Label 14200: @941692
     /*  941692 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(941776), // Rule ID 17150 //
     /*  941697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941740 */     // MIs[0] round
     /*  941740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941774 */     GIR_RootConstrainSelectedInstOperands,
     /*  941775 */     // GIR_Coverage, 17150,
     /*  941775 */     GIR_EraseRootFromParent_Done,
     /*  941776 */   // Label 14201: @941776
     /*  941776 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(941860), // Rule ID 17151 //
     /*  941781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941824 */     // MIs[0] round
     /*  941824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941858 */     GIR_RootConstrainSelectedInstOperands,
     /*  941859 */     // GIR_Coverage, 17151,
     /*  941859 */     GIR_EraseRootFromParent_Done,
     /*  941860 */   // Label 14202: @941860
     /*  941860 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(941944), // Rule ID 17160 //
     /*  941865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941908 */     // MIs[0] round
     /*  941908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941942 */     GIR_RootConstrainSelectedInstOperands,
     /*  941943 */     // GIR_Coverage, 17160,
     /*  941943 */     GIR_EraseRootFromParent_Done,
     /*  941944 */   // Label 14203: @941944
     /*  941944 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(942028), // Rule ID 17161 //
     /*  941949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941992 */     // MIs[0] round
     /*  941992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942004 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  942007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942026 */     GIR_RootConstrainSelectedInstOperands,
     /*  942027 */     // GIR_Coverage, 17161,
     /*  942027 */     GIR_EraseRootFromParent_Done,
     /*  942028 */   // Label 14204: @942028
     /*  942028 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942112), // Rule ID 17170 //
     /*  942033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942076 */     // MIs[0] round
     /*  942076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942110 */     GIR_RootConstrainSelectedInstOperands,
     /*  942111 */     // GIR_Coverage, 17170,
     /*  942111 */     GIR_EraseRootFromParent_Done,
     /*  942112 */   // Label 14205: @942112
     /*  942112 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942196), // Rule ID 17171 //
     /*  942117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942160 */     // MIs[0] round
     /*  942160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942172 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942194 */     GIR_RootConstrainSelectedInstOperands,
     /*  942195 */     // GIR_Coverage, 17171,
     /*  942195 */     GIR_EraseRootFromParent_Done,
     /*  942196 */   // Label 14206: @942196
     /*  942196 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942280), // Rule ID 17180 //
     /*  942201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942244 */     // MIs[0] round
     /*  942244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942256 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  942259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942278 */     GIR_RootConstrainSelectedInstOperands,
     /*  942279 */     // GIR_Coverage, 17180,
     /*  942279 */     GIR_EraseRootFromParent_Done,
     /*  942280 */   // Label 14207: @942280
     /*  942280 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(942364), // Rule ID 17181 //
     /*  942285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942328 */     // MIs[0] round
     /*  942328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  942343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942362 */     GIR_RootConstrainSelectedInstOperands,
     /*  942363 */     // GIR_Coverage, 17181,
     /*  942363 */     GIR_EraseRootFromParent_Done,
     /*  942364 */   // Label 14208: @942364
     /*  942364 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(942448), // Rule ID 17190 //
     /*  942369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942412 */     // MIs[0] round
     /*  942412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942446 */     GIR_RootConstrainSelectedInstOperands,
     /*  942447 */     // GIR_Coverage, 17190,
     /*  942447 */     GIR_EraseRootFromParent_Done,
     /*  942448 */   // Label 14209: @942448
     /*  942448 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(942532), // Rule ID 17191 //
     /*  942453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942496 */     // MIs[0] round
     /*  942496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942530 */     GIR_RootConstrainSelectedInstOperands,
     /*  942531 */     // GIR_Coverage, 17191,
     /*  942531 */     GIR_EraseRootFromParent_Done,
     /*  942532 */   // Label 14210: @942532
     /*  942532 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(942616), // Rule ID 17200 //
     /*  942537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942580 */     // MIs[0] round
     /*  942580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942614 */     GIR_RootConstrainSelectedInstOperands,
     /*  942615 */     // GIR_Coverage, 17200,
     /*  942615 */     GIR_EraseRootFromParent_Done,
     /*  942616 */   // Label 14211: @942616
     /*  942616 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(942700), // Rule ID 17201 //
     /*  942621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942664 */     // MIs[0] round
     /*  942664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942698 */     GIR_RootConstrainSelectedInstOperands,
     /*  942699 */     // GIR_Coverage, 17201,
     /*  942699 */     GIR_EraseRootFromParent_Done,
     /*  942700 */   // Label 14212: @942700
     /*  942700 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(942784), // Rule ID 17210 //
     /*  942705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942748 */     // MIs[0] round
     /*  942748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942760 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942782 */     GIR_RootConstrainSelectedInstOperands,
     /*  942783 */     // GIR_Coverage, 17210,
     /*  942783 */     GIR_EraseRootFromParent_Done,
     /*  942784 */   // Label 14213: @942784
     /*  942784 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(942868), // Rule ID 17211 //
     /*  942789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942832 */     // MIs[0] round
     /*  942832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942844 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942866 */     GIR_RootConstrainSelectedInstOperands,
     /*  942867 */     // GIR_Coverage, 17211,
     /*  942867 */     GIR_EraseRootFromParent_Done,
     /*  942868 */   // Label 14214: @942868
     /*  942868 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(942952), // Rule ID 17220 //
     /*  942873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942916 */     // MIs[0] round
     /*  942916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942928 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942950 */     GIR_RootConstrainSelectedInstOperands,
     /*  942951 */     // GIR_Coverage, 17220,
     /*  942951 */     GIR_EraseRootFromParent_Done,
     /*  942952 */   // Label 14215: @942952
     /*  942952 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(943036), // Rule ID 17221 //
     /*  942957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943000 */     // MIs[0] round
     /*  943000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943012 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  943015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943034 */     GIR_RootConstrainSelectedInstOperands,
     /*  943035 */     // GIR_Coverage, 17221,
     /*  943035 */     GIR_EraseRootFromParent_Done,
     /*  943036 */   // Label 14216: @943036
     /*  943036 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943118), // Rule ID 62746 //
     /*  943041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943068 */     // MIs[0] op1
     /*  943068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943095 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  943098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943100 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943102 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943104 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943106 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943116 */     GIR_RootConstrainSelectedInstOperands,
     /*  943117 */     // GIR_Coverage, 62746,
     /*  943117 */     GIR_EraseRootFromParent_Done,
     /*  943118 */   // Label 14217: @943118
     /*  943118 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943200), // Rule ID 62747 //
     /*  943123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943150 */     // MIs[0] op1
     /*  943150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  943180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943182 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943184 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943186 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943188 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943198 */     GIR_RootConstrainSelectedInstOperands,
     /*  943199 */     // GIR_Coverage, 62747,
     /*  943199 */     GIR_EraseRootFromParent_Done,
     /*  943200 */   // Label 14218: @943200
     /*  943200 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943282), // Rule ID 62776 //
     /*  943205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943232 */     // MIs[0] op1
     /*  943232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  943262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943280 */     GIR_RootConstrainSelectedInstOperands,
     /*  943281 */     // GIR_Coverage, 62776,
     /*  943281 */     GIR_EraseRootFromParent_Done,
     /*  943282 */   // Label 14219: @943282
     /*  943282 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(943364), // Rule ID 62777 //
     /*  943287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943314 */     // MIs[0] op1
     /*  943314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  943344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943346 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943348 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943350 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943352 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943362 */     GIR_RootConstrainSelectedInstOperands,
     /*  943363 */     // GIR_Coverage, 62777,
     /*  943363 */     GIR_EraseRootFromParent_Done,
     /*  943364 */   // Label 14220: @943364
     /*  943364 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(943446), // Rule ID 62808 //
     /*  943369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943396 */     // MIs[0] op1
     /*  943396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943423 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943434 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943444 */     GIR_RootConstrainSelectedInstOperands,
     /*  943445 */     // GIR_Coverage, 62808,
     /*  943445 */     GIR_EraseRootFromParent_Done,
     /*  943446 */   // Label 14221: @943446
     /*  943446 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(943528), // Rule ID 62809 //
     /*  943451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943478 */     // MIs[0] op1
     /*  943478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943516 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943526 */     GIR_RootConstrainSelectedInstOperands,
     /*  943527 */     // GIR_Coverage, 62809,
     /*  943527 */     GIR_EraseRootFromParent_Done,
     /*  943528 */   // Label 14222: @943528
     /*  943528 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(943610), // Rule ID 62820 //
     /*  943533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943560 */     // MIs[0] op1
     /*  943560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943598 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943608 */     GIR_RootConstrainSelectedInstOperands,
     /*  943609 */     // GIR_Coverage, 62820,
     /*  943609 */     GIR_EraseRootFromParent_Done,
     /*  943610 */   // Label 14223: @943610
     /*  943610 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(943692), // Rule ID 62821 //
     /*  943615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943642 */     // MIs[0] op1
     /*  943642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943680 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943690 */     GIR_RootConstrainSelectedInstOperands,
     /*  943691 */     // GIR_Coverage, 62821,
     /*  943691 */     GIR_EraseRootFromParent_Done,
     /*  943692 */   // Label 14224: @943692
     /*  943692 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(943774), // Rule ID 62852 //
     /*  943697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943724 */     // MIs[0] op1
     /*  943724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943756 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943758 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943760 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943762 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943772 */     GIR_RootConstrainSelectedInstOperands,
     /*  943773 */     // GIR_Coverage, 62852,
     /*  943773 */     GIR_EraseRootFromParent_Done,
     /*  943774 */   // Label 14225: @943774
     /*  943774 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(943856), // Rule ID 62853 //
     /*  943779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943806 */     // MIs[0] op1
     /*  943806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943833 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943844 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943854 */     GIR_RootConstrainSelectedInstOperands,
     /*  943855 */     // GIR_Coverage, 62853,
     /*  943855 */     GIR_EraseRootFromParent_Done,
     /*  943856 */   // Label 14226: @943856
     /*  943856 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943938), // Rule ID 62864 //
     /*  943861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943888 */     // MIs[0] op1
     /*  943888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943926 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943936 */     GIR_RootConstrainSelectedInstOperands,
     /*  943937 */     // GIR_Coverage, 62864,
     /*  943937 */     GIR_EraseRootFromParent_Done,
     /*  943938 */   // Label 14227: @943938
     /*  943938 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(944020), // Rule ID 62865 //
     /*  943943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943970 */     // MIs[0] op1
     /*  943970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944008 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944018 */     GIR_RootConstrainSelectedInstOperands,
     /*  944019 */     // GIR_Coverage, 62865,
     /*  944019 */     GIR_EraseRootFromParent_Done,
     /*  944020 */   // Label 14228: @944020
     /*  944020 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(944102), // Rule ID 62896 //
     /*  944025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944052 */     // MIs[0] op1
     /*  944052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  944082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944090 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944100 */     GIR_RootConstrainSelectedInstOperands,
     /*  944101 */     // GIR_Coverage, 62896,
     /*  944101 */     GIR_EraseRootFromParent_Done,
     /*  944102 */   // Label 14229: @944102
     /*  944102 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944184), // Rule ID 62897 //
     /*  944107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944134 */     // MIs[0] op1
     /*  944134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  944164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944182 */     GIR_RootConstrainSelectedInstOperands,
     /*  944183 */     // GIR_Coverage, 62897,
     /*  944183 */     GIR_EraseRootFromParent_Done,
     /*  944184 */   // Label 14230: @944184
     /*  944184 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944266), // Rule ID 62908 //
     /*  944189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944216 */     // MIs[0] op1
     /*  944216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  944246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944248 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944250 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944252 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944254 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944264 */     GIR_RootConstrainSelectedInstOperands,
     /*  944265 */     // GIR_Coverage, 62908,
     /*  944265 */     GIR_EraseRootFromParent_Done,
     /*  944266 */   // Label 14231: @944266
     /*  944266 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(944348), // Rule ID 62909 //
     /*  944271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944298 */     // MIs[0] op1
     /*  944298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  944328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944336 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944346 */     GIR_RootConstrainSelectedInstOperands,
     /*  944347 */     // GIR_Coverage, 62909,
     /*  944347 */     GIR_EraseRootFromParent_Done,
     /*  944348 */   // Label 14232: @944348
     /*  944348 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(944430), // Rule ID 62920 //
     /*  944353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944380 */     // MIs[0] op1
     /*  944380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944412 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944414 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944416 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944418 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944428 */     GIR_RootConstrainSelectedInstOperands,
     /*  944429 */     // GIR_Coverage, 62920,
     /*  944429 */     GIR_EraseRootFromParent_Done,
     /*  944430 */   // Label 14233: @944430
     /*  944430 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(944512), // Rule ID 62921 //
     /*  944435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944462 */     // MIs[0] op1
     /*  944462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944510 */     GIR_RootConstrainSelectedInstOperands,
     /*  944511 */     // GIR_Coverage, 62921,
     /*  944511 */     GIR_EraseRootFromParent_Done,
     /*  944512 */   // Label 14234: @944512
     /*  944512 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(944594), // Rule ID 62952 //
     /*  944517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944544 */     // MIs[0] op1
     /*  944544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944582 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944592 */     GIR_RootConstrainSelectedInstOperands,
     /*  944593 */     // GIR_Coverage, 62952,
     /*  944593 */     GIR_EraseRootFromParent_Done,
     /*  944594 */   // Label 14235: @944594
     /*  944594 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(944676), // Rule ID 62953 //
     /*  944599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944626 */     // MIs[0] op1
     /*  944626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944653 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944658 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944660 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944662 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944664 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944674 */     GIR_RootConstrainSelectedInstOperands,
     /*  944675 */     // GIR_Coverage, 62953,
     /*  944675 */     GIR_EraseRootFromParent_Done,
     /*  944676 */   // Label 14236: @944676
     /*  944676 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(944758), // Rule ID 62964 //
     /*  944681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944708 */     // MIs[0] op1
     /*  944708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944740 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944742 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944744 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944746 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944756 */     GIR_RootConstrainSelectedInstOperands,
     /*  944757 */     // GIR_Coverage, 62964,
     /*  944757 */     GIR_EraseRootFromParent_Done,
     /*  944758 */   // Label 14237: @944758
     /*  944758 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944840), // Rule ID 62965 //
     /*  944763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944790 */     // MIs[0] op1
     /*  944790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944838 */     GIR_RootConstrainSelectedInstOperands,
     /*  944839 */     // GIR_Coverage, 62965,
     /*  944839 */     GIR_EraseRootFromParent_Done,
     /*  944840 */   // Label 14238: @944840
     /*  944840 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944922), // Rule ID 62976 //
     /*  944845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944872 */     // MIs[0] op1
     /*  944872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944910 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944920 */     GIR_RootConstrainSelectedInstOperands,
     /*  944921 */     // GIR_Coverage, 62976,
     /*  944921 */     GIR_EraseRootFromParent_Done,
     /*  944922 */   // Label 14239: @944922
     /*  944922 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(945004), // Rule ID 62977 //
     /*  944927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944954 */     // MIs[0] op1
     /*  944954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944981 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944986 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944988 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944990 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944992 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945002 */     GIR_RootConstrainSelectedInstOperands,
     /*  945003 */     // GIR_Coverage, 62977,
     /*  945003 */     GIR_EraseRootFromParent_Done,
     /*  945004 */   // Label 14240: @945004
     /*  945004 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(945086), // Rule ID 63008 //
     /*  945009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945036 */     // MIs[0] op1
     /*  945036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  945066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945068 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945070 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945072 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945074 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945084 */     GIR_RootConstrainSelectedInstOperands,
     /*  945085 */     // GIR_Coverage, 63008,
     /*  945085 */     GIR_EraseRootFromParent_Done,
     /*  945086 */   // Label 14241: @945086
     /*  945086 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945168), // Rule ID 63009 //
     /*  945091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945118 */     // MIs[0] op1
     /*  945118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945145 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  945148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945166 */     GIR_RootConstrainSelectedInstOperands,
     /*  945167 */     // GIR_Coverage, 63009,
     /*  945167 */     GIR_EraseRootFromParent_Done,
     /*  945168 */   // Label 14242: @945168
     /*  945168 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945250), // Rule ID 63020 //
     /*  945173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945200 */     // MIs[0] op1
     /*  945200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  945230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945238 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945248 */     GIR_RootConstrainSelectedInstOperands,
     /*  945249 */     // GIR_Coverage, 63020,
     /*  945249 */     GIR_EraseRootFromParent_Done,
     /*  945250 */   // Label 14243: @945250
     /*  945250 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(945332), // Rule ID 63021 //
     /*  945255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945282 */     // MIs[0] op1
     /*  945282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  945312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945314 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945316 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945318 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945320 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945330 */     GIR_RootConstrainSelectedInstOperands,
     /*  945331 */     // GIR_Coverage, 63021,
     /*  945331 */     GIR_EraseRootFromParent_Done,
     /*  945332 */   // Label 14244: @945332
     /*  945332 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(945414), // Rule ID 63032 //
     /*  945337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945364 */     // MIs[0] op1
     /*  945364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945396 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945398 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945400 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945402 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945412 */     GIR_RootConstrainSelectedInstOperands,
     /*  945413 */     // GIR_Coverage, 63032,
     /*  945413 */     GIR_EraseRootFromParent_Done,
     /*  945414 */   // Label 14245: @945414
     /*  945414 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(945496), // Rule ID 63033 //
     /*  945419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945446 */     // MIs[0] op1
     /*  945446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945494 */     GIR_RootConstrainSelectedInstOperands,
     /*  945495 */     // GIR_Coverage, 63033,
     /*  945495 */     GIR_EraseRootFromParent_Done,
     /*  945496 */   // Label 14246: @945496
     /*  945496 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(945578), // Rule ID 63064 //
     /*  945501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945528 */     // MIs[0] op1
     /*  945528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945566 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945576 */     GIR_RootConstrainSelectedInstOperands,
     /*  945577 */     // GIR_Coverage, 63064,
     /*  945577 */     GIR_EraseRootFromParent_Done,
     /*  945578 */   // Label 14247: @945578
     /*  945578 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(945660), // Rule ID 63065 //
     /*  945583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945610 */     // MIs[0] op1
     /*  945610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945637 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945642 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945644 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945646 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945648 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945658 */     GIR_RootConstrainSelectedInstOperands,
     /*  945659 */     // GIR_Coverage, 63065,
     /*  945659 */     GIR_EraseRootFromParent_Done,
     /*  945660 */   // Label 14248: @945660
     /*  945660 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945742), // Rule ID 63076 //
     /*  945665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945692 */     // MIs[0] op1
     /*  945692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945730 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945740 */     GIR_RootConstrainSelectedInstOperands,
     /*  945741 */     // GIR_Coverage, 63076,
     /*  945741 */     GIR_EraseRootFromParent_Done,
     /*  945742 */   // Label 14249: @945742
     /*  945742 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945824), // Rule ID 63077 //
     /*  945747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945774 */     // MIs[0] op1
     /*  945774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945812 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945822 */     GIR_RootConstrainSelectedInstOperands,
     /*  945823 */     // GIR_Coverage, 63077,
     /*  945823 */     GIR_EraseRootFromParent_Done,
     /*  945824 */   // Label 14250: @945824
     /*  945824 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945906), // Rule ID 63108 //
     /*  945829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945856 */     // MIs[0] op1
     /*  945856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945894 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945904 */     GIR_RootConstrainSelectedInstOperands,
     /*  945905 */     // GIR_Coverage, 63108,
     /*  945905 */     GIR_EraseRootFromParent_Done,
     /*  945906 */   // Label 14251: @945906
     /*  945906 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945988), // Rule ID 63109 //
     /*  945911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945938 */     // MIs[0] op1
     /*  945938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945976 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945986 */     GIR_RootConstrainSelectedInstOperands,
     /*  945987 */     // GIR_Coverage, 63109,
     /*  945987 */     GIR_EraseRootFromParent_Done,
     /*  945988 */   // Label 14252: @945988
     /*  945988 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(946070), // Rule ID 63120 //
     /*  945993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946020 */     // MIs[0] op1
     /*  946020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946052 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946054 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946056 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946058 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946068 */     GIR_RootConstrainSelectedInstOperands,
     /*  946069 */     // GIR_Coverage, 63120,
     /*  946069 */     GIR_EraseRootFromParent_Done,
     /*  946070 */   // Label 14253: @946070
     /*  946070 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946152), // Rule ID 63121 //
     /*  946075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946102 */     // MIs[0] op1
     /*  946102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946140 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946150 */     GIR_RootConstrainSelectedInstOperands,
     /*  946151 */     // GIR_Coverage, 63121,
     /*  946151 */     GIR_EraseRootFromParent_Done,
     /*  946152 */   // Label 14254: @946152
     /*  946152 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946234), // Rule ID 63132 //
     /*  946157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946184 */     // MIs[0] op1
     /*  946184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  946214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946216 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946218 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946220 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946222 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946232 */     GIR_RootConstrainSelectedInstOperands,
     /*  946233 */     // GIR_Coverage, 63132,
     /*  946233 */     GIR_EraseRootFromParent_Done,
     /*  946234 */   // Label 14255: @946234
     /*  946234 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946316), // Rule ID 63133 //
     /*  946239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946266 */     // MIs[0] op1
     /*  946266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  946296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946304 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946314 */     GIR_RootConstrainSelectedInstOperands,
     /*  946315 */     // GIR_Coverage, 63133,
     /*  946315 */     GIR_EraseRootFromParent_Done,
     /*  946316 */   // Label 14256: @946316
     /*  946316 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(946398), // Rule ID 63164 //
     /*  946321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946348 */     // MIs[0] op1
     /*  946348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946380 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946382 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946384 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946386 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946396 */     GIR_RootConstrainSelectedInstOperands,
     /*  946397 */     // GIR_Coverage, 63164,
     /*  946397 */     GIR_EraseRootFromParent_Done,
     /*  946398 */   // Label 14257: @946398
     /*  946398 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(946480), // Rule ID 63165 //
     /*  946403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946430 */     // MIs[0] op1
     /*  946430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946462 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946464 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946466 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946468 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946478 */     GIR_RootConstrainSelectedInstOperands,
     /*  946479 */     // GIR_Coverage, 63165,
     /*  946479 */     GIR_EraseRootFromParent_Done,
     /*  946480 */   // Label 14258: @946480
     /*  946480 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(946562), // Rule ID 63176 //
     /*  946485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946512 */     // MIs[0] op1
     /*  946512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946544 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946546 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946548 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946550 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946560 */     GIR_RootConstrainSelectedInstOperands,
     /*  946561 */     // GIR_Coverage, 63176,
     /*  946561 */     GIR_EraseRootFromParent_Done,
     /*  946562 */   // Label 14259: @946562
     /*  946562 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(946644), // Rule ID 63177 //
     /*  946567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946594 */     // MIs[0] op1
     /*  946594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946632 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946642 */     GIR_RootConstrainSelectedInstOperands,
     /*  946643 */     // GIR_Coverage, 63177,
     /*  946643 */     GIR_EraseRootFromParent_Done,
     /*  946644 */   // Label 14260: @946644
     /*  946644 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946726), // Rule ID 63188 //
     /*  946649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946676 */     // MIs[0] op1
     /*  946676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946708 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946710 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946712 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946714 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946724 */     GIR_RootConstrainSelectedInstOperands,
     /*  946725 */     // GIR_Coverage, 63188,
     /*  946725 */     GIR_EraseRootFromParent_Done,
     /*  946726 */   // Label 14261: @946726
     /*  946726 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946808), // Rule ID 63189 //
     /*  946731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946758 */     // MIs[0] op1
     /*  946758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946796 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946806 */     GIR_RootConstrainSelectedInstOperands,
     /*  946807 */     // GIR_Coverage, 63189,
     /*  946807 */     GIR_EraseRootFromParent_Done,
     /*  946808 */   // Label 14262: @946808
     /*  946808 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946890), // Rule ID 63220 //
     /*  946813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946840 */     // MIs[0] op1
     /*  946840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946872 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946874 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946876 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946878 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946888 */     GIR_RootConstrainSelectedInstOperands,
     /*  946889 */     // GIR_Coverage, 63220,
     /*  946889 */     GIR_EraseRootFromParent_Done,
     /*  946890 */   // Label 14263: @946890
     /*  946890 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946972), // Rule ID 63221 //
     /*  946895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946922 */     // MIs[0] op1
     /*  946922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946954 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946956 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946958 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946960 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946970 */     GIR_RootConstrainSelectedInstOperands,
     /*  946971 */     // GIR_Coverage, 63221,
     /*  946971 */     GIR_EraseRootFromParent_Done,
     /*  946972 */   // Label 14264: @946972
     /*  946972 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(947054), // Rule ID 63232 //
     /*  946977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  946997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947004 */     // MIs[0] op1
     /*  947004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  947034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947042 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947052 */     GIR_RootConstrainSelectedInstOperands,
     /*  947053 */     // GIR_Coverage, 63232,
     /*  947053 */     GIR_EraseRootFromParent_Done,
     /*  947054 */   // Label 14265: @947054
     /*  947054 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947136), // Rule ID 63233 //
     /*  947059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  947079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947086 */     // MIs[0] op1
     /*  947086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  947116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947134 */     GIR_RootConstrainSelectedInstOperands,
     /*  947135 */     // GIR_Coverage, 63233,
     /*  947135 */     GIR_EraseRootFromParent_Done,
     /*  947136 */   // Label 14266: @947136
     /*  947136 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947218), // Rule ID 63244 //
     /*  947141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947168 */     // MIs[0] op1
     /*  947168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  947198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947206 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947216 */     GIR_RootConstrainSelectedInstOperands,
     /*  947217 */     // GIR_Coverage, 63244,
     /*  947217 */     GIR_EraseRootFromParent_Done,
     /*  947218 */   // Label 14267: @947218
     /*  947218 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947300), // Rule ID 63245 //
     /*  947223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947250 */     // MIs[0] op1
     /*  947250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  947280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947298 */     GIR_RootConstrainSelectedInstOperands,
     /*  947299 */     // GIR_Coverage, 63245,
     /*  947299 */     GIR_EraseRootFromParent_Done,
     /*  947300 */   // Label 14268: @947300
     /*  947300 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(947382), // Rule ID 63276 //
     /*  947305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947332 */     // MIs[0] op1
     /*  947332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947370 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947380 */     GIR_RootConstrainSelectedInstOperands,
     /*  947381 */     // GIR_Coverage, 63276,
     /*  947381 */     GIR_EraseRootFromParent_Done,
     /*  947382 */   // Label 14269: @947382
     /*  947382 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(947464), // Rule ID 63277 //
     /*  947387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947414 */     // MIs[0] op1
     /*  947414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947462 */     GIR_RootConstrainSelectedInstOperands,
     /*  947463 */     // GIR_Coverage, 63277,
     /*  947463 */     GIR_EraseRootFromParent_Done,
     /*  947464 */   // Label 14270: @947464
     /*  947464 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(947546), // Rule ID 63288 //
     /*  947469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947496 */     // MIs[0] op1
     /*  947496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947534 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947544 */     GIR_RootConstrainSelectedInstOperands,
     /*  947545 */     // GIR_Coverage, 63288,
     /*  947545 */     GIR_EraseRootFromParent_Done,
     /*  947546 */   // Label 14271: @947546
     /*  947546 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(947628), // Rule ID 63289 //
     /*  947551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947578 */     // MIs[0] op1
     /*  947578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947626 */     GIR_RootConstrainSelectedInstOperands,
     /*  947627 */     // GIR_Coverage, 63289,
     /*  947627 */     GIR_EraseRootFromParent_Done,
     /*  947628 */   // Label 14272: @947628
     /*  947628 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947710), // Rule ID 63320 //
     /*  947633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947660 */     // MIs[0] op1
     /*  947660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947698 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947708 */     GIR_RootConstrainSelectedInstOperands,
     /*  947709 */     // GIR_Coverage, 63320,
     /*  947709 */     GIR_EraseRootFromParent_Done,
     /*  947710 */   // Label 14273: @947710
     /*  947710 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947792), // Rule ID 63321 //
     /*  947715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947742 */     // MIs[0] op1
     /*  947742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947790 */     GIR_RootConstrainSelectedInstOperands,
     /*  947791 */     // GIR_Coverage, 63321,
     /*  947791 */     GIR_EraseRootFromParent_Done,
     /*  947792 */   // Label 14274: @947792
     /*  947792 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947874), // Rule ID 63332 //
     /*  947797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947824 */     // MIs[0] op1
     /*  947824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947862 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947872 */     GIR_RootConstrainSelectedInstOperands,
     /*  947873 */     // GIR_Coverage, 63332,
     /*  947873 */     GIR_EraseRootFromParent_Done,
     /*  947874 */   // Label 14275: @947874
     /*  947874 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947956), // Rule ID 63333 //
     /*  947879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947906 */     // MIs[0] op1
     /*  947906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947954 */     GIR_RootConstrainSelectedInstOperands,
     /*  947955 */     // GIR_Coverage, 63333,
     /*  947955 */     GIR_EraseRootFromParent_Done,
     /*  947956 */   // Label 14276: @947956
     /*  947956 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(948038), // Rule ID 63364 //
     /*  947961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947988 */     // MIs[0] op1
     /*  947988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948015 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948026 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948036 */     GIR_RootConstrainSelectedInstOperands,
     /*  948037 */     // GIR_Coverage, 63364,
     /*  948037 */     GIR_EraseRootFromParent_Done,
     /*  948038 */   // Label 14277: @948038
     /*  948038 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948120), // Rule ID 63365 //
     /*  948043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948070 */     // MIs[0] op1
     /*  948070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948118 */     GIR_RootConstrainSelectedInstOperands,
     /*  948119 */     // GIR_Coverage, 63365,
     /*  948119 */     GIR_EraseRootFromParent_Done,
     /*  948120 */   // Label 14278: @948120
     /*  948120 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948202), // Rule ID 63376 //
     /*  948125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948152 */     // MIs[0] op1
     /*  948152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  948182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948190 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948200 */     GIR_RootConstrainSelectedInstOperands,
     /*  948201 */     // GIR_Coverage, 63376,
     /*  948201 */     GIR_EraseRootFromParent_Done,
     /*  948202 */   // Label 14279: @948202
     /*  948202 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948284), // Rule ID 63377 //
     /*  948207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948234 */     // MIs[0] op1
     /*  948234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  948264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948272 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948282 */     GIR_RootConstrainSelectedInstOperands,
     /*  948283 */     // GIR_Coverage, 63377,
     /*  948283 */     GIR_EraseRootFromParent_Done,
     /*  948284 */   // Label 14280: @948284
     /*  948284 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(948366), // Rule ID 63408 //
     /*  948289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948316 */     // MIs[0] op1
     /*  948316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948348 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948350 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948352 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948354 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948364 */     GIR_RootConstrainSelectedInstOperands,
     /*  948365 */     // GIR_Coverage, 63408,
     /*  948365 */     GIR_EraseRootFromParent_Done,
     /*  948366 */   // Label 14281: @948366
     /*  948366 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(948448), // Rule ID 63409 //
     /*  948371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948398 */     // MIs[0] op1
     /*  948398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948446 */     GIR_RootConstrainSelectedInstOperands,
     /*  948447 */     // GIR_Coverage, 63409,
     /*  948447 */     GIR_EraseRootFromParent_Done,
     /*  948448 */   // Label 14282: @948448
     /*  948448 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(948530), // Rule ID 63420 //
     /*  948453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948480 */     // MIs[0] op1
     /*  948480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948512 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948514 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948516 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948518 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948528 */     GIR_RootConstrainSelectedInstOperands,
     /*  948529 */     // GIR_Coverage, 63420,
     /*  948529 */     GIR_EraseRootFromParent_Done,
     /*  948530 */   // Label 14283: @948530
     /*  948530 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(948612), // Rule ID 63421 //
     /*  948535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948562 */     // MIs[0] op1
     /*  948562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948600 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948610 */     GIR_RootConstrainSelectedInstOperands,
     /*  948611 */     // GIR_Coverage, 63421,
     /*  948611 */     GIR_EraseRootFromParent_Done,
     /*  948612 */   // Label 14284: @948612
     /*  948612 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948694), // Rule ID 63432 //
     /*  948617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948644 */     // MIs[0] op1
     /*  948644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948682 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948692 */     GIR_RootConstrainSelectedInstOperands,
     /*  948693 */     // GIR_Coverage, 63432,
     /*  948693 */     GIR_EraseRootFromParent_Done,
     /*  948694 */   // Label 14285: @948694
     /*  948694 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948776), // Rule ID 63433 //
     /*  948699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948726 */     // MIs[0] op1
     /*  948726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948764 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948774 */     GIR_RootConstrainSelectedInstOperands,
     /*  948775 */     // GIR_Coverage, 63433,
     /*  948775 */     GIR_EraseRootFromParent_Done,
     /*  948776 */   // Label 14286: @948776
     /*  948776 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948858), // Rule ID 63464 //
     /*  948781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948808 */     // MIs[0] op1
     /*  948808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948835 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948840 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948842 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948844 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948846 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948856 */     GIR_RootConstrainSelectedInstOperands,
     /*  948857 */     // GIR_Coverage, 63464,
     /*  948857 */     GIR_EraseRootFromParent_Done,
     /*  948858 */   // Label 14287: @948858
     /*  948858 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948940), // Rule ID 63465 //
     /*  948863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948890 */     // MIs[0] op1
     /*  948890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948928 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948938 */     GIR_RootConstrainSelectedInstOperands,
     /*  948939 */     // GIR_Coverage, 63465,
     /*  948939 */     GIR_EraseRootFromParent_Done,
     /*  948940 */   // Label 14288: @948940
     /*  948940 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(949022), // Rule ID 63476 //
     /*  948945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948972 */     // MIs[0] op1
     /*  948972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  949002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949004 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949006 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949008 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949010 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949020 */     GIR_RootConstrainSelectedInstOperands,
     /*  949021 */     // GIR_Coverage, 63476,
     /*  949021 */     GIR_EraseRootFromParent_Done,
     /*  949022 */   // Label 14289: @949022
     /*  949022 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949104), // Rule ID 63477 //
     /*  949027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  949047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949054 */     // MIs[0] op1
     /*  949054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  949084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949092 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949102 */     GIR_RootConstrainSelectedInstOperands,
     /*  949103 */     // GIR_Coverage, 63477,
     /*  949103 */     GIR_EraseRootFromParent_Done,
     /*  949104 */   // Label 14290: @949104
     /*  949104 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949186), // Rule ID 63488 //
     /*  949109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949136 */     // MIs[0] op1
     /*  949136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  949166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949168 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949170 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949172 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949174 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949184 */     GIR_RootConstrainSelectedInstOperands,
     /*  949185 */     // GIR_Coverage, 63488,
     /*  949185 */     GIR_EraseRootFromParent_Done,
     /*  949186 */   // Label 14291: @949186
     /*  949186 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949268), // Rule ID 63489 //
     /*  949191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949218 */     // MIs[0] op1
     /*  949218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  949248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949256 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949266 */     GIR_RootConstrainSelectedInstOperands,
     /*  949267 */     // GIR_Coverage, 63489,
     /*  949267 */     GIR_EraseRootFromParent_Done,
     /*  949268 */   // Label 14292: @949268
     /*  949268 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(949350), // Rule ID 63520 //
     /*  949273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949300 */     // MIs[0] op1
     /*  949300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949348 */     GIR_RootConstrainSelectedInstOperands,
     /*  949349 */     // GIR_Coverage, 63520,
     /*  949349 */     GIR_EraseRootFromParent_Done,
     /*  949350 */   // Label 14293: @949350
     /*  949350 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(949432), // Rule ID 63521 //
     /*  949355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949382 */     // MIs[0] op1
     /*  949382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949420 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949430 */     GIR_RootConstrainSelectedInstOperands,
     /*  949431 */     // GIR_Coverage, 63521,
     /*  949431 */     GIR_EraseRootFromParent_Done,
     /*  949432 */   // Label 14294: @949432
     /*  949432 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(949514), // Rule ID 63532 //
     /*  949437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949464 */     // MIs[0] op1
     /*  949464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949496 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949498 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949500 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949502 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949512 */     GIR_RootConstrainSelectedInstOperands,
     /*  949513 */     // GIR_Coverage, 63532,
     /*  949513 */     GIR_EraseRootFromParent_Done,
     /*  949514 */   // Label 14295: @949514
     /*  949514 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(949596), // Rule ID 63533 //
     /*  949519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949546 */     // MIs[0] op1
     /*  949546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949584 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949594 */     GIR_RootConstrainSelectedInstOperands,
     /*  949595 */     // GIR_Coverage, 63533,
     /*  949595 */     GIR_EraseRootFromParent_Done,
     /*  949596 */   // Label 14296: @949596
     /*  949596 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949678), // Rule ID 63544 //
     /*  949601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949628 */     // MIs[0] op1
     /*  949628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949676 */     GIR_RootConstrainSelectedInstOperands,
     /*  949677 */     // GIR_Coverage, 63544,
     /*  949677 */     GIR_EraseRootFromParent_Done,
     /*  949678 */   // Label 14297: @949678
     /*  949678 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949760), // Rule ID 63545 //
     /*  949683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949710 */     // MIs[0] op1
     /*  949710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949742 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949744 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949746 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949748 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949758 */     GIR_RootConstrainSelectedInstOperands,
     /*  949759 */     // GIR_Coverage, 63545,
     /*  949759 */     GIR_EraseRootFromParent_Done,
     /*  949760 */   // Label 14298: @949760
     /*  949760 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949842), // Rule ID 63576 //
     /*  949765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949792 */     // MIs[0] op1
     /*  949792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949830 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949840 */     GIR_RootConstrainSelectedInstOperands,
     /*  949841 */     // GIR_Coverage, 63576,
     /*  949841 */     GIR_EraseRootFromParent_Done,
     /*  949842 */   // Label 14299: @949842
     /*  949842 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949924), // Rule ID 63577 //
     /*  949847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949874 */     // MIs[0] op1
     /*  949874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949906 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949908 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949910 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949912 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949922 */     GIR_RootConstrainSelectedInstOperands,
     /*  949923 */     // GIR_Coverage, 63577,
     /*  949923 */     GIR_EraseRootFromParent_Done,
     /*  949924 */   // Label 14300: @949924
     /*  949924 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(950006), // Rule ID 63588 //
     /*  949929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949956 */     // MIs[0] op1
     /*  949956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950004 */     GIR_RootConstrainSelectedInstOperands,
     /*  950005 */     // GIR_Coverage, 63588,
     /*  950005 */     GIR_EraseRootFromParent_Done,
     /*  950006 */   // Label 14301: @950006
     /*  950006 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(950088), // Rule ID 63589 //
     /*  950011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  950031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950038 */     // MIs[0] op1
     /*  950038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  950068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950076 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950086 */     GIR_RootConstrainSelectedInstOperands,
     /*  950087 */     // GIR_Coverage, 63589,
     /*  950087 */     GIR_EraseRootFromParent_Done,
     /*  950088 */   // Label 14302: @950088
     /*  950088 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950170), // Rule ID 63600 //
     /*  950093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950120 */     // MIs[0] op1
     /*  950120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  950150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950158 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950168 */     GIR_RootConstrainSelectedInstOperands,
     /*  950169 */     // GIR_Coverage, 63600,
     /*  950169 */     GIR_EraseRootFromParent_Done,
     /*  950170 */   // Label 14303: @950170
     /*  950170 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950252), // Rule ID 63601 //
     /*  950175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950202 */     // MIs[0] op1
     /*  950202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  950232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950240 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950250 */     GIR_RootConstrainSelectedInstOperands,
     /*  950251 */     // GIR_Coverage, 63601,
     /*  950251 */     GIR_EraseRootFromParent_Done,
     /*  950252 */   // Label 14304: @950252
     /*  950252 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(950334), // Rule ID 63632 //
     /*  950257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950284 */     // MIs[0] op1
     /*  950284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950332 */     GIR_RootConstrainSelectedInstOperands,
     /*  950333 */     // GIR_Coverage, 63632,
     /*  950333 */     GIR_EraseRootFromParent_Done,
     /*  950334 */   // Label 14305: @950334
     /*  950334 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(950416), // Rule ID 63633 //
     /*  950339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950366 */     // MIs[0] op1
     /*  950366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950398 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950400 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950402 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950404 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950414 */     GIR_RootConstrainSelectedInstOperands,
     /*  950415 */     // GIR_Coverage, 63633,
     /*  950415 */     GIR_EraseRootFromParent_Done,
     /*  950416 */   // Label 14306: @950416
     /*  950416 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(950498), // Rule ID 63644 //
     /*  950421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950448 */     // MIs[0] op1
     /*  950448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950486 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950496 */     GIR_RootConstrainSelectedInstOperands,
     /*  950497 */     // GIR_Coverage, 63644,
     /*  950497 */     GIR_EraseRootFromParent_Done,
     /*  950498 */   // Label 14307: @950498
     /*  950498 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(950580), // Rule ID 63645 //
     /*  950503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950530 */     // MIs[0] op1
     /*  950530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950562 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950564 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950566 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950568 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950578 */     GIR_RootConstrainSelectedInstOperands,
     /*  950579 */     // GIR_Coverage, 63645,
     /*  950579 */     GIR_EraseRootFromParent_Done,
     /*  950580 */   // Label 14308: @950580
     /*  950580 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(950662), // Rule ID 63656 //
     /*  950585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950612 */     // MIs[0] op1
     /*  950612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950660 */     GIR_RootConstrainSelectedInstOperands,
     /*  950661 */     // GIR_Coverage, 63656,
     /*  950661 */     GIR_EraseRootFromParent_Done,
     /*  950662 */   // Label 14309: @950662
     /*  950662 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950744), // Rule ID 63657 //
     /*  950667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950694 */     // MIs[0] op1
     /*  950694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950732 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950742 */     GIR_RootConstrainSelectedInstOperands,
     /*  950743 */     // GIR_Coverage, 63657,
     /*  950743 */     GIR_EraseRootFromParent_Done,
     /*  950744 */   // Label 14310: @950744
     /*  950744 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950826), // Rule ID 63688 //
     /*  950749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950776 */     // MIs[0] op1
     /*  950776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950808 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950810 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950812 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950814 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950824 */     GIR_RootConstrainSelectedInstOperands,
     /*  950825 */     // GIR_Coverage, 63688,
     /*  950825 */     GIR_EraseRootFromParent_Done,
     /*  950826 */   // Label 14311: @950826
     /*  950826 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950908), // Rule ID 63689 //
     /*  950831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950858 */     // MIs[0] op1
     /*  950858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950896 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950906 */     GIR_RootConstrainSelectedInstOperands,
     /*  950907 */     // GIR_Coverage, 63689,
     /*  950907 */     GIR_EraseRootFromParent_Done,
     /*  950908 */   // Label 14312: @950908
     /*  950908 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950990), // Rule ID 63700 //
     /*  950913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950940 */     // MIs[0] op1
     /*  950940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950988 */     GIR_RootConstrainSelectedInstOperands,
     /*  950989 */     // GIR_Coverage, 63700,
     /*  950989 */     GIR_EraseRootFromParent_Done,
     /*  950990 */   // Label 14313: @950990
     /*  950990 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(951072), // Rule ID 63701 //
     /*  950995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  951015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951022 */     // MIs[0] op1
     /*  951022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  951052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951054 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951056 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951058 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951060 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951070 */     GIR_RootConstrainSelectedInstOperands,
     /*  951071 */     // GIR_Coverage, 63701,
     /*  951071 */     GIR_EraseRootFromParent_Done,
     /*  951072 */   // Label 14314: @951072
     /*  951072 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951154), // Rule ID 63712 //
     /*  951077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951104 */     // MIs[0] op1
     /*  951104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  951134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951136 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951138 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951140 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951142 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951152 */     GIR_RootConstrainSelectedInstOperands,
     /*  951153 */     // GIR_Coverage, 63712,
     /*  951153 */     GIR_EraseRootFromParent_Done,
     /*  951154 */   // Label 14315: @951154
     /*  951154 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951236), // Rule ID 63713 //
     /*  951159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951186 */     // MIs[0] op1
     /*  951186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  951216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951224 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951234 */     GIR_RootConstrainSelectedInstOperands,
     /*  951235 */     // GIR_Coverage, 63713,
     /*  951235 */     GIR_EraseRootFromParent_Done,
     /*  951236 */   // Label 14316: @951236
     /*  951236 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951318), // Rule ID 63744 //
     /*  951241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951268 */     // MIs[0] op1
     /*  951268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951295 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951316 */     GIR_RootConstrainSelectedInstOperands,
     /*  951317 */     // GIR_Coverage, 63744,
     /*  951317 */     GIR_EraseRootFromParent_Done,
     /*  951318 */   // Label 14317: @951318
     /*  951318 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(951400), // Rule ID 63745 //
     /*  951323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951350 */     // MIs[0] op1
     /*  951350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951388 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951398 */     GIR_RootConstrainSelectedInstOperands,
     /*  951399 */     // GIR_Coverage, 63745,
     /*  951399 */     GIR_EraseRootFromParent_Done,
     /*  951400 */   // Label 14318: @951400
     /*  951400 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(951482), // Rule ID 63756 //
     /*  951405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951432 */     // MIs[0] op1
     /*  951432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951470 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951480 */     GIR_RootConstrainSelectedInstOperands,
     /*  951481 */     // GIR_Coverage, 63756,
     /*  951481 */     GIR_EraseRootFromParent_Done,
     /*  951482 */   // Label 14319: @951482
     /*  951482 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(951564), // Rule ID 63757 //
     /*  951487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951514 */     // MIs[0] op1
     /*  951514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951552 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951562 */     GIR_RootConstrainSelectedInstOperands,
     /*  951563 */     // GIR_Coverage, 63757,
     /*  951563 */     GIR_EraseRootFromParent_Done,
     /*  951564 */   // Label 14320: @951564
     /*  951564 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(951646), // Rule ID 63768 //
     /*  951569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951596 */     // MIs[0] op1
     /*  951596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951634 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951644 */     GIR_RootConstrainSelectedInstOperands,
     /*  951645 */     // GIR_Coverage, 63768,
     /*  951645 */     GIR_EraseRootFromParent_Done,
     /*  951646 */   // Label 14321: @951646
     /*  951646 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951728), // Rule ID 63769 //
     /*  951651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951678 */     // MIs[0] op1
     /*  951678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951716 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951726 */     GIR_RootConstrainSelectedInstOperands,
     /*  951727 */     // GIR_Coverage, 63769,
     /*  951727 */     GIR_EraseRootFromParent_Done,
     /*  951728 */   // Label 14322: @951728
     /*  951728 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951810), // Rule ID 63800 //
     /*  951733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951760 */     // MIs[0] op1
     /*  951760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951808 */     GIR_RootConstrainSelectedInstOperands,
     /*  951809 */     // GIR_Coverage, 63800,
     /*  951809 */     GIR_EraseRootFromParent_Done,
     /*  951810 */   // Label 14323: @951810
     /*  951810 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951892), // Rule ID 63801 //
     /*  951815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951842 */     // MIs[0] op1
     /*  951842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951880 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951890 */     GIR_RootConstrainSelectedInstOperands,
     /*  951891 */     // GIR_Coverage, 63801,
     /*  951891 */     GIR_EraseRootFromParent_Done,
     /*  951892 */   // Label 14324: @951892
     /*  951892 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951974), // Rule ID 63812 //
     /*  951897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951924 */     // MIs[0] op1
     /*  951924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951956 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951958 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951960 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951962 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951972 */     GIR_RootConstrainSelectedInstOperands,
     /*  951973 */     // GIR_Coverage, 63812,
     /*  951973 */     GIR_EraseRootFromParent_Done,
     /*  951974 */   // Label 14325: @951974
     /*  951974 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(952056), // Rule ID 63813 //
     /*  951979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952006 */     // MIs[0] op1
     /*  952006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952044 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952054 */     GIR_RootConstrainSelectedInstOperands,
     /*  952055 */     // GIR_Coverage, 63813,
     /*  952055 */     GIR_EraseRootFromParent_Done,
     /*  952056 */   // Label 14326: @952056
     /*  952056 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952138), // Rule ID 63824 //
     /*  952061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952088 */     // MIs[0] op1
     /*  952088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  952118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952136 */     GIR_RootConstrainSelectedInstOperands,
     /*  952137 */     // GIR_Coverage, 63824,
     /*  952137 */     GIR_EraseRootFromParent_Done,
     /*  952138 */   // Label 14327: @952138
     /*  952138 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952220), // Rule ID 63825 //
     /*  952143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952170 */     // MIs[0] op1
     /*  952170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  952200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952202 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952204 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952206 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952208 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952218 */     GIR_RootConstrainSelectedInstOperands,
     /*  952219 */     // GIR_Coverage, 63825,
     /*  952219 */     GIR_EraseRootFromParent_Done,
     /*  952220 */   // Label 14328: @952220
     /*  952220 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952302), // Rule ID 63856 //
     /*  952225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952252 */     // MIs[0] op1
     /*  952252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952300 */     GIR_RootConstrainSelectedInstOperands,
     /*  952301 */     // GIR_Coverage, 63856,
     /*  952301 */     GIR_EraseRootFromParent_Done,
     /*  952302 */   // Label 14329: @952302
     /*  952302 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(952384), // Rule ID 63857 //
     /*  952307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952334 */     // MIs[0] op1
     /*  952334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952372 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952382 */     GIR_RootConstrainSelectedInstOperands,
     /*  952383 */     // GIR_Coverage, 63857,
     /*  952383 */     GIR_EraseRootFromParent_Done,
     /*  952384 */   // Label 14330: @952384
     /*  952384 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(952466), // Rule ID 63868 //
     /*  952389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952416 */     // MIs[0] op1
     /*  952416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952464 */     GIR_RootConstrainSelectedInstOperands,
     /*  952465 */     // GIR_Coverage, 63868,
     /*  952465 */     GIR_EraseRootFromParent_Done,
     /*  952466 */   // Label 14331: @952466
     /*  952466 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(952548), // Rule ID 63869 //
     /*  952471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952498 */     // MIs[0] op1
     /*  952498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952536 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952546 */     GIR_RootConstrainSelectedInstOperands,
     /*  952547 */     // GIR_Coverage, 63869,
     /*  952547 */     GIR_EraseRootFromParent_Done,
     /*  952548 */   // Label 14332: @952548
     /*  952548 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(952630), // Rule ID 63880 //
     /*  952553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952580 */     // MIs[0] op1
     /*  952580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952628 */     GIR_RootConstrainSelectedInstOperands,
     /*  952629 */     // GIR_Coverage, 63880,
     /*  952629 */     GIR_EraseRootFromParent_Done,
     /*  952630 */   // Label 14333: @952630
     /*  952630 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952712), // Rule ID 63881 //
     /*  952635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952662 */     // MIs[0] op1
     /*  952662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952694 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952696 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952698 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952700 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952710 */     GIR_RootConstrainSelectedInstOperands,
     /*  952711 */     // GIR_Coverage, 63881,
     /*  952711 */     GIR_EraseRootFromParent_Done,
     /*  952712 */   // Label 14334: @952712
     /*  952712 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952794), // Rule ID 63886 //
     /*  952717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952744 */     // MIs[0] op1
     /*  952744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952792 */     GIR_RootConstrainSelectedInstOperands,
     /*  952793 */     // GIR_Coverage, 63886,
     /*  952793 */     GIR_EraseRootFromParent_Done,
     /*  952794 */   // Label 14335: @952794
     /*  952794 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952876), // Rule ID 63887 //
     /*  952799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952826 */     // MIs[0] op1
     /*  952826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952858 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952860 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952862 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952864 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952874 */     GIR_RootConstrainSelectedInstOperands,
     /*  952875 */     // GIR_Coverage, 63887,
     /*  952875 */     GIR_EraseRootFromParent_Done,
     /*  952876 */   // Label 14336: @952876
     /*  952876 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952958), // Rule ID 63898 //
     /*  952881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952908 */     // MIs[0] op1
     /*  952908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952956 */     GIR_RootConstrainSelectedInstOperands,
     /*  952957 */     // GIR_Coverage, 63898,
     /*  952957 */     GIR_EraseRootFromParent_Done,
     /*  952958 */   // Label 14337: @952958
     /*  952958 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(953040), // Rule ID 63899 //
     /*  952963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952990 */     // MIs[0] op1
     /*  952990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  953020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953022 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953024 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953026 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953028 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953038 */     GIR_RootConstrainSelectedInstOperands,
     /*  953039 */     // GIR_Coverage, 63899,
     /*  953039 */     GIR_EraseRootFromParent_Done,
     /*  953040 */   // Label 14338: @953040
     /*  953040 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953122), // Rule ID 63904 //
     /*  953045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953072 */     // MIs[0] op1
     /*  953072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953120 */     GIR_RootConstrainSelectedInstOperands,
     /*  953121 */     // GIR_Coverage, 63904,
     /*  953121 */     GIR_EraseRootFromParent_Done,
     /*  953122 */   // Label 14339: @953122
     /*  953122 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953204), // Rule ID 63905 //
     /*  953127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953154 */     // MIs[0] op1
     /*  953154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953192 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953202 */     GIR_RootConstrainSelectedInstOperands,
     /*  953203 */     // GIR_Coverage, 63905,
     /*  953203 */     GIR_EraseRootFromParent_Done,
     /*  953204 */   // Label 14340: @953204
     /*  953204 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953286), // Rule ID 63916 //
     /*  953209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953236 */     // MIs[0] op1
     /*  953236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953284 */     GIR_RootConstrainSelectedInstOperands,
     /*  953285 */     // GIR_Coverage, 63916,
     /*  953285 */     GIR_EraseRootFromParent_Done,
     /*  953286 */   // Label 14341: @953286
     /*  953286 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(953368), // Rule ID 63917 //
     /*  953291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953318 */     // MIs[0] op1
     /*  953318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953356 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953366 */     GIR_RootConstrainSelectedInstOperands,
     /*  953367 */     // GIR_Coverage, 63917,
     /*  953367 */     GIR_EraseRootFromParent_Done,
     /*  953368 */   // Label 14342: @953368
     /*  953368 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(953450), // Rule ID 63922 //
     /*  953373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953400 */     // MIs[0] op1
     /*  953400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953438 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953448 */     GIR_RootConstrainSelectedInstOperands,
     /*  953449 */     // GIR_Coverage, 63922,
     /*  953449 */     GIR_EraseRootFromParent_Done,
     /*  953450 */   // Label 14343: @953450
     /*  953450 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(953532), // Rule ID 63923 //
     /*  953455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953482 */     // MIs[0] op1
     /*  953482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953520 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953530 */     GIR_RootConstrainSelectedInstOperands,
     /*  953531 */     // GIR_Coverage, 63923,
     /*  953531 */     GIR_EraseRootFromParent_Done,
     /*  953532 */   // Label 14344: @953532
     /*  953532 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(953614), // Rule ID 63934 //
     /*  953537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953564 */     // MIs[0] op1
     /*  953564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953612 */     GIR_RootConstrainSelectedInstOperands,
     /*  953613 */     // GIR_Coverage, 63934,
     /*  953613 */     GIR_EraseRootFromParent_Done,
     /*  953614 */   // Label 14345: @953614
     /*  953614 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953696), // Rule ID 63935 //
     /*  953619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953646 */     // MIs[0] op1
     /*  953646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953684 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953694 */     GIR_RootConstrainSelectedInstOperands,
     /*  953695 */     // GIR_Coverage, 63935,
     /*  953695 */     GIR_EraseRootFromParent_Done,
     /*  953696 */   // Label 14346: @953696
     /*  953696 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953778), // Rule ID 63940 //
     /*  953701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953728 */     // MIs[0] op1
     /*  953728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953766 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953776 */     GIR_RootConstrainSelectedInstOperands,
     /*  953777 */     // GIR_Coverage, 63940,
     /*  953777 */     GIR_EraseRootFromParent_Done,
     /*  953778 */   // Label 14347: @953778
     /*  953778 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953860), // Rule ID 63941 //
     /*  953783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953810 */     // MIs[0] op1
     /*  953810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953837 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953848 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953858 */     GIR_RootConstrainSelectedInstOperands,
     /*  953859 */     // GIR_Coverage, 63941,
     /*  953859 */     GIR_EraseRootFromParent_Done,
     /*  953860 */   // Label 14348: @953860
     /*  953860 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953942), // Rule ID 63952 //
     /*  953865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953892 */     // MIs[0] op1
     /*  953892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953930 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953940 */     GIR_RootConstrainSelectedInstOperands,
     /*  953941 */     // GIR_Coverage, 63952,
     /*  953941 */     GIR_EraseRootFromParent_Done,
     /*  953942 */   // Label 14349: @953942
     /*  953942 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(954024), // Rule ID 63953 //
     /*  953947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953974 */     // MIs[0] op1
     /*  953974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  954004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954012 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954022 */     GIR_RootConstrainSelectedInstOperands,
     /*  954023 */     // GIR_Coverage, 63953,
     /*  954023 */     GIR_EraseRootFromParent_Done,
     /*  954024 */   // Label 14350: @954024
     /*  954024 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954106), // Rule ID 63958 //
     /*  954029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954056 */     // MIs[0] op1
     /*  954056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954094 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954104 */     GIR_RootConstrainSelectedInstOperands,
     /*  954105 */     // GIR_Coverage, 63958,
     /*  954105 */     GIR_EraseRootFromParent_Done,
     /*  954106 */   // Label 14351: @954106
     /*  954106 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954188), // Rule ID 63959 //
     /*  954111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954138 */     // MIs[0] op1
     /*  954138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954176 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954186 */     GIR_RootConstrainSelectedInstOperands,
     /*  954187 */     // GIR_Coverage, 63959,
     /*  954187 */     GIR_EraseRootFromParent_Done,
     /*  954188 */   // Label 14352: @954188
     /*  954188 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954270), // Rule ID 63970 //
     /*  954193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954220 */     // MIs[0] op1
     /*  954220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954223 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954252 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954254 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954256 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954258 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954268 */     GIR_RootConstrainSelectedInstOperands,
     /*  954269 */     // GIR_Coverage, 63970,
     /*  954269 */     GIR_EraseRootFromParent_Done,
     /*  954270 */   // Label 14353: @954270
     /*  954270 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(954352), // Rule ID 63971 //
     /*  954275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954302 */     // MIs[0] op1
     /*  954302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954340 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954350 */     GIR_RootConstrainSelectedInstOperands,
     /*  954351 */     // GIR_Coverage, 63971,
     /*  954351 */     GIR_EraseRootFromParent_Done,
     /*  954352 */   // Label 14354: @954352
     /*  954352 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(954434), // Rule ID 63976 //
     /*  954357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954384 */     // MIs[0] op1
     /*  954384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954422 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954432 */     GIR_RootConstrainSelectedInstOperands,
     /*  954433 */     // GIR_Coverage, 63976,
     /*  954433 */     GIR_EraseRootFromParent_Done,
     /*  954434 */   // Label 14355: @954434
     /*  954434 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(954516), // Rule ID 63977 //
     /*  954439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954466 */     // MIs[0] op1
     /*  954466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954514 */     GIR_RootConstrainSelectedInstOperands,
     /*  954515 */     // GIR_Coverage, 63977,
     /*  954515 */     GIR_EraseRootFromParent_Done,
     /*  954516 */   // Label 14356: @954516
     /*  954516 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(954598), // Rule ID 63988 //
     /*  954521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954548 */     // MIs[0] op1
     /*  954548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954586 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954596 */     GIR_RootConstrainSelectedInstOperands,
     /*  954597 */     // GIR_Coverage, 63988,
     /*  954597 */     GIR_EraseRootFromParent_Done,
     /*  954598 */   // Label 14357: @954598
     /*  954598 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954680), // Rule ID 63989 //
     /*  954603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954630 */     // MIs[0] op1
     /*  954630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954657 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954662 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954664 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954666 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954668 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954678 */     GIR_RootConstrainSelectedInstOperands,
     /*  954679 */     // GIR_Coverage, 63989,
     /*  954679 */     GIR_EraseRootFromParent_Done,
     /*  954680 */   // Label 14358: @954680
     /*  954680 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954762), // Rule ID 63994 //
     /*  954685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954712 */     // MIs[0] op1
     /*  954712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954750 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954760 */     GIR_RootConstrainSelectedInstOperands,
     /*  954761 */     // GIR_Coverage, 63994,
     /*  954761 */     GIR_EraseRootFromParent_Done,
     /*  954762 */   // Label 14359: @954762
     /*  954762 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954844), // Rule ID 63995 //
     /*  954767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954794 */     // MIs[0] op1
     /*  954794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954842 */     GIR_RootConstrainSelectedInstOperands,
     /*  954843 */     // GIR_Coverage, 63995,
     /*  954843 */     GIR_EraseRootFromParent_Done,
     /*  954844 */   // Label 14360: @954844
     /*  954844 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954926), // Rule ID 64006 //
     /*  954849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954876 */     // MIs[0] op1
     /*  954876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954914 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954924 */     GIR_RootConstrainSelectedInstOperands,
     /*  954925 */     // GIR_Coverage, 64006,
     /*  954925 */     GIR_EraseRootFromParent_Done,
     /*  954926 */   // Label 14361: @954926
     /*  954926 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(955008), // Rule ID 64007 //
     /*  954931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954958 */     // MIs[0] op1
     /*  954958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954990 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954992 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954994 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954996 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955006 */     GIR_RootConstrainSelectedInstOperands,
     /*  955007 */     // GIR_Coverage, 64007,
     /*  955007 */     GIR_EraseRootFromParent_Done,
     /*  955008 */   // Label 14362: @955008
     /*  955008 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(955090), // Rule ID 64012 //
     /*  955013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955040 */     // MIs[0] op1
     /*  955040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  955070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955078 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955088 */     GIR_RootConstrainSelectedInstOperands,
     /*  955089 */     // GIR_Coverage, 64012,
     /*  955089 */     GIR_EraseRootFromParent_Done,
     /*  955090 */   // Label 14363: @955090
     /*  955090 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955172), // Rule ID 64013 //
     /*  955095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955122 */     // MIs[0] op1
     /*  955122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  955152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955170 */     GIR_RootConstrainSelectedInstOperands,
     /*  955171 */     // GIR_Coverage, 64013,
     /*  955171 */     GIR_EraseRootFromParent_Done,
     /*  955172 */   // Label 14364: @955172
     /*  955172 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955254), // Rule ID 64018 //
     /*  955177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955204 */     // MIs[0] op1
     /*  955204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955242 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955252 */     GIR_RootConstrainSelectedInstOperands,
     /*  955253 */     // GIR_Coverage, 64018,
     /*  955253 */     GIR_EraseRootFromParent_Done,
     /*  955254 */   // Label 14365: @955254
     /*  955254 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(955336), // Rule ID 64019 //
     /*  955259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955286 */     // MIs[0] op1
     /*  955286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955318 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955320 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955322 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955324 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955334 */     GIR_RootConstrainSelectedInstOperands,
     /*  955335 */     // GIR_Coverage, 64019,
     /*  955335 */     GIR_EraseRootFromParent_Done,
     /*  955336 */   // Label 14366: @955336
     /*  955336 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(955418), // Rule ID 64030 //
     /*  955341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955368 */     // MIs[0] op1
     /*  955368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955406 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955416 */     GIR_RootConstrainSelectedInstOperands,
     /*  955417 */     // GIR_Coverage, 64030,
     /*  955417 */     GIR_EraseRootFromParent_Done,
     /*  955418 */   // Label 14367: @955418
     /*  955418 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(955500), // Rule ID 64031 //
     /*  955423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955450 */     // MIs[0] op1
     /*  955450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955498 */     GIR_RootConstrainSelectedInstOperands,
     /*  955499 */     // GIR_Coverage, 64031,
     /*  955499 */     GIR_EraseRootFromParent_Done,
     /*  955500 */   // Label 14368: @955500
     /*  955500 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(955582), // Rule ID 64036 //
     /*  955505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955532 */     // MIs[0] op1
     /*  955532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955570 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955580 */     GIR_RootConstrainSelectedInstOperands,
     /*  955581 */     // GIR_Coverage, 64036,
     /*  955581 */     GIR_EraseRootFromParent_Done,
     /*  955582 */   // Label 14369: @955582
     /*  955582 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(955664), // Rule ID 64037 //
     /*  955587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955614 */     // MIs[0] op1
     /*  955614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955646 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955648 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955650 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955652 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955662 */     GIR_RootConstrainSelectedInstOperands,
     /*  955663 */     // GIR_Coverage, 64037,
     /*  955663 */     GIR_EraseRootFromParent_Done,
     /*  955664 */   // Label 14370: @955664
     /*  955664 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955746), // Rule ID 64042 //
     /*  955669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955696 */     // MIs[0] op1
     /*  955696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955734 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955744 */     GIR_RootConstrainSelectedInstOperands,
     /*  955745 */     // GIR_Coverage, 64042,
     /*  955745 */     GIR_EraseRootFromParent_Done,
     /*  955746 */   // Label 14371: @955746
     /*  955746 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955828), // Rule ID 64043 //
     /*  955751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955778 */     // MIs[0] op1
     /*  955778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955826 */     GIR_RootConstrainSelectedInstOperands,
     /*  955827 */     // GIR_Coverage, 64043,
     /*  955827 */     GIR_EraseRootFromParent_Done,
     /*  955828 */   // Label 14372: @955828
     /*  955828 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955910), // Rule ID 64054 //
     /*  955833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955860 */     // MIs[0] op1
     /*  955860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955898 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955908 */     GIR_RootConstrainSelectedInstOperands,
     /*  955909 */     // GIR_Coverage, 64054,
     /*  955909 */     GIR_EraseRootFromParent_Done,
     /*  955910 */   // Label 14373: @955910
     /*  955910 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(955992), // Rule ID 64055 //
     /*  955915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955942 */     // MIs[0] op1
     /*  955942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955980 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955990 */     GIR_RootConstrainSelectedInstOperands,
     /*  955991 */     // GIR_Coverage, 64055,
     /*  955991 */     GIR_EraseRootFromParent_Done,
     /*  955992 */   // Label 14374: @955992
     /*  955992 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(956074), // Rule ID 64060 //
     /*  955997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956024 */     // MIs[0] op1
     /*  956024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  956054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956056 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956058 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956060 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956062 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956072 */     GIR_RootConstrainSelectedInstOperands,
     /*  956073 */     // GIR_Coverage, 64060,
     /*  956073 */     GIR_EraseRootFromParent_Done,
     /*  956074 */   // Label 14375: @956074
     /*  956074 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956156), // Rule ID 64061 //
     /*  956079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956106 */     // MIs[0] op1
     /*  956106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956133 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  956136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956154 */     GIR_RootConstrainSelectedInstOperands,
     /*  956155 */     // GIR_Coverage, 64061,
     /*  956155 */     GIR_EraseRootFromParent_Done,
     /*  956156 */   // Label 14376: @956156
     /*  956156 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956238), // Rule ID 64066 //
     /*  956161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956188 */     // MIs[0] op1
     /*  956188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956215 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956226 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956236 */     GIR_RootConstrainSelectedInstOperands,
     /*  956237 */     // GIR_Coverage, 64066,
     /*  956237 */     GIR_EraseRootFromParent_Done,
     /*  956238 */   // Label 14377: @956238
     /*  956238 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956320), // Rule ID 64067 //
     /*  956243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956270 */     // MIs[0] op1
     /*  956270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956308 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956318 */     GIR_RootConstrainSelectedInstOperands,
     /*  956319 */     // GIR_Coverage, 64067,
     /*  956319 */     GIR_EraseRootFromParent_Done,
     /*  956320 */   // Label 14378: @956320
     /*  956320 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(956402), // Rule ID 64078 //
     /*  956325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  956345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956352 */     // MIs[0] op1
     /*  956352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956390 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956400 */     GIR_RootConstrainSelectedInstOperands,
     /*  956401 */     // GIR_Coverage, 64078,
     /*  956401 */     GIR_EraseRootFromParent_Done,
     /*  956402 */   // Label 14379: @956402
     /*  956402 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(956484), // Rule ID 64079 //
     /*  956407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  956427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956434 */     // MIs[0] op1
     /*  956434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956472 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956482 */     GIR_RootConstrainSelectedInstOperands,
     /*  956483 */     // GIR_Coverage, 64079,
     /*  956483 */     GIR_EraseRootFromParent_Done,
     /*  956484 */   // Label 14380: @956484
     /*  956484 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(956566), // Rule ID 64084 //
     /*  956489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956516 */     // MIs[0] op1
     /*  956516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956548 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956550 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956552 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956554 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956564 */     GIR_RootConstrainSelectedInstOperands,
     /*  956565 */     // GIR_Coverage, 64084,
     /*  956565 */     GIR_EraseRootFromParent_Done,
     /*  956566 */   // Label 14381: @956566
     /*  956566 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(956648), // Rule ID 64085 //
     /*  956571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956598 */     // MIs[0] op1
     /*  956598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956636 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956646 */     GIR_RootConstrainSelectedInstOperands,
     /*  956647 */     // GIR_Coverage, 64085,
     /*  956647 */     GIR_EraseRootFromParent_Done,
     /*  956648 */   // Label 14382: @956648
     /*  956648 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(956730), // Rule ID 64090 //
     /*  956653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956680 */     // MIs[0] op1
     /*  956680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956712 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956714 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956716 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956718 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956728 */     GIR_RootConstrainSelectedInstOperands,
     /*  956729 */     // GIR_Coverage, 64090,
     /*  956729 */     GIR_EraseRootFromParent_Done,
     /*  956730 */   // Label 14383: @956730
     /*  956730 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956812), // Rule ID 64091 //
     /*  956735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956762 */     // MIs[0] op1
     /*  956762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956800 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956810 */     GIR_RootConstrainSelectedInstOperands,
     /*  956811 */     // GIR_Coverage, 64091,
     /*  956811 */     GIR_EraseRootFromParent_Done,
     /*  956812 */   // Label 14384: @956812
     /*  956812 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956894), // Rule ID 64102 //
     /*  956817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956844 */     // MIs[0] op1
     /*  956844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956882 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956892 */     GIR_RootConstrainSelectedInstOperands,
     /*  956893 */     // GIR_Coverage, 64102,
     /*  956893 */     GIR_EraseRootFromParent_Done,
     /*  956894 */   // Label 14385: @956894
     /*  956894 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956976), // Rule ID 64103 //
     /*  956899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956926 */     // MIs[0] op1
     /*  956926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956974 */     GIR_RootConstrainSelectedInstOperands,
     /*  956975 */     // GIR_Coverage, 64103,
     /*  956975 */     GIR_EraseRootFromParent_Done,
     /*  956976 */   // Label 14386: @956976
     /*  956976 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(957058), // Rule ID 64108 //
     /*  956981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957008 */     // MIs[0] op1
     /*  957008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  957038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957040 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957042 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957044 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957046 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957056 */     GIR_RootConstrainSelectedInstOperands,
     /*  957057 */     // GIR_Coverage, 64108,
     /*  957057 */     GIR_EraseRootFromParent_Done,
     /*  957058 */   // Label 14387: @957058
     /*  957058 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957140), // Rule ID 64109 //
     /*  957063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957090 */     // MIs[0] op1
     /*  957090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  957120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957128 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957138 */     GIR_RootConstrainSelectedInstOperands,
     /*  957139 */     // GIR_Coverage, 64109,
     /*  957139 */     GIR_EraseRootFromParent_Done,
     /*  957140 */   // Label 14388: @957140
     /*  957140 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957222), // Rule ID 64114 //
     /*  957145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957172 */     // MIs[0] op1
     /*  957172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957210 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957220 */     GIR_RootConstrainSelectedInstOperands,
     /*  957221 */     // GIR_Coverage, 64114,
     /*  957221 */     GIR_EraseRootFromParent_Done,
     /*  957222 */   // Label 14389: @957222
     /*  957222 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(957304), // Rule ID 64115 //
     /*  957227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957254 */     // MIs[0] op1
     /*  957254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957302 */     GIR_RootConstrainSelectedInstOperands,
     /*  957303 */     // GIR_Coverage, 64115,
     /*  957303 */     GIR_EraseRootFromParent_Done,
     /*  957304 */   // Label 14390: @957304
     /*  957304 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(957386), // Rule ID 64126 //
     /*  957309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  957329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957336 */     // MIs[0] op1
     /*  957336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957374 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957384 */     GIR_RootConstrainSelectedInstOperands,
     /*  957385 */     // GIR_Coverage, 64126,
     /*  957385 */     GIR_EraseRootFromParent_Done,
     /*  957386 */   // Label 14391: @957386
     /*  957386 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(957468), // Rule ID 64127 //
     /*  957391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  957411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957418 */     // MIs[0] op1
     /*  957418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957445 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957466 */     GIR_RootConstrainSelectedInstOperands,
     /*  957467 */     // GIR_Coverage, 64127,
     /*  957467 */     GIR_EraseRootFromParent_Done,
     /*  957468 */   // Label 14392: @957468
     /*  957468 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(957550), // Rule ID 64132 //
     /*  957473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957500 */     // MIs[0] op1
     /*  957500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957538 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957548 */     GIR_RootConstrainSelectedInstOperands,
     /*  957549 */     // GIR_Coverage, 64132,
     /*  957549 */     GIR_EraseRootFromParent_Done,
     /*  957550 */   // Label 14393: @957550
     /*  957550 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(957632), // Rule ID 64133 //
     /*  957555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957582 */     // MIs[0] op1
     /*  957582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957630 */     GIR_RootConstrainSelectedInstOperands,
     /*  957631 */     // GIR_Coverage, 64133,
     /*  957631 */     GIR_EraseRootFromParent_Done,
     /*  957632 */   // Label 14394: @957632
     /*  957632 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(957714), // Rule ID 64138 //
     /*  957637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957664 */     // MIs[0] op1
     /*  957664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957696 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957698 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957700 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957702 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957712 */     GIR_RootConstrainSelectedInstOperands,
     /*  957713 */     // GIR_Coverage, 64138,
     /*  957713 */     GIR_EraseRootFromParent_Done,
     /*  957714 */   // Label 14395: @957714
     /*  957714 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(957796), // Rule ID 64139 //
     /*  957719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957746 */     // MIs[0] op1
     /*  957746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957794 */     GIR_RootConstrainSelectedInstOperands,
     /*  957795 */     // GIR_Coverage, 64139,
     /*  957795 */     GIR_EraseRootFromParent_Done,
     /*  957796 */   // Label 14396: @957796
     /*  957796 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957878), // Rule ID 64150 //
     /*  957801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957828 */     // MIs[0] op1
     /*  957828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957866 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957876 */     GIR_RootConstrainSelectedInstOperands,
     /*  957877 */     // GIR_Coverage, 64150,
     /*  957877 */     GIR_EraseRootFromParent_Done,
     /*  957878 */   // Label 14397: @957878
     /*  957878 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957960), // Rule ID 64151 //
     /*  957883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957910 */     // MIs[0] op1
     /*  957910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957958 */     GIR_RootConstrainSelectedInstOperands,
     /*  957959 */     // GIR_Coverage, 64151,
     /*  957959 */     GIR_EraseRootFromParent_Done,
     /*  957960 */   // Label 14398: @957960
     /*  957960 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(958042), // Rule ID 64156 //
     /*  957965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957992 */     // MIs[0] op1
     /*  957992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  958022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958030 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958040 */     GIR_RootConstrainSelectedInstOperands,
     /*  958041 */     // GIR_Coverage, 64156,
     /*  958041 */     GIR_EraseRootFromParent_Done,
     /*  958042 */   // Label 14399: @958042
     /*  958042 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958124), // Rule ID 64157 //
     /*  958047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958074 */     // MIs[0] op1
     /*  958074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  958104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958122 */     GIR_RootConstrainSelectedInstOperands,
     /*  958123 */     // GIR_Coverage, 64157,
     /*  958123 */     GIR_EraseRootFromParent_Done,
     /*  958124 */   // Label 14400: @958124
     /*  958124 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(958206), // Rule ID 64162 //
     /*  958129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958156 */     // MIs[0] op1
     /*  958156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958194 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958204 */     GIR_RootConstrainSelectedInstOperands,
     /*  958205 */     // GIR_Coverage, 64162,
     /*  958205 */     GIR_EraseRootFromParent_Done,
     /*  958206 */   // Label 14401: @958206
     /*  958206 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(958288), // Rule ID 64163 //
     /*  958211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958238 */     // MIs[0] op1
     /*  958238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958286 */     GIR_RootConstrainSelectedInstOperands,
     /*  958287 */     // GIR_Coverage, 64163,
     /*  958287 */     GIR_EraseRootFromParent_Done,
     /*  958288 */   // Label 14402: @958288
     /*  958288 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(958370), // Rule ID 64174 //
     /*  958293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958320 */     // MIs[0] op1
     /*  958320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958358 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958368 */     GIR_RootConstrainSelectedInstOperands,
     /*  958369 */     // GIR_Coverage, 64174,
     /*  958369 */     GIR_EraseRootFromParent_Done,
     /*  958370 */   // Label 14403: @958370
     /*  958370 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(958452), // Rule ID 64175 //
     /*  958375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958402 */     // MIs[0] op1
     /*  958402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958429 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958450 */     GIR_RootConstrainSelectedInstOperands,
     /*  958451 */     // GIR_Coverage, 64175,
     /*  958451 */     GIR_EraseRootFromParent_Done,
     /*  958452 */   // Label 14404: @958452
     /*  958452 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(958534), // Rule ID 64180 //
     /*  958457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958484 */     // MIs[0] op1
     /*  958484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958522 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958532 */     GIR_RootConstrainSelectedInstOperands,
     /*  958533 */     // GIR_Coverage, 64180,
     /*  958533 */     GIR_EraseRootFromParent_Done,
     /*  958534 */   // Label 14405: @958534
     /*  958534 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(958616), // Rule ID 64181 //
     /*  958539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958566 */     // MIs[0] op1
     /*  958566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958604 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958614 */     GIR_RootConstrainSelectedInstOperands,
     /*  958615 */     // GIR_Coverage, 64181,
     /*  958615 */     GIR_EraseRootFromParent_Done,
     /*  958616 */   // Label 14406: @958616
     /*  958616 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(958698), // Rule ID 64186 //
     /*  958621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958648 */     // MIs[0] op1
     /*  958648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958686 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958696 */     GIR_RootConstrainSelectedInstOperands,
     /*  958697 */     // GIR_Coverage, 64186,
     /*  958697 */     GIR_EraseRootFromParent_Done,
     /*  958698 */   // Label 14407: @958698
     /*  958698 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(958780), // Rule ID 64187 //
     /*  958703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958730 */     // MIs[0] op1
     /*  958730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958778 */     GIR_RootConstrainSelectedInstOperands,
     /*  958779 */     // GIR_Coverage, 64187,
     /*  958779 */     GIR_EraseRootFromParent_Done,
     /*  958780 */   // Label 14408: @958780
     /*  958780 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958862), // Rule ID 64198 //
     /*  958785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958812 */     // MIs[0] op1
     /*  958812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958844 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958846 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958848 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958850 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958860 */     GIR_RootConstrainSelectedInstOperands,
     /*  958861 */     // GIR_Coverage, 64198,
     /*  958861 */     GIR_EraseRootFromParent_Done,
     /*  958862 */   // Label 14409: @958862
     /*  958862 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958944), // Rule ID 64199 //
     /*  958867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958894 */     // MIs[0] op1
     /*  958894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958932 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958942 */     GIR_RootConstrainSelectedInstOperands,
     /*  958943 */     // GIR_Coverage, 64199,
     /*  958943 */     GIR_EraseRootFromParent_Done,
     /*  958944 */   // Label 14410: @958944
     /*  958944 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(959026), // Rule ID 64204 //
     /*  958949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958976 */     // MIs[0] op1
     /*  958976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  959006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959014 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959024 */     GIR_RootConstrainSelectedInstOperands,
     /*  959025 */     // GIR_Coverage, 64204,
     /*  959025 */     GIR_EraseRootFromParent_Done,
     /*  959026 */   // Label 14411: @959026
     /*  959026 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(959108), // Rule ID 64205 //
     /*  959031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959058 */     // MIs[0] op1
     /*  959058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  959088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959096 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959106 */     GIR_RootConstrainSelectedInstOperands,
     /*  959107 */     // GIR_Coverage, 64205,
     /*  959107 */     GIR_EraseRootFromParent_Done,
     /*  959108 */   // Label 14412: @959108
     /*  959108 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(959200), // Rule ID 5086 //
     /*  959113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959163 */     // MIs[1] Operand 1
     /*  959163 */     // No operand predicates
     /*  959163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959198 */     GIR_RootConstrainSelectedInstOperands,
     /*  959199 */     // GIR_Coverage, 5086,
     /*  959199 */     GIR_EraseRootFromParent_Done,
     /*  959200 */   // Label 14413: @959200
     /*  959200 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(959292), // Rule ID 5087 //
     /*  959205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959255 */     // MIs[1] Operand 1
     /*  959255 */     // No operand predicates
     /*  959255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959290 */     GIR_RootConstrainSelectedInstOperands,
     /*  959291 */     // GIR_Coverage, 5087,
     /*  959291 */     GIR_EraseRootFromParent_Done,
     /*  959292 */   // Label 14414: @959292
     /*  959292 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(959384), // Rule ID 5088 //
     /*  959297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959347 */     // MIs[1] Operand 1
     /*  959347 */     // No operand predicates
     /*  959347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959360 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959382 */     GIR_RootConstrainSelectedInstOperands,
     /*  959383 */     // GIR_Coverage, 5088,
     /*  959383 */     GIR_EraseRootFromParent_Done,
     /*  959384 */   // Label 14415: @959384
     /*  959384 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(959476), // Rule ID 5089 //
     /*  959389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959439 */     // MIs[1] Operand 1
     /*  959439 */     // No operand predicates
     /*  959439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959474 */     GIR_RootConstrainSelectedInstOperands,
     /*  959475 */     // GIR_Coverage, 5089,
     /*  959475 */     GIR_EraseRootFromParent_Done,
     /*  959476 */   // Label 14416: @959476
     /*  959476 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(959568), // Rule ID 5090 //
     /*  959481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959531 */     // MIs[1] Operand 1
     /*  959531 */     // No operand predicates
     /*  959531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959566 */     GIR_RootConstrainSelectedInstOperands,
     /*  959567 */     // GIR_Coverage, 5090,
     /*  959567 */     GIR_EraseRootFromParent_Done,
     /*  959568 */   // Label 14417: @959568
     /*  959568 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(959660), // Rule ID 5091 //
     /*  959573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959623 */     // MIs[1] Operand 1
     /*  959623 */     // No operand predicates
     /*  959623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959658 */     GIR_RootConstrainSelectedInstOperands,
     /*  959659 */     // GIR_Coverage, 5091,
     /*  959659 */     GIR_EraseRootFromParent_Done,
     /*  959660 */   // Label 14418: @959660
     /*  959660 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(959752), // Rule ID 5092 //
     /*  959665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959715 */     // MIs[1] Operand 1
     /*  959715 */     // No operand predicates
     /*  959715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959750 */     GIR_RootConstrainSelectedInstOperands,
     /*  959751 */     // GIR_Coverage, 5092,
     /*  959751 */     GIR_EraseRootFromParent_Done,
     /*  959752 */   // Label 14419: @959752
     /*  959752 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(959844), // Rule ID 5093 //
     /*  959757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959807 */     // MIs[1] Operand 1
     /*  959807 */     // No operand predicates
     /*  959807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959842 */     GIR_RootConstrainSelectedInstOperands,
     /*  959843 */     // GIR_Coverage, 5093,
     /*  959843 */     GIR_EraseRootFromParent_Done,
     /*  959844 */   // Label 14420: @959844
     /*  959844 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959936), // Rule ID 5094 //
     /*  959849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959899 */     // MIs[1] Operand 1
     /*  959899 */     // No operand predicates
     /*  959899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959934 */     GIR_RootConstrainSelectedInstOperands,
     /*  959935 */     // GIR_Coverage, 5094,
     /*  959935 */     GIR_EraseRootFromParent_Done,
     /*  959936 */   // Label 14421: @959936
     /*  959936 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(960028), // Rule ID 5095 //
     /*  959941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959991 */     // MIs[1] Operand 1
     /*  959991 */     // No operand predicates
     /*  959991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960026 */     GIR_RootConstrainSelectedInstOperands,
     /*  960027 */     // GIR_Coverage, 5095,
     /*  960027 */     GIR_EraseRootFromParent_Done,
     /*  960028 */   // Label 14422: @960028
     /*  960028 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(960120), // Rule ID 5096 //
     /*  960033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960083 */     // MIs[1] Operand 1
     /*  960083 */     // No operand predicates
     /*  960083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960118 */     GIR_RootConstrainSelectedInstOperands,
     /*  960119 */     // GIR_Coverage, 5096,
     /*  960119 */     GIR_EraseRootFromParent_Done,
     /*  960120 */   // Label 14423: @960120
     /*  960120 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(960212), // Rule ID 5097 //
     /*  960125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960175 */     // MIs[1] Operand 1
     /*  960175 */     // No operand predicates
     /*  960175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960210 */     GIR_RootConstrainSelectedInstOperands,
     /*  960211 */     // GIR_Coverage, 5097,
     /*  960211 */     GIR_EraseRootFromParent_Done,
     /*  960212 */   // Label 14424: @960212
     /*  960212 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(960304), // Rule ID 5098 //
     /*  960217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960267 */     // MIs[1] Operand 1
     /*  960267 */     // No operand predicates
     /*  960267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960302 */     GIR_RootConstrainSelectedInstOperands,
     /*  960303 */     // GIR_Coverage, 5098,
     /*  960303 */     GIR_EraseRootFromParent_Done,
     /*  960304 */   // Label 14425: @960304
     /*  960304 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(960396), // Rule ID 5099 //
     /*  960309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960359 */     // MIs[1] Operand 1
     /*  960359 */     // No operand predicates
     /*  960359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960394 */     GIR_RootConstrainSelectedInstOperands,
     /*  960395 */     // GIR_Coverage, 5099,
     /*  960395 */     GIR_EraseRootFromParent_Done,
     /*  960396 */   // Label 14426: @960396
     /*  960396 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(960488), // Rule ID 5100 //
     /*  960401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960451 */     // MIs[1] Operand 1
     /*  960451 */     // No operand predicates
     /*  960451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960486 */     GIR_RootConstrainSelectedInstOperands,
     /*  960487 */     // GIR_Coverage, 5100,
     /*  960487 */     GIR_EraseRootFromParent_Done,
     /*  960488 */   // Label 14427: @960488
     /*  960488 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(960580), // Rule ID 5101 //
     /*  960493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960543 */     // MIs[1] Operand 1
     /*  960543 */     // No operand predicates
     /*  960543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960578 */     GIR_RootConstrainSelectedInstOperands,
     /*  960579 */     // GIR_Coverage, 5101,
     /*  960579 */     GIR_EraseRootFromParent_Done,
     /*  960580 */   // Label 14428: @960580
     /*  960580 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(960672), // Rule ID 5102 //
     /*  960585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960635 */     // MIs[1] Operand 1
     /*  960635 */     // No operand predicates
     /*  960635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960670 */     GIR_RootConstrainSelectedInstOperands,
     /*  960671 */     // GIR_Coverage, 5102,
     /*  960671 */     GIR_EraseRootFromParent_Done,
     /*  960672 */   // Label 14429: @960672
     /*  960672 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(960764), // Rule ID 5103 //
     /*  960677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960727 */     // MIs[1] Operand 1
     /*  960727 */     // No operand predicates
     /*  960727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960762 */     GIR_RootConstrainSelectedInstOperands,
     /*  960763 */     // GIR_Coverage, 5103,
     /*  960763 */     GIR_EraseRootFromParent_Done,
     /*  960764 */   // Label 14430: @960764
     /*  960764 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(960856), // Rule ID 5104 //
     /*  960769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960819 */     // MIs[1] Operand 1
     /*  960819 */     // No operand predicates
     /*  960819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960832 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  960832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960854 */     GIR_RootConstrainSelectedInstOperands,
     /*  960855 */     // GIR_Coverage, 5104,
     /*  960855 */     GIR_EraseRootFromParent_Done,
     /*  960856 */   // Label 14431: @960856
     /*  960856 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(960948), // Rule ID 5105 //
     /*  960861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960911 */     // MIs[1] Operand 1
     /*  960911 */     // No operand predicates
     /*  960911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  960924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960946 */     GIR_RootConstrainSelectedInstOperands,
     /*  960947 */     // GIR_Coverage, 5105,
     /*  960947 */     GIR_EraseRootFromParent_Done,
     /*  960948 */   // Label 14432: @960948
     /*  960948 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(961040), // Rule ID 5106 //
     /*  960953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961003 */     // MIs[1] Operand 1
     /*  961003 */     // No operand predicates
     /*  961003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961038 */     GIR_RootConstrainSelectedInstOperands,
     /*  961039 */     // GIR_Coverage, 5106,
     /*  961039 */     GIR_EraseRootFromParent_Done,
     /*  961040 */   // Label 14433: @961040
     /*  961040 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(961132), // Rule ID 5107 //
     /*  961045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  961056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  961059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  961062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961095 */     // MIs[1] Operand 1
     /*  961095 */     // No operand predicates
     /*  961095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961130 */     GIR_RootConstrainSelectedInstOperands,
     /*  961131 */     // GIR_Coverage, 5107,
     /*  961131 */     GIR_EraseRootFromParent_Done,
     /*  961132 */   // Label 14434: @961132
     /*  961132 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(961224), // Rule ID 5108 //
     /*  961137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961187 */     // MIs[1] Operand 1
     /*  961187 */     // No operand predicates
     /*  961187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961200 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961222 */     GIR_RootConstrainSelectedInstOperands,
     /*  961223 */     // GIR_Coverage, 5108,
     /*  961223 */     GIR_EraseRootFromParent_Done,
     /*  961224 */   // Label 14435: @961224
     /*  961224 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(961316), // Rule ID 5109 //
     /*  961229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961279 */     // MIs[1] Operand 1
     /*  961279 */     // No operand predicates
     /*  961279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961314 */     GIR_RootConstrainSelectedInstOperands,
     /*  961315 */     // GIR_Coverage, 5109,
     /*  961315 */     GIR_EraseRootFromParent_Done,
     /*  961316 */   // Label 14436: @961316
     /*  961316 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(961408), // Rule ID 5110 //
     /*  961321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  961332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  961335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  961338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961371 */     // MIs[1] Operand 1
     /*  961371 */     // No operand predicates
     /*  961371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961384 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961406 */     GIR_RootConstrainSelectedInstOperands,
     /*  961407 */     // GIR_Coverage, 5110,
     /*  961407 */     GIR_EraseRootFromParent_Done,
     /*  961408 */   // Label 14437: @961408
     /*  961408 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(961500), // Rule ID 5111 //
     /*  961413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  961424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  961427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  961430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961463 */     // MIs[1] Operand 1
     /*  961463 */     // No operand predicates
     /*  961463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961498 */     GIR_RootConstrainSelectedInstOperands,
     /*  961499 */     // GIR_Coverage, 5111,
     /*  961499 */     GIR_EraseRootFromParent_Done,
     /*  961500 */   // Label 14438: @961500
     /*  961500 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(961592), // Rule ID 5112 //
     /*  961505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961555 */     // MIs[1] Operand 1
     /*  961555 */     // No operand predicates
     /*  961555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961590 */     GIR_RootConstrainSelectedInstOperands,
     /*  961591 */     // GIR_Coverage, 5112,
     /*  961591 */     GIR_EraseRootFromParent_Done,
     /*  961592 */   // Label 14439: @961592
     /*  961592 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(961684), // Rule ID 5113 //
     /*  961597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961647 */     // MIs[1] Operand 1
     /*  961647 */     // No operand predicates
     /*  961647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961682 */     GIR_RootConstrainSelectedInstOperands,
     /*  961683 */     // GIR_Coverage, 5113,
     /*  961683 */     GIR_EraseRootFromParent_Done,
     /*  961684 */   // Label 14440: @961684
     /*  961684 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(961776), // Rule ID 5114 //
     /*  961689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961739 */     // MIs[1] Operand 1
     /*  961739 */     // No operand predicates
     /*  961739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961774 */     GIR_RootConstrainSelectedInstOperands,
     /*  961775 */     // GIR_Coverage, 5114,
     /*  961775 */     GIR_EraseRootFromParent_Done,
     /*  961776 */   // Label 14441: @961776
     /*  961776 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(961868), // Rule ID 5115 //
     /*  961781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961831 */     // MIs[1] Operand 1
     /*  961831 */     // No operand predicates
     /*  961831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961866 */     GIR_RootConstrainSelectedInstOperands,
     /*  961867 */     // GIR_Coverage, 5115,
     /*  961867 */     GIR_EraseRootFromParent_Done,
     /*  961868 */   // Label 14442: @961868
     /*  961868 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(961960), // Rule ID 5116 //
     /*  961873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961923 */     // MIs[1] Operand 1
     /*  961923 */     // No operand predicates
     /*  961923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961958 */     GIR_RootConstrainSelectedInstOperands,
     /*  961959 */     // GIR_Coverage, 5116,
     /*  961959 */     GIR_EraseRootFromParent_Done,
     /*  961960 */   // Label 14443: @961960
     /*  961960 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(962052), // Rule ID 5117 //
     /*  961965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962015 */     // MIs[1] Operand 1
     /*  962015 */     // No operand predicates
     /*  962015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  962028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962050 */     GIR_RootConstrainSelectedInstOperands,
     /*  962051 */     // GIR_Coverage, 5117,
     /*  962051 */     GIR_EraseRootFromParent_Done,
     /*  962052 */   // Label 14444: @962052
     /*  962052 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(962144), // Rule ID 5118 //
     /*  962057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962107 */     // MIs[1] Operand 1
     /*  962107 */     // No operand predicates
     /*  962107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962142 */     GIR_RootConstrainSelectedInstOperands,
     /*  962143 */     // GIR_Coverage, 5118,
     /*  962143 */     GIR_EraseRootFromParent_Done,
     /*  962144 */   // Label 14445: @962144
     /*  962144 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(962236), // Rule ID 5119 //
     /*  962149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962199 */     // MIs[1] Operand 1
     /*  962199 */     // No operand predicates
     /*  962199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962234 */     GIR_RootConstrainSelectedInstOperands,
     /*  962235 */     // GIR_Coverage, 5119,
     /*  962235 */     GIR_EraseRootFromParent_Done,
     /*  962236 */   // Label 14446: @962236
     /*  962236 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(962328), // Rule ID 5120 //
     /*  962241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962291 */     // MIs[1] Operand 1
     /*  962291 */     // No operand predicates
     /*  962291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962326 */     GIR_RootConstrainSelectedInstOperands,
     /*  962327 */     // GIR_Coverage, 5120,
     /*  962327 */     GIR_EraseRootFromParent_Done,
     /*  962328 */   // Label 14447: @962328
     /*  962328 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(962420), // Rule ID 5121 //
     /*  962333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962383 */     // MIs[1] Operand 1
     /*  962383 */     // No operand predicates
     /*  962383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962418 */     GIR_RootConstrainSelectedInstOperands,
     /*  962419 */     // GIR_Coverage, 5121,
     /*  962419 */     GIR_EraseRootFromParent_Done,
     /*  962420 */   // Label 14448: @962420
     /*  962420 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(962512), // Rule ID 5122 //
     /*  962425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962475 */     // MIs[1] Operand 1
     /*  962475 */     // No operand predicates
     /*  962475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962510 */     GIR_RootConstrainSelectedInstOperands,
     /*  962511 */     // GIR_Coverage, 5122,
     /*  962511 */     GIR_EraseRootFromParent_Done,
     /*  962512 */   // Label 14449: @962512
     /*  962512 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(962604), // Rule ID 5123 //
     /*  962517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962567 */     // MIs[1] Operand 1
     /*  962567 */     // No operand predicates
     /*  962567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962602 */     GIR_RootConstrainSelectedInstOperands,
     /*  962603 */     // GIR_Coverage, 5123,
     /*  962603 */     GIR_EraseRootFromParent_Done,
     /*  962604 */   // Label 14450: @962604
     /*  962604 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(962696), // Rule ID 5124 //
     /*  962609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962659 */     // MIs[1] Operand 1
     /*  962659 */     // No operand predicates
     /*  962659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962694 */     GIR_RootConstrainSelectedInstOperands,
     /*  962695 */     // GIR_Coverage, 5124,
     /*  962695 */     GIR_EraseRootFromParent_Done,
     /*  962696 */   // Label 14451: @962696
     /*  962696 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(962788), // Rule ID 5125 //
     /*  962701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962751 */     // MIs[1] Operand 1
     /*  962751 */     // No operand predicates
     /*  962751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962786 */     GIR_RootConstrainSelectedInstOperands,
     /*  962787 */     // GIR_Coverage, 5125,
     /*  962787 */     GIR_EraseRootFromParent_Done,
     /*  962788 */   // Label 14452: @962788
     /*  962788 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(962880), // Rule ID 5126 //
     /*  962793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962843 */     // MIs[1] Operand 1
     /*  962843 */     // No operand predicates
     /*  962843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962878 */     GIR_RootConstrainSelectedInstOperands,
     /*  962879 */     // GIR_Coverage, 5126,
     /*  962879 */     GIR_EraseRootFromParent_Done,
     /*  962880 */   // Label 14453: @962880
     /*  962880 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(962972), // Rule ID 5127 //
     /*  962885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962935 */     // MIs[1] Operand 1
     /*  962935 */     // No operand predicates
     /*  962935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962970 */     GIR_RootConstrainSelectedInstOperands,
     /*  962971 */     // GIR_Coverage, 5127,
     /*  962971 */     GIR_EraseRootFromParent_Done,
     /*  962972 */   // Label 14454: @962972
     /*  962972 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963064), // Rule ID 5128 //
     /*  962977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963027 */     // MIs[1] Operand 1
     /*  963027 */     // No operand predicates
     /*  963027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  963040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963062 */     GIR_RootConstrainSelectedInstOperands,
     /*  963063 */     // GIR_Coverage, 5128,
     /*  963063 */     GIR_EraseRootFromParent_Done,
     /*  963064 */   // Label 14455: @963064
     /*  963064 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(963156), // Rule ID 5129 //
     /*  963069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  963083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963119 */     // MIs[1] Operand 1
     /*  963119 */     // No operand predicates
     /*  963119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  963132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963154 */     GIR_RootConstrainSelectedInstOperands,
     /*  963155 */     // GIR_Coverage, 5129,
     /*  963155 */     GIR_EraseRootFromParent_Done,
     /*  963156 */   // Label 14456: @963156
     /*  963156 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(963251), // Rule ID 7860 //
     /*  963161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963211 */     // MIs[1] Operand 1
     /*  963211 */     // No operand predicates
     /*  963211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963249 */     GIR_RootConstrainSelectedInstOperands,
     /*  963250 */     // GIR_Coverage, 7860,
     /*  963250 */     GIR_EraseRootFromParent_Done,
     /*  963251 */   // Label 14457: @963251
     /*  963251 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(963346), // Rule ID 7861 //
     /*  963256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963306 */     // MIs[1] Operand 1
     /*  963306 */     // No operand predicates
     /*  963306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963319 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963344 */     GIR_RootConstrainSelectedInstOperands,
     /*  963345 */     // GIR_Coverage, 7861,
     /*  963345 */     GIR_EraseRootFromParent_Done,
     /*  963346 */   // Label 14458: @963346
     /*  963346 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(963441), // Rule ID 7864 //
     /*  963351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963401 */     // MIs[1] Operand 1
     /*  963401 */     // No operand predicates
     /*  963401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963439 */     GIR_RootConstrainSelectedInstOperands,
     /*  963440 */     // GIR_Coverage, 7864,
     /*  963440 */     GIR_EraseRootFromParent_Done,
     /*  963441 */   // Label 14459: @963441
     /*  963441 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(963536), // Rule ID 7865 //
     /*  963446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963496 */     // MIs[1] Operand 1
     /*  963496 */     // No operand predicates
     /*  963496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963534 */     GIR_RootConstrainSelectedInstOperands,
     /*  963535 */     // GIR_Coverage, 7865,
     /*  963535 */     GIR_EraseRootFromParent_Done,
     /*  963536 */   // Label 14460: @963536
     /*  963536 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(963631), // Rule ID 7868 //
     /*  963541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963591 */     // MIs[1] Operand 1
     /*  963591 */     // No operand predicates
     /*  963591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963629 */     GIR_RootConstrainSelectedInstOperands,
     /*  963630 */     // GIR_Coverage, 7868,
     /*  963630 */     GIR_EraseRootFromParent_Done,
     /*  963631 */   // Label 14461: @963631
     /*  963631 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(963726), // Rule ID 7869 //
     /*  963636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963686 */     // MIs[1] Operand 1
     /*  963686 */     // No operand predicates
     /*  963686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963724 */     GIR_RootConstrainSelectedInstOperands,
     /*  963725 */     // GIR_Coverage, 7869,
     /*  963725 */     GIR_EraseRootFromParent_Done,
     /*  963726 */   // Label 14462: @963726
     /*  963726 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(963821), // Rule ID 7872 //
     /*  963731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963781 */     // MIs[1] Operand 1
     /*  963781 */     // No operand predicates
     /*  963781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963794 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963819 */     GIR_RootConstrainSelectedInstOperands,
     /*  963820 */     // GIR_Coverage, 7872,
     /*  963820 */     GIR_EraseRootFromParent_Done,
     /*  963821 */   // Label 14463: @963821
     /*  963821 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(963916), // Rule ID 7873 //
     /*  963826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963876 */     // MIs[1] Operand 1
     /*  963876 */     // No operand predicates
     /*  963876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963889 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963914 */     GIR_RootConstrainSelectedInstOperands,
     /*  963915 */     // GIR_Coverage, 7873,
     /*  963915 */     GIR_EraseRootFromParent_Done,
     /*  963916 */   // Label 14464: @963916
     /*  963916 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(964011), // Rule ID 7876 //
     /*  963921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963971 */     // MIs[1] Operand 1
     /*  963971 */     // No operand predicates
     /*  963971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964009 */     GIR_RootConstrainSelectedInstOperands,
     /*  964010 */     // GIR_Coverage, 7876,
     /*  964010 */     GIR_EraseRootFromParent_Done,
     /*  964011 */   // Label 14465: @964011
     /*  964011 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964106), // Rule ID 7877 //
     /*  964016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964066 */     // MIs[1] Operand 1
     /*  964066 */     // No operand predicates
     /*  964066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964104 */     GIR_RootConstrainSelectedInstOperands,
     /*  964105 */     // GIR_Coverage, 7877,
     /*  964105 */     GIR_EraseRootFromParent_Done,
     /*  964106 */   // Label 14466: @964106
     /*  964106 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(964201), // Rule ID 7880 //
     /*  964111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964161 */     // MIs[1] Operand 1
     /*  964161 */     // No operand predicates
     /*  964161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964199 */     GIR_RootConstrainSelectedInstOperands,
     /*  964200 */     // GIR_Coverage, 7880,
     /*  964200 */     GIR_EraseRootFromParent_Done,
     /*  964201 */   // Label 14467: @964201
     /*  964201 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(964296), // Rule ID 7881 //
     /*  964206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964256 */     // MIs[1] Operand 1
     /*  964256 */     // No operand predicates
     /*  964256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964294 */     GIR_RootConstrainSelectedInstOperands,
     /*  964295 */     // GIR_Coverage, 7881,
     /*  964295 */     GIR_EraseRootFromParent_Done,
     /*  964296 */   // Label 14468: @964296
     /*  964296 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(964391), // Rule ID 7884 //
     /*  964301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964351 */     // MIs[1] Operand 1
     /*  964351 */     // No operand predicates
     /*  964351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964389 */     GIR_RootConstrainSelectedInstOperands,
     /*  964390 */     // GIR_Coverage, 7884,
     /*  964390 */     GIR_EraseRootFromParent_Done,
     /*  964391 */   // Label 14469: @964391
     /*  964391 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(964486), // Rule ID 7885 //
     /*  964396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964446 */     // MIs[1] Operand 1
     /*  964446 */     // No operand predicates
     /*  964446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964484 */     GIR_RootConstrainSelectedInstOperands,
     /*  964485 */     // GIR_Coverage, 7885,
     /*  964485 */     GIR_EraseRootFromParent_Done,
     /*  964486 */   // Label 14470: @964486
     /*  964486 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(964581), // Rule ID 7888 //
     /*  964491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964541 */     // MIs[1] Operand 1
     /*  964541 */     // No operand predicates
     /*  964541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964554 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964579 */     GIR_RootConstrainSelectedInstOperands,
     /*  964580 */     // GIR_Coverage, 7888,
     /*  964580 */     GIR_EraseRootFromParent_Done,
     /*  964581 */   // Label 14471: @964581
     /*  964581 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(964676), // Rule ID 7889 //
     /*  964586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964636 */     // MIs[1] Operand 1
     /*  964636 */     // No operand predicates
     /*  964636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964674 */     GIR_RootConstrainSelectedInstOperands,
     /*  964675 */     // GIR_Coverage, 7889,
     /*  964675 */     GIR_EraseRootFromParent_Done,
     /*  964676 */   // Label 14472: @964676
     /*  964676 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(964771), // Rule ID 7892 //
     /*  964681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964731 */     // MIs[1] Operand 1
     /*  964731 */     // No operand predicates
     /*  964731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964769 */     GIR_RootConstrainSelectedInstOperands,
     /*  964770 */     // GIR_Coverage, 7892,
     /*  964770 */     GIR_EraseRootFromParent_Done,
     /*  964771 */   // Label 14473: @964771
     /*  964771 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(964866), // Rule ID 7893 //
     /*  964776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964826 */     // MIs[1] Operand 1
     /*  964826 */     // No operand predicates
     /*  964826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964839 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964864 */     GIR_RootConstrainSelectedInstOperands,
     /*  964865 */     // GIR_Coverage, 7893,
     /*  964865 */     GIR_EraseRootFromParent_Done,
     /*  964866 */   // Label 14474: @964866
     /*  964866 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(964961), // Rule ID 7896 //
     /*  964871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964921 */     // MIs[1] Operand 1
     /*  964921 */     // No operand predicates
     /*  964921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964959 */     GIR_RootConstrainSelectedInstOperands,
     /*  964960 */     // GIR_Coverage, 7896,
     /*  964960 */     GIR_EraseRootFromParent_Done,
     /*  964961 */   // Label 14475: @964961
     /*  964961 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965056), // Rule ID 7897 //
     /*  964966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965016 */     // MIs[1] Operand 1
     /*  965016 */     // No operand predicates
     /*  965016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965029 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965054 */     GIR_RootConstrainSelectedInstOperands,
     /*  965055 */     // GIR_Coverage, 7897,
     /*  965055 */     GIR_EraseRootFromParent_Done,
     /*  965056 */   // Label 14476: @965056
     /*  965056 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(965151), // Rule ID 7900 //
     /*  965061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965111 */     // MIs[1] Operand 1
     /*  965111 */     // No operand predicates
     /*  965111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965149 */     GIR_RootConstrainSelectedInstOperands,
     /*  965150 */     // GIR_Coverage, 7900,
     /*  965150 */     GIR_EraseRootFromParent_Done,
     /*  965151 */   // Label 14477: @965151
     /*  965151 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(965246), // Rule ID 7901 //
     /*  965156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965206 */     // MIs[1] Operand 1
     /*  965206 */     // No operand predicates
     /*  965206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965219 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965244 */     GIR_RootConstrainSelectedInstOperands,
     /*  965245 */     // GIR_Coverage, 7901,
     /*  965245 */     GIR_EraseRootFromParent_Done,
     /*  965246 */   // Label 14478: @965246
     /*  965246 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(965341), // Rule ID 7904 //
     /*  965251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965301 */     // MIs[1] Operand 1
     /*  965301 */     // No operand predicates
     /*  965301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965314 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965339 */     GIR_RootConstrainSelectedInstOperands,
     /*  965340 */     // GIR_Coverage, 7904,
     /*  965340 */     GIR_EraseRootFromParent_Done,
     /*  965341 */   // Label 14479: @965341
     /*  965341 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(965436), // Rule ID 7905 //
     /*  965346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965396 */     // MIs[1] Operand 1
     /*  965396 */     // No operand predicates
     /*  965396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965434 */     GIR_RootConstrainSelectedInstOperands,
     /*  965435 */     // GIR_Coverage, 7905,
     /*  965435 */     GIR_EraseRootFromParent_Done,
     /*  965436 */   // Label 14480: @965436
     /*  965436 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(965531), // Rule ID 7908 //
     /*  965441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965491 */     // MIs[1] Operand 1
     /*  965491 */     // No operand predicates
     /*  965491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965504 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965529 */     GIR_RootConstrainSelectedInstOperands,
     /*  965530 */     // GIR_Coverage, 7908,
     /*  965530 */     GIR_EraseRootFromParent_Done,
     /*  965531 */   // Label 14481: @965531
     /*  965531 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(965626), // Rule ID 7909 //
     /*  965536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965586 */     // MIs[1] Operand 1
     /*  965586 */     // No operand predicates
     /*  965586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965599 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965624 */     GIR_RootConstrainSelectedInstOperands,
     /*  965625 */     // GIR_Coverage, 7909,
     /*  965625 */     GIR_EraseRootFromParent_Done,
     /*  965626 */   // Label 14482: @965626
     /*  965626 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(965721), // Rule ID 7912 //
     /*  965631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965681 */     // MIs[1] Operand 1
     /*  965681 */     // No operand predicates
     /*  965681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965694 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965719 */     GIR_RootConstrainSelectedInstOperands,
     /*  965720 */     // GIR_Coverage, 7912,
     /*  965720 */     GIR_EraseRootFromParent_Done,
     /*  965721 */   // Label 14483: @965721
     /*  965721 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(965816), // Rule ID 7913 //
     /*  965726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965776 */     // MIs[1] Operand 1
     /*  965776 */     // No operand predicates
     /*  965776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965814 */     GIR_RootConstrainSelectedInstOperands,
     /*  965815 */     // GIR_Coverage, 7913,
     /*  965815 */     GIR_EraseRootFromParent_Done,
     /*  965816 */   // Label 14484: @965816
     /*  965816 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(965911), // Rule ID 7916 //
     /*  965821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965871 */     // MIs[1] Operand 1
     /*  965871 */     // No operand predicates
     /*  965871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965909 */     GIR_RootConstrainSelectedInstOperands,
     /*  965910 */     // GIR_Coverage, 7916,
     /*  965910 */     GIR_EraseRootFromParent_Done,
     /*  965911 */   // Label 14485: @965911
     /*  965911 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(966006), // Rule ID 7917 //
     /*  965916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965966 */     // MIs[1] Operand 1
     /*  965966 */     // No operand predicates
     /*  965966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965979 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966004 */     GIR_RootConstrainSelectedInstOperands,
     /*  966005 */     // GIR_Coverage, 7917,
     /*  966005 */     GIR_EraseRootFromParent_Done,
     /*  966006 */   // Label 14486: @966006
     /*  966006 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966101), // Rule ID 7920 //
     /*  966011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966061 */     // MIs[1] Operand 1
     /*  966061 */     // No operand predicates
     /*  966061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966074 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966099 */     GIR_RootConstrainSelectedInstOperands,
     /*  966100 */     // GIR_Coverage, 7920,
     /*  966100 */     GIR_EraseRootFromParent_Done,
     /*  966101 */   // Label 14487: @966101
     /*  966101 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(966196), // Rule ID 7921 //
     /*  966106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966156 */     // MIs[1] Operand 1
     /*  966156 */     // No operand predicates
     /*  966156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966169 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966194 */     GIR_RootConstrainSelectedInstOperands,
     /*  966195 */     // GIR_Coverage, 7921,
     /*  966195 */     GIR_EraseRootFromParent_Done,
     /*  966196 */   // Label 14488: @966196
     /*  966196 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(966291), // Rule ID 7924 //
     /*  966201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966251 */     // MIs[1] Operand 1
     /*  966251 */     // No operand predicates
     /*  966251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966289 */     GIR_RootConstrainSelectedInstOperands,
     /*  966290 */     // GIR_Coverage, 7924,
     /*  966290 */     GIR_EraseRootFromParent_Done,
     /*  966291 */   // Label 14489: @966291
     /*  966291 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(966386), // Rule ID 7925 //
     /*  966296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966346 */     // MIs[1] Operand 1
     /*  966346 */     // No operand predicates
     /*  966346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966384 */     GIR_RootConstrainSelectedInstOperands,
     /*  966385 */     // GIR_Coverage, 7925,
     /*  966385 */     GIR_EraseRootFromParent_Done,
     /*  966386 */   // Label 14490: @966386
     /*  966386 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(966481), // Rule ID 7928 //
     /*  966391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966441 */     // MIs[1] Operand 1
     /*  966441 */     // No operand predicates
     /*  966441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966479 */     GIR_RootConstrainSelectedInstOperands,
     /*  966480 */     // GIR_Coverage, 7928,
     /*  966480 */     GIR_EraseRootFromParent_Done,
     /*  966481 */   // Label 14491: @966481
     /*  966481 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(966576), // Rule ID 7929 //
     /*  966486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966536 */     // MIs[1] Operand 1
     /*  966536 */     // No operand predicates
     /*  966536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966549 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966574 */     GIR_RootConstrainSelectedInstOperands,
     /*  966575 */     // GIR_Coverage, 7929,
     /*  966575 */     GIR_EraseRootFromParent_Done,
     /*  966576 */   // Label 14492: @966576
     /*  966576 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(966671), // Rule ID 7932 //
     /*  966581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966631 */     // MIs[1] Operand 1
     /*  966631 */     // No operand predicates
     /*  966631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966669 */     GIR_RootConstrainSelectedInstOperands,
     /*  966670 */     // GIR_Coverage, 7932,
     /*  966670 */     GIR_EraseRootFromParent_Done,
     /*  966671 */   // Label 14493: @966671
     /*  966671 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(966766), // Rule ID 7933 //
     /*  966676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966726 */     // MIs[1] Operand 1
     /*  966726 */     // No operand predicates
     /*  966726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966739 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966764 */     GIR_RootConstrainSelectedInstOperands,
     /*  966765 */     // GIR_Coverage, 7933,
     /*  966765 */     GIR_EraseRootFromParent_Done,
     /*  966766 */   // Label 14494: @966766
     /*  966766 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(966861), // Rule ID 7936 //
     /*  966771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966821 */     // MIs[1] Operand 1
     /*  966821 */     // No operand predicates
     /*  966821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966859 */     GIR_RootConstrainSelectedInstOperands,
     /*  966860 */     // GIR_Coverage, 7936,
     /*  966860 */     GIR_EraseRootFromParent_Done,
     /*  966861 */   // Label 14495: @966861
     /*  966861 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(966956), // Rule ID 7937 //
     /*  966866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966916 */     // MIs[1] Operand 1
     /*  966916 */     // No operand predicates
     /*  966916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966929 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966954 */     GIR_RootConstrainSelectedInstOperands,
     /*  966955 */     // GIR_Coverage, 7937,
     /*  966955 */     GIR_EraseRootFromParent_Done,
     /*  966956 */   // Label 14496: @966956
     /*  966956 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967051), // Rule ID 7940 //
     /*  966961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967011 */     // MIs[1] Operand 1
     /*  967011 */     // No operand predicates
     /*  967011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967049 */     GIR_RootConstrainSelectedInstOperands,
     /*  967050 */     // GIR_Coverage, 7940,
     /*  967050 */     GIR_EraseRootFromParent_Done,
     /*  967051 */   // Label 14497: @967051
     /*  967051 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(967146), // Rule ID 7941 //
     /*  967056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967106 */     // MIs[1] Operand 1
     /*  967106 */     // No operand predicates
     /*  967106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967144 */     GIR_RootConstrainSelectedInstOperands,
     /*  967145 */     // GIR_Coverage, 7941,
     /*  967145 */     GIR_EraseRootFromParent_Done,
     /*  967146 */   // Label 14498: @967146
     /*  967146 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(967241), // Rule ID 7944 //
     /*  967151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967201 */     // MIs[1] Operand 1
     /*  967201 */     // No operand predicates
     /*  967201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967239 */     GIR_RootConstrainSelectedInstOperands,
     /*  967240 */     // GIR_Coverage, 7944,
     /*  967240 */     GIR_EraseRootFromParent_Done,
     /*  967241 */   // Label 14499: @967241
     /*  967241 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(967336), // Rule ID 7945 //
     /*  967246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967296 */     // MIs[1] Operand 1
     /*  967296 */     // No operand predicates
     /*  967296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967334 */     GIR_RootConstrainSelectedInstOperands,
     /*  967335 */     // GIR_Coverage, 7945,
     /*  967335 */     GIR_EraseRootFromParent_Done,
     /*  967336 */   // Label 14500: @967336
     /*  967336 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(967431), // Rule ID 8124 //
     /*  967341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967391 */     // MIs[1] Operand 1
     /*  967391 */     // No operand predicates
     /*  967391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967429 */     GIR_RootConstrainSelectedInstOperands,
     /*  967430 */     // GIR_Coverage, 8124,
     /*  967430 */     GIR_EraseRootFromParent_Done,
     /*  967431 */   // Label 14501: @967431
     /*  967431 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(967526), // Rule ID 8125 //
     /*  967436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967486 */     // MIs[1] Operand 1
     /*  967486 */     // No operand predicates
     /*  967486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967524 */     GIR_RootConstrainSelectedInstOperands,
     /*  967525 */     // GIR_Coverage, 8125,
     /*  967525 */     GIR_EraseRootFromParent_Done,
     /*  967526 */   // Label 14502: @967526
     /*  967526 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(967621), // Rule ID 8128 //
     /*  967531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967581 */     // MIs[1] Operand 1
     /*  967581 */     // No operand predicates
     /*  967581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967619 */     GIR_RootConstrainSelectedInstOperands,
     /*  967620 */     // GIR_Coverage, 8128,
     /*  967620 */     GIR_EraseRootFromParent_Done,
     /*  967621 */   // Label 14503: @967621
     /*  967621 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(967716), // Rule ID 8129 //
     /*  967626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967676 */     // MIs[1] Operand 1
     /*  967676 */     // No operand predicates
     /*  967676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967689 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967714 */     GIR_RootConstrainSelectedInstOperands,
     /*  967715 */     // GIR_Coverage, 8129,
     /*  967715 */     GIR_EraseRootFromParent_Done,
     /*  967716 */   // Label 14504: @967716
     /*  967716 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(967811), // Rule ID 8132 //
     /*  967721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967771 */     // MIs[1] Operand 1
     /*  967771 */     // No operand predicates
     /*  967771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967809 */     GIR_RootConstrainSelectedInstOperands,
     /*  967810 */     // GIR_Coverage, 8132,
     /*  967810 */     GIR_EraseRootFromParent_Done,
     /*  967811 */   // Label 14505: @967811
     /*  967811 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(967906), // Rule ID 8133 //
     /*  967816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967866 */     // MIs[1] Operand 1
     /*  967866 */     // No operand predicates
     /*  967866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967904 */     GIR_RootConstrainSelectedInstOperands,
     /*  967905 */     // GIR_Coverage, 8133,
     /*  967905 */     GIR_EraseRootFromParent_Done,
     /*  967906 */   // Label 14506: @967906
     /*  967906 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(968001), // Rule ID 8136 //
     /*  967911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967961 */     // MIs[1] Operand 1
     /*  967961 */     // No operand predicates
     /*  967961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967999 */     GIR_RootConstrainSelectedInstOperands,
     /*  968000 */     // GIR_Coverage, 8136,
     /*  968000 */     GIR_EraseRootFromParent_Done,
     /*  968001 */   // Label 14507: @968001
     /*  968001 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968096), // Rule ID 8137 //
     /*  968006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968056 */     // MIs[1] Operand 1
     /*  968056 */     // No operand predicates
     /*  968056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968069 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968094 */     GIR_RootConstrainSelectedInstOperands,
     /*  968095 */     // GIR_Coverage, 8137,
     /*  968095 */     GIR_EraseRootFromParent_Done,
     /*  968096 */   // Label 14508: @968096
     /*  968096 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(968191), // Rule ID 8140 //
     /*  968101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968151 */     // MIs[1] Operand 1
     /*  968151 */     // No operand predicates
     /*  968151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968189 */     GIR_RootConstrainSelectedInstOperands,
     /*  968190 */     // GIR_Coverage, 8140,
     /*  968190 */     GIR_EraseRootFromParent_Done,
     /*  968191 */   // Label 14509: @968191
     /*  968191 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(968286), // Rule ID 8141 //
     /*  968196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968246 */     // MIs[1] Operand 1
     /*  968246 */     // No operand predicates
     /*  968246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968259 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968284 */     GIR_RootConstrainSelectedInstOperands,
     /*  968285 */     // GIR_Coverage, 8141,
     /*  968285 */     GIR_EraseRootFromParent_Done,
     /*  968286 */   // Label 14510: @968286
     /*  968286 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(968381), // Rule ID 8144 //
     /*  968291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968341 */     // MIs[1] Operand 1
     /*  968341 */     // No operand predicates
     /*  968341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968379 */     GIR_RootConstrainSelectedInstOperands,
     /*  968380 */     // GIR_Coverage, 8144,
     /*  968380 */     GIR_EraseRootFromParent_Done,
     /*  968381 */   // Label 14511: @968381
     /*  968381 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(968476), // Rule ID 8145 //
     /*  968386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968436 */     // MIs[1] Operand 1
     /*  968436 */     // No operand predicates
     /*  968436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968474 */     GIR_RootConstrainSelectedInstOperands,
     /*  968475 */     // GIR_Coverage, 8145,
     /*  968475 */     GIR_EraseRootFromParent_Done,
     /*  968476 */   // Label 14512: @968476
     /*  968476 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(968571), // Rule ID 8148 //
     /*  968481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968531 */     // MIs[1] Operand 1
     /*  968531 */     // No operand predicates
     /*  968531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968569 */     GIR_RootConstrainSelectedInstOperands,
     /*  968570 */     // GIR_Coverage, 8148,
     /*  968570 */     GIR_EraseRootFromParent_Done,
     /*  968571 */   // Label 14513: @968571
     /*  968571 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(968666), // Rule ID 8149 //
     /*  968576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968626 */     // MIs[1] Operand 1
     /*  968626 */     // No operand predicates
     /*  968626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968639 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968664 */     GIR_RootConstrainSelectedInstOperands,
     /*  968665 */     // GIR_Coverage, 8149,
     /*  968665 */     GIR_EraseRootFromParent_Done,
     /*  968666 */   // Label 14514: @968666
     /*  968666 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(968761), // Rule ID 8152 //
     /*  968671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968721 */     // MIs[1] Operand 1
     /*  968721 */     // No operand predicates
     /*  968721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968759 */     GIR_RootConstrainSelectedInstOperands,
     /*  968760 */     // GIR_Coverage, 8152,
     /*  968760 */     GIR_EraseRootFromParent_Done,
     /*  968761 */   // Label 14515: @968761
     /*  968761 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(968856), // Rule ID 8153 //
     /*  968766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968816 */     // MIs[1] Operand 1
     /*  968816 */     // No operand predicates
     /*  968816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968854 */     GIR_RootConstrainSelectedInstOperands,
     /*  968855 */     // GIR_Coverage, 8153,
     /*  968855 */     GIR_EraseRootFromParent_Done,
     /*  968856 */   // Label 14516: @968856
     /*  968856 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(968951), // Rule ID 8156 //
     /*  968861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968911 */     // MIs[1] Operand 1
     /*  968911 */     // No operand predicates
     /*  968911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968949 */     GIR_RootConstrainSelectedInstOperands,
     /*  968950 */     // GIR_Coverage, 8156,
     /*  968950 */     GIR_EraseRootFromParent_Done,
     /*  968951 */   // Label 14517: @968951
     /*  968951 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(969046), // Rule ID 8157 //
     /*  968956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969006 */     // MIs[1] Operand 1
     /*  969006 */     // No operand predicates
     /*  969006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969044 */     GIR_RootConstrainSelectedInstOperands,
     /*  969045 */     // GIR_Coverage, 8157,
     /*  969045 */     GIR_EraseRootFromParent_Done,
     /*  969046 */   // Label 14518: @969046
     /*  969046 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(969141), // Rule ID 8160 //
     /*  969051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969101 */     // MIs[1] Operand 1
     /*  969101 */     // No operand predicates
     /*  969101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969139 */     GIR_RootConstrainSelectedInstOperands,
     /*  969140 */     // GIR_Coverage, 8160,
     /*  969140 */     GIR_EraseRootFromParent_Done,
     /*  969141 */   // Label 14519: @969141
     /*  969141 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(969236), // Rule ID 8161 //
     /*  969146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969196 */     // MIs[1] Operand 1
     /*  969196 */     // No operand predicates
     /*  969196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969234 */     GIR_RootConstrainSelectedInstOperands,
     /*  969235 */     // GIR_Coverage, 8161,
     /*  969235 */     GIR_EraseRootFromParent_Done,
     /*  969236 */   // Label 14520: @969236
     /*  969236 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(969331), // Rule ID 8164 //
     /*  969241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969291 */     // MIs[1] Operand 1
     /*  969291 */     // No operand predicates
     /*  969291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969329 */     GIR_RootConstrainSelectedInstOperands,
     /*  969330 */     // GIR_Coverage, 8164,
     /*  969330 */     GIR_EraseRootFromParent_Done,
     /*  969331 */   // Label 14521: @969331
     /*  969331 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(969426), // Rule ID 8165 //
     /*  969336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969386 */     // MIs[1] Operand 1
     /*  969386 */     // No operand predicates
     /*  969386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969424 */     GIR_RootConstrainSelectedInstOperands,
     /*  969425 */     // GIR_Coverage, 8165,
     /*  969425 */     GIR_EraseRootFromParent_Done,
     /*  969426 */   // Label 14522: @969426
     /*  969426 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(969521), // Rule ID 8168 //
     /*  969431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969481 */     // MIs[1] Operand 1
     /*  969481 */     // No operand predicates
     /*  969481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969519 */     GIR_RootConstrainSelectedInstOperands,
     /*  969520 */     // GIR_Coverage, 8168,
     /*  969520 */     GIR_EraseRootFromParent_Done,
     /*  969521 */   // Label 14523: @969521
     /*  969521 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(969616), // Rule ID 8169 //
     /*  969526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969576 */     // MIs[1] Operand 1
     /*  969576 */     // No operand predicates
     /*  969576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969589 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969614 */     GIR_RootConstrainSelectedInstOperands,
     /*  969615 */     // GIR_Coverage, 8169,
     /*  969615 */     GIR_EraseRootFromParent_Done,
     /*  969616 */   // Label 14524: @969616
     /*  969616 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(969711), // Rule ID 8172 //
     /*  969621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969671 */     // MIs[1] Operand 1
     /*  969671 */     // No operand predicates
     /*  969671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969684 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969709 */     GIR_RootConstrainSelectedInstOperands,
     /*  969710 */     // GIR_Coverage, 8172,
     /*  969710 */     GIR_EraseRootFromParent_Done,
     /*  969711 */   // Label 14525: @969711
     /*  969711 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(969806), // Rule ID 8173 //
     /*  969716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969766 */     // MIs[1] Operand 1
     /*  969766 */     // No operand predicates
     /*  969766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969779 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969804 */     GIR_RootConstrainSelectedInstOperands,
     /*  969805 */     // GIR_Coverage, 8173,
     /*  969805 */     GIR_EraseRootFromParent_Done,
     /*  969806 */   // Label 14526: @969806
     /*  969806 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(969901), // Rule ID 8176 //
     /*  969811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969861 */     // MIs[1] Operand 1
     /*  969861 */     // No operand predicates
     /*  969861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969899 */     GIR_RootConstrainSelectedInstOperands,
     /*  969900 */     // GIR_Coverage, 8176,
     /*  969900 */     GIR_EraseRootFromParent_Done,
     /*  969901 */   // Label 14527: @969901
     /*  969901 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(969996), // Rule ID 8177 //
     /*  969906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969956 */     // MIs[1] Operand 1
     /*  969956 */     // No operand predicates
     /*  969956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969969 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969994 */     GIR_RootConstrainSelectedInstOperands,
     /*  969995 */     // GIR_Coverage, 8177,
     /*  969995 */     GIR_EraseRootFromParent_Done,
     /*  969996 */   // Label 14528: @969996
     /*  969996 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(970091), // Rule ID 8180 //
     /*  970001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970051 */     // MIs[1] Operand 1
     /*  970051 */     // No operand predicates
     /*  970051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970089 */     GIR_RootConstrainSelectedInstOperands,
     /*  970090 */     // GIR_Coverage, 8180,
     /*  970090 */     GIR_EraseRootFromParent_Done,
     /*  970091 */   // Label 14529: @970091
     /*  970091 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(970186), // Rule ID 8181 //
     /*  970096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970146 */     // MIs[1] Operand 1
     /*  970146 */     // No operand predicates
     /*  970146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970184 */     GIR_RootConstrainSelectedInstOperands,
     /*  970185 */     // GIR_Coverage, 8181,
     /*  970185 */     GIR_EraseRootFromParent_Done,
     /*  970186 */   // Label 14530: @970186
     /*  970186 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(970281), // Rule ID 8184 //
     /*  970191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970241 */     // MIs[1] Operand 1
     /*  970241 */     // No operand predicates
     /*  970241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970254 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970279 */     GIR_RootConstrainSelectedInstOperands,
     /*  970280 */     // GIR_Coverage, 8184,
     /*  970280 */     GIR_EraseRootFromParent_Done,
     /*  970281 */   // Label 14531: @970281
     /*  970281 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(970376), // Rule ID 8185 //
     /*  970286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970336 */     // MIs[1] Operand 1
     /*  970336 */     // No operand predicates
     /*  970336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970374 */     GIR_RootConstrainSelectedInstOperands,
     /*  970375 */     // GIR_Coverage, 8185,
     /*  970375 */     GIR_EraseRootFromParent_Done,
     /*  970376 */   // Label 14532: @970376
     /*  970376 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(970471), // Rule ID 8188 //
     /*  970381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970431 */     // MIs[1] Operand 1
     /*  970431 */     // No operand predicates
     /*  970431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970469 */     GIR_RootConstrainSelectedInstOperands,
     /*  970470 */     // GIR_Coverage, 8188,
     /*  970470 */     GIR_EraseRootFromParent_Done,
     /*  970471 */   // Label 14533: @970471
     /*  970471 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(970566), // Rule ID 8189 //
     /*  970476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970526 */     // MIs[1] Operand 1
     /*  970526 */     // No operand predicates
     /*  970526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970564 */     GIR_RootConstrainSelectedInstOperands,
     /*  970565 */     // GIR_Coverage, 8189,
     /*  970565 */     GIR_EraseRootFromParent_Done,
     /*  970566 */   // Label 14534: @970566
     /*  970566 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(970661), // Rule ID 8192 //
     /*  970571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970621 */     // MIs[1] Operand 1
     /*  970621 */     // No operand predicates
     /*  970621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970659 */     GIR_RootConstrainSelectedInstOperands,
     /*  970660 */     // GIR_Coverage, 8192,
     /*  970660 */     GIR_EraseRootFromParent_Done,
     /*  970661 */   // Label 14535: @970661
     /*  970661 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(970756), // Rule ID 8193 //
     /*  970666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970716 */     // MIs[1] Operand 1
     /*  970716 */     // No operand predicates
     /*  970716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970754 */     GIR_RootConstrainSelectedInstOperands,
     /*  970755 */     // GIR_Coverage, 8193,
     /*  970755 */     GIR_EraseRootFromParent_Done,
     /*  970756 */   // Label 14536: @970756
     /*  970756 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(970851), // Rule ID 8196 //
     /*  970761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970811 */     // MIs[1] Operand 1
     /*  970811 */     // No operand predicates
     /*  970811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970849 */     GIR_RootConstrainSelectedInstOperands,
     /*  970850 */     // GIR_Coverage, 8196,
     /*  970850 */     GIR_EraseRootFromParent_Done,
     /*  970851 */   // Label 14537: @970851
     /*  970851 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(970946), // Rule ID 8197 //
     /*  970856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970906 */     // MIs[1] Operand 1
     /*  970906 */     // No operand predicates
     /*  970906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970944 */     GIR_RootConstrainSelectedInstOperands,
     /*  970945 */     // GIR_Coverage, 8197,
     /*  970945 */     GIR_EraseRootFromParent_Done,
     /*  970946 */   // Label 14538: @970946
     /*  970946 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(971041), // Rule ID 8200 //
     /*  970951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971001 */     // MIs[1] Operand 1
     /*  971001 */     // No operand predicates
     /*  971001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971039 */     GIR_RootConstrainSelectedInstOperands,
     /*  971040 */     // GIR_Coverage, 8200,
     /*  971040 */     GIR_EraseRootFromParent_Done,
     /*  971041 */   // Label 14539: @971041
     /*  971041 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(971136), // Rule ID 8201 //
     /*  971046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971096 */     // MIs[1] Operand 1
     /*  971096 */     // No operand predicates
     /*  971096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971134 */     GIR_RootConstrainSelectedInstOperands,
     /*  971135 */     // GIR_Coverage, 8201,
     /*  971135 */     GIR_EraseRootFromParent_Done,
     /*  971136 */   // Label 14540: @971136
     /*  971136 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(971231), // Rule ID 8204 //
     /*  971141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971191 */     // MIs[1] Operand 1
     /*  971191 */     // No operand predicates
     /*  971191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971229 */     GIR_RootConstrainSelectedInstOperands,
     /*  971230 */     // GIR_Coverage, 8204,
     /*  971230 */     GIR_EraseRootFromParent_Done,
     /*  971231 */   // Label 14541: @971231
     /*  971231 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(971326), // Rule ID 8205 //
     /*  971236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971286 */     // MIs[1] Operand 1
     /*  971286 */     // No operand predicates
     /*  971286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971299 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971324 */     GIR_RootConstrainSelectedInstOperands,
     /*  971325 */     // GIR_Coverage, 8205,
     /*  971325 */     GIR_EraseRootFromParent_Done,
     /*  971326 */   // Label 14542: @971326
     /*  971326 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(971421), // Rule ID 8208 //
     /*  971331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971381 */     // MIs[1] Operand 1
     /*  971381 */     // No operand predicates
     /*  971381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971394 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971419 */     GIR_RootConstrainSelectedInstOperands,
     /*  971420 */     // GIR_Coverage, 8208,
     /*  971420 */     GIR_EraseRootFromParent_Done,
     /*  971421 */   // Label 14543: @971421
     /*  971421 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(971516), // Rule ID 8209 //
     /*  971426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971476 */     // MIs[1] Operand 1
     /*  971476 */     // No operand predicates
     /*  971476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971514 */     GIR_RootConstrainSelectedInstOperands,
     /*  971515 */     // GIR_Coverage, 8209,
     /*  971515 */     GIR_EraseRootFromParent_Done,
     /*  971516 */   // Label 14544: @971516
     /*  971516 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(971611), // Rule ID 8740 //
     /*  971521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971571 */     // MIs[1] Operand 1
     /*  971571 */     // No operand predicates
     /*  971571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971609 */     GIR_RootConstrainSelectedInstOperands,
     /*  971610 */     // GIR_Coverage, 8740,
     /*  971610 */     GIR_EraseRootFromParent_Done,
     /*  971611 */   // Label 14545: @971611
     /*  971611 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(971706), // Rule ID 8741 //
     /*  971616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971666 */     // MIs[1] Operand 1
     /*  971666 */     // No operand predicates
     /*  971666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971704 */     GIR_RootConstrainSelectedInstOperands,
     /*  971705 */     // GIR_Coverage, 8741,
     /*  971705 */     GIR_EraseRootFromParent_Done,
     /*  971706 */   // Label 14546: @971706
     /*  971706 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(971801), // Rule ID 8744 //
     /*  971711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971761 */     // MIs[1] Operand 1
     /*  971761 */     // No operand predicates
     /*  971761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971774 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971799 */     GIR_RootConstrainSelectedInstOperands,
     /*  971800 */     // GIR_Coverage, 8744,
     /*  971800 */     GIR_EraseRootFromParent_Done,
     /*  971801 */   // Label 14547: @971801
     /*  971801 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(971896), // Rule ID 8745 //
     /*  971806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971856 */     // MIs[1] Operand 1
     /*  971856 */     // No operand predicates
     /*  971856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971894 */     GIR_RootConstrainSelectedInstOperands,
     /*  971895 */     // GIR_Coverage, 8745,
     /*  971895 */     GIR_EraseRootFromParent_Done,
     /*  971896 */   // Label 14548: @971896
     /*  971896 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(971991), // Rule ID 8748 //
     /*  971901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971951 */     // MIs[1] Operand 1
     /*  971951 */     // No operand predicates
     /*  971951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971989 */     GIR_RootConstrainSelectedInstOperands,
     /*  971990 */     // GIR_Coverage, 8748,
     /*  971990 */     GIR_EraseRootFromParent_Done,
     /*  971991 */   // Label 14549: @971991
     /*  971991 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(972086), // Rule ID 8749 //
     /*  971996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972046 */     // MIs[1] Operand 1
     /*  972046 */     // No operand predicates
     /*  972046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972084 */     GIR_RootConstrainSelectedInstOperands,
     /*  972085 */     // GIR_Coverage, 8749,
     /*  972085 */     GIR_EraseRootFromParent_Done,
     /*  972086 */   // Label 14550: @972086
     /*  972086 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(972181), // Rule ID 8752 //
     /*  972091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972141 */     // MIs[1] Operand 1
     /*  972141 */     // No operand predicates
     /*  972141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972154 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972179 */     GIR_RootConstrainSelectedInstOperands,
     /*  972180 */     // GIR_Coverage, 8752,
     /*  972180 */     GIR_EraseRootFromParent_Done,
     /*  972181 */   // Label 14551: @972181
     /*  972181 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(972276), // Rule ID 8753 //
     /*  972186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972236 */     // MIs[1] Operand 1
     /*  972236 */     // No operand predicates
     /*  972236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972274 */     GIR_RootConstrainSelectedInstOperands,
     /*  972275 */     // GIR_Coverage, 8753,
     /*  972275 */     GIR_EraseRootFromParent_Done,
     /*  972276 */   // Label 14552: @972276
     /*  972276 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(972371), // Rule ID 8756 //
     /*  972281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972331 */     // MIs[1] Operand 1
     /*  972331 */     // No operand predicates
     /*  972331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972369 */     GIR_RootConstrainSelectedInstOperands,
     /*  972370 */     // GIR_Coverage, 8756,
     /*  972370 */     GIR_EraseRootFromParent_Done,
     /*  972371 */   // Label 14553: @972371
     /*  972371 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(972466), // Rule ID 8757 //
     /*  972376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972426 */     // MIs[1] Operand 1
     /*  972426 */     // No operand predicates
     /*  972426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972464 */     GIR_RootConstrainSelectedInstOperands,
     /*  972465 */     // GIR_Coverage, 8757,
     /*  972465 */     GIR_EraseRootFromParent_Done,
     /*  972466 */   // Label 14554: @972466
     /*  972466 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(972561), // Rule ID 8760 //
     /*  972471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972521 */     // MIs[1] Operand 1
     /*  972521 */     // No operand predicates
     /*  972521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972559 */     GIR_RootConstrainSelectedInstOperands,
     /*  972560 */     // GIR_Coverage, 8760,
     /*  972560 */     GIR_EraseRootFromParent_Done,
     /*  972561 */   // Label 14555: @972561
     /*  972561 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(972656), // Rule ID 8761 //
     /*  972566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972616 */     // MIs[1] Operand 1
     /*  972616 */     // No operand predicates
     /*  972616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972654 */     GIR_RootConstrainSelectedInstOperands,
     /*  972655 */     // GIR_Coverage, 8761,
     /*  972655 */     GIR_EraseRootFromParent_Done,
     /*  972656 */   // Label 14556: @972656
     /*  972656 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(972751), // Rule ID 8764 //
     /*  972661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972711 */     // MIs[1] Operand 1
     /*  972711 */     // No operand predicates
     /*  972711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972749 */     GIR_RootConstrainSelectedInstOperands,
     /*  972750 */     // GIR_Coverage, 8764,
     /*  972750 */     GIR_EraseRootFromParent_Done,
     /*  972751 */   // Label 14557: @972751
     /*  972751 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(972846), // Rule ID 8765 //
     /*  972756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972806 */     // MIs[1] Operand 1
     /*  972806 */     // No operand predicates
     /*  972806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972844 */     GIR_RootConstrainSelectedInstOperands,
     /*  972845 */     // GIR_Coverage, 8765,
     /*  972845 */     GIR_EraseRootFromParent_Done,
     /*  972846 */   // Label 14558: @972846
     /*  972846 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(972941), // Rule ID 8768 //
     /*  972851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972901 */     // MIs[1] Operand 1
     /*  972901 */     // No operand predicates
     /*  972901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972914 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972939 */     GIR_RootConstrainSelectedInstOperands,
     /*  972940 */     // GIR_Coverage, 8768,
     /*  972940 */     GIR_EraseRootFromParent_Done,
     /*  972941 */   // Label 14559: @972941
     /*  972941 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(973036), // Rule ID 8769 //
     /*  972946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972996 */     // MIs[1] Operand 1
     /*  972996 */     // No operand predicates
     /*  972996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973034 */     GIR_RootConstrainSelectedInstOperands,
     /*  973035 */     // GIR_Coverage, 8769,
     /*  973035 */     GIR_EraseRootFromParent_Done,
     /*  973036 */   // Label 14560: @973036
     /*  973036 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(973131), // Rule ID 8772 //
     /*  973041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973091 */     // MIs[1] Operand 1
     /*  973091 */     // No operand predicates
     /*  973091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973129 */     GIR_RootConstrainSelectedInstOperands,
     /*  973130 */     // GIR_Coverage, 8772,
     /*  973130 */     GIR_EraseRootFromParent_Done,
     /*  973131 */   // Label 14561: @973131
     /*  973131 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(973226), // Rule ID 8773 //
     /*  973136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973186 */     // MIs[1] Operand 1
     /*  973186 */     // No operand predicates
     /*  973186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973199 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973224 */     GIR_RootConstrainSelectedInstOperands,
     /*  973225 */     // GIR_Coverage, 8773,
     /*  973225 */     GIR_EraseRootFromParent_Done,
     /*  973226 */   // Label 14562: @973226
     /*  973226 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(973321), // Rule ID 8776 //
     /*  973231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973281 */     // MIs[1] Operand 1
     /*  973281 */     // No operand predicates
     /*  973281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973294 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973319 */     GIR_RootConstrainSelectedInstOperands,
     /*  973320 */     // GIR_Coverage, 8776,
     /*  973320 */     GIR_EraseRootFromParent_Done,
     /*  973321 */   // Label 14563: @973321
     /*  973321 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(973416), // Rule ID 8777 //
     /*  973326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973376 */     // MIs[1] Operand 1
     /*  973376 */     // No operand predicates
     /*  973376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973414 */     GIR_RootConstrainSelectedInstOperands,
     /*  973415 */     // GIR_Coverage, 8777,
     /*  973415 */     GIR_EraseRootFromParent_Done,
     /*  973416 */   // Label 14564: @973416
     /*  973416 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(973511), // Rule ID 8780 //
     /*  973421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973471 */     // MIs[1] Operand 1
     /*  973471 */     // No operand predicates
     /*  973471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973509 */     GIR_RootConstrainSelectedInstOperands,
     /*  973510 */     // GIR_Coverage, 8780,
     /*  973510 */     GIR_EraseRootFromParent_Done,
     /*  973511 */   // Label 14565: @973511
     /*  973511 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(973606), // Rule ID 8781 //
     /*  973516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973566 */     // MIs[1] Operand 1
     /*  973566 */     // No operand predicates
     /*  973566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973579 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973604 */     GIR_RootConstrainSelectedInstOperands,
     /*  973605 */     // GIR_Coverage, 8781,
     /*  973605 */     GIR_EraseRootFromParent_Done,
     /*  973606 */   // Label 14566: @973606
     /*  973606 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(973701), // Rule ID 8784 //
     /*  973611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973661 */     // MIs[1] Operand 1
     /*  973661 */     // No operand predicates
     /*  973661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973674 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973699 */     GIR_RootConstrainSelectedInstOperands,
     /*  973700 */     // GIR_Coverage, 8784,
     /*  973700 */     GIR_EraseRootFromParent_Done,
     /*  973701 */   // Label 14567: @973701
     /*  973701 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(973796), // Rule ID 8785 //
     /*  973706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973756 */     // MIs[1] Operand 1
     /*  973756 */     // No operand predicates
     /*  973756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973794 */     GIR_RootConstrainSelectedInstOperands,
     /*  973795 */     // GIR_Coverage, 8785,
     /*  973795 */     GIR_EraseRootFromParent_Done,
     /*  973796 */   // Label 14568: @973796
     /*  973796 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(973891), // Rule ID 8788 //
     /*  973801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973851 */     // MIs[1] Operand 1
     /*  973851 */     // No operand predicates
     /*  973851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973864 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973889 */     GIR_RootConstrainSelectedInstOperands,
     /*  973890 */     // GIR_Coverage, 8788,
     /*  973890 */     GIR_EraseRootFromParent_Done,
     /*  973891 */   // Label 14569: @973891
     /*  973891 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(973986), // Rule ID 8789 //
     /*  973896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973946 */     // MIs[1] Operand 1
     /*  973946 */     // No operand predicates
     /*  973946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973959 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973984 */     GIR_RootConstrainSelectedInstOperands,
     /*  973985 */     // GIR_Coverage, 8789,
     /*  973985 */     GIR_EraseRootFromParent_Done,
     /*  973986 */   // Label 14570: @973986
     /*  973986 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(974081), // Rule ID 8792 //
     /*  973991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974041 */     // MIs[1] Operand 1
     /*  974041 */     // No operand predicates
     /*  974041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974054 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974079 */     GIR_RootConstrainSelectedInstOperands,
     /*  974080 */     // GIR_Coverage, 8792,
     /*  974080 */     GIR_EraseRootFromParent_Done,
     /*  974081 */   // Label 14571: @974081
     /*  974081 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(974176), // Rule ID 8793 //
     /*  974086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974136 */     // MIs[1] Operand 1
     /*  974136 */     // No operand predicates
     /*  974136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974174 */     GIR_RootConstrainSelectedInstOperands,
     /*  974175 */     // GIR_Coverage, 8793,
     /*  974175 */     GIR_EraseRootFromParent_Done,
     /*  974176 */   // Label 14572: @974176
     /*  974176 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(974271), // Rule ID 8796 //
     /*  974181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974231 */     // MIs[1] Operand 1
     /*  974231 */     // No operand predicates
     /*  974231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974244 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974269 */     GIR_RootConstrainSelectedInstOperands,
     /*  974270 */     // GIR_Coverage, 8796,
     /*  974270 */     GIR_EraseRootFromParent_Done,
     /*  974271 */   // Label 14573: @974271
     /*  974271 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(974366), // Rule ID 8797 //
     /*  974276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974326 */     // MIs[1] Operand 1
     /*  974326 */     // No operand predicates
     /*  974326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974364 */     GIR_RootConstrainSelectedInstOperands,
     /*  974365 */     // GIR_Coverage, 8797,
     /*  974365 */     GIR_EraseRootFromParent_Done,
     /*  974366 */   // Label 14574: @974366
     /*  974366 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(974461), // Rule ID 8800 //
     /*  974371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974421 */     // MIs[1] Operand 1
     /*  974421 */     // No operand predicates
     /*  974421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974434 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974459 */     GIR_RootConstrainSelectedInstOperands,
     /*  974460 */     // GIR_Coverage, 8800,
     /*  974460 */     GIR_EraseRootFromParent_Done,
     /*  974461 */   // Label 14575: @974461
     /*  974461 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(974556), // Rule ID 8801 //
     /*  974466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974516 */     // MIs[1] Operand 1
     /*  974516 */     // No operand predicates
     /*  974516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974529 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974554 */     GIR_RootConstrainSelectedInstOperands,
     /*  974555 */     // GIR_Coverage, 8801,
     /*  974555 */     GIR_EraseRootFromParent_Done,
     /*  974556 */   // Label 14576: @974556
     /*  974556 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(974651), // Rule ID 8804 //
     /*  974561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974611 */     // MIs[1] Operand 1
     /*  974611 */     // No operand predicates
     /*  974611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974649 */     GIR_RootConstrainSelectedInstOperands,
     /*  974650 */     // GIR_Coverage, 8804,
     /*  974650 */     GIR_EraseRootFromParent_Done,
     /*  974651 */   // Label 14577: @974651
     /*  974651 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(974746), // Rule ID 8805 //
     /*  974656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974706 */     // MIs[1] Operand 1
     /*  974706 */     // No operand predicates
     /*  974706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974719 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974744 */     GIR_RootConstrainSelectedInstOperands,
     /*  974745 */     // GIR_Coverage, 8805,
     /*  974745 */     GIR_EraseRootFromParent_Done,
     /*  974746 */   // Label 14578: @974746
     /*  974746 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(974841), // Rule ID 8808 //
     /*  974751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974801 */     // MIs[1] Operand 1
     /*  974801 */     // No operand predicates
     /*  974801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974839 */     GIR_RootConstrainSelectedInstOperands,
     /*  974840 */     // GIR_Coverage, 8808,
     /*  974840 */     GIR_EraseRootFromParent_Done,
     /*  974841 */   // Label 14579: @974841
     /*  974841 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(974936), // Rule ID 8809 //
     /*  974846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974896 */     // MIs[1] Operand 1
     /*  974896 */     // No operand predicates
     /*  974896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974934 */     GIR_RootConstrainSelectedInstOperands,
     /*  974935 */     // GIR_Coverage, 8809,
     /*  974935 */     GIR_EraseRootFromParent_Done,
     /*  974936 */   // Label 14580: @974936
     /*  974936 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(975031), // Rule ID 8812 //
     /*  974941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974991 */     // MIs[1] Operand 1
     /*  974991 */     // No operand predicates
     /*  974991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975029 */     GIR_RootConstrainSelectedInstOperands,
     /*  975030 */     // GIR_Coverage, 8812,
     /*  975030 */     GIR_EraseRootFromParent_Done,
     /*  975031 */   // Label 14581: @975031
     /*  975031 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(975126), // Rule ID 8813 //
     /*  975036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975086 */     // MIs[1] Operand 1
     /*  975086 */     // No operand predicates
     /*  975086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975124 */     GIR_RootConstrainSelectedInstOperands,
     /*  975125 */     // GIR_Coverage, 8813,
     /*  975125 */     GIR_EraseRootFromParent_Done,
     /*  975126 */   // Label 14582: @975126
     /*  975126 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(975221), // Rule ID 8816 //
     /*  975131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975181 */     // MIs[1] Operand 1
     /*  975181 */     // No operand predicates
     /*  975181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975219 */     GIR_RootConstrainSelectedInstOperands,
     /*  975220 */     // GIR_Coverage, 8816,
     /*  975220 */     GIR_EraseRootFromParent_Done,
     /*  975221 */   // Label 14583: @975221
     /*  975221 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(975316), // Rule ID 8817 //
     /*  975226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975276 */     // MIs[1] Operand 1
     /*  975276 */     // No operand predicates
     /*  975276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975314 */     GIR_RootConstrainSelectedInstOperands,
     /*  975315 */     // GIR_Coverage, 8817,
     /*  975315 */     GIR_EraseRootFromParent_Done,
     /*  975316 */   // Label 14584: @975316
     /*  975316 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(975411), // Rule ID 8820 //
     /*  975321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975371 */     // MIs[1] Operand 1
     /*  975371 */     // No operand predicates
     /*  975371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975409 */     GIR_RootConstrainSelectedInstOperands,
     /*  975410 */     // GIR_Coverage, 8820,
     /*  975410 */     GIR_EraseRootFromParent_Done,
     /*  975411 */   // Label 14585: @975411
     /*  975411 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(975506), // Rule ID 8821 //
     /*  975416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975466 */     // MIs[1] Operand 1
     /*  975466 */     // No operand predicates
     /*  975466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975504 */     GIR_RootConstrainSelectedInstOperands,
     /*  975505 */     // GIR_Coverage, 8821,
     /*  975505 */     GIR_EraseRootFromParent_Done,
     /*  975506 */   // Label 14586: @975506
     /*  975506 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(975601), // Rule ID 8824 //
     /*  975511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975561 */     // MIs[1] Operand 1
     /*  975561 */     // No operand predicates
     /*  975561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975574 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975599 */     GIR_RootConstrainSelectedInstOperands,
     /*  975600 */     // GIR_Coverage, 8824,
     /*  975600 */     GIR_EraseRootFromParent_Done,
     /*  975601 */   // Label 14587: @975601
     /*  975601 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(975696), // Rule ID 8825 //
     /*  975606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975656 */     // MIs[1] Operand 1
     /*  975656 */     // No operand predicates
     /*  975656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975694 */     GIR_RootConstrainSelectedInstOperands,
     /*  975695 */     // GIR_Coverage, 8825,
     /*  975695 */     GIR_EraseRootFromParent_Done,
     /*  975696 */   // Label 14588: @975696
     /*  975696 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(975791), // Rule ID 9004 //
     /*  975701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975751 */     // MIs[1] Operand 1
     /*  975751 */     // No operand predicates
     /*  975751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975789 */     GIR_RootConstrainSelectedInstOperands,
     /*  975790 */     // GIR_Coverage, 9004,
     /*  975790 */     GIR_EraseRootFromParent_Done,
     /*  975791 */   // Label 14589: @975791
     /*  975791 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(975886), // Rule ID 9005 //
     /*  975796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975846 */     // MIs[1] Operand 1
     /*  975846 */     // No operand predicates
     /*  975846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975884 */     GIR_RootConstrainSelectedInstOperands,
     /*  975885 */     // GIR_Coverage, 9005,
     /*  975885 */     GIR_EraseRootFromParent_Done,
     /*  975886 */   // Label 14590: @975886
     /*  975886 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(975981), // Rule ID 9008 //
     /*  975891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975941 */     // MIs[1] Operand 1
     /*  975941 */     // No operand predicates
     /*  975941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975954 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975979 */     GIR_RootConstrainSelectedInstOperands,
     /*  975980 */     // GIR_Coverage, 9008,
     /*  975980 */     GIR_EraseRootFromParent_Done,
     /*  975981 */   // Label 14591: @975981
     /*  975981 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(976076), // Rule ID 9009 //
     /*  975986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976036 */     // MIs[1] Operand 1
     /*  976036 */     // No operand predicates
     /*  976036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976074 */     GIR_RootConstrainSelectedInstOperands,
     /*  976075 */     // GIR_Coverage, 9009,
     /*  976075 */     GIR_EraseRootFromParent_Done,
     /*  976076 */   // Label 14592: @976076
     /*  976076 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(976171), // Rule ID 9012 //
     /*  976081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976131 */     // MIs[1] Operand 1
     /*  976131 */     // No operand predicates
     /*  976131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976169 */     GIR_RootConstrainSelectedInstOperands,
     /*  976170 */     // GIR_Coverage, 9012,
     /*  976170 */     GIR_EraseRootFromParent_Done,
     /*  976171 */   // Label 14593: @976171
     /*  976171 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(976266), // Rule ID 9013 //
     /*  976176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976226 */     // MIs[1] Operand 1
     /*  976226 */     // No operand predicates
     /*  976226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976264 */     GIR_RootConstrainSelectedInstOperands,
     /*  976265 */     // GIR_Coverage, 9013,
     /*  976265 */     GIR_EraseRootFromParent_Done,
     /*  976266 */   // Label 14594: @976266
     /*  976266 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(976361), // Rule ID 9016 //
     /*  976271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976321 */     // MIs[1] Operand 1
     /*  976321 */     // No operand predicates
     /*  976321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976359 */     GIR_RootConstrainSelectedInstOperands,
     /*  976360 */     // GIR_Coverage, 9016,
     /*  976360 */     GIR_EraseRootFromParent_Done,
     /*  976361 */   // Label 14595: @976361
     /*  976361 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(976456), // Rule ID 9017 //
     /*  976366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976416 */     // MIs[1] Operand 1
     /*  976416 */     // No operand predicates
     /*  976416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976429 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976454 */     GIR_RootConstrainSelectedInstOperands,
     /*  976455 */     // GIR_Coverage, 9017,
     /*  976455 */     GIR_EraseRootFromParent_Done,
     /*  976456 */   // Label 14596: @976456
     /*  976456 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(976551), // Rule ID 9020 //
     /*  976461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976511 */     // MIs[1] Operand 1
     /*  976511 */     // No operand predicates
     /*  976511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976549 */     GIR_RootConstrainSelectedInstOperands,
     /*  976550 */     // GIR_Coverage, 9020,
     /*  976550 */     GIR_EraseRootFromParent_Done,
     /*  976551 */   // Label 14597: @976551
     /*  976551 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(976646), // Rule ID 9021 //
     /*  976556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976606 */     // MIs[1] Operand 1
     /*  976606 */     // No operand predicates
     /*  976606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976644 */     GIR_RootConstrainSelectedInstOperands,
     /*  976645 */     // GIR_Coverage, 9021,
     /*  976645 */     GIR_EraseRootFromParent_Done,
     /*  976646 */   // Label 14598: @976646
     /*  976646 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(976741), // Rule ID 9024 //
     /*  976651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976701 */     // MIs[1] Operand 1
     /*  976701 */     // No operand predicates
     /*  976701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976739 */     GIR_RootConstrainSelectedInstOperands,
     /*  976740 */     // GIR_Coverage, 9024,
     /*  976740 */     GIR_EraseRootFromParent_Done,
     /*  976741 */   // Label 14599: @976741
     /*  976741 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(976836), // Rule ID 9025 //
     /*  976746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976796 */     // MIs[1] Operand 1
     /*  976796 */     // No operand predicates
     /*  976796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976834 */     GIR_RootConstrainSelectedInstOperands,
     /*  976835 */     // GIR_Coverage, 9025,
     /*  976835 */     GIR_EraseRootFromParent_Done,
     /*  976836 */   // Label 14600: @976836
     /*  976836 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(976931), // Rule ID 9028 //
     /*  976841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976891 */     // MIs[1] Operand 1
     /*  976891 */     // No operand predicates
     /*  976891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976929 */     GIR_RootConstrainSelectedInstOperands,
     /*  976930 */     // GIR_Coverage, 9028,
     /*  976930 */     GIR_EraseRootFromParent_Done,
     /*  976931 */   // Label 14601: @976931
     /*  976931 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(977026), // Rule ID 9029 //
     /*  976936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976986 */     // MIs[1] Operand 1
     /*  976986 */     // No operand predicates
     /*  976986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977024 */     GIR_RootConstrainSelectedInstOperands,
     /*  977025 */     // GIR_Coverage, 9029,
     /*  977025 */     GIR_EraseRootFromParent_Done,
     /*  977026 */   // Label 14602: @977026
     /*  977026 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(977121), // Rule ID 9032 //
     /*  977031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977081 */     // MIs[1] Operand 1
     /*  977081 */     // No operand predicates
     /*  977081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977094 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977119 */     GIR_RootConstrainSelectedInstOperands,
     /*  977120 */     // GIR_Coverage, 9032,
     /*  977120 */     GIR_EraseRootFromParent_Done,
     /*  977121 */   // Label 14603: @977121
     /*  977121 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(977216), // Rule ID 9033 //
     /*  977126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977176 */     // MIs[1] Operand 1
     /*  977176 */     // No operand predicates
     /*  977176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977214 */     GIR_RootConstrainSelectedInstOperands,
     /*  977215 */     // GIR_Coverage, 9033,
     /*  977215 */     GIR_EraseRootFromParent_Done,
     /*  977216 */   // Label 14604: @977216
     /*  977216 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(977311), // Rule ID 9036 //
     /*  977221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977271 */     // MIs[1] Operand 1
     /*  977271 */     // No operand predicates
     /*  977271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977309 */     GIR_RootConstrainSelectedInstOperands,
     /*  977310 */     // GIR_Coverage, 9036,
     /*  977310 */     GIR_EraseRootFromParent_Done,
     /*  977311 */   // Label 14605: @977311
     /*  977311 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(977406), // Rule ID 9037 //
     /*  977316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977366 */     // MIs[1] Operand 1
     /*  977366 */     // No operand predicates
     /*  977366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977404 */     GIR_RootConstrainSelectedInstOperands,
     /*  977405 */     // GIR_Coverage, 9037,
     /*  977405 */     GIR_EraseRootFromParent_Done,
     /*  977406 */   // Label 14606: @977406
     /*  977406 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(977501), // Rule ID 9040 //
     /*  977411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977461 */     // MIs[1] Operand 1
     /*  977461 */     // No operand predicates
     /*  977461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977474 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977499 */     GIR_RootConstrainSelectedInstOperands,
     /*  977500 */     // GIR_Coverage, 9040,
     /*  977500 */     GIR_EraseRootFromParent_Done,
     /*  977501 */   // Label 14607: @977501
     /*  977501 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(977596), // Rule ID 9041 //
     /*  977506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977556 */     // MIs[1] Operand 1
     /*  977556 */     // No operand predicates
     /*  977556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977594 */     GIR_RootConstrainSelectedInstOperands,
     /*  977595 */     // GIR_Coverage, 9041,
     /*  977595 */     GIR_EraseRootFromParent_Done,
     /*  977596 */   // Label 14608: @977596
     /*  977596 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(977691), // Rule ID 9044 //
     /*  977601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977651 */     // MIs[1] Operand 1
     /*  977651 */     // No operand predicates
     /*  977651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977689 */     GIR_RootConstrainSelectedInstOperands,
     /*  977690 */     // GIR_Coverage, 9044,
     /*  977690 */     GIR_EraseRootFromParent_Done,
     /*  977691 */   // Label 14609: @977691
     /*  977691 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(977786), // Rule ID 9045 //
     /*  977696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977746 */     // MIs[1] Operand 1
     /*  977746 */     // No operand predicates
     /*  977746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977784 */     GIR_RootConstrainSelectedInstOperands,
     /*  977785 */     // GIR_Coverage, 9045,
     /*  977785 */     GIR_EraseRootFromParent_Done,
     /*  977786 */   // Label 14610: @977786
     /*  977786 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(977881), // Rule ID 9048 //
     /*  977791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977841 */     // MIs[1] Operand 1
     /*  977841 */     // No operand predicates
     /*  977841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977879 */     GIR_RootConstrainSelectedInstOperands,
     /*  977880 */     // GIR_Coverage, 9048,
     /*  977880 */     GIR_EraseRootFromParent_Done,
     /*  977881 */   // Label 14611: @977881
     /*  977881 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(977976), // Rule ID 9049 //
     /*  977886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977936 */     // MIs[1] Operand 1
     /*  977936 */     // No operand predicates
     /*  977936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977949 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977974 */     GIR_RootConstrainSelectedInstOperands,
     /*  977975 */     // GIR_Coverage, 9049,
     /*  977975 */     GIR_EraseRootFromParent_Done,
     /*  977976 */   // Label 14612: @977976
     /*  977976 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(978071), // Rule ID 9052 //
     /*  977981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978031 */     // MIs[1] Operand 1
     /*  978031 */     // No operand predicates
     /*  978031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978044 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978069 */     GIR_RootConstrainSelectedInstOperands,
     /*  978070 */     // GIR_Coverage, 9052,
     /*  978070 */     GIR_EraseRootFromParent_Done,
     /*  978071 */   // Label 14613: @978071
     /*  978071 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(978166), // Rule ID 9053 //
     /*  978076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978126 */     // MIs[1] Operand 1
     /*  978126 */     // No operand predicates
     /*  978126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978139 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978164 */     GIR_RootConstrainSelectedInstOperands,
     /*  978165 */     // GIR_Coverage, 9053,
     /*  978165 */     GIR_EraseRootFromParent_Done,
     /*  978166 */   // Label 14614: @978166
     /*  978166 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(978261), // Rule ID 9056 //
     /*  978171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978221 */     // MIs[1] Operand 1
     /*  978221 */     // No operand predicates
     /*  978221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978259 */     GIR_RootConstrainSelectedInstOperands,
     /*  978260 */     // GIR_Coverage, 9056,
     /*  978260 */     GIR_EraseRootFromParent_Done,
     /*  978261 */   // Label 14615: @978261
     /*  978261 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(978356), // Rule ID 9057 //
     /*  978266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978316 */     // MIs[1] Operand 1
     /*  978316 */     // No operand predicates
     /*  978316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978354 */     GIR_RootConstrainSelectedInstOperands,
     /*  978355 */     // GIR_Coverage, 9057,
     /*  978355 */     GIR_EraseRootFromParent_Done,
     /*  978356 */   // Label 14616: @978356
     /*  978356 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(978451), // Rule ID 9060 //
     /*  978361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978411 */     // MIs[1] Operand 1
     /*  978411 */     // No operand predicates
     /*  978411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978449 */     GIR_RootConstrainSelectedInstOperands,
     /*  978450 */     // GIR_Coverage, 9060,
     /*  978450 */     GIR_EraseRootFromParent_Done,
     /*  978451 */   // Label 14617: @978451
     /*  978451 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(978546), // Rule ID 9061 //
     /*  978456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978506 */     // MIs[1] Operand 1
     /*  978506 */     // No operand predicates
     /*  978506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978519 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978544 */     GIR_RootConstrainSelectedInstOperands,
     /*  978545 */     // GIR_Coverage, 9061,
     /*  978545 */     GIR_EraseRootFromParent_Done,
     /*  978546 */   // Label 14618: @978546
     /*  978546 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(978641), // Rule ID 9064 //
     /*  978551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978601 */     // MIs[1] Operand 1
     /*  978601 */     // No operand predicates
     /*  978601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978614 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978639 */     GIR_RootConstrainSelectedInstOperands,
     /*  978640 */     // GIR_Coverage, 9064,
     /*  978640 */     GIR_EraseRootFromParent_Done,
     /*  978641 */   // Label 14619: @978641
     /*  978641 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(978736), // Rule ID 9065 //
     /*  978646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978696 */     // MIs[1] Operand 1
     /*  978696 */     // No operand predicates
     /*  978696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978709 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978734 */     GIR_RootConstrainSelectedInstOperands,
     /*  978735 */     // GIR_Coverage, 9065,
     /*  978735 */     GIR_EraseRootFromParent_Done,
     /*  978736 */   // Label 14620: @978736
     /*  978736 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(978831), // Rule ID 9068 //
     /*  978741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978791 */     // MIs[1] Operand 1
     /*  978791 */     // No operand predicates
     /*  978791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978829 */     GIR_RootConstrainSelectedInstOperands,
     /*  978830 */     // GIR_Coverage, 9068,
     /*  978830 */     GIR_EraseRootFromParent_Done,
     /*  978831 */   // Label 14621: @978831
     /*  978831 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(978926), // Rule ID 9069 //
     /*  978836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978886 */     // MIs[1] Operand 1
     /*  978886 */     // No operand predicates
     /*  978886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978899 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978924 */     GIR_RootConstrainSelectedInstOperands,
     /*  978925 */     // GIR_Coverage, 9069,
     /*  978925 */     GIR_EraseRootFromParent_Done,
     /*  978926 */   // Label 14622: @978926
     /*  978926 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(979021), // Rule ID 9072 //
     /*  978931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978981 */     // MIs[1] Operand 1
     /*  978981 */     // No operand predicates
     /*  978981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978994 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979019 */     GIR_RootConstrainSelectedInstOperands,
     /*  979020 */     // GIR_Coverage, 9072,
     /*  979020 */     GIR_EraseRootFromParent_Done,
     /*  979021 */   // Label 14623: @979021
     /*  979021 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(979116), // Rule ID 9073 //
     /*  979026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979076 */     // MIs[1] Operand 1
     /*  979076 */     // No operand predicates
     /*  979076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979114 */     GIR_RootConstrainSelectedInstOperands,
     /*  979115 */     // GIR_Coverage, 9073,
     /*  979115 */     GIR_EraseRootFromParent_Done,
     /*  979116 */   // Label 14624: @979116
     /*  979116 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(979211), // Rule ID 9076 //
     /*  979121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979171 */     // MIs[1] Operand 1
     /*  979171 */     // No operand predicates
     /*  979171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979209 */     GIR_RootConstrainSelectedInstOperands,
     /*  979210 */     // GIR_Coverage, 9076,
     /*  979210 */     GIR_EraseRootFromParent_Done,
     /*  979211 */   // Label 14625: @979211
     /*  979211 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(979306), // Rule ID 9077 //
     /*  979216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979266 */     // MIs[1] Operand 1
     /*  979266 */     // No operand predicates
     /*  979266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979279 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979304 */     GIR_RootConstrainSelectedInstOperands,
     /*  979305 */     // GIR_Coverage, 9077,
     /*  979305 */     GIR_EraseRootFromParent_Done,
     /*  979306 */   // Label 14626: @979306
     /*  979306 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(979401), // Rule ID 9080 //
     /*  979311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979361 */     // MIs[1] Operand 1
     /*  979361 */     // No operand predicates
     /*  979361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979399 */     GIR_RootConstrainSelectedInstOperands,
     /*  979400 */     // GIR_Coverage, 9080,
     /*  979400 */     GIR_EraseRootFromParent_Done,
     /*  979401 */   // Label 14627: @979401
     /*  979401 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(979496), // Rule ID 9081 //
     /*  979406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979456 */     // MIs[1] Operand 1
     /*  979456 */     // No operand predicates
     /*  979456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979494 */     GIR_RootConstrainSelectedInstOperands,
     /*  979495 */     // GIR_Coverage, 9081,
     /*  979495 */     GIR_EraseRootFromParent_Done,
     /*  979496 */   // Label 14628: @979496
     /*  979496 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(979591), // Rule ID 9084 //
     /*  979501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979551 */     // MIs[1] Operand 1
     /*  979551 */     // No operand predicates
     /*  979551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979589 */     GIR_RootConstrainSelectedInstOperands,
     /*  979590 */     // GIR_Coverage, 9084,
     /*  979590 */     GIR_EraseRootFromParent_Done,
     /*  979591 */   // Label 14629: @979591
     /*  979591 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(979686), // Rule ID 9085 //
     /*  979596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979646 */     // MIs[1] Operand 1
     /*  979646 */     // No operand predicates
     /*  979646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979684 */     GIR_RootConstrainSelectedInstOperands,
     /*  979685 */     // GIR_Coverage, 9085,
     /*  979685 */     GIR_EraseRootFromParent_Done,
     /*  979686 */   // Label 14630: @979686
     /*  979686 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(979781), // Rule ID 9088 //
     /*  979691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979741 */     // MIs[1] Operand 1
     /*  979741 */     // No operand predicates
     /*  979741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979779 */     GIR_RootConstrainSelectedInstOperands,
     /*  979780 */     // GIR_Coverage, 9088,
     /*  979780 */     GIR_EraseRootFromParent_Done,
     /*  979781 */   // Label 14631: @979781
     /*  979781 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(979876), // Rule ID 9089 //
     /*  979786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979836 */     // MIs[1] Operand 1
     /*  979836 */     // No operand predicates
     /*  979836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979874 */     GIR_RootConstrainSelectedInstOperands,
     /*  979875 */     // GIR_Coverage, 9089,
     /*  979875 */     GIR_EraseRootFromParent_Done,
     /*  979876 */   // Label 14632: @979876
     /*  979876 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(979971), // Rule ID 9180 //
     /*  979881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979931 */     // MIs[1] Operand 1
     /*  979931 */     // No operand predicates
     /*  979931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979969 */     GIR_RootConstrainSelectedInstOperands,
     /*  979970 */     // GIR_Coverage, 9180,
     /*  979970 */     GIR_EraseRootFromParent_Done,
     /*  979971 */   // Label 14633: @979971
     /*  979971 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(980066), // Rule ID 9181 //
     /*  979976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980026 */     // MIs[1] Operand 1
     /*  980026 */     // No operand predicates
     /*  980026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980039 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  980042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980064 */     GIR_RootConstrainSelectedInstOperands,
     /*  980065 */     // GIR_Coverage, 9181,
     /*  980065 */     GIR_EraseRootFromParent_Done,
     /*  980066 */   // Label 14634: @980066
     /*  980066 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(980161), // Rule ID 9184 //
     /*  980071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980121 */     // MIs[1] Operand 1
     /*  980121 */     // No operand predicates
     /*  980121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980159 */     GIR_RootConstrainSelectedInstOperands,
     /*  980160 */     // GIR_Coverage, 9184,
     /*  980160 */     GIR_EraseRootFromParent_Done,
     /*  980161 */   // Label 14635: @980161
     /*  980161 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(980256), // Rule ID 9185 //
     /*  980166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980216 */     // MIs[1] Operand 1
     /*  980216 */     // No operand predicates
     /*  980216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980254 */     GIR_RootConstrainSelectedInstOperands,
     /*  980255 */     // GIR_Coverage, 9185,
     /*  980255 */     GIR_EraseRootFromParent_Done,
     /*  980256 */   // Label 14636: @980256
     /*  980256 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(980351), // Rule ID 9188 //
     /*  980261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980311 */     // MIs[1] Operand 1
     /*  980311 */     // No operand predicates
     /*  980311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980349 */     GIR_RootConstrainSelectedInstOperands,
     /*  980350 */     // GIR_Coverage, 9188,
     /*  980350 */     GIR_EraseRootFromParent_Done,
     /*  980351 */   // Label 14637: @980351
     /*  980351 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(980446), // Rule ID 9189 //
     /*  980356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980406 */     // MIs[1] Operand 1
     /*  980406 */     // No operand predicates
     /*  980406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980419 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980444 */     GIR_RootConstrainSelectedInstOperands,
     /*  980445 */     // GIR_Coverage, 9189,
     /*  980445 */     GIR_EraseRootFromParent_Done,
     /*  980446 */   // Label 14638: @980446
     /*  980446 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(980541), // Rule ID 9192 //
     /*  980451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980501 */     // MIs[1] Operand 1
     /*  980501 */     // No operand predicates
     /*  980501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980514 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980539 */     GIR_RootConstrainSelectedInstOperands,
     /*  980540 */     // GIR_Coverage, 9192,
     /*  980540 */     GIR_EraseRootFromParent_Done,
     /*  980541 */   // Label 14639: @980541
     /*  980541 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(980636), // Rule ID 9193 //
     /*  980546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980596 */     // MIs[1] Operand 1
     /*  980596 */     // No operand predicates
     /*  980596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980634 */     GIR_RootConstrainSelectedInstOperands,
     /*  980635 */     // GIR_Coverage, 9193,
     /*  980635 */     GIR_EraseRootFromParent_Done,
     /*  980636 */   // Label 14640: @980636
     /*  980636 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(980731), // Rule ID 9196 //
     /*  980641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980691 */     // MIs[1] Operand 1
     /*  980691 */     // No operand predicates
     /*  980691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980729 */     GIR_RootConstrainSelectedInstOperands,
     /*  980730 */     // GIR_Coverage, 9196,
     /*  980730 */     GIR_EraseRootFromParent_Done,
     /*  980731 */   // Label 14641: @980731
     /*  980731 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(980826), // Rule ID 9197 //
     /*  980736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980786 */     // MIs[1] Operand 1
     /*  980786 */     // No operand predicates
     /*  980786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980824 */     GIR_RootConstrainSelectedInstOperands,
     /*  980825 */     // GIR_Coverage, 9197,
     /*  980825 */     GIR_EraseRootFromParent_Done,
     /*  980826 */   // Label 14642: @980826
     /*  980826 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(980921), // Rule ID 9200 //
     /*  980831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980881 */     // MIs[1] Operand 1
     /*  980881 */     // No operand predicates
     /*  980881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980919 */     GIR_RootConstrainSelectedInstOperands,
     /*  980920 */     // GIR_Coverage, 9200,
     /*  980920 */     GIR_EraseRootFromParent_Done,
     /*  980921 */   // Label 14643: @980921
     /*  980921 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(981016), // Rule ID 9201 //
     /*  980926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980976 */     // MIs[1] Operand 1
     /*  980976 */     // No operand predicates
     /*  980976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981014 */     GIR_RootConstrainSelectedInstOperands,
     /*  981015 */     // GIR_Coverage, 9201,
     /*  981015 */     GIR_EraseRootFromParent_Done,
     /*  981016 */   // Label 14644: @981016
     /*  981016 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(981111), // Rule ID 9204 //
     /*  981021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981071 */     // MIs[1] Operand 1
     /*  981071 */     // No operand predicates
     /*  981071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981109 */     GIR_RootConstrainSelectedInstOperands,
     /*  981110 */     // GIR_Coverage, 9204,
     /*  981110 */     GIR_EraseRootFromParent_Done,
     /*  981111 */   // Label 14645: @981111
     /*  981111 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(981206), // Rule ID 9205 //
     /*  981116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981166 */     // MIs[1] Operand 1
     /*  981166 */     // No operand predicates
     /*  981166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981204 */     GIR_RootConstrainSelectedInstOperands,
     /*  981205 */     // GIR_Coverage, 9205,
     /*  981205 */     GIR_EraseRootFromParent_Done,
     /*  981206 */   // Label 14646: @981206
     /*  981206 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(981301), // Rule ID 9208 //
     /*  981211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981261 */     // MIs[1] Operand 1
     /*  981261 */     // No operand predicates
     /*  981261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981274 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981299 */     GIR_RootConstrainSelectedInstOperands,
     /*  981300 */     // GIR_Coverage, 9208,
     /*  981300 */     GIR_EraseRootFromParent_Done,
     /*  981301 */   // Label 14647: @981301
     /*  981301 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(981396), // Rule ID 9209 //
     /*  981306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981356 */     // MIs[1] Operand 1
     /*  981356 */     // No operand predicates
     /*  981356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981394 */     GIR_RootConstrainSelectedInstOperands,
     /*  981395 */     // GIR_Coverage, 9209,
     /*  981395 */     GIR_EraseRootFromParent_Done,
     /*  981396 */   // Label 14648: @981396
     /*  981396 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(981491), // Rule ID 9212 //
     /*  981401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981451 */     // MIs[1] Operand 1
     /*  981451 */     // No operand predicates
     /*  981451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981489 */     GIR_RootConstrainSelectedInstOperands,
     /*  981490 */     // GIR_Coverage, 9212,
     /*  981490 */     GIR_EraseRootFromParent_Done,
     /*  981491 */   // Label 14649: @981491
     /*  981491 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(981586), // Rule ID 9213 //
     /*  981496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981546 */     // MIs[1] Operand 1
     /*  981546 */     // No operand predicates
     /*  981546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981584 */     GIR_RootConstrainSelectedInstOperands,
     /*  981585 */     // GIR_Coverage, 9213,
     /*  981585 */     GIR_EraseRootFromParent_Done,
     /*  981586 */   // Label 14650: @981586
     /*  981586 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(981681), // Rule ID 9216 //
     /*  981591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981641 */     // MIs[1] Operand 1
     /*  981641 */     // No operand predicates
     /*  981641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981679 */     GIR_RootConstrainSelectedInstOperands,
     /*  981680 */     // GIR_Coverage, 9216,
     /*  981680 */     GIR_EraseRootFromParent_Done,
     /*  981681 */   // Label 14651: @981681
     /*  981681 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(981776), // Rule ID 9217 //
     /*  981686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981736 */     // MIs[1] Operand 1
     /*  981736 */     // No operand predicates
     /*  981736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981774 */     GIR_RootConstrainSelectedInstOperands,
     /*  981775 */     // GIR_Coverage, 9217,
     /*  981775 */     GIR_EraseRootFromParent_Done,
     /*  981776 */   // Label 14652: @981776
     /*  981776 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(981871), // Rule ID 9220 //
     /*  981781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981831 */     // MIs[1] Operand 1
     /*  981831 */     // No operand predicates
     /*  981831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981869 */     GIR_RootConstrainSelectedInstOperands,
     /*  981870 */     // GIR_Coverage, 9220,
     /*  981870 */     GIR_EraseRootFromParent_Done,
     /*  981871 */   // Label 14653: @981871
     /*  981871 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(981966), // Rule ID 9221 //
     /*  981876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981926 */     // MIs[1] Operand 1
     /*  981926 */     // No operand predicates
     /*  981926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981964 */     GIR_RootConstrainSelectedInstOperands,
     /*  981965 */     // GIR_Coverage, 9221,
     /*  981965 */     GIR_EraseRootFromParent_Done,
     /*  981966 */   // Label 14654: @981966
     /*  981966 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(982061), // Rule ID 9224 //
     /*  981971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982021 */     // MIs[1] Operand 1
     /*  982021 */     // No operand predicates
     /*  982021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982034 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982059 */     GIR_RootConstrainSelectedInstOperands,
     /*  982060 */     // GIR_Coverage, 9224,
     /*  982060 */     GIR_EraseRootFromParent_Done,
     /*  982061 */   // Label 14655: @982061
     /*  982061 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(982156), // Rule ID 9225 //
     /*  982066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982116 */     // MIs[1] Operand 1
     /*  982116 */     // No operand predicates
     /*  982116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982154 */     GIR_RootConstrainSelectedInstOperands,
     /*  982155 */     // GIR_Coverage, 9225,
     /*  982155 */     GIR_EraseRootFromParent_Done,
     /*  982156 */   // Label 14656: @982156
     /*  982156 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(982251), // Rule ID 9228 //
     /*  982161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982211 */     // MIs[1] Operand 1
     /*  982211 */     // No operand predicates
     /*  982211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982224 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982249 */     GIR_RootConstrainSelectedInstOperands,
     /*  982250 */     // GIR_Coverage, 9228,
     /*  982250 */     GIR_EraseRootFromParent_Done,
     /*  982251 */   // Label 14657: @982251
     /*  982251 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(982346), // Rule ID 9229 //
     /*  982256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982306 */     // MIs[1] Operand 1
     /*  982306 */     // No operand predicates
     /*  982306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982319 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982344 */     GIR_RootConstrainSelectedInstOperands,
     /*  982345 */     // GIR_Coverage, 9229,
     /*  982345 */     GIR_EraseRootFromParent_Done,
     /*  982346 */   // Label 14658: @982346
     /*  982346 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(982441), // Rule ID 9232 //
     /*  982351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982401 */     // MIs[1] Operand 1
     /*  982401 */     // No operand predicates
     /*  982401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982439 */     GIR_RootConstrainSelectedInstOperands,
     /*  982440 */     // GIR_Coverage, 9232,
     /*  982440 */     GIR_EraseRootFromParent_Done,
     /*  982441 */   // Label 14659: @982441
     /*  982441 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(982536), // Rule ID 9233 //
     /*  982446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982496 */     // MIs[1] Operand 1
     /*  982496 */     // No operand predicates
     /*  982496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982534 */     GIR_RootConstrainSelectedInstOperands,
     /*  982535 */     // GIR_Coverage, 9233,
     /*  982535 */     GIR_EraseRootFromParent_Done,
     /*  982536 */   // Label 14660: @982536
     /*  982536 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(982631), // Rule ID 9236 //
     /*  982541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982591 */     // MIs[1] Operand 1
     /*  982591 */     // No operand predicates
     /*  982591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982629 */     GIR_RootConstrainSelectedInstOperands,
     /*  982630 */     // GIR_Coverage, 9236,
     /*  982630 */     GIR_EraseRootFromParent_Done,
     /*  982631 */   // Label 14661: @982631
     /*  982631 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(982726), // Rule ID 9237 //
     /*  982636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982686 */     // MIs[1] Operand 1
     /*  982686 */     // No operand predicates
     /*  982686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982699 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982724 */     GIR_RootConstrainSelectedInstOperands,
     /*  982725 */     // GIR_Coverage, 9237,
     /*  982725 */     GIR_EraseRootFromParent_Done,
     /*  982726 */   // Label 14662: @982726
     /*  982726 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(982821), // Rule ID 9240 //
     /*  982731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982781 */     // MIs[1] Operand 1
     /*  982781 */     // No operand predicates
     /*  982781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982794 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982819 */     GIR_RootConstrainSelectedInstOperands,
     /*  982820 */     // GIR_Coverage, 9240,
     /*  982820 */     GIR_EraseRootFromParent_Done,
     /*  982821 */   // Label 14663: @982821
     /*  982821 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(982916), // Rule ID 9241 //
     /*  982826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982876 */     // MIs[1] Operand 1
     /*  982876 */     // No operand predicates
     /*  982876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982889 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982914 */     GIR_RootConstrainSelectedInstOperands,
     /*  982915 */     // GIR_Coverage, 9241,
     /*  982915 */     GIR_EraseRootFromParent_Done,
     /*  982916 */   // Label 14664: @982916
     /*  982916 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(983011), // Rule ID 9244 //
     /*  982921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982971 */     // MIs[1] Operand 1
     /*  982971 */     // No operand predicates
     /*  982971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983009 */     GIR_RootConstrainSelectedInstOperands,
     /*  983010 */     // GIR_Coverage, 9244,
     /*  983010 */     GIR_EraseRootFromParent_Done,
     /*  983011 */   // Label 14665: @983011
     /*  983011 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(983106), // Rule ID 9245 //
     /*  983016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983066 */     // MIs[1] Operand 1
     /*  983066 */     // No operand predicates
     /*  983066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983104 */     GIR_RootConstrainSelectedInstOperands,
     /*  983105 */     // GIR_Coverage, 9245,
     /*  983105 */     GIR_EraseRootFromParent_Done,
     /*  983106 */   // Label 14666: @983106
     /*  983106 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(983201), // Rule ID 9248 //
     /*  983111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983161 */     // MIs[1] Operand 1
     /*  983161 */     // No operand predicates
     /*  983161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983199 */     GIR_RootConstrainSelectedInstOperands,
     /*  983200 */     // GIR_Coverage, 9248,
     /*  983200 */     GIR_EraseRootFromParent_Done,
     /*  983201 */   // Label 14667: @983201
     /*  983201 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(983296), // Rule ID 9249 //
     /*  983206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983256 */     // MIs[1] Operand 1
     /*  983256 */     // No operand predicates
     /*  983256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983294 */     GIR_RootConstrainSelectedInstOperands,
     /*  983295 */     // GIR_Coverage, 9249,
     /*  983295 */     GIR_EraseRootFromParent_Done,
     /*  983296 */   // Label 14668: @983296
     /*  983296 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(983391), // Rule ID 9252 //
     /*  983301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983351 */     // MIs[1] Operand 1
     /*  983351 */     // No operand predicates
     /*  983351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983389 */     GIR_RootConstrainSelectedInstOperands,
     /*  983390 */     // GIR_Coverage, 9252,
     /*  983390 */     GIR_EraseRootFromParent_Done,
     /*  983391 */   // Label 14669: @983391
     /*  983391 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(983486), // Rule ID 9253 //
     /*  983396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983446 */     // MIs[1] Operand 1
     /*  983446 */     // No operand predicates
     /*  983446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983459 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983484 */     GIR_RootConstrainSelectedInstOperands,
     /*  983485 */     // GIR_Coverage, 9253,
     /*  983485 */     GIR_EraseRootFromParent_Done,
     /*  983486 */   // Label 14670: @983486
     /*  983486 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(983581), // Rule ID 9256 //
     /*  983491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983541 */     // MIs[1] Operand 1
     /*  983541 */     // No operand predicates
     /*  983541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983579 */     GIR_RootConstrainSelectedInstOperands,
     /*  983580 */     // GIR_Coverage, 9256,
     /*  983580 */     GIR_EraseRootFromParent_Done,
     /*  983581 */   // Label 14671: @983581
     /*  983581 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(983676), // Rule ID 9257 //
     /*  983586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983636 */     // MIs[1] Operand 1
     /*  983636 */     // No operand predicates
     /*  983636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983674 */     GIR_RootConstrainSelectedInstOperands,
     /*  983675 */     // GIR_Coverage, 9257,
     /*  983675 */     GIR_EraseRootFromParent_Done,
     /*  983676 */   // Label 14672: @983676
     /*  983676 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(983771), // Rule ID 9260 //
     /*  983681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983731 */     // MIs[1] Operand 1
     /*  983731 */     // No operand predicates
     /*  983731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983769 */     GIR_RootConstrainSelectedInstOperands,
     /*  983770 */     // GIR_Coverage, 9260,
     /*  983770 */     GIR_EraseRootFromParent_Done,
     /*  983771 */   // Label 14673: @983771
     /*  983771 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(983866), // Rule ID 9261 //
     /*  983776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983826 */     // MIs[1] Operand 1
     /*  983826 */     // No operand predicates
     /*  983826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983864 */     GIR_RootConstrainSelectedInstOperands,
     /*  983865 */     // GIR_Coverage, 9261,
     /*  983865 */     GIR_EraseRootFromParent_Done,
     /*  983866 */   // Label 14674: @983866
     /*  983866 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(983961), // Rule ID 9264 //
     /*  983871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983921 */     // MIs[1] Operand 1
     /*  983921 */     // No operand predicates
     /*  983921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983959 */     GIR_RootConstrainSelectedInstOperands,
     /*  983960 */     // GIR_Coverage, 9264,
     /*  983960 */     GIR_EraseRootFromParent_Done,
     /*  983961 */   // Label 14675: @983961
     /*  983961 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(984056), // Rule ID 9265 //
     /*  983966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984016 */     // MIs[1] Operand 1
     /*  984016 */     // No operand predicates
     /*  984016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984054 */     GIR_RootConstrainSelectedInstOperands,
     /*  984055 */     // GIR_Coverage, 9265,
     /*  984055 */     GIR_EraseRootFromParent_Done,
     /*  984056 */   // Label 14676: @984056
     /*  984056 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(984151), // Rule ID 9356 //
     /*  984061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984111 */     // MIs[1] Operand 1
     /*  984111 */     // No operand predicates
     /*  984111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984149 */     GIR_RootConstrainSelectedInstOperands,
     /*  984150 */     // GIR_Coverage, 9356,
     /*  984150 */     GIR_EraseRootFromParent_Done,
     /*  984151 */   // Label 14677: @984151
     /*  984151 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(984246), // Rule ID 9357 //
     /*  984156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984206 */     // MIs[1] Operand 1
     /*  984206 */     // No operand predicates
     /*  984206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984219 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984244 */     GIR_RootConstrainSelectedInstOperands,
     /*  984245 */     // GIR_Coverage, 9357,
     /*  984245 */     GIR_EraseRootFromParent_Done,
     /*  984246 */   // Label 14678: @984246
     /*  984246 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(984341), // Rule ID 9360 //
     /*  984251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984301 */     // MIs[1] Operand 1
     /*  984301 */     // No operand predicates
     /*  984301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984339 */     GIR_RootConstrainSelectedInstOperands,
     /*  984340 */     // GIR_Coverage, 9360,
     /*  984340 */     GIR_EraseRootFromParent_Done,
     /*  984341 */   // Label 14679: @984341
     /*  984341 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(984436), // Rule ID 9361 //
     /*  984346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984396 */     // MIs[1] Operand 1
     /*  984396 */     // No operand predicates
     /*  984396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984434 */     GIR_RootConstrainSelectedInstOperands,
     /*  984435 */     // GIR_Coverage, 9361,
     /*  984435 */     GIR_EraseRootFromParent_Done,
     /*  984436 */   // Label 14680: @984436
     /*  984436 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(984531), // Rule ID 9364 //
     /*  984441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984491 */     // MIs[1] Operand 1
     /*  984491 */     // No operand predicates
     /*  984491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984529 */     GIR_RootConstrainSelectedInstOperands,
     /*  984530 */     // GIR_Coverage, 9364,
     /*  984530 */     GIR_EraseRootFromParent_Done,
     /*  984531 */   // Label 14681: @984531
     /*  984531 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(984626), // Rule ID 9365 //
     /*  984536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984586 */     // MIs[1] Operand 1
     /*  984586 */     // No operand predicates
     /*  984586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984624 */     GIR_RootConstrainSelectedInstOperands,
     /*  984625 */     // GIR_Coverage, 9365,
     /*  984625 */     GIR_EraseRootFromParent_Done,
     /*  984626 */   // Label 14682: @984626
     /*  984626 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(984721), // Rule ID 9368 //
     /*  984631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984681 */     // MIs[1] Operand 1
     /*  984681 */     // No operand predicates
     /*  984681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984719 */     GIR_RootConstrainSelectedInstOperands,
     /*  984720 */     // GIR_Coverage, 9368,
     /*  984720 */     GIR_EraseRootFromParent_Done,
     /*  984721 */   // Label 14683: @984721
     /*  984721 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(984816), // Rule ID 9369 //
     /*  984726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984776 */     // MIs[1] Operand 1
     /*  984776 */     // No operand predicates
     /*  984776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984789 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984814 */     GIR_RootConstrainSelectedInstOperands,
     /*  984815 */     // GIR_Coverage, 9369,
     /*  984815 */     GIR_EraseRootFromParent_Done,
     /*  984816 */   // Label 14684: @984816
     /*  984816 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(984911), // Rule ID 9372 //
     /*  984821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984871 */     // MIs[1] Operand 1
     /*  984871 */     // No operand predicates
     /*  984871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984909 */     GIR_RootConstrainSelectedInstOperands,
     /*  984910 */     // GIR_Coverage, 9372,
     /*  984910 */     GIR_EraseRootFromParent_Done,
     /*  984911 */   // Label 14685: @984911
     /*  984911 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(985006), // Rule ID 9373 //
     /*  984916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984966 */     // MIs[1] Operand 1
     /*  984966 */     // No operand predicates
     /*  984966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984979 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985004 */     GIR_RootConstrainSelectedInstOperands,
     /*  985005 */     // GIR_Coverage, 9373,
     /*  985005 */     GIR_EraseRootFromParent_Done,
     /*  985006 */   // Label 14686: @985006
     /*  985006 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(985101), // Rule ID 9376 //
     /*  985011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985061 */     // MIs[1] Operand 1
     /*  985061 */     // No operand predicates
     /*  985061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985099 */     GIR_RootConstrainSelectedInstOperands,
     /*  985100 */     // GIR_Coverage, 9376,
     /*  985100 */     GIR_EraseRootFromParent_Done,
     /*  985101 */   // Label 14687: @985101
     /*  985101 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(985196), // Rule ID 9377 //
     /*  985106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985156 */     // MIs[1] Operand 1
     /*  985156 */     // No operand predicates
     /*  985156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985169 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985194 */     GIR_RootConstrainSelectedInstOperands,
     /*  985195 */     // GIR_Coverage, 9377,
     /*  985195 */     GIR_EraseRootFromParent_Done,
     /*  985196 */   // Label 14688: @985196
     /*  985196 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(985291), // Rule ID 9380 //
     /*  985201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985251 */     // MIs[1] Operand 1
     /*  985251 */     // No operand predicates
     /*  985251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985289 */     GIR_RootConstrainSelectedInstOperands,
     /*  985290 */     // GIR_Coverage, 9380,
     /*  985290 */     GIR_EraseRootFromParent_Done,
     /*  985291 */   // Label 14689: @985291
     /*  985291 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(985386), // Rule ID 9381 //
     /*  985296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985346 */     // MIs[1] Operand 1
     /*  985346 */     // No operand predicates
     /*  985346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985384 */     GIR_RootConstrainSelectedInstOperands,
     /*  985385 */     // GIR_Coverage, 9381,
     /*  985385 */     GIR_EraseRootFromParent_Done,
     /*  985386 */   // Label 14690: @985386
     /*  985386 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(985481), // Rule ID 9384 //
     /*  985391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985441 */     // MIs[1] Operand 1
     /*  985441 */     // No operand predicates
     /*  985441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985479 */     GIR_RootConstrainSelectedInstOperands,
     /*  985480 */     // GIR_Coverage, 9384,
     /*  985480 */     GIR_EraseRootFromParent_Done,
     /*  985481 */   // Label 14691: @985481
     /*  985481 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(985576), // Rule ID 9385 //
     /*  985486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985536 */     // MIs[1] Operand 1
     /*  985536 */     // No operand predicates
     /*  985536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985574 */     GIR_RootConstrainSelectedInstOperands,
     /*  985575 */     // GIR_Coverage, 9385,
     /*  985575 */     GIR_EraseRootFromParent_Done,
     /*  985576 */   // Label 14692: @985576
     /*  985576 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(985671), // Rule ID 9388 //
     /*  985581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985631 */     // MIs[1] Operand 1
     /*  985631 */     // No operand predicates
     /*  985631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985669 */     GIR_RootConstrainSelectedInstOperands,
     /*  985670 */     // GIR_Coverage, 9388,
     /*  985670 */     GIR_EraseRootFromParent_Done,
     /*  985671 */   // Label 14693: @985671
     /*  985671 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(985766), // Rule ID 9389 //
     /*  985676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985726 */     // MIs[1] Operand 1
     /*  985726 */     // No operand predicates
     /*  985726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985764 */     GIR_RootConstrainSelectedInstOperands,
     /*  985765 */     // GIR_Coverage, 9389,
     /*  985765 */     GIR_EraseRootFromParent_Done,
     /*  985766 */   // Label 14694: @985766
     /*  985766 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(985861), // Rule ID 9392 //
     /*  985771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985821 */     // MIs[1] Operand 1
     /*  985821 */     // No operand predicates
     /*  985821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  985834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985859 */     GIR_RootConstrainSelectedInstOperands,
     /*  985860 */     // GIR_Coverage, 9392,
     /*  985860 */     GIR_EraseRootFromParent_Done,
     /*  985861 */   // Label 14695: @985861
     /*  985861 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(985956), // Rule ID 9393 //
     /*  985866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985916 */     // MIs[1] Operand 1
     /*  985916 */     // No operand predicates
     /*  985916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  985929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985954 */     GIR_RootConstrainSelectedInstOperands,
     /*  985955 */     // GIR_Coverage, 9393,
     /*  985955 */     GIR_EraseRootFromParent_Done,
     /*  985956 */   // Label 14696: @985956
     /*  985956 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(986051), // Rule ID 9396 //
     /*  985961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986011 */     // MIs[1] Operand 1
     /*  986011 */     // No operand predicates
     /*  986011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986049 */     GIR_RootConstrainSelectedInstOperands,
     /*  986050 */     // GIR_Coverage, 9396,
     /*  986050 */     GIR_EraseRootFromParent_Done,
     /*  986051 */   // Label 14697: @986051
     /*  986051 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(986146), // Rule ID 9397 //
     /*  986056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986106 */     // MIs[1] Operand 1
     /*  986106 */     // No operand predicates
     /*  986106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986144 */     GIR_RootConstrainSelectedInstOperands,
     /*  986145 */     // GIR_Coverage, 9397,
     /*  986145 */     GIR_EraseRootFromParent_Done,
     /*  986146 */   // Label 14698: @986146
     /*  986146 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(986241), // Rule ID 9400 //
     /*  986151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986201 */     // MIs[1] Operand 1
     /*  986201 */     // No operand predicates
     /*  986201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986214 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986239 */     GIR_RootConstrainSelectedInstOperands,
     /*  986240 */     // GIR_Coverage, 9400,
     /*  986240 */     GIR_EraseRootFromParent_Done,
     /*  986241 */   // Label 14699: @986241
     /*  986241 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(986336), // Rule ID 9401 //
     /*  986246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986296 */     // MIs[1] Operand 1
     /*  986296 */     // No operand predicates
     /*  986296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986309 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986334 */     GIR_RootConstrainSelectedInstOperands,
     /*  986335 */     // GIR_Coverage, 9401,
     /*  986335 */     GIR_EraseRootFromParent_Done,
     /*  986336 */   // Label 14700: @986336
     /*  986336 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(986431), // Rule ID 9404 //
     /*  986341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986391 */     // MIs[1] Operand 1
     /*  986391 */     // No operand predicates
     /*  986391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986404 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986429 */     GIR_RootConstrainSelectedInstOperands,
     /*  986430 */     // GIR_Coverage, 9404,
     /*  986430 */     GIR_EraseRootFromParent_Done,
     /*  986431 */   // Label 14701: @986431
     /*  986431 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(986526), // Rule ID 9405 //
     /*  986436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986486 */     // MIs[1] Operand 1
     /*  986486 */     // No operand predicates
     /*  986486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986499 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986524 */     GIR_RootConstrainSelectedInstOperands,
     /*  986525 */     // GIR_Coverage, 9405,
     /*  986525 */     GIR_EraseRootFromParent_Done,
     /*  986526 */   // Label 14702: @986526
     /*  986526 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(986621), // Rule ID 9408 //
     /*  986531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986581 */     // MIs[1] Operand 1
     /*  986581 */     // No operand predicates
     /*  986581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986619 */     GIR_RootConstrainSelectedInstOperands,
     /*  986620 */     // GIR_Coverage, 9408,
     /*  986620 */     GIR_EraseRootFromParent_Done,
     /*  986621 */   // Label 14703: @986621
     /*  986621 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(986716), // Rule ID 9409 //
     /*  986626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986676 */     // MIs[1] Operand 1
     /*  986676 */     // No operand predicates
     /*  986676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986714 */     GIR_RootConstrainSelectedInstOperands,
     /*  986715 */     // GIR_Coverage, 9409,
     /*  986715 */     GIR_EraseRootFromParent_Done,
     /*  986716 */   // Label 14704: @986716
     /*  986716 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(986811), // Rule ID 9412 //
     /*  986721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986771 */     // MIs[1] Operand 1
     /*  986771 */     // No operand predicates
     /*  986771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986809 */     GIR_RootConstrainSelectedInstOperands,
     /*  986810 */     // GIR_Coverage, 9412,
     /*  986810 */     GIR_EraseRootFromParent_Done,
     /*  986811 */   // Label 14705: @986811
     /*  986811 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(986906), // Rule ID 9413 //
     /*  986816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986866 */     // MIs[1] Operand 1
     /*  986866 */     // No operand predicates
     /*  986866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986904 */     GIR_RootConstrainSelectedInstOperands,
     /*  986905 */     // GIR_Coverage, 9413,
     /*  986905 */     GIR_EraseRootFromParent_Done,
     /*  986906 */   // Label 14706: @986906
     /*  986906 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(987001), // Rule ID 9416 //
     /*  986911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986961 */     // MIs[1] Operand 1
     /*  986961 */     // No operand predicates
     /*  986961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986974 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986999 */     GIR_RootConstrainSelectedInstOperands,
     /*  987000 */     // GIR_Coverage, 9416,
     /*  987000 */     GIR_EraseRootFromParent_Done,
     /*  987001 */   // Label 14707: @987001
     /*  987001 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(987096), // Rule ID 9417 //
     /*  987006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987056 */     // MIs[1] Operand 1
     /*  987056 */     // No operand predicates
     /*  987056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987069 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987094 */     GIR_RootConstrainSelectedInstOperands,
     /*  987095 */     // GIR_Coverage, 9417,
     /*  987095 */     GIR_EraseRootFromParent_Done,
     /*  987096 */   // Label 14708: @987096
     /*  987096 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(987191), // Rule ID 9420 //
     /*  987101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987151 */     // MIs[1] Operand 1
     /*  987151 */     // No operand predicates
     /*  987151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987189 */     GIR_RootConstrainSelectedInstOperands,
     /*  987190 */     // GIR_Coverage, 9420,
     /*  987190 */     GIR_EraseRootFromParent_Done,
     /*  987191 */   // Label 14709: @987191
     /*  987191 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(987286), // Rule ID 9421 //
     /*  987196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987246 */     // MIs[1] Operand 1
     /*  987246 */     // No operand predicates
     /*  987246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987284 */     GIR_RootConstrainSelectedInstOperands,
     /*  987285 */     // GIR_Coverage, 9421,
     /*  987285 */     GIR_EraseRootFromParent_Done,
     /*  987286 */   // Label 14710: @987286
     /*  987286 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(987381), // Rule ID 9424 //
     /*  987291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987341 */     // MIs[1] Operand 1
     /*  987341 */     // No operand predicates
     /*  987341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987354 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987379 */     GIR_RootConstrainSelectedInstOperands,
     /*  987380 */     // GIR_Coverage, 9424,
     /*  987380 */     GIR_EraseRootFromParent_Done,
     /*  987381 */   // Label 14711: @987381
     /*  987381 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(987476), // Rule ID 9425 //
     /*  987386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987436 */     // MIs[1] Operand 1
     /*  987436 */     // No operand predicates
     /*  987436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987474 */     GIR_RootConstrainSelectedInstOperands,
     /*  987475 */     // GIR_Coverage, 9425,
     /*  987475 */     GIR_EraseRootFromParent_Done,
     /*  987476 */   // Label 14712: @987476
     /*  987476 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(987571), // Rule ID 9428 //
     /*  987481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987531 */     // MIs[1] Operand 1
     /*  987531 */     // No operand predicates
     /*  987531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987569 */     GIR_RootConstrainSelectedInstOperands,
     /*  987570 */     // GIR_Coverage, 9428,
     /*  987570 */     GIR_EraseRootFromParent_Done,
     /*  987571 */   // Label 14713: @987571
     /*  987571 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(987666), // Rule ID 9429 //
     /*  987576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987626 */     // MIs[1] Operand 1
     /*  987626 */     // No operand predicates
     /*  987626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987639 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987664 */     GIR_RootConstrainSelectedInstOperands,
     /*  987665 */     // GIR_Coverage, 9429,
     /*  987665 */     GIR_EraseRootFromParent_Done,
     /*  987666 */   // Label 14714: @987666
     /*  987666 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(987761), // Rule ID 9432 //
     /*  987671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987721 */     // MIs[1] Operand 1
     /*  987721 */     // No operand predicates
     /*  987721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987734 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987759 */     GIR_RootConstrainSelectedInstOperands,
     /*  987760 */     // GIR_Coverage, 9432,
     /*  987760 */     GIR_EraseRootFromParent_Done,
     /*  987761 */   // Label 14715: @987761
     /*  987761 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(987856), // Rule ID 9433 //
     /*  987766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987816 */     // MIs[1] Operand 1
     /*  987816 */     // No operand predicates
     /*  987816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987854 */     GIR_RootConstrainSelectedInstOperands,
     /*  987855 */     // GIR_Coverage, 9433,
     /*  987855 */     GIR_EraseRootFromParent_Done,
     /*  987856 */   // Label 14716: @987856
     /*  987856 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(987951), // Rule ID 9436 //
     /*  987861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987911 */     // MIs[1] Operand 1
     /*  987911 */     // No operand predicates
     /*  987911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987949 */     GIR_RootConstrainSelectedInstOperands,
     /*  987950 */     // GIR_Coverage, 9436,
     /*  987950 */     GIR_EraseRootFromParent_Done,
     /*  987951 */   // Label 14717: @987951
     /*  987951 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(988046), // Rule ID 9437 //
     /*  987956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988006 */     // MIs[1] Operand 1
     /*  988006 */     // No operand predicates
     /*  988006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988019 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988044 */     GIR_RootConstrainSelectedInstOperands,
     /*  988045 */     // GIR_Coverage, 9437,
     /*  988045 */     GIR_EraseRootFromParent_Done,
     /*  988046 */   // Label 14718: @988046
     /*  988046 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(988141), // Rule ID 9440 //
     /*  988051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988101 */     // MIs[1] Operand 1
     /*  988101 */     // No operand predicates
     /*  988101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988139 */     GIR_RootConstrainSelectedInstOperands,
     /*  988140 */     // GIR_Coverage, 9440,
     /*  988140 */     GIR_EraseRootFromParent_Done,
     /*  988141 */   // Label 14719: @988141
     /*  988141 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(988236), // Rule ID 9441 //
     /*  988146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988196 */     // MIs[1] Operand 1
     /*  988196 */     // No operand predicates
     /*  988196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988234 */     GIR_RootConstrainSelectedInstOperands,
     /*  988235 */     // GIR_Coverage, 9441,
     /*  988235 */     GIR_EraseRootFromParent_Done,
     /*  988236 */   // Label 14720: @988236
     /*  988236 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(988328), // Rule ID 13818 //
     /*  988241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988291 */     // MIs[1] Operand 1
     /*  988291 */     // No operand predicates
     /*  988291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988326 */     GIR_RootConstrainSelectedInstOperands,
     /*  988327 */     // GIR_Coverage, 13818,
     /*  988327 */     GIR_EraseRootFromParent_Done,
     /*  988328 */   // Label 14721: @988328
     /*  988328 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(988420), // Rule ID 13819 //
     /*  988333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988383 */     // MIs[1] Operand 1
     /*  988383 */     // No operand predicates
     /*  988383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988418 */     GIR_RootConstrainSelectedInstOperands,
     /*  988419 */     // GIR_Coverage, 13819,
     /*  988419 */     GIR_EraseRootFromParent_Done,
     /*  988420 */   // Label 14722: @988420
     /*  988420 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(988512), // Rule ID 13820 //
     /*  988425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988475 */     // MIs[1] Operand 1
     /*  988475 */     // No operand predicates
     /*  988475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988510 */     GIR_RootConstrainSelectedInstOperands,
     /*  988511 */     // GIR_Coverage, 13820,
     /*  988511 */     GIR_EraseRootFromParent_Done,
     /*  988512 */   // Label 14723: @988512
     /*  988512 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(988604), // Rule ID 13821 //
     /*  988517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988567 */     // MIs[1] Operand 1
     /*  988567 */     // No operand predicates
     /*  988567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988602 */     GIR_RootConstrainSelectedInstOperands,
     /*  988603 */     // GIR_Coverage, 13821,
     /*  988603 */     GIR_EraseRootFromParent_Done,
     /*  988604 */   // Label 14724: @988604
     /*  988604 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(988696), // Rule ID 13822 //
     /*  988609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988659 */     // MIs[1] Operand 1
     /*  988659 */     // No operand predicates
     /*  988659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988694 */     GIR_RootConstrainSelectedInstOperands,
     /*  988695 */     // GIR_Coverage, 13822,
     /*  988695 */     GIR_EraseRootFromParent_Done,
     /*  988696 */   // Label 14725: @988696
     /*  988696 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(988788), // Rule ID 13823 //
     /*  988701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988751 */     // MIs[1] Operand 1
     /*  988751 */     // No operand predicates
     /*  988751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988786 */     GIR_RootConstrainSelectedInstOperands,
     /*  988787 */     // GIR_Coverage, 13823,
     /*  988787 */     GIR_EraseRootFromParent_Done,
     /*  988788 */   // Label 14726: @988788
     /*  988788 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(988880), // Rule ID 13824 //
     /*  988793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988843 */     // MIs[1] Operand 1
     /*  988843 */     // No operand predicates
     /*  988843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988878 */     GIR_RootConstrainSelectedInstOperands,
     /*  988879 */     // GIR_Coverage, 13824,
     /*  988879 */     GIR_EraseRootFromParent_Done,
     /*  988880 */   // Label 14727: @988880
     /*  988880 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(988972), // Rule ID 13825 //
     /*  988885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988935 */     // MIs[1] Operand 1
     /*  988935 */     // No operand predicates
     /*  988935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988970 */     GIR_RootConstrainSelectedInstOperands,
     /*  988971 */     // GIR_Coverage, 13825,
     /*  988971 */     GIR_EraseRootFromParent_Done,
     /*  988972 */   // Label 14728: @988972
     /*  988972 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(989064), // Rule ID 13826 //
     /*  988977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989027 */     // MIs[1] Operand 1
     /*  989027 */     // No operand predicates
     /*  989027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989062 */     GIR_RootConstrainSelectedInstOperands,
     /*  989063 */     // GIR_Coverage, 13826,
     /*  989063 */     GIR_EraseRootFromParent_Done,
     /*  989064 */   // Label 14729: @989064
     /*  989064 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(989156), // Rule ID 13827 //
     /*  989069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989119 */     // MIs[1] Operand 1
     /*  989119 */     // No operand predicates
     /*  989119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989154 */     GIR_RootConstrainSelectedInstOperands,
     /*  989155 */     // GIR_Coverage, 13827,
     /*  989155 */     GIR_EraseRootFromParent_Done,
     /*  989156 */   // Label 14730: @989156
     /*  989156 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(989248), // Rule ID 13828 //
     /*  989161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989211 */     // MIs[1] Operand 1
     /*  989211 */     // No operand predicates
     /*  989211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989246 */     GIR_RootConstrainSelectedInstOperands,
     /*  989247 */     // GIR_Coverage, 13828,
     /*  989247 */     GIR_EraseRootFromParent_Done,
     /*  989248 */   // Label 14731: @989248
     /*  989248 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(989340), // Rule ID 13829 //
     /*  989253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989303 */     // MIs[1] Operand 1
     /*  989303 */     // No operand predicates
     /*  989303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989338 */     GIR_RootConstrainSelectedInstOperands,
     /*  989339 */     // GIR_Coverage, 13829,
     /*  989339 */     GIR_EraseRootFromParent_Done,
     /*  989340 */   // Label 14732: @989340
     /*  989340 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(989432), // Rule ID 13830 //
     /*  989345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989395 */     // MIs[1] Operand 1
     /*  989395 */     // No operand predicates
     /*  989395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989430 */     GIR_RootConstrainSelectedInstOperands,
     /*  989431 */     // GIR_Coverage, 13830,
     /*  989431 */     GIR_EraseRootFromParent_Done,
     /*  989432 */   // Label 14733: @989432
     /*  989432 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(989524), // Rule ID 13831 //
     /*  989437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989487 */     // MIs[1] Operand 1
     /*  989487 */     // No operand predicates
     /*  989487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989522 */     GIR_RootConstrainSelectedInstOperands,
     /*  989523 */     // GIR_Coverage, 13831,
     /*  989523 */     GIR_EraseRootFromParent_Done,
     /*  989524 */   // Label 14734: @989524
     /*  989524 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(989616), // Rule ID 13832 //
     /*  989529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989579 */     // MIs[1] Operand 1
     /*  989579 */     // No operand predicates
     /*  989579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989614 */     GIR_RootConstrainSelectedInstOperands,
     /*  989615 */     // GIR_Coverage, 13832,
     /*  989615 */     GIR_EraseRootFromParent_Done,
     /*  989616 */   // Label 14735: @989616
     /*  989616 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(989708), // Rule ID 13833 //
     /*  989621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989671 */     // MIs[1] Operand 1
     /*  989671 */     // No operand predicates
     /*  989671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989706 */     GIR_RootConstrainSelectedInstOperands,
     /*  989707 */     // GIR_Coverage, 13833,
     /*  989707 */     GIR_EraseRootFromParent_Done,
     /*  989708 */   // Label 14736: @989708
     /*  989708 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(989800), // Rule ID 13834 //
     /*  989713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989763 */     // MIs[1] Operand 1
     /*  989763 */     // No operand predicates
     /*  989763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989798 */     GIR_RootConstrainSelectedInstOperands,
     /*  989799 */     // GIR_Coverage, 13834,
     /*  989799 */     GIR_EraseRootFromParent_Done,
     /*  989800 */   // Label 14737: @989800
     /*  989800 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(989892), // Rule ID 13835 //
     /*  989805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989855 */     // MIs[1] Operand 1
     /*  989855 */     // No operand predicates
     /*  989855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989890 */     GIR_RootConstrainSelectedInstOperands,
     /*  989891 */     // GIR_Coverage, 13835,
     /*  989891 */     GIR_EraseRootFromParent_Done,
     /*  989892 */   // Label 14738: @989892
     /*  989892 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(989984), // Rule ID 13836 //
     /*  989897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  989900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989947 */     // MIs[1] Operand 1
     /*  989947 */     // No operand predicates
     /*  989947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  989960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989982 */     GIR_RootConstrainSelectedInstOperands,
     /*  989983 */     // GIR_Coverage, 13836,
     /*  989983 */     GIR_EraseRootFromParent_Done,
     /*  989984 */   // Label 14739: @989984
     /*  989984 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(990076), // Rule ID 13837 //
     /*  989989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  989992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  990000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  990003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990039 */     // MIs[1] Operand 1
     /*  990039 */     // No operand predicates
     /*  990039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990074 */     GIR_RootConstrainSelectedInstOperands,
     /*  990075 */     // GIR_Coverage, 13837,
     /*  990075 */     GIR_EraseRootFromParent_Done,
     /*  990076 */   // Label 14740: @990076
     /*  990076 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(990168), // Rule ID 13838 //
     /*  990081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990131 */     // MIs[1] Operand 1
     /*  990131 */     // No operand predicates
     /*  990131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990166 */     GIR_RootConstrainSelectedInstOperands,
     /*  990167 */     // GIR_Coverage, 13838,
     /*  990167 */     GIR_EraseRootFromParent_Done,
     /*  990168 */   // Label 14741: @990168
     /*  990168 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(990260), // Rule ID 13839 //
     /*  990173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990223 */     // MIs[1] Operand 1
     /*  990223 */     // No operand predicates
     /*  990223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990258 */     GIR_RootConstrainSelectedInstOperands,
     /*  990259 */     // GIR_Coverage, 13839,
     /*  990259 */     GIR_EraseRootFromParent_Done,
     /*  990260 */   // Label 14742: @990260
     /*  990260 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(990352), // Rule ID 13840 //
     /*  990265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990315 */     // MIs[1] Operand 1
     /*  990315 */     // No operand predicates
     /*  990315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990350 */     GIR_RootConstrainSelectedInstOperands,
     /*  990351 */     // GIR_Coverage, 13840,
     /*  990351 */     GIR_EraseRootFromParent_Done,
     /*  990352 */   // Label 14743: @990352
     /*  990352 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(990444), // Rule ID 13841 //
     /*  990357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990407 */     // MIs[1] Operand 1
     /*  990407 */     // No operand predicates
     /*  990407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990442 */     GIR_RootConstrainSelectedInstOperands,
     /*  990443 */     // GIR_Coverage, 13841,
     /*  990443 */     GIR_EraseRootFromParent_Done,
     /*  990444 */   // Label 14744: @990444
     /*  990444 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(990536), // Rule ID 13842 //
     /*  990449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990499 */     // MIs[1] Operand 1
     /*  990499 */     // No operand predicates
     /*  990499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990534 */     GIR_RootConstrainSelectedInstOperands,
     /*  990535 */     // GIR_Coverage, 13842,
     /*  990535 */     GIR_EraseRootFromParent_Done,
     /*  990536 */   // Label 14745: @990536
     /*  990536 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(990628), // Rule ID 13843 //
     /*  990541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990591 */     // MIs[1] Operand 1
     /*  990591 */     // No operand predicates
     /*  990591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990626 */     GIR_RootConstrainSelectedInstOperands,
     /*  990627 */     // GIR_Coverage, 13843,
     /*  990627 */     GIR_EraseRootFromParent_Done,
     /*  990628 */   // Label 14746: @990628
     /*  990628 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(990720), // Rule ID 13844 //
     /*  990633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990683 */     // MIs[1] Operand 1
     /*  990683 */     // No operand predicates
     /*  990683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990718 */     GIR_RootConstrainSelectedInstOperands,
     /*  990719 */     // GIR_Coverage, 13844,
     /*  990719 */     GIR_EraseRootFromParent_Done,
     /*  990720 */   // Label 14747: @990720
     /*  990720 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(990812), // Rule ID 13845 //
     /*  990725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990775 */     // MIs[1] Operand 1
     /*  990775 */     // No operand predicates
     /*  990775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990810 */     GIR_RootConstrainSelectedInstOperands,
     /*  990811 */     // GIR_Coverage, 13845,
     /*  990811 */     GIR_EraseRootFromParent_Done,
     /*  990812 */   // Label 14748: @990812
     /*  990812 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(990904), // Rule ID 13846 //
     /*  990817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990867 */     // MIs[1] Operand 1
     /*  990867 */     // No operand predicates
     /*  990867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990902 */     GIR_RootConstrainSelectedInstOperands,
     /*  990903 */     // GIR_Coverage, 13846,
     /*  990903 */     GIR_EraseRootFromParent_Done,
     /*  990904 */   // Label 14749: @990904
     /*  990904 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(990996), // Rule ID 13847 //
     /*  990909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990959 */     // MIs[1] Operand 1
     /*  990959 */     // No operand predicates
     /*  990959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990994 */     GIR_RootConstrainSelectedInstOperands,
     /*  990995 */     // GIR_Coverage, 13847,
     /*  990995 */     GIR_EraseRootFromParent_Done,
     /*  990996 */   // Label 14750: @990996
     /*  990996 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(991088), // Rule ID 13848 //
     /*  991001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991051 */     // MIs[1] Operand 1
     /*  991051 */     // No operand predicates
     /*  991051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  991064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991086 */     GIR_RootConstrainSelectedInstOperands,
     /*  991087 */     // GIR_Coverage, 13848,
     /*  991087 */     GIR_EraseRootFromParent_Done,
     /*  991088 */   // Label 14751: @991088
     /*  991088 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(991180), // Rule ID 13849 //
     /*  991093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991143 */     // MIs[1] Operand 1
     /*  991143 */     // No operand predicates
     /*  991143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  991156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991178 */     GIR_RootConstrainSelectedInstOperands,
     /*  991179 */     // GIR_Coverage, 13849,
     /*  991179 */     GIR_EraseRootFromParent_Done,
     /*  991180 */   // Label 14752: @991180
     /*  991180 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(991272), // Rule ID 13850 //
     /*  991185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991235 */     // MIs[1] Operand 1
     /*  991235 */     // No operand predicates
     /*  991235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991270 */     GIR_RootConstrainSelectedInstOperands,
     /*  991271 */     // GIR_Coverage, 13850,
     /*  991271 */     GIR_EraseRootFromParent_Done,
     /*  991272 */   // Label 14753: @991272
     /*  991272 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(991364), // Rule ID 13851 //
     /*  991277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991327 */     // MIs[1] Operand 1
     /*  991327 */     // No operand predicates
     /*  991327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991362 */     GIR_RootConstrainSelectedInstOperands,
     /*  991363 */     // GIR_Coverage, 13851,
     /*  991363 */     GIR_EraseRootFromParent_Done,
     /*  991364 */   // Label 14754: @991364
     /*  991364 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(991456), // Rule ID 13852 //
     /*  991369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991419 */     // MIs[1] Operand 1
     /*  991419 */     // No operand predicates
     /*  991419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991454 */     GIR_RootConstrainSelectedInstOperands,
     /*  991455 */     // GIR_Coverage, 13852,
     /*  991455 */     GIR_EraseRootFromParent_Done,
     /*  991456 */   // Label 14755: @991456
     /*  991456 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(991548), // Rule ID 13853 //
     /*  991461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991511 */     // MIs[1] Operand 1
     /*  991511 */     // No operand predicates
     /*  991511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991546 */     GIR_RootConstrainSelectedInstOperands,
     /*  991547 */     // GIR_Coverage, 13853,
     /*  991547 */     GIR_EraseRootFromParent_Done,
     /*  991548 */   // Label 14756: @991548
     /*  991548 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(991640), // Rule ID 13854 //
     /*  991553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991603 */     // MIs[1] Operand 1
     /*  991603 */     // No operand predicates
     /*  991603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991638 */     GIR_RootConstrainSelectedInstOperands,
     /*  991639 */     // GIR_Coverage, 13854,
     /*  991639 */     GIR_EraseRootFromParent_Done,
     /*  991640 */   // Label 14757: @991640
     /*  991640 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(991732), // Rule ID 13855 //
     /*  991645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991695 */     // MIs[1] Operand 1
     /*  991695 */     // No operand predicates
     /*  991695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991730 */     GIR_RootConstrainSelectedInstOperands,
     /*  991731 */     // GIR_Coverage, 13855,
     /*  991731 */     GIR_EraseRootFromParent_Done,
     /*  991732 */   // Label 14758: @991732
     /*  991732 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(991824), // Rule ID 13856 //
     /*  991737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991787 */     // MIs[1] Operand 1
     /*  991787 */     // No operand predicates
     /*  991787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991822 */     GIR_RootConstrainSelectedInstOperands,
     /*  991823 */     // GIR_Coverage, 13856,
     /*  991823 */     GIR_EraseRootFromParent_Done,
     /*  991824 */   // Label 14759: @991824
     /*  991824 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(991916), // Rule ID 13857 //
     /*  991829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991879 */     // MIs[1] Operand 1
     /*  991879 */     // No operand predicates
     /*  991879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991914 */     GIR_RootConstrainSelectedInstOperands,
     /*  991915 */     // GIR_Coverage, 13857,
     /*  991915 */     GIR_EraseRootFromParent_Done,
     /*  991916 */   // Label 14760: @991916
     /*  991916 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(992008), // Rule ID 13858 //
     /*  991921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991971 */     // MIs[1] Operand 1
     /*  991971 */     // No operand predicates
     /*  991971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992006 */     GIR_RootConstrainSelectedInstOperands,
     /*  992007 */     // GIR_Coverage, 13858,
     /*  992007 */     GIR_EraseRootFromParent_Done,
     /*  992008 */   // Label 14761: @992008
     /*  992008 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(992100), // Rule ID 13859 //
     /*  992013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992063 */     // MIs[1] Operand 1
     /*  992063 */     // No operand predicates
     /*  992063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992098 */     GIR_RootConstrainSelectedInstOperands,
     /*  992099 */     // GIR_Coverage, 13859,
     /*  992099 */     GIR_EraseRootFromParent_Done,
     /*  992100 */   // Label 14762: @992100
     /*  992100 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(992192), // Rule ID 13860 //
     /*  992105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992155 */     // MIs[1] Operand 1
     /*  992155 */     // No operand predicates
     /*  992155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  992168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992190 */     GIR_RootConstrainSelectedInstOperands,
     /*  992191 */     // GIR_Coverage, 13860,
     /*  992191 */     GIR_EraseRootFromParent_Done,
     /*  992192 */   // Label 14763: @992192
     /*  992192 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(992284), // Rule ID 13861 //
     /*  992197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992247 */     // MIs[1] Operand 1
     /*  992247 */     // No operand predicates
     /*  992247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992282 */     GIR_RootConstrainSelectedInstOperands,
     /*  992283 */     // GIR_Coverage, 13861,
     /*  992283 */     GIR_EraseRootFromParent_Done,
     /*  992284 */   // Label 14764: @992284
     /*  992284 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(992360), // Rule ID 2656 //
     /*  992289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992317 */     // MIs[0] passthru
     /*  992317 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992326 */     // MIs[0] round
     /*  992326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  992339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992358 */     GIR_RootConstrainSelectedInstOperands,
     /*  992359 */     // GIR_Coverage, 2656,
     /*  992359 */     GIR_EraseRootFromParent_Done,
     /*  992360 */   // Label 14765: @992360
     /*  992360 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(992436), // Rule ID 2657 //
     /*  992365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992393 */     // MIs[0] passthru
     /*  992393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992402 */     // MIs[0] round
     /*  992402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992412 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  992415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992434 */     GIR_RootConstrainSelectedInstOperands,
     /*  992435 */     // GIR_Coverage, 2657,
     /*  992435 */     GIR_EraseRootFromParent_Done,
     /*  992436 */   // Label 14766: @992436
     /*  992436 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(992512), // Rule ID 17028 //
     /*  992441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992469 */     // MIs[0] passthru
     /*  992469 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992478 */     // MIs[0] round
     /*  992478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992510 */     GIR_RootConstrainSelectedInstOperands,
     /*  992511 */     // GIR_Coverage, 17028,
     /*  992511 */     GIR_EraseRootFromParent_Done,
     /*  992512 */   // Label 14767: @992512
     /*  992512 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(992588), // Rule ID 17029 //
     /*  992517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992545 */     // MIs[0] passthru
     /*  992545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992554 */     // MIs[0] round
     /*  992554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992586 */     GIR_RootConstrainSelectedInstOperands,
     /*  992587 */     // GIR_Coverage, 17029,
     /*  992587 */     GIR_EraseRootFromParent_Done,
     /*  992588 */   // Label 14768: @992588
     /*  992588 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(992664), // Rule ID 17038 //
     /*  992593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992621 */     // MIs[0] passthru
     /*  992621 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992630 */     // MIs[0] round
     /*  992630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992662 */     GIR_RootConstrainSelectedInstOperands,
     /*  992663 */     // GIR_Coverage, 17038,
     /*  992663 */     GIR_EraseRootFromParent_Done,
     /*  992664 */   // Label 14769: @992664
     /*  992664 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(992740), // Rule ID 17039 //
     /*  992669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992697 */     // MIs[0] passthru
     /*  992697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992706 */     // MIs[0] round
     /*  992706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992716 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992738 */     GIR_RootConstrainSelectedInstOperands,
     /*  992739 */     // GIR_Coverage, 17039,
     /*  992739 */     GIR_EraseRootFromParent_Done,
     /*  992740 */   // Label 14770: @992740
     /*  992740 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(992816), // Rule ID 17048 //
     /*  992745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992773 */     // MIs[0] passthru
     /*  992773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992782 */     // MIs[0] round
     /*  992782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992792 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992814 */     GIR_RootConstrainSelectedInstOperands,
     /*  992815 */     // GIR_Coverage, 17048,
     /*  992815 */     GIR_EraseRootFromParent_Done,
     /*  992816 */   // Label 14771: @992816
     /*  992816 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(992892), // Rule ID 17049 //
     /*  992821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992849 */     // MIs[0] passthru
     /*  992849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992858 */     // MIs[0] round
     /*  992858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992890 */     GIR_RootConstrainSelectedInstOperands,
     /*  992891 */     // GIR_Coverage, 17049,
     /*  992891 */     GIR_EraseRootFromParent_Done,
     /*  992892 */   // Label 14772: @992892
     /*  992892 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(992968), // Rule ID 17058 //
     /*  992897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992925 */     // MIs[0] passthru
     /*  992925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992934 */     // MIs[0] round
     /*  992934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992944 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992966 */     GIR_RootConstrainSelectedInstOperands,
     /*  992967 */     // GIR_Coverage, 17058,
     /*  992967 */     GIR_EraseRootFromParent_Done,
     /*  992968 */   // Label 14773: @992968
     /*  992968 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(993044), // Rule ID 17059 //
     /*  992973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993001 */     // MIs[0] passthru
     /*  993001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993010 */     // MIs[0] round
     /*  993010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993020 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  993023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993042 */     GIR_RootConstrainSelectedInstOperands,
     /*  993043 */     // GIR_Coverage, 17059,
     /*  993043 */     GIR_EraseRootFromParent_Done,
     /*  993044 */   // Label 14774: @993044
     /*  993044 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(993120), // Rule ID 17068 //
     /*  993049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993077 */     // MIs[0] passthru
     /*  993077 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993086 */     // MIs[0] round
     /*  993086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993096 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993118 */     GIR_RootConstrainSelectedInstOperands,
     /*  993119 */     // GIR_Coverage, 17068,
     /*  993119 */     GIR_EraseRootFromParent_Done,
     /*  993120 */   // Label 14775: @993120
     /*  993120 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(993196), // Rule ID 17069 //
     /*  993125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993153 */     // MIs[0] passthru
     /*  993153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993162 */     // MIs[0] round
     /*  993162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993172 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993194 */     GIR_RootConstrainSelectedInstOperands,
     /*  993195 */     // GIR_Coverage, 17069,
     /*  993195 */     GIR_EraseRootFromParent_Done,
     /*  993196 */   // Label 14776: @993196
     /*  993196 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(993272), // Rule ID 17078 //
     /*  993201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993229 */     // MIs[0] passthru
     /*  993229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993238 */     // MIs[0] round
     /*  993238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  993251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993270 */     GIR_RootConstrainSelectedInstOperands,
     /*  993271 */     // GIR_Coverage, 17078,
     /*  993271 */     GIR_EraseRootFromParent_Done,
     /*  993272 */   // Label 14777: @993272
     /*  993272 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(993348), // Rule ID 17079 //
     /*  993277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993305 */     // MIs[0] passthru
     /*  993305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993314 */     // MIs[0] round
     /*  993314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993324 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  993327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993346 */     GIR_RootConstrainSelectedInstOperands,
     /*  993347 */     // GIR_Coverage, 17079,
     /*  993347 */     GIR_EraseRootFromParent_Done,
     /*  993348 */   // Label 14778: @993348
     /*  993348 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(993424), // Rule ID 17088 //
     /*  993353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993381 */     // MIs[0] passthru
     /*  993381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993390 */     // MIs[0] round
     /*  993390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993422 */     GIR_RootConstrainSelectedInstOperands,
     /*  993423 */     // GIR_Coverage, 17088,
     /*  993423 */     GIR_EraseRootFromParent_Done,
     /*  993424 */   // Label 14779: @993424
     /*  993424 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(993500), // Rule ID 17089 //
     /*  993429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993457 */     // MIs[0] passthru
     /*  993457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993466 */     // MIs[0] round
     /*  993466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993476 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993498 */     GIR_RootConstrainSelectedInstOperands,
     /*  993499 */     // GIR_Coverage, 17089,
     /*  993499 */     GIR_EraseRootFromParent_Done,
     /*  993500 */   // Label 14780: @993500
     /*  993500 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(993576), // Rule ID 17098 //
     /*  993505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993533 */     // MIs[0] passthru
     /*  993533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993542 */     // MIs[0] round
     /*  993542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993574 */     GIR_RootConstrainSelectedInstOperands,
     /*  993575 */     // GIR_Coverage, 17098,
     /*  993575 */     GIR_EraseRootFromParent_Done,
     /*  993576 */   // Label 14781: @993576
     /*  993576 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(993652), // Rule ID 17099 //
     /*  993581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993609 */     // MIs[0] passthru
     /*  993609 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993618 */     // MIs[0] round
     /*  993618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993628 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993650 */     GIR_RootConstrainSelectedInstOperands,
     /*  993651 */     // GIR_Coverage, 17099,
     /*  993651 */     GIR_EraseRootFromParent_Done,
     /*  993652 */   // Label 14782: @993652
     /*  993652 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(993728), // Rule ID 17144 //
     /*  993657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993685 */     // MIs[0] passthru
     /*  993685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993694 */     // MIs[0] round
     /*  993694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993704 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993726 */     GIR_RootConstrainSelectedInstOperands,
     /*  993727 */     // GIR_Coverage, 17144,
     /*  993727 */     GIR_EraseRootFromParent_Done,
     /*  993728 */   // Label 14783: @993728
     /*  993728 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(993804), // Rule ID 17145 //
     /*  993733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993761 */     // MIs[0] passthru
     /*  993761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993770 */     // MIs[0] round
     /*  993770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993802 */     GIR_RootConstrainSelectedInstOperands,
     /*  993803 */     // GIR_Coverage, 17145,
     /*  993803 */     GIR_EraseRootFromParent_Done,
     /*  993804 */   // Label 14784: @993804
     /*  993804 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(993880), // Rule ID 17154 //
     /*  993809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993837 */     // MIs[0] passthru
     /*  993837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993846 */     // MIs[0] round
     /*  993846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993878 */     GIR_RootConstrainSelectedInstOperands,
     /*  993879 */     // GIR_Coverage, 17154,
     /*  993879 */     GIR_EraseRootFromParent_Done,
     /*  993880 */   // Label 14785: @993880
     /*  993880 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993956), // Rule ID 17155 //
     /*  993885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993913 */     // MIs[0] passthru
     /*  993913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993922 */     // MIs[0] round
     /*  993922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993954 */     GIR_RootConstrainSelectedInstOperands,
     /*  993955 */     // GIR_Coverage, 17155,
     /*  993955 */     GIR_EraseRootFromParent_Done,
     /*  993956 */   // Label 14786: @993956
     /*  993956 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(994032), // Rule ID 17164 //
     /*  993961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993989 */     // MIs[0] passthru
     /*  993989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993998 */     // MIs[0] round
     /*  993998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994008 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994030 */     GIR_RootConstrainSelectedInstOperands,
     /*  994031 */     // GIR_Coverage, 17164,
     /*  994031 */     GIR_EraseRootFromParent_Done,
     /*  994032 */   // Label 14787: @994032
     /*  994032 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(994108), // Rule ID 17165 //
     /*  994037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  994054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994065 */     // MIs[0] passthru
     /*  994065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994074 */     // MIs[0] round
     /*  994074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994084 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994106 */     GIR_RootConstrainSelectedInstOperands,
     /*  994107 */     // GIR_Coverage, 17165,
     /*  994107 */     GIR_EraseRootFromParent_Done,
     /*  994108 */   // Label 14788: @994108
     /*  994108 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(994184), // Rule ID 17174 //
     /*  994113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994141 */     // MIs[0] passthru
     /*  994141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994150 */     // MIs[0] round
     /*  994150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994182 */     GIR_RootConstrainSelectedInstOperands,
     /*  994183 */     // GIR_Coverage, 17174,
     /*  994183 */     GIR_EraseRootFromParent_Done,
     /*  994184 */   // Label 14789: @994184
     /*  994184 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(994260), // Rule ID 17175 //
     /*  994189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994217 */     // MIs[0] passthru
     /*  994217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994226 */     // MIs[0] round
     /*  994226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994258 */     GIR_RootConstrainSelectedInstOperands,
     /*  994259 */     // GIR_Coverage, 17175,
     /*  994259 */     GIR_EraseRootFromParent_Done,
     /*  994260 */   // Label 14790: @994260
     /*  994260 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(994336), // Rule ID 17184 //
     /*  994265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  994282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994293 */     // MIs[0] passthru
     /*  994293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994302 */     // MIs[0] round
     /*  994302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994334 */     GIR_RootConstrainSelectedInstOperands,
     /*  994335 */     // GIR_Coverage, 17184,
     /*  994335 */     GIR_EraseRootFromParent_Done,
     /*  994336 */   // Label 14791: @994336
     /*  994336 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(994412), // Rule ID 17185 //
     /*  994341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  994358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994369 */     // MIs[0] passthru
     /*  994369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994378 */     // MIs[0] round
     /*  994378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994410 */     GIR_RootConstrainSelectedInstOperands,
     /*  994411 */     // GIR_Coverage, 17185,
     /*  994411 */     GIR_EraseRootFromParent_Done,
     /*  994412 */   // Label 14792: @994412
     /*  994412 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(994488), // Rule ID 17194 //
     /*  994417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994445 */     // MIs[0] passthru
     /*  994445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994454 */     // MIs[0] round
     /*  994454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994464 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994486 */     GIR_RootConstrainSelectedInstOperands,
     /*  994487 */     // GIR_Coverage, 17194,
     /*  994487 */     GIR_EraseRootFromParent_Done,
     /*  994488 */   // Label 14793: @994488
     /*  994488 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(994564), // Rule ID 17195 //
     /*  994493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994521 */     // MIs[0] passthru
     /*  994521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994530 */     // MIs[0] round
     /*  994530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994562 */     GIR_RootConstrainSelectedInstOperands,
     /*  994563 */     // GIR_Coverage, 17195,
     /*  994563 */     GIR_EraseRootFromParent_Done,
     /*  994564 */   // Label 14794: @994564
     /*  994564 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(994640), // Rule ID 17204 //
     /*  994569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994597 */     // MIs[0] passthru
     /*  994597 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994606 */     // MIs[0] round
     /*  994606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994638 */     GIR_RootConstrainSelectedInstOperands,
     /*  994639 */     // GIR_Coverage, 17204,
     /*  994639 */     GIR_EraseRootFromParent_Done,
     /*  994640 */   // Label 14795: @994640
     /*  994640 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(994716), // Rule ID 17205 //
     /*  994645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994673 */     // MIs[0] passthru
     /*  994673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994682 */     // MIs[0] round
     /*  994682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994692 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994714 */     GIR_RootConstrainSelectedInstOperands,
     /*  994715 */     // GIR_Coverage, 17205,
     /*  994715 */     GIR_EraseRootFromParent_Done,
     /*  994716 */   // Label 14796: @994716
     /*  994716 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994792), // Rule ID 17214 //
     /*  994721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994749 */     // MIs[0] passthru
     /*  994749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994758 */     // MIs[0] round
     /*  994758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994790 */     GIR_RootConstrainSelectedInstOperands,
     /*  994791 */     // GIR_Coverage, 17214,
     /*  994791 */     GIR_EraseRootFromParent_Done,
     /*  994792 */   // Label 14797: @994792
     /*  994792 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994868), // Rule ID 17215 //
     /*  994797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994825 */     // MIs[0] passthru
     /*  994825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994834 */     // MIs[0] round
     /*  994834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994844 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994866 */     GIR_RootConstrainSelectedInstOperands,
     /*  994867 */     // GIR_Coverage, 17215,
     /*  994867 */     GIR_EraseRootFromParent_Done,
     /*  994868 */   // Label 14798: @994868
     /*  994868 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994944), // Rule ID 17224 //
     /*  994873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994901 */     // MIs[0] passthru
     /*  994901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994910 */     // MIs[0] round
     /*  994910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994942 */     GIR_RootConstrainSelectedInstOperands,
     /*  994943 */     // GIR_Coverage, 17224,
     /*  994943 */     GIR_EraseRootFromParent_Done,
     /*  994944 */   // Label 14799: @994944
     /*  994944 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(995020), // Rule ID 17225 //
     /*  994949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994977 */     // MIs[0] passthru
     /*  994977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994986 */     // MIs[0] round
     /*  994986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995018 */     GIR_RootConstrainSelectedInstOperands,
     /*  995019 */     // GIR_Coverage, 17225,
     /*  995019 */     GIR_EraseRootFromParent_Done,
     /*  995020 */   // Label 14800: @995020
     /*  995020 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(995097), // Rule ID 2586 //
     /*  995025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995064 */     // MIs[0] policy
     /*  995064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995095 */     GIR_RootConstrainSelectedInstOperands,
     /*  995096 */     // GIR_Coverage, 2586,
     /*  995096 */     GIR_EraseRootFromParent_Done,
     /*  995097 */   // Label 14801: @995097
     /*  995097 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(995174), // Rule ID 2587 //
     /*  995102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995141 */     // MIs[0] policy
     /*  995141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995172 */     GIR_RootConstrainSelectedInstOperands,
     /*  995173 */     // GIR_Coverage, 2587,
     /*  995173 */     GIR_EraseRootFromParent_Done,
     /*  995174 */   // Label 14802: @995174
     /*  995174 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(995251), // Rule ID 2590 //
     /*  995179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995218 */     // MIs[0] policy
     /*  995218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995249 */     GIR_RootConstrainSelectedInstOperands,
     /*  995250 */     // GIR_Coverage, 2590,
     /*  995250 */     GIR_EraseRootFromParent_Done,
     /*  995251 */   // Label 14803: @995251
     /*  995251 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(995328), // Rule ID 2591 //
     /*  995256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995295 */     // MIs[0] policy
     /*  995295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995326 */     GIR_RootConstrainSelectedInstOperands,
     /*  995327 */     // GIR_Coverage, 2591,
     /*  995327 */     GIR_EraseRootFromParent_Done,
     /*  995328 */   // Label 14804: @995328
     /*  995328 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(995405), // Rule ID 2594 //
     /*  995333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  995336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  995341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995372 */     // MIs[0] policy
     /*  995372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995382 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995403 */     GIR_RootConstrainSelectedInstOperands,
     /*  995404 */     // GIR_Coverage, 2594,
     /*  995404 */     GIR_EraseRootFromParent_Done,
     /*  995405 */   // Label 14805: @995405
     /*  995405 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(995482), // Rule ID 2595 //
     /*  995410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  995413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  995418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995449 */     // MIs[0] policy
     /*  995449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995459 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995480 */     GIR_RootConstrainSelectedInstOperands,
     /*  995481 */     // GIR_Coverage, 2595,
     /*  995481 */     GIR_EraseRootFromParent_Done,
     /*  995482 */   // Label 14806: @995482
     /*  995482 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(995559), // Rule ID 2630 //
     /*  995487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  995490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995526 */     // MIs[0] policy
     /*  995526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995557 */     GIR_RootConstrainSelectedInstOperands,
     /*  995558 */     // GIR_Coverage, 2630,
     /*  995558 */     GIR_EraseRootFromParent_Done,
     /*  995559 */   // Label 14807: @995559
     /*  995559 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995636), // Rule ID 2631 //
     /*  995564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  995567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995603 */     // MIs[0] policy
     /*  995603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995613 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995634 */     GIR_RootConstrainSelectedInstOperands,
     /*  995635 */     // GIR_Coverage, 2631,
     /*  995635 */     GIR_EraseRootFromParent_Done,
     /*  995636 */   // Label 14808: @995636
     /*  995636 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995713), // Rule ID 2662 //
     /*  995641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995680 */     // MIs[0] policy
     /*  995680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995711 */     GIR_RootConstrainSelectedInstOperands,
     /*  995712 */     // GIR_Coverage, 2662,
     /*  995712 */     GIR_EraseRootFromParent_Done,
     /*  995713 */   // Label 14809: @995713
     /*  995713 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995790), // Rule ID 2663 //
     /*  995718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995757 */     // MIs[0] policy
     /*  995757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995788 */     GIR_RootConstrainSelectedInstOperands,
     /*  995789 */     // GIR_Coverage, 2663,
     /*  995789 */     GIR_EraseRootFromParent_Done,
     /*  995790 */   // Label 14810: @995790
     /*  995790 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995867), // Rule ID 4782 //
     /*  995795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995834 */     // MIs[0] policy
     /*  995834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995865 */     GIR_RootConstrainSelectedInstOperands,
     /*  995866 */     // GIR_Coverage, 4782,
     /*  995866 */     GIR_EraseRootFromParent_Done,
     /*  995867 */   // Label 14811: @995867
     /*  995867 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995944), // Rule ID 4783 //
     /*  995872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995911 */     // MIs[0] policy
     /*  995911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995942 */     GIR_RootConstrainSelectedInstOperands,
     /*  995943 */     // GIR_Coverage, 4783,
     /*  995943 */     GIR_EraseRootFromParent_Done,
     /*  995944 */   // Label 14812: @995944
     /*  995944 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(996021), // Rule ID 4786 //
     /*  995949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995988 */     // MIs[0] policy
     /*  995988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996019 */     GIR_RootConstrainSelectedInstOperands,
     /*  996020 */     // GIR_Coverage, 4786,
     /*  996020 */     GIR_EraseRootFromParent_Done,
     /*  996021 */   // Label 14813: @996021
     /*  996021 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(996098), // Rule ID 4787 //
     /*  996026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  996037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  996040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996065 */     // MIs[0] policy
     /*  996065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996096 */     GIR_RootConstrainSelectedInstOperands,
     /*  996097 */     // GIR_Coverage, 4787,
     /*  996097 */     GIR_EraseRootFromParent_Done,
     /*  996098 */   // Label 14814: @996098
     /*  996098 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(996175), // Rule ID 4790 //
     /*  996103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996142 */     // MIs[0] policy
     /*  996142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996173 */     GIR_RootConstrainSelectedInstOperands,
     /*  996174 */     // GIR_Coverage, 4790,
     /*  996174 */     GIR_EraseRootFromParent_Done,
     /*  996175 */   // Label 14815: @996175
     /*  996175 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(996252), // Rule ID 4791 //
     /*  996180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996219 */     // MIs[0] policy
     /*  996219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996250 */     GIR_RootConstrainSelectedInstOperands,
     /*  996251 */     // GIR_Coverage, 4791,
     /*  996251 */     GIR_EraseRootFromParent_Done,
     /*  996252 */   // Label 14816: @996252
     /*  996252 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(996329), // Rule ID 4794 //
     /*  996257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996296 */     // MIs[0] policy
     /*  996296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996327 */     GIR_RootConstrainSelectedInstOperands,
     /*  996328 */     // GIR_Coverage, 4794,
     /*  996328 */     GIR_EraseRootFromParent_Done,
     /*  996329 */   // Label 14817: @996329
     /*  996329 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(996406), // Rule ID 4795 //
     /*  996334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996373 */     // MIs[0] policy
     /*  996373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996404 */     GIR_RootConstrainSelectedInstOperands,
     /*  996405 */     // GIR_Coverage, 4795,
     /*  996405 */     GIR_EraseRootFromParent_Done,
     /*  996406 */   // Label 14818: @996406
     /*  996406 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996483), // Rule ID 4798 //
     /*  996411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996450 */     // MIs[0] policy
     /*  996450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996481 */     GIR_RootConstrainSelectedInstOperands,
     /*  996482 */     // GIR_Coverage, 4798,
     /*  996482 */     GIR_EraseRootFromParent_Done,
     /*  996483 */   // Label 14819: @996483
     /*  996483 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996560), // Rule ID 4799 //
     /*  996488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996527 */     // MIs[0] policy
     /*  996527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996558 */     GIR_RootConstrainSelectedInstOperands,
     /*  996559 */     // GIR_Coverage, 4799,
     /*  996559 */     GIR_EraseRootFromParent_Done,
     /*  996560 */   // Label 14820: @996560
     /*  996560 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996637), // Rule ID 4802 //
     /*  996565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996604 */     // MIs[0] policy
     /*  996604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996635 */     GIR_RootConstrainSelectedInstOperands,
     /*  996636 */     // GIR_Coverage, 4802,
     /*  996636 */     GIR_EraseRootFromParent_Done,
     /*  996637 */   // Label 14821: @996637
     /*  996637 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996714), // Rule ID 4803 //
     /*  996642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996681 */     // MIs[0] policy
     /*  996681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996712 */     GIR_RootConstrainSelectedInstOperands,
     /*  996713 */     // GIR_Coverage, 4803,
     /*  996713 */     GIR_EraseRootFromParent_Done,
     /*  996714 */   // Label 14822: @996714
     /*  996714 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996791), // Rule ID 4806 //
     /*  996719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996758 */     // MIs[0] policy
     /*  996758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996789 */     GIR_RootConstrainSelectedInstOperands,
     /*  996790 */     // GIR_Coverage, 4806,
     /*  996790 */     GIR_EraseRootFromParent_Done,
     /*  996791 */   // Label 14823: @996791
     /*  996791 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996868), // Rule ID 4807 //
     /*  996796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996835 */     // MIs[0] policy
     /*  996835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996866 */     GIR_RootConstrainSelectedInstOperands,
     /*  996867 */     // GIR_Coverage, 4807,
     /*  996867 */     GIR_EraseRootFromParent_Done,
     /*  996868 */   // Label 14824: @996868
     /*  996868 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996945), // Rule ID 4810 //
     /*  996873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996912 */     // MIs[0] policy
     /*  996912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996943 */     GIR_RootConstrainSelectedInstOperands,
     /*  996944 */     // GIR_Coverage, 4810,
     /*  996944 */     GIR_EraseRootFromParent_Done,
     /*  996945 */   // Label 14825: @996945
     /*  996945 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(997022), // Rule ID 4811 //
     /*  996950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996989 */     // MIs[0] policy
     /*  996989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997020 */     GIR_RootConstrainSelectedInstOperands,
     /*  997021 */     // GIR_Coverage, 4811,
     /*  997021 */     GIR_EraseRootFromParent_Done,
     /*  997022 */   // Label 14826: @997022
     /*  997022 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(997099), // Rule ID 4814 //
     /*  997027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997066 */     // MIs[0] policy
     /*  997066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997097 */     GIR_RootConstrainSelectedInstOperands,
     /*  997098 */     // GIR_Coverage, 4814,
     /*  997098 */     GIR_EraseRootFromParent_Done,
     /*  997099 */   // Label 14827: @997099
     /*  997099 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(997176), // Rule ID 4815 //
     /*  997104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997143 */     // MIs[0] policy
     /*  997143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997174 */     GIR_RootConstrainSelectedInstOperands,
     /*  997175 */     // GIR_Coverage, 4815,
     /*  997175 */     GIR_EraseRootFromParent_Done,
     /*  997176 */   // Label 14828: @997176
     /*  997176 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(997253), // Rule ID 4818 //
     /*  997181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997220 */     // MIs[0] policy
     /*  997220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997251 */     GIR_RootConstrainSelectedInstOperands,
     /*  997252 */     // GIR_Coverage, 4818,
     /*  997252 */     GIR_EraseRootFromParent_Done,
     /*  997253 */   // Label 14829: @997253
     /*  997253 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(997330), // Rule ID 4819 //
     /*  997258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997297 */     // MIs[0] policy
     /*  997297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997328 */     GIR_RootConstrainSelectedInstOperands,
     /*  997329 */     // GIR_Coverage, 4819,
     /*  997329 */     GIR_EraseRootFromParent_Done,
     /*  997330 */   // Label 14830: @997330
     /*  997330 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997407), // Rule ID 4822 //
     /*  997335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  997352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997374 */     // MIs[0] policy
     /*  997374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997405 */     GIR_RootConstrainSelectedInstOperands,
     /*  997406 */     // GIR_Coverage, 4822,
     /*  997406 */     GIR_EraseRootFromParent_Done,
     /*  997407 */   // Label 14831: @997407
     /*  997407 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997484), // Rule ID 4823 //
     /*  997412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  997429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997451 */     // MIs[0] policy
     /*  997451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997482 */     GIR_RootConstrainSelectedInstOperands,
     /*  997483 */     // GIR_Coverage, 4823,
     /*  997483 */     GIR_EraseRootFromParent_Done,
     /*  997484 */   // Label 14832: @997484
     /*  997484 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997561), // Rule ID 4826 //
     /*  997489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997528 */     // MIs[0] policy
     /*  997528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997559 */     GIR_RootConstrainSelectedInstOperands,
     /*  997560 */     // GIR_Coverage, 4826,
     /*  997560 */     GIR_EraseRootFromParent_Done,
     /*  997561 */   // Label 14833: @997561
     /*  997561 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997638), // Rule ID 4827 //
     /*  997566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997605 */     // MIs[0] policy
     /*  997605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997615 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997636 */     GIR_RootConstrainSelectedInstOperands,
     /*  997637 */     // GIR_Coverage, 4827,
     /*  997637 */     GIR_EraseRootFromParent_Done,
     /*  997638 */   // Label 14834: @997638
     /*  997638 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997715), // Rule ID 4830 //
     /*  997643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997682 */     // MIs[0] policy
     /*  997682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997713 */     GIR_RootConstrainSelectedInstOperands,
     /*  997714 */     // GIR_Coverage, 4830,
     /*  997714 */     GIR_EraseRootFromParent_Done,
     /*  997715 */   // Label 14835: @997715
     /*  997715 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997792), // Rule ID 4831 //
     /*  997720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997759 */     // MIs[0] policy
     /*  997759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997790 */     GIR_RootConstrainSelectedInstOperands,
     /*  997791 */     // GIR_Coverage, 4831,
     /*  997791 */     GIR_EraseRootFromParent_Done,
     /*  997792 */   // Label 14836: @997792
     /*  997792 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997869), // Rule ID 4834 //
     /*  997797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997836 */     // MIs[0] policy
     /*  997836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997867 */     GIR_RootConstrainSelectedInstOperands,
     /*  997868 */     // GIR_Coverage, 4834,
     /*  997868 */     GIR_EraseRootFromParent_Done,
     /*  997869 */   // Label 14837: @997869
     /*  997869 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997946), // Rule ID 4835 //
     /*  997874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997913 */     // MIs[0] policy
     /*  997913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997944 */     GIR_RootConstrainSelectedInstOperands,
     /*  997945 */     // GIR_Coverage, 4835,
     /*  997945 */     GIR_EraseRootFromParent_Done,
     /*  997946 */   // Label 14838: @997946
     /*  997946 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(998023), // Rule ID 4838 //
     /*  997951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997990 */     // MIs[0] policy
     /*  997990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998021 */     GIR_RootConstrainSelectedInstOperands,
     /*  998022 */     // GIR_Coverage, 4838,
     /*  998022 */     GIR_EraseRootFromParent_Done,
     /*  998023 */   // Label 14839: @998023
     /*  998023 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(998100), // Rule ID 4839 //
     /*  998028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998067 */     // MIs[0] policy
     /*  998067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998098 */     GIR_RootConstrainSelectedInstOperands,
     /*  998099 */     // GIR_Coverage, 4839,
     /*  998099 */     GIR_EraseRootFromParent_Done,
     /*  998100 */   // Label 14840: @998100
     /*  998100 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(998177), // Rule ID 4842 //
     /*  998105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998144 */     // MIs[0] policy
     /*  998144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998175 */     GIR_RootConstrainSelectedInstOperands,
     /*  998176 */     // GIR_Coverage, 4842,
     /*  998176 */     GIR_EraseRootFromParent_Done,
     /*  998177 */   // Label 14841: @998177
     /*  998177 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(998254), // Rule ID 4843 //
     /*  998182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998221 */     // MIs[0] policy
     /*  998221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998252 */     GIR_RootConstrainSelectedInstOperands,
     /*  998253 */     // GIR_Coverage, 4843,
     /*  998253 */     GIR_EraseRootFromParent_Done,
     /*  998254 */   // Label 14842: @998254
     /*  998254 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(998331), // Rule ID 4846 //
     /*  998259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998298 */     // MIs[0] policy
     /*  998298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998329 */     GIR_RootConstrainSelectedInstOperands,
     /*  998330 */     // GIR_Coverage, 4846,
     /*  998330 */     GIR_EraseRootFromParent_Done,
     /*  998331 */   // Label 14843: @998331
     /*  998331 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998408), // Rule ID 4847 //
     /*  998336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998375 */     // MIs[0] policy
     /*  998375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998406 */     GIR_RootConstrainSelectedInstOperands,
     /*  998407 */     // GIR_Coverage, 4847,
     /*  998407 */     GIR_EraseRootFromParent_Done,
     /*  998408 */   // Label 14844: @998408
     /*  998408 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998485), // Rule ID 4850 //
     /*  998413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998452 */     // MIs[0] policy
     /*  998452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998483 */     GIR_RootConstrainSelectedInstOperands,
     /*  998484 */     // GIR_Coverage, 4850,
     /*  998484 */     GIR_EraseRootFromParent_Done,
     /*  998485 */   // Label 14845: @998485
     /*  998485 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998562), // Rule ID 4851 //
     /*  998490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998529 */     // MIs[0] policy
     /*  998529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998560 */     GIR_RootConstrainSelectedInstOperands,
     /*  998561 */     // GIR_Coverage, 4851,
     /*  998561 */     GIR_EraseRootFromParent_Done,
     /*  998562 */   // Label 14846: @998562
     /*  998562 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998639), // Rule ID 4854 //
     /*  998567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998606 */     // MIs[0] policy
     /*  998606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998637 */     GIR_RootConstrainSelectedInstOperands,
     /*  998638 */     // GIR_Coverage, 4854,
     /*  998638 */     GIR_EraseRootFromParent_Done,
     /*  998639 */   // Label 14847: @998639
     /*  998639 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998716), // Rule ID 4855 //
     /*  998644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998683 */     // MIs[0] policy
     /*  998683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998714 */     GIR_RootConstrainSelectedInstOperands,
     /*  998715 */     // GIR_Coverage, 4855,
     /*  998715 */     GIR_EraseRootFromParent_Done,
     /*  998716 */   // Label 14848: @998716
     /*  998716 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998793), // Rule ID 4858 //
     /*  998721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998760 */     // MIs[0] policy
     /*  998760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998791 */     GIR_RootConstrainSelectedInstOperands,
     /*  998792 */     // GIR_Coverage, 4858,
     /*  998792 */     GIR_EraseRootFromParent_Done,
     /*  998793 */   // Label 14849: @998793
     /*  998793 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998870), // Rule ID 4859 //
     /*  998798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998837 */     // MIs[0] policy
     /*  998837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998868 */     GIR_RootConstrainSelectedInstOperands,
     /*  998869 */     // GIR_Coverage, 4859,
     /*  998869 */     GIR_EraseRootFromParent_Done,
     /*  998870 */   // Label 14850: @998870
     /*  998870 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998947), // Rule ID 4862 //
     /*  998875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998914 */     // MIs[0] policy
     /*  998914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998945 */     GIR_RootConstrainSelectedInstOperands,
     /*  998946 */     // GIR_Coverage, 4862,
     /*  998946 */     GIR_EraseRootFromParent_Done,
     /*  998947 */   // Label 14851: @998947
     /*  998947 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(999024), // Rule ID 4863 //
     /*  998952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998991 */     // MIs[0] policy
     /*  998991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  999004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999022 */     GIR_RootConstrainSelectedInstOperands,
     /*  999023 */     // GIR_Coverage, 4863,
     /*  999023 */     GIR_EraseRootFromParent_Done,
     /*  999024 */   // Label 14852: @999024
     /*  999024 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(999101), // Rule ID 4866 //
     /*  999029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999068 */     // MIs[0] policy
     /*  999068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999099 */     GIR_RootConstrainSelectedInstOperands,
     /*  999100 */     // GIR_Coverage, 4866,
     /*  999100 */     GIR_EraseRootFromParent_Done,
     /*  999101 */   // Label 14853: @999101
     /*  999101 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(999178), // Rule ID 4867 //
     /*  999106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999145 */     // MIs[0] policy
     /*  999145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999176 */     GIR_RootConstrainSelectedInstOperands,
     /*  999177 */     // GIR_Coverage, 4867,
     /*  999177 */     GIR_EraseRootFromParent_Done,
     /*  999178 */   // Label 14854: @999178
     /*  999178 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(999255), // Rule ID 4870 //
     /*  999183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999222 */     // MIs[0] policy
     /*  999222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999253 */     GIR_RootConstrainSelectedInstOperands,
     /*  999254 */     // GIR_Coverage, 4870,
     /*  999254 */     GIR_EraseRootFromParent_Done,
     /*  999255 */   // Label 14855: @999255
     /*  999255 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(999332), // Rule ID 4871 //
     /*  999260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999299 */     // MIs[0] policy
     /*  999299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999330 */     GIR_RootConstrainSelectedInstOperands,
     /*  999331 */     // GIR_Coverage, 4871,
     /*  999331 */     GIR_EraseRootFromParent_Done,
     /*  999332 */   // Label 14856: @999332
     /*  999332 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999409), // Rule ID 4874 //
     /*  999337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999376 */     // MIs[0] policy
     /*  999376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999407 */     GIR_RootConstrainSelectedInstOperands,
     /*  999408 */     // GIR_Coverage, 4874,
     /*  999408 */     GIR_EraseRootFromParent_Done,
     /*  999409 */   // Label 14857: @999409
     /*  999409 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999486), // Rule ID 4875 //
     /*  999414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999453 */     // MIs[0] policy
     /*  999453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999484 */     GIR_RootConstrainSelectedInstOperands,
     /*  999485 */     // GIR_Coverage, 4875,
     /*  999485 */     GIR_EraseRootFromParent_Done,
     /*  999486 */   // Label 14858: @999486
     /*  999486 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999563), // Rule ID 4878 //
     /*  999491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999530 */     // MIs[0] policy
     /*  999530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999561 */     GIR_RootConstrainSelectedInstOperands,
     /*  999562 */     // GIR_Coverage, 4878,
     /*  999562 */     GIR_EraseRootFromParent_Done,
     /*  999563 */   // Label 14859: @999563
     /*  999563 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999640), // Rule ID 4879 //
     /*  999568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999607 */     // MIs[0] policy
     /*  999607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999638 */     GIR_RootConstrainSelectedInstOperands,
     /*  999639 */     // GIR_Coverage, 4879,
     /*  999639 */     GIR_EraseRootFromParent_Done,
     /*  999640 */   // Label 14860: @999640
     /*  999640 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999717), // Rule ID 4882 //
     /*  999645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999684 */     // MIs[0] policy
     /*  999684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999715 */     GIR_RootConstrainSelectedInstOperands,
     /*  999716 */     // GIR_Coverage, 4882,
     /*  999716 */     GIR_EraseRootFromParent_Done,
     /*  999717 */   // Label 14861: @999717
     /*  999717 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999794), // Rule ID 4883 //
     /*  999722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999761 */     // MIs[0] policy
     /*  999761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999792 */     GIR_RootConstrainSelectedInstOperands,
     /*  999793 */     // GIR_Coverage, 4883,
     /*  999793 */     GIR_EraseRootFromParent_Done,
     /*  999794 */   // Label 14862: @999794
     /*  999794 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999871), // Rule ID 4886 //
     /*  999799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999838 */     // MIs[0] policy
     /*  999838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999869 */     GIR_RootConstrainSelectedInstOperands,
     /*  999870 */     // GIR_Coverage, 4886,
     /*  999870 */     GIR_EraseRootFromParent_Done,
     /*  999871 */   // Label 14863: @999871
     /*  999871 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999948), // Rule ID 4887 //
     /*  999876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999915 */     // MIs[0] policy
     /*  999915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999925 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999946 */     GIR_RootConstrainSelectedInstOperands,
     /*  999947 */     // GIR_Coverage, 4887,
     /*  999947 */     GIR_EraseRootFromParent_Done,
     /*  999948 */   // Label 14864: @999948
     /*  999948 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(1000025), // Rule ID 4890 //
     /*  999953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999992 */     // MIs[0] policy
     /*  999992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000024 */     // GIR_Coverage, 4890,
     /* 1000024 */     GIR_EraseRootFromParent_Done,
     /* 1000025 */   // Label 14865: @1000025
     /* 1000025 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(1000102), // Rule ID 4891 //
     /* 1000030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000069 */     // MIs[0] policy
     /* 1000069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000101 */     // GIR_Coverage, 4891,
     /* 1000101 */     GIR_EraseRootFromParent_Done,
     /* 1000102 */   // Label 14866: @1000102
     /* 1000102 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1000179), // Rule ID 4894 //
     /* 1000107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000146 */     // MIs[0] policy
     /* 1000146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000178 */     // GIR_Coverage, 4894,
     /* 1000178 */     GIR_EraseRootFromParent_Done,
     /* 1000179 */   // Label 14867: @1000179
     /* 1000179 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1000256), // Rule ID 4895 //
     /* 1000184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000223 */     // MIs[0] policy
     /* 1000223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000255 */     // GIR_Coverage, 4895,
     /* 1000255 */     GIR_EraseRootFromParent_Done,
     /* 1000256 */   // Label 14868: @1000256
     /* 1000256 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1000333), // Rule ID 4898 //
     /* 1000261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000300 */     // MIs[0] policy
     /* 1000300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000332 */     // GIR_Coverage, 4898,
     /* 1000332 */     GIR_EraseRootFromParent_Done,
     /* 1000333 */   // Label 14869: @1000333
     /* 1000333 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000410), // Rule ID 4899 //
     /* 1000338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000377 */     // MIs[0] policy
     /* 1000377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000409 */     // GIR_Coverage, 4899,
     /* 1000409 */     GIR_EraseRootFromParent_Done,
     /* 1000410 */   // Label 14870: @1000410
     /* 1000410 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000487), // Rule ID 4902 //
     /* 1000415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000454 */     // MIs[0] policy
     /* 1000454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000486 */     // GIR_Coverage, 4902,
     /* 1000486 */     GIR_EraseRootFromParent_Done,
     /* 1000487 */   // Label 14871: @1000487
     /* 1000487 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000564), // Rule ID 4903 //
     /* 1000492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000531 */     // MIs[0] policy
     /* 1000531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000541 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000563 */     // GIR_Coverage, 4903,
     /* 1000563 */     GIR_EraseRootFromParent_Done,
     /* 1000564 */   // Label 14872: @1000564
     /* 1000564 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000641), // Rule ID 4906 //
     /* 1000569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000608 */     // MIs[0] policy
     /* 1000608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000640 */     // GIR_Coverage, 4906,
     /* 1000640 */     GIR_EraseRootFromParent_Done,
     /* 1000641 */   // Label 14873: @1000641
     /* 1000641 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000718), // Rule ID 4907 //
     /* 1000646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000685 */     // MIs[0] policy
     /* 1000685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000695 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000717 */     // GIR_Coverage, 4907,
     /* 1000717 */     GIR_EraseRootFromParent_Done,
     /* 1000718 */   // Label 14874: @1000718
     /* 1000718 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000795), // Rule ID 4910 //
     /* 1000723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000762 */     // MIs[0] policy
     /* 1000762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000794 */     // GIR_Coverage, 4910,
     /* 1000794 */     GIR_EraseRootFromParent_Done,
     /* 1000795 */   // Label 14875: @1000795
     /* 1000795 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000872), // Rule ID 4911 //
     /* 1000800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000839 */     // MIs[0] policy
     /* 1000839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000849 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000871 */     // GIR_Coverage, 4911,
     /* 1000871 */     GIR_EraseRootFromParent_Done,
     /* 1000872 */   // Label 14876: @1000872
     /* 1000872 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000949), // Rule ID 4914 //
     /* 1000877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000916 */     // MIs[0] policy
     /* 1000916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000948 */     // GIR_Coverage, 4914,
     /* 1000948 */     GIR_EraseRootFromParent_Done,
     /* 1000949 */   // Label 14877: @1000949
     /* 1000949 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1001026), // Rule ID 4915 //
     /* 1000954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000993 */     // MIs[0] policy
     /* 1000993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1001006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001025 */     // GIR_Coverage, 4915,
     /* 1001025 */     GIR_EraseRootFromParent_Done,
     /* 1001026 */   // Label 14878: @1001026
     /* 1001026 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1001103), // Rule ID 4918 //
     /* 1001031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001070 */     // MIs[0] policy
     /* 1001070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001102 */     // GIR_Coverage, 4918,
     /* 1001102 */     GIR_EraseRootFromParent_Done,
     /* 1001103 */   // Label 14879: @1001103
     /* 1001103 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1001180), // Rule ID 4919 //
     /* 1001108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001147 */     // MIs[0] policy
     /* 1001147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001179 */     // GIR_Coverage, 4919,
     /* 1001179 */     GIR_EraseRootFromParent_Done,
     /* 1001180 */   // Label 14880: @1001180
     /* 1001180 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1001257), // Rule ID 4922 //
     /* 1001185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001224 */     // MIs[0] policy
     /* 1001224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001256 */     // GIR_Coverage, 4922,
     /* 1001256 */     GIR_EraseRootFromParent_Done,
     /* 1001257 */   // Label 14881: @1001257
     /* 1001257 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1001334), // Rule ID 4923 //
     /* 1001262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001301 */     // MIs[0] policy
     /* 1001301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001333 */     // GIR_Coverage, 4923,
     /* 1001333 */     GIR_EraseRootFromParent_Done,
     /* 1001334 */   // Label 14882: @1001334
     /* 1001334 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001411), // Rule ID 4926 //
     /* 1001339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001378 */     // MIs[0] policy
     /* 1001378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001410 */     // GIR_Coverage, 4926,
     /* 1001410 */     GIR_EraseRootFromParent_Done,
     /* 1001411 */   // Label 14883: @1001411
     /* 1001411 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001488), // Rule ID 4927 //
     /* 1001416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001455 */     // MIs[0] policy
     /* 1001455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001487 */     // GIR_Coverage, 4927,
     /* 1001487 */     GIR_EraseRootFromParent_Done,
     /* 1001488 */   // Label 14884: @1001488
     /* 1001488 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001565), // Rule ID 4930 //
     /* 1001493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001532 */     // MIs[0] policy
     /* 1001532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001564 */     // GIR_Coverage, 4930,
     /* 1001564 */     GIR_EraseRootFromParent_Done,
     /* 1001565 */   // Label 14885: @1001565
     /* 1001565 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001642), // Rule ID 4931 //
     /* 1001570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001609 */     // MIs[0] policy
     /* 1001609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001619 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001641 */     // GIR_Coverage, 4931,
     /* 1001641 */     GIR_EraseRootFromParent_Done,
     /* 1001642 */   // Label 14886: @1001642
     /* 1001642 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001719), // Rule ID 4934 //
     /* 1001647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001686 */     // MIs[0] policy
     /* 1001686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001718 */     // GIR_Coverage, 4934,
     /* 1001718 */     GIR_EraseRootFromParent_Done,
     /* 1001719 */   // Label 14887: @1001719
     /* 1001719 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001796), // Rule ID 4935 //
     /* 1001724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001763 */     // MIs[0] policy
     /* 1001763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001795 */     // GIR_Coverage, 4935,
     /* 1001795 */     GIR_EraseRootFromParent_Done,
     /* 1001796 */   // Label 14888: @1001796
     /* 1001796 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001873), // Rule ID 4938 //
     /* 1001801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001840 */     // MIs[0] policy
     /* 1001840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001872 */     // GIR_Coverage, 4938,
     /* 1001872 */     GIR_EraseRootFromParent_Done,
     /* 1001873 */   // Label 14889: @1001873
     /* 1001873 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001950), // Rule ID 4939 //
     /* 1001878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001917 */     // MIs[0] policy
     /* 1001917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001949 */     // GIR_Coverage, 4939,
     /* 1001949 */     GIR_EraseRootFromParent_Done,
     /* 1001950 */   // Label 14890: @1001950
     /* 1001950 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1002027), // Rule ID 4942 //
     /* 1001955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001994 */     // MIs[0] policy
     /* 1001994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002026 */     // GIR_Coverage, 4942,
     /* 1002026 */     GIR_EraseRootFromParent_Done,
     /* 1002027 */   // Label 14891: @1002027
     /* 1002027 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1002104), // Rule ID 4943 //
     /* 1002032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002071 */     // MIs[0] policy
     /* 1002071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002103 */     // GIR_Coverage, 4943,
     /* 1002103 */     GIR_EraseRootFromParent_Done,
     /* 1002104 */   // Label 14892: @1002104
     /* 1002104 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1002181), // Rule ID 4946 //
     /* 1002109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002148 */     // MIs[0] policy
     /* 1002148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002180 */     // GIR_Coverage, 4946,
     /* 1002180 */     GIR_EraseRootFromParent_Done,
     /* 1002181 */   // Label 14893: @1002181
     /* 1002181 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1002258), // Rule ID 4947 //
     /* 1002186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002225 */     // MIs[0] policy
     /* 1002225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002257 */     // GIR_Coverage, 4947,
     /* 1002257 */     GIR_EraseRootFromParent_Done,
     /* 1002258 */   // Label 14894: @1002258
     /* 1002258 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1002335), // Rule ID 4950 //
     /* 1002263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002302 */     // MIs[0] policy
     /* 1002302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002334 */     // GIR_Coverage, 4950,
     /* 1002334 */     GIR_EraseRootFromParent_Done,
     /* 1002335 */   // Label 14895: @1002335
     /* 1002335 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002412), // Rule ID 4951 //
     /* 1002340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002379 */     // MIs[0] policy
     /* 1002379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002411 */     // GIR_Coverage, 4951,
     /* 1002411 */     GIR_EraseRootFromParent_Done,
     /* 1002412 */   // Label 14896: @1002412
     /* 1002412 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002489), // Rule ID 4954 //
     /* 1002417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002456 */     // MIs[0] policy
     /* 1002456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002488 */     // GIR_Coverage, 4954,
     /* 1002488 */     GIR_EraseRootFromParent_Done,
     /* 1002489 */   // Label 14897: @1002489
     /* 1002489 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002566), // Rule ID 4955 //
     /* 1002494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002533 */     // MIs[0] policy
     /* 1002533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002565 */     // GIR_Coverage, 4955,
     /* 1002565 */     GIR_EraseRootFromParent_Done,
     /* 1002566 */   // Label 14898: @1002566
     /* 1002566 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002643), // Rule ID 4958 //
     /* 1002571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002610 */     // MIs[0] policy
     /* 1002610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002642 */     // GIR_Coverage, 4958,
     /* 1002642 */     GIR_EraseRootFromParent_Done,
     /* 1002643 */   // Label 14899: @1002643
     /* 1002643 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002720), // Rule ID 4959 //
     /* 1002648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002687 */     // MIs[0] policy
     /* 1002687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002719 */     // GIR_Coverage, 4959,
     /* 1002719 */     GIR_EraseRootFromParent_Done,
     /* 1002720 */   // Label 14900: @1002720
     /* 1002720 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002797), // Rule ID 4962 //
     /* 1002725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002764 */     // MIs[0] policy
     /* 1002764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002796 */     // GIR_Coverage, 4962,
     /* 1002796 */     GIR_EraseRootFromParent_Done,
     /* 1002797 */   // Label 14901: @1002797
     /* 1002797 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002874), // Rule ID 4963 //
     /* 1002802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002841 */     // MIs[0] policy
     /* 1002841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002873 */     // GIR_Coverage, 4963,
     /* 1002873 */     GIR_EraseRootFromParent_Done,
     /* 1002874 */   // Label 14902: @1002874
     /* 1002874 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002951), // Rule ID 4966 //
     /* 1002879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002918 */     // MIs[0] policy
     /* 1002918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002950 */     // GIR_Coverage, 4966,
     /* 1002950 */     GIR_EraseRootFromParent_Done,
     /* 1002951 */   // Label 14903: @1002951
     /* 1002951 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1003028), // Rule ID 4967 //
     /* 1002956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002995 */     // MIs[0] policy
     /* 1002995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003027 */     // GIR_Coverage, 4967,
     /* 1003027 */     GIR_EraseRootFromParent_Done,
     /* 1003028 */   // Label 14904: @1003028
     /* 1003028 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1003105), // Rule ID 4970 //
     /* 1003033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003072 */     // MIs[0] policy
     /* 1003072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003104 */     // GIR_Coverage, 4970,
     /* 1003104 */     GIR_EraseRootFromParent_Done,
     /* 1003105 */   // Label 14905: @1003105
     /* 1003105 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1003182), // Rule ID 4971 //
     /* 1003110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003149 */     // MIs[0] policy
     /* 1003149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003181 */     // GIR_Coverage, 4971,
     /* 1003181 */     GIR_EraseRootFromParent_Done,
     /* 1003182 */   // Label 14906: @1003182
     /* 1003182 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1003259), // Rule ID 4974 //
     /* 1003187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003226 */     // MIs[0] policy
     /* 1003226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003258 */     // GIR_Coverage, 4974,
     /* 1003258 */     GIR_EraseRootFromParent_Done,
     /* 1003259 */   // Label 14907: @1003259
     /* 1003259 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1003336), // Rule ID 4975 //
     /* 1003264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003303 */     // MIs[0] policy
     /* 1003303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003335 */     // GIR_Coverage, 4975,
     /* 1003335 */     GIR_EraseRootFromParent_Done,
     /* 1003336 */   // Label 14908: @1003336
     /* 1003336 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003413), // Rule ID 4978 //
     /* 1003341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003380 */     // MIs[0] policy
     /* 1003380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003390 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003412 */     // GIR_Coverage, 4978,
     /* 1003412 */     GIR_EraseRootFromParent_Done,
     /* 1003413 */   // Label 14909: @1003413
     /* 1003413 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003490), // Rule ID 4979 //
     /* 1003418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003457 */     // MIs[0] policy
     /* 1003457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003489 */     // GIR_Coverage, 4979,
     /* 1003489 */     GIR_EraseRootFromParent_Done,
     /* 1003490 */   // Label 14910: @1003490
     /* 1003490 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003567), // Rule ID 4982 //
     /* 1003495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003534 */     // MIs[0] policy
     /* 1003534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003566 */     // GIR_Coverage, 4982,
     /* 1003566 */     GIR_EraseRootFromParent_Done,
     /* 1003567 */   // Label 14911: @1003567
     /* 1003567 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003644), // Rule ID 4983 //
     /* 1003572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003611 */     // MIs[0] policy
     /* 1003611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003643 */     // GIR_Coverage, 4983,
     /* 1003643 */     GIR_EraseRootFromParent_Done,
     /* 1003644 */   // Label 14912: @1003644
     /* 1003644 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003721), // Rule ID 4986 //
     /* 1003649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003688 */     // MIs[0] policy
     /* 1003688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003720 */     // GIR_Coverage, 4986,
     /* 1003720 */     GIR_EraseRootFromParent_Done,
     /* 1003721 */   // Label 14913: @1003721
     /* 1003721 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003798), // Rule ID 4987 //
     /* 1003726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003765 */     // MIs[0] policy
     /* 1003765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003775 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003797 */     // GIR_Coverage, 4987,
     /* 1003797 */     GIR_EraseRootFromParent_Done,
     /* 1003798 */   // Label 14914: @1003798
     /* 1003798 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003875), // Rule ID 4990 //
     /* 1003803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003842 */     // MIs[0] policy
     /* 1003842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003874 */     // GIR_Coverage, 4990,
     /* 1003874 */     GIR_EraseRootFromParent_Done,
     /* 1003875 */   // Label 14915: @1003875
     /* 1003875 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003952), // Rule ID 4991 //
     /* 1003880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003919 */     // MIs[0] policy
     /* 1003919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003951 */     // GIR_Coverage, 4991,
     /* 1003951 */     GIR_EraseRootFromParent_Done,
     /* 1003952 */   // Label 14916: @1003952
     /* 1003952 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1004029), // Rule ID 4994 //
     /* 1003957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003996 */     // MIs[0] policy
     /* 1003996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004006 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004028 */     // GIR_Coverage, 4994,
     /* 1004028 */     GIR_EraseRootFromParent_Done,
     /* 1004029 */   // Label 14917: @1004029
     /* 1004029 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1004106), // Rule ID 4995 //
     /* 1004034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004073 */     // MIs[0] policy
     /* 1004073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004105 */     // GIR_Coverage, 4995,
     /* 1004105 */     GIR_EraseRootFromParent_Done,
     /* 1004106 */   // Label 14918: @1004106
     /* 1004106 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1004183), // Rule ID 4998 //
     /* 1004111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004150 */     // MIs[0] policy
     /* 1004150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004182 */     // GIR_Coverage, 4998,
     /* 1004182 */     GIR_EraseRootFromParent_Done,
     /* 1004183 */   // Label 14919: @1004183
     /* 1004183 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1004260), // Rule ID 4999 //
     /* 1004188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004227 */     // MIs[0] policy
     /* 1004227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004237 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004259 */     // GIR_Coverage, 4999,
     /* 1004259 */     GIR_EraseRootFromParent_Done,
     /* 1004260 */   // Label 14920: @1004260
     /* 1004260 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1004337), // Rule ID 12610 //
     /* 1004265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004304 */     // MIs[0] policy
     /* 1004304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004336 */     // GIR_Coverage, 12610,
     /* 1004336 */     GIR_EraseRootFromParent_Done,
     /* 1004337 */   // Label 14921: @1004337
     /* 1004337 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004414), // Rule ID 12611 //
     /* 1004342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004381 */     // MIs[0] policy
     /* 1004381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004413 */     // GIR_Coverage, 12611,
     /* 1004413 */     GIR_EraseRootFromParent_Done,
     /* 1004414 */   // Label 14922: @1004414
     /* 1004414 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004491), // Rule ID 12614 //
     /* 1004419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004458 */     // MIs[0] policy
     /* 1004458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004490 */     // GIR_Coverage, 12614,
     /* 1004490 */     GIR_EraseRootFromParent_Done,
     /* 1004491 */   // Label 14923: @1004491
     /* 1004491 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004568), // Rule ID 12615 //
     /* 1004496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004535 */     // MIs[0] policy
     /* 1004535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004545 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004567 */     // GIR_Coverage, 12615,
     /* 1004567 */     GIR_EraseRootFromParent_Done,
     /* 1004568 */   // Label 14924: @1004568
     /* 1004568 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004645), // Rule ID 12618 //
     /* 1004573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004612 */     // MIs[0] policy
     /* 1004612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004644 */     // GIR_Coverage, 12618,
     /* 1004644 */     GIR_EraseRootFromParent_Done,
     /* 1004645 */   // Label 14925: @1004645
     /* 1004645 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004722), // Rule ID 12619 //
     /* 1004650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004689 */     // MIs[0] policy
     /* 1004689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004721 */     // GIR_Coverage, 12619,
     /* 1004721 */     GIR_EraseRootFromParent_Done,
     /* 1004722 */   // Label 14926: @1004722
     /* 1004722 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004799), // Rule ID 12622 //
     /* 1004727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004766 */     // MIs[0] policy
     /* 1004766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004798 */     // GIR_Coverage, 12622,
     /* 1004798 */     GIR_EraseRootFromParent_Done,
     /* 1004799 */   // Label 14927: @1004799
     /* 1004799 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004876), // Rule ID 12623 //
     /* 1004804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004843 */     // MIs[0] policy
     /* 1004843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004875 */     // GIR_Coverage, 12623,
     /* 1004875 */     GIR_EraseRootFromParent_Done,
     /* 1004876 */   // Label 14928: @1004876
     /* 1004876 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004953), // Rule ID 12626 //
     /* 1004881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004920 */     // MIs[0] policy
     /* 1004920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004952 */     // GIR_Coverage, 12626,
     /* 1004952 */     GIR_EraseRootFromParent_Done,
     /* 1004953 */   // Label 14929: @1004953
     /* 1004953 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1005030), // Rule ID 12627 //
     /* 1004958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004997 */     // MIs[0] policy
     /* 1004997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005029 */     // GIR_Coverage, 12627,
     /* 1005029 */     GIR_EraseRootFromParent_Done,
     /* 1005030 */   // Label 14930: @1005030
     /* 1005030 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1005107), // Rule ID 12630 //
     /* 1005035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005074 */     // MIs[0] policy
     /* 1005074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005106 */     // GIR_Coverage, 12630,
     /* 1005106 */     GIR_EraseRootFromParent_Done,
     /* 1005107 */   // Label 14931: @1005107
     /* 1005107 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1005184), // Rule ID 12631 //
     /* 1005112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005151 */     // MIs[0] policy
     /* 1005151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005183 */     // GIR_Coverage, 12631,
     /* 1005183 */     GIR_EraseRootFromParent_Done,
     /* 1005184 */   // Label 14932: @1005184
     /* 1005184 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1005261), // Rule ID 12634 //
     /* 1005189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005228 */     // MIs[0] policy
     /* 1005228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005260 */     // GIR_Coverage, 12634,
     /* 1005260 */     GIR_EraseRootFromParent_Done,
     /* 1005261 */   // Label 14933: @1005261
     /* 1005261 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1005338), // Rule ID 12635 //
     /* 1005266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005305 */     // MIs[0] policy
     /* 1005305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005337 */     // GIR_Coverage, 12635,
     /* 1005337 */     GIR_EraseRootFromParent_Done,
     /* 1005338 */   // Label 14934: @1005338
     /* 1005338 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005415), // Rule ID 12638 //
     /* 1005343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005382 */     // MIs[0] policy
     /* 1005382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005414 */     // GIR_Coverage, 12638,
     /* 1005414 */     GIR_EraseRootFromParent_Done,
     /* 1005415 */   // Label 14935: @1005415
     /* 1005415 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005492), // Rule ID 12639 //
     /* 1005420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005459 */     // MIs[0] policy
     /* 1005459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005491 */     // GIR_Coverage, 12639,
     /* 1005491 */     GIR_EraseRootFromParent_Done,
     /* 1005492 */   // Label 14936: @1005492
     /* 1005492 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005569), // Rule ID 12642 //
     /* 1005497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005536 */     // MIs[0] policy
     /* 1005536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005568 */     // GIR_Coverage, 12642,
     /* 1005568 */     GIR_EraseRootFromParent_Done,
     /* 1005569 */   // Label 14937: @1005569
     /* 1005569 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005646), // Rule ID 12643 //
     /* 1005574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005613 */     // MIs[0] policy
     /* 1005613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005645 */     // GIR_Coverage, 12643,
     /* 1005645 */     GIR_EraseRootFromParent_Done,
     /* 1005646 */   // Label 14938: @1005646
     /* 1005646 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005723), // Rule ID 12646 //
     /* 1005651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005690 */     // MIs[0] policy
     /* 1005690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005722 */     // GIR_Coverage, 12646,
     /* 1005722 */     GIR_EraseRootFromParent_Done,
     /* 1005723 */   // Label 14939: @1005723
     /* 1005723 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005800), // Rule ID 12647 //
     /* 1005728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005767 */     // MIs[0] policy
     /* 1005767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005799 */     // GIR_Coverage, 12647,
     /* 1005799 */     GIR_EraseRootFromParent_Done,
     /* 1005800 */   // Label 14940: @1005800
     /* 1005800 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005877), // Rule ID 12650 //
     /* 1005805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005844 */     // MIs[0] policy
     /* 1005844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005876 */     // GIR_Coverage, 12650,
     /* 1005876 */     GIR_EraseRootFromParent_Done,
     /* 1005877 */   // Label 14941: @1005877
     /* 1005877 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005954), // Rule ID 12651 //
     /* 1005882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005921 */     // MIs[0] policy
     /* 1005921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005953 */     // GIR_Coverage, 12651,
     /* 1005953 */     GIR_EraseRootFromParent_Done,
     /* 1005954 */   // Label 14942: @1005954
     /* 1005954 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1006031), // Rule ID 12654 //
     /* 1005959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005998 */     // MIs[0] policy
     /* 1005998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006030 */     // GIR_Coverage, 12654,
     /* 1006030 */     GIR_EraseRootFromParent_Done,
     /* 1006031 */   // Label 14943: @1006031
     /* 1006031 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1006108), // Rule ID 12655 //
     /* 1006036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006075 */     // MIs[0] policy
     /* 1006075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006107 */     // GIR_Coverage, 12655,
     /* 1006107 */     GIR_EraseRootFromParent_Done,
     /* 1006108 */   // Label 14944: @1006108
     /* 1006108 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1006185), // Rule ID 12658 //
     /* 1006113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006152 */     // MIs[0] policy
     /* 1006152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006184 */     // GIR_Coverage, 12658,
     /* 1006184 */     GIR_EraseRootFromParent_Done,
     /* 1006185 */   // Label 14945: @1006185
     /* 1006185 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1006262), // Rule ID 12659 //
     /* 1006190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006229 */     // MIs[0] policy
     /* 1006229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006261 */     // GIR_Coverage, 12659,
     /* 1006261 */     GIR_EraseRootFromParent_Done,
     /* 1006262 */   // Label 14946: @1006262
     /* 1006262 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1006339), // Rule ID 12662 //
     /* 1006267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006306 */     // MIs[0] policy
     /* 1006306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006338 */     // GIR_Coverage, 12662,
     /* 1006338 */     GIR_EraseRootFromParent_Done,
     /* 1006339 */   // Label 14947: @1006339
     /* 1006339 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006416), // Rule ID 12663 //
     /* 1006344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006383 */     // MIs[0] policy
     /* 1006383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006415 */     // GIR_Coverage, 12663,
     /* 1006415 */     GIR_EraseRootFromParent_Done,
     /* 1006416 */   // Label 14948: @1006416
     /* 1006416 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006493), // Rule ID 12666 //
     /* 1006421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006460 */     // MIs[0] policy
     /* 1006460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006492 */     // GIR_Coverage, 12666,
     /* 1006492 */     GIR_EraseRootFromParent_Done,
     /* 1006493 */   // Label 14949: @1006493
     /* 1006493 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006570), // Rule ID 12667 //
     /* 1006498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006537 */     // MIs[0] policy
     /* 1006537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006569 */     // GIR_Coverage, 12667,
     /* 1006569 */     GIR_EraseRootFromParent_Done,
     /* 1006570 */   // Label 14950: @1006570
     /* 1006570 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006647), // Rule ID 12670 //
     /* 1006575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006614 */     // MIs[0] policy
     /* 1006614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006646 */     // GIR_Coverage, 12670,
     /* 1006646 */     GIR_EraseRootFromParent_Done,
     /* 1006647 */   // Label 14951: @1006647
     /* 1006647 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006724), // Rule ID 12671 //
     /* 1006652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006691 */     // MIs[0] policy
     /* 1006691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006723 */     // GIR_Coverage, 12671,
     /* 1006723 */     GIR_EraseRootFromParent_Done,
     /* 1006724 */   // Label 14952: @1006724
     /* 1006724 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006801), // Rule ID 12674 //
     /* 1006729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006768 */     // MIs[0] policy
     /* 1006768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006800 */     // GIR_Coverage, 12674,
     /* 1006800 */     GIR_EraseRootFromParent_Done,
     /* 1006801 */   // Label 14953: @1006801
     /* 1006801 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006878), // Rule ID 12675 //
     /* 1006806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006845 */     // MIs[0] policy
     /* 1006845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006877 */     // GIR_Coverage, 12675,
     /* 1006877 */     GIR_EraseRootFromParent_Done,
     /* 1006878 */   // Label 14954: @1006878
     /* 1006878 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006955), // Rule ID 12678 //
     /* 1006883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006922 */     // MIs[0] policy
     /* 1006922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006954 */     // GIR_Coverage, 12678,
     /* 1006954 */     GIR_EraseRootFromParent_Done,
     /* 1006955 */   // Label 14955: @1006955
     /* 1006955 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1007032), // Rule ID 12679 //
     /* 1006960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006999 */     // MIs[0] policy
     /* 1006999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007031 */     // GIR_Coverage, 12679,
     /* 1007031 */     GIR_EraseRootFromParent_Done,
     /* 1007032 */   // Label 14956: @1007032
     /* 1007032 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1007109), // Rule ID 12682 //
     /* 1007037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007076 */     // MIs[0] policy
     /* 1007076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007108 */     // GIR_Coverage, 12682,
     /* 1007108 */     GIR_EraseRootFromParent_Done,
     /* 1007109 */   // Label 14957: @1007109
     /* 1007109 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1007186), // Rule ID 12683 //
     /* 1007114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007153 */     // MIs[0] policy
     /* 1007153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007185 */     // GIR_Coverage, 12683,
     /* 1007185 */     GIR_EraseRootFromParent_Done,
     /* 1007186 */   // Label 14958: @1007186
     /* 1007186 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1007263), // Rule ID 12686 //
     /* 1007191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007230 */     // MIs[0] policy
     /* 1007230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007262 */     // GIR_Coverage, 12686,
     /* 1007262 */     GIR_EraseRootFromParent_Done,
     /* 1007263 */   // Label 14959: @1007263
     /* 1007263 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1007340), // Rule ID 12687 //
     /* 1007268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007307 */     // MIs[0] policy
     /* 1007307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007339 */     // GIR_Coverage, 12687,
     /* 1007339 */     GIR_EraseRootFromParent_Done,
     /* 1007340 */   // Label 14960: @1007340
     /* 1007340 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007417), // Rule ID 12690 //
     /* 1007345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007384 */     // MIs[0] policy
     /* 1007384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007416 */     // GIR_Coverage, 12690,
     /* 1007416 */     GIR_EraseRootFromParent_Done,
     /* 1007417 */   // Label 14961: @1007417
     /* 1007417 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007494), // Rule ID 12691 //
     /* 1007422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007461 */     // MIs[0] policy
     /* 1007461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007493 */     // GIR_Coverage, 12691,
     /* 1007493 */     GIR_EraseRootFromParent_Done,
     /* 1007494 */   // Label 14962: @1007494
     /* 1007494 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007571), // Rule ID 12694 //
     /* 1007499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007538 */     // MIs[0] policy
     /* 1007538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007570 */     // GIR_Coverage, 12694,
     /* 1007570 */     GIR_EraseRootFromParent_Done,
     /* 1007571 */   // Label 14963: @1007571
     /* 1007571 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007648), // Rule ID 12695 //
     /* 1007576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007615 */     // MIs[0] policy
     /* 1007615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007647 */     // GIR_Coverage, 12695,
     /* 1007647 */     GIR_EraseRootFromParent_Done,
     /* 1007648 */   // Label 14964: @1007648
     /* 1007648 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007725), // Rule ID 12698 //
     /* 1007653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007692 */     // MIs[0] policy
     /* 1007692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007724 */     // GIR_Coverage, 12698,
     /* 1007724 */     GIR_EraseRootFromParent_Done,
     /* 1007725 */   // Label 14965: @1007725
     /* 1007725 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007802), // Rule ID 12699 //
     /* 1007730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007769 */     // MIs[0] policy
     /* 1007769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007801 */     // GIR_Coverage, 12699,
     /* 1007801 */     GIR_EraseRootFromParent_Done,
     /* 1007802 */   // Label 14966: @1007802
     /* 1007802 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007879), // Rule ID 12702 //
     /* 1007807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007846 */     // MIs[0] policy
     /* 1007846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007878 */     // GIR_Coverage, 12702,
     /* 1007878 */     GIR_EraseRootFromParent_Done,
     /* 1007879 */   // Label 14967: @1007879
     /* 1007879 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007956), // Rule ID 12703 //
     /* 1007884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007923 */     // MIs[0] policy
     /* 1007923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007955 */     // GIR_Coverage, 12703,
     /* 1007955 */     GIR_EraseRootFromParent_Done,
     /* 1007956 */   // Label 14968: @1007956
     /* 1007956 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1008033), // Rule ID 12706 //
     /* 1007961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008000 */     // MIs[0] policy
     /* 1008000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008032 */     // GIR_Coverage, 12706,
     /* 1008032 */     GIR_EraseRootFromParent_Done,
     /* 1008033 */   // Label 14969: @1008033
     /* 1008033 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1008110), // Rule ID 12707 //
     /* 1008038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008077 */     // MIs[0] policy
     /* 1008077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008109 */     // GIR_Coverage, 12707,
     /* 1008109 */     GIR_EraseRootFromParent_Done,
     /* 1008110 */   // Label 14970: @1008110
     /* 1008110 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1008187), // Rule ID 12710 //
     /* 1008115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008154 */     // MIs[0] policy
     /* 1008154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008186 */     // GIR_Coverage, 12710,
     /* 1008186 */     GIR_EraseRootFromParent_Done,
     /* 1008187 */   // Label 14971: @1008187
     /* 1008187 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1008264), // Rule ID 12711 //
     /* 1008192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008231 */     // MIs[0] policy
     /* 1008231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008263 */     // GIR_Coverage, 12711,
     /* 1008263 */     GIR_EraseRootFromParent_Done,
     /* 1008264 */   // Label 14972: @1008264
     /* 1008264 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1008341), // Rule ID 12714 //
     /* 1008269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008308 */     // MIs[0] policy
     /* 1008308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008340 */     // GIR_Coverage, 12714,
     /* 1008340 */     GIR_EraseRootFromParent_Done,
     /* 1008341 */   // Label 14973: @1008341
     /* 1008341 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008418), // Rule ID 12715 //
     /* 1008346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008385 */     // MIs[0] policy
     /* 1008385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008417 */     // GIR_Coverage, 12715,
     /* 1008417 */     GIR_EraseRootFromParent_Done,
     /* 1008418 */   // Label 14974: @1008418
     /* 1008418 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008495), // Rule ID 12718 //
     /* 1008423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008462 */     // MIs[0] policy
     /* 1008462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008494 */     // GIR_Coverage, 12718,
     /* 1008494 */     GIR_EraseRootFromParent_Done,
     /* 1008495 */   // Label 14975: @1008495
     /* 1008495 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008572), // Rule ID 12719 //
     /* 1008500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008539 */     // MIs[0] policy
     /* 1008539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008571 */     // GIR_Coverage, 12719,
     /* 1008571 */     GIR_EraseRootFromParent_Done,
     /* 1008572 */   // Label 14976: @1008572
     /* 1008572 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008649), // Rule ID 12722 //
     /* 1008577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008616 */     // MIs[0] policy
     /* 1008616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008648 */     // GIR_Coverage, 12722,
     /* 1008648 */     GIR_EraseRootFromParent_Done,
     /* 1008649 */   // Label 14977: @1008649
     /* 1008649 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008726), // Rule ID 12723 //
     /* 1008654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008693 */     // MIs[0] policy
     /* 1008693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008725 */     // GIR_Coverage, 12723,
     /* 1008725 */     GIR_EraseRootFromParent_Done,
     /* 1008726 */   // Label 14978: @1008726
     /* 1008726 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008803), // Rule ID 12726 //
     /* 1008731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008770 */     // MIs[0] policy
     /* 1008770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008802 */     // GIR_Coverage, 12726,
     /* 1008802 */     GIR_EraseRootFromParent_Done,
     /* 1008803 */   // Label 14979: @1008803
     /* 1008803 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008880), // Rule ID 12727 //
     /* 1008808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008847 */     // MIs[0] policy
     /* 1008847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008879 */     // GIR_Coverage, 12727,
     /* 1008879 */     GIR_EraseRootFromParent_Done,
     /* 1008880 */   // Label 14980: @1008880
     /* 1008880 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008957), // Rule ID 12730 //
     /* 1008885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008924 */     // MIs[0] policy
     /* 1008924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008956 */     // GIR_Coverage, 12730,
     /* 1008956 */     GIR_EraseRootFromParent_Done,
     /* 1008957 */   // Label 14981: @1008957
     /* 1008957 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1009034), // Rule ID 12731 //
     /* 1008962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009001 */     // MIs[0] policy
     /* 1009001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009033 */     // GIR_Coverage, 12731,
     /* 1009033 */     GIR_EraseRootFromParent_Done,
     /* 1009034 */   // Label 14982: @1009034
     /* 1009034 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1009111), // Rule ID 12734 //
     /* 1009039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009078 */     // MIs[0] policy
     /* 1009078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009110 */     // GIR_Coverage, 12734,
     /* 1009110 */     GIR_EraseRootFromParent_Done,
     /* 1009111 */   // Label 14983: @1009111
     /* 1009111 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1009188), // Rule ID 12735 //
     /* 1009116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009155 */     // MIs[0] policy
     /* 1009155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009165 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009187 */     // GIR_Coverage, 12735,
     /* 1009187 */     GIR_EraseRootFromParent_Done,
     /* 1009188 */   // Label 14984: @1009188
     /* 1009188 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1009265), // Rule ID 12738 //
     /* 1009193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009232 */     // MIs[0] policy
     /* 1009232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009264 */     // GIR_Coverage, 12738,
     /* 1009264 */     GIR_EraseRootFromParent_Done,
     /* 1009265 */   // Label 14985: @1009265
     /* 1009265 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1009342), // Rule ID 12739 //
     /* 1009270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009309 */     // MIs[0] policy
     /* 1009309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009319 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009341 */     // GIR_Coverage, 12739,
     /* 1009341 */     GIR_EraseRootFromParent_Done,
     /* 1009342 */   // Label 14986: @1009342
     /* 1009342 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009419), // Rule ID 12742 //
     /* 1009347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009386 */     // MIs[0] policy
     /* 1009386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009418 */     // GIR_Coverage, 12742,
     /* 1009418 */     GIR_EraseRootFromParent_Done,
     /* 1009419 */   // Label 14987: @1009419
     /* 1009419 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009496), // Rule ID 12743 //
     /* 1009424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009463 */     // MIs[0] policy
     /* 1009463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009495 */     // GIR_Coverage, 12743,
     /* 1009495 */     GIR_EraseRootFromParent_Done,
     /* 1009496 */   // Label 14988: @1009496
     /* 1009496 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009573), // Rule ID 12746 //
     /* 1009501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009540 */     // MIs[0] policy
     /* 1009540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009572 */     // GIR_Coverage, 12746,
     /* 1009572 */     GIR_EraseRootFromParent_Done,
     /* 1009573 */   // Label 14989: @1009573
     /* 1009573 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009650), // Rule ID 12747 //
     /* 1009578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009617 */     // MIs[0] policy
     /* 1009617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009649 */     // GIR_Coverage, 12747,
     /* 1009649 */     GIR_EraseRootFromParent_Done,
     /* 1009650 */   // Label 14990: @1009650
     /* 1009650 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009727), // Rule ID 12750 //
     /* 1009655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009694 */     // MIs[0] policy
     /* 1009694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009726 */     // GIR_Coverage, 12750,
     /* 1009726 */     GIR_EraseRootFromParent_Done,
     /* 1009727 */   // Label 14991: @1009727
     /* 1009727 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009804), // Rule ID 12751 //
     /* 1009732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009771 */     // MIs[0] policy
     /* 1009771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009803 */     // GIR_Coverage, 12751,
     /* 1009803 */     GIR_EraseRootFromParent_Done,
     /* 1009804 */   // Label 14992: @1009804
     /* 1009804 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009881), // Rule ID 12754 //
     /* 1009809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009848 */     // MIs[0] policy
     /* 1009848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009880 */     // GIR_Coverage, 12754,
     /* 1009880 */     GIR_EraseRootFromParent_Done,
     /* 1009881 */   // Label 14993: @1009881
     /* 1009881 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009958), // Rule ID 12755 //
     /* 1009886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009925 */     // MIs[0] policy
     /* 1009925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009957 */     // GIR_Coverage, 12755,
     /* 1009957 */     GIR_EraseRootFromParent_Done,
     /* 1009958 */   // Label 14994: @1009958
     /* 1009958 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1010035), // Rule ID 12758 //
     /* 1009963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010002 */     // MIs[0] policy
     /* 1010002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010034 */     // GIR_Coverage, 12758,
     /* 1010034 */     GIR_EraseRootFromParent_Done,
     /* 1010035 */   // Label 14995: @1010035
     /* 1010035 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1010112), // Rule ID 12759 //
     /* 1010040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010079 */     // MIs[0] policy
     /* 1010079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010111 */     // GIR_Coverage, 12759,
     /* 1010111 */     GIR_EraseRootFromParent_Done,
     /* 1010112 */   // Label 14996: @1010112
     /* 1010112 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1010189), // Rule ID 12762 //
     /* 1010117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010156 */     // MIs[0] policy
     /* 1010156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010188 */     // GIR_Coverage, 12762,
     /* 1010188 */     GIR_EraseRootFromParent_Done,
     /* 1010189 */   // Label 14997: @1010189
     /* 1010189 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1010266), // Rule ID 12763 //
     /* 1010194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010233 */     // MIs[0] policy
     /* 1010233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010265 */     // GIR_Coverage, 12763,
     /* 1010265 */     GIR_EraseRootFromParent_Done,
     /* 1010266 */   // Label 14998: @1010266
     /* 1010266 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1010343), // Rule ID 12766 //
     /* 1010271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010310 */     // MIs[0] policy
     /* 1010310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010342 */     // GIR_Coverage, 12766,
     /* 1010342 */     GIR_EraseRootFromParent_Done,
     /* 1010343 */   // Label 14999: @1010343
     /* 1010343 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010420), // Rule ID 12767 //
     /* 1010348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010387 */     // MIs[0] policy
     /* 1010387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010419 */     // GIR_Coverage, 12767,
     /* 1010419 */     GIR_EraseRootFromParent_Done,
     /* 1010420 */   // Label 15000: @1010420
     /* 1010420 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010497), // Rule ID 12770 //
     /* 1010425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010464 */     // MIs[0] policy
     /* 1010464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010496 */     // GIR_Coverage, 12770,
     /* 1010496 */     GIR_EraseRootFromParent_Done,
     /* 1010497 */   // Label 15001: @1010497
     /* 1010497 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010574), // Rule ID 12771 //
     /* 1010502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010541 */     // MIs[0] policy
     /* 1010541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010573 */     // GIR_Coverage, 12771,
     /* 1010573 */     GIR_EraseRootFromParent_Done,
     /* 1010574 */   // Label 15002: @1010574
     /* 1010574 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010651), // Rule ID 12774 //
     /* 1010579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010618 */     // MIs[0] policy
     /* 1010618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010650 */     // GIR_Coverage, 12774,
     /* 1010650 */     GIR_EraseRootFromParent_Done,
     /* 1010651 */   // Label 15003: @1010651
     /* 1010651 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010728), // Rule ID 12775 //
     /* 1010656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010695 */     // MIs[0] policy
     /* 1010695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010727 */     // GIR_Coverage, 12775,
     /* 1010727 */     GIR_EraseRootFromParent_Done,
     /* 1010728 */   // Label 15004: @1010728
     /* 1010728 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010805), // Rule ID 12778 //
     /* 1010733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010772 */     // MIs[0] policy
     /* 1010772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010804 */     // GIR_Coverage, 12778,
     /* 1010804 */     GIR_EraseRootFromParent_Done,
     /* 1010805 */   // Label 15005: @1010805
     /* 1010805 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010882), // Rule ID 12779 //
     /* 1010810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010849 */     // MIs[0] policy
     /* 1010849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010881 */     // GIR_Coverage, 12779,
     /* 1010881 */     GIR_EraseRootFromParent_Done,
     /* 1010882 */   // Label 15006: @1010882
     /* 1010882 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010959), // Rule ID 12782 //
     /* 1010887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010926 */     // MIs[0] policy
     /* 1010926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010958 */     // GIR_Coverage, 12782,
     /* 1010958 */     GIR_EraseRootFromParent_Done,
     /* 1010959 */   // Label 15007: @1010959
     /* 1010959 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1011036), // Rule ID 12783 //
     /* 1010964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011003 */     // MIs[0] policy
     /* 1011003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1011016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011035 */     // GIR_Coverage, 12783,
     /* 1011035 */     GIR_EraseRootFromParent_Done,
     /* 1011036 */   // Label 15008: @1011036
     /* 1011036 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1011113), // Rule ID 12786 //
     /* 1011041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011080 */     // MIs[0] policy
     /* 1011080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011112 */     // GIR_Coverage, 12786,
     /* 1011112 */     GIR_EraseRootFromParent_Done,
     /* 1011113 */   // Label 15009: @1011113
     /* 1011113 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1011190), // Rule ID 12787 //
     /* 1011118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011157 */     // MIs[0] policy
     /* 1011157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011189 */     // GIR_Coverage, 12787,
     /* 1011189 */     GIR_EraseRootFromParent_Done,
     /* 1011190 */   // Label 15010: @1011190
     /* 1011190 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1011267), // Rule ID 12790 //
     /* 1011195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011234 */     // MIs[0] policy
     /* 1011234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011266 */     // GIR_Coverage, 12790,
     /* 1011266 */     GIR_EraseRootFromParent_Done,
     /* 1011267 */   // Label 15011: @1011267
     /* 1011267 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1011344), // Rule ID 12791 //
     /* 1011272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011311 */     // MIs[0] policy
     /* 1011311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011321 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011343 */     // GIR_Coverage, 12791,
     /* 1011343 */     GIR_EraseRootFromParent_Done,
     /* 1011344 */   // Label 15012: @1011344
     /* 1011344 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011421), // Rule ID 12794 //
     /* 1011349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011388 */     // MIs[0] policy
     /* 1011388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011420 */     // GIR_Coverage, 12794,
     /* 1011420 */     GIR_EraseRootFromParent_Done,
     /* 1011421 */   // Label 15013: @1011421
     /* 1011421 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011498), // Rule ID 12795 //
     /* 1011426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011465 */     // MIs[0] policy
     /* 1011465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011497 */     // GIR_Coverage, 12795,
     /* 1011497 */     GIR_EraseRootFromParent_Done,
     /* 1011498 */   // Label 15014: @1011498
     /* 1011498 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011575), // Rule ID 12798 //
     /* 1011503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011542 */     // MIs[0] policy
     /* 1011542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011574 */     // GIR_Coverage, 12798,
     /* 1011574 */     GIR_EraseRootFromParent_Done,
     /* 1011575 */   // Label 15015: @1011575
     /* 1011575 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011652), // Rule ID 12799 //
     /* 1011580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011619 */     // MIs[0] policy
     /* 1011619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011629 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011651 */     // GIR_Coverage, 12799,
     /* 1011651 */     GIR_EraseRootFromParent_Done,
     /* 1011652 */   // Label 15016: @1011652
     /* 1011652 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011729), // Rule ID 12802 //
     /* 1011657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011696 */     // MIs[0] policy
     /* 1011696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011728 */     // GIR_Coverage, 12802,
     /* 1011728 */     GIR_EraseRootFromParent_Done,
     /* 1011729 */   // Label 15017: @1011729
     /* 1011729 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011806), // Rule ID 12803 //
     /* 1011734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011773 */     // MIs[0] policy
     /* 1011773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011805 */     // GIR_Coverage, 12803,
     /* 1011805 */     GIR_EraseRootFromParent_Done,
     /* 1011806 */   // Label 15018: @1011806
     /* 1011806 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011883), // Rule ID 12806 //
     /* 1011811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011850 */     // MIs[0] policy
     /* 1011850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011882 */     // GIR_Coverage, 12806,
     /* 1011882 */     GIR_EraseRootFromParent_Done,
     /* 1011883 */   // Label 15019: @1011883
     /* 1011883 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011960), // Rule ID 12807 //
     /* 1011888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011927 */     // MIs[0] policy
     /* 1011927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011959 */     // GIR_Coverage, 12807,
     /* 1011959 */     GIR_EraseRootFromParent_Done,
     /* 1011960 */   // Label 15020: @1011960
     /* 1011960 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1012037), // Rule ID 12810 //
     /* 1011965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012004 */     // MIs[0] policy
     /* 1012004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012036 */     // GIR_Coverage, 12810,
     /* 1012036 */     GIR_EraseRootFromParent_Done,
     /* 1012037 */   // Label 15021: @1012037
     /* 1012037 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1012114), // Rule ID 12811 //
     /* 1012042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012081 */     // MIs[0] policy
     /* 1012081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012113 */     // GIR_Coverage, 12811,
     /* 1012113 */     GIR_EraseRootFromParent_Done,
     /* 1012114 */   // Label 15022: @1012114
     /* 1012114 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1012191), // Rule ID 12814 //
     /* 1012119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012158 */     // MIs[0] policy
     /* 1012158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012190 */     // GIR_Coverage, 12814,
     /* 1012190 */     GIR_EraseRootFromParent_Done,
     /* 1012191 */   // Label 15023: @1012191
     /* 1012191 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1012268), // Rule ID 12815 //
     /* 1012196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012235 */     // MIs[0] policy
     /* 1012235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012267 */     // GIR_Coverage, 12815,
     /* 1012267 */     GIR_EraseRootFromParent_Done,
     /* 1012268 */   // Label 15024: @1012268
     /* 1012268 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1012345), // Rule ID 12818 //
     /* 1012273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012312 */     // MIs[0] policy
     /* 1012312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012344 */     // GIR_Coverage, 12818,
     /* 1012344 */     GIR_EraseRootFromParent_Done,
     /* 1012345 */   // Label 15025: @1012345
     /* 1012345 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012422), // Rule ID 12819 //
     /* 1012350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012389 */     // MIs[0] policy
     /* 1012389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012421 */     // GIR_Coverage, 12819,
     /* 1012421 */     GIR_EraseRootFromParent_Done,
     /* 1012422 */   // Label 15026: @1012422
     /* 1012422 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012499), // Rule ID 12822 //
     /* 1012427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012466 */     // MIs[0] policy
     /* 1012466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012498 */     // GIR_Coverage, 12822,
     /* 1012498 */     GIR_EraseRootFromParent_Done,
     /* 1012499 */   // Label 15027: @1012499
     /* 1012499 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012576), // Rule ID 12823 //
     /* 1012504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012543 */     // MIs[0] policy
     /* 1012543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012575 */     // GIR_Coverage, 12823,
     /* 1012575 */     GIR_EraseRootFromParent_Done,
     /* 1012576 */   // Label 15028: @1012576
     /* 1012576 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012653), // Rule ID 12826 //
     /* 1012581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012620 */     // MIs[0] policy
     /* 1012620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012652 */     // GIR_Coverage, 12826,
     /* 1012652 */     GIR_EraseRootFromParent_Done,
     /* 1012653 */   // Label 15029: @1012653
     /* 1012653 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012730), // Rule ID 12827 //
     /* 1012658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012697 */     // MIs[0] policy
     /* 1012697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012729 */     // GIR_Coverage, 12827,
     /* 1012729 */     GIR_EraseRootFromParent_Done,
     /* 1012730 */   // Label 15030: @1012730
     /* 1012730 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012807), // Rule ID 12830 //
     /* 1012735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012774 */     // MIs[0] policy
     /* 1012774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012806 */     // GIR_Coverage, 12830,
     /* 1012806 */     GIR_EraseRootFromParent_Done,
     /* 1012807 */   // Label 15031: @1012807
     /* 1012807 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012884), // Rule ID 12831 //
     /* 1012812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012851 */     // MIs[0] policy
     /* 1012851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012883 */     // GIR_Coverage, 12831,
     /* 1012883 */     GIR_EraseRootFromParent_Done,
     /* 1012884 */   // Label 15032: @1012884
     /* 1012884 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012961), // Rule ID 12834 //
     /* 1012889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012928 */     // MIs[0] policy
     /* 1012928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012960 */     // GIR_Coverage, 12834,
     /* 1012960 */     GIR_EraseRootFromParent_Done,
     /* 1012961 */   // Label 15033: @1012961
     /* 1012961 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1013038), // Rule ID 12835 //
     /* 1012966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013005 */     // MIs[0] policy
     /* 1013005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013037 */     // GIR_Coverage, 12835,
     /* 1013037 */     GIR_EraseRootFromParent_Done,
     /* 1013038 */   // Label 15034: @1013038
     /* 1013038 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1013115), // Rule ID 12838 //
     /* 1013043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013082 */     // MIs[0] policy
     /* 1013082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013114 */     // GIR_Coverage, 12838,
     /* 1013114 */     GIR_EraseRootFromParent_Done,
     /* 1013115 */   // Label 15035: @1013115
     /* 1013115 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1013192), // Rule ID 12839 //
     /* 1013120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013159 */     // MIs[0] policy
     /* 1013159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013191 */     // GIR_Coverage, 12839,
     /* 1013191 */     GIR_EraseRootFromParent_Done,
     /* 1013192 */   // Label 15036: @1013192
     /* 1013192 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1013269), // Rule ID 12842 //
     /* 1013197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013236 */     // MIs[0] policy
     /* 1013236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013268 */     // GIR_Coverage, 12842,
     /* 1013268 */     GIR_EraseRootFromParent_Done,
     /* 1013269 */   // Label 15037: @1013269
     /* 1013269 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1013346), // Rule ID 12843 //
     /* 1013274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013313 */     // MIs[0] policy
     /* 1013313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013345 */     // GIR_Coverage, 12843,
     /* 1013345 */     GIR_EraseRootFromParent_Done,
     /* 1013346 */   // Label 15038: @1013346
     /* 1013346 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013423), // Rule ID 12846 //
     /* 1013351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013390 */     // MIs[0] policy
     /* 1013390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013422 */     // GIR_Coverage, 12846,
     /* 1013422 */     GIR_EraseRootFromParent_Done,
     /* 1013423 */   // Label 15039: @1013423
     /* 1013423 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013500), // Rule ID 12847 //
     /* 1013428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013467 */     // MIs[0] policy
     /* 1013467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013499 */     // GIR_Coverage, 12847,
     /* 1013499 */     GIR_EraseRootFromParent_Done,
     /* 1013500 */   // Label 15040: @1013500
     /* 1013500 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013577), // Rule ID 12850 //
     /* 1013505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013544 */     // MIs[0] policy
     /* 1013544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013576 */     // GIR_Coverage, 12850,
     /* 1013576 */     GIR_EraseRootFromParent_Done,
     /* 1013577 */   // Label 15041: @1013577
     /* 1013577 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013654), // Rule ID 12851 //
     /* 1013582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013621 */     // MIs[0] policy
     /* 1013621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013653 */     // GIR_Coverage, 12851,
     /* 1013653 */     GIR_EraseRootFromParent_Done,
     /* 1013654 */   // Label 15042: @1013654
     /* 1013654 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013731), // Rule ID 12854 //
     /* 1013659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013698 */     // MIs[0] policy
     /* 1013698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013730 */     // GIR_Coverage, 12854,
     /* 1013730 */     GIR_EraseRootFromParent_Done,
     /* 1013731 */   // Label 15043: @1013731
     /* 1013731 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013808), // Rule ID 12855 //
     /* 1013736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013775 */     // MIs[0] policy
     /* 1013775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013807 */     // GIR_Coverage, 12855,
     /* 1013807 */     GIR_EraseRootFromParent_Done,
     /* 1013808 */   // Label 15044: @1013808
     /* 1013808 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013885), // Rule ID 12858 //
     /* 1013813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013852 */     // MIs[0] policy
     /* 1013852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013884 */     // GIR_Coverage, 12858,
     /* 1013884 */     GIR_EraseRootFromParent_Done,
     /* 1013885 */   // Label 15045: @1013885
     /* 1013885 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013962), // Rule ID 12859 //
     /* 1013890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013929 */     // MIs[0] policy
     /* 1013929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013961 */     // GIR_Coverage, 12859,
     /* 1013961 */     GIR_EraseRootFromParent_Done,
     /* 1013962 */   // Label 15046: @1013962
     /* 1013962 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1014039), // Rule ID 12862 //
     /* 1013967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014006 */     // MIs[0] policy
     /* 1014006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014038 */     // GIR_Coverage, 12862,
     /* 1014038 */     GIR_EraseRootFromParent_Done,
     /* 1014039 */   // Label 15047: @1014039
     /* 1014039 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1014116), // Rule ID 12863 //
     /* 1014044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014083 */     // MIs[0] policy
     /* 1014083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014115 */     // GIR_Coverage, 12863,
     /* 1014115 */     GIR_EraseRootFromParent_Done,
     /* 1014116 */   // Label 15048: @1014116
     /* 1014116 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1014193), // Rule ID 12866 //
     /* 1014121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014160 */     // MIs[0] policy
     /* 1014160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014192 */     // GIR_Coverage, 12866,
     /* 1014192 */     GIR_EraseRootFromParent_Done,
     /* 1014193 */   // Label 15049: @1014193
     /* 1014193 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1014270), // Rule ID 12867 //
     /* 1014198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014237 */     // MIs[0] policy
     /* 1014237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014269 */     // GIR_Coverage, 12867,
     /* 1014269 */     GIR_EraseRootFromParent_Done,
     /* 1014270 */   // Label 15050: @1014270
     /* 1014270 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1014347), // Rule ID 12870 //
     /* 1014275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014314 */     // MIs[0] policy
     /* 1014314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1014327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014346 */     // GIR_Coverage, 12870,
     /* 1014346 */     GIR_EraseRootFromParent_Done,
     /* 1014347 */   // Label 15051: @1014347
     /* 1014347 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014424), // Rule ID 12871 //
     /* 1014352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014391 */     // MIs[0] policy
     /* 1014391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014401 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1014404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014423 */     // GIR_Coverage, 12871,
     /* 1014423 */     GIR_EraseRootFromParent_Done,
     /* 1014424 */   // Label 15052: @1014424
     /* 1014424 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014501), // Rule ID 12874 //
     /* 1014429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014468 */     // MIs[0] policy
     /* 1014468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014500 */     // GIR_Coverage, 12874,
     /* 1014500 */     GIR_EraseRootFromParent_Done,
     /* 1014501 */   // Label 15053: @1014501
     /* 1014501 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014578), // Rule ID 12875 //
     /* 1014506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014545 */     // MIs[0] policy
     /* 1014545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014577 */     // GIR_Coverage, 12875,
     /* 1014577 */     GIR_EraseRootFromParent_Done,
     /* 1014578 */   // Label 15054: @1014578
     /* 1014578 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014655), // Rule ID 12878 //
     /* 1014583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014622 */     // MIs[0] policy
     /* 1014622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014654 */     // GIR_Coverage, 12878,
     /* 1014654 */     GIR_EraseRootFromParent_Done,
     /* 1014655 */   // Label 15055: @1014655
     /* 1014655 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014732), // Rule ID 12879 //
     /* 1014660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014699 */     // MIs[0] policy
     /* 1014699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014731 */     // GIR_Coverage, 12879,
     /* 1014731 */     GIR_EraseRootFromParent_Done,
     /* 1014732 */   // Label 15056: @1014732
     /* 1014732 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014809), // Rule ID 12882 //
     /* 1014737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014776 */     // MIs[0] policy
     /* 1014776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014808 */     // GIR_Coverage, 12882,
     /* 1014808 */     GIR_EraseRootFromParent_Done,
     /* 1014809 */   // Label 15057: @1014809
     /* 1014809 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014886), // Rule ID 12883 //
     /* 1014814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014853 */     // MIs[0] policy
     /* 1014853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014885 */     // GIR_Coverage, 12883,
     /* 1014885 */     GIR_EraseRootFromParent_Done,
     /* 1014886 */   // Label 15058: @1014886
     /* 1014886 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014963), // Rule ID 12886 //
     /* 1014891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014930 */     // MIs[0] policy
     /* 1014930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014962 */     // GIR_Coverage, 12886,
     /* 1014962 */     GIR_EraseRootFromParent_Done,
     /* 1014963 */   // Label 15059: @1014963
     /* 1014963 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1015040), // Rule ID 12887 //
     /* 1014968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015007 */     // MIs[0] policy
     /* 1015007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015039 */     // GIR_Coverage, 12887,
     /* 1015039 */     GIR_EraseRootFromParent_Done,
     /* 1015040 */   // Label 15060: @1015040
     /* 1015040 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1015117), // Rule ID 12890 //
     /* 1015045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015084 */     // MIs[0] policy
     /* 1015084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015116 */     // GIR_Coverage, 12890,
     /* 1015116 */     GIR_EraseRootFromParent_Done,
     /* 1015117 */   // Label 15061: @1015117
     /* 1015117 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1015194), // Rule ID 12891 //
     /* 1015122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015161 */     // MIs[0] policy
     /* 1015161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015193 */     // GIR_Coverage, 12891,
     /* 1015193 */     GIR_EraseRootFromParent_Done,
     /* 1015194 */   // Label 15062: @1015194
     /* 1015194 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1015271), // Rule ID 12894 //
     /* 1015199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015238 */     // MIs[0] policy
     /* 1015238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015270 */     // GIR_Coverage, 12894,
     /* 1015270 */     GIR_EraseRootFromParent_Done,
     /* 1015271 */   // Label 15063: @1015271
     /* 1015271 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1015348), // Rule ID 12895 //
     /* 1015276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015315 */     // MIs[0] policy
     /* 1015315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015325 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015347 */     // GIR_Coverage, 12895,
     /* 1015347 */     GIR_EraseRootFromParent_Done,
     /* 1015348 */   // Label 15064: @1015348
     /* 1015348 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015425), // Rule ID 12898 //
     /* 1015353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015392 */     // MIs[0] policy
     /* 1015392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015424 */     // GIR_Coverage, 12898,
     /* 1015424 */     GIR_EraseRootFromParent_Done,
     /* 1015425 */   // Label 15065: @1015425
     /* 1015425 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015502), // Rule ID 12899 //
     /* 1015430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015469 */     // MIs[0] policy
     /* 1015469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015501 */     // GIR_Coverage, 12899,
     /* 1015501 */     GIR_EraseRootFromParent_Done,
     /* 1015502 */   // Label 15066: @1015502
     /* 1015502 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015579), // Rule ID 12902 //
     /* 1015507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015546 */     // MIs[0] policy
     /* 1015546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015578 */     // GIR_Coverage, 12902,
     /* 1015578 */     GIR_EraseRootFromParent_Done,
     /* 1015579 */   // Label 15067: @1015579
     /* 1015579 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015656), // Rule ID 12903 //
     /* 1015584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015623 */     // MIs[0] policy
     /* 1015623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015655 */     // GIR_Coverage, 12903,
     /* 1015655 */     GIR_EraseRootFromParent_Done,
     /* 1015656 */   // Label 15068: @1015656
     /* 1015656 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015733), // Rule ID 12906 //
     /* 1015661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015700 */     // MIs[0] policy
     /* 1015700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015732 */     // GIR_Coverage, 12906,
     /* 1015732 */     GIR_EraseRootFromParent_Done,
     /* 1015733 */   // Label 15069: @1015733
     /* 1015733 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015810), // Rule ID 12907 //
     /* 1015738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015777 */     // MIs[0] policy
     /* 1015777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015809 */     // GIR_Coverage, 12907,
     /* 1015809 */     GIR_EraseRootFromParent_Done,
     /* 1015810 */   // Label 15070: @1015810
     /* 1015810 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015887), // Rule ID 12910 //
     /* 1015815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015854 */     // MIs[0] policy
     /* 1015854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015886 */     // GIR_Coverage, 12910,
     /* 1015886 */     GIR_EraseRootFromParent_Done,
     /* 1015887 */   // Label 15071: @1015887
     /* 1015887 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015964), // Rule ID 12911 //
     /* 1015892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015931 */     // MIs[0] policy
     /* 1015931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015941 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015963 */     // GIR_Coverage, 12911,
     /* 1015963 */     GIR_EraseRootFromParent_Done,
     /* 1015964 */   // Label 15072: @1015964
     /* 1015964 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1016041), // Rule ID 12914 //
     /* 1015969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016008 */     // MIs[0] policy
     /* 1016008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016040 */     // GIR_Coverage, 12914,
     /* 1016040 */     GIR_EraseRootFromParent_Done,
     /* 1016041 */   // Label 15073: @1016041
     /* 1016041 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1016118), // Rule ID 12915 //
     /* 1016046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016085 */     // MIs[0] policy
     /* 1016085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016117 */     // GIR_Coverage, 12915,
     /* 1016117 */     GIR_EraseRootFromParent_Done,
     /* 1016118 */   // Label 15074: @1016118
     /* 1016118 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1016195), // Rule ID 12918 //
     /* 1016123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016162 */     // MIs[0] policy
     /* 1016162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016194 */     // GIR_Coverage, 12918,
     /* 1016194 */     GIR_EraseRootFromParent_Done,
     /* 1016195 */   // Label 15075: @1016195
     /* 1016195 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1016272), // Rule ID 12919 //
     /* 1016200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016239 */     // MIs[0] policy
     /* 1016239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016271 */     // GIR_Coverage, 12919,
     /* 1016271 */     GIR_EraseRootFromParent_Done,
     /* 1016272 */   // Label 15076: @1016272
     /* 1016272 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1016349), // Rule ID 12922 //
     /* 1016277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016316 */     // MIs[0] policy
     /* 1016316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016348 */     // GIR_Coverage, 12922,
     /* 1016348 */     GIR_EraseRootFromParent_Done,
     /* 1016349 */   // Label 15077: @1016349
     /* 1016349 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016426), // Rule ID 12923 //
     /* 1016354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016393 */     // MIs[0] policy
     /* 1016393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016425 */     // GIR_Coverage, 12923,
     /* 1016425 */     GIR_EraseRootFromParent_Done,
     /* 1016426 */   // Label 15078: @1016426
     /* 1016426 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016503), // Rule ID 12926 //
     /* 1016431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016470 */     // MIs[0] policy
     /* 1016470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016502 */     // GIR_Coverage, 12926,
     /* 1016502 */     GIR_EraseRootFromParent_Done,
     /* 1016503 */   // Label 15079: @1016503
     /* 1016503 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016580), // Rule ID 12927 //
     /* 1016508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016547 */     // MIs[0] policy
     /* 1016547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016579 */     // GIR_Coverage, 12927,
     /* 1016579 */     GIR_EraseRootFromParent_Done,
     /* 1016580 */   // Label 15080: @1016580
     /* 1016580 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016657), // Rule ID 12930 //
     /* 1016585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016624 */     // MIs[0] policy
     /* 1016624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016656 */     // GIR_Coverage, 12930,
     /* 1016656 */     GIR_EraseRootFromParent_Done,
     /* 1016657 */   // Label 15081: @1016657
     /* 1016657 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016734), // Rule ID 12931 //
     /* 1016662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016701 */     // MIs[0] policy
     /* 1016701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016733 */     // GIR_Coverage, 12931,
     /* 1016733 */     GIR_EraseRootFromParent_Done,
     /* 1016734 */   // Label 15082: @1016734
     /* 1016734 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016811), // Rule ID 12934 //
     /* 1016739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016778 */     // MIs[0] policy
     /* 1016778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016810 */     // GIR_Coverage, 12934,
     /* 1016810 */     GIR_EraseRootFromParent_Done,
     /* 1016811 */   // Label 15083: @1016811
     /* 1016811 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016888), // Rule ID 12935 //
     /* 1016816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016855 */     // MIs[0] policy
     /* 1016855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016887 */     // GIR_Coverage, 12935,
     /* 1016887 */     GIR_EraseRootFromParent_Done,
     /* 1016888 */   // Label 15084: @1016888
     /* 1016888 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016965), // Rule ID 12938 //
     /* 1016893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016932 */     // MIs[0] policy
     /* 1016932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016964 */     // GIR_Coverage, 12938,
     /* 1016964 */     GIR_EraseRootFromParent_Done,
     /* 1016965 */   // Label 15085: @1016965
     /* 1016965 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1017042), // Rule ID 12939 //
     /* 1016970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017009 */     // MIs[0] policy
     /* 1017009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017041 */     // GIR_Coverage, 12939,
     /* 1017041 */     GIR_EraseRootFromParent_Done,
     /* 1017042 */   // Label 15086: @1017042
     /* 1017042 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1017119), // Rule ID 12942 //
     /* 1017047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017086 */     // MIs[0] policy
     /* 1017086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017118 */     // GIR_Coverage, 12942,
     /* 1017118 */     GIR_EraseRootFromParent_Done,
     /* 1017119 */   // Label 15087: @1017119
     /* 1017119 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1017196), // Rule ID 12943 //
     /* 1017124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017163 */     // MIs[0] policy
     /* 1017163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017195 */     // GIR_Coverage, 12943,
     /* 1017195 */     GIR_EraseRootFromParent_Done,
     /* 1017196 */   // Label 15088: @1017196
     /* 1017196 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1017273), // Rule ID 12946 //
     /* 1017201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017240 */     // MIs[0] policy
     /* 1017240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017272 */     // GIR_Coverage, 12946,
     /* 1017272 */     GIR_EraseRootFromParent_Done,
     /* 1017273 */   // Label 15089: @1017273
     /* 1017273 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1017350), // Rule ID 12947 //
     /* 1017278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017317 */     // MIs[0] policy
     /* 1017317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017349 */     // GIR_Coverage, 12947,
     /* 1017349 */     GIR_EraseRootFromParent_Done,
     /* 1017350 */   // Label 15090: @1017350
     /* 1017350 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017427), // Rule ID 12950 //
     /* 1017355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017394 */     // MIs[0] policy
     /* 1017394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017426 */     // GIR_Coverage, 12950,
     /* 1017426 */     GIR_EraseRootFromParent_Done,
     /* 1017427 */   // Label 15091: @1017427
     /* 1017427 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017504), // Rule ID 12951 //
     /* 1017432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017471 */     // MIs[0] policy
     /* 1017471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017503 */     // GIR_Coverage, 12951,
     /* 1017503 */     GIR_EraseRootFromParent_Done,
     /* 1017504 */   // Label 15092: @1017504
     /* 1017504 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017581), // Rule ID 12954 //
     /* 1017509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017548 */     // MIs[0] policy
     /* 1017548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017580 */     // GIR_Coverage, 12954,
     /* 1017580 */     GIR_EraseRootFromParent_Done,
     /* 1017581 */   // Label 15093: @1017581
     /* 1017581 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017658), // Rule ID 12955 //
     /* 1017586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017625 */     // MIs[0] policy
     /* 1017625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017657 */     // GIR_Coverage, 12955,
     /* 1017657 */     GIR_EraseRootFromParent_Done,
     /* 1017658 */   // Label 15094: @1017658
     /* 1017658 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017735), // Rule ID 12958 //
     /* 1017663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017702 */     // MIs[0] policy
     /* 1017702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017734 */     // GIR_Coverage, 12958,
     /* 1017734 */     GIR_EraseRootFromParent_Done,
     /* 1017735 */   // Label 15095: @1017735
     /* 1017735 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017812), // Rule ID 12959 //
     /* 1017740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017779 */     // MIs[0] policy
     /* 1017779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017811 */     // GIR_Coverage, 12959,
     /* 1017811 */     GIR_EraseRootFromParent_Done,
     /* 1017812 */   // Label 15096: @1017812
     /* 1017812 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017889), // Rule ID 12962 //
     /* 1017817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017856 */     // MIs[0] policy
     /* 1017856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017866 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017888 */     // GIR_Coverage, 12962,
     /* 1017888 */     GIR_EraseRootFromParent_Done,
     /* 1017889 */   // Label 15097: @1017889
     /* 1017889 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017966), // Rule ID 12963 //
     /* 1017894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017933 */     // MIs[0] policy
     /* 1017933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017965 */     // GIR_Coverage, 12963,
     /* 1017965 */     GIR_EraseRootFromParent_Done,
     /* 1017966 */   // Label 15098: @1017966
     /* 1017966 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1018043), // Rule ID 12966 //
     /* 1017971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018010 */     // MIs[0] policy
     /* 1018010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018042 */     // GIR_Coverage, 12966,
     /* 1018042 */     GIR_EraseRootFromParent_Done,
     /* 1018043 */   // Label 15099: @1018043
     /* 1018043 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1018120), // Rule ID 12967 //
     /* 1018048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018087 */     // MIs[0] policy
     /* 1018087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018119 */     // GIR_Coverage, 12967,
     /* 1018119 */     GIR_EraseRootFromParent_Done,
     /* 1018120 */   // Label 15100: @1018120
     /* 1018120 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1018197), // Rule ID 12970 //
     /* 1018125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018164 */     // MIs[0] policy
     /* 1018164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018196 */     // GIR_Coverage, 12970,
     /* 1018196 */     GIR_EraseRootFromParent_Done,
     /* 1018197 */   // Label 15101: @1018197
     /* 1018197 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1018274), // Rule ID 12971 //
     /* 1018202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018241 */     // MIs[0] policy
     /* 1018241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018273 */     // GIR_Coverage, 12971,
     /* 1018273 */     GIR_EraseRootFromParent_Done,
     /* 1018274 */   // Label 15102: @1018274
     /* 1018274 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1018351), // Rule ID 12974 //
     /* 1018279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018318 */     // MIs[0] policy
     /* 1018318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018350 */     // GIR_Coverage, 12974,
     /* 1018350 */     GIR_EraseRootFromParent_Done,
     /* 1018351 */   // Label 15103: @1018351
     /* 1018351 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018428), // Rule ID 12975 //
     /* 1018356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018395 */     // MIs[0] policy
     /* 1018395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018427 */     // GIR_Coverage, 12975,
     /* 1018427 */     GIR_EraseRootFromParent_Done,
     /* 1018428 */   // Label 15104: @1018428
     /* 1018428 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018505), // Rule ID 12978 //
     /* 1018433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018472 */     // MIs[0] policy
     /* 1018472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018504 */     // GIR_Coverage, 12978,
     /* 1018504 */     GIR_EraseRootFromParent_Done,
     /* 1018505 */   // Label 15105: @1018505
     /* 1018505 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018582), // Rule ID 12979 //
     /* 1018510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018549 */     // MIs[0] policy
     /* 1018549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018581 */     // GIR_Coverage, 12979,
     /* 1018581 */     GIR_EraseRootFromParent_Done,
     /* 1018582 */   // Label 15106: @1018582
     /* 1018582 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018659), // Rule ID 12982 //
     /* 1018587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018626 */     // MIs[0] policy
     /* 1018626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018658 */     // GIR_Coverage, 12982,
     /* 1018658 */     GIR_EraseRootFromParent_Done,
     /* 1018659 */   // Label 15107: @1018659
     /* 1018659 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018736), // Rule ID 12983 //
     /* 1018664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018703 */     // MIs[0] policy
     /* 1018703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018713 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018735 */     // GIR_Coverage, 12983,
     /* 1018735 */     GIR_EraseRootFromParent_Done,
     /* 1018736 */   // Label 15108: @1018736
     /* 1018736 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018813), // Rule ID 12986 //
     /* 1018741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018780 */     // MIs[0] policy
     /* 1018780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018812 */     // GIR_Coverage, 12986,
     /* 1018812 */     GIR_EraseRootFromParent_Done,
     /* 1018813 */   // Label 15109: @1018813
     /* 1018813 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018890), // Rule ID 12987 //
     /* 1018818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018857 */     // MIs[0] policy
     /* 1018857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018889 */     // GIR_Coverage, 12987,
     /* 1018889 */     GIR_EraseRootFromParent_Done,
     /* 1018890 */   // Label 15110: @1018890
     /* 1018890 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018967), // Rule ID 12990 //
     /* 1018895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018934 */     // MIs[0] policy
     /* 1018934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018966 */     // GIR_Coverage, 12990,
     /* 1018966 */     GIR_EraseRootFromParent_Done,
     /* 1018967 */   // Label 15111: @1018967
     /* 1018967 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1019044), // Rule ID 12991 //
     /* 1018972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019011 */     // MIs[0] policy
     /* 1019011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019043 */     // GIR_Coverage, 12991,
     /* 1019043 */     GIR_EraseRootFromParent_Done,
     /* 1019044 */   // Label 15112: @1019044
     /* 1019044 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1019121), // Rule ID 12994 //
     /* 1019049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019088 */     // MIs[0] policy
     /* 1019088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019120 */     // GIR_Coverage, 12994,
     /* 1019120 */     GIR_EraseRootFromParent_Done,
     /* 1019121 */   // Label 15113: @1019121
     /* 1019121 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1019198), // Rule ID 12995 //
     /* 1019126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019165 */     // MIs[0] policy
     /* 1019165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019175 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019197 */     // GIR_Coverage, 12995,
     /* 1019197 */     GIR_EraseRootFromParent_Done,
     /* 1019198 */   // Label 15114: @1019198
     /* 1019198 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1019275), // Rule ID 12998 //
     /* 1019203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019242 */     // MIs[0] policy
     /* 1019242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019274 */     // GIR_Coverage, 12998,
     /* 1019274 */     GIR_EraseRootFromParent_Done,
     /* 1019275 */   // Label 15115: @1019275
     /* 1019275 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1019352), // Rule ID 12999 //
     /* 1019280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019319 */     // MIs[0] policy
     /* 1019319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019329 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019351 */     // GIR_Coverage, 12999,
     /* 1019351 */     GIR_EraseRootFromParent_Done,
     /* 1019352 */   // Label 15116: @1019352
     /* 1019352 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019429), // Rule ID 13002 //
     /* 1019357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019396 */     // MIs[0] policy
     /* 1019396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019428 */     // GIR_Coverage, 13002,
     /* 1019428 */     GIR_EraseRootFromParent_Done,
     /* 1019429 */   // Label 15117: @1019429
     /* 1019429 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019506), // Rule ID 13003 //
     /* 1019434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019473 */     // MIs[0] policy
     /* 1019473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019505 */     // GIR_Coverage, 13003,
     /* 1019505 */     GIR_EraseRootFromParent_Done,
     /* 1019506 */   // Label 15118: @1019506
     /* 1019506 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019583), // Rule ID 13006 //
     /* 1019511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019550 */     // MIs[0] policy
     /* 1019550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019582 */     // GIR_Coverage, 13006,
     /* 1019582 */     GIR_EraseRootFromParent_Done,
     /* 1019583 */   // Label 15119: @1019583
     /* 1019583 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019660), // Rule ID 13007 //
     /* 1019588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019627 */     // MIs[0] policy
     /* 1019627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019659 */     // GIR_Coverage, 13007,
     /* 1019659 */     GIR_EraseRootFromParent_Done,
     /* 1019660 */   // Label 15120: @1019660
     /* 1019660 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019737), // Rule ID 13010 //
     /* 1019665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019704 */     // MIs[0] policy
     /* 1019704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019736 */     // GIR_Coverage, 13010,
     /* 1019736 */     GIR_EraseRootFromParent_Done,
     /* 1019737 */   // Label 15121: @1019737
     /* 1019737 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019814), // Rule ID 13011 //
     /* 1019742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019781 */     // MIs[0] policy
     /* 1019781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019813 */     // GIR_Coverage, 13011,
     /* 1019813 */     GIR_EraseRootFromParent_Done,
     /* 1019814 */   // Label 15122: @1019814
     /* 1019814 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019891), // Rule ID 13014 //
     /* 1019819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019858 */     // MIs[0] policy
     /* 1019858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019890 */     // GIR_Coverage, 13014,
     /* 1019890 */     GIR_EraseRootFromParent_Done,
     /* 1019891 */   // Label 15123: @1019891
     /* 1019891 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019968), // Rule ID 13015 //
     /* 1019896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019935 */     // MIs[0] policy
     /* 1019935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019967 */     // GIR_Coverage, 13015,
     /* 1019967 */     GIR_EraseRootFromParent_Done,
     /* 1019968 */   // Label 15124: @1019968
     /* 1019968 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1020045), // Rule ID 13018 //
     /* 1019973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1019993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020012 */     // MIs[0] policy
     /* 1020012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020044 */     // GIR_Coverage, 13018,
     /* 1020044 */     GIR_EraseRootFromParent_Done,
     /* 1020045 */   // Label 15125: @1020045
     /* 1020045 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1020122), // Rule ID 13019 //
     /* 1020050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020089 */     // MIs[0] policy
     /* 1020089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020121 */     // GIR_Coverage, 13019,
     /* 1020121 */     GIR_EraseRootFromParent_Done,
     /* 1020122 */   // Label 15126: @1020122
     /* 1020122 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1020199), // Rule ID 13022 //
     /* 1020127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020166 */     // MIs[0] policy
     /* 1020166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020198 */     // GIR_Coverage, 13022,
     /* 1020198 */     GIR_EraseRootFromParent_Done,
     /* 1020199 */   // Label 15127: @1020199
     /* 1020199 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1020276), // Rule ID 13023 //
     /* 1020204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020243 */     // MIs[0] policy
     /* 1020243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020275 */     // GIR_Coverage, 13023,
     /* 1020275 */     GIR_EraseRootFromParent_Done,
     /* 1020276 */   // Label 15128: @1020276
     /* 1020276 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1020353), // Rule ID 13026 //
     /* 1020281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020320 */     // MIs[0] policy
     /* 1020320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020352 */     // GIR_Coverage, 13026,
     /* 1020352 */     GIR_EraseRootFromParent_Done,
     /* 1020353 */   // Label 15129: @1020353
     /* 1020353 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020430), // Rule ID 13027 //
     /* 1020358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020397 */     // MIs[0] policy
     /* 1020397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020429 */     // GIR_Coverage, 13027,
     /* 1020429 */     GIR_EraseRootFromParent_Done,
     /* 1020430 */   // Label 15130: @1020430
     /* 1020430 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020507), // Rule ID 13030 //
     /* 1020435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020474 */     // MIs[0] policy
     /* 1020474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020506 */     // GIR_Coverage, 13030,
     /* 1020506 */     GIR_EraseRootFromParent_Done,
     /* 1020507 */   // Label 15131: @1020507
     /* 1020507 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020584), // Rule ID 13031 //
     /* 1020512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020551 */     // MIs[0] policy
     /* 1020551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020583 */     // GIR_Coverage, 13031,
     /* 1020583 */     GIR_EraseRootFromParent_Done,
     /* 1020584 */   // Label 15132: @1020584
     /* 1020584 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020661), // Rule ID 13034 //
     /* 1020589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020628 */     // MIs[0] policy
     /* 1020628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020660 */     // GIR_Coverage, 13034,
     /* 1020660 */     GIR_EraseRootFromParent_Done,
     /* 1020661 */   // Label 15133: @1020661
     /* 1020661 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020738), // Rule ID 13035 //
     /* 1020666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020705 */     // MIs[0] policy
     /* 1020705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020715 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020737 */     // GIR_Coverage, 13035,
     /* 1020737 */     GIR_EraseRootFromParent_Done,
     /* 1020738 */   // Label 15134: @1020738
     /* 1020738 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020815), // Rule ID 13038 //
     /* 1020743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020782 */     // MIs[0] policy
     /* 1020782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020814 */     // GIR_Coverage, 13038,
     /* 1020814 */     GIR_EraseRootFromParent_Done,
     /* 1020815 */   // Label 15135: @1020815
     /* 1020815 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020892), // Rule ID 13039 //
     /* 1020820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020859 */     // MIs[0] policy
     /* 1020859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020891 */     // GIR_Coverage, 13039,
     /* 1020891 */     GIR_EraseRootFromParent_Done,
     /* 1020892 */   // Label 15136: @1020892
     /* 1020892 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020969), // Rule ID 13042 //
     /* 1020897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020936 */     // MIs[0] policy
     /* 1020936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020968 */     // GIR_Coverage, 13042,
     /* 1020968 */     GIR_EraseRootFromParent_Done,
     /* 1020969 */   // Label 15137: @1020969
     /* 1020969 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1021046), // Rule ID 13043 //
     /* 1020974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021013 */     // MIs[0] policy
     /* 1021013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021023 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021045 */     // GIR_Coverage, 13043,
     /* 1021045 */     GIR_EraseRootFromParent_Done,
     /* 1021046 */   // Label 15138: @1021046
     /* 1021046 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1021123), // Rule ID 13046 //
     /* 1021051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021090 */     // MIs[0] policy
     /* 1021090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021122 */     // GIR_Coverage, 13046,
     /* 1021122 */     GIR_EraseRootFromParent_Done,
     /* 1021123 */   // Label 15139: @1021123
     /* 1021123 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1021200), // Rule ID 13047 //
     /* 1021128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021167 */     // MIs[0] policy
     /* 1021167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021199 */     // GIR_Coverage, 13047,
     /* 1021199 */     GIR_EraseRootFromParent_Done,
     /* 1021200 */   // Label 15140: @1021200
     /* 1021200 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1021277), // Rule ID 13050 //
     /* 1021205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021244 */     // MIs[0] policy
     /* 1021244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021276 */     // GIR_Coverage, 13050,
     /* 1021276 */     GIR_EraseRootFromParent_Done,
     /* 1021277 */   // Label 15141: @1021277
     /* 1021277 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1021354), // Rule ID 13051 //
     /* 1021282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021321 */     // MIs[0] policy
     /* 1021321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021331 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021353 */     // GIR_Coverage, 13051,
     /* 1021353 */     GIR_EraseRootFromParent_Done,
     /* 1021354 */   // Label 15142: @1021354
     /* 1021354 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021431), // Rule ID 13054 //
     /* 1021359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021398 */     // MIs[0] policy
     /* 1021398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021430 */     // GIR_Coverage, 13054,
     /* 1021430 */     GIR_EraseRootFromParent_Done,
     /* 1021431 */   // Label 15143: @1021431
     /* 1021431 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021508), // Rule ID 13055 //
     /* 1021436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021475 */     // MIs[0] policy
     /* 1021475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021485 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021507 */     // GIR_Coverage, 13055,
     /* 1021507 */     GIR_EraseRootFromParent_Done,
     /* 1021508 */   // Label 15144: @1021508
     /* 1021508 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021585), // Rule ID 13058 //
     /* 1021513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021552 */     // MIs[0] policy
     /* 1021552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021584 */     // GIR_Coverage, 13058,
     /* 1021584 */     GIR_EraseRootFromParent_Done,
     /* 1021585 */   // Label 15145: @1021585
     /* 1021585 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021662), // Rule ID 13059 //
     /* 1021590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021629 */     // MIs[0] policy
     /* 1021629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021661 */     // GIR_Coverage, 13059,
     /* 1021661 */     GIR_EraseRootFromParent_Done,
     /* 1021662 */   // Label 15146: @1021662
     /* 1021662 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021739), // Rule ID 13062 //
     /* 1021667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021706 */     // MIs[0] policy
     /* 1021706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021738 */     // GIR_Coverage, 13062,
     /* 1021738 */     GIR_EraseRootFromParent_Done,
     /* 1021739 */   // Label 15147: @1021739
     /* 1021739 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021816), // Rule ID 13063 //
     /* 1021744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021783 */     // MIs[0] policy
     /* 1021783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021815 */     // GIR_Coverage, 13063,
     /* 1021815 */     GIR_EraseRootFromParent_Done,
     /* 1021816 */   // Label 15148: @1021816
     /* 1021816 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021893), // Rule ID 13066 //
     /* 1021821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021860 */     // MIs[0] policy
     /* 1021860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021892 */     // GIR_Coverage, 13066,
     /* 1021892 */     GIR_EraseRootFromParent_Done,
     /* 1021893 */   // Label 15149: @1021893
     /* 1021893 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021970), // Rule ID 13067 //
     /* 1021898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021937 */     // MIs[0] policy
     /* 1021937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021969 */     // GIR_Coverage, 13067,
     /* 1021969 */     GIR_EraseRootFromParent_Done,
     /* 1021970 */   // Label 15150: @1021970
     /* 1021970 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1022047), // Rule ID 13070 //
     /* 1021975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022014 */     // MIs[0] policy
     /* 1022014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022046 */     // GIR_Coverage, 13070,
     /* 1022046 */     GIR_EraseRootFromParent_Done,
     /* 1022047 */   // Label 15151: @1022047
     /* 1022047 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1022124), // Rule ID 13071 //
     /* 1022052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022091 */     // MIs[0] policy
     /* 1022091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022123 */     // GIR_Coverage, 13071,
     /* 1022123 */     GIR_EraseRootFromParent_Done,
     /* 1022124 */   // Label 15152: @1022124
     /* 1022124 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1022201), // Rule ID 13074 //
     /* 1022129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022168 */     // MIs[0] policy
     /* 1022168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022200 */     // GIR_Coverage, 13074,
     /* 1022200 */     GIR_EraseRootFromParent_Done,
     /* 1022201 */   // Label 15153: @1022201
     /* 1022201 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1022278), // Rule ID 13075 //
     /* 1022206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022245 */     // MIs[0] policy
     /* 1022245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022277 */     // GIR_Coverage, 13075,
     /* 1022277 */     GIR_EraseRootFromParent_Done,
     /* 1022278 */   // Label 15154: @1022278
     /* 1022278 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1022355), // Rule ID 13078 //
     /* 1022283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022322 */     // MIs[0] policy
     /* 1022322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022354 */     // GIR_Coverage, 13078,
     /* 1022354 */     GIR_EraseRootFromParent_Done,
     /* 1022355 */   // Label 15155: @1022355
     /* 1022355 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022432), // Rule ID 13079 //
     /* 1022360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022399 */     // MIs[0] policy
     /* 1022399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022431 */     // GIR_Coverage, 13079,
     /* 1022431 */     GIR_EraseRootFromParent_Done,
     /* 1022432 */   // Label 15156: @1022432
     /* 1022432 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022509), // Rule ID 13082 //
     /* 1022437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022476 */     // MIs[0] policy
     /* 1022476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022508 */     // GIR_Coverage, 13082,
     /* 1022508 */     GIR_EraseRootFromParent_Done,
     /* 1022509 */   // Label 15157: @1022509
     /* 1022509 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022586), // Rule ID 13083 //
     /* 1022514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022553 */     // MIs[0] policy
     /* 1022553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022585 */     // GIR_Coverage, 13083,
     /* 1022585 */     GIR_EraseRootFromParent_Done,
     /* 1022586 */   // Label 15158: @1022586
     /* 1022586 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022663), // Rule ID 13086 //
     /* 1022591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022630 */     // MIs[0] policy
     /* 1022630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022662 */     // GIR_Coverage, 13086,
     /* 1022662 */     GIR_EraseRootFromParent_Done,
     /* 1022663 */   // Label 15159: @1022663
     /* 1022663 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022740), // Rule ID 13087 //
     /* 1022668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022707 */     // MIs[0] policy
     /* 1022707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022739 */     // GIR_Coverage, 13087,
     /* 1022739 */     GIR_EraseRootFromParent_Done,
     /* 1022740 */   // Label 15160: @1022740
     /* 1022740 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022817), // Rule ID 13090 //
     /* 1022745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022784 */     // MIs[0] policy
     /* 1022784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022816 */     // GIR_Coverage, 13090,
     /* 1022816 */     GIR_EraseRootFromParent_Done,
     /* 1022817 */   // Label 15161: @1022817
     /* 1022817 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022894), // Rule ID 13091 //
     /* 1022822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022861 */     // MIs[0] policy
     /* 1022861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022893 */     // GIR_Coverage, 13091,
     /* 1022893 */     GIR_EraseRootFromParent_Done,
     /* 1022894 */   // Label 15162: @1022894
     /* 1022894 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022971), // Rule ID 13094 //
     /* 1022899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022938 */     // MIs[0] policy
     /* 1022938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022970 */     // GIR_Coverage, 13094,
     /* 1022970 */     GIR_EraseRootFromParent_Done,
     /* 1022971 */   // Label 15163: @1022971
     /* 1022971 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1023048), // Rule ID 13095 //
     /* 1022976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023015 */     // MIs[0] policy
     /* 1023015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023047 */     // GIR_Coverage, 13095,
     /* 1023047 */     GIR_EraseRootFromParent_Done,
     /* 1023048 */   // Label 15164: @1023048
     /* 1023048 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1023125), // Rule ID 13098 //
     /* 1023053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023092 */     // MIs[0] policy
     /* 1023092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023124 */     // GIR_Coverage, 13098,
     /* 1023124 */     GIR_EraseRootFromParent_Done,
     /* 1023125 */   // Label 15165: @1023125
     /* 1023125 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1023202), // Rule ID 13099 //
     /* 1023130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023169 */     // MIs[0] policy
     /* 1023169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023201 */     // GIR_Coverage, 13099,
     /* 1023201 */     GIR_EraseRootFromParent_Done,
     /* 1023202 */   // Label 15166: @1023202
     /* 1023202 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1023279), // Rule ID 13102 //
     /* 1023207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023246 */     // MIs[0] policy
     /* 1023246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023278 */     // GIR_Coverage, 13102,
     /* 1023278 */     GIR_EraseRootFromParent_Done,
     /* 1023279 */   // Label 15167: @1023279
     /* 1023279 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1023356), // Rule ID 13103 //
     /* 1023284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023323 */     // MIs[0] policy
     /* 1023323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023355 */     // GIR_Coverage, 13103,
     /* 1023355 */     GIR_EraseRootFromParent_Done,
     /* 1023356 */   // Label 15168: @1023356
     /* 1023356 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023433), // Rule ID 13106 //
     /* 1023361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023400 */     // MIs[0] policy
     /* 1023400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023432 */     // GIR_Coverage, 13106,
     /* 1023432 */     GIR_EraseRootFromParent_Done,
     /* 1023433 */   // Label 15169: @1023433
     /* 1023433 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023510), // Rule ID 13107 //
     /* 1023438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023477 */     // MIs[0] policy
     /* 1023477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023509 */     // GIR_Coverage, 13107,
     /* 1023509 */     GIR_EraseRootFromParent_Done,
     /* 1023510 */   // Label 15170: @1023510
     /* 1023510 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023587), // Rule ID 13110 //
     /* 1023515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023554 */     // MIs[0] policy
     /* 1023554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023586 */     // GIR_Coverage, 13110,
     /* 1023586 */     GIR_EraseRootFromParent_Done,
     /* 1023587 */   // Label 15171: @1023587
     /* 1023587 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023664), // Rule ID 13111 //
     /* 1023592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023631 */     // MIs[0] policy
     /* 1023631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023663 */     // GIR_Coverage, 13111,
     /* 1023663 */     GIR_EraseRootFromParent_Done,
     /* 1023664 */   // Label 15172: @1023664
     /* 1023664 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023741), // Rule ID 13114 //
     /* 1023669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023708 */     // MIs[0] policy
     /* 1023708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023740 */     // GIR_Coverage, 13114,
     /* 1023740 */     GIR_EraseRootFromParent_Done,
     /* 1023741 */   // Label 15173: @1023741
     /* 1023741 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023818), // Rule ID 13115 //
     /* 1023746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023785 */     // MIs[0] policy
     /* 1023785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023817 */     // GIR_Coverage, 13115,
     /* 1023817 */     GIR_EraseRootFromParent_Done,
     /* 1023818 */   // Label 15174: @1023818
     /* 1023818 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023895), // Rule ID 13118 //
     /* 1023823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023862 */     // MIs[0] policy
     /* 1023862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023894 */     // GIR_Coverage, 13118,
     /* 1023894 */     GIR_EraseRootFromParent_Done,
     /* 1023895 */   // Label 15175: @1023895
     /* 1023895 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023972), // Rule ID 13119 //
     /* 1023900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023939 */     // MIs[0] policy
     /* 1023939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023971 */     // GIR_Coverage, 13119,
     /* 1023971 */     GIR_EraseRootFromParent_Done,
     /* 1023972 */   // Label 15176: @1023972
     /* 1023972 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1024049), // Rule ID 13122 //
     /* 1023977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1023997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024016 */     // MIs[0] policy
     /* 1024016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024048 */     // GIR_Coverage, 13122,
     /* 1024048 */     GIR_EraseRootFromParent_Done,
     /* 1024049 */   // Label 15177: @1024049
     /* 1024049 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1024126), // Rule ID 13123 //
     /* 1024054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024093 */     // MIs[0] policy
     /* 1024093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024125 */     // GIR_Coverage, 13123,
     /* 1024125 */     GIR_EraseRootFromParent_Done,
     /* 1024126 */   // Label 15178: @1024126
     /* 1024126 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1024203), // Rule ID 13126 //
     /* 1024131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024170 */     // MIs[0] policy
     /* 1024170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024202 */     // GIR_Coverage, 13126,
     /* 1024202 */     GIR_EraseRootFromParent_Done,
     /* 1024203 */   // Label 15179: @1024203
     /* 1024203 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1024280), // Rule ID 13127 //
     /* 1024208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024247 */     // MIs[0] policy
     /* 1024247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024279 */     // GIR_Coverage, 13127,
     /* 1024279 */     GIR_EraseRootFromParent_Done,
     /* 1024280 */   // Label 15180: @1024280
     /* 1024280 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1024357), // Rule ID 13130 //
     /* 1024285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024324 */     // MIs[0] policy
     /* 1024324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024356 */     // GIR_Coverage, 13130,
     /* 1024356 */     GIR_EraseRootFromParent_Done,
     /* 1024357 */   // Label 15181: @1024357
     /* 1024357 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024434), // Rule ID 13131 //
     /* 1024362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024401 */     // MIs[0] policy
     /* 1024401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024433 */     // GIR_Coverage, 13131,
     /* 1024433 */     GIR_EraseRootFromParent_Done,
     /* 1024434 */   // Label 15182: @1024434
     /* 1024434 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024511), // Rule ID 13134 //
     /* 1024439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024478 */     // MIs[0] policy
     /* 1024478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024510 */     // GIR_Coverage, 13134,
     /* 1024510 */     GIR_EraseRootFromParent_Done,
     /* 1024511 */   // Label 15183: @1024511
     /* 1024511 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024588), // Rule ID 13135 //
     /* 1024516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024555 */     // MIs[0] policy
     /* 1024555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024565 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024587 */     // GIR_Coverage, 13135,
     /* 1024587 */     GIR_EraseRootFromParent_Done,
     /* 1024588 */   // Label 15184: @1024588
     /* 1024588 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024665), // Rule ID 13138 //
     /* 1024593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024632 */     // MIs[0] policy
     /* 1024632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024664 */     // GIR_Coverage, 13138,
     /* 1024664 */     GIR_EraseRootFromParent_Done,
     /* 1024665 */   // Label 15185: @1024665
     /* 1024665 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024742), // Rule ID 13139 //
     /* 1024670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024709 */     // MIs[0] policy
     /* 1024709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024741 */     // GIR_Coverage, 13139,
     /* 1024741 */     GIR_EraseRootFromParent_Done,
     /* 1024742 */   // Label 15186: @1024742
     /* 1024742 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024819), // Rule ID 13142 //
     /* 1024747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024786 */     // MIs[0] policy
     /* 1024786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024818 */     // GIR_Coverage, 13142,
     /* 1024818 */     GIR_EraseRootFromParent_Done,
     /* 1024819 */   // Label 15187: @1024819
     /* 1024819 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024896), // Rule ID 13143 //
     /* 1024824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024863 */     // MIs[0] policy
     /* 1024863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024895 */     // GIR_Coverage, 13143,
     /* 1024895 */     GIR_EraseRootFromParent_Done,
     /* 1024896 */   // Label 15188: @1024896
     /* 1024896 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024973), // Rule ID 13146 //
     /* 1024901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024940 */     // MIs[0] policy
     /* 1024940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024972 */     // GIR_Coverage, 13146,
     /* 1024972 */     GIR_EraseRootFromParent_Done,
     /* 1024973 */   // Label 15189: @1024973
     /* 1024973 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1025050), // Rule ID 13147 //
     /* 1024978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025017 */     // MIs[0] policy
     /* 1025017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025049 */     // GIR_Coverage, 13147,
     /* 1025049 */     GIR_EraseRootFromParent_Done,
     /* 1025050 */   // Label 15190: @1025050
     /* 1025050 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1025127), // Rule ID 13150 //
     /* 1025055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025094 */     // MIs[0] policy
     /* 1025094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025126 */     // GIR_Coverage, 13150,
     /* 1025126 */     GIR_EraseRootFromParent_Done,
     /* 1025127 */   // Label 15191: @1025127
     /* 1025127 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1025204), // Rule ID 13151 //
     /* 1025132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025171 */     // MIs[0] policy
     /* 1025171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025203 */     // GIR_Coverage, 13151,
     /* 1025203 */     GIR_EraseRootFromParent_Done,
     /* 1025204 */   // Label 15192: @1025204
     /* 1025204 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1025281), // Rule ID 13154 //
     /* 1025209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025248 */     // MIs[0] policy
     /* 1025248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025280 */     // GIR_Coverage, 13154,
     /* 1025280 */     GIR_EraseRootFromParent_Done,
     /* 1025281 */   // Label 15193: @1025281
     /* 1025281 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1025358), // Rule ID 13155 //
     /* 1025286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025325 */     // MIs[0] policy
     /* 1025325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025357 */     // GIR_Coverage, 13155,
     /* 1025357 */     GIR_EraseRootFromParent_Done,
     /* 1025358 */   // Label 15194: @1025358
     /* 1025358 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025435), // Rule ID 13158 //
     /* 1025363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025402 */     // MIs[0] policy
     /* 1025402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025434 */     // GIR_Coverage, 13158,
     /* 1025434 */     GIR_EraseRootFromParent_Done,
     /* 1025435 */   // Label 15195: @1025435
     /* 1025435 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025512), // Rule ID 13159 //
     /* 1025440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025479 */     // MIs[0] policy
     /* 1025479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025511 */     // GIR_Coverage, 13159,
     /* 1025511 */     GIR_EraseRootFromParent_Done,
     /* 1025512 */   // Label 15196: @1025512
     /* 1025512 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025589), // Rule ID 13162 //
     /* 1025517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025556 */     // MIs[0] policy
     /* 1025556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025588 */     // GIR_Coverage, 13162,
     /* 1025588 */     GIR_EraseRootFromParent_Done,
     /* 1025589 */   // Label 15197: @1025589
     /* 1025589 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025666), // Rule ID 13163 //
     /* 1025594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025633 */     // MIs[0] policy
     /* 1025633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025665 */     // GIR_Coverage, 13163,
     /* 1025665 */     GIR_EraseRootFromParent_Done,
     /* 1025666 */   // Label 15198: @1025666
     /* 1025666 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025743), // Rule ID 13166 //
     /* 1025671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025710 */     // MIs[0] policy
     /* 1025710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025742 */     // GIR_Coverage, 13166,
     /* 1025742 */     GIR_EraseRootFromParent_Done,
     /* 1025743 */   // Label 15199: @1025743
     /* 1025743 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025820), // Rule ID 13167 //
     /* 1025748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025787 */     // MIs[0] policy
     /* 1025787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025819 */     // GIR_Coverage, 13167,
     /* 1025819 */     GIR_EraseRootFromParent_Done,
     /* 1025820 */   // Label 15200: @1025820
     /* 1025820 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025897), // Rule ID 13170 //
     /* 1025825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025864 */     // MIs[0] policy
     /* 1025864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025896 */     // GIR_Coverage, 13170,
     /* 1025896 */     GIR_EraseRootFromParent_Done,
     /* 1025897 */   // Label 15201: @1025897
     /* 1025897 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025974), // Rule ID 13171 //
     /* 1025902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025941 */     // MIs[0] policy
     /* 1025941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025973 */     // GIR_Coverage, 13171,
     /* 1025973 */     GIR_EraseRootFromParent_Done,
     /* 1025974 */   // Label 15202: @1025974
     /* 1025974 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1026051), // Rule ID 13174 //
     /* 1025979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1025993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026018 */     // MIs[0] policy
     /* 1026018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026050 */     // GIR_Coverage, 13174,
     /* 1026050 */     GIR_EraseRootFromParent_Done,
     /* 1026051 */   // Label 15203: @1026051
     /* 1026051 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1026128), // Rule ID 13175 //
     /* 1026056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026095 */     // MIs[0] policy
     /* 1026095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026127 */     // GIR_Coverage, 13175,
     /* 1026127 */     GIR_EraseRootFromParent_Done,
     /* 1026128 */   // Label 15204: @1026128
     /* 1026128 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1026205), // Rule ID 13178 //
     /* 1026133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026172 */     // MIs[0] policy
     /* 1026172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026182 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026204 */     // GIR_Coverage, 13178,
     /* 1026204 */     GIR_EraseRootFromParent_Done,
     /* 1026205 */   // Label 15205: @1026205
     /* 1026205 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1026282), // Rule ID 13179 //
     /* 1026210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026249 */     // MIs[0] policy
     /* 1026249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026281 */     // GIR_Coverage, 13179,
     /* 1026281 */     GIR_EraseRootFromParent_Done,
     /* 1026282 */   // Label 15206: @1026282
     /* 1026282 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1026359), // Rule ID 13182 //
     /* 1026287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026326 */     // MIs[0] policy
     /* 1026326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026358 */     // GIR_Coverage, 13182,
     /* 1026358 */     GIR_EraseRootFromParent_Done,
     /* 1026359 */   // Label 15207: @1026359
     /* 1026359 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026436), // Rule ID 13183 //
     /* 1026364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026403 */     // MIs[0] policy
     /* 1026403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026413 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026435 */     // GIR_Coverage, 13183,
     /* 1026435 */     GIR_EraseRootFromParent_Done,
     /* 1026436 */   // Label 15208: @1026436
     /* 1026436 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026513), // Rule ID 13186 //
     /* 1026441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026480 */     // MIs[0] policy
     /* 1026480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026512 */     // GIR_Coverage, 13186,
     /* 1026512 */     GIR_EraseRootFromParent_Done,
     /* 1026513 */   // Label 15209: @1026513
     /* 1026513 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026590), // Rule ID 13187 //
     /* 1026518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026557 */     // MIs[0] policy
     /* 1026557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026589 */     // GIR_Coverage, 13187,
     /* 1026589 */     GIR_EraseRootFromParent_Done,
     /* 1026590 */   // Label 15210: @1026590
     /* 1026590 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026667), // Rule ID 13190 //
     /* 1026595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026634 */     // MIs[0] policy
     /* 1026634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026666 */     // GIR_Coverage, 13190,
     /* 1026666 */     GIR_EraseRootFromParent_Done,
     /* 1026667 */   // Label 15211: @1026667
     /* 1026667 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026744), // Rule ID 13191 //
     /* 1026672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026711 */     // MIs[0] policy
     /* 1026711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026743 */     // GIR_Coverage, 13191,
     /* 1026743 */     GIR_EraseRootFromParent_Done,
     /* 1026744 */   // Label 15212: @1026744
     /* 1026744 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026821), // Rule ID 13194 //
     /* 1026749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026788 */     // MIs[0] policy
     /* 1026788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026820 */     // GIR_Coverage, 13194,
     /* 1026820 */     GIR_EraseRootFromParent_Done,
     /* 1026821 */   // Label 15213: @1026821
     /* 1026821 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026898), // Rule ID 13195 //
     /* 1026826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026865 */     // MIs[0] policy
     /* 1026865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026897 */     // GIR_Coverage, 13195,
     /* 1026897 */     GIR_EraseRootFromParent_Done,
     /* 1026898 */   // Label 15214: @1026898
     /* 1026898 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026975), // Rule ID 13198 //
     /* 1026903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026942 */     // MIs[0] policy
     /* 1026942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026974 */     // GIR_Coverage, 13198,
     /* 1026974 */     GIR_EraseRootFromParent_Done,
     /* 1026975 */   // Label 15215: @1026975
     /* 1026975 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1027052), // Rule ID 13199 //
     /* 1026980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027019 */     // MIs[0] policy
     /* 1027019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027051 */     // GIR_Coverage, 13199,
     /* 1027051 */     GIR_EraseRootFromParent_Done,
     /* 1027052 */   // Label 15216: @1027052
     /* 1027052 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1027129), // Rule ID 13202 //
     /* 1027057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027096 */     // MIs[0] policy
     /* 1027096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027128 */     // GIR_Coverage, 13202,
     /* 1027128 */     GIR_EraseRootFromParent_Done,
     /* 1027129 */   // Label 15217: @1027129
     /* 1027129 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1027206), // Rule ID 13203 //
     /* 1027134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027173 */     // MIs[0] policy
     /* 1027173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027205 */     // GIR_Coverage, 13203,
     /* 1027205 */     GIR_EraseRootFromParent_Done,
     /* 1027206 */   // Label 15218: @1027206
     /* 1027206 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1027283), // Rule ID 13206 //
     /* 1027211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027250 */     // MIs[0] policy
     /* 1027250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027282 */     // GIR_Coverage, 13206,
     /* 1027282 */     GIR_EraseRootFromParent_Done,
     /* 1027283 */   // Label 15219: @1027283
     /* 1027283 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1027360), // Rule ID 13207 //
     /* 1027288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027327 */     // MIs[0] policy
     /* 1027327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027359 */     // GIR_Coverage, 13207,
     /* 1027359 */     GIR_EraseRootFromParent_Done,
     /* 1027360 */   // Label 15220: @1027360
     /* 1027360 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027437), // Rule ID 13210 //
     /* 1027365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027404 */     // MIs[0] policy
     /* 1027404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027436 */     // GIR_Coverage, 13210,
     /* 1027436 */     GIR_EraseRootFromParent_Done,
     /* 1027437 */   // Label 15221: @1027437
     /* 1027437 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027514), // Rule ID 13211 //
     /* 1027442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027481 */     // MIs[0] policy
     /* 1027481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027513 */     // GIR_Coverage, 13211,
     /* 1027513 */     GIR_EraseRootFromParent_Done,
     /* 1027514 */   // Label 15222: @1027514
     /* 1027514 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027591), // Rule ID 13214 //
     /* 1027519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027558 */     // MIs[0] policy
     /* 1027558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027590 */     // GIR_Coverage, 13214,
     /* 1027590 */     GIR_EraseRootFromParent_Done,
     /* 1027591 */   // Label 15223: @1027591
     /* 1027591 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027668), // Rule ID 13215 //
     /* 1027596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027635 */     // MIs[0] policy
     /* 1027635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027667 */     // GIR_Coverage, 13215,
     /* 1027667 */     GIR_EraseRootFromParent_Done,
     /* 1027668 */   // Label 15224: @1027668
     /* 1027668 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027745), // Rule ID 13218 //
     /* 1027673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027712 */     // MIs[0] policy
     /* 1027712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027744 */     // GIR_Coverage, 13218,
     /* 1027744 */     GIR_EraseRootFromParent_Done,
     /* 1027745 */   // Label 15225: @1027745
     /* 1027745 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027822), // Rule ID 13219 //
     /* 1027750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027789 */     // MIs[0] policy
     /* 1027789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027821 */     // GIR_Coverage, 13219,
     /* 1027821 */     GIR_EraseRootFromParent_Done,
     /* 1027822 */   // Label 15226: @1027822
     /* 1027822 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027899), // Rule ID 13222 //
     /* 1027827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027866 */     // MIs[0] policy
     /* 1027866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027898 */     // GIR_Coverage, 13222,
     /* 1027898 */     GIR_EraseRootFromParent_Done,
     /* 1027899 */   // Label 15227: @1027899
     /* 1027899 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027976), // Rule ID 13223 //
     /* 1027904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027943 */     // MIs[0] policy
     /* 1027943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027975 */     // GIR_Coverage, 13223,
     /* 1027975 */     GIR_EraseRootFromParent_Done,
     /* 1027976 */   // Label 15228: @1027976
     /* 1027976 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1028053), // Rule ID 13226 //
     /* 1027981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1027992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1027995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028020 */     // MIs[0] policy
     /* 1028020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028030 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028052 */     // GIR_Coverage, 13226,
     /* 1028052 */     GIR_EraseRootFromParent_Done,
     /* 1028053 */   // Label 15229: @1028053
     /* 1028053 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1028130), // Rule ID 13227 //
     /* 1028058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028097 */     // MIs[0] policy
     /* 1028097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028129 */     // GIR_Coverage, 13227,
     /* 1028129 */     GIR_EraseRootFromParent_Done,
     /* 1028130 */   // Label 15230: @1028130
     /* 1028130 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1028207), // Rule ID 13230 //
     /* 1028135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028174 */     // MIs[0] policy
     /* 1028174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028206 */     // GIR_Coverage, 13230,
     /* 1028206 */     GIR_EraseRootFromParent_Done,
     /* 1028207 */   // Label 15231: @1028207
     /* 1028207 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1028284), // Rule ID 13231 //
     /* 1028212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028251 */     // MIs[0] policy
     /* 1028251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028283 */     // GIR_Coverage, 13231,
     /* 1028283 */     GIR_EraseRootFromParent_Done,
     /* 1028284 */   // Label 15232: @1028284
     /* 1028284 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1028361), // Rule ID 13234 //
     /* 1028289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1028300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028328 */     // MIs[0] policy
     /* 1028328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028360 */     // GIR_Coverage, 13234,
     /* 1028360 */     GIR_EraseRootFromParent_Done,
     /* 1028361 */   // Label 15233: @1028361
     /* 1028361 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028438), // Rule ID 13235 //
     /* 1028366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1028377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028405 */     // MIs[0] policy
     /* 1028405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028437 */     // GIR_Coverage, 13235,
     /* 1028437 */     GIR_EraseRootFromParent_Done,
     /* 1028438 */   // Label 15234: @1028438
     /* 1028438 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028515), // Rule ID 13238 //
     /* 1028443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028482 */     // MIs[0] policy
     /* 1028482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028514 */     // GIR_Coverage, 13238,
     /* 1028514 */     GIR_EraseRootFromParent_Done,
     /* 1028515 */   // Label 15235: @1028515
     /* 1028515 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028592), // Rule ID 13239 //
     /* 1028520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028559 */     // MIs[0] policy
     /* 1028559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028591 */     // GIR_Coverage, 13239,
     /* 1028591 */     GIR_EraseRootFromParent_Done,
     /* 1028592 */   // Label 15236: @1028592
     /* 1028592 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028669), // Rule ID 13242 //
     /* 1028597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028636 */     // MIs[0] policy
     /* 1028636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028668 */     // GIR_Coverage, 13242,
     /* 1028668 */     GIR_EraseRootFromParent_Done,
     /* 1028669 */   // Label 15237: @1028669
     /* 1028669 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028746), // Rule ID 13243 //
     /* 1028674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028713 */     // MIs[0] policy
     /* 1028713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028745 */     // GIR_Coverage, 13243,
     /* 1028745 */     GIR_EraseRootFromParent_Done,
     /* 1028746 */   // Label 15238: @1028746
     /* 1028746 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028823), // Rule ID 13246 //
     /* 1028751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028790 */     // MIs[0] policy
     /* 1028790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028822 */     // GIR_Coverage, 13246,
     /* 1028822 */     GIR_EraseRootFromParent_Done,
     /* 1028823 */   // Label 15239: @1028823
     /* 1028823 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028900), // Rule ID 13247 //
     /* 1028828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028867 */     // MIs[0] policy
     /* 1028867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028899 */     // GIR_Coverage, 13247,
     /* 1028899 */     GIR_EraseRootFromParent_Done,
     /* 1028900 */   // Label 15240: @1028900
     /* 1028900 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028977), // Rule ID 13250 //
     /* 1028905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028944 */     // MIs[0] policy
     /* 1028944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028976 */     // GIR_Coverage, 13250,
     /* 1028976 */     GIR_EraseRootFromParent_Done,
     /* 1028977 */   // Label 15241: @1028977
     /* 1028977 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1029054), // Rule ID 13251 //
     /* 1028982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029021 */     // MIs[0] policy
     /* 1029021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029053 */     // GIR_Coverage, 13251,
     /* 1029053 */     GIR_EraseRootFromParent_Done,
     /* 1029054 */   // Label 15242: @1029054
     /* 1029054 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1029131), // Rule ID 13254 //
     /* 1029059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029098 */     // MIs[0] policy
     /* 1029098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029130 */     // GIR_Coverage, 13254,
     /* 1029130 */     GIR_EraseRootFromParent_Done,
     /* 1029131 */   // Label 15243: @1029131
     /* 1029131 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1029208), // Rule ID 13255 //
     /* 1029136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029175 */     // MIs[0] policy
     /* 1029175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029207 */     // GIR_Coverage, 13255,
     /* 1029207 */     GIR_EraseRootFromParent_Done,
     /* 1029208 */   // Label 15244: @1029208
     /* 1029208 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1029285), // Rule ID 13258 //
     /* 1029213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029252 */     // MIs[0] policy
     /* 1029252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029284 */     // GIR_Coverage, 13258,
     /* 1029284 */     GIR_EraseRootFromParent_Done,
     /* 1029285 */   // Label 15245: @1029285
     /* 1029285 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1029362), // Rule ID 13259 //
     /* 1029290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029329 */     // MIs[0] policy
     /* 1029329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029361 */     // GIR_Coverage, 13259,
     /* 1029361 */     GIR_EraseRootFromParent_Done,
     /* 1029362 */   // Label 15246: @1029362
     /* 1029362 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029439), // Rule ID 13262 //
     /* 1029367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029406 */     // MIs[0] policy
     /* 1029406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029438 */     // GIR_Coverage, 13262,
     /* 1029438 */     GIR_EraseRootFromParent_Done,
     /* 1029439 */   // Label 15247: @1029439
     /* 1029439 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029516), // Rule ID 13263 //
     /* 1029444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029483 */     // MIs[0] policy
     /* 1029483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029515 */     // GIR_Coverage, 13263,
     /* 1029515 */     GIR_EraseRootFromParent_Done,
     /* 1029516 */   // Label 15248: @1029516
     /* 1029516 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029593), // Rule ID 13266 //
     /* 1029521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029560 */     // MIs[0] policy
     /* 1029560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029592 */     // GIR_Coverage, 13266,
     /* 1029592 */     GIR_EraseRootFromParent_Done,
     /* 1029593 */   // Label 15249: @1029593
     /* 1029593 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029670), // Rule ID 13267 //
     /* 1029598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029637 */     // MIs[0] policy
     /* 1029637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029669 */     // GIR_Coverage, 13267,
     /* 1029669 */     GIR_EraseRootFromParent_Done,
     /* 1029670 */   // Label 15250: @1029670
     /* 1029670 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029747), // Rule ID 13270 //
     /* 1029675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029714 */     // MIs[0] policy
     /* 1029714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029746 */     // GIR_Coverage, 13270,
     /* 1029746 */     GIR_EraseRootFromParent_Done,
     /* 1029747 */   // Label 15251: @1029747
     /* 1029747 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029824), // Rule ID 13271 //
     /* 1029752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029791 */     // MIs[0] policy
     /* 1029791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029801 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029823 */     // GIR_Coverage, 13271,
     /* 1029823 */     GIR_EraseRootFromParent_Done,
     /* 1029824 */   // Label 15252: @1029824
     /* 1029824 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029901), // Rule ID 13274 //
     /* 1029829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029868 */     // MIs[0] policy
     /* 1029868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029900 */     // GIR_Coverage, 13274,
     /* 1029900 */     GIR_EraseRootFromParent_Done,
     /* 1029901 */   // Label 15253: @1029901
     /* 1029901 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029978), // Rule ID 13275 //
     /* 1029906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029945 */     // MIs[0] policy
     /* 1029945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029977 */     // GIR_Coverage, 13275,
     /* 1029977 */     GIR_EraseRootFromParent_Done,
     /* 1029978 */   // Label 15254: @1029978
     /* 1029978 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1030055), // Rule ID 13278 //
     /* 1029983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1029994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1029997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030022 */     // MIs[0] policy
     /* 1030022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030054 */     // GIR_Coverage, 13278,
     /* 1030054 */     GIR_EraseRootFromParent_Done,
     /* 1030055 */   // Label 15255: @1030055
     /* 1030055 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1030132), // Rule ID 13279 //
     /* 1030060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030099 */     // MIs[0] policy
     /* 1030099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030131 */     // GIR_Coverage, 13279,
     /* 1030131 */     GIR_EraseRootFromParent_Done,
     /* 1030132 */   // Label 15256: @1030132
     /* 1030132 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1030209), // Rule ID 13282 //
     /* 1030137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030176 */     // MIs[0] policy
     /* 1030176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030208 */     // GIR_Coverage, 13282,
     /* 1030208 */     GIR_EraseRootFromParent_Done,
     /* 1030209 */   // Label 15257: @1030209
     /* 1030209 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1030286), // Rule ID 13283 //
     /* 1030214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030253 */     // MIs[0] policy
     /* 1030253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030285 */     // GIR_Coverage, 13283,
     /* 1030285 */     GIR_EraseRootFromParent_Done,
     /* 1030286 */   // Label 15258: @1030286
     /* 1030286 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1030363), // Rule ID 13286 //
     /* 1030291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030330 */     // MIs[0] policy
     /* 1030330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030362 */     // GIR_Coverage, 13286,
     /* 1030362 */     GIR_EraseRootFromParent_Done,
     /* 1030363 */   // Label 15259: @1030363
     /* 1030363 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030440), // Rule ID 13287 //
     /* 1030368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030407 */     // MIs[0] policy
     /* 1030407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030439 */     // GIR_Coverage, 13287,
     /* 1030439 */     GIR_EraseRootFromParent_Done,
     /* 1030440 */   // Label 15260: @1030440
     /* 1030440 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030517), // Rule ID 13290 //
     /* 1030445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030484 */     // MIs[0] policy
     /* 1030484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030516 */     // GIR_Coverage, 13290,
     /* 1030516 */     GIR_EraseRootFromParent_Done,
     /* 1030517 */   // Label 15261: @1030517
     /* 1030517 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030594), // Rule ID 13291 //
     /* 1030522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030561 */     // MIs[0] policy
     /* 1030561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030593 */     // GIR_Coverage, 13291,
     /* 1030593 */     GIR_EraseRootFromParent_Done,
     /* 1030594 */   // Label 15262: @1030594
     /* 1030594 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030671), // Rule ID 13294 //
     /* 1030599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030638 */     // MIs[0] policy
     /* 1030638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030670 */     // GIR_Coverage, 13294,
     /* 1030670 */     GIR_EraseRootFromParent_Done,
     /* 1030671 */   // Label 15263: @1030671
     /* 1030671 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030748), // Rule ID 13295 //
     /* 1030676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030715 */     // MIs[0] policy
     /* 1030715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030747 */     // GIR_Coverage, 13295,
     /* 1030747 */     GIR_EraseRootFromParent_Done,
     /* 1030748 */   // Label 15264: @1030748
     /* 1030748 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030825), // Rule ID 13298 //
     /* 1030753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030792 */     // MIs[0] policy
     /* 1030792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030824 */     // GIR_Coverage, 13298,
     /* 1030824 */     GIR_EraseRootFromParent_Done,
     /* 1030825 */   // Label 15265: @1030825
     /* 1030825 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030902), // Rule ID 13299 //
     /* 1030830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030869 */     // MIs[0] policy
     /* 1030869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030901 */     // GIR_Coverage, 13299,
     /* 1030901 */     GIR_EraseRootFromParent_Done,
     /* 1030902 */   // Label 15266: @1030902
     /* 1030902 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030979), // Rule ID 13302 //
     /* 1030907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030946 */     // MIs[0] policy
     /* 1030946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030978 */     // GIR_Coverage, 13302,
     /* 1030978 */     GIR_EraseRootFromParent_Done,
     /* 1030979 */   // Label 15267: @1030979
     /* 1030979 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1031056), // Rule ID 13303 //
     /* 1030984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031023 */     // MIs[0] policy
     /* 1031023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031055 */     // GIR_Coverage, 13303,
     /* 1031055 */     GIR_EraseRootFromParent_Done,
     /* 1031056 */   // Label 15268: @1031056
     /* 1031056 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1031133), // Rule ID 13306 //
     /* 1031061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031100 */     // MIs[0] policy
     /* 1031100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031132 */     // GIR_Coverage, 13306,
     /* 1031132 */     GIR_EraseRootFromParent_Done,
     /* 1031133 */   // Label 15269: @1031133
     /* 1031133 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1031210), // Rule ID 13307 //
     /* 1031138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031177 */     // MIs[0] policy
     /* 1031177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031209 */     // GIR_Coverage, 13307,
     /* 1031209 */     GIR_EraseRootFromParent_Done,
     /* 1031210 */   // Label 15270: @1031210
     /* 1031210 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1031287), // Rule ID 13310 //
     /* 1031215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031254 */     // MIs[0] policy
     /* 1031254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1031267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031286 */     // GIR_Coverage, 13310,
     /* 1031286 */     GIR_EraseRootFromParent_Done,
     /* 1031287 */   // Label 15271: @1031287
     /* 1031287 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1031364), // Rule ID 13311 //
     /* 1031292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031331 */     // MIs[0] policy
     /* 1031331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1031344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031363 */     // GIR_Coverage, 13311,
     /* 1031363 */     GIR_EraseRootFromParent_Done,
     /* 1031364 */   // Label 15272: @1031364
     /* 1031364 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031441), // Rule ID 13314 //
     /* 1031369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031408 */     // MIs[0] policy
     /* 1031408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031440 */     // GIR_Coverage, 13314,
     /* 1031440 */     GIR_EraseRootFromParent_Done,
     /* 1031441 */   // Label 15273: @1031441
     /* 1031441 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031518), // Rule ID 13315 //
     /* 1031446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031485 */     // MIs[0] policy
     /* 1031485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031495 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031517 */     // GIR_Coverage, 13315,
     /* 1031517 */     GIR_EraseRootFromParent_Done,
     /* 1031518 */   // Label 15274: @1031518
     /* 1031518 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031595), // Rule ID 13318 //
     /* 1031523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031562 */     // MIs[0] policy
     /* 1031562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031594 */     // GIR_Coverage, 13318,
     /* 1031594 */     GIR_EraseRootFromParent_Done,
     /* 1031595 */   // Label 15275: @1031595
     /* 1031595 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031672), // Rule ID 13319 //
     /* 1031600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031639 */     // MIs[0] policy
     /* 1031639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031671 */     // GIR_Coverage, 13319,
     /* 1031671 */     GIR_EraseRootFromParent_Done,
     /* 1031672 */   // Label 15276: @1031672
     /* 1031672 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031749), // Rule ID 13322 //
     /* 1031677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031716 */     // MIs[0] policy
     /* 1031716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031748 */     // GIR_Coverage, 13322,
     /* 1031748 */     GIR_EraseRootFromParent_Done,
     /* 1031749 */   // Label 15277: @1031749
     /* 1031749 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031826), // Rule ID 13323 //
     /* 1031754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031793 */     // MIs[0] policy
     /* 1031793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031825 */     // GIR_Coverage, 13323,
     /* 1031825 */     GIR_EraseRootFromParent_Done,
     /* 1031826 */   // Label 15278: @1031826
     /* 1031826 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031903), // Rule ID 13326 //
     /* 1031831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031870 */     // MIs[0] policy
     /* 1031870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031902 */     // GIR_Coverage, 13326,
     /* 1031902 */     GIR_EraseRootFromParent_Done,
     /* 1031903 */   // Label 15279: @1031903
     /* 1031903 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031980), // Rule ID 13327 //
     /* 1031908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031947 */     // MIs[0] policy
     /* 1031947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031979 */     // GIR_Coverage, 13327,
     /* 1031979 */     GIR_EraseRootFromParent_Done,
     /* 1031980 */   // Label 15280: @1031980
     /* 1031980 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1032057), // Rule ID 13330 //
     /* 1031985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032024 */     // MIs[0] policy
     /* 1032024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032056 */     // GIR_Coverage, 13330,
     /* 1032056 */     GIR_EraseRootFromParent_Done,
     /* 1032057 */   // Label 15281: @1032057
     /* 1032057 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1032134), // Rule ID 13331 //
     /* 1032062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032101 */     // MIs[0] policy
     /* 1032101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032133 */     // GIR_Coverage, 13331,
     /* 1032133 */     GIR_EraseRootFromParent_Done,
     /* 1032134 */   // Label 15282: @1032134
     /* 1032134 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1032211), // Rule ID 13334 //
     /* 1032139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032178 */     // MIs[0] policy
     /* 1032178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032210 */     // GIR_Coverage, 13334,
     /* 1032210 */     GIR_EraseRootFromParent_Done,
     /* 1032211 */   // Label 15283: @1032211
     /* 1032211 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1032288), // Rule ID 13335 //
     /* 1032216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032255 */     // MIs[0] policy
     /* 1032255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032287 */     // GIR_Coverage, 13335,
     /* 1032287 */     GIR_EraseRootFromParent_Done,
     /* 1032288 */   // Label 15284: @1032288
     /* 1032288 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1032365), // Rule ID 13338 //
     /* 1032293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032332 */     // MIs[0] policy
     /* 1032332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032364 */     // GIR_Coverage, 13338,
     /* 1032364 */     GIR_EraseRootFromParent_Done,
     /* 1032365 */   // Label 15285: @1032365
     /* 1032365 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032442), // Rule ID 13339 //
     /* 1032370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032409 */     // MIs[0] policy
     /* 1032409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032441 */     // GIR_Coverage, 13339,
     /* 1032441 */     GIR_EraseRootFromParent_Done,
     /* 1032442 */   // Label 15286: @1032442
     /* 1032442 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032519), // Rule ID 13342 //
     /* 1032447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032486 */     // MIs[0] policy
     /* 1032486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032518 */     // GIR_Coverage, 13342,
     /* 1032518 */     GIR_EraseRootFromParent_Done,
     /* 1032519 */   // Label 15287: @1032519
     /* 1032519 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032596), // Rule ID 13343 //
     /* 1032524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032563 */     // MIs[0] policy
     /* 1032563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032595 */     // GIR_Coverage, 13343,
     /* 1032595 */     GIR_EraseRootFromParent_Done,
     /* 1032596 */   // Label 15288: @1032596
     /* 1032596 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032673), // Rule ID 13346 //
     /* 1032601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032640 */     // MIs[0] policy
     /* 1032640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032672 */     // GIR_Coverage, 13346,
     /* 1032672 */     GIR_EraseRootFromParent_Done,
     /* 1032673 */   // Label 15289: @1032673
     /* 1032673 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032750), // Rule ID 13347 //
     /* 1032678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032717 */     // MIs[0] policy
     /* 1032717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032749 */     // GIR_Coverage, 13347,
     /* 1032749 */     GIR_EraseRootFromParent_Done,
     /* 1032750 */   // Label 15290: @1032750
     /* 1032750 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032827), // Rule ID 13350 //
     /* 1032755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032794 */     // MIs[0] policy
     /* 1032794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032826 */     // GIR_Coverage, 13350,
     /* 1032826 */     GIR_EraseRootFromParent_Done,
     /* 1032827 */   // Label 15291: @1032827
     /* 1032827 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032904), // Rule ID 13351 //
     /* 1032832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032871 */     // MIs[0] policy
     /* 1032871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032903 */     // GIR_Coverage, 13351,
     /* 1032903 */     GIR_EraseRootFromParent_Done,
     /* 1032904 */   // Label 15292: @1032904
     /* 1032904 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032981), // Rule ID 13354 //
     /* 1032909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032948 */     // MIs[0] policy
     /* 1032948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032980 */     // GIR_Coverage, 13354,
     /* 1032980 */     GIR_EraseRootFromParent_Done,
     /* 1032981 */   // Label 15293: @1032981
     /* 1032981 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1033058), // Rule ID 13355 //
     /* 1032986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033025 */     // MIs[0] policy
     /* 1033025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033057 */     // GIR_Coverage, 13355,
     /* 1033057 */     GIR_EraseRootFromParent_Done,
     /* 1033058 */   // Label 15294: @1033058
     /* 1033058 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1033135), // Rule ID 13358 //
     /* 1033063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033102 */     // MIs[0] policy
     /* 1033102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033134 */     // GIR_Coverage, 13358,
     /* 1033134 */     GIR_EraseRootFromParent_Done,
     /* 1033135 */   // Label 15295: @1033135
     /* 1033135 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1033212), // Rule ID 13359 //
     /* 1033140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033179 */     // MIs[0] policy
     /* 1033179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033211 */     // GIR_Coverage, 13359,
     /* 1033211 */     GIR_EraseRootFromParent_Done,
     /* 1033212 */   // Label 15296: @1033212
     /* 1033212 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1033289), // Rule ID 13362 //
     /* 1033217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033256 */     // MIs[0] policy
     /* 1033256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033288 */     // GIR_Coverage, 13362,
     /* 1033288 */     GIR_EraseRootFromParent_Done,
     /* 1033289 */   // Label 15297: @1033289
     /* 1033289 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1033366), // Rule ID 13363 //
     /* 1033294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033333 */     // MIs[0] policy
     /* 1033333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033365 */     // GIR_Coverage, 13363,
     /* 1033365 */     GIR_EraseRootFromParent_Done,
     /* 1033366 */   // Label 15298: @1033366
     /* 1033366 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033443), // Rule ID 13366 //
     /* 1033371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033410 */     // MIs[0] policy
     /* 1033410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033442 */     // GIR_Coverage, 13366,
     /* 1033442 */     GIR_EraseRootFromParent_Done,
     /* 1033443 */   // Label 15299: @1033443
     /* 1033443 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033520), // Rule ID 13367 //
     /* 1033448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033487 */     // MIs[0] policy
     /* 1033487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033519 */     // GIR_Coverage, 13367,
     /* 1033519 */     GIR_EraseRootFromParent_Done,
     /* 1033520 */   // Label 15300: @1033520
     /* 1033520 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033597), // Rule ID 13370 //
     /* 1033525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033564 */     // MIs[0] policy
     /* 1033564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033596 */     // GIR_Coverage, 13370,
     /* 1033596 */     GIR_EraseRootFromParent_Done,
     /* 1033597 */   // Label 15301: @1033597
     /* 1033597 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033674), // Rule ID 13371 //
     /* 1033602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033641 */     // MIs[0] policy
     /* 1033641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033651 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033673 */     // GIR_Coverage, 13371,
     /* 1033673 */     GIR_EraseRootFromParent_Done,
     /* 1033674 */   // Label 15302: @1033674
     /* 1033674 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033751), // Rule ID 13374 //
     /* 1033679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033718 */     // MIs[0] policy
     /* 1033718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033750 */     // GIR_Coverage, 13374,
     /* 1033750 */     GIR_EraseRootFromParent_Done,
     /* 1033751 */   // Label 15303: @1033751
     /* 1033751 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033828), // Rule ID 13375 //
     /* 1033756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033795 */     // MIs[0] policy
     /* 1033795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033827 */     // GIR_Coverage, 13375,
     /* 1033827 */     GIR_EraseRootFromParent_Done,
     /* 1033828 */   // Label 15304: @1033828
     /* 1033828 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033905), // Rule ID 13378 //
     /* 1033833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033872 */     // MIs[0] policy
     /* 1033872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033904 */     // GIR_Coverage, 13378,
     /* 1033904 */     GIR_EraseRootFromParent_Done,
     /* 1033905 */   // Label 15305: @1033905
     /* 1033905 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033982), // Rule ID 13379 //
     /* 1033910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033949 */     // MIs[0] policy
     /* 1033949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033981 */     // GIR_Coverage, 13379,
     /* 1033981 */     GIR_EraseRootFromParent_Done,
     /* 1033982 */   // Label 15306: @1033982
     /* 1033982 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1034059), // Rule ID 13382 //
     /* 1033987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1033998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034026 */     // MIs[0] policy
     /* 1034026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034058 */     // GIR_Coverage, 13382,
     /* 1034058 */     GIR_EraseRootFromParent_Done,
     /* 1034059 */   // Label 15307: @1034059
     /* 1034059 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1034136), // Rule ID 13383 //
     /* 1034064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034103 */     // MIs[0] policy
     /* 1034103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034135 */     // GIR_Coverage, 13383,
     /* 1034135 */     GIR_EraseRootFromParent_Done,
     /* 1034136 */   // Label 15308: @1034136
     /* 1034136 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1034213), // Rule ID 13386 //
     /* 1034141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034180 */     // MIs[0] policy
     /* 1034180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034212 */     // GIR_Coverage, 13386,
     /* 1034212 */     GIR_EraseRootFromParent_Done,
     /* 1034213 */   // Label 15309: @1034213
     /* 1034213 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1034290), // Rule ID 13387 //
     /* 1034218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034257 */     // MIs[0] policy
     /* 1034257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034289 */     // GIR_Coverage, 13387,
     /* 1034289 */     GIR_EraseRootFromParent_Done,
     /* 1034290 */   // Label 15310: @1034290
     /* 1034290 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1034367), // Rule ID 13390 //
     /* 1034295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034334 */     // MIs[0] policy
     /* 1034334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034366 */     // GIR_Coverage, 13390,
     /* 1034366 */     GIR_EraseRootFromParent_Done,
     /* 1034367 */   // Label 15311: @1034367
     /* 1034367 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034444), // Rule ID 13391 //
     /* 1034372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034411 */     // MIs[0] policy
     /* 1034411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034443 */     // GIR_Coverage, 13391,
     /* 1034443 */     GIR_EraseRootFromParent_Done,
     /* 1034444 */   // Label 15312: @1034444
     /* 1034444 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034521), // Rule ID 13394 //
     /* 1034449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034488 */     // MIs[0] policy
     /* 1034488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034520 */     // GIR_Coverage, 13394,
     /* 1034520 */     GIR_EraseRootFromParent_Done,
     /* 1034521 */   // Label 15313: @1034521
     /* 1034521 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034598), // Rule ID 13395 //
     /* 1034526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034565 */     // MIs[0] policy
     /* 1034565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034597 */     // GIR_Coverage, 13395,
     /* 1034597 */     GIR_EraseRootFromParent_Done,
     /* 1034598 */   // Label 15314: @1034598
     /* 1034598 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034675), // Rule ID 13398 //
     /* 1034603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034642 */     // MIs[0] policy
     /* 1034642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034674 */     // GIR_Coverage, 13398,
     /* 1034674 */     GIR_EraseRootFromParent_Done,
     /* 1034675 */   // Label 15315: @1034675
     /* 1034675 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034752), // Rule ID 13399 //
     /* 1034680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034719 */     // MIs[0] policy
     /* 1034719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034751 */     // GIR_Coverage, 13399,
     /* 1034751 */     GIR_EraseRootFromParent_Done,
     /* 1034752 */   // Label 15316: @1034752
     /* 1034752 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034829), // Rule ID 13402 //
     /* 1034757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034796 */     // MIs[0] policy
     /* 1034796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034828 */     // GIR_Coverage, 13402,
     /* 1034828 */     GIR_EraseRootFromParent_Done,
     /* 1034829 */   // Label 15317: @1034829
     /* 1034829 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034906), // Rule ID 13403 //
     /* 1034834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034873 */     // MIs[0] policy
     /* 1034873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034905 */     // GIR_Coverage, 13403,
     /* 1034905 */     GIR_EraseRootFromParent_Done,
     /* 1034906 */   // Label 15318: @1034906
     /* 1034906 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034983), // Rule ID 13406 //
     /* 1034911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034950 */     // MIs[0] policy
     /* 1034950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034982 */     // GIR_Coverage, 13406,
     /* 1034982 */     GIR_EraseRootFromParent_Done,
     /* 1034983 */   // Label 15319: @1034983
     /* 1034983 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1035060), // Rule ID 13407 //
     /* 1034988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035027 */     // MIs[0] policy
     /* 1035027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035059 */     // GIR_Coverage, 13407,
     /* 1035059 */     GIR_EraseRootFromParent_Done,
     /* 1035060 */   // Label 15320: @1035060
     /* 1035060 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1035137), // Rule ID 13410 //
     /* 1035065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035104 */     // MIs[0] policy
     /* 1035104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035136 */     // GIR_Coverage, 13410,
     /* 1035136 */     GIR_EraseRootFromParent_Done,
     /* 1035137 */   // Label 15321: @1035137
     /* 1035137 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1035214), // Rule ID 13411 //
     /* 1035142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035181 */     // MIs[0] policy
     /* 1035181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035213 */     // GIR_Coverage, 13411,
     /* 1035213 */     GIR_EraseRootFromParent_Done,
     /* 1035214 */   // Label 15322: @1035214
     /* 1035214 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1035291), // Rule ID 13414 //
     /* 1035219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035258 */     // MIs[0] policy
     /* 1035258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035290 */     // GIR_Coverage, 13414,
     /* 1035290 */     GIR_EraseRootFromParent_Done,
     /* 1035291 */   // Label 15323: @1035291
     /* 1035291 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1035368), // Rule ID 13415 //
     /* 1035296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035335 */     // MIs[0] policy
     /* 1035335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035367 */     // GIR_Coverage, 13415,
     /* 1035367 */     GIR_EraseRootFromParent_Done,
     /* 1035368 */   // Label 15324: @1035368
     /* 1035368 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035445), // Rule ID 13418 //
     /* 1035373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035412 */     // MIs[0] policy
     /* 1035412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035444 */     // GIR_Coverage, 13418,
     /* 1035444 */     GIR_EraseRootFromParent_Done,
     /* 1035445 */   // Label 15325: @1035445
     /* 1035445 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035522), // Rule ID 13419 //
     /* 1035450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035489 */     // MIs[0] policy
     /* 1035489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035521 */     // GIR_Coverage, 13419,
     /* 1035521 */     GIR_EraseRootFromParent_Done,
     /* 1035522 */   // Label 15326: @1035522
     /* 1035522 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035599), // Rule ID 13422 //
     /* 1035527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035566 */     // MIs[0] policy
     /* 1035566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035598 */     // GIR_Coverage, 13422,
     /* 1035598 */     GIR_EraseRootFromParent_Done,
     /* 1035599 */   // Label 15327: @1035599
     /* 1035599 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035676), // Rule ID 13423 //
     /* 1035604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035643 */     // MIs[0] policy
     /* 1035643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035675 */     // GIR_Coverage, 13423,
     /* 1035675 */     GIR_EraseRootFromParent_Done,
     /* 1035676 */   // Label 15328: @1035676
     /* 1035676 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035753), // Rule ID 13426 //
     /* 1035681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035720 */     // MIs[0] policy
     /* 1035720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035752 */     // GIR_Coverage, 13426,
     /* 1035752 */     GIR_EraseRootFromParent_Done,
     /* 1035753 */   // Label 15329: @1035753
     /* 1035753 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035830), // Rule ID 13427 //
     /* 1035758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035797 */     // MIs[0] policy
     /* 1035797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035829 */     // GIR_Coverage, 13427,
     /* 1035829 */     GIR_EraseRootFromParent_Done,
     /* 1035830 */   // Label 15330: @1035830
     /* 1035830 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035907), // Rule ID 13430 //
     /* 1035835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035874 */     // MIs[0] policy
     /* 1035874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035906 */     // GIR_Coverage, 13430,
     /* 1035906 */     GIR_EraseRootFromParent_Done,
     /* 1035907 */   // Label 15331: @1035907
     /* 1035907 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035984), // Rule ID 13431 //
     /* 1035912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035951 */     // MIs[0] policy
     /* 1035951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035983 */     // GIR_Coverage, 13431,
     /* 1035983 */     GIR_EraseRootFromParent_Done,
     /* 1035984 */   // Label 15332: @1035984
     /* 1035984 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1036061), // Rule ID 13434 //
     /* 1035989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036028 */     // MIs[0] policy
     /* 1036028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036060 */     // GIR_Coverage, 13434,
     /* 1036060 */     GIR_EraseRootFromParent_Done,
     /* 1036061 */   // Label 15333: @1036061
     /* 1036061 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1036138), // Rule ID 13435 //
     /* 1036066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036105 */     // MIs[0] policy
     /* 1036105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036137 */     // GIR_Coverage, 13435,
     /* 1036137 */     GIR_EraseRootFromParent_Done,
     /* 1036138 */   // Label 15334: @1036138
     /* 1036138 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1036215), // Rule ID 13438 //
     /* 1036143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036182 */     // MIs[0] policy
     /* 1036182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036214 */     // GIR_Coverage, 13438,
     /* 1036214 */     GIR_EraseRootFromParent_Done,
     /* 1036215 */   // Label 15335: @1036215
     /* 1036215 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1036292), // Rule ID 13439 //
     /* 1036220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036259 */     // MIs[0] policy
     /* 1036259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036291 */     // GIR_Coverage, 13439,
     /* 1036291 */     GIR_EraseRootFromParent_Done,
     /* 1036292 */   // Label 15336: @1036292
     /* 1036292 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1036369), // Rule ID 13442 //
     /* 1036297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036336 */     // MIs[0] policy
     /* 1036336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036368 */     // GIR_Coverage, 13442,
     /* 1036368 */     GIR_EraseRootFromParent_Done,
     /* 1036369 */   // Label 15337: @1036369
     /* 1036369 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036446), // Rule ID 13443 //
     /* 1036374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036413 */     // MIs[0] policy
     /* 1036413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036445 */     // GIR_Coverage, 13443,
     /* 1036445 */     GIR_EraseRootFromParent_Done,
     /* 1036446 */   // Label 15338: @1036446
     /* 1036446 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036523), // Rule ID 13446 //
     /* 1036451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036490 */     // MIs[0] policy
     /* 1036490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036522 */     // GIR_Coverage, 13446,
     /* 1036522 */     GIR_EraseRootFromParent_Done,
     /* 1036523 */   // Label 15339: @1036523
     /* 1036523 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036600), // Rule ID 13447 //
     /* 1036528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036567 */     // MIs[0] policy
     /* 1036567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036599 */     // GIR_Coverage, 13447,
     /* 1036599 */     GIR_EraseRootFromParent_Done,
     /* 1036600 */   // Label 15340: @1036600
     /* 1036600 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036677), // Rule ID 13450 //
     /* 1036605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036644 */     // MIs[0] policy
     /* 1036644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036654 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036676 */     // GIR_Coverage, 13450,
     /* 1036676 */     GIR_EraseRootFromParent_Done,
     /* 1036677 */   // Label 15341: @1036677
     /* 1036677 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036754), // Rule ID 13451 //
     /* 1036682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036721 */     // MIs[0] policy
     /* 1036721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036753 */     // GIR_Coverage, 13451,
     /* 1036753 */     GIR_EraseRootFromParent_Done,
     /* 1036754 */   // Label 15342: @1036754
     /* 1036754 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036831), // Rule ID 13454 //
     /* 1036759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036798 */     // MIs[0] policy
     /* 1036798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036830 */     // GIR_Coverage, 13454,
     /* 1036830 */     GIR_EraseRootFromParent_Done,
     /* 1036831 */   // Label 15343: @1036831
     /* 1036831 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036908), // Rule ID 13455 //
     /* 1036836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036875 */     // MIs[0] policy
     /* 1036875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036907 */     // GIR_Coverage, 13455,
     /* 1036907 */     GIR_EraseRootFromParent_Done,
     /* 1036908 */   // Label 15344: @1036908
     /* 1036908 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036985), // Rule ID 13458 //
     /* 1036913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036952 */     // MIs[0] policy
     /* 1036952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036984 */     // GIR_Coverage, 13458,
     /* 1036984 */     GIR_EraseRootFromParent_Done,
     /* 1036985 */   // Label 15345: @1036985
     /* 1036985 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1037062), // Rule ID 13459 //
     /* 1036990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037029 */     // MIs[0] policy
     /* 1037029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037061 */     // GIR_Coverage, 13459,
     /* 1037061 */     GIR_EraseRootFromParent_Done,
     /* 1037062 */   // Label 15346: @1037062
     /* 1037062 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1037139), // Rule ID 13462 //
     /* 1037067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037106 */     // MIs[0] policy
     /* 1037106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037138 */     // GIR_Coverage, 13462,
     /* 1037138 */     GIR_EraseRootFromParent_Done,
     /* 1037139 */   // Label 15347: @1037139
     /* 1037139 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1037216), // Rule ID 13463 //
     /* 1037144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037183 */     // MIs[0] policy
     /* 1037183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037215 */     // GIR_Coverage, 13463,
     /* 1037215 */     GIR_EraseRootFromParent_Done,
     /* 1037216 */   // Label 15348: @1037216
     /* 1037216 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1037293), // Rule ID 13466 //
     /* 1037221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037260 */     // MIs[0] policy
     /* 1037260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037292 */     // GIR_Coverage, 13466,
     /* 1037292 */     GIR_EraseRootFromParent_Done,
     /* 1037293 */   // Label 15349: @1037293
     /* 1037293 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1037370), // Rule ID 13467 //
     /* 1037298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037337 */     // MIs[0] policy
     /* 1037337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037369 */     // GIR_Coverage, 13467,
     /* 1037369 */     GIR_EraseRootFromParent_Done,
     /* 1037370 */   // Label 15350: @1037370
     /* 1037370 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037447), // Rule ID 13470 //
     /* 1037375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037414 */     // MIs[0] policy
     /* 1037414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037446 */     // GIR_Coverage, 13470,
     /* 1037446 */     GIR_EraseRootFromParent_Done,
     /* 1037447 */   // Label 15351: @1037447
     /* 1037447 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037524), // Rule ID 13471 //
     /* 1037452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037491 */     // MIs[0] policy
     /* 1037491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037523 */     // GIR_Coverage, 13471,
     /* 1037523 */     GIR_EraseRootFromParent_Done,
     /* 1037524 */   // Label 15352: @1037524
     /* 1037524 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037601), // Rule ID 13474 //
     /* 1037529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037568 */     // MIs[0] policy
     /* 1037568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037600 */     // GIR_Coverage, 13474,
     /* 1037600 */     GIR_EraseRootFromParent_Done,
     /* 1037601 */   // Label 15353: @1037601
     /* 1037601 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037678), // Rule ID 13475 //
     /* 1037606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037645 */     // MIs[0] policy
     /* 1037645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037677 */     // GIR_Coverage, 13475,
     /* 1037677 */     GIR_EraseRootFromParent_Done,
     /* 1037678 */   // Label 15354: @1037678
     /* 1037678 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037755), // Rule ID 13478 //
     /* 1037683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037722 */     // MIs[0] policy
     /* 1037722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037754 */     // GIR_Coverage, 13478,
     /* 1037754 */     GIR_EraseRootFromParent_Done,
     /* 1037755 */   // Label 15355: @1037755
     /* 1037755 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037832), // Rule ID 13479 //
     /* 1037760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037799 */     // MIs[0] policy
     /* 1037799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037831 */     // GIR_Coverage, 13479,
     /* 1037831 */     GIR_EraseRootFromParent_Done,
     /* 1037832 */   // Label 15356: @1037832
     /* 1037832 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037909), // Rule ID 13482 //
     /* 1037837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037876 */     // MIs[0] policy
     /* 1037876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037908 */     // GIR_Coverage, 13482,
     /* 1037908 */     GIR_EraseRootFromParent_Done,
     /* 1037909 */   // Label 15357: @1037909
     /* 1037909 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037986), // Rule ID 13483 //
     /* 1037914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037953 */     // MIs[0] policy
     /* 1037953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037985 */     // GIR_Coverage, 13483,
     /* 1037985 */     GIR_EraseRootFromParent_Done,
     /* 1037986 */   // Label 15358: @1037986
     /* 1037986 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1038063), // Rule ID 13486 //
     /* 1037991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038030 */     // MIs[0] policy
     /* 1038030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038062 */     // GIR_Coverage, 13486,
     /* 1038062 */     GIR_EraseRootFromParent_Done,
     /* 1038063 */   // Label 15359: @1038063
     /* 1038063 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1038140), // Rule ID 13487 //
     /* 1038068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038107 */     // MIs[0] policy
     /* 1038107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038139 */     // GIR_Coverage, 13487,
     /* 1038139 */     GIR_EraseRootFromParent_Done,
     /* 1038140 */   // Label 15360: @1038140
     /* 1038140 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1038217), // Rule ID 13490 //
     /* 1038145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038184 */     // MIs[0] policy
     /* 1038184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038216 */     // GIR_Coverage, 13490,
     /* 1038216 */     GIR_EraseRootFromParent_Done,
     /* 1038217 */   // Label 15361: @1038217
     /* 1038217 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1038294), // Rule ID 13491 //
     /* 1038222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038261 */     // MIs[0] policy
     /* 1038261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038293 */     // GIR_Coverage, 13491,
     /* 1038293 */     GIR_EraseRootFromParent_Done,
     /* 1038294 */   // Label 15362: @1038294
     /* 1038294 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1038371), // Rule ID 13494 //
     /* 1038299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038338 */     // MIs[0] policy
     /* 1038338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038370 */     // GIR_Coverage, 13494,
     /* 1038370 */     GIR_EraseRootFromParent_Done,
     /* 1038371 */   // Label 15363: @1038371
     /* 1038371 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038448), // Rule ID 13495 //
     /* 1038376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038415 */     // MIs[0] policy
     /* 1038415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038447 */     // GIR_Coverage, 13495,
     /* 1038447 */     GIR_EraseRootFromParent_Done,
     /* 1038448 */   // Label 15364: @1038448
     /* 1038448 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038525), // Rule ID 13498 //
     /* 1038453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038492 */     // MIs[0] policy
     /* 1038492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038524 */     // GIR_Coverage, 13498,
     /* 1038524 */     GIR_EraseRootFromParent_Done,
     /* 1038525 */   // Label 15365: @1038525
     /* 1038525 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038602), // Rule ID 13499 //
     /* 1038530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038569 */     // MIs[0] policy
     /* 1038569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038601 */     // GIR_Coverage, 13499,
     /* 1038601 */     GIR_EraseRootFromParent_Done,
     /* 1038602 */   // Label 15366: @1038602
     /* 1038602 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038679), // Rule ID 13502 //
     /* 1038607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038646 */     // MIs[0] policy
     /* 1038646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038678 */     // GIR_Coverage, 13502,
     /* 1038678 */     GIR_EraseRootFromParent_Done,
     /* 1038679 */   // Label 15367: @1038679
     /* 1038679 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038756), // Rule ID 13503 //
     /* 1038684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038723 */     // MIs[0] policy
     /* 1038723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038755 */     // GIR_Coverage, 13503,
     /* 1038755 */     GIR_EraseRootFromParent_Done,
     /* 1038756 */   // Label 15368: @1038756
     /* 1038756 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038833), // Rule ID 13506 //
     /* 1038761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038800 */     // MIs[0] policy
     /* 1038800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038832 */     // GIR_Coverage, 13506,
     /* 1038832 */     GIR_EraseRootFromParent_Done,
     /* 1038833 */   // Label 15369: @1038833
     /* 1038833 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038910), // Rule ID 13507 //
     /* 1038838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038877 */     // MIs[0] policy
     /* 1038877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038887 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038909 */     // GIR_Coverage, 13507,
     /* 1038909 */     GIR_EraseRootFromParent_Done,
     /* 1038910 */   // Label 15370: @1038910
     /* 1038910 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038987), // Rule ID 13510 //
     /* 1038915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038954 */     // MIs[0] policy
     /* 1038954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038986 */     // GIR_Coverage, 13510,
     /* 1038986 */     GIR_EraseRootFromParent_Done,
     /* 1038987 */   // Label 15371: @1038987
     /* 1038987 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1039064), // Rule ID 13511 //
     /* 1038992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039031 */     // MIs[0] policy
     /* 1039031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039063 */     // GIR_Coverage, 13511,
     /* 1039063 */     GIR_EraseRootFromParent_Done,
     /* 1039064 */   // Label 15372: @1039064
     /* 1039064 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1039141), // Rule ID 13514 //
     /* 1039069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039108 */     // MIs[0] policy
     /* 1039108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039140 */     // GIR_Coverage, 13514,
     /* 1039140 */     GIR_EraseRootFromParent_Done,
     /* 1039141 */   // Label 15373: @1039141
     /* 1039141 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1039218), // Rule ID 13515 //
     /* 1039146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039185 */     // MIs[0] policy
     /* 1039185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039217 */     // GIR_Coverage, 13515,
     /* 1039217 */     GIR_EraseRootFromParent_Done,
     /* 1039218 */   // Label 15374: @1039218
     /* 1039218 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1039295), // Rule ID 13518 //
     /* 1039223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039262 */     // MIs[0] policy
     /* 1039262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039294 */     // GIR_Coverage, 13518,
     /* 1039294 */     GIR_EraseRootFromParent_Done,
     /* 1039295 */   // Label 15375: @1039295
     /* 1039295 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1039372), // Rule ID 13519 //
     /* 1039300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039339 */     // MIs[0] policy
     /* 1039339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039371 */     // GIR_Coverage, 13519,
     /* 1039371 */     GIR_EraseRootFromParent_Done,
     /* 1039372 */   // Label 15376: @1039372
     /* 1039372 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039449), // Rule ID 13522 //
     /* 1039377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039416 */     // MIs[0] policy
     /* 1039416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039448 */     // GIR_Coverage, 13522,
     /* 1039448 */     GIR_EraseRootFromParent_Done,
     /* 1039449 */   // Label 15377: @1039449
     /* 1039449 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039526), // Rule ID 13523 //
     /* 1039454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039493 */     // MIs[0] policy
     /* 1039493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039525 */     // GIR_Coverage, 13523,
     /* 1039525 */     GIR_EraseRootFromParent_Done,
     /* 1039526 */   // Label 15378: @1039526
     /* 1039526 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039603), // Rule ID 13526 //
     /* 1039531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039570 */     // MIs[0] policy
     /* 1039570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039602 */     // GIR_Coverage, 13526,
     /* 1039602 */     GIR_EraseRootFromParent_Done,
     /* 1039603 */   // Label 15379: @1039603
     /* 1039603 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039680), // Rule ID 13527 //
     /* 1039608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039647 */     // MIs[0] policy
     /* 1039647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039657 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039679 */     // GIR_Coverage, 13527,
     /* 1039679 */     GIR_EraseRootFromParent_Done,
     /* 1039680 */   // Label 15380: @1039680
     /* 1039680 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039757), // Rule ID 13530 //
     /* 1039685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039724 */     // MIs[0] policy
     /* 1039724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039756 */     // GIR_Coverage, 13530,
     /* 1039756 */     GIR_EraseRootFromParent_Done,
     /* 1039757 */   // Label 15381: @1039757
     /* 1039757 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039834), // Rule ID 13531 //
     /* 1039762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039801 */     // MIs[0] policy
     /* 1039801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039833 */     // GIR_Coverage, 13531,
     /* 1039833 */     GIR_EraseRootFromParent_Done,
     /* 1039834 */   // Label 15382: @1039834
     /* 1039834 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039911), // Rule ID 13534 //
     /* 1039839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039878 */     // MIs[0] policy
     /* 1039878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039910 */     // GIR_Coverage, 13534,
     /* 1039910 */     GIR_EraseRootFromParent_Done,
     /* 1039911 */   // Label 15383: @1039911
     /* 1039911 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039988), // Rule ID 13535 //
     /* 1039916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039955 */     // MIs[0] policy
     /* 1039955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039987 */     // GIR_Coverage, 13535,
     /* 1039987 */     GIR_EraseRootFromParent_Done,
     /* 1039988 */   // Label 15384: @1039988
     /* 1039988 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1040065), // Rule ID 13538 //
     /* 1039993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040032 */     // MIs[0] policy
     /* 1040032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040064 */     // GIR_Coverage, 13538,
     /* 1040064 */     GIR_EraseRootFromParent_Done,
     /* 1040065 */   // Label 15385: @1040065
     /* 1040065 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1040142), // Rule ID 13539 //
     /* 1040070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040109 */     // MIs[0] policy
     /* 1040109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040141 */     // GIR_Coverage, 13539,
     /* 1040141 */     GIR_EraseRootFromParent_Done,
     /* 1040142 */   // Label 15386: @1040142
     /* 1040142 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1040219), // Rule ID 13542 //
     /* 1040147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040186 */     // MIs[0] policy
     /* 1040186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040218 */     // GIR_Coverage, 13542,
     /* 1040218 */     GIR_EraseRootFromParent_Done,
     /* 1040219 */   // Label 15387: @1040219
     /* 1040219 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1040296), // Rule ID 13543 //
     /* 1040224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040263 */     // MIs[0] policy
     /* 1040263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040295 */     // GIR_Coverage, 13543,
     /* 1040295 */     GIR_EraseRootFromParent_Done,
     /* 1040296 */   // Label 15388: @1040296
     /* 1040296 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1040373), // Rule ID 13546 //
     /* 1040301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040340 */     // MIs[0] policy
     /* 1040340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040372 */     // GIR_Coverage, 13546,
     /* 1040372 */     GIR_EraseRootFromParent_Done,
     /* 1040373 */   // Label 15389: @1040373
     /* 1040373 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040450), // Rule ID 13547 //
     /* 1040378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040417 */     // MIs[0] policy
     /* 1040417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040449 */     // GIR_Coverage, 13547,
     /* 1040449 */     GIR_EraseRootFromParent_Done,
     /* 1040450 */   // Label 15390: @1040450
     /* 1040450 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040527), // Rule ID 13550 //
     /* 1040455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040494 */     // MIs[0] policy
     /* 1040494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040526 */     // GIR_Coverage, 13550,
     /* 1040526 */     GIR_EraseRootFromParent_Done,
     /* 1040527 */   // Label 15391: @1040527
     /* 1040527 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040604), // Rule ID 13551 //
     /* 1040532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040571 */     // MIs[0] policy
     /* 1040571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040603 */     // GIR_Coverage, 13551,
     /* 1040603 */     GIR_EraseRootFromParent_Done,
     /* 1040604 */   // Label 15392: @1040604
     /* 1040604 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040681), // Rule ID 13554 //
     /* 1040609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040648 */     // MIs[0] policy
     /* 1040648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040680 */     // GIR_Coverage, 13554,
     /* 1040680 */     GIR_EraseRootFromParent_Done,
     /* 1040681 */   // Label 15393: @1040681
     /* 1040681 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040758), // Rule ID 13555 //
     /* 1040686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040725 */     // MIs[0] policy
     /* 1040725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040757 */     // GIR_Coverage, 13555,
     /* 1040757 */     GIR_EraseRootFromParent_Done,
     /* 1040758 */   // Label 15394: @1040758
     /* 1040758 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040835), // Rule ID 13558 //
     /* 1040763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040802 */     // MIs[0] policy
     /* 1040802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040834 */     // GIR_Coverage, 13558,
     /* 1040834 */     GIR_EraseRootFromParent_Done,
     /* 1040835 */   // Label 15395: @1040835
     /* 1040835 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040912), // Rule ID 13559 //
     /* 1040840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040879 */     // MIs[0] policy
     /* 1040879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040911 */     // GIR_Coverage, 13559,
     /* 1040911 */     GIR_EraseRootFromParent_Done,
     /* 1040912 */   // Label 15396: @1040912
     /* 1040912 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040989), // Rule ID 13562 //
     /* 1040917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040956 */     // MIs[0] policy
     /* 1040956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040988 */     // GIR_Coverage, 13562,
     /* 1040988 */     GIR_EraseRootFromParent_Done,
     /* 1040989 */   // Label 15397: @1040989
     /* 1040989 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1041066), // Rule ID 13563 //
     /* 1040994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041033 */     // MIs[0] policy
     /* 1041033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041065 */     // GIR_Coverage, 13563,
     /* 1041065 */     GIR_EraseRootFromParent_Done,
     /* 1041066 */   // Label 15398: @1041066
     /* 1041066 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1041143), // Rule ID 13566 //
     /* 1041071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041110 */     // MIs[0] policy
     /* 1041110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041142 */     // GIR_Coverage, 13566,
     /* 1041142 */     GIR_EraseRootFromParent_Done,
     /* 1041143 */   // Label 15399: @1041143
     /* 1041143 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1041220), // Rule ID 13567 //
     /* 1041148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041187 */     // MIs[0] policy
     /* 1041187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041219 */     // GIR_Coverage, 13567,
     /* 1041219 */     GIR_EraseRootFromParent_Done,
     /* 1041220 */   // Label 15400: @1041220
     /* 1041220 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1041297), // Rule ID 13570 //
     /* 1041225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041264 */     // MIs[0] policy
     /* 1041264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041296 */     // GIR_Coverage, 13570,
     /* 1041296 */     GIR_EraseRootFromParent_Done,
     /* 1041297 */   // Label 15401: @1041297
     /* 1041297 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1041374), // Rule ID 13571 //
     /* 1041302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041341 */     // MIs[0] policy
     /* 1041341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041373 */     // GIR_Coverage, 13571,
     /* 1041373 */     GIR_EraseRootFromParent_Done,
     /* 1041374 */   // Label 15402: @1041374
     /* 1041374 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041451), // Rule ID 13574 //
     /* 1041379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041418 */     // MIs[0] policy
     /* 1041418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041450 */     // GIR_Coverage, 13574,
     /* 1041450 */     GIR_EraseRootFromParent_Done,
     /* 1041451 */   // Label 15403: @1041451
     /* 1041451 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041528), // Rule ID 13575 //
     /* 1041456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041495 */     // MIs[0] policy
     /* 1041495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041527 */     // GIR_Coverage, 13575,
     /* 1041527 */     GIR_EraseRootFromParent_Done,
     /* 1041528 */   // Label 15404: @1041528
     /* 1041528 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041605), // Rule ID 13578 //
     /* 1041533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041572 */     // MIs[0] policy
     /* 1041572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041604 */     // GIR_Coverage, 13578,
     /* 1041604 */     GIR_EraseRootFromParent_Done,
     /* 1041605 */   // Label 15405: @1041605
     /* 1041605 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041682), // Rule ID 13579 //
     /* 1041610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041649 */     // MIs[0] policy
     /* 1041649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041681 */     // GIR_Coverage, 13579,
     /* 1041681 */     GIR_EraseRootFromParent_Done,
     /* 1041682 */   // Label 15406: @1041682
     /* 1041682 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041759), // Rule ID 13582 //
     /* 1041687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041726 */     // MIs[0] policy
     /* 1041726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041758 */     // GIR_Coverage, 13582,
     /* 1041758 */     GIR_EraseRootFromParent_Done,
     /* 1041759 */   // Label 15407: @1041759
     /* 1041759 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041836), // Rule ID 13583 //
     /* 1041764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041803 */     // MIs[0] policy
     /* 1041803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041835 */     // GIR_Coverage, 13583,
     /* 1041835 */     GIR_EraseRootFromParent_Done,
     /* 1041836 */   // Label 15408: @1041836
     /* 1041836 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041913), // Rule ID 13586 //
     /* 1041841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041880 */     // MIs[0] policy
     /* 1041880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041912 */     // GIR_Coverage, 13586,
     /* 1041912 */     GIR_EraseRootFromParent_Done,
     /* 1041913 */   // Label 15409: @1041913
     /* 1041913 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041990), // Rule ID 13587 //
     /* 1041918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041957 */     // MIs[0] policy
     /* 1041957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041989 */     // GIR_Coverage, 13587,
     /* 1041989 */     GIR_EraseRootFromParent_Done,
     /* 1041990 */   // Label 15410: @1041990
     /* 1041990 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1042067), // Rule ID 13590 //
     /* 1041995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042034 */     // MIs[0] policy
     /* 1042034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042066 */     // GIR_Coverage, 13590,
     /* 1042066 */     GIR_EraseRootFromParent_Done,
     /* 1042067 */   // Label 15411: @1042067
     /* 1042067 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1042144), // Rule ID 13591 //
     /* 1042072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042111 */     // MIs[0] policy
     /* 1042111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042143 */     // GIR_Coverage, 13591,
     /* 1042143 */     GIR_EraseRootFromParent_Done,
     /* 1042144 */   // Label 15412: @1042144
     /* 1042144 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1042221), // Rule ID 13594 //
     /* 1042149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042188 */     // MIs[0] policy
     /* 1042188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042220 */     // GIR_Coverage, 13594,
     /* 1042220 */     GIR_EraseRootFromParent_Done,
     /* 1042221 */   // Label 15413: @1042221
     /* 1042221 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1042298), // Rule ID 13595 //
     /* 1042226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042265 */     // MIs[0] policy
     /* 1042265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042297 */     // GIR_Coverage, 13595,
     /* 1042297 */     GIR_EraseRootFromParent_Done,
     /* 1042298 */   // Label 15414: @1042298
     /* 1042298 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1042375), // Rule ID 13598 //
     /* 1042303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042342 */     // MIs[0] policy
     /* 1042342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042374 */     // GIR_Coverage, 13598,
     /* 1042374 */     GIR_EraseRootFromParent_Done,
     /* 1042375 */   // Label 15415: @1042375
     /* 1042375 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042452), // Rule ID 13599 //
     /* 1042380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042419 */     // MIs[0] policy
     /* 1042419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042451 */     // GIR_Coverage, 13599,
     /* 1042451 */     GIR_EraseRootFromParent_Done,
     /* 1042452 */   // Label 15416: @1042452
     /* 1042452 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042529), // Rule ID 13602 //
     /* 1042457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042496 */     // MIs[0] policy
     /* 1042496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042528 */     // GIR_Coverage, 13602,
     /* 1042528 */     GIR_EraseRootFromParent_Done,
     /* 1042529 */   // Label 15417: @1042529
     /* 1042529 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042606), // Rule ID 13603 //
     /* 1042534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042573 */     // MIs[0] policy
     /* 1042573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042605 */     // GIR_Coverage, 13603,
     /* 1042605 */     GIR_EraseRootFromParent_Done,
     /* 1042606 */   // Label 15418: @1042606
     /* 1042606 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042683), // Rule ID 13606 //
     /* 1042611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042650 */     // MIs[0] policy
     /* 1042650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042660 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042682 */     // GIR_Coverage, 13606,
     /* 1042682 */     GIR_EraseRootFromParent_Done,
     /* 1042683 */   // Label 15419: @1042683
     /* 1042683 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042760), // Rule ID 13607 //
     /* 1042688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042727 */     // MIs[0] policy
     /* 1042727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042759 */     // GIR_Coverage, 13607,
     /* 1042759 */     GIR_EraseRootFromParent_Done,
     /* 1042760 */   // Label 15420: @1042760
     /* 1042760 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042837), // Rule ID 13610 //
     /* 1042765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042804 */     // MIs[0] policy
     /* 1042804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042836 */     // GIR_Coverage, 13610,
     /* 1042836 */     GIR_EraseRootFromParent_Done,
     /* 1042837 */   // Label 15421: @1042837
     /* 1042837 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042914), // Rule ID 13611 //
     /* 1042842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042881 */     // MIs[0] policy
     /* 1042881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042913 */     // GIR_Coverage, 13611,
     /* 1042913 */     GIR_EraseRootFromParent_Done,
     /* 1042914 */   // Label 15422: @1042914
     /* 1042914 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042991), // Rule ID 13614 //
     /* 1042919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042958 */     // MIs[0] policy
     /* 1042958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042990 */     // GIR_Coverage, 13614,
     /* 1042990 */     GIR_EraseRootFromParent_Done,
     /* 1042991 */   // Label 15423: @1042991
     /* 1042991 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1043068), // Rule ID 13615 //
     /* 1042996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043035 */     // MIs[0] policy
     /* 1043035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043067 */     // GIR_Coverage, 13615,
     /* 1043067 */     GIR_EraseRootFromParent_Done,
     /* 1043068 */   // Label 15424: @1043068
     /* 1043068 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1043145), // Rule ID 13618 //
     /* 1043073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043112 */     // MIs[0] policy
     /* 1043112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043144 */     // GIR_Coverage, 13618,
     /* 1043144 */     GIR_EraseRootFromParent_Done,
     /* 1043145 */   // Label 15425: @1043145
     /* 1043145 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1043222), // Rule ID 13619 //
     /* 1043150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043189 */     // MIs[0] policy
     /* 1043189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043221 */     // GIR_Coverage, 13619,
     /* 1043221 */     GIR_EraseRootFromParent_Done,
     /* 1043222 */   // Label 15426: @1043222
     /* 1043222 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1043299), // Rule ID 13622 //
     /* 1043227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043266 */     // MIs[0] policy
     /* 1043266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043298 */     // GIR_Coverage, 13622,
     /* 1043298 */     GIR_EraseRootFromParent_Done,
     /* 1043299 */   // Label 15427: @1043299
     /* 1043299 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1043376), // Rule ID 13623 //
     /* 1043304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043343 */     // MIs[0] policy
     /* 1043343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043375 */     // GIR_Coverage, 13623,
     /* 1043375 */     GIR_EraseRootFromParent_Done,
     /* 1043376 */   // Label 15428: @1043376
     /* 1043376 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043453), // Rule ID 13626 //
     /* 1043381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043420 */     // MIs[0] policy
     /* 1043420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043430 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043452 */     // GIR_Coverage, 13626,
     /* 1043452 */     GIR_EraseRootFromParent_Done,
     /* 1043453 */   // Label 15429: @1043453
     /* 1043453 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043530), // Rule ID 13627 //
     /* 1043458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043497 */     // MIs[0] policy
     /* 1043497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043529 */     // GIR_Coverage, 13627,
     /* 1043529 */     GIR_EraseRootFromParent_Done,
     /* 1043530 */   // Label 15430: @1043530
     /* 1043530 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043607), // Rule ID 13630 //
     /* 1043535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043574 */     // MIs[0] policy
     /* 1043574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043606 */     // GIR_Coverage, 13630,
     /* 1043606 */     GIR_EraseRootFromParent_Done,
     /* 1043607 */   // Label 15431: @1043607
     /* 1043607 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043684), // Rule ID 13631 //
     /* 1043612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043651 */     // MIs[0] policy
     /* 1043651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043683 */     // GIR_Coverage, 13631,
     /* 1043683 */     GIR_EraseRootFromParent_Done,
     /* 1043684 */   // Label 15432: @1043684
     /* 1043684 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043761), // Rule ID 13634 //
     /* 1043689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043728 */     // MIs[0] policy
     /* 1043728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043760 */     // GIR_Coverage, 13634,
     /* 1043760 */     GIR_EraseRootFromParent_Done,
     /* 1043761 */   // Label 15433: @1043761
     /* 1043761 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043838), // Rule ID 13635 //
     /* 1043766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043805 */     // MIs[0] policy
     /* 1043805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043815 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043837 */     // GIR_Coverage, 13635,
     /* 1043837 */     GIR_EraseRootFromParent_Done,
     /* 1043838 */   // Label 15434: @1043838
     /* 1043838 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043915), // Rule ID 13638 //
     /* 1043843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043882 */     // MIs[0] policy
     /* 1043882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043914 */     // GIR_Coverage, 13638,
     /* 1043914 */     GIR_EraseRootFromParent_Done,
     /* 1043915 */   // Label 15435: @1043915
     /* 1043915 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043992), // Rule ID 13639 //
     /* 1043920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043959 */     // MIs[0] policy
     /* 1043959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043991 */     // GIR_Coverage, 13639,
     /* 1043991 */     GIR_EraseRootFromParent_Done,
     /* 1043992 */   // Label 15436: @1043992
     /* 1043992 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1044069), // Rule ID 13642 //
     /* 1043997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044036 */     // MIs[0] policy
     /* 1044036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044068 */     // GIR_Coverage, 13642,
     /* 1044068 */     GIR_EraseRootFromParent_Done,
     /* 1044069 */   // Label 15437: @1044069
     /* 1044069 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1044146), // Rule ID 13643 //
     /* 1044074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044113 */     // MIs[0] policy
     /* 1044113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044145 */     // GIR_Coverage, 13643,
     /* 1044145 */     GIR_EraseRootFromParent_Done,
     /* 1044146 */   // Label 15438: @1044146
     /* 1044146 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1044223), // Rule ID 13646 //
     /* 1044151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044190 */     // MIs[0] policy
     /* 1044190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044222 */     // GIR_Coverage, 13646,
     /* 1044222 */     GIR_EraseRootFromParent_Done,
     /* 1044223 */   // Label 15439: @1044223
     /* 1044223 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1044300), // Rule ID 13647 //
     /* 1044228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044267 */     // MIs[0] policy
     /* 1044267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044299 */     // GIR_Coverage, 13647,
     /* 1044299 */     GIR_EraseRootFromParent_Done,
     /* 1044300 */   // Label 15440: @1044300
     /* 1044300 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1044377), // Rule ID 13650 //
     /* 1044305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044344 */     // MIs[0] policy
     /* 1044344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044376 */     // GIR_Coverage, 13650,
     /* 1044376 */     GIR_EraseRootFromParent_Done,
     /* 1044377 */   // Label 15441: @1044377
     /* 1044377 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044454), // Rule ID 13651 //
     /* 1044382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044421 */     // MIs[0] policy
     /* 1044421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044431 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044453 */     // GIR_Coverage, 13651,
     /* 1044453 */     GIR_EraseRootFromParent_Done,
     /* 1044454 */   // Label 15442: @1044454
     /* 1044454 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044531), // Rule ID 13654 //
     /* 1044459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044498 */     // MIs[0] policy
     /* 1044498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044530 */     // GIR_Coverage, 13654,
     /* 1044530 */     GIR_EraseRootFromParent_Done,
     /* 1044531 */   // Label 15443: @1044531
     /* 1044531 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044608), // Rule ID 13655 //
     /* 1044536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044575 */     // MIs[0] policy
     /* 1044575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044607 */     // GIR_Coverage, 13655,
     /* 1044607 */     GIR_EraseRootFromParent_Done,
     /* 1044608 */   // Label 15444: @1044608
     /* 1044608 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044685), // Rule ID 13658 //
     /* 1044613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044652 */     // MIs[0] policy
     /* 1044652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044684 */     // GIR_Coverage, 13658,
     /* 1044684 */     GIR_EraseRootFromParent_Done,
     /* 1044685 */   // Label 15445: @1044685
     /* 1044685 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044762), // Rule ID 13659 //
     /* 1044690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044729 */     // MIs[0] policy
     /* 1044729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044761 */     // GIR_Coverage, 13659,
     /* 1044761 */     GIR_EraseRootFromParent_Done,
     /* 1044762 */   // Label 15446: @1044762
     /* 1044762 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044839), // Rule ID 13662 //
     /* 1044767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044806 */     // MIs[0] policy
     /* 1044806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044838 */     // GIR_Coverage, 13662,
     /* 1044838 */     GIR_EraseRootFromParent_Done,
     /* 1044839 */   // Label 15447: @1044839
     /* 1044839 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044916), // Rule ID 13663 //
     /* 1044844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044883 */     // MIs[0] policy
     /* 1044883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044893 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044915 */     // GIR_Coverage, 13663,
     /* 1044915 */     GIR_EraseRootFromParent_Done,
     /* 1044916 */   // Label 15448: @1044916
     /* 1044916 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044993), // Rule ID 13666 //
     /* 1044921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044960 */     // MIs[0] policy
     /* 1044960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044992 */     // GIR_Coverage, 13666,
     /* 1044992 */     GIR_EraseRootFromParent_Done,
     /* 1044993 */   // Label 15449: @1044993
     /* 1044993 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1045070), // Rule ID 13667 //
     /* 1044998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045037 */     // MIs[0] policy
     /* 1045037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045069 */     // GIR_Coverage, 13667,
     /* 1045069 */     GIR_EraseRootFromParent_Done,
     /* 1045070 */   // Label 15450: @1045070
     /* 1045070 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1045147), // Rule ID 13670 //
     /* 1045075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045114 */     // MIs[0] policy
     /* 1045114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045146 */     // GIR_Coverage, 13670,
     /* 1045146 */     GIR_EraseRootFromParent_Done,
     /* 1045147 */   // Label 15451: @1045147
     /* 1045147 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1045224), // Rule ID 13671 //
     /* 1045152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045191 */     // MIs[0] policy
     /* 1045191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045223 */     // GIR_Coverage, 13671,
     /* 1045223 */     GIR_EraseRootFromParent_Done,
     /* 1045224 */   // Label 15452: @1045224
     /* 1045224 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1045301), // Rule ID 13674 //
     /* 1045229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045268 */     // MIs[0] policy
     /* 1045268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045300 */     // GIR_Coverage, 13674,
     /* 1045300 */     GIR_EraseRootFromParent_Done,
     /* 1045301 */   // Label 15453: @1045301
     /* 1045301 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1045378), // Rule ID 13675 //
     /* 1045306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045345 */     // MIs[0] policy
     /* 1045345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045377 */     // GIR_Coverage, 13675,
     /* 1045377 */     GIR_EraseRootFromParent_Done,
     /* 1045378 */   // Label 15454: @1045378
     /* 1045378 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045455), // Rule ID 13678 //
     /* 1045383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045422 */     // MIs[0] policy
     /* 1045422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045454 */     // GIR_Coverage, 13678,
     /* 1045454 */     GIR_EraseRootFromParent_Done,
     /* 1045455 */   // Label 15455: @1045455
     /* 1045455 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045532), // Rule ID 13679 //
     /* 1045460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045499 */     // MIs[0] policy
     /* 1045499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045531 */     // GIR_Coverage, 13679,
     /* 1045531 */     GIR_EraseRootFromParent_Done,
     /* 1045532 */   // Label 15456: @1045532
     /* 1045532 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045609), // Rule ID 13682 //
     /* 1045537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045576 */     // MIs[0] policy
     /* 1045576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045608 */     // GIR_Coverage, 13682,
     /* 1045608 */     GIR_EraseRootFromParent_Done,
     /* 1045609 */   // Label 15457: @1045609
     /* 1045609 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045686), // Rule ID 13683 //
     /* 1045614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045653 */     // MIs[0] policy
     /* 1045653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045685 */     // GIR_Coverage, 13683,
     /* 1045685 */     GIR_EraseRootFromParent_Done,
     /* 1045686 */   // Label 15458: @1045686
     /* 1045686 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045763), // Rule ID 13686 //
     /* 1045691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045730 */     // MIs[0] policy
     /* 1045730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045762 */     // GIR_Coverage, 13686,
     /* 1045762 */     GIR_EraseRootFromParent_Done,
     /* 1045763 */   // Label 15459: @1045763
     /* 1045763 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045840), // Rule ID 13687 //
     /* 1045768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045807 */     // MIs[0] policy
     /* 1045807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045839 */     // GIR_Coverage, 13687,
     /* 1045839 */     GIR_EraseRootFromParent_Done,
     /* 1045840 */   // Label 15460: @1045840
     /* 1045840 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045917), // Rule ID 13690 //
     /* 1045845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045884 */     // MIs[0] policy
     /* 1045884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045916 */     // GIR_Coverage, 13690,
     /* 1045916 */     GIR_EraseRootFromParent_Done,
     /* 1045917 */   // Label 15461: @1045917
     /* 1045917 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045994), // Rule ID 13691 //
     /* 1045922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045961 */     // MIs[0] policy
     /* 1045961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045993 */     // GIR_Coverage, 13691,
     /* 1045993 */     GIR_EraseRootFromParent_Done,
     /* 1045994 */   // Label 15462: @1045994
     /* 1045994 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1046071), // Rule ID 13694 //
     /* 1045999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046038 */     // MIs[0] policy
     /* 1046038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046070 */     // GIR_Coverage, 13694,
     /* 1046070 */     GIR_EraseRootFromParent_Done,
     /* 1046071 */   // Label 15463: @1046071
     /* 1046071 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1046148), // Rule ID 13695 //
     /* 1046076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046115 */     // MIs[0] policy
     /* 1046115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046147 */     // GIR_Coverage, 13695,
     /* 1046147 */     GIR_EraseRootFromParent_Done,
     /* 1046148 */   // Label 15464: @1046148
     /* 1046148 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1046225), // Rule ID 13698 //
     /* 1046153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046192 */     // MIs[0] policy
     /* 1046192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046224 */     // GIR_Coverage, 13698,
     /* 1046224 */     GIR_EraseRootFromParent_Done,
     /* 1046225 */   // Label 15465: @1046225
     /* 1046225 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1046302), // Rule ID 13699 //
     /* 1046230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046269 */     // MIs[0] policy
     /* 1046269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046301 */     // GIR_Coverage, 13699,
     /* 1046301 */     GIR_EraseRootFromParent_Done,
     /* 1046302 */   // Label 15466: @1046302
     /* 1046302 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046379), // Rule ID 13702 //
     /* 1046307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046346 */     // MIs[0] policy
     /* 1046346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046378 */     // GIR_Coverage, 13702,
     /* 1046378 */     GIR_EraseRootFromParent_Done,
     /* 1046379 */   // Label 15467: @1046379
     /* 1046379 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046456), // Rule ID 13703 //
     /* 1046384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046423 */     // MIs[0] policy
     /* 1046423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046455 */     // GIR_Coverage, 13703,
     /* 1046455 */     GIR_EraseRootFromParent_Done,
     /* 1046456 */   // Label 15468: @1046456
     /* 1046456 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046533), // Rule ID 13706 //
     /* 1046461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046500 */     // MIs[0] policy
     /* 1046500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046532 */     // GIR_Coverage, 13706,
     /* 1046532 */     GIR_EraseRootFromParent_Done,
     /* 1046533 */   // Label 15469: @1046533
     /* 1046533 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046610), // Rule ID 13707 //
     /* 1046538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046577 */     // MIs[0] policy
     /* 1046577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046609 */     // GIR_Coverage, 13707,
     /* 1046609 */     GIR_EraseRootFromParent_Done,
     /* 1046610 */   // Label 15470: @1046610
     /* 1046610 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046687), // Rule ID 13710 //
     /* 1046615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046654 */     // MIs[0] policy
     /* 1046654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046686 */     // GIR_Coverage, 13710,
     /* 1046686 */     GIR_EraseRootFromParent_Done,
     /* 1046687 */   // Label 15471: @1046687
     /* 1046687 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046764), // Rule ID 13711 //
     /* 1046692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046731 */     // MIs[0] policy
     /* 1046731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046741 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046763 */     // GIR_Coverage, 13711,
     /* 1046763 */     GIR_EraseRootFromParent_Done,
     /* 1046764 */   // Label 15472: @1046764
     /* 1046764 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046841), // Rule ID 13714 //
     /* 1046769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046808 */     // MIs[0] policy
     /* 1046808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046840 */     // GIR_Coverage, 13714,
     /* 1046840 */     GIR_EraseRootFromParent_Done,
     /* 1046841 */   // Label 15473: @1046841
     /* 1046841 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046918), // Rule ID 13715 //
     /* 1046846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046885 */     // MIs[0] policy
     /* 1046885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046917 */     // GIR_Coverage, 13715,
     /* 1046917 */     GIR_EraseRootFromParent_Done,
     /* 1046918 */   // Label 15474: @1046918
     /* 1046918 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046995), // Rule ID 13718 //
     /* 1046923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046962 */     // MIs[0] policy
     /* 1046962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046994 */     // GIR_Coverage, 13718,
     /* 1046994 */     GIR_EraseRootFromParent_Done,
     /* 1046995 */   // Label 15475: @1046995
     /* 1046995 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1047072), // Rule ID 13719 //
     /* 1047000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047039 */     // MIs[0] policy
     /* 1047039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047071 */     // GIR_Coverage, 13719,
     /* 1047071 */     GIR_EraseRootFromParent_Done,
     /* 1047072 */   // Label 15476: @1047072
     /* 1047072 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1047149), // Rule ID 13722 //
     /* 1047077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047116 */     // MIs[0] policy
     /* 1047116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047148 */     // GIR_Coverage, 13722,
     /* 1047148 */     GIR_EraseRootFromParent_Done,
     /* 1047149 */   // Label 15477: @1047149
     /* 1047149 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1047226), // Rule ID 13723 //
     /* 1047154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047193 */     // MIs[0] policy
     /* 1047193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047225 */     // GIR_Coverage, 13723,
     /* 1047225 */     GIR_EraseRootFromParent_Done,
     /* 1047226 */   // Label 15478: @1047226
     /* 1047226 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1047303), // Rule ID 13726 //
     /* 1047231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047270 */     // MIs[0] policy
     /* 1047270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047302 */     // GIR_Coverage, 13726,
     /* 1047302 */     GIR_EraseRootFromParent_Done,
     /* 1047303 */   // Label 15479: @1047303
     /* 1047303 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047380), // Rule ID 13727 //
     /* 1047308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047347 */     // MIs[0] policy
     /* 1047347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047379 */     // GIR_Coverage, 13727,
     /* 1047379 */     GIR_EraseRootFromParent_Done,
     /* 1047380 */   // Label 15480: @1047380
     /* 1047380 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047457), // Rule ID 18940 //
     /* 1047385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047424 */     // MIs[0] policy
     /* 1047424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047456 */     // GIR_Coverage, 18940,
     /* 1047456 */     GIR_EraseRootFromParent_Done,
     /* 1047457 */   // Label 15481: @1047457
     /* 1047457 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047534), // Rule ID 18941 //
     /* 1047462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047501 */     // MIs[0] policy
     /* 1047501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047511 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047533 */     // GIR_Coverage, 18941,
     /* 1047533 */     GIR_EraseRootFromParent_Done,
     /* 1047534 */   // Label 15482: @1047534
     /* 1047534 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047611), // Rule ID 18944 //
     /* 1047539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047578 */     // MIs[0] policy
     /* 1047578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047610 */     // GIR_Coverage, 18944,
     /* 1047610 */     GIR_EraseRootFromParent_Done,
     /* 1047611 */   // Label 15483: @1047611
     /* 1047611 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047688), // Rule ID 18945 //
     /* 1047616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047655 */     // MIs[0] policy
     /* 1047655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047665 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047687 */     // GIR_Coverage, 18945,
     /* 1047687 */     GIR_EraseRootFromParent_Done,
     /* 1047688 */   // Label 15484: @1047688
     /* 1047688 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047765), // Rule ID 18948 //
     /* 1047693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047732 */     // MIs[0] policy
     /* 1047732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047764 */     // GIR_Coverage, 18948,
     /* 1047764 */     GIR_EraseRootFromParent_Done,
     /* 1047765 */   // Label 15485: @1047765
     /* 1047765 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047842), // Rule ID 18949 //
     /* 1047770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047809 */     // MIs[0] policy
     /* 1047809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047819 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047841 */     // GIR_Coverage, 18949,
     /* 1047841 */     GIR_EraseRootFromParent_Done,
     /* 1047842 */   // Label 15486: @1047842
     /* 1047842 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047919), // Rule ID 18952 //
     /* 1047847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047886 */     // MIs[0] policy
     /* 1047886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047918 */     // GIR_Coverage, 18952,
     /* 1047918 */     GIR_EraseRootFromParent_Done,
     /* 1047919 */   // Label 15487: @1047919
     /* 1047919 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047996), // Rule ID 18953 //
     /* 1047924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047963 */     // MIs[0] policy
     /* 1047963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047995 */     // GIR_Coverage, 18953,
     /* 1047995 */     GIR_EraseRootFromParent_Done,
     /* 1047996 */   // Label 15488: @1047996
     /* 1047996 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1048073), // Rule ID 18956 //
     /* 1048001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048040 */     // MIs[0] policy
     /* 1048040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048072 */     // GIR_Coverage, 18956,
     /* 1048072 */     GIR_EraseRootFromParent_Done,
     /* 1048073 */   // Label 15489: @1048073
     /* 1048073 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1048150), // Rule ID 18957 //
     /* 1048078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048117 */     // MIs[0] policy
     /* 1048117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048127 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048149 */     // GIR_Coverage, 18957,
     /* 1048149 */     GIR_EraseRootFromParent_Done,
     /* 1048150 */   // Label 15490: @1048150
     /* 1048150 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1048227), // Rule ID 18960 //
     /* 1048155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048194 */     // MIs[0] policy
     /* 1048194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048204 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048226 */     // GIR_Coverage, 18960,
     /* 1048226 */     GIR_EraseRootFromParent_Done,
     /* 1048227 */   // Label 15491: @1048227
     /* 1048227 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1048304), // Rule ID 18961 //
     /* 1048232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048271 */     // MIs[0] policy
     /* 1048271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048281 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048303 */     // GIR_Coverage, 18961,
     /* 1048303 */     GIR_EraseRootFromParent_Done,
     /* 1048304 */   // Label 15492: @1048304
     /* 1048304 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048381), // Rule ID 18964 //
     /* 1048309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048348 */     // MIs[0] policy
     /* 1048348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048358 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048380 */     // GIR_Coverage, 18964,
     /* 1048380 */     GIR_EraseRootFromParent_Done,
     /* 1048381 */   // Label 15493: @1048381
     /* 1048381 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048458), // Rule ID 18965 //
     /* 1048386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048425 */     // MIs[0] policy
     /* 1048425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048435 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048457 */     // GIR_Coverage, 18965,
     /* 1048457 */     GIR_EraseRootFromParent_Done,
     /* 1048458 */   // Label 15494: @1048458
     /* 1048458 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048535), // Rule ID 18968 //
     /* 1048463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048502 */     // MIs[0] policy
     /* 1048502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048512 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048534 */     // GIR_Coverage, 18968,
     /* 1048534 */     GIR_EraseRootFromParent_Done,
     /* 1048535 */   // Label 15495: @1048535
     /* 1048535 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048612), // Rule ID 18969 //
     /* 1048540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048579 */     // MIs[0] policy
     /* 1048579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048589 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048611 */     // GIR_Coverage, 18969,
     /* 1048611 */     GIR_EraseRootFromParent_Done,
     /* 1048612 */   // Label 15496: @1048612
     /* 1048612 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048689), // Rule ID 18972 //
     /* 1048617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048656 */     // MIs[0] policy
     /* 1048656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048666 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048688 */     // GIR_Coverage, 18972,
     /* 1048688 */     GIR_EraseRootFromParent_Done,
     /* 1048689 */   // Label 15497: @1048689
     /* 1048689 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048766), // Rule ID 18973 //
     /* 1048694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048733 */     // MIs[0] policy
     /* 1048733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048743 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048765 */     // GIR_Coverage, 18973,
     /* 1048765 */     GIR_EraseRootFromParent_Done,
     /* 1048766 */   // Label 15498: @1048766
     /* 1048766 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048843), // Rule ID 18976 //
     /* 1048771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048810 */     // MIs[0] policy
     /* 1048810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048842 */     // GIR_Coverage, 18976,
     /* 1048842 */     GIR_EraseRootFromParent_Done,
     /* 1048843 */   // Label 15499: @1048843
     /* 1048843 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048920), // Rule ID 18977 //
     /* 1048848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048887 */     // MIs[0] policy
     /* 1048887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048897 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048919 */     // GIR_Coverage, 18977,
     /* 1048919 */     GIR_EraseRootFromParent_Done,
     /* 1048920 */   // Label 15500: @1048920
     /* 1048920 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048997), // Rule ID 18980 //
     /* 1048925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048964 */     // MIs[0] policy
     /* 1048964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048974 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048996 */     // GIR_Coverage, 18980,
     /* 1048996 */     GIR_EraseRootFromParent_Done,
     /* 1048997 */   // Label 15501: @1048997
     /* 1048997 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1049074), // Rule ID 18981 //
     /* 1049002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1049005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049041 */     // MIs[0] policy
     /* 1049041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049051 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1049054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049073 */     // GIR_Coverage, 18981,
     /* 1049073 */     GIR_EraseRootFromParent_Done,
     /* 1049074 */   // Label 15502: @1049074
     /* 1049074 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1049151), // Rule ID 18984 //
     /* 1049079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049118 */     // MIs[0] policy
     /* 1049118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049150 */     // GIR_Coverage, 18984,
     /* 1049150 */     GIR_EraseRootFromParent_Done,
     /* 1049151 */   // Label 15503: @1049151
     /* 1049151 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1049228), // Rule ID 18985 //
     /* 1049156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049195 */     // MIs[0] policy
     /* 1049195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049227 */     // GIR_Coverage, 18985,
     /* 1049227 */     GIR_EraseRootFromParent_Done,
     /* 1049228 */   // Label 15504: @1049228
     /* 1049228 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1049305), // Rule ID 18988 //
     /* 1049233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049272 */     // MIs[0] policy
     /* 1049272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049282 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1049285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049304 */     // GIR_Coverage, 18988,
     /* 1049304 */     GIR_EraseRootFromParent_Done,
     /* 1049305 */   // Label 15505: @1049305
     /* 1049305 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049382), // Rule ID 18989 //
     /* 1049310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049349 */     // MIs[0] policy
     /* 1049349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049359 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1049362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049381 */     // GIR_Coverage, 18989,
     /* 1049381 */     GIR_EraseRootFromParent_Done,
     /* 1049382 */   // Label 15506: @1049382
     /* 1049382 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049459), // Rule ID 18992 //
     /* 1049387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049426 */     // MIs[0] policy
     /* 1049426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049458 */     // GIR_Coverage, 18992,
     /* 1049458 */     GIR_EraseRootFromParent_Done,
     /* 1049459 */   // Label 15507: @1049459
     /* 1049459 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049536), // Rule ID 18993 //
     /* 1049464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049503 */     // MIs[0] policy
     /* 1049503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049513 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049535 */     // GIR_Coverage, 18993,
     /* 1049535 */     GIR_EraseRootFromParent_Done,
     /* 1049536 */   // Label 15508: @1049536
     /* 1049536 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049613), // Rule ID 20376 //
     /* 1049541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049580 */     // MIs[0] policy
     /* 1049580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049612 */     // GIR_Coverage, 20376,
     /* 1049612 */     GIR_EraseRootFromParent_Done,
     /* 1049613 */   // Label 15509: @1049613
     /* 1049613 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049690), // Rule ID 20377 //
     /* 1049618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049657 */     // MIs[0] policy
     /* 1049657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049689 */     // GIR_Coverage, 20377,
     /* 1049689 */     GIR_EraseRootFromParent_Done,
     /* 1049690 */   // Label 15510: @1049690
     /* 1049690 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049767), // Rule ID 20380 //
     /* 1049695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049734 */     // MIs[0] policy
     /* 1049734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049766 */     // GIR_Coverage, 20380,
     /* 1049766 */     GIR_EraseRootFromParent_Done,
     /* 1049767 */   // Label 15511: @1049767
     /* 1049767 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049844), // Rule ID 20381 //
     /* 1049772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049811 */     // MIs[0] policy
     /* 1049811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049843 */     // GIR_Coverage, 20381,
     /* 1049843 */     GIR_EraseRootFromParent_Done,
     /* 1049844 */   // Label 15512: @1049844
     /* 1049844 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049921), // Rule ID 20384 //
     /* 1049849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049888 */     // MIs[0] policy
     /* 1049888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049920 */     // GIR_Coverage, 20384,
     /* 1049920 */     GIR_EraseRootFromParent_Done,
     /* 1049921 */   // Label 15513: @1049921
     /* 1049921 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049998), // Rule ID 20385 //
     /* 1049926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049965 */     // MIs[0] policy
     /* 1049965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049997 */     // GIR_Coverage, 20385,
     /* 1049997 */     GIR_EraseRootFromParent_Done,
     /* 1049998 */   // Label 15514: @1049998
     /* 1049998 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1050075), // Rule ID 20388 //
     /* 1050003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050042 */     // MIs[0] policy
     /* 1050042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050074 */     // GIR_Coverage, 20388,
     /* 1050074 */     GIR_EraseRootFromParent_Done,
     /* 1050075 */   // Label 15515: @1050075
     /* 1050075 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1050152), // Rule ID 20389 //
     /* 1050080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050119 */     // MIs[0] policy
     /* 1050119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050151 */     // GIR_Coverage, 20389,
     /* 1050151 */     GIR_EraseRootFromParent_Done,
     /* 1050152 */   // Label 15516: @1050152
     /* 1050152 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1050229), // Rule ID 20392 //
     /* 1050157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050196 */     // MIs[0] policy
     /* 1050196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050228 */     // GIR_Coverage, 20392,
     /* 1050228 */     GIR_EraseRootFromParent_Done,
     /* 1050229 */   // Label 15517: @1050229
     /* 1050229 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1050306), // Rule ID 20393 //
     /* 1050234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050273 */     // MIs[0] policy
     /* 1050273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050305 */     // GIR_Coverage, 20393,
     /* 1050305 */     GIR_EraseRootFromParent_Done,
     /* 1050306 */   // Label 15518: @1050306
     /* 1050306 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050383), // Rule ID 20396 //
     /* 1050311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050350 */     // MIs[0] policy
     /* 1050350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050382 */     // GIR_Coverage, 20396,
     /* 1050382 */     GIR_EraseRootFromParent_Done,
     /* 1050383 */   // Label 15519: @1050383
     /* 1050383 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050460), // Rule ID 20397 //
     /* 1050388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050427 */     // MIs[0] policy
     /* 1050427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050459 */     // GIR_Coverage, 20397,
     /* 1050459 */     GIR_EraseRootFromParent_Done,
     /* 1050460 */   // Label 15520: @1050460
     /* 1050460 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050537), // Rule ID 20400 //
     /* 1050465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050504 */     // MIs[0] policy
     /* 1050504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050536 */     // GIR_Coverage, 20400,
     /* 1050536 */     GIR_EraseRootFromParent_Done,
     /* 1050537 */   // Label 15521: @1050537
     /* 1050537 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050614), // Rule ID 20401 //
     /* 1050542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050581 */     // MIs[0] policy
     /* 1050581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050613 */     // GIR_Coverage, 20401,
     /* 1050613 */     GIR_EraseRootFromParent_Done,
     /* 1050614 */   // Label 15522: @1050614
     /* 1050614 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050691), // Rule ID 20404 //
     /* 1050619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050658 */     // MIs[0] policy
     /* 1050658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050690 */     // GIR_Coverage, 20404,
     /* 1050690 */     GIR_EraseRootFromParent_Done,
     /* 1050691 */   // Label 15523: @1050691
     /* 1050691 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050768), // Rule ID 20405 //
     /* 1050696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050735 */     // MIs[0] policy
     /* 1050735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050745 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050767 */     // GIR_Coverage, 20405,
     /* 1050767 */     GIR_EraseRootFromParent_Done,
     /* 1050768 */   // Label 15524: @1050768
     /* 1050768 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050845), // Rule ID 20408 //
     /* 1050773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050812 */     // MIs[0] policy
     /* 1050812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050844 */     // GIR_Coverage, 20408,
     /* 1050844 */     GIR_EraseRootFromParent_Done,
     /* 1050845 */   // Label 15525: @1050845
     /* 1050845 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050922), // Rule ID 20409 //
     /* 1050850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050889 */     // MIs[0] policy
     /* 1050889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050921 */     // GIR_Coverage, 20409,
     /* 1050921 */     GIR_EraseRootFromParent_Done,
     /* 1050922 */   // Label 15526: @1050922
     /* 1050922 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050999), // Rule ID 20412 //
     /* 1050927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050966 */     // MIs[0] policy
     /* 1050966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050998 */     // GIR_Coverage, 20412,
     /* 1050998 */     GIR_EraseRootFromParent_Done,
     /* 1050999 */   // Label 15527: @1050999
     /* 1050999 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1051076), // Rule ID 20413 //
     /* 1051004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051043 */     // MIs[0] policy
     /* 1051043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051075 */     // GIR_Coverage, 20413,
     /* 1051075 */     GIR_EraseRootFromParent_Done,
     /* 1051076 */   // Label 15528: @1051076
     /* 1051076 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1051153), // Rule ID 20416 //
     /* 1051081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051120 */     // MIs[0] policy
     /* 1051120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051152 */     // GIR_Coverage, 20416,
     /* 1051152 */     GIR_EraseRootFromParent_Done,
     /* 1051153 */   // Label 15529: @1051153
     /* 1051153 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1051230), // Rule ID 20417 //
     /* 1051158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051197 */     // MIs[0] policy
     /* 1051197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051229 */     // GIR_Coverage, 20417,
     /* 1051229 */     GIR_EraseRootFromParent_Done,
     /* 1051230 */   // Label 15530: @1051230
     /* 1051230 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1051307), // Rule ID 20420 //
     /* 1051235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051274 */     // MIs[0] policy
     /* 1051274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051306 */     // GIR_Coverage, 20420,
     /* 1051306 */     GIR_EraseRootFromParent_Done,
     /* 1051307 */   // Label 15531: @1051307
     /* 1051307 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051384), // Rule ID 20421 //
     /* 1051312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051351 */     // MIs[0] policy
     /* 1051351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051383 */     // GIR_Coverage, 20421,
     /* 1051383 */     GIR_EraseRootFromParent_Done,
     /* 1051384 */   // Label 15532: @1051384
     /* 1051384 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051461), // Rule ID 20424 //
     /* 1051389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051428 */     // MIs[0] policy
     /* 1051428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051460 */     // GIR_Coverage, 20424,
     /* 1051460 */     GIR_EraseRootFromParent_Done,
     /* 1051461 */   // Label 15533: @1051461
     /* 1051461 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051538), // Rule ID 20425 //
     /* 1051466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051505 */     // MIs[0] policy
     /* 1051505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051537 */     // GIR_Coverage, 20425,
     /* 1051537 */     GIR_EraseRootFromParent_Done,
     /* 1051538 */   // Label 15534: @1051538
     /* 1051538 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051615), // Rule ID 20428 //
     /* 1051543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051582 */     // MIs[0] policy
     /* 1051582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051614 */     // GIR_Coverage, 20428,
     /* 1051614 */     GIR_EraseRootFromParent_Done,
     /* 1051615 */   // Label 15535: @1051615
     /* 1051615 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051692), // Rule ID 20429 //
     /* 1051620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051659 */     // MIs[0] policy
     /* 1051659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051691 */     // GIR_Coverage, 20429,
     /* 1051691 */     GIR_EraseRootFromParent_Done,
     /* 1051692 */   // Label 15536: @1051692
     /* 1051692 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051769), // Rule ID 20754 //
     /* 1051697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051736 */     // MIs[0] policy
     /* 1051736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051768 */     // GIR_Coverage, 20754,
     /* 1051768 */     GIR_EraseRootFromParent_Done,
     /* 1051769 */   // Label 15537: @1051769
     /* 1051769 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051846), // Rule ID 20755 //
     /* 1051774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051813 */     // MIs[0] policy
     /* 1051813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051823 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051845 */     // GIR_Coverage, 20755,
     /* 1051845 */     GIR_EraseRootFromParent_Done,
     /* 1051846 */   // Label 15538: @1051846
     /* 1051846 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051923), // Rule ID 20758 //
     /* 1051851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051890 */     // MIs[0] policy
     /* 1051890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051922 */     // GIR_Coverage, 20758,
     /* 1051922 */     GIR_EraseRootFromParent_Done,
     /* 1051923 */   // Label 15539: @1051923
     /* 1051923 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1052000), // Rule ID 20759 //
     /* 1051928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051967 */     // MIs[0] policy
     /* 1051967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051999 */     // GIR_Coverage, 20759,
     /* 1051999 */     GIR_EraseRootFromParent_Done,
     /* 1052000 */   // Label 15540: @1052000
     /* 1052000 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1052077), // Rule ID 20762 //
     /* 1052005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052044 */     // MIs[0] policy
     /* 1052044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052076 */     // GIR_Coverage, 20762,
     /* 1052076 */     GIR_EraseRootFromParent_Done,
     /* 1052077 */   // Label 15541: @1052077
     /* 1052077 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1052154), // Rule ID 20763 //
     /* 1052082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052121 */     // MIs[0] policy
     /* 1052121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052153 */     // GIR_Coverage, 20763,
     /* 1052153 */     GIR_EraseRootFromParent_Done,
     /* 1052154 */   // Label 15542: @1052154
     /* 1052154 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1052231), // Rule ID 20766 //
     /* 1052159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052198 */     // MIs[0] policy
     /* 1052198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052230 */     // GIR_Coverage, 20766,
     /* 1052230 */     GIR_EraseRootFromParent_Done,
     /* 1052231 */   // Label 15543: @1052231
     /* 1052231 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1052308), // Rule ID 20767 //
     /* 1052236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052275 */     // MIs[0] policy
     /* 1052275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052307 */     // GIR_Coverage, 20767,
     /* 1052307 */     GIR_EraseRootFromParent_Done,
     /* 1052308 */   // Label 15544: @1052308
     /* 1052308 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052385), // Rule ID 20770 //
     /* 1052313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052352 */     // MIs[0] policy
     /* 1052352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052384 */     // GIR_Coverage, 20770,
     /* 1052384 */     GIR_EraseRootFromParent_Done,
     /* 1052385 */   // Label 15545: @1052385
     /* 1052385 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052462), // Rule ID 20771 //
     /* 1052390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052429 */     // MIs[0] policy
     /* 1052429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052461 */     // GIR_Coverage, 20771,
     /* 1052461 */     GIR_EraseRootFromParent_Done,
     /* 1052462 */   // Label 15546: @1052462
     /* 1052462 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052539), // Rule ID 20774 //
     /* 1052467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052506 */     // MIs[0] policy
     /* 1052506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052538 */     // GIR_Coverage, 20774,
     /* 1052538 */     GIR_EraseRootFromParent_Done,
     /* 1052539 */   // Label 15547: @1052539
     /* 1052539 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052616), // Rule ID 20775 //
     /* 1052544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052583 */     // MIs[0] policy
     /* 1052583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052615 */     // GIR_Coverage, 20775,
     /* 1052615 */     GIR_EraseRootFromParent_Done,
     /* 1052616 */   // Label 15548: @1052616
     /* 1052616 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052693), // Rule ID 20778 //
     /* 1052621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052660 */     // MIs[0] policy
     /* 1052660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052692 */     // GIR_Coverage, 20778,
     /* 1052692 */     GIR_EraseRootFromParent_Done,
     /* 1052693 */   // Label 15549: @1052693
     /* 1052693 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052770), // Rule ID 20779 //
     /* 1052698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052737 */     // MIs[0] policy
     /* 1052737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052769 */     // GIR_Coverage, 20779,
     /* 1052769 */     GIR_EraseRootFromParent_Done,
     /* 1052770 */   // Label 15550: @1052770
     /* 1052770 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052847), // Rule ID 20782 //
     /* 1052775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052814 */     // MIs[0] policy
     /* 1052814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052846 */     // GIR_Coverage, 20782,
     /* 1052846 */     GIR_EraseRootFromParent_Done,
     /* 1052847 */   // Label 15551: @1052847
     /* 1052847 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052924), // Rule ID 20783 //
     /* 1052852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052891 */     // MIs[0] policy
     /* 1052891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052923 */     // GIR_Coverage, 20783,
     /* 1052923 */     GIR_EraseRootFromParent_Done,
     /* 1052924 */   // Label 15552: @1052924
     /* 1052924 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1053001), // Rule ID 20786 //
     /* 1052929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052968 */     // MIs[0] policy
     /* 1052968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053000 */     // GIR_Coverage, 20786,
     /* 1053000 */     GIR_EraseRootFromParent_Done,
     /* 1053001 */   // Label 15553: @1053001
     /* 1053001 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1053078), // Rule ID 20787 //
     /* 1053006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053045 */     // MIs[0] policy
     /* 1053045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053055 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053077 */     // GIR_Coverage, 20787,
     /* 1053077 */     GIR_EraseRootFromParent_Done,
     /* 1053078 */   // Label 15554: @1053078
     /* 1053078 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1053155), // Rule ID 20790 //
     /* 1053083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053122 */     // MIs[0] policy
     /* 1053122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053154 */     // GIR_Coverage, 20790,
     /* 1053154 */     GIR_EraseRootFromParent_Done,
     /* 1053155 */   // Label 15555: @1053155
     /* 1053155 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1053232), // Rule ID 20791 //
     /* 1053160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053199 */     // MIs[0] policy
     /* 1053199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053231 */     // GIR_Coverage, 20791,
     /* 1053231 */     GIR_EraseRootFromParent_Done,
     /* 1053232 */   // Label 15556: @1053232
     /* 1053232 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1053309), // Rule ID 20794 //
     /* 1053237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053276 */     // MIs[0] policy
     /* 1053276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053308 */     // GIR_Coverage, 20794,
     /* 1053308 */     GIR_EraseRootFromParent_Done,
     /* 1053309 */   // Label 15557: @1053309
     /* 1053309 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053386), // Rule ID 20795 //
     /* 1053314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053353 */     // MIs[0] policy
     /* 1053353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053385 */     // GIR_Coverage, 20795,
     /* 1053385 */     GIR_EraseRootFromParent_Done,
     /* 1053386 */   // Label 15558: @1053386
     /* 1053386 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053463), // Rule ID 20798 //
     /* 1053391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053430 */     // MIs[0] policy
     /* 1053430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053440 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053462 */     // GIR_Coverage, 20798,
     /* 1053462 */     GIR_EraseRootFromParent_Done,
     /* 1053463 */   // Label 15559: @1053463
     /* 1053463 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053540), // Rule ID 20799 //
     /* 1053468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053507 */     // MIs[0] policy
     /* 1053507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053517 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053539 */     // GIR_Coverage, 20799,
     /* 1053539 */     GIR_EraseRootFromParent_Done,
     /* 1053540 */   // Label 15560: @1053540
     /* 1053540 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053617), // Rule ID 20802 //
     /* 1053545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053584 */     // MIs[0] policy
     /* 1053584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053616 */     // GIR_Coverage, 20802,
     /* 1053616 */     GIR_EraseRootFromParent_Done,
     /* 1053617 */   // Label 15561: @1053617
     /* 1053617 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053694), // Rule ID 20803 //
     /* 1053622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053661 */     // MIs[0] policy
     /* 1053661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053693 */     // GIR_Coverage, 20803,
     /* 1053693 */     GIR_EraseRootFromParent_Done,
     /* 1053694 */   // Label 15562: @1053694
     /* 1053694 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053771), // Rule ID 20806 //
     /* 1053699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053738 */     // MIs[0] policy
     /* 1053738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053770 */     // GIR_Coverage, 20806,
     /* 1053770 */     GIR_EraseRootFromParent_Done,
     /* 1053771 */   // Label 15563: @1053771
     /* 1053771 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053848), // Rule ID 20807 //
     /* 1053776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053815 */     // MIs[0] policy
     /* 1053815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053825 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053847 */     // GIR_Coverage, 20807,
     /* 1053847 */     GIR_EraseRootFromParent_Done,
     /* 1053848 */   // Label 15564: @1053848
     /* 1053848 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053925), // Rule ID 20810 //
     /* 1053853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053892 */     // MIs[0] policy
     /* 1053892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053902 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053924 */     // GIR_Coverage, 20810,
     /* 1053924 */     GIR_EraseRootFromParent_Done,
     /* 1053925 */   // Label 15565: @1053925
     /* 1053925 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1054002), // Rule ID 20811 //
     /* 1053930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053969 */     // MIs[0] policy
     /* 1053969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054001 */     // GIR_Coverage, 20811,
     /* 1054001 */     GIR_EraseRootFromParent_Done,
     /* 1054002 */   // Label 15566: @1054002
     /* 1054002 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1054079), // Rule ID 20814 //
     /* 1054007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054046 */     // MIs[0] policy
     /* 1054046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054078 */     // GIR_Coverage, 20814,
     /* 1054078 */     GIR_EraseRootFromParent_Done,
     /* 1054079 */   // Label 15567: @1054079
     /* 1054079 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1054156), // Rule ID 20815 //
     /* 1054084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054123 */     // MIs[0] policy
     /* 1054123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054155 */     // GIR_Coverage, 20815,
     /* 1054155 */     GIR_EraseRootFromParent_Done,
     /* 1054156 */   // Label 15568: @1054156
     /* 1054156 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1054233), // Rule ID 20818 //
     /* 1054161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054200 */     // MIs[0] policy
     /* 1054200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054232 */     // GIR_Coverage, 20818,
     /* 1054232 */     GIR_EraseRootFromParent_Done,
     /* 1054233 */   // Label 15569: @1054233
     /* 1054233 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1054310), // Rule ID 20819 //
     /* 1054238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054277 */     // MIs[0] policy
     /* 1054277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054309 */     // GIR_Coverage, 20819,
     /* 1054309 */     GIR_EraseRootFromParent_Done,
     /* 1054310 */   // Label 15570: @1054310
     /* 1054310 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054387), // Rule ID 20822 //
     /* 1054315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054354 */     // MIs[0] policy
     /* 1054354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054386 */     // GIR_Coverage, 20822,
     /* 1054386 */     GIR_EraseRootFromParent_Done,
     /* 1054387 */   // Label 15571: @1054387
     /* 1054387 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1054464), // Rule ID 20823 //
     /* 1054392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054431 */     // MIs[0] policy
     /* 1054431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054463 */     // GIR_Coverage, 20823,
     /* 1054463 */     GIR_EraseRootFromParent_Done,
     /* 1054464 */   // Label 15572: @1054464
     /* 1054464 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054541), // Rule ID 20826 //
     /* 1054469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054508 */     // MIs[0] policy
     /* 1054508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054540 */     // GIR_Coverage, 20826,
     /* 1054540 */     GIR_EraseRootFromParent_Done,
     /* 1054541 */   // Label 15573: @1054541
     /* 1054541 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054618), // Rule ID 20827 //
     /* 1054546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054585 */     // MIs[0] policy
     /* 1054585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054617 */     // GIR_Coverage, 20827,
     /* 1054617 */     GIR_EraseRootFromParent_Done,
     /* 1054618 */   // Label 15574: @1054618
     /* 1054618 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054695), // Rule ID 20830 //
     /* 1054623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054662 */     // MIs[0] policy
     /* 1054662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054694 */     // GIR_Coverage, 20830,
     /* 1054694 */     GIR_EraseRootFromParent_Done,
     /* 1054695 */   // Label 15575: @1054695
     /* 1054695 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054772), // Rule ID 20831 //
     /* 1054700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054739 */     // MIs[0] policy
     /* 1054739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054771 */     // GIR_Coverage, 20831,
     /* 1054771 */     GIR_EraseRootFromParent_Done,
     /* 1054772 */   // Label 15576: @1054772
     /* 1054772 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054849), // Rule ID 20834 //
     /* 1054777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054816 */     // MIs[0] policy
     /* 1054816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054848 */     // GIR_Coverage, 20834,
     /* 1054848 */     GIR_EraseRootFromParent_Done,
     /* 1054849 */   // Label 15577: @1054849
     /* 1054849 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054926), // Rule ID 20835 //
     /* 1054854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054893 */     // MIs[0] policy
     /* 1054893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054925 */     // GIR_Coverage, 20835,
     /* 1054925 */     GIR_EraseRootFromParent_Done,
     /* 1054926 */   // Label 15578: @1054926
     /* 1054926 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1055003), // Rule ID 20838 //
     /* 1054931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054970 */     // MIs[0] policy
     /* 1054970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055002 */     // GIR_Coverage, 20838,
     /* 1055002 */     GIR_EraseRootFromParent_Done,
     /* 1055003 */   // Label 15579: @1055003
     /* 1055003 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1055080), // Rule ID 20839 //
     /* 1055008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055047 */     // MIs[0] policy
     /* 1055047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055079 */     // GIR_Coverage, 20839,
     /* 1055079 */     GIR_EraseRootFromParent_Done,
     /* 1055080 */   // Label 15580: @1055080
     /* 1055080 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1055157), // Rule ID 20842 //
     /* 1055085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055124 */     // MIs[0] policy
     /* 1055124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055156 */     // GIR_Coverage, 20842,
     /* 1055156 */     GIR_EraseRootFromParent_Done,
     /* 1055157 */   // Label 15581: @1055157
     /* 1055157 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1055234), // Rule ID 20843 //
     /* 1055162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055201 */     // MIs[0] policy
     /* 1055201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055233 */     // GIR_Coverage, 20843,
     /* 1055233 */     GIR_EraseRootFromParent_Done,
     /* 1055234 */   // Label 15582: @1055234
     /* 1055234 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1055311), // Rule ID 20846 //
     /* 1055239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055278 */     // MIs[0] policy
     /* 1055278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055310 */     // GIR_Coverage, 20846,
     /* 1055310 */     GIR_EraseRootFromParent_Done,
     /* 1055311 */   // Label 15583: @1055311
     /* 1055311 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055388), // Rule ID 20847 //
     /* 1055316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055355 */     // MIs[0] policy
     /* 1055355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055387 */     // GIR_Coverage, 20847,
     /* 1055387 */     GIR_EraseRootFromParent_Done,
     /* 1055388 */   // Label 15584: @1055388
     /* 1055388 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1055465), // Rule ID 20850 //
     /* 1055393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055432 */     // MIs[0] policy
     /* 1055432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055464 */     // GIR_Coverage, 20850,
     /* 1055464 */     GIR_EraseRootFromParent_Done,
     /* 1055465 */   // Label 15585: @1055465
     /* 1055465 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055542), // Rule ID 20851 //
     /* 1055470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055509 */     // MIs[0] policy
     /* 1055509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055541 */     // GIR_Coverage, 20851,
     /* 1055541 */     GIR_EraseRootFromParent_Done,
     /* 1055542 */   // Label 15586: @1055542
     /* 1055542 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055619), // Rule ID 20854 //
     /* 1055547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055586 */     // MIs[0] policy
     /* 1055586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055618 */     // GIR_Coverage, 20854,
     /* 1055618 */     GIR_EraseRootFromParent_Done,
     /* 1055619 */   // Label 15587: @1055619
     /* 1055619 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055696), // Rule ID 20855 //
     /* 1055624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055663 */     // MIs[0] policy
     /* 1055663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055695 */     // GIR_Coverage, 20855,
     /* 1055695 */     GIR_EraseRootFromParent_Done,
     /* 1055696 */   // Label 15588: @1055696
     /* 1055696 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055773), // Rule ID 20858 //
     /* 1055701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055740 */     // MIs[0] policy
     /* 1055740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055772 */     // GIR_Coverage, 20858,
     /* 1055772 */     GIR_EraseRootFromParent_Done,
     /* 1055773 */   // Label 15589: @1055773
     /* 1055773 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055850), // Rule ID 20859 //
     /* 1055778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055817 */     // MIs[0] policy
     /* 1055817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055849 */     // GIR_Coverage, 20859,
     /* 1055849 */     GIR_EraseRootFromParent_Done,
     /* 1055850 */   // Label 15590: @1055850
     /* 1055850 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055927), // Rule ID 20862 //
     /* 1055855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055894 */     // MIs[0] policy
     /* 1055894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055926 */     // GIR_Coverage, 20862,
     /* 1055926 */     GIR_EraseRootFromParent_Done,
     /* 1055927 */   // Label 15591: @1055927
     /* 1055927 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1056004), // Rule ID 20863 //
     /* 1055932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055971 */     // MIs[0] policy
     /* 1055971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056003 */     // GIR_Coverage, 20863,
     /* 1056003 */     GIR_EraseRootFromParent_Done,
     /* 1056004 */   // Label 15592: @1056004
     /* 1056004 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1056081), // Rule ID 20866 //
     /* 1056009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056048 */     // MIs[0] policy
     /* 1056048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056080 */     // GIR_Coverage, 20866,
     /* 1056080 */     GIR_EraseRootFromParent_Done,
     /* 1056081 */   // Label 15593: @1056081
     /* 1056081 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1056158), // Rule ID 20867 //
     /* 1056086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056125 */     // MIs[0] policy
     /* 1056125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056157 */     // GIR_Coverage, 20867,
     /* 1056157 */     GIR_EraseRootFromParent_Done,
     /* 1056158 */   // Label 15594: @1056158
     /* 1056158 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1056235), // Rule ID 20870 //
     /* 1056163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056202 */     // MIs[0] policy
     /* 1056202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056234 */     // GIR_Coverage, 20870,
     /* 1056234 */     GIR_EraseRootFromParent_Done,
     /* 1056235 */   // Label 15595: @1056235
     /* 1056235 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1056312), // Rule ID 20871 //
     /* 1056240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056279 */     // MIs[0] policy
     /* 1056279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056311 */     // GIR_Coverage, 20871,
     /* 1056311 */     GIR_EraseRootFromParent_Done,
     /* 1056312 */   // Label 15596: @1056312
     /* 1056312 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056389), // Rule ID 21138 //
     /* 1056317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056356 */     // MIs[0] policy
     /* 1056356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056388 */     // GIR_Coverage, 21138,
     /* 1056388 */     GIR_EraseRootFromParent_Done,
     /* 1056389 */   // Label 15597: @1056389
     /* 1056389 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1056466), // Rule ID 21139 //
     /* 1056394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056433 */     // MIs[0] policy
     /* 1056433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056465 */     // GIR_Coverage, 21139,
     /* 1056465 */     GIR_EraseRootFromParent_Done,
     /* 1056466 */   // Label 15598: @1056466
     /* 1056466 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056543), // Rule ID 21142 //
     /* 1056471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056510 */     // MIs[0] policy
     /* 1056510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056542 */     // GIR_Coverage, 21142,
     /* 1056542 */     GIR_EraseRootFromParent_Done,
     /* 1056543 */   // Label 15599: @1056543
     /* 1056543 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056620), // Rule ID 21143 //
     /* 1056548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056587 */     // MIs[0] policy
     /* 1056587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056619 */     // GIR_Coverage, 21143,
     /* 1056619 */     GIR_EraseRootFromParent_Done,
     /* 1056620 */   // Label 15600: @1056620
     /* 1056620 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056697), // Rule ID 21146 //
     /* 1056625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056664 */     // MIs[0] policy
     /* 1056664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056696 */     // GIR_Coverage, 21146,
     /* 1056696 */     GIR_EraseRootFromParent_Done,
     /* 1056697 */   // Label 15601: @1056697
     /* 1056697 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056774), // Rule ID 21147 //
     /* 1056702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056741 */     // MIs[0] policy
     /* 1056741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056773 */     // GIR_Coverage, 21147,
     /* 1056773 */     GIR_EraseRootFromParent_Done,
     /* 1056774 */   // Label 15602: @1056774
     /* 1056774 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056851), // Rule ID 21150 //
     /* 1056779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056818 */     // MIs[0] policy
     /* 1056818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056850 */     // GIR_Coverage, 21150,
     /* 1056850 */     GIR_EraseRootFromParent_Done,
     /* 1056851 */   // Label 15603: @1056851
     /* 1056851 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056928), // Rule ID 21151 //
     /* 1056856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056895 */     // MIs[0] policy
     /* 1056895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056927 */     // GIR_Coverage, 21151,
     /* 1056927 */     GIR_EraseRootFromParent_Done,
     /* 1056928 */   // Label 15604: @1056928
     /* 1056928 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1057005), // Rule ID 21154 //
     /* 1056933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056972 */     // MIs[0] policy
     /* 1056972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057004 */     // GIR_Coverage, 21154,
     /* 1057004 */     GIR_EraseRootFromParent_Done,
     /* 1057005 */   // Label 15605: @1057005
     /* 1057005 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1057082), // Rule ID 21155 //
     /* 1057010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057049 */     // MIs[0] policy
     /* 1057049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057081 */     // GIR_Coverage, 21155,
     /* 1057081 */     GIR_EraseRootFromParent_Done,
     /* 1057082 */   // Label 15606: @1057082
     /* 1057082 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1057159), // Rule ID 21158 //
     /* 1057087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057126 */     // MIs[0] policy
     /* 1057126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057158 */     // GIR_Coverage, 21158,
     /* 1057158 */     GIR_EraseRootFromParent_Done,
     /* 1057159 */   // Label 15607: @1057159
     /* 1057159 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1057236), // Rule ID 21159 //
     /* 1057164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057203 */     // MIs[0] policy
     /* 1057203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057235 */     // GIR_Coverage, 21159,
     /* 1057235 */     GIR_EraseRootFromParent_Done,
     /* 1057236 */   // Label 15608: @1057236
     /* 1057236 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1057313), // Rule ID 21162 //
     /* 1057241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057280 */     // MIs[0] policy
     /* 1057280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057312 */     // GIR_Coverage, 21162,
     /* 1057312 */     GIR_EraseRootFromParent_Done,
     /* 1057313 */   // Label 15609: @1057313
     /* 1057313 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057390), // Rule ID 21163 //
     /* 1057318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057357 */     // MIs[0] policy
     /* 1057357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057389 */     // GIR_Coverage, 21163,
     /* 1057389 */     GIR_EraseRootFromParent_Done,
     /* 1057390 */   // Label 15610: @1057390
     /* 1057390 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1057467), // Rule ID 21166 //
     /* 1057395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057434 */     // MIs[0] policy
     /* 1057434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057466 */     // GIR_Coverage, 21166,
     /* 1057466 */     GIR_EraseRootFromParent_Done,
     /* 1057467 */   // Label 15611: @1057467
     /* 1057467 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057544), // Rule ID 21167 //
     /* 1057472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057511 */     // MIs[0] policy
     /* 1057511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057521 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057543 */     // GIR_Coverage, 21167,
     /* 1057543 */     GIR_EraseRootFromParent_Done,
     /* 1057544 */   // Label 15612: @1057544
     /* 1057544 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057621), // Rule ID 21170 //
     /* 1057549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057588 */     // MIs[0] policy
     /* 1057588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057620 */     // GIR_Coverage, 21170,
     /* 1057620 */     GIR_EraseRootFromParent_Done,
     /* 1057621 */   // Label 15613: @1057621
     /* 1057621 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057698), // Rule ID 21171 //
     /* 1057626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057665 */     // MIs[0] policy
     /* 1057665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057697 */     // GIR_Coverage, 21171,
     /* 1057697 */     GIR_EraseRootFromParent_Done,
     /* 1057698 */   // Label 15614: @1057698
     /* 1057698 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057775), // Rule ID 21174 //
     /* 1057703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057742 */     // MIs[0] policy
     /* 1057742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057774 */     // GIR_Coverage, 21174,
     /* 1057774 */     GIR_EraseRootFromParent_Done,
     /* 1057775 */   // Label 15615: @1057775
     /* 1057775 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057852), // Rule ID 21175 //
     /* 1057780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057819 */     // MIs[0] policy
     /* 1057819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057851 */     // GIR_Coverage, 21175,
     /* 1057851 */     GIR_EraseRootFromParent_Done,
     /* 1057852 */   // Label 15616: @1057852
     /* 1057852 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057929), // Rule ID 21178 //
     /* 1057857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057896 */     // MIs[0] policy
     /* 1057896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057928 */     // GIR_Coverage, 21178,
     /* 1057928 */     GIR_EraseRootFromParent_Done,
     /* 1057929 */   // Label 15617: @1057929
     /* 1057929 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1058006), // Rule ID 21179 //
     /* 1057934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057973 */     // MIs[0] policy
     /* 1057973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058005 */     // GIR_Coverage, 21179,
     /* 1058005 */     GIR_EraseRootFromParent_Done,
     /* 1058006 */   // Label 15618: @1058006
     /* 1058006 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1058083), // Rule ID 21182 //
     /* 1058011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058050 */     // MIs[0] policy
     /* 1058050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058082 */     // GIR_Coverage, 21182,
     /* 1058082 */     GIR_EraseRootFromParent_Done,
     /* 1058083 */   // Label 15619: @1058083
     /* 1058083 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1058160), // Rule ID 21183 //
     /* 1058088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058127 */     // MIs[0] policy
     /* 1058127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058159 */     // GIR_Coverage, 21183,
     /* 1058159 */     GIR_EraseRootFromParent_Done,
     /* 1058160 */   // Label 15620: @1058160
     /* 1058160 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1058237), // Rule ID 21186 //
     /* 1058165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058204 */     // MIs[0] policy
     /* 1058204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058236 */     // GIR_Coverage, 21186,
     /* 1058236 */     GIR_EraseRootFromParent_Done,
     /* 1058237 */   // Label 15621: @1058237
     /* 1058237 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1058314), // Rule ID 21187 //
     /* 1058242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058281 */     // MIs[0] policy
     /* 1058281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058313 */     // GIR_Coverage, 21187,
     /* 1058313 */     GIR_EraseRootFromParent_Done,
     /* 1058314 */   // Label 15622: @1058314
     /* 1058314 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058391), // Rule ID 21190 //
     /* 1058319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058358 */     // MIs[0] policy
     /* 1058358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058390 */     // GIR_Coverage, 21190,
     /* 1058390 */     GIR_EraseRootFromParent_Done,
     /* 1058391 */   // Label 15623: @1058391
     /* 1058391 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1058468), // Rule ID 21191 //
     /* 1058396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058435 */     // MIs[0] policy
     /* 1058435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058467 */     // GIR_Coverage, 21191,
     /* 1058467 */     GIR_EraseRootFromParent_Done,
     /* 1058468 */   // Label 15624: @1058468
     /* 1058468 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058545), // Rule ID 21194 //
     /* 1058473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058512 */     // MIs[0] policy
     /* 1058512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058544 */     // GIR_Coverage, 21194,
     /* 1058544 */     GIR_EraseRootFromParent_Done,
     /* 1058545 */   // Label 15625: @1058545
     /* 1058545 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058622), // Rule ID 21195 //
     /* 1058550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058589 */     // MIs[0] policy
     /* 1058589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058621 */     // GIR_Coverage, 21195,
     /* 1058621 */     GIR_EraseRootFromParent_Done,
     /* 1058622 */   // Label 15626: @1058622
     /* 1058622 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058699), // Rule ID 21198 //
     /* 1058627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058666 */     // MIs[0] policy
     /* 1058666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058698 */     // GIR_Coverage, 21198,
     /* 1058698 */     GIR_EraseRootFromParent_Done,
     /* 1058699 */   // Label 15627: @1058699
     /* 1058699 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058776), // Rule ID 21199 //
     /* 1058704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058743 */     // MIs[0] policy
     /* 1058743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058775 */     // GIR_Coverage, 21199,
     /* 1058775 */     GIR_EraseRootFromParent_Done,
     /* 1058776 */   // Label 15628: @1058776
     /* 1058776 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058853), // Rule ID 21202 //
     /* 1058781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058820 */     // MIs[0] policy
     /* 1058820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058852 */     // GIR_Coverage, 21202,
     /* 1058852 */     GIR_EraseRootFromParent_Done,
     /* 1058853 */   // Label 15629: @1058853
     /* 1058853 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058930), // Rule ID 21203 //
     /* 1058858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058897 */     // MIs[0] policy
     /* 1058897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058929 */     // GIR_Coverage, 21203,
     /* 1058929 */     GIR_EraseRootFromParent_Done,
     /* 1058930 */   // Label 15630: @1058930
     /* 1058930 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1059007), // Rule ID 21206 //
     /* 1058935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058974 */     // MIs[0] policy
     /* 1058974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059006 */     // GIR_Coverage, 21206,
     /* 1059006 */     GIR_EraseRootFromParent_Done,
     /* 1059007 */   // Label 15631: @1059007
     /* 1059007 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1059084), // Rule ID 21207 //
     /* 1059012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059051 */     // MIs[0] policy
     /* 1059051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059083 */     // GIR_Coverage, 21207,
     /* 1059083 */     GIR_EraseRootFromParent_Done,
     /* 1059084 */   // Label 15632: @1059084
     /* 1059084 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1059161), // Rule ID 21210 //
     /* 1059089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059128 */     // MIs[0] policy
     /* 1059128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059160 */     // GIR_Coverage, 21210,
     /* 1059160 */     GIR_EraseRootFromParent_Done,
     /* 1059161 */   // Label 15633: @1059161
     /* 1059161 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1059238), // Rule ID 21211 //
     /* 1059166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059205 */     // MIs[0] policy
     /* 1059205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059215 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059237 */     // GIR_Coverage, 21211,
     /* 1059237 */     GIR_EraseRootFromParent_Done,
     /* 1059238 */   // Label 15634: @1059238
     /* 1059238 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1059315), // Rule ID 21214 //
     /* 1059243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059282 */     // MIs[0] policy
     /* 1059282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059292 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1059295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059314 */     // GIR_Coverage, 21214,
     /* 1059314 */     GIR_EraseRootFromParent_Done,
     /* 1059315 */   // Label 15635: @1059315
     /* 1059315 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059392), // Rule ID 21215 //
     /* 1059320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059359 */     // MIs[0] policy
     /* 1059359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059369 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1059372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059391 */     // GIR_Coverage, 21215,
     /* 1059391 */     GIR_EraseRootFromParent_Done,
     /* 1059392 */   // Label 15636: @1059392
     /* 1059392 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1059469), // Rule ID 21218 //
     /* 1059397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059436 */     // MIs[0] policy
     /* 1059436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059446 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059468 */     // GIR_Coverage, 21218,
     /* 1059468 */     GIR_EraseRootFromParent_Done,
     /* 1059469 */   // Label 15637: @1059469
     /* 1059469 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059546), // Rule ID 21219 //
     /* 1059474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059513 */     // MIs[0] policy
     /* 1059513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059523 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059545 */     // GIR_Coverage, 21219,
     /* 1059545 */     GIR_EraseRootFromParent_Done,
     /* 1059546 */   // Label 15638: @1059546
     /* 1059546 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059623), // Rule ID 21222 //
     /* 1059551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059590 */     // MIs[0] policy
     /* 1059590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059600 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059622 */     // GIR_Coverage, 21222,
     /* 1059622 */     GIR_EraseRootFromParent_Done,
     /* 1059623 */   // Label 15639: @1059623
     /* 1059623 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059700), // Rule ID 21223 //
     /* 1059628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059667 */     // MIs[0] policy
     /* 1059667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059677 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059699 */     // GIR_Coverage, 21223,
     /* 1059699 */     GIR_EraseRootFromParent_Done,
     /* 1059700 */   // Label 15640: @1059700
     /* 1059700 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059777), // Rule ID 21226 //
     /* 1059705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059744 */     // MIs[0] policy
     /* 1059744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059754 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059776 */     // GIR_Coverage, 21226,
     /* 1059776 */     GIR_EraseRootFromParent_Done,
     /* 1059777 */   // Label 15641: @1059777
     /* 1059777 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059854), // Rule ID 21227 //
     /* 1059782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059821 */     // MIs[0] policy
     /* 1059821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059853 */     // GIR_Coverage, 21227,
     /* 1059853 */     GIR_EraseRootFromParent_Done,
     /* 1059854 */   // Label 15642: @1059854
     /* 1059854 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059931), // Rule ID 21230 //
     /* 1059859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059898 */     // MIs[0] policy
     /* 1059898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059930 */     // GIR_Coverage, 21230,
     /* 1059930 */     GIR_EraseRootFromParent_Done,
     /* 1059931 */   // Label 15643: @1059931
     /* 1059931 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1060008), // Rule ID 21231 //
     /* 1059936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059975 */     // MIs[0] policy
     /* 1059975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059985 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060007 */     // GIR_Coverage, 21231,
     /* 1060007 */     GIR_EraseRootFromParent_Done,
     /* 1060008 */   // Label 15644: @1060008
     /* 1060008 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1060085), // Rule ID 21234 //
     /* 1060013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060052 */     // MIs[0] policy
     /* 1060052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060062 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060084 */     // GIR_Coverage, 21234,
     /* 1060084 */     GIR_EraseRootFromParent_Done,
     /* 1060085 */   // Label 15645: @1060085
     /* 1060085 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1060162), // Rule ID 21235 //
     /* 1060090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060129 */     // MIs[0] policy
     /* 1060129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060139 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060161 */     // GIR_Coverage, 21235,
     /* 1060161 */     GIR_EraseRootFromParent_Done,
     /* 1060162 */   // Label 15646: @1060162
     /* 1060162 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1060239), // Rule ID 21238 //
     /* 1060167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060206 */     // MIs[0] policy
     /* 1060206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060238 */     // GIR_Coverage, 21238,
     /* 1060238 */     GIR_EraseRootFromParent_Done,
     /* 1060239 */   // Label 15647: @1060239
     /* 1060239 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1060316), // Rule ID 21239 //
     /* 1060244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060283 */     // MIs[0] policy
     /* 1060283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060293 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060315 */     // GIR_Coverage, 21239,
     /* 1060315 */     GIR_EraseRootFromParent_Done,
     /* 1060316 */   // Label 15648: @1060316
     /* 1060316 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060393), // Rule ID 21242 //
     /* 1060321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060360 */     // MIs[0] policy
     /* 1060360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060392 */     // GIR_Coverage, 21242,
     /* 1060392 */     GIR_EraseRootFromParent_Done,
     /* 1060393 */   // Label 15649: @1060393
     /* 1060393 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1060470), // Rule ID 21243 //
     /* 1060398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060437 */     // MIs[0] policy
     /* 1060437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060447 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060469 */     // GIR_Coverage, 21243,
     /* 1060469 */     GIR_EraseRootFromParent_Done,
     /* 1060470 */   // Label 15650: @1060470
     /* 1060470 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060547), // Rule ID 21246 //
     /* 1060475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060514 */     // MIs[0] policy
     /* 1060514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060524 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060546 */     // GIR_Coverage, 21246,
     /* 1060546 */     GIR_EraseRootFromParent_Done,
     /* 1060547 */   // Label 15651: @1060547
     /* 1060547 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060624), // Rule ID 21247 //
     /* 1060552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060591 */     // MIs[0] policy
     /* 1060591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060601 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060623 */     // GIR_Coverage, 21247,
     /* 1060623 */     GIR_EraseRootFromParent_Done,
     /* 1060624 */   // Label 15652: @1060624
     /* 1060624 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060701), // Rule ID 21250 //
     /* 1060629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060668 */     // MIs[0] policy
     /* 1060668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060678 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060700 */     // GIR_Coverage, 21250,
     /* 1060700 */     GIR_EraseRootFromParent_Done,
     /* 1060701 */   // Label 15653: @1060701
     /* 1060701 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060778), // Rule ID 21251 //
     /* 1060706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060745 */     // MIs[0] policy
     /* 1060745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060755 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060777 */     // GIR_Coverage, 21251,
     /* 1060777 */     GIR_EraseRootFromParent_Done,
     /* 1060778 */   // Label 15654: @1060778
     /* 1060778 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060855), // Rule ID 21254 //
     /* 1060783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060822 */     // MIs[0] policy
     /* 1060822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060832 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060854 */     // GIR_Coverage, 21254,
     /* 1060854 */     GIR_EraseRootFromParent_Done,
     /* 1060855 */   // Label 15655: @1060855
     /* 1060855 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060932), // Rule ID 21255 //
     /* 1060860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060899 */     // MIs[0] policy
     /* 1060899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060931 */     // GIR_Coverage, 21255,
     /* 1060931 */     GIR_EraseRootFromParent_Done,
     /* 1060932 */   // Label 15656: @1060932
     /* 1060932 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1061009), // Rule ID 21258 //
     /* 1060937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060976 */     // MIs[0] policy
     /* 1060976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060986 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061008 */     // GIR_Coverage, 21258,
     /* 1061008 */     GIR_EraseRootFromParent_Done,
     /* 1061009 */   // Label 15657: @1061009
     /* 1061009 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1061086), // Rule ID 21259 //
     /* 1061014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061053 */     // MIs[0] policy
     /* 1061053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1061066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061085 */     // GIR_Coverage, 21259,
     /* 1061085 */     GIR_EraseRootFromParent_Done,
     /* 1061086 */   // Label 15658: @1061086
     /* 1061086 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1061163), // Rule ID 21262 //
     /* 1061091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061130 */     // MIs[0] policy
     /* 1061130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061140 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061162 */     // GIR_Coverage, 21262,
     /* 1061162 */     GIR_EraseRootFromParent_Done,
     /* 1061163 */   // Label 15659: @1061163
     /* 1061163 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1061240), // Rule ID 21263 //
     /* 1061168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061207 */     // MIs[0] policy
     /* 1061207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061239 */     // GIR_Coverage, 21263,
     /* 1061239 */     GIR_EraseRootFromParent_Done,
     /* 1061240 */   // Label 15660: @1061240
     /* 1061240 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1061317), // Rule ID 21266 //
     /* 1061245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061284 */     // MIs[0] policy
     /* 1061284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061294 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1061297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061316 */     // GIR_Coverage, 21266,
     /* 1061316 */     GIR_EraseRootFromParent_Done,
     /* 1061317 */   // Label 15661: @1061317
     /* 1061317 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061394), // Rule ID 21267 //
     /* 1061322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061361 */     // MIs[0] policy
     /* 1061361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061371 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1061374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061393 */     // GIR_Coverage, 21267,
     /* 1061393 */     GIR_EraseRootFromParent_Done,
     /* 1061394 */   // Label 15662: @1061394
     /* 1061394 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1061471), // Rule ID 21270 //
     /* 1061399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061438 */     // MIs[0] policy
     /* 1061438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061470 */     // GIR_Coverage, 21270,
     /* 1061470 */     GIR_EraseRootFromParent_Done,
     /* 1061471 */   // Label 15663: @1061471
     /* 1061471 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061548), // Rule ID 21271 //
     /* 1061476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061515 */     // MIs[0] policy
     /* 1061515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061525 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061547 */     // GIR_Coverage, 21271,
     /* 1061547 */     GIR_EraseRootFromParent_Done,
     /* 1061548 */   // Label 15664: @1061548
     /* 1061548 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061625), // Rule ID 21274 //
     /* 1061553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061592 */     // MIs[0] policy
     /* 1061592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061602 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061624 */     // GIR_Coverage, 21274,
     /* 1061624 */     GIR_EraseRootFromParent_Done,
     /* 1061625 */   // Label 15665: @1061625
     /* 1061625 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061702), // Rule ID 21275 //
     /* 1061630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061669 */     // MIs[0] policy
     /* 1061669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061679 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061701 */     // GIR_Coverage, 21275,
     /* 1061701 */     GIR_EraseRootFromParent_Done,
     /* 1061702 */   // Label 15666: @1061702
     /* 1061702 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061779), // Rule ID 21278 //
     /* 1061707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061746 */     // MIs[0] policy
     /* 1061746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061756 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061778 */     // GIR_Coverage, 21278,
     /* 1061778 */     GIR_EraseRootFromParent_Done,
     /* 1061779 */   // Label 15667: @1061779
     /* 1061779 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061856), // Rule ID 21279 //
     /* 1061784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061823 */     // MIs[0] policy
     /* 1061823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061833 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061855 */     // GIR_Coverage, 21279,
     /* 1061855 */     GIR_EraseRootFromParent_Done,
     /* 1061856 */   // Label 15668: @1061856
     /* 1061856 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061933), // Rule ID 21282 //
     /* 1061861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061900 */     // MIs[0] policy
     /* 1061900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061932 */     // GIR_Coverage, 21282,
     /* 1061932 */     GIR_EraseRootFromParent_Done,
     /* 1061933 */   // Label 15669: @1061933
     /* 1061933 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1062010), // Rule ID 21283 //
     /* 1061938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061977 */     // MIs[0] policy
     /* 1061977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062009 */     // GIR_Coverage, 21283,
     /* 1062009 */     GIR_EraseRootFromParent_Done,
     /* 1062010 */   // Label 15670: @1062010
     /* 1062010 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1062087), // Rule ID 21286 //
     /* 1062015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062054 */     // MIs[0] policy
     /* 1062054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062064 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062086 */     // GIR_Coverage, 21286,
     /* 1062086 */     GIR_EraseRootFromParent_Done,
     /* 1062087 */   // Label 15671: @1062087
     /* 1062087 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1062164), // Rule ID 21287 //
     /* 1062092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062131 */     // MIs[0] policy
     /* 1062131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062141 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062163 */     // GIR_Coverage, 21287,
     /* 1062163 */     GIR_EraseRootFromParent_Done,
     /* 1062164 */   // Label 15672: @1062164
     /* 1062164 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1062241), // Rule ID 21290 //
     /* 1062169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062208 */     // MIs[0] policy
     /* 1062208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062218 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062240 */     // GIR_Coverage, 21290,
     /* 1062240 */     GIR_EraseRootFromParent_Done,
     /* 1062241 */   // Label 15673: @1062241
     /* 1062241 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1062318), // Rule ID 21291 //
     /* 1062246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062285 */     // MIs[0] policy
     /* 1062285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062295 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062317 */     // GIR_Coverage, 21291,
     /* 1062317 */     GIR_EraseRootFromParent_Done,
     /* 1062318 */   // Label 15674: @1062318
     /* 1062318 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062395), // Rule ID 21294 //
     /* 1062323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062362 */     // MIs[0] policy
     /* 1062362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062394 */     // GIR_Coverage, 21294,
     /* 1062394 */     GIR_EraseRootFromParent_Done,
     /* 1062395 */   // Label 15675: @1062395
     /* 1062395 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1062472), // Rule ID 21295 //
     /* 1062400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062439 */     // MIs[0] policy
     /* 1062439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062449 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062471 */     // GIR_Coverage, 21295,
     /* 1062471 */     GIR_EraseRootFromParent_Done,
     /* 1062472 */   // Label 15676: @1062472
     /* 1062472 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062549), // Rule ID 21298 //
     /* 1062477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062516 */     // MIs[0] policy
     /* 1062516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062526 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062548 */     // GIR_Coverage, 21298,
     /* 1062548 */     GIR_EraseRootFromParent_Done,
     /* 1062549 */   // Label 15677: @1062549
     /* 1062549 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062626), // Rule ID 21299 //
     /* 1062554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062593 */     // MIs[0] policy
     /* 1062593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062625 */     // GIR_Coverage, 21299,
     /* 1062625 */     GIR_EraseRootFromParent_Done,
     /* 1062626 */   // Label 15678: @1062626
     /* 1062626 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062703), // Rule ID 21302 //
     /* 1062631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062670 */     // MIs[0] policy
     /* 1062670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062680 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062702 */     // GIR_Coverage, 21302,
     /* 1062702 */     GIR_EraseRootFromParent_Done,
     /* 1062703 */   // Label 15679: @1062703
     /* 1062703 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062780), // Rule ID 21303 //
     /* 1062708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062747 */     // MIs[0] policy
     /* 1062747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062757 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062779 */     // GIR_Coverage, 21303,
     /* 1062779 */     GIR_EraseRootFromParent_Done,
     /* 1062780 */   // Label 15680: @1062780
     /* 1062780 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062857), // Rule ID 21306 //
     /* 1062785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062824 */     // MIs[0] policy
     /* 1062824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062834 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062856 */     // GIR_Coverage, 21306,
     /* 1062856 */     GIR_EraseRootFromParent_Done,
     /* 1062857 */   // Label 15681: @1062857
     /* 1062857 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062934), // Rule ID 21307 //
     /* 1062862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062901 */     // MIs[0] policy
     /* 1062901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062911 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062933 */     // GIR_Coverage, 21307,
     /* 1062933 */     GIR_EraseRootFromParent_Done,
     /* 1062934 */   // Label 15682: @1062934
     /* 1062934 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1063011), // Rule ID 21310 //
     /* 1062939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062978 */     // MIs[0] policy
     /* 1062978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063010 */     // GIR_Coverage, 21310,
     /* 1063010 */     GIR_EraseRootFromParent_Done,
     /* 1063011 */   // Label 15683: @1063011
     /* 1063011 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1063088), // Rule ID 21311 //
     /* 1063016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063055 */     // MIs[0] policy
     /* 1063055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1063068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063087 */     // GIR_Coverage, 21311,
     /* 1063087 */     GIR_EraseRootFromParent_Done,
     /* 1063088 */   // Label 15684: @1063088
     /* 1063088 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1063165), // Rule ID 21314 //
     /* 1063093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063132 */     // MIs[0] policy
     /* 1063132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063142 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063164 */     // GIR_Coverage, 21314,
     /* 1063164 */     GIR_EraseRootFromParent_Done,
     /* 1063165 */   // Label 15685: @1063165
     /* 1063165 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1063242), // Rule ID 21315 //
     /* 1063170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063209 */     // MIs[0] policy
     /* 1063209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063219 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063241 */     // GIR_Coverage, 21315,
     /* 1063241 */     GIR_EraseRootFromParent_Done,
     /* 1063242 */   // Label 15686: @1063242
     /* 1063242 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1063319), // Rule ID 21318 //
     /* 1063247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063286 */     // MIs[0] policy
     /* 1063286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1063299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063318 */     // GIR_Coverage, 21318,
     /* 1063318 */     GIR_EraseRootFromParent_Done,
     /* 1063319 */   // Label 15687: @1063319
     /* 1063319 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063396), // Rule ID 21319 //
     /* 1063324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063363 */     // MIs[0] policy
     /* 1063363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063373 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1063376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063395 */     // GIR_Coverage, 21319,
     /* 1063395 */     GIR_EraseRootFromParent_Done,
     /* 1063396 */   // Label 15688: @1063396
     /* 1063396 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1063473), // Rule ID 21322 //
     /* 1063401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063440 */     // MIs[0] policy
     /* 1063440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063472 */     // GIR_Coverage, 21322,
     /* 1063472 */     GIR_EraseRootFromParent_Done,
     /* 1063473 */   // Label 15689: @1063473
     /* 1063473 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063550), // Rule ID 21323 //
     /* 1063478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063517 */     // MIs[0] policy
     /* 1063517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063527 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063549 */     // GIR_Coverage, 21323,
     /* 1063549 */     GIR_EraseRootFromParent_Done,
     /* 1063550 */   // Label 15690: @1063550
     /* 1063550 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063627), // Rule ID 21326 //
     /* 1063555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063594 */     // MIs[0] policy
     /* 1063594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063604 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063626 */     // GIR_Coverage, 21326,
     /* 1063626 */     GIR_EraseRootFromParent_Done,
     /* 1063627 */   // Label 15691: @1063627
     /* 1063627 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063704), // Rule ID 21327 //
     /* 1063632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063671 */     // MIs[0] policy
     /* 1063671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063681 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063703 */     // GIR_Coverage, 21327,
     /* 1063703 */     GIR_EraseRootFromParent_Done,
     /* 1063704 */   // Label 15692: @1063704
     /* 1063704 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063781), // Rule ID 21330 //
     /* 1063709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063748 */     // MIs[0] policy
     /* 1063748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063780 */     // GIR_Coverage, 21330,
     /* 1063780 */     GIR_EraseRootFromParent_Done,
     /* 1063781 */   // Label 15693: @1063781
     /* 1063781 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063858), // Rule ID 21331 //
     /* 1063786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063825 */     // MIs[0] policy
     /* 1063825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063835 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063857 */     // GIR_Coverage, 21331,
     /* 1063857 */     GIR_EraseRootFromParent_Done,
     /* 1063858 */   // Label 15694: @1063858
     /* 1063858 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063935), // Rule ID 21334 //
     /* 1063863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063902 */     // MIs[0] policy
     /* 1063902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063912 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063934 */     // GIR_Coverage, 21334,
     /* 1063934 */     GIR_EraseRootFromParent_Done,
     /* 1063935 */   // Label 15695: @1063935
     /* 1063935 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1064012), // Rule ID 21335 //
     /* 1063940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063979 */     // MIs[0] policy
     /* 1063979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064011 */     // GIR_Coverage, 21335,
     /* 1064011 */     GIR_EraseRootFromParent_Done,
     /* 1064012 */   // Label 15696: @1064012
     /* 1064012 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1064089), // Rule ID 21338 //
     /* 1064017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064056 */     // MIs[0] policy
     /* 1064056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064066 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064088 */     // GIR_Coverage, 21338,
     /* 1064088 */     GIR_EraseRootFromParent_Done,
     /* 1064089 */   // Label 15697: @1064089
     /* 1064089 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1064166), // Rule ID 21339 //
     /* 1064094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064133 */     // MIs[0] policy
     /* 1064133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064143 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064165 */     // GIR_Coverage, 21339,
     /* 1064165 */     GIR_EraseRootFromParent_Done,
     /* 1064166 */   // Label 15698: @1064166
     /* 1064166 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1064243), // Rule ID 21342 //
     /* 1064171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064210 */     // MIs[0] policy
     /* 1064210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064242 */     // GIR_Coverage, 21342,
     /* 1064242 */     GIR_EraseRootFromParent_Done,
     /* 1064243 */   // Label 15699: @1064243
     /* 1064243 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1064320), // Rule ID 21343 //
     /* 1064248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064287 */     // MIs[0] policy
     /* 1064287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064319 */     // GIR_Coverage, 21343,
     /* 1064319 */     GIR_EraseRootFromParent_Done,
     /* 1064320 */   // Label 15700: @1064320
     /* 1064320 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064397), // Rule ID 21346 //
     /* 1064325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1064328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064364 */     // MIs[0] policy
     /* 1064364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064396 */     // GIR_Coverage, 21346,
     /* 1064396 */     GIR_EraseRootFromParent_Done,
     /* 1064397 */   // Label 15701: @1064397
     /* 1064397 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1064474), // Rule ID 21347 //
     /* 1064402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1064405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064441 */     // MIs[0] policy
     /* 1064441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064451 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064473 */     // GIR_Coverage, 21347,
     /* 1064473 */     GIR_EraseRootFromParent_Done,
     /* 1064474 */   // Label 15702: @1064474
     /* 1064474 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064551), // Rule ID 21350 //
     /* 1064479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064518 */     // MIs[0] policy
     /* 1064518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064550 */     // GIR_Coverage, 21350,
     /* 1064550 */     GIR_EraseRootFromParent_Done,
     /* 1064551 */   // Label 15703: @1064551
     /* 1064551 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064628), // Rule ID 21351 //
     /* 1064556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064595 */     // MIs[0] policy
     /* 1064595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064605 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064627 */     // GIR_Coverage, 21351,
     /* 1064627 */     GIR_EraseRootFromParent_Done,
     /* 1064628 */   // Label 15704: @1064628
     /* 1064628 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064705), // Rule ID 21354 //
     /* 1064633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064672 */     // MIs[0] policy
     /* 1064672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064682 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064704 */     // GIR_Coverage, 21354,
     /* 1064704 */     GIR_EraseRootFromParent_Done,
     /* 1064705 */   // Label 15705: @1064705
     /* 1064705 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064782), // Rule ID 21355 //
     /* 1064710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064749 */     // MIs[0] policy
     /* 1064749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064781 */     // GIR_Coverage, 21355,
     /* 1064781 */     GIR_EraseRootFromParent_Done,
     /* 1064782 */   // Label 15706: @1064782
     /* 1064782 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064859), // Rule ID 21358 //
     /* 1064787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064826 */     // MIs[0] policy
     /* 1064826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064858 */     // GIR_Coverage, 21358,
     /* 1064858 */     GIR_EraseRootFromParent_Done,
     /* 1064859 */   // Label 15707: @1064859
     /* 1064859 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064936), // Rule ID 21359 //
     /* 1064864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064903 */     // MIs[0] policy
     /* 1064903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064913 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064935 */     // GIR_Coverage, 21359,
     /* 1064935 */     GIR_EraseRootFromParent_Done,
     /* 1064936 */   // Label 15708: @1064936
     /* 1064936 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1065013), // Rule ID 21362 //
     /* 1064941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064980 */     // MIs[0] policy
     /* 1064980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1064993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065012 */     // GIR_Coverage, 21362,
     /* 1065012 */     GIR_EraseRootFromParent_Done,
     /* 1065013 */   // Label 15709: @1065013
     /* 1065013 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1065090), // Rule ID 21363 //
     /* 1065018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065057 */     // MIs[0] policy
     /* 1065057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1065070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065089 */     // GIR_Coverage, 21363,
     /* 1065089 */     GIR_EraseRootFromParent_Done,
     /* 1065090 */   // Label 15710: @1065090
     /* 1065090 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1065167), // Rule ID 21606 //
     /* 1065095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065134 */     // MIs[0] policy
     /* 1065134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065166 */     // GIR_Coverage, 21606,
     /* 1065166 */     GIR_EraseRootFromParent_Done,
     /* 1065167 */   // Label 15711: @1065167
     /* 1065167 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1065244), // Rule ID 21607 //
     /* 1065172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065211 */     // MIs[0] policy
     /* 1065211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065221 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065243 */     // GIR_Coverage, 21607,
     /* 1065243 */     GIR_EraseRootFromParent_Done,
     /* 1065244 */   // Label 15712: @1065244
     /* 1065244 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1065321), // Rule ID 21610 //
     /* 1065249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065288 */     // MIs[0] policy
     /* 1065288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065320 */     // GIR_Coverage, 21610,
     /* 1065320 */     GIR_EraseRootFromParent_Done,
     /* 1065321 */   // Label 15713: @1065321
     /* 1065321 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065398), // Rule ID 21611 //
     /* 1065326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065365 */     // MIs[0] policy
     /* 1065365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065375 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065397 */     // GIR_Coverage, 21611,
     /* 1065397 */     GIR_EraseRootFromParent_Done,
     /* 1065398 */   // Label 15714: @1065398
     /* 1065398 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1065475), // Rule ID 21614 //
     /* 1065403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065442 */     // MIs[0] policy
     /* 1065442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065474 */     // GIR_Coverage, 21614,
     /* 1065474 */     GIR_EraseRootFromParent_Done,
     /* 1065475 */   // Label 15715: @1065475
     /* 1065475 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065552), // Rule ID 21615 //
     /* 1065480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065519 */     // MIs[0] policy
     /* 1065519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065529 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065551 */     // GIR_Coverage, 21615,
     /* 1065551 */     GIR_EraseRootFromParent_Done,
     /* 1065552 */   // Label 15716: @1065552
     /* 1065552 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065629), // Rule ID 21618 //
     /* 1065557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065596 */     // MIs[0] policy
     /* 1065596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065628 */     // GIR_Coverage, 21618,
     /* 1065628 */     GIR_EraseRootFromParent_Done,
     /* 1065629 */   // Label 15717: @1065629
     /* 1065629 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065706), // Rule ID 21619 //
     /* 1065634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065673 */     // MIs[0] policy
     /* 1065673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065705 */     // GIR_Coverage, 21619,
     /* 1065705 */     GIR_EraseRootFromParent_Done,
     /* 1065706 */   // Label 15718: @1065706
     /* 1065706 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065783), // Rule ID 21622 //
     /* 1065711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065750 */     // MIs[0] policy
     /* 1065750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065782 */     // GIR_Coverage, 21622,
     /* 1065782 */     GIR_EraseRootFromParent_Done,
     /* 1065783 */   // Label 15719: @1065783
     /* 1065783 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065860), // Rule ID 21623 //
     /* 1065788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065827 */     // MIs[0] policy
     /* 1065827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065859 */     // GIR_Coverage, 21623,
     /* 1065859 */     GIR_EraseRootFromParent_Done,
     /* 1065860 */   // Label 15720: @1065860
     /* 1065860 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065937), // Rule ID 21626 //
     /* 1065865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065904 */     // MIs[0] policy
     /* 1065904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065914 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065936 */     // GIR_Coverage, 21626,
     /* 1065936 */     GIR_EraseRootFromParent_Done,
     /* 1065937 */   // Label 15721: @1065937
     /* 1065937 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1066014), // Rule ID 21627 //
     /* 1065942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065981 */     // MIs[0] policy
     /* 1065981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065991 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066013 */     // GIR_Coverage, 21627,
     /* 1066013 */     GIR_EraseRootFromParent_Done,
     /* 1066014 */   // Label 15722: @1066014
     /* 1066014 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1066091), // Rule ID 21630 //
     /* 1066019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066058 */     // MIs[0] policy
     /* 1066058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066090 */     // GIR_Coverage, 21630,
     /* 1066090 */     GIR_EraseRootFromParent_Done,
     /* 1066091 */   // Label 15723: @1066091
     /* 1066091 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1066168), // Rule ID 21631 //
     /* 1066096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066135 */     // MIs[0] policy
     /* 1066135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066145 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066167 */     // GIR_Coverage, 21631,
     /* 1066167 */     GIR_EraseRootFromParent_Done,
     /* 1066168 */   // Label 15724: @1066168
     /* 1066168 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1066245), // Rule ID 21634 //
     /* 1066173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066212 */     // MIs[0] policy
     /* 1066212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066244 */     // GIR_Coverage, 21634,
     /* 1066244 */     GIR_EraseRootFromParent_Done,
     /* 1066245 */   // Label 15725: @1066245
     /* 1066245 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1066322), // Rule ID 21635 //
     /* 1066250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066289 */     // MIs[0] policy
     /* 1066289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066321 */     // GIR_Coverage, 21635,
     /* 1066321 */     GIR_EraseRootFromParent_Done,
     /* 1066322 */   // Label 15726: @1066322
     /* 1066322 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066399), // Rule ID 21638 //
     /* 1066327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066366 */     // MIs[0] policy
     /* 1066366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066398 */     // GIR_Coverage, 21638,
     /* 1066398 */     GIR_EraseRootFromParent_Done,
     /* 1066399 */   // Label 15727: @1066399
     /* 1066399 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1066476), // Rule ID 21639 //
     /* 1066404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066443 */     // MIs[0] policy
     /* 1066443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066475 */     // GIR_Coverage, 21639,
     /* 1066475 */     GIR_EraseRootFromParent_Done,
     /* 1066476 */   // Label 15728: @1066476
     /* 1066476 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066553), // Rule ID 21642 //
     /* 1066481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066520 */     // MIs[0] policy
     /* 1066520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066552 */     // GIR_Coverage, 21642,
     /* 1066552 */     GIR_EraseRootFromParent_Done,
     /* 1066553 */   // Label 15729: @1066553
     /* 1066553 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066630), // Rule ID 21643 //
     /* 1066558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066597 */     // MIs[0] policy
     /* 1066597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066629 */     // GIR_Coverage, 21643,
     /* 1066629 */     GIR_EraseRootFromParent_Done,
     /* 1066630 */   // Label 15730: @1066630
     /* 1066630 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066707), // Rule ID 21646 //
     /* 1066635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066674 */     // MIs[0] policy
     /* 1066674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066706 */     // GIR_Coverage, 21646,
     /* 1066706 */     GIR_EraseRootFromParent_Done,
     /* 1066707 */   // Label 15731: @1066707
     /* 1066707 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066784), // Rule ID 21647 //
     /* 1066712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066751 */     // MIs[0] policy
     /* 1066751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066783 */     // GIR_Coverage, 21647,
     /* 1066783 */     GIR_EraseRootFromParent_Done,
     /* 1066784 */   // Label 15732: @1066784
     /* 1066784 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066861), // Rule ID 21650 //
     /* 1066789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066828 */     // MIs[0] policy
     /* 1066828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066860 */     // GIR_Coverage, 21650,
     /* 1066860 */     GIR_EraseRootFromParent_Done,
     /* 1066861 */   // Label 15733: @1066861
     /* 1066861 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066938), // Rule ID 21651 //
     /* 1066866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066905 */     // MIs[0] policy
     /* 1066905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066937 */     // GIR_Coverage, 21651,
     /* 1066937 */     GIR_EraseRootFromParent_Done,
     /* 1066938 */   // Label 15734: @1066938
     /* 1066938 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1067015), // Rule ID 21654 //
     /* 1066943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066982 */     // MIs[0] policy
     /* 1066982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067014 */     // GIR_Coverage, 21654,
     /* 1067014 */     GIR_EraseRootFromParent_Done,
     /* 1067015 */   // Label 15735: @1067015
     /* 1067015 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1067092), // Rule ID 21655 //
     /* 1067020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067059 */     // MIs[0] policy
     /* 1067059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067091 */     // GIR_Coverage, 21655,
     /* 1067091 */     GIR_EraseRootFromParent_Done,
     /* 1067092 */   // Label 15736: @1067092
     /* 1067092 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1067169), // Rule ID 21658 //
     /* 1067097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067136 */     // MIs[0] policy
     /* 1067136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067168 */     // GIR_Coverage, 21658,
     /* 1067168 */     GIR_EraseRootFromParent_Done,
     /* 1067169 */   // Label 15737: @1067169
     /* 1067169 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1067246), // Rule ID 21659 //
     /* 1067174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067213 */     // MIs[0] policy
     /* 1067213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067245 */     // GIR_Coverage, 21659,
     /* 1067245 */     GIR_EraseRootFromParent_Done,
     /* 1067246 */   // Label 15738: @1067246
     /* 1067246 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1067323), // Rule ID 21662 //
     /* 1067251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067290 */     // MIs[0] policy
     /* 1067290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067322 */     // GIR_Coverage, 21662,
     /* 1067322 */     GIR_EraseRootFromParent_Done,
     /* 1067323 */   // Label 15739: @1067323
     /* 1067323 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067400), // Rule ID 21663 //
     /* 1067328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067367 */     // MIs[0] policy
     /* 1067367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067399 */     // GIR_Coverage, 21663,
     /* 1067399 */     GIR_EraseRootFromParent_Done,
     /* 1067400 */   // Label 15740: @1067400
     /* 1067400 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1067477), // Rule ID 21666 //
     /* 1067405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067444 */     // MIs[0] policy
     /* 1067444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067476 */     // GIR_Coverage, 21666,
     /* 1067476 */     GIR_EraseRootFromParent_Done,
     /* 1067477 */   // Label 15741: @1067477
     /* 1067477 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067554), // Rule ID 21667 //
     /* 1067482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067521 */     // MIs[0] policy
     /* 1067521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067531 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067553 */     // GIR_Coverage, 21667,
     /* 1067553 */     GIR_EraseRootFromParent_Done,
     /* 1067554 */   // Label 15742: @1067554
     /* 1067554 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067631), // Rule ID 21670 //
     /* 1067559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067598 */     // MIs[0] policy
     /* 1067598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067630 */     // GIR_Coverage, 21670,
     /* 1067630 */     GIR_EraseRootFromParent_Done,
     /* 1067631 */   // Label 15743: @1067631
     /* 1067631 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067708), // Rule ID 21671 //
     /* 1067636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067675 */     // MIs[0] policy
     /* 1067675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067685 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067707 */     // GIR_Coverage, 21671,
     /* 1067707 */     GIR_EraseRootFromParent_Done,
     /* 1067708 */   // Label 15744: @1067708
     /* 1067708 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067785), // Rule ID 21674 //
     /* 1067713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067752 */     // MIs[0] policy
     /* 1067752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067762 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067784 */     // GIR_Coverage, 21674,
     /* 1067784 */     GIR_EraseRootFromParent_Done,
     /* 1067785 */   // Label 15745: @1067785
     /* 1067785 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067862), // Rule ID 21675 //
     /* 1067790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067829 */     // MIs[0] policy
     /* 1067829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067839 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067861 */     // GIR_Coverage, 21675,
     /* 1067861 */     GIR_EraseRootFromParent_Done,
     /* 1067862 */   // Label 15746: @1067862
     /* 1067862 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067939), // Rule ID 21678 //
     /* 1067867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067906 */     // MIs[0] policy
     /* 1067906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067938 */     // GIR_Coverage, 21678,
     /* 1067938 */     GIR_EraseRootFromParent_Done,
     /* 1067939 */   // Label 15747: @1067939
     /* 1067939 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1068016), // Rule ID 21679 //
     /* 1067944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067983 */     // MIs[0] policy
     /* 1067983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068015 */     // GIR_Coverage, 21679,
     /* 1068015 */     GIR_EraseRootFromParent_Done,
     /* 1068016 */   // Label 15748: @1068016
     /* 1068016 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1068093), // Rule ID 21682 //
     /* 1068021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068060 */     // MIs[0] policy
     /* 1068060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068070 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068092 */     // GIR_Coverage, 21682,
     /* 1068092 */     GIR_EraseRootFromParent_Done,
     /* 1068093 */   // Label 15749: @1068093
     /* 1068093 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1068170), // Rule ID 21683 //
     /* 1068098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068137 */     // MIs[0] policy
     /* 1068137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068169 */     // GIR_Coverage, 21683,
     /* 1068169 */     GIR_EraseRootFromParent_Done,
     /* 1068170 */   // Label 15750: @1068170
     /* 1068170 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1068247), // Rule ID 21686 //
     /* 1068175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068214 */     // MIs[0] policy
     /* 1068214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068246 */     // GIR_Coverage, 21686,
     /* 1068246 */     GIR_EraseRootFromParent_Done,
     /* 1068247 */   // Label 15751: @1068247
     /* 1068247 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1068324), // Rule ID 21687 //
     /* 1068252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068291 */     // MIs[0] policy
     /* 1068291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068323 */     // GIR_Coverage, 21687,
     /* 1068323 */     GIR_EraseRootFromParent_Done,
     /* 1068324 */   // Label 15752: @1068324
     /* 1068324 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068401), // Rule ID 21690 //
     /* 1068329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068368 */     // MIs[0] policy
     /* 1068368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068400 */     // GIR_Coverage, 21690,
     /* 1068400 */     GIR_EraseRootFromParent_Done,
     /* 1068401 */   // Label 15753: @1068401
     /* 1068401 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1068478), // Rule ID 21691 //
     /* 1068406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068445 */     // MIs[0] policy
     /* 1068445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068477 */     // GIR_Coverage, 21691,
     /* 1068477 */     GIR_EraseRootFromParent_Done,
     /* 1068478 */   // Label 15754: @1068478
     /* 1068478 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068555), // Rule ID 21694 //
     /* 1068483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068522 */     // MIs[0] policy
     /* 1068522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068554 */     // GIR_Coverage, 21694,
     /* 1068554 */     GIR_EraseRootFromParent_Done,
     /* 1068555 */   // Label 15755: @1068555
     /* 1068555 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068632), // Rule ID 21695 //
     /* 1068560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068599 */     // MIs[0] policy
     /* 1068599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068631 */     // GIR_Coverage, 21695,
     /* 1068631 */     GIR_EraseRootFromParent_Done,
     /* 1068632 */   // Label 15756: @1068632
     /* 1068632 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068709), // Rule ID 21698 //
     /* 1068637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068676 */     // MIs[0] policy
     /* 1068676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068708 */     // GIR_Coverage, 21698,
     /* 1068708 */     GIR_EraseRootFromParent_Done,
     /* 1068709 */   // Label 15757: @1068709
     /* 1068709 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068786), // Rule ID 21699 //
     /* 1068714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068753 */     // MIs[0] policy
     /* 1068753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068785 */     // GIR_Coverage, 21699,
     /* 1068785 */     GIR_EraseRootFromParent_Done,
     /* 1068786 */   // Label 15758: @1068786
     /* 1068786 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068863), // Rule ID 21702 //
     /* 1068791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068830 */     // MIs[0] policy
     /* 1068830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068862 */     // GIR_Coverage, 21702,
     /* 1068862 */     GIR_EraseRootFromParent_Done,
     /* 1068863 */   // Label 15759: @1068863
     /* 1068863 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068940), // Rule ID 21703 //
     /* 1068868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068907 */     // MIs[0] policy
     /* 1068907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068939 */     // GIR_Coverage, 21703,
     /* 1068939 */     GIR_EraseRootFromParent_Done,
     /* 1068940 */   // Label 15760: @1068940
     /* 1068940 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1069017), // Rule ID 21706 //
     /* 1068945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068984 */     // MIs[0] policy
     /* 1068984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069016 */     // GIR_Coverage, 21706,
     /* 1069016 */     GIR_EraseRootFromParent_Done,
     /* 1069017 */   // Label 15761: @1069017
     /* 1069017 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1069094), // Rule ID 21707 //
     /* 1069022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069061 */     // MIs[0] policy
     /* 1069061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069093 */     // GIR_Coverage, 21707,
     /* 1069093 */     GIR_EraseRootFromParent_Done,
     /* 1069094 */   // Label 15762: @1069094
     /* 1069094 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1069171), // Rule ID 21710 //
     /* 1069099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069138 */     // MIs[0] policy
     /* 1069138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069170 */     // GIR_Coverage, 21710,
     /* 1069170 */     GIR_EraseRootFromParent_Done,
     /* 1069171 */   // Label 15763: @1069171
     /* 1069171 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1069248), // Rule ID 21711 //
     /* 1069176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069215 */     // MIs[0] policy
     /* 1069215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069247 */     // GIR_Coverage, 21711,
     /* 1069247 */     GIR_EraseRootFromParent_Done,
     /* 1069248 */   // Label 15764: @1069248
     /* 1069248 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1069325), // Rule ID 21714 //
     /* 1069253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069292 */     // MIs[0] policy
     /* 1069292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069324 */     // GIR_Coverage, 21714,
     /* 1069324 */     GIR_EraseRootFromParent_Done,
     /* 1069325 */   // Label 15765: @1069325
     /* 1069325 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069402), // Rule ID 21715 //
     /* 1069330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069369 */     // MIs[0] policy
     /* 1069369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069401 */     // GIR_Coverage, 21715,
     /* 1069401 */     GIR_EraseRootFromParent_Done,
     /* 1069402 */   // Label 15766: @1069402
     /* 1069402 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1069479), // Rule ID 21718 //
     /* 1069407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069446 */     // MIs[0] policy
     /* 1069446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069478 */     // GIR_Coverage, 21718,
     /* 1069478 */     GIR_EraseRootFromParent_Done,
     /* 1069479 */   // Label 15767: @1069479
     /* 1069479 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069556), // Rule ID 21719 //
     /* 1069484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069523 */     // MIs[0] policy
     /* 1069523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069555 */     // GIR_Coverage, 21719,
     /* 1069555 */     GIR_EraseRootFromParent_Done,
     /* 1069556 */   // Label 15768: @1069556
     /* 1069556 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069633), // Rule ID 21722 //
     /* 1069561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069600 */     // MIs[0] policy
     /* 1069600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069632 */     // GIR_Coverage, 21722,
     /* 1069632 */     GIR_EraseRootFromParent_Done,
     /* 1069633 */   // Label 15769: @1069633
     /* 1069633 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069710), // Rule ID 21723 //
     /* 1069638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069677 */     // MIs[0] policy
     /* 1069677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069709 */     // GIR_Coverage, 21723,
     /* 1069709 */     GIR_EraseRootFromParent_Done,
     /* 1069710 */   // Label 15770: @1069710
     /* 1069710 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069787), // Rule ID 21834 //
     /* 1069715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069754 */     // MIs[0] policy
     /* 1069754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069786 */     // GIR_Coverage, 21834,
     /* 1069786 */     GIR_EraseRootFromParent_Done,
     /* 1069787 */   // Label 15771: @1069787
     /* 1069787 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069864), // Rule ID 21835 //
     /* 1069792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069831 */     // MIs[0] policy
     /* 1069831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069841 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069863 */     // GIR_Coverage, 21835,
     /* 1069863 */     GIR_EraseRootFromParent_Done,
     /* 1069864 */   // Label 15772: @1069864
     /* 1069864 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069941), // Rule ID 21838 //
     /* 1069869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069908 */     // MIs[0] policy
     /* 1069908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069918 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069940 */     // GIR_Coverage, 21838,
     /* 1069940 */     GIR_EraseRootFromParent_Done,
     /* 1069941 */   // Label 15773: @1069941
     /* 1069941 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1070018), // Rule ID 21839 //
     /* 1069946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069985 */     // MIs[0] policy
     /* 1069985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069995 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070017 */     // GIR_Coverage, 21839,
     /* 1070017 */     GIR_EraseRootFromParent_Done,
     /* 1070018 */   // Label 15774: @1070018
     /* 1070018 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1070095), // Rule ID 21842 //
     /* 1070023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070062 */     // MIs[0] policy
     /* 1070062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070094 */     // GIR_Coverage, 21842,
     /* 1070094 */     GIR_EraseRootFromParent_Done,
     /* 1070095 */   // Label 15775: @1070095
     /* 1070095 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1070172), // Rule ID 21843 //
     /* 1070100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070139 */     // MIs[0] policy
     /* 1070139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070149 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070171 */     // GIR_Coverage, 21843,
     /* 1070171 */     GIR_EraseRootFromParent_Done,
     /* 1070172 */   // Label 15776: @1070172
     /* 1070172 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1070249), // Rule ID 21846 //
     /* 1070177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070216 */     // MIs[0] policy
     /* 1070216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070226 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070248 */     // GIR_Coverage, 21846,
     /* 1070248 */     GIR_EraseRootFromParent_Done,
     /* 1070249 */   // Label 15777: @1070249
     /* 1070249 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1070326), // Rule ID 21847 //
     /* 1070254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070293 */     // MIs[0] policy
     /* 1070293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070303 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070325 */     // GIR_Coverage, 21847,
     /* 1070325 */     GIR_EraseRootFromParent_Done,
     /* 1070326 */   // Label 15778: @1070326
     /* 1070326 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070403), // Rule ID 21850 //
     /* 1070331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070370 */     // MIs[0] policy
     /* 1070370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070380 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070402 */     // GIR_Coverage, 21850,
     /* 1070402 */     GIR_EraseRootFromParent_Done,
     /* 1070403 */   // Label 15779: @1070403
     /* 1070403 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070480), // Rule ID 21851 //
     /* 1070408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070447 */     // MIs[0] policy
     /* 1070447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070457 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070479 */     // GIR_Coverage, 21851,
     /* 1070479 */     GIR_EraseRootFromParent_Done,
     /* 1070480 */   // Label 15780: @1070480
     /* 1070480 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070557), // Rule ID 21854 //
     /* 1070485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070524 */     // MIs[0] policy
     /* 1070524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070534 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070556 */     // GIR_Coverage, 21854,
     /* 1070556 */     GIR_EraseRootFromParent_Done,
     /* 1070557 */   // Label 15781: @1070557
     /* 1070557 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070634), // Rule ID 21855 //
     /* 1070562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070601 */     // MIs[0] policy
     /* 1070601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070611 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070633 */     // GIR_Coverage, 21855,
     /* 1070633 */     GIR_EraseRootFromParent_Done,
     /* 1070634 */   // Label 15782: @1070634
     /* 1070634 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070711), // Rule ID 21858 //
     /* 1070639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070678 */     // MIs[0] policy
     /* 1070678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070710 */     // GIR_Coverage, 21858,
     /* 1070710 */     GIR_EraseRootFromParent_Done,
     /* 1070711 */   // Label 15783: @1070711
     /* 1070711 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070788), // Rule ID 21859 //
     /* 1070716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070755 */     // MIs[0] policy
     /* 1070755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070765 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070787 */     // GIR_Coverage, 21859,
     /* 1070787 */     GIR_EraseRootFromParent_Done,
     /* 1070788 */   // Label 15784: @1070788
     /* 1070788 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070865), // Rule ID 21862 //
     /* 1070793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070832 */     // MIs[0] policy
     /* 1070832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070842 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070864 */     // GIR_Coverage, 21862,
     /* 1070864 */     GIR_EraseRootFromParent_Done,
     /* 1070865 */   // Label 15785: @1070865
     /* 1070865 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070942), // Rule ID 21863 //
     /* 1070870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070909 */     // MIs[0] policy
     /* 1070909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070919 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070941 */     // GIR_Coverage, 21863,
     /* 1070941 */     GIR_EraseRootFromParent_Done,
     /* 1070942 */   // Label 15786: @1070942
     /* 1070942 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1071019), // Rule ID 21866 //
     /* 1070947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070986 */     // MIs[0] policy
     /* 1070986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1070999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071018 */     // GIR_Coverage, 21866,
     /* 1071018 */     GIR_EraseRootFromParent_Done,
     /* 1071019 */   // Label 15787: @1071019
     /* 1071019 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1071096), // Rule ID 21867 //
     /* 1071024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071063 */     // MIs[0] policy
     /* 1071063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071073 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1071076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071095 */     // GIR_Coverage, 21867,
     /* 1071095 */     GIR_EraseRootFromParent_Done,
     /* 1071096 */   // Label 15788: @1071096
     /* 1071096 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1071173), // Rule ID 23306 //
     /* 1071101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071140 */     // MIs[0] policy
     /* 1071140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071172 */     // GIR_Coverage, 23306,
     /* 1071172 */     GIR_EraseRootFromParent_Done,
     /* 1071173 */   // Label 15789: @1071173
     /* 1071173 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1071250), // Rule ID 23307 //
     /* 1071178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071217 */     // MIs[0] policy
     /* 1071217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071249 */     // GIR_Coverage, 23307,
     /* 1071249 */     GIR_EraseRootFromParent_Done,
     /* 1071250 */   // Label 15790: @1071250
     /* 1071250 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1071327), // Rule ID 23310 //
     /* 1071255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071294 */     // MIs[0] policy
     /* 1071294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071326 */     // GIR_Coverage, 23310,
     /* 1071326 */     GIR_EraseRootFromParent_Done,
     /* 1071327 */   // Label 15791: @1071327
     /* 1071327 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071404), // Rule ID 23311 //
     /* 1071332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071371 */     // MIs[0] policy
     /* 1071371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071403 */     // GIR_Coverage, 23311,
     /* 1071403 */     GIR_EraseRootFromParent_Done,
     /* 1071404 */   // Label 15792: @1071404
     /* 1071404 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071481), // Rule ID 23314 //
     /* 1071409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071448 */     // MIs[0] policy
     /* 1071448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071480 */     // GIR_Coverage, 23314,
     /* 1071480 */     GIR_EraseRootFromParent_Done,
     /* 1071481 */   // Label 15793: @1071481
     /* 1071481 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071558), // Rule ID 23315 //
     /* 1071486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071525 */     // MIs[0] policy
     /* 1071525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071557 */     // GIR_Coverage, 23315,
     /* 1071557 */     GIR_EraseRootFromParent_Done,
     /* 1071558 */   // Label 15794: @1071558
     /* 1071558 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071635), // Rule ID 23318 //
     /* 1071563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071602 */     // MIs[0] policy
     /* 1071602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071634 */     // GIR_Coverage, 23318,
     /* 1071634 */     GIR_EraseRootFromParent_Done,
     /* 1071635 */   // Label 15795: @1071635
     /* 1071635 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071712), // Rule ID 23319 //
     /* 1071640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071679 */     // MIs[0] policy
     /* 1071679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071711 */     // GIR_Coverage, 23319,
     /* 1071711 */     GIR_EraseRootFromParent_Done,
     /* 1071712 */   // Label 15796: @1071712
     /* 1071712 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071789), // Rule ID 23322 //
     /* 1071717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071756 */     // MIs[0] policy
     /* 1071756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071788 */     // GIR_Coverage, 23322,
     /* 1071788 */     GIR_EraseRootFromParent_Done,
     /* 1071789 */   // Label 15797: @1071789
     /* 1071789 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071866), // Rule ID 23323 //
     /* 1071794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071833 */     // MIs[0] policy
     /* 1071833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071865 */     // GIR_Coverage, 23323,
     /* 1071865 */     GIR_EraseRootFromParent_Done,
     /* 1071866 */   // Label 15798: @1071866
     /* 1071866 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071943), // Rule ID 23326 //
     /* 1071871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071910 */     // MIs[0] policy
     /* 1071910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071942 */     // GIR_Coverage, 23326,
     /* 1071942 */     GIR_EraseRootFromParent_Done,
     /* 1071943 */   // Label 15799: @1071943
     /* 1071943 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1072020), // Rule ID 23327 //
     /* 1071948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071987 */     // MIs[0] policy
     /* 1071987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072019 */     // GIR_Coverage, 23327,
     /* 1072019 */     GIR_EraseRootFromParent_Done,
     /* 1072020 */   // Label 15800: @1072020
     /* 1072020 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1072097), // Rule ID 23330 //
     /* 1072025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072064 */     // MIs[0] policy
     /* 1072064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072096 */     // GIR_Coverage, 23330,
     /* 1072096 */     GIR_EraseRootFromParent_Done,
     /* 1072097 */   // Label 15801: @1072097
     /* 1072097 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1072174), // Rule ID 23331 //
     /* 1072102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072141 */     // MIs[0] policy
     /* 1072141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072173 */     // GIR_Coverage, 23331,
     /* 1072173 */     GIR_EraseRootFromParent_Done,
     /* 1072174 */   // Label 15802: @1072174
     /* 1072174 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1072251), // Rule ID 23334 //
     /* 1072179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072218 */     // MIs[0] policy
     /* 1072218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072250 */     // GIR_Coverage, 23334,
     /* 1072250 */     GIR_EraseRootFromParent_Done,
     /* 1072251 */   // Label 15803: @1072251
     /* 1072251 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1072328), // Rule ID 23335 //
     /* 1072256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072295 */     // MIs[0] policy
     /* 1072295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072327 */     // GIR_Coverage, 23335,
     /* 1072327 */     GIR_EraseRootFromParent_Done,
     /* 1072328 */   // Label 15804: @1072328
     /* 1072328 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072405), // Rule ID 23338 //
     /* 1072333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072372 */     // MIs[0] policy
     /* 1072372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072404 */     // GIR_Coverage, 23338,
     /* 1072404 */     GIR_EraseRootFromParent_Done,
     /* 1072405 */   // Label 15805: @1072405
     /* 1072405 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072482), // Rule ID 23339 //
     /* 1072410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072449 */     // MIs[0] policy
     /* 1072449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072481 */     // GIR_Coverage, 23339,
     /* 1072481 */     GIR_EraseRootFromParent_Done,
     /* 1072482 */   // Label 15806: @1072482
     /* 1072482 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072559), // Rule ID 23342 //
     /* 1072487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072526 */     // MIs[0] policy
     /* 1072526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072558 */     // GIR_Coverage, 23342,
     /* 1072558 */     GIR_EraseRootFromParent_Done,
     /* 1072559 */   // Label 15807: @1072559
     /* 1072559 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072636), // Rule ID 23343 //
     /* 1072564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072603 */     // MIs[0] policy
     /* 1072603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072613 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072635 */     // GIR_Coverage, 23343,
     /* 1072635 */     GIR_EraseRootFromParent_Done,
     /* 1072636 */   // Label 15808: @1072636
     /* 1072636 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072713), // Rule ID 23346 //
     /* 1072641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072680 */     // MIs[0] policy
     /* 1072680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072712 */     // GIR_Coverage, 23346,
     /* 1072712 */     GIR_EraseRootFromParent_Done,
     /* 1072713 */   // Label 15809: @1072713
     /* 1072713 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072790), // Rule ID 23347 //
     /* 1072718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072757 */     // MIs[0] policy
     /* 1072757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072789 */     // GIR_Coverage, 23347,
     /* 1072789 */     GIR_EraseRootFromParent_Done,
     /* 1072790 */   // Label 15810: @1072790
     /* 1072790 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072867), // Rule ID 23350 //
     /* 1072795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072834 */     // MIs[0] policy
     /* 1072834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072866 */     // GIR_Coverage, 23350,
     /* 1072866 */     GIR_EraseRootFromParent_Done,
     /* 1072867 */   // Label 15811: @1072867
     /* 1072867 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072944), // Rule ID 23351 //
     /* 1072872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072911 */     // MIs[0] policy
     /* 1072911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072943 */     // GIR_Coverage, 23351,
     /* 1072943 */     GIR_EraseRootFromParent_Done,
     /* 1072944 */   // Label 15812: @1072944
     /* 1072944 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1073021), // Rule ID 23354 //
     /* 1072949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072988 */     // MIs[0] policy
     /* 1072988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073020 */     // GIR_Coverage, 23354,
     /* 1073020 */     GIR_EraseRootFromParent_Done,
     /* 1073021 */   // Label 15813: @1073021
     /* 1073021 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1073098), // Rule ID 23355 //
     /* 1073026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073065 */     // MIs[0] policy
     /* 1073065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073097 */     // GIR_Coverage, 23355,
     /* 1073097 */     GIR_EraseRootFromParent_Done,
     /* 1073098 */   // Label 15814: @1073098
     /* 1073098 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1073175), // Rule ID 23358 //
     /* 1073103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073142 */     // MIs[0] policy
     /* 1073142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073174 */     // GIR_Coverage, 23358,
     /* 1073174 */     GIR_EraseRootFromParent_Done,
     /* 1073175 */   // Label 15815: @1073175
     /* 1073175 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1073252), // Rule ID 23359 //
     /* 1073180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073219 */     // MIs[0] policy
     /* 1073219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073251 */     // GIR_Coverage, 23359,
     /* 1073251 */     GIR_EraseRootFromParent_Done,
     /* 1073252 */   // Label 15816: @1073252
     /* 1073252 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1073329), // Rule ID 23362 //
     /* 1073257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073296 */     // MIs[0] policy
     /* 1073296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073328 */     // GIR_Coverage, 23362,
     /* 1073328 */     GIR_EraseRootFromParent_Done,
     /* 1073329 */   // Label 15817: @1073329
     /* 1073329 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073406), // Rule ID 23363 //
     /* 1073334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073373 */     // MIs[0] policy
     /* 1073373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073405 */     // GIR_Coverage, 23363,
     /* 1073405 */     GIR_EraseRootFromParent_Done,
     /* 1073406 */   // Label 15818: @1073406
     /* 1073406 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073483), // Rule ID 23366 //
     /* 1073411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073450 */     // MIs[0] policy
     /* 1073450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073482 */     // GIR_Coverage, 23366,
     /* 1073482 */     GIR_EraseRootFromParent_Done,
     /* 1073483 */   // Label 15819: @1073483
     /* 1073483 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073560), // Rule ID 23367 //
     /* 1073488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073527 */     // MIs[0] policy
     /* 1073527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073559 */     // GIR_Coverage, 23367,
     /* 1073559 */     GIR_EraseRootFromParent_Done,
     /* 1073560 */   // Label 15820: @1073560
     /* 1073560 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073637), // Rule ID 23370 //
     /* 1073565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073604 */     // MIs[0] policy
     /* 1073604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073636 */     // GIR_Coverage, 23370,
     /* 1073636 */     GIR_EraseRootFromParent_Done,
     /* 1073637 */   // Label 15821: @1073637
     /* 1073637 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073714), // Rule ID 23371 //
     /* 1073642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073681 */     // MIs[0] policy
     /* 1073681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073713 */     // GIR_Coverage, 23371,
     /* 1073713 */     GIR_EraseRootFromParent_Done,
     /* 1073714 */   // Label 15822: @1073714
     /* 1073714 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073791), // Rule ID 23374 //
     /* 1073719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073758 */     // MIs[0] policy
     /* 1073758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073790 */     // GIR_Coverage, 23374,
     /* 1073790 */     GIR_EraseRootFromParent_Done,
     /* 1073791 */   // Label 15823: @1073791
     /* 1073791 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073868), // Rule ID 23375 //
     /* 1073796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073835 */     // MIs[0] policy
     /* 1073835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073867 */     // GIR_Coverage, 23375,
     /* 1073867 */     GIR_EraseRootFromParent_Done,
     /* 1073868 */   // Label 15824: @1073868
     /* 1073868 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073945), // Rule ID 23378 //
     /* 1073873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073912 */     // MIs[0] policy
     /* 1073912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073944 */     // GIR_Coverage, 23378,
     /* 1073944 */     GIR_EraseRootFromParent_Done,
     /* 1073945 */   // Label 15825: @1073945
     /* 1073945 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1074022), // Rule ID 23379 //
     /* 1073950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073989 */     // MIs[0] policy
     /* 1073989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074021 */     // GIR_Coverage, 23379,
     /* 1074021 */     GIR_EraseRootFromParent_Done,
     /* 1074022 */   // Label 15826: @1074022
     /* 1074022 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1074099), // Rule ID 23382 //
     /* 1074027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074066 */     // MIs[0] policy
     /* 1074066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074098 */     // GIR_Coverage, 23382,
     /* 1074098 */     GIR_EraseRootFromParent_Done,
     /* 1074099 */   // Label 15827: @1074099
     /* 1074099 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1074176), // Rule ID 23383 //
     /* 1074104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074143 */     // MIs[0] policy
     /* 1074143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074175 */     // GIR_Coverage, 23383,
     /* 1074175 */     GIR_EraseRootFromParent_Done,
     /* 1074176 */   // Label 15828: @1074176
     /* 1074176 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1074253), // Rule ID 23386 //
     /* 1074181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074220 */     // MIs[0] policy
     /* 1074220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074252 */     // GIR_Coverage, 23386,
     /* 1074252 */     GIR_EraseRootFromParent_Done,
     /* 1074253 */   // Label 15829: @1074253
     /* 1074253 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1074330), // Rule ID 23387 //
     /* 1074258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074297 */     // MIs[0] policy
     /* 1074297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074307 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074329 */     // GIR_Coverage, 23387,
     /* 1074329 */     GIR_EraseRootFromParent_Done,
     /* 1074330 */   // Label 15830: @1074330
     /* 1074330 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074407), // Rule ID 23492 //
     /* 1074335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1074346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1074349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1074352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074374 */     // MIs[0] policy
     /* 1074374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074406 */     // GIR_Coverage, 23492,
     /* 1074406 */     GIR_EraseRootFromParent_Done,
     /* 1074407 */   // Label 15831: @1074407
     /* 1074407 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074484), // Rule ID 23493 //
     /* 1074412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1074423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1074426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1074429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074451 */     // MIs[0] policy
     /* 1074451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074483 */     // GIR_Coverage, 23493,
     /* 1074483 */     GIR_EraseRootFromParent_Done,
     /* 1074484 */   // Label 15832: @1074484
     /* 1074484 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074561), // Rule ID 23496 //
     /* 1074489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074528 */     // MIs[0] policy
     /* 1074528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074560 */     // GIR_Coverage, 23496,
     /* 1074560 */     GIR_EraseRootFromParent_Done,
     /* 1074561 */   // Label 15833: @1074561
     /* 1074561 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074638), // Rule ID 23497 //
     /* 1074566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074605 */     // MIs[0] policy
     /* 1074605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074637 */     // GIR_Coverage, 23497,
     /* 1074637 */     GIR_EraseRootFromParent_Done,
     /* 1074638 */   // Label 15834: @1074638
     /* 1074638 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074715), // Rule ID 23500 //
     /* 1074643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074682 */     // MIs[0] policy
     /* 1074682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074714 */     // GIR_Coverage, 23500,
     /* 1074714 */     GIR_EraseRootFromParent_Done,
     /* 1074715 */   // Label 15835: @1074715
     /* 1074715 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074792), // Rule ID 23501 //
     /* 1074720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074759 */     // MIs[0] policy
     /* 1074759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074769 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074791 */     // GIR_Coverage, 23501,
     /* 1074791 */     GIR_EraseRootFromParent_Done,
     /* 1074792 */   // Label 15836: @1074792
     /* 1074792 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074869), // Rule ID 23504 //
     /* 1074797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074836 */     // MIs[0] policy
     /* 1074836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074868 */     // GIR_Coverage, 23504,
     /* 1074868 */     GIR_EraseRootFromParent_Done,
     /* 1074869 */   // Label 15837: @1074869
     /* 1074869 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074946), // Rule ID 23505 //
     /* 1074874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074913 */     // MIs[0] policy
     /* 1074913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074945 */     // GIR_Coverage, 23505,
     /* 1074945 */     GIR_EraseRootFromParent_Done,
     /* 1074946 */   // Label 15838: @1074946
     /* 1074946 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1075023), // Rule ID 23508 //
     /* 1074951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074990 */     // MIs[0] policy
     /* 1074990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075022 */     // GIR_Coverage, 23508,
     /* 1075022 */     GIR_EraseRootFromParent_Done,
     /* 1075023 */   // Label 15839: @1075023
     /* 1075023 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1075100), // Rule ID 23509 //
     /* 1075028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075067 */     // MIs[0] policy
     /* 1075067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075099 */     // GIR_Coverage, 23509,
     /* 1075099 */     GIR_EraseRootFromParent_Done,
     /* 1075100 */   // Label 15840: @1075100
     /* 1075100 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1075177), // Rule ID 23512 //
     /* 1075105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075144 */     // MIs[0] policy
     /* 1075144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075176 */     // GIR_Coverage, 23512,
     /* 1075176 */     GIR_EraseRootFromParent_Done,
     /* 1075177 */   // Label 15841: @1075177
     /* 1075177 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1075254), // Rule ID 23513 //
     /* 1075182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075221 */     // MIs[0] policy
     /* 1075221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075231 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075253 */     // GIR_Coverage, 23513,
     /* 1075253 */     GIR_EraseRootFromParent_Done,
     /* 1075254 */   // Label 15842: @1075254
     /* 1075254 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1075331), // Rule ID 23516 //
     /* 1075259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1075270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1075273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1075276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075298 */     // MIs[0] policy
     /* 1075298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075330 */     // GIR_Coverage, 23516,
     /* 1075330 */     GIR_EraseRootFromParent_Done,
     /* 1075331 */   // Label 15843: @1075331
     /* 1075331 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075408), // Rule ID 23517 //
     /* 1075336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1075347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1075350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1075353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075375 */     // MIs[0] policy
     /* 1075375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075407 */     // GIR_Coverage, 23517,
     /* 1075407 */     GIR_EraseRootFromParent_Done,
     /* 1075408 */   // Label 15844: @1075408
     /* 1075408 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075485), // Rule ID 23520 //
     /* 1075413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075452 */     // MIs[0] policy
     /* 1075452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075484 */     // GIR_Coverage, 23520,
     /* 1075484 */     GIR_EraseRootFromParent_Done,
     /* 1075485 */   // Label 15845: @1075485
     /* 1075485 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075562), // Rule ID 23521 //
     /* 1075490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075529 */     // MIs[0] policy
     /* 1075529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075561 */     // GIR_Coverage, 23521,
     /* 1075561 */     GIR_EraseRootFromParent_Done,
     /* 1075562 */   // Label 15846: @1075562
     /* 1075562 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075639), // Rule ID 23524 //
     /* 1075567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075606 */     // MIs[0] policy
     /* 1075606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075638 */     // GIR_Coverage, 23524,
     /* 1075638 */     GIR_EraseRootFromParent_Done,
     /* 1075639 */   // Label 15847: @1075639
     /* 1075639 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075716), // Rule ID 23525 //
     /* 1075644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075683 */     // MIs[0] policy
     /* 1075683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075715 */     // GIR_Coverage, 23525,
     /* 1075715 */     GIR_EraseRootFromParent_Done,
     /* 1075716 */   // Label 15848: @1075716
     /* 1075716 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075793), // Rule ID 23528 //
     /* 1075721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075760 */     // MIs[0] policy
     /* 1075760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075792 */     // GIR_Coverage, 23528,
     /* 1075792 */     GIR_EraseRootFromParent_Done,
     /* 1075793 */   // Label 15849: @1075793
     /* 1075793 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075870), // Rule ID 23529 //
     /* 1075798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075837 */     // MIs[0] policy
     /* 1075837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075869 */     // GIR_Coverage, 23529,
     /* 1075869 */     GIR_EraseRootFromParent_Done,
     /* 1075870 */   // Label 15850: @1075870
     /* 1075870 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075947), // Rule ID 23532 //
     /* 1075875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075914 */     // MIs[0] policy
     /* 1075914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075946 */     // GIR_Coverage, 23532,
     /* 1075946 */     GIR_EraseRootFromParent_Done,
     /* 1075947 */   // Label 15851: @1075947
     /* 1075947 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1076024), // Rule ID 23533 //
     /* 1075952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075991 */     // MIs[0] policy
     /* 1075991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076023 */     // GIR_Coverage, 23533,
     /* 1076023 */     GIR_EraseRootFromParent_Done,
     /* 1076024 */   // Label 15852: @1076024
     /* 1076024 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1076101), // Rule ID 23536 //
     /* 1076029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076068 */     // MIs[0] policy
     /* 1076068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076100 */     // GIR_Coverage, 23536,
     /* 1076100 */     GIR_EraseRootFromParent_Done,
     /* 1076101 */   // Label 15853: @1076101
     /* 1076101 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1076178), // Rule ID 23537 //
     /* 1076106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076145 */     // MIs[0] policy
     /* 1076145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076177 */     // GIR_Coverage, 23537,
     /* 1076177 */     GIR_EraseRootFromParent_Done,
     /* 1076178 */   // Label 15854: @1076178
     /* 1076178 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1076255), // Rule ID 23540 //
     /* 1076183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076222 */     // MIs[0] policy
     /* 1076222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076254 */     // GIR_Coverage, 23540,
     /* 1076254 */     GIR_EraseRootFromParent_Done,
     /* 1076255 */   // Label 15855: @1076255
     /* 1076255 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1076332), // Rule ID 23541 //
     /* 1076260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076299 */     // MIs[0] policy
     /* 1076299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076331 */     // GIR_Coverage, 23541,
     /* 1076331 */     GIR_EraseRootFromParent_Done,
     /* 1076332 */   // Label 15856: @1076332
     /* 1076332 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076409), // Rule ID 23544 //
     /* 1076337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1076348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1076351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076376 */     // MIs[0] policy
     /* 1076376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076408 */     // GIR_Coverage, 23544,
     /* 1076408 */     GIR_EraseRootFromParent_Done,
     /* 1076409 */   // Label 15857: @1076409
     /* 1076409 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076486), // Rule ID 23545 //
     /* 1076414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1076425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1076428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076453 */     // MIs[0] policy
     /* 1076453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076485 */     // GIR_Coverage, 23545,
     /* 1076485 */     GIR_EraseRootFromParent_Done,
     /* 1076486 */   // Label 15858: @1076486
     /* 1076486 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076563), // Rule ID 23548 //
     /* 1076491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076530 */     // MIs[0] policy
     /* 1076530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076562 */     // GIR_Coverage, 23548,
     /* 1076562 */     GIR_EraseRootFromParent_Done,
     /* 1076563 */   // Label 15859: @1076563
     /* 1076563 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076640), // Rule ID 23549 //
     /* 1076568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076607 */     // MIs[0] policy
     /* 1076607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076639 */     // GIR_Coverage, 23549,
     /* 1076639 */     GIR_EraseRootFromParent_Done,
     /* 1076640 */   // Label 15860: @1076640
     /* 1076640 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076717), // Rule ID 23552 //
     /* 1076645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076684 */     // MIs[0] policy
     /* 1076684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076716 */     // GIR_Coverage, 23552,
     /* 1076716 */     GIR_EraseRootFromParent_Done,
     /* 1076717 */   // Label 15861: @1076717
     /* 1076717 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076794), // Rule ID 23553 //
     /* 1076722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076761 */     // MIs[0] policy
     /* 1076761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076793 */     // GIR_Coverage, 23553,
     /* 1076793 */     GIR_EraseRootFromParent_Done,
     /* 1076794 */   // Label 15862: @1076794
     /* 1076794 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076871), // Rule ID 23556 //
     /* 1076799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076838 */     // MIs[0] policy
     /* 1076838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076870 */     // GIR_Coverage, 23556,
     /* 1076870 */     GIR_EraseRootFromParent_Done,
     /* 1076871 */   // Label 15863: @1076871
     /* 1076871 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076948), // Rule ID 23557 //
     /* 1076876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076915 */     // MIs[0] policy
     /* 1076915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076947 */     // GIR_Coverage, 23557,
     /* 1076947 */     GIR_EraseRootFromParent_Done,
     /* 1076948 */   // Label 15864: @1076948
     /* 1076948 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1077025), // Rule ID 23560 //
     /* 1076953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076992 */     // MIs[0] policy
     /* 1076992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077024 */     // GIR_Coverage, 23560,
     /* 1077024 */     GIR_EraseRootFromParent_Done,
     /* 1077025 */   // Label 15865: @1077025
     /* 1077025 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1077102), // Rule ID 23561 //
     /* 1077030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1077047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077069 */     // MIs[0] policy
     /* 1077069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077101 */     // GIR_Coverage, 23561,
     /* 1077101 */     GIR_EraseRootFromParent_Done,
     /* 1077102 */   // Label 15866: @1077102
     /* 1077102 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1077179), // Rule ID 23564 //
     /* 1077107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077146 */     // MIs[0] policy
     /* 1077146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077178 */     // GIR_Coverage, 23564,
     /* 1077178 */     GIR_EraseRootFromParent_Done,
     /* 1077179 */   // Label 15867: @1077179
     /* 1077179 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1077256), // Rule ID 23565 //
     /* 1077184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077223 */     // MIs[0] policy
     /* 1077223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077255 */     // GIR_Coverage, 23565,
     /* 1077255 */     GIR_EraseRootFromParent_Done,
     /* 1077256 */   // Label 15868: @1077256
     /* 1077256 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1077333), // Rule ID 23568 //
     /* 1077261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1077272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1077275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1077278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077300 */     // MIs[0] policy
     /* 1077300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077332 */     // GIR_Coverage, 23568,
     /* 1077332 */     GIR_EraseRootFromParent_Done,
     /* 1077333 */   // Label 15869: @1077333
     /* 1077333 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077410), // Rule ID 23569 //
     /* 1077338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1077349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1077352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1077355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077377 */     // MIs[0] policy
     /* 1077377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077409 */     // GIR_Coverage, 23569,
     /* 1077409 */     GIR_EraseRootFromParent_Done,
     /* 1077410 */   // Label 15870: @1077410
     /* 1077410 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077487), // Rule ID 23572 //
     /* 1077415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077454 */     // MIs[0] policy
     /* 1077454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077486 */     // GIR_Coverage, 23572,
     /* 1077486 */     GIR_EraseRootFromParent_Done,
     /* 1077487 */   // Label 15871: @1077487
     /* 1077487 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077564), // Rule ID 23573 //
     /* 1077492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077531 */     // MIs[0] policy
     /* 1077531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077541 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077563 */     // GIR_Coverage, 23573,
     /* 1077563 */     GIR_EraseRootFromParent_Done,
     /* 1077564 */   // Label 15872: @1077564
     /* 1077564 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077641), // Rule ID 23576 //
     /* 1077569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077608 */     // MIs[0] policy
     /* 1077608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077640 */     // GIR_Coverage, 23576,
     /* 1077640 */     GIR_EraseRootFromParent_Done,
     /* 1077641 */   // Label 15873: @1077641
     /* 1077641 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077718), // Rule ID 23577 //
     /* 1077646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077685 */     // MIs[0] policy
     /* 1077685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077717 */     // GIR_Coverage, 23577,
     /* 1077717 */     GIR_EraseRootFromParent_Done,
     /* 1077718 */   // Label 15874: @1077718
     /* 1077718 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077795), // Rule ID 23668 //
     /* 1077723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077762 */     // MIs[0] policy
     /* 1077762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077794 */     // GIR_Coverage, 23668,
     /* 1077794 */     GIR_EraseRootFromParent_Done,
     /* 1077795 */   // Label 15875: @1077795
     /* 1077795 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077872), // Rule ID 23669 //
     /* 1077800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077839 */     // MIs[0] policy
     /* 1077839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077871 */     // GIR_Coverage, 23669,
     /* 1077871 */     GIR_EraseRootFromParent_Done,
     /* 1077872 */   // Label 15876: @1077872
     /* 1077872 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077949), // Rule ID 23672 //
     /* 1077877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077916 */     // MIs[0] policy
     /* 1077916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077948 */     // GIR_Coverage, 23672,
     /* 1077948 */     GIR_EraseRootFromParent_Done,
     /* 1077949 */   // Label 15877: @1077949
     /* 1077949 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1078026), // Rule ID 23673 //
     /* 1077954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077993 */     // MIs[0] policy
     /* 1077993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078025 */     // GIR_Coverage, 23673,
     /* 1078025 */     GIR_EraseRootFromParent_Done,
     /* 1078026 */   // Label 15878: @1078026
     /* 1078026 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1078103), // Rule ID 23676 //
     /* 1078031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078070 */     // MIs[0] policy
     /* 1078070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078102 */     // GIR_Coverage, 23676,
     /* 1078102 */     GIR_EraseRootFromParent_Done,
     /* 1078103 */   // Label 15879: @1078103
     /* 1078103 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1078180), // Rule ID 23677 //
     /* 1078108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078147 */     // MIs[0] policy
     /* 1078147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078157 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078179 */     // GIR_Coverage, 23677,
     /* 1078179 */     GIR_EraseRootFromParent_Done,
     /* 1078180 */   // Label 15880: @1078180
     /* 1078180 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1078257), // Rule ID 23680 //
     /* 1078185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078224 */     // MIs[0] policy
     /* 1078224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078256 */     // GIR_Coverage, 23680,
     /* 1078256 */     GIR_EraseRootFromParent_Done,
     /* 1078257 */   // Label 15881: @1078257
     /* 1078257 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1078334), // Rule ID 23681 //
     /* 1078262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078301 */     // MIs[0] policy
     /* 1078301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078333 */     // GIR_Coverage, 23681,
     /* 1078333 */     GIR_EraseRootFromParent_Done,
     /* 1078334 */   // Label 15882: @1078334
     /* 1078334 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078411), // Rule ID 23684 //
     /* 1078339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1078350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1078353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078378 */     // MIs[0] policy
     /* 1078378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078410 */     // GIR_Coverage, 23684,
     /* 1078410 */     GIR_EraseRootFromParent_Done,
     /* 1078411 */   // Label 15883: @1078411
     /* 1078411 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078488), // Rule ID 23685 //
     /* 1078416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1078427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1078430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078455 */     // MIs[0] policy
     /* 1078455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078465 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078487 */     // GIR_Coverage, 23685,
     /* 1078487 */     GIR_EraseRootFromParent_Done,
     /* 1078488 */   // Label 15884: @1078488
     /* 1078488 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078565), // Rule ID 23688 //
     /* 1078493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078532 */     // MIs[0] policy
     /* 1078532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078564 */     // GIR_Coverage, 23688,
     /* 1078564 */     GIR_EraseRootFromParent_Done,
     /* 1078565 */   // Label 15885: @1078565
     /* 1078565 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078642), // Rule ID 23689 //
     /* 1078570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078609 */     // MIs[0] policy
     /* 1078609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078641 */     // GIR_Coverage, 23689,
     /* 1078641 */     GIR_EraseRootFromParent_Done,
     /* 1078642 */   // Label 15886: @1078642
     /* 1078642 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078719), // Rule ID 23692 //
     /* 1078647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078686 */     // MIs[0] policy
     /* 1078686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078718 */     // GIR_Coverage, 23692,
     /* 1078718 */     GIR_EraseRootFromParent_Done,
     /* 1078719 */   // Label 15887: @1078719
     /* 1078719 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078796), // Rule ID 23693 //
     /* 1078724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078763 */     // MIs[0] policy
     /* 1078763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078795 */     // GIR_Coverage, 23693,
     /* 1078795 */     GIR_EraseRootFromParent_Done,
     /* 1078796 */   // Label 15888: @1078796
     /* 1078796 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078873), // Rule ID 23696 //
     /* 1078801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078840 */     // MIs[0] policy
     /* 1078840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078872 */     // GIR_Coverage, 23696,
     /* 1078872 */     GIR_EraseRootFromParent_Done,
     /* 1078873 */   // Label 15889: @1078873
     /* 1078873 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078950), // Rule ID 23697 //
     /* 1078878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078917 */     // MIs[0] policy
     /* 1078917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078949 */     // GIR_Coverage, 23697,
     /* 1078949 */     GIR_EraseRootFromParent_Done,
     /* 1078950 */   // Label 15890: @1078950
     /* 1078950 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1079027), // Rule ID 23700 //
     /* 1078955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078994 */     // MIs[0] policy
     /* 1078994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079026 */     // GIR_Coverage, 23700,
     /* 1079026 */     GIR_EraseRootFromParent_Done,
     /* 1079027 */   // Label 15891: @1079027
     /* 1079027 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1079104), // Rule ID 23701 //
     /* 1079032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079071 */     // MIs[0] policy
     /* 1079071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079103 */     // GIR_Coverage, 23701,
     /* 1079103 */     GIR_EraseRootFromParent_Done,
     /* 1079104 */   // Label 15892: @1079104
     /* 1079104 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1079181), // Rule ID 23704 //
     /* 1079109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079148 */     // MIs[0] policy
     /* 1079148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079180 */     // GIR_Coverage, 23704,
     /* 1079180 */     GIR_EraseRootFromParent_Done,
     /* 1079181 */   // Label 15893: @1079181
     /* 1079181 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1079258), // Rule ID 23705 //
     /* 1079186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079225 */     // MIs[0] policy
     /* 1079225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079257 */     // GIR_Coverage, 23705,
     /* 1079257 */     GIR_EraseRootFromParent_Done,
     /* 1079258 */   // Label 15894: @1079258
     /* 1079258 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1079335), // Rule ID 23708 //
     /* 1079263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1079280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079302 */     // MIs[0] policy
     /* 1079302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079334 */     // GIR_Coverage, 23708,
     /* 1079334 */     GIR_EraseRootFromParent_Done,
     /* 1079335 */   // Label 15895: @1079335
     /* 1079335 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079412), // Rule ID 23709 //
     /* 1079340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1079357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079379 */     // MIs[0] policy
     /* 1079379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079411 */     // GIR_Coverage, 23709,
     /* 1079411 */     GIR_EraseRootFromParent_Done,
     /* 1079412 */   // Label 15896: @1079412
     /* 1079412 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079489), // Rule ID 23712 //
     /* 1079417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079456 */     // MIs[0] policy
     /* 1079456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079488 */     // GIR_Coverage, 23712,
     /* 1079488 */     GIR_EraseRootFromParent_Done,
     /* 1079489 */   // Label 15897: @1079489
     /* 1079489 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079566), // Rule ID 23713 //
     /* 1079494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079533 */     // MIs[0] policy
     /* 1079533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079565 */     // GIR_Coverage, 23713,
     /* 1079565 */     GIR_EraseRootFromParent_Done,
     /* 1079566 */   // Label 15898: @1079566
     /* 1079566 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079643), // Rule ID 23716 //
     /* 1079571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079610 */     // MIs[0] policy
     /* 1079610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079620 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079642 */     // GIR_Coverage, 23716,
     /* 1079642 */     GIR_EraseRootFromParent_Done,
     /* 1079643 */   // Label 15899: @1079643
     /* 1079643 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079720), // Rule ID 23717 //
     /* 1079648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079687 */     // MIs[0] policy
     /* 1079687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079719 */     // GIR_Coverage, 23717,
     /* 1079719 */     GIR_EraseRootFromParent_Done,
     /* 1079720 */   // Label 15900: @1079720
     /* 1079720 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079797), // Rule ID 23720 //
     /* 1079725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079764 */     // MIs[0] policy
     /* 1079764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079796 */     // GIR_Coverage, 23720,
     /* 1079796 */     GIR_EraseRootFromParent_Done,
     /* 1079797 */   // Label 15901: @1079797
     /* 1079797 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079874), // Rule ID 23721 //
     /* 1079802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079841 */     // MIs[0] policy
     /* 1079841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079873 */     // GIR_Coverage, 23721,
     /* 1079873 */     GIR_EraseRootFromParent_Done,
     /* 1079874 */   // Label 15902: @1079874
     /* 1079874 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079951), // Rule ID 23724 //
     /* 1079879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079918 */     // MIs[0] policy
     /* 1079918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079950 */     // GIR_Coverage, 23724,
     /* 1079950 */     GIR_EraseRootFromParent_Done,
     /* 1079951 */   // Label 15903: @1079951
     /* 1079951 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1080028), // Rule ID 23725 //
     /* 1079956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079995 */     // MIs[0] policy
     /* 1079995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080027 */     // GIR_Coverage, 23725,
     /* 1080027 */     GIR_EraseRootFromParent_Done,
     /* 1080028 */   // Label 15904: @1080028
     /* 1080028 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1080105), // Rule ID 23728 //
     /* 1080033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080072 */     // MIs[0] policy
     /* 1080072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080104 */     // GIR_Coverage, 23728,
     /* 1080104 */     GIR_EraseRootFromParent_Done,
     /* 1080105 */   // Label 15905: @1080105
     /* 1080105 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1080182), // Rule ID 23729 //
     /* 1080110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080149 */     // MIs[0] policy
     /* 1080149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080159 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080181 */     // GIR_Coverage, 23729,
     /* 1080181 */     GIR_EraseRootFromParent_Done,
     /* 1080182 */   // Label 15906: @1080182
     /* 1080182 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1080259), // Rule ID 23732 //
     /* 1080187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080226 */     // MIs[0] policy
     /* 1080226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080258 */     // GIR_Coverage, 23732,
     /* 1080258 */     GIR_EraseRootFromParent_Done,
     /* 1080259 */   // Label 15907: @1080259
     /* 1080259 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1080336), // Rule ID 23733 //
     /* 1080264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080303 */     // MIs[0] policy
     /* 1080303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080335 */     // GIR_Coverage, 23733,
     /* 1080335 */     GIR_EraseRootFromParent_Done,
     /* 1080336 */   // Label 15908: @1080336
     /* 1080336 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080413), // Rule ID 23736 //
     /* 1080341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1080352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080380 */     // MIs[0] policy
     /* 1080380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080412 */     // GIR_Coverage, 23736,
     /* 1080412 */     GIR_EraseRootFromParent_Done,
     /* 1080413 */   // Label 15909: @1080413
     /* 1080413 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080490), // Rule ID 23737 //
     /* 1080418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1080429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080457 */     // MIs[0] policy
     /* 1080457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080489 */     // GIR_Coverage, 23737,
     /* 1080489 */     GIR_EraseRootFromParent_Done,
     /* 1080490 */   // Label 15910: @1080490
     /* 1080490 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080567), // Rule ID 23740 //
     /* 1080495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080534 */     // MIs[0] policy
     /* 1080534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080566 */     // GIR_Coverage, 23740,
     /* 1080566 */     GIR_EraseRootFromParent_Done,
     /* 1080567 */   // Label 15911: @1080567
     /* 1080567 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080644), // Rule ID 23741 //
     /* 1080572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080611 */     // MIs[0] policy
     /* 1080611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080643 */     // GIR_Coverage, 23741,
     /* 1080643 */     GIR_EraseRootFromParent_Done,
     /* 1080644 */   // Label 15912: @1080644
     /* 1080644 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080721), // Rule ID 23744 //
     /* 1080649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080688 */     // MIs[0] policy
     /* 1080688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080720 */     // GIR_Coverage, 23744,
     /* 1080720 */     GIR_EraseRootFromParent_Done,
     /* 1080721 */   // Label 15913: @1080721
     /* 1080721 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080798), // Rule ID 23745 //
     /* 1080726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080765 */     // MIs[0] policy
     /* 1080765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080797 */     // GIR_Coverage, 23745,
     /* 1080797 */     GIR_EraseRootFromParent_Done,
     /* 1080798 */   // Label 15914: @1080798
     /* 1080798 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080875), // Rule ID 23748 //
     /* 1080803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080842 */     // MIs[0] policy
     /* 1080842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080874 */     // GIR_Coverage, 23748,
     /* 1080874 */     GIR_EraseRootFromParent_Done,
     /* 1080875 */   // Label 15915: @1080875
     /* 1080875 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080952), // Rule ID 23749 //
     /* 1080880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080919 */     // MIs[0] policy
     /* 1080919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080951 */     // GIR_Coverage, 23749,
     /* 1080951 */     GIR_EraseRootFromParent_Done,
     /* 1080952 */   // Label 15916: @1080952
     /* 1080952 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1081029), // Rule ID 23752 //
     /* 1080957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080996 */     // MIs[0] policy
     /* 1080996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081028 */     // GIR_Coverage, 23752,
     /* 1081028 */     GIR_EraseRootFromParent_Done,
     /* 1081029 */   // Label 15917: @1081029
     /* 1081029 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1081106), // Rule ID 23753 //
     /* 1081034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081073 */     // MIs[0] policy
     /* 1081073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081105 */     // GIR_Coverage, 23753,
     /* 1081105 */     GIR_EraseRootFromParent_Done,
     /* 1081106 */   // Label 15918: @1081106
     /* 1081106 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1081183), // Rule ID 24020 //
     /* 1081111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081150 */     // MIs[0] policy
     /* 1081150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081160 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081182 */     // GIR_Coverage, 24020,
     /* 1081182 */     GIR_EraseRootFromParent_Done,
     /* 1081183 */   // Label 15919: @1081183
     /* 1081183 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1081260), // Rule ID 24021 //
     /* 1081188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081227 */     // MIs[0] policy
     /* 1081227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081237 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081259 */     // GIR_Coverage, 24021,
     /* 1081259 */     GIR_EraseRootFromParent_Done,
     /* 1081260 */   // Label 15920: @1081260
     /* 1081260 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1081337), // Rule ID 24024 //
     /* 1081265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081304 */     // MIs[0] policy
     /* 1081304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081336 */     // GIR_Coverage, 24024,
     /* 1081336 */     GIR_EraseRootFromParent_Done,
     /* 1081337 */   // Label 15921: @1081337
     /* 1081337 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081414), // Rule ID 24025 //
     /* 1081342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081381 */     // MIs[0] policy
     /* 1081381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081391 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081413 */     // GIR_Coverage, 24025,
     /* 1081413 */     GIR_EraseRootFromParent_Done,
     /* 1081414 */   // Label 15922: @1081414
     /* 1081414 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081491), // Rule ID 24028 //
     /* 1081419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081458 */     // MIs[0] policy
     /* 1081458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081490 */     // GIR_Coverage, 24028,
     /* 1081490 */     GIR_EraseRootFromParent_Done,
     /* 1081491 */   // Label 15923: @1081491
     /* 1081491 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081568), // Rule ID 24029 //
     /* 1081496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081535 */     // MIs[0] policy
     /* 1081535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081545 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081567 */     // GIR_Coverage, 24029,
     /* 1081567 */     GIR_EraseRootFromParent_Done,
     /* 1081568 */   // Label 15924: @1081568
     /* 1081568 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081645), // Rule ID 24032 //
     /* 1081573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081612 */     // MIs[0] policy
     /* 1081612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081644 */     // GIR_Coverage, 24032,
     /* 1081644 */     GIR_EraseRootFromParent_Done,
     /* 1081645 */   // Label 15925: @1081645
     /* 1081645 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081722), // Rule ID 24033 //
     /* 1081650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081689 */     // MIs[0] policy
     /* 1081689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081699 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081721 */     // GIR_Coverage, 24033,
     /* 1081721 */     GIR_EraseRootFromParent_Done,
     /* 1081722 */   // Label 15926: @1081722
     /* 1081722 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081799), // Rule ID 24036 //
     /* 1081727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081766 */     // MIs[0] policy
     /* 1081766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081798 */     // GIR_Coverage, 24036,
     /* 1081798 */     GIR_EraseRootFromParent_Done,
     /* 1081799 */   // Label 15927: @1081799
     /* 1081799 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081876), // Rule ID 24037 //
     /* 1081804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081843 */     // MIs[0] policy
     /* 1081843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081853 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081875 */     // GIR_Coverage, 24037,
     /* 1081875 */     GIR_EraseRootFromParent_Done,
     /* 1081876 */   // Label 15928: @1081876
     /* 1081876 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081953), // Rule ID 24040 //
     /* 1081881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081920 */     // MIs[0] policy
     /* 1081920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081952 */     // GIR_Coverage, 24040,
     /* 1081952 */     GIR_EraseRootFromParent_Done,
     /* 1081953 */   // Label 15929: @1081953
     /* 1081953 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1082030), // Rule ID 24041 //
     /* 1081958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081997 */     // MIs[0] policy
     /* 1081997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082029 */     // GIR_Coverage, 24041,
     /* 1082029 */     GIR_EraseRootFromParent_Done,
     /* 1082030 */   // Label 15930: @1082030
     /* 1082030 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1082107), // Rule ID 24044 //
     /* 1082035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082074 */     // MIs[0] policy
     /* 1082074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082084 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082106 */     // GIR_Coverage, 24044,
     /* 1082106 */     GIR_EraseRootFromParent_Done,
     /* 1082107 */   // Label 15931: @1082107
     /* 1082107 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1082184), // Rule ID 24045 //
     /* 1082112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082151 */     // MIs[0] policy
     /* 1082151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082161 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082183 */     // GIR_Coverage, 24045,
     /* 1082183 */     GIR_EraseRootFromParent_Done,
     /* 1082184 */   // Label 15932: @1082184
     /* 1082184 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1082261), // Rule ID 24048 //
     /* 1082189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082228 */     // MIs[0] policy
     /* 1082228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082238 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082260 */     // GIR_Coverage, 24048,
     /* 1082260 */     GIR_EraseRootFromParent_Done,
     /* 1082261 */   // Label 15933: @1082261
     /* 1082261 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1082338), // Rule ID 24049 //
     /* 1082266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082305 */     // MIs[0] policy
     /* 1082305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082315 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082337 */     // GIR_Coverage, 24049,
     /* 1082337 */     GIR_EraseRootFromParent_Done,
     /* 1082338 */   // Label 15934: @1082338
     /* 1082338 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082415), // Rule ID 24052 //
     /* 1082343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082382 */     // MIs[0] policy
     /* 1082382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082392 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082414 */     // GIR_Coverage, 24052,
     /* 1082414 */     GIR_EraseRootFromParent_Done,
     /* 1082415 */   // Label 15935: @1082415
     /* 1082415 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082492), // Rule ID 24053 //
     /* 1082420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082459 */     // MIs[0] policy
     /* 1082459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082469 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082491 */     // GIR_Coverage, 24053,
     /* 1082491 */     GIR_EraseRootFromParent_Done,
     /* 1082492 */   // Label 15936: @1082492
     /* 1082492 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082569), // Rule ID 24056 //
     /* 1082497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082536 */     // MIs[0] policy
     /* 1082536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082568 */     // GIR_Coverage, 24056,
     /* 1082568 */     GIR_EraseRootFromParent_Done,
     /* 1082569 */   // Label 15937: @1082569
     /* 1082569 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082646), // Rule ID 24057 //
     /* 1082574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082613 */     // MIs[0] policy
     /* 1082613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082645 */     // GIR_Coverage, 24057,
     /* 1082645 */     GIR_EraseRootFromParent_Done,
     /* 1082646 */   // Label 15938: @1082646
     /* 1082646 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082723), // Rule ID 24060 //
     /* 1082651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082690 */     // MIs[0] policy
     /* 1082690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082722 */     // GIR_Coverage, 24060,
     /* 1082722 */     GIR_EraseRootFromParent_Done,
     /* 1082723 */   // Label 15939: @1082723
     /* 1082723 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082800), // Rule ID 24061 //
     /* 1082728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082767 */     // MIs[0] policy
     /* 1082767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082799 */     // GIR_Coverage, 24061,
     /* 1082799 */     GIR_EraseRootFromParent_Done,
     /* 1082800 */   // Label 15940: @1082800
     /* 1082800 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082877), // Rule ID 24064 //
     /* 1082805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082844 */     // MIs[0] policy
     /* 1082844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082854 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082876 */     // GIR_Coverage, 24064,
     /* 1082876 */     GIR_EraseRootFromParent_Done,
     /* 1082877 */   // Label 15941: @1082877
     /* 1082877 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082954), // Rule ID 24065 //
     /* 1082882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082921 */     // MIs[0] policy
     /* 1082921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082931 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082953 */     // GIR_Coverage, 24065,
     /* 1082953 */     GIR_EraseRootFromParent_Done,
     /* 1082954 */   // Label 15942: @1082954
     /* 1082954 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1083031), // Rule ID 24068 //
     /* 1082959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082998 */     // MIs[0] policy
     /* 1082998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083030 */     // GIR_Coverage, 24068,
     /* 1083030 */     GIR_EraseRootFromParent_Done,
     /* 1083031 */   // Label 15943: @1083031
     /* 1083031 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1083108), // Rule ID 24069 //
     /* 1083036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083075 */     // MIs[0] policy
     /* 1083075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083085 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083107 */     // GIR_Coverage, 24069,
     /* 1083107 */     GIR_EraseRootFromParent_Done,
     /* 1083108 */   // Label 15944: @1083108
     /* 1083108 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1083185), // Rule ID 24072 //
     /* 1083113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083152 */     // MIs[0] policy
     /* 1083152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083184 */     // GIR_Coverage, 24072,
     /* 1083184 */     GIR_EraseRootFromParent_Done,
     /* 1083185 */   // Label 15945: @1083185
     /* 1083185 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1083262), // Rule ID 24073 //
     /* 1083190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083229 */     // MIs[0] policy
     /* 1083229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083239 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083261 */     // GIR_Coverage, 24073,
     /* 1083261 */     GIR_EraseRootFromParent_Done,
     /* 1083262 */   // Label 15946: @1083262
     /* 1083262 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1083339), // Rule ID 24076 //
     /* 1083267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083306 */     // MIs[0] policy
     /* 1083306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083338 */     // GIR_Coverage, 24076,
     /* 1083338 */     GIR_EraseRootFromParent_Done,
     /* 1083339 */   // Label 15947: @1083339
     /* 1083339 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083416), // Rule ID 24077 //
     /* 1083344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083383 */     // MIs[0] policy
     /* 1083383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083393 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083415 */     // GIR_Coverage, 24077,
     /* 1083415 */     GIR_EraseRootFromParent_Done,
     /* 1083416 */   // Label 15948: @1083416
     /* 1083416 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083493), // Rule ID 24140 //
     /* 1083421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083460 */     // MIs[0] policy
     /* 1083460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083470 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083492 */     // GIR_Coverage, 24140,
     /* 1083492 */     GIR_EraseRootFromParent_Done,
     /* 1083493 */   // Label 15949: @1083493
     /* 1083493 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083570), // Rule ID 24141 //
     /* 1083498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083537 */     // MIs[0] policy
     /* 1083537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083547 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083569 */     // GIR_Coverage, 24141,
     /* 1083569 */     GIR_EraseRootFromParent_Done,
     /* 1083570 */   // Label 15950: @1083570
     /* 1083570 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083647), // Rule ID 24144 //
     /* 1083575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083614 */     // MIs[0] policy
     /* 1083614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083624 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083646 */     // GIR_Coverage, 24144,
     /* 1083646 */     GIR_EraseRootFromParent_Done,
     /* 1083647 */   // Label 15951: @1083647
     /* 1083647 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083724), // Rule ID 24145 //
     /* 1083652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083691 */     // MIs[0] policy
     /* 1083691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083701 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083723 */     // GIR_Coverage, 24145,
     /* 1083723 */     GIR_EraseRootFromParent_Done,
     /* 1083724 */   // Label 15952: @1083724
     /* 1083724 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083801), // Rule ID 24148 //
     /* 1083729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083768 */     // MIs[0] policy
     /* 1083768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083800 */     // GIR_Coverage, 24148,
     /* 1083800 */     GIR_EraseRootFromParent_Done,
     /* 1083801 */   // Label 15953: @1083801
     /* 1083801 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083878), // Rule ID 24149 //
     /* 1083806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083845 */     // MIs[0] policy
     /* 1083845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083855 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083877 */     // GIR_Coverage, 24149,
     /* 1083877 */     GIR_EraseRootFromParent_Done,
     /* 1083878 */   // Label 15954: @1083878
     /* 1083878 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083955), // Rule ID 24152 //
     /* 1083883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083922 */     // MIs[0] policy
     /* 1083922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083954 */     // GIR_Coverage, 24152,
     /* 1083954 */     GIR_EraseRootFromParent_Done,
     /* 1083955 */   // Label 15955: @1083955
     /* 1083955 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1084032), // Rule ID 24153 //
     /* 1083960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083999 */     // MIs[0] policy
     /* 1083999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084009 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084031 */     // GIR_Coverage, 24153,
     /* 1084031 */     GIR_EraseRootFromParent_Done,
     /* 1084032 */   // Label 15956: @1084032
     /* 1084032 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1084109), // Rule ID 24156 //
     /* 1084037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084076 */     // MIs[0] policy
     /* 1084076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084108 */     // GIR_Coverage, 24156,
     /* 1084108 */     GIR_EraseRootFromParent_Done,
     /* 1084109 */   // Label 15957: @1084109
     /* 1084109 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1084186), // Rule ID 24157 //
     /* 1084114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084153 */     // MIs[0] policy
     /* 1084153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084163 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084185 */     // GIR_Coverage, 24157,
     /* 1084185 */     GIR_EraseRootFromParent_Done,
     /* 1084186 */   // Label 15958: @1084186
     /* 1084186 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1084263), // Rule ID 24160 //
     /* 1084191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1084194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084230 */     // MIs[0] policy
     /* 1084230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084262 */     // GIR_Coverage, 24160,
     /* 1084262 */     GIR_EraseRootFromParent_Done,
     /* 1084263 */   // Label 15959: @1084263
     /* 1084263 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1084340), // Rule ID 24161 //
     /* 1084268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1084271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084307 */     // MIs[0] policy
     /* 1084307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084317 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084339 */     // GIR_Coverage, 24161,
     /* 1084339 */     GIR_EraseRootFromParent_Done,
     /* 1084340 */   // Label 15960: @1084340
     /* 1084340 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084417), // Rule ID 24164 //
     /* 1084345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084384 */     // MIs[0] policy
     /* 1084384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084394 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084416 */     // GIR_Coverage, 24164,
     /* 1084416 */     GIR_EraseRootFromParent_Done,
     /* 1084417 */   // Label 15961: @1084417
     /* 1084417 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084494), // Rule ID 24165 //
     /* 1084422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084461 */     // MIs[0] policy
     /* 1084461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084471 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084493 */     // GIR_Coverage, 24165,
     /* 1084493 */     GIR_EraseRootFromParent_Done,
     /* 1084494 */   // Label 15962: @1084494
     /* 1084494 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084571), // Rule ID 24168 //
     /* 1084499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084538 */     // MIs[0] policy
     /* 1084538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084548 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084570 */     // GIR_Coverage, 24168,
     /* 1084570 */     GIR_EraseRootFromParent_Done,
     /* 1084571 */   // Label 15963: @1084571
     /* 1084571 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084648), // Rule ID 24169 //
     /* 1084576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084615 */     // MIs[0] policy
     /* 1084615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084625 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084647 */     // GIR_Coverage, 24169,
     /* 1084647 */     GIR_EraseRootFromParent_Done,
     /* 1084648 */   // Label 15964: @1084648
     /* 1084648 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084725), // Rule ID 24172 //
     /* 1084653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084692 */     // MIs[0] policy
     /* 1084692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084702 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084724 */     // GIR_Coverage, 24172,
     /* 1084724 */     GIR_EraseRootFromParent_Done,
     /* 1084725 */   // Label 15965: @1084725
     /* 1084725 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084802), // Rule ID 24173 //
     /* 1084730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084769 */     // MIs[0] policy
     /* 1084769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084779 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084801 */     // GIR_Coverage, 24173,
     /* 1084801 */     GIR_EraseRootFromParent_Done,
     /* 1084802 */   // Label 15966: @1084802
     /* 1084802 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084879), // Rule ID 24176 //
     /* 1084807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084846 */     // MIs[0] policy
     /* 1084846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084878 */     // GIR_Coverage, 24176,
     /* 1084878 */     GIR_EraseRootFromParent_Done,
     /* 1084879 */   // Label 15967: @1084879
     /* 1084879 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084956), // Rule ID 24177 //
     /* 1084884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084923 */     // MIs[0] policy
     /* 1084923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084933 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084955 */     // GIR_Coverage, 24177,
     /* 1084955 */     GIR_EraseRootFromParent_Done,
     /* 1084956 */   // Label 15968: @1084956
     /* 1084956 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1085033), // Rule ID 24180 //
     /* 1084961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085000 */     // MIs[0] policy
     /* 1085000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085032 */     // GIR_Coverage, 24180,
     /* 1085032 */     GIR_EraseRootFromParent_Done,
     /* 1085033 */   // Label 15969: @1085033
     /* 1085033 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1085110), // Rule ID 24181 //
     /* 1085038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085077 */     // MIs[0] policy
     /* 1085077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085109 */     // GIR_Coverage, 24181,
     /* 1085109 */     GIR_EraseRootFromParent_Done,
     /* 1085110 */   // Label 15970: @1085110
     /* 1085110 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1085187), // Rule ID 24184 //
     /* 1085115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1085118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085154 */     // MIs[0] policy
     /* 1085154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085186 */     // GIR_Coverage, 24184,
     /* 1085186 */     GIR_EraseRootFromParent_Done,
     /* 1085187 */   // Label 15971: @1085187
     /* 1085187 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1085264), // Rule ID 24185 //
     /* 1085192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085231 */     // MIs[0] policy
     /* 1085231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085241 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085263 */     // GIR_Coverage, 24185,
     /* 1085263 */     GIR_EraseRootFromParent_Done,
     /* 1085264 */   // Label 15972: @1085264
     /* 1085264 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1085341), // Rule ID 24188 //
     /* 1085269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085308 */     // MIs[0] policy
     /* 1085308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085340 */     // GIR_Coverage, 24188,
     /* 1085340 */     GIR_EraseRootFromParent_Done,
     /* 1085341 */   // Label 15973: @1085341
     /* 1085341 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085418), // Rule ID 24189 //
     /* 1085346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085385 */     // MIs[0] policy
     /* 1085385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085395 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085417 */     // GIR_Coverage, 24189,
     /* 1085417 */     GIR_EraseRootFromParent_Done,
     /* 1085418 */   // Label 15974: @1085418
     /* 1085418 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085495), // Rule ID 24192 //
     /* 1085423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085462 */     // MIs[0] policy
     /* 1085462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085472 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085494 */     // GIR_Coverage, 24192,
     /* 1085494 */     GIR_EraseRootFromParent_Done,
     /* 1085495 */   // Label 15975: @1085495
     /* 1085495 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085572), // Rule ID 24193 //
     /* 1085500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085539 */     // MIs[0] policy
     /* 1085539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085549 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085571 */     // GIR_Coverage, 24193,
     /* 1085571 */     GIR_EraseRootFromParent_Done,
     /* 1085572 */   // Label 15976: @1085572
     /* 1085572 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085649), // Rule ID 24196 //
     /* 1085577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085616 */     // MIs[0] policy
     /* 1085616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085626 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085648 */     // GIR_Coverage, 24196,
     /* 1085648 */     GIR_EraseRootFromParent_Done,
     /* 1085649 */   // Label 15977: @1085649
     /* 1085649 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085726), // Rule ID 24197 //
     /* 1085654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085693 */     // MIs[0] policy
     /* 1085693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085725 */     // GIR_Coverage, 24197,
     /* 1085725 */     GIR_EraseRootFromParent_Done,
     /* 1085726 */   // Label 15978: @1085726
     /* 1085726 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085803), // Rule ID 60480 //
     /* 1085731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1085734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085770 */     // MIs[0] policy
     /* 1085770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085802 */     // GIR_Coverage, 60480,
     /* 1085802 */     GIR_EraseRootFromParent_Done,
     /* 1085803 */   // Label 15979: @1085803
     /* 1085803 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085880), // Rule ID 60481 //
     /* 1085808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1085811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085847 */     // MIs[0] policy
     /* 1085847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085879 */     // GIR_Coverage, 60481,
     /* 1085879 */     GIR_EraseRootFromParent_Done,
     /* 1085880 */   // Label 15980: @1085880
     /* 1085880 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085957), // Rule ID 60494 //
     /* 1085885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085924 */     // MIs[0] policy
     /* 1085924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085956 */     // GIR_Coverage, 60494,
     /* 1085956 */     GIR_EraseRootFromParent_Done,
     /* 1085957 */   // Label 15981: @1085957
     /* 1085957 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1086034), // Rule ID 60495 //
     /* 1085962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086001 */     // MIs[0] policy
     /* 1086001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1086014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086033 */     // GIR_Coverage, 60495,
     /* 1086033 */     GIR_EraseRootFromParent_Done,
     /* 1086034 */   // Label 15982: @1086034
     /* 1086034 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1086111), // Rule ID 60498 //
     /* 1086039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086078 */     // MIs[0] policy
     /* 1086078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086088 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086110 */     // GIR_Coverage, 60498,
     /* 1086110 */     GIR_EraseRootFromParent_Done,
     /* 1086111 */   // Label 15983: @1086111
     /* 1086111 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1086188), // Rule ID 60499 //
     /* 1086116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086155 */     // MIs[0] policy
     /* 1086155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086165 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086187 */     // GIR_Coverage, 60499,
     /* 1086187 */     GIR_EraseRootFromParent_Done,
     /* 1086188 */   // Label 15984: @1086188
     /* 1086188 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1086265), // Rule ID 60502 //
     /* 1086193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086232 */     // MIs[0] policy
     /* 1086232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086264 */     // GIR_Coverage, 60502,
     /* 1086264 */     GIR_EraseRootFromParent_Done,
     /* 1086265 */   // Label 15985: @1086265
     /* 1086265 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1086342), // Rule ID 60503 //
     /* 1086270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086309 */     // MIs[0] policy
     /* 1086309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086319 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086341 */     // GIR_Coverage, 60503,
     /* 1086341 */     GIR_EraseRootFromParent_Done,
     /* 1086342 */   // Label 15986: @1086342
     /* 1086342 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086419), // Rule ID 60506 //
     /* 1086347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086386 */     // MIs[0] policy
     /* 1086386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086418 */     // GIR_Coverage, 60506,
     /* 1086418 */     GIR_EraseRootFromParent_Done,
     /* 1086419 */   // Label 15987: @1086419
     /* 1086419 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086496), // Rule ID 60507 //
     /* 1086424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086463 */     // MIs[0] policy
     /* 1086463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086473 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086495 */     // GIR_Coverage, 60507,
     /* 1086495 */     GIR_EraseRootFromParent_Done,
     /* 1086496 */   // Label 15988: @1086496
     /* 1086496 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086573), // Rule ID 60510 //
     /* 1086501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086540 */     // MIs[0] policy
     /* 1086540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086572 */     // GIR_Coverage, 60510,
     /* 1086572 */     GIR_EraseRootFromParent_Done,
     /* 1086573 */   // Label 15989: @1086573
     /* 1086573 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086650), // Rule ID 60511 //
     /* 1086578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086617 */     // MIs[0] policy
     /* 1086617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086649 */     // GIR_Coverage, 60511,
     /* 1086649 */     GIR_EraseRootFromParent_Done,
     /* 1086650 */   // Label 15990: @1086650
     /* 1086650 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086727), // Rule ID 60514 //
     /* 1086655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086694 */     // MIs[0] policy
     /* 1086694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086726 */     // GIR_Coverage, 60514,
     /* 1086726 */     GIR_EraseRootFromParent_Done,
     /* 1086727 */   // Label 15991: @1086727
     /* 1086727 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086804), // Rule ID 60515 //
     /* 1086732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086771 */     // MIs[0] policy
     /* 1086771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086803 */     // GIR_Coverage, 60515,
     /* 1086803 */     GIR_EraseRootFromParent_Done,
     /* 1086804 */   // Label 15992: @1086804
     /* 1086804 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086881), // Rule ID 60518 //
     /* 1086809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086848 */     // MIs[0] policy
     /* 1086848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086880 */     // GIR_Coverage, 60518,
     /* 1086880 */     GIR_EraseRootFromParent_Done,
     /* 1086881 */   // Label 15993: @1086881
     /* 1086881 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086958), // Rule ID 60519 //
     /* 1086886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086925 */     // MIs[0] policy
     /* 1086925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086957 */     // GIR_Coverage, 60519,
     /* 1086957 */     GIR_EraseRootFromParent_Done,
     /* 1086958 */   // Label 15994: @1086958
     /* 1086958 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1087035), // Rule ID 60522 //
     /* 1086963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087002 */     // MIs[0] policy
     /* 1087002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087034 */     // GIR_Coverage, 60522,
     /* 1087034 */     GIR_EraseRootFromParent_Done,
     /* 1087035 */   // Label 15995: @1087035
     /* 1087035 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1087112), // Rule ID 60523 //
     /* 1087040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087079 */     // MIs[0] policy
     /* 1087079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087089 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087111 */     // GIR_Coverage, 60523,
     /* 1087111 */     GIR_EraseRootFromParent_Done,
     /* 1087112 */   // Label 15996: @1087112
     /* 1087112 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1087189), // Rule ID 60526 //
     /* 1087117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087156 */     // MIs[0] policy
     /* 1087156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087188 */     // GIR_Coverage, 60526,
     /* 1087188 */     GIR_EraseRootFromParent_Done,
     /* 1087189 */   // Label 15997: @1087189
     /* 1087189 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1087266), // Rule ID 60527 //
     /* 1087194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087233 */     // MIs[0] policy
     /* 1087233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087265 */     // GIR_Coverage, 60527,
     /* 1087265 */     GIR_EraseRootFromParent_Done,
     /* 1087266 */   // Label 15998: @1087266
     /* 1087266 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1087343), // Rule ID 60530 //
     /* 1087271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087310 */     // MIs[0] policy
     /* 1087310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087342 */     // GIR_Coverage, 60530,
     /* 1087342 */     GIR_EraseRootFromParent_Done,
     /* 1087343 */   // Label 15999: @1087343
     /* 1087343 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087420), // Rule ID 60531 //
     /* 1087348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087387 */     // MIs[0] policy
     /* 1087387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087419 */     // GIR_Coverage, 60531,
     /* 1087419 */     GIR_EraseRootFromParent_Done,
     /* 1087420 */   // Label 16000: @1087420
     /* 1087420 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087497), // Rule ID 60534 //
     /* 1087425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087464 */     // MIs[0] policy
     /* 1087464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087496 */     // GIR_Coverage, 60534,
     /* 1087496 */     GIR_EraseRootFromParent_Done,
     /* 1087497 */   // Label 16001: @1087497
     /* 1087497 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087574), // Rule ID 60535 //
     /* 1087502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087541 */     // MIs[0] policy
     /* 1087541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087573 */     // GIR_Coverage, 60535,
     /* 1087573 */     GIR_EraseRootFromParent_Done,
     /* 1087574 */   // Label 16002: @1087574
     /* 1087574 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087651), // Rule ID 60538 //
     /* 1087579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087618 */     // MIs[0] policy
     /* 1087618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087650 */     // GIR_Coverage, 60538,
     /* 1087650 */     GIR_EraseRootFromParent_Done,
     /* 1087651 */   // Label 16003: @1087651
     /* 1087651 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087728), // Rule ID 60539 //
     /* 1087656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087695 */     // MIs[0] policy
     /* 1087695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087705 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087727 */     // GIR_Coverage, 60539,
     /* 1087727 */     GIR_EraseRootFromParent_Done,
     /* 1087728 */   // Label 16004: @1087728
     /* 1087728 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087805), // Rule ID 60542 //
     /* 1087733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087772 */     // MIs[0] policy
     /* 1087772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087804 */     // GIR_Coverage, 60542,
     /* 1087804 */     GIR_EraseRootFromParent_Done,
     /* 1087805 */   // Label 16005: @1087805
     /* 1087805 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087882), // Rule ID 60543 //
     /* 1087810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087849 */     // MIs[0] policy
     /* 1087849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087881 */     // GIR_Coverage, 60543,
     /* 1087881 */     GIR_EraseRootFromParent_Done,
     /* 1087882 */   // Label 16006: @1087882
     /* 1087882 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087959), // Rule ID 60546 //
     /* 1087887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087926 */     // MIs[0] policy
     /* 1087926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087958 */     // GIR_Coverage, 60546,
     /* 1087958 */     GIR_EraseRootFromParent_Done,
     /* 1087959 */   // Label 16007: @1087959
     /* 1087959 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1088036), // Rule ID 60547 //
     /* 1087964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088003 */     // MIs[0] policy
     /* 1088003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088013 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088035 */     // GIR_Coverage, 60547,
     /* 1088035 */     GIR_EraseRootFromParent_Done,
     /* 1088036 */   // Label 16008: @1088036
     /* 1088036 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1088113), // Rule ID 60550 //
     /* 1088041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088080 */     // MIs[0] policy
     /* 1088080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088112 */     // GIR_Coverage, 60550,
     /* 1088112 */     GIR_EraseRootFromParent_Done,
     /* 1088113 */   // Label 16009: @1088113
     /* 1088113 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1088190), // Rule ID 60551 //
     /* 1088118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088157 */     // MIs[0] policy
     /* 1088157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088189 */     // GIR_Coverage, 60551,
     /* 1088189 */     GIR_EraseRootFromParent_Done,
     /* 1088190 */   // Label 16010: @1088190
     /* 1088190 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1088267), // Rule ID 60554 //
     /* 1088195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088234 */     // MIs[0] policy
     /* 1088234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088266 */     // GIR_Coverage, 60554,
     /* 1088266 */     GIR_EraseRootFromParent_Done,
     /* 1088267 */   // Label 16011: @1088267
     /* 1088267 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1088344), // Rule ID 60555 //
     /* 1088272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088311 */     // MIs[0] policy
     /* 1088311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088343 */     // GIR_Coverage, 60555,
     /* 1088343 */     GIR_EraseRootFromParent_Done,
     /* 1088344 */   // Label 16012: @1088344
     /* 1088344 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088421), // Rule ID 60558 //
     /* 1088349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088388 */     // MIs[0] policy
     /* 1088388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088420 */     // GIR_Coverage, 60558,
     /* 1088420 */     GIR_EraseRootFromParent_Done,
     /* 1088421 */   // Label 16013: @1088421
     /* 1088421 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088498), // Rule ID 60559 //
     /* 1088426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088465 */     // MIs[0] policy
     /* 1088465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088497 */     // GIR_Coverage, 60559,
     /* 1088497 */     GIR_EraseRootFromParent_Done,
     /* 1088498 */   // Label 16014: @1088498
     /* 1088498 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088575), // Rule ID 60562 //
     /* 1088503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088542 */     // MIs[0] policy
     /* 1088542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088574 */     // GIR_Coverage, 60562,
     /* 1088574 */     GIR_EraseRootFromParent_Done,
     /* 1088575 */   // Label 16015: @1088575
     /* 1088575 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088652), // Rule ID 60563 //
     /* 1088580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088619 */     // MIs[0] policy
     /* 1088619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088651 */     // GIR_Coverage, 60563,
     /* 1088651 */     GIR_EraseRootFromParent_Done,
     /* 1088652 */   // Label 16016: @1088652
     /* 1088652 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088729), // Rule ID 60566 //
     /* 1088657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088696 */     // MIs[0] policy
     /* 1088696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088728 */     // GIR_Coverage, 60566,
     /* 1088728 */     GIR_EraseRootFromParent_Done,
     /* 1088729 */   // Label 16017: @1088729
     /* 1088729 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088806), // Rule ID 60567 //
     /* 1088734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088773 */     // MIs[0] policy
     /* 1088773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088805 */     // GIR_Coverage, 60567,
     /* 1088805 */     GIR_EraseRootFromParent_Done,
     /* 1088806 */   // Label 16018: @1088806
     /* 1088806 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088883), // Rule ID 60570 //
     /* 1088811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088850 */     // MIs[0] policy
     /* 1088850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088882 */     // GIR_Coverage, 60570,
     /* 1088882 */     GIR_EraseRootFromParent_Done,
     /* 1088883 */   // Label 16019: @1088883
     /* 1088883 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088960), // Rule ID 60571 //
     /* 1088888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088927 */     // MIs[0] policy
     /* 1088927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088959 */     // GIR_Coverage, 60571,
     /* 1088959 */     GIR_EraseRootFromParent_Done,
     /* 1088960 */   // Label 16020: @1088960
     /* 1088960 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1089037), // Rule ID 60574 //
     /* 1088965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089004 */     // MIs[0] policy
     /* 1089004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089036 */     // GIR_Coverage, 60574,
     /* 1089036 */     GIR_EraseRootFromParent_Done,
     /* 1089037 */   // Label 16021: @1089037
     /* 1089037 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1089114), // Rule ID 60575 //
     /* 1089042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089081 */     // MIs[0] policy
     /* 1089081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089113 */     // GIR_Coverage, 60575,
     /* 1089113 */     GIR_EraseRootFromParent_Done,
     /* 1089114 */   // Label 16022: @1089114
     /* 1089114 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1089191), // Rule ID 60578 //
     /* 1089119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089158 */     // MIs[0] policy
     /* 1089158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089190 */     // GIR_Coverage, 60578,
     /* 1089190 */     GIR_EraseRootFromParent_Done,
     /* 1089191 */   // Label 16023: @1089191
     /* 1089191 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1089268), // Rule ID 60579 //
     /* 1089196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089235 */     // MIs[0] policy
     /* 1089235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089267 */     // GIR_Coverage, 60579,
     /* 1089267 */     GIR_EraseRootFromParent_Done,
     /* 1089268 */   // Label 16024: @1089268
     /* 1089268 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1089345), // Rule ID 60582 //
     /* 1089273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089312 */     // MIs[0] policy
     /* 1089312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089322 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089344 */     // GIR_Coverage, 60582,
     /* 1089344 */     GIR_EraseRootFromParent_Done,
     /* 1089345 */   // Label 16025: @1089345
     /* 1089345 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089422), // Rule ID 60583 //
     /* 1089350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089389 */     // MIs[0] policy
     /* 1089389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089421 */     // GIR_Coverage, 60583,
     /* 1089421 */     GIR_EraseRootFromParent_Done,
     /* 1089422 */   // Label 16026: @1089422
     /* 1089422 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089499), // Rule ID 60586 //
     /* 1089427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089466 */     // MIs[0] policy
     /* 1089466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089498 */     // GIR_Coverage, 60586,
     /* 1089498 */     GIR_EraseRootFromParent_Done,
     /* 1089499 */   // Label 16027: @1089499
     /* 1089499 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089576), // Rule ID 60587 //
     /* 1089504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089543 */     // MIs[0] policy
     /* 1089543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089575 */     // GIR_Coverage, 60587,
     /* 1089575 */     GIR_EraseRootFromParent_Done,
     /* 1089576 */   // Label 16028: @1089576
     /* 1089576 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089653), // Rule ID 60590 //
     /* 1089581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089620 */     // MIs[0] policy
     /* 1089620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089652 */     // GIR_Coverage, 60590,
     /* 1089652 */     GIR_EraseRootFromParent_Done,
     /* 1089653 */   // Label 16029: @1089653
     /* 1089653 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089730), // Rule ID 60591 //
     /* 1089658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089697 */     // MIs[0] policy
     /* 1089697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089707 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089729 */     // GIR_Coverage, 60591,
     /* 1089729 */     GIR_EraseRootFromParent_Done,
     /* 1089730 */   // Label 16030: @1089730
     /* 1089730 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089807), // Rule ID 60594 //
     /* 1089735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089774 */     // MIs[0] policy
     /* 1089774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089806 */     // GIR_Coverage, 60594,
     /* 1089806 */     GIR_EraseRootFromParent_Done,
     /* 1089807 */   // Label 16031: @1089807
     /* 1089807 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089884), // Rule ID 60595 //
     /* 1089812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089851 */     // MIs[0] policy
     /* 1089851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089883 */     // GIR_Coverage, 60595,
     /* 1089883 */     GIR_EraseRootFromParent_Done,
     /* 1089884 */   // Label 16032: @1089884
     /* 1089884 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089961), // Rule ID 60598 //
     /* 1089889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089928 */     // MIs[0] policy
     /* 1089928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089960 */     // GIR_Coverage, 60598,
     /* 1089960 */     GIR_EraseRootFromParent_Done,
     /* 1089961 */   // Label 16033: @1089961
     /* 1089961 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1090038), // Rule ID 60599 //
     /* 1089966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090005 */     // MIs[0] policy
     /* 1090005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090037 */     // GIR_Coverage, 60599,
     /* 1090037 */     GIR_EraseRootFromParent_Done,
     /* 1090038 */   // Label 16034: @1090038
     /* 1090038 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1090115), // Rule ID 60602 //
     /* 1090043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090082 */     // MIs[0] policy
     /* 1090082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090114 */     // GIR_Coverage, 60602,
     /* 1090114 */     GIR_EraseRootFromParent_Done,
     /* 1090115 */   // Label 16035: @1090115
     /* 1090115 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1090192), // Rule ID 60603 //
     /* 1090120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090159 */     // MIs[0] policy
     /* 1090159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090191 */     // GIR_Coverage, 60603,
     /* 1090191 */     GIR_EraseRootFromParent_Done,
     /* 1090192 */   // Label 16036: @1090192
     /* 1090192 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1090269), // Rule ID 60606 //
     /* 1090197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090236 */     // MIs[0] policy
     /* 1090236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090268 */     // GIR_Coverage, 60606,
     /* 1090268 */     GIR_EraseRootFromParent_Done,
     /* 1090269 */   // Label 16037: @1090269
     /* 1090269 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1090346), // Rule ID 60607 //
     /* 1090274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090313 */     // MIs[0] policy
     /* 1090313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090345 */     // GIR_Coverage, 60607,
     /* 1090345 */     GIR_EraseRootFromParent_Done,
     /* 1090346 */   // Label 16038: @1090346
     /* 1090346 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090423), // Rule ID 60610 //
     /* 1090351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090390 */     // MIs[0] policy
     /* 1090390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090422 */     // GIR_Coverage, 60610,
     /* 1090422 */     GIR_EraseRootFromParent_Done,
     /* 1090423 */   // Label 16039: @1090423
     /* 1090423 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090500), // Rule ID 60611 //
     /* 1090428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090467 */     // MIs[0] policy
     /* 1090467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090499 */     // GIR_Coverage, 60611,
     /* 1090499 */     GIR_EraseRootFromParent_Done,
     /* 1090500 */   // Label 16040: @1090500
     /* 1090500 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090577), // Rule ID 60614 //
     /* 1090505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090544 */     // MIs[0] policy
     /* 1090544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090576 */     // GIR_Coverage, 60614,
     /* 1090576 */     GIR_EraseRootFromParent_Done,
     /* 1090577 */   // Label 16041: @1090577
     /* 1090577 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090654), // Rule ID 60615 //
     /* 1090582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090621 */     // MIs[0] policy
     /* 1090621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090631 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090653 */     // GIR_Coverage, 60615,
     /* 1090653 */     GIR_EraseRootFromParent_Done,
     /* 1090654 */   // Label 16042: @1090654
     /* 1090654 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090731), // Rule ID 60618 //
     /* 1090659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090698 */     // MIs[0] policy
     /* 1090698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090730 */     // GIR_Coverage, 60618,
     /* 1090730 */     GIR_EraseRootFromParent_Done,
     /* 1090731 */   // Label 16043: @1090731
     /* 1090731 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090808), // Rule ID 60619 //
     /* 1090736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090775 */     // MIs[0] policy
     /* 1090775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090785 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090807 */     // GIR_Coverage, 60619,
     /* 1090807 */     GIR_EraseRootFromParent_Done,
     /* 1090808 */   // Label 16044: @1090808
     /* 1090808 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090885), // Rule ID 60622 //
     /* 1090813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090852 */     // MIs[0] policy
     /* 1090852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090884 */     // GIR_Coverage, 60622,
     /* 1090884 */     GIR_EraseRootFromParent_Done,
     /* 1090885 */   // Label 16045: @1090885
     /* 1090885 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090962), // Rule ID 60623 //
     /* 1090890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090929 */     // MIs[0] policy
     /* 1090929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090961 */     // GIR_Coverage, 60623,
     /* 1090961 */     GIR_EraseRootFromParent_Done,
     /* 1090962 */   // Label 16046: @1090962
     /* 1090962 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1091039), // Rule ID 60626 //
     /* 1090967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091006 */     // MIs[0] policy
     /* 1091006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091038 */     // GIR_Coverage, 60626,
     /* 1091038 */     GIR_EraseRootFromParent_Done,
     /* 1091039 */   // Label 16047: @1091039
     /* 1091039 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1091116), // Rule ID 60627 //
     /* 1091044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091083 */     // MIs[0] policy
     /* 1091083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091115 */     // GIR_Coverage, 60627,
     /* 1091115 */     GIR_EraseRootFromParent_Done,
     /* 1091116 */   // Label 16048: @1091116
     /* 1091116 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1091193), // Rule ID 60630 //
     /* 1091121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091160 */     // MIs[0] policy
     /* 1091160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091192 */     // GIR_Coverage, 60630,
     /* 1091192 */     GIR_EraseRootFromParent_Done,
     /* 1091193 */   // Label 16049: @1091193
     /* 1091193 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1091270), // Rule ID 60631 //
     /* 1091198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091237 */     // MIs[0] policy
     /* 1091237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091269 */     // GIR_Coverage, 60631,
     /* 1091269 */     GIR_EraseRootFromParent_Done,
     /* 1091270 */   // Label 16050: @1091270
     /* 1091270 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1091347), // Rule ID 60634 //
     /* 1091275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091314 */     // MIs[0] policy
     /* 1091314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091346 */     // GIR_Coverage, 60634,
     /* 1091346 */     GIR_EraseRootFromParent_Done,
     /* 1091347 */   // Label 16051: @1091347
     /* 1091347 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091424), // Rule ID 60635 //
     /* 1091352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091391 */     // MIs[0] policy
     /* 1091391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091423 */     // GIR_Coverage, 60635,
     /* 1091423 */     GIR_EraseRootFromParent_Done,
     /* 1091424 */   // Label 16052: @1091424
     /* 1091424 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091501), // Rule ID 60638 //
     /* 1091429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091468 */     // MIs[0] policy
     /* 1091468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091500 */     // GIR_Coverage, 60638,
     /* 1091500 */     GIR_EraseRootFromParent_Done,
     /* 1091501 */   // Label 16053: @1091501
     /* 1091501 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091578), // Rule ID 60639 //
     /* 1091506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091545 */     // MIs[0] policy
     /* 1091545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091577 */     // GIR_Coverage, 60639,
     /* 1091577 */     GIR_EraseRootFromParent_Done,
     /* 1091578 */   // Label 16054: @1091578
     /* 1091578 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091655), // Rule ID 60642 //
     /* 1091583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091622 */     // MIs[0] policy
     /* 1091622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091654 */     // GIR_Coverage, 60642,
     /* 1091654 */     GIR_EraseRootFromParent_Done,
     /* 1091655 */   // Label 16055: @1091655
     /* 1091655 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091732), // Rule ID 60643 //
     /* 1091660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091699 */     // MIs[0] policy
     /* 1091699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091731 */     // GIR_Coverage, 60643,
     /* 1091731 */     GIR_EraseRootFromParent_Done,
     /* 1091732 */   // Label 16056: @1091732
     /* 1091732 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091809), // Rule ID 60646 //
     /* 1091737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091776 */     // MIs[0] policy
     /* 1091776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091808 */     // GIR_Coverage, 60646,
     /* 1091808 */     GIR_EraseRootFromParent_Done,
     /* 1091809 */   // Label 16057: @1091809
     /* 1091809 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091886), // Rule ID 60647 //
     /* 1091814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091853 */     // MIs[0] policy
     /* 1091853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091885 */     // GIR_Coverage, 60647,
     /* 1091885 */     GIR_EraseRootFromParent_Done,
     /* 1091886 */   // Label 16058: @1091886
     /* 1091886 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091963), // Rule ID 60650 //
     /* 1091891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091930 */     // MIs[0] policy
     /* 1091930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091940 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091962 */     // GIR_Coverage, 60650,
     /* 1091962 */     GIR_EraseRootFromParent_Done,
     /* 1091963 */   // Label 16059: @1091963
     /* 1091963 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1092040), // Rule ID 60651 //
     /* 1091968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092007 */     // MIs[0] policy
     /* 1092007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092039 */     // GIR_Coverage, 60651,
     /* 1092039 */     GIR_EraseRootFromParent_Done,
     /* 1092040 */   // Label 16060: @1092040
     /* 1092040 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1092117), // Rule ID 60654 //
     /* 1092045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092084 */     // MIs[0] policy
     /* 1092084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092116 */     // GIR_Coverage, 60654,
     /* 1092116 */     GIR_EraseRootFromParent_Done,
     /* 1092117 */   // Label 16061: @1092117
     /* 1092117 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1092194), // Rule ID 60655 //
     /* 1092122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092161 */     // MIs[0] policy
     /* 1092161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092193 */     // GIR_Coverage, 60655,
     /* 1092193 */     GIR_EraseRootFromParent_Done,
     /* 1092194 */   // Label 16062: @1092194
     /* 1092194 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1092271), // Rule ID 60658 //
     /* 1092199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092238 */     // MIs[0] policy
     /* 1092238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092270 */     // GIR_Coverage, 60658,
     /* 1092270 */     GIR_EraseRootFromParent_Done,
     /* 1092271 */   // Label 16063: @1092271
     /* 1092271 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1092348), // Rule ID 60659 //
     /* 1092276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092315 */     // MIs[0] policy
     /* 1092315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092347 */     // GIR_Coverage, 60659,
     /* 1092347 */     GIR_EraseRootFromParent_Done,
     /* 1092348 */   // Label 16064: @1092348
     /* 1092348 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092425), // Rule ID 60662 //
     /* 1092353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092392 */     // MIs[0] policy
     /* 1092392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092424 */     // GIR_Coverage, 60662,
     /* 1092424 */     GIR_EraseRootFromParent_Done,
     /* 1092425 */   // Label 16065: @1092425
     /* 1092425 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092502), // Rule ID 60663 //
     /* 1092430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092469 */     // MIs[0] policy
     /* 1092469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092479 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092501 */     // GIR_Coverage, 60663,
     /* 1092501 */     GIR_EraseRootFromParent_Done,
     /* 1092502 */   // Label 16066: @1092502
     /* 1092502 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092579), // Rule ID 60666 //
     /* 1092507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092546 */     // MIs[0] policy
     /* 1092546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092578 */     // GIR_Coverage, 60666,
     /* 1092578 */     GIR_EraseRootFromParent_Done,
     /* 1092579 */   // Label 16067: @1092579
     /* 1092579 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092656), // Rule ID 60667 //
     /* 1092584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092623 */     // MIs[0] policy
     /* 1092623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092655 */     // GIR_Coverage, 60667,
     /* 1092655 */     GIR_EraseRootFromParent_Done,
     /* 1092656 */   // Label 16068: @1092656
     /* 1092656 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092733), // Rule ID 60670 //
     /* 1092661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092700 */     // MIs[0] policy
     /* 1092700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092732 */     // GIR_Coverage, 60670,
     /* 1092732 */     GIR_EraseRootFromParent_Done,
     /* 1092733 */   // Label 16069: @1092733
     /* 1092733 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092810), // Rule ID 60671 //
     /* 1092738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092777 */     // MIs[0] policy
     /* 1092777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092809 */     // GIR_Coverage, 60671,
     /* 1092809 */     GIR_EraseRootFromParent_Done,
     /* 1092810 */   // Label 16070: @1092810
     /* 1092810 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092887), // Rule ID 60674 //
     /* 1092815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092854 */     // MIs[0] policy
     /* 1092854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092886 */     // GIR_Coverage, 60674,
     /* 1092886 */     GIR_EraseRootFromParent_Done,
     /* 1092887 */   // Label 16071: @1092887
     /* 1092887 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092964), // Rule ID 60675 //
     /* 1092892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092931 */     // MIs[0] policy
     /* 1092931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092941 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092963 */     // GIR_Coverage, 60675,
     /* 1092963 */     GIR_EraseRootFromParent_Done,
     /* 1092964 */   // Label 16072: @1092964
     /* 1092964 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1093041), // Rule ID 60678 //
     /* 1092969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093008 */     // MIs[0] policy
     /* 1093008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093040 */     // GIR_Coverage, 60678,
     /* 1093040 */     GIR_EraseRootFromParent_Done,
     /* 1093041 */   // Label 16073: @1093041
     /* 1093041 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1093118), // Rule ID 60679 //
     /* 1093046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093085 */     // MIs[0] policy
     /* 1093085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093095 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093117 */     // GIR_Coverage, 60679,
     /* 1093117 */     GIR_EraseRootFromParent_Done,
     /* 1093118 */   // Label 16074: @1093118
     /* 1093118 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1093195), // Rule ID 60682 //
     /* 1093123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093162 */     // MIs[0] policy
     /* 1093162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093194 */     // GIR_Coverage, 60682,
     /* 1093194 */     GIR_EraseRootFromParent_Done,
     /* 1093195 */   // Label 16075: @1093195
     /* 1093195 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1093272), // Rule ID 60683 //
     /* 1093200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093239 */     // MIs[0] policy
     /* 1093239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093271 */     // GIR_Coverage, 60683,
     /* 1093271 */     GIR_EraseRootFromParent_Done,
     /* 1093272 */   // Label 16076: @1093272
     /* 1093272 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1093349), // Rule ID 60686 //
     /* 1093277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093316 */     // MIs[0] policy
     /* 1093316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093348 */     // GIR_Coverage, 60686,
     /* 1093348 */     GIR_EraseRootFromParent_Done,
     /* 1093349 */   // Label 16077: @1093349
     /* 1093349 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093426), // Rule ID 60687 //
     /* 1093354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093393 */     // MIs[0] policy
     /* 1093393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093425 */     // GIR_Coverage, 60687,
     /* 1093425 */     GIR_EraseRootFromParent_Done,
     /* 1093426 */   // Label 16078: @1093426
     /* 1093426 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093503), // Rule ID 60690 //
     /* 1093431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093470 */     // MIs[0] policy
     /* 1093470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093502 */     // GIR_Coverage, 60690,
     /* 1093502 */     GIR_EraseRootFromParent_Done,
     /* 1093503 */   // Label 16079: @1093503
     /* 1093503 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093580), // Rule ID 60691 //
     /* 1093508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093547 */     // MIs[0] policy
     /* 1093547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093557 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093579 */     // GIR_Coverage, 60691,
     /* 1093579 */     GIR_EraseRootFromParent_Done,
     /* 1093580 */   // Label 16080: @1093580
     /* 1093580 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093657), // Rule ID 60694 //
     /* 1093585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093624 */     // MIs[0] policy
     /* 1093624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093656 */     // GIR_Coverage, 60694,
     /* 1093656 */     GIR_EraseRootFromParent_Done,
     /* 1093657 */   // Label 16081: @1093657
     /* 1093657 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093734), // Rule ID 60695 //
     /* 1093662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093701 */     // MIs[0] policy
     /* 1093701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093733 */     // GIR_Coverage, 60695,
     /* 1093733 */     GIR_EraseRootFromParent_Done,
     /* 1093734 */   // Label 16082: @1093734
     /* 1093734 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093811), // Rule ID 60698 //
     /* 1093739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093778 */     // MIs[0] policy
     /* 1093778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093810 */     // GIR_Coverage, 60698,
     /* 1093810 */     GIR_EraseRootFromParent_Done,
     /* 1093811 */   // Label 16083: @1093811
     /* 1093811 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093888), // Rule ID 60699 //
     /* 1093816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093855 */     // MIs[0] policy
     /* 1093855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093887 */     // GIR_Coverage, 60699,
     /* 1093887 */     GIR_EraseRootFromParent_Done,
     /* 1093888 */   // Label 16084: @1093888
     /* 1093888 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093965), // Rule ID 60702 //
     /* 1093893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093932 */     // MIs[0] policy
     /* 1093932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093964 */     // GIR_Coverage, 60702,
     /* 1093964 */     GIR_EraseRootFromParent_Done,
     /* 1093965 */   // Label 16085: @1093965
     /* 1093965 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1094042), // Rule ID 60703 //
     /* 1093970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094009 */     // MIs[0] policy
     /* 1094009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094041 */     // GIR_Coverage, 60703,
     /* 1094041 */     GIR_EraseRootFromParent_Done,
     /* 1094042 */   // Label 16086: @1094042
     /* 1094042 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1094119), // Rule ID 60706 //
     /* 1094047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094086 */     // MIs[0] policy
     /* 1094086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094118 */     // GIR_Coverage, 60706,
     /* 1094118 */     GIR_EraseRootFromParent_Done,
     /* 1094119 */   // Label 16087: @1094119
     /* 1094119 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1094196), // Rule ID 60707 //
     /* 1094124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094163 */     // MIs[0] policy
     /* 1094163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094195 */     // GIR_Coverage, 60707,
     /* 1094195 */     GIR_EraseRootFromParent_Done,
     /* 1094196 */   // Label 16088: @1094196
     /* 1094196 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1094273), // Rule ID 60710 //
     /* 1094201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094240 */     // MIs[0] policy
     /* 1094240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094272 */     // GIR_Coverage, 60710,
     /* 1094272 */     GIR_EraseRootFromParent_Done,
     /* 1094273 */   // Label 16089: @1094273
     /* 1094273 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1094350), // Rule ID 60711 //
     /* 1094278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094317 */     // MIs[0] policy
     /* 1094317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094327 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094349 */     // GIR_Coverage, 60711,
     /* 1094349 */     GIR_EraseRootFromParent_Done,
     /* 1094350 */   // Label 16090: @1094350
     /* 1094350 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094427), // Rule ID 60714 //
     /* 1094355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094394 */     // MIs[0] policy
     /* 1094394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094404 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094426 */     // GIR_Coverage, 60714,
     /* 1094426 */     GIR_EraseRootFromParent_Done,
     /* 1094427 */   // Label 16091: @1094427
     /* 1094427 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094504), // Rule ID 60715 //
     /* 1094432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094471 */     // MIs[0] policy
     /* 1094471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094503 */     // GIR_Coverage, 60715,
     /* 1094503 */     GIR_EraseRootFromParent_Done,
     /* 1094504 */   // Label 16092: @1094504
     /* 1094504 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094581), // Rule ID 60718 //
     /* 1094509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094548 */     // MIs[0] policy
     /* 1094548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094580 */     // GIR_Coverage, 60718,
     /* 1094580 */     GIR_EraseRootFromParent_Done,
     /* 1094581 */   // Label 16093: @1094581
     /* 1094581 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094658), // Rule ID 60719 //
     /* 1094586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094625 */     // MIs[0] policy
     /* 1094625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094635 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094657 */     // GIR_Coverage, 60719,
     /* 1094657 */     GIR_EraseRootFromParent_Done,
     /* 1094658 */   // Label 16094: @1094658
     /* 1094658 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094735), // Rule ID 60722 //
     /* 1094663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094702 */     // MIs[0] policy
     /* 1094702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094734 */     // GIR_Coverage, 60722,
     /* 1094734 */     GIR_EraseRootFromParent_Done,
     /* 1094735 */   // Label 16095: @1094735
     /* 1094735 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094812), // Rule ID 60723 //
     /* 1094740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094779 */     // MIs[0] policy
     /* 1094779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094811 */     // GIR_Coverage, 60723,
     /* 1094811 */     GIR_EraseRootFromParent_Done,
     /* 1094812 */   // Label 16096: @1094812
     /* 1094812 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094889), // Rule ID 60726 //
     /* 1094817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094856 */     // MIs[0] policy
     /* 1094856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094888 */     // GIR_Coverage, 60726,
     /* 1094888 */     GIR_EraseRootFromParent_Done,
     /* 1094889 */   // Label 16097: @1094889
     /* 1094889 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094966), // Rule ID 60727 //
     /* 1094894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094933 */     // MIs[0] policy
     /* 1094933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094965 */     // GIR_Coverage, 60727,
     /* 1094965 */     GIR_EraseRootFromParent_Done,
     /* 1094966 */   // Label 16098: @1094966
     /* 1094966 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1095043), // Rule ID 60730 //
     /* 1094971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095010 */     // MIs[0] policy
     /* 1095010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095020 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095042 */     // GIR_Coverage, 60730,
     /* 1095042 */     GIR_EraseRootFromParent_Done,
     /* 1095043 */   // Label 16099: @1095043
     /* 1095043 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1095120), // Rule ID 60731 //
     /* 1095048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095087 */     // MIs[0] policy
     /* 1095087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095119 */     // GIR_Coverage, 60731,
     /* 1095119 */     GIR_EraseRootFromParent_Done,
     /* 1095120 */   // Label 16100: @1095120
     /* 1095120 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1095197), // Rule ID 60734 //
     /* 1095125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095164 */     // MIs[0] policy
     /* 1095164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095196 */     // GIR_Coverage, 60734,
     /* 1095196 */     GIR_EraseRootFromParent_Done,
     /* 1095197 */   // Label 16101: @1095197
     /* 1095197 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1095274), // Rule ID 60735 //
     /* 1095202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095241 */     // MIs[0] policy
     /* 1095241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095273 */     // GIR_Coverage, 60735,
     /* 1095273 */     GIR_EraseRootFromParent_Done,
     /* 1095274 */   // Label 16102: @1095274
     /* 1095274 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1095351), // Rule ID 60738 //
     /* 1095279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095318 */     // MIs[0] policy
     /* 1095318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095350 */     // GIR_Coverage, 60738,
     /* 1095350 */     GIR_EraseRootFromParent_Done,
     /* 1095351 */   // Label 16103: @1095351
     /* 1095351 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095428), // Rule ID 60739 //
     /* 1095356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095395 */     // MIs[0] policy
     /* 1095395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095427 */     // GIR_Coverage, 60739,
     /* 1095427 */     GIR_EraseRootFromParent_Done,
     /* 1095428 */   // Label 16104: @1095428
     /* 1095428 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095505), // Rule ID 60742 //
     /* 1095433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095472 */     // MIs[0] policy
     /* 1095472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095504 */     // GIR_Coverage, 60742,
     /* 1095504 */     GIR_EraseRootFromParent_Done,
     /* 1095505 */   // Label 16105: @1095505
     /* 1095505 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095582), // Rule ID 60743 //
     /* 1095510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095549 */     // MIs[0] policy
     /* 1095549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095581 */     // GIR_Coverage, 60743,
     /* 1095581 */     GIR_EraseRootFromParent_Done,
     /* 1095582 */   // Label 16106: @1095582
     /* 1095582 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095659), // Rule ID 60746 //
     /* 1095587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095626 */     // MIs[0] policy
     /* 1095626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095658 */     // GIR_Coverage, 60746,
     /* 1095658 */     GIR_EraseRootFromParent_Done,
     /* 1095659 */   // Label 16107: @1095659
     /* 1095659 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095736), // Rule ID 60747 //
     /* 1095664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095703 */     // MIs[0] policy
     /* 1095703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095735 */     // GIR_Coverage, 60747,
     /* 1095735 */     GIR_EraseRootFromParent_Done,
     /* 1095736 */   // Label 16108: @1095736
     /* 1095736 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095813), // Rule ID 60750 //
     /* 1095741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095780 */     // MIs[0] policy
     /* 1095780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095790 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095812 */     // GIR_Coverage, 60750,
     /* 1095812 */     GIR_EraseRootFromParent_Done,
     /* 1095813 */   // Label 16109: @1095813
     /* 1095813 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095890), // Rule ID 60751 //
     /* 1095818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095857 */     // MIs[0] policy
     /* 1095857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095889 */     // GIR_Coverage, 60751,
     /* 1095889 */     GIR_EraseRootFromParent_Done,
     /* 1095890 */   // Label 16110: @1095890
     /* 1095890 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095967), // Rule ID 60754 //
     /* 1095895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095934 */     // MIs[0] policy
     /* 1095934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095966 */     // GIR_Coverage, 60754,
     /* 1095966 */     GIR_EraseRootFromParent_Done,
     /* 1095967 */   // Label 16111: @1095967
     /* 1095967 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1096044), // Rule ID 60755 //
     /* 1095972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096011 */     // MIs[0] policy
     /* 1096011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096043 */     // GIR_Coverage, 60755,
     /* 1096043 */     GIR_EraseRootFromParent_Done,
     /* 1096044 */   // Label 16112: @1096044
     /* 1096044 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1096121), // Rule ID 60758 //
     /* 1096049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096088 */     // MIs[0] policy
     /* 1096088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096120 */     // GIR_Coverage, 60758,
     /* 1096120 */     GIR_EraseRootFromParent_Done,
     /* 1096121 */   // Label 16113: @1096121
     /* 1096121 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1096198), // Rule ID 60759 //
     /* 1096126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096165 */     // MIs[0] policy
     /* 1096165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096197 */     // GIR_Coverage, 60759,
     /* 1096197 */     GIR_EraseRootFromParent_Done,
     /* 1096198 */   // Label 16114: @1096198
     /* 1096198 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1096275), // Rule ID 60762 //
     /* 1096203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096242 */     // MIs[0] policy
     /* 1096242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096274 */     // GIR_Coverage, 60762,
     /* 1096274 */     GIR_EraseRootFromParent_Done,
     /* 1096275 */   // Label 16115: @1096275
     /* 1096275 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1096352), // Rule ID 60763 //
     /* 1096280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096319 */     // MIs[0] policy
     /* 1096319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096351 */     // GIR_Coverage, 60763,
     /* 1096351 */     GIR_EraseRootFromParent_Done,
     /* 1096352 */   // Label 16116: @1096352
     /* 1096352 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096429), // Rule ID 60766 //
     /* 1096357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096396 */     // MIs[0] policy
     /* 1096396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096428 */     // GIR_Coverage, 60766,
     /* 1096428 */     GIR_EraseRootFromParent_Done,
     /* 1096429 */   // Label 16117: @1096429
     /* 1096429 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096506), // Rule ID 60767 //
     /* 1096434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096473 */     // MIs[0] policy
     /* 1096473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096505 */     // GIR_Coverage, 60767,
     /* 1096505 */     GIR_EraseRootFromParent_Done,
     /* 1096506 */   // Label 16118: @1096506
     /* 1096506 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096583), // Rule ID 60770 //
     /* 1096511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096550 */     // MIs[0] policy
     /* 1096550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096582 */     // GIR_Coverage, 60770,
     /* 1096582 */     GIR_EraseRootFromParent_Done,
     /* 1096583 */   // Label 16119: @1096583
     /* 1096583 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096660), // Rule ID 60771 //
     /* 1096588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096627 */     // MIs[0] policy
     /* 1096627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096659 */     // GIR_Coverage, 60771,
     /* 1096659 */     GIR_EraseRootFromParent_Done,
     /* 1096660 */   // Label 16120: @1096660
     /* 1096660 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096737), // Rule ID 60774 //
     /* 1096665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096704 */     // MIs[0] policy
     /* 1096704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096736 */     // GIR_Coverage, 60774,
     /* 1096736 */     GIR_EraseRootFromParent_Done,
     /* 1096737 */   // Label 16121: @1096737
     /* 1096737 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096814), // Rule ID 60775 //
     /* 1096742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096781 */     // MIs[0] policy
     /* 1096781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096791 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096813 */     // GIR_Coverage, 60775,
     /* 1096813 */     GIR_EraseRootFromParent_Done,
     /* 1096814 */   // Label 16122: @1096814
     /* 1096814 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096891), // Rule ID 60778 //
     /* 1096819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096858 */     // MIs[0] policy
     /* 1096858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096890 */     // GIR_Coverage, 60778,
     /* 1096890 */     GIR_EraseRootFromParent_Done,
     /* 1096891 */   // Label 16123: @1096891
     /* 1096891 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096968), // Rule ID 60779 //
     /* 1096896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096935 */     // MIs[0] policy
     /* 1096935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096967 */     // GIR_Coverage, 60779,
     /* 1096967 */     GIR_EraseRootFromParent_Done,
     /* 1096968 */   // Label 16124: @1096968
     /* 1096968 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1097045), // Rule ID 60782 //
     /* 1096973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097012 */     // MIs[0] policy
     /* 1097012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097044 */     // GIR_Coverage, 60782,
     /* 1097044 */     GIR_EraseRootFromParent_Done,
     /* 1097045 */   // Label 16125: @1097045
     /* 1097045 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1097122), // Rule ID 60783 //
     /* 1097050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097089 */     // MIs[0] policy
     /* 1097089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097121 */     // GIR_Coverage, 60783,
     /* 1097121 */     GIR_EraseRootFromParent_Done,
     /* 1097122 */   // Label 16126: @1097122
     /* 1097122 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1097199), // Rule ID 60786 //
     /* 1097127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097166 */     // MIs[0] policy
     /* 1097166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097198 */     // GIR_Coverage, 60786,
     /* 1097198 */     GIR_EraseRootFromParent_Done,
     /* 1097199 */   // Label 16127: @1097199
     /* 1097199 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1097276), // Rule ID 60787 //
     /* 1097204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097243 */     // MIs[0] policy
     /* 1097243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097275 */     // GIR_Coverage, 60787,
     /* 1097275 */     GIR_EraseRootFromParent_Done,
     /* 1097276 */   // Label 16128: @1097276
     /* 1097276 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1097353), // Rule ID 60790 //
     /* 1097281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097320 */     // MIs[0] policy
     /* 1097320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097352 */     // GIR_Coverage, 60790,
     /* 1097352 */     GIR_EraseRootFromParent_Done,
     /* 1097353 */   // Label 16129: @1097353
     /* 1097353 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097430), // Rule ID 60791 //
     /* 1097358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097397 */     // MIs[0] policy
     /* 1097397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097429 */     // GIR_Coverage, 60791,
     /* 1097429 */     GIR_EraseRootFromParent_Done,
     /* 1097430 */   // Label 16130: @1097430
     /* 1097430 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097507), // Rule ID 60794 //
     /* 1097435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097474 */     // MIs[0] policy
     /* 1097474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097506 */     // GIR_Coverage, 60794,
     /* 1097506 */     GIR_EraseRootFromParent_Done,
     /* 1097507 */   // Label 16131: @1097507
     /* 1097507 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097584), // Rule ID 60795 //
     /* 1097512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097551 */     // MIs[0] policy
     /* 1097551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097583 */     // GIR_Coverage, 60795,
     /* 1097583 */     GIR_EraseRootFromParent_Done,
     /* 1097584 */   // Label 16132: @1097584
     /* 1097584 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097661), // Rule ID 60798 //
     /* 1097589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097628 */     // MIs[0] policy
     /* 1097628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097660 */     // GIR_Coverage, 60798,
     /* 1097660 */     GIR_EraseRootFromParent_Done,
     /* 1097661 */   // Label 16133: @1097661
     /* 1097661 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097738), // Rule ID 60799 //
     /* 1097666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097705 */     // MIs[0] policy
     /* 1097705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097737 */     // GIR_Coverage, 60799,
     /* 1097737 */     GIR_EraseRootFromParent_Done,
     /* 1097738 */   // Label 16134: @1097738
     /* 1097738 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097815), // Rule ID 60802 //
     /* 1097743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097782 */     // MIs[0] policy
     /* 1097782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097814 */     // GIR_Coverage, 60802,
     /* 1097814 */     GIR_EraseRootFromParent_Done,
     /* 1097815 */   // Label 16135: @1097815
     /* 1097815 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097892), // Rule ID 60803 //
     /* 1097820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097859 */     // MIs[0] policy
     /* 1097859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097891 */     // GIR_Coverage, 60803,
     /* 1097891 */     GIR_EraseRootFromParent_Done,
     /* 1097892 */   // Label 16136: @1097892
     /* 1097892 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097969), // Rule ID 60806 //
     /* 1097897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097936 */     // MIs[0] policy
     /* 1097936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097968 */     // GIR_Coverage, 60806,
     /* 1097968 */     GIR_EraseRootFromParent_Done,
     /* 1097969 */   // Label 16137: @1097969
     /* 1097969 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1098046), // Rule ID 60807 //
     /* 1097974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098013 */     // MIs[0] policy
     /* 1098013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098045 */     // GIR_Coverage, 60807,
     /* 1098045 */     GIR_EraseRootFromParent_Done,
     /* 1098046 */   // Label 16138: @1098046
     /* 1098046 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1098123), // Rule ID 60810 //
     /* 1098051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098090 */     // MIs[0] policy
     /* 1098090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098122 */     // GIR_Coverage, 60810,
     /* 1098122 */     GIR_EraseRootFromParent_Done,
     /* 1098123 */   // Label 16139: @1098123
     /* 1098123 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1098200), // Rule ID 60811 //
     /* 1098128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098167 */     // MIs[0] policy
     /* 1098167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098199 */     // GIR_Coverage, 60811,
     /* 1098199 */     GIR_EraseRootFromParent_Done,
     /* 1098200 */   // Label 16140: @1098200
     /* 1098200 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1098277), // Rule ID 60814 //
     /* 1098205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098244 */     // MIs[0] policy
     /* 1098244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098276 */     // GIR_Coverage, 60814,
     /* 1098276 */     GIR_EraseRootFromParent_Done,
     /* 1098277 */   // Label 16141: @1098277
     /* 1098277 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1098354), // Rule ID 60815 //
     /* 1098282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098321 */     // MIs[0] policy
     /* 1098321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098353 */     // GIR_Coverage, 60815,
     /* 1098353 */     GIR_EraseRootFromParent_Done,
     /* 1098354 */   // Label 16142: @1098354
     /* 1098354 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098431), // Rule ID 60818 //
     /* 1098359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098398 */     // MIs[0] policy
     /* 1098398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098430 */     // GIR_Coverage, 60818,
     /* 1098430 */     GIR_EraseRootFromParent_Done,
     /* 1098431 */   // Label 16143: @1098431
     /* 1098431 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098508), // Rule ID 60819 //
     /* 1098436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098475 */     // MIs[0] policy
     /* 1098475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098485 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098507 */     // GIR_Coverage, 60819,
     /* 1098507 */     GIR_EraseRootFromParent_Done,
     /* 1098508 */   // Label 16144: @1098508
     /* 1098508 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098585), // Rule ID 60822 //
     /* 1098513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098552 */     // MIs[0] policy
     /* 1098552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098584 */     // GIR_Coverage, 60822,
     /* 1098584 */     GIR_EraseRootFromParent_Done,
     /* 1098585 */   // Label 16145: @1098585
     /* 1098585 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098662), // Rule ID 60823 //
     /* 1098590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098629 */     // MIs[0] policy
     /* 1098629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098661 */     // GIR_Coverage, 60823,
     /* 1098661 */     GIR_EraseRootFromParent_Done,
     /* 1098662 */   // Label 16146: @1098662
     /* 1098662 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098739), // Rule ID 60826 //
     /* 1098667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098706 */     // MIs[0] policy
     /* 1098706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098738 */     // GIR_Coverage, 60826,
     /* 1098738 */     GIR_EraseRootFromParent_Done,
     /* 1098739 */   // Label 16147: @1098739
     /* 1098739 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098816), // Rule ID 60827 //
     /* 1098744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098783 */     // MIs[0] policy
     /* 1098783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098815 */     // GIR_Coverage, 60827,
     /* 1098815 */     GIR_EraseRootFromParent_Done,
     /* 1098816 */   // Label 16148: @1098816
     /* 1098816 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098893), // Rule ID 60830 //
     /* 1098821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098860 */     // MIs[0] policy
     /* 1098860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098892 */     // GIR_Coverage, 60830,
     /* 1098892 */     GIR_EraseRootFromParent_Done,
     /* 1098893 */   // Label 16149: @1098893
     /* 1098893 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098970), // Rule ID 60831 //
     /* 1098898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098937 */     // MIs[0] policy
     /* 1098937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098969 */     // GIR_Coverage, 60831,
     /* 1098969 */     GIR_EraseRootFromParent_Done,
     /* 1098970 */   // Label 16150: @1098970
     /* 1098970 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1099047), // Rule ID 60834 //
     /* 1098975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1098992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099014 */     // MIs[0] policy
     /* 1099014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099046 */     // GIR_Coverage, 60834,
     /* 1099046 */     GIR_EraseRootFromParent_Done,
     /* 1099047 */   // Label 16151: @1099047
     /* 1099047 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1099124), // Rule ID 60835 //
     /* 1099052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099091 */     // MIs[0] policy
     /* 1099091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099123 */     // GIR_Coverage, 60835,
     /* 1099123 */     GIR_EraseRootFromParent_Done,
     /* 1099124 */   // Label 16152: @1099124
     /* 1099124 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1099201), // Rule ID 60838 //
     /* 1099129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099168 */     // MIs[0] policy
     /* 1099168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099200 */     // GIR_Coverage, 60838,
     /* 1099200 */     GIR_EraseRootFromParent_Done,
     /* 1099201 */   // Label 16153: @1099201
     /* 1099201 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1099278), // Rule ID 60839 //
     /* 1099206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099245 */     // MIs[0] policy
     /* 1099245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099277 */     // GIR_Coverage, 60839,
     /* 1099277 */     GIR_EraseRootFromParent_Done,
     /* 1099278 */   // Label 16154: @1099278
     /* 1099278 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1099355), // Rule ID 60842 //
     /* 1099283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099322 */     // MIs[0] policy
     /* 1099322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099354 */     // GIR_Coverage, 60842,
     /* 1099354 */     GIR_EraseRootFromParent_Done,
     /* 1099355 */   // Label 16155: @1099355
     /* 1099355 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099432), // Rule ID 60843 //
     /* 1099360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099399 */     // MIs[0] policy
     /* 1099399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099431 */     // GIR_Coverage, 60843,
     /* 1099431 */     GIR_EraseRootFromParent_Done,
     /* 1099432 */   // Label 16156: @1099432
     /* 1099432 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099509), // Rule ID 61266 //
     /* 1099437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099476 */     // MIs[0] policy
     /* 1099476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099486 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099508 */     // GIR_Coverage, 61266,
     /* 1099508 */     GIR_EraseRootFromParent_Done,
     /* 1099509 */   // Label 16157: @1099509
     /* 1099509 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099586), // Rule ID 61267 //
     /* 1099514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099553 */     // MIs[0] policy
     /* 1099553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099585 */     // GIR_Coverage, 61267,
     /* 1099585 */     GIR_EraseRootFromParent_Done,
     /* 1099586 */   // Label 16158: @1099586
     /* 1099586 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099663), // Rule ID 61270 //
     /* 1099591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099630 */     // MIs[0] policy
     /* 1099630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099662 */     // GIR_Coverage, 61270,
     /* 1099662 */     GIR_EraseRootFromParent_Done,
     /* 1099663 */   // Label 16159: @1099663
     /* 1099663 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099740), // Rule ID 61271 //
     /* 1099668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099707 */     // MIs[0] policy
     /* 1099707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099739 */     // GIR_Coverage, 61271,
     /* 1099739 */     GIR_EraseRootFromParent_Done,
     /* 1099740 */   // Label 16160: @1099740
     /* 1099740 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099817), // Rule ID 61274 //
     /* 1099745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099784 */     // MIs[0] policy
     /* 1099784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099816 */     // GIR_Coverage, 61274,
     /* 1099816 */     GIR_EraseRootFromParent_Done,
     /* 1099817 */   // Label 16161: @1099817
     /* 1099817 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099894), // Rule ID 61275 //
     /* 1099822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099861 */     // MIs[0] policy
     /* 1099861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099893 */     // GIR_Coverage, 61275,
     /* 1099893 */     GIR_EraseRootFromParent_Done,
     /* 1099894 */   // Label 16162: @1099894
     /* 1099894 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099971), // Rule ID 61278 //
     /* 1099899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099938 */     // MIs[0] policy
     /* 1099938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099970 */     // GIR_Coverage, 61278,
     /* 1099970 */     GIR_EraseRootFromParent_Done,
     /* 1099971 */   // Label 16163: @1099971
     /* 1099971 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1100048), // Rule ID 61279 //
     /* 1099976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100015 */     // MIs[0] policy
     /* 1100015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100047 */     // GIR_Coverage, 61279,
     /* 1100047 */     GIR_EraseRootFromParent_Done,
     /* 1100048 */   // Label 16164: @1100048
     /* 1100048 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1100125), // Rule ID 61282 //
     /* 1100053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100092 */     // MIs[0] policy
     /* 1100092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100124 */     // GIR_Coverage, 61282,
     /* 1100124 */     GIR_EraseRootFromParent_Done,
     /* 1100125 */   // Label 16165: @1100125
     /* 1100125 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1100202), // Rule ID 61283 //
     /* 1100130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100169 */     // MIs[0] policy
     /* 1100169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100179 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100201 */     // GIR_Coverage, 61283,
     /* 1100201 */     GIR_EraseRootFromParent_Done,
     /* 1100202 */   // Label 16166: @1100202
     /* 1100202 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1100279), // Rule ID 61286 //
     /* 1100207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100246 */     // MIs[0] policy
     /* 1100246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100278 */     // GIR_Coverage, 61286,
     /* 1100278 */     GIR_EraseRootFromParent_Done,
     /* 1100279 */   // Label 16167: @1100279
     /* 1100279 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1100356), // Rule ID 61287 //
     /* 1100284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100323 */     // MIs[0] policy
     /* 1100323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100355 */     // GIR_Coverage, 61287,
     /* 1100355 */     GIR_EraseRootFromParent_Done,
     /* 1100356 */   // Label 16168: @1100356
     /* 1100356 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100433), // Rule ID 61290 //
     /* 1100361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100400 */     // MIs[0] policy
     /* 1100400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100432 */     // GIR_Coverage, 61290,
     /* 1100432 */     GIR_EraseRootFromParent_Done,
     /* 1100433 */   // Label 16169: @1100433
     /* 1100433 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100510), // Rule ID 61291 //
     /* 1100438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100477 */     // MIs[0] policy
     /* 1100477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100509 */     // GIR_Coverage, 61291,
     /* 1100509 */     GIR_EraseRootFromParent_Done,
     /* 1100510 */   // Label 16170: @1100510
     /* 1100510 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100587), // Rule ID 61294 //
     /* 1100515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100554 */     // MIs[0] policy
     /* 1100554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100586 */     // GIR_Coverage, 61294,
     /* 1100586 */     GIR_EraseRootFromParent_Done,
     /* 1100587 */   // Label 16171: @1100587
     /* 1100587 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100664), // Rule ID 61295 //
     /* 1100592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100631 */     // MIs[0] policy
     /* 1100631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100663 */     // GIR_Coverage, 61295,
     /* 1100663 */     GIR_EraseRootFromParent_Done,
     /* 1100664 */   // Label 16172: @1100664
     /* 1100664 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100741), // Rule ID 61298 //
     /* 1100669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100708 */     // MIs[0] policy
     /* 1100708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100740 */     // GIR_Coverage, 61298,
     /* 1100740 */     GIR_EraseRootFromParent_Done,
     /* 1100741 */   // Label 16173: @1100741
     /* 1100741 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100818), // Rule ID 61299 //
     /* 1100746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100785 */     // MIs[0] policy
     /* 1100785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100817 */     // GIR_Coverage, 61299,
     /* 1100817 */     GIR_EraseRootFromParent_Done,
     /* 1100818 */   // Label 16174: @1100818
     /* 1100818 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100895), // Rule ID 61302 //
     /* 1100823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100862 */     // MIs[0] policy
     /* 1100862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100894 */     // GIR_Coverage, 61302,
     /* 1100894 */     GIR_EraseRootFromParent_Done,
     /* 1100895 */   // Label 16175: @1100895
     /* 1100895 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100972), // Rule ID 61303 //
     /* 1100900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100939 */     // MIs[0] policy
     /* 1100939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100971 */     // GIR_Coverage, 61303,
     /* 1100971 */     GIR_EraseRootFromParent_Done,
     /* 1100972 */   // Label 16176: @1100972
     /* 1100972 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1101049), // Rule ID 61306 //
     /* 1100977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1100994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101016 */     // MIs[0] policy
     /* 1101016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101048 */     // GIR_Coverage, 61306,
     /* 1101048 */     GIR_EraseRootFromParent_Done,
     /* 1101049 */   // Label 16177: @1101049
     /* 1101049 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1101126), // Rule ID 61307 //
     /* 1101054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101093 */     // MIs[0] policy
     /* 1101093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101125 */     // GIR_Coverage, 61307,
     /* 1101125 */     GIR_EraseRootFromParent_Done,
     /* 1101126 */   // Label 16178: @1101126
     /* 1101126 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1101203), // Rule ID 61310 //
     /* 1101131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101170 */     // MIs[0] policy
     /* 1101170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101202 */     // GIR_Coverage, 61310,
     /* 1101202 */     GIR_EraseRootFromParent_Done,
     /* 1101203 */   // Label 16179: @1101203
     /* 1101203 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1101280), // Rule ID 61311 //
     /* 1101208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101247 */     // MIs[0] policy
     /* 1101247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101279 */     // GIR_Coverage, 61311,
     /* 1101279 */     GIR_EraseRootFromParent_Done,
     /* 1101280 */   // Label 16180: @1101280
     /* 1101280 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1101357), // Rule ID 61314 //
     /* 1101285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1101296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1101299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101324 */     // MIs[0] policy
     /* 1101324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101356 */     // GIR_Coverage, 61314,
     /* 1101356 */     GIR_EraseRootFromParent_Done,
     /* 1101357 */   // Label 16181: @1101357
     /* 1101357 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101434), // Rule ID 61315 //
     /* 1101362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1101373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1101376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101401 */     // MIs[0] policy
     /* 1101401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101433 */     // GIR_Coverage, 61315,
     /* 1101433 */     GIR_EraseRootFromParent_Done,
     /* 1101434 */   // Label 16182: @1101434
     /* 1101434 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101511), // Rule ID 61318 //
     /* 1101439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101478 */     // MIs[0] policy
     /* 1101478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101510 */     // GIR_Coverage, 61318,
     /* 1101510 */     GIR_EraseRootFromParent_Done,
     /* 1101511 */   // Label 16183: @1101511
     /* 1101511 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101588), // Rule ID 61319 //
     /* 1101516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101555 */     // MIs[0] policy
     /* 1101555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101587 */     // GIR_Coverage, 61319,
     /* 1101587 */     GIR_EraseRootFromParent_Done,
     /* 1101588 */   // Label 16184: @1101588
     /* 1101588 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101665), // Rule ID 61322 //
     /* 1101593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101632 */     // MIs[0] policy
     /* 1101632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101664 */     // GIR_Coverage, 61322,
     /* 1101664 */     GIR_EraseRootFromParent_Done,
     /* 1101665 */   // Label 16185: @1101665
     /* 1101665 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101742), // Rule ID 61323 //
     /* 1101670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101709 */     // MIs[0] policy
     /* 1101709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101741 */     // GIR_Coverage, 61323,
     /* 1101741 */     GIR_EraseRootFromParent_Done,
     /* 1101742 */   // Label 16186: @1101742
     /* 1101742 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101819), // Rule ID 61326 //
     /* 1101747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101786 */     // MIs[0] policy
     /* 1101786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101818 */     // GIR_Coverage, 61326,
     /* 1101818 */     GIR_EraseRootFromParent_Done,
     /* 1101819 */   // Label 16187: @1101819
     /* 1101819 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101896), // Rule ID 61327 //
     /* 1101824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101863 */     // MIs[0] policy
     /* 1101863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101895 */     // GIR_Coverage, 61327,
     /* 1101895 */     GIR_EraseRootFromParent_Done,
     /* 1101896 */   // Label 16188: @1101896
     /* 1101896 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101973), // Rule ID 61330 //
     /* 1101901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101940 */     // MIs[0] policy
     /* 1101940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101972 */     // GIR_Coverage, 61330,
     /* 1101972 */     GIR_EraseRootFromParent_Done,
     /* 1101973 */   // Label 16189: @1101973
     /* 1101973 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1102050), // Rule ID 61331 //
     /* 1101978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102017 */     // MIs[0] policy
     /* 1102017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102049 */     // GIR_Coverage, 61331,
     /* 1102049 */     GIR_EraseRootFromParent_Done,
     /* 1102050 */   // Label 16190: @1102050
     /* 1102050 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1102127), // Rule ID 61334 //
     /* 1102055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102094 */     // MIs[0] policy
     /* 1102094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102126 */     // GIR_Coverage, 61334,
     /* 1102126 */     GIR_EraseRootFromParent_Done,
     /* 1102127 */   // Label 16191: @1102127
     /* 1102127 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1102204), // Rule ID 61335 //
     /* 1102132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102171 */     // MIs[0] policy
     /* 1102171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102203 */     // GIR_Coverage, 61335,
     /* 1102203 */     GIR_EraseRootFromParent_Done,
     /* 1102204 */   // Label 16192: @1102204
     /* 1102204 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1102281), // Rule ID 61338 //
     /* 1102209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102248 */     // MIs[0] policy
     /* 1102248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102280 */     // GIR_Coverage, 61338,
     /* 1102280 */     GIR_EraseRootFromParent_Done,
     /* 1102281 */   // Label 16193: @1102281
     /* 1102281 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1102358), // Rule ID 61339 //
     /* 1102286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102325 */     // MIs[0] policy
     /* 1102325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102357 */     // GIR_Coverage, 61339,
     /* 1102357 */     GIR_EraseRootFromParent_Done,
     /* 1102358 */   // Label 16194: @1102358
     /* 1102358 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102435), // Rule ID 61342 //
     /* 1102363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102402 */     // MIs[0] policy
     /* 1102402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102434 */     // GIR_Coverage, 61342,
     /* 1102434 */     GIR_EraseRootFromParent_Done,
     /* 1102435 */   // Label 16195: @1102435
     /* 1102435 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102512), // Rule ID 61343 //
     /* 1102440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102479 */     // MIs[0] policy
     /* 1102479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102511 */     // GIR_Coverage, 61343,
     /* 1102511 */     GIR_EraseRootFromParent_Done,
     /* 1102512 */   // Label 16196: @1102512
     /* 1102512 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102589), // Rule ID 61346 //
     /* 1102517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102556 */     // MIs[0] policy
     /* 1102556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102588 */     // GIR_Coverage, 61346,
     /* 1102588 */     GIR_EraseRootFromParent_Done,
     /* 1102589 */   // Label 16197: @1102589
     /* 1102589 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102666), // Rule ID 61347 //
     /* 1102594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102633 */     // MIs[0] policy
     /* 1102633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102665 */     // GIR_Coverage, 61347,
     /* 1102665 */     GIR_EraseRootFromParent_Done,
     /* 1102666 */   // Label 16198: @1102666
     /* 1102666 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102743), // Rule ID 61350 //
     /* 1102671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102710 */     // MIs[0] policy
     /* 1102710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102742 */     // GIR_Coverage, 61350,
     /* 1102742 */     GIR_EraseRootFromParent_Done,
     /* 1102743 */   // Label 16199: @1102743
     /* 1102743 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102820), // Rule ID 61351 //
     /* 1102748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102787 */     // MIs[0] policy
     /* 1102787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102819 */     // GIR_Coverage, 61351,
     /* 1102819 */     GIR_EraseRootFromParent_Done,
     /* 1102820 */   // Label 16200: @1102820
     /* 1102820 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102897), // Rule ID 61354 //
     /* 1102825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102864 */     // MIs[0] policy
     /* 1102864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102896 */     // GIR_Coverage, 61354,
     /* 1102896 */     GIR_EraseRootFromParent_Done,
     /* 1102897 */   // Label 16201: @1102897
     /* 1102897 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102974), // Rule ID 61355 //
     /* 1102902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102941 */     // MIs[0] policy
     /* 1102941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102973 */     // GIR_Coverage, 61355,
     /* 1102973 */     GIR_EraseRootFromParent_Done,
     /* 1102974 */   // Label 16202: @1102974
     /* 1102974 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1103051), // Rule ID 61358 //
     /* 1102979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1102993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1102996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103018 */     // MIs[0] policy
     /* 1103018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103050 */     // GIR_Coverage, 61358,
     /* 1103050 */     GIR_EraseRootFromParent_Done,
     /* 1103051 */   // Label 16203: @1103051
     /* 1103051 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1103128), // Rule ID 61359 //
     /* 1103056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103095 */     // MIs[0] policy
     /* 1103095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103127 */     // GIR_Coverage, 61359,
     /* 1103127 */     GIR_EraseRootFromParent_Done,
     /* 1103128 */   // Label 16204: @1103128
     /* 1103128 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1103205), // Rule ID 61362 //
     /* 1103133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103172 */     // MIs[0] policy
     /* 1103172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103204 */     // GIR_Coverage, 61362,
     /* 1103204 */     GIR_EraseRootFromParent_Done,
     /* 1103205 */   // Label 16205: @1103205
     /* 1103205 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1103282), // Rule ID 61363 //
     /* 1103210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103249 */     // MIs[0] policy
     /* 1103249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103281 */     // GIR_Coverage, 61363,
     /* 1103281 */     GIR_EraseRootFromParent_Done,
     /* 1103282 */   // Label 16206: @1103282
     /* 1103282 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1103359), // Rule ID 61366 //
     /* 1103287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1103298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1103301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103326 */     // MIs[0] policy
     /* 1103326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103358 */     // GIR_Coverage, 61366,
     /* 1103358 */     GIR_EraseRootFromParent_Done,
     /* 1103359 */   // Label 16207: @1103359
     /* 1103359 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103436), // Rule ID 61367 //
     /* 1103364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1103375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1103378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103403 */     // MIs[0] policy
     /* 1103403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103435 */     // GIR_Coverage, 61367,
     /* 1103435 */     GIR_EraseRootFromParent_Done,
     /* 1103436 */   // Label 16208: @1103436
     /* 1103436 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103513), // Rule ID 61370 //
     /* 1103441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103480 */     // MIs[0] policy
     /* 1103480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103490 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103512 */     // GIR_Coverage, 61370,
     /* 1103512 */     GIR_EraseRootFromParent_Done,
     /* 1103513 */   // Label 16209: @1103513
     /* 1103513 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103590), // Rule ID 61371 //
     /* 1103518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103557 */     // MIs[0] policy
     /* 1103557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103589 */     // GIR_Coverage, 61371,
     /* 1103589 */     GIR_EraseRootFromParent_Done,
     /* 1103590 */   // Label 16210: @1103590
     /* 1103590 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103667), // Rule ID 61374 //
     /* 1103595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103634 */     // MIs[0] policy
     /* 1103634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103666 */     // GIR_Coverage, 61374,
     /* 1103666 */     GIR_EraseRootFromParent_Done,
     /* 1103667 */   // Label 16211: @1103667
     /* 1103667 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103744), // Rule ID 61375 //
     /* 1103672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103711 */     // MIs[0] policy
     /* 1103711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103743 */     // GIR_Coverage, 61375,
     /* 1103743 */     GIR_EraseRootFromParent_Done,
     /* 1103744 */   // Label 16212: @1103744
     /* 1103744 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103821), // Rule ID 61378 //
     /* 1103749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103788 */     // MIs[0] policy
     /* 1103788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103820 */     // GIR_Coverage, 61378,
     /* 1103820 */     GIR_EraseRootFromParent_Done,
     /* 1103821 */   // Label 16213: @1103821
     /* 1103821 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103898), // Rule ID 61379 //
     /* 1103826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103865 */     // MIs[0] policy
     /* 1103865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103897 */     // GIR_Coverage, 61379,
     /* 1103897 */     GIR_EraseRootFromParent_Done,
     /* 1103898 */   // Label 16214: @1103898
     /* 1103898 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103975), // Rule ID 61382 //
     /* 1103903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103942 */     // MIs[0] policy
     /* 1103942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103974 */     // GIR_Coverage, 61382,
     /* 1103974 */     GIR_EraseRootFromParent_Done,
     /* 1103975 */   // Label 16215: @1103975
     /* 1103975 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1104052), // Rule ID 61383 //
     /* 1103980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104019 */     // MIs[0] policy
     /* 1104019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104051 */     // GIR_Coverage, 61383,
     /* 1104051 */     GIR_EraseRootFromParent_Done,
     /* 1104052 */   // Label 16216: @1104052
     /* 1104052 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1104129), // Rule ID 61386 //
     /* 1104057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104096 */     // MIs[0] policy
     /* 1104096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104128 */     // GIR_Coverage, 61386,
     /* 1104128 */     GIR_EraseRootFromParent_Done,
     /* 1104129 */   // Label 16217: @1104129
     /* 1104129 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1104206), // Rule ID 61387 //
     /* 1104134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104173 */     // MIs[0] policy
     /* 1104173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104205 */     // GIR_Coverage, 61387,
     /* 1104205 */     GIR_EraseRootFromParent_Done,
     /* 1104206 */   // Label 16218: @1104206
     /* 1104206 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1104283), // Rule ID 61390 //
     /* 1104211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104250 */     // MIs[0] policy
     /* 1104250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104282 */     // GIR_Coverage, 61390,
     /* 1104282 */     GIR_EraseRootFromParent_Done,
     /* 1104283 */   // Label 16219: @1104283
     /* 1104283 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1104360), // Rule ID 61391 //
     /* 1104288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104327 */     // MIs[0] policy
     /* 1104327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104359 */     // GIR_Coverage, 61391,
     /* 1104359 */     GIR_EraseRootFromParent_Done,
     /* 1104360 */   // Label 16220: @1104360
     /* 1104360 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104437), // Rule ID 61394 //
     /* 1104365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104404 */     // MIs[0] policy
     /* 1104404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104436 */     // GIR_Coverage, 61394,
     /* 1104436 */     GIR_EraseRootFromParent_Done,
     /* 1104437 */   // Label 16221: @1104437
     /* 1104437 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104514), // Rule ID 61395 //
     /* 1104442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104481 */     // MIs[0] policy
     /* 1104481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104513 */     // GIR_Coverage, 61395,
     /* 1104513 */     GIR_EraseRootFromParent_Done,
     /* 1104514 */   // Label 16222: @1104514
     /* 1104514 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104591), // Rule ID 61398 //
     /* 1104519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104558 */     // MIs[0] policy
     /* 1104558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104590 */     // GIR_Coverage, 61398,
     /* 1104590 */     GIR_EraseRootFromParent_Done,
     /* 1104591 */   // Label 16223: @1104591
     /* 1104591 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104668), // Rule ID 61399 //
     /* 1104596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104635 */     // MIs[0] policy
     /* 1104635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104645 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104667 */     // GIR_Coverage, 61399,
     /* 1104667 */     GIR_EraseRootFromParent_Done,
     /* 1104668 */   // Label 16224: @1104668
     /* 1104668 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104745), // Rule ID 61402 //
     /* 1104673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104712 */     // MIs[0] policy
     /* 1104712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104744 */     // GIR_Coverage, 61402,
     /* 1104744 */     GIR_EraseRootFromParent_Done,
     /* 1104745 */   // Label 16225: @1104745
     /* 1104745 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104822), // Rule ID 61403 //
     /* 1104750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104789 */     // MIs[0] policy
     /* 1104789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104821 */     // GIR_Coverage, 61403,
     /* 1104821 */     GIR_EraseRootFromParent_Done,
     /* 1104822 */   // Label 16226: @1104822
     /* 1104822 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104899), // Rule ID 61406 //
     /* 1104827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104866 */     // MIs[0] policy
     /* 1104866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104898 */     // GIR_Coverage, 61406,
     /* 1104898 */     GIR_EraseRootFromParent_Done,
     /* 1104899 */   // Label 16227: @1104899
     /* 1104899 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104976), // Rule ID 61407 //
     /* 1104904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104943 */     // MIs[0] policy
     /* 1104943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104975 */     // GIR_Coverage, 61407,
     /* 1104975 */     GIR_EraseRootFromParent_Done,
     /* 1104976 */   // Label 16228: @1104976
     /* 1104976 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1105053), // Rule ID 61410 //
     /* 1104981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1104992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1104995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105020 */     // MIs[0] policy
     /* 1105020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105052 */     // GIR_Coverage, 61410,
     /* 1105052 */     GIR_EraseRootFromParent_Done,
     /* 1105053 */   // Label 16229: @1105053
     /* 1105053 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1105130), // Rule ID 61411 //
     /* 1105058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105097 */     // MIs[0] policy
     /* 1105097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105129 */     // GIR_Coverage, 61411,
     /* 1105129 */     GIR_EraseRootFromParent_Done,
     /* 1105130 */   // Label 16230: @1105130
     /* 1105130 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1105207), // Rule ID 61414 //
     /* 1105135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105174 */     // MIs[0] policy
     /* 1105174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105206 */     // GIR_Coverage, 61414,
     /* 1105206 */     GIR_EraseRootFromParent_Done,
     /* 1105207 */   // Label 16231: @1105207
     /* 1105207 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1105284), // Rule ID 61415 //
     /* 1105212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105251 */     // MIs[0] policy
     /* 1105251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105283 */     // GIR_Coverage, 61415,
     /* 1105283 */     GIR_EraseRootFromParent_Done,
     /* 1105284 */   // Label 16232: @1105284
     /* 1105284 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1105361), // Rule ID 61418 //
     /* 1105289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105328 */     // MIs[0] policy
     /* 1105328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105360 */     // GIR_Coverage, 61418,
     /* 1105360 */     GIR_EraseRootFromParent_Done,
     /* 1105361 */   // Label 16233: @1105361
     /* 1105361 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105438), // Rule ID 61419 //
     /* 1105366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105405 */     // MIs[0] policy
     /* 1105405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105437 */     // GIR_Coverage, 61419,
     /* 1105437 */     GIR_EraseRootFromParent_Done,
     /* 1105438 */   // Label 16234: @1105438
     /* 1105438 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105515), // Rule ID 61422 //
     /* 1105443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105482 */     // MIs[0] policy
     /* 1105482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105514 */     // GIR_Coverage, 61422,
     /* 1105514 */     GIR_EraseRootFromParent_Done,
     /* 1105515 */   // Label 16235: @1105515
     /* 1105515 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105592), // Rule ID 61423 //
     /* 1105520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105559 */     // MIs[0] policy
     /* 1105559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105591 */     // GIR_Coverage, 61423,
     /* 1105591 */     GIR_EraseRootFromParent_Done,
     /* 1105592 */   // Label 16236: @1105592
     /* 1105592 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105669), // Rule ID 61426 //
     /* 1105597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105636 */     // MIs[0] policy
     /* 1105636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105668 */     // GIR_Coverage, 61426,
     /* 1105668 */     GIR_EraseRootFromParent_Done,
     /* 1105669 */   // Label 16237: @1105669
     /* 1105669 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105746), // Rule ID 61427 //
     /* 1105674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105713 */     // MIs[0] policy
     /* 1105713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105745 */     // GIR_Coverage, 61427,
     /* 1105745 */     GIR_EraseRootFromParent_Done,
     /* 1105746 */   // Label 16238: @1105746
     /* 1105746 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105823), // Rule ID 61430 //
     /* 1105751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105790 */     // MIs[0] policy
     /* 1105790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105822 */     // GIR_Coverage, 61430,
     /* 1105822 */     GIR_EraseRootFromParent_Done,
     /* 1105823 */   // Label 16239: @1105823
     /* 1105823 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105900), // Rule ID 61431 //
     /* 1105828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105867 */     // MIs[0] policy
     /* 1105867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105899 */     // GIR_Coverage, 61431,
     /* 1105899 */     GIR_EraseRootFromParent_Done,
     /* 1105900 */   // Label 16240: @1105900
     /* 1105900 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105977), // Rule ID 61434 //
     /* 1105905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105944 */     // MIs[0] policy
     /* 1105944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105976 */     // GIR_Coverage, 61434,
     /* 1105976 */     GIR_EraseRootFromParent_Done,
     /* 1105977 */   // Label 16241: @1105977
     /* 1105977 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1106054), // Rule ID 61435 //
     /* 1105982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106021 */     // MIs[0] policy
     /* 1106021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106053 */     // GIR_Coverage, 61435,
     /* 1106053 */     GIR_EraseRootFromParent_Done,
     /* 1106054 */   // Label 16242: @1106054
     /* 1106054 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1106131), // Rule ID 61438 //
     /* 1106059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106098 */     // MIs[0] policy
     /* 1106098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106130 */     // GIR_Coverage, 61438,
     /* 1106130 */     GIR_EraseRootFromParent_Done,
     /* 1106131 */   // Label 16243: @1106131
     /* 1106131 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1106208), // Rule ID 61439 //
     /* 1106136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106175 */     // MIs[0] policy
     /* 1106175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106207 */     // GIR_Coverage, 61439,
     /* 1106207 */     GIR_EraseRootFromParent_Done,
     /* 1106208 */   // Label 16244: @1106208
     /* 1106208 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1106285), // Rule ID 61964 //
     /* 1106213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106252 */     // MIs[0] policy
     /* 1106252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1106265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106284 */     // GIR_Coverage, 61964,
     /* 1106284 */     GIR_EraseRootFromParent_Done,
     /* 1106285 */   // Label 16245: @1106285
     /* 1106285 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1106362), // Rule ID 61965 //
     /* 1106290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106329 */     // MIs[0] policy
     /* 1106329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1106342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106361 */     // GIR_Coverage, 61965,
     /* 1106361 */     GIR_EraseRootFromParent_Done,
     /* 1106362 */   // Label 16246: @1106362
     /* 1106362 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106439), // Rule ID 61966 //
     /* 1106367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106406 */     // MIs[0] policy
     /* 1106406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106438 */     // GIR_Coverage, 61966,
     /* 1106438 */     GIR_EraseRootFromParent_Done,
     /* 1106439 */   // Label 16247: @1106439
     /* 1106439 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106516), // Rule ID 61967 //
     /* 1106444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106483 */     // MIs[0] policy
     /* 1106483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106515 */     // GIR_Coverage, 61967,
     /* 1106515 */     GIR_EraseRootFromParent_Done,
     /* 1106516 */   // Label 16248: @1106516
     /* 1106516 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106593), // Rule ID 61968 //
     /* 1106521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106560 */     // MIs[0] policy
     /* 1106560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106592 */     // GIR_Coverage, 61968,
     /* 1106592 */     GIR_EraseRootFromParent_Done,
     /* 1106593 */   // Label 16249: @1106593
     /* 1106593 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106670), // Rule ID 61969 //
     /* 1106598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106637 */     // MIs[0] policy
     /* 1106637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106669 */     // GIR_Coverage, 61969,
     /* 1106669 */     GIR_EraseRootFromParent_Done,
     /* 1106670 */   // Label 16250: @1106670
     /* 1106670 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106747), // Rule ID 61970 //
     /* 1106675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106714 */     // MIs[0] policy
     /* 1106714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106746 */     // GIR_Coverage, 61970,
     /* 1106746 */     GIR_EraseRootFromParent_Done,
     /* 1106747 */   // Label 16251: @1106747
     /* 1106747 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106824), // Rule ID 61971 //
     /* 1106752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106791 */     // MIs[0] policy
     /* 1106791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106823 */     // GIR_Coverage, 61971,
     /* 1106823 */     GIR_EraseRootFromParent_Done,
     /* 1106824 */   // Label 16252: @1106824
     /* 1106824 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106901), // Rule ID 62174 //
     /* 1106829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106868 */     // MIs[0] policy
     /* 1106868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106900 */     // GIR_Coverage, 62174,
     /* 1106900 */     GIR_EraseRootFromParent_Done,
     /* 1106901 */   // Label 16253: @1106901
     /* 1106901 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106978), // Rule ID 62175 //
     /* 1106906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106945 */     // MIs[0] policy
     /* 1106945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106977 */     // GIR_Coverage, 62175,
     /* 1106977 */     GIR_EraseRootFromParent_Done,
     /* 1106978 */   // Label 16254: @1106978
     /* 1106978 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1107055), // Rule ID 62176 //
     /* 1106983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107022 */     // MIs[0] policy
     /* 1107022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107054 */     // GIR_Coverage, 62176,
     /* 1107054 */     GIR_EraseRootFromParent_Done,
     /* 1107055 */   // Label 16255: @1107055
     /* 1107055 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1107132), // Rule ID 62177 //
     /* 1107060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107099 */     // MIs[0] policy
     /* 1107099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107131 */     // GIR_Coverage, 62177,
     /* 1107131 */     GIR_EraseRootFromParent_Done,
     /* 1107132 */   // Label 16256: @1107132
     /* 1107132 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1107209), // Rule ID 62178 //
     /* 1107137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107176 */     // MIs[0] policy
     /* 1107176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107208 */     // GIR_Coverage, 62178,
     /* 1107208 */     GIR_EraseRootFromParent_Done,
     /* 1107209 */   // Label 16257: @1107209
     /* 1107209 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1107286), // Rule ID 62179 //
     /* 1107214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107253 */     // MIs[0] policy
     /* 1107253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107285 */     // GIR_Coverage, 62179,
     /* 1107285 */     GIR_EraseRootFromParent_Done,
     /* 1107286 */   // Label 16258: @1107286
     /* 1107286 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1107363), // Rule ID 62180 //
     /* 1107291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107330 */     // MIs[0] policy
     /* 1107330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107362 */     // GIR_Coverage, 62180,
     /* 1107362 */     GIR_EraseRootFromParent_Done,
     /* 1107363 */   // Label 16259: @1107363
     /* 1107363 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107440), // Rule ID 62181 //
     /* 1107368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107407 */     // MIs[0] policy
     /* 1107407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107439 */     // GIR_Coverage, 62181,
     /* 1107439 */     GIR_EraseRootFromParent_Done,
     /* 1107440 */   // Label 16260: @1107440
     /* 1107440 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107517), // Rule ID 62182 //
     /* 1107445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107484 */     // MIs[0] policy
     /* 1107484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107516 */     // GIR_Coverage, 62182,
     /* 1107516 */     GIR_EraseRootFromParent_Done,
     /* 1107517 */   // Label 16261: @1107517
     /* 1107517 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107594), // Rule ID 62183 //
     /* 1107522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107561 */     // MIs[0] policy
     /* 1107561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107593 */     // GIR_Coverage, 62183,
     /* 1107593 */     GIR_EraseRootFromParent_Done,
     /* 1107594 */   // Label 16262: @1107594
     /* 1107594 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107671), // Rule ID 62184 //
     /* 1107599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107638 */     // MIs[0] policy
     /* 1107638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107670 */     // GIR_Coverage, 62184,
     /* 1107670 */     GIR_EraseRootFromParent_Done,
     /* 1107671 */   // Label 16263: @1107671
     /* 1107671 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107748), // Rule ID 62185 //
     /* 1107676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107715 */     // MIs[0] policy
     /* 1107715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107747 */     // GIR_Coverage, 62185,
     /* 1107747 */     GIR_EraseRootFromParent_Done,
     /* 1107748 */   // Label 16264: @1107748
     /* 1107748 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107825), // Rule ID 62186 //
     /* 1107753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107792 */     // MIs[0] policy
     /* 1107792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107824 */     // GIR_Coverage, 62186,
     /* 1107824 */     GIR_EraseRootFromParent_Done,
     /* 1107825 */   // Label 16265: @1107825
     /* 1107825 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107902), // Rule ID 62187 //
     /* 1107830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107869 */     // MIs[0] policy
     /* 1107869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107901 */     // GIR_Coverage, 62187,
     /* 1107901 */     GIR_EraseRootFromParent_Done,
     /* 1107902 */   // Label 16266: @1107902
     /* 1107902 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107979), // Rule ID 62188 //
     /* 1107907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107946 */     // MIs[0] policy
     /* 1107946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107978 */     // GIR_Coverage, 62188,
     /* 1107978 */     GIR_EraseRootFromParent_Done,
     /* 1107979 */   // Label 16267: @1107979
     /* 1107979 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1108056), // Rule ID 62189 //
     /* 1107984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108023 */     // MIs[0] policy
     /* 1108023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108055 */     // GIR_Coverage, 62189,
     /* 1108055 */     GIR_EraseRootFromParent_Done,
     /* 1108056 */   // Label 16268: @1108056
     /* 1108056 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1108133), // Rule ID 62190 //
     /* 1108061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108100 */     // MIs[0] policy
     /* 1108100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108132 */     // GIR_Coverage, 62190,
     /* 1108132 */     GIR_EraseRootFromParent_Done,
     /* 1108133 */   // Label 16269: @1108133
     /* 1108133 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1108210), // Rule ID 62191 //
     /* 1108138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108177 */     // MIs[0] policy
     /* 1108177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108209 */     // GIR_Coverage, 62191,
     /* 1108209 */     GIR_EraseRootFromParent_Done,
     /* 1108210 */   // Label 16270: @1108210
     /* 1108210 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1108287), // Rule ID 62192 //
     /* 1108215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108254 */     // MIs[0] policy
     /* 1108254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108286 */     // GIR_Coverage, 62192,
     /* 1108286 */     GIR_EraseRootFromParent_Done,
     /* 1108287 */   // Label 16271: @1108287
     /* 1108287 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1108364), // Rule ID 62193 //
     /* 1108292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108331 */     // MIs[0] policy
     /* 1108331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108341 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108363 */     // GIR_Coverage, 62193,
     /* 1108363 */     GIR_EraseRootFromParent_Done,
     /* 1108364 */   // Label 16272: @1108364
     /* 1108364 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108441), // Rule ID 62194 //
     /* 1108369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108408 */     // MIs[0] policy
     /* 1108408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108440 */     // GIR_Coverage, 62194,
     /* 1108440 */     GIR_EraseRootFromParent_Done,
     /* 1108441 */   // Label 16273: @1108441
     /* 1108441 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108518), // Rule ID 62195 //
     /* 1108446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108485 */     // MIs[0] policy
     /* 1108485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108517 */     // GIR_Coverage, 62195,
     /* 1108517 */     GIR_EraseRootFromParent_Done,
     /* 1108518 */   // Label 16274: @1108518
     /* 1108518 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108595), // Rule ID 62196 //
     /* 1108523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108562 */     // MIs[0] policy
     /* 1108562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108594 */     // GIR_Coverage, 62196,
     /* 1108594 */     GIR_EraseRootFromParent_Done,
     /* 1108595 */   // Label 16275: @1108595
     /* 1108595 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108672), // Rule ID 62197 //
     /* 1108600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108639 */     // MIs[0] policy
     /* 1108639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108671 */     // GIR_Coverage, 62197,
     /* 1108671 */     GIR_EraseRootFromParent_Done,
     /* 1108672 */   // Label 16276: @1108672
     /* 1108672 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108749), // Rule ID 62198 //
     /* 1108677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108716 */     // MIs[0] policy
     /* 1108716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108748 */     // GIR_Coverage, 62198,
     /* 1108748 */     GIR_EraseRootFromParent_Done,
     /* 1108749 */   // Label 16277: @1108749
     /* 1108749 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108826), // Rule ID 62199 //
     /* 1108754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108793 */     // MIs[0] policy
     /* 1108793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108825 */     // GIR_Coverage, 62199,
     /* 1108825 */     GIR_EraseRootFromParent_Done,
     /* 1108826 */   // Label 16278: @1108826
     /* 1108826 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108903), // Rule ID 62200 //
     /* 1108831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108870 */     // MIs[0] policy
     /* 1108870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108902 */     // GIR_Coverage, 62200,
     /* 1108902 */     GIR_EraseRootFromParent_Done,
     /* 1108903 */   // Label 16279: @1108903
     /* 1108903 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108980), // Rule ID 62201 //
     /* 1108908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108947 */     // MIs[0] policy
     /* 1108947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108979 */     // GIR_Coverage, 62201,
     /* 1108979 */     GIR_EraseRootFromParent_Done,
     /* 1108980 */   // Label 16280: @1108980
     /* 1108980 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1109057), // Rule ID 62202 //
     /* 1108985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109024 */     // MIs[0] policy
     /* 1109024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109056 */     // GIR_Coverage, 62202,
     /* 1109056 */     GIR_EraseRootFromParent_Done,
     /* 1109057 */   // Label 16281: @1109057
     /* 1109057 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1109134), // Rule ID 62203 //
     /* 1109062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109101 */     // MIs[0] policy
     /* 1109101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109133 */     // GIR_Coverage, 62203,
     /* 1109133 */     GIR_EraseRootFromParent_Done,
     /* 1109134 */   // Label 16282: @1109134
     /* 1109134 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1109211), // Rule ID 62204 //
     /* 1109139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109178 */     // MIs[0] policy
     /* 1109178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109210 */     // GIR_Coverage, 62204,
     /* 1109210 */     GIR_EraseRootFromParent_Done,
     /* 1109211 */   // Label 16283: @1109211
     /* 1109211 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1109288), // Rule ID 62205 //
     /* 1109216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109255 */     // MIs[0] policy
     /* 1109255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109287 */     // GIR_Coverage, 62205,
     /* 1109287 */     GIR_EraseRootFromParent_Done,
     /* 1109288 */   // Label 16284: @1109288
     /* 1109288 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1109365), // Rule ID 62206 //
     /* 1109293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109332 */     // MIs[0] policy
     /* 1109332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109364 */     // GIR_Coverage, 62206,
     /* 1109364 */     GIR_EraseRootFromParent_Done,
     /* 1109365 */   // Label 16285: @1109365
     /* 1109365 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109442), // Rule ID 62207 //
     /* 1109370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109409 */     // MIs[0] policy
     /* 1109409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109441 */     // GIR_Coverage, 62207,
     /* 1109441 */     GIR_EraseRootFromParent_Done,
     /* 1109442 */   // Label 16286: @1109442
     /* 1109442 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109519), // Rule ID 62208 //
     /* 1109447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109486 */     // MIs[0] policy
     /* 1109486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109518 */     // GIR_Coverage, 62208,
     /* 1109518 */     GIR_EraseRootFromParent_Done,
     /* 1109519 */   // Label 16287: @1109519
     /* 1109519 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109596), // Rule ID 62209 //
     /* 1109524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109563 */     // MIs[0] policy
     /* 1109563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109595 */     // GIR_Coverage, 62209,
     /* 1109595 */     GIR_EraseRootFromParent_Done,
     /* 1109596 */   // Label 16288: @1109596
     /* 1109596 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109673), // Rule ID 62210 //
     /* 1109601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109640 */     // MIs[0] policy
     /* 1109640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109672 */     // GIR_Coverage, 62210,
     /* 1109672 */     GIR_EraseRootFromParent_Done,
     /* 1109673 */   // Label 16289: @1109673
     /* 1109673 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109750), // Rule ID 62211 //
     /* 1109678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109717 */     // MIs[0] policy
     /* 1109717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109749 */     // GIR_Coverage, 62211,
     /* 1109749 */     GIR_EraseRootFromParent_Done,
     /* 1109750 */   // Label 16290: @1109750
     /* 1109750 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109827), // Rule ID 62212 //
     /* 1109755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109794 */     // MIs[0] policy
     /* 1109794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109826 */     // GIR_Coverage, 62212,
     /* 1109826 */     GIR_EraseRootFromParent_Done,
     /* 1109827 */   // Label 16291: @1109827
     /* 1109827 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109904), // Rule ID 62213 //
     /* 1109832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109871 */     // MIs[0] policy
     /* 1109871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109903 */     // GIR_Coverage, 62213,
     /* 1109903 */     GIR_EraseRootFromParent_Done,
     /* 1109904 */   // Label 16292: @1109904
     /* 1109904 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109981), // Rule ID 62214 //
     /* 1109909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109948 */     // MIs[0] policy
     /* 1109948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109980 */     // GIR_Coverage, 62214,
     /* 1109980 */     GIR_EraseRootFromParent_Done,
     /* 1109981 */   // Label 16293: @1109981
     /* 1109981 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1110058), // Rule ID 62215 //
     /* 1109986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110025 */     // MIs[0] policy
     /* 1110025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110057 */     // GIR_Coverage, 62215,
     /* 1110057 */     GIR_EraseRootFromParent_Done,
     /* 1110058 */   // Label 16294: @1110058
     /* 1110058 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1110135), // Rule ID 62216 //
     /* 1110063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110102 */     // MIs[0] policy
     /* 1110102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110134 */     // GIR_Coverage, 62216,
     /* 1110134 */     GIR_EraseRootFromParent_Done,
     /* 1110135 */   // Label 16295: @1110135
     /* 1110135 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1110212), // Rule ID 62217 //
     /* 1110140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110179 */     // MIs[0] policy
     /* 1110179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110211 */     // GIR_Coverage, 62217,
     /* 1110211 */     GIR_EraseRootFromParent_Done,
     /* 1110212 */   // Label 16296: @1110212
     /* 1110212 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1110289), // Rule ID 62218 //
     /* 1110217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110256 */     // MIs[0] policy
     /* 1110256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110288 */     // GIR_Coverage, 62218,
     /* 1110288 */     GIR_EraseRootFromParent_Done,
     /* 1110289 */   // Label 16297: @1110289
     /* 1110289 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1110366), // Rule ID 62219 //
     /* 1110294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110333 */     // MIs[0] policy
     /* 1110333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110365 */     // GIR_Coverage, 62219,
     /* 1110365 */     GIR_EraseRootFromParent_Done,
     /* 1110366 */   // Label 16298: @1110366
     /* 1110366 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110443), // Rule ID 62220 //
     /* 1110371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110410 */     // MIs[0] policy
     /* 1110410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110442 */     // GIR_Coverage, 62220,
     /* 1110442 */     GIR_EraseRootFromParent_Done,
     /* 1110443 */   // Label 16299: @1110443
     /* 1110443 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110520), // Rule ID 62221 //
     /* 1110448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110487 */     // MIs[0] policy
     /* 1110487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110519 */     // GIR_Coverage, 62221,
     /* 1110519 */     GIR_EraseRootFromParent_Done,
     /* 1110520 */   // Label 16300: @1110520
     /* 1110520 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110597), // Rule ID 62222 //
     /* 1110525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110564 */     // MIs[0] policy
     /* 1110564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110596 */     // GIR_Coverage, 62222,
     /* 1110596 */     GIR_EraseRootFromParent_Done,
     /* 1110597 */   // Label 16301: @1110597
     /* 1110597 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110674), // Rule ID 62223 //
     /* 1110602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110641 */     // MIs[0] policy
     /* 1110641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110673 */     // GIR_Coverage, 62223,
     /* 1110673 */     GIR_EraseRootFromParent_Done,
     /* 1110674 */   // Label 16302: @1110674
     /* 1110674 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110751), // Rule ID 62224 //
     /* 1110679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110718 */     // MIs[0] policy
     /* 1110718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110750 */     // GIR_Coverage, 62224,
     /* 1110750 */     GIR_EraseRootFromParent_Done,
     /* 1110751 */   // Label 16303: @1110751
     /* 1110751 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110828), // Rule ID 62225 //
     /* 1110756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110795 */     // MIs[0] policy
     /* 1110795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110827 */     // GIR_Coverage, 62225,
     /* 1110827 */     GIR_EraseRootFromParent_Done,
     /* 1110828 */   // Label 16304: @1110828
     /* 1110828 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110905), // Rule ID 62226 //
     /* 1110833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110872 */     // MIs[0] policy
     /* 1110872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110904 */     // GIR_Coverage, 62226,
     /* 1110904 */     GIR_EraseRootFromParent_Done,
     /* 1110905 */   // Label 16305: @1110905
     /* 1110905 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110982), // Rule ID 62227 //
     /* 1110910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110949 */     // MIs[0] policy
     /* 1110949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110981 */     // GIR_Coverage, 62227,
     /* 1110981 */     GIR_EraseRootFromParent_Done,
     /* 1110982 */   // Label 16306: @1110982
     /* 1110982 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1111059), // Rule ID 62228 //
     /* 1110987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111026 */     // MIs[0] policy
     /* 1111026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111058 */     // GIR_Coverage, 62228,
     /* 1111058 */     GIR_EraseRootFromParent_Done,
     /* 1111059 */   // Label 16307: @1111059
     /* 1111059 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1111136), // Rule ID 62229 //
     /* 1111064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111103 */     // MIs[0] policy
     /* 1111103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111135 */     // GIR_Coverage, 62229,
     /* 1111135 */     GIR_EraseRootFromParent_Done,
     /* 1111136 */   // Label 16308: @1111136
     /* 1111136 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1111213), // Rule ID 62230 //
     /* 1111141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111180 */     // MIs[0] policy
     /* 1111180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111212 */     // GIR_Coverage, 62230,
     /* 1111212 */     GIR_EraseRootFromParent_Done,
     /* 1111213 */   // Label 16309: @1111213
     /* 1111213 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1111290), // Rule ID 62231 //
     /* 1111218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111257 */     // MIs[0] policy
     /* 1111257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111289 */     // GIR_Coverage, 62231,
     /* 1111289 */     GIR_EraseRootFromParent_Done,
     /* 1111290 */   // Label 16310: @1111290
     /* 1111290 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1111367), // Rule ID 62232 //
     /* 1111295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111334 */     // MIs[0] policy
     /* 1111334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111366 */     // GIR_Coverage, 62232,
     /* 1111366 */     GIR_EraseRootFromParent_Done,
     /* 1111367 */   // Label 16311: @1111367
     /* 1111367 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111444), // Rule ID 62233 //
     /* 1111372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111411 */     // MIs[0] policy
     /* 1111411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111443 */     // GIR_Coverage, 62233,
     /* 1111443 */     GIR_EraseRootFromParent_Done,
     /* 1111444 */   // Label 16312: @1111444
     /* 1111444 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111521), // Rule ID 62234 //
     /* 1111449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111488 */     // MIs[0] policy
     /* 1111488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111520 */     // GIR_Coverage, 62234,
     /* 1111520 */     GIR_EraseRootFromParent_Done,
     /* 1111521 */   // Label 16313: @1111521
     /* 1111521 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111598), // Rule ID 62235 //
     /* 1111526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111565 */     // MIs[0] policy
     /* 1111565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111597 */     // GIR_Coverage, 62235,
     /* 1111597 */     GIR_EraseRootFromParent_Done,
     /* 1111598 */   // Label 16314: @1111598
     /* 1111598 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111675), // Rule ID 62236 //
     /* 1111603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111642 */     // MIs[0] policy
     /* 1111642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111674 */     // GIR_Coverage, 62236,
     /* 1111674 */     GIR_EraseRootFromParent_Done,
     /* 1111675 */   // Label 16315: @1111675
     /* 1111675 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111752), // Rule ID 62237 //
     /* 1111680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111719 */     // MIs[0] policy
     /* 1111719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111729 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111751 */     // GIR_Coverage, 62237,
     /* 1111751 */     GIR_EraseRootFromParent_Done,
     /* 1111752 */   // Label 16316: @1111752
     /* 1111752 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111829), // Rule ID 62238 //
     /* 1111757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111796 */     // MIs[0] policy
     /* 1111796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111828 */     // GIR_Coverage, 62238,
     /* 1111828 */     GIR_EraseRootFromParent_Done,
     /* 1111829 */   // Label 16317: @1111829
     /* 1111829 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111906), // Rule ID 62239 //
     /* 1111834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111873 */     // MIs[0] policy
     /* 1111873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111905 */     // GIR_Coverage, 62239,
     /* 1111905 */     GIR_EraseRootFromParent_Done,
     /* 1111906 */   // Label 16318: @1111906
     /* 1111906 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111983), // Rule ID 62240 //
     /* 1111911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111950 */     // MIs[0] policy
     /* 1111950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111982 */     // GIR_Coverage, 62240,
     /* 1111982 */     GIR_EraseRootFromParent_Done,
     /* 1111983 */   // Label 16319: @1111983
     /* 1111983 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1112060), // Rule ID 62241 //
     /* 1111988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112027 */     // MIs[0] policy
     /* 1112027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112037 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112059 */     // GIR_Coverage, 62241,
     /* 1112059 */     GIR_EraseRootFromParent_Done,
     /* 1112060 */   // Label 16320: @1112060
     /* 1112060 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1112137), // Rule ID 62242 //
     /* 1112065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112104 */     // MIs[0] policy
     /* 1112104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112136 */     // GIR_Coverage, 62242,
     /* 1112136 */     GIR_EraseRootFromParent_Done,
     /* 1112137 */   // Label 16321: @1112137
     /* 1112137 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1112214), // Rule ID 62243 //
     /* 1112142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112181 */     // MIs[0] policy
     /* 1112181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112213 */     // GIR_Coverage, 62243,
     /* 1112213 */     GIR_EraseRootFromParent_Done,
     /* 1112214 */   // Label 16322: @1112214
     /* 1112214 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1112291), // Rule ID 62244 //
     /* 1112219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112258 */     // MIs[0] policy
     /* 1112258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1112271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112290 */     // GIR_Coverage, 62244,
     /* 1112290 */     GIR_EraseRootFromParent_Done,
     /* 1112291 */   // Label 16323: @1112291
     /* 1112291 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1112368), // Rule ID 62245 //
     /* 1112296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112335 */     // MIs[0] policy
     /* 1112335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1112348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112367 */     // GIR_Coverage, 62245,
     /* 1112367 */     GIR_EraseRootFromParent_Done,
     /* 1112368 */   // Label 16324: @1112368
     /* 1112368 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112445), // Rule ID 62246 //
     /* 1112373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112412 */     // MIs[0] policy
     /* 1112412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112444 */     // GIR_Coverage, 62246,
     /* 1112444 */     GIR_EraseRootFromParent_Done,
     /* 1112445 */   // Label 16325: @1112445
     /* 1112445 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112522), // Rule ID 62247 //
     /* 1112450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112489 */     // MIs[0] policy
     /* 1112489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112521 */     // GIR_Coverage, 62247,
     /* 1112521 */     GIR_EraseRootFromParent_Done,
     /* 1112522 */   // Label 16326: @1112522
     /* 1112522 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112599), // Rule ID 62248 //
     /* 1112527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112566 */     // MIs[0] policy
     /* 1112566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112598 */     // GIR_Coverage, 62248,
     /* 1112598 */     GIR_EraseRootFromParent_Done,
     /* 1112599 */   // Label 16327: @1112599
     /* 1112599 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112676), // Rule ID 62249 //
     /* 1112604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112643 */     // MIs[0] policy
     /* 1112643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112675 */     // GIR_Coverage, 62249,
     /* 1112675 */     GIR_EraseRootFromParent_Done,
     /* 1112676 */   // Label 16328: @1112676
     /* 1112676 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112753), // Rule ID 62250 //
     /* 1112681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112720 */     // MIs[0] policy
     /* 1112720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112752 */     // GIR_Coverage, 62250,
     /* 1112752 */     GIR_EraseRootFromParent_Done,
     /* 1112753 */   // Label 16329: @1112753
     /* 1112753 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112830), // Rule ID 62251 //
     /* 1112758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112797 */     // MIs[0] policy
     /* 1112797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112829 */     // GIR_Coverage, 62251,
     /* 1112829 */     GIR_EraseRootFromParent_Done,
     /* 1112830 */   // Label 16330: @1112830
     /* 1112830 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112907), // Rule ID 62252 //
     /* 1112835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112874 */     // MIs[0] policy
     /* 1112874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112906 */     // GIR_Coverage, 62252,
     /* 1112906 */     GIR_EraseRootFromParent_Done,
     /* 1112907 */   // Label 16331: @1112907
     /* 1112907 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112984), // Rule ID 62253 //
     /* 1112912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112951 */     // MIs[0] policy
     /* 1112951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112983 */     // GIR_Coverage, 62253,
     /* 1112983 */     GIR_EraseRootFromParent_Done,
     /* 1112984 */   // Label 16332: @1112984
     /* 1112984 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1113061), // Rule ID 62254 //
     /* 1112989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113028 */     // MIs[0] policy
     /* 1113028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113060 */     // GIR_Coverage, 62254,
     /* 1113060 */     GIR_EraseRootFromParent_Done,
     /* 1113061 */   // Label 16333: @1113061
     /* 1113061 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1113138), // Rule ID 62255 //
     /* 1113066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113105 */     // MIs[0] policy
     /* 1113105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113137 */     // GIR_Coverage, 62255,
     /* 1113137 */     GIR_EraseRootFromParent_Done,
     /* 1113138 */   // Label 16334: @1113138
     /* 1113138 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1113215), // Rule ID 62256 //
     /* 1113143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113182 */     // MIs[0] policy
     /* 1113182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113214 */     // GIR_Coverage, 62256,
     /* 1113214 */     GIR_EraseRootFromParent_Done,
     /* 1113215 */   // Label 16335: @1113215
     /* 1113215 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1113292), // Rule ID 62257 //
     /* 1113220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113259 */     // MIs[0] policy
     /* 1113259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113291 */     // GIR_Coverage, 62257,
     /* 1113291 */     GIR_EraseRootFromParent_Done,
     /* 1113292 */   // Label 16336: @1113292
     /* 1113292 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1113369), // Rule ID 62517 //
     /* 1113297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113336 */     // MIs[0] policy
     /* 1113336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1113349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113368 */     // GIR_Coverage, 62517,
     /* 1113368 */     GIR_EraseRootFromParent_Done,
     /* 1113369 */   // Label 16337: @1113369
     /* 1113369 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113446), // Rule ID 62518 //
     /* 1113374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113413 */     // MIs[0] policy
     /* 1113413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113423 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1113426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113445 */     // GIR_Coverage, 62518,
     /* 1113445 */     GIR_EraseRootFromParent_Done,
     /* 1113446 */   // Label 16338: @1113446
     /* 1113446 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113523), // Rule ID 62521 //
     /* 1113451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113490 */     // MIs[0] policy
     /* 1113490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113522 */     // GIR_Coverage, 62521,
     /* 1113522 */     GIR_EraseRootFromParent_Done,
     /* 1113523 */   // Label 16339: @1113523
     /* 1113523 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113600), // Rule ID 62522 //
     /* 1113528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113567 */     // MIs[0] policy
     /* 1113567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113599 */     // GIR_Coverage, 62522,
     /* 1113599 */     GIR_EraseRootFromParent_Done,
     /* 1113600 */   // Label 16340: @1113600
     /* 1113600 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113677), // Rule ID 62525 //
     /* 1113605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113644 */     // MIs[0] policy
     /* 1113644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113676 */     // GIR_Coverage, 62525,
     /* 1113676 */     GIR_EraseRootFromParent_Done,
     /* 1113677 */   // Label 16341: @1113677
     /* 1113677 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113754), // Rule ID 62526 //
     /* 1113682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113721 */     // MIs[0] policy
     /* 1113721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113753 */     // GIR_Coverage, 62526,
     /* 1113753 */     GIR_EraseRootFromParent_Done,
     /* 1113754 */   // Label 16342: @1113754
     /* 1113754 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113831), // Rule ID 62529 //
     /* 1113759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113798 */     // MIs[0] policy
     /* 1113798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113830 */     // GIR_Coverage, 62529,
     /* 1113830 */     GIR_EraseRootFromParent_Done,
     /* 1113831 */   // Label 16343: @1113831
     /* 1113831 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113908), // Rule ID 62530 //
     /* 1113836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113875 */     // MIs[0] policy
     /* 1113875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113907 */     // GIR_Coverage, 62530,
     /* 1113907 */     GIR_EraseRootFromParent_Done,
     /* 1113908 */   // Label 16344: @1113908
     /* 1113908 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113985), // Rule ID 62533 //
     /* 1113913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113952 */     // MIs[0] policy
     /* 1113952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113984 */     // GIR_Coverage, 62533,
     /* 1113984 */     GIR_EraseRootFromParent_Done,
     /* 1113985 */   // Label 16345: @1113985
     /* 1113985 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1114062), // Rule ID 62534 //
     /* 1113990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1114007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114029 */     // MIs[0] policy
     /* 1114029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114039 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1114042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114061 */     // GIR_Coverage, 62534,
     /* 1114061 */     GIR_EraseRootFromParent_Done,
     /* 1114062 */   // Label 16346: @1114062
     /* 1114062 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1114139), // Rule ID 62537 //
     /* 1114067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114106 */     // MIs[0] policy
     /* 1114106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1114119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114138 */     // GIR_Coverage, 62537,
     /* 1114138 */     GIR_EraseRootFromParent_Done,
     /* 1114139 */   // Label 16347: @1114139
     /* 1114139 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1114216), // Rule ID 62538 //
     /* 1114144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114183 */     // MIs[0] policy
     /* 1114183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1114196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114215 */     // GIR_Coverage, 62538,
     /* 1114215 */     GIR_EraseRootFromParent_Done,
     /* 1114216 */   // Label 16348: @1114216
     /* 1114216 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1114293), // Rule ID 62541 //
     /* 1114221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114260 */     // MIs[0] policy
     /* 1114260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1114273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114292 */     // GIR_Coverage, 62541,
     /* 1114292 */     GIR_EraseRootFromParent_Done,
     /* 1114293 */   // Label 16349: @1114293
     /* 1114293 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1114370), // Rule ID 62542 //
     /* 1114298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114337 */     // MIs[0] policy
     /* 1114337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1114350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114369 */     // GIR_Coverage, 62542,
     /* 1114369 */     GIR_EraseRootFromParent_Done,
     /* 1114370 */   // Label 16350: @1114370
     /* 1114370 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114447), // Rule ID 62545 //
     /* 1114375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114414 */     // MIs[0] policy
     /* 1114414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114446 */     // GIR_Coverage, 62545,
     /* 1114446 */     GIR_EraseRootFromParent_Done,
     /* 1114447 */   // Label 16351: @1114447
     /* 1114447 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114524), // Rule ID 62546 //
     /* 1114452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114491 */     // MIs[0] policy
     /* 1114491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114523 */     // GIR_Coverage, 62546,
     /* 1114523 */     GIR_EraseRootFromParent_Done,
     /* 1114524 */   // Label 16352: @1114524
     /* 1114524 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114601), // Rule ID 62549 //
     /* 1114529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114568 */     // MIs[0] policy
     /* 1114568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114600 */     // GIR_Coverage, 62549,
     /* 1114600 */     GIR_EraseRootFromParent_Done,
     /* 1114601 */   // Label 16353: @1114601
     /* 1114601 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114678), // Rule ID 62550 //
     /* 1114606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114645 */     // MIs[0] policy
     /* 1114645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114677 */     // GIR_Coverage, 62550,
     /* 1114677 */     GIR_EraseRootFromParent_Done,
     /* 1114678 */   // Label 16354: @1114678
     /* 1114678 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114755), // Rule ID 62553 //
     /* 1114683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114722 */     // MIs[0] policy
     /* 1114722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114754 */     // GIR_Coverage, 62553,
     /* 1114754 */     GIR_EraseRootFromParent_Done,
     /* 1114755 */   // Label 16355: @1114755
     /* 1114755 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114832), // Rule ID 62554 //
     /* 1114760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114799 */     // MIs[0] policy
     /* 1114799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114831 */     // GIR_Coverage, 62554,
     /* 1114831 */     GIR_EraseRootFromParent_Done,
     /* 1114832 */   // Label 16356: @1114832
     /* 1114832 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114909), // Rule ID 62557 //
     /* 1114837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114876 */     // MIs[0] policy
     /* 1114876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114908 */     // GIR_Coverage, 62557,
     /* 1114908 */     GIR_EraseRootFromParent_Done,
     /* 1114909 */   // Label 16357: @1114909
     /* 1114909 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114986), // Rule ID 62558 //
     /* 1114914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114953 */     // MIs[0] policy
     /* 1114953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114985 */     // GIR_Coverage, 62558,
     /* 1114985 */     GIR_EraseRootFromParent_Done,
     /* 1114986 */   // Label 16358: @1114986
     /* 1114986 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1115063), // Rule ID 62561 //
     /* 1114991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115030 */     // MIs[0] policy
     /* 1115030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1115043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115062 */     // GIR_Coverage, 62561,
     /* 1115062 */     GIR_EraseRootFromParent_Done,
     /* 1115063 */   // Label 16359: @1115063
     /* 1115063 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1115140), // Rule ID 62562 //
     /* 1115068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115107 */     // MIs[0] policy
     /* 1115107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1115120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115139 */     // GIR_Coverage, 62562,
     /* 1115139 */     GIR_EraseRootFromParent_Done,
     /* 1115140 */   // Label 16360: @1115140
     /* 1115140 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1115217), // Rule ID 62565 //
     /* 1115145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115184 */     // MIs[0] policy
     /* 1115184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1115197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115216 */     // GIR_Coverage, 62565,
     /* 1115216 */     GIR_EraseRootFromParent_Done,
     /* 1115217 */   // Label 16361: @1115217
     /* 1115217 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1115294), // Rule ID 62566 //
     /* 1115222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115261 */     // MIs[0] policy
     /* 1115261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1115274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115293 */     // GIR_Coverage, 62566,
     /* 1115293 */     GIR_EraseRootFromParent_Done,
     /* 1115294 */   // Label 16362: @1115294
     /* 1115294 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1115371), // Rule ID 62569 //
     /* 1115299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115338 */     // MIs[0] policy
     /* 1115338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1115351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115370 */     // GIR_Coverage, 62569,
     /* 1115370 */     GIR_EraseRootFromParent_Done,
     /* 1115371 */   // Label 16363: @1115371
     /* 1115371 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115448), // Rule ID 62570 //
     /* 1115376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115415 */     // MIs[0] policy
     /* 1115415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1115428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115447 */     // GIR_Coverage, 62570,
     /* 1115447 */     GIR_EraseRootFromParent_Done,
     /* 1115448 */   // Label 16364: @1115448
     /* 1115448 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115525), // Rule ID 62573 //
     /* 1115453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115492 */     // MIs[0] policy
     /* 1115492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115524 */     // GIR_Coverage, 62573,
     /* 1115524 */     GIR_EraseRootFromParent_Done,
     /* 1115525 */   // Label 16365: @1115525
     /* 1115525 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115602), // Rule ID 62574 //
     /* 1115530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115569 */     // MIs[0] policy
     /* 1115569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115601 */     // GIR_Coverage, 62574,
     /* 1115601 */     GIR_EraseRootFromParent_Done,
     /* 1115602 */   // Label 16366: @1115602
     /* 1115602 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115679), // Rule ID 62577 //
     /* 1115607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115646 */     // MIs[0] policy
     /* 1115646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115678 */     // GIR_Coverage, 62577,
     /* 1115678 */     GIR_EraseRootFromParent_Done,
     /* 1115679 */   // Label 16367: @1115679
     /* 1115679 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115756), // Rule ID 62578 //
     /* 1115684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115723 */     // MIs[0] policy
     /* 1115723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115755 */     // GIR_Coverage, 62578,
     /* 1115755 */     GIR_EraseRootFromParent_Done,
     /* 1115756 */   // Label 16368: @1115756
     /* 1115756 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115833), // Rule ID 62581 //
     /* 1115761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115800 */     // MIs[0] policy
     /* 1115800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115832 */     // GIR_Coverage, 62581,
     /* 1115832 */     GIR_EraseRootFromParent_Done,
     /* 1115833 */   // Label 16369: @1115833
     /* 1115833 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115910), // Rule ID 62582 //
     /* 1115838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115877 */     // MIs[0] policy
     /* 1115877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115909 */     // GIR_Coverage, 62582,
     /* 1115909 */     GIR_EraseRootFromParent_Done,
     /* 1115910 */   // Label 16370: @1115910
     /* 1115910 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115987), // Rule ID 62585 //
     /* 1115915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115954 */     // MIs[0] policy
     /* 1115954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115986 */     // GIR_Coverage, 62585,
     /* 1115986 */     GIR_EraseRootFromParent_Done,
     /* 1115987 */   // Label 16371: @1115987
     /* 1115987 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1116064), // Rule ID 62586 //
     /* 1115992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116031 */     // MIs[0] policy
     /* 1116031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1116044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116063 */     // GIR_Coverage, 62586,
     /* 1116063 */     GIR_EraseRootFromParent_Done,
     /* 1116064 */   // Label 16372: @1116064
     /* 1116064 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1116141), // Rule ID 62589 //
     /* 1116069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116108 */     // MIs[0] policy
     /* 1116108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1116121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116140 */     // GIR_Coverage, 62589,
     /* 1116140 */     GIR_EraseRootFromParent_Done,
     /* 1116141 */   // Label 16373: @1116141
     /* 1116141 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1116218), // Rule ID 62590 //
     /* 1116146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116185 */     // MIs[0] policy
     /* 1116185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1116198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116217 */     // GIR_Coverage, 62590,
     /* 1116217 */     GIR_EraseRootFromParent_Done,
     /* 1116218 */   // Label 16374: @1116218
     /* 1116218 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1116295), // Rule ID 62593 //
     /* 1116223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116262 */     // MIs[0] policy
     /* 1116262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1116275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116294 */     // GIR_Coverage, 62593,
     /* 1116294 */     GIR_EraseRootFromParent_Done,
     /* 1116295 */   // Label 16375: @1116295
     /* 1116295 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1116372), // Rule ID 62594 //
     /* 1116300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116339 */     // MIs[0] policy
     /* 1116339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1116352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116371 */     // GIR_Coverage, 62594,
     /* 1116371 */     GIR_EraseRootFromParent_Done,
     /* 1116372 */   // Label 16376: @1116372
     /* 1116372 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116449), // Rule ID 62597 //
     /* 1116377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116416 */     // MIs[0] policy
     /* 1116416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116448 */     // GIR_Coverage, 62597,
     /* 1116448 */     GIR_EraseRootFromParent_Done,
     /* 1116449 */   // Label 16377: @1116449
     /* 1116449 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116526), // Rule ID 62598 //
     /* 1116454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116493 */     // MIs[0] policy
     /* 1116493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116525 */     // GIR_Coverage, 62598,
     /* 1116525 */     GIR_EraseRootFromParent_Done,
     /* 1116526 */   // Label 16378: @1116526
     /* 1116526 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116603), // Rule ID 62601 //
     /* 1116531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116570 */     // MIs[0] policy
     /* 1116570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116602 */     // GIR_Coverage, 62601,
     /* 1116602 */     GIR_EraseRootFromParent_Done,
     /* 1116603 */   // Label 16379: @1116603
     /* 1116603 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116680), // Rule ID 62602 //
     /* 1116608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116647 */     // MIs[0] policy
     /* 1116647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116679 */     // GIR_Coverage, 62602,
     /* 1116679 */     GIR_EraseRootFromParent_Done,
     /* 1116680 */   // Label 16380: @1116680
     /* 1116680 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116757), // Rule ID 62605 //
     /* 1116685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116724 */     // MIs[0] policy
     /* 1116724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116756 */     // GIR_Coverage, 62605,
     /* 1116756 */     GIR_EraseRootFromParent_Done,
     /* 1116757 */   // Label 16381: @1116757
     /* 1116757 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116834), // Rule ID 62606 //
     /* 1116762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116801 */     // MIs[0] policy
     /* 1116801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116833 */     // GIR_Coverage, 62606,
     /* 1116833 */     GIR_EraseRootFromParent_Done,
     /* 1116834 */   // Label 16382: @1116834
     /* 1116834 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116911), // Rule ID 62609 //
     /* 1116839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116878 */     // MIs[0] policy
     /* 1116878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116910 */     // GIR_Coverage, 62609,
     /* 1116910 */     GIR_EraseRootFromParent_Done,
     /* 1116911 */   // Label 16383: @1116911
     /* 1116911 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116988), // Rule ID 62610 //
     /* 1116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116955 */     // MIs[0] policy
     /* 1116955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116987 */     // GIR_Coverage, 62610,
     /* 1116987 */     GIR_EraseRootFromParent_Done,
     /* 1116988 */   // Label 16384: @1116988
     /* 1116988 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1117065), // Rule ID 62613 //
     /* 1116993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117032 */     // MIs[0] policy
     /* 1117032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1117045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117064 */     // GIR_Coverage, 62613,
     /* 1117064 */     GIR_EraseRootFromParent_Done,
     /* 1117065 */   // Label 16385: @1117065
     /* 1117065 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1117142), // Rule ID 62614 //
     /* 1117070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117109 */     // MIs[0] policy
     /* 1117109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1117122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117141 */     // GIR_Coverage, 62614,
     /* 1117141 */     GIR_EraseRootFromParent_Done,
     /* 1117142 */   // Label 16386: @1117142
     /* 1117142 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1117219), // Rule ID 62617 //
     /* 1117147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117186 */     // MIs[0] policy
     /* 1117186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1117199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117218 */     // GIR_Coverage, 62617,
     /* 1117218 */     GIR_EraseRootFromParent_Done,
     /* 1117219 */   // Label 16387: @1117219
     /* 1117219 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1117296), // Rule ID 62618 //
     /* 1117224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117263 */     // MIs[0] policy
     /* 1117263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1117276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117295 */     // GIR_Coverage, 62618,
     /* 1117295 */     GIR_EraseRootFromParent_Done,
     /* 1117296 */   // Label 16388: @1117296
     /* 1117296 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1117373), // Rule ID 62621 //
     /* 1117301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117340 */     // MIs[0] policy
     /* 1117340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1117353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117372 */     // GIR_Coverage, 62621,
     /* 1117372 */     GIR_EraseRootFromParent_Done,
     /* 1117373 */   // Label 16389: @1117373
     /* 1117373 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117450), // Rule ID 62622 //
     /* 1117378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117417 */     // MIs[0] policy
     /* 1117417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1117430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117449 */     // GIR_Coverage, 62622,
     /* 1117449 */     GIR_EraseRootFromParent_Done,
     /* 1117450 */   // Label 16390: @1117450
     /* 1117450 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117527), // Rule ID 62625 //
     /* 1117455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117494 */     // MIs[0] policy
     /* 1117494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117526 */     // GIR_Coverage, 62625,
     /* 1117526 */     GIR_EraseRootFromParent_Done,
     /* 1117527 */   // Label 16391: @1117527
     /* 1117527 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117604), // Rule ID 62626 //
     /* 1117532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117571 */     // MIs[0] policy
     /* 1117571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117603 */     // GIR_Coverage, 62626,
     /* 1117603 */     GIR_EraseRootFromParent_Done,
     /* 1117604 */   // Label 16392: @1117604
     /* 1117604 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117681), // Rule ID 62629 //
     /* 1117609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117648 */     // MIs[0] policy
     /* 1117648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117680 */     // GIR_Coverage, 62629,
     /* 1117680 */     GIR_EraseRootFromParent_Done,
     /* 1117681 */   // Label 16393: @1117681
     /* 1117681 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117758), // Rule ID 62630 //
     /* 1117686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117725 */     // MIs[0] policy
     /* 1117725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117757 */     // GIR_Coverage, 62630,
     /* 1117757 */     GIR_EraseRootFromParent_Done,
     /* 1117758 */   // Label 16394: @1117758
     /* 1117758 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117835), // Rule ID 62633 //
     /* 1117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117802 */     // MIs[0] policy
     /* 1117802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117834 */     // GIR_Coverage, 62633,
     /* 1117834 */     GIR_EraseRootFromParent_Done,
     /* 1117835 */   // Label 16395: @1117835
     /* 1117835 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117912), // Rule ID 62634 //
     /* 1117840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117879 */     // MIs[0] policy
     /* 1117879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117911 */     // GIR_Coverage, 62634,
     /* 1117911 */     GIR_EraseRootFromParent_Done,
     /* 1117912 */   // Label 16396: @1117912
     /* 1117912 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117989), // Rule ID 62637 //
     /* 1117917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117956 */     // MIs[0] policy
     /* 1117956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117988 */     // GIR_Coverage, 62637,
     /* 1117988 */     GIR_EraseRootFromParent_Done,
     /* 1117989 */   // Label 16397: @1117989
     /* 1117989 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1118066), // Rule ID 62638 //
     /* 1117994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118033 */     // MIs[0] policy
     /* 1118033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1118046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118065 */     // GIR_Coverage, 62638,
     /* 1118065 */     GIR_EraseRootFromParent_Done,
     /* 1118066 */   // Label 16398: @1118066
     /* 1118066 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1118143), // Rule ID 62641 //
     /* 1118071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118110 */     // MIs[0] policy
     /* 1118110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1118123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118142 */     // GIR_Coverage, 62641,
     /* 1118142 */     GIR_EraseRootFromParent_Done,
     /* 1118143 */   // Label 16399: @1118143
     /* 1118143 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1118220), // Rule ID 62642 //
     /* 1118148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118187 */     // MIs[0] policy
     /* 1118187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1118200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118219 */     // GIR_Coverage, 62642,
     /* 1118219 */     GIR_EraseRootFromParent_Done,
     /* 1118220 */   // Label 16400: @1118220
     /* 1118220 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1118297), // Rule ID 62645 //
     /* 1118225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118264 */     // MIs[0] policy
     /* 1118264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1118277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118296 */     // GIR_Coverage, 62645,
     /* 1118296 */     GIR_EraseRootFromParent_Done,
     /* 1118297 */   // Label 16401: @1118297
     /* 1118297 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1118374), // Rule ID 62646 //
     /* 1118302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118341 */     // MIs[0] policy
     /* 1118341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1118354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118373 */     // GIR_Coverage, 62646,
     /* 1118373 */     GIR_EraseRootFromParent_Done,
     /* 1118374 */   // Label 16402: @1118374
     /* 1118374 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118451), // Rule ID 62649 //
     /* 1118379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118418 */     // MIs[0] policy
     /* 1118418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118450 */     // GIR_Coverage, 62649,
     /* 1118450 */     GIR_EraseRootFromParent_Done,
     /* 1118451 */   // Label 16403: @1118451
     /* 1118451 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118528), // Rule ID 62650 //
     /* 1118456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118495 */     // MIs[0] policy
     /* 1118495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118527 */     // GIR_Coverage, 62650,
     /* 1118527 */     GIR_EraseRootFromParent_Done,
     /* 1118528 */   // Label 16404: @1118528
     /* 1118528 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118605), // Rule ID 62653 //
     /* 1118533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118572 */     // MIs[0] policy
     /* 1118572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118604 */     // GIR_Coverage, 62653,
     /* 1118604 */     GIR_EraseRootFromParent_Done,
     /* 1118605 */   // Label 16405: @1118605
     /* 1118605 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118682), // Rule ID 62654 //
     /* 1118610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118649 */     // MIs[0] policy
     /* 1118649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118681 */     // GIR_Coverage, 62654,
     /* 1118681 */     GIR_EraseRootFromParent_Done,
     /* 1118682 */   // Label 16406: @1118682
     /* 1118682 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118759), // Rule ID 62748 //
     /* 1118687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118726 */     // MIs[0] policy
     /* 1118726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118758 */     // GIR_Coverage, 62748,
     /* 1118758 */     GIR_EraseRootFromParent_Done,
     /* 1118759 */   // Label 16407: @1118759
     /* 1118759 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118836), // Rule ID 62749 //
     /* 1118764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118803 */     // MIs[0] policy
     /* 1118803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118835 */     // GIR_Coverage, 62749,
     /* 1118835 */     GIR_EraseRootFromParent_Done,
     /* 1118836 */   // Label 16408: @1118836
     /* 1118836 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118913), // Rule ID 64206 //
     /* 1118841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118880 */     // MIs[0] policy
     /* 1118880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118912 */     // GIR_Coverage, 64206,
     /* 1118912 */     GIR_EraseRootFromParent_Done,
     /* 1118913 */   // Label 16409: @1118913
     /* 1118913 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118990), // Rule ID 64207 //
     /* 1118918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118957 */     // MIs[0] policy
     /* 1118957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118989 */     // GIR_Coverage, 64207,
     /* 1118989 */     GIR_EraseRootFromParent_Done,
     /* 1118990 */   // Label 16410: @1118990
     /* 1118990 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1119067), // Rule ID 64208 //
     /* 1118995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119034 */     // MIs[0] policy
     /* 1119034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1119047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119066 */     // GIR_Coverage, 64208,
     /* 1119066 */     GIR_EraseRootFromParent_Done,
     /* 1119067 */   // Label 16411: @1119067
     /* 1119067 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1119144), // Rule ID 64209 //
     /* 1119072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119111 */     // MIs[0] policy
     /* 1119111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1119124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119143 */     // GIR_Coverage, 64209,
     /* 1119143 */     GIR_EraseRootFromParent_Done,
     /* 1119144 */   // Label 16412: @1119144
     /* 1119144 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1119221), // Rule ID 64210 //
     /* 1119149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119188 */     // MIs[0] policy
     /* 1119188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1119201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119220 */     // GIR_Coverage, 64210,
     /* 1119220 */     GIR_EraseRootFromParent_Done,
     /* 1119221 */   // Label 16413: @1119221
     /* 1119221 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1119298), // Rule ID 64211 //
     /* 1119226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119265 */     // MIs[0] policy
     /* 1119265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1119278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119297 */     // GIR_Coverage, 64211,
     /* 1119297 */     GIR_EraseRootFromParent_Done,
     /* 1119298 */   // Label 16414: @1119298
     /* 1119298 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1119375), // Rule ID 64212 //
     /* 1119303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119342 */     // MIs[0] policy
     /* 1119342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119374 */     // GIR_Coverage, 64212,
     /* 1119374 */     GIR_EraseRootFromParent_Done,
     /* 1119375 */   // Label 16415: @1119375
     /* 1119375 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119452), // Rule ID 64213 //
     /* 1119380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119419 */     // MIs[0] policy
     /* 1119419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119451 */     // GIR_Coverage, 64213,
     /* 1119451 */     GIR_EraseRootFromParent_Done,
     /* 1119452 */   // Label 16416: @1119452
     /* 1119452 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119529), // Rule ID 64214 //
     /* 1119457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119496 */     // MIs[0] policy
     /* 1119496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119528 */     // GIR_Coverage, 64214,
     /* 1119528 */     GIR_EraseRootFromParent_Done,
     /* 1119529 */   // Label 16417: @1119529
     /* 1119529 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119606), // Rule ID 64215 //
     /* 1119534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119573 */     // MIs[0] policy
     /* 1119573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119605 */     // GIR_Coverage, 64215,
     /* 1119605 */     GIR_EraseRootFromParent_Done,
     /* 1119606 */   // Label 16418: @1119606
     /* 1119606 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119683), // Rule ID 64216 //
     /* 1119611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119650 */     // MIs[0] policy
     /* 1119650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119682 */     // GIR_Coverage, 64216,
     /* 1119682 */     GIR_EraseRootFromParent_Done,
     /* 1119683 */   // Label 16419: @1119683
     /* 1119683 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119760), // Rule ID 64217 //
     /* 1119688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119727 */     // MIs[0] policy
     /* 1119727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119759 */     // GIR_Coverage, 64217,
     /* 1119759 */     GIR_EraseRootFromParent_Done,
     /* 1119760 */   // Label 16420: @1119760
     /* 1119760 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119837), // Rule ID 64218 //
     /* 1119765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119804 */     // MIs[0] policy
     /* 1119804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119836 */     // GIR_Coverage, 64218,
     /* 1119836 */     GIR_EraseRootFromParent_Done,
     /* 1119837 */   // Label 16421: @1119837
     /* 1119837 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119914), // Rule ID 64219 //
     /* 1119842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119881 */     // MIs[0] policy
     /* 1119881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119891 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119913 */     // GIR_Coverage, 64219,
     /* 1119913 */     GIR_EraseRootFromParent_Done,
     /* 1119914 */   // Label 16422: @1119914
     /* 1119914 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119991), // Rule ID 64220 //
     /* 1119919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119958 */     // MIs[0] policy
     /* 1119958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119990 */     // GIR_Coverage, 64220,
     /* 1119990 */     GIR_EraseRootFromParent_Done,
     /* 1119991 */   // Label 16423: @1119991
     /* 1119991 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1120068), // Rule ID 64221 //
     /* 1119996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120035 */     // MIs[0] policy
     /* 1120035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1120048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120067 */     // GIR_Coverage, 64221,
     /* 1120067 */     GIR_EraseRootFromParent_Done,
     /* 1120068 */   // Label 16424: @1120068
     /* 1120068 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1120145), // Rule ID 64222 //
     /* 1120073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120112 */     // MIs[0] policy
     /* 1120112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1120125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120144 */     // GIR_Coverage, 64222,
     /* 1120144 */     GIR_EraseRootFromParent_Done,
     /* 1120145 */   // Label 16425: @1120145
     /* 1120145 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1120222), // Rule ID 64223 //
     /* 1120150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120189 */     // MIs[0] policy
     /* 1120189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1120202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120221 */     // GIR_Coverage, 64223,
     /* 1120221 */     GIR_EraseRootFromParent_Done,
     /* 1120222 */   // Label 16426: @1120222
     /* 1120222 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1120299), // Rule ID 64224 //
     /* 1120227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120266 */     // MIs[0] policy
     /* 1120266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1120279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120298 */     // GIR_Coverage, 64224,
     /* 1120298 */     GIR_EraseRootFromParent_Done,
     /* 1120299 */   // Label 16427: @1120299
     /* 1120299 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1120376), // Rule ID 64225 //
     /* 1120304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120343 */     // MIs[0] policy
     /* 1120343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1120356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120375 */     // GIR_Coverage, 64225,
     /* 1120375 */     GIR_EraseRootFromParent_Done,
     /* 1120376 */   // Label 16428: @1120376
     /* 1120376 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120453), // Rule ID 64226 //
     /* 1120381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120420 */     // MIs[0] policy
     /* 1120420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120452 */     // GIR_Coverage, 64226,
     /* 1120452 */     GIR_EraseRootFromParent_Done,
     /* 1120453 */   // Label 16429: @1120453
     /* 1120453 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120530), // Rule ID 64227 //
     /* 1120458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120497 */     // MIs[0] policy
     /* 1120497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120529 */     // GIR_Coverage, 64227,
     /* 1120529 */     GIR_EraseRootFromParent_Done,
     /* 1120530 */   // Label 16430: @1120530
     /* 1120530 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120607), // Rule ID 64228 //
     /* 1120535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120574 */     // MIs[0] policy
     /* 1120574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120606 */     // GIR_Coverage, 64228,
     /* 1120606 */     GIR_EraseRootFromParent_Done,
     /* 1120607 */   // Label 16431: @1120607
     /* 1120607 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120684), // Rule ID 64229 //
     /* 1120612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120651 */     // MIs[0] policy
     /* 1120651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120683 */     // GIR_Coverage, 64229,
     /* 1120683 */     GIR_EraseRootFromParent_Done,
     /* 1120684 */   // Label 16432: @1120684
     /* 1120684 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120761), // Rule ID 64230 //
     /* 1120689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120728 */     // MIs[0] policy
     /* 1120728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120760 */     // GIR_Coverage, 64230,
     /* 1120760 */     GIR_EraseRootFromParent_Done,
     /* 1120761 */   // Label 16433: @1120761
     /* 1120761 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120838), // Rule ID 64231 //
     /* 1120766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120805 */     // MIs[0] policy
     /* 1120805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120837 */     // GIR_Coverage, 64231,
     /* 1120837 */     GIR_EraseRootFromParent_Done,
     /* 1120838 */   // Label 16434: @1120838
     /* 1120838 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120915), // Rule ID 64232 //
     /* 1120843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120882 */     // MIs[0] policy
     /* 1120882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120914 */     // GIR_Coverage, 64232,
     /* 1120914 */     GIR_EraseRootFromParent_Done,
     /* 1120915 */   // Label 16435: @1120915
     /* 1120915 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120992), // Rule ID 64233 //
     /* 1120920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120959 */     // MIs[0] policy
     /* 1120959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120991 */     // GIR_Coverage, 64233,
     /* 1120991 */     GIR_EraseRootFromParent_Done,
     /* 1120992 */   // Label 16436: @1120992
     /* 1120992 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1121069), // Rule ID 64234 //
     /* 1120997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121036 */     // MIs[0] policy
     /* 1121036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1121049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121068 */     // GIR_Coverage, 64234,
     /* 1121068 */     GIR_EraseRootFromParent_Done,
     /* 1121069 */   // Label 16437: @1121069
     /* 1121069 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1121146), // Rule ID 64235 //
     /* 1121074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121113 */     // MIs[0] policy
     /* 1121113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121123 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1121126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121145 */     // GIR_Coverage, 64235,
     /* 1121145 */     GIR_EraseRootFromParent_Done,
     /* 1121146 */   // Label 16438: @1121146
     /* 1121146 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1121223), // Rule ID 64236 //
     /* 1121151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121190 */     // MIs[0] policy
     /* 1121190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1121203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121222 */     // GIR_Coverage, 64236,
     /* 1121222 */     GIR_EraseRootFromParent_Done,
     /* 1121223 */   // Label 16439: @1121223
     /* 1121223 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1121300), // Rule ID 64237 //
     /* 1121228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121267 */     // MIs[0] policy
     /* 1121267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1121280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121299 */     // GIR_Coverage, 64237,
     /* 1121299 */     GIR_EraseRootFromParent_Done,
     /* 1121300 */   // Label 16440: @1121300
     /* 1121300 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121377), // Rule ID 64238 //
     /* 1121305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121344 */     // MIs[0] policy
     /* 1121344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121376 */     // GIR_Coverage, 64238,
     /* 1121376 */     GIR_EraseRootFromParent_Done,
     /* 1121377 */   // Label 16441: @1121377
     /* 1121377 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121454), // Rule ID 64239 //
     /* 1121382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121421 */     // MIs[0] policy
     /* 1121421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121453 */     // GIR_Coverage, 64239,
     /* 1121453 */     GIR_EraseRootFromParent_Done,
     /* 1121454 */   // Label 16442: @1121454
     /* 1121454 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121531), // Rule ID 64240 //
     /* 1121459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121498 */     // MIs[0] policy
     /* 1121498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121530 */     // GIR_Coverage, 64240,
     /* 1121530 */     GIR_EraseRootFromParent_Done,
     /* 1121531 */   // Label 16443: @1121531
     /* 1121531 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121608), // Rule ID 64241 //
     /* 1121536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121575 */     // MIs[0] policy
     /* 1121575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121607 */     // GIR_Coverage, 64241,
     /* 1121607 */     GIR_EraseRootFromParent_Done,
     /* 1121608 */   // Label 16444: @1121608
     /* 1121608 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121685), // Rule ID 64242 //
     /* 1121613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121652 */     // MIs[0] policy
     /* 1121652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121684 */     // GIR_Coverage, 64242,
     /* 1121684 */     GIR_EraseRootFromParent_Done,
     /* 1121685 */   // Label 16445: @1121685
     /* 1121685 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121762), // Rule ID 64243 //
     /* 1121690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121729 */     // MIs[0] policy
     /* 1121729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121761 */     // GIR_Coverage, 64243,
     /* 1121761 */     GIR_EraseRootFromParent_Done,
     /* 1121762 */   // Label 16446: @1121762
     /* 1121762 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121839), // Rule ID 64244 //
     /* 1121767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121806 */     // MIs[0] policy
     /* 1121806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121838 */     // GIR_Coverage, 64244,
     /* 1121838 */     GIR_EraseRootFromParent_Done,
     /* 1121839 */   // Label 16447: @1121839
     /* 1121839 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121916), // Rule ID 64245 //
     /* 1121844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121883 */     // MIs[0] policy
     /* 1121883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121915 */     // GIR_Coverage, 64245,
     /* 1121915 */     GIR_EraseRootFromParent_Done,
     /* 1121916 */   // Label 16448: @1121916
     /* 1121916 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121993), // Rule ID 64246 //
     /* 1121921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121960 */     // MIs[0] policy
     /* 1121960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121992 */     // GIR_Coverage, 64246,
     /* 1121992 */     GIR_EraseRootFromParent_Done,
     /* 1121993 */   // Label 16449: @1121993
     /* 1121993 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1122070), // Rule ID 64247 //
     /* 1121998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122037 */     // MIs[0] policy
     /* 1122037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1122050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122069 */     // GIR_Coverage, 64247,
     /* 1122069 */     GIR_EraseRootFromParent_Done,
     /* 1122070 */   // Label 16450: @1122070
     /* 1122070 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1122147), // Rule ID 64248 //
     /* 1122075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122114 */     // MIs[0] policy
     /* 1122114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1122127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122146 */     // GIR_Coverage, 64248,
     /* 1122146 */     GIR_EraseRootFromParent_Done,
     /* 1122147 */   // Label 16451: @1122147
     /* 1122147 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1122224), // Rule ID 64249 //
     /* 1122152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122191 */     // MIs[0] policy
     /* 1122191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1122204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122223 */     // GIR_Coverage, 64249,
     /* 1122223 */     GIR_EraseRootFromParent_Done,
     /* 1122224 */   // Label 16452: @1122224
     /* 1122224 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1122301), // Rule ID 64250 //
     /* 1122229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122268 */     // MIs[0] policy
     /* 1122268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1122281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122300 */     // GIR_Coverage, 64250,
     /* 1122300 */     GIR_EraseRootFromParent_Done,
     /* 1122301 */   // Label 16453: @1122301
     /* 1122301 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122378), // Rule ID 64251 //
     /* 1122306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122345 */     // MIs[0] policy
     /* 1122345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1122358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122377 */     // GIR_Coverage, 64251,
     /* 1122377 */     GIR_EraseRootFromParent_Done,
     /* 1122378 */   // Label 16454: @1122378
     /* 1122378 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122455), // Rule ID 64252 //
     /* 1122383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122422 */     // MIs[0] policy
     /* 1122422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122454 */     // GIR_Coverage, 64252,
     /* 1122454 */     GIR_EraseRootFromParent_Done,
     /* 1122455 */   // Label 16455: @1122455
     /* 1122455 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122532), // Rule ID 64253 //
     /* 1122460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122499 */     // MIs[0] policy
     /* 1122499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122531 */     // GIR_Coverage, 64253,
     /* 1122531 */     GIR_EraseRootFromParent_Done,
     /* 1122532 */   // Label 16456: @1122532
     /* 1122532 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122609), // Rule ID 64254 //
     /* 1122537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122576 */     // MIs[0] policy
     /* 1122576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122608 */     // GIR_Coverage, 64254,
     /* 1122608 */     GIR_EraseRootFromParent_Done,
     /* 1122609 */   // Label 16457: @1122609
     /* 1122609 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122686), // Rule ID 64255 //
     /* 1122614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122653 */     // MIs[0] policy
     /* 1122653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122685 */     // GIR_Coverage, 64255,
     /* 1122685 */     GIR_EraseRootFromParent_Done,
     /* 1122686 */   // Label 16458: @1122686
     /* 1122686 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122763), // Rule ID 64256 //
     /* 1122691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122730 */     // MIs[0] policy
     /* 1122730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122762 */     // GIR_Coverage, 64256,
     /* 1122762 */     GIR_EraseRootFromParent_Done,
     /* 1122763 */   // Label 16459: @1122763
     /* 1122763 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122840), // Rule ID 64257 //
     /* 1122768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122807 */     // MIs[0] policy
     /* 1122807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122839 */     // GIR_Coverage, 64257,
     /* 1122839 */     GIR_EraseRootFromParent_Done,
     /* 1122840 */   // Label 16460: @1122840
     /* 1122840 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122917), // Rule ID 64258 //
     /* 1122845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122884 */     // MIs[0] policy
     /* 1122884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122916 */     // GIR_Coverage, 64258,
     /* 1122916 */     GIR_EraseRootFromParent_Done,
     /* 1122917 */   // Label 16461: @1122917
     /* 1122917 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122994), // Rule ID 64259 //
     /* 1122922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122961 */     // MIs[0] policy
     /* 1122961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122993 */     // GIR_Coverage, 64259,
     /* 1122993 */     GIR_EraseRootFromParent_Done,
     /* 1122994 */   // Label 16462: @1122994
     /* 1122994 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1123071), // Rule ID 64260 //
     /* 1122999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123038 */     // MIs[0] policy
     /* 1123038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1123051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123070 */     // GIR_Coverage, 64260,
     /* 1123070 */     GIR_EraseRootFromParent_Done,
     /* 1123071 */   // Label 16463: @1123071
     /* 1123071 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1123148), // Rule ID 64261 //
     /* 1123076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123115 */     // MIs[0] policy
     /* 1123115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1123128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123147 */     // GIR_Coverage, 64261,
     /* 1123147 */     GIR_EraseRootFromParent_Done,
     /* 1123148 */   // Label 16464: @1123148
     /* 1123148 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1123225), // Rule ID 64262 //
     /* 1123153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123192 */     // MIs[0] policy
     /* 1123192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1123205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123224 */     // GIR_Coverage, 64262,
     /* 1123224 */     GIR_EraseRootFromParent_Done,
     /* 1123225 */   // Label 16465: @1123225
     /* 1123225 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123302), // Rule ID 64263 //
     /* 1123230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123269 */     // MIs[0] policy
     /* 1123269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1123282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123301 */     // GIR_Coverage, 64263,
     /* 1123301 */     GIR_EraseRootFromParent_Done,
     /* 1123302 */   // Label 16466: @1123302
     /* 1123302 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123379), // Rule ID 64264 //
     /* 1123307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123346 */     // MIs[0] policy
     /* 1123346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123378 */     // GIR_Coverage, 64264,
     /* 1123378 */     GIR_EraseRootFromParent_Done,
     /* 1123379 */   // Label 16467: @1123379
     /* 1123379 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123456), // Rule ID 64265 //
     /* 1123384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123423 */     // MIs[0] policy
     /* 1123423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123455 */     // GIR_Coverage, 64265,
     /* 1123455 */     GIR_EraseRootFromParent_Done,
     /* 1123456 */   // Label 16468: @1123456
     /* 1123456 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123533), // Rule ID 64266 //
     /* 1123461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123500 */     // MIs[0] policy
     /* 1123500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123532 */     // GIR_Coverage, 64266,
     /* 1123532 */     GIR_EraseRootFromParent_Done,
     /* 1123533 */   // Label 16469: @1123533
     /* 1123533 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123610), // Rule ID 64267 //
     /* 1123538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123577 */     // MIs[0] policy
     /* 1123577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123609 */     // GIR_Coverage, 64267,
     /* 1123609 */     GIR_EraseRootFromParent_Done,
     /* 1123610 */   // Label 16470: @1123610
     /* 1123610 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123690), // Rule ID 2614 //
     /* 1123615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123654 */     // MIs[0] round
     /* 1123654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123689 */     // GIR_Coverage, 2614,
     /* 1123689 */     GIR_EraseRootFromParent_Done,
     /* 1123690 */   // Label 16471: @1123690
     /* 1123690 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123770), // Rule ID 2615 //
     /* 1123695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123734 */     // MIs[0] round
     /* 1123734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123769 */     // GIR_Coverage, 2615,
     /* 1123769 */     GIR_EraseRootFromParent_Done,
     /* 1123770 */   // Label 16472: @1123770
     /* 1123770 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123850), // Rule ID 2654 //
     /* 1123775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1123778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123814 */     // MIs[0] round
     /* 1123814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123824 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123849 */     // GIR_Coverage, 2654,
     /* 1123849 */     GIR_EraseRootFromParent_Done,
     /* 1123850 */   // Label 16473: @1123850
     /* 1123850 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123930), // Rule ID 2655 //
     /* 1123855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1123858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123894 */     // MIs[0] round
     /* 1123894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123929 */     // GIR_Coverage, 2655,
     /* 1123929 */     GIR_EraseRootFromParent_Done,
     /* 1123930 */   // Label 16474: @1123930
     /* 1123930 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1124010), // Rule ID 2674 //
     /* 1123935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123974 */     // MIs[0] round
     /* 1123974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124009 */     // GIR_Coverage, 2674,
     /* 1124009 */     GIR_EraseRootFromParent_Done,
     /* 1124010 */   // Label 16475: @1124010
     /* 1124010 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1124090), // Rule ID 2675 //
     /* 1124015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1124018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1124023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124054 */     // MIs[0] round
     /* 1124054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1124067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124089 */     // GIR_Coverage, 2675,
     /* 1124089 */     GIR_EraseRootFromParent_Done,
     /* 1124090 */   // Label 16476: @1124090
     /* 1124090 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1124170), // Rule ID 14816 //
     /* 1124095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124134 */     // MIs[0] round
     /* 1124134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124169 */     // GIR_Coverage, 14816,
     /* 1124169 */     GIR_EraseRootFromParent_Done,
     /* 1124170 */   // Label 16477: @1124170
     /* 1124170 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1124250), // Rule ID 14817 //
     /* 1124175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124214 */     // MIs[0] round
     /* 1124214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124249 */     // GIR_Coverage, 14817,
     /* 1124249 */     GIR_EraseRootFromParent_Done,
     /* 1124250 */   // Label 16478: @1124250
     /* 1124250 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124330), // Rule ID 14820 //
     /* 1124255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1124266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1124269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124294 */     // MIs[0] round
     /* 1124294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124329 */     // GIR_Coverage, 14820,
     /* 1124329 */     GIR_EraseRootFromParent_Done,
     /* 1124330 */   // Label 16479: @1124330
     /* 1124330 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124410), // Rule ID 14821 //
     /* 1124335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1124346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1124349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124374 */     // MIs[0] round
     /* 1124374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124409 */     // GIR_Coverage, 14821,
     /* 1124409 */     GIR_EraseRootFromParent_Done,
     /* 1124410 */   // Label 16480: @1124410
     /* 1124410 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124490), // Rule ID 14824 //
     /* 1124415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124454 */     // MIs[0] round
     /* 1124454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124489 */     // GIR_Coverage, 14824,
     /* 1124489 */     GIR_EraseRootFromParent_Done,
     /* 1124490 */   // Label 16481: @1124490
     /* 1124490 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124570), // Rule ID 14825 //
     /* 1124495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124534 */     // MIs[0] round
     /* 1124534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124569 */     // GIR_Coverage, 14825,
     /* 1124569 */     GIR_EraseRootFromParent_Done,
     /* 1124570 */   // Label 16482: @1124570
     /* 1124570 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124650), // Rule ID 14828 //
     /* 1124575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124614 */     // MIs[0] round
     /* 1124614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124649 */     // GIR_Coverage, 14828,
     /* 1124649 */     GIR_EraseRootFromParent_Done,
     /* 1124650 */   // Label 16483: @1124650
     /* 1124650 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124730), // Rule ID 14829 //
     /* 1124655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124694 */     // MIs[0] round
     /* 1124694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124729 */     // GIR_Coverage, 14829,
     /* 1124729 */     GIR_EraseRootFromParent_Done,
     /* 1124730 */   // Label 16484: @1124730
     /* 1124730 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124810), // Rule ID 14832 //
     /* 1124735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124774 */     // MIs[0] round
     /* 1124774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124809 */     // GIR_Coverage, 14832,
     /* 1124809 */     GIR_EraseRootFromParent_Done,
     /* 1124810 */   // Label 16485: @1124810
     /* 1124810 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124890), // Rule ID 14833 //
     /* 1124815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124854 */     // MIs[0] round
     /* 1124854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124889 */     // GIR_Coverage, 14833,
     /* 1124889 */     GIR_EraseRootFromParent_Done,
     /* 1124890 */   // Label 16486: @1124890
     /* 1124890 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124970), // Rule ID 14836 //
     /* 1124895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124934 */     // MIs[0] round
     /* 1124934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124969 */     // GIR_Coverage, 14836,
     /* 1124969 */     GIR_EraseRootFromParent_Done,
     /* 1124970 */   // Label 16487: @1124970
     /* 1124970 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1125050), // Rule ID 14837 //
     /* 1124975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125014 */     // MIs[0] round
     /* 1125014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125049 */     // GIR_Coverage, 14837,
     /* 1125049 */     GIR_EraseRootFromParent_Done,
     /* 1125050 */   // Label 16488: @1125050
     /* 1125050 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1125130), // Rule ID 14840 //
     /* 1125055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125094 */     // MIs[0] round
     /* 1125094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125129 */     // GIR_Coverage, 14840,
     /* 1125129 */     GIR_EraseRootFromParent_Done,
     /* 1125130 */   // Label 16489: @1125130
     /* 1125130 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1125210), // Rule ID 14841 //
     /* 1125135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125174 */     // MIs[0] round
     /* 1125174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125209 */     // GIR_Coverage, 14841,
     /* 1125209 */     GIR_EraseRootFromParent_Done,
     /* 1125210 */   // Label 16490: @1125210
     /* 1125210 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125290), // Rule ID 14844 //
     /* 1125215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125254 */     // MIs[0] round
     /* 1125254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125289 */     // GIR_Coverage, 14844,
     /* 1125289 */     GIR_EraseRootFromParent_Done,
     /* 1125290 */   // Label 16491: @1125290
     /* 1125290 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125370), // Rule ID 14845 //
     /* 1125295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125334 */     // MIs[0] round
     /* 1125334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125369 */     // GIR_Coverage, 14845,
     /* 1125369 */     GIR_EraseRootFromParent_Done,
     /* 1125370 */   // Label 16492: @1125370
     /* 1125370 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125450), // Rule ID 14848 //
     /* 1125375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125414 */     // MIs[0] round
     /* 1125414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125449 */     // GIR_Coverage, 14848,
     /* 1125449 */     GIR_EraseRootFromParent_Done,
     /* 1125450 */   // Label 16493: @1125450
     /* 1125450 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125530), // Rule ID 14849 //
     /* 1125455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125494 */     // MIs[0] round
     /* 1125494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125529 */     // GIR_Coverage, 14849,
     /* 1125529 */     GIR_EraseRootFromParent_Done,
     /* 1125530 */   // Label 16494: @1125530
     /* 1125530 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125610), // Rule ID 14852 //
     /* 1125535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125574 */     // MIs[0] round
     /* 1125574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125609 */     // GIR_Coverage, 14852,
     /* 1125609 */     GIR_EraseRootFromParent_Done,
     /* 1125610 */   // Label 16495: @1125610
     /* 1125610 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125690), // Rule ID 14853 //
     /* 1125615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125654 */     // MIs[0] round
     /* 1125654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125689 */     // GIR_Coverage, 14853,
     /* 1125689 */     GIR_EraseRootFromParent_Done,
     /* 1125690 */   // Label 16496: @1125690
     /* 1125690 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125770), // Rule ID 14856 //
     /* 1125695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125734 */     // MIs[0] round
     /* 1125734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125769 */     // GIR_Coverage, 14856,
     /* 1125769 */     GIR_EraseRootFromParent_Done,
     /* 1125770 */   // Label 16497: @1125770
     /* 1125770 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125850), // Rule ID 14857 //
     /* 1125775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125814 */     // MIs[0] round
     /* 1125814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125849 */     // GIR_Coverage, 14857,
     /* 1125849 */     GIR_EraseRootFromParent_Done,
     /* 1125850 */   // Label 16498: @1125850
     /* 1125850 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125930), // Rule ID 14860 //
     /* 1125855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125894 */     // MIs[0] round
     /* 1125894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125929 */     // GIR_Coverage, 14860,
     /* 1125929 */     GIR_EraseRootFromParent_Done,
     /* 1125930 */   // Label 16499: @1125930
     /* 1125930 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1126010), // Rule ID 14861 //
     /* 1125935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125974 */     // MIs[0] round
     /* 1125974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126009 */     // GIR_Coverage, 14861,
     /* 1126009 */     GIR_EraseRootFromParent_Done,
     /* 1126010 */   // Label 16500: @1126010
     /* 1126010 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1126090), // Rule ID 14864 //
     /* 1126015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126054 */     // MIs[0] round
     /* 1126054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126089 */     // GIR_Coverage, 14864,
     /* 1126089 */     GIR_EraseRootFromParent_Done,
     /* 1126090 */   // Label 16501: @1126090
     /* 1126090 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1126170), // Rule ID 14865 //
     /* 1126095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126134 */     // MIs[0] round
     /* 1126134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126169 */     // GIR_Coverage, 14865,
     /* 1126169 */     GIR_EraseRootFromParent_Done,
     /* 1126170 */   // Label 16502: @1126170
     /* 1126170 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1126250), // Rule ID 14868 //
     /* 1126175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126214 */     // MIs[0] round
     /* 1126214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126249 */     // GIR_Coverage, 14868,
     /* 1126249 */     GIR_EraseRootFromParent_Done,
     /* 1126250 */   // Label 16503: @1126250
     /* 1126250 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126330), // Rule ID 14869 //
     /* 1126255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126294 */     // MIs[0] round
     /* 1126294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126329 */     // GIR_Coverage, 14869,
     /* 1126329 */     GIR_EraseRootFromParent_Done,
     /* 1126330 */   // Label 16504: @1126330
     /* 1126330 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126410), // Rule ID 14872 //
     /* 1126335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1126346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1126349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126374 */     // MIs[0] round
     /* 1126374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126409 */     // GIR_Coverage, 14872,
     /* 1126409 */     GIR_EraseRootFromParent_Done,
     /* 1126410 */   // Label 16505: @1126410
     /* 1126410 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126490), // Rule ID 14873 //
     /* 1126415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1126426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1126429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126454 */     // MIs[0] round
     /* 1126454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126489 */     // GIR_Coverage, 14873,
     /* 1126489 */     GIR_EraseRootFromParent_Done,
     /* 1126490 */   // Label 16506: @1126490
     /* 1126490 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126570), // Rule ID 14876 //
     /* 1126495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126534 */     // MIs[0] round
     /* 1126534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126569 */     // GIR_Coverage, 14876,
     /* 1126569 */     GIR_EraseRootFromParent_Done,
     /* 1126570 */   // Label 16507: @1126570
     /* 1126570 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126650), // Rule ID 14877 //
     /* 1126575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126614 */     // MIs[0] round
     /* 1126614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126649 */     // GIR_Coverage, 14877,
     /* 1126649 */     GIR_EraseRootFromParent_Done,
     /* 1126650 */   // Label 16508: @1126650
     /* 1126650 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126730), // Rule ID 14880 //
     /* 1126655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126694 */     // MIs[0] round
     /* 1126694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126729 */     // GIR_Coverage, 14880,
     /* 1126729 */     GIR_EraseRootFromParent_Done,
     /* 1126730 */   // Label 16509: @1126730
     /* 1126730 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126810), // Rule ID 14881 //
     /* 1126735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126774 */     // MIs[0] round
     /* 1126774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126809 */     // GIR_Coverage, 14881,
     /* 1126809 */     GIR_EraseRootFromParent_Done,
     /* 1126810 */   // Label 16510: @1126810
     /* 1126810 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126890), // Rule ID 14884 //
     /* 1126815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126854 */     // MIs[0] round
     /* 1126854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126889 */     // GIR_Coverage, 14884,
     /* 1126889 */     GIR_EraseRootFromParent_Done,
     /* 1126890 */   // Label 16511: @1126890
     /* 1126890 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126970), // Rule ID 14885 //
     /* 1126895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126934 */     // MIs[0] round
     /* 1126934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126969 */     // GIR_Coverage, 14885,
     /* 1126969 */     GIR_EraseRootFromParent_Done,
     /* 1126970 */   // Label 16512: @1126970
     /* 1126970 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1127050), // Rule ID 14888 //
     /* 1126975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1126992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1126995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127014 */     // MIs[0] round
     /* 1127014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1127027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127049 */     // GIR_Coverage, 14888,
     /* 1127049 */     GIR_EraseRootFromParent_Done,
     /* 1127050 */   // Label 16513: @1127050
     /* 1127050 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1127130), // Rule ID 14889 //
     /* 1127055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1127072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1127075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127094 */     // MIs[0] round
     /* 1127094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1127107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127129 */     // GIR_Coverage, 14889,
     /* 1127129 */     GIR_EraseRootFromParent_Done,
     /* 1127130 */   // Label 16514: @1127130
     /* 1127130 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1127210), // Rule ID 14892 //
     /* 1127135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127174 */     // MIs[0] round
     /* 1127174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1127187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127209 */     // GIR_Coverage, 14892,
     /* 1127209 */     GIR_EraseRootFromParent_Done,
     /* 1127210 */   // Label 16515: @1127210
     /* 1127210 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127290), // Rule ID 14893 //
     /* 1127215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127254 */     // MIs[0] round
     /* 1127254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1127267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127289 */     // GIR_Coverage, 14893,
     /* 1127289 */     GIR_EraseRootFromParent_Done,
     /* 1127290 */   // Label 16516: @1127290
     /* 1127290 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127370), // Rule ID 14896 //
     /* 1127295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1127312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1127315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127334 */     // MIs[0] round
     /* 1127334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1127347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127369 */     // GIR_Coverage, 14896,
     /* 1127369 */     GIR_EraseRootFromParent_Done,
     /* 1127370 */   // Label 16517: @1127370
     /* 1127370 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127450), // Rule ID 14897 //
     /* 1127375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1127392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1127395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127414 */     // MIs[0] round
     /* 1127414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1127427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127449 */     // GIR_Coverage, 14897,
     /* 1127449 */     GIR_EraseRootFromParent_Done,
     /* 1127450 */   // Label 16518: @1127450
     /* 1127450 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127530), // Rule ID 14900 //
     /* 1127455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127494 */     // MIs[0] round
     /* 1127494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127529 */     // GIR_Coverage, 14900,
     /* 1127529 */     GIR_EraseRootFromParent_Done,
     /* 1127530 */   // Label 16519: @1127530
     /* 1127530 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127610), // Rule ID 14901 //
     /* 1127535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127574 */     // MIs[0] round
     /* 1127574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127609 */     // GIR_Coverage, 14901,
     /* 1127609 */     GIR_EraseRootFromParent_Done,
     /* 1127610 */   // Label 16520: @1127610
     /* 1127610 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127690), // Rule ID 14904 //
     /* 1127615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127654 */     // MIs[0] round
     /* 1127654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127664 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127689 */     // GIR_Coverage, 14904,
     /* 1127689 */     GIR_EraseRootFromParent_Done,
     /* 1127690 */   // Label 16521: @1127690
     /* 1127690 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127770), // Rule ID 14905 //
     /* 1127695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127734 */     // MIs[0] round
     /* 1127734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127769 */     // GIR_Coverage, 14905,
     /* 1127769 */     GIR_EraseRootFromParent_Done,
     /* 1127770 */   // Label 16522: @1127770
     /* 1127770 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127850), // Rule ID 14908 //
     /* 1127775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127814 */     // MIs[0] round
     /* 1127814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127849 */     // GIR_Coverage, 14908,
     /* 1127849 */     GIR_EraseRootFromParent_Done,
     /* 1127850 */   // Label 16523: @1127850
     /* 1127850 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127930), // Rule ID 14909 //
     /* 1127855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127894 */     // MIs[0] round
     /* 1127894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127904 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127929 */     // GIR_Coverage, 14909,
     /* 1127929 */     GIR_EraseRootFromParent_Done,
     /* 1127930 */   // Label 16524: @1127930
     /* 1127930 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1128010), // Rule ID 14912 //
     /* 1127935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127974 */     // MIs[0] round
     /* 1127974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128009 */     // GIR_Coverage, 14912,
     /* 1128009 */     GIR_EraseRootFromParent_Done,
     /* 1128010 */   // Label 16525: @1128010
     /* 1128010 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1128090), // Rule ID 14913 //
     /* 1128015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128054 */     // MIs[0] round
     /* 1128054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1128067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128089 */     // GIR_Coverage, 14913,
     /* 1128089 */     GIR_EraseRootFromParent_Done,
     /* 1128090 */   // Label 16526: @1128090
     /* 1128090 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1128170), // Rule ID 14916 //
     /* 1128095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128134 */     // MIs[0] round
     /* 1128134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128169 */     // GIR_Coverage, 14916,
     /* 1128169 */     GIR_EraseRootFromParent_Done,
     /* 1128170 */   // Label 16527: @1128170
     /* 1128170 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1128250), // Rule ID 14917 //
     /* 1128175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128214 */     // MIs[0] round
     /* 1128214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128249 */     // GIR_Coverage, 14917,
     /* 1128249 */     GIR_EraseRootFromParent_Done,
     /* 1128250 */   // Label 16528: @1128250
     /* 1128250 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128330), // Rule ID 14920 //
     /* 1128255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128294 */     // MIs[0] round
     /* 1128294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128329 */     // GIR_Coverage, 14920,
     /* 1128329 */     GIR_EraseRootFromParent_Done,
     /* 1128330 */   // Label 16529: @1128330
     /* 1128330 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128410), // Rule ID 14921 //
     /* 1128335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128374 */     // MIs[0] round
     /* 1128374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1128387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128409 */     // GIR_Coverage, 14921,
     /* 1128409 */     GIR_EraseRootFromParent_Done,
     /* 1128410 */   // Label 16530: @1128410
     /* 1128410 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128490), // Rule ID 14924 //
     /* 1128415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128454 */     // MIs[0] round
     /* 1128454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128489 */     // GIR_Coverage, 14924,
     /* 1128489 */     GIR_EraseRootFromParent_Done,
     /* 1128490 */   // Label 16531: @1128490
     /* 1128490 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128570), // Rule ID 14925 //
     /* 1128495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128534 */     // MIs[0] round
     /* 1128534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128569 */     // GIR_Coverage, 14925,
     /* 1128569 */     GIR_EraseRootFromParent_Done,
     /* 1128570 */   // Label 16532: @1128570
     /* 1128570 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128650), // Rule ID 14928 //
     /* 1128575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128614 */     // MIs[0] round
     /* 1128614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128649 */     // GIR_Coverage, 14928,
     /* 1128649 */     GIR_EraseRootFromParent_Done,
     /* 1128650 */   // Label 16533: @1128650
     /* 1128650 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128730), // Rule ID 14929 //
     /* 1128655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128694 */     // MIs[0] round
     /* 1128694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128729 */     // GIR_Coverage, 14929,
     /* 1128729 */     GIR_EraseRootFromParent_Done,
     /* 1128730 */   // Label 16534: @1128730
     /* 1128730 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128810), // Rule ID 14932 //
     /* 1128735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128774 */     // MIs[0] round
     /* 1128774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128809 */     // GIR_Coverage, 14932,
     /* 1128809 */     GIR_EraseRootFromParent_Done,
     /* 1128810 */   // Label 16535: @1128810
     /* 1128810 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128890), // Rule ID 14933 //
     /* 1128815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128854 */     // MIs[0] round
     /* 1128854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128889 */     // GIR_Coverage, 14933,
     /* 1128889 */     GIR_EraseRootFromParent_Done,
     /* 1128890 */   // Label 16536: @1128890
     /* 1128890 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128970), // Rule ID 14936 //
     /* 1128895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128934 */     // MIs[0] round
     /* 1128934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128969 */     // GIR_Coverage, 14936,
     /* 1128969 */     GIR_EraseRootFromParent_Done,
     /* 1128970 */   // Label 16537: @1128970
     /* 1128970 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1129050), // Rule ID 14937 //
     /* 1128975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129014 */     // MIs[0] round
     /* 1129014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1129027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129049 */     // GIR_Coverage, 14937,
     /* 1129049 */     GIR_EraseRootFromParent_Done,
     /* 1129050 */   // Label 16538: @1129050
     /* 1129050 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1129130), // Rule ID 14940 //
     /* 1129055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129094 */     // MIs[0] round
     /* 1129094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129129 */     // GIR_Coverage, 14940,
     /* 1129129 */     GIR_EraseRootFromParent_Done,
     /* 1129130 */   // Label 16539: @1129130
     /* 1129130 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1129210), // Rule ID 14941 //
     /* 1129135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129174 */     // MIs[0] round
     /* 1129174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129209 */     // GIR_Coverage, 14941,
     /* 1129209 */     GIR_EraseRootFromParent_Done,
     /* 1129210 */   // Label 16540: @1129210
     /* 1129210 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129290), // Rule ID 14944 //
     /* 1129215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129254 */     // MIs[0] round
     /* 1129254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129289 */     // GIR_Coverage, 14944,
     /* 1129289 */     GIR_EraseRootFromParent_Done,
     /* 1129290 */   // Label 16541: @1129290
     /* 1129290 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129370), // Rule ID 14945 //
     /* 1129295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129334 */     // MIs[0] round
     /* 1129334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129369 */     // GIR_Coverage, 14945,
     /* 1129369 */     GIR_EraseRootFromParent_Done,
     /* 1129370 */   // Label 16542: @1129370
     /* 1129370 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129450), // Rule ID 14948 //
     /* 1129375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129414 */     // MIs[0] round
     /* 1129414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129449 */     // GIR_Coverage, 14948,
     /* 1129449 */     GIR_EraseRootFromParent_Done,
     /* 1129450 */   // Label 16543: @1129450
     /* 1129450 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129530), // Rule ID 14949 //
     /* 1129455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129494 */     // MIs[0] round
     /* 1129494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129504 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129529 */     // GIR_Coverage, 14949,
     /* 1129529 */     GIR_EraseRootFromParent_Done,
     /* 1129530 */   // Label 16544: @1129530
     /* 1129530 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129610), // Rule ID 14952 //
     /* 1129535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129574 */     // MIs[0] round
     /* 1129574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129609 */     // GIR_Coverage, 14952,
     /* 1129609 */     GIR_EraseRootFromParent_Done,
     /* 1129610 */   // Label 16545: @1129610
     /* 1129610 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129690), // Rule ID 14953 //
     /* 1129615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129654 */     // MIs[0] round
     /* 1129654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129689 */     // GIR_Coverage, 14953,
     /* 1129689 */     GIR_EraseRootFromParent_Done,
     /* 1129690 */   // Label 16546: @1129690
     /* 1129690 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129770), // Rule ID 14956 //
     /* 1129695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129734 */     // MIs[0] round
     /* 1129734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129769 */     // GIR_Coverage, 14956,
     /* 1129769 */     GIR_EraseRootFromParent_Done,
     /* 1129770 */   // Label 16547: @1129770
     /* 1129770 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129850), // Rule ID 14957 //
     /* 1129775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129814 */     // MIs[0] round
     /* 1129814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129849 */     // GIR_Coverage, 14957,
     /* 1129849 */     GIR_EraseRootFromParent_Done,
     /* 1129850 */   // Label 16548: @1129850
     /* 1129850 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129930), // Rule ID 14960 //
     /* 1129855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129894 */     // MIs[0] round
     /* 1129894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129929 */     // GIR_Coverage, 14960,
     /* 1129929 */     GIR_EraseRootFromParent_Done,
     /* 1129930 */   // Label 16549: @1129930
     /* 1129930 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1130010), // Rule ID 14961 //
     /* 1129935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129974 */     // MIs[0] round
     /* 1129974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130009 */     // GIR_Coverage, 14961,
     /* 1130009 */     GIR_EraseRootFromParent_Done,
     /* 1130010 */   // Label 16550: @1130010
     /* 1130010 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1130090), // Rule ID 14964 //
     /* 1130015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130054 */     // MIs[0] round
     /* 1130054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130089 */     // GIR_Coverage, 14964,
     /* 1130089 */     GIR_EraseRootFromParent_Done,
     /* 1130090 */   // Label 16551: @1130090
     /* 1130090 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1130170), // Rule ID 14965 //
     /* 1130095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130134 */     // MIs[0] round
     /* 1130134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130169 */     // GIR_Coverage, 14965,
     /* 1130169 */     GIR_EraseRootFromParent_Done,
     /* 1130170 */   // Label 16552: @1130170
     /* 1130170 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1130250), // Rule ID 14968 //
     /* 1130175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130214 */     // MIs[0] round
     /* 1130214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130249 */     // GIR_Coverage, 14968,
     /* 1130249 */     GIR_EraseRootFromParent_Done,
     /* 1130250 */   // Label 16553: @1130250
     /* 1130250 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130330), // Rule ID 14969 //
     /* 1130255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130294 */     // MIs[0] round
     /* 1130294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130329 */     // GIR_Coverage, 14969,
     /* 1130329 */     GIR_EraseRootFromParent_Done,
     /* 1130330 */   // Label 16554: @1130330
     /* 1130330 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130410), // Rule ID 14972 //
     /* 1130335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130374 */     // MIs[0] round
     /* 1130374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130409 */     // GIR_Coverage, 14972,
     /* 1130409 */     GIR_EraseRootFromParent_Done,
     /* 1130410 */   // Label 16555: @1130410
     /* 1130410 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130490), // Rule ID 14973 //
     /* 1130415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130454 */     // MIs[0] round
     /* 1130454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130489 */     // GIR_Coverage, 14973,
     /* 1130489 */     GIR_EraseRootFromParent_Done,
     /* 1130490 */   // Label 16556: @1130490
     /* 1130490 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130570), // Rule ID 14976 //
     /* 1130495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130534 */     // MIs[0] round
     /* 1130534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130569 */     // GIR_Coverage, 14976,
     /* 1130569 */     GIR_EraseRootFromParent_Done,
     /* 1130570 */   // Label 16557: @1130570
     /* 1130570 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130650), // Rule ID 14977 //
     /* 1130575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130614 */     // MIs[0] round
     /* 1130614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130649 */     // GIR_Coverage, 14977,
     /* 1130649 */     GIR_EraseRootFromParent_Done,
     /* 1130650 */   // Label 16558: @1130650
     /* 1130650 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130730), // Rule ID 14980 //
     /* 1130655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130694 */     // MIs[0] round
     /* 1130694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130729 */     // GIR_Coverage, 14980,
     /* 1130729 */     GIR_EraseRootFromParent_Done,
     /* 1130730 */   // Label 16559: @1130730
     /* 1130730 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130810), // Rule ID 14981 //
     /* 1130735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130774 */     // MIs[0] round
     /* 1130774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130809 */     // GIR_Coverage, 14981,
     /* 1130809 */     GIR_EraseRootFromParent_Done,
     /* 1130810 */   // Label 16560: @1130810
     /* 1130810 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130890), // Rule ID 14984 //
     /* 1130815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130854 */     // MIs[0] round
     /* 1130854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130889 */     // GIR_Coverage, 14984,
     /* 1130889 */     GIR_EraseRootFromParent_Done,
     /* 1130890 */   // Label 16561: @1130890
     /* 1130890 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130970), // Rule ID 14985 //
     /* 1130895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130934 */     // MIs[0] round
     /* 1130934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130969 */     // GIR_Coverage, 14985,
     /* 1130969 */     GIR_EraseRootFromParent_Done,
     /* 1130970 */   // Label 16562: @1130970
     /* 1130970 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1131050), // Rule ID 14988 //
     /* 1130975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1130992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1130995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131014 */     // MIs[0] round
     /* 1131014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131024 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1131027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131049 */     // GIR_Coverage, 14988,
     /* 1131049 */     GIR_EraseRootFromParent_Done,
     /* 1131050 */   // Label 16563: @1131050
     /* 1131050 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1131130), // Rule ID 14989 //
     /* 1131055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1131075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131094 */     // MIs[0] round
     /* 1131094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1131107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131129 */     // GIR_Coverage, 14989,
     /* 1131129 */     GIR_EraseRootFromParent_Done,
     /* 1131130 */   // Label 16564: @1131130
     /* 1131130 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1131210), // Rule ID 14992 //
     /* 1131135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131174 */     // MIs[0] round
     /* 1131174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131209 */     // GIR_Coverage, 14992,
     /* 1131209 */     GIR_EraseRootFromParent_Done,
     /* 1131210 */   // Label 16565: @1131210
     /* 1131210 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131290), // Rule ID 14993 //
     /* 1131215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131254 */     // MIs[0] round
     /* 1131254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131289 */     // GIR_Coverage, 14993,
     /* 1131289 */     GIR_EraseRootFromParent_Done,
     /* 1131290 */   // Label 16566: @1131290
     /* 1131290 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131370), // Rule ID 14996 //
     /* 1131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131334 */     // MIs[0] round
     /* 1131334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131344 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131369 */     // GIR_Coverage, 14996,
     /* 1131369 */     GIR_EraseRootFromParent_Done,
     /* 1131370 */   // Label 16567: @1131370
     /* 1131370 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131450), // Rule ID 14997 //
     /* 1131375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131414 */     // MIs[0] round
     /* 1131414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131449 */     // GIR_Coverage, 14997,
     /* 1131449 */     GIR_EraseRootFromParent_Done,
     /* 1131450 */   // Label 16568: @1131450
     /* 1131450 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131530), // Rule ID 15000 //
     /* 1131455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131494 */     // MIs[0] round
     /* 1131494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131529 */     // GIR_Coverage, 15000,
     /* 1131529 */     GIR_EraseRootFromParent_Done,
     /* 1131530 */   // Label 16569: @1131530
     /* 1131530 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131610), // Rule ID 15001 //
     /* 1131535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131574 */     // MIs[0] round
     /* 1131574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131609 */     // GIR_Coverage, 15001,
     /* 1131609 */     GIR_EraseRootFromParent_Done,
     /* 1131610 */   // Label 16570: @1131610
     /* 1131610 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131690), // Rule ID 15004 //
     /* 1131615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131654 */     // MIs[0] round
     /* 1131654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131689 */     // GIR_Coverage, 15004,
     /* 1131689 */     GIR_EraseRootFromParent_Done,
     /* 1131690 */   // Label 16571: @1131690
     /* 1131690 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131770), // Rule ID 15005 //
     /* 1131695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131734 */     // MIs[0] round
     /* 1131734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131769 */     // GIR_Coverage, 15005,
     /* 1131769 */     GIR_EraseRootFromParent_Done,
     /* 1131770 */   // Label 16572: @1131770
     /* 1131770 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131850), // Rule ID 15008 //
     /* 1131775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131814 */     // MIs[0] round
     /* 1131814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131849 */     // GIR_Coverage, 15008,
     /* 1131849 */     GIR_EraseRootFromParent_Done,
     /* 1131850 */   // Label 16573: @1131850
     /* 1131850 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131930), // Rule ID 15009 //
     /* 1131855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131894 */     // MIs[0] round
     /* 1131894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131929 */     // GIR_Coverage, 15009,
     /* 1131929 */     GIR_EraseRootFromParent_Done,
     /* 1131930 */   // Label 16574: @1131930
     /* 1131930 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1132010), // Rule ID 15012 //
     /* 1131935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131974 */     // MIs[0] round
     /* 1131974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132009 */     // GIR_Coverage, 15012,
     /* 1132009 */     GIR_EraseRootFromParent_Done,
     /* 1132010 */   // Label 16575: @1132010
     /* 1132010 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1132090), // Rule ID 15013 //
     /* 1132015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1132035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132054 */     // MIs[0] round
     /* 1132054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132089 */     // GIR_Coverage, 15013,
     /* 1132089 */     GIR_EraseRootFromParent_Done,
     /* 1132090 */   // Label 16576: @1132090
     /* 1132090 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1132170), // Rule ID 15016 //
     /* 1132095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132134 */     // MIs[0] round
     /* 1132134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132169 */     // GIR_Coverage, 15016,
     /* 1132169 */     GIR_EraseRootFromParent_Done,
     /* 1132170 */   // Label 16577: @1132170
     /* 1132170 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1132250), // Rule ID 15017 //
     /* 1132175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132214 */     // MIs[0] round
     /* 1132214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132249 */     // GIR_Coverage, 15017,
     /* 1132249 */     GIR_EraseRootFromParent_Done,
     /* 1132250 */   // Label 16578: @1132250
     /* 1132250 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132330), // Rule ID 15020 //
     /* 1132255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132294 */     // MIs[0] round
     /* 1132294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132329 */     // GIR_Coverage, 15020,
     /* 1132329 */     GIR_EraseRootFromParent_Done,
     /* 1132330 */   // Label 16579: @1132330
     /* 1132330 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132410), // Rule ID 15021 //
     /* 1132335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132374 */     // MIs[0] round
     /* 1132374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132409 */     // GIR_Coverage, 15021,
     /* 1132409 */     GIR_EraseRootFromParent_Done,
     /* 1132410 */   // Label 16580: @1132410
     /* 1132410 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132490), // Rule ID 15024 //
     /* 1132415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132454 */     // MIs[0] round
     /* 1132454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132489 */     // GIR_Coverage, 15024,
     /* 1132489 */     GIR_EraseRootFromParent_Done,
     /* 1132490 */   // Label 16581: @1132490
     /* 1132490 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132570), // Rule ID 15025 //
     /* 1132495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132534 */     // MIs[0] round
     /* 1132534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132569 */     // GIR_Coverage, 15025,
     /* 1132569 */     GIR_EraseRootFromParent_Done,
     /* 1132570 */   // Label 16582: @1132570
     /* 1132570 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132650), // Rule ID 15028 //
     /* 1132575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132614 */     // MIs[0] round
     /* 1132614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132649 */     // GIR_Coverage, 15028,
     /* 1132649 */     GIR_EraseRootFromParent_Done,
     /* 1132650 */   // Label 16583: @1132650
     /* 1132650 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132730), // Rule ID 15029 //
     /* 1132655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132694 */     // MIs[0] round
     /* 1132694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132729 */     // GIR_Coverage, 15029,
     /* 1132729 */     GIR_EraseRootFromParent_Done,
     /* 1132730 */   // Label 16584: @1132730
     /* 1132730 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132810), // Rule ID 15032 //
     /* 1132735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132774 */     // MIs[0] round
     /* 1132774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132809 */     // GIR_Coverage, 15032,
     /* 1132809 */     GIR_EraseRootFromParent_Done,
     /* 1132810 */   // Label 16585: @1132810
     /* 1132810 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132890), // Rule ID 15033 //
     /* 1132815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132854 */     // MIs[0] round
     /* 1132854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132889 */     // GIR_Coverage, 15033,
     /* 1132889 */     GIR_EraseRootFromParent_Done,
     /* 1132890 */   // Label 16586: @1132890
     /* 1132890 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132970), // Rule ID 15036 //
     /* 1132895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132934 */     // MIs[0] round
     /* 1132934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132969 */     // GIR_Coverage, 15036,
     /* 1132969 */     GIR_EraseRootFromParent_Done,
     /* 1132970 */   // Label 16587: @1132970
     /* 1132970 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1133050), // Rule ID 15037 //
     /* 1132975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133014 */     // MIs[0] round
     /* 1133014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133049 */     // GIR_Coverage, 15037,
     /* 1133049 */     GIR_EraseRootFromParent_Done,
     /* 1133050 */   // Label 16588: @1133050
     /* 1133050 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1133130), // Rule ID 15040 //
     /* 1133055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133094 */     // MIs[0] round
     /* 1133094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133129 */     // GIR_Coverage, 15040,
     /* 1133129 */     GIR_EraseRootFromParent_Done,
     /* 1133130 */   // Label 16589: @1133130
     /* 1133130 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1133210), // Rule ID 15041 //
     /* 1133135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133174 */     // MIs[0] round
     /* 1133174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133209 */     // GIR_Coverage, 15041,
     /* 1133209 */     GIR_EraseRootFromParent_Done,
     /* 1133210 */   // Label 16590: @1133210
     /* 1133210 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133290), // Rule ID 15044 //
     /* 1133215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1133235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133254 */     // MIs[0] round
     /* 1133254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133289 */     // GIR_Coverage, 15044,
     /* 1133289 */     GIR_EraseRootFromParent_Done,
     /* 1133290 */   // Label 16591: @1133290
     /* 1133290 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133370), // Rule ID 15045 //
     /* 1133295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1133315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133334 */     // MIs[0] round
     /* 1133334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133369 */     // GIR_Coverage, 15045,
     /* 1133369 */     GIR_EraseRootFromParent_Done,
     /* 1133370 */   // Label 16592: @1133370
     /* 1133370 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133450), // Rule ID 15048 //
     /* 1133375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133414 */     // MIs[0] round
     /* 1133414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133449 */     // GIR_Coverage, 15048,
     /* 1133449 */     GIR_EraseRootFromParent_Done,
     /* 1133450 */   // Label 16593: @1133450
     /* 1133450 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133530), // Rule ID 15049 //
     /* 1133455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133494 */     // MIs[0] round
     /* 1133494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133529 */     // GIR_Coverage, 15049,
     /* 1133529 */     GIR_EraseRootFromParent_Done,
     /* 1133530 */   // Label 16594: @1133530
     /* 1133530 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133610), // Rule ID 15052 //
     /* 1133535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133574 */     // MIs[0] round
     /* 1133574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133609 */     // GIR_Coverage, 15052,
     /* 1133609 */     GIR_EraseRootFromParent_Done,
     /* 1133610 */   // Label 16595: @1133610
     /* 1133610 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133690), // Rule ID 15053 //
     /* 1133615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133654 */     // MIs[0] round
     /* 1133654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133689 */     // GIR_Coverage, 15053,
     /* 1133689 */     GIR_EraseRootFromParent_Done,
     /* 1133690 */   // Label 16596: @1133690
     /* 1133690 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133770), // Rule ID 15056 //
     /* 1133695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133734 */     // MIs[0] round
     /* 1133734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133769 */     // GIR_Coverage, 15056,
     /* 1133769 */     GIR_EraseRootFromParent_Done,
     /* 1133770 */   // Label 16597: @1133770
     /* 1133770 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133850), // Rule ID 15057 //
     /* 1133775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133814 */     // MIs[0] round
     /* 1133814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133849 */     // GIR_Coverage, 15057,
     /* 1133849 */     GIR_EraseRootFromParent_Done,
     /* 1133850 */   // Label 16598: @1133850
     /* 1133850 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133930), // Rule ID 15060 //
     /* 1133855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133894 */     // MIs[0] round
     /* 1133894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133929 */     // GIR_Coverage, 15060,
     /* 1133929 */     GIR_EraseRootFromParent_Done,
     /* 1133930 */   // Label 16599: @1133930
     /* 1133930 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1134010), // Rule ID 15061 //
     /* 1133935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133974 */     // MIs[0] round
     /* 1133974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134009 */     // GIR_Coverage, 15061,
     /* 1134009 */     GIR_EraseRootFromParent_Done,
     /* 1134010 */   // Label 16600: @1134010
     /* 1134010 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1134090), // Rule ID 15064 //
     /* 1134015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134054 */     // MIs[0] round
     /* 1134054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1134067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134089 */     // GIR_Coverage, 15064,
     /* 1134089 */     GIR_EraseRootFromParent_Done,
     /* 1134090 */   // Label 16601: @1134090
     /* 1134090 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1134170), // Rule ID 15065 //
     /* 1134095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134134 */     // MIs[0] round
     /* 1134134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1134147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134169 */     // GIR_Coverage, 15065,
     /* 1134169 */     GIR_EraseRootFromParent_Done,
     /* 1134170 */   // Label 16602: @1134170
     /* 1134170 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1134250), // Rule ID 15068 //
     /* 1134175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134214 */     // MIs[0] round
     /* 1134214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1134227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134249 */     // GIR_Coverage, 15068,
     /* 1134249 */     GIR_EraseRootFromParent_Done,
     /* 1134250 */   // Label 16603: @1134250
     /* 1134250 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134330), // Rule ID 15069 //
     /* 1134255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134294 */     // MIs[0] round
     /* 1134294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134304 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1134307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134329 */     // GIR_Coverage, 15069,
     /* 1134329 */     GIR_EraseRootFromParent_Done,
     /* 1134330 */   // Label 16604: @1134330
     /* 1134330 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134410), // Rule ID 15072 //
     /* 1134335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134374 */     // MIs[0] round
     /* 1134374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134409 */     // GIR_Coverage, 15072,
     /* 1134409 */     GIR_EraseRootFromParent_Done,
     /* 1134410 */   // Label 16605: @1134410
     /* 1134410 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134490), // Rule ID 15073 //
     /* 1134415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134454 */     // MIs[0] round
     /* 1134454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134489 */     // GIR_Coverage, 15073,
     /* 1134489 */     GIR_EraseRootFromParent_Done,
     /* 1134490 */   // Label 16606: @1134490
     /* 1134490 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134570), // Rule ID 15076 //
     /* 1134495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134534 */     // MIs[0] round
     /* 1134534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134569 */     // GIR_Coverage, 15076,
     /* 1134569 */     GIR_EraseRootFromParent_Done,
     /* 1134570 */   // Label 16607: @1134570
     /* 1134570 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134650), // Rule ID 15077 //
     /* 1134575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134614 */     // MIs[0] round
     /* 1134614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134649 */     // GIR_Coverage, 15077,
     /* 1134649 */     GIR_EraseRootFromParent_Done,
     /* 1134650 */   // Label 16608: @1134650
     /* 1134650 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134730), // Rule ID 15080 //
     /* 1134655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134694 */     // MIs[0] round
     /* 1134694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134729 */     // GIR_Coverage, 15080,
     /* 1134729 */     GIR_EraseRootFromParent_Done,
     /* 1134730 */   // Label 16609: @1134730
     /* 1134730 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134810), // Rule ID 15081 //
     /* 1134735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134774 */     // MIs[0] round
     /* 1134774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134809 */     // GIR_Coverage, 15081,
     /* 1134809 */     GIR_EraseRootFromParent_Done,
     /* 1134810 */   // Label 16610: @1134810
     /* 1134810 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134890), // Rule ID 15084 //
     /* 1134815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134854 */     // MIs[0] round
     /* 1134854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134889 */     // GIR_Coverage, 15084,
     /* 1134889 */     GIR_EraseRootFromParent_Done,
     /* 1134890 */   // Label 16611: @1134890
     /* 1134890 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134970), // Rule ID 15085 //
     /* 1134895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134934 */     // MIs[0] round
     /* 1134934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134969 */     // GIR_Coverage, 15085,
     /* 1134969 */     GIR_EraseRootFromParent_Done,
     /* 1134970 */   // Label 16612: @1134970
     /* 1134970 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1135050), // Rule ID 15088 //
     /* 1134975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1134992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135014 */     // MIs[0] round
     /* 1135014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1135027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135049 */     // GIR_Coverage, 15088,
     /* 1135049 */     GIR_EraseRootFromParent_Done,
     /* 1135050 */   // Label 16613: @1135050
     /* 1135050 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1135130), // Rule ID 15089 //
     /* 1135055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135094 */     // MIs[0] round
     /* 1135094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1135107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135129 */     // GIR_Coverage, 15089,
     /* 1135129 */     GIR_EraseRootFromParent_Done,
     /* 1135130 */   // Label 16614: @1135130
     /* 1135130 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1135210), // Rule ID 15092 //
     /* 1135135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135174 */     // MIs[0] round
     /* 1135174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135209 */     // GIR_Coverage, 15092,
     /* 1135209 */     GIR_EraseRootFromParent_Done,
     /* 1135210 */   // Label 16615: @1135210
     /* 1135210 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135290), // Rule ID 15093 //
     /* 1135215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135254 */     // MIs[0] round
     /* 1135254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135289 */     // GIR_Coverage, 15093,
     /* 1135289 */     GIR_EraseRootFromParent_Done,
     /* 1135290 */   // Label 16616: @1135290
     /* 1135290 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135370), // Rule ID 15096 //
     /* 1135295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135334 */     // MIs[0] round
     /* 1135334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135369 */     // GIR_Coverage, 15096,
     /* 1135369 */     GIR_EraseRootFromParent_Done,
     /* 1135370 */   // Label 16617: @1135370
     /* 1135370 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135450), // Rule ID 15097 //
     /* 1135375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135414 */     // MIs[0] round
     /* 1135414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1135427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135449 */     // GIR_Coverage, 15097,
     /* 1135449 */     GIR_EraseRootFromParent_Done,
     /* 1135450 */   // Label 16618: @1135450
     /* 1135450 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135530), // Rule ID 15100 //
     /* 1135455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135494 */     // MIs[0] round
     /* 1135494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135529 */     // GIR_Coverage, 15100,
     /* 1135529 */     GIR_EraseRootFromParent_Done,
     /* 1135530 */   // Label 16619: @1135530
     /* 1135530 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135610), // Rule ID 15101 //
     /* 1135535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135574 */     // MIs[0] round
     /* 1135574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135609 */     // GIR_Coverage, 15101,
     /* 1135609 */     GIR_EraseRootFromParent_Done,
     /* 1135610 */   // Label 16620: @1135610
     /* 1135610 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135690), // Rule ID 15104 //
     /* 1135615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135654 */     // MIs[0] round
     /* 1135654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135689 */     // GIR_Coverage, 15104,
     /* 1135689 */     GIR_EraseRootFromParent_Done,
     /* 1135690 */   // Label 16621: @1135690
     /* 1135690 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135770), // Rule ID 15105 //
     /* 1135695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135734 */     // MIs[0] round
     /* 1135734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135769 */     // GIR_Coverage, 15105,
     /* 1135769 */     GIR_EraseRootFromParent_Done,
     /* 1135770 */   // Label 16622: @1135770
     /* 1135770 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135850), // Rule ID 15108 //
     /* 1135775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135814 */     // MIs[0] round
     /* 1135814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135849 */     // GIR_Coverage, 15108,
     /* 1135849 */     GIR_EraseRootFromParent_Done,
     /* 1135850 */   // Label 16623: @1135850
     /* 1135850 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135930), // Rule ID 15109 //
     /* 1135855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135894 */     // MIs[0] round
     /* 1135894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135929 */     // GIR_Coverage, 15109,
     /* 1135929 */     GIR_EraseRootFromParent_Done,
     /* 1135930 */   // Label 16624: @1135930
     /* 1135930 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1136010), // Rule ID 15112 //
     /* 1135935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135974 */     // MIs[0] round
     /* 1135974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136009 */     // GIR_Coverage, 15112,
     /* 1136009 */     GIR_EraseRootFromParent_Done,
     /* 1136010 */   // Label 16625: @1136010
     /* 1136010 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1136090), // Rule ID 15113 //
     /* 1136015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136054 */     // MIs[0] round
     /* 1136054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1136067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136089 */     // GIR_Coverage, 15113,
     /* 1136089 */     GIR_EraseRootFromParent_Done,
     /* 1136090 */   // Label 16626: @1136090
     /* 1136090 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1136170), // Rule ID 15116 //
     /* 1136095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136134 */     // MIs[0] round
     /* 1136134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136169 */     // GIR_Coverage, 15116,
     /* 1136169 */     GIR_EraseRootFromParent_Done,
     /* 1136170 */   // Label 16627: @1136170
     /* 1136170 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1136250), // Rule ID 15117 //
     /* 1136175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136214 */     // MIs[0] round
     /* 1136214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136249 */     // GIR_Coverage, 15117,
     /* 1136249 */     GIR_EraseRootFromParent_Done,
     /* 1136250 */   // Label 16628: @1136250
     /* 1136250 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136330), // Rule ID 15120 //
     /* 1136255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136294 */     // MIs[0] round
     /* 1136294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136329 */     // GIR_Coverage, 15120,
     /* 1136329 */     GIR_EraseRootFromParent_Done,
     /* 1136330 */   // Label 16629: @1136330
     /* 1136330 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136410), // Rule ID 15121 //
     /* 1136335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136374 */     // MIs[0] round
     /* 1136374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136409 */     // GIR_Coverage, 15121,
     /* 1136409 */     GIR_EraseRootFromParent_Done,
     /* 1136410 */   // Label 16630: @1136410
     /* 1136410 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136490), // Rule ID 15124 //
     /* 1136415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136454 */     // MIs[0] round
     /* 1136454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136489 */     // GIR_Coverage, 15124,
     /* 1136489 */     GIR_EraseRootFromParent_Done,
     /* 1136490 */   // Label 16631: @1136490
     /* 1136490 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136570), // Rule ID 15125 //
     /* 1136495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136534 */     // MIs[0] round
     /* 1136534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136569 */     // GIR_Coverage, 15125,
     /* 1136569 */     GIR_EraseRootFromParent_Done,
     /* 1136570 */   // Label 16632: @1136570
     /* 1136570 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136650), // Rule ID 15128 //
     /* 1136575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136614 */     // MIs[0] round
     /* 1136614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136649 */     // GIR_Coverage, 15128,
     /* 1136649 */     GIR_EraseRootFromParent_Done,
     /* 1136650 */   // Label 16633: @1136650
     /* 1136650 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136730), // Rule ID 15129 //
     /* 1136655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136694 */     // MIs[0] round
     /* 1136694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136729 */     // GIR_Coverage, 15129,
     /* 1136729 */     GIR_EraseRootFromParent_Done,
     /* 1136730 */   // Label 16634: @1136730
     /* 1136730 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136810), // Rule ID 15132 //
     /* 1136735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136774 */     // MIs[0] round
     /* 1136774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136809 */     // GIR_Coverage, 15132,
     /* 1136809 */     GIR_EraseRootFromParent_Done,
     /* 1136810 */   // Label 16635: @1136810
     /* 1136810 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136890), // Rule ID 15133 //
     /* 1136815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136854 */     // MIs[0] round
     /* 1136854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136889 */     // GIR_Coverage, 15133,
     /* 1136889 */     GIR_EraseRootFromParent_Done,
     /* 1136890 */   // Label 16636: @1136890
     /* 1136890 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136970), // Rule ID 15136 //
     /* 1136895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136934 */     // MIs[0] round
     /* 1136934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136969 */     // GIR_Coverage, 15136,
     /* 1136969 */     GIR_EraseRootFromParent_Done,
     /* 1136970 */   // Label 16637: @1136970
     /* 1136970 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1137050), // Rule ID 15137 //
     /* 1136975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137014 */     // MIs[0] round
     /* 1137014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137049 */     // GIR_Coverage, 15137,
     /* 1137049 */     GIR_EraseRootFromParent_Done,
     /* 1137050 */   // Label 16638: @1137050
     /* 1137050 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1137130), // Rule ID 15140 //
     /* 1137055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137094 */     // MIs[0] round
     /* 1137094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137129 */     // GIR_Coverage, 15140,
     /* 1137129 */     GIR_EraseRootFromParent_Done,
     /* 1137130 */   // Label 16639: @1137130
     /* 1137130 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1137210), // Rule ID 15141 //
     /* 1137135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137174 */     // MIs[0] round
     /* 1137174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137209 */     // GIR_Coverage, 15141,
     /* 1137209 */     GIR_EraseRootFromParent_Done,
     /* 1137210 */   // Label 16640: @1137210
     /* 1137210 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137290), // Rule ID 15144 //
     /* 1137215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137254 */     // MIs[0] round
     /* 1137254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137289 */     // GIR_Coverage, 15144,
     /* 1137289 */     GIR_EraseRootFromParent_Done,
     /* 1137290 */   // Label 16641: @1137290
     /* 1137290 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137370), // Rule ID 15145 //
     /* 1137295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137334 */     // MIs[0] round
     /* 1137334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137369 */     // GIR_Coverage, 15145,
     /* 1137369 */     GIR_EraseRootFromParent_Done,
     /* 1137370 */   // Label 16642: @1137370
     /* 1137370 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137450), // Rule ID 15148 //
     /* 1137375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137414 */     // MIs[0] round
     /* 1137414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137449 */     // GIR_Coverage, 15148,
     /* 1137449 */     GIR_EraseRootFromParent_Done,
     /* 1137450 */   // Label 16643: @1137450
     /* 1137450 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137530), // Rule ID 15149 //
     /* 1137455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137494 */     // MIs[0] round
     /* 1137494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137529 */     // GIR_Coverage, 15149,
     /* 1137529 */     GIR_EraseRootFromParent_Done,
     /* 1137530 */   // Label 16644: @1137530
     /* 1137530 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137610), // Rule ID 15152 //
     /* 1137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137574 */     // MIs[0] round
     /* 1137574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137609 */     // GIR_Coverage, 15152,
     /* 1137609 */     GIR_EraseRootFromParent_Done,
     /* 1137610 */   // Label 16645: @1137610
     /* 1137610 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137690), // Rule ID 15153 //
     /* 1137615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137654 */     // MIs[0] round
     /* 1137654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137689 */     // GIR_Coverage, 15153,
     /* 1137689 */     GIR_EraseRootFromParent_Done,
     /* 1137690 */   // Label 16646: @1137690
     /* 1137690 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137770), // Rule ID 15156 //
     /* 1137695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137734 */     // MIs[0] round
     /* 1137734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137769 */     // GIR_Coverage, 15156,
     /* 1137769 */     GIR_EraseRootFromParent_Done,
     /* 1137770 */   // Label 16647: @1137770
     /* 1137770 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137850), // Rule ID 15157 //
     /* 1137775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137814 */     // MIs[0] round
     /* 1137814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137849 */     // GIR_Coverage, 15157,
     /* 1137849 */     GIR_EraseRootFromParent_Done,
     /* 1137850 */   // Label 16648: @1137850
     /* 1137850 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137930), // Rule ID 15160 //
     /* 1137855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137894 */     // MIs[0] round
     /* 1137894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137929 */     // GIR_Coverage, 15160,
     /* 1137929 */     GIR_EraseRootFromParent_Done,
     /* 1137930 */   // Label 16649: @1137930
     /* 1137930 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1138010), // Rule ID 15161 //
     /* 1137935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137974 */     // MIs[0] round
     /* 1137974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138009 */     // GIR_Coverage, 15161,
     /* 1138009 */     GIR_EraseRootFromParent_Done,
     /* 1138010 */   // Label 16650: @1138010
     /* 1138010 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1138090), // Rule ID 15164 //
     /* 1138015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138054 */     // MIs[0] round
     /* 1138054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1138067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138089 */     // GIR_Coverage, 15164,
     /* 1138089 */     GIR_EraseRootFromParent_Done,
     /* 1138090 */   // Label 16651: @1138090
     /* 1138090 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1138170), // Rule ID 15165 //
     /* 1138095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138134 */     // MIs[0] round
     /* 1138134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1138147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138169 */     // GIR_Coverage, 15165,
     /* 1138169 */     GIR_EraseRootFromParent_Done,
     /* 1138170 */   // Label 16652: @1138170
     /* 1138170 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1138250), // Rule ID 15168 //
     /* 1138175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138214 */     // MIs[0] round
     /* 1138214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138249 */     // GIR_Coverage, 15168,
     /* 1138249 */     GIR_EraseRootFromParent_Done,
     /* 1138250 */   // Label 16653: @1138250
     /* 1138250 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138330), // Rule ID 15169 //
     /* 1138255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138294 */     // MIs[0] round
     /* 1138294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138329 */     // GIR_Coverage, 15169,
     /* 1138329 */     GIR_EraseRootFromParent_Done,
     /* 1138330 */   // Label 16654: @1138330
     /* 1138330 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138410), // Rule ID 15172 //
     /* 1138335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138374 */     // MIs[0] round
     /* 1138374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138409 */     // GIR_Coverage, 15172,
     /* 1138409 */     GIR_EraseRootFromParent_Done,
     /* 1138410 */   // Label 16655: @1138410
     /* 1138410 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138490), // Rule ID 15173 //
     /* 1138415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138454 */     // MIs[0] round
     /* 1138454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138489 */     // GIR_Coverage, 15173,
     /* 1138489 */     GIR_EraseRootFromParent_Done,
     /* 1138490 */   // Label 16656: @1138490
     /* 1138490 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138570), // Rule ID 15176 //
     /* 1138495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138534 */     // MIs[0] round
     /* 1138534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138569 */     // GIR_Coverage, 15176,
     /* 1138569 */     GIR_EraseRootFromParent_Done,
     /* 1138570 */   // Label 16657: @1138570
     /* 1138570 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138650), // Rule ID 15177 //
     /* 1138575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138614 */     // MIs[0] round
     /* 1138614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138649 */     // GIR_Coverage, 15177,
     /* 1138649 */     GIR_EraseRootFromParent_Done,
     /* 1138650 */   // Label 16658: @1138650
     /* 1138650 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138730), // Rule ID 15180 //
     /* 1138655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138694 */     // MIs[0] round
     /* 1138694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138729 */     // GIR_Coverage, 15180,
     /* 1138729 */     GIR_EraseRootFromParent_Done,
     /* 1138730 */   // Label 16659: @1138730
     /* 1138730 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138810), // Rule ID 15181 //
     /* 1138735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138774 */     // MIs[0] round
     /* 1138774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138809 */     // GIR_Coverage, 15181,
     /* 1138809 */     GIR_EraseRootFromParent_Done,
     /* 1138810 */   // Label 16660: @1138810
     /* 1138810 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138890), // Rule ID 15184 //
     /* 1138815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138854 */     // MIs[0] round
     /* 1138854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138889 */     // GIR_Coverage, 15184,
     /* 1138889 */     GIR_EraseRootFromParent_Done,
     /* 1138890 */   // Label 16661: @1138890
     /* 1138890 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138970), // Rule ID 15185 //
     /* 1138895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138934 */     // MIs[0] round
     /* 1138934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138969 */     // GIR_Coverage, 15185,
     /* 1138969 */     GIR_EraseRootFromParent_Done,
     /* 1138970 */   // Label 16662: @1138970
     /* 1138970 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1139050), // Rule ID 15188 //
     /* 1138975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139014 */     // MIs[0] round
     /* 1139014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139049 */     // GIR_Coverage, 15188,
     /* 1139049 */     GIR_EraseRootFromParent_Done,
     /* 1139050 */   // Label 16663: @1139050
     /* 1139050 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1139130), // Rule ID 15189 //
     /* 1139055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1139075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139094 */     // MIs[0] round
     /* 1139094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139129 */     // GIR_Coverage, 15189,
     /* 1139129 */     GIR_EraseRootFromParent_Done,
     /* 1139130 */   // Label 16664: @1139130
     /* 1139130 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1139210), // Rule ID 15192 //
     /* 1139135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139174 */     // MIs[0] round
     /* 1139174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139209 */     // GIR_Coverage, 15192,
     /* 1139209 */     GIR_EraseRootFromParent_Done,
     /* 1139210 */   // Label 16665: @1139210
     /* 1139210 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139290), // Rule ID 15193 //
     /* 1139215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139254 */     // MIs[0] round
     /* 1139254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139289 */     // GIR_Coverage, 15193,
     /* 1139289 */     GIR_EraseRootFromParent_Done,
     /* 1139290 */   // Label 16666: @1139290
     /* 1139290 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139370), // Rule ID 15196 //
     /* 1139295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1139315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139334 */     // MIs[0] round
     /* 1139334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139369 */     // GIR_Coverage, 15196,
     /* 1139369 */     GIR_EraseRootFromParent_Done,
     /* 1139370 */   // Label 16667: @1139370
     /* 1139370 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139450), // Rule ID 15197 //
     /* 1139375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1139395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139414 */     // MIs[0] round
     /* 1139414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139449 */     // GIR_Coverage, 15197,
     /* 1139449 */     GIR_EraseRootFromParent_Done,
     /* 1139450 */   // Label 16668: @1139450
     /* 1139450 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139530), // Rule ID 15200 //
     /* 1139455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139494 */     // MIs[0] round
     /* 1139494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139529 */     // GIR_Coverage, 15200,
     /* 1139529 */     GIR_EraseRootFromParent_Done,
     /* 1139530 */   // Label 16669: @1139530
     /* 1139530 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139610), // Rule ID 15201 //
     /* 1139535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139574 */     // MIs[0] round
     /* 1139574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139609 */     // GIR_Coverage, 15201,
     /* 1139609 */     GIR_EraseRootFromParent_Done,
     /* 1139610 */   // Label 16670: @1139610
     /* 1139610 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139690), // Rule ID 15204 //
     /* 1139615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139654 */     // MIs[0] round
     /* 1139654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139689 */     // GIR_Coverage, 15204,
     /* 1139689 */     GIR_EraseRootFromParent_Done,
     /* 1139690 */   // Label 16671: @1139690
     /* 1139690 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139770), // Rule ID 15205 //
     /* 1139695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139734 */     // MIs[0] round
     /* 1139734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139744 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139769 */     // GIR_Coverage, 15205,
     /* 1139769 */     GIR_EraseRootFromParent_Done,
     /* 1139770 */   // Label 16672: @1139770
     /* 1139770 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139850), // Rule ID 15208 //
     /* 1139775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139814 */     // MIs[0] round
     /* 1139814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139849 */     // GIR_Coverage, 15208,
     /* 1139849 */     GIR_EraseRootFromParent_Done,
     /* 1139850 */   // Label 16673: @1139850
     /* 1139850 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139930), // Rule ID 15209 //
     /* 1139855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139894 */     // MIs[0] round
     /* 1139894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139929 */     // GIR_Coverage, 15209,
     /* 1139929 */     GIR_EraseRootFromParent_Done,
     /* 1139930 */   // Label 16674: @1139930
     /* 1139930 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1140010), // Rule ID 15212 //
     /* 1139935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139974 */     // MIs[0] round
     /* 1139974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140009 */     // GIR_Coverage, 15212,
     /* 1140009 */     GIR_EraseRootFromParent_Done,
     /* 1140010 */   // Label 16675: @1140010
     /* 1140010 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1140090), // Rule ID 15213 //
     /* 1140015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1140035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140054 */     // MIs[0] round
     /* 1140054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140089 */     // GIR_Coverage, 15213,
     /* 1140089 */     GIR_EraseRootFromParent_Done,
     /* 1140090 */   // Label 16676: @1140090
     /* 1140090 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1140170), // Rule ID 15216 //
     /* 1140095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140134 */     // MIs[0] round
     /* 1140134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140169 */     // GIR_Coverage, 15216,
     /* 1140169 */     GIR_EraseRootFromParent_Done,
     /* 1140170 */   // Label 16677: @1140170
     /* 1140170 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1140250), // Rule ID 15217 //
     /* 1140175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140214 */     // MIs[0] round
     /* 1140214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140249 */     // GIR_Coverage, 15217,
     /* 1140249 */     GIR_EraseRootFromParent_Done,
     /* 1140250 */   // Label 16678: @1140250
     /* 1140250 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140330), // Rule ID 15220 //
     /* 1140255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1140275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140294 */     // MIs[0] round
     /* 1140294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140329 */     // GIR_Coverage, 15220,
     /* 1140329 */     GIR_EraseRootFromParent_Done,
     /* 1140330 */   // Label 16679: @1140330
     /* 1140330 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140410), // Rule ID 15221 //
     /* 1140335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1140355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140374 */     // MIs[0] round
     /* 1140374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140409 */     // GIR_Coverage, 15221,
     /* 1140409 */     GIR_EraseRootFromParent_Done,
     /* 1140410 */   // Label 16680: @1140410
     /* 1140410 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140490), // Rule ID 15224 //
     /* 1140415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140454 */     // MIs[0] round
     /* 1140454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140489 */     // GIR_Coverage, 15224,
     /* 1140489 */     GIR_EraseRootFromParent_Done,
     /* 1140490 */   // Label 16681: @1140490
     /* 1140490 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140570), // Rule ID 15225 //
     /* 1140495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140534 */     // MIs[0] round
     /* 1140534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140569 */     // GIR_Coverage, 15225,
     /* 1140569 */     GIR_EraseRootFromParent_Done,
     /* 1140570 */   // Label 16682: @1140570
     /* 1140570 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140650), // Rule ID 15228 //
     /* 1140575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140614 */     // MIs[0] round
     /* 1140614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140649 */     // GIR_Coverage, 15228,
     /* 1140649 */     GIR_EraseRootFromParent_Done,
     /* 1140650 */   // Label 16683: @1140650
     /* 1140650 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140730), // Rule ID 15229 //
     /* 1140655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140694 */     // MIs[0] round
     /* 1140694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140729 */     // GIR_Coverage, 15229,
     /* 1140729 */     GIR_EraseRootFromParent_Done,
     /* 1140730 */   // Label 16684: @1140730
     /* 1140730 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140810), // Rule ID 15232 //
     /* 1140735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140774 */     // MIs[0] round
     /* 1140774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140809 */     // GIR_Coverage, 15232,
     /* 1140809 */     GIR_EraseRootFromParent_Done,
     /* 1140810 */   // Label 16685: @1140810
     /* 1140810 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140890), // Rule ID 15233 //
     /* 1140815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140854 */     // MIs[0] round
     /* 1140854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140889 */     // GIR_Coverage, 15233,
     /* 1140889 */     GIR_EraseRootFromParent_Done,
     /* 1140890 */   // Label 16686: @1140890
     /* 1140890 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140970), // Rule ID 15236 //
     /* 1140895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140934 */     // MIs[0] round
     /* 1140934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140969 */     // GIR_Coverage, 15236,
     /* 1140969 */     GIR_EraseRootFromParent_Done,
     /* 1140970 */   // Label 16687: @1140970
     /* 1140970 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1141050), // Rule ID 15237 //
     /* 1140975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141014 */     // MIs[0] round
     /* 1141014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141049 */     // GIR_Coverage, 15237,
     /* 1141049 */     GIR_EraseRootFromParent_Done,
     /* 1141050 */   // Label 16688: @1141050
     /* 1141050 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1141130), // Rule ID 15240 //
     /* 1141055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141094 */     // MIs[0] round
     /* 1141094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1141107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141129 */     // GIR_Coverage, 15240,
     /* 1141129 */     GIR_EraseRootFromParent_Done,
     /* 1141130 */   // Label 16689: @1141130
     /* 1141130 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1141210), // Rule ID 15241 //
     /* 1141135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141174 */     // MIs[0] round
     /* 1141174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1141187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141209 */     // GIR_Coverage, 15241,
     /* 1141209 */     GIR_EraseRootFromParent_Done,
     /* 1141210 */   // Label 16690: @1141210
     /* 1141210 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141290), // Rule ID 15244 //
     /* 1141215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1141235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141254 */     // MIs[0] round
     /* 1141254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1141267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141289 */     // GIR_Coverage, 15244,
     /* 1141289 */     GIR_EraseRootFromParent_Done,
     /* 1141290 */   // Label 16691: @1141290
     /* 1141290 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141370), // Rule ID 15245 //
     /* 1141295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1141315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141334 */     // MIs[0] round
     /* 1141334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1141347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141369 */     // GIR_Coverage, 15245,
     /* 1141369 */     GIR_EraseRootFromParent_Done,
     /* 1141370 */   // Label 16692: @1141370
     /* 1141370 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141450), // Rule ID 15248 //
     /* 1141375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141414 */     // MIs[0] round
     /* 1141414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141449 */     // GIR_Coverage, 15248,
     /* 1141449 */     GIR_EraseRootFromParent_Done,
     /* 1141450 */   // Label 16693: @1141450
     /* 1141450 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141530), // Rule ID 15249 //
     /* 1141455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141494 */     // MIs[0] round
     /* 1141494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141529 */     // GIR_Coverage, 15249,
     /* 1141529 */     GIR_EraseRootFromParent_Done,
     /* 1141530 */   // Label 16694: @1141530
     /* 1141530 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141610), // Rule ID 15252 //
     /* 1141535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141574 */     // MIs[0] round
     /* 1141574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141609 */     // GIR_Coverage, 15252,
     /* 1141609 */     GIR_EraseRootFromParent_Done,
     /* 1141610 */   // Label 16695: @1141610
     /* 1141610 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141690), // Rule ID 15253 //
     /* 1141615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141654 */     // MIs[0] round
     /* 1141654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141689 */     // GIR_Coverage, 15253,
     /* 1141689 */     GIR_EraseRootFromParent_Done,
     /* 1141690 */   // Label 16696: @1141690
     /* 1141690 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141770), // Rule ID 15256 //
     /* 1141695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141734 */     // MIs[0] round
     /* 1141734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141769 */     // GIR_Coverage, 15256,
     /* 1141769 */     GIR_EraseRootFromParent_Done,
     /* 1141770 */   // Label 16697: @1141770
     /* 1141770 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141850), // Rule ID 15257 //
     /* 1141775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141814 */     // MIs[0] round
     /* 1141814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141849 */     // GIR_Coverage, 15257,
     /* 1141849 */     GIR_EraseRootFromParent_Done,
     /* 1141850 */   // Label 16698: @1141850
     /* 1141850 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141930), // Rule ID 15260 //
     /* 1141855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141894 */     // MIs[0] round
     /* 1141894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141904 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141929 */     // GIR_Coverage, 15260,
     /* 1141929 */     GIR_EraseRootFromParent_Done,
     /* 1141930 */   // Label 16699: @1141930
     /* 1141930 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1142010), // Rule ID 15261 //
     /* 1141935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141974 */     // MIs[0] round
     /* 1141974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142009 */     // GIR_Coverage, 15261,
     /* 1142009 */     GIR_EraseRootFromParent_Done,
     /* 1142010 */   // Label 16700: @1142010
     /* 1142010 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1142090), // Rule ID 15264 //
     /* 1142015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142054 */     // MIs[0] round
     /* 1142054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1142067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142089 */     // GIR_Coverage, 15264,
     /* 1142089 */     GIR_EraseRootFromParent_Done,
     /* 1142090 */   // Label 16701: @1142090
     /* 1142090 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1142170), // Rule ID 15265 //
     /* 1142095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142134 */     // MIs[0] round
     /* 1142134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1142147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142169 */     // GIR_Coverage, 15265,
     /* 1142169 */     GIR_EraseRootFromParent_Done,
     /* 1142170 */   // Label 16702: @1142170
     /* 1142170 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1142250), // Rule ID 15268 //
     /* 1142175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142214 */     // MIs[0] round
     /* 1142214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142249 */     // GIR_Coverage, 15268,
     /* 1142249 */     GIR_EraseRootFromParent_Done,
     /* 1142250 */   // Label 16703: @1142250
     /* 1142250 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142330), // Rule ID 15269 //
     /* 1142255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142294 */     // MIs[0] round
     /* 1142294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142329 */     // GIR_Coverage, 15269,
     /* 1142329 */     GIR_EraseRootFromParent_Done,
     /* 1142330 */   // Label 16704: @1142330
     /* 1142330 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142410), // Rule ID 15272 //
     /* 1142335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142374 */     // MIs[0] round
     /* 1142374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142409 */     // GIR_Coverage, 15272,
     /* 1142409 */     GIR_EraseRootFromParent_Done,
     /* 1142410 */   // Label 16705: @1142410
     /* 1142410 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142490), // Rule ID 15273 //
     /* 1142415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142454 */     // MIs[0] round
     /* 1142454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142489 */     // GIR_Coverage, 15273,
     /* 1142489 */     GIR_EraseRootFromParent_Done,
     /* 1142490 */   // Label 16706: @1142490
     /* 1142490 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142570), // Rule ID 15276 //
     /* 1142495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142534 */     // MIs[0] round
     /* 1142534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142569 */     // GIR_Coverage, 15276,
     /* 1142569 */     GIR_EraseRootFromParent_Done,
     /* 1142570 */   // Label 16707: @1142570
     /* 1142570 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142650), // Rule ID 15277 //
     /* 1142575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142614 */     // MIs[0] round
     /* 1142614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142649 */     // GIR_Coverage, 15277,
     /* 1142649 */     GIR_EraseRootFromParent_Done,
     /* 1142650 */   // Label 16708: @1142650
     /* 1142650 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142730), // Rule ID 15280 //
     /* 1142655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142694 */     // MIs[0] round
     /* 1142694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142729 */     // GIR_Coverage, 15280,
     /* 1142729 */     GIR_EraseRootFromParent_Done,
     /* 1142730 */   // Label 16709: @1142730
     /* 1142730 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142810), // Rule ID 15281 //
     /* 1142735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142774 */     // MIs[0] round
     /* 1142774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142809 */     // GIR_Coverage, 15281,
     /* 1142809 */     GIR_EraseRootFromParent_Done,
     /* 1142810 */   // Label 16710: @1142810
     /* 1142810 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142890), // Rule ID 15284 //
     /* 1142815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142854 */     // MIs[0] round
     /* 1142854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142889 */     // GIR_Coverage, 15284,
     /* 1142889 */     GIR_EraseRootFromParent_Done,
     /* 1142890 */   // Label 16711: @1142890
     /* 1142890 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142970), // Rule ID 15285 //
     /* 1142895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142934 */     // MIs[0] round
     /* 1142934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142969 */     // GIR_Coverage, 15285,
     /* 1142969 */     GIR_EraseRootFromParent_Done,
     /* 1142970 */   // Label 16712: @1142970
     /* 1142970 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1143050), // Rule ID 15288 //
     /* 1142975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143014 */     // MIs[0] round
     /* 1143014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1143027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143049 */     // GIR_Coverage, 15288,
     /* 1143049 */     GIR_EraseRootFromParent_Done,
     /* 1143050 */   // Label 16713: @1143050
     /* 1143050 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1143130), // Rule ID 15289 //
     /* 1143055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143094 */     // MIs[0] round
     /* 1143094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1143107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143129 */     // GIR_Coverage, 15289,
     /* 1143129 */     GIR_EraseRootFromParent_Done,
     /* 1143130 */   // Label 16714: @1143130
     /* 1143130 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1143210), // Rule ID 15292 //
     /* 1143135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143174 */     // MIs[0] round
     /* 1143174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143209 */     // GIR_Coverage, 15292,
     /* 1143209 */     GIR_EraseRootFromParent_Done,
     /* 1143210 */   // Label 16715: @1143210
     /* 1143210 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143290), // Rule ID 15293 //
     /* 1143215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143254 */     // MIs[0] round
     /* 1143254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143264 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143289 */     // GIR_Coverage, 15293,
     /* 1143289 */     GIR_EraseRootFromParent_Done,
     /* 1143290 */   // Label 16716: @1143290
     /* 1143290 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143370), // Rule ID 15296 //
     /* 1143295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143334 */     // MIs[0] round
     /* 1143334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143369 */     // GIR_Coverage, 15296,
     /* 1143369 */     GIR_EraseRootFromParent_Done,
     /* 1143370 */   // Label 16717: @1143370
     /* 1143370 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143450), // Rule ID 15297 //
     /* 1143375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143414 */     // MIs[0] round
     /* 1143414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143449 */     // GIR_Coverage, 15297,
     /* 1143449 */     GIR_EraseRootFromParent_Done,
     /* 1143450 */   // Label 16718: @1143450
     /* 1143450 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143530), // Rule ID 15300 //
     /* 1143455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143494 */     // MIs[0] round
     /* 1143494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143504 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143529 */     // GIR_Coverage, 15300,
     /* 1143529 */     GIR_EraseRootFromParent_Done,
     /* 1143530 */   // Label 16719: @1143530
     /* 1143530 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143610), // Rule ID 15301 //
     /* 1143535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143574 */     // MIs[0] round
     /* 1143574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143609 */     // GIR_Coverage, 15301,
     /* 1143609 */     GIR_EraseRootFromParent_Done,
     /* 1143610 */   // Label 16720: @1143610
     /* 1143610 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143690), // Rule ID 15304 //
     /* 1143615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143654 */     // MIs[0] round
     /* 1143654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143689 */     // GIR_Coverage, 15304,
     /* 1143689 */     GIR_EraseRootFromParent_Done,
     /* 1143690 */   // Label 16721: @1143690
     /* 1143690 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143770), // Rule ID 15305 //
     /* 1143695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143734 */     // MIs[0] round
     /* 1143734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143769 */     // GIR_Coverage, 15305,
     /* 1143769 */     GIR_EraseRootFromParent_Done,
     /* 1143770 */   // Label 16722: @1143770
     /* 1143770 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143850), // Rule ID 15308 //
     /* 1143775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143814 */     // MIs[0] round
     /* 1143814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143849 */     // GIR_Coverage, 15308,
     /* 1143849 */     GIR_EraseRootFromParent_Done,
     /* 1143850 */   // Label 16723: @1143850
     /* 1143850 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143930), // Rule ID 15309 //
     /* 1143855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143894 */     // MIs[0] round
     /* 1143894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143929 */     // GIR_Coverage, 15309,
     /* 1143929 */     GIR_EraseRootFromParent_Done,
     /* 1143930 */   // Label 16724: @1143930
     /* 1143930 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1144010), // Rule ID 15312 //
     /* 1143935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143974 */     // MIs[0] round
     /* 1143974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144009 */     // GIR_Coverage, 15312,
     /* 1144009 */     GIR_EraseRootFromParent_Done,
     /* 1144010 */   // Label 16725: @1144010
     /* 1144010 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1144090), // Rule ID 15313 //
     /* 1144015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144054 */     // MIs[0] round
     /* 1144054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144089 */     // GIR_Coverage, 15313,
     /* 1144089 */     GIR_EraseRootFromParent_Done,
     /* 1144090 */   // Label 16726: @1144090
     /* 1144090 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1144170), // Rule ID 15316 //
     /* 1144095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144134 */     // MIs[0] round
     /* 1144134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144169 */     // GIR_Coverage, 15316,
     /* 1144169 */     GIR_EraseRootFromParent_Done,
     /* 1144170 */   // Label 16727: @1144170
     /* 1144170 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1144250), // Rule ID 15317 //
     /* 1144175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144214 */     // MIs[0] round
     /* 1144214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144249 */     // GIR_Coverage, 15317,
     /* 1144249 */     GIR_EraseRootFromParent_Done,
     /* 1144250 */   // Label 16728: @1144250
     /* 1144250 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144330), // Rule ID 15320 //
     /* 1144255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144294 */     // MIs[0] round
     /* 1144294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144329 */     // GIR_Coverage, 15320,
     /* 1144329 */     GIR_EraseRootFromParent_Done,
     /* 1144330 */   // Label 16729: @1144330
     /* 1144330 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144410), // Rule ID 15321 //
     /* 1144335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144374 */     // MIs[0] round
     /* 1144374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144409 */     // GIR_Coverage, 15321,
     /* 1144409 */     GIR_EraseRootFromParent_Done,
     /* 1144410 */   // Label 16730: @1144410
     /* 1144410 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144490), // Rule ID 15324 //
     /* 1144415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144454 */     // MIs[0] round
     /* 1144454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144489 */     // GIR_Coverage, 15324,
     /* 1144489 */     GIR_EraseRootFromParent_Done,
     /* 1144490 */   // Label 16731: @1144490
     /* 1144490 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144570), // Rule ID 15325 //
     /* 1144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144534 */     // MIs[0] round
     /* 1144534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144569 */     // GIR_Coverage, 15325,
     /* 1144569 */     GIR_EraseRootFromParent_Done,
     /* 1144570 */   // Label 16732: @1144570
     /* 1144570 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144650), // Rule ID 15328 //
     /* 1144575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144614 */     // MIs[0] round
     /* 1144614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144649 */     // GIR_Coverage, 15328,
     /* 1144649 */     GIR_EraseRootFromParent_Done,
     /* 1144650 */   // Label 16733: @1144650
     /* 1144650 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144730), // Rule ID 15329 //
     /* 1144655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144694 */     // MIs[0] round
     /* 1144694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144729 */     // GIR_Coverage, 15329,
     /* 1144729 */     GIR_EraseRootFromParent_Done,
     /* 1144730 */   // Label 16734: @1144730
     /* 1144730 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144810), // Rule ID 15332 //
     /* 1144735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144774 */     // MIs[0] round
     /* 1144774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144809 */     // GIR_Coverage, 15332,
     /* 1144809 */     GIR_EraseRootFromParent_Done,
     /* 1144810 */   // Label 16735: @1144810
     /* 1144810 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144890), // Rule ID 15333 //
     /* 1144815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144854 */     // MIs[0] round
     /* 1144854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144889 */     // GIR_Coverage, 15333,
     /* 1144889 */     GIR_EraseRootFromParent_Done,
     /* 1144890 */   // Label 16736: @1144890
     /* 1144890 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144970), // Rule ID 15336 //
     /* 1144895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144934 */     // MIs[0] round
     /* 1144934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144969 */     // GIR_Coverage, 15336,
     /* 1144969 */     GIR_EraseRootFromParent_Done,
     /* 1144970 */   // Label 16737: @1144970
     /* 1144970 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1145050), // Rule ID 15337 //
     /* 1144975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145014 */     // MIs[0] round
     /* 1145014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1145027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145049 */     // GIR_Coverage, 15337,
     /* 1145049 */     GIR_EraseRootFromParent_Done,
     /* 1145050 */   // Label 16738: @1145050
     /* 1145050 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1145130), // Rule ID 15340 //
     /* 1145055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145094 */     // MIs[0] round
     /* 1145094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1145107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145129 */     // GIR_Coverage, 15340,
     /* 1145129 */     GIR_EraseRootFromParent_Done,
     /* 1145130 */   // Label 16739: @1145130
     /* 1145130 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1145210), // Rule ID 15341 //
     /* 1145135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145174 */     // MIs[0] round
     /* 1145174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145184 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1145187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145209 */     // GIR_Coverage, 15341,
     /* 1145209 */     GIR_EraseRootFromParent_Done,
     /* 1145210 */   // Label 16740: @1145210
     /* 1145210 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145290), // Rule ID 15344 //
     /* 1145215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1145235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145254 */     // MIs[0] round
     /* 1145254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145289 */     // GIR_Coverage, 15344,
     /* 1145289 */     GIR_EraseRootFromParent_Done,
     /* 1145290 */   // Label 16741: @1145290
     /* 1145290 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145370), // Rule ID 15345 //
     /* 1145295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1145315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145334 */     // MIs[0] round
     /* 1145334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145344 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145369 */     // GIR_Coverage, 15345,
     /* 1145369 */     GIR_EraseRootFromParent_Done,
     /* 1145370 */   // Label 16742: @1145370
     /* 1145370 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145450), // Rule ID 15348 //
     /* 1145375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145414 */     // MIs[0] round
     /* 1145414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145449 */     // GIR_Coverage, 15348,
     /* 1145449 */     GIR_EraseRootFromParent_Done,
     /* 1145450 */   // Label 16743: @1145450
     /* 1145450 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145530), // Rule ID 15349 //
     /* 1145455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145494 */     // MIs[0] round
     /* 1145494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145529 */     // GIR_Coverage, 15349,
     /* 1145529 */     GIR_EraseRootFromParent_Done,
     /* 1145530 */   // Label 16744: @1145530
     /* 1145530 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145610), // Rule ID 15352 //
     /* 1145535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145574 */     // MIs[0] round
     /* 1145574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145609 */     // GIR_Coverage, 15352,
     /* 1145609 */     GIR_EraseRootFromParent_Done,
     /* 1145610 */   // Label 16745: @1145610
     /* 1145610 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145690), // Rule ID 15353 //
     /* 1145615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145654 */     // MIs[0] round
     /* 1145654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145689 */     // GIR_Coverage, 15353,
     /* 1145689 */     GIR_EraseRootFromParent_Done,
     /* 1145690 */   // Label 16746: @1145690
     /* 1145690 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145770), // Rule ID 15356 //
     /* 1145695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145734 */     // MIs[0] round
     /* 1145734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145769 */     // GIR_Coverage, 15356,
     /* 1145769 */     GIR_EraseRootFromParent_Done,
     /* 1145770 */   // Label 16747: @1145770
     /* 1145770 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145850), // Rule ID 15357 //
     /* 1145775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145814 */     // MIs[0] round
     /* 1145814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145849 */     // GIR_Coverage, 15357,
     /* 1145849 */     GIR_EraseRootFromParent_Done,
     /* 1145850 */   // Label 16748: @1145850
     /* 1145850 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145930), // Rule ID 15360 //
     /* 1145855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145894 */     // MIs[0] round
     /* 1145894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145929 */     // GIR_Coverage, 15360,
     /* 1145929 */     GIR_EraseRootFromParent_Done,
     /* 1145930 */   // Label 16749: @1145930
     /* 1145930 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1146010), // Rule ID 15361 //
     /* 1145935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145974 */     // MIs[0] round
     /* 1145974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146009 */     // GIR_Coverage, 15361,
     /* 1146009 */     GIR_EraseRootFromParent_Done,
     /* 1146010 */   // Label 16750: @1146010
     /* 1146010 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1146090), // Rule ID 15364 //
     /* 1146015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146054 */     // MIs[0] round
     /* 1146054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146089 */     // GIR_Coverage, 15364,
     /* 1146089 */     GIR_EraseRootFromParent_Done,
     /* 1146090 */   // Label 16751: @1146090
     /* 1146090 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1146170), // Rule ID 15365 //
     /* 1146095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146134 */     // MIs[0] round
     /* 1146134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146169 */     // GIR_Coverage, 15365,
     /* 1146169 */     GIR_EraseRootFromParent_Done,
     /* 1146170 */   // Label 16752: @1146170
     /* 1146170 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146250), // Rule ID 15368 //
     /* 1146175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1146195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146214 */     // MIs[0] round
     /* 1146214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146249 */     // GIR_Coverage, 15368,
     /* 1146249 */     GIR_EraseRootFromParent_Done,
     /* 1146250 */   // Label 16753: @1146250
     /* 1146250 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146330), // Rule ID 15369 //
     /* 1146255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1146275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146294 */     // MIs[0] round
     /* 1146294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146329 */     // GIR_Coverage, 15369,
     /* 1146329 */     GIR_EraseRootFromParent_Done,
     /* 1146330 */   // Label 16754: @1146330
     /* 1146330 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146410), // Rule ID 15372 //
     /* 1146335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146374 */     // MIs[0] round
     /* 1146374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146409 */     // GIR_Coverage, 15372,
     /* 1146409 */     GIR_EraseRootFromParent_Done,
     /* 1146410 */   // Label 16755: @1146410
     /* 1146410 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146490), // Rule ID 15373 //
     /* 1146415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146454 */     // MIs[0] round
     /* 1146454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146489 */     // GIR_Coverage, 15373,
     /* 1146489 */     GIR_EraseRootFromParent_Done,
     /* 1146490 */   // Label 16756: @1146490
     /* 1146490 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146570), // Rule ID 15376 //
     /* 1146495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146534 */     // MIs[0] round
     /* 1146534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146569 */     // GIR_Coverage, 15376,
     /* 1146569 */     GIR_EraseRootFromParent_Done,
     /* 1146570 */   // Label 16757: @1146570
     /* 1146570 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146650), // Rule ID 15377 //
     /* 1146575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146614 */     // MIs[0] round
     /* 1146614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146649 */     // GIR_Coverage, 15377,
     /* 1146649 */     GIR_EraseRootFromParent_Done,
     /* 1146650 */   // Label 16758: @1146650
     /* 1146650 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146730), // Rule ID 15380 //
     /* 1146655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146694 */     // MIs[0] round
     /* 1146694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146729 */     // GIR_Coverage, 15380,
     /* 1146729 */     GIR_EraseRootFromParent_Done,
     /* 1146730 */   // Label 16759: @1146730
     /* 1146730 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146810), // Rule ID 15381 //
     /* 1146735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146774 */     // MIs[0] round
     /* 1146774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146809 */     // GIR_Coverage, 15381,
     /* 1146809 */     GIR_EraseRootFromParent_Done,
     /* 1146810 */   // Label 16760: @1146810
     /* 1146810 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146890), // Rule ID 15384 //
     /* 1146815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146854 */     // MIs[0] round
     /* 1146854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146889 */     // GIR_Coverage, 15384,
     /* 1146889 */     GIR_EraseRootFromParent_Done,
     /* 1146890 */   // Label 16761: @1146890
     /* 1146890 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146970), // Rule ID 15385 //
     /* 1146895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146934 */     // MIs[0] round
     /* 1146934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146944 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146969 */     // GIR_Coverage, 15385,
     /* 1146969 */     GIR_EraseRootFromParent_Done,
     /* 1146970 */   // Label 16762: @1146970
     /* 1146970 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1147050), // Rule ID 15388 //
     /* 1146975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147014 */     // MIs[0] round
     /* 1147014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147049 */     // GIR_Coverage, 15388,
     /* 1147049 */     GIR_EraseRootFromParent_Done,
     /* 1147050 */   // Label 16763: @1147050
     /* 1147050 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1147130), // Rule ID 15389 //
     /* 1147055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1147075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147094 */     // MIs[0] round
     /* 1147094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147129 */     // GIR_Coverage, 15389,
     /* 1147129 */     GIR_EraseRootFromParent_Done,
     /* 1147130 */   // Label 16764: @1147130
     /* 1147130 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147210), // Rule ID 15392 //
     /* 1147135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147174 */     // MIs[0] round
     /* 1147174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147209 */     // GIR_Coverage, 15392,
     /* 1147209 */     GIR_EraseRootFromParent_Done,
     /* 1147210 */   // Label 16765: @1147210
     /* 1147210 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147290), // Rule ID 15393 //
     /* 1147215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147254 */     // MIs[0] round
     /* 1147254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147289 */     // GIR_Coverage, 15393,
     /* 1147289 */     GIR_EraseRootFromParent_Done,
     /* 1147290 */   // Label 16766: @1147290
     /* 1147290 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147370), // Rule ID 15396 //
     /* 1147295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147334 */     // MIs[0] round
     /* 1147334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147369 */     // GIR_Coverage, 15396,
     /* 1147369 */     GIR_EraseRootFromParent_Done,
     /* 1147370 */   // Label 16767: @1147370
     /* 1147370 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147450), // Rule ID 15397 //
     /* 1147375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147414 */     // MIs[0] round
     /* 1147414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147449 */     // GIR_Coverage, 15397,
     /* 1147449 */     GIR_EraseRootFromParent_Done,
     /* 1147450 */   // Label 16768: @1147450
     /* 1147450 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147530), // Rule ID 15400 //
     /* 1147455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147494 */     // MIs[0] round
     /* 1147494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147529 */     // GIR_Coverage, 15400,
     /* 1147529 */     GIR_EraseRootFromParent_Done,
     /* 1147530 */   // Label 16769: @1147530
     /* 1147530 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147610), // Rule ID 15401 //
     /* 1147535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147574 */     // MIs[0] round
     /* 1147574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147609 */     // GIR_Coverage, 15401,
     /* 1147609 */     GIR_EraseRootFromParent_Done,
     /* 1147610 */   // Label 16770: @1147610
     /* 1147610 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147690), // Rule ID 15404 //
     /* 1147615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147654 */     // MIs[0] round
     /* 1147654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147689 */     // GIR_Coverage, 15404,
     /* 1147689 */     GIR_EraseRootFromParent_Done,
     /* 1147690 */   // Label 16771: @1147690
     /* 1147690 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147770), // Rule ID 15405 //
     /* 1147695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147734 */     // MIs[0] round
     /* 1147734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147769 */     // GIR_Coverage, 15405,
     /* 1147769 */     GIR_EraseRootFromParent_Done,
     /* 1147770 */   // Label 16772: @1147770
     /* 1147770 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147850), // Rule ID 15408 //
     /* 1147775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147814 */     // MIs[0] round
     /* 1147814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147849 */     // GIR_Coverage, 15408,
     /* 1147849 */     GIR_EraseRootFromParent_Done,
     /* 1147850 */   // Label 16773: @1147850
     /* 1147850 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147930), // Rule ID 15409 //
     /* 1147855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147894 */     // MIs[0] round
     /* 1147894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147929 */     // GIR_Coverage, 15409,
     /* 1147929 */     GIR_EraseRootFromParent_Done,
     /* 1147930 */   // Label 16774: @1147930
     /* 1147930 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1148010), // Rule ID 15412 //
     /* 1147935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147974 */     // MIs[0] round
     /* 1147974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148009 */     // GIR_Coverage, 15412,
     /* 1148009 */     GIR_EraseRootFromParent_Done,
     /* 1148010 */   // Label 16775: @1148010
     /* 1148010 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1148090), // Rule ID 15413 //
     /* 1148015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1148035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148054 */     // MIs[0] round
     /* 1148054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148089 */     // GIR_Coverage, 15413,
     /* 1148089 */     GIR_EraseRootFromParent_Done,
     /* 1148090 */   // Label 16776: @1148090
     /* 1148090 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1148170), // Rule ID 15416 //
     /* 1148095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1148115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148134 */     // MIs[0] round
     /* 1148134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1148147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148169 */     // GIR_Coverage, 15416,
     /* 1148169 */     GIR_EraseRootFromParent_Done,
     /* 1148170 */   // Label 16777: @1148170
     /* 1148170 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148250), // Rule ID 15417 //
     /* 1148175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1148195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148214 */     // MIs[0] round
     /* 1148214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1148227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148249 */     // GIR_Coverage, 15417,
     /* 1148249 */     GIR_EraseRootFromParent_Done,
     /* 1148250 */   // Label 16778: @1148250
     /* 1148250 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148330), // Rule ID 15420 //
     /* 1148255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1148275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148294 */     // MIs[0] round
     /* 1148294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148304 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1148307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148329 */     // GIR_Coverage, 15420,
     /* 1148329 */     GIR_EraseRootFromParent_Done,
     /* 1148330 */   // Label 16779: @1148330
     /* 1148330 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148410), // Rule ID 15421 //
     /* 1148335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1148355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148374 */     // MIs[0] round
     /* 1148374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1148387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148409 */     // GIR_Coverage, 15421,
     /* 1148409 */     GIR_EraseRootFromParent_Done,
     /* 1148410 */   // Label 16780: @1148410
     /* 1148410 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148490), // Rule ID 15424 //
     /* 1148415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148454 */     // MIs[0] round
     /* 1148454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148489 */     // GIR_Coverage, 15424,
     /* 1148489 */     GIR_EraseRootFromParent_Done,
     /* 1148490 */   // Label 16781: @1148490
     /* 1148490 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148570), // Rule ID 15425 //
     /* 1148495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148534 */     // MIs[0] round
     /* 1148534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148569 */     // GIR_Coverage, 15425,
     /* 1148569 */     GIR_EraseRootFromParent_Done,
     /* 1148570 */   // Label 16782: @1148570
     /* 1148570 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148650), // Rule ID 15428 //
     /* 1148575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148614 */     // MIs[0] round
     /* 1148614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148649 */     // GIR_Coverage, 15428,
     /* 1148649 */     GIR_EraseRootFromParent_Done,
     /* 1148650 */   // Label 16783: @1148650
     /* 1148650 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148730), // Rule ID 15429 //
     /* 1148655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148694 */     // MIs[0] round
     /* 1148694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148704 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148729 */     // GIR_Coverage, 15429,
     /* 1148729 */     GIR_EraseRootFromParent_Done,
     /* 1148730 */   // Label 16784: @1148730
     /* 1148730 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148810), // Rule ID 15432 //
     /* 1148735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148774 */     // MIs[0] round
     /* 1148774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148809 */     // GIR_Coverage, 15432,
     /* 1148809 */     GIR_EraseRootFromParent_Done,
     /* 1148810 */   // Label 16785: @1148810
     /* 1148810 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148890), // Rule ID 15433 //
     /* 1148815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148854 */     // MIs[0] round
     /* 1148854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148889 */     // GIR_Coverage, 15433,
     /* 1148889 */     GIR_EraseRootFromParent_Done,
     /* 1148890 */   // Label 16786: @1148890
     /* 1148890 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148970), // Rule ID 15436 //
     /* 1148895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148934 */     // MIs[0] round
     /* 1148934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148969 */     // GIR_Coverage, 15436,
     /* 1148969 */     GIR_EraseRootFromParent_Done,
     /* 1148970 */   // Label 16787: @1148970
     /* 1148970 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1149050), // Rule ID 15437 //
     /* 1148975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149014 */     // MIs[0] round
     /* 1149014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149049 */     // GIR_Coverage, 15437,
     /* 1149049 */     GIR_EraseRootFromParent_Done,
     /* 1149050 */   // Label 16788: @1149050
     /* 1149050 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1149130), // Rule ID 15440 //
     /* 1149055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149094 */     // MIs[0] round
     /* 1149094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1149107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149129 */     // GIR_Coverage, 15440,
     /* 1149129 */     GIR_EraseRootFromParent_Done,
     /* 1149130 */   // Label 16789: @1149130
     /* 1149130 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149210), // Rule ID 15441 //
     /* 1149135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149174 */     // MIs[0] round
     /* 1149174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1149187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149209 */     // GIR_Coverage, 15441,
     /* 1149209 */     GIR_EraseRootFromParent_Done,
     /* 1149210 */   // Label 16790: @1149210
     /* 1149210 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149290), // Rule ID 15444 //
     /* 1149215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149254 */     // MIs[0] round
     /* 1149254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149289 */     // GIR_Coverage, 15444,
     /* 1149289 */     GIR_EraseRootFromParent_Done,
     /* 1149290 */   // Label 16791: @1149290
     /* 1149290 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149370), // Rule ID 15445 //
     /* 1149295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149334 */     // MIs[0] round
     /* 1149334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149369 */     // GIR_Coverage, 15445,
     /* 1149369 */     GIR_EraseRootFromParent_Done,
     /* 1149370 */   // Label 16792: @1149370
     /* 1149370 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149450), // Rule ID 15448 //
     /* 1149375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149414 */     // MIs[0] round
     /* 1149414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149449 */     // GIR_Coverage, 15448,
     /* 1149449 */     GIR_EraseRootFromParent_Done,
     /* 1149450 */   // Label 16793: @1149450
     /* 1149450 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149530), // Rule ID 15449 //
     /* 1149455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149494 */     // MIs[0] round
     /* 1149494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149529 */     // GIR_Coverage, 15449,
     /* 1149529 */     GIR_EraseRootFromParent_Done,
     /* 1149530 */   // Label 16794: @1149530
     /* 1149530 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149610), // Rule ID 15452 //
     /* 1149535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149574 */     // MIs[0] round
     /* 1149574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149609 */     // GIR_Coverage, 15452,
     /* 1149609 */     GIR_EraseRootFromParent_Done,
     /* 1149610 */   // Label 16795: @1149610
     /* 1149610 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149690), // Rule ID 15453 //
     /* 1149615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149654 */     // MIs[0] round
     /* 1149654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149689 */     // GIR_Coverage, 15453,
     /* 1149689 */     GIR_EraseRootFromParent_Done,
     /* 1149690 */   // Label 16796: @1149690
     /* 1149690 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149770), // Rule ID 15456 //
     /* 1149695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149734 */     // MIs[0] round
     /* 1149734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149769 */     // GIR_Coverage, 15456,
     /* 1149769 */     GIR_EraseRootFromParent_Done,
     /* 1149770 */   // Label 16797: @1149770
     /* 1149770 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149850), // Rule ID 15457 //
     /* 1149775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149814 */     // MIs[0] round
     /* 1149814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149849 */     // GIR_Coverage, 15457,
     /* 1149849 */     GIR_EraseRootFromParent_Done,
     /* 1149850 */   // Label 16798: @1149850
     /* 1149850 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149930), // Rule ID 15460 //
     /* 1149855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149894 */     // MIs[0] round
     /* 1149894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149929 */     // GIR_Coverage, 15460,
     /* 1149929 */     GIR_EraseRootFromParent_Done,
     /* 1149930 */   // Label 16799: @1149930
     /* 1149930 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1150010), // Rule ID 15461 //
     /* 1149935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149974 */     // MIs[0] round
     /* 1149974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150009 */     // GIR_Coverage, 15461,
     /* 1150009 */     GIR_EraseRootFromParent_Done,
     /* 1150010 */   // Label 16800: @1150010
     /* 1150010 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1150090), // Rule ID 15464 //
     /* 1150015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150054 */     // MIs[0] round
     /* 1150054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1150067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150089 */     // GIR_Coverage, 15464,
     /* 1150089 */     GIR_EraseRootFromParent_Done,
     /* 1150090 */   // Label 16801: @1150090
     /* 1150090 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150170), // Rule ID 15465 //
     /* 1150095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150134 */     // MIs[0] round
     /* 1150134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1150147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150169 */     // GIR_Coverage, 15465,
     /* 1150169 */     GIR_EraseRootFromParent_Done,
     /* 1150170 */   // Label 16802: @1150170
     /* 1150170 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150250), // Rule ID 15468 //
     /* 1150175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150214 */     // MIs[0] round
     /* 1150214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150249 */     // GIR_Coverage, 15468,
     /* 1150249 */     GIR_EraseRootFromParent_Done,
     /* 1150250 */   // Label 16803: @1150250
     /* 1150250 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150330), // Rule ID 15469 //
     /* 1150255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150294 */     // MIs[0] round
     /* 1150294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150329 */     // GIR_Coverage, 15469,
     /* 1150329 */     GIR_EraseRootFromParent_Done,
     /* 1150330 */   // Label 16804: @1150330
     /* 1150330 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150410), // Rule ID 15472 //
     /* 1150335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150374 */     // MIs[0] round
     /* 1150374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150409 */     // GIR_Coverage, 15472,
     /* 1150409 */     GIR_EraseRootFromParent_Done,
     /* 1150410 */   // Label 16805: @1150410
     /* 1150410 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150490), // Rule ID 15473 //
     /* 1150415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150454 */     // MIs[0] round
     /* 1150454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150489 */     // GIR_Coverage, 15473,
     /* 1150489 */     GIR_EraseRootFromParent_Done,
     /* 1150490 */   // Label 16806: @1150490
     /* 1150490 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150570), // Rule ID 15476 //
     /* 1150495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150534 */     // MIs[0] round
     /* 1150534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150569 */     // GIR_Coverage, 15476,
     /* 1150569 */     GIR_EraseRootFromParent_Done,
     /* 1150570 */   // Label 16807: @1150570
     /* 1150570 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150650), // Rule ID 15477 //
     /* 1150575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150614 */     // MIs[0] round
     /* 1150614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150624 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150649 */     // GIR_Coverage, 15477,
     /* 1150649 */     GIR_EraseRootFromParent_Done,
     /* 1150650 */   // Label 16808: @1150650
     /* 1150650 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150730), // Rule ID 15480 //
     /* 1150655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150694 */     // MIs[0] round
     /* 1150694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150729 */     // GIR_Coverage, 15480,
     /* 1150729 */     GIR_EraseRootFromParent_Done,
     /* 1150730 */   // Label 16809: @1150730
     /* 1150730 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150810), // Rule ID 15481 //
     /* 1150735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150774 */     // MIs[0] round
     /* 1150774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150809 */     // GIR_Coverage, 15481,
     /* 1150809 */     GIR_EraseRootFromParent_Done,
     /* 1150810 */   // Label 16810: @1150810
     /* 1150810 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150890), // Rule ID 15484 //
     /* 1150815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150854 */     // MIs[0] round
     /* 1150854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150889 */     // GIR_Coverage, 15484,
     /* 1150889 */     GIR_EraseRootFromParent_Done,
     /* 1150890 */   // Label 16811: @1150890
     /* 1150890 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150970), // Rule ID 15485 //
     /* 1150895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150934 */     // MIs[0] round
     /* 1150934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150969 */     // GIR_Coverage, 15485,
     /* 1150969 */     GIR_EraseRootFromParent_Done,
     /* 1150970 */   // Label 16812: @1150970
     /* 1150970 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1151050), // Rule ID 15488 //
     /* 1150975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151014 */     // MIs[0] round
     /* 1151014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151049 */     // GIR_Coverage, 15488,
     /* 1151049 */     GIR_EraseRootFromParent_Done,
     /* 1151050 */   // Label 16813: @1151050
     /* 1151050 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151130), // Rule ID 15489 //
     /* 1151055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151094 */     // MIs[0] round
     /* 1151094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151129 */     // GIR_Coverage, 15489,
     /* 1151129 */     GIR_EraseRootFromParent_Done,
     /* 1151130 */   // Label 16814: @1151130
     /* 1151130 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151210), // Rule ID 15492 //
     /* 1151135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151174 */     // MIs[0] round
     /* 1151174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151209 */     // GIR_Coverage, 15492,
     /* 1151209 */     GIR_EraseRootFromParent_Done,
     /* 1151210 */   // Label 16815: @1151210
     /* 1151210 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151290), // Rule ID 15493 //
     /* 1151215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151254 */     // MIs[0] round
     /* 1151254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151289 */     // GIR_Coverage, 15493,
     /* 1151289 */     GIR_EraseRootFromParent_Done,
     /* 1151290 */   // Label 16816: @1151290
     /* 1151290 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151370), // Rule ID 15496 //
     /* 1151295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151334 */     // MIs[0] round
     /* 1151334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151369 */     // GIR_Coverage, 15496,
     /* 1151369 */     GIR_EraseRootFromParent_Done,
     /* 1151370 */   // Label 16817: @1151370
     /* 1151370 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151450), // Rule ID 15497 //
     /* 1151375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151414 */     // MIs[0] round
     /* 1151414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151449 */     // GIR_Coverage, 15497,
     /* 1151449 */     GIR_EraseRootFromParent_Done,
     /* 1151450 */   // Label 16818: @1151450
     /* 1151450 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151530), // Rule ID 15500 //
     /* 1151455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151494 */     // MIs[0] round
     /* 1151494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151529 */     // GIR_Coverage, 15500,
     /* 1151529 */     GIR_EraseRootFromParent_Done,
     /* 1151530 */   // Label 16819: @1151530
     /* 1151530 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151610), // Rule ID 15501 //
     /* 1151535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151574 */     // MIs[0] round
     /* 1151574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151609 */     // GIR_Coverage, 15501,
     /* 1151609 */     GIR_EraseRootFromParent_Done,
     /* 1151610 */   // Label 16820: @1151610
     /* 1151610 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151690), // Rule ID 15504 //
     /* 1151615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151654 */     // MIs[0] round
     /* 1151654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151689 */     // GIR_Coverage, 15504,
     /* 1151689 */     GIR_EraseRootFromParent_Done,
     /* 1151690 */   // Label 16821: @1151690
     /* 1151690 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151770), // Rule ID 15505 //
     /* 1151695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151734 */     // MIs[0] round
     /* 1151734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151769 */     // GIR_Coverage, 15505,
     /* 1151769 */     GIR_EraseRootFromParent_Done,
     /* 1151770 */   // Label 16822: @1151770
     /* 1151770 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151850), // Rule ID 15508 //
     /* 1151775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151814 */     // MIs[0] round
     /* 1151814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151849 */     // GIR_Coverage, 15508,
     /* 1151849 */     GIR_EraseRootFromParent_Done,
     /* 1151850 */   // Label 16823: @1151850
     /* 1151850 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151930), // Rule ID 15509 //
     /* 1151855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151894 */     // MIs[0] round
     /* 1151894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151929 */     // GIR_Coverage, 15509,
     /* 1151929 */     GIR_EraseRootFromParent_Done,
     /* 1151930 */   // Label 16824: @1151930
     /* 1151930 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1152010), // Rule ID 15512 //
     /* 1151935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151974 */     // MIs[0] round
     /* 1151974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152009 */     // GIR_Coverage, 15512,
     /* 1152009 */     GIR_EraseRootFromParent_Done,
     /* 1152010 */   // Label 16825: @1152010
     /* 1152010 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1152090), // Rule ID 15513 //
     /* 1152015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152054 */     // MIs[0] round
     /* 1152054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1152067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152089 */     // GIR_Coverage, 15513,
     /* 1152089 */     GIR_EraseRootFromParent_Done,
     /* 1152090 */   // Label 16826: @1152090
     /* 1152090 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152173), // Rule ID 15516 //
     /* 1152095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1152115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152134 */     // MIs[0] round
     /* 1152134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1152147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152172 */     // GIR_Coverage, 15516,
     /* 1152172 */     GIR_EraseRootFromParent_Done,
     /* 1152173 */   // Label 16827: @1152173
     /* 1152173 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152256), // Rule ID 15517 //
     /* 1152178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1152198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152217 */     // MIs[0] round
     /* 1152217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1152230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152255 */     // GIR_Coverage, 15517,
     /* 1152255 */     GIR_EraseRootFromParent_Done,
     /* 1152256 */   // Label 16828: @1152256
     /* 1152256 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152339), // Rule ID 15520 //
     /* 1152261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1152281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152300 */     // MIs[0] round
     /* 1152300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152338 */     // GIR_Coverage, 15520,
     /* 1152338 */     GIR_EraseRootFromParent_Done,
     /* 1152339 */   // Label 16829: @1152339
     /* 1152339 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152422), // Rule ID 15521 //
     /* 1152344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1152364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152383 */     // MIs[0] round
     /* 1152383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152421 */     // GIR_Coverage, 15521,
     /* 1152421 */     GIR_EraseRootFromParent_Done,
     /* 1152422 */   // Label 16830: @1152422
     /* 1152422 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152505), // Rule ID 15524 //
     /* 1152427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152466 */     // MIs[0] round
     /* 1152466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152504 */     // GIR_Coverage, 15524,
     /* 1152504 */     GIR_EraseRootFromParent_Done,
     /* 1152505 */   // Label 16831: @1152505
     /* 1152505 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152588), // Rule ID 15525 //
     /* 1152510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152549 */     // MIs[0] round
     /* 1152549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152587 */     // GIR_Coverage, 15525,
     /* 1152587 */     GIR_EraseRootFromParent_Done,
     /* 1152588 */   // Label 16832: @1152588
     /* 1152588 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152671), // Rule ID 15528 //
     /* 1152593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152632 */     // MIs[0] round
     /* 1152632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152670 */     // GIR_Coverage, 15528,
     /* 1152670 */     GIR_EraseRootFromParent_Done,
     /* 1152671 */   // Label 16833: @1152671
     /* 1152671 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152754), // Rule ID 15529 //
     /* 1152676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152715 */     // MIs[0] round
     /* 1152715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152753 */     // GIR_Coverage, 15529,
     /* 1152753 */     GIR_EraseRootFromParent_Done,
     /* 1152754 */   // Label 16834: @1152754
     /* 1152754 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152837), // Rule ID 15532 //
     /* 1152759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152798 */     // MIs[0] round
     /* 1152798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152836 */     // GIR_Coverage, 15532,
     /* 1152836 */     GIR_EraseRootFromParent_Done,
     /* 1152837 */   // Label 16835: @1152837
     /* 1152837 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152920), // Rule ID 15533 //
     /* 1152842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152881 */     // MIs[0] round
     /* 1152881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152919 */     // GIR_Coverage, 15533,
     /* 1152919 */     GIR_EraseRootFromParent_Done,
     /* 1152920 */   // Label 16836: @1152920
     /* 1152920 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1153003), // Rule ID 15536 //
     /* 1152925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152964 */     // MIs[0] round
     /* 1152964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153002 */     // GIR_Coverage, 15536,
     /* 1153002 */     GIR_EraseRootFromParent_Done,
     /* 1153003 */   // Label 16837: @1153003
     /* 1153003 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1153086), // Rule ID 15537 //
     /* 1153008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1153028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153047 */     // MIs[0] round
     /* 1153047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153057 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1153060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153085 */     // GIR_Coverage, 15537,
     /* 1153085 */     GIR_EraseRootFromParent_Done,
     /* 1153086 */   // Label 16838: @1153086
     /* 1153086 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153169), // Rule ID 15540 //
     /* 1153091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1153111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153130 */     // MIs[0] round
     /* 1153130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153168 */     // GIR_Coverage, 15540,
     /* 1153168 */     GIR_EraseRootFromParent_Done,
     /* 1153169 */   // Label 16839: @1153169
     /* 1153169 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153252), // Rule ID 15541 //
     /* 1153174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1153194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153213 */     // MIs[0] round
     /* 1153213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153251 */     // GIR_Coverage, 15541,
     /* 1153251 */     GIR_EraseRootFromParent_Done,
     /* 1153252 */   // Label 16840: @1153252
     /* 1153252 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153335), // Rule ID 15544 //
     /* 1153257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153296 */     // MIs[0] round
     /* 1153296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153334 */     // GIR_Coverage, 15544,
     /* 1153334 */     GIR_EraseRootFromParent_Done,
     /* 1153335 */   // Label 16841: @1153335
     /* 1153335 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153418), // Rule ID 15545 //
     /* 1153340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153379 */     // MIs[0] round
     /* 1153379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153417 */     // GIR_Coverage, 15545,
     /* 1153417 */     GIR_EraseRootFromParent_Done,
     /* 1153418 */   // Label 16842: @1153418
     /* 1153418 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153501), // Rule ID 15548 //
     /* 1153423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153462 */     // MIs[0] round
     /* 1153462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153500 */     // GIR_Coverage, 15548,
     /* 1153500 */     GIR_EraseRootFromParent_Done,
     /* 1153501 */   // Label 16843: @1153501
     /* 1153501 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153584), // Rule ID 15549 //
     /* 1153506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153545 */     // MIs[0] round
     /* 1153545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153583 */     // GIR_Coverage, 15549,
     /* 1153583 */     GIR_EraseRootFromParent_Done,
     /* 1153584 */   // Label 16844: @1153584
     /* 1153584 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153667), // Rule ID 15552 //
     /* 1153589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153628 */     // MIs[0] round
     /* 1153628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153666 */     // GIR_Coverage, 15552,
     /* 1153666 */     GIR_EraseRootFromParent_Done,
     /* 1153667 */   // Label 16845: @1153667
     /* 1153667 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153750), // Rule ID 15553 //
     /* 1153672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153711 */     // MIs[0] round
     /* 1153711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153749 */     // GIR_Coverage, 15553,
     /* 1153749 */     GIR_EraseRootFromParent_Done,
     /* 1153750 */   // Label 16846: @1153750
     /* 1153750 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153833), // Rule ID 15556 //
     /* 1153755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153794 */     // MIs[0] round
     /* 1153794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153832 */     // GIR_Coverage, 15556,
     /* 1153832 */     GIR_EraseRootFromParent_Done,
     /* 1153833 */   // Label 16847: @1153833
     /* 1153833 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153916), // Rule ID 15557 //
     /* 1153838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153877 */     // MIs[0] round
     /* 1153877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153887 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153915 */     // GIR_Coverage, 15557,
     /* 1153915 */     GIR_EraseRootFromParent_Done,
     /* 1153916 */   // Label 16848: @1153916
     /* 1153916 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153999), // Rule ID 15560 //
     /* 1153921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153960 */     // MIs[0] round
     /* 1153960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153970 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153998 */     // GIR_Coverage, 15560,
     /* 1153998 */     GIR_EraseRootFromParent_Done,
     /* 1153999 */   // Label 16849: @1153999
     /* 1153999 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1154082), // Rule ID 15561 //
     /* 1154004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1154024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154043 */     // MIs[0] round
     /* 1154043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154053 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154081 */     // GIR_Coverage, 15561,
     /* 1154081 */     GIR_EraseRootFromParent_Done,
     /* 1154082 */   // Label 16850: @1154082
     /* 1154082 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154165), // Rule ID 15564 //
     /* 1154087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1154107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154126 */     // MIs[0] round
     /* 1154126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154164 */     // GIR_Coverage, 15564,
     /* 1154164 */     GIR_EraseRootFromParent_Done,
     /* 1154165 */   // Label 16851: @1154165
     /* 1154165 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154248), // Rule ID 15565 //
     /* 1154170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1154190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154209 */     // MIs[0] round
     /* 1154209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154247 */     // GIR_Coverage, 15565,
     /* 1154247 */     GIR_EraseRootFromParent_Done,
     /* 1154248 */   // Label 16852: @1154248
     /* 1154248 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154331), // Rule ID 15568 //
     /* 1154253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1154264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1154267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1154270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1154273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154292 */     // MIs[0] round
     /* 1154292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154330 */     // GIR_Coverage, 15568,
     /* 1154330 */     GIR_EraseRootFromParent_Done,
     /* 1154331 */   // Label 16853: @1154331
     /* 1154331 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154414), // Rule ID 15569 //
     /* 1154336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1154347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1154350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1154353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1154356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154375 */     // MIs[0] round
     /* 1154375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154413 */     // GIR_Coverage, 15569,
     /* 1154413 */     GIR_EraseRootFromParent_Done,
     /* 1154414 */   // Label 16854: @1154414
     /* 1154414 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154497), // Rule ID 15572 //
     /* 1154419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154458 */     // MIs[0] round
     /* 1154458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154496 */     // GIR_Coverage, 15572,
     /* 1154496 */     GIR_EraseRootFromParent_Done,
     /* 1154497 */   // Label 16855: @1154497
     /* 1154497 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154580), // Rule ID 15573 //
     /* 1154502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154541 */     // MIs[0] round
     /* 1154541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154551 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154579 */     // GIR_Coverage, 15573,
     /* 1154579 */     GIR_EraseRootFromParent_Done,
     /* 1154580 */   // Label 16856: @1154580
     /* 1154580 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154663), // Rule ID 15576 //
     /* 1154585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154624 */     // MIs[0] round
     /* 1154624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154662 */     // GIR_Coverage, 15576,
     /* 1154662 */     GIR_EraseRootFromParent_Done,
     /* 1154663 */   // Label 16857: @1154663
     /* 1154663 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154746), // Rule ID 15577 //
     /* 1154668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154707 */     // MIs[0] round
     /* 1154707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154745 */     // GIR_Coverage, 15577,
     /* 1154745 */     GIR_EraseRootFromParent_Done,
     /* 1154746 */   // Label 16858: @1154746
     /* 1154746 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154829), // Rule ID 15580 //
     /* 1154751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154790 */     // MIs[0] round
     /* 1154790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154828 */     // GIR_Coverage, 15580,
     /* 1154828 */     GIR_EraseRootFromParent_Done,
     /* 1154829 */   // Label 16859: @1154829
     /* 1154829 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154912), // Rule ID 15581 //
     /* 1154834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154873 */     // MIs[0] round
     /* 1154873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154911 */     // GIR_Coverage, 15581,
     /* 1154911 */     GIR_EraseRootFromParent_Done,
     /* 1154912 */   // Label 16860: @1154912
     /* 1154912 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154995), // Rule ID 15584 //
     /* 1154917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154956 */     // MIs[0] round
     /* 1154956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154994 */     // GIR_Coverage, 15584,
     /* 1154994 */     GIR_EraseRootFromParent_Done,
     /* 1154995 */   // Label 16861: @1154995
     /* 1154995 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1155078), // Rule ID 15585 //
     /* 1155000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1155020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155039 */     // MIs[0] round
     /* 1155039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1155052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155077 */     // GIR_Coverage, 15585,
     /* 1155077 */     GIR_EraseRootFromParent_Done,
     /* 1155078 */   // Label 16862: @1155078
     /* 1155078 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155161), // Rule ID 15588 //
     /* 1155083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1155094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1155097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1155100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155122 */     // MIs[0] round
     /* 1155122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1155135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155160 */     // GIR_Coverage, 15588,
     /* 1155160 */     GIR_EraseRootFromParent_Done,
     /* 1155161 */   // Label 16863: @1155161
     /* 1155161 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155244), // Rule ID 15589 //
     /* 1155166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1155177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1155180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1155183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155205 */     // MIs[0] round
     /* 1155205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155215 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1155218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155243 */     // GIR_Coverage, 15589,
     /* 1155243 */     GIR_EraseRootFromParent_Done,
     /* 1155244 */   // Label 16864: @1155244
     /* 1155244 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155327), // Rule ID 15592 //
     /* 1155249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1155260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1155263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155288 */     // MIs[0] round
     /* 1155288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155326 */     // GIR_Coverage, 15592,
     /* 1155326 */     GIR_EraseRootFromParent_Done,
     /* 1155327 */   // Label 16865: @1155327
     /* 1155327 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155410), // Rule ID 15593 //
     /* 1155332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1155343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1155346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155371 */     // MIs[0] round
     /* 1155371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155381 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155409 */     // GIR_Coverage, 15593,
     /* 1155409 */     GIR_EraseRootFromParent_Done,
     /* 1155410 */   // Label 16866: @1155410
     /* 1155410 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155493), // Rule ID 15596 //
     /* 1155415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155454 */     // MIs[0] round
     /* 1155454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155492 */     // GIR_Coverage, 15596,
     /* 1155492 */     GIR_EraseRootFromParent_Done,
     /* 1155493 */   // Label 16867: @1155493
     /* 1155493 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155576), // Rule ID 15597 //
     /* 1155498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155537 */     // MIs[0] round
     /* 1155537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155575 */     // GIR_Coverage, 15597,
     /* 1155575 */     GIR_EraseRootFromParent_Done,
     /* 1155576 */   // Label 16868: @1155576
     /* 1155576 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155659), // Rule ID 15600 //
     /* 1155581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155620 */     // MIs[0] round
     /* 1155620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155658 */     // GIR_Coverage, 15600,
     /* 1155658 */     GIR_EraseRootFromParent_Done,
     /* 1155659 */   // Label 16869: @1155659
     /* 1155659 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155742), // Rule ID 15601 //
     /* 1155664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155703 */     // MIs[0] round
     /* 1155703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155713 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155741 */     // GIR_Coverage, 15601,
     /* 1155741 */     GIR_EraseRootFromParent_Done,
     /* 1155742 */   // Label 16870: @1155742
     /* 1155742 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155825), // Rule ID 15604 //
     /* 1155747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155786 */     // MIs[0] round
     /* 1155786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155824 */     // GIR_Coverage, 15604,
     /* 1155824 */     GIR_EraseRootFromParent_Done,
     /* 1155825 */   // Label 16871: @1155825
     /* 1155825 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155908), // Rule ID 15605 //
     /* 1155830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155869 */     // MIs[0] round
     /* 1155869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155907 */     // GIR_Coverage, 15605,
     /* 1155907 */     GIR_EraseRootFromParent_Done,
     /* 1155908 */   // Label 16872: @1155908
     /* 1155908 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155991), // Rule ID 15608 //
     /* 1155913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155952 */     // MIs[0] round
     /* 1155952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155990 */     // GIR_Coverage, 15608,
     /* 1155990 */     GIR_EraseRootFromParent_Done,
     /* 1155991 */   // Label 16873: @1155991
     /* 1155991 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1156074), // Rule ID 15609 //
     /* 1155996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1156007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1156010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1156013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156035 */     // MIs[0] round
     /* 1156035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1156048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156073 */     // GIR_Coverage, 15609,
     /* 1156073 */     GIR_EraseRootFromParent_Done,
     /* 1156074 */   // Label 16874: @1156074
     /* 1156074 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156157), // Rule ID 15612 //
     /* 1156079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1156090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1156093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1156096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156118 */     // MIs[0] round
     /* 1156118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156156 */     // GIR_Coverage, 15612,
     /* 1156156 */     GIR_EraseRootFromParent_Done,
     /* 1156157 */   // Label 16875: @1156157
     /* 1156157 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156240), // Rule ID 15613 //
     /* 1156162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1156173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1156176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1156179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156201 */     // MIs[0] round
     /* 1156201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156239 */     // GIR_Coverage, 15613,
     /* 1156239 */     GIR_EraseRootFromParent_Done,
     /* 1156240 */   // Label 16876: @1156240
     /* 1156240 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156323), // Rule ID 15616 //
     /* 1156245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156284 */     // MIs[0] round
     /* 1156284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156322 */     // GIR_Coverage, 15616,
     /* 1156322 */     GIR_EraseRootFromParent_Done,
     /* 1156323 */   // Label 16877: @1156323
     /* 1156323 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156406), // Rule ID 15617 //
     /* 1156328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156367 */     // MIs[0] round
     /* 1156367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156405 */     // GIR_Coverage, 15617,
     /* 1156405 */     GIR_EraseRootFromParent_Done,
     /* 1156406 */   // Label 16878: @1156406
     /* 1156406 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156489), // Rule ID 15620 //
     /* 1156411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156450 */     // MIs[0] round
     /* 1156450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156488 */     // GIR_Coverage, 15620,
     /* 1156488 */     GIR_EraseRootFromParent_Done,
     /* 1156489 */   // Label 16879: @1156489
     /* 1156489 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156572), // Rule ID 15621 //
     /* 1156494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156533 */     // MIs[0] round
     /* 1156533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156571 */     // GIR_Coverage, 15621,
     /* 1156571 */     GIR_EraseRootFromParent_Done,
     /* 1156572 */   // Label 16880: @1156572
     /* 1156572 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156655), // Rule ID 15624 //
     /* 1156577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156616 */     // MIs[0] round
     /* 1156616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156654 */     // GIR_Coverage, 15624,
     /* 1156654 */     GIR_EraseRootFromParent_Done,
     /* 1156655 */   // Label 16881: @1156655
     /* 1156655 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156738), // Rule ID 15625 //
     /* 1156660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156699 */     // MIs[0] round
     /* 1156699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156737 */     // GIR_Coverage, 15625,
     /* 1156737 */     GIR_EraseRootFromParent_Done,
     /* 1156738 */   // Label 16882: @1156738
     /* 1156738 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156821), // Rule ID 15628 //
     /* 1156743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156782 */     // MIs[0] round
     /* 1156782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156820 */     // GIR_Coverage, 15628,
     /* 1156820 */     GIR_EraseRootFromParent_Done,
     /* 1156821 */   // Label 16883: @1156821
     /* 1156821 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156904), // Rule ID 15629 //
     /* 1156826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156865 */     // MIs[0] round
     /* 1156865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156875 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156903 */     // GIR_Coverage, 15629,
     /* 1156903 */     GIR_EraseRootFromParent_Done,
     /* 1156904 */   // Label 16884: @1156904
     /* 1156904 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156987), // Rule ID 15632 //
     /* 1156909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156948 */     // MIs[0] round
     /* 1156948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156958 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156986 */     // GIR_Coverage, 15632,
     /* 1156986 */     GIR_EraseRootFromParent_Done,
     /* 1156987 */   // Label 16885: @1156987
     /* 1156987 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1157070), // Rule ID 15633 //
     /* 1156992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1157003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1157006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1157009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157031 */     // MIs[0] round
     /* 1157031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157069 */     // GIR_Coverage, 15633,
     /* 1157069 */     GIR_EraseRootFromParent_Done,
     /* 1157070 */   // Label 16886: @1157070
     /* 1157070 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1157153), // Rule ID 15636 //
     /* 1157075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1157086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1157089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157114 */     // MIs[0] round
     /* 1157114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157152 */     // GIR_Coverage, 15636,
     /* 1157152 */     GIR_EraseRootFromParent_Done,
     /* 1157153 */   // Label 16887: @1157153
     /* 1157153 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157236), // Rule ID 15637 //
     /* 1157158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1157169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1157172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157197 */     // MIs[0] round
     /* 1157197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157207 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157235 */     // GIR_Coverage, 15637,
     /* 1157235 */     GIR_EraseRootFromParent_Done,
     /* 1157236 */   // Label 16888: @1157236
     /* 1157236 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157319), // Rule ID 15640 //
     /* 1157241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1157252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1157255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157280 */     // MIs[0] round
     /* 1157280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157318 */     // GIR_Coverage, 15640,
     /* 1157318 */     GIR_EraseRootFromParent_Done,
     /* 1157319 */   // Label 16889: @1157319
     /* 1157319 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157402), // Rule ID 15641 //
     /* 1157324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1157335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1157338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157363 */     // MIs[0] round
     /* 1157363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157401 */     // GIR_Coverage, 15641,
     /* 1157401 */     GIR_EraseRootFromParent_Done,
     /* 1157402 */   // Label 16890: @1157402
     /* 1157402 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157485), // Rule ID 15644 //
     /* 1157407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157446 */     // MIs[0] round
     /* 1157446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157484 */     // GIR_Coverage, 15644,
     /* 1157484 */     GIR_EraseRootFromParent_Done,
     /* 1157485 */   // Label 16891: @1157485
     /* 1157485 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157568), // Rule ID 15645 //
     /* 1157490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157529 */     // MIs[0] round
     /* 1157529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157567 */     // GIR_Coverage, 15645,
     /* 1157567 */     GIR_EraseRootFromParent_Done,
     /* 1157568 */   // Label 16892: @1157568
     /* 1157568 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157651), // Rule ID 15648 //
     /* 1157573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157612 */     // MIs[0] round
     /* 1157612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157650 */     // GIR_Coverage, 15648,
     /* 1157650 */     GIR_EraseRootFromParent_Done,
     /* 1157651 */   // Label 16893: @1157651
     /* 1157651 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157734), // Rule ID 15649 //
     /* 1157656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157695 */     // MIs[0] round
     /* 1157695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157733 */     // GIR_Coverage, 15649,
     /* 1157733 */     GIR_EraseRootFromParent_Done,
     /* 1157734 */   // Label 16894: @1157734
     /* 1157734 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157817), // Rule ID 15652 //
     /* 1157739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157778 */     // MIs[0] round
     /* 1157778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157816 */     // GIR_Coverage, 15652,
     /* 1157816 */     GIR_EraseRootFromParent_Done,
     /* 1157817 */   // Label 16895: @1157817
     /* 1157817 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157900), // Rule ID 15653 //
     /* 1157822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157861 */     // MIs[0] round
     /* 1157861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157899 */     // GIR_Coverage, 15653,
     /* 1157899 */     GIR_EraseRootFromParent_Done,
     /* 1157900 */   // Label 16896: @1157900
     /* 1157900 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157983), // Rule ID 15656 //
     /* 1157905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157944 */     // MIs[0] round
     /* 1157944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157982 */     // GIR_Coverage, 15656,
     /* 1157982 */     GIR_EraseRootFromParent_Done,
     /* 1157983 */   // Label 16897: @1157983
     /* 1157983 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1158066), // Rule ID 15657 //
     /* 1157988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1158002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1158005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158027 */     // MIs[0] round
     /* 1158027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158037 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158065 */     // GIR_Coverage, 15657,
     /* 1158065 */     GIR_EraseRootFromParent_Done,
     /* 1158066 */   // Label 16898: @1158066
     /* 1158066 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1158149), // Rule ID 15660 //
     /* 1158071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158110 */     // MIs[0] round
     /* 1158110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158148 */     // GIR_Coverage, 15660,
     /* 1158148 */     GIR_EraseRootFromParent_Done,
     /* 1158149 */   // Label 16899: @1158149
     /* 1158149 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158232), // Rule ID 15661 //
     /* 1158154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158193 */     // MIs[0] round
     /* 1158193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158231 */     // GIR_Coverage, 15661,
     /* 1158231 */     GIR_EraseRootFromParent_Done,
     /* 1158232 */   // Label 16900: @1158232
     /* 1158232 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158315), // Rule ID 15664 //
     /* 1158237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1158257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158276 */     // MIs[0] round
     /* 1158276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158314 */     // GIR_Coverage, 15664,
     /* 1158314 */     GIR_EraseRootFromParent_Done,
     /* 1158315 */   // Label 16901: @1158315
     /* 1158315 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158398), // Rule ID 15665 //
     /* 1158320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1158340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158359 */     // MIs[0] round
     /* 1158359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158397 */     // GIR_Coverage, 15665,
     /* 1158397 */     GIR_EraseRootFromParent_Done,
     /* 1158398 */   // Label 16902: @1158398
     /* 1158398 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158481), // Rule ID 15668 //
     /* 1158403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158442 */     // MIs[0] round
     /* 1158442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158480 */     // GIR_Coverage, 15668,
     /* 1158480 */     GIR_EraseRootFromParent_Done,
     /* 1158481 */   // Label 16903: @1158481
     /* 1158481 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158564), // Rule ID 15669 //
     /* 1158486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158525 */     // MIs[0] round
     /* 1158525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158563 */     // GIR_Coverage, 15669,
     /* 1158563 */     GIR_EraseRootFromParent_Done,
     /* 1158564 */   // Label 16904: @1158564
     /* 1158564 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158647), // Rule ID 15672 //
     /* 1158569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158608 */     // MIs[0] round
     /* 1158608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158646 */     // GIR_Coverage, 15672,
     /* 1158646 */     GIR_EraseRootFromParent_Done,
     /* 1158647 */   // Label 16905: @1158647
     /* 1158647 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158730), // Rule ID 15673 //
     /* 1158652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158691 */     // MIs[0] round
     /* 1158691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158729 */     // GIR_Coverage, 15673,
     /* 1158729 */     GIR_EraseRootFromParent_Done,
     /* 1158730 */   // Label 16906: @1158730
     /* 1158730 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158813), // Rule ID 15676 //
     /* 1158735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158774 */     // MIs[0] round
     /* 1158774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158812 */     // GIR_Coverage, 15676,
     /* 1158812 */     GIR_EraseRootFromParent_Done,
     /* 1158813 */   // Label 16907: @1158813
     /* 1158813 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158896), // Rule ID 15677 //
     /* 1158818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158857 */     // MIs[0] round
     /* 1158857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158895 */     // GIR_Coverage, 15677,
     /* 1158895 */     GIR_EraseRootFromParent_Done,
     /* 1158896 */   // Label 16908: @1158896
     /* 1158896 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158979), // Rule ID 15680 //
     /* 1158901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158940 */     // MIs[0] round
     /* 1158940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158978 */     // GIR_Coverage, 15680,
     /* 1158978 */     GIR_EraseRootFromParent_Done,
     /* 1158979 */   // Label 16909: @1158979
     /* 1158979 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1159062), // Rule ID 15681 //
     /* 1158984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1159001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159023 */     // MIs[0] round
     /* 1159023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1159036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159061 */     // GIR_Coverage, 15681,
     /* 1159061 */     GIR_EraseRootFromParent_Done,
     /* 1159062 */   // Label 16910: @1159062
     /* 1159062 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1159145), // Rule ID 15684 //
     /* 1159067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1159070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159106 */     // MIs[0] round
     /* 1159106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1159119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159144 */     // GIR_Coverage, 15684,
     /* 1159144 */     GIR_EraseRootFromParent_Done,
     /* 1159145 */   // Label 16911: @1159145
     /* 1159145 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1159228), // Rule ID 15685 //
     /* 1159150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1159153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159189 */     // MIs[0] round
     /* 1159189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1159202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159227 */     // GIR_Coverage, 15685,
     /* 1159227 */     GIR_EraseRootFromParent_Done,
     /* 1159228 */   // Label 16912: @1159228
     /* 1159228 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159311), // Rule ID 15688 //
     /* 1159233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1159236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1159244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1159247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1159250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159272 */     // MIs[0] round
     /* 1159272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1159285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159310 */     // GIR_Coverage, 15688,
     /* 1159310 */     GIR_EraseRootFromParent_Done,
     /* 1159311 */   // Label 16913: @1159311
     /* 1159311 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159394), // Rule ID 15689 //
     /* 1159316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1159319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1159327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1159330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1159333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159355 */     // MIs[0] round
     /* 1159355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159365 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1159368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159393 */     // GIR_Coverage, 15689,
     /* 1159393 */     GIR_EraseRootFromParent_Done,
     /* 1159394 */   // Label 16914: @1159394
     /* 1159394 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159474), // Rule ID 15692 //
     /* 1159399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159438 */     // MIs[0] round
     /* 1159438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159448 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159473 */     // GIR_Coverage, 15692,
     /* 1159473 */     GIR_EraseRootFromParent_Done,
     /* 1159474 */   // Label 16915: @1159474
     /* 1159474 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159554), // Rule ID 15693 //
     /* 1159479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159518 */     // MIs[0] round
     /* 1159518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159553 */     // GIR_Coverage, 15693,
     /* 1159553 */     GIR_EraseRootFromParent_Done,
     /* 1159554 */   // Label 16916: @1159554
     /* 1159554 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159634), // Rule ID 15696 //
     /* 1159559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159598 */     // MIs[0] round
     /* 1159598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159633 */     // GIR_Coverage, 15696,
     /* 1159633 */     GIR_EraseRootFromParent_Done,
     /* 1159634 */   // Label 16917: @1159634
     /* 1159634 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159714), // Rule ID 15697 //
     /* 1159639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159678 */     // MIs[0] round
     /* 1159678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159713 */     // GIR_Coverage, 15697,
     /* 1159713 */     GIR_EraseRootFromParent_Done,
     /* 1159714 */   // Label 16918: @1159714
     /* 1159714 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159794), // Rule ID 15700 //
     /* 1159719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159758 */     // MIs[0] round
     /* 1159758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159793 */     // GIR_Coverage, 15700,
     /* 1159793 */     GIR_EraseRootFromParent_Done,
     /* 1159794 */   // Label 16919: @1159794
     /* 1159794 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159874), // Rule ID 15701 //
     /* 1159799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159838 */     // MIs[0] round
     /* 1159838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159873 */     // GIR_Coverage, 15701,
     /* 1159873 */     GIR_EraseRootFromParent_Done,
     /* 1159874 */   // Label 16920: @1159874
     /* 1159874 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159954), // Rule ID 15704 //
     /* 1159879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159918 */     // MIs[0] round
     /* 1159918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159953 */     // GIR_Coverage, 15704,
     /* 1159953 */     GIR_EraseRootFromParent_Done,
     /* 1159954 */   // Label 16921: @1159954
     /* 1159954 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1160034), // Rule ID 15705 //
     /* 1159959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159998 */     // MIs[0] round
     /* 1159998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1160011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160033 */     // GIR_Coverage, 15705,
     /* 1160033 */     GIR_EraseRootFromParent_Done,
     /* 1160034 */   // Label 16922: @1160034
     /* 1160034 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1160114), // Rule ID 15708 //
     /* 1160039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160078 */     // MIs[0] round
     /* 1160078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160088 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160113 */     // GIR_Coverage, 15708,
     /* 1160113 */     GIR_EraseRootFromParent_Done,
     /* 1160114 */   // Label 16923: @1160114
     /* 1160114 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1160194), // Rule ID 15709 //
     /* 1160119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160158 */     // MIs[0] round
     /* 1160158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160193 */     // GIR_Coverage, 15709,
     /* 1160193 */     GIR_EraseRootFromParent_Done,
     /* 1160194 */   // Label 16924: @1160194
     /* 1160194 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160274), // Rule ID 15712 //
     /* 1160199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1160219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160238 */     // MIs[0] round
     /* 1160238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160273 */     // GIR_Coverage, 15712,
     /* 1160273 */     GIR_EraseRootFromParent_Done,
     /* 1160274 */   // Label 16925: @1160274
     /* 1160274 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160354), // Rule ID 15713 //
     /* 1160279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1160299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160318 */     // MIs[0] round
     /* 1160318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1160331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160353 */     // GIR_Coverage, 15713,
     /* 1160353 */     GIR_EraseRootFromParent_Done,
     /* 1160354 */   // Label 16926: @1160354
     /* 1160354 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160434), // Rule ID 15716 //
     /* 1160359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160398 */     // MIs[0] round
     /* 1160398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160433 */     // GIR_Coverage, 15716,
     /* 1160433 */     GIR_EraseRootFromParent_Done,
     /* 1160434 */   // Label 16927: @1160434
     /* 1160434 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160514), // Rule ID 15717 //
     /* 1160439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160478 */     // MIs[0] round
     /* 1160478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160513 */     // GIR_Coverage, 15717,
     /* 1160513 */     GIR_EraseRootFromParent_Done,
     /* 1160514 */   // Label 16928: @1160514
     /* 1160514 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160594), // Rule ID 15720 //
     /* 1160519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160558 */     // MIs[0] round
     /* 1160558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160593 */     // GIR_Coverage, 15720,
     /* 1160593 */     GIR_EraseRootFromParent_Done,
     /* 1160594 */   // Label 16929: @1160594
     /* 1160594 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160674), // Rule ID 15721 //
     /* 1160599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160638 */     // MIs[0] round
     /* 1160638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160673 */     // GIR_Coverage, 15721,
     /* 1160673 */     GIR_EraseRootFromParent_Done,
     /* 1160674 */   // Label 16930: @1160674
     /* 1160674 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160754), // Rule ID 15724 //
     /* 1160679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160718 */     // MIs[0] round
     /* 1160718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160753 */     // GIR_Coverage, 15724,
     /* 1160753 */     GIR_EraseRootFromParent_Done,
     /* 1160754 */   // Label 16931: @1160754
     /* 1160754 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160834), // Rule ID 15725 //
     /* 1160759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160798 */     // MIs[0] round
     /* 1160798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160833 */     // GIR_Coverage, 15725,
     /* 1160833 */     GIR_EraseRootFromParent_Done,
     /* 1160834 */   // Label 16932: @1160834
     /* 1160834 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160914), // Rule ID 15728 //
     /* 1160839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160878 */     // MIs[0] round
     /* 1160878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160913 */     // GIR_Coverage, 15728,
     /* 1160913 */     GIR_EraseRootFromParent_Done,
     /* 1160914 */   // Label 16933: @1160914
     /* 1160914 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160994), // Rule ID 15729 //
     /* 1160919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160958 */     // MIs[0] round
     /* 1160958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160993 */     // GIR_Coverage, 15729,
     /* 1160993 */     GIR_EraseRootFromParent_Done,
     /* 1160994 */   // Label 16934: @1160994
     /* 1160994 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1161074), // Rule ID 15732 //
     /* 1160999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161038 */     // MIs[0] round
     /* 1161038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161073 */     // GIR_Coverage, 15732,
     /* 1161073 */     GIR_EraseRootFromParent_Done,
     /* 1161074 */   // Label 16935: @1161074
     /* 1161074 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1161154), // Rule ID 15733 //
     /* 1161079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161118 */     // MIs[0] round
     /* 1161118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161153 */     // GIR_Coverage, 15733,
     /* 1161153 */     GIR_EraseRootFromParent_Done,
     /* 1161154 */   // Label 16936: @1161154
     /* 1161154 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1161234), // Rule ID 15736 //
     /* 1161159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161198 */     // MIs[0] round
     /* 1161198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161233 */     // GIR_Coverage, 15736,
     /* 1161233 */     GIR_EraseRootFromParent_Done,
     /* 1161234 */   // Label 16937: @1161234
     /* 1161234 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161314), // Rule ID 15737 //
     /* 1161239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161278 */     // MIs[0] round
     /* 1161278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161313 */     // GIR_Coverage, 15737,
     /* 1161313 */     GIR_EraseRootFromParent_Done,
     /* 1161314 */   // Label 16938: @1161314
     /* 1161314 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161394), // Rule ID 15740 //
     /* 1161319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1161339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161358 */     // MIs[0] round
     /* 1161358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161393 */     // GIR_Coverage, 15740,
     /* 1161393 */     GIR_EraseRootFromParent_Done,
     /* 1161394 */   // Label 16939: @1161394
     /* 1161394 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161474), // Rule ID 15741 //
     /* 1161399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1161419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161438 */     // MIs[0] round
     /* 1161438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161473 */     // GIR_Coverage, 15741,
     /* 1161473 */     GIR_EraseRootFromParent_Done,
     /* 1161474 */   // Label 16940: @1161474
     /* 1161474 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161554), // Rule ID 15744 //
     /* 1161479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161518 */     // MIs[0] round
     /* 1161518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161553 */     // GIR_Coverage, 15744,
     /* 1161553 */     GIR_EraseRootFromParent_Done,
     /* 1161554 */   // Label 16941: @1161554
     /* 1161554 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161634), // Rule ID 15745 //
     /* 1161559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161598 */     // MIs[0] round
     /* 1161598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161633 */     // GIR_Coverage, 15745,
     /* 1161633 */     GIR_EraseRootFromParent_Done,
     /* 1161634 */   // Label 16942: @1161634
     /* 1161634 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161714), // Rule ID 15748 //
     /* 1161639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161678 */     // MIs[0] round
     /* 1161678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161713 */     // GIR_Coverage, 15748,
     /* 1161713 */     GIR_EraseRootFromParent_Done,
     /* 1161714 */   // Label 16943: @1161714
     /* 1161714 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161794), // Rule ID 15749 //
     /* 1161719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161758 */     // MIs[0] round
     /* 1161758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161793 */     // GIR_Coverage, 15749,
     /* 1161793 */     GIR_EraseRootFromParent_Done,
     /* 1161794 */   // Label 16944: @1161794
     /* 1161794 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161874), // Rule ID 15752 //
     /* 1161799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161838 */     // MIs[0] round
     /* 1161838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161873 */     // GIR_Coverage, 15752,
     /* 1161873 */     GIR_EraseRootFromParent_Done,
     /* 1161874 */   // Label 16945: @1161874
     /* 1161874 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161954), // Rule ID 15753 //
     /* 1161879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161918 */     // MIs[0] round
     /* 1161918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161953 */     // GIR_Coverage, 15753,
     /* 1161953 */     GIR_EraseRootFromParent_Done,
     /* 1161954 */   // Label 16946: @1161954
     /* 1161954 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1162034), // Rule ID 15756 //
     /* 1161959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161998 */     // MIs[0] round
     /* 1161998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162033 */     // GIR_Coverage, 15756,
     /* 1162033 */     GIR_EraseRootFromParent_Done,
     /* 1162034 */   // Label 16947: @1162034
     /* 1162034 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1162114), // Rule ID 15757 //
     /* 1162039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1162059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162078 */     // MIs[0] round
     /* 1162078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162113 */     // GIR_Coverage, 15757,
     /* 1162113 */     GIR_EraseRootFromParent_Done,
     /* 1162114 */   // Label 16948: @1162114
     /* 1162114 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1162194), // Rule ID 15760 //
     /* 1162119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162158 */     // MIs[0] round
     /* 1162158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162193 */     // GIR_Coverage, 15760,
     /* 1162193 */     GIR_EraseRootFromParent_Done,
     /* 1162194 */   // Label 16949: @1162194
     /* 1162194 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162274), // Rule ID 15761 //
     /* 1162199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162238 */     // MIs[0] round
     /* 1162238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162273 */     // GIR_Coverage, 15761,
     /* 1162273 */     GIR_EraseRootFromParent_Done,
     /* 1162274 */   // Label 16950: @1162274
     /* 1162274 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162354), // Rule ID 15764 //
     /* 1162279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1162299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162318 */     // MIs[0] round
     /* 1162318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162353 */     // GIR_Coverage, 15764,
     /* 1162353 */     GIR_EraseRootFromParent_Done,
     /* 1162354 */   // Label 16951: @1162354
     /* 1162354 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162434), // Rule ID 15765 //
     /* 1162359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1162379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162398 */     // MIs[0] round
     /* 1162398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162433 */     // GIR_Coverage, 15765,
     /* 1162433 */     GIR_EraseRootFromParent_Done,
     /* 1162434 */   // Label 16952: @1162434
     /* 1162434 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162514), // Rule ID 15768 //
     /* 1162439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162478 */     // MIs[0] round
     /* 1162478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162513 */     // GIR_Coverage, 15768,
     /* 1162513 */     GIR_EraseRootFromParent_Done,
     /* 1162514 */   // Label 16953: @1162514
     /* 1162514 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162594), // Rule ID 15769 //
     /* 1162519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162558 */     // MIs[0] round
     /* 1162558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162593 */     // GIR_Coverage, 15769,
     /* 1162593 */     GIR_EraseRootFromParent_Done,
     /* 1162594 */   // Label 16954: @1162594
     /* 1162594 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162674), // Rule ID 15772 //
     /* 1162599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162638 */     // MIs[0] round
     /* 1162638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162673 */     // GIR_Coverage, 15772,
     /* 1162673 */     GIR_EraseRootFromParent_Done,
     /* 1162674 */   // Label 16955: @1162674
     /* 1162674 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162754), // Rule ID 15773 //
     /* 1162679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162718 */     // MIs[0] round
     /* 1162718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162753 */     // GIR_Coverage, 15773,
     /* 1162753 */     GIR_EraseRootFromParent_Done,
     /* 1162754 */   // Label 16956: @1162754
     /* 1162754 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162834), // Rule ID 15776 //
     /* 1162759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162798 */     // MIs[0] round
     /* 1162798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162833 */     // GIR_Coverage, 15776,
     /* 1162833 */     GIR_EraseRootFromParent_Done,
     /* 1162834 */   // Label 16957: @1162834
     /* 1162834 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162914), // Rule ID 15777 //
     /* 1162839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162878 */     // MIs[0] round
     /* 1162878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162913 */     // GIR_Coverage, 15777,
     /* 1162913 */     GIR_EraseRootFromParent_Done,
     /* 1162914 */   // Label 16958: @1162914
     /* 1162914 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162994), // Rule ID 15780 //
     /* 1162919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162958 */     // MIs[0] round
     /* 1162958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162993 */     // GIR_Coverage, 15780,
     /* 1162993 */     GIR_EraseRootFromParent_Done,
     /* 1162994 */   // Label 16959: @1162994
     /* 1162994 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1163074), // Rule ID 15781 //
     /* 1162999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163038 */     // MIs[0] round
     /* 1163038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1163051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163073 */     // GIR_Coverage, 15781,
     /* 1163073 */     GIR_EraseRootFromParent_Done,
     /* 1163074 */   // Label 16960: @1163074
     /* 1163074 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1163154), // Rule ID 15784 //
     /* 1163079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163118 */     // MIs[0] round
     /* 1163118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163153 */     // GIR_Coverage, 15784,
     /* 1163153 */     GIR_EraseRootFromParent_Done,
     /* 1163154 */   // Label 16961: @1163154
     /* 1163154 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1163234), // Rule ID 15785 //
     /* 1163159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163198 */     // MIs[0] round
     /* 1163198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163233 */     // GIR_Coverage, 15785,
     /* 1163233 */     GIR_EraseRootFromParent_Done,
     /* 1163234 */   // Label 16962: @1163234
     /* 1163234 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163314), // Rule ID 15788 //
     /* 1163239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163278 */     // MIs[0] round
     /* 1163278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163288 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163313 */     // GIR_Coverage, 15788,
     /* 1163313 */     GIR_EraseRootFromParent_Done,
     /* 1163314 */   // Label 16963: @1163314
     /* 1163314 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163394), // Rule ID 15789 //
     /* 1163319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163358 */     // MIs[0] round
     /* 1163358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163368 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163393 */     // GIR_Coverage, 15789,
     /* 1163393 */     GIR_EraseRootFromParent_Done,
     /* 1163394 */   // Label 16964: @1163394
     /* 1163394 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163474), // Rule ID 15792 //
     /* 1163399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163438 */     // MIs[0] round
     /* 1163438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163473 */     // GIR_Coverage, 15792,
     /* 1163473 */     GIR_EraseRootFromParent_Done,
     /* 1163474 */   // Label 16965: @1163474
     /* 1163474 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163554), // Rule ID 15793 //
     /* 1163479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163518 */     // MIs[0] round
     /* 1163518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163553 */     // GIR_Coverage, 15793,
     /* 1163553 */     GIR_EraseRootFromParent_Done,
     /* 1163554 */   // Label 16966: @1163554
     /* 1163554 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163634), // Rule ID 15796 //
     /* 1163559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163598 */     // MIs[0] round
     /* 1163598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163633 */     // GIR_Coverage, 15796,
     /* 1163633 */     GIR_EraseRootFromParent_Done,
     /* 1163634 */   // Label 16967: @1163634
     /* 1163634 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163714), // Rule ID 15797 //
     /* 1163639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163678 */     // MIs[0] round
     /* 1163678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163713 */     // GIR_Coverage, 15797,
     /* 1163713 */     GIR_EraseRootFromParent_Done,
     /* 1163714 */   // Label 16968: @1163714
     /* 1163714 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163794), // Rule ID 15800 //
     /* 1163719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163758 */     // MIs[0] round
     /* 1163758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163793 */     // GIR_Coverage, 15800,
     /* 1163793 */     GIR_EraseRootFromParent_Done,
     /* 1163794 */   // Label 16969: @1163794
     /* 1163794 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163874), // Rule ID 15801 //
     /* 1163799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163838 */     // MIs[0] round
     /* 1163838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163848 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163873 */     // GIR_Coverage, 15801,
     /* 1163873 */     GIR_EraseRootFromParent_Done,
     /* 1163874 */   // Label 16970: @1163874
     /* 1163874 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163954), // Rule ID 15804 //
     /* 1163879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163918 */     // MIs[0] round
     /* 1163918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163953 */     // GIR_Coverage, 15804,
     /* 1163953 */     GIR_EraseRootFromParent_Done,
     /* 1163954 */   // Label 16971: @1163954
     /* 1163954 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1164034), // Rule ID 15805 //
     /* 1163959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163998 */     // MIs[0] round
     /* 1163998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164033 */     // GIR_Coverage, 15805,
     /* 1164033 */     GIR_EraseRootFromParent_Done,
     /* 1164034 */   // Label 16972: @1164034
     /* 1164034 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1164114), // Rule ID 15808 //
     /* 1164039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164078 */     // MIs[0] round
     /* 1164078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164113 */     // GIR_Coverage, 15808,
     /* 1164113 */     GIR_EraseRootFromParent_Done,
     /* 1164114 */   // Label 16973: @1164114
     /* 1164114 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1164194), // Rule ID 15809 //
     /* 1164119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164158 */     // MIs[0] round
     /* 1164158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164193 */     // GIR_Coverage, 15809,
     /* 1164193 */     GIR_EraseRootFromParent_Done,
     /* 1164194 */   // Label 16974: @1164194
     /* 1164194 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164274), // Rule ID 15812 //
     /* 1164199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164238 */     // MIs[0] round
     /* 1164238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164273 */     // GIR_Coverage, 15812,
     /* 1164273 */     GIR_EraseRootFromParent_Done,
     /* 1164274 */   // Label 16975: @1164274
     /* 1164274 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164354), // Rule ID 15813 //
     /* 1164279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164318 */     // MIs[0] round
     /* 1164318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164353 */     // GIR_Coverage, 15813,
     /* 1164353 */     GIR_EraseRootFromParent_Done,
     /* 1164354 */   // Label 16976: @1164354
     /* 1164354 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164434), // Rule ID 15816 //
     /* 1164359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164398 */     // MIs[0] round
     /* 1164398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164433 */     // GIR_Coverage, 15816,
     /* 1164433 */     GIR_EraseRootFromParent_Done,
     /* 1164434 */   // Label 16977: @1164434
     /* 1164434 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164514), // Rule ID 15817 //
     /* 1164439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164478 */     // MIs[0] round
     /* 1164478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164513 */     // GIR_Coverage, 15817,
     /* 1164513 */     GIR_EraseRootFromParent_Done,
     /* 1164514 */   // Label 16978: @1164514
     /* 1164514 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164594), // Rule ID 15820 //
     /* 1164519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164558 */     // MIs[0] round
     /* 1164558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164593 */     // GIR_Coverage, 15820,
     /* 1164593 */     GIR_EraseRootFromParent_Done,
     /* 1164594 */   // Label 16979: @1164594
     /* 1164594 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164674), // Rule ID 15821 //
     /* 1164599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164638 */     // MIs[0] round
     /* 1164638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164673 */     // GIR_Coverage, 15821,
     /* 1164673 */     GIR_EraseRootFromParent_Done,
     /* 1164674 */   // Label 16980: @1164674
     /* 1164674 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164754), // Rule ID 15824 //
     /* 1164679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164718 */     // MIs[0] round
     /* 1164718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164753 */     // GIR_Coverage, 15824,
     /* 1164753 */     GIR_EraseRootFromParent_Done,
     /* 1164754 */   // Label 16981: @1164754
     /* 1164754 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164834), // Rule ID 15825 //
     /* 1164759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164798 */     // MIs[0] round
     /* 1164798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164808 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164833 */     // GIR_Coverage, 15825,
     /* 1164833 */     GIR_EraseRootFromParent_Done,
     /* 1164834 */   // Label 16982: @1164834
     /* 1164834 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164914), // Rule ID 15828 //
     /* 1164839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164878 */     // MIs[0] round
     /* 1164878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164913 */     // GIR_Coverage, 15828,
     /* 1164913 */     GIR_EraseRootFromParent_Done,
     /* 1164914 */   // Label 16983: @1164914
     /* 1164914 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164994), // Rule ID 15829 //
     /* 1164919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164958 */     // MIs[0] round
     /* 1164958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164993 */     // GIR_Coverage, 15829,
     /* 1164993 */     GIR_EraseRootFromParent_Done,
     /* 1164994 */   // Label 16984: @1164994
     /* 1164994 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1165074), // Rule ID 15832 //
     /* 1164999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165038 */     // MIs[0] round
     /* 1165038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165073 */     // GIR_Coverage, 15832,
     /* 1165073 */     GIR_EraseRootFromParent_Done,
     /* 1165074 */   // Label 16985: @1165074
     /* 1165074 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1165154), // Rule ID 15833 //
     /* 1165079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165118 */     // MIs[0] round
     /* 1165118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165153 */     // GIR_Coverage, 15833,
     /* 1165153 */     GIR_EraseRootFromParent_Done,
     /* 1165154 */   // Label 16986: @1165154
     /* 1165154 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1165234), // Rule ID 15836 //
     /* 1165159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165198 */     // MIs[0] round
     /* 1165198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165233 */     // GIR_Coverage, 15836,
     /* 1165233 */     GIR_EraseRootFromParent_Done,
     /* 1165234 */   // Label 16987: @1165234
     /* 1165234 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165314), // Rule ID 15837 //
     /* 1165239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165278 */     // MIs[0] round
     /* 1165278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165313 */     // GIR_Coverage, 15837,
     /* 1165313 */     GIR_EraseRootFromParent_Done,
     /* 1165314 */   // Label 16988: @1165314
     /* 1165314 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165394), // Rule ID 15840 //
     /* 1165319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165358 */     // MIs[0] round
     /* 1165358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165393 */     // GIR_Coverage, 15840,
     /* 1165393 */     GIR_EraseRootFromParent_Done,
     /* 1165394 */   // Label 16989: @1165394
     /* 1165394 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165474), // Rule ID 15841 //
     /* 1165399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165438 */     // MIs[0] round
     /* 1165438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165473 */     // GIR_Coverage, 15841,
     /* 1165473 */     GIR_EraseRootFromParent_Done,
     /* 1165474 */   // Label 16990: @1165474
     /* 1165474 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165554), // Rule ID 15844 //
     /* 1165479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165518 */     // MIs[0] round
     /* 1165518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165553 */     // GIR_Coverage, 15844,
     /* 1165553 */     GIR_EraseRootFromParent_Done,
     /* 1165554 */   // Label 16991: @1165554
     /* 1165554 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165634), // Rule ID 15845 //
     /* 1165559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165598 */     // MIs[0] round
     /* 1165598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165633 */     // GIR_Coverage, 15845,
     /* 1165633 */     GIR_EraseRootFromParent_Done,
     /* 1165634 */   // Label 16992: @1165634
     /* 1165634 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165714), // Rule ID 15848 //
     /* 1165639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165678 */     // MIs[0] round
     /* 1165678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165713 */     // GIR_Coverage, 15848,
     /* 1165713 */     GIR_EraseRootFromParent_Done,
     /* 1165714 */   // Label 16993: @1165714
     /* 1165714 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165794), // Rule ID 15849 //
     /* 1165719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165758 */     // MIs[0] round
     /* 1165758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165793 */     // GIR_Coverage, 15849,
     /* 1165793 */     GIR_EraseRootFromParent_Done,
     /* 1165794 */   // Label 16994: @1165794
     /* 1165794 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165874), // Rule ID 15852 //
     /* 1165799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165838 */     // MIs[0] round
     /* 1165838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165873 */     // GIR_Coverage, 15852,
     /* 1165873 */     GIR_EraseRootFromParent_Done,
     /* 1165874 */   // Label 16995: @1165874
     /* 1165874 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165954), // Rule ID 15853 //
     /* 1165879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165918 */     // MIs[0] round
     /* 1165918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165953 */     // GIR_Coverage, 15853,
     /* 1165953 */     GIR_EraseRootFromParent_Done,
     /* 1165954 */   // Label 16996: @1165954
     /* 1165954 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1166034), // Rule ID 15856 //
     /* 1165959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165998 */     // MIs[0] round
     /* 1165998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1166011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166033 */     // GIR_Coverage, 15856,
     /* 1166033 */     GIR_EraseRootFromParent_Done,
     /* 1166034 */   // Label 16997: @1166034
     /* 1166034 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1166114), // Rule ID 15857 //
     /* 1166039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166078 */     // MIs[0] round
     /* 1166078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1166091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166113 */     // GIR_Coverage, 15857,
     /* 1166113 */     GIR_EraseRootFromParent_Done,
     /* 1166114 */   // Label 16998: @1166114
     /* 1166114 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1166194), // Rule ID 15860 //
     /* 1166119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166158 */     // MIs[0] round
     /* 1166158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1166171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166193 */     // GIR_Coverage, 15860,
     /* 1166193 */     GIR_EraseRootFromParent_Done,
     /* 1166194 */   // Label 16999: @1166194
     /* 1166194 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166274), // Rule ID 15861 //
     /* 1166199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166238 */     // MIs[0] round
     /* 1166238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1166251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166273 */     // GIR_Coverage, 15861,
     /* 1166273 */     GIR_EraseRootFromParent_Done,
     /* 1166274 */   // Label 17000: @1166274
     /* 1166274 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166354), // Rule ID 15864 //
     /* 1166279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1166293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1166296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166318 */     // MIs[0] round
     /* 1166318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1166331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166353 */     // GIR_Coverage, 15864,
     /* 1166353 */     GIR_EraseRootFromParent_Done,
     /* 1166354 */   // Label 17001: @1166354
     /* 1166354 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166434), // Rule ID 15865 //
     /* 1166359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1166373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1166376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166398 */     // MIs[0] round
     /* 1166398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1166411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166433 */     // GIR_Coverage, 15865,
     /* 1166433 */     GIR_EraseRootFromParent_Done,
     /* 1166434 */   // Label 17002: @1166434
     /* 1166434 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166514), // Rule ID 15956 //
     /* 1166439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166478 */     // MIs[0] round
     /* 1166478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166513 */     // GIR_Coverage, 15956,
     /* 1166513 */     GIR_EraseRootFromParent_Done,
     /* 1166514 */   // Label 17003: @1166514
     /* 1166514 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166594), // Rule ID 15957 //
     /* 1166519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166558 */     // MIs[0] round
     /* 1166558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166593 */     // GIR_Coverage, 15957,
     /* 1166593 */     GIR_EraseRootFromParent_Done,
     /* 1166594 */   // Label 17004: @1166594
     /* 1166594 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166674), // Rule ID 15960 //
     /* 1166599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166638 */     // MIs[0] round
     /* 1166638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166673 */     // GIR_Coverage, 15960,
     /* 1166673 */     GIR_EraseRootFromParent_Done,
     /* 1166674 */   // Label 17005: @1166674
     /* 1166674 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166754), // Rule ID 15961 //
     /* 1166679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166718 */     // MIs[0] round
     /* 1166718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166753 */     // GIR_Coverage, 15961,
     /* 1166753 */     GIR_EraseRootFromParent_Done,
     /* 1166754 */   // Label 17006: @1166754
     /* 1166754 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166834), // Rule ID 15964 //
     /* 1166759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166798 */     // MIs[0] round
     /* 1166798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166833 */     // GIR_Coverage, 15964,
     /* 1166833 */     GIR_EraseRootFromParent_Done,
     /* 1166834 */   // Label 17007: @1166834
     /* 1166834 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166914), // Rule ID 15965 //
     /* 1166839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166878 */     // MIs[0] round
     /* 1166878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166913 */     // GIR_Coverage, 15965,
     /* 1166913 */     GIR_EraseRootFromParent_Done,
     /* 1166914 */   // Label 17008: @1166914
     /* 1166914 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166994), // Rule ID 15968 //
     /* 1166919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166958 */     // MIs[0] round
     /* 1166958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166993 */     // GIR_Coverage, 15968,
     /* 1166993 */     GIR_EraseRootFromParent_Done,
     /* 1166994 */   // Label 17009: @1166994
     /* 1166994 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1167074), // Rule ID 15969 //
     /* 1166999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1167019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167038 */     // MIs[0] round
     /* 1167038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1167051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167073 */     // GIR_Coverage, 15969,
     /* 1167073 */     GIR_EraseRootFromParent_Done,
     /* 1167074 */   // Label 17010: @1167074
     /* 1167074 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1167154), // Rule ID 15972 //
     /* 1167079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1167099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167118 */     // MIs[0] round
     /* 1167118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167153 */     // GIR_Coverage, 15972,
     /* 1167153 */     GIR_EraseRootFromParent_Done,
     /* 1167154 */   // Label 17011: @1167154
     /* 1167154 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1167234), // Rule ID 15973 //
     /* 1167159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1167179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167198 */     // MIs[0] round
     /* 1167198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167233 */     // GIR_Coverage, 15973,
     /* 1167233 */     GIR_EraseRootFromParent_Done,
     /* 1167234 */   // Label 17012: @1167234
     /* 1167234 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167314), // Rule ID 15976 //
     /* 1167239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1167259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167278 */     // MIs[0] round
     /* 1167278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167313 */     // GIR_Coverage, 15976,
     /* 1167313 */     GIR_EraseRootFromParent_Done,
     /* 1167314 */   // Label 17013: @1167314
     /* 1167314 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167394), // Rule ID 15977 //
     /* 1167319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1167339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167358 */     // MIs[0] round
     /* 1167358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1167371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167393 */     // GIR_Coverage, 15977,
     /* 1167393 */     GIR_EraseRootFromParent_Done,
     /* 1167394 */   // Label 17014: @1167394
     /* 1167394 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167474), // Rule ID 15980 //
     /* 1167399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167438 */     // MIs[0] round
     /* 1167438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167473 */     // GIR_Coverage, 15980,
     /* 1167473 */     GIR_EraseRootFromParent_Done,
     /* 1167474 */   // Label 17015: @1167474
     /* 1167474 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167554), // Rule ID 15981 //
     /* 1167479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167518 */     // MIs[0] round
     /* 1167518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167553 */     // GIR_Coverage, 15981,
     /* 1167553 */     GIR_EraseRootFromParent_Done,
     /* 1167554 */   // Label 17016: @1167554
     /* 1167554 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167634), // Rule ID 15984 //
     /* 1167559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167598 */     // MIs[0] round
     /* 1167598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167633 */     // GIR_Coverage, 15984,
     /* 1167633 */     GIR_EraseRootFromParent_Done,
     /* 1167634 */   // Label 17017: @1167634
     /* 1167634 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167714), // Rule ID 15985 //
     /* 1167639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167678 */     // MIs[0] round
     /* 1167678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167713 */     // GIR_Coverage, 15985,
     /* 1167713 */     GIR_EraseRootFromParent_Done,
     /* 1167714 */   // Label 17018: @1167714
     /* 1167714 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167794), // Rule ID 15988 //
     /* 1167719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167758 */     // MIs[0] round
     /* 1167758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167793 */     // GIR_Coverage, 15988,
     /* 1167793 */     GIR_EraseRootFromParent_Done,
     /* 1167794 */   // Label 17019: @1167794
     /* 1167794 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167874), // Rule ID 15989 //
     /* 1167799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167838 */     // MIs[0] round
     /* 1167838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167873 */     // GIR_Coverage, 15989,
     /* 1167873 */     GIR_EraseRootFromParent_Done,
     /* 1167874 */   // Label 17020: @1167874
     /* 1167874 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167954), // Rule ID 15992 //
     /* 1167879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167918 */     // MIs[0] round
     /* 1167918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167953 */     // GIR_Coverage, 15992,
     /* 1167953 */     GIR_EraseRootFromParent_Done,
     /* 1167954 */   // Label 17021: @1167954
     /* 1167954 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1168034), // Rule ID 15993 //
     /* 1167959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167998 */     // MIs[0] round
     /* 1167998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1168011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168033 */     // GIR_Coverage, 15993,
     /* 1168033 */     GIR_EraseRootFromParent_Done,
     /* 1168034 */   // Label 17022: @1168034
     /* 1168034 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1168114), // Rule ID 15996 //
     /* 1168039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1168059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168078 */     // MIs[0] round
     /* 1168078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168113 */     // GIR_Coverage, 15996,
     /* 1168113 */     GIR_EraseRootFromParent_Done,
     /* 1168114 */   // Label 17023: @1168114
     /* 1168114 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1168194), // Rule ID 15997 //
     /* 1168119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1168139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168158 */     // MIs[0] round
     /* 1168158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168168 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168193 */     // GIR_Coverage, 15997,
     /* 1168193 */     GIR_EraseRootFromParent_Done,
     /* 1168194 */   // Label 17024: @1168194
     /* 1168194 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168274), // Rule ID 16000 //
     /* 1168199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1168219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168238 */     // MIs[0] round
     /* 1168238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168248 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168273 */     // GIR_Coverage, 16000,
     /* 1168273 */     GIR_EraseRootFromParent_Done,
     /* 1168274 */   // Label 17025: @1168274
     /* 1168274 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168354), // Rule ID 16001 //
     /* 1168279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1168299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168318 */     // MIs[0] round
     /* 1168318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168353 */     // GIR_Coverage, 16001,
     /* 1168353 */     GIR_EraseRootFromParent_Done,
     /* 1168354 */   // Label 17026: @1168354
     /* 1168354 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168434), // Rule ID 16004 //
     /* 1168359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168398 */     // MIs[0] round
     /* 1168398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168433 */     // GIR_Coverage, 16004,
     /* 1168433 */     GIR_EraseRootFromParent_Done,
     /* 1168434 */   // Label 17027: @1168434
     /* 1168434 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168514), // Rule ID 16005 //
     /* 1168439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168478 */     // MIs[0] round
     /* 1168478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168488 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168513 */     // GIR_Coverage, 16005,
     /* 1168513 */     GIR_EraseRootFromParent_Done,
     /* 1168514 */   // Label 17028: @1168514
     /* 1168514 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168594), // Rule ID 16008 //
     /* 1168519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168558 */     // MIs[0] round
     /* 1168558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168593 */     // GIR_Coverage, 16008,
     /* 1168593 */     GIR_EraseRootFromParent_Done,
     /* 1168594 */   // Label 17029: @1168594
     /* 1168594 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168674), // Rule ID 16009 //
     /* 1168599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168638 */     // MIs[0] round
     /* 1168638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168673 */     // GIR_Coverage, 16009,
     /* 1168673 */     GIR_EraseRootFromParent_Done,
     /* 1168674 */   // Label 17030: @1168674
     /* 1168674 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168754), // Rule ID 16012 //
     /* 1168679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168718 */     // MIs[0] round
     /* 1168718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168753 */     // GIR_Coverage, 16012,
     /* 1168753 */     GIR_EraseRootFromParent_Done,
     /* 1168754 */   // Label 17031: @1168754
     /* 1168754 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168834), // Rule ID 16013 //
     /* 1168759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168798 */     // MIs[0] round
     /* 1168798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168833 */     // GIR_Coverage, 16013,
     /* 1168833 */     GIR_EraseRootFromParent_Done,
     /* 1168834 */   // Label 17032: @1168834
     /* 1168834 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168914), // Rule ID 16016 //
     /* 1168839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168878 */     // MIs[0] round
     /* 1168878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168913 */     // GIR_Coverage, 16016,
     /* 1168913 */     GIR_EraseRootFromParent_Done,
     /* 1168914 */   // Label 17033: @1168914
     /* 1168914 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168994), // Rule ID 16017 //
     /* 1168919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168958 */     // MIs[0] round
     /* 1168958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168993 */     // GIR_Coverage, 16017,
     /* 1168993 */     GIR_EraseRootFromParent_Done,
     /* 1168994 */   // Label 17034: @1168994
     /* 1168994 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1169074), // Rule ID 16020 //
     /* 1168999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169038 */     // MIs[0] round
     /* 1169038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169073 */     // GIR_Coverage, 16020,
     /* 1169073 */     GIR_EraseRootFromParent_Done,
     /* 1169074 */   // Label 17035: @1169074
     /* 1169074 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1169154), // Rule ID 16021 //
     /* 1169079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169118 */     // MIs[0] round
     /* 1169118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169153 */     // GIR_Coverage, 16021,
     /* 1169153 */     GIR_EraseRootFromParent_Done,
     /* 1169154 */   // Label 17036: @1169154
     /* 1169154 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169234), // Rule ID 16024 //
     /* 1169159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169198 */     // MIs[0] round
     /* 1169198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169233 */     // GIR_Coverage, 16024,
     /* 1169233 */     GIR_EraseRootFromParent_Done,
     /* 1169234 */   // Label 17037: @1169234
     /* 1169234 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169314), // Rule ID 16025 //
     /* 1169239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169278 */     // MIs[0] round
     /* 1169278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169313 */     // GIR_Coverage, 16025,
     /* 1169313 */     GIR_EraseRootFromParent_Done,
     /* 1169314 */   // Label 17038: @1169314
     /* 1169314 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169394), // Rule ID 16028 //
     /* 1169319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1169339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169358 */     // MIs[0] round
     /* 1169358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169393 */     // GIR_Coverage, 16028,
     /* 1169393 */     GIR_EraseRootFromParent_Done,
     /* 1169394 */   // Label 17039: @1169394
     /* 1169394 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169474), // Rule ID 16029 //
     /* 1169399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1169419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169438 */     // MIs[0] round
     /* 1169438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169473 */     // GIR_Coverage, 16029,
     /* 1169473 */     GIR_EraseRootFromParent_Done,
     /* 1169474 */   // Label 17040: @1169474
     /* 1169474 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169554), // Rule ID 16032 //
     /* 1169479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169518 */     // MIs[0] round
     /* 1169518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169553 */     // GIR_Coverage, 16032,
     /* 1169553 */     GIR_EraseRootFromParent_Done,
     /* 1169554 */   // Label 17041: @1169554
     /* 1169554 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169634), // Rule ID 16033 //
     /* 1169559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169598 */     // MIs[0] round
     /* 1169598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169633 */     // GIR_Coverage, 16033,
     /* 1169633 */     GIR_EraseRootFromParent_Done,
     /* 1169634 */   // Label 17042: @1169634
     /* 1169634 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169714), // Rule ID 16036 //
     /* 1169639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169678 */     // MIs[0] round
     /* 1169678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169713 */     // GIR_Coverage, 16036,
     /* 1169713 */     GIR_EraseRootFromParent_Done,
     /* 1169714 */   // Label 17043: @1169714
     /* 1169714 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169794), // Rule ID 16037 //
     /* 1169719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169758 */     // MIs[0] round
     /* 1169758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169793 */     // GIR_Coverage, 16037,
     /* 1169793 */     GIR_EraseRootFromParent_Done,
     /* 1169794 */   // Label 17044: @1169794
     /* 1169794 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169874), // Rule ID 16040 //
     /* 1169799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169838 */     // MIs[0] round
     /* 1169838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169873 */     // GIR_Coverage, 16040,
     /* 1169873 */     GIR_EraseRootFromParent_Done,
     /* 1169874 */   // Label 17045: @1169874
     /* 1169874 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169954), // Rule ID 16041 //
     /* 1169879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169918 */     // MIs[0] round
     /* 1169918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169953 */     // GIR_Coverage, 16041,
     /* 1169953 */     GIR_EraseRootFromParent_Done,
     /* 1169954 */   // Label 17046: @1169954
     /* 1169954 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1170034), // Rule ID 16044 //
     /* 1169959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169998 */     // MIs[0] round
     /* 1169998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1170011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170033 */     // GIR_Coverage, 16044,
     /* 1170033 */     GIR_EraseRootFromParent_Done,
     /* 1170034 */   // Label 17047: @1170034
     /* 1170034 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1170114), // Rule ID 16045 //
     /* 1170039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170078 */     // MIs[0] round
     /* 1170078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1170091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170113 */     // GIR_Coverage, 16045,
     /* 1170113 */     GIR_EraseRootFromParent_Done,
     /* 1170114 */   // Label 17048: @1170114
     /* 1170114 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170194), // Rule ID 16048 //
     /* 1170119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170158 */     // MIs[0] round
     /* 1170158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170193 */     // GIR_Coverage, 16048,
     /* 1170193 */     GIR_EraseRootFromParent_Done,
     /* 1170194 */   // Label 17049: @1170194
     /* 1170194 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170274), // Rule ID 16049 //
     /* 1170199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170238 */     // MIs[0] round
     /* 1170238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170273 */     // GIR_Coverage, 16049,
     /* 1170273 */     GIR_EraseRootFromParent_Done,
     /* 1170274 */   // Label 17050: @1170274
     /* 1170274 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170354), // Rule ID 16052 //
     /* 1170279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1170296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170318 */     // MIs[0] round
     /* 1170318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170353 */     // GIR_Coverage, 16052,
     /* 1170353 */     GIR_EraseRootFromParent_Done,
     /* 1170354 */   // Label 17051: @1170354
     /* 1170354 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170434), // Rule ID 16053 //
     /* 1170359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1170376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170398 */     // MIs[0] round
     /* 1170398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170433 */     // GIR_Coverage, 16053,
     /* 1170433 */     GIR_EraseRootFromParent_Done,
     /* 1170434 */   // Label 17052: @1170434
     /* 1170434 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170514), // Rule ID 16056 //
     /* 1170439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170478 */     // MIs[0] round
     /* 1170478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170513 */     // GIR_Coverage, 16056,
     /* 1170513 */     GIR_EraseRootFromParent_Done,
     /* 1170514 */   // Label 17053: @1170514
     /* 1170514 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170594), // Rule ID 16057 //
     /* 1170519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170558 */     // MIs[0] round
     /* 1170558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170593 */     // GIR_Coverage, 16057,
     /* 1170593 */     GIR_EraseRootFromParent_Done,
     /* 1170594 */   // Label 17054: @1170594
     /* 1170594 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170674), // Rule ID 16060 //
     /* 1170599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170638 */     // MIs[0] round
     /* 1170638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170673 */     // GIR_Coverage, 16060,
     /* 1170673 */     GIR_EraseRootFromParent_Done,
     /* 1170674 */   // Label 17055: @1170674
     /* 1170674 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170754), // Rule ID 16061 //
     /* 1170679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170718 */     // MIs[0] round
     /* 1170718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170753 */     // GIR_Coverage, 16061,
     /* 1170753 */     GIR_EraseRootFromParent_Done,
     /* 1170754 */   // Label 17056: @1170754
     /* 1170754 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170834), // Rule ID 16064 //
     /* 1170759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170798 */     // MIs[0] round
     /* 1170798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170833 */     // GIR_Coverage, 16064,
     /* 1170833 */     GIR_EraseRootFromParent_Done,
     /* 1170834 */   // Label 17057: @1170834
     /* 1170834 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170914), // Rule ID 16065 //
     /* 1170839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170878 */     // MIs[0] round
     /* 1170878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170913 */     // GIR_Coverage, 16065,
     /* 1170913 */     GIR_EraseRootFromParent_Done,
     /* 1170914 */   // Label 17058: @1170914
     /* 1170914 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170994), // Rule ID 16068 //
     /* 1170919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170958 */     // MIs[0] round
     /* 1170958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170993 */     // GIR_Coverage, 16068,
     /* 1170993 */     GIR_EraseRootFromParent_Done,
     /* 1170994 */   // Label 17059: @1170994
     /* 1170994 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1171074), // Rule ID 16069 //
     /* 1170999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171038 */     // MIs[0] round
     /* 1171038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171073 */     // GIR_Coverage, 16069,
     /* 1171073 */     GIR_EraseRootFromParent_Done,
     /* 1171074 */   // Label 17060: @1171074
     /* 1171074 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171154), // Rule ID 16072 //
     /* 1171079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171118 */     // MIs[0] round
     /* 1171118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171153 */     // GIR_Coverage, 16072,
     /* 1171153 */     GIR_EraseRootFromParent_Done,
     /* 1171154 */   // Label 17061: @1171154
     /* 1171154 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171234), // Rule ID 16073 //
     /* 1171159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171198 */     // MIs[0] round
     /* 1171198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171233 */     // GIR_Coverage, 16073,
     /* 1171233 */     GIR_EraseRootFromParent_Done,
     /* 1171234 */   // Label 17062: @1171234
     /* 1171234 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171314), // Rule ID 16076 //
     /* 1171239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171278 */     // MIs[0] round
     /* 1171278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171313 */     // GIR_Coverage, 16076,
     /* 1171313 */     GIR_EraseRootFromParent_Done,
     /* 1171314 */   // Label 17063: @1171314
     /* 1171314 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171394), // Rule ID 16077 //
     /* 1171319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171358 */     // MIs[0] round
     /* 1171358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171393 */     // GIR_Coverage, 16077,
     /* 1171393 */     GIR_EraseRootFromParent_Done,
     /* 1171394 */   // Label 17064: @1171394
     /* 1171394 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171474), // Rule ID 16080 //
     /* 1171399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171438 */     // MIs[0] round
     /* 1171438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171473 */     // GIR_Coverage, 16080,
     /* 1171473 */     GIR_EraseRootFromParent_Done,
     /* 1171474 */   // Label 17065: @1171474
     /* 1171474 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171554), // Rule ID 16081 //
     /* 1171479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171518 */     // MIs[0] round
     /* 1171518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171553 */     // GIR_Coverage, 16081,
     /* 1171553 */     GIR_EraseRootFromParent_Done,
     /* 1171554 */   // Label 17066: @1171554
     /* 1171554 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171634), // Rule ID 16084 //
     /* 1171559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171598 */     // MIs[0] round
     /* 1171598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171633 */     // GIR_Coverage, 16084,
     /* 1171633 */     GIR_EraseRootFromParent_Done,
     /* 1171634 */   // Label 17067: @1171634
     /* 1171634 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171714), // Rule ID 16085 //
     /* 1171639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171678 */     // MIs[0] round
     /* 1171678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171713 */     // GIR_Coverage, 16085,
     /* 1171713 */     GIR_EraseRootFromParent_Done,
     /* 1171714 */   // Label 17068: @1171714
     /* 1171714 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171794), // Rule ID 16088 //
     /* 1171719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171758 */     // MIs[0] round
     /* 1171758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171793 */     // GIR_Coverage, 16088,
     /* 1171793 */     GIR_EraseRootFromParent_Done,
     /* 1171794 */   // Label 17069: @1171794
     /* 1171794 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171874), // Rule ID 16089 //
     /* 1171799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171838 */     // MIs[0] round
     /* 1171838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171873 */     // GIR_Coverage, 16089,
     /* 1171873 */     GIR_EraseRootFromParent_Done,
     /* 1171874 */   // Label 17070: @1171874
     /* 1171874 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171954), // Rule ID 16092 //
     /* 1171879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171918 */     // MIs[0] round
     /* 1171918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171953 */     // GIR_Coverage, 16092,
     /* 1171953 */     GIR_EraseRootFromParent_Done,
     /* 1171954 */   // Label 17071: @1171954
     /* 1171954 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1172034), // Rule ID 16093 //
     /* 1171959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171998 */     // MIs[0] round
     /* 1171998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172033 */     // GIR_Coverage, 16093,
     /* 1172033 */     GIR_EraseRootFromParent_Done,
     /* 1172034 */   // Label 17072: @1172034
     /* 1172034 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172114), // Rule ID 16096 //
     /* 1172039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172078 */     // MIs[0] round
     /* 1172078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172113 */     // GIR_Coverage, 16096,
     /* 1172113 */     GIR_EraseRootFromParent_Done,
     /* 1172114 */   // Label 17073: @1172114
     /* 1172114 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172194), // Rule ID 16097 //
     /* 1172119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172158 */     // MIs[0] round
     /* 1172158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172193 */     // GIR_Coverage, 16097,
     /* 1172193 */     GIR_EraseRootFromParent_Done,
     /* 1172194 */   // Label 17074: @1172194
     /* 1172194 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172274), // Rule ID 16100 //
     /* 1172199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172238 */     // MIs[0] round
     /* 1172238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172273 */     // GIR_Coverage, 16100,
     /* 1172273 */     GIR_EraseRootFromParent_Done,
     /* 1172274 */   // Label 17075: @1172274
     /* 1172274 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172354), // Rule ID 16101 //
     /* 1172279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172318 */     // MIs[0] round
     /* 1172318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172353 */     // GIR_Coverage, 16101,
     /* 1172353 */     GIR_EraseRootFromParent_Done,
     /* 1172354 */   // Label 17076: @1172354
     /* 1172354 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172434), // Rule ID 16104 //
     /* 1172359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172398 */     // MIs[0] round
     /* 1172398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172433 */     // GIR_Coverage, 16104,
     /* 1172433 */     GIR_EraseRootFromParent_Done,
     /* 1172434 */   // Label 17077: @1172434
     /* 1172434 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172514), // Rule ID 16105 //
     /* 1172439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172478 */     // MIs[0] round
     /* 1172478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172488 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172513 */     // GIR_Coverage, 16105,
     /* 1172513 */     GIR_EraseRootFromParent_Done,
     /* 1172514 */   // Label 17078: @1172514
     /* 1172514 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172594), // Rule ID 16108 //
     /* 1172519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172558 */     // MIs[0] round
     /* 1172558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172593 */     // GIR_Coverage, 16108,
     /* 1172593 */     GIR_EraseRootFromParent_Done,
     /* 1172594 */   // Label 17079: @1172594
     /* 1172594 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172674), // Rule ID 16109 //
     /* 1172599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172638 */     // MIs[0] round
     /* 1172638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172673 */     // GIR_Coverage, 16109,
     /* 1172673 */     GIR_EraseRootFromParent_Done,
     /* 1172674 */   // Label 17080: @1172674
     /* 1172674 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172754), // Rule ID 16112 //
     /* 1172679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172718 */     // MIs[0] round
     /* 1172718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172753 */     // GIR_Coverage, 16112,
     /* 1172753 */     GIR_EraseRootFromParent_Done,
     /* 1172754 */   // Label 17081: @1172754
     /* 1172754 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172834), // Rule ID 16113 //
     /* 1172759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172798 */     // MIs[0] round
     /* 1172798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172833 */     // GIR_Coverage, 16113,
     /* 1172833 */     GIR_EraseRootFromParent_Done,
     /* 1172834 */   // Label 17082: @1172834
     /* 1172834 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172914), // Rule ID 16116 //
     /* 1172839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172878 */     // MIs[0] round
     /* 1172878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172913 */     // GIR_Coverage, 16116,
     /* 1172913 */     GIR_EraseRootFromParent_Done,
     /* 1172914 */   // Label 17083: @1172914
     /* 1172914 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172994), // Rule ID 16117 //
     /* 1172919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172958 */     // MIs[0] round
     /* 1172958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172993 */     // GIR_Coverage, 16117,
     /* 1172993 */     GIR_EraseRootFromParent_Done,
     /* 1172994 */   // Label 17084: @1172994
     /* 1172994 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1173074), // Rule ID 16120 //
     /* 1172999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173038 */     // MIs[0] round
     /* 1173038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1173051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173073 */     // GIR_Coverage, 16120,
     /* 1173073 */     GIR_EraseRootFromParent_Done,
     /* 1173074 */   // Label 17085: @1173074
     /* 1173074 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173154), // Rule ID 16121 //
     /* 1173079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173118 */     // MIs[0] round
     /* 1173118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1173131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173153 */     // GIR_Coverage, 16121,
     /* 1173153 */     GIR_EraseRootFromParent_Done,
     /* 1173154 */   // Label 17086: @1173154
     /* 1173154 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173234), // Rule ID 16124 //
     /* 1173159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173198 */     // MIs[0] round
     /* 1173198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1173211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173233 */     // GIR_Coverage, 16124,
     /* 1173233 */     GIR_EraseRootFromParent_Done,
     /* 1173234 */   // Label 17087: @1173234
     /* 1173234 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173314), // Rule ID 16125 //
     /* 1173239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173278 */     // MIs[0] round
     /* 1173278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1173291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173313 */     // GIR_Coverage, 16125,
     /* 1173313 */     GIR_EraseRootFromParent_Done,
     /* 1173314 */   // Label 17088: @1173314
     /* 1173314 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173394), // Rule ID 16128 //
     /* 1173319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173358 */     // MIs[0] round
     /* 1173358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173393 */     // GIR_Coverage, 16128,
     /* 1173393 */     GIR_EraseRootFromParent_Done,
     /* 1173394 */   // Label 17089: @1173394
     /* 1173394 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173474), // Rule ID 16129 //
     /* 1173399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173438 */     // MIs[0] round
     /* 1173438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173473 */     // GIR_Coverage, 16129,
     /* 1173473 */     GIR_EraseRootFromParent_Done,
     /* 1173474 */   // Label 17090: @1173474
     /* 1173474 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173557), // Rule ID 16220 //
     /* 1173479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173518 */     // MIs[0] round
     /* 1173518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173556 */     // GIR_Coverage, 16220,
     /* 1173556 */     GIR_EraseRootFromParent_Done,
     /* 1173557 */   // Label 17091: @1173557
     /* 1173557 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173640), // Rule ID 16221 //
     /* 1173562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173601 */     // MIs[0] round
     /* 1173601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173639 */     // GIR_Coverage, 16221,
     /* 1173639 */     GIR_EraseRootFromParent_Done,
     /* 1173640 */   // Label 17092: @1173640
     /* 1173640 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173723), // Rule ID 16224 //
     /* 1173645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173684 */     // MIs[0] round
     /* 1173684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173722 */     // GIR_Coverage, 16224,
     /* 1173722 */     GIR_EraseRootFromParent_Done,
     /* 1173723 */   // Label 17093: @1173723
     /* 1173723 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173806), // Rule ID 16225 //
     /* 1173728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173767 */     // MIs[0] round
     /* 1173767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173805 */     // GIR_Coverage, 16225,
     /* 1173805 */     GIR_EraseRootFromParent_Done,
     /* 1173806 */   // Label 17094: @1173806
     /* 1173806 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173889), // Rule ID 16228 //
     /* 1173811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173850 */     // MIs[0] round
     /* 1173850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173888 */     // GIR_Coverage, 16228,
     /* 1173888 */     GIR_EraseRootFromParent_Done,
     /* 1173889 */   // Label 17095: @1173889
     /* 1173889 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173972), // Rule ID 16229 //
     /* 1173894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173933 */     // MIs[0] round
     /* 1173933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173971 */     // GIR_Coverage, 16229,
     /* 1173971 */     GIR_EraseRootFromParent_Done,
     /* 1173972 */   // Label 17096: @1173972
     /* 1173972 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1174055), // Rule ID 16232 //
     /* 1173977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174016 */     // MIs[0] round
     /* 1174016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174054 */     // GIR_Coverage, 16232,
     /* 1174054 */     GIR_EraseRootFromParent_Done,
     /* 1174055 */   // Label 17097: @1174055
     /* 1174055 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174138), // Rule ID 16233 //
     /* 1174060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1174071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1174074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1174080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174099 */     // MIs[0] round
     /* 1174099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174137 */     // GIR_Coverage, 16233,
     /* 1174137 */     GIR_EraseRootFromParent_Done,
     /* 1174138 */   // Label 17098: @1174138
     /* 1174138 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174221), // Rule ID 16236 //
     /* 1174143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1174154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1174157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174182 */     // MIs[0] round
     /* 1174182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174220 */     // GIR_Coverage, 16236,
     /* 1174220 */     GIR_EraseRootFromParent_Done,
     /* 1174221 */   // Label 17099: @1174221
     /* 1174221 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174304), // Rule ID 16237 //
     /* 1174226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1174237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1174240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174265 */     // MIs[0] round
     /* 1174265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174303 */     // GIR_Coverage, 16237,
     /* 1174303 */     GIR_EraseRootFromParent_Done,
     /* 1174304 */   // Label 17100: @1174304
     /* 1174304 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174387), // Rule ID 16240 //
     /* 1174309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1174320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1174323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174348 */     // MIs[0] round
     /* 1174348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174386 */     // GIR_Coverage, 16240,
     /* 1174386 */     GIR_EraseRootFromParent_Done,
     /* 1174387 */   // Label 17101: @1174387
     /* 1174387 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174470), // Rule ID 16241 //
     /* 1174392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1174403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1174406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174431 */     // MIs[0] round
     /* 1174431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174469 */     // GIR_Coverage, 16241,
     /* 1174469 */     GIR_EraseRootFromParent_Done,
     /* 1174470 */   // Label 17102: @1174470
     /* 1174470 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174553), // Rule ID 16244 //
     /* 1174475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174514 */     // MIs[0] round
     /* 1174514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174552 */     // GIR_Coverage, 16244,
     /* 1174552 */     GIR_EraseRootFromParent_Done,
     /* 1174553 */   // Label 17103: @1174553
     /* 1174553 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174636), // Rule ID 16245 //
     /* 1174558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174597 */     // MIs[0] round
     /* 1174597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174607 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174635 */     // GIR_Coverage, 16245,
     /* 1174635 */     GIR_EraseRootFromParent_Done,
     /* 1174636 */   // Label 17104: @1174636
     /* 1174636 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174719), // Rule ID 16248 //
     /* 1174641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174680 */     // MIs[0] round
     /* 1174680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174718 */     // GIR_Coverage, 16248,
     /* 1174718 */     GIR_EraseRootFromParent_Done,
     /* 1174719 */   // Label 17105: @1174719
     /* 1174719 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174802), // Rule ID 16249 //
     /* 1174724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174763 */     // MIs[0] round
     /* 1174763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174801 */     // GIR_Coverage, 16249,
     /* 1174801 */     GIR_EraseRootFromParent_Done,
     /* 1174802 */   // Label 17106: @1174802
     /* 1174802 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174885), // Rule ID 16252 //
     /* 1174807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174846 */     // MIs[0] round
     /* 1174846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174884 */     // GIR_Coverage, 16252,
     /* 1174884 */     GIR_EraseRootFromParent_Done,
     /* 1174885 */   // Label 17107: @1174885
     /* 1174885 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174968), // Rule ID 16253 //
     /* 1174890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174929 */     // MIs[0] round
     /* 1174929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174967 */     // GIR_Coverage, 16253,
     /* 1174967 */     GIR_EraseRootFromParent_Done,
     /* 1174968 */   // Label 17108: @1174968
     /* 1174968 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1175051), // Rule ID 16256 //
     /* 1174973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175012 */     // MIs[0] round
     /* 1175012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175050 */     // GIR_Coverage, 16256,
     /* 1175050 */     GIR_EraseRootFromParent_Done,
     /* 1175051 */   // Label 17109: @1175051
     /* 1175051 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175134), // Rule ID 16257 //
     /* 1175056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1175067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1175070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1175076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175095 */     // MIs[0] round
     /* 1175095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175133 */     // GIR_Coverage, 16257,
     /* 1175133 */     GIR_EraseRootFromParent_Done,
     /* 1175134 */   // Label 17110: @1175134
     /* 1175134 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175217), // Rule ID 16260 //
     /* 1175139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1175150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1175153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175178 */     // MIs[0] round
     /* 1175178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175216 */     // GIR_Coverage, 16260,
     /* 1175216 */     GIR_EraseRootFromParent_Done,
     /* 1175217 */   // Label 17111: @1175217
     /* 1175217 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175300), // Rule ID 16261 //
     /* 1175222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1175233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1175236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175261 */     // MIs[0] round
     /* 1175261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175299 */     // GIR_Coverage, 16261,
     /* 1175299 */     GIR_EraseRootFromParent_Done,
     /* 1175300 */   // Label 17112: @1175300
     /* 1175300 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175383), // Rule ID 16264 //
     /* 1175305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1175325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175344 */     // MIs[0] round
     /* 1175344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175382 */     // GIR_Coverage, 16264,
     /* 1175382 */     GIR_EraseRootFromParent_Done,
     /* 1175383 */   // Label 17113: @1175383
     /* 1175383 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175466), // Rule ID 16265 //
     /* 1175388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1175408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175427 */     // MIs[0] round
     /* 1175427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175465 */     // GIR_Coverage, 16265,
     /* 1175465 */     GIR_EraseRootFromParent_Done,
     /* 1175466 */   // Label 17114: @1175466
     /* 1175466 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175549), // Rule ID 16268 //
     /* 1175471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175510 */     // MIs[0] round
     /* 1175510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175548 */     // GIR_Coverage, 16268,
     /* 1175548 */     GIR_EraseRootFromParent_Done,
     /* 1175549 */   // Label 17115: @1175549
     /* 1175549 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175632), // Rule ID 16269 //
     /* 1175554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175593 */     // MIs[0] round
     /* 1175593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175631 */     // GIR_Coverage, 16269,
     /* 1175631 */     GIR_EraseRootFromParent_Done,
     /* 1175632 */   // Label 17116: @1175632
     /* 1175632 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175715), // Rule ID 16272 //
     /* 1175637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175676 */     // MIs[0] round
     /* 1175676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175714 */     // GIR_Coverage, 16272,
     /* 1175714 */     GIR_EraseRootFromParent_Done,
     /* 1175715 */   // Label 17117: @1175715
     /* 1175715 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175798), // Rule ID 16273 //
     /* 1175720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175759 */     // MIs[0] round
     /* 1175759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175797 */     // GIR_Coverage, 16273,
     /* 1175797 */     GIR_EraseRootFromParent_Done,
     /* 1175798 */   // Label 17118: @1175798
     /* 1175798 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175881), // Rule ID 16276 //
     /* 1175803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175842 */     // MIs[0] round
     /* 1175842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175880 */     // GIR_Coverage, 16276,
     /* 1175880 */     GIR_EraseRootFromParent_Done,
     /* 1175881 */   // Label 17119: @1175881
     /* 1175881 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175964), // Rule ID 16277 //
     /* 1175886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175925 */     // MIs[0] round
     /* 1175925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175963 */     // GIR_Coverage, 16277,
     /* 1175963 */     GIR_EraseRootFromParent_Done,
     /* 1175964 */   // Label 17120: @1175964
     /* 1175964 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1176047), // Rule ID 16280 //
     /* 1175969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176008 */     // MIs[0] round
     /* 1176008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176018 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1176021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176046 */     // GIR_Coverage, 16280,
     /* 1176046 */     GIR_EraseRootFromParent_Done,
     /* 1176047 */   // Label 17121: @1176047
     /* 1176047 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176130), // Rule ID 16281 //
     /* 1176052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1176063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1176066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176091 */     // MIs[0] round
     /* 1176091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176101 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1176104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176129 */     // GIR_Coverage, 16281,
     /* 1176129 */     GIR_EraseRootFromParent_Done,
     /* 1176130 */   // Label 17122: @1176130
     /* 1176130 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176213), // Rule ID 16284 //
     /* 1176135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176174 */     // MIs[0] round
     /* 1176174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176212 */     // GIR_Coverage, 16284,
     /* 1176212 */     GIR_EraseRootFromParent_Done,
     /* 1176213 */   // Label 17123: @1176213
     /* 1176213 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176296), // Rule ID 16285 //
     /* 1176218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176257 */     // MIs[0] round
     /* 1176257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176295 */     // GIR_Coverage, 16285,
     /* 1176295 */     GIR_EraseRootFromParent_Done,
     /* 1176296 */   // Label 17124: @1176296
     /* 1176296 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176379), // Rule ID 16288 //
     /* 1176301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176340 */     // MIs[0] round
     /* 1176340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176350 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176378 */     // GIR_Coverage, 16288,
     /* 1176378 */     GIR_EraseRootFromParent_Done,
     /* 1176379 */   // Label 17125: @1176379
     /* 1176379 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176462), // Rule ID 16289 //
     /* 1176384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176423 */     // MIs[0] round
     /* 1176423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176461 */     // GIR_Coverage, 16289,
     /* 1176461 */     GIR_EraseRootFromParent_Done,
     /* 1176462 */   // Label 17126: @1176462
     /* 1176462 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176545), // Rule ID 16292 //
     /* 1176467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176506 */     // MIs[0] round
     /* 1176506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176544 */     // GIR_Coverage, 16292,
     /* 1176544 */     GIR_EraseRootFromParent_Done,
     /* 1176545 */   // Label 17127: @1176545
     /* 1176545 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176628), // Rule ID 16293 //
     /* 1176550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176589 */     // MIs[0] round
     /* 1176589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176627 */     // GIR_Coverage, 16293,
     /* 1176627 */     GIR_EraseRootFromParent_Done,
     /* 1176628 */   // Label 17128: @1176628
     /* 1176628 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176711), // Rule ID 16296 //
     /* 1176633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176672 */     // MIs[0] round
     /* 1176672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176710 */     // GIR_Coverage, 16296,
     /* 1176710 */     GIR_EraseRootFromParent_Done,
     /* 1176711 */   // Label 17129: @1176711
     /* 1176711 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176794), // Rule ID 16297 //
     /* 1176716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176755 */     // MIs[0] round
     /* 1176755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176793 */     // GIR_Coverage, 16297,
     /* 1176793 */     GIR_EraseRootFromParent_Done,
     /* 1176794 */   // Label 17130: @1176794
     /* 1176794 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176877), // Rule ID 16300 //
     /* 1176799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176838 */     // MIs[0] round
     /* 1176838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176876 */     // GIR_Coverage, 16300,
     /* 1176876 */     GIR_EraseRootFromParent_Done,
     /* 1176877 */   // Label 17131: @1176877
     /* 1176877 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176960), // Rule ID 16301 //
     /* 1176882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176921 */     // MIs[0] round
     /* 1176921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176959 */     // GIR_Coverage, 16301,
     /* 1176959 */     GIR_EraseRootFromParent_Done,
     /* 1176960 */   // Label 17132: @1176960
     /* 1176960 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1177043), // Rule ID 16304 //
     /* 1176965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177004 */     // MIs[0] round
     /* 1177004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1177017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177042 */     // GIR_Coverage, 16304,
     /* 1177042 */     GIR_EraseRootFromParent_Done,
     /* 1177043 */   // Label 17133: @1177043
     /* 1177043 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177126), // Rule ID 16305 //
     /* 1177048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177087 */     // MIs[0] round
     /* 1177087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1177100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177125 */     // GIR_Coverage, 16305,
     /* 1177125 */     GIR_EraseRootFromParent_Done,
     /* 1177126 */   // Label 17134: @1177126
     /* 1177126 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177209), // Rule ID 16308 //
     /* 1177131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177170 */     // MIs[0] round
     /* 1177170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177208 */     // GIR_Coverage, 16308,
     /* 1177208 */     GIR_EraseRootFromParent_Done,
     /* 1177209 */   // Label 17135: @1177209
     /* 1177209 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177292), // Rule ID 16309 //
     /* 1177214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177253 */     // MIs[0] round
     /* 1177253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177291 */     // GIR_Coverage, 16309,
     /* 1177291 */     GIR_EraseRootFromParent_Done,
     /* 1177292 */   // Label 17136: @1177292
     /* 1177292 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177375), // Rule ID 16312 //
     /* 1177297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177336 */     // MIs[0] round
     /* 1177336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177374 */     // GIR_Coverage, 16312,
     /* 1177374 */     GIR_EraseRootFromParent_Done,
     /* 1177375 */   // Label 17137: @1177375
     /* 1177375 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177458), // Rule ID 16313 //
     /* 1177380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177419 */     // MIs[0] round
     /* 1177419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177457 */     // GIR_Coverage, 16313,
     /* 1177457 */     GIR_EraseRootFromParent_Done,
     /* 1177458 */   // Label 17138: @1177458
     /* 1177458 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177541), // Rule ID 16316 //
     /* 1177463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177502 */     // MIs[0] round
     /* 1177502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177540 */     // GIR_Coverage, 16316,
     /* 1177540 */     GIR_EraseRootFromParent_Done,
     /* 1177541 */   // Label 17139: @1177541
     /* 1177541 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177624), // Rule ID 16317 //
     /* 1177546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177585 */     // MIs[0] round
     /* 1177585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177623 */     // GIR_Coverage, 16317,
     /* 1177623 */     GIR_EraseRootFromParent_Done,
     /* 1177624 */   // Label 17140: @1177624
     /* 1177624 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177707), // Rule ID 16320 //
     /* 1177629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177668 */     // MIs[0] round
     /* 1177668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177678 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177706 */     // GIR_Coverage, 16320,
     /* 1177706 */     GIR_EraseRootFromParent_Done,
     /* 1177707 */   // Label 17141: @1177707
     /* 1177707 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177790), // Rule ID 16321 //
     /* 1177712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177751 */     // MIs[0] round
     /* 1177751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177789 */     // GIR_Coverage, 16321,
     /* 1177789 */     GIR_EraseRootFromParent_Done,
     /* 1177790 */   // Label 17142: @1177790
     /* 1177790 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177873), // Rule ID 16324 //
     /* 1177795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177834 */     // MIs[0] round
     /* 1177834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177872 */     // GIR_Coverage, 16324,
     /* 1177872 */     GIR_EraseRootFromParent_Done,
     /* 1177873 */   // Label 17143: @1177873
     /* 1177873 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177956), // Rule ID 16325 //
     /* 1177878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177917 */     // MIs[0] round
     /* 1177917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177955 */     // GIR_Coverage, 16325,
     /* 1177955 */     GIR_EraseRootFromParent_Done,
     /* 1177956 */   // Label 17144: @1177956
     /* 1177956 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1178039), // Rule ID 16328 //
     /* 1177961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178000 */     // MIs[0] round
     /* 1178000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1178013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178038 */     // GIR_Coverage, 16328,
     /* 1178038 */     GIR_EraseRootFromParent_Done,
     /* 1178039 */   // Label 17145: @1178039
     /* 1178039 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178122), // Rule ID 16329 //
     /* 1178044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1178055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1178058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178083 */     // MIs[0] round
     /* 1178083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1178096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178121 */     // GIR_Coverage, 16329,
     /* 1178121 */     GIR_EraseRootFromParent_Done,
     /* 1178122 */   // Label 17146: @1178122
     /* 1178122 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178205), // Rule ID 16332 //
     /* 1178127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178166 */     // MIs[0] round
     /* 1178166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1178179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178204 */     // GIR_Coverage, 16332,
     /* 1178204 */     GIR_EraseRootFromParent_Done,
     /* 1178205 */   // Label 17147: @1178205
     /* 1178205 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178288), // Rule ID 16333 //
     /* 1178210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178249 */     // MIs[0] round
     /* 1178249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1178262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178287 */     // GIR_Coverage, 16333,
     /* 1178287 */     GIR_EraseRootFromParent_Done,
     /* 1178288 */   // Label 17148: @1178288
     /* 1178288 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178371), // Rule ID 16336 //
     /* 1178293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178332 */     // MIs[0] round
     /* 1178332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1178345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178370 */     // GIR_Coverage, 16336,
     /* 1178370 */     GIR_EraseRootFromParent_Done,
     /* 1178371 */   // Label 17149: @1178371
     /* 1178371 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178454), // Rule ID 16337 //
     /* 1178376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178415 */     // MIs[0] round
     /* 1178415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1178428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178453 */     // GIR_Coverage, 16337,
     /* 1178453 */     GIR_EraseRootFromParent_Done,
     /* 1178454 */   // Label 17150: @1178454
     /* 1178454 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178537), // Rule ID 16400 //
     /* 1178459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178498 */     // MIs[0] round
     /* 1178498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178536 */     // GIR_Coverage, 16400,
     /* 1178536 */     GIR_EraseRootFromParent_Done,
     /* 1178537 */   // Label 17151: @1178537
     /* 1178537 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178620), // Rule ID 16401 //
     /* 1178542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178581 */     // MIs[0] round
     /* 1178581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178591 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178619 */     // GIR_Coverage, 16401,
     /* 1178619 */     GIR_EraseRootFromParent_Done,
     /* 1178620 */   // Label 17152: @1178620
     /* 1178620 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178703), // Rule ID 16404 //
     /* 1178625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178664 */     // MIs[0] round
     /* 1178664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178702 */     // GIR_Coverage, 16404,
     /* 1178702 */     GIR_EraseRootFromParent_Done,
     /* 1178703 */   // Label 17153: @1178703
     /* 1178703 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178786), // Rule ID 16405 //
     /* 1178708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178747 */     // MIs[0] round
     /* 1178747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178785 */     // GIR_Coverage, 16405,
     /* 1178785 */     GIR_EraseRootFromParent_Done,
     /* 1178786 */   // Label 17154: @1178786
     /* 1178786 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178869), // Rule ID 16408 //
     /* 1178791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178830 */     // MIs[0] round
     /* 1178830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178868 */     // GIR_Coverage, 16408,
     /* 1178868 */     GIR_EraseRootFromParent_Done,
     /* 1178869 */   // Label 17155: @1178869
     /* 1178869 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178952), // Rule ID 16409 //
     /* 1178874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178913 */     // MIs[0] round
     /* 1178913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178951 */     // GIR_Coverage, 16409,
     /* 1178951 */     GIR_EraseRootFromParent_Done,
     /* 1178952 */   // Label 17156: @1178952
     /* 1178952 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1179035), // Rule ID 16412 //
     /* 1178957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178996 */     // MIs[0] round
     /* 1178996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179034 */     // GIR_Coverage, 16412,
     /* 1179034 */     GIR_EraseRootFromParent_Done,
     /* 1179035 */   // Label 17157: @1179035
     /* 1179035 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179118), // Rule ID 16413 //
     /* 1179040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1179051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1179054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1179057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1179060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179079 */     // MIs[0] round
     /* 1179079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179117 */     // GIR_Coverage, 16413,
     /* 1179117 */     GIR_EraseRootFromParent_Done,
     /* 1179118 */   // Label 17158: @1179118
     /* 1179118 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179201), // Rule ID 16416 //
     /* 1179123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1179134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1179137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1179140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1179143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179162 */     // MIs[0] round
     /* 1179162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179200 */     // GIR_Coverage, 16416,
     /* 1179200 */     GIR_EraseRootFromParent_Done,
     /* 1179201 */   // Label 17159: @1179201
     /* 1179201 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179284), // Rule ID 16417 //
     /* 1179206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1179217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1179220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1179223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1179226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179245 */     // MIs[0] round
     /* 1179245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179255 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179283 */     // GIR_Coverage, 16417,
     /* 1179283 */     GIR_EraseRootFromParent_Done,
     /* 1179284 */   // Label 17160: @1179284
     /* 1179284 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179367), // Rule ID 16420 //
     /* 1179289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179328 */     // MIs[0] round
     /* 1179328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179338 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179366 */     // GIR_Coverage, 16420,
     /* 1179366 */     GIR_EraseRootFromParent_Done,
     /* 1179367 */   // Label 17161: @1179367
     /* 1179367 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179450), // Rule ID 16421 //
     /* 1179372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179411 */     // MIs[0] round
     /* 1179411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179449 */     // GIR_Coverage, 16421,
     /* 1179449 */     GIR_EraseRootFromParent_Done,
     /* 1179450 */   // Label 17162: @1179450
     /* 1179450 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179533), // Rule ID 16424 //
     /* 1179455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179494 */     // MIs[0] round
     /* 1179494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179532 */     // GIR_Coverage, 16424,
     /* 1179532 */     GIR_EraseRootFromParent_Done,
     /* 1179533 */   // Label 17163: @1179533
     /* 1179533 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179616), // Rule ID 16425 //
     /* 1179538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179577 */     // MIs[0] round
     /* 1179577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179615 */     // GIR_Coverage, 16425,
     /* 1179615 */     GIR_EraseRootFromParent_Done,
     /* 1179616 */   // Label 17164: @1179616
     /* 1179616 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179699), // Rule ID 16428 //
     /* 1179621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179660 */     // MIs[0] round
     /* 1179660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179670 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179698 */     // GIR_Coverage, 16428,
     /* 1179698 */     GIR_EraseRootFromParent_Done,
     /* 1179699 */   // Label 17165: @1179699
     /* 1179699 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179782), // Rule ID 16429 //
     /* 1179704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179743 */     // MIs[0] round
     /* 1179743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179781 */     // GIR_Coverage, 16429,
     /* 1179781 */     GIR_EraseRootFromParent_Done,
     /* 1179782 */   // Label 17166: @1179782
     /* 1179782 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179865), // Rule ID 16432 //
     /* 1179787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179826 */     // MIs[0] round
     /* 1179826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179864 */     // GIR_Coverage, 16432,
     /* 1179864 */     GIR_EraseRootFromParent_Done,
     /* 1179865 */   // Label 17167: @1179865
     /* 1179865 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179948), // Rule ID 16433 //
     /* 1179870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179909 */     // MIs[0] round
     /* 1179909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179947 */     // GIR_Coverage, 16433,
     /* 1179947 */     GIR_EraseRootFromParent_Done,
     /* 1179948 */   // Label 17168: @1179948
     /* 1179948 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1180031), // Rule ID 16436 //
     /* 1179953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179992 */     // MIs[0] round
     /* 1179992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180030 */     // GIR_Coverage, 16436,
     /* 1180030 */     GIR_EraseRootFromParent_Done,
     /* 1180031 */   // Label 17169: @1180031
     /* 1180031 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1180114), // Rule ID 16437 //
     /* 1180036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1180053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1180056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180075 */     // MIs[0] round
     /* 1180075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180113 */     // GIR_Coverage, 16437,
     /* 1180113 */     GIR_EraseRootFromParent_Done,
     /* 1180114 */   // Label 17170: @1180114
     /* 1180114 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180197), // Rule ID 16440 //
     /* 1180119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1180136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1180139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180158 */     // MIs[0] round
     /* 1180158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180196 */     // GIR_Coverage, 16440,
     /* 1180196 */     GIR_EraseRootFromParent_Done,
     /* 1180197 */   // Label 17171: @1180197
     /* 1180197 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180280), // Rule ID 16441 //
     /* 1180202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1180219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1180222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180241 */     // MIs[0] round
     /* 1180241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180279 */     // GIR_Coverage, 16441,
     /* 1180279 */     GIR_EraseRootFromParent_Done,
     /* 1180280 */   // Label 17172: @1180280
     /* 1180280 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180363), // Rule ID 16444 //
     /* 1180285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180324 */     // MIs[0] round
     /* 1180324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1180337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180362 */     // GIR_Coverage, 16444,
     /* 1180362 */     GIR_EraseRootFromParent_Done,
     /* 1180363 */   // Label 17173: @1180363
     /* 1180363 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180446), // Rule ID 16445 //
     /* 1180368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180407 */     // MIs[0] round
     /* 1180407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1180420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180445 */     // GIR_Coverage, 16445,
     /* 1180445 */     GIR_EraseRootFromParent_Done,
     /* 1180446 */   // Label 17174: @1180446
     /* 1180446 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180529), // Rule ID 16448 //
     /* 1180451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180490 */     // MIs[0] round
     /* 1180490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180528 */     // GIR_Coverage, 16448,
     /* 1180528 */     GIR_EraseRootFromParent_Done,
     /* 1180529 */   // Label 17175: @1180529
     /* 1180529 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180612), // Rule ID 16449 //
     /* 1180534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180573 */     // MIs[0] round
     /* 1180573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180611 */     // GIR_Coverage, 16449,
     /* 1180611 */     GIR_EraseRootFromParent_Done,
     /* 1180612 */   // Label 17176: @1180612
     /* 1180612 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180695), // Rule ID 16452 //
     /* 1180617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180656 */     // MIs[0] round
     /* 1180656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180694 */     // GIR_Coverage, 16452,
     /* 1180694 */     GIR_EraseRootFromParent_Done,
     /* 1180695 */   // Label 17177: @1180695
     /* 1180695 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180778), // Rule ID 16453 //
     /* 1180700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180739 */     // MIs[0] round
     /* 1180739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180777 */     // GIR_Coverage, 16453,
     /* 1180777 */     GIR_EraseRootFromParent_Done,
     /* 1180778 */   // Label 17178: @1180778
     /* 1180778 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180861), // Rule ID 16456 //
     /* 1180783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180822 */     // MIs[0] round
     /* 1180822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180860 */     // GIR_Coverage, 16456,
     /* 1180860 */     GIR_EraseRootFromParent_Done,
     /* 1180861 */   // Label 17179: @1180861
     /* 1180861 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180944), // Rule ID 16457 //
     /* 1180866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180905 */     // MIs[0] round
     /* 1180905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180915 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180943 */     // GIR_Coverage, 16457,
     /* 1180943 */     GIR_EraseRootFromParent_Done,
     /* 1180944 */   // Label 17180: @1180944
     /* 1180944 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1181027), // Rule ID 16460 //
     /* 1180949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180988 */     // MIs[0] round
     /* 1180988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1181001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181026 */     // GIR_Coverage, 16460,
     /* 1181026 */     GIR_EraseRootFromParent_Done,
     /* 1181027 */   // Label 17181: @1181027
     /* 1181027 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1181110), // Rule ID 16461 //
     /* 1181032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1181043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1181046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1181049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181071 */     // MIs[0] round
     /* 1181071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181081 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1181084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181109 */     // GIR_Coverage, 16461,
     /* 1181109 */     GIR_EraseRootFromParent_Done,
     /* 1181110 */   // Label 17182: @1181110
     /* 1181110 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181193), // Rule ID 16464 //
     /* 1181115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1181126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1181129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181154 */     // MIs[0] round
     /* 1181154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181192 */     // GIR_Coverage, 16464,
     /* 1181192 */     GIR_EraseRootFromParent_Done,
     /* 1181193 */   // Label 17183: @1181193
     /* 1181193 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181276), // Rule ID 16465 //
     /* 1181198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1181209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1181212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181237 */     // MIs[0] round
     /* 1181237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181275 */     // GIR_Coverage, 16465,
     /* 1181275 */     GIR_EraseRootFromParent_Done,
     /* 1181276 */   // Label 17184: @1181276
     /* 1181276 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181359), // Rule ID 16468 //
     /* 1181281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181320 */     // MIs[0] round
     /* 1181320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181358 */     // GIR_Coverage, 16468,
     /* 1181358 */     GIR_EraseRootFromParent_Done,
     /* 1181359 */   // Label 17185: @1181359
     /* 1181359 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181442), // Rule ID 16469 //
     /* 1181364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181403 */     // MIs[0] round
     /* 1181403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181441 */     // GIR_Coverage, 16469,
     /* 1181441 */     GIR_EraseRootFromParent_Done,
     /* 1181442 */   // Label 17186: @1181442
     /* 1181442 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181525), // Rule ID 16472 //
     /* 1181447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181486 */     // MIs[0] round
     /* 1181486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181524 */     // GIR_Coverage, 16472,
     /* 1181524 */     GIR_EraseRootFromParent_Done,
     /* 1181525 */   // Label 17187: @1181525
     /* 1181525 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181608), // Rule ID 16473 //
     /* 1181530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181569 */     // MIs[0] round
     /* 1181569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181607 */     // GIR_Coverage, 16473,
     /* 1181607 */     GIR_EraseRootFromParent_Done,
     /* 1181608 */   // Label 17188: @1181608
     /* 1181608 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181691), // Rule ID 16476 //
     /* 1181613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181652 */     // MIs[0] round
     /* 1181652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181690 */     // GIR_Coverage, 16476,
     /* 1181690 */     GIR_EraseRootFromParent_Done,
     /* 1181691 */   // Label 17189: @1181691
     /* 1181691 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181774), // Rule ID 16477 //
     /* 1181696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181735 */     // MIs[0] round
     /* 1181735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181773 */     // GIR_Coverage, 16477,
     /* 1181773 */     GIR_EraseRootFromParent_Done,
     /* 1181774 */   // Label 17190: @1181774
     /* 1181774 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181857), // Rule ID 16480 //
     /* 1181779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181818 */     // MIs[0] round
     /* 1181818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181828 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181856 */     // GIR_Coverage, 16480,
     /* 1181856 */     GIR_EraseRootFromParent_Done,
     /* 1181857 */   // Label 17191: @1181857
     /* 1181857 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181940), // Rule ID 16481 //
     /* 1181862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181901 */     // MIs[0] round
     /* 1181901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181939 */     // GIR_Coverage, 16481,
     /* 1181939 */     GIR_EraseRootFromParent_Done,
     /* 1181940 */   // Label 17192: @1181940
     /* 1181940 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1182023), // Rule ID 16484 //
     /* 1181945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181984 */     // MIs[0] round
     /* 1181984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182022 */     // GIR_Coverage, 16484,
     /* 1182022 */     GIR_EraseRootFromParent_Done,
     /* 1182023 */   // Label 17193: @1182023
     /* 1182023 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1182106), // Rule ID 16485 //
     /* 1182028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1182039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1182042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182067 */     // MIs[0] round
     /* 1182067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1182080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182105 */     // GIR_Coverage, 16485,
     /* 1182105 */     GIR_EraseRootFromParent_Done,
     /* 1182106 */   // Label 17194: @1182106
     /* 1182106 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1182189), // Rule ID 16488 //
     /* 1182111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182150 */     // MIs[0] round
     /* 1182150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182188 */     // GIR_Coverage, 16488,
     /* 1182188 */     GIR_EraseRootFromParent_Done,
     /* 1182189 */   // Label 17195: @1182189
     /* 1182189 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182272), // Rule ID 16489 //
     /* 1182194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182233 */     // MIs[0] round
     /* 1182233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182271 */     // GIR_Coverage, 16489,
     /* 1182271 */     GIR_EraseRootFromParent_Done,
     /* 1182272 */   // Label 17196: @1182272
     /* 1182272 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1182355), // Rule ID 16492 //
     /* 1182277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182316 */     // MIs[0] round
     /* 1182316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182354 */     // GIR_Coverage, 16492,
     /* 1182354 */     GIR_EraseRootFromParent_Done,
     /* 1182355 */   // Label 17197: @1182355
     /* 1182355 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182438), // Rule ID 16493 //
     /* 1182360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182399 */     // MIs[0] round
     /* 1182399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182437 */     // GIR_Coverage, 16493,
     /* 1182437 */     GIR_EraseRootFromParent_Done,
     /* 1182438 */   // Label 17198: @1182438
     /* 1182438 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182521), // Rule ID 16496 //
     /* 1182443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182482 */     // MIs[0] round
     /* 1182482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182520 */     // GIR_Coverage, 16496,
     /* 1182520 */     GIR_EraseRootFromParent_Done,
     /* 1182521 */   // Label 17199: @1182521
     /* 1182521 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182604), // Rule ID 16497 //
     /* 1182526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182565 */     // MIs[0] round
     /* 1182565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182603 */     // GIR_Coverage, 16497,
     /* 1182603 */     GIR_EraseRootFromParent_Done,
     /* 1182604 */   // Label 17200: @1182604
     /* 1182604 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182687), // Rule ID 16500 //
     /* 1182609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182648 */     // MIs[0] round
     /* 1182648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182686 */     // GIR_Coverage, 16500,
     /* 1182686 */     GIR_EraseRootFromParent_Done,
     /* 1182687 */   // Label 17201: @1182687
     /* 1182687 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182770), // Rule ID 16501 //
     /* 1182692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182731 */     // MIs[0] round
     /* 1182731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182769 */     // GIR_Coverage, 16501,
     /* 1182769 */     GIR_EraseRootFromParent_Done,
     /* 1182770 */   // Label 17202: @1182770
     /* 1182770 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182853), // Rule ID 16504 //
     /* 1182775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182814 */     // MIs[0] round
     /* 1182814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182852 */     // GIR_Coverage, 16504,
     /* 1182852 */     GIR_EraseRootFromParent_Done,
     /* 1182853 */   // Label 17203: @1182853
     /* 1182853 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182936), // Rule ID 16505 //
     /* 1182858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182897 */     // MIs[0] round
     /* 1182897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182935 */     // GIR_Coverage, 16505,
     /* 1182935 */     GIR_EraseRootFromParent_Done,
     /* 1182936 */   // Label 17204: @1182936
     /* 1182936 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1183019), // Rule ID 16508 //
     /* 1182941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182980 */     // MIs[0] round
     /* 1182980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183018 */     // GIR_Coverage, 16508,
     /* 1183018 */     GIR_EraseRootFromParent_Done,
     /* 1183019 */   // Label 17205: @1183019
     /* 1183019 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1183102), // Rule ID 16509 //
     /* 1183024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183063 */     // MIs[0] round
     /* 1183063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1183076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183101 */     // GIR_Coverage, 16509,
     /* 1183101 */     GIR_EraseRootFromParent_Done,
     /* 1183102 */   // Label 17206: @1183102
     /* 1183102 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1183185), // Rule ID 16512 //
     /* 1183107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1183110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183146 */     // MIs[0] round
     /* 1183146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1183159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183184 */     // GIR_Coverage, 16512,
     /* 1183184 */     GIR_EraseRootFromParent_Done,
     /* 1183185 */   // Label 17207: @1183185
     /* 1183185 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183268), // Rule ID 16513 //
     /* 1183190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183229 */     // MIs[0] round
     /* 1183229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1183242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183267 */     // GIR_Coverage, 16513,
     /* 1183267 */     GIR_EraseRootFromParent_Done,
     /* 1183268 */   // Label 17208: @1183268
     /* 1183268 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183351), // Rule ID 16516 //
     /* 1183273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1183276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183312 */     // MIs[0] round
     /* 1183312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1183325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183350 */     // GIR_Coverage, 16516,
     /* 1183350 */     GIR_EraseRootFromParent_Done,
     /* 1183351 */   // Label 17209: @1183351
     /* 1183351 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183434), // Rule ID 16517 //
     /* 1183356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183395 */     // MIs[0] round
     /* 1183395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1183408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183433 */     // GIR_Coverage, 16517,
     /* 1183433 */     GIR_EraseRootFromParent_Done,
     /* 1183434 */   // Label 17210: @1183434
     /* 1183434 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183514), // Rule ID 16580 //
     /* 1183439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183478 */     // MIs[0] round
     /* 1183478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183488 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183513 */     // GIR_Coverage, 16580,
     /* 1183513 */     GIR_EraseRootFromParent_Done,
     /* 1183514 */   // Label 17211: @1183514
     /* 1183514 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183594), // Rule ID 16581 //
     /* 1183519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183558 */     // MIs[0] round
     /* 1183558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183568 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183593 */     // GIR_Coverage, 16581,
     /* 1183593 */     GIR_EraseRootFromParent_Done,
     /* 1183594 */   // Label 17212: @1183594
     /* 1183594 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183674), // Rule ID 16584 //
     /* 1183599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183638 */     // MIs[0] round
     /* 1183638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183648 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183673 */     // GIR_Coverage, 16584,
     /* 1183673 */     GIR_EraseRootFromParent_Done,
     /* 1183674 */   // Label 17213: @1183674
     /* 1183674 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183754), // Rule ID 16585 //
     /* 1183679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183718 */     // MIs[0] round
     /* 1183718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183728 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183753 */     // GIR_Coverage, 16585,
     /* 1183753 */     GIR_EraseRootFromParent_Done,
     /* 1183754 */   // Label 17214: @1183754
     /* 1183754 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183834), // Rule ID 16588 //
     /* 1183759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183798 */     // MIs[0] round
     /* 1183798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183833 */     // GIR_Coverage, 16588,
     /* 1183833 */     GIR_EraseRootFromParent_Done,
     /* 1183834 */   // Label 17215: @1183834
     /* 1183834 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183914), // Rule ID 16589 //
     /* 1183839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183878 */     // MIs[0] round
     /* 1183878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183888 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183913 */     // GIR_Coverage, 16589,
     /* 1183913 */     GIR_EraseRootFromParent_Done,
     /* 1183914 */   // Label 17216: @1183914
     /* 1183914 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183994), // Rule ID 16592 //
     /* 1183919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183958 */     // MIs[0] round
     /* 1183958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183968 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183993 */     // GIR_Coverage, 16592,
     /* 1183993 */     GIR_EraseRootFromParent_Done,
     /* 1183994 */   // Label 17217: @1183994
     /* 1183994 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1184074), // Rule ID 16593 //
     /* 1183999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184038 */     // MIs[0] round
     /* 1184038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1184051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184073 */     // GIR_Coverage, 16593,
     /* 1184073 */     GIR_EraseRootFromParent_Done,
     /* 1184074 */   // Label 17218: @1184074
     /* 1184074 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1184154), // Rule ID 16596 //
     /* 1184079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184118 */     // MIs[0] round
     /* 1184118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1184131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184153 */     // GIR_Coverage, 16596,
     /* 1184153 */     GIR_EraseRootFromParent_Done,
     /* 1184154 */   // Label 17219: @1184154
     /* 1184154 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1184234), // Rule ID 16597 //
     /* 1184159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184198 */     // MIs[0] round
     /* 1184198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1184211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184233 */     // GIR_Coverage, 16597,
     /* 1184233 */     GIR_EraseRootFromParent_Done,
     /* 1184234 */   // Label 17220: @1184234
     /* 1184234 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184314), // Rule ID 16600 //
     /* 1184239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1184250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1184253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1184259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184278 */     // MIs[0] round
     /* 1184278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1184291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184313 */     // GIR_Coverage, 16600,
     /* 1184313 */     GIR_EraseRootFromParent_Done,
     /* 1184314 */   // Label 17221: @1184314
     /* 1184314 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184394), // Rule ID 16601 //
     /* 1184319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1184322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1184330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1184333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1184339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184358 */     // MIs[0] round
     /* 1184358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184368 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1184371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184393 */     // GIR_Coverage, 16601,
     /* 1184393 */     GIR_EraseRootFromParent_Done,
     /* 1184394 */   // Label 17222: @1184394
     /* 1184394 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184474), // Rule ID 16604 //
     /* 1184399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184438 */     // MIs[0] round
     /* 1184438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184448 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184473 */     // GIR_Coverage, 16604,
     /* 1184473 */     GIR_EraseRootFromParent_Done,
     /* 1184474 */   // Label 17223: @1184474
     /* 1184474 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184554), // Rule ID 16605 //
     /* 1184479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184518 */     // MIs[0] round
     /* 1184518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184553 */     // GIR_Coverage, 16605,
     /* 1184553 */     GIR_EraseRootFromParent_Done,
     /* 1184554 */   // Label 17224: @1184554
     /* 1184554 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184634), // Rule ID 16608 //
     /* 1184559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184598 */     // MIs[0] round
     /* 1184598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184608 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184633 */     // GIR_Coverage, 16608,
     /* 1184633 */     GIR_EraseRootFromParent_Done,
     /* 1184634 */   // Label 17225: @1184634
     /* 1184634 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184714), // Rule ID 16609 //
     /* 1184639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184678 */     // MIs[0] round
     /* 1184678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184688 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184713 */     // GIR_Coverage, 16609,
     /* 1184713 */     GIR_EraseRootFromParent_Done,
     /* 1184714 */   // Label 17226: @1184714
     /* 1184714 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184794), // Rule ID 16612 //
     /* 1184719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184758 */     // MIs[0] round
     /* 1184758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184768 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184793 */     // GIR_Coverage, 16612,
     /* 1184793 */     GIR_EraseRootFromParent_Done,
     /* 1184794 */   // Label 17227: @1184794
     /* 1184794 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184874), // Rule ID 16613 //
     /* 1184799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184838 */     // MIs[0] round
     /* 1184838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184848 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184873 */     // GIR_Coverage, 16613,
     /* 1184873 */     GIR_EraseRootFromParent_Done,
     /* 1184874 */   // Label 17228: @1184874
     /* 1184874 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184954), // Rule ID 16616 //
     /* 1184879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184918 */     // MIs[0] round
     /* 1184918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184953 */     // GIR_Coverage, 16616,
     /* 1184953 */     GIR_EraseRootFromParent_Done,
     /* 1184954 */   // Label 17229: @1184954
     /* 1184954 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1185034), // Rule ID 16617 //
     /* 1184959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184998 */     // MIs[0] round
     /* 1184998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185008 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1185011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185033 */     // GIR_Coverage, 16617,
     /* 1185033 */     GIR_EraseRootFromParent_Done,
     /* 1185034 */   // Label 17230: @1185034
     /* 1185034 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1185114), // Rule ID 16620 //
     /* 1185039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185078 */     // MIs[0] round
     /* 1185078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1185091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185113 */     // GIR_Coverage, 16620,
     /* 1185113 */     GIR_EraseRootFromParent_Done,
     /* 1185114 */   // Label 17231: @1185114
     /* 1185114 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1185194), // Rule ID 16621 //
     /* 1185119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185158 */     // MIs[0] round
     /* 1185158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1185171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185193 */     // GIR_Coverage, 16621,
     /* 1185193 */     GIR_EraseRootFromParent_Done,
     /* 1185194 */   // Label 17232: @1185194
     /* 1185194 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185274), // Rule ID 16624 //
     /* 1185199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1185210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1185213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1185219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185238 */     // MIs[0] round
     /* 1185238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1185251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185273 */     // GIR_Coverage, 16624,
     /* 1185273 */     GIR_EraseRootFromParent_Done,
     /* 1185274 */   // Label 17233: @1185274
     /* 1185274 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185354), // Rule ID 16625 //
     /* 1185279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1185290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1185293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1185299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185318 */     // MIs[0] round
     /* 1185318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1185331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185353 */     // GIR_Coverage, 16625,
     /* 1185353 */     GIR_EraseRootFromParent_Done,
     /* 1185354 */   // Label 17234: @1185354
     /* 1185354 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185434), // Rule ID 16628 //
     /* 1185359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185398 */     // MIs[0] round
     /* 1185398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185408 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185433 */     // GIR_Coverage, 16628,
     /* 1185433 */     GIR_EraseRootFromParent_Done,
     /* 1185434 */   // Label 17235: @1185434
     /* 1185434 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185514), // Rule ID 16629 //
     /* 1185439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185478 */     // MIs[0] round
     /* 1185478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185513 */     // GIR_Coverage, 16629,
     /* 1185513 */     GIR_EraseRootFromParent_Done,
     /* 1185514 */   // Label 17236: @1185514
     /* 1185514 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185594), // Rule ID 16632 //
     /* 1185519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185558 */     // MIs[0] round
     /* 1185558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185568 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185593 */     // GIR_Coverage, 16632,
     /* 1185593 */     GIR_EraseRootFromParent_Done,
     /* 1185594 */   // Label 17237: @1185594
     /* 1185594 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185674), // Rule ID 16633 //
     /* 1185599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185638 */     // MIs[0] round
     /* 1185638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185673 */     // GIR_Coverage, 16633,
     /* 1185673 */     GIR_EraseRootFromParent_Done,
     /* 1185674 */   // Label 17238: @1185674
     /* 1185674 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185754), // Rule ID 16636 //
     /* 1185679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185718 */     // MIs[0] round
     /* 1185718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185753 */     // GIR_Coverage, 16636,
     /* 1185753 */     GIR_EraseRootFromParent_Done,
     /* 1185754 */   // Label 17239: @1185754
     /* 1185754 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185834), // Rule ID 16637 //
     /* 1185759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185798 */     // MIs[0] round
     /* 1185798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185833 */     // GIR_Coverage, 16637,
     /* 1185833 */     GIR_EraseRootFromParent_Done,
     /* 1185834 */   // Label 17240: @1185834
     /* 1185834 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185914), // Rule ID 16640 //
     /* 1185839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185878 */     // MIs[0] round
     /* 1185878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185888 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185913 */     // GIR_Coverage, 16640,
     /* 1185913 */     GIR_EraseRootFromParent_Done,
     /* 1185914 */   // Label 17241: @1185914
     /* 1185914 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185994), // Rule ID 16641 //
     /* 1185919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185958 */     // MIs[0] round
     /* 1185958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185968 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185993 */     // GIR_Coverage, 16641,
     /* 1185993 */     GIR_EraseRootFromParent_Done,
     /* 1185994 */   // Label 17242: @1185994
     /* 1185994 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1186074), // Rule ID 16644 //
     /* 1185999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186038 */     // MIs[0] round
     /* 1186038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186048 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1186051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186073 */     // GIR_Coverage, 16644,
     /* 1186073 */     GIR_EraseRootFromParent_Done,
     /* 1186074 */   // Label 17243: @1186074
     /* 1186074 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1186154), // Rule ID 16645 //
     /* 1186079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186118 */     // MIs[0] round
     /* 1186118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186128 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1186131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186153 */     // GIR_Coverage, 16645,
     /* 1186153 */     GIR_EraseRootFromParent_Done,
     /* 1186154 */   // Label 17244: @1186154
     /* 1186154 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1186234), // Rule ID 16648 //
     /* 1186159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186198 */     // MIs[0] round
     /* 1186198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186208 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1186211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186233 */     // GIR_Coverage, 16648,
     /* 1186233 */     GIR_EraseRootFromParent_Done,
     /* 1186234 */   // Label 17245: @1186234
     /* 1186234 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186314), // Rule ID 16649 //
     /* 1186239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186278 */     // MIs[0] round
     /* 1186278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186288 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1186291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186313 */     // GIR_Coverage, 16649,
     /* 1186313 */     GIR_EraseRootFromParent_Done,
     /* 1186314 */   // Label 17246: @1186314
     /* 1186314 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186394), // Rule ID 16652 //
     /* 1186319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186358 */     // MIs[0] round
     /* 1186358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186368 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186393 */     // GIR_Coverage, 16652,
     /* 1186393 */     GIR_EraseRootFromParent_Done,
     /* 1186394 */   // Label 17247: @1186394
     /* 1186394 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186474), // Rule ID 16653 //
     /* 1186399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186438 */     // MIs[0] round
     /* 1186438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186473 */     // GIR_Coverage, 16653,
     /* 1186473 */     GIR_EraseRootFromParent_Done,
     /* 1186474 */   // Label 17248: @1186474
     /* 1186474 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186554), // Rule ID 16656 //
     /* 1186479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186518 */     // MIs[0] round
     /* 1186518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186553 */     // GIR_Coverage, 16656,
     /* 1186553 */     GIR_EraseRootFromParent_Done,
     /* 1186554 */   // Label 17249: @1186554
     /* 1186554 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186634), // Rule ID 16657 //
     /* 1186559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186598 */     // MIs[0] round
     /* 1186598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186633 */     // GIR_Coverage, 16657,
     /* 1186633 */     GIR_EraseRootFromParent_Done,
     /* 1186634 */   // Label 17250: @1186634
     /* 1186634 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186714), // Rule ID 16660 //
     /* 1186639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186678 */     // MIs[0] round
     /* 1186678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186713 */     // GIR_Coverage, 16660,
     /* 1186713 */     GIR_EraseRootFromParent_Done,
     /* 1186714 */   // Label 17251: @1186714
     /* 1186714 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186794), // Rule ID 16661 //
     /* 1186719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186758 */     // MIs[0] round
     /* 1186758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186793 */     // GIR_Coverage, 16661,
     /* 1186793 */     GIR_EraseRootFromParent_Done,
     /* 1186794 */   // Label 17252: @1186794
     /* 1186794 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186874), // Rule ID 16664 //
     /* 1186799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186838 */     // MIs[0] round
     /* 1186838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186848 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186873 */     // GIR_Coverage, 16664,
     /* 1186873 */     GIR_EraseRootFromParent_Done,
     /* 1186874 */   // Label 17253: @1186874
     /* 1186874 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186954), // Rule ID 16665 //
     /* 1186879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186918 */     // MIs[0] round
     /* 1186918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186928 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186953 */     // GIR_Coverage, 16665,
     /* 1186953 */     GIR_EraseRootFromParent_Done,
     /* 1186954 */   // Label 17254: @1186954
     /* 1186954 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1187034), // Rule ID 16668 //
     /* 1186959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186998 */     // MIs[0] round
     /* 1186998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187008 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1187011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187033 */     // GIR_Coverage, 16668,
     /* 1187033 */     GIR_EraseRootFromParent_Done,
     /* 1187034 */   // Label 17255: @1187034
     /* 1187034 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1187114), // Rule ID 16669 //
     /* 1187039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187078 */     // MIs[0] round
     /* 1187078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187088 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1187091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187113 */     // GIR_Coverage, 16669,
     /* 1187113 */     GIR_EraseRootFromParent_Done,
     /* 1187114 */   // Label 17256: @1187114
     /* 1187114 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1187194), // Rule ID 16672 //
     /* 1187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187158 */     // MIs[0] round
     /* 1187158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187168 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1187171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187193 */     // GIR_Coverage, 16672,
     /* 1187193 */     GIR_EraseRootFromParent_Done,
     /* 1187194 */   // Label 17257: @1187194
     /* 1187194 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187274), // Rule ID 16673 //
     /* 1187199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187238 */     // MIs[0] round
     /* 1187238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187248 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1187251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187273 */     // GIR_Coverage, 16673,
     /* 1187273 */     GIR_EraseRootFromParent_Done,
     /* 1187274 */   // Label 17258: @1187274
     /* 1187274 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187354), // Rule ID 16676 //
     /* 1187279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187318 */     // MIs[0] round
     /* 1187318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187328 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1187331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187353 */     // GIR_Coverage, 16676,
     /* 1187353 */     GIR_EraseRootFromParent_Done,
     /* 1187354 */   // Label 17259: @1187354
     /* 1187354 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187434), // Rule ID 16677 //
     /* 1187359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187398 */     // MIs[0] round
     /* 1187398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187408 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1187411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187433 */     // GIR_Coverage, 16677,
     /* 1187433 */     GIR_EraseRootFromParent_Done,
     /* 1187434 */   // Label 17260: @1187434
     /* 1187434 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187514), // Rule ID 16680 //
     /* 1187439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187478 */     // MIs[0] round
     /* 1187478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187513 */     // GIR_Coverage, 16680,
     /* 1187513 */     GIR_EraseRootFromParent_Done,
     /* 1187514 */   // Label 17261: @1187514
     /* 1187514 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187594), // Rule ID 16681 //
     /* 1187519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187558 */     // MIs[0] round
     /* 1187558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187568 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187593 */     // GIR_Coverage, 16681,
     /* 1187593 */     GIR_EraseRootFromParent_Done,
     /* 1187594 */   // Label 17262: @1187594
     /* 1187594 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187674), // Rule ID 16684 //
     /* 1187599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187638 */     // MIs[0] round
     /* 1187638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187673 */     // GIR_Coverage, 16684,
     /* 1187673 */     GIR_EraseRootFromParent_Done,
     /* 1187674 */   // Label 17263: @1187674
     /* 1187674 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187754), // Rule ID 16685 //
     /* 1187679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187718 */     // MIs[0] round
     /* 1187718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187753 */     // GIR_Coverage, 16685,
     /* 1187753 */     GIR_EraseRootFromParent_Done,
     /* 1187754 */   // Label 17264: @1187754
     /* 1187754 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187834), // Rule ID 16688 //
     /* 1187759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187798 */     // MIs[0] round
     /* 1187798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187808 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187833 */     // GIR_Coverage, 16688,
     /* 1187833 */     GIR_EraseRootFromParent_Done,
     /* 1187834 */   // Label 17265: @1187834
     /* 1187834 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187914), // Rule ID 16689 //
     /* 1187839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187878 */     // MIs[0] round
     /* 1187878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187913 */     // GIR_Coverage, 16689,
     /* 1187913 */     GIR_EraseRootFromParent_Done,
     /* 1187914 */   // Label 17266: @1187914
     /* 1187914 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187994), // Rule ID 16692 //
     /* 1187919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187958 */     // MIs[0] round
     /* 1187958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187968 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187993 */     // GIR_Coverage, 16692,
     /* 1187993 */     GIR_EraseRootFromParent_Done,
     /* 1187994 */   // Label 17267: @1187994
     /* 1187994 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1188074), // Rule ID 16693 //
     /* 1187999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188038 */     // MIs[0] round
     /* 1188038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188048 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1188051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188073 */     // GIR_Coverage, 16693,
     /* 1188073 */     GIR_EraseRootFromParent_Done,
     /* 1188074 */   // Label 17268: @1188074
     /* 1188074 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1188154), // Rule ID 16696 //
     /* 1188079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188118 */     // MIs[0] round
     /* 1188118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188128 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1188131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188153 */     // GIR_Coverage, 16696,
     /* 1188153 */     GIR_EraseRootFromParent_Done,
     /* 1188154 */   // Label 17269: @1188154
     /* 1188154 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1188234), // Rule ID 16697 //
     /* 1188159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188198 */     // MIs[0] round
     /* 1188198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188208 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1188211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188233 */     // GIR_Coverage, 16697,
     /* 1188233 */     GIR_EraseRootFromParent_Done,
     /* 1188234 */   // Label 17270: @1188234
     /* 1188234 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188314), // Rule ID 16700 //
     /* 1188239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188278 */     // MIs[0] round
     /* 1188278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188288 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1188291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188313 */     // GIR_Coverage, 16700,
     /* 1188313 */     GIR_EraseRootFromParent_Done,
     /* 1188314 */   // Label 17271: @1188314
     /* 1188314 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188394), // Rule ID 16701 //
     /* 1188319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188358 */     // MIs[0] round
     /* 1188358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188368 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1188371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188393 */     // GIR_Coverage, 16701,
     /* 1188393 */     GIR_EraseRootFromParent_Done,
     /* 1188394 */   // Label 17272: @1188394
     /* 1188394 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188474), // Rule ID 16704 //
     /* 1188399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188438 */     // MIs[0] round
     /* 1188438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188448 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188473 */     // GIR_Coverage, 16704,
     /* 1188473 */     GIR_EraseRootFromParent_Done,
     /* 1188474 */   // Label 17273: @1188474
     /* 1188474 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188554), // Rule ID 16705 //
     /* 1188479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188518 */     // MIs[0] round
     /* 1188518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188553 */     // GIR_Coverage, 16705,
     /* 1188553 */     GIR_EraseRootFromParent_Done,
     /* 1188554 */   // Label 17274: @1188554
     /* 1188554 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188634), // Rule ID 16708 //
     /* 1188559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188598 */     // MIs[0] round
     /* 1188598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188633 */     // GIR_Coverage, 16708,
     /* 1188633 */     GIR_EraseRootFromParent_Done,
     /* 1188634 */   // Label 17275: @1188634
     /* 1188634 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188714), // Rule ID 16709 //
     /* 1188639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188678 */     // MIs[0] round
     /* 1188678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188713 */     // GIR_Coverage, 16709,
     /* 1188713 */     GIR_EraseRootFromParent_Done,
     /* 1188714 */   // Label 17276: @1188714
     /* 1188714 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188794), // Rule ID 16712 //
     /* 1188719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188758 */     // MIs[0] round
     /* 1188758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188793 */     // GIR_Coverage, 16712,
     /* 1188793 */     GIR_EraseRootFromParent_Done,
     /* 1188794 */   // Label 17277: @1188794
     /* 1188794 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188874), // Rule ID 16713 //
     /* 1188799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188838 */     // MIs[0] round
     /* 1188838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188873 */     // GIR_Coverage, 16713,
     /* 1188873 */     GIR_EraseRootFromParent_Done,
     /* 1188874 */   // Label 17278: @1188874
     /* 1188874 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188954), // Rule ID 16716 //
     /* 1188879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188918 */     // MIs[0] round
     /* 1188918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188953 */     // GIR_Coverage, 16716,
     /* 1188953 */     GIR_EraseRootFromParent_Done,
     /* 1188954 */   // Label 17279: @1188954
     /* 1188954 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1189034), // Rule ID 16717 //
     /* 1188959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188998 */     // MIs[0] round
     /* 1188998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1189011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189033 */     // GIR_Coverage, 16717,
     /* 1189033 */     GIR_EraseRootFromParent_Done,
     /* 1189034 */   // Label 17280: @1189034
     /* 1189034 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1189114), // Rule ID 16720 //
     /* 1189039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189078 */     // MIs[0] round
     /* 1189078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1189091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189113 */     // GIR_Coverage, 16720,
     /* 1189113 */     GIR_EraseRootFromParent_Done,
     /* 1189114 */   // Label 17281: @1189114
     /* 1189114 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1189194), // Rule ID 16721 //
     /* 1189119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189158 */     // MIs[0] round
     /* 1189158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1189171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189193 */     // GIR_Coverage, 16721,
     /* 1189193 */     GIR_EraseRootFromParent_Done,
     /* 1189194 */   // Label 17282: @1189194
     /* 1189194 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189274), // Rule ID 16724 //
     /* 1189199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189238 */     // MIs[0] round
     /* 1189238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189248 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1189251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189273 */     // GIR_Coverage, 16724,
     /* 1189273 */     GIR_EraseRootFromParent_Done,
     /* 1189274 */   // Label 17283: @1189274
     /* 1189274 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189354), // Rule ID 16725 //
     /* 1189279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189318 */     // MIs[0] round
     /* 1189318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189328 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1189331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189353 */     // GIR_Coverage, 16725,
     /* 1189353 */     GIR_EraseRootFromParent_Done,
     /* 1189354 */   // Label 17284: @1189354
     /* 1189354 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189434), // Rule ID 16728 //
     /* 1189359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189398 */     // MIs[0] round
     /* 1189398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189408 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189433 */     // GIR_Coverage, 16728,
     /* 1189433 */     GIR_EraseRootFromParent_Done,
     /* 1189434 */   // Label 17285: @1189434
     /* 1189434 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189514), // Rule ID 16729 //
     /* 1189439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189478 */     // MIs[0] round
     /* 1189478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189488 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189513 */     // GIR_Coverage, 16729,
     /* 1189513 */     GIR_EraseRootFromParent_Done,
     /* 1189514 */   // Label 17286: @1189514
     /* 1189514 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189594), // Rule ID 16732 //
     /* 1189519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189558 */     // MIs[0] round
     /* 1189558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189568 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189593 */     // GIR_Coverage, 16732,
     /* 1189593 */     GIR_EraseRootFromParent_Done,
     /* 1189594 */   // Label 17287: @1189594
     /* 1189594 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189674), // Rule ID 16733 //
     /* 1189599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189638 */     // MIs[0] round
     /* 1189638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189673 */     // GIR_Coverage, 16733,
     /* 1189673 */     GIR_EraseRootFromParent_Done,
     /* 1189674 */   // Label 17288: @1189674
     /* 1189674 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189754), // Rule ID 16736 //
     /* 1189679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189718 */     // MIs[0] round
     /* 1189718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189753 */     // GIR_Coverage, 16736,
     /* 1189753 */     GIR_EraseRootFromParent_Done,
     /* 1189754 */   // Label 17289: @1189754
     /* 1189754 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189834), // Rule ID 16737 //
     /* 1189759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189798 */     // MIs[0] round
     /* 1189798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189833 */     // GIR_Coverage, 16737,
     /* 1189833 */     GIR_EraseRootFromParent_Done,
     /* 1189834 */   // Label 17290: @1189834
     /* 1189834 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189914), // Rule ID 16740 //
     /* 1189839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189878 */     // MIs[0] round
     /* 1189878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189913 */     // GIR_Coverage, 16740,
     /* 1189913 */     GIR_EraseRootFromParent_Done,
     /* 1189914 */   // Label 17291: @1189914
     /* 1189914 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189994), // Rule ID 16741 //
     /* 1189919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189958 */     // MIs[0] round
     /* 1189958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189968 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189993 */     // GIR_Coverage, 16741,
     /* 1189993 */     GIR_EraseRootFromParent_Done,
     /* 1189994 */   // Label 17292: @1189994
     /* 1189994 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1190074), // Rule ID 16744 //
     /* 1189999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190038 */     // MIs[0] round
     /* 1190038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1190051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190073 */     // GIR_Coverage, 16744,
     /* 1190073 */     GIR_EraseRootFromParent_Done,
     /* 1190074 */   // Label 17293: @1190074
     /* 1190074 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1190154), // Rule ID 16745 //
     /* 1190079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190118 */     // MIs[0] round
     /* 1190118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190128 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1190131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190153 */     // GIR_Coverage, 16745,
     /* 1190153 */     GIR_EraseRootFromParent_Done,
     /* 1190154 */   // Label 17294: @1190154
     /* 1190154 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1190234), // Rule ID 16748 //
     /* 1190159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190198 */     // MIs[0] round
     /* 1190198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190208 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1190211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190233 */     // GIR_Coverage, 16748,
     /* 1190233 */     GIR_EraseRootFromParent_Done,
     /* 1190234 */   // Label 17295: @1190234
     /* 1190234 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190314), // Rule ID 16749 //
     /* 1190239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190278 */     // MIs[0] round
     /* 1190278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1190291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190313 */     // GIR_Coverage, 16749,
     /* 1190313 */     GIR_EraseRootFromParent_Done,
     /* 1190314 */   // Label 17296: @1190314
     /* 1190314 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190394), // Rule ID 16752 //
     /* 1190319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190358 */     // MIs[0] round
     /* 1190358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190368 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190393 */     // GIR_Coverage, 16752,
     /* 1190393 */     GIR_EraseRootFromParent_Done,
     /* 1190394 */   // Label 17297: @1190394
     /* 1190394 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190474), // Rule ID 16753 //
     /* 1190399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190438 */     // MIs[0] round
     /* 1190438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190448 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190473 */     // GIR_Coverage, 16753,
     /* 1190473 */     GIR_EraseRootFromParent_Done,
     /* 1190474 */   // Label 17298: @1190474
     /* 1190474 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190554), // Rule ID 16756 //
     /* 1190479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190518 */     // MIs[0] round
     /* 1190518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190553 */     // GIR_Coverage, 16756,
     /* 1190553 */     GIR_EraseRootFromParent_Done,
     /* 1190554 */   // Label 17299: @1190554
     /* 1190554 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190634), // Rule ID 16757 //
     /* 1190559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190598 */     // MIs[0] round
     /* 1190598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190608 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190633 */     // GIR_Coverage, 16757,
     /* 1190633 */     GIR_EraseRootFromParent_Done,
     /* 1190634 */   // Label 17300: @1190634
     /* 1190634 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190714), // Rule ID 16760 //
     /* 1190639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190678 */     // MIs[0] round
     /* 1190678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190688 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190713 */     // GIR_Coverage, 16760,
     /* 1190713 */     GIR_EraseRootFromParent_Done,
     /* 1190714 */   // Label 17301: @1190714
     /* 1190714 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190794), // Rule ID 16761 //
     /* 1190719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190758 */     // MIs[0] round
     /* 1190758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190768 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190793 */     // GIR_Coverage, 16761,
     /* 1190793 */     GIR_EraseRootFromParent_Done,
     /* 1190794 */   // Label 17302: @1190794
     /* 1190794 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190874), // Rule ID 16764 //
     /* 1190799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190838 */     // MIs[0] round
     /* 1190838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190873 */     // GIR_Coverage, 16764,
     /* 1190873 */     GIR_EraseRootFromParent_Done,
     /* 1190874 */   // Label 17303: @1190874
     /* 1190874 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190954), // Rule ID 16765 //
     /* 1190879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190918 */     // MIs[0] round
     /* 1190918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190928 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190953 */     // GIR_Coverage, 16765,
     /* 1190953 */     GIR_EraseRootFromParent_Done,
     /* 1190954 */   // Label 17304: @1190954
     /* 1190954 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1191034), // Rule ID 16768 //
     /* 1190959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190998 */     // MIs[0] round
     /* 1190998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1191011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191033 */     // GIR_Coverage, 16768,
     /* 1191033 */     GIR_EraseRootFromParent_Done,
     /* 1191034 */   // Label 17305: @1191034
     /* 1191034 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1191114), // Rule ID 16769 //
     /* 1191039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191078 */     // MIs[0] round
     /* 1191078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1191091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191113 */     // GIR_Coverage, 16769,
     /* 1191113 */     GIR_EraseRootFromParent_Done,
     /* 1191114 */   // Label 17306: @1191114
     /* 1191114 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1191194), // Rule ID 16772 //
     /* 1191119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191158 */     // MIs[0] round
     /* 1191158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191168 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1191171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191193 */     // GIR_Coverage, 16772,
     /* 1191193 */     GIR_EraseRootFromParent_Done,
     /* 1191194 */   // Label 17307: @1191194
     /* 1191194 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191274), // Rule ID 16773 //
     /* 1191199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191238 */     // MIs[0] round
     /* 1191238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191248 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1191251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191273 */     // GIR_Coverage, 16773,
     /* 1191273 */     GIR_EraseRootFromParent_Done,
     /* 1191274 */   // Label 17308: @1191274
     /* 1191274 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191354), // Rule ID 16776 //
     /* 1191279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191318 */     // MIs[0] round
     /* 1191318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1191331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191353 */     // GIR_Coverage, 16776,
     /* 1191353 */     GIR_EraseRootFromParent_Done,
     /* 1191354 */   // Label 17309: @1191354
     /* 1191354 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191434), // Rule ID 16777 //
     /* 1191359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191398 */     // MIs[0] round
     /* 1191398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1191411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191433 */     // GIR_Coverage, 16777,
     /* 1191433 */     GIR_EraseRootFromParent_Done,
     /* 1191434 */   // Label 17310: @1191434
     /* 1191434 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191514), // Rule ID 16780 //
     /* 1191439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191478 */     // MIs[0] round
     /* 1191478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191488 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191513 */     // GIR_Coverage, 16780,
     /* 1191513 */     GIR_EraseRootFromParent_Done,
     /* 1191514 */   // Label 17311: @1191514
     /* 1191514 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191594), // Rule ID 16781 //
     /* 1191519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191558 */     // MIs[0] round
     /* 1191558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191593 */     // GIR_Coverage, 16781,
     /* 1191593 */     GIR_EraseRootFromParent_Done,
     /* 1191594 */   // Label 17312: @1191594
     /* 1191594 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191674), // Rule ID 16784 //
     /* 1191599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191638 */     // MIs[0] round
     /* 1191638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191648 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191673 */     // GIR_Coverage, 16784,
     /* 1191673 */     GIR_EraseRootFromParent_Done,
     /* 1191674 */   // Label 17313: @1191674
     /* 1191674 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191754), // Rule ID 16785 //
     /* 1191679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191718 */     // MIs[0] round
     /* 1191718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191728 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191753 */     // GIR_Coverage, 16785,
     /* 1191753 */     GIR_EraseRootFromParent_Done,
     /* 1191754 */   // Label 17314: @1191754
     /* 1191754 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191834), // Rule ID 16788 //
     /* 1191759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191798 */     // MIs[0] round
     /* 1191798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191808 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191833 */     // GIR_Coverage, 16788,
     /* 1191833 */     GIR_EraseRootFromParent_Done,
     /* 1191834 */   // Label 17315: @1191834
     /* 1191834 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191914), // Rule ID 16789 //
     /* 1191839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191878 */     // MIs[0] round
     /* 1191878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191888 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191913 */     // GIR_Coverage, 16789,
     /* 1191913 */     GIR_EraseRootFromParent_Done,
     /* 1191914 */   // Label 17316: @1191914
     /* 1191914 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191994), // Rule ID 16792 //
     /* 1191919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191958 */     // MIs[0] round
     /* 1191958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191968 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191993 */     // GIR_Coverage, 16792,
     /* 1191993 */     GIR_EraseRootFromParent_Done,
     /* 1191994 */   // Label 17317: @1191994
     /* 1191994 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1192074), // Rule ID 16793 //
     /* 1191999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1192010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1192013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1192016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192038 */     // MIs[0] round
     /* 1192038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192048 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1192051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192073 */     // GIR_Coverage, 16793,
     /* 1192073 */     GIR_EraseRootFromParent_Done,
     /* 1192074 */   // Label 17318: @1192074
     /* 1192074 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1192154), // Rule ID 16796 //
     /* 1192079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192118 */     // MIs[0] round
     /* 1192118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1192131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192153 */     // GIR_Coverage, 16796,
     /* 1192153 */     GIR_EraseRootFromParent_Done,
     /* 1192154 */   // Label 17319: @1192154
     /* 1192154 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1192234), // Rule ID 16797 //
     /* 1192159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192198 */     // MIs[0] round
     /* 1192198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1192211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192233 */     // GIR_Coverage, 16797,
     /* 1192233 */     GIR_EraseRootFromParent_Done,
     /* 1192234 */   // Label 17320: @1192234
     /* 1192234 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192314), // Rule ID 16800 //
     /* 1192239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192278 */     // MIs[0] round
     /* 1192278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1192291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192313 */     // GIR_Coverage, 16800,
     /* 1192313 */     GIR_EraseRootFromParent_Done,
     /* 1192314 */   // Label 17321: @1192314
     /* 1192314 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192394), // Rule ID 16801 //
     /* 1192319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192358 */     // MIs[0] round
     /* 1192358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1192371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192393 */     // GIR_Coverage, 16801,
     /* 1192393 */     GIR_EraseRootFromParent_Done,
     /* 1192394 */   // Label 17322: @1192394
     /* 1192394 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192474), // Rule ID 16804 //
     /* 1192399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192438 */     // MIs[0] round
     /* 1192438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192448 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192473 */     // GIR_Coverage, 16804,
     /* 1192473 */     GIR_EraseRootFromParent_Done,
     /* 1192474 */   // Label 17323: @1192474
     /* 1192474 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192554), // Rule ID 16805 //
     /* 1192479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192518 */     // MIs[0] round
     /* 1192518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192553 */     // GIR_Coverage, 16805,
     /* 1192553 */     GIR_EraseRootFromParent_Done,
     /* 1192554 */   // Label 17324: @1192554
     /* 1192554 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192634), // Rule ID 16808 //
     /* 1192559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192598 */     // MIs[0] round
     /* 1192598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192608 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192633 */     // GIR_Coverage, 16808,
     /* 1192633 */     GIR_EraseRootFromParent_Done,
     /* 1192634 */   // Label 17325: @1192634
     /* 1192634 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192714), // Rule ID 16809 //
     /* 1192639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192678 */     // MIs[0] round
     /* 1192678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192688 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192713 */     // GIR_Coverage, 16809,
     /* 1192713 */     GIR_EraseRootFromParent_Done,
     /* 1192714 */   // Label 17326: @1192714
     /* 1192714 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192794), // Rule ID 16812 //
     /* 1192719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192758 */     // MIs[0] round
     /* 1192758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192793 */     // GIR_Coverage, 16812,
     /* 1192793 */     GIR_EraseRootFromParent_Done,
     /* 1192794 */   // Label 17327: @1192794
     /* 1192794 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192874), // Rule ID 16813 //
     /* 1192799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192838 */     // MIs[0] round
     /* 1192838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192848 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192873 */     // GIR_Coverage, 16813,
     /* 1192873 */     GIR_EraseRootFromParent_Done,
     /* 1192874 */   // Label 17328: @1192874
     /* 1192874 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192954), // Rule ID 16816 //
     /* 1192879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192918 */     // MIs[0] round
     /* 1192918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192928 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192953 */     // GIR_Coverage, 16816,
     /* 1192953 */     GIR_EraseRootFromParent_Done,
     /* 1192954 */   // Label 17329: @1192954
     /* 1192954 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1193034), // Rule ID 16817 //
     /* 1192959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192998 */     // MIs[0] round
     /* 1192998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1193011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193033 */     // GIR_Coverage, 16817,
     /* 1193033 */     GIR_EraseRootFromParent_Done,
     /* 1193034 */   // Label 17330: @1193034
     /* 1193034 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1193114), // Rule ID 16820 //
     /* 1193039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193078 */     // MIs[0] round
     /* 1193078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193088 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1193091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193113 */     // GIR_Coverage, 16820,
     /* 1193113 */     GIR_EraseRootFromParent_Done,
     /* 1193114 */   // Label 17331: @1193114
     /* 1193114 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1193194), // Rule ID 16821 //
     /* 1193119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193158 */     // MIs[0] round
     /* 1193158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193168 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1193171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193193 */     // GIR_Coverage, 16821,
     /* 1193193 */     GIR_EraseRootFromParent_Done,
     /* 1193194 */   // Label 17332: @1193194
     /* 1193194 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193274), // Rule ID 16824 //
     /* 1193199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193238 */     // MIs[0] round
     /* 1193238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193248 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1193251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193273 */     // GIR_Coverage, 16824,
     /* 1193273 */     GIR_EraseRootFromParent_Done,
     /* 1193274 */   // Label 17333: @1193274
     /* 1193274 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193354), // Rule ID 16825 //
     /* 1193279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193318 */     // MIs[0] round
     /* 1193318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1193331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193353 */     // GIR_Coverage, 16825,
     /* 1193353 */     GIR_EraseRootFromParent_Done,
     /* 1193354 */   // Label 17334: @1193354
     /* 1193354 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193434), // Rule ID 16828 //
     /* 1193359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193398 */     // MIs[0] round
     /* 1193398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193408 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193433 */     // GIR_Coverage, 16828,
     /* 1193433 */     GIR_EraseRootFromParent_Done,
     /* 1193434 */   // Label 17335: @1193434
     /* 1193434 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193514), // Rule ID 16829 //
     /* 1193439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193478 */     // MIs[0] round
     /* 1193478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193488 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193513 */     // GIR_Coverage, 16829,
     /* 1193513 */     GIR_EraseRootFromParent_Done,
     /* 1193514 */   // Label 17336: @1193514
     /* 1193514 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193594), // Rule ID 16832 //
     /* 1193519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193558 */     // MIs[0] round
     /* 1193558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193568 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193593 */     // GIR_Coverage, 16832,
     /* 1193593 */     GIR_EraseRootFromParent_Done,
     /* 1193594 */   // Label 17337: @1193594
     /* 1193594 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193674), // Rule ID 16833 //
     /* 1193599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193638 */     // MIs[0] round
     /* 1193638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193673 */     // GIR_Coverage, 16833,
     /* 1193673 */     GIR_EraseRootFromParent_Done,
     /* 1193674 */   // Label 17338: @1193674
     /* 1193674 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193754), // Rule ID 16836 //
     /* 1193679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193718 */     // MIs[0] round
     /* 1193718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193753 */     // GIR_Coverage, 16836,
     /* 1193753 */     GIR_EraseRootFromParent_Done,
     /* 1193754 */   // Label 17339: @1193754
     /* 1193754 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193834), // Rule ID 16837 //
     /* 1193759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193798 */     // MIs[0] round
     /* 1193798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193833 */     // GIR_Coverage, 16837,
     /* 1193833 */     GIR_EraseRootFromParent_Done,
     /* 1193834 */   // Label 17340: @1193834
     /* 1193834 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193914), // Rule ID 16840 //
     /* 1193839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193878 */     // MIs[0] round
     /* 1193878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193913 */     // GIR_Coverage, 16840,
     /* 1193913 */     GIR_EraseRootFromParent_Done,
     /* 1193914 */   // Label 17341: @1193914
     /* 1193914 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193994), // Rule ID 16841 //
     /* 1193919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193958 */     // MIs[0] round
     /* 1193958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193993 */     // GIR_Coverage, 16841,
     /* 1193993 */     GIR_EraseRootFromParent_Done,
     /* 1193994 */   // Label 17342: @1193994
     /* 1193994 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1194074), // Rule ID 16844 //
     /* 1193999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194038 */     // MIs[0] round
     /* 1194038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1194051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194073 */     // GIR_Coverage, 16844,
     /* 1194073 */     GIR_EraseRootFromParent_Done,
     /* 1194074 */   // Label 17343: @1194074
     /* 1194074 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1194154), // Rule ID 16845 //
     /* 1194079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194118 */     // MIs[0] round
     /* 1194118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194128 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1194131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194153 */     // GIR_Coverage, 16845,
     /* 1194153 */     GIR_EraseRootFromParent_Done,
     /* 1194154 */   // Label 17344: @1194154
     /* 1194154 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1194234), // Rule ID 16848 //
     /* 1194159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194198 */     // MIs[0] round
     /* 1194198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194208 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1194211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194233 */     // GIR_Coverage, 16848,
     /* 1194233 */     GIR_EraseRootFromParent_Done,
     /* 1194234 */   // Label 17345: @1194234
     /* 1194234 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194314), // Rule ID 16849 //
     /* 1194239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194278 */     // MIs[0] round
     /* 1194278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194288 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1194291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194313 */     // GIR_Coverage, 16849,
     /* 1194313 */     GIR_EraseRootFromParent_Done,
     /* 1194314 */   // Label 17346: @1194314
     /* 1194314 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194394), // Rule ID 16852 //
     /* 1194319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194358 */     // MIs[0] round
     /* 1194358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194368 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194393 */     // GIR_Coverage, 16852,
     /* 1194393 */     GIR_EraseRootFromParent_Done,
     /* 1194394 */   // Label 17347: @1194394
     /* 1194394 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194474), // Rule ID 16853 //
     /* 1194399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194438 */     // MIs[0] round
     /* 1194438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194448 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194473 */     // GIR_Coverage, 16853,
     /* 1194473 */     GIR_EraseRootFromParent_Done,
     /* 1194474 */   // Label 17348: @1194474
     /* 1194474 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194554), // Rule ID 16856 //
     /* 1194479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194518 */     // MIs[0] round
     /* 1194518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194553 */     // GIR_Coverage, 16856,
     /* 1194553 */     GIR_EraseRootFromParent_Done,
     /* 1194554 */   // Label 17349: @1194554
     /* 1194554 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194634), // Rule ID 16857 //
     /* 1194559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194598 */     // MIs[0] round
     /* 1194598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194633 */     // GIR_Coverage, 16857,
     /* 1194633 */     GIR_EraseRootFromParent_Done,
     /* 1194634 */   // Label 17350: @1194634
     /* 1194634 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194714), // Rule ID 16860 //
     /* 1194639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194678 */     // MIs[0] round
     /* 1194678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194713 */     // GIR_Coverage, 16860,
     /* 1194713 */     GIR_EraseRootFromParent_Done,
     /* 1194714 */   // Label 17351: @1194714
     /* 1194714 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194794), // Rule ID 16861 //
     /* 1194719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194758 */     // MIs[0] round
     /* 1194758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194793 */     // GIR_Coverage, 16861,
     /* 1194793 */     GIR_EraseRootFromParent_Done,
     /* 1194794 */   // Label 17352: @1194794
     /* 1194794 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194874), // Rule ID 16864 //
     /* 1194799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194838 */     // MIs[0] round
     /* 1194838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194848 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194873 */     // GIR_Coverage, 16864,
     /* 1194873 */     GIR_EraseRootFromParent_Done,
     /* 1194874 */   // Label 17353: @1194874
     /* 1194874 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194954), // Rule ID 16865 //
     /* 1194879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194918 */     // MIs[0] round
     /* 1194918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194928 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194953 */     // GIR_Coverage, 16865,
     /* 1194953 */     GIR_EraseRootFromParent_Done,
     /* 1194954 */   // Label 17354: @1194954
     /* 1194954 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1195034), // Rule ID 16868 //
     /* 1194959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194998 */     // MIs[0] round
     /* 1194998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1195011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195033 */     // GIR_Coverage, 16868,
     /* 1195033 */     GIR_EraseRootFromParent_Done,
     /* 1195034 */   // Label 17355: @1195034
     /* 1195034 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1195114), // Rule ID 16869 //
     /* 1195039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195078 */     // MIs[0] round
     /* 1195078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195088 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1195091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195113 */     // GIR_Coverage, 16869,
     /* 1195113 */     GIR_EraseRootFromParent_Done,
     /* 1195114 */   // Label 17356: @1195114
     /* 1195114 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1195194), // Rule ID 16872 //
     /* 1195119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195158 */     // MIs[0] round
     /* 1195158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195168 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1195171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195193 */     // GIR_Coverage, 16872,
     /* 1195193 */     GIR_EraseRootFromParent_Done,
     /* 1195194 */   // Label 17357: @1195194
     /* 1195194 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195274), // Rule ID 16873 //
     /* 1195199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195238 */     // MIs[0] round
     /* 1195238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195248 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1195251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195273 */     // GIR_Coverage, 16873,
     /* 1195273 */     GIR_EraseRootFromParent_Done,
     /* 1195274 */   // Label 17358: @1195274
     /* 1195274 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195354), // Rule ID 16876 //
     /* 1195279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195318 */     // MIs[0] round
     /* 1195318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1195331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195353 */     // GIR_Coverage, 16876,
     /* 1195353 */     GIR_EraseRootFromParent_Done,
     /* 1195354 */   // Label 17359: @1195354
     /* 1195354 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195434), // Rule ID 16877 //
     /* 1195359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1195367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195398 */     // MIs[0] round
     /* 1195398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1195411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195433 */     // GIR_Coverage, 16877,
     /* 1195433 */     GIR_EraseRootFromParent_Done,
     /* 1195434 */   // Label 17360: @1195434
     /* 1195434 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195514), // Rule ID 16880 //
     /* 1195439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195478 */     // MIs[0] round
     /* 1195478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195488 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195513 */     // GIR_Coverage, 16880,
     /* 1195513 */     GIR_EraseRootFromParent_Done,
     /* 1195514 */   // Label 17361: @1195514
     /* 1195514 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195594), // Rule ID 16881 //
     /* 1195519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195558 */     // MIs[0] round
     /* 1195558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195568 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195593 */     // GIR_Coverage, 16881,
     /* 1195593 */     GIR_EraseRootFromParent_Done,
     /* 1195594 */   // Label 17362: @1195594
     /* 1195594 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195674), // Rule ID 16884 //
     /* 1195599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195638 */     // MIs[0] round
     /* 1195638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195673 */     // GIR_Coverage, 16884,
     /* 1195673 */     GIR_EraseRootFromParent_Done,
     /* 1195674 */   // Label 17363: @1195674
     /* 1195674 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195754), // Rule ID 16885 //
     /* 1195679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195718 */     // MIs[0] round
     /* 1195718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195753 */     // GIR_Coverage, 16885,
     /* 1195753 */     GIR_EraseRootFromParent_Done,
     /* 1195754 */   // Label 17364: @1195754
     /* 1195754 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195834), // Rule ID 16888 //
     /* 1195759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195798 */     // MIs[0] round
     /* 1195798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195833 */     // GIR_Coverage, 16888,
     /* 1195833 */     GIR_EraseRootFromParent_Done,
     /* 1195834 */   // Label 17365: @1195834
     /* 1195834 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195914), // Rule ID 16889 //
     /* 1195839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195878 */     // MIs[0] round
     /* 1195878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195888 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195913 */     // GIR_Coverage, 16889,
     /* 1195913 */     GIR_EraseRootFromParent_Done,
     /* 1195914 */   // Label 17366: @1195914
     /* 1195914 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195994), // Rule ID 16892 //
     /* 1195919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195958 */     // MIs[0] round
     /* 1195958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195968 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195993 */     // GIR_Coverage, 16892,
     /* 1195993 */     GIR_EraseRootFromParent_Done,
     /* 1195994 */   // Label 17367: @1195994
     /* 1195994 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1196074), // Rule ID 16893 //
     /* 1195999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1196019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196038 */     // MIs[0] round
     /* 1196038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1196051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196073 */     // GIR_Coverage, 16893,
     /* 1196073 */     GIR_EraseRootFromParent_Done,
     /* 1196074 */   // Label 17368: @1196074
     /* 1196074 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1196154), // Rule ID 16896 //
     /* 1196079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1196099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196118 */     // MIs[0] round
     /* 1196118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196128 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1196131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196153 */     // GIR_Coverage, 16896,
     /* 1196153 */     GIR_EraseRootFromParent_Done,
     /* 1196154 */   // Label 17369: @1196154
     /* 1196154 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1196234), // Rule ID 16897 //
     /* 1196159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1196179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196198 */     // MIs[0] round
     /* 1196198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196208 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1196211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196233 */     // GIR_Coverage, 16897,
     /* 1196233 */     GIR_EraseRootFromParent_Done,
     /* 1196234 */   // Label 17370: @1196234
     /* 1196234 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196314), // Rule ID 16900 //
     /* 1196239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1196259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196278 */     // MIs[0] round
     /* 1196278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1196291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196313 */     // GIR_Coverage, 16900,
     /* 1196313 */     GIR_EraseRootFromParent_Done,
     /* 1196314 */   // Label 17371: @1196314
     /* 1196314 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196394), // Rule ID 16901 //
     /* 1196319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1196339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196358 */     // MIs[0] round
     /* 1196358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196368 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1196371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196393 */     // GIR_Coverage, 16901,
     /* 1196393 */     GIR_EraseRootFromParent_Done,
     /* 1196394 */   // Label 17372: @1196394
     /* 1196394 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196474), // Rule ID 16904 //
     /* 1196399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196438 */     // MIs[0] round
     /* 1196438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196473 */     // GIR_Coverage, 16904,
     /* 1196473 */     GIR_EraseRootFromParent_Done,
     /* 1196474 */   // Label 17373: @1196474
     /* 1196474 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196554), // Rule ID 16905 //
     /* 1196479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196518 */     // MIs[0] round
     /* 1196518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196528 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196553 */     // GIR_Coverage, 16905,
     /* 1196553 */     GIR_EraseRootFromParent_Done,
     /* 1196554 */   // Label 17374: @1196554
     /* 1196554 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196634), // Rule ID 16908 //
     /* 1196559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196598 */     // MIs[0] round
     /* 1196598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196608 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196633 */     // GIR_Coverage, 16908,
     /* 1196633 */     GIR_EraseRootFromParent_Done,
     /* 1196634 */   // Label 17375: @1196634
     /* 1196634 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196714), // Rule ID 16909 //
     /* 1196639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196678 */     // MIs[0] round
     /* 1196678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196688 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196713 */     // GIR_Coverage, 16909,
     /* 1196713 */     GIR_EraseRootFromParent_Done,
     /* 1196714 */   // Label 17376: @1196714
     /* 1196714 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196794), // Rule ID 16912 //
     /* 1196719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196758 */     // MIs[0] round
     /* 1196758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196768 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196793 */     // GIR_Coverage, 16912,
     /* 1196793 */     GIR_EraseRootFromParent_Done,
     /* 1196794 */   // Label 17377: @1196794
     /* 1196794 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196874), // Rule ID 16913 //
     /* 1196799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196838 */     // MIs[0] round
     /* 1196838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196848 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196873 */     // GIR_Coverage, 16913,
     /* 1196873 */     GIR_EraseRootFromParent_Done,
     /* 1196874 */   // Label 17378: @1196874
     /* 1196874 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196954), // Rule ID 16916 //
     /* 1196879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196918 */     // MIs[0] round
     /* 1196918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196953 */     // GIR_Coverage, 16916,
     /* 1196953 */     GIR_EraseRootFromParent_Done,
     /* 1196954 */   // Label 17379: @1196954
     /* 1196954 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1197034), // Rule ID 16917 //
     /* 1196959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196998 */     // MIs[0] round
     /* 1196998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1197011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197033 */     // GIR_Coverage, 16917,
     /* 1197033 */     GIR_EraseRootFromParent_Done,
     /* 1197034 */   // Label 17380: @1197034
     /* 1197034 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1197114), // Rule ID 16920 //
     /* 1197039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197078 */     // MIs[0] round
     /* 1197078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1197091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197113 */     // GIR_Coverage, 16920,
     /* 1197113 */     GIR_EraseRootFromParent_Done,
     /* 1197114 */   // Label 17381: @1197114
     /* 1197114 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1197194), // Rule ID 16921 //
     /* 1197119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197158 */     // MIs[0] round
     /* 1197158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1197171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197193 */     // GIR_Coverage, 16921,
     /* 1197193 */     GIR_EraseRootFromParent_Done,
     /* 1197194 */   // Label 17382: @1197194
     /* 1197194 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197274), // Rule ID 16924 //
     /* 1197199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197238 */     // MIs[0] round
     /* 1197238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1197251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197273 */     // GIR_Coverage, 16924,
     /* 1197273 */     GIR_EraseRootFromParent_Done,
     /* 1197274 */   // Label 17383: @1197274
     /* 1197274 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197354), // Rule ID 16925 //
     /* 1197279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197318 */     // MIs[0] round
     /* 1197318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197328 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1197331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197353 */     // GIR_Coverage, 16925,
     /* 1197353 */     GIR_EraseRootFromParent_Done,
     /* 1197354 */   // Label 17384: @1197354
     /* 1197354 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197434), // Rule ID 16928 //
     /* 1197359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197398 */     // MIs[0] round
     /* 1197398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197408 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197433 */     // GIR_Coverage, 16928,
     /* 1197433 */     GIR_EraseRootFromParent_Done,
     /* 1197434 */   // Label 17385: @1197434
     /* 1197434 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197514), // Rule ID 16929 //
     /* 1197439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197478 */     // MIs[0] round
     /* 1197478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197513 */     // GIR_Coverage, 16929,
     /* 1197513 */     GIR_EraseRootFromParent_Done,
     /* 1197514 */   // Label 17386: @1197514
     /* 1197514 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197594), // Rule ID 16932 //
     /* 1197519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197558 */     // MIs[0] round
     /* 1197558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197593 */     // GIR_Coverage, 16932,
     /* 1197593 */     GIR_EraseRootFromParent_Done,
     /* 1197594 */   // Label 17387: @1197594
     /* 1197594 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197674), // Rule ID 16933 //
     /* 1197599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197638 */     // MIs[0] round
     /* 1197638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197673 */     // GIR_Coverage, 16933,
     /* 1197673 */     GIR_EraseRootFromParent_Done,
     /* 1197674 */   // Label 17388: @1197674
     /* 1197674 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197754), // Rule ID 16936 //
     /* 1197679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197718 */     // MIs[0] round
     /* 1197718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197753 */     // GIR_Coverage, 16936,
     /* 1197753 */     GIR_EraseRootFromParent_Done,
     /* 1197754 */   // Label 17389: @1197754
     /* 1197754 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197834), // Rule ID 16937 //
     /* 1197759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197798 */     // MIs[0] round
     /* 1197798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197833 */     // GIR_Coverage, 16937,
     /* 1197833 */     GIR_EraseRootFromParent_Done,
     /* 1197834 */   // Label 17390: @1197834
     /* 1197834 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197914), // Rule ID 16940 //
     /* 1197839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197878 */     // MIs[0] round
     /* 1197878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197913 */     // GIR_Coverage, 16940,
     /* 1197913 */     GIR_EraseRootFromParent_Done,
     /* 1197914 */   // Label 17391: @1197914
     /* 1197914 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197994), // Rule ID 16941 //
     /* 1197919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197958 */     // MIs[0] round
     /* 1197958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197968 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197993 */     // GIR_Coverage, 16941,
     /* 1197993 */     GIR_EraseRootFromParent_Done,
     /* 1197994 */   // Label 17392: @1197994
     /* 1197994 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1198074), // Rule ID 16944 //
     /* 1197999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198038 */     // MIs[0] round
     /* 1198038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198048 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1198051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198073 */     // GIR_Coverage, 16944,
     /* 1198073 */     GIR_EraseRootFromParent_Done,
     /* 1198074 */   // Label 17393: @1198074
     /* 1198074 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1198154), // Rule ID 16945 //
     /* 1198079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198118 */     // MIs[0] round
     /* 1198118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1198131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198153 */     // GIR_Coverage, 16945,
     /* 1198153 */     GIR_EraseRootFromParent_Done,
     /* 1198154 */   // Label 17394: @1198154
     /* 1198154 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198234), // Rule ID 16948 //
     /* 1198159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198198 */     // MIs[0] round
     /* 1198198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198208 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1198211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198233 */     // GIR_Coverage, 16948,
     /* 1198233 */     GIR_EraseRootFromParent_Done,
     /* 1198234 */   // Label 17395: @1198234
     /* 1198234 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198314), // Rule ID 16949 //
     /* 1198239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1198247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198278 */     // MIs[0] round
     /* 1198278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198288 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1198291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198313 */     // GIR_Coverage, 16949,
     /* 1198313 */     GIR_EraseRootFromParent_Done,
     /* 1198314 */   // Label 17396: @1198314
     /* 1198314 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198394), // Rule ID 16952 //
     /* 1198319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198358 */     // MIs[0] round
     /* 1198358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198368 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198393 */     // GIR_Coverage, 16952,
     /* 1198393 */     GIR_EraseRootFromParent_Done,
     /* 1198394 */   // Label 17397: @1198394
     /* 1198394 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198474), // Rule ID 16953 //
     /* 1198399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198438 */     // MIs[0] round
     /* 1198438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198448 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198473 */     // GIR_Coverage, 16953,
     /* 1198473 */     GIR_EraseRootFromParent_Done,
     /* 1198474 */   // Label 17398: @1198474
     /* 1198474 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198554), // Rule ID 16956 //
     /* 1198479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198518 */     // MIs[0] round
     /* 1198518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198553 */     // GIR_Coverage, 16956,
     /* 1198553 */     GIR_EraseRootFromParent_Done,
     /* 1198554 */   // Label 17399: @1198554
     /* 1198554 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198634), // Rule ID 16957 //
     /* 1198559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198598 */     // MIs[0] round
     /* 1198598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198633 */     // GIR_Coverage, 16957,
     /* 1198633 */     GIR_EraseRootFromParent_Done,
     /* 1198634 */   // Label 17400: @1198634
     /* 1198634 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198714), // Rule ID 16960 //
     /* 1198639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198678 */     // MIs[0] round
     /* 1198678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198713 */     // GIR_Coverage, 16960,
     /* 1198713 */     GIR_EraseRootFromParent_Done,
     /* 1198714 */   // Label 17401: @1198714
     /* 1198714 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198794), // Rule ID 16961 //
     /* 1198719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198758 */     // MIs[0] round
     /* 1198758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198793 */     // GIR_Coverage, 16961,
     /* 1198793 */     GIR_EraseRootFromParent_Done,
     /* 1198794 */   // Label 17402: @1198794
     /* 1198794 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198874), // Rule ID 16964 //
     /* 1198799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198838 */     // MIs[0] round
     /* 1198838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198848 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198873 */     // GIR_Coverage, 16964,
     /* 1198873 */     GIR_EraseRootFromParent_Done,
     /* 1198874 */   // Label 17403: @1198874
     /* 1198874 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198954), // Rule ID 16965 //
     /* 1198879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198918 */     // MIs[0] round
     /* 1198918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198953 */     // GIR_Coverage, 16965,
     /* 1198953 */     GIR_EraseRootFromParent_Done,
     /* 1198954 */   // Label 17404: @1198954
     /* 1198954 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1199034), // Rule ID 16968 //
     /* 1198959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198998 */     // MIs[0] round
     /* 1198998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1199011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199033 */     // GIR_Coverage, 16968,
     /* 1199033 */     GIR_EraseRootFromParent_Done,
     /* 1199034 */   // Label 17405: @1199034
     /* 1199034 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1199114), // Rule ID 16969 //
     /* 1199039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1199059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199078 */     // MIs[0] round
     /* 1199078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1199091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199113 */     // GIR_Coverage, 16969,
     /* 1199113 */     GIR_EraseRootFromParent_Done,
     /* 1199114 */   // Label 17406: @1199114
     /* 1199114 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1199194), // Rule ID 16972 //
     /* 1199119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1199139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199158 */     // MIs[0] round
     /* 1199158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1199171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199193 */     // GIR_Coverage, 16972,
     /* 1199193 */     GIR_EraseRootFromParent_Done,
     /* 1199194 */   // Label 17407: @1199194
     /* 1199194 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199274), // Rule ID 16973 //
     /* 1199199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1199219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199238 */     // MIs[0] round
     /* 1199238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1199251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199273 */     // GIR_Coverage, 16973,
     /* 1199273 */     GIR_EraseRootFromParent_Done,
     /* 1199274 */   // Label 17408: @1199274
     /* 1199274 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199354), // Rule ID 16976 //
     /* 1199279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199318 */     // MIs[0] round
     /* 1199318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1199331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199353 */     // GIR_Coverage, 16976,
     /* 1199353 */     GIR_EraseRootFromParent_Done,
     /* 1199354 */   // Label 17409: @1199354
     /* 1199354 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199434), // Rule ID 16977 //
     /* 1199359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199398 */     // MIs[0] round
     /* 1199398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199408 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1199411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199433 */     // GIR_Coverage, 16977,
     /* 1199433 */     GIR_EraseRootFromParent_Done,
     /* 1199434 */   // Label 17410: @1199434
     /* 1199434 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199514), // Rule ID 16980 //
     /* 1199439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199478 */     // MIs[0] round
     /* 1199478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199488 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199513 */     // GIR_Coverage, 16980,
     /* 1199513 */     GIR_EraseRootFromParent_Done,
     /* 1199514 */   // Label 17411: @1199514
     /* 1199514 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199594), // Rule ID 16981 //
     /* 1199519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199558 */     // MIs[0] round
     /* 1199558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199568 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199593 */     // GIR_Coverage, 16981,
     /* 1199593 */     GIR_EraseRootFromParent_Done,
     /* 1199594 */   // Label 17412: @1199594
     /* 1199594 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199674), // Rule ID 16984 //
     /* 1199599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199638 */     // MIs[0] round
     /* 1199638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199673 */     // GIR_Coverage, 16984,
     /* 1199673 */     GIR_EraseRootFromParent_Done,
     /* 1199674 */   // Label 17413: @1199674
     /* 1199674 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199754), // Rule ID 16985 //
     /* 1199679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199718 */     // MIs[0] round
     /* 1199718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199753 */     // GIR_Coverage, 16985,
     /* 1199753 */     GIR_EraseRootFromParent_Done,
     /* 1199754 */   // Label 17414: @1199754
     /* 1199754 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199834), // Rule ID 16988 //
     /* 1199759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199798 */     // MIs[0] round
     /* 1199798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199833 */     // GIR_Coverage, 16988,
     /* 1199833 */     GIR_EraseRootFromParent_Done,
     /* 1199834 */   // Label 17415: @1199834
     /* 1199834 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199914), // Rule ID 16989 //
     /* 1199839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199878 */     // MIs[0] round
     /* 1199878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199888 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199913 */     // GIR_Coverage, 16989,
     /* 1199913 */     GIR_EraseRootFromParent_Done,
     /* 1199914 */   // Label 17416: @1199914
     /* 1199914 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199994), // Rule ID 16992 //
     /* 1199919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199958 */     // MIs[0] round
     /* 1199958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199993 */     // GIR_Coverage, 16992,
     /* 1199993 */     GIR_EraseRootFromParent_Done,
     /* 1199994 */   // Label 17417: @1199994
     /* 1199994 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1200074), // Rule ID 16993 //
     /* 1199999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200038 */     // MIs[0] round
     /* 1200038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1200051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200073 */     // GIR_Coverage, 16993,
     /* 1200073 */     GIR_EraseRootFromParent_Done,
     /* 1200074 */   // Label 17418: @1200074
     /* 1200074 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1200154), // Rule ID 16996 //
     /* 1200079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200118 */     // MIs[0] round
     /* 1200118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1200131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200153 */     // GIR_Coverage, 16996,
     /* 1200153 */     GIR_EraseRootFromParent_Done,
     /* 1200154 */   // Label 17419: @1200154
     /* 1200154 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200234), // Rule ID 16997 //
     /* 1200159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200198 */     // MIs[0] round
     /* 1200198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1200211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200233 */     // GIR_Coverage, 16997,
     /* 1200233 */     GIR_EraseRootFromParent_Done,
     /* 1200234 */   // Label 17420: @1200234
     /* 1200234 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200314), // Rule ID 17000 //
     /* 1200239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200278 */     // MIs[0] round
     /* 1200278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1200291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200313 */     // GIR_Coverage, 17000,
     /* 1200313 */     GIR_EraseRootFromParent_Done,
     /* 1200314 */   // Label 17421: @1200314
     /* 1200314 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200394), // Rule ID 17001 //
     /* 1200319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200358 */     // MIs[0] round
     /* 1200358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1200371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200393 */     // GIR_Coverage, 17001,
     /* 1200393 */     GIR_EraseRootFromParent_Done,
     /* 1200394 */   // Label 17422: @1200394
     /* 1200394 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200474), // Rule ID 17004 //
     /* 1200399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200438 */     // MIs[0] round
     /* 1200438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200448 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200473 */     // GIR_Coverage, 17004,
     /* 1200473 */     GIR_EraseRootFromParent_Done,
     /* 1200474 */   // Label 17423: @1200474
     /* 1200474 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200554), // Rule ID 17005 //
     /* 1200479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200518 */     // MIs[0] round
     /* 1200518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200553 */     // GIR_Coverage, 17005,
     /* 1200553 */     GIR_EraseRootFromParent_Done,
     /* 1200554 */   // Label 17424: @1200554
     /* 1200554 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200634), // Rule ID 17008 //
     /* 1200559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200598 */     // MIs[0] round
     /* 1200598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200608 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200633 */     // GIR_Coverage, 17008,
     /* 1200633 */     GIR_EraseRootFromParent_Done,
     /* 1200634 */   // Label 17425: @1200634
     /* 1200634 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200714), // Rule ID 17009 //
     /* 1200639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200678 */     // MIs[0] round
     /* 1200678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200713 */     // GIR_Coverage, 17009,
     /* 1200713 */     GIR_EraseRootFromParent_Done,
     /* 1200714 */   // Label 17426: @1200714
     /* 1200714 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200794), // Rule ID 17012 //
     /* 1200719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200758 */     // MIs[0] round
     /* 1200758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200768 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200793 */     // GIR_Coverage, 17012,
     /* 1200793 */     GIR_EraseRootFromParent_Done,
     /* 1200794 */   // Label 17427: @1200794
     /* 1200794 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200874), // Rule ID 17013 //
     /* 1200799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200838 */     // MIs[0] round
     /* 1200838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200848 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200873 */     // GIR_Coverage, 17013,
     /* 1200873 */     GIR_EraseRootFromParent_Done,
     /* 1200874 */   // Label 17428: @1200874
     /* 1200874 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200954), // Rule ID 17016 //
     /* 1200879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200918 */     // MIs[0] round
     /* 1200918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200928 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200953 */     // GIR_Coverage, 17016,
     /* 1200953 */     GIR_EraseRootFromParent_Done,
     /* 1200954 */   // Label 17429: @1200954
     /* 1200954 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1201034), // Rule ID 17017 //
     /* 1200959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200998 */     // MIs[0] round
     /* 1200998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1201011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201033 */     // GIR_Coverage, 17017,
     /* 1201033 */     GIR_EraseRootFromParent_Done,
     /* 1201034 */   // Label 17430: @1201034
     /* 1201034 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1201114), // Rule ID 17020 //
     /* 1201039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1201047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201078 */     // MIs[0] round
     /* 1201078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201088 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1201091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201113 */     // GIR_Coverage, 17020,
     /* 1201113 */     GIR_EraseRootFromParent_Done,
     /* 1201114 */   // Label 17431: @1201114
     /* 1201114 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201194), // Rule ID 17021 //
     /* 1201119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1201127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201158 */     // MIs[0] round
     /* 1201158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1201171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201193 */     // GIR_Coverage, 17021,
     /* 1201193 */     GIR_EraseRootFromParent_Done,
     /* 1201194 */   // Label 17432: @1201194
     /* 1201194 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201274), // Rule ID 17026 //
     /* 1201199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201238 */     // MIs[0] round
     /* 1201238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1201251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201273 */     // GIR_Coverage, 17026,
     /* 1201273 */     GIR_EraseRootFromParent_Done,
     /* 1201274 */   // Label 17433: @1201274
     /* 1201274 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201354), // Rule ID 17027 //
     /* 1201279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201318 */     // MIs[0] round
     /* 1201318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1201331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201353 */     // GIR_Coverage, 17027,
     /* 1201353 */     GIR_EraseRootFromParent_Done,
     /* 1201354 */   // Label 17434: @1201354
     /* 1201354 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201434), // Rule ID 17036 //
     /* 1201359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201398 */     // MIs[0] round
     /* 1201398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201408 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201433 */     // GIR_Coverage, 17036,
     /* 1201433 */     GIR_EraseRootFromParent_Done,
     /* 1201434 */   // Label 17435: @1201434
     /* 1201434 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201514), // Rule ID 17037 //
     /* 1201439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201478 */     // MIs[0] round
     /* 1201478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201513 */     // GIR_Coverage, 17037,
     /* 1201513 */     GIR_EraseRootFromParent_Done,
     /* 1201514 */   // Label 17436: @1201514
     /* 1201514 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201594), // Rule ID 17046 //
     /* 1201519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201558 */     // MIs[0] round
     /* 1201558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201568 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201593 */     // GIR_Coverage, 17046,
     /* 1201593 */     GIR_EraseRootFromParent_Done,
     /* 1201594 */   // Label 17437: @1201594
     /* 1201594 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201674), // Rule ID 17047 //
     /* 1201599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201638 */     // MIs[0] round
     /* 1201638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201648 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201673 */     // GIR_Coverage, 17047,
     /* 1201673 */     GIR_EraseRootFromParent_Done,
     /* 1201674 */   // Label 17438: @1201674
     /* 1201674 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201754), // Rule ID 17056 //
     /* 1201679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201718 */     // MIs[0] round
     /* 1201718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201753 */     // GIR_Coverage, 17056,
     /* 1201753 */     GIR_EraseRootFromParent_Done,
     /* 1201754 */   // Label 17439: @1201754
     /* 1201754 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201834), // Rule ID 17057 //
     /* 1201759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201798 */     // MIs[0] round
     /* 1201798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201833 */     // GIR_Coverage, 17057,
     /* 1201833 */     GIR_EraseRootFromParent_Done,
     /* 1201834 */   // Label 17440: @1201834
     /* 1201834 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201914), // Rule ID 17066 //
     /* 1201839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201878 */     // MIs[0] round
     /* 1201878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201913 */     // GIR_Coverage, 17066,
     /* 1201913 */     GIR_EraseRootFromParent_Done,
     /* 1201914 */   // Label 17441: @1201914
     /* 1201914 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201994), // Rule ID 17067 //
     /* 1201919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201958 */     // MIs[0] round
     /* 1201958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201993 */     // GIR_Coverage, 17067,
     /* 1201993 */     GIR_EraseRootFromParent_Done,
     /* 1201994 */   // Label 17442: @1201994
     /* 1201994 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1202074), // Rule ID 17076 //
     /* 1201999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202038 */     // MIs[0] round
     /* 1202038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202048 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1202051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202073 */     // GIR_Coverage, 17076,
     /* 1202073 */     GIR_EraseRootFromParent_Done,
     /* 1202074 */   // Label 17443: @1202074
     /* 1202074 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1202154), // Rule ID 17077 //
     /* 1202079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202118 */     // MIs[0] round
     /* 1202118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1202131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202153 */     // GIR_Coverage, 17077,
     /* 1202153 */     GIR_EraseRootFromParent_Done,
     /* 1202154 */   // Label 17444: @1202154
     /* 1202154 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202234), // Rule ID 17086 //
     /* 1202159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1202179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202198 */     // MIs[0] round
     /* 1202198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1202211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202233 */     // GIR_Coverage, 17086,
     /* 1202233 */     GIR_EraseRootFromParent_Done,
     /* 1202234 */   // Label 17445: @1202234
     /* 1202234 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202314), // Rule ID 17087 //
     /* 1202239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1202259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202278 */     // MIs[0] round
     /* 1202278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202288 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1202291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202313 */     // GIR_Coverage, 17087,
     /* 1202313 */     GIR_EraseRootFromParent_Done,
     /* 1202314 */   // Label 17446: @1202314
     /* 1202314 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202394), // Rule ID 17096 //
     /* 1202319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202358 */     // MIs[0] round
     /* 1202358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202393 */     // GIR_Coverage, 17096,
     /* 1202393 */     GIR_EraseRootFromParent_Done,
     /* 1202394 */   // Label 17447: @1202394
     /* 1202394 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202474), // Rule ID 17097 //
     /* 1202399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202438 */     // MIs[0] round
     /* 1202438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202448 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202473 */     // GIR_Coverage, 17097,
     /* 1202473 */     GIR_EraseRootFromParent_Done,
     /* 1202474 */   // Label 17448: @1202474
     /* 1202474 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202554), // Rule ID 17104 //
     /* 1202479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202518 */     // MIs[0] round
     /* 1202518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202528 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202553 */     // GIR_Coverage, 17104,
     /* 1202553 */     GIR_EraseRootFromParent_Done,
     /* 1202554 */   // Label 17449: @1202554
     /* 1202554 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202634), // Rule ID 17105 //
     /* 1202559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202598 */     // MIs[0] round
     /* 1202598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202633 */     // GIR_Coverage, 17105,
     /* 1202633 */     GIR_EraseRootFromParent_Done,
     /* 1202634 */   // Label 17450: @1202634
     /* 1202634 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202714), // Rule ID 17108 //
     /* 1202639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202678 */     // MIs[0] round
     /* 1202678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202713 */     // GIR_Coverage, 17108,
     /* 1202713 */     GIR_EraseRootFromParent_Done,
     /* 1202714 */   // Label 17451: @1202714
     /* 1202714 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202794), // Rule ID 17109 //
     /* 1202719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202758 */     // MIs[0] round
     /* 1202758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202768 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202793 */     // GIR_Coverage, 17109,
     /* 1202793 */     GIR_EraseRootFromParent_Done,
     /* 1202794 */   // Label 17452: @1202794
     /* 1202794 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202874), // Rule ID 17112 //
     /* 1202799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202838 */     // MIs[0] round
     /* 1202838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202873 */     // GIR_Coverage, 17112,
     /* 1202873 */     GIR_EraseRootFromParent_Done,
     /* 1202874 */   // Label 17453: @1202874
     /* 1202874 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202954), // Rule ID 17113 //
     /* 1202879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202918 */     // MIs[0] round
     /* 1202918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202953 */     // GIR_Coverage, 17113,
     /* 1202953 */     GIR_EraseRootFromParent_Done,
     /* 1202954 */   // Label 17454: @1202954
     /* 1202954 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1203034), // Rule ID 17116 //
     /* 1202959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202998 */     // MIs[0] round
     /* 1202998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203008 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1203011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203033 */     // GIR_Coverage, 17116,
     /* 1203033 */     GIR_EraseRootFromParent_Done,
     /* 1203034 */   // Label 17455: @1203034
     /* 1203034 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1203114), // Rule ID 17117 //
     /* 1203039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203078 */     // MIs[0] round
     /* 1203078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1203091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203113 */     // GIR_Coverage, 17117,
     /* 1203113 */     GIR_EraseRootFromParent_Done,
     /* 1203114 */   // Label 17456: @1203114
     /* 1203114 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203194), // Rule ID 17120 //
     /* 1203119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203158 */     // MIs[0] round
     /* 1203158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203168 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1203171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203193 */     // GIR_Coverage, 17120,
     /* 1203193 */     GIR_EraseRootFromParent_Done,
     /* 1203194 */   // Label 17457: @1203194
     /* 1203194 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203274), // Rule ID 17121 //
     /* 1203199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203238 */     // MIs[0] round
     /* 1203238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1203251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203273 */     // GIR_Coverage, 17121,
     /* 1203273 */     GIR_EraseRootFromParent_Done,
     /* 1203274 */   // Label 17458: @1203274
     /* 1203274 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203354), // Rule ID 17124 //
     /* 1203279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203318 */     // MIs[0] round
     /* 1203318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1203331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203353 */     // GIR_Coverage, 17124,
     /* 1203353 */     GIR_EraseRootFromParent_Done,
     /* 1203354 */   // Label 17459: @1203354
     /* 1203354 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203434), // Rule ID 17125 //
     /* 1203359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203398 */     // MIs[0] round
     /* 1203398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1203411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203433 */     // GIR_Coverage, 17125,
     /* 1203433 */     GIR_EraseRootFromParent_Done,
     /* 1203434 */   // Label 17460: @1203434
     /* 1203434 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203514), // Rule ID 17128 //
     /* 1203439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203478 */     // MIs[0] round
     /* 1203478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203513 */     // GIR_Coverage, 17128,
     /* 1203513 */     GIR_EraseRootFromParent_Done,
     /* 1203514 */   // Label 17461: @1203514
     /* 1203514 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203594), // Rule ID 17129 //
     /* 1203519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203558 */     // MIs[0] round
     /* 1203558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203593 */     // GIR_Coverage, 17129,
     /* 1203593 */     GIR_EraseRootFromParent_Done,
     /* 1203594 */   // Label 17462: @1203594
     /* 1203594 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203674), // Rule ID 17132 //
     /* 1203599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203638 */     // MIs[0] round
     /* 1203638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203673 */     // GIR_Coverage, 17132,
     /* 1203673 */     GIR_EraseRootFromParent_Done,
     /* 1203674 */   // Label 17463: @1203674
     /* 1203674 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203754), // Rule ID 17133 //
     /* 1203679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203718 */     // MIs[0] round
     /* 1203718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203753 */     // GIR_Coverage, 17133,
     /* 1203753 */     GIR_EraseRootFromParent_Done,
     /* 1203754 */   // Label 17464: @1203754
     /* 1203754 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203834), // Rule ID 17136 //
     /* 1203759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203798 */     // MIs[0] round
     /* 1203798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203833 */     // GIR_Coverage, 17136,
     /* 1203833 */     GIR_EraseRootFromParent_Done,
     /* 1203834 */   // Label 17465: @1203834
     /* 1203834 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203914), // Rule ID 17137 //
     /* 1203839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203878 */     // MIs[0] round
     /* 1203878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203913 */     // GIR_Coverage, 17137,
     /* 1203913 */     GIR_EraseRootFromParent_Done,
     /* 1203914 */   // Label 17466: @1203914
     /* 1203914 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203994), // Rule ID 17142 //
     /* 1203919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203958 */     // MIs[0] round
     /* 1203958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203968 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203993 */     // GIR_Coverage, 17142,
     /* 1203993 */     GIR_EraseRootFromParent_Done,
     /* 1203994 */   // Label 17467: @1203994
     /* 1203994 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1204074), // Rule ID 17143 //
     /* 1203999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1204019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204038 */     // MIs[0] round
     /* 1204038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204048 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1204051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204073 */     // GIR_Coverage, 17143,
     /* 1204073 */     GIR_EraseRootFromParent_Done,
     /* 1204074 */   // Label 17468: @1204074
     /* 1204074 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204154), // Rule ID 17152 //
     /* 1204079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204118 */     // MIs[0] round
     /* 1204118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1204131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204153 */     // GIR_Coverage, 17152,
     /* 1204153 */     GIR_EraseRootFromParent_Done,
     /* 1204154 */   // Label 17469: @1204154
     /* 1204154 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204234), // Rule ID 17153 //
     /* 1204159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204198 */     // MIs[0] round
     /* 1204198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1204211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204233 */     // GIR_Coverage, 17153,
     /* 1204233 */     GIR_EraseRootFromParent_Done,
     /* 1204234 */   // Label 17470: @1204234
     /* 1204234 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204314), // Rule ID 17162 //
     /* 1204239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204278 */     // MIs[0] round
     /* 1204278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1204291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204313 */     // GIR_Coverage, 17162,
     /* 1204313 */     GIR_EraseRootFromParent_Done,
     /* 1204314 */   // Label 17471: @1204314
     /* 1204314 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204394), // Rule ID 17163 //
     /* 1204319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204358 */     // MIs[0] round
     /* 1204358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1204371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204393 */     // GIR_Coverage, 17163,
     /* 1204393 */     GIR_EraseRootFromParent_Done,
     /* 1204394 */   // Label 17472: @1204394
     /* 1204394 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204474), // Rule ID 17172 //
     /* 1204399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204438 */     // MIs[0] round
     /* 1204438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204473 */     // GIR_Coverage, 17172,
     /* 1204473 */     GIR_EraseRootFromParent_Done,
     /* 1204474 */   // Label 17473: @1204474
     /* 1204474 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204554), // Rule ID 17173 //
     /* 1204479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204518 */     // MIs[0] round
     /* 1204518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204553 */     // GIR_Coverage, 17173,
     /* 1204553 */     GIR_EraseRootFromParent_Done,
     /* 1204554 */   // Label 17474: @1204554
     /* 1204554 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204634), // Rule ID 17182 //
     /* 1204559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204598 */     // MIs[0] round
     /* 1204598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204633 */     // GIR_Coverage, 17182,
     /* 1204633 */     GIR_EraseRootFromParent_Done,
     /* 1204634 */   // Label 17475: @1204634
     /* 1204634 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204714), // Rule ID 17183 //
     /* 1204639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204678 */     // MIs[0] round
     /* 1204678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204688 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204713 */     // GIR_Coverage, 17183,
     /* 1204713 */     GIR_EraseRootFromParent_Done,
     /* 1204714 */   // Label 17476: @1204714
     /* 1204714 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204794), // Rule ID 17192 //
     /* 1204719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204758 */     // MIs[0] round
     /* 1204758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204793 */     // GIR_Coverage, 17192,
     /* 1204793 */     GIR_EraseRootFromParent_Done,
     /* 1204794 */   // Label 17477: @1204794
     /* 1204794 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204874), // Rule ID 17193 //
     /* 1204799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204838 */     // MIs[0] round
     /* 1204838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204873 */     // GIR_Coverage, 17193,
     /* 1204873 */     GIR_EraseRootFromParent_Done,
     /* 1204874 */   // Label 17478: @1204874
     /* 1204874 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204954), // Rule ID 17202 //
     /* 1204879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204918 */     // MIs[0] round
     /* 1204918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204953 */     // GIR_Coverage, 17202,
     /* 1204953 */     GIR_EraseRootFromParent_Done,
     /* 1204954 */   // Label 17479: @1204954
     /* 1204954 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1205034), // Rule ID 17203 //
     /* 1204959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204998 */     // MIs[0] round
     /* 1204998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1205011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205033 */     // GIR_Coverage, 17203,
     /* 1205033 */     GIR_EraseRootFromParent_Done,
     /* 1205034 */   // Label 17480: @1205034
     /* 1205034 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1205114), // Rule ID 17212 //
     /* 1205039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205078 */     // MIs[0] round
     /* 1205078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205088 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1205091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205113 */     // GIR_Coverage, 17212,
     /* 1205113 */     GIR_EraseRootFromParent_Done,
     /* 1205114 */   // Label 17481: @1205114
     /* 1205114 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205194), // Rule ID 17213 //
     /* 1205119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205158 */     // MIs[0] round
     /* 1205158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205168 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1205171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205193 */     // GIR_Coverage, 17213,
     /* 1205193 */     GIR_EraseRootFromParent_Done,
     /* 1205194 */   // Label 17482: @1205194
     /* 1205194 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205274), // Rule ID 17222 //
     /* 1205199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205238 */     // MIs[0] round
     /* 1205238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205248 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1205251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205273 */     // GIR_Coverage, 17222,
     /* 1205273 */     GIR_EraseRootFromParent_Done,
     /* 1205274 */   // Label 17483: @1205274
     /* 1205274 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205354), // Rule ID 17223 //
     /* 1205279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205318 */     // MIs[0] round
     /* 1205318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1205331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205353 */     // GIR_Coverage, 17223,
     /* 1205353 */     GIR_EraseRootFromParent_Done,
     /* 1205354 */   // Label 17484: @1205354
     /* 1205354 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205434), // Rule ID 17230 //
     /* 1205359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205398 */     // MIs[0] round
     /* 1205398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205408 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205433 */     // GIR_Coverage, 17230,
     /* 1205433 */     GIR_EraseRootFromParent_Done,
     /* 1205434 */   // Label 17485: @1205434
     /* 1205434 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205514), // Rule ID 17231 //
     /* 1205439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205478 */     // MIs[0] round
     /* 1205478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205488 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205513 */     // GIR_Coverage, 17231,
     /* 1205513 */     GIR_EraseRootFromParent_Done,
     /* 1205514 */   // Label 17486: @1205514
     /* 1205514 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205594), // Rule ID 17234 //
     /* 1205519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205558 */     // MIs[0] round
     /* 1205558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205593 */     // GIR_Coverage, 17234,
     /* 1205593 */     GIR_EraseRootFromParent_Done,
     /* 1205594 */   // Label 17487: @1205594
     /* 1205594 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205674), // Rule ID 17235 //
     /* 1205599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205638 */     // MIs[0] round
     /* 1205638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205673 */     // GIR_Coverage, 17235,
     /* 1205673 */     GIR_EraseRootFromParent_Done,
     /* 1205674 */   // Label 17488: @1205674
     /* 1205674 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205754), // Rule ID 17238 //
     /* 1205679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205718 */     // MIs[0] round
     /* 1205718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205753 */     // GIR_Coverage, 17238,
     /* 1205753 */     GIR_EraseRootFromParent_Done,
     /* 1205754 */   // Label 17489: @1205754
     /* 1205754 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205834), // Rule ID 17239 //
     /* 1205759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205798 */     // MIs[0] round
     /* 1205798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205833 */     // GIR_Coverage, 17239,
     /* 1205833 */     GIR_EraseRootFromParent_Done,
     /* 1205834 */   // Label 17490: @1205834
     /* 1205834 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205914), // Rule ID 17242 //
     /* 1205839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205878 */     // MIs[0] round
     /* 1205878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205913 */     // GIR_Coverage, 17242,
     /* 1205913 */     GIR_EraseRootFromParent_Done,
     /* 1205914 */   // Label 17491: @1205914
     /* 1205914 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205994), // Rule ID 17243 //
     /* 1205919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205958 */     // MIs[0] round
     /* 1205958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205968 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205993 */     // GIR_Coverage, 17243,
     /* 1205993 */     GIR_EraseRootFromParent_Done,
     /* 1205994 */   // Label 17492: @1205994
     /* 1205994 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1206074), // Rule ID 17246 //
     /* 1205999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206038 */     // MIs[0] round
     /* 1206038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1206051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206073 */     // GIR_Coverage, 17246,
     /* 1206073 */     GIR_EraseRootFromParent_Done,
     /* 1206074 */   // Label 17493: @1206074
     /* 1206074 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206154), // Rule ID 17247 //
     /* 1206079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206118 */     // MIs[0] round
     /* 1206118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206128 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1206131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206153 */     // GIR_Coverage, 17247,
     /* 1206153 */     GIR_EraseRootFromParent_Done,
     /* 1206154 */   // Label 17494: @1206154
     /* 1206154 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206234), // Rule ID 17250 //
     /* 1206159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206198 */     // MIs[0] round
     /* 1206198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1206211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206233 */     // GIR_Coverage, 17250,
     /* 1206233 */     GIR_EraseRootFromParent_Done,
     /* 1206234 */   // Label 17495: @1206234
     /* 1206234 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206314), // Rule ID 17251 //
     /* 1206239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206278 */     // MIs[0] round
     /* 1206278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1206291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206313 */     // GIR_Coverage, 17251,
     /* 1206313 */     GIR_EraseRootFromParent_Done,
     /* 1206314 */   // Label 17496: @1206314
     /* 1206314 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206394), // Rule ID 17254 //
     /* 1206319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206358 */     // MIs[0] round
     /* 1206358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206393 */     // GIR_Coverage, 17254,
     /* 1206393 */     GIR_EraseRootFromParent_Done,
     /* 1206394 */   // Label 17497: @1206394
     /* 1206394 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206474), // Rule ID 17255 //
     /* 1206399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206438 */     // MIs[0] round
     /* 1206438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206473 */     // GIR_Coverage, 17255,
     /* 1206473 */     GIR_EraseRootFromParent_Done,
     /* 1206474 */   // Label 17498: @1206474
     /* 1206474 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206554), // Rule ID 17258 //
     /* 1206479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206518 */     // MIs[0] round
     /* 1206518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206528 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206553 */     // GIR_Coverage, 17258,
     /* 1206553 */     GIR_EraseRootFromParent_Done,
     /* 1206554 */   // Label 17499: @1206554
     /* 1206554 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206634), // Rule ID 17259 //
     /* 1206559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206598 */     // MIs[0] round
     /* 1206598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206608 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206633 */     // GIR_Coverage, 17259,
     /* 1206633 */     GIR_EraseRootFromParent_Done,
     /* 1206634 */   // Label 17500: @1206634
     /* 1206634 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206714), // Rule ID 17262 //
     /* 1206639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206678 */     // MIs[0] round
     /* 1206678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206713 */     // GIR_Coverage, 17262,
     /* 1206713 */     GIR_EraseRootFromParent_Done,
     /* 1206714 */   // Label 17501: @1206714
     /* 1206714 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206794), // Rule ID 17263 //
     /* 1206719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206758 */     // MIs[0] round
     /* 1206758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206768 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206793 */     // GIR_Coverage, 17263,
     /* 1206793 */     GIR_EraseRootFromParent_Done,
     /* 1206794 */   // Label 17502: @1206794
     /* 1206794 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206874), // Rule ID 17266 //
     /* 1206799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206838 */     // MIs[0] round
     /* 1206838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206848 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206873 */     // GIR_Coverage, 17266,
     /* 1206873 */     GIR_EraseRootFromParent_Done,
     /* 1206874 */   // Label 17503: @1206874
     /* 1206874 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206954), // Rule ID 17267 //
     /* 1206879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206918 */     // MIs[0] round
     /* 1206918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206953 */     // GIR_Coverage, 17267,
     /* 1206953 */     GIR_EraseRootFromParent_Done,
     /* 1206954 */   // Label 17504: @1206954
     /* 1206954 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1207034), // Rule ID 17270 //
     /* 1206959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206998 */     // MIs[0] round
     /* 1206998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207008 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1207011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207033 */     // GIR_Coverage, 17270,
     /* 1207033 */     GIR_EraseRootFromParent_Done,
     /* 1207034 */   // Label 17505: @1207034
     /* 1207034 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207114), // Rule ID 17271 //
     /* 1207039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207078 */     // MIs[0] round
     /* 1207078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1207091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207113 */     // GIR_Coverage, 17271,
     /* 1207113 */     GIR_EraseRootFromParent_Done,
     /* 1207114 */   // Label 17506: @1207114
     /* 1207114 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207194), // Rule ID 17274 //
     /* 1207119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207158 */     // MIs[0] round
     /* 1207158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207168 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1207171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207193 */     // GIR_Coverage, 17274,
     /* 1207193 */     GIR_EraseRootFromParent_Done,
     /* 1207194 */   // Label 17507: @1207194
     /* 1207194 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207274), // Rule ID 17275 //
     /* 1207199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207238 */     // MIs[0] round
     /* 1207238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1207251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207273 */     // GIR_Coverage, 17275,
     /* 1207273 */     GIR_EraseRootFromParent_Done,
     /* 1207274 */   // Label 17508: @1207274
     /* 1207274 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207354), // Rule ID 17278 //
     /* 1207279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1207290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1207293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207318 */     // MIs[0] round
     /* 1207318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1207331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207353 */     // GIR_Coverage, 17278,
     /* 1207353 */     GIR_EraseRootFromParent_Done,
     /* 1207354 */   // Label 17509: @1207354
     /* 1207354 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207434), // Rule ID 17279 //
     /* 1207359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1207370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1207373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207398 */     // MIs[0] round
     /* 1207398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1207411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207433 */     // GIR_Coverage, 17279,
     /* 1207433 */     GIR_EraseRootFromParent_Done,
     /* 1207434 */   // Label 17510: @1207434
     /* 1207434 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207514), // Rule ID 17282 //
     /* 1207439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207478 */     // MIs[0] round
     /* 1207478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207513 */     // GIR_Coverage, 17282,
     /* 1207513 */     GIR_EraseRootFromParent_Done,
     /* 1207514 */   // Label 17511: @1207514
     /* 1207514 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207594), // Rule ID 17283 //
     /* 1207519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207558 */     // MIs[0] round
     /* 1207558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207593 */     // GIR_Coverage, 17283,
     /* 1207593 */     GIR_EraseRootFromParent_Done,
     /* 1207594 */   // Label 17512: @1207594
     /* 1207594 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207674), // Rule ID 17286 //
     /* 1207599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207638 */     // MIs[0] round
     /* 1207638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207673 */     // GIR_Coverage, 17286,
     /* 1207673 */     GIR_EraseRootFromParent_Done,
     /* 1207674 */   // Label 17513: @1207674
     /* 1207674 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207754), // Rule ID 17287 //
     /* 1207679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207718 */     // MIs[0] round
     /* 1207718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207753 */     // GIR_Coverage, 17287,
     /* 1207753 */     GIR_EraseRootFromParent_Done,
     /* 1207754 */   // Label 17514: @1207754
     /* 1207754 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207834), // Rule ID 17290 //
     /* 1207759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207798 */     // MIs[0] round
     /* 1207798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207833 */     // GIR_Coverage, 17290,
     /* 1207833 */     GIR_EraseRootFromParent_Done,
     /* 1207834 */   // Label 17515: @1207834
     /* 1207834 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207914), // Rule ID 17291 //
     /* 1207839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207878 */     // MIs[0] round
     /* 1207878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207913 */     // GIR_Coverage, 17291,
     /* 1207913 */     GIR_EraseRootFromParent_Done,
     /* 1207914 */   // Label 17516: @1207914
     /* 1207914 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207994), // Rule ID 17294 //
     /* 1207919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207958 */     // MIs[0] round
     /* 1207958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207968 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207993 */     // GIR_Coverage, 17294,
     /* 1207993 */     GIR_EraseRootFromParent_Done,
     /* 1207994 */   // Label 17517: @1207994
     /* 1207994 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1208074), // Rule ID 17295 //
     /* 1207999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208038 */     // MIs[0] round
     /* 1208038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1208051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208073 */     // GIR_Coverage, 17295,
     /* 1208073 */     GIR_EraseRootFromParent_Done,
     /* 1208074 */   // Label 17518: @1208074
     /* 1208074 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208154), // Rule ID 17298 //
     /* 1208079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1208099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208118 */     // MIs[0] round
     /* 1208118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1208131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208153 */     // GIR_Coverage, 17298,
     /* 1208153 */     GIR_EraseRootFromParent_Done,
     /* 1208154 */   // Label 17519: @1208154
     /* 1208154 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208234), // Rule ID 17299 //
     /* 1208159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1208179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208198 */     // MIs[0] round
     /* 1208198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208208 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1208211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208233 */     // GIR_Coverage, 17299,
     /* 1208233 */     GIR_EraseRootFromParent_Done,
     /* 1208234 */   // Label 17520: @1208234
     /* 1208234 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208314), // Rule ID 17302 //
     /* 1208239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208278 */     // MIs[0] round
     /* 1208278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1208291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208313 */     // GIR_Coverage, 17302,
     /* 1208313 */     GIR_EraseRootFromParent_Done,
     /* 1208314 */   // Label 17521: @1208314
     /* 1208314 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208394), // Rule ID 17303 //
     /* 1208319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208358 */     // MIs[0] round
     /* 1208358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1208371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208393 */     // GIR_Coverage, 17303,
     /* 1208393 */     GIR_EraseRootFromParent_Done,
     /* 1208394 */   // Label 17522: @1208394
     /* 1208394 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208474), // Rule ID 17306 //
     /* 1208399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208438 */     // MIs[0] round
     /* 1208438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208473 */     // GIR_Coverage, 17306,
     /* 1208473 */     GIR_EraseRootFromParent_Done,
     /* 1208474 */   // Label 17523: @1208474
     /* 1208474 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208554), // Rule ID 17307 //
     /* 1208479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208518 */     // MIs[0] round
     /* 1208518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208553 */     // GIR_Coverage, 17307,
     /* 1208553 */     GIR_EraseRootFromParent_Done,
     /* 1208554 */   // Label 17524: @1208554
     /* 1208554 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208634), // Rule ID 17310 //
     /* 1208559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208598 */     // MIs[0] round
     /* 1208598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208633 */     // GIR_Coverage, 17310,
     /* 1208633 */     GIR_EraseRootFromParent_Done,
     /* 1208634 */   // Label 17525: @1208634
     /* 1208634 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208714), // Rule ID 17311 //
     /* 1208639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208678 */     // MIs[0] round
     /* 1208678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208688 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208713 */     // GIR_Coverage, 17311,
     /* 1208713 */     GIR_EraseRootFromParent_Done,
     /* 1208714 */   // Label 17526: @1208714
     /* 1208714 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208794), // Rule ID 17314 //
     /* 1208719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208758 */     // MIs[0] round
     /* 1208758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208768 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208793 */     // GIR_Coverage, 17314,
     /* 1208793 */     GIR_EraseRootFromParent_Done,
     /* 1208794 */   // Label 17527: @1208794
     /* 1208794 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208874), // Rule ID 17315 //
     /* 1208799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208838 */     // MIs[0] round
     /* 1208838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208848 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208873 */     // GIR_Coverage, 17315,
     /* 1208873 */     GIR_EraseRootFromParent_Done,
     /* 1208874 */   // Label 17528: @1208874
     /* 1208874 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208954), // Rule ID 17318 //
     /* 1208879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208918 */     // MIs[0] round
     /* 1208918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208928 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208953 */     // GIR_Coverage, 17318,
     /* 1208953 */     GIR_EraseRootFromParent_Done,
     /* 1208954 */   // Label 17529: @1208954
     /* 1208954 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1209034), // Rule ID 17319 //
     /* 1208959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208998 */     // MIs[0] round
     /* 1208998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1209011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209033 */     // GIR_Coverage, 17319,
     /* 1209033 */     GIR_EraseRootFromParent_Done,
     /* 1209034 */   // Label 17530: @1209034
     /* 1209034 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209114), // Rule ID 17322 //
     /* 1209039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1209059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209078 */     // MIs[0] round
     /* 1209078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209088 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1209091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209113 */     // GIR_Coverage, 17322,
     /* 1209113 */     GIR_EraseRootFromParent_Done,
     /* 1209114 */   // Label 17531: @1209114
     /* 1209114 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209194), // Rule ID 17323 //
     /* 1209119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1209139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209158 */     // MIs[0] round
     /* 1209158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1209171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209193 */     // GIR_Coverage, 17323,
     /* 1209193 */     GIR_EraseRootFromParent_Done,
     /* 1209194 */   // Label 17532: @1209194
     /* 1209194 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209274), // Rule ID 17326 //
     /* 1209199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1209210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1209213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1209216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209238 */     // MIs[0] round
     /* 1209238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209248 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1209251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209273 */     // GIR_Coverage, 17326,
     /* 1209273 */     GIR_EraseRootFromParent_Done,
     /* 1209274 */   // Label 17533: @1209274
     /* 1209274 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209354), // Rule ID 17327 //
     /* 1209279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1209290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1209293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1209296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209318 */     // MIs[0] round
     /* 1209318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209328 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1209331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209353 */     // GIR_Coverage, 17327,
     /* 1209353 */     GIR_EraseRootFromParent_Done,
     /* 1209354 */   // Label 17534: @1209354
     /* 1209354 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209434), // Rule ID 17330 //
     /* 1209359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209398 */     // MIs[0] round
     /* 1209398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209408 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209433 */     // GIR_Coverage, 17330,
     /* 1209433 */     GIR_EraseRootFromParent_Done,
     /* 1209434 */   // Label 17535: @1209434
     /* 1209434 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209514), // Rule ID 17331 //
     /* 1209439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209478 */     // MIs[0] round
     /* 1209478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209488 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209513 */     // GIR_Coverage, 17331,
     /* 1209513 */     GIR_EraseRootFromParent_Done,
     /* 1209514 */   // Label 17536: @1209514
     /* 1209514 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209594), // Rule ID 17334 //
     /* 1209519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209558 */     // MIs[0] round
     /* 1209558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209568 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209593 */     // GIR_Coverage, 17334,
     /* 1209593 */     GIR_EraseRootFromParent_Done,
     /* 1209594 */   // Label 17537: @1209594
     /* 1209594 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209674), // Rule ID 17335 //
     /* 1209599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209638 */     // MIs[0] round
     /* 1209638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209673 */     // GIR_Coverage, 17335,
     /* 1209673 */     GIR_EraseRootFromParent_Done,
     /* 1209674 */   // Label 17538: @1209674
     /* 1209674 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209754), // Rule ID 17338 //
     /* 1209679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209718 */     // MIs[0] round
     /* 1209718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209753 */     // GIR_Coverage, 17338,
     /* 1209753 */     GIR_EraseRootFromParent_Done,
     /* 1209754 */   // Label 17539: @1209754
     /* 1209754 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209834), // Rule ID 17339 //
     /* 1209759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209798 */     // MIs[0] round
     /* 1209798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209833 */     // GIR_Coverage, 17339,
     /* 1209833 */     GIR_EraseRootFromParent_Done,
     /* 1209834 */   // Label 17540: @1209834
     /* 1209834 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209914), // Rule ID 17342 //
     /* 1209839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209878 */     // MIs[0] round
     /* 1209878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209888 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209913 */     // GIR_Coverage, 17342,
     /* 1209913 */     GIR_EraseRootFromParent_Done,
     /* 1209914 */   // Label 17541: @1209914
     /* 1209914 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209994), // Rule ID 17343 //
     /* 1209919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209958 */     // MIs[0] round
     /* 1209958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209993 */     // GIR_Coverage, 17343,
     /* 1209993 */     GIR_EraseRootFromParent_Done,
     /* 1209994 */   // Label 17542: @1209994
     /* 1209994 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1210074), // Rule ID 17346 //
     /* 1209999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210038 */     // MIs[0] round
     /* 1210038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1210051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210073 */     // GIR_Coverage, 17346,
     /* 1210073 */     GIR_EraseRootFromParent_Done,
     /* 1210074 */   // Label 17543: @1210074
     /* 1210074 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210154), // Rule ID 17347 //
     /* 1210079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210118 */     // MIs[0] round
     /* 1210118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1210131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210153 */     // GIR_Coverage, 17347,
     /* 1210153 */     GIR_EraseRootFromParent_Done,
     /* 1210154 */   // Label 17544: @1210154
     /* 1210154 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210234), // Rule ID 17350 //
     /* 1210159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1210170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1210173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210198 */     // MIs[0] round
     /* 1210198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1210211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210233 */     // GIR_Coverage, 17350,
     /* 1210233 */     GIR_EraseRootFromParent_Done,
     /* 1210234 */   // Label 17545: @1210234
     /* 1210234 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210314), // Rule ID 17351 //
     /* 1210239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1210250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1210253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210278 */     // MIs[0] round
     /* 1210278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1210291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210313 */     // GIR_Coverage, 17351,
     /* 1210313 */     GIR_EraseRootFromParent_Done,
     /* 1210314 */   // Label 17546: @1210314
     /* 1210314 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210394), // Rule ID 17354 //
     /* 1210319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1210330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1210333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210358 */     // MIs[0] round
     /* 1210358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210393 */     // GIR_Coverage, 17354,
     /* 1210393 */     GIR_EraseRootFromParent_Done,
     /* 1210394 */   // Label 17547: @1210394
     /* 1210394 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210474), // Rule ID 17355 //
     /* 1210399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1210410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1210413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210438 */     // MIs[0] round
     /* 1210438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210448 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210473 */     // GIR_Coverage, 17355,
     /* 1210473 */     GIR_EraseRootFromParent_Done,
     /* 1210474 */   // Label 17548: @1210474
     /* 1210474 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210554), // Rule ID 17358 //
     /* 1210479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210518 */     // MIs[0] round
     /* 1210518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210528 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210553 */     // GIR_Coverage, 17358,
     /* 1210553 */     GIR_EraseRootFromParent_Done,
     /* 1210554 */   // Label 17549: @1210554
     /* 1210554 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210634), // Rule ID 17359 //
     /* 1210559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210598 */     // MIs[0] round
     /* 1210598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210608 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210633 */     // GIR_Coverage, 17359,
     /* 1210633 */     GIR_EraseRootFromParent_Done,
     /* 1210634 */   // Label 17550: @1210634
     /* 1210634 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210714), // Rule ID 17362 //
     /* 1210639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210678 */     // MIs[0] round
     /* 1210678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210713 */     // GIR_Coverage, 17362,
     /* 1210713 */     GIR_EraseRootFromParent_Done,
     /* 1210714 */   // Label 17551: @1210714
     /* 1210714 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210794), // Rule ID 17363 //
     /* 1210719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210758 */     // MIs[0] round
     /* 1210758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210793 */     // GIR_Coverage, 17363,
     /* 1210793 */     GIR_EraseRootFromParent_Done,
     /* 1210794 */   // Label 17552: @1210794
     /* 1210794 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210874), // Rule ID 17366 //
     /* 1210799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210838 */     // MIs[0] round
     /* 1210838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210848 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210873 */     // GIR_Coverage, 17366,
     /* 1210873 */     GIR_EraseRootFromParent_Done,
     /* 1210874 */   // Label 17553: @1210874
     /* 1210874 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210954), // Rule ID 17367 //
     /* 1210879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210918 */     // MIs[0] round
     /* 1210918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210953 */     // GIR_Coverage, 17367,
     /* 1210953 */     GIR_EraseRootFromParent_Done,
     /* 1210954 */   // Label 17554: @1210954
     /* 1210954 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1211034), // Rule ID 17370 //
     /* 1210959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210998 */     // MIs[0] round
     /* 1210998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1211011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211033 */     // GIR_Coverage, 17370,
     /* 1211033 */     GIR_EraseRootFromParent_Done,
     /* 1211034 */   // Label 17555: @1211034
     /* 1211034 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211114), // Rule ID 17371 //
     /* 1211039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211078 */     // MIs[0] round
     /* 1211078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1211091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211113 */     // GIR_Coverage, 17371,
     /* 1211113 */     GIR_EraseRootFromParent_Done,
     /* 1211114 */   // Label 17556: @1211114
     /* 1211114 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211194), // Rule ID 17374 //
     /* 1211119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211158 */     // MIs[0] round
     /* 1211158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211168 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1211171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211193 */     // GIR_Coverage, 17374,
     /* 1211193 */     GIR_EraseRootFromParent_Done,
     /* 1211194 */   // Label 17557: @1211194
     /* 1211194 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211274), // Rule ID 17375 //
     /* 1211199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211238 */     // MIs[0] round
     /* 1211238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1211251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211273 */     // GIR_Coverage, 17375,
     /* 1211273 */     GIR_EraseRootFromParent_Done,
     /* 1211274 */   // Label 17558: @1211274
     /* 1211274 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211354), // Rule ID 17378 //
     /* 1211279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211318 */     // MIs[0] round
     /* 1211318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1211331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211353 */     // GIR_Coverage, 17378,
     /* 1211353 */     GIR_EraseRootFromParent_Done,
     /* 1211354 */   // Label 17559: @1211354
     /* 1211354 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211434), // Rule ID 17379 //
     /* 1211359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211398 */     // MIs[0] round
     /* 1211398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1211411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211433 */     // GIR_Coverage, 17379,
     /* 1211433 */     GIR_EraseRootFromParent_Done,
     /* 1211434 */   // Label 17560: @1211434
     /* 1211434 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211514), // Rule ID 17382 //
     /* 1211439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211478 */     // MIs[0] round
     /* 1211478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211488 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211513 */     // GIR_Coverage, 17382,
     /* 1211513 */     GIR_EraseRootFromParent_Done,
     /* 1211514 */   // Label 17561: @1211514
     /* 1211514 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211594), // Rule ID 17383 //
     /* 1211519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211558 */     // MIs[0] round
     /* 1211558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211593 */     // GIR_Coverage, 17383,
     /* 1211593 */     GIR_EraseRootFromParent_Done,
     /* 1211594 */   // Label 17562: @1211594
     /* 1211594 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211674), // Rule ID 17386 //
     /* 1211599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211638 */     // MIs[0] round
     /* 1211638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211648 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211673 */     // GIR_Coverage, 17386,
     /* 1211673 */     GIR_EraseRootFromParent_Done,
     /* 1211674 */   // Label 17563: @1211674
     /* 1211674 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211754), // Rule ID 17387 //
     /* 1211679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211718 */     // MIs[0] round
     /* 1211718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211728 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211753 */     // GIR_Coverage, 17387,
     /* 1211753 */     GIR_EraseRootFromParent_Done,
     /* 1211754 */   // Label 17564: @1211754
     /* 1211754 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211834), // Rule ID 17390 //
     /* 1211759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211798 */     // MIs[0] round
     /* 1211798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211808 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211833 */     // GIR_Coverage, 17390,
     /* 1211833 */     GIR_EraseRootFromParent_Done,
     /* 1211834 */   // Label 17565: @1211834
     /* 1211834 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211914), // Rule ID 17391 //
     /* 1211839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211878 */     // MIs[0] round
     /* 1211878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211888 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211913 */     // GIR_Coverage, 17391,
     /* 1211913 */     GIR_EraseRootFromParent_Done,
     /* 1211914 */   // Label 17566: @1211914
     /* 1211914 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211994), // Rule ID 17394 //
     /* 1211919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211958 */     // MIs[0] round
     /* 1211958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211968 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211993 */     // GIR_Coverage, 17394,
     /* 1211993 */     GIR_EraseRootFromParent_Done,
     /* 1211994 */   // Label 17567: @1211994
     /* 1211994 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1212074), // Rule ID 17395 //
     /* 1211999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1212019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212038 */     // MIs[0] round
     /* 1212038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212048 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1212051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212073 */     // GIR_Coverage, 17395,
     /* 1212073 */     GIR_EraseRootFromParent_Done,
     /* 1212074 */   // Label 17568: @1212074
     /* 1212074 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212154), // Rule ID 17398 //
     /* 1212079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212118 */     // MIs[0] round
     /* 1212118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1212131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212153 */     // GIR_Coverage, 17398,
     /* 1212153 */     GIR_EraseRootFromParent_Done,
     /* 1212154 */   // Label 17569: @1212154
     /* 1212154 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212234), // Rule ID 17399 //
     /* 1212159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212198 */     // MIs[0] round
     /* 1212198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212208 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1212211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212233 */     // GIR_Coverage, 17399,
     /* 1212233 */     GIR_EraseRootFromParent_Done,
     /* 1212234 */   // Label 17570: @1212234
     /* 1212234 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212314), // Rule ID 17402 //
     /* 1212239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212278 */     // MIs[0] round
     /* 1212278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1212291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212313 */     // GIR_Coverage, 17402,
     /* 1212313 */     GIR_EraseRootFromParent_Done,
     /* 1212314 */   // Label 17571: @1212314
     /* 1212314 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212394), // Rule ID 17403 //
     /* 1212319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212358 */     // MIs[0] round
     /* 1212358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1212371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212393 */     // GIR_Coverage, 17403,
     /* 1212393 */     GIR_EraseRootFromParent_Done,
     /* 1212394 */   // Label 17572: @1212394
     /* 1212394 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212474), // Rule ID 17406 //
     /* 1212399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212438 */     // MIs[0] round
     /* 1212438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212473 */     // GIR_Coverage, 17406,
     /* 1212473 */     GIR_EraseRootFromParent_Done,
     /* 1212474 */   // Label 17573: @1212474
     /* 1212474 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212554), // Rule ID 17407 //
     /* 1212479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212518 */     // MIs[0] round
     /* 1212518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212553 */     // GIR_Coverage, 17407,
     /* 1212553 */     GIR_EraseRootFromParent_Done,
     /* 1212554 */   // Label 17574: @1212554
     /* 1212554 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212634), // Rule ID 17410 //
     /* 1212559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212598 */     // MIs[0] round
     /* 1212598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212633 */     // GIR_Coverage, 17410,
     /* 1212633 */     GIR_EraseRootFromParent_Done,
     /* 1212634 */   // Label 17575: @1212634
     /* 1212634 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212714), // Rule ID 17411 //
     /* 1212639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212678 */     // MIs[0] round
     /* 1212678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212688 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212713 */     // GIR_Coverage, 17411,
     /* 1212713 */     GIR_EraseRootFromParent_Done,
     /* 1212714 */   // Label 17576: @1212714
     /* 1212714 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212794), // Rule ID 17414 //
     /* 1212719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212758 */     // MIs[0] round
     /* 1212758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212768 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212793 */     // GIR_Coverage, 17414,
     /* 1212793 */     GIR_EraseRootFromParent_Done,
     /* 1212794 */   // Label 17577: @1212794
     /* 1212794 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212874), // Rule ID 17415 //
     /* 1212799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212838 */     // MIs[0] round
     /* 1212838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212848 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212873 */     // GIR_Coverage, 17415,
     /* 1212873 */     GIR_EraseRootFromParent_Done,
     /* 1212874 */   // Label 17578: @1212874
     /* 1212874 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212954), // Rule ID 17418 //
     /* 1212879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212918 */     // MIs[0] round
     /* 1212918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212928 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212953 */     // GIR_Coverage, 17418,
     /* 1212953 */     GIR_EraseRootFromParent_Done,
     /* 1212954 */   // Label 17579: @1212954
     /* 1212954 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1213034), // Rule ID 17419 //
     /* 1212959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212998 */     // MIs[0] round
     /* 1212998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213008 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1213011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213033 */     // GIR_Coverage, 17419,
     /* 1213033 */     GIR_EraseRootFromParent_Done,
     /* 1213034 */   // Label 17580: @1213034
     /* 1213034 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213114), // Rule ID 17422 //
     /* 1213039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213078 */     // MIs[0] round
     /* 1213078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213088 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1213091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213113 */     // GIR_Coverage, 17422,
     /* 1213113 */     GIR_EraseRootFromParent_Done,
     /* 1213114 */   // Label 17581: @1213114
     /* 1213114 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213194), // Rule ID 17423 //
     /* 1213119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213158 */     // MIs[0] round
     /* 1213158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1213171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213193 */     // GIR_Coverage, 17423,
     /* 1213193 */     GIR_EraseRootFromParent_Done,
     /* 1213194 */   // Label 17582: @1213194
     /* 1213194 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213274), // Rule ID 17426 //
     /* 1213199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213238 */     // MIs[0] round
     /* 1213238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213248 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1213251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213273 */     // GIR_Coverage, 17426,
     /* 1213273 */     GIR_EraseRootFromParent_Done,
     /* 1213274 */   // Label 17583: @1213274
     /* 1213274 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213354), // Rule ID 17427 //
     /* 1213279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213318 */     // MIs[0] round
     /* 1213318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213328 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1213331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213353 */     // GIR_Coverage, 17427,
     /* 1213353 */     GIR_EraseRootFromParent_Done,
     /* 1213354 */   // Label 17584: @1213354
     /* 1213354 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213434), // Rule ID 17430 //
     /* 1213359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213398 */     // MIs[0] round
     /* 1213398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213433 */     // GIR_Coverage, 17430,
     /* 1213433 */     GIR_EraseRootFromParent_Done,
     /* 1213434 */   // Label 17585: @1213434
     /* 1213434 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213514), // Rule ID 17431 //
     /* 1213439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213478 */     // MIs[0] round
     /* 1213478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213513 */     // GIR_Coverage, 17431,
     /* 1213513 */     GIR_EraseRootFromParent_Done,
     /* 1213514 */   // Label 17586: @1213514
     /* 1213514 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213594), // Rule ID 17434 //
     /* 1213519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213558 */     // MIs[0] round
     /* 1213558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213593 */     // GIR_Coverage, 17434,
     /* 1213593 */     GIR_EraseRootFromParent_Done,
     /* 1213594 */   // Label 17587: @1213594
     /* 1213594 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213674), // Rule ID 17435 //
     /* 1213599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213638 */     // MIs[0] round
     /* 1213638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213673 */     // GIR_Coverage, 17435,
     /* 1213673 */     GIR_EraseRootFromParent_Done,
     /* 1213674 */   // Label 17588: @1213674
     /* 1213674 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213754), // Rule ID 17438 //
     /* 1213679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213718 */     // MIs[0] round
     /* 1213718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213753 */     // GIR_Coverage, 17438,
     /* 1213753 */     GIR_EraseRootFromParent_Done,
     /* 1213754 */   // Label 17589: @1213754
     /* 1213754 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213834), // Rule ID 17439 //
     /* 1213759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213798 */     // MIs[0] round
     /* 1213798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213808 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213833 */     // GIR_Coverage, 17439,
     /* 1213833 */     GIR_EraseRootFromParent_Done,
     /* 1213834 */   // Label 17590: @1213834
     /* 1213834 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213914), // Rule ID 17442 //
     /* 1213839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213878 */     // MIs[0] round
     /* 1213878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213913 */     // GIR_Coverage, 17442,
     /* 1213913 */     GIR_EraseRootFromParent_Done,
     /* 1213914 */   // Label 17591: @1213914
     /* 1213914 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213994), // Rule ID 17443 //
     /* 1213919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213958 */     // MIs[0] round
     /* 1213958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213968 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213993 */     // GIR_Coverage, 17443,
     /* 1213993 */     GIR_EraseRootFromParent_Done,
     /* 1213994 */   // Label 17592: @1213994
     /* 1213994 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1214074), // Rule ID 17446 //
     /* 1213999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214038 */     // MIs[0] round
     /* 1214038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214048 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1214051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214073 */     // GIR_Coverage, 17446,
     /* 1214073 */     GIR_EraseRootFromParent_Done,
     /* 1214074 */   // Label 17593: @1214074
     /* 1214074 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214154), // Rule ID 17447 //
     /* 1214079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214118 */     // MIs[0] round
     /* 1214118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1214131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214153 */     // GIR_Coverage, 17447,
     /* 1214153 */     GIR_EraseRootFromParent_Done,
     /* 1214154 */   // Label 17594: @1214154
     /* 1214154 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214234), // Rule ID 17450 //
     /* 1214159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214198 */     // MIs[0] round
     /* 1214198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214208 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1214211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214233 */     // GIR_Coverage, 17450,
     /* 1214233 */     GIR_EraseRootFromParent_Done,
     /* 1214234 */   // Label 17595: @1214234
     /* 1214234 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214314), // Rule ID 17451 //
     /* 1214239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214278 */     // MIs[0] round
     /* 1214278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214288 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1214291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214313 */     // GIR_Coverage, 17451,
     /* 1214313 */     GIR_EraseRootFromParent_Done,
     /* 1214314 */   // Label 17596: @1214314
     /* 1214314 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214394), // Rule ID 17454 //
     /* 1214319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214358 */     // MIs[0] round
     /* 1214358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214368 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214393 */     // GIR_Coverage, 17454,
     /* 1214393 */     GIR_EraseRootFromParent_Done,
     /* 1214394 */   // Label 17597: @1214394
     /* 1214394 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214474), // Rule ID 17455 //
     /* 1214399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214438 */     // MIs[0] round
     /* 1214438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214448 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214473 */     // GIR_Coverage, 17455,
     /* 1214473 */     GIR_EraseRootFromParent_Done,
     /* 1214474 */   // Label 17598: @1214474
     /* 1214474 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214554), // Rule ID 17458 //
     /* 1214479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214518 */     // MIs[0] round
     /* 1214518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214553 */     // GIR_Coverage, 17458,
     /* 1214553 */     GIR_EraseRootFromParent_Done,
     /* 1214554 */   // Label 17599: @1214554
     /* 1214554 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214634), // Rule ID 17459 //
     /* 1214559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214598 */     // MIs[0] round
     /* 1214598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214608 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214633 */     // GIR_Coverage, 17459,
     /* 1214633 */     GIR_EraseRootFromParent_Done,
     /* 1214634 */   // Label 17600: @1214634
     /* 1214634 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214714), // Rule ID 17462 //
     /* 1214639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214678 */     // MIs[0] round
     /* 1214678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214713 */     // GIR_Coverage, 17462,
     /* 1214713 */     GIR_EraseRootFromParent_Done,
     /* 1214714 */   // Label 17601: @1214714
     /* 1214714 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214794), // Rule ID 17463 //
     /* 1214719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214758 */     // MIs[0] round
     /* 1214758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214768 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214793 */     // GIR_Coverage, 17463,
     /* 1214793 */     GIR_EraseRootFromParent_Done,
     /* 1214794 */   // Label 17602: @1214794
     /* 1214794 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214874), // Rule ID 17466 //
     /* 1214799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214838 */     // MIs[0] round
     /* 1214838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214873 */     // GIR_Coverage, 17466,
     /* 1214873 */     GIR_EraseRootFromParent_Done,
     /* 1214874 */   // Label 17603: @1214874
     /* 1214874 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214954), // Rule ID 17467 //
     /* 1214879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214918 */     // MIs[0] round
     /* 1214918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214953 */     // GIR_Coverage, 17467,
     /* 1214953 */     GIR_EraseRootFromParent_Done,
     /* 1214954 */   // Label 17604: @1214954
     /* 1214954 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1215034), // Rule ID 17470 //
     /* 1214959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214998 */     // MIs[0] round
     /* 1214998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215008 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1215011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215033 */     // GIR_Coverage, 17470,
     /* 1215033 */     GIR_EraseRootFromParent_Done,
     /* 1215034 */   // Label 17605: @1215034
     /* 1215034 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215114), // Rule ID 17471 //
     /* 1215039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215078 */     // MIs[0] round
     /* 1215078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215088 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1215091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215113 */     // GIR_Coverage, 17471,
     /* 1215113 */     GIR_EraseRootFromParent_Done,
     /* 1215114 */   // Label 17606: @1215114
     /* 1215114 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215194), // Rule ID 17474 //
     /* 1215119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215158 */     // MIs[0] round
     /* 1215158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215168 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1215171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215193 */     // GIR_Coverage, 17474,
     /* 1215193 */     GIR_EraseRootFromParent_Done,
     /* 1215194 */   // Label 17607: @1215194
     /* 1215194 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215274), // Rule ID 17475 //
     /* 1215199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215238 */     // MIs[0] round
     /* 1215238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215248 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1215251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215273 */     // GIR_Coverage, 17475,
     /* 1215273 */     GIR_EraseRootFromParent_Done,
     /* 1215274 */   // Label 17608: @1215274
     /* 1215274 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215354), // Rule ID 17478 //
     /* 1215279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215318 */     // MIs[0] round
     /* 1215318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1215331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215353 */     // GIR_Coverage, 17478,
     /* 1215353 */     GIR_EraseRootFromParent_Done,
     /* 1215354 */   // Label 17609: @1215354
     /* 1215354 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215434), // Rule ID 17479 //
     /* 1215359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215398 */     // MIs[0] round
     /* 1215398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1215411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215433 */     // GIR_Coverage, 17479,
     /* 1215433 */     GIR_EraseRootFromParent_Done,
     /* 1215434 */   // Label 17610: @1215434
     /* 1215434 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215514), // Rule ID 17482 //
     /* 1215439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215478 */     // MIs[0] round
     /* 1215478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215513 */     // GIR_Coverage, 17482,
     /* 1215513 */     GIR_EraseRootFromParent_Done,
     /* 1215514 */   // Label 17611: @1215514
     /* 1215514 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215594), // Rule ID 17483 //
     /* 1215519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215558 */     // MIs[0] round
     /* 1215558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215568 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215593 */     // GIR_Coverage, 17483,
     /* 1215593 */     GIR_EraseRootFromParent_Done,
     /* 1215594 */   // Label 17612: @1215594
     /* 1215594 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215674), // Rule ID 17486 //
     /* 1215599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215638 */     // MIs[0] round
     /* 1215638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215648 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215673 */     // GIR_Coverage, 17486,
     /* 1215673 */     GIR_EraseRootFromParent_Done,
     /* 1215674 */   // Label 17613: @1215674
     /* 1215674 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215754), // Rule ID 17487 //
     /* 1215679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215718 */     // MIs[0] round
     /* 1215718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215728 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215753 */     // GIR_Coverage, 17487,
     /* 1215753 */     GIR_EraseRootFromParent_Done,
     /* 1215754 */   // Label 17614: @1215754
     /* 1215754 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215834), // Rule ID 17490 //
     /* 1215759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215798 */     // MIs[0] round
     /* 1215798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215833 */     // GIR_Coverage, 17490,
     /* 1215833 */     GIR_EraseRootFromParent_Done,
     /* 1215834 */   // Label 17615: @1215834
     /* 1215834 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215914), // Rule ID 17491 //
     /* 1215839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215878 */     // MIs[0] round
     /* 1215878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215888 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215913 */     // GIR_Coverage, 17491,
     /* 1215913 */     GIR_EraseRootFromParent_Done,
     /* 1215914 */   // Label 17616: @1215914
     /* 1215914 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215994), // Rule ID 17494 //
     /* 1215919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215958 */     // MIs[0] round
     /* 1215958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215968 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215993 */     // GIR_Coverage, 17494,
     /* 1215993 */     GIR_EraseRootFromParent_Done,
     /* 1215994 */   // Label 17617: @1215994
     /* 1215994 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1216074), // Rule ID 17495 //
     /* 1215999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1216010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1216013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1216016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216038 */     // MIs[0] round
     /* 1216038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216048 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1216051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216073 */     // GIR_Coverage, 17495,
     /* 1216073 */     GIR_EraseRootFromParent_Done,
     /* 1216074 */   // Label 17618: @1216074
     /* 1216074 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216154), // Rule ID 17498 //
     /* 1216079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216118 */     // MIs[0] round
     /* 1216118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1216131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216153 */     // GIR_Coverage, 17498,
     /* 1216153 */     GIR_EraseRootFromParent_Done,
     /* 1216154 */   // Label 17619: @1216154
     /* 1216154 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216234), // Rule ID 17499 //
     /* 1216159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216198 */     // MIs[0] round
     /* 1216198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1216211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216233 */     // GIR_Coverage, 17499,
     /* 1216233 */     GIR_EraseRootFromParent_Done,
     /* 1216234 */   // Label 17620: @1216234
     /* 1216234 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216314), // Rule ID 17502 //
     /* 1216239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216278 */     // MIs[0] round
     /* 1216278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216288 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1216291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216313 */     // GIR_Coverage, 17502,
     /* 1216313 */     GIR_EraseRootFromParent_Done,
     /* 1216314 */   // Label 17621: @1216314
     /* 1216314 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216394), // Rule ID 17503 //
     /* 1216319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216358 */     // MIs[0] round
     /* 1216358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1216371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216393 */     // GIR_Coverage, 17503,
     /* 1216393 */     GIR_EraseRootFromParent_Done,
     /* 1216394 */   // Label 17622: @1216394
     /* 1216394 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216474), // Rule ID 17506 //
     /* 1216399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216438 */     // MIs[0] round
     /* 1216438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216473 */     // GIR_Coverage, 17506,
     /* 1216473 */     GIR_EraseRootFromParent_Done,
     /* 1216474 */   // Label 17623: @1216474
     /* 1216474 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216554), // Rule ID 17507 //
     /* 1216479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216518 */     // MIs[0] round
     /* 1216518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216553 */     // GIR_Coverage, 17507,
     /* 1216553 */     GIR_EraseRootFromParent_Done,
     /* 1216554 */   // Label 17624: @1216554
     /* 1216554 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216634), // Rule ID 17510 //
     /* 1216559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216598 */     // MIs[0] round
     /* 1216598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216633 */     // GIR_Coverage, 17510,
     /* 1216633 */     GIR_EraseRootFromParent_Done,
     /* 1216634 */   // Label 17625: @1216634
     /* 1216634 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216714), // Rule ID 17511 //
     /* 1216639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216678 */     // MIs[0] round
     /* 1216678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216713 */     // GIR_Coverage, 17511,
     /* 1216713 */     GIR_EraseRootFromParent_Done,
     /* 1216714 */   // Label 17626: @1216714
     /* 1216714 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216794), // Rule ID 17514 //
     /* 1216719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216758 */     // MIs[0] round
     /* 1216758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216768 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216793 */     // GIR_Coverage, 17514,
     /* 1216793 */     GIR_EraseRootFromParent_Done,
     /* 1216794 */   // Label 17627: @1216794
     /* 1216794 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216874), // Rule ID 17515 //
     /* 1216799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216838 */     // MIs[0] round
     /* 1216838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216873 */     // GIR_Coverage, 17515,
     /* 1216873 */     GIR_EraseRootFromParent_Done,
     /* 1216874 */   // Label 17628: @1216874
     /* 1216874 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216954), // Rule ID 17518 //
     /* 1216879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216918 */     // MIs[0] round
     /* 1216918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216953 */     // GIR_Coverage, 17518,
     /* 1216953 */     GIR_EraseRootFromParent_Done,
     /* 1216954 */   // Label 17629: @1216954
     /* 1216954 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1217034), // Rule ID 17519 //
     /* 1216959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216998 */     // MIs[0] round
     /* 1216998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217008 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1217011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217033 */     // GIR_Coverage, 17519,
     /* 1217033 */     GIR_EraseRootFromParent_Done,
     /* 1217034 */   // Label 17630: @1217034
     /* 1217034 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217114), // Rule ID 17522 //
     /* 1217039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217078 */     // MIs[0] round
     /* 1217078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1217091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217113 */     // GIR_Coverage, 17522,
     /* 1217113 */     GIR_EraseRootFromParent_Done,
     /* 1217114 */   // Label 17631: @1217114
     /* 1217114 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217194), // Rule ID 17523 //
     /* 1217119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217158 */     // MIs[0] round
     /* 1217158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1217171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217193 */     // GIR_Coverage, 17523,
     /* 1217193 */     GIR_EraseRootFromParent_Done,
     /* 1217194 */   // Label 17632: @1217194
     /* 1217194 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217274), // Rule ID 17526 //
     /* 1217199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217238 */     // MIs[0] round
     /* 1217238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1217251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217273 */     // GIR_Coverage, 17526,
     /* 1217273 */     GIR_EraseRootFromParent_Done,
     /* 1217274 */   // Label 17633: @1217274
     /* 1217274 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217354), // Rule ID 17527 //
     /* 1217279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217318 */     // MIs[0] round
     /* 1217318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1217331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217353 */     // GIR_Coverage, 17527,
     /* 1217353 */     GIR_EraseRootFromParent_Done,
     /* 1217354 */   // Label 17634: @1217354
     /* 1217354 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217434), // Rule ID 17530 //
     /* 1217359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217398 */     // MIs[0] round
     /* 1217398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217408 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217433 */     // GIR_Coverage, 17530,
     /* 1217433 */     GIR_EraseRootFromParent_Done,
     /* 1217434 */   // Label 17635: @1217434
     /* 1217434 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217514), // Rule ID 17531 //
     /* 1217439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217478 */     // MIs[0] round
     /* 1217478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217488 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217513 */     // GIR_Coverage, 17531,
     /* 1217513 */     GIR_EraseRootFromParent_Done,
     /* 1217514 */   // Label 17636: @1217514
     /* 1217514 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217594), // Rule ID 17534 //
     /* 1217519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217558 */     // MIs[0] round
     /* 1217558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217568 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217593 */     // GIR_Coverage, 17534,
     /* 1217593 */     GIR_EraseRootFromParent_Done,
     /* 1217594 */   // Label 17637: @1217594
     /* 1217594 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217674), // Rule ID 17535 //
     /* 1217599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217638 */     // MIs[0] round
     /* 1217638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217648 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217673 */     // GIR_Coverage, 17535,
     /* 1217673 */     GIR_EraseRootFromParent_Done,
     /* 1217674 */   // Label 17638: @1217674
     /* 1217674 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217754), // Rule ID 17538 //
     /* 1217679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217718 */     // MIs[0] round
     /* 1217718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217728 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217753 */     // GIR_Coverage, 17538,
     /* 1217753 */     GIR_EraseRootFromParent_Done,
     /* 1217754 */   // Label 17639: @1217754
     /* 1217754 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217834), // Rule ID 17539 //
     /* 1217759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217798 */     // MIs[0] round
     /* 1217798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217808 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217833 */     // GIR_Coverage, 17539,
     /* 1217833 */     GIR_EraseRootFromParent_Done,
     /* 1217834 */   // Label 17640: @1217834
     /* 1217834 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217914), // Rule ID 17542 //
     /* 1217839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217878 */     // MIs[0] round
     /* 1217878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217888 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217913 */     // GIR_Coverage, 17542,
     /* 1217913 */     GIR_EraseRootFromParent_Done,
     /* 1217914 */   // Label 17641: @1217914
     /* 1217914 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217994), // Rule ID 17543 //
     /* 1217919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217958 */     // MIs[0] round
     /* 1217958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217993 */     // GIR_Coverage, 17543,
     /* 1217993 */     GIR_EraseRootFromParent_Done,
     /* 1217994 */   // Label 17642: @1217994
     /* 1217994 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1218074), // Rule ID 17546 //
     /* 1217999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218038 */     // MIs[0] round
     /* 1218038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1218051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218073 */     // GIR_Coverage, 17546,
     /* 1218073 */     GIR_EraseRootFromParent_Done,
     /* 1218074 */   // Label 17643: @1218074
     /* 1218074 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218154), // Rule ID 17547 //
     /* 1218079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218118 */     // MIs[0] round
     /* 1218118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1218131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218153 */     // GIR_Coverage, 17547,
     /* 1218153 */     GIR_EraseRootFromParent_Done,
     /* 1218154 */   // Label 17644: @1218154
     /* 1218154 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218234), // Rule ID 17550 //
     /* 1218159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218198 */     // MIs[0] round
     /* 1218198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218208 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1218211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218233 */     // GIR_Coverage, 17550,
     /* 1218233 */     GIR_EraseRootFromParent_Done,
     /* 1218234 */   // Label 17645: @1218234
     /* 1218234 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218314), // Rule ID 17551 //
     /* 1218239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218278 */     // MIs[0] round
     /* 1218278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218288 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1218291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218313 */     // GIR_Coverage, 17551,
     /* 1218313 */     GIR_EraseRootFromParent_Done,
     /* 1218314 */   // Label 17646: @1218314
     /* 1218314 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218394), // Rule ID 17554 //
     /* 1218319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218358 */     // MIs[0] round
     /* 1218358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218393 */     // GIR_Coverage, 17554,
     /* 1218393 */     GIR_EraseRootFromParent_Done,
     /* 1218394 */   // Label 17647: @1218394
     /* 1218394 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218474), // Rule ID 17555 //
     /* 1218399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218438 */     // MIs[0] round
     /* 1218438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218473 */     // GIR_Coverage, 17555,
     /* 1218473 */     GIR_EraseRootFromParent_Done,
     /* 1218474 */   // Label 17648: @1218474
     /* 1218474 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218554), // Rule ID 17558 //
     /* 1218479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218518 */     // MIs[0] round
     /* 1218518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218528 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218553 */     // GIR_Coverage, 17558,
     /* 1218553 */     GIR_EraseRootFromParent_Done,
     /* 1218554 */   // Label 17649: @1218554
     /* 1218554 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218634), // Rule ID 17559 //
     /* 1218559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218598 */     // MIs[0] round
     /* 1218598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218608 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218633 */     // GIR_Coverage, 17559,
     /* 1218633 */     GIR_EraseRootFromParent_Done,
     /* 1218634 */   // Label 17650: @1218634
     /* 1218634 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218714), // Rule ID 17562 //
     /* 1218639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218678 */     // MIs[0] round
     /* 1218678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218713 */     // GIR_Coverage, 17562,
     /* 1218713 */     GIR_EraseRootFromParent_Done,
     /* 1218714 */   // Label 17651: @1218714
     /* 1218714 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218794), // Rule ID 17563 //
     /* 1218719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218758 */     // MIs[0] round
     /* 1218758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218768 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218793 */     // GIR_Coverage, 17563,
     /* 1218793 */     GIR_EraseRootFromParent_Done,
     /* 1218794 */   // Label 17652: @1218794
     /* 1218794 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218874), // Rule ID 17566 //
     /* 1218799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218838 */     // MIs[0] round
     /* 1218838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218873 */     // GIR_Coverage, 17566,
     /* 1218873 */     GIR_EraseRootFromParent_Done,
     /* 1218874 */   // Label 17653: @1218874
     /* 1218874 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218954), // Rule ID 17567 //
     /* 1218879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218918 */     // MIs[0] round
     /* 1218918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218953 */     // GIR_Coverage, 17567,
     /* 1218953 */     GIR_EraseRootFromParent_Done,
     /* 1218954 */   // Label 17654: @1218954
     /* 1218954 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1219034), // Rule ID 17570 //
     /* 1218959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218998 */     // MIs[0] round
     /* 1218998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1219011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219033 */     // GIR_Coverage, 17570,
     /* 1219033 */     GIR_EraseRootFromParent_Done,
     /* 1219034 */   // Label 17655: @1219034
     /* 1219034 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219114), // Rule ID 17571 //
     /* 1219039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1219059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219078 */     // MIs[0] round
     /* 1219078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1219091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219113 */     // GIR_Coverage, 17571,
     /* 1219113 */     GIR_EraseRootFromParent_Done,
     /* 1219114 */   // Label 17656: @1219114
     /* 1219114 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219194), // Rule ID 17574 //
     /* 1219119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1219139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219158 */     // MIs[0] round
     /* 1219158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1219171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219193 */     // GIR_Coverage, 17574,
     /* 1219193 */     GIR_EraseRootFromParent_Done,
     /* 1219194 */   // Label 17657: @1219194
     /* 1219194 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219274), // Rule ID 17575 //
     /* 1219199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1219219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219238 */     // MIs[0] round
     /* 1219238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1219251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219273 */     // GIR_Coverage, 17575,
     /* 1219273 */     GIR_EraseRootFromParent_Done,
     /* 1219274 */   // Label 17658: @1219274
     /* 1219274 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219354), // Rule ID 17578 //
     /* 1219279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1219299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219318 */     // MIs[0] round
     /* 1219318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219328 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1219331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219353 */     // GIR_Coverage, 17578,
     /* 1219353 */     GIR_EraseRootFromParent_Done,
     /* 1219354 */   // Label 17659: @1219354
     /* 1219354 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219434), // Rule ID 17579 //
     /* 1219359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1219379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219398 */     // MIs[0] round
     /* 1219398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219408 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1219411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219433 */     // GIR_Coverage, 17579,
     /* 1219433 */     GIR_EraseRootFromParent_Done,
     /* 1219434 */   // Label 17660: @1219434
     /* 1219434 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219514), // Rule ID 17582 //
     /* 1219439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219478 */     // MIs[0] round
     /* 1219478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219513 */     // GIR_Coverage, 17582,
     /* 1219513 */     GIR_EraseRootFromParent_Done,
     /* 1219514 */   // Label 17661: @1219514
     /* 1219514 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219594), // Rule ID 17583 //
     /* 1219519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219558 */     // MIs[0] round
     /* 1219558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219593 */     // GIR_Coverage, 17583,
     /* 1219593 */     GIR_EraseRootFromParent_Done,
     /* 1219594 */   // Label 17662: @1219594
     /* 1219594 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219674), // Rule ID 17586 //
     /* 1219599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219638 */     // MIs[0] round
     /* 1219638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219673 */     // GIR_Coverage, 17586,
     /* 1219673 */     GIR_EraseRootFromParent_Done,
     /* 1219674 */   // Label 17663: @1219674
     /* 1219674 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219754), // Rule ID 17587 //
     /* 1219679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219718 */     // MIs[0] round
     /* 1219718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219753 */     // GIR_Coverage, 17587,
     /* 1219753 */     GIR_EraseRootFromParent_Done,
     /* 1219754 */   // Label 17664: @1219754
     /* 1219754 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219834), // Rule ID 17590 //
     /* 1219759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219798 */     // MIs[0] round
     /* 1219798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219808 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219833 */     // GIR_Coverage, 17590,
     /* 1219833 */     GIR_EraseRootFromParent_Done,
     /* 1219834 */   // Label 17665: @1219834
     /* 1219834 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219914), // Rule ID 17591 //
     /* 1219839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219878 */     // MIs[0] round
     /* 1219878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219913 */     // GIR_Coverage, 17591,
     /* 1219913 */     GIR_EraseRootFromParent_Done,
     /* 1219914 */   // Label 17666: @1219914
     /* 1219914 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219994), // Rule ID 17594 //
     /* 1219919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219958 */     // MIs[0] round
     /* 1219958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219968 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219993 */     // GIR_Coverage, 17594,
     /* 1219993 */     GIR_EraseRootFromParent_Done,
     /* 1219994 */   // Label 17667: @1219994
     /* 1219994 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1220074), // Rule ID 17595 //
     /* 1219999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1220019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220038 */     // MIs[0] round
     /* 1220038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220048 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1220051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220073 */     // GIR_Coverage, 17595,
     /* 1220073 */     GIR_EraseRootFromParent_Done,
     /* 1220074 */   // Label 17668: @1220074
     /* 1220074 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220154), // Rule ID 17598 //
     /* 1220079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1220099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220118 */     // MIs[0] round
     /* 1220118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220128 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1220131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220153 */     // GIR_Coverage, 17598,
     /* 1220153 */     GIR_EraseRootFromParent_Done,
     /* 1220154 */   // Label 17669: @1220154
     /* 1220154 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220234), // Rule ID 17599 //
     /* 1220159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1220179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220198 */     // MIs[0] round
     /* 1220198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220208 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1220211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220233 */     // GIR_Coverage, 17599,
     /* 1220233 */     GIR_EraseRootFromParent_Done,
     /* 1220234 */   // Label 17670: @1220234
     /* 1220234 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220314), // Rule ID 17602 //
     /* 1220239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220278 */     // MIs[0] round
     /* 1220278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220288 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1220291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220313 */     // GIR_Coverage, 17602,
     /* 1220313 */     GIR_EraseRootFromParent_Done,
     /* 1220314 */   // Label 17671: @1220314
     /* 1220314 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220394), // Rule ID 17603 //
     /* 1220319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220358 */     // MIs[0] round
     /* 1220358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220368 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1220371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220393 */     // GIR_Coverage, 17603,
     /* 1220393 */     GIR_EraseRootFromParent_Done,
     /* 1220394 */   // Label 17672: @1220394
     /* 1220394 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220474), // Rule ID 17606 //
     /* 1220399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220438 */     // MIs[0] round
     /* 1220438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220473 */     // GIR_Coverage, 17606,
     /* 1220473 */     GIR_EraseRootFromParent_Done,
     /* 1220474 */   // Label 17673: @1220474
     /* 1220474 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220554), // Rule ID 17607 //
     /* 1220479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220518 */     // MIs[0] round
     /* 1220518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220553 */     // GIR_Coverage, 17607,
     /* 1220553 */     GIR_EraseRootFromParent_Done,
     /* 1220554 */   // Label 17674: @1220554
     /* 1220554 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220634), // Rule ID 17610 //
     /* 1220559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220598 */     // MIs[0] round
     /* 1220598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220633 */     // GIR_Coverage, 17610,
     /* 1220633 */     GIR_EraseRootFromParent_Done,
     /* 1220634 */   // Label 17675: @1220634
     /* 1220634 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220714), // Rule ID 17611 //
     /* 1220639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220678 */     // MIs[0] round
     /* 1220678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220713 */     // GIR_Coverage, 17611,
     /* 1220713 */     GIR_EraseRootFromParent_Done,
     /* 1220714 */   // Label 17676: @1220714
     /* 1220714 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220794), // Rule ID 17614 //
     /* 1220719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220758 */     // MIs[0] round
     /* 1220758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220793 */     // GIR_Coverage, 17614,
     /* 1220793 */     GIR_EraseRootFromParent_Done,
     /* 1220794 */   // Label 17677: @1220794
     /* 1220794 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220874), // Rule ID 17615 //
     /* 1220799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220838 */     // MIs[0] round
     /* 1220838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220848 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220873 */     // GIR_Coverage, 17615,
     /* 1220873 */     GIR_EraseRootFromParent_Done,
     /* 1220874 */   // Label 17678: @1220874
     /* 1220874 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220954), // Rule ID 17618 //
     /* 1220879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220918 */     // MIs[0] round
     /* 1220918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220928 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220953 */     // GIR_Coverage, 17618,
     /* 1220953 */     GIR_EraseRootFromParent_Done,
     /* 1220954 */   // Label 17679: @1220954
     /* 1220954 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1221034), // Rule ID 17619 //
     /* 1220959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220998 */     // MIs[0] round
     /* 1220998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1221011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221033 */     // GIR_Coverage, 17619,
     /* 1221033 */     GIR_EraseRootFromParent_Done,
     /* 1221034 */   // Label 17680: @1221034
     /* 1221034 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221114), // Rule ID 17622 //
     /* 1221039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221078 */     // MIs[0] round
     /* 1221078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1221091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221113 */     // GIR_Coverage, 17622,
     /* 1221113 */     GIR_EraseRootFromParent_Done,
     /* 1221114 */   // Label 17681: @1221114
     /* 1221114 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221194), // Rule ID 17623 //
     /* 1221119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221158 */     // MIs[0] round
     /* 1221158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1221171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221193 */     // GIR_Coverage, 17623,
     /* 1221193 */     GIR_EraseRootFromParent_Done,
     /* 1221194 */   // Label 17682: @1221194
     /* 1221194 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221274), // Rule ID 17626 //
     /* 1221199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1221210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1221213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221238 */     // MIs[0] round
     /* 1221238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1221251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221273 */     // GIR_Coverage, 17626,
     /* 1221273 */     GIR_EraseRootFromParent_Done,
     /* 1221274 */   // Label 17683: @1221274
     /* 1221274 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221354), // Rule ID 17627 //
     /* 1221279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1221290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1221293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221318 */     // MIs[0] round
     /* 1221318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1221331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221353 */     // GIR_Coverage, 17627,
     /* 1221353 */     GIR_EraseRootFromParent_Done,
     /* 1221354 */   // Label 17684: @1221354
     /* 1221354 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221434), // Rule ID 17630 //
     /* 1221359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221398 */     // MIs[0] round
     /* 1221398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221433 */     // GIR_Coverage, 17630,
     /* 1221433 */     GIR_EraseRootFromParent_Done,
     /* 1221434 */   // Label 17685: @1221434
     /* 1221434 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221514), // Rule ID 17631 //
     /* 1221439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221478 */     // MIs[0] round
     /* 1221478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221488 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221513 */     // GIR_Coverage, 17631,
     /* 1221513 */     GIR_EraseRootFromParent_Done,
     /* 1221514 */   // Label 17686: @1221514
     /* 1221514 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221594), // Rule ID 17634 //
     /* 1221519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221558 */     // MIs[0] round
     /* 1221558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221593 */     // GIR_Coverage, 17634,
     /* 1221593 */     GIR_EraseRootFromParent_Done,
     /* 1221594 */   // Label 17687: @1221594
     /* 1221594 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221674), // Rule ID 17635 //
     /* 1221599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221638 */     // MIs[0] round
     /* 1221638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221673 */     // GIR_Coverage, 17635,
     /* 1221673 */     GIR_EraseRootFromParent_Done,
     /* 1221674 */   // Label 17688: @1221674
     /* 1221674 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221754), // Rule ID 22712 //
     /* 1221679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221718 */     // MIs[0] round
     /* 1221718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221753 */     // GIR_Coverage, 22712,
     /* 1221753 */     GIR_EraseRootFromParent_Done,
     /* 1221754 */   // Label 17689: @1221754
     /* 1221754 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221834), // Rule ID 22713 //
     /* 1221759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221798 */     // MIs[0] round
     /* 1221798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221833 */     // GIR_Coverage, 22713,
     /* 1221833 */     GIR_EraseRootFromParent_Done,
     /* 1221834 */   // Label 17690: @1221834
     /* 1221834 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221914), // Rule ID 22716 //
     /* 1221839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221878 */     // MIs[0] round
     /* 1221878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221888 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221913 */     // GIR_Coverage, 22716,
     /* 1221913 */     GIR_EraseRootFromParent_Done,
     /* 1221914 */   // Label 17691: @1221914
     /* 1221914 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221994), // Rule ID 22717 //
     /* 1221919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221958 */     // MIs[0] round
     /* 1221958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221993 */     // GIR_Coverage, 22717,
     /* 1221993 */     GIR_EraseRootFromParent_Done,
     /* 1221994 */   // Label 17692: @1221994
     /* 1221994 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1222074), // Rule ID 22720 //
     /* 1221999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222038 */     // MIs[0] round
     /* 1222038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1222051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222073 */     // GIR_Coverage, 22720,
     /* 1222073 */     GIR_EraseRootFromParent_Done,
     /* 1222074 */   // Label 17693: @1222074
     /* 1222074 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222154), // Rule ID 22721 //
     /* 1222079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222118 */     // MIs[0] round
     /* 1222118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1222131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222153 */     // GIR_Coverage, 22721,
     /* 1222153 */     GIR_EraseRootFromParent_Done,
     /* 1222154 */   // Label 17694: @1222154
     /* 1222154 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222234), // Rule ID 22724 //
     /* 1222159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222198 */     // MIs[0] round
     /* 1222198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1222211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222233 */     // GIR_Coverage, 22724,
     /* 1222233 */     GIR_EraseRootFromParent_Done,
     /* 1222234 */   // Label 17695: @1222234
     /* 1222234 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222314), // Rule ID 22725 //
     /* 1222239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222278 */     // MIs[0] round
     /* 1222278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1222291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222313 */     // GIR_Coverage, 22725,
     /* 1222313 */     GIR_EraseRootFromParent_Done,
     /* 1222314 */   // Label 17696: @1222314
     /* 1222314 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222394), // Rule ID 22728 //
     /* 1222319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222358 */     // MIs[0] round
     /* 1222358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222368 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222393 */     // GIR_Coverage, 22728,
     /* 1222393 */     GIR_EraseRootFromParent_Done,
     /* 1222394 */   // Label 17697: @1222394
     /* 1222394 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222474), // Rule ID 22729 //
     /* 1222399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222438 */     // MIs[0] round
     /* 1222438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222473 */     // GIR_Coverage, 22729,
     /* 1222473 */     GIR_EraseRootFromParent_Done,
     /* 1222474 */   // Label 17698: @1222474
     /* 1222474 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222554), // Rule ID 22732 //
     /* 1222479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222518 */     // MIs[0] round
     /* 1222518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222553 */     // GIR_Coverage, 22732,
     /* 1222553 */     GIR_EraseRootFromParent_Done,
     /* 1222554 */   // Label 17699: @1222554
     /* 1222554 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222634), // Rule ID 22733 //
     /* 1222559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222598 */     // MIs[0] round
     /* 1222598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222608 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222633 */     // GIR_Coverage, 22733,
     /* 1222633 */     GIR_EraseRootFromParent_Done,
     /* 1222634 */   // Label 17700: @1222634
     /* 1222634 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222714), // Rule ID 22736 //
     /* 1222639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222678 */     // MIs[0] round
     /* 1222678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222688 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222713 */     // GIR_Coverage, 22736,
     /* 1222713 */     GIR_EraseRootFromParent_Done,
     /* 1222714 */   // Label 17701: @1222714
     /* 1222714 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222794), // Rule ID 22737 //
     /* 1222719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222758 */     // MIs[0] round
     /* 1222758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222793 */     // GIR_Coverage, 22737,
     /* 1222793 */     GIR_EraseRootFromParent_Done,
     /* 1222794 */   // Label 17702: @1222794
     /* 1222794 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222874), // Rule ID 22740 //
     /* 1222799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222838 */     // MIs[0] round
     /* 1222838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222873 */     // GIR_Coverage, 22740,
     /* 1222873 */     GIR_EraseRootFromParent_Done,
     /* 1222874 */   // Label 17703: @1222874
     /* 1222874 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222954), // Rule ID 22741 //
     /* 1222879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222918 */     // MIs[0] round
     /* 1222918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222953 */     // GIR_Coverage, 22741,
     /* 1222953 */     GIR_EraseRootFromParent_Done,
     /* 1222954 */   // Label 17704: @1222954
     /* 1222954 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1223034), // Rule ID 22744 //
     /* 1222959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222998 */     // MIs[0] round
     /* 1222998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1223011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223033 */     // GIR_Coverage, 22744,
     /* 1223033 */     GIR_EraseRootFromParent_Done,
     /* 1223034 */   // Label 17705: @1223034
     /* 1223034 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223114), // Rule ID 22745 //
     /* 1223039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223078 */     // MIs[0] round
     /* 1223078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1223091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223113 */     // GIR_Coverage, 22745,
     /* 1223113 */     GIR_EraseRootFromParent_Done,
     /* 1223114 */   // Label 17706: @1223114
     /* 1223114 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223194), // Rule ID 22748 //
     /* 1223119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223158 */     // MIs[0] round
     /* 1223158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1223171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223193 */     // GIR_Coverage, 22748,
     /* 1223193 */     GIR_EraseRootFromParent_Done,
     /* 1223194 */   // Label 17707: @1223194
     /* 1223194 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223274), // Rule ID 22749 //
     /* 1223199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223238 */     // MIs[0] round
     /* 1223238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1223251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223273 */     // GIR_Coverage, 22749,
     /* 1223273 */     GIR_EraseRootFromParent_Done,
     /* 1223274 */   // Label 17708: @1223274
     /* 1223274 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223354), // Rule ID 22752 //
     /* 1223279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223318 */     // MIs[0] round
     /* 1223318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1223331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223353 */     // GIR_Coverage, 22752,
     /* 1223353 */     GIR_EraseRootFromParent_Done,
     /* 1223354 */   // Label 17709: @1223354
     /* 1223354 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223434), // Rule ID 22753 //
     /* 1223359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223398 */     // MIs[0] round
     /* 1223398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1223411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223433 */     // GIR_Coverage, 22753,
     /* 1223433 */     GIR_EraseRootFromParent_Done,
     /* 1223434 */   // Label 17710: @1223434
     /* 1223434 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223514), // Rule ID 22756 //
     /* 1223439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223478 */     // MIs[0] round
     /* 1223478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223488 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223513 */     // GIR_Coverage, 22756,
     /* 1223513 */     GIR_EraseRootFromParent_Done,
     /* 1223514 */   // Label 17711: @1223514
     /* 1223514 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223594), // Rule ID 22757 //
     /* 1223519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223558 */     // MIs[0] round
     /* 1223558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223593 */     // GIR_Coverage, 22757,
     /* 1223593 */     GIR_EraseRootFromParent_Done,
     /* 1223594 */   // Label 17712: @1223594
     /* 1223594 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223674), // Rule ID 22760 //
     /* 1223599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223638 */     // MIs[0] round
     /* 1223638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223673 */     // GIR_Coverage, 22760,
     /* 1223673 */     GIR_EraseRootFromParent_Done,
     /* 1223674 */   // Label 17713: @1223674
     /* 1223674 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223754), // Rule ID 22761 //
     /* 1223679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223718 */     // MIs[0] round
     /* 1223718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223753 */     // GIR_Coverage, 22761,
     /* 1223753 */     GIR_EraseRootFromParent_Done,
     /* 1223754 */   // Label 17714: @1223754
     /* 1223754 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223834), // Rule ID 22764 //
     /* 1223759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223798 */     // MIs[0] round
     /* 1223798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223833 */     // GIR_Coverage, 22764,
     /* 1223833 */     GIR_EraseRootFromParent_Done,
     /* 1223834 */   // Label 17715: @1223834
     /* 1223834 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223914), // Rule ID 22765 //
     /* 1223839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223878 */     // MIs[0] round
     /* 1223878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223913 */     // GIR_Coverage, 22765,
     /* 1223913 */     GIR_EraseRootFromParent_Done,
     /* 1223914 */   // Label 17716: @1223914
     /* 1223914 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223994), // Rule ID 22768 //
     /* 1223919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223958 */     // MIs[0] round
     /* 1223958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223968 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223993 */     // GIR_Coverage, 22768,
     /* 1223993 */     GIR_EraseRootFromParent_Done,
     /* 1223994 */   // Label 17717: @1223994
     /* 1223994 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1224074), // Rule ID 22769 //
     /* 1223999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224038 */     // MIs[0] round
     /* 1224038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1224051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224073 */     // GIR_Coverage, 22769,
     /* 1224073 */     GIR_EraseRootFromParent_Done,
     /* 1224074 */   // Label 17718: @1224074
     /* 1224074 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224154), // Rule ID 22772 //
     /* 1224079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224118 */     // MIs[0] round
     /* 1224118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1224131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224153 */     // GIR_Coverage, 22772,
     /* 1224153 */     GIR_EraseRootFromParent_Done,
     /* 1224154 */   // Label 17719: @1224154
     /* 1224154 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224234), // Rule ID 22773 //
     /* 1224159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224198 */     // MIs[0] round
     /* 1224198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224208 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1224211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224233 */     // GIR_Coverage, 22773,
     /* 1224233 */     GIR_EraseRootFromParent_Done,
     /* 1224234 */   // Label 17720: @1224234
     /* 1224234 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224314), // Rule ID 22776 //
     /* 1224239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224278 */     // MIs[0] round
     /* 1224278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1224291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224313 */     // GIR_Coverage, 22776,
     /* 1224313 */     GIR_EraseRootFromParent_Done,
     /* 1224314 */   // Label 17721: @1224314
     /* 1224314 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224394), // Rule ID 22777 //
     /* 1224319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224358 */     // MIs[0] round
     /* 1224358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1224371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224393 */     // GIR_Coverage, 22777,
     /* 1224393 */     GIR_EraseRootFromParent_Done,
     /* 1224394 */   // Label 17722: @1224394
     /* 1224394 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224474), // Rule ID 22780 //
     /* 1224399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224438 */     // MIs[0] round
     /* 1224438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224473 */     // GIR_Coverage, 22780,
     /* 1224473 */     GIR_EraseRootFromParent_Done,
     /* 1224474 */   // Label 17723: @1224474
     /* 1224474 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224554), // Rule ID 22781 //
     /* 1224479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224518 */     // MIs[0] round
     /* 1224518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224553 */     // GIR_Coverage, 22781,
     /* 1224553 */     GIR_EraseRootFromParent_Done,
     /* 1224554 */   // Label 17724: @1224554
     /* 1224554 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224634), // Rule ID 22784 //
     /* 1224559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224598 */     // MIs[0] round
     /* 1224598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224633 */     // GIR_Coverage, 22784,
     /* 1224633 */     GIR_EraseRootFromParent_Done,
     /* 1224634 */   // Label 17725: @1224634
     /* 1224634 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224714), // Rule ID 22785 //
     /* 1224639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224678 */     // MIs[0] round
     /* 1224678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224713 */     // GIR_Coverage, 22785,
     /* 1224713 */     GIR_EraseRootFromParent_Done,
     /* 1224714 */   // Label 17726: @1224714
     /* 1224714 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224794), // Rule ID 22788 //
     /* 1224719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224758 */     // MIs[0] round
     /* 1224758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224793 */     // GIR_Coverage, 22788,
     /* 1224793 */     GIR_EraseRootFromParent_Done,
     /* 1224794 */   // Label 17727: @1224794
     /* 1224794 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224874), // Rule ID 22789 //
     /* 1224799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224838 */     // MIs[0] round
     /* 1224838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224873 */     // GIR_Coverage, 22789,
     /* 1224873 */     GIR_EraseRootFromParent_Done,
     /* 1224874 */   // Label 17728: @1224874
     /* 1224874 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224954), // Rule ID 22792 //
     /* 1224879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224918 */     // MIs[0] round
     /* 1224918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224953 */     // GIR_Coverage, 22792,
     /* 1224953 */     GIR_EraseRootFromParent_Done,
     /* 1224954 */   // Label 17729: @1224954
     /* 1224954 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1225034), // Rule ID 22793 //
     /* 1224959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224998 */     // MIs[0] round
     /* 1224998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225008 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1225011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225033 */     // GIR_Coverage, 22793,
     /* 1225033 */     GIR_EraseRootFromParent_Done,
     /* 1225034 */   // Label 17730: @1225034
     /* 1225034 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225114), // Rule ID 22796 //
     /* 1225039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225078 */     // MIs[0] round
     /* 1225078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225088 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1225091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225113 */     // GIR_Coverage, 22796,
     /* 1225113 */     GIR_EraseRootFromParent_Done,
     /* 1225114 */   // Label 17731: @1225114
     /* 1225114 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225194), // Rule ID 22797 //
     /* 1225119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225158 */     // MIs[0] round
     /* 1225158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225168 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1225171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225193 */     // GIR_Coverage, 22797,
     /* 1225193 */     GIR_EraseRootFromParent_Done,
     /* 1225194 */   // Label 17732: @1225194
     /* 1225194 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225274), // Rule ID 22800 //
     /* 1225199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225238 */     // MIs[0] round
     /* 1225238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225248 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1225251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225273 */     // GIR_Coverage, 22800,
     /* 1225273 */     GIR_EraseRootFromParent_Done,
     /* 1225274 */   // Label 17733: @1225274
     /* 1225274 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225354), // Rule ID 22801 //
     /* 1225279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225318 */     // MIs[0] round
     /* 1225318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1225331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225353 */     // GIR_Coverage, 22801,
     /* 1225353 */     GIR_EraseRootFromParent_Done,
     /* 1225354 */   // Label 17734: @1225354
     /* 1225354 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225434), // Rule ID 22804 //
     /* 1225359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225398 */     // MIs[0] round
     /* 1225398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225433 */     // GIR_Coverage, 22804,
     /* 1225433 */     GIR_EraseRootFromParent_Done,
     /* 1225434 */   // Label 17735: @1225434
     /* 1225434 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225514), // Rule ID 22805 //
     /* 1225439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225478 */     // MIs[0] round
     /* 1225478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225513 */     // GIR_Coverage, 22805,
     /* 1225513 */     GIR_EraseRootFromParent_Done,
     /* 1225514 */   // Label 17736: @1225514
     /* 1225514 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225594), // Rule ID 22808 //
     /* 1225519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225558 */     // MIs[0] round
     /* 1225558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225593 */     // GIR_Coverage, 22808,
     /* 1225593 */     GIR_EraseRootFromParent_Done,
     /* 1225594 */   // Label 17737: @1225594
     /* 1225594 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225674), // Rule ID 22809 //
     /* 1225599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225638 */     // MIs[0] round
     /* 1225638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225673 */     // GIR_Coverage, 22809,
     /* 1225673 */     GIR_EraseRootFromParent_Done,
     /* 1225674 */   // Label 17738: @1225674
     /* 1225674 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225754), // Rule ID 22812 //
     /* 1225679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225718 */     // MIs[0] round
     /* 1225718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225753 */     // GIR_Coverage, 22812,
     /* 1225753 */     GIR_EraseRootFromParent_Done,
     /* 1225754 */   // Label 17739: @1225754
     /* 1225754 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225834), // Rule ID 22813 //
     /* 1225759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225798 */     // MIs[0] round
     /* 1225798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225833 */     // GIR_Coverage, 22813,
     /* 1225833 */     GIR_EraseRootFromParent_Done,
     /* 1225834 */   // Label 17740: @1225834
     /* 1225834 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225914), // Rule ID 22816 //
     /* 1225839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225878 */     // MIs[0] round
     /* 1225878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225913 */     // GIR_Coverage, 22816,
     /* 1225913 */     GIR_EraseRootFromParent_Done,
     /* 1225914 */   // Label 17741: @1225914
     /* 1225914 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225994), // Rule ID 22817 //
     /* 1225919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225958 */     // MIs[0] round
     /* 1225958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225993 */     // GIR_Coverage, 22817,
     /* 1225993 */     GIR_EraseRootFromParent_Done,
     /* 1225994 */   // Label 17742: @1225994
     /* 1225994 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1226074), // Rule ID 22820 //
     /* 1225999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1226016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226038 */     // MIs[0] round
     /* 1226038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1226051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226073 */     // GIR_Coverage, 22820,
     /* 1226073 */     GIR_EraseRootFromParent_Done,
     /* 1226074 */   // Label 17743: @1226074
     /* 1226074 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226154), // Rule ID 22821 //
     /* 1226079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1226096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226118 */     // MIs[0] round
     /* 1226118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1226131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226153 */     // GIR_Coverage, 22821,
     /* 1226153 */     GIR_EraseRootFromParent_Done,
     /* 1226154 */   // Label 17744: @1226154
     /* 1226154 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226234), // Rule ID 22824 //
     /* 1226159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1226176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226198 */     // MIs[0] round
     /* 1226198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1226211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226233 */     // GIR_Coverage, 22824,
     /* 1226233 */     GIR_EraseRootFromParent_Done,
     /* 1226234 */   // Label 17745: @1226234
     /* 1226234 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226314), // Rule ID 22825 //
     /* 1226239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1226247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1226256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226278 */     // MIs[0] round
     /* 1226278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1226291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226313 */     // GIR_Coverage, 22825,
     /* 1226313 */     GIR_EraseRootFromParent_Done,
     /* 1226314 */   // Label 17746: @1226314
     /* 1226314 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226394), // Rule ID 22948 //
     /* 1226319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226358 */     // MIs[0] round
     /* 1226358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226393 */     // GIR_Coverage, 22948,
     /* 1226393 */     GIR_EraseRootFromParent_Done,
     /* 1226394 */   // Label 17747: @1226394
     /* 1226394 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226474), // Rule ID 22949 //
     /* 1226399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226438 */     // MIs[0] round
     /* 1226438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226473 */     // GIR_Coverage, 22949,
     /* 1226473 */     GIR_EraseRootFromParent_Done,
     /* 1226474 */   // Label 17748: @1226474
     /* 1226474 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226554), // Rule ID 22952 //
     /* 1226479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226518 */     // MIs[0] round
     /* 1226518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226553 */     // GIR_Coverage, 22952,
     /* 1226553 */     GIR_EraseRootFromParent_Done,
     /* 1226554 */   // Label 17749: @1226554
     /* 1226554 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226634), // Rule ID 22953 //
     /* 1226559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226598 */     // MIs[0] round
     /* 1226598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226633 */     // GIR_Coverage, 22953,
     /* 1226633 */     GIR_EraseRootFromParent_Done,
     /* 1226634 */   // Label 17750: @1226634
     /* 1226634 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226714), // Rule ID 22956 //
     /* 1226639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226678 */     // MIs[0] round
     /* 1226678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226713 */     // GIR_Coverage, 22956,
     /* 1226713 */     GIR_EraseRootFromParent_Done,
     /* 1226714 */   // Label 17751: @1226714
     /* 1226714 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226794), // Rule ID 22957 //
     /* 1226719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226758 */     // MIs[0] round
     /* 1226758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226793 */     // GIR_Coverage, 22957,
     /* 1226793 */     GIR_EraseRootFromParent_Done,
     /* 1226794 */   // Label 17752: @1226794
     /* 1226794 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226874), // Rule ID 22960 //
     /* 1226799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226838 */     // MIs[0] round
     /* 1226838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226873 */     // GIR_Coverage, 22960,
     /* 1226873 */     GIR_EraseRootFromParent_Done,
     /* 1226874 */   // Label 17753: @1226874
     /* 1226874 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226954), // Rule ID 22961 //
     /* 1226879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226918 */     // MIs[0] round
     /* 1226918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226953 */     // GIR_Coverage, 22961,
     /* 1226953 */     GIR_EraseRootFromParent_Done,
     /* 1226954 */   // Label 17754: @1226954
     /* 1226954 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1227034), // Rule ID 22964 //
     /* 1226959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226998 */     // MIs[0] round
     /* 1226998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1227011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227033 */     // GIR_Coverage, 22964,
     /* 1227033 */     GIR_EraseRootFromParent_Done,
     /* 1227034 */   // Label 17755: @1227034
     /* 1227034 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227114), // Rule ID 22965 //
     /* 1227039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227078 */     // MIs[0] round
     /* 1227078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1227091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227113 */     // GIR_Coverage, 22965,
     /* 1227113 */     GIR_EraseRootFromParent_Done,
     /* 1227114 */   // Label 17756: @1227114
     /* 1227114 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227194), // Rule ID 22968 //
     /* 1227119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227158 */     // MIs[0] round
     /* 1227158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1227171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227193 */     // GIR_Coverage, 22968,
     /* 1227193 */     GIR_EraseRootFromParent_Done,
     /* 1227194 */   // Label 17757: @1227194
     /* 1227194 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227274), // Rule ID 22969 //
     /* 1227199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227238 */     // MIs[0] round
     /* 1227238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1227251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227273 */     // GIR_Coverage, 22969,
     /* 1227273 */     GIR_EraseRootFromParent_Done,
     /* 1227274 */   // Label 17758: @1227274
     /* 1227274 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227354), // Rule ID 22972 //
     /* 1227279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227318 */     // MIs[0] round
     /* 1227318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1227331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227353 */     // GIR_Coverage, 22972,
     /* 1227353 */     GIR_EraseRootFromParent_Done,
     /* 1227354 */   // Label 17759: @1227354
     /* 1227354 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227434), // Rule ID 22973 //
     /* 1227359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227398 */     // MIs[0] round
     /* 1227398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1227411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227433 */     // GIR_Coverage, 22973,
     /* 1227433 */     GIR_EraseRootFromParent_Done,
     /* 1227434 */   // Label 17760: @1227434
     /* 1227434 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227514), // Rule ID 22976 //
     /* 1227439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227478 */     // MIs[0] round
     /* 1227478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227513 */     // GIR_Coverage, 22976,
     /* 1227513 */     GIR_EraseRootFromParent_Done,
     /* 1227514 */   // Label 17761: @1227514
     /* 1227514 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227594), // Rule ID 22977 //
     /* 1227519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227558 */     // MIs[0] round
     /* 1227558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227593 */     // GIR_Coverage, 22977,
     /* 1227593 */     GIR_EraseRootFromParent_Done,
     /* 1227594 */   // Label 17762: @1227594
     /* 1227594 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227674), // Rule ID 22980 //
     /* 1227599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227638 */     // MIs[0] round
     /* 1227638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227673 */     // GIR_Coverage, 22980,
     /* 1227673 */     GIR_EraseRootFromParent_Done,
     /* 1227674 */   // Label 17763: @1227674
     /* 1227674 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227754), // Rule ID 22981 //
     /* 1227679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227718 */     // MIs[0] round
     /* 1227718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227753 */     // GIR_Coverage, 22981,
     /* 1227753 */     GIR_EraseRootFromParent_Done,
     /* 1227754 */   // Label 17764: @1227754
     /* 1227754 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227834), // Rule ID 22984 //
     /* 1227759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227798 */     // MIs[0] round
     /* 1227798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227833 */     // GIR_Coverage, 22984,
     /* 1227833 */     GIR_EraseRootFromParent_Done,
     /* 1227834 */   // Label 17765: @1227834
     /* 1227834 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227914), // Rule ID 22985 //
     /* 1227839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227878 */     // MIs[0] round
     /* 1227878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227913 */     // GIR_Coverage, 22985,
     /* 1227913 */     GIR_EraseRootFromParent_Done,
     /* 1227914 */   // Label 17766: @1227914
     /* 1227914 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227994), // Rule ID 22988 //
     /* 1227919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227958 */     // MIs[0] round
     /* 1227958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227993 */     // GIR_Coverage, 22988,
     /* 1227993 */     GIR_EraseRootFromParent_Done,
     /* 1227994 */   // Label 17767: @1227994
     /* 1227994 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1228074), // Rule ID 22989 //
     /* 1227999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1228007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228038 */     // MIs[0] round
     /* 1228038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1228051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228073 */     // GIR_Coverage, 22989,
     /* 1228073 */     GIR_EraseRootFromParent_Done,
     /* 1228074 */   // Label 17768: @1228074
     /* 1228074 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228154), // Rule ID 22992 //
     /* 1228079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228118 */     // MIs[0] round
     /* 1228118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1228131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228153 */     // GIR_Coverage, 22992,
     /* 1228153 */     GIR_EraseRootFromParent_Done,
     /* 1228154 */   // Label 17769: @1228154
     /* 1228154 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228234), // Rule ID 22993 //
     /* 1228159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228198 */     // MIs[0] round
     /* 1228198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1228211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228233 */     // GIR_Coverage, 22993,
     /* 1228233 */     GIR_EraseRootFromParent_Done,
     /* 1228234 */   // Label 17770: @1228234
     /* 1228234 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228314), // Rule ID 22996 //
     /* 1228239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228278 */     // MIs[0] round
     /* 1228278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1228291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228313 */     // GIR_Coverage, 22996,
     /* 1228313 */     GIR_EraseRootFromParent_Done,
     /* 1228314 */   // Label 17771: @1228314
     /* 1228314 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228394), // Rule ID 22997 //
     /* 1228319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228358 */     // MIs[0] round
     /* 1228358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1228371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228393 */     // GIR_Coverage, 22997,
     /* 1228393 */     GIR_EraseRootFromParent_Done,
     /* 1228394 */   // Label 17772: @1228394
     /* 1228394 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228474), // Rule ID 23000 //
     /* 1228399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228438 */     // MIs[0] round
     /* 1228438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228473 */     // GIR_Coverage, 23000,
     /* 1228473 */     GIR_EraseRootFromParent_Done,
     /* 1228474 */   // Label 17773: @1228474
     /* 1228474 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228554), // Rule ID 23001 //
     /* 1228479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228518 */     // MIs[0] round
     /* 1228518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228553 */     // GIR_Coverage, 23001,
     /* 1228553 */     GIR_EraseRootFromParent_Done,
     /* 1228554 */   // Label 17774: @1228554
     /* 1228554 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228634), // Rule ID 23004 //
     /* 1228559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228598 */     // MIs[0] round
     /* 1228598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228633 */     // GIR_Coverage, 23004,
     /* 1228633 */     GIR_EraseRootFromParent_Done,
     /* 1228634 */   // Label 17775: @1228634
     /* 1228634 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228714), // Rule ID 23005 //
     /* 1228639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228678 */     // MIs[0] round
     /* 1228678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228713 */     // GIR_Coverage, 23005,
     /* 1228713 */     GIR_EraseRootFromParent_Done,
     /* 1228714 */   // Label 17776: @1228714
     /* 1228714 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228794), // Rule ID 23008 //
     /* 1228719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228758 */     // MIs[0] round
     /* 1228758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228793 */     // GIR_Coverage, 23008,
     /* 1228793 */     GIR_EraseRootFromParent_Done,
     /* 1228794 */   // Label 17777: @1228794
     /* 1228794 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228874), // Rule ID 23009 //
     /* 1228799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228838 */     // MIs[0] round
     /* 1228838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228873 */     // GIR_Coverage, 23009,
     /* 1228873 */     GIR_EraseRootFromParent_Done,
     /* 1228874 */   // Label 17778: @1228874
     /* 1228874 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228954), // Rule ID 23012 //
     /* 1228879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228918 */     // MIs[0] round
     /* 1228918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228953 */     // GIR_Coverage, 23012,
     /* 1228953 */     GIR_EraseRootFromParent_Done,
     /* 1228954 */   // Label 17779: @1228954
     /* 1228954 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1229034), // Rule ID 23013 //
     /* 1228959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228998 */     // MIs[0] round
     /* 1228998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1229011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229033 */     // GIR_Coverage, 23013,
     /* 1229033 */     GIR_EraseRootFromParent_Done,
     /* 1229034 */   // Label 17780: @1229034
     /* 1229034 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229114), // Rule ID 23016 //
     /* 1229039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229078 */     // MIs[0] round
     /* 1229078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1229091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229113 */     // GIR_Coverage, 23016,
     /* 1229113 */     GIR_EraseRootFromParent_Done,
     /* 1229114 */   // Label 17781: @1229114
     /* 1229114 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229194), // Rule ID 23017 //
     /* 1229119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229158 */     // MIs[0] round
     /* 1229158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1229171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229193 */     // GIR_Coverage, 23017,
     /* 1229193 */     GIR_EraseRootFromParent_Done,
     /* 1229194 */   // Label 17782: @1229194
     /* 1229194 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229274), // Rule ID 23020 //
     /* 1229199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229238 */     // MIs[0] round
     /* 1229238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1229251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229273 */     // GIR_Coverage, 23020,
     /* 1229273 */     GIR_EraseRootFromParent_Done,
     /* 1229274 */   // Label 17783: @1229274
     /* 1229274 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229354), // Rule ID 23021 //
     /* 1229279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229318 */     // MIs[0] round
     /* 1229318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1229331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229353 */     // GIR_Coverage, 23021,
     /* 1229353 */     GIR_EraseRootFromParent_Done,
     /* 1229354 */   // Label 17784: @1229354
     /* 1229354 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229434), // Rule ID 23024 //
     /* 1229359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229398 */     // MIs[0] round
     /* 1229398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229433 */     // GIR_Coverage, 23024,
     /* 1229433 */     GIR_EraseRootFromParent_Done,
     /* 1229434 */   // Label 17785: @1229434
     /* 1229434 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229514), // Rule ID 23025 //
     /* 1229439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229478 */     // MIs[0] round
     /* 1229478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229488 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229513 */     // GIR_Coverage, 23025,
     /* 1229513 */     GIR_EraseRootFromParent_Done,
     /* 1229514 */   // Label 17786: @1229514
     /* 1229514 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229594), // Rule ID 23028 //
     /* 1229519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229558 */     // MIs[0] round
     /* 1229558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229593 */     // GIR_Coverage, 23028,
     /* 1229593 */     GIR_EraseRootFromParent_Done,
     /* 1229594 */   // Label 17787: @1229594
     /* 1229594 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229674), // Rule ID 23029 //
     /* 1229599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229638 */     // MIs[0] round
     /* 1229638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229673 */     // GIR_Coverage, 23029,
     /* 1229673 */     GIR_EraseRootFromParent_Done,
     /* 1229674 */   // Label 17788: @1229674
     /* 1229674 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229754), // Rule ID 23032 //
     /* 1229679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229718 */     // MIs[0] round
     /* 1229718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229753 */     // GIR_Coverage, 23032,
     /* 1229753 */     GIR_EraseRootFromParent_Done,
     /* 1229754 */   // Label 17789: @1229754
     /* 1229754 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229834), // Rule ID 23033 //
     /* 1229759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229798 */     // MIs[0] round
     /* 1229798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229808 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229833 */     // GIR_Coverage, 23033,
     /* 1229833 */     GIR_EraseRootFromParent_Done,
     /* 1229834 */   // Label 17790: @1229834
     /* 1229834 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229914), // Rule ID 64268 //
     /* 1229839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229878 */     // MIs[0] round
     /* 1229878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229913 */     // GIR_Coverage, 64268,
     /* 1229913 */     GIR_EraseRootFromParent_Done,
     /* 1229914 */   // Label 17791: @1229914
     /* 1229914 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229994), // Rule ID 64269 //
     /* 1229919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229958 */     // MIs[0] round
     /* 1229958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229993 */     // GIR_Coverage, 64269,
     /* 1229993 */     GIR_EraseRootFromParent_Done,
     /* 1229994 */   // Label 17792: @1229994
     /* 1229994 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1230074), // Rule ID 64272 //
     /* 1229999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230038 */     // MIs[0] round
     /* 1230038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1230051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230073 */     // GIR_Coverage, 64272,
     /* 1230073 */     GIR_EraseRootFromParent_Done,
     /* 1230074 */   // Label 17793: @1230074
     /* 1230074 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230154), // Rule ID 64273 //
     /* 1230079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230118 */     // MIs[0] round
     /* 1230118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1230131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230153 */     // GIR_Coverage, 64273,
     /* 1230153 */     GIR_EraseRootFromParent_Done,
     /* 1230154 */   // Label 17794: @1230154
     /* 1230154 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230234), // Rule ID 64276 //
     /* 1230159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230198 */     // MIs[0] round
     /* 1230198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1230211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230233 */     // GIR_Coverage, 64276,
     /* 1230233 */     GIR_EraseRootFromParent_Done,
     /* 1230234 */   // Label 17795: @1230234
     /* 1230234 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230314), // Rule ID 64277 //
     /* 1230239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230278 */     // MIs[0] round
     /* 1230278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230288 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1230291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230313 */     // GIR_Coverage, 64277,
     /* 1230313 */     GIR_EraseRootFromParent_Done,
     /* 1230314 */   // Label 17796: @1230314
     /* 1230314 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230394), // Rule ID 64280 //
     /* 1230319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230358 */     // MIs[0] round
     /* 1230358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230393 */     // GIR_Coverage, 64280,
     /* 1230393 */     GIR_EraseRootFromParent_Done,
     /* 1230394 */   // Label 17797: @1230394
     /* 1230394 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230474), // Rule ID 64281 //
     /* 1230399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230438 */     // MIs[0] round
     /* 1230438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11025:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230473 */     // GIR_Coverage, 64281,
     /* 1230473 */     GIR_EraseRootFromParent_Done,
     /* 1230474 */   // Label 17798: @1230474
     /* 1230474 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230554), // Rule ID 64284 //
     /* 1230479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230518 */     // MIs[0] round
     /* 1230518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230553 */     // GIR_Coverage, 64284,
     /* 1230553 */     GIR_EraseRootFromParent_Done,
     /* 1230554 */   // Label 17799: @1230554
     /* 1230554 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230634), // Rule ID 64285 //
     /* 1230559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230598 */     // MIs[0] round
     /* 1230598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230633 */     // GIR_Coverage, 64285,
     /* 1230633 */     GIR_EraseRootFromParent_Done,
     /* 1230634 */   // Label 17800: @1230634
     /* 1230634 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230714), // Rule ID 64288 //
     /* 1230639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230678 */     // MIs[0] round
     /* 1230678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230713 */     // GIR_Coverage, 64288,
     /* 1230713 */     GIR_EraseRootFromParent_Done,
     /* 1230714 */   // Label 17801: @1230714
     /* 1230714 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230794), // Rule ID 64289 //
     /* 1230719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230758 */     // MIs[0] round
     /* 1230758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230793 */     // GIR_Coverage, 64289,
     /* 1230793 */     GIR_EraseRootFromParent_Done,
     /* 1230794 */   // Label 17802: @1230794
     /* 1230794 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230874), // Rule ID 64292 //
     /* 1230799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230838 */     // MIs[0] round
     /* 1230838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230873 */     // GIR_Coverage, 64292,
     /* 1230873 */     GIR_EraseRootFromParent_Done,
     /* 1230874 */   // Label 17803: @1230874
     /* 1230874 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230954), // Rule ID 64293 //
     /* 1230879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230918 */     // MIs[0] round
     /* 1230918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230953 */     // GIR_Coverage, 64293,
     /* 1230953 */     GIR_EraseRootFromParent_Done,
     /* 1230954 */   // Label 17804: @1230954
     /* 1230954 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1231034), // Rule ID 64296 //
     /* 1230959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230998 */     // MIs[0] round
     /* 1230998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1231011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231033 */     // GIR_Coverage, 64296,
     /* 1231033 */     GIR_EraseRootFromParent_Done,
     /* 1231034 */   // Label 17805: @1231034
     /* 1231034 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231114), // Rule ID 64297 //
     /* 1231039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231078 */     // MIs[0] round
     /* 1231078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1231091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231113 */     // GIR_Coverage, 64297,
     /* 1231113 */     GIR_EraseRootFromParent_Done,
     /* 1231114 */   // Label 17806: @1231114
     /* 1231114 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231194), // Rule ID 64300 //
     /* 1231119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1231122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231158 */     // MIs[0] round
     /* 1231158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1231171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231193 */     // GIR_Coverage, 64300,
     /* 1231193 */     GIR_EraseRootFromParent_Done,
     /* 1231194 */   // Label 17807: @1231194
     /* 1231194 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231274), // Rule ID 64301 //
     /* 1231199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231238 */     // MIs[0] round
     /* 1231238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11023:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1231251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231273 */     // GIR_Coverage, 64301,
     /* 1231273 */     GIR_EraseRootFromParent_Done,
     /* 1231274 */   // Label 17808: @1231274
     /* 1231274 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231354), // Rule ID 64304 //
     /* 1231279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1231282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1231290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1231293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231318 */     // MIs[0] round
     /* 1231318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1231331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231353 */     // GIR_Coverage, 64304,
     /* 1231353 */     GIR_EraseRootFromParent_Done,
     /* 1231354 */   // Label 17809: @1231354
     /* 1231354 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231434), // Rule ID 64305 //
     /* 1231359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1231362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1231367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1231370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1231373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231398 */     // MIs[0] round
     /* 1231398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1231411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231433 */     // GIR_Coverage, 64305,
     /* 1231433 */     GIR_EraseRootFromParent_Done,
     /* 1231434 */   // Label 17810: @1231434
     /* 1231434 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231518), // Rule ID 2608 //
     /* 1231439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231517 */     // GIR_Coverage, 2608,
     /* 1231517 */     GIR_EraseRootFromParent_Done,
     /* 1231518 */   // Label 17811: @1231518
     /* 1231518 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231602), // Rule ID 2609 //
     /* 1231523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231601 */     // GIR_Coverage, 2609,
     /* 1231601 */     GIR_EraseRootFromParent_Done,
     /* 1231602 */   // Label 17812: @1231602
     /* 1231602 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231686), // Rule ID 2620 //
     /* 1231607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231685 */     // GIR_Coverage, 2620,
     /* 1231685 */     GIR_EraseRootFromParent_Done,
     /* 1231686 */   // Label 17813: @1231686
     /* 1231686 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231770), // Rule ID 2621 //
     /* 1231691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231769 */     // GIR_Coverage, 2621,
     /* 1231769 */     GIR_EraseRootFromParent_Done,
     /* 1231770 */   // Label 17814: @1231770
     /* 1231770 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231851), // Rule ID 2622 //
     /* 1231775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231850 */     // GIR_Coverage, 2622,
     /* 1231850 */     GIR_EraseRootFromParent_Done,
     /* 1231851 */   // Label 17815: @1231851
     /* 1231851 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231932), // Rule ID 2623 //
     /* 1231856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231909 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231931 */     // GIR_Coverage, 2623,
     /* 1231931 */     GIR_EraseRootFromParent_Done,
     /* 1231932 */   // Label 17816: @1231932
     /* 1231932 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1232016), // Rule ID 2672 //
     /* 1231937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231990 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1231993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232015 */     // GIR_Coverage, 2672,
     /* 1232015 */     GIR_EraseRootFromParent_Done,
     /* 1232016 */   // Label 17817: @1232016
     /* 1232016 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1232100), // Rule ID 2673 //
     /* 1232021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1232029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1232077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232099 */     // GIR_Coverage, 2673,
     /* 1232099 */     GIR_EraseRootFromParent_Done,
     /* 1232100 */   // Label 17818: @1232100
     /* 1232100 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232181), // Rule ID 5000 //
     /* 1232105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1232125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232180 */     // GIR_Coverage, 5000,
     /* 1232180 */     GIR_EraseRootFromParent_Done,
     /* 1232181 */   // Label 17819: @1232181
     /* 1232181 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232262), // Rule ID 5001 //
     /* 1232186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1232206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232239 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232261 */     // GIR_Coverage, 5001,
     /* 1232261 */     GIR_EraseRootFromParent_Done,
     /* 1232262 */   // Label 17820: @1232262
     /* 1232262 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232343), // Rule ID 5002 //
     /* 1232267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1232278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1232281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1232287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232342 */     // GIR_Coverage, 5002,
     /* 1232342 */     GIR_EraseRootFromParent_Done,
     /* 1232343 */   // Label 17821: @1232343
     /* 1232343 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232424), // Rule ID 5003 //
     /* 1232348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1232359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1232362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1232368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232401 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232423 */     // GIR_Coverage, 5003,
     /* 1232423 */     GIR_EraseRootFromParent_Done,
     /* 1232424 */   // Label 17822: @1232424
     /* 1232424 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232505), // Rule ID 5004 //
     /* 1232429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232504 */     // GIR_Coverage, 5004,
     /* 1232504 */     GIR_EraseRootFromParent_Done,
     /* 1232505 */   // Label 17823: @1232505
     /* 1232505 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232586), // Rule ID 5005 //
     /* 1232510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232585 */     // GIR_Coverage, 5005,
     /* 1232585 */     GIR_EraseRootFromParent_Done,
     /* 1232586 */   // Label 17824: @1232586
     /* 1232586 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232667), // Rule ID 5006 //
     /* 1232591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232666 */     // GIR_Coverage, 5006,
     /* 1232666 */     GIR_EraseRootFromParent_Done,
     /* 1232667 */   // Label 17825: @1232667
     /* 1232667 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232748), // Rule ID 5007 //
     /* 1232672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232747 */     // GIR_Coverage, 5007,
     /* 1232747 */     GIR_EraseRootFromParent_Done,
     /* 1232748 */   // Label 17826: @1232748
     /* 1232748 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232829), // Rule ID 5008 //
     /* 1232753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232828 */     // GIR_Coverage, 5008,
     /* 1232828 */     GIR_EraseRootFromParent_Done,
     /* 1232829 */   // Label 17827: @1232829
     /* 1232829 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232910), // Rule ID 5009 //
     /* 1232834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232909 */     // GIR_Coverage, 5009,
     /* 1232909 */     GIR_EraseRootFromParent_Done,
     /* 1232910 */   // Label 17828: @1232910
     /* 1232910 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232991), // Rule ID 5010 //
     /* 1232915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232990 */     // GIR_Coverage, 5010,
     /* 1232990 */     GIR_EraseRootFromParent_Done,
     /* 1232991 */   // Label 17829: @1232991
     /* 1232991 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1233072), // Rule ID 5011 //
     /* 1232996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1233007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1233010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1233016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233049 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233071 */     // GIR_Coverage, 5011,
     /* 1233071 */     GIR_EraseRootFromParent_Done,
     /* 1233072 */   // Label 17830: @1233072
     /* 1233072 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233153), // Rule ID 5012 //
     /* 1233077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233152 */     // GIR_Coverage, 5012,
     /* 1233152 */     GIR_EraseRootFromParent_Done,
     /* 1233153 */   // Label 17831: @1233153
     /* 1233153 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233234), // Rule ID 5013 //
     /* 1233158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233233 */     // GIR_Coverage, 5013,
     /* 1233233 */     GIR_EraseRootFromParent_Done,
     /* 1233234 */   // Label 17832: @1233234
     /* 1233234 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233315), // Rule ID 5014 //
     /* 1233239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233314 */     // GIR_Coverage, 5014,
     /* 1233314 */     GIR_EraseRootFromParent_Done,
     /* 1233315 */   // Label 17833: @1233315
     /* 1233315 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233396), // Rule ID 5015 //
     /* 1233320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233395 */     // GIR_Coverage, 5015,
     /* 1233395 */     GIR_EraseRootFromParent_Done,
     /* 1233396 */   // Label 17834: @1233396
     /* 1233396 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233477), // Rule ID 5016 //
     /* 1233401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233476 */     // GIR_Coverage, 5016,
     /* 1233476 */     GIR_EraseRootFromParent_Done,
     /* 1233477 */   // Label 17835: @1233477
     /* 1233477 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233558), // Rule ID 5017 //
     /* 1233482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233557 */     // GIR_Coverage, 5017,
     /* 1233557 */     GIR_EraseRootFromParent_Done,
     /* 1233558 */   // Label 17836: @1233558
     /* 1233558 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233639), // Rule ID 5018 //
     /* 1233563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233638 */     // GIR_Coverage, 5018,
     /* 1233638 */     GIR_EraseRootFromParent_Done,
     /* 1233639 */   // Label 17837: @1233639
     /* 1233639 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233720), // Rule ID 5019 //
     /* 1233644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233719 */     // GIR_Coverage, 5019,
     /* 1233719 */     GIR_EraseRootFromParent_Done,
     /* 1233720 */   // Label 17838: @1233720
     /* 1233720 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233801), // Rule ID 5020 //
     /* 1233725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233800 */     // GIR_Coverage, 5020,
     /* 1233800 */     GIR_EraseRootFromParent_Done,
     /* 1233801 */   // Label 17839: @1233801
     /* 1233801 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233882), // Rule ID 5021 //
     /* 1233806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233881 */     // GIR_Coverage, 5021,
     /* 1233881 */     GIR_EraseRootFromParent_Done,
     /* 1233882 */   // Label 17840: @1233882
     /* 1233882 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233963), // Rule ID 5022 //
     /* 1233887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233962 */     // GIR_Coverage, 5022,
     /* 1233962 */     GIR_EraseRootFromParent_Done,
     /* 1233963 */   // Label 17841: @1233963
     /* 1233963 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1234044), // Rule ID 5023 //
     /* 1233968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234021 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234043 */     // GIR_Coverage, 5023,
     /* 1234043 */     GIR_EraseRootFromParent_Done,
     /* 1234044 */   // Label 17842: @1234044
     /* 1234044 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234125), // Rule ID 5024 //
     /* 1234049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234124 */     // GIR_Coverage, 5024,
     /* 1234124 */     GIR_EraseRootFromParent_Done,
     /* 1234125 */   // Label 17843: @1234125
     /* 1234125 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234206), // Rule ID 5025 //
     /* 1234130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234205 */     // GIR_Coverage, 5025,
     /* 1234205 */     GIR_EraseRootFromParent_Done,
     /* 1234206 */   // Label 17844: @1234206
     /* 1234206 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234287), // Rule ID 5026 //
     /* 1234211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1234222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1234225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1234231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234286 */     // GIR_Coverage, 5026,
     /* 1234286 */     GIR_EraseRootFromParent_Done,
     /* 1234287 */   // Label 17845: @1234287
     /* 1234287 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234368), // Rule ID 5027 //
     /* 1234292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1234303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1234306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1234312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234345 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234367 */     // GIR_Coverage, 5027,
     /* 1234367 */     GIR_EraseRootFromParent_Done,
     /* 1234368 */   // Label 17846: @1234368
     /* 1234368 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234449), // Rule ID 5028 //
     /* 1234373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234448 */     // GIR_Coverage, 5028,
     /* 1234448 */     GIR_EraseRootFromParent_Done,
     /* 1234449 */   // Label 17847: @1234449
     /* 1234449 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234530), // Rule ID 5029 //
     /* 1234454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234529 */     // GIR_Coverage, 5029,
     /* 1234529 */     GIR_EraseRootFromParent_Done,
     /* 1234530 */   // Label 17848: @1234530
     /* 1234530 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234611), // Rule ID 5030 //
     /* 1234535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234610 */     // GIR_Coverage, 5030,
     /* 1234610 */     GIR_EraseRootFromParent_Done,
     /* 1234611 */   // Label 17849: @1234611
     /* 1234611 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234692), // Rule ID 5031 //
     /* 1234616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234691 */     // GIR_Coverage, 5031,
     /* 1234691 */     GIR_EraseRootFromParent_Done,
     /* 1234692 */   // Label 17850: @1234692
     /* 1234692 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234773), // Rule ID 5032 //
     /* 1234697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234772 */     // GIR_Coverage, 5032,
     /* 1234772 */     GIR_EraseRootFromParent_Done,
     /* 1234773 */   // Label 17851: @1234773
     /* 1234773 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234854), // Rule ID 5033 //
     /* 1234778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234853 */     // GIR_Coverage, 5033,
     /* 1234853 */     GIR_EraseRootFromParent_Done,
     /* 1234854 */   // Label 17852: @1234854
     /* 1234854 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234935), // Rule ID 5034 //
     /* 1234859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234934 */     // GIR_Coverage, 5034,
     /* 1234934 */     GIR_EraseRootFromParent_Done,
     /* 1234935 */   // Label 17853: @1234935
     /* 1234935 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1235016), // Rule ID 5035 //
     /* 1234940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235015 */     // GIR_Coverage, 5035,
     /* 1235015 */     GIR_EraseRootFromParent_Done,
     /* 1235016 */   // Label 17854: @1235016
     /* 1235016 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1235097), // Rule ID 5036 //
     /* 1235021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1235077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235096 */     // GIR_Coverage, 5036,
     /* 1235096 */     GIR_EraseRootFromParent_Done,
     /* 1235097 */   // Label 17855: @1235097
     /* 1235097 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235178), // Rule ID 5037 //
     /* 1235102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1235158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235177 */     // GIR_Coverage, 5037,
     /* 1235177 */     GIR_EraseRootFromParent_Done,
     /* 1235178 */   // Label 17856: @1235178
     /* 1235178 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235259), // Rule ID 5038 //
     /* 1235183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1235194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1235197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1235203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1235239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235258 */     // GIR_Coverage, 5038,
     /* 1235258 */     GIR_EraseRootFromParent_Done,
     /* 1235259 */   // Label 17857: @1235259
     /* 1235259 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235340), // Rule ID 5039 //
     /* 1235264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1235275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1235278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1235284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1235320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235339 */     // GIR_Coverage, 5039,
     /* 1235339 */     GIR_EraseRootFromParent_Done,
     /* 1235340 */   // Label 17858: @1235340
     /* 1235340 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235421), // Rule ID 5040 //
     /* 1235345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235420 */     // GIR_Coverage, 5040,
     /* 1235420 */     GIR_EraseRootFromParent_Done,
     /* 1235421 */   // Label 17859: @1235421
     /* 1235421 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235502), // Rule ID 5041 //
     /* 1235426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235501 */     // GIR_Coverage, 5041,
     /* 1235501 */     GIR_EraseRootFromParent_Done,
     /* 1235502 */   // Label 17860: @1235502
     /* 1235502 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235583), // Rule ID 5042 //
     /* 1235507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235560 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235582 */     // GIR_Coverage, 5042,
     /* 1235582 */     GIR_EraseRootFromParent_Done,
     /* 1235583 */   // Label 17861: @1235583
     /* 1235583 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235664), // Rule ID 5043 //
     /* 1235588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235641 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235663 */     // GIR_Coverage, 5043,
     /* 1235663 */     GIR_EraseRootFromParent_Done,
     /* 1235664 */   // Label 17862: @1235664
     /* 1235664 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235745), // Rule ID 5044 //
     /* 1235669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235744 */     // GIR_Coverage, 5044,
     /* 1235744 */     GIR_EraseRootFromParent_Done,
     /* 1235745 */   // Label 17863: @1235745
     /* 1235745 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235826), // Rule ID 5045 //
     /* 1235750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235803 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235825 */     // GIR_Coverage, 5045,
     /* 1235825 */     GIR_EraseRootFromParent_Done,
     /* 1235826 */   // Label 17864: @1235826
     /* 1235826 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235907), // Rule ID 5046 //
     /* 1235831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235906 */     // GIR_Coverage, 5046,
     /* 1235906 */     GIR_EraseRootFromParent_Done,
     /* 1235907 */   // Label 17865: @1235907
     /* 1235907 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235988), // Rule ID 5047 //
     /* 1235912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235965 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235987 */     // GIR_Coverage, 5047,
     /* 1235987 */     GIR_EraseRootFromParent_Done,
     /* 1235988 */   // Label 17866: @1235988
     /* 1235988 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1236069), // Rule ID 5048 //
     /* 1235993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1236049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236068 */     // GIR_Coverage, 5048,
     /* 1236068 */     GIR_EraseRootFromParent_Done,
     /* 1236069 */   // Label 17867: @1236069
     /* 1236069 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236150), // Rule ID 5049 //
     /* 1236074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1236130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236149 */     // GIR_Coverage, 5049,
     /* 1236149 */     GIR_EraseRootFromParent_Done,
     /* 1236150 */   // Label 17868: @1236150
     /* 1236150 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236231), // Rule ID 5050 //
     /* 1236155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236230 */     // GIR_Coverage, 5050,
     /* 1236230 */     GIR_EraseRootFromParent_Done,
     /* 1236231 */   // Label 17869: @1236231
     /* 1236231 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236312), // Rule ID 5051 //
     /* 1236236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236311 */     // GIR_Coverage, 5051,
     /* 1236311 */     GIR_EraseRootFromParent_Done,
     /* 1236312 */   // Label 17870: @1236312
     /* 1236312 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236393), // Rule ID 5052 //
     /* 1236317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236392 */     // GIR_Coverage, 5052,
     /* 1236392 */     GIR_EraseRootFromParent_Done,
     /* 1236393 */   // Label 17871: @1236393
     /* 1236393 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236474), // Rule ID 5053 //
     /* 1236398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236473 */     // GIR_Coverage, 5053,
     /* 1236473 */     GIR_EraseRootFromParent_Done,
     /* 1236474 */   // Label 17872: @1236474
     /* 1236474 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236555), // Rule ID 5054 //
     /* 1236479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236554 */     // GIR_Coverage, 5054,
     /* 1236554 */     GIR_EraseRootFromParent_Done,
     /* 1236555 */   // Label 17873: @1236555
     /* 1236555 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236636), // Rule ID 5055 //
     /* 1236560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236635 */     // GIR_Coverage, 5055,
     /* 1236635 */     GIR_EraseRootFromParent_Done,
     /* 1236636 */   // Label 17874: @1236636
     /* 1236636 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236717), // Rule ID 5056 //
     /* 1236641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236716 */     // GIR_Coverage, 5056,
     /* 1236716 */     GIR_EraseRootFromParent_Done,
     /* 1236717 */   // Label 17875: @1236717
     /* 1236717 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236798), // Rule ID 5057 //
     /* 1236722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236797 */     // GIR_Coverage, 5057,
     /* 1236797 */     GIR_EraseRootFromParent_Done,
     /* 1236798 */   // Label 17876: @1236798
     /* 1236798 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236879), // Rule ID 5058 //
     /* 1236803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236878 */     // GIR_Coverage, 5058,
     /* 1236878 */     GIR_EraseRootFromParent_Done,
     /* 1236879 */   // Label 17877: @1236879
     /* 1236879 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236960), // Rule ID 5059 //
     /* 1236884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236959 */     // GIR_Coverage, 5059,
     /* 1236959 */     GIR_EraseRootFromParent_Done,
     /* 1236960 */   // Label 17878: @1236960
     /* 1236960 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1237041), // Rule ID 5060 //
     /* 1236965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1237021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237040 */     // GIR_Coverage, 5060,
     /* 1237040 */     GIR_EraseRootFromParent_Done,
     /* 1237041 */   // Label 17879: @1237041
     /* 1237041 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237122), // Rule ID 5061 //
     /* 1237046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1237102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237121 */     // GIR_Coverage, 5061,
     /* 1237121 */     GIR_EraseRootFromParent_Done,
     /* 1237122 */   // Label 17880: @1237122
     /* 1237122 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237203), // Rule ID 5062 //
     /* 1237127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237202 */     // GIR_Coverage, 5062,
     /* 1237202 */     GIR_EraseRootFromParent_Done,
     /* 1237203 */   // Label 17881: @1237203
     /* 1237203 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237284), // Rule ID 5063 //
     /* 1237208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237261 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237283 */     // GIR_Coverage, 5063,
     /* 1237283 */     GIR_EraseRootFromParent_Done,
     /* 1237284 */   // Label 17882: @1237284
     /* 1237284 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237365), // Rule ID 5064 //
     /* 1237289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237364 */     // GIR_Coverage, 5064,
     /* 1237364 */     GIR_EraseRootFromParent_Done,
     /* 1237365 */   // Label 17883: @1237365
     /* 1237365 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237446), // Rule ID 5065 //
     /* 1237370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237445 */     // GIR_Coverage, 5065,
     /* 1237445 */     GIR_EraseRootFromParent_Done,
     /* 1237446 */   // Label 17884: @1237446
     /* 1237446 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237527), // Rule ID 5066 //
     /* 1237451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237504 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237526 */     // GIR_Coverage, 5066,
     /* 1237526 */     GIR_EraseRootFromParent_Done,
     /* 1237527 */   // Label 17885: @1237527
     /* 1237527 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237608), // Rule ID 5067 //
     /* 1237532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237585 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237607 */     // GIR_Coverage, 5067,
     /* 1237607 */     GIR_EraseRootFromParent_Done,
     /* 1237608 */   // Label 17886: @1237608
     /* 1237608 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237689), // Rule ID 5068 //
     /* 1237613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237688 */     // GIR_Coverage, 5068,
     /* 1237688 */     GIR_EraseRootFromParent_Done,
     /* 1237689 */   // Label 17887: @1237689
     /* 1237689 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237770), // Rule ID 5069 //
     /* 1237694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237769 */     // GIR_Coverage, 5069,
     /* 1237769 */     GIR_EraseRootFromParent_Done,
     /* 1237770 */   // Label 17888: @1237770
     /* 1237770 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237851), // Rule ID 5070 //
     /* 1237775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237850 */     // GIR_Coverage, 5070,
     /* 1237850 */     GIR_EraseRootFromParent_Done,
     /* 1237851 */   // Label 17889: @1237851
     /* 1237851 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237932), // Rule ID 5071 //
     /* 1237856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237931 */     // GIR_Coverage, 5071,
     /* 1237931 */     GIR_EraseRootFromParent_Done,
     /* 1237932 */   // Label 17890: @1237932
     /* 1237932 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1238013), // Rule ID 5072 //
     /* 1237937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238012 */     // GIR_Coverage, 5072,
     /* 1238012 */     GIR_EraseRootFromParent_Done,
     /* 1238013 */   // Label 17891: @1238013
     /* 1238013 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1238094), // Rule ID 5073 //
     /* 1238018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238093 */     // GIR_Coverage, 5073,
     /* 1238093 */     GIR_EraseRootFromParent_Done,
     /* 1238094 */   // Label 17892: @1238094
     /* 1238094 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238175), // Rule ID 5074 //
     /* 1238099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238174 */     // GIR_Coverage, 5074,
     /* 1238174 */     GIR_EraseRootFromParent_Done,
     /* 1238175 */   // Label 17893: @1238175
     /* 1238175 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238256), // Rule ID 5075 //
     /* 1238180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238255 */     // GIR_Coverage, 5075,
     /* 1238255 */     GIR_EraseRootFromParent_Done,
     /* 1238256 */   // Label 17894: @1238256
     /* 1238256 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238337), // Rule ID 5076 //
     /* 1238261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238336 */     // GIR_Coverage, 5076,
     /* 1238336 */     GIR_EraseRootFromParent_Done,
     /* 1238337 */   // Label 17895: @1238337
     /* 1238337 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238418), // Rule ID 5077 //
     /* 1238342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238417 */     // GIR_Coverage, 5077,
     /* 1238417 */     GIR_EraseRootFromParent_Done,
     /* 1238418 */   // Label 17896: @1238418
     /* 1238418 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238499), // Rule ID 5078 //
     /* 1238423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238498 */     // GIR_Coverage, 5078,
     /* 1238498 */     GIR_EraseRootFromParent_Done,
     /* 1238499 */   // Label 17897: @1238499
     /* 1238499 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238580), // Rule ID 5079 //
     /* 1238504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238557 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238579 */     // GIR_Coverage, 5079,
     /* 1238579 */     GIR_EraseRootFromParent_Done,
     /* 1238580 */   // Label 17898: @1238580
     /* 1238580 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238661), // Rule ID 5080 //
     /* 1238585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238660 */     // GIR_Coverage, 5080,
     /* 1238660 */     GIR_EraseRootFromParent_Done,
     /* 1238661 */   // Label 17899: @1238661
     /* 1238661 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238742), // Rule ID 5081 //
     /* 1238666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238741 */     // GIR_Coverage, 5081,
     /* 1238741 */     GIR_EraseRootFromParent_Done,
     /* 1238742 */   // Label 17900: @1238742
     /* 1238742 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238823), // Rule ID 5082 //
     /* 1238747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238822 */     // GIR_Coverage, 5082,
     /* 1238822 */     GIR_EraseRootFromParent_Done,
     /* 1238823 */   // Label 17901: @1238823
     /* 1238823 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238904), // Rule ID 5083 //
     /* 1238828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238881 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238903 */     // GIR_Coverage, 5083,
     /* 1238903 */     GIR_EraseRootFromParent_Done,
     /* 1238904 */   // Label 17902: @1238904
     /* 1238904 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238985), // Rule ID 5084 //
     /* 1238909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238984 */     // GIR_Coverage, 5084,
     /* 1238984 */     GIR_EraseRootFromParent_Done,
     /* 1238985 */   // Label 17903: @1238985
     /* 1238985 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1239066), // Rule ID 5085 //
     /* 1238990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1239046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239065 */     // GIR_Coverage, 5085,
     /* 1239065 */     GIR_EraseRootFromParent_Done,
     /* 1239066 */   // Label 17904: @1239066
     /* 1239066 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239147), // Rule ID 5390 //
     /* 1239071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1239091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1239127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239146 */     // GIR_Coverage, 5390,
     /* 1239146 */     GIR_EraseRootFromParent_Done,
     /* 1239147 */   // Label 17905: @1239147
     /* 1239147 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239228), // Rule ID 5391 //
     /* 1239152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1239172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1239208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239227 */     // GIR_Coverage, 5391,
     /* 1239227 */     GIR_EraseRootFromParent_Done,
     /* 1239228 */   // Label 17906: @1239228
     /* 1239228 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239309), // Rule ID 5392 //
     /* 1239233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239308 */     // GIR_Coverage, 5392,
     /* 1239308 */     GIR_EraseRootFromParent_Done,
     /* 1239309 */   // Label 17907: @1239309
     /* 1239309 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239390), // Rule ID 5393 //
     /* 1239314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239367 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239389 */     // GIR_Coverage, 5393,
     /* 1239389 */     GIR_EraseRootFromParent_Done,
     /* 1239390 */   // Label 17908: @1239390
     /* 1239390 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239471), // Rule ID 5394 //
     /* 1239395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239470 */     // GIR_Coverage, 5394,
     /* 1239470 */     GIR_EraseRootFromParent_Done,
     /* 1239471 */   // Label 17909: @1239471
     /* 1239471 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239552), // Rule ID 5395 //
     /* 1239476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239529 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239551 */     // GIR_Coverage, 5395,
     /* 1239551 */     GIR_EraseRootFromParent_Done,
     /* 1239552 */   // Label 17910: @1239552
     /* 1239552 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239633), // Rule ID 5396 //
     /* 1239557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239632 */     // GIR_Coverage, 5396,
     /* 1239632 */     GIR_EraseRootFromParent_Done,
     /* 1239633 */   // Label 17911: @1239633
     /* 1239633 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239714), // Rule ID 5397 //
     /* 1239638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239713 */     // GIR_Coverage, 5397,
     /* 1239713 */     GIR_EraseRootFromParent_Done,
     /* 1239714 */   // Label 17912: @1239714
     /* 1239714 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239795), // Rule ID 5398 //
     /* 1239719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239794 */     // GIR_Coverage, 5398,
     /* 1239794 */     GIR_EraseRootFromParent_Done,
     /* 1239795 */   // Label 17913: @1239795
     /* 1239795 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239876), // Rule ID 5399 //
     /* 1239800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239875 */     // GIR_Coverage, 5399,
     /* 1239875 */     GIR_EraseRootFromParent_Done,
     /* 1239876 */   // Label 17914: @1239876
     /* 1239876 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239957), // Rule ID 5400 //
     /* 1239881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239956 */     // GIR_Coverage, 5400,
     /* 1239956 */     GIR_EraseRootFromParent_Done,
     /* 1239957 */   // Label 17915: @1239957
     /* 1239957 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1240038), // Rule ID 5401 //
     /* 1239962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1240018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240037 */     // GIR_Coverage, 5401,
     /* 1240037 */     GIR_EraseRootFromParent_Done,
     /* 1240038 */   // Label 17916: @1240038
     /* 1240038 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240119), // Rule ID 5402 //
     /* 1240043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240118 */     // GIR_Coverage, 5402,
     /* 1240118 */     GIR_EraseRootFromParent_Done,
     /* 1240119 */   // Label 17917: @1240119
     /* 1240119 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240200), // Rule ID 5403 //
     /* 1240124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240199 */     // GIR_Coverage, 5403,
     /* 1240199 */     GIR_EraseRootFromParent_Done,
     /* 1240200 */   // Label 17918: @1240200
     /* 1240200 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240281), // Rule ID 5404 //
     /* 1240205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240280 */     // GIR_Coverage, 5404,
     /* 1240280 */     GIR_EraseRootFromParent_Done,
     /* 1240281 */   // Label 17919: @1240281
     /* 1240281 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240362), // Rule ID 5405 //
     /* 1240286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240361 */     // GIR_Coverage, 5405,
     /* 1240361 */     GIR_EraseRootFromParent_Done,
     /* 1240362 */   // Label 17920: @1240362
     /* 1240362 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240443), // Rule ID 5406 //
     /* 1240367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240442 */     // GIR_Coverage, 5406,
     /* 1240442 */     GIR_EraseRootFromParent_Done,
     /* 1240443 */   // Label 17921: @1240443
     /* 1240443 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240524), // Rule ID 5407 //
     /* 1240448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240501 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240523 */     // GIR_Coverage, 5407,
     /* 1240523 */     GIR_EraseRootFromParent_Done,
     /* 1240524 */   // Label 17922: @1240524
     /* 1240524 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240605), // Rule ID 5408 //
     /* 1240529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240604 */     // GIR_Coverage, 5408,
     /* 1240604 */     GIR_EraseRootFromParent_Done,
     /* 1240605 */   // Label 17923: @1240605
     /* 1240605 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240686), // Rule ID 5409 //
     /* 1240610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240685 */     // GIR_Coverage, 5409,
     /* 1240685 */     GIR_EraseRootFromParent_Done,
     /* 1240686 */   // Label 17924: @1240686
     /* 1240686 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240767), // Rule ID 5410 //
     /* 1240691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240744 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240766 */     // GIR_Coverage, 5410,
     /* 1240766 */     GIR_EraseRootFromParent_Done,
     /* 1240767 */   // Label 17925: @1240767
     /* 1240767 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240848), // Rule ID 5411 //
     /* 1240772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240825 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240847 */     // GIR_Coverage, 5411,
     /* 1240847 */     GIR_EraseRootFromParent_Done,
     /* 1240848 */   // Label 17926: @1240848
     /* 1240848 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240929), // Rule ID 5412 //
     /* 1240853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240928 */     // GIR_Coverage, 5412,
     /* 1240928 */     GIR_EraseRootFromParent_Done,
     /* 1240929 */   // Label 17927: @1240929
     /* 1240929 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1241010), // Rule ID 5413 //
     /* 1240934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241009 */     // GIR_Coverage, 5413,
     /* 1241009 */     GIR_EraseRootFromParent_Done,
     /* 1241010 */   // Label 17928: @1241010
     /* 1241010 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1241091), // Rule ID 5414 //
     /* 1241015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241090 */     // GIR_Coverage, 5414,
     /* 1241090 */     GIR_EraseRootFromParent_Done,
     /* 1241091 */   // Label 17929: @1241091
     /* 1241091 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241172), // Rule ID 5415 //
     /* 1241096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241149 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241171 */     // GIR_Coverage, 5415,
     /* 1241171 */     GIR_EraseRootFromParent_Done,
     /* 1241172 */   // Label 17930: @1241172
     /* 1241172 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241253), // Rule ID 5416 //
     /* 1241177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241252 */     // GIR_Coverage, 5416,
     /* 1241252 */     GIR_EraseRootFromParent_Done,
     /* 1241253 */   // Label 17931: @1241253
     /* 1241253 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241334), // Rule ID 5417 //
     /* 1241258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241311 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241333 */     // GIR_Coverage, 5417,
     /* 1241333 */     GIR_EraseRootFromParent_Done,
     /* 1241334 */   // Label 17932: @1241334
     /* 1241334 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241415), // Rule ID 5418 //
     /* 1241339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241414 */     // GIR_Coverage, 5418,
     /* 1241414 */     GIR_EraseRootFromParent_Done,
     /* 1241415 */   // Label 17933: @1241415
     /* 1241415 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241496), // Rule ID 5419 //
     /* 1241420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241495 */     // GIR_Coverage, 5419,
     /* 1241495 */     GIR_EraseRootFromParent_Done,
     /* 1241496 */   // Label 17934: @1241496
     /* 1241496 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241577), // Rule ID 5420 //
     /* 1241501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241576 */     // GIR_Coverage, 5420,
     /* 1241576 */     GIR_EraseRootFromParent_Done,
     /* 1241577 */   // Label 17935: @1241577
     /* 1241577 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241658), // Rule ID 5421 //
     /* 1241582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241657 */     // GIR_Coverage, 5421,
     /* 1241657 */     GIR_EraseRootFromParent_Done,
     /* 1241658 */   // Label 17936: @1241658
     /* 1241658 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241739), // Rule ID 5422 //
     /* 1241663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241738 */     // GIR_Coverage, 5422,
     /* 1241738 */     GIR_EraseRootFromParent_Done,
     /* 1241739 */   // Label 17937: @1241739
     /* 1241739 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241820), // Rule ID 5423 //
     /* 1241744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241819 */     // GIR_Coverage, 5423,
     /* 1241819 */     GIR_EraseRootFromParent_Done,
     /* 1241820 */   // Label 17938: @1241820
     /* 1241820 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241901), // Rule ID 5424 //
     /* 1241825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241900 */     // GIR_Coverage, 5424,
     /* 1241900 */     GIR_EraseRootFromParent_Done,
     /* 1241901 */   // Label 17939: @1241901
     /* 1241901 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241982), // Rule ID 5425 //
     /* 1241906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241981 */     // GIR_Coverage, 5425,
     /* 1241981 */     GIR_EraseRootFromParent_Done,
     /* 1241982 */   // Label 17940: @1241982
     /* 1241982 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1242063), // Rule ID 5426 //
     /* 1241987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242062 */     // GIR_Coverage, 5426,
     /* 1242062 */     GIR_EraseRootFromParent_Done,
     /* 1242063 */   // Label 17941: @1242063
     /* 1242063 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242144), // Rule ID 5427 //
     /* 1242068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1242079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242143 */     // GIR_Coverage, 5427,
     /* 1242143 */     GIR_EraseRootFromParent_Done,
     /* 1242144 */   // Label 17942: @1242144
     /* 1242144 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242225), // Rule ID 5428 //
     /* 1242149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1242205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242224 */     // GIR_Coverage, 5428,
     /* 1242224 */     GIR_EraseRootFromParent_Done,
     /* 1242225 */   // Label 17943: @1242225
     /* 1242225 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242306), // Rule ID 5429 //
     /* 1242230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1242286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242305 */     // GIR_Coverage, 5429,
     /* 1242305 */     GIR_EraseRootFromParent_Done,
     /* 1242306 */   // Label 17944: @1242306
     /* 1242306 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242387), // Rule ID 5430 //
     /* 1242311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242386 */     // GIR_Coverage, 5430,
     /* 1242386 */     GIR_EraseRootFromParent_Done,
     /* 1242387 */   // Label 17945: @1242387
     /* 1242387 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242468), // Rule ID 5431 //
     /* 1242392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242467 */     // GIR_Coverage, 5431,
     /* 1242467 */     GIR_EraseRootFromParent_Done,
     /* 1242468 */   // Label 17946: @1242468
     /* 1242468 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242549), // Rule ID 5432 //
     /* 1242473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242548 */     // GIR_Coverage, 5432,
     /* 1242548 */     GIR_EraseRootFromParent_Done,
     /* 1242549 */   // Label 17947: @1242549
     /* 1242549 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242630), // Rule ID 5433 //
     /* 1242554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242629 */     // GIR_Coverage, 5433,
     /* 1242629 */     GIR_EraseRootFromParent_Done,
     /* 1242630 */   // Label 17948: @1242630
     /* 1242630 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242711), // Rule ID 5434 //
     /* 1242635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242710 */     // GIR_Coverage, 5434,
     /* 1242710 */     GIR_EraseRootFromParent_Done,
     /* 1242711 */   // Label 17949: @1242711
     /* 1242711 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242792), // Rule ID 5435 //
     /* 1242716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242791 */     // GIR_Coverage, 5435,
     /* 1242791 */     GIR_EraseRootFromParent_Done,
     /* 1242792 */   // Label 17950: @1242792
     /* 1242792 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242873), // Rule ID 5436 //
     /* 1242797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242850 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242872 */     // GIR_Coverage, 5436,
     /* 1242872 */     GIR_EraseRootFromParent_Done,
     /* 1242873 */   // Label 17951: @1242873
     /* 1242873 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242954), // Rule ID 5437 //
     /* 1242878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242953 */     // GIR_Coverage, 5437,
     /* 1242953 */     GIR_EraseRootFromParent_Done,
     /* 1242954 */   // Label 17952: @1242954
     /* 1242954 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1243035), // Rule ID 5438 //
     /* 1242959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243034 */     // GIR_Coverage, 5438,
     /* 1243034 */     GIR_EraseRootFromParent_Done,
     /* 1243035 */   // Label 17953: @1243035
     /* 1243035 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243116), // Rule ID 5439 //
     /* 1243040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243093 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243115 */     // GIR_Coverage, 5439,
     /* 1243115 */     GIR_EraseRootFromParent_Done,
     /* 1243116 */   // Label 17954: @1243116
     /* 1243116 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243197), // Rule ID 5440 //
     /* 1243121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1243177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243196 */     // GIR_Coverage, 5440,
     /* 1243196 */     GIR_EraseRootFromParent_Done,
     /* 1243197 */   // Label 17955: @1243197
     /* 1243197 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243278), // Rule ID 5441 //
     /* 1243202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243255 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1243258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243277 */     // GIR_Coverage, 5441,
     /* 1243277 */     GIR_EraseRootFromParent_Done,
     /* 1243278 */   // Label 17956: @1243278
     /* 1243278 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243359), // Rule ID 5442 //
     /* 1243283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243358 */     // GIR_Coverage, 5442,
     /* 1243358 */     GIR_EraseRootFromParent_Done,
     /* 1243359 */   // Label 17957: @1243359
     /* 1243359 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243440), // Rule ID 5443 //
     /* 1243364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243439 */     // GIR_Coverage, 5443,
     /* 1243439 */     GIR_EraseRootFromParent_Done,
     /* 1243440 */   // Label 17958: @1243440
     /* 1243440 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243521), // Rule ID 5444 //
     /* 1243445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243520 */     // GIR_Coverage, 5444,
     /* 1243520 */     GIR_EraseRootFromParent_Done,
     /* 1243521 */   // Label 17959: @1243521
     /* 1243521 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243602), // Rule ID 5445 //
     /* 1243526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243601 */     // GIR_Coverage, 5445,
     /* 1243601 */     GIR_EraseRootFromParent_Done,
     /* 1243602 */   // Label 17960: @1243602
     /* 1243602 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243683), // Rule ID 5446 //
     /* 1243607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243682 */     // GIR_Coverage, 5446,
     /* 1243682 */     GIR_EraseRootFromParent_Done,
     /* 1243683 */   // Label 17961: @1243683
     /* 1243683 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243764), // Rule ID 5447 //
     /* 1243688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243763 */     // GIR_Coverage, 5447,
     /* 1243763 */     GIR_EraseRootFromParent_Done,
     /* 1243764 */   // Label 17962: @1243764
     /* 1243764 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243845), // Rule ID 5448 //
     /* 1243769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243844 */     // GIR_Coverage, 5448,
     /* 1243844 */     GIR_EraseRootFromParent_Done,
     /* 1243845 */   // Label 17963: @1243845
     /* 1243845 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243926), // Rule ID 5449 //
     /* 1243850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243925 */     // GIR_Coverage, 5449,
     /* 1243925 */     GIR_EraseRootFromParent_Done,
     /* 1243926 */   // Label 17964: @1243926
     /* 1243926 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1244007), // Rule ID 5450 //
     /* 1243931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244006 */     // GIR_Coverage, 5450,
     /* 1244006 */     GIR_EraseRootFromParent_Done,
     /* 1244007 */   // Label 17965: @1244007
     /* 1244007 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244088), // Rule ID 5451 //
     /* 1244012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244087 */     // GIR_Coverage, 5451,
     /* 1244087 */     GIR_EraseRootFromParent_Done,
     /* 1244088 */   // Label 17966: @1244088
     /* 1244088 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244169), // Rule ID 5452 //
     /* 1244093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244168 */     // GIR_Coverage, 5452,
     /* 1244168 */     GIR_EraseRootFromParent_Done,
     /* 1244169 */   // Label 17967: @1244169
     /* 1244169 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244250), // Rule ID 5453 //
     /* 1244174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1244230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244249 */     // GIR_Coverage, 5453,
     /* 1244249 */     GIR_EraseRootFromParent_Done,
     /* 1244250 */   // Label 17968: @1244250
     /* 1244250 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244331), // Rule ID 5454 //
     /* 1244255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244330 */     // GIR_Coverage, 5454,
     /* 1244330 */     GIR_EraseRootFromParent_Done,
     /* 1244331 */   // Label 17969: @1244331
     /* 1244331 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244412), // Rule ID 5455 //
     /* 1244336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244411 */     // GIR_Coverage, 5455,
     /* 1244411 */     GIR_EraseRootFromParent_Done,
     /* 1244412 */   // Label 17970: @1244412
     /* 1244412 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244493), // Rule ID 5456 //
     /* 1244417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244492 */     // GIR_Coverage, 5456,
     /* 1244492 */     GIR_EraseRootFromParent_Done,
     /* 1244493 */   // Label 17971: @1244493
     /* 1244493 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244574), // Rule ID 5457 //
     /* 1244498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244573 */     // GIR_Coverage, 5457,
     /* 1244573 */     GIR_EraseRootFromParent_Done,
     /* 1244574 */   // Label 17972: @1244574
     /* 1244574 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244655), // Rule ID 5458 //
     /* 1244579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244654 */     // GIR_Coverage, 5458,
     /* 1244654 */     GIR_EraseRootFromParent_Done,
     /* 1244655 */   // Label 17973: @1244655
     /* 1244655 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244736), // Rule ID 5459 //
     /* 1244660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244713 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244735 */     // GIR_Coverage, 5459,
     /* 1244735 */     GIR_EraseRootFromParent_Done,
     /* 1244736 */   // Label 17974: @1244736
     /* 1244736 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244817), // Rule ID 5460 //
     /* 1244741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244816 */     // GIR_Coverage, 5460,
     /* 1244816 */     GIR_EraseRootFromParent_Done,
     /* 1244817 */   // Label 17975: @1244817
     /* 1244817 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244898), // Rule ID 5461 //
     /* 1244822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244897 */     // GIR_Coverage, 5461,
     /* 1244897 */     GIR_EraseRootFromParent_Done,
     /* 1244898 */   // Label 17976: @1244898
     /* 1244898 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244979), // Rule ID 5462 //
     /* 1244903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244978 */     // GIR_Coverage, 5462,
     /* 1244978 */     GIR_EraseRootFromParent_Done,
     /* 1244979 */   // Label 17977: @1244979
     /* 1244979 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245060), // Rule ID 5463 //
     /* 1244984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245059 */     // GIR_Coverage, 5463,
     /* 1245059 */     GIR_EraseRootFromParent_Done,
     /* 1245060 */   // Label 17978: @1245060
     /* 1245060 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245141), // Rule ID 5464 //
     /* 1245065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245140 */     // GIR_Coverage, 5464,
     /* 1245140 */     GIR_EraseRootFromParent_Done,
     /* 1245141 */   // Label 17979: @1245141
     /* 1245141 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245222), // Rule ID 5465 //
     /* 1245146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245221 */     // GIR_Coverage, 5465,
     /* 1245221 */     GIR_EraseRootFromParent_Done,
     /* 1245222 */   // Label 17980: @1245222
     /* 1245222 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245303), // Rule ID 5466 //
     /* 1245227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245302 */     // GIR_Coverage, 5466,
     /* 1245302 */     GIR_EraseRootFromParent_Done,
     /* 1245303 */   // Label 17981: @1245303
     /* 1245303 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245384), // Rule ID 5467 //
     /* 1245308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245383 */     // GIR_Coverage, 5467,
     /* 1245383 */     GIR_EraseRootFromParent_Done,
     /* 1245384 */   // Label 17982: @1245384
     /* 1245384 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245465), // Rule ID 5468 //
     /* 1245389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245464 */     // GIR_Coverage, 5468,
     /* 1245464 */     GIR_EraseRootFromParent_Done,
     /* 1245465 */   // Label 17983: @1245465
     /* 1245465 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245546), // Rule ID 5469 //
     /* 1245470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245545 */     // GIR_Coverage, 5469,
     /* 1245545 */     GIR_EraseRootFromParent_Done,
     /* 1245546 */   // Label 17984: @1245546
     /* 1245546 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245627), // Rule ID 5470 //
     /* 1245551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245626 */     // GIR_Coverage, 5470,
     /* 1245626 */     GIR_EraseRootFromParent_Done,
     /* 1245627 */   // Label 17985: @1245627
     /* 1245627 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245708), // Rule ID 5471 //
     /* 1245632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245707 */     // GIR_Coverage, 5471,
     /* 1245707 */     GIR_EraseRootFromParent_Done,
     /* 1245708 */   // Label 17986: @1245708
     /* 1245708 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245789), // Rule ID 5472 //
     /* 1245713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245788 */     // GIR_Coverage, 5472,
     /* 1245788 */     GIR_EraseRootFromParent_Done,
     /* 1245789 */   // Label 17987: @1245789
     /* 1245789 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245870), // Rule ID 5473 //
     /* 1245794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245869 */     // GIR_Coverage, 5473,
     /* 1245869 */     GIR_EraseRootFromParent_Done,
     /* 1245870 */   // Label 17988: @1245870
     /* 1245870 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245951), // Rule ID 5474 //
     /* 1245875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245950 */     // GIR_Coverage, 5474,
     /* 1245950 */     GIR_EraseRootFromParent_Done,
     /* 1245951 */   // Label 17989: @1245951
     /* 1245951 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1246032), // Rule ID 5475 //
     /* 1245956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246009 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1246012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246031 */     // GIR_Coverage, 5475,
     /* 1246031 */     GIR_EraseRootFromParent_Done,
     /* 1246032 */   // Label 17990: @1246032
     /* 1246032 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246113), // Rule ID 5476 //
     /* 1246037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1246093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246112 */     // GIR_Coverage, 5476,
     /* 1246112 */     GIR_EraseRootFromParent_Done,
     /* 1246113 */   // Label 17991: @1246113
     /* 1246113 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246194), // Rule ID 5477 //
     /* 1246118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1246174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246193 */     // GIR_Coverage, 5477,
     /* 1246193 */     GIR_EraseRootFromParent_Done,
     /* 1246194 */   // Label 17992: @1246194
     /* 1246194 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246278), // Rule ID 7688 //
     /* 1246199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246277 */     // GIR_Coverage, 7688,
     /* 1246277 */     GIR_EraseRootFromParent_Done,
     /* 1246278 */   // Label 17993: @1246278
     /* 1246278 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246362), // Rule ID 7689 //
     /* 1246283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246361 */     // GIR_Coverage, 7689,
     /* 1246361 */     GIR_EraseRootFromParent_Done,
     /* 1246362 */   // Label 17994: @1246362
     /* 1246362 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246446), // Rule ID 7692 //
     /* 1246367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246445 */     // GIR_Coverage, 7692,
     /* 1246445 */     GIR_EraseRootFromParent_Done,
     /* 1246446 */   // Label 17995: @1246446
     /* 1246446 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246530), // Rule ID 7693 //
     /* 1246451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246529 */     // GIR_Coverage, 7693,
     /* 1246529 */     GIR_EraseRootFromParent_Done,
     /* 1246530 */   // Label 17996: @1246530
     /* 1246530 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246614), // Rule ID 7696 //
     /* 1246535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246613 */     // GIR_Coverage, 7696,
     /* 1246613 */     GIR_EraseRootFromParent_Done,
     /* 1246614 */   // Label 17997: @1246614
     /* 1246614 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246698), // Rule ID 7697 //
     /* 1246619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246697 */     // GIR_Coverage, 7697,
     /* 1246697 */     GIR_EraseRootFromParent_Done,
     /* 1246698 */   // Label 17998: @1246698
     /* 1246698 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246782), // Rule ID 7700 //
     /* 1246703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246781 */     // GIR_Coverage, 7700,
     /* 1246781 */     GIR_EraseRootFromParent_Done,
     /* 1246782 */   // Label 17999: @1246782
     /* 1246782 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246866), // Rule ID 7701 //
     /* 1246787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246865 */     // GIR_Coverage, 7701,
     /* 1246865 */     GIR_EraseRootFromParent_Done,
     /* 1246866 */   // Label 18000: @1246866
     /* 1246866 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246950), // Rule ID 7704 //
     /* 1246871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246949 */     // GIR_Coverage, 7704,
     /* 1246949 */     GIR_EraseRootFromParent_Done,
     /* 1246950 */   // Label 18001: @1246950
     /* 1246950 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1247034), // Rule ID 7705 //
     /* 1246955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1247011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247033 */     // GIR_Coverage, 7705,
     /* 1247033 */     GIR_EraseRootFromParent_Done,
     /* 1247034 */   // Label 18002: @1247034
     /* 1247034 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247118), // Rule ID 7708 //
     /* 1247039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1247059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247117 */     // GIR_Coverage, 7708,
     /* 1247117 */     GIR_EraseRootFromParent_Done,
     /* 1247118 */   // Label 18003: @1247118
     /* 1247118 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247202), // Rule ID 7709 //
     /* 1247123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1247143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247201 */     // GIR_Coverage, 7709,
     /* 1247201 */     GIR_EraseRootFromParent_Done,
     /* 1247202 */   // Label 18004: @1247202
     /* 1247202 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247286), // Rule ID 7712 //
     /* 1247207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247285 */     // GIR_Coverage, 7712,
     /* 1247285 */     GIR_EraseRootFromParent_Done,
     /* 1247286 */   // Label 18005: @1247286
     /* 1247286 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247370), // Rule ID 7713 //
     /* 1247291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247369 */     // GIR_Coverage, 7713,
     /* 1247369 */     GIR_EraseRootFromParent_Done,
     /* 1247370 */   // Label 18006: @1247370
     /* 1247370 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247454), // Rule ID 7716 //
     /* 1247375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247453 */     // GIR_Coverage, 7716,
     /* 1247453 */     GIR_EraseRootFromParent_Done,
     /* 1247454 */   // Label 18007: @1247454
     /* 1247454 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247538), // Rule ID 7717 //
     /* 1247459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247537 */     // GIR_Coverage, 7717,
     /* 1247537 */     GIR_EraseRootFromParent_Done,
     /* 1247538 */   // Label 18008: @1247538
     /* 1247538 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247622), // Rule ID 7720 //
     /* 1247543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247621 */     // GIR_Coverage, 7720,
     /* 1247621 */     GIR_EraseRootFromParent_Done,
     /* 1247622 */   // Label 18009: @1247622
     /* 1247622 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247706), // Rule ID 7721 //
     /* 1247627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247705 */     // GIR_Coverage, 7721,
     /* 1247705 */     GIR_EraseRootFromParent_Done,
     /* 1247706 */   // Label 18010: @1247706
     /* 1247706 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247790), // Rule ID 7724 //
     /* 1247711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247789 */     // GIR_Coverage, 7724,
     /* 1247789 */     GIR_EraseRootFromParent_Done,
     /* 1247790 */   // Label 18011: @1247790
     /* 1247790 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247874), // Rule ID 7725 //
     /* 1247795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247873 */     // GIR_Coverage, 7725,
     /* 1247873 */     GIR_EraseRootFromParent_Done,
     /* 1247874 */   // Label 18012: @1247874
     /* 1247874 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247958), // Rule ID 7728 //
     /* 1247879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247932 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247957 */     // GIR_Coverage, 7728,
     /* 1247957 */     GIR_EraseRootFromParent_Done,
     /* 1247958 */   // Label 18013: @1247958
     /* 1247958 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1248042), // Rule ID 7729 //
     /* 1247963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248041 */     // GIR_Coverage, 7729,
     /* 1248041 */     GIR_EraseRootFromParent_Done,
     /* 1248042 */   // Label 18014: @1248042
     /* 1248042 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248126), // Rule ID 7732 //
     /* 1248047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1248058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1248061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1248067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248100 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248125 */     // GIR_Coverage, 7732,
     /* 1248125 */     GIR_EraseRootFromParent_Done,
     /* 1248126 */   // Label 18015: @1248126
     /* 1248126 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248210), // Rule ID 7733 //
     /* 1248131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1248142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1248145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1248151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248184 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248209 */     // GIR_Coverage, 7733,
     /* 1248209 */     GIR_EraseRootFromParent_Done,
     /* 1248210 */   // Label 18016: @1248210
     /* 1248210 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248294), // Rule ID 7736 //
     /* 1248215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1248235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248293 */     // GIR_Coverage, 7736,
     /* 1248293 */     GIR_EraseRootFromParent_Done,
     /* 1248294 */   // Label 18017: @1248294
     /* 1248294 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248378), // Rule ID 7737 //
     /* 1248299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1248319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248377 */     // GIR_Coverage, 7737,
     /* 1248377 */     GIR_EraseRootFromParent_Done,
     /* 1248378 */   // Label 18018: @1248378
     /* 1248378 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248462), // Rule ID 7740 //
     /* 1248383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248461 */     // GIR_Coverage, 7740,
     /* 1248461 */     GIR_EraseRootFromParent_Done,
     /* 1248462 */   // Label 18019: @1248462
     /* 1248462 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248546), // Rule ID 7741 //
     /* 1248467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248545 */     // GIR_Coverage, 7741,
     /* 1248545 */     GIR_EraseRootFromParent_Done,
     /* 1248546 */   // Label 18020: @1248546
     /* 1248546 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248630), // Rule ID 7744 //
     /* 1248551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248604 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248629 */     // GIR_Coverage, 7744,
     /* 1248629 */     GIR_EraseRootFromParent_Done,
     /* 1248630 */   // Label 18021: @1248630
     /* 1248630 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248714), // Rule ID 7745 //
     /* 1248635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248713 */     // GIR_Coverage, 7745,
     /* 1248713 */     GIR_EraseRootFromParent_Done,
     /* 1248714 */   // Label 18022: @1248714
     /* 1248714 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248798), // Rule ID 7748 //
     /* 1248719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248797 */     // GIR_Coverage, 7748,
     /* 1248797 */     GIR_EraseRootFromParent_Done,
     /* 1248798 */   // Label 18023: @1248798
     /* 1248798 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248882), // Rule ID 7749 //
     /* 1248803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248881 */     // GIR_Coverage, 7749,
     /* 1248881 */     GIR_EraseRootFromParent_Done,
     /* 1248882 */   // Label 18024: @1248882
     /* 1248882 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248966), // Rule ID 7752 //
     /* 1248887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248965 */     // GIR_Coverage, 7752,
     /* 1248965 */     GIR_EraseRootFromParent_Done,
     /* 1248966 */   // Label 18025: @1248966
     /* 1248966 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249050), // Rule ID 7753 //
     /* 1248971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249049 */     // GIR_Coverage, 7753,
     /* 1249049 */     GIR_EraseRootFromParent_Done,
     /* 1249050 */   // Label 18026: @1249050
     /* 1249050 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249134), // Rule ID 7756 //
     /* 1249055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1249075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249133 */     // GIR_Coverage, 7756,
     /* 1249133 */     GIR_EraseRootFromParent_Done,
     /* 1249134 */   // Label 18027: @1249134
     /* 1249134 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249218), // Rule ID 7757 //
     /* 1249139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1249159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249217 */     // GIR_Coverage, 7757,
     /* 1249217 */     GIR_EraseRootFromParent_Done,
     /* 1249218 */   // Label 18028: @1249218
     /* 1249218 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249302), // Rule ID 7760 //
     /* 1249223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1249279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249301 */     // GIR_Coverage, 7760,
     /* 1249301 */     GIR_EraseRootFromParent_Done,
     /* 1249302 */   // Label 18029: @1249302
     /* 1249302 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249386), // Rule ID 7761 //
     /* 1249307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1249363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249385 */     // GIR_Coverage, 7761,
     /* 1249385 */     GIR_EraseRootFromParent_Done,
     /* 1249386 */   // Label 18030: @1249386
     /* 1249386 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249470), // Rule ID 7764 //
     /* 1249391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249469 */     // GIR_Coverage, 7764,
     /* 1249469 */     GIR_EraseRootFromParent_Done,
     /* 1249470 */   // Label 18031: @1249470
     /* 1249470 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249554), // Rule ID 7765 //
     /* 1249475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249553 */     // GIR_Coverage, 7765,
     /* 1249553 */     GIR_EraseRootFromParent_Done,
     /* 1249554 */   // Label 18032: @1249554
     /* 1249554 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249638), // Rule ID 7768 //
     /* 1249559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249637 */     // GIR_Coverage, 7768,
     /* 1249637 */     GIR_EraseRootFromParent_Done,
     /* 1249638 */   // Label 18033: @1249638
     /* 1249638 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249722), // Rule ID 7769 //
     /* 1249643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249721 */     // GIR_Coverage, 7769,
     /* 1249721 */     GIR_EraseRootFromParent_Done,
     /* 1249722 */   // Label 18034: @1249722
     /* 1249722 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249806), // Rule ID 7772 //
     /* 1249727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249805 */     // GIR_Coverage, 7772,
     /* 1249805 */     GIR_EraseRootFromParent_Done,
     /* 1249806 */   // Label 18035: @1249806
     /* 1249806 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249890), // Rule ID 7773 //
     /* 1249811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249889 */     // GIR_Coverage, 7773,
     /* 1249889 */     GIR_EraseRootFromParent_Done,
     /* 1249890 */   // Label 18036: @1249890
     /* 1249890 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249974), // Rule ID 7776 //
     /* 1249895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249973 */     // GIR_Coverage, 7776,
     /* 1249973 */     GIR_EraseRootFromParent_Done,
     /* 1249974 */   // Label 18037: @1249974
     /* 1249974 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250058), // Rule ID 7777 //
     /* 1249979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250057 */     // GIR_Coverage, 7777,
     /* 1250057 */     GIR_EraseRootFromParent_Done,
     /* 1250058 */   // Label 18038: @1250058
     /* 1250058 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250142), // Rule ID 7780 //
     /* 1250063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250141 */     // GIR_Coverage, 7780,
     /* 1250141 */     GIR_EraseRootFromParent_Done,
     /* 1250142 */   // Label 18039: @1250142
     /* 1250142 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250226), // Rule ID 7781 //
     /* 1250147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250225 */     // GIR_Coverage, 7781,
     /* 1250225 */     GIR_EraseRootFromParent_Done,
     /* 1250226 */   // Label 18040: @1250226
     /* 1250226 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250310), // Rule ID 7784 //
     /* 1250231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250309 */     // GIR_Coverage, 7784,
     /* 1250309 */     GIR_EraseRootFromParent_Done,
     /* 1250310 */   // Label 18041: @1250310
     /* 1250310 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250394), // Rule ID 7785 //
     /* 1250315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1250371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250393 */     // GIR_Coverage, 7785,
     /* 1250393 */     GIR_EraseRootFromParent_Done,
     /* 1250394 */   // Label 18042: @1250394
     /* 1250394 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250478), // Rule ID 7788 //
     /* 1250399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250477 */     // GIR_Coverage, 7788,
     /* 1250477 */     GIR_EraseRootFromParent_Done,
     /* 1250478 */   // Label 18043: @1250478
     /* 1250478 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250562), // Rule ID 7789 //
     /* 1250483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250561 */     // GIR_Coverage, 7789,
     /* 1250561 */     GIR_EraseRootFromParent_Done,
     /* 1250562 */   // Label 18044: @1250562
     /* 1250562 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250646), // Rule ID 7792 //
     /* 1250567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250645 */     // GIR_Coverage, 7792,
     /* 1250645 */     GIR_EraseRootFromParent_Done,
     /* 1250646 */   // Label 18045: @1250646
     /* 1250646 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250730), // Rule ID 7793 //
     /* 1250651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250729 */     // GIR_Coverage, 7793,
     /* 1250729 */     GIR_EraseRootFromParent_Done,
     /* 1250730 */   // Label 18046: @1250730
     /* 1250730 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250814), // Rule ID 7796 //
     /* 1250735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250813 */     // GIR_Coverage, 7796,
     /* 1250813 */     GIR_EraseRootFromParent_Done,
     /* 1250814 */   // Label 18047: @1250814
     /* 1250814 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250898), // Rule ID 7797 //
     /* 1250819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250897 */     // GIR_Coverage, 7797,
     /* 1250897 */     GIR_EraseRootFromParent_Done,
     /* 1250898 */   // Label 18048: @1250898
     /* 1250898 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250982), // Rule ID 7800 //
     /* 1250903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250981 */     // GIR_Coverage, 7800,
     /* 1250981 */     GIR_EraseRootFromParent_Done,
     /* 1250982 */   // Label 18049: @1250982
     /* 1250982 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251066), // Rule ID 7801 //
     /* 1250987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251065 */     // GIR_Coverage, 7801,
     /* 1251065 */     GIR_EraseRootFromParent_Done,
     /* 1251066 */   // Label 18050: @1251066
     /* 1251066 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251150), // Rule ID 7804 //
     /* 1251071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251149 */     // GIR_Coverage, 7804,
     /* 1251149 */     GIR_EraseRootFromParent_Done,
     /* 1251150 */   // Label 18051: @1251150
     /* 1251150 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251234), // Rule ID 7805 //
     /* 1251155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251233 */     // GIR_Coverage, 7805,
     /* 1251233 */     GIR_EraseRootFromParent_Done,
     /* 1251234 */   // Label 18052: @1251234
     /* 1251234 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251318), // Rule ID 7808 //
     /* 1251239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251317 */     // GIR_Coverage, 7808,
     /* 1251317 */     GIR_EraseRootFromParent_Done,
     /* 1251318 */   // Label 18053: @1251318
     /* 1251318 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251402), // Rule ID 7809 //
     /* 1251323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1251379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251401 */     // GIR_Coverage, 7809,
     /* 1251401 */     GIR_EraseRootFromParent_Done,
     /* 1251402 */   // Label 18054: @1251402
     /* 1251402 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251486), // Rule ID 7812 //
     /* 1251407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251485 */     // GIR_Coverage, 7812,
     /* 1251485 */     GIR_EraseRootFromParent_Done,
     /* 1251486 */   // Label 18055: @1251486
     /* 1251486 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251570), // Rule ID 7813 //
     /* 1251491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251569 */     // GIR_Coverage, 7813,
     /* 1251569 */     GIR_EraseRootFromParent_Done,
     /* 1251570 */   // Label 18056: @1251570
     /* 1251570 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251654), // Rule ID 7816 //
     /* 1251575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251628 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251653 */     // GIR_Coverage, 7816,
     /* 1251653 */     GIR_EraseRootFromParent_Done,
     /* 1251654 */   // Label 18057: @1251654
     /* 1251654 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251738), // Rule ID 7817 //
     /* 1251659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251737 */     // GIR_Coverage, 7817,
     /* 1251737 */     GIR_EraseRootFromParent_Done,
     /* 1251738 */   // Label 18058: @1251738
     /* 1251738 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251822), // Rule ID 7820 //
     /* 1251743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251796 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251821 */     // GIR_Coverage, 7820,
     /* 1251821 */     GIR_EraseRootFromParent_Done,
     /* 1251822 */   // Label 18059: @1251822
     /* 1251822 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251906), // Rule ID 7821 //
     /* 1251827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251880 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251905 */     // GIR_Coverage, 7821,
     /* 1251905 */     GIR_EraseRootFromParent_Done,
     /* 1251906 */   // Label 18060: @1251906
     /* 1251906 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251990), // Rule ID 7824 //
     /* 1251911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251989 */     // GIR_Coverage, 7824,
     /* 1251989 */     GIR_EraseRootFromParent_Done,
     /* 1251990 */   // Label 18061: @1251990
     /* 1251990 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252074), // Rule ID 7825 //
     /* 1251995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252073 */     // GIR_Coverage, 7825,
     /* 1252073 */     GIR_EraseRootFromParent_Done,
     /* 1252074 */   // Label 18062: @1252074
     /* 1252074 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252158), // Rule ID 7828 //
     /* 1252079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252157 */     // GIR_Coverage, 7828,
     /* 1252157 */     GIR_EraseRootFromParent_Done,
     /* 1252158 */   // Label 18063: @1252158
     /* 1252158 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252242), // Rule ID 7829 //
     /* 1252163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252241 */     // GIR_Coverage, 7829,
     /* 1252241 */     GIR_EraseRootFromParent_Done,
     /* 1252242 */   // Label 18064: @1252242
     /* 1252242 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252326), // Rule ID 7832 //
     /* 1252247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252300 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252325 */     // GIR_Coverage, 7832,
     /* 1252325 */     GIR_EraseRootFromParent_Done,
     /* 1252326 */   // Label 18065: @1252326
     /* 1252326 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252410), // Rule ID 7833 //
     /* 1252331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252384 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252409 */     // GIR_Coverage, 7833,
     /* 1252409 */     GIR_EraseRootFromParent_Done,
     /* 1252410 */   // Label 18066: @1252410
     /* 1252410 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252494), // Rule ID 7836 //
     /* 1252415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252493 */     // GIR_Coverage, 7836,
     /* 1252493 */     GIR_EraseRootFromParent_Done,
     /* 1252494 */   // Label 18067: @1252494
     /* 1252494 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252578), // Rule ID 7837 //
     /* 1252499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252577 */     // GIR_Coverage, 7837,
     /* 1252577 */     GIR_EraseRootFromParent_Done,
     /* 1252578 */   // Label 18068: @1252578
     /* 1252578 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252662), // Rule ID 7840 //
     /* 1252583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252661 */     // GIR_Coverage, 7840,
     /* 1252661 */     GIR_EraseRootFromParent_Done,
     /* 1252662 */   // Label 18069: @1252662
     /* 1252662 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252746), // Rule ID 7841 //
     /* 1252667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252745 */     // GIR_Coverage, 7841,
     /* 1252745 */     GIR_EraseRootFromParent_Done,
     /* 1252746 */   // Label 18070: @1252746
     /* 1252746 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252830), // Rule ID 7844 //
     /* 1252751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252829 */     // GIR_Coverage, 7844,
     /* 1252829 */     GIR_EraseRootFromParent_Done,
     /* 1252830 */   // Label 18071: @1252830
     /* 1252830 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252914), // Rule ID 7845 //
     /* 1252835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252913 */     // GIR_Coverage, 7845,
     /* 1252913 */     GIR_EraseRootFromParent_Done,
     /* 1252914 */   // Label 18072: @1252914
     /* 1252914 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1252998), // Rule ID 7848 //
     /* 1252919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252997 */     // GIR_Coverage, 7848,
     /* 1252997 */     GIR_EraseRootFromParent_Done,
     /* 1252998 */   // Label 18073: @1252998
     /* 1252998 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253082), // Rule ID 7849 //
     /* 1253003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1253059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253081 */     // GIR_Coverage, 7849,
     /* 1253081 */     GIR_EraseRootFromParent_Done,
     /* 1253082 */   // Label 18074: @1253082
     /* 1253082 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253166), // Rule ID 7852 //
     /* 1253087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1253143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253165 */     // GIR_Coverage, 7852,
     /* 1253165 */     GIR_EraseRootFromParent_Done,
     /* 1253166 */   // Label 18075: @1253166
     /* 1253166 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253250), // Rule ID 7853 //
     /* 1253171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1253227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253249 */     // GIR_Coverage, 7853,
     /* 1253249 */     GIR_EraseRootFromParent_Done,
     /* 1253250 */   // Label 18076: @1253250
     /* 1253250 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253334), // Rule ID 7856 //
     /* 1253255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1253311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253333 */     // GIR_Coverage, 7856,
     /* 1253333 */     GIR_EraseRootFromParent_Done,
     /* 1253334 */   // Label 18077: @1253334
     /* 1253334 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253418), // Rule ID 7857 //
     /* 1253339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1253395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253417 */     // GIR_Coverage, 7857,
     /* 1253417 */     GIR_EraseRootFromParent_Done,
     /* 1253418 */   // Label 18078: @1253418
     /* 1253418 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253502), // Rule ID 7948 //
     /* 1253423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253501 */     // GIR_Coverage, 7948,
     /* 1253501 */     GIR_EraseRootFromParent_Done,
     /* 1253502 */   // Label 18079: @1253502
     /* 1253502 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253586), // Rule ID 7949 //
     /* 1253507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253585 */     // GIR_Coverage, 7949,
     /* 1253585 */     GIR_EraseRootFromParent_Done,
     /* 1253586 */   // Label 18080: @1253586
     /* 1253586 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253670), // Rule ID 7952 //
     /* 1253591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253669 */     // GIR_Coverage, 7952,
     /* 1253669 */     GIR_EraseRootFromParent_Done,
     /* 1253670 */   // Label 18081: @1253670
     /* 1253670 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253754), // Rule ID 7953 //
     /* 1253675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253753 */     // GIR_Coverage, 7953,
     /* 1253753 */     GIR_EraseRootFromParent_Done,
     /* 1253754 */   // Label 18082: @1253754
     /* 1253754 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253838), // Rule ID 7956 //
     /* 1253759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253837 */     // GIR_Coverage, 7956,
     /* 1253837 */     GIR_EraseRootFromParent_Done,
     /* 1253838 */   // Label 18083: @1253838
     /* 1253838 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253922), // Rule ID 7957 //
     /* 1253843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253921 */     // GIR_Coverage, 7957,
     /* 1253921 */     GIR_EraseRootFromParent_Done,
     /* 1253922 */   // Label 18084: @1253922
     /* 1253922 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1254006), // Rule ID 7960 //
     /* 1253927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254005 */     // GIR_Coverage, 7960,
     /* 1254005 */     GIR_EraseRootFromParent_Done,
     /* 1254006 */   // Label 18085: @1254006
     /* 1254006 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1254090), // Rule ID 7961 //
     /* 1254011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1254031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1254067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254089 */     // GIR_Coverage, 7961,
     /* 1254089 */     GIR_EraseRootFromParent_Done,
     /* 1254090 */   // Label 18086: @1254090
     /* 1254090 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254174), // Rule ID 7964 //
     /* 1254095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254173 */     // GIR_Coverage, 7964,
     /* 1254173 */     GIR_EraseRootFromParent_Done,
     /* 1254174 */   // Label 18087: @1254174
     /* 1254174 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254258), // Rule ID 7965 //
     /* 1254179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254257 */     // GIR_Coverage, 7965,
     /* 1254257 */     GIR_EraseRootFromParent_Done,
     /* 1254258 */   // Label 18088: @1254258
     /* 1254258 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254342), // Rule ID 7968 //
     /* 1254263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1254283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254341 */     // GIR_Coverage, 7968,
     /* 1254341 */     GIR_EraseRootFromParent_Done,
     /* 1254342 */   // Label 18089: @1254342
     /* 1254342 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254426), // Rule ID 7969 //
     /* 1254347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1254367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1254403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254425 */     // GIR_Coverage, 7969,
     /* 1254425 */     GIR_EraseRootFromParent_Done,
     /* 1254426 */   // Label 18090: @1254426
     /* 1254426 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254510), // Rule ID 7972 //
     /* 1254431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254509 */     // GIR_Coverage, 7972,
     /* 1254509 */     GIR_EraseRootFromParent_Done,
     /* 1254510 */   // Label 18091: @1254510
     /* 1254510 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254594), // Rule ID 7973 //
     /* 1254515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254593 */     // GIR_Coverage, 7973,
     /* 1254593 */     GIR_EraseRootFromParent_Done,
     /* 1254594 */   // Label 18092: @1254594
     /* 1254594 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254678), // Rule ID 7976 //
     /* 1254599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254677 */     // GIR_Coverage, 7976,
     /* 1254677 */     GIR_EraseRootFromParent_Done,
     /* 1254678 */   // Label 18093: @1254678
     /* 1254678 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254762), // Rule ID 7977 //
     /* 1254683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254761 */     // GIR_Coverage, 7977,
     /* 1254761 */     GIR_EraseRootFromParent_Done,
     /* 1254762 */   // Label 18094: @1254762
     /* 1254762 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254846), // Rule ID 7980 //
     /* 1254767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254845 */     // GIR_Coverage, 7980,
     /* 1254845 */     GIR_EraseRootFromParent_Done,
     /* 1254846 */   // Label 18095: @1254846
     /* 1254846 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254930), // Rule ID 7981 //
     /* 1254851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254929 */     // GIR_Coverage, 7981,
     /* 1254929 */     GIR_EraseRootFromParent_Done,
     /* 1254930 */   // Label 18096: @1254930
     /* 1254930 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1255014), // Rule ID 7984 //
     /* 1254935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255013 */     // GIR_Coverage, 7984,
     /* 1255013 */     GIR_EraseRootFromParent_Done,
     /* 1255014 */   // Label 18097: @1255014
     /* 1255014 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255098), // Rule ID 7985 //
     /* 1255019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1255039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1255075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255097 */     // GIR_Coverage, 7985,
     /* 1255097 */     GIR_EraseRootFromParent_Done,
     /* 1255098 */   // Label 18098: @1255098
     /* 1255098 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255182), // Rule ID 7988 //
     /* 1255103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1255123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255181 */     // GIR_Coverage, 7988,
     /* 1255181 */     GIR_EraseRootFromParent_Done,
     /* 1255182 */   // Label 18099: @1255182
     /* 1255182 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255266), // Rule ID 7989 //
     /* 1255187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1255207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255265 */     // GIR_Coverage, 7989,
     /* 1255265 */     GIR_EraseRootFromParent_Done,
     /* 1255266 */   // Label 18100: @1255266
     /* 1255266 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255350), // Rule ID 7992 //
     /* 1255271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1255291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255349 */     // GIR_Coverage, 7992,
     /* 1255349 */     GIR_EraseRootFromParent_Done,
     /* 1255350 */   // Label 18101: @1255350
     /* 1255350 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255434), // Rule ID 7993 //
     /* 1255355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1255375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255408 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255433 */     // GIR_Coverage, 7993,
     /* 1255433 */     GIR_EraseRootFromParent_Done,
     /* 1255434 */   // Label 18102: @1255434
     /* 1255434 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255518), // Rule ID 7996 //
     /* 1255439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255492 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255517 */     // GIR_Coverage, 7996,
     /* 1255517 */     GIR_EraseRootFromParent_Done,
     /* 1255518 */   // Label 18103: @1255518
     /* 1255518 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255602), // Rule ID 7997 //
     /* 1255523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255576 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255601 */     // GIR_Coverage, 7997,
     /* 1255601 */     GIR_EraseRootFromParent_Done,
     /* 1255602 */   // Label 18104: @1255602
     /* 1255602 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255686), // Rule ID 8000 //
     /* 1255607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255685 */     // GIR_Coverage, 8000,
     /* 1255685 */     GIR_EraseRootFromParent_Done,
     /* 1255686 */   // Label 18105: @1255686
     /* 1255686 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255770), // Rule ID 8001 //
     /* 1255691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255769 */     // GIR_Coverage, 8001,
     /* 1255769 */     GIR_EraseRootFromParent_Done,
     /* 1255770 */   // Label 18106: @1255770
     /* 1255770 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255854), // Rule ID 8004 //
     /* 1255775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255853 */     // GIR_Coverage, 8004,
     /* 1255853 */     GIR_EraseRootFromParent_Done,
     /* 1255854 */   // Label 18107: @1255854
     /* 1255854 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255938), // Rule ID 8005 //
     /* 1255859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255937 */     // GIR_Coverage, 8005,
     /* 1255937 */     GIR_EraseRootFromParent_Done,
     /* 1255938 */   // Label 18108: @1255938
     /* 1255938 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1256022), // Rule ID 8008 //
     /* 1255943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255996 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256021 */     // GIR_Coverage, 8008,
     /* 1256021 */     GIR_EraseRootFromParent_Done,
     /* 1256022 */   // Label 18109: @1256022
     /* 1256022 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256106), // Rule ID 8009 //
     /* 1256027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1256047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256105 */     // GIR_Coverage, 8009,
     /* 1256105 */     GIR_EraseRootFromParent_Done,
     /* 1256106 */   // Label 18110: @1256106
     /* 1256106 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256190), // Rule ID 8012 //
     /* 1256111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1256131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256189 */     // GIR_Coverage, 8012,
     /* 1256189 */     GIR_EraseRootFromParent_Done,
     /* 1256190 */   // Label 18111: @1256190
     /* 1256190 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256274), // Rule ID 8013 //
     /* 1256195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1256215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256273 */     // GIR_Coverage, 8013,
     /* 1256273 */     GIR_EraseRootFromParent_Done,
     /* 1256274 */   // Label 18112: @1256274
     /* 1256274 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256358), // Rule ID 8016 //
     /* 1256279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1256299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256357 */     // GIR_Coverage, 8016,
     /* 1256357 */     GIR_EraseRootFromParent_Done,
     /* 1256358 */   // Label 18113: @1256358
     /* 1256358 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256442), // Rule ID 8017 //
     /* 1256363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1256383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256441 */     // GIR_Coverage, 8017,
     /* 1256441 */     GIR_EraseRootFromParent_Done,
     /* 1256442 */   // Label 18114: @1256442
     /* 1256442 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256526), // Rule ID 8020 //
     /* 1256447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256525 */     // GIR_Coverage, 8020,
     /* 1256525 */     GIR_EraseRootFromParent_Done,
     /* 1256526 */   // Label 18115: @1256526
     /* 1256526 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256610), // Rule ID 8021 //
     /* 1256531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256609 */     // GIR_Coverage, 8021,
     /* 1256609 */     GIR_EraseRootFromParent_Done,
     /* 1256610 */   // Label 18116: @1256610
     /* 1256610 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256694), // Rule ID 8024 //
     /* 1256615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256693 */     // GIR_Coverage, 8024,
     /* 1256693 */     GIR_EraseRootFromParent_Done,
     /* 1256694 */   // Label 18117: @1256694
     /* 1256694 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256778), // Rule ID 8025 //
     /* 1256699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256777 */     // GIR_Coverage, 8025,
     /* 1256777 */     GIR_EraseRootFromParent_Done,
     /* 1256778 */   // Label 18118: @1256778
     /* 1256778 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256862), // Rule ID 8028 //
     /* 1256783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256861 */     // GIR_Coverage, 8028,
     /* 1256861 */     GIR_EraseRootFromParent_Done,
     /* 1256862 */   // Label 18119: @1256862
     /* 1256862 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256946), // Rule ID 8029 //
     /* 1256867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256945 */     // GIR_Coverage, 8029,
     /* 1256945 */     GIR_EraseRootFromParent_Done,
     /* 1256946 */   // Label 18120: @1256946
     /* 1256946 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1257030), // Rule ID 8032 //
     /* 1256951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1257007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257029 */     // GIR_Coverage, 8032,
     /* 1257029 */     GIR_EraseRootFromParent_Done,
     /* 1257030 */   // Label 18121: @1257030
     /* 1257030 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257114), // Rule ID 8033 //
     /* 1257035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1257052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1257055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1257091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257113 */     // GIR_Coverage, 8033,
     /* 1257113 */     GIR_EraseRootFromParent_Done,
     /* 1257114 */   // Label 18122: @1257114
     /* 1257114 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257198), // Rule ID 8036 //
     /* 1257119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1257175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257197 */     // GIR_Coverage, 8036,
     /* 1257197 */     GIR_EraseRootFromParent_Done,
     /* 1257198 */   // Label 18123: @1257198
     /* 1257198 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257282), // Rule ID 8037 //
     /* 1257203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1257259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257281 */     // GIR_Coverage, 8037,
     /* 1257281 */     GIR_EraseRootFromParent_Done,
     /* 1257282 */   // Label 18124: @1257282
     /* 1257282 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257366), // Rule ID 8040 //
     /* 1257287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257365 */     // GIR_Coverage, 8040,
     /* 1257365 */     GIR_EraseRootFromParent_Done,
     /* 1257366 */   // Label 18125: @1257366
     /* 1257366 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257450), // Rule ID 8041 //
     /* 1257371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257449 */     // GIR_Coverage, 8041,
     /* 1257449 */     GIR_EraseRootFromParent_Done,
     /* 1257450 */   // Label 18126: @1257450
     /* 1257450 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257534), // Rule ID 8044 //
     /* 1257455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257533 */     // GIR_Coverage, 8044,
     /* 1257533 */     GIR_EraseRootFromParent_Done,
     /* 1257534 */   // Label 18127: @1257534
     /* 1257534 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257618), // Rule ID 8045 //
     /* 1257539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257617 */     // GIR_Coverage, 8045,
     /* 1257617 */     GIR_EraseRootFromParent_Done,
     /* 1257618 */   // Label 18128: @1257618
     /* 1257618 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257702), // Rule ID 8048 //
     /* 1257623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257701 */     // GIR_Coverage, 8048,
     /* 1257701 */     GIR_EraseRootFromParent_Done,
     /* 1257702 */   // Label 18129: @1257702
     /* 1257702 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257786), // Rule ID 8049 //
     /* 1257707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257785 */     // GIR_Coverage, 8049,
     /* 1257785 */     GIR_EraseRootFromParent_Done,
     /* 1257786 */   // Label 18130: @1257786
     /* 1257786 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257870), // Rule ID 8052 //
     /* 1257791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257869 */     // GIR_Coverage, 8052,
     /* 1257869 */     GIR_EraseRootFromParent_Done,
     /* 1257870 */   // Label 18131: @1257870
     /* 1257870 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257954), // Rule ID 8053 //
     /* 1257875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257953 */     // GIR_Coverage, 8053,
     /* 1257953 */     GIR_EraseRootFromParent_Done,
     /* 1257954 */   // Label 18132: @1257954
     /* 1257954 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1258038), // Rule ID 8056 //
     /* 1257959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1258015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258037 */     // GIR_Coverage, 8056,
     /* 1258037 */     GIR_EraseRootFromParent_Done,
     /* 1258038 */   // Label 18133: @1258038
     /* 1258038 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258122), // Rule ID 8057 //
     /* 1258043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1258060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1258099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258121 */     // GIR_Coverage, 8057,
     /* 1258121 */     GIR_EraseRootFromParent_Done,
     /* 1258122 */   // Label 18134: @1258122
     /* 1258122 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258206), // Rule ID 8060 //
     /* 1258127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258205 */     // GIR_Coverage, 8060,
     /* 1258205 */     GIR_EraseRootFromParent_Done,
     /* 1258206 */   // Label 18135: @1258206
     /* 1258206 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258290), // Rule ID 8061 //
     /* 1258211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258289 */     // GIR_Coverage, 8061,
     /* 1258289 */     GIR_EraseRootFromParent_Done,
     /* 1258290 */   // Label 18136: @1258290
     /* 1258290 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258374), // Rule ID 8064 //
     /* 1258295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258373 */     // GIR_Coverage, 8064,
     /* 1258373 */     GIR_EraseRootFromParent_Done,
     /* 1258374 */   // Label 18137: @1258374
     /* 1258374 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258458), // Rule ID 8065 //
     /* 1258379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258457 */     // GIR_Coverage, 8065,
     /* 1258457 */     GIR_EraseRootFromParent_Done,
     /* 1258458 */   // Label 18138: @1258458
     /* 1258458 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258542), // Rule ID 8068 //
     /* 1258463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258541 */     // GIR_Coverage, 8068,
     /* 1258541 */     GIR_EraseRootFromParent_Done,
     /* 1258542 */   // Label 18139: @1258542
     /* 1258542 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258626), // Rule ID 8069 //
     /* 1258547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258625 */     // GIR_Coverage, 8069,
     /* 1258625 */     GIR_EraseRootFromParent_Done,
     /* 1258626 */   // Label 18140: @1258626
     /* 1258626 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258710), // Rule ID 8072 //
     /* 1258631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258709 */     // GIR_Coverage, 8072,
     /* 1258709 */     GIR_EraseRootFromParent_Done,
     /* 1258710 */   // Label 18141: @1258710
     /* 1258710 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258794), // Rule ID 8073 //
     /* 1258715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258793 */     // GIR_Coverage, 8073,
     /* 1258793 */     GIR_EraseRootFromParent_Done,
     /* 1258794 */   // Label 18142: @1258794
     /* 1258794 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258878), // Rule ID 8076 //
     /* 1258799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258877 */     // GIR_Coverage, 8076,
     /* 1258877 */     GIR_EraseRootFromParent_Done,
     /* 1258878 */   // Label 18143: @1258878
     /* 1258878 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258962), // Rule ID 8077 //
     /* 1258883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258961 */     // GIR_Coverage, 8077,
     /* 1258961 */     GIR_EraseRootFromParent_Done,
     /* 1258962 */   // Label 18144: @1258962
     /* 1258962 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1259046), // Rule ID 8080 //
     /* 1258967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259045 */     // GIR_Coverage, 8080,
     /* 1259045 */     GIR_EraseRootFromParent_Done,
     /* 1259046 */   // Label 18145: @1259046
     /* 1259046 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259130), // Rule ID 8081 //
     /* 1259051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1259068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259129 */     // GIR_Coverage, 8081,
     /* 1259129 */     GIR_EraseRootFromParent_Done,
     /* 1259130 */   // Label 18146: @1259130
     /* 1259130 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259214), // Rule ID 8084 //
     /* 1259135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259188 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259213 */     // GIR_Coverage, 8084,
     /* 1259213 */     GIR_EraseRootFromParent_Done,
     /* 1259214 */   // Label 18147: @1259214
     /* 1259214 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259298), // Rule ID 8085 //
     /* 1259219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259272 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259297 */     // GIR_Coverage, 8085,
     /* 1259297 */     GIR_EraseRootFromParent_Done,
     /* 1259298 */   // Label 18148: @1259298
     /* 1259298 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259382), // Rule ID 8088 //
     /* 1259303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259381 */     // GIR_Coverage, 8088,
     /* 1259381 */     GIR_EraseRootFromParent_Done,
     /* 1259382 */   // Label 18149: @1259382
     /* 1259382 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259466), // Rule ID 8089 //
     /* 1259387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259465 */     // GIR_Coverage, 8089,
     /* 1259465 */     GIR_EraseRootFromParent_Done,
     /* 1259466 */   // Label 18150: @1259466
     /* 1259466 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259550), // Rule ID 8092 //
     /* 1259471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259549 */     // GIR_Coverage, 8092,
     /* 1259549 */     GIR_EraseRootFromParent_Done,
     /* 1259550 */   // Label 18151: @1259550
     /* 1259550 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259634), // Rule ID 8093 //
     /* 1259555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259608 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259633 */     // GIR_Coverage, 8093,
     /* 1259633 */     GIR_EraseRootFromParent_Done,
     /* 1259634 */   // Label 18152: @1259634
     /* 1259634 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259718), // Rule ID 8096 //
     /* 1259639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259692 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259717 */     // GIR_Coverage, 8096,
     /* 1259717 */     GIR_EraseRootFromParent_Done,
     /* 1259718 */   // Label 18153: @1259718
     /* 1259718 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259802), // Rule ID 8097 //
     /* 1259723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259776 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259801 */     // GIR_Coverage, 8097,
     /* 1259801 */     GIR_EraseRootFromParent_Done,
     /* 1259802 */   // Label 18154: @1259802
     /* 1259802 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259886), // Rule ID 8100 //
     /* 1259807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259885 */     // GIR_Coverage, 8100,
     /* 1259885 */     GIR_EraseRootFromParent_Done,
     /* 1259886 */   // Label 18155: @1259886
     /* 1259886 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259970), // Rule ID 8101 //
     /* 1259891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259969 */     // GIR_Coverage, 8101,
     /* 1259969 */     GIR_EraseRootFromParent_Done,
     /* 1259970 */   // Label 18156: @1259970
     /* 1259970 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1260054), // Rule ID 8104 //
     /* 1259975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260053 */     // GIR_Coverage, 8104,
     /* 1260053 */     GIR_EraseRootFromParent_Done,
     /* 1260054 */   // Label 18157: @1260054
     /* 1260054 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260138), // Rule ID 8105 //
     /* 1260059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1260076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260137 */     // GIR_Coverage, 8105,
     /* 1260137 */     GIR_EraseRootFromParent_Done,
     /* 1260138 */   // Label 18158: @1260138
     /* 1260138 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260222), // Rule ID 8108 //
     /* 1260143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260221 */     // GIR_Coverage, 8108,
     /* 1260221 */     GIR_EraseRootFromParent_Done,
     /* 1260222 */   // Label 18159: @1260222
     /* 1260222 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260306), // Rule ID 8109 //
     /* 1260227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260305 */     // GIR_Coverage, 8109,
     /* 1260305 */     GIR_EraseRootFromParent_Done,
     /* 1260306 */   // Label 18160: @1260306
     /* 1260306 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260390), // Rule ID 8112 //
     /* 1260311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260389 */     // GIR_Coverage, 8112,
     /* 1260389 */     GIR_EraseRootFromParent_Done,
     /* 1260390 */   // Label 18161: @1260390
     /* 1260390 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260474), // Rule ID 8113 //
     /* 1260395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260473 */     // GIR_Coverage, 8113,
     /* 1260473 */     GIR_EraseRootFromParent_Done,
     /* 1260474 */   // Label 18162: @1260474
     /* 1260474 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260558), // Rule ID 8116 //
     /* 1260479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260557 */     // GIR_Coverage, 8116,
     /* 1260557 */     GIR_EraseRootFromParent_Done,
     /* 1260558 */   // Label 18163: @1260558
     /* 1260558 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260642), // Rule ID 8117 //
     /* 1260563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260641 */     // GIR_Coverage, 8117,
     /* 1260641 */     GIR_EraseRootFromParent_Done,
     /* 1260642 */   // Label 18164: @1260642
     /* 1260642 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260726), // Rule ID 8120 //
     /* 1260647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260725 */     // GIR_Coverage, 8120,
     /* 1260725 */     GIR_EraseRootFromParent_Done,
     /* 1260726 */   // Label 18165: @1260726
     /* 1260726 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260810), // Rule ID 8121 //
     /* 1260731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260809 */     // GIR_Coverage, 8121,
     /* 1260809 */     GIR_EraseRootFromParent_Done,
     /* 1260810 */   // Label 18166: @1260810
     /* 1260810 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260894), // Rule ID 8212 //
     /* 1260815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260893 */     // GIR_Coverage, 8212,
     /* 1260893 */     GIR_EraseRootFromParent_Done,
     /* 1260894 */   // Label 18167: @1260894
     /* 1260894 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260978), // Rule ID 8213 //
     /* 1260899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260977 */     // GIR_Coverage, 8213,
     /* 1260977 */     GIR_EraseRootFromParent_Done,
     /* 1260978 */   // Label 18168: @1260978
     /* 1260978 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1261062), // Rule ID 8216 //
     /* 1260983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1261003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261061 */     // GIR_Coverage, 8216,
     /* 1261061 */     GIR_EraseRootFromParent_Done,
     /* 1261062 */   // Label 18169: @1261062
     /* 1261062 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261146), // Rule ID 8217 //
     /* 1261067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1261087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261145 */     // GIR_Coverage, 8217,
     /* 1261145 */     GIR_EraseRootFromParent_Done,
     /* 1261146 */   // Label 18170: @1261146
     /* 1261146 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261230), // Rule ID 8220 //
     /* 1261151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1261171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261229 */     // GIR_Coverage, 8220,
     /* 1261229 */     GIR_EraseRootFromParent_Done,
     /* 1261230 */   // Label 18171: @1261230
     /* 1261230 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261314), // Rule ID 8221 //
     /* 1261235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1261255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261313 */     // GIR_Coverage, 8221,
     /* 1261313 */     GIR_EraseRootFromParent_Done,
     /* 1261314 */   // Label 18172: @1261314
     /* 1261314 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261398), // Rule ID 8224 //
     /* 1261319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1261339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261397 */     // GIR_Coverage, 8224,
     /* 1261397 */     GIR_EraseRootFromParent_Done,
     /* 1261398 */   // Label 18173: @1261398
     /* 1261398 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261482), // Rule ID 8225 //
     /* 1261403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1261423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261481 */     // GIR_Coverage, 8225,
     /* 1261481 */     GIR_EraseRootFromParent_Done,
     /* 1261482 */   // Label 18174: @1261482
     /* 1261482 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261566), // Rule ID 8228 //
     /* 1261487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261565 */     // GIR_Coverage, 8228,
     /* 1261565 */     GIR_EraseRootFromParent_Done,
     /* 1261566 */   // Label 18175: @1261566
     /* 1261566 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261650), // Rule ID 8229 //
     /* 1261571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261649 */     // GIR_Coverage, 8229,
     /* 1261649 */     GIR_EraseRootFromParent_Done,
     /* 1261650 */   // Label 18176: @1261650
     /* 1261650 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261734), // Rule ID 8232 //
     /* 1261655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261733 */     // GIR_Coverage, 8232,
     /* 1261733 */     GIR_EraseRootFromParent_Done,
     /* 1261734 */   // Label 18177: @1261734
     /* 1261734 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261818), // Rule ID 8233 //
     /* 1261739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261817 */     // GIR_Coverage, 8233,
     /* 1261817 */     GIR_EraseRootFromParent_Done,
     /* 1261818 */   // Label 18178: @1261818
     /* 1261818 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261902), // Rule ID 8236 //
     /* 1261823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261901 */     // GIR_Coverage, 8236,
     /* 1261901 */     GIR_EraseRootFromParent_Done,
     /* 1261902 */   // Label 18179: @1261902
     /* 1261902 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261986), // Rule ID 8237 //
     /* 1261907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261985 */     // GIR_Coverage, 8237,
     /* 1261985 */     GIR_EraseRootFromParent_Done,
     /* 1261986 */   // Label 18180: @1261986
     /* 1261986 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1262070), // Rule ID 8240 //
     /* 1261991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262069 */     // GIR_Coverage, 8240,
     /* 1262069 */     GIR_EraseRootFromParent_Done,
     /* 1262070 */   // Label 18181: @1262070
     /* 1262070 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262154), // Rule ID 8241 //
     /* 1262075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262153 */     // GIR_Coverage, 8241,
     /* 1262153 */     GIR_EraseRootFromParent_Done,
     /* 1262154 */   // Label 18182: @1262154
     /* 1262154 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262238), // Rule ID 8244 //
     /* 1262159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262237 */     // GIR_Coverage, 8244,
     /* 1262237 */     GIR_EraseRootFromParent_Done,
     /* 1262238 */   // Label 18183: @1262238
     /* 1262238 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262322), // Rule ID 8245 //
     /* 1262243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262321 */     // GIR_Coverage, 8245,
     /* 1262321 */     GIR_EraseRootFromParent_Done,
     /* 1262322 */   // Label 18184: @1262322
     /* 1262322 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262406), // Rule ID 8248 //
     /* 1262327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262405 */     // GIR_Coverage, 8248,
     /* 1262405 */     GIR_EraseRootFromParent_Done,
     /* 1262406 */   // Label 18185: @1262406
     /* 1262406 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262490), // Rule ID 8249 //
     /* 1262411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262489 */     // GIR_Coverage, 8249,
     /* 1262489 */     GIR_EraseRootFromParent_Done,
     /* 1262490 */   // Label 18186: @1262490
     /* 1262490 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262574), // Rule ID 8252 //
     /* 1262495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262573 */     // GIR_Coverage, 8252,
     /* 1262573 */     GIR_EraseRootFromParent_Done,
     /* 1262574 */   // Label 18187: @1262574
     /* 1262574 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262658), // Rule ID 8253 //
     /* 1262579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262657 */     // GIR_Coverage, 8253,
     /* 1262657 */     GIR_EraseRootFromParent_Done,
     /* 1262658 */   // Label 18188: @1262658
     /* 1262658 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262742), // Rule ID 8256 //
     /* 1262663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262741 */     // GIR_Coverage, 8256,
     /* 1262741 */     GIR_EraseRootFromParent_Done,
     /* 1262742 */   // Label 18189: @1262742
     /* 1262742 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262826), // Rule ID 8257 //
     /* 1262747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262800 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262825 */     // GIR_Coverage, 8257,
     /* 1262825 */     GIR_EraseRootFromParent_Done,
     /* 1262826 */   // Label 18190: @1262826
     /* 1262826 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262910), // Rule ID 8260 //
     /* 1262831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262909 */     // GIR_Coverage, 8260,
     /* 1262909 */     GIR_EraseRootFromParent_Done,
     /* 1262910 */   // Label 18191: @1262910
     /* 1262910 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1262994), // Rule ID 8261 //
     /* 1262915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262968 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262993 */     // GIR_Coverage, 8261,
     /* 1262993 */     GIR_EraseRootFromParent_Done,
     /* 1262994 */   // Label 18192: @1262994
     /* 1262994 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1263078), // Rule ID 8264 //
     /* 1262999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1263019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263077 */     // GIR_Coverage, 8264,
     /* 1263077 */     GIR_EraseRootFromParent_Done,
     /* 1263078 */   // Label 18193: @1263078
     /* 1263078 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263162), // Rule ID 8265 //
     /* 1263083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1263103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263161 */     // GIR_Coverage, 8265,
     /* 1263161 */     GIR_EraseRootFromParent_Done,
     /* 1263162 */   // Label 18194: @1263162
     /* 1263162 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263246), // Rule ID 8268 //
     /* 1263167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1263187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263245 */     // GIR_Coverage, 8268,
     /* 1263245 */     GIR_EraseRootFromParent_Done,
     /* 1263246 */   // Label 18195: @1263246
     /* 1263246 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263330), // Rule ID 8269 //
     /* 1263251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1263271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263329 */     // GIR_Coverage, 8269,
     /* 1263329 */     GIR_EraseRootFromParent_Done,
     /* 1263330 */   // Label 18196: @1263330
     /* 1263330 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263414), // Rule ID 8272 //
     /* 1263335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263388 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263413 */     // GIR_Coverage, 8272,
     /* 1263413 */     GIR_EraseRootFromParent_Done,
     /* 1263414 */   // Label 18197: @1263414
     /* 1263414 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263498), // Rule ID 8273 //
     /* 1263419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263472 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263497 */     // GIR_Coverage, 8273,
     /* 1263497 */     GIR_EraseRootFromParent_Done,
     /* 1263498 */   // Label 18198: @1263498
     /* 1263498 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263582), // Rule ID 8276 //
     /* 1263503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263581 */     // GIR_Coverage, 8276,
     /* 1263581 */     GIR_EraseRootFromParent_Done,
     /* 1263582 */   // Label 18199: @1263582
     /* 1263582 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263666), // Rule ID 8277 //
     /* 1263587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263665 */     // GIR_Coverage, 8277,
     /* 1263665 */     GIR_EraseRootFromParent_Done,
     /* 1263666 */   // Label 18200: @1263666
     /* 1263666 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263750), // Rule ID 8280 //
     /* 1263671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263749 */     // GIR_Coverage, 8280,
     /* 1263749 */     GIR_EraseRootFromParent_Done,
     /* 1263750 */   // Label 18201: @1263750
     /* 1263750 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263834), // Rule ID 8281 //
     /* 1263755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263833 */     // GIR_Coverage, 8281,
     /* 1263833 */     GIR_EraseRootFromParent_Done,
     /* 1263834 */   // Label 18202: @1263834
     /* 1263834 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263918), // Rule ID 8284 //
     /* 1263839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263917 */     // GIR_Coverage, 8284,
     /* 1263917 */     GIR_EraseRootFromParent_Done,
     /* 1263918 */   // Label 18203: @1263918
     /* 1263918 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1264002), // Rule ID 8285 //
     /* 1263923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264001 */     // GIR_Coverage, 8285,
     /* 1264001 */     GIR_EraseRootFromParent_Done,
     /* 1264002 */   // Label 18204: @1264002
     /* 1264002 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1264086), // Rule ID 8288 //
     /* 1264007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1264027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1264063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264085 */     // GIR_Coverage, 8288,
     /* 1264085 */     GIR_EraseRootFromParent_Done,
     /* 1264086 */   // Label 18205: @1264086
     /* 1264086 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264170), // Rule ID 8289 //
     /* 1264091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1264111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1264147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264169 */     // GIR_Coverage, 8289,
     /* 1264169 */     GIR_EraseRootFromParent_Done,
     /* 1264170 */   // Label 18206: @1264170
     /* 1264170 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264254), // Rule ID 8292 //
     /* 1264175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1264195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1264231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264253 */     // GIR_Coverage, 8292,
     /* 1264253 */     GIR_EraseRootFromParent_Done,
     /* 1264254 */   // Label 18207: @1264254
     /* 1264254 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264338), // Rule ID 8293 //
     /* 1264259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1264279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1264315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264337 */     // GIR_Coverage, 8293,
     /* 1264337 */     GIR_EraseRootFromParent_Done,
     /* 1264338 */   // Label 18208: @1264338
     /* 1264338 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264422), // Rule ID 8296 //
     /* 1264343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264421 */     // GIR_Coverage, 8296,
     /* 1264421 */     GIR_EraseRootFromParent_Done,
     /* 1264422 */   // Label 18209: @1264422
     /* 1264422 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264506), // Rule ID 8297 //
     /* 1264427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264505 */     // GIR_Coverage, 8297,
     /* 1264505 */     GIR_EraseRootFromParent_Done,
     /* 1264506 */   // Label 18210: @1264506
     /* 1264506 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264590), // Rule ID 8300 //
     /* 1264511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264589 */     // GIR_Coverage, 8300,
     /* 1264589 */     GIR_EraseRootFromParent_Done,
     /* 1264590 */   // Label 18211: @1264590
     /* 1264590 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264674), // Rule ID 8301 //
     /* 1264595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264673 */     // GIR_Coverage, 8301,
     /* 1264673 */     GIR_EraseRootFromParent_Done,
     /* 1264674 */   // Label 18212: @1264674
     /* 1264674 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264758), // Rule ID 8304 //
     /* 1264679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264757 */     // GIR_Coverage, 8304,
     /* 1264757 */     GIR_EraseRootFromParent_Done,
     /* 1264758 */   // Label 18213: @1264758
     /* 1264758 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264842), // Rule ID 8305 //
     /* 1264763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264841 */     // GIR_Coverage, 8305,
     /* 1264841 */     GIR_EraseRootFromParent_Done,
     /* 1264842 */   // Label 18214: @1264842
     /* 1264842 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264926), // Rule ID 8308 //
     /* 1264847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264925 */     // GIR_Coverage, 8308,
     /* 1264925 */     GIR_EraseRootFromParent_Done,
     /* 1264926 */   // Label 18215: @1264926
     /* 1264926 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1265010), // Rule ID 8309 //
     /* 1264931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265009 */     // GIR_Coverage, 8309,
     /* 1265009 */     GIR_EraseRootFromParent_Done,
     /* 1265010 */   // Label 18216: @1265010
     /* 1265010 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1265094), // Rule ID 8312 //
     /* 1265015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1265071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265093 */     // GIR_Coverage, 8312,
     /* 1265093 */     GIR_EraseRootFromParent_Done,
     /* 1265094 */   // Label 18217: @1265094
     /* 1265094 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265178), // Rule ID 8313 //
     /* 1265099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1265155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265177 */     // GIR_Coverage, 8313,
     /* 1265177 */     GIR_EraseRootFromParent_Done,
     /* 1265178 */   // Label 18218: @1265178
     /* 1265178 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265262), // Rule ID 8316 //
     /* 1265183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265261 */     // GIR_Coverage, 8316,
     /* 1265261 */     GIR_EraseRootFromParent_Done,
     /* 1265262 */   // Label 18219: @1265262
     /* 1265262 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265346), // Rule ID 8317 //
     /* 1265267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265345 */     // GIR_Coverage, 8317,
     /* 1265345 */     GIR_EraseRootFromParent_Done,
     /* 1265346 */   // Label 18220: @1265346
     /* 1265346 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265430), // Rule ID 8320 //
     /* 1265351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265429 */     // GIR_Coverage, 8320,
     /* 1265429 */     GIR_EraseRootFromParent_Done,
     /* 1265430 */   // Label 18221: @1265430
     /* 1265430 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265514), // Rule ID 8321 //
     /* 1265435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265513 */     // GIR_Coverage, 8321,
     /* 1265513 */     GIR_EraseRootFromParent_Done,
     /* 1265514 */   // Label 18222: @1265514
     /* 1265514 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265598), // Rule ID 8324 //
     /* 1265519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265597 */     // GIR_Coverage, 8324,
     /* 1265597 */     GIR_EraseRootFromParent_Done,
     /* 1265598 */   // Label 18223: @1265598
     /* 1265598 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265682), // Rule ID 8325 //
     /* 1265603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265681 */     // GIR_Coverage, 8325,
     /* 1265681 */     GIR_EraseRootFromParent_Done,
     /* 1265682 */   // Label 18224: @1265682
     /* 1265682 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265766), // Rule ID 8328 //
     /* 1265687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265765 */     // GIR_Coverage, 8328,
     /* 1265765 */     GIR_EraseRootFromParent_Done,
     /* 1265766 */   // Label 18225: @1265766
     /* 1265766 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265850), // Rule ID 8329 //
     /* 1265771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265849 */     // GIR_Coverage, 8329,
     /* 1265849 */     GIR_EraseRootFromParent_Done,
     /* 1265850 */   // Label 18226: @1265850
     /* 1265850 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265934), // Rule ID 8332 //
     /* 1265855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265933 */     // GIR_Coverage, 8332,
     /* 1265933 */     GIR_EraseRootFromParent_Done,
     /* 1265934 */   // Label 18227: @1265934
     /* 1265934 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1266018), // Rule ID 8333 //
     /* 1265939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266017 */     // GIR_Coverage, 8333,
     /* 1266017 */     GIR_EraseRootFromParent_Done,
     /* 1266018 */   // Label 18228: @1266018
     /* 1266018 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266102), // Rule ID 8336 //
     /* 1266023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1266079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266101 */     // GIR_Coverage, 8336,
     /* 1266101 */     GIR_EraseRootFromParent_Done,
     /* 1266102 */   // Label 18229: @1266102
     /* 1266102 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266186), // Rule ID 8337 //
     /* 1266107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1266163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266185 */     // GIR_Coverage, 8337,
     /* 1266185 */     GIR_EraseRootFromParent_Done,
     /* 1266186 */   // Label 18230: @1266186
     /* 1266186 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266270), // Rule ID 8340 //
     /* 1266191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266244 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266269 */     // GIR_Coverage, 8340,
     /* 1266269 */     GIR_EraseRootFromParent_Done,
     /* 1266270 */   // Label 18231: @1266270
     /* 1266270 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266354), // Rule ID 8341 //
     /* 1266275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266353 */     // GIR_Coverage, 8341,
     /* 1266353 */     GIR_EraseRootFromParent_Done,
     /* 1266354 */   // Label 18232: @1266354
     /* 1266354 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266438), // Rule ID 8344 //
     /* 1266359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266412 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266437 */     // GIR_Coverage, 8344,
     /* 1266437 */     GIR_EraseRootFromParent_Done,
     /* 1266438 */   // Label 18233: @1266438
     /* 1266438 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266522), // Rule ID 8345 //
     /* 1266443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266496 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266521 */     // GIR_Coverage, 8345,
     /* 1266521 */     GIR_EraseRootFromParent_Done,
     /* 1266522 */   // Label 18234: @1266522
     /* 1266522 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266606), // Rule ID 8348 //
     /* 1266527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266580 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266605 */     // GIR_Coverage, 8348,
     /* 1266605 */     GIR_EraseRootFromParent_Done,
     /* 1266606 */   // Label 18235: @1266606
     /* 1266606 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266690), // Rule ID 8349 //
     /* 1266611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266664 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266689 */     // GIR_Coverage, 8349,
     /* 1266689 */     GIR_EraseRootFromParent_Done,
     /* 1266690 */   // Label 18236: @1266690
     /* 1266690 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266774), // Rule ID 8352 //
     /* 1266695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266773 */     // GIR_Coverage, 8352,
     /* 1266773 */     GIR_EraseRootFromParent_Done,
     /* 1266774 */   // Label 18237: @1266774
     /* 1266774 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266858), // Rule ID 8353 //
     /* 1266779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266857 */     // GIR_Coverage, 8353,
     /* 1266857 */     GIR_EraseRootFromParent_Done,
     /* 1266858 */   // Label 18238: @1266858
     /* 1266858 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266942), // Rule ID 8356 //
     /* 1266863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266941 */     // GIR_Coverage, 8356,
     /* 1266941 */     GIR_EraseRootFromParent_Done,
     /* 1266942 */   // Label 18239: @1266942
     /* 1266942 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1267026), // Rule ID 8357 //
     /* 1266947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267025 */     // GIR_Coverage, 8357,
     /* 1267025 */     GIR_EraseRootFromParent_Done,
     /* 1267026 */   // Label 18240: @1267026
     /* 1267026 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267110), // Rule ID 8360 //
     /* 1267031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267084 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267109 */     // GIR_Coverage, 8360,
     /* 1267109 */     GIR_EraseRootFromParent_Done,
     /* 1267110 */   // Label 18241: @1267110
     /* 1267110 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267194), // Rule ID 8361 //
     /* 1267115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267193 */     // GIR_Coverage, 8361,
     /* 1267193 */     GIR_EraseRootFromParent_Done,
     /* 1267194 */   // Label 18242: @1267194
     /* 1267194 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267278), // Rule ID 8364 //
     /* 1267199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267277 */     // GIR_Coverage, 8364,
     /* 1267277 */     GIR_EraseRootFromParent_Done,
     /* 1267278 */   // Label 18243: @1267278
     /* 1267278 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267362), // Rule ID 8365 //
     /* 1267283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267361 */     // GIR_Coverage, 8365,
     /* 1267361 */     GIR_EraseRootFromParent_Done,
     /* 1267362 */   // Label 18244: @1267362
     /* 1267362 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267446), // Rule ID 8368 //
     /* 1267367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267445 */     // GIR_Coverage, 8368,
     /* 1267445 */     GIR_EraseRootFromParent_Done,
     /* 1267446 */   // Label 18245: @1267446
     /* 1267446 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267530), // Rule ID 8369 //
     /* 1267451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267529 */     // GIR_Coverage, 8369,
     /* 1267529 */     GIR_EraseRootFromParent_Done,
     /* 1267530 */   // Label 18246: @1267530
     /* 1267530 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267614), // Rule ID 8372 //
     /* 1267535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267613 */     // GIR_Coverage, 8372,
     /* 1267613 */     GIR_EraseRootFromParent_Done,
     /* 1267614 */   // Label 18247: @1267614
     /* 1267614 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267698), // Rule ID 8373 //
     /* 1267619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267697 */     // GIR_Coverage, 8373,
     /* 1267697 */     GIR_EraseRootFromParent_Done,
     /* 1267698 */   // Label 18248: @1267698
     /* 1267698 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267782), // Rule ID 8376 //
     /* 1267703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267781 */     // GIR_Coverage, 8376,
     /* 1267781 */     GIR_EraseRootFromParent_Done,
     /* 1267782 */   // Label 18249: @1267782
     /* 1267782 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267866), // Rule ID 8377 //
     /* 1267787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267865 */     // GIR_Coverage, 8377,
     /* 1267865 */     GIR_EraseRootFromParent_Done,
     /* 1267866 */   // Label 18250: @1267866
     /* 1267866 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267950), // Rule ID 8380 //
     /* 1267871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267949 */     // GIR_Coverage, 8380,
     /* 1267949 */     GIR_EraseRootFromParent_Done,
     /* 1267950 */   // Label 18251: @1267950
     /* 1267950 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1268034), // Rule ID 8381 //
     /* 1267955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1268011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268033 */     // GIR_Coverage, 8381,
     /* 1268033 */     GIR_EraseRootFromParent_Done,
     /* 1268034 */   // Label 18252: @1268034
     /* 1268034 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268118), // Rule ID 8384 //
     /* 1268039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1268095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268117 */     // GIR_Coverage, 8384,
     /* 1268117 */     GIR_EraseRootFromParent_Done,
     /* 1268118 */   // Label 18253: @1268118
     /* 1268118 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268202), // Rule ID 8385 //
     /* 1268123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1268179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268201 */     // GIR_Coverage, 8385,
     /* 1268201 */     GIR_EraseRootFromParent_Done,
     /* 1268202 */   // Label 18254: @1268202
     /* 1268202 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268286), // Rule ID 8388 //
     /* 1268207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1268227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1268263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268285 */     // GIR_Coverage, 8388,
     /* 1268285 */     GIR_EraseRootFromParent_Done,
     /* 1268286 */   // Label 18255: @1268286
     /* 1268286 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268370), // Rule ID 8389 //
     /* 1268291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1268311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1268347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268369 */     // GIR_Coverage, 8389,
     /* 1268369 */     GIR_EraseRootFromParent_Done,
     /* 1268370 */   // Label 18256: @1268370
     /* 1268370 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268454), // Rule ID 8392 //
     /* 1268375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268453 */     // GIR_Coverage, 8392,
     /* 1268453 */     GIR_EraseRootFromParent_Done,
     /* 1268454 */   // Label 18257: @1268454
     /* 1268454 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268538), // Rule ID 8393 //
     /* 1268459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268537 */     // GIR_Coverage, 8393,
     /* 1268537 */     GIR_EraseRootFromParent_Done,
     /* 1268538 */   // Label 18258: @1268538
     /* 1268538 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268622), // Rule ID 8396 //
     /* 1268543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268621 */     // GIR_Coverage, 8396,
     /* 1268621 */     GIR_EraseRootFromParent_Done,
     /* 1268622 */   // Label 18259: @1268622
     /* 1268622 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268706), // Rule ID 8397 //
     /* 1268627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268705 */     // GIR_Coverage, 8397,
     /* 1268705 */     GIR_EraseRootFromParent_Done,
     /* 1268706 */   // Label 18260: @1268706
     /* 1268706 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268790), // Rule ID 8400 //
     /* 1268711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268789 */     // GIR_Coverage, 8400,
     /* 1268789 */     GIR_EraseRootFromParent_Done,
     /* 1268790 */   // Label 18261: @1268790
     /* 1268790 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268874), // Rule ID 8401 //
     /* 1268795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268873 */     // GIR_Coverage, 8401,
     /* 1268873 */     GIR_EraseRootFromParent_Done,
     /* 1268874 */   // Label 18262: @1268874
     /* 1268874 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268958), // Rule ID 8404 //
     /* 1268879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268957 */     // GIR_Coverage, 8404,
     /* 1268957 */     GIR_EraseRootFromParent_Done,
     /* 1268958 */   // Label 18263: @1268958
     /* 1268958 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1269042), // Rule ID 8405 //
     /* 1268963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269041 */     // GIR_Coverage, 8405,
     /* 1269041 */     GIR_EraseRootFromParent_Done,
     /* 1269042 */   // Label 18264: @1269042
     /* 1269042 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269126), // Rule ID 8408 //
     /* 1269047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1269067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269125 */     // GIR_Coverage, 8408,
     /* 1269125 */     GIR_EraseRootFromParent_Done,
     /* 1269126 */   // Label 18265: @1269126
     /* 1269126 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269210), // Rule ID 8409 //
     /* 1269131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1269151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1269187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269209 */     // GIR_Coverage, 8409,
     /* 1269209 */     GIR_EraseRootFromParent_Done,
     /* 1269210 */   // Label 18266: @1269210
     /* 1269210 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269294), // Rule ID 8412 //
     /* 1269215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269293 */     // GIR_Coverage, 8412,
     /* 1269293 */     GIR_EraseRootFromParent_Done,
     /* 1269294 */   // Label 18267: @1269294
     /* 1269294 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269378), // Rule ID 8413 //
     /* 1269299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269377 */     // GIR_Coverage, 8413,
     /* 1269377 */     GIR_EraseRootFromParent_Done,
     /* 1269378 */   // Label 18268: @1269378
     /* 1269378 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269462), // Rule ID 8416 //
     /* 1269383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269461 */     // GIR_Coverage, 8416,
     /* 1269461 */     GIR_EraseRootFromParent_Done,
     /* 1269462 */   // Label 18269: @1269462
     /* 1269462 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269546), // Rule ID 8417 //
     /* 1269467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269545 */     // GIR_Coverage, 8417,
     /* 1269545 */     GIR_EraseRootFromParent_Done,
     /* 1269546 */   // Label 18270: @1269546
     /* 1269546 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269630), // Rule ID 8420 //
     /* 1269551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269629 */     // GIR_Coverage, 8420,
     /* 1269629 */     GIR_EraseRootFromParent_Done,
     /* 1269630 */   // Label 18271: @1269630
     /* 1269630 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269714), // Rule ID 8421 //
     /* 1269635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269713 */     // GIR_Coverage, 8421,
     /* 1269713 */     GIR_EraseRootFromParent_Done,
     /* 1269714 */   // Label 18272: @1269714
     /* 1269714 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269798), // Rule ID 8424 //
     /* 1269719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269797 */     // GIR_Coverage, 8424,
     /* 1269797 */     GIR_EraseRootFromParent_Done,
     /* 1269798 */   // Label 18273: @1269798
     /* 1269798 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269882), // Rule ID 8425 //
     /* 1269803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269881 */     // GIR_Coverage, 8425,
     /* 1269881 */     GIR_EraseRootFromParent_Done,
     /* 1269882 */   // Label 18274: @1269882
     /* 1269882 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269966), // Rule ID 8428 //
     /* 1269887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269940 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269965 */     // GIR_Coverage, 8428,
     /* 1269965 */     GIR_EraseRootFromParent_Done,
     /* 1269966 */   // Label 18275: @1269966
     /* 1269966 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1270050), // Rule ID 8429 //
     /* 1269971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270049 */     // GIR_Coverage, 8429,
     /* 1270049 */     GIR_EraseRootFromParent_Done,
     /* 1270050 */   // Label 18276: @1270050
     /* 1270050 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270134), // Rule ID 8432 //
     /* 1270055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1270075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270108 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270133 */     // GIR_Coverage, 8432,
     /* 1270133 */     GIR_EraseRootFromParent_Done,
     /* 1270134 */   // Label 18277: @1270134
     /* 1270134 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270218), // Rule ID 8433 //
     /* 1270139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1270159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270217 */     // GIR_Coverage, 8433,
     /* 1270217 */     GIR_EraseRootFromParent_Done,
     /* 1270218 */   // Label 18278: @1270218
     /* 1270218 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270302), // Rule ID 8436 //
     /* 1270223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1270243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270276 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270301 */     // GIR_Coverage, 8436,
     /* 1270301 */     GIR_EraseRootFromParent_Done,
     /* 1270302 */   // Label 18279: @1270302
     /* 1270302 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270386), // Rule ID 8437 //
     /* 1270307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1270327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270360 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270385 */     // GIR_Coverage, 8437,
     /* 1270385 */     GIR_EraseRootFromParent_Done,
     /* 1270386 */   // Label 18280: @1270386
     /* 1270386 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270470), // Rule ID 8440 //
     /* 1270391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270469 */     // GIR_Coverage, 8440,
     /* 1270469 */     GIR_EraseRootFromParent_Done,
     /* 1270470 */   // Label 18281: @1270470
     /* 1270470 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270554), // Rule ID 8441 //
     /* 1270475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270553 */     // GIR_Coverage, 8441,
     /* 1270553 */     GIR_EraseRootFromParent_Done,
     /* 1270554 */   // Label 18282: @1270554
     /* 1270554 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270638), // Rule ID 8444 //
     /* 1270559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270637 */     // GIR_Coverage, 8444,
     /* 1270637 */     GIR_EraseRootFromParent_Done,
     /* 1270638 */   // Label 18283: @1270638
     /* 1270638 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270722), // Rule ID 8445 //
     /* 1270643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270696 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270721 */     // GIR_Coverage, 8445,
     /* 1270721 */     GIR_EraseRootFromParent_Done,
     /* 1270722 */   // Label 18284: @1270722
     /* 1270722 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270806), // Rule ID 8448 //
     /* 1270727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270780 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270805 */     // GIR_Coverage, 8448,
     /* 1270805 */     GIR_EraseRootFromParent_Done,
     /* 1270806 */   // Label 18285: @1270806
     /* 1270806 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270890), // Rule ID 8449 //
     /* 1270811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270864 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270889 */     // GIR_Coverage, 8449,
     /* 1270889 */     GIR_EraseRootFromParent_Done,
     /* 1270890 */   // Label 18286: @1270890
     /* 1270890 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270974), // Rule ID 8452 //
     /* 1270895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270973 */     // GIR_Coverage, 8452,
     /* 1270973 */     GIR_EraseRootFromParent_Done,
     /* 1270974 */   // Label 18287: @1270974
     /* 1270974 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1271058), // Rule ID 8453 //
     /* 1270979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271057 */     // GIR_Coverage, 8453,
     /* 1271057 */     GIR_EraseRootFromParent_Done,
     /* 1271058 */   // Label 18288: @1271058
     /* 1271058 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271142), // Rule ID 8456 //
     /* 1271063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1271083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271141 */     // GIR_Coverage, 8456,
     /* 1271141 */     GIR_EraseRootFromParent_Done,
     /* 1271142 */   // Label 18289: @1271142
     /* 1271142 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271226), // Rule ID 8457 //
     /* 1271147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1271167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271225 */     // GIR_Coverage, 8457,
     /* 1271225 */     GIR_EraseRootFromParent_Done,
     /* 1271226 */   // Label 18290: @1271226
     /* 1271226 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271310), // Rule ID 8460 //
     /* 1271231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1271251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271309 */     // GIR_Coverage, 8460,
     /* 1271309 */     GIR_EraseRootFromParent_Done,
     /* 1271310 */   // Label 18291: @1271310
     /* 1271310 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271394), // Rule ID 8461 //
     /* 1271315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1271335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271393 */     // GIR_Coverage, 8461,
     /* 1271393 */     GIR_EraseRootFromParent_Done,
     /* 1271394 */   // Label 18292: @1271394
     /* 1271394 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271478), // Rule ID 8464 //
     /* 1271399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271477 */     // GIR_Coverage, 8464,
     /* 1271477 */     GIR_EraseRootFromParent_Done,
     /* 1271478 */   // Label 18293: @1271478
     /* 1271478 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271562), // Rule ID 8465 //
     /* 1271483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271561 */     // GIR_Coverage, 8465,
     /* 1271561 */     GIR_EraseRootFromParent_Done,
     /* 1271562 */   // Label 18294: @1271562
     /* 1271562 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271646), // Rule ID 8468 //
     /* 1271567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271645 */     // GIR_Coverage, 8468,
     /* 1271645 */     GIR_EraseRootFromParent_Done,
     /* 1271646 */   // Label 18295: @1271646
     /* 1271646 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271730), // Rule ID 8469 //
     /* 1271651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271729 */     // GIR_Coverage, 8469,
     /* 1271729 */     GIR_EraseRootFromParent_Done,
     /* 1271730 */   // Label 18296: @1271730
     /* 1271730 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271814), // Rule ID 8472 //
     /* 1271735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271813 */     // GIR_Coverage, 8472,
     /* 1271813 */     GIR_EraseRootFromParent_Done,
     /* 1271814 */   // Label 18297: @1271814
     /* 1271814 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271898), // Rule ID 8473 //
     /* 1271819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271897 */     // GIR_Coverage, 8473,
     /* 1271897 */     GIR_EraseRootFromParent_Done,
     /* 1271898 */   // Label 18298: @1271898
     /* 1271898 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271982), // Rule ID 8476 //
     /* 1271903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271981 */     // GIR_Coverage, 8476,
     /* 1271981 */     GIR_EraseRootFromParent_Done,
     /* 1271982 */   // Label 18299: @1271982
     /* 1271982 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1272066), // Rule ID 8477 //
     /* 1271987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1272004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1272043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272065 */     // GIR_Coverage, 8477,
     /* 1272065 */     GIR_EraseRootFromParent_Done,
     /* 1272066 */   // Label 18300: @1272066
     /* 1272066 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272150), // Rule ID 8480 //
     /* 1272071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272149 */     // GIR_Coverage, 8480,
     /* 1272149 */     GIR_EraseRootFromParent_Done,
     /* 1272150 */   // Label 18301: @1272150
     /* 1272150 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272234), // Rule ID 8481 //
     /* 1272155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272233 */     // GIR_Coverage, 8481,
     /* 1272233 */     GIR_EraseRootFromParent_Done,
     /* 1272234 */   // Label 18302: @1272234
     /* 1272234 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272318), // Rule ID 8484 //
     /* 1272239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272317 */     // GIR_Coverage, 8484,
     /* 1272317 */     GIR_EraseRootFromParent_Done,
     /* 1272318 */   // Label 18303: @1272318
     /* 1272318 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272402), // Rule ID 8485 //
     /* 1272323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272401 */     // GIR_Coverage, 8485,
     /* 1272401 */     GIR_EraseRootFromParent_Done,
     /* 1272402 */   // Label 18304: @1272402
     /* 1272402 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272486), // Rule ID 8488 //
     /* 1272407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272485 */     // GIR_Coverage, 8488,
     /* 1272485 */     GIR_EraseRootFromParent_Done,
     /* 1272486 */   // Label 18305: @1272486
     /* 1272486 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272570), // Rule ID 8489 //
     /* 1272491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272569 */     // GIR_Coverage, 8489,
     /* 1272569 */     GIR_EraseRootFromParent_Done,
     /* 1272570 */   // Label 18306: @1272570
     /* 1272570 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272654), // Rule ID 8492 //
     /* 1272575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272653 */     // GIR_Coverage, 8492,
     /* 1272653 */     GIR_EraseRootFromParent_Done,
     /* 1272654 */   // Label 18307: @1272654
     /* 1272654 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272738), // Rule ID 8493 //
     /* 1272659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272737 */     // GIR_Coverage, 8493,
     /* 1272737 */     GIR_EraseRootFromParent_Done,
     /* 1272738 */   // Label 18308: @1272738
     /* 1272738 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272822), // Rule ID 8496 //
     /* 1272743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272821 */     // GIR_Coverage, 8496,
     /* 1272821 */     GIR_EraseRootFromParent_Done,
     /* 1272822 */   // Label 18309: @1272822
     /* 1272822 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272906), // Rule ID 8497 //
     /* 1272827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272905 */     // GIR_Coverage, 8497,
     /* 1272905 */     GIR_EraseRootFromParent_Done,
     /* 1272906 */   // Label 18310: @1272906
     /* 1272906 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272990), // Rule ID 8500 //
     /* 1272911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272989 */     // GIR_Coverage, 8500,
     /* 1272989 */     GIR_EraseRootFromParent_Done,
     /* 1272990 */   // Label 18311: @1272990
     /* 1272990 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1273074), // Rule ID 8501 //
     /* 1272995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1273012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273073 */     // GIR_Coverage, 8501,
     /* 1273073 */     GIR_EraseRootFromParent_Done,
     /* 1273074 */   // Label 18312: @1273074
     /* 1273074 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273158), // Rule ID 8504 //
     /* 1273079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273157 */     // GIR_Coverage, 8504,
     /* 1273157 */     GIR_EraseRootFromParent_Done,
     /* 1273158 */   // Label 18313: @1273158
     /* 1273158 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273242), // Rule ID 8505 //
     /* 1273163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273241 */     // GIR_Coverage, 8505,
     /* 1273241 */     GIR_EraseRootFromParent_Done,
     /* 1273242 */   // Label 18314: @1273242
     /* 1273242 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273326), // Rule ID 8508 //
     /* 1273247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273325 */     // GIR_Coverage, 8508,
     /* 1273325 */     GIR_EraseRootFromParent_Done,
     /* 1273326 */   // Label 18315: @1273326
     /* 1273326 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273410), // Rule ID 8509 //
     /* 1273331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273409 */     // GIR_Coverage, 8509,
     /* 1273409 */     GIR_EraseRootFromParent_Done,
     /* 1273410 */   // Label 18316: @1273410
     /* 1273410 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273494), // Rule ID 8512 //
     /* 1273415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273493 */     // GIR_Coverage, 8512,
     /* 1273493 */     GIR_EraseRootFromParent_Done,
     /* 1273494 */   // Label 18317: @1273494
     /* 1273494 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273578), // Rule ID 8513 //
     /* 1273499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273577 */     // GIR_Coverage, 8513,
     /* 1273577 */     GIR_EraseRootFromParent_Done,
     /* 1273578 */   // Label 18318: @1273578
     /* 1273578 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273662), // Rule ID 8516 //
     /* 1273583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273661 */     // GIR_Coverage, 8516,
     /* 1273661 */     GIR_EraseRootFromParent_Done,
     /* 1273662 */   // Label 18319: @1273662
     /* 1273662 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273746), // Rule ID 8517 //
     /* 1273667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273745 */     // GIR_Coverage, 8517,
     /* 1273745 */     GIR_EraseRootFromParent_Done,
     /* 1273746 */   // Label 18320: @1273746
     /* 1273746 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273830), // Rule ID 8520 //
     /* 1273751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273829 */     // GIR_Coverage, 8520,
     /* 1273829 */     GIR_EraseRootFromParent_Done,
     /* 1273830 */   // Label 18321: @1273830
     /* 1273830 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273914), // Rule ID 8521 //
     /* 1273835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273913 */     // GIR_Coverage, 8521,
     /* 1273913 */     GIR_EraseRootFromParent_Done,
     /* 1273914 */   // Label 18322: @1273914
     /* 1273914 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1273998), // Rule ID 8524 //
     /* 1273919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273972 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273997 */     // GIR_Coverage, 8524,
     /* 1273997 */     GIR_EraseRootFromParent_Done,
     /* 1273998 */   // Label 18323: @1273998
     /* 1273998 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1274082), // Rule ID 8525 //
     /* 1274003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1274014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1274017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1274020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1274026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274056 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274081 */     // GIR_Coverage, 8525,
     /* 1274081 */     GIR_EraseRootFromParent_Done,
     /* 1274082 */   // Label 18324: @1274082
     /* 1274082 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274166), // Rule ID 8528 //
     /* 1274087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274165 */     // GIR_Coverage, 8528,
     /* 1274165 */     GIR_EraseRootFromParent_Done,
     /* 1274166 */   // Label 18325: @1274166
     /* 1274166 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274250), // Rule ID 8529 //
     /* 1274171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274249 */     // GIR_Coverage, 8529,
     /* 1274249 */     GIR_EraseRootFromParent_Done,
     /* 1274250 */   // Label 18326: @1274250
     /* 1274250 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274334), // Rule ID 8532 //
     /* 1274255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274333 */     // GIR_Coverage, 8532,
     /* 1274333 */     GIR_EraseRootFromParent_Done,
     /* 1274334 */   // Label 18327: @1274334
     /* 1274334 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274418), // Rule ID 8533 //
     /* 1274339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274417 */     // GIR_Coverage, 8533,
     /* 1274417 */     GIR_EraseRootFromParent_Done,
     /* 1274418 */   // Label 18328: @1274418
     /* 1274418 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274502), // Rule ID 8536 //
     /* 1274423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274476 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274501 */     // GIR_Coverage, 8536,
     /* 1274501 */     GIR_EraseRootFromParent_Done,
     /* 1274502 */   // Label 18329: @1274502
     /* 1274502 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274586), // Rule ID 8537 //
     /* 1274507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274585 */     // GIR_Coverage, 8537,
     /* 1274585 */     GIR_EraseRootFromParent_Done,
     /* 1274586 */   // Label 18330: @1274586
     /* 1274586 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274670), // Rule ID 8540 //
     /* 1274591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274669 */     // GIR_Coverage, 8540,
     /* 1274669 */     GIR_EraseRootFromParent_Done,
     /* 1274670 */   // Label 18331: @1274670
     /* 1274670 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274754), // Rule ID 8541 //
     /* 1274675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274753 */     // GIR_Coverage, 8541,
     /* 1274753 */     GIR_EraseRootFromParent_Done,
     /* 1274754 */   // Label 18332: @1274754
     /* 1274754 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274838), // Rule ID 8544 //
     /* 1274759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274837 */     // GIR_Coverage, 8544,
     /* 1274837 */     GIR_EraseRootFromParent_Done,
     /* 1274838 */   // Label 18333: @1274838
     /* 1274838 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274922), // Rule ID 8545 //
     /* 1274843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274921 */     // GIR_Coverage, 8545,
     /* 1274921 */     GIR_EraseRootFromParent_Done,
     /* 1274922 */   // Label 18334: @1274922
     /* 1274922 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1275006), // Rule ID 8548 //
     /* 1274927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275005 */     // GIR_Coverage, 8548,
     /* 1275005 */     GIR_EraseRootFromParent_Done,
     /* 1275006 */   // Label 18335: @1275006
     /* 1275006 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1275090), // Rule ID 8549 //
     /* 1275011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275089 */     // GIR_Coverage, 8549,
     /* 1275089 */     GIR_EraseRootFromParent_Done,
     /* 1275090 */   // Label 18336: @1275090
     /* 1275090 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275174), // Rule ID 8552 //
     /* 1275095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1275151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275173 */     // GIR_Coverage, 8552,
     /* 1275173 */     GIR_EraseRootFromParent_Done,
     /* 1275174 */   // Label 18337: @1275174
     /* 1275174 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275258), // Rule ID 8553 //
     /* 1275179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1275235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275257 */     // GIR_Coverage, 8553,
     /* 1275257 */     GIR_EraseRootFromParent_Done,
     /* 1275258 */   // Label 18338: @1275258
     /* 1275258 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275342), // Rule ID 8556 //
     /* 1275263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1275319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275341 */     // GIR_Coverage, 8556,
     /* 1275341 */     GIR_EraseRootFromParent_Done,
     /* 1275342 */   // Label 18339: @1275342
     /* 1275342 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275426), // Rule ID 8557 //
     /* 1275347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1275403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275425 */     // GIR_Coverage, 8557,
     /* 1275425 */     GIR_EraseRootFromParent_Done,
     /* 1275426 */   // Label 18340: @1275426
     /* 1275426 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275510), // Rule ID 8560 //
     /* 1275431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275509 */     // GIR_Coverage, 8560,
     /* 1275509 */     GIR_EraseRootFromParent_Done,
     /* 1275510 */   // Label 18341: @1275510
     /* 1275510 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275594), // Rule ID 8561 //
     /* 1275515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275593 */     // GIR_Coverage, 8561,
     /* 1275593 */     GIR_EraseRootFromParent_Done,
     /* 1275594 */   // Label 18342: @1275594
     /* 1275594 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275678), // Rule ID 8564 //
     /* 1275599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275677 */     // GIR_Coverage, 8564,
     /* 1275677 */     GIR_EraseRootFromParent_Done,
     /* 1275678 */   // Label 18343: @1275678
     /* 1275678 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275762), // Rule ID 8565 //
     /* 1275683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275761 */     // GIR_Coverage, 8565,
     /* 1275761 */     GIR_EraseRootFromParent_Done,
     /* 1275762 */   // Label 18344: @1275762
     /* 1275762 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275846), // Rule ID 8568 //
     /* 1275767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275845 */     // GIR_Coverage, 8568,
     /* 1275845 */     GIR_EraseRootFromParent_Done,
     /* 1275846 */   // Label 18345: @1275846
     /* 1275846 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275930), // Rule ID 8569 //
     /* 1275851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275929 */     // GIR_Coverage, 8569,
     /* 1275929 */     GIR_EraseRootFromParent_Done,
     /* 1275930 */   // Label 18346: @1275930
     /* 1275930 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1276014), // Rule ID 8572 //
     /* 1275935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276013 */     // GIR_Coverage, 8572,
     /* 1276013 */     GIR_EraseRootFromParent_Done,
     /* 1276014 */   // Label 18347: @1276014
     /* 1276014 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276098), // Rule ID 8573 //
     /* 1276019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1276036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1276039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276097 */     // GIR_Coverage, 8573,
     /* 1276097 */     GIR_EraseRootFromParent_Done,
     /* 1276098 */   // Label 18348: @1276098
     /* 1276098 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276182), // Rule ID 8576 //
     /* 1276103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1276123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1276159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276181 */     // GIR_Coverage, 8576,
     /* 1276181 */     GIR_EraseRootFromParent_Done,
     /* 1276182 */   // Label 18349: @1276182
     /* 1276182 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276266), // Rule ID 8577 //
     /* 1276187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1276207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1276243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276265 */     // GIR_Coverage, 8577,
     /* 1276265 */     GIR_EraseRootFromParent_Done,
     /* 1276266 */   // Label 18350: @1276266
     /* 1276266 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276350), // Rule ID 8580 //
     /* 1276271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1276291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276349 */     // GIR_Coverage, 8580,
     /* 1276349 */     GIR_EraseRootFromParent_Done,
     /* 1276350 */   // Label 18351: @1276350
     /* 1276350 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276434), // Rule ID 8581 //
     /* 1276355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1276375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276433 */     // GIR_Coverage, 8581,
     /* 1276433 */     GIR_EraseRootFromParent_Done,
     /* 1276434 */   // Label 18352: @1276434
     /* 1276434 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276518), // Rule ID 8584 //
     /* 1276439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276517 */     // GIR_Coverage, 8584,
     /* 1276517 */     GIR_EraseRootFromParent_Done,
     /* 1276518 */   // Label 18353: @1276518
     /* 1276518 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276602), // Rule ID 8585 //
     /* 1276523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276601 */     // GIR_Coverage, 8585,
     /* 1276601 */     GIR_EraseRootFromParent_Done,
     /* 1276602 */   // Label 18354: @1276602
     /* 1276602 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276686), // Rule ID 8588 //
     /* 1276607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276685 */     // GIR_Coverage, 8588,
     /* 1276685 */     GIR_EraseRootFromParent_Done,
     /* 1276686 */   // Label 18355: @1276686
     /* 1276686 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276770), // Rule ID 8589 //
     /* 1276691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276769 */     // GIR_Coverage, 8589,
     /* 1276769 */     GIR_EraseRootFromParent_Done,
     /* 1276770 */   // Label 18356: @1276770
     /* 1276770 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276854), // Rule ID 8592 //
     /* 1276775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276853 */     // GIR_Coverage, 8592,
     /* 1276853 */     GIR_EraseRootFromParent_Done,
     /* 1276854 */   // Label 18357: @1276854
     /* 1276854 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276938), // Rule ID 8593 //
     /* 1276859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276937 */     // GIR_Coverage, 8593,
     /* 1276937 */     GIR_EraseRootFromParent_Done,
     /* 1276938 */   // Label 18358: @1276938
     /* 1276938 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1277022), // Rule ID 8596 //
     /* 1276943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277021 */     // GIR_Coverage, 8596,
     /* 1277021 */     GIR_EraseRootFromParent_Done,
     /* 1277022 */   // Label 18359: @1277022
     /* 1277022 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277106), // Rule ID 8597 //
     /* 1277027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1277044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277105 */     // GIR_Coverage, 8597,
     /* 1277105 */     GIR_EraseRootFromParent_Done,
     /* 1277106 */   // Label 18360: @1277106
     /* 1277106 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277190), // Rule ID 8600 //
     /* 1277111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1277131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277189 */     // GIR_Coverage, 8600,
     /* 1277189 */     GIR_EraseRootFromParent_Done,
     /* 1277190 */   // Label 18361: @1277190
     /* 1277190 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277274), // Rule ID 8601 //
     /* 1277195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1277215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1277251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277273 */     // GIR_Coverage, 8601,
     /* 1277273 */     GIR_EraseRootFromParent_Done,
     /* 1277274 */   // Label 18362: @1277274
     /* 1277274 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277358), // Rule ID 8604 //
     /* 1277279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1277299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277357 */     // GIR_Coverage, 8604,
     /* 1277357 */     GIR_EraseRootFromParent_Done,
     /* 1277358 */   // Label 18363: @1277358
     /* 1277358 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277442), // Rule ID 8605 //
     /* 1277363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1277383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277441 */     // GIR_Coverage, 8605,
     /* 1277441 */     GIR_EraseRootFromParent_Done,
     /* 1277442 */   // Label 18364: @1277442
     /* 1277442 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277526), // Rule ID 8608 //
     /* 1277447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277500 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277525 */     // GIR_Coverage, 8608,
     /* 1277525 */     GIR_EraseRootFromParent_Done,
     /* 1277526 */   // Label 18365: @1277526
     /* 1277526 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277610), // Rule ID 8609 //
     /* 1277531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277609 */     // GIR_Coverage, 8609,
     /* 1277609 */     GIR_EraseRootFromParent_Done,
     /* 1277610 */   // Label 18366: @1277610
     /* 1277610 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277694), // Rule ID 8612 //
     /* 1277615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277668 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277693 */     // GIR_Coverage, 8612,
     /* 1277693 */     GIR_EraseRootFromParent_Done,
     /* 1277694 */   // Label 18367: @1277694
     /* 1277694 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277778), // Rule ID 8613 //
     /* 1277699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277752 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277777 */     // GIR_Coverage, 8613,
     /* 1277777 */     GIR_EraseRootFromParent_Done,
     /* 1277778 */   // Label 18368: @1277778
     /* 1277778 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277862), // Rule ID 8616 //
     /* 1277783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277861 */     // GIR_Coverage, 8616,
     /* 1277861 */     GIR_EraseRootFromParent_Done,
     /* 1277862 */   // Label 18369: @1277862
     /* 1277862 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277946), // Rule ID 8617 //
     /* 1277867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277945 */     // GIR_Coverage, 8617,
     /* 1277945 */     GIR_EraseRootFromParent_Done,
     /* 1277946 */   // Label 18370: @1277946
     /* 1277946 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1278030), // Rule ID 8620 //
     /* 1277951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278029 */     // GIR_Coverage, 8620,
     /* 1278029 */     GIR_EraseRootFromParent_Done,
     /* 1278030 */   // Label 18371: @1278030
     /* 1278030 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278114), // Rule ID 8621 //
     /* 1278035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1278052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1278055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278113 */     // GIR_Coverage, 8621,
     /* 1278113 */     GIR_EraseRootFromParent_Done,
     /* 1278114 */   // Label 18372: @1278114
     /* 1278114 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278198), // Rule ID 8624 //
     /* 1278119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1278139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278197 */     // GIR_Coverage, 8624,
     /* 1278197 */     GIR_EraseRootFromParent_Done,
     /* 1278198 */   // Label 18373: @1278198
     /* 1278198 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278282), // Rule ID 8625 //
     /* 1278203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1278223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278281 */     // GIR_Coverage, 8625,
     /* 1278281 */     GIR_EraseRootFromParent_Done,
     /* 1278282 */   // Label 18374: @1278282
     /* 1278282 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278366), // Rule ID 8628 //
     /* 1278287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1278307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278365 */     // GIR_Coverage, 8628,
     /* 1278365 */     GIR_EraseRootFromParent_Done,
     /* 1278366 */   // Label 18375: @1278366
     /* 1278366 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278450), // Rule ID 8629 //
     /* 1278371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1278391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278449 */     // GIR_Coverage, 8629,
     /* 1278449 */     GIR_EraseRootFromParent_Done,
     /* 1278450 */   // Label 18376: @1278450
     /* 1278450 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278534), // Rule ID 8632 //
     /* 1278455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278533 */     // GIR_Coverage, 8632,
     /* 1278533 */     GIR_EraseRootFromParent_Done,
     /* 1278534 */   // Label 18377: @1278534
     /* 1278534 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278618), // Rule ID 8633 //
     /* 1278539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278617 */     // GIR_Coverage, 8633,
     /* 1278617 */     GIR_EraseRootFromParent_Done,
     /* 1278618 */   // Label 18378: @1278618
     /* 1278618 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278702), // Rule ID 8636 //
     /* 1278623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278701 */     // GIR_Coverage, 8636,
     /* 1278701 */     GIR_EraseRootFromParent_Done,
     /* 1278702 */   // Label 18379: @1278702
     /* 1278702 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278786), // Rule ID 8637 //
     /* 1278707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278785 */     // GIR_Coverage, 8637,
     /* 1278785 */     GIR_EraseRootFromParent_Done,
     /* 1278786 */   // Label 18380: @1278786
     /* 1278786 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278870), // Rule ID 8640 //
     /* 1278791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278869 */     // GIR_Coverage, 8640,
     /* 1278869 */     GIR_EraseRootFromParent_Done,
     /* 1278870 */   // Label 18381: @1278870
     /* 1278870 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278954), // Rule ID 8641 //
     /* 1278875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278953 */     // GIR_Coverage, 8641,
     /* 1278953 */     GIR_EraseRootFromParent_Done,
     /* 1278954 */   // Label 18382: @1278954
     /* 1278954 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1279038), // Rule ID 8644 //
     /* 1278959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1279015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279037 */     // GIR_Coverage, 8644,
     /* 1279037 */     GIR_EraseRootFromParent_Done,
     /* 1279038 */   // Label 18383: @1279038
     /* 1279038 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279122), // Rule ID 8645 //
     /* 1279043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1279060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1279063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1279099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279121 */     // GIR_Coverage, 8645,
     /* 1279121 */     GIR_EraseRootFromParent_Done,
     /* 1279122 */   // Label 18384: @1279122
     /* 1279122 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279206), // Rule ID 8648 //
     /* 1279127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1279147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1279183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279205 */     // GIR_Coverage, 8648,
     /* 1279205 */     GIR_EraseRootFromParent_Done,
     /* 1279206 */   // Label 18385: @1279206
     /* 1279206 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279290), // Rule ID 8649 //
     /* 1279211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1279231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1279267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279289 */     // GIR_Coverage, 8649,
     /* 1279289 */     GIR_EraseRootFromParent_Done,
     /* 1279290 */   // Label 18386: @1279290
     /* 1279290 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279374), // Rule ID 8652 //
     /* 1279295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279373 */     // GIR_Coverage, 8652,
     /* 1279373 */     GIR_EraseRootFromParent_Done,
     /* 1279374 */   // Label 18387: @1279374
     /* 1279374 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279458), // Rule ID 8653 //
     /* 1279379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279457 */     // GIR_Coverage, 8653,
     /* 1279457 */     GIR_EraseRootFromParent_Done,
     /* 1279458 */   // Label 18388: @1279458
     /* 1279458 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279542), // Rule ID 8656 //
     /* 1279463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279541 */     // GIR_Coverage, 8656,
     /* 1279541 */     GIR_EraseRootFromParent_Done,
     /* 1279542 */   // Label 18389: @1279542
     /* 1279542 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279626), // Rule ID 8657 //
     /* 1279547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279625 */     // GIR_Coverage, 8657,
     /* 1279625 */     GIR_EraseRootFromParent_Done,
     /* 1279626 */   // Label 18390: @1279626
     /* 1279626 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279710), // Rule ID 8660 //
     /* 1279631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279709 */     // GIR_Coverage, 8660,
     /* 1279709 */     GIR_EraseRootFromParent_Done,
     /* 1279710 */   // Label 18391: @1279710
     /* 1279710 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279794), // Rule ID 8661 //
     /* 1279715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279793 */     // GIR_Coverage, 8661,
     /* 1279793 */     GIR_EraseRootFromParent_Done,
     /* 1279794 */   // Label 18392: @1279794
     /* 1279794 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279878), // Rule ID 8664 //
     /* 1279799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279877 */     // GIR_Coverage, 8664,
     /* 1279877 */     GIR_EraseRootFromParent_Done,
     /* 1279878 */   // Label 18393: @1279878
     /* 1279878 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279962), // Rule ID 8665 //
     /* 1279883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279961 */     // GIR_Coverage, 8665,
     /* 1279961 */     GIR_EraseRootFromParent_Done,
     /* 1279962 */   // Label 18394: @1279962
     /* 1279962 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1280046), // Rule ID 8668 //
     /* 1279967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280045 */     // GIR_Coverage, 8668,
     /* 1280045 */     GIR_EraseRootFromParent_Done,
     /* 1280046 */   // Label 18395: @1280046
     /* 1280046 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280130), // Rule ID 8669 //
     /* 1280051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1280068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280129 */     // GIR_Coverage, 8669,
     /* 1280129 */     GIR_EraseRootFromParent_Done,
     /* 1280130 */   // Label 18396: @1280130
     /* 1280130 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280214), // Rule ID 8672 //
     /* 1280135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280213 */     // GIR_Coverage, 8672,
     /* 1280213 */     GIR_EraseRootFromParent_Done,
     /* 1280214 */   // Label 18397: @1280214
     /* 1280214 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280298), // Rule ID 8673 //
     /* 1280219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1280275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280297 */     // GIR_Coverage, 8673,
     /* 1280297 */     GIR_EraseRootFromParent_Done,
     /* 1280298 */   // Label 18398: @1280298
     /* 1280298 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280382), // Rule ID 8676 //
     /* 1280303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280381 */     // GIR_Coverage, 8676,
     /* 1280381 */     GIR_EraseRootFromParent_Done,
     /* 1280382 */   // Label 18399: @1280382
     /* 1280382 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280466), // Rule ID 8677 //
     /* 1280387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280465 */     // GIR_Coverage, 8677,
     /* 1280465 */     GIR_EraseRootFromParent_Done,
     /* 1280466 */   // Label 18400: @1280466
     /* 1280466 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280550), // Rule ID 8680 //
     /* 1280471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280549 */     // GIR_Coverage, 8680,
     /* 1280549 */     GIR_EraseRootFromParent_Done,
     /* 1280550 */   // Label 18401: @1280550
     /* 1280550 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280634), // Rule ID 8681 //
     /* 1280555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280633 */     // GIR_Coverage, 8681,
     /* 1280633 */     GIR_EraseRootFromParent_Done,
     /* 1280634 */   // Label 18402: @1280634
     /* 1280634 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280718), // Rule ID 8684 //
     /* 1280639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280717 */     // GIR_Coverage, 8684,
     /* 1280717 */     GIR_EraseRootFromParent_Done,
     /* 1280718 */   // Label 18403: @1280718
     /* 1280718 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280802), // Rule ID 8685 //
     /* 1280723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280801 */     // GIR_Coverage, 8685,
     /* 1280801 */     GIR_EraseRootFromParent_Done,
     /* 1280802 */   // Label 18404: @1280802
     /* 1280802 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280886), // Rule ID 8688 //
     /* 1280807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280885 */     // GIR_Coverage, 8688,
     /* 1280885 */     GIR_EraseRootFromParent_Done,
     /* 1280886 */   // Label 18405: @1280886
     /* 1280886 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280970), // Rule ID 8689 //
     /* 1280891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280969 */     // GIR_Coverage, 8689,
     /* 1280969 */     GIR_EraseRootFromParent_Done,
     /* 1280970 */   // Label 18406: @1280970
     /* 1280970 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1281054), // Rule ID 8692 //
     /* 1280975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281053 */     // GIR_Coverage, 8692,
     /* 1281053 */     GIR_EraseRootFromParent_Done,
     /* 1281054 */   // Label 18407: @1281054
     /* 1281054 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281138), // Rule ID 8693 //
     /* 1281059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1281076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281137 */     // GIR_Coverage, 8693,
     /* 1281137 */     GIR_EraseRootFromParent_Done,
     /* 1281138 */   // Label 18408: @1281138
     /* 1281138 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281222), // Rule ID 8696 //
     /* 1281143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281221 */     // GIR_Coverage, 8696,
     /* 1281221 */     GIR_EraseRootFromParent_Done,
     /* 1281222 */   // Label 18409: @1281222
     /* 1281222 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281306), // Rule ID 8697 //
     /* 1281227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281305 */     // GIR_Coverage, 8697,
     /* 1281305 */     GIR_EraseRootFromParent_Done,
     /* 1281306 */   // Label 18410: @1281306
     /* 1281306 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281390), // Rule ID 8700 //
     /* 1281311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281364 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281389 */     // GIR_Coverage, 8700,
     /* 1281389 */     GIR_EraseRootFromParent_Done,
     /* 1281390 */   // Label 18411: @1281390
     /* 1281390 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281474), // Rule ID 8701 //
     /* 1281395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281448 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281473 */     // GIR_Coverage, 8701,
     /* 1281473 */     GIR_EraseRootFromParent_Done,
     /* 1281474 */   // Label 18412: @1281474
     /* 1281474 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281558), // Rule ID 8704 //
     /* 1281479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281557 */     // GIR_Coverage, 8704,
     /* 1281557 */     GIR_EraseRootFromParent_Done,
     /* 1281558 */   // Label 18413: @1281558
     /* 1281558 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281642), // Rule ID 8705 //
     /* 1281563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281641 */     // GIR_Coverage, 8705,
     /* 1281641 */     GIR_EraseRootFromParent_Done,
     /* 1281642 */   // Label 18414: @1281642
     /* 1281642 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281726), // Rule ID 8708 //
     /* 1281647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281725 */     // GIR_Coverage, 8708,
     /* 1281725 */     GIR_EraseRootFromParent_Done,
     /* 1281726 */   // Label 18415: @1281726
     /* 1281726 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281810), // Rule ID 8709 //
     /* 1281731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281809 */     // GIR_Coverage, 8709,
     /* 1281809 */     GIR_EraseRootFromParent_Done,
     /* 1281810 */   // Label 18416: @1281810
     /* 1281810 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281894), // Rule ID 8712 //
     /* 1281815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281868 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281893 */     // GIR_Coverage, 8712,
     /* 1281893 */     GIR_EraseRootFromParent_Done,
     /* 1281894 */   // Label 18417: @1281894
     /* 1281894 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281978), // Rule ID 8713 //
     /* 1281899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281977 */     // GIR_Coverage, 8713,
     /* 1281977 */     GIR_EraseRootFromParent_Done,
     /* 1281978 */   // Label 18418: @1281978
     /* 1281978 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1282062), // Rule ID 8716 //
     /* 1281983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282061 */     // GIR_Coverage, 8716,
     /* 1282061 */     GIR_EraseRootFromParent_Done,
     /* 1282062 */   // Label 18419: @1282062
     /* 1282062 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282146), // Rule ID 8717 //
     /* 1282067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282145 */     // GIR_Coverage, 8717,
     /* 1282145 */     GIR_EraseRootFromParent_Done,
     /* 1282146 */   // Label 18420: @1282146
     /* 1282146 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282230), // Rule ID 8720 //
     /* 1282151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282229 */     // GIR_Coverage, 8720,
     /* 1282229 */     GIR_EraseRootFromParent_Done,
     /* 1282230 */   // Label 18421: @1282230
     /* 1282230 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282314), // Rule ID 8721 //
     /* 1282235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282313 */     // GIR_Coverage, 8721,
     /* 1282313 */     GIR_EraseRootFromParent_Done,
     /* 1282314 */   // Label 18422: @1282314
     /* 1282314 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282398), // Rule ID 8724 //
     /* 1282319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282397 */     // GIR_Coverage, 8724,
     /* 1282397 */     GIR_EraseRootFromParent_Done,
     /* 1282398 */   // Label 18423: @1282398
     /* 1282398 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282482), // Rule ID 8725 //
     /* 1282403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282481 */     // GIR_Coverage, 8725,
     /* 1282481 */     GIR_EraseRootFromParent_Done,
     /* 1282482 */   // Label 18424: @1282482
     /* 1282482 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282566), // Rule ID 8728 //
     /* 1282487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282565 */     // GIR_Coverage, 8728,
     /* 1282565 */     GIR_EraseRootFromParent_Done,
     /* 1282566 */   // Label 18425: @1282566
     /* 1282566 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282650), // Rule ID 8729 //
     /* 1282571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282649 */     // GIR_Coverage, 8729,
     /* 1282649 */     GIR_EraseRootFromParent_Done,
     /* 1282650 */   // Label 18426: @1282650
     /* 1282650 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282734), // Rule ID 8732 //
     /* 1282655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282733 */     // GIR_Coverage, 8732,
     /* 1282733 */     GIR_EraseRootFromParent_Done,
     /* 1282734 */   // Label 18427: @1282734
     /* 1282734 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282818), // Rule ID 8733 //
     /* 1282739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282817 */     // GIR_Coverage, 8733,
     /* 1282817 */     GIR_EraseRootFromParent_Done,
     /* 1282818 */   // Label 18428: @1282818
     /* 1282818 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282902), // Rule ID 8736 //
     /* 1282823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282901 */     // GIR_Coverage, 8736,
     /* 1282901 */     GIR_EraseRootFromParent_Done,
     /* 1282902 */   // Label 18429: @1282902
     /* 1282902 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282986), // Rule ID 8737 //
     /* 1282907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282985 */     // GIR_Coverage, 8737,
     /* 1282985 */     GIR_EraseRootFromParent_Done,
     /* 1282986 */   // Label 18430: @1282986
     /* 1282986 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1283070), // Rule ID 8828 //
     /* 1282991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1283011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1283047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283069 */     // GIR_Coverage, 8828,
     /* 1283069 */     GIR_EraseRootFromParent_Done,
     /* 1283070 */   // Label 18431: @1283070
     /* 1283070 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283154), // Rule ID 8829 //
     /* 1283075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1283095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1283131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283153 */     // GIR_Coverage, 8829,
     /* 1283153 */     GIR_EraseRootFromParent_Done,
     /* 1283154 */   // Label 18432: @1283154
     /* 1283154 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283238), // Rule ID 8832 //
     /* 1283159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1283179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283237 */     // GIR_Coverage, 8832,
     /* 1283237 */     GIR_EraseRootFromParent_Done,
     /* 1283238 */   // Label 18433: @1283238
     /* 1283238 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283322), // Rule ID 8833 //
     /* 1283243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1283263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283321 */     // GIR_Coverage, 8833,
     /* 1283321 */     GIR_EraseRootFromParent_Done,
     /* 1283322 */   // Label 18434: @1283322
     /* 1283322 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283406), // Rule ID 8836 //
     /* 1283327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283405 */     // GIR_Coverage, 8836,
     /* 1283405 */     GIR_EraseRootFromParent_Done,
     /* 1283406 */   // Label 18435: @1283406
     /* 1283406 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283490), // Rule ID 8837 //
     /* 1283411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283489 */     // GIR_Coverage, 8837,
     /* 1283489 */     GIR_EraseRootFromParent_Done,
     /* 1283490 */   // Label 18436: @1283490
     /* 1283490 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283574), // Rule ID 8840 //
     /* 1283495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283573 */     // GIR_Coverage, 8840,
     /* 1283573 */     GIR_EraseRootFromParent_Done,
     /* 1283574 */   // Label 18437: @1283574
     /* 1283574 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283658), // Rule ID 8841 //
     /* 1283579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283657 */     // GIR_Coverage, 8841,
     /* 1283657 */     GIR_EraseRootFromParent_Done,
     /* 1283658 */   // Label 18438: @1283658
     /* 1283658 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283742), // Rule ID 8844 //
     /* 1283663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283741 */     // GIR_Coverage, 8844,
     /* 1283741 */     GIR_EraseRootFromParent_Done,
     /* 1283742 */   // Label 18439: @1283742
     /* 1283742 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283826), // Rule ID 8845 //
     /* 1283747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283825 */     // GIR_Coverage, 8845,
     /* 1283825 */     GIR_EraseRootFromParent_Done,
     /* 1283826 */   // Label 18440: @1283826
     /* 1283826 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283910), // Rule ID 8848 //
     /* 1283831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283909 */     // GIR_Coverage, 8848,
     /* 1283909 */     GIR_EraseRootFromParent_Done,
     /* 1283910 */   // Label 18441: @1283910
     /* 1283910 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1283994), // Rule ID 8849 //
     /* 1283915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283993 */     // GIR_Coverage, 8849,
     /* 1283993 */     GIR_EraseRootFromParent_Done,
     /* 1283994 */   // Label 18442: @1283994
     /* 1283994 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1284078), // Rule ID 8852 //
     /* 1283999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284077 */     // GIR_Coverage, 8852,
     /* 1284077 */     GIR_EraseRootFromParent_Done,
     /* 1284078 */   // Label 18443: @1284078
     /* 1284078 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284162), // Rule ID 8853 //
     /* 1284083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284161 */     // GIR_Coverage, 8853,
     /* 1284161 */     GIR_EraseRootFromParent_Done,
     /* 1284162 */   // Label 18444: @1284162
     /* 1284162 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284246), // Rule ID 8856 //
     /* 1284167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284245 */     // GIR_Coverage, 8856,
     /* 1284245 */     GIR_EraseRootFromParent_Done,
     /* 1284246 */   // Label 18445: @1284246
     /* 1284246 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284330), // Rule ID 8857 //
     /* 1284251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284329 */     // GIR_Coverage, 8857,
     /* 1284329 */     GIR_EraseRootFromParent_Done,
     /* 1284330 */   // Label 18446: @1284330
     /* 1284330 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284414), // Rule ID 8860 //
     /* 1284335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284413 */     // GIR_Coverage, 8860,
     /* 1284413 */     GIR_EraseRootFromParent_Done,
     /* 1284414 */   // Label 18447: @1284414
     /* 1284414 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284498), // Rule ID 8861 //
     /* 1284419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284497 */     // GIR_Coverage, 8861,
     /* 1284497 */     GIR_EraseRootFromParent_Done,
     /* 1284498 */   // Label 18448: @1284498
     /* 1284498 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284582), // Rule ID 8864 //
     /* 1284503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284581 */     // GIR_Coverage, 8864,
     /* 1284581 */     GIR_EraseRootFromParent_Done,
     /* 1284582 */   // Label 18449: @1284582
     /* 1284582 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284666), // Rule ID 8865 //
     /* 1284587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284665 */     // GIR_Coverage, 8865,
     /* 1284665 */     GIR_EraseRootFromParent_Done,
     /* 1284666 */   // Label 18450: @1284666
     /* 1284666 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284750), // Rule ID 8868 //
     /* 1284671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284749 */     // GIR_Coverage, 8868,
     /* 1284749 */     GIR_EraseRootFromParent_Done,
     /* 1284750 */   // Label 18451: @1284750
     /* 1284750 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284834), // Rule ID 8869 //
     /* 1284755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284833 */     // GIR_Coverage, 8869,
     /* 1284833 */     GIR_EraseRootFromParent_Done,
     /* 1284834 */   // Label 18452: @1284834
     /* 1284834 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284918), // Rule ID 8872 //
     /* 1284839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284917 */     // GIR_Coverage, 8872,
     /* 1284917 */     GIR_EraseRootFromParent_Done,
     /* 1284918 */   // Label 18453: @1284918
     /* 1284918 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1285002), // Rule ID 8873 //
     /* 1284923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285001 */     // GIR_Coverage, 8873,
     /* 1285001 */     GIR_EraseRootFromParent_Done,
     /* 1285002 */   // Label 18454: @1285002
     /* 1285002 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1285086), // Rule ID 8876 //
     /* 1285007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1285027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285060 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285085 */     // GIR_Coverage, 8876,
     /* 1285085 */     GIR_EraseRootFromParent_Done,
     /* 1285086 */   // Label 18455: @1285086
     /* 1285086 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285170), // Rule ID 8877 //
     /* 1285091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1285111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285144 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285169 */     // GIR_Coverage, 8877,
     /* 1285169 */     GIR_EraseRootFromParent_Done,
     /* 1285170 */   // Label 18456: @1285170
     /* 1285170 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285254), // Rule ID 8880 //
     /* 1285175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1285195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285253 */     // GIR_Coverage, 8880,
     /* 1285253 */     GIR_EraseRootFromParent_Done,
     /* 1285254 */   // Label 18457: @1285254
     /* 1285254 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285338), // Rule ID 8881 //
     /* 1285259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1285279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285337 */     // GIR_Coverage, 8881,
     /* 1285337 */     GIR_EraseRootFromParent_Done,
     /* 1285338 */   // Label 18458: @1285338
     /* 1285338 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285422), // Rule ID 8884 //
     /* 1285343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285421 */     // GIR_Coverage, 8884,
     /* 1285421 */     GIR_EraseRootFromParent_Done,
     /* 1285422 */   // Label 18459: @1285422
     /* 1285422 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285506), // Rule ID 8885 //
     /* 1285427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285505 */     // GIR_Coverage, 8885,
     /* 1285505 */     GIR_EraseRootFromParent_Done,
     /* 1285506 */   // Label 18460: @1285506
     /* 1285506 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285590), // Rule ID 8888 //
     /* 1285511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285564 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285589 */     // GIR_Coverage, 8888,
     /* 1285589 */     GIR_EraseRootFromParent_Done,
     /* 1285590 */   // Label 18461: @1285590
     /* 1285590 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285674), // Rule ID 8889 //
     /* 1285595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285673 */     // GIR_Coverage, 8889,
     /* 1285673 */     GIR_EraseRootFromParent_Done,
     /* 1285674 */   // Label 18462: @1285674
     /* 1285674 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285758), // Rule ID 8892 //
     /* 1285679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285757 */     // GIR_Coverage, 8892,
     /* 1285757 */     GIR_EraseRootFromParent_Done,
     /* 1285758 */   // Label 18463: @1285758
     /* 1285758 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285842), // Rule ID 8893 //
     /* 1285763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285841 */     // GIR_Coverage, 8893,
     /* 1285841 */     GIR_EraseRootFromParent_Done,
     /* 1285842 */   // Label 18464: @1285842
     /* 1285842 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285926), // Rule ID 8896 //
     /* 1285847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285925 */     // GIR_Coverage, 8896,
     /* 1285925 */     GIR_EraseRootFromParent_Done,
     /* 1285926 */   // Label 18465: @1285926
     /* 1285926 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1286010), // Rule ID 8897 //
     /* 1285931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286009 */     // GIR_Coverage, 8897,
     /* 1286009 */     GIR_EraseRootFromParent_Done,
     /* 1286010 */   // Label 18466: @1286010
     /* 1286010 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1286094), // Rule ID 8900 //
     /* 1286015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1286035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286068 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286093 */     // GIR_Coverage, 8900,
     /* 1286093 */     GIR_EraseRootFromParent_Done,
     /* 1286094 */   // Label 18467: @1286094
     /* 1286094 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286178), // Rule ID 8901 //
     /* 1286099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1286119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286177 */     // GIR_Coverage, 8901,
     /* 1286177 */     GIR_EraseRootFromParent_Done,
     /* 1286178 */   // Label 18468: @1286178
     /* 1286178 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286262), // Rule ID 8904 //
     /* 1286183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1286203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1286239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286261 */     // GIR_Coverage, 8904,
     /* 1286261 */     GIR_EraseRootFromParent_Done,
     /* 1286262 */   // Label 18469: @1286262
     /* 1286262 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286346), // Rule ID 8905 //
     /* 1286267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1286287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1286323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286345 */     // GIR_Coverage, 8905,
     /* 1286345 */     GIR_EraseRootFromParent_Done,
     /* 1286346 */   // Label 18470: @1286346
     /* 1286346 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286430), // Rule ID 8908 //
     /* 1286351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286429 */     // GIR_Coverage, 8908,
     /* 1286429 */     GIR_EraseRootFromParent_Done,
     /* 1286430 */   // Label 18471: @1286430
     /* 1286430 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286514), // Rule ID 8909 //
     /* 1286435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286513 */     // GIR_Coverage, 8909,
     /* 1286513 */     GIR_EraseRootFromParent_Done,
     /* 1286514 */   // Label 18472: @1286514
     /* 1286514 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286598), // Rule ID 8912 //
     /* 1286519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286597 */     // GIR_Coverage, 8912,
     /* 1286597 */     GIR_EraseRootFromParent_Done,
     /* 1286598 */   // Label 18473: @1286598
     /* 1286598 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286682), // Rule ID 8913 //
     /* 1286603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286681 */     // GIR_Coverage, 8913,
     /* 1286681 */     GIR_EraseRootFromParent_Done,
     /* 1286682 */   // Label 18474: @1286682
     /* 1286682 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286766), // Rule ID 8916 //
     /* 1286687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286765 */     // GIR_Coverage, 8916,
     /* 1286765 */     GIR_EraseRootFromParent_Done,
     /* 1286766 */   // Label 18475: @1286766
     /* 1286766 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286850), // Rule ID 8917 //
     /* 1286771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286849 */     // GIR_Coverage, 8917,
     /* 1286849 */     GIR_EraseRootFromParent_Done,
     /* 1286850 */   // Label 18476: @1286850
     /* 1286850 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286934), // Rule ID 8920 //
     /* 1286855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286933 */     // GIR_Coverage, 8920,
     /* 1286933 */     GIR_EraseRootFromParent_Done,
     /* 1286934 */   // Label 18477: @1286934
     /* 1286934 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1287018), // Rule ID 8921 //
     /* 1286939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287017 */     // GIR_Coverage, 8921,
     /* 1287017 */     GIR_EraseRootFromParent_Done,
     /* 1287018 */   // Label 18478: @1287018
     /* 1287018 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287102), // Rule ID 8924 //
     /* 1287023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287101 */     // GIR_Coverage, 8924,
     /* 1287101 */     GIR_EraseRootFromParent_Done,
     /* 1287102 */   // Label 18479: @1287102
     /* 1287102 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287186), // Rule ID 8925 //
     /* 1287107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287185 */     // GIR_Coverage, 8925,
     /* 1287185 */     GIR_EraseRootFromParent_Done,
     /* 1287186 */   // Label 18480: @1287186
     /* 1287186 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287270), // Rule ID 8928 //
     /* 1287191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1287247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287269 */     // GIR_Coverage, 8928,
     /* 1287269 */     GIR_EraseRootFromParent_Done,
     /* 1287270 */   // Label 18481: @1287270
     /* 1287270 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287354), // Rule ID 8929 //
     /* 1287275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1287331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287353 */     // GIR_Coverage, 8929,
     /* 1287353 */     GIR_EraseRootFromParent_Done,
     /* 1287354 */   // Label 18482: @1287354
     /* 1287354 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287438), // Rule ID 8932 //
     /* 1287359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287437 */     // GIR_Coverage, 8932,
     /* 1287437 */     GIR_EraseRootFromParent_Done,
     /* 1287438 */   // Label 18483: @1287438
     /* 1287438 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287522), // Rule ID 8933 //
     /* 1287443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287521 */     // GIR_Coverage, 8933,
     /* 1287521 */     GIR_EraseRootFromParent_Done,
     /* 1287522 */   // Label 18484: @1287522
     /* 1287522 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287606), // Rule ID 8936 //
     /* 1287527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287605 */     // GIR_Coverage, 8936,
     /* 1287605 */     GIR_EraseRootFromParent_Done,
     /* 1287606 */   // Label 18485: @1287606
     /* 1287606 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287690), // Rule ID 8937 //
     /* 1287611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287689 */     // GIR_Coverage, 8937,
     /* 1287689 */     GIR_EraseRootFromParent_Done,
     /* 1287690 */   // Label 18486: @1287690
     /* 1287690 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287774), // Rule ID 8940 //
     /* 1287695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287773 */     // GIR_Coverage, 8940,
     /* 1287773 */     GIR_EraseRootFromParent_Done,
     /* 1287774 */   // Label 18487: @1287774
     /* 1287774 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287858), // Rule ID 8941 //
     /* 1287779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287857 */     // GIR_Coverage, 8941,
     /* 1287857 */     GIR_EraseRootFromParent_Done,
     /* 1287858 */   // Label 18488: @1287858
     /* 1287858 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287942), // Rule ID 8944 //
     /* 1287863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287941 */     // GIR_Coverage, 8944,
     /* 1287941 */     GIR_EraseRootFromParent_Done,
     /* 1287942 */   // Label 18489: @1287942
     /* 1287942 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1288026), // Rule ID 8945 //
     /* 1287947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288025 */     // GIR_Coverage, 8945,
     /* 1288025 */     GIR_EraseRootFromParent_Done,
     /* 1288026 */   // Label 18490: @1288026
     /* 1288026 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288110), // Rule ID 8948 //
     /* 1288031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288109 */     // GIR_Coverage, 8948,
     /* 1288109 */     GIR_EraseRootFromParent_Done,
     /* 1288110 */   // Label 18491: @1288110
     /* 1288110 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288194), // Rule ID 8949 //
     /* 1288115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288193 */     // GIR_Coverage, 8949,
     /* 1288193 */     GIR_EraseRootFromParent_Done,
     /* 1288194 */   // Label 18492: @1288194
     /* 1288194 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288278), // Rule ID 8952 //
     /* 1288199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288277 */     // GIR_Coverage, 8952,
     /* 1288277 */     GIR_EraseRootFromParent_Done,
     /* 1288278 */   // Label 18493: @1288278
     /* 1288278 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288362), // Rule ID 8953 //
     /* 1288283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1288339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288361 */     // GIR_Coverage, 8953,
     /* 1288361 */     GIR_EraseRootFromParent_Done,
     /* 1288362 */   // Label 18494: @1288362
     /* 1288362 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288446), // Rule ID 8956 //
     /* 1288367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288445 */     // GIR_Coverage, 8956,
     /* 1288445 */     GIR_EraseRootFromParent_Done,
     /* 1288446 */   // Label 18495: @1288446
     /* 1288446 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288530), // Rule ID 8957 //
     /* 1288451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288529 */     // GIR_Coverage, 8957,
     /* 1288529 */     GIR_EraseRootFromParent_Done,
     /* 1288530 */   // Label 18496: @1288530
     /* 1288530 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288614), // Rule ID 8960 //
     /* 1288535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288588 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288613 */     // GIR_Coverage, 8960,
     /* 1288613 */     GIR_EraseRootFromParent_Done,
     /* 1288614 */   // Label 18497: @1288614
     /* 1288614 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288698), // Rule ID 8961 //
     /* 1288619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288697 */     // GIR_Coverage, 8961,
     /* 1288697 */     GIR_EraseRootFromParent_Done,
     /* 1288698 */   // Label 18498: @1288698
     /* 1288698 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288782), // Rule ID 8964 //
     /* 1288703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288756 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288781 */     // GIR_Coverage, 8964,
     /* 1288781 */     GIR_EraseRootFromParent_Done,
     /* 1288782 */   // Label 18499: @1288782
     /* 1288782 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288866), // Rule ID 8965 //
     /* 1288787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288840 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288865 */     // GIR_Coverage, 8965,
     /* 1288865 */     GIR_EraseRootFromParent_Done,
     /* 1288866 */   // Label 18500: @1288866
     /* 1288866 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288950), // Rule ID 8968 //
     /* 1288871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288949 */     // GIR_Coverage, 8968,
     /* 1288949 */     GIR_EraseRootFromParent_Done,
     /* 1288950 */   // Label 18501: @1288950
     /* 1288950 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1289034), // Rule ID 8969 //
     /* 1288955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289033 */     // GIR_Coverage, 8969,
     /* 1289033 */     GIR_EraseRootFromParent_Done,
     /* 1289034 */   // Label 18502: @1289034
     /* 1289034 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289118), // Rule ID 8972 //
     /* 1289039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289117 */     // GIR_Coverage, 8972,
     /* 1289117 */     GIR_EraseRootFromParent_Done,
     /* 1289118 */   // Label 18503: @1289118
     /* 1289118 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289202), // Rule ID 8973 //
     /* 1289123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289201 */     // GIR_Coverage, 8973,
     /* 1289201 */     GIR_EraseRootFromParent_Done,
     /* 1289202 */   // Label 18504: @1289202
     /* 1289202 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289286), // Rule ID 8976 //
     /* 1289207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289285 */     // GIR_Coverage, 8976,
     /* 1289285 */     GIR_EraseRootFromParent_Done,
     /* 1289286 */   // Label 18505: @1289286
     /* 1289286 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289370), // Rule ID 8977 //
     /* 1289291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289344 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289369 */     // GIR_Coverage, 8977,
     /* 1289369 */     GIR_EraseRootFromParent_Done,
     /* 1289370 */   // Label 18506: @1289370
     /* 1289370 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289454), // Rule ID 8980 //
     /* 1289375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289453 */     // GIR_Coverage, 8980,
     /* 1289453 */     GIR_EraseRootFromParent_Done,
     /* 1289454 */   // Label 18507: @1289454
     /* 1289454 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289538), // Rule ID 8981 //
     /* 1289459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289537 */     // GIR_Coverage, 8981,
     /* 1289537 */     GIR_EraseRootFromParent_Done,
     /* 1289538 */   // Label 18508: @1289538
     /* 1289538 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289622), // Rule ID 8984 //
     /* 1289543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289621 */     // GIR_Coverage, 8984,
     /* 1289621 */     GIR_EraseRootFromParent_Done,
     /* 1289622 */   // Label 18509: @1289622
     /* 1289622 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289706), // Rule ID 8985 //
     /* 1289627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289705 */     // GIR_Coverage, 8985,
     /* 1289705 */     GIR_EraseRootFromParent_Done,
     /* 1289706 */   // Label 18510: @1289706
     /* 1289706 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289790), // Rule ID 8988 //
     /* 1289711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289789 */     // GIR_Coverage, 8988,
     /* 1289789 */     GIR_EraseRootFromParent_Done,
     /* 1289790 */   // Label 18511: @1289790
     /* 1289790 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289874), // Rule ID 8989 //
     /* 1289795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289873 */     // GIR_Coverage, 8989,
     /* 1289873 */     GIR_EraseRootFromParent_Done,
     /* 1289874 */   // Label 18512: @1289874
     /* 1289874 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289958), // Rule ID 8992 //
     /* 1289879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289957 */     // GIR_Coverage, 8992,
     /* 1289957 */     GIR_EraseRootFromParent_Done,
     /* 1289958 */   // Label 18513: @1289958
     /* 1289958 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1290042), // Rule ID 8993 //
     /* 1289963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1290019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290041 */     // GIR_Coverage, 8993,
     /* 1290041 */     GIR_EraseRootFromParent_Done,
     /* 1290042 */   // Label 18514: @1290042
     /* 1290042 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290126), // Rule ID 8996 //
     /* 1290047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1290103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290125 */     // GIR_Coverage, 8996,
     /* 1290125 */     GIR_EraseRootFromParent_Done,
     /* 1290126 */   // Label 18515: @1290126
     /* 1290126 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290210), // Rule ID 8997 //
     /* 1290131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1290187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290209 */     // GIR_Coverage, 8997,
     /* 1290209 */     GIR_EraseRootFromParent_Done,
     /* 1290210 */   // Label 18516: @1290210
     /* 1290210 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290294), // Rule ID 9000 //
     /* 1290215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1290271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290293 */     // GIR_Coverage, 9000,
     /* 1290293 */     GIR_EraseRootFromParent_Done,
     /* 1290294 */   // Label 18517: @1290294
     /* 1290294 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290378), // Rule ID 9001 //
     /* 1290299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1290355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290377 */     // GIR_Coverage, 9001,
     /* 1290377 */     GIR_EraseRootFromParent_Done,
     /* 1290378 */   // Label 18518: @1290378
     /* 1290378 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290462), // Rule ID 9092 //
     /* 1290383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290461 */     // GIR_Coverage, 9092,
     /* 1290461 */     GIR_EraseRootFromParent_Done,
     /* 1290462 */   // Label 18519: @1290462
     /* 1290462 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290546), // Rule ID 9093 //
     /* 1290467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290545 */     // GIR_Coverage, 9093,
     /* 1290545 */     GIR_EraseRootFromParent_Done,
     /* 1290546 */   // Label 18520: @1290546
     /* 1290546 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290630), // Rule ID 9096 //
     /* 1290551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290629 */     // GIR_Coverage, 9096,
     /* 1290629 */     GIR_EraseRootFromParent_Done,
     /* 1290630 */   // Label 18521: @1290630
     /* 1290630 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290714), // Rule ID 9097 //
     /* 1290635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290713 */     // GIR_Coverage, 9097,
     /* 1290713 */     GIR_EraseRootFromParent_Done,
     /* 1290714 */   // Label 18522: @1290714
     /* 1290714 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290798), // Rule ID 9100 //
     /* 1290719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290797 */     // GIR_Coverage, 9100,
     /* 1290797 */     GIR_EraseRootFromParent_Done,
     /* 1290798 */   // Label 18523: @1290798
     /* 1290798 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290882), // Rule ID 9101 //
     /* 1290803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290881 */     // GIR_Coverage, 9101,
     /* 1290881 */     GIR_EraseRootFromParent_Done,
     /* 1290882 */   // Label 18524: @1290882
     /* 1290882 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290966), // Rule ID 9104 //
     /* 1290887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290965 */     // GIR_Coverage, 9104,
     /* 1290965 */     GIR_EraseRootFromParent_Done,
     /* 1290966 */   // Label 18525: @1290966
     /* 1290966 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1291050), // Rule ID 9105 //
     /* 1290971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1291027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291049 */     // GIR_Coverage, 9105,
     /* 1291049 */     GIR_EraseRootFromParent_Done,
     /* 1291050 */   // Label 18526: @1291050
     /* 1291050 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291134), // Rule ID 9108 //
     /* 1291055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291133 */     // GIR_Coverage, 9108,
     /* 1291133 */     GIR_EraseRootFromParent_Done,
     /* 1291134 */   // Label 18527: @1291134
     /* 1291134 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291218), // Rule ID 9109 //
     /* 1291139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291217 */     // GIR_Coverage, 9109,
     /* 1291217 */     GIR_EraseRootFromParent_Done,
     /* 1291218 */   // Label 18528: @1291218
     /* 1291218 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291302), // Rule ID 9112 //
     /* 1291223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291301 */     // GIR_Coverage, 9112,
     /* 1291301 */     GIR_EraseRootFromParent_Done,
     /* 1291302 */   // Label 18529: @1291302
     /* 1291302 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291386), // Rule ID 9113 //
     /* 1291307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1291363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291385 */     // GIR_Coverage, 9113,
     /* 1291385 */     GIR_EraseRootFromParent_Done,
     /* 1291386 */   // Label 18530: @1291386
     /* 1291386 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291470), // Rule ID 9116 //
     /* 1291391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291469 */     // GIR_Coverage, 9116,
     /* 1291469 */     GIR_EraseRootFromParent_Done,
     /* 1291470 */   // Label 18531: @1291470
     /* 1291470 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291554), // Rule ID 9117 //
     /* 1291475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291553 */     // GIR_Coverage, 9117,
     /* 1291553 */     GIR_EraseRootFromParent_Done,
     /* 1291554 */   // Label 18532: @1291554
     /* 1291554 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291638), // Rule ID 9120 //
     /* 1291559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291637 */     // GIR_Coverage, 9120,
     /* 1291637 */     GIR_EraseRootFromParent_Done,
     /* 1291638 */   // Label 18533: @1291638
     /* 1291638 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291722), // Rule ID 9121 //
     /* 1291643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291721 */     // GIR_Coverage, 9121,
     /* 1291721 */     GIR_EraseRootFromParent_Done,
     /* 1291722 */   // Label 18534: @1291722
     /* 1291722 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291806), // Rule ID 9124 //
     /* 1291727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291805 */     // GIR_Coverage, 9124,
     /* 1291805 */     GIR_EraseRootFromParent_Done,
     /* 1291806 */   // Label 18535: @1291806
     /* 1291806 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291890), // Rule ID 9125 //
     /* 1291811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291889 */     // GIR_Coverage, 9125,
     /* 1291889 */     GIR_EraseRootFromParent_Done,
     /* 1291890 */   // Label 18536: @1291890
     /* 1291890 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291974), // Rule ID 9128 //
     /* 1291895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291973 */     // GIR_Coverage, 9128,
     /* 1291973 */     GIR_EraseRootFromParent_Done,
     /* 1291974 */   // Label 18537: @1291974
     /* 1291974 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1292058), // Rule ID 9129 //
     /* 1291979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1292035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292057 */     // GIR_Coverage, 9129,
     /* 1292057 */     GIR_EraseRootFromParent_Done,
     /* 1292058 */   // Label 18538: @1292058
     /* 1292058 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292142), // Rule ID 9132 //
     /* 1292063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292141 */     // GIR_Coverage, 9132,
     /* 1292141 */     GIR_EraseRootFromParent_Done,
     /* 1292142 */   // Label 18539: @1292142
     /* 1292142 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292226), // Rule ID 9133 //
     /* 1292147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292225 */     // GIR_Coverage, 9133,
     /* 1292225 */     GIR_EraseRootFromParent_Done,
     /* 1292226 */   // Label 18540: @1292226
     /* 1292226 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292310), // Rule ID 9136 //
     /* 1292231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292309 */     // GIR_Coverage, 9136,
     /* 1292309 */     GIR_EraseRootFromParent_Done,
     /* 1292310 */   // Label 18541: @1292310
     /* 1292310 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292394), // Rule ID 9137 //
     /* 1292315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292368 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292393 */     // GIR_Coverage, 9137,
     /* 1292393 */     GIR_EraseRootFromParent_Done,
     /* 1292394 */   // Label 18542: @1292394
     /* 1292394 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292478), // Rule ID 9140 //
     /* 1292399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292452 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292477 */     // GIR_Coverage, 9140,
     /* 1292477 */     GIR_EraseRootFromParent_Done,
     /* 1292478 */   // Label 18543: @1292478
     /* 1292478 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292562), // Rule ID 9141 //
     /* 1292483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292536 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292561 */     // GIR_Coverage, 9141,
     /* 1292561 */     GIR_EraseRootFromParent_Done,
     /* 1292562 */   // Label 18544: @1292562
     /* 1292562 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292646), // Rule ID 9144 //
     /* 1292567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292645 */     // GIR_Coverage, 9144,
     /* 1292645 */     GIR_EraseRootFromParent_Done,
     /* 1292646 */   // Label 18545: @1292646
     /* 1292646 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292730), // Rule ID 9145 //
     /* 1292651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292729 */     // GIR_Coverage, 9145,
     /* 1292729 */     GIR_EraseRootFromParent_Done,
     /* 1292730 */   // Label 18546: @1292730
     /* 1292730 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292814), // Rule ID 9148 //
     /* 1292735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292813 */     // GIR_Coverage, 9148,
     /* 1292813 */     GIR_EraseRootFromParent_Done,
     /* 1292814 */   // Label 18547: @1292814
     /* 1292814 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292898), // Rule ID 9149 //
     /* 1292819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292897 */     // GIR_Coverage, 9149,
     /* 1292897 */     GIR_EraseRootFromParent_Done,
     /* 1292898 */   // Label 18548: @1292898
     /* 1292898 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292982), // Rule ID 9152 //
     /* 1292903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292981 */     // GIR_Coverage, 9152,
     /* 1292981 */     GIR_EraseRootFromParent_Done,
     /* 1292982 */   // Label 18549: @1292982
     /* 1292982 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1293066), // Rule ID 9153 //
     /* 1292987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293065 */     // GIR_Coverage, 9153,
     /* 1293065 */     GIR_EraseRootFromParent_Done,
     /* 1293066 */   // Label 18550: @1293066
     /* 1293066 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293150), // Rule ID 9156 //
     /* 1293071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293149 */     // GIR_Coverage, 9156,
     /* 1293149 */     GIR_EraseRootFromParent_Done,
     /* 1293150 */   // Label 18551: @1293150
     /* 1293150 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293234), // Rule ID 9157 //
     /* 1293155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293233 */     // GIR_Coverage, 9157,
     /* 1293233 */     GIR_EraseRootFromParent_Done,
     /* 1293234 */   // Label 18552: @1293234
     /* 1293234 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293318), // Rule ID 9160 //
     /* 1293239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293317 */     // GIR_Coverage, 9160,
     /* 1293317 */     GIR_EraseRootFromParent_Done,
     /* 1293318 */   // Label 18553: @1293318
     /* 1293318 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293402), // Rule ID 9161 //
     /* 1293323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293401 */     // GIR_Coverage, 9161,
     /* 1293401 */     GIR_EraseRootFromParent_Done,
     /* 1293402 */   // Label 18554: @1293402
     /* 1293402 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293486), // Rule ID 9164 //
     /* 1293407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293485 */     // GIR_Coverage, 9164,
     /* 1293485 */     GIR_EraseRootFromParent_Done,
     /* 1293486 */   // Label 18555: @1293486
     /* 1293486 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293570), // Rule ID 9165 //
     /* 1293491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293569 */     // GIR_Coverage, 9165,
     /* 1293569 */     GIR_EraseRootFromParent_Done,
     /* 1293570 */   // Label 18556: @1293570
     /* 1293570 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293654), // Rule ID 9168 //
     /* 1293575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293653 */     // GIR_Coverage, 9168,
     /* 1293653 */     GIR_EraseRootFromParent_Done,
     /* 1293654 */   // Label 18557: @1293654
     /* 1293654 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293738), // Rule ID 9169 //
     /* 1293659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293737 */     // GIR_Coverage, 9169,
     /* 1293737 */     GIR_EraseRootFromParent_Done,
     /* 1293738 */   // Label 18558: @1293738
     /* 1293738 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293822), // Rule ID 9172 //
     /* 1293743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293821 */     // GIR_Coverage, 9172,
     /* 1293821 */     GIR_EraseRootFromParent_Done,
     /* 1293822 */   // Label 18559: @1293822
     /* 1293822 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293906), // Rule ID 9173 //
     /* 1293827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293905 */     // GIR_Coverage, 9173,
     /* 1293905 */     GIR_EraseRootFromParent_Done,
     /* 1293906 */   // Label 18560: @1293906
     /* 1293906 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293990), // Rule ID 9176 //
     /* 1293911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293989 */     // GIR_Coverage, 9176,
     /* 1293989 */     GIR_EraseRootFromParent_Done,
     /* 1293990 */   // Label 18561: @1293990
     /* 1293990 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1294074), // Rule ID 9177 //
     /* 1293995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1294051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294073 */     // GIR_Coverage, 9177,
     /* 1294073 */     GIR_EraseRootFromParent_Done,
     /* 1294074 */   // Label 18562: @1294074
     /* 1294074 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294158), // Rule ID 9268 //
     /* 1294079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1294135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294157 */     // GIR_Coverage, 9268,
     /* 1294157 */     GIR_EraseRootFromParent_Done,
     /* 1294158 */   // Label 18563: @1294158
     /* 1294158 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294242), // Rule ID 9269 //
     /* 1294163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1294219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294241 */     // GIR_Coverage, 9269,
     /* 1294241 */     GIR_EraseRootFromParent_Done,
     /* 1294242 */   // Label 18564: @1294242
     /* 1294242 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294326), // Rule ID 9272 //
     /* 1294247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294325 */     // GIR_Coverage, 9272,
     /* 1294325 */     GIR_EraseRootFromParent_Done,
     /* 1294326 */   // Label 18565: @1294326
     /* 1294326 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294410), // Rule ID 9273 //
     /* 1294331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294409 */     // GIR_Coverage, 9273,
     /* 1294409 */     GIR_EraseRootFromParent_Done,
     /* 1294410 */   // Label 18566: @1294410
     /* 1294410 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294494), // Rule ID 9276 //
     /* 1294415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294493 */     // GIR_Coverage, 9276,
     /* 1294493 */     GIR_EraseRootFromParent_Done,
     /* 1294494 */   // Label 18567: @1294494
     /* 1294494 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294578), // Rule ID 9277 //
     /* 1294499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294577 */     // GIR_Coverage, 9277,
     /* 1294577 */     GIR_EraseRootFromParent_Done,
     /* 1294578 */   // Label 18568: @1294578
     /* 1294578 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294662), // Rule ID 9280 //
     /* 1294583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294661 */     // GIR_Coverage, 9280,
     /* 1294661 */     GIR_EraseRootFromParent_Done,
     /* 1294662 */   // Label 18569: @1294662
     /* 1294662 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294746), // Rule ID 9281 //
     /* 1294667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294745 */     // GIR_Coverage, 9281,
     /* 1294745 */     GIR_EraseRootFromParent_Done,
     /* 1294746 */   // Label 18570: @1294746
     /* 1294746 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294830), // Rule ID 9284 //
     /* 1294751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294829 */     // GIR_Coverage, 9284,
     /* 1294829 */     GIR_EraseRootFromParent_Done,
     /* 1294830 */   // Label 18571: @1294830
     /* 1294830 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294914), // Rule ID 9285 //
     /* 1294835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294913 */     // GIR_Coverage, 9285,
     /* 1294913 */     GIR_EraseRootFromParent_Done,
     /* 1294914 */   // Label 18572: @1294914
     /* 1294914 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1294998), // Rule ID 9288 //
     /* 1294919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294997 */     // GIR_Coverage, 9288,
     /* 1294997 */     GIR_EraseRootFromParent_Done,
     /* 1294998 */   // Label 18573: @1294998
     /* 1294998 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1295082), // Rule ID 9289 //
     /* 1295003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1295059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295081 */     // GIR_Coverage, 9289,
     /* 1295081 */     GIR_EraseRootFromParent_Done,
     /* 1295082 */   // Label 18574: @1295082
     /* 1295082 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295166), // Rule ID 9292 //
     /* 1295087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295165 */     // GIR_Coverage, 9292,
     /* 1295165 */     GIR_EraseRootFromParent_Done,
     /* 1295166 */   // Label 18575: @1295166
     /* 1295166 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295250), // Rule ID 9293 //
     /* 1295171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295249 */     // GIR_Coverage, 9293,
     /* 1295249 */     GIR_EraseRootFromParent_Done,
     /* 1295250 */   // Label 18576: @1295250
     /* 1295250 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295334), // Rule ID 9296 //
     /* 1295255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295333 */     // GIR_Coverage, 9296,
     /* 1295333 */     GIR_EraseRootFromParent_Done,
     /* 1295334 */   // Label 18577: @1295334
     /* 1295334 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295418), // Rule ID 9297 //
     /* 1295339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295417 */     // GIR_Coverage, 9297,
     /* 1295417 */     GIR_EraseRootFromParent_Done,
     /* 1295418 */   // Label 18578: @1295418
     /* 1295418 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295502), // Rule ID 9300 //
     /* 1295423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295501 */     // GIR_Coverage, 9300,
     /* 1295501 */     GIR_EraseRootFromParent_Done,
     /* 1295502 */   // Label 18579: @1295502
     /* 1295502 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295586), // Rule ID 9301 //
     /* 1295507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295585 */     // GIR_Coverage, 9301,
     /* 1295585 */     GIR_EraseRootFromParent_Done,
     /* 1295586 */   // Label 18580: @1295586
     /* 1295586 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295670), // Rule ID 9304 //
     /* 1295591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295669 */     // GIR_Coverage, 9304,
     /* 1295669 */     GIR_EraseRootFromParent_Done,
     /* 1295670 */   // Label 18581: @1295670
     /* 1295670 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295754), // Rule ID 9305 //
     /* 1295675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295753 */     // GIR_Coverage, 9305,
     /* 1295753 */     GIR_EraseRootFromParent_Done,
     /* 1295754 */   // Label 18582: @1295754
     /* 1295754 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295838), // Rule ID 9308 //
     /* 1295759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295837 */     // GIR_Coverage, 9308,
     /* 1295837 */     GIR_EraseRootFromParent_Done,
     /* 1295838 */   // Label 18583: @1295838
     /* 1295838 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295922), // Rule ID 9309 //
     /* 1295843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295921 */     // GIR_Coverage, 9309,
     /* 1295921 */     GIR_EraseRootFromParent_Done,
     /* 1295922 */   // Label 18584: @1295922
     /* 1295922 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1296006), // Rule ID 9312 //
     /* 1295927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296005 */     // GIR_Coverage, 9312,
     /* 1296005 */     GIR_EraseRootFromParent_Done,
     /* 1296006 */   // Label 18585: @1296006
     /* 1296006 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1296090), // Rule ID 9313 //
     /* 1296011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296064 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296089 */     // GIR_Coverage, 9313,
     /* 1296089 */     GIR_EraseRootFromParent_Done,
     /* 1296090 */   // Label 18586: @1296090
     /* 1296090 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296174), // Rule ID 9316 //
     /* 1296095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296148 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296173 */     // GIR_Coverage, 9316,
     /* 1296173 */     GIR_EraseRootFromParent_Done,
     /* 1296174 */   // Label 18587: @1296174
     /* 1296174 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296258), // Rule ID 9317 //
     /* 1296179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296232 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296257 */     // GIR_Coverage, 9317,
     /* 1296257 */     GIR_EraseRootFromParent_Done,
     /* 1296258 */   // Label 18588: @1296258
     /* 1296258 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296342), // Rule ID 9320 //
     /* 1296263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296341 */     // GIR_Coverage, 9320,
     /* 1296341 */     GIR_EraseRootFromParent_Done,
     /* 1296342 */   // Label 18589: @1296342
     /* 1296342 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296426), // Rule ID 9321 //
     /* 1296347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296425 */     // GIR_Coverage, 9321,
     /* 1296425 */     GIR_EraseRootFromParent_Done,
     /* 1296426 */   // Label 18590: @1296426
     /* 1296426 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296510), // Rule ID 9324 //
     /* 1296431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296509 */     // GIR_Coverage, 9324,
     /* 1296509 */     GIR_EraseRootFromParent_Done,
     /* 1296510 */   // Label 18591: @1296510
     /* 1296510 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296594), // Rule ID 9325 //
     /* 1296515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296593 */     // GIR_Coverage, 9325,
     /* 1296593 */     GIR_EraseRootFromParent_Done,
     /* 1296594 */   // Label 18592: @1296594
     /* 1296594 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296678), // Rule ID 9328 //
     /* 1296599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296652 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296677 */     // GIR_Coverage, 9328,
     /* 1296677 */     GIR_EraseRootFromParent_Done,
     /* 1296678 */   // Label 18593: @1296678
     /* 1296678 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296762), // Rule ID 9329 //
     /* 1296683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296761 */     // GIR_Coverage, 9329,
     /* 1296761 */     GIR_EraseRootFromParent_Done,
     /* 1296762 */   // Label 18594: @1296762
     /* 1296762 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296846), // Rule ID 9332 //
     /* 1296767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296845 */     // GIR_Coverage, 9332,
     /* 1296845 */     GIR_EraseRootFromParent_Done,
     /* 1296846 */   // Label 18595: @1296846
     /* 1296846 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296930), // Rule ID 9333 //
     /* 1296851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296929 */     // GIR_Coverage, 9333,
     /* 1296929 */     GIR_EraseRootFromParent_Done,
     /* 1296930 */   // Label 18596: @1296930
     /* 1296930 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1297014), // Rule ID 9336 //
     /* 1296935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297013 */     // GIR_Coverage, 9336,
     /* 1297013 */     GIR_EraseRootFromParent_Done,
     /* 1297014 */   // Label 18597: @1297014
     /* 1297014 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297098), // Rule ID 9337 //
     /* 1297019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297097 */     // GIR_Coverage, 9337,
     /* 1297097 */     GIR_EraseRootFromParent_Done,
     /* 1297098 */   // Label 18598: @1297098
     /* 1297098 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297182), // Rule ID 9340 //
     /* 1297103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297181 */     // GIR_Coverage, 9340,
     /* 1297181 */     GIR_EraseRootFromParent_Done,
     /* 1297182 */   // Label 18599: @1297182
     /* 1297182 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297266), // Rule ID 9341 //
     /* 1297187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297265 */     // GIR_Coverage, 9341,
     /* 1297265 */     GIR_EraseRootFromParent_Done,
     /* 1297266 */   // Label 18600: @1297266
     /* 1297266 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297350), // Rule ID 9344 //
     /* 1297271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1297327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297349 */     // GIR_Coverage, 9344,
     /* 1297349 */     GIR_EraseRootFromParent_Done,
     /* 1297350 */   // Label 18601: @1297350
     /* 1297350 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297434), // Rule ID 9345 //
     /* 1297355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1297411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297433 */     // GIR_Coverage, 9345,
     /* 1297433 */     GIR_EraseRootFromParent_Done,
     /* 1297434 */   // Label 18602: @1297434
     /* 1297434 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297518), // Rule ID 9348 //
     /* 1297439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297517 */     // GIR_Coverage, 9348,
     /* 1297517 */     GIR_EraseRootFromParent_Done,
     /* 1297518 */   // Label 18603: @1297518
     /* 1297518 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297602), // Rule ID 9349 //
     /* 1297523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297601 */     // GIR_Coverage, 9349,
     /* 1297601 */     GIR_EraseRootFromParent_Done,
     /* 1297602 */   // Label 18604: @1297602
     /* 1297602 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297686), // Rule ID 9352 //
     /* 1297607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297685 */     // GIR_Coverage, 9352,
     /* 1297685 */     GIR_EraseRootFromParent_Done,
     /* 1297686 */   // Label 18605: @1297686
     /* 1297686 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297770), // Rule ID 9353 //
     /* 1297691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297769 */     // GIR_Coverage, 9353,
     /* 1297769 */     GIR_EraseRootFromParent_Done,
     /* 1297770 */   // Label 18606: @1297770
     /* 1297770 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297854), // Rule ID 9444 //
     /* 1297775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297853 */     // GIR_Coverage, 9444,
     /* 1297853 */     GIR_EraseRootFromParent_Done,
     /* 1297854 */   // Label 18607: @1297854
     /* 1297854 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297938), // Rule ID 9445 //
     /* 1297859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297937 */     // GIR_Coverage, 9445,
     /* 1297937 */     GIR_EraseRootFromParent_Done,
     /* 1297938 */   // Label 18608: @1297938
     /* 1297938 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1298022), // Rule ID 9448 //
     /* 1297943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298021 */     // GIR_Coverage, 9448,
     /* 1298021 */     GIR_EraseRootFromParent_Done,
     /* 1298022 */   // Label 18609: @1298022
     /* 1298022 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298106), // Rule ID 9449 //
     /* 1298027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1298044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1298047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298105 */     // GIR_Coverage, 9449,
     /* 1298105 */     GIR_EraseRootFromParent_Done,
     /* 1298106 */   // Label 18610: @1298106
     /* 1298106 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298190), // Rule ID 9452 //
     /* 1298111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1298131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1298167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298189 */     // GIR_Coverage, 9452,
     /* 1298189 */     GIR_EraseRootFromParent_Done,
     /* 1298190 */   // Label 18611: @1298190
     /* 1298190 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298274), // Rule ID 9453 //
     /* 1298195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1298215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1298251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298273 */     // GIR_Coverage, 9453,
     /* 1298273 */     GIR_EraseRootFromParent_Done,
     /* 1298274 */   // Label 18612: @1298274
     /* 1298274 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298358), // Rule ID 9456 //
     /* 1298279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1298299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298357 */     // GIR_Coverage, 9456,
     /* 1298357 */     GIR_EraseRootFromParent_Done,
     /* 1298358 */   // Label 18613: @1298358
     /* 1298358 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298442), // Rule ID 9457 //
     /* 1298363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1298383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298441 */     // GIR_Coverage, 9457,
     /* 1298441 */     GIR_EraseRootFromParent_Done,
     /* 1298442 */   // Label 18614: @1298442
     /* 1298442 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298526), // Rule ID 9460 //
     /* 1298447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298525 */     // GIR_Coverage, 9460,
     /* 1298525 */     GIR_EraseRootFromParent_Done,
     /* 1298526 */   // Label 18615: @1298526
     /* 1298526 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298610), // Rule ID 9461 //
     /* 1298531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298609 */     // GIR_Coverage, 9461,
     /* 1298609 */     GIR_EraseRootFromParent_Done,
     /* 1298610 */   // Label 18616: @1298610
     /* 1298610 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298694), // Rule ID 9464 //
     /* 1298615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298693 */     // GIR_Coverage, 9464,
     /* 1298693 */     GIR_EraseRootFromParent_Done,
     /* 1298694 */   // Label 18617: @1298694
     /* 1298694 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298778), // Rule ID 9465 //
     /* 1298699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298777 */     // GIR_Coverage, 9465,
     /* 1298777 */     GIR_EraseRootFromParent_Done,
     /* 1298778 */   // Label 18618: @1298778
     /* 1298778 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298862), // Rule ID 9468 //
     /* 1298783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298861 */     // GIR_Coverage, 9468,
     /* 1298861 */     GIR_EraseRootFromParent_Done,
     /* 1298862 */   // Label 18619: @1298862
     /* 1298862 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298946), // Rule ID 9469 //
     /* 1298867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298945 */     // GIR_Coverage, 9469,
     /* 1298945 */     GIR_EraseRootFromParent_Done,
     /* 1298946 */   // Label 18620: @1298946
     /* 1298946 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1299030), // Rule ID 9472 //
     /* 1298951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299029 */     // GIR_Coverage, 9472,
     /* 1299029 */     GIR_EraseRootFromParent_Done,
     /* 1299030 */   // Label 18621: @1299030
     /* 1299030 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299114), // Rule ID 9473 //
     /* 1299035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1299052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1299055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299113 */     // GIR_Coverage, 9473,
     /* 1299113 */     GIR_EraseRootFromParent_Done,
     /* 1299114 */   // Label 18622: @1299114
     /* 1299114 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299198), // Rule ID 9476 //
     /* 1299119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1299139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299197 */     // GIR_Coverage, 9476,
     /* 1299197 */     GIR_EraseRootFromParent_Done,
     /* 1299198 */   // Label 18623: @1299198
     /* 1299198 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299282), // Rule ID 9477 //
     /* 1299203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1299223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1299259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299281 */     // GIR_Coverage, 9477,
     /* 1299281 */     GIR_EraseRootFromParent_Done,
     /* 1299282 */   // Label 18624: @1299282
     /* 1299282 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299366), // Rule ID 9480 //
     /* 1299287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1299307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299365 */     // GIR_Coverage, 9480,
     /* 1299365 */     GIR_EraseRootFromParent_Done,
     /* 1299366 */   // Label 18625: @1299366
     /* 1299366 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299450), // Rule ID 9481 //
     /* 1299371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1299391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299449 */     // GIR_Coverage, 9481,
     /* 1299449 */     GIR_EraseRootFromParent_Done,
     /* 1299450 */   // Label 18626: @1299450
     /* 1299450 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299534), // Rule ID 9484 //
     /* 1299455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299508 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299533 */     // GIR_Coverage, 9484,
     /* 1299533 */     GIR_EraseRootFromParent_Done,
     /* 1299534 */   // Label 18627: @1299534
     /* 1299534 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299618), // Rule ID 9485 //
     /* 1299539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299617 */     // GIR_Coverage, 9485,
     /* 1299617 */     GIR_EraseRootFromParent_Done,
     /* 1299618 */   // Label 18628: @1299618
     /* 1299618 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299702), // Rule ID 9488 //
     /* 1299623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299676 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299701 */     // GIR_Coverage, 9488,
     /* 1299701 */     GIR_EraseRootFromParent_Done,
     /* 1299702 */   // Label 18629: @1299702
     /* 1299702 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299786), // Rule ID 9489 //
     /* 1299707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299760 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299785 */     // GIR_Coverage, 9489,
     /* 1299785 */     GIR_EraseRootFromParent_Done,
     /* 1299786 */   // Label 18630: @1299786
     /* 1299786 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299870), // Rule ID 9492 //
     /* 1299791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299869 */     // GIR_Coverage, 9492,
     /* 1299869 */     GIR_EraseRootFromParent_Done,
     /* 1299870 */   // Label 18631: @1299870
     /* 1299870 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299954), // Rule ID 9493 //
     /* 1299875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299953 */     // GIR_Coverage, 9493,
     /* 1299953 */     GIR_EraseRootFromParent_Done,
     /* 1299954 */   // Label 18632: @1299954
     /* 1299954 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1300038), // Rule ID 9496 //
     /* 1299959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300037 */     // GIR_Coverage, 9496,
     /* 1300037 */     GIR_EraseRootFromParent_Done,
     /* 1300038 */   // Label 18633: @1300038
     /* 1300038 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300122), // Rule ID 9497 //
     /* 1300043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1300060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1300063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300121 */     // GIR_Coverage, 9497,
     /* 1300121 */     GIR_EraseRootFromParent_Done,
     /* 1300122 */   // Label 18634: @1300122
     /* 1300122 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300206), // Rule ID 9500 //
     /* 1300127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1300147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300205 */     // GIR_Coverage, 9500,
     /* 1300205 */     GIR_EraseRootFromParent_Done,
     /* 1300206 */   // Label 18635: @1300206
     /* 1300206 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300290), // Rule ID 9501 //
     /* 1300211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1300231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300289 */     // GIR_Coverage, 9501,
     /* 1300289 */     GIR_EraseRootFromParent_Done,
     /* 1300290 */   // Label 18636: @1300290
     /* 1300290 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300374), // Rule ID 9504 //
     /* 1300295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1300315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300373 */     // GIR_Coverage, 9504,
     /* 1300373 */     GIR_EraseRootFromParent_Done,
     /* 1300374 */   // Label 18637: @1300374
     /* 1300374 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300458), // Rule ID 9505 //
     /* 1300379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1300399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300457 */     // GIR_Coverage, 9505,
     /* 1300457 */     GIR_EraseRootFromParent_Done,
     /* 1300458 */   // Label 18638: @1300458
     /* 1300458 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300542), // Rule ID 9508 //
     /* 1300463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300541 */     // GIR_Coverage, 9508,
     /* 1300541 */     GIR_EraseRootFromParent_Done,
     /* 1300542 */   // Label 18639: @1300542
     /* 1300542 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300626), // Rule ID 9509 //
     /* 1300547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300625 */     // GIR_Coverage, 9509,
     /* 1300625 */     GIR_EraseRootFromParent_Done,
     /* 1300626 */   // Label 18640: @1300626
     /* 1300626 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300710), // Rule ID 9512 //
     /* 1300631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300709 */     // GIR_Coverage, 9512,
     /* 1300709 */     GIR_EraseRootFromParent_Done,
     /* 1300710 */   // Label 18641: @1300710
     /* 1300710 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300794), // Rule ID 9513 //
     /* 1300715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300793 */     // GIR_Coverage, 9513,
     /* 1300793 */     GIR_EraseRootFromParent_Done,
     /* 1300794 */   // Label 18642: @1300794
     /* 1300794 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300878), // Rule ID 9516 //
     /* 1300799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300877 */     // GIR_Coverage, 9516,
     /* 1300877 */     GIR_EraseRootFromParent_Done,
     /* 1300878 */   // Label 18643: @1300878
     /* 1300878 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300962), // Rule ID 9517 //
     /* 1300883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300961 */     // GIR_Coverage, 9517,
     /* 1300961 */     GIR_EraseRootFromParent_Done,
     /* 1300962 */   // Label 18644: @1300962
     /* 1300962 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1301046), // Rule ID 9520 //
     /* 1300967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1301023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301045 */     // GIR_Coverage, 9520,
     /* 1301045 */     GIR_EraseRootFromParent_Done,
     /* 1301046 */   // Label 18645: @1301046
     /* 1301046 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301130), // Rule ID 9521 //
     /* 1301051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1301068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1301071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1301107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301129 */     // GIR_Coverage, 9521,
     /* 1301129 */     GIR_EraseRootFromParent_Done,
     /* 1301130 */   // Label 18646: @1301130
     /* 1301130 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301214), // Rule ID 9524 //
     /* 1301135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1301155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1301191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301213 */     // GIR_Coverage, 9524,
     /* 1301213 */     GIR_EraseRootFromParent_Done,
     /* 1301214 */   // Label 18647: @1301214
     /* 1301214 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301298), // Rule ID 9525 //
     /* 1301219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1301239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1301275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301297 */     // GIR_Coverage, 9525,
     /* 1301297 */     GIR_EraseRootFromParent_Done,
     /* 1301298 */   // Label 18648: @1301298
     /* 1301298 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301382), // Rule ID 9528 //
     /* 1301303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1301323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301381 */     // GIR_Coverage, 9528,
     /* 1301381 */     GIR_EraseRootFromParent_Done,
     /* 1301382 */   // Label 18649: @1301382
     /* 1301382 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301466), // Rule ID 9529 //
     /* 1301387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1301407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301465 */     // GIR_Coverage, 9529,
     /* 1301465 */     GIR_EraseRootFromParent_Done,
     /* 1301466 */   // Label 18650: @1301466
     /* 1301466 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301550), // Rule ID 9532 //
     /* 1301471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301549 */     // GIR_Coverage, 9532,
     /* 1301549 */     GIR_EraseRootFromParent_Done,
     /* 1301550 */   // Label 18651: @1301550
     /* 1301550 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301634), // Rule ID 9533 //
     /* 1301555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301633 */     // GIR_Coverage, 9533,
     /* 1301633 */     GIR_EraseRootFromParent_Done,
     /* 1301634 */   // Label 18652: @1301634
     /* 1301634 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301718), // Rule ID 9536 //
     /* 1301639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301717 */     // GIR_Coverage, 9536,
     /* 1301717 */     GIR_EraseRootFromParent_Done,
     /* 1301718 */   // Label 18653: @1301718
     /* 1301718 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301802), // Rule ID 9537 //
     /* 1301723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301801 */     // GIR_Coverage, 9537,
     /* 1301801 */     GIR_EraseRootFromParent_Done,
     /* 1301802 */   // Label 18654: @1301802
     /* 1301802 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301886), // Rule ID 9540 //
     /* 1301807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301885 */     // GIR_Coverage, 9540,
     /* 1301885 */     GIR_EraseRootFromParent_Done,
     /* 1301886 */   // Label 18655: @1301886
     /* 1301886 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301970), // Rule ID 9541 //
     /* 1301891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301969 */     // GIR_Coverage, 9541,
     /* 1301969 */     GIR_EraseRootFromParent_Done,
     /* 1301970 */   // Label 18656: @1301970
     /* 1301970 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1302054), // Rule ID 9544 //
     /* 1301975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1301995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302053 */     // GIR_Coverage, 9544,
     /* 1302053 */     GIR_EraseRootFromParent_Done,
     /* 1302054 */   // Label 18657: @1302054
     /* 1302054 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302138), // Rule ID 9545 //
     /* 1302059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1302079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302137 */     // GIR_Coverage, 9545,
     /* 1302137 */     GIR_EraseRootFromParent_Done,
     /* 1302138 */   // Label 18658: @1302138
     /* 1302138 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302222), // Rule ID 9548 //
     /* 1302143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302221 */     // GIR_Coverage, 9548,
     /* 1302221 */     GIR_EraseRootFromParent_Done,
     /* 1302222 */   // Label 18659: @1302222
     /* 1302222 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302306), // Rule ID 9549 //
     /* 1302227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1302283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302305 */     // GIR_Coverage, 9549,
     /* 1302305 */     GIR_EraseRootFromParent_Done,
     /* 1302306 */   // Label 18660: @1302306
     /* 1302306 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302390), // Rule ID 9552 //
     /* 1302311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302389 */     // GIR_Coverage, 9552,
     /* 1302389 */     GIR_EraseRootFromParent_Done,
     /* 1302390 */   // Label 18661: @1302390
     /* 1302390 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302474), // Rule ID 9553 //
     /* 1302395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302473 */     // GIR_Coverage, 9553,
     /* 1302473 */     GIR_EraseRootFromParent_Done,
     /* 1302474 */   // Label 18662: @1302474
     /* 1302474 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302558), // Rule ID 9556 //
     /* 1302479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302557 */     // GIR_Coverage, 9556,
     /* 1302557 */     GIR_EraseRootFromParent_Done,
     /* 1302558 */   // Label 18663: @1302558
     /* 1302558 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302642), // Rule ID 9557 //
     /* 1302563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302641 */     // GIR_Coverage, 9557,
     /* 1302641 */     GIR_EraseRootFromParent_Done,
     /* 1302642 */   // Label 18664: @1302642
     /* 1302642 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302726), // Rule ID 9560 //
     /* 1302647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302725 */     // GIR_Coverage, 9560,
     /* 1302725 */     GIR_EraseRootFromParent_Done,
     /* 1302726 */   // Label 18665: @1302726
     /* 1302726 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302810), // Rule ID 9561 //
     /* 1302731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302809 */     // GIR_Coverage, 9561,
     /* 1302809 */     GIR_EraseRootFromParent_Done,
     /* 1302810 */   // Label 18666: @1302810
     /* 1302810 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302894), // Rule ID 9564 //
     /* 1302815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302893 */     // GIR_Coverage, 9564,
     /* 1302893 */     GIR_EraseRootFromParent_Done,
     /* 1302894 */   // Label 18667: @1302894
     /* 1302894 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302978), // Rule ID 9565 //
     /* 1302899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302977 */     // GIR_Coverage, 9565,
     /* 1302977 */     GIR_EraseRootFromParent_Done,
     /* 1302978 */   // Label 18668: @1302978
     /* 1302978 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1303062), // Rule ID 9568 //
     /* 1302983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303061 */     // GIR_Coverage, 9568,
     /* 1303061 */     GIR_EraseRootFromParent_Done,
     /* 1303062 */   // Label 18669: @1303062
     /* 1303062 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303146), // Rule ID 9569 //
     /* 1303067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303145 */     // GIR_Coverage, 9569,
     /* 1303145 */     GIR_EraseRootFromParent_Done,
     /* 1303146 */   // Label 18670: @1303146
     /* 1303146 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303230), // Rule ID 9572 //
     /* 1303151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303229 */     // GIR_Coverage, 9572,
     /* 1303229 */     GIR_EraseRootFromParent_Done,
     /* 1303230 */   // Label 18671: @1303230
     /* 1303230 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303314), // Rule ID 9573 //
     /* 1303235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303288 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303313 */     // GIR_Coverage, 9573,
     /* 1303313 */     GIR_EraseRootFromParent_Done,
     /* 1303314 */   // Label 18672: @1303314
     /* 1303314 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303398), // Rule ID 9576 //
     /* 1303319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303372 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303397 */     // GIR_Coverage, 9576,
     /* 1303397 */     GIR_EraseRootFromParent_Done,
     /* 1303398 */   // Label 18673: @1303398
     /* 1303398 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303482), // Rule ID 9577 //
     /* 1303403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303456 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303481 */     // GIR_Coverage, 9577,
     /* 1303481 */     GIR_EraseRootFromParent_Done,
     /* 1303482 */   // Label 18674: @1303482
     /* 1303482 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303566), // Rule ID 9580 //
     /* 1303487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303565 */     // GIR_Coverage, 9580,
     /* 1303565 */     GIR_EraseRootFromParent_Done,
     /* 1303566 */   // Label 18675: @1303566
     /* 1303566 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303650), // Rule ID 9581 //
     /* 1303571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303649 */     // GIR_Coverage, 9581,
     /* 1303649 */     GIR_EraseRootFromParent_Done,
     /* 1303650 */   // Label 18676: @1303650
     /* 1303650 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303734), // Rule ID 9584 //
     /* 1303655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303733 */     // GIR_Coverage, 9584,
     /* 1303733 */     GIR_EraseRootFromParent_Done,
     /* 1303734 */   // Label 18677: @1303734
     /* 1303734 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303818), // Rule ID 9585 //
     /* 1303739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303817 */     // GIR_Coverage, 9585,
     /* 1303817 */     GIR_EraseRootFromParent_Done,
     /* 1303818 */   // Label 18678: @1303818
     /* 1303818 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303902), // Rule ID 9588 //
     /* 1303823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303901 */     // GIR_Coverage, 9588,
     /* 1303901 */     GIR_EraseRootFromParent_Done,
     /* 1303902 */   // Label 18679: @1303902
     /* 1303902 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303986), // Rule ID 9589 //
     /* 1303907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303985 */     // GIR_Coverage, 9589,
     /* 1303985 */     GIR_EraseRootFromParent_Done,
     /* 1303986 */   // Label 18680: @1303986
     /* 1303986 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304070), // Rule ID 9592 //
     /* 1303991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304069 */     // GIR_Coverage, 9592,
     /* 1304069 */     GIR_EraseRootFromParent_Done,
     /* 1304070 */   // Label 18681: @1304070
     /* 1304070 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304154), // Rule ID 9593 //
     /* 1304075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304153 */     // GIR_Coverage, 9593,
     /* 1304153 */     GIR_EraseRootFromParent_Done,
     /* 1304154 */   // Label 18682: @1304154
     /* 1304154 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304238), // Rule ID 9596 //
     /* 1304159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304237 */     // GIR_Coverage, 9596,
     /* 1304237 */     GIR_EraseRootFromParent_Done,
     /* 1304238 */   // Label 18683: @1304238
     /* 1304238 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304322), // Rule ID 9597 //
     /* 1304243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304321 */     // GIR_Coverage, 9597,
     /* 1304321 */     GIR_EraseRootFromParent_Done,
     /* 1304322 */   // Label 18684: @1304322
     /* 1304322 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304406), // Rule ID 9600 //
     /* 1304327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304405 */     // GIR_Coverage, 9600,
     /* 1304405 */     GIR_EraseRootFromParent_Done,
     /* 1304406 */   // Label 18685: @1304406
     /* 1304406 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304490), // Rule ID 9601 //
     /* 1304411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304489 */     // GIR_Coverage, 9601,
     /* 1304489 */     GIR_EraseRootFromParent_Done,
     /* 1304490 */   // Label 18686: @1304490
     /* 1304490 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304574), // Rule ID 9604 //
     /* 1304495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304573 */     // GIR_Coverage, 9604,
     /* 1304573 */     GIR_EraseRootFromParent_Done,
     /* 1304574 */   // Label 18687: @1304574
     /* 1304574 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304658), // Rule ID 9605 //
     /* 1304579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304657 */     // GIR_Coverage, 9605,
     /* 1304657 */     GIR_EraseRootFromParent_Done,
     /* 1304658 */   // Label 18688: @1304658
     /* 1304658 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304742), // Rule ID 9608 //
     /* 1304663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304741 */     // GIR_Coverage, 9608,
     /* 1304741 */     GIR_EraseRootFromParent_Done,
     /* 1304742 */   // Label 18689: @1304742
     /* 1304742 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304826), // Rule ID 9609 //
     /* 1304747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304825 */     // GIR_Coverage, 9609,
     /* 1304825 */     GIR_EraseRootFromParent_Done,
     /* 1304826 */   // Label 18690: @1304826
     /* 1304826 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304910), // Rule ID 9612 //
     /* 1304831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304909 */     // GIR_Coverage, 9612,
     /* 1304909 */     GIR_EraseRootFromParent_Done,
     /* 1304910 */   // Label 18691: @1304910
     /* 1304910 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1304994), // Rule ID 9613 //
     /* 1304915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304993 */     // GIR_Coverage, 9613,
     /* 1304993 */     GIR_EraseRootFromParent_Done,
     /* 1304994 */   // Label 18692: @1304994
     /* 1304994 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305078), // Rule ID 9616 //
     /* 1304999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1305055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305077 */     // GIR_Coverage, 9616,
     /* 1305077 */     GIR_EraseRootFromParent_Done,
     /* 1305078 */   // Label 18693: @1305078
     /* 1305078 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305162), // Rule ID 9617 //
     /* 1305083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1305139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305161 */     // GIR_Coverage, 9617,
     /* 1305161 */     GIR_EraseRootFromParent_Done,
     /* 1305162 */   // Label 18694: @1305162
     /* 1305162 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305246), // Rule ID 9620 //
     /* 1305167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305245 */     // GIR_Coverage, 9620,
     /* 1305245 */     GIR_EraseRootFromParent_Done,
     /* 1305246 */   // Label 18695: @1305246
     /* 1305246 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305330), // Rule ID 9621 //
     /* 1305251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305329 */     // GIR_Coverage, 9621,
     /* 1305329 */     GIR_EraseRootFromParent_Done,
     /* 1305330 */   // Label 18696: @1305330
     /* 1305330 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305414), // Rule ID 9624 //
     /* 1305335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305413 */     // GIR_Coverage, 9624,
     /* 1305413 */     GIR_EraseRootFromParent_Done,
     /* 1305414 */   // Label 18697: @1305414
     /* 1305414 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305498), // Rule ID 9625 //
     /* 1305419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305497 */     // GIR_Coverage, 9625,
     /* 1305497 */     GIR_EraseRootFromParent_Done,
     /* 1305498 */   // Label 18698: @1305498
     /* 1305498 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305582), // Rule ID 9628 //
     /* 1305503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305581 */     // GIR_Coverage, 9628,
     /* 1305581 */     GIR_EraseRootFromParent_Done,
     /* 1305582 */   // Label 18699: @1305582
     /* 1305582 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305666), // Rule ID 9629 //
     /* 1305587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305665 */     // GIR_Coverage, 9629,
     /* 1305665 */     GIR_EraseRootFromParent_Done,
     /* 1305666 */   // Label 18700: @1305666
     /* 1305666 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305750), // Rule ID 9632 //
     /* 1305671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305749 */     // GIR_Coverage, 9632,
     /* 1305749 */     GIR_EraseRootFromParent_Done,
     /* 1305750 */   // Label 18701: @1305750
     /* 1305750 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305834), // Rule ID 9633 //
     /* 1305755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305833 */     // GIR_Coverage, 9633,
     /* 1305833 */     GIR_EraseRootFromParent_Done,
     /* 1305834 */   // Label 18702: @1305834
     /* 1305834 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305918), // Rule ID 9636 //
     /* 1305839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305917 */     // GIR_Coverage, 9636,
     /* 1305917 */     GIR_EraseRootFromParent_Done,
     /* 1305918 */   // Label 18703: @1305918
     /* 1305918 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1306002), // Rule ID 9637 //
     /* 1305923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306001 */     // GIR_Coverage, 9637,
     /* 1306001 */     GIR_EraseRootFromParent_Done,
     /* 1306002 */   // Label 18704: @1306002
     /* 1306002 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306086), // Rule ID 9640 //
     /* 1306007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306085 */     // GIR_Coverage, 9640,
     /* 1306085 */     GIR_EraseRootFromParent_Done,
     /* 1306086 */   // Label 18705: @1306086
     /* 1306086 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306170), // Rule ID 9641 //
     /* 1306091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306169 */     // GIR_Coverage, 9641,
     /* 1306169 */     GIR_EraseRootFromParent_Done,
     /* 1306170 */   // Label 18706: @1306170
     /* 1306170 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306254), // Rule ID 9644 //
     /* 1306175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306253 */     // GIR_Coverage, 9644,
     /* 1306253 */     GIR_EraseRootFromParent_Done,
     /* 1306254 */   // Label 18707: @1306254
     /* 1306254 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306338), // Rule ID 9645 //
     /* 1306259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306337 */     // GIR_Coverage, 9645,
     /* 1306337 */     GIR_EraseRootFromParent_Done,
     /* 1306338 */   // Label 18708: @1306338
     /* 1306338 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306422), // Rule ID 9648 //
     /* 1306343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306421 */     // GIR_Coverage, 9648,
     /* 1306421 */     GIR_EraseRootFromParent_Done,
     /* 1306422 */   // Label 18709: @1306422
     /* 1306422 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306506), // Rule ID 9649 //
     /* 1306427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306505 */     // GIR_Coverage, 9649,
     /* 1306505 */     GIR_EraseRootFromParent_Done,
     /* 1306506 */   // Label 18710: @1306506
     /* 1306506 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306590), // Rule ID 9652 //
     /* 1306511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306589 */     // GIR_Coverage, 9652,
     /* 1306589 */     GIR_EraseRootFromParent_Done,
     /* 1306590 */   // Label 18711: @1306590
     /* 1306590 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306674), // Rule ID 9653 //
     /* 1306595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306673 */     // GIR_Coverage, 9653,
     /* 1306673 */     GIR_EraseRootFromParent_Done,
     /* 1306674 */   // Label 18712: @1306674
     /* 1306674 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306758), // Rule ID 9656 //
     /* 1306679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306757 */     // GIR_Coverage, 9656,
     /* 1306757 */     GIR_EraseRootFromParent_Done,
     /* 1306758 */   // Label 18713: @1306758
     /* 1306758 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306842), // Rule ID 9657 //
     /* 1306763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306841 */     // GIR_Coverage, 9657,
     /* 1306841 */     GIR_EraseRootFromParent_Done,
     /* 1306842 */   // Label 18714: @1306842
     /* 1306842 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306926), // Rule ID 9660 //
     /* 1306847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306925 */     // GIR_Coverage, 9660,
     /* 1306925 */     GIR_EraseRootFromParent_Done,
     /* 1306926 */   // Label 18715: @1306926
     /* 1306926 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1307010), // Rule ID 9661 //
     /* 1306931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306984 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307009 */     // GIR_Coverage, 9661,
     /* 1307009 */     GIR_EraseRootFromParent_Done,
     /* 1307010 */   // Label 18716: @1307010
     /* 1307010 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307094), // Rule ID 9664 //
     /* 1307015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307093 */     // GIR_Coverage, 9664,
     /* 1307093 */     GIR_EraseRootFromParent_Done,
     /* 1307094 */   // Label 18717: @1307094
     /* 1307094 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307178), // Rule ID 9665 //
     /* 1307099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307152 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307177 */     // GIR_Coverage, 9665,
     /* 1307177 */     GIR_EraseRootFromParent_Done,
     /* 1307178 */   // Label 18718: @1307178
     /* 1307178 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307262), // Rule ID 9668 //
     /* 1307183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307261 */     // GIR_Coverage, 9668,
     /* 1307261 */     GIR_EraseRootFromParent_Done,
     /* 1307262 */   // Label 18719: @1307262
     /* 1307262 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307346), // Rule ID 9669 //
     /* 1307267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307345 */     // GIR_Coverage, 9669,
     /* 1307345 */     GIR_EraseRootFromParent_Done,
     /* 1307346 */   // Label 18720: @1307346
     /* 1307346 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307430), // Rule ID 9672 //
     /* 1307351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307429 */     // GIR_Coverage, 9672,
     /* 1307429 */     GIR_EraseRootFromParent_Done,
     /* 1307430 */   // Label 18721: @1307430
     /* 1307430 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307514), // Rule ID 9673 //
     /* 1307435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307513 */     // GIR_Coverage, 9673,
     /* 1307513 */     GIR_EraseRootFromParent_Done,
     /* 1307514 */   // Label 18722: @1307514
     /* 1307514 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307598), // Rule ID 9676 //
     /* 1307519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307597 */     // GIR_Coverage, 9676,
     /* 1307597 */     GIR_EraseRootFromParent_Done,
     /* 1307598 */   // Label 18723: @1307598
     /* 1307598 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307682), // Rule ID 9677 //
     /* 1307603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307656 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307681 */     // GIR_Coverage, 9677,
     /* 1307681 */     GIR_EraseRootFromParent_Done,
     /* 1307682 */   // Label 18724: @1307682
     /* 1307682 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307766), // Rule ID 9680 //
     /* 1307687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307765 */     // GIR_Coverage, 9680,
     /* 1307765 */     GIR_EraseRootFromParent_Done,
     /* 1307766 */   // Label 18725: @1307766
     /* 1307766 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307850), // Rule ID 9681 //
     /* 1307771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307849 */     // GIR_Coverage, 9681,
     /* 1307849 */     GIR_EraseRootFromParent_Done,
     /* 1307850 */   // Label 18726: @1307850
     /* 1307850 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307934), // Rule ID 9684 //
     /* 1307855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307933 */     // GIR_Coverage, 9684,
     /* 1307933 */     GIR_EraseRootFromParent_Done,
     /* 1307934 */   // Label 18727: @1307934
     /* 1307934 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1308018), // Rule ID 9685 //
     /* 1307939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308017 */     // GIR_Coverage, 9685,
     /* 1308017 */     GIR_EraseRootFromParent_Done,
     /* 1308018 */   // Label 18728: @1308018
     /* 1308018 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308102), // Rule ID 9688 //
     /* 1308023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308101 */     // GIR_Coverage, 9688,
     /* 1308101 */     GIR_EraseRootFromParent_Done,
     /* 1308102 */   // Label 18729: @1308102
     /* 1308102 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308186), // Rule ID 9689 //
     /* 1308107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308185 */     // GIR_Coverage, 9689,
     /* 1308185 */     GIR_EraseRootFromParent_Done,
     /* 1308186 */   // Label 18730: @1308186
     /* 1308186 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308270), // Rule ID 9692 //
     /* 1308191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1308247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308269 */     // GIR_Coverage, 9692,
     /* 1308269 */     GIR_EraseRootFromParent_Done,
     /* 1308270 */   // Label 18731: @1308270
     /* 1308270 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308354), // Rule ID 9693 //
     /* 1308275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1308331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308353 */     // GIR_Coverage, 9693,
     /* 1308353 */     GIR_EraseRootFromParent_Done,
     /* 1308354 */   // Label 18732: @1308354
     /* 1308354 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308438), // Rule ID 9696 //
     /* 1308359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308437 */     // GIR_Coverage, 9696,
     /* 1308437 */     GIR_EraseRootFromParent_Done,
     /* 1308438 */   // Label 18733: @1308438
     /* 1308438 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308522), // Rule ID 9697 //
     /* 1308443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308521 */     // GIR_Coverage, 9697,
     /* 1308521 */     GIR_EraseRootFromParent_Done,
     /* 1308522 */   // Label 18734: @1308522
     /* 1308522 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308606), // Rule ID 9700 //
     /* 1308527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308605 */     // GIR_Coverage, 9700,
     /* 1308605 */     GIR_EraseRootFromParent_Done,
     /* 1308606 */   // Label 18735: @1308606
     /* 1308606 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308690), // Rule ID 9701 //
     /* 1308611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308689 */     // GIR_Coverage, 9701,
     /* 1308689 */     GIR_EraseRootFromParent_Done,
     /* 1308690 */   // Label 18736: @1308690
     /* 1308690 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308774), // Rule ID 9704 //
     /* 1308695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308773 */     // GIR_Coverage, 9704,
     /* 1308773 */     GIR_EraseRootFromParent_Done,
     /* 1308774 */   // Label 18737: @1308774
     /* 1308774 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308858), // Rule ID 9705 //
     /* 1308779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308857 */     // GIR_Coverage, 9705,
     /* 1308857 */     GIR_EraseRootFromParent_Done,
     /* 1308858 */   // Label 18738: @1308858
     /* 1308858 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308942), // Rule ID 9708 //
     /* 1308863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308941 */     // GIR_Coverage, 9708,
     /* 1308941 */     GIR_EraseRootFromParent_Done,
     /* 1308942 */   // Label 18739: @1308942
     /* 1308942 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1309026), // Rule ID 9709 //
     /* 1308947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309025 */     // GIR_Coverage, 9709,
     /* 1309025 */     GIR_EraseRootFromParent_Done,
     /* 1309026 */   // Label 18740: @1309026
     /* 1309026 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309110), // Rule ID 9712 //
     /* 1309031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309109 */     // GIR_Coverage, 9712,
     /* 1309109 */     GIR_EraseRootFromParent_Done,
     /* 1309110 */   // Label 18741: @1309110
     /* 1309110 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309194), // Rule ID 9713 //
     /* 1309115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309193 */     // GIR_Coverage, 9713,
     /* 1309193 */     GIR_EraseRootFromParent_Done,
     /* 1309194 */   // Label 18742: @1309194
     /* 1309194 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309278), // Rule ID 9716 //
     /* 1309199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309277 */     // GIR_Coverage, 9716,
     /* 1309277 */     GIR_EraseRootFromParent_Done,
     /* 1309278 */   // Label 18743: @1309278
     /* 1309278 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309362), // Rule ID 9717 //
     /* 1309283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1309339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309361 */     // GIR_Coverage, 9717,
     /* 1309361 */     GIR_EraseRootFromParent_Done,
     /* 1309362 */   // Label 18744: @1309362
     /* 1309362 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309446), // Rule ID 9720 //
     /* 1309367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309445 */     // GIR_Coverage, 9720,
     /* 1309445 */     GIR_EraseRootFromParent_Done,
     /* 1309446 */   // Label 18745: @1309446
     /* 1309446 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309530), // Rule ID 9721 //
     /* 1309451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309529 */     // GIR_Coverage, 9721,
     /* 1309529 */     GIR_EraseRootFromParent_Done,
     /* 1309530 */   // Label 18746: @1309530
     /* 1309530 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309614), // Rule ID 9724 //
     /* 1309535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309613 */     // GIR_Coverage, 9724,
     /* 1309613 */     GIR_EraseRootFromParent_Done,
     /* 1309614 */   // Label 18747: @1309614
     /* 1309614 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309698), // Rule ID 9725 //
     /* 1309619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309697 */     // GIR_Coverage, 9725,
     /* 1309697 */     GIR_EraseRootFromParent_Done,
     /* 1309698 */   // Label 18748: @1309698
     /* 1309698 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1309782), // Rule ID 9728 //
     /* 1309703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309781 */     // GIR_Coverage, 9728,
     /* 1309781 */     GIR_EraseRootFromParent_Done,
     /* 1309782 */   // Label 18749: @1309782
     /* 1309782 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309866), // Rule ID 9729 //
     /* 1309787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309865 */     // GIR_Coverage, 9729,
     /* 1309865 */     GIR_EraseRootFromParent_Done,
     /* 1309866 */   // Label 18750: @1309866
     /* 1309866 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309950), // Rule ID 9732 //
     /* 1309871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309949 */     // GIR_Coverage, 9732,
     /* 1309949 */     GIR_EraseRootFromParent_Done,
     /* 1309950 */   // Label 18751: @1309950
     /* 1309950 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1310034), // Rule ID 9733 //
     /* 1309955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310033 */     // GIR_Coverage, 9733,
     /* 1310033 */     GIR_EraseRootFromParent_Done,
     /* 1310034 */   // Label 18752: @1310034
     /* 1310034 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310118), // Rule ID 9736 //
     /* 1310039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310117 */     // GIR_Coverage, 9736,
     /* 1310117 */     GIR_EraseRootFromParent_Done,
     /* 1310118 */   // Label 18753: @1310118
     /* 1310118 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310202), // Rule ID 9737 //
     /* 1310123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310201 */     // GIR_Coverage, 9737,
     /* 1310201 */     GIR_EraseRootFromParent_Done,
     /* 1310202 */   // Label 18754: @1310202
     /* 1310202 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310286), // Rule ID 9740 //
     /* 1310207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310285 */     // GIR_Coverage, 9740,
     /* 1310285 */     GIR_EraseRootFromParent_Done,
     /* 1310286 */   // Label 18755: @1310286
     /* 1310286 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310370), // Rule ID 9741 //
     /* 1310291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1310347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310369 */     // GIR_Coverage, 9741,
     /* 1310369 */     GIR_EraseRootFromParent_Done,
     /* 1310370 */   // Label 18756: @1310370
     /* 1310370 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310454), // Rule ID 9744 //
     /* 1310375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310453 */     // GIR_Coverage, 9744,
     /* 1310453 */     GIR_EraseRootFromParent_Done,
     /* 1310454 */   // Label 18757: @1310454
     /* 1310454 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310538), // Rule ID 9745 //
     /* 1310459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310537 */     // GIR_Coverage, 9745,
     /* 1310537 */     GIR_EraseRootFromParent_Done,
     /* 1310538 */   // Label 18758: @1310538
     /* 1310538 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310622), // Rule ID 9748 //
     /* 1310543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310596 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310621 */     // GIR_Coverage, 9748,
     /* 1310621 */     GIR_EraseRootFromParent_Done,
     /* 1310622 */   // Label 18759: @1310622
     /* 1310622 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310706), // Rule ID 9749 //
     /* 1310627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310705 */     // GIR_Coverage, 9749,
     /* 1310705 */     GIR_EraseRootFromParent_Done,
     /* 1310706 */   // Label 18760: @1310706
     /* 1310706 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1310790), // Rule ID 9752 //
     /* 1310711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310764 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310789 */     // GIR_Coverage, 9752,
     /* 1310789 */     GIR_EraseRootFromParent_Done,
     /* 1310790 */   // Label 18761: @1310790
     /* 1310790 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310874), // Rule ID 9753 //
     /* 1310795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310848 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310873 */     // GIR_Coverage, 9753,
     /* 1310873 */     GIR_EraseRootFromParent_Done,
     /* 1310874 */   // Label 18762: @1310874
     /* 1310874 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310958), // Rule ID 9756 //
     /* 1310879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310957 */     // GIR_Coverage, 9756,
     /* 1310957 */     GIR_EraseRootFromParent_Done,
     /* 1310958 */   // Label 18763: @1310958
     /* 1310958 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1311042), // Rule ID 9757 //
     /* 1310963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311041 */     // GIR_Coverage, 9757,
     /* 1311041 */     GIR_EraseRootFromParent_Done,
     /* 1311042 */   // Label 18764: @1311042
     /* 1311042 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311126), // Rule ID 9760 //
     /* 1311047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311125 */     // GIR_Coverage, 9760,
     /* 1311125 */     GIR_EraseRootFromParent_Done,
     /* 1311126 */   // Label 18765: @1311126
     /* 1311126 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311210), // Rule ID 9761 //
     /* 1311131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311209 */     // GIR_Coverage, 9761,
     /* 1311209 */     GIR_EraseRootFromParent_Done,
     /* 1311210 */   // Label 18766: @1311210
     /* 1311210 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311294), // Rule ID 9764 //
     /* 1311215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311293 */     // GIR_Coverage, 9764,
     /* 1311293 */     GIR_EraseRootFromParent_Done,
     /* 1311294 */   // Label 18767: @1311294
     /* 1311294 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311378), // Rule ID 9765 //
     /* 1311299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311377 */     // GIR_Coverage, 9765,
     /* 1311377 */     GIR_EraseRootFromParent_Done,
     /* 1311378 */   // Label 18768: @1311378
     /* 1311378 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311462), // Rule ID 9768 //
     /* 1311383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311461 */     // GIR_Coverage, 9768,
     /* 1311461 */     GIR_EraseRootFromParent_Done,
     /* 1311462 */   // Label 18769: @1311462
     /* 1311462 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311546), // Rule ID 9769 //
     /* 1311467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311545 */     // GIR_Coverage, 9769,
     /* 1311545 */     GIR_EraseRootFromParent_Done,
     /* 1311546 */   // Label 18770: @1311546
     /* 1311546 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311630), // Rule ID 9772 //
     /* 1311551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311629 */     // GIR_Coverage, 9772,
     /* 1311629 */     GIR_EraseRootFromParent_Done,
     /* 1311630 */   // Label 18771: @1311630
     /* 1311630 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1311714), // Rule ID 9773 //
     /* 1311635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311713 */     // GIR_Coverage, 9773,
     /* 1311713 */     GIR_EraseRootFromParent_Done,
     /* 1311714 */   // Label 18772: @1311714
     /* 1311714 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311798), // Rule ID 9776 //
     /* 1311719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311797 */     // GIR_Coverage, 9776,
     /* 1311797 */     GIR_EraseRootFromParent_Done,
     /* 1311798 */   // Label 18773: @1311798
     /* 1311798 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311882), // Rule ID 9777 //
     /* 1311803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311881 */     // GIR_Coverage, 9777,
     /* 1311881 */     GIR_EraseRootFromParent_Done,
     /* 1311882 */   // Label 18774: @1311882
     /* 1311882 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311966), // Rule ID 9780 //
     /* 1311887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311965 */     // GIR_Coverage, 9780,
     /* 1311965 */     GIR_EraseRootFromParent_Done,
     /* 1311966 */   // Label 18775: @1311966
     /* 1311966 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1312050), // Rule ID 9781 //
     /* 1311971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1312027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312049 */     // GIR_Coverage, 9781,
     /* 1312049 */     GIR_EraseRootFromParent_Done,
     /* 1312050 */   // Label 18776: @1312050
     /* 1312050 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312134), // Rule ID 9784 //
     /* 1312055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1312111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312133 */     // GIR_Coverage, 9784,
     /* 1312133 */     GIR_EraseRootFromParent_Done,
     /* 1312134 */   // Label 18777: @1312134
     /* 1312134 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312218), // Rule ID 9785 //
     /* 1312139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1312195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312217 */     // GIR_Coverage, 9785,
     /* 1312217 */     GIR_EraseRootFromParent_Done,
     /* 1312218 */   // Label 18778: @1312218
     /* 1312218 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312302), // Rule ID 9788 //
     /* 1312223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1312279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312301 */     // GIR_Coverage, 9788,
     /* 1312301 */     GIR_EraseRootFromParent_Done,
     /* 1312302 */   // Label 18779: @1312302
     /* 1312302 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312386), // Rule ID 9789 //
     /* 1312307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1312363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312385 */     // GIR_Coverage, 9789,
     /* 1312385 */     GIR_EraseRootFromParent_Done,
     /* 1312386 */   // Label 18780: @1312386
     /* 1312386 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312467), // Rule ID 13730 //
     /* 1312391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312466 */     // GIR_Coverage, 13730,
     /* 1312466 */     GIR_EraseRootFromParent_Done,
     /* 1312467 */   // Label 18781: @1312467
     /* 1312467 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312548), // Rule ID 13731 //
     /* 1312472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312525 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312547 */     // GIR_Coverage, 13731,
     /* 1312547 */     GIR_EraseRootFromParent_Done,
     /* 1312548 */   // Label 18782: @1312548
     /* 1312548 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1312629), // Rule ID 13732 //
     /* 1312553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312628 */     // GIR_Coverage, 13732,
     /* 1312628 */     GIR_EraseRootFromParent_Done,
     /* 1312629 */   // Label 18783: @1312629
     /* 1312629 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1312710), // Rule ID 13733 //
     /* 1312634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312687 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312709 */     // GIR_Coverage, 13733,
     /* 1312709 */     GIR_EraseRootFromParent_Done,
     /* 1312710 */   // Label 18784: @1312710
     /* 1312710 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312791), // Rule ID 13734 //
     /* 1312715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312790 */     // GIR_Coverage, 13734,
     /* 1312790 */     GIR_EraseRootFromParent_Done,
     /* 1312791 */   // Label 18785: @1312791
     /* 1312791 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312872), // Rule ID 13735 //
     /* 1312796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312871 */     // GIR_Coverage, 13735,
     /* 1312871 */     GIR_EraseRootFromParent_Done,
     /* 1312872 */   // Label 18786: @1312872
     /* 1312872 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312953), // Rule ID 13736 //
     /* 1312877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312952 */     // GIR_Coverage, 13736,
     /* 1312952 */     GIR_EraseRootFromParent_Done,
     /* 1312953 */   // Label 18787: @1312953
     /* 1312953 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1313034), // Rule ID 13737 //
     /* 1312958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1313014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313033 */     // GIR_Coverage, 13737,
     /* 1313033 */     GIR_EraseRootFromParent_Done,
     /* 1313034 */   // Label 18788: @1313034
     /* 1313034 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313115), // Rule ID 13738 //
     /* 1313039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313114 */     // GIR_Coverage, 13738,
     /* 1313114 */     GIR_EraseRootFromParent_Done,
     /* 1313115 */   // Label 18789: @1313115
     /* 1313115 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313196), // Rule ID 13739 //
     /* 1313120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313195 */     // GIR_Coverage, 13739,
     /* 1313195 */     GIR_EraseRootFromParent_Done,
     /* 1313196 */   // Label 18790: @1313196
     /* 1313196 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313277), // Rule ID 13740 //
     /* 1313201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313276 */     // GIR_Coverage, 13740,
     /* 1313276 */     GIR_EraseRootFromParent_Done,
     /* 1313277 */   // Label 18791: @1313277
     /* 1313277 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313358), // Rule ID 13741 //
     /* 1313282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1313338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313357 */     // GIR_Coverage, 13741,
     /* 1313357 */     GIR_EraseRootFromParent_Done,
     /* 1313358 */   // Label 18792: @1313358
     /* 1313358 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313439), // Rule ID 13742 //
     /* 1313363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313438 */     // GIR_Coverage, 13742,
     /* 1313438 */     GIR_EraseRootFromParent_Done,
     /* 1313439 */   // Label 18793: @1313439
     /* 1313439 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313520), // Rule ID 13743 //
     /* 1313444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313519 */     // GIR_Coverage, 13743,
     /* 1313519 */     GIR_EraseRootFromParent_Done,
     /* 1313520 */   // Label 18794: @1313520
     /* 1313520 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1313601), // Rule ID 13744 //
     /* 1313525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313600 */     // GIR_Coverage, 13744,
     /* 1313600 */     GIR_EraseRootFromParent_Done,
     /* 1313601 */   // Label 18795: @1313601
     /* 1313601 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1313682), // Rule ID 13745 //
     /* 1313606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313681 */     // GIR_Coverage, 13745,
     /* 1313681 */     GIR_EraseRootFromParent_Done,
     /* 1313682 */   // Label 18796: @1313682
     /* 1313682 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313763), // Rule ID 13746 //
     /* 1313687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313762 */     // GIR_Coverage, 13746,
     /* 1313762 */     GIR_EraseRootFromParent_Done,
     /* 1313763 */   // Label 18797: @1313763
     /* 1313763 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313844), // Rule ID 13747 //
     /* 1313768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313843 */     // GIR_Coverage, 13747,
     /* 1313843 */     GIR_EraseRootFromParent_Done,
     /* 1313844 */   // Label 18798: @1313844
     /* 1313844 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313925), // Rule ID 13748 //
     /* 1313849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313924 */     // GIR_Coverage, 13748,
     /* 1313924 */     GIR_EraseRootFromParent_Done,
     /* 1313925 */   // Label 18799: @1313925
     /* 1313925 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1314006), // Rule ID 13749 //
     /* 1313930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314005 */     // GIR_Coverage, 13749,
     /* 1314005 */     GIR_EraseRootFromParent_Done,
     /* 1314006 */   // Label 18800: @1314006
     /* 1314006 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1314087), // Rule ID 13750 //
     /* 1314011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1314022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1314025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314064 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314086 */     // GIR_Coverage, 13750,
     /* 1314086 */     GIR_EraseRootFromParent_Done,
     /* 1314087 */   // Label 18801: @1314087
     /* 1314087 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314168), // Rule ID 13751 //
     /* 1314092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1314103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1314106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314145 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314167 */     // GIR_Coverage, 13751,
     /* 1314167 */     GIR_EraseRootFromParent_Done,
     /* 1314168 */   // Label 18802: @1314168
     /* 1314168 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314249), // Rule ID 13752 //
     /* 1314173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1314184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1314187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314248 */     // GIR_Coverage, 13752,
     /* 1314248 */     GIR_EraseRootFromParent_Done,
     /* 1314249 */   // Label 18803: @1314249
     /* 1314249 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314330), // Rule ID 13753 //
     /* 1314254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1314265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1314268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314307 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314329 */     // GIR_Coverage, 13753,
     /* 1314329 */     GIR_EraseRootFromParent_Done,
     /* 1314330 */   // Label 18804: @1314330
     /* 1314330 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1314411), // Rule ID 13754 //
     /* 1314335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1314346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1314349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314410 */     // GIR_Coverage, 13754,
     /* 1314410 */     GIR_EraseRootFromParent_Done,
     /* 1314411 */   // Label 18805: @1314411
     /* 1314411 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1314492), // Rule ID 13755 //
     /* 1314416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1314427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1314430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314469 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314491 */     // GIR_Coverage, 13755,
     /* 1314491 */     GIR_EraseRootFromParent_Done,
     /* 1314492 */   // Label 18806: @1314492
     /* 1314492 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1314573), // Rule ID 13756 //
     /* 1314497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314572 */     // GIR_Coverage, 13756,
     /* 1314572 */     GIR_EraseRootFromParent_Done,
     /* 1314573 */   // Label 18807: @1314573
     /* 1314573 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1314654), // Rule ID 13757 //
     /* 1314578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314653 */     // GIR_Coverage, 13757,
     /* 1314653 */     GIR_EraseRootFromParent_Done,
     /* 1314654 */   // Label 18808: @1314654
     /* 1314654 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314735), // Rule ID 13758 //
     /* 1314659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314734 */     // GIR_Coverage, 13758,
     /* 1314734 */     GIR_EraseRootFromParent_Done,
     /* 1314735 */   // Label 18809: @1314735
     /* 1314735 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314816), // Rule ID 13759 //
     /* 1314740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314815 */     // GIR_Coverage, 13759,
     /* 1314815 */     GIR_EraseRootFromParent_Done,
     /* 1314816 */   // Label 18810: @1314816
     /* 1314816 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314897), // Rule ID 13760 //
     /* 1314821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314896 */     // GIR_Coverage, 13760,
     /* 1314896 */     GIR_EraseRootFromParent_Done,
     /* 1314897 */   // Label 18811: @1314897
     /* 1314897 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314978), // Rule ID 13761 //
     /* 1314902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314977 */     // GIR_Coverage, 13761,
     /* 1314977 */     GIR_EraseRootFromParent_Done,
     /* 1314978 */   // Label 18812: @1314978
     /* 1314978 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1315059), // Rule ID 13762 //
     /* 1314983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315058 */     // GIR_Coverage, 13762,
     /* 1315058 */     GIR_EraseRootFromParent_Done,
     /* 1315059 */   // Label 18813: @1315059
     /* 1315059 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315140), // Rule ID 13763 //
     /* 1315064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1315075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1315078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315139 */     // GIR_Coverage, 13763,
     /* 1315139 */     GIR_EraseRootFromParent_Done,
     /* 1315140 */   // Label 18814: @1315140
     /* 1315140 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315221), // Rule ID 13764 //
     /* 1315145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1315156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1315159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315220 */     // GIR_Coverage, 13764,
     /* 1315220 */     GIR_EraseRootFromParent_Done,
     /* 1315221 */   // Label 18815: @1315221
     /* 1315221 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315302), // Rule ID 13765 //
     /* 1315226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1315237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1315240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315301 */     // GIR_Coverage, 13765,
     /* 1315301 */     GIR_EraseRootFromParent_Done,
     /* 1315302 */   // Label 18816: @1315302
     /* 1315302 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1315383), // Rule ID 13766 //
     /* 1315307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1315318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1315321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315382 */     // GIR_Coverage, 13766,
     /* 1315382 */     GIR_EraseRootFromParent_Done,
     /* 1315383 */   // Label 18817: @1315383
     /* 1315383 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1315464), // Rule ID 13767 //
     /* 1315388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1315399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1315402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315463 */     // GIR_Coverage, 13767,
     /* 1315463 */     GIR_EraseRootFromParent_Done,
     /* 1315464 */   // Label 18818: @1315464
     /* 1315464 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1315545), // Rule ID 13768 //
     /* 1315469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315544 */     // GIR_Coverage, 13768,
     /* 1315544 */     GIR_EraseRootFromParent_Done,
     /* 1315545 */   // Label 18819: @1315545
     /* 1315545 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1315626), // Rule ID 13769 //
     /* 1315550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315625 */     // GIR_Coverage, 13769,
     /* 1315625 */     GIR_EraseRootFromParent_Done,
     /* 1315626 */   // Label 18820: @1315626
     /* 1315626 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315707), // Rule ID 13770 //
     /* 1315631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315706 */     // GIR_Coverage, 13770,
     /* 1315706 */     GIR_EraseRootFromParent_Done,
     /* 1315707 */   // Label 18821: @1315707
     /* 1315707 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315788), // Rule ID 13771 //
     /* 1315712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315787 */     // GIR_Coverage, 13771,
     /* 1315787 */     GIR_EraseRootFromParent_Done,
     /* 1315788 */   // Label 18822: @1315788
     /* 1315788 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315869), // Rule ID 13772 //
     /* 1315793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315868 */     // GIR_Coverage, 13772,
     /* 1315868 */     GIR_EraseRootFromParent_Done,
     /* 1315869 */   // Label 18823: @1315869
     /* 1315869 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315950), // Rule ID 13773 //
     /* 1315874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315949 */     // GIR_Coverage, 13773,
     /* 1315949 */     GIR_EraseRootFromParent_Done,
     /* 1315950 */   // Label 18824: @1315950
     /* 1315950 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1316031), // Rule ID 13774 //
     /* 1315955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1316011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316030 */     // GIR_Coverage, 13774,
     /* 1316030 */     GIR_EraseRootFromParent_Done,
     /* 1316031 */   // Label 18825: @1316031
     /* 1316031 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316112), // Rule ID 13775 //
     /* 1316036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1316047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1316050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1316053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1316092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316111 */     // GIR_Coverage, 13775,
     /* 1316111 */     GIR_EraseRootFromParent_Done,
     /* 1316112 */   // Label 18826: @1316112
     /* 1316112 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316193), // Rule ID 13776 //
     /* 1316117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316192 */     // GIR_Coverage, 13776,
     /* 1316192 */     GIR_EraseRootFromParent_Done,
     /* 1316193 */   // Label 18827: @1316193
     /* 1316193 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316274), // Rule ID 13777 //
     /* 1316198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316251 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316273 */     // GIR_Coverage, 13777,
     /* 1316273 */     GIR_EraseRootFromParent_Done,
     /* 1316274 */   // Label 18828: @1316274
     /* 1316274 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1316355), // Rule ID 13778 //
     /* 1316279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316332 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316354 */     // GIR_Coverage, 13778,
     /* 1316354 */     GIR_EraseRootFromParent_Done,
     /* 1316355 */   // Label 18829: @1316355
     /* 1316355 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1316436), // Rule ID 13779 //
     /* 1316360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316435 */     // GIR_Coverage, 13779,
     /* 1316435 */     GIR_EraseRootFromParent_Done,
     /* 1316436 */   // Label 18830: @1316436
     /* 1316436 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1316517), // Rule ID 13780 //
     /* 1316441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316516 */     // GIR_Coverage, 13780,
     /* 1316516 */     GIR_EraseRootFromParent_Done,
     /* 1316517 */   // Label 18831: @1316517
     /* 1316517 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1316598), // Rule ID 13781 //
     /* 1316522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316597 */     // GIR_Coverage, 13781,
     /* 1316597 */     GIR_EraseRootFromParent_Done,
     /* 1316598 */   // Label 18832: @1316598
     /* 1316598 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316679), // Rule ID 13782 //
     /* 1316603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316678 */     // GIR_Coverage, 13782,
     /* 1316678 */     GIR_EraseRootFromParent_Done,
     /* 1316679 */   // Label 18833: @1316679
     /* 1316679 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316760), // Rule ID 13783 //
     /* 1316684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316737 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316759 */     // GIR_Coverage, 13783,
     /* 1316759 */     GIR_EraseRootFromParent_Done,
     /* 1316760 */   // Label 18834: @1316760
     /* 1316760 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316841), // Rule ID 13784 //
     /* 1316765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316840 */     // GIR_Coverage, 13784,
     /* 1316840 */     GIR_EraseRootFromParent_Done,
     /* 1316841 */   // Label 18835: @1316841
     /* 1316841 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316922), // Rule ID 13785 //
     /* 1316846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1316899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316921 */     // GIR_Coverage, 13785,
     /* 1316921 */     GIR_EraseRootFromParent_Done,
     /* 1316922 */   // Label 18836: @1316922
     /* 1316922 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1317003), // Rule ID 13786 //
     /* 1316927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317002 */     // GIR_Coverage, 13786,
     /* 1317002 */     GIR_EraseRootFromParent_Done,
     /* 1317003 */   // Label 18837: @1317003
     /* 1317003 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1317084), // Rule ID 13787 //
     /* 1317008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1317025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317083 */     // GIR_Coverage, 13787,
     /* 1317083 */     GIR_EraseRootFromParent_Done,
     /* 1317084 */   // Label 18838: @1317084
     /* 1317084 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317165), // Rule ID 13788 //
     /* 1317089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317164 */     // GIR_Coverage, 13788,
     /* 1317164 */     GIR_EraseRootFromParent_Done,
     /* 1317165 */   // Label 18839: @1317165
     /* 1317165 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317246), // Rule ID 13789 //
     /* 1317170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317245 */     // GIR_Coverage, 13789,
     /* 1317245 */     GIR_EraseRootFromParent_Done,
     /* 1317246 */   // Label 18840: @1317246
     /* 1317246 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317327), // Rule ID 13790 //
     /* 1317251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317326 */     // GIR_Coverage, 13790,
     /* 1317326 */     GIR_EraseRootFromParent_Done,
     /* 1317327 */   // Label 18841: @1317327
     /* 1317327 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1317408), // Rule ID 13791 //
     /* 1317332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317407 */     // GIR_Coverage, 13791,
     /* 1317407 */     GIR_EraseRootFromParent_Done,
     /* 1317408 */   // Label 18842: @1317408
     /* 1317408 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1317489), // Rule ID 13792 //
     /* 1317413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317488 */     // GIR_Coverage, 13792,
     /* 1317488 */     GIR_EraseRootFromParent_Done,
     /* 1317489 */   // Label 18843: @1317489
     /* 1317489 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1317570), // Rule ID 13793 //
     /* 1317494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317569 */     // GIR_Coverage, 13793,
     /* 1317569 */     GIR_EraseRootFromParent_Done,
     /* 1317570 */   // Label 18844: @1317570
     /* 1317570 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317651), // Rule ID 13794 //
     /* 1317575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317650 */     // GIR_Coverage, 13794,
     /* 1317650 */     GIR_EraseRootFromParent_Done,
     /* 1317651 */   // Label 18845: @1317651
     /* 1317651 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317732), // Rule ID 13795 //
     /* 1317656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317731 */     // GIR_Coverage, 13795,
     /* 1317731 */     GIR_EraseRootFromParent_Done,
     /* 1317732 */   // Label 18846: @1317732
     /* 1317732 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317813), // Rule ID 13796 //
     /* 1317737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317812 */     // GIR_Coverage, 13796,
     /* 1317812 */     GIR_EraseRootFromParent_Done,
     /* 1317813 */   // Label 18847: @1317813
     /* 1317813 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317894), // Rule ID 13797 //
     /* 1317818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317893 */     // GIR_Coverage, 13797,
     /* 1317893 */     GIR_EraseRootFromParent_Done,
     /* 1317894 */   // Label 18848: @1317894
     /* 1317894 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317975), // Rule ID 13798 //
     /* 1317899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317974 */     // GIR_Coverage, 13798,
     /* 1317974 */     GIR_EraseRootFromParent_Done,
     /* 1317975 */   // Label 18849: @1317975
     /* 1317975 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1318056), // Rule ID 13799 //
     /* 1317980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1318003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318033 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318055 */     // GIR_Coverage, 13799,
     /* 1318055 */     GIR_EraseRootFromParent_Done,
     /* 1318056 */   // Label 18850: @1318056
     /* 1318056 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318137), // Rule ID 13800 //
     /* 1318061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318136 */     // GIR_Coverage, 13800,
     /* 1318136 */     GIR_EraseRootFromParent_Done,
     /* 1318137 */   // Label 18851: @1318137
     /* 1318137 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318218), // Rule ID 13801 //
     /* 1318142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318217 */     // GIR_Coverage, 13801,
     /* 1318217 */     GIR_EraseRootFromParent_Done,
     /* 1318218 */   // Label 18852: @1318218
     /* 1318218 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318299), // Rule ID 13802 //
     /* 1318223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318298 */     // GIR_Coverage, 13802,
     /* 1318298 */     GIR_EraseRootFromParent_Done,
     /* 1318299 */   // Label 18853: @1318299
     /* 1318299 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1318380), // Rule ID 13803 //
     /* 1318304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318379 */     // GIR_Coverage, 13803,
     /* 1318379 */     GIR_EraseRootFromParent_Done,
     /* 1318380 */   // Label 18854: @1318380
     /* 1318380 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1318461), // Rule ID 13804 //
     /* 1318385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318460 */     // GIR_Coverage, 13804,
     /* 1318460 */     GIR_EraseRootFromParent_Done,
     /* 1318461 */   // Label 18855: @1318461
     /* 1318461 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1318542), // Rule ID 13805 //
     /* 1318466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318519 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318541 */     // GIR_Coverage, 13805,
     /* 1318541 */     GIR_EraseRootFromParent_Done,
     /* 1318542 */   // Label 18856: @1318542
     /* 1318542 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318623), // Rule ID 13806 //
     /* 1318547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318622 */     // GIR_Coverage, 13806,
     /* 1318622 */     GIR_EraseRootFromParent_Done,
     /* 1318623 */   // Label 18857: @1318623
     /* 1318623 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318704), // Rule ID 13807 //
     /* 1318628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318703 */     // GIR_Coverage, 13807,
     /* 1318703 */     GIR_EraseRootFromParent_Done,
     /* 1318704 */   // Label 18858: @1318704
     /* 1318704 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318785), // Rule ID 13808 //
     /* 1318709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318784 */     // GIR_Coverage, 13808,
     /* 1318784 */     GIR_EraseRootFromParent_Done,
     /* 1318785 */   // Label 18859: @1318785
     /* 1318785 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318866), // Rule ID 13809 //
     /* 1318790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318865 */     // GIR_Coverage, 13809,
     /* 1318865 */     GIR_EraseRootFromParent_Done,
     /* 1318866 */   // Label 18860: @1318866
     /* 1318866 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318947), // Rule ID 13810 //
     /* 1318871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318946 */     // GIR_Coverage, 13810,
     /* 1318946 */     GIR_EraseRootFromParent_Done,
     /* 1318947 */   // Label 18861: @1318947
     /* 1318947 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1319028), // Rule ID 13811 //
     /* 1318952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319027 */     // GIR_Coverage, 13811,
     /* 1319027 */     GIR_EraseRootFromParent_Done,
     /* 1319028 */   // Label 18862: @1319028
     /* 1319028 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319109), // Rule ID 13812 //
     /* 1319033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1319089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319108 */     // GIR_Coverage, 13812,
     /* 1319108 */     GIR_EraseRootFromParent_Done,
     /* 1319109 */   // Label 18863: @1319109
     /* 1319109 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319190), // Rule ID 13813 //
     /* 1319114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1319170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319189 */     // GIR_Coverage, 13813,
     /* 1319189 */     GIR_EraseRootFromParent_Done,
     /* 1319190 */   // Label 18864: @1319190
     /* 1319190 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319271), // Rule ID 13814 //
     /* 1319195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1319251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319270 */     // GIR_Coverage, 13814,
     /* 1319270 */     GIR_EraseRootFromParent_Done,
     /* 1319271 */   // Label 18865: @1319271
     /* 1319271 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1319352), // Rule ID 13815 //
     /* 1319276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319329 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1319332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319351 */     // GIR_Coverage, 13815,
     /* 1319351 */     GIR_EraseRootFromParent_Done,
     /* 1319352 */   // Label 18866: @1319352
     /* 1319352 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1319433), // Rule ID 13816 //
     /* 1319357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319432 */     // GIR_Coverage, 13816,
     /* 1319432 */     GIR_EraseRootFromParent_Done,
     /* 1319433 */   // Label 18867: @1319433
     /* 1319433 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1319514), // Rule ID 13817 //
     /* 1319438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319491 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319513 */     // GIR_Coverage, 13817,
     /* 1319513 */     GIR_EraseRootFromParent_Done,
     /* 1319514 */   // Label 18868: @1319514
     /* 1319514 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1319598), // Rule ID 19656 //
     /* 1319519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319597 */     // GIR_Coverage, 19656,
     /* 1319597 */     GIR_EraseRootFromParent_Done,
     /* 1319598 */   // Label 18869: @1319598
     /* 1319598 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319682), // Rule ID 19657 //
     /* 1319603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319681 */     // GIR_Coverage, 19657,
     /* 1319681 */     GIR_EraseRootFromParent_Done,
     /* 1319682 */   // Label 18870: @1319682
     /* 1319682 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319766), // Rule ID 19660 //
     /* 1319687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319765 */     // GIR_Coverage, 19660,
     /* 1319765 */     GIR_EraseRootFromParent_Done,
     /* 1319766 */   // Label 18871: @1319766
     /* 1319766 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319850), // Rule ID 19661 //
     /* 1319771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319849 */     // GIR_Coverage, 19661,
     /* 1319849 */     GIR_EraseRootFromParent_Done,
     /* 1319850 */   // Label 18872: @1319850
     /* 1319850 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319934), // Rule ID 19664 //
     /* 1319855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319933 */     // GIR_Coverage, 19664,
     /* 1319933 */     GIR_EraseRootFromParent_Done,
     /* 1319934 */   // Label 18873: @1319934
     /* 1319934 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1320018), // Rule ID 19665 //
     /* 1319939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320017 */     // GIR_Coverage, 19665,
     /* 1320017 */     GIR_EraseRootFromParent_Done,
     /* 1320018 */   // Label 18874: @1320018
     /* 1320018 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320102), // Rule ID 19668 //
     /* 1320023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320101 */     // GIR_Coverage, 19668,
     /* 1320101 */     GIR_EraseRootFromParent_Done,
     /* 1320102 */   // Label 18875: @1320102
     /* 1320102 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320186), // Rule ID 19669 //
     /* 1320107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320185 */     // GIR_Coverage, 19669,
     /* 1320185 */     GIR_EraseRootFromParent_Done,
     /* 1320186 */   // Label 18876: @1320186
     /* 1320186 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1320270), // Rule ID 19672 //
     /* 1320191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320269 */     // GIR_Coverage, 19672,
     /* 1320269 */     GIR_EraseRootFromParent_Done,
     /* 1320270 */   // Label 18877: @1320270
     /* 1320270 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1320354), // Rule ID 19673 //
     /* 1320275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320353 */     // GIR_Coverage, 19673,
     /* 1320353 */     GIR_EraseRootFromParent_Done,
     /* 1320354 */   // Label 18878: @1320354
     /* 1320354 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1320438), // Rule ID 19676 //
     /* 1320359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320437 */     // GIR_Coverage, 19676,
     /* 1320437 */     GIR_EraseRootFromParent_Done,
     /* 1320438 */   // Label 18879: @1320438
     /* 1320438 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1320522), // Rule ID 19677 //
     /* 1320443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320521 */     // GIR_Coverage, 19677,
     /* 1320521 */     GIR_EraseRootFromParent_Done,
     /* 1320522 */   // Label 18880: @1320522
     /* 1320522 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1320606), // Rule ID 19680 //
     /* 1320527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320605 */     // GIR_Coverage, 19680,
     /* 1320605 */     GIR_EraseRootFromParent_Done,
     /* 1320606 */   // Label 18881: @1320606
     /* 1320606 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320690), // Rule ID 19681 //
     /* 1320611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320689 */     // GIR_Coverage, 19681,
     /* 1320689 */     GIR_EraseRootFromParent_Done,
     /* 1320690 */   // Label 18882: @1320690
     /* 1320690 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320774), // Rule ID 19684 //
     /* 1320695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320773 */     // GIR_Coverage, 19684,
     /* 1320773 */     GIR_EraseRootFromParent_Done,
     /* 1320774 */   // Label 18883: @1320774
     /* 1320774 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320858), // Rule ID 19685 //
     /* 1320779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320857 */     // GIR_Coverage, 19685,
     /* 1320857 */     GIR_EraseRootFromParent_Done,
     /* 1320858 */   // Label 18884: @1320858
     /* 1320858 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320942), // Rule ID 19688 //
     /* 1320863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320941 */     // GIR_Coverage, 19688,
     /* 1320941 */     GIR_EraseRootFromParent_Done,
     /* 1320942 */   // Label 18885: @1320942
     /* 1320942 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1321026), // Rule ID 19689 //
     /* 1320947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321000 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321025 */     // GIR_Coverage, 19689,
     /* 1321025 */     GIR_EraseRootFromParent_Done,
     /* 1321026 */   // Label 18886: @1321026
     /* 1321026 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321110), // Rule ID 19692 //
     /* 1321031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321109 */     // GIR_Coverage, 19692,
     /* 1321109 */     GIR_EraseRootFromParent_Done,
     /* 1321110 */   // Label 18887: @1321110
     /* 1321110 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321194), // Rule ID 19693 //
     /* 1321115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321193 */     // GIR_Coverage, 19693,
     /* 1321193 */     GIR_EraseRootFromParent_Done,
     /* 1321194 */   // Label 18888: @1321194
     /* 1321194 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1321278), // Rule ID 19696 //
     /* 1321199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321277 */     // GIR_Coverage, 19696,
     /* 1321277 */     GIR_EraseRootFromParent_Done,
     /* 1321278 */   // Label 18889: @1321278
     /* 1321278 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1321362), // Rule ID 19697 //
     /* 1321283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321361 */     // GIR_Coverage, 19697,
     /* 1321361 */     GIR_EraseRootFromParent_Done,
     /* 1321362 */   // Label 18890: @1321362
     /* 1321362 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1321446), // Rule ID 19700 //
     /* 1321367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321445 */     // GIR_Coverage, 19700,
     /* 1321445 */     GIR_EraseRootFromParent_Done,
     /* 1321446 */   // Label 18891: @1321446
     /* 1321446 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1321530), // Rule ID 19701 //
     /* 1321451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321529 */     // GIR_Coverage, 19701,
     /* 1321529 */     GIR_EraseRootFromParent_Done,
     /* 1321530 */   // Label 18892: @1321530
     /* 1321530 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1321614), // Rule ID 19704 //
     /* 1321535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321613 */     // GIR_Coverage, 19704,
     /* 1321613 */     GIR_EraseRootFromParent_Done,
     /* 1321614 */   // Label 18893: @1321614
     /* 1321614 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321698), // Rule ID 19705 //
     /* 1321619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321697 */     // GIR_Coverage, 19705,
     /* 1321697 */     GIR_EraseRootFromParent_Done,
     /* 1321698 */   // Label 18894: @1321698
     /* 1321698 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321782), // Rule ID 19708 //
     /* 1321703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321781 */     // GIR_Coverage, 19708,
     /* 1321781 */     GIR_EraseRootFromParent_Done,
     /* 1321782 */   // Label 18895: @1321782
     /* 1321782 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321866), // Rule ID 19709 //
     /* 1321787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321865 */     // GIR_Coverage, 19709,
     /* 1321865 */     GIR_EraseRootFromParent_Done,
     /* 1321866 */   // Label 18896: @1321866
     /* 1321866 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321950), // Rule ID 19712 //
     /* 1321871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321949 */     // GIR_Coverage, 19712,
     /* 1321949 */     GIR_EraseRootFromParent_Done,
     /* 1321950 */   // Label 18897: @1321950
     /* 1321950 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1322034), // Rule ID 19713 //
     /* 1321955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1322011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322033 */     // GIR_Coverage, 19713,
     /* 1322033 */     GIR_EraseRootFromParent_Done,
     /* 1322034 */   // Label 18898: @1322034
     /* 1322034 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322118), // Rule ID 19716 //
     /* 1322039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1322095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322117 */     // GIR_Coverage, 19716,
     /* 1322117 */     GIR_EraseRootFromParent_Done,
     /* 1322118 */   // Label 18899: @1322118
     /* 1322118 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322202), // Rule ID 19717 //
     /* 1322123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1322179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322201 */     // GIR_Coverage, 19717,
     /* 1322201 */     GIR_EraseRootFromParent_Done,
     /* 1322202 */   // Label 18900: @1322202
     /* 1322202 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1322286), // Rule ID 19720 //
     /* 1322207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1322263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322285 */     // GIR_Coverage, 19720,
     /* 1322285 */     GIR_EraseRootFromParent_Done,
     /* 1322286 */   // Label 18901: @1322286
     /* 1322286 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1322370), // Rule ID 19721 //
     /* 1322291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1322347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322369 */     // GIR_Coverage, 19721,
     /* 1322369 */     GIR_EraseRootFromParent_Done,
     /* 1322370 */   // Label 18902: @1322370
     /* 1322370 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1322454), // Rule ID 19724 //
     /* 1322375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322453 */     // GIR_Coverage, 19724,
     /* 1322453 */     GIR_EraseRootFromParent_Done,
     /* 1322454 */   // Label 18903: @1322454
     /* 1322454 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1322538), // Rule ID 19725 //
     /* 1322459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322537 */     // GIR_Coverage, 19725,
     /* 1322537 */     GIR_EraseRootFromParent_Done,
     /* 1322538 */   // Label 18904: @1322538
     /* 1322538 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1322622), // Rule ID 19728 //
     /* 1322543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322621 */     // GIR_Coverage, 19728,
     /* 1322621 */     GIR_EraseRootFromParent_Done,
     /* 1322622 */   // Label 18905: @1322622
     /* 1322622 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1322706), // Rule ID 19729 //
     /* 1322627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322705 */     // GIR_Coverage, 19729,
     /* 1322705 */     GIR_EraseRootFromParent_Done,
     /* 1322706 */   // Label 18906: @1322706
     /* 1322706 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322790), // Rule ID 19732 //
     /* 1322711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322789 */     // GIR_Coverage, 19732,
     /* 1322789 */     GIR_EraseRootFromParent_Done,
     /* 1322790 */   // Label 18907: @1322790
     /* 1322790 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322874), // Rule ID 19733 //
     /* 1322795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322873 */     // GIR_Coverage, 19733,
     /* 1322873 */     GIR_EraseRootFromParent_Done,
     /* 1322874 */   // Label 18908: @1322874
     /* 1322874 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322958), // Rule ID 19736 //
     /* 1322879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322957 */     // GIR_Coverage, 19736,
     /* 1322957 */     GIR_EraseRootFromParent_Done,
     /* 1322958 */   // Label 18909: @1322958
     /* 1322958 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1323042), // Rule ID 19737 //
     /* 1322963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1323019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323041 */     // GIR_Coverage, 19737,
     /* 1323041 */     GIR_EraseRootFromParent_Done,
     /* 1323042 */   // Label 18910: @1323042
     /* 1323042 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323126), // Rule ID 19740 //
     /* 1323047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1323064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1323103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323125 */     // GIR_Coverage, 19740,
     /* 1323125 */     GIR_EraseRootFromParent_Done,
     /* 1323126 */   // Label 18911: @1323126
     /* 1323126 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323210), // Rule ID 19741 //
     /* 1323131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1323148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1323187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323209 */     // GIR_Coverage, 19741,
     /* 1323209 */     GIR_EraseRootFromParent_Done,
     /* 1323210 */   // Label 18912: @1323210
     /* 1323210 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1323294), // Rule ID 19744 //
     /* 1323215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1323232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1323271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323293 */     // GIR_Coverage, 19744,
     /* 1323293 */     GIR_EraseRootFromParent_Done,
     /* 1323294 */   // Label 18913: @1323294
     /* 1323294 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1323378), // Rule ID 19745 //
     /* 1323299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1323316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1323355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323377 */     // GIR_Coverage, 19745,
     /* 1323377 */     GIR_EraseRootFromParent_Done,
     /* 1323378 */   // Label 18914: @1323378
     /* 1323378 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1323462), // Rule ID 19748 //
     /* 1323383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323436 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323461 */     // GIR_Coverage, 19748,
     /* 1323461 */     GIR_EraseRootFromParent_Done,
     /* 1323462 */   // Label 18915: @1323462
     /* 1323462 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1323546), // Rule ID 19749 //
     /* 1323467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323520 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323545 */     // GIR_Coverage, 19749,
     /* 1323545 */     GIR_EraseRootFromParent_Done,
     /* 1323546 */   // Label 18916: @1323546
     /* 1323546 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1323630), // Rule ID 19752 //
     /* 1323551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323629 */     // GIR_Coverage, 19752,
     /* 1323629 */     GIR_EraseRootFromParent_Done,
     /* 1323630 */   // Label 18917: @1323630
     /* 1323630 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1323714), // Rule ID 19753 //
     /* 1323635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323713 */     // GIR_Coverage, 19753,
     /* 1323713 */     GIR_EraseRootFromParent_Done,
     /* 1323714 */   // Label 18918: @1323714
     /* 1323714 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323798), // Rule ID 19756 //
     /* 1323719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323797 */     // GIR_Coverage, 19756,
     /* 1323797 */     GIR_EraseRootFromParent_Done,
     /* 1323798 */   // Label 18919: @1323798
     /* 1323798 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323882), // Rule ID 19757 //
     /* 1323803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323881 */     // GIR_Coverage, 19757,
     /* 1323881 */     GIR_EraseRootFromParent_Done,
     /* 1323882 */   // Label 18920: @1323882
     /* 1323882 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323966), // Rule ID 19760 //
     /* 1323887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323940 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323965 */     // GIR_Coverage, 19760,
     /* 1323965 */     GIR_EraseRootFromParent_Done,
     /* 1323966 */   // Label 18921: @1323966
     /* 1323966 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1324050), // Rule ID 19761 //
     /* 1323971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1324013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1324027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324049 */     // GIR_Coverage, 19761,
     /* 1324049 */     GIR_EraseRootFromParent_Done,
     /* 1324050 */   // Label 18922: @1324050
     /* 1324050 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324134), // Rule ID 19764 //
     /* 1324055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1324072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1324111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324133 */     // GIR_Coverage, 19764,
     /* 1324133 */     GIR_EraseRootFromParent_Done,
     /* 1324134 */   // Label 18923: @1324134
     /* 1324134 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324218), // Rule ID 19765 //
     /* 1324139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1324156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1324195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324217 */     // GIR_Coverage, 19765,
     /* 1324217 */     GIR_EraseRootFromParent_Done,
     /* 1324218 */   // Label 18924: @1324218
     /* 1324218 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1324302), // Rule ID 19768 //
     /* 1324223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1324240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1324279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324301 */     // GIR_Coverage, 19768,
     /* 1324301 */     GIR_EraseRootFromParent_Done,
     /* 1324302 */   // Label 18925: @1324302
     /* 1324302 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1324386), // Rule ID 19769 //
     /* 1324307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1324324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1324363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324385 */     // GIR_Coverage, 19769,
     /* 1324385 */     GIR_EraseRootFromParent_Done,
     /* 1324386 */   // Label 18926: @1324386
     /* 1324386 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1324470), // Rule ID 19772 //
     /* 1324391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324469 */     // GIR_Coverage, 19772,
     /* 1324469 */     GIR_EraseRootFromParent_Done,
     /* 1324470 */   // Label 18927: @1324470
     /* 1324470 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1324554), // Rule ID 19773 //
     /* 1324475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324553 */     // GIR_Coverage, 19773,
     /* 1324553 */     GIR_EraseRootFromParent_Done,
     /* 1324554 */   // Label 18928: @1324554
     /* 1324554 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1324638), // Rule ID 19776 //
     /* 1324559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324637 */     // GIR_Coverage, 19776,
     /* 1324637 */     GIR_EraseRootFromParent_Done,
     /* 1324638 */   // Label 18929: @1324638
     /* 1324638 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1324722), // Rule ID 19777 //
     /* 1324643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324721 */     // GIR_Coverage, 19777,
     /* 1324721 */     GIR_EraseRootFromParent_Done,
     /* 1324722 */   // Label 18930: @1324722
     /* 1324722 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324806), // Rule ID 19780 //
     /* 1324727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324805 */     // GIR_Coverage, 19780,
     /* 1324805 */     GIR_EraseRootFromParent_Done,
     /* 1324806 */   // Label 18931: @1324806
     /* 1324806 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324890), // Rule ID 19781 //
     /* 1324811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324889 */     // GIR_Coverage, 19781,
     /* 1324889 */     GIR_EraseRootFromParent_Done,
     /* 1324890 */   // Label 18932: @1324890
     /* 1324890 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324974), // Rule ID 19784 //
     /* 1324895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324973 */     // GIR_Coverage, 19784,
     /* 1324973 */     GIR_EraseRootFromParent_Done,
     /* 1324974 */   // Label 18933: @1324974
     /* 1324974 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1325058), // Rule ID 19785 //
     /* 1324979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1325035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325057 */     // GIR_Coverage, 19785,
     /* 1325057 */     GIR_EraseRootFromParent_Done,
     /* 1325058 */   // Label 18934: @1325058
     /* 1325058 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325142), // Rule ID 19788 //
     /* 1325063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1325080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1325083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325141 */     // GIR_Coverage, 19788,
     /* 1325141 */     GIR_EraseRootFromParent_Done,
     /* 1325142 */   // Label 18935: @1325142
     /* 1325142 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325226), // Rule ID 19789 //
     /* 1325147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1325164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1325167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325225 */     // GIR_Coverage, 19789,
     /* 1325225 */     GIR_EraseRootFromParent_Done,
     /* 1325226 */   // Label 18936: @1325226
     /* 1325226 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1325310), // Rule ID 19792 //
     /* 1325231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1325248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325309 */     // GIR_Coverage, 19792,
     /* 1325309 */     GIR_EraseRootFromParent_Done,
     /* 1325310 */   // Label 18937: @1325310
     /* 1325310 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1325394), // Rule ID 19793 //
     /* 1325315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1325332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325393 */     // GIR_Coverage, 19793,
     /* 1325393 */     GIR_EraseRootFromParent_Done,
     /* 1325394 */   // Label 18938: @1325394
     /* 1325394 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1325478), // Rule ID 19796 //
     /* 1325399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325477 */     // GIR_Coverage, 19796,
     /* 1325477 */     GIR_EraseRootFromParent_Done,
     /* 1325478 */   // Label 18939: @1325478
     /* 1325478 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1325562), // Rule ID 19797 //
     /* 1325483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325561 */     // GIR_Coverage, 19797,
     /* 1325561 */     GIR_EraseRootFromParent_Done,
     /* 1325562 */   // Label 18940: @1325562
     /* 1325562 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1325646), // Rule ID 19800 //
     /* 1325567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325645 */     // GIR_Coverage, 19800,
     /* 1325645 */     GIR_EraseRootFromParent_Done,
     /* 1325646 */   // Label 18941: @1325646
     /* 1325646 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1325730), // Rule ID 19801 //
     /* 1325651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325729 */     // GIR_Coverage, 19801,
     /* 1325729 */     GIR_EraseRootFromParent_Done,
     /* 1325730 */   // Label 18942: @1325730
     /* 1325730 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325814), // Rule ID 19804 //
     /* 1325735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325813 */     // GIR_Coverage, 19804,
     /* 1325813 */     GIR_EraseRootFromParent_Done,
     /* 1325814 */   // Label 18943: @1325814
     /* 1325814 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325898), // Rule ID 19805 //
     /* 1325819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325897 */     // GIR_Coverage, 19805,
     /* 1325897 */     GIR_EraseRootFromParent_Done,
     /* 1325898 */   // Label 18944: @1325898
     /* 1325898 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1325982), // Rule ID 19808 //
     /* 1325903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325981 */     // GIR_Coverage, 19808,
     /* 1325981 */     GIR_EraseRootFromParent_Done,
     /* 1325982 */   // Label 18945: @1325982
     /* 1325982 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1326066), // Rule ID 19809 //
     /* 1325987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1326001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1326007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326065 */     // GIR_Coverage, 19809,
     /* 1326065 */     GIR_EraseRootFromParent_Done,
     /* 1326066 */   // Label 18946: @1326066
     /* 1326066 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326150), // Rule ID 19812 //
     /* 1326071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1326091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326149 */     // GIR_Coverage, 19812,
     /* 1326149 */     GIR_EraseRootFromParent_Done,
     /* 1326150 */   // Label 18947: @1326150
     /* 1326150 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326234), // Rule ID 19813 //
     /* 1326155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1326175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326233 */     // GIR_Coverage, 19813,
     /* 1326233 */     GIR_EraseRootFromParent_Done,
     /* 1326234 */   // Label 18948: @1326234
     /* 1326234 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1326318), // Rule ID 19816 //
     /* 1326239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326317 */     // GIR_Coverage, 19816,
     /* 1326317 */     GIR_EraseRootFromParent_Done,
     /* 1326318 */   // Label 18949: @1326318
     /* 1326318 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1326402), // Rule ID 19817 //
     /* 1326323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326401 */     // GIR_Coverage, 19817,
     /* 1326401 */     GIR_EraseRootFromParent_Done,
     /* 1326402 */   // Label 18950: @1326402
     /* 1326402 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1326486), // Rule ID 19820 //
     /* 1326407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326485 */     // GIR_Coverage, 19820,
     /* 1326485 */     GIR_EraseRootFromParent_Done,
     /* 1326486 */   // Label 18951: @1326486
     /* 1326486 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1326570), // Rule ID 19821 //
     /* 1326491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326569 */     // GIR_Coverage, 19821,
     /* 1326569 */     GIR_EraseRootFromParent_Done,
     /* 1326570 */   // Label 18952: @1326570
     /* 1326570 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1326654), // Rule ID 19824 //
     /* 1326575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326653 */     // GIR_Coverage, 19824,
     /* 1326653 */     GIR_EraseRootFromParent_Done,
     /* 1326654 */   // Label 18953: @1326654
     /* 1326654 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1326738), // Rule ID 19825 //
     /* 1326659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326737 */     // GIR_Coverage, 19825,
     /* 1326737 */     GIR_EraseRootFromParent_Done,
     /* 1326738 */   // Label 18954: @1326738
     /* 1326738 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326822), // Rule ID 19828 //
     /* 1326743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326821 */     // GIR_Coverage, 19828,
     /* 1326821 */     GIR_EraseRootFromParent_Done,
     /* 1326822 */   // Label 18955: @1326822
     /* 1326822 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326906), // Rule ID 19829 //
     /* 1326827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326905 */     // GIR_Coverage, 19829,
     /* 1326905 */     GIR_EraseRootFromParent_Done,
     /* 1326906 */   // Label 18956: @1326906
     /* 1326906 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1326990), // Rule ID 19832 //
     /* 1326911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326989 */     // GIR_Coverage, 19832,
     /* 1326989 */     GIR_EraseRootFromParent_Done,
     /* 1326990 */   // Label 18957: @1326990
     /* 1326990 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1327074), // Rule ID 19833 //
     /* 1326995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1327015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1327051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327073 */     // GIR_Coverage, 19833,
     /* 1327073 */     GIR_EraseRootFromParent_Done,
     /* 1327074 */   // Label 18958: @1327074
     /* 1327074 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327158), // Rule ID 19836 //
     /* 1327079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1327135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327157 */     // GIR_Coverage, 19836,
     /* 1327157 */     GIR_EraseRootFromParent_Done,
     /* 1327158 */   // Label 18959: @1327158
     /* 1327158 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327242), // Rule ID 19837 //
     /* 1327163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1327219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327241 */     // GIR_Coverage, 19837,
     /* 1327241 */     GIR_EraseRootFromParent_Done,
     /* 1327242 */   // Label 18960: @1327242
     /* 1327242 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1327326), // Rule ID 19840 //
     /* 1327247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1327303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327325 */     // GIR_Coverage, 19840,
     /* 1327325 */     GIR_EraseRootFromParent_Done,
     /* 1327326 */   // Label 18961: @1327326
     /* 1327326 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1327410), // Rule ID 19841 //
     /* 1327331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1327387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327409 */     // GIR_Coverage, 19841,
     /* 1327409 */     GIR_EraseRootFromParent_Done,
     /* 1327410 */   // Label 18962: @1327410
     /* 1327410 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1327494), // Rule ID 19844 //
     /* 1327415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327493 */     // GIR_Coverage, 19844,
     /* 1327493 */     GIR_EraseRootFromParent_Done,
     /* 1327494 */   // Label 18963: @1327494
     /* 1327494 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1327578), // Rule ID 19845 //
     /* 1327499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327577 */     // GIR_Coverage, 19845,
     /* 1327577 */     GIR_EraseRootFromParent_Done,
     /* 1327578 */   // Label 18964: @1327578
     /* 1327578 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1327662), // Rule ID 19848 //
     /* 1327583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327661 */     // GIR_Coverage, 19848,
     /* 1327661 */     GIR_EraseRootFromParent_Done,
     /* 1327662 */   // Label 18965: @1327662
     /* 1327662 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1327746), // Rule ID 19849 //
     /* 1327667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327745 */     // GIR_Coverage, 19849,
     /* 1327745 */     GIR_EraseRootFromParent_Done,
     /* 1327746 */   // Label 18966: @1327746
     /* 1327746 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327830), // Rule ID 19852 //
     /* 1327751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327829 */     // GIR_Coverage, 19852,
     /* 1327829 */     GIR_EraseRootFromParent_Done,
     /* 1327830 */   // Label 18967: @1327830
     /* 1327830 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327914), // Rule ID 19853 //
     /* 1327835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327913 */     // GIR_Coverage, 19853,
     /* 1327913 */     GIR_EraseRootFromParent_Done,
     /* 1327914 */   // Label 18968: @1327914
     /* 1327914 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1327998), // Rule ID 19856 //
     /* 1327919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327997 */     // GIR_Coverage, 19856,
     /* 1327997 */     GIR_EraseRootFromParent_Done,
     /* 1327998 */   // Label 18969: @1327998
     /* 1327998 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1328082), // Rule ID 19857 //
     /* 1328003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1328059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328081 */     // GIR_Coverage, 19857,
     /* 1328081 */     GIR_EraseRootFromParent_Done,
     /* 1328082 */   // Label 18970: @1328082
     /* 1328082 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328166), // Rule ID 19860 //
     /* 1328087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1328104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1328143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328165 */     // GIR_Coverage, 19860,
     /* 1328165 */     GIR_EraseRootFromParent_Done,
     /* 1328166 */   // Label 18971: @1328166
     /* 1328166 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328250), // Rule ID 19861 //
     /* 1328171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1328188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1328227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328249 */     // GIR_Coverage, 19861,
     /* 1328249 */     GIR_EraseRootFromParent_Done,
     /* 1328250 */   // Label 18972: @1328250
     /* 1328250 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1328334), // Rule ID 19864 //
     /* 1328255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1328272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1328311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328333 */     // GIR_Coverage, 19864,
     /* 1328333 */     GIR_EraseRootFromParent_Done,
     /* 1328334 */   // Label 18973: @1328334
     /* 1328334 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1328418), // Rule ID 19865 //
     /* 1328339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1328356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1328395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328417 */     // GIR_Coverage, 19865,
     /* 1328417 */     GIR_EraseRootFromParent_Done,
     /* 1328418 */   // Label 18974: @1328418
     /* 1328418 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1328502), // Rule ID 19868 //
     /* 1328423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328476 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328501 */     // GIR_Coverage, 19868,
     /* 1328501 */     GIR_EraseRootFromParent_Done,
     /* 1328502 */   // Label 18975: @1328502
     /* 1328502 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1328586), // Rule ID 19869 //
     /* 1328507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328585 */     // GIR_Coverage, 19869,
     /* 1328585 */     GIR_EraseRootFromParent_Done,
     /* 1328586 */   // Label 18976: @1328586
     /* 1328586 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1328670), // Rule ID 19872 //
     /* 1328591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328669 */     // GIR_Coverage, 19872,
     /* 1328669 */     GIR_EraseRootFromParent_Done,
     /* 1328670 */   // Label 18977: @1328670
     /* 1328670 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1328754), // Rule ID 19873 //
     /* 1328675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328753 */     // GIR_Coverage, 19873,
     /* 1328753 */     GIR_EraseRootFromParent_Done,
     /* 1328754 */   // Label 18978: @1328754
     /* 1328754 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328838), // Rule ID 19876 //
     /* 1328759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328837 */     // GIR_Coverage, 19876,
     /* 1328837 */     GIR_EraseRootFromParent_Done,
     /* 1328838 */   // Label 18979: @1328838
     /* 1328838 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328922), // Rule ID 19877 //
     /* 1328843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328921 */     // GIR_Coverage, 19877,
     /* 1328921 */     GIR_EraseRootFromParent_Done,
     /* 1328922 */   // Label 18980: @1328922
     /* 1328922 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1329006), // Rule ID 19880 //
     /* 1328927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329005 */     // GIR_Coverage, 19880,
     /* 1329005 */     GIR_EraseRootFromParent_Done,
     /* 1329006 */   // Label 18981: @1329006
     /* 1329006 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1329090), // Rule ID 19881 //
     /* 1329011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1329067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329089 */     // GIR_Coverage, 19881,
     /* 1329089 */     GIR_EraseRootFromParent_Done,
     /* 1329090 */   // Label 18982: @1329090
     /* 1329090 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329174), // Rule ID 19884 //
     /* 1329095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1329112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1329151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329173 */     // GIR_Coverage, 19884,
     /* 1329173 */     GIR_EraseRootFromParent_Done,
     /* 1329174 */   // Label 18983: @1329174
     /* 1329174 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329258), // Rule ID 19885 //
     /* 1329179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1329196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1329235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329257 */     // GIR_Coverage, 19885,
     /* 1329257 */     GIR_EraseRootFromParent_Done,
     /* 1329258 */   // Label 18984: @1329258
     /* 1329258 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1329342), // Rule ID 19888 //
     /* 1329263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1329280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1329319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329341 */     // GIR_Coverage, 19888,
     /* 1329341 */     GIR_EraseRootFromParent_Done,
     /* 1329342 */   // Label 18985: @1329342
     /* 1329342 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1329426), // Rule ID 19889 //
     /* 1329347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1329364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1329403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329425 */     // GIR_Coverage, 19889,
     /* 1329425 */     GIR_EraseRootFromParent_Done,
     /* 1329426 */   // Label 18986: @1329426
     /* 1329426 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1329510), // Rule ID 19892 //
     /* 1329431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329509 */     // GIR_Coverage, 19892,
     /* 1329509 */     GIR_EraseRootFromParent_Done,
     /* 1329510 */   // Label 18987: @1329510
     /* 1329510 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1329594), // Rule ID 19893 //
     /* 1329515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329593 */     // GIR_Coverage, 19893,
     /* 1329593 */     GIR_EraseRootFromParent_Done,
     /* 1329594 */   // Label 18988: @1329594
     /* 1329594 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1329678), // Rule ID 19896 //
     /* 1329599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329677 */     // GIR_Coverage, 19896,
     /* 1329677 */     GIR_EraseRootFromParent_Done,
     /* 1329678 */   // Label 18989: @1329678
     /* 1329678 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1329762), // Rule ID 19897 //
     /* 1329683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329761 */     // GIR_Coverage, 19897,
     /* 1329761 */     GIR_EraseRootFromParent_Done,
     /* 1329762 */   // Label 18990: @1329762
     /* 1329762 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329846), // Rule ID 19900 //
     /* 1329767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329845 */     // GIR_Coverage, 19900,
     /* 1329845 */     GIR_EraseRootFromParent_Done,
     /* 1329846 */   // Label 18991: @1329846
     /* 1329846 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329930), // Rule ID 19901 //
     /* 1329851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329929 */     // GIR_Coverage, 19901,
     /* 1329929 */     GIR_EraseRootFromParent_Done,
     /* 1329930 */   // Label 18992: @1329930
     /* 1329930 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1330014), // Rule ID 19904 //
     /* 1329935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330013 */     // GIR_Coverage, 19904,
     /* 1330013 */     GIR_EraseRootFromParent_Done,
     /* 1330014 */   // Label 18993: @1330014
     /* 1330014 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330098), // Rule ID 19905 //
     /* 1330019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1330039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1330075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330097 */     // GIR_Coverage, 19905,
     /* 1330097 */     GIR_EraseRootFromParent_Done,
     /* 1330098 */   // Label 18994: @1330098
     /* 1330098 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330182), // Rule ID 19908 //
     /* 1330103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1330120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1330123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330181 */     // GIR_Coverage, 19908,
     /* 1330181 */     GIR_EraseRootFromParent_Done,
     /* 1330182 */   // Label 18995: @1330182
     /* 1330182 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330266), // Rule ID 19909 //
     /* 1330187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1330204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1330207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330265 */     // GIR_Coverage, 19909,
     /* 1330265 */     GIR_EraseRootFromParent_Done,
     /* 1330266 */   // Label 18996: @1330266
     /* 1330266 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1330350), // Rule ID 19912 //
     /* 1330271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1330288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330349 */     // GIR_Coverage, 19912,
     /* 1330349 */     GIR_EraseRootFromParent_Done,
     /* 1330350 */   // Label 18997: @1330350
     /* 1330350 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1330434), // Rule ID 19913 //
     /* 1330355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1330372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330433 */     // GIR_Coverage, 19913,
     /* 1330433 */     GIR_EraseRootFromParent_Done,
     /* 1330434 */   // Label 18998: @1330434
     /* 1330434 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1330518), // Rule ID 19916 //
     /* 1330439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330517 */     // GIR_Coverage, 19916,
     /* 1330517 */     GIR_EraseRootFromParent_Done,
     /* 1330518 */   // Label 18999: @1330518
     /* 1330518 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1330602), // Rule ID 19917 //
     /* 1330523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330601 */     // GIR_Coverage, 19917,
     /* 1330601 */     GIR_EraseRootFromParent_Done,
     /* 1330602 */   // Label 19000: @1330602
     /* 1330602 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1330686), // Rule ID 19920 //
     /* 1330607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330685 */     // GIR_Coverage, 19920,
     /* 1330685 */     GIR_EraseRootFromParent_Done,
     /* 1330686 */   // Label 19001: @1330686
     /* 1330686 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1330770), // Rule ID 19921 //
     /* 1330691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330769 */     // GIR_Coverage, 19921,
     /* 1330769 */     GIR_EraseRootFromParent_Done,
     /* 1330770 */   // Label 19002: @1330770
     /* 1330770 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330854), // Rule ID 19924 //
     /* 1330775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330853 */     // GIR_Coverage, 19924,
     /* 1330853 */     GIR_EraseRootFromParent_Done,
     /* 1330854 */   // Label 19003: @1330854
     /* 1330854 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330938), // Rule ID 19925 //
     /* 1330859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330937 */     // GIR_Coverage, 19925,
     /* 1330937 */     GIR_EraseRootFromParent_Done,
     /* 1330938 */   // Label 19004: @1330938
     /* 1330938 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1331022), // Rule ID 19928 //
     /* 1330943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330996 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331021 */     // GIR_Coverage, 19928,
     /* 1331021 */     GIR_EraseRootFromParent_Done,
     /* 1331022 */   // Label 19005: @1331022
     /* 1331022 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331106), // Rule ID 19929 //
     /* 1331027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1331047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331105 */     // GIR_Coverage, 19929,
     /* 1331105 */     GIR_EraseRootFromParent_Done,
     /* 1331106 */   // Label 19006: @1331106
     /* 1331106 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331190), // Rule ID 19932 //
     /* 1331111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1331128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1331131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331189 */     // GIR_Coverage, 19932,
     /* 1331189 */     GIR_EraseRootFromParent_Done,
     /* 1331190 */   // Label 19007: @1331190
     /* 1331190 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1331274), // Rule ID 19933 //
     /* 1331195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1331212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1331215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331273 */     // GIR_Coverage, 19933,
     /* 1331273 */     GIR_EraseRootFromParent_Done,
     /* 1331274 */   // Label 19008: @1331274
     /* 1331274 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1331358), // Rule ID 19936 //
     /* 1331279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1331296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1331299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331357 */     // GIR_Coverage, 19936,
     /* 1331357 */     GIR_EraseRootFromParent_Done,
     /* 1331358 */   // Label 19009: @1331358
     /* 1331358 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1331442), // Rule ID 19937 //
     /* 1331363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1331380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1331383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331441 */     // GIR_Coverage, 19937,
     /* 1331441 */     GIR_EraseRootFromParent_Done,
     /* 1331442 */   // Label 19010: @1331442
     /* 1331442 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1331526), // Rule ID 19940 //
     /* 1331447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331525 */     // GIR_Coverage, 19940,
     /* 1331525 */     GIR_EraseRootFromParent_Done,
     /* 1331526 */   // Label 19011: @1331526
     /* 1331526 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1331610), // Rule ID 19941 //
     /* 1331531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331609 */     // GIR_Coverage, 19941,
     /* 1331609 */     GIR_EraseRootFromParent_Done,
     /* 1331610 */   // Label 19012: @1331610
     /* 1331610 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1331694), // Rule ID 19944 //
     /* 1331615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331693 */     // GIR_Coverage, 19944,
     /* 1331693 */     GIR_EraseRootFromParent_Done,
     /* 1331694 */   // Label 19013: @1331694
     /* 1331694 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1331778), // Rule ID 19945 //
     /* 1331699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331777 */     // GIR_Coverage, 19945,
     /* 1331777 */     GIR_EraseRootFromParent_Done,
     /* 1331778 */   // Label 19014: @1331778
     /* 1331778 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331862), // Rule ID 19948 //
     /* 1331783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331861 */     // GIR_Coverage, 19948,
     /* 1331861 */     GIR_EraseRootFromParent_Done,
     /* 1331862 */   // Label 19015: @1331862
     /* 1331862 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331946), // Rule ID 19949 //
     /* 1331867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331945 */     // GIR_Coverage, 19949,
     /* 1331945 */     GIR_EraseRootFromParent_Done,
     /* 1331946 */   // Label 19016: @1331946
     /* 1331946 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1332030), // Rule ID 19952 //
     /* 1331951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1332007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332029 */     // GIR_Coverage, 19952,
     /* 1332029 */     GIR_EraseRootFromParent_Done,
     /* 1332030 */   // Label 19017: @1332030
     /* 1332030 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332114), // Rule ID 19953 //
     /* 1332035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1332055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1332091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332113 */     // GIR_Coverage, 19953,
     /* 1332113 */     GIR_EraseRootFromParent_Done,
     /* 1332114 */   // Label 19018: @1332114
     /* 1332114 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332198), // Rule ID 19956 //
     /* 1332119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1332175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332197 */     // GIR_Coverage, 19956,
     /* 1332197 */     GIR_EraseRootFromParent_Done,
     /* 1332198 */   // Label 19019: @1332198
     /* 1332198 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1332282), // Rule ID 19957 //
     /* 1332203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1332259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332281 */     // GIR_Coverage, 19957,
     /* 1332281 */     GIR_EraseRootFromParent_Done,
     /* 1332282 */   // Label 19020: @1332282
     /* 1332282 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1332366), // Rule ID 19960 //
     /* 1332287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1332343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332365 */     // GIR_Coverage, 19960,
     /* 1332365 */     GIR_EraseRootFromParent_Done,
     /* 1332366 */   // Label 19021: @1332366
     /* 1332366 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1332450), // Rule ID 19961 //
     /* 1332371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1332427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332449 */     // GIR_Coverage, 19961,
     /* 1332449 */     GIR_EraseRootFromParent_Done,
     /* 1332450 */   // Label 19022: @1332450
     /* 1332450 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1332534), // Rule ID 19964 //
     /* 1332455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332533 */     // GIR_Coverage, 19964,
     /* 1332533 */     GIR_EraseRootFromParent_Done,
     /* 1332534 */   // Label 19023: @1332534
     /* 1332534 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1332618), // Rule ID 19965 //
     /* 1332539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332617 */     // GIR_Coverage, 19965,
     /* 1332617 */     GIR_EraseRootFromParent_Done,
     /* 1332618 */   // Label 19024: @1332618
     /* 1332618 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1332702), // Rule ID 19968 //
     /* 1332623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332701 */     // GIR_Coverage, 19968,
     /* 1332701 */     GIR_EraseRootFromParent_Done,
     /* 1332702 */   // Label 19025: @1332702
     /* 1332702 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1332786), // Rule ID 19969 //
     /* 1332707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332785 */     // GIR_Coverage, 19969,
     /* 1332785 */     GIR_EraseRootFromParent_Done,
     /* 1332786 */   // Label 19026: @1332786
     /* 1332786 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332870), // Rule ID 19972 //
     /* 1332791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332869 */     // GIR_Coverage, 19972,
     /* 1332869 */     GIR_EraseRootFromParent_Done,
     /* 1332870 */   // Label 19027: @1332870
     /* 1332870 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1332954), // Rule ID 19973 //
     /* 1332875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332953 */     // GIR_Coverage, 19973,
     /* 1332953 */     GIR_EraseRootFromParent_Done,
     /* 1332954 */   // Label 19028: @1332954
     /* 1332954 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1333038), // Rule ID 19976 //
     /* 1332959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1333015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333037 */     // GIR_Coverage, 19976,
     /* 1333037 */     GIR_EraseRootFromParent_Done,
     /* 1333038 */   // Label 19029: @1333038
     /* 1333038 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333122), // Rule ID 19977 //
     /* 1333043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1333099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333121 */     // GIR_Coverage, 19977,
     /* 1333121 */     GIR_EraseRootFromParent_Done,
     /* 1333122 */   // Label 19030: @1333122
     /* 1333122 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333206), // Rule ID 19980 //
     /* 1333127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1333183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333205 */     // GIR_Coverage, 19980,
     /* 1333205 */     GIR_EraseRootFromParent_Done,
     /* 1333206 */   // Label 19031: @1333206
     /* 1333206 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1333290), // Rule ID 19981 //
     /* 1333211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1333267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333289 */     // GIR_Coverage, 19981,
     /* 1333289 */     GIR_EraseRootFromParent_Done,
     /* 1333290 */   // Label 19032: @1333290
     /* 1333290 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1333374), // Rule ID 19984 //
     /* 1333295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333373 */     // GIR_Coverage, 19984,
     /* 1333373 */     GIR_EraseRootFromParent_Done,
     /* 1333374 */   // Label 19033: @1333374
     /* 1333374 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1333458), // Rule ID 19985 //
     /* 1333379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333457 */     // GIR_Coverage, 19985,
     /* 1333457 */     GIR_EraseRootFromParent_Done,
     /* 1333458 */   // Label 19034: @1333458
     /* 1333458 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1333542), // Rule ID 19988 //
     /* 1333463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333541 */     // GIR_Coverage, 19988,
     /* 1333541 */     GIR_EraseRootFromParent_Done,
     /* 1333542 */   // Label 19035: @1333542
     /* 1333542 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1333626), // Rule ID 19989 //
     /* 1333547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333625 */     // GIR_Coverage, 19989,
     /* 1333625 */     GIR_EraseRootFromParent_Done,
     /* 1333626 */   // Label 19036: @1333626
     /* 1333626 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1333710), // Rule ID 19992 //
     /* 1333631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333709 */     // GIR_Coverage, 19992,
     /* 1333709 */     GIR_EraseRootFromParent_Done,
     /* 1333710 */   // Label 19037: @1333710
     /* 1333710 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333794), // Rule ID 19993 //
     /* 1333715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333793 */     // GIR_Coverage, 19993,
     /* 1333793 */     GIR_EraseRootFromParent_Done,
     /* 1333794 */   // Label 19038: @1333794
     /* 1333794 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333878), // Rule ID 19996 //
     /* 1333799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333877 */     // GIR_Coverage, 19996,
     /* 1333877 */     GIR_EraseRootFromParent_Done,
     /* 1333878 */   // Label 19039: @1333878
     /* 1333878 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1333962), // Rule ID 19997 //
     /* 1333883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333961 */     // GIR_Coverage, 19997,
     /* 1333961 */     GIR_EraseRootFromParent_Done,
     /* 1333962 */   // Label 19040: @1333962
     /* 1333962 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1334046), // Rule ID 20000 //
     /* 1333967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1334023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334045 */     // GIR_Coverage, 20000,
     /* 1334045 */     GIR_EraseRootFromParent_Done,
     /* 1334046 */   // Label 19041: @1334046
     /* 1334046 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334130), // Rule ID 20001 //
     /* 1334051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1334107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334129 */     // GIR_Coverage, 20001,
     /* 1334129 */     GIR_EraseRootFromParent_Done,
     /* 1334130 */   // Label 19042: @1334130
     /* 1334130 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334214), // Rule ID 20004 //
     /* 1334135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1334191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334213 */     // GIR_Coverage, 20004,
     /* 1334213 */     GIR_EraseRootFromParent_Done,
     /* 1334214 */   // Label 19043: @1334214
     /* 1334214 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1334298), // Rule ID 20005 //
     /* 1334219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1334275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334297 */     // GIR_Coverage, 20005,
     /* 1334297 */     GIR_EraseRootFromParent_Done,
     /* 1334298 */   // Label 19044: @1334298
     /* 1334298 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1334382), // Rule ID 20008 //
     /* 1334303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334381 */     // GIR_Coverage, 20008,
     /* 1334381 */     GIR_EraseRootFromParent_Done,
     /* 1334382 */   // Label 19045: @1334382
     /* 1334382 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1334466), // Rule ID 20009 //
     /* 1334387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334465 */     // GIR_Coverage, 20009,
     /* 1334465 */     GIR_EraseRootFromParent_Done,
     /* 1334466 */   // Label 19046: @1334466
     /* 1334466 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1334550), // Rule ID 20012 //
     /* 1334471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334549 */     // GIR_Coverage, 20012,
     /* 1334549 */     GIR_EraseRootFromParent_Done,
     /* 1334550 */   // Label 19047: @1334550
     /* 1334550 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1334634), // Rule ID 20013 //
     /* 1334555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334633 */     // GIR_Coverage, 20013,
     /* 1334633 */     GIR_EraseRootFromParent_Done,
     /* 1334634 */   // Label 19048: @1334634
     /* 1334634 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1334718), // Rule ID 20016 //
     /* 1334639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334717 */     // GIR_Coverage, 20016,
     /* 1334717 */     GIR_EraseRootFromParent_Done,
     /* 1334718 */   // Label 19049: @1334718
     /* 1334718 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334802), // Rule ID 20017 //
     /* 1334723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334801 */     // GIR_Coverage, 20017,
     /* 1334801 */     GIR_EraseRootFromParent_Done,
     /* 1334802 */   // Label 19050: @1334802
     /* 1334802 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334886), // Rule ID 20020 //
     /* 1334807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334885 */     // GIR_Coverage, 20020,
     /* 1334885 */     GIR_EraseRootFromParent_Done,
     /* 1334886 */   // Label 19051: @1334886
     /* 1334886 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1334970), // Rule ID 20021 //
     /* 1334891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334969 */     // GIR_Coverage, 20021,
     /* 1334969 */     GIR_EraseRootFromParent_Done,
     /* 1334970 */   // Label 19052: @1334970
     /* 1334970 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1335054), // Rule ID 20024 //
     /* 1334975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1335031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335053 */     // GIR_Coverage, 20024,
     /* 1335053 */     GIR_EraseRootFromParent_Done,
     /* 1335054 */   // Label 19053: @1335054
     /* 1335054 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335138), // Rule ID 20025 //
     /* 1335059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1335079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1335115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335137 */     // GIR_Coverage, 20025,
     /* 1335137 */     GIR_EraseRootFromParent_Done,
     /* 1335138 */   // Label 19054: @1335138
     /* 1335138 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335222), // Rule ID 20028 //
     /* 1335143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1335160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1335163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335221 */     // GIR_Coverage, 20028,
     /* 1335221 */     GIR_EraseRootFromParent_Done,
     /* 1335222 */   // Label 19055: @1335222
     /* 1335222 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1335306), // Rule ID 20029 //
     /* 1335227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1335244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1335247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335305 */     // GIR_Coverage, 20029,
     /* 1335305 */     GIR_EraseRootFromParent_Done,
     /* 1335306 */   // Label 19056: @1335306
     /* 1335306 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1335390), // Rule ID 20032 //
     /* 1335311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1335328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1335331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335389 */     // GIR_Coverage, 20032,
     /* 1335389 */     GIR_EraseRootFromParent_Done,
     /* 1335390 */   // Label 19057: @1335390
     /* 1335390 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1335474), // Rule ID 20033 //
     /* 1335395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1335412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1335415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335473 */     // GIR_Coverage, 20033,
     /* 1335473 */     GIR_EraseRootFromParent_Done,
     /* 1335474 */   // Label 19058: @1335474
     /* 1335474 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1335558), // Rule ID 20036 //
     /* 1335479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335557 */     // GIR_Coverage, 20036,
     /* 1335557 */     GIR_EraseRootFromParent_Done,
     /* 1335558 */   // Label 19059: @1335558
     /* 1335558 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1335642), // Rule ID 20037 //
     /* 1335563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335641 */     // GIR_Coverage, 20037,
     /* 1335641 */     GIR_EraseRootFromParent_Done,
     /* 1335642 */   // Label 19060: @1335642
     /* 1335642 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1335726), // Rule ID 20040 //
     /* 1335647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335725 */     // GIR_Coverage, 20040,
     /* 1335725 */     GIR_EraseRootFromParent_Done,
     /* 1335726 */   // Label 19061: @1335726
     /* 1335726 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335810), // Rule ID 20041 //
     /* 1335731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335809 */     // GIR_Coverage, 20041,
     /* 1335809 */     GIR_EraseRootFromParent_Done,
     /* 1335810 */   // Label 19062: @1335810
     /* 1335810 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335894), // Rule ID 20044 //
     /* 1335815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335893 */     // GIR_Coverage, 20044,
     /* 1335893 */     GIR_EraseRootFromParent_Done,
     /* 1335894 */   // Label 19063: @1335894
     /* 1335894 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1335978), // Rule ID 20045 //
     /* 1335899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335977 */     // GIR_Coverage, 20045,
     /* 1335977 */     GIR_EraseRootFromParent_Done,
     /* 1335978 */   // Label 19064: @1335978
     /* 1335978 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1336062), // Rule ID 20048 //
     /* 1335983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336061 */     // GIR_Coverage, 20048,
     /* 1336061 */     GIR_EraseRootFromParent_Done,
     /* 1336062 */   // Label 19065: @1336062
     /* 1336062 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336146), // Rule ID 20049 //
     /* 1336067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336145 */     // GIR_Coverage, 20049,
     /* 1336145 */     GIR_EraseRootFromParent_Done,
     /* 1336146 */   // Label 19066: @1336146
     /* 1336146 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336230), // Rule ID 20052 //
     /* 1336151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1336168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1336171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336229 */     // GIR_Coverage, 20052,
     /* 1336229 */     GIR_EraseRootFromParent_Done,
     /* 1336230 */   // Label 19067: @1336230
     /* 1336230 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1336314), // Rule ID 20053 //
     /* 1336235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1336252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1336255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336313 */     // GIR_Coverage, 20053,
     /* 1336313 */     GIR_EraseRootFromParent_Done,
     /* 1336314 */   // Label 19068: @1336314
     /* 1336314 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1336398), // Rule ID 20056 //
     /* 1336319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1336336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1336339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336397 */     // GIR_Coverage, 20056,
     /* 1336397 */     GIR_EraseRootFromParent_Done,
     /* 1336398 */   // Label 19069: @1336398
     /* 1336398 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1336482), // Rule ID 20057 //
     /* 1336403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1336420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1336423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336481 */     // GIR_Coverage, 20057,
     /* 1336481 */     GIR_EraseRootFromParent_Done,
     /* 1336482 */   // Label 19070: @1336482
     /* 1336482 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1336566), // Rule ID 20060 //
     /* 1336487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336565 */     // GIR_Coverage, 20060,
     /* 1336565 */     GIR_EraseRootFromParent_Done,
     /* 1336566 */   // Label 19071: @1336566
     /* 1336566 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1336650), // Rule ID 20061 //
     /* 1336571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336649 */     // GIR_Coverage, 20061,
     /* 1336649 */     GIR_EraseRootFromParent_Done,
     /* 1336650 */   // Label 19072: @1336650
     /* 1336650 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1336734), // Rule ID 20064 //
     /* 1336655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336733 */     // GIR_Coverage, 20064,
     /* 1336733 */     GIR_EraseRootFromParent_Done,
     /* 1336734 */   // Label 19073: @1336734
     /* 1336734 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336818), // Rule ID 20065 //
     /* 1336739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336817 */     // GIR_Coverage, 20065,
     /* 1336817 */     GIR_EraseRootFromParent_Done,
     /* 1336818 */   // Label 19074: @1336818
     /* 1336818 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336902), // Rule ID 20068 //
     /* 1336823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336901 */     // GIR_Coverage, 20068,
     /* 1336901 */     GIR_EraseRootFromParent_Done,
     /* 1336902 */   // Label 19075: @1336902
     /* 1336902 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1336986), // Rule ID 20069 //
     /* 1336907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336985 */     // GIR_Coverage, 20069,
     /* 1336985 */     GIR_EraseRootFromParent_Done,
     /* 1336986 */   // Label 19076: @1336986
     /* 1336986 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1337070), // Rule ID 20072 //
     /* 1336991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1337047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337069 */     // GIR_Coverage, 20072,
     /* 1337069 */     GIR_EraseRootFromParent_Done,
     /* 1337070 */   // Label 19077: @1337070
     /* 1337070 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337154), // Rule ID 20073 //
     /* 1337075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1337131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337153 */     // GIR_Coverage, 20073,
     /* 1337153 */     GIR_EraseRootFromParent_Done,
     /* 1337154 */   // Label 19078: @1337154
     /* 1337154 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337238), // Rule ID 20076 //
     /* 1337159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1337176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1337215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337237 */     // GIR_Coverage, 20076,
     /* 1337237 */     GIR_EraseRootFromParent_Done,
     /* 1337238 */   // Label 19079: @1337238
     /* 1337238 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1337322), // Rule ID 20077 //
     /* 1337243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1337260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1337299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337321 */     // GIR_Coverage, 20077,
     /* 1337321 */     GIR_EraseRootFromParent_Done,
     /* 1337322 */   // Label 19080: @1337322
     /* 1337322 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1337406), // Rule ID 20080 //
     /* 1337327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1337344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337405 */     // GIR_Coverage, 20080,
     /* 1337405 */     GIR_EraseRootFromParent_Done,
     /* 1337406 */   // Label 19081: @1337406
     /* 1337406 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1337490), // Rule ID 20081 //
     /* 1337411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1337428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337489 */     // GIR_Coverage, 20081,
     /* 1337489 */     GIR_EraseRootFromParent_Done,
     /* 1337490 */   // Label 19082: @1337490
     /* 1337490 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1337574), // Rule ID 20084 //
     /* 1337495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337573 */     // GIR_Coverage, 20084,
     /* 1337573 */     GIR_EraseRootFromParent_Done,
     /* 1337574 */   // Label 19083: @1337574
     /* 1337574 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1337658), // Rule ID 20085 //
     /* 1337579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337657 */     // GIR_Coverage, 20085,
     /* 1337657 */     GIR_EraseRootFromParent_Done,
     /* 1337658 */   // Label 19084: @1337658
     /* 1337658 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1337742), // Rule ID 20088 //
     /* 1337663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337741 */     // GIR_Coverage, 20088,
     /* 1337741 */     GIR_EraseRootFromParent_Done,
     /* 1337742 */   // Label 19085: @1337742
     /* 1337742 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337826), // Rule ID 20089 //
     /* 1337747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337825 */     // GIR_Coverage, 20089,
     /* 1337825 */     GIR_EraseRootFromParent_Done,
     /* 1337826 */   // Label 19086: @1337826
     /* 1337826 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337910), // Rule ID 20092 //
     /* 1337831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337909 */     // GIR_Coverage, 20092,
     /* 1337909 */     GIR_EraseRootFromParent_Done,
     /* 1337910 */   // Label 19087: @1337910
     /* 1337910 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1337994), // Rule ID 20093 //
     /* 1337915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337993 */     // GIR_Coverage, 20093,
     /* 1337993 */     GIR_EraseRootFromParent_Done,
     /* 1337994 */   // Label 19088: @1337994
     /* 1337994 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1338078), // Rule ID 20096 //
     /* 1337999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1338055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338077 */     // GIR_Coverage, 20096,
     /* 1338077 */     GIR_EraseRootFromParent_Done,
     /* 1338078 */   // Label 19089: @1338078
     /* 1338078 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338162), // Rule ID 20097 //
     /* 1338083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1338139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338161 */     // GIR_Coverage, 20097,
     /* 1338161 */     GIR_EraseRootFromParent_Done,
     /* 1338162 */   // Label 19090: @1338162
     /* 1338162 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338246), // Rule ID 20100 //
     /* 1338167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1338223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338245 */     // GIR_Coverage, 20100,
     /* 1338245 */     GIR_EraseRootFromParent_Done,
     /* 1338246 */   // Label 19091: @1338246
     /* 1338246 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1338330), // Rule ID 20101 //
     /* 1338251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1338307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338329 */     // GIR_Coverage, 20101,
     /* 1338329 */     GIR_EraseRootFromParent_Done,
     /* 1338330 */   // Label 19092: @1338330
     /* 1338330 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1338414), // Rule ID 20104 //
     /* 1338335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338413 */     // GIR_Coverage, 20104,
     /* 1338413 */     GIR_EraseRootFromParent_Done,
     /* 1338414 */   // Label 19093: @1338414
     /* 1338414 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1338498), // Rule ID 20105 //
     /* 1338419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338497 */     // GIR_Coverage, 20105,
     /* 1338497 */     GIR_EraseRootFromParent_Done,
     /* 1338498 */   // Label 19094: @1338498
     /* 1338498 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1338582), // Rule ID 20108 //
     /* 1338503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338581 */     // GIR_Coverage, 20108,
     /* 1338581 */     GIR_EraseRootFromParent_Done,
     /* 1338582 */   // Label 19095: @1338582
     /* 1338582 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1338666), // Rule ID 20109 //
     /* 1338587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338665 */     // GIR_Coverage, 20109,
     /* 1338665 */     GIR_EraseRootFromParent_Done,
     /* 1338666 */   // Label 19096: @1338666
     /* 1338666 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1338750), // Rule ID 20112 //
     /* 1338671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338749 */     // GIR_Coverage, 20112,
     /* 1338749 */     GIR_EraseRootFromParent_Done,
     /* 1338750 */   // Label 19097: @1338750
     /* 1338750 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338834), // Rule ID 20113 //
     /* 1338755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338833 */     // GIR_Coverage, 20113,
     /* 1338833 */     GIR_EraseRootFromParent_Done,
     /* 1338834 */   // Label 19098: @1338834
     /* 1338834 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338918), // Rule ID 20116 //
     /* 1338839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338917 */     // GIR_Coverage, 20116,
     /* 1338917 */     GIR_EraseRootFromParent_Done,
     /* 1338918 */   // Label 19099: @1338918
     /* 1338918 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1339002), // Rule ID 20117 //
     /* 1338923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339001 */     // GIR_Coverage, 20117,
     /* 1339001 */     GIR_EraseRootFromParent_Done,
     /* 1339002 */   // Label 19100: @1339002
     /* 1339002 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1339086), // Rule ID 20120 //
     /* 1339007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1339063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339085 */     // GIR_Coverage, 20120,
     /* 1339085 */     GIR_EraseRootFromParent_Done,
     /* 1339086 */   // Label 19101: @1339086
     /* 1339086 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339170), // Rule ID 20121 //
     /* 1339091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1339147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339169 */     // GIR_Coverage, 20121,
     /* 1339169 */     GIR_EraseRootFromParent_Done,
     /* 1339170 */   // Label 19102: @1339170
     /* 1339170 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339254), // Rule ID 20124 //
     /* 1339175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1339231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339253 */     // GIR_Coverage, 20124,
     /* 1339253 */     GIR_EraseRootFromParent_Done,
     /* 1339254 */   // Label 19103: @1339254
     /* 1339254 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1339338), // Rule ID 20125 //
     /* 1339259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1339315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339337 */     // GIR_Coverage, 20125,
     /* 1339337 */     GIR_EraseRootFromParent_Done,
     /* 1339338 */   // Label 19104: @1339338
     /* 1339338 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1339422), // Rule ID 20128 //
     /* 1339343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339421 */     // GIR_Coverage, 20128,
     /* 1339421 */     GIR_EraseRootFromParent_Done,
     /* 1339422 */   // Label 19105: @1339422
     /* 1339422 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1339506), // Rule ID 20129 //
     /* 1339427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339505 */     // GIR_Coverage, 20129,
     /* 1339505 */     GIR_EraseRootFromParent_Done,
     /* 1339506 */   // Label 19106: @1339506
     /* 1339506 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1339590), // Rule ID 20132 //
     /* 1339511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339589 */     // GIR_Coverage, 20132,
     /* 1339589 */     GIR_EraseRootFromParent_Done,
     /* 1339590 */   // Label 19107: @1339590
     /* 1339590 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1339674), // Rule ID 20133 //
     /* 1339595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339673 */     // GIR_Coverage, 20133,
     /* 1339673 */     GIR_EraseRootFromParent_Done,
     /* 1339674 */   // Label 19108: @1339674
     /* 1339674 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1339758), // Rule ID 20136 //
     /* 1339679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339757 */     // GIR_Coverage, 20136,
     /* 1339757 */     GIR_EraseRootFromParent_Done,
     /* 1339758 */   // Label 19109: @1339758
     /* 1339758 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339842), // Rule ID 20137 //
     /* 1339763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339841 */     // GIR_Coverage, 20137,
     /* 1339841 */     GIR_EraseRootFromParent_Done,
     /* 1339842 */   // Label 19110: @1339842
     /* 1339842 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339926), // Rule ID 20140 //
     /* 1339847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339925 */     // GIR_Coverage, 20140,
     /* 1339925 */     GIR_EraseRootFromParent_Done,
     /* 1339926 */   // Label 19111: @1339926
     /* 1339926 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1340010), // Rule ID 20141 //
     /* 1339931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340009 */     // GIR_Coverage, 20141,
     /* 1340009 */     GIR_EraseRootFromParent_Done,
     /* 1340010 */   // Label 19112: @1340010
     /* 1340010 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1340094), // Rule ID 20144 //
     /* 1340015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1340071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340093 */     // GIR_Coverage, 20144,
     /* 1340093 */     GIR_EraseRootFromParent_Done,
     /* 1340094 */   // Label 19113: @1340094
     /* 1340094 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340178), // Rule ID 20145 //
     /* 1340099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1340155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340177 */     // GIR_Coverage, 20145,
     /* 1340177 */     GIR_EraseRootFromParent_Done,
     /* 1340178 */   // Label 19114: @1340178
     /* 1340178 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340262), // Rule ID 20148 //
     /* 1340183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1340200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1340239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340261 */     // GIR_Coverage, 20148,
     /* 1340261 */     GIR_EraseRootFromParent_Done,
     /* 1340262 */   // Label 19115: @1340262
     /* 1340262 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1340346), // Rule ID 20149 //
     /* 1340267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1340284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1340323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340345 */     // GIR_Coverage, 20149,
     /* 1340345 */     GIR_EraseRootFromParent_Done,
     /* 1340346 */   // Label 19116: @1340346
     /* 1340346 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1340430), // Rule ID 20152 //
     /* 1340351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340429 */     // GIR_Coverage, 20152,
     /* 1340429 */     GIR_EraseRootFromParent_Done,
     /* 1340430 */   // Label 19117: @1340430
     /* 1340430 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1340514), // Rule ID 20153 //
     /* 1340435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340513 */     // GIR_Coverage, 20153,
     /* 1340513 */     GIR_EraseRootFromParent_Done,
     /* 1340514 */   // Label 19118: @1340514
     /* 1340514 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1340598), // Rule ID 20156 //
     /* 1340519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340597 */     // GIR_Coverage, 20156,
     /* 1340597 */     GIR_EraseRootFromParent_Done,
     /* 1340598 */   // Label 19119: @1340598
     /* 1340598 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1340682), // Rule ID 20157 //
     /* 1340603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340681 */     // GIR_Coverage, 20157,
     /* 1340681 */     GIR_EraseRootFromParent_Done,
     /* 1340682 */   // Label 19120: @1340682
     /* 1340682 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1340766), // Rule ID 20160 //
     /* 1340687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340765 */     // GIR_Coverage, 20160,
     /* 1340765 */     GIR_EraseRootFromParent_Done,
     /* 1340766 */   // Label 19121: @1340766
     /* 1340766 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340850), // Rule ID 20161 //
     /* 1340771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340849 */     // GIR_Coverage, 20161,
     /* 1340849 */     GIR_EraseRootFromParent_Done,
     /* 1340850 */   // Label 19122: @1340850
     /* 1340850 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340934), // Rule ID 20164 //
     /* 1340855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340933 */     // GIR_Coverage, 20164,
     /* 1340933 */     GIR_EraseRootFromParent_Done,
     /* 1340934 */   // Label 19123: @1340934
     /* 1340934 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1341018), // Rule ID 20165 //
     /* 1340939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341017 */     // GIR_Coverage, 20165,
     /* 1341017 */     GIR_EraseRootFromParent_Done,
     /* 1341018 */   // Label 19124: @1341018
     /* 1341018 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341102), // Rule ID 20168 //
     /* 1341023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1341079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341101 */     // GIR_Coverage, 20168,
     /* 1341101 */     GIR_EraseRootFromParent_Done,
     /* 1341102 */   // Label 19125: @1341102
     /* 1341102 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341186), // Rule ID 20169 //
     /* 1341107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1341163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341185 */     // GIR_Coverage, 20169,
     /* 1341185 */     GIR_EraseRootFromParent_Done,
     /* 1341186 */   // Label 19126: @1341186
     /* 1341186 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1341270), // Rule ID 20172 //
     /* 1341191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1341208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1341247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341269 */     // GIR_Coverage, 20172,
     /* 1341269 */     GIR_EraseRootFromParent_Done,
     /* 1341270 */   // Label 19127: @1341270
     /* 1341270 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1341354), // Rule ID 20173 //
     /* 1341275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1341292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1341331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341353 */     // GIR_Coverage, 20173,
     /* 1341353 */     GIR_EraseRootFromParent_Done,
     /* 1341354 */   // Label 19128: @1341354
     /* 1341354 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1341438), // Rule ID 20176 //
     /* 1341359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341437 */     // GIR_Coverage, 20176,
     /* 1341437 */     GIR_EraseRootFromParent_Done,
     /* 1341438 */   // Label 19129: @1341438
     /* 1341438 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1341522), // Rule ID 20177 //
     /* 1341443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341521 */     // GIR_Coverage, 20177,
     /* 1341521 */     GIR_EraseRootFromParent_Done,
     /* 1341522 */   // Label 19130: @1341522
     /* 1341522 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1341606), // Rule ID 20180 //
     /* 1341527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341605 */     // GIR_Coverage, 20180,
     /* 1341605 */     GIR_EraseRootFromParent_Done,
     /* 1341606 */   // Label 19131: @1341606
     /* 1341606 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1341690), // Rule ID 20181 //
     /* 1341611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341689 */     // GIR_Coverage, 20181,
     /* 1341689 */     GIR_EraseRootFromParent_Done,
     /* 1341690 */   // Label 19132: @1341690
     /* 1341690 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1341774), // Rule ID 20184 //
     /* 1341695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341773 */     // GIR_Coverage, 20184,
     /* 1341773 */     GIR_EraseRootFromParent_Done,
     /* 1341774 */   // Label 19133: @1341774
     /* 1341774 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341858), // Rule ID 20185 //
     /* 1341779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341857 */     // GIR_Coverage, 20185,
     /* 1341857 */     GIR_EraseRootFromParent_Done,
     /* 1341858 */   // Label 19134: @1341858
     /* 1341858 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341942), // Rule ID 20188 //
     /* 1341863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341941 */     // GIR_Coverage, 20188,
     /* 1341941 */     GIR_EraseRootFromParent_Done,
     /* 1341942 */   // Label 19135: @1341942
     /* 1341942 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1342026), // Rule ID 20189 //
     /* 1341947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1342003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342025 */     // GIR_Coverage, 20189,
     /* 1342025 */     GIR_EraseRootFromParent_Done,
     /* 1342026 */   // Label 19136: @1342026
     /* 1342026 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342110), // Rule ID 20192 //
     /* 1342031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1342039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1342087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342109 */     // GIR_Coverage, 20192,
     /* 1342109 */     GIR_EraseRootFromParent_Done,
     /* 1342110 */   // Label 19137: @1342110
     /* 1342110 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342194), // Rule ID 20193 //
     /* 1342115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1342123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1342171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342193 */     // GIR_Coverage, 20193,
     /* 1342193 */     GIR_EraseRootFromParent_Done,
     /* 1342194 */   // Label 19138: @1342194
     /* 1342194 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1342278), // Rule ID 20196 //
     /* 1342199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1342216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1342255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342277 */     // GIR_Coverage, 20196,
     /* 1342277 */     GIR_EraseRootFromParent_Done,
     /* 1342278 */   // Label 19139: @1342278
     /* 1342278 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1342362), // Rule ID 20197 //
     /* 1342283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1342300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1342339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342361 */     // GIR_Coverage, 20197,
     /* 1342361 */     GIR_EraseRootFromParent_Done,
     /* 1342362 */   // Label 19140: @1342362
     /* 1342362 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1342446), // Rule ID 20200 //
     /* 1342367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342445 */     // GIR_Coverage, 20200,
     /* 1342445 */     GIR_EraseRootFromParent_Done,
     /* 1342446 */   // Label 19141: @1342446
     /* 1342446 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1342530), // Rule ID 20201 //
     /* 1342451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342529 */     // GIR_Coverage, 20201,
     /* 1342529 */     GIR_EraseRootFromParent_Done,
     /* 1342530 */   // Label 19142: @1342530
     /* 1342530 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1342614), // Rule ID 20204 //
     /* 1342535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342613 */     // GIR_Coverage, 20204,
     /* 1342613 */     GIR_EraseRootFromParent_Done,
     /* 1342614 */   // Label 19143: @1342614
     /* 1342614 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1342698), // Rule ID 20205 //
     /* 1342619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342697 */     // GIR_Coverage, 20205,
     /* 1342697 */     GIR_EraseRootFromParent_Done,
     /* 1342698 */   // Label 19144: @1342698
     /* 1342698 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1342782), // Rule ID 20208 //
     /* 1342703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342781 */     // GIR_Coverage, 20208,
     /* 1342781 */     GIR_EraseRootFromParent_Done,
     /* 1342782 */   // Label 19145: @1342782
     /* 1342782 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342866), // Rule ID 20209 //
     /* 1342787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342865 */     // GIR_Coverage, 20209,
     /* 1342865 */     GIR_EraseRootFromParent_Done,
     /* 1342866 */   // Label 19146: @1342866
     /* 1342866 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1342950), // Rule ID 20212 //
     /* 1342871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342949 */     // GIR_Coverage, 20212,
     /* 1342949 */     GIR_EraseRootFromParent_Done,
     /* 1342950 */   // Label 19147: @1342950
     /* 1342950 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1343034), // Rule ID 20213 //
     /* 1342955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1343011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343033 */     // GIR_Coverage, 20213,
     /* 1343033 */     GIR_EraseRootFromParent_Done,
     /* 1343034 */   // Label 19148: @1343034
     /* 1343034 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343118), // Rule ID 20216 //
     /* 1343039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1343095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343117 */     // GIR_Coverage, 20216,
     /* 1343117 */     GIR_EraseRootFromParent_Done,
     /* 1343118 */   // Label 19149: @1343118
     /* 1343118 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343202), // Rule ID 20217 //
     /* 1343123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1343179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343201 */     // GIR_Coverage, 20217,
     /* 1343201 */     GIR_EraseRootFromParent_Done,
     /* 1343202 */   // Label 19150: @1343202
     /* 1343202 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1343286), // Rule ID 20220 //
     /* 1343207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1343224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1343263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343285 */     // GIR_Coverage, 20220,
     /* 1343285 */     GIR_EraseRootFromParent_Done,
     /* 1343286 */   // Label 19151: @1343286
     /* 1343286 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1343370), // Rule ID 20221 //
     /* 1343291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1343308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1343347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343369 */     // GIR_Coverage, 20221,
     /* 1343369 */     GIR_EraseRootFromParent_Done,
     /* 1343370 */   // Label 19152: @1343370
     /* 1343370 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1343454), // Rule ID 20224 //
     /* 1343375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343453 */     // GIR_Coverage, 20224,
     /* 1343453 */     GIR_EraseRootFromParent_Done,
     /* 1343454 */   // Label 19153: @1343454
     /* 1343454 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1343538), // Rule ID 20225 //
     /* 1343459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343537 */     // GIR_Coverage, 20225,
     /* 1343537 */     GIR_EraseRootFromParent_Done,
     /* 1343538 */   // Label 19154: @1343538
     /* 1343538 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1343622), // Rule ID 20228 //
     /* 1343543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343596 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343621 */     // GIR_Coverage, 20228,
     /* 1343621 */     GIR_EraseRootFromParent_Done,
     /* 1343622 */   // Label 19155: @1343622
     /* 1343622 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1343706), // Rule ID 20229 //
     /* 1343627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343705 */     // GIR_Coverage, 20229,
     /* 1343705 */     GIR_EraseRootFromParent_Done,
     /* 1343706 */   // Label 19156: @1343706
     /* 1343706 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1343790), // Rule ID 20232 //
     /* 1343711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343789 */     // GIR_Coverage, 20232,
     /* 1343789 */     GIR_EraseRootFromParent_Done,
     /* 1343790 */   // Label 19157: @1343790
     /* 1343790 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343874), // Rule ID 20233 //
     /* 1343795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343873 */     // GIR_Coverage, 20233,
     /* 1343873 */     GIR_EraseRootFromParent_Done,
     /* 1343874 */   // Label 19158: @1343874
     /* 1343874 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343958), // Rule ID 20236 //
     /* 1343879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343957 */     // GIR_Coverage, 20236,
     /* 1343957 */     GIR_EraseRootFromParent_Done,
     /* 1343958 */   // Label 19159: @1343958
     /* 1343958 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1344042), // Rule ID 20237 //
     /* 1343963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1344019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344041 */     // GIR_Coverage, 20237,
     /* 1344041 */     GIR_EraseRootFromParent_Done,
     /* 1344042 */   // Label 19160: @1344042
     /* 1344042 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344126), // Rule ID 20240 //
     /* 1344047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1344103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344125 */     // GIR_Coverage, 20240,
     /* 1344125 */     GIR_EraseRootFromParent_Done,
     /* 1344126 */   // Label 19161: @1344126
     /* 1344126 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344210), // Rule ID 20241 //
     /* 1344131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1344187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344209 */     // GIR_Coverage, 20241,
     /* 1344209 */     GIR_EraseRootFromParent_Done,
     /* 1344210 */   // Label 19162: @1344210
     /* 1344210 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1344294), // Rule ID 20244 //
     /* 1344215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1344232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1344271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344293 */     // GIR_Coverage, 20244,
     /* 1344293 */     GIR_EraseRootFromParent_Done,
     /* 1344294 */   // Label 19163: @1344294
     /* 1344294 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1344378), // Rule ID 20245 //
     /* 1344299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1344316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1344355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344377 */     // GIR_Coverage, 20245,
     /* 1344377 */     GIR_EraseRootFromParent_Done,
     /* 1344378 */   // Label 19164: @1344378
     /* 1344378 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1344462), // Rule ID 20248 //
     /* 1344383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344461 */     // GIR_Coverage, 20248,
     /* 1344461 */     GIR_EraseRootFromParent_Done,
     /* 1344462 */   // Label 19165: @1344462
     /* 1344462 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1344546), // Rule ID 20249 //
     /* 1344467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344545 */     // GIR_Coverage, 20249,
     /* 1344545 */     GIR_EraseRootFromParent_Done,
     /* 1344546 */   // Label 19166: @1344546
     /* 1344546 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1344630), // Rule ID 20252 //
     /* 1344551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344629 */     // GIR_Coverage, 20252,
     /* 1344629 */     GIR_EraseRootFromParent_Done,
     /* 1344630 */   // Label 19167: @1344630
     /* 1344630 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1344714), // Rule ID 20253 //
     /* 1344635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344713 */     // GIR_Coverage, 20253,
     /* 1344713 */     GIR_EraseRootFromParent_Done,
     /* 1344714 */   // Label 19168: @1344714
     /* 1344714 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344798), // Rule ID 20256 //
     /* 1344719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344797 */     // GIR_Coverage, 20256,
     /* 1344797 */     GIR_EraseRootFromParent_Done,
     /* 1344798 */   // Label 19169: @1344798
     /* 1344798 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344882), // Rule ID 20257 //
     /* 1344803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344881 */     // GIR_Coverage, 20257,
     /* 1344881 */     GIR_EraseRootFromParent_Done,
     /* 1344882 */   // Label 19170: @1344882
     /* 1344882 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344966), // Rule ID 20260 //
     /* 1344887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344965 */     // GIR_Coverage, 20260,
     /* 1344965 */     GIR_EraseRootFromParent_Done,
     /* 1344966 */   // Label 19171: @1344966
     /* 1344966 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1345050), // Rule ID 20261 //
     /* 1344971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345049 */     // GIR_Coverage, 20261,
     /* 1345049 */     GIR_EraseRootFromParent_Done,
     /* 1345050 */   // Label 19172: @1345050
     /* 1345050 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345134), // Rule ID 20264 //
     /* 1345055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345133 */     // GIR_Coverage, 20264,
     /* 1345133 */     GIR_EraseRootFromParent_Done,
     /* 1345134 */   // Label 19173: @1345134
     /* 1345134 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345218), // Rule ID 20265 //
     /* 1345139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1345195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345217 */     // GIR_Coverage, 20265,
     /* 1345217 */     GIR_EraseRootFromParent_Done,
     /* 1345218 */   // Label 19174: @1345218
     /* 1345218 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1345302), // Rule ID 20268 //
     /* 1345223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345301 */     // GIR_Coverage, 20268,
     /* 1345301 */     GIR_EraseRootFromParent_Done,
     /* 1345302 */   // Label 19175: @1345302
     /* 1345302 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1345386), // Rule ID 20269 //
     /* 1345307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345385 */     // GIR_Coverage, 20269,
     /* 1345385 */     GIR_EraseRootFromParent_Done,
     /* 1345386 */   // Label 19176: @1345386
     /* 1345386 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1345470), // Rule ID 20272 //
     /* 1345391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345469 */     // GIR_Coverage, 20272,
     /* 1345469 */     GIR_EraseRootFromParent_Done,
     /* 1345470 */   // Label 19177: @1345470
     /* 1345470 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1345554), // Rule ID 20273 //
     /* 1345475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345553 */     // GIR_Coverage, 20273,
     /* 1345553 */     GIR_EraseRootFromParent_Done,
     /* 1345554 */   // Label 19178: @1345554
     /* 1345554 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1345638), // Rule ID 20276 //
     /* 1345559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345637 */     // GIR_Coverage, 20276,
     /* 1345637 */     GIR_EraseRootFromParent_Done,
     /* 1345638 */   // Label 19179: @1345638
     /* 1345638 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1345722), // Rule ID 20277 //
     /* 1345643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345721 */     // GIR_Coverage, 20277,
     /* 1345721 */     GIR_EraseRootFromParent_Done,
     /* 1345722 */   // Label 19180: @1345722
     /* 1345722 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345806), // Rule ID 20280 //
     /* 1345727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345805 */     // GIR_Coverage, 20280,
     /* 1345805 */     GIR_EraseRootFromParent_Done,
     /* 1345806 */   // Label 19181: @1345806
     /* 1345806 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345890), // Rule ID 20281 //
     /* 1345811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345889 */     // GIR_Coverage, 20281,
     /* 1345889 */     GIR_EraseRootFromParent_Done,
     /* 1345890 */   // Label 19182: @1345890
     /* 1345890 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345974), // Rule ID 20284 //
     /* 1345895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345973 */     // GIR_Coverage, 20284,
     /* 1345973 */     GIR_EraseRootFromParent_Done,
     /* 1345974 */   // Label 19183: @1345974
     /* 1345974 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1346058), // Rule ID 20285 //
     /* 1345979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346057 */     // GIR_Coverage, 20285,
     /* 1346057 */     GIR_EraseRootFromParent_Done,
     /* 1346058 */   // Label 19184: @1346058
     /* 1346058 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346142), // Rule ID 20288 //
     /* 1346063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346141 */     // GIR_Coverage, 20288,
     /* 1346141 */     GIR_EraseRootFromParent_Done,
     /* 1346142 */   // Label 19185: @1346142
     /* 1346142 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346226), // Rule ID 20289 //
     /* 1346147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346200 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346225 */     // GIR_Coverage, 20289,
     /* 1346225 */     GIR_EraseRootFromParent_Done,
     /* 1346226 */   // Label 19186: @1346226
     /* 1346226 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1346310), // Rule ID 20292 //
     /* 1346231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346309 */     // GIR_Coverage, 20292,
     /* 1346309 */     GIR_EraseRootFromParent_Done,
     /* 1346310 */   // Label 19187: @1346310
     /* 1346310 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1346394), // Rule ID 20293 //
     /* 1346315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346393 */     // GIR_Coverage, 20293,
     /* 1346393 */     GIR_EraseRootFromParent_Done,
     /* 1346394 */   // Label 19188: @1346394
     /* 1346394 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1346478), // Rule ID 20296 //
     /* 1346399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346477 */     // GIR_Coverage, 20296,
     /* 1346477 */     GIR_EraseRootFromParent_Done,
     /* 1346478 */   // Label 19189: @1346478
     /* 1346478 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1346562), // Rule ID 20297 //
     /* 1346483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346561 */     // GIR_Coverage, 20297,
     /* 1346561 */     GIR_EraseRootFromParent_Done,
     /* 1346562 */   // Label 19190: @1346562
     /* 1346562 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1346646), // Rule ID 20300 //
     /* 1346567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346645 */     // GIR_Coverage, 20300,
     /* 1346645 */     GIR_EraseRootFromParent_Done,
     /* 1346646 */   // Label 19191: @1346646
     /* 1346646 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1346730), // Rule ID 20301 //
     /* 1346651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346729 */     // GIR_Coverage, 20301,
     /* 1346729 */     GIR_EraseRootFromParent_Done,
     /* 1346730 */   // Label 19192: @1346730
     /* 1346730 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346814), // Rule ID 20304 //
     /* 1346735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346813 */     // GIR_Coverage, 20304,
     /* 1346813 */     GIR_EraseRootFromParent_Done,
     /* 1346814 */   // Label 19193: @1346814
     /* 1346814 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346898), // Rule ID 20305 //
     /* 1346819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346897 */     // GIR_Coverage, 20305,
     /* 1346897 */     GIR_EraseRootFromParent_Done,
     /* 1346898 */   // Label 19194: @1346898
     /* 1346898 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346982), // Rule ID 20308 //
     /* 1346903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346981 */     // GIR_Coverage, 20308,
     /* 1346981 */     GIR_EraseRootFromParent_Done,
     /* 1346982 */   // Label 19195: @1346982
     /* 1346982 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1347066), // Rule ID 20309 //
     /* 1346987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1347043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347065 */     // GIR_Coverage, 20309,
     /* 1347065 */     GIR_EraseRootFromParent_Done,
     /* 1347066 */   // Label 19196: @1347066
     /* 1347066 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347150), // Rule ID 20312 //
     /* 1347071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1347127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347149 */     // GIR_Coverage, 20312,
     /* 1347149 */     GIR_EraseRootFromParent_Done,
     /* 1347150 */   // Label 19197: @1347150
     /* 1347150 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347234), // Rule ID 20313 //
     /* 1347155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1347211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347233 */     // GIR_Coverage, 20313,
     /* 1347233 */     GIR_EraseRootFromParent_Done,
     /* 1347234 */   // Label 19198: @1347234
     /* 1347234 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1347318), // Rule ID 20316 //
     /* 1347239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1347256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1347259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1347295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347317 */     // GIR_Coverage, 20316,
     /* 1347317 */     GIR_EraseRootFromParent_Done,
     /* 1347318 */   // Label 19199: @1347318
     /* 1347318 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1347402), // Rule ID 20317 //
     /* 1347323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1347340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1347343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1347379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347401 */     // GIR_Coverage, 20317,
     /* 1347401 */     GIR_EraseRootFromParent_Done,
     /* 1347402 */   // Label 19200: @1347402
     /* 1347402 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1347486), // Rule ID 20320 //
     /* 1347407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347485 */     // GIR_Coverage, 20320,
     /* 1347485 */     GIR_EraseRootFromParent_Done,
     /* 1347486 */   // Label 19201: @1347486
     /* 1347486 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1347570), // Rule ID 20321 //
     /* 1347491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347569 */     // GIR_Coverage, 20321,
     /* 1347569 */     GIR_EraseRootFromParent_Done,
     /* 1347570 */   // Label 19202: @1347570
     /* 1347570 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1347654), // Rule ID 20324 //
     /* 1347575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347653 */     // GIR_Coverage, 20324,
     /* 1347653 */     GIR_EraseRootFromParent_Done,
     /* 1347654 */   // Label 19203: @1347654
     /* 1347654 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1347738), // Rule ID 20325 //
     /* 1347659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347737 */     // GIR_Coverage, 20325,
     /* 1347737 */     GIR_EraseRootFromParent_Done,
     /* 1347738 */   // Label 19204: @1347738
     /* 1347738 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347822), // Rule ID 20328 //
     /* 1347743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347821 */     // GIR_Coverage, 20328,
     /* 1347821 */     GIR_EraseRootFromParent_Done,
     /* 1347822 */   // Label 19205: @1347822
     /* 1347822 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347906), // Rule ID 20329 //
     /* 1347827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347905 */     // GIR_Coverage, 20329,
     /* 1347905 */     GIR_EraseRootFromParent_Done,
     /* 1347906 */   // Label 19206: @1347906
     /* 1347906 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347990), // Rule ID 20332 //
     /* 1347911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347989 */     // GIR_Coverage, 20332,
     /* 1347989 */     GIR_EraseRootFromParent_Done,
     /* 1347990 */   // Label 19207: @1347990
     /* 1347990 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1348074), // Rule ID 20333 //
     /* 1347995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1348012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348073 */     // GIR_Coverage, 20333,
     /* 1348073 */     GIR_EraseRootFromParent_Done,
     /* 1348074 */   // Label 19208: @1348074
     /* 1348074 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348158), // Rule ID 20336 //
     /* 1348079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1348096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1348099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348157 */     // GIR_Coverage, 20336,
     /* 1348157 */     GIR_EraseRootFromParent_Done,
     /* 1348158 */   // Label 19209: @1348158
     /* 1348158 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348242), // Rule ID 20337 //
     /* 1348163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1348180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1348183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1348219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348241 */     // GIR_Coverage, 20337,
     /* 1348241 */     GIR_EraseRootFromParent_Done,
     /* 1348242 */   // Label 19210: @1348242
     /* 1348242 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1348326), // Rule ID 20340 //
     /* 1348247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1348264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1348267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348325 */     // GIR_Coverage, 20340,
     /* 1348325 */     GIR_EraseRootFromParent_Done,
     /* 1348326 */   // Label 19211: @1348326
     /* 1348326 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1348410), // Rule ID 20341 //
     /* 1348331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1348348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1348351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348409 */     // GIR_Coverage, 20341,
     /* 1348409 */     GIR_EraseRootFromParent_Done,
     /* 1348410 */   // Label 19212: @1348410
     /* 1348410 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1348494), // Rule ID 20344 //
     /* 1348415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348493 */     // GIR_Coverage, 20344,
     /* 1348493 */     GIR_EraseRootFromParent_Done,
     /* 1348494 */   // Label 19213: @1348494
     /* 1348494 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1348578), // Rule ID 20345 //
     /* 1348499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348577 */     // GIR_Coverage, 20345,
     /* 1348577 */     GIR_EraseRootFromParent_Done,
     /* 1348578 */   // Label 19214: @1348578
     /* 1348578 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1348662), // Rule ID 20348 //
     /* 1348583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348661 */     // GIR_Coverage, 20348,
     /* 1348661 */     GIR_EraseRootFromParent_Done,
     /* 1348662 */   // Label 19215: @1348662
     /* 1348662 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1348746), // Rule ID 20349 //
     /* 1348667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348745 */     // GIR_Coverage, 20349,
     /* 1348745 */     GIR_EraseRootFromParent_Done,
     /* 1348746 */   // Label 19216: @1348746
     /* 1348746 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348830), // Rule ID 20352 //
     /* 1348751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348829 */     // GIR_Coverage, 20352,
     /* 1348829 */     GIR_EraseRootFromParent_Done,
     /* 1348830 */   // Label 19217: @1348830
     /* 1348830 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348914), // Rule ID 20353 //
     /* 1348835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348913 */     // GIR_Coverage, 20353,
     /* 1348913 */     GIR_EraseRootFromParent_Done,
     /* 1348914 */   // Label 19218: @1348914
     /* 1348914 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1348998), // Rule ID 20356 //
     /* 1348919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348997 */     // GIR_Coverage, 20356,
     /* 1348997 */     GIR_EraseRootFromParent_Done,
     /* 1348998 */   // Label 19219: @1348998
     /* 1348998 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1349082), // Rule ID 20357 //
     /* 1349003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1349020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1349023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349081 */     // GIR_Coverage, 20357,
     /* 1349081 */     GIR_EraseRootFromParent_Done,
     /* 1349082 */   // Label 19220: @1349082
     /* 1349082 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349166), // Rule ID 20360 //
     /* 1349087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1349104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1349107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349165 */     // GIR_Coverage, 20360,
     /* 1349165 */     GIR_EraseRootFromParent_Done,
     /* 1349166 */   // Label 19221: @1349166
     /* 1349166 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349250), // Rule ID 20361 //
     /* 1349171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1349188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1349191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349249 */     // GIR_Coverage, 20361,
     /* 1349249 */     GIR_EraseRootFromParent_Done,
     /* 1349250 */   // Label 19222: @1349250
     /* 1349250 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349334), // Rule ID 20364 //
     /* 1349255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1349272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1349275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1349311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349333 */     // GIR_Coverage, 20364,
     /* 1349333 */     GIR_EraseRootFromParent_Done,
     /* 1349334 */   // Label 19223: @1349334
     /* 1349334 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1349418), // Rule ID 20365 //
     /* 1349339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1349356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1349359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1349395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349417 */     // GIR_Coverage, 20365,
     /* 1349417 */     GIR_EraseRootFromParent_Done,
     /* 1349418 */   // Label 19224: @1349418
     /* 1349418 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1349502), // Rule ID 20368 //
     /* 1349423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349501 */     // GIR_Coverage, 20368,
     /* 1349501 */     GIR_EraseRootFromParent_Done,
     /* 1349502 */   // Label 19225: @1349502
     /* 1349502 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1349586), // Rule ID 20369 //
     /* 1349507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349585 */     // GIR_Coverage, 20369,
     /* 1349585 */     GIR_EraseRootFromParent_Done,
     /* 1349586 */   // Label 19226: @1349586
     /* 1349586 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1349670), // Rule ID 20372 //
     /* 1349591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349669 */     // GIR_Coverage, 20372,
     /* 1349669 */     GIR_EraseRootFromParent_Done,
     /* 1349670 */   // Label 19227: @1349670
     /* 1349670 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1349754), // Rule ID 20373 //
     /* 1349675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349753 */     // GIR_Coverage, 20373,
     /* 1349753 */     GIR_EraseRootFromParent_Done,
     /* 1349754 */   // Label 19228: @1349754
     /* 1349754 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349835), // Rule ID 20430 //
     /* 1349759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349812 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349834 */     // GIR_Coverage, 20430,
     /* 1349834 */     GIR_EraseRootFromParent_Done,
     /* 1349835 */   // Label 19229: @1349835
     /* 1349835 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349916), // Rule ID 20431 //
     /* 1349840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349893 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349915 */     // GIR_Coverage, 20431,
     /* 1349915 */     GIR_EraseRootFromParent_Done,
     /* 1349916 */   // Label 19230: @1349916
     /* 1349916 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1349997), // Rule ID 20432 //
     /* 1349921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349974 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349996 */     // GIR_Coverage, 20432,
     /* 1349996 */     GIR_EraseRootFromParent_Done,
     /* 1349997 */   // Label 19231: @1349997
     /* 1349997 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1350078), // Rule ID 20433 //
     /* 1350002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1350013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1350016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1350019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350055 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1350058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350077 */     // GIR_Coverage, 20433,
     /* 1350077 */     GIR_EraseRootFromParent_Done,
     /* 1350078 */   // Label 19232: @1350078
     /* 1350078 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350159), // Rule ID 20434 //
     /* 1350083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1350103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350158 */     // GIR_Coverage, 20434,
     /* 1350158 */     GIR_EraseRootFromParent_Done,
     /* 1350159 */   // Label 19233: @1350159
     /* 1350159 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350240), // Rule ID 20435 //
     /* 1350164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1350184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350217 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350239 */     // GIR_Coverage, 20435,
     /* 1350239 */     GIR_EraseRootFromParent_Done,
     /* 1350240 */   // Label 19234: @1350240
     /* 1350240 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350321), // Rule ID 20436 //
     /* 1350245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350298 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1350301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350320 */     // GIR_Coverage, 20436,
     /* 1350320 */     GIR_EraseRootFromParent_Done,
     /* 1350321 */   // Label 19235: @1350321
     /* 1350321 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1350402), // Rule ID 20437 //
     /* 1350326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1350337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1350340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350379 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1350382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350401 */     // GIR_Coverage, 20437,
     /* 1350401 */     GIR_EraseRootFromParent_Done,
     /* 1350402 */   // Label 19236: @1350402
     /* 1350402 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1350483), // Rule ID 20438 //
     /* 1350407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350460 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350482 */     // GIR_Coverage, 20438,
     /* 1350482 */     GIR_EraseRootFromParent_Done,
     /* 1350483 */   // Label 19237: @1350483
     /* 1350483 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1350564), // Rule ID 20439 //
     /* 1350488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350541 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350563 */     // GIR_Coverage, 20439,
     /* 1350563 */     GIR_EraseRootFromParent_Done,
     /* 1350564 */   // Label 19238: @1350564
     /* 1350564 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1350645), // Rule ID 20440 //
     /* 1350569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350644 */     // GIR_Coverage, 20440,
     /* 1350644 */     GIR_EraseRootFromParent_Done,
     /* 1350645 */   // Label 19239: @1350645
     /* 1350645 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1350726), // Rule ID 20441 //
     /* 1350650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350703 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350725 */     // GIR_Coverage, 20441,
     /* 1350725 */     GIR_EraseRootFromParent_Done,
     /* 1350726 */   // Label 19240: @1350726
     /* 1350726 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350807), // Rule ID 20442 //
     /* 1350731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350784 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350806 */     // GIR_Coverage, 20442,
     /* 1350806 */     GIR_EraseRootFromParent_Done,
     /* 1350807 */   // Label 19241: @1350807
     /* 1350807 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350888), // Rule ID 20443 //
     /* 1350812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350887 */     // GIR_Coverage, 20443,
     /* 1350887 */     GIR_EraseRootFromParent_Done,
     /* 1350888 */   // Label 19242: @1350888
     /* 1350888 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350969), // Rule ID 20444 //
     /* 1350893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350946 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350968 */     // GIR_Coverage, 20444,
     /* 1350968 */     GIR_EraseRootFromParent_Done,
     /* 1350969 */   // Label 19243: @1350969
     /* 1350969 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1351050), // Rule ID 20445 //
     /* 1350974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1351030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351049 */     // GIR_Coverage, 20445,
     /* 1351049 */     GIR_EraseRootFromParent_Done,
     /* 1351050 */   // Label 19244: @1351050
     /* 1351050 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351131), // Rule ID 20446 //
     /* 1351055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351130 */     // GIR_Coverage, 20446,
     /* 1351130 */     GIR_EraseRootFromParent_Done,
     /* 1351131 */   // Label 19245: @1351131
     /* 1351131 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351212), // Rule ID 20447 //
     /* 1351136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351211 */     // GIR_Coverage, 20447,
     /* 1351211 */     GIR_EraseRootFromParent_Done,
     /* 1351212 */   // Label 19246: @1351212
     /* 1351212 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351293), // Rule ID 20448 //
     /* 1351217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351270 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1351273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351292 */     // GIR_Coverage, 20448,
     /* 1351292 */     GIR_EraseRootFromParent_Done,
     /* 1351293 */   // Label 19247: @1351293
     /* 1351293 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1351374), // Rule ID 20449 //
     /* 1351298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351351 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1351354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351373 */     // GIR_Coverage, 20449,
     /* 1351373 */     GIR_EraseRootFromParent_Done,
     /* 1351374 */   // Label 19248: @1351374
     /* 1351374 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1351455), // Rule ID 20450 //
     /* 1351379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351432 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351454 */     // GIR_Coverage, 20450,
     /* 1351454 */     GIR_EraseRootFromParent_Done,
     /* 1351455 */   // Label 19249: @1351455
     /* 1351455 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1351536), // Rule ID 20451 //
     /* 1351460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351513 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351535 */     // GIR_Coverage, 20451,
     /* 1351535 */     GIR_EraseRootFromParent_Done,
     /* 1351536 */   // Label 19250: @1351536
     /* 1351536 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1351617), // Rule ID 20452 //
     /* 1351541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351594 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351616 */     // GIR_Coverage, 20452,
     /* 1351616 */     GIR_EraseRootFromParent_Done,
     /* 1351617 */   // Label 19251: @1351617
     /* 1351617 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1351698), // Rule ID 20453 //
     /* 1351622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351697 */     // GIR_Coverage, 20453,
     /* 1351697 */     GIR_EraseRootFromParent_Done,
     /* 1351698 */   // Label 19252: @1351698
     /* 1351698 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351779), // Rule ID 20454 //
     /* 1351703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351756 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351778 */     // GIR_Coverage, 20454,
     /* 1351778 */     GIR_EraseRootFromParent_Done,
     /* 1351779 */   // Label 19253: @1351779
     /* 1351779 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351860), // Rule ID 20455 //
     /* 1351784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351837 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351859 */     // GIR_Coverage, 20455,
     /* 1351859 */     GIR_EraseRootFromParent_Done,
     /* 1351860 */   // Label 19254: @1351860
     /* 1351860 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351941), // Rule ID 20456 //
     /* 1351865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351918 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351940 */     // GIR_Coverage, 20456,
     /* 1351940 */     GIR_EraseRootFromParent_Done,
     /* 1351941 */   // Label 19255: @1351941
     /* 1351941 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1352022), // Rule ID 20457 //
     /* 1351946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351999 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1352002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352021 */     // GIR_Coverage, 20457,
     /* 1352021 */     GIR_EraseRootFromParent_Done,
     /* 1352022 */   // Label 19256: @1352022
     /* 1352022 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1352103), // Rule ID 20458 //
     /* 1352027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1352030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352080 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352102 */     // GIR_Coverage, 20458,
     /* 1352102 */     GIR_EraseRootFromParent_Done,
     /* 1352103 */   // Label 19257: @1352103
     /* 1352103 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352184), // Rule ID 20459 //
     /* 1352108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352161 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352183 */     // GIR_Coverage, 20459,
     /* 1352183 */     GIR_EraseRootFromParent_Done,
     /* 1352184 */   // Label 19258: @1352184
     /* 1352184 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352265), // Rule ID 20460 //
     /* 1352189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352242 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1352245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352264 */     // GIR_Coverage, 20460,
     /* 1352264 */     GIR_EraseRootFromParent_Done,
     /* 1352265 */   // Label 19259: @1352265
     /* 1352265 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352346), // Rule ID 20461 //
     /* 1352270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1352281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1352284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1352326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352345 */     // GIR_Coverage, 20461,
     /* 1352345 */     GIR_EraseRootFromParent_Done,
     /* 1352346 */   // Label 19260: @1352346
     /* 1352346 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1352427), // Rule ID 20462 //
     /* 1352351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1352354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352404 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352426 */     // GIR_Coverage, 20462,
     /* 1352426 */     GIR_EraseRootFromParent_Done,
     /* 1352427 */   // Label 19261: @1352427
     /* 1352427 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1352508), // Rule ID 20463 //
     /* 1352432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352485 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352507 */     // GIR_Coverage, 20463,
     /* 1352507 */     GIR_EraseRootFromParent_Done,
     /* 1352508 */   // Label 19262: @1352508
     /* 1352508 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1352589), // Rule ID 20464 //
     /* 1352513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352566 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352588 */     // GIR_Coverage, 20464,
     /* 1352588 */     GIR_EraseRootFromParent_Done,
     /* 1352589 */   // Label 19263: @1352589
     /* 1352589 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1352670), // Rule ID 20465 //
     /* 1352594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352647 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352669 */     // GIR_Coverage, 20465,
     /* 1352669 */     GIR_EraseRootFromParent_Done,
     /* 1352670 */   // Label 19264: @1352670
     /* 1352670 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352751), // Rule ID 20466 //
     /* 1352675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352750 */     // GIR_Coverage, 20466,
     /* 1352750 */     GIR_EraseRootFromParent_Done,
     /* 1352751 */   // Label 19265: @1352751
     /* 1352751 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352832), // Rule ID 20467 //
     /* 1352756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352809 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352831 */     // GIR_Coverage, 20467,
     /* 1352831 */     GIR_EraseRootFromParent_Done,
     /* 1352832 */   // Label 19266: @1352832
     /* 1352832 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352913), // Rule ID 20468 //
     /* 1352837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352890 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352912 */     // GIR_Coverage, 20468,
     /* 1352912 */     GIR_EraseRootFromParent_Done,
     /* 1352913 */   // Label 19267: @1352913
     /* 1352913 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352994), // Rule ID 20469 //
     /* 1352918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352971 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352993 */     // GIR_Coverage, 20469,
     /* 1352993 */     GIR_EraseRootFromParent_Done,
     /* 1352994 */   // Label 19268: @1352994
     /* 1352994 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1353075), // Rule ID 20470 //
     /* 1352999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353052 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353074 */     // GIR_Coverage, 20470,
     /* 1353074 */     GIR_EraseRootFromParent_Done,
     /* 1353075 */   // Label 19269: @1353075
     /* 1353075 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353156), // Rule ID 20471 //
     /* 1353080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353133 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353155 */     // GIR_Coverage, 20471,
     /* 1353155 */     GIR_EraseRootFromParent_Done,
     /* 1353156 */   // Label 19270: @1353156
     /* 1353156 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353237), // Rule ID 20472 //
     /* 1353161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1353217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353236 */     // GIR_Coverage, 20472,
     /* 1353236 */     GIR_EraseRootFromParent_Done,
     /* 1353237 */   // Label 19271: @1353237
     /* 1353237 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1353318), // Rule ID 20473 //
     /* 1353242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1353253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1353256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353295 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1353298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353317 */     // GIR_Coverage, 20473,
     /* 1353317 */     GIR_EraseRootFromParent_Done,
     /* 1353318 */   // Label 19272: @1353318
     /* 1353318 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1353399), // Rule ID 20474 //
     /* 1353323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353398 */     // GIR_Coverage, 20474,
     /* 1353398 */     GIR_EraseRootFromParent_Done,
     /* 1353399 */   // Label 19273: @1353399
     /* 1353399 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1353480), // Rule ID 20475 //
     /* 1353404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353457 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353479 */     // GIR_Coverage, 20475,
     /* 1353479 */     GIR_EraseRootFromParent_Done,
     /* 1353480 */   // Label 19274: @1353480
     /* 1353480 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1353561), // Rule ID 20476 //
     /* 1353485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353560 */     // GIR_Coverage, 20476,
     /* 1353560 */     GIR_EraseRootFromParent_Done,
     /* 1353561 */   // Label 19275: @1353561
     /* 1353561 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1353642), // Rule ID 20477 //
     /* 1353566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353619 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353641 */     // GIR_Coverage, 20477,
     /* 1353641 */     GIR_EraseRootFromParent_Done,
     /* 1353642 */   // Label 19276: @1353642
     /* 1353642 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353723), // Rule ID 20478 //
     /* 1353647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353722 */     // GIR_Coverage, 20478,
     /* 1353722 */     GIR_EraseRootFromParent_Done,
     /* 1353723 */   // Label 19277: @1353723
     /* 1353723 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353804), // Rule ID 20479 //
     /* 1353728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353781 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353803 */     // GIR_Coverage, 20479,
     /* 1353803 */     GIR_EraseRootFromParent_Done,
     /* 1353804 */   // Label 19278: @1353804
     /* 1353804 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353885), // Rule ID 20480 //
     /* 1353809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353862 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353884 */     // GIR_Coverage, 20480,
     /* 1353884 */     GIR_EraseRootFromParent_Done,
     /* 1353885 */   // Label 19279: @1353885
     /* 1353885 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353966), // Rule ID 20481 //
     /* 1353890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353943 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353965 */     // GIR_Coverage, 20481,
     /* 1353965 */     GIR_EraseRootFromParent_Done,
     /* 1353966 */   // Label 19280: @1353966
     /* 1353966 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1354047), // Rule ID 20482 //
     /* 1353971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354024 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1354027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354046 */     // GIR_Coverage, 20482,
     /* 1354046 */     GIR_EraseRootFromParent_Done,
     /* 1354047 */   // Label 19281: @1354047
     /* 1354047 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354128), // Rule ID 20483 //
     /* 1354052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1354072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354105 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1354108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354127 */     // GIR_Coverage, 20483,
     /* 1354127 */     GIR_EraseRootFromParent_Done,
     /* 1354128 */   // Label 19282: @1354128
     /* 1354128 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354209), // Rule ID 20484 //
     /* 1354133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354186 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1354189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354208 */     // GIR_Coverage, 20484,
     /* 1354208 */     GIR_EraseRootFromParent_Done,
     /* 1354209 */   // Label 19283: @1354209
     /* 1354209 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1354290), // Rule ID 20485 //
     /* 1354214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1354225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1354228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1354270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354289 */     // GIR_Coverage, 20485,
     /* 1354289 */     GIR_EraseRootFromParent_Done,
     /* 1354290 */   // Label 19284: @1354290
     /* 1354290 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1354371), // Rule ID 20486 //
     /* 1354295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1354315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354370 */     // GIR_Coverage, 20486,
     /* 1354370 */     GIR_EraseRootFromParent_Done,
     /* 1354371 */   // Label 19285: @1354371
     /* 1354371 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1354452), // Rule ID 20487 //
     /* 1354376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1354396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354429 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354451 */     // GIR_Coverage, 20487,
     /* 1354451 */     GIR_EraseRootFromParent_Done,
     /* 1354452 */   // Label 19286: @1354452
     /* 1354452 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1354533), // Rule ID 20488 //
     /* 1354457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354510 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354532 */     // GIR_Coverage, 20488,
     /* 1354532 */     GIR_EraseRootFromParent_Done,
     /* 1354533 */   // Label 19287: @1354533
     /* 1354533 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1354614), // Rule ID 20489 //
     /* 1354538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354591 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354613 */     // GIR_Coverage, 20489,
     /* 1354613 */     GIR_EraseRootFromParent_Done,
     /* 1354614 */   // Label 19288: @1354614
     /* 1354614 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354698), // Rule ID 21870 //
     /* 1354619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354697 */     // GIR_Coverage, 21870,
     /* 1354697 */     GIR_EraseRootFromParent_Done,
     /* 1354698 */   // Label 19289: @1354698
     /* 1354698 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354782), // Rule ID 21871 //
     /* 1354703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354781 */     // GIR_Coverage, 21871,
     /* 1354781 */     GIR_EraseRootFromParent_Done,
     /* 1354782 */   // Label 19290: @1354782
     /* 1354782 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354866), // Rule ID 21874 //
     /* 1354787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354865 */     // GIR_Coverage, 21874,
     /* 1354865 */     GIR_EraseRootFromParent_Done,
     /* 1354866 */   // Label 19291: @1354866
     /* 1354866 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354950), // Rule ID 21875 //
     /* 1354871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354949 */     // GIR_Coverage, 21875,
     /* 1354949 */     GIR_EraseRootFromParent_Done,
     /* 1354950 */   // Label 19292: @1354950
     /* 1354950 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1355034), // Rule ID 21878 //
     /* 1354955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1355011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355033 */     // GIR_Coverage, 21878,
     /* 1355033 */     GIR_EraseRootFromParent_Done,
     /* 1355034 */   // Label 19293: @1355034
     /* 1355034 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355118), // Rule ID 21879 //
     /* 1355039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1355056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1355095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355117 */     // GIR_Coverage, 21879,
     /* 1355117 */     GIR_EraseRootFromParent_Done,
     /* 1355118 */   // Label 19294: @1355118
     /* 1355118 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355202), // Rule ID 21882 //
     /* 1355123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1355179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355201 */     // GIR_Coverage, 21882,
     /* 1355201 */     GIR_EraseRootFromParent_Done,
     /* 1355202 */   // Label 19295: @1355202
     /* 1355202 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1355286), // Rule ID 21883 //
     /* 1355207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1355263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355285 */     // GIR_Coverage, 21883,
     /* 1355285 */     GIR_EraseRootFromParent_Done,
     /* 1355286 */   // Label 19296: @1355286
     /* 1355286 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1355370), // Rule ID 21886 //
     /* 1355291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355369 */     // GIR_Coverage, 21886,
     /* 1355369 */     GIR_EraseRootFromParent_Done,
     /* 1355370 */   // Label 19297: @1355370
     /* 1355370 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1355454), // Rule ID 21887 //
     /* 1355375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355453 */     // GIR_Coverage, 21887,
     /* 1355453 */     GIR_EraseRootFromParent_Done,
     /* 1355454 */   // Label 19298: @1355454
     /* 1355454 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1355538), // Rule ID 21890 //
     /* 1355459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355537 */     // GIR_Coverage, 21890,
     /* 1355537 */     GIR_EraseRootFromParent_Done,
     /* 1355538 */   // Label 19299: @1355538
     /* 1355538 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1355622), // Rule ID 21891 //
     /* 1355543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355621 */     // GIR_Coverage, 21891,
     /* 1355621 */     GIR_EraseRootFromParent_Done,
     /* 1355622 */   // Label 19300: @1355622
     /* 1355622 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355706), // Rule ID 21894 //
     /* 1355627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355705 */     // GIR_Coverage, 21894,
     /* 1355705 */     GIR_EraseRootFromParent_Done,
     /* 1355706 */   // Label 19301: @1355706
     /* 1355706 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355790), // Rule ID 21895 //
     /* 1355711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355789 */     // GIR_Coverage, 21895,
     /* 1355789 */     GIR_EraseRootFromParent_Done,
     /* 1355790 */   // Label 19302: @1355790
     /* 1355790 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355874), // Rule ID 21898 //
     /* 1355795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355873 */     // GIR_Coverage, 21898,
     /* 1355873 */     GIR_EraseRootFromParent_Done,
     /* 1355874 */   // Label 19303: @1355874
     /* 1355874 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355958), // Rule ID 21899 //
     /* 1355879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355957 */     // GIR_Coverage, 21899,
     /* 1355957 */     GIR_EraseRootFromParent_Done,
     /* 1355958 */   // Label 19304: @1355958
     /* 1355958 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1356042), // Rule ID 21902 //
     /* 1355963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1356019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356041 */     // GIR_Coverage, 21902,
     /* 1356041 */     GIR_EraseRootFromParent_Done,
     /* 1356042 */   // Label 19305: @1356042
     /* 1356042 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356126), // Rule ID 21903 //
     /* 1356047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1356050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1356064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1356103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356125 */     // GIR_Coverage, 21903,
     /* 1356125 */     GIR_EraseRootFromParent_Done,
     /* 1356126 */   // Label 19306: @1356126
     /* 1356126 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356210), // Rule ID 21906 //
     /* 1356131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1356148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1356187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356209 */     // GIR_Coverage, 21906,
     /* 1356209 */     GIR_EraseRootFromParent_Done,
     /* 1356210 */   // Label 19307: @1356210
     /* 1356210 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1356294), // Rule ID 21907 //
     /* 1356215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1356232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1356271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356293 */     // GIR_Coverage, 21907,
     /* 1356293 */     GIR_EraseRootFromParent_Done,
     /* 1356294 */   // Label 19308: @1356294
     /* 1356294 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1356378), // Rule ID 21910 //
     /* 1356299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1356316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356377 */     // GIR_Coverage, 21910,
     /* 1356377 */     GIR_EraseRootFromParent_Done,
     /* 1356378 */   // Label 19309: @1356378
     /* 1356378 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1356462), // Rule ID 21911 //
     /* 1356383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1356400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356461 */     // GIR_Coverage, 21911,
     /* 1356461 */     GIR_EraseRootFromParent_Done,
     /* 1356462 */   // Label 19310: @1356462
     /* 1356462 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1356546), // Rule ID 21914 //
     /* 1356467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356545 */     // GIR_Coverage, 21914,
     /* 1356545 */     GIR_EraseRootFromParent_Done,
     /* 1356546 */   // Label 19311: @1356546
     /* 1356546 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1356630), // Rule ID 21915 //
     /* 1356551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356629 */     // GIR_Coverage, 21915,
     /* 1356629 */     GIR_EraseRootFromParent_Done,
     /* 1356630 */   // Label 19312: @1356630
     /* 1356630 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356714), // Rule ID 21918 //
     /* 1356635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356713 */     // GIR_Coverage, 21918,
     /* 1356713 */     GIR_EraseRootFromParent_Done,
     /* 1356714 */   // Label 19313: @1356714
     /* 1356714 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356798), // Rule ID 21919 //
     /* 1356719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356797 */     // GIR_Coverage, 21919,
     /* 1356797 */     GIR_EraseRootFromParent_Done,
     /* 1356798 */   // Label 19314: @1356798
     /* 1356798 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356882), // Rule ID 21922 //
     /* 1356803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356881 */     // GIR_Coverage, 21922,
     /* 1356881 */     GIR_EraseRootFromParent_Done,
     /* 1356882 */   // Label 19315: @1356882
     /* 1356882 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356966), // Rule ID 21923 //
     /* 1356887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356965 */     // GIR_Coverage, 21923,
     /* 1356965 */     GIR_EraseRootFromParent_Done,
     /* 1356966 */   // Label 19316: @1356966
     /* 1356966 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1357050), // Rule ID 21926 //
     /* 1356971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1357027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357049 */     // GIR_Coverage, 21926,
     /* 1357049 */     GIR_EraseRootFromParent_Done,
     /* 1357050 */   // Label 19317: @1357050
     /* 1357050 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357134), // Rule ID 21927 //
     /* 1357055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1357072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1357111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357133 */     // GIR_Coverage, 21927,
     /* 1357133 */     GIR_EraseRootFromParent_Done,
     /* 1357134 */   // Label 19318: @1357134
     /* 1357134 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357218), // Rule ID 21930 //
     /* 1357139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1357195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357217 */     // GIR_Coverage, 21930,
     /* 1357217 */     GIR_EraseRootFromParent_Done,
     /* 1357218 */   // Label 19319: @1357218
     /* 1357218 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1357302), // Rule ID 21931 //
     /* 1357223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1357279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357301 */     // GIR_Coverage, 21931,
     /* 1357301 */     GIR_EraseRootFromParent_Done,
     /* 1357302 */   // Label 19320: @1357302
     /* 1357302 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1357386), // Rule ID 21934 //
     /* 1357307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357385 */     // GIR_Coverage, 21934,
     /* 1357385 */     GIR_EraseRootFromParent_Done,
     /* 1357386 */   // Label 19321: @1357386
     /* 1357386 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1357470), // Rule ID 21935 //
     /* 1357391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357469 */     // GIR_Coverage, 21935,
     /* 1357469 */     GIR_EraseRootFromParent_Done,
     /* 1357470 */   // Label 19322: @1357470
     /* 1357470 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1357554), // Rule ID 21938 //
     /* 1357475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357553 */     // GIR_Coverage, 21938,
     /* 1357553 */     GIR_EraseRootFromParent_Done,
     /* 1357554 */   // Label 19323: @1357554
     /* 1357554 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1357638), // Rule ID 21939 //
     /* 1357559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357637 */     // GIR_Coverage, 21939,
     /* 1357637 */     GIR_EraseRootFromParent_Done,
     /* 1357638 */   // Label 19324: @1357638
     /* 1357638 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1357722), // Rule ID 21942 //
     /* 1357643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357721 */     // GIR_Coverage, 21942,
     /* 1357721 */     GIR_EraseRootFromParent_Done,
     /* 1357722 */   // Label 19325: @1357722
     /* 1357722 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357806), // Rule ID 21943 //
     /* 1357727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357805 */     // GIR_Coverage, 21943,
     /* 1357805 */     GIR_EraseRootFromParent_Done,
     /* 1357806 */   // Label 19326: @1357806
     /* 1357806 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357890), // Rule ID 21946 //
     /* 1357811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357889 */     // GIR_Coverage, 21946,
     /* 1357889 */     GIR_EraseRootFromParent_Done,
     /* 1357890 */   // Label 19327: @1357890
     /* 1357890 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357974), // Rule ID 21947 //
     /* 1357895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357973 */     // GIR_Coverage, 21947,
     /* 1357973 */     GIR_EraseRootFromParent_Done,
     /* 1357974 */   // Label 19328: @1357974
     /* 1357974 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1358058), // Rule ID 21950 //
     /* 1357979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1358035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358057 */     // GIR_Coverage, 21950,
     /* 1358057 */     GIR_EraseRootFromParent_Done,
     /* 1358058 */   // Label 19329: @1358058
     /* 1358058 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358142), // Rule ID 21951 //
     /* 1358063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1358066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1358071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1358119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358141 */     // GIR_Coverage, 21951,
     /* 1358141 */     GIR_EraseRootFromParent_Done,
     /* 1358142 */   // Label 19330: @1358142
     /* 1358142 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358226), // Rule ID 21954 //
     /* 1358147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1358203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358225 */     // GIR_Coverage, 21954,
     /* 1358225 */     GIR_EraseRootFromParent_Done,
     /* 1358226 */   // Label 19331: @1358226
     /* 1358226 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1358310), // Rule ID 21955 //
     /* 1358231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1358287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358309 */     // GIR_Coverage, 21955,
     /* 1358309 */     GIR_EraseRootFromParent_Done,
     /* 1358310 */   // Label 19332: @1358310
     /* 1358310 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1358394), // Rule ID 21958 //
     /* 1358315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358393 */     // GIR_Coverage, 21958,
     /* 1358393 */     GIR_EraseRootFromParent_Done,
     /* 1358394 */   // Label 19333: @1358394
     /* 1358394 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1358478), // Rule ID 21959 //
     /* 1358399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358477 */     // GIR_Coverage, 21959,
     /* 1358477 */     GIR_EraseRootFromParent_Done,
     /* 1358478 */   // Label 19334: @1358478
     /* 1358478 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1358562), // Rule ID 21962 //
     /* 1358483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358561 */     // GIR_Coverage, 21962,
     /* 1358561 */     GIR_EraseRootFromParent_Done,
     /* 1358562 */   // Label 19335: @1358562
     /* 1358562 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1358646), // Rule ID 21963 //
     /* 1358567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358645 */     // GIR_Coverage, 21963,
     /* 1358645 */     GIR_EraseRootFromParent_Done,
     /* 1358646 */   // Label 19336: @1358646
     /* 1358646 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1358730), // Rule ID 21966 //
     /* 1358651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358729 */     // GIR_Coverage, 21966,
     /* 1358729 */     GIR_EraseRootFromParent_Done,
     /* 1358730 */   // Label 19337: @1358730
     /* 1358730 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358814), // Rule ID 21967 //
     /* 1358735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358813 */     // GIR_Coverage, 21967,
     /* 1358813 */     GIR_EraseRootFromParent_Done,
     /* 1358814 */   // Label 19338: @1358814
     /* 1358814 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358898), // Rule ID 21970 //
     /* 1358819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358897 */     // GIR_Coverage, 21970,
     /* 1358897 */     GIR_EraseRootFromParent_Done,
     /* 1358898 */   // Label 19339: @1358898
     /* 1358898 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358982), // Rule ID 21971 //
     /* 1358903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358981 */     // GIR_Coverage, 21971,
     /* 1358981 */     GIR_EraseRootFromParent_Done,
     /* 1358982 */   // Label 19340: @1358982
     /* 1358982 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1359066), // Rule ID 21974 //
     /* 1358987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1359043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359065 */     // GIR_Coverage, 21974,
     /* 1359065 */     GIR_EraseRootFromParent_Done,
     /* 1359066 */   // Label 19341: @1359066
     /* 1359066 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359150), // Rule ID 21975 //
     /* 1359071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1359127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359149 */     // GIR_Coverage, 21975,
     /* 1359149 */     GIR_EraseRootFromParent_Done,
     /* 1359150 */   // Label 19342: @1359150
     /* 1359150 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359234), // Rule ID 21978 //
     /* 1359155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1359211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359233 */     // GIR_Coverage, 21978,
     /* 1359233 */     GIR_EraseRootFromParent_Done,
     /* 1359234 */   // Label 19343: @1359234
     /* 1359234 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1359318), // Rule ID 21979 //
     /* 1359239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1359295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359317 */     // GIR_Coverage, 21979,
     /* 1359317 */     GIR_EraseRootFromParent_Done,
     /* 1359318 */   // Label 19344: @1359318
     /* 1359318 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1359402), // Rule ID 21982 //
     /* 1359323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359401 */     // GIR_Coverage, 21982,
     /* 1359401 */     GIR_EraseRootFromParent_Done,
     /* 1359402 */   // Label 19345: @1359402
     /* 1359402 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1359486), // Rule ID 21983 //
     /* 1359407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359485 */     // GIR_Coverage, 21983,
     /* 1359485 */     GIR_EraseRootFromParent_Done,
     /* 1359486 */   // Label 19346: @1359486
     /* 1359486 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1359570), // Rule ID 21986 //
     /* 1359491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359569 */     // GIR_Coverage, 21986,
     /* 1359569 */     GIR_EraseRootFromParent_Done,
     /* 1359570 */   // Label 19347: @1359570
     /* 1359570 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1359654), // Rule ID 21987 //
     /* 1359575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359653 */     // GIR_Coverage, 21987,
     /* 1359653 */     GIR_EraseRootFromParent_Done,
     /* 1359654 */   // Label 19348: @1359654
     /* 1359654 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1359738), // Rule ID 21990 //
     /* 1359659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359737 */     // GIR_Coverage, 21990,
     /* 1359737 */     GIR_EraseRootFromParent_Done,
     /* 1359738 */   // Label 19349: @1359738
     /* 1359738 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359822), // Rule ID 21991 //
     /* 1359743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359821 */     // GIR_Coverage, 21991,
     /* 1359821 */     GIR_EraseRootFromParent_Done,
     /* 1359822 */   // Label 19350: @1359822
     /* 1359822 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359906), // Rule ID 21994 //
     /* 1359827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359905 */     // GIR_Coverage, 21994,
     /* 1359905 */     GIR_EraseRootFromParent_Done,
     /* 1359906 */   // Label 19351: @1359906
     /* 1359906 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359990), // Rule ID 21995 //
     /* 1359911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359989 */     // GIR_Coverage, 21995,
     /* 1359989 */     GIR_EraseRootFromParent_Done,
     /* 1359990 */   // Label 19352: @1359990
     /* 1359990 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1360074), // Rule ID 21998 //
     /* 1359995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1360051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360073 */     // GIR_Coverage, 21998,
     /* 1360073 */     GIR_EraseRootFromParent_Done,
     /* 1360074 */   // Label 19353: @1360074
     /* 1360074 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360158), // Rule ID 21999 //
     /* 1360079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1360135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360157 */     // GIR_Coverage, 21999,
     /* 1360157 */     GIR_EraseRootFromParent_Done,
     /* 1360158 */   // Label 19354: @1360158
     /* 1360158 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360242), // Rule ID 22002 //
     /* 1360163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1360219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360241 */     // GIR_Coverage, 22002,
     /* 1360241 */     GIR_EraseRootFromParent_Done,
     /* 1360242 */   // Label 19355: @1360242
     /* 1360242 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1360326), // Rule ID 22003 //
     /* 1360247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1360303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360325 */     // GIR_Coverage, 22003,
     /* 1360325 */     GIR_EraseRootFromParent_Done,
     /* 1360326 */   // Label 19356: @1360326
     /* 1360326 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1360410), // Rule ID 22006 //
     /* 1360331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360409 */     // GIR_Coverage, 22006,
     /* 1360409 */     GIR_EraseRootFromParent_Done,
     /* 1360410 */   // Label 19357: @1360410
     /* 1360410 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1360494), // Rule ID 22007 //
     /* 1360415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360493 */     // GIR_Coverage, 22007,
     /* 1360493 */     GIR_EraseRootFromParent_Done,
     /* 1360494 */   // Label 19358: @1360494
     /* 1360494 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1360578), // Rule ID 22010 //
     /* 1360499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360577 */     // GIR_Coverage, 22010,
     /* 1360577 */     GIR_EraseRootFromParent_Done,
     /* 1360578 */   // Label 19359: @1360578
     /* 1360578 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1360662), // Rule ID 22011 //
     /* 1360583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360661 */     // GIR_Coverage, 22011,
     /* 1360661 */     GIR_EraseRootFromParent_Done,
     /* 1360662 */   // Label 19360: @1360662
     /* 1360662 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1360746), // Rule ID 22014 //
     /* 1360667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360745 */     // GIR_Coverage, 22014,
     /* 1360745 */     GIR_EraseRootFromParent_Done,
     /* 1360746 */   // Label 19361: @1360746
     /* 1360746 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360830), // Rule ID 22015 //
     /* 1360751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360829 */     // GIR_Coverage, 22015,
     /* 1360829 */     GIR_EraseRootFromParent_Done,
     /* 1360830 */   // Label 19362: @1360830
     /* 1360830 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360914), // Rule ID 22018 //
     /* 1360835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360913 */     // GIR_Coverage, 22018,
     /* 1360913 */     GIR_EraseRootFromParent_Done,
     /* 1360914 */   // Label 19363: @1360914
     /* 1360914 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1360998), // Rule ID 22019 //
     /* 1360919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360997 */     // GIR_Coverage, 22019,
     /* 1360997 */     GIR_EraseRootFromParent_Done,
     /* 1360998 */   // Label 19364: @1360998
     /* 1360998 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1361082), // Rule ID 22022 //
     /* 1361003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1361059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361081 */     // GIR_Coverage, 22022,
     /* 1361081 */     GIR_EraseRootFromParent_Done,
     /* 1361082 */   // Label 19365: @1361082
     /* 1361082 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361166), // Rule ID 22023 //
     /* 1361087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1361143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361165 */     // GIR_Coverage, 22023,
     /* 1361165 */     GIR_EraseRootFromParent_Done,
     /* 1361166 */   // Label 19366: @1361166
     /* 1361166 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361250), // Rule ID 22026 //
     /* 1361171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1361227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361249 */     // GIR_Coverage, 22026,
     /* 1361249 */     GIR_EraseRootFromParent_Done,
     /* 1361250 */   // Label 19367: @1361250
     /* 1361250 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1361334), // Rule ID 22027 //
     /* 1361255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1361311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361333 */     // GIR_Coverage, 22027,
     /* 1361333 */     GIR_EraseRootFromParent_Done,
     /* 1361334 */   // Label 19368: @1361334
     /* 1361334 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1361418), // Rule ID 22030 //
     /* 1361339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361417 */     // GIR_Coverage, 22030,
     /* 1361417 */     GIR_EraseRootFromParent_Done,
     /* 1361418 */   // Label 19369: @1361418
     /* 1361418 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1361502), // Rule ID 22031 //
     /* 1361423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361501 */     // GIR_Coverage, 22031,
     /* 1361501 */     GIR_EraseRootFromParent_Done,
     /* 1361502 */   // Label 19370: @1361502
     /* 1361502 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1361586), // Rule ID 22034 //
     /* 1361507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361585 */     // GIR_Coverage, 22034,
     /* 1361585 */     GIR_EraseRootFromParent_Done,
     /* 1361586 */   // Label 19371: @1361586
     /* 1361586 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1361670), // Rule ID 22035 //
     /* 1361591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361669 */     // GIR_Coverage, 22035,
     /* 1361669 */     GIR_EraseRootFromParent_Done,
     /* 1361670 */   // Label 19372: @1361670
     /* 1361670 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1361754), // Rule ID 22038 //
     /* 1361675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361753 */     // GIR_Coverage, 22038,
     /* 1361753 */     GIR_EraseRootFromParent_Done,
     /* 1361754 */   // Label 19373: @1361754
     /* 1361754 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361838), // Rule ID 22039 //
     /* 1361759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361837 */     // GIR_Coverage, 22039,
     /* 1361837 */     GIR_EraseRootFromParent_Done,
     /* 1361838 */   // Label 19374: @1361838
     /* 1361838 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361922), // Rule ID 22042 //
     /* 1361843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361921 */     // GIR_Coverage, 22042,
     /* 1361921 */     GIR_EraseRootFromParent_Done,
     /* 1361922 */   // Label 19375: @1361922
     /* 1361922 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1362006), // Rule ID 22043 //
     /* 1361927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362005 */     // GIR_Coverage, 22043,
     /* 1362005 */     GIR_EraseRootFromParent_Done,
     /* 1362006 */   // Label 19376: @1362006
     /* 1362006 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1362090), // Rule ID 22046 //
     /* 1362011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1362067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362089 */     // GIR_Coverage, 22046,
     /* 1362089 */     GIR_EraseRootFromParent_Done,
     /* 1362090 */   // Label 19377: @1362090
     /* 1362090 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362174), // Rule ID 22047 //
     /* 1362095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1362151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362173 */     // GIR_Coverage, 22047,
     /* 1362173 */     GIR_EraseRootFromParent_Done,
     /* 1362174 */   // Label 19378: @1362174
     /* 1362174 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362258), // Rule ID 22050 //
     /* 1362179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1362235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362257 */     // GIR_Coverage, 22050,
     /* 1362257 */     GIR_EraseRootFromParent_Done,
     /* 1362258 */   // Label 19379: @1362258
     /* 1362258 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1362342), // Rule ID 22051 //
     /* 1362263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1362319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362341 */     // GIR_Coverage, 22051,
     /* 1362341 */     GIR_EraseRootFromParent_Done,
     /* 1362342 */   // Label 19380: @1362342
     /* 1362342 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1362426), // Rule ID 22054 //
     /* 1362347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362425 */     // GIR_Coverage, 22054,
     /* 1362425 */     GIR_EraseRootFromParent_Done,
     /* 1362426 */   // Label 19381: @1362426
     /* 1362426 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1362510), // Rule ID 22055 //
     /* 1362431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362509 */     // GIR_Coverage, 22055,
     /* 1362509 */     GIR_EraseRootFromParent_Done,
     /* 1362510 */   // Label 19382: @1362510
     /* 1362510 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1362594), // Rule ID 22058 //
     /* 1362515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362593 */     // GIR_Coverage, 22058,
     /* 1362593 */     GIR_EraseRootFromParent_Done,
     /* 1362594 */   // Label 19383: @1362594
     /* 1362594 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1362678), // Rule ID 22059 //
     /* 1362599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362677 */     // GIR_Coverage, 22059,
     /* 1362677 */     GIR_EraseRootFromParent_Done,
     /* 1362678 */   // Label 19384: @1362678
     /* 1362678 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1362762), // Rule ID 22062 //
     /* 1362683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362761 */     // GIR_Coverage, 22062,
     /* 1362761 */     GIR_EraseRootFromParent_Done,
     /* 1362762 */   // Label 19385: @1362762
     /* 1362762 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362846), // Rule ID 22063 //
     /* 1362767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362845 */     // GIR_Coverage, 22063,
     /* 1362845 */     GIR_EraseRootFromParent_Done,
     /* 1362846 */   // Label 19386: @1362846
     /* 1362846 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362930), // Rule ID 22066 //
     /* 1362851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362929 */     // GIR_Coverage, 22066,
     /* 1362929 */     GIR_EraseRootFromParent_Done,
     /* 1362930 */   // Label 19387: @1362930
     /* 1362930 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1363014), // Rule ID 22067 //
     /* 1362935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363013 */     // GIR_Coverage, 22067,
     /* 1363013 */     GIR_EraseRootFromParent_Done,
     /* 1363014 */   // Label 19388: @1363014
     /* 1363014 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363098), // Rule ID 22070 //
     /* 1363019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1363075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363097 */     // GIR_Coverage, 22070,
     /* 1363097 */     GIR_EraseRootFromParent_Done,
     /* 1363098 */   // Label 19389: @1363098
     /* 1363098 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363182), // Rule ID 22071 //
     /* 1363103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1363159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363181 */     // GIR_Coverage, 22071,
     /* 1363181 */     GIR_EraseRootFromParent_Done,
     /* 1363182 */   // Label 19390: @1363182
     /* 1363182 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363266), // Rule ID 22074 //
     /* 1363187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1363243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363265 */     // GIR_Coverage, 22074,
     /* 1363265 */     GIR_EraseRootFromParent_Done,
     /* 1363266 */   // Label 19391: @1363266
     /* 1363266 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1363350), // Rule ID 22075 //
     /* 1363271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1363327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363349 */     // GIR_Coverage, 22075,
     /* 1363349 */     GIR_EraseRootFromParent_Done,
     /* 1363350 */   // Label 19392: @1363350
     /* 1363350 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1363434), // Rule ID 22078 //
     /* 1363355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363433 */     // GIR_Coverage, 22078,
     /* 1363433 */     GIR_EraseRootFromParent_Done,
     /* 1363434 */   // Label 19393: @1363434
     /* 1363434 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1363518), // Rule ID 22079 //
     /* 1363439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363517 */     // GIR_Coverage, 22079,
     /* 1363517 */     GIR_EraseRootFromParent_Done,
     /* 1363518 */   // Label 19394: @1363518
     /* 1363518 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1363602), // Rule ID 22082 //
     /* 1363523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363601 */     // GIR_Coverage, 22082,
     /* 1363601 */     GIR_EraseRootFromParent_Done,
     /* 1363602 */   // Label 19395: @1363602
     /* 1363602 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1363686), // Rule ID 22083 //
     /* 1363607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363685 */     // GIR_Coverage, 22083,
     /* 1363685 */     GIR_EraseRootFromParent_Done,
     /* 1363686 */   // Label 19396: @1363686
     /* 1363686 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1363770), // Rule ID 22086 //
     /* 1363691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363769 */     // GIR_Coverage, 22086,
     /* 1363769 */     GIR_EraseRootFromParent_Done,
     /* 1363770 */   // Label 19397: @1363770
     /* 1363770 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363854), // Rule ID 22087 //
     /* 1363775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363853 */     // GIR_Coverage, 22087,
     /* 1363853 */     GIR_EraseRootFromParent_Done,
     /* 1363854 */   // Label 19398: @1363854
     /* 1363854 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363938), // Rule ID 22090 //
     /* 1363859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363937 */     // GIR_Coverage, 22090,
     /* 1363937 */     GIR_EraseRootFromParent_Done,
     /* 1363938 */   // Label 19399: @1363938
     /* 1363938 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1364022), // Rule ID 22091 //
     /* 1363943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364021 */     // GIR_Coverage, 22091,
     /* 1364021 */     GIR_EraseRootFromParent_Done,
     /* 1364022 */   // Label 19400: @1364022
     /* 1364022 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364106), // Rule ID 22094 //
     /* 1364027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1364083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364105 */     // GIR_Coverage, 22094,
     /* 1364105 */     GIR_EraseRootFromParent_Done,
     /* 1364106 */   // Label 19401: @1364106
     /* 1364106 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364190), // Rule ID 22095 //
     /* 1364111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1364167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364189 */     // GIR_Coverage, 22095,
     /* 1364189 */     GIR_EraseRootFromParent_Done,
     /* 1364190 */   // Label 19402: @1364190
     /* 1364190 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1364274), // Rule ID 22098 //
     /* 1364195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1364251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364273 */     // GIR_Coverage, 22098,
     /* 1364273 */     GIR_EraseRootFromParent_Done,
     /* 1364274 */   // Label 19403: @1364274
     /* 1364274 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1364358), // Rule ID 22099 //
     /* 1364279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1364335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364357 */     // GIR_Coverage, 22099,
     /* 1364357 */     GIR_EraseRootFromParent_Done,
     /* 1364358 */   // Label 19404: @1364358
     /* 1364358 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1364442), // Rule ID 22102 //
     /* 1364363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364441 */     // GIR_Coverage, 22102,
     /* 1364441 */     GIR_EraseRootFromParent_Done,
     /* 1364442 */   // Label 19405: @1364442
     /* 1364442 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1364526), // Rule ID 22103 //
     /* 1364447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364525 */     // GIR_Coverage, 22103,
     /* 1364525 */     GIR_EraseRootFromParent_Done,
     /* 1364526 */   // Label 19406: @1364526
     /* 1364526 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1364610), // Rule ID 22106 //
     /* 1364531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364609 */     // GIR_Coverage, 22106,
     /* 1364609 */     GIR_EraseRootFromParent_Done,
     /* 1364610 */   // Label 19407: @1364610
     /* 1364610 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1364694), // Rule ID 22107 //
     /* 1364615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364693 */     // GIR_Coverage, 22107,
     /* 1364693 */     GIR_EraseRootFromParent_Done,
     /* 1364694 */   // Label 19408: @1364694
     /* 1364694 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1364778), // Rule ID 22110 //
     /* 1364699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364777 */     // GIR_Coverage, 22110,
     /* 1364777 */     GIR_EraseRootFromParent_Done,
     /* 1364778 */   // Label 19409: @1364778
     /* 1364778 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364862), // Rule ID 22111 //
     /* 1364783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364861 */     // GIR_Coverage, 22111,
     /* 1364861 */     GIR_EraseRootFromParent_Done,
     /* 1364862 */   // Label 19410: @1364862
     /* 1364862 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364946), // Rule ID 22114 //
     /* 1364867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364945 */     // GIR_Coverage, 22114,
     /* 1364945 */     GIR_EraseRootFromParent_Done,
     /* 1364946 */   // Label 19411: @1364946
     /* 1364946 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1365030), // Rule ID 22115 //
     /* 1364951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1365007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365029 */     // GIR_Coverage, 22115,
     /* 1365029 */     GIR_EraseRootFromParent_Done,
     /* 1365030 */   // Label 19412: @1365030
     /* 1365030 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365114), // Rule ID 22118 //
     /* 1365035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1365091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365113 */     // GIR_Coverage, 22118,
     /* 1365113 */     GIR_EraseRootFromParent_Done,
     /* 1365114 */   // Label 19413: @1365114
     /* 1365114 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365198), // Rule ID 22119 //
     /* 1365119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1365175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365197 */     // GIR_Coverage, 22119,
     /* 1365197 */     GIR_EraseRootFromParent_Done,
     /* 1365198 */   // Label 19414: @1365198
     /* 1365198 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1365282), // Rule ID 22122 //
     /* 1365203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1365259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365281 */     // GIR_Coverage, 22122,
     /* 1365281 */     GIR_EraseRootFromParent_Done,
     /* 1365282 */   // Label 19415: @1365282
     /* 1365282 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1365366), // Rule ID 22123 //
     /* 1365287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1365343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365365 */     // GIR_Coverage, 22123,
     /* 1365365 */     GIR_EraseRootFromParent_Done,
     /* 1365366 */   // Label 19416: @1365366
     /* 1365366 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1365450), // Rule ID 22126 //
     /* 1365371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365449 */     // GIR_Coverage, 22126,
     /* 1365449 */     GIR_EraseRootFromParent_Done,
     /* 1365450 */   // Label 19417: @1365450
     /* 1365450 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1365534), // Rule ID 22127 //
     /* 1365455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365533 */     // GIR_Coverage, 22127,
     /* 1365533 */     GIR_EraseRootFromParent_Done,
     /* 1365534 */   // Label 19418: @1365534
     /* 1365534 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1365618), // Rule ID 22130 //
     /* 1365539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365617 */     // GIR_Coverage, 22130,
     /* 1365617 */     GIR_EraseRootFromParent_Done,
     /* 1365618 */   // Label 19419: @1365618
     /* 1365618 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1365702), // Rule ID 22131 //
     /* 1365623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365701 */     // GIR_Coverage, 22131,
     /* 1365701 */     GIR_EraseRootFromParent_Done,
     /* 1365702 */   // Label 19420: @1365702
     /* 1365702 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1365786), // Rule ID 22134 //
     /* 1365707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365785 */     // GIR_Coverage, 22134,
     /* 1365785 */     GIR_EraseRootFromParent_Done,
     /* 1365786 */   // Label 19421: @1365786
     /* 1365786 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365870), // Rule ID 22135 //
     /* 1365791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365869 */     // GIR_Coverage, 22135,
     /* 1365869 */     GIR_EraseRootFromParent_Done,
     /* 1365870 */   // Label 19422: @1365870
     /* 1365870 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1365954), // Rule ID 22138 //
     /* 1365875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365953 */     // GIR_Coverage, 22138,
     /* 1365953 */     GIR_EraseRootFromParent_Done,
     /* 1365954 */   // Label 19423: @1365954
     /* 1365954 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1366038), // Rule ID 22139 //
     /* 1365959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1366015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366037 */     // GIR_Coverage, 22139,
     /* 1366037 */     GIR_EraseRootFromParent_Done,
     /* 1366038 */   // Label 19424: @1366038
     /* 1366038 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366122), // Rule ID 22142 //
     /* 1366043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1366099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366121 */     // GIR_Coverage, 22142,
     /* 1366121 */     GIR_EraseRootFromParent_Done,
     /* 1366122 */   // Label 19425: @1366122
     /* 1366122 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366206), // Rule ID 22143 //
     /* 1366127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1366183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366205 */     // GIR_Coverage, 22143,
     /* 1366205 */     GIR_EraseRootFromParent_Done,
     /* 1366206 */   // Label 19426: @1366206
     /* 1366206 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1366290), // Rule ID 22146 //
     /* 1366211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1366267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366289 */     // GIR_Coverage, 22146,
     /* 1366289 */     GIR_EraseRootFromParent_Done,
     /* 1366290 */   // Label 19427: @1366290
     /* 1366290 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1366374), // Rule ID 22147 //
     /* 1366295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1366351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366373 */     // GIR_Coverage, 22147,
     /* 1366373 */     GIR_EraseRootFromParent_Done,
     /* 1366374 */   // Label 19428: @1366374
     /* 1366374 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1366458), // Rule ID 22150 //
     /* 1366379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366457 */     // GIR_Coverage, 22150,
     /* 1366457 */     GIR_EraseRootFromParent_Done,
     /* 1366458 */   // Label 19429: @1366458
     /* 1366458 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1366542), // Rule ID 22151 //
     /* 1366463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366541 */     // GIR_Coverage, 22151,
     /* 1366541 */     GIR_EraseRootFromParent_Done,
     /* 1366542 */   // Label 19430: @1366542
     /* 1366542 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1366626), // Rule ID 22154 //
     /* 1366547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366625 */     // GIR_Coverage, 22154,
     /* 1366625 */     GIR_EraseRootFromParent_Done,
     /* 1366626 */   // Label 19431: @1366626
     /* 1366626 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1366710), // Rule ID 22155 //
     /* 1366631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366709 */     // GIR_Coverage, 22155,
     /* 1366709 */     GIR_EraseRootFromParent_Done,
     /* 1366710 */   // Label 19432: @1366710
     /* 1366710 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366794), // Rule ID 22158 //
     /* 1366715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366793 */     // GIR_Coverage, 22158,
     /* 1366793 */     GIR_EraseRootFromParent_Done,
     /* 1366794 */   // Label 19433: @1366794
     /* 1366794 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366878), // Rule ID 22159 //
     /* 1366799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366877 */     // GIR_Coverage, 22159,
     /* 1366877 */     GIR_EraseRootFromParent_Done,
     /* 1366878 */   // Label 19434: @1366878
     /* 1366878 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1366962), // Rule ID 22162 //
     /* 1366883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366961 */     // GIR_Coverage, 22162,
     /* 1366961 */     GIR_EraseRootFromParent_Done,
     /* 1366962 */   // Label 19435: @1366962
     /* 1366962 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1367046), // Rule ID 22163 //
     /* 1366967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1367023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367045 */     // GIR_Coverage, 22163,
     /* 1367045 */     GIR_EraseRootFromParent_Done,
     /* 1367046 */   // Label 19436: @1367046
     /* 1367046 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367130), // Rule ID 22166 //
     /* 1367051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1367107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367129 */     // GIR_Coverage, 22166,
     /* 1367129 */     GIR_EraseRootFromParent_Done,
     /* 1367130 */   // Label 19437: @1367130
     /* 1367130 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367214), // Rule ID 22167 //
     /* 1367135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1367191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367213 */     // GIR_Coverage, 22167,
     /* 1367213 */     GIR_EraseRootFromParent_Done,
     /* 1367214 */   // Label 19438: @1367214
     /* 1367214 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1367298), // Rule ID 22170 //
     /* 1367219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1367275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367297 */     // GIR_Coverage, 22170,
     /* 1367297 */     GIR_EraseRootFromParent_Done,
     /* 1367298 */   // Label 19439: @1367298
     /* 1367298 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1367382), // Rule ID 22171 //
     /* 1367303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1367359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367381 */     // GIR_Coverage, 22171,
     /* 1367381 */     GIR_EraseRootFromParent_Done,
     /* 1367382 */   // Label 19440: @1367382
     /* 1367382 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1367466), // Rule ID 22174 //
     /* 1367387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367465 */     // GIR_Coverage, 22174,
     /* 1367465 */     GIR_EraseRootFromParent_Done,
     /* 1367466 */   // Label 19441: @1367466
     /* 1367466 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1367550), // Rule ID 22175 //
     /* 1367471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367549 */     // GIR_Coverage, 22175,
     /* 1367549 */     GIR_EraseRootFromParent_Done,
     /* 1367550 */   // Label 19442: @1367550
     /* 1367550 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1367634), // Rule ID 22178 //
     /* 1367555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367633 */     // GIR_Coverage, 22178,
     /* 1367633 */     GIR_EraseRootFromParent_Done,
     /* 1367634 */   // Label 19443: @1367634
     /* 1367634 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1367718), // Rule ID 22179 //
     /* 1367639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367717 */     // GIR_Coverage, 22179,
     /* 1367717 */     GIR_EraseRootFromParent_Done,
     /* 1367718 */   // Label 19444: @1367718
     /* 1367718 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367802), // Rule ID 22182 //
     /* 1367723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367801 */     // GIR_Coverage, 22182,
     /* 1367801 */     GIR_EraseRootFromParent_Done,
     /* 1367802 */   // Label 19445: @1367802
     /* 1367802 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367886), // Rule ID 22183 //
     /* 1367807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367885 */     // GIR_Coverage, 22183,
     /* 1367885 */     GIR_EraseRootFromParent_Done,
     /* 1367886 */   // Label 19446: @1367886
     /* 1367886 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1367970), // Rule ID 22186 //
     /* 1367891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367969 */     // GIR_Coverage, 22186,
     /* 1367969 */     GIR_EraseRootFromParent_Done,
     /* 1367970 */   // Label 19447: @1367970
     /* 1367970 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1368054), // Rule ID 22187 //
     /* 1367975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1368031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368053 */     // GIR_Coverage, 22187,
     /* 1368053 */     GIR_EraseRootFromParent_Done,
     /* 1368054 */   // Label 19448: @1368054
     /* 1368054 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368138), // Rule ID 22190 //
     /* 1368059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1368115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368137 */     // GIR_Coverage, 22190,
     /* 1368137 */     GIR_EraseRootFromParent_Done,
     /* 1368138 */   // Label 19449: @1368138
     /* 1368138 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368222), // Rule ID 22191 //
     /* 1368143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1368199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368221 */     // GIR_Coverage, 22191,
     /* 1368221 */     GIR_EraseRootFromParent_Done,
     /* 1368222 */   // Label 19450: @1368222
     /* 1368222 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1368306), // Rule ID 22194 //
     /* 1368227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1368283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368305 */     // GIR_Coverage, 22194,
     /* 1368305 */     GIR_EraseRootFromParent_Done,
     /* 1368306 */   // Label 19451: @1368306
     /* 1368306 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1368390), // Rule ID 22195 //
     /* 1368311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1368367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368389 */     // GIR_Coverage, 22195,
     /* 1368389 */     GIR_EraseRootFromParent_Done,
     /* 1368390 */   // Label 19452: @1368390
     /* 1368390 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1368474), // Rule ID 22198 //
     /* 1368395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368473 */     // GIR_Coverage, 22198,
     /* 1368473 */     GIR_EraseRootFromParent_Done,
     /* 1368474 */   // Label 19453: @1368474
     /* 1368474 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1368558), // Rule ID 22199 //
     /* 1368479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368557 */     // GIR_Coverage, 22199,
     /* 1368557 */     GIR_EraseRootFromParent_Done,
     /* 1368558 */   // Label 19454: @1368558
     /* 1368558 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1368642), // Rule ID 22202 //
     /* 1368563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368641 */     // GIR_Coverage, 22202,
     /* 1368641 */     GIR_EraseRootFromParent_Done,
     /* 1368642 */   // Label 19455: @1368642
     /* 1368642 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1368726), // Rule ID 22203 //
     /* 1368647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368725 */     // GIR_Coverage, 22203,
     /* 1368725 */     GIR_EraseRootFromParent_Done,
     /* 1368726 */   // Label 19456: @1368726
     /* 1368726 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368810), // Rule ID 22206 //
     /* 1368731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368809 */     // GIR_Coverage, 22206,
     /* 1368809 */     GIR_EraseRootFromParent_Done,
     /* 1368810 */   // Label 19457: @1368810
     /* 1368810 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368894), // Rule ID 22207 //
     /* 1368815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368893 */     // GIR_Coverage, 22207,
     /* 1368893 */     GIR_EraseRootFromParent_Done,
     /* 1368894 */   // Label 19458: @1368894
     /* 1368894 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1368978), // Rule ID 22210 //
     /* 1368899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368977 */     // GIR_Coverage, 22210,
     /* 1368977 */     GIR_EraseRootFromParent_Done,
     /* 1368978 */   // Label 19459: @1368978
     /* 1368978 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1369062), // Rule ID 22211 //
     /* 1368983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1369000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1369039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369061 */     // GIR_Coverage, 22211,
     /* 1369061 */     GIR_EraseRootFromParent_Done,
     /* 1369062 */   // Label 19460: @1369062
     /* 1369062 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369146), // Rule ID 22214 //
     /* 1369067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1369123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369145 */     // GIR_Coverage, 22214,
     /* 1369145 */     GIR_EraseRootFromParent_Done,
     /* 1369146 */   // Label 19461: @1369146
     /* 1369146 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369230), // Rule ID 22215 //
     /* 1369151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1369207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369229 */     // GIR_Coverage, 22215,
     /* 1369229 */     GIR_EraseRootFromParent_Done,
     /* 1369230 */   // Label 19462: @1369230
     /* 1369230 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1369314), // Rule ID 22218 //
     /* 1369235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1369291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369313 */     // GIR_Coverage, 22218,
     /* 1369313 */     GIR_EraseRootFromParent_Done,
     /* 1369314 */   // Label 19463: @1369314
     /* 1369314 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1369398), // Rule ID 22219 //
     /* 1369319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1369375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369397 */     // GIR_Coverage, 22219,
     /* 1369397 */     GIR_EraseRootFromParent_Done,
     /* 1369398 */   // Label 19464: @1369398
     /* 1369398 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1369482), // Rule ID 22222 //
     /* 1369403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369481 */     // GIR_Coverage, 22222,
     /* 1369481 */     GIR_EraseRootFromParent_Done,
     /* 1369482 */   // Label 19465: @1369482
     /* 1369482 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1369566), // Rule ID 22223 //
     /* 1369487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369565 */     // GIR_Coverage, 22223,
     /* 1369565 */     GIR_EraseRootFromParent_Done,
     /* 1369566 */   // Label 19466: @1369566
     /* 1369566 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1369650), // Rule ID 22226 //
     /* 1369571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369649 */     // GIR_Coverage, 22226,
     /* 1369649 */     GIR_EraseRootFromParent_Done,
     /* 1369650 */   // Label 19467: @1369650
     /* 1369650 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1369734), // Rule ID 22227 //
     /* 1369655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369733 */     // GIR_Coverage, 22227,
     /* 1369733 */     GIR_EraseRootFromParent_Done,
     /* 1369734 */   // Label 19468: @1369734
     /* 1369734 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369818), // Rule ID 22230 //
     /* 1369739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369817 */     // GIR_Coverage, 22230,
     /* 1369817 */     GIR_EraseRootFromParent_Done,
     /* 1369818 */   // Label 19469: @1369818
     /* 1369818 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369902), // Rule ID 22231 //
     /* 1369823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369901 */     // GIR_Coverage, 22231,
     /* 1369901 */     GIR_EraseRootFromParent_Done,
     /* 1369902 */   // Label 19470: @1369902
     /* 1369902 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1369986), // Rule ID 22234 //
     /* 1369907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369985 */     // GIR_Coverage, 22234,
     /* 1369985 */     GIR_EraseRootFromParent_Done,
     /* 1369986 */   // Label 19471: @1369986
     /* 1369986 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1370070), // Rule ID 22235 //
     /* 1369991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1370047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370069 */     // GIR_Coverage, 22235,
     /* 1370069 */     GIR_EraseRootFromParent_Done,
     /* 1370070 */   // Label 19472: @1370070
     /* 1370070 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370154), // Rule ID 22238 //
     /* 1370075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1370131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370153 */     // GIR_Coverage, 22238,
     /* 1370153 */     GIR_EraseRootFromParent_Done,
     /* 1370154 */   // Label 19473: @1370154
     /* 1370154 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370238), // Rule ID 22239 //
     /* 1370159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1370215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370237 */     // GIR_Coverage, 22239,
     /* 1370237 */     GIR_EraseRootFromParent_Done,
     /* 1370238 */   // Label 19474: @1370238
     /* 1370238 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1370322), // Rule ID 22242 //
     /* 1370243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1370299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370321 */     // GIR_Coverage, 22242,
     /* 1370321 */     GIR_EraseRootFromParent_Done,
     /* 1370322 */   // Label 19475: @1370322
     /* 1370322 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1370406), // Rule ID 22243 //
     /* 1370327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1370383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370405 */     // GIR_Coverage, 22243,
     /* 1370405 */     GIR_EraseRootFromParent_Done,
     /* 1370406 */   // Label 19476: @1370406
     /* 1370406 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1370490), // Rule ID 22246 //
     /* 1370411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370489 */     // GIR_Coverage, 22246,
     /* 1370489 */     GIR_EraseRootFromParent_Done,
     /* 1370490 */   // Label 19477: @1370490
     /* 1370490 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1370574), // Rule ID 22247 //
     /* 1370495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370573 */     // GIR_Coverage, 22247,
     /* 1370573 */     GIR_EraseRootFromParent_Done,
     /* 1370574 */   // Label 19478: @1370574
     /* 1370574 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1370658), // Rule ID 22250 //
     /* 1370579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370657 */     // GIR_Coverage, 22250,
     /* 1370657 */     GIR_EraseRootFromParent_Done,
     /* 1370658 */   // Label 19479: @1370658
     /* 1370658 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1370742), // Rule ID 22251 //
     /* 1370663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370741 */     // GIR_Coverage, 22251,
     /* 1370741 */     GIR_EraseRootFromParent_Done,
     /* 1370742 */   // Label 19480: @1370742
     /* 1370742 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370826), // Rule ID 22254 //
     /* 1370747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370825 */     // GIR_Coverage, 22254,
     /* 1370825 */     GIR_EraseRootFromParent_Done,
     /* 1370826 */   // Label 19481: @1370826
     /* 1370826 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370910), // Rule ID 22255 //
     /* 1370831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370909 */     // GIR_Coverage, 22255,
     /* 1370909 */     GIR_EraseRootFromParent_Done,
     /* 1370910 */   // Label 19482: @1370910
     /* 1370910 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1370994), // Rule ID 22258 //
     /* 1370915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370993 */     // GIR_Coverage, 22258,
     /* 1370993 */     GIR_EraseRootFromParent_Done,
     /* 1370994 */   // Label 19483: @1370994
     /* 1370994 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1371078), // Rule ID 22259 //
     /* 1370999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1371016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1371055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371077 */     // GIR_Coverage, 22259,
     /* 1371077 */     GIR_EraseRootFromParent_Done,
     /* 1371078 */   // Label 19484: @1371078
     /* 1371078 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371162), // Rule ID 22262 //
     /* 1371083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1371139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371161 */     // GIR_Coverage, 22262,
     /* 1371161 */     GIR_EraseRootFromParent_Done,
     /* 1371162 */   // Label 19485: @1371162
     /* 1371162 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371246), // Rule ID 22263 //
     /* 1371167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1371223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371245 */     // GIR_Coverage, 22263,
     /* 1371245 */     GIR_EraseRootFromParent_Done,
     /* 1371246 */   // Label 19486: @1371246
     /* 1371246 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1371330), // Rule ID 22266 //
     /* 1371251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1371307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371329 */     // GIR_Coverage, 22266,
     /* 1371329 */     GIR_EraseRootFromParent_Done,
     /* 1371330 */   // Label 19487: @1371330
     /* 1371330 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1371414), // Rule ID 22267 //
     /* 1371335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1371391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371413 */     // GIR_Coverage, 22267,
     /* 1371413 */     GIR_EraseRootFromParent_Done,
     /* 1371414 */   // Label 19488: @1371414
     /* 1371414 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1371498), // Rule ID 22270 //
     /* 1371419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371497 */     // GIR_Coverage, 22270,
     /* 1371497 */     GIR_EraseRootFromParent_Done,
     /* 1371498 */   // Label 19489: @1371498
     /* 1371498 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1371582), // Rule ID 22271 //
     /* 1371503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371581 */     // GIR_Coverage, 22271,
     /* 1371581 */     GIR_EraseRootFromParent_Done,
     /* 1371582 */   // Label 19490: @1371582
     /* 1371582 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1371666), // Rule ID 22274 //
     /* 1371587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371665 */     // GIR_Coverage, 22274,
     /* 1371665 */     GIR_EraseRootFromParent_Done,
     /* 1371666 */   // Label 19491: @1371666
     /* 1371666 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1371750), // Rule ID 22275 //
     /* 1371671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371749 */     // GIR_Coverage, 22275,
     /* 1371749 */     GIR_EraseRootFromParent_Done,
     /* 1371750 */   // Label 19492: @1371750
     /* 1371750 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371834), // Rule ID 22278 //
     /* 1371755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371833 */     // GIR_Coverage, 22278,
     /* 1371833 */     GIR_EraseRootFromParent_Done,
     /* 1371834 */   // Label 19493: @1371834
     /* 1371834 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371918), // Rule ID 22279 //
     /* 1371839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371917 */     // GIR_Coverage, 22279,
     /* 1371917 */     GIR_EraseRootFromParent_Done,
     /* 1371918 */   // Label 19494: @1371918
     /* 1371918 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1372002), // Rule ID 22282 //
     /* 1371923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372001 */     // GIR_Coverage, 22282,
     /* 1372001 */     GIR_EraseRootFromParent_Done,
     /* 1372002 */   // Label 19495: @1372002
     /* 1372002 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1372086), // Rule ID 22283 //
     /* 1372007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1372063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372085 */     // GIR_Coverage, 22283,
     /* 1372085 */     GIR_EraseRootFromParent_Done,
     /* 1372086 */   // Label 19496: @1372086
     /* 1372086 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372170), // Rule ID 22286 //
     /* 1372091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1372147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372169 */     // GIR_Coverage, 22286,
     /* 1372169 */     GIR_EraseRootFromParent_Done,
     /* 1372170 */   // Label 19497: @1372170
     /* 1372170 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372254), // Rule ID 22287 //
     /* 1372175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1372231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372253 */     // GIR_Coverage, 22287,
     /* 1372253 */     GIR_EraseRootFromParent_Done,
     /* 1372254 */   // Label 19498: @1372254
     /* 1372254 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1372338), // Rule ID 22290 //
     /* 1372259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1372315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372337 */     // GIR_Coverage, 22290,
     /* 1372337 */     GIR_EraseRootFromParent_Done,
     /* 1372338 */   // Label 19499: @1372338
     /* 1372338 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1372422), // Rule ID 22291 //
     /* 1372343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1372399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372421 */     // GIR_Coverage, 22291,
     /* 1372421 */     GIR_EraseRootFromParent_Done,
     /* 1372422 */   // Label 19500: @1372422
     /* 1372422 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1372506), // Rule ID 22294 //
     /* 1372427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372505 */     // GIR_Coverage, 22294,
     /* 1372505 */     GIR_EraseRootFromParent_Done,
     /* 1372506 */   // Label 19501: @1372506
     /* 1372506 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1372590), // Rule ID 22295 //
     /* 1372511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372589 */     // GIR_Coverage, 22295,
     /* 1372589 */     GIR_EraseRootFromParent_Done,
     /* 1372590 */   // Label 19502: @1372590
     /* 1372590 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1372674), // Rule ID 22298 //
     /* 1372595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372673 */     // GIR_Coverage, 22298,
     /* 1372673 */     GIR_EraseRootFromParent_Done,
     /* 1372674 */   // Label 19503: @1372674
     /* 1372674 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1372758), // Rule ID 22299 //
     /* 1372679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372757 */     // GIR_Coverage, 22299,
     /* 1372757 */     GIR_EraseRootFromParent_Done,
     /* 1372758 */   // Label 19504: @1372758
     /* 1372758 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372842), // Rule ID 22302 //
     /* 1372763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372841 */     // GIR_Coverage, 22302,
     /* 1372841 */     GIR_EraseRootFromParent_Done,
     /* 1372842 */   // Label 19505: @1372842
     /* 1372842 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372926), // Rule ID 22303 //
     /* 1372847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372925 */     // GIR_Coverage, 22303,
     /* 1372925 */     GIR_EraseRootFromParent_Done,
     /* 1372926 */   // Label 19506: @1372926
     /* 1372926 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1373010), // Rule ID 22306 //
     /* 1372931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373009 */     // GIR_Coverage, 22306,
     /* 1373009 */     GIR_EraseRootFromParent_Done,
     /* 1373010 */   // Label 19507: @1373010
     /* 1373010 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1373094), // Rule ID 22307 //
     /* 1373015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1373032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1373071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373093 */     // GIR_Coverage, 22307,
     /* 1373093 */     GIR_EraseRootFromParent_Done,
     /* 1373094 */   // Label 19508: @1373094
     /* 1373094 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373178), // Rule ID 22310 //
     /* 1373099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1373155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373177 */     // GIR_Coverage, 22310,
     /* 1373177 */     GIR_EraseRootFromParent_Done,
     /* 1373178 */   // Label 19509: @1373178
     /* 1373178 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373262), // Rule ID 22311 //
     /* 1373183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1373239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373261 */     // GIR_Coverage, 22311,
     /* 1373261 */     GIR_EraseRootFromParent_Done,
     /* 1373262 */   // Label 19510: @1373262
     /* 1373262 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1373346), // Rule ID 22314 //
     /* 1373267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1373323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373345 */     // GIR_Coverage, 22314,
     /* 1373345 */     GIR_EraseRootFromParent_Done,
     /* 1373346 */   // Label 19511: @1373346
     /* 1373346 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1373430), // Rule ID 22315 //
     /* 1373351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1373407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373429 */     // GIR_Coverage, 22315,
     /* 1373429 */     GIR_EraseRootFromParent_Done,
     /* 1373430 */   // Label 19512: @1373430
     /* 1373430 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1373514), // Rule ID 22318 //
     /* 1373435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373513 */     // GIR_Coverage, 22318,
     /* 1373513 */     GIR_EraseRootFromParent_Done,
     /* 1373514 */   // Label 19513: @1373514
     /* 1373514 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1373598), // Rule ID 22319 //
     /* 1373519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373597 */     // GIR_Coverage, 22319,
     /* 1373597 */     GIR_EraseRootFromParent_Done,
     /* 1373598 */   // Label 19514: @1373598
     /* 1373598 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1373682), // Rule ID 22322 //
     /* 1373603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373681 */     // GIR_Coverage, 22322,
     /* 1373681 */     GIR_EraseRootFromParent_Done,
     /* 1373682 */   // Label 19515: @1373682
     /* 1373682 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1373766), // Rule ID 22323 //
     /* 1373687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373765 */     // GIR_Coverage, 22323,
     /* 1373765 */     GIR_EraseRootFromParent_Done,
     /* 1373766 */   // Label 19516: @1373766
     /* 1373766 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373850), // Rule ID 22326 //
     /* 1373771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373849 */     // GIR_Coverage, 22326,
     /* 1373849 */     GIR_EraseRootFromParent_Done,
     /* 1373850 */   // Label 19517: @1373850
     /* 1373850 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373934), // Rule ID 22327 //
     /* 1373855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373933 */     // GIR_Coverage, 22327,
     /* 1373933 */     GIR_EraseRootFromParent_Done,
     /* 1373934 */   // Label 19518: @1373934
     /* 1373934 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1374018), // Rule ID 22330 //
     /* 1373939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1373995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374017 */     // GIR_Coverage, 22330,
     /* 1374017 */     GIR_EraseRootFromParent_Done,
     /* 1374018 */   // Label 19519: @1374018
     /* 1374018 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374102), // Rule ID 22331 //
     /* 1374023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1374040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1374079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374101 */     // GIR_Coverage, 22331,
     /* 1374101 */     GIR_EraseRootFromParent_Done,
     /* 1374102 */   // Label 19520: @1374102
     /* 1374102 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374186), // Rule ID 22334 //
     /* 1374107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1374163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374185 */     // GIR_Coverage, 22334,
     /* 1374185 */     GIR_EraseRootFromParent_Done,
     /* 1374186 */   // Label 19521: @1374186
     /* 1374186 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1374270), // Rule ID 22335 //
     /* 1374191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1374247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374269 */     // GIR_Coverage, 22335,
     /* 1374269 */     GIR_EraseRootFromParent_Done,
     /* 1374270 */   // Label 19522: @1374270
     /* 1374270 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1374354), // Rule ID 22338 //
     /* 1374275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1374331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374353 */     // GIR_Coverage, 22338,
     /* 1374353 */     GIR_EraseRootFromParent_Done,
     /* 1374354 */   // Label 19523: @1374354
     /* 1374354 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1374438), // Rule ID 22339 //
     /* 1374359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1374415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374437 */     // GIR_Coverage, 22339,
     /* 1374437 */     GIR_EraseRootFromParent_Done,
     /* 1374438 */   // Label 19524: @1374438
     /* 1374438 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1374522), // Rule ID 22342 //
     /* 1374443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374521 */     // GIR_Coverage, 22342,
     /* 1374521 */     GIR_EraseRootFromParent_Done,
     /* 1374522 */   // Label 19525: @1374522
     /* 1374522 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1374606), // Rule ID 22343 //
     /* 1374527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374605 */     // GIR_Coverage, 22343,
     /* 1374605 */     GIR_EraseRootFromParent_Done,
     /* 1374606 */   // Label 19526: @1374606
     /* 1374606 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1374690), // Rule ID 22346 //
     /* 1374611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374689 */     // GIR_Coverage, 22346,
     /* 1374689 */     GIR_EraseRootFromParent_Done,
     /* 1374690 */   // Label 19527: @1374690
     /* 1374690 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1374774), // Rule ID 22347 //
     /* 1374695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374773 */     // GIR_Coverage, 22347,
     /* 1374773 */     GIR_EraseRootFromParent_Done,
     /* 1374774 */   // Label 19528: @1374774
     /* 1374774 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374858), // Rule ID 22350 //
     /* 1374779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374857 */     // GIR_Coverage, 22350,
     /* 1374857 */     GIR_EraseRootFromParent_Done,
     /* 1374858 */   // Label 19529: @1374858
     /* 1374858 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374942), // Rule ID 22351 //
     /* 1374863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374941 */     // GIR_Coverage, 22351,
     /* 1374941 */     GIR_EraseRootFromParent_Done,
     /* 1374942 */   // Label 19530: @1374942
     /* 1374942 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1375026), // Rule ID 22354 //
     /* 1374947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1375003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375025 */     // GIR_Coverage, 22354,
     /* 1375025 */     GIR_EraseRootFromParent_Done,
     /* 1375026 */   // Label 19531: @1375026
     /* 1375026 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375110), // Rule ID 22355 //
     /* 1375031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1375048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1375054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1375087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375109 */     // GIR_Coverage, 22355,
     /* 1375109 */     GIR_EraseRootFromParent_Done,
     /* 1375110 */   // Label 19532: @1375110
     /* 1375110 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375194), // Rule ID 22358 //
     /* 1375115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1375171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375193 */     // GIR_Coverage, 22358,
     /* 1375193 */     GIR_EraseRootFromParent_Done,
     /* 1375194 */   // Label 19533: @1375194
     /* 1375194 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1375278), // Rule ID 22359 //
     /* 1375199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1375255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375277 */     // GIR_Coverage, 22359,
     /* 1375277 */     GIR_EraseRootFromParent_Done,
     /* 1375278 */   // Label 19534: @1375278
     /* 1375278 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1375362), // Rule ID 22362 //
     /* 1375283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1375339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375361 */     // GIR_Coverage, 22362,
     /* 1375361 */     GIR_EraseRootFromParent_Done,
     /* 1375362 */   // Label 19535: @1375362
     /* 1375362 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1375446), // Rule ID 22363 //
     /* 1375367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1375423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375445 */     // GIR_Coverage, 22363,
     /* 1375445 */     GIR_EraseRootFromParent_Done,
     /* 1375446 */   // Label 19536: @1375446
     /* 1375446 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1375530), // Rule ID 22366 //
     /* 1375451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375529 */     // GIR_Coverage, 22366,
     /* 1375529 */     GIR_EraseRootFromParent_Done,
     /* 1375530 */   // Label 19537: @1375530
     /* 1375530 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1375614), // Rule ID 22367 //
     /* 1375535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375613 */     // GIR_Coverage, 22367,
     /* 1375613 */     GIR_EraseRootFromParent_Done,
     /* 1375614 */   // Label 19538: @1375614
     /* 1375614 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1375698), // Rule ID 22370 //
     /* 1375619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375697 */     // GIR_Coverage, 22370,
     /* 1375697 */     GIR_EraseRootFromParent_Done,
     /* 1375698 */   // Label 19539: @1375698
     /* 1375698 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1375782), // Rule ID 22371 //
     /* 1375703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375781 */     // GIR_Coverage, 22371,
     /* 1375781 */     GIR_EraseRootFromParent_Done,
     /* 1375782 */   // Label 19540: @1375782
     /* 1375782 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375866), // Rule ID 22374 //
     /* 1375787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375865 */     // GIR_Coverage, 22374,
     /* 1375865 */     GIR_EraseRootFromParent_Done,
     /* 1375866 */   // Label 19541: @1375866
     /* 1375866 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1375950), // Rule ID 22375 //
     /* 1375871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375949 */     // GIR_Coverage, 22375,
     /* 1375949 */     GIR_EraseRootFromParent_Done,
     /* 1375950 */   // Label 19542: @1375950
     /* 1375950 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1376034), // Rule ID 22378 //
     /* 1375955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1376011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376033 */     // GIR_Coverage, 22378,
     /* 1376033 */     GIR_EraseRootFromParent_Done,
     /* 1376034 */   // Label 19543: @1376034
     /* 1376034 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376118), // Rule ID 22379 //
     /* 1376039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1376056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1376095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376117 */     // GIR_Coverage, 22379,
     /* 1376117 */     GIR_EraseRootFromParent_Done,
     /* 1376118 */   // Label 19544: @1376118
     /* 1376118 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376202), // Rule ID 22382 //
     /* 1376123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1376179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376201 */     // GIR_Coverage, 22382,
     /* 1376201 */     GIR_EraseRootFromParent_Done,
     /* 1376202 */   // Label 19545: @1376202
     /* 1376202 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1376286), // Rule ID 22383 //
     /* 1376207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1376263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376285 */     // GIR_Coverage, 22383,
     /* 1376285 */     GIR_EraseRootFromParent_Done,
     /* 1376286 */   // Label 19546: @1376286
     /* 1376286 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1376370), // Rule ID 22386 //
     /* 1376291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376369 */     // GIR_Coverage, 22386,
     /* 1376369 */     GIR_EraseRootFromParent_Done,
     /* 1376370 */   // Label 19547: @1376370
     /* 1376370 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1376454), // Rule ID 22387 //
     /* 1376375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376453 */     // GIR_Coverage, 22387,
     /* 1376453 */     GIR_EraseRootFromParent_Done,
     /* 1376454 */   // Label 19548: @1376454
     /* 1376454 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1376538), // Rule ID 22390 //
     /* 1376459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376537 */     // GIR_Coverage, 22390,
     /* 1376537 */     GIR_EraseRootFromParent_Done,
     /* 1376538 */   // Label 19549: @1376538
     /* 1376538 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1376622), // Rule ID 22391 //
     /* 1376543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376621 */     // GIR_Coverage, 22391,
     /* 1376621 */     GIR_EraseRootFromParent_Done,
     /* 1376622 */   // Label 19550: @1376622
     /* 1376622 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1376706), // Rule ID 22394 //
     /* 1376627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376705 */     // GIR_Coverage, 22394,
     /* 1376705 */     GIR_EraseRootFromParent_Done,
     /* 1376706 */   // Label 19551: @1376706
     /* 1376706 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1376790), // Rule ID 22395 //
     /* 1376711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376789 */     // GIR_Coverage, 22395,
     /* 1376789 */     GIR_EraseRootFromParent_Done,
     /* 1376790 */   // Label 19552: @1376790
     /* 1376790 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376874), // Rule ID 22398 //
     /* 1376795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376873 */     // GIR_Coverage, 22398,
     /* 1376873 */     GIR_EraseRootFromParent_Done,
     /* 1376874 */   // Label 19553: @1376874
     /* 1376874 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1376958), // Rule ID 22399 //
     /* 1376879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376957 */     // GIR_Coverage, 22399,
     /* 1376957 */     GIR_EraseRootFromParent_Done,
     /* 1376958 */   // Label 19554: @1376958
     /* 1376958 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1377042), // Rule ID 22402 //
     /* 1376963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377016 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1377019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377041 */     // GIR_Coverage, 22402,
     /* 1377041 */     GIR_EraseRootFromParent_Done,
     /* 1377042 */   // Label 19555: @1377042
     /* 1377042 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377126), // Rule ID 22403 //
     /* 1377047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1377064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377100 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1377103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377125 */     // GIR_Coverage, 22403,
     /* 1377125 */     GIR_EraseRootFromParent_Done,
     /* 1377126 */   // Label 19556: @1377126
     /* 1377126 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377210), // Rule ID 22406 //
     /* 1377131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1377187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377209 */     // GIR_Coverage, 22406,
     /* 1377209 */     GIR_EraseRootFromParent_Done,
     /* 1377210 */   // Label 19557: @1377210
     /* 1377210 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1377294), // Rule ID 22407 //
     /* 1377215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1377271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377293 */     // GIR_Coverage, 22407,
     /* 1377293 */     GIR_EraseRootFromParent_Done,
     /* 1377294 */   // Label 19558: @1377294
     /* 1377294 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1377378), // Rule ID 22410 //
     /* 1377299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377377 */     // GIR_Coverage, 22410,
     /* 1377377 */     GIR_EraseRootFromParent_Done,
     /* 1377378 */   // Label 19559: @1377378
     /* 1377378 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1377462), // Rule ID 22411 //
     /* 1377383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377461 */     // GIR_Coverage, 22411,
     /* 1377461 */     GIR_EraseRootFromParent_Done,
     /* 1377462 */   // Label 19560: @1377462
     /* 1377462 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1377546), // Rule ID 22414 //
     /* 1377467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377545 */     // GIR_Coverage, 22414,
     /* 1377545 */     GIR_EraseRootFromParent_Done,
     /* 1377546 */   // Label 19561: @1377546
     /* 1377546 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1377630), // Rule ID 22415 //
     /* 1377551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377629 */     // GIR_Coverage, 22415,
     /* 1377629 */     GIR_EraseRootFromParent_Done,
     /* 1377630 */   // Label 19562: @1377630
     /* 1377630 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1377714), // Rule ID 22418 //
     /* 1377635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377713 */     // GIR_Coverage, 22418,
     /* 1377713 */     GIR_EraseRootFromParent_Done,
     /* 1377714 */   // Label 19563: @1377714
     /* 1377714 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377798), // Rule ID 22419 //
     /* 1377719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377797 */     // GIR_Coverage, 22419,
     /* 1377797 */     GIR_EraseRootFromParent_Done,
     /* 1377798 */   // Label 19564: @1377798
     /* 1377798 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377882), // Rule ID 22422 //
     /* 1377803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377881 */     // GIR_Coverage, 22422,
     /* 1377881 */     GIR_EraseRootFromParent_Done,
     /* 1377882 */   // Label 19565: @1377882
     /* 1377882 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1377966), // Rule ID 22423 //
     /* 1377887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377965 */     // GIR_Coverage, 22423,
     /* 1377965 */     GIR_EraseRootFromParent_Done,
     /* 1377966 */   // Label 19566: @1377966
     /* 1377966 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1378050), // Rule ID 22426 //
     /* 1377971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1378027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378049 */     // GIR_Coverage, 22426,
     /* 1378049 */     GIR_EraseRootFromParent_Done,
     /* 1378050 */   // Label 19567: @1378050
     /* 1378050 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378134), // Rule ID 22427 //
     /* 1378055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1378072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1378111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378133 */     // GIR_Coverage, 22427,
     /* 1378133 */     GIR_EraseRootFromParent_Done,
     /* 1378134 */   // Label 19568: @1378134
     /* 1378134 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378218), // Rule ID 22430 //
     /* 1378139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1378195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378217 */     // GIR_Coverage, 22430,
     /* 1378217 */     GIR_EraseRootFromParent_Done,
     /* 1378218 */   // Label 19569: @1378218
     /* 1378218 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1378302), // Rule ID 22431 //
     /* 1378223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1378279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378301 */     // GIR_Coverage, 22431,
     /* 1378301 */     GIR_EraseRootFromParent_Done,
     /* 1378302 */   // Label 19570: @1378302
     /* 1378302 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1378386), // Rule ID 22434 //
     /* 1378307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378385 */     // GIR_Coverage, 22434,
     /* 1378385 */     GIR_EraseRootFromParent_Done,
     /* 1378386 */   // Label 19571: @1378386
     /* 1378386 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1378470), // Rule ID 22435 //
     /* 1378391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378469 */     // GIR_Coverage, 22435,
     /* 1378469 */     GIR_EraseRootFromParent_Done,
     /* 1378470 */   // Label 19572: @1378470
     /* 1378470 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1378554), // Rule ID 22438 //
     /* 1378475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378553 */     // GIR_Coverage, 22438,
     /* 1378553 */     GIR_EraseRootFromParent_Done,
     /* 1378554 */   // Label 19573: @1378554
     /* 1378554 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1378638), // Rule ID 22439 //
     /* 1378559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378637 */     // GIR_Coverage, 22439,
     /* 1378637 */     GIR_EraseRootFromParent_Done,
     /* 1378638 */   // Label 19574: @1378638
     /* 1378638 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1378722), // Rule ID 22442 //
     /* 1378643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378721 */     // GIR_Coverage, 22442,
     /* 1378721 */     GIR_EraseRootFromParent_Done,
     /* 1378722 */   // Label 19575: @1378722
     /* 1378722 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378806), // Rule ID 22443 //
     /* 1378727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378805 */     // GIR_Coverage, 22443,
     /* 1378805 */     GIR_EraseRootFromParent_Done,
     /* 1378806 */   // Label 19576: @1378806
     /* 1378806 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378890), // Rule ID 22446 //
     /* 1378811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378889 */     // GIR_Coverage, 22446,
     /* 1378889 */     GIR_EraseRootFromParent_Done,
     /* 1378890 */   // Label 19577: @1378890
     /* 1378890 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1378974), // Rule ID 22447 //
     /* 1378895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378973 */     // GIR_Coverage, 22447,
     /* 1378973 */     GIR_EraseRootFromParent_Done,
     /* 1378974 */   // Label 19578: @1378974
     /* 1378974 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1379058), // Rule ID 22450 //
     /* 1378979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1379035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379057 */     // GIR_Coverage, 22450,
     /* 1379057 */     GIR_EraseRootFromParent_Done,
     /* 1379058 */   // Label 19579: @1379058
     /* 1379058 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379142), // Rule ID 22451 //
     /* 1379063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1379119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379141 */     // GIR_Coverage, 22451,
     /* 1379141 */     GIR_EraseRootFromParent_Done,
     /* 1379142 */   // Label 19580: @1379142
     /* 1379142 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379226), // Rule ID 22454 //
     /* 1379147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1379203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379225 */     // GIR_Coverage, 22454,
     /* 1379225 */     GIR_EraseRootFromParent_Done,
     /* 1379226 */   // Label 19581: @1379226
     /* 1379226 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1379310), // Rule ID 22455 //
     /* 1379231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1379287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379309 */     // GIR_Coverage, 22455,
     /* 1379309 */     GIR_EraseRootFromParent_Done,
     /* 1379310 */   // Label 19582: @1379310
     /* 1379310 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1379394), // Rule ID 22458 //
     /* 1379315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379393 */     // GIR_Coverage, 22458,
     /* 1379393 */     GIR_EraseRootFromParent_Done,
     /* 1379394 */   // Label 19583: @1379394
     /* 1379394 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1379478), // Rule ID 22459 //
     /* 1379399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379477 */     // GIR_Coverage, 22459,
     /* 1379477 */     GIR_EraseRootFromParent_Done,
     /* 1379478 */   // Label 19584: @1379478
     /* 1379478 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1379562), // Rule ID 22462 //
     /* 1379483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379561 */     // GIR_Coverage, 22462,
     /* 1379561 */     GIR_EraseRootFromParent_Done,
     /* 1379562 */   // Label 19585: @1379562
     /* 1379562 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1379646), // Rule ID 22463 //
     /* 1379567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379645 */     // GIR_Coverage, 22463,
     /* 1379645 */     GIR_EraseRootFromParent_Done,
     /* 1379646 */   // Label 19586: @1379646
     /* 1379646 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1379730), // Rule ID 22466 //
     /* 1379651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379729 */     // GIR_Coverage, 22466,
     /* 1379729 */     GIR_EraseRootFromParent_Done,
     /* 1379730 */   // Label 19587: @1379730
     /* 1379730 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379814), // Rule ID 22467 //
     /* 1379735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379813 */     // GIR_Coverage, 22467,
     /* 1379813 */     GIR_EraseRootFromParent_Done,
     /* 1379814 */   // Label 19588: @1379814
     /* 1379814 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379898), // Rule ID 22470 //
     /* 1379819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379897 */     // GIR_Coverage, 22470,
     /* 1379897 */     GIR_EraseRootFromParent_Done,
     /* 1379898 */   // Label 19589: @1379898
     /* 1379898 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1379982), // Rule ID 22471 //
     /* 1379903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379981 */     // GIR_Coverage, 22471,
     /* 1379981 */     GIR_EraseRootFromParent_Done,
     /* 1379982 */   // Label 19590: @1379982
     /* 1379982 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1380066), // Rule ID 22474 //
     /* 1379987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1380043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380065 */     // GIR_Coverage, 22474,
     /* 1380065 */     GIR_EraseRootFromParent_Done,
     /* 1380066 */   // Label 19591: @1380066
     /* 1380066 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380150), // Rule ID 22475 //
     /* 1380071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1380127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380149 */     // GIR_Coverage, 22475,
     /* 1380149 */     GIR_EraseRootFromParent_Done,
     /* 1380150 */   // Label 19592: @1380150
     /* 1380150 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380234), // Rule ID 22478 //
     /* 1380155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1380211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380233 */     // GIR_Coverage, 22478,
     /* 1380233 */     GIR_EraseRootFromParent_Done,
     /* 1380234 */   // Label 19593: @1380234
     /* 1380234 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1380318), // Rule ID 22479 //
     /* 1380239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1380295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380317 */     // GIR_Coverage, 22479,
     /* 1380317 */     GIR_EraseRootFromParent_Done,
     /* 1380318 */   // Label 19594: @1380318
     /* 1380318 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1380402), // Rule ID 22482 //
     /* 1380323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380401 */     // GIR_Coverage, 22482,
     /* 1380401 */     GIR_EraseRootFromParent_Done,
     /* 1380402 */   // Label 19595: @1380402
     /* 1380402 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1380486), // Rule ID 22483 //
     /* 1380407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380485 */     // GIR_Coverage, 22483,
     /* 1380485 */     GIR_EraseRootFromParent_Done,
     /* 1380486 */   // Label 19596: @1380486
     /* 1380486 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1380570), // Rule ID 22486 //
     /* 1380491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380569 */     // GIR_Coverage, 22486,
     /* 1380569 */     GIR_EraseRootFromParent_Done,
     /* 1380570 */   // Label 19597: @1380570
     /* 1380570 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1380654), // Rule ID 22487 //
     /* 1380575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380653 */     // GIR_Coverage, 22487,
     /* 1380653 */     GIR_EraseRootFromParent_Done,
     /* 1380654 */   // Label 19598: @1380654
     /* 1380654 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1380738), // Rule ID 22490 //
     /* 1380659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380737 */     // GIR_Coverage, 22490,
     /* 1380737 */     GIR_EraseRootFromParent_Done,
     /* 1380738 */   // Label 19599: @1380738
     /* 1380738 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380822), // Rule ID 22491 //
     /* 1380743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380821 */     // GIR_Coverage, 22491,
     /* 1380821 */     GIR_EraseRootFromParent_Done,
     /* 1380822 */   // Label 19600: @1380822
     /* 1380822 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380906), // Rule ID 22494 //
     /* 1380827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380905 */     // GIR_Coverage, 22494,
     /* 1380905 */     GIR_EraseRootFromParent_Done,
     /* 1380906 */   // Label 19601: @1380906
     /* 1380906 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1380990), // Rule ID 22495 //
     /* 1380911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380989 */     // GIR_Coverage, 22495,
     /* 1380989 */     GIR_EraseRootFromParent_Done,
     /* 1380990 */   // Label 19602: @1380990
     /* 1380990 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1381074), // Rule ID 22498 //
     /* 1380995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1381051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381073 */     // GIR_Coverage, 22498,
     /* 1381073 */     GIR_EraseRootFromParent_Done,
     /* 1381074 */   // Label 19603: @1381074
     /* 1381074 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381158), // Rule ID 22499 //
     /* 1381079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1381135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381157 */     // GIR_Coverage, 22499,
     /* 1381157 */     GIR_EraseRootFromParent_Done,
     /* 1381158 */   // Label 19604: @1381158
     /* 1381158 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381242), // Rule ID 22502 //
     /* 1381163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1381219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381241 */     // GIR_Coverage, 22502,
     /* 1381241 */     GIR_EraseRootFromParent_Done,
     /* 1381242 */   // Label 19605: @1381242
     /* 1381242 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1381326), // Rule ID 22503 //
     /* 1381247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1381303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381325 */     // GIR_Coverage, 22503,
     /* 1381325 */     GIR_EraseRootFromParent_Done,
     /* 1381326 */   // Label 19606: @1381326
     /* 1381326 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1381410), // Rule ID 22506 //
     /* 1381331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381409 */     // GIR_Coverage, 22506,
     /* 1381409 */     GIR_EraseRootFromParent_Done,
     /* 1381410 */   // Label 19607: @1381410
     /* 1381410 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1381494), // Rule ID 22507 //
     /* 1381415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381493 */     // GIR_Coverage, 22507,
     /* 1381493 */     GIR_EraseRootFromParent_Done,
     /* 1381494 */   // Label 19608: @1381494
     /* 1381494 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1381578), // Rule ID 22510 //
     /* 1381499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381577 */     // GIR_Coverage, 22510,
     /* 1381577 */     GIR_EraseRootFromParent_Done,
     /* 1381578 */   // Label 19609: @1381578
     /* 1381578 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1381662), // Rule ID 22511 //
     /* 1381583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381661 */     // GIR_Coverage, 22511,
     /* 1381661 */     GIR_EraseRootFromParent_Done,
     /* 1381662 */   // Label 19610: @1381662
     /* 1381662 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1381746), // Rule ID 22514 //
     /* 1381667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381745 */     // GIR_Coverage, 22514,
     /* 1381745 */     GIR_EraseRootFromParent_Done,
     /* 1381746 */   // Label 19611: @1381746
     /* 1381746 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381830), // Rule ID 22515 //
     /* 1381751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381829 */     // GIR_Coverage, 22515,
     /* 1381829 */     GIR_EraseRootFromParent_Done,
     /* 1381830 */   // Label 19612: @1381830
     /* 1381830 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381914), // Rule ID 22518 //
     /* 1381835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381913 */     // GIR_Coverage, 22518,
     /* 1381913 */     GIR_EraseRootFromParent_Done,
     /* 1381914 */   // Label 19613: @1381914
     /* 1381914 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1381998), // Rule ID 22519 //
     /* 1381919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381997 */     // GIR_Coverage, 22519,
     /* 1381997 */     GIR_EraseRootFromParent_Done,
     /* 1381998 */   // Label 19614: @1381998
     /* 1381998 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1382082), // Rule ID 22522 //
     /* 1382003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1382059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382081 */     // GIR_Coverage, 22522,
     /* 1382081 */     GIR_EraseRootFromParent_Done,
     /* 1382082 */   // Label 19615: @1382082
     /* 1382082 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382166), // Rule ID 22523 //
     /* 1382087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1382143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382165 */     // GIR_Coverage, 22523,
     /* 1382165 */     GIR_EraseRootFromParent_Done,
     /* 1382166 */   // Label 19616: @1382166
     /* 1382166 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382250), // Rule ID 22526 //
     /* 1382171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1382227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382249 */     // GIR_Coverage, 22526,
     /* 1382249 */     GIR_EraseRootFromParent_Done,
     /* 1382250 */   // Label 19617: @1382250
     /* 1382250 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1382334), // Rule ID 22527 //
     /* 1382255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1382311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382333 */     // GIR_Coverage, 22527,
     /* 1382333 */     GIR_EraseRootFromParent_Done,
     /* 1382334 */   // Label 19618: @1382334
     /* 1382334 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1382418), // Rule ID 22530 //
     /* 1382339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382417 */     // GIR_Coverage, 22530,
     /* 1382417 */     GIR_EraseRootFromParent_Done,
     /* 1382418 */   // Label 19619: @1382418
     /* 1382418 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1382502), // Rule ID 22531 //
     /* 1382423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382501 */     // GIR_Coverage, 22531,
     /* 1382501 */     GIR_EraseRootFromParent_Done,
     /* 1382502 */   // Label 19620: @1382502
     /* 1382502 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1382586), // Rule ID 22534 //
     /* 1382507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382585 */     // GIR_Coverage, 22534,
     /* 1382585 */     GIR_EraseRootFromParent_Done,
     /* 1382586 */   // Label 19621: @1382586
     /* 1382586 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1382670), // Rule ID 22535 //
     /* 1382591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382669 */     // GIR_Coverage, 22535,
     /* 1382669 */     GIR_EraseRootFromParent_Done,
     /* 1382670 */   // Label 19622: @1382670
     /* 1382670 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1382754), // Rule ID 22538 //
     /* 1382675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382753 */     // GIR_Coverage, 22538,
     /* 1382753 */     GIR_EraseRootFromParent_Done,
     /* 1382754 */   // Label 19623: @1382754
     /* 1382754 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382838), // Rule ID 22539 //
     /* 1382759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382837 */     // GIR_Coverage, 22539,
     /* 1382837 */     GIR_EraseRootFromParent_Done,
     /* 1382838 */   // Label 19624: @1382838
     /* 1382838 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382922), // Rule ID 22542 //
     /* 1382843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382921 */     // GIR_Coverage, 22542,
     /* 1382921 */     GIR_EraseRootFromParent_Done,
     /* 1382922 */   // Label 19625: @1382922
     /* 1382922 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1383006), // Rule ID 22543 //
     /* 1382927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383005 */     // GIR_Coverage, 22543,
     /* 1383005 */     GIR_EraseRootFromParent_Done,
     /* 1383006 */   // Label 19626: @1383006
     /* 1383006 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1383090), // Rule ID 22546 //
     /* 1383011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1383067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383089 */     // GIR_Coverage, 22546,
     /* 1383089 */     GIR_EraseRootFromParent_Done,
     /* 1383090 */   // Label 19627: @1383090
     /* 1383090 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383174), // Rule ID 22547 //
     /* 1383095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1383151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383173 */     // GIR_Coverage, 22547,
     /* 1383173 */     GIR_EraseRootFromParent_Done,
     /* 1383174 */   // Label 19628: @1383174
     /* 1383174 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383258), // Rule ID 22550 //
     /* 1383179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1383235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383257 */     // GIR_Coverage, 22550,
     /* 1383257 */     GIR_EraseRootFromParent_Done,
     /* 1383258 */   // Label 19629: @1383258
     /* 1383258 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1383342), // Rule ID 22551 //
     /* 1383263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1383319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383341 */     // GIR_Coverage, 22551,
     /* 1383341 */     GIR_EraseRootFromParent_Done,
     /* 1383342 */   // Label 19630: @1383342
     /* 1383342 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1383426), // Rule ID 22554 //
     /* 1383347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383425 */     // GIR_Coverage, 22554,
     /* 1383425 */     GIR_EraseRootFromParent_Done,
     /* 1383426 */   // Label 19631: @1383426
     /* 1383426 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1383510), // Rule ID 22555 //
     /* 1383431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383509 */     // GIR_Coverage, 22555,
     /* 1383509 */     GIR_EraseRootFromParent_Done,
     /* 1383510 */   // Label 19632: @1383510
     /* 1383510 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1383594), // Rule ID 22558 //
     /* 1383515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383593 */     // GIR_Coverage, 22558,
     /* 1383593 */     GIR_EraseRootFromParent_Done,
     /* 1383594 */   // Label 19633: @1383594
     /* 1383594 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1383678), // Rule ID 22559 //
     /* 1383599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383677 */     // GIR_Coverage, 22559,
     /* 1383677 */     GIR_EraseRootFromParent_Done,
     /* 1383678 */   // Label 19634: @1383678
     /* 1383678 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1383762), // Rule ID 22562 //
     /* 1383683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383761 */     // GIR_Coverage, 22562,
     /* 1383761 */     GIR_EraseRootFromParent_Done,
     /* 1383762 */   // Label 19635: @1383762
     /* 1383762 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383846), // Rule ID 22563 //
     /* 1383767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383845 */     // GIR_Coverage, 22563,
     /* 1383845 */     GIR_EraseRootFromParent_Done,
     /* 1383846 */   // Label 19636: @1383846
     /* 1383846 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383930), // Rule ID 22566 //
     /* 1383851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383929 */     // GIR_Coverage, 22566,
     /* 1383929 */     GIR_EraseRootFromParent_Done,
     /* 1383930 */   // Label 19637: @1383930
     /* 1383930 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1384014), // Rule ID 22567 //
     /* 1383935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384013 */     // GIR_Coverage, 22567,
     /* 1384013 */     GIR_EraseRootFromParent_Done,
     /* 1384014 */   // Label 19638: @1384014
     /* 1384014 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384098), // Rule ID 22570 //
     /* 1384019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1384075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384097 */     // GIR_Coverage, 22570,
     /* 1384097 */     GIR_EraseRootFromParent_Done,
     /* 1384098 */   // Label 19639: @1384098
     /* 1384098 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384182), // Rule ID 22571 //
     /* 1384103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1384159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384181 */     // GIR_Coverage, 22571,
     /* 1384181 */     GIR_EraseRootFromParent_Done,
     /* 1384182 */   // Label 19640: @1384182
     /* 1384182 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384266), // Rule ID 22574 //
     /* 1384187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1384243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384265 */     // GIR_Coverage, 22574,
     /* 1384265 */     GIR_EraseRootFromParent_Done,
     /* 1384266 */   // Label 19641: @1384266
     /* 1384266 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1384350), // Rule ID 22575 //
     /* 1384271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1384327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384349 */     // GIR_Coverage, 22575,
     /* 1384349 */     GIR_EraseRootFromParent_Done,
     /* 1384350 */   // Label 19642: @1384350
     /* 1384350 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1384434), // Rule ID 22578 //
     /* 1384355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384433 */     // GIR_Coverage, 22578,
     /* 1384433 */     GIR_EraseRootFromParent_Done,
     /* 1384434 */   // Label 19643: @1384434
     /* 1384434 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1384518), // Rule ID 22579 //
     /* 1384439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384517 */     // GIR_Coverage, 22579,
     /* 1384517 */     GIR_EraseRootFromParent_Done,
     /* 1384518 */   // Label 19644: @1384518
     /* 1384518 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1384602), // Rule ID 22582 //
     /* 1384523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384601 */     // GIR_Coverage, 22582,
     /* 1384601 */     GIR_EraseRootFromParent_Done,
     /* 1384602 */   // Label 19645: @1384602
     /* 1384602 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1384686), // Rule ID 22583 //
     /* 1384607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384685 */     // GIR_Coverage, 22583,
     /* 1384685 */     GIR_EraseRootFromParent_Done,
     /* 1384686 */   // Label 19646: @1384686
     /* 1384686 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1384770), // Rule ID 22586 //
     /* 1384691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384769 */     // GIR_Coverage, 22586,
     /* 1384769 */     GIR_EraseRootFromParent_Done,
     /* 1384770 */   // Label 19647: @1384770
     /* 1384770 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384854), // Rule ID 22587 //
     /* 1384775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384853 */     // GIR_Coverage, 22587,
     /* 1384853 */     GIR_EraseRootFromParent_Done,
     /* 1384854 */   // Label 19648: @1384854
     /* 1384854 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384938), // Rule ID 22590 //
     /* 1384859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384937 */     // GIR_Coverage, 22590,
     /* 1384937 */     GIR_EraseRootFromParent_Done,
     /* 1384938 */   // Label 19649: @1384938
     /* 1384938 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1385022), // Rule ID 22591 //
     /* 1384943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385021 */     // GIR_Coverage, 22591,
     /* 1385021 */     GIR_EraseRootFromParent_Done,
     /* 1385022 */   // Label 19650: @1385022
     /* 1385022 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385106), // Rule ID 22594 //
     /* 1385027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1385083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385105 */     // GIR_Coverage, 22594,
     /* 1385105 */     GIR_EraseRootFromParent_Done,
     /* 1385106 */   // Label 19651: @1385106
     /* 1385106 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385190), // Rule ID 22595 //
     /* 1385111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1385167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385189 */     // GIR_Coverage, 22595,
     /* 1385189 */     GIR_EraseRootFromParent_Done,
     /* 1385190 */   // Label 19652: @1385190
     /* 1385190 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1385274), // Rule ID 22598 //
     /* 1385195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1385251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385273 */     // GIR_Coverage, 22598,
     /* 1385273 */     GIR_EraseRootFromParent_Done,
     /* 1385274 */   // Label 19653: @1385274
     /* 1385274 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1385358), // Rule ID 22599 //
     /* 1385279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1385335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385357 */     // GIR_Coverage, 22599,
     /* 1385357 */     GIR_EraseRootFromParent_Done,
     /* 1385358 */   // Label 19654: @1385358
     /* 1385358 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1385442), // Rule ID 22602 //
     /* 1385363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385441 */     // GIR_Coverage, 22602,
     /* 1385441 */     GIR_EraseRootFromParent_Done,
     /* 1385442 */   // Label 19655: @1385442
     /* 1385442 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1385526), // Rule ID 22603 //
     /* 1385447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385525 */     // GIR_Coverage, 22603,
     /* 1385525 */     GIR_EraseRootFromParent_Done,
     /* 1385526 */   // Label 19656: @1385526
     /* 1385526 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1385610), // Rule ID 22606 //
     /* 1385531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385609 */     // GIR_Coverage, 22606,
     /* 1385609 */     GIR_EraseRootFromParent_Done,
     /* 1385610 */   // Label 19657: @1385610
     /* 1385610 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1385694), // Rule ID 22607 //
     /* 1385615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385693 */     // GIR_Coverage, 22607,
     /* 1385693 */     GIR_EraseRootFromParent_Done,
     /* 1385694 */   // Label 19658: @1385694
     /* 1385694 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1385778), // Rule ID 22610 //
     /* 1385699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385777 */     // GIR_Coverage, 22610,
     /* 1385777 */     GIR_EraseRootFromParent_Done,
     /* 1385778 */   // Label 19659: @1385778
     /* 1385778 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385862), // Rule ID 22611 //
     /* 1385783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385861 */     // GIR_Coverage, 22611,
     /* 1385861 */     GIR_EraseRootFromParent_Done,
     /* 1385862 */   // Label 19660: @1385862
     /* 1385862 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385946), // Rule ID 22614 //
     /* 1385867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385945 */     // GIR_Coverage, 22614,
     /* 1385945 */     GIR_EraseRootFromParent_Done,
     /* 1385946 */   // Label 19661: @1385946
     /* 1385946 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1386030), // Rule ID 22615 //
     /* 1385951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1386007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386029 */     // GIR_Coverage, 22615,
     /* 1386029 */     GIR_EraseRootFromParent_Done,
     /* 1386030 */   // Label 19662: @1386030
     /* 1386030 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386114), // Rule ID 22618 //
     /* 1386035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1386091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386113 */     // GIR_Coverage, 22618,
     /* 1386113 */     GIR_EraseRootFromParent_Done,
     /* 1386114 */   // Label 19663: @1386114
     /* 1386114 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386198), // Rule ID 22619 //
     /* 1386119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1386175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386197 */     // GIR_Coverage, 22619,
     /* 1386197 */     GIR_EraseRootFromParent_Done,
     /* 1386198 */   // Label 19664: @1386198
     /* 1386198 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1386282), // Rule ID 22622 //
     /* 1386203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1386259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386281 */     // GIR_Coverage, 22622,
     /* 1386281 */     GIR_EraseRootFromParent_Done,
     /* 1386282 */   // Label 19665: @1386282
     /* 1386282 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1386366), // Rule ID 22623 //
     /* 1386287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1386343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386365 */     // GIR_Coverage, 22623,
     /* 1386365 */     GIR_EraseRootFromParent_Done,
     /* 1386366 */   // Label 19666: @1386366
     /* 1386366 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1386450), // Rule ID 22626 //
     /* 1386371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386449 */     // GIR_Coverage, 22626,
     /* 1386449 */     GIR_EraseRootFromParent_Done,
     /* 1386450 */   // Label 19667: @1386450
     /* 1386450 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1386534), // Rule ID 22627 //
     /* 1386455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386533 */     // GIR_Coverage, 22627,
     /* 1386533 */     GIR_EraseRootFromParent_Done,
     /* 1386534 */   // Label 19668: @1386534
     /* 1386534 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1386618), // Rule ID 22630 //
     /* 1386539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386617 */     // GIR_Coverage, 22630,
     /* 1386617 */     GIR_EraseRootFromParent_Done,
     /* 1386618 */   // Label 19669: @1386618
     /* 1386618 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1386702), // Rule ID 22631 //
     /* 1386623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386701 */     // GIR_Coverage, 22631,
     /* 1386701 */     GIR_EraseRootFromParent_Done,
     /* 1386702 */   // Label 19670: @1386702
     /* 1386702 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1386786), // Rule ID 22634 //
     /* 1386707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386785 */     // GIR_Coverage, 22634,
     /* 1386785 */     GIR_EraseRootFromParent_Done,
     /* 1386786 */   // Label 19671: @1386786
     /* 1386786 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386870), // Rule ID 22635 //
     /* 1386791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386869 */     // GIR_Coverage, 22635,
     /* 1386869 */     GIR_EraseRootFromParent_Done,
     /* 1386870 */   // Label 19672: @1386870
     /* 1386870 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1386954), // Rule ID 22638 //
     /* 1386875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386953 */     // GIR_Coverage, 22638,
     /* 1386953 */     GIR_EraseRootFromParent_Done,
     /* 1386954 */   // Label 19673: @1386954
     /* 1386954 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1387038), // Rule ID 22639 //
     /* 1386959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1387015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387037 */     // GIR_Coverage, 22639,
     /* 1387037 */     GIR_EraseRootFromParent_Done,
     /* 1387038 */   // Label 19674: @1387038
     /* 1387038 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387122), // Rule ID 22642 //
     /* 1387043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1387099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387121 */     // GIR_Coverage, 22642,
     /* 1387121 */     GIR_EraseRootFromParent_Done,
     /* 1387122 */   // Label 19675: @1387122
     /* 1387122 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387206), // Rule ID 22643 //
     /* 1387127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1387183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387205 */     // GIR_Coverage, 22643,
     /* 1387205 */     GIR_EraseRootFromParent_Done,
     /* 1387206 */   // Label 19676: @1387206
     /* 1387206 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1387290), // Rule ID 22646 //
     /* 1387211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1387267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387289 */     // GIR_Coverage, 22646,
     /* 1387289 */     GIR_EraseRootFromParent_Done,
     /* 1387290 */   // Label 19677: @1387290
     /* 1387290 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1387374), // Rule ID 22647 //
     /* 1387295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1387351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387373 */     // GIR_Coverage, 22647,
     /* 1387373 */     GIR_EraseRootFromParent_Done,
     /* 1387374 */   // Label 19678: @1387374
     /* 1387374 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1387458), // Rule ID 22650 //
     /* 1387379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387457 */     // GIR_Coverage, 22650,
     /* 1387457 */     GIR_EraseRootFromParent_Done,
     /* 1387458 */   // Label 19679: @1387458
     /* 1387458 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1387542), // Rule ID 22651 //
     /* 1387463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387541 */     // GIR_Coverage, 22651,
     /* 1387541 */     GIR_EraseRootFromParent_Done,
     /* 1387542 */   // Label 19680: @1387542
     /* 1387542 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1387626), // Rule ID 22654 //
     /* 1387547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387625 */     // GIR_Coverage, 22654,
     /* 1387625 */     GIR_EraseRootFromParent_Done,
     /* 1387626 */   // Label 19681: @1387626
     /* 1387626 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1387710), // Rule ID 22655 //
     /* 1387631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387709 */     // GIR_Coverage, 22655,
     /* 1387709 */     GIR_EraseRootFromParent_Done,
     /* 1387710 */   // Label 19682: @1387710
     /* 1387710 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387794), // Rule ID 22658 //
     /* 1387715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387793 */     // GIR_Coverage, 22658,
     /* 1387793 */     GIR_EraseRootFromParent_Done,
     /* 1387794 */   // Label 19683: @1387794
     /* 1387794 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387878), // Rule ID 22659 //
     /* 1387799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387877 */     // GIR_Coverage, 22659,
     /* 1387877 */     GIR_EraseRootFromParent_Done,
     /* 1387878 */   // Label 19684: @1387878
     /* 1387878 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1387962), // Rule ID 22662 //
     /* 1387883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387961 */     // GIR_Coverage, 22662,
     /* 1387961 */     GIR_EraseRootFromParent_Done,
     /* 1387962 */   // Label 19685: @1387962
     /* 1387962 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1388046), // Rule ID 22663 //
     /* 1387967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1388023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388045 */     // GIR_Coverage, 22663,
     /* 1388045 */     GIR_EraseRootFromParent_Done,
     /* 1388046 */   // Label 19686: @1388046
     /* 1388046 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388130), // Rule ID 22666 //
     /* 1388051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1388107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388129 */     // GIR_Coverage, 22666,
     /* 1388129 */     GIR_EraseRootFromParent_Done,
     /* 1388130 */   // Label 19687: @1388130
     /* 1388130 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388214), // Rule ID 22667 //
     /* 1388135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1388191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388213 */     // GIR_Coverage, 22667,
     /* 1388213 */     GIR_EraseRootFromParent_Done,
     /* 1388214 */   // Label 19688: @1388214
     /* 1388214 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1388298), // Rule ID 22670 //
     /* 1388219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1388275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388297 */     // GIR_Coverage, 22670,
     /* 1388297 */     GIR_EraseRootFromParent_Done,
     /* 1388298 */   // Label 19689: @1388298
     /* 1388298 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1388382), // Rule ID 22671 //
     /* 1388303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1388359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388381 */     // GIR_Coverage, 22671,
     /* 1388381 */     GIR_EraseRootFromParent_Done,
     /* 1388382 */   // Label 19690: @1388382
     /* 1388382 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1388466), // Rule ID 22674 //
     /* 1388387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388465 */     // GIR_Coverage, 22674,
     /* 1388465 */     GIR_EraseRootFromParent_Done,
     /* 1388466 */   // Label 19691: @1388466
     /* 1388466 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1388550), // Rule ID 22675 //
     /* 1388471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388549 */     // GIR_Coverage, 22675,
     /* 1388549 */     GIR_EraseRootFromParent_Done,
     /* 1388550 */   // Label 19692: @1388550
     /* 1388550 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1388634), // Rule ID 22678 //
     /* 1388555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388633 */     // GIR_Coverage, 22678,
     /* 1388633 */     GIR_EraseRootFromParent_Done,
     /* 1388634 */   // Label 19693: @1388634
     /* 1388634 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1388718), // Rule ID 22679 //
     /* 1388639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388717 */     // GIR_Coverage, 22679,
     /* 1388717 */     GIR_EraseRootFromParent_Done,
     /* 1388718 */   // Label 19694: @1388718
     /* 1388718 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1388802), // Rule ID 22682 //
     /* 1388723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388801 */     // GIR_Coverage, 22682,
     /* 1388801 */     GIR_EraseRootFromParent_Done,
     /* 1388802 */   // Label 19695: @1388802
     /* 1388802 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388886), // Rule ID 22683 //
     /* 1388807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388885 */     // GIR_Coverage, 22683,
     /* 1388885 */     GIR_EraseRootFromParent_Done,
     /* 1388886 */   // Label 19696: @1388886
     /* 1388886 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388970), // Rule ID 22686 //
     /* 1388891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388969 */     // GIR_Coverage, 22686,
     /* 1388969 */     GIR_EraseRootFromParent_Done,
     /* 1388970 */   // Label 19697: @1388970
     /* 1388970 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1389054), // Rule ID 22687 //
     /* 1388975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1389031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389053 */     // GIR_Coverage, 22687,
     /* 1389053 */     GIR_EraseRootFromParent_Done,
     /* 1389054 */   // Label 19698: @1389054
     /* 1389054 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389138), // Rule ID 22690 //
     /* 1389059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1389115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389137 */     // GIR_Coverage, 22690,
     /* 1389137 */     GIR_EraseRootFromParent_Done,
     /* 1389138 */   // Label 19699: @1389138
     /* 1389138 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389222), // Rule ID 22691 //
     /* 1389143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1389199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389221 */     // GIR_Coverage, 22691,
     /* 1389221 */     GIR_EraseRootFromParent_Done,
     /* 1389222 */   // Label 19700: @1389222
     /* 1389222 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1389306), // Rule ID 22694 //
     /* 1389227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1389283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389305 */     // GIR_Coverage, 22694,
     /* 1389305 */     GIR_EraseRootFromParent_Done,
     /* 1389306 */   // Label 19701: @1389306
     /* 1389306 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1389390), // Rule ID 22695 //
     /* 1389311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1389367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389389 */     // GIR_Coverage, 22695,
     /* 1389389 */     GIR_EraseRootFromParent_Done,
     /* 1389390 */   // Label 19702: @1389390
     /* 1389390 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1389474), // Rule ID 22698 //
     /* 1389395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389473 */     // GIR_Coverage, 22698,
     /* 1389473 */     GIR_EraseRootFromParent_Done,
     /* 1389474 */   // Label 19703: @1389474
     /* 1389474 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1389558), // Rule ID 22699 //
     /* 1389479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389557 */     // GIR_Coverage, 22699,
     /* 1389557 */     GIR_EraseRootFromParent_Done,
     /* 1389558 */   // Label 19704: @1389558
     /* 1389558 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1389642), // Rule ID 22702 //
     /* 1389563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389641 */     // GIR_Coverage, 22702,
     /* 1389641 */     GIR_EraseRootFromParent_Done,
     /* 1389642 */   // Label 19705: @1389642
     /* 1389642 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1389726), // Rule ID 22703 //
     /* 1389647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389725 */     // GIR_Coverage, 22703,
     /* 1389725 */     GIR_EraseRootFromParent_Done,
     /* 1389726 */   // Label 19706: @1389726
     /* 1389726 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389810), // Rule ID 22706 //
     /* 1389731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389809 */     // GIR_Coverage, 22706,
     /* 1389809 */     GIR_EraseRootFromParent_Done,
     /* 1389810 */   // Label 19707: @1389810
     /* 1389810 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389894), // Rule ID 22707 //
     /* 1389815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389893 */     // GIR_Coverage, 22707,
     /* 1389893 */     GIR_EraseRootFromParent_Done,
     /* 1389894 */   // Label 19708: @1389894
     /* 1389894 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389978), // Rule ID 22710 //
     /* 1389899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389977 */     // GIR_Coverage, 22710,
     /* 1389977 */     GIR_EraseRootFromParent_Done,
     /* 1389978 */   // Label 19709: @1389978
     /* 1389978 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1390062), // Rule ID 22711 //
     /* 1389983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1390039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390061 */     // GIR_Coverage, 22711,
     /* 1390061 */     GIR_EraseRootFromParent_Done,
     /* 1390062 */   // Label 19710: @1390062
     /* 1390062 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390146), // Rule ID 22830 //
     /* 1390067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390120 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1390123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390145 */     // GIR_Coverage, 22830,
     /* 1390145 */     GIR_EraseRootFromParent_Done,
     /* 1390146 */   // Label 19711: @1390146
     /* 1390146 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390230), // Rule ID 22831 //
     /* 1390151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390204 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1390207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390229 */     // GIR_Coverage, 22831,
     /* 1390229 */     GIR_EraseRootFromParent_Done,
     /* 1390230 */   // Label 19712: @1390230
     /* 1390230 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1390314), // Rule ID 22834 //
     /* 1390235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390288 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1390291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390313 */     // GIR_Coverage, 22834,
     /* 1390313 */     GIR_EraseRootFromParent_Done,
     /* 1390314 */   // Label 19713: @1390314
     /* 1390314 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1390398), // Rule ID 22835 //
     /* 1390319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1390375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390397 */     // GIR_Coverage, 22835,
     /* 1390397 */     GIR_EraseRootFromParent_Done,
     /* 1390398 */   // Label 19714: @1390398
     /* 1390398 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1390482), // Rule ID 22838 //
     /* 1390403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390481 */     // GIR_Coverage, 22838,
     /* 1390481 */     GIR_EraseRootFromParent_Done,
     /* 1390482 */   // Label 19715: @1390482
     /* 1390482 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1390566), // Rule ID 22839 //
     /* 1390487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390540 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390565 */     // GIR_Coverage, 22839,
     /* 1390565 */     GIR_EraseRootFromParent_Done,
     /* 1390566 */   // Label 19716: @1390566
     /* 1390566 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1390650), // Rule ID 22842 //
     /* 1390571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390624 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390649 */     // GIR_Coverage, 22842,
     /* 1390649 */     GIR_EraseRootFromParent_Done,
     /* 1390650 */   // Label 19717: @1390650
     /* 1390650 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1390734), // Rule ID 22843 //
     /* 1390655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390708 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390733 */     // GIR_Coverage, 22843,
     /* 1390733 */     GIR_EraseRootFromParent_Done,
     /* 1390734 */   // Label 19718: @1390734
     /* 1390734 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390818), // Rule ID 22846 //
     /* 1390739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390792 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390817 */     // GIR_Coverage, 22846,
     /* 1390817 */     GIR_EraseRootFromParent_Done,
     /* 1390818 */   // Label 19719: @1390818
     /* 1390818 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390902), // Rule ID 22847 //
     /* 1390823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390901 */     // GIR_Coverage, 22847,
     /* 1390901 */     GIR_EraseRootFromParent_Done,
     /* 1390902 */   // Label 19720: @1390902
     /* 1390902 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1390986), // Rule ID 22850 //
     /* 1390907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390985 */     // GIR_Coverage, 22850,
     /* 1390985 */     GIR_EraseRootFromParent_Done,
     /* 1390986 */   // Label 19721: @1390986
     /* 1390986 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1391070), // Rule ID 22851 //
     /* 1390991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1391047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391069 */     // GIR_Coverage, 22851,
     /* 1391069 */     GIR_EraseRootFromParent_Done,
     /* 1391070 */   // Label 19722: @1391070
     /* 1391070 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391154), // Rule ID 22854 //
     /* 1391075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1391131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391153 */     // GIR_Coverage, 22854,
     /* 1391153 */     GIR_EraseRootFromParent_Done,
     /* 1391154 */   // Label 19723: @1391154
     /* 1391154 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391238), // Rule ID 22855 //
     /* 1391159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1391215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391237 */     // GIR_Coverage, 22855,
     /* 1391237 */     GIR_EraseRootFromParent_Done,
     /* 1391238 */   // Label 19724: @1391238
     /* 1391238 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1391322), // Rule ID 22858 //
     /* 1391243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1391299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391321 */     // GIR_Coverage, 22858,
     /* 1391321 */     GIR_EraseRootFromParent_Done,
     /* 1391322 */   // Label 19725: @1391322
     /* 1391322 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1391406), // Rule ID 22859 //
     /* 1391327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1391383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391405 */     // GIR_Coverage, 22859,
     /* 1391405 */     GIR_EraseRootFromParent_Done,
     /* 1391406 */   // Label 19726: @1391406
     /* 1391406 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1391490), // Rule ID 22862 //
     /* 1391411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391464 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391489 */     // GIR_Coverage, 22862,
     /* 1391489 */     GIR_EraseRootFromParent_Done,
     /* 1391490 */   // Label 19727: @1391490
     /* 1391490 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1391574), // Rule ID 22863 //
     /* 1391495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391548 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391573 */     // GIR_Coverage, 22863,
     /* 1391573 */     GIR_EraseRootFromParent_Done,
     /* 1391574 */   // Label 19728: @1391574
     /* 1391574 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1391658), // Rule ID 22866 //
     /* 1391579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391657 */     // GIR_Coverage, 22866,
     /* 1391657 */     GIR_EraseRootFromParent_Done,
     /* 1391658 */   // Label 19729: @1391658
     /* 1391658 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1391742), // Rule ID 22867 //
     /* 1391663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391741 */     // GIR_Coverage, 22867,
     /* 1391741 */     GIR_EraseRootFromParent_Done,
     /* 1391742 */   // Label 19730: @1391742
     /* 1391742 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391826), // Rule ID 22870 //
     /* 1391747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391825 */     // GIR_Coverage, 22870,
     /* 1391825 */     GIR_EraseRootFromParent_Done,
     /* 1391826 */   // Label 19731: @1391826
     /* 1391826 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391910), // Rule ID 22871 //
     /* 1391831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391909 */     // GIR_Coverage, 22871,
     /* 1391909 */     GIR_EraseRootFromParent_Done,
     /* 1391910 */   // Label 19732: @1391910
     /* 1391910 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1391994), // Rule ID 22874 //
     /* 1391915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391993 */     // GIR_Coverage, 22874,
     /* 1391993 */     GIR_EraseRootFromParent_Done,
     /* 1391994 */   // Label 19733: @1391994
     /* 1391994 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1392078), // Rule ID 22875 //
     /* 1391999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1392016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1392055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392077 */     // GIR_Coverage, 22875,
     /* 1392077 */     GIR_EraseRootFromParent_Done,
     /* 1392078 */   // Label 19734: @1392078
     /* 1392078 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392162), // Rule ID 22878 //
     /* 1392083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1392139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392161 */     // GIR_Coverage, 22878,
     /* 1392161 */     GIR_EraseRootFromParent_Done,
     /* 1392162 */   // Label 19735: @1392162
     /* 1392162 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392246), // Rule ID 22879 //
     /* 1392167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392220 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1392223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392245 */     // GIR_Coverage, 22879,
     /* 1392245 */     GIR_EraseRootFromParent_Done,
     /* 1392246 */   // Label 19736: @1392246
     /* 1392246 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1392330), // Rule ID 22882 //
     /* 1392251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392304 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1392307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392329 */     // GIR_Coverage, 22882,
     /* 1392329 */     GIR_EraseRootFromParent_Done,
     /* 1392330 */   // Label 19737: @1392330
     /* 1392330 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1392414), // Rule ID 22883 //
     /* 1392335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392388 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1392391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392413 */     // GIR_Coverage, 22883,
     /* 1392413 */     GIR_EraseRootFromParent_Done,
     /* 1392414 */   // Label 19738: @1392414
     /* 1392414 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1392498), // Rule ID 22886 //
     /* 1392419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392497 */     // GIR_Coverage, 22886,
     /* 1392497 */     GIR_EraseRootFromParent_Done,
     /* 1392498 */   // Label 19739: @1392498
     /* 1392498 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1392582), // Rule ID 22887 //
     /* 1392503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392581 */     // GIR_Coverage, 22887,
     /* 1392581 */     GIR_EraseRootFromParent_Done,
     /* 1392582 */   // Label 19740: @1392582
     /* 1392582 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1392666), // Rule ID 22890 //
     /* 1392587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392665 */     // GIR_Coverage, 22890,
     /* 1392665 */     GIR_EraseRootFromParent_Done,
     /* 1392666 */   // Label 19741: @1392666
     /* 1392666 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1392750), // Rule ID 22891 //
     /* 1392671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392724 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392749 */     // GIR_Coverage, 22891,
     /* 1392749 */     GIR_EraseRootFromParent_Done,
     /* 1392750 */   // Label 19742: @1392750
     /* 1392750 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392834), // Rule ID 22894 //
     /* 1392755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392833 */     // GIR_Coverage, 22894,
     /* 1392833 */     GIR_EraseRootFromParent_Done,
     /* 1392834 */   // Label 19743: @1392834
     /* 1392834 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1392918), // Rule ID 22895 //
     /* 1392839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392917 */     // GIR_Coverage, 22895,
     /* 1392917 */     GIR_EraseRootFromParent_Done,
     /* 1392918 */   // Label 19744: @1392918
     /* 1392918 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1393002), // Rule ID 22898 //
     /* 1392923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393001 */     // GIR_Coverage, 22898,
     /* 1393001 */     GIR_EraseRootFromParent_Done,
     /* 1393002 */   // Label 19745: @1393002
     /* 1393002 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1393086), // Rule ID 22899 //
     /* 1393007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1393024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1393063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393085 */     // GIR_Coverage, 22899,
     /* 1393085 */     GIR_EraseRootFromParent_Done,
     /* 1393086 */   // Label 19746: @1393086
     /* 1393086 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393170), // Rule ID 22902 //
     /* 1393091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1393147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393169 */     // GIR_Coverage, 22902,
     /* 1393169 */     GIR_EraseRootFromParent_Done,
     /* 1393170 */   // Label 19747: @1393170
     /* 1393170 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393254), // Rule ID 22903 //
     /* 1393175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1393231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393253 */     // GIR_Coverage, 22903,
     /* 1393253 */     GIR_EraseRootFromParent_Done,
     /* 1393254 */   // Label 19748: @1393254
     /* 1393254 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1393338), // Rule ID 22906 //
     /* 1393259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1393315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393337 */     // GIR_Coverage, 22906,
     /* 1393337 */     GIR_EraseRootFromParent_Done,
     /* 1393338 */   // Label 19749: @1393338
     /* 1393338 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1393422), // Rule ID 22907 //
     /* 1393343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1393399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393421 */     // GIR_Coverage, 22907,
     /* 1393421 */     GIR_EraseRootFromParent_Done,
     /* 1393422 */   // Label 19750: @1393422
     /* 1393422 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1393506), // Rule ID 22910 //
     /* 1393427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1393430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393505 */     // GIR_Coverage, 22910,
     /* 1393505 */     GIR_EraseRootFromParent_Done,
     /* 1393506 */   // Label 19751: @1393506
     /* 1393506 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1393590), // Rule ID 22911 //
     /* 1393511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393589 */     // GIR_Coverage, 22911,
     /* 1393589 */     GIR_EraseRootFromParent_Done,
     /* 1393590 */   // Label 19752: @1393590
     /* 1393590 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1393674), // Rule ID 22914 //
     /* 1393595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393673 */     // GIR_Coverage, 22914,
     /* 1393673 */     GIR_EraseRootFromParent_Done,
     /* 1393674 */   // Label 19753: @1393674
     /* 1393674 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1393758), // Rule ID 22915 //
     /* 1393679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393757 */     // GIR_Coverage, 22915,
     /* 1393757 */     GIR_EraseRootFromParent_Done,
     /* 1393758 */   // Label 19754: @1393758
     /* 1393758 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393842), // Rule ID 22918 //
     /* 1393763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393841 */     // GIR_Coverage, 22918,
     /* 1393841 */     GIR_EraseRootFromParent_Done,
     /* 1393842 */   // Label 19755: @1393842
     /* 1393842 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1393926), // Rule ID 22919 //
     /* 1393847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393900 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393925 */     // GIR_Coverage, 22919,
     /* 1393925 */     GIR_EraseRootFromParent_Done,
     /* 1393926 */   // Label 19756: @1393926
     /* 1393926 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1394010), // Rule ID 22922 //
     /* 1393931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394009 */     // GIR_Coverage, 22922,
     /* 1394009 */     GIR_EraseRootFromParent_Done,
     /* 1394010 */   // Label 19757: @1394010
     /* 1394010 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1394094), // Rule ID 22923 //
     /* 1394015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1394018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1394032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1394038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394068 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1394071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394093 */     // GIR_Coverage, 22923,
     /* 1394093 */     GIR_EraseRootFromParent_Done,
     /* 1394094 */   // Label 19758: @1394094
     /* 1394094 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394178), // Rule ID 22926 //
     /* 1394099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394152 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1394155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394177 */     // GIR_Coverage, 22926,
     /* 1394177 */     GIR_EraseRootFromParent_Done,
     /* 1394178 */   // Label 19759: @1394178
     /* 1394178 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394262), // Rule ID 22927 //
     /* 1394183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1394239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394261 */     // GIR_Coverage, 22927,
     /* 1394261 */     GIR_EraseRootFromParent_Done,
     /* 1394262 */   // Label 19760: @1394262
     /* 1394262 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1394346), // Rule ID 22930 //
     /* 1394267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1394323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394345 */     // GIR_Coverage, 22930,
     /* 1394345 */     GIR_EraseRootFromParent_Done,
     /* 1394346 */   // Label 19761: @1394346
     /* 1394346 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1394430), // Rule ID 22931 //
     /* 1394351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1394407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394429 */     // GIR_Coverage, 22931,
     /* 1394429 */     GIR_EraseRootFromParent_Done,
     /* 1394430 */   // Label 19762: @1394430
     /* 1394430 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1394514), // Rule ID 22934 //
     /* 1394435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394513 */     // GIR_Coverage, 22934,
     /* 1394513 */     GIR_EraseRootFromParent_Done,
     /* 1394514 */   // Label 19763: @1394514
     /* 1394514 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1394598), // Rule ID 22935 //
     /* 1394519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394597 */     // GIR_Coverage, 22935,
     /* 1394597 */     GIR_EraseRootFromParent_Done,
     /* 1394598 */   // Label 19764: @1394598
     /* 1394598 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1394682), // Rule ID 22938 //
     /* 1394603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394681 */     // GIR_Coverage, 22938,
     /* 1394681 */     GIR_EraseRootFromParent_Done,
     /* 1394682 */   // Label 19765: @1394682
     /* 1394682 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1394766), // Rule ID 22939 //
     /* 1394687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394765 */     // GIR_Coverage, 22939,
     /* 1394765 */     GIR_EraseRootFromParent_Done,
     /* 1394766 */   // Label 19766: @1394766
     /* 1394766 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1394850), // Rule ID 22942 //
     /* 1394771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394824 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394849 */     // GIR_Coverage, 22942,
     /* 1394849 */     GIR_EraseRootFromParent_Done,
     /* 1394850 */   // Label 19767: @1394850
     /* 1394850 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1394934), // Rule ID 22943 //
     /* 1394855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394933 */     // GIR_Coverage, 22943,
     /* 1394933 */     GIR_EraseRootFromParent_Done,
     /* 1394934 */   // Label 19768: @1394934
     /* 1394934 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1395018), // Rule ID 22946 //
     /* 1394939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394992 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1394995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395017 */     // GIR_Coverage, 22946,
     /* 1395017 */     GIR_EraseRootFromParent_Done,
     /* 1395018 */   // Label 19769: @1395018
     /* 1395018 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1395102), // Rule ID 22947 //
     /* 1395023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1395026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1395031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1395040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1395079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395101 */     // GIR_Coverage, 22947,
     /* 1395101 */     GIR_EraseRootFromParent_Done,
     /* 1395102 */   // Label 19770: @1395102
     /* 1395102 */   GIM_Reject,
     /* 1395103 */ // Label 13790: @1395103
     /* 1395103 */ GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(2004260),
     /* 1395108 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1395111 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395197), // Rule ID 7240 //
     /* 1395116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1395127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1395130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1395133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395162 */     // MIs[0] policy
     /* 1395162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1395175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395196 */     // GIR_Coverage, 7240,
     /* 1395196 */     GIR_EraseRootFromParent_Done,
     /* 1395197 */   // Label 19772: @1395197
     /* 1395197 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1395283), // Rule ID 7241 //
     /* 1395202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1395213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1395216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1395219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395240 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395248 */     // MIs[0] policy
     /* 1395248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1395261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395282 */     // GIR_Coverage, 7241,
     /* 1395282 */     GIR_EraseRootFromParent_Done,
     /* 1395283 */   // Label 19773: @1395283
     /* 1395283 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1395369), // Rule ID 7244 //
     /* 1395288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1395299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1395302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395326 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395334 */     // MIs[0] policy
     /* 1395334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395344 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395368 */     // GIR_Coverage, 7244,
     /* 1395368 */     GIR_EraseRootFromParent_Done,
     /* 1395369 */   // Label 19774: @1395369
     /* 1395369 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1395455), // Rule ID 7245 //
     /* 1395374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1395385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1395388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395412 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395420 */     // MIs[0] policy
     /* 1395420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395454 */     // GIR_Coverage, 7245,
     /* 1395454 */     GIR_EraseRootFromParent_Done,
     /* 1395455 */   // Label 19775: @1395455
     /* 1395455 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1395541), // Rule ID 7248 //
     /* 1395460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395506 */     // MIs[0] policy
     /* 1395506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395540 */     // GIR_Coverage, 7248,
     /* 1395540 */     GIR_EraseRootFromParent_Done,
     /* 1395541 */   // Label 19776: @1395541
     /* 1395541 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1395627), // Rule ID 7249 //
     /* 1395546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395584 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395592 */     // MIs[0] policy
     /* 1395592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395626 */     // GIR_Coverage, 7249,
     /* 1395626 */     GIR_EraseRootFromParent_Done,
     /* 1395627 */   // Label 19777: @1395627
     /* 1395627 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1395713), // Rule ID 7252 //
     /* 1395632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395670 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395678 */     // MIs[0] policy
     /* 1395678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395712 */     // GIR_Coverage, 7252,
     /* 1395712 */     GIR_EraseRootFromParent_Done,
     /* 1395713 */   // Label 19778: @1395713
     /* 1395713 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1395799), // Rule ID 7253 //
     /* 1395718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395764 */     // MIs[0] policy
     /* 1395764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395798 */     // GIR_Coverage, 7253,
     /* 1395798 */     GIR_EraseRootFromParent_Done,
     /* 1395799 */   // Label 19779: @1395799
     /* 1395799 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1395885), // Rule ID 7256 //
     /* 1395804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395842 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395850 */     // MIs[0] policy
     /* 1395850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395884 */     // GIR_Coverage, 7256,
     /* 1395884 */     GIR_EraseRootFromParent_Done,
     /* 1395885 */   // Label 19780: @1395885
     /* 1395885 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395971), // Rule ID 7257 //
     /* 1395890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395928 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395936 */     // MIs[0] policy
     /* 1395936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395970 */     // GIR_Coverage, 7257,
     /* 1395970 */     GIR_EraseRootFromParent_Done,
     /* 1395971 */   // Label 19781: @1395971
     /* 1395971 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1396057), // Rule ID 7260 //
     /* 1395976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396014 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396022 */     // MIs[0] policy
     /* 1396022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1396035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396056 */     // GIR_Coverage, 7260,
     /* 1396056 */     GIR_EraseRootFromParent_Done,
     /* 1396057 */   // Label 19782: @1396057
     /* 1396057 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396143), // Rule ID 7261 //
     /* 1396062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1396073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1396076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1396079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396100 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396108 */     // MIs[0] policy
     /* 1396108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1396121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396142 */     // GIR_Coverage, 7261,
     /* 1396142 */     GIR_EraseRootFromParent_Done,
     /* 1396143 */   // Label 19783: @1396143
     /* 1396143 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1396229), // Rule ID 7264 //
     /* 1396148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1396159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1396162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1396165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396186 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396194 */     // MIs[0] policy
     /* 1396194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396228 */     // GIR_Coverage, 7264,
     /* 1396228 */     GIR_EraseRootFromParent_Done,
     /* 1396229 */   // Label 19784: @1396229
     /* 1396229 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1396315), // Rule ID 7265 //
     /* 1396234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1396245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1396248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1396251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396272 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396280 */     // MIs[0] policy
     /* 1396280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396314 */     // GIR_Coverage, 7265,
     /* 1396314 */     GIR_EraseRootFromParent_Done,
     /* 1396315 */   // Label 19785: @1396315
     /* 1396315 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1396401), // Rule ID 7268 //
     /* 1396320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396366 */     // MIs[0] policy
     /* 1396366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396400 */     // GIR_Coverage, 7268,
     /* 1396400 */     GIR_EraseRootFromParent_Done,
     /* 1396401 */   // Label 19786: @1396401
     /* 1396401 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1396487), // Rule ID 7269 //
     /* 1396406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396452 */     // MIs[0] policy
     /* 1396452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396486 */     // GIR_Coverage, 7269,
     /* 1396486 */     GIR_EraseRootFromParent_Done,
     /* 1396487 */   // Label 19787: @1396487
     /* 1396487 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1396573), // Rule ID 7272 //
     /* 1396492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396530 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396538 */     // MIs[0] policy
     /* 1396538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396572 */     // GIR_Coverage, 7272,
     /* 1396572 */     GIR_EraseRootFromParent_Done,
     /* 1396573 */   // Label 19788: @1396573
     /* 1396573 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1396659), // Rule ID 7273 //
     /* 1396578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396616 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396624 */     // MIs[0] policy
     /* 1396624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396658 */     // GIR_Coverage, 7273,
     /* 1396658 */     GIR_EraseRootFromParent_Done,
     /* 1396659 */   // Label 19789: @1396659
     /* 1396659 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1396745), // Rule ID 7276 //
     /* 1396664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396710 */     // MIs[0] policy
     /* 1396710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396744 */     // GIR_Coverage, 7276,
     /* 1396744 */     GIR_EraseRootFromParent_Done,
     /* 1396745 */   // Label 19790: @1396745
     /* 1396745 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1396831), // Rule ID 7277 //
     /* 1396750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396788 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396796 */     // MIs[0] policy
     /* 1396796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396830 */     // GIR_Coverage, 7277,
     /* 1396830 */     GIR_EraseRootFromParent_Done,
     /* 1396831 */   // Label 19791: @1396831
     /* 1396831 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1396917), // Rule ID 7280 //
     /* 1396836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396882 */     // MIs[0] policy
     /* 1396882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396916 */     // GIR_Coverage, 7280,
     /* 1396916 */     GIR_EraseRootFromParent_Done,
     /* 1396917 */   // Label 19792: @1396917
     /* 1396917 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1397003), // Rule ID 7281 //
     /* 1396922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396960 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396968 */     // MIs[0] policy
     /* 1396968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397002 */     // GIR_Coverage, 7281,
     /* 1397002 */     GIR_EraseRootFromParent_Done,
     /* 1397003 */   // Label 19793: @1397003
     /* 1397003 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397089), // Rule ID 7284 //
     /* 1397008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1397019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1397022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1397025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397054 */     // MIs[0] policy
     /* 1397054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397088 */     // GIR_Coverage, 7284,
     /* 1397088 */     GIR_EraseRootFromParent_Done,
     /* 1397089 */   // Label 19794: @1397089
     /* 1397089 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397175), // Rule ID 7285 //
     /* 1397094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1397105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1397108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1397111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397140 */     // MIs[0] policy
     /* 1397140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397150 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397174 */     // GIR_Coverage, 7285,
     /* 1397174 */     GIR_EraseRootFromParent_Done,
     /* 1397175 */   // Label 19795: @1397175
     /* 1397175 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1397261), // Rule ID 7288 //
     /* 1397180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1397191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1397194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1397197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1397203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397226 */     // MIs[0] policy
     /* 1397226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397260 */     // GIR_Coverage, 7288,
     /* 1397260 */     GIR_EraseRootFromParent_Done,
     /* 1397261 */   // Label 19796: @1397261
     /* 1397261 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1397347), // Rule ID 7289 //
     /* 1397266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1397277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1397280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1397283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1397289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397312 */     // MIs[0] policy
     /* 1397312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397322 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397346 */     // GIR_Coverage, 7289,
     /* 1397346 */     GIR_EraseRootFromParent_Done,
     /* 1397347 */   // Label 19797: @1397347
     /* 1397347 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1397433), // Rule ID 7292 //
     /* 1397352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397390 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397398 */     // MIs[0] policy
     /* 1397398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397432 */     // GIR_Coverage, 7292,
     /* 1397432 */     GIR_EraseRootFromParent_Done,
     /* 1397433 */   // Label 19798: @1397433
     /* 1397433 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1397519), // Rule ID 7293 //
     /* 1397438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397484 */     // MIs[0] policy
     /* 1397484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397518 */     // GIR_Coverage, 7293,
     /* 1397518 */     GIR_EraseRootFromParent_Done,
     /* 1397519 */   // Label 19799: @1397519
     /* 1397519 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1397605), // Rule ID 7296 //
     /* 1397524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397562 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397570 */     // MIs[0] policy
     /* 1397570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397604 */     // GIR_Coverage, 7296,
     /* 1397604 */     GIR_EraseRootFromParent_Done,
     /* 1397605 */   // Label 19800: @1397605
     /* 1397605 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1397691), // Rule ID 7297 //
     /* 1397610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397656 */     // MIs[0] policy
     /* 1397656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397690 */     // GIR_Coverage, 7297,
     /* 1397690 */     GIR_EraseRootFromParent_Done,
     /* 1397691 */   // Label 19801: @1397691
     /* 1397691 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1397777), // Rule ID 7300 //
     /* 1397696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397734 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397742 */     // MIs[0] policy
     /* 1397742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397776 */     // GIR_Coverage, 7300,
     /* 1397776 */     GIR_EraseRootFromParent_Done,
     /* 1397777 */   // Label 19802: @1397777
     /* 1397777 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1397863), // Rule ID 7301 //
     /* 1397782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397820 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397828 */     // MIs[0] policy
     /* 1397828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397862 */     // GIR_Coverage, 7301,
     /* 1397862 */     GIR_EraseRootFromParent_Done,
     /* 1397863 */   // Label 19803: @1397863
     /* 1397863 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1397949), // Rule ID 7304 //
     /* 1397868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397914 */     // MIs[0] policy
     /* 1397914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397948 */     // GIR_Coverage, 7304,
     /* 1397948 */     GIR_EraseRootFromParent_Done,
     /* 1397949 */   // Label 19804: @1397949
     /* 1397949 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1398035), // Rule ID 7305 //
     /* 1397954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397992 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398000 */     // MIs[0] policy
     /* 1398000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398034 */     // GIR_Coverage, 7305,
     /* 1398034 */     GIR_EraseRootFromParent_Done,
     /* 1398035 */   // Label 19805: @1398035
     /* 1398035 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398121), // Rule ID 7308 //
     /* 1398040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398078 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398086 */     // MIs[0] policy
     /* 1398086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398120 */     // GIR_Coverage, 7308,
     /* 1398120 */     GIR_EraseRootFromParent_Done,
     /* 1398121 */   // Label 19806: @1398121
     /* 1398121 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1398207), // Rule ID 7309 //
     /* 1398126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398172 */     // MIs[0] policy
     /* 1398172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398206 */     // GIR_Coverage, 7309,
     /* 1398206 */     GIR_EraseRootFromParent_Done,
     /* 1398207 */   // Label 19807: @1398207
     /* 1398207 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1398293), // Rule ID 7312 //
     /* 1398212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398250 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398258 */     // MIs[0] policy
     /* 1398258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398292 */     // GIR_Coverage, 7312,
     /* 1398292 */     GIR_EraseRootFromParent_Done,
     /* 1398293 */   // Label 19808: @1398293
     /* 1398293 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1398379), // Rule ID 7313 //
     /* 1398298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398344 */     // MIs[0] policy
     /* 1398344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398378 */     // GIR_Coverage, 7313,
     /* 1398378 */     GIR_EraseRootFromParent_Done,
     /* 1398379 */   // Label 19809: @1398379
     /* 1398379 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1398465), // Rule ID 7316 //
     /* 1398384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398430 */     // MIs[0] policy
     /* 1398430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398464 */     // GIR_Coverage, 7316,
     /* 1398464 */     GIR_EraseRootFromParent_Done,
     /* 1398465 */   // Label 19810: @1398465
     /* 1398465 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1398551), // Rule ID 7317 //
     /* 1398470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398516 */     // MIs[0] policy
     /* 1398516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398550 */     // GIR_Coverage, 7317,
     /* 1398550 */     GIR_EraseRootFromParent_Done,
     /* 1398551 */   // Label 19811: @1398551
     /* 1398551 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1398637), // Rule ID 7320 //
     /* 1398556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398594 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398602 */     // MIs[0] policy
     /* 1398602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398636 */     // GIR_Coverage, 7320,
     /* 1398636 */     GIR_EraseRootFromParent_Done,
     /* 1398637 */   // Label 19812: @1398637
     /* 1398637 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1398723), // Rule ID 7321 //
     /* 1398642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398688 */     // MIs[0] policy
     /* 1398688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398722 */     // GIR_Coverage, 7321,
     /* 1398722 */     GIR_EraseRootFromParent_Done,
     /* 1398723 */   // Label 19813: @1398723
     /* 1398723 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1398809), // Rule ID 7324 //
     /* 1398728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398766 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398774 */     // MIs[0] policy
     /* 1398774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398808 */     // GIR_Coverage, 7324,
     /* 1398808 */     GIR_EraseRootFromParent_Done,
     /* 1398809 */   // Label 19814: @1398809
     /* 1398809 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1398895), // Rule ID 7325 //
     /* 1398814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398860 */     // MIs[0] policy
     /* 1398860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398870 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398894 */     // GIR_Coverage, 7325,
     /* 1398894 */     GIR_EraseRootFromParent_Done,
     /* 1398895 */   // Label 19815: @1398895
     /* 1398895 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1398983), // Rule ID 2638 //
     /* 1398900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398939 */     // MIs[0] Operand 5
     /* 1398939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398950 */     // MIs[0] policy
     /* 1398950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398982 */     // GIR_Coverage, 2638,
     /* 1398982 */     GIR_EraseRootFromParent_Done,
     /* 1398983 */   // Label 19816: @1398983
     /* 1398983 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1399071), // Rule ID 2639 //
     /* 1398988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399027 */     // MIs[0] Operand 5
     /* 1399027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399038 */     // MIs[0] policy
     /* 1399038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1399051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399070 */     // GIR_Coverage, 2639,
     /* 1399070 */     GIR_EraseRootFromParent_Done,
     /* 1399071 */   // Label 19817: @1399071
     /* 1399071 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1399159), // Rule ID 20522 //
     /* 1399076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399115 */     // MIs[0] Operand 5
     /* 1399115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399126 */     // MIs[0] policy
     /* 1399126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399158 */     // GIR_Coverage, 20522,
     /* 1399158 */     GIR_EraseRootFromParent_Done,
     /* 1399159 */   // Label 19818: @1399159
     /* 1399159 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1399247), // Rule ID 20523 //
     /* 1399164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399203 */     // MIs[0] Operand 5
     /* 1399203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399214 */     // MIs[0] policy
     /* 1399214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399246 */     // GIR_Coverage, 20523,
     /* 1399246 */     GIR_EraseRootFromParent_Done,
     /* 1399247 */   // Label 19819: @1399247
     /* 1399247 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1399335), // Rule ID 20526 //
     /* 1399252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399291 */     // MIs[0] Operand 5
     /* 1399291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399302 */     // MIs[0] policy
     /* 1399302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399334 */     // GIR_Coverage, 20526,
     /* 1399334 */     GIR_EraseRootFromParent_Done,
     /* 1399335 */   // Label 19820: @1399335
     /* 1399335 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1399423), // Rule ID 20527 //
     /* 1399340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399379 */     // MIs[0] Operand 5
     /* 1399379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399390 */     // MIs[0] policy
     /* 1399390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399422 */     // GIR_Coverage, 20527,
     /* 1399422 */     GIR_EraseRootFromParent_Done,
     /* 1399423 */   // Label 19821: @1399423
     /* 1399423 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1399511), // Rule ID 20530 //
     /* 1399428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399467 */     // MIs[0] Operand 5
     /* 1399467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399478 */     // MIs[0] policy
     /* 1399478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399510 */     // GIR_Coverage, 20530,
     /* 1399510 */     GIR_EraseRootFromParent_Done,
     /* 1399511 */   // Label 19822: @1399511
     /* 1399511 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1399599), // Rule ID 20531 //
     /* 1399516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399555 */     // MIs[0] Operand 5
     /* 1399555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399566 */     // MIs[0] policy
     /* 1399566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399598 */     // GIR_Coverage, 20531,
     /* 1399598 */     GIR_EraseRootFromParent_Done,
     /* 1399599 */   // Label 19823: @1399599
     /* 1399599 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1399687), // Rule ID 20534 //
     /* 1399604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399643 */     // MIs[0] Operand 5
     /* 1399643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399654 */     // MIs[0] policy
     /* 1399654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399686 */     // GIR_Coverage, 20534,
     /* 1399686 */     GIR_EraseRootFromParent_Done,
     /* 1399687 */   // Label 19824: @1399687
     /* 1399687 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1399775), // Rule ID 20535 //
     /* 1399692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399731 */     // MIs[0] Operand 5
     /* 1399731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399742 */     // MIs[0] policy
     /* 1399742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399774 */     // GIR_Coverage, 20535,
     /* 1399774 */     GIR_EraseRootFromParent_Done,
     /* 1399775 */   // Label 19825: @1399775
     /* 1399775 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1399863), // Rule ID 20538 //
     /* 1399780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399819 */     // MIs[0] Operand 5
     /* 1399819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399830 */     // MIs[0] policy
     /* 1399830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399862 */     // GIR_Coverage, 20538,
     /* 1399862 */     GIR_EraseRootFromParent_Done,
     /* 1399863 */   // Label 19826: @1399863
     /* 1399863 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1399951), // Rule ID 20539 //
     /* 1399868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399907 */     // MIs[0] Operand 5
     /* 1399907 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399918 */     // MIs[0] policy
     /* 1399918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399950 */     // GIR_Coverage, 20539,
     /* 1399950 */     GIR_EraseRootFromParent_Done,
     /* 1399951 */   // Label 19827: @1399951
     /* 1399951 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1400039), // Rule ID 20542 //
     /* 1399956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399995 */     // MIs[0] Operand 5
     /* 1399995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400006 */     // MIs[0] policy
     /* 1400006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400038 */     // GIR_Coverage, 20542,
     /* 1400038 */     GIR_EraseRootFromParent_Done,
     /* 1400039 */   // Label 19828: @1400039
     /* 1400039 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400127), // Rule ID 20543 //
     /* 1400044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1400055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1400058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400083 */     // MIs[0] Operand 5
     /* 1400083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400094 */     // MIs[0] policy
     /* 1400094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400126 */     // GIR_Coverage, 20543,
     /* 1400126 */     GIR_EraseRootFromParent_Done,
     /* 1400127 */   // Label 19829: @1400127
     /* 1400127 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1400215), // Rule ID 20546 //
     /* 1400132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400171 */     // MIs[0] Operand 5
     /* 1400171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400182 */     // MIs[0] policy
     /* 1400182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400214 */     // GIR_Coverage, 20546,
     /* 1400214 */     GIR_EraseRootFromParent_Done,
     /* 1400215 */   // Label 19830: @1400215
     /* 1400215 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1400303), // Rule ID 20547 //
     /* 1400220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400259 */     // MIs[0] Operand 5
     /* 1400259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400270 */     // MIs[0] policy
     /* 1400270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400302 */     // GIR_Coverage, 20547,
     /* 1400302 */     GIR_EraseRootFromParent_Done,
     /* 1400303 */   // Label 19831: @1400303
     /* 1400303 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1400391), // Rule ID 20550 //
     /* 1400308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1400328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400347 */     // MIs[0] Operand 5
     /* 1400347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400358 */     // MIs[0] policy
     /* 1400358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400390 */     // GIR_Coverage, 20550,
     /* 1400390 */     GIR_EraseRootFromParent_Done,
     /* 1400391 */   // Label 19832: @1400391
     /* 1400391 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1400479), // Rule ID 20551 //
     /* 1400396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1400416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400435 */     // MIs[0] Operand 5
     /* 1400435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400446 */     // MIs[0] policy
     /* 1400446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400478 */     // GIR_Coverage, 20551,
     /* 1400478 */     GIR_EraseRootFromParent_Done,
     /* 1400479 */   // Label 19833: @1400479
     /* 1400479 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1400567), // Rule ID 20554 //
     /* 1400484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400523 */     // MIs[0] Operand 5
     /* 1400523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400534 */     // MIs[0] policy
     /* 1400534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400566 */     // GIR_Coverage, 20554,
     /* 1400566 */     GIR_EraseRootFromParent_Done,
     /* 1400567 */   // Label 19834: @1400567
     /* 1400567 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1400655), // Rule ID 20555 //
     /* 1400572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400611 */     // MIs[0] Operand 5
     /* 1400611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400622 */     // MIs[0] policy
     /* 1400622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400654 */     // GIR_Coverage, 20555,
     /* 1400654 */     GIR_EraseRootFromParent_Done,
     /* 1400655 */   // Label 19835: @1400655
     /* 1400655 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1400743), // Rule ID 20558 //
     /* 1400660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400699 */     // MIs[0] Operand 5
     /* 1400699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400710 */     // MIs[0] policy
     /* 1400710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400742 */     // GIR_Coverage, 20558,
     /* 1400742 */     GIR_EraseRootFromParent_Done,
     /* 1400743 */   // Label 19836: @1400743
     /* 1400743 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1400831), // Rule ID 20559 //
     /* 1400748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400787 */     // MIs[0] Operand 5
     /* 1400787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400798 */     // MIs[0] policy
     /* 1400798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400830 */     // GIR_Coverage, 20559,
     /* 1400830 */     GIR_EraseRootFromParent_Done,
     /* 1400831 */   // Label 19837: @1400831
     /* 1400831 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1400919), // Rule ID 20562 //
     /* 1400836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400875 */     // MIs[0] Operand 5
     /* 1400875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400886 */     // MIs[0] policy
     /* 1400886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400918 */     // GIR_Coverage, 20562,
     /* 1400918 */     GIR_EraseRootFromParent_Done,
     /* 1400919 */   // Label 19838: @1400919
     /* 1400919 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1401007), // Rule ID 20563 //
     /* 1400924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400963 */     // MIs[0] Operand 5
     /* 1400963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400974 */     // MIs[0] policy
     /* 1400974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401006 */     // GIR_Coverage, 20563,
     /* 1401006 */     GIR_EraseRootFromParent_Done,
     /* 1401007 */   // Label 19839: @1401007
     /* 1401007 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401095), // Rule ID 20566 //
     /* 1401012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401051 */     // MIs[0] Operand 5
     /* 1401051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401062 */     // MIs[0] policy
     /* 1401062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1401075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401094 */     // GIR_Coverage, 20566,
     /* 1401094 */     GIR_EraseRootFromParent_Done,
     /* 1401095 */   // Label 19840: @1401095
     /* 1401095 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1401183), // Rule ID 20567 //
     /* 1401100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401139 */     // MIs[0] Operand 5
     /* 1401139 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401150 */     // MIs[0] policy
     /* 1401150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1401163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401182 */     // GIR_Coverage, 20567,
     /* 1401182 */     GIR_EraseRootFromParent_Done,
     /* 1401183 */   // Label 19841: @1401183
     /* 1401183 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1401271), // Rule ID 20570 //
     /* 1401188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401227 */     // MIs[0] Operand 5
     /* 1401227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401238 */     // MIs[0] policy
     /* 1401238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1401251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401270 */     // GIR_Coverage, 20570,
     /* 1401270 */     GIR_EraseRootFromParent_Done,
     /* 1401271 */   // Label 19842: @1401271
     /* 1401271 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1401359), // Rule ID 20571 //
     /* 1401276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401315 */     // MIs[0] Operand 5
     /* 1401315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401326 */     // MIs[0] policy
     /* 1401326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1401339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401358 */     // GIR_Coverage, 20571,
     /* 1401358 */     GIR_EraseRootFromParent_Done,
     /* 1401359 */   // Label 19843: @1401359
     /* 1401359 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1401447), // Rule ID 20574 //
     /* 1401364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401403 */     // MIs[0] Operand 5
     /* 1401403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401414 */     // MIs[0] policy
     /* 1401414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401446 */     // GIR_Coverage, 20574,
     /* 1401446 */     GIR_EraseRootFromParent_Done,
     /* 1401447 */   // Label 19844: @1401447
     /* 1401447 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1401535), // Rule ID 20575 //
     /* 1401452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401491 */     // MIs[0] Operand 5
     /* 1401491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401502 */     // MIs[0] policy
     /* 1401502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401534 */     // GIR_Coverage, 20575,
     /* 1401534 */     GIR_EraseRootFromParent_Done,
     /* 1401535 */   // Label 19845: @1401535
     /* 1401535 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1401623), // Rule ID 20578 //
     /* 1401540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401579 */     // MIs[0] Operand 5
     /* 1401579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401590 */     // MIs[0] policy
     /* 1401590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401622 */     // GIR_Coverage, 20578,
     /* 1401622 */     GIR_EraseRootFromParent_Done,
     /* 1401623 */   // Label 19846: @1401623
     /* 1401623 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1401711), // Rule ID 20579 //
     /* 1401628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401667 */     // MIs[0] Operand 5
     /* 1401667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401678 */     // MIs[0] policy
     /* 1401678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401710 */     // GIR_Coverage, 20579,
     /* 1401710 */     GIR_EraseRootFromParent_Done,
     /* 1401711 */   // Label 19847: @1401711
     /* 1401711 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1401799), // Rule ID 20582 //
     /* 1401716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401755 */     // MIs[0] Operand 5
     /* 1401755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401766 */     // MIs[0] policy
     /* 1401766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401798 */     // GIR_Coverage, 20582,
     /* 1401798 */     GIR_EraseRootFromParent_Done,
     /* 1401799 */   // Label 19848: @1401799
     /* 1401799 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1401887), // Rule ID 20583 //
     /* 1401804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401843 */     // MIs[0] Operand 5
     /* 1401843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401854 */     // MIs[0] policy
     /* 1401854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401886 */     // GIR_Coverage, 20583,
     /* 1401886 */     GIR_EraseRootFromParent_Done,
     /* 1401887 */   // Label 19849: @1401887
     /* 1401887 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1401975), // Rule ID 20586 //
     /* 1401892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401931 */     // MIs[0] Operand 5
     /* 1401931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401942 */     // MIs[0] policy
     /* 1401942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401974 */     // GIR_Coverage, 20586,
     /* 1401974 */     GIR_EraseRootFromParent_Done,
     /* 1401975 */   // Label 19850: @1401975
     /* 1401975 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1402063), // Rule ID 20587 //
     /* 1401980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402019 */     // MIs[0] Operand 5
     /* 1402019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402030 */     // MIs[0] policy
     /* 1402030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1402043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402062 */     // GIR_Coverage, 20587,
     /* 1402062 */     GIR_EraseRootFromParent_Done,
     /* 1402063 */   // Label 19851: @1402063
     /* 1402063 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402151), // Rule ID 20590 //
     /* 1402068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402107 */     // MIs[0] Operand 5
     /* 1402107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402118 */     // MIs[0] policy
     /* 1402118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402150 */     // GIR_Coverage, 20590,
     /* 1402150 */     GIR_EraseRootFromParent_Done,
     /* 1402151 */   // Label 19852: @1402151
     /* 1402151 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1402239), // Rule ID 20591 //
     /* 1402156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402195 */     // MIs[0] Operand 5
     /* 1402195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402206 */     // MIs[0] policy
     /* 1402206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402238 */     // GIR_Coverage, 20591,
     /* 1402238 */     GIR_EraseRootFromParent_Done,
     /* 1402239 */   // Label 19853: @1402239
     /* 1402239 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1402327), // Rule ID 20594 //
     /* 1402244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402283 */     // MIs[0] Operand 5
     /* 1402283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402294 */     // MIs[0] policy
     /* 1402294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402326 */     // GIR_Coverage, 20594,
     /* 1402326 */     GIR_EraseRootFromParent_Done,
     /* 1402327 */   // Label 19854: @1402327
     /* 1402327 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1402415), // Rule ID 20595 //
     /* 1402332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402371 */     // MIs[0] Operand 5
     /* 1402371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402382 */     // MIs[0] policy
     /* 1402382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402414 */     // GIR_Coverage, 20595,
     /* 1402414 */     GIR_EraseRootFromParent_Done,
     /* 1402415 */   // Label 19855: @1402415
     /* 1402415 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1402503), // Rule ID 20598 //
     /* 1402420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402459 */     // MIs[0] Operand 5
     /* 1402459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402470 */     // MIs[0] policy
     /* 1402470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402502 */     // GIR_Coverage, 20598,
     /* 1402502 */     GIR_EraseRootFromParent_Done,
     /* 1402503 */   // Label 19856: @1402503
     /* 1402503 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1402591), // Rule ID 20599 //
     /* 1402508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402547 */     // MIs[0] Operand 5
     /* 1402547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402558 */     // MIs[0] policy
     /* 1402558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402590 */     // GIR_Coverage, 20599,
     /* 1402590 */     GIR_EraseRootFromParent_Done,
     /* 1402591 */   // Label 19857: @1402591
     /* 1402591 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1402679), // Rule ID 20602 //
     /* 1402596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402635 */     // MIs[0] Operand 5
     /* 1402635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402646 */     // MIs[0] policy
     /* 1402646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402678 */     // GIR_Coverage, 20602,
     /* 1402678 */     GIR_EraseRootFromParent_Done,
     /* 1402679 */   // Label 19858: @1402679
     /* 1402679 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1402767), // Rule ID 20603 //
     /* 1402684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402723 */     // MIs[0] Operand 5
     /* 1402723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402734 */     // MIs[0] policy
     /* 1402734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402766 */     // GIR_Coverage, 20603,
     /* 1402766 */     GIR_EraseRootFromParent_Done,
     /* 1402767 */   // Label 19859: @1402767
     /* 1402767 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1402855), // Rule ID 20606 //
     /* 1402772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402811 */     // MIs[0] Operand 5
     /* 1402811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402822 */     // MIs[0] policy
     /* 1402822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402854 */     // GIR_Coverage, 20606,
     /* 1402854 */     GIR_EraseRootFromParent_Done,
     /* 1402855 */   // Label 19860: @1402855
     /* 1402855 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1402943), // Rule ID 20607 //
     /* 1402860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402899 */     // MIs[0] Operand 5
     /* 1402899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402910 */     // MIs[0] policy
     /* 1402910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402942 */     // GIR_Coverage, 20607,
     /* 1402942 */     GIR_EraseRootFromParent_Done,
     /* 1402943 */   // Label 19861: @1402943
     /* 1402943 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1403031), // Rule ID 20610 //
     /* 1402948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402987 */     // MIs[0] Operand 5
     /* 1402987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402998 */     // MIs[0] policy
     /* 1402998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403008 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403030 */     // GIR_Coverage, 20610,
     /* 1403030 */     GIR_EraseRootFromParent_Done,
     /* 1403031 */   // Label 19862: @1403031
     /* 1403031 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403119), // Rule ID 20611 //
     /* 1403036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1403047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1403050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1403053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1403056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403075 */     // MIs[0] Operand 5
     /* 1403075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403086 */     // MIs[0] policy
     /* 1403086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403118 */     // GIR_Coverage, 20611,
     /* 1403118 */     GIR_EraseRootFromParent_Done,
     /* 1403119 */   // Label 19863: @1403119
     /* 1403119 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1403207), // Rule ID 20614 //
     /* 1403124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403163 */     // MIs[0] Operand 5
     /* 1403163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403174 */     // MIs[0] policy
     /* 1403174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403206 */     // GIR_Coverage, 20614,
     /* 1403206 */     GIR_EraseRootFromParent_Done,
     /* 1403207 */   // Label 19864: @1403207
     /* 1403207 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1403295), // Rule ID 20615 //
     /* 1403212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403251 */     // MIs[0] Operand 5
     /* 1403251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403262 */     // MIs[0] policy
     /* 1403262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403294 */     // GIR_Coverage, 20615,
     /* 1403294 */     GIR_EraseRootFromParent_Done,
     /* 1403295 */   // Label 19865: @1403295
     /* 1403295 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1403383), // Rule ID 20618 //
     /* 1403300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403339 */     // MIs[0] Operand 5
     /* 1403339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403350 */     // MIs[0] policy
     /* 1403350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403382 */     // GIR_Coverage, 20618,
     /* 1403382 */     GIR_EraseRootFromParent_Done,
     /* 1403383 */   // Label 19866: @1403383
     /* 1403383 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1403471), // Rule ID 20619 //
     /* 1403388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403427 */     // MIs[0] Operand 5
     /* 1403427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403438 */     // MIs[0] policy
     /* 1403438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403470 */     // GIR_Coverage, 20619,
     /* 1403470 */     GIR_EraseRootFromParent_Done,
     /* 1403471 */   // Label 19867: @1403471
     /* 1403471 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1403559), // Rule ID 20622 //
     /* 1403476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403515 */     // MIs[0] Operand 5
     /* 1403515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403526 */     // MIs[0] policy
     /* 1403526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403558 */     // GIR_Coverage, 20622,
     /* 1403558 */     GIR_EraseRootFromParent_Done,
     /* 1403559 */   // Label 19868: @1403559
     /* 1403559 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1403647), // Rule ID 20623 //
     /* 1403564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403603 */     // MIs[0] Operand 5
     /* 1403603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403614 */     // MIs[0] policy
     /* 1403614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403646 */     // GIR_Coverage, 20623,
     /* 1403646 */     GIR_EraseRootFromParent_Done,
     /* 1403647 */   // Label 19869: @1403647
     /* 1403647 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1403735), // Rule ID 20626 //
     /* 1403652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403691 */     // MIs[0] Operand 5
     /* 1403691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403702 */     // MIs[0] policy
     /* 1403702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403734 */     // GIR_Coverage, 20626,
     /* 1403734 */     GIR_EraseRootFromParent_Done,
     /* 1403735 */   // Label 19870: @1403735
     /* 1403735 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1403823), // Rule ID 20627 //
     /* 1403740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403779 */     // MIs[0] Operand 5
     /* 1403779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403790 */     // MIs[0] policy
     /* 1403790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403822 */     // GIR_Coverage, 20627,
     /* 1403822 */     GIR_EraseRootFromParent_Done,
     /* 1403823 */   // Label 19871: @1403823
     /* 1403823 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1403911), // Rule ID 20630 //
     /* 1403828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403867 */     // MIs[0] Operand 5
     /* 1403867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403878 */     // MIs[0] policy
     /* 1403878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403888 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403910 */     // GIR_Coverage, 20630,
     /* 1403910 */     GIR_EraseRootFromParent_Done,
     /* 1403911 */   // Label 19872: @1403911
     /* 1403911 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1403999), // Rule ID 20631 //
     /* 1403916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403955 */     // MIs[0] Operand 5
     /* 1403955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403966 */     // MIs[0] policy
     /* 1403966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403976 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403998 */     // GIR_Coverage, 20631,
     /* 1403998 */     GIR_EraseRootFromParent_Done,
     /* 1403999 */   // Label 19873: @1403999
     /* 1403999 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404087), // Rule ID 20634 //
     /* 1404004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1404007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1404012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404043 */     // MIs[0] Operand 5
     /* 1404043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404054 */     // MIs[0] policy
     /* 1404054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1404067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404086 */     // GIR_Coverage, 20634,
     /* 1404086 */     GIR_EraseRootFromParent_Done,
     /* 1404087 */   // Label 19874: @1404087
     /* 1404087 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1404175), // Rule ID 20635 //
     /* 1404092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1404095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1404100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404131 */     // MIs[0] Operand 5
     /* 1404131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404142 */     // MIs[0] policy
     /* 1404142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1404155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404174 */     // GIR_Coverage, 20635,
     /* 1404174 */     GIR_EraseRootFromParent_Done,
     /* 1404175 */   // Label 19875: @1404175
     /* 1404175 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1404263), // Rule ID 20994 //
     /* 1404180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404219 */     // MIs[0] Operand 5
     /* 1404219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404230 */     // MIs[0] policy
     /* 1404230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1404243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404262 */     // GIR_Coverage, 20994,
     /* 1404262 */     GIR_EraseRootFromParent_Done,
     /* 1404263 */   // Label 19876: @1404263
     /* 1404263 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1404351), // Rule ID 20995 //
     /* 1404268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404307 */     // MIs[0] Operand 5
     /* 1404307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404318 */     // MIs[0] policy
     /* 1404318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1404331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404350 */     // GIR_Coverage, 20995,
     /* 1404350 */     GIR_EraseRootFromParent_Done,
     /* 1404351 */   // Label 19877: @1404351
     /* 1404351 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1404439), // Rule ID 20998 //
     /* 1404356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404395 */     // MIs[0] Operand 5
     /* 1404395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404406 */     // MIs[0] policy
     /* 1404406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404438 */     // GIR_Coverage, 20998,
     /* 1404438 */     GIR_EraseRootFromParent_Done,
     /* 1404439 */   // Label 19878: @1404439
     /* 1404439 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1404527), // Rule ID 20999 //
     /* 1404444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404483 */     // MIs[0] Operand 5
     /* 1404483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404494 */     // MIs[0] policy
     /* 1404494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404526 */     // GIR_Coverage, 20999,
     /* 1404526 */     GIR_EraseRootFromParent_Done,
     /* 1404527 */   // Label 19879: @1404527
     /* 1404527 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1404615), // Rule ID 21002 //
     /* 1404532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404571 */     // MIs[0] Operand 5
     /* 1404571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404582 */     // MIs[0] policy
     /* 1404582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404614 */     // GIR_Coverage, 21002,
     /* 1404614 */     GIR_EraseRootFromParent_Done,
     /* 1404615 */   // Label 19880: @1404615
     /* 1404615 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1404703), // Rule ID 21003 //
     /* 1404620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404659 */     // MIs[0] Operand 5
     /* 1404659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404670 */     // MIs[0] policy
     /* 1404670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404702 */     // GIR_Coverage, 21003,
     /* 1404702 */     GIR_EraseRootFromParent_Done,
     /* 1404703 */   // Label 19881: @1404703
     /* 1404703 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1404791), // Rule ID 21006 //
     /* 1404708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404747 */     // MIs[0] Operand 5
     /* 1404747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404758 */     // MIs[0] policy
     /* 1404758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404790 */     // GIR_Coverage, 21006,
     /* 1404790 */     GIR_EraseRootFromParent_Done,
     /* 1404791 */   // Label 19882: @1404791
     /* 1404791 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1404879), // Rule ID 21007 //
     /* 1404796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404835 */     // MIs[0] Operand 5
     /* 1404835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404846 */     // MIs[0] policy
     /* 1404846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404878 */     // GIR_Coverage, 21007,
     /* 1404878 */     GIR_EraseRootFromParent_Done,
     /* 1404879 */   // Label 19883: @1404879
     /* 1404879 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1404967), // Rule ID 21010 //
     /* 1404884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404923 */     // MIs[0] Operand 5
     /* 1404923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404934 */     // MIs[0] policy
     /* 1404934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404966 */     // GIR_Coverage, 21010,
     /* 1404966 */     GIR_EraseRootFromParent_Done,
     /* 1404967 */   // Label 19884: @1404967
     /* 1404967 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1405055), // Rule ID 21011 //
     /* 1404972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405011 */     // MIs[0] Operand 5
     /* 1405011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405022 */     // MIs[0] policy
     /* 1405022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405054 */     // GIR_Coverage, 21011,
     /* 1405054 */     GIR_EraseRootFromParent_Done,
     /* 1405055 */   // Label 19885: @1405055
     /* 1405055 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405143), // Rule ID 21014 //
     /* 1405060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405099 */     // MIs[0] Operand 5
     /* 1405099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405110 */     // MIs[0] policy
     /* 1405110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1405123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405142 */     // GIR_Coverage, 21014,
     /* 1405142 */     GIR_EraseRootFromParent_Done,
     /* 1405143 */   // Label 19886: @1405143
     /* 1405143 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1405231), // Rule ID 21015 //
     /* 1405148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405187 */     // MIs[0] Operand 5
     /* 1405187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405198 */     // MIs[0] policy
     /* 1405198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1405211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405230 */     // GIR_Coverage, 21015,
     /* 1405230 */     GIR_EraseRootFromParent_Done,
     /* 1405231 */   // Label 19887: @1405231
     /* 1405231 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1405319), // Rule ID 21018 //
     /* 1405236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405275 */     // MIs[0] Operand 5
     /* 1405275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405286 */     // MIs[0] policy
     /* 1405286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1405299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405318 */     // GIR_Coverage, 21018,
     /* 1405318 */     GIR_EraseRootFromParent_Done,
     /* 1405319 */   // Label 19888: @1405319
     /* 1405319 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1405407), // Rule ID 21019 //
     /* 1405324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405363 */     // MIs[0] Operand 5
     /* 1405363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405374 */     // MIs[0] policy
     /* 1405374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1405387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405406 */     // GIR_Coverage, 21019,
     /* 1405406 */     GIR_EraseRootFromParent_Done,
     /* 1405407 */   // Label 19889: @1405407
     /* 1405407 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1405495), // Rule ID 21022 //
     /* 1405412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405451 */     // MIs[0] Operand 5
     /* 1405451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405462 */     // MIs[0] policy
     /* 1405462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405494 */     // GIR_Coverage, 21022,
     /* 1405494 */     GIR_EraseRootFromParent_Done,
     /* 1405495 */   // Label 19890: @1405495
     /* 1405495 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1405583), // Rule ID 21023 //
     /* 1405500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405539 */     // MIs[0] Operand 5
     /* 1405539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405550 */     // MIs[0] policy
     /* 1405550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405582 */     // GIR_Coverage, 21023,
     /* 1405582 */     GIR_EraseRootFromParent_Done,
     /* 1405583 */   // Label 19891: @1405583
     /* 1405583 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1405671), // Rule ID 21026 //
     /* 1405588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405627 */     // MIs[0] Operand 5
     /* 1405627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405638 */     // MIs[0] policy
     /* 1405638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405670 */     // GIR_Coverage, 21026,
     /* 1405670 */     GIR_EraseRootFromParent_Done,
     /* 1405671 */   // Label 19892: @1405671
     /* 1405671 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1405759), // Rule ID 21027 //
     /* 1405676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405715 */     // MIs[0] Operand 5
     /* 1405715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405726 */     // MIs[0] policy
     /* 1405726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405758 */     // GIR_Coverage, 21027,
     /* 1405758 */     GIR_EraseRootFromParent_Done,
     /* 1405759 */   // Label 19893: @1405759
     /* 1405759 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1405847), // Rule ID 21030 //
     /* 1405764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405803 */     // MIs[0] Operand 5
     /* 1405803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405814 */     // MIs[0] policy
     /* 1405814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405846 */     // GIR_Coverage, 21030,
     /* 1405846 */     GIR_EraseRootFromParent_Done,
     /* 1405847 */   // Label 19894: @1405847
     /* 1405847 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1405935), // Rule ID 21031 //
     /* 1405852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405891 */     // MIs[0] Operand 5
     /* 1405891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405902 */     // MIs[0] policy
     /* 1405902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405934 */     // GIR_Coverage, 21031,
     /* 1405934 */     GIR_EraseRootFromParent_Done,
     /* 1405935 */   // Label 19895: @1405935
     /* 1405935 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1406023), // Rule ID 21034 //
     /* 1405940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405979 */     // MIs[0] Operand 5
     /* 1405979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405990 */     // MIs[0] policy
     /* 1405990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406022 */     // GIR_Coverage, 21034,
     /* 1406022 */     GIR_EraseRootFromParent_Done,
     /* 1406023 */   // Label 19896: @1406023
     /* 1406023 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406111), // Rule ID 21035 //
     /* 1406028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406067 */     // MIs[0] Operand 5
     /* 1406067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406078 */     // MIs[0] policy
     /* 1406078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406110 */     // GIR_Coverage, 21035,
     /* 1406110 */     GIR_EraseRootFromParent_Done,
     /* 1406111 */   // Label 19897: @1406111
     /* 1406111 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1406199), // Rule ID 21038 //
     /* 1406116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406155 */     // MIs[0] Operand 5
     /* 1406155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406166 */     // MIs[0] policy
     /* 1406166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406198 */     // GIR_Coverage, 21038,
     /* 1406198 */     GIR_EraseRootFromParent_Done,
     /* 1406199 */   // Label 19898: @1406199
     /* 1406199 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1406287), // Rule ID 21039 //
     /* 1406204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406243 */     // MIs[0] Operand 5
     /* 1406243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406254 */     // MIs[0] policy
     /* 1406254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406286 */     // GIR_Coverage, 21039,
     /* 1406286 */     GIR_EraseRootFromParent_Done,
     /* 1406287 */   // Label 19899: @1406287
     /* 1406287 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1406375), // Rule ID 21042 //
     /* 1406292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406331 */     // MIs[0] Operand 5
     /* 1406331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406342 */     // MIs[0] policy
     /* 1406342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406374 */     // GIR_Coverage, 21042,
     /* 1406374 */     GIR_EraseRootFromParent_Done,
     /* 1406375 */   // Label 19900: @1406375
     /* 1406375 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1406463), // Rule ID 21043 //
     /* 1406380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406419 */     // MIs[0] Operand 5
     /* 1406419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406430 */     // MIs[0] policy
     /* 1406430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406462 */     // GIR_Coverage, 21043,
     /* 1406462 */     GIR_EraseRootFromParent_Done,
     /* 1406463 */   // Label 19901: @1406463
     /* 1406463 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1406551), // Rule ID 21046 //
     /* 1406468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406507 */     // MIs[0] Operand 5
     /* 1406507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406518 */     // MIs[0] policy
     /* 1406518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406550 */     // GIR_Coverage, 21046,
     /* 1406550 */     GIR_EraseRootFromParent_Done,
     /* 1406551 */   // Label 19902: @1406551
     /* 1406551 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1406639), // Rule ID 21047 //
     /* 1406556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406595 */     // MIs[0] Operand 5
     /* 1406595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406606 */     // MIs[0] policy
     /* 1406606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406638 */     // GIR_Coverage, 21047,
     /* 1406638 */     GIR_EraseRootFromParent_Done,
     /* 1406639 */   // Label 19903: @1406639
     /* 1406639 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1406727), // Rule ID 21050 //
     /* 1406644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406683 */     // MIs[0] Operand 5
     /* 1406683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406694 */     // MIs[0] policy
     /* 1406694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406726 */     // GIR_Coverage, 21050,
     /* 1406726 */     GIR_EraseRootFromParent_Done,
     /* 1406727 */   // Label 19904: @1406727
     /* 1406727 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1406815), // Rule ID 21051 //
     /* 1406732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406771 */     // MIs[0] Operand 5
     /* 1406771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406782 */     // MIs[0] policy
     /* 1406782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406814 */     // GIR_Coverage, 21051,
     /* 1406814 */     GIR_EraseRootFromParent_Done,
     /* 1406815 */   // Label 19905: @1406815
     /* 1406815 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1406903), // Rule ID 21054 //
     /* 1406820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406859 */     // MIs[0] Operand 5
     /* 1406859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406870 */     // MIs[0] policy
     /* 1406870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406902 */     // GIR_Coverage, 21054,
     /* 1406902 */     GIR_EraseRootFromParent_Done,
     /* 1406903 */   // Label 19906: @1406903
     /* 1406903 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1406991), // Rule ID 21055 //
     /* 1406908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406947 */     // MIs[0] Operand 5
     /* 1406947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406958 */     // MIs[0] policy
     /* 1406958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406990 */     // GIR_Coverage, 21055,
     /* 1406990 */     GIR_EraseRootFromParent_Done,
     /* 1406991 */   // Label 19907: @1406991
     /* 1406991 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407079), // Rule ID 21058 //
     /* 1406996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407035 */     // MIs[0] Operand 5
     /* 1407035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407046 */     // MIs[0] policy
     /* 1407046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1407059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407078 */     // GIR_Coverage, 21058,
     /* 1407078 */     GIR_EraseRootFromParent_Done,
     /* 1407079 */   // Label 19908: @1407079
     /* 1407079 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1407167), // Rule ID 21059 //
     /* 1407084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1407087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407123 */     // MIs[0] Operand 5
     /* 1407123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407134 */     // MIs[0] policy
     /* 1407134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1407147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407166 */     // GIR_Coverage, 21059,
     /* 1407166 */     GIR_EraseRootFromParent_Done,
     /* 1407167 */   // Label 19909: @1407167
     /* 1407167 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1407255), // Rule ID 21062 //
     /* 1407172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1407175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407211 */     // MIs[0] Operand 5
     /* 1407211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407222 */     // MIs[0] policy
     /* 1407222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1407235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407254 */     // GIR_Coverage, 21062,
     /* 1407254 */     GIR_EraseRootFromParent_Done,
     /* 1407255 */   // Label 19910: @1407255
     /* 1407255 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1407343), // Rule ID 21063 //
     /* 1407260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1407263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1407268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1407271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1407274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407299 */     // MIs[0] Operand 5
     /* 1407299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407310 */     // MIs[0] policy
     /* 1407310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1407323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407342 */     // GIR_Coverage, 21063,
     /* 1407342 */     GIR_EraseRootFromParent_Done,
     /* 1407343 */   // Label 19911: @1407343
     /* 1407343 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1407431), // Rule ID 21366 //
     /* 1407348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407387 */     // MIs[0] Operand 5
     /* 1407387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407398 */     // MIs[0] policy
     /* 1407398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407430 */     // GIR_Coverage, 21366,
     /* 1407430 */     GIR_EraseRootFromParent_Done,
     /* 1407431 */   // Label 19912: @1407431
     /* 1407431 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1407519), // Rule ID 21367 //
     /* 1407436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407475 */     // MIs[0] Operand 5
     /* 1407475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407486 */     // MIs[0] policy
     /* 1407486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407518 */     // GIR_Coverage, 21367,
     /* 1407518 */     GIR_EraseRootFromParent_Done,
     /* 1407519 */   // Label 19913: @1407519
     /* 1407519 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1407607), // Rule ID 21370 //
     /* 1407524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407563 */     // MIs[0] Operand 5
     /* 1407563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407574 */     // MIs[0] policy
     /* 1407574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407606 */     // GIR_Coverage, 21370,
     /* 1407606 */     GIR_EraseRootFromParent_Done,
     /* 1407607 */   // Label 19914: @1407607
     /* 1407607 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1407695), // Rule ID 21371 //
     /* 1407612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407651 */     // MIs[0] Operand 5
     /* 1407651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407662 */     // MIs[0] policy
     /* 1407662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407694 */     // GIR_Coverage, 21371,
     /* 1407694 */     GIR_EraseRootFromParent_Done,
     /* 1407695 */   // Label 19915: @1407695
     /* 1407695 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1407783), // Rule ID 21374 //
     /* 1407700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407739 */     // MIs[0] Operand 5
     /* 1407739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407750 */     // MIs[0] policy
     /* 1407750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407760 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407782 */     // GIR_Coverage, 21374,
     /* 1407782 */     GIR_EraseRootFromParent_Done,
     /* 1407783 */   // Label 19916: @1407783
     /* 1407783 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1407871), // Rule ID 21375 //
     /* 1407788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407827 */     // MIs[0] Operand 5
     /* 1407827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407838 */     // MIs[0] policy
     /* 1407838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407870 */     // GIR_Coverage, 21375,
     /* 1407870 */     GIR_EraseRootFromParent_Done,
     /* 1407871 */   // Label 19917: @1407871
     /* 1407871 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1407959), // Rule ID 21378 //
     /* 1407876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407915 */     // MIs[0] Operand 5
     /* 1407915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407926 */     // MIs[0] policy
     /* 1407926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407958 */     // GIR_Coverage, 21378,
     /* 1407958 */     GIR_EraseRootFromParent_Done,
     /* 1407959 */   // Label 19918: @1407959
     /* 1407959 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1408047), // Rule ID 21379 //
     /* 1407964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408003 */     // MIs[0] Operand 5
     /* 1408003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408014 */     // MIs[0] policy
     /* 1408014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408046 */     // GIR_Coverage, 21379,
     /* 1408046 */     GIR_EraseRootFromParent_Done,
     /* 1408047 */   // Label 19919: @1408047
     /* 1408047 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408135), // Rule ID 21382 //
     /* 1408052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408091 */     // MIs[0] Operand 5
     /* 1408091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408102 */     // MIs[0] policy
     /* 1408102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408134 */     // GIR_Coverage, 21382,
     /* 1408134 */     GIR_EraseRootFromParent_Done,
     /* 1408135 */   // Label 19920: @1408135
     /* 1408135 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1408223), // Rule ID 21383 //
     /* 1408140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408179 */     // MIs[0] Operand 5
     /* 1408179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408190 */     // MIs[0] policy
     /* 1408190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408222 */     // GIR_Coverage, 21383,
     /* 1408222 */     GIR_EraseRootFromParent_Done,
     /* 1408223 */   // Label 19921: @1408223
     /* 1408223 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1408311), // Rule ID 21386 //
     /* 1408228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1408248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408267 */     // MIs[0] Operand 5
     /* 1408267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408278 */     // MIs[0] policy
     /* 1408278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408310 */     // GIR_Coverage, 21386,
     /* 1408310 */     GIR_EraseRootFromParent_Done,
     /* 1408311 */   // Label 19922: @1408311
     /* 1408311 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1408399), // Rule ID 21387 //
     /* 1408316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1408336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408355 */     // MIs[0] Operand 5
     /* 1408355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408366 */     // MIs[0] policy
     /* 1408366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408398 */     // GIR_Coverage, 21387,
     /* 1408398 */     GIR_EraseRootFromParent_Done,
     /* 1408399 */   // Label 19923: @1408399
     /* 1408399 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1408487), // Rule ID 21390 //
     /* 1408404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408443 */     // MIs[0] Operand 5
     /* 1408443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408454 */     // MIs[0] policy
     /* 1408454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408486 */     // GIR_Coverage, 21390,
     /* 1408486 */     GIR_EraseRootFromParent_Done,
     /* 1408487 */   // Label 19924: @1408487
     /* 1408487 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1408575), // Rule ID 21391 //
     /* 1408492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408531 */     // MIs[0] Operand 5
     /* 1408531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408542 */     // MIs[0] policy
     /* 1408542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408574 */     // GIR_Coverage, 21391,
     /* 1408574 */     GIR_EraseRootFromParent_Done,
     /* 1408575 */   // Label 19925: @1408575
     /* 1408575 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1408663), // Rule ID 21394 //
     /* 1408580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408619 */     // MIs[0] Operand 5
     /* 1408619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408630 */     // MIs[0] policy
     /* 1408630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408662 */     // GIR_Coverage, 21394,
     /* 1408662 */     GIR_EraseRootFromParent_Done,
     /* 1408663 */   // Label 19926: @1408663
     /* 1408663 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1408751), // Rule ID 21395 //
     /* 1408668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408707 */     // MIs[0] Operand 5
     /* 1408707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408718 */     // MIs[0] policy
     /* 1408718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408750 */     // GIR_Coverage, 21395,
     /* 1408750 */     GIR_EraseRootFromParent_Done,
     /* 1408751 */   // Label 19927: @1408751
     /* 1408751 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1408839), // Rule ID 21398 //
     /* 1408756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408795 */     // MIs[0] Operand 5
     /* 1408795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408806 */     // MIs[0] policy
     /* 1408806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408838 */     // GIR_Coverage, 21398,
     /* 1408838 */     GIR_EraseRootFromParent_Done,
     /* 1408839 */   // Label 19928: @1408839
     /* 1408839 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1408927), // Rule ID 21399 //
     /* 1408844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408883 */     // MIs[0] Operand 5
     /* 1408883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408894 */     // MIs[0] policy
     /* 1408894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408926 */     // GIR_Coverage, 21399,
     /* 1408926 */     GIR_EraseRootFromParent_Done,
     /* 1408927 */   // Label 19929: @1408927
     /* 1408927 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1409015), // Rule ID 21402 //
     /* 1408932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408971 */     // MIs[0] Operand 5
     /* 1408971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408982 */     // MIs[0] policy
     /* 1408982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409014 */     // GIR_Coverage, 21402,
     /* 1409014 */     GIR_EraseRootFromParent_Done,
     /* 1409015 */   // Label 19930: @1409015
     /* 1409015 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409103), // Rule ID 21403 //
     /* 1409020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409059 */     // MIs[0] Operand 5
     /* 1409059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409070 */     // MIs[0] policy
     /* 1409070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409102 */     // GIR_Coverage, 21403,
     /* 1409102 */     GIR_EraseRootFromParent_Done,
     /* 1409103 */   // Label 19931: @1409103
     /* 1409103 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1409191), // Rule ID 21406 //
     /* 1409108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409147 */     // MIs[0] Operand 5
     /* 1409147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409158 */     // MIs[0] policy
     /* 1409158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409190 */     // GIR_Coverage, 21406,
     /* 1409190 */     GIR_EraseRootFromParent_Done,
     /* 1409191 */   // Label 19932: @1409191
     /* 1409191 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1409279), // Rule ID 21407 //
     /* 1409196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409235 */     // MIs[0] Operand 5
     /* 1409235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409246 */     // MIs[0] policy
     /* 1409246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409278 */     // GIR_Coverage, 21407,
     /* 1409278 */     GIR_EraseRootFromParent_Done,
     /* 1409279 */   // Label 19933: @1409279
     /* 1409279 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1409367), // Rule ID 21410 //
     /* 1409284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409323 */     // MIs[0] Operand 5
     /* 1409323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409334 */     // MIs[0] policy
     /* 1409334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409366 */     // GIR_Coverage, 21410,
     /* 1409366 */     GIR_EraseRootFromParent_Done,
     /* 1409367 */   // Label 19934: @1409367
     /* 1409367 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1409455), // Rule ID 21411 //
     /* 1409372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409411 */     // MIs[0] Operand 5
     /* 1409411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409422 */     // MIs[0] policy
     /* 1409422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409454 */     // GIR_Coverage, 21411,
     /* 1409454 */     GIR_EraseRootFromParent_Done,
     /* 1409455 */   // Label 19935: @1409455
     /* 1409455 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1409543), // Rule ID 21414 //
     /* 1409460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409499 */     // MIs[0] Operand 5
     /* 1409499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409510 */     // MIs[0] policy
     /* 1409510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409542 */     // GIR_Coverage, 21414,
     /* 1409542 */     GIR_EraseRootFromParent_Done,
     /* 1409543 */   // Label 19936: @1409543
     /* 1409543 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1409631), // Rule ID 21415 //
     /* 1409548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409587 */     // MIs[0] Operand 5
     /* 1409587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409598 */     // MIs[0] policy
     /* 1409598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409630 */     // GIR_Coverage, 21415,
     /* 1409630 */     GIR_EraseRootFromParent_Done,
     /* 1409631 */   // Label 19937: @1409631
     /* 1409631 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1409719), // Rule ID 21418 //
     /* 1409636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409675 */     // MIs[0] Operand 5
     /* 1409675 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409686 */     // MIs[0] policy
     /* 1409686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409718 */     // GIR_Coverage, 21418,
     /* 1409718 */     GIR_EraseRootFromParent_Done,
     /* 1409719 */   // Label 19938: @1409719
     /* 1409719 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1409807), // Rule ID 21419 //
     /* 1409724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409763 */     // MIs[0] Operand 5
     /* 1409763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409774 */     // MIs[0] policy
     /* 1409774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409806 */     // GIR_Coverage, 21419,
     /* 1409806 */     GIR_EraseRootFromParent_Done,
     /* 1409807 */   // Label 19939: @1409807
     /* 1409807 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1409895), // Rule ID 21422 //
     /* 1409812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409851 */     // MIs[0] Operand 5
     /* 1409851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409862 */     // MIs[0] policy
     /* 1409862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409894 */     // GIR_Coverage, 21422,
     /* 1409894 */     GIR_EraseRootFromParent_Done,
     /* 1409895 */   // Label 19940: @1409895
     /* 1409895 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1409983), // Rule ID 21423 //
     /* 1409900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409939 */     // MIs[0] Operand 5
     /* 1409939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409950 */     // MIs[0] policy
     /* 1409950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409982 */     // GIR_Coverage, 21423,
     /* 1409982 */     GIR_EraseRootFromParent_Done,
     /* 1409983 */   // Label 19941: @1409983
     /* 1409983 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1410071), // Rule ID 21426 //
     /* 1409988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410027 */     // MIs[0] Operand 5
     /* 1410027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410038 */     // MIs[0] policy
     /* 1410038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1410051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410070 */     // GIR_Coverage, 21426,
     /* 1410070 */     GIR_EraseRootFromParent_Done,
     /* 1410071 */   // Label 19942: @1410071
     /* 1410071 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1410159), // Rule ID 21427 //
     /* 1410076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1410087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410115 */     // MIs[0] Operand 5
     /* 1410115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410126 */     // MIs[0] policy
     /* 1410126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1410139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410158 */     // GIR_Coverage, 21427,
     /* 1410158 */     GIR_EraseRootFromParent_Done,
     /* 1410159 */   // Label 19943: @1410159
     /* 1410159 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1410247), // Rule ID 21430 //
     /* 1410164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410203 */     // MIs[0] Operand 5
     /* 1410203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410214 */     // MIs[0] policy
     /* 1410214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410246 */     // GIR_Coverage, 21430,
     /* 1410246 */     GIR_EraseRootFromParent_Done,
     /* 1410247 */   // Label 19944: @1410247
     /* 1410247 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1410335), // Rule ID 21431 //
     /* 1410252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410291 */     // MIs[0] Operand 5
     /* 1410291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410302 */     // MIs[0] policy
     /* 1410302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410312 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410334 */     // GIR_Coverage, 21431,
     /* 1410334 */     GIR_EraseRootFromParent_Done,
     /* 1410335 */   // Label 19945: @1410335
     /* 1410335 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1410423), // Rule ID 21434 //
     /* 1410340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410379 */     // MIs[0] Operand 5
     /* 1410379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410390 */     // MIs[0] policy
     /* 1410390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410422 */     // GIR_Coverage, 21434,
     /* 1410422 */     GIR_EraseRootFromParent_Done,
     /* 1410423 */   // Label 19946: @1410423
     /* 1410423 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1410511), // Rule ID 21435 //
     /* 1410428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410467 */     // MIs[0] Operand 5
     /* 1410467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410478 */     // MIs[0] policy
     /* 1410478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410510 */     // GIR_Coverage, 21435,
     /* 1410510 */     GIR_EraseRootFromParent_Done,
     /* 1410511 */   // Label 19947: @1410511
     /* 1410511 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1410599), // Rule ID 21438 //
     /* 1410516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410555 */     // MIs[0] Operand 5
     /* 1410555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410566 */     // MIs[0] policy
     /* 1410566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410598 */     // GIR_Coverage, 21438,
     /* 1410598 */     GIR_EraseRootFromParent_Done,
     /* 1410599 */   // Label 19948: @1410599
     /* 1410599 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1410687), // Rule ID 21439 //
     /* 1410604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410643 */     // MIs[0] Operand 5
     /* 1410643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410654 */     // MIs[0] policy
     /* 1410654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410686 */     // GIR_Coverage, 21439,
     /* 1410686 */     GIR_EraseRootFromParent_Done,
     /* 1410687 */   // Label 19949: @1410687
     /* 1410687 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1410775), // Rule ID 21442 //
     /* 1410692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410731 */     // MIs[0] Operand 5
     /* 1410731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410742 */     // MIs[0] policy
     /* 1410742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410774 */     // GIR_Coverage, 21442,
     /* 1410774 */     GIR_EraseRootFromParent_Done,
     /* 1410775 */   // Label 19950: @1410775
     /* 1410775 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1410863), // Rule ID 21443 //
     /* 1410780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410819 */     // MIs[0] Operand 5
     /* 1410819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410830 */     // MIs[0] policy
     /* 1410830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410862 */     // GIR_Coverage, 21443,
     /* 1410862 */     GIR_EraseRootFromParent_Done,
     /* 1410863 */   // Label 19951: @1410863
     /* 1410863 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1410951), // Rule ID 21446 //
     /* 1410868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410907 */     // MIs[0] Operand 5
     /* 1410907 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410918 */     // MIs[0] policy
     /* 1410918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410950 */     // GIR_Coverage, 21446,
     /* 1410950 */     GIR_EraseRootFromParent_Done,
     /* 1410951 */   // Label 19952: @1410951
     /* 1410951 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1411039), // Rule ID 21447 //
     /* 1410956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410995 */     // MIs[0] Operand 5
     /* 1410995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411006 */     // MIs[0] policy
     /* 1411006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411038 */     // GIR_Coverage, 21447,
     /* 1411038 */     GIR_EraseRootFromParent_Done,
     /* 1411039 */   // Label 19953: @1411039
     /* 1411039 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1411127), // Rule ID 21450 //
     /* 1411044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411083 */     // MIs[0] Operand 5
     /* 1411083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411094 */     // MIs[0] policy
     /* 1411094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1411107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411126 */     // GIR_Coverage, 21450,
     /* 1411126 */     GIR_EraseRootFromParent_Done,
     /* 1411127 */   // Label 19954: @1411127
     /* 1411127 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1411215), // Rule ID 21451 //
     /* 1411132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411171 */     // MIs[0] Operand 5
     /* 1411171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411182 */     // MIs[0] policy
     /* 1411182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1411195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411214 */     // GIR_Coverage, 21451,
     /* 1411214 */     GIR_EraseRootFromParent_Done,
     /* 1411215 */   // Label 19955: @1411215
     /* 1411215 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1411303), // Rule ID 21454 //
     /* 1411220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411259 */     // MIs[0] Operand 5
     /* 1411259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411270 */     // MIs[0] policy
     /* 1411270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411302 */     // GIR_Coverage, 21454,
     /* 1411302 */     GIR_EraseRootFromParent_Done,
     /* 1411303 */   // Label 19956: @1411303
     /* 1411303 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1411391), // Rule ID 21455 //
     /* 1411308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411347 */     // MIs[0] Operand 5
     /* 1411347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411358 */     // MIs[0] policy
     /* 1411358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411390 */     // GIR_Coverage, 21455,
     /* 1411390 */     GIR_EraseRootFromParent_Done,
     /* 1411391 */   // Label 19957: @1411391
     /* 1411391 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1411479), // Rule ID 21458 //
     /* 1411396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411435 */     // MIs[0] Operand 5
     /* 1411435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411446 */     // MIs[0] policy
     /* 1411446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411478 */     // GIR_Coverage, 21458,
     /* 1411478 */     GIR_EraseRootFromParent_Done,
     /* 1411479 */   // Label 19958: @1411479
     /* 1411479 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1411567), // Rule ID 21459 //
     /* 1411484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411523 */     // MIs[0] Operand 5
     /* 1411523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411534 */     // MIs[0] policy
     /* 1411534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411566 */     // GIR_Coverage, 21459,
     /* 1411566 */     GIR_EraseRootFromParent_Done,
     /* 1411567 */   // Label 19959: @1411567
     /* 1411567 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1411655), // Rule ID 21462 //
     /* 1411572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411611 */     // MIs[0] Operand 5
     /* 1411611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411622 */     // MIs[0] policy
     /* 1411622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411654 */     // GIR_Coverage, 21462,
     /* 1411654 */     GIR_EraseRootFromParent_Done,
     /* 1411655 */   // Label 19960: @1411655
     /* 1411655 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1411743), // Rule ID 21463 //
     /* 1411660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411699 */     // MIs[0] Operand 5
     /* 1411699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411710 */     // MIs[0] policy
     /* 1411710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411742 */     // GIR_Coverage, 21463,
     /* 1411742 */     GIR_EraseRootFromParent_Done,
     /* 1411743 */   // Label 19961: @1411743
     /* 1411743 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1411831), // Rule ID 21466 //
     /* 1411748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411787 */     // MIs[0] Operand 5
     /* 1411787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411798 */     // MIs[0] policy
     /* 1411798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411830 */     // GIR_Coverage, 21466,
     /* 1411830 */     GIR_EraseRootFromParent_Done,
     /* 1411831 */   // Label 19962: @1411831
     /* 1411831 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1411919), // Rule ID 21467 //
     /* 1411836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411875 */     // MIs[0] Operand 5
     /* 1411875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411886 */     // MIs[0] policy
     /* 1411886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411918 */     // GIR_Coverage, 21467,
     /* 1411918 */     GIR_EraseRootFromParent_Done,
     /* 1411919 */   // Label 19963: @1411919
     /* 1411919 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1412007), // Rule ID 21470 //
     /* 1411924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411963 */     // MIs[0] Operand 5
     /* 1411963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411974 */     // MIs[0] policy
     /* 1411974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412006 */     // GIR_Coverage, 21470,
     /* 1412006 */     GIR_EraseRootFromParent_Done,
     /* 1412007 */   // Label 19964: @1412007
     /* 1412007 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1412095), // Rule ID 21471 //
     /* 1412012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412051 */     // MIs[0] Operand 5
     /* 1412051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412062 */     // MIs[0] policy
     /* 1412062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1412075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412094 */     // GIR_Coverage, 21471,
     /* 1412094 */     GIR_EraseRootFromParent_Done,
     /* 1412095 */   // Label 19965: @1412095
     /* 1412095 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1412183), // Rule ID 21474 //
     /* 1412100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1412117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412139 */     // MIs[0] Operand 5
     /* 1412139 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412150 */     // MIs[0] policy
     /* 1412150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1412163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412182 */     // GIR_Coverage, 21474,
     /* 1412182 */     GIR_EraseRootFromParent_Done,
     /* 1412183 */   // Label 19966: @1412183
     /* 1412183 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1412271), // Rule ID 21475 //
     /* 1412188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1412205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412227 */     // MIs[0] Operand 5
     /* 1412227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412238 */     // MIs[0] policy
     /* 1412238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1412251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412270 */     // GIR_Coverage, 21475,
     /* 1412270 */     GIR_EraseRootFromParent_Done,
     /* 1412271 */   // Label 19967: @1412271
     /* 1412271 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1412359), // Rule ID 21478 //
     /* 1412276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412315 */     // MIs[0] Operand 5
     /* 1412315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412326 */     // MIs[0] policy
     /* 1412326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1412339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412358 */     // GIR_Coverage, 21478,
     /* 1412358 */     GIR_EraseRootFromParent_Done,
     /* 1412359 */   // Label 19968: @1412359
     /* 1412359 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1412447), // Rule ID 21479 //
     /* 1412364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412403 */     // MIs[0] Operand 5
     /* 1412403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412414 */     // MIs[0] policy
     /* 1412414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1412427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412446 */     // GIR_Coverage, 21479,
     /* 1412446 */     GIR_EraseRootFromParent_Done,
     /* 1412447 */   // Label 19969: @1412447
     /* 1412447 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1412535), // Rule ID 21482 //
     /* 1412452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412491 */     // MIs[0] Operand 5
     /* 1412491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412502 */     // MIs[0] policy
     /* 1412502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412534 */     // GIR_Coverage, 21482,
     /* 1412534 */     GIR_EraseRootFromParent_Done,
     /* 1412535 */   // Label 19970: @1412535
     /* 1412535 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1412623), // Rule ID 21483 //
     /* 1412540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412579 */     // MIs[0] Operand 5
     /* 1412579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412590 */     // MIs[0] policy
     /* 1412590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412622 */     // GIR_Coverage, 21483,
     /* 1412622 */     GIR_EraseRootFromParent_Done,
     /* 1412623 */   // Label 19971: @1412623
     /* 1412623 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1412722), // Rule ID 2688 //
     /* 1412628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412678 */     // MIs[1] Operand 1
     /* 1412678 */     // No operand predicates
     /* 1412678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412682 */     // MIs[0] policy
     /* 1412682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412703 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412721 */     // GIR_Coverage, 2688,
     /* 1412721 */     GIR_EraseRootFromParent_Done,
     /* 1412722 */   // Label 19972: @1412722
     /* 1412722 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1412821), // Rule ID 2689 //
     /* 1412727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412777 */     // MIs[1] Operand 1
     /* 1412777 */     // No operand predicates
     /* 1412777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412781 */     // MIs[0] policy
     /* 1412781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412793 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412802 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412820 */     // GIR_Coverage, 2689,
     /* 1412820 */     GIR_EraseRootFromParent_Done,
     /* 1412821 */   // Label 19973: @1412821
     /* 1412821 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1412920), // Rule ID 2696 //
     /* 1412826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412876 */     // MIs[1] Operand 1
     /* 1412876 */     // No operand predicates
     /* 1412876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412880 */     // MIs[0] policy
     /* 1412880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412901 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412919 */     // GIR_Coverage, 2696,
     /* 1412919 */     GIR_EraseRootFromParent_Done,
     /* 1412920 */   // Label 19974: @1412920
     /* 1412920 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1413019), // Rule ID 2697 //
     /* 1412925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412975 */     // MIs[1] Operand 1
     /* 1412975 */     // No operand predicates
     /* 1412975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412979 */     // MIs[0] policy
     /* 1412979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412991 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413000 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413018 */     // GIR_Coverage, 2697,
     /* 1413018 */     GIR_EraseRootFromParent_Done,
     /* 1413019 */   // Label 19975: @1413019
     /* 1413019 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1413118), // Rule ID 2704 //
     /* 1413024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1413035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1413038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1413041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413074 */     // MIs[1] Operand 1
     /* 1413074 */     // No operand predicates
     /* 1413074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413078 */     // MIs[0] policy
     /* 1413078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413099 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413117 */     // GIR_Coverage, 2704,
     /* 1413117 */     GIR_EraseRootFromParent_Done,
     /* 1413118 */   // Label 19976: @1413118
     /* 1413118 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1413217), // Rule ID 2705 //
     /* 1413123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1413134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1413137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1413140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413173 */     // MIs[1] Operand 1
     /* 1413173 */     // No operand predicates
     /* 1413173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413177 */     // MIs[0] policy
     /* 1413177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413189 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413198 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413216 */     // GIR_Coverage, 2705,
     /* 1413216 */     GIR_EraseRootFromParent_Done,
     /* 1413217 */   // Label 19977: @1413217
     /* 1413217 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1413316), // Rule ID 2712 //
     /* 1413222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413272 */     // MIs[1] Operand 1
     /* 1413272 */     // No operand predicates
     /* 1413272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413276 */     // MIs[0] policy
     /* 1413276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413288 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413297 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413315 */     // GIR_Coverage, 2712,
     /* 1413315 */     GIR_EraseRootFromParent_Done,
     /* 1413316 */   // Label 19978: @1413316
     /* 1413316 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1413415), // Rule ID 2713 //
     /* 1413321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1413338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413371 */     // MIs[1] Operand 1
     /* 1413371 */     // No operand predicates
     /* 1413371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413375 */     // MIs[0] policy
     /* 1413375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1413390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413396 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413414 */     // GIR_Coverage, 2713,
     /* 1413414 */     GIR_EraseRootFromParent_Done,
     /* 1413415 */   // Label 19979: @1413415
     /* 1413415 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1413514), // Rule ID 2720 //
     /* 1413420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413470 */     // MIs[1] Operand 1
     /* 1413470 */     // No operand predicates
     /* 1413470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413474 */     // MIs[0] policy
     /* 1413474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413495 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413513 */     // GIR_Coverage, 2720,
     /* 1413513 */     GIR_EraseRootFromParent_Done,
     /* 1413514 */   // Label 19980: @1413514
     /* 1413514 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1413613), // Rule ID 2721 //
     /* 1413519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413569 */     // MIs[1] Operand 1
     /* 1413569 */     // No operand predicates
     /* 1413569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413573 */     // MIs[0] policy
     /* 1413573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413594 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413612 */     // GIR_Coverage, 2721,
     /* 1413612 */     GIR_EraseRootFromParent_Done,
     /* 1413613 */   // Label 19981: @1413613
     /* 1413613 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1413712), // Rule ID 2728 //
     /* 1413618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413668 */     // MIs[1] Operand 1
     /* 1413668 */     // No operand predicates
     /* 1413668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413672 */     // MIs[0] policy
     /* 1413672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413693 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413711 */     // GIR_Coverage, 2728,
     /* 1413711 */     GIR_EraseRootFromParent_Done,
     /* 1413712 */   // Label 19982: @1413712
     /* 1413712 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1413811), // Rule ID 2729 //
     /* 1413717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413767 */     // MIs[1] Operand 1
     /* 1413767 */     // No operand predicates
     /* 1413767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413771 */     // MIs[0] policy
     /* 1413771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413792 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413810 */     // GIR_Coverage, 2729,
     /* 1413810 */     GIR_EraseRootFromParent_Done,
     /* 1413811 */   // Label 19983: @1413811
     /* 1413811 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1413910), // Rule ID 2736 //
     /* 1413816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413866 */     // MIs[1] Operand 1
     /* 1413866 */     // No operand predicates
     /* 1413866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413870 */     // MIs[0] policy
     /* 1413870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413891 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413909 */     // GIR_Coverage, 2736,
     /* 1413909 */     GIR_EraseRootFromParent_Done,
     /* 1413910 */   // Label 19984: @1413910
     /* 1413910 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1414009), // Rule ID 2737 //
     /* 1413915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413965 */     // MIs[1] Operand 1
     /* 1413965 */     // No operand predicates
     /* 1413965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413969 */     // MIs[0] policy
     /* 1413969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413990 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414008 */     // GIR_Coverage, 2737,
     /* 1414008 */     GIR_EraseRootFromParent_Done,
     /* 1414009 */   // Label 19985: @1414009
     /* 1414009 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1414108), // Rule ID 2744 //
     /* 1414014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414064 */     // MIs[1] Operand 1
     /* 1414064 */     // No operand predicates
     /* 1414064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414068 */     // MIs[0] policy
     /* 1414068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414089 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414107 */     // GIR_Coverage, 2744,
     /* 1414107 */     GIR_EraseRootFromParent_Done,
     /* 1414108 */   // Label 19986: @1414108
     /* 1414108 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1414207), // Rule ID 2745 //
     /* 1414113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414163 */     // MIs[1] Operand 1
     /* 1414163 */     // No operand predicates
     /* 1414163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414167 */     // MIs[0] policy
     /* 1414167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414188 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414206 */     // GIR_Coverage, 2745,
     /* 1414206 */     GIR_EraseRootFromParent_Done,
     /* 1414207 */   // Label 19987: @1414207
     /* 1414207 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1414306), // Rule ID 2752 //
     /* 1414212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414262 */     // MIs[1] Operand 1
     /* 1414262 */     // No operand predicates
     /* 1414262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414266 */     // MIs[0] policy
     /* 1414266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414287 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414305 */     // GIR_Coverage, 2752,
     /* 1414305 */     GIR_EraseRootFromParent_Done,
     /* 1414306 */   // Label 19988: @1414306
     /* 1414306 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1414405), // Rule ID 2753 //
     /* 1414311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1414328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414361 */     // MIs[1] Operand 1
     /* 1414361 */     // No operand predicates
     /* 1414361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414365 */     // MIs[0] policy
     /* 1414365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414386 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414404 */     // GIR_Coverage, 2753,
     /* 1414404 */     GIR_EraseRootFromParent_Done,
     /* 1414405 */   // Label 19989: @1414405
     /* 1414405 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1414504), // Rule ID 2760 //
     /* 1414410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414460 */     // MIs[1] Operand 1
     /* 1414460 */     // No operand predicates
     /* 1414460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414464 */     // MIs[0] policy
     /* 1414464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414485 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414503 */     // GIR_Coverage, 2760,
     /* 1414503 */     GIR_EraseRootFromParent_Done,
     /* 1414504 */   // Label 19990: @1414504
     /* 1414504 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1414603), // Rule ID 2761 //
     /* 1414509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414559 */     // MIs[1] Operand 1
     /* 1414559 */     // No operand predicates
     /* 1414559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414563 */     // MIs[0] policy
     /* 1414563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414584 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414602 */     // GIR_Coverage, 2761,
     /* 1414602 */     GIR_EraseRootFromParent_Done,
     /* 1414603 */   // Label 19991: @1414603
     /* 1414603 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1414702), // Rule ID 2768 //
     /* 1414608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414658 */     // MIs[1] Operand 1
     /* 1414658 */     // No operand predicates
     /* 1414658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414662 */     // MIs[0] policy
     /* 1414662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414683 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414701 */     // GIR_Coverage, 2768,
     /* 1414701 */     GIR_EraseRootFromParent_Done,
     /* 1414702 */   // Label 19992: @1414702
     /* 1414702 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1414801), // Rule ID 2769 //
     /* 1414707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414757 */     // MIs[1] Operand 1
     /* 1414757 */     // No operand predicates
     /* 1414757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414761 */     // MIs[0] policy
     /* 1414761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414773 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414782 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414800 */     // GIR_Coverage, 2769,
     /* 1414800 */     GIR_EraseRootFromParent_Done,
     /* 1414801 */   // Label 19993: @1414801
     /* 1414801 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1414900), // Rule ID 2776 //
     /* 1414806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414856 */     // MIs[1] Operand 1
     /* 1414856 */     // No operand predicates
     /* 1414856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414860 */     // MIs[0] policy
     /* 1414860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414881 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414899 */     // GIR_Coverage, 2776,
     /* 1414899 */     GIR_EraseRootFromParent_Done,
     /* 1414900 */   // Label 19994: @1414900
     /* 1414900 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1414999), // Rule ID 2777 //
     /* 1414905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414955 */     // MIs[1] Operand 1
     /* 1414955 */     // No operand predicates
     /* 1414955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414959 */     // MIs[0] policy
     /* 1414959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414980 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414998 */     // GIR_Coverage, 2777,
     /* 1414998 */     GIR_EraseRootFromParent_Done,
     /* 1414999 */   // Label 19995: @1414999
     /* 1414999 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1415098), // Rule ID 2784 //
     /* 1415004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1415015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1415018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1415021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1415027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415054 */     // MIs[1] Operand 1
     /* 1415054 */     // No operand predicates
     /* 1415054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415058 */     // MIs[0] policy
     /* 1415058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415070 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415079 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415097 */     // GIR_Coverage, 2784,
     /* 1415097 */     GIR_EraseRootFromParent_Done,
     /* 1415098 */   // Label 19996: @1415098
     /* 1415098 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1415197), // Rule ID 2785 //
     /* 1415103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1415114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1415117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1415120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1415126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415153 */     // MIs[1] Operand 1
     /* 1415153 */     // No operand predicates
     /* 1415153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415157 */     // MIs[0] policy
     /* 1415157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415169 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415178 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415196 */     // GIR_Coverage, 2785,
     /* 1415196 */     GIR_EraseRootFromParent_Done,
     /* 1415197 */   // Label 19997: @1415197
     /* 1415197 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1415296), // Rule ID 2792 //
     /* 1415202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415252 */     // MIs[1] Operand 1
     /* 1415252 */     // No operand predicates
     /* 1415252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415256 */     // MIs[0] policy
     /* 1415256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415277 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415295 */     // GIR_Coverage, 2792,
     /* 1415295 */     GIR_EraseRootFromParent_Done,
     /* 1415296 */   // Label 19998: @1415296
     /* 1415296 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1415395), // Rule ID 2793 //
     /* 1415301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415351 */     // MIs[1] Operand 1
     /* 1415351 */     // No operand predicates
     /* 1415351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415355 */     // MIs[0] policy
     /* 1415355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415376 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415394 */     // GIR_Coverage, 2793,
     /* 1415394 */     GIR_EraseRootFromParent_Done,
     /* 1415395 */   // Label 19999: @1415395
     /* 1415395 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1415494), // Rule ID 2800 //
     /* 1415400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415450 */     // MIs[1] Operand 1
     /* 1415450 */     // No operand predicates
     /* 1415450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415454 */     // MIs[0] policy
     /* 1415454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415475 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415493 */     // GIR_Coverage, 2800,
     /* 1415493 */     GIR_EraseRootFromParent_Done,
     /* 1415494 */   // Label 20000: @1415494
     /* 1415494 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1415593), // Rule ID 2801 //
     /* 1415499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415549 */     // MIs[1] Operand 1
     /* 1415549 */     // No operand predicates
     /* 1415549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415553 */     // MIs[0] policy
     /* 1415553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415574 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415592 */     // GIR_Coverage, 2801,
     /* 1415592 */     GIR_EraseRootFromParent_Done,
     /* 1415593 */   // Label 20001: @1415593
     /* 1415593 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1415692), // Rule ID 2808 //
     /* 1415598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415648 */     // MIs[1] Operand 1
     /* 1415648 */     // No operand predicates
     /* 1415648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415652 */     // MIs[0] policy
     /* 1415652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415673 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415691 */     // GIR_Coverage, 2808,
     /* 1415691 */     GIR_EraseRootFromParent_Done,
     /* 1415692 */   // Label 20002: @1415692
     /* 1415692 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1415791), // Rule ID 2809 //
     /* 1415697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415747 */     // MIs[1] Operand 1
     /* 1415747 */     // No operand predicates
     /* 1415747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415751 */     // MIs[0] policy
     /* 1415751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415772 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415790 */     // GIR_Coverage, 2809,
     /* 1415790 */     GIR_EraseRootFromParent_Done,
     /* 1415791 */   // Label 20003: @1415791
     /* 1415791 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1415890), // Rule ID 2816 //
     /* 1415796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415846 */     // MIs[1] Operand 1
     /* 1415846 */     // No operand predicates
     /* 1415846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415850 */     // MIs[0] policy
     /* 1415850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415889 */     // GIR_Coverage, 2816,
     /* 1415889 */     GIR_EraseRootFromParent_Done,
     /* 1415890 */   // Label 20004: @1415890
     /* 1415890 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1415989), // Rule ID 2817 //
     /* 1415895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415945 */     // MIs[1] Operand 1
     /* 1415945 */     // No operand predicates
     /* 1415945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415949 */     // MIs[0] policy
     /* 1415949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415970 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415988 */     // GIR_Coverage, 2817,
     /* 1415988 */     GIR_EraseRootFromParent_Done,
     /* 1415989 */   // Label 20005: @1415989
     /* 1415989 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1416088), // Rule ID 2824 //
     /* 1415994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416044 */     // MIs[1] Operand 1
     /* 1416044 */     // No operand predicates
     /* 1416044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416048 */     // MIs[0] policy
     /* 1416048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416069 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416087 */     // GIR_Coverage, 2824,
     /* 1416087 */     GIR_EraseRootFromParent_Done,
     /* 1416088 */   // Label 20006: @1416088
     /* 1416088 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1416187), // Rule ID 2825 //
     /* 1416093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416143 */     // MIs[1] Operand 1
     /* 1416143 */     // No operand predicates
     /* 1416143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416147 */     // MIs[0] policy
     /* 1416147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416168 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416186 */     // GIR_Coverage, 2825,
     /* 1416186 */     GIR_EraseRootFromParent_Done,
     /* 1416187 */   // Label 20007: @1416187
     /* 1416187 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1416286), // Rule ID 2832 //
     /* 1416192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1416203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1416206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1416209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416242 */     // MIs[1] Operand 1
     /* 1416242 */     // No operand predicates
     /* 1416242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416246 */     // MIs[0] policy
     /* 1416246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416267 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416285 */     // GIR_Coverage, 2832,
     /* 1416285 */     GIR_EraseRootFromParent_Done,
     /* 1416286 */   // Label 20008: @1416286
     /* 1416286 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1416385), // Rule ID 2833 //
     /* 1416291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1416302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1416305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1416308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416341 */     // MIs[1] Operand 1
     /* 1416341 */     // No operand predicates
     /* 1416341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416345 */     // MIs[0] policy
     /* 1416345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416366 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416384 */     // GIR_Coverage, 2833,
     /* 1416384 */     GIR_EraseRootFromParent_Done,
     /* 1416385 */   // Label 20009: @1416385
     /* 1416385 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1416484), // Rule ID 2840 //
     /* 1416390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416440 */     // MIs[1] Operand 1
     /* 1416440 */     // No operand predicates
     /* 1416440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416444 */     // MIs[0] policy
     /* 1416444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416465 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416483 */     // GIR_Coverage, 2840,
     /* 1416483 */     GIR_EraseRootFromParent_Done,
     /* 1416484 */   // Label 20010: @1416484
     /* 1416484 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1416583), // Rule ID 2841 //
     /* 1416489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416539 */     // MIs[1] Operand 1
     /* 1416539 */     // No operand predicates
     /* 1416539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416543 */     // MIs[0] policy
     /* 1416543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416564 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416582 */     // GIR_Coverage, 2841,
     /* 1416582 */     GIR_EraseRootFromParent_Done,
     /* 1416583 */   // Label 20011: @1416583
     /* 1416583 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1416682), // Rule ID 2848 //
     /* 1416588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416638 */     // MIs[1] Operand 1
     /* 1416638 */     // No operand predicates
     /* 1416638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416642 */     // MIs[0] policy
     /* 1416642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416663 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416681 */     // GIR_Coverage, 2848,
     /* 1416681 */     GIR_EraseRootFromParent_Done,
     /* 1416682 */   // Label 20012: @1416682
     /* 1416682 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1416781), // Rule ID 2849 //
     /* 1416687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416737 */     // MIs[1] Operand 1
     /* 1416737 */     // No operand predicates
     /* 1416737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416741 */     // MIs[0] policy
     /* 1416741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416762 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416780 */     // GIR_Coverage, 2849,
     /* 1416780 */     GIR_EraseRootFromParent_Done,
     /* 1416781 */   // Label 20013: @1416781
     /* 1416781 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1416880), // Rule ID 2856 //
     /* 1416786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416836 */     // MIs[1] Operand 1
     /* 1416836 */     // No operand predicates
     /* 1416836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416840 */     // MIs[0] policy
     /* 1416840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416861 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416879 */     // GIR_Coverage, 2856,
     /* 1416879 */     GIR_EraseRootFromParent_Done,
     /* 1416880 */   // Label 20014: @1416880
     /* 1416880 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1416979), // Rule ID 2857 //
     /* 1416885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416935 */     // MIs[1] Operand 1
     /* 1416935 */     // No operand predicates
     /* 1416935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416939 */     // MIs[0] policy
     /* 1416939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416951 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416960 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416978 */     // GIR_Coverage, 2857,
     /* 1416978 */     GIR_EraseRootFromParent_Done,
     /* 1416979 */   // Label 20015: @1416979
     /* 1416979 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1417076), // Rule ID 3032 //
     /* 1416984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1417001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417034 */     // MIs[1] Operand 1
     /* 1417034 */     // No operand predicates
     /* 1417034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417038 */     // MIs[0] policy
     /* 1417038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1417053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417075 */     // GIR_Coverage, 3032,
     /* 1417075 */     GIR_EraseRootFromParent_Done,
     /* 1417076 */   // Label 20016: @1417076
     /* 1417076 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1417173), // Rule ID 3033 //
     /* 1417081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1417092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1417095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1417098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417131 */     // MIs[1] Operand 1
     /* 1417131 */     // No operand predicates
     /* 1417131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417135 */     // MIs[0] policy
     /* 1417135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1417150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417172 */     // GIR_Coverage, 3033,
     /* 1417172 */     GIR_EraseRootFromParent_Done,
     /* 1417173 */   // Label 20017: @1417173
     /* 1417173 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1417270), // Rule ID 3036 //
     /* 1417178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417228 */     // MIs[1] Operand 1
     /* 1417228 */     // No operand predicates
     /* 1417228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417232 */     // MIs[0] policy
     /* 1417232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417269 */     // GIR_Coverage, 3036,
     /* 1417269 */     GIR_EraseRootFromParent_Done,
     /* 1417270 */   // Label 20018: @1417270
     /* 1417270 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1417367), // Rule ID 3037 //
     /* 1417275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417325 */     // MIs[1] Operand 1
     /* 1417325 */     // No operand predicates
     /* 1417325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417329 */     // MIs[0] policy
     /* 1417329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417341 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417366 */     // GIR_Coverage, 3037,
     /* 1417366 */     GIR_EraseRootFromParent_Done,
     /* 1417367 */   // Label 20019: @1417367
     /* 1417367 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1417464), // Rule ID 3040 //
     /* 1417372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417422 */     // MIs[1] Operand 1
     /* 1417422 */     // No operand predicates
     /* 1417422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417426 */     // MIs[0] policy
     /* 1417426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417463 */     // GIR_Coverage, 3040,
     /* 1417463 */     GIR_EraseRootFromParent_Done,
     /* 1417464 */   // Label 20020: @1417464
     /* 1417464 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1417561), // Rule ID 3041 //
     /* 1417469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417519 */     // MIs[1] Operand 1
     /* 1417519 */     // No operand predicates
     /* 1417519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417523 */     // MIs[0] policy
     /* 1417523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417560 */     // GIR_Coverage, 3041,
     /* 1417560 */     GIR_EraseRootFromParent_Done,
     /* 1417561 */   // Label 20021: @1417561
     /* 1417561 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1417658), // Rule ID 3044 //
     /* 1417566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417616 */     // MIs[1] Operand 1
     /* 1417616 */     // No operand predicates
     /* 1417616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417620 */     // MIs[0] policy
     /* 1417620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417657 */     // GIR_Coverage, 3044,
     /* 1417657 */     GIR_EraseRootFromParent_Done,
     /* 1417658 */   // Label 20022: @1417658
     /* 1417658 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1417755), // Rule ID 3045 //
     /* 1417663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417713 */     // MIs[1] Operand 1
     /* 1417713 */     // No operand predicates
     /* 1417713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417717 */     // MIs[0] policy
     /* 1417717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417729 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417754 */     // GIR_Coverage, 3045,
     /* 1417754 */     GIR_EraseRootFromParent_Done,
     /* 1417755 */   // Label 20023: @1417755
     /* 1417755 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1417852), // Rule ID 3048 //
     /* 1417760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417810 */     // MIs[1] Operand 1
     /* 1417810 */     // No operand predicates
     /* 1417810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417814 */     // MIs[0] policy
     /* 1417814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417851 */     // GIR_Coverage, 3048,
     /* 1417851 */     GIR_EraseRootFromParent_Done,
     /* 1417852 */   // Label 20024: @1417852
     /* 1417852 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1417949), // Rule ID 3049 //
     /* 1417857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417907 */     // MIs[1] Operand 1
     /* 1417907 */     // No operand predicates
     /* 1417907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417911 */     // MIs[0] policy
     /* 1417911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417948 */     // GIR_Coverage, 3049,
     /* 1417948 */     GIR_EraseRootFromParent_Done,
     /* 1417949 */   // Label 20025: @1417949
     /* 1417949 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1418046), // Rule ID 3052 //
     /* 1417954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418004 */     // MIs[1] Operand 1
     /* 1418004 */     // No operand predicates
     /* 1418004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418008 */     // MIs[0] policy
     /* 1418008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1418023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418045 */     // GIR_Coverage, 3052,
     /* 1418045 */     GIR_EraseRootFromParent_Done,
     /* 1418046 */   // Label 20026: @1418046
     /* 1418046 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1418143), // Rule ID 3053 //
     /* 1418051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1418068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418101 */     // MIs[1] Operand 1
     /* 1418101 */     // No operand predicates
     /* 1418101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418105 */     // MIs[0] policy
     /* 1418105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1418120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418142 */     // GIR_Coverage, 3053,
     /* 1418142 */     GIR_EraseRootFromParent_Done,
     /* 1418143 */   // Label 20027: @1418143
     /* 1418143 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1418240), // Rule ID 3056 //
     /* 1418148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1418165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418198 */     // MIs[1] Operand 1
     /* 1418198 */     // No operand predicates
     /* 1418198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418202 */     // MIs[0] policy
     /* 1418202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418239 */     // GIR_Coverage, 3056,
     /* 1418239 */     GIR_EraseRootFromParent_Done,
     /* 1418240 */   // Label 20028: @1418240
     /* 1418240 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1418337), // Rule ID 3057 //
     /* 1418245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1418262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418295 */     // MIs[1] Operand 1
     /* 1418295 */     // No operand predicates
     /* 1418295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418299 */     // MIs[0] policy
     /* 1418299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418336 */     // GIR_Coverage, 3057,
     /* 1418336 */     GIR_EraseRootFromParent_Done,
     /* 1418337 */   // Label 20029: @1418337
     /* 1418337 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1418434), // Rule ID 3060 //
     /* 1418342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418392 */     // MIs[1] Operand 1
     /* 1418392 */     // No operand predicates
     /* 1418392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418396 */     // MIs[0] policy
     /* 1418396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418433 */     // GIR_Coverage, 3060,
     /* 1418433 */     GIR_EraseRootFromParent_Done,
     /* 1418434 */   // Label 20030: @1418434
     /* 1418434 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1418531), // Rule ID 3061 //
     /* 1418439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418489 */     // MIs[1] Operand 1
     /* 1418489 */     // No operand predicates
     /* 1418489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418493 */     // MIs[0] policy
     /* 1418493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418530 */     // GIR_Coverage, 3061,
     /* 1418530 */     GIR_EraseRootFromParent_Done,
     /* 1418531 */   // Label 20031: @1418531
     /* 1418531 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1418628), // Rule ID 3064 //
     /* 1418536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418586 */     // MIs[1] Operand 1
     /* 1418586 */     // No operand predicates
     /* 1418586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418590 */     // MIs[0] policy
     /* 1418590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418627 */     // GIR_Coverage, 3064,
     /* 1418627 */     GIR_EraseRootFromParent_Done,
     /* 1418628 */   // Label 20032: @1418628
     /* 1418628 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1418725), // Rule ID 3065 //
     /* 1418633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418683 */     // MIs[1] Operand 1
     /* 1418683 */     // No operand predicates
     /* 1418683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418687 */     // MIs[0] policy
     /* 1418687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418724 */     // GIR_Coverage, 3065,
     /* 1418724 */     GIR_EraseRootFromParent_Done,
     /* 1418725 */   // Label 20033: @1418725
     /* 1418725 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1418822), // Rule ID 3068 //
     /* 1418730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418780 */     // MIs[1] Operand 1
     /* 1418780 */     // No operand predicates
     /* 1418780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418784 */     // MIs[0] policy
     /* 1418784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418821 */     // GIR_Coverage, 3068,
     /* 1418821 */     GIR_EraseRootFromParent_Done,
     /* 1418822 */   // Label 20034: @1418822
     /* 1418822 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1418919), // Rule ID 3069 //
     /* 1418827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418877 */     // MIs[1] Operand 1
     /* 1418877 */     // No operand predicates
     /* 1418877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418881 */     // MIs[0] policy
     /* 1418881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418918 */     // GIR_Coverage, 3069,
     /* 1418918 */     GIR_EraseRootFromParent_Done,
     /* 1418919 */   // Label 20035: @1418919
     /* 1418919 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1419016), // Rule ID 3072 //
     /* 1418924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418974 */     // MIs[1] Operand 1
     /* 1418974 */     // No operand predicates
     /* 1418974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418978 */     // MIs[0] policy
     /* 1418978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418990 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419015 */     // GIR_Coverage, 3072,
     /* 1419015 */     GIR_EraseRootFromParent_Done,
     /* 1419016 */   // Label 20036: @1419016
     /* 1419016 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1419113), // Rule ID 3073 //
     /* 1419021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1419032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1419035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1419038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419071 */     // MIs[1] Operand 1
     /* 1419071 */     // No operand predicates
     /* 1419071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419075 */     // MIs[0] policy
     /* 1419075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419112 */     // GIR_Coverage, 3073,
     /* 1419112 */     GIR_EraseRootFromParent_Done,
     /* 1419113 */   // Label 20037: @1419113
     /* 1419113 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1419210), // Rule ID 3076 //
     /* 1419118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1419135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419168 */     // MIs[1] Operand 1
     /* 1419168 */     // No operand predicates
     /* 1419168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419172 */     // MIs[0] policy
     /* 1419172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419209 */     // GIR_Coverage, 3076,
     /* 1419209 */     GIR_EraseRootFromParent_Done,
     /* 1419210 */   // Label 20038: @1419210
     /* 1419210 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1419307), // Rule ID 3077 //
     /* 1419215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1419232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419265 */     // MIs[1] Operand 1
     /* 1419265 */     // No operand predicates
     /* 1419265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419269 */     // MIs[0] policy
     /* 1419269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419281 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419306 */     // GIR_Coverage, 3077,
     /* 1419306 */     GIR_EraseRootFromParent_Done,
     /* 1419307 */   // Label 20039: @1419307
     /* 1419307 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1419404), // Rule ID 3080 //
     /* 1419312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419362 */     // MIs[1] Operand 1
     /* 1419362 */     // No operand predicates
     /* 1419362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419366 */     // MIs[0] policy
     /* 1419366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419403 */     // GIR_Coverage, 3080,
     /* 1419403 */     GIR_EraseRootFromParent_Done,
     /* 1419404 */   // Label 20040: @1419404
     /* 1419404 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1419501), // Rule ID 3081 //
     /* 1419409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419459 */     // MIs[1] Operand 1
     /* 1419459 */     // No operand predicates
     /* 1419459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419463 */     // MIs[0] policy
     /* 1419463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419500 */     // GIR_Coverage, 3081,
     /* 1419500 */     GIR_EraseRootFromParent_Done,
     /* 1419501 */   // Label 20041: @1419501
     /* 1419501 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1419598), // Rule ID 3084 //
     /* 1419506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419556 */     // MIs[1] Operand 1
     /* 1419556 */     // No operand predicates
     /* 1419556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419560 */     // MIs[0] policy
     /* 1419560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419597 */     // GIR_Coverage, 3084,
     /* 1419597 */     GIR_EraseRootFromParent_Done,
     /* 1419598 */   // Label 20042: @1419598
     /* 1419598 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1419695), // Rule ID 3085 //
     /* 1419603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419653 */     // MIs[1] Operand 1
     /* 1419653 */     // No operand predicates
     /* 1419653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419657 */     // MIs[0] policy
     /* 1419657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419694 */     // GIR_Coverage, 3085,
     /* 1419694 */     GIR_EraseRootFromParent_Done,
     /* 1419695 */   // Label 20043: @1419695
     /* 1419695 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1419792), // Rule ID 3088 //
     /* 1419700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419750 */     // MIs[1] Operand 1
     /* 1419750 */     // No operand predicates
     /* 1419750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419754 */     // MIs[0] policy
     /* 1419754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419791 */     // GIR_Coverage, 3088,
     /* 1419791 */     GIR_EraseRootFromParent_Done,
     /* 1419792 */   // Label 20044: @1419792
     /* 1419792 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1419889), // Rule ID 3089 //
     /* 1419797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419847 */     // MIs[1] Operand 1
     /* 1419847 */     // No operand predicates
     /* 1419847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419851 */     // MIs[0] policy
     /* 1419851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419863 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419888 */     // GIR_Coverage, 3089,
     /* 1419888 */     GIR_EraseRootFromParent_Done,
     /* 1419889 */   // Label 20045: @1419889
     /* 1419889 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1419986), // Rule ID 3092 //
     /* 1419894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419944 */     // MIs[1] Operand 1
     /* 1419944 */     // No operand predicates
     /* 1419944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419948 */     // MIs[0] policy
     /* 1419948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419985 */     // GIR_Coverage, 3092,
     /* 1419985 */     GIR_EraseRootFromParent_Done,
     /* 1419986 */   // Label 20046: @1419986
     /* 1419986 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1420083), // Rule ID 3093 //
     /* 1419991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1420002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1420005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1420008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1420014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420041 */     // MIs[1] Operand 1
     /* 1420041 */     // No operand predicates
     /* 1420041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420045 */     // MIs[0] policy
     /* 1420045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420082 */     // GIR_Coverage, 3093,
     /* 1420082 */     GIR_EraseRootFromParent_Done,
     /* 1420083 */   // Label 20047: @1420083
     /* 1420083 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1420180), // Rule ID 3096 //
     /* 1420088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1420105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420138 */     // MIs[1] Operand 1
     /* 1420138 */     // No operand predicates
     /* 1420138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420142 */     // MIs[0] policy
     /* 1420142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420179 */     // GIR_Coverage, 3096,
     /* 1420179 */     GIR_EraseRootFromParent_Done,
     /* 1420180 */   // Label 20048: @1420180
     /* 1420180 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1420277), // Rule ID 3097 //
     /* 1420185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1420202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420235 */     // MIs[1] Operand 1
     /* 1420235 */     // No operand predicates
     /* 1420235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420239 */     // MIs[0] policy
     /* 1420239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420276 */     // GIR_Coverage, 3097,
     /* 1420276 */     GIR_EraseRootFromParent_Done,
     /* 1420277 */   // Label 20049: @1420277
     /* 1420277 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1420374), // Rule ID 3100 //
     /* 1420282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420332 */     // MIs[1] Operand 1
     /* 1420332 */     // No operand predicates
     /* 1420332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420336 */     // MIs[0] policy
     /* 1420336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420373 */     // GIR_Coverage, 3100,
     /* 1420373 */     GIR_EraseRootFromParent_Done,
     /* 1420374 */   // Label 20050: @1420374
     /* 1420374 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1420471), // Rule ID 3101 //
     /* 1420379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420429 */     // MIs[1] Operand 1
     /* 1420429 */     // No operand predicates
     /* 1420429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420433 */     // MIs[0] policy
     /* 1420433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420470 */     // GIR_Coverage, 3101,
     /* 1420470 */     GIR_EraseRootFromParent_Done,
     /* 1420471 */   // Label 20051: @1420471
     /* 1420471 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1420568), // Rule ID 3104 //
     /* 1420476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420526 */     // MIs[1] Operand 1
     /* 1420526 */     // No operand predicates
     /* 1420526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420530 */     // MIs[0] policy
     /* 1420530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420567 */     // GIR_Coverage, 3104,
     /* 1420567 */     GIR_EraseRootFromParent_Done,
     /* 1420568 */   // Label 20052: @1420568
     /* 1420568 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1420665), // Rule ID 3105 //
     /* 1420573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420623 */     // MIs[1] Operand 1
     /* 1420623 */     // No operand predicates
     /* 1420623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420627 */     // MIs[0] policy
     /* 1420627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420664 */     // GIR_Coverage, 3105,
     /* 1420664 */     GIR_EraseRootFromParent_Done,
     /* 1420665 */   // Label 20053: @1420665
     /* 1420665 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1420762), // Rule ID 3108 //
     /* 1420670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420720 */     // MIs[1] Operand 1
     /* 1420720 */     // No operand predicates
     /* 1420720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420724 */     // MIs[0] policy
     /* 1420724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420761 */     // GIR_Coverage, 3108,
     /* 1420761 */     GIR_EraseRootFromParent_Done,
     /* 1420762 */   // Label 20054: @1420762
     /* 1420762 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1420859), // Rule ID 3109 //
     /* 1420767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420817 */     // MIs[1] Operand 1
     /* 1420817 */     // No operand predicates
     /* 1420817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420821 */     // MIs[0] policy
     /* 1420821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420858 */     // GIR_Coverage, 3109,
     /* 1420858 */     GIR_EraseRootFromParent_Done,
     /* 1420859 */   // Label 20055: @1420859
     /* 1420859 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1420956), // Rule ID 3112 //
     /* 1420864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420914 */     // MIs[1] Operand 1
     /* 1420914 */     // No operand predicates
     /* 1420914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420918 */     // MIs[0] policy
     /* 1420918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420955 */     // GIR_Coverage, 3112,
     /* 1420955 */     GIR_EraseRootFromParent_Done,
     /* 1420956 */   // Label 20056: @1420956
     /* 1420956 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1421053), // Rule ID 3113 //
     /* 1420961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421011 */     // MIs[1] Operand 1
     /* 1421011 */     // No operand predicates
     /* 1421011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421015 */     // MIs[0] policy
     /* 1421015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421052 */     // GIR_Coverage, 3113,
     /* 1421052 */     GIR_EraseRootFromParent_Done,
     /* 1421053 */   // Label 20057: @1421053
     /* 1421053 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1421150), // Rule ID 3116 //
     /* 1421058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1421061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1421075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421108 */     // MIs[1] Operand 1
     /* 1421108 */     // No operand predicates
     /* 1421108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421112 */     // MIs[0] policy
     /* 1421112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421149 */     // GIR_Coverage, 3116,
     /* 1421149 */     GIR_EraseRootFromParent_Done,
     /* 1421150 */   // Label 20058: @1421150
     /* 1421150 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1421247), // Rule ID 3117 //
     /* 1421155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1421172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421205 */     // MIs[1] Operand 1
     /* 1421205 */     // No operand predicates
     /* 1421205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421209 */     // MIs[0] policy
     /* 1421209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421246 */     // GIR_Coverage, 3117,
     /* 1421246 */     GIR_EraseRootFromParent_Done,
     /* 1421247 */   // Label 20059: @1421247
     /* 1421247 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1421344), // Rule ID 3384 //
     /* 1421252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421302 */     // MIs[1] Operand 1
     /* 1421302 */     // No operand predicates
     /* 1421302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421306 */     // MIs[0] policy
     /* 1421306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421318 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1421321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421343 */     // GIR_Coverage, 3384,
     /* 1421343 */     GIR_EraseRootFromParent_Done,
     /* 1421344 */   // Label 20060: @1421344
     /* 1421344 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1421441), // Rule ID 3385 //
     /* 1421349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421399 */     // MIs[1] Operand 1
     /* 1421399 */     // No operand predicates
     /* 1421399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421403 */     // MIs[0] policy
     /* 1421403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421415 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1421418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421440 */     // GIR_Coverage, 3385,
     /* 1421440 */     GIR_EraseRootFromParent_Done,
     /* 1421441 */   // Label 20061: @1421441
     /* 1421441 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1421538), // Rule ID 3388 //
     /* 1421446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421496 */     // MIs[1] Operand 1
     /* 1421496 */     // No operand predicates
     /* 1421496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421500 */     // MIs[0] policy
     /* 1421500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421537 */     // GIR_Coverage, 3388,
     /* 1421537 */     GIR_EraseRootFromParent_Done,
     /* 1421538 */   // Label 20062: @1421538
     /* 1421538 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1421635), // Rule ID 3389 //
     /* 1421543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421593 */     // MIs[1] Operand 1
     /* 1421593 */     // No operand predicates
     /* 1421593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421597 */     // MIs[0] policy
     /* 1421597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421634 */     // GIR_Coverage, 3389,
     /* 1421634 */     GIR_EraseRootFromParent_Done,
     /* 1421635 */   // Label 20063: @1421635
     /* 1421635 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1421732), // Rule ID 3392 //
     /* 1421640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421690 */     // MIs[1] Operand 1
     /* 1421690 */     // No operand predicates
     /* 1421690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421694 */     // MIs[0] policy
     /* 1421694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421706 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421731 */     // GIR_Coverage, 3392,
     /* 1421731 */     GIR_EraseRootFromParent_Done,
     /* 1421732 */   // Label 20064: @1421732
     /* 1421732 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1421829), // Rule ID 3393 //
     /* 1421737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421787 */     // MIs[1] Operand 1
     /* 1421787 */     // No operand predicates
     /* 1421787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421791 */     // MIs[0] policy
     /* 1421791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421828 */     // GIR_Coverage, 3393,
     /* 1421828 */     GIR_EraseRootFromParent_Done,
     /* 1421829 */   // Label 20065: @1421829
     /* 1421829 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1421926), // Rule ID 3396 //
     /* 1421834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421884 */     // MIs[1] Operand 1
     /* 1421884 */     // No operand predicates
     /* 1421884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421888 */     // MIs[0] policy
     /* 1421888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421925 */     // GIR_Coverage, 3396,
     /* 1421925 */     GIR_EraseRootFromParent_Done,
     /* 1421926 */   // Label 20066: @1421926
     /* 1421926 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1422023), // Rule ID 3397 //
     /* 1421931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421981 */     // MIs[1] Operand 1
     /* 1421981 */     // No operand predicates
     /* 1421981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421985 */     // MIs[0] policy
     /* 1421985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1422000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422022 */     // GIR_Coverage, 3397,
     /* 1422022 */     GIR_EraseRootFromParent_Done,
     /* 1422023 */   // Label 20067: @1422023
     /* 1422023 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1422120), // Rule ID 3400 //
     /* 1422028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1422045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422078 */     // MIs[1] Operand 1
     /* 1422078 */     // No operand predicates
     /* 1422078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422082 */     // MIs[0] policy
     /* 1422082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422119 */     // GIR_Coverage, 3400,
     /* 1422119 */     GIR_EraseRootFromParent_Done,
     /* 1422120 */   // Label 20068: @1422120
     /* 1422120 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1422217), // Rule ID 3401 //
     /* 1422125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1422142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422175 */     // MIs[1] Operand 1
     /* 1422175 */     // No operand predicates
     /* 1422175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422179 */     // MIs[0] policy
     /* 1422179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422216 */     // GIR_Coverage, 3401,
     /* 1422216 */     GIR_EraseRootFromParent_Done,
     /* 1422217 */   // Label 20069: @1422217
     /* 1422217 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1422314), // Rule ID 3404 //
     /* 1422222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422272 */     // MIs[1] Operand 1
     /* 1422272 */     // No operand predicates
     /* 1422272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422276 */     // MIs[0] policy
     /* 1422276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422313 */     // GIR_Coverage, 3404,
     /* 1422313 */     GIR_EraseRootFromParent_Done,
     /* 1422314 */   // Label 20070: @1422314
     /* 1422314 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1422411), // Rule ID 3405 //
     /* 1422319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422369 */     // MIs[1] Operand 1
     /* 1422369 */     // No operand predicates
     /* 1422369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422373 */     // MIs[0] policy
     /* 1422373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422385 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1422388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422410 */     // GIR_Coverage, 3405,
     /* 1422410 */     GIR_EraseRootFromParent_Done,
     /* 1422411 */   // Label 20071: @1422411
     /* 1422411 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1422508), // Rule ID 3408 //
     /* 1422416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422466 */     // MIs[1] Operand 1
     /* 1422466 */     // No operand predicates
     /* 1422466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422470 */     // MIs[0] policy
     /* 1422470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422507 */     // GIR_Coverage, 3408,
     /* 1422507 */     GIR_EraseRootFromParent_Done,
     /* 1422508 */   // Label 20072: @1422508
     /* 1422508 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1422605), // Rule ID 3409 //
     /* 1422513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422563 */     // MIs[1] Operand 1
     /* 1422563 */     // No operand predicates
     /* 1422563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422567 */     // MIs[0] policy
     /* 1422567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422604 */     // GIR_Coverage, 3409,
     /* 1422604 */     GIR_EraseRootFromParent_Done,
     /* 1422605 */   // Label 20073: @1422605
     /* 1422605 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1422702), // Rule ID 3412 //
     /* 1422610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422660 */     // MIs[1] Operand 1
     /* 1422660 */     // No operand predicates
     /* 1422660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422664 */     // MIs[0] policy
     /* 1422664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422701 */     // GIR_Coverage, 3412,
     /* 1422701 */     GIR_EraseRootFromParent_Done,
     /* 1422702 */   // Label 20074: @1422702
     /* 1422702 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1422799), // Rule ID 3413 //
     /* 1422707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422757 */     // MIs[1] Operand 1
     /* 1422757 */     // No operand predicates
     /* 1422757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422761 */     // MIs[0] policy
     /* 1422761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422798 */     // GIR_Coverage, 3413,
     /* 1422798 */     GIR_EraseRootFromParent_Done,
     /* 1422799 */   // Label 20075: @1422799
     /* 1422799 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1422896), // Rule ID 3416 //
     /* 1422804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422854 */     // MIs[1] Operand 1
     /* 1422854 */     // No operand predicates
     /* 1422854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422858 */     // MIs[0] policy
     /* 1422858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422895 */     // GIR_Coverage, 3416,
     /* 1422895 */     GIR_EraseRootFromParent_Done,
     /* 1422896 */   // Label 20076: @1422896
     /* 1422896 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1422993), // Rule ID 3417 //
     /* 1422901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422951 */     // MIs[1] Operand 1
     /* 1422951 */     // No operand predicates
     /* 1422951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422955 */     // MIs[0] policy
     /* 1422955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422992 */     // GIR_Coverage, 3417,
     /* 1422992 */     GIR_EraseRootFromParent_Done,
     /* 1422993 */   // Label 20077: @1422993
     /* 1422993 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1423090), // Rule ID 3420 //
     /* 1422998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1423009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1423012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1423015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423048 */     // MIs[1] Operand 1
     /* 1423048 */     // No operand predicates
     /* 1423048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423052 */     // MIs[0] policy
     /* 1423052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1423067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423089 */     // GIR_Coverage, 3420,
     /* 1423089 */     GIR_EraseRootFromParent_Done,
     /* 1423090 */   // Label 20078: @1423090
     /* 1423090 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1423187), // Rule ID 3421 //
     /* 1423095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1423106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1423109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1423112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423145 */     // MIs[1] Operand 1
     /* 1423145 */     // No operand predicates
     /* 1423145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423149 */     // MIs[0] policy
     /* 1423149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1423164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423186 */     // GIR_Coverage, 3421,
     /* 1423186 */     GIR_EraseRootFromParent_Done,
     /* 1423187 */   // Label 20079: @1423187
     /* 1423187 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1423284), // Rule ID 3424 //
     /* 1423192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423242 */     // MIs[1] Operand 1
     /* 1423242 */     // No operand predicates
     /* 1423242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423246 */     // MIs[0] policy
     /* 1423246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423283 */     // GIR_Coverage, 3424,
     /* 1423283 */     GIR_EraseRootFromParent_Done,
     /* 1423284 */   // Label 20080: @1423284
     /* 1423284 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1423381), // Rule ID 3425 //
     /* 1423289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423339 */     // MIs[1] Operand 1
     /* 1423339 */     // No operand predicates
     /* 1423339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423343 */     // MIs[0] policy
     /* 1423343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423355 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423380 */     // GIR_Coverage, 3425,
     /* 1423380 */     GIR_EraseRootFromParent_Done,
     /* 1423381 */   // Label 20081: @1423381
     /* 1423381 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1423478), // Rule ID 3428 //
     /* 1423386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423436 */     // MIs[1] Operand 1
     /* 1423436 */     // No operand predicates
     /* 1423436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423440 */     // MIs[0] policy
     /* 1423440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423477 */     // GIR_Coverage, 3428,
     /* 1423477 */     GIR_EraseRootFromParent_Done,
     /* 1423478 */   // Label 20082: @1423478
     /* 1423478 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1423575), // Rule ID 3429 //
     /* 1423483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423533 */     // MIs[1] Operand 1
     /* 1423533 */     // No operand predicates
     /* 1423533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423537 */     // MIs[0] policy
     /* 1423537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423574 */     // GIR_Coverage, 3429,
     /* 1423574 */     GIR_EraseRootFromParent_Done,
     /* 1423575 */   // Label 20083: @1423575
     /* 1423575 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1423672), // Rule ID 3432 //
     /* 1423580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423630 */     // MIs[1] Operand 1
     /* 1423630 */     // No operand predicates
     /* 1423630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423634 */     // MIs[0] policy
     /* 1423634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423671 */     // GIR_Coverage, 3432,
     /* 1423671 */     GIR_EraseRootFromParent_Done,
     /* 1423672 */   // Label 20084: @1423672
     /* 1423672 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1423769), // Rule ID 3433 //
     /* 1423677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423727 */     // MIs[1] Operand 1
     /* 1423727 */     // No operand predicates
     /* 1423727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423731 */     // MIs[0] policy
     /* 1423731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423743 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423768 */     // GIR_Coverage, 3433,
     /* 1423768 */     GIR_EraseRootFromParent_Done,
     /* 1423769 */   // Label 20085: @1423769
     /* 1423769 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1423866), // Rule ID 3436 //
     /* 1423774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423824 */     // MIs[1] Operand 1
     /* 1423824 */     // No operand predicates
     /* 1423824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423828 */     // MIs[0] policy
     /* 1423828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423865 */     // GIR_Coverage, 3436,
     /* 1423865 */     GIR_EraseRootFromParent_Done,
     /* 1423866 */   // Label 20086: @1423866
     /* 1423866 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1423963), // Rule ID 3437 //
     /* 1423871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423921 */     // MIs[1] Operand 1
     /* 1423921 */     // No operand predicates
     /* 1423921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423925 */     // MIs[0] policy
     /* 1423925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423962 */     // GIR_Coverage, 3437,
     /* 1423962 */     GIR_EraseRootFromParent_Done,
     /* 1423963 */   // Label 20087: @1423963
     /* 1423963 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1424060), // Rule ID 3440 //
     /* 1423968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424018 */     // MIs[1] Operand 1
     /* 1424018 */     // No operand predicates
     /* 1424018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424022 */     // MIs[0] policy
     /* 1424022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424059 */     // GIR_Coverage, 3440,
     /* 1424059 */     GIR_EraseRootFromParent_Done,
     /* 1424060 */   // Label 20088: @1424060
     /* 1424060 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1424157), // Rule ID 3441 //
     /* 1424065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1424076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1424079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1424082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424115 */     // MIs[1] Operand 1
     /* 1424115 */     // No operand predicates
     /* 1424115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424119 */     // MIs[0] policy
     /* 1424119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424156 */     // GIR_Coverage, 3441,
     /* 1424156 */     GIR_EraseRootFromParent_Done,
     /* 1424157 */   // Label 20089: @1424157
     /* 1424157 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1424254), // Rule ID 3444 //
     /* 1424162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424212 */     // MIs[1] Operand 1
     /* 1424212 */     // No operand predicates
     /* 1424212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424216 */     // MIs[0] policy
     /* 1424216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424253 */     // GIR_Coverage, 3444,
     /* 1424253 */     GIR_EraseRootFromParent_Done,
     /* 1424254 */   // Label 20090: @1424254
     /* 1424254 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1424351), // Rule ID 3445 //
     /* 1424259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424309 */     // MIs[1] Operand 1
     /* 1424309 */     // No operand predicates
     /* 1424309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424313 */     // MIs[0] policy
     /* 1424313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424350 */     // GIR_Coverage, 3445,
     /* 1424350 */     GIR_EraseRootFromParent_Done,
     /* 1424351 */   // Label 20091: @1424351
     /* 1424351 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1424448), // Rule ID 3448 //
     /* 1424356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424406 */     // MIs[1] Operand 1
     /* 1424406 */     // No operand predicates
     /* 1424406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424410 */     // MIs[0] policy
     /* 1424410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424447 */     // GIR_Coverage, 3448,
     /* 1424447 */     GIR_EraseRootFromParent_Done,
     /* 1424448 */   // Label 20092: @1424448
     /* 1424448 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1424545), // Rule ID 3449 //
     /* 1424453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424503 */     // MIs[1] Operand 1
     /* 1424503 */     // No operand predicates
     /* 1424503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424507 */     // MIs[0] policy
     /* 1424507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424544 */     // GIR_Coverage, 3449,
     /* 1424544 */     GIR_EraseRootFromParent_Done,
     /* 1424545 */   // Label 20093: @1424545
     /* 1424545 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1424642), // Rule ID 3452 //
     /* 1424550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424600 */     // MIs[1] Operand 1
     /* 1424600 */     // No operand predicates
     /* 1424600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424604 */     // MIs[0] policy
     /* 1424604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424641 */     // GIR_Coverage, 3452,
     /* 1424641 */     GIR_EraseRootFromParent_Done,
     /* 1424642 */   // Label 20094: @1424642
     /* 1424642 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1424739), // Rule ID 3453 //
     /* 1424647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424697 */     // MIs[1] Operand 1
     /* 1424697 */     // No operand predicates
     /* 1424697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424701 */     // MIs[0] policy
     /* 1424701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424738 */     // GIR_Coverage, 3453,
     /* 1424738 */     GIR_EraseRootFromParent_Done,
     /* 1424739 */   // Label 20095: @1424739
     /* 1424739 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1424836), // Rule ID 3456 //
     /* 1424744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424794 */     // MIs[1] Operand 1
     /* 1424794 */     // No operand predicates
     /* 1424794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424798 */     // MIs[0] policy
     /* 1424798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424835 */     // GIR_Coverage, 3456,
     /* 1424835 */     GIR_EraseRootFromParent_Done,
     /* 1424836 */   // Label 20096: @1424836
     /* 1424836 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1424933), // Rule ID 3457 //
     /* 1424841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424891 */     // MIs[1] Operand 1
     /* 1424891 */     // No operand predicates
     /* 1424891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424895 */     // MIs[0] policy
     /* 1424895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424932 */     // GIR_Coverage, 3457,
     /* 1424932 */     GIR_EraseRootFromParent_Done,
     /* 1424933 */   // Label 20097: @1424933
     /* 1424933 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1425030), // Rule ID 3460 //
     /* 1424938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424988 */     // MIs[1] Operand 1
     /* 1424988 */     // No operand predicates
     /* 1424988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424992 */     // MIs[0] policy
     /* 1424992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1425007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425029 */     // GIR_Coverage, 3460,
     /* 1425029 */     GIR_EraseRootFromParent_Done,
     /* 1425030 */   // Label 20098: @1425030
     /* 1425030 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1425127), // Rule ID 3461 //
     /* 1425035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1425046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1425049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1425052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425085 */     // MIs[1] Operand 1
     /* 1425085 */     // No operand predicates
     /* 1425085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425089 */     // MIs[0] policy
     /* 1425089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1425104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425126 */     // GIR_Coverage, 3461,
     /* 1425126 */     GIR_EraseRootFromParent_Done,
     /* 1425127 */   // Label 20099: @1425127
     /* 1425127 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1425224), // Rule ID 3464 //
     /* 1425132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425182 */     // MIs[1] Operand 1
     /* 1425182 */     // No operand predicates
     /* 1425182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425186 */     // MIs[0] policy
     /* 1425186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1425201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425223 */     // GIR_Coverage, 3464,
     /* 1425223 */     GIR_EraseRootFromParent_Done,
     /* 1425224 */   // Label 20100: @1425224
     /* 1425224 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1425321), // Rule ID 3465 //
     /* 1425229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425279 */     // MIs[1] Operand 1
     /* 1425279 */     // No operand predicates
     /* 1425279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425283 */     // MIs[0] policy
     /* 1425283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425295 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1425298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425320 */     // GIR_Coverage, 3465,
     /* 1425320 */     GIR_EraseRootFromParent_Done,
     /* 1425321 */   // Label 20101: @1425321
     /* 1425321 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1425418), // Rule ID 3468 //
     /* 1425326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425376 */     // MIs[1] Operand 1
     /* 1425376 */     // No operand predicates
     /* 1425376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425380 */     // MIs[0] policy
     /* 1425380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425417 */     // GIR_Coverage, 3468,
     /* 1425417 */     GIR_EraseRootFromParent_Done,
     /* 1425418 */   // Label 20102: @1425418
     /* 1425418 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1425515), // Rule ID 3469 //
     /* 1425423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425473 */     // MIs[1] Operand 1
     /* 1425473 */     // No operand predicates
     /* 1425473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425477 */     // MIs[0] policy
     /* 1425477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425514 */     // GIR_Coverage, 3469,
     /* 1425514 */     GIR_EraseRootFromParent_Done,
     /* 1425515 */   // Label 20103: @1425515
     /* 1425515 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1425612), // Rule ID 5832 //
     /* 1425520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425570 */     // MIs[1] Operand 1
     /* 1425570 */     // No operand predicates
     /* 1425570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425574 */     // MIs[0] policy
     /* 1425574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425611 */     // GIR_Coverage, 5832,
     /* 1425611 */     GIR_EraseRootFromParent_Done,
     /* 1425612 */   // Label 20104: @1425612
     /* 1425612 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1425709), // Rule ID 5833 //
     /* 1425617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425667 */     // MIs[1] Operand 1
     /* 1425667 */     // No operand predicates
     /* 1425667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425671 */     // MIs[0] policy
     /* 1425671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425708 */     // GIR_Coverage, 5833,
     /* 1425708 */     GIR_EraseRootFromParent_Done,
     /* 1425709 */   // Label 20105: @1425709
     /* 1425709 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1425806), // Rule ID 5836 //
     /* 1425714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425764 */     // MIs[1] Operand 1
     /* 1425764 */     // No operand predicates
     /* 1425764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425768 */     // MIs[0] policy
     /* 1425768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425780 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425805 */     // GIR_Coverage, 5836,
     /* 1425805 */     GIR_EraseRootFromParent_Done,
     /* 1425806 */   // Label 20106: @1425806
     /* 1425806 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1425903), // Rule ID 5837 //
     /* 1425811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425861 */     // MIs[1] Operand 1
     /* 1425861 */     // No operand predicates
     /* 1425861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425865 */     // MIs[0] policy
     /* 1425865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425877 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425902 */     // GIR_Coverage, 5837,
     /* 1425902 */     GIR_EraseRootFromParent_Done,
     /* 1425903 */   // Label 20107: @1425903
     /* 1425903 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1426000), // Rule ID 5840 //
     /* 1425908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425958 */     // MIs[1] Operand 1
     /* 1425958 */     // No operand predicates
     /* 1425958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425962 */     // MIs[0] policy
     /* 1425962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425974 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425999 */     // GIR_Coverage, 5840,
     /* 1425999 */     GIR_EraseRootFromParent_Done,
     /* 1426000 */   // Label 20108: @1426000
     /* 1426000 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1426097), // Rule ID 5841 //
     /* 1426005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1426016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1426019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1426022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426055 */     // MIs[1] Operand 1
     /* 1426055 */     // No operand predicates
     /* 1426055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426059 */     // MIs[0] policy
     /* 1426059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426096 */     // GIR_Coverage, 5841,
     /* 1426096 */     GIR_EraseRootFromParent_Done,
     /* 1426097 */   // Label 20109: @1426097
     /* 1426097 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1426194), // Rule ID 5844 //
     /* 1426102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426152 */     // MIs[1] Operand 1
     /* 1426152 */     // No operand predicates
     /* 1426152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426156 */     // MIs[0] policy
     /* 1426156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1426171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426193 */     // GIR_Coverage, 5844,
     /* 1426193 */     GIR_EraseRootFromParent_Done,
     /* 1426194 */   // Label 20110: @1426194
     /* 1426194 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1426291), // Rule ID 5845 //
     /* 1426199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426249 */     // MIs[1] Operand 1
     /* 1426249 */     // No operand predicates
     /* 1426249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426253 */     // MIs[0] policy
     /* 1426253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426265 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1426268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426290 */     // GIR_Coverage, 5845,
     /* 1426290 */     GIR_EraseRootFromParent_Done,
     /* 1426291 */   // Label 20111: @1426291
     /* 1426291 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1426388), // Rule ID 5848 //
     /* 1426296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426346 */     // MIs[1] Operand 1
     /* 1426346 */     // No operand predicates
     /* 1426346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426350 */     // MIs[0] policy
     /* 1426350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426387 */     // GIR_Coverage, 5848,
     /* 1426387 */     GIR_EraseRootFromParent_Done,
     /* 1426388 */   // Label 20112: @1426388
     /* 1426388 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1426485), // Rule ID 5849 //
     /* 1426393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426443 */     // MIs[1] Operand 1
     /* 1426443 */     // No operand predicates
     /* 1426443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426447 */     // MIs[0] policy
     /* 1426447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426484 */     // GIR_Coverage, 5849,
     /* 1426484 */     GIR_EraseRootFromParent_Done,
     /* 1426485 */   // Label 20113: @1426485
     /* 1426485 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1426582), // Rule ID 5852 //
     /* 1426490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426540 */     // MIs[1] Operand 1
     /* 1426540 */     // No operand predicates
     /* 1426540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426544 */     // MIs[0] policy
     /* 1426544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426581 */     // GIR_Coverage, 5852,
     /* 1426581 */     GIR_EraseRootFromParent_Done,
     /* 1426582 */   // Label 20114: @1426582
     /* 1426582 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1426679), // Rule ID 5853 //
     /* 1426587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426637 */     // MIs[1] Operand 1
     /* 1426637 */     // No operand predicates
     /* 1426637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426641 */     // MIs[0] policy
     /* 1426641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426678 */     // GIR_Coverage, 5853,
     /* 1426678 */     GIR_EraseRootFromParent_Done,
     /* 1426679 */   // Label 20115: @1426679
     /* 1426679 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1426776), // Rule ID 5856 //
     /* 1426684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426734 */     // MIs[1] Operand 1
     /* 1426734 */     // No operand predicates
     /* 1426734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426738 */     // MIs[0] policy
     /* 1426738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426775 */     // GIR_Coverage, 5856,
     /* 1426775 */     GIR_EraseRootFromParent_Done,
     /* 1426776 */   // Label 20116: @1426776
     /* 1426776 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1426873), // Rule ID 5857 //
     /* 1426781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426831 */     // MIs[1] Operand 1
     /* 1426831 */     // No operand predicates
     /* 1426831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426835 */     // MIs[0] policy
     /* 1426835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426872 */     // GIR_Coverage, 5857,
     /* 1426872 */     GIR_EraseRootFromParent_Done,
     /* 1426873 */   // Label 20117: @1426873
     /* 1426873 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1426970), // Rule ID 5860 //
     /* 1426878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426928 */     // MIs[1] Operand 1
     /* 1426928 */     // No operand predicates
     /* 1426928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426932 */     // MIs[0] policy
     /* 1426932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426969 */     // GIR_Coverage, 5860,
     /* 1426969 */     GIR_EraseRootFromParent_Done,
     /* 1426970 */   // Label 20118: @1426970
     /* 1426970 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1427067), // Rule ID 5861 //
     /* 1426975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427025 */     // MIs[1] Operand 1
     /* 1427025 */     // No operand predicates
     /* 1427025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427029 */     // MIs[0] policy
     /* 1427029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427066 */     // GIR_Coverage, 5861,
     /* 1427066 */     GIR_EraseRootFromParent_Done,
     /* 1427067 */   // Label 20119: @1427067
     /* 1427067 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1427164), // Rule ID 5864 //
     /* 1427072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1427089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427122 */     // MIs[1] Operand 1
     /* 1427122 */     // No operand predicates
     /* 1427122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427126 */     // MIs[0] policy
     /* 1427126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427163 */     // GIR_Coverage, 5864,
     /* 1427163 */     GIR_EraseRootFromParent_Done,
     /* 1427164 */   // Label 20120: @1427164
     /* 1427164 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1427261), // Rule ID 5865 //
     /* 1427169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1427186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427219 */     // MIs[1] Operand 1
     /* 1427219 */     // No operand predicates
     /* 1427219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427223 */     // MIs[0] policy
     /* 1427223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427235 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427260 */     // GIR_Coverage, 5865,
     /* 1427260 */     GIR_EraseRootFromParent_Done,
     /* 1427261 */   // Label 20121: @1427261
     /* 1427261 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1427358), // Rule ID 5868 //
     /* 1427266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427316 */     // MIs[1] Operand 1
     /* 1427316 */     // No operand predicates
     /* 1427316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427320 */     // MIs[0] policy
     /* 1427320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427357 */     // GIR_Coverage, 5868,
     /* 1427357 */     GIR_EraseRootFromParent_Done,
     /* 1427358 */   // Label 20122: @1427358
     /* 1427358 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1427455), // Rule ID 5869 //
     /* 1427363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427413 */     // MIs[1] Operand 1
     /* 1427413 */     // No operand predicates
     /* 1427413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427417 */     // MIs[0] policy
     /* 1427417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427454 */     // GIR_Coverage, 5869,
     /* 1427454 */     GIR_EraseRootFromParent_Done,
     /* 1427455 */   // Label 20123: @1427455
     /* 1427455 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1427552), // Rule ID 5872 //
     /* 1427460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427510 */     // MIs[1] Operand 1
     /* 1427510 */     // No operand predicates
     /* 1427510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427514 */     // MIs[0] policy
     /* 1427514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427551 */     // GIR_Coverage, 5872,
     /* 1427551 */     GIR_EraseRootFromParent_Done,
     /* 1427552 */   // Label 20124: @1427552
     /* 1427552 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1427649), // Rule ID 5873 //
     /* 1427557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427607 */     // MIs[1] Operand 1
     /* 1427607 */     // No operand predicates
     /* 1427607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427611 */     // MIs[0] policy
     /* 1427611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427623 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427648 */     // GIR_Coverage, 5873,
     /* 1427648 */     GIR_EraseRootFromParent_Done,
     /* 1427649 */   // Label 20125: @1427649
     /* 1427649 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1427746), // Rule ID 5876 //
     /* 1427654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427704 */     // MIs[1] Operand 1
     /* 1427704 */     // No operand predicates
     /* 1427704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427708 */     // MIs[0] policy
     /* 1427708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427745 */     // GIR_Coverage, 5876,
     /* 1427745 */     GIR_EraseRootFromParent_Done,
     /* 1427746 */   // Label 20126: @1427746
     /* 1427746 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1427843), // Rule ID 5877 //
     /* 1427751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427801 */     // MIs[1] Operand 1
     /* 1427801 */     // No operand predicates
     /* 1427801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427805 */     // MIs[0] policy
     /* 1427805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427842 */     // GIR_Coverage, 5877,
     /* 1427842 */     GIR_EraseRootFromParent_Done,
     /* 1427843 */   // Label 20127: @1427843
     /* 1427843 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1427940), // Rule ID 5880 //
     /* 1427848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427898 */     // MIs[1] Operand 1
     /* 1427898 */     // No operand predicates
     /* 1427898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427902 */     // MIs[0] policy
     /* 1427902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427939 */     // GIR_Coverage, 5880,
     /* 1427939 */     GIR_EraseRootFromParent_Done,
     /* 1427940 */   // Label 20128: @1427940
     /* 1427940 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1428037), // Rule ID 5881 //
     /* 1427945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427995 */     // MIs[1] Operand 1
     /* 1427995 */     // No operand predicates
     /* 1427995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427999 */     // MIs[0] policy
     /* 1427999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428036 */     // GIR_Coverage, 5881,
     /* 1428036 */     GIR_EraseRootFromParent_Done,
     /* 1428037 */   // Label 20129: @1428037
     /* 1428037 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1428134), // Rule ID 5884 //
     /* 1428042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1428053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1428056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428092 */     // MIs[1] Operand 1
     /* 1428092 */     // No operand predicates
     /* 1428092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428096 */     // MIs[0] policy
     /* 1428096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428133 */     // GIR_Coverage, 5884,
     /* 1428133 */     GIR_EraseRootFromParent_Done,
     /* 1428134 */   // Label 20130: @1428134
     /* 1428134 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1428231), // Rule ID 5885 //
     /* 1428139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1428150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1428153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428189 */     // MIs[1] Operand 1
     /* 1428189 */     // No operand predicates
     /* 1428189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428193 */     // MIs[0] policy
     /* 1428193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428230 */     // GIR_Coverage, 5885,
     /* 1428230 */     GIR_EraseRootFromParent_Done,
     /* 1428231 */   // Label 20131: @1428231
     /* 1428231 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1428328), // Rule ID 5888 //
     /* 1428236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428286 */     // MIs[1] Operand 1
     /* 1428286 */     // No operand predicates
     /* 1428286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428290 */     // MIs[0] policy
     /* 1428290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428327 */     // GIR_Coverage, 5888,
     /* 1428327 */     GIR_EraseRootFromParent_Done,
     /* 1428328 */   // Label 20132: @1428328
     /* 1428328 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1428425), // Rule ID 5889 //
     /* 1428333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428383 */     // MIs[1] Operand 1
     /* 1428383 */     // No operand predicates
     /* 1428383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428387 */     // MIs[0] policy
     /* 1428387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428424 */     // GIR_Coverage, 5889,
     /* 1428424 */     GIR_EraseRootFromParent_Done,
     /* 1428425 */   // Label 20133: @1428425
     /* 1428425 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1428522), // Rule ID 5892 //
     /* 1428430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428480 */     // MIs[1] Operand 1
     /* 1428480 */     // No operand predicates
     /* 1428480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428484 */     // MIs[0] policy
     /* 1428484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428521 */     // GIR_Coverage, 5892,
     /* 1428521 */     GIR_EraseRootFromParent_Done,
     /* 1428522 */   // Label 20134: @1428522
     /* 1428522 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1428619), // Rule ID 5893 //
     /* 1428527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428577 */     // MIs[1] Operand 1
     /* 1428577 */     // No operand predicates
     /* 1428577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428581 */     // MIs[0] policy
     /* 1428581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428618 */     // GIR_Coverage, 5893,
     /* 1428618 */     GIR_EraseRootFromParent_Done,
     /* 1428619 */   // Label 20135: @1428619
     /* 1428619 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1428716), // Rule ID 5896 //
     /* 1428624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428674 */     // MIs[1] Operand 1
     /* 1428674 */     // No operand predicates
     /* 1428674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428678 */     // MIs[0] policy
     /* 1428678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428715 */     // GIR_Coverage, 5896,
     /* 1428715 */     GIR_EraseRootFromParent_Done,
     /* 1428716 */   // Label 20136: @1428716
     /* 1428716 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1428813), // Rule ID 5897 //
     /* 1428721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428771 */     // MIs[1] Operand 1
     /* 1428771 */     // No operand predicates
     /* 1428771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428775 */     // MIs[0] policy
     /* 1428775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428812 */     // GIR_Coverage, 5897,
     /* 1428812 */     GIR_EraseRootFromParent_Done,
     /* 1428813 */   // Label 20137: @1428813
     /* 1428813 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1428910), // Rule ID 5900 //
     /* 1428818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428868 */     // MIs[1] Operand 1
     /* 1428868 */     // No operand predicates
     /* 1428868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428872 */     // MIs[0] policy
     /* 1428872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428909 */     // GIR_Coverage, 5900,
     /* 1428909 */     GIR_EraseRootFromParent_Done,
     /* 1428910 */   // Label 20138: @1428910
     /* 1428910 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1429007), // Rule ID 5901 //
     /* 1428915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428965 */     // MIs[1] Operand 1
     /* 1428965 */     // No operand predicates
     /* 1428965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428969 */     // MIs[0] policy
     /* 1428969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429006 */     // GIR_Coverage, 5901,
     /* 1429006 */     GIR_EraseRootFromParent_Done,
     /* 1429007 */   // Label 20139: @1429007
     /* 1429007 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1429104), // Rule ID 5904 //
     /* 1429012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1429023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1429026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1429029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429062 */     // MIs[1] Operand 1
     /* 1429062 */     // No operand predicates
     /* 1429062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429066 */     // MIs[0] policy
     /* 1429066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429103 */     // GIR_Coverage, 5904,
     /* 1429103 */     GIR_EraseRootFromParent_Done,
     /* 1429104 */   // Label 20140: @1429104
     /* 1429104 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1429201), // Rule ID 5905 //
     /* 1429109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1429120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1429123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1429126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429159 */     // MIs[1] Operand 1
     /* 1429159 */     // No operand predicates
     /* 1429159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429163 */     // MIs[0] policy
     /* 1429163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429200 */     // GIR_Coverage, 5905,
     /* 1429200 */     GIR_EraseRootFromParent_Done,
     /* 1429201 */   // Label 20141: @1429201
     /* 1429201 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1429298), // Rule ID 5908 //
     /* 1429206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429256 */     // MIs[1] Operand 1
     /* 1429256 */     // No operand predicates
     /* 1429256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429260 */     // MIs[0] policy
     /* 1429260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1429275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429297 */     // GIR_Coverage, 5908,
     /* 1429297 */     GIR_EraseRootFromParent_Done,
     /* 1429298 */   // Label 20142: @1429298
     /* 1429298 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1429395), // Rule ID 5909 //
     /* 1429303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429353 */     // MIs[1] Operand 1
     /* 1429353 */     // No operand predicates
     /* 1429353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429357 */     // MIs[0] policy
     /* 1429357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1429372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429394 */     // GIR_Coverage, 5909,
     /* 1429394 */     GIR_EraseRootFromParent_Done,
     /* 1429395 */   // Label 20143: @1429395
     /* 1429395 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1429492), // Rule ID 5912 //
     /* 1429400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429450 */     // MIs[1] Operand 1
     /* 1429450 */     // No operand predicates
     /* 1429450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429454 */     // MIs[0] policy
     /* 1429454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429491 */     // GIR_Coverage, 5912,
     /* 1429491 */     GIR_EraseRootFromParent_Done,
     /* 1429492 */   // Label 20144: @1429492
     /* 1429492 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1429589), // Rule ID 5913 //
     /* 1429497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429547 */     // MIs[1] Operand 1
     /* 1429547 */     // No operand predicates
     /* 1429547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429551 */     // MIs[0] policy
     /* 1429551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429588 */     // GIR_Coverage, 5913,
     /* 1429588 */     GIR_EraseRootFromParent_Done,
     /* 1429589 */   // Label 20145: @1429589
     /* 1429589 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1429686), // Rule ID 5916 //
     /* 1429594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429644 */     // MIs[1] Operand 1
     /* 1429644 */     // No operand predicates
     /* 1429644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429648 */     // MIs[0] policy
     /* 1429648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429660 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429685 */     // GIR_Coverage, 5916,
     /* 1429685 */     GIR_EraseRootFromParent_Done,
     /* 1429686 */   // Label 20146: @1429686
     /* 1429686 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1429783), // Rule ID 5917 //
     /* 1429691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429741 */     // MIs[1] Operand 1
     /* 1429741 */     // No operand predicates
     /* 1429741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429745 */     // MIs[0] policy
     /* 1429745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429782 */     // GIR_Coverage, 5917,
     /* 1429782 */     GIR_EraseRootFromParent_Done,
     /* 1429783 */   // Label 20147: @1429783
     /* 1429783 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1429880), // Rule ID 6096 //
     /* 1429788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429838 */     // MIs[1] Operand 1
     /* 1429838 */     // No operand predicates
     /* 1429838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429842 */     // MIs[0] policy
     /* 1429842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429879 */     // GIR_Coverage, 6096,
     /* 1429879 */     GIR_EraseRootFromParent_Done,
     /* 1429880 */   // Label 20148: @1429880
     /* 1429880 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1429977), // Rule ID 6097 //
     /* 1429885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429935 */     // MIs[1] Operand 1
     /* 1429935 */     // No operand predicates
     /* 1429935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429939 */     // MIs[0] policy
     /* 1429939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429976 */     // GIR_Coverage, 6097,
     /* 1429976 */     GIR_EraseRootFromParent_Done,
     /* 1429977 */   // Label 20149: @1429977
     /* 1429977 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1430074), // Rule ID 6100 //
     /* 1429982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430032 */     // MIs[1] Operand 1
     /* 1430032 */     // No operand predicates
     /* 1430032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430036 */     // MIs[0] policy
     /* 1430036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430073 */     // GIR_Coverage, 6100,
     /* 1430073 */     GIR_EraseRootFromParent_Done,
     /* 1430074 */   // Label 20150: @1430074
     /* 1430074 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1430171), // Rule ID 6101 //
     /* 1430079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1430090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1430093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1430096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430129 */     // MIs[1] Operand 1
     /* 1430129 */     // No operand predicates
     /* 1430129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430133 */     // MIs[0] policy
     /* 1430133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430170 */     // GIR_Coverage, 6101,
     /* 1430170 */     GIR_EraseRootFromParent_Done,
     /* 1430171 */   // Label 20151: @1430171
     /* 1430171 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1430268), // Rule ID 6104 //
     /* 1430176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430226 */     // MIs[1] Operand 1
     /* 1430226 */     // No operand predicates
     /* 1430226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430230 */     // MIs[0] policy
     /* 1430230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430267 */     // GIR_Coverage, 6104,
     /* 1430267 */     GIR_EraseRootFromParent_Done,
     /* 1430268 */   // Label 20152: @1430268
     /* 1430268 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1430365), // Rule ID 6105 //
     /* 1430273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430323 */     // MIs[1] Operand 1
     /* 1430323 */     // No operand predicates
     /* 1430323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430327 */     // MIs[0] policy
     /* 1430327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430339 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430364 */     // GIR_Coverage, 6105,
     /* 1430364 */     GIR_EraseRootFromParent_Done,
     /* 1430365 */   // Label 20153: @1430365
     /* 1430365 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1430462), // Rule ID 6108 //
     /* 1430370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430420 */     // MIs[1] Operand 1
     /* 1430420 */     // No operand predicates
     /* 1430420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430424 */     // MIs[0] policy
     /* 1430424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430461 */     // GIR_Coverage, 6108,
     /* 1430461 */     GIR_EraseRootFromParent_Done,
     /* 1430462 */   // Label 20154: @1430462
     /* 1430462 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1430559), // Rule ID 6109 //
     /* 1430467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430517 */     // MIs[1] Operand 1
     /* 1430517 */     // No operand predicates
     /* 1430517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430521 */     // MIs[0] policy
     /* 1430521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430558 */     // GIR_Coverage, 6109,
     /* 1430558 */     GIR_EraseRootFromParent_Done,
     /* 1430559 */   // Label 20155: @1430559
     /* 1430559 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1430656), // Rule ID 6112 //
     /* 1430564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430614 */     // MIs[1] Operand 1
     /* 1430614 */     // No operand predicates
     /* 1430614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430618 */     // MIs[0] policy
     /* 1430618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430655 */     // GIR_Coverage, 6112,
     /* 1430655 */     GIR_EraseRootFromParent_Done,
     /* 1430656 */   // Label 20156: @1430656
     /* 1430656 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1430753), // Rule ID 6113 //
     /* 1430661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430711 */     // MIs[1] Operand 1
     /* 1430711 */     // No operand predicates
     /* 1430711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430715 */     // MIs[0] policy
     /* 1430715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430752 */     // GIR_Coverage, 6113,
     /* 1430752 */     GIR_EraseRootFromParent_Done,
     /* 1430753 */   // Label 20157: @1430753
     /* 1430753 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1430850), // Rule ID 6116 //
     /* 1430758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430808 */     // MIs[1] Operand 1
     /* 1430808 */     // No operand predicates
     /* 1430808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430812 */     // MIs[0] policy
     /* 1430812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430849 */     // GIR_Coverage, 6116,
     /* 1430849 */     GIR_EraseRootFromParent_Done,
     /* 1430850 */   // Label 20158: @1430850
     /* 1430850 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1430947), // Rule ID 6117 //
     /* 1430855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430905 */     // MIs[1] Operand 1
     /* 1430905 */     // No operand predicates
     /* 1430905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430909 */     // MIs[0] policy
     /* 1430909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430946 */     // GIR_Coverage, 6117,
     /* 1430946 */     GIR_EraseRootFromParent_Done,
     /* 1430947 */   // Label 20159: @1430947
     /* 1430947 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1431044), // Rule ID 6120 //
     /* 1430952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431002 */     // MIs[1] Operand 1
     /* 1431002 */     // No operand predicates
     /* 1431002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431006 */     // MIs[0] policy
     /* 1431006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431043 */     // GIR_Coverage, 6120,
     /* 1431043 */     GIR_EraseRootFromParent_Done,
     /* 1431044 */   // Label 20160: @1431044
     /* 1431044 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1431141), // Rule ID 6121 //
     /* 1431049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1431060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1431063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1431066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431099 */     // MIs[1] Operand 1
     /* 1431099 */     // No operand predicates
     /* 1431099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431103 */     // MIs[0] policy
     /* 1431103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431115 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431140 */     // GIR_Coverage, 6121,
     /* 1431140 */     GIR_EraseRootFromParent_Done,
     /* 1431141 */   // Label 20161: @1431141
     /* 1431141 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1431238), // Rule ID 6124 //
     /* 1431146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431196 */     // MIs[1] Operand 1
     /* 1431196 */     // No operand predicates
     /* 1431196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431200 */     // MIs[0] policy
     /* 1431200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431237 */     // GIR_Coverage, 6124,
     /* 1431237 */     GIR_EraseRootFromParent_Done,
     /* 1431238 */   // Label 20162: @1431238
     /* 1431238 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1431335), // Rule ID 6125 //
     /* 1431243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431293 */     // MIs[1] Operand 1
     /* 1431293 */     // No operand predicates
     /* 1431293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431297 */     // MIs[0] policy
     /* 1431297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431334 */     // GIR_Coverage, 6125,
     /* 1431334 */     GIR_EraseRootFromParent_Done,
     /* 1431335 */   // Label 20163: @1431335
     /* 1431335 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1431432), // Rule ID 6128 //
     /* 1431340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431390 */     // MIs[1] Operand 1
     /* 1431390 */     // No operand predicates
     /* 1431390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431394 */     // MIs[0] policy
     /* 1431394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431431 */     // GIR_Coverage, 6128,
     /* 1431431 */     GIR_EraseRootFromParent_Done,
     /* 1431432 */   // Label 20164: @1431432
     /* 1431432 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1431529), // Rule ID 6129 //
     /* 1431437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431487 */     // MIs[1] Operand 1
     /* 1431487 */     // No operand predicates
     /* 1431487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431491 */     // MIs[0] policy
     /* 1431491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431528 */     // GIR_Coverage, 6129,
     /* 1431528 */     GIR_EraseRootFromParent_Done,
     /* 1431529 */   // Label 20165: @1431529
     /* 1431529 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1431626), // Rule ID 6132 //
     /* 1431534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431584 */     // MIs[1] Operand 1
     /* 1431584 */     // No operand predicates
     /* 1431584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431588 */     // MIs[0] policy
     /* 1431588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431625 */     // GIR_Coverage, 6132,
     /* 1431625 */     GIR_EraseRootFromParent_Done,
     /* 1431626 */   // Label 20166: @1431626
     /* 1431626 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1431723), // Rule ID 6133 //
     /* 1431631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431681 */     // MIs[1] Operand 1
     /* 1431681 */     // No operand predicates
     /* 1431681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431685 */     // MIs[0] policy
     /* 1431685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431722 */     // GIR_Coverage, 6133,
     /* 1431722 */     GIR_EraseRootFromParent_Done,
     /* 1431723 */   // Label 20167: @1431723
     /* 1431723 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1431820), // Rule ID 6136 //
     /* 1431728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431778 */     // MIs[1] Operand 1
     /* 1431778 */     // No operand predicates
     /* 1431778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431782 */     // MIs[0] policy
     /* 1431782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431819 */     // GIR_Coverage, 6136,
     /* 1431819 */     GIR_EraseRootFromParent_Done,
     /* 1431820 */   // Label 20168: @1431820
     /* 1431820 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1431917), // Rule ID 6137 //
     /* 1431825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431875 */     // MIs[1] Operand 1
     /* 1431875 */     // No operand predicates
     /* 1431875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431879 */     // MIs[0] policy
     /* 1431879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431916 */     // GIR_Coverage, 6137,
     /* 1431916 */     GIR_EraseRootFromParent_Done,
     /* 1431917 */   // Label 20169: @1431917
     /* 1431917 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1432014), // Rule ID 6140 //
     /* 1431922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431972 */     // MIs[1] Operand 1
     /* 1431972 */     // No operand predicates
     /* 1431972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431976 */     // MIs[0] policy
     /* 1431976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432013 */     // GIR_Coverage, 6140,
     /* 1432013 */     GIR_EraseRootFromParent_Done,
     /* 1432014 */   // Label 20170: @1432014
     /* 1432014 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1432111), // Rule ID 6141 //
     /* 1432019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1432030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1432033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1432036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432069 */     // MIs[1] Operand 1
     /* 1432069 */     // No operand predicates
     /* 1432069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432073 */     // MIs[0] policy
     /* 1432073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432085 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432110 */     // GIR_Coverage, 6141,
     /* 1432110 */     GIR_EraseRootFromParent_Done,
     /* 1432111 */   // Label 20171: @1432111
     /* 1432111 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1432208), // Rule ID 6144 //
     /* 1432116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432166 */     // MIs[1] Operand 1
     /* 1432166 */     // No operand predicates
     /* 1432166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432170 */     // MIs[0] policy
     /* 1432170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432207 */     // GIR_Coverage, 6144,
     /* 1432207 */     GIR_EraseRootFromParent_Done,
     /* 1432208 */   // Label 20172: @1432208
     /* 1432208 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1432305), // Rule ID 6145 //
     /* 1432213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432263 */     // MIs[1] Operand 1
     /* 1432263 */     // No operand predicates
     /* 1432263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432267 */     // MIs[0] policy
     /* 1432267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432279 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432304 */     // GIR_Coverage, 6145,
     /* 1432304 */     GIR_EraseRootFromParent_Done,
     /* 1432305 */   // Label 20173: @1432305
     /* 1432305 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1432402), // Rule ID 6148 //
     /* 1432310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432360 */     // MIs[1] Operand 1
     /* 1432360 */     // No operand predicates
     /* 1432360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432364 */     // MIs[0] policy
     /* 1432364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432401 */     // GIR_Coverage, 6148,
     /* 1432401 */     GIR_EraseRootFromParent_Done,
     /* 1432402 */   // Label 20174: @1432402
     /* 1432402 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1432499), // Rule ID 6149 //
     /* 1432407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432457 */     // MIs[1] Operand 1
     /* 1432457 */     // No operand predicates
     /* 1432457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432461 */     // MIs[0] policy
     /* 1432461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432498 */     // GIR_Coverage, 6149,
     /* 1432498 */     GIR_EraseRootFromParent_Done,
     /* 1432499 */   // Label 20175: @1432499
     /* 1432499 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1432596), // Rule ID 6152 //
     /* 1432504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432554 */     // MIs[1] Operand 1
     /* 1432554 */     // No operand predicates
     /* 1432554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432558 */     // MIs[0] policy
     /* 1432558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432595 */     // GIR_Coverage, 6152,
     /* 1432595 */     GIR_EraseRootFromParent_Done,
     /* 1432596 */   // Label 20176: @1432596
     /* 1432596 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1432693), // Rule ID 6153 //
     /* 1432601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432651 */     // MIs[1] Operand 1
     /* 1432651 */     // No operand predicates
     /* 1432651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432655 */     // MIs[0] policy
     /* 1432655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432692 */     // GIR_Coverage, 6153,
     /* 1432692 */     GIR_EraseRootFromParent_Done,
     /* 1432693 */   // Label 20177: @1432693
     /* 1432693 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1432790), // Rule ID 6156 //
     /* 1432698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432748 */     // MIs[1] Operand 1
     /* 1432748 */     // No operand predicates
     /* 1432748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432752 */     // MIs[0] policy
     /* 1432752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432789 */     // GIR_Coverage, 6156,
     /* 1432789 */     GIR_EraseRootFromParent_Done,
     /* 1432790 */   // Label 20178: @1432790
     /* 1432790 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1432887), // Rule ID 6157 //
     /* 1432795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432845 */     // MIs[1] Operand 1
     /* 1432845 */     // No operand predicates
     /* 1432845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432849 */     // MIs[0] policy
     /* 1432849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432886 */     // GIR_Coverage, 6157,
     /* 1432886 */     GIR_EraseRootFromParent_Done,
     /* 1432887 */   // Label 20179: @1432887
     /* 1432887 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1432984), // Rule ID 6160 //
     /* 1432892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432942 */     // MIs[1] Operand 1
     /* 1432942 */     // No operand predicates
     /* 1432942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432946 */     // MIs[0] policy
     /* 1432946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432983 */     // GIR_Coverage, 6160,
     /* 1432983 */     GIR_EraseRootFromParent_Done,
     /* 1432984 */   // Label 20180: @1432984
     /* 1432984 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1433081), // Rule ID 6161 //
     /* 1432989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1433000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1433003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1433006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433039 */     // MIs[1] Operand 1
     /* 1433039 */     // No operand predicates
     /* 1433039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433043 */     // MIs[0] policy
     /* 1433043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433080 */     // GIR_Coverage, 6161,
     /* 1433080 */     GIR_EraseRootFromParent_Done,
     /* 1433081 */   // Label 20181: @1433081
     /* 1433081 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1433178), // Rule ID 6164 //
     /* 1433086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1433097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1433100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1433103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433136 */     // MIs[1] Operand 1
     /* 1433136 */     // No operand predicates
     /* 1433136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433140 */     // MIs[0] policy
     /* 1433140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433177 */     // GIR_Coverage, 6164,
     /* 1433177 */     GIR_EraseRootFromParent_Done,
     /* 1433178 */   // Label 20182: @1433178
     /* 1433178 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1433275), // Rule ID 6165 //
     /* 1433183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1433194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1433197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1433200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433233 */     // MIs[1] Operand 1
     /* 1433233 */     // No operand predicates
     /* 1433233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433237 */     // MIs[0] policy
     /* 1433237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433274 */     // GIR_Coverage, 6165,
     /* 1433274 */     GIR_EraseRootFromParent_Done,
     /* 1433275 */   // Label 20183: @1433275
     /* 1433275 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1433372), // Rule ID 6168 //
     /* 1433280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433330 */     // MIs[1] Operand 1
     /* 1433330 */     // No operand predicates
     /* 1433330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433334 */     // MIs[0] policy
     /* 1433334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433371 */     // GIR_Coverage, 6168,
     /* 1433371 */     GIR_EraseRootFromParent_Done,
     /* 1433372 */   // Label 20184: @1433372
     /* 1433372 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1433469), // Rule ID 6169 //
     /* 1433377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433427 */     // MIs[1] Operand 1
     /* 1433427 */     // No operand predicates
     /* 1433427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433431 */     // MIs[0] policy
     /* 1433431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433468 */     // GIR_Coverage, 6169,
     /* 1433468 */     GIR_EraseRootFromParent_Done,
     /* 1433469 */   // Label 20185: @1433469
     /* 1433469 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1433566), // Rule ID 6172 //
     /* 1433474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433524 */     // MIs[1] Operand 1
     /* 1433524 */     // No operand predicates
     /* 1433524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433528 */     // MIs[0] policy
     /* 1433528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433565 */     // GIR_Coverage, 6172,
     /* 1433565 */     GIR_EraseRootFromParent_Done,
     /* 1433566 */   // Label 20186: @1433566
     /* 1433566 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1433663), // Rule ID 6173 //
     /* 1433571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433621 */     // MIs[1] Operand 1
     /* 1433621 */     // No operand predicates
     /* 1433621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433625 */     // MIs[0] policy
     /* 1433625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433662 */     // GIR_Coverage, 6173,
     /* 1433662 */     GIR_EraseRootFromParent_Done,
     /* 1433663 */   // Label 20187: @1433663
     /* 1433663 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1433760), // Rule ID 6176 //
     /* 1433668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433718 */     // MIs[1] Operand 1
     /* 1433718 */     // No operand predicates
     /* 1433718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433722 */     // MIs[0] policy
     /* 1433722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433759 */     // GIR_Coverage, 6176,
     /* 1433759 */     GIR_EraseRootFromParent_Done,
     /* 1433760 */   // Label 20188: @1433760
     /* 1433760 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1433857), // Rule ID 6177 //
     /* 1433765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433815 */     // MIs[1] Operand 1
     /* 1433815 */     // No operand predicates
     /* 1433815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433819 */     // MIs[0] policy
     /* 1433819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433831 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433856 */     // GIR_Coverage, 6177,
     /* 1433856 */     GIR_EraseRootFromParent_Done,
     /* 1433857 */   // Label 20189: @1433857
     /* 1433857 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1433954), // Rule ID 6180 //
     /* 1433862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433912 */     // MIs[1] Operand 1
     /* 1433912 */     // No operand predicates
     /* 1433912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433916 */     // MIs[0] policy
     /* 1433916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433953 */     // GIR_Coverage, 6180,
     /* 1433953 */     GIR_EraseRootFromParent_Done,
     /* 1433954 */   // Label 20190: @1433954
     /* 1433954 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1434051), // Rule ID 6181 //
     /* 1433959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434009 */     // MIs[1] Operand 1
     /* 1434009 */     // No operand predicates
     /* 1434009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434013 */     // MIs[0] policy
     /* 1434013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1434028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434050 */     // GIR_Coverage, 6181,
     /* 1434050 */     GIR_EraseRootFromParent_Done,
     /* 1434051 */   // Label 20191: @1434051
     /* 1434051 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1434148), // Rule ID 6360 //
     /* 1434056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1434067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1434070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1434073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434106 */     // MIs[1] Operand 1
     /* 1434106 */     // No operand predicates
     /* 1434106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434110 */     // MIs[0] policy
     /* 1434110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1434125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434147 */     // GIR_Coverage, 6360,
     /* 1434147 */     GIR_EraseRootFromParent_Done,
     /* 1434148 */   // Label 20192: @1434148
     /* 1434148 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1434245), // Rule ID 6361 //
     /* 1434153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1434164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1434167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1434170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434203 */     // MIs[1] Operand 1
     /* 1434203 */     // No operand predicates
     /* 1434203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434207 */     // MIs[0] policy
     /* 1434207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1434222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434244 */     // GIR_Coverage, 6361,
     /* 1434244 */     GIR_EraseRootFromParent_Done,
     /* 1434245 */   // Label 20193: @1434245
     /* 1434245 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1434342), // Rule ID 6364 //
     /* 1434250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434300 */     // MIs[1] Operand 1
     /* 1434300 */     // No operand predicates
     /* 1434300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434304 */     // MIs[0] policy
     /* 1434304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434341 */     // GIR_Coverage, 6364,
     /* 1434341 */     GIR_EraseRootFromParent_Done,
     /* 1434342 */   // Label 20194: @1434342
     /* 1434342 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1434439), // Rule ID 6365 //
     /* 1434347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434397 */     // MIs[1] Operand 1
     /* 1434397 */     // No operand predicates
     /* 1434397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434401 */     // MIs[0] policy
     /* 1434401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434413 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434438 */     // GIR_Coverage, 6365,
     /* 1434438 */     GIR_EraseRootFromParent_Done,
     /* 1434439 */   // Label 20195: @1434439
     /* 1434439 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1434536), // Rule ID 6368 //
     /* 1434444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434494 */     // MIs[1] Operand 1
     /* 1434494 */     // No operand predicates
     /* 1434494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434498 */     // MIs[0] policy
     /* 1434498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434510 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434535 */     // GIR_Coverage, 6368,
     /* 1434535 */     GIR_EraseRootFromParent_Done,
     /* 1434536 */   // Label 20196: @1434536
     /* 1434536 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1434633), // Rule ID 6369 //
     /* 1434541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434591 */     // MIs[1] Operand 1
     /* 1434591 */     // No operand predicates
     /* 1434591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434595 */     // MIs[0] policy
     /* 1434595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434632 */     // GIR_Coverage, 6369,
     /* 1434632 */     GIR_EraseRootFromParent_Done,
     /* 1434633 */   // Label 20197: @1434633
     /* 1434633 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1434730), // Rule ID 6372 //
     /* 1434638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434688 */     // MIs[1] Operand 1
     /* 1434688 */     // No operand predicates
     /* 1434688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434692 */     // MIs[0] policy
     /* 1434692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434704 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434729 */     // GIR_Coverage, 6372,
     /* 1434729 */     GIR_EraseRootFromParent_Done,
     /* 1434730 */   // Label 20198: @1434730
     /* 1434730 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1434827), // Rule ID 6373 //
     /* 1434735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434785 */     // MIs[1] Operand 1
     /* 1434785 */     // No operand predicates
     /* 1434785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434789 */     // MIs[0] policy
     /* 1434789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434826 */     // GIR_Coverage, 6373,
     /* 1434826 */     GIR_EraseRootFromParent_Done,
     /* 1434827 */   // Label 20199: @1434827
     /* 1434827 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1434924), // Rule ID 6376 //
     /* 1434832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434882 */     // MIs[1] Operand 1
     /* 1434882 */     // No operand predicates
     /* 1434882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434886 */     // MIs[0] policy
     /* 1434886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434923 */     // GIR_Coverage, 6376,
     /* 1434923 */     GIR_EraseRootFromParent_Done,
     /* 1434924 */   // Label 20200: @1434924
     /* 1434924 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1435021), // Rule ID 6377 //
     /* 1434929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434979 */     // MIs[1] Operand 1
     /* 1434979 */     // No operand predicates
     /* 1434979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434983 */     // MIs[0] policy
     /* 1434983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435020 */     // GIR_Coverage, 6377,
     /* 1435020 */     GIR_EraseRootFromParent_Done,
     /* 1435021 */   // Label 20201: @1435021
     /* 1435021 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1435118), // Rule ID 6380 //
     /* 1435026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1435037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1435040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1435043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435076 */     // MIs[1] Operand 1
     /* 1435076 */     // No operand predicates
     /* 1435076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435080 */     // MIs[0] policy
     /* 1435080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1435095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435117 */     // GIR_Coverage, 6380,
     /* 1435117 */     GIR_EraseRootFromParent_Done,
     /* 1435118 */   // Label 20202: @1435118
     /* 1435118 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1435215), // Rule ID 6381 //
     /* 1435123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1435134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1435137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1435140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435173 */     // MIs[1] Operand 1
     /* 1435173 */     // No operand predicates
     /* 1435173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435177 */     // MIs[0] policy
     /* 1435177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435189 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1435192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435214 */     // GIR_Coverage, 6381,
     /* 1435214 */     GIR_EraseRootFromParent_Done,
     /* 1435215 */   // Label 20203: @1435215
     /* 1435215 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1435312), // Rule ID 6384 //
     /* 1435220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435270 */     // MIs[1] Operand 1
     /* 1435270 */     // No operand predicates
     /* 1435270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435274 */     // MIs[0] policy
     /* 1435274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435286 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435311 */     // GIR_Coverage, 6384,
     /* 1435311 */     GIR_EraseRootFromParent_Done,
     /* 1435312 */   // Label 20204: @1435312
     /* 1435312 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1435409), // Rule ID 6385 //
     /* 1435317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435367 */     // MIs[1] Operand 1
     /* 1435367 */     // No operand predicates
     /* 1435367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435371 */     // MIs[0] policy
     /* 1435371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435408 */     // GIR_Coverage, 6385,
     /* 1435408 */     GIR_EraseRootFromParent_Done,
     /* 1435409 */   // Label 20205: @1435409
     /* 1435409 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1435506), // Rule ID 6388 //
     /* 1435414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435464 */     // MIs[1] Operand 1
     /* 1435464 */     // No operand predicates
     /* 1435464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435468 */     // MIs[0] policy
     /* 1435468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435505 */     // GIR_Coverage, 6388,
     /* 1435505 */     GIR_EraseRootFromParent_Done,
     /* 1435506 */   // Label 20206: @1435506
     /* 1435506 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1435603), // Rule ID 6389 //
     /* 1435511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435561 */     // MIs[1] Operand 1
     /* 1435561 */     // No operand predicates
     /* 1435561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435565 */     // MIs[0] policy
     /* 1435565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435602 */     // GIR_Coverage, 6389,
     /* 1435602 */     GIR_EraseRootFromParent_Done,
     /* 1435603 */   // Label 20207: @1435603
     /* 1435603 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1435700), // Rule ID 6392 //
     /* 1435608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435658 */     // MIs[1] Operand 1
     /* 1435658 */     // No operand predicates
     /* 1435658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435662 */     // MIs[0] policy
     /* 1435662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435699 */     // GIR_Coverage, 6392,
     /* 1435699 */     GIR_EraseRootFromParent_Done,
     /* 1435700 */   // Label 20208: @1435700
     /* 1435700 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1435797), // Rule ID 6393 //
     /* 1435705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435755 */     // MIs[1] Operand 1
     /* 1435755 */     // No operand predicates
     /* 1435755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435759 */     // MIs[0] policy
     /* 1435759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435796 */     // GIR_Coverage, 6393,
     /* 1435796 */     GIR_EraseRootFromParent_Done,
     /* 1435797 */   // Label 20209: @1435797
     /* 1435797 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1435894), // Rule ID 6396 //
     /* 1435802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435852 */     // MIs[1] Operand 1
     /* 1435852 */     // No operand predicates
     /* 1435852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435856 */     // MIs[0] policy
     /* 1435856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435893 */     // GIR_Coverage, 6396,
     /* 1435893 */     GIR_EraseRootFromParent_Done,
     /* 1435894 */   // Label 20210: @1435894
     /* 1435894 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1435991), // Rule ID 6397 //
     /* 1435899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435949 */     // MIs[1] Operand 1
     /* 1435949 */     // No operand predicates
     /* 1435949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435953 */     // MIs[0] policy
     /* 1435953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435990 */     // GIR_Coverage, 6397,
     /* 1435990 */     GIR_EraseRootFromParent_Done,
     /* 1435991 */   // Label 20211: @1435991
     /* 1435991 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1436088), // Rule ID 6400 //
     /* 1435996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1436007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1436010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1436013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436046 */     // MIs[1] Operand 1
     /* 1436046 */     // No operand predicates
     /* 1436046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436050 */     // MIs[0] policy
     /* 1436050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436087 */     // GIR_Coverage, 6400,
     /* 1436087 */     GIR_EraseRootFromParent_Done,
     /* 1436088 */   // Label 20212: @1436088
     /* 1436088 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1436185), // Rule ID 6401 //
     /* 1436093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1436104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1436107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1436110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436143 */     // MIs[1] Operand 1
     /* 1436143 */     // No operand predicates
     /* 1436143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436147 */     // MIs[0] policy
     /* 1436147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436184 */     // GIR_Coverage, 6401,
     /* 1436184 */     GIR_EraseRootFromParent_Done,
     /* 1436185 */   // Label 20213: @1436185
     /* 1436185 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1436282), // Rule ID 6404 //
     /* 1436190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436240 */     // MIs[1] Operand 1
     /* 1436240 */     // No operand predicates
     /* 1436240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436244 */     // MIs[0] policy
     /* 1436244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436281 */     // GIR_Coverage, 6404,
     /* 1436281 */     GIR_EraseRootFromParent_Done,
     /* 1436282 */   // Label 20214: @1436282
     /* 1436282 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1436379), // Rule ID 6405 //
     /* 1436287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436337 */     // MIs[1] Operand 1
     /* 1436337 */     // No operand predicates
     /* 1436337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436341 */     // MIs[0] policy
     /* 1436341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436378 */     // GIR_Coverage, 6405,
     /* 1436378 */     GIR_EraseRootFromParent_Done,
     /* 1436379 */   // Label 20215: @1436379
     /* 1436379 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1436476), // Rule ID 6408 //
     /* 1436384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436434 */     // MIs[1] Operand 1
     /* 1436434 */     // No operand predicates
     /* 1436434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436438 */     // MIs[0] policy
     /* 1436438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436475 */     // GIR_Coverage, 6408,
     /* 1436475 */     GIR_EraseRootFromParent_Done,
     /* 1436476 */   // Label 20216: @1436476
     /* 1436476 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1436573), // Rule ID 6409 //
     /* 1436481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436531 */     // MIs[1] Operand 1
     /* 1436531 */     // No operand predicates
     /* 1436531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436535 */     // MIs[0] policy
     /* 1436535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436572 */     // GIR_Coverage, 6409,
     /* 1436572 */     GIR_EraseRootFromParent_Done,
     /* 1436573 */   // Label 20217: @1436573
     /* 1436573 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1436670), // Rule ID 6412 //
     /* 1436578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436628 */     // MIs[1] Operand 1
     /* 1436628 */     // No operand predicates
     /* 1436628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436632 */     // MIs[0] policy
     /* 1436632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436669 */     // GIR_Coverage, 6412,
     /* 1436669 */     GIR_EraseRootFromParent_Done,
     /* 1436670 */   // Label 20218: @1436670
     /* 1436670 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1436767), // Rule ID 6413 //
     /* 1436675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436725 */     // MIs[1] Operand 1
     /* 1436725 */     // No operand predicates
     /* 1436725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436729 */     // MIs[0] policy
     /* 1436729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436766 */     // GIR_Coverage, 6413,
     /* 1436766 */     GIR_EraseRootFromParent_Done,
     /* 1436767 */   // Label 20219: @1436767
     /* 1436767 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1436864), // Rule ID 6416 //
     /* 1436772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436822 */     // MIs[1] Operand 1
     /* 1436822 */     // No operand predicates
     /* 1436822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436826 */     // MIs[0] policy
     /* 1436826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436863 */     // GIR_Coverage, 6416,
     /* 1436863 */     GIR_EraseRootFromParent_Done,
     /* 1436864 */   // Label 20220: @1436864
     /* 1436864 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1436961), // Rule ID 6417 //
     /* 1436869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436919 */     // MIs[1] Operand 1
     /* 1436919 */     // No operand predicates
     /* 1436919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436923 */     // MIs[0] policy
     /* 1436923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436960 */     // GIR_Coverage, 6417,
     /* 1436960 */     GIR_EraseRootFromParent_Done,
     /* 1436961 */   // Label 20221: @1436961
     /* 1436961 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1437058), // Rule ID 6420 //
     /* 1436966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437016 */     // MIs[1] Operand 1
     /* 1437016 */     // No operand predicates
     /* 1437016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437020 */     // MIs[0] policy
     /* 1437020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437057 */     // GIR_Coverage, 6420,
     /* 1437057 */     GIR_EraseRootFromParent_Done,
     /* 1437058 */   // Label 20222: @1437058
     /* 1437058 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1437155), // Rule ID 6421 //
     /* 1437063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1437074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1437077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1437080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1437086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437113 */     // MIs[1] Operand 1
     /* 1437113 */     // No operand predicates
     /* 1437113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437117 */     // MIs[0] policy
     /* 1437117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437154 */     // GIR_Coverage, 6421,
     /* 1437154 */     GIR_EraseRootFromParent_Done,
     /* 1437155 */   // Label 20223: @1437155
     /* 1437155 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1437252), // Rule ID 6424 //
     /* 1437160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437210 */     // MIs[1] Operand 1
     /* 1437210 */     // No operand predicates
     /* 1437210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437214 */     // MIs[0] policy
     /* 1437214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437251 */     // GIR_Coverage, 6424,
     /* 1437251 */     GIR_EraseRootFromParent_Done,
     /* 1437252 */   // Label 20224: @1437252
     /* 1437252 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1437349), // Rule ID 6425 //
     /* 1437257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437307 */     // MIs[1] Operand 1
     /* 1437307 */     // No operand predicates
     /* 1437307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437311 */     // MIs[0] policy
     /* 1437311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437348 */     // GIR_Coverage, 6425,
     /* 1437348 */     GIR_EraseRootFromParent_Done,
     /* 1437349 */   // Label 20225: @1437349
     /* 1437349 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1437446), // Rule ID 6428 //
     /* 1437354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437404 */     // MIs[1] Operand 1
     /* 1437404 */     // No operand predicates
     /* 1437404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437408 */     // MIs[0] policy
     /* 1437408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437445 */     // GIR_Coverage, 6428,
     /* 1437445 */     GIR_EraseRootFromParent_Done,
     /* 1437446 */   // Label 20226: @1437446
     /* 1437446 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1437543), // Rule ID 6429 //
     /* 1437451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437501 */     // MIs[1] Operand 1
     /* 1437501 */     // No operand predicates
     /* 1437501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437505 */     // MIs[0] policy
     /* 1437505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437542 */     // GIR_Coverage, 6429,
     /* 1437542 */     GIR_EraseRootFromParent_Done,
     /* 1437543 */   // Label 20227: @1437543
     /* 1437543 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1437640), // Rule ID 6432 //
     /* 1437548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437598 */     // MIs[1] Operand 1
     /* 1437598 */     // No operand predicates
     /* 1437598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437602 */     // MIs[0] policy
     /* 1437602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437639 */     // GIR_Coverage, 6432,
     /* 1437639 */     GIR_EraseRootFromParent_Done,
     /* 1437640 */   // Label 20228: @1437640
     /* 1437640 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1437737), // Rule ID 6433 //
     /* 1437645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437695 */     // MIs[1] Operand 1
     /* 1437695 */     // No operand predicates
     /* 1437695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437699 */     // MIs[0] policy
     /* 1437699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437736 */     // GIR_Coverage, 6433,
     /* 1437736 */     GIR_EraseRootFromParent_Done,
     /* 1437737 */   // Label 20229: @1437737
     /* 1437737 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1437834), // Rule ID 6436 //
     /* 1437742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437792 */     // MIs[1] Operand 1
     /* 1437792 */     // No operand predicates
     /* 1437792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437796 */     // MIs[0] policy
     /* 1437796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437833 */     // GIR_Coverage, 6436,
     /* 1437833 */     GIR_EraseRootFromParent_Done,
     /* 1437834 */   // Label 20230: @1437834
     /* 1437834 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1437931), // Rule ID 6437 //
     /* 1437839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437889 */     // MIs[1] Operand 1
     /* 1437889 */     // No operand predicates
     /* 1437889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437893 */     // MIs[0] policy
     /* 1437893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437930 */     // GIR_Coverage, 6437,
     /* 1437930 */     GIR_EraseRootFromParent_Done,
     /* 1437931 */   // Label 20231: @1437931
     /* 1437931 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1438028), // Rule ID 6440 //
     /* 1437936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437986 */     // MIs[1] Operand 1
     /* 1437986 */     // No operand predicates
     /* 1437986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437990 */     // MIs[0] policy
     /* 1437990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1438005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438027 */     // GIR_Coverage, 6440,
     /* 1438027 */     GIR_EraseRootFromParent_Done,
     /* 1438028 */   // Label 20232: @1438028
     /* 1438028 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1438125), // Rule ID 6441 //
     /* 1438033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1438044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1438047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1438050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438083 */     // MIs[1] Operand 1
     /* 1438083 */     // No operand predicates
     /* 1438083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438087 */     // MIs[0] policy
     /* 1438087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1438102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438124 */     // GIR_Coverage, 6441,
     /* 1438124 */     GIR_EraseRootFromParent_Done,
     /* 1438125 */   // Label 20233: @1438125
     /* 1438125 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1438222), // Rule ID 6444 //
     /* 1438130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438180 */     // MIs[1] Operand 1
     /* 1438180 */     // No operand predicates
     /* 1438180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438184 */     // MIs[0] policy
     /* 1438184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1438199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438221 */     // GIR_Coverage, 6444,
     /* 1438221 */     GIR_EraseRootFromParent_Done,
     /* 1438222 */   // Label 20234: @1438222
     /* 1438222 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1438319), // Rule ID 6445 //
     /* 1438227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438277 */     // MIs[1] Operand 1
     /* 1438277 */     // No operand predicates
     /* 1438277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438281 */     // MIs[0] policy
     /* 1438281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1438296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438318 */     // GIR_Coverage, 6445,
     /* 1438318 */     GIR_EraseRootFromParent_Done,
     /* 1438319 */   // Label 20235: @1438319
     /* 1438319 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1438416), // Rule ID 6624 //
     /* 1438324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438374 */     // MIs[1] Operand 1
     /* 1438374 */     // No operand predicates
     /* 1438374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438378 */     // MIs[0] policy
     /* 1438378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438415 */     // GIR_Coverage, 6624,
     /* 1438415 */     GIR_EraseRootFromParent_Done,
     /* 1438416 */   // Label 20236: @1438416
     /* 1438416 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1438513), // Rule ID 6625 //
     /* 1438421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438471 */     // MIs[1] Operand 1
     /* 1438471 */     // No operand predicates
     /* 1438471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438475 */     // MIs[0] policy
     /* 1438475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438487 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438512 */     // GIR_Coverage, 6625,
     /* 1438512 */     GIR_EraseRootFromParent_Done,
     /* 1438513 */   // Label 20237: @1438513
     /* 1438513 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1438610), // Rule ID 6628 //
     /* 1438518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438568 */     // MIs[1] Operand 1
     /* 1438568 */     // No operand predicates
     /* 1438568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438572 */     // MIs[0] policy
     /* 1438572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438609 */     // GIR_Coverage, 6628,
     /* 1438609 */     GIR_EraseRootFromParent_Done,
     /* 1438610 */   // Label 20238: @1438610
     /* 1438610 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1438707), // Rule ID 6629 //
     /* 1438615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438665 */     // MIs[1] Operand 1
     /* 1438665 */     // No operand predicates
     /* 1438665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438669 */     // MIs[0] policy
     /* 1438669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438681 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438706 */     // GIR_Coverage, 6629,
     /* 1438706 */     GIR_EraseRootFromParent_Done,
     /* 1438707 */   // Label 20239: @1438707
     /* 1438707 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1438804), // Rule ID 6632 //
     /* 1438712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438762 */     // MIs[1] Operand 1
     /* 1438762 */     // No operand predicates
     /* 1438762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438766 */     // MIs[0] policy
     /* 1438766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438803 */     // GIR_Coverage, 6632,
     /* 1438803 */     GIR_EraseRootFromParent_Done,
     /* 1438804 */   // Label 20240: @1438804
     /* 1438804 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1438901), // Rule ID 6633 //
     /* 1438809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438859 */     // MIs[1] Operand 1
     /* 1438859 */     // No operand predicates
     /* 1438859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438863 */     // MIs[0] policy
     /* 1438863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438900 */     // GIR_Coverage, 6633,
     /* 1438900 */     GIR_EraseRootFromParent_Done,
     /* 1438901 */   // Label 20241: @1438901
     /* 1438901 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1438998), // Rule ID 6636 //
     /* 1438906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438956 */     // MIs[1] Operand 1
     /* 1438956 */     // No operand predicates
     /* 1438956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438960 */     // MIs[0] policy
     /* 1438960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438997 */     // GIR_Coverage, 6636,
     /* 1438997 */     GIR_EraseRootFromParent_Done,
     /* 1438998 */   // Label 20242: @1438998
     /* 1438998 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1439095), // Rule ID 6637 //
     /* 1439003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1439014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1439017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1439020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439053 */     // MIs[1] Operand 1
     /* 1439053 */     // No operand predicates
     /* 1439053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439057 */     // MIs[0] policy
     /* 1439057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1439072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439094 */     // GIR_Coverage, 6637,
     /* 1439094 */     GIR_EraseRootFromParent_Done,
     /* 1439095 */   // Label 20243: @1439095
     /* 1439095 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1439192), // Rule ID 6640 //
     /* 1439100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439150 */     // MIs[1] Operand 1
     /* 1439150 */     // No operand predicates
     /* 1439150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439154 */     // MIs[0] policy
     /* 1439154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439191 */     // GIR_Coverage, 6640,
     /* 1439191 */     GIR_EraseRootFromParent_Done,
     /* 1439192 */   // Label 20244: @1439192
     /* 1439192 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1439289), // Rule ID 6641 //
     /* 1439197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439247 */     // MIs[1] Operand 1
     /* 1439247 */     // No operand predicates
     /* 1439247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439251 */     // MIs[0] policy
     /* 1439251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439288 */     // GIR_Coverage, 6641,
     /* 1439288 */     GIR_EraseRootFromParent_Done,
     /* 1439289 */   // Label 20245: @1439289
     /* 1439289 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1439386), // Rule ID 6644 //
     /* 1439294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439344 */     // MIs[1] Operand 1
     /* 1439344 */     // No operand predicates
     /* 1439344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439348 */     // MIs[0] policy
     /* 1439348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439385 */     // GIR_Coverage, 6644,
     /* 1439385 */     GIR_EraseRootFromParent_Done,
     /* 1439386 */   // Label 20246: @1439386
     /* 1439386 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1439483), // Rule ID 6645 //
     /* 1439391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439441 */     // MIs[1] Operand 1
     /* 1439441 */     // No operand predicates
     /* 1439441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439445 */     // MIs[0] policy
     /* 1439445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439482 */     // GIR_Coverage, 6645,
     /* 1439482 */     GIR_EraseRootFromParent_Done,
     /* 1439483 */   // Label 20247: @1439483
     /* 1439483 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1439580), // Rule ID 6648 //
     /* 1439488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439538 */     // MIs[1] Operand 1
     /* 1439538 */     // No operand predicates
     /* 1439538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439542 */     // MIs[0] policy
     /* 1439542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439554 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439579 */     // GIR_Coverage, 6648,
     /* 1439579 */     GIR_EraseRootFromParent_Done,
     /* 1439580 */   // Label 20248: @1439580
     /* 1439580 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1439677), // Rule ID 6649 //
     /* 1439585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439635 */     // MIs[1] Operand 1
     /* 1439635 */     // No operand predicates
     /* 1439635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439639 */     // MIs[0] policy
     /* 1439639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439676 */     // GIR_Coverage, 6649,
     /* 1439676 */     GIR_EraseRootFromParent_Done,
     /* 1439677 */   // Label 20249: @1439677
     /* 1439677 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1439774), // Rule ID 6652 //
     /* 1439682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439732 */     // MIs[1] Operand 1
     /* 1439732 */     // No operand predicates
     /* 1439732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439736 */     // MIs[0] policy
     /* 1439736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439773 */     // GIR_Coverage, 6652,
     /* 1439773 */     GIR_EraseRootFromParent_Done,
     /* 1439774 */   // Label 20250: @1439774
     /* 1439774 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1439871), // Rule ID 6653 //
     /* 1439779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439829 */     // MIs[1] Operand 1
     /* 1439829 */     // No operand predicates
     /* 1439829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439833 */     // MIs[0] policy
     /* 1439833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439870 */     // GIR_Coverage, 6653,
     /* 1439870 */     GIR_EraseRootFromParent_Done,
     /* 1439871 */   // Label 20251: @1439871
     /* 1439871 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1439968), // Rule ID 6656 //
     /* 1439876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439926 */     // MIs[1] Operand 1
     /* 1439926 */     // No operand predicates
     /* 1439926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439930 */     // MIs[0] policy
     /* 1439930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439967 */     // GIR_Coverage, 6656,
     /* 1439967 */     GIR_EraseRootFromParent_Done,
     /* 1439968 */   // Label 20252: @1439968
     /* 1439968 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1440065), // Rule ID 6657 //
     /* 1439973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440023 */     // MIs[1] Operand 1
     /* 1440023 */     // No operand predicates
     /* 1440023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440027 */     // MIs[0] policy
     /* 1440027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440064 */     // GIR_Coverage, 6657,
     /* 1440064 */     GIR_EraseRootFromParent_Done,
     /* 1440065 */   // Label 20253: @1440065
     /* 1440065 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1440162), // Rule ID 6660 //
     /* 1440070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1440081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1440084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1440087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440120 */     // MIs[1] Operand 1
     /* 1440120 */     // No operand predicates
     /* 1440120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440124 */     // MIs[0] policy
     /* 1440124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440161 */     // GIR_Coverage, 6660,
     /* 1440161 */     GIR_EraseRootFromParent_Done,
     /* 1440162 */   // Label 20254: @1440162
     /* 1440162 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1440259), // Rule ID 6661 //
     /* 1440167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1440178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1440181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1440184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440217 */     // MIs[1] Operand 1
     /* 1440217 */     // No operand predicates
     /* 1440217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440221 */     // MIs[0] policy
     /* 1440221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1440236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440258 */     // GIR_Coverage, 6661,
     /* 1440258 */     GIR_EraseRootFromParent_Done,
     /* 1440259 */   // Label 20255: @1440259
     /* 1440259 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1440356), // Rule ID 6664 //
     /* 1440264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440314 */     // MIs[1] Operand 1
     /* 1440314 */     // No operand predicates
     /* 1440314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440318 */     // MIs[0] policy
     /* 1440318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440355 */     // GIR_Coverage, 6664,
     /* 1440355 */     GIR_EraseRootFromParent_Done,
     /* 1440356 */   // Label 20256: @1440356
     /* 1440356 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1440453), // Rule ID 6665 //
     /* 1440361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440411 */     // MIs[1] Operand 1
     /* 1440411 */     // No operand predicates
     /* 1440411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440415 */     // MIs[0] policy
     /* 1440415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440452 */     // GIR_Coverage, 6665,
     /* 1440452 */     GIR_EraseRootFromParent_Done,
     /* 1440453 */   // Label 20257: @1440453
     /* 1440453 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1440550), // Rule ID 6668 //
     /* 1440458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440508 */     // MIs[1] Operand 1
     /* 1440508 */     // No operand predicates
     /* 1440508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440512 */     // MIs[0] policy
     /* 1440512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440549 */     // GIR_Coverage, 6668,
     /* 1440549 */     GIR_EraseRootFromParent_Done,
     /* 1440550 */   // Label 20258: @1440550
     /* 1440550 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1440647), // Rule ID 6669 //
     /* 1440555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440605 */     // MIs[1] Operand 1
     /* 1440605 */     // No operand predicates
     /* 1440605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440609 */     // MIs[0] policy
     /* 1440609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440646 */     // GIR_Coverage, 6669,
     /* 1440646 */     GIR_EraseRootFromParent_Done,
     /* 1440647 */   // Label 20259: @1440647
     /* 1440647 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1440744), // Rule ID 6672 //
     /* 1440652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440702 */     // MIs[1] Operand 1
     /* 1440702 */     // No operand predicates
     /* 1440702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440706 */     // MIs[0] policy
     /* 1440706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440743 */     // GIR_Coverage, 6672,
     /* 1440743 */     GIR_EraseRootFromParent_Done,
     /* 1440744 */   // Label 20260: @1440744
     /* 1440744 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1440841), // Rule ID 6673 //
     /* 1440749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440799 */     // MIs[1] Operand 1
     /* 1440799 */     // No operand predicates
     /* 1440799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440803 */     // MIs[0] policy
     /* 1440803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440815 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440840 */     // GIR_Coverage, 6673,
     /* 1440840 */     GIR_EraseRootFromParent_Done,
     /* 1440841 */   // Label 20261: @1440841
     /* 1440841 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1440938), // Rule ID 6676 //
     /* 1440846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440896 */     // MIs[1] Operand 1
     /* 1440896 */     // No operand predicates
     /* 1440896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440900 */     // MIs[0] policy
     /* 1440900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440937 */     // GIR_Coverage, 6676,
     /* 1440937 */     GIR_EraseRootFromParent_Done,
     /* 1440938 */   // Label 20262: @1440938
     /* 1440938 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1441035), // Rule ID 6677 //
     /* 1440943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440993 */     // MIs[1] Operand 1
     /* 1440993 */     // No operand predicates
     /* 1440993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440997 */     // MIs[0] policy
     /* 1440997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441034 */     // GIR_Coverage, 6677,
     /* 1441034 */     GIR_EraseRootFromParent_Done,
     /* 1441035 */   // Label 20263: @1441035
     /* 1441035 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1441132), // Rule ID 6680 //
     /* 1441040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1441051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1441054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1441057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441090 */     // MIs[1] Operand 1
     /* 1441090 */     // No operand predicates
     /* 1441090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441094 */     // MIs[0] policy
     /* 1441094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441131 */     // GIR_Coverage, 6680,
     /* 1441131 */     GIR_EraseRootFromParent_Done,
     /* 1441132 */   // Label 20264: @1441132
     /* 1441132 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1441229), // Rule ID 6681 //
     /* 1441137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1441148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1441151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1441154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441187 */     // MIs[1] Operand 1
     /* 1441187 */     // No operand predicates
     /* 1441187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441191 */     // MIs[0] policy
     /* 1441191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441228 */     // GIR_Coverage, 6681,
     /* 1441228 */     GIR_EraseRootFromParent_Done,
     /* 1441229 */   // Label 20265: @1441229
     /* 1441229 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1441326), // Rule ID 6684 //
     /* 1441234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441284 */     // MIs[1] Operand 1
     /* 1441284 */     // No operand predicates
     /* 1441284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441288 */     // MIs[0] policy
     /* 1441288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441325 */     // GIR_Coverage, 6684,
     /* 1441325 */     GIR_EraseRootFromParent_Done,
     /* 1441326 */   // Label 20266: @1441326
     /* 1441326 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1441423), // Rule ID 6685 //
     /* 1441331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441381 */     // MIs[1] Operand 1
     /* 1441381 */     // No operand predicates
     /* 1441381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441385 */     // MIs[0] policy
     /* 1441385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441422 */     // GIR_Coverage, 6685,
     /* 1441422 */     GIR_EraseRootFromParent_Done,
     /* 1441423 */   // Label 20267: @1441423
     /* 1441423 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1441520), // Rule ID 6688 //
     /* 1441428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441478 */     // MIs[1] Operand 1
     /* 1441478 */     // No operand predicates
     /* 1441478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441482 */     // MIs[0] policy
     /* 1441482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441519 */     // GIR_Coverage, 6688,
     /* 1441519 */     GIR_EraseRootFromParent_Done,
     /* 1441520 */   // Label 20268: @1441520
     /* 1441520 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1441617), // Rule ID 6689 //
     /* 1441525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441575 */     // MIs[1] Operand 1
     /* 1441575 */     // No operand predicates
     /* 1441575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441579 */     // MIs[0] policy
     /* 1441579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441616 */     // GIR_Coverage, 6689,
     /* 1441616 */     GIR_EraseRootFromParent_Done,
     /* 1441617 */   // Label 20269: @1441617
     /* 1441617 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1441714), // Rule ID 6692 //
     /* 1441622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441672 */     // MIs[1] Operand 1
     /* 1441672 */     // No operand predicates
     /* 1441672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441676 */     // MIs[0] policy
     /* 1441676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441713 */     // GIR_Coverage, 6692,
     /* 1441713 */     GIR_EraseRootFromParent_Done,
     /* 1441714 */   // Label 20270: @1441714
     /* 1441714 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1441811), // Rule ID 6693 //
     /* 1441719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441769 */     // MIs[1] Operand 1
     /* 1441769 */     // No operand predicates
     /* 1441769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441773 */     // MIs[0] policy
     /* 1441773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441810 */     // GIR_Coverage, 6693,
     /* 1441810 */     GIR_EraseRootFromParent_Done,
     /* 1441811 */   // Label 20271: @1441811
     /* 1441811 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1441908), // Rule ID 6696 //
     /* 1441816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441866 */     // MIs[1] Operand 1
     /* 1441866 */     // No operand predicates
     /* 1441866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441870 */     // MIs[0] policy
     /* 1441870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441907 */     // GIR_Coverage, 6696,
     /* 1441907 */     GIR_EraseRootFromParent_Done,
     /* 1441908 */   // Label 20272: @1441908
     /* 1441908 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1442005), // Rule ID 6697 //
     /* 1441913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441963 */     // MIs[1] Operand 1
     /* 1441963 */     // No operand predicates
     /* 1441963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441967 */     // MIs[0] policy
     /* 1441967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442004 */     // GIR_Coverage, 6697,
     /* 1442004 */     GIR_EraseRootFromParent_Done,
     /* 1442005 */   // Label 20273: @1442005
     /* 1442005 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1442102), // Rule ID 6700 //
     /* 1442010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1442027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442060 */     // MIs[1] Operand 1
     /* 1442060 */     // No operand predicates
     /* 1442060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442064 */     // MIs[0] policy
     /* 1442064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1442079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442101 */     // GIR_Coverage, 6700,
     /* 1442101 */     GIR_EraseRootFromParent_Done,
     /* 1442102 */   // Label 20274: @1442102
     /* 1442102 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1442199), // Rule ID 6701 //
     /* 1442107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1442124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442157 */     // MIs[1] Operand 1
     /* 1442157 */     // No operand predicates
     /* 1442157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442161 */     // MIs[0] policy
     /* 1442161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442173 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1442176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442198 */     // GIR_Coverage, 6701,
     /* 1442198 */     GIR_EraseRootFromParent_Done,
     /* 1442199 */   // Label 20275: @1442199
     /* 1442199 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1442296), // Rule ID 6704 //
     /* 1442204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442254 */     // MIs[1] Operand 1
     /* 1442254 */     // No operand predicates
     /* 1442254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442258 */     // MIs[0] policy
     /* 1442258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1442273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442295 */     // GIR_Coverage, 6704,
     /* 1442295 */     GIR_EraseRootFromParent_Done,
     /* 1442296 */   // Label 20276: @1442296
     /* 1442296 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1442393), // Rule ID 6705 //
     /* 1442301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442351 */     // MIs[1] Operand 1
     /* 1442351 */     // No operand predicates
     /* 1442351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442355 */     // MIs[0] policy
     /* 1442355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1442370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442392 */     // GIR_Coverage, 6705,
     /* 1442392 */     GIR_EraseRootFromParent_Done,
     /* 1442393 */   // Label 20277: @1442393
     /* 1442393 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1442490), // Rule ID 6708 //
     /* 1442398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442448 */     // MIs[1] Operand 1
     /* 1442448 */     // No operand predicates
     /* 1442448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442452 */     // MIs[0] policy
     /* 1442452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442489 */     // GIR_Coverage, 6708,
     /* 1442489 */     GIR_EraseRootFromParent_Done,
     /* 1442490 */   // Label 20278: @1442490
     /* 1442490 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1442587), // Rule ID 6709 //
     /* 1442495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442545 */     // MIs[1] Operand 1
     /* 1442545 */     // No operand predicates
     /* 1442545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442549 */     // MIs[0] policy
     /* 1442549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442586 */     // GIR_Coverage, 6709,
     /* 1442586 */     GIR_EraseRootFromParent_Done,
     /* 1442587 */   // Label 20279: @1442587
     /* 1442587 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1442684), // Rule ID 6888 //
     /* 1442592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442642 */     // MIs[1] Operand 1
     /* 1442642 */     // No operand predicates
     /* 1442642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442646 */     // MIs[0] policy
     /* 1442646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442683 */     // GIR_Coverage, 6888,
     /* 1442683 */     GIR_EraseRootFromParent_Done,
     /* 1442684 */   // Label 20280: @1442684
     /* 1442684 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1442781), // Rule ID 6889 //
     /* 1442689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442739 */     // MIs[1] Operand 1
     /* 1442739 */     // No operand predicates
     /* 1442739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442743 */     // MIs[0] policy
     /* 1442743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442780 */     // GIR_Coverage, 6889,
     /* 1442780 */     GIR_EraseRootFromParent_Done,
     /* 1442781 */   // Label 20281: @1442781
     /* 1442781 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1442878), // Rule ID 6892 //
     /* 1442786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442836 */     // MIs[1] Operand 1
     /* 1442836 */     // No operand predicates
     /* 1442836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442840 */     // MIs[0] policy
     /* 1442840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442877 */     // GIR_Coverage, 6892,
     /* 1442877 */     GIR_EraseRootFromParent_Done,
     /* 1442878 */   // Label 20282: @1442878
     /* 1442878 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1442975), // Rule ID 6893 //
     /* 1442883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442933 */     // MIs[1] Operand 1
     /* 1442933 */     // No operand predicates
     /* 1442933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442937 */     // MIs[0] policy
     /* 1442937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442949 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442974 */     // GIR_Coverage, 6893,
     /* 1442974 */     GIR_EraseRootFromParent_Done,
     /* 1442975 */   // Label 20283: @1442975
     /* 1442975 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1443072), // Rule ID 6896 //
     /* 1442980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443030 */     // MIs[1] Operand 1
     /* 1443030 */     // No operand predicates
     /* 1443030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443034 */     // MIs[0] policy
     /* 1443034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443071 */     // GIR_Coverage, 6896,
     /* 1443071 */     GIR_EraseRootFromParent_Done,
     /* 1443072 */   // Label 20284: @1443072
     /* 1443072 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1443169), // Rule ID 6897 //
     /* 1443077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1443088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1443091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1443094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443127 */     // MIs[1] Operand 1
     /* 1443127 */     // No operand predicates
     /* 1443127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443131 */     // MIs[0] policy
     /* 1443131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443143 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443168 */     // GIR_Coverage, 6897,
     /* 1443168 */     GIR_EraseRootFromParent_Done,
     /* 1443169 */   // Label 20285: @1443169
     /* 1443169 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1443266), // Rule ID 6900 //
     /* 1443174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443224 */     // MIs[1] Operand 1
     /* 1443224 */     // No operand predicates
     /* 1443224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443228 */     // MIs[0] policy
     /* 1443228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1443243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443265 */     // GIR_Coverage, 6900,
     /* 1443265 */     GIR_EraseRootFromParent_Done,
     /* 1443266 */   // Label 20286: @1443266
     /* 1443266 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1443363), // Rule ID 6901 //
     /* 1443271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443321 */     // MIs[1] Operand 1
     /* 1443321 */     // No operand predicates
     /* 1443321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443325 */     // MIs[0] policy
     /* 1443325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443337 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1443340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443362 */     // GIR_Coverage, 6901,
     /* 1443362 */     GIR_EraseRootFromParent_Done,
     /* 1443363 */   // Label 20287: @1443363
     /* 1443363 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1443460), // Rule ID 6904 //
     /* 1443368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443418 */     // MIs[1] Operand 1
     /* 1443418 */     // No operand predicates
     /* 1443418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443422 */     // MIs[0] policy
     /* 1443422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443459 */     // GIR_Coverage, 6904,
     /* 1443459 */     GIR_EraseRootFromParent_Done,
     /* 1443460 */   // Label 20288: @1443460
     /* 1443460 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1443557), // Rule ID 6905 //
     /* 1443465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443515 */     // MIs[1] Operand 1
     /* 1443515 */     // No operand predicates
     /* 1443515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443519 */     // MIs[0] policy
     /* 1443519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443556 */     // GIR_Coverage, 6905,
     /* 1443556 */     GIR_EraseRootFromParent_Done,
     /* 1443557 */   // Label 20289: @1443557
     /* 1443557 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1443654), // Rule ID 6908 //
     /* 1443562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443612 */     // MIs[1] Operand 1
     /* 1443612 */     // No operand predicates
     /* 1443612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443616 */     // MIs[0] policy
     /* 1443616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443653 */     // GIR_Coverage, 6908,
     /* 1443653 */     GIR_EraseRootFromParent_Done,
     /* 1443654 */   // Label 20290: @1443654
     /* 1443654 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1443751), // Rule ID 6909 //
     /* 1443659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443709 */     // MIs[1] Operand 1
     /* 1443709 */     // No operand predicates
     /* 1443709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443713 */     // MIs[0] policy
     /* 1443713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443750 */     // GIR_Coverage, 6909,
     /* 1443750 */     GIR_EraseRootFromParent_Done,
     /* 1443751 */   // Label 20291: @1443751
     /* 1443751 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1443848), // Rule ID 6912 //
     /* 1443756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443806 */     // MIs[1] Operand 1
     /* 1443806 */     // No operand predicates
     /* 1443806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443810 */     // MIs[0] policy
     /* 1443810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443822 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443847 */     // GIR_Coverage, 6912,
     /* 1443847 */     GIR_EraseRootFromParent_Done,
     /* 1443848 */   // Label 20292: @1443848
     /* 1443848 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1443945), // Rule ID 6913 //
     /* 1443853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443903 */     // MIs[1] Operand 1
     /* 1443903 */     // No operand predicates
     /* 1443903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443907 */     // MIs[0] policy
     /* 1443907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443944 */     // GIR_Coverage, 6913,
     /* 1443944 */     GIR_EraseRootFromParent_Done,
     /* 1443945 */   // Label 20293: @1443945
     /* 1443945 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1444042), // Rule ID 6916 //
     /* 1443950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444000 */     // MIs[1] Operand 1
     /* 1444000 */     // No operand predicates
     /* 1444000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444004 */     // MIs[0] policy
     /* 1444004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444041 */     // GIR_Coverage, 6916,
     /* 1444041 */     GIR_EraseRootFromParent_Done,
     /* 1444042 */   // Label 20294: @1444042
     /* 1444042 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1444139), // Rule ID 6917 //
     /* 1444047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1444058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1444061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1444064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444097 */     // MIs[1] Operand 1
     /* 1444097 */     // No operand predicates
     /* 1444097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444101 */     // MIs[0] policy
     /* 1444101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444138 */     // GIR_Coverage, 6917,
     /* 1444138 */     GIR_EraseRootFromParent_Done,
     /* 1444139 */   // Label 20295: @1444139
     /* 1444139 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1444236), // Rule ID 6920 //
     /* 1444144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444194 */     // MIs[1] Operand 1
     /* 1444194 */     // No operand predicates
     /* 1444194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444198 */     // MIs[0] policy
     /* 1444198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444235 */     // GIR_Coverage, 6920,
     /* 1444235 */     GIR_EraseRootFromParent_Done,
     /* 1444236 */   // Label 20296: @1444236
     /* 1444236 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1444333), // Rule ID 6921 //
     /* 1444241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444291 */     // MIs[1] Operand 1
     /* 1444291 */     // No operand predicates
     /* 1444291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444295 */     // MIs[0] policy
     /* 1444295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444332 */     // GIR_Coverage, 6921,
     /* 1444332 */     GIR_EraseRootFromParent_Done,
     /* 1444333 */   // Label 20297: @1444333
     /* 1444333 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1444430), // Rule ID 6924 //
     /* 1444338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444388 */     // MIs[1] Operand 1
     /* 1444388 */     // No operand predicates
     /* 1444388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444392 */     // MIs[0] policy
     /* 1444392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444429 */     // GIR_Coverage, 6924,
     /* 1444429 */     GIR_EraseRootFromParent_Done,
     /* 1444430 */   // Label 20298: @1444430
     /* 1444430 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1444527), // Rule ID 6925 //
     /* 1444435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444485 */     // MIs[1] Operand 1
     /* 1444485 */     // No operand predicates
     /* 1444485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444489 */     // MIs[0] policy
     /* 1444489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444526 */     // GIR_Coverage, 6925,
     /* 1444526 */     GIR_EraseRootFromParent_Done,
     /* 1444527 */   // Label 20299: @1444527
     /* 1444527 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1444624), // Rule ID 6928 //
     /* 1444532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444582 */     // MIs[1] Operand 1
     /* 1444582 */     // No operand predicates
     /* 1444582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444586 */     // MIs[0] policy
     /* 1444586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444623 */     // GIR_Coverage, 6928,
     /* 1444623 */     GIR_EraseRootFromParent_Done,
     /* 1444624 */   // Label 20300: @1444624
     /* 1444624 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1444721), // Rule ID 6929 //
     /* 1444629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444679 */     // MIs[1] Operand 1
     /* 1444679 */     // No operand predicates
     /* 1444679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444683 */     // MIs[0] policy
     /* 1444683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444720 */     // GIR_Coverage, 6929,
     /* 1444720 */     GIR_EraseRootFromParent_Done,
     /* 1444721 */   // Label 20301: @1444721
     /* 1444721 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1444818), // Rule ID 6932 //
     /* 1444726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444776 */     // MIs[1] Operand 1
     /* 1444776 */     // No operand predicates
     /* 1444776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444780 */     // MIs[0] policy
     /* 1444780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444817 */     // GIR_Coverage, 6932,
     /* 1444817 */     GIR_EraseRootFromParent_Done,
     /* 1444818 */   // Label 20302: @1444818
     /* 1444818 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1444915), // Rule ID 6933 //
     /* 1444823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444873 */     // MIs[1] Operand 1
     /* 1444873 */     // No operand predicates
     /* 1444873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444877 */     // MIs[0] policy
     /* 1444877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444914 */     // GIR_Coverage, 6933,
     /* 1444914 */     GIR_EraseRootFromParent_Done,
     /* 1444915 */   // Label 20303: @1444915
     /* 1444915 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1445012), // Rule ID 6936 //
     /* 1444920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444970 */     // MIs[1] Operand 1
     /* 1444970 */     // No operand predicates
     /* 1444970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444974 */     // MIs[0] policy
     /* 1444974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445011 */     // GIR_Coverage, 6936,
     /* 1445011 */     GIR_EraseRootFromParent_Done,
     /* 1445012 */   // Label 20304: @1445012
     /* 1445012 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1445109), // Rule ID 6937 //
     /* 1445017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1445028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1445031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1445034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1445040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445067 */     // MIs[1] Operand 1
     /* 1445067 */     // No operand predicates
     /* 1445067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445071 */     // MIs[0] policy
     /* 1445071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445108 */     // GIR_Coverage, 6937,
     /* 1445108 */     GIR_EraseRootFromParent_Done,
     /* 1445109 */   // Label 20305: @1445109
     /* 1445109 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1445206), // Rule ID 6940 //
     /* 1445114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445164 */     // MIs[1] Operand 1
     /* 1445164 */     // No operand predicates
     /* 1445164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445168 */     // MIs[0] policy
     /* 1445168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445205 */     // GIR_Coverage, 6940,
     /* 1445205 */     GIR_EraseRootFromParent_Done,
     /* 1445206 */   // Label 20306: @1445206
     /* 1445206 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1445303), // Rule ID 6941 //
     /* 1445211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445261 */     // MIs[1] Operand 1
     /* 1445261 */     // No operand predicates
     /* 1445261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445265 */     // MIs[0] policy
     /* 1445265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445302 */     // GIR_Coverage, 6941,
     /* 1445302 */     GIR_EraseRootFromParent_Done,
     /* 1445303 */   // Label 20307: @1445303
     /* 1445303 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1445400), // Rule ID 6944 //
     /* 1445308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445358 */     // MIs[1] Operand 1
     /* 1445358 */     // No operand predicates
     /* 1445358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445362 */     // MIs[0] policy
     /* 1445362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445399 */     // GIR_Coverage, 6944,
     /* 1445399 */     GIR_EraseRootFromParent_Done,
     /* 1445400 */   // Label 20308: @1445400
     /* 1445400 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1445497), // Rule ID 6945 //
     /* 1445405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445455 */     // MIs[1] Operand 1
     /* 1445455 */     // No operand predicates
     /* 1445455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445459 */     // MIs[0] policy
     /* 1445459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445496 */     // GIR_Coverage, 6945,
     /* 1445496 */     GIR_EraseRootFromParent_Done,
     /* 1445497 */   // Label 20309: @1445497
     /* 1445497 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1445594), // Rule ID 6948 //
     /* 1445502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445552 */     // MIs[1] Operand 1
     /* 1445552 */     // No operand predicates
     /* 1445552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445556 */     // MIs[0] policy
     /* 1445556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445593 */     // GIR_Coverage, 6948,
     /* 1445593 */     GIR_EraseRootFromParent_Done,
     /* 1445594 */   // Label 20310: @1445594
     /* 1445594 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1445691), // Rule ID 6949 //
     /* 1445599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445649 */     // MIs[1] Operand 1
     /* 1445649 */     // No operand predicates
     /* 1445649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445653 */     // MIs[0] policy
     /* 1445653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445690 */     // GIR_Coverage, 6949,
     /* 1445690 */     GIR_EraseRootFromParent_Done,
     /* 1445691 */   // Label 20311: @1445691
     /* 1445691 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1445788), // Rule ID 6952 //
     /* 1445696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445746 */     // MIs[1] Operand 1
     /* 1445746 */     // No operand predicates
     /* 1445746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445750 */     // MIs[0] policy
     /* 1445750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445787 */     // GIR_Coverage, 6952,
     /* 1445787 */     GIR_EraseRootFromParent_Done,
     /* 1445788 */   // Label 20312: @1445788
     /* 1445788 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1445885), // Rule ID 6953 //
     /* 1445793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445843 */     // MIs[1] Operand 1
     /* 1445843 */     // No operand predicates
     /* 1445843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445847 */     // MIs[0] policy
     /* 1445847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445884 */     // GIR_Coverage, 6953,
     /* 1445884 */     GIR_EraseRootFromParent_Done,
     /* 1445885 */   // Label 20313: @1445885
     /* 1445885 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1445982), // Rule ID 6956 //
     /* 1445890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445940 */     // MIs[1] Operand 1
     /* 1445940 */     // No operand predicates
     /* 1445940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445944 */     // MIs[0] policy
     /* 1445944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445981 */     // GIR_Coverage, 6956,
     /* 1445981 */     GIR_EraseRootFromParent_Done,
     /* 1445982 */   // Label 20314: @1445982
     /* 1445982 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1446079), // Rule ID 6957 //
     /* 1445987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1446001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446037 */     // MIs[1] Operand 1
     /* 1446037 */     // No operand predicates
     /* 1446037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446041 */     // MIs[0] policy
     /* 1446041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446078 */     // GIR_Coverage, 6957,
     /* 1446078 */     GIR_EraseRootFromParent_Done,
     /* 1446079 */   // Label 20315: @1446079
     /* 1446079 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1446176), // Rule ID 6960 //
     /* 1446084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446134 */     // MIs[1] Operand 1
     /* 1446134 */     // No operand predicates
     /* 1446134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446138 */     // MIs[0] policy
     /* 1446138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446175 */     // GIR_Coverage, 6960,
     /* 1446175 */     GIR_EraseRootFromParent_Done,
     /* 1446176 */   // Label 20316: @1446176
     /* 1446176 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1446273), // Rule ID 6961 //
     /* 1446181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446231 */     // MIs[1] Operand 1
     /* 1446231 */     // No operand predicates
     /* 1446231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446235 */     // MIs[0] policy
     /* 1446235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446272 */     // GIR_Coverage, 6961,
     /* 1446272 */     GIR_EraseRootFromParent_Done,
     /* 1446273 */   // Label 20317: @1446273
     /* 1446273 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1446370), // Rule ID 6964 //
     /* 1446278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446328 */     // MIs[1] Operand 1
     /* 1446328 */     // No operand predicates
     /* 1446328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446332 */     // MIs[0] policy
     /* 1446332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446369 */     // GIR_Coverage, 6964,
     /* 1446369 */     GIR_EraseRootFromParent_Done,
     /* 1446370 */   // Label 20318: @1446370
     /* 1446370 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1446467), // Rule ID 6965 //
     /* 1446375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446425 */     // MIs[1] Operand 1
     /* 1446425 */     // No operand predicates
     /* 1446425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446429 */     // MIs[0] policy
     /* 1446429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446441 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446466 */     // GIR_Coverage, 6965,
     /* 1446466 */     GIR_EraseRootFromParent_Done,
     /* 1446467 */   // Label 20319: @1446467
     /* 1446467 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1446564), // Rule ID 6968 //
     /* 1446472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446522 */     // MIs[1] Operand 1
     /* 1446522 */     // No operand predicates
     /* 1446522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446526 */     // MIs[0] policy
     /* 1446526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446563 */     // GIR_Coverage, 6968,
     /* 1446563 */     GIR_EraseRootFromParent_Done,
     /* 1446564 */   // Label 20320: @1446564
     /* 1446564 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1446661), // Rule ID 6969 //
     /* 1446569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446619 */     // MIs[1] Operand 1
     /* 1446619 */     // No operand predicates
     /* 1446619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446623 */     // MIs[0] policy
     /* 1446623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446660 */     // GIR_Coverage, 6969,
     /* 1446660 */     GIR_EraseRootFromParent_Done,
     /* 1446661 */   // Label 20321: @1446661
     /* 1446661 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1446758), // Rule ID 6972 //
     /* 1446666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446716 */     // MIs[1] Operand 1
     /* 1446716 */     // No operand predicates
     /* 1446716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446720 */     // MIs[0] policy
     /* 1446720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446757 */     // GIR_Coverage, 6972,
     /* 1446757 */     GIR_EraseRootFromParent_Done,
     /* 1446758 */   // Label 20322: @1446758
     /* 1446758 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1446855), // Rule ID 6973 //
     /* 1446763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446813 */     // MIs[1] Operand 1
     /* 1446813 */     // No operand predicates
     /* 1446813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446817 */     // MIs[0] policy
     /* 1446817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446854 */     // GIR_Coverage, 6973,
     /* 1446854 */     GIR_EraseRootFromParent_Done,
     /* 1446855 */   // Label 20323: @1446855
     /* 1446855 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1446952), // Rule ID 7152 //
     /* 1446860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446910 */     // MIs[1] Operand 1
     /* 1446910 */     // No operand predicates
     /* 1446910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446914 */     // MIs[0] policy
     /* 1446914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446951 */     // GIR_Coverage, 7152,
     /* 1446951 */     GIR_EraseRootFromParent_Done,
     /* 1446952 */   // Label 20324: @1446952
     /* 1446952 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1447049), // Rule ID 7153 //
     /* 1446957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447007 */     // MIs[1] Operand 1
     /* 1447007 */     // No operand predicates
     /* 1447007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447011 */     // MIs[0] policy
     /* 1447011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447023 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1447026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447048 */     // GIR_Coverage, 7153,
     /* 1447048 */     GIR_EraseRootFromParent_Done,
     /* 1447049 */   // Label 20325: @1447049
     /* 1447049 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1447146), // Rule ID 7156 //
     /* 1447054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447104 */     // MIs[1] Operand 1
     /* 1447104 */     // No operand predicates
     /* 1447104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447108 */     // MIs[0] policy
     /* 1447108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447145 */     // GIR_Coverage, 7156,
     /* 1447145 */     GIR_EraseRootFromParent_Done,
     /* 1447146 */   // Label 20326: @1447146
     /* 1447146 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1447243), // Rule ID 7157 //
     /* 1447151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447201 */     // MIs[1] Operand 1
     /* 1447201 */     // No operand predicates
     /* 1447201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447205 */     // MIs[0] policy
     /* 1447205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447242 */     // GIR_Coverage, 7157,
     /* 1447242 */     GIR_EraseRootFromParent_Done,
     /* 1447243 */   // Label 20327: @1447243
     /* 1447243 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1447340), // Rule ID 7160 //
     /* 1447248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447298 */     // MIs[1] Operand 1
     /* 1447298 */     // No operand predicates
     /* 1447298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447302 */     // MIs[0] policy
     /* 1447302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447339 */     // GIR_Coverage, 7160,
     /* 1447339 */     GIR_EraseRootFromParent_Done,
     /* 1447340 */   // Label 20328: @1447340
     /* 1447340 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1447437), // Rule ID 7161 //
     /* 1447345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447395 */     // MIs[1] Operand 1
     /* 1447395 */     // No operand predicates
     /* 1447395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447399 */     // MIs[0] policy
     /* 1447399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447436 */     // GIR_Coverage, 7161,
     /* 1447436 */     GIR_EraseRootFromParent_Done,
     /* 1447437 */   // Label 20329: @1447437
     /* 1447437 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1447534), // Rule ID 7164 //
     /* 1447442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447492 */     // MIs[1] Operand 1
     /* 1447492 */     // No operand predicates
     /* 1447492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447496 */     // MIs[0] policy
     /* 1447496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447533 */     // GIR_Coverage, 7164,
     /* 1447533 */     GIR_EraseRootFromParent_Done,
     /* 1447534 */   // Label 20330: @1447534
     /* 1447534 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1447631), // Rule ID 7165 //
     /* 1447539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447589 */     // MIs[1] Operand 1
     /* 1447589 */     // No operand predicates
     /* 1447589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447593 */     // MIs[0] policy
     /* 1447593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447630 */     // GIR_Coverage, 7165,
     /* 1447630 */     GIR_EraseRootFromParent_Done,
     /* 1447631 */   // Label 20331: @1447631
     /* 1447631 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1447728), // Rule ID 7168 //
     /* 1447636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447686 */     // MIs[1] Operand 1
     /* 1447686 */     // No operand predicates
     /* 1447686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447690 */     // MIs[0] policy
     /* 1447690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447727 */     // GIR_Coverage, 7168,
     /* 1447727 */     GIR_EraseRootFromParent_Done,
     /* 1447728 */   // Label 20332: @1447728
     /* 1447728 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1447825), // Rule ID 7169 //
     /* 1447733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447783 */     // MIs[1] Operand 1
     /* 1447783 */     // No operand predicates
     /* 1447783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447787 */     // MIs[0] policy
     /* 1447787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447824 */     // GIR_Coverage, 7169,
     /* 1447824 */     GIR_EraseRootFromParent_Done,
     /* 1447825 */   // Label 20333: @1447825
     /* 1447825 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1447922), // Rule ID 7172 //
     /* 1447830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447880 */     // MIs[1] Operand 1
     /* 1447880 */     // No operand predicates
     /* 1447880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447884 */     // MIs[0] policy
     /* 1447884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447921 */     // GIR_Coverage, 7172,
     /* 1447921 */     GIR_EraseRootFromParent_Done,
     /* 1447922 */   // Label 20334: @1447922
     /* 1447922 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1448019), // Rule ID 7173 //
     /* 1447927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447977 */     // MIs[1] Operand 1
     /* 1447977 */     // No operand predicates
     /* 1447977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447981 */     // MIs[0] policy
     /* 1447981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448018 */     // GIR_Coverage, 7173,
     /* 1448018 */     GIR_EraseRootFromParent_Done,
     /* 1448019 */   // Label 20335: @1448019
     /* 1448019 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1448116), // Rule ID 7176 //
     /* 1448024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448074 */     // MIs[1] Operand 1
     /* 1448074 */     // No operand predicates
     /* 1448074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448078 */     // MIs[0] policy
     /* 1448078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448115 */     // GIR_Coverage, 7176,
     /* 1448115 */     GIR_EraseRootFromParent_Done,
     /* 1448116 */   // Label 20336: @1448116
     /* 1448116 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1448213), // Rule ID 7177 //
     /* 1448121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448171 */     // MIs[1] Operand 1
     /* 1448171 */     // No operand predicates
     /* 1448171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448175 */     // MIs[0] policy
     /* 1448175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448212 */     // GIR_Coverage, 7177,
     /* 1448212 */     GIR_EraseRootFromParent_Done,
     /* 1448213 */   // Label 20337: @1448213
     /* 1448213 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1448310), // Rule ID 7180 //
     /* 1448218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448268 */     // MIs[1] Operand 1
     /* 1448268 */     // No operand predicates
     /* 1448268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448272 */     // MIs[0] policy
     /* 1448272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448309 */     // GIR_Coverage, 7180,
     /* 1448309 */     GIR_EraseRootFromParent_Done,
     /* 1448310 */   // Label 20338: @1448310
     /* 1448310 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1448407), // Rule ID 7181 //
     /* 1448315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448365 */     // MIs[1] Operand 1
     /* 1448365 */     // No operand predicates
     /* 1448365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448369 */     // MIs[0] policy
     /* 1448369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448406 */     // GIR_Coverage, 7181,
     /* 1448406 */     GIR_EraseRootFromParent_Done,
     /* 1448407 */   // Label 20339: @1448407
     /* 1448407 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1448504), // Rule ID 7184 //
     /* 1448412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448462 */     // MIs[1] Operand 1
     /* 1448462 */     // No operand predicates
     /* 1448462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448466 */     // MIs[0] policy
     /* 1448466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448503 */     // GIR_Coverage, 7184,
     /* 1448503 */     GIR_EraseRootFromParent_Done,
     /* 1448504 */   // Label 20340: @1448504
     /* 1448504 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1448601), // Rule ID 7185 //
     /* 1448509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448559 */     // MIs[1] Operand 1
     /* 1448559 */     // No operand predicates
     /* 1448559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448563 */     // MIs[0] policy
     /* 1448563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448575 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448600 */     // GIR_Coverage, 7185,
     /* 1448600 */     GIR_EraseRootFromParent_Done,
     /* 1448601 */   // Label 20341: @1448601
     /* 1448601 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1448698), // Rule ID 7188 //
     /* 1448606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448656 */     // MIs[1] Operand 1
     /* 1448656 */     // No operand predicates
     /* 1448656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448660 */     // MIs[0] policy
     /* 1448660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448697 */     // GIR_Coverage, 7188,
     /* 1448697 */     GIR_EraseRootFromParent_Done,
     /* 1448698 */   // Label 20342: @1448698
     /* 1448698 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1448795), // Rule ID 7189 //
     /* 1448703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448753 */     // MIs[1] Operand 1
     /* 1448753 */     // No operand predicates
     /* 1448753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448757 */     // MIs[0] policy
     /* 1448757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448794 */     // GIR_Coverage, 7189,
     /* 1448794 */     GIR_EraseRootFromParent_Done,
     /* 1448795 */   // Label 20343: @1448795
     /* 1448795 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1448892), // Rule ID 7192 //
     /* 1448800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448850 */     // MIs[1] Operand 1
     /* 1448850 */     // No operand predicates
     /* 1448850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448854 */     // MIs[0] policy
     /* 1448854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448891 */     // GIR_Coverage, 7192,
     /* 1448891 */     GIR_EraseRootFromParent_Done,
     /* 1448892 */   // Label 20344: @1448892
     /* 1448892 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1448989), // Rule ID 7193 //
     /* 1448897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448947 */     // MIs[1] Operand 1
     /* 1448947 */     // No operand predicates
     /* 1448947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448951 */     // MIs[0] policy
     /* 1448951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448988 */     // GIR_Coverage, 7193,
     /* 1448988 */     GIR_EraseRootFromParent_Done,
     /* 1448989 */   // Label 20345: @1448989
     /* 1448989 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1449086), // Rule ID 7196 //
     /* 1448994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449044 */     // MIs[1] Operand 1
     /* 1449044 */     // No operand predicates
     /* 1449044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449048 */     // MIs[0] policy
     /* 1449048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449085 */     // GIR_Coverage, 7196,
     /* 1449085 */     GIR_EraseRootFromParent_Done,
     /* 1449086 */   // Label 20346: @1449086
     /* 1449086 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1449183), // Rule ID 7197 //
     /* 1449091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449141 */     // MIs[1] Operand 1
     /* 1449141 */     // No operand predicates
     /* 1449141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449145 */     // MIs[0] policy
     /* 1449145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449182 */     // GIR_Coverage, 7197,
     /* 1449182 */     GIR_EraseRootFromParent_Done,
     /* 1449183 */   // Label 20347: @1449183
     /* 1449183 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1449280), // Rule ID 7200 //
     /* 1449188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449238 */     // MIs[1] Operand 1
     /* 1449238 */     // No operand predicates
     /* 1449238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449242 */     // MIs[0] policy
     /* 1449242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449254 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449279 */     // GIR_Coverage, 7200,
     /* 1449279 */     GIR_EraseRootFromParent_Done,
     /* 1449280 */   // Label 20348: @1449280
     /* 1449280 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1449377), // Rule ID 7201 //
     /* 1449285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449335 */     // MIs[1] Operand 1
     /* 1449335 */     // No operand predicates
     /* 1449335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449339 */     // MIs[0] policy
     /* 1449339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449376 */     // GIR_Coverage, 7201,
     /* 1449376 */     GIR_EraseRootFromParent_Done,
     /* 1449377 */   // Label 20349: @1449377
     /* 1449377 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1449474), // Rule ID 7204 //
     /* 1449382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449432 */     // MIs[1] Operand 1
     /* 1449432 */     // No operand predicates
     /* 1449432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449436 */     // MIs[0] policy
     /* 1449436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449473 */     // GIR_Coverage, 7204,
     /* 1449473 */     GIR_EraseRootFromParent_Done,
     /* 1449474 */   // Label 20350: @1449474
     /* 1449474 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1449571), // Rule ID 7205 //
     /* 1449479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449529 */     // MIs[1] Operand 1
     /* 1449529 */     // No operand predicates
     /* 1449529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449533 */     // MIs[0] policy
     /* 1449533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449570 */     // GIR_Coverage, 7205,
     /* 1449570 */     GIR_EraseRootFromParent_Done,
     /* 1449571 */   // Label 20351: @1449571
     /* 1449571 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1449668), // Rule ID 7208 //
     /* 1449576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449626 */     // MIs[1] Operand 1
     /* 1449626 */     // No operand predicates
     /* 1449626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449630 */     // MIs[0] policy
     /* 1449630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449667 */     // GIR_Coverage, 7208,
     /* 1449667 */     GIR_EraseRootFromParent_Done,
     /* 1449668 */   // Label 20352: @1449668
     /* 1449668 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1449765), // Rule ID 7209 //
     /* 1449673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449723 */     // MIs[1] Operand 1
     /* 1449723 */     // No operand predicates
     /* 1449723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449727 */     // MIs[0] policy
     /* 1449727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449764 */     // GIR_Coverage, 7209,
     /* 1449764 */     GIR_EraseRootFromParent_Done,
     /* 1449765 */   // Label 20353: @1449765
     /* 1449765 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1449862), // Rule ID 7212 //
     /* 1449770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449820 */     // MIs[1] Operand 1
     /* 1449820 */     // No operand predicates
     /* 1449820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449824 */     // MIs[0] policy
     /* 1449824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449861 */     // GIR_Coverage, 7212,
     /* 1449861 */     GIR_EraseRootFromParent_Done,
     /* 1449862 */   // Label 20354: @1449862
     /* 1449862 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1449959), // Rule ID 7213 //
     /* 1449867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449917 */     // MIs[1] Operand 1
     /* 1449917 */     // No operand predicates
     /* 1449917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449921 */     // MIs[0] policy
     /* 1449921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449958 */     // GIR_Coverage, 7213,
     /* 1449958 */     GIR_EraseRootFromParent_Done,
     /* 1449959 */   // Label 20355: @1449959
     /* 1449959 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1450056), // Rule ID 7216 //
     /* 1449964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450014 */     // MIs[1] Operand 1
     /* 1450014 */     // No operand predicates
     /* 1450014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450018 */     // MIs[0] policy
     /* 1450018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450055 */     // GIR_Coverage, 7216,
     /* 1450055 */     GIR_EraseRootFromParent_Done,
     /* 1450056 */   // Label 20356: @1450056
     /* 1450056 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1450153), // Rule ID 7217 //
     /* 1450061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1450078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450111 */     // MIs[1] Operand 1
     /* 1450111 */     // No operand predicates
     /* 1450111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450115 */     // MIs[0] policy
     /* 1450115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450152 */     // GIR_Coverage, 7217,
     /* 1450152 */     GIR_EraseRootFromParent_Done,
     /* 1450153 */   // Label 20357: @1450153
     /* 1450153 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1450250), // Rule ID 7220 //
     /* 1450158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450208 */     // MIs[1] Operand 1
     /* 1450208 */     // No operand predicates
     /* 1450208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450212 */     // MIs[0] policy
     /* 1450212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450249 */     // GIR_Coverage, 7220,
     /* 1450249 */     GIR_EraseRootFromParent_Done,
     /* 1450250 */   // Label 20358: @1450250
     /* 1450250 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1450347), // Rule ID 7221 //
     /* 1450255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450305 */     // MIs[1] Operand 1
     /* 1450305 */     // No operand predicates
     /* 1450305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450309 */     // MIs[0] policy
     /* 1450309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450346 */     // GIR_Coverage, 7221,
     /* 1450346 */     GIR_EraseRootFromParent_Done,
     /* 1450347 */   // Label 20359: @1450347
     /* 1450347 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1450444), // Rule ID 7224 //
     /* 1450352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450402 */     // MIs[1] Operand 1
     /* 1450402 */     // No operand predicates
     /* 1450402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450406 */     // MIs[0] policy
     /* 1450406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450443 */     // GIR_Coverage, 7224,
     /* 1450443 */     GIR_EraseRootFromParent_Done,
     /* 1450444 */   // Label 20360: @1450444
     /* 1450444 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1450541), // Rule ID 7225 //
     /* 1450449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450499 */     // MIs[1] Operand 1
     /* 1450499 */     // No operand predicates
     /* 1450499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450503 */     // MIs[0] policy
     /* 1450503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450540 */     // GIR_Coverage, 7225,
     /* 1450540 */     GIR_EraseRootFromParent_Done,
     /* 1450541 */   // Label 20361: @1450541
     /* 1450541 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1450638), // Rule ID 7228 //
     /* 1450546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450596 */     // MIs[1] Operand 1
     /* 1450596 */     // No operand predicates
     /* 1450596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450600 */     // MIs[0] policy
     /* 1450600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450637 */     // GIR_Coverage, 7228,
     /* 1450637 */     GIR_EraseRootFromParent_Done,
     /* 1450638 */   // Label 20362: @1450638
     /* 1450638 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1450735), // Rule ID 7229 //
     /* 1450643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450693 */     // MIs[1] Operand 1
     /* 1450693 */     // No operand predicates
     /* 1450693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450697 */     // MIs[0] policy
     /* 1450697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450734 */     // GIR_Coverage, 7229,
     /* 1450734 */     GIR_EraseRootFromParent_Done,
     /* 1450735 */   // Label 20363: @1450735
     /* 1450735 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1450832), // Rule ID 7232 //
     /* 1450740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450790 */     // MIs[1] Operand 1
     /* 1450790 */     // No operand predicates
     /* 1450790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450794 */     // MIs[0] policy
     /* 1450794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450831 */     // GIR_Coverage, 7232,
     /* 1450831 */     GIR_EraseRootFromParent_Done,
     /* 1450832 */   // Label 20364: @1450832
     /* 1450832 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1450929), // Rule ID 7233 //
     /* 1450837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450887 */     // MIs[1] Operand 1
     /* 1450887 */     // No operand predicates
     /* 1450887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450891 */     // MIs[0] policy
     /* 1450891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450928 */     // GIR_Coverage, 7233,
     /* 1450928 */     GIR_EraseRootFromParent_Done,
     /* 1450929 */   // Label 20365: @1450929
     /* 1450929 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1451026), // Rule ID 7236 //
     /* 1450934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450984 */     // MIs[1] Operand 1
     /* 1450984 */     // No operand predicates
     /* 1450984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450988 */     // MIs[0] policy
     /* 1450988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1451003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451025 */     // GIR_Coverage, 7236,
     /* 1451025 */     GIR_EraseRootFromParent_Done,
     /* 1451026 */   // Label 20366: @1451026
     /* 1451026 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1451123), // Rule ID 7237 //
     /* 1451031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1451042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1451045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1451048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451081 */     // MIs[1] Operand 1
     /* 1451081 */     // No operand predicates
     /* 1451081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451085 */     // MIs[0] policy
     /* 1451085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1451100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451122 */     // GIR_Coverage, 7237,
     /* 1451122 */     GIR_EraseRootFromParent_Done,
     /* 1451123 */   // Label 20367: @1451123
     /* 1451123 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1451220), // Rule ID 7448 //
     /* 1451128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451178 */     // MIs[1] Operand 1
     /* 1451178 */     // No operand predicates
     /* 1451178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451182 */     // MIs[0] policy
     /* 1451182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1451197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451219 */     // GIR_Coverage, 7448,
     /* 1451219 */     GIR_EraseRootFromParent_Done,
     /* 1451220 */   // Label 20368: @1451220
     /* 1451220 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1451317), // Rule ID 7449 //
     /* 1451225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451275 */     // MIs[1] Operand 1
     /* 1451275 */     // No operand predicates
     /* 1451275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451279 */     // MIs[0] policy
     /* 1451279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1451294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451316 */     // GIR_Coverage, 7449,
     /* 1451316 */     GIR_EraseRootFromParent_Done,
     /* 1451317 */   // Label 20369: @1451317
     /* 1451317 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1451414), // Rule ID 7452 //
     /* 1451322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451372 */     // MIs[1] Operand 1
     /* 1451372 */     // No operand predicates
     /* 1451372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451376 */     // MIs[0] policy
     /* 1451376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451413 */     // GIR_Coverage, 7452,
     /* 1451413 */     GIR_EraseRootFromParent_Done,
     /* 1451414 */   // Label 20370: @1451414
     /* 1451414 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1451511), // Rule ID 7453 //
     /* 1451419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451469 */     // MIs[1] Operand 1
     /* 1451469 */     // No operand predicates
     /* 1451469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451473 */     // MIs[0] policy
     /* 1451473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451510 */     // GIR_Coverage, 7453,
     /* 1451510 */     GIR_EraseRootFromParent_Done,
     /* 1451511 */   // Label 20371: @1451511
     /* 1451511 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1451608), // Rule ID 7456 //
     /* 1451516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451566 */     // MIs[1] Operand 1
     /* 1451566 */     // No operand predicates
     /* 1451566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451570 */     // MIs[0] policy
     /* 1451570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451582 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451607 */     // GIR_Coverage, 7456,
     /* 1451607 */     GIR_EraseRootFromParent_Done,
     /* 1451608 */   // Label 20372: @1451608
     /* 1451608 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1451705), // Rule ID 7457 //
     /* 1451613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451663 */     // MIs[1] Operand 1
     /* 1451663 */     // No operand predicates
     /* 1451663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451667 */     // MIs[0] policy
     /* 1451667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451679 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451704 */     // GIR_Coverage, 7457,
     /* 1451704 */     GIR_EraseRootFromParent_Done,
     /* 1451705 */   // Label 20373: @1451705
     /* 1451705 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1451802), // Rule ID 7460 //
     /* 1451710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451760 */     // MIs[1] Operand 1
     /* 1451760 */     // No operand predicates
     /* 1451760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451764 */     // MIs[0] policy
     /* 1451764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451801 */     // GIR_Coverage, 7460,
     /* 1451801 */     GIR_EraseRootFromParent_Done,
     /* 1451802 */   // Label 20374: @1451802
     /* 1451802 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1451899), // Rule ID 7461 //
     /* 1451807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451857 */     // MIs[1] Operand 1
     /* 1451857 */     // No operand predicates
     /* 1451857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451861 */     // MIs[0] policy
     /* 1451861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451898 */     // GIR_Coverage, 7461,
     /* 1451898 */     GIR_EraseRootFromParent_Done,
     /* 1451899 */   // Label 20375: @1451899
     /* 1451899 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1451996), // Rule ID 7464 //
     /* 1451904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451954 */     // MIs[1] Operand 1
     /* 1451954 */     // No operand predicates
     /* 1451954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451958 */     // MIs[0] policy
     /* 1451958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451995 */     // GIR_Coverage, 7464,
     /* 1451995 */     GIR_EraseRootFromParent_Done,
     /* 1451996 */   // Label 20376: @1451996
     /* 1451996 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1452093), // Rule ID 7465 //
     /* 1452001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1452012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1452015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1452018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452051 */     // MIs[1] Operand 1
     /* 1452051 */     // No operand predicates
     /* 1452051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452055 */     // MIs[0] policy
     /* 1452055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452092 */     // GIR_Coverage, 7465,
     /* 1452092 */     GIR_EraseRootFromParent_Done,
     /* 1452093 */   // Label 20377: @1452093
     /* 1452093 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1452190), // Rule ID 7468 //
     /* 1452098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452148 */     // MIs[1] Operand 1
     /* 1452148 */     // No operand predicates
     /* 1452148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452152 */     // MIs[0] policy
     /* 1452152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452189 */     // GIR_Coverage, 7468,
     /* 1452189 */     GIR_EraseRootFromParent_Done,
     /* 1452190 */   // Label 20378: @1452190
     /* 1452190 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1452287), // Rule ID 7469 //
     /* 1452195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452245 */     // MIs[1] Operand 1
     /* 1452245 */     // No operand predicates
     /* 1452245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452249 */     // MIs[0] policy
     /* 1452249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452286 */     // GIR_Coverage, 7469,
     /* 1452286 */     GIR_EraseRootFromParent_Done,
     /* 1452287 */   // Label 20379: @1452287
     /* 1452287 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1452384), // Rule ID 7472 //
     /* 1452292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452342 */     // MIs[1] Operand 1
     /* 1452342 */     // No operand predicates
     /* 1452342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452346 */     // MIs[0] policy
     /* 1452346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452383 */     // GIR_Coverage, 7472,
     /* 1452383 */     GIR_EraseRootFromParent_Done,
     /* 1452384 */   // Label 20380: @1452384
     /* 1452384 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1452481), // Rule ID 7473 //
     /* 1452389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452439 */     // MIs[1] Operand 1
     /* 1452439 */     // No operand predicates
     /* 1452439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452443 */     // MIs[0] policy
     /* 1452443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452480 */     // GIR_Coverage, 7473,
     /* 1452480 */     GIR_EraseRootFromParent_Done,
     /* 1452481 */   // Label 20381: @1452481
     /* 1452481 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1452578), // Rule ID 7476 //
     /* 1452486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452536 */     // MIs[1] Operand 1
     /* 1452536 */     // No operand predicates
     /* 1452536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452540 */     // MIs[0] policy
     /* 1452540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452577 */     // GIR_Coverage, 7476,
     /* 1452577 */     GIR_EraseRootFromParent_Done,
     /* 1452578 */   // Label 20382: @1452578
     /* 1452578 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1452675), // Rule ID 7477 //
     /* 1452583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452633 */     // MIs[1] Operand 1
     /* 1452633 */     // No operand predicates
     /* 1452633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452637 */     // MIs[0] policy
     /* 1452637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452674 */     // GIR_Coverage, 7477,
     /* 1452674 */     GIR_EraseRootFromParent_Done,
     /* 1452675 */   // Label 20383: @1452675
     /* 1452675 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1452772), // Rule ID 7480 //
     /* 1452680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452730 */     // MIs[1] Operand 1
     /* 1452730 */     // No operand predicates
     /* 1452730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452734 */     // MIs[0] policy
     /* 1452734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452771 */     // GIR_Coverage, 7480,
     /* 1452771 */     GIR_EraseRootFromParent_Done,
     /* 1452772 */   // Label 20384: @1452772
     /* 1452772 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1452869), // Rule ID 7481 //
     /* 1452777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452827 */     // MIs[1] Operand 1
     /* 1452827 */     // No operand predicates
     /* 1452827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452831 */     // MIs[0] policy
     /* 1452831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452868 */     // GIR_Coverage, 7481,
     /* 1452868 */     GIR_EraseRootFromParent_Done,
     /* 1452869 */   // Label 20385: @1452869
     /* 1452869 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1452966), // Rule ID 7484 //
     /* 1452874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452924 */     // MIs[1] Operand 1
     /* 1452924 */     // No operand predicates
     /* 1452924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452928 */     // MIs[0] policy
     /* 1452928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452965 */     // GIR_Coverage, 7484,
     /* 1452965 */     GIR_EraseRootFromParent_Done,
     /* 1452966 */   // Label 20386: @1452966
     /* 1452966 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1453063), // Rule ID 7485 //
     /* 1452971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453021 */     // MIs[1] Operand 1
     /* 1453021 */     // No operand predicates
     /* 1453021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453025 */     // MIs[0] policy
     /* 1453025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453062 */     // GIR_Coverage, 7485,
     /* 1453062 */     GIR_EraseRootFromParent_Done,
     /* 1453063 */   // Label 20387: @1453063
     /* 1453063 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1453160), // Rule ID 7488 //
     /* 1453068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1453085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453118 */     // MIs[1] Operand 1
     /* 1453118 */     // No operand predicates
     /* 1453118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453122 */     // MIs[0] policy
     /* 1453122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453159 */     // GIR_Coverage, 7488,
     /* 1453159 */     GIR_EraseRootFromParent_Done,
     /* 1453160 */   // Label 20388: @1453160
     /* 1453160 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1453257), // Rule ID 7489 //
     /* 1453165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1453182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453215 */     // MIs[1] Operand 1
     /* 1453215 */     // No operand predicates
     /* 1453215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453219 */     // MIs[0] policy
     /* 1453219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453231 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453256 */     // GIR_Coverage, 7489,
     /* 1453256 */     GIR_EraseRootFromParent_Done,
     /* 1453257 */   // Label 20389: @1453257
     /* 1453257 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1453354), // Rule ID 7492 //
     /* 1453262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1453273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1453276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453312 */     // MIs[1] Operand 1
     /* 1453312 */     // No operand predicates
     /* 1453312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453316 */     // MIs[0] policy
     /* 1453316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1453331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453353 */     // GIR_Coverage, 7492,
     /* 1453353 */     GIR_EraseRootFromParent_Done,
     /* 1453354 */   // Label 20390: @1453354
     /* 1453354 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1453451), // Rule ID 7493 //
     /* 1453359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1453370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1453373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453409 */     // MIs[1] Operand 1
     /* 1453409 */     // No operand predicates
     /* 1453409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453413 */     // MIs[0] policy
     /* 1453413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1453428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453450 */     // GIR_Coverage, 7493,
     /* 1453450 */     GIR_EraseRootFromParent_Done,
     /* 1453451 */   // Label 20391: @1453451
     /* 1453451 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1453548), // Rule ID 7496 //
     /* 1453456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453506 */     // MIs[1] Operand 1
     /* 1453506 */     // No operand predicates
     /* 1453506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453510 */     // MIs[0] policy
     /* 1453510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453547 */     // GIR_Coverage, 7496,
     /* 1453547 */     GIR_EraseRootFromParent_Done,
     /* 1453548 */   // Label 20392: @1453548
     /* 1453548 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1453645), // Rule ID 7497 //
     /* 1453553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453603 */     // MIs[1] Operand 1
     /* 1453603 */     // No operand predicates
     /* 1453603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453607 */     // MIs[0] policy
     /* 1453607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453644 */     // GIR_Coverage, 7497,
     /* 1453644 */     GIR_EraseRootFromParent_Done,
     /* 1453645 */   // Label 20393: @1453645
     /* 1453645 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1453742), // Rule ID 7500 //
     /* 1453650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453700 */     // MIs[1] Operand 1
     /* 1453700 */     // No operand predicates
     /* 1453700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453704 */     // MIs[0] policy
     /* 1453704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453741 */     // GIR_Coverage, 7500,
     /* 1453741 */     GIR_EraseRootFromParent_Done,
     /* 1453742 */   // Label 20394: @1453742
     /* 1453742 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1453839), // Rule ID 7501 //
     /* 1453747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453797 */     // MIs[1] Operand 1
     /* 1453797 */     // No operand predicates
     /* 1453797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453801 */     // MIs[0] policy
     /* 1453801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453838 */     // GIR_Coverage, 7501,
     /* 1453838 */     GIR_EraseRootFromParent_Done,
     /* 1453839 */   // Label 20395: @1453839
     /* 1453839 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1453936), // Rule ID 7504 //
     /* 1453844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453894 */     // MIs[1] Operand 1
     /* 1453894 */     // No operand predicates
     /* 1453894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453898 */     // MIs[0] policy
     /* 1453898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453935 */     // GIR_Coverage, 7504,
     /* 1453935 */     GIR_EraseRootFromParent_Done,
     /* 1453936 */   // Label 20396: @1453936
     /* 1453936 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1454033), // Rule ID 7505 //
     /* 1453941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453991 */     // MIs[1] Operand 1
     /* 1453991 */     // No operand predicates
     /* 1453991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453995 */     // MIs[0] policy
     /* 1453995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454007 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1454010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454032 */     // GIR_Coverage, 7505,
     /* 1454032 */     GIR_EraseRootFromParent_Done,
     /* 1454033 */   // Label 20397: @1454033
     /* 1454033 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1454130), // Rule ID 7628 //
     /* 1454038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1454049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1454052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454088 */     // MIs[1] Operand 1
     /* 1454088 */     // No operand predicates
     /* 1454088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454092 */     // MIs[0] policy
     /* 1454092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1454107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454129 */     // GIR_Coverage, 7628,
     /* 1454129 */     GIR_EraseRootFromParent_Done,
     /* 1454130 */   // Label 20398: @1454130
     /* 1454130 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1454227), // Rule ID 7629 //
     /* 1454135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1454146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1454149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454185 */     // MIs[1] Operand 1
     /* 1454185 */     // No operand predicates
     /* 1454185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454189 */     // MIs[0] policy
     /* 1454189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1454204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454226 */     // GIR_Coverage, 7629,
     /* 1454226 */     GIR_EraseRootFromParent_Done,
     /* 1454227 */   // Label 20399: @1454227
     /* 1454227 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1454324), // Rule ID 7632 //
     /* 1454232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1454243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1454246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454282 */     // MIs[1] Operand 1
     /* 1454282 */     // No operand predicates
     /* 1454282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454286 */     // MIs[0] policy
     /* 1454286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454323 */     // GIR_Coverage, 7632,
     /* 1454323 */     GIR_EraseRootFromParent_Done,
     /* 1454324 */   // Label 20400: @1454324
     /* 1454324 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1454421), // Rule ID 7633 //
     /* 1454329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1454340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1454343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454379 */     // MIs[1] Operand 1
     /* 1454379 */     // No operand predicates
     /* 1454379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454383 */     // MIs[0] policy
     /* 1454383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454420 */     // GIR_Coverage, 7633,
     /* 1454420 */     GIR_EraseRootFromParent_Done,
     /* 1454421 */   // Label 20401: @1454421
     /* 1454421 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1454518), // Rule ID 7636 //
     /* 1454426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454476 */     // MIs[1] Operand 1
     /* 1454476 */     // No operand predicates
     /* 1454476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454480 */     // MIs[0] policy
     /* 1454480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454517 */     // GIR_Coverage, 7636,
     /* 1454517 */     GIR_EraseRootFromParent_Done,
     /* 1454518 */   // Label 20402: @1454518
     /* 1454518 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1454615), // Rule ID 7637 //
     /* 1454523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454573 */     // MIs[1] Operand 1
     /* 1454573 */     // No operand predicates
     /* 1454573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454577 */     // MIs[0] policy
     /* 1454577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454614 */     // GIR_Coverage, 7637,
     /* 1454614 */     GIR_EraseRootFromParent_Done,
     /* 1454615 */   // Label 20403: @1454615
     /* 1454615 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1454712), // Rule ID 7640 //
     /* 1454620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454670 */     // MIs[1] Operand 1
     /* 1454670 */     // No operand predicates
     /* 1454670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454674 */     // MIs[0] policy
     /* 1454674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454711 */     // GIR_Coverage, 7640,
     /* 1454711 */     GIR_EraseRootFromParent_Done,
     /* 1454712 */   // Label 20404: @1454712
     /* 1454712 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1454809), // Rule ID 7641 //
     /* 1454717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454767 */     // MIs[1] Operand 1
     /* 1454767 */     // No operand predicates
     /* 1454767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454771 */     // MIs[0] policy
     /* 1454771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454808 */     // GIR_Coverage, 7641,
     /* 1454808 */     GIR_EraseRootFromParent_Done,
     /* 1454809 */   // Label 20405: @1454809
     /* 1454809 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1454906), // Rule ID 7644 //
     /* 1454814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454864 */     // MIs[1] Operand 1
     /* 1454864 */     // No operand predicates
     /* 1454864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454868 */     // MIs[0] policy
     /* 1454868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454905 */     // GIR_Coverage, 7644,
     /* 1454905 */     GIR_EraseRootFromParent_Done,
     /* 1454906 */   // Label 20406: @1454906
     /* 1454906 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1455003), // Rule ID 7645 //
     /* 1454911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454961 */     // MIs[1] Operand 1
     /* 1454961 */     // No operand predicates
     /* 1454961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454965 */     // MIs[0] policy
     /* 1454965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455002 */     // GIR_Coverage, 7645,
     /* 1455002 */     GIR_EraseRootFromParent_Done,
     /* 1455003 */   // Label 20407: @1455003
     /* 1455003 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1455100), // Rule ID 7648 //
     /* 1455008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1455025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455058 */     // MIs[1] Operand 1
     /* 1455058 */     // No operand predicates
     /* 1455058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455062 */     // MIs[0] policy
     /* 1455062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455099 */     // GIR_Coverage, 7648,
     /* 1455099 */     GIR_EraseRootFromParent_Done,
     /* 1455100 */   // Label 20408: @1455100
     /* 1455100 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1455197), // Rule ID 7649 //
     /* 1455105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1455122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455155 */     // MIs[1] Operand 1
     /* 1455155 */     // No operand predicates
     /* 1455155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455159 */     // MIs[0] policy
     /* 1455159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455171 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455196 */     // GIR_Coverage, 7649,
     /* 1455196 */     GIR_EraseRootFromParent_Done,
     /* 1455197 */   // Label 20409: @1455197
     /* 1455197 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1455294), // Rule ID 7652 //
     /* 1455202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455252 */     // MIs[1] Operand 1
     /* 1455252 */     // No operand predicates
     /* 1455252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455256 */     // MIs[0] policy
     /* 1455256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1455271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455293 */     // GIR_Coverage, 7652,
     /* 1455293 */     GIR_EraseRootFromParent_Done,
     /* 1455294 */   // Label 20410: @1455294
     /* 1455294 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1455391), // Rule ID 7653 //
     /* 1455299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455349 */     // MIs[1] Operand 1
     /* 1455349 */     // No operand predicates
     /* 1455349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455353 */     // MIs[0] policy
     /* 1455353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1455368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455390 */     // GIR_Coverage, 7653,
     /* 1455390 */     GIR_EraseRootFromParent_Done,
     /* 1455391 */   // Label 20411: @1455391
     /* 1455391 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1455488), // Rule ID 7656 //
     /* 1455396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455446 */     // MIs[1] Operand 1
     /* 1455446 */     // No operand predicates
     /* 1455446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455450 */     // MIs[0] policy
     /* 1455450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455487 */     // GIR_Coverage, 7656,
     /* 1455487 */     GIR_EraseRootFromParent_Done,
     /* 1455488 */   // Label 20412: @1455488
     /* 1455488 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1455585), // Rule ID 7657 //
     /* 1455493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455543 */     // MIs[1] Operand 1
     /* 1455543 */     // No operand predicates
     /* 1455543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455547 */     // MIs[0] policy
     /* 1455547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455584 */     // GIR_Coverage, 7657,
     /* 1455584 */     GIR_EraseRootFromParent_Done,
     /* 1455585 */   // Label 20413: @1455585
     /* 1455585 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1455682), // Rule ID 7660 //
     /* 1455590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455640 */     // MIs[1] Operand 1
     /* 1455640 */     // No operand predicates
     /* 1455640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455644 */     // MIs[0] policy
     /* 1455644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455681 */     // GIR_Coverage, 7660,
     /* 1455681 */     GIR_EraseRootFromParent_Done,
     /* 1455682 */   // Label 20414: @1455682
     /* 1455682 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1455779), // Rule ID 7661 //
     /* 1455687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455737 */     // MIs[1] Operand 1
     /* 1455737 */     // No operand predicates
     /* 1455737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455741 */     // MIs[0] policy
     /* 1455741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455778 */     // GIR_Coverage, 7661,
     /* 1455778 */     GIR_EraseRootFromParent_Done,
     /* 1455779 */   // Label 20415: @1455779
     /* 1455779 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1455876), // Rule ID 7664 //
     /* 1455784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455834 */     // MIs[1] Operand 1
     /* 1455834 */     // No operand predicates
     /* 1455834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455838 */     // MIs[0] policy
     /* 1455838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455875 */     // GIR_Coverage, 7664,
     /* 1455875 */     GIR_EraseRootFromParent_Done,
     /* 1455876 */   // Label 20416: @1455876
     /* 1455876 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1455973), // Rule ID 7665 //
     /* 1455881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455931 */     // MIs[1] Operand 1
     /* 1455931 */     // No operand predicates
     /* 1455931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455935 */     // MIs[0] policy
     /* 1455935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455972 */     // GIR_Coverage, 7665,
     /* 1455972 */     GIR_EraseRootFromParent_Done,
     /* 1455973 */   // Label 20417: @1455973
     /* 1455973 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1456070), // Rule ID 7668 //
     /* 1455978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1455995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456028 */     // MIs[1] Operand 1
     /* 1456028 */     // No operand predicates
     /* 1456028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456032 */     // MIs[0] policy
     /* 1456032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456069 */     // GIR_Coverage, 7668,
     /* 1456069 */     GIR_EraseRootFromParent_Done,
     /* 1456070 */   // Label 20418: @1456070
     /* 1456070 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1456167), // Rule ID 7669 //
     /* 1456075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456125 */     // MIs[1] Operand 1
     /* 1456125 */     // No operand predicates
     /* 1456125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456129 */     // MIs[0] policy
     /* 1456129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456166 */     // GIR_Coverage, 7669,
     /* 1456166 */     GIR_EraseRootFromParent_Done,
     /* 1456167 */   // Label 20419: @1456167
     /* 1456167 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1456264), // Rule ID 7672 //
     /* 1456172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456222 */     // MIs[1] Operand 1
     /* 1456222 */     // No operand predicates
     /* 1456222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456226 */     // MIs[0] policy
     /* 1456226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1456241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456263 */     // GIR_Coverage, 7672,
     /* 1456263 */     GIR_EraseRootFromParent_Done,
     /* 1456264 */   // Label 20420: @1456264
     /* 1456264 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1456361), // Rule ID 7673 //
     /* 1456269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456319 */     // MIs[1] Operand 1
     /* 1456319 */     // No operand predicates
     /* 1456319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456323 */     // MIs[0] policy
     /* 1456323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1456338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456360 */     // GIR_Coverage, 7673,
     /* 1456360 */     GIR_EraseRootFromParent_Done,
     /* 1456361 */   // Label 20421: @1456361
     /* 1456361 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1456458), // Rule ID 7676 //
     /* 1456366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456416 */     // MIs[1] Operand 1
     /* 1456416 */     // No operand predicates
     /* 1456416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456420 */     // MIs[0] policy
     /* 1456420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456457 */     // GIR_Coverage, 7676,
     /* 1456457 */     GIR_EraseRootFromParent_Done,
     /* 1456458 */   // Label 20422: @1456458
     /* 1456458 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1456555), // Rule ID 7677 //
     /* 1456463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456513 */     // MIs[1] Operand 1
     /* 1456513 */     // No operand predicates
     /* 1456513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456517 */     // MIs[0] policy
     /* 1456517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456554 */     // GIR_Coverage, 7677,
     /* 1456554 */     GIR_EraseRootFromParent_Done,
     /* 1456555 */   // Label 20423: @1456555
     /* 1456555 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1456652), // Rule ID 7680 //
     /* 1456560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456610 */     // MIs[1] Operand 1
     /* 1456610 */     // No operand predicates
     /* 1456610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456614 */     // MIs[0] policy
     /* 1456614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456651 */     // GIR_Coverage, 7680,
     /* 1456651 */     GIR_EraseRootFromParent_Done,
     /* 1456652 */   // Label 20424: @1456652
     /* 1456652 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1456749), // Rule ID 7681 //
     /* 1456657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456707 */     // MIs[1] Operand 1
     /* 1456707 */     // No operand predicates
     /* 1456707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456711 */     // MIs[0] policy
     /* 1456711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456748 */     // GIR_Coverage, 7681,
     /* 1456748 */     GIR_EraseRootFromParent_Done,
     /* 1456749 */   // Label 20425: @1456749
     /* 1456749 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1456846), // Rule ID 7684 //
     /* 1456754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456804 */     // MIs[1] Operand 1
     /* 1456804 */     // No operand predicates
     /* 1456804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456808 */     // MIs[0] policy
     /* 1456808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456845 */     // GIR_Coverage, 7684,
     /* 1456845 */     GIR_EraseRootFromParent_Done,
     /* 1456846 */   // Label 20426: @1456846
     /* 1456846 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1456943), // Rule ID 7685 //
     /* 1456851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456901 */     // MIs[1] Operand 1
     /* 1456901 */     // No operand predicates
     /* 1456901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456905 */     // MIs[0] policy
     /* 1456905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456942 */     // GIR_Coverage, 7685,
     /* 1456942 */     GIR_EraseRootFromParent_Done,
     /* 1456943 */   // Label 20427: @1456943
     /* 1456943 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1457043), // Rule ID 14114 //
     /* 1456948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456998 */     // MIs[1] Operand 1
     /* 1456998 */     // No operand predicates
     /* 1456998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457002 */     // MIs[0] policy
     /* 1457002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1457017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457042 */     // GIR_Coverage, 14114,
     /* 1457042 */     GIR_EraseRootFromParent_Done,
     /* 1457043 */   // Label 20428: @1457043
     /* 1457043 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1457143), // Rule ID 14115 //
     /* 1457048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1457065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457098 */     // MIs[1] Operand 1
     /* 1457098 */     // No operand predicates
     /* 1457098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457102 */     // MIs[0] policy
     /* 1457102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457114 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1457117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457142 */     // GIR_Coverage, 14115,
     /* 1457142 */     GIR_EraseRootFromParent_Done,
     /* 1457143 */   // Label 20429: @1457143
     /* 1457143 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1457243), // Rule ID 14118 //
     /* 1457148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1457165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457198 */     // MIs[1] Operand 1
     /* 1457198 */     // No operand predicates
     /* 1457198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457202 */     // MIs[0] policy
     /* 1457202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457242 */     // GIR_Coverage, 14118,
     /* 1457242 */     GIR_EraseRootFromParent_Done,
     /* 1457243 */   // Label 20430: @1457243
     /* 1457243 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1457343), // Rule ID 14119 //
     /* 1457248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1457265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457298 */     // MIs[1] Operand 1
     /* 1457298 */     // No operand predicates
     /* 1457298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457302 */     // MIs[0] policy
     /* 1457302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457342 */     // GIR_Coverage, 14119,
     /* 1457342 */     GIR_EraseRootFromParent_Done,
     /* 1457343 */   // Label 20431: @1457343
     /* 1457343 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1457443), // Rule ID 14122 //
     /* 1457348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457398 */     // MIs[1] Operand 1
     /* 1457398 */     // No operand predicates
     /* 1457398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457402 */     // MIs[0] policy
     /* 1457402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457442 */     // GIR_Coverage, 14122,
     /* 1457442 */     GIR_EraseRootFromParent_Done,
     /* 1457443 */   // Label 20432: @1457443
     /* 1457443 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1457543), // Rule ID 14123 //
     /* 1457448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457498 */     // MIs[1] Operand 1
     /* 1457498 */     // No operand predicates
     /* 1457498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457502 */     // MIs[0] policy
     /* 1457502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457542 */     // GIR_Coverage, 14123,
     /* 1457542 */     GIR_EraseRootFromParent_Done,
     /* 1457543 */   // Label 20433: @1457543
     /* 1457543 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1457643), // Rule ID 14126 //
     /* 1457548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457598 */     // MIs[1] Operand 1
     /* 1457598 */     // No operand predicates
     /* 1457598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457602 */     // MIs[0] policy
     /* 1457602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457642 */     // GIR_Coverage, 14126,
     /* 1457642 */     GIR_EraseRootFromParent_Done,
     /* 1457643 */   // Label 20434: @1457643
     /* 1457643 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1457743), // Rule ID 14127 //
     /* 1457648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457698 */     // MIs[1] Operand 1
     /* 1457698 */     // No operand predicates
     /* 1457698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457702 */     // MIs[0] policy
     /* 1457702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457742 */     // GIR_Coverage, 14127,
     /* 1457742 */     GIR_EraseRootFromParent_Done,
     /* 1457743 */   // Label 20435: @1457743
     /* 1457743 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1457843), // Rule ID 14130 //
     /* 1457748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457798 */     // MIs[1] Operand 1
     /* 1457798 */     // No operand predicates
     /* 1457798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457802 */     // MIs[0] policy
     /* 1457802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457842 */     // GIR_Coverage, 14130,
     /* 1457842 */     GIR_EraseRootFromParent_Done,
     /* 1457843 */   // Label 20436: @1457843
     /* 1457843 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1457943), // Rule ID 14131 //
     /* 1457848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457898 */     // MIs[1] Operand 1
     /* 1457898 */     // No operand predicates
     /* 1457898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457902 */     // MIs[0] policy
     /* 1457902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457942 */     // GIR_Coverage, 14131,
     /* 1457942 */     GIR_EraseRootFromParent_Done,
     /* 1457943 */   // Label 20437: @1457943
     /* 1457943 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1458043), // Rule ID 14134 //
     /* 1457948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457998 */     // MIs[1] Operand 1
     /* 1457998 */     // No operand predicates
     /* 1457998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458002 */     // MIs[0] policy
     /* 1458002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1458017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458042 */     // GIR_Coverage, 14134,
     /* 1458042 */     GIR_EraseRootFromParent_Done,
     /* 1458043 */   // Label 20438: @1458043
     /* 1458043 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1458143), // Rule ID 14135 //
     /* 1458048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1458059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1458062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458098 */     // MIs[1] Operand 1
     /* 1458098 */     // No operand predicates
     /* 1458098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458102 */     // MIs[0] policy
     /* 1458102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1458117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458142 */     // GIR_Coverage, 14135,
     /* 1458142 */     GIR_EraseRootFromParent_Done,
     /* 1458143 */   // Label 20439: @1458143
     /* 1458143 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1458243), // Rule ID 14138 //
     /* 1458148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1458165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458198 */     // MIs[1] Operand 1
     /* 1458198 */     // No operand predicates
     /* 1458198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458202 */     // MIs[0] policy
     /* 1458202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458242 */     // GIR_Coverage, 14138,
     /* 1458242 */     GIR_EraseRootFromParent_Done,
     /* 1458243 */   // Label 20440: @1458243
     /* 1458243 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1458343), // Rule ID 14139 //
     /* 1458248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1458265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458298 */     // MIs[1] Operand 1
     /* 1458298 */     // No operand predicates
     /* 1458298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458302 */     // MIs[0] policy
     /* 1458302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458342 */     // GIR_Coverage, 14139,
     /* 1458342 */     GIR_EraseRootFromParent_Done,
     /* 1458343 */   // Label 20441: @1458343
     /* 1458343 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1458443), // Rule ID 14142 //
     /* 1458348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458398 */     // MIs[1] Operand 1
     /* 1458398 */     // No operand predicates
     /* 1458398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458402 */     // MIs[0] policy
     /* 1458402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458442 */     // GIR_Coverage, 14142,
     /* 1458442 */     GIR_EraseRootFromParent_Done,
     /* 1458443 */   // Label 20442: @1458443
     /* 1458443 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1458543), // Rule ID 14143 //
     /* 1458448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458498 */     // MIs[1] Operand 1
     /* 1458498 */     // No operand predicates
     /* 1458498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458502 */     // MIs[0] policy
     /* 1458502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458542 */     // GIR_Coverage, 14143,
     /* 1458542 */     GIR_EraseRootFromParent_Done,
     /* 1458543 */   // Label 20443: @1458543
     /* 1458543 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1458643), // Rule ID 14146 //
     /* 1458548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458598 */     // MIs[1] Operand 1
     /* 1458598 */     // No operand predicates
     /* 1458598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458602 */     // MIs[0] policy
     /* 1458602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458642 */     // GIR_Coverage, 14146,
     /* 1458642 */     GIR_EraseRootFromParent_Done,
     /* 1458643 */   // Label 20444: @1458643
     /* 1458643 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1458743), // Rule ID 14147 //
     /* 1458648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458698 */     // MIs[1] Operand 1
     /* 1458698 */     // No operand predicates
     /* 1458698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458702 */     // MIs[0] policy
     /* 1458702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458742 */     // GIR_Coverage, 14147,
     /* 1458742 */     GIR_EraseRootFromParent_Done,
     /* 1458743 */   // Label 20445: @1458743
     /* 1458743 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1458843), // Rule ID 14150 //
     /* 1458748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1458751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458798 */     // MIs[1] Operand 1
     /* 1458798 */     // No operand predicates
     /* 1458798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458802 */     // MIs[0] policy
     /* 1458802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458842 */     // GIR_Coverage, 14150,
     /* 1458842 */     GIR_EraseRootFromParent_Done,
     /* 1458843 */   // Label 20446: @1458843
     /* 1458843 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1458943), // Rule ID 14151 //
     /* 1458848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1458851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458898 */     // MIs[1] Operand 1
     /* 1458898 */     // No operand predicates
     /* 1458898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458902 */     // MIs[0] policy
     /* 1458902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458942 */     // GIR_Coverage, 14151,
     /* 1458942 */     GIR_EraseRootFromParent_Done,
     /* 1458943 */   // Label 20447: @1458943
     /* 1458943 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1459043), // Rule ID 14154 //
     /* 1458948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458998 */     // MIs[1] Operand 1
     /* 1458998 */     // No operand predicates
     /* 1458998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459002 */     // MIs[0] policy
     /* 1459002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459014 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459042 */     // GIR_Coverage, 14154,
     /* 1459042 */     GIR_EraseRootFromParent_Done,
     /* 1459043 */   // Label 20448: @1459043
     /* 1459043 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1459143), // Rule ID 14155 //
     /* 1459048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1459059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1459062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1459065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459098 */     // MIs[1] Operand 1
     /* 1459098 */     // No operand predicates
     /* 1459098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459102 */     // MIs[0] policy
     /* 1459102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459142 */     // GIR_Coverage, 14155,
     /* 1459142 */     GIR_EraseRootFromParent_Done,
     /* 1459143 */   // Label 20449: @1459143
     /* 1459143 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1459243), // Rule ID 14158 //
     /* 1459148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1459165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459198 */     // MIs[1] Operand 1
     /* 1459198 */     // No operand predicates
     /* 1459198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459202 */     // MIs[0] policy
     /* 1459202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459242 */     // GIR_Coverage, 14158,
     /* 1459242 */     GIR_EraseRootFromParent_Done,
     /* 1459243 */   // Label 20450: @1459243
     /* 1459243 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1459343), // Rule ID 14159 //
     /* 1459248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1459265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459298 */     // MIs[1] Operand 1
     /* 1459298 */     // No operand predicates
     /* 1459298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459302 */     // MIs[0] policy
     /* 1459302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459342 */     // GIR_Coverage, 14159,
     /* 1459342 */     GIR_EraseRootFromParent_Done,
     /* 1459343 */   // Label 20451: @1459343
     /* 1459343 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1459443), // Rule ID 14162 //
     /* 1459348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459398 */     // MIs[1] Operand 1
     /* 1459398 */     // No operand predicates
     /* 1459398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459402 */     // MIs[0] policy
     /* 1459402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459414 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459442 */     // GIR_Coverage, 14162,
     /* 1459442 */     GIR_EraseRootFromParent_Done,
     /* 1459443 */   // Label 20452: @1459443
     /* 1459443 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1459543), // Rule ID 14163 //
     /* 1459448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459498 */     // MIs[1] Operand 1
     /* 1459498 */     // No operand predicates
     /* 1459498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459502 */     // MIs[0] policy
     /* 1459502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459542 */     // GIR_Coverage, 14163,
     /* 1459542 */     GIR_EraseRootFromParent_Done,
     /* 1459543 */   // Label 20453: @1459543
     /* 1459543 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1459643), // Rule ID 14166 //
     /* 1459548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459598 */     // MIs[1] Operand 1
     /* 1459598 */     // No operand predicates
     /* 1459598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459602 */     // MIs[0] policy
     /* 1459602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459642 */     // GIR_Coverage, 14166,
     /* 1459642 */     GIR_EraseRootFromParent_Done,
     /* 1459643 */   // Label 20454: @1459643
     /* 1459643 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1459743), // Rule ID 14167 //
     /* 1459648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459698 */     // MIs[1] Operand 1
     /* 1459698 */     // No operand predicates
     /* 1459698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459702 */     // MIs[0] policy
     /* 1459702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459742 */     // GIR_Coverage, 14167,
     /* 1459742 */     GIR_EraseRootFromParent_Done,
     /* 1459743 */   // Label 20455: @1459743
     /* 1459743 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1459843), // Rule ID 14170 //
     /* 1459748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459798 */     // MIs[1] Operand 1
     /* 1459798 */     // No operand predicates
     /* 1459798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459802 */     // MIs[0] policy
     /* 1459802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459842 */     // GIR_Coverage, 14170,
     /* 1459842 */     GIR_EraseRootFromParent_Done,
     /* 1459843 */   // Label 20456: @1459843
     /* 1459843 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1459943), // Rule ID 14171 //
     /* 1459848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459898 */     // MIs[1] Operand 1
     /* 1459898 */     // No operand predicates
     /* 1459898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459902 */     // MIs[0] policy
     /* 1459902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459942 */     // GIR_Coverage, 14171,
     /* 1459942 */     GIR_EraseRootFromParent_Done,
     /* 1459943 */   // Label 20457: @1459943
     /* 1459943 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1460043), // Rule ID 14174 //
     /* 1459948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459998 */     // MIs[1] Operand 1
     /* 1459998 */     // No operand predicates
     /* 1459998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460002 */     // MIs[0] policy
     /* 1460002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460042 */     // GIR_Coverage, 14174,
     /* 1460042 */     GIR_EraseRootFromParent_Done,
     /* 1460043 */   // Label 20458: @1460043
     /* 1460043 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1460143), // Rule ID 14175 //
     /* 1460048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1460059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1460062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1460065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1460071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460098 */     // MIs[1] Operand 1
     /* 1460098 */     // No operand predicates
     /* 1460098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460102 */     // MIs[0] policy
     /* 1460102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460142 */     // GIR_Coverage, 14175,
     /* 1460142 */     GIR_EraseRootFromParent_Done,
     /* 1460143 */   // Label 20459: @1460143
     /* 1460143 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1460243), // Rule ID 14178 //
     /* 1460148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1460165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460198 */     // MIs[1] Operand 1
     /* 1460198 */     // No operand predicates
     /* 1460198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460202 */     // MIs[0] policy
     /* 1460202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460242 */     // GIR_Coverage, 14178,
     /* 1460242 */     GIR_EraseRootFromParent_Done,
     /* 1460243 */   // Label 20460: @1460243
     /* 1460243 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1460343), // Rule ID 14179 //
     /* 1460248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1460265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460298 */     // MIs[1] Operand 1
     /* 1460298 */     // No operand predicates
     /* 1460298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460302 */     // MIs[0] policy
     /* 1460302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460342 */     // GIR_Coverage, 14179,
     /* 1460342 */     GIR_EraseRootFromParent_Done,
     /* 1460343 */   // Label 20461: @1460343
     /* 1460343 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1460443), // Rule ID 14182 //
     /* 1460348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460398 */     // MIs[1] Operand 1
     /* 1460398 */     // No operand predicates
     /* 1460398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460402 */     // MIs[0] policy
     /* 1460402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460442 */     // GIR_Coverage, 14182,
     /* 1460442 */     GIR_EraseRootFromParent_Done,
     /* 1460443 */   // Label 20462: @1460443
     /* 1460443 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1460543), // Rule ID 14183 //
     /* 1460448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460498 */     // MIs[1] Operand 1
     /* 1460498 */     // No operand predicates
     /* 1460498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460502 */     // MIs[0] policy
     /* 1460502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460542 */     // GIR_Coverage, 14183,
     /* 1460542 */     GIR_EraseRootFromParent_Done,
     /* 1460543 */   // Label 20463: @1460543
     /* 1460543 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1460643), // Rule ID 14186 //
     /* 1460548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460598 */     // MIs[1] Operand 1
     /* 1460598 */     // No operand predicates
     /* 1460598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460602 */     // MIs[0] policy
     /* 1460602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460642 */     // GIR_Coverage, 14186,
     /* 1460642 */     GIR_EraseRootFromParent_Done,
     /* 1460643 */   // Label 20464: @1460643
     /* 1460643 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1460743), // Rule ID 14187 //
     /* 1460648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460698 */     // MIs[1] Operand 1
     /* 1460698 */     // No operand predicates
     /* 1460698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460702 */     // MIs[0] policy
     /* 1460702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460742 */     // GIR_Coverage, 14187,
     /* 1460742 */     GIR_EraseRootFromParent_Done,
     /* 1460743 */   // Label 20465: @1460743
     /* 1460743 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1460843), // Rule ID 14190 //
     /* 1460748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460798 */     // MIs[1] Operand 1
     /* 1460798 */     // No operand predicates
     /* 1460798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460802 */     // MIs[0] policy
     /* 1460802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460842 */     // GIR_Coverage, 14190,
     /* 1460842 */     GIR_EraseRootFromParent_Done,
     /* 1460843 */   // Label 20466: @1460843
     /* 1460843 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1460943), // Rule ID 14191 //
     /* 1460848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460898 */     // MIs[1] Operand 1
     /* 1460898 */     // No operand predicates
     /* 1460898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460902 */     // MIs[0] policy
     /* 1460902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460942 */     // GIR_Coverage, 14191,
     /* 1460942 */     GIR_EraseRootFromParent_Done,
     /* 1460943 */   // Label 20467: @1460943
     /* 1460943 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1461043), // Rule ID 14194 //
     /* 1460948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460998 */     // MIs[1] Operand 1
     /* 1460998 */     // No operand predicates
     /* 1460998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461002 */     // MIs[0] policy
     /* 1461002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1461017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461042 */     // GIR_Coverage, 14194,
     /* 1461042 */     GIR_EraseRootFromParent_Done,
     /* 1461043 */   // Label 20468: @1461043
     /* 1461043 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1461143), // Rule ID 14195 //
     /* 1461048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1461059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1461062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1461065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461098 */     // MIs[1] Operand 1
     /* 1461098 */     // No operand predicates
     /* 1461098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461102 */     // MIs[0] policy
     /* 1461102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1461117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461142 */     // GIR_Coverage, 14195,
     /* 1461142 */     GIR_EraseRootFromParent_Done,
     /* 1461143 */   // Label 20469: @1461143
     /* 1461143 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1461243), // Rule ID 14198 //
     /* 1461148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461198 */     // MIs[1] Operand 1
     /* 1461198 */     // No operand predicates
     /* 1461198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461202 */     // MIs[0] policy
     /* 1461202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1461217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461242 */     // GIR_Coverage, 14198,
     /* 1461242 */     GIR_EraseRootFromParent_Done,
     /* 1461243 */   // Label 20470: @1461243
     /* 1461243 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1461343), // Rule ID 14199 //
     /* 1461248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461298 */     // MIs[1] Operand 1
     /* 1461298 */     // No operand predicates
     /* 1461298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461302 */     // MIs[0] policy
     /* 1461302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1461317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461342 */     // GIR_Coverage, 14199,
     /* 1461342 */     GIR_EraseRootFromParent_Done,
     /* 1461343 */   // Label 20471: @1461343
     /* 1461343 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1461443), // Rule ID 14378 //
     /* 1461348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461398 */     // MIs[1] Operand 1
     /* 1461398 */     // No operand predicates
     /* 1461398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461402 */     // MIs[0] policy
     /* 1461402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461442 */     // GIR_Coverage, 14378,
     /* 1461442 */     GIR_EraseRootFromParent_Done,
     /* 1461443 */   // Label 20472: @1461443
     /* 1461443 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1461543), // Rule ID 14379 //
     /* 1461448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461498 */     // MIs[1] Operand 1
     /* 1461498 */     // No operand predicates
     /* 1461498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461502 */     // MIs[0] policy
     /* 1461502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461514 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461542 */     // GIR_Coverage, 14379,
     /* 1461542 */     GIR_EraseRootFromParent_Done,
     /* 1461543 */   // Label 20473: @1461543
     /* 1461543 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1461643), // Rule ID 14382 //
     /* 1461548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461598 */     // MIs[1] Operand 1
     /* 1461598 */     // No operand predicates
     /* 1461598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461602 */     // MIs[0] policy
     /* 1461602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461642 */     // GIR_Coverage, 14382,
     /* 1461642 */     GIR_EraseRootFromParent_Done,
     /* 1461643 */   // Label 20474: @1461643
     /* 1461643 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1461743), // Rule ID 14383 //
     /* 1461648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461698 */     // MIs[1] Operand 1
     /* 1461698 */     // No operand predicates
     /* 1461698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461702 */     // MIs[0] policy
     /* 1461702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461742 */     // GIR_Coverage, 14383,
     /* 1461742 */     GIR_EraseRootFromParent_Done,
     /* 1461743 */   // Label 20475: @1461743
     /* 1461743 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1461843), // Rule ID 14386 //
     /* 1461748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461798 */     // MIs[1] Operand 1
     /* 1461798 */     // No operand predicates
     /* 1461798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461802 */     // MIs[0] policy
     /* 1461802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461842 */     // GIR_Coverage, 14386,
     /* 1461842 */     GIR_EraseRootFromParent_Done,
     /* 1461843 */   // Label 20476: @1461843
     /* 1461843 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1461943), // Rule ID 14387 //
     /* 1461848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461898 */     // MIs[1] Operand 1
     /* 1461898 */     // No operand predicates
     /* 1461898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461902 */     // MIs[0] policy
     /* 1461902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461942 */     // GIR_Coverage, 14387,
     /* 1461942 */     GIR_EraseRootFromParent_Done,
     /* 1461943 */   // Label 20477: @1461943
     /* 1461943 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1462043), // Rule ID 14390 //
     /* 1461948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461998 */     // MIs[1] Operand 1
     /* 1461998 */     // No operand predicates
     /* 1461998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462002 */     // MIs[0] policy
     /* 1462002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1462017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462042 */     // GIR_Coverage, 14390,
     /* 1462042 */     GIR_EraseRootFromParent_Done,
     /* 1462043 */   // Label 20478: @1462043
     /* 1462043 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1462143), // Rule ID 14391 //
     /* 1462048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1462059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1462062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462098 */     // MIs[1] Operand 1
     /* 1462098 */     // No operand predicates
     /* 1462098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462102 */     // MIs[0] policy
     /* 1462102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1462117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462142 */     // GIR_Coverage, 14391,
     /* 1462142 */     GIR_EraseRootFromParent_Done,
     /* 1462143 */   // Label 20479: @1462143
     /* 1462143 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1462243), // Rule ID 14394 //
     /* 1462148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462198 */     // MIs[1] Operand 1
     /* 1462198 */     // No operand predicates
     /* 1462198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462202 */     // MIs[0] policy
     /* 1462202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462242 */     // GIR_Coverage, 14394,
     /* 1462242 */     GIR_EraseRootFromParent_Done,
     /* 1462243 */   // Label 20480: @1462243
     /* 1462243 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1462343), // Rule ID 14395 //
     /* 1462248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462298 */     // MIs[1] Operand 1
     /* 1462298 */     // No operand predicates
     /* 1462298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462302 */     // MIs[0] policy
     /* 1462302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462342 */     // GIR_Coverage, 14395,
     /* 1462342 */     GIR_EraseRootFromParent_Done,
     /* 1462343 */   // Label 20481: @1462343
     /* 1462343 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1462443), // Rule ID 14398 //
     /* 1462348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462398 */     // MIs[1] Operand 1
     /* 1462398 */     // No operand predicates
     /* 1462398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462402 */     // MIs[0] policy
     /* 1462402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462442 */     // GIR_Coverage, 14398,
     /* 1462442 */     GIR_EraseRootFromParent_Done,
     /* 1462443 */   // Label 20482: @1462443
     /* 1462443 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1462543), // Rule ID 14399 //
     /* 1462448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462498 */     // MIs[1] Operand 1
     /* 1462498 */     // No operand predicates
     /* 1462498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462502 */     // MIs[0] policy
     /* 1462502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462542 */     // GIR_Coverage, 14399,
     /* 1462542 */     GIR_EraseRootFromParent_Done,
     /* 1462543 */   // Label 20483: @1462543
     /* 1462543 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1462643), // Rule ID 14402 //
     /* 1462548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462598 */     // MIs[1] Operand 1
     /* 1462598 */     // No operand predicates
     /* 1462598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462602 */     // MIs[0] policy
     /* 1462602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462642 */     // GIR_Coverage, 14402,
     /* 1462642 */     GIR_EraseRootFromParent_Done,
     /* 1462643 */   // Label 20484: @1462643
     /* 1462643 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1462743), // Rule ID 14403 //
     /* 1462648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462698 */     // MIs[1] Operand 1
     /* 1462698 */     // No operand predicates
     /* 1462698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462702 */     // MIs[0] policy
     /* 1462702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462742 */     // GIR_Coverage, 14403,
     /* 1462742 */     GIR_EraseRootFromParent_Done,
     /* 1462743 */   // Label 20485: @1462743
     /* 1462743 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1462843), // Rule ID 14406 //
     /* 1462748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462798 */     // MIs[1] Operand 1
     /* 1462798 */     // No operand predicates
     /* 1462798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462802 */     // MIs[0] policy
     /* 1462802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462842 */     // GIR_Coverage, 14406,
     /* 1462842 */     GIR_EraseRootFromParent_Done,
     /* 1462843 */   // Label 20486: @1462843
     /* 1462843 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1462943), // Rule ID 14407 //
     /* 1462848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462898 */     // MIs[1] Operand 1
     /* 1462898 */     // No operand predicates
     /* 1462898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462902 */     // MIs[0] policy
     /* 1462902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462942 */     // GIR_Coverage, 14407,
     /* 1462942 */     GIR_EraseRootFromParent_Done,
     /* 1462943 */   // Label 20487: @1462943
     /* 1462943 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1463043), // Rule ID 14410 //
     /* 1462948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462998 */     // MIs[1] Operand 1
     /* 1462998 */     // No operand predicates
     /* 1462998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463002 */     // MIs[0] policy
     /* 1463002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463042 */     // GIR_Coverage, 14410,
     /* 1463042 */     GIR_EraseRootFromParent_Done,
     /* 1463043 */   // Label 20488: @1463043
     /* 1463043 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1463143), // Rule ID 14411 //
     /* 1463048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1463059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1463062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463098 */     // MIs[1] Operand 1
     /* 1463098 */     // No operand predicates
     /* 1463098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463102 */     // MIs[0] policy
     /* 1463102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463142 */     // GIR_Coverage, 14411,
     /* 1463142 */     GIR_EraseRootFromParent_Done,
     /* 1463143 */   // Label 20489: @1463143
     /* 1463143 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1463243), // Rule ID 14414 //
     /* 1463148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463198 */     // MIs[1] Operand 1
     /* 1463198 */     // No operand predicates
     /* 1463198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463202 */     // MIs[0] policy
     /* 1463202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463242 */     // GIR_Coverage, 14414,
     /* 1463242 */     GIR_EraseRootFromParent_Done,
     /* 1463243 */   // Label 20490: @1463243
     /* 1463243 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1463343), // Rule ID 14415 //
     /* 1463248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463298 */     // MIs[1] Operand 1
     /* 1463298 */     // No operand predicates
     /* 1463298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463302 */     // MIs[0] policy
     /* 1463302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1463317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463342 */     // GIR_Coverage, 14415,
     /* 1463342 */     GIR_EraseRootFromParent_Done,
     /* 1463343 */   // Label 20491: @1463343
     /* 1463343 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1463443), // Rule ID 14418 //
     /* 1463348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463398 */     // MIs[1] Operand 1
     /* 1463398 */     // No operand predicates
     /* 1463398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463402 */     // MIs[0] policy
     /* 1463402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463442 */     // GIR_Coverage, 14418,
     /* 1463442 */     GIR_EraseRootFromParent_Done,
     /* 1463443 */   // Label 20492: @1463443
     /* 1463443 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1463543), // Rule ID 14419 //
     /* 1463448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463498 */     // MIs[1] Operand 1
     /* 1463498 */     // No operand predicates
     /* 1463498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463502 */     // MIs[0] policy
     /* 1463502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463542 */     // GIR_Coverage, 14419,
     /* 1463542 */     GIR_EraseRootFromParent_Done,
     /* 1463543 */   // Label 20493: @1463543
     /* 1463543 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1463643), // Rule ID 14422 //
     /* 1463548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463598 */     // MIs[1] Operand 1
     /* 1463598 */     // No operand predicates
     /* 1463598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463602 */     // MIs[0] policy
     /* 1463602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463614 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463642 */     // GIR_Coverage, 14422,
     /* 1463642 */     GIR_EraseRootFromParent_Done,
     /* 1463643 */   // Label 20494: @1463643
     /* 1463643 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1463743), // Rule ID 14423 //
     /* 1463648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463698 */     // MIs[1] Operand 1
     /* 1463698 */     // No operand predicates
     /* 1463698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463702 */     // MIs[0] policy
     /* 1463702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463742 */     // GIR_Coverage, 14423,
     /* 1463742 */     GIR_EraseRootFromParent_Done,
     /* 1463743 */   // Label 20495: @1463743
     /* 1463743 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1463843), // Rule ID 14426 //
     /* 1463748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463798 */     // MIs[1] Operand 1
     /* 1463798 */     // No operand predicates
     /* 1463798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463802 */     // MIs[0] policy
     /* 1463802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463814 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463842 */     // GIR_Coverage, 14426,
     /* 1463842 */     GIR_EraseRootFromParent_Done,
     /* 1463843 */   // Label 20496: @1463843
     /* 1463843 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1463943), // Rule ID 14427 //
     /* 1463848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463898 */     // MIs[1] Operand 1
     /* 1463898 */     // No operand predicates
     /* 1463898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463902 */     // MIs[0] policy
     /* 1463902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463942 */     // GIR_Coverage, 14427,
     /* 1463942 */     GIR_EraseRootFromParent_Done,
     /* 1463943 */   // Label 20497: @1463943
     /* 1463943 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1464043), // Rule ID 14430 //
     /* 1463948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463998 */     // MIs[1] Operand 1
     /* 1463998 */     // No operand predicates
     /* 1463998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464002 */     // MIs[0] policy
     /* 1464002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464042 */     // GIR_Coverage, 14430,
     /* 1464042 */     GIR_EraseRootFromParent_Done,
     /* 1464043 */   // Label 20498: @1464043
     /* 1464043 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1464143), // Rule ID 14431 //
     /* 1464048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1464059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1464062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1464065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464098 */     // MIs[1] Operand 1
     /* 1464098 */     // No operand predicates
     /* 1464098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464102 */     // MIs[0] policy
     /* 1464102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464142 */     // GIR_Coverage, 14431,
     /* 1464142 */     GIR_EraseRootFromParent_Done,
     /* 1464143 */   // Label 20499: @1464143
     /* 1464143 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1464243), // Rule ID 14434 //
     /* 1464148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464198 */     // MIs[1] Operand 1
     /* 1464198 */     // No operand predicates
     /* 1464198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464202 */     // MIs[0] policy
     /* 1464202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464242 */     // GIR_Coverage, 14434,
     /* 1464242 */     GIR_EraseRootFromParent_Done,
     /* 1464243 */   // Label 20500: @1464243
     /* 1464243 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1464343), // Rule ID 14435 //
     /* 1464248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464298 */     // MIs[1] Operand 1
     /* 1464298 */     // No operand predicates
     /* 1464298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464302 */     // MIs[0] policy
     /* 1464302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464342 */     // GIR_Coverage, 14435,
     /* 1464342 */     GIR_EraseRootFromParent_Done,
     /* 1464343 */   // Label 20501: @1464343
     /* 1464343 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1464443), // Rule ID 14438 //
     /* 1464348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464398 */     // MIs[1] Operand 1
     /* 1464398 */     // No operand predicates
     /* 1464398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464402 */     // MIs[0] policy
     /* 1464402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464442 */     // GIR_Coverage, 14438,
     /* 1464442 */     GIR_EraseRootFromParent_Done,
     /* 1464443 */   // Label 20502: @1464443
     /* 1464443 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1464543), // Rule ID 14439 //
     /* 1464448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464498 */     // MIs[1] Operand 1
     /* 1464498 */     // No operand predicates
     /* 1464498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464502 */     // MIs[0] policy
     /* 1464502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464542 */     // GIR_Coverage, 14439,
     /* 1464542 */     GIR_EraseRootFromParent_Done,
     /* 1464543 */   // Label 20503: @1464543
     /* 1464543 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1464643), // Rule ID 14442 //
     /* 1464548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464598 */     // MIs[1] Operand 1
     /* 1464598 */     // No operand predicates
     /* 1464598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464602 */     // MIs[0] policy
     /* 1464602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464642 */     // GIR_Coverage, 14442,
     /* 1464642 */     GIR_EraseRootFromParent_Done,
     /* 1464643 */   // Label 20504: @1464643
     /* 1464643 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1464743), // Rule ID 14443 //
     /* 1464648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464698 */     // MIs[1] Operand 1
     /* 1464698 */     // No operand predicates
     /* 1464698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464702 */     // MIs[0] policy
     /* 1464702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464742 */     // GIR_Coverage, 14443,
     /* 1464742 */     GIR_EraseRootFromParent_Done,
     /* 1464743 */   // Label 20505: @1464743
     /* 1464743 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1464843), // Rule ID 14446 //
     /* 1464748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464798 */     // MIs[1] Operand 1
     /* 1464798 */     // No operand predicates
     /* 1464798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464802 */     // MIs[0] policy
     /* 1464802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464842 */     // GIR_Coverage, 14446,
     /* 1464842 */     GIR_EraseRootFromParent_Done,
     /* 1464843 */   // Label 20506: @1464843
     /* 1464843 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1464943), // Rule ID 14447 //
     /* 1464848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464898 */     // MIs[1] Operand 1
     /* 1464898 */     // No operand predicates
     /* 1464898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464902 */     // MIs[0] policy
     /* 1464902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464942 */     // GIR_Coverage, 14447,
     /* 1464942 */     GIR_EraseRootFromParent_Done,
     /* 1464943 */   // Label 20507: @1464943
     /* 1464943 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1465043), // Rule ID 14450 //
     /* 1464948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464998 */     // MIs[1] Operand 1
     /* 1464998 */     // No operand predicates
     /* 1464998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465002 */     // MIs[0] policy
     /* 1465002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465042 */     // GIR_Coverage, 14450,
     /* 1465042 */     GIR_EraseRootFromParent_Done,
     /* 1465043 */   // Label 20508: @1465043
     /* 1465043 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1465143), // Rule ID 14451 //
     /* 1465048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1465059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1465062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1465065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465098 */     // MIs[1] Operand 1
     /* 1465098 */     // No operand predicates
     /* 1465098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465102 */     // MIs[0] policy
     /* 1465102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465142 */     // GIR_Coverage, 14451,
     /* 1465142 */     GIR_EraseRootFromParent_Done,
     /* 1465143 */   // Label 20509: @1465143
     /* 1465143 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1465243), // Rule ID 14454 //
     /* 1465148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465198 */     // MIs[1] Operand 1
     /* 1465198 */     // No operand predicates
     /* 1465198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465202 */     // MIs[0] policy
     /* 1465202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1465217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465242 */     // GIR_Coverage, 14454,
     /* 1465242 */     GIR_EraseRootFromParent_Done,
     /* 1465243 */   // Label 20510: @1465243
     /* 1465243 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1465343), // Rule ID 14455 //
     /* 1465248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465298 */     // MIs[1] Operand 1
     /* 1465298 */     // No operand predicates
     /* 1465298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465302 */     // MIs[0] policy
     /* 1465302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1465317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465342 */     // GIR_Coverage, 14455,
     /* 1465342 */     GIR_EraseRootFromParent_Done,
     /* 1465343 */   // Label 20511: @1465343
     /* 1465343 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1465443), // Rule ID 14458 //
     /* 1465348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465398 */     // MIs[1] Operand 1
     /* 1465398 */     // No operand predicates
     /* 1465398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465402 */     // MIs[0] policy
     /* 1465402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465442 */     // GIR_Coverage, 14458,
     /* 1465442 */     GIR_EraseRootFromParent_Done,
     /* 1465443 */   // Label 20512: @1465443
     /* 1465443 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1465543), // Rule ID 14459 //
     /* 1465448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465498 */     // MIs[1] Operand 1
     /* 1465498 */     // No operand predicates
     /* 1465498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465502 */     // MIs[0] policy
     /* 1465502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465542 */     // GIR_Coverage, 14459,
     /* 1465542 */     GIR_EraseRootFromParent_Done,
     /* 1465543 */   // Label 20513: @1465543
     /* 1465543 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1465643), // Rule ID 14462 //
     /* 1465548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465598 */     // MIs[1] Operand 1
     /* 1465598 */     // No operand predicates
     /* 1465598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465602 */     // MIs[0] policy
     /* 1465602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465642 */     // GIR_Coverage, 14462,
     /* 1465642 */     GIR_EraseRootFromParent_Done,
     /* 1465643 */   // Label 20514: @1465643
     /* 1465643 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1465743), // Rule ID 14463 //
     /* 1465648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465698 */     // MIs[1] Operand 1
     /* 1465698 */     // No operand predicates
     /* 1465698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465702 */     // MIs[0] policy
     /* 1465702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465742 */     // GIR_Coverage, 14463,
     /* 1465742 */     GIR_EraseRootFromParent_Done,
     /* 1465743 */   // Label 20515: @1465743
     /* 1465743 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1465840), // Rule ID 23582 //
     /* 1465748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465798 */     // MIs[1] Operand 1
     /* 1465798 */     // No operand predicates
     /* 1465798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465802 */     // MIs[0] policy
     /* 1465802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465814 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465839 */     // GIR_Coverage, 23582,
     /* 1465839 */     GIR_EraseRootFromParent_Done,
     /* 1465840 */   // Label 20516: @1465840
     /* 1465840 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1465937), // Rule ID 23583 //
     /* 1465845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465895 */     // MIs[1] Operand 1
     /* 1465895 */     // No operand predicates
     /* 1465895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465899 */     // MIs[0] policy
     /* 1465899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465936 */     // GIR_Coverage, 23583,
     /* 1465936 */     GIR_EraseRootFromParent_Done,
     /* 1465937 */   // Label 20517: @1465937
     /* 1465937 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1466034), // Rule ID 23586 //
     /* 1465942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465992 */     // MIs[1] Operand 1
     /* 1465992 */     // No operand predicates
     /* 1465992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465996 */     // MIs[0] policy
     /* 1465996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466033 */     // GIR_Coverage, 23586,
     /* 1466033 */     GIR_EraseRootFromParent_Done,
     /* 1466034 */   // Label 20518: @1466034
     /* 1466034 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1466131), // Rule ID 23587 //
     /* 1466039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1466050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1466053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1466056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466089 */     // MIs[1] Operand 1
     /* 1466089 */     // No operand predicates
     /* 1466089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466093 */     // MIs[0] policy
     /* 1466093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466130 */     // GIR_Coverage, 23587,
     /* 1466130 */     GIR_EraseRootFromParent_Done,
     /* 1466131 */   // Label 20519: @1466131
     /* 1466131 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1466228), // Rule ID 23590 //
     /* 1466136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1466147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1466150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1466153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466186 */     // MIs[1] Operand 1
     /* 1466186 */     // No operand predicates
     /* 1466186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466190 */     // MIs[0] policy
     /* 1466190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466227 */     // GIR_Coverage, 23590,
     /* 1466227 */     GIR_EraseRootFromParent_Done,
     /* 1466228 */   // Label 20520: @1466228
     /* 1466228 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1466325), // Rule ID 23591 //
     /* 1466233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1466244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1466247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1466250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466283 */     // MIs[1] Operand 1
     /* 1466283 */     // No operand predicates
     /* 1466283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466287 */     // MIs[0] policy
     /* 1466287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466299 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466324 */     // GIR_Coverage, 23591,
     /* 1466324 */     GIR_EraseRootFromParent_Done,
     /* 1466325 */   // Label 20521: @1466325
     /* 1466325 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1466422), // Rule ID 23594 //
     /* 1466330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466380 */     // MIs[1] Operand 1
     /* 1466380 */     // No operand predicates
     /* 1466380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466384 */     // MIs[0] policy
     /* 1466384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466421 */     // GIR_Coverage, 23594,
     /* 1466421 */     GIR_EraseRootFromParent_Done,
     /* 1466422 */   // Label 20522: @1466422
     /* 1466422 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1466519), // Rule ID 23595 //
     /* 1466427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466477 */     // MIs[1] Operand 1
     /* 1466477 */     // No operand predicates
     /* 1466477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466481 */     // MIs[0] policy
     /* 1466481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466518 */     // GIR_Coverage, 23595,
     /* 1466518 */     GIR_EraseRootFromParent_Done,
     /* 1466519 */   // Label 20523: @1466519
     /* 1466519 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1466616), // Rule ID 23598 //
     /* 1466524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466574 */     // MIs[1] Operand 1
     /* 1466574 */     // No operand predicates
     /* 1466574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466578 */     // MIs[0] policy
     /* 1466578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466615 */     // GIR_Coverage, 23598,
     /* 1466615 */     GIR_EraseRootFromParent_Done,
     /* 1466616 */   // Label 20524: @1466616
     /* 1466616 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1466713), // Rule ID 23599 //
     /* 1466621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466671 */     // MIs[1] Operand 1
     /* 1466671 */     // No operand predicates
     /* 1466671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466675 */     // MIs[0] policy
     /* 1466675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466712 */     // GIR_Coverage, 23599,
     /* 1466712 */     GIR_EraseRootFromParent_Done,
     /* 1466713 */   // Label 20525: @1466713
     /* 1466713 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1466810), // Rule ID 23602 //
     /* 1466718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466768 */     // MIs[1] Operand 1
     /* 1466768 */     // No operand predicates
     /* 1466768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466772 */     // MIs[0] policy
     /* 1466772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466809 */     // GIR_Coverage, 23602,
     /* 1466809 */     GIR_EraseRootFromParent_Done,
     /* 1466810 */   // Label 20526: @1466810
     /* 1466810 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1466907), // Rule ID 23603 //
     /* 1466815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466865 */     // MIs[1] Operand 1
     /* 1466865 */     // No operand predicates
     /* 1466865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466869 */     // MIs[0] policy
     /* 1466869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466906 */     // GIR_Coverage, 23603,
     /* 1466906 */     GIR_EraseRootFromParent_Done,
     /* 1466907 */   // Label 20527: @1466907
     /* 1466907 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1467004), // Rule ID 23606 //
     /* 1466912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466962 */     // MIs[1] Operand 1
     /* 1466962 */     // No operand predicates
     /* 1466962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466966 */     // MIs[0] policy
     /* 1466966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467003 */     // GIR_Coverage, 23606,
     /* 1467003 */     GIR_EraseRootFromParent_Done,
     /* 1467004 */   // Label 20528: @1467004
     /* 1467004 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1467101), // Rule ID 23607 //
     /* 1467009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1467020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1467023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1467026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467059 */     // MIs[1] Operand 1
     /* 1467059 */     // No operand predicates
     /* 1467059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467063 */     // MIs[0] policy
     /* 1467063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467100 */     // GIR_Coverage, 23607,
     /* 1467100 */     GIR_EraseRootFromParent_Done,
     /* 1467101 */   // Label 20529: @1467101
     /* 1467101 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1467198), // Rule ID 23610 //
     /* 1467106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1467123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467156 */     // MIs[1] Operand 1
     /* 1467156 */     // No operand predicates
     /* 1467156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467160 */     // MIs[0] policy
     /* 1467160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467197 */     // GIR_Coverage, 23610,
     /* 1467197 */     GIR_EraseRootFromParent_Done,
     /* 1467198 */   // Label 20530: @1467198
     /* 1467198 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1467295), // Rule ID 23611 //
     /* 1467203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1467220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467253 */     // MIs[1] Operand 1
     /* 1467253 */     // No operand predicates
     /* 1467253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467257 */     // MIs[0] policy
     /* 1467257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467294 */     // GIR_Coverage, 23611,
     /* 1467294 */     GIR_EraseRootFromParent_Done,
     /* 1467295 */   // Label 20531: @1467295
     /* 1467295 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1467392), // Rule ID 23614 //
     /* 1467300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467350 */     // MIs[1] Operand 1
     /* 1467350 */     // No operand predicates
     /* 1467350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467354 */     // MIs[0] policy
     /* 1467354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467391 */     // GIR_Coverage, 23614,
     /* 1467391 */     GIR_EraseRootFromParent_Done,
     /* 1467392 */   // Label 20532: @1467392
     /* 1467392 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1467489), // Rule ID 23615 //
     /* 1467397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467447 */     // MIs[1] Operand 1
     /* 1467447 */     // No operand predicates
     /* 1467447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467451 */     // MIs[0] policy
     /* 1467451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467488 */     // GIR_Coverage, 23615,
     /* 1467488 */     GIR_EraseRootFromParent_Done,
     /* 1467489 */   // Label 20533: @1467489
     /* 1467489 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1467586), // Rule ID 23618 //
     /* 1467494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467544 */     // MIs[1] Operand 1
     /* 1467544 */     // No operand predicates
     /* 1467544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467548 */     // MIs[0] policy
     /* 1467548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467585 */     // GIR_Coverage, 23618,
     /* 1467585 */     GIR_EraseRootFromParent_Done,
     /* 1467586 */   // Label 20534: @1467586
     /* 1467586 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1467683), // Rule ID 23619 //
     /* 1467591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467641 */     // MIs[1] Operand 1
     /* 1467641 */     // No operand predicates
     /* 1467641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467645 */     // MIs[0] policy
     /* 1467645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467682 */     // GIR_Coverage, 23619,
     /* 1467682 */     GIR_EraseRootFromParent_Done,
     /* 1467683 */   // Label 20535: @1467683
     /* 1467683 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1467780), // Rule ID 23622 //
     /* 1467688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467738 */     // MIs[1] Operand 1
     /* 1467738 */     // No operand predicates
     /* 1467738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467742 */     // MIs[0] policy
     /* 1467742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467754 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467779 */     // GIR_Coverage, 23622,
     /* 1467779 */     GIR_EraseRootFromParent_Done,
     /* 1467780 */   // Label 20536: @1467780
     /* 1467780 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1467877), // Rule ID 23623 //
     /* 1467785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467835 */     // MIs[1] Operand 1
     /* 1467835 */     // No operand predicates
     /* 1467835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467839 */     // MIs[0] policy
     /* 1467839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467876 */     // GIR_Coverage, 23623,
     /* 1467876 */     GIR_EraseRootFromParent_Done,
     /* 1467877 */   // Label 20537: @1467877
     /* 1467877 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1467974), // Rule ID 23626 //
     /* 1467882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467932 */     // MIs[1] Operand 1
     /* 1467932 */     // No operand predicates
     /* 1467932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467936 */     // MIs[0] policy
     /* 1467936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467973 */     // GIR_Coverage, 23626,
     /* 1467973 */     GIR_EraseRootFromParent_Done,
     /* 1467974 */   // Label 20538: @1467974
     /* 1467974 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1468071), // Rule ID 23627 //
     /* 1467979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468029 */     // MIs[1] Operand 1
     /* 1468029 */     // No operand predicates
     /* 1468029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468033 */     // MIs[0] policy
     /* 1468033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468045 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468070 */     // GIR_Coverage, 23627,
     /* 1468070 */     GIR_EraseRootFromParent_Done,
     /* 1468071 */   // Label 20539: @1468071
     /* 1468071 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1468168), // Rule ID 23630 //
     /* 1468076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1468087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1468090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1468093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1468099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468126 */     // MIs[1] Operand 1
     /* 1468126 */     // No operand predicates
     /* 1468126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468130 */     // MIs[0] policy
     /* 1468130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468142 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468167 */     // GIR_Coverage, 23630,
     /* 1468167 */     GIR_EraseRootFromParent_Done,
     /* 1468168 */   // Label 20540: @1468168
     /* 1468168 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1468265), // Rule ID 23631 //
     /* 1468173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1468184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1468187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1468190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1468196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468223 */     // MIs[1] Operand 1
     /* 1468223 */     // No operand predicates
     /* 1468223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468227 */     // MIs[0] policy
     /* 1468227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468239 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468264 */     // GIR_Coverage, 23631,
     /* 1468264 */     GIR_EraseRootFromParent_Done,
     /* 1468265 */   // Label 20541: @1468265
     /* 1468265 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1468362), // Rule ID 23634 //
     /* 1468270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468320 */     // MIs[1] Operand 1
     /* 1468320 */     // No operand predicates
     /* 1468320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468324 */     // MIs[0] policy
     /* 1468324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468361 */     // GIR_Coverage, 23634,
     /* 1468361 */     GIR_EraseRootFromParent_Done,
     /* 1468362 */   // Label 20542: @1468362
     /* 1468362 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1468459), // Rule ID 23635 //
     /* 1468367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468417 */     // MIs[1] Operand 1
     /* 1468417 */     // No operand predicates
     /* 1468417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468421 */     // MIs[0] policy
     /* 1468421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468458 */     // GIR_Coverage, 23635,
     /* 1468458 */     GIR_EraseRootFromParent_Done,
     /* 1468459 */   // Label 20543: @1468459
     /* 1468459 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1468556), // Rule ID 23638 //
     /* 1468464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468514 */     // MIs[1] Operand 1
     /* 1468514 */     // No operand predicates
     /* 1468514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468518 */     // MIs[0] policy
     /* 1468518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468555 */     // GIR_Coverage, 23638,
     /* 1468555 */     GIR_EraseRootFromParent_Done,
     /* 1468556 */   // Label 20544: @1468556
     /* 1468556 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1468653), // Rule ID 23639 //
     /* 1468561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468611 */     // MIs[1] Operand 1
     /* 1468611 */     // No operand predicates
     /* 1468611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468615 */     // MIs[0] policy
     /* 1468615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468652 */     // GIR_Coverage, 23639,
     /* 1468652 */     GIR_EraseRootFromParent_Done,
     /* 1468653 */   // Label 20545: @1468653
     /* 1468653 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1468750), // Rule ID 23642 //
     /* 1468658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468708 */     // MIs[1] Operand 1
     /* 1468708 */     // No operand predicates
     /* 1468708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468712 */     // MIs[0] policy
     /* 1468712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468749 */     // GIR_Coverage, 23642,
     /* 1468749 */     GIR_EraseRootFromParent_Done,
     /* 1468750 */   // Label 20546: @1468750
     /* 1468750 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1468847), // Rule ID 23643 //
     /* 1468755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468805 */     // MIs[1] Operand 1
     /* 1468805 */     // No operand predicates
     /* 1468805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468809 */     // MIs[0] policy
     /* 1468809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468846 */     // GIR_Coverage, 23643,
     /* 1468846 */     GIR_EraseRootFromParent_Done,
     /* 1468847 */   // Label 20547: @1468847
     /* 1468847 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1468944), // Rule ID 23646 //
     /* 1468852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468902 */     // MIs[1] Operand 1
     /* 1468902 */     // No operand predicates
     /* 1468902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468906 */     // MIs[0] policy
     /* 1468906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468943 */     // GIR_Coverage, 23646,
     /* 1468943 */     GIR_EraseRootFromParent_Done,
     /* 1468944 */   // Label 20548: @1468944
     /* 1468944 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1469041), // Rule ID 23647 //
     /* 1468949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468999 */     // MIs[1] Operand 1
     /* 1468999 */     // No operand predicates
     /* 1468999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469003 */     // MIs[0] policy
     /* 1469003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469015 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469040 */     // GIR_Coverage, 23647,
     /* 1469040 */     GIR_EraseRootFromParent_Done,
     /* 1469041 */   // Label 20549: @1469041
     /* 1469041 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1469138), // Rule ID 23650 //
     /* 1469046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469096 */     // MIs[1] Operand 1
     /* 1469096 */     // No operand predicates
     /* 1469096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469100 */     // MIs[0] policy
     /* 1469100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469137 */     // GIR_Coverage, 23650,
     /* 1469137 */     GIR_EraseRootFromParent_Done,
     /* 1469138 */   // Label 20550: @1469138
     /* 1469138 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1469235), // Rule ID 23651 //
     /* 1469143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469193 */     // MIs[1] Operand 1
     /* 1469193 */     // No operand predicates
     /* 1469193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469197 */     // MIs[0] policy
     /* 1469197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469234 */     // GIR_Coverage, 23651,
     /* 1469234 */     GIR_EraseRootFromParent_Done,
     /* 1469235 */   // Label 20551: @1469235
     /* 1469235 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1469332), // Rule ID 23654 //
     /* 1469240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469290 */     // MIs[1] Operand 1
     /* 1469290 */     // No operand predicates
     /* 1469290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469294 */     // MIs[0] policy
     /* 1469294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469331 */     // GIR_Coverage, 23654,
     /* 1469331 */     GIR_EraseRootFromParent_Done,
     /* 1469332 */   // Label 20552: @1469332
     /* 1469332 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1469429), // Rule ID 23655 //
     /* 1469337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469387 */     // MIs[1] Operand 1
     /* 1469387 */     // No operand predicates
     /* 1469387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469391 */     // MIs[0] policy
     /* 1469391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469428 */     // GIR_Coverage, 23655,
     /* 1469428 */     GIR_EraseRootFromParent_Done,
     /* 1469429 */   // Label 20553: @1469429
     /* 1469429 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1469526), // Rule ID 23658 //
     /* 1469434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469484 */     // MIs[1] Operand 1
     /* 1469484 */     // No operand predicates
     /* 1469484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469488 */     // MIs[0] policy
     /* 1469488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469525 */     // GIR_Coverage, 23658,
     /* 1469525 */     GIR_EraseRootFromParent_Done,
     /* 1469526 */   // Label 20554: @1469526
     /* 1469526 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1469623), // Rule ID 23659 //
     /* 1469531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469581 */     // MIs[1] Operand 1
     /* 1469581 */     // No operand predicates
     /* 1469581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469585 */     // MIs[0] policy
     /* 1469585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469622 */     // GIR_Coverage, 23659,
     /* 1469622 */     GIR_EraseRootFromParent_Done,
     /* 1469623 */   // Label 20555: @1469623
     /* 1469623 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1469720), // Rule ID 23662 //
     /* 1469628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469678 */     // MIs[1] Operand 1
     /* 1469678 */     // No operand predicates
     /* 1469678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469682 */     // MIs[0] policy
     /* 1469682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469719 */     // GIR_Coverage, 23662,
     /* 1469719 */     GIR_EraseRootFromParent_Done,
     /* 1469720 */   // Label 20556: @1469720
     /* 1469720 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1469817), // Rule ID 23663 //
     /* 1469725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469775 */     // MIs[1] Operand 1
     /* 1469775 */     // No operand predicates
     /* 1469775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469779 */     // MIs[0] policy
     /* 1469779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469791 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469816 */     // GIR_Coverage, 23663,
     /* 1469816 */     GIR_EraseRootFromParent_Done,
     /* 1469817 */   // Label 20557: @1469817
     /* 1469817 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1469914), // Rule ID 23666 //
     /* 1469822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469872 */     // MIs[1] Operand 1
     /* 1469872 */     // No operand predicates
     /* 1469872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469876 */     // MIs[0] policy
     /* 1469876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469913 */     // GIR_Coverage, 23666,
     /* 1469913 */     GIR_EraseRootFromParent_Done,
     /* 1469914 */   // Label 20558: @1469914
     /* 1469914 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1470011), // Rule ID 23667 //
     /* 1469919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469969 */     // MIs[1] Operand 1
     /* 1469969 */     // No operand predicates
     /* 1469969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469973 */     // MIs[0] policy
     /* 1469973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469985 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470010 */     // GIR_Coverage, 23667,
     /* 1470010 */     GIR_EraseRootFromParent_Done,
     /* 1470011 */   // Label 20559: @1470011
     /* 1470011 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1470108), // Rule ID 23758 //
     /* 1470016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470066 */     // MIs[1] Operand 1
     /* 1470066 */     // No operand predicates
     /* 1470066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470070 */     // MIs[0] policy
     /* 1470070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1470085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470107 */     // GIR_Coverage, 23758,
     /* 1470107 */     GIR_EraseRootFromParent_Done,
     /* 1470108 */   // Label 20560: @1470108
     /* 1470108 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1470205), // Rule ID 23759 //
     /* 1470113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470163 */     // MIs[1] Operand 1
     /* 1470163 */     // No operand predicates
     /* 1470163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470167 */     // MIs[0] policy
     /* 1470167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1470182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470204 */     // GIR_Coverage, 23759,
     /* 1470204 */     GIR_EraseRootFromParent_Done,
     /* 1470205 */   // Label 20561: @1470205
     /* 1470205 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1470302), // Rule ID 23762 //
     /* 1470210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470260 */     // MIs[1] Operand 1
     /* 1470260 */     // No operand predicates
     /* 1470260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470264 */     // MIs[0] policy
     /* 1470264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470301 */     // GIR_Coverage, 23762,
     /* 1470301 */     GIR_EraseRootFromParent_Done,
     /* 1470302 */   // Label 20562: @1470302
     /* 1470302 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1470399), // Rule ID 23763 //
     /* 1470307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470357 */     // MIs[1] Operand 1
     /* 1470357 */     // No operand predicates
     /* 1470357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470361 */     // MIs[0] policy
     /* 1470361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470373 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470398 */     // GIR_Coverage, 23763,
     /* 1470398 */     GIR_EraseRootFromParent_Done,
     /* 1470399 */   // Label 20563: @1470399
     /* 1470399 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1470496), // Rule ID 23766 //
     /* 1470404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470454 */     // MIs[1] Operand 1
     /* 1470454 */     // No operand predicates
     /* 1470454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470458 */     // MIs[0] policy
     /* 1470458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470495 */     // GIR_Coverage, 23766,
     /* 1470495 */     GIR_EraseRootFromParent_Done,
     /* 1470496 */   // Label 20564: @1470496
     /* 1470496 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1470593), // Rule ID 23767 //
     /* 1470501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470551 */     // MIs[1] Operand 1
     /* 1470551 */     // No operand predicates
     /* 1470551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470555 */     // MIs[0] policy
     /* 1470555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470592 */     // GIR_Coverage, 23767,
     /* 1470592 */     GIR_EraseRootFromParent_Done,
     /* 1470593 */   // Label 20565: @1470593
     /* 1470593 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1470690), // Rule ID 23770 //
     /* 1470598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470648 */     // MIs[1] Operand 1
     /* 1470648 */     // No operand predicates
     /* 1470648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470652 */     // MIs[0] policy
     /* 1470652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470689 */     // GIR_Coverage, 23770,
     /* 1470689 */     GIR_EraseRootFromParent_Done,
     /* 1470690 */   // Label 20566: @1470690
     /* 1470690 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1470787), // Rule ID 23771 //
     /* 1470695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470745 */     // MIs[1] Operand 1
     /* 1470745 */     // No operand predicates
     /* 1470745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470749 */     // MIs[0] policy
     /* 1470749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470786 */     // GIR_Coverage, 23771,
     /* 1470786 */     GIR_EraseRootFromParent_Done,
     /* 1470787 */   // Label 20567: @1470787
     /* 1470787 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1470884), // Rule ID 23774 //
     /* 1470792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470842 */     // MIs[1] Operand 1
     /* 1470842 */     // No operand predicates
     /* 1470842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470846 */     // MIs[0] policy
     /* 1470846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470883 */     // GIR_Coverage, 23774,
     /* 1470883 */     GIR_EraseRootFromParent_Done,
     /* 1470884 */   // Label 20568: @1470884
     /* 1470884 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1470981), // Rule ID 23775 //
     /* 1470889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470939 */     // MIs[1] Operand 1
     /* 1470939 */     // No operand predicates
     /* 1470939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470943 */     // MIs[0] policy
     /* 1470943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470980 */     // GIR_Coverage, 23775,
     /* 1470980 */     GIR_EraseRootFromParent_Done,
     /* 1470981 */   // Label 20569: @1470981
     /* 1470981 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1471078), // Rule ID 23778 //
     /* 1470986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471036 */     // MIs[1] Operand 1
     /* 1471036 */     // No operand predicates
     /* 1471036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471040 */     // MIs[0] policy
     /* 1471040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471077 */     // GIR_Coverage, 23778,
     /* 1471077 */     GIR_EraseRootFromParent_Done,
     /* 1471078 */   // Label 20570: @1471078
     /* 1471078 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1471175), // Rule ID 23779 //
     /* 1471083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471133 */     // MIs[1] Operand 1
     /* 1471133 */     // No operand predicates
     /* 1471133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471137 */     // MIs[0] policy
     /* 1471137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471174 */     // GIR_Coverage, 23779,
     /* 1471174 */     GIR_EraseRootFromParent_Done,
     /* 1471175 */   // Label 20571: @1471175
     /* 1471175 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1471272), // Rule ID 23782 //
     /* 1471180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471230 */     // MIs[1] Operand 1
     /* 1471230 */     // No operand predicates
     /* 1471230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471234 */     // MIs[0] policy
     /* 1471234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471271 */     // GIR_Coverage, 23782,
     /* 1471271 */     GIR_EraseRootFromParent_Done,
     /* 1471272 */   // Label 20572: @1471272
     /* 1471272 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1471369), // Rule ID 23783 //
     /* 1471277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471327 */     // MIs[1] Operand 1
     /* 1471327 */     // No operand predicates
     /* 1471327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471331 */     // MIs[0] policy
     /* 1471331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471368 */     // GIR_Coverage, 23783,
     /* 1471368 */     GIR_EraseRootFromParent_Done,
     /* 1471369 */   // Label 20573: @1471369
     /* 1471369 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1471466), // Rule ID 23786 //
     /* 1471374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471424 */     // MIs[1] Operand 1
     /* 1471424 */     // No operand predicates
     /* 1471424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471428 */     // MIs[0] policy
     /* 1471428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471465 */     // GIR_Coverage, 23786,
     /* 1471465 */     GIR_EraseRootFromParent_Done,
     /* 1471466 */   // Label 20574: @1471466
     /* 1471466 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1471563), // Rule ID 23787 //
     /* 1471471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471521 */     // MIs[1] Operand 1
     /* 1471521 */     // No operand predicates
     /* 1471521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471525 */     // MIs[0] policy
     /* 1471525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471537 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471562 */     // GIR_Coverage, 23787,
     /* 1471562 */     GIR_EraseRootFromParent_Done,
     /* 1471563 */   // Label 20575: @1471563
     /* 1471563 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1471660), // Rule ID 23790 //
     /* 1471568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471618 */     // MIs[1] Operand 1
     /* 1471618 */     // No operand predicates
     /* 1471618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471622 */     // MIs[0] policy
     /* 1471622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471659 */     // GIR_Coverage, 23790,
     /* 1471659 */     GIR_EraseRootFromParent_Done,
     /* 1471660 */   // Label 20576: @1471660
     /* 1471660 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1471757), // Rule ID 23791 //
     /* 1471665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471715 */     // MIs[1] Operand 1
     /* 1471715 */     // No operand predicates
     /* 1471715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471719 */     // MIs[0] policy
     /* 1471719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471756 */     // GIR_Coverage, 23791,
     /* 1471756 */     GIR_EraseRootFromParent_Done,
     /* 1471757 */   // Label 20577: @1471757
     /* 1471757 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1471854), // Rule ID 23794 //
     /* 1471762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471812 */     // MIs[1] Operand 1
     /* 1471812 */     // No operand predicates
     /* 1471812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471816 */     // MIs[0] policy
     /* 1471816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471853 */     // GIR_Coverage, 23794,
     /* 1471853 */     GIR_EraseRootFromParent_Done,
     /* 1471854 */   // Label 20578: @1471854
     /* 1471854 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1471951), // Rule ID 23795 //
     /* 1471859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471909 */     // MIs[1] Operand 1
     /* 1471909 */     // No operand predicates
     /* 1471909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471913 */     // MIs[0] policy
     /* 1471913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471925 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471950 */     // GIR_Coverage, 23795,
     /* 1471950 */     GIR_EraseRootFromParent_Done,
     /* 1471951 */   // Label 20579: @1471951
     /* 1471951 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1472048), // Rule ID 23798 //
     /* 1471956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472006 */     // MIs[1] Operand 1
     /* 1472006 */     // No operand predicates
     /* 1472006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472010 */     // MIs[0] policy
     /* 1472010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472022 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472047 */     // GIR_Coverage, 23798,
     /* 1472047 */     GIR_EraseRootFromParent_Done,
     /* 1472048 */   // Label 20580: @1472048
     /* 1472048 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1472145), // Rule ID 23799 //
     /* 1472053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1472064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1472067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1472070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472103 */     // MIs[1] Operand 1
     /* 1472103 */     // No operand predicates
     /* 1472103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472107 */     // MIs[0] policy
     /* 1472107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472119 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472144 */     // GIR_Coverage, 23799,
     /* 1472144 */     GIR_EraseRootFromParent_Done,
     /* 1472145 */   // Label 20581: @1472145
     /* 1472145 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1472242), // Rule ID 23802 //
     /* 1472150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472200 */     // MIs[1] Operand 1
     /* 1472200 */     // No operand predicates
     /* 1472200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472204 */     // MIs[0] policy
     /* 1472204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472241 */     // GIR_Coverage, 23802,
     /* 1472241 */     GIR_EraseRootFromParent_Done,
     /* 1472242 */   // Label 20582: @1472242
     /* 1472242 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1472339), // Rule ID 23803 //
     /* 1472247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472297 */     // MIs[1] Operand 1
     /* 1472297 */     // No operand predicates
     /* 1472297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472301 */     // MIs[0] policy
     /* 1472301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472313 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472338 */     // GIR_Coverage, 23803,
     /* 1472338 */     GIR_EraseRootFromParent_Done,
     /* 1472339 */   // Label 20583: @1472339
     /* 1472339 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1472436), // Rule ID 23806 //
     /* 1472344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472394 */     // MIs[1] Operand 1
     /* 1472394 */     // No operand predicates
     /* 1472394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472398 */     // MIs[0] policy
     /* 1472398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472435 */     // GIR_Coverage, 23806,
     /* 1472435 */     GIR_EraseRootFromParent_Done,
     /* 1472436 */   // Label 20584: @1472436
     /* 1472436 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1472533), // Rule ID 23807 //
     /* 1472441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472491 */     // MIs[1] Operand 1
     /* 1472491 */     // No operand predicates
     /* 1472491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472495 */     // MIs[0] policy
     /* 1472495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472507 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472532 */     // GIR_Coverage, 23807,
     /* 1472532 */     GIR_EraseRootFromParent_Done,
     /* 1472533 */   // Label 20585: @1472533
     /* 1472533 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1472630), // Rule ID 23810 //
     /* 1472538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472588 */     // MIs[1] Operand 1
     /* 1472588 */     // No operand predicates
     /* 1472588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472592 */     // MIs[0] policy
     /* 1472592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472629 */     // GIR_Coverage, 23810,
     /* 1472629 */     GIR_EraseRootFromParent_Done,
     /* 1472630 */   // Label 20586: @1472630
     /* 1472630 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1472727), // Rule ID 23811 //
     /* 1472635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472685 */     // MIs[1] Operand 1
     /* 1472685 */     // No operand predicates
     /* 1472685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472689 */     // MIs[0] policy
     /* 1472689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472726 */     // GIR_Coverage, 23811,
     /* 1472726 */     GIR_EraseRootFromParent_Done,
     /* 1472727 */   // Label 20587: @1472727
     /* 1472727 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1472824), // Rule ID 23814 //
     /* 1472732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472782 */     // MIs[1] Operand 1
     /* 1472782 */     // No operand predicates
     /* 1472782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472786 */     // MIs[0] policy
     /* 1472786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472823 */     // GIR_Coverage, 23814,
     /* 1472823 */     GIR_EraseRootFromParent_Done,
     /* 1472824 */   // Label 20588: @1472824
     /* 1472824 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1472921), // Rule ID 23815 //
     /* 1472829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472879 */     // MIs[1] Operand 1
     /* 1472879 */     // No operand predicates
     /* 1472879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472883 */     // MIs[0] policy
     /* 1472883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472895 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472920 */     // GIR_Coverage, 23815,
     /* 1472920 */     GIR_EraseRootFromParent_Done,
     /* 1472921 */   // Label 20589: @1472921
     /* 1472921 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1473018), // Rule ID 23818 //
     /* 1472926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472976 */     // MIs[1] Operand 1
     /* 1472976 */     // No operand predicates
     /* 1472976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472980 */     // MIs[0] policy
     /* 1472980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473017 */     // GIR_Coverage, 23818,
     /* 1473017 */     GIR_EraseRootFromParent_Done,
     /* 1473018 */   // Label 20590: @1473018
     /* 1473018 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1473115), // Rule ID 23819 //
     /* 1473023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1473034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1473037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1473040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1473046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473073 */     // MIs[1] Operand 1
     /* 1473073 */     // No operand predicates
     /* 1473073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473077 */     // MIs[0] policy
     /* 1473077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473114 */     // GIR_Coverage, 23819,
     /* 1473114 */     GIR_EraseRootFromParent_Done,
     /* 1473115 */   // Label 20591: @1473115
     /* 1473115 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1473212), // Rule ID 23822 //
     /* 1473120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473170 */     // MIs[1] Operand 1
     /* 1473170 */     // No operand predicates
     /* 1473170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473174 */     // MIs[0] policy
     /* 1473174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473211 */     // GIR_Coverage, 23822,
     /* 1473211 */     GIR_EraseRootFromParent_Done,
     /* 1473212 */   // Label 20592: @1473212
     /* 1473212 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1473309), // Rule ID 23823 //
     /* 1473217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473267 */     // MIs[1] Operand 1
     /* 1473267 */     // No operand predicates
     /* 1473267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473271 */     // MIs[0] policy
     /* 1473271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473308 */     // GIR_Coverage, 23823,
     /* 1473308 */     GIR_EraseRootFromParent_Done,
     /* 1473309 */   // Label 20593: @1473309
     /* 1473309 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1473406), // Rule ID 23826 //
     /* 1473314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473364 */     // MIs[1] Operand 1
     /* 1473364 */     // No operand predicates
     /* 1473364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473368 */     // MIs[0] policy
     /* 1473368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473405 */     // GIR_Coverage, 23826,
     /* 1473405 */     GIR_EraseRootFromParent_Done,
     /* 1473406 */   // Label 20594: @1473406
     /* 1473406 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1473503), // Rule ID 23827 //
     /* 1473411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473461 */     // MIs[1] Operand 1
     /* 1473461 */     // No operand predicates
     /* 1473461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473465 */     // MIs[0] policy
     /* 1473465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473502 */     // GIR_Coverage, 23827,
     /* 1473502 */     GIR_EraseRootFromParent_Done,
     /* 1473503 */   // Label 20595: @1473503
     /* 1473503 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1473600), // Rule ID 23830 //
     /* 1473508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473558 */     // MIs[1] Operand 1
     /* 1473558 */     // No operand predicates
     /* 1473558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473562 */     // MIs[0] policy
     /* 1473562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473599 */     // GIR_Coverage, 23830,
     /* 1473599 */     GIR_EraseRootFromParent_Done,
     /* 1473600 */   // Label 20596: @1473600
     /* 1473600 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1473697), // Rule ID 23831 //
     /* 1473605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473655 */     // MIs[1] Operand 1
     /* 1473655 */     // No operand predicates
     /* 1473655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473659 */     // MIs[0] policy
     /* 1473659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473696 */     // GIR_Coverage, 23831,
     /* 1473696 */     GIR_EraseRootFromParent_Done,
     /* 1473697 */   // Label 20597: @1473697
     /* 1473697 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1473794), // Rule ID 23834 //
     /* 1473702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473752 */     // MIs[1] Operand 1
     /* 1473752 */     // No operand predicates
     /* 1473752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473756 */     // MIs[0] policy
     /* 1473756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473793 */     // GIR_Coverage, 23834,
     /* 1473793 */     GIR_EraseRootFromParent_Done,
     /* 1473794 */   // Label 20598: @1473794
     /* 1473794 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1473891), // Rule ID 23835 //
     /* 1473799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473849 */     // MIs[1] Operand 1
     /* 1473849 */     // No operand predicates
     /* 1473849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473853 */     // MIs[0] policy
     /* 1473853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473890 */     // GIR_Coverage, 23835,
     /* 1473890 */     GIR_EraseRootFromParent_Done,
     /* 1473891 */   // Label 20599: @1473891
     /* 1473891 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1473988), // Rule ID 23838 //
     /* 1473896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473946 */     // MIs[1] Operand 1
     /* 1473946 */     // No operand predicates
     /* 1473946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473950 */     // MIs[0] policy
     /* 1473950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473987 */     // GIR_Coverage, 23838,
     /* 1473987 */     GIR_EraseRootFromParent_Done,
     /* 1473988 */   // Label 20600: @1473988
     /* 1473988 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1474085), // Rule ID 23839 //
     /* 1473993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1474004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1474007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1474010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474043 */     // MIs[1] Operand 1
     /* 1474043 */     // No operand predicates
     /* 1474043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474047 */     // MIs[0] policy
     /* 1474047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1474062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474084 */     // GIR_Coverage, 23839,
     /* 1474084 */     GIR_EraseRootFromParent_Done,
     /* 1474085 */   // Label 20601: @1474085
     /* 1474085 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1474182), // Rule ID 23842 //
     /* 1474090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1474093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1474101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474140 */     // MIs[1] Operand 1
     /* 1474140 */     // No operand predicates
     /* 1474140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474144 */     // MIs[0] policy
     /* 1474144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474156 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1474159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474181 */     // GIR_Coverage, 23842,
     /* 1474181 */     GIR_EraseRootFromParent_Done,
     /* 1474182 */   // Label 20602: @1474182
     /* 1474182 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1474279), // Rule ID 23843 //
     /* 1474187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1474198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474237 */     // MIs[1] Operand 1
     /* 1474237 */     // No operand predicates
     /* 1474237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474241 */     // MIs[0] policy
     /* 1474241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1474256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474278 */     // GIR_Coverage, 23843,
     /* 1474278 */     GIR_EraseRootFromParent_Done,
     /* 1474279 */   // Label 20603: @1474279
     /* 1474279 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1474376), // Rule ID 24082 //
     /* 1474284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474334 */     // MIs[1] Operand 1
     /* 1474334 */     // No operand predicates
     /* 1474334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474338 */     // MIs[0] policy
     /* 1474338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474375 */     // GIR_Coverage, 24082,
     /* 1474375 */     GIR_EraseRootFromParent_Done,
     /* 1474376 */   // Label 20604: @1474376
     /* 1474376 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1474473), // Rule ID 24083 //
     /* 1474381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474431 */     // MIs[1] Operand 1
     /* 1474431 */     // No operand predicates
     /* 1474431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474435 */     // MIs[0] policy
     /* 1474435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474447 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474472 */     // GIR_Coverage, 24083,
     /* 1474472 */     GIR_EraseRootFromParent_Done,
     /* 1474473 */   // Label 20605: @1474473
     /* 1474473 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1474570), // Rule ID 24086 //
     /* 1474478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474528 */     // MIs[1] Operand 1
     /* 1474528 */     // No operand predicates
     /* 1474528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474532 */     // MIs[0] policy
     /* 1474532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474544 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474569 */     // GIR_Coverage, 24086,
     /* 1474569 */     GIR_EraseRootFromParent_Done,
     /* 1474570 */   // Label 20606: @1474570
     /* 1474570 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1474667), // Rule ID 24087 //
     /* 1474575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474625 */     // MIs[1] Operand 1
     /* 1474625 */     // No operand predicates
     /* 1474625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474629 */     // MIs[0] policy
     /* 1474629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474641 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474666 */     // GIR_Coverage, 24087,
     /* 1474666 */     GIR_EraseRootFromParent_Done,
     /* 1474667 */   // Label 20607: @1474667
     /* 1474667 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1474764), // Rule ID 24090 //
     /* 1474672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474722 */     // MIs[1] Operand 1
     /* 1474722 */     // No operand predicates
     /* 1474722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474726 */     // MIs[0] policy
     /* 1474726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474763 */     // GIR_Coverage, 24090,
     /* 1474763 */     GIR_EraseRootFromParent_Done,
     /* 1474764 */   // Label 20608: @1474764
     /* 1474764 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1474861), // Rule ID 24091 //
     /* 1474769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474819 */     // MIs[1] Operand 1
     /* 1474819 */     // No operand predicates
     /* 1474819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474823 */     // MIs[0] policy
     /* 1474823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474835 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474860 */     // GIR_Coverage, 24091,
     /* 1474860 */     GIR_EraseRootFromParent_Done,
     /* 1474861 */   // Label 20609: @1474861
     /* 1474861 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1474958), // Rule ID 24094 //
     /* 1474866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474916 */     // MIs[1] Operand 1
     /* 1474916 */     // No operand predicates
     /* 1474916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474920 */     // MIs[0] policy
     /* 1474920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474957 */     // GIR_Coverage, 24094,
     /* 1474957 */     GIR_EraseRootFromParent_Done,
     /* 1474958 */   // Label 20610: @1474958
     /* 1474958 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1475055), // Rule ID 24095 //
     /* 1474963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475013 */     // MIs[1] Operand 1
     /* 1475013 */     // No operand predicates
     /* 1475013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475017 */     // MIs[0] policy
     /* 1475017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475029 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475054 */     // GIR_Coverage, 24095,
     /* 1475054 */     GIR_EraseRootFromParent_Done,
     /* 1475055 */   // Label 20611: @1475055
     /* 1475055 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1475152), // Rule ID 24098 //
     /* 1475060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475110 */     // MIs[1] Operand 1
     /* 1475110 */     // No operand predicates
     /* 1475110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475114 */     // MIs[0] policy
     /* 1475114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475126 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475151 */     // GIR_Coverage, 24098,
     /* 1475151 */     GIR_EraseRootFromParent_Done,
     /* 1475152 */   // Label 20612: @1475152
     /* 1475152 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1475249), // Rule ID 24099 //
     /* 1475157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475207 */     // MIs[1] Operand 1
     /* 1475207 */     // No operand predicates
     /* 1475207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475211 */     // MIs[0] policy
     /* 1475211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475248 */     // GIR_Coverage, 24099,
     /* 1475248 */     GIR_EraseRootFromParent_Done,
     /* 1475249 */   // Label 20613: @1475249
     /* 1475249 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1475346), // Rule ID 24102 //
     /* 1475254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1475257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475304 */     // MIs[1] Operand 1
     /* 1475304 */     // No operand predicates
     /* 1475304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475308 */     // MIs[0] policy
     /* 1475308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475345 */     // GIR_Coverage, 24102,
     /* 1475345 */     GIR_EraseRootFromParent_Done,
     /* 1475346 */   // Label 20614: @1475346
     /* 1475346 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1475443), // Rule ID 24103 //
     /* 1475351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1475354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475401 */     // MIs[1] Operand 1
     /* 1475401 */     // No operand predicates
     /* 1475401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475405 */     // MIs[0] policy
     /* 1475405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1475420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475442 */     // GIR_Coverage, 24103,
     /* 1475442 */     GIR_EraseRootFromParent_Done,
     /* 1475443 */   // Label 20615: @1475443
     /* 1475443 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1475540), // Rule ID 24106 //
     /* 1475448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475498 */     // MIs[1] Operand 1
     /* 1475498 */     // No operand predicates
     /* 1475498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475502 */     // MIs[0] policy
     /* 1475502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475514 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475539 */     // GIR_Coverage, 24106,
     /* 1475539 */     GIR_EraseRootFromParent_Done,
     /* 1475540 */   // Label 20616: @1475540
     /* 1475540 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1475637), // Rule ID 24107 //
     /* 1475545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475595 */     // MIs[1] Operand 1
     /* 1475595 */     // No operand predicates
     /* 1475595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475599 */     // MIs[0] policy
     /* 1475599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475611 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475636 */     // GIR_Coverage, 24107,
     /* 1475636 */     GIR_EraseRootFromParent_Done,
     /* 1475637 */   // Label 20617: @1475637
     /* 1475637 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1475734), // Rule ID 24110 //
     /* 1475642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475692 */     // MIs[1] Operand 1
     /* 1475692 */     // No operand predicates
     /* 1475692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475696 */     // MIs[0] policy
     /* 1475696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475708 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475733 */     // GIR_Coverage, 24110,
     /* 1475733 */     GIR_EraseRootFromParent_Done,
     /* 1475734 */   // Label 20618: @1475734
     /* 1475734 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1475831), // Rule ID 24111 //
     /* 1475739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475789 */     // MIs[1] Operand 1
     /* 1475789 */     // No operand predicates
     /* 1475789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475793 */     // MIs[0] policy
     /* 1475793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475805 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475830 */     // GIR_Coverage, 24111,
     /* 1475830 */     GIR_EraseRootFromParent_Done,
     /* 1475831 */   // Label 20619: @1475831
     /* 1475831 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1475928), // Rule ID 24114 //
     /* 1475836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475886 */     // MIs[1] Operand 1
     /* 1475886 */     // No operand predicates
     /* 1475886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475890 */     // MIs[0] policy
     /* 1475890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475927 */     // GIR_Coverage, 24114,
     /* 1475927 */     GIR_EraseRootFromParent_Done,
     /* 1475928 */   // Label 20620: @1475928
     /* 1475928 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1476025), // Rule ID 24115 //
     /* 1475933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475983 */     // MIs[1] Operand 1
     /* 1475983 */     // No operand predicates
     /* 1475983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475987 */     // MIs[0] policy
     /* 1475987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475999 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476024 */     // GIR_Coverage, 24115,
     /* 1476024 */     GIR_EraseRootFromParent_Done,
     /* 1476025 */   // Label 20621: @1476025
     /* 1476025 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1476122), // Rule ID 24118 //
     /* 1476030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476080 */     // MIs[1] Operand 1
     /* 1476080 */     // No operand predicates
     /* 1476080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476084 */     // MIs[0] policy
     /* 1476084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476121 */     // GIR_Coverage, 24118,
     /* 1476121 */     GIR_EraseRootFromParent_Done,
     /* 1476122 */   // Label 20622: @1476122
     /* 1476122 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1476219), // Rule ID 24119 //
     /* 1476127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476177 */     // MIs[1] Operand 1
     /* 1476177 */     // No operand predicates
     /* 1476177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476181 */     // MIs[0] policy
     /* 1476181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476193 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476218 */     // GIR_Coverage, 24119,
     /* 1476218 */     GIR_EraseRootFromParent_Done,
     /* 1476219 */   // Label 20623: @1476219
     /* 1476219 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1476316), // Rule ID 24122 //
     /* 1476224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1476241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476274 */     // MIs[1] Operand 1
     /* 1476274 */     // No operand predicates
     /* 1476274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476278 */     // MIs[0] policy
     /* 1476278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476315 */     // GIR_Coverage, 24122,
     /* 1476315 */     GIR_EraseRootFromParent_Done,
     /* 1476316 */   // Label 20624: @1476316
     /* 1476316 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1476413), // Rule ID 24123 //
     /* 1476321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1476338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476371 */     // MIs[1] Operand 1
     /* 1476371 */     // No operand predicates
     /* 1476371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476375 */     // MIs[0] policy
     /* 1476375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476412 */     // GIR_Coverage, 24123,
     /* 1476412 */     GIR_EraseRootFromParent_Done,
     /* 1476413 */   // Label 20625: @1476413
     /* 1476413 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1476510), // Rule ID 24126 //
     /* 1476418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476468 */     // MIs[1] Operand 1
     /* 1476468 */     // No operand predicates
     /* 1476468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476472 */     // MIs[0] policy
     /* 1476472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476484 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476509 */     // GIR_Coverage, 24126,
     /* 1476509 */     GIR_EraseRootFromParent_Done,
     /* 1476510 */   // Label 20626: @1476510
     /* 1476510 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1476607), // Rule ID 24127 //
     /* 1476515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476565 */     // MIs[1] Operand 1
     /* 1476565 */     // No operand predicates
     /* 1476565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476569 */     // MIs[0] policy
     /* 1476569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476581 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476606 */     // GIR_Coverage, 24127,
     /* 1476606 */     GIR_EraseRootFromParent_Done,
     /* 1476607 */   // Label 20627: @1476607
     /* 1476607 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1476704), // Rule ID 24130 //
     /* 1476612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476662 */     // MIs[1] Operand 1
     /* 1476662 */     // No operand predicates
     /* 1476662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476666 */     // MIs[0] policy
     /* 1476666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476703 */     // GIR_Coverage, 24130,
     /* 1476703 */     GIR_EraseRootFromParent_Done,
     /* 1476704 */   // Label 20628: @1476704
     /* 1476704 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1476801), // Rule ID 24131 //
     /* 1476709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476759 */     // MIs[1] Operand 1
     /* 1476759 */     // No operand predicates
     /* 1476759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476763 */     // MIs[0] policy
     /* 1476763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476775 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476800 */     // GIR_Coverage, 24131,
     /* 1476800 */     GIR_EraseRootFromParent_Done,
     /* 1476801 */   // Label 20629: @1476801
     /* 1476801 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1476898), // Rule ID 24134 //
     /* 1476806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476856 */     // MIs[1] Operand 1
     /* 1476856 */     // No operand predicates
     /* 1476856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476860 */     // MIs[0] policy
     /* 1476860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476897 */     // GIR_Coverage, 24134,
     /* 1476897 */     GIR_EraseRootFromParent_Done,
     /* 1476898 */   // Label 20630: @1476898
     /* 1476898 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1476995), // Rule ID 24135 //
     /* 1476903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476953 */     // MIs[1] Operand 1
     /* 1476953 */     // No operand predicates
     /* 1476953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476957 */     // MIs[0] policy
     /* 1476957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476969 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476994 */     // GIR_Coverage, 24135,
     /* 1476994 */     GIR_EraseRootFromParent_Done,
     /* 1476995 */   // Label 20631: @1476995
     /* 1476995 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1477092), // Rule ID 24138 //
     /* 1477000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477050 */     // MIs[1] Operand 1
     /* 1477050 */     // No operand predicates
     /* 1477050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477054 */     // MIs[0] policy
     /* 1477054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477066 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1477069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477091 */     // GIR_Coverage, 24138,
     /* 1477091 */     GIR_EraseRootFromParent_Done,
     /* 1477092 */   // Label 20632: @1477092
     /* 1477092 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1477189), // Rule ID 24139 //
     /* 1477097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1477100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477147 */     // MIs[1] Operand 1
     /* 1477147 */     // No operand predicates
     /* 1477147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477151 */     // MIs[0] policy
     /* 1477151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477163 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1477166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477188 */     // GIR_Coverage, 24139,
     /* 1477188 */     GIR_EraseRootFromParent_Done,
     /* 1477189 */   // Label 20633: @1477189
     /* 1477189 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1477286), // Rule ID 24202 //
     /* 1477194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477244 */     // MIs[1] Operand 1
     /* 1477244 */     // No operand predicates
     /* 1477244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477248 */     // MIs[0] policy
     /* 1477248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477260 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477285 */     // GIR_Coverage, 24202,
     /* 1477285 */     GIR_EraseRootFromParent_Done,
     /* 1477286 */   // Label 20634: @1477286
     /* 1477286 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1477383), // Rule ID 24203 //
     /* 1477291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477341 */     // MIs[1] Operand 1
     /* 1477341 */     // No operand predicates
     /* 1477341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477345 */     // MIs[0] policy
     /* 1477345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477357 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477382 */     // GIR_Coverage, 24203,
     /* 1477382 */     GIR_EraseRootFromParent_Done,
     /* 1477383 */   // Label 20635: @1477383
     /* 1477383 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1477480), // Rule ID 24206 //
     /* 1477388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477438 */     // MIs[1] Operand 1
     /* 1477438 */     // No operand predicates
     /* 1477438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477442 */     // MIs[0] policy
     /* 1477442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477454 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477479 */     // GIR_Coverage, 24206,
     /* 1477479 */     GIR_EraseRootFromParent_Done,
     /* 1477480 */   // Label 20636: @1477480
     /* 1477480 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1477577), // Rule ID 24207 //
     /* 1477485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477535 */     // MIs[1] Operand 1
     /* 1477535 */     // No operand predicates
     /* 1477535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477539 */     // MIs[0] policy
     /* 1477539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477551 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477576 */     // GIR_Coverage, 24207,
     /* 1477576 */     GIR_EraseRootFromParent_Done,
     /* 1477577 */   // Label 20637: @1477577
     /* 1477577 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1477674), // Rule ID 24210 //
     /* 1477582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477632 */     // MIs[1] Operand 1
     /* 1477632 */     // No operand predicates
     /* 1477632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477636 */     // MIs[0] policy
     /* 1477636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477673 */     // GIR_Coverage, 24210,
     /* 1477673 */     GIR_EraseRootFromParent_Done,
     /* 1477674 */   // Label 20638: @1477674
     /* 1477674 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1477771), // Rule ID 24211 //
     /* 1477679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477729 */     // MIs[1] Operand 1
     /* 1477729 */     // No operand predicates
     /* 1477729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477733 */     // MIs[0] policy
     /* 1477733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477745 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477770 */     // GIR_Coverage, 24211,
     /* 1477770 */     GIR_EraseRootFromParent_Done,
     /* 1477771 */   // Label 20639: @1477771
     /* 1477771 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1477868), // Rule ID 24214 //
     /* 1477776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477826 */     // MIs[1] Operand 1
     /* 1477826 */     // No operand predicates
     /* 1477826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477830 */     // MIs[0] policy
     /* 1477830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477867 */     // GIR_Coverage, 24214,
     /* 1477867 */     GIR_EraseRootFromParent_Done,
     /* 1477868 */   // Label 20640: @1477868
     /* 1477868 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1477965), // Rule ID 24215 //
     /* 1477873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477923 */     // MIs[1] Operand 1
     /* 1477923 */     // No operand predicates
     /* 1477923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477927 */     // MIs[0] policy
     /* 1477927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477964 */     // GIR_Coverage, 24215,
     /* 1477964 */     GIR_EraseRootFromParent_Done,
     /* 1477965 */   // Label 20641: @1477965
     /* 1477965 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1478062), // Rule ID 24218 //
     /* 1477970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478020 */     // MIs[1] Operand 1
     /* 1478020 */     // No operand predicates
     /* 1478020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478024 */     // MIs[0] policy
     /* 1478024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478061 */     // GIR_Coverage, 24218,
     /* 1478061 */     GIR_EraseRootFromParent_Done,
     /* 1478062 */   // Label 20642: @1478062
     /* 1478062 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1478159), // Rule ID 24219 //
     /* 1478067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478117 */     // MIs[1] Operand 1
     /* 1478117 */     // No operand predicates
     /* 1478117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478121 */     // MIs[0] policy
     /* 1478121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478158 */     // GIR_Coverage, 24219,
     /* 1478158 */     GIR_EraseRootFromParent_Done,
     /* 1478159 */   // Label 20643: @1478159
     /* 1478159 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1478256), // Rule ID 24222 //
     /* 1478164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478214 */     // MIs[1] Operand 1
     /* 1478214 */     // No operand predicates
     /* 1478214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478218 */     // MIs[0] policy
     /* 1478218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478255 */     // GIR_Coverage, 24222,
     /* 1478255 */     GIR_EraseRootFromParent_Done,
     /* 1478256 */   // Label 20644: @1478256
     /* 1478256 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1478353), // Rule ID 24223 //
     /* 1478261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478311 */     // MIs[1] Operand 1
     /* 1478311 */     // No operand predicates
     /* 1478311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478315 */     // MIs[0] policy
     /* 1478315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478327 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478352 */     // GIR_Coverage, 24223,
     /* 1478352 */     GIR_EraseRootFromParent_Done,
     /* 1478353 */   // Label 20645: @1478353
     /* 1478353 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1478450), // Rule ID 24226 //
     /* 1478358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478408 */     // MIs[1] Operand 1
     /* 1478408 */     // No operand predicates
     /* 1478408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478412 */     // MIs[0] policy
     /* 1478412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478424 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478449 */     // GIR_Coverage, 24226,
     /* 1478449 */     GIR_EraseRootFromParent_Done,
     /* 1478450 */   // Label 20646: @1478450
     /* 1478450 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1478547), // Rule ID 24227 //
     /* 1478455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478505 */     // MIs[1] Operand 1
     /* 1478505 */     // No operand predicates
     /* 1478505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478509 */     // MIs[0] policy
     /* 1478509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478546 */     // GIR_Coverage, 24227,
     /* 1478546 */     GIR_EraseRootFromParent_Done,
     /* 1478547 */   // Label 20647: @1478547
     /* 1478547 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1478644), // Rule ID 24230 //
     /* 1478552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478602 */     // MIs[1] Operand 1
     /* 1478602 */     // No operand predicates
     /* 1478602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478606 */     // MIs[0] policy
     /* 1478606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478618 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478643 */     // GIR_Coverage, 24230,
     /* 1478643 */     GIR_EraseRootFromParent_Done,
     /* 1478644 */   // Label 20648: @1478644
     /* 1478644 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1478741), // Rule ID 24231 //
     /* 1478649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478699 */     // MIs[1] Operand 1
     /* 1478699 */     // No operand predicates
     /* 1478699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478703 */     // MIs[0] policy
     /* 1478703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478740 */     // GIR_Coverage, 24231,
     /* 1478740 */     GIR_EraseRootFromParent_Done,
     /* 1478741 */   // Label 20649: @1478741
     /* 1478741 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1478838), // Rule ID 24234 //
     /* 1478746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478796 */     // MIs[1] Operand 1
     /* 1478796 */     // No operand predicates
     /* 1478796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478800 */     // MIs[0] policy
     /* 1478800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478812 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478837 */     // GIR_Coverage, 24234,
     /* 1478837 */     GIR_EraseRootFromParent_Done,
     /* 1478838 */   // Label 20650: @1478838
     /* 1478838 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1478935), // Rule ID 24235 //
     /* 1478843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478893 */     // MIs[1] Operand 1
     /* 1478893 */     // No operand predicates
     /* 1478893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478897 */     // MIs[0] policy
     /* 1478897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478909 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478934 */     // GIR_Coverage, 24235,
     /* 1478934 */     GIR_EraseRootFromParent_Done,
     /* 1478935 */   // Label 20651: @1478935
     /* 1478935 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1479032), // Rule ID 24238 //
     /* 1478940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478990 */     // MIs[1] Operand 1
     /* 1478990 */     // No operand predicates
     /* 1478990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478994 */     // MIs[0] policy
     /* 1478994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479006 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479031 */     // GIR_Coverage, 24238,
     /* 1479031 */     GIR_EraseRootFromParent_Done,
     /* 1479032 */   // Label 20652: @1479032
     /* 1479032 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1479129), // Rule ID 24239 //
     /* 1479037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479087 */     // MIs[1] Operand 1
     /* 1479087 */     // No operand predicates
     /* 1479087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479091 */     // MIs[0] policy
     /* 1479091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479128 */     // GIR_Coverage, 24239,
     /* 1479128 */     GIR_EraseRootFromParent_Done,
     /* 1479129 */   // Label 20653: @1479129
     /* 1479129 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1479226), // Rule ID 24242 //
     /* 1479134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479184 */     // MIs[1] Operand 1
     /* 1479184 */     // No operand predicates
     /* 1479184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479188 */     // MIs[0] policy
     /* 1479188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479225 */     // GIR_Coverage, 24242,
     /* 1479225 */     GIR_EraseRootFromParent_Done,
     /* 1479226 */   // Label 20654: @1479226
     /* 1479226 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1479323), // Rule ID 24243 //
     /* 1479231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479281 */     // MIs[1] Operand 1
     /* 1479281 */     // No operand predicates
     /* 1479281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479285 */     // MIs[0] policy
     /* 1479285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479322 */     // GIR_Coverage, 24243,
     /* 1479322 */     GIR_EraseRootFromParent_Done,
     /* 1479323 */   // Label 20655: @1479323
     /* 1479323 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1479420), // Rule ID 24246 //
     /* 1479328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479378 */     // MIs[1] Operand 1
     /* 1479378 */     // No operand predicates
     /* 1479378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479382 */     // MIs[0] policy
     /* 1479382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479394 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479419 */     // GIR_Coverage, 24246,
     /* 1479419 */     GIR_EraseRootFromParent_Done,
     /* 1479420 */   // Label 20656: @1479420
     /* 1479420 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1479517), // Rule ID 24247 //
     /* 1479425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479475 */     // MIs[1] Operand 1
     /* 1479475 */     // No operand predicates
     /* 1479475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479479 */     // MIs[0] policy
     /* 1479479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479491 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479516 */     // GIR_Coverage, 24247,
     /* 1479516 */     GIR_EraseRootFromParent_Done,
     /* 1479517 */   // Label 20657: @1479517
     /* 1479517 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1479614), // Rule ID 24250 //
     /* 1479522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479572 */     // MIs[1] Operand 1
     /* 1479572 */     // No operand predicates
     /* 1479572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479576 */     // MIs[0] policy
     /* 1479576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479613 */     // GIR_Coverage, 24250,
     /* 1479613 */     GIR_EraseRootFromParent_Done,
     /* 1479614 */   // Label 20658: @1479614
     /* 1479614 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1479711), // Rule ID 24251 //
     /* 1479619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479669 */     // MIs[1] Operand 1
     /* 1479669 */     // No operand predicates
     /* 1479669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479673 */     // MIs[0] policy
     /* 1479673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479685 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479710 */     // GIR_Coverage, 24251,
     /* 1479710 */     GIR_EraseRootFromParent_Done,
     /* 1479711 */   // Label 20659: @1479711
     /* 1479711 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1479808), // Rule ID 24254 //
     /* 1479716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479766 */     // MIs[1] Operand 1
     /* 1479766 */     // No operand predicates
     /* 1479766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479770 */     // MIs[0] policy
     /* 1479770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479782 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479807 */     // GIR_Coverage, 24254,
     /* 1479807 */     GIR_EraseRootFromParent_Done,
     /* 1479808 */   // Label 20660: @1479808
     /* 1479808 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1479905), // Rule ID 24255 //
     /* 1479813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479863 */     // MIs[1] Operand 1
     /* 1479863 */     // No operand predicates
     /* 1479863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479867 */     // MIs[0] policy
     /* 1479867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479879 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479904 */     // GIR_Coverage, 24255,
     /* 1479904 */     GIR_EraseRootFromParent_Done,
     /* 1479905 */   // Label 20661: @1479905
     /* 1479905 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1480002), // Rule ID 24258 //
     /* 1479910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479960 */     // MIs[1] Operand 1
     /* 1479960 */     // No operand predicates
     /* 1479960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479964 */     // MIs[0] policy
     /* 1479964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480001 */     // GIR_Coverage, 24258,
     /* 1480001 */     GIR_EraseRootFromParent_Done,
     /* 1480002 */   // Label 20662: @1480002
     /* 1480002 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1480099), // Rule ID 24259 //
     /* 1480007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1480010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480057 */     // MIs[1] Operand 1
     /* 1480057 */     // No operand predicates
     /* 1480057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480061 */     // MIs[0] policy
     /* 1480061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480073 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480098 */     // GIR_Coverage, 24259,
     /* 1480098 */     GIR_EraseRootFromParent_Done,
     /* 1480099 */   // Label 20663: @1480099
     /* 1480099 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1480196), // Rule ID 24558 //
     /* 1480104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1480115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1480118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480154 */     // MIs[1] Operand 1
     /* 1480154 */     // No operand predicates
     /* 1480154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480158 */     // MIs[0] policy
     /* 1480158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1480173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480195 */     // GIR_Coverage, 24558,
     /* 1480195 */     GIR_EraseRootFromParent_Done,
     /* 1480196 */   // Label 20664: @1480196
     /* 1480196 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1480293), // Rule ID 24559 //
     /* 1480201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1480212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1480215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480251 */     // MIs[1] Operand 1
     /* 1480251 */     // No operand predicates
     /* 1480251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480255 */     // MIs[0] policy
     /* 1480255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1480270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480292 */     // GIR_Coverage, 24559,
     /* 1480292 */     GIR_EraseRootFromParent_Done,
     /* 1480293 */   // Label 20665: @1480293
     /* 1480293 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1480390), // Rule ID 24562 //
     /* 1480298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1480309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1480312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1480315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480348 */     // MIs[1] Operand 1
     /* 1480348 */     // No operand predicates
     /* 1480348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480352 */     // MIs[0] policy
     /* 1480352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480364 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480389 */     // GIR_Coverage, 24562,
     /* 1480389 */     GIR_EraseRootFromParent_Done,
     /* 1480390 */   // Label 20666: @1480390
     /* 1480390 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1480487), // Rule ID 24563 //
     /* 1480395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1480406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1480409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1480412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480445 */     // MIs[1] Operand 1
     /* 1480445 */     // No operand predicates
     /* 1480445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480449 */     // MIs[0] policy
     /* 1480449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480486 */     // GIR_Coverage, 24563,
     /* 1480486 */     GIR_EraseRootFromParent_Done,
     /* 1480487 */   // Label 20667: @1480487
     /* 1480487 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1480584), // Rule ID 24566 //
     /* 1480492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480542 */     // MIs[1] Operand 1
     /* 1480542 */     // No operand predicates
     /* 1480542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480546 */     // MIs[0] policy
     /* 1480546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480558 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480583 */     // GIR_Coverage, 24566,
     /* 1480583 */     GIR_EraseRootFromParent_Done,
     /* 1480584 */   // Label 20668: @1480584
     /* 1480584 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1480681), // Rule ID 24567 //
     /* 1480589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480639 */     // MIs[1] Operand 1
     /* 1480639 */     // No operand predicates
     /* 1480639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480643 */     // MIs[0] policy
     /* 1480643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480655 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480680 */     // GIR_Coverage, 24567,
     /* 1480680 */     GIR_EraseRootFromParent_Done,
     /* 1480681 */   // Label 20669: @1480681
     /* 1480681 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1480778), // Rule ID 24570 //
     /* 1480686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480736 */     // MIs[1] Operand 1
     /* 1480736 */     // No operand predicates
     /* 1480736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480740 */     // MIs[0] policy
     /* 1480740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480777 */     // GIR_Coverage, 24570,
     /* 1480777 */     GIR_EraseRootFromParent_Done,
     /* 1480778 */   // Label 20670: @1480778
     /* 1480778 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1480875), // Rule ID 24571 //
     /* 1480783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480833 */     // MIs[1] Operand 1
     /* 1480833 */     // No operand predicates
     /* 1480833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480837 */     // MIs[0] policy
     /* 1480837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480874 */     // GIR_Coverage, 24571,
     /* 1480874 */     GIR_EraseRootFromParent_Done,
     /* 1480875 */   // Label 20671: @1480875
     /* 1480875 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1480972), // Rule ID 24574 //
     /* 1480880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480930 */     // MIs[1] Operand 1
     /* 1480930 */     // No operand predicates
     /* 1480930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480934 */     // MIs[0] policy
     /* 1480934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480971 */     // GIR_Coverage, 24574,
     /* 1480971 */     GIR_EraseRootFromParent_Done,
     /* 1480972 */   // Label 20672: @1480972
     /* 1480972 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1481069), // Rule ID 24575 //
     /* 1480977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481027 */     // MIs[1] Operand 1
     /* 1481027 */     // No operand predicates
     /* 1481027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481031 */     // MIs[0] policy
     /* 1481031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481068 */     // GIR_Coverage, 24575,
     /* 1481068 */     GIR_EraseRootFromParent_Done,
     /* 1481069 */   // Label 20673: @1481069
     /* 1481069 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1481166), // Rule ID 24578 //
     /* 1481074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481124 */     // MIs[1] Operand 1
     /* 1481124 */     // No operand predicates
     /* 1481124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481128 */     // MIs[0] policy
     /* 1481128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481165 */     // GIR_Coverage, 24578,
     /* 1481165 */     GIR_EraseRootFromParent_Done,
     /* 1481166 */   // Label 20674: @1481166
     /* 1481166 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1481263), // Rule ID 24579 //
     /* 1481171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481221 */     // MIs[1] Operand 1
     /* 1481221 */     // No operand predicates
     /* 1481221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481225 */     // MIs[0] policy
     /* 1481225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481237 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1481240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481262 */     // GIR_Coverage, 24579,
     /* 1481262 */     GIR_EraseRootFromParent_Done,
     /* 1481263 */   // Label 20675: @1481263
     /* 1481263 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1481360), // Rule ID 24582 //
     /* 1481268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1481279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1481282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481318 */     // MIs[1] Operand 1
     /* 1481318 */     // No operand predicates
     /* 1481318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481322 */     // MIs[0] policy
     /* 1481322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481359 */     // GIR_Coverage, 24582,
     /* 1481359 */     GIR_EraseRootFromParent_Done,
     /* 1481360 */   // Label 20676: @1481360
     /* 1481360 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1481457), // Rule ID 24583 //
     /* 1481365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1481376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1481379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481415 */     // MIs[1] Operand 1
     /* 1481415 */     // No operand predicates
     /* 1481415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481419 */     // MIs[0] policy
     /* 1481419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481456 */     // GIR_Coverage, 24583,
     /* 1481456 */     GIR_EraseRootFromParent_Done,
     /* 1481457 */   // Label 20677: @1481457
     /* 1481457 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1481554), // Rule ID 24586 //
     /* 1481462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481512 */     // MIs[1] Operand 1
     /* 1481512 */     // No operand predicates
     /* 1481512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481516 */     // MIs[0] policy
     /* 1481516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481553 */     // GIR_Coverage, 24586,
     /* 1481553 */     GIR_EraseRootFromParent_Done,
     /* 1481554 */   // Label 20678: @1481554
     /* 1481554 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1481651), // Rule ID 24587 //
     /* 1481559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481609 */     // MIs[1] Operand 1
     /* 1481609 */     // No operand predicates
     /* 1481609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481613 */     // MIs[0] policy
     /* 1481613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481625 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481650 */     // GIR_Coverage, 24587,
     /* 1481650 */     GIR_EraseRootFromParent_Done,
     /* 1481651 */   // Label 20679: @1481651
     /* 1481651 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1481748), // Rule ID 24590 //
     /* 1481656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481706 */     // MIs[1] Operand 1
     /* 1481706 */     // No operand predicates
     /* 1481706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481710 */     // MIs[0] policy
     /* 1481710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481747 */     // GIR_Coverage, 24590,
     /* 1481747 */     GIR_EraseRootFromParent_Done,
     /* 1481748 */   // Label 20680: @1481748
     /* 1481748 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1481845), // Rule ID 24591 //
     /* 1481753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481803 */     // MIs[1] Operand 1
     /* 1481803 */     // No operand predicates
     /* 1481803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481807 */     // MIs[0] policy
     /* 1481807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481844 */     // GIR_Coverage, 24591,
     /* 1481844 */     GIR_EraseRootFromParent_Done,
     /* 1481845 */   // Label 20681: @1481845
     /* 1481845 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1481942), // Rule ID 24594 //
     /* 1481850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1481853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481900 */     // MIs[1] Operand 1
     /* 1481900 */     // No operand predicates
     /* 1481900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481904 */     // MIs[0] policy
     /* 1481904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481941 */     // GIR_Coverage, 24594,
     /* 1481941 */     GIR_EraseRootFromParent_Done,
     /* 1481942 */   // Label 20682: @1481942
     /* 1481942 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1482039), // Rule ID 24595 //
     /* 1481947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1481950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481997 */     // MIs[1] Operand 1
     /* 1481997 */     // No operand predicates
     /* 1481997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482001 */     // MIs[0] policy
     /* 1482001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1482016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482038 */     // GIR_Coverage, 24595,
     /* 1482038 */     GIR_EraseRootFromParent_Done,
     /* 1482039 */   // Label 20683: @1482039
     /* 1482039 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1482136), // Rule ID 24598 //
     /* 1482044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482094 */     // MIs[1] Operand 1
     /* 1482094 */     // No operand predicates
     /* 1482094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482098 */     // MIs[0] policy
     /* 1482098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482135 */     // GIR_Coverage, 24598,
     /* 1482135 */     GIR_EraseRootFromParent_Done,
     /* 1482136 */   // Label 20684: @1482136
     /* 1482136 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1482233), // Rule ID 24599 //
     /* 1482141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482191 */     // MIs[1] Operand 1
     /* 1482191 */     // No operand predicates
     /* 1482191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482195 */     // MIs[0] policy
     /* 1482195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482232 */     // GIR_Coverage, 24599,
     /* 1482232 */     GIR_EraseRootFromParent_Done,
     /* 1482233 */   // Label 20685: @1482233
     /* 1482233 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1482330), // Rule ID 24602 //
     /* 1482238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1482249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1482252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1482255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482288 */     // MIs[1] Operand 1
     /* 1482288 */     // No operand predicates
     /* 1482288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482292 */     // MIs[0] policy
     /* 1482292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482329 */     // GIR_Coverage, 24602,
     /* 1482329 */     GIR_EraseRootFromParent_Done,
     /* 1482330 */   // Label 20686: @1482330
     /* 1482330 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1482427), // Rule ID 24603 //
     /* 1482335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1482346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1482349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1482352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482385 */     // MIs[1] Operand 1
     /* 1482385 */     // No operand predicates
     /* 1482385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482389 */     // MIs[0] policy
     /* 1482389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482401 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482426 */     // GIR_Coverage, 24603,
     /* 1482426 */     GIR_EraseRootFromParent_Done,
     /* 1482427 */   // Label 20687: @1482427
     /* 1482427 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1482524), // Rule ID 24606 //
     /* 1482432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482482 */     // MIs[1] Operand 1
     /* 1482482 */     // No operand predicates
     /* 1482482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482486 */     // MIs[0] policy
     /* 1482486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482523 */     // GIR_Coverage, 24606,
     /* 1482523 */     GIR_EraseRootFromParent_Done,
     /* 1482524 */   // Label 20688: @1482524
     /* 1482524 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1482621), // Rule ID 24607 //
     /* 1482529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482579 */     // MIs[1] Operand 1
     /* 1482579 */     // No operand predicates
     /* 1482579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482583 */     // MIs[0] policy
     /* 1482583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482620 */     // GIR_Coverage, 24607,
     /* 1482620 */     GIR_EraseRootFromParent_Done,
     /* 1482621 */   // Label 20689: @1482621
     /* 1482621 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1482718), // Rule ID 24610 //
     /* 1482626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482676 */     // MIs[1] Operand 1
     /* 1482676 */     // No operand predicates
     /* 1482676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482680 */     // MIs[0] policy
     /* 1482680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482717 */     // GIR_Coverage, 24610,
     /* 1482717 */     GIR_EraseRootFromParent_Done,
     /* 1482718 */   // Label 20690: @1482718
     /* 1482718 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1482815), // Rule ID 24611 //
     /* 1482723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482773 */     // MIs[1] Operand 1
     /* 1482773 */     // No operand predicates
     /* 1482773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482777 */     // MIs[0] policy
     /* 1482777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482814 */     // GIR_Coverage, 24611,
     /* 1482814 */     GIR_EraseRootFromParent_Done,
     /* 1482815 */   // Label 20691: @1482815
     /* 1482815 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1482912), // Rule ID 24614 //
     /* 1482820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482870 */     // MIs[1] Operand 1
     /* 1482870 */     // No operand predicates
     /* 1482870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482874 */     // MIs[0] policy
     /* 1482874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482911 */     // GIR_Coverage, 24614,
     /* 1482911 */     GIR_EraseRootFromParent_Done,
     /* 1482912 */   // Label 20692: @1482912
     /* 1482912 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1483009), // Rule ID 24615 //
     /* 1482917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482967 */     // MIs[1] Operand 1
     /* 1482967 */     // No operand predicates
     /* 1482967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482971 */     // MIs[0] policy
     /* 1482971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483008 */     // GIR_Coverage, 24615,
     /* 1483008 */     GIR_EraseRootFromParent_Done,
     /* 1483009 */   // Label 20693: @1483009
     /* 1483009 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1483106), // Rule ID 24618 //
     /* 1483014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483064 */     // MIs[1] Operand 1
     /* 1483064 */     // No operand predicates
     /* 1483064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483068 */     // MIs[0] policy
     /* 1483068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483105 */     // GIR_Coverage, 24618,
     /* 1483105 */     GIR_EraseRootFromParent_Done,
     /* 1483106 */   // Label 20694: @1483106
     /* 1483106 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1483203), // Rule ID 24619 //
     /* 1483111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483161 */     // MIs[1] Operand 1
     /* 1483161 */     // No operand predicates
     /* 1483161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483165 */     // MIs[0] policy
     /* 1483165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483177 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483202 */     // GIR_Coverage, 24619,
     /* 1483202 */     GIR_EraseRootFromParent_Done,
     /* 1483203 */   // Label 20695: @1483203
     /* 1483203 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1483300), // Rule ID 24622 //
     /* 1483208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483258 */     // MIs[1] Operand 1
     /* 1483258 */     // No operand predicates
     /* 1483258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483262 */     // MIs[0] policy
     /* 1483262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483299 */     // GIR_Coverage, 24622,
     /* 1483299 */     GIR_EraseRootFromParent_Done,
     /* 1483300 */   // Label 20696: @1483300
     /* 1483300 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1483397), // Rule ID 24623 //
     /* 1483305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483355 */     // MIs[1] Operand 1
     /* 1483355 */     // No operand predicates
     /* 1483355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483359 */     // MIs[0] policy
     /* 1483359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483396 */     // GIR_Coverage, 24623,
     /* 1483396 */     GIR_EraseRootFromParent_Done,
     /* 1483397 */   // Label 20697: @1483397
     /* 1483397 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1483494), // Rule ID 24626 //
     /* 1483402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483452 */     // MIs[1] Operand 1
     /* 1483452 */     // No operand predicates
     /* 1483452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483456 */     // MIs[0] policy
     /* 1483456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483493 */     // GIR_Coverage, 24626,
     /* 1483493 */     GIR_EraseRootFromParent_Done,
     /* 1483494 */   // Label 20698: @1483494
     /* 1483494 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1483591), // Rule ID 24627 //
     /* 1483499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483549 */     // MIs[1] Operand 1
     /* 1483549 */     // No operand predicates
     /* 1483549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483553 */     // MIs[0] policy
     /* 1483553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483565 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483590 */     // GIR_Coverage, 24627,
     /* 1483590 */     GIR_EraseRootFromParent_Done,
     /* 1483591 */   // Label 20699: @1483591
     /* 1483591 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1483688), // Rule ID 24630 //
     /* 1483596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483646 */     // MIs[1] Operand 1
     /* 1483646 */     // No operand predicates
     /* 1483646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483650 */     // MIs[0] policy
     /* 1483650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483687 */     // GIR_Coverage, 24630,
     /* 1483687 */     GIR_EraseRootFromParent_Done,
     /* 1483688 */   // Label 20700: @1483688
     /* 1483688 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1483785), // Rule ID 24631 //
     /* 1483693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483743 */     // MIs[1] Operand 1
     /* 1483743 */     // No operand predicates
     /* 1483743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483747 */     // MIs[0] policy
     /* 1483747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483784 */     // GIR_Coverage, 24631,
     /* 1483784 */     GIR_EraseRootFromParent_Done,
     /* 1483785 */   // Label 20701: @1483785
     /* 1483785 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1483882), // Rule ID 24634 //
     /* 1483790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483840 */     // MIs[1] Operand 1
     /* 1483840 */     // No operand predicates
     /* 1483840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483844 */     // MIs[0] policy
     /* 1483844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483881 */     // GIR_Coverage, 24634,
     /* 1483881 */     GIR_EraseRootFromParent_Done,
     /* 1483882 */   // Label 20702: @1483882
     /* 1483882 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1483979), // Rule ID 24635 //
     /* 1483887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483937 */     // MIs[1] Operand 1
     /* 1483937 */     // No operand predicates
     /* 1483937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483941 */     // MIs[0] policy
     /* 1483941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483978 */     // GIR_Coverage, 24635,
     /* 1483978 */     GIR_EraseRootFromParent_Done,
     /* 1483979 */   // Label 20703: @1483979
     /* 1483979 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1484076), // Rule ID 24638 //
     /* 1483984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484034 */     // MIs[1] Operand 1
     /* 1484034 */     // No operand predicates
     /* 1484034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484038 */     // MIs[0] policy
     /* 1484038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484075 */     // GIR_Coverage, 24638,
     /* 1484075 */     GIR_EraseRootFromParent_Done,
     /* 1484076 */   // Label 20704: @1484076
     /* 1484076 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1484173), // Rule ID 24639 //
     /* 1484081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484131 */     // MIs[1] Operand 1
     /* 1484131 */     // No operand predicates
     /* 1484131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484135 */     // MIs[0] policy
     /* 1484135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484172 */     // GIR_Coverage, 24639,
     /* 1484172 */     GIR_EraseRootFromParent_Done,
     /* 1484173 */   // Label 20705: @1484173
     /* 1484173 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1484270), // Rule ID 24642 //
     /* 1484178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1484181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484228 */     // MIs[1] Operand 1
     /* 1484228 */     // No operand predicates
     /* 1484228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484232 */     // MIs[0] policy
     /* 1484232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484269 */     // GIR_Coverage, 24642,
     /* 1484269 */     GIR_EraseRootFromParent_Done,
     /* 1484270 */   // Label 20706: @1484270
     /* 1484270 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1484367), // Rule ID 24643 //
     /* 1484275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484325 */     // MIs[1] Operand 1
     /* 1484325 */     // No operand predicates
     /* 1484325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484329 */     // MIs[0] policy
     /* 1484329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484366 */     // GIR_Coverage, 24643,
     /* 1484366 */     GIR_EraseRootFromParent_Done,
     /* 1484367 */   // Label 20707: @1484367
     /* 1484367 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1484464), // Rule ID 24802 //
     /* 1484372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484422 */     // MIs[1] Operand 1
     /* 1484422 */     // No operand predicates
     /* 1484422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484426 */     // MIs[0] policy
     /* 1484426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484438 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484463 */     // GIR_Coverage, 24802,
     /* 1484463 */     GIR_EraseRootFromParent_Done,
     /* 1484464 */   // Label 20708: @1484464
     /* 1484464 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1484561), // Rule ID 24803 //
     /* 1484469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484519 */     // MIs[1] Operand 1
     /* 1484519 */     // No operand predicates
     /* 1484519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484523 */     // MIs[0] policy
     /* 1484523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484535 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484560 */     // GIR_Coverage, 24803,
     /* 1484560 */     GIR_EraseRootFromParent_Done,
     /* 1484561 */   // Label 20709: @1484561
     /* 1484561 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1484658), // Rule ID 24806 //
     /* 1484566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484616 */     // MIs[1] Operand 1
     /* 1484616 */     // No operand predicates
     /* 1484616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484620 */     // MIs[0] policy
     /* 1484620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484657 */     // GIR_Coverage, 24806,
     /* 1484657 */     GIR_EraseRootFromParent_Done,
     /* 1484658 */   // Label 20710: @1484658
     /* 1484658 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1484755), // Rule ID 24807 //
     /* 1484663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484713 */     // MIs[1] Operand 1
     /* 1484713 */     // No operand predicates
     /* 1484713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484717 */     // MIs[0] policy
     /* 1484717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484729 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484754 */     // GIR_Coverage, 24807,
     /* 1484754 */     GIR_EraseRootFromParent_Done,
     /* 1484755 */   // Label 20711: @1484755
     /* 1484755 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1484852), // Rule ID 24810 //
     /* 1484760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484810 */     // MIs[1] Operand 1
     /* 1484810 */     // No operand predicates
     /* 1484810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484814 */     // MIs[0] policy
     /* 1484814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484826 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484851 */     // GIR_Coverage, 24810,
     /* 1484851 */     GIR_EraseRootFromParent_Done,
     /* 1484852 */   // Label 20712: @1484852
     /* 1484852 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1484949), // Rule ID 24811 //
     /* 1484857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484907 */     // MIs[1] Operand 1
     /* 1484907 */     // No operand predicates
     /* 1484907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484911 */     // MIs[0] policy
     /* 1484911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484923 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484948 */     // GIR_Coverage, 24811,
     /* 1484948 */     GIR_EraseRootFromParent_Done,
     /* 1484949 */   // Label 20713: @1484949
     /* 1484949 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1485046), // Rule ID 24814 //
     /* 1484954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485004 */     // MIs[1] Operand 1
     /* 1485004 */     // No operand predicates
     /* 1485004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485008 */     // MIs[0] policy
     /* 1485008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485020 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485045 */     // GIR_Coverage, 24814,
     /* 1485045 */     GIR_EraseRootFromParent_Done,
     /* 1485046 */   // Label 20714: @1485046
     /* 1485046 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1485143), // Rule ID 24815 //
     /* 1485051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485101 */     // MIs[1] Operand 1
     /* 1485101 */     // No operand predicates
     /* 1485101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485105 */     // MIs[0] policy
     /* 1485105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485117 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485142 */     // GIR_Coverage, 24815,
     /* 1485142 */     GIR_EraseRootFromParent_Done,
     /* 1485143 */   // Label 20715: @1485143
     /* 1485143 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1485240), // Rule ID 24818 //
     /* 1485148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485198 */     // MIs[1] Operand 1
     /* 1485198 */     // No operand predicates
     /* 1485198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485202 */     // MIs[0] policy
     /* 1485202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485239 */     // GIR_Coverage, 24818,
     /* 1485239 */     GIR_EraseRootFromParent_Done,
     /* 1485240 */   // Label 20716: @1485240
     /* 1485240 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1485337), // Rule ID 24819 //
     /* 1485245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485295 */     // MIs[1] Operand 1
     /* 1485295 */     // No operand predicates
     /* 1485295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485299 */     // MIs[0] policy
     /* 1485299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485311 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485336 */     // GIR_Coverage, 24819,
     /* 1485336 */     GIR_EraseRootFromParent_Done,
     /* 1485337 */   // Label 20717: @1485337
     /* 1485337 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1485434), // Rule ID 24822 //
     /* 1485342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485392 */     // MIs[1] Operand 1
     /* 1485392 */     // No operand predicates
     /* 1485392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485396 */     // MIs[0] policy
     /* 1485396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485433 */     // GIR_Coverage, 24822,
     /* 1485433 */     GIR_EraseRootFromParent_Done,
     /* 1485434 */   // Label 20718: @1485434
     /* 1485434 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1485531), // Rule ID 24823 //
     /* 1485439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485489 */     // MIs[1] Operand 1
     /* 1485489 */     // No operand predicates
     /* 1485489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485493 */     // MIs[0] policy
     /* 1485493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485505 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485530 */     // GIR_Coverage, 24823,
     /* 1485530 */     GIR_EraseRootFromParent_Done,
     /* 1485531 */   // Label 20719: @1485531
     /* 1485531 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1485628), // Rule ID 24826 //
     /* 1485536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485586 */     // MIs[1] Operand 1
     /* 1485586 */     // No operand predicates
     /* 1485586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485590 */     // MIs[0] policy
     /* 1485590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485602 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485627 */     // GIR_Coverage, 24826,
     /* 1485627 */     GIR_EraseRootFromParent_Done,
     /* 1485628 */   // Label 20720: @1485628
     /* 1485628 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1485725), // Rule ID 24827 //
     /* 1485633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485683 */     // MIs[1] Operand 1
     /* 1485683 */     // No operand predicates
     /* 1485683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485687 */     // MIs[0] policy
     /* 1485687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485699 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485724 */     // GIR_Coverage, 24827,
     /* 1485724 */     GIR_EraseRootFromParent_Done,
     /* 1485725 */   // Label 20721: @1485725
     /* 1485725 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1485822), // Rule ID 24830 //
     /* 1485730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485780 */     // MIs[1] Operand 1
     /* 1485780 */     // No operand predicates
     /* 1485780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485784 */     // MIs[0] policy
     /* 1485784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485796 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485821 */     // GIR_Coverage, 24830,
     /* 1485821 */     GIR_EraseRootFromParent_Done,
     /* 1485822 */   // Label 20722: @1485822
     /* 1485822 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1485919), // Rule ID 24831 //
     /* 1485827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485877 */     // MIs[1] Operand 1
     /* 1485877 */     // No operand predicates
     /* 1485877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485881 */     // MIs[0] policy
     /* 1485881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485893 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485918 */     // GIR_Coverage, 24831,
     /* 1485918 */     GIR_EraseRootFromParent_Done,
     /* 1485919 */   // Label 20723: @1485919
     /* 1485919 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1486016), // Rule ID 24834 //
     /* 1485924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485974 */     // MIs[1] Operand 1
     /* 1485974 */     // No operand predicates
     /* 1485974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485978 */     // MIs[0] policy
     /* 1485978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486015 */     // GIR_Coverage, 24834,
     /* 1486015 */     GIR_EraseRootFromParent_Done,
     /* 1486016 */   // Label 20724: @1486016
     /* 1486016 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1486113), // Rule ID 24835 //
     /* 1486021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486071 */     // MIs[1] Operand 1
     /* 1486071 */     // No operand predicates
     /* 1486071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486075 */     // MIs[0] policy
     /* 1486075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486112 */     // GIR_Coverage, 24835,
     /* 1486112 */     GIR_EraseRootFromParent_Done,
     /* 1486113 */   // Label 20725: @1486113
     /* 1486113 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1486210), // Rule ID 24886 //
     /* 1486118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486168 */     // MIs[1] Operand 1
     /* 1486168 */     // No operand predicates
     /* 1486168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486172 */     // MIs[0] policy
     /* 1486172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486184 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486209 */     // GIR_Coverage, 24886,
     /* 1486209 */     GIR_EraseRootFromParent_Done,
     /* 1486210 */   // Label 20726: @1486210
     /* 1486210 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1486307), // Rule ID 24887 //
     /* 1486215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486265 */     // MIs[1] Operand 1
     /* 1486265 */     // No operand predicates
     /* 1486265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486269 */     // MIs[0] policy
     /* 1486269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486281 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1486284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486306 */     // GIR_Coverage, 24887,
     /* 1486306 */     GIR_EraseRootFromParent_Done,
     /* 1486307 */   // Label 20727: @1486307
     /* 1486307 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1486404), // Rule ID 24890 //
     /* 1486312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486362 */     // MIs[1] Operand 1
     /* 1486362 */     // No operand predicates
     /* 1486362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486366 */     // MIs[0] policy
     /* 1486366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486378 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486403 */     // GIR_Coverage, 24890,
     /* 1486403 */     GIR_EraseRootFromParent_Done,
     /* 1486404 */   // Label 20728: @1486404
     /* 1486404 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1486501), // Rule ID 24891 //
     /* 1486409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486459 */     // MIs[1] Operand 1
     /* 1486459 */     // No operand predicates
     /* 1486459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486463 */     // MIs[0] policy
     /* 1486463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486475 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486500 */     // GIR_Coverage, 24891,
     /* 1486500 */     GIR_EraseRootFromParent_Done,
     /* 1486501 */   // Label 20729: @1486501
     /* 1486501 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1486598), // Rule ID 24894 //
     /* 1486506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486556 */     // MIs[1] Operand 1
     /* 1486556 */     // No operand predicates
     /* 1486556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486560 */     // MIs[0] policy
     /* 1486560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486572 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486597 */     // GIR_Coverage, 24894,
     /* 1486597 */     GIR_EraseRootFromParent_Done,
     /* 1486598 */   // Label 20730: @1486598
     /* 1486598 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1486695), // Rule ID 24895 //
     /* 1486603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486653 */     // MIs[1] Operand 1
     /* 1486653 */     // No operand predicates
     /* 1486653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486657 */     // MIs[0] policy
     /* 1486657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486694 */     // GIR_Coverage, 24895,
     /* 1486694 */     GIR_EraseRootFromParent_Done,
     /* 1486695 */   // Label 20731: @1486695
     /* 1486695 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1486792), // Rule ID 24898 //
     /* 1486700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486750 */     // MIs[1] Operand 1
     /* 1486750 */     // No operand predicates
     /* 1486750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486754 */     // MIs[0] policy
     /* 1486754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486766 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486791 */     // GIR_Coverage, 24898,
     /* 1486791 */     GIR_EraseRootFromParent_Done,
     /* 1486792 */   // Label 20732: @1486792
     /* 1486792 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1486889), // Rule ID 24899 //
     /* 1486797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486847 */     // MIs[1] Operand 1
     /* 1486847 */     // No operand predicates
     /* 1486847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486851 */     // MIs[0] policy
     /* 1486851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486863 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486888 */     // GIR_Coverage, 24899,
     /* 1486888 */     GIR_EraseRootFromParent_Done,
     /* 1486889 */   // Label 20733: @1486889
     /* 1486889 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1486986), // Rule ID 24902 //
     /* 1486894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486944 */     // MIs[1] Operand 1
     /* 1486944 */     // No operand predicates
     /* 1486944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486948 */     // MIs[0] policy
     /* 1486948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486960 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486985 */     // GIR_Coverage, 24902,
     /* 1486985 */     GIR_EraseRootFromParent_Done,
     /* 1486986 */   // Label 20734: @1486986
     /* 1486986 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1487083), // Rule ID 24903 //
     /* 1486991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487041 */     // MIs[1] Operand 1
     /* 1487041 */     // No operand predicates
     /* 1487041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487045 */     // MIs[0] policy
     /* 1487045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487057 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487082 */     // GIR_Coverage, 24903,
     /* 1487082 */     GIR_EraseRootFromParent_Done,
     /* 1487083 */   // Label 20735: @1487083
     /* 1487083 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1487180), // Rule ID 24906 //
     /* 1487088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1487091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487138 */     // MIs[1] Operand 1
     /* 1487138 */     // No operand predicates
     /* 1487138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487142 */     // MIs[0] policy
     /* 1487142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487154 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487179 */     // GIR_Coverage, 24906,
     /* 1487179 */     GIR_EraseRootFromParent_Done,
     /* 1487180 */   // Label 20736: @1487180
     /* 1487180 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1487277), // Rule ID 24907 //
     /* 1487185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1487188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487235 */     // MIs[1] Operand 1
     /* 1487235 */     // No operand predicates
     /* 1487235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487239 */     // MIs[0] policy
     /* 1487239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487251 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487276 */     // GIR_Coverage, 24907,
     /* 1487276 */     GIR_EraseRootFromParent_Done,
     /* 1487277 */   // Label 20737: @1487277
     /* 1487277 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1487374), // Rule ID 60910 //
     /* 1487282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1487299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487332 */     // MIs[1] Operand 1
     /* 1487332 */     // No operand predicates
     /* 1487332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487336 */     // MIs[0] policy
     /* 1487336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487373 */     // GIR_Coverage, 60910,
     /* 1487373 */     GIR_EraseRootFromParent_Done,
     /* 1487374 */   // Label 20738: @1487374
     /* 1487374 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1487471), // Rule ID 60911 //
     /* 1487379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1487396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487429 */     // MIs[1] Operand 1
     /* 1487429 */     // No operand predicates
     /* 1487429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487433 */     // MIs[0] policy
     /* 1487433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487470 */     // GIR_Coverage, 60911,
     /* 1487470 */     GIR_EraseRootFromParent_Done,
     /* 1487471 */   // Label 20739: @1487471
     /* 1487471 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1487568), // Rule ID 60918 //
     /* 1487476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487526 */     // MIs[1] Operand 1
     /* 1487526 */     // No operand predicates
     /* 1487526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487530 */     // MIs[0] policy
     /* 1487530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487567 */     // GIR_Coverage, 60918,
     /* 1487567 */     GIR_EraseRootFromParent_Done,
     /* 1487568 */   // Label 20740: @1487568
     /* 1487568 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1487665), // Rule ID 60919 //
     /* 1487573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487623 */     // MIs[1] Operand 1
     /* 1487623 */     // No operand predicates
     /* 1487623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487627 */     // MIs[0] policy
     /* 1487627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487664 */     // GIR_Coverage, 60919,
     /* 1487664 */     GIR_EraseRootFromParent_Done,
     /* 1487665 */   // Label 20741: @1487665
     /* 1487665 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1487762), // Rule ID 60926 //
     /* 1487670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487720 */     // MIs[1] Operand 1
     /* 1487720 */     // No operand predicates
     /* 1487720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487724 */     // MIs[0] policy
     /* 1487724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487761 */     // GIR_Coverage, 60926,
     /* 1487761 */     GIR_EraseRootFromParent_Done,
     /* 1487762 */   // Label 20742: @1487762
     /* 1487762 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1487859), // Rule ID 60927 //
     /* 1487767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487817 */     // MIs[1] Operand 1
     /* 1487817 */     // No operand predicates
     /* 1487817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487821 */     // MIs[0] policy
     /* 1487821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487858 */     // GIR_Coverage, 60927,
     /* 1487858 */     GIR_EraseRootFromParent_Done,
     /* 1487859 */   // Label 20743: @1487859
     /* 1487859 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1487956), // Rule ID 60934 //
     /* 1487864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487914 */     // MIs[1] Operand 1
     /* 1487914 */     // No operand predicates
     /* 1487914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487918 */     // MIs[0] policy
     /* 1487918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487955 */     // GIR_Coverage, 60934,
     /* 1487955 */     GIR_EraseRootFromParent_Done,
     /* 1487956 */   // Label 20744: @1487956
     /* 1487956 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1488053), // Rule ID 60935 //
     /* 1487961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488011 */     // MIs[1] Operand 1
     /* 1488011 */     // No operand predicates
     /* 1488011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488015 */     // MIs[0] policy
     /* 1488015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488052 */     // GIR_Coverage, 60935,
     /* 1488052 */     GIR_EraseRootFromParent_Done,
     /* 1488053 */   // Label 20745: @1488053
     /* 1488053 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1488150), // Rule ID 60942 //
     /* 1488058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1488069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1488072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488108 */     // MIs[1] Operand 1
     /* 1488108 */     // No operand predicates
     /* 1488108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488112 */     // MIs[0] policy
     /* 1488112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488149 */     // GIR_Coverage, 60942,
     /* 1488149 */     GIR_EraseRootFromParent_Done,
     /* 1488150 */   // Label 20746: @1488150
     /* 1488150 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1488247), // Rule ID 60943 //
     /* 1488155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1488166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1488169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488205 */     // MIs[1] Operand 1
     /* 1488205 */     // No operand predicates
     /* 1488205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488209 */     // MIs[0] policy
     /* 1488209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488246 */     // GIR_Coverage, 60943,
     /* 1488246 */     GIR_EraseRootFromParent_Done,
     /* 1488247 */   // Label 20747: @1488247
     /* 1488247 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1488344), // Rule ID 60950 //
     /* 1488252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1488263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1488266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488302 */     // MIs[1] Operand 1
     /* 1488302 */     // No operand predicates
     /* 1488302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488306 */     // MIs[0] policy
     /* 1488306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488343 */     // GIR_Coverage, 60950,
     /* 1488343 */     GIR_EraseRootFromParent_Done,
     /* 1488344 */   // Label 20748: @1488344
     /* 1488344 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1488441), // Rule ID 60951 //
     /* 1488349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1488360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1488363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1488366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1488372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488399 */     // MIs[1] Operand 1
     /* 1488399 */     // No operand predicates
     /* 1488399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488403 */     // MIs[0] policy
     /* 1488403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488415 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488440 */     // GIR_Coverage, 60951,
     /* 1488440 */     GIR_EraseRootFromParent_Done,
     /* 1488441 */   // Label 20749: @1488441
     /* 1488441 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1488538), // Rule ID 60958 //
     /* 1488446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488496 */     // MIs[1] Operand 1
     /* 1488496 */     // No operand predicates
     /* 1488496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488500 */     // MIs[0] policy
     /* 1488500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488537 */     // GIR_Coverage, 60958,
     /* 1488537 */     GIR_EraseRootFromParent_Done,
     /* 1488538 */   // Label 20750: @1488538
     /* 1488538 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1488635), // Rule ID 60959 //
     /* 1488543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488593 */     // MIs[1] Operand 1
     /* 1488593 */     // No operand predicates
     /* 1488593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488597 */     // MIs[0] policy
     /* 1488597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488634 */     // GIR_Coverage, 60959,
     /* 1488634 */     GIR_EraseRootFromParent_Done,
     /* 1488635 */   // Label 20751: @1488635
     /* 1488635 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1488732), // Rule ID 60966 //
     /* 1488640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488690 */     // MIs[1] Operand 1
     /* 1488690 */     // No operand predicates
     /* 1488690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488694 */     // MIs[0] policy
     /* 1488694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488731 */     // GIR_Coverage, 60966,
     /* 1488731 */     GIR_EraseRootFromParent_Done,
     /* 1488732 */   // Label 20752: @1488732
     /* 1488732 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1488829), // Rule ID 60967 //
     /* 1488737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488787 */     // MIs[1] Operand 1
     /* 1488787 */     // No operand predicates
     /* 1488787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488791 */     // MIs[0] policy
     /* 1488791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488828 */     // GIR_Coverage, 60967,
     /* 1488828 */     GIR_EraseRootFromParent_Done,
     /* 1488829 */   // Label 20753: @1488829
     /* 1488829 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1488926), // Rule ID 60974 //
     /* 1488834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488884 */     // MIs[1] Operand 1
     /* 1488884 */     // No operand predicates
     /* 1488884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488888 */     // MIs[0] policy
     /* 1488888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488925 */     // GIR_Coverage, 60974,
     /* 1488925 */     GIR_EraseRootFromParent_Done,
     /* 1488926 */   // Label 20754: @1488926
     /* 1488926 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1489023), // Rule ID 60975 //
     /* 1488931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488981 */     // MIs[1] Operand 1
     /* 1488981 */     // No operand predicates
     /* 1488981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488985 */     // MIs[0] policy
     /* 1488985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489022 */     // GIR_Coverage, 60975,
     /* 1489022 */     GIR_EraseRootFromParent_Done,
     /* 1489023 */   // Label 20755: @1489023
     /* 1489023 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1489120), // Rule ID 60982 //
     /* 1489028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489078 */     // MIs[1] Operand 1
     /* 1489078 */     // No operand predicates
     /* 1489078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489082 */     // MIs[0] policy
     /* 1489082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489119 */     // GIR_Coverage, 60982,
     /* 1489119 */     GIR_EraseRootFromParent_Done,
     /* 1489120 */   // Label 20756: @1489120
     /* 1489120 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1489217), // Rule ID 60983 //
     /* 1489125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489175 */     // MIs[1] Operand 1
     /* 1489175 */     // No operand predicates
     /* 1489175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489179 */     // MIs[0] policy
     /* 1489179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489216 */     // GIR_Coverage, 60983,
     /* 1489216 */     GIR_EraseRootFromParent_Done,
     /* 1489217 */   // Label 20757: @1489217
     /* 1489217 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1489314), // Rule ID 60990 //
     /* 1489222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489272 */     // MIs[1] Operand 1
     /* 1489272 */     // No operand predicates
     /* 1489272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489276 */     // MIs[0] policy
     /* 1489276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489313 */     // GIR_Coverage, 60990,
     /* 1489313 */     GIR_EraseRootFromParent_Done,
     /* 1489314 */   // Label 20758: @1489314
     /* 1489314 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1489411), // Rule ID 60991 //
     /* 1489319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489369 */     // MIs[1] Operand 1
     /* 1489369 */     // No operand predicates
     /* 1489369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489373 */     // MIs[0] policy
     /* 1489373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489410 */     // GIR_Coverage, 60991,
     /* 1489410 */     GIR_EraseRootFromParent_Done,
     /* 1489411 */   // Label 20759: @1489411
     /* 1489411 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1489508), // Rule ID 60998 //
     /* 1489416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489466 */     // MIs[1] Operand 1
     /* 1489466 */     // No operand predicates
     /* 1489466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489470 */     // MIs[0] policy
     /* 1489470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489507 */     // GIR_Coverage, 60998,
     /* 1489507 */     GIR_EraseRootFromParent_Done,
     /* 1489508 */   // Label 20760: @1489508
     /* 1489508 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1489605), // Rule ID 60999 //
     /* 1489513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489563 */     // MIs[1] Operand 1
     /* 1489563 */     // No operand predicates
     /* 1489563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489567 */     // MIs[0] policy
     /* 1489567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489604 */     // GIR_Coverage, 60999,
     /* 1489604 */     GIR_EraseRootFromParent_Done,
     /* 1489605 */   // Label 20761: @1489605
     /* 1489605 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1489702), // Rule ID 61006 //
     /* 1489610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489660 */     // MIs[1] Operand 1
     /* 1489660 */     // No operand predicates
     /* 1489660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489664 */     // MIs[0] policy
     /* 1489664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489701 */     // GIR_Coverage, 61006,
     /* 1489701 */     GIR_EraseRootFromParent_Done,
     /* 1489702 */   // Label 20762: @1489702
     /* 1489702 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1489799), // Rule ID 61007 //
     /* 1489707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489757 */     // MIs[1] Operand 1
     /* 1489757 */     // No operand predicates
     /* 1489757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489761 */     // MIs[0] policy
     /* 1489761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489798 */     // GIR_Coverage, 61007,
     /* 1489798 */     GIR_EraseRootFromParent_Done,
     /* 1489799 */   // Label 20763: @1489799
     /* 1489799 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1489896), // Rule ID 61014 //
     /* 1489804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489854 */     // MIs[1] Operand 1
     /* 1489854 */     // No operand predicates
     /* 1489854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489858 */     // MIs[0] policy
     /* 1489858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489895 */     // GIR_Coverage, 61014,
     /* 1489895 */     GIR_EraseRootFromParent_Done,
     /* 1489896 */   // Label 20764: @1489896
     /* 1489896 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1489993), // Rule ID 61015 //
     /* 1489901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489951 */     // MIs[1] Operand 1
     /* 1489951 */     // No operand predicates
     /* 1489951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489955 */     // MIs[0] policy
     /* 1489955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489992 */     // GIR_Coverage, 61015,
     /* 1489992 */     GIR_EraseRootFromParent_Done,
     /* 1489993 */   // Label 20765: @1489993
     /* 1489993 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1490090), // Rule ID 61022 //
     /* 1489998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1490001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1490006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490048 */     // MIs[1] Operand 1
     /* 1490048 */     // No operand predicates
     /* 1490048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490052 */     // MIs[0] policy
     /* 1490052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1490067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490089 */     // GIR_Coverage, 61022,
     /* 1490089 */     GIR_EraseRootFromParent_Done,
     /* 1490090 */   // Label 20766: @1490090
     /* 1490090 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1490187), // Rule ID 61023 //
     /* 1490095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1490098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1490103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490145 */     // MIs[1] Operand 1
     /* 1490145 */     // No operand predicates
     /* 1490145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490149 */     // MIs[0] policy
     /* 1490149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1490164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490186 */     // GIR_Coverage, 61023,
     /* 1490186 */     GIR_EraseRootFromParent_Done,
     /* 1490187 */   // Label 20767: @1490187
     /* 1490187 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1490284), // Rule ID 61878 //
     /* 1490192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1490203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1490206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1490209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490242 */     // MIs[1] Operand 1
     /* 1490242 */     // No operand predicates
     /* 1490242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490246 */     // MIs[0] policy
     /* 1490246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1490261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490283 */     // GIR_Coverage, 61878,
     /* 1490283 */     GIR_EraseRootFromParent_Done,
     /* 1490284 */   // Label 20768: @1490284
     /* 1490284 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1490381), // Rule ID 61879 //
     /* 1490289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1490300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1490303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1490306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490339 */     // MIs[1] Operand 1
     /* 1490339 */     // No operand predicates
     /* 1490339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490343 */     // MIs[0] policy
     /* 1490343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1490358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490380 */     // GIR_Coverage, 61879,
     /* 1490380 */     GIR_EraseRootFromParent_Done,
     /* 1490381 */   // Label 20769: @1490381
     /* 1490381 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1490478), // Rule ID 61882 //
     /* 1490386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490436 */     // MIs[1] Operand 1
     /* 1490436 */     // No operand predicates
     /* 1490436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490440 */     // MIs[0] policy
     /* 1490440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490477 */     // GIR_Coverage, 61882,
     /* 1490477 */     GIR_EraseRootFromParent_Done,
     /* 1490478 */   // Label 20770: @1490478
     /* 1490478 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1490575), // Rule ID 61883 //
     /* 1490483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490533 */     // MIs[1] Operand 1
     /* 1490533 */     // No operand predicates
     /* 1490533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490537 */     // MIs[0] policy
     /* 1490537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490574 */     // GIR_Coverage, 61883,
     /* 1490574 */     GIR_EraseRootFromParent_Done,
     /* 1490575 */   // Label 20771: @1490575
     /* 1490575 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1490672), // Rule ID 61886 //
     /* 1490580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490630 */     // MIs[1] Operand 1
     /* 1490630 */     // No operand predicates
     /* 1490630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490634 */     // MIs[0] policy
     /* 1490634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490646 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490671 */     // GIR_Coverage, 61886,
     /* 1490671 */     GIR_EraseRootFromParent_Done,
     /* 1490672 */   // Label 20772: @1490672
     /* 1490672 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1490769), // Rule ID 61887 //
     /* 1490677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490727 */     // MIs[1] Operand 1
     /* 1490727 */     // No operand predicates
     /* 1490727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490731 */     // MIs[0] policy
     /* 1490731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490768 */     // GIR_Coverage, 61887,
     /* 1490768 */     GIR_EraseRootFromParent_Done,
     /* 1490769 */   // Label 20773: @1490769
     /* 1490769 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1490866), // Rule ID 61890 //
     /* 1490774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490824 */     // MIs[1] Operand 1
     /* 1490824 */     // No operand predicates
     /* 1490824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490828 */     // MIs[0] policy
     /* 1490828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490865 */     // GIR_Coverage, 61890,
     /* 1490865 */     GIR_EraseRootFromParent_Done,
     /* 1490866 */   // Label 20774: @1490866
     /* 1490866 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1490963), // Rule ID 61891 //
     /* 1490871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490921 */     // MIs[1] Operand 1
     /* 1490921 */     // No operand predicates
     /* 1490921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490925 */     // MIs[0] policy
     /* 1490925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490937 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490962 */     // GIR_Coverage, 61891,
     /* 1490962 */     GIR_EraseRootFromParent_Done,
     /* 1490963 */   // Label 20775: @1490963
     /* 1490963 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1491060), // Rule ID 61894 //
     /* 1490968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491018 */     // MIs[1] Operand 1
     /* 1491018 */     // No operand predicates
     /* 1491018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491022 */     // MIs[0] policy
     /* 1491022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491059 */     // GIR_Coverage, 61894,
     /* 1491059 */     GIR_EraseRootFromParent_Done,
     /* 1491060 */   // Label 20776: @1491060
     /* 1491060 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1491157), // Rule ID 61895 //
     /* 1491065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491115 */     // MIs[1] Operand 1
     /* 1491115 */     // No operand predicates
     /* 1491115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491119 */     // MIs[0] policy
     /* 1491119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491131 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491156 */     // GIR_Coverage, 61895,
     /* 1491156 */     GIR_EraseRootFromParent_Done,
     /* 1491157 */   // Label 20777: @1491157
     /* 1491157 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1491254), // Rule ID 61898 //
     /* 1491162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491212 */     // MIs[1] Operand 1
     /* 1491212 */     // No operand predicates
     /* 1491212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491216 */     // MIs[0] policy
     /* 1491216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491253 */     // GIR_Coverage, 61898,
     /* 1491253 */     GIR_EraseRootFromParent_Done,
     /* 1491254 */   // Label 20778: @1491254
     /* 1491254 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1491351), // Rule ID 61899 //
     /* 1491259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491309 */     // MIs[1] Operand 1
     /* 1491309 */     // No operand predicates
     /* 1491309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491313 */     // MIs[0] policy
     /* 1491313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1491328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491350 */     // GIR_Coverage, 61899,
     /* 1491350 */     GIR_EraseRootFromParent_Done,
     /* 1491351 */   // Label 20779: @1491351
     /* 1491351 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1491448), // Rule ID 61902 //
     /* 1491356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491406 */     // MIs[1] Operand 1
     /* 1491406 */     // No operand predicates
     /* 1491406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491410 */     // MIs[0] policy
     /* 1491410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491447 */     // GIR_Coverage, 61902,
     /* 1491447 */     GIR_EraseRootFromParent_Done,
     /* 1491448 */   // Label 20780: @1491448
     /* 1491448 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1491545), // Rule ID 61903 //
     /* 1491453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491503 */     // MIs[1] Operand 1
     /* 1491503 */     // No operand predicates
     /* 1491503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491507 */     // MIs[0] policy
     /* 1491507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491519 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491544 */     // GIR_Coverage, 61903,
     /* 1491544 */     GIR_EraseRootFromParent_Done,
     /* 1491545 */   // Label 20781: @1491545
     /* 1491545 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1491642), // Rule ID 61906 //
     /* 1491550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491600 */     // MIs[1] Operand 1
     /* 1491600 */     // No operand predicates
     /* 1491600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491604 */     // MIs[0] policy
     /* 1491604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491641 */     // GIR_Coverage, 61906,
     /* 1491641 */     GIR_EraseRootFromParent_Done,
     /* 1491642 */   // Label 20782: @1491642
     /* 1491642 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1491739), // Rule ID 61907 //
     /* 1491647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491697 */     // MIs[1] Operand 1
     /* 1491697 */     // No operand predicates
     /* 1491697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491701 */     // MIs[0] policy
     /* 1491701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491738 */     // GIR_Coverage, 61907,
     /* 1491738 */     GIR_EraseRootFromParent_Done,
     /* 1491739 */   // Label 20783: @1491739
     /* 1491739 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1491836), // Rule ID 61910 //
     /* 1491744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491794 */     // MIs[1] Operand 1
     /* 1491794 */     // No operand predicates
     /* 1491794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491798 */     // MIs[0] policy
     /* 1491798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491835 */     // GIR_Coverage, 61910,
     /* 1491835 */     GIR_EraseRootFromParent_Done,
     /* 1491836 */   // Label 20784: @1491836
     /* 1491836 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1491933), // Rule ID 61911 //
     /* 1491841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491891 */     // MIs[1] Operand 1
     /* 1491891 */     // No operand predicates
     /* 1491891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491895 */     // MIs[0] policy
     /* 1491895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491932 */     // GIR_Coverage, 61911,
     /* 1491932 */     GIR_EraseRootFromParent_Done,
     /* 1491933 */   // Label 20785: @1491933
     /* 1491933 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1492030), // Rule ID 61914 //
     /* 1491938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491988 */     // MIs[1] Operand 1
     /* 1491988 */     // No operand predicates
     /* 1491988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491992 */     // MIs[0] policy
     /* 1491992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1492007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492029 */     // GIR_Coverage, 61914,
     /* 1492029 */     GIR_EraseRootFromParent_Done,
     /* 1492030 */   // Label 20786: @1492030
     /* 1492030 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1492127), // Rule ID 61915 //
     /* 1492035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492085 */     // MIs[1] Operand 1
     /* 1492085 */     // No operand predicates
     /* 1492085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492089 */     // MIs[0] policy
     /* 1492089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1492104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492126 */     // GIR_Coverage, 61915,
     /* 1492126 */     GIR_EraseRootFromParent_Done,
     /* 1492127 */   // Label 20787: @1492127
     /* 1492127 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1492224), // Rule ID 61918 //
     /* 1492132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1492143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1492146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492182 */     // MIs[1] Operand 1
     /* 1492182 */     // No operand predicates
     /* 1492182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492186 */     // MIs[0] policy
     /* 1492186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492223 */     // GIR_Coverage, 61918,
     /* 1492223 */     GIR_EraseRootFromParent_Done,
     /* 1492224 */   // Label 20788: @1492224
     /* 1492224 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1492321), // Rule ID 61919 //
     /* 1492229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1492240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1492243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492279 */     // MIs[1] Operand 1
     /* 1492279 */     // No operand predicates
     /* 1492279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492283 */     // MIs[0] policy
     /* 1492283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492320 */     // GIR_Coverage, 61919,
     /* 1492320 */     GIR_EraseRootFromParent_Done,
     /* 1492321 */   // Label 20789: @1492321
     /* 1492321 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1492418), // Rule ID 61922 //
     /* 1492326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492376 */     // MIs[1] Operand 1
     /* 1492376 */     // No operand predicates
     /* 1492376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492380 */     // MIs[0] policy
     /* 1492380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492417 */     // GIR_Coverage, 61922,
     /* 1492417 */     GIR_EraseRootFromParent_Done,
     /* 1492418 */   // Label 20790: @1492418
     /* 1492418 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1492515), // Rule ID 61923 //
     /* 1492423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492473 */     // MIs[1] Operand 1
     /* 1492473 */     // No operand predicates
     /* 1492473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492477 */     // MIs[0] policy
     /* 1492477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492514 */     // GIR_Coverage, 61923,
     /* 1492514 */     GIR_EraseRootFromParent_Done,
     /* 1492515 */   // Label 20791: @1492515
     /* 1492515 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1492612), // Rule ID 61926 //
     /* 1492520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492570 */     // MIs[1] Operand 1
     /* 1492570 */     // No operand predicates
     /* 1492570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492574 */     // MIs[0] policy
     /* 1492574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492611 */     // GIR_Coverage, 61926,
     /* 1492611 */     GIR_EraseRootFromParent_Done,
     /* 1492612 */   // Label 20792: @1492612
     /* 1492612 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1492709), // Rule ID 61927 //
     /* 1492617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492667 */     // MIs[1] Operand 1
     /* 1492667 */     // No operand predicates
     /* 1492667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492671 */     // MIs[0] policy
     /* 1492671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492708 */     // GIR_Coverage, 61927,
     /* 1492708 */     GIR_EraseRootFromParent_Done,
     /* 1492709 */   // Label 20793: @1492709
     /* 1492709 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1492806), // Rule ID 61930 //
     /* 1492714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492764 */     // MIs[1] Operand 1
     /* 1492764 */     // No operand predicates
     /* 1492764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492768 */     // MIs[0] policy
     /* 1492768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492805 */     // GIR_Coverage, 61930,
     /* 1492805 */     GIR_EraseRootFromParent_Done,
     /* 1492806 */   // Label 20794: @1492806
     /* 1492806 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1492903), // Rule ID 61931 //
     /* 1492811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492861 */     // MIs[1] Operand 1
     /* 1492861 */     // No operand predicates
     /* 1492861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492865 */     // MIs[0] policy
     /* 1492865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492902 */     // GIR_Coverage, 61931,
     /* 1492902 */     GIR_EraseRootFromParent_Done,
     /* 1492903 */   // Label 20795: @1492903
     /* 1492903 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1493000), // Rule ID 61934 //
     /* 1492908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492958 */     // MIs[1] Operand 1
     /* 1492958 */     // No operand predicates
     /* 1492958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492962 */     // MIs[0] policy
     /* 1492962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492999 */     // GIR_Coverage, 61934,
     /* 1492999 */     GIR_EraseRootFromParent_Done,
     /* 1493000 */   // Label 20796: @1493000
     /* 1493000 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493097), // Rule ID 61935 //
     /* 1493005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493055 */     // MIs[1] Operand 1
     /* 1493055 */     // No operand predicates
     /* 1493055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493059 */     // MIs[0] policy
     /* 1493059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493096 */     // GIR_Coverage, 61935,
     /* 1493096 */     GIR_EraseRootFromParent_Done,
     /* 1493097 */   // Label 20797: @1493097
     /* 1493097 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1493194), // Rule ID 61938 //
     /* 1493102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493152 */     // MIs[1] Operand 1
     /* 1493152 */     // No operand predicates
     /* 1493152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493156 */     // MIs[0] policy
     /* 1493156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493193 */     // GIR_Coverage, 61938,
     /* 1493193 */     GIR_EraseRootFromParent_Done,
     /* 1493194 */   // Label 20798: @1493194
     /* 1493194 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1493291), // Rule ID 61939 //
     /* 1493199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493249 */     // MIs[1] Operand 1
     /* 1493249 */     // No operand predicates
     /* 1493249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493253 */     // MIs[0] policy
     /* 1493253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493265 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493290 */     // GIR_Coverage, 61939,
     /* 1493290 */     GIR_EraseRootFromParent_Done,
     /* 1493291 */   // Label 20799: @1493291
     /* 1493291 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1493388), // Rule ID 61942 //
     /* 1493296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493346 */     // MIs[1] Operand 1
     /* 1493346 */     // No operand predicates
     /* 1493346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493350 */     // MIs[0] policy
     /* 1493350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493387 */     // GIR_Coverage, 61942,
     /* 1493387 */     GIR_EraseRootFromParent_Done,
     /* 1493388 */   // Label 20800: @1493388
     /* 1493388 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1493485), // Rule ID 61943 //
     /* 1493393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493443 */     // MIs[1] Operand 1
     /* 1493443 */     // No operand predicates
     /* 1493443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493447 */     // MIs[0] policy
     /* 1493447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493484 */     // GIR_Coverage, 61943,
     /* 1493484 */     GIR_EraseRootFromParent_Done,
     /* 1493485 */   // Label 20801: @1493485
     /* 1493485 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1493582), // Rule ID 61946 //
     /* 1493490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493540 */     // MIs[1] Operand 1
     /* 1493540 */     // No operand predicates
     /* 1493540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493544 */     // MIs[0] policy
     /* 1493544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493581 */     // GIR_Coverage, 61946,
     /* 1493581 */     GIR_EraseRootFromParent_Done,
     /* 1493582 */   // Label 20802: @1493582
     /* 1493582 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1493679), // Rule ID 61947 //
     /* 1493587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493637 */     // MIs[1] Operand 1
     /* 1493637 */     // No operand predicates
     /* 1493637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493641 */     // MIs[0] policy
     /* 1493641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493678 */     // GIR_Coverage, 61947,
     /* 1493678 */     GIR_EraseRootFromParent_Done,
     /* 1493679 */   // Label 20803: @1493679
     /* 1493679 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1493776), // Rule ID 61950 //
     /* 1493684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493734 */     // MIs[1] Operand 1
     /* 1493734 */     // No operand predicates
     /* 1493734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493738 */     // MIs[0] policy
     /* 1493738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493775 */     // GIR_Coverage, 61950,
     /* 1493775 */     GIR_EraseRootFromParent_Done,
     /* 1493776 */   // Label 20804: @1493776
     /* 1493776 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1493873), // Rule ID 61951 //
     /* 1493781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493831 */     // MIs[1] Operand 1
     /* 1493831 */     // No operand predicates
     /* 1493831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493835 */     // MIs[0] policy
     /* 1493835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493872 */     // GIR_Coverage, 61951,
     /* 1493872 */     GIR_EraseRootFromParent_Done,
     /* 1493873 */   // Label 20805: @1493873
     /* 1493873 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1493970), // Rule ID 61954 //
     /* 1493878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493928 */     // MIs[1] Operand 1
     /* 1493928 */     // No operand predicates
     /* 1493928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493932 */     // MIs[0] policy
     /* 1493932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493969 */     // GIR_Coverage, 61954,
     /* 1493969 */     GIR_EraseRootFromParent_Done,
     /* 1493970 */   // Label 20806: @1493970
     /* 1493970 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494067), // Rule ID 61955 //
     /* 1493975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494025 */     // MIs[1] Operand 1
     /* 1494025 */     // No operand predicates
     /* 1494025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494029 */     // MIs[0] policy
     /* 1494029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1494044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494066 */     // GIR_Coverage, 61955,
     /* 1494066 */     GIR_EraseRootFromParent_Done,
     /* 1494067 */   // Label 20807: @1494067
     /* 1494067 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494164), // Rule ID 61958 //
     /* 1494072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1494089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494122 */     // MIs[1] Operand 1
     /* 1494122 */     // No operand predicates
     /* 1494122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494126 */     // MIs[0] policy
     /* 1494126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494138 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1494141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494163 */     // GIR_Coverage, 61958,
     /* 1494163 */     GIR_EraseRootFromParent_Done,
     /* 1494164 */   // Label 20808: @1494164
     /* 1494164 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494261), // Rule ID 61959 //
     /* 1494169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1494186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494219 */     // MIs[1] Operand 1
     /* 1494219 */     // No operand predicates
     /* 1494219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494223 */     // MIs[0] policy
     /* 1494223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1494238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494260 */     // GIR_Coverage, 61959,
     /* 1494260 */     GIR_EraseRootFromParent_Done,
     /* 1494261 */   // Label 20809: @1494261
     /* 1494261 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1494358), // Rule ID 61962 //
     /* 1494266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1494283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494316 */     // MIs[1] Operand 1
     /* 1494316 */     // No operand predicates
     /* 1494316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494320 */     // MIs[0] policy
     /* 1494320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494357 */     // GIR_Coverage, 61962,
     /* 1494357 */     GIR_EraseRootFromParent_Done,
     /* 1494358 */   // Label 20810: @1494358
     /* 1494358 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1494455), // Rule ID 61963 //
     /* 1494363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1494380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494413 */     // MIs[1] Operand 1
     /* 1494413 */     // No operand predicates
     /* 1494413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494417 */     // MIs[0] policy
     /* 1494417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494429 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494454 */     // GIR_Coverage, 61963,
     /* 1494454 */     GIR_EraseRootFromParent_Done,
     /* 1494455 */   // Label 20811: @1494455
     /* 1494455 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1494537), // Rule ID 2598 //
     /* 1494460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494499 */     // MIs[0] round
     /* 1494499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494502 */     // MIs[0] policy
     /* 1494502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494512 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494536 */     // GIR_Coverage, 2598,
     /* 1494536 */     GIR_EraseRootFromParent_Done,
     /* 1494537 */   // Label 20812: @1494537
     /* 1494537 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1494619), // Rule ID 2599 //
     /* 1494542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494581 */     // MIs[0] round
     /* 1494581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494584 */     // MIs[0] policy
     /* 1494584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494594 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494618 */     // GIR_Coverage, 2599,
     /* 1494618 */     GIR_EraseRootFromParent_Done,
     /* 1494619 */   // Label 20813: @1494619
     /* 1494619 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1494701), // Rule ID 2634 //
     /* 1494624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1494627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494663 */     // MIs[0] round
     /* 1494663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494666 */     // MIs[0] policy
     /* 1494666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494700 */     // GIR_Coverage, 2634,
     /* 1494700 */     GIR_EraseRootFromParent_Done,
     /* 1494701 */   // Label 20814: @1494701
     /* 1494701 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1494783), // Rule ID 2635 //
     /* 1494706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1494709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494745 */     // MIs[0] round
     /* 1494745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494748 */     // MIs[0] policy
     /* 1494748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494782 */     // GIR_Coverage, 2635,
     /* 1494782 */     GIR_EraseRootFromParent_Done,
     /* 1494783 */   // Label 20815: @1494783
     /* 1494783 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1494865), // Rule ID 2666 //
     /* 1494788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494827 */     // MIs[0] round
     /* 1494827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494830 */     // MIs[0] policy
     /* 1494830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494840 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494864 */     // GIR_Coverage, 2666,
     /* 1494864 */     GIR_EraseRootFromParent_Done,
     /* 1494865 */   // Label 20816: @1494865
     /* 1494865 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1494947), // Rule ID 2667 //
     /* 1494870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494909 */     // MIs[0] round
     /* 1494909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494912 */     // MIs[0] policy
     /* 1494912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494922 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494946 */     // GIR_Coverage, 2667,
     /* 1494946 */     GIR_EraseRootFromParent_Done,
     /* 1494947 */   // Label 20817: @1494947
     /* 1494947 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1495029), // Rule ID 17638 //
     /* 1494952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494991 */     // MIs[0] round
     /* 1494991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494994 */     // MIs[0] policy
     /* 1494994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495004 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1495007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495028 */     // GIR_Coverage, 17638,
     /* 1495028 */     GIR_EraseRootFromParent_Done,
     /* 1495029 */   // Label 20818: @1495029
     /* 1495029 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495111), // Rule ID 17639 //
     /* 1495034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1495054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495073 */     // MIs[0] round
     /* 1495073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495076 */     // MIs[0] policy
     /* 1495076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495086 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1495089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495110 */     // GIR_Coverage, 17639,
     /* 1495110 */     GIR_EraseRootFromParent_Done,
     /* 1495111 */   // Label 20819: @1495111
     /* 1495111 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495193), // Rule ID 17642 //
     /* 1495116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1495136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495155 */     // MIs[0] round
     /* 1495155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495158 */     // MIs[0] policy
     /* 1495158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495168 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1495171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495192 */     // GIR_Coverage, 17642,
     /* 1495192 */     GIR_EraseRootFromParent_Done,
     /* 1495193 */   // Label 20820: @1495193
     /* 1495193 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495275), // Rule ID 17643 //
     /* 1495198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1495218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495237 */     // MIs[0] round
     /* 1495237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495240 */     // MIs[0] policy
     /* 1495240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495250 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1495253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495274 */     // GIR_Coverage, 17643,
     /* 1495274 */     GIR_EraseRootFromParent_Done,
     /* 1495275 */   // Label 20821: @1495275
     /* 1495275 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1495357), // Rule ID 17646 //
     /* 1495280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1495300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495319 */     // MIs[0] round
     /* 1495319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495322 */     // MIs[0] policy
     /* 1495322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495332 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1495335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495356 */     // GIR_Coverage, 17646,
     /* 1495356 */     GIR_EraseRootFromParent_Done,
     /* 1495357 */   // Label 20822: @1495357
     /* 1495357 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1495439), // Rule ID 17647 //
     /* 1495362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1495382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495401 */     // MIs[0] round
     /* 1495401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495404 */     // MIs[0] policy
     /* 1495404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495414 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1495417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495438 */     // GIR_Coverage, 17647,
     /* 1495438 */     GIR_EraseRootFromParent_Done,
     /* 1495439 */   // Label 20823: @1495439
     /* 1495439 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1495521), // Rule ID 17650 //
     /* 1495444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495483 */     // MIs[0] round
     /* 1495483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495486 */     // MIs[0] policy
     /* 1495486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495520 */     // GIR_Coverage, 17650,
     /* 1495520 */     GIR_EraseRootFromParent_Done,
     /* 1495521 */   // Label 20824: @1495521
     /* 1495521 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1495603), // Rule ID 17651 //
     /* 1495526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495565 */     // MIs[0] round
     /* 1495565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495568 */     // MIs[0] policy
     /* 1495568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495602 */     // GIR_Coverage, 17651,
     /* 1495602 */     GIR_EraseRootFromParent_Done,
     /* 1495603 */   // Label 20825: @1495603
     /* 1495603 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1495685), // Rule ID 17654 //
     /* 1495608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495647 */     // MIs[0] round
     /* 1495647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495650 */     // MIs[0] policy
     /* 1495650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495684 */     // GIR_Coverage, 17654,
     /* 1495684 */     GIR_EraseRootFromParent_Done,
     /* 1495685 */   // Label 20826: @1495685
     /* 1495685 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1495767), // Rule ID 17655 //
     /* 1495690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495729 */     // MIs[0] round
     /* 1495729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495732 */     // MIs[0] policy
     /* 1495732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495742 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495766 */     // GIR_Coverage, 17655,
     /* 1495766 */     GIR_EraseRootFromParent_Done,
     /* 1495767 */   // Label 20827: @1495767
     /* 1495767 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1495849), // Rule ID 17658 //
     /* 1495772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495811 */     // MIs[0] round
     /* 1495811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495814 */     // MIs[0] policy
     /* 1495814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495824 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495848 */     // GIR_Coverage, 17658,
     /* 1495848 */     GIR_EraseRootFromParent_Done,
     /* 1495849 */   // Label 20828: @1495849
     /* 1495849 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1495931), // Rule ID 17659 //
     /* 1495854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495893 */     // MIs[0] round
     /* 1495893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495896 */     // MIs[0] policy
     /* 1495896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495906 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495930 */     // GIR_Coverage, 17659,
     /* 1495930 */     GIR_EraseRootFromParent_Done,
     /* 1495931 */   // Label 20829: @1495931
     /* 1495931 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1496013), // Rule ID 17662 //
     /* 1495936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495975 */     // MIs[0] round
     /* 1495975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495978 */     // MIs[0] policy
     /* 1495978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495988 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496012 */     // GIR_Coverage, 17662,
     /* 1496012 */     GIR_EraseRootFromParent_Done,
     /* 1496013 */   // Label 20830: @1496013
     /* 1496013 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1496095), // Rule ID 17663 //
     /* 1496018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1496035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1496038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496057 */     // MIs[0] round
     /* 1496057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496060 */     // MIs[0] policy
     /* 1496060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496070 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1496073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496094 */     // GIR_Coverage, 17663,
     /* 1496094 */     GIR_EraseRootFromParent_Done,
     /* 1496095 */   // Label 20831: @1496095
     /* 1496095 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496177), // Rule ID 17666 //
     /* 1496100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1496120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496139 */     // MIs[0] round
     /* 1496139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496142 */     // MIs[0] policy
     /* 1496142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1496155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496176 */     // GIR_Coverage, 17666,
     /* 1496176 */     GIR_EraseRootFromParent_Done,
     /* 1496177 */   // Label 20832: @1496177
     /* 1496177 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496259), // Rule ID 17667 //
     /* 1496182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1496202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496221 */     // MIs[0] round
     /* 1496221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496224 */     // MIs[0] policy
     /* 1496224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496234 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1496237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496258 */     // GIR_Coverage, 17667,
     /* 1496258 */     GIR_EraseRootFromParent_Done,
     /* 1496259 */   // Label 20833: @1496259
     /* 1496259 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1496341), // Rule ID 17670 //
     /* 1496264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1496275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1496278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1496284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496303 */     // MIs[0] round
     /* 1496303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496306 */     // MIs[0] policy
     /* 1496306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1496319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496340 */     // GIR_Coverage, 17670,
     /* 1496340 */     GIR_EraseRootFromParent_Done,
     /* 1496341 */   // Label 20834: @1496341
     /* 1496341 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1496423), // Rule ID 17671 //
     /* 1496346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1496357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1496360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1496366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496385 */     // MIs[0] round
     /* 1496385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496388 */     // MIs[0] policy
     /* 1496388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1496401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496422 */     // GIR_Coverage, 17671,
     /* 1496422 */     GIR_EraseRootFromParent_Done,
     /* 1496423 */   // Label 20835: @1496423
     /* 1496423 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1496505), // Rule ID 17674 //
     /* 1496428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496467 */     // MIs[0] round
     /* 1496467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496470 */     // MIs[0] policy
     /* 1496470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496504 */     // GIR_Coverage, 17674,
     /* 1496504 */     GIR_EraseRootFromParent_Done,
     /* 1496505 */   // Label 20836: @1496505
     /* 1496505 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1496587), // Rule ID 17675 //
     /* 1496510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496549 */     // MIs[0] round
     /* 1496549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496552 */     // MIs[0] policy
     /* 1496552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496562 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496586 */     // GIR_Coverage, 17675,
     /* 1496586 */     GIR_EraseRootFromParent_Done,
     /* 1496587 */   // Label 20837: @1496587
     /* 1496587 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1496669), // Rule ID 17678 //
     /* 1496592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496631 */     // MIs[0] round
     /* 1496631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496634 */     // MIs[0] policy
     /* 1496634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496644 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496668 */     // GIR_Coverage, 17678,
     /* 1496668 */     GIR_EraseRootFromParent_Done,
     /* 1496669 */   // Label 20838: @1496669
     /* 1496669 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1496751), // Rule ID 17679 //
     /* 1496674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496713 */     // MIs[0] round
     /* 1496713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496716 */     // MIs[0] policy
     /* 1496716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496726 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496750 */     // GIR_Coverage, 17679,
     /* 1496750 */     GIR_EraseRootFromParent_Done,
     /* 1496751 */   // Label 20839: @1496751
     /* 1496751 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1496833), // Rule ID 17682 //
     /* 1496756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496795 */     // MIs[0] round
     /* 1496795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496798 */     // MIs[0] policy
     /* 1496798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496808 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496832 */     // GIR_Coverage, 17682,
     /* 1496832 */     GIR_EraseRootFromParent_Done,
     /* 1496833 */   // Label 20840: @1496833
     /* 1496833 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1496915), // Rule ID 17683 //
     /* 1496838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496877 */     // MIs[0] round
     /* 1496877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496880 */     // MIs[0] policy
     /* 1496880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496914 */     // GIR_Coverage, 17683,
     /* 1496914 */     GIR_EraseRootFromParent_Done,
     /* 1496915 */   // Label 20841: @1496915
     /* 1496915 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1496997), // Rule ID 17686 //
     /* 1496920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496959 */     // MIs[0] round
     /* 1496959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496962 */     // MIs[0] policy
     /* 1496962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496996 */     // GIR_Coverage, 17686,
     /* 1496996 */     GIR_EraseRootFromParent_Done,
     /* 1496997 */   // Label 20842: @1496997
     /* 1496997 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1497079), // Rule ID 17687 //
     /* 1497002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1497019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1497022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497041 */     // MIs[0] round
     /* 1497041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497044 */     // MIs[0] policy
     /* 1497044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497054 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1497057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497078 */     // GIR_Coverage, 17687,
     /* 1497078 */     GIR_EraseRootFromParent_Done,
     /* 1497079 */   // Label 20843: @1497079
     /* 1497079 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497161), // Rule ID 17690 //
     /* 1497084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1497095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1497098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1497101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1497104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497123 */     // MIs[0] round
     /* 1497123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497126 */     // MIs[0] policy
     /* 1497126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1497139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497160 */     // GIR_Coverage, 17690,
     /* 1497160 */     GIR_EraseRootFromParent_Done,
     /* 1497161 */   // Label 20844: @1497161
     /* 1497161 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497243), // Rule ID 17691 //
     /* 1497166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1497177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1497180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1497183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1497186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497205 */     // MIs[0] round
     /* 1497205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497208 */     // MIs[0] policy
     /* 1497208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497218 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1497221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497242 */     // GIR_Coverage, 17691,
     /* 1497242 */     GIR_EraseRootFromParent_Done,
     /* 1497243 */   // Label 20845: @1497243
     /* 1497243 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1497325), // Rule ID 17694 //
     /* 1497248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1497268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497287 */     // MIs[0] round
     /* 1497287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497290 */     // MIs[0] policy
     /* 1497290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497300 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1497303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497324 */     // GIR_Coverage, 17694,
     /* 1497324 */     GIR_EraseRootFromParent_Done,
     /* 1497325 */   // Label 20846: @1497325
     /* 1497325 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1497407), // Rule ID 17695 //
     /* 1497330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1497350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497369 */     // MIs[0] round
     /* 1497369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497372 */     // MIs[0] policy
     /* 1497372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497382 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1497385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497406 */     // GIR_Coverage, 17695,
     /* 1497406 */     GIR_EraseRootFromParent_Done,
     /* 1497407 */   // Label 20847: @1497407
     /* 1497407 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1497489), // Rule ID 17698 //
     /* 1497412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497451 */     // MIs[0] round
     /* 1497451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497454 */     // MIs[0] policy
     /* 1497454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497464 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497488 */     // GIR_Coverage, 17698,
     /* 1497488 */     GIR_EraseRootFromParent_Done,
     /* 1497489 */   // Label 20848: @1497489
     /* 1497489 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1497571), // Rule ID 17699 //
     /* 1497494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497533 */     // MIs[0] round
     /* 1497533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497536 */     // MIs[0] policy
     /* 1497536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497546 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497570 */     // GIR_Coverage, 17699,
     /* 1497570 */     GIR_EraseRootFromParent_Done,
     /* 1497571 */   // Label 20849: @1497571
     /* 1497571 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1497653), // Rule ID 17702 //
     /* 1497576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497615 */     // MIs[0] round
     /* 1497615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497618 */     // MIs[0] policy
     /* 1497618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497652 */     // GIR_Coverage, 17702,
     /* 1497652 */     GIR_EraseRootFromParent_Done,
     /* 1497653 */   // Label 20850: @1497653
     /* 1497653 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1497735), // Rule ID 17703 //
     /* 1497658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497697 */     // MIs[0] round
     /* 1497697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497700 */     // MIs[0] policy
     /* 1497700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497710 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497734 */     // GIR_Coverage, 17703,
     /* 1497734 */     GIR_EraseRootFromParent_Done,
     /* 1497735 */   // Label 20851: @1497735
     /* 1497735 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1497817), // Rule ID 17706 //
     /* 1497740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497779 */     // MIs[0] round
     /* 1497779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497782 */     // MIs[0] policy
     /* 1497782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497792 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497816 */     // GIR_Coverage, 17706,
     /* 1497816 */     GIR_EraseRootFromParent_Done,
     /* 1497817 */   // Label 20852: @1497817
     /* 1497817 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1497899), // Rule ID 17707 //
     /* 1497822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497861 */     // MIs[0] round
     /* 1497861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497864 */     // MIs[0] policy
     /* 1497864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497874 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497898 */     // GIR_Coverage, 17707,
     /* 1497898 */     GIR_EraseRootFromParent_Done,
     /* 1497899 */   // Label 20853: @1497899
     /* 1497899 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497981), // Rule ID 17710 //
     /* 1497904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497943 */     // MIs[0] round
     /* 1497943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497946 */     // MIs[0] policy
     /* 1497946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497980 */     // GIR_Coverage, 17710,
     /* 1497980 */     GIR_EraseRootFromParent_Done,
     /* 1497981 */   // Label 20854: @1497981
     /* 1497981 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1498063), // Rule ID 17711 //
     /* 1497986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1498006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498025 */     // MIs[0] round
     /* 1498025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498028 */     // MIs[0] policy
     /* 1498028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498038 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1498041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498062 */     // GIR_Coverage, 17711,
     /* 1498062 */     GIR_EraseRootFromParent_Done,
     /* 1498063 */   // Label 20855: @1498063
     /* 1498063 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498145), // Rule ID 17714 //
     /* 1498068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1498088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498107 */     // MIs[0] round
     /* 1498107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498110 */     // MIs[0] policy
     /* 1498110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1498123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498144 */     // GIR_Coverage, 17714,
     /* 1498144 */     GIR_EraseRootFromParent_Done,
     /* 1498145 */   // Label 20856: @1498145
     /* 1498145 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498227), // Rule ID 17715 //
     /* 1498150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1498170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498189 */     // MIs[0] round
     /* 1498189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498192 */     // MIs[0] policy
     /* 1498192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1498205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498226 */     // GIR_Coverage, 17715,
     /* 1498226 */     GIR_EraseRootFromParent_Done,
     /* 1498227 */   // Label 20857: @1498227
     /* 1498227 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498309), // Rule ID 17718 //
     /* 1498232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498271 */     // MIs[0] round
     /* 1498271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498274 */     // MIs[0] policy
     /* 1498274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498284 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1498287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498308 */     // GIR_Coverage, 17718,
     /* 1498308 */     GIR_EraseRootFromParent_Done,
     /* 1498309 */   // Label 20858: @1498309
     /* 1498309 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1498391), // Rule ID 17719 //
     /* 1498314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498353 */     // MIs[0] round
     /* 1498353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498356 */     // MIs[0] policy
     /* 1498356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498366 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1498369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498390 */     // GIR_Coverage, 17719,
     /* 1498390 */     GIR_EraseRootFromParent_Done,
     /* 1498391 */   // Label 20859: @1498391
     /* 1498391 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1498473), // Rule ID 17722 //
     /* 1498396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498435 */     // MIs[0] round
     /* 1498435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498438 */     // MIs[0] policy
     /* 1498438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498448 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498472 */     // GIR_Coverage, 17722,
     /* 1498472 */     GIR_EraseRootFromParent_Done,
     /* 1498473 */   // Label 20860: @1498473
     /* 1498473 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1498555), // Rule ID 17723 //
     /* 1498478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498517 */     // MIs[0] round
     /* 1498517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498520 */     // MIs[0] policy
     /* 1498520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498554 */     // GIR_Coverage, 17723,
     /* 1498554 */     GIR_EraseRootFromParent_Done,
     /* 1498555 */   // Label 20861: @1498555
     /* 1498555 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1498637), // Rule ID 17726 //
     /* 1498560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498599 */     // MIs[0] round
     /* 1498599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498602 */     // MIs[0] policy
     /* 1498602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498612 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498636 */     // GIR_Coverage, 17726,
     /* 1498636 */     GIR_EraseRootFromParent_Done,
     /* 1498637 */   // Label 20862: @1498637
     /* 1498637 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1498719), // Rule ID 17727 //
     /* 1498642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498681 */     // MIs[0] round
     /* 1498681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498684 */     // MIs[0] policy
     /* 1498684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498694 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498718 */     // GIR_Coverage, 17727,
     /* 1498718 */     GIR_EraseRootFromParent_Done,
     /* 1498719 */   // Label 20863: @1498719
     /* 1498719 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498801), // Rule ID 17730 //
     /* 1498724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498763 */     // MIs[0] round
     /* 1498763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498766 */     // MIs[0] policy
     /* 1498766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498800 */     // GIR_Coverage, 17730,
     /* 1498800 */     GIR_EraseRootFromParent_Done,
     /* 1498801 */   // Label 20864: @1498801
     /* 1498801 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498883), // Rule ID 17731 //
     /* 1498806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498845 */     // MIs[0] round
     /* 1498845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498848 */     // MIs[0] policy
     /* 1498848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498858 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498882 */     // GIR_Coverage, 17731,
     /* 1498882 */     GIR_EraseRootFromParent_Done,
     /* 1498883 */   // Label 20865: @1498883
     /* 1498883 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498965), // Rule ID 17734 //
     /* 1498888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498927 */     // MIs[0] round
     /* 1498927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498930 */     // MIs[0] policy
     /* 1498930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498940 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498964 */     // GIR_Coverage, 17734,
     /* 1498964 */     GIR_EraseRootFromParent_Done,
     /* 1498965 */   // Label 20866: @1498965
     /* 1498965 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1499047), // Rule ID 17735 //
     /* 1498970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499009 */     // MIs[0] round
     /* 1499009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499012 */     // MIs[0] policy
     /* 1499012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499022 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1499025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499046 */     // GIR_Coverage, 17735,
     /* 1499046 */     GIR_EraseRootFromParent_Done,
     /* 1499047 */   // Label 20867: @1499047
     /* 1499047 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499129), // Rule ID 17738 //
     /* 1499052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499091 */     // MIs[0] round
     /* 1499091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499094 */     // MIs[0] policy
     /* 1499094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499104 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1499107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499128 */     // GIR_Coverage, 17738,
     /* 1499128 */     GIR_EraseRootFromParent_Done,
     /* 1499129 */   // Label 20868: @1499129
     /* 1499129 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499211), // Rule ID 17739 //
     /* 1499134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499173 */     // MIs[0] round
     /* 1499173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499176 */     // MIs[0] policy
     /* 1499176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499186 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1499189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499210 */     // GIR_Coverage, 17739,
     /* 1499210 */     GIR_EraseRootFromParent_Done,
     /* 1499211 */   // Label 20869: @1499211
     /* 1499211 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499293), // Rule ID 17742 //
     /* 1499216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499255 */     // MIs[0] round
     /* 1499255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499258 */     // MIs[0] policy
     /* 1499258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1499271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499292 */     // GIR_Coverage, 17742,
     /* 1499292 */     GIR_EraseRootFromParent_Done,
     /* 1499293 */   // Label 20870: @1499293
     /* 1499293 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1499375), // Rule ID 17743 //
     /* 1499298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499337 */     // MIs[0] round
     /* 1499337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499340 */     // MIs[0] policy
     /* 1499340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499350 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1499353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499374 */     // GIR_Coverage, 17743,
     /* 1499374 */     GIR_EraseRootFromParent_Done,
     /* 1499375 */   // Label 20871: @1499375
     /* 1499375 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1499457), // Rule ID 17746 //
     /* 1499380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499419 */     // MIs[0] round
     /* 1499419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499422 */     // MIs[0] policy
     /* 1499422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499432 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499456 */     // GIR_Coverage, 17746,
     /* 1499456 */     GIR_EraseRootFromParent_Done,
     /* 1499457 */   // Label 20872: @1499457
     /* 1499457 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1499539), // Rule ID 17747 //
     /* 1499462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499501 */     // MIs[0] round
     /* 1499501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499504 */     // MIs[0] policy
     /* 1499504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499538 */     // GIR_Coverage, 17747,
     /* 1499538 */     GIR_EraseRootFromParent_Done,
     /* 1499539 */   // Label 20873: @1499539
     /* 1499539 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1499621), // Rule ID 17750 //
     /* 1499544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499583 */     // MIs[0] round
     /* 1499583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499586 */     // MIs[0] policy
     /* 1499586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499620 */     // GIR_Coverage, 17750,
     /* 1499620 */     GIR_EraseRootFromParent_Done,
     /* 1499621 */   // Label 20874: @1499621
     /* 1499621 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499703), // Rule ID 17751 //
     /* 1499626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499665 */     // MIs[0] round
     /* 1499665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499668 */     // MIs[0] policy
     /* 1499668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499678 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499702 */     // GIR_Coverage, 17751,
     /* 1499702 */     GIR_EraseRootFromParent_Done,
     /* 1499703 */   // Label 20875: @1499703
     /* 1499703 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499785), // Rule ID 17754 //
     /* 1499708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499747 */     // MIs[0] round
     /* 1499747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499750 */     // MIs[0] policy
     /* 1499750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499760 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499784 */     // GIR_Coverage, 17754,
     /* 1499784 */     GIR_EraseRootFromParent_Done,
     /* 1499785 */   // Label 20876: @1499785
     /* 1499785 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499867), // Rule ID 17755 //
     /* 1499790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499829 */     // MIs[0] round
     /* 1499829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499832 */     // MIs[0] policy
     /* 1499832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499842 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499866 */     // GIR_Coverage, 17755,
     /* 1499866 */     GIR_EraseRootFromParent_Done,
     /* 1499867 */   // Label 20877: @1499867
     /* 1499867 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499949), // Rule ID 17758 //
     /* 1499872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499911 */     // MIs[0] round
     /* 1499911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499914 */     // MIs[0] policy
     /* 1499914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499924 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499948 */     // GIR_Coverage, 17758,
     /* 1499948 */     GIR_EraseRootFromParent_Done,
     /* 1499949 */   // Label 20878: @1499949
     /* 1499949 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1500031), // Rule ID 17759 //
     /* 1499954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499993 */     // MIs[0] round
     /* 1499993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499996 */     // MIs[0] policy
     /* 1499996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500006 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1500009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500030 */     // GIR_Coverage, 17759,
     /* 1500030 */     GIR_EraseRootFromParent_Done,
     /* 1500031 */   // Label 20879: @1500031
     /* 1500031 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500113), // Rule ID 17762 //
     /* 1500036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500075 */     // MIs[0] round
     /* 1500075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500078 */     // MIs[0] policy
     /* 1500078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1500091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500112 */     // GIR_Coverage, 17762,
     /* 1500112 */     GIR_EraseRootFromParent_Done,
     /* 1500113 */   // Label 20880: @1500113
     /* 1500113 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500195), // Rule ID 17763 //
     /* 1500118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500157 */     // MIs[0] round
     /* 1500157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500160 */     // MIs[0] policy
     /* 1500160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500170 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1500173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500194 */     // GIR_Coverage, 17763,
     /* 1500194 */     GIR_EraseRootFromParent_Done,
     /* 1500195 */   // Label 20881: @1500195
     /* 1500195 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500277), // Rule ID 17766 //
     /* 1500200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1500211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1500214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1500217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1500220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500239 */     // MIs[0] round
     /* 1500239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500242 */     // MIs[0] policy
     /* 1500242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1500255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500276 */     // GIR_Coverage, 17766,
     /* 1500276 */     GIR_EraseRootFromParent_Done,
     /* 1500277 */   // Label 20882: @1500277
     /* 1500277 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1500359), // Rule ID 17767 //
     /* 1500282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1500293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1500296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1500299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1500302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500321 */     // MIs[0] round
     /* 1500321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500324 */     // MIs[0] policy
     /* 1500324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500334 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1500337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500358 */     // GIR_Coverage, 17767,
     /* 1500358 */     GIR_EraseRootFromParent_Done,
     /* 1500359 */   // Label 20883: @1500359
     /* 1500359 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1500441), // Rule ID 17770 //
     /* 1500364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500403 */     // MIs[0] round
     /* 1500403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500406 */     // MIs[0] policy
     /* 1500406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500440 */     // GIR_Coverage, 17770,
     /* 1500440 */     GIR_EraseRootFromParent_Done,
     /* 1500441 */   // Label 20884: @1500441
     /* 1500441 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1500523), // Rule ID 17771 //
     /* 1500446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500485 */     // MIs[0] round
     /* 1500485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500488 */     // MIs[0] policy
     /* 1500488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500498 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500522 */     // GIR_Coverage, 17771,
     /* 1500522 */     GIR_EraseRootFromParent_Done,
     /* 1500523 */   // Label 20885: @1500523
     /* 1500523 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1500605), // Rule ID 17774 //
     /* 1500528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500567 */     // MIs[0] round
     /* 1500567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500570 */     // MIs[0] policy
     /* 1500570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500604 */     // GIR_Coverage, 17774,
     /* 1500604 */     GIR_EraseRootFromParent_Done,
     /* 1500605 */   // Label 20886: @1500605
     /* 1500605 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500687), // Rule ID 17775 //
     /* 1500610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500649 */     // MIs[0] round
     /* 1500649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500652 */     // MIs[0] policy
     /* 1500652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500662 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500686 */     // GIR_Coverage, 17775,
     /* 1500686 */     GIR_EraseRootFromParent_Done,
     /* 1500687 */   // Label 20887: @1500687
     /* 1500687 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500769), // Rule ID 17778 //
     /* 1500692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500731 */     // MIs[0] round
     /* 1500731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500734 */     // MIs[0] policy
     /* 1500734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500744 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500768 */     // GIR_Coverage, 17778,
     /* 1500768 */     GIR_EraseRootFromParent_Done,
     /* 1500769 */   // Label 20888: @1500769
     /* 1500769 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500851), // Rule ID 17779 //
     /* 1500774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500813 */     // MIs[0] round
     /* 1500813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500816 */     // MIs[0] policy
     /* 1500816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500826 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500850 */     // GIR_Coverage, 17779,
     /* 1500850 */     GIR_EraseRootFromParent_Done,
     /* 1500851 */   // Label 20889: @1500851
     /* 1500851 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500933), // Rule ID 17782 //
     /* 1500856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500895 */     // MIs[0] round
     /* 1500895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500898 */     // MIs[0] policy
     /* 1500898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500908 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500932 */     // GIR_Coverage, 17782,
     /* 1500932 */     GIR_EraseRootFromParent_Done,
     /* 1500933 */   // Label 20890: @1500933
     /* 1500933 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1501015), // Rule ID 17783 //
     /* 1500938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500977 */     // MIs[0] round
     /* 1500977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500980 */     // MIs[0] policy
     /* 1500980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500990 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501014 */     // GIR_Coverage, 17783,
     /* 1501014 */     GIR_EraseRootFromParent_Done,
     /* 1501015 */   // Label 20891: @1501015
     /* 1501015 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1501097), // Rule ID 17786 //
     /* 1501020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1501037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501059 */     // MIs[0] round
     /* 1501059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501062 */     // MIs[0] policy
     /* 1501062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501072 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1501075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501096 */     // GIR_Coverage, 17786,
     /* 1501096 */     GIR_EraseRootFromParent_Done,
     /* 1501097 */   // Label 20892: @1501097
     /* 1501097 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501179), // Rule ID 17787 //
     /* 1501102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1501119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501141 */     // MIs[0] round
     /* 1501141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501144 */     // MIs[0] policy
     /* 1501144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501154 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1501157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501178 */     // GIR_Coverage, 17787,
     /* 1501178 */     GIR_EraseRootFromParent_Done,
     /* 1501179 */   // Label 20893: @1501179
     /* 1501179 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501261), // Rule ID 17790 //
     /* 1501184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1501195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1501198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1501201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1501204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501223 */     // MIs[0] round
     /* 1501223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501226 */     // MIs[0] policy
     /* 1501226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1501239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501260 */     // GIR_Coverage, 17790,
     /* 1501260 */     GIR_EraseRootFromParent_Done,
     /* 1501261 */   // Label 20894: @1501261
     /* 1501261 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1501343), // Rule ID 17791 //
     /* 1501266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1501277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1501280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1501283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1501286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501305 */     // MIs[0] round
     /* 1501305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501308 */     // MIs[0] policy
     /* 1501308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501318 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1501321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501342 */     // GIR_Coverage, 17791,
     /* 1501342 */     GIR_EraseRootFromParent_Done,
     /* 1501343 */   // Label 20895: @1501343
     /* 1501343 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1501425), // Rule ID 17794 //
     /* 1501348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501387 */     // MIs[0] round
     /* 1501387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501390 */     // MIs[0] policy
     /* 1501390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501424 */     // GIR_Coverage, 17794,
     /* 1501424 */     GIR_EraseRootFromParent_Done,
     /* 1501425 */   // Label 20896: @1501425
     /* 1501425 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1501507), // Rule ID 17795 //
     /* 1501430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501469 */     // MIs[0] round
     /* 1501469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501472 */     // MIs[0] policy
     /* 1501472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501482 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501506 */     // GIR_Coverage, 17795,
     /* 1501506 */     GIR_EraseRootFromParent_Done,
     /* 1501507 */   // Label 20897: @1501507
     /* 1501507 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1501589), // Rule ID 17798 //
     /* 1501512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501551 */     // MIs[0] round
     /* 1501551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501554 */     // MIs[0] policy
     /* 1501554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501588 */     // GIR_Coverage, 17798,
     /* 1501588 */     GIR_EraseRootFromParent_Done,
     /* 1501589 */   // Label 20898: @1501589
     /* 1501589 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1501671), // Rule ID 17799 //
     /* 1501594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501633 */     // MIs[0] round
     /* 1501633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501636 */     // MIs[0] policy
     /* 1501636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501670 */     // GIR_Coverage, 17799,
     /* 1501670 */     GIR_EraseRootFromParent_Done,
     /* 1501671 */   // Label 20899: @1501671
     /* 1501671 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501753), // Rule ID 17802 //
     /* 1501676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501715 */     // MIs[0] round
     /* 1501715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501718 */     // MIs[0] policy
     /* 1501718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501752 */     // GIR_Coverage, 17802,
     /* 1501752 */     GIR_EraseRootFromParent_Done,
     /* 1501753 */   // Label 20900: @1501753
     /* 1501753 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501835), // Rule ID 17803 //
     /* 1501758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501797 */     // MIs[0] round
     /* 1501797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501800 */     // MIs[0] policy
     /* 1501800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501834 */     // GIR_Coverage, 17803,
     /* 1501834 */     GIR_EraseRootFromParent_Done,
     /* 1501835 */   // Label 20901: @1501835
     /* 1501835 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501917), // Rule ID 17806 //
     /* 1501840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501879 */     // MIs[0] round
     /* 1501879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501882 */     // MIs[0] policy
     /* 1501882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501916 */     // GIR_Coverage, 17806,
     /* 1501916 */     GIR_EraseRootFromParent_Done,
     /* 1501917 */   // Label 20902: @1501917
     /* 1501917 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501999), // Rule ID 17807 //
     /* 1501922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501961 */     // MIs[0] round
     /* 1501961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501964 */     // MIs[0] policy
     /* 1501964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501974 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501998 */     // GIR_Coverage, 17807,
     /* 1501998 */     GIR_EraseRootFromParent_Done,
     /* 1501999 */   // Label 20903: @1501999
     /* 1501999 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1502081), // Rule ID 17810 //
     /* 1502004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1502021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502043 */     // MIs[0] round
     /* 1502043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502046 */     // MIs[0] policy
     /* 1502046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502056 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1502059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502080 */     // GIR_Coverage, 17810,
     /* 1502080 */     GIR_EraseRootFromParent_Done,
     /* 1502081 */   // Label 20904: @1502081
     /* 1502081 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502163), // Rule ID 17811 //
     /* 1502086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1502103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502125 */     // MIs[0] round
     /* 1502125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502128 */     // MIs[0] policy
     /* 1502128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1502141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502162 */     // GIR_Coverage, 17811,
     /* 1502162 */     GIR_EraseRootFromParent_Done,
     /* 1502163 */   // Label 20905: @1502163
     /* 1502163 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502245), // Rule ID 17814 //
     /* 1502168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1502179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1502182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1502188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502207 */     // MIs[0] round
     /* 1502207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502210 */     // MIs[0] policy
     /* 1502210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502220 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1502223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502244 */     // GIR_Coverage, 17814,
     /* 1502244 */     GIR_EraseRootFromParent_Done,
     /* 1502245 */   // Label 20906: @1502245
     /* 1502245 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1502327), // Rule ID 17815 //
     /* 1502250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1502261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1502264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1502270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502289 */     // MIs[0] round
     /* 1502289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502292 */     // MIs[0] policy
     /* 1502292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1502305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502326 */     // GIR_Coverage, 17815,
     /* 1502326 */     GIR_EraseRootFromParent_Done,
     /* 1502327 */   // Label 20907: @1502327
     /* 1502327 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1502409), // Rule ID 17818 //
     /* 1502332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1502343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502371 */     // MIs[0] round
     /* 1502371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502374 */     // MIs[0] policy
     /* 1502374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502384 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502408 */     // GIR_Coverage, 17818,
     /* 1502408 */     GIR_EraseRootFromParent_Done,
     /* 1502409 */   // Label 20908: @1502409
     /* 1502409 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1502491), // Rule ID 17819 //
     /* 1502414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1502425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502453 */     // MIs[0] round
     /* 1502453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502456 */     // MIs[0] policy
     /* 1502456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502466 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502490 */     // GIR_Coverage, 17819,
     /* 1502490 */     GIR_EraseRootFromParent_Done,
     /* 1502491 */   // Label 20909: @1502491
     /* 1502491 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1502573), // Rule ID 17822 //
     /* 1502496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502535 */     // MIs[0] round
     /* 1502535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502538 */     // MIs[0] policy
     /* 1502538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502572 */     // GIR_Coverage, 17822,
     /* 1502572 */     GIR_EraseRootFromParent_Done,
     /* 1502573 */   // Label 20910: @1502573
     /* 1502573 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1502655), // Rule ID 17823 //
     /* 1502578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502617 */     // MIs[0] round
     /* 1502617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502620 */     // MIs[0] policy
     /* 1502620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502630 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502654 */     // GIR_Coverage, 17823,
     /* 1502654 */     GIR_EraseRootFromParent_Done,
     /* 1502655 */   // Label 20911: @1502655
     /* 1502655 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502737), // Rule ID 17826 //
     /* 1502660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502699 */     // MIs[0] round
     /* 1502699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502702 */     // MIs[0] policy
     /* 1502702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502736 */     // GIR_Coverage, 17826,
     /* 1502736 */     GIR_EraseRootFromParent_Done,
     /* 1502737 */   // Label 20912: @1502737
     /* 1502737 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502819), // Rule ID 17827 //
     /* 1502742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502781 */     // MIs[0] round
     /* 1502781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502784 */     // MIs[0] policy
     /* 1502784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502794 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502818 */     // GIR_Coverage, 17827,
     /* 1502818 */     GIR_EraseRootFromParent_Done,
     /* 1502819 */   // Label 20913: @1502819
     /* 1502819 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502901), // Rule ID 17830 //
     /* 1502824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502863 */     // MIs[0] round
     /* 1502863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502866 */     // MIs[0] policy
     /* 1502866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502900 */     // GIR_Coverage, 17830,
     /* 1502900 */     GIR_EraseRootFromParent_Done,
     /* 1502901 */   // Label 20914: @1502901
     /* 1502901 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502983), // Rule ID 17831 //
     /* 1502906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502945 */     // MIs[0] round
     /* 1502945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502948 */     // MIs[0] policy
     /* 1502948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502958 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502982 */     // GIR_Coverage, 17831,
     /* 1502982 */     GIR_EraseRootFromParent_Done,
     /* 1502983 */   // Label 20915: @1502983
     /* 1502983 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1503065), // Rule ID 17834 //
     /* 1502988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503027 */     // MIs[0] round
     /* 1503027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503030 */     // MIs[0] policy
     /* 1503030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1503043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503064 */     // GIR_Coverage, 17834,
     /* 1503064 */     GIR_EraseRootFromParent_Done,
     /* 1503065 */   // Label 20916: @1503065
     /* 1503065 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503147), // Rule ID 17835 //
     /* 1503070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1503081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503109 */     // MIs[0] round
     /* 1503109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503112 */     // MIs[0] policy
     /* 1503112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503122 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1503125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503146 */     // GIR_Coverage, 17835,
     /* 1503146 */     GIR_EraseRootFromParent_Done,
     /* 1503147 */   // Label 20917: @1503147
     /* 1503147 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503229), // Rule ID 17838 //
     /* 1503152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1503172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503191 */     // MIs[0] round
     /* 1503191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503194 */     // MIs[0] policy
     /* 1503194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503204 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1503207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503228 */     // GIR_Coverage, 17838,
     /* 1503228 */     GIR_EraseRootFromParent_Done,
     /* 1503229 */   // Label 20918: @1503229
     /* 1503229 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503311), // Rule ID 17839 //
     /* 1503234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1503254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503273 */     // MIs[0] round
     /* 1503273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503276 */     // MIs[0] policy
     /* 1503276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503286 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1503289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503310 */     // GIR_Coverage, 17839,
     /* 1503310 */     GIR_EraseRootFromParent_Done,
     /* 1503311 */   // Label 20919: @1503311
     /* 1503311 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1503393), // Rule ID 17842 //
     /* 1503316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1503336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503355 */     // MIs[0] round
     /* 1503355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503358 */     // MIs[0] policy
     /* 1503358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503392 */     // GIR_Coverage, 17842,
     /* 1503392 */     GIR_EraseRootFromParent_Done,
     /* 1503393 */   // Label 20920: @1503393
     /* 1503393 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1503475), // Rule ID 17843 //
     /* 1503398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1503418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503437 */     // MIs[0] round
     /* 1503437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503440 */     // MIs[0] policy
     /* 1503440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503450 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503474 */     // GIR_Coverage, 17843,
     /* 1503474 */     GIR_EraseRootFromParent_Done,
     /* 1503475 */   // Label 20921: @1503475
     /* 1503475 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1503557), // Rule ID 17846 //
     /* 1503480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503519 */     // MIs[0] round
     /* 1503519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503522 */     // MIs[0] policy
     /* 1503522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503532 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503556 */     // GIR_Coverage, 17846,
     /* 1503556 */     GIR_EraseRootFromParent_Done,
     /* 1503557 */   // Label 20922: @1503557
     /* 1503557 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1503639), // Rule ID 17847 //
     /* 1503562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503601 */     // MIs[0] round
     /* 1503601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503604 */     // MIs[0] policy
     /* 1503604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503638 */     // GIR_Coverage, 17847,
     /* 1503638 */     GIR_EraseRootFromParent_Done,
     /* 1503639 */   // Label 20923: @1503639
     /* 1503639 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503721), // Rule ID 17850 //
     /* 1503644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503683 */     // MIs[0] round
     /* 1503683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503686 */     // MIs[0] policy
     /* 1503686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503720 */     // GIR_Coverage, 17850,
     /* 1503720 */     GIR_EraseRootFromParent_Done,
     /* 1503721 */   // Label 20924: @1503721
     /* 1503721 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503803), // Rule ID 17851 //
     /* 1503726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503765 */     // MIs[0] round
     /* 1503765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503768 */     // MIs[0] policy
     /* 1503768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503802 */     // GIR_Coverage, 17851,
     /* 1503802 */     GIR_EraseRootFromParent_Done,
     /* 1503803 */   // Label 20925: @1503803
     /* 1503803 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503885), // Rule ID 17854 //
     /* 1503808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503847 */     // MIs[0] round
     /* 1503847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503850 */     // MIs[0] policy
     /* 1503850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503860 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503884 */     // GIR_Coverage, 17854,
     /* 1503884 */     GIR_EraseRootFromParent_Done,
     /* 1503885 */   // Label 20926: @1503885
     /* 1503885 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503967), // Rule ID 17855 //
     /* 1503890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503929 */     // MIs[0] round
     /* 1503929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503932 */     // MIs[0] policy
     /* 1503932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503942 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503966 */     // GIR_Coverage, 17855,
     /* 1503966 */     GIR_EraseRootFromParent_Done,
     /* 1503967 */   // Label 20927: @1503967
     /* 1503967 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1504049), // Rule ID 17858 //
     /* 1503972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504011 */     // MIs[0] round
     /* 1504011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504014 */     // MIs[0] policy
     /* 1504014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504024 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1504027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504048 */     // GIR_Coverage, 17858,
     /* 1504048 */     GIR_EraseRootFromParent_Done,
     /* 1504049 */   // Label 20928: @1504049
     /* 1504049 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504131), // Rule ID 17859 //
     /* 1504054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1504074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504093 */     // MIs[0] round
     /* 1504093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504096 */     // MIs[0] policy
     /* 1504096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504106 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1504109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504130 */     // GIR_Coverage, 17859,
     /* 1504130 */     GIR_EraseRootFromParent_Done,
     /* 1504131 */   // Label 20929: @1504131
     /* 1504131 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504213), // Rule ID 17862 //
     /* 1504136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1504156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504175 */     // MIs[0] round
     /* 1504175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504178 */     // MIs[0] policy
     /* 1504178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1504191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504212 */     // GIR_Coverage, 17862,
     /* 1504212 */     GIR_EraseRootFromParent_Done,
     /* 1504213 */   // Label 20930: @1504213
     /* 1504213 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504295), // Rule ID 17863 //
     /* 1504218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1504238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504257 */     // MIs[0] round
     /* 1504257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504260 */     // MIs[0] policy
     /* 1504260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1504273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504294 */     // GIR_Coverage, 17863,
     /* 1504294 */     GIR_EraseRootFromParent_Done,
     /* 1504295 */   // Label 20931: @1504295
     /* 1504295 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1504377), // Rule ID 17866 //
     /* 1504300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1504311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1504314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1504320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504339 */     // MIs[0] round
     /* 1504339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504342 */     // MIs[0] policy
     /* 1504342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504376 */     // GIR_Coverage, 17866,
     /* 1504376 */     GIR_EraseRootFromParent_Done,
     /* 1504377 */   // Label 20932: @1504377
     /* 1504377 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1504459), // Rule ID 17867 //
     /* 1504382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1504393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1504396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1504402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504421 */     // MIs[0] round
     /* 1504421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504424 */     // MIs[0] policy
     /* 1504424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504458 */     // GIR_Coverage, 17867,
     /* 1504458 */     GIR_EraseRootFromParent_Done,
     /* 1504459 */   // Label 20933: @1504459
     /* 1504459 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1504541), // Rule ID 17870 //
     /* 1504464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504503 */     // MIs[0] round
     /* 1504503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504506 */     // MIs[0] policy
     /* 1504506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504516 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504540 */     // GIR_Coverage, 17870,
     /* 1504540 */     GIR_EraseRootFromParent_Done,
     /* 1504541 */   // Label 20934: @1504541
     /* 1504541 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1504623), // Rule ID 17871 //
     /* 1504546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504585 */     // MIs[0] round
     /* 1504585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504588 */     // MIs[0] policy
     /* 1504588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504598 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504622 */     // GIR_Coverage, 17871,
     /* 1504622 */     GIR_EraseRootFromParent_Done,
     /* 1504623 */   // Label 20935: @1504623
     /* 1504623 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504705), // Rule ID 17874 //
     /* 1504628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504667 */     // MIs[0] round
     /* 1504667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504670 */     // MIs[0] policy
     /* 1504670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504680 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504704 */     // GIR_Coverage, 17874,
     /* 1504704 */     GIR_EraseRootFromParent_Done,
     /* 1504705 */   // Label 20936: @1504705
     /* 1504705 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504787), // Rule ID 17875 //
     /* 1504710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504749 */     // MIs[0] round
     /* 1504749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504752 */     // MIs[0] policy
     /* 1504752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504786 */     // GIR_Coverage, 17875,
     /* 1504786 */     GIR_EraseRootFromParent_Done,
     /* 1504787 */   // Label 20937: @1504787
     /* 1504787 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504869), // Rule ID 17878 //
     /* 1504792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504831 */     // MIs[0] round
     /* 1504831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504834 */     // MIs[0] policy
     /* 1504834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504844 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504868 */     // GIR_Coverage, 17878,
     /* 1504868 */     GIR_EraseRootFromParent_Done,
     /* 1504869 */   // Label 20938: @1504869
     /* 1504869 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504951), // Rule ID 17879 //
     /* 1504874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504913 */     // MIs[0] round
     /* 1504913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504916 */     // MIs[0] policy
     /* 1504916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504950 */     // GIR_Coverage, 17879,
     /* 1504950 */     GIR_EraseRootFromParent_Done,
     /* 1504951 */   // Label 20939: @1504951
     /* 1504951 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1505033), // Rule ID 17882 //
     /* 1504956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504995 */     // MIs[0] round
     /* 1504995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504998 */     // MIs[0] policy
     /* 1504998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1505011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505032 */     // GIR_Coverage, 17882,
     /* 1505032 */     GIR_EraseRootFromParent_Done,
     /* 1505033 */   // Label 20940: @1505033
     /* 1505033 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505115), // Rule ID 17883 //
     /* 1505038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1505049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1505052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1505055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1505058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505077 */     // MIs[0] round
     /* 1505077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505080 */     // MIs[0] policy
     /* 1505080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1505093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505114 */     // GIR_Coverage, 17883,
     /* 1505114 */     GIR_EraseRootFromParent_Done,
     /* 1505115 */   // Label 20941: @1505115
     /* 1505115 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505197), // Rule ID 17886 //
     /* 1505120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1505131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1505134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1505137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1505140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505159 */     // MIs[0] round
     /* 1505159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505162 */     // MIs[0] policy
     /* 1505162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1505175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505196 */     // GIR_Coverage, 17886,
     /* 1505196 */     GIR_EraseRootFromParent_Done,
     /* 1505197 */   // Label 20942: @1505197
     /* 1505197 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505279), // Rule ID 17887 //
     /* 1505202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1505213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1505216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1505219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1505222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505241 */     // MIs[0] round
     /* 1505241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505244 */     // MIs[0] policy
     /* 1505244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505254 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1505257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505278 */     // GIR_Coverage, 17887,
     /* 1505278 */     GIR_EraseRootFromParent_Done,
     /* 1505279 */   // Label 20943: @1505279
     /* 1505279 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1505361), // Rule ID 17890 //
     /* 1505284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1505304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505323 */     // MIs[0] round
     /* 1505323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505326 */     // MIs[0] policy
     /* 1505326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1505339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505360 */     // GIR_Coverage, 17890,
     /* 1505360 */     GIR_EraseRootFromParent_Done,
     /* 1505361 */   // Label 20944: @1505361
     /* 1505361 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1505443), // Rule ID 17891 //
     /* 1505366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1505386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505405 */     // MIs[0] round
     /* 1505405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505408 */     // MIs[0] policy
     /* 1505408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1505421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505442 */     // GIR_Coverage, 17891,
     /* 1505442 */     GIR_EraseRootFromParent_Done,
     /* 1505443 */   // Label 20945: @1505443
     /* 1505443 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1505525), // Rule ID 17894 //
     /* 1505448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505487 */     // MIs[0] round
     /* 1505487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505490 */     // MIs[0] policy
     /* 1505490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505524 */     // GIR_Coverage, 17894,
     /* 1505524 */     GIR_EraseRootFromParent_Done,
     /* 1505525 */   // Label 20946: @1505525
     /* 1505525 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1505607), // Rule ID 17895 //
     /* 1505530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505569 */     // MIs[0] round
     /* 1505569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505572 */     // MIs[0] policy
     /* 1505572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505606 */     // GIR_Coverage, 17895,
     /* 1505606 */     GIR_EraseRootFromParent_Done,
     /* 1505607 */   // Label 20947: @1505607
     /* 1505607 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505689), // Rule ID 17898 //
     /* 1505612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505651 */     // MIs[0] round
     /* 1505651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505654 */     // MIs[0] policy
     /* 1505654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505664 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505688 */     // GIR_Coverage, 17898,
     /* 1505688 */     GIR_EraseRootFromParent_Done,
     /* 1505689 */   // Label 20948: @1505689
     /* 1505689 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505771), // Rule ID 17899 //
     /* 1505694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505733 */     // MIs[0] round
     /* 1505733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505736 */     // MIs[0] policy
     /* 1505736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505746 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505770 */     // GIR_Coverage, 17899,
     /* 1505770 */     GIR_EraseRootFromParent_Done,
     /* 1505771 */   // Label 20949: @1505771
     /* 1505771 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505853), // Rule ID 17902 //
     /* 1505776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505815 */     // MIs[0] round
     /* 1505815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505818 */     // MIs[0] policy
     /* 1505818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505828 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505852 */     // GIR_Coverage, 17902,
     /* 1505852 */     GIR_EraseRootFromParent_Done,
     /* 1505853 */   // Label 20950: @1505853
     /* 1505853 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505935), // Rule ID 17903 //
     /* 1505858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505897 */     // MIs[0] round
     /* 1505897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505900 */     // MIs[0] policy
     /* 1505900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505910 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505934 */     // GIR_Coverage, 17903,
     /* 1505934 */     GIR_EraseRootFromParent_Done,
     /* 1505935 */   // Label 20951: @1505935
     /* 1505935 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1506017), // Rule ID 17906 //
     /* 1505940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505979 */     // MIs[0] round
     /* 1505979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505982 */     // MIs[0] policy
     /* 1505982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1505995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506016 */     // GIR_Coverage, 17906,
     /* 1506016 */     GIR_EraseRootFromParent_Done,
     /* 1506017 */   // Label 20952: @1506017
     /* 1506017 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1506099), // Rule ID 17907 //
     /* 1506022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1506039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1506042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506061 */     // MIs[0] round
     /* 1506061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506064 */     // MIs[0] policy
     /* 1506064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506074 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1506077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506098 */     // GIR_Coverage, 17907,
     /* 1506098 */     GIR_EraseRootFromParent_Done,
     /* 1506099 */   // Label 20953: @1506099
     /* 1506099 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506181), // Rule ID 17910 //
     /* 1506104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1506124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506143 */     // MIs[0] round
     /* 1506143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506146 */     // MIs[0] policy
     /* 1506146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1506159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506180 */     // GIR_Coverage, 17910,
     /* 1506180 */     GIR_EraseRootFromParent_Done,
     /* 1506181 */   // Label 20954: @1506181
     /* 1506181 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506263), // Rule ID 17911 //
     /* 1506186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1506206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506225 */     // MIs[0] round
     /* 1506225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506228 */     // MIs[0] policy
     /* 1506228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1506241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506262 */     // GIR_Coverage, 17911,
     /* 1506262 */     GIR_EraseRootFromParent_Done,
     /* 1506263 */   // Label 20955: @1506263
     /* 1506263 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1506345), // Rule ID 17914 //
     /* 1506268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1506288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506307 */     // MIs[0] round
     /* 1506307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506310 */     // MIs[0] policy
     /* 1506310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1506323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506344 */     // GIR_Coverage, 17914,
     /* 1506344 */     GIR_EraseRootFromParent_Done,
     /* 1506345 */   // Label 20956: @1506345
     /* 1506345 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1506427), // Rule ID 17915 //
     /* 1506350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1506370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506389 */     // MIs[0] round
     /* 1506389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506392 */     // MIs[0] policy
     /* 1506392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1506405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506426 */     // GIR_Coverage, 17915,
     /* 1506426 */     GIR_EraseRootFromParent_Done,
     /* 1506427 */   // Label 20957: @1506427
     /* 1506427 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1506509), // Rule ID 17918 //
     /* 1506432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506471 */     // MIs[0] round
     /* 1506471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506474 */     // MIs[0] policy
     /* 1506474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506484 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506508 */     // GIR_Coverage, 17918,
     /* 1506508 */     GIR_EraseRootFromParent_Done,
     /* 1506509 */   // Label 20958: @1506509
     /* 1506509 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1506591), // Rule ID 17919 //
     /* 1506514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506553 */     // MIs[0] round
     /* 1506553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506556 */     // MIs[0] policy
     /* 1506556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506590 */     // GIR_Coverage, 17919,
     /* 1506590 */     GIR_EraseRootFromParent_Done,
     /* 1506591 */   // Label 20959: @1506591
     /* 1506591 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1506673), // Rule ID 17922 //
     /* 1506596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506635 */     // MIs[0] round
     /* 1506635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506638 */     // MIs[0] policy
     /* 1506638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506672 */     // GIR_Coverage, 17922,
     /* 1506672 */     GIR_EraseRootFromParent_Done,
     /* 1506673 */   // Label 20960: @1506673
     /* 1506673 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506755), // Rule ID 17923 //
     /* 1506678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506717 */     // MIs[0] round
     /* 1506717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506720 */     // MIs[0] policy
     /* 1506720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506754 */     // GIR_Coverage, 17923,
     /* 1506754 */     GIR_EraseRootFromParent_Done,
     /* 1506755 */   // Label 20961: @1506755
     /* 1506755 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506837), // Rule ID 17926 //
     /* 1506760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506799 */     // MIs[0] round
     /* 1506799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506802 */     // MIs[0] policy
     /* 1506802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506836 */     // GIR_Coverage, 17926,
     /* 1506836 */     GIR_EraseRootFromParent_Done,
     /* 1506837 */   // Label 20962: @1506837
     /* 1506837 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506919), // Rule ID 17927 //
     /* 1506842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506881 */     // MIs[0] round
     /* 1506881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506884 */     // MIs[0] policy
     /* 1506884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506918 */     // GIR_Coverage, 17927,
     /* 1506918 */     GIR_EraseRootFromParent_Done,
     /* 1506919 */   // Label 20963: @1506919
     /* 1506919 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1507001), // Rule ID 17930 //
     /* 1506924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506963 */     // MIs[0] round
     /* 1506963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506966 */     // MIs[0] policy
     /* 1506966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507000 */     // GIR_Coverage, 17930,
     /* 1507000 */     GIR_EraseRootFromParent_Done,
     /* 1507001 */   // Label 20964: @1507001
     /* 1507001 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1507083), // Rule ID 17931 //
     /* 1507006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1507023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1507026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507045 */     // MIs[0] round
     /* 1507045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507048 */     // MIs[0] policy
     /* 1507048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1507061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507082 */     // GIR_Coverage, 17931,
     /* 1507082 */     GIR_EraseRootFromParent_Done,
     /* 1507083 */   // Label 20965: @1507083
     /* 1507083 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507165), // Rule ID 17934 //
     /* 1507088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1507108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507127 */     // MIs[0] round
     /* 1507127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507130 */     // MIs[0] policy
     /* 1507130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507140 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1507143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507164 */     // GIR_Coverage, 17934,
     /* 1507164 */     GIR_EraseRootFromParent_Done,
     /* 1507165 */   // Label 20966: @1507165
     /* 1507165 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507247), // Rule ID 17935 //
     /* 1507170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1507190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507209 */     // MIs[0] round
     /* 1507209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507212 */     // MIs[0] policy
     /* 1507212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1507225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507246 */     // GIR_Coverage, 17935,
     /* 1507246 */     GIR_EraseRootFromParent_Done,
     /* 1507247 */   // Label 20967: @1507247
     /* 1507247 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1507329), // Rule ID 17938 //
     /* 1507252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1507272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507291 */     // MIs[0] round
     /* 1507291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507294 */     // MIs[0] policy
     /* 1507294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507304 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1507307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507328 */     // GIR_Coverage, 17938,
     /* 1507328 */     GIR_EraseRootFromParent_Done,
     /* 1507329 */   // Label 20968: @1507329
     /* 1507329 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1507411), // Rule ID 17939 //
     /* 1507334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1507354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507373 */     // MIs[0] round
     /* 1507373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507376 */     // MIs[0] policy
     /* 1507376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507386 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1507389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507410 */     // GIR_Coverage, 17939,
     /* 1507410 */     GIR_EraseRootFromParent_Done,
     /* 1507411 */   // Label 20969: @1507411
     /* 1507411 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1507493), // Rule ID 17942 //
     /* 1507416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507455 */     // MIs[0] round
     /* 1507455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507458 */     // MIs[0] policy
     /* 1507458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507492 */     // GIR_Coverage, 17942,
     /* 1507492 */     GIR_EraseRootFromParent_Done,
     /* 1507493 */   // Label 20970: @1507493
     /* 1507493 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1507575), // Rule ID 17943 //
     /* 1507498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507537 */     // MIs[0] round
     /* 1507537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507540 */     // MIs[0] policy
     /* 1507540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507574 */     // GIR_Coverage, 17943,
     /* 1507574 */     GIR_EraseRootFromParent_Done,
     /* 1507575 */   // Label 20971: @1507575
     /* 1507575 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1507657), // Rule ID 17946 //
     /* 1507580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507619 */     // MIs[0] round
     /* 1507619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507622 */     // MIs[0] policy
     /* 1507622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507632 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507656 */     // GIR_Coverage, 17946,
     /* 1507656 */     GIR_EraseRootFromParent_Done,
     /* 1507657 */   // Label 20972: @1507657
     /* 1507657 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507739), // Rule ID 17947 //
     /* 1507662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507701 */     // MIs[0] round
     /* 1507701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507704 */     // MIs[0] policy
     /* 1507704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507738 */     // GIR_Coverage, 17947,
     /* 1507738 */     GIR_EraseRootFromParent_Done,
     /* 1507739 */   // Label 20973: @1507739
     /* 1507739 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507821), // Rule ID 17950 //
     /* 1507744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507783 */     // MIs[0] round
     /* 1507783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507786 */     // MIs[0] policy
     /* 1507786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507820 */     // GIR_Coverage, 17950,
     /* 1507820 */     GIR_EraseRootFromParent_Done,
     /* 1507821 */   // Label 20974: @1507821
     /* 1507821 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507903), // Rule ID 17951 //
     /* 1507826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507865 */     // MIs[0] round
     /* 1507865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507868 */     // MIs[0] policy
     /* 1507868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507902 */     // GIR_Coverage, 17951,
     /* 1507902 */     GIR_EraseRootFromParent_Done,
     /* 1507903 */   // Label 20975: @1507903
     /* 1507903 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507985), // Rule ID 17954 //
     /* 1507908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507947 */     // MIs[0] round
     /* 1507947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507950 */     // MIs[0] policy
     /* 1507950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507984 */     // GIR_Coverage, 17954,
     /* 1507984 */     GIR_EraseRootFromParent_Done,
     /* 1507985 */   // Label 20976: @1507985
     /* 1507985 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1508067), // Rule ID 17955 //
     /* 1507990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1508001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1508004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1508010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508029 */     // MIs[0] round
     /* 1508029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508032 */     // MIs[0] policy
     /* 1508032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1508045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508066 */     // GIR_Coverage, 17955,
     /* 1508066 */     GIR_EraseRootFromParent_Done,
     /* 1508067 */   // Label 20977: @1508067
     /* 1508067 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508149), // Rule ID 17958 //
     /* 1508072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1508092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508111 */     // MIs[0] round
     /* 1508111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508114 */     // MIs[0] policy
     /* 1508114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508124 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1508127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508148 */     // GIR_Coverage, 17958,
     /* 1508148 */     GIR_EraseRootFromParent_Done,
     /* 1508149 */   // Label 20978: @1508149
     /* 1508149 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508231), // Rule ID 17959 //
     /* 1508154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1508174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508193 */     // MIs[0] round
     /* 1508193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508196 */     // MIs[0] policy
     /* 1508196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508206 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1508209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508230 */     // GIR_Coverage, 17959,
     /* 1508230 */     GIR_EraseRootFromParent_Done,
     /* 1508231 */   // Label 20979: @1508231
     /* 1508231 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508313), // Rule ID 17962 //
     /* 1508236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1508256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508275 */     // MIs[0] round
     /* 1508275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508278 */     // MIs[0] policy
     /* 1508278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508288 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1508291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508312 */     // GIR_Coverage, 17962,
     /* 1508312 */     GIR_EraseRootFromParent_Done,
     /* 1508313 */   // Label 20980: @1508313
     /* 1508313 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1508395), // Rule ID 17963 //
     /* 1508318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1508338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508357 */     // MIs[0] round
     /* 1508357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508360 */     // MIs[0] policy
     /* 1508360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1508373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508394 */     // GIR_Coverage, 17963,
     /* 1508394 */     GIR_EraseRootFromParent_Done,
     /* 1508395 */   // Label 20981: @1508395
     /* 1508395 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1508477), // Rule ID 17966 //
     /* 1508400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508439 */     // MIs[0] round
     /* 1508439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508442 */     // MIs[0] policy
     /* 1508442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508452 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508476 */     // GIR_Coverage, 17966,
     /* 1508476 */     GIR_EraseRootFromParent_Done,
     /* 1508477 */   // Label 20982: @1508477
     /* 1508477 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1508559), // Rule ID 17967 //
     /* 1508482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508521 */     // MIs[0] round
     /* 1508521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508524 */     // MIs[0] policy
     /* 1508524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508534 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508558 */     // GIR_Coverage, 17967,
     /* 1508558 */     GIR_EraseRootFromParent_Done,
     /* 1508559 */   // Label 20983: @1508559
     /* 1508559 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1508641), // Rule ID 17970 //
     /* 1508564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508603 */     // MIs[0] round
     /* 1508603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508606 */     // MIs[0] policy
     /* 1508606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508640 */     // GIR_Coverage, 17970,
     /* 1508640 */     GIR_EraseRootFromParent_Done,
     /* 1508641 */   // Label 20984: @1508641
     /* 1508641 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508723), // Rule ID 17971 //
     /* 1508646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508685 */     // MIs[0] round
     /* 1508685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508688 */     // MIs[0] policy
     /* 1508688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508722 */     // GIR_Coverage, 17971,
     /* 1508722 */     GIR_EraseRootFromParent_Done,
     /* 1508723 */   // Label 20985: @1508723
     /* 1508723 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508805), // Rule ID 17974 //
     /* 1508728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508767 */     // MIs[0] round
     /* 1508767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508770 */     // MIs[0] policy
     /* 1508770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508780 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508804 */     // GIR_Coverage, 17974,
     /* 1508804 */     GIR_EraseRootFromParent_Done,
     /* 1508805 */   // Label 20986: @1508805
     /* 1508805 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508887), // Rule ID 17975 //
     /* 1508810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508849 */     // MIs[0] round
     /* 1508849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508852 */     // MIs[0] policy
     /* 1508852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508886 */     // GIR_Coverage, 17975,
     /* 1508886 */     GIR_EraseRootFromParent_Done,
     /* 1508887 */   // Label 20987: @1508887
     /* 1508887 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508969), // Rule ID 17978 //
     /* 1508892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508931 */     // MIs[0] round
     /* 1508931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508934 */     // MIs[0] policy
     /* 1508934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508944 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508968 */     // GIR_Coverage, 17978,
     /* 1508968 */     GIR_EraseRootFromParent_Done,
     /* 1508969 */   // Label 20988: @1508969
     /* 1508969 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1509051), // Rule ID 17979 //
     /* 1508974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509013 */     // MIs[0] round
     /* 1509013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509016 */     // MIs[0] policy
     /* 1509016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1509029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509050 */     // GIR_Coverage, 17979,
     /* 1509050 */     GIR_EraseRootFromParent_Done,
     /* 1509051 */   // Label 20989: @1509051
     /* 1509051 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509133), // Rule ID 17982 //
     /* 1509056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509095 */     // MIs[0] round
     /* 1509095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509098 */     // MIs[0] policy
     /* 1509098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509108 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1509111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509132 */     // GIR_Coverage, 17982,
     /* 1509132 */     GIR_EraseRootFromParent_Done,
     /* 1509133 */   // Label 20990: @1509133
     /* 1509133 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509215), // Rule ID 17983 //
     /* 1509138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509177 */     // MIs[0] round
     /* 1509177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509180 */     // MIs[0] policy
     /* 1509180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1509193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509214 */     // GIR_Coverage, 17983,
     /* 1509214 */     GIR_EraseRootFromParent_Done,
     /* 1509215 */   // Label 20991: @1509215
     /* 1509215 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509297), // Rule ID 17986 //
     /* 1509220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1509240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509259 */     // MIs[0] round
     /* 1509259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509262 */     // MIs[0] policy
     /* 1509262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509272 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1509275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509296 */     // GIR_Coverage, 17986,
     /* 1509296 */     GIR_EraseRootFromParent_Done,
     /* 1509297 */   // Label 20992: @1509297
     /* 1509297 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1509379), // Rule ID 17987 //
     /* 1509302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1509322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509341 */     // MIs[0] round
     /* 1509341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509344 */     // MIs[0] policy
     /* 1509344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1509357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509378 */     // GIR_Coverage, 17987,
     /* 1509378 */     GIR_EraseRootFromParent_Done,
     /* 1509379 */   // Label 20993: @1509379
     /* 1509379 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1509461), // Rule ID 17990 //
     /* 1509384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509423 */     // MIs[0] round
     /* 1509423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509426 */     // MIs[0] policy
     /* 1509426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509460 */     // GIR_Coverage, 17990,
     /* 1509460 */     GIR_EraseRootFromParent_Done,
     /* 1509461 */   // Label 20994: @1509461
     /* 1509461 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1509543), // Rule ID 17991 //
     /* 1509466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509505 */     // MIs[0] round
     /* 1509505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509508 */     // MIs[0] policy
     /* 1509508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509542 */     // GIR_Coverage, 17991,
     /* 1509542 */     GIR_EraseRootFromParent_Done,
     /* 1509543 */   // Label 20995: @1509543
     /* 1509543 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1509625), // Rule ID 17994 //
     /* 1509548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509587 */     // MIs[0] round
     /* 1509587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509590 */     // MIs[0] policy
     /* 1509590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509624 */     // GIR_Coverage, 17994,
     /* 1509624 */     GIR_EraseRootFromParent_Done,
     /* 1509625 */   // Label 20996: @1509625
     /* 1509625 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509707), // Rule ID 17995 //
     /* 1509630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509669 */     // MIs[0] round
     /* 1509669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509672 */     // MIs[0] policy
     /* 1509672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509706 */     // GIR_Coverage, 17995,
     /* 1509706 */     GIR_EraseRootFromParent_Done,
     /* 1509707 */   // Label 20997: @1509707
     /* 1509707 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509789), // Rule ID 17998 //
     /* 1509712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509751 */     // MIs[0] round
     /* 1509751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509754 */     // MIs[0] policy
     /* 1509754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509788 */     // GIR_Coverage, 17998,
     /* 1509788 */     GIR_EraseRootFromParent_Done,
     /* 1509789 */   // Label 20998: @1509789
     /* 1509789 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509871), // Rule ID 17999 //
     /* 1509794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509833 */     // MIs[0] round
     /* 1509833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509836 */     // MIs[0] policy
     /* 1509836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509846 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509870 */     // GIR_Coverage, 17999,
     /* 1509870 */     GIR_EraseRootFromParent_Done,
     /* 1509871 */   // Label 20999: @1509871
     /* 1509871 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509953), // Rule ID 18002 //
     /* 1509876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509915 */     // MIs[0] round
     /* 1509915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509918 */     // MIs[0] policy
     /* 1509918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509952 */     // GIR_Coverage, 18002,
     /* 1509952 */     GIR_EraseRootFromParent_Done,
     /* 1509953 */   // Label 21000: @1509953
     /* 1509953 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1510035), // Rule ID 18003 //
     /* 1509958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509997 */     // MIs[0] round
     /* 1509997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510000 */     // MIs[0] policy
     /* 1510000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1510013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510034 */     // GIR_Coverage, 18003,
     /* 1510034 */     GIR_EraseRootFromParent_Done,
     /* 1510035 */   // Label 21001: @1510035
     /* 1510035 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510117), // Rule ID 18006 //
     /* 1510040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1510057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510079 */     // MIs[0] round
     /* 1510079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510082 */     // MIs[0] policy
     /* 1510082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1510095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510116 */     // GIR_Coverage, 18006,
     /* 1510116 */     GIR_EraseRootFromParent_Done,
     /* 1510117 */   // Label 21002: @1510117
     /* 1510117 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510199), // Rule ID 18007 //
     /* 1510122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1510139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510161 */     // MIs[0] round
     /* 1510161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510164 */     // MIs[0] policy
     /* 1510164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510174 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1510177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510198 */     // GIR_Coverage, 18007,
     /* 1510198 */     GIR_EraseRootFromParent_Done,
     /* 1510199 */   // Label 21003: @1510199
     /* 1510199 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510281), // Rule ID 18010 //
     /* 1510204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1510215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1510218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1510221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1510224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510243 */     // MIs[0] round
     /* 1510243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510246 */     // MIs[0] policy
     /* 1510246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1510259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510280 */     // GIR_Coverage, 18010,
     /* 1510280 */     GIR_EraseRootFromParent_Done,
     /* 1510281 */   // Label 21004: @1510281
     /* 1510281 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1510363), // Rule ID 18011 //
     /* 1510286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1510297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1510300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1510303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1510306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510325 */     // MIs[0] round
     /* 1510325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510328 */     // MIs[0] policy
     /* 1510328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510338 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1510341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510362 */     // GIR_Coverage, 18011,
     /* 1510362 */     GIR_EraseRootFromParent_Done,
     /* 1510363 */   // Label 21005: @1510363
     /* 1510363 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1510445), // Rule ID 18014 //
     /* 1510368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510407 */     // MIs[0] round
     /* 1510407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510410 */     // MIs[0] policy
     /* 1510410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510444 */     // GIR_Coverage, 18014,
     /* 1510444 */     GIR_EraseRootFromParent_Done,
     /* 1510445 */   // Label 21006: @1510445
     /* 1510445 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1510527), // Rule ID 18015 //
     /* 1510450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510489 */     // MIs[0] round
     /* 1510489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510492 */     // MIs[0] policy
     /* 1510492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510526 */     // GIR_Coverage, 18015,
     /* 1510526 */     GIR_EraseRootFromParent_Done,
     /* 1510527 */   // Label 21007: @1510527
     /* 1510527 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1510609), // Rule ID 18018 //
     /* 1510532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510571 */     // MIs[0] round
     /* 1510571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510574 */     // MIs[0] policy
     /* 1510574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510608 */     // GIR_Coverage, 18018,
     /* 1510608 */     GIR_EraseRootFromParent_Done,
     /* 1510609 */   // Label 21008: @1510609
     /* 1510609 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510691), // Rule ID 18019 //
     /* 1510614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510653 */     // MIs[0] round
     /* 1510653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510656 */     // MIs[0] policy
     /* 1510656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510666 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510690 */     // GIR_Coverage, 18019,
     /* 1510690 */     GIR_EraseRootFromParent_Done,
     /* 1510691 */   // Label 21009: @1510691
     /* 1510691 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510773), // Rule ID 18022 //
     /* 1510696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510735 */     // MIs[0] round
     /* 1510735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510738 */     // MIs[0] policy
     /* 1510738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510772 */     // GIR_Coverage, 18022,
     /* 1510772 */     GIR_EraseRootFromParent_Done,
     /* 1510773 */   // Label 21010: @1510773
     /* 1510773 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510855), // Rule ID 18023 //
     /* 1510778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510817 */     // MIs[0] round
     /* 1510817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510820 */     // MIs[0] policy
     /* 1510820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510854 */     // GIR_Coverage, 18023,
     /* 1510854 */     GIR_EraseRootFromParent_Done,
     /* 1510855 */   // Label 21011: @1510855
     /* 1510855 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510937), // Rule ID 18026 //
     /* 1510860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510899 */     // MIs[0] round
     /* 1510899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510902 */     // MIs[0] policy
     /* 1510902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510912 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510936 */     // GIR_Coverage, 18026,
     /* 1510936 */     GIR_EraseRootFromParent_Done,
     /* 1510937 */   // Label 21012: @1510937
     /* 1510937 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1511019), // Rule ID 18027 //
     /* 1510942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510981 */     // MIs[0] round
     /* 1510981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510984 */     // MIs[0] policy
     /* 1510984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510994 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511018 */     // GIR_Coverage, 18027,
     /* 1511018 */     GIR_EraseRootFromParent_Done,
     /* 1511019 */   // Label 21013: @1511019
     /* 1511019 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1511101), // Rule ID 18030 //
     /* 1511024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1511041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511063 */     // MIs[0] round
     /* 1511063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511066 */     // MIs[0] policy
     /* 1511066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1511079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511100 */     // GIR_Coverage, 18030,
     /* 1511100 */     GIR_EraseRootFromParent_Done,
     /* 1511101 */   // Label 21014: @1511101
     /* 1511101 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511183), // Rule ID 18031 //
     /* 1511106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1511123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511145 */     // MIs[0] round
     /* 1511145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511148 */     // MIs[0] policy
     /* 1511148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1511161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511182 */     // GIR_Coverage, 18031,
     /* 1511182 */     GIR_EraseRootFromParent_Done,
     /* 1511183 */   // Label 21015: @1511183
     /* 1511183 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511265), // Rule ID 18034 //
     /* 1511188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1511205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1511208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511227 */     // MIs[0] round
     /* 1511227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511230 */     // MIs[0] policy
     /* 1511230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1511243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511264 */     // GIR_Coverage, 18034,
     /* 1511264 */     GIR_EraseRootFromParent_Done,
     /* 1511265 */   // Label 21016: @1511265
     /* 1511265 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1511347), // Rule ID 18035 //
     /* 1511270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1511287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1511290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511309 */     // MIs[0] round
     /* 1511309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511312 */     // MIs[0] policy
     /* 1511312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511322 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1511325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511346 */     // GIR_Coverage, 18035,
     /* 1511346 */     GIR_EraseRootFromParent_Done,
     /* 1511347 */   // Label 21017: @1511347
     /* 1511347 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1511429), // Rule ID 18038 //
     /* 1511352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511391 */     // MIs[0] round
     /* 1511391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511394 */     // MIs[0] policy
     /* 1511394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511428 */     // GIR_Coverage, 18038,
     /* 1511428 */     GIR_EraseRootFromParent_Done,
     /* 1511429 */   // Label 21018: @1511429
     /* 1511429 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1511511), // Rule ID 18039 //
     /* 1511434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511473 */     // MIs[0] round
     /* 1511473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511476 */     // MIs[0] policy
     /* 1511476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511510 */     // GIR_Coverage, 18039,
     /* 1511510 */     GIR_EraseRootFromParent_Done,
     /* 1511511 */   // Label 21019: @1511511
     /* 1511511 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1511593), // Rule ID 18042 //
     /* 1511516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511555 */     // MIs[0] round
     /* 1511555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511558 */     // MIs[0] policy
     /* 1511558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511592 */     // GIR_Coverage, 18042,
     /* 1511592 */     GIR_EraseRootFromParent_Done,
     /* 1511593 */   // Label 21020: @1511593
     /* 1511593 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511675), // Rule ID 18043 //
     /* 1511598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511637 */     // MIs[0] round
     /* 1511637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511640 */     // MIs[0] policy
     /* 1511640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511674 */     // GIR_Coverage, 18043,
     /* 1511674 */     GIR_EraseRootFromParent_Done,
     /* 1511675 */   // Label 21021: @1511675
     /* 1511675 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511757), // Rule ID 18046 //
     /* 1511680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511719 */     // MIs[0] round
     /* 1511719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511722 */     // MIs[0] policy
     /* 1511722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511756 */     // GIR_Coverage, 18046,
     /* 1511756 */     GIR_EraseRootFromParent_Done,
     /* 1511757 */   // Label 21022: @1511757
     /* 1511757 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511839), // Rule ID 18047 //
     /* 1511762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511801 */     // MIs[0] round
     /* 1511801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511804 */     // MIs[0] policy
     /* 1511804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511838 */     // GIR_Coverage, 18047,
     /* 1511838 */     GIR_EraseRootFromParent_Done,
     /* 1511839 */   // Label 21023: @1511839
     /* 1511839 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511921), // Rule ID 18050 //
     /* 1511844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511883 */     // MIs[0] round
     /* 1511883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511886 */     // MIs[0] policy
     /* 1511886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511920 */     // GIR_Coverage, 18050,
     /* 1511920 */     GIR_EraseRootFromParent_Done,
     /* 1511921 */   // Label 21024: @1511921
     /* 1511921 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1512003), // Rule ID 18051 //
     /* 1511926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511965 */     // MIs[0] round
     /* 1511965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511968 */     // MIs[0] policy
     /* 1511968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512002 */     // GIR_Coverage, 18051,
     /* 1512002 */     GIR_EraseRootFromParent_Done,
     /* 1512003 */   // Label 21025: @1512003
     /* 1512003 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1512085), // Rule ID 18054 //
     /* 1512008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512047 */     // MIs[0] round
     /* 1512047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512050 */     // MIs[0] policy
     /* 1512050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512060 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1512063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512084 */     // GIR_Coverage, 18054,
     /* 1512084 */     GIR_EraseRootFromParent_Done,
     /* 1512085 */   // Label 21026: @1512085
     /* 1512085 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512167), // Rule ID 18055 //
     /* 1512090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512129 */     // MIs[0] round
     /* 1512129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512132 */     // MIs[0] policy
     /* 1512132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1512145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512166 */     // GIR_Coverage, 18055,
     /* 1512166 */     GIR_EraseRootFromParent_Done,
     /* 1512167 */   // Label 21027: @1512167
     /* 1512167 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512249), // Rule ID 18058 //
     /* 1512172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1512192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512211 */     // MIs[0] round
     /* 1512211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512214 */     // MIs[0] policy
     /* 1512214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512224 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1512227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512248 */     // GIR_Coverage, 18058,
     /* 1512248 */     GIR_EraseRootFromParent_Done,
     /* 1512249 */   // Label 21028: @1512249
     /* 1512249 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1512331), // Rule ID 18059 //
     /* 1512254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1512274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512293 */     // MIs[0] round
     /* 1512293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512296 */     // MIs[0] policy
     /* 1512296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512306 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1512309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512330 */     // GIR_Coverage, 18059,
     /* 1512330 */     GIR_EraseRootFromParent_Done,
     /* 1512331 */   // Label 21029: @1512331
     /* 1512331 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1512413), // Rule ID 18062 //
     /* 1512336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1512347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512375 */     // MIs[0] round
     /* 1512375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512378 */     // MIs[0] policy
     /* 1512378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512412 */     // GIR_Coverage, 18062,
     /* 1512412 */     GIR_EraseRootFromParent_Done,
     /* 1512413 */   // Label 21030: @1512413
     /* 1512413 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1512495), // Rule ID 18063 //
     /* 1512418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1512429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512457 */     // MIs[0] round
     /* 1512457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512460 */     // MIs[0] policy
     /* 1512460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512494 */     // GIR_Coverage, 18063,
     /* 1512494 */     GIR_EraseRootFromParent_Done,
     /* 1512495 */   // Label 21031: @1512495
     /* 1512495 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1512577), // Rule ID 18066 //
     /* 1512500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512539 */     // MIs[0] round
     /* 1512539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512542 */     // MIs[0] policy
     /* 1512542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512576 */     // GIR_Coverage, 18066,
     /* 1512576 */     GIR_EraseRootFromParent_Done,
     /* 1512577 */   // Label 21032: @1512577
     /* 1512577 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1512659), // Rule ID 18067 //
     /* 1512582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512621 */     // MIs[0] round
     /* 1512621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512624 */     // MIs[0] policy
     /* 1512624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512634 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512658 */     // GIR_Coverage, 18067,
     /* 1512658 */     GIR_EraseRootFromParent_Done,
     /* 1512659 */   // Label 21033: @1512659
     /* 1512659 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512741), // Rule ID 18070 //
     /* 1512664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512703 */     // MIs[0] round
     /* 1512703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512706 */     // MIs[0] policy
     /* 1512706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512740 */     // GIR_Coverage, 18070,
     /* 1512740 */     GIR_EraseRootFromParent_Done,
     /* 1512741 */   // Label 21034: @1512741
     /* 1512741 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512823), // Rule ID 18071 //
     /* 1512746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512785 */     // MIs[0] round
     /* 1512785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512788 */     // MIs[0] policy
     /* 1512788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512822 */     // GIR_Coverage, 18071,
     /* 1512822 */     GIR_EraseRootFromParent_Done,
     /* 1512823 */   // Label 21035: @1512823
     /* 1512823 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512905), // Rule ID 18074 //
     /* 1512828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512867 */     // MIs[0] round
     /* 1512867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512870 */     // MIs[0] policy
     /* 1512870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512904 */     // GIR_Coverage, 18074,
     /* 1512904 */     GIR_EraseRootFromParent_Done,
     /* 1512905 */   // Label 21036: @1512905
     /* 1512905 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512987), // Rule ID 18075 //
     /* 1512910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512949 */     // MIs[0] round
     /* 1512949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512952 */     // MIs[0] policy
     /* 1512952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512962 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512986 */     // GIR_Coverage, 18075,
     /* 1512986 */     GIR_EraseRootFromParent_Done,
     /* 1512987 */   // Label 21037: @1512987
     /* 1512987 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1513069), // Rule ID 18078 //
     /* 1512992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513031 */     // MIs[0] round
     /* 1513031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513034 */     // MIs[0] policy
     /* 1513034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1513047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513068 */     // GIR_Coverage, 18078,
     /* 1513068 */     GIR_EraseRootFromParent_Done,
     /* 1513069 */   // Label 21038: @1513069
     /* 1513069 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513151), // Rule ID 18079 //
     /* 1513074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513113 */     // MIs[0] round
     /* 1513113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513116 */     // MIs[0] policy
     /* 1513116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513126 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1513129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513150 */     // GIR_Coverage, 18079,
     /* 1513150 */     GIR_EraseRootFromParent_Done,
     /* 1513151 */   // Label 21039: @1513151
     /* 1513151 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513233), // Rule ID 18082 //
     /* 1513156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1513176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513195 */     // MIs[0] round
     /* 1513195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513198 */     // MIs[0] policy
     /* 1513198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513208 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1513211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513232 */     // GIR_Coverage, 18082,
     /* 1513232 */     GIR_EraseRootFromParent_Done,
     /* 1513233 */   // Label 21040: @1513233
     /* 1513233 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513315), // Rule ID 18083 //
     /* 1513238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1513258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513277 */     // MIs[0] round
     /* 1513277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513280 */     // MIs[0] policy
     /* 1513280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1513293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513314 */     // GIR_Coverage, 18083,
     /* 1513314 */     GIR_EraseRootFromParent_Done,
     /* 1513315 */   // Label 21041: @1513315
     /* 1513315 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1513397), // Rule ID 18086 //
     /* 1513320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1513340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513359 */     // MIs[0] round
     /* 1513359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513362 */     // MIs[0] policy
     /* 1513362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513372 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513396 */     // GIR_Coverage, 18086,
     /* 1513396 */     GIR_EraseRootFromParent_Done,
     /* 1513397 */   // Label 21042: @1513397
     /* 1513397 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1513479), // Rule ID 18087 //
     /* 1513402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1513422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513441 */     // MIs[0] round
     /* 1513441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513444 */     // MIs[0] policy
     /* 1513444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513454 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513478 */     // GIR_Coverage, 18087,
     /* 1513478 */     GIR_EraseRootFromParent_Done,
     /* 1513479 */   // Label 21043: @1513479
     /* 1513479 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1513561), // Rule ID 18090 //
     /* 1513484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513523 */     // MIs[0] round
     /* 1513523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513526 */     // MIs[0] policy
     /* 1513526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513560 */     // GIR_Coverage, 18090,
     /* 1513560 */     GIR_EraseRootFromParent_Done,
     /* 1513561 */   // Label 21044: @1513561
     /* 1513561 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1513643), // Rule ID 18091 //
     /* 1513566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513605 */     // MIs[0] round
     /* 1513605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513608 */     // MIs[0] policy
     /* 1513608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513642 */     // GIR_Coverage, 18091,
     /* 1513642 */     GIR_EraseRootFromParent_Done,
     /* 1513643 */   // Label 21045: @1513643
     /* 1513643 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513725), // Rule ID 18094 //
     /* 1513648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513687 */     // MIs[0] round
     /* 1513687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513690 */     // MIs[0] policy
     /* 1513690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513724 */     // GIR_Coverage, 18094,
     /* 1513724 */     GIR_EraseRootFromParent_Done,
     /* 1513725 */   // Label 21046: @1513725
     /* 1513725 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513807), // Rule ID 18095 //
     /* 1513730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513769 */     // MIs[0] round
     /* 1513769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513772 */     // MIs[0] policy
     /* 1513772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513806 */     // GIR_Coverage, 18095,
     /* 1513806 */     GIR_EraseRootFromParent_Done,
     /* 1513807 */   // Label 21047: @1513807
     /* 1513807 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513889), // Rule ID 18098 //
     /* 1513812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513851 */     // MIs[0] round
     /* 1513851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513854 */     // MIs[0] policy
     /* 1513854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513888 */     // GIR_Coverage, 18098,
     /* 1513888 */     GIR_EraseRootFromParent_Done,
     /* 1513889 */   // Label 21048: @1513889
     /* 1513889 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513971), // Rule ID 18099 //
     /* 1513894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513933 */     // MIs[0] round
     /* 1513933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513936 */     // MIs[0] policy
     /* 1513936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513970 */     // GIR_Coverage, 18099,
     /* 1513970 */     GIR_EraseRootFromParent_Done,
     /* 1513971 */   // Label 21049: @1513971
     /* 1513971 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1514053), // Rule ID 18102 //
     /* 1513976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514015 */     // MIs[0] round
     /* 1514015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514018 */     // MIs[0] policy
     /* 1514018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514028 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1514031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514052 */     // GIR_Coverage, 18102,
     /* 1514052 */     GIR_EraseRootFromParent_Done,
     /* 1514053 */   // Label 21050: @1514053
     /* 1514053 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514135), // Rule ID 18103 //
     /* 1514058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1514078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514097 */     // MIs[0] round
     /* 1514097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514100 */     // MIs[0] policy
     /* 1514100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514110 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1514113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514134 */     // GIR_Coverage, 18103,
     /* 1514134 */     GIR_EraseRootFromParent_Done,
     /* 1514135 */   // Label 21051: @1514135
     /* 1514135 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514217), // Rule ID 18106 //
     /* 1514140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1514160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514179 */     // MIs[0] round
     /* 1514179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514182 */     // MIs[0] policy
     /* 1514182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1514195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514216 */     // GIR_Coverage, 18106,
     /* 1514216 */     GIR_EraseRootFromParent_Done,
     /* 1514217 */   // Label 21052: @1514217
     /* 1514217 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514299), // Rule ID 18107 //
     /* 1514222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1514242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514261 */     // MIs[0] round
     /* 1514261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514264 */     // MIs[0] policy
     /* 1514264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1514277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514298 */     // GIR_Coverage, 18107,
     /* 1514298 */     GIR_EraseRootFromParent_Done,
     /* 1514299 */   // Label 21053: @1514299
     /* 1514299 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1514381), // Rule ID 18110 //
     /* 1514304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1514315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1514318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1514324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514343 */     // MIs[0] round
     /* 1514343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514346 */     // MIs[0] policy
     /* 1514346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514380 */     // GIR_Coverage, 18110,
     /* 1514380 */     GIR_EraseRootFromParent_Done,
     /* 1514381 */   // Label 21054: @1514381
     /* 1514381 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1514463), // Rule ID 18111 //
     /* 1514386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1514397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1514400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1514406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514425 */     // MIs[0] round
     /* 1514425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514428 */     // MIs[0] policy
     /* 1514428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514438 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514462 */     // GIR_Coverage, 18111,
     /* 1514462 */     GIR_EraseRootFromParent_Done,
     /* 1514463 */   // Label 21055: @1514463
     /* 1514463 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1514545), // Rule ID 18114 //
     /* 1514468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514507 */     // MIs[0] round
     /* 1514507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514510 */     // MIs[0] policy
     /* 1514510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514544 */     // GIR_Coverage, 18114,
     /* 1514544 */     GIR_EraseRootFromParent_Done,
     /* 1514545 */   // Label 21056: @1514545
     /* 1514545 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1514627), // Rule ID 18115 //
     /* 1514550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514589 */     // MIs[0] round
     /* 1514589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514592 */     // MIs[0] policy
     /* 1514592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514626 */     // GIR_Coverage, 18115,
     /* 1514626 */     GIR_EraseRootFromParent_Done,
     /* 1514627 */   // Label 21057: @1514627
     /* 1514627 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514709), // Rule ID 18118 //
     /* 1514632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514671 */     // MIs[0] round
     /* 1514671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514674 */     // MIs[0] policy
     /* 1514674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514708 */     // GIR_Coverage, 18118,
     /* 1514708 */     GIR_EraseRootFromParent_Done,
     /* 1514709 */   // Label 21058: @1514709
     /* 1514709 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514791), // Rule ID 18119 //
     /* 1514714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514753 */     // MIs[0] round
     /* 1514753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514756 */     // MIs[0] policy
     /* 1514756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514766 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514790 */     // GIR_Coverage, 18119,
     /* 1514790 */     GIR_EraseRootFromParent_Done,
     /* 1514791 */   // Label 21059: @1514791
     /* 1514791 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514873), // Rule ID 18122 //
     /* 1514796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514835 */     // MIs[0] round
     /* 1514835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514838 */     // MIs[0] policy
     /* 1514838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514872 */     // GIR_Coverage, 18122,
     /* 1514872 */     GIR_EraseRootFromParent_Done,
     /* 1514873 */   // Label 21060: @1514873
     /* 1514873 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514955), // Rule ID 18123 //
     /* 1514878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514917 */     // MIs[0] round
     /* 1514917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514920 */     // MIs[0] policy
     /* 1514920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514954 */     // GIR_Coverage, 18123,
     /* 1514954 */     GIR_EraseRootFromParent_Done,
     /* 1514955 */   // Label 21061: @1514955
     /* 1514955 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1515037), // Rule ID 18126 //
     /* 1514960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514999 */     // MIs[0] round
     /* 1514999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515002 */     // MIs[0] policy
     /* 1515002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1515015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515036 */     // GIR_Coverage, 18126,
     /* 1515036 */     GIR_EraseRootFromParent_Done,
     /* 1515037 */   // Label 21062: @1515037
     /* 1515037 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515119), // Rule ID 18127 //
     /* 1515042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1515059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1515062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515081 */     // MIs[0] round
     /* 1515081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515084 */     // MIs[0] policy
     /* 1515084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1515097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515118 */     // GIR_Coverage, 18127,
     /* 1515118 */     GIR_EraseRootFromParent_Done,
     /* 1515119 */   // Label 21063: @1515119
     /* 1515119 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515201), // Rule ID 18130 //
     /* 1515124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1515141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1515144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515163 */     // MIs[0] round
     /* 1515163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515166 */     // MIs[0] policy
     /* 1515166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1515179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515200 */     // GIR_Coverage, 18130,
     /* 1515200 */     GIR_EraseRootFromParent_Done,
     /* 1515201 */   // Label 21064: @1515201
     /* 1515201 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515283), // Rule ID 18131 //
     /* 1515206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1515223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1515226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515245 */     // MIs[0] round
     /* 1515245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515248 */     // MIs[0] policy
     /* 1515248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1515261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515282 */     // GIR_Coverage, 18131,
     /* 1515282 */     GIR_EraseRootFromParent_Done,
     /* 1515283 */   // Label 21065: @1515283
     /* 1515283 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1515365), // Rule ID 18134 //
     /* 1515288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1515299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1515302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1515305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1515308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515327 */     // MIs[0] round
     /* 1515327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515330 */     // MIs[0] policy
     /* 1515330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1515343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515364 */     // GIR_Coverage, 18134,
     /* 1515364 */     GIR_EraseRootFromParent_Done,
     /* 1515365 */   // Label 21066: @1515365
     /* 1515365 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1515447), // Rule ID 18135 //
     /* 1515370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1515381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1515384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1515387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1515390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515409 */     // MIs[0] round
     /* 1515409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515412 */     // MIs[0] policy
     /* 1515412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1515425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515446 */     // GIR_Coverage, 18135,
     /* 1515446 */     GIR_EraseRootFromParent_Done,
     /* 1515447 */   // Label 21067: @1515447
     /* 1515447 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1515529), // Rule ID 18138 //
     /* 1515452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515491 */     // MIs[0] round
     /* 1515491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515494 */     // MIs[0] policy
     /* 1515494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515504 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515528 */     // GIR_Coverage, 18138,
     /* 1515528 */     GIR_EraseRootFromParent_Done,
     /* 1515529 */   // Label 21068: @1515529
     /* 1515529 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1515611), // Rule ID 18139 //
     /* 1515534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515573 */     // MIs[0] round
     /* 1515573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515576 */     // MIs[0] policy
     /* 1515576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515586 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515610 */     // GIR_Coverage, 18139,
     /* 1515610 */     GIR_EraseRootFromParent_Done,
     /* 1515611 */   // Label 21069: @1515611
     /* 1515611 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515693), // Rule ID 18142 //
     /* 1515616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515655 */     // MIs[0] round
     /* 1515655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515658 */     // MIs[0] policy
     /* 1515658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515668 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515692 */     // GIR_Coverage, 18142,
     /* 1515692 */     GIR_EraseRootFromParent_Done,
     /* 1515693 */   // Label 21070: @1515693
     /* 1515693 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515775), // Rule ID 18143 //
     /* 1515698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515737 */     // MIs[0] round
     /* 1515737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515740 */     // MIs[0] policy
     /* 1515740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515750 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515774 */     // GIR_Coverage, 18143,
     /* 1515774 */     GIR_EraseRootFromParent_Done,
     /* 1515775 */   // Label 21071: @1515775
     /* 1515775 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515857), // Rule ID 18146 //
     /* 1515780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515819 */     // MIs[0] round
     /* 1515819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515822 */     // MIs[0] policy
     /* 1515822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515832 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515856 */     // GIR_Coverage, 18146,
     /* 1515856 */     GIR_EraseRootFromParent_Done,
     /* 1515857 */   // Label 21072: @1515857
     /* 1515857 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515939), // Rule ID 18147 //
     /* 1515862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515901 */     // MIs[0] round
     /* 1515901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515904 */     // MIs[0] policy
     /* 1515904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515938 */     // GIR_Coverage, 18147,
     /* 1515938 */     GIR_EraseRootFromParent_Done,
     /* 1515939 */   // Label 21073: @1515939
     /* 1515939 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1516021), // Rule ID 18150 //
     /* 1515944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515983 */     // MIs[0] round
     /* 1515983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515986 */     // MIs[0] policy
     /* 1515986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1515999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516020 */     // GIR_Coverage, 18150,
     /* 1516020 */     GIR_EraseRootFromParent_Done,
     /* 1516021 */   // Label 21074: @1516021
     /* 1516021 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516103), // Rule ID 18151 //
     /* 1516026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1516043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516065 */     // MIs[0] round
     /* 1516065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516068 */     // MIs[0] policy
     /* 1516068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1516081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516102 */     // GIR_Coverage, 18151,
     /* 1516102 */     GIR_EraseRootFromParent_Done,
     /* 1516103 */   // Label 21075: @1516103
     /* 1516103 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516185), // Rule ID 18154 //
     /* 1516108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1516125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516147 */     // MIs[0] round
     /* 1516147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516150 */     // MIs[0] policy
     /* 1516150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1516163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516184 */     // GIR_Coverage, 18154,
     /* 1516184 */     GIR_EraseRootFromParent_Done,
     /* 1516185 */   // Label 21076: @1516185
     /* 1516185 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516267), // Rule ID 18155 //
     /* 1516190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1516207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516229 */     // MIs[0] round
     /* 1516229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516232 */     // MIs[0] policy
     /* 1516232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516242 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1516245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516266 */     // GIR_Coverage, 18155,
     /* 1516266 */     GIR_EraseRootFromParent_Done,
     /* 1516267 */   // Label 21077: @1516267
     /* 1516267 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1516349), // Rule ID 18158 //
     /* 1516272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1516289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1516292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516311 */     // MIs[0] round
     /* 1516311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516314 */     // MIs[0] policy
     /* 1516314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1516327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516348 */     // GIR_Coverage, 18158,
     /* 1516348 */     GIR_EraseRootFromParent_Done,
     /* 1516349 */   // Label 21078: @1516349
     /* 1516349 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1516431), // Rule ID 18159 //
     /* 1516354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1516371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1516374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516393 */     // MIs[0] round
     /* 1516393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516396 */     // MIs[0] policy
     /* 1516396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1516409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516430 */     // GIR_Coverage, 18159,
     /* 1516430 */     GIR_EraseRootFromParent_Done,
     /* 1516431 */   // Label 21079: @1516431
     /* 1516431 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1516513), // Rule ID 18162 //
     /* 1516436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516475 */     // MIs[0] round
     /* 1516475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516478 */     // MIs[0] policy
     /* 1516478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516512 */     // GIR_Coverage, 18162,
     /* 1516512 */     GIR_EraseRootFromParent_Done,
     /* 1516513 */   // Label 21080: @1516513
     /* 1516513 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1516595), // Rule ID 18163 //
     /* 1516518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516557 */     // MIs[0] round
     /* 1516557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516560 */     // MIs[0] policy
     /* 1516560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516594 */     // GIR_Coverage, 18163,
     /* 1516594 */     GIR_EraseRootFromParent_Done,
     /* 1516595 */   // Label 21081: @1516595
     /* 1516595 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516677), // Rule ID 18166 //
     /* 1516600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516639 */     // MIs[0] round
     /* 1516639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516642 */     // MIs[0] policy
     /* 1516642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516676 */     // GIR_Coverage, 18166,
     /* 1516676 */     GIR_EraseRootFromParent_Done,
     /* 1516677 */   // Label 21082: @1516677
     /* 1516677 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516759), // Rule ID 18167 //
     /* 1516682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516721 */     // MIs[0] round
     /* 1516721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516724 */     // MIs[0] policy
     /* 1516724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516758 */     // GIR_Coverage, 18167,
     /* 1516758 */     GIR_EraseRootFromParent_Done,
     /* 1516759 */   // Label 21083: @1516759
     /* 1516759 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516841), // Rule ID 18170 //
     /* 1516764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516803 */     // MIs[0] round
     /* 1516803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516806 */     // MIs[0] policy
     /* 1516806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516840 */     // GIR_Coverage, 18170,
     /* 1516840 */     GIR_EraseRootFromParent_Done,
     /* 1516841 */   // Label 21084: @1516841
     /* 1516841 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516923), // Rule ID 18171 //
     /* 1516846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516885 */     // MIs[0] round
     /* 1516885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516888 */     // MIs[0] policy
     /* 1516888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516922 */     // GIR_Coverage, 18171,
     /* 1516922 */     GIR_EraseRootFromParent_Done,
     /* 1516923 */   // Label 21085: @1516923
     /* 1516923 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1517005), // Rule ID 18174 //
     /* 1516928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516967 */     // MIs[0] round
     /* 1516967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516970 */     // MIs[0] policy
     /* 1516970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517004 */     // GIR_Coverage, 18174,
     /* 1517004 */     GIR_EraseRootFromParent_Done,
     /* 1517005 */   // Label 21086: @1517005
     /* 1517005 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1517087), // Rule ID 18175 //
     /* 1517010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517049 */     // MIs[0] round
     /* 1517049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517052 */     // MIs[0] policy
     /* 1517052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517062 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1517065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517086 */     // GIR_Coverage, 18175,
     /* 1517086 */     GIR_EraseRootFromParent_Done,
     /* 1517087 */   // Label 21087: @1517087
     /* 1517087 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517169), // Rule ID 18178 //
     /* 1517092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517131 */     // MIs[0] round
     /* 1517131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517134 */     // MIs[0] policy
     /* 1517134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1517147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517168 */     // GIR_Coverage, 18178,
     /* 1517168 */     GIR_EraseRootFromParent_Done,
     /* 1517169 */   // Label 21088: @1517169
     /* 1517169 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517251), // Rule ID 18179 //
     /* 1517174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517213 */     // MIs[0] round
     /* 1517213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517216 */     // MIs[0] policy
     /* 1517216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1517229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517250 */     // GIR_Coverage, 18179,
     /* 1517250 */     GIR_EraseRootFromParent_Done,
     /* 1517251 */   // Label 21089: @1517251
     /* 1517251 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1517333), // Rule ID 18182 //
     /* 1517256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1517276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517295 */     // MIs[0] round
     /* 1517295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517298 */     // MIs[0] policy
     /* 1517298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1517311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517332 */     // GIR_Coverage, 18182,
     /* 1517332 */     GIR_EraseRootFromParent_Done,
     /* 1517333 */   // Label 21090: @1517333
     /* 1517333 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1517415), // Rule ID 18183 //
     /* 1517338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1517358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517377 */     // MIs[0] round
     /* 1517377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517380 */     // MIs[0] policy
     /* 1517380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517390 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1517393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517414 */     // GIR_Coverage, 18183,
     /* 1517414 */     GIR_EraseRootFromParent_Done,
     /* 1517415 */   // Label 21091: @1517415
     /* 1517415 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1517497), // Rule ID 18186 //
     /* 1517420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517459 */     // MIs[0] round
     /* 1517459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517462 */     // MIs[0] policy
     /* 1517462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517472 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517496 */     // GIR_Coverage, 18186,
     /* 1517496 */     GIR_EraseRootFromParent_Done,
     /* 1517497 */   // Label 21092: @1517497
     /* 1517497 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517579), // Rule ID 18187 //
     /* 1517502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517541 */     // MIs[0] round
     /* 1517541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517544 */     // MIs[0] policy
     /* 1517544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517578 */     // GIR_Coverage, 18187,
     /* 1517578 */     GIR_EraseRootFromParent_Done,
     /* 1517579 */   // Label 21093: @1517579
     /* 1517579 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517661), // Rule ID 18190 //
     /* 1517584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517623 */     // MIs[0] round
     /* 1517623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517626 */     // MIs[0] policy
     /* 1517626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517660 */     // GIR_Coverage, 18190,
     /* 1517660 */     GIR_EraseRootFromParent_Done,
     /* 1517661 */   // Label 21094: @1517661
     /* 1517661 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517743), // Rule ID 18191 //
     /* 1517666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517705 */     // MIs[0] round
     /* 1517705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517708 */     // MIs[0] policy
     /* 1517708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517742 */     // GIR_Coverage, 18191,
     /* 1517742 */     GIR_EraseRootFromParent_Done,
     /* 1517743 */   // Label 21095: @1517743
     /* 1517743 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517825), // Rule ID 18194 //
     /* 1517748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517787 */     // MIs[0] round
     /* 1517787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517790 */     // MIs[0] policy
     /* 1517790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517824 */     // GIR_Coverage, 18194,
     /* 1517824 */     GIR_EraseRootFromParent_Done,
     /* 1517825 */   // Label 21096: @1517825
     /* 1517825 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517907), // Rule ID 18195 //
     /* 1517830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517869 */     // MIs[0] round
     /* 1517869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517872 */     // MIs[0] policy
     /* 1517872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517906 */     // GIR_Coverage, 18195,
     /* 1517906 */     GIR_EraseRootFromParent_Done,
     /* 1517907 */   // Label 21097: @1517907
     /* 1517907 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517989), // Rule ID 18198 //
     /* 1517912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517951 */     // MIs[0] round
     /* 1517951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517954 */     // MIs[0] policy
     /* 1517954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517964 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517988 */     // GIR_Coverage, 18198,
     /* 1517988 */     GIR_EraseRootFromParent_Done,
     /* 1517989 */   // Label 21098: @1517989
     /* 1517989 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1518071), // Rule ID 18199 //
     /* 1517994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1518014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518033 */     // MIs[0] round
     /* 1518033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518036 */     // MIs[0] policy
     /* 1518036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1518049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518070 */     // GIR_Coverage, 18199,
     /* 1518070 */     GIR_EraseRootFromParent_Done,
     /* 1518071 */   // Label 21099: @1518071
     /* 1518071 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518153), // Rule ID 18202 //
     /* 1518076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1518096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518115 */     // MIs[0] round
     /* 1518115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518118 */     // MIs[0] policy
     /* 1518118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518128 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1518131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518152 */     // GIR_Coverage, 18202,
     /* 1518152 */     GIR_EraseRootFromParent_Done,
     /* 1518153 */   // Label 21100: @1518153
     /* 1518153 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518235), // Rule ID 18203 //
     /* 1518158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1518178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518197 */     // MIs[0] round
     /* 1518197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518200 */     // MIs[0] policy
     /* 1518200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1518213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518234 */     // GIR_Coverage, 18203,
     /* 1518234 */     GIR_EraseRootFromParent_Done,
     /* 1518235 */   // Label 21101: @1518235
     /* 1518235 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518317), // Rule ID 18206 //
     /* 1518240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1518260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518279 */     // MIs[0] round
     /* 1518279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518282 */     // MIs[0] policy
     /* 1518282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1518295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518316 */     // GIR_Coverage, 18206,
     /* 1518316 */     GIR_EraseRootFromParent_Done,
     /* 1518317 */   // Label 21102: @1518317
     /* 1518317 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1518399), // Rule ID 18207 //
     /* 1518322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1518342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518361 */     // MIs[0] round
     /* 1518361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518364 */     // MIs[0] policy
     /* 1518364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518374 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1518377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518398 */     // GIR_Coverage, 18207,
     /* 1518398 */     GIR_EraseRootFromParent_Done,
     /* 1518399 */   // Label 21103: @1518399
     /* 1518399 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1518481), // Rule ID 18210 //
     /* 1518404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518443 */     // MIs[0] round
     /* 1518443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518446 */     // MIs[0] policy
     /* 1518446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518480 */     // GIR_Coverage, 18210,
     /* 1518480 */     GIR_EraseRootFromParent_Done,
     /* 1518481 */   // Label 21104: @1518481
     /* 1518481 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518563), // Rule ID 18211 //
     /* 1518486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518525 */     // MIs[0] round
     /* 1518525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518528 */     // MIs[0] policy
     /* 1518528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518562 */     // GIR_Coverage, 18211,
     /* 1518562 */     GIR_EraseRootFromParent_Done,
     /* 1518563 */   // Label 21105: @1518563
     /* 1518563 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518645), // Rule ID 18214 //
     /* 1518568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518607 */     // MIs[0] round
     /* 1518607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518610 */     // MIs[0] policy
     /* 1518610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518644 */     // GIR_Coverage, 18214,
     /* 1518644 */     GIR_EraseRootFromParent_Done,
     /* 1518645 */   // Label 21106: @1518645
     /* 1518645 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518727), // Rule ID 18215 //
     /* 1518650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518689 */     // MIs[0] round
     /* 1518689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518692 */     // MIs[0] policy
     /* 1518692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518726 */     // GIR_Coverage, 18215,
     /* 1518726 */     GIR_EraseRootFromParent_Done,
     /* 1518727 */   // Label 21107: @1518727
     /* 1518727 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518809), // Rule ID 18218 //
     /* 1518732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518771 */     // MIs[0] round
     /* 1518771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518774 */     // MIs[0] policy
     /* 1518774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518784 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518808 */     // GIR_Coverage, 18218,
     /* 1518808 */     GIR_EraseRootFromParent_Done,
     /* 1518809 */   // Label 21108: @1518809
     /* 1518809 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518891), // Rule ID 18219 //
     /* 1518814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518853 */     // MIs[0] round
     /* 1518853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518856 */     // MIs[0] policy
     /* 1518856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518890 */     // GIR_Coverage, 18219,
     /* 1518890 */     GIR_EraseRootFromParent_Done,
     /* 1518891 */   // Label 21109: @1518891
     /* 1518891 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518973), // Rule ID 18222 //
     /* 1518896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518935 */     // MIs[0] round
     /* 1518935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518938 */     // MIs[0] policy
     /* 1518938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518972 */     // GIR_Coverage, 18222,
     /* 1518972 */     GIR_EraseRootFromParent_Done,
     /* 1518973 */   // Label 21110: @1518973
     /* 1518973 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1519055), // Rule ID 18223 //
     /* 1518978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519017 */     // MIs[0] round
     /* 1519017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519020 */     // MIs[0] policy
     /* 1519020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1519033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519054 */     // GIR_Coverage, 18223,
     /* 1519054 */     GIR_EraseRootFromParent_Done,
     /* 1519055 */   // Label 21111: @1519055
     /* 1519055 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519137), // Rule ID 18226 //
     /* 1519060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1519080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519099 */     // MIs[0] round
     /* 1519099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519102 */     // MIs[0] policy
     /* 1519102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519112 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1519115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519136 */     // GIR_Coverage, 18226,
     /* 1519136 */     GIR_EraseRootFromParent_Done,
     /* 1519137 */   // Label 21112: @1519137
     /* 1519137 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519219), // Rule ID 18227 //
     /* 1519142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1519162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519181 */     // MIs[0] round
     /* 1519181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519184 */     // MIs[0] policy
     /* 1519184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1519197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519218 */     // GIR_Coverage, 18227,
     /* 1519218 */     GIR_EraseRootFromParent_Done,
     /* 1519219 */   // Label 21113: @1519219
     /* 1519219 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519301), // Rule ID 18230 //
     /* 1519224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1519244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519263 */     // MIs[0] round
     /* 1519263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519266 */     // MIs[0] policy
     /* 1519266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519276 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1519279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519300 */     // GIR_Coverage, 18230,
     /* 1519300 */     GIR_EraseRootFromParent_Done,
     /* 1519301 */   // Label 21114: @1519301
     /* 1519301 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1519383), // Rule ID 18231 //
     /* 1519306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1519326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519345 */     // MIs[0] round
     /* 1519345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519348 */     // MIs[0] policy
     /* 1519348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1519361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519382 */     // GIR_Coverage, 18231,
     /* 1519382 */     GIR_EraseRootFromParent_Done,
     /* 1519383 */   // Label 21115: @1519383
     /* 1519383 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1519465), // Rule ID 18234 //
     /* 1519388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519427 */     // MIs[0] round
     /* 1519427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519430 */     // MIs[0] policy
     /* 1519430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519464 */     // GIR_Coverage, 18234,
     /* 1519464 */     GIR_EraseRootFromParent_Done,
     /* 1519465 */   // Label 21116: @1519465
     /* 1519465 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519547), // Rule ID 18235 //
     /* 1519470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519509 */     // MIs[0] round
     /* 1519509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519512 */     // MIs[0] policy
     /* 1519512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519546 */     // GIR_Coverage, 18235,
     /* 1519546 */     GIR_EraseRootFromParent_Done,
     /* 1519547 */   // Label 21117: @1519547
     /* 1519547 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519629), // Rule ID 18238 //
     /* 1519552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519591 */     // MIs[0] round
     /* 1519591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519594 */     // MIs[0] policy
     /* 1519594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519604 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519628 */     // GIR_Coverage, 18238,
     /* 1519628 */     GIR_EraseRootFromParent_Done,
     /* 1519629 */   // Label 21118: @1519629
     /* 1519629 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519711), // Rule ID 18239 //
     /* 1519634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519673 */     // MIs[0] round
     /* 1519673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519676 */     // MIs[0] policy
     /* 1519676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519686 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519710 */     // GIR_Coverage, 18239,
     /* 1519710 */     GIR_EraseRootFromParent_Done,
     /* 1519711 */   // Label 21119: @1519711
     /* 1519711 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519793), // Rule ID 18242 //
     /* 1519716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519755 */     // MIs[0] round
     /* 1519755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519758 */     // MIs[0] policy
     /* 1519758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519768 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519792 */     // GIR_Coverage, 18242,
     /* 1519792 */     GIR_EraseRootFromParent_Done,
     /* 1519793 */   // Label 21120: @1519793
     /* 1519793 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519875), // Rule ID 18243 //
     /* 1519798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519837 */     // MIs[0] round
     /* 1519837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519840 */     // MIs[0] policy
     /* 1519840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519874 */     // GIR_Coverage, 18243,
     /* 1519874 */     GIR_EraseRootFromParent_Done,
     /* 1519875 */   // Label 21121: @1519875
     /* 1519875 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519957), // Rule ID 18246 //
     /* 1519880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519919 */     // MIs[0] round
     /* 1519919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519922 */     // MIs[0] policy
     /* 1519922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519956 */     // GIR_Coverage, 18246,
     /* 1519956 */     GIR_EraseRootFromParent_Done,
     /* 1519957 */   // Label 21122: @1519957
     /* 1519957 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1520039), // Rule ID 18247 //
     /* 1519962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520001 */     // MIs[0] round
     /* 1520001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520004 */     // MIs[0] policy
     /* 1520004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1520017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520038 */     // GIR_Coverage, 18247,
     /* 1520038 */     GIR_EraseRootFromParent_Done,
     /* 1520039 */   // Label 21123: @1520039
     /* 1520039 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520121), // Rule ID 18250 //
     /* 1520044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1520061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520083 */     // MIs[0] round
     /* 1520083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520086 */     // MIs[0] policy
     /* 1520086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1520099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520120 */     // GIR_Coverage, 18250,
     /* 1520120 */     GIR_EraseRootFromParent_Done,
     /* 1520121 */   // Label 21124: @1520121
     /* 1520121 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520203), // Rule ID 18251 //
     /* 1520126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1520143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520165 */     // MIs[0] round
     /* 1520165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520168 */     // MIs[0] policy
     /* 1520168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520178 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1520181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520202 */     // GIR_Coverage, 18251,
     /* 1520202 */     GIR_EraseRootFromParent_Done,
     /* 1520203 */   // Label 21125: @1520203
     /* 1520203 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520285), // Rule ID 18254 //
     /* 1520208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1520225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1520228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520247 */     // MIs[0] round
     /* 1520247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520250 */     // MIs[0] policy
     /* 1520250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1520263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520284 */     // GIR_Coverage, 18254,
     /* 1520284 */     GIR_EraseRootFromParent_Done,
     /* 1520285 */   // Label 21126: @1520285
     /* 1520285 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1520367), // Rule ID 18255 //
     /* 1520290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1520307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1520310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520329 */     // MIs[0] round
     /* 1520329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520332 */     // MIs[0] policy
     /* 1520332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1520345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520366 */     // GIR_Coverage, 18255,
     /* 1520366 */     GIR_EraseRootFromParent_Done,
     /* 1520367 */   // Label 21127: @1520367
     /* 1520367 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520449), // Rule ID 18258 //
     /* 1520372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520411 */     // MIs[0] round
     /* 1520411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520414 */     // MIs[0] policy
     /* 1520414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520424 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520448 */     // GIR_Coverage, 18258,
     /* 1520448 */     GIR_EraseRootFromParent_Done,
     /* 1520449 */   // Label 21128: @1520449
     /* 1520449 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520531), // Rule ID 18259 //
     /* 1520454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520493 */     // MIs[0] round
     /* 1520493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520496 */     // MIs[0] policy
     /* 1520496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520506 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520530 */     // GIR_Coverage, 18259,
     /* 1520530 */     GIR_EraseRootFromParent_Done,
     /* 1520531 */   // Label 21129: @1520531
     /* 1520531 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520613), // Rule ID 18262 //
     /* 1520536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520575 */     // MIs[0] round
     /* 1520575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520578 */     // MIs[0] policy
     /* 1520578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520588 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520612 */     // GIR_Coverage, 18262,
     /* 1520612 */     GIR_EraseRootFromParent_Done,
     /* 1520613 */   // Label 21130: @1520613
     /* 1520613 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520695), // Rule ID 18263 //
     /* 1520618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520657 */     // MIs[0] round
     /* 1520657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520660 */     // MIs[0] policy
     /* 1520660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520694 */     // GIR_Coverage, 18263,
     /* 1520694 */     GIR_EraseRootFromParent_Done,
     /* 1520695 */   // Label 21131: @1520695
     /* 1520695 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520777), // Rule ID 18266 //
     /* 1520700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520739 */     // MIs[0] round
     /* 1520739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520742 */     // MIs[0] policy
     /* 1520742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520752 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520776 */     // GIR_Coverage, 18266,
     /* 1520776 */     GIR_EraseRootFromParent_Done,
     /* 1520777 */   // Label 21132: @1520777
     /* 1520777 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520859), // Rule ID 18267 //
     /* 1520782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520821 */     // MIs[0] round
     /* 1520821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520824 */     // MIs[0] policy
     /* 1520824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520834 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520858 */     // GIR_Coverage, 18267,
     /* 1520858 */     GIR_EraseRootFromParent_Done,
     /* 1520859 */   // Label 21133: @1520859
     /* 1520859 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520941), // Rule ID 18270 //
     /* 1520864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520903 */     // MIs[0] round
     /* 1520903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520906 */     // MIs[0] policy
     /* 1520906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520940 */     // GIR_Coverage, 18270,
     /* 1520940 */     GIR_EraseRootFromParent_Done,
     /* 1520941 */   // Label 21134: @1520941
     /* 1520941 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1521023), // Rule ID 18271 //
     /* 1520946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520985 */     // MIs[0] round
     /* 1520985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520988 */     // MIs[0] policy
     /* 1520988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1521001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521022 */     // GIR_Coverage, 18271,
     /* 1521022 */     GIR_EraseRootFromParent_Done,
     /* 1521023 */   // Label 21135: @1521023
     /* 1521023 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521105), // Rule ID 18274 //
     /* 1521028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1521045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521067 */     // MIs[0] round
     /* 1521067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521070 */     // MIs[0] policy
     /* 1521070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1521083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521104 */     // GIR_Coverage, 18274,
     /* 1521104 */     GIR_EraseRootFromParent_Done,
     /* 1521105 */   // Label 21136: @1521105
     /* 1521105 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521187), // Rule ID 18275 //
     /* 1521110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1521127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521149 */     // MIs[0] round
     /* 1521149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521152 */     // MIs[0] policy
     /* 1521152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1521165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521186 */     // GIR_Coverage, 18275,
     /* 1521186 */     GIR_EraseRootFromParent_Done,
     /* 1521187 */   // Label 21137: @1521187
     /* 1521187 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521269), // Rule ID 18278 //
     /* 1521192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1521203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1521206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1521209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1521212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521231 */     // MIs[0] round
     /* 1521231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521234 */     // MIs[0] policy
     /* 1521234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521244 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1521247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521268 */     // GIR_Coverage, 18278,
     /* 1521268 */     GIR_EraseRootFromParent_Done,
     /* 1521269 */   // Label 21138: @1521269
     /* 1521269 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1521351), // Rule ID 18279 //
     /* 1521274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1521285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1521288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1521291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1521294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521313 */     // MIs[0] round
     /* 1521313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521316 */     // MIs[0] policy
     /* 1521316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521326 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1521329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521350 */     // GIR_Coverage, 18279,
     /* 1521350 */     GIR_EraseRootFromParent_Done,
     /* 1521351 */   // Label 21139: @1521351
     /* 1521351 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521433), // Rule ID 18282 //
     /* 1521356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521395 */     // MIs[0] round
     /* 1521395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521398 */     // MIs[0] policy
     /* 1521398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521408 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521432 */     // GIR_Coverage, 18282,
     /* 1521432 */     GIR_EraseRootFromParent_Done,
     /* 1521433 */   // Label 21140: @1521433
     /* 1521433 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521515), // Rule ID 18283 //
     /* 1521438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521477 */     // MIs[0] round
     /* 1521477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521480 */     // MIs[0] policy
     /* 1521480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521514 */     // GIR_Coverage, 18283,
     /* 1521514 */     GIR_EraseRootFromParent_Done,
     /* 1521515 */   // Label 21141: @1521515
     /* 1521515 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521597), // Rule ID 18286 //
     /* 1521520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521559 */     // MIs[0] round
     /* 1521559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521562 */     // MIs[0] policy
     /* 1521562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521596 */     // GIR_Coverage, 18286,
     /* 1521596 */     GIR_EraseRootFromParent_Done,
     /* 1521597 */   // Label 21142: @1521597
     /* 1521597 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521679), // Rule ID 18287 //
     /* 1521602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521641 */     // MIs[0] round
     /* 1521641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521644 */     // MIs[0] policy
     /* 1521644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521678 */     // GIR_Coverage, 18287,
     /* 1521678 */     GIR_EraseRootFromParent_Done,
     /* 1521679 */   // Label 21143: @1521679
     /* 1521679 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521761), // Rule ID 18290 //
     /* 1521684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521723 */     // MIs[0] round
     /* 1521723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521726 */     // MIs[0] policy
     /* 1521726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521760 */     // GIR_Coverage, 18290,
     /* 1521760 */     GIR_EraseRootFromParent_Done,
     /* 1521761 */   // Label 21144: @1521761
     /* 1521761 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521843), // Rule ID 18291 //
     /* 1521766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521805 */     // MIs[0] round
     /* 1521805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521808 */     // MIs[0] policy
     /* 1521808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521842 */     // GIR_Coverage, 18291,
     /* 1521842 */     GIR_EraseRootFromParent_Done,
     /* 1521843 */   // Label 21145: @1521843
     /* 1521843 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521925), // Rule ID 18294 //
     /* 1521848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521887 */     // MIs[0] round
     /* 1521887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521890 */     // MIs[0] policy
     /* 1521890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521924 */     // GIR_Coverage, 18294,
     /* 1521924 */     GIR_EraseRootFromParent_Done,
     /* 1521925 */   // Label 21146: @1521925
     /* 1521925 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1522007), // Rule ID 18295 //
     /* 1521930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521969 */     // MIs[0] round
     /* 1521969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521972 */     // MIs[0] policy
     /* 1521972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522006 */     // GIR_Coverage, 18295,
     /* 1522006 */     GIR_EraseRootFromParent_Done,
     /* 1522007 */   // Label 21147: @1522007
     /* 1522007 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1522089), // Rule ID 18298 //
     /* 1522012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522051 */     // MIs[0] round
     /* 1522051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522054 */     // MIs[0] policy
     /* 1522054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1522067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522088 */     // GIR_Coverage, 18298,
     /* 1522088 */     GIR_EraseRootFromParent_Done,
     /* 1522089 */   // Label 21148: @1522089
     /* 1522089 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522171), // Rule ID 18299 //
     /* 1522094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522133 */     // MIs[0] round
     /* 1522133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522136 */     // MIs[0] policy
     /* 1522136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522146 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1522149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522170 */     // GIR_Coverage, 18299,
     /* 1522170 */     GIR_EraseRootFromParent_Done,
     /* 1522171 */   // Label 21149: @1522171
     /* 1522171 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522253), // Rule ID 18302 //
     /* 1522176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1522187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1522190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522215 */     // MIs[0] round
     /* 1522215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522218 */     // MIs[0] policy
     /* 1522218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1522231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522252 */     // GIR_Coverage, 18302,
     /* 1522252 */     GIR_EraseRootFromParent_Done,
     /* 1522253 */   // Label 21150: @1522253
     /* 1522253 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1522335), // Rule ID 18303 //
     /* 1522258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1522269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1522272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522297 */     // MIs[0] round
     /* 1522297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522300 */     // MIs[0] policy
     /* 1522300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522310 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1522313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522334 */     // GIR_Coverage, 18303,
     /* 1522334 */     GIR_EraseRootFromParent_Done,
     /* 1522335 */   // Label 21151: @1522335
     /* 1522335 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522417), // Rule ID 18306 //
     /* 1522340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522379 */     // MIs[0] round
     /* 1522379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522382 */     // MIs[0] policy
     /* 1522382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522416 */     // GIR_Coverage, 18306,
     /* 1522416 */     GIR_EraseRootFromParent_Done,
     /* 1522417 */   // Label 21152: @1522417
     /* 1522417 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522499), // Rule ID 18307 //
     /* 1522422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522461 */     // MIs[0] round
     /* 1522461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522464 */     // MIs[0] policy
     /* 1522464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522498 */     // GIR_Coverage, 18307,
     /* 1522498 */     GIR_EraseRootFromParent_Done,
     /* 1522499 */   // Label 21153: @1522499
     /* 1522499 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522581), // Rule ID 18310 //
     /* 1522504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522543 */     // MIs[0] round
     /* 1522543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522546 */     // MIs[0] policy
     /* 1522546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522580 */     // GIR_Coverage, 18310,
     /* 1522580 */     GIR_EraseRootFromParent_Done,
     /* 1522581 */   // Label 21154: @1522581
     /* 1522581 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522663), // Rule ID 18311 //
     /* 1522586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522625 */     // MIs[0] round
     /* 1522625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522628 */     // MIs[0] policy
     /* 1522628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522662 */     // GIR_Coverage, 18311,
     /* 1522662 */     GIR_EraseRootFromParent_Done,
     /* 1522663 */   // Label 21155: @1522663
     /* 1522663 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522745), // Rule ID 18314 //
     /* 1522668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522707 */     // MIs[0] round
     /* 1522707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522710 */     // MIs[0] policy
     /* 1522710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522744 */     // GIR_Coverage, 18314,
     /* 1522744 */     GIR_EraseRootFromParent_Done,
     /* 1522745 */   // Label 21156: @1522745
     /* 1522745 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522827), // Rule ID 18315 //
     /* 1522750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522789 */     // MIs[0] round
     /* 1522789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522792 */     // MIs[0] policy
     /* 1522792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522826 */     // GIR_Coverage, 18315,
     /* 1522826 */     GIR_EraseRootFromParent_Done,
     /* 1522827 */   // Label 21157: @1522827
     /* 1522827 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522909), // Rule ID 18318 //
     /* 1522832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522871 */     // MIs[0] round
     /* 1522871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522874 */     // MIs[0] policy
     /* 1522874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522884 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522908 */     // GIR_Coverage, 18318,
     /* 1522908 */     GIR_EraseRootFromParent_Done,
     /* 1522909 */   // Label 21158: @1522909
     /* 1522909 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522991), // Rule ID 18319 //
     /* 1522914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522953 */     // MIs[0] round
     /* 1522953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522956 */     // MIs[0] policy
     /* 1522956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522990 */     // GIR_Coverage, 18319,
     /* 1522990 */     GIR_EraseRootFromParent_Done,
     /* 1522991 */   // Label 21159: @1522991
     /* 1522991 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1523073), // Rule ID 18322 //
     /* 1522996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523035 */     // MIs[0] round
     /* 1523035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523038 */     // MIs[0] policy
     /* 1523038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1523051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523072 */     // GIR_Coverage, 18322,
     /* 1523072 */     GIR_EraseRootFromParent_Done,
     /* 1523073 */   // Label 21160: @1523073
     /* 1523073 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523155), // Rule ID 18323 //
     /* 1523078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523117 */     // MIs[0] round
     /* 1523117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523120 */     // MIs[0] policy
     /* 1523120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1523133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523154 */     // GIR_Coverage, 18323,
     /* 1523154 */     GIR_EraseRootFromParent_Done,
     /* 1523155 */   // Label 21161: @1523155
     /* 1523155 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523237), // Rule ID 18326 //
     /* 1523160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1523180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523199 */     // MIs[0] round
     /* 1523199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523202 */     // MIs[0] policy
     /* 1523202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523212 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1523215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523236 */     // GIR_Coverage, 18326,
     /* 1523236 */     GIR_EraseRootFromParent_Done,
     /* 1523237 */   // Label 21162: @1523237
     /* 1523237 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523319), // Rule ID 18327 //
     /* 1523242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1523262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523281 */     // MIs[0] round
     /* 1523281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523284 */     // MIs[0] policy
     /* 1523284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523294 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1523297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523318 */     // GIR_Coverage, 18327,
     /* 1523318 */     GIR_EraseRootFromParent_Done,
     /* 1523319 */   // Label 21163: @1523319
     /* 1523319 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523401), // Rule ID 18330 //
     /* 1523324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1523344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523363 */     // MIs[0] round
     /* 1523363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523366 */     // MIs[0] policy
     /* 1523366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523400 */     // GIR_Coverage, 18330,
     /* 1523400 */     GIR_EraseRootFromParent_Done,
     /* 1523401 */   // Label 21164: @1523401
     /* 1523401 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523483), // Rule ID 18331 //
     /* 1523406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1523426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523445 */     // MIs[0] round
     /* 1523445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523448 */     // MIs[0] policy
     /* 1523448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523482 */     // GIR_Coverage, 18331,
     /* 1523482 */     GIR_EraseRootFromParent_Done,
     /* 1523483 */   // Label 21165: @1523483
     /* 1523483 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523565), // Rule ID 18334 //
     /* 1523488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523527 */     // MIs[0] round
     /* 1523527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523530 */     // MIs[0] policy
     /* 1523530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523564 */     // GIR_Coverage, 18334,
     /* 1523564 */     GIR_EraseRootFromParent_Done,
     /* 1523565 */   // Label 21166: @1523565
     /* 1523565 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523647), // Rule ID 18335 //
     /* 1523570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523609 */     // MIs[0] round
     /* 1523609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523612 */     // MIs[0] policy
     /* 1523612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523622 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523646 */     // GIR_Coverage, 18335,
     /* 1523646 */     GIR_EraseRootFromParent_Done,
     /* 1523647 */   // Label 21167: @1523647
     /* 1523647 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523729), // Rule ID 18338 //
     /* 1523652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523691 */     // MIs[0] round
     /* 1523691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523694 */     // MIs[0] policy
     /* 1523694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523704 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523728 */     // GIR_Coverage, 18338,
     /* 1523728 */     GIR_EraseRootFromParent_Done,
     /* 1523729 */   // Label 21168: @1523729
     /* 1523729 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523811), // Rule ID 18339 //
     /* 1523734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523773 */     // MIs[0] round
     /* 1523773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523776 */     // MIs[0] policy
     /* 1523776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523786 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523810 */     // GIR_Coverage, 18339,
     /* 1523810 */     GIR_EraseRootFromParent_Done,
     /* 1523811 */   // Label 21169: @1523811
     /* 1523811 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523893), // Rule ID 18342 //
     /* 1523816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523855 */     // MIs[0] round
     /* 1523855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523858 */     // MIs[0] policy
     /* 1523858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523868 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523892 */     // GIR_Coverage, 18342,
     /* 1523892 */     GIR_EraseRootFromParent_Done,
     /* 1523893 */   // Label 21170: @1523893
     /* 1523893 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523975), // Rule ID 18343 //
     /* 1523898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523937 */     // MIs[0] round
     /* 1523937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523940 */     // MIs[0] policy
     /* 1523940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523950 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523974 */     // GIR_Coverage, 18343,
     /* 1523974 */     GIR_EraseRootFromParent_Done,
     /* 1523975 */   // Label 21171: @1523975
     /* 1523975 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1524057), // Rule ID 18346 //
     /* 1523980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524019 */     // MIs[0] round
     /* 1524019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524022 */     // MIs[0] policy
     /* 1524022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1524035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524056 */     // GIR_Coverage, 18346,
     /* 1524056 */     GIR_EraseRootFromParent_Done,
     /* 1524057 */   // Label 21172: @1524057
     /* 1524057 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524139), // Rule ID 18347 //
     /* 1524062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524101 */     // MIs[0] round
     /* 1524101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524104 */     // MIs[0] policy
     /* 1524104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1524117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524138 */     // GIR_Coverage, 18347,
     /* 1524138 */     GIR_EraseRootFromParent_Done,
     /* 1524139 */   // Label 21173: @1524139
     /* 1524139 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524221), // Rule ID 18350 //
     /* 1524144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1524164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524183 */     // MIs[0] round
     /* 1524183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524186 */     // MIs[0] policy
     /* 1524186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524196 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1524199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524220 */     // GIR_Coverage, 18350,
     /* 1524220 */     GIR_EraseRootFromParent_Done,
     /* 1524221 */   // Label 21174: @1524221
     /* 1524221 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524303), // Rule ID 18351 //
     /* 1524226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1524246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524265 */     // MIs[0] round
     /* 1524265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524268 */     // MIs[0] policy
     /* 1524268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1524281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524302 */     // GIR_Coverage, 18351,
     /* 1524302 */     GIR_EraseRootFromParent_Done,
     /* 1524303 */   // Label 21175: @1524303
     /* 1524303 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524385), // Rule ID 18354 //
     /* 1524308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1524319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1524322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524347 */     // MIs[0] round
     /* 1524347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524350 */     // MIs[0] policy
     /* 1524350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524384 */     // GIR_Coverage, 18354,
     /* 1524384 */     GIR_EraseRootFromParent_Done,
     /* 1524385 */   // Label 21176: @1524385
     /* 1524385 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524467), // Rule ID 18355 //
     /* 1524390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1524401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1524404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524429 */     // MIs[0] round
     /* 1524429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524432 */     // MIs[0] policy
     /* 1524432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524466 */     // GIR_Coverage, 18355,
     /* 1524466 */     GIR_EraseRootFromParent_Done,
     /* 1524467 */   // Label 21177: @1524467
     /* 1524467 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524549), // Rule ID 18358 //
     /* 1524472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524511 */     // MIs[0] round
     /* 1524511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524514 */     // MIs[0] policy
     /* 1524514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524524 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524548 */     // GIR_Coverage, 18358,
     /* 1524548 */     GIR_EraseRootFromParent_Done,
     /* 1524549 */   // Label 21178: @1524549
     /* 1524549 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524631), // Rule ID 18359 //
     /* 1524554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524593 */     // MIs[0] round
     /* 1524593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524596 */     // MIs[0] policy
     /* 1524596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524630 */     // GIR_Coverage, 18359,
     /* 1524630 */     GIR_EraseRootFromParent_Done,
     /* 1524631 */   // Label 21179: @1524631
     /* 1524631 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524713), // Rule ID 18362 //
     /* 1524636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524675 */     // MIs[0] round
     /* 1524675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524678 */     // MIs[0] policy
     /* 1524678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524712 */     // GIR_Coverage, 18362,
     /* 1524712 */     GIR_EraseRootFromParent_Done,
     /* 1524713 */   // Label 21180: @1524713
     /* 1524713 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524795), // Rule ID 18363 //
     /* 1524718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524757 */     // MIs[0] round
     /* 1524757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524760 */     // MIs[0] policy
     /* 1524760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524794 */     // GIR_Coverage, 18363,
     /* 1524794 */     GIR_EraseRootFromParent_Done,
     /* 1524795 */   // Label 21181: @1524795
     /* 1524795 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524877), // Rule ID 18366 //
     /* 1524800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524839 */     // MIs[0] round
     /* 1524839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524842 */     // MIs[0] policy
     /* 1524842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524876 */     // GIR_Coverage, 18366,
     /* 1524876 */     GIR_EraseRootFromParent_Done,
     /* 1524877 */   // Label 21182: @1524877
     /* 1524877 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524959), // Rule ID 18367 //
     /* 1524882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524921 */     // MIs[0] round
     /* 1524921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524924 */     // MIs[0] policy
     /* 1524924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524934 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524958 */     // GIR_Coverage, 18367,
     /* 1524958 */     GIR_EraseRootFromParent_Done,
     /* 1524959 */   // Label 21183: @1524959
     /* 1524959 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1525041), // Rule ID 18370 //
     /* 1524964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525003 */     // MIs[0] round
     /* 1525003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525006 */     // MIs[0] policy
     /* 1525006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1525019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525040 */     // GIR_Coverage, 18370,
     /* 1525040 */     GIR_EraseRootFromParent_Done,
     /* 1525041 */   // Label 21184: @1525041
     /* 1525041 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525123), // Rule ID 18371 //
     /* 1525046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1525057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1525060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525085 */     // MIs[0] round
     /* 1525085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525088 */     // MIs[0] policy
     /* 1525088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1525101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525122 */     // GIR_Coverage, 18371,
     /* 1525122 */     GIR_EraseRootFromParent_Done,
     /* 1525123 */   // Label 21185: @1525123
     /* 1525123 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525205), // Rule ID 18374 //
     /* 1525128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1525145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1525148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525167 */     // MIs[0] round
     /* 1525167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525170 */     // MIs[0] policy
     /* 1525170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1525183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525204 */     // GIR_Coverage, 18374,
     /* 1525204 */     GIR_EraseRootFromParent_Done,
     /* 1525205 */   // Label 21186: @1525205
     /* 1525205 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525287), // Rule ID 18375 //
     /* 1525210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1525227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1525230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525249 */     // MIs[0] round
     /* 1525249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525252 */     // MIs[0] policy
     /* 1525252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1525265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525286 */     // GIR_Coverage, 18375,
     /* 1525286 */     GIR_EraseRootFromParent_Done,
     /* 1525287 */   // Label 21187: @1525287
     /* 1525287 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525369), // Rule ID 18378 //
     /* 1525292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1525303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1525306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525331 */     // MIs[0] round
     /* 1525331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525334 */     // MIs[0] policy
     /* 1525334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1525347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525368 */     // GIR_Coverage, 18378,
     /* 1525368 */     GIR_EraseRootFromParent_Done,
     /* 1525369 */   // Label 21188: @1525369
     /* 1525369 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525451), // Rule ID 18379 //
     /* 1525374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1525385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1525388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525413 */     // MIs[0] round
     /* 1525413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525416 */     // MIs[0] policy
     /* 1525416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1525429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525450 */     // GIR_Coverage, 18379,
     /* 1525450 */     GIR_EraseRootFromParent_Done,
     /* 1525451 */   // Label 21189: @1525451
     /* 1525451 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525533), // Rule ID 18382 //
     /* 1525456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525495 */     // MIs[0] round
     /* 1525495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525498 */     // MIs[0] policy
     /* 1525498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525532 */     // GIR_Coverage, 18382,
     /* 1525532 */     GIR_EraseRootFromParent_Done,
     /* 1525533 */   // Label 21190: @1525533
     /* 1525533 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525615), // Rule ID 18383 //
     /* 1525538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525577 */     // MIs[0] round
     /* 1525577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525580 */     // MIs[0] policy
     /* 1525580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525614 */     // GIR_Coverage, 18383,
     /* 1525614 */     GIR_EraseRootFromParent_Done,
     /* 1525615 */   // Label 21191: @1525615
     /* 1525615 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525697), // Rule ID 18386 //
     /* 1525620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525659 */     // MIs[0] round
     /* 1525659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525662 */     // MIs[0] policy
     /* 1525662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525672 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525696 */     // GIR_Coverage, 18386,
     /* 1525696 */     GIR_EraseRootFromParent_Done,
     /* 1525697 */   // Label 21192: @1525697
     /* 1525697 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525779), // Rule ID 18387 //
     /* 1525702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525741 */     // MIs[0] round
     /* 1525741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525744 */     // MIs[0] policy
     /* 1525744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525778 */     // GIR_Coverage, 18387,
     /* 1525778 */     GIR_EraseRootFromParent_Done,
     /* 1525779 */   // Label 21193: @1525779
     /* 1525779 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525861), // Rule ID 18390 //
     /* 1525784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525823 */     // MIs[0] round
     /* 1525823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525826 */     // MIs[0] policy
     /* 1525826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525860 */     // GIR_Coverage, 18390,
     /* 1525860 */     GIR_EraseRootFromParent_Done,
     /* 1525861 */   // Label 21194: @1525861
     /* 1525861 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525943), // Rule ID 18391 //
     /* 1525866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525905 */     // MIs[0] round
     /* 1525905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525908 */     // MIs[0] policy
     /* 1525908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525918 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525942 */     // GIR_Coverage, 18391,
     /* 1525942 */     GIR_EraseRootFromParent_Done,
     /* 1525943 */   // Label 21195: @1525943
     /* 1525943 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1526025), // Rule ID 18394 //
     /* 1525948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525987 */     // MIs[0] round
     /* 1525987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525990 */     // MIs[0] policy
     /* 1525990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1526003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526024 */     // GIR_Coverage, 18394,
     /* 1526024 */     GIR_EraseRootFromParent_Done,
     /* 1526025 */   // Label 21196: @1526025
     /* 1526025 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526107), // Rule ID 18395 //
     /* 1526030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1526047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1526050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526069 */     // MIs[0] round
     /* 1526069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526072 */     // MIs[0] policy
     /* 1526072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1526085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526106 */     // GIR_Coverage, 18395,
     /* 1526106 */     GIR_EraseRootFromParent_Done,
     /* 1526107 */   // Label 21197: @1526107
     /* 1526107 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526189), // Rule ID 18398 //
     /* 1526112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1526129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1526132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526151 */     // MIs[0] round
     /* 1526151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526154 */     // MIs[0] policy
     /* 1526154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1526167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526188 */     // GIR_Coverage, 18398,
     /* 1526188 */     GIR_EraseRootFromParent_Done,
     /* 1526189 */   // Label 21198: @1526189
     /* 1526189 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526271), // Rule ID 18399 //
     /* 1526194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1526211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1526214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526233 */     // MIs[0] round
     /* 1526233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526236 */     // MIs[0] policy
     /* 1526236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1526249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526270 */     // GIR_Coverage, 18399,
     /* 1526270 */     GIR_EraseRootFromParent_Done,
     /* 1526271 */   // Label 21199: @1526271
     /* 1526271 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526353), // Rule ID 18402 //
     /* 1526276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1526287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1526290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1526293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1526296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526315 */     // MIs[0] round
     /* 1526315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526318 */     // MIs[0] policy
     /* 1526318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1526331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526352 */     // GIR_Coverage, 18402,
     /* 1526352 */     GIR_EraseRootFromParent_Done,
     /* 1526353 */   // Label 21200: @1526353
     /* 1526353 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526435), // Rule ID 18403 //
     /* 1526358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1526369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1526372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1526375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1526378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526397 */     // MIs[0] round
     /* 1526397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526400 */     // MIs[0] policy
     /* 1526400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1526413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526434 */     // GIR_Coverage, 18403,
     /* 1526434 */     GIR_EraseRootFromParent_Done,
     /* 1526435 */   // Label 21201: @1526435
     /* 1526435 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526517), // Rule ID 18406 //
     /* 1526440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526479 */     // MIs[0] round
     /* 1526479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526482 */     // MIs[0] policy
     /* 1526482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526516 */     // GIR_Coverage, 18406,
     /* 1526516 */     GIR_EraseRootFromParent_Done,
     /* 1526517 */   // Label 21202: @1526517
     /* 1526517 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526599), // Rule ID 18407 //
     /* 1526522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526561 */     // MIs[0] round
     /* 1526561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526564 */     // MIs[0] policy
     /* 1526564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526598 */     // GIR_Coverage, 18407,
     /* 1526598 */     GIR_EraseRootFromParent_Done,
     /* 1526599 */   // Label 21203: @1526599
     /* 1526599 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526681), // Rule ID 18410 //
     /* 1526604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526643 */     // MIs[0] round
     /* 1526643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526646 */     // MIs[0] policy
     /* 1526646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526680 */     // GIR_Coverage, 18410,
     /* 1526680 */     GIR_EraseRootFromParent_Done,
     /* 1526681 */   // Label 21204: @1526681
     /* 1526681 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526763), // Rule ID 18411 //
     /* 1526686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526725 */     // MIs[0] round
     /* 1526725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526728 */     // MIs[0] policy
     /* 1526728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526762 */     // GIR_Coverage, 18411,
     /* 1526762 */     GIR_EraseRootFromParent_Done,
     /* 1526763 */   // Label 21205: @1526763
     /* 1526763 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526845), // Rule ID 18414 //
     /* 1526768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526807 */     // MIs[0] round
     /* 1526807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526810 */     // MIs[0] policy
     /* 1526810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526820 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526844 */     // GIR_Coverage, 18414,
     /* 1526844 */     GIR_EraseRootFromParent_Done,
     /* 1526845 */   // Label 21206: @1526845
     /* 1526845 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526927), // Rule ID 18415 //
     /* 1526850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526889 */     // MIs[0] round
     /* 1526889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526892 */     // MIs[0] policy
     /* 1526892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526926 */     // GIR_Coverage, 18415,
     /* 1526926 */     GIR_EraseRootFromParent_Done,
     /* 1526927 */   // Label 21207: @1526927
     /* 1526927 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1527009), // Rule ID 18418 //
     /* 1526932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526971 */     // MIs[0] round
     /* 1526971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526974 */     // MIs[0] policy
     /* 1526974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526984 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527008 */     // GIR_Coverage, 18418,
     /* 1527008 */     GIR_EraseRootFromParent_Done,
     /* 1527009 */   // Label 21208: @1527009
     /* 1527009 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1527091), // Rule ID 18419 //
     /* 1527014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1527034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527053 */     // MIs[0] round
     /* 1527053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527056 */     // MIs[0] policy
     /* 1527056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527066 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1527069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527090 */     // GIR_Coverage, 18419,
     /* 1527090 */     GIR_EraseRootFromParent_Done,
     /* 1527091 */   // Label 21209: @1527091
     /* 1527091 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527173), // Rule ID 18422 //
     /* 1527096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1527116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527135 */     // MIs[0] round
     /* 1527135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527138 */     // MIs[0] policy
     /* 1527138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527148 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1527151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527172 */     // GIR_Coverage, 18422,
     /* 1527172 */     GIR_EraseRootFromParent_Done,
     /* 1527173 */   // Label 21210: @1527173
     /* 1527173 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527255), // Rule ID 18423 //
     /* 1527178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1527198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527217 */     // MIs[0] round
     /* 1527217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527220 */     // MIs[0] policy
     /* 1527220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527230 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1527233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527254 */     // GIR_Coverage, 18423,
     /* 1527254 */     GIR_EraseRootFromParent_Done,
     /* 1527255 */   // Label 21211: @1527255
     /* 1527255 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527337), // Rule ID 18426 //
     /* 1527260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1527280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527299 */     // MIs[0] round
     /* 1527299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527302 */     // MIs[0] policy
     /* 1527302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527312 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1527315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527336 */     // GIR_Coverage, 18426,
     /* 1527336 */     GIR_EraseRootFromParent_Done,
     /* 1527337 */   // Label 21212: @1527337
     /* 1527337 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527419), // Rule ID 18427 //
     /* 1527342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1527362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527381 */     // MIs[0] round
     /* 1527381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527384 */     // MIs[0] policy
     /* 1527384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527394 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1527397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527418 */     // GIR_Coverage, 18427,
     /* 1527418 */     GIR_EraseRootFromParent_Done,
     /* 1527419 */   // Label 21213: @1527419
     /* 1527419 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527501), // Rule ID 18430 //
     /* 1527424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527463 */     // MIs[0] round
     /* 1527463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527466 */     // MIs[0] policy
     /* 1527466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527476 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527500 */     // GIR_Coverage, 18430,
     /* 1527500 */     GIR_EraseRootFromParent_Done,
     /* 1527501 */   // Label 21214: @1527501
     /* 1527501 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527583), // Rule ID 18431 //
     /* 1527506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527545 */     // MIs[0] round
     /* 1527545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527548 */     // MIs[0] policy
     /* 1527548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527582 */     // GIR_Coverage, 18431,
     /* 1527582 */     GIR_EraseRootFromParent_Done,
     /* 1527583 */   // Label 21215: @1527583
     /* 1527583 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527665), // Rule ID 18434 //
     /* 1527588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527627 */     // MIs[0] round
     /* 1527627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527630 */     // MIs[0] policy
     /* 1527630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527664 */     // GIR_Coverage, 18434,
     /* 1527664 */     GIR_EraseRootFromParent_Done,
     /* 1527665 */   // Label 21216: @1527665
     /* 1527665 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527747), // Rule ID 18435 //
     /* 1527670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527709 */     // MIs[0] round
     /* 1527709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527712 */     // MIs[0] policy
     /* 1527712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527746 */     // GIR_Coverage, 18435,
     /* 1527746 */     GIR_EraseRootFromParent_Done,
     /* 1527747 */   // Label 21217: @1527747
     /* 1527747 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527829), // Rule ID 18438 //
     /* 1527752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527791 */     // MIs[0] round
     /* 1527791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527794 */     // MIs[0] policy
     /* 1527794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527828 */     // GIR_Coverage, 18438,
     /* 1527828 */     GIR_EraseRootFromParent_Done,
     /* 1527829 */   // Label 21218: @1527829
     /* 1527829 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527911), // Rule ID 18439 //
     /* 1527834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527873 */     // MIs[0] round
     /* 1527873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527876 */     // MIs[0] policy
     /* 1527876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527910 */     // GIR_Coverage, 18439,
     /* 1527910 */     GIR_EraseRootFromParent_Done,
     /* 1527911 */   // Label 21219: @1527911
     /* 1527911 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527993), // Rule ID 18442 //
     /* 1527916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527955 */     // MIs[0] round
     /* 1527955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527958 */     // MIs[0] policy
     /* 1527958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527968 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527992 */     // GIR_Coverage, 18442,
     /* 1527992 */     GIR_EraseRootFromParent_Done,
     /* 1527993 */   // Label 21220: @1527993
     /* 1527993 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1528075), // Rule ID 18443 //
     /* 1527998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528037 */     // MIs[0] round
     /* 1528037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528040 */     // MIs[0] policy
     /* 1528040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1528053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528074 */     // GIR_Coverage, 18443,
     /* 1528074 */     GIR_EraseRootFromParent_Done,
     /* 1528075 */   // Label 21221: @1528075
     /* 1528075 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528157), // Rule ID 18446 //
     /* 1528080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1528100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528119 */     // MIs[0] round
     /* 1528119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528122 */     // MIs[0] policy
     /* 1528122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528132 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1528135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528156 */     // GIR_Coverage, 18446,
     /* 1528156 */     GIR_EraseRootFromParent_Done,
     /* 1528157 */   // Label 21222: @1528157
     /* 1528157 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528239), // Rule ID 18447 //
     /* 1528162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1528182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528201 */     // MIs[0] round
     /* 1528201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528204 */     // MIs[0] policy
     /* 1528204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528214 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1528217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528238 */     // GIR_Coverage, 18447,
     /* 1528238 */     GIR_EraseRootFromParent_Done,
     /* 1528239 */   // Label 21223: @1528239
     /* 1528239 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528321), // Rule ID 18450 //
     /* 1528244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1528264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528283 */     // MIs[0] round
     /* 1528283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528286 */     // MIs[0] policy
     /* 1528286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1528299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528320 */     // GIR_Coverage, 18450,
     /* 1528320 */     GIR_EraseRootFromParent_Done,
     /* 1528321 */   // Label 21224: @1528321
     /* 1528321 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528403), // Rule ID 18451 //
     /* 1528326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1528346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528365 */     // MIs[0] round
     /* 1528365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528368 */     // MIs[0] policy
     /* 1528368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1528381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528402 */     // GIR_Coverage, 18451,
     /* 1528402 */     GIR_EraseRootFromParent_Done,
     /* 1528403 */   // Label 21225: @1528403
     /* 1528403 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528485), // Rule ID 18454 //
     /* 1528408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528447 */     // MIs[0] round
     /* 1528447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528450 */     // MIs[0] policy
     /* 1528450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528460 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528484 */     // GIR_Coverage, 18454,
     /* 1528484 */     GIR_EraseRootFromParent_Done,
     /* 1528485 */   // Label 21226: @1528485
     /* 1528485 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528567), // Rule ID 18455 //
     /* 1528490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528529 */     // MIs[0] round
     /* 1528529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528532 */     // MIs[0] policy
     /* 1528532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528566 */     // GIR_Coverage, 18455,
     /* 1528566 */     GIR_EraseRootFromParent_Done,
     /* 1528567 */   // Label 21227: @1528567
     /* 1528567 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528649), // Rule ID 18458 //
     /* 1528572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528611 */     // MIs[0] round
     /* 1528611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528614 */     // MIs[0] policy
     /* 1528614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528624 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528648 */     // GIR_Coverage, 18458,
     /* 1528648 */     GIR_EraseRootFromParent_Done,
     /* 1528649 */   // Label 21228: @1528649
     /* 1528649 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528731), // Rule ID 18459 //
     /* 1528654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528693 */     // MIs[0] round
     /* 1528693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528696 */     // MIs[0] policy
     /* 1528696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528730 */     // GIR_Coverage, 18459,
     /* 1528730 */     GIR_EraseRootFromParent_Done,
     /* 1528731 */   // Label 21229: @1528731
     /* 1528731 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528813), // Rule ID 18462 //
     /* 1528736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528775 */     // MIs[0] round
     /* 1528775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528778 */     // MIs[0] policy
     /* 1528778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528788 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528812 */     // GIR_Coverage, 18462,
     /* 1528812 */     GIR_EraseRootFromParent_Done,
     /* 1528813 */   // Label 21230: @1528813
     /* 1528813 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528895), // Rule ID 18463 //
     /* 1528818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528857 */     // MIs[0] round
     /* 1528857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528860 */     // MIs[0] policy
     /* 1528860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528894 */     // GIR_Coverage, 18463,
     /* 1528894 */     GIR_EraseRootFromParent_Done,
     /* 1528895 */   // Label 21231: @1528895
     /* 1528895 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528977), // Rule ID 18466 //
     /* 1528900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528939 */     // MIs[0] round
     /* 1528939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528942 */     // MIs[0] policy
     /* 1528942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528952 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528976 */     // GIR_Coverage, 18466,
     /* 1528976 */     GIR_EraseRootFromParent_Done,
     /* 1528977 */   // Label 21232: @1528977
     /* 1528977 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1529059), // Rule ID 18467 //
     /* 1528982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1529002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529021 */     // MIs[0] round
     /* 1529021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529024 */     // MIs[0] policy
     /* 1529024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529034 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1529037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529058 */     // GIR_Coverage, 18467,
     /* 1529058 */     GIR_EraseRootFromParent_Done,
     /* 1529059 */   // Label 21233: @1529059
     /* 1529059 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529141), // Rule ID 18470 //
     /* 1529064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1529084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529103 */     // MIs[0] round
     /* 1529103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529106 */     // MIs[0] policy
     /* 1529106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529116 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1529119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529140 */     // GIR_Coverage, 18470,
     /* 1529140 */     GIR_EraseRootFromParent_Done,
     /* 1529141 */   // Label 21234: @1529141
     /* 1529141 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529223), // Rule ID 18471 //
     /* 1529146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1529166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529185 */     // MIs[0] round
     /* 1529185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529188 */     // MIs[0] policy
     /* 1529188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529198 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1529201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529222 */     // GIR_Coverage, 18471,
     /* 1529222 */     GIR_EraseRootFromParent_Done,
     /* 1529223 */   // Label 21235: @1529223
     /* 1529223 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529305), // Rule ID 18474 //
     /* 1529228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1529239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1529242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1529245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529267 */     // MIs[0] round
     /* 1529267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529270 */     // MIs[0] policy
     /* 1529270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529280 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1529283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529304 */     // GIR_Coverage, 18474,
     /* 1529304 */     GIR_EraseRootFromParent_Done,
     /* 1529305 */   // Label 21236: @1529305
     /* 1529305 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529387), // Rule ID 18475 //
     /* 1529310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1529321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1529324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1529327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529349 */     // MIs[0] round
     /* 1529349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529352 */     // MIs[0] policy
     /* 1529352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529362 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1529365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529386 */     // GIR_Coverage, 18475,
     /* 1529386 */     GIR_EraseRootFromParent_Done,
     /* 1529387 */   // Label 21237: @1529387
     /* 1529387 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529469), // Rule ID 18478 //
     /* 1529392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529431 */     // MIs[0] round
     /* 1529431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529434 */     // MIs[0] policy
     /* 1529434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529444 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529468 */     // GIR_Coverage, 18478,
     /* 1529468 */     GIR_EraseRootFromParent_Done,
     /* 1529469 */   // Label 21238: @1529469
     /* 1529469 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529551), // Rule ID 18479 //
     /* 1529474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529513 */     // MIs[0] round
     /* 1529513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529516 */     // MIs[0] policy
     /* 1529516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529526 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529550 */     // GIR_Coverage, 18479,
     /* 1529550 */     GIR_EraseRootFromParent_Done,
     /* 1529551 */   // Label 21239: @1529551
     /* 1529551 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529633), // Rule ID 18482 //
     /* 1529556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529595 */     // MIs[0] round
     /* 1529595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529598 */     // MIs[0] policy
     /* 1529598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529632 */     // GIR_Coverage, 18482,
     /* 1529632 */     GIR_EraseRootFromParent_Done,
     /* 1529633 */   // Label 21240: @1529633
     /* 1529633 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529715), // Rule ID 18483 //
     /* 1529638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529677 */     // MIs[0] round
     /* 1529677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529680 */     // MIs[0] policy
     /* 1529680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529714 */     // GIR_Coverage, 18483,
     /* 1529714 */     GIR_EraseRootFromParent_Done,
     /* 1529715 */   // Label 21241: @1529715
     /* 1529715 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529797), // Rule ID 18486 //
     /* 1529720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529759 */     // MIs[0] round
     /* 1529759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529762 */     // MIs[0] policy
     /* 1529762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529796 */     // GIR_Coverage, 18486,
     /* 1529796 */     GIR_EraseRootFromParent_Done,
     /* 1529797 */   // Label 21242: @1529797
     /* 1529797 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529879), // Rule ID 18487 //
     /* 1529802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529841 */     // MIs[0] round
     /* 1529841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529844 */     // MIs[0] policy
     /* 1529844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529878 */     // GIR_Coverage, 18487,
     /* 1529878 */     GIR_EraseRootFromParent_Done,
     /* 1529879 */   // Label 21243: @1529879
     /* 1529879 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529961), // Rule ID 18490 //
     /* 1529884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529923 */     // MIs[0] round
     /* 1529923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529926 */     // MIs[0] policy
     /* 1529926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529960 */     // GIR_Coverage, 18490,
     /* 1529960 */     GIR_EraseRootFromParent_Done,
     /* 1529961 */   // Label 21244: @1529961
     /* 1529961 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1530043), // Rule ID 18491 //
     /* 1529966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530005 */     // MIs[0] round
     /* 1530005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530008 */     // MIs[0] policy
     /* 1530008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1530021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530042 */     // GIR_Coverage, 18491,
     /* 1530042 */     GIR_EraseRootFromParent_Done,
     /* 1530043 */   // Label 21245: @1530043
     /* 1530043 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530125), // Rule ID 18494 //
     /* 1530048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1530065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530087 */     // MIs[0] round
     /* 1530087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530090 */     // MIs[0] policy
     /* 1530090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1530103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530124 */     // GIR_Coverage, 18494,
     /* 1530124 */     GIR_EraseRootFromParent_Done,
     /* 1530125 */   // Label 21246: @1530125
     /* 1530125 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530207), // Rule ID 18495 //
     /* 1530130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1530147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530169 */     // MIs[0] round
     /* 1530169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530172 */     // MIs[0] policy
     /* 1530172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1530185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530206 */     // GIR_Coverage, 18495,
     /* 1530206 */     GIR_EraseRootFromParent_Done,
     /* 1530207 */   // Label 21247: @1530207
     /* 1530207 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530289), // Rule ID 18498 //
     /* 1530212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1530223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1530226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1530229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1530232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530251 */     // MIs[0] round
     /* 1530251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530254 */     // MIs[0] policy
     /* 1530254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530264 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1530267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530288 */     // GIR_Coverage, 18498,
     /* 1530288 */     GIR_EraseRootFromParent_Done,
     /* 1530289 */   // Label 21248: @1530289
     /* 1530289 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530371), // Rule ID 18499 //
     /* 1530294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1530305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1530308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1530311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1530314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530333 */     // MIs[0] round
     /* 1530333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530336 */     // MIs[0] policy
     /* 1530336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530346 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1530349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530370 */     // GIR_Coverage, 18499,
     /* 1530370 */     GIR_EraseRootFromParent_Done,
     /* 1530371 */   // Label 21249: @1530371
     /* 1530371 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530453), // Rule ID 18502 //
     /* 1530376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530415 */     // MIs[0] round
     /* 1530415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530418 */     // MIs[0] policy
     /* 1530418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530452 */     // GIR_Coverage, 18502,
     /* 1530452 */     GIR_EraseRootFromParent_Done,
     /* 1530453 */   // Label 21250: @1530453
     /* 1530453 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530535), // Rule ID 18503 //
     /* 1530458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530497 */     // MIs[0] round
     /* 1530497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530500 */     // MIs[0] policy
     /* 1530500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530510 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530534 */     // GIR_Coverage, 18503,
     /* 1530534 */     GIR_EraseRootFromParent_Done,
     /* 1530535 */   // Label 21251: @1530535
     /* 1530535 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530617), // Rule ID 18506 //
     /* 1530540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530579 */     // MIs[0] round
     /* 1530579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530582 */     // MIs[0] policy
     /* 1530582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530592 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530616 */     // GIR_Coverage, 18506,
     /* 1530616 */     GIR_EraseRootFromParent_Done,
     /* 1530617 */   // Label 21252: @1530617
     /* 1530617 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530699), // Rule ID 18507 //
     /* 1530622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530661 */     // MIs[0] round
     /* 1530661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530664 */     // MIs[0] policy
     /* 1530664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530674 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530698 */     // GIR_Coverage, 18507,
     /* 1530698 */     GIR_EraseRootFromParent_Done,
     /* 1530699 */   // Label 21253: @1530699
     /* 1530699 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530781), // Rule ID 18510 //
     /* 1530704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530743 */     // MIs[0] round
     /* 1530743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530746 */     // MIs[0] policy
     /* 1530746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530780 */     // GIR_Coverage, 18510,
     /* 1530780 */     GIR_EraseRootFromParent_Done,
     /* 1530781 */   // Label 21254: @1530781
     /* 1530781 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530863), // Rule ID 18511 //
     /* 1530786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530825 */     // MIs[0] round
     /* 1530825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530828 */     // MIs[0] policy
     /* 1530828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530862 */     // GIR_Coverage, 18511,
     /* 1530862 */     GIR_EraseRootFromParent_Done,
     /* 1530863 */   // Label 21255: @1530863
     /* 1530863 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530945), // Rule ID 18514 //
     /* 1530868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530907 */     // MIs[0] round
     /* 1530907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530910 */     // MIs[0] policy
     /* 1530910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530944 */     // GIR_Coverage, 18514,
     /* 1530944 */     GIR_EraseRootFromParent_Done,
     /* 1530945 */   // Label 21256: @1530945
     /* 1530945 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1531027), // Rule ID 18515 //
     /* 1530950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530989 */     // MIs[0] round
     /* 1530989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530992 */     // MIs[0] policy
     /* 1530992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1531005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531026 */     // GIR_Coverage, 18515,
     /* 1531026 */     GIR_EraseRootFromParent_Done,
     /* 1531027 */   // Label 21257: @1531027
     /* 1531027 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531109), // Rule ID 18518 //
     /* 1531032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1531049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531071 */     // MIs[0] round
     /* 1531071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531074 */     // MIs[0] policy
     /* 1531074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1531087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531108 */     // GIR_Coverage, 18518,
     /* 1531108 */     GIR_EraseRootFromParent_Done,
     /* 1531109 */   // Label 21258: @1531109
     /* 1531109 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531191), // Rule ID 18519 //
     /* 1531114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1531131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531153 */     // MIs[0] round
     /* 1531153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531156 */     // MIs[0] policy
     /* 1531156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1531169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531190 */     // GIR_Coverage, 18519,
     /* 1531190 */     GIR_EraseRootFromParent_Done,
     /* 1531191 */   // Label 21259: @1531191
     /* 1531191 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531273), // Rule ID 18522 //
     /* 1531196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1531213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1531216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531235 */     // MIs[0] round
     /* 1531235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531238 */     // MIs[0] policy
     /* 1531238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1531251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531272 */     // GIR_Coverage, 18522,
     /* 1531272 */     GIR_EraseRootFromParent_Done,
     /* 1531273 */   // Label 21260: @1531273
     /* 1531273 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531355), // Rule ID 18523 //
     /* 1531278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1531295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1531298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531317 */     // MIs[0] round
     /* 1531317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531320 */     // MIs[0] policy
     /* 1531320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1531333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531354 */     // GIR_Coverage, 18523,
     /* 1531354 */     GIR_EraseRootFromParent_Done,
     /* 1531355 */   // Label 21261: @1531355
     /* 1531355 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531437), // Rule ID 18526 //
     /* 1531360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531399 */     // MIs[0] round
     /* 1531399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531402 */     // MIs[0] policy
     /* 1531402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531412 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531436 */     // GIR_Coverage, 18526,
     /* 1531436 */     GIR_EraseRootFromParent_Done,
     /* 1531437 */   // Label 21262: @1531437
     /* 1531437 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531519), // Rule ID 18527 //
     /* 1531442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531481 */     // MIs[0] round
     /* 1531481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531484 */     // MIs[0] policy
     /* 1531484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531494 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531518 */     // GIR_Coverage, 18527,
     /* 1531518 */     GIR_EraseRootFromParent_Done,
     /* 1531519 */   // Label 21263: @1531519
     /* 1531519 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531601), // Rule ID 18530 //
     /* 1531524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531563 */     // MIs[0] round
     /* 1531563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531566 */     // MIs[0] policy
     /* 1531566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531600 */     // GIR_Coverage, 18530,
     /* 1531600 */     GIR_EraseRootFromParent_Done,
     /* 1531601 */   // Label 21264: @1531601
     /* 1531601 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531683), // Rule ID 18531 //
     /* 1531606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531645 */     // MIs[0] round
     /* 1531645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531648 */     // MIs[0] policy
     /* 1531648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531682 */     // GIR_Coverage, 18531,
     /* 1531682 */     GIR_EraseRootFromParent_Done,
     /* 1531683 */   // Label 21265: @1531683
     /* 1531683 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531765), // Rule ID 18534 //
     /* 1531688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531727 */     // MIs[0] round
     /* 1531727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531730 */     // MIs[0] policy
     /* 1531730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531764 */     // GIR_Coverage, 18534,
     /* 1531764 */     GIR_EraseRootFromParent_Done,
     /* 1531765 */   // Label 21266: @1531765
     /* 1531765 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531847), // Rule ID 18535 //
     /* 1531770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531809 */     // MIs[0] round
     /* 1531809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531812 */     // MIs[0] policy
     /* 1531812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531846 */     // GIR_Coverage, 18535,
     /* 1531846 */     GIR_EraseRootFromParent_Done,
     /* 1531847 */   // Label 21267: @1531847
     /* 1531847 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531929), // Rule ID 18538 //
     /* 1531852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531891 */     // MIs[0] round
     /* 1531891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531894 */     // MIs[0] policy
     /* 1531894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531904 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531928 */     // GIR_Coverage, 18538,
     /* 1531928 */     GIR_EraseRootFromParent_Done,
     /* 1531929 */   // Label 21268: @1531929
     /* 1531929 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1532011), // Rule ID 18539 //
     /* 1531934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531973 */     // MIs[0] round
     /* 1531973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531976 */     // MIs[0] policy
     /* 1531976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532010 */     // GIR_Coverage, 18539,
     /* 1532010 */     GIR_EraseRootFromParent_Done,
     /* 1532011 */   // Label 21269: @1532011
     /* 1532011 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1532093), // Rule ID 18542 //
     /* 1532016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1532036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532055 */     // MIs[0] round
     /* 1532055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532058 */     // MIs[0] policy
     /* 1532058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1532071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532092 */     // GIR_Coverage, 18542,
     /* 1532092 */     GIR_EraseRootFromParent_Done,
     /* 1532093 */   // Label 21270: @1532093
     /* 1532093 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532175), // Rule ID 18543 //
     /* 1532098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1532118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532137 */     // MIs[0] round
     /* 1532137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532140 */     // MIs[0] policy
     /* 1532140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532150 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1532153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532174 */     // GIR_Coverage, 18543,
     /* 1532174 */     GIR_EraseRootFromParent_Done,
     /* 1532175 */   // Label 21271: @1532175
     /* 1532175 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532257), // Rule ID 18546 //
     /* 1532180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1532191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1532194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532219 */     // MIs[0] round
     /* 1532219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532222 */     // MIs[0] policy
     /* 1532222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1532235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532256 */     // GIR_Coverage, 18546,
     /* 1532256 */     GIR_EraseRootFromParent_Done,
     /* 1532257 */   // Label 21272: @1532257
     /* 1532257 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532339), // Rule ID 18547 //
     /* 1532262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1532273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1532276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532301 */     // MIs[0] round
     /* 1532301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532304 */     // MIs[0] policy
     /* 1532304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532314 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1532317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532338 */     // GIR_Coverage, 18547,
     /* 1532338 */     GIR_EraseRootFromParent_Done,
     /* 1532339 */   // Label 21273: @1532339
     /* 1532339 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532421), // Rule ID 18550 //
     /* 1532344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532383 */     // MIs[0] round
     /* 1532383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532386 */     // MIs[0] policy
     /* 1532386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532420 */     // GIR_Coverage, 18550,
     /* 1532420 */     GIR_EraseRootFromParent_Done,
     /* 1532421 */   // Label 21274: @1532421
     /* 1532421 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532503), // Rule ID 18551 //
     /* 1532426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532465 */     // MIs[0] round
     /* 1532465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532468 */     // MIs[0] policy
     /* 1532468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532502 */     // GIR_Coverage, 18551,
     /* 1532502 */     GIR_EraseRootFromParent_Done,
     /* 1532503 */   // Label 21275: @1532503
     /* 1532503 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532585), // Rule ID 18554 //
     /* 1532508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532547 */     // MIs[0] round
     /* 1532547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532550 */     // MIs[0] policy
     /* 1532550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532584 */     // GIR_Coverage, 18554,
     /* 1532584 */     GIR_EraseRootFromParent_Done,
     /* 1532585 */   // Label 21276: @1532585
     /* 1532585 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532667), // Rule ID 18555 //
     /* 1532590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532629 */     // MIs[0] round
     /* 1532629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532632 */     // MIs[0] policy
     /* 1532632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532666 */     // GIR_Coverage, 18555,
     /* 1532666 */     GIR_EraseRootFromParent_Done,
     /* 1532667 */   // Label 21277: @1532667
     /* 1532667 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532749), // Rule ID 18558 //
     /* 1532672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532711 */     // MIs[0] round
     /* 1532711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532714 */     // MIs[0] policy
     /* 1532714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532724 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532748 */     // GIR_Coverage, 18558,
     /* 1532748 */     GIR_EraseRootFromParent_Done,
     /* 1532749 */   // Label 21278: @1532749
     /* 1532749 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532831), // Rule ID 18559 //
     /* 1532754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532793 */     // MIs[0] round
     /* 1532793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532796 */     // MIs[0] policy
     /* 1532796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532806 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532830 */     // GIR_Coverage, 18559,
     /* 1532830 */     GIR_EraseRootFromParent_Done,
     /* 1532831 */   // Label 21279: @1532831
     /* 1532831 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532913), // Rule ID 18562 //
     /* 1532836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532875 */     // MIs[0] round
     /* 1532875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532878 */     // MIs[0] policy
     /* 1532878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532888 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532912 */     // GIR_Coverage, 18562,
     /* 1532912 */     GIR_EraseRootFromParent_Done,
     /* 1532913 */   // Label 21280: @1532913
     /* 1532913 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532995), // Rule ID 18563 //
     /* 1532918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532957 */     // MIs[0] round
     /* 1532957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532960 */     // MIs[0] policy
     /* 1532960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532994 */     // GIR_Coverage, 18563,
     /* 1532994 */     GIR_EraseRootFromParent_Done,
     /* 1532995 */   // Label 21281: @1532995
     /* 1532995 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1533077), // Rule ID 18566 //
     /* 1533000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1533011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1533014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1533020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533039 */     // MIs[0] round
     /* 1533039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533042 */     // MIs[0] policy
     /* 1533042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533052 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1533055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533076 */     // GIR_Coverage, 18566,
     /* 1533076 */     GIR_EraseRootFromParent_Done,
     /* 1533077 */   // Label 21282: @1533077
     /* 1533077 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533159), // Rule ID 18567 //
     /* 1533082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1533093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1533096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1533102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533121 */     // MIs[0] round
     /* 1533121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533124 */     // MIs[0] policy
     /* 1533124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1533137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533158 */     // GIR_Coverage, 18567,
     /* 1533158 */     GIR_EraseRootFromParent_Done,
     /* 1533159 */   // Label 21283: @1533159
     /* 1533159 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533241), // Rule ID 18570 //
     /* 1533164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1533175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1533178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533203 */     // MIs[0] round
     /* 1533203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533206 */     // MIs[0] policy
     /* 1533206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1533219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533240 */     // GIR_Coverage, 18570,
     /* 1533240 */     GIR_EraseRootFromParent_Done,
     /* 1533241 */   // Label 21284: @1533241
     /* 1533241 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533323), // Rule ID 18571 //
     /* 1533246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1533257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1533260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533285 */     // MIs[0] round
     /* 1533285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533288 */     // MIs[0] policy
     /* 1533288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1533301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533322 */     // GIR_Coverage, 18571,
     /* 1533322 */     GIR_EraseRootFromParent_Done,
     /* 1533323 */   // Label 21285: @1533323
     /* 1533323 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533405), // Rule ID 18574 //
     /* 1533328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533367 */     // MIs[0] round
     /* 1533367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533370 */     // MIs[0] policy
     /* 1533370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533404 */     // GIR_Coverage, 18574,
     /* 1533404 */     GIR_EraseRootFromParent_Done,
     /* 1533405 */   // Label 21286: @1533405
     /* 1533405 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533487), // Rule ID 18575 //
     /* 1533410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533449 */     // MIs[0] round
     /* 1533449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533452 */     // MIs[0] policy
     /* 1533452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533462 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533486 */     // GIR_Coverage, 18575,
     /* 1533486 */     GIR_EraseRootFromParent_Done,
     /* 1533487 */   // Label 21287: @1533487
     /* 1533487 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533569), // Rule ID 18578 //
     /* 1533492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533531 */     // MIs[0] round
     /* 1533531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533534 */     // MIs[0] policy
     /* 1533534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533544 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533568 */     // GIR_Coverage, 18578,
     /* 1533568 */     GIR_EraseRootFromParent_Done,
     /* 1533569 */   // Label 21288: @1533569
     /* 1533569 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533651), // Rule ID 18579 //
     /* 1533574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533613 */     // MIs[0] round
     /* 1533613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533616 */     // MIs[0] policy
     /* 1533616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533626 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533650 */     // GIR_Coverage, 18579,
     /* 1533650 */     GIR_EraseRootFromParent_Done,
     /* 1533651 */   // Label 21289: @1533651
     /* 1533651 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533733), // Rule ID 18582 //
     /* 1533656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533695 */     // MIs[0] round
     /* 1533695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533698 */     // MIs[0] policy
     /* 1533698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533732 */     // GIR_Coverage, 18582,
     /* 1533732 */     GIR_EraseRootFromParent_Done,
     /* 1533733 */   // Label 21290: @1533733
     /* 1533733 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533815), // Rule ID 18583 //
     /* 1533738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533777 */     // MIs[0] round
     /* 1533777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533780 */     // MIs[0] policy
     /* 1533780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533814 */     // GIR_Coverage, 18583,
     /* 1533814 */     GIR_EraseRootFromParent_Done,
     /* 1533815 */   // Label 21291: @1533815
     /* 1533815 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533897), // Rule ID 18586 //
     /* 1533820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533859 */     // MIs[0] round
     /* 1533859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533862 */     // MIs[0] policy
     /* 1533862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533896 */     // GIR_Coverage, 18586,
     /* 1533896 */     GIR_EraseRootFromParent_Done,
     /* 1533897 */   // Label 21292: @1533897
     /* 1533897 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533979), // Rule ID 18587 //
     /* 1533902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533941 */     // MIs[0] round
     /* 1533941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533944 */     // MIs[0] policy
     /* 1533944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533954 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533978 */     // GIR_Coverage, 18587,
     /* 1533978 */     GIR_EraseRootFromParent_Done,
     /* 1533979 */   // Label 21293: @1533979
     /* 1533979 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1534061), // Rule ID 18590 //
     /* 1533984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1534004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534023 */     // MIs[0] round
     /* 1534023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534026 */     // MIs[0] policy
     /* 1534026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1534039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534060 */     // GIR_Coverage, 18590,
     /* 1534060 */     GIR_EraseRootFromParent_Done,
     /* 1534061 */   // Label 21294: @1534061
     /* 1534061 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534143), // Rule ID 18591 //
     /* 1534066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1534077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1534080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1534086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534105 */     // MIs[0] round
     /* 1534105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534108 */     // MIs[0] policy
     /* 1534108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534118 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1534121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534142 */     // GIR_Coverage, 18591,
     /* 1534142 */     GIR_EraseRootFromParent_Done,
     /* 1534143 */   // Label 21295: @1534143
     /* 1534143 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534225), // Rule ID 18594 //
     /* 1534148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1534165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534187 */     // MIs[0] round
     /* 1534187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534190 */     // MIs[0] policy
     /* 1534190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1534203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534224 */     // GIR_Coverage, 18594,
     /* 1534224 */     GIR_EraseRootFromParent_Done,
     /* 1534225 */   // Label 21296: @1534225
     /* 1534225 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534307), // Rule ID 18595 //
     /* 1534230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1534247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534269 */     // MIs[0] round
     /* 1534269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534272 */     // MIs[0] policy
     /* 1534272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534282 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1534285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534306 */     // GIR_Coverage, 18595,
     /* 1534306 */     GIR_EraseRootFromParent_Done,
     /* 1534307 */   // Label 21297: @1534307
     /* 1534307 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534389), // Rule ID 18598 //
     /* 1534312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1534329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534351 */     // MIs[0] round
     /* 1534351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534354 */     // MIs[0] policy
     /* 1534354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534364 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534388 */     // GIR_Coverage, 18598,
     /* 1534388 */     GIR_EraseRootFromParent_Done,
     /* 1534389 */   // Label 21298: @1534389
     /* 1534389 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534471), // Rule ID 18599 //
     /* 1534394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1534411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534433 */     // MIs[0] round
     /* 1534433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534436 */     // MIs[0] policy
     /* 1534436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534470 */     // GIR_Coverage, 18599,
     /* 1534470 */     GIR_EraseRootFromParent_Done,
     /* 1534471 */   // Label 21299: @1534471
     /* 1534471 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534553), // Rule ID 18602 //
     /* 1534476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534515 */     // MIs[0] round
     /* 1534515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534518 */     // MIs[0] policy
     /* 1534518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534552 */     // GIR_Coverage, 18602,
     /* 1534552 */     GIR_EraseRootFromParent_Done,
     /* 1534553 */   // Label 21300: @1534553
     /* 1534553 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534635), // Rule ID 18603 //
     /* 1534558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534597 */     // MIs[0] round
     /* 1534597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534600 */     // MIs[0] policy
     /* 1534600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534634 */     // GIR_Coverage, 18603,
     /* 1534634 */     GIR_EraseRootFromParent_Done,
     /* 1534635 */   // Label 21301: @1534635
     /* 1534635 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534717), // Rule ID 18606 //
     /* 1534640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534679 */     // MIs[0] round
     /* 1534679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534682 */     // MIs[0] policy
     /* 1534682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534692 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534716 */     // GIR_Coverage, 18606,
     /* 1534716 */     GIR_EraseRootFromParent_Done,
     /* 1534717 */   // Label 21302: @1534717
     /* 1534717 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534799), // Rule ID 18607 //
     /* 1534722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534761 */     // MIs[0] round
     /* 1534761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534764 */     // MIs[0] policy
     /* 1534764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534774 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534798 */     // GIR_Coverage, 18607,
     /* 1534798 */     GIR_EraseRootFromParent_Done,
     /* 1534799 */   // Label 21303: @1534799
     /* 1534799 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534881), // Rule ID 18610 //
     /* 1534804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534843 */     // MIs[0] round
     /* 1534843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534846 */     // MIs[0] policy
     /* 1534846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534880 */     // GIR_Coverage, 18610,
     /* 1534880 */     GIR_EraseRootFromParent_Done,
     /* 1534881 */   // Label 21304: @1534881
     /* 1534881 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534963), // Rule ID 18611 //
     /* 1534886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534925 */     // MIs[0] round
     /* 1534925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534928 */     // MIs[0] policy
     /* 1534928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534938 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534962 */     // GIR_Coverage, 18611,
     /* 1534962 */     GIR_EraseRootFromParent_Done,
     /* 1534963 */   // Label 21305: @1534963
     /* 1534963 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1535045), // Rule ID 18614 //
     /* 1534968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535007 */     // MIs[0] round
     /* 1535007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535010 */     // MIs[0] policy
     /* 1535010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1535023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535044 */     // GIR_Coverage, 18614,
     /* 1535044 */     GIR_EraseRootFromParent_Done,
     /* 1535045 */   // Label 21306: @1535045
     /* 1535045 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535127), // Rule ID 18615 //
     /* 1535050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1535061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1535064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535089 */     // MIs[0] round
     /* 1535089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535092 */     // MIs[0] policy
     /* 1535092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1535105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535126 */     // GIR_Coverage, 18615,
     /* 1535126 */     GIR_EraseRootFromParent_Done,
     /* 1535127 */   // Label 21307: @1535127
     /* 1535127 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535209), // Rule ID 18618 //
     /* 1535132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535171 */     // MIs[0] round
     /* 1535171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535174 */     // MIs[0] policy
     /* 1535174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535184 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1535187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535208 */     // GIR_Coverage, 18618,
     /* 1535208 */     GIR_EraseRootFromParent_Done,
     /* 1535209 */   // Label 21308: @1535209
     /* 1535209 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535291), // Rule ID 18619 //
     /* 1535214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535253 */     // MIs[0] round
     /* 1535253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535256 */     // MIs[0] policy
     /* 1535256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535266 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1535269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535290 */     // GIR_Coverage, 18619,
     /* 1535290 */     GIR_EraseRootFromParent_Done,
     /* 1535291 */   // Label 21309: @1535291
     /* 1535291 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535373), // Rule ID 18622 //
     /* 1535296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1535313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535335 */     // MIs[0] round
     /* 1535335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535338 */     // MIs[0] policy
     /* 1535338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535372 */     // GIR_Coverage, 18622,
     /* 1535372 */     GIR_EraseRootFromParent_Done,
     /* 1535373 */   // Label 21310: @1535373
     /* 1535373 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535455), // Rule ID 18623 //
     /* 1535378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1535395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535417 */     // MIs[0] round
     /* 1535417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535420 */     // MIs[0] policy
     /* 1535420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535454 */     // GIR_Coverage, 18623,
     /* 1535454 */     GIR_EraseRootFromParent_Done,
     /* 1535455 */   // Label 21311: @1535455
     /* 1535455 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535537), // Rule ID 18626 //
     /* 1535460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535499 */     // MIs[0] round
     /* 1535499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535502 */     // MIs[0] policy
     /* 1535502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535512 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535536 */     // GIR_Coverage, 18626,
     /* 1535536 */     GIR_EraseRootFromParent_Done,
     /* 1535537 */   // Label 21312: @1535537
     /* 1535537 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535619), // Rule ID 18627 //
     /* 1535542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535581 */     // MIs[0] round
     /* 1535581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535584 */     // MIs[0] policy
     /* 1535584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535618 */     // GIR_Coverage, 18627,
     /* 1535618 */     GIR_EraseRootFromParent_Done,
     /* 1535619 */   // Label 21313: @1535619
     /* 1535619 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535701), // Rule ID 18630 //
     /* 1535624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535663 */     // MIs[0] round
     /* 1535663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535666 */     // MIs[0] policy
     /* 1535666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535700 */     // GIR_Coverage, 18630,
     /* 1535700 */     GIR_EraseRootFromParent_Done,
     /* 1535701 */   // Label 21314: @1535701
     /* 1535701 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535783), // Rule ID 18631 //
     /* 1535706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535745 */     // MIs[0] round
     /* 1535745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535748 */     // MIs[0] policy
     /* 1535748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535782 */     // GIR_Coverage, 18631,
     /* 1535782 */     GIR_EraseRootFromParent_Done,
     /* 1535783 */   // Label 21315: @1535783
     /* 1535783 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535865), // Rule ID 18634 //
     /* 1535788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535827 */     // MIs[0] round
     /* 1535827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535830 */     // MIs[0] policy
     /* 1535830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535864 */     // GIR_Coverage, 18634,
     /* 1535864 */     GIR_EraseRootFromParent_Done,
     /* 1535865 */   // Label 21316: @1535865
     /* 1535865 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535947), // Rule ID 18635 //
     /* 1535870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535909 */     // MIs[0] round
     /* 1535909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535912 */     // MIs[0] policy
     /* 1535912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535922 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535946 */     // GIR_Coverage, 18635,
     /* 1535946 */     GIR_EraseRootFromParent_Done,
     /* 1535947 */   // Label 21317: @1535947
     /* 1535947 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1536029), // Rule ID 18638 //
     /* 1535952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535991 */     // MIs[0] round
     /* 1535991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535994 */     // MIs[0] policy
     /* 1535994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536004 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1536007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536028 */     // GIR_Coverage, 18638,
     /* 1536028 */     GIR_EraseRootFromParent_Done,
     /* 1536029 */   // Label 21318: @1536029
     /* 1536029 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536111), // Rule ID 18639 //
     /* 1536034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1536045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1536048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536073 */     // MIs[0] round
     /* 1536073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536076 */     // MIs[0] policy
     /* 1536076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1536089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536110 */     // GIR_Coverage, 18639,
     /* 1536110 */     GIR_EraseRootFromParent_Done,
     /* 1536111 */   // Label 21319: @1536111
     /* 1536111 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536193), // Rule ID 18642 //
     /* 1536116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536155 */     // MIs[0] round
     /* 1536155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536158 */     // MIs[0] policy
     /* 1536158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536168 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1536171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536192 */     // GIR_Coverage, 18642,
     /* 1536192 */     GIR_EraseRootFromParent_Done,
     /* 1536193 */   // Label 21320: @1536193
     /* 1536193 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536275), // Rule ID 18643 //
     /* 1536198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536237 */     // MIs[0] round
     /* 1536237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536240 */     // MIs[0] policy
     /* 1536240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1536253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536274 */     // GIR_Coverage, 18643,
     /* 1536274 */     GIR_EraseRootFromParent_Done,
     /* 1536275 */   // Label 21321: @1536275
     /* 1536275 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536357), // Rule ID 18646 //
     /* 1536280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536319 */     // MIs[0] round
     /* 1536319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536322 */     // MIs[0] policy
     /* 1536322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1536335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536356 */     // GIR_Coverage, 18646,
     /* 1536356 */     GIR_EraseRootFromParent_Done,
     /* 1536357 */   // Label 21322: @1536357
     /* 1536357 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536439), // Rule ID 18647 //
     /* 1536362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536401 */     // MIs[0] round
     /* 1536401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536404 */     // MIs[0] policy
     /* 1536404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1536417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536438 */     // GIR_Coverage, 18647,
     /* 1536438 */     GIR_EraseRootFromParent_Done,
     /* 1536439 */   // Label 21323: @1536439
     /* 1536439 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536521), // Rule ID 18650 //
     /* 1536444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536483 */     // MIs[0] round
     /* 1536483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536486 */     // MIs[0] policy
     /* 1536486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536520 */     // GIR_Coverage, 18650,
     /* 1536520 */     GIR_EraseRootFromParent_Done,
     /* 1536521 */   // Label 21324: @1536521
     /* 1536521 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536603), // Rule ID 18651 //
     /* 1536526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536565 */     // MIs[0] round
     /* 1536565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536568 */     // MIs[0] policy
     /* 1536568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536578 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536602 */     // GIR_Coverage, 18651,
     /* 1536602 */     GIR_EraseRootFromParent_Done,
     /* 1536603 */   // Label 21325: @1536603
     /* 1536603 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536685), // Rule ID 18654 //
     /* 1536608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536647 */     // MIs[0] round
     /* 1536647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536650 */     // MIs[0] policy
     /* 1536650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536660 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536684 */     // GIR_Coverage, 18654,
     /* 1536684 */     GIR_EraseRootFromParent_Done,
     /* 1536685 */   // Label 21326: @1536685
     /* 1536685 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536767), // Rule ID 18655 //
     /* 1536690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536729 */     // MIs[0] round
     /* 1536729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536732 */     // MIs[0] policy
     /* 1536732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536742 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536766 */     // GIR_Coverage, 18655,
     /* 1536766 */     GIR_EraseRootFromParent_Done,
     /* 1536767 */   // Label 21327: @1536767
     /* 1536767 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536849), // Rule ID 18658 //
     /* 1536772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536811 */     // MIs[0] round
     /* 1536811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536814 */     // MIs[0] policy
     /* 1536814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536824 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536848 */     // GIR_Coverage, 18658,
     /* 1536848 */     GIR_EraseRootFromParent_Done,
     /* 1536849 */   // Label 21328: @1536849
     /* 1536849 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536931), // Rule ID 18659 //
     /* 1536854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536893 */     // MIs[0] round
     /* 1536893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536896 */     // MIs[0] policy
     /* 1536896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536906 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536930 */     // GIR_Coverage, 18659,
     /* 1536930 */     GIR_EraseRootFromParent_Done,
     /* 1536931 */   // Label 21329: @1536931
     /* 1536931 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1537013), // Rule ID 18662 //
     /* 1536936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536975 */     // MIs[0] round
     /* 1536975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536978 */     // MIs[0] policy
     /* 1536978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537012 */     // GIR_Coverage, 18662,
     /* 1537012 */     GIR_EraseRootFromParent_Done,
     /* 1537013 */   // Label 21330: @1537013
     /* 1537013 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1537095), // Rule ID 18663 //
     /* 1537018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1537026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537057 */     // MIs[0] round
     /* 1537057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537060 */     // MIs[0] policy
     /* 1537060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537070 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1537073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537094 */     // GIR_Coverage, 18663,
     /* 1537094 */     GIR_EraseRootFromParent_Done,
     /* 1537095 */   // Label 21331: @1537095
     /* 1537095 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537177), // Rule ID 18666 //
     /* 1537100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1537111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1537114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1537117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537139 */     // MIs[0] round
     /* 1537139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537142 */     // MIs[0] policy
     /* 1537142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537152 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1537155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537176 */     // GIR_Coverage, 18666,
     /* 1537176 */     GIR_EraseRootFromParent_Done,
     /* 1537177 */   // Label 21332: @1537177
     /* 1537177 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537259), // Rule ID 18667 //
     /* 1537182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1537193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1537196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1537199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537221 */     // MIs[0] round
     /* 1537221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537224 */     // MIs[0] policy
     /* 1537224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537234 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1537237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537258 */     // GIR_Coverage, 18667,
     /* 1537258 */     GIR_EraseRootFromParent_Done,
     /* 1537259 */   // Label 21333: @1537259
     /* 1537259 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537341), // Rule ID 18670 //
     /* 1537264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1537281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537303 */     // MIs[0] round
     /* 1537303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537306 */     // MIs[0] policy
     /* 1537306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1537319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537340 */     // GIR_Coverage, 18670,
     /* 1537340 */     GIR_EraseRootFromParent_Done,
     /* 1537341 */   // Label 21334: @1537341
     /* 1537341 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537423), // Rule ID 18671 //
     /* 1537346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1537363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537385 */     // MIs[0] round
     /* 1537385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537388 */     // MIs[0] policy
     /* 1537388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537398 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1537401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537422 */     // GIR_Coverage, 18671,
     /* 1537422 */     GIR_EraseRootFromParent_Done,
     /* 1537423 */   // Label 21335: @1537423
     /* 1537423 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537505), // Rule ID 18674 //
     /* 1537428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537467 */     // MIs[0] round
     /* 1537467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537470 */     // MIs[0] policy
     /* 1537470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537504 */     // GIR_Coverage, 18674,
     /* 1537504 */     GIR_EraseRootFromParent_Done,
     /* 1537505 */   // Label 21336: @1537505
     /* 1537505 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537587), // Rule ID 18675 //
     /* 1537510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537549 */     // MIs[0] round
     /* 1537549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537552 */     // MIs[0] policy
     /* 1537552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537562 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537586 */     // GIR_Coverage, 18675,
     /* 1537586 */     GIR_EraseRootFromParent_Done,
     /* 1537587 */   // Label 21337: @1537587
     /* 1537587 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1537669), // Rule ID 18678 //
     /* 1537592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537631 */     // MIs[0] round
     /* 1537631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537634 */     // MIs[0] policy
     /* 1537634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537644 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537668 */     // GIR_Coverage, 18678,
     /* 1537668 */     GIR_EraseRootFromParent_Done,
     /* 1537669 */   // Label 21338: @1537669
     /* 1537669 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537751), // Rule ID 18679 //
     /* 1537674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537713 */     // MIs[0] round
     /* 1537713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537716 */     // MIs[0] policy
     /* 1537716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537726 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537750 */     // GIR_Coverage, 18679,
     /* 1537750 */     GIR_EraseRootFromParent_Done,
     /* 1537751 */   // Label 21339: @1537751
     /* 1537751 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537833), // Rule ID 18682 //
     /* 1537756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537795 */     // MIs[0] round
     /* 1537795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537798 */     // MIs[0] policy
     /* 1537798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537832 */     // GIR_Coverage, 18682,
     /* 1537832 */     GIR_EraseRootFromParent_Done,
     /* 1537833 */   // Label 21340: @1537833
     /* 1537833 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537915), // Rule ID 18683 //
     /* 1537838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537877 */     // MIs[0] round
     /* 1537877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537880 */     // MIs[0] policy
     /* 1537880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537890 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537914 */     // GIR_Coverage, 18683,
     /* 1537914 */     GIR_EraseRootFromParent_Done,
     /* 1537915 */   // Label 21341: @1537915
     /* 1537915 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537997), // Rule ID 18686 //
     /* 1537920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537959 */     // MIs[0] round
     /* 1537959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537962 */     // MIs[0] policy
     /* 1537962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537996 */     // GIR_Coverage, 18686,
     /* 1537996 */     GIR_EraseRootFromParent_Done,
     /* 1537997 */   // Label 21342: @1537997
     /* 1537997 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1538079), // Rule ID 18687 //
     /* 1538002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1538019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538041 */     // MIs[0] round
     /* 1538041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538044 */     // MIs[0] policy
     /* 1538044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538054 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1538057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538078 */     // GIR_Coverage, 18687,
     /* 1538078 */     GIR_EraseRootFromParent_Done,
     /* 1538079 */   // Label 21343: @1538079
     /* 1538079 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538161), // Rule ID 18690 //
     /* 1538084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1538101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538123 */     // MIs[0] round
     /* 1538123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538126 */     // MIs[0] policy
     /* 1538126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1538139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538160 */     // GIR_Coverage, 18690,
     /* 1538160 */     GIR_EraseRootFromParent_Done,
     /* 1538161 */   // Label 21344: @1538161
     /* 1538161 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538243), // Rule ID 18691 //
     /* 1538166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1538183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538205 */     // MIs[0] round
     /* 1538205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538208 */     // MIs[0] policy
     /* 1538208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538218 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1538221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538242 */     // GIR_Coverage, 18691,
     /* 1538242 */     GIR_EraseRootFromParent_Done,
     /* 1538243 */   // Label 21345: @1538243
     /* 1538243 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538325), // Rule ID 18694 //
     /* 1538248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1538265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538287 */     // MIs[0] round
     /* 1538287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538290 */     // MIs[0] policy
     /* 1538290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538300 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1538303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538324 */     // GIR_Coverage, 18694,
     /* 1538324 */     GIR_EraseRootFromParent_Done,
     /* 1538325 */   // Label 21346: @1538325
     /* 1538325 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538407), // Rule ID 18695 //
     /* 1538330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1538347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538369 */     // MIs[0] round
     /* 1538369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538372 */     // MIs[0] policy
     /* 1538372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538382 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1538385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538406 */     // GIR_Coverage, 18695,
     /* 1538406 */     GIR_EraseRootFromParent_Done,
     /* 1538407 */   // Label 21347: @1538407
     /* 1538407 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538489), // Rule ID 18698 //
     /* 1538412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538451 */     // MIs[0] round
     /* 1538451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538454 */     // MIs[0] policy
     /* 1538454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538464 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538488 */     // GIR_Coverage, 18698,
     /* 1538488 */     GIR_EraseRootFromParent_Done,
     /* 1538489 */   // Label 21348: @1538489
     /* 1538489 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1538571), // Rule ID 18699 //
     /* 1538494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538533 */     // MIs[0] round
     /* 1538533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538536 */     // MIs[0] policy
     /* 1538536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538570 */     // GIR_Coverage, 18699,
     /* 1538570 */     GIR_EraseRootFromParent_Done,
     /* 1538571 */   // Label 21349: @1538571
     /* 1538571 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1538653), // Rule ID 18702 //
     /* 1538576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538615 */     // MIs[0] round
     /* 1538615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538618 */     // MIs[0] policy
     /* 1538618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538652 */     // GIR_Coverage, 18702,
     /* 1538652 */     GIR_EraseRootFromParent_Done,
     /* 1538653 */   // Label 21350: @1538653
     /* 1538653 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538735), // Rule ID 18703 //
     /* 1538658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538697 */     // MIs[0] round
     /* 1538697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538700 */     // MIs[0] policy
     /* 1538700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538710 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538734 */     // GIR_Coverage, 18703,
     /* 1538734 */     GIR_EraseRootFromParent_Done,
     /* 1538735 */   // Label 21351: @1538735
     /* 1538735 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538817), // Rule ID 18706 //
     /* 1538740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538779 */     // MIs[0] round
     /* 1538779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538782 */     // MIs[0] policy
     /* 1538782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538792 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538816 */     // GIR_Coverage, 18706,
     /* 1538816 */     GIR_EraseRootFromParent_Done,
     /* 1538817 */   // Label 21352: @1538817
     /* 1538817 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538899), // Rule ID 18707 //
     /* 1538822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538861 */     // MIs[0] round
     /* 1538861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538864 */     // MIs[0] policy
     /* 1538864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538898 */     // GIR_Coverage, 18707,
     /* 1538898 */     GIR_EraseRootFromParent_Done,
     /* 1538899 */   // Label 21353: @1538899
     /* 1538899 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538981), // Rule ID 18710 //
     /* 1538904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538943 */     // MIs[0] round
     /* 1538943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538946 */     // MIs[0] policy
     /* 1538946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538956 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538980 */     // GIR_Coverage, 18710,
     /* 1538980 */     GIR_EraseRootFromParent_Done,
     /* 1538981 */   // Label 21354: @1538981
     /* 1538981 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1539063), // Rule ID 18711 //
     /* 1538986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539025 */     // MIs[0] round
     /* 1539025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539028 */     // MIs[0] policy
     /* 1539028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1539041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539062 */     // GIR_Coverage, 18711,
     /* 1539062 */     GIR_EraseRootFromParent_Done,
     /* 1539063 */   // Label 21355: @1539063
     /* 1539063 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539145), // Rule ID 18714 //
     /* 1539068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539107 */     // MIs[0] round
     /* 1539107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539110 */     // MIs[0] policy
     /* 1539110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539120 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1539123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539144 */     // GIR_Coverage, 18714,
     /* 1539144 */     GIR_EraseRootFromParent_Done,
     /* 1539145 */   // Label 21356: @1539145
     /* 1539145 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539227), // Rule ID 18715 //
     /* 1539150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539189 */     // MIs[0] round
     /* 1539189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539192 */     // MIs[0] policy
     /* 1539192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539202 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1539205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539226 */     // GIR_Coverage, 18715,
     /* 1539226 */     GIR_EraseRootFromParent_Done,
     /* 1539227 */   // Label 21357: @1539227
     /* 1539227 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539309), // Rule ID 18718 //
     /* 1539232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539271 */     // MIs[0] round
     /* 1539271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539274 */     // MIs[0] policy
     /* 1539274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539284 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1539287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539308 */     // GIR_Coverage, 18718,
     /* 1539308 */     GIR_EraseRootFromParent_Done,
     /* 1539309 */   // Label 21358: @1539309
     /* 1539309 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539391), // Rule ID 18719 //
     /* 1539314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539353 */     // MIs[0] round
     /* 1539353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539356 */     // MIs[0] policy
     /* 1539356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1539369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539390 */     // GIR_Coverage, 18719,
     /* 1539390 */     GIR_EraseRootFromParent_Done,
     /* 1539391 */   // Label 21359: @1539391
     /* 1539391 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539473), // Rule ID 18722 //
     /* 1539396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539435 */     // MIs[0] round
     /* 1539435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539438 */     // MIs[0] policy
     /* 1539438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539472 */     // GIR_Coverage, 18722,
     /* 1539472 */     GIR_EraseRootFromParent_Done,
     /* 1539473 */   // Label 21360: @1539473
     /* 1539473 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1539555), // Rule ID 18723 //
     /* 1539478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539517 */     // MIs[0] round
     /* 1539517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539520 */     // MIs[0] policy
     /* 1539520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539554 */     // GIR_Coverage, 18723,
     /* 1539554 */     GIR_EraseRootFromParent_Done,
     /* 1539555 */   // Label 21361: @1539555
     /* 1539555 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1539637), // Rule ID 18726 //
     /* 1539560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539599 */     // MIs[0] round
     /* 1539599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539602 */     // MIs[0] policy
     /* 1539602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539612 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539636 */     // GIR_Coverage, 18726,
     /* 1539636 */     GIR_EraseRootFromParent_Done,
     /* 1539637 */   // Label 21362: @1539637
     /* 1539637 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539719), // Rule ID 18727 //
     /* 1539642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539681 */     // MIs[0] round
     /* 1539681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539684 */     // MIs[0] policy
     /* 1539684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539694 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539718 */     // GIR_Coverage, 18727,
     /* 1539718 */     GIR_EraseRootFromParent_Done,
     /* 1539719 */   // Label 21363: @1539719
     /* 1539719 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539801), // Rule ID 18730 //
     /* 1539724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539763 */     // MIs[0] round
     /* 1539763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539766 */     // MIs[0] policy
     /* 1539766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539800 */     // GIR_Coverage, 18730,
     /* 1539800 */     GIR_EraseRootFromParent_Done,
     /* 1539801 */   // Label 21364: @1539801
     /* 1539801 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539883), // Rule ID 18731 //
     /* 1539806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539845 */     // MIs[0] round
     /* 1539845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539848 */     // MIs[0] policy
     /* 1539848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539858 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539882 */     // GIR_Coverage, 18731,
     /* 1539882 */     GIR_EraseRootFromParent_Done,
     /* 1539883 */   // Label 21365: @1539883
     /* 1539883 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539965), // Rule ID 18734 //
     /* 1539888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539927 */     // MIs[0] round
     /* 1539927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539930 */     // MIs[0] policy
     /* 1539930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539940 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539964 */     // GIR_Coverage, 18734,
     /* 1539964 */     GIR_EraseRootFromParent_Done,
     /* 1539965 */   // Label 21366: @1539965
     /* 1539965 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1540047), // Rule ID 18735 //
     /* 1539970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540009 */     // MIs[0] round
     /* 1540009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540012 */     // MIs[0] policy
     /* 1540012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540022 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1540025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540046 */     // GIR_Coverage, 18735,
     /* 1540046 */     GIR_EraseRootFromParent_Done,
     /* 1540047 */   // Label 21367: @1540047
     /* 1540047 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540129), // Rule ID 18738 //
     /* 1540052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540091 */     // MIs[0] round
     /* 1540091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540094 */     // MIs[0] policy
     /* 1540094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540104 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1540107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540128 */     // GIR_Coverage, 18738,
     /* 1540128 */     GIR_EraseRootFromParent_Done,
     /* 1540129 */   // Label 21368: @1540129
     /* 1540129 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540211), // Rule ID 18739 //
     /* 1540134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540173 */     // MIs[0] round
     /* 1540173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540176 */     // MIs[0] policy
     /* 1540176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540186 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1540189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540210 */     // GIR_Coverage, 18739,
     /* 1540210 */     GIR_EraseRootFromParent_Done,
     /* 1540211 */   // Label 21369: @1540211
     /* 1540211 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540293), // Rule ID 18742 //
     /* 1540216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540255 */     // MIs[0] round
     /* 1540255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540258 */     // MIs[0] policy
     /* 1540258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540268 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1540271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540292 */     // GIR_Coverage, 18742,
     /* 1540292 */     GIR_EraseRootFromParent_Done,
     /* 1540293 */   // Label 21370: @1540293
     /* 1540293 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540375), // Rule ID 18743 //
     /* 1540298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540337 */     // MIs[0] round
     /* 1540337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540340 */     // MIs[0] policy
     /* 1540340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540350 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1540353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540374 */     // GIR_Coverage, 18743,
     /* 1540374 */     GIR_EraseRootFromParent_Done,
     /* 1540375 */   // Label 21371: @1540375
     /* 1540375 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540457), // Rule ID 18746 //
     /* 1540380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540419 */     // MIs[0] round
     /* 1540419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540422 */     // MIs[0] policy
     /* 1540422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540432 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540456 */     // GIR_Coverage, 18746,
     /* 1540456 */     GIR_EraseRootFromParent_Done,
     /* 1540457 */   // Label 21372: @1540457
     /* 1540457 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1540539), // Rule ID 18747 //
     /* 1540462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540501 */     // MIs[0] round
     /* 1540501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540504 */     // MIs[0] policy
     /* 1540504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540538 */     // GIR_Coverage, 18747,
     /* 1540538 */     GIR_EraseRootFromParent_Done,
     /* 1540539 */   // Label 21373: @1540539
     /* 1540539 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1540621), // Rule ID 18750 //
     /* 1540544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540583 */     // MIs[0] round
     /* 1540583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540586 */     // MIs[0] policy
     /* 1540586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540596 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540620 */     // GIR_Coverage, 18750,
     /* 1540620 */     GIR_EraseRootFromParent_Done,
     /* 1540621 */   // Label 21374: @1540621
     /* 1540621 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540703), // Rule ID 18751 //
     /* 1540626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540665 */     // MIs[0] round
     /* 1540665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540668 */     // MIs[0] policy
     /* 1540668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540702 */     // GIR_Coverage, 18751,
     /* 1540702 */     GIR_EraseRootFromParent_Done,
     /* 1540703 */   // Label 21375: @1540703
     /* 1540703 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540785), // Rule ID 18754 //
     /* 1540708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540747 */     // MIs[0] round
     /* 1540747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540750 */     // MIs[0] policy
     /* 1540750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540760 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540784 */     // GIR_Coverage, 18754,
     /* 1540784 */     GIR_EraseRootFromParent_Done,
     /* 1540785 */   // Label 21376: @1540785
     /* 1540785 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540867), // Rule ID 18755 //
     /* 1540790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540829 */     // MIs[0] round
     /* 1540829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540832 */     // MIs[0] policy
     /* 1540832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540842 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540866 */     // GIR_Coverage, 18755,
     /* 1540866 */     GIR_EraseRootFromParent_Done,
     /* 1540867 */   // Label 21377: @1540867
     /* 1540867 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540949), // Rule ID 18758 //
     /* 1540872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540911 */     // MIs[0] round
     /* 1540911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540914 */     // MIs[0] policy
     /* 1540914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540924 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540948 */     // GIR_Coverage, 18758,
     /* 1540948 */     GIR_EraseRootFromParent_Done,
     /* 1540949 */   // Label 21378: @1540949
     /* 1540949 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1541031), // Rule ID 18759 //
     /* 1540954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540993 */     // MIs[0] round
     /* 1540993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540996 */     // MIs[0] policy
     /* 1540996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541006 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1541009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541030 */     // GIR_Coverage, 18759,
     /* 1541030 */     GIR_EraseRootFromParent_Done,
     /* 1541031 */   // Label 21379: @1541031
     /* 1541031 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541113), // Rule ID 18762 //
     /* 1541036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541075 */     // MIs[0] round
     /* 1541075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541078 */     // MIs[0] policy
     /* 1541078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541088 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1541091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541112 */     // GIR_Coverage, 18762,
     /* 1541112 */     GIR_EraseRootFromParent_Done,
     /* 1541113 */   // Label 21380: @1541113
     /* 1541113 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541195), // Rule ID 18763 //
     /* 1541118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541157 */     // MIs[0] round
     /* 1541157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541160 */     // MIs[0] policy
     /* 1541160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1541173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541194 */     // GIR_Coverage, 18763,
     /* 1541194 */     GIR_EraseRootFromParent_Done,
     /* 1541195 */   // Label 21381: @1541195
     /* 1541195 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541277), // Rule ID 18766 //
     /* 1541200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541239 */     // MIs[0] round
     /* 1541239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541242 */     // MIs[0] policy
     /* 1541242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1541255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541276 */     // GIR_Coverage, 18766,
     /* 1541276 */     GIR_EraseRootFromParent_Done,
     /* 1541277 */   // Label 21382: @1541277
     /* 1541277 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541359), // Rule ID 18767 //
     /* 1541282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541321 */     // MIs[0] round
     /* 1541321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541324 */     // MIs[0] policy
     /* 1541324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541334 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1541337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541358 */     // GIR_Coverage, 18767,
     /* 1541358 */     GIR_EraseRootFromParent_Done,
     /* 1541359 */   // Label 21383: @1541359
     /* 1541359 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1541441), // Rule ID 18770 //
     /* 1541364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541403 */     // MIs[0] round
     /* 1541403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541406 */     // MIs[0] policy
     /* 1541406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541440 */     // GIR_Coverage, 18770,
     /* 1541440 */     GIR_EraseRootFromParent_Done,
     /* 1541441 */   // Label 21384: @1541441
     /* 1541441 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1541523), // Rule ID 18771 //
     /* 1541446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541485 */     // MIs[0] round
     /* 1541485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541488 */     // MIs[0] policy
     /* 1541488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541522 */     // GIR_Coverage, 18771,
     /* 1541522 */     GIR_EraseRootFromParent_Done,
     /* 1541523 */   // Label 21385: @1541523
     /* 1541523 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1541605), // Rule ID 18774 //
     /* 1541528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541567 */     // MIs[0] round
     /* 1541567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541570 */     // MIs[0] policy
     /* 1541570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541580 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541604 */     // GIR_Coverage, 18774,
     /* 1541604 */     GIR_EraseRootFromParent_Done,
     /* 1541605 */   // Label 21386: @1541605
     /* 1541605 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541687), // Rule ID 18775 //
     /* 1541610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541649 */     // MIs[0] round
     /* 1541649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541652 */     // MIs[0] policy
     /* 1541652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541662 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541686 */     // GIR_Coverage, 18775,
     /* 1541686 */     GIR_EraseRootFromParent_Done,
     /* 1541687 */   // Label 21387: @1541687
     /* 1541687 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541769), // Rule ID 18778 //
     /* 1541692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541731 */     // MIs[0] round
     /* 1541731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541734 */     // MIs[0] policy
     /* 1541734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541768 */     // GIR_Coverage, 18778,
     /* 1541768 */     GIR_EraseRootFromParent_Done,
     /* 1541769 */   // Label 21388: @1541769
     /* 1541769 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541851), // Rule ID 18779 //
     /* 1541774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541813 */     // MIs[0] round
     /* 1541813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541816 */     // MIs[0] policy
     /* 1541816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541850 */     // GIR_Coverage, 18779,
     /* 1541850 */     GIR_EraseRootFromParent_Done,
     /* 1541851 */   // Label 21389: @1541851
     /* 1541851 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541933), // Rule ID 18782 //
     /* 1541856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541895 */     // MIs[0] round
     /* 1541895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541898 */     // MIs[0] policy
     /* 1541898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541908 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541932 */     // GIR_Coverage, 18782,
     /* 1541932 */     GIR_EraseRootFromParent_Done,
     /* 1541933 */   // Label 21390: @1541933
     /* 1541933 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1542015), // Rule ID 18783 //
     /* 1541938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541977 */     // MIs[0] round
     /* 1541977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541980 */     // MIs[0] policy
     /* 1541980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542014 */     // GIR_Coverage, 18783,
     /* 1542014 */     GIR_EraseRootFromParent_Done,
     /* 1542015 */   // Label 21391: @1542015
     /* 1542015 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1542097), // Rule ID 18786 //
     /* 1542020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542059 */     // MIs[0] round
     /* 1542059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542062 */     // MIs[0] policy
     /* 1542062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1542075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542096 */     // GIR_Coverage, 18786,
     /* 1542096 */     GIR_EraseRootFromParent_Done,
     /* 1542097 */   // Label 21392: @1542097
     /* 1542097 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542179), // Rule ID 18787 //
     /* 1542102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542141 */     // MIs[0] round
     /* 1542141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542144 */     // MIs[0] policy
     /* 1542144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542154 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1542157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542178 */     // GIR_Coverage, 18787,
     /* 1542178 */     GIR_EraseRootFromParent_Done,
     /* 1542179 */   // Label 21393: @1542179
     /* 1542179 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542261), // Rule ID 18790 //
     /* 1542184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542223 */     // MIs[0] round
     /* 1542223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542226 */     // MIs[0] policy
     /* 1542226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1542239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542260 */     // GIR_Coverage, 18790,
     /* 1542260 */     GIR_EraseRootFromParent_Done,
     /* 1542261 */   // Label 21394: @1542261
     /* 1542261 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542343), // Rule ID 18791 //
     /* 1542266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542305 */     // MIs[0] round
     /* 1542305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542308 */     // MIs[0] policy
     /* 1542308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542318 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1542321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542342 */     // GIR_Coverage, 18791,
     /* 1542342 */     GIR_EraseRootFromParent_Done,
     /* 1542343 */   // Label 21395: @1542343
     /* 1542343 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1542425), // Rule ID 18794 //
     /* 1542348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542387 */     // MIs[0] round
     /* 1542387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542390 */     // MIs[0] policy
     /* 1542390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542424 */     // GIR_Coverage, 18794,
     /* 1542424 */     GIR_EraseRootFromParent_Done,
     /* 1542425 */   // Label 21396: @1542425
     /* 1542425 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1542507), // Rule ID 18795 //
     /* 1542430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542469 */     // MIs[0] round
     /* 1542469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542472 */     // MIs[0] policy
     /* 1542472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542506 */     // GIR_Coverage, 18795,
     /* 1542506 */     GIR_EraseRootFromParent_Done,
     /* 1542507 */   // Label 21397: @1542507
     /* 1542507 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1542589), // Rule ID 18798 //
     /* 1542512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542551 */     // MIs[0] round
     /* 1542551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542554 */     // MIs[0] policy
     /* 1542554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542588 */     // GIR_Coverage, 18798,
     /* 1542588 */     GIR_EraseRootFromParent_Done,
     /* 1542589 */   // Label 21398: @1542589
     /* 1542589 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1542671), // Rule ID 18799 //
     /* 1542594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542633 */     // MIs[0] round
     /* 1542633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542636 */     // MIs[0] policy
     /* 1542636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542646 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542670 */     // GIR_Coverage, 18799,
     /* 1542670 */     GIR_EraseRootFromParent_Done,
     /* 1542671 */   // Label 21399: @1542671
     /* 1542671 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542753), // Rule ID 18802 //
     /* 1542676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542715 */     // MIs[0] round
     /* 1542715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542718 */     // MIs[0] policy
     /* 1542718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542752 */     // GIR_Coverage, 18802,
     /* 1542752 */     GIR_EraseRootFromParent_Done,
     /* 1542753 */   // Label 21400: @1542753
     /* 1542753 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542835), // Rule ID 18803 //
     /* 1542758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542797 */     // MIs[0] round
     /* 1542797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542800 */     // MIs[0] policy
     /* 1542800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542834 */     // GIR_Coverage, 18803,
     /* 1542834 */     GIR_EraseRootFromParent_Done,
     /* 1542835 */   // Label 21401: @1542835
     /* 1542835 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542917), // Rule ID 18806 //
     /* 1542840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542879 */     // MIs[0] round
     /* 1542879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542882 */     // MIs[0] policy
     /* 1542882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542916 */     // GIR_Coverage, 18806,
     /* 1542916 */     GIR_EraseRootFromParent_Done,
     /* 1542917 */   // Label 21402: @1542917
     /* 1542917 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542999), // Rule ID 18807 //
     /* 1542922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542961 */     // MIs[0] round
     /* 1542961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542964 */     // MIs[0] policy
     /* 1542964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542998 */     // GIR_Coverage, 18807,
     /* 1542998 */     GIR_EraseRootFromParent_Done,
     /* 1542999 */   // Label 21403: @1542999
     /* 1542999 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1543081), // Rule ID 18810 //
     /* 1543004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543043 */     // MIs[0] round
     /* 1543043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543046 */     // MIs[0] policy
     /* 1543046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1543059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543080 */     // GIR_Coverage, 18810,
     /* 1543080 */     GIR_EraseRootFromParent_Done,
     /* 1543081 */   // Label 21404: @1543081
     /* 1543081 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543163), // Rule ID 18811 //
     /* 1543086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543125 */     // MIs[0] round
     /* 1543125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543128 */     // MIs[0] policy
     /* 1543128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543138 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1543141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543162 */     // GIR_Coverage, 18811,
     /* 1543162 */     GIR_EraseRootFromParent_Done,
     /* 1543163 */   // Label 21405: @1543163
     /* 1543163 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543245), // Rule ID 18814 //
     /* 1543168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543207 */     // MIs[0] round
     /* 1543207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543210 */     // MIs[0] policy
     /* 1543210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543220 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1543223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543244 */     // GIR_Coverage, 18814,
     /* 1543244 */     GIR_EraseRootFromParent_Done,
     /* 1543245 */   // Label 21406: @1543245
     /* 1543245 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1543327), // Rule ID 18815 //
     /* 1543250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543289 */     // MIs[0] round
     /* 1543289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543292 */     // MIs[0] policy
     /* 1543292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1543305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543326 */     // GIR_Coverage, 18815,
     /* 1543326 */     GIR_EraseRootFromParent_Done,
     /* 1543327 */   // Label 21407: @1543327
     /* 1543327 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1543409), // Rule ID 18818 //
     /* 1543332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543371 */     // MIs[0] round
     /* 1543371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543374 */     // MIs[0] policy
     /* 1543374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543408 */     // GIR_Coverage, 18818,
     /* 1543408 */     GIR_EraseRootFromParent_Done,
     /* 1543409 */   // Label 21408: @1543409
     /* 1543409 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1543491), // Rule ID 18819 //
     /* 1543414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543453 */     // MIs[0] round
     /* 1543453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543456 */     // MIs[0] policy
     /* 1543456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543466 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543490 */     // GIR_Coverage, 18819,
     /* 1543490 */     GIR_EraseRootFromParent_Done,
     /* 1543491 */   // Label 21409: @1543491
     /* 1543491 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1543573), // Rule ID 18822 //
     /* 1543496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543535 */     // MIs[0] round
     /* 1543535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543538 */     // MIs[0] policy
     /* 1543538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543572 */     // GIR_Coverage, 18822,
     /* 1543572 */     GIR_EraseRootFromParent_Done,
     /* 1543573 */   // Label 21410: @1543573
     /* 1543573 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1543655), // Rule ID 18823 //
     /* 1543578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543617 */     // MIs[0] round
     /* 1543617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543620 */     // MIs[0] policy
     /* 1543620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543630 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543654 */     // GIR_Coverage, 18823,
     /* 1543654 */     GIR_EraseRootFromParent_Done,
     /* 1543655 */   // Label 21411: @1543655
     /* 1543655 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543737), // Rule ID 18826 //
     /* 1543660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543699 */     // MIs[0] round
     /* 1543699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543702 */     // MIs[0] policy
     /* 1543702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543736 */     // GIR_Coverage, 18826,
     /* 1543736 */     GIR_EraseRootFromParent_Done,
     /* 1543737 */   // Label 21412: @1543737
     /* 1543737 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543819), // Rule ID 18827 //
     /* 1543742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543781 */     // MIs[0] round
     /* 1543781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543784 */     // MIs[0] policy
     /* 1543784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543794 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543818 */     // GIR_Coverage, 18827,
     /* 1543818 */     GIR_EraseRootFromParent_Done,
     /* 1543819 */   // Label 21413: @1543819
     /* 1543819 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543901), // Rule ID 18830 //
     /* 1543824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543863 */     // MIs[0] round
     /* 1543863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543866 */     // MIs[0] policy
     /* 1543866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543900 */     // GIR_Coverage, 18830,
     /* 1543900 */     GIR_EraseRootFromParent_Done,
     /* 1543901 */   // Label 21414: @1543901
     /* 1543901 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543983), // Rule ID 18831 //
     /* 1543906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543945 */     // MIs[0] round
     /* 1543945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543948 */     // MIs[0] policy
     /* 1543948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543982 */     // GIR_Coverage, 18831,
     /* 1543982 */     GIR_EraseRootFromParent_Done,
     /* 1543983 */   // Label 21415: @1543983
     /* 1543983 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1544065), // Rule ID 18834 //
     /* 1543988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544027 */     // MIs[0] round
     /* 1544027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544030 */     // MIs[0] policy
     /* 1544030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1544043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544064 */     // GIR_Coverage, 18834,
     /* 1544064 */     GIR_EraseRootFromParent_Done,
     /* 1544065 */   // Label 21416: @1544065
     /* 1544065 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544147), // Rule ID 18835 //
     /* 1544070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544109 */     // MIs[0] round
     /* 1544109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544112 */     // MIs[0] policy
     /* 1544112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544122 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1544125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544146 */     // GIR_Coverage, 18835,
     /* 1544146 */     GIR_EraseRootFromParent_Done,
     /* 1544147 */   // Label 21417: @1544147
     /* 1544147 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544229), // Rule ID 18838 //
     /* 1544152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544191 */     // MIs[0] round
     /* 1544191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544194 */     // MIs[0] policy
     /* 1544194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544204 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1544207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544228 */     // GIR_Coverage, 18838,
     /* 1544228 */     GIR_EraseRootFromParent_Done,
     /* 1544229 */   // Label 21418: @1544229
     /* 1544229 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544311), // Rule ID 18839 //
     /* 1544234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544273 */     // MIs[0] round
     /* 1544273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544276 */     // MIs[0] policy
     /* 1544276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544286 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1544289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544310 */     // GIR_Coverage, 18839,
     /* 1544310 */     GIR_EraseRootFromParent_Done,
     /* 1544311 */   // Label 21419: @1544311
     /* 1544311 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1544393), // Rule ID 18842 //
     /* 1544316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544355 */     // MIs[0] round
     /* 1544355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544358 */     // MIs[0] policy
     /* 1544358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544392 */     // GIR_Coverage, 18842,
     /* 1544392 */     GIR_EraseRootFromParent_Done,
     /* 1544393 */   // Label 21420: @1544393
     /* 1544393 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1544475), // Rule ID 18843 //
     /* 1544398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544437 */     // MIs[0] round
     /* 1544437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544440 */     // MIs[0] policy
     /* 1544440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544474 */     // GIR_Coverage, 18843,
     /* 1544474 */     GIR_EraseRootFromParent_Done,
     /* 1544475 */   // Label 21421: @1544475
     /* 1544475 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1544557), // Rule ID 18846 //
     /* 1544480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544519 */     // MIs[0] round
     /* 1544519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544522 */     // MIs[0] policy
     /* 1544522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544556 */     // GIR_Coverage, 18846,
     /* 1544556 */     GIR_EraseRootFromParent_Done,
     /* 1544557 */   // Label 21422: @1544557
     /* 1544557 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1544639), // Rule ID 18847 //
     /* 1544562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544601 */     // MIs[0] round
     /* 1544601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544604 */     // MIs[0] policy
     /* 1544604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544638 */     // GIR_Coverage, 18847,
     /* 1544638 */     GIR_EraseRootFromParent_Done,
     /* 1544639 */   // Label 21423: @1544639
     /* 1544639 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544721), // Rule ID 18850 //
     /* 1544644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544683 */     // MIs[0] round
     /* 1544683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544686 */     // MIs[0] policy
     /* 1544686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544720 */     // GIR_Coverage, 18850,
     /* 1544720 */     GIR_EraseRootFromParent_Done,
     /* 1544721 */   // Label 21424: @1544721
     /* 1544721 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544803), // Rule ID 18851 //
     /* 1544726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544765 */     // MIs[0] round
     /* 1544765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544768 */     // MIs[0] policy
     /* 1544768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544802 */     // GIR_Coverage, 18851,
     /* 1544802 */     GIR_EraseRootFromParent_Done,
     /* 1544803 */   // Label 21425: @1544803
     /* 1544803 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544885), // Rule ID 18854 //
     /* 1544808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544847 */     // MIs[0] round
     /* 1544847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544850 */     // MIs[0] policy
     /* 1544850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544884 */     // GIR_Coverage, 18854,
     /* 1544884 */     GIR_EraseRootFromParent_Done,
     /* 1544885 */   // Label 21426: @1544885
     /* 1544885 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544967), // Rule ID 18855 //
     /* 1544890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544929 */     // MIs[0] round
     /* 1544929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544932 */     // MIs[0] policy
     /* 1544932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544966 */     // GIR_Coverage, 18855,
     /* 1544966 */     GIR_EraseRootFromParent_Done,
     /* 1544967 */   // Label 21427: @1544967
     /* 1544967 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1545049), // Rule ID 18858 //
     /* 1544972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545011 */     // MIs[0] round
     /* 1545011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545014 */     // MIs[0] policy
     /* 1545014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1545027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545048 */     // GIR_Coverage, 18858,
     /* 1545048 */     GIR_EraseRootFromParent_Done,
     /* 1545049 */   // Label 21428: @1545049
     /* 1545049 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545131), // Rule ID 18859 //
     /* 1545054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545093 */     // MIs[0] round
     /* 1545093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545096 */     // MIs[0] policy
     /* 1545096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545106 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1545109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545130 */     // GIR_Coverage, 18859,
     /* 1545130 */     GIR_EraseRootFromParent_Done,
     /* 1545131 */   // Label 21429: @1545131
     /* 1545131 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545213), // Rule ID 18862 //
     /* 1545136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545175 */     // MIs[0] round
     /* 1545175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545178 */     // MIs[0] policy
     /* 1545178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1545191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545212 */     // GIR_Coverage, 18862,
     /* 1545212 */     GIR_EraseRootFromParent_Done,
     /* 1545213 */   // Label 21430: @1545213
     /* 1545213 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545295), // Rule ID 18863 //
     /* 1545218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545257 */     // MIs[0] round
     /* 1545257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545260 */     // MIs[0] policy
     /* 1545260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545270 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1545273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545294 */     // GIR_Coverage, 18863,
     /* 1545294 */     GIR_EraseRootFromParent_Done,
     /* 1545295 */   // Label 21431: @1545295
     /* 1545295 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1545377), // Rule ID 18866 //
     /* 1545300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545339 */     // MIs[0] round
     /* 1545339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545342 */     // MIs[0] policy
     /* 1545342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545352 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545376 */     // GIR_Coverage, 18866,
     /* 1545376 */     GIR_EraseRootFromParent_Done,
     /* 1545377 */   // Label 21432: @1545377
     /* 1545377 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1545459), // Rule ID 18867 //
     /* 1545382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545421 */     // MIs[0] round
     /* 1545421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545424 */     // MIs[0] policy
     /* 1545424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545434 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545458 */     // GIR_Coverage, 18867,
     /* 1545458 */     GIR_EraseRootFromParent_Done,
     /* 1545459 */   // Label 21433: @1545459
     /* 1545459 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1545541), // Rule ID 18870 //
     /* 1545464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545503 */     // MIs[0] round
     /* 1545503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545506 */     // MIs[0] policy
     /* 1545506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545516 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545540 */     // GIR_Coverage, 18870,
     /* 1545540 */     GIR_EraseRootFromParent_Done,
     /* 1545541 */   // Label 21434: @1545541
     /* 1545541 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1545623), // Rule ID 18871 //
     /* 1545546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545585 */     // MIs[0] round
     /* 1545585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545588 */     // MIs[0] policy
     /* 1545588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545598 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545622 */     // GIR_Coverage, 18871,
     /* 1545622 */     GIR_EraseRootFromParent_Done,
     /* 1545623 */   // Label 21435: @1545623
     /* 1545623 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545705), // Rule ID 18874 //
     /* 1545628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545667 */     // MIs[0] round
     /* 1545667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545670 */     // MIs[0] policy
     /* 1545670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545704 */     // GIR_Coverage, 18874,
     /* 1545704 */     GIR_EraseRootFromParent_Done,
     /* 1545705 */   // Label 21436: @1545705
     /* 1545705 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545787), // Rule ID 18875 //
     /* 1545710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545749 */     // MIs[0] round
     /* 1545749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545752 */     // MIs[0] policy
     /* 1545752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545786 */     // GIR_Coverage, 18875,
     /* 1545786 */     GIR_EraseRootFromParent_Done,
     /* 1545787 */   // Label 21437: @1545787
     /* 1545787 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545869), // Rule ID 18878 //
     /* 1545792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545831 */     // MIs[0] round
     /* 1545831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545834 */     // MIs[0] policy
     /* 1545834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545844 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545868 */     // GIR_Coverage, 18878,
     /* 1545868 */     GIR_EraseRootFromParent_Done,
     /* 1545869 */   // Label 21438: @1545869
     /* 1545869 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545951), // Rule ID 18879 //
     /* 1545874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545913 */     // MIs[0] round
     /* 1545913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545916 */     // MIs[0] policy
     /* 1545916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545926 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545950 */     // GIR_Coverage, 18879,
     /* 1545950 */     GIR_EraseRootFromParent_Done,
     /* 1545951 */   // Label 21439: @1545951
     /* 1545951 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1546033), // Rule ID 18884 //
     /* 1545956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545995 */     // MIs[0] round
     /* 1545995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545998 */     // MIs[0] policy
     /* 1545998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546008 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1546011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546032 */     // GIR_Coverage, 18884,
     /* 1546032 */     GIR_EraseRootFromParent_Done,
     /* 1546033 */   // Label 21440: @1546033
     /* 1546033 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546115), // Rule ID 18885 //
     /* 1546038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546077 */     // MIs[0] round
     /* 1546077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546080 */     // MIs[0] policy
     /* 1546080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1546093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546114 */     // GIR_Coverage, 18885,
     /* 1546114 */     GIR_EraseRootFromParent_Done,
     /* 1546115 */   // Label 21441: @1546115
     /* 1546115 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546197), // Rule ID 18888 //
     /* 1546120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546159 */     // MIs[0] round
     /* 1546159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546162 */     // MIs[0] policy
     /* 1546162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1546175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546196 */     // GIR_Coverage, 18888,
     /* 1546196 */     GIR_EraseRootFromParent_Done,
     /* 1546197 */   // Label 21442: @1546197
     /* 1546197 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546279), // Rule ID 18889 //
     /* 1546202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546241 */     // MIs[0] round
     /* 1546241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546244 */     // MIs[0] policy
     /* 1546244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546254 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1546257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546278 */     // GIR_Coverage, 18889,
     /* 1546278 */     GIR_EraseRootFromParent_Done,
     /* 1546279 */   // Label 21443: @1546279
     /* 1546279 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1546361), // Rule ID 18892 //
     /* 1546284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546323 */     // MIs[0] round
     /* 1546323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546326 */     // MIs[0] policy
     /* 1546326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1546339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546360 */     // GIR_Coverage, 18892,
     /* 1546360 */     GIR_EraseRootFromParent_Done,
     /* 1546361 */   // Label 21444: @1546361
     /* 1546361 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1546443), // Rule ID 18893 //
     /* 1546366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546405 */     // MIs[0] round
     /* 1546405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546408 */     // MIs[0] policy
     /* 1546408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546418 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1546421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546442 */     // GIR_Coverage, 18893,
     /* 1546442 */     GIR_EraseRootFromParent_Done,
     /* 1546443 */   // Label 21445: @1546443
     /* 1546443 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1546525), // Rule ID 18896 //
     /* 1546448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546487 */     // MIs[0] round
     /* 1546487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546490 */     // MIs[0] policy
     /* 1546490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546500 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546524 */     // GIR_Coverage, 18896,
     /* 1546524 */     GIR_EraseRootFromParent_Done,
     /* 1546525 */   // Label 21446: @1546525
     /* 1546525 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1546607), // Rule ID 18897 //
     /* 1546530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546569 */     // MIs[0] round
     /* 1546569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546572 */     // MIs[0] policy
     /* 1546572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546606 */     // GIR_Coverage, 18897,
     /* 1546606 */     GIR_EraseRootFromParent_Done,
     /* 1546607 */   // Label 21447: @1546607
     /* 1546607 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546689), // Rule ID 18900 //
     /* 1546612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546651 */     // MIs[0] round
     /* 1546651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546654 */     // MIs[0] policy
     /* 1546654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546688 */     // GIR_Coverage, 18900,
     /* 1546688 */     GIR_EraseRootFromParent_Done,
     /* 1546689 */   // Label 21448: @1546689
     /* 1546689 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546771), // Rule ID 18901 //
     /* 1546694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546733 */     // MIs[0] round
     /* 1546733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546736 */     // MIs[0] policy
     /* 1546736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546746 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546770 */     // GIR_Coverage, 18901,
     /* 1546770 */     GIR_EraseRootFromParent_Done,
     /* 1546771 */   // Label 21449: @1546771
     /* 1546771 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546853), // Rule ID 18904 //
     /* 1546776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546815 */     // MIs[0] round
     /* 1546815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546818 */     // MIs[0] policy
     /* 1546818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546852 */     // GIR_Coverage, 18904,
     /* 1546852 */     GIR_EraseRootFromParent_Done,
     /* 1546853 */   // Label 21450: @1546853
     /* 1546853 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546935), // Rule ID 18905 //
     /* 1546858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546897 */     // MIs[0] round
     /* 1546897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546900 */     // MIs[0] policy
     /* 1546900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546934 */     // GIR_Coverage, 18905,
     /* 1546934 */     GIR_EraseRootFromParent_Done,
     /* 1546935 */   // Label 21451: @1546935
     /* 1546935 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1547017), // Rule ID 18908 //
     /* 1546940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546979 */     // MIs[0] round
     /* 1546979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546982 */     // MIs[0] policy
     /* 1546982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1546995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547016 */     // GIR_Coverage, 18908,
     /* 1547016 */     GIR_EraseRootFromParent_Done,
     /* 1547017 */   // Label 21452: @1547017
     /* 1547017 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1547099), // Rule ID 18909 //
     /* 1547022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547061 */     // MIs[0] round
     /* 1547061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547064 */     // MIs[0] policy
     /* 1547064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547074 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1547077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547098 */     // GIR_Coverage, 18909,
     /* 1547098 */     GIR_EraseRootFromParent_Done,
     /* 1547099 */   // Label 21453: @1547099
     /* 1547099 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547181), // Rule ID 18912 //
     /* 1547104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1547118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1547121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1547124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547143 */     // MIs[0] round
     /* 1547143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547146 */     // MIs[0] policy
     /* 1547146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547156 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1547159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547180 */     // GIR_Coverage, 18912,
     /* 1547180 */     GIR_EraseRootFromParent_Done,
     /* 1547181 */   // Label 21454: @1547181
     /* 1547181 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547263), // Rule ID 18913 //
     /* 1547186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1547200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1547203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1547206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547225 */     // MIs[0] round
     /* 1547225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547228 */     // MIs[0] policy
     /* 1547228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547238 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1547241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547262 */     // GIR_Coverage, 18913,
     /* 1547262 */     GIR_EraseRootFromParent_Done,
     /* 1547263 */   // Label 21455: @1547263
     /* 1547263 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1547345), // Rule ID 18916 //
     /* 1547268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547307 */     // MIs[0] round
     /* 1547307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547310 */     // MIs[0] policy
     /* 1547310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1547323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547344 */     // GIR_Coverage, 18916,
     /* 1547344 */     GIR_EraseRootFromParent_Done,
     /* 1547345 */   // Label 21456: @1547345
     /* 1547345 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1547427), // Rule ID 18917 //
     /* 1547350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547389 */     // MIs[0] round
     /* 1547389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547392 */     // MIs[0] policy
     /* 1547392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547402 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1547405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547426 */     // GIR_Coverage, 18917,
     /* 1547426 */     GIR_EraseRootFromParent_Done,
     /* 1547427 */   // Label 21457: @1547427
     /* 1547427 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1547509), // Rule ID 18920 //
     /* 1547432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547471 */     // MIs[0] round
     /* 1547471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547474 */     // MIs[0] policy
     /* 1547474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547484 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547508 */     // GIR_Coverage, 18920,
     /* 1547508 */     GIR_EraseRootFromParent_Done,
     /* 1547509 */   // Label 21458: @1547509
     /* 1547509 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1547591), // Rule ID 18921 //
     /* 1547514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547553 */     // MIs[0] round
     /* 1547553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547556 */     // MIs[0] policy
     /* 1547556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547590 */     // GIR_Coverage, 18921,
     /* 1547590 */     GIR_EraseRootFromParent_Done,
     /* 1547591 */   // Label 21459: @1547591
     /* 1547591 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1547673), // Rule ID 18924 //
     /* 1547596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547635 */     // MIs[0] round
     /* 1547635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547638 */     // MIs[0] policy
     /* 1547638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547672 */     // GIR_Coverage, 18924,
     /* 1547672 */     GIR_EraseRootFromParent_Done,
     /* 1547673 */   // Label 21460: @1547673
     /* 1547673 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547755), // Rule ID 18925 //
     /* 1547678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547717 */     // MIs[0] round
     /* 1547717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547720 */     // MIs[0] policy
     /* 1547720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547754 */     // GIR_Coverage, 18925,
     /* 1547754 */     GIR_EraseRootFromParent_Done,
     /* 1547755 */   // Label 21461: @1547755
     /* 1547755 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547837), // Rule ID 18928 //
     /* 1547760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547799 */     // MIs[0] round
     /* 1547799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547802 */     // MIs[0] policy
     /* 1547802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547812 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547836 */     // GIR_Coverage, 18928,
     /* 1547836 */     GIR_EraseRootFromParent_Done,
     /* 1547837 */   // Label 21462: @1547837
     /* 1547837 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547919), // Rule ID 18929 //
     /* 1547842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547881 */     // MIs[0] round
     /* 1547881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547884 */     // MIs[0] policy
     /* 1547884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547918 */     // GIR_Coverage, 18929,
     /* 1547918 */     GIR_EraseRootFromParent_Done,
     /* 1547919 */   // Label 21463: @1547919
     /* 1547919 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1548001), // Rule ID 18932 //
     /* 1547924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547963 */     // MIs[0] round
     /* 1547963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547966 */     // MIs[0] policy
     /* 1547966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548000 */     // GIR_Coverage, 18932,
     /* 1548000 */     GIR_EraseRootFromParent_Done,
     /* 1548001 */   // Label 21464: @1548001
     /* 1548001 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1548083), // Rule ID 18933 //
     /* 1548006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548045 */     // MIs[0] round
     /* 1548045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548048 */     // MIs[0] policy
     /* 1548048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548058 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1548061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548082 */     // GIR_Coverage, 18933,
     /* 1548082 */     GIR_EraseRootFromParent_Done,
     /* 1548083 */   // Label 21465: @1548083
     /* 1548083 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548165), // Rule ID 18936 //
     /* 1548088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548127 */     // MIs[0] round
     /* 1548127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548130 */     // MIs[0] policy
     /* 1548130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1548143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548164 */     // GIR_Coverage, 18936,
     /* 1548164 */     GIR_EraseRootFromParent_Done,
     /* 1548165 */   // Label 21466: @1548165
     /* 1548165 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548247), // Rule ID 18937 //
     /* 1548170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1548178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548209 */     // MIs[0] round
     /* 1548209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548212 */     // MIs[0] policy
     /* 1548212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1548225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548246 */     // GIR_Coverage, 18937,
     /* 1548246 */     GIR_EraseRootFromParent_Done,
     /* 1548247 */   // Label 21467: @1548247
     /* 1548247 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1548329), // Rule ID 18996 //
     /* 1548252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1548263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1548266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548291 */     // MIs[0] round
     /* 1548291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548294 */     // MIs[0] policy
     /* 1548294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1548307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548328 */     // GIR_Coverage, 18996,
     /* 1548328 */     GIR_EraseRootFromParent_Done,
     /* 1548329 */   // Label 21468: @1548329
     /* 1548329 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1548411), // Rule ID 18997 //
     /* 1548334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1548345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1548348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548373 */     // MIs[0] round
     /* 1548373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548376 */     // MIs[0] policy
     /* 1548376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548386 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1548389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548410 */     // GIR_Coverage, 18997,
     /* 1548410 */     GIR_EraseRootFromParent_Done,
     /* 1548411 */   // Label 21469: @1548411
     /* 1548411 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1548493), // Rule ID 19000 //
     /* 1548416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548455 */     // MIs[0] round
     /* 1548455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548458 */     // MIs[0] policy
     /* 1548458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548492 */     // GIR_Coverage, 19000,
     /* 1548492 */     GIR_EraseRootFromParent_Done,
     /* 1548493 */   // Label 21470: @1548493
     /* 1548493 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1548575), // Rule ID 19001 //
     /* 1548498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548537 */     // MIs[0] round
     /* 1548537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548540 */     // MIs[0] policy
     /* 1548540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548550 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548574 */     // GIR_Coverage, 19001,
     /* 1548574 */     GIR_EraseRootFromParent_Done,
     /* 1548575 */   // Label 21471: @1548575
     /* 1548575 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1548657), // Rule ID 19004 //
     /* 1548580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548619 */     // MIs[0] round
     /* 1548619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548622 */     // MIs[0] policy
     /* 1548622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548656 */     // GIR_Coverage, 19004,
     /* 1548656 */     GIR_EraseRootFromParent_Done,
     /* 1548657 */   // Label 21472: @1548657
     /* 1548657 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548739), // Rule ID 19005 //
     /* 1548662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548701 */     // MIs[0] round
     /* 1548701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548704 */     // MIs[0] policy
     /* 1548704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548738 */     // GIR_Coverage, 19005,
     /* 1548738 */     GIR_EraseRootFromParent_Done,
     /* 1548739 */   // Label 21473: @1548739
     /* 1548739 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548821), // Rule ID 19008 //
     /* 1548744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548783 */     // MIs[0] round
     /* 1548783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548786 */     // MIs[0] policy
     /* 1548786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548820 */     // GIR_Coverage, 19008,
     /* 1548820 */     GIR_EraseRootFromParent_Done,
     /* 1548821 */   // Label 21474: @1548821
     /* 1548821 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548903), // Rule ID 19009 //
     /* 1548826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548865 */     // MIs[0] round
     /* 1548865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548868 */     // MIs[0] policy
     /* 1548868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548878 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548902 */     // GIR_Coverage, 19009,
     /* 1548902 */     GIR_EraseRootFromParent_Done,
     /* 1548903 */   // Label 21475: @1548903
     /* 1548903 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548985), // Rule ID 19012 //
     /* 1548908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548947 */     // MIs[0] round
     /* 1548947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548950 */     // MIs[0] policy
     /* 1548950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548984 */     // GIR_Coverage, 19012,
     /* 1548984 */     GIR_EraseRootFromParent_Done,
     /* 1548985 */   // Label 21476: @1548985
     /* 1548985 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1549067), // Rule ID 19013 //
     /* 1548990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549029 */     // MIs[0] round
     /* 1549029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549032 */     // MIs[0] policy
     /* 1549032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1549045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549066 */     // GIR_Coverage, 19013,
     /* 1549066 */     GIR_EraseRootFromParent_Done,
     /* 1549067 */   // Label 21477: @1549067
     /* 1549067 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549149), // Rule ID 19016 //
     /* 1549072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1549075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549111 */     // MIs[0] round
     /* 1549111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549114 */     // MIs[0] policy
     /* 1549114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1549127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549148 */     // GIR_Coverage, 19016,
     /* 1549148 */     GIR_EraseRootFromParent_Done,
     /* 1549149 */   // Label 21478: @1549149
     /* 1549149 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549231), // Rule ID 19017 //
     /* 1549154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1549157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549193 */     // MIs[0] round
     /* 1549193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549196 */     // MIs[0] policy
     /* 1549196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549206 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1549209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549230 */     // GIR_Coverage, 19017,
     /* 1549230 */     GIR_EraseRootFromParent_Done,
     /* 1549231 */   // Label 21479: @1549231
     /* 1549231 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549313), // Rule ID 19020 //
     /* 1549236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1549247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1549250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549275 */     // MIs[0] round
     /* 1549275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549278 */     // MIs[0] policy
     /* 1549278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1549291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549312 */     // GIR_Coverage, 19020,
     /* 1549312 */     GIR_EraseRootFromParent_Done,
     /* 1549313 */   // Label 21480: @1549313
     /* 1549313 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1549395), // Rule ID 19021 //
     /* 1549318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1549329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1549332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549357 */     // MIs[0] round
     /* 1549357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549360 */     // MIs[0] policy
     /* 1549360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549370 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1549373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549394 */     // GIR_Coverage, 19021,
     /* 1549394 */     GIR_EraseRootFromParent_Done,
     /* 1549395 */   // Label 21481: @1549395
     /* 1549395 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1549477), // Rule ID 19024 //
     /* 1549400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549439 */     // MIs[0] round
     /* 1549439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549442 */     // MIs[0] policy
     /* 1549442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549476 */     // GIR_Coverage, 19024,
     /* 1549476 */     GIR_EraseRootFromParent_Done,
     /* 1549477 */   // Label 21482: @1549477
     /* 1549477 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1549559), // Rule ID 19025 //
     /* 1549482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549521 */     // MIs[0] round
     /* 1549521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549524 */     // MIs[0] policy
     /* 1549524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549534 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549558 */     // GIR_Coverage, 19025,
     /* 1549558 */     GIR_EraseRootFromParent_Done,
     /* 1549559 */   // Label 21483: @1549559
     /* 1549559 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1549641), // Rule ID 19028 //
     /* 1549564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549603 */     // MIs[0] round
     /* 1549603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549606 */     // MIs[0] policy
     /* 1549606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549640 */     // GIR_Coverage, 19028,
     /* 1549640 */     GIR_EraseRootFromParent_Done,
     /* 1549641 */   // Label 21484: @1549641
     /* 1549641 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549723), // Rule ID 19029 //
     /* 1549646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549685 */     // MIs[0] round
     /* 1549685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549688 */     // MIs[0] policy
     /* 1549688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549698 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549722 */     // GIR_Coverage, 19029,
     /* 1549722 */     GIR_EraseRootFromParent_Done,
     /* 1549723 */   // Label 21485: @1549723
     /* 1549723 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549805), // Rule ID 19032 //
     /* 1549728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549767 */     // MIs[0] round
     /* 1549767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549770 */     // MIs[0] policy
     /* 1549770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549780 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549804 */     // GIR_Coverage, 19032,
     /* 1549804 */     GIR_EraseRootFromParent_Done,
     /* 1549805 */   // Label 21486: @1549805
     /* 1549805 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549887), // Rule ID 19033 //
     /* 1549810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549849 */     // MIs[0] round
     /* 1549849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549852 */     // MIs[0] policy
     /* 1549852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549862 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549886 */     // GIR_Coverage, 19033,
     /* 1549886 */     GIR_EraseRootFromParent_Done,
     /* 1549887 */   // Label 21487: @1549887
     /* 1549887 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549969), // Rule ID 19036 //
     /* 1549892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549931 */     // MIs[0] round
     /* 1549931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549934 */     // MIs[0] policy
     /* 1549934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549968 */     // GIR_Coverage, 19036,
     /* 1549968 */     GIR_EraseRootFromParent_Done,
     /* 1549969 */   // Label 21488: @1549969
     /* 1549969 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1550051), // Rule ID 19037 //
     /* 1549974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550013 */     // MIs[0] round
     /* 1550013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550016 */     // MIs[0] policy
     /* 1550016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550026 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1550029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550050 */     // GIR_Coverage, 19037,
     /* 1550050 */     GIR_EraseRootFromParent_Done,
     /* 1550051 */   // Label 21489: @1550051
     /* 1550051 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550133), // Rule ID 19040 //
     /* 1550056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1550059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550095 */     // MIs[0] round
     /* 1550095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550098 */     // MIs[0] policy
     /* 1550098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1550111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550132 */     // GIR_Coverage, 19040,
     /* 1550132 */     GIR_EraseRootFromParent_Done,
     /* 1550133 */   // Label 21490: @1550133
     /* 1550133 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550215), // Rule ID 19041 //
     /* 1550138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1550141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550177 */     // MIs[0] round
     /* 1550177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550180 */     // MIs[0] policy
     /* 1550180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550190 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1550193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550214 */     // GIR_Coverage, 19041,
     /* 1550214 */     GIR_EraseRootFromParent_Done,
     /* 1550215 */   // Label 21491: @1550215
     /* 1550215 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550297), // Rule ID 19044 //
     /* 1550220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550259 */     // MIs[0] round
     /* 1550259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550262 */     // MIs[0] policy
     /* 1550262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550272 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1550275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550296 */     // GIR_Coverage, 19044,
     /* 1550296 */     GIR_EraseRootFromParent_Done,
     /* 1550297 */   // Label 21492: @1550297
     /* 1550297 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1550379), // Rule ID 19045 //
     /* 1550302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550341 */     // MIs[0] round
     /* 1550341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550344 */     // MIs[0] policy
     /* 1550344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1550357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550378 */     // GIR_Coverage, 19045,
     /* 1550378 */     GIR_EraseRootFromParent_Done,
     /* 1550379 */   // Label 21493: @1550379
     /* 1550379 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1550461), // Rule ID 19048 //
     /* 1550384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550423 */     // MIs[0] round
     /* 1550423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550426 */     // MIs[0] policy
     /* 1550426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550460 */     // GIR_Coverage, 19048,
     /* 1550460 */     GIR_EraseRootFromParent_Done,
     /* 1550461 */   // Label 21494: @1550461
     /* 1550461 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1550543), // Rule ID 19049 //
     /* 1550466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550505 */     // MIs[0] round
     /* 1550505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550508 */     // MIs[0] policy
     /* 1550508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550518 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550542 */     // GIR_Coverage, 19049,
     /* 1550542 */     GIR_EraseRootFromParent_Done,
     /* 1550543 */   // Label 21495: @1550543
     /* 1550543 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1550625), // Rule ID 19052 //
     /* 1550548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550587 */     // MIs[0] round
     /* 1550587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550590 */     // MIs[0] policy
     /* 1550590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550624 */     // GIR_Coverage, 19052,
     /* 1550624 */     GIR_EraseRootFromParent_Done,
     /* 1550625 */   // Label 21496: @1550625
     /* 1550625 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550707), // Rule ID 19053 //
     /* 1550630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550669 */     // MIs[0] round
     /* 1550669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550672 */     // MIs[0] policy
     /* 1550672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550706 */     // GIR_Coverage, 19053,
     /* 1550706 */     GIR_EraseRootFromParent_Done,
     /* 1550707 */   // Label 21497: @1550707
     /* 1550707 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550789), // Rule ID 20638 //
     /* 1550712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550751 */     // MIs[0] round
     /* 1550751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550754 */     // MIs[0] policy
     /* 1550754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550788 */     // GIR_Coverage, 20638,
     /* 1550788 */     GIR_EraseRootFromParent_Done,
     /* 1550789 */   // Label 21498: @1550789
     /* 1550789 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550871), // Rule ID 20639 //
     /* 1550794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550833 */     // MIs[0] round
     /* 1550833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550836 */     // MIs[0] policy
     /* 1550836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550870 */     // GIR_Coverage, 20639,
     /* 1550870 */     GIR_EraseRootFromParent_Done,
     /* 1550871 */   // Label 21499: @1550871
     /* 1550871 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550953), // Rule ID 20642 //
     /* 1550876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550915 */     // MIs[0] round
     /* 1550915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550918 */     // MIs[0] policy
     /* 1550918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550952 */     // GIR_Coverage, 20642,
     /* 1550952 */     GIR_EraseRootFromParent_Done,
     /* 1550953 */   // Label 21500: @1550953
     /* 1550953 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1551035), // Rule ID 20643 //
     /* 1550958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550997 */     // MIs[0] round
     /* 1550997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551000 */     // MIs[0] policy
     /* 1551000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1551013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551034 */     // GIR_Coverage, 20643,
     /* 1551034 */     GIR_EraseRootFromParent_Done,
     /* 1551035 */   // Label 21501: @1551035
     /* 1551035 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551117), // Rule ID 20646 //
     /* 1551040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551079 */     // MIs[0] round
     /* 1551079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551082 */     // MIs[0] policy
     /* 1551082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551116 */     // GIR_Coverage, 20646,
     /* 1551116 */     GIR_EraseRootFromParent_Done,
     /* 1551117 */   // Label 21502: @1551117
     /* 1551117 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551199), // Rule ID 20647 //
     /* 1551122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551161 */     // MIs[0] round
     /* 1551161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551164 */     // MIs[0] policy
     /* 1551164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551198 */     // GIR_Coverage, 20647,
     /* 1551198 */     GIR_EraseRootFromParent_Done,
     /* 1551199 */   // Label 21503: @1551199
     /* 1551199 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551281), // Rule ID 20650 //
     /* 1551204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1551221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551243 */     // MIs[0] round
     /* 1551243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551246 */     // MIs[0] policy
     /* 1551246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551280 */     // GIR_Coverage, 20650,
     /* 1551280 */     GIR_EraseRootFromParent_Done,
     /* 1551281 */   // Label 21504: @1551281
     /* 1551281 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1551363), // Rule ID 20651 //
     /* 1551286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1551303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551325 */     // MIs[0] round
     /* 1551325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551328 */     // MIs[0] policy
     /* 1551328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551362 */     // GIR_Coverage, 20651,
     /* 1551362 */     GIR_EraseRootFromParent_Done,
     /* 1551363 */   // Label 21505: @1551363
     /* 1551363 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1551445), // Rule ID 20654 //
     /* 1551368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551407 */     // MIs[0] round
     /* 1551407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551410 */     // MIs[0] policy
     /* 1551410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551444 */     // GIR_Coverage, 20654,
     /* 1551444 */     GIR_EraseRootFromParent_Done,
     /* 1551445 */   // Label 21506: @1551445
     /* 1551445 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1551527), // Rule ID 20655 //
     /* 1551450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551489 */     // MIs[0] round
     /* 1551489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551492 */     // MIs[0] policy
     /* 1551492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551526 */     // GIR_Coverage, 20655,
     /* 1551526 */     GIR_EraseRootFromParent_Done,
     /* 1551527 */   // Label 21507: @1551527
     /* 1551527 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1551609), // Rule ID 20658 //
     /* 1551532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551571 */     // MIs[0] round
     /* 1551571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551574 */     // MIs[0] policy
     /* 1551574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551608 */     // GIR_Coverage, 20658,
     /* 1551608 */     GIR_EraseRootFromParent_Done,
     /* 1551609 */   // Label 21508: @1551609
     /* 1551609 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551691), // Rule ID 20659 //
     /* 1551614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551653 */     // MIs[0] round
     /* 1551653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551656 */     // MIs[0] policy
     /* 1551656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551690 */     // GIR_Coverage, 20659,
     /* 1551690 */     GIR_EraseRootFromParent_Done,
     /* 1551691 */   // Label 21509: @1551691
     /* 1551691 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551773), // Rule ID 20662 //
     /* 1551696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551735 */     // MIs[0] round
     /* 1551735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551738 */     // MIs[0] policy
     /* 1551738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551772 */     // GIR_Coverage, 20662,
     /* 1551772 */     GIR_EraseRootFromParent_Done,
     /* 1551773 */   // Label 21510: @1551773
     /* 1551773 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551855), // Rule ID 20663 //
     /* 1551778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551817 */     // MIs[0] round
     /* 1551817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551820 */     // MIs[0] policy
     /* 1551820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551854 */     // GIR_Coverage, 20663,
     /* 1551854 */     GIR_EraseRootFromParent_Done,
     /* 1551855 */   // Label 21511: @1551855
     /* 1551855 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551937), // Rule ID 20666 //
     /* 1551860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551899 */     // MIs[0] round
     /* 1551899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551902 */     // MIs[0] policy
     /* 1551902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551936 */     // GIR_Coverage, 20666,
     /* 1551936 */     GIR_EraseRootFromParent_Done,
     /* 1551937 */   // Label 21512: @1551937
     /* 1551937 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1552019), // Rule ID 20667 //
     /* 1551942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551981 */     // MIs[0] round
     /* 1551981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551984 */     // MIs[0] policy
     /* 1551984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552018 */     // GIR_Coverage, 20667,
     /* 1552018 */     GIR_EraseRootFromParent_Done,
     /* 1552019 */   // Label 21513: @1552019
     /* 1552019 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1552101), // Rule ID 20670 //
     /* 1552024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552063 */     // MIs[0] round
     /* 1552063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552066 */     // MIs[0] policy
     /* 1552066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552100 */     // GIR_Coverage, 20670,
     /* 1552100 */     GIR_EraseRootFromParent_Done,
     /* 1552101 */   // Label 21514: @1552101
     /* 1552101 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552183), // Rule ID 20671 //
     /* 1552106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552145 */     // MIs[0] round
     /* 1552145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552148 */     // MIs[0] policy
     /* 1552148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552182 */     // GIR_Coverage, 20671,
     /* 1552182 */     GIR_EraseRootFromParent_Done,
     /* 1552183 */   // Label 21515: @1552183
     /* 1552183 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552265), // Rule ID 20674 //
     /* 1552188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1552199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1552202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552227 */     // MIs[0] round
     /* 1552227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552230 */     // MIs[0] policy
     /* 1552230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552264 */     // GIR_Coverage, 20674,
     /* 1552264 */     GIR_EraseRootFromParent_Done,
     /* 1552265 */   // Label 21516: @1552265
     /* 1552265 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1552347), // Rule ID 20675 //
     /* 1552270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1552281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1552284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552309 */     // MIs[0] round
     /* 1552309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552312 */     // MIs[0] policy
     /* 1552312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552346 */     // GIR_Coverage, 20675,
     /* 1552346 */     GIR_EraseRootFromParent_Done,
     /* 1552347 */   // Label 21517: @1552347
     /* 1552347 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1552429), // Rule ID 20678 //
     /* 1552352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552391 */     // MIs[0] round
     /* 1552391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552394 */     // MIs[0] policy
     /* 1552394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552428 */     // GIR_Coverage, 20678,
     /* 1552428 */     GIR_EraseRootFromParent_Done,
     /* 1552429 */   // Label 21518: @1552429
     /* 1552429 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1552511), // Rule ID 20679 //
     /* 1552434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552473 */     // MIs[0] round
     /* 1552473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552476 */     // MIs[0] policy
     /* 1552476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552510 */     // GIR_Coverage, 20679,
     /* 1552510 */     GIR_EraseRootFromParent_Done,
     /* 1552511 */   // Label 21519: @1552511
     /* 1552511 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1552593), // Rule ID 20682 //
     /* 1552516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552555 */     // MIs[0] round
     /* 1552555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552558 */     // MIs[0] policy
     /* 1552558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552592 */     // GIR_Coverage, 20682,
     /* 1552592 */     GIR_EraseRootFromParent_Done,
     /* 1552593 */   // Label 21520: @1552593
     /* 1552593 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552675), // Rule ID 20683 //
     /* 1552598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552637 */     // MIs[0] round
     /* 1552637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552640 */     // MIs[0] policy
     /* 1552640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552674 */     // GIR_Coverage, 20683,
     /* 1552674 */     GIR_EraseRootFromParent_Done,
     /* 1552675 */   // Label 21521: @1552675
     /* 1552675 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552757), // Rule ID 20686 //
     /* 1552680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552719 */     // MIs[0] round
     /* 1552719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552722 */     // MIs[0] policy
     /* 1552722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552756 */     // GIR_Coverage, 20686,
     /* 1552756 */     GIR_EraseRootFromParent_Done,
     /* 1552757 */   // Label 21522: @1552757
     /* 1552757 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552839), // Rule ID 20687 //
     /* 1552762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552801 */     // MIs[0] round
     /* 1552801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552804 */     // MIs[0] policy
     /* 1552804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552838 */     // GIR_Coverage, 20687,
     /* 1552838 */     GIR_EraseRootFromParent_Done,
     /* 1552839 */   // Label 21523: @1552839
     /* 1552839 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552921), // Rule ID 20690 //
     /* 1552844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552883 */     // MIs[0] round
     /* 1552883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552886 */     // MIs[0] policy
     /* 1552886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552920 */     // GIR_Coverage, 20690,
     /* 1552920 */     GIR_EraseRootFromParent_Done,
     /* 1552921 */   // Label 21524: @1552921
     /* 1552921 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1553003), // Rule ID 20691 //
     /* 1552926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552965 */     // MIs[0] round
     /* 1552965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552968 */     // MIs[0] policy
     /* 1552968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553002 */     // GIR_Coverage, 20691,
     /* 1553002 */     GIR_EraseRootFromParent_Done,
     /* 1553003 */   // Label 21525: @1553003
     /* 1553003 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1553085), // Rule ID 20694 //
     /* 1553008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553047 */     // MIs[0] round
     /* 1553047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553050 */     // MIs[0] policy
     /* 1553050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553060 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1553063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553084 */     // GIR_Coverage, 20694,
     /* 1553084 */     GIR_EraseRootFromParent_Done,
     /* 1553085 */   // Label 21526: @1553085
     /* 1553085 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553167), // Rule ID 20695 //
     /* 1553090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553129 */     // MIs[0] round
     /* 1553129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553132 */     // MIs[0] policy
     /* 1553132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1553145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553166 */     // GIR_Coverage, 20695,
     /* 1553166 */     GIR_EraseRootFromParent_Done,
     /* 1553167 */   // Label 21527: @1553167
     /* 1553167 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553249), // Rule ID 20698 //
     /* 1553172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553211 */     // MIs[0] round
     /* 1553211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553214 */     // MIs[0] policy
     /* 1553214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553248 */     // GIR_Coverage, 20698,
     /* 1553248 */     GIR_EraseRootFromParent_Done,
     /* 1553249 */   // Label 21528: @1553249
     /* 1553249 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1553331), // Rule ID 20699 //
     /* 1553254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553293 */     // MIs[0] round
     /* 1553293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553296 */     // MIs[0] policy
     /* 1553296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553330 */     // GIR_Coverage, 20699,
     /* 1553330 */     GIR_EraseRootFromParent_Done,
     /* 1553331 */   // Label 21529: @1553331
     /* 1553331 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1553413), // Rule ID 20702 //
     /* 1553336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553375 */     // MIs[0] round
     /* 1553375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553378 */     // MIs[0] policy
     /* 1553378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553412 */     // GIR_Coverage, 20702,
     /* 1553412 */     GIR_EraseRootFromParent_Done,
     /* 1553413 */   // Label 21530: @1553413
     /* 1553413 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1553495), // Rule ID 20703 //
     /* 1553418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553457 */     // MIs[0] round
     /* 1553457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553460 */     // MIs[0] policy
     /* 1553460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553494 */     // GIR_Coverage, 20703,
     /* 1553494 */     GIR_EraseRootFromParent_Done,
     /* 1553495 */   // Label 21531: @1553495
     /* 1553495 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1553577), // Rule ID 20706 //
     /* 1553500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553539 */     // MIs[0] round
     /* 1553539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553542 */     // MIs[0] policy
     /* 1553542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553576 */     // GIR_Coverage, 20706,
     /* 1553576 */     GIR_EraseRootFromParent_Done,
     /* 1553577 */   // Label 21532: @1553577
     /* 1553577 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1553659), // Rule ID 20707 //
     /* 1553582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553621 */     // MIs[0] round
     /* 1553621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553624 */     // MIs[0] policy
     /* 1553624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553658 */     // GIR_Coverage, 20707,
     /* 1553658 */     GIR_EraseRootFromParent_Done,
     /* 1553659 */   // Label 21533: @1553659
     /* 1553659 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553741), // Rule ID 20710 //
     /* 1553664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553703 */     // MIs[0] round
     /* 1553703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553706 */     // MIs[0] policy
     /* 1553706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553740 */     // GIR_Coverage, 20710,
     /* 1553740 */     GIR_EraseRootFromParent_Done,
     /* 1553741 */   // Label 21534: @1553741
     /* 1553741 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553823), // Rule ID 20711 //
     /* 1553746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553785 */     // MIs[0] round
     /* 1553785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553788 */     // MIs[0] policy
     /* 1553788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553822 */     // GIR_Coverage, 20711,
     /* 1553822 */     GIR_EraseRootFromParent_Done,
     /* 1553823 */   // Label 21535: @1553823
     /* 1553823 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553905), // Rule ID 20714 //
     /* 1553828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553867 */     // MIs[0] round
     /* 1553867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553870 */     // MIs[0] policy
     /* 1553870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553904 */     // GIR_Coverage, 20714,
     /* 1553904 */     GIR_EraseRootFromParent_Done,
     /* 1553905 */   // Label 21536: @1553905
     /* 1553905 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553987), // Rule ID 20715 //
     /* 1553910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553949 */     // MIs[0] round
     /* 1553949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553952 */     // MIs[0] policy
     /* 1553952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553986 */     // GIR_Coverage, 20715,
     /* 1553986 */     GIR_EraseRootFromParent_Done,
     /* 1553987 */   // Label 21537: @1553987
     /* 1553987 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1554069), // Rule ID 20718 //
     /* 1553992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554031 */     // MIs[0] round
     /* 1554031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554034 */     // MIs[0] policy
     /* 1554034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554068 */     // GIR_Coverage, 20718,
     /* 1554068 */     GIR_EraseRootFromParent_Done,
     /* 1554069 */   // Label 21538: @1554069
     /* 1554069 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554151), // Rule ID 20719 //
     /* 1554074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554113 */     // MIs[0] round
     /* 1554113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554116 */     // MIs[0] policy
     /* 1554116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554150 */     // GIR_Coverage, 20719,
     /* 1554150 */     GIR_EraseRootFromParent_Done,
     /* 1554151 */   // Label 21539: @1554151
     /* 1554151 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554233), // Rule ID 20722 //
     /* 1554156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554195 */     // MIs[0] round
     /* 1554195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554198 */     // MIs[0] policy
     /* 1554198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554232 */     // GIR_Coverage, 20722,
     /* 1554232 */     GIR_EraseRootFromParent_Done,
     /* 1554233 */   // Label 21540: @1554233
     /* 1554233 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554315), // Rule ID 20723 //
     /* 1554238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554277 */     // MIs[0] round
     /* 1554277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554280 */     // MIs[0] policy
     /* 1554280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554314 */     // GIR_Coverage, 20723,
     /* 1554314 */     GIR_EraseRootFromParent_Done,
     /* 1554315 */   // Label 21541: @1554315
     /* 1554315 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1554397), // Rule ID 20726 //
     /* 1554320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1554340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554359 */     // MIs[0] round
     /* 1554359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554362 */     // MIs[0] policy
     /* 1554362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554396 */     // GIR_Coverage, 20726,
     /* 1554396 */     GIR_EraseRootFromParent_Done,
     /* 1554397 */   // Label 21542: @1554397
     /* 1554397 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1554479), // Rule ID 20727 //
     /* 1554402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1554422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554441 */     // MIs[0] round
     /* 1554441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554444 */     // MIs[0] policy
     /* 1554444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554478 */     // GIR_Coverage, 20727,
     /* 1554478 */     GIR_EraseRootFromParent_Done,
     /* 1554479 */   // Label 21543: @1554479
     /* 1554479 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1554561), // Rule ID 20730 //
     /* 1554484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554523 */     // MIs[0] round
     /* 1554523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554526 */     // MIs[0] policy
     /* 1554526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554560 */     // GIR_Coverage, 20730,
     /* 1554560 */     GIR_EraseRootFromParent_Done,
     /* 1554561 */   // Label 21544: @1554561
     /* 1554561 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1554643), // Rule ID 20731 //
     /* 1554566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554605 */     // MIs[0] round
     /* 1554605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554608 */     // MIs[0] policy
     /* 1554608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554642 */     // GIR_Coverage, 20731,
     /* 1554642 */     GIR_EraseRootFromParent_Done,
     /* 1554643 */   // Label 21545: @1554643
     /* 1554643 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554725), // Rule ID 20734 //
     /* 1554648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554687 */     // MIs[0] round
     /* 1554687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554690 */     // MIs[0] policy
     /* 1554690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554724 */     // GIR_Coverage, 20734,
     /* 1554724 */     GIR_EraseRootFromParent_Done,
     /* 1554725 */   // Label 21546: @1554725
     /* 1554725 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554807), // Rule ID 20735 //
     /* 1554730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554769 */     // MIs[0] round
     /* 1554769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554772 */     // MIs[0] policy
     /* 1554772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554806 */     // GIR_Coverage, 20735,
     /* 1554806 */     GIR_EraseRootFromParent_Done,
     /* 1554807 */   // Label 21547: @1554807
     /* 1554807 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554889), // Rule ID 20738 //
     /* 1554812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554851 */     // MIs[0] round
     /* 1554851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554854 */     // MIs[0] policy
     /* 1554854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554888 */     // GIR_Coverage, 20738,
     /* 1554888 */     GIR_EraseRootFromParent_Done,
     /* 1554889 */   // Label 21548: @1554889
     /* 1554889 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554971), // Rule ID 20739 //
     /* 1554894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554933 */     // MIs[0] round
     /* 1554933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554936 */     // MIs[0] policy
     /* 1554936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554970 */     // GIR_Coverage, 20739,
     /* 1554970 */     GIR_EraseRootFromParent_Done,
     /* 1554971 */   // Label 21549: @1554971
     /* 1554971 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1555053), // Rule ID 20742 //
     /* 1554976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555015 */     // MIs[0] round
     /* 1555015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555018 */     // MIs[0] policy
     /* 1555018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1555031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555052 */     // GIR_Coverage, 20742,
     /* 1555052 */     GIR_EraseRootFromParent_Done,
     /* 1555053 */   // Label 21550: @1555053
     /* 1555053 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555135), // Rule ID 20743 //
     /* 1555058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555097 */     // MIs[0] round
     /* 1555097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555100 */     // MIs[0] policy
     /* 1555100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1555113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555134 */     // GIR_Coverage, 20743,
     /* 1555134 */     GIR_EraseRootFromParent_Done,
     /* 1555135 */   // Label 21551: @1555135
     /* 1555135 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555217), // Rule ID 20746 //
     /* 1555140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555179 */     // MIs[0] round
     /* 1555179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555182 */     // MIs[0] policy
     /* 1555182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1555195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555216 */     // GIR_Coverage, 20746,
     /* 1555216 */     GIR_EraseRootFromParent_Done,
     /* 1555217 */   // Label 21552: @1555217
     /* 1555217 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555299), // Rule ID 20747 //
     /* 1555222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555261 */     // MIs[0] round
     /* 1555261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555264 */     // MIs[0] policy
     /* 1555264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1555277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555298 */     // GIR_Coverage, 20747,
     /* 1555298 */     GIR_EraseRootFromParent_Done,
     /* 1555299 */   // Label 21553: @1555299
     /* 1555299 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1555381), // Rule ID 20750 //
     /* 1555304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555343 */     // MIs[0] round
     /* 1555343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555346 */     // MIs[0] policy
     /* 1555346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555380 */     // GIR_Coverage, 20750,
     /* 1555380 */     GIR_EraseRootFromParent_Done,
     /* 1555381 */   // Label 21554: @1555381
     /* 1555381 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1555463), // Rule ID 20751 //
     /* 1555386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1555394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555425 */     // MIs[0] round
     /* 1555425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555428 */     // MIs[0] policy
     /* 1555428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555462 */     // GIR_Coverage, 20751,
     /* 1555462 */     GIR_EraseRootFromParent_Done,
     /* 1555463 */   // Label 21555: @1555463
     /* 1555463 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1555545), // Rule ID 20874 //
     /* 1555468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555507 */     // MIs[0] round
     /* 1555507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555510 */     // MIs[0] policy
     /* 1555510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555544 */     // GIR_Coverage, 20874,
     /* 1555544 */     GIR_EraseRootFromParent_Done,
     /* 1555545 */   // Label 21556: @1555545
     /* 1555545 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1555627), // Rule ID 20875 //
     /* 1555550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555589 */     // MIs[0] round
     /* 1555589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555592 */     // MIs[0] policy
     /* 1555592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555626 */     // GIR_Coverage, 20875,
     /* 1555626 */     GIR_EraseRootFromParent_Done,
     /* 1555627 */   // Label 21557: @1555627
     /* 1555627 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555709), // Rule ID 20878 //
     /* 1555632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555671 */     // MIs[0] round
     /* 1555671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555674 */     // MIs[0] policy
     /* 1555674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555708 */     // GIR_Coverage, 20878,
     /* 1555708 */     GIR_EraseRootFromParent_Done,
     /* 1555709 */   // Label 21558: @1555709
     /* 1555709 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555791), // Rule ID 20879 //
     /* 1555714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555753 */     // MIs[0] round
     /* 1555753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555756 */     // MIs[0] policy
     /* 1555756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555766 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555790 */     // GIR_Coverage, 20879,
     /* 1555790 */     GIR_EraseRootFromParent_Done,
     /* 1555791 */   // Label 21559: @1555791
     /* 1555791 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555873), // Rule ID 20882 //
     /* 1555796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555835 */     // MIs[0] round
     /* 1555835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555838 */     // MIs[0] policy
     /* 1555838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555872 */     // GIR_Coverage, 20882,
     /* 1555872 */     GIR_EraseRootFromParent_Done,
     /* 1555873 */   // Label 21560: @1555873
     /* 1555873 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555955), // Rule ID 20883 //
     /* 1555878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555917 */     // MIs[0] round
     /* 1555917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555920 */     // MIs[0] policy
     /* 1555920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555954 */     // GIR_Coverage, 20883,
     /* 1555954 */     GIR_EraseRootFromParent_Done,
     /* 1555955 */   // Label 21561: @1555955
     /* 1555955 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1556037), // Rule ID 20886 //
     /* 1555960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555999 */     // MIs[0] round
     /* 1555999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556002 */     // MIs[0] policy
     /* 1556002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1556015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556036 */     // GIR_Coverage, 20886,
     /* 1556036 */     GIR_EraseRootFromParent_Done,
     /* 1556037 */   // Label 21562: @1556037
     /* 1556037 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556119), // Rule ID 20887 //
     /* 1556042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1556059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556081 */     // MIs[0] round
     /* 1556081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556084 */     // MIs[0] policy
     /* 1556084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1556097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556118 */     // GIR_Coverage, 20887,
     /* 1556118 */     GIR_EraseRootFromParent_Done,
     /* 1556119 */   // Label 21563: @1556119
     /* 1556119 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556201), // Rule ID 20890 //
     /* 1556124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1556135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1556138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556163 */     // MIs[0] round
     /* 1556163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556166 */     // MIs[0] policy
     /* 1556166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1556179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556200 */     // GIR_Coverage, 20890,
     /* 1556200 */     GIR_EraseRootFromParent_Done,
     /* 1556201 */   // Label 21564: @1556201
     /* 1556201 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556283), // Rule ID 20891 //
     /* 1556206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1556217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1556220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556245 */     // MIs[0] round
     /* 1556245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556248 */     // MIs[0] policy
     /* 1556248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1556261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556282 */     // GIR_Coverage, 20891,
     /* 1556282 */     GIR_EraseRootFromParent_Done,
     /* 1556283 */   // Label 21565: @1556283
     /* 1556283 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1556365), // Rule ID 20894 //
     /* 1556288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1556291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1556305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556327 */     // MIs[0] round
     /* 1556327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556330 */     // MIs[0] policy
     /* 1556330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1556343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556364 */     // GIR_Coverage, 20894,
     /* 1556364 */     GIR_EraseRootFromParent_Done,
     /* 1556365 */   // Label 21566: @1556365
     /* 1556365 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1556447), // Rule ID 20895 //
     /* 1556370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1556387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556409 */     // MIs[0] round
     /* 1556409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556412 */     // MIs[0] policy
     /* 1556412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1556425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556446 */     // GIR_Coverage, 20895,
     /* 1556446 */     GIR_EraseRootFromParent_Done,
     /* 1556447 */   // Label 21567: @1556447
     /* 1556447 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1556529), // Rule ID 20898 //
     /* 1556452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556491 */     // MIs[0] round
     /* 1556491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556494 */     // MIs[0] policy
     /* 1556494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556504 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556528 */     // GIR_Coverage, 20898,
     /* 1556528 */     GIR_EraseRootFromParent_Done,
     /* 1556529 */   // Label 21568: @1556529
     /* 1556529 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1556611), // Rule ID 20899 //
     /* 1556534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556573 */     // MIs[0] round
     /* 1556573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556576 */     // MIs[0] policy
     /* 1556576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556586 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556610 */     // GIR_Coverage, 20899,
     /* 1556610 */     GIR_EraseRootFromParent_Done,
     /* 1556611 */   // Label 21569: @1556611
     /* 1556611 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556693), // Rule ID 20902 //
     /* 1556616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556655 */     // MIs[0] round
     /* 1556655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556658 */     // MIs[0] policy
     /* 1556658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556668 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556692 */     // GIR_Coverage, 20902,
     /* 1556692 */     GIR_EraseRootFromParent_Done,
     /* 1556693 */   // Label 21570: @1556693
     /* 1556693 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556775), // Rule ID 20903 //
     /* 1556698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556737 */     // MIs[0] round
     /* 1556737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556740 */     // MIs[0] policy
     /* 1556740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556750 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556774 */     // GIR_Coverage, 20903,
     /* 1556774 */     GIR_EraseRootFromParent_Done,
     /* 1556775 */   // Label 21571: @1556775
     /* 1556775 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556857), // Rule ID 20906 //
     /* 1556780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556819 */     // MIs[0] round
     /* 1556819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556822 */     // MIs[0] policy
     /* 1556822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556832 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556856 */     // GIR_Coverage, 20906,
     /* 1556856 */     GIR_EraseRootFromParent_Done,
     /* 1556857 */   // Label 21572: @1556857
     /* 1556857 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556939), // Rule ID 20907 //
     /* 1556862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556901 */     // MIs[0] round
     /* 1556901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556904 */     // MIs[0] policy
     /* 1556904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556938 */     // GIR_Coverage, 20907,
     /* 1556938 */     GIR_EraseRootFromParent_Done,
     /* 1556939 */   // Label 21573: @1556939
     /* 1556939 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1557021), // Rule ID 20910 //
     /* 1556944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556983 */     // MIs[0] round
     /* 1556983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556986 */     // MIs[0] policy
     /* 1556986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1556999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557020 */     // GIR_Coverage, 20910,
     /* 1557020 */     GIR_EraseRootFromParent_Done,
     /* 1557021 */   // Label 21574: @1557021
     /* 1557021 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557103), // Rule ID 20911 //
     /* 1557026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1557043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557065 */     // MIs[0] round
     /* 1557065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557068 */     // MIs[0] policy
     /* 1557068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1557081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557102 */     // GIR_Coverage, 20911,
     /* 1557102 */     GIR_EraseRootFromParent_Done,
     /* 1557103 */   // Label 21575: @1557103
     /* 1557103 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557185), // Rule ID 20914 //
     /* 1557108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1557119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1557122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557147 */     // MIs[0] round
     /* 1557147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557150 */     // MIs[0] policy
     /* 1557150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1557163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557184 */     // GIR_Coverage, 20914,
     /* 1557184 */     GIR_EraseRootFromParent_Done,
     /* 1557185 */   // Label 21576: @1557185
     /* 1557185 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557267), // Rule ID 20915 //
     /* 1557190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1557201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1557204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557229 */     // MIs[0] round
     /* 1557229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557232 */     // MIs[0] policy
     /* 1557232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557242 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1557245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557266 */     // GIR_Coverage, 20915,
     /* 1557266 */     GIR_EraseRootFromParent_Done,
     /* 1557267 */   // Label 21577: @1557267
     /* 1557267 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1557349), // Rule ID 20918 //
     /* 1557272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1557283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1557286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557311 */     // MIs[0] round
     /* 1557311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557314 */     // MIs[0] policy
     /* 1557314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1557327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557348 */     // GIR_Coverage, 20918,
     /* 1557348 */     GIR_EraseRootFromParent_Done,
     /* 1557349 */   // Label 21578: @1557349
     /* 1557349 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1557431), // Rule ID 20919 //
     /* 1557354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1557365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1557368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557393 */     // MIs[0] round
     /* 1557393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557396 */     // MIs[0] policy
     /* 1557396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1557409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557430 */     // GIR_Coverage, 20919,
     /* 1557430 */     GIR_EraseRootFromParent_Done,
     /* 1557431 */   // Label 21579: @1557431
     /* 1557431 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1557513), // Rule ID 20922 //
     /* 1557436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557475 */     // MIs[0] round
     /* 1557475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557478 */     // MIs[0] policy
     /* 1557478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557512 */     // GIR_Coverage, 20922,
     /* 1557512 */     GIR_EraseRootFromParent_Done,
     /* 1557513 */   // Label 21580: @1557513
     /* 1557513 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1557595), // Rule ID 20923 //
     /* 1557518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557557 */     // MIs[0] round
     /* 1557557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557560 */     // MIs[0] policy
     /* 1557560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557594 */     // GIR_Coverage, 20923,
     /* 1557594 */     GIR_EraseRootFromParent_Done,
     /* 1557595 */   // Label 21581: @1557595
     /* 1557595 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557677), // Rule ID 20926 //
     /* 1557600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557639 */     // MIs[0] round
     /* 1557639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557642 */     // MIs[0] policy
     /* 1557642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557676 */     // GIR_Coverage, 20926,
     /* 1557676 */     GIR_EraseRootFromParent_Done,
     /* 1557677 */   // Label 21582: @1557677
     /* 1557677 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557759), // Rule ID 20927 //
     /* 1557682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557721 */     // MIs[0] round
     /* 1557721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557724 */     // MIs[0] policy
     /* 1557724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557758 */     // GIR_Coverage, 20927,
     /* 1557758 */     GIR_EraseRootFromParent_Done,
     /* 1557759 */   // Label 21583: @1557759
     /* 1557759 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557841), // Rule ID 20930 //
     /* 1557764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557803 */     // MIs[0] round
     /* 1557803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557806 */     // MIs[0] policy
     /* 1557806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557840 */     // GIR_Coverage, 20930,
     /* 1557840 */     GIR_EraseRootFromParent_Done,
     /* 1557841 */   // Label 21584: @1557841
     /* 1557841 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557923), // Rule ID 20931 //
     /* 1557846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557885 */     // MIs[0] round
     /* 1557885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557888 */     // MIs[0] policy
     /* 1557888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557922 */     // GIR_Coverage, 20931,
     /* 1557922 */     GIR_EraseRootFromParent_Done,
     /* 1557923 */   // Label 21585: @1557923
     /* 1557923 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1558005), // Rule ID 20934 //
     /* 1557928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557967 */     // MIs[0] round
     /* 1557967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557970 */     // MIs[0] policy
     /* 1557970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558004 */     // GIR_Coverage, 20934,
     /* 1558004 */     GIR_EraseRootFromParent_Done,
     /* 1558005 */   // Label 21586: @1558005
     /* 1558005 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1558087), // Rule ID 20935 //
     /* 1558010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1558021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1558024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1558027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558049 */     // MIs[0] round
     /* 1558049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558052 */     // MIs[0] policy
     /* 1558052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558062 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1558065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558086 */     // GIR_Coverage, 20935,
     /* 1558086 */     GIR_EraseRootFromParent_Done,
     /* 1558087 */   // Label 21587: @1558087
     /* 1558087 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558169), // Rule ID 20938 //
     /* 1558092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1558109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558131 */     // MIs[0] round
     /* 1558131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558134 */     // MIs[0] policy
     /* 1558134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1558147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558168 */     // GIR_Coverage, 20938,
     /* 1558168 */     GIR_EraseRootFromParent_Done,
     /* 1558169 */   // Label 21588: @1558169
     /* 1558169 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558251), // Rule ID 20939 //
     /* 1558174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1558191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558213 */     // MIs[0] round
     /* 1558213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558216 */     // MIs[0] policy
     /* 1558216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1558229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558250 */     // GIR_Coverage, 20939,
     /* 1558250 */     GIR_EraseRootFromParent_Done,
     /* 1558251 */   // Label 21589: @1558251
     /* 1558251 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1558333), // Rule ID 20942 //
     /* 1558256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558295 */     // MIs[0] round
     /* 1558295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558298 */     // MIs[0] policy
     /* 1558298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1558311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558332 */     // GIR_Coverage, 20942,
     /* 1558332 */     GIR_EraseRootFromParent_Done,
     /* 1558333 */   // Label 21590: @1558333
     /* 1558333 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1558415), // Rule ID 20943 //
     /* 1558338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558377 */     // MIs[0] round
     /* 1558377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558380 */     // MIs[0] policy
     /* 1558380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558390 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1558393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558414 */     // GIR_Coverage, 20943,
     /* 1558414 */     GIR_EraseRootFromParent_Done,
     /* 1558415 */   // Label 21591: @1558415
     /* 1558415 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1558497), // Rule ID 20946 //
     /* 1558420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558459 */     // MIs[0] round
     /* 1558459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558462 */     // MIs[0] policy
     /* 1558462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558472 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558496 */     // GIR_Coverage, 20946,
     /* 1558496 */     GIR_EraseRootFromParent_Done,
     /* 1558497 */   // Label 21592: @1558497
     /* 1558497 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1558579), // Rule ID 20947 //
     /* 1558502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558541 */     // MIs[0] round
     /* 1558541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558544 */     // MIs[0] policy
     /* 1558544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558578 */     // GIR_Coverage, 20947,
     /* 1558578 */     GIR_EraseRootFromParent_Done,
     /* 1558579 */   // Label 21593: @1558579
     /* 1558579 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1558661), // Rule ID 20950 //
     /* 1558584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558623 */     // MIs[0] round
     /* 1558623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558626 */     // MIs[0] policy
     /* 1558626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558660 */     // GIR_Coverage, 20950,
     /* 1558660 */     GIR_EraseRootFromParent_Done,
     /* 1558661 */   // Label 21594: @1558661
     /* 1558661 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558743), // Rule ID 20951 //
     /* 1558666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558705 */     // MIs[0] round
     /* 1558705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558708 */     // MIs[0] policy
     /* 1558708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558742 */     // GIR_Coverage, 20951,
     /* 1558742 */     GIR_EraseRootFromParent_Done,
     /* 1558743 */   // Label 21595: @1558743
     /* 1558743 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558825), // Rule ID 20954 //
     /* 1558748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558787 */     // MIs[0] round
     /* 1558787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558790 */     // MIs[0] policy
     /* 1558790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558824 */     // GIR_Coverage, 20954,
     /* 1558824 */     GIR_EraseRootFromParent_Done,
     /* 1558825 */   // Label 21596: @1558825
     /* 1558825 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558907), // Rule ID 20955 //
     /* 1558830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558869 */     // MIs[0] round
     /* 1558869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558872 */     // MIs[0] policy
     /* 1558872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558906 */     // GIR_Coverage, 20955,
     /* 1558906 */     GIR_EraseRootFromParent_Done,
     /* 1558907 */   // Label 21597: @1558907
     /* 1558907 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558989), // Rule ID 20958 //
     /* 1558912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558951 */     // MIs[0] round
     /* 1558951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558954 */     // MIs[0] policy
     /* 1558954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558964 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558988 */     // GIR_Coverage, 20958,
     /* 1558988 */     GIR_EraseRootFromParent_Done,
     /* 1558989 */   // Label 21598: @1558989
     /* 1558989 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1559071), // Rule ID 20959 //
     /* 1558994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1559005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1559008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1559011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559033 */     // MIs[0] round
     /* 1559033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559036 */     // MIs[0] policy
     /* 1559036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1559049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559070 */     // GIR_Coverage, 20959,
     /* 1559070 */     GIR_EraseRootFromParent_Done,
     /* 1559071 */   // Label 21599: @1559071
     /* 1559071 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559153), // Rule ID 20962 //
     /* 1559076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559115 */     // MIs[0] round
     /* 1559115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559118 */     // MIs[0] policy
     /* 1559118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559128 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1559131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559152 */     // GIR_Coverage, 20962,
     /* 1559152 */     GIR_EraseRootFromParent_Done,
     /* 1559153 */   // Label 21600: @1559153
     /* 1559153 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559235), // Rule ID 20963 //
     /* 1559158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559197 */     // MIs[0] round
     /* 1559197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559200 */     // MIs[0] policy
     /* 1559200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1559213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559234 */     // GIR_Coverage, 20963,
     /* 1559234 */     GIR_EraseRootFromParent_Done,
     /* 1559235 */   // Label 21601: @1559235
     /* 1559235 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559317), // Rule ID 20966 //
     /* 1559240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1559251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1559254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1559257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1559260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559279 */     // MIs[0] round
     /* 1559279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559282 */     // MIs[0] policy
     /* 1559282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1559295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559316 */     // GIR_Coverage, 20966,
     /* 1559316 */     GIR_EraseRootFromParent_Done,
     /* 1559317 */   // Label 21602: @1559317
     /* 1559317 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1559399), // Rule ID 20967 //
     /* 1559322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1559333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1559336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1559339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1559342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559361 */     // MIs[0] round
     /* 1559361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559364 */     // MIs[0] policy
     /* 1559364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559374 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1559377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559398 */     // GIR_Coverage, 20967,
     /* 1559398 */     GIR_EraseRootFromParent_Done,
     /* 1559399 */   // Label 21603: @1559399
     /* 1559399 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1559481), // Rule ID 20970 //
     /* 1559404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559443 */     // MIs[0] round
     /* 1559443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559446 */     // MIs[0] policy
     /* 1559446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559480 */     // GIR_Coverage, 20970,
     /* 1559480 */     GIR_EraseRootFromParent_Done,
     /* 1559481 */   // Label 21604: @1559481
     /* 1559481 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1559563), // Rule ID 20971 //
     /* 1559486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559525 */     // MIs[0] round
     /* 1559525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559528 */     // MIs[0] policy
     /* 1559528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559562 */     // GIR_Coverage, 20971,
     /* 1559562 */     GIR_EraseRootFromParent_Done,
     /* 1559563 */   // Label 21605: @1559563
     /* 1559563 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1559645), // Rule ID 20974 //
     /* 1559568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559607 */     // MIs[0] round
     /* 1559607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559610 */     // MIs[0] policy
     /* 1559610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559644 */     // GIR_Coverage, 20974,
     /* 1559644 */     GIR_EraseRootFromParent_Done,
     /* 1559645 */   // Label 21606: @1559645
     /* 1559645 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559727), // Rule ID 20975 //
     /* 1559650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559689 */     // MIs[0] round
     /* 1559689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559692 */     // MIs[0] policy
     /* 1559692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559726 */     // GIR_Coverage, 20975,
     /* 1559726 */     GIR_EraseRootFromParent_Done,
     /* 1559727 */   // Label 21607: @1559727
     /* 1559727 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559809), // Rule ID 20978 //
     /* 1559732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559771 */     // MIs[0] round
     /* 1559771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559774 */     // MIs[0] policy
     /* 1559774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559784 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559808 */     // GIR_Coverage, 20978,
     /* 1559808 */     GIR_EraseRootFromParent_Done,
     /* 1559809 */   // Label 21608: @1559809
     /* 1559809 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559891), // Rule ID 20979 //
     /* 1559814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559853 */     // MIs[0] round
     /* 1559853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559856 */     // MIs[0] policy
     /* 1559856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559890 */     // GIR_Coverage, 20979,
     /* 1559890 */     GIR_EraseRootFromParent_Done,
     /* 1559891 */   // Label 21609: @1559891
     /* 1559891 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559973), // Rule ID 20982 //
     /* 1559896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559935 */     // MIs[0] round
     /* 1559935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559938 */     // MIs[0] policy
     /* 1559938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559972 */     // GIR_Coverage, 20982,
     /* 1559972 */     GIR_EraseRootFromParent_Done,
     /* 1559973 */   // Label 21610: @1559973
     /* 1559973 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1560055), // Rule ID 20983 //
     /* 1559978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560017 */     // MIs[0] round
     /* 1560017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560020 */     // MIs[0] policy
     /* 1560020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1560033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560054 */     // GIR_Coverage, 20983,
     /* 1560054 */     GIR_EraseRootFromParent_Done,
     /* 1560055 */   // Label 21611: @1560055
     /* 1560055 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560137), // Rule ID 20986 //
     /* 1560060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1560071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1560074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1560077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560099 */     // MIs[0] round
     /* 1560099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560102 */     // MIs[0] policy
     /* 1560102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560112 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1560115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560136 */     // GIR_Coverage, 20986,
     /* 1560136 */     GIR_EraseRootFromParent_Done,
     /* 1560137 */   // Label 21612: @1560137
     /* 1560137 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560219), // Rule ID 20987 //
     /* 1560142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1560153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1560156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1560159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560181 */     // MIs[0] round
     /* 1560181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560184 */     // MIs[0] policy
     /* 1560184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1560197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560218 */     // GIR_Coverage, 20987,
     /* 1560218 */     GIR_EraseRootFromParent_Done,
     /* 1560219 */   // Label 21613: @1560219
     /* 1560219 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560301), // Rule ID 20990 //
     /* 1560224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1560241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560263 */     // MIs[0] round
     /* 1560263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560266 */     // MIs[0] policy
     /* 1560266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560276 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1560279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560300 */     // GIR_Coverage, 20990,
     /* 1560300 */     GIR_EraseRootFromParent_Done,
     /* 1560301 */   // Label 21614: @1560301
     /* 1560301 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1560383), // Rule ID 20991 //
     /* 1560306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1560314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1560323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560345 */     // MIs[0] round
     /* 1560345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560348 */     // MIs[0] policy
     /* 1560348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1560361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560382 */     // GIR_Coverage, 20991,
     /* 1560382 */     GIR_EraseRootFromParent_Done,
     /* 1560383 */   // Label 21615: @1560383
     /* 1560383 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1560465), // Rule ID 21066 //
     /* 1560388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560427 */     // MIs[0] round
     /* 1560427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560430 */     // MIs[0] policy
     /* 1560430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560464 */     // GIR_Coverage, 21066,
     /* 1560464 */     GIR_EraseRootFromParent_Done,
     /* 1560465 */   // Label 21616: @1560465
     /* 1560465 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1560547), // Rule ID 21067 //
     /* 1560470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560509 */     // MIs[0] round
     /* 1560509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560512 */     // MIs[0] policy
     /* 1560512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560546 */     // GIR_Coverage, 21067,
     /* 1560546 */     GIR_EraseRootFromParent_Done,
     /* 1560547 */   // Label 21617: @1560547
     /* 1560547 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1560629), // Rule ID 21070 //
     /* 1560552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560591 */     // MIs[0] round
     /* 1560591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560594 */     // MIs[0] policy
     /* 1560594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560628 */     // GIR_Coverage, 21070,
     /* 1560628 */     GIR_EraseRootFromParent_Done,
     /* 1560629 */   // Label 21618: @1560629
     /* 1560629 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560711), // Rule ID 21071 //
     /* 1560634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560673 */     // MIs[0] round
     /* 1560673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560676 */     // MIs[0] policy
     /* 1560676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560710 */     // GIR_Coverage, 21071,
     /* 1560710 */     GIR_EraseRootFromParent_Done,
     /* 1560711 */   // Label 21619: @1560711
     /* 1560711 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560793), // Rule ID 21074 //
     /* 1560716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560755 */     // MIs[0] round
     /* 1560755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560758 */     // MIs[0] policy
     /* 1560758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560792 */     // GIR_Coverage, 21074,
     /* 1560792 */     GIR_EraseRootFromParent_Done,
     /* 1560793 */   // Label 21620: @1560793
     /* 1560793 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560875), // Rule ID 21075 //
     /* 1560798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560837 */     // MIs[0] round
     /* 1560837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560840 */     // MIs[0] policy
     /* 1560840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560874 */     // GIR_Coverage, 21075,
     /* 1560874 */     GIR_EraseRootFromParent_Done,
     /* 1560875 */   // Label 21621: @1560875
     /* 1560875 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560957), // Rule ID 21078 //
     /* 1560880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560919 */     // MIs[0] round
     /* 1560919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560922 */     // MIs[0] policy
     /* 1560922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560956 */     // GIR_Coverage, 21078,
     /* 1560956 */     GIR_EraseRootFromParent_Done,
     /* 1560957 */   // Label 21622: @1560957
     /* 1560957 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1561039), // Rule ID 21079 //
     /* 1560962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561001 */     // MIs[0] round
     /* 1561001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561004 */     // MIs[0] policy
     /* 1561004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561038 */     // GIR_Coverage, 21079,
     /* 1561038 */     GIR_EraseRootFromParent_Done,
     /* 1561039 */   // Label 21623: @1561039
     /* 1561039 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561121), // Rule ID 21082 //
     /* 1561044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1561061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561083 */     // MIs[0] round
     /* 1561083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561086 */     // MIs[0] policy
     /* 1561086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561120 */     // GIR_Coverage, 21082,
     /* 1561120 */     GIR_EraseRootFromParent_Done,
     /* 1561121 */   // Label 21624: @1561121
     /* 1561121 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561203), // Rule ID 21083 //
     /* 1561126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1561143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561165 */     // MIs[0] round
     /* 1561165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561168 */     // MIs[0] policy
     /* 1561168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561202 */     // GIR_Coverage, 21083,
     /* 1561202 */     GIR_EraseRootFromParent_Done,
     /* 1561203 */   // Label 21625: @1561203
     /* 1561203 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561285), // Rule ID 21086 //
     /* 1561208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561247 */     // MIs[0] round
     /* 1561247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561250 */     // MIs[0] policy
     /* 1561250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1561263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561284 */     // GIR_Coverage, 21086,
     /* 1561284 */     GIR_EraseRootFromParent_Done,
     /* 1561285 */   // Label 21626: @1561285
     /* 1561285 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1561367), // Rule ID 21087 //
     /* 1561290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561329 */     // MIs[0] round
     /* 1561329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561332 */     // MIs[0] policy
     /* 1561332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1561345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561366 */     // GIR_Coverage, 21087,
     /* 1561366 */     GIR_EraseRootFromParent_Done,
     /* 1561367 */   // Label 21627: @1561367
     /* 1561367 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1561449), // Rule ID 21090 //
     /* 1561372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561411 */     // MIs[0] round
     /* 1561411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561414 */     // MIs[0] policy
     /* 1561414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561448 */     // GIR_Coverage, 21090,
     /* 1561448 */     GIR_EraseRootFromParent_Done,
     /* 1561449 */   // Label 21628: @1561449
     /* 1561449 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1561531), // Rule ID 21091 //
     /* 1561454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561493 */     // MIs[0] round
     /* 1561493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561496 */     // MIs[0] policy
     /* 1561496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561530 */     // GIR_Coverage, 21091,
     /* 1561530 */     GIR_EraseRootFromParent_Done,
     /* 1561531 */   // Label 21629: @1561531
     /* 1561531 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1561613), // Rule ID 21094 //
     /* 1561536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561575 */     // MIs[0] round
     /* 1561575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561578 */     // MIs[0] policy
     /* 1561578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561612 */     // GIR_Coverage, 21094,
     /* 1561612 */     GIR_EraseRootFromParent_Done,
     /* 1561613 */   // Label 21630: @1561613
     /* 1561613 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561695), // Rule ID 21095 //
     /* 1561618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561657 */     // MIs[0] round
     /* 1561657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561660 */     // MIs[0] policy
     /* 1561660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561694 */     // GIR_Coverage, 21095,
     /* 1561694 */     GIR_EraseRootFromParent_Done,
     /* 1561695 */   // Label 21631: @1561695
     /* 1561695 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561777), // Rule ID 21098 //
     /* 1561700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561739 */     // MIs[0] round
     /* 1561739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561742 */     // MIs[0] policy
     /* 1561742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561776 */     // GIR_Coverage, 21098,
     /* 1561776 */     GIR_EraseRootFromParent_Done,
     /* 1561777 */   // Label 21632: @1561777
     /* 1561777 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561859), // Rule ID 21099 //
     /* 1561782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561821 */     // MIs[0] round
     /* 1561821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561824 */     // MIs[0] policy
     /* 1561824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561858 */     // GIR_Coverage, 21099,
     /* 1561858 */     GIR_EraseRootFromParent_Done,
     /* 1561859 */   // Label 21633: @1561859
     /* 1561859 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561941), // Rule ID 21102 //
     /* 1561864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561903 */     // MIs[0] round
     /* 1561903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561906 */     // MIs[0] policy
     /* 1561906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561940 */     // GIR_Coverage, 21102,
     /* 1561940 */     GIR_EraseRootFromParent_Done,
     /* 1561941 */   // Label 21634: @1561941
     /* 1561941 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1562023), // Rule ID 21103 //
     /* 1561946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561985 */     // MIs[0] round
     /* 1561985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561988 */     // MIs[0] policy
     /* 1561988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1562001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562022 */     // GIR_Coverage, 21103,
     /* 1562022 */     GIR_EraseRootFromParent_Done,
     /* 1562023 */   // Label 21635: @1562023
     /* 1562023 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562105), // Rule ID 21106 //
     /* 1562028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562067 */     // MIs[0] round
     /* 1562067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562070 */     // MIs[0] policy
     /* 1562070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562104 */     // GIR_Coverage, 21106,
     /* 1562104 */     GIR_EraseRootFromParent_Done,
     /* 1562105 */   // Label 21636: @1562105
     /* 1562105 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562187), // Rule ID 21107 //
     /* 1562110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562149 */     // MIs[0] round
     /* 1562149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562152 */     // MIs[0] policy
     /* 1562152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562186 */     // GIR_Coverage, 21107,
     /* 1562186 */     GIR_EraseRootFromParent_Done,
     /* 1562187 */   // Label 21637: @1562187
     /* 1562187 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562269), // Rule ID 21110 //
     /* 1562192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562231 */     // MIs[0] round
     /* 1562231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562234 */     // MIs[0] policy
     /* 1562234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562268 */     // GIR_Coverage, 21110,
     /* 1562268 */     GIR_EraseRootFromParent_Done,
     /* 1562269 */   // Label 21638: @1562269
     /* 1562269 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1562351), // Rule ID 21111 //
     /* 1562274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562313 */     // MIs[0] round
     /* 1562313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562316 */     // MIs[0] policy
     /* 1562316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562350 */     // GIR_Coverage, 21111,
     /* 1562350 */     GIR_EraseRootFromParent_Done,
     /* 1562351 */   // Label 21639: @1562351
     /* 1562351 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1562433), // Rule ID 21114 //
     /* 1562356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562395 */     // MIs[0] round
     /* 1562395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562398 */     // MIs[0] policy
     /* 1562398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562432 */     // GIR_Coverage, 21114,
     /* 1562432 */     GIR_EraseRootFromParent_Done,
     /* 1562433 */   // Label 21640: @1562433
     /* 1562433 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1562515), // Rule ID 21115 //
     /* 1562438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562477 */     // MIs[0] round
     /* 1562477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562480 */     // MIs[0] policy
     /* 1562480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562514 */     // GIR_Coverage, 21115,
     /* 1562514 */     GIR_EraseRootFromParent_Done,
     /* 1562515 */   // Label 21641: @1562515
     /* 1562515 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1562597), // Rule ID 21118 //
     /* 1562520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562559 */     // MIs[0] round
     /* 1562559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562562 */     // MIs[0] policy
     /* 1562562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562596 */     // GIR_Coverage, 21118,
     /* 1562596 */     GIR_EraseRootFromParent_Done,
     /* 1562597 */   // Label 21642: @1562597
     /* 1562597 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562679), // Rule ID 21119 //
     /* 1562602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562641 */     // MIs[0] round
     /* 1562641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562644 */     // MIs[0] policy
     /* 1562644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562678 */     // GIR_Coverage, 21119,
     /* 1562678 */     GIR_EraseRootFromParent_Done,
     /* 1562679 */   // Label 21643: @1562679
     /* 1562679 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562761), // Rule ID 21122 //
     /* 1562684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562723 */     // MIs[0] round
     /* 1562723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562726 */     // MIs[0] policy
     /* 1562726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562760 */     // GIR_Coverage, 21122,
     /* 1562760 */     GIR_EraseRootFromParent_Done,
     /* 1562761 */   // Label 21644: @1562761
     /* 1562761 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562843), // Rule ID 21123 //
     /* 1562766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562805 */     // MIs[0] round
     /* 1562805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562808 */     // MIs[0] policy
     /* 1562808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562842 */     // GIR_Coverage, 21123,
     /* 1562842 */     GIR_EraseRootFromParent_Done,
     /* 1562843 */   // Label 21645: @1562843
     /* 1562843 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562925), // Rule ID 21126 //
     /* 1562848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562887 */     // MIs[0] round
     /* 1562887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562890 */     // MIs[0] policy
     /* 1562890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562924 */     // GIR_Coverage, 21126,
     /* 1562924 */     GIR_EraseRootFromParent_Done,
     /* 1562925 */   // Label 21646: @1562925
     /* 1562925 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1563007), // Rule ID 21127 //
     /* 1562930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562969 */     // MIs[0] round
     /* 1562969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562972 */     // MIs[0] policy
     /* 1562972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563006 */     // GIR_Coverage, 21127,
     /* 1563006 */     GIR_EraseRootFromParent_Done,
     /* 1563007 */   // Label 21647: @1563007
     /* 1563007 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1563089), // Rule ID 21130 //
     /* 1563012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563051 */     // MIs[0] round
     /* 1563051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563054 */     // MIs[0] policy
     /* 1563054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1563067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563088 */     // GIR_Coverage, 21130,
     /* 1563088 */     GIR_EraseRootFromParent_Done,
     /* 1563089 */   // Label 21648: @1563089
     /* 1563089 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563171), // Rule ID 21131 //
     /* 1563094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563133 */     // MIs[0] round
     /* 1563133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563136 */     // MIs[0] policy
     /* 1563136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1563149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563170 */     // GIR_Coverage, 21131,
     /* 1563170 */     GIR_EraseRootFromParent_Done,
     /* 1563171 */   // Label 21649: @1563171
     /* 1563171 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563253), // Rule ID 21134 //
     /* 1563176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563215 */     // MIs[0] round
     /* 1563215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563218 */     // MIs[0] policy
     /* 1563218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1563231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563252 */     // GIR_Coverage, 21134,
     /* 1563252 */     GIR_EraseRootFromParent_Done,
     /* 1563253 */   // Label 21650: @1563253
     /* 1563253 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1563335), // Rule ID 21135 //
     /* 1563258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1563266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563297 */     // MIs[0] round
     /* 1563297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563300 */     // MIs[0] policy
     /* 1563300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1563313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563334 */     // GIR_Coverage, 21135,
     /* 1563334 */     GIR_EraseRootFromParent_Done,
     /* 1563335 */   // Label 21651: @1563335
     /* 1563335 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1563417), // Rule ID 21486 //
     /* 1563340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563379 */     // MIs[0] round
     /* 1563379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563382 */     // MIs[0] policy
     /* 1563382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563416 */     // GIR_Coverage, 21486,
     /* 1563416 */     GIR_EraseRootFromParent_Done,
     /* 1563417 */   // Label 21652: @1563417
     /* 1563417 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1563499), // Rule ID 21487 //
     /* 1563422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563461 */     // MIs[0] round
     /* 1563461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563464 */     // MIs[0] policy
     /* 1563464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563474 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563498 */     // GIR_Coverage, 21487,
     /* 1563498 */     GIR_EraseRootFromParent_Done,
     /* 1563499 */   // Label 21653: @1563499
     /* 1563499 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1563581), // Rule ID 21490 //
     /* 1563504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563543 */     // MIs[0] round
     /* 1563543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563546 */     // MIs[0] policy
     /* 1563546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563580 */     // GIR_Coverage, 21490,
     /* 1563580 */     GIR_EraseRootFromParent_Done,
     /* 1563581 */   // Label 21654: @1563581
     /* 1563581 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1563663), // Rule ID 21491 //
     /* 1563586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563625 */     // MIs[0] round
     /* 1563625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563628 */     // MIs[0] policy
     /* 1563628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563638 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563662 */     // GIR_Coverage, 21491,
     /* 1563662 */     GIR_EraseRootFromParent_Done,
     /* 1563663 */   // Label 21655: @1563663
     /* 1563663 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563745), // Rule ID 21494 //
     /* 1563668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563707 */     // MIs[0] round
     /* 1563707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563710 */     // MIs[0] policy
     /* 1563710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563744 */     // GIR_Coverage, 21494,
     /* 1563744 */     GIR_EraseRootFromParent_Done,
     /* 1563745 */   // Label 21656: @1563745
     /* 1563745 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563827), // Rule ID 21495 //
     /* 1563750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563789 */     // MIs[0] round
     /* 1563789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563792 */     // MIs[0] policy
     /* 1563792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563826 */     // GIR_Coverage, 21495,
     /* 1563826 */     GIR_EraseRootFromParent_Done,
     /* 1563827 */   // Label 21657: @1563827
     /* 1563827 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563909), // Rule ID 21498 //
     /* 1563832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563871 */     // MIs[0] round
     /* 1563871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563874 */     // MIs[0] policy
     /* 1563874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563908 */     // GIR_Coverage, 21498,
     /* 1563908 */     GIR_EraseRootFromParent_Done,
     /* 1563909 */   // Label 21658: @1563909
     /* 1563909 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563991), // Rule ID 21499 //
     /* 1563914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563953 */     // MIs[0] round
     /* 1563953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563956 */     // MIs[0] policy
     /* 1563956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563990 */     // GIR_Coverage, 21499,
     /* 1563990 */     GIR_EraseRootFromParent_Done,
     /* 1563991 */   // Label 21659: @1563991
     /* 1563991 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1564073), // Rule ID 21502 //
     /* 1563996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564035 */     // MIs[0] round
     /* 1564035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564038 */     // MIs[0] policy
     /* 1564038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564072 */     // GIR_Coverage, 21502,
     /* 1564072 */     GIR_EraseRootFromParent_Done,
     /* 1564073 */   // Label 21660: @1564073
     /* 1564073 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564155), // Rule ID 21503 //
     /* 1564078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564117 */     // MIs[0] round
     /* 1564117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564120 */     // MIs[0] policy
     /* 1564120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564154 */     // GIR_Coverage, 21503,
     /* 1564154 */     GIR_EraseRootFromParent_Done,
     /* 1564155 */   // Label 21661: @1564155
     /* 1564155 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564237), // Rule ID 21506 //
     /* 1564160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1564171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1564174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1564177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1564180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564199 */     // MIs[0] round
     /* 1564199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564202 */     // MIs[0] policy
     /* 1564202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564212 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564236 */     // GIR_Coverage, 21506,
     /* 1564236 */     GIR_EraseRootFromParent_Done,
     /* 1564237 */   // Label 21662: @1564237
     /* 1564237 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564319), // Rule ID 21507 //
     /* 1564242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1564253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1564256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1564259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1564262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564281 */     // MIs[0] round
     /* 1564281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564284 */     // MIs[0] policy
     /* 1564284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564318 */     // GIR_Coverage, 21507,
     /* 1564318 */     GIR_EraseRootFromParent_Done,
     /* 1564319 */   // Label 21663: @1564319
     /* 1564319 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1564401), // Rule ID 21510 //
     /* 1564324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564363 */     // MIs[0] round
     /* 1564363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564366 */     // MIs[0] policy
     /* 1564366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564400 */     // GIR_Coverage, 21510,
     /* 1564400 */     GIR_EraseRootFromParent_Done,
     /* 1564401 */   // Label 21664: @1564401
     /* 1564401 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1564483), // Rule ID 21511 //
     /* 1564406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564445 */     // MIs[0] round
     /* 1564445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564448 */     // MIs[0] policy
     /* 1564448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564482 */     // GIR_Coverage, 21511,
     /* 1564482 */     GIR_EraseRootFromParent_Done,
     /* 1564483 */   // Label 21665: @1564483
     /* 1564483 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1564565), // Rule ID 21514 //
     /* 1564488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564527 */     // MIs[0] round
     /* 1564527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564530 */     // MIs[0] policy
     /* 1564530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564564 */     // GIR_Coverage, 21514,
     /* 1564564 */     GIR_EraseRootFromParent_Done,
     /* 1564565 */   // Label 21666: @1564565
     /* 1564565 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1564647), // Rule ID 21515 //
     /* 1564570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564609 */     // MIs[0] round
     /* 1564609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564612 */     // MIs[0] policy
     /* 1564612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564646 */     // GIR_Coverage, 21515,
     /* 1564646 */     GIR_EraseRootFromParent_Done,
     /* 1564647 */   // Label 21667: @1564647
     /* 1564647 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564729), // Rule ID 21518 //
     /* 1564652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564691 */     // MIs[0] round
     /* 1564691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564694 */     // MIs[0] policy
     /* 1564694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564728 */     // GIR_Coverage, 21518,
     /* 1564728 */     GIR_EraseRootFromParent_Done,
     /* 1564729 */   // Label 21668: @1564729
     /* 1564729 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564811), // Rule ID 21519 //
     /* 1564734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564773 */     // MIs[0] round
     /* 1564773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564776 */     // MIs[0] policy
     /* 1564776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564810 */     // GIR_Coverage, 21519,
     /* 1564810 */     GIR_EraseRootFromParent_Done,
     /* 1564811 */   // Label 21669: @1564811
     /* 1564811 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564893), // Rule ID 21522 //
     /* 1564816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564855 */     // MIs[0] round
     /* 1564855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564858 */     // MIs[0] policy
     /* 1564858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564892 */     // GIR_Coverage, 21522,
     /* 1564892 */     GIR_EraseRootFromParent_Done,
     /* 1564893 */   // Label 21670: @1564893
     /* 1564893 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564975), // Rule ID 21523 //
     /* 1564898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564937 */     // MIs[0] round
     /* 1564937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564940 */     // MIs[0] policy
     /* 1564940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564974 */     // GIR_Coverage, 21523,
     /* 1564974 */     GIR_EraseRootFromParent_Done,
     /* 1564975 */   // Label 21671: @1564975
     /* 1564975 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1565057), // Rule ID 21526 //
     /* 1564980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565019 */     // MIs[0] round
     /* 1565019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565022 */     // MIs[0] policy
     /* 1565022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565056 */     // GIR_Coverage, 21526,
     /* 1565056 */     GIR_EraseRootFromParent_Done,
     /* 1565057 */   // Label 21672: @1565057
     /* 1565057 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565139), // Rule ID 21527 //
     /* 1565062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565101 */     // MIs[0] round
     /* 1565101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565104 */     // MIs[0] policy
     /* 1565104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565138 */     // GIR_Coverage, 21527,
     /* 1565138 */     GIR_EraseRootFromParent_Done,
     /* 1565139 */   // Label 21673: @1565139
     /* 1565139 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565221), // Rule ID 21530 //
     /* 1565144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565183 */     // MIs[0] round
     /* 1565183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565186 */     // MIs[0] policy
     /* 1565186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1565199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565220 */     // GIR_Coverage, 21530,
     /* 1565220 */     GIR_EraseRootFromParent_Done,
     /* 1565221 */   // Label 21674: @1565221
     /* 1565221 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565303), // Rule ID 21531 //
     /* 1565226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565265 */     // MIs[0] round
     /* 1565265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565268 */     // MIs[0] policy
     /* 1565268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1565281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565302 */     // GIR_Coverage, 21531,
     /* 1565302 */     GIR_EraseRootFromParent_Done,
     /* 1565303 */   // Label 21675: @1565303
     /* 1565303 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1565385), // Rule ID 21534 //
     /* 1565308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565347 */     // MIs[0] round
     /* 1565347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565350 */     // MIs[0] policy
     /* 1565350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565384 */     // GIR_Coverage, 21534,
     /* 1565384 */     GIR_EraseRootFromParent_Done,
     /* 1565385 */   // Label 21676: @1565385
     /* 1565385 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1565467), // Rule ID 21535 //
     /* 1565390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565429 */     // MIs[0] round
     /* 1565429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565432 */     // MIs[0] policy
     /* 1565432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565466 */     // GIR_Coverage, 21535,
     /* 1565466 */     GIR_EraseRootFromParent_Done,
     /* 1565467 */   // Label 21677: @1565467
     /* 1565467 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1565549), // Rule ID 21538 //
     /* 1565472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565511 */     // MIs[0] round
     /* 1565511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565514 */     // MIs[0] policy
     /* 1565514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565548 */     // GIR_Coverage, 21538,
     /* 1565548 */     GIR_EraseRootFromParent_Done,
     /* 1565549 */   // Label 21678: @1565549
     /* 1565549 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1565631), // Rule ID 21539 //
     /* 1565554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565593 */     // MIs[0] round
     /* 1565593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565596 */     // MIs[0] policy
     /* 1565596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565630 */     // GIR_Coverage, 21539,
     /* 1565630 */     GIR_EraseRootFromParent_Done,
     /* 1565631 */   // Label 21679: @1565631
     /* 1565631 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565713), // Rule ID 21542 //
     /* 1565636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565675 */     // MIs[0] round
     /* 1565675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565678 */     // MIs[0] policy
     /* 1565678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565712 */     // GIR_Coverage, 21542,
     /* 1565712 */     GIR_EraseRootFromParent_Done,
     /* 1565713 */   // Label 21680: @1565713
     /* 1565713 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565795), // Rule ID 21543 //
     /* 1565718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565757 */     // MIs[0] round
     /* 1565757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565760 */     // MIs[0] policy
     /* 1565760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565794 */     // GIR_Coverage, 21543,
     /* 1565794 */     GIR_EraseRootFromParent_Done,
     /* 1565795 */   // Label 21681: @1565795
     /* 1565795 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565877), // Rule ID 21546 //
     /* 1565800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565839 */     // MIs[0] round
     /* 1565839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565842 */     // MIs[0] policy
     /* 1565842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565876 */     // GIR_Coverage, 21546,
     /* 1565876 */     GIR_EraseRootFromParent_Done,
     /* 1565877 */   // Label 21682: @1565877
     /* 1565877 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565959), // Rule ID 21547 //
     /* 1565882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565921 */     // MIs[0] round
     /* 1565921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565924 */     // MIs[0] policy
     /* 1565924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565958 */     // GIR_Coverage, 21547,
     /* 1565958 */     GIR_EraseRootFromParent_Done,
     /* 1565959 */   // Label 21683: @1565959
     /* 1565959 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1566041), // Rule ID 21550 //
     /* 1565964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566003 */     // MIs[0] round
     /* 1566003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566006 */     // MIs[0] policy
     /* 1566006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566040 */     // GIR_Coverage, 21550,
     /* 1566040 */     GIR_EraseRootFromParent_Done,
     /* 1566041 */   // Label 21684: @1566041
     /* 1566041 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566123), // Rule ID 21551 //
     /* 1566046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1566057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1566060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566085 */     // MIs[0] round
     /* 1566085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566088 */     // MIs[0] policy
     /* 1566088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566122 */     // GIR_Coverage, 21551,
     /* 1566122 */     GIR_EraseRootFromParent_Done,
     /* 1566123 */   // Label 21685: @1566123
     /* 1566123 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566205), // Rule ID 21554 //
     /* 1566128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1566139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1566142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566167 */     // MIs[0] round
     /* 1566167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566170 */     // MIs[0] policy
     /* 1566170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566204 */     // GIR_Coverage, 21554,
     /* 1566204 */     GIR_EraseRootFromParent_Done,
     /* 1566205 */   // Label 21686: @1566205
     /* 1566205 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566287), // Rule ID 21555 //
     /* 1566210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1566221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1566224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566249 */     // MIs[0] round
     /* 1566249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566252 */     // MIs[0] policy
     /* 1566252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566262 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566286 */     // GIR_Coverage, 21555,
     /* 1566286 */     GIR_EraseRootFromParent_Done,
     /* 1566287 */   // Label 21687: @1566287
     /* 1566287 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1566369), // Rule ID 21558 //
     /* 1566292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1566303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1566306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566331 */     // MIs[0] round
     /* 1566331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566334 */     // MIs[0] policy
     /* 1566334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566368 */     // GIR_Coverage, 21558,
     /* 1566368 */     GIR_EraseRootFromParent_Done,
     /* 1566369 */   // Label 21688: @1566369
     /* 1566369 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1566451), // Rule ID 21559 //
     /* 1566374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1566385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1566388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566413 */     // MIs[0] round
     /* 1566413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566416 */     // MIs[0] policy
     /* 1566416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566450 */     // GIR_Coverage, 21559,
     /* 1566450 */     GIR_EraseRootFromParent_Done,
     /* 1566451 */   // Label 21689: @1566451
     /* 1566451 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1566533), // Rule ID 21562 //
     /* 1566456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566495 */     // MIs[0] round
     /* 1566495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566498 */     // MIs[0] policy
     /* 1566498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566532 */     // GIR_Coverage, 21562,
     /* 1566532 */     GIR_EraseRootFromParent_Done,
     /* 1566533 */   // Label 21690: @1566533
     /* 1566533 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1566615), // Rule ID 21563 //
     /* 1566538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566577 */     // MIs[0] round
     /* 1566577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566580 */     // MIs[0] policy
     /* 1566580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566614 */     // GIR_Coverage, 21563,
     /* 1566614 */     GIR_EraseRootFromParent_Done,
     /* 1566615 */   // Label 21691: @1566615
     /* 1566615 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566697), // Rule ID 21566 //
     /* 1566620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566659 */     // MIs[0] round
     /* 1566659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566662 */     // MIs[0] policy
     /* 1566662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566696 */     // GIR_Coverage, 21566,
     /* 1566696 */     GIR_EraseRootFromParent_Done,
     /* 1566697 */   // Label 21692: @1566697
     /* 1566697 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566779), // Rule ID 21567 //
     /* 1566702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566741 */     // MIs[0] round
     /* 1566741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566744 */     // MIs[0] policy
     /* 1566744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566754 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566778 */     // GIR_Coverage, 21567,
     /* 1566778 */     GIR_EraseRootFromParent_Done,
     /* 1566779 */   // Label 21693: @1566779
     /* 1566779 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566861), // Rule ID 21570 //
     /* 1566784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566823 */     // MIs[0] round
     /* 1566823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566826 */     // MIs[0] policy
     /* 1566826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566836 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566860 */     // GIR_Coverage, 21570,
     /* 1566860 */     GIR_EraseRootFromParent_Done,
     /* 1566861 */   // Label 21694: @1566861
     /* 1566861 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566943), // Rule ID 21571 //
     /* 1566866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566905 */     // MIs[0] round
     /* 1566905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566908 */     // MIs[0] policy
     /* 1566908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566918 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566942 */     // GIR_Coverage, 21571,
     /* 1566942 */     GIR_EraseRootFromParent_Done,
     /* 1566943 */   // Label 21695: @1566943
     /* 1566943 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1567025), // Rule ID 21574 //
     /* 1566948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566987 */     // MIs[0] round
     /* 1566987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566990 */     // MIs[0] policy
     /* 1566990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567024 */     // GIR_Coverage, 21574,
     /* 1567024 */     GIR_EraseRootFromParent_Done,
     /* 1567025 */   // Label 21696: @1567025
     /* 1567025 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567107), // Rule ID 21575 //
     /* 1567030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1567041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1567044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567069 */     // MIs[0] round
     /* 1567069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567072 */     // MIs[0] policy
     /* 1567072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567106 */     // GIR_Coverage, 21575,
     /* 1567106 */     GIR_EraseRootFromParent_Done,
     /* 1567107 */   // Label 21697: @1567107
     /* 1567107 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567189), // Rule ID 21578 //
     /* 1567112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1567123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1567126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567151 */     // MIs[0] round
     /* 1567151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567154 */     // MIs[0] policy
     /* 1567154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567188 */     // GIR_Coverage, 21578,
     /* 1567188 */     GIR_EraseRootFromParent_Done,
     /* 1567189 */   // Label 21698: @1567189
     /* 1567189 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567271), // Rule ID 21579 //
     /* 1567194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1567205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1567208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567233 */     // MIs[0] round
     /* 1567233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567236 */     // MIs[0] policy
     /* 1567236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567270 */     // GIR_Coverage, 21579,
     /* 1567270 */     GIR_EraseRootFromParent_Done,
     /* 1567271 */   // Label 21699: @1567271
     /* 1567271 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1567353), // Rule ID 21582 //
     /* 1567276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567315 */     // MIs[0] round
     /* 1567315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567318 */     // MIs[0] policy
     /* 1567318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567352 */     // GIR_Coverage, 21582,
     /* 1567352 */     GIR_EraseRootFromParent_Done,
     /* 1567353 */   // Label 21700: @1567353
     /* 1567353 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1567435), // Rule ID 21583 //
     /* 1567358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567397 */     // MIs[0] round
     /* 1567397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567400 */     // MIs[0] policy
     /* 1567400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567434 */     // GIR_Coverage, 21583,
     /* 1567434 */     GIR_EraseRootFromParent_Done,
     /* 1567435 */   // Label 21701: @1567435
     /* 1567435 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1567517), // Rule ID 21586 //
     /* 1567440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567479 */     // MIs[0] round
     /* 1567479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567482 */     // MIs[0] policy
     /* 1567482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567516 */     // GIR_Coverage, 21586,
     /* 1567516 */     GIR_EraseRootFromParent_Done,
     /* 1567517 */   // Label 21702: @1567517
     /* 1567517 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1567599), // Rule ID 21587 //
     /* 1567522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567561 */     // MIs[0] round
     /* 1567561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567564 */     // MIs[0] policy
     /* 1567564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567598 */     // GIR_Coverage, 21587,
     /* 1567598 */     GIR_EraseRootFromParent_Done,
     /* 1567599 */   // Label 21703: @1567599
     /* 1567599 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567681), // Rule ID 21590 //
     /* 1567604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567643 */     // MIs[0] round
     /* 1567643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567646 */     // MIs[0] policy
     /* 1567646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567680 */     // GIR_Coverage, 21590,
     /* 1567680 */     GIR_EraseRootFromParent_Done,
     /* 1567681 */   // Label 21704: @1567681
     /* 1567681 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567763), // Rule ID 21591 //
     /* 1567686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567725 */     // MIs[0] round
     /* 1567725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567728 */     // MIs[0] policy
     /* 1567728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567762 */     // GIR_Coverage, 21591,
     /* 1567762 */     GIR_EraseRootFromParent_Done,
     /* 1567763 */   // Label 21705: @1567763
     /* 1567763 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567845), // Rule ID 21594 //
     /* 1567768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567807 */     // MIs[0] round
     /* 1567807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567810 */     // MIs[0] policy
     /* 1567810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567844 */     // GIR_Coverage, 21594,
     /* 1567844 */     GIR_EraseRootFromParent_Done,
     /* 1567845 */   // Label 21706: @1567845
     /* 1567845 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567927), // Rule ID 21595 //
     /* 1567850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567889 */     // MIs[0] round
     /* 1567889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567892 */     // MIs[0] policy
     /* 1567892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567926 */     // GIR_Coverage, 21595,
     /* 1567926 */     GIR_EraseRootFromParent_Done,
     /* 1567927 */   // Label 21707: @1567927
     /* 1567927 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1568009), // Rule ID 21598 //
     /* 1567932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567971 */     // MIs[0] round
     /* 1567971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567974 */     // MIs[0] policy
     /* 1567974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568008 */     // GIR_Coverage, 21598,
     /* 1568008 */     GIR_EraseRootFromParent_Done,
     /* 1568009 */   // Label 21708: @1568009
     /* 1568009 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1568091), // Rule ID 21599 //
     /* 1568014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1568017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1568031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568053 */     // MIs[0] round
     /* 1568053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568056 */     // MIs[0] policy
     /* 1568056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1568069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568090 */     // GIR_Coverage, 21599,
     /* 1568090 */     GIR_EraseRootFromParent_Done,
     /* 1568091 */   // Label 21709: @1568091
     /* 1568091 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568173), // Rule ID 21602 //
     /* 1568096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1568099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568135 */     // MIs[0] round
     /* 1568135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568138 */     // MIs[0] policy
     /* 1568138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1568151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568172 */     // GIR_Coverage, 21602,
     /* 1568172 */     GIR_EraseRootFromParent_Done,
     /* 1568173 */   // Label 21710: @1568173
     /* 1568173 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568255), // Rule ID 21603 //
     /* 1568178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1568181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1568186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568217 */     // MIs[0] round
     /* 1568217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568220 */     // MIs[0] policy
     /* 1568220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1568233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568254 */     // GIR_Coverage, 21603,
     /* 1568254 */     GIR_EraseRootFromParent_Done,
     /* 1568255 */   // Label 21711: @1568255
     /* 1568255 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1568337), // Rule ID 21726 //
     /* 1568260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568299 */     // MIs[0] round
     /* 1568299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568302 */     // MIs[0] policy
     /* 1568302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1568315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568336 */     // GIR_Coverage, 21726,
     /* 1568336 */     GIR_EraseRootFromParent_Done,
     /* 1568337 */   // Label 21712: @1568337
     /* 1568337 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1568419), // Rule ID 21727 //
     /* 1568342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568381 */     // MIs[0] round
     /* 1568381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568384 */     // MIs[0] policy
     /* 1568384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568394 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1568397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568418 */     // GIR_Coverage, 21727,
     /* 1568418 */     GIR_EraseRootFromParent_Done,
     /* 1568419 */   // Label 21713: @1568419
     /* 1568419 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1568501), // Rule ID 21730 //
     /* 1568424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568463 */     // MIs[0] round
     /* 1568463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568466 */     // MIs[0] policy
     /* 1568466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568500 */     // GIR_Coverage, 21730,
     /* 1568500 */     GIR_EraseRootFromParent_Done,
     /* 1568501 */   // Label 21714: @1568501
     /* 1568501 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1568583), // Rule ID 21731 //
     /* 1568506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568545 */     // MIs[0] round
     /* 1568545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568548 */     // MIs[0] policy
     /* 1568548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568558 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568582 */     // GIR_Coverage, 21731,
     /* 1568582 */     GIR_EraseRootFromParent_Done,
     /* 1568583 */   // Label 21715: @1568583
     /* 1568583 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1568665), // Rule ID 21734 //
     /* 1568588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568627 */     // MIs[0] round
     /* 1568627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568630 */     // MIs[0] policy
     /* 1568630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568664 */     // GIR_Coverage, 21734,
     /* 1568664 */     GIR_EraseRootFromParent_Done,
     /* 1568665 */   // Label 21716: @1568665
     /* 1568665 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568747), // Rule ID 21735 //
     /* 1568670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568709 */     // MIs[0] round
     /* 1568709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568712 */     // MIs[0] policy
     /* 1568712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568722 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568746 */     // GIR_Coverage, 21735,
     /* 1568746 */     GIR_EraseRootFromParent_Done,
     /* 1568747 */   // Label 21717: @1568747
     /* 1568747 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568829), // Rule ID 21738 //
     /* 1568752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568791 */     // MIs[0] round
     /* 1568791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568794 */     // MIs[0] policy
     /* 1568794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568828 */     // GIR_Coverage, 21738,
     /* 1568828 */     GIR_EraseRootFromParent_Done,
     /* 1568829 */   // Label 21718: @1568829
     /* 1568829 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568911), // Rule ID 21739 //
     /* 1568834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568873 */     // MIs[0] round
     /* 1568873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568876 */     // MIs[0] policy
     /* 1568876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568910 */     // GIR_Coverage, 21739,
     /* 1568910 */     GIR_EraseRootFromParent_Done,
     /* 1568911 */   // Label 21719: @1568911
     /* 1568911 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568993), // Rule ID 21742 //
     /* 1568916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568955 */     // MIs[0] round
     /* 1568955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568958 */     // MIs[0] policy
     /* 1568958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568968 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568992 */     // GIR_Coverage, 21742,
     /* 1568992 */     GIR_EraseRootFromParent_Done,
     /* 1568993 */   // Label 21720: @1568993
     /* 1568993 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1569075), // Rule ID 21743 //
     /* 1568998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1569015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569037 */     // MIs[0] round
     /* 1569037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569040 */     // MIs[0] policy
     /* 1569040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1569053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569074 */     // GIR_Coverage, 21743,
     /* 1569074 */     GIR_EraseRootFromParent_Done,
     /* 1569075 */   // Label 21721: @1569075
     /* 1569075 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569157), // Rule ID 21746 //
     /* 1569080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569119 */     // MIs[0] round
     /* 1569119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569122 */     // MIs[0] policy
     /* 1569122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569132 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1569135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569156 */     // GIR_Coverage, 21746,
     /* 1569156 */     GIR_EraseRootFromParent_Done,
     /* 1569157 */   // Label 21722: @1569157
     /* 1569157 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569239), // Rule ID 21747 //
     /* 1569162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569201 */     // MIs[0] round
     /* 1569201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569204 */     // MIs[0] policy
     /* 1569204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1569217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569238 */     // GIR_Coverage, 21747,
     /* 1569238 */     GIR_EraseRootFromParent_Done,
     /* 1569239 */   // Label 21723: @1569239
     /* 1569239 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569321), // Rule ID 21750 //
     /* 1569244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569283 */     // MIs[0] round
     /* 1569283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569286 */     // MIs[0] policy
     /* 1569286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569296 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1569299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569320 */     // GIR_Coverage, 21750,
     /* 1569320 */     GIR_EraseRootFromParent_Done,
     /* 1569321 */   // Label 21724: @1569321
     /* 1569321 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1569403), // Rule ID 21751 //
     /* 1569326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569365 */     // MIs[0] round
     /* 1569365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569368 */     // MIs[0] policy
     /* 1569368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1569381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569402 */     // GIR_Coverage, 21751,
     /* 1569402 */     GIR_EraseRootFromParent_Done,
     /* 1569403 */   // Label 21725: @1569403
     /* 1569403 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1569485), // Rule ID 21754 //
     /* 1569408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569447 */     // MIs[0] round
     /* 1569447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569450 */     // MIs[0] policy
     /* 1569450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569484 */     // GIR_Coverage, 21754,
     /* 1569484 */     GIR_EraseRootFromParent_Done,
     /* 1569485 */   // Label 21726: @1569485
     /* 1569485 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1569567), // Rule ID 21755 //
     /* 1569490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569529 */     // MIs[0] round
     /* 1569529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569532 */     // MIs[0] policy
     /* 1569532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569542 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569566 */     // GIR_Coverage, 21755,
     /* 1569566 */     GIR_EraseRootFromParent_Done,
     /* 1569567 */   // Label 21727: @1569567
     /* 1569567 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1569649), // Rule ID 21758 //
     /* 1569572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569611 */     // MIs[0] round
     /* 1569611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569614 */     // MIs[0] policy
     /* 1569614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569624 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569648 */     // GIR_Coverage, 21758,
     /* 1569648 */     GIR_EraseRootFromParent_Done,
     /* 1569649 */   // Label 21728: @1569649
     /* 1569649 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569731), // Rule ID 21759 //
     /* 1569654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569693 */     // MIs[0] round
     /* 1569693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569696 */     // MIs[0] policy
     /* 1569696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569706 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569730 */     // GIR_Coverage, 21759,
     /* 1569730 */     GIR_EraseRootFromParent_Done,
     /* 1569731 */   // Label 21729: @1569731
     /* 1569731 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569813), // Rule ID 21762 //
     /* 1569736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569775 */     // MIs[0] round
     /* 1569775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569778 */     // MIs[0] policy
     /* 1569778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569788 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569812 */     // GIR_Coverage, 21762,
     /* 1569812 */     GIR_EraseRootFromParent_Done,
     /* 1569813 */   // Label 21730: @1569813
     /* 1569813 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569895), // Rule ID 21763 //
     /* 1569818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569857 */     // MIs[0] round
     /* 1569857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569860 */     // MIs[0] policy
     /* 1569860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569870 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569894 */     // GIR_Coverage, 21763,
     /* 1569894 */     GIR_EraseRootFromParent_Done,
     /* 1569895 */   // Label 21731: @1569895
     /* 1569895 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569977), // Rule ID 21766 //
     /* 1569900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569939 */     // MIs[0] round
     /* 1569939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569942 */     // MIs[0] policy
     /* 1569942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569952 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569976 */     // GIR_Coverage, 21766,
     /* 1569976 */     GIR_EraseRootFromParent_Done,
     /* 1569977 */   // Label 21732: @1569977
     /* 1569977 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1570059), // Rule ID 21767 //
     /* 1569982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570021 */     // MIs[0] round
     /* 1570021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570024 */     // MIs[0] policy
     /* 1570024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570034 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1570037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570058 */     // GIR_Coverage, 21767,
     /* 1570058 */     GIR_EraseRootFromParent_Done,
     /* 1570059 */   // Label 21733: @1570059
     /* 1570059 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570141), // Rule ID 21770 //
     /* 1570064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570103 */     // MIs[0] round
     /* 1570103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570106 */     // MIs[0] policy
     /* 1570106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570116 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1570119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570140 */     // GIR_Coverage, 21770,
     /* 1570140 */     GIR_EraseRootFromParent_Done,
     /* 1570141 */   // Label 21734: @1570141
     /* 1570141 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570223), // Rule ID 21771 //
     /* 1570146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570185 */     // MIs[0] round
     /* 1570185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570188 */     // MIs[0] policy
     /* 1570188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1570201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570222 */     // GIR_Coverage, 21771,
     /* 1570222 */     GIR_EraseRootFromParent_Done,
     /* 1570223 */   // Label 21735: @1570223
     /* 1570223 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570305), // Rule ID 21774 //
     /* 1570228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570267 */     // MIs[0] round
     /* 1570267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570270 */     // MIs[0] policy
     /* 1570270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570280 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1570283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570304 */     // GIR_Coverage, 21774,
     /* 1570304 */     GIR_EraseRootFromParent_Done,
     /* 1570305 */   // Label 21736: @1570305
     /* 1570305 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1570387), // Rule ID 21775 //
     /* 1570310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570349 */     // MIs[0] round
     /* 1570349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570352 */     // MIs[0] policy
     /* 1570352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570362 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1570365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570386 */     // GIR_Coverage, 21775,
     /* 1570386 */     GIR_EraseRootFromParent_Done,
     /* 1570387 */   // Label 21737: @1570387
     /* 1570387 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1570469), // Rule ID 21778 //
     /* 1570392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570431 */     // MIs[0] round
     /* 1570431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570434 */     // MIs[0] policy
     /* 1570434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570468 */     // GIR_Coverage, 21778,
     /* 1570468 */     GIR_EraseRootFromParent_Done,
     /* 1570469 */   // Label 21738: @1570469
     /* 1570469 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1570551), // Rule ID 21779 //
     /* 1570474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570513 */     // MIs[0] round
     /* 1570513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570516 */     // MIs[0] policy
     /* 1570516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570526 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570550 */     // GIR_Coverage, 21779,
     /* 1570550 */     GIR_EraseRootFromParent_Done,
     /* 1570551 */   // Label 21739: @1570551
     /* 1570551 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1570633), // Rule ID 21782 //
     /* 1570556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570595 */     // MIs[0] round
     /* 1570595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570598 */     // MIs[0] policy
     /* 1570598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570632 */     // GIR_Coverage, 21782,
     /* 1570632 */     GIR_EraseRootFromParent_Done,
     /* 1570633 */   // Label 21740: @1570633
     /* 1570633 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570715), // Rule ID 21783 //
     /* 1570638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570677 */     // MIs[0] round
     /* 1570677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570680 */     // MIs[0] policy
     /* 1570680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570714 */     // GIR_Coverage, 21783,
     /* 1570714 */     GIR_EraseRootFromParent_Done,
     /* 1570715 */   // Label 21741: @1570715
     /* 1570715 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570797), // Rule ID 21786 //
     /* 1570720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570759 */     // MIs[0] round
     /* 1570759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570762 */     // MIs[0] policy
     /* 1570762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570796 */     // GIR_Coverage, 21786,
     /* 1570796 */     GIR_EraseRootFromParent_Done,
     /* 1570797 */   // Label 21742: @1570797
     /* 1570797 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570879), // Rule ID 21787 //
     /* 1570802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570841 */     // MIs[0] round
     /* 1570841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570844 */     // MIs[0] policy
     /* 1570844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570854 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570878 */     // GIR_Coverage, 21787,
     /* 1570878 */     GIR_EraseRootFromParent_Done,
     /* 1570879 */   // Label 21743: @1570879
     /* 1570879 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570961), // Rule ID 21790 //
     /* 1570884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570923 */     // MIs[0] round
     /* 1570923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570926 */     // MIs[0] policy
     /* 1570926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570960 */     // GIR_Coverage, 21790,
     /* 1570960 */     GIR_EraseRootFromParent_Done,
     /* 1570961 */   // Label 21744: @1570961
     /* 1570961 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1571043), // Rule ID 21791 //
     /* 1570966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571005 */     // MIs[0] round
     /* 1571005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571008 */     // MIs[0] policy
     /* 1571008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571018 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1571021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571042 */     // GIR_Coverage, 21791,
     /* 1571042 */     GIR_EraseRootFromParent_Done,
     /* 1571043 */   // Label 21745: @1571043
     /* 1571043 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571125), // Rule ID 21794 //
     /* 1571048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1571051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1571056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571087 */     // MIs[0] round
     /* 1571087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571090 */     // MIs[0] policy
     /* 1571090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571100 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1571103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571124 */     // GIR_Coverage, 21794,
     /* 1571124 */     GIR_EraseRootFromParent_Done,
     /* 1571125 */   // Label 21746: @1571125
     /* 1571125 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571207), // Rule ID 21795 //
     /* 1571130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1571133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1571138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571169 */     // MIs[0] round
     /* 1571169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571172 */     // MIs[0] policy
     /* 1571172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571182 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1571185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571206 */     // GIR_Coverage, 21795,
     /* 1571206 */     GIR_EraseRootFromParent_Done,
     /* 1571207 */   // Label 21747: @1571207
     /* 1571207 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571289), // Rule ID 21798 //
     /* 1571212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571251 */     // MIs[0] round
     /* 1571251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571254 */     // MIs[0] policy
     /* 1571254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571264 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1571267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571288 */     // GIR_Coverage, 21798,
     /* 1571288 */     GIR_EraseRootFromParent_Done,
     /* 1571289 */   // Label 21748: @1571289
     /* 1571289 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1571371), // Rule ID 21799 //
     /* 1571294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571333 */     // MIs[0] round
     /* 1571333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571336 */     // MIs[0] policy
     /* 1571336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571346 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1571349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571370 */     // GIR_Coverage, 21799,
     /* 1571370 */     GIR_EraseRootFromParent_Done,
     /* 1571371 */   // Label 21749: @1571371
     /* 1571371 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1571453), // Rule ID 21802 //
     /* 1571376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571415 */     // MIs[0] round
     /* 1571415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571418 */     // MIs[0] policy
     /* 1571418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571452 */     // GIR_Coverage, 21802,
     /* 1571452 */     GIR_EraseRootFromParent_Done,
     /* 1571453 */   // Label 21750: @1571453
     /* 1571453 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1571535), // Rule ID 21803 //
     /* 1571458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571497 */     // MIs[0] round
     /* 1571497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571500 */     // MIs[0] policy
     /* 1571500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571510 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571534 */     // GIR_Coverage, 21803,
     /* 1571534 */     GIR_EraseRootFromParent_Done,
     /* 1571535 */   // Label 21751: @1571535
     /* 1571535 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1571617), // Rule ID 21806 //
     /* 1571540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571579 */     // MIs[0] round
     /* 1571579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571582 */     // MIs[0] policy
     /* 1571582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571592 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571616 */     // GIR_Coverage, 21806,
     /* 1571616 */     GIR_EraseRootFromParent_Done,
     /* 1571617 */   // Label 21752: @1571617
     /* 1571617 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571699), // Rule ID 21807 //
     /* 1571622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571661 */     // MIs[0] round
     /* 1571661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571664 */     // MIs[0] policy
     /* 1571664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571674 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571698 */     // GIR_Coverage, 21807,
     /* 1571698 */     GIR_EraseRootFromParent_Done,
     /* 1571699 */   // Label 21753: @1571699
     /* 1571699 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571781), // Rule ID 21810 //
     /* 1571704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571743 */     // MIs[0] round
     /* 1571743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571746 */     // MIs[0] policy
     /* 1571746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571780 */     // GIR_Coverage, 21810,
     /* 1571780 */     GIR_EraseRootFromParent_Done,
     /* 1571781 */   // Label 21754: @1571781
     /* 1571781 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571863), // Rule ID 21811 //
     /* 1571786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571825 */     // MIs[0] round
     /* 1571825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571828 */     // MIs[0] policy
     /* 1571828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571838 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571862 */     // GIR_Coverage, 21811,
     /* 1571862 */     GIR_EraseRootFromParent_Done,
     /* 1571863 */   // Label 21755: @1571863
     /* 1571863 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571945), // Rule ID 21814 //
     /* 1571868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571907 */     // MIs[0] round
     /* 1571907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571910 */     // MIs[0] policy
     /* 1571910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571920 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571944 */     // GIR_Coverage, 21814,
     /* 1571944 */     GIR_EraseRootFromParent_Done,
     /* 1571945 */   // Label 21756: @1571945
     /* 1571945 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1572027), // Rule ID 21815 //
     /* 1571950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571989 */     // MIs[0] round
     /* 1571989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571992 */     // MIs[0] policy
     /* 1571992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572002 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1572005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572026 */     // GIR_Coverage, 21815,
     /* 1572026 */     GIR_EraseRootFromParent_Done,
     /* 1572027 */   // Label 21757: @1572027
     /* 1572027 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572109), // Rule ID 21818 //
     /* 1572032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572071 */     // MIs[0] round
     /* 1572071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572074 */     // MIs[0] policy
     /* 1572074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572084 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1572087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572108 */     // GIR_Coverage, 21818,
     /* 1572108 */     GIR_EraseRootFromParent_Done,
     /* 1572109 */   // Label 21758: @1572109
     /* 1572109 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572191), // Rule ID 21819 //
     /* 1572114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572153 */     // MIs[0] round
     /* 1572153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572156 */     // MIs[0] policy
     /* 1572156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572166 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1572169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572190 */     // GIR_Coverage, 21819,
     /* 1572190 */     GIR_EraseRootFromParent_Done,
     /* 1572191 */   // Label 21759: @1572191
     /* 1572191 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572273), // Rule ID 21822 //
     /* 1572196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572235 */     // MIs[0] round
     /* 1572235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572238 */     // MIs[0] policy
     /* 1572238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572248 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1572251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572272 */     // GIR_Coverage, 21822,
     /* 1572272 */     GIR_EraseRootFromParent_Done,
     /* 1572273 */   // Label 21760: @1572273
     /* 1572273 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1572355), // Rule ID 21823 //
     /* 1572278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572317 */     // MIs[0] round
     /* 1572317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572320 */     // MIs[0] policy
     /* 1572320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1572333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572354 */     // GIR_Coverage, 21823,
     /* 1572354 */     GIR_EraseRootFromParent_Done,
     /* 1572355 */   // Label 21761: @1572355
     /* 1572355 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1572437), // Rule ID 21826 //
     /* 1572360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572399 */     // MIs[0] round
     /* 1572399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572402 */     // MIs[0] policy
     /* 1572402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572436 */     // GIR_Coverage, 21826,
     /* 1572436 */     GIR_EraseRootFromParent_Done,
     /* 1572437 */   // Label 21762: @1572437
     /* 1572437 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1572519), // Rule ID 21827 //
     /* 1572442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572481 */     // MIs[0] round
     /* 1572481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572484 */     // MIs[0] policy
     /* 1572484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572494 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572518 */     // GIR_Coverage, 21827,
     /* 1572518 */     GIR_EraseRootFromParent_Done,
     /* 1572519 */   // Label 21763: @1572519
     /* 1572519 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1572601), // Rule ID 21830 //
     /* 1572524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572563 */     // MIs[0] round
     /* 1572563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572566 */     // MIs[0] policy
     /* 1572566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572600 */     // GIR_Coverage, 21830,
     /* 1572600 */     GIR_EraseRootFromParent_Done,
     /* 1572601 */   // Label 21764: @1572601
     /* 1572601 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572683), // Rule ID 21831 //
     /* 1572606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572645 */     // MIs[0] round
     /* 1572645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572648 */     // MIs[0] policy
     /* 1572648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572658 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572682 */     // GIR_Coverage, 21831,
     /* 1572682 */     GIR_EraseRootFromParent_Done,
     /* 1572683 */   // Label 21765: @1572683
     /* 1572683 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572765), // Rule ID 2648 //
     /* 1572688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572719 */     // MIs[0] passthru
     /* 1572719 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572732 */     // MIs[0] policy
     /* 1572732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572764 */     // GIR_Coverage, 2648,
     /* 1572764 */     GIR_EraseRootFromParent_Done,
     /* 1572765 */   // Label 21766: @1572765
     /* 1572765 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572847), // Rule ID 2649 //
     /* 1572770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572801 */     // MIs[0] passthru
     /* 1572801 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572814 */     // MIs[0] policy
     /* 1572814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572846 */     // GIR_Coverage, 2649,
     /* 1572846 */     GIR_EraseRootFromParent_Done,
     /* 1572847 */   // Label 21767: @1572847
     /* 1572847 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572929), // Rule ID 3956 //
     /* 1572852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572883 */     // MIs[0] passthru
     /* 1572883 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572896 */     // MIs[0] policy
     /* 1572896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572928 */     // GIR_Coverage, 3956,
     /* 1572928 */     GIR_EraseRootFromParent_Done,
     /* 1572929 */   // Label 21768: @1572929
     /* 1572929 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1573011), // Rule ID 3957 //
     /* 1572934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572965 */     // MIs[0] passthru
     /* 1572965 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572978 */     // MIs[0] policy
     /* 1572978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573010 */     // GIR_Coverage, 3957,
     /* 1573010 */     GIR_EraseRootFromParent_Done,
     /* 1573011 */   // Label 21769: @1573011
     /* 1573011 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1573093), // Rule ID 3966 //
     /* 1573016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573047 */     // MIs[0] passthru
     /* 1573047 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573060 */     // MIs[0] policy
     /* 1573060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573092 */     // GIR_Coverage, 3966,
     /* 1573092 */     GIR_EraseRootFromParent_Done,
     /* 1573093 */   // Label 21770: @1573093
     /* 1573093 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573175), // Rule ID 3967 //
     /* 1573098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573129 */     // MIs[0] passthru
     /* 1573129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573142 */     // MIs[0] policy
     /* 1573142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573174 */     // GIR_Coverage, 3967,
     /* 1573174 */     GIR_EraseRootFromParent_Done,
     /* 1573175 */   // Label 21771: @1573175
     /* 1573175 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573257), // Rule ID 3976 //
     /* 1573180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1573197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573211 */     // MIs[0] passthru
     /* 1573211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573224 */     // MIs[0] policy
     /* 1573224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573256 */     // GIR_Coverage, 3976,
     /* 1573256 */     GIR_EraseRootFromParent_Done,
     /* 1573257 */   // Label 21772: @1573257
     /* 1573257 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1573339), // Rule ID 3977 //
     /* 1573262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1573279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573293 */     // MIs[0] passthru
     /* 1573293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573306 */     // MIs[0] policy
     /* 1573306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573338 */     // GIR_Coverage, 3977,
     /* 1573338 */     GIR_EraseRootFromParent_Done,
     /* 1573339 */   // Label 21773: @1573339
     /* 1573339 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1573421), // Rule ID 3986 //
     /* 1573344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573375 */     // MIs[0] passthru
     /* 1573375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573388 */     // MIs[0] policy
     /* 1573388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573420 */     // GIR_Coverage, 3986,
     /* 1573420 */     GIR_EraseRootFromParent_Done,
     /* 1573421 */   // Label 21774: @1573421
     /* 1573421 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1573503), // Rule ID 3987 //
     /* 1573426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573457 */     // MIs[0] passthru
     /* 1573457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573470 */     // MIs[0] policy
     /* 1573470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573502 */     // GIR_Coverage, 3987,
     /* 1573502 */     GIR_EraseRootFromParent_Done,
     /* 1573503 */   // Label 21775: @1573503
     /* 1573503 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1573585), // Rule ID 3996 //
     /* 1573508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573539 */     // MIs[0] passthru
     /* 1573539 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573552 */     // MIs[0] policy
     /* 1573552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573584 */     // GIR_Coverage, 3996,
     /* 1573584 */     GIR_EraseRootFromParent_Done,
     /* 1573585 */   // Label 21776: @1573585
     /* 1573585 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1573667), // Rule ID 3997 //
     /* 1573590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573621 */     // MIs[0] passthru
     /* 1573621 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573634 */     // MIs[0] policy
     /* 1573634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573666 */     // GIR_Coverage, 3997,
     /* 1573666 */     GIR_EraseRootFromParent_Done,
     /* 1573667 */   // Label 21777: @1573667
     /* 1573667 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573749), // Rule ID 4006 //
     /* 1573672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573703 */     // MIs[0] passthru
     /* 1573703 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573716 */     // MIs[0] policy
     /* 1573716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573748 */     // GIR_Coverage, 4006,
     /* 1573748 */     GIR_EraseRootFromParent_Done,
     /* 1573749 */   // Label 21778: @1573749
     /* 1573749 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573831), // Rule ID 4007 //
     /* 1573754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573785 */     // MIs[0] passthru
     /* 1573785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573798 */     // MIs[0] policy
     /* 1573798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573830 */     // GIR_Coverage, 4007,
     /* 1573830 */     GIR_EraseRootFromParent_Done,
     /* 1573831 */   // Label 21779: @1573831
     /* 1573831 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573913), // Rule ID 4016 //
     /* 1573836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573867 */     // MIs[0] passthru
     /* 1573867 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573880 */     // MIs[0] policy
     /* 1573880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573912 */     // GIR_Coverage, 4016,
     /* 1573912 */     GIR_EraseRootFromParent_Done,
     /* 1573913 */   // Label 21780: @1573913
     /* 1573913 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573995), // Rule ID 4017 //
     /* 1573918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573949 */     // MIs[0] passthru
     /* 1573949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573962 */     // MIs[0] policy
     /* 1573962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573994 */     // GIR_Coverage, 4017,
     /* 1573994 */     GIR_EraseRootFromParent_Done,
     /* 1573995 */   // Label 21781: @1573995
     /* 1573995 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1574077), // Rule ID 4026 //
     /* 1574000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574031 */     // MIs[0] passthru
     /* 1574031 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574044 */     // MIs[0] policy
     /* 1574044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574076 */     // GIR_Coverage, 4026,
     /* 1574076 */     GIR_EraseRootFromParent_Done,
     /* 1574077 */   // Label 21782: @1574077
     /* 1574077 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574159), // Rule ID 4027 //
     /* 1574082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574113 */     // MIs[0] passthru
     /* 1574113 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574126 */     // MIs[0] policy
     /* 1574126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574158 */     // GIR_Coverage, 4027,
     /* 1574158 */     GIR_EraseRootFromParent_Done,
     /* 1574159 */   // Label 21783: @1574159
     /* 1574159 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574241), // Rule ID 4036 //
     /* 1574164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1574181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574195 */     // MIs[0] passthru
     /* 1574195 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574208 */     // MIs[0] policy
     /* 1574208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574240 */     // GIR_Coverage, 4036,
     /* 1574240 */     GIR_EraseRootFromParent_Done,
     /* 1574241 */   // Label 21784: @1574241
     /* 1574241 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574323), // Rule ID 4037 //
     /* 1574246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1574263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574277 */     // MIs[0] passthru
     /* 1574277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574290 */     // MIs[0] policy
     /* 1574290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574322 */     // GIR_Coverage, 4037,
     /* 1574322 */     GIR_EraseRootFromParent_Done,
     /* 1574323 */   // Label 21785: @1574323
     /* 1574323 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1574405), // Rule ID 4046 //
     /* 1574328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1574345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574359 */     // MIs[0] passthru
     /* 1574359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574372 */     // MIs[0] policy
     /* 1574372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574404 */     // GIR_Coverage, 4046,
     /* 1574404 */     GIR_EraseRootFromParent_Done,
     /* 1574405 */   // Label 21786: @1574405
     /* 1574405 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1574487), // Rule ID 4047 //
     /* 1574410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1574427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574441 */     // MIs[0] passthru
     /* 1574441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574454 */     // MIs[0] policy
     /* 1574454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574486 */     // GIR_Coverage, 4047,
     /* 1574486 */     GIR_EraseRootFromParent_Done,
     /* 1574487 */   // Label 21787: @1574487
     /* 1574487 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1574569), // Rule ID 4056 //
     /* 1574492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574523 */     // MIs[0] passthru
     /* 1574523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574536 */     // MIs[0] policy
     /* 1574536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574568 */     // GIR_Coverage, 4056,
     /* 1574568 */     GIR_EraseRootFromParent_Done,
     /* 1574569 */   // Label 21788: @1574569
     /* 1574569 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1574651), // Rule ID 4057 //
     /* 1574574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574605 */     // MIs[0] passthru
     /* 1574605 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574618 */     // MIs[0] policy
     /* 1574618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574650 */     // GIR_Coverage, 4057,
     /* 1574650 */     GIR_EraseRootFromParent_Done,
     /* 1574651 */   // Label 21789: @1574651
     /* 1574651 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574733), // Rule ID 4066 //
     /* 1574656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574687 */     // MIs[0] passthru
     /* 1574687 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574700 */     // MIs[0] policy
     /* 1574700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574732 */     // GIR_Coverage, 4066,
     /* 1574732 */     GIR_EraseRootFromParent_Done,
     /* 1574733 */   // Label 21790: @1574733
     /* 1574733 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574815), // Rule ID 4067 //
     /* 1574738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574769 */     // MIs[0] passthru
     /* 1574769 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574782 */     // MIs[0] policy
     /* 1574782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574814 */     // GIR_Coverage, 4067,
     /* 1574814 */     GIR_EraseRootFromParent_Done,
     /* 1574815 */   // Label 21791: @1574815
     /* 1574815 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574897), // Rule ID 4076 //
     /* 1574820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574851 */     // MIs[0] passthru
     /* 1574851 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574864 */     // MIs[0] policy
     /* 1574864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574896 */     // GIR_Coverage, 4076,
     /* 1574896 */     GIR_EraseRootFromParent_Done,
     /* 1574897 */   // Label 21792: @1574897
     /* 1574897 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574979), // Rule ID 4077 //
     /* 1574902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574933 */     // MIs[0] passthru
     /* 1574933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574946 */     // MIs[0] policy
     /* 1574946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574978 */     // GIR_Coverage, 4077,
     /* 1574978 */     GIR_EraseRootFromParent_Done,
     /* 1574979 */   // Label 21793: @1574979
     /* 1574979 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1575061), // Rule ID 4086 //
     /* 1574984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575015 */     // MIs[0] passthru
     /* 1575015 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575028 */     // MIs[0] policy
     /* 1575028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1575041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575060 */     // GIR_Coverage, 4086,
     /* 1575060 */     GIR_EraseRootFromParent_Done,
     /* 1575061 */   // Label 21794: @1575061
     /* 1575061 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575143), // Rule ID 4087 //
     /* 1575066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1575074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1575077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1575080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575097 */     // MIs[0] passthru
     /* 1575097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575110 */     // MIs[0] policy
     /* 1575110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1575123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575142 */     // GIR_Coverage, 4087,
     /* 1575142 */     GIR_EraseRootFromParent_Done,
     /* 1575143 */   // Label 21795: @1575143
     /* 1575143 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575225), // Rule ID 4156 //
     /* 1575148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1575165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575179 */     // MIs[0] passthru
     /* 1575179 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575192 */     // MIs[0] policy
     /* 1575192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1575205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575224 */     // GIR_Coverage, 4156,
     /* 1575224 */     GIR_EraseRootFromParent_Done,
     /* 1575225 */   // Label 21796: @1575225
     /* 1575225 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575307), // Rule ID 4157 //
     /* 1575230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1575247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575261 */     // MIs[0] passthru
     /* 1575261 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575274 */     // MIs[0] policy
     /* 1575274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1575287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575306 */     // GIR_Coverage, 4157,
     /* 1575306 */     GIR_EraseRootFromParent_Done,
     /* 1575307 */   // Label 21797: @1575307
     /* 1575307 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1575389), // Rule ID 4166 //
     /* 1575312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1575329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575343 */     // MIs[0] passthru
     /* 1575343 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575356 */     // MIs[0] policy
     /* 1575356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575388 */     // GIR_Coverage, 4166,
     /* 1575388 */     GIR_EraseRootFromParent_Done,
     /* 1575389 */   // Label 21798: @1575389
     /* 1575389 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1575471), // Rule ID 4167 //
     /* 1575394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1575411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575425 */     // MIs[0] passthru
     /* 1575425 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575438 */     // MIs[0] policy
     /* 1575438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575470 */     // GIR_Coverage, 4167,
     /* 1575470 */     GIR_EraseRootFromParent_Done,
     /* 1575471 */   // Label 21799: @1575471
     /* 1575471 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1575553), // Rule ID 4176 //
     /* 1575476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575507 */     // MIs[0] passthru
     /* 1575507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575520 */     // MIs[0] policy
     /* 1575520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575552 */     // GIR_Coverage, 4176,
     /* 1575552 */     GIR_EraseRootFromParent_Done,
     /* 1575553 */   // Label 21800: @1575553
     /* 1575553 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1575635), // Rule ID 4177 //
     /* 1575558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575589 */     // MIs[0] passthru
     /* 1575589 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575602 */     // MIs[0] policy
     /* 1575602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575634 */     // GIR_Coverage, 4177,
     /* 1575634 */     GIR_EraseRootFromParent_Done,
     /* 1575635 */   // Label 21801: @1575635
     /* 1575635 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575717), // Rule ID 4186 //
     /* 1575640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575671 */     // MIs[0] passthru
     /* 1575671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575684 */     // MIs[0] policy
     /* 1575684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575716 */     // GIR_Coverage, 4186,
     /* 1575716 */     GIR_EraseRootFromParent_Done,
     /* 1575717 */   // Label 21802: @1575717
     /* 1575717 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575799), // Rule ID 4187 //
     /* 1575722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575753 */     // MIs[0] passthru
     /* 1575753 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575766 */     // MIs[0] policy
     /* 1575766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575798 */     // GIR_Coverage, 4187,
     /* 1575798 */     GIR_EraseRootFromParent_Done,
     /* 1575799 */   // Label 21803: @1575799
     /* 1575799 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575881), // Rule ID 4196 //
     /* 1575804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575835 */     // MIs[0] passthru
     /* 1575835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575848 */     // MIs[0] policy
     /* 1575848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575880 */     // GIR_Coverage, 4196,
     /* 1575880 */     GIR_EraseRootFromParent_Done,
     /* 1575881 */   // Label 21804: @1575881
     /* 1575881 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575963), // Rule ID 4197 //
     /* 1575886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575917 */     // MIs[0] passthru
     /* 1575917 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575930 */     // MIs[0] policy
     /* 1575930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575962 */     // GIR_Coverage, 4197,
     /* 1575962 */     GIR_EraseRootFromParent_Done,
     /* 1575963 */   // Label 21805: @1575963
     /* 1575963 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1576045), // Rule ID 4206 //
     /* 1575968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575999 */     // MIs[0] passthru
     /* 1575999 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576012 */     // MIs[0] policy
     /* 1576012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576044 */     // GIR_Coverage, 4206,
     /* 1576044 */     GIR_EraseRootFromParent_Done,
     /* 1576045 */   // Label 21806: @1576045
     /* 1576045 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576127), // Rule ID 4207 //
     /* 1576050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1576061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1576064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1576067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1576070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576081 */     // MIs[0] passthru
     /* 1576081 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576094 */     // MIs[0] policy
     /* 1576094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576126 */     // GIR_Coverage, 4207,
     /* 1576126 */     GIR_EraseRootFromParent_Done,
     /* 1576127 */   // Label 21807: @1576127
     /* 1576127 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576209), // Rule ID 4216 //
     /* 1576132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1576149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576163 */     // MIs[0] passthru
     /* 1576163 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576176 */     // MIs[0] policy
     /* 1576176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1576189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576208 */     // GIR_Coverage, 4216,
     /* 1576208 */     GIR_EraseRootFromParent_Done,
     /* 1576209 */   // Label 21808: @1576209
     /* 1576209 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576291), // Rule ID 4217 //
     /* 1576214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1576231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576245 */     // MIs[0] passthru
     /* 1576245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576258 */     // MIs[0] policy
     /* 1576258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1576271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576290 */     // GIR_Coverage, 4217,
     /* 1576290 */     GIR_EraseRootFromParent_Done,
     /* 1576291 */   // Label 21809: @1576291
     /* 1576291 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1576373), // Rule ID 4226 //
     /* 1576296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1576313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576327 */     // MIs[0] passthru
     /* 1576327 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576340 */     // MIs[0] policy
     /* 1576340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576372 */     // GIR_Coverage, 4226,
     /* 1576372 */     GIR_EraseRootFromParent_Done,
     /* 1576373 */   // Label 21810: @1576373
     /* 1576373 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1576455), // Rule ID 4227 //
     /* 1576378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1576395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576409 */     // MIs[0] passthru
     /* 1576409 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576422 */     // MIs[0] policy
     /* 1576422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576454 */     // GIR_Coverage, 4227,
     /* 1576454 */     GIR_EraseRootFromParent_Done,
     /* 1576455 */   // Label 21811: @1576455
     /* 1576455 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1576537), // Rule ID 4236 //
     /* 1576460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576491 */     // MIs[0] passthru
     /* 1576491 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576504 */     // MIs[0] policy
     /* 1576504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576536 */     // GIR_Coverage, 4236,
     /* 1576536 */     GIR_EraseRootFromParent_Done,
     /* 1576537 */   // Label 21812: @1576537
     /* 1576537 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1576619), // Rule ID 4237 //
     /* 1576542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576573 */     // MIs[0] passthru
     /* 1576573 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576586 */     // MIs[0] policy
     /* 1576586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576618 */     // GIR_Coverage, 4237,
     /* 1576618 */     GIR_EraseRootFromParent_Done,
     /* 1576619 */   // Label 21813: @1576619
     /* 1576619 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576701), // Rule ID 4246 //
     /* 1576624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576655 */     // MIs[0] passthru
     /* 1576655 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576668 */     // MIs[0] policy
     /* 1576668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576700 */     // GIR_Coverage, 4246,
     /* 1576700 */     GIR_EraseRootFromParent_Done,
     /* 1576701 */   // Label 21814: @1576701
     /* 1576701 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576783), // Rule ID 4247 //
     /* 1576706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576737 */     // MIs[0] passthru
     /* 1576737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576750 */     // MIs[0] policy
     /* 1576750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576782 */     // GIR_Coverage, 4247,
     /* 1576782 */     GIR_EraseRootFromParent_Done,
     /* 1576783 */   // Label 21815: @1576783
     /* 1576783 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576865), // Rule ID 4256 //
     /* 1576788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576819 */     // MIs[0] passthru
     /* 1576819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576832 */     // MIs[0] policy
     /* 1576832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576864 */     // GIR_Coverage, 4256,
     /* 1576864 */     GIR_EraseRootFromParent_Done,
     /* 1576865 */   // Label 21816: @1576865
     /* 1576865 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576947), // Rule ID 4257 //
     /* 1576870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576901 */     // MIs[0] passthru
     /* 1576901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576914 */     // MIs[0] policy
     /* 1576914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576946 */     // GIR_Coverage, 4257,
     /* 1576946 */     GIR_EraseRootFromParent_Done,
     /* 1576947 */   // Label 21817: @1576947
     /* 1576947 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1577029), // Rule ID 4266 //
     /* 1576952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576983 */     // MIs[0] passthru
     /* 1576983 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576996 */     // MIs[0] policy
     /* 1576996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1577009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577028 */     // GIR_Coverage, 4266,
     /* 1577028 */     GIR_EraseRootFromParent_Done,
     /* 1577029 */   // Label 21818: @1577029
     /* 1577029 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577111), // Rule ID 4267 //
     /* 1577034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1577045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1577048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577065 */     // MIs[0] passthru
     /* 1577065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577078 */     // MIs[0] policy
     /* 1577078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1577091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577110 */     // GIR_Coverage, 4267,
     /* 1577110 */     GIR_EraseRootFromParent_Done,
     /* 1577111 */   // Label 21819: @1577111
     /* 1577111 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577193), // Rule ID 4276 //
     /* 1577116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1577127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1577130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1577133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577147 */     // MIs[0] passthru
     /* 1577147 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577160 */     // MIs[0] policy
     /* 1577160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1577173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577192 */     // GIR_Coverage, 4276,
     /* 1577192 */     GIR_EraseRootFromParent_Done,
     /* 1577193 */   // Label 21820: @1577193
     /* 1577193 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577275), // Rule ID 4277 //
     /* 1577198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1577209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1577212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1577215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577229 */     // MIs[0] passthru
     /* 1577229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577242 */     // MIs[0] policy
     /* 1577242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1577255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577274 */     // GIR_Coverage, 4277,
     /* 1577274 */     GIR_EraseRootFromParent_Done,
     /* 1577275 */   // Label 21821: @1577275
     /* 1577275 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1577357), // Rule ID 4286 //
     /* 1577280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1577291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1577294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1577297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577311 */     // MIs[0] passthru
     /* 1577311 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577324 */     // MIs[0] policy
     /* 1577324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1577337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577356 */     // GIR_Coverage, 4286,
     /* 1577356 */     GIR_EraseRootFromParent_Done,
     /* 1577357 */   // Label 21822: @1577357
     /* 1577357 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1577439), // Rule ID 4287 //
     /* 1577362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1577373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1577376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1577379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577393 */     // MIs[0] passthru
     /* 1577393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577406 */     // MIs[0] policy
     /* 1577406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1577419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577438 */     // GIR_Coverage, 4287,
     /* 1577438 */     GIR_EraseRootFromParent_Done,
     /* 1577439 */   // Label 21823: @1577439
     /* 1577439 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1577521), // Rule ID 4296 //
     /* 1577444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577475 */     // MIs[0] passthru
     /* 1577475 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577488 */     // MIs[0] policy
     /* 1577488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577520 */     // GIR_Coverage, 4296,
     /* 1577520 */     GIR_EraseRootFromParent_Done,
     /* 1577521 */   // Label 21824: @1577521
     /* 1577521 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1577603), // Rule ID 4297 //
     /* 1577526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577557 */     // MIs[0] passthru
     /* 1577557 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577570 */     // MIs[0] policy
     /* 1577570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577602 */     // GIR_Coverage, 4297,
     /* 1577602 */     GIR_EraseRootFromParent_Done,
     /* 1577603 */   // Label 21825: @1577603
     /* 1577603 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577685), // Rule ID 4366 //
     /* 1577608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577639 */     // MIs[0] passthru
     /* 1577639 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577652 */     // MIs[0] policy
     /* 1577652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577684 */     // GIR_Coverage, 4366,
     /* 1577684 */     GIR_EraseRootFromParent_Done,
     /* 1577685 */   // Label 21826: @1577685
     /* 1577685 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577767), // Rule ID 4367 //
     /* 1577690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577721 */     // MIs[0] passthru
     /* 1577721 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577734 */     // MIs[0] policy
     /* 1577734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577766 */     // GIR_Coverage, 4367,
     /* 1577766 */     GIR_EraseRootFromParent_Done,
     /* 1577767 */   // Label 21827: @1577767
     /* 1577767 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577849), // Rule ID 4376 //
     /* 1577772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577803 */     // MIs[0] passthru
     /* 1577803 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577816 */     // MIs[0] policy
     /* 1577816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577848 */     // GIR_Coverage, 4376,
     /* 1577848 */     GIR_EraseRootFromParent_Done,
     /* 1577849 */   // Label 21828: @1577849
     /* 1577849 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577931), // Rule ID 4377 //
     /* 1577854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577885 */     // MIs[0] passthru
     /* 1577885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577898 */     // MIs[0] policy
     /* 1577898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577930 */     // GIR_Coverage, 4377,
     /* 1577930 */     GIR_EraseRootFromParent_Done,
     /* 1577931 */   // Label 21829: @1577931
     /* 1577931 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1578013), // Rule ID 4386 //
     /* 1577936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577967 */     // MIs[0] passthru
     /* 1577967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577980 */     // MIs[0] policy
     /* 1577980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578012 */     // GIR_Coverage, 4386,
     /* 1578012 */     GIR_EraseRootFromParent_Done,
     /* 1578013 */   // Label 21830: @1578013
     /* 1578013 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1578095), // Rule ID 4387 //
     /* 1578018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1578035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578049 */     // MIs[0] passthru
     /* 1578049 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578062 */     // MIs[0] policy
     /* 1578062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578094 */     // GIR_Coverage, 4387,
     /* 1578094 */     GIR_EraseRootFromParent_Done,
     /* 1578095 */   // Label 21831: @1578095
     /* 1578095 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578177), // Rule ID 4396 //
     /* 1578100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578131 */     // MIs[0] passthru
     /* 1578131 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578144 */     // MIs[0] policy
     /* 1578144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578176 */     // GIR_Coverage, 4396,
     /* 1578176 */     GIR_EraseRootFromParent_Done,
     /* 1578177 */   // Label 21832: @1578177
     /* 1578177 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578259), // Rule ID 4397 //
     /* 1578182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578213 */     // MIs[0] passthru
     /* 1578213 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578226 */     // MIs[0] policy
     /* 1578226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578258 */     // GIR_Coverage, 4397,
     /* 1578258 */     GIR_EraseRootFromParent_Done,
     /* 1578259 */   // Label 21833: @1578259
     /* 1578259 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1578341), // Rule ID 4406 //
     /* 1578264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578295 */     // MIs[0] passthru
     /* 1578295 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578308 */     // MIs[0] policy
     /* 1578308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578340 */     // GIR_Coverage, 4406,
     /* 1578340 */     GIR_EraseRootFromParent_Done,
     /* 1578341 */   // Label 21834: @1578341
     /* 1578341 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1578423), // Rule ID 4407 //
     /* 1578346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578377 */     // MIs[0] passthru
     /* 1578377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578390 */     // MIs[0] policy
     /* 1578390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578400 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578422 */     // GIR_Coverage, 4407,
     /* 1578422 */     GIR_EraseRootFromParent_Done,
     /* 1578423 */   // Label 21835: @1578423
     /* 1578423 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1578505), // Rule ID 4416 //
     /* 1578428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578459 */     // MIs[0] passthru
     /* 1578459 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578472 */     // MIs[0] policy
     /* 1578472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578504 */     // GIR_Coverage, 4416,
     /* 1578504 */     GIR_EraseRootFromParent_Done,
     /* 1578505 */   // Label 21836: @1578505
     /* 1578505 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1578587), // Rule ID 4417 //
     /* 1578510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578541 */     // MIs[0] passthru
     /* 1578541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578554 */     // MIs[0] policy
     /* 1578554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578586 */     // GIR_Coverage, 4417,
     /* 1578586 */     GIR_EraseRootFromParent_Done,
     /* 1578587 */   // Label 21837: @1578587
     /* 1578587 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1578669), // Rule ID 4426 //
     /* 1578592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578623 */     // MIs[0] passthru
     /* 1578623 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578636 */     // MIs[0] policy
     /* 1578636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578668 */     // GIR_Coverage, 4426,
     /* 1578668 */     GIR_EraseRootFromParent_Done,
     /* 1578669 */   // Label 21838: @1578669
     /* 1578669 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578751), // Rule ID 4427 //
     /* 1578674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578705 */     // MIs[0] passthru
     /* 1578705 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578718 */     // MIs[0] policy
     /* 1578718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578750 */     // GIR_Coverage, 4427,
     /* 1578750 */     GIR_EraseRootFromParent_Done,
     /* 1578751 */   // Label 21839: @1578751
     /* 1578751 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578833), // Rule ID 4436 //
     /* 1578756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578787 */     // MIs[0] passthru
     /* 1578787 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578800 */     // MIs[0] policy
     /* 1578800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578832 */     // GIR_Coverage, 4436,
     /* 1578832 */     GIR_EraseRootFromParent_Done,
     /* 1578833 */   // Label 21840: @1578833
     /* 1578833 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578915), // Rule ID 4437 //
     /* 1578838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578869 */     // MIs[0] passthru
     /* 1578869 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578882 */     // MIs[0] policy
     /* 1578882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578914 */     // GIR_Coverage, 4437,
     /* 1578914 */     GIR_EraseRootFromParent_Done,
     /* 1578915 */   // Label 21841: @1578915
     /* 1578915 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1578997), // Rule ID 4446 //
     /* 1578920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578951 */     // MIs[0] passthru
     /* 1578951 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578964 */     // MIs[0] policy
     /* 1578964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578996 */     // GIR_Coverage, 4446,
     /* 1578996 */     GIR_EraseRootFromParent_Done,
     /* 1578997 */   // Label 21842: @1578997
     /* 1578997 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1579079), // Rule ID 4447 //
     /* 1579002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1579019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579033 */     // MIs[0] passthru
     /* 1579033 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579046 */     // MIs[0] policy
     /* 1579046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579078 */     // GIR_Coverage, 4447,
     /* 1579078 */     GIR_EraseRootFromParent_Done,
     /* 1579079 */   // Label 21843: @1579079
     /* 1579079 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579161), // Rule ID 4456 //
     /* 1579084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579115 */     // MIs[0] passthru
     /* 1579115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579128 */     // MIs[0] policy
     /* 1579128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579160 */     // GIR_Coverage, 4456,
     /* 1579160 */     GIR_EraseRootFromParent_Done,
     /* 1579161 */   // Label 21844: @1579161
     /* 1579161 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579243), // Rule ID 4457 //
     /* 1579166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579197 */     // MIs[0] passthru
     /* 1579197 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579210 */     // MIs[0] policy
     /* 1579210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579242 */     // GIR_Coverage, 4457,
     /* 1579242 */     GIR_EraseRootFromParent_Done,
     /* 1579243 */   // Label 21845: @1579243
     /* 1579243 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1579325), // Rule ID 4466 //
     /* 1579248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579279 */     // MIs[0] passthru
     /* 1579279 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579292 */     // MIs[0] policy
     /* 1579292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579324 */     // GIR_Coverage, 4466,
     /* 1579324 */     GIR_EraseRootFromParent_Done,
     /* 1579325 */   // Label 21846: @1579325
     /* 1579325 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1579407), // Rule ID 4467 //
     /* 1579330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579361 */     // MIs[0] passthru
     /* 1579361 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579374 */     // MIs[0] policy
     /* 1579374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579406 */     // GIR_Coverage, 4467,
     /* 1579406 */     GIR_EraseRootFromParent_Done,
     /* 1579407 */   // Label 21847: @1579407
     /* 1579407 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1579489), // Rule ID 4476 //
     /* 1579412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579443 */     // MIs[0] passthru
     /* 1579443 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579456 */     // MIs[0] policy
     /* 1579456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579488 */     // GIR_Coverage, 4476,
     /* 1579488 */     GIR_EraseRootFromParent_Done,
     /* 1579489 */   // Label 21848: @1579489
     /* 1579489 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1579571), // Rule ID 4477 //
     /* 1579494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579525 */     // MIs[0] passthru
     /* 1579525 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579538 */     // MIs[0] policy
     /* 1579538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579570 */     // GIR_Coverage, 4477,
     /* 1579570 */     GIR_EraseRootFromParent_Done,
     /* 1579571 */   // Label 21849: @1579571
     /* 1579571 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1579653), // Rule ID 4486 //
     /* 1579576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579607 */     // MIs[0] passthru
     /* 1579607 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579620 */     // MIs[0] policy
     /* 1579620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579652 */     // GIR_Coverage, 4486,
     /* 1579652 */     GIR_EraseRootFromParent_Done,
     /* 1579653 */   // Label 21850: @1579653
     /* 1579653 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579735), // Rule ID 4487 //
     /* 1579658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579689 */     // MIs[0] passthru
     /* 1579689 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579702 */     // MIs[0] policy
     /* 1579702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579734 */     // GIR_Coverage, 4487,
     /* 1579734 */     GIR_EraseRootFromParent_Done,
     /* 1579735 */   // Label 21851: @1579735
     /* 1579735 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579817), // Rule ID 4496 //
     /* 1579740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579771 */     // MIs[0] passthru
     /* 1579771 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579784 */     // MIs[0] policy
     /* 1579784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579816 */     // GIR_Coverage, 4496,
     /* 1579816 */     GIR_EraseRootFromParent_Done,
     /* 1579817 */   // Label 21852: @1579817
     /* 1579817 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579899), // Rule ID 4497 //
     /* 1579822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579853 */     // MIs[0] passthru
     /* 1579853 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579866 */     // MIs[0] policy
     /* 1579866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579898 */     // GIR_Coverage, 4497,
     /* 1579898 */     GIR_EraseRootFromParent_Done,
     /* 1579899 */   // Label 21853: @1579899
     /* 1579899 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579981), // Rule ID 4506 //
     /* 1579904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579935 */     // MIs[0] passthru
     /* 1579935 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579948 */     // MIs[0] policy
     /* 1579948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579980 */     // GIR_Coverage, 4506,
     /* 1579980 */     GIR_EraseRootFromParent_Done,
     /* 1579981 */   // Label 21854: @1579981
     /* 1579981 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1580063), // Rule ID 4507 //
     /* 1579986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580017 */     // MIs[0] passthru
     /* 1580017 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580030 */     // MIs[0] policy
     /* 1580030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1580043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580062 */     // GIR_Coverage, 4507,
     /* 1580062 */     GIR_EraseRootFromParent_Done,
     /* 1580063 */   // Label 21855: @1580063
     /* 1580063 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580145), // Rule ID 4576 //
     /* 1580068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1580085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580099 */     // MIs[0] passthru
     /* 1580099 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580112 */     // MIs[0] policy
     /* 1580112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1580125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580144 */     // GIR_Coverage, 4576,
     /* 1580144 */     GIR_EraseRootFromParent_Done,
     /* 1580145 */   // Label 21856: @1580145
     /* 1580145 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580227), // Rule ID 4577 //
     /* 1580150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1580167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580181 */     // MIs[0] passthru
     /* 1580181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580194 */     // MIs[0] policy
     /* 1580194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1580207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580226 */     // GIR_Coverage, 4577,
     /* 1580226 */     GIR_EraseRootFromParent_Done,
     /* 1580227 */   // Label 21857: @1580227
     /* 1580227 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580309), // Rule ID 4586 //
     /* 1580232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580263 */     // MIs[0] passthru
     /* 1580263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580276 */     // MIs[0] policy
     /* 1580276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580308 */     // GIR_Coverage, 4586,
     /* 1580308 */     GIR_EraseRootFromParent_Done,
     /* 1580309 */   // Label 21858: @1580309
     /* 1580309 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1580391), // Rule ID 4587 //
     /* 1580314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580345 */     // MIs[0] passthru
     /* 1580345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580358 */     // MIs[0] policy
     /* 1580358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580390 */     // GIR_Coverage, 4587,
     /* 1580390 */     GIR_EraseRootFromParent_Done,
     /* 1580391 */   // Label 21859: @1580391
     /* 1580391 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1580473), // Rule ID 4596 //
     /* 1580396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580427 */     // MIs[0] passthru
     /* 1580427 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580440 */     // MIs[0] policy
     /* 1580440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580472 */     // GIR_Coverage, 4596,
     /* 1580472 */     GIR_EraseRootFromParent_Done,
     /* 1580473 */   // Label 21860: @1580473
     /* 1580473 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1580555), // Rule ID 4597 //
     /* 1580478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580509 */     // MIs[0] passthru
     /* 1580509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580522 */     // MIs[0] policy
     /* 1580522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580554 */     // GIR_Coverage, 4597,
     /* 1580554 */     GIR_EraseRootFromParent_Done,
     /* 1580555 */   // Label 21861: @1580555
     /* 1580555 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1580637), // Rule ID 4606 //
     /* 1580560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580591 */     // MIs[0] passthru
     /* 1580591 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580604 */     // MIs[0] policy
     /* 1580604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580636 */     // GIR_Coverage, 4606,
     /* 1580636 */     GIR_EraseRootFromParent_Done,
     /* 1580637 */   // Label 21862: @1580637
     /* 1580637 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580719), // Rule ID 4607 //
     /* 1580642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580673 */     // MIs[0] passthru
     /* 1580673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580686 */     // MIs[0] policy
     /* 1580686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580718 */     // GIR_Coverage, 4607,
     /* 1580718 */     GIR_EraseRootFromParent_Done,
     /* 1580719 */   // Label 21863: @1580719
     /* 1580719 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580801), // Rule ID 4616 //
     /* 1580724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580755 */     // MIs[0] passthru
     /* 1580755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580768 */     // MIs[0] policy
     /* 1580768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580800 */     // GIR_Coverage, 4616,
     /* 1580800 */     GIR_EraseRootFromParent_Done,
     /* 1580801 */   // Label 21864: @1580801
     /* 1580801 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580883), // Rule ID 4617 //
     /* 1580806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580837 */     // MIs[0] passthru
     /* 1580837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580850 */     // MIs[0] policy
     /* 1580850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580882 */     // GIR_Coverage, 4617,
     /* 1580882 */     GIR_EraseRootFromParent_Done,
     /* 1580883 */   // Label 21865: @1580883
     /* 1580883 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580965), // Rule ID 4626 //
     /* 1580888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580919 */     // MIs[0] passthru
     /* 1580919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580932 */     // MIs[0] policy
     /* 1580932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580964 */     // GIR_Coverage, 4626,
     /* 1580964 */     GIR_EraseRootFromParent_Done,
     /* 1580965 */   // Label 21866: @1580965
     /* 1580965 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1581047), // Rule ID 4627 //
     /* 1580970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581001 */     // MIs[0] passthru
     /* 1581001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581014 */     // MIs[0] policy
     /* 1581014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581046 */     // GIR_Coverage, 4627,
     /* 1581046 */     GIR_EraseRootFromParent_Done,
     /* 1581047 */   // Label 21867: @1581047
     /* 1581047 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581129), // Rule ID 4636 //
     /* 1581052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1581069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581083 */     // MIs[0] passthru
     /* 1581083 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581096 */     // MIs[0] policy
     /* 1581096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1581109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581128 */     // GIR_Coverage, 4636,
     /* 1581128 */     GIR_EraseRootFromParent_Done,
     /* 1581129 */   // Label 21868: @1581129
     /* 1581129 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581211), // Rule ID 4637 //
     /* 1581134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1581151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581165 */     // MIs[0] passthru
     /* 1581165 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581178 */     // MIs[0] policy
     /* 1581178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1581191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581210 */     // GIR_Coverage, 4637,
     /* 1581210 */     GIR_EraseRootFromParent_Done,
     /* 1581211 */   // Label 21869: @1581211
     /* 1581211 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1581293), // Rule ID 4646 //
     /* 1581216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581247 */     // MIs[0] passthru
     /* 1581247 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581260 */     // MIs[0] policy
     /* 1581260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581292 */     // GIR_Coverage, 4646,
     /* 1581292 */     GIR_EraseRootFromParent_Done,
     /* 1581293 */   // Label 21870: @1581293
     /* 1581293 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1581375), // Rule ID 4647 //
     /* 1581298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581329 */     // MIs[0] passthru
     /* 1581329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581342 */     // MIs[0] policy
     /* 1581342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581374 */     // GIR_Coverage, 4647,
     /* 1581374 */     GIR_EraseRootFromParent_Done,
     /* 1581375 */   // Label 21871: @1581375
     /* 1581375 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1581457), // Rule ID 4656 //
     /* 1581380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581411 */     // MIs[0] passthru
     /* 1581411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581424 */     // MIs[0] policy
     /* 1581424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581456 */     // GIR_Coverage, 4656,
     /* 1581456 */     GIR_EraseRootFromParent_Done,
     /* 1581457 */   // Label 21872: @1581457
     /* 1581457 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1581539), // Rule ID 4657 //
     /* 1581462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581493 */     // MIs[0] passthru
     /* 1581493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581506 */     // MIs[0] policy
     /* 1581506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581538 */     // GIR_Coverage, 4657,
     /* 1581538 */     GIR_EraseRootFromParent_Done,
     /* 1581539 */   // Label 21873: @1581539
     /* 1581539 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1581621), // Rule ID 4666 //
     /* 1581544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581575 */     // MIs[0] passthru
     /* 1581575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581588 */     // MIs[0] policy
     /* 1581588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581620 */     // GIR_Coverage, 4666,
     /* 1581620 */     GIR_EraseRootFromParent_Done,
     /* 1581621 */   // Label 21874: @1581621
     /* 1581621 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581703), // Rule ID 4667 //
     /* 1581626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581657 */     // MIs[0] passthru
     /* 1581657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581670 */     // MIs[0] policy
     /* 1581670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581702 */     // GIR_Coverage, 4667,
     /* 1581702 */     GIR_EraseRootFromParent_Done,
     /* 1581703 */   // Label 21875: @1581703
     /* 1581703 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581785), // Rule ID 4676 //
     /* 1581708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581739 */     // MIs[0] passthru
     /* 1581739 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581752 */     // MIs[0] policy
     /* 1581752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581784 */     // GIR_Coverage, 4676,
     /* 1581784 */     GIR_EraseRootFromParent_Done,
     /* 1581785 */   // Label 21876: @1581785
     /* 1581785 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581867), // Rule ID 4677 //
     /* 1581790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581821 */     // MIs[0] passthru
     /* 1581821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581834 */     // MIs[0] policy
     /* 1581834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581866 */     // GIR_Coverage, 4677,
     /* 1581866 */     GIR_EraseRootFromParent_Done,
     /* 1581867 */   // Label 21877: @1581867
     /* 1581867 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581949), // Rule ID 4686 //
     /* 1581872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581903 */     // MIs[0] passthru
     /* 1581903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581916 */     // MIs[0] policy
     /* 1581916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581948 */     // GIR_Coverage, 4686,
     /* 1581948 */     GIR_EraseRootFromParent_Done,
     /* 1581949 */   // Label 21878: @1581949
     /* 1581949 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1582031), // Rule ID 4687 //
     /* 1581954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581985 */     // MIs[0] passthru
     /* 1581985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581998 */     // MIs[0] policy
     /* 1581998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1582011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582030 */     // GIR_Coverage, 4687,
     /* 1582030 */     GIR_EraseRootFromParent_Done,
     /* 1582031 */   // Label 21879: @1582031
     /* 1582031 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582113), // Rule ID 4696 //
     /* 1582036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582067 */     // MIs[0] passthru
     /* 1582067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582080 */     // MIs[0] policy
     /* 1582080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1582093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582112 */     // GIR_Coverage, 4696,
     /* 1582112 */     GIR_EraseRootFromParent_Done,
     /* 1582113 */   // Label 21880: @1582113
     /* 1582113 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582195), // Rule ID 4697 //
     /* 1582118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582149 */     // MIs[0] passthru
     /* 1582149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582162 */     // MIs[0] policy
     /* 1582162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1582175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582194 */     // GIR_Coverage, 4697,
     /* 1582194 */     GIR_EraseRootFromParent_Done,
     /* 1582195 */   // Label 21881: @1582195
     /* 1582195 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1582277), // Rule ID 4706 //
     /* 1582200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1582217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582231 */     // MIs[0] passthru
     /* 1582231 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582244 */     // MIs[0] policy
     /* 1582244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582254 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1582257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582276 */     // GIR_Coverage, 4706,
     /* 1582276 */     GIR_EraseRootFromParent_Done,
     /* 1582277 */   // Label 21882: @1582277
     /* 1582277 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1582359), // Rule ID 4707 //
     /* 1582282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1582299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582313 */     // MIs[0] passthru
     /* 1582313 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582326 */     // MIs[0] policy
     /* 1582326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1582339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582358 */     // GIR_Coverage, 4707,
     /* 1582358 */     GIR_EraseRootFromParent_Done,
     /* 1582359 */   // Label 21883: @1582359
     /* 1582359 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1582441), // Rule ID 4716 //
     /* 1582364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1582367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582395 */     // MIs[0] passthru
     /* 1582395 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582408 */     // MIs[0] policy
     /* 1582408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582440 */     // GIR_Coverage, 4716,
     /* 1582440 */     GIR_EraseRootFromParent_Done,
     /* 1582441 */   // Label 21884: @1582441
     /* 1582441 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1582523), // Rule ID 4717 //
     /* 1582446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582477 */     // MIs[0] passthru
     /* 1582477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582490 */     // MIs[0] policy
     /* 1582490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582522 */     // GIR_Coverage, 4717,
     /* 1582522 */     GIR_EraseRootFromParent_Done,
     /* 1582523 */   // Label 21885: @1582523
     /* 1582523 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1582609), // Rule ID 2612 //
     /* 1582528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582574 */     // MIs[0] policy
     /* 1582574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582608 */     // GIR_Coverage, 2612,
     /* 1582608 */     GIR_EraseRootFromParent_Done,
     /* 1582609 */   // Label 21886: @1582609
     /* 1582609 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582695), // Rule ID 2613 //
     /* 1582614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582660 */     // MIs[0] policy
     /* 1582660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582670 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582694 */     // GIR_Coverage, 2613,
     /* 1582694 */     GIR_EraseRootFromParent_Done,
     /* 1582695 */   // Label 21887: @1582695
     /* 1582695 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582781), // Rule ID 2650 //
     /* 1582700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582746 */     // MIs[0] policy
     /* 1582746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582780 */     // GIR_Coverage, 2650,
     /* 1582780 */     GIR_EraseRootFromParent_Done,
     /* 1582781 */   // Label 21888: @1582781
     /* 1582781 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582867), // Rule ID 2651 //
     /* 1582786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582832 */     // MIs[0] policy
     /* 1582832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582866 */     // GIR_Coverage, 2651,
     /* 1582866 */     GIR_EraseRootFromParent_Done,
     /* 1582867 */   // Label 21889: @1582867
     /* 1582867 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582953), // Rule ID 2664 //
     /* 1582872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582918 */     // MIs[0] policy
     /* 1582918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582952 */     // GIR_Coverage, 2664,
     /* 1582952 */     GIR_EraseRootFromParent_Done,
     /* 1582953 */   // Label 21890: @1582953
     /* 1582953 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1583039), // Rule ID 2665 //
     /* 1582958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583004 */     // MIs[0] policy
     /* 1583004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1583017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1583021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583038 */     // GIR_Coverage, 2665,
     /* 1583038 */     GIR_EraseRootFromParent_Done,
     /* 1583039 */   // Label 21891: @1583039
     /* 1583039 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583125), // Rule ID 2684 //
     /* 1583044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1583055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1583058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1583061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583090 */     // MIs[0] policy
     /* 1583090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1583103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583124 */     // GIR_Coverage, 2684,
     /* 1583124 */     GIR_EraseRootFromParent_Done,
     /* 1583125 */   // Label 21892: @1583125
     /* 1583125 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583211), // Rule ID 2685 //
     /* 1583130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1583141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1583144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1583147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583176 */     // MIs[0] policy
     /* 1583176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1583189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583210 */     // GIR_Coverage, 2685,
     /* 1583210 */     GIR_EraseRootFromParent_Done,
     /* 1583211 */   // Label 21893: @1583211
     /* 1583211 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1583297), // Rule ID 2692 //
     /* 1583216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1583227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1583230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1583233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583262 */     // MIs[0] policy
     /* 1583262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583296 */     // GIR_Coverage, 2692,
     /* 1583296 */     GIR_EraseRootFromParent_Done,
     /* 1583297 */   // Label 21894: @1583297
     /* 1583297 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1583383), // Rule ID 2693 //
     /* 1583302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1583313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1583316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1583319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583348 */     // MIs[0] policy
     /* 1583348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583382 */     // GIR_Coverage, 2693,
     /* 1583382 */     GIR_EraseRootFromParent_Done,
     /* 1583383 */   // Label 21895: @1583383
     /* 1583383 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1583469), // Rule ID 2700 //
     /* 1583388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583434 */     // MIs[0] policy
     /* 1583434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583468 */     // GIR_Coverage, 2700,
     /* 1583468 */     GIR_EraseRootFromParent_Done,
     /* 1583469 */   // Label 21896: @1583469
     /* 1583469 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1583555), // Rule ID 2701 //
     /* 1583474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583520 */     // MIs[0] policy
     /* 1583520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583554 */     // GIR_Coverage, 2701,
     /* 1583554 */     GIR_EraseRootFromParent_Done,
     /* 1583555 */   // Label 21897: @1583555
     /* 1583555 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1583641), // Rule ID 2708 //
     /* 1583560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583606 */     // MIs[0] policy
     /* 1583606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583640 */     // GIR_Coverage, 2708,
     /* 1583640 */     GIR_EraseRootFromParent_Done,
     /* 1583641 */   // Label 21898: @1583641
     /* 1583641 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1583727), // Rule ID 2709 //
     /* 1583646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583692 */     // MIs[0] policy
     /* 1583692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583726 */     // GIR_Coverage, 2709,
     /* 1583726 */     GIR_EraseRootFromParent_Done,
     /* 1583727 */   // Label 21899: @1583727
     /* 1583727 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1583813), // Rule ID 2716 //
     /* 1583732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583778 */     // MIs[0] policy
     /* 1583778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583812 */     // GIR_Coverage, 2716,
     /* 1583812 */     GIR_EraseRootFromParent_Done,
     /* 1583813 */   // Label 21900: @1583813
     /* 1583813 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1583899), // Rule ID 2717 //
     /* 1583818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583864 */     // MIs[0] policy
     /* 1583864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583898 */     // GIR_Coverage, 2717,
     /* 1583898 */     GIR_EraseRootFromParent_Done,
     /* 1583899 */   // Label 21901: @1583899
     /* 1583899 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583985), // Rule ID 2724 //
     /* 1583904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583950 */     // MIs[0] policy
     /* 1583950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583984 */     // GIR_Coverage, 2724,
     /* 1583984 */     GIR_EraseRootFromParent_Done,
     /* 1583985 */   // Label 21902: @1583985
     /* 1583985 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1584071), // Rule ID 2725 //
     /* 1583990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1584007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1584010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584036 */     // MIs[0] policy
     /* 1584036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1584049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584070 */     // GIR_Coverage, 2725,
     /* 1584070 */     GIR_EraseRootFromParent_Done,
     /* 1584071 */   // Label 21903: @1584071
     /* 1584071 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584157), // Rule ID 2732 //
     /* 1584076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1584087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1584090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1584093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584122 */     // MIs[0] policy
     /* 1584122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584156 */     // GIR_Coverage, 2732,
     /* 1584156 */     GIR_EraseRootFromParent_Done,
     /* 1584157 */   // Label 21904: @1584157
     /* 1584157 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1584243), // Rule ID 2733 //
     /* 1584162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1584173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1584176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1584179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584208 */     // MIs[0] policy
     /* 1584208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584242 */     // GIR_Coverage, 2733,
     /* 1584242 */     GIR_EraseRootFromParent_Done,
     /* 1584243 */   // Label 21905: @1584243
     /* 1584243 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1584329), // Rule ID 2740 //
     /* 1584248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1584265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1584268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584294 */     // MIs[0] policy
     /* 1584294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584328 */     // GIR_Coverage, 2740,
     /* 1584328 */     GIR_EraseRootFromParent_Done,
     /* 1584329 */   // Label 21906: @1584329
     /* 1584329 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1584415), // Rule ID 2741 //
     /* 1584334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1584351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1584354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584380 */     // MIs[0] policy
     /* 1584380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584414 */     // GIR_Coverage, 2741,
     /* 1584414 */     GIR_EraseRootFromParent_Done,
     /* 1584415 */   // Label 21907: @1584415
     /* 1584415 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1584501), // Rule ID 2748 //
     /* 1584420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584466 */     // MIs[0] policy
     /* 1584466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584500 */     // GIR_Coverage, 2748,
     /* 1584500 */     GIR_EraseRootFromParent_Done,
     /* 1584501 */   // Label 21908: @1584501
     /* 1584501 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1584587), // Rule ID 2749 //
     /* 1584506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584552 */     // MIs[0] policy
     /* 1584552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584586 */     // GIR_Coverage, 2749,
     /* 1584586 */     GIR_EraseRootFromParent_Done,
     /* 1584587 */   // Label 21909: @1584587
     /* 1584587 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1584673), // Rule ID 2756 //
     /* 1584592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584638 */     // MIs[0] policy
     /* 1584638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584672 */     // GIR_Coverage, 2756,
     /* 1584672 */     GIR_EraseRootFromParent_Done,
     /* 1584673 */   // Label 21910: @1584673
     /* 1584673 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1584759), // Rule ID 2757 //
     /* 1584678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584724 */     // MIs[0] policy
     /* 1584724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584758 */     // GIR_Coverage, 2757,
     /* 1584758 */     GIR_EraseRootFromParent_Done,
     /* 1584759 */   // Label 21911: @1584759
     /* 1584759 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1584845), // Rule ID 2764 //
     /* 1584764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584810 */     // MIs[0] policy
     /* 1584810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584820 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584844 */     // GIR_Coverage, 2764,
     /* 1584844 */     GIR_EraseRootFromParent_Done,
     /* 1584845 */   // Label 21912: @1584845
     /* 1584845 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1584931), // Rule ID 2765 //
     /* 1584850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584896 */     // MIs[0] policy
     /* 1584896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584930 */     // GIR_Coverage, 2765,
     /* 1584930 */     GIR_EraseRootFromParent_Done,
     /* 1584931 */   // Label 21913: @1584931
     /* 1584931 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1585017), // Rule ID 2772 //
     /* 1584936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584982 */     // MIs[0] policy
     /* 1584982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585016 */     // GIR_Coverage, 2772,
     /* 1585016 */     GIR_EraseRootFromParent_Done,
     /* 1585017 */   // Label 21914: @1585017
     /* 1585017 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585103), // Rule ID 2773 //
     /* 1585022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1585033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1585036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1585039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585068 */     // MIs[0] policy
     /* 1585068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585102 */     // GIR_Coverage, 2773,
     /* 1585102 */     GIR_EraseRootFromParent_Done,
     /* 1585103 */   // Label 21915: @1585103
     /* 1585103 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585189), // Rule ID 2780 //
     /* 1585108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1585119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1585122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1585125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1585128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1585131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585154 */     // MIs[0] policy
     /* 1585154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585188 */     // GIR_Coverage, 2780,
     /* 1585188 */     GIR_EraseRootFromParent_Done,
     /* 1585189 */   // Label 21916: @1585189
     /* 1585189 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1585275), // Rule ID 2781 //
     /* 1585194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1585205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1585208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1585211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1585214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1585217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585240 */     // MIs[0] policy
     /* 1585240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585250 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585274 */     // GIR_Coverage, 2781,
     /* 1585274 */     GIR_EraseRootFromParent_Done,
     /* 1585275 */   // Label 21917: @1585275
     /* 1585275 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1585361), // Rule ID 2788 //
     /* 1585280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1585291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1585294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1585297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585326 */     // MIs[0] policy
     /* 1585326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585360 */     // GIR_Coverage, 2788,
     /* 1585360 */     GIR_EraseRootFromParent_Done,
     /* 1585361 */   // Label 21918: @1585361
     /* 1585361 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1585447), // Rule ID 2789 //
     /* 1585366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1585377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1585380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1585383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585412 */     // MIs[0] policy
     /* 1585412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585446 */     // GIR_Coverage, 2789,
     /* 1585446 */     GIR_EraseRootFromParent_Done,
     /* 1585447 */   // Label 21919: @1585447
     /* 1585447 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1585533), // Rule ID 2796 //
     /* 1585452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585498 */     // MIs[0] policy
     /* 1585498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585532 */     // GIR_Coverage, 2796,
     /* 1585532 */     GIR_EraseRootFromParent_Done,
     /* 1585533 */   // Label 21920: @1585533
     /* 1585533 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1585619), // Rule ID 2797 //
     /* 1585538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585584 */     // MIs[0] policy
     /* 1585584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585618 */     // GIR_Coverage, 2797,
     /* 1585618 */     GIR_EraseRootFromParent_Done,
     /* 1585619 */   // Label 21921: @1585619
     /* 1585619 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1585705), // Rule ID 2804 //
     /* 1585624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585670 */     // MIs[0] policy
     /* 1585670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585704 */     // GIR_Coverage, 2804,
     /* 1585704 */     GIR_EraseRootFromParent_Done,
     /* 1585705 */   // Label 21922: @1585705
     /* 1585705 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1585791), // Rule ID 2805 //
     /* 1585710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585756 */     // MIs[0] policy
     /* 1585756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585790 */     // GIR_Coverage, 2805,
     /* 1585790 */     GIR_EraseRootFromParent_Done,
     /* 1585791 */   // Label 21923: @1585791
     /* 1585791 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1585877), // Rule ID 2812 //
     /* 1585796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585842 */     // MIs[0] policy
     /* 1585842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585876 */     // GIR_Coverage, 2812,
     /* 1585876 */     GIR_EraseRootFromParent_Done,
     /* 1585877 */   // Label 21924: @1585877
     /* 1585877 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1585963), // Rule ID 2813 //
     /* 1585882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585928 */     // MIs[0] policy
     /* 1585928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585962 */     // GIR_Coverage, 2813,
     /* 1585962 */     GIR_EraseRootFromParent_Done,
     /* 1585963 */   // Label 21925: @1585963
     /* 1585963 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1586049), // Rule ID 2820 //
     /* 1585968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586014 */     // MIs[0] policy
     /* 1586014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586048 */     // GIR_Coverage, 2820,
     /* 1586048 */     GIR_EraseRootFromParent_Done,
     /* 1586049 */   // Label 21926: @1586049
     /* 1586049 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586135), // Rule ID 2821 //
     /* 1586054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1586065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1586068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1586071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586100 */     // MIs[0] policy
     /* 1586100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586134 */     // GIR_Coverage, 2821,
     /* 1586134 */     GIR_EraseRootFromParent_Done,
     /* 1586135 */   // Label 21927: @1586135
     /* 1586135 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1586221), // Rule ID 2828 //
     /* 1586140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1586157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1586160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586186 */     // MIs[0] policy
     /* 1586186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586220 */     // GIR_Coverage, 2828,
     /* 1586220 */     GIR_EraseRootFromParent_Done,
     /* 1586221 */   // Label 21928: @1586221
     /* 1586221 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1586307), // Rule ID 2829 //
     /* 1586226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1586243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1586246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586272 */     // MIs[0] policy
     /* 1586272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586306 */     // GIR_Coverage, 2829,
     /* 1586306 */     GIR_EraseRootFromParent_Done,
     /* 1586307 */   // Label 21929: @1586307
     /* 1586307 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1586393), // Rule ID 2836 //
     /* 1586312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1586329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1586332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586358 */     // MIs[0] policy
     /* 1586358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586392 */     // GIR_Coverage, 2836,
     /* 1586392 */     GIR_EraseRootFromParent_Done,
     /* 1586393 */   // Label 21930: @1586393
     /* 1586393 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1586479), // Rule ID 2837 //
     /* 1586398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1586415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1586418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586444 */     // MIs[0] policy
     /* 1586444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586478 */     // GIR_Coverage, 2837,
     /* 1586478 */     GIR_EraseRootFromParent_Done,
     /* 1586479 */   // Label 21931: @1586479
     /* 1586479 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1586565), // Rule ID 2844 //
     /* 1586484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586530 */     // MIs[0] policy
     /* 1586530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586564 */     // GIR_Coverage, 2844,
     /* 1586564 */     GIR_EraseRootFromParent_Done,
     /* 1586565 */   // Label 21932: @1586565
     /* 1586565 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1586651), // Rule ID 2845 //
     /* 1586570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586616 */     // MIs[0] policy
     /* 1586616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586650 */     // GIR_Coverage, 2845,
     /* 1586650 */     GIR_EraseRootFromParent_Done,
     /* 1586651 */   // Label 21933: @1586651
     /* 1586651 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1586737), // Rule ID 2852 //
     /* 1586656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586702 */     // MIs[0] policy
     /* 1586702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586736 */     // GIR_Coverage, 2852,
     /* 1586736 */     GIR_EraseRootFromParent_Done,
     /* 1586737 */   // Label 21934: @1586737
     /* 1586737 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1586823), // Rule ID 2853 //
     /* 1586742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586788 */     // MIs[0] policy
     /* 1586788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586822 */     // GIR_Coverage, 2853,
     /* 1586822 */     GIR_EraseRootFromParent_Done,
     /* 1586823 */   // Label 21935: @1586823
     /* 1586823 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1586909), // Rule ID 2860 //
     /* 1586828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586874 */     // MIs[0] policy
     /* 1586874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586908 */     // GIR_Coverage, 2860,
     /* 1586908 */     GIR_EraseRootFromParent_Done,
     /* 1586909 */   // Label 21936: @1586909
     /* 1586909 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1586995), // Rule ID 2861 //
     /* 1586914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586960 */     // MIs[0] policy
     /* 1586960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586994 */     // GIR_Coverage, 2861,
     /* 1586994 */     GIR_EraseRootFromParent_Done,
     /* 1586995 */   // Label 21937: @1586995
     /* 1586995 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1587081), // Rule ID 2864 //
     /* 1587000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587046 */     // MIs[0] policy
     /* 1587046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587056 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587080 */     // GIR_Coverage, 2864,
     /* 1587080 */     GIR_EraseRootFromParent_Done,
     /* 1587081 */   // Label 21938: @1587081
     /* 1587081 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587167), // Rule ID 2865 //
     /* 1587086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587132 */     // MIs[0] policy
     /* 1587132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587166 */     // GIR_Coverage, 2865,
     /* 1587166 */     GIR_EraseRootFromParent_Done,
     /* 1587167 */   // Label 21939: @1587167
     /* 1587167 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1587253), // Rule ID 2868 //
     /* 1587172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587218 */     // MIs[0] policy
     /* 1587218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1587231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587252 */     // GIR_Coverage, 2868,
     /* 1587252 */     GIR_EraseRootFromParent_Done,
     /* 1587253 */   // Label 21940: @1587253
     /* 1587253 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1587339), // Rule ID 2869 //
     /* 1587258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587304 */     // MIs[0] policy
     /* 1587304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1587317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587338 */     // GIR_Coverage, 2869,
     /* 1587338 */     GIR_EraseRootFromParent_Done,
     /* 1587339 */   // Label 21941: @1587339
     /* 1587339 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1587425), // Rule ID 2872 //
     /* 1587344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587390 */     // MIs[0] policy
     /* 1587390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587424 */     // GIR_Coverage, 2872,
     /* 1587424 */     GIR_EraseRootFromParent_Done,
     /* 1587425 */   // Label 21942: @1587425
     /* 1587425 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1587511), // Rule ID 2873 //
     /* 1587430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587476 */     // MIs[0] policy
     /* 1587476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587510 */     // GIR_Coverage, 2873,
     /* 1587510 */     GIR_EraseRootFromParent_Done,
     /* 1587511 */   // Label 21943: @1587511
     /* 1587511 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1587597), // Rule ID 2876 //
     /* 1587516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587562 */     // MIs[0] policy
     /* 1587562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587596 */     // GIR_Coverage, 2876,
     /* 1587596 */     GIR_EraseRootFromParent_Done,
     /* 1587597 */   // Label 21944: @1587597
     /* 1587597 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1587683), // Rule ID 2877 //
     /* 1587602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587648 */     // MIs[0] policy
     /* 1587648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587682 */     // GIR_Coverage, 2877,
     /* 1587682 */     GIR_EraseRootFromParent_Done,
     /* 1587683 */   // Label 21945: @1587683
     /* 1587683 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1587769), // Rule ID 2880 //
     /* 1587688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587734 */     // MIs[0] policy
     /* 1587734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587768 */     // GIR_Coverage, 2880,
     /* 1587768 */     GIR_EraseRootFromParent_Done,
     /* 1587769 */   // Label 21946: @1587769
     /* 1587769 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1587855), // Rule ID 2881 //
     /* 1587774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587820 */     // MIs[0] policy
     /* 1587820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587854 */     // GIR_Coverage, 2881,
     /* 1587854 */     GIR_EraseRootFromParent_Done,
     /* 1587855 */   // Label 21947: @1587855
     /* 1587855 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1587941), // Rule ID 2884 //
     /* 1587860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587906 */     // MIs[0] policy
     /* 1587906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587940 */     // GIR_Coverage, 2884,
     /* 1587940 */     GIR_EraseRootFromParent_Done,
     /* 1587941 */   // Label 21948: @1587941
     /* 1587941 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1588027), // Rule ID 2885 //
     /* 1587946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587992 */     // MIs[0] policy
     /* 1587992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588026 */     // GIR_Coverage, 2885,
     /* 1588026 */     GIR_EraseRootFromParent_Done,
     /* 1588027 */   // Label 21949: @1588027
     /* 1588027 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588113), // Rule ID 2888 //
     /* 1588032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588078 */     // MIs[0] policy
     /* 1588078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588112 */     // GIR_Coverage, 2888,
     /* 1588112 */     GIR_EraseRootFromParent_Done,
     /* 1588113 */   // Label 21950: @1588113
     /* 1588113 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588199), // Rule ID 2889 //
     /* 1588118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588164 */     // MIs[0] policy
     /* 1588164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588198 */     // GIR_Coverage, 2889,
     /* 1588198 */     GIR_EraseRootFromParent_Done,
     /* 1588199 */   // Label 21951: @1588199
     /* 1588199 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1588285), // Rule ID 2892 //
     /* 1588204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588250 */     // MIs[0] policy
     /* 1588250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588284 */     // GIR_Coverage, 2892,
     /* 1588284 */     GIR_EraseRootFromParent_Done,
     /* 1588285 */   // Label 21952: @1588285
     /* 1588285 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1588371), // Rule ID 2893 //
     /* 1588290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588336 */     // MIs[0] policy
     /* 1588336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1588349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588370 */     // GIR_Coverage, 2893,
     /* 1588370 */     GIR_EraseRootFromParent_Done,
     /* 1588371 */   // Label 21953: @1588371
     /* 1588371 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1588457), // Rule ID 2896 //
     /* 1588376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588422 */     // MIs[0] policy
     /* 1588422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588456 */     // GIR_Coverage, 2896,
     /* 1588456 */     GIR_EraseRootFromParent_Done,
     /* 1588457 */   // Label 21954: @1588457
     /* 1588457 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1588543), // Rule ID 2897 //
     /* 1588462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588508 */     // MIs[0] policy
     /* 1588508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588542 */     // GIR_Coverage, 2897,
     /* 1588542 */     GIR_EraseRootFromParent_Done,
     /* 1588543 */   // Label 21955: @1588543
     /* 1588543 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1588629), // Rule ID 2900 //
     /* 1588548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588594 */     // MIs[0] policy
     /* 1588594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588604 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588628 */     // GIR_Coverage, 2900,
     /* 1588628 */     GIR_EraseRootFromParent_Done,
     /* 1588629 */   // Label 21956: @1588629
     /* 1588629 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1588715), // Rule ID 2901 //
     /* 1588634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588680 */     // MIs[0] policy
     /* 1588680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588714 */     // GIR_Coverage, 2901,
     /* 1588714 */     GIR_EraseRootFromParent_Done,
     /* 1588715 */   // Label 21957: @1588715
     /* 1588715 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1588801), // Rule ID 2904 //
     /* 1588720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588766 */     // MIs[0] policy
     /* 1588766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588800 */     // GIR_Coverage, 2904,
     /* 1588800 */     GIR_EraseRootFromParent_Done,
     /* 1588801 */   // Label 21958: @1588801
     /* 1588801 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1588887), // Rule ID 2905 //
     /* 1588806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588852 */     // MIs[0] policy
     /* 1588852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588886 */     // GIR_Coverage, 2905,
     /* 1588886 */     GIR_EraseRootFromParent_Done,
     /* 1588887 */   // Label 21959: @1588887
     /* 1588887 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1588973), // Rule ID 2908 //
     /* 1588892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588938 */     // MIs[0] policy
     /* 1588938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588972 */     // GIR_Coverage, 2908,
     /* 1588972 */     GIR_EraseRootFromParent_Done,
     /* 1588973 */   // Label 21960: @1588973
     /* 1588973 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1589059), // Rule ID 2909 //
     /* 1588978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589024 */     // MIs[0] policy
     /* 1589024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589058 */     // GIR_Coverage, 2909,
     /* 1589058 */     GIR_EraseRootFromParent_Done,
     /* 1589059 */   // Label 21961: @1589059
     /* 1589059 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589145), // Rule ID 2912 //
     /* 1589064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589110 */     // MIs[0] policy
     /* 1589110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589144 */     // GIR_Coverage, 2912,
     /* 1589144 */     GIR_EraseRootFromParent_Done,
     /* 1589145 */   // Label 21962: @1589145
     /* 1589145 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1589231), // Rule ID 2913 //
     /* 1589150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589196 */     // MIs[0] policy
     /* 1589196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589230 */     // GIR_Coverage, 2913,
     /* 1589230 */     GIR_EraseRootFromParent_Done,
     /* 1589231 */   // Label 21963: @1589231
     /* 1589231 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1589317), // Rule ID 2916 //
     /* 1589236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589282 */     // MIs[0] policy
     /* 1589282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589316 */     // GIR_Coverage, 2916,
     /* 1589316 */     GIR_EraseRootFromParent_Done,
     /* 1589317 */   // Label 21964: @1589317
     /* 1589317 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1589403), // Rule ID 2917 //
     /* 1589322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589368 */     // MIs[0] policy
     /* 1589368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589402 */     // GIR_Coverage, 2917,
     /* 1589402 */     GIR_EraseRootFromParent_Done,
     /* 1589403 */   // Label 21965: @1589403
     /* 1589403 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1589489), // Rule ID 2920 //
     /* 1589408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589454 */     // MIs[0] policy
     /* 1589454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589488 */     // GIR_Coverage, 2920,
     /* 1589488 */     GIR_EraseRootFromParent_Done,
     /* 1589489 */   // Label 21966: @1589489
     /* 1589489 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1589575), // Rule ID 2921 //
     /* 1589494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589540 */     // MIs[0] policy
     /* 1589540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589574 */     // GIR_Coverage, 2921,
     /* 1589574 */     GIR_EraseRootFromParent_Done,
     /* 1589575 */   // Label 21967: @1589575
     /* 1589575 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1589661), // Rule ID 2924 //
     /* 1589580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589626 */     // MIs[0] policy
     /* 1589626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589660 */     // GIR_Coverage, 2924,
     /* 1589660 */     GIR_EraseRootFromParent_Done,
     /* 1589661 */   // Label 21968: @1589661
     /* 1589661 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1589747), // Rule ID 2925 //
     /* 1589666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589712 */     // MIs[0] policy
     /* 1589712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589746 */     // GIR_Coverage, 2925,
     /* 1589746 */     GIR_EraseRootFromParent_Done,
     /* 1589747 */   // Label 21969: @1589747
     /* 1589747 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1589833), // Rule ID 2928 //
     /* 1589752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589798 */     // MIs[0] policy
     /* 1589798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589832 */     // GIR_Coverage, 2928,
     /* 1589832 */     GIR_EraseRootFromParent_Done,
     /* 1589833 */   // Label 21970: @1589833
     /* 1589833 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1589919), // Rule ID 2929 //
     /* 1589838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589884 */     // MIs[0] policy
     /* 1589884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589918 */     // GIR_Coverage, 2929,
     /* 1589918 */     GIR_EraseRootFromParent_Done,
     /* 1589919 */   // Label 21971: @1589919
     /* 1589919 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1590005), // Rule ID 2932 //
     /* 1589924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589970 */     // MIs[0] policy
     /* 1589970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590004 */     // GIR_Coverage, 2932,
     /* 1590004 */     GIR_EraseRootFromParent_Done,
     /* 1590005 */   // Label 21972: @1590005
     /* 1590005 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590091), // Rule ID 2933 //
     /* 1590010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590056 */     // MIs[0] policy
     /* 1590056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1590069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590090 */     // GIR_Coverage, 2933,
     /* 1590090 */     GIR_EraseRootFromParent_Done,
     /* 1590091 */   // Label 21973: @1590091
     /* 1590091 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590177), // Rule ID 2936 //
     /* 1590096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590142 */     // MIs[0] policy
     /* 1590142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1590155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590176 */     // GIR_Coverage, 2936,
     /* 1590176 */     GIR_EraseRootFromParent_Done,
     /* 1590177 */   // Label 21974: @1590177
     /* 1590177 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1590263), // Rule ID 2937 //
     /* 1590182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590228 */     // MIs[0] policy
     /* 1590228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1590241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590262 */     // GIR_Coverage, 2937,
     /* 1590262 */     GIR_EraseRootFromParent_Done,
     /* 1590263 */   // Label 21975: @1590263
     /* 1590263 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1590349), // Rule ID 2940 //
     /* 1590268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590314 */     // MIs[0] policy
     /* 1590314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1590327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590348 */     // GIR_Coverage, 2940,
     /* 1590348 */     GIR_EraseRootFromParent_Done,
     /* 1590349 */   // Label 21976: @1590349
     /* 1590349 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1590435), // Rule ID 2941 //
     /* 1590354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590400 */     // MIs[0] policy
     /* 1590400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1590413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590434 */     // GIR_Coverage, 2941,
     /* 1590434 */     GIR_EraseRootFromParent_Done,
     /* 1590435 */   // Label 21977: @1590435
     /* 1590435 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1590521), // Rule ID 2944 //
     /* 1590440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590486 */     // MIs[0] policy
     /* 1590486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590520 */     // GIR_Coverage, 2944,
     /* 1590520 */     GIR_EraseRootFromParent_Done,
     /* 1590521 */   // Label 21978: @1590521
     /* 1590521 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1590607), // Rule ID 2945 //
     /* 1590526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590572 */     // MIs[0] policy
     /* 1590572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590606 */     // GIR_Coverage, 2945,
     /* 1590606 */     GIR_EraseRootFromParent_Done,
     /* 1590607 */   // Label 21979: @1590607
     /* 1590607 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1590693), // Rule ID 2948 //
     /* 1590612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590658 */     // MIs[0] policy
     /* 1590658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590668 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590692 */     // GIR_Coverage, 2948,
     /* 1590692 */     GIR_EraseRootFromParent_Done,
     /* 1590693 */   // Label 21980: @1590693
     /* 1590693 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1590779), // Rule ID 2949 //
     /* 1590698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590744 */     // MIs[0] policy
     /* 1590744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590778 */     // GIR_Coverage, 2949,
     /* 1590778 */     GIR_EraseRootFromParent_Done,
     /* 1590779 */   // Label 21981: @1590779
     /* 1590779 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1590865), // Rule ID 2952 //
     /* 1590784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590830 */     // MIs[0] policy
     /* 1590830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590864 */     // GIR_Coverage, 2952,
     /* 1590864 */     GIR_EraseRootFromParent_Done,
     /* 1590865 */   // Label 21982: @1590865
     /* 1590865 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1590951), // Rule ID 2953 //
     /* 1590870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590916 */     // MIs[0] policy
     /* 1590916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590950 */     // GIR_Coverage, 2953,
     /* 1590950 */     GIR_EraseRootFromParent_Done,
     /* 1590951 */   // Label 21983: @1590951
     /* 1590951 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1591037), // Rule ID 2956 //
     /* 1590956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591002 */     // MIs[0] policy
     /* 1591002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1591015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591036 */     // GIR_Coverage, 2956,
     /* 1591036 */     GIR_EraseRootFromParent_Done,
     /* 1591037 */   // Label 21984: @1591037
     /* 1591037 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591123), // Rule ID 2957 //
     /* 1591042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591088 */     // MIs[0] policy
     /* 1591088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1591101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591122 */     // GIR_Coverage, 2957,
     /* 1591122 */     GIR_EraseRootFromParent_Done,
     /* 1591123 */   // Label 21985: @1591123
     /* 1591123 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591209), // Rule ID 2960 //
     /* 1591128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591174 */     // MIs[0] policy
     /* 1591174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591208 */     // GIR_Coverage, 2960,
     /* 1591208 */     GIR_EraseRootFromParent_Done,
     /* 1591209 */   // Label 21986: @1591209
     /* 1591209 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1591295), // Rule ID 2961 //
     /* 1591214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591260 */     // MIs[0] policy
     /* 1591260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591294 */     // GIR_Coverage, 2961,
     /* 1591294 */     GIR_EraseRootFromParent_Done,
     /* 1591295 */   // Label 21987: @1591295
     /* 1591295 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1591381), // Rule ID 2964 //
     /* 1591300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591346 */     // MIs[0] policy
     /* 1591346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591380 */     // GIR_Coverage, 2964,
     /* 1591380 */     GIR_EraseRootFromParent_Done,
     /* 1591381 */   // Label 21988: @1591381
     /* 1591381 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1591467), // Rule ID 2965 //
     /* 1591386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591432 */     // MIs[0] policy
     /* 1591432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591466 */     // GIR_Coverage, 2965,
     /* 1591466 */     GIR_EraseRootFromParent_Done,
     /* 1591467 */   // Label 21989: @1591467
     /* 1591467 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1591553), // Rule ID 2968 //
     /* 1591472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591518 */     // MIs[0] policy
     /* 1591518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591552 */     // GIR_Coverage, 2968,
     /* 1591552 */     GIR_EraseRootFromParent_Done,
     /* 1591553 */   // Label 21990: @1591553
     /* 1591553 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1591639), // Rule ID 2969 //
     /* 1591558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591604 */     // MIs[0] policy
     /* 1591604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591638 */     // GIR_Coverage, 2969,
     /* 1591638 */     GIR_EraseRootFromParent_Done,
     /* 1591639 */   // Label 21991: @1591639
     /* 1591639 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1591725), // Rule ID 2972 //
     /* 1591644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591690 */     // MIs[0] policy
     /* 1591690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591724 */     // GIR_Coverage, 2972,
     /* 1591724 */     GIR_EraseRootFromParent_Done,
     /* 1591725 */   // Label 21992: @1591725
     /* 1591725 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1591811), // Rule ID 2973 //
     /* 1591730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591776 */     // MIs[0] policy
     /* 1591776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591810 */     // GIR_Coverage, 2973,
     /* 1591810 */     GIR_EraseRootFromParent_Done,
     /* 1591811 */   // Label 21993: @1591811
     /* 1591811 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1591897), // Rule ID 2976 //
     /* 1591816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591862 */     // MIs[0] policy
     /* 1591862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591896 */     // GIR_Coverage, 2976,
     /* 1591896 */     GIR_EraseRootFromParent_Done,
     /* 1591897 */   // Label 21994: @1591897
     /* 1591897 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1591983), // Rule ID 2977 //
     /* 1591902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591948 */     // MIs[0] policy
     /* 1591948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591982 */     // GIR_Coverage, 2977,
     /* 1591982 */     GIR_EraseRootFromParent_Done,
     /* 1591983 */   // Label 21995: @1591983
     /* 1591983 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1592069), // Rule ID 2980 //
     /* 1591988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592034 */     // MIs[0] policy
     /* 1592034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1592047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592068 */     // GIR_Coverage, 2980,
     /* 1592068 */     GIR_EraseRootFromParent_Done,
     /* 1592069 */   // Label 21996: @1592069
     /* 1592069 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592155), // Rule ID 2981 //
     /* 1592074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592120 */     // MIs[0] policy
     /* 1592120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1592133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592154 */     // GIR_Coverage, 2981,
     /* 1592154 */     GIR_EraseRootFromParent_Done,
     /* 1592155 */   // Label 21997: @1592155
     /* 1592155 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1592241), // Rule ID 2984 //
     /* 1592160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592206 */     // MIs[0] policy
     /* 1592206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592240 */     // GIR_Coverage, 2984,
     /* 1592240 */     GIR_EraseRootFromParent_Done,
     /* 1592241 */   // Label 21998: @1592241
     /* 1592241 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1592327), // Rule ID 2985 //
     /* 1592246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592292 */     // MIs[0] policy
     /* 1592292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592326 */     // GIR_Coverage, 2985,
     /* 1592326 */     GIR_EraseRootFromParent_Done,
     /* 1592327 */   // Label 21999: @1592327
     /* 1592327 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1592413), // Rule ID 2988 //
     /* 1592332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592378 */     // MIs[0] policy
     /* 1592378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592412 */     // GIR_Coverage, 2988,
     /* 1592412 */     GIR_EraseRootFromParent_Done,
     /* 1592413 */   // Label 22000: @1592413
     /* 1592413 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1592499), // Rule ID 2989 //
     /* 1592418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592464 */     // MIs[0] policy
     /* 1592464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592498 */     // GIR_Coverage, 2989,
     /* 1592498 */     GIR_EraseRootFromParent_Done,
     /* 1592499 */   // Label 22001: @1592499
     /* 1592499 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1592585), // Rule ID 2992 //
     /* 1592504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592550 */     // MIs[0] policy
     /* 1592550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592584 */     // GIR_Coverage, 2992,
     /* 1592584 */     GIR_EraseRootFromParent_Done,
     /* 1592585 */   // Label 22002: @1592585
     /* 1592585 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1592671), // Rule ID 2993 //
     /* 1592590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592636 */     // MIs[0] policy
     /* 1592636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592670 */     // GIR_Coverage, 2993,
     /* 1592670 */     GIR_EraseRootFromParent_Done,
     /* 1592671 */   // Label 22003: @1592671
     /* 1592671 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1592757), // Rule ID 2996 //
     /* 1592676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592722 */     // MIs[0] policy
     /* 1592722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592756 */     // GIR_Coverage, 2996,
     /* 1592756 */     GIR_EraseRootFromParent_Done,
     /* 1592757 */   // Label 22004: @1592757
     /* 1592757 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1592843), // Rule ID 2997 //
     /* 1592762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592808 */     // MIs[0] policy
     /* 1592808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592842 */     // GIR_Coverage, 2997,
     /* 1592842 */     GIR_EraseRootFromParent_Done,
     /* 1592843 */   // Label 22005: @1592843
     /* 1592843 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1592929), // Rule ID 3000 //
     /* 1592848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592894 */     // MIs[0] policy
     /* 1592894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592928 */     // GIR_Coverage, 3000,
     /* 1592928 */     GIR_EraseRootFromParent_Done,
     /* 1592929 */   // Label 22006: @1592929
     /* 1592929 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1593015), // Rule ID 3001 //
     /* 1592934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592980 */     // MIs[0] policy
     /* 1592980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593014 */     // GIR_Coverage, 3001,
     /* 1593014 */     GIR_EraseRootFromParent_Done,
     /* 1593015 */   // Label 22007: @1593015
     /* 1593015 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593101), // Rule ID 3004 //
     /* 1593020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593066 */     // MIs[0] policy
     /* 1593066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593100 */     // GIR_Coverage, 3004,
     /* 1593100 */     GIR_EraseRootFromParent_Done,
     /* 1593101 */   // Label 22008: @1593101
     /* 1593101 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593187), // Rule ID 3005 //
     /* 1593106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593152 */     // MIs[0] policy
     /* 1593152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593186 */     // GIR_Coverage, 3005,
     /* 1593186 */     GIR_EraseRootFromParent_Done,
     /* 1593187 */   // Label 22009: @1593187
     /* 1593187 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1593273), // Rule ID 3008 //
     /* 1593192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593238 */     // MIs[0] policy
     /* 1593238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593272 */     // GIR_Coverage, 3008,
     /* 1593272 */     GIR_EraseRootFromParent_Done,
     /* 1593273 */   // Label 22010: @1593273
     /* 1593273 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1593359), // Rule ID 3009 //
     /* 1593278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593324 */     // MIs[0] policy
     /* 1593324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593358 */     // GIR_Coverage, 3009,
     /* 1593358 */     GIR_EraseRootFromParent_Done,
     /* 1593359 */   // Label 22011: @1593359
     /* 1593359 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1593445), // Rule ID 3012 //
     /* 1593364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593410 */     // MIs[0] policy
     /* 1593410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593444 */     // GIR_Coverage, 3012,
     /* 1593444 */     GIR_EraseRootFromParent_Done,
     /* 1593445 */   // Label 22012: @1593445
     /* 1593445 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1593531), // Rule ID 3013 //
     /* 1593450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593496 */     // MIs[0] policy
     /* 1593496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593530 */     // GIR_Coverage, 3013,
     /* 1593530 */     GIR_EraseRootFromParent_Done,
     /* 1593531 */   // Label 22013: @1593531
     /* 1593531 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1593617), // Rule ID 3016 //
     /* 1593536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593582 */     // MIs[0] policy
     /* 1593582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593616 */     // GIR_Coverage, 3016,
     /* 1593616 */     GIR_EraseRootFromParent_Done,
     /* 1593617 */   // Label 22014: @1593617
     /* 1593617 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1593703), // Rule ID 3017 //
     /* 1593622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593668 */     // MIs[0] policy
     /* 1593668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593702 */     // GIR_Coverage, 3017,
     /* 1593702 */     GIR_EraseRootFromParent_Done,
     /* 1593703 */   // Label 22015: @1593703
     /* 1593703 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1593789), // Rule ID 3020 //
     /* 1593708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593754 */     // MIs[0] policy
     /* 1593754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593788 */     // GIR_Coverage, 3020,
     /* 1593788 */     GIR_EraseRootFromParent_Done,
     /* 1593789 */   // Label 22016: @1593789
     /* 1593789 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1593875), // Rule ID 3021 //
     /* 1593794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593840 */     // MIs[0] policy
     /* 1593840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593874 */     // GIR_Coverage, 3021,
     /* 1593874 */     GIR_EraseRootFromParent_Done,
     /* 1593875 */   // Label 22017: @1593875
     /* 1593875 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1593961), // Rule ID 3024 //
     /* 1593880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593926 */     // MIs[0] policy
     /* 1593926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593960 */     // GIR_Coverage, 3024,
     /* 1593960 */     GIR_EraseRootFromParent_Done,
     /* 1593961 */   // Label 22018: @1593961
     /* 1593961 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1594047), // Rule ID 3025 //
     /* 1593966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594012 */     // MIs[0] policy
     /* 1594012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1594025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594046 */     // GIR_Coverage, 3025,
     /* 1594046 */     GIR_EraseRootFromParent_Done,
     /* 1594047 */   // Label 22019: @1594047
     /* 1594047 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594133), // Rule ID 3028 //
     /* 1594052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594098 */     // MIs[0] policy
     /* 1594098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1594111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594132 */     // GIR_Coverage, 3028,
     /* 1594132 */     GIR_EraseRootFromParent_Done,
     /* 1594133 */   // Label 22020: @1594133
     /* 1594133 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1594219), // Rule ID 3029 //
     /* 1594138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594184 */     // MIs[0] policy
     /* 1594184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1594197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594218 */     // GIR_Coverage, 3029,
     /* 1594218 */     GIR_EraseRootFromParent_Done,
     /* 1594219 */   // Label 22021: @1594219
     /* 1594219 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1594305), // Rule ID 3120 //
     /* 1594224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594270 */     // MIs[0] policy
     /* 1594270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594304 */     // GIR_Coverage, 3120,
     /* 1594304 */     GIR_EraseRootFromParent_Done,
     /* 1594305 */   // Label 22022: @1594305
     /* 1594305 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1594391), // Rule ID 3121 //
     /* 1594310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594356 */     // MIs[0] policy
     /* 1594356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594390 */     // GIR_Coverage, 3121,
     /* 1594390 */     GIR_EraseRootFromParent_Done,
     /* 1594391 */   // Label 22023: @1594391
     /* 1594391 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1594477), // Rule ID 3124 //
     /* 1594396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594442 */     // MIs[0] policy
     /* 1594442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594476 */     // GIR_Coverage, 3124,
     /* 1594476 */     GIR_EraseRootFromParent_Done,
     /* 1594477 */   // Label 22024: @1594477
     /* 1594477 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1594563), // Rule ID 3125 //
     /* 1594482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594528 */     // MIs[0] policy
     /* 1594528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594562 */     // GIR_Coverage, 3125,
     /* 1594562 */     GIR_EraseRootFromParent_Done,
     /* 1594563 */   // Label 22025: @1594563
     /* 1594563 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1594649), // Rule ID 3128 //
     /* 1594568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594614 */     // MIs[0] policy
     /* 1594614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594648 */     // GIR_Coverage, 3128,
     /* 1594648 */     GIR_EraseRootFromParent_Done,
     /* 1594649 */   // Label 22026: @1594649
     /* 1594649 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1594735), // Rule ID 3129 //
     /* 1594654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594700 */     // MIs[0] policy
     /* 1594700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594710 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594734 */     // GIR_Coverage, 3129,
     /* 1594734 */     GIR_EraseRootFromParent_Done,
     /* 1594735 */   // Label 22027: @1594735
     /* 1594735 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1594821), // Rule ID 3132 //
     /* 1594740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594786 */     // MIs[0] policy
     /* 1594786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594820 */     // GIR_Coverage, 3132,
     /* 1594820 */     GIR_EraseRootFromParent_Done,
     /* 1594821 */   // Label 22028: @1594821
     /* 1594821 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1594907), // Rule ID 3133 //
     /* 1594826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594872 */     // MIs[0] policy
     /* 1594872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594906 */     // GIR_Coverage, 3133,
     /* 1594906 */     GIR_EraseRootFromParent_Done,
     /* 1594907 */   // Label 22029: @1594907
     /* 1594907 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1594993), // Rule ID 3136 //
     /* 1594912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594958 */     // MIs[0] policy
     /* 1594958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594992 */     // GIR_Coverage, 3136,
     /* 1594992 */     GIR_EraseRootFromParent_Done,
     /* 1594993 */   // Label 22030: @1594993
     /* 1594993 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1595079), // Rule ID 3137 //
     /* 1594998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1595015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1595018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595044 */     // MIs[0] policy
     /* 1595044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595078 */     // GIR_Coverage, 3137,
     /* 1595078 */     GIR_EraseRootFromParent_Done,
     /* 1595079 */   // Label 22031: @1595079
     /* 1595079 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595165), // Rule ID 3140 //
     /* 1595084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595130 */     // MIs[0] policy
     /* 1595130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595164 */     // GIR_Coverage, 3140,
     /* 1595164 */     GIR_EraseRootFromParent_Done,
     /* 1595165 */   // Label 22032: @1595165
     /* 1595165 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1595251), // Rule ID 3141 //
     /* 1595170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595216 */     // MIs[0] policy
     /* 1595216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1595229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595250 */     // GIR_Coverage, 3141,
     /* 1595250 */     GIR_EraseRootFromParent_Done,
     /* 1595251 */   // Label 22033: @1595251
     /* 1595251 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1595337), // Rule ID 3144 //
     /* 1595256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595302 */     // MIs[0] policy
     /* 1595302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595336 */     // GIR_Coverage, 3144,
     /* 1595336 */     GIR_EraseRootFromParent_Done,
     /* 1595337 */   // Label 22034: @1595337
     /* 1595337 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1595423), // Rule ID 3145 //
     /* 1595342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595388 */     // MIs[0] policy
     /* 1595388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595422 */     // GIR_Coverage, 3145,
     /* 1595422 */     GIR_EraseRootFromParent_Done,
     /* 1595423 */   // Label 22035: @1595423
     /* 1595423 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1595509), // Rule ID 3148 //
     /* 1595428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595474 */     // MIs[0] policy
     /* 1595474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595508 */     // GIR_Coverage, 3148,
     /* 1595508 */     GIR_EraseRootFromParent_Done,
     /* 1595509 */   // Label 22036: @1595509
     /* 1595509 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1595595), // Rule ID 3149 //
     /* 1595514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595560 */     // MIs[0] policy
     /* 1595560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595594 */     // GIR_Coverage, 3149,
     /* 1595594 */     GIR_EraseRootFromParent_Done,
     /* 1595595 */   // Label 22037: @1595595
     /* 1595595 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1595681), // Rule ID 3152 //
     /* 1595600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595646 */     // MIs[0] policy
     /* 1595646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595680 */     // GIR_Coverage, 3152,
     /* 1595680 */     GIR_EraseRootFromParent_Done,
     /* 1595681 */   // Label 22038: @1595681
     /* 1595681 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1595767), // Rule ID 3153 //
     /* 1595686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595732 */     // MIs[0] policy
     /* 1595732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595766 */     // GIR_Coverage, 3153,
     /* 1595766 */     GIR_EraseRootFromParent_Done,
     /* 1595767 */   // Label 22039: @1595767
     /* 1595767 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1595853), // Rule ID 3156 //
     /* 1595772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595818 */     // MIs[0] policy
     /* 1595818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595852 */     // GIR_Coverage, 3156,
     /* 1595852 */     GIR_EraseRootFromParent_Done,
     /* 1595853 */   // Label 22040: @1595853
     /* 1595853 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1595939), // Rule ID 3157 //
     /* 1595858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595904 */     // MIs[0] policy
     /* 1595904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595938 */     // GIR_Coverage, 3157,
     /* 1595938 */     GIR_EraseRootFromParent_Done,
     /* 1595939 */   // Label 22041: @1595939
     /* 1595939 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1596025), // Rule ID 3160 //
     /* 1595944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595990 */     // MIs[0] policy
     /* 1595990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596024 */     // GIR_Coverage, 3160,
     /* 1596024 */     GIR_EraseRootFromParent_Done,
     /* 1596025 */   // Label 22042: @1596025
     /* 1596025 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596111), // Rule ID 3161 //
     /* 1596030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1596041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1596044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1596047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1596050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596076 */     // MIs[0] policy
     /* 1596076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596110 */     // GIR_Coverage, 3161,
     /* 1596110 */     GIR_EraseRootFromParent_Done,
     /* 1596111 */   // Label 22043: @1596111
     /* 1596111 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596197), // Rule ID 3164 //
     /* 1596116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1596136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596162 */     // MIs[0] policy
     /* 1596162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596196 */     // GIR_Coverage, 3164,
     /* 1596196 */     GIR_EraseRootFromParent_Done,
     /* 1596197 */   // Label 22044: @1596197
     /* 1596197 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1596283), // Rule ID 3165 //
     /* 1596202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1596222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596248 */     // MIs[0] policy
     /* 1596248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596282 */     // GIR_Coverage, 3165,
     /* 1596282 */     GIR_EraseRootFromParent_Done,
     /* 1596283 */   // Label 22045: @1596283
     /* 1596283 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1596369), // Rule ID 3168 //
     /* 1596288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596334 */     // MIs[0] policy
     /* 1596334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596344 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596368 */     // GIR_Coverage, 3168,
     /* 1596368 */     GIR_EraseRootFromParent_Done,
     /* 1596369 */   // Label 22046: @1596369
     /* 1596369 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1596455), // Rule ID 3169 //
     /* 1596374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596420 */     // MIs[0] policy
     /* 1596420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596454 */     // GIR_Coverage, 3169,
     /* 1596454 */     GIR_EraseRootFromParent_Done,
     /* 1596455 */   // Label 22047: @1596455
     /* 1596455 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1596541), // Rule ID 3172 //
     /* 1596460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596506 */     // MIs[0] policy
     /* 1596506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596540 */     // GIR_Coverage, 3172,
     /* 1596540 */     GIR_EraseRootFromParent_Done,
     /* 1596541 */   // Label 22048: @1596541
     /* 1596541 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1596627), // Rule ID 3173 //
     /* 1596546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596592 */     // MIs[0] policy
     /* 1596592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596626 */     // GIR_Coverage, 3173,
     /* 1596626 */     GIR_EraseRootFromParent_Done,
     /* 1596627 */   // Label 22049: @1596627
     /* 1596627 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1596713), // Rule ID 3176 //
     /* 1596632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596678 */     // MIs[0] policy
     /* 1596678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596712 */     // GIR_Coverage, 3176,
     /* 1596712 */     GIR_EraseRootFromParent_Done,
     /* 1596713 */   // Label 22050: @1596713
     /* 1596713 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1596799), // Rule ID 3177 //
     /* 1596718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596764 */     // MIs[0] policy
     /* 1596764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596798 */     // GIR_Coverage, 3177,
     /* 1596798 */     GIR_EraseRootFromParent_Done,
     /* 1596799 */   // Label 22051: @1596799
     /* 1596799 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1596885), // Rule ID 3180 //
     /* 1596804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596850 */     // MIs[0] policy
     /* 1596850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596884 */     // GIR_Coverage, 3180,
     /* 1596884 */     GIR_EraseRootFromParent_Done,
     /* 1596885 */   // Label 22052: @1596885
     /* 1596885 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1596971), // Rule ID 3181 //
     /* 1596890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596936 */     // MIs[0] policy
     /* 1596936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596970 */     // GIR_Coverage, 3181,
     /* 1596970 */     GIR_EraseRootFromParent_Done,
     /* 1596971 */   // Label 22053: @1596971
     /* 1596971 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1597057), // Rule ID 3184 //
     /* 1596976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597022 */     // MIs[0] policy
     /* 1597022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597056 */     // GIR_Coverage, 3184,
     /* 1597056 */     GIR_EraseRootFromParent_Done,
     /* 1597057 */   // Label 22054: @1597057
     /* 1597057 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597143), // Rule ID 3185 //
     /* 1597062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1597073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1597076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1597082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597108 */     // MIs[0] policy
     /* 1597108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597142 */     // GIR_Coverage, 3185,
     /* 1597142 */     GIR_EraseRootFromParent_Done,
     /* 1597143 */   // Label 22055: @1597143
     /* 1597143 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1597229), // Rule ID 3188 //
     /* 1597148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1597168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597194 */     // MIs[0] policy
     /* 1597194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597228 */     // GIR_Coverage, 3188,
     /* 1597228 */     GIR_EraseRootFromParent_Done,
     /* 1597229 */   // Label 22056: @1597229
     /* 1597229 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1597315), // Rule ID 3189 //
     /* 1597234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1597254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597280 */     // MIs[0] policy
     /* 1597280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597314 */     // GIR_Coverage, 3189,
     /* 1597314 */     GIR_EraseRootFromParent_Done,
     /* 1597315 */   // Label 22057: @1597315
     /* 1597315 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1597401), // Rule ID 3192 //
     /* 1597320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597366 */     // MIs[0] policy
     /* 1597366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597400 */     // GIR_Coverage, 3192,
     /* 1597400 */     GIR_EraseRootFromParent_Done,
     /* 1597401 */   // Label 22058: @1597401
     /* 1597401 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1597487), // Rule ID 3193 //
     /* 1597406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597452 */     // MIs[0] policy
     /* 1597452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597486 */     // GIR_Coverage, 3193,
     /* 1597486 */     GIR_EraseRootFromParent_Done,
     /* 1597487 */   // Label 22059: @1597487
     /* 1597487 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1597573), // Rule ID 3196 //
     /* 1597492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597538 */     // MIs[0] policy
     /* 1597538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597572 */     // GIR_Coverage, 3196,
     /* 1597572 */     GIR_EraseRootFromParent_Done,
     /* 1597573 */   // Label 22060: @1597573
     /* 1597573 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1597659), // Rule ID 3197 //
     /* 1597578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597624 */     // MIs[0] policy
     /* 1597624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597658 */     // GIR_Coverage, 3197,
     /* 1597658 */     GIR_EraseRootFromParent_Done,
     /* 1597659 */   // Label 22061: @1597659
     /* 1597659 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1597745), // Rule ID 3200 //
     /* 1597664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597710 */     // MIs[0] policy
     /* 1597710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597744 */     // GIR_Coverage, 3200,
     /* 1597744 */     GIR_EraseRootFromParent_Done,
     /* 1597745 */   // Label 22062: @1597745
     /* 1597745 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1597831), // Rule ID 3201 //
     /* 1597750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597796 */     // MIs[0] policy
     /* 1597796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597830 */     // GIR_Coverage, 3201,
     /* 1597830 */     GIR_EraseRootFromParent_Done,
     /* 1597831 */   // Label 22063: @1597831
     /* 1597831 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1597917), // Rule ID 3204 //
     /* 1597836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597882 */     // MIs[0] policy
     /* 1597882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597916 */     // GIR_Coverage, 3204,
     /* 1597916 */     GIR_EraseRootFromParent_Done,
     /* 1597917 */   // Label 22064: @1597917
     /* 1597917 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1598003), // Rule ID 3205 //
     /* 1597922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597968 */     // MIs[0] policy
     /* 1597968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598002 */     // GIR_Coverage, 3205,
     /* 1598002 */     GIR_EraseRootFromParent_Done,
     /* 1598003 */   // Label 22065: @1598003
     /* 1598003 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598089), // Rule ID 3208 //
     /* 1598008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598054 */     // MIs[0] policy
     /* 1598054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1598067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598088 */     // GIR_Coverage, 3208,
     /* 1598088 */     GIR_EraseRootFromParent_Done,
     /* 1598089 */   // Label 22066: @1598089
     /* 1598089 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598175), // Rule ID 3209 //
     /* 1598094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598140 */     // MIs[0] policy
     /* 1598140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598150 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1598153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598174 */     // GIR_Coverage, 3209,
     /* 1598174 */     GIR_EraseRootFromParent_Done,
     /* 1598175 */   // Label 22067: @1598175
     /* 1598175 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1598261), // Rule ID 3212 //
     /* 1598180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598226 */     // MIs[0] policy
     /* 1598226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598260 */     // GIR_Coverage, 3212,
     /* 1598260 */     GIR_EraseRootFromParent_Done,
     /* 1598261 */   // Label 22068: @1598261
     /* 1598261 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1598347), // Rule ID 3213 //
     /* 1598266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598312 */     // MIs[0] policy
     /* 1598312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598346 */     // GIR_Coverage, 3213,
     /* 1598346 */     GIR_EraseRootFromParent_Done,
     /* 1598347 */   // Label 22069: @1598347
     /* 1598347 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1598433), // Rule ID 3216 //
     /* 1598352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598398 */     // MIs[0] policy
     /* 1598398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598432 */     // GIR_Coverage, 3216,
     /* 1598432 */     GIR_EraseRootFromParent_Done,
     /* 1598433 */   // Label 22070: @1598433
     /* 1598433 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1598519), // Rule ID 3217 //
     /* 1598438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598484 */     // MIs[0] policy
     /* 1598484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598518 */     // GIR_Coverage, 3217,
     /* 1598518 */     GIR_EraseRootFromParent_Done,
     /* 1598519 */   // Label 22071: @1598519
     /* 1598519 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1598605), // Rule ID 3220 //
     /* 1598524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598570 */     // MIs[0] policy
     /* 1598570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598604 */     // GIR_Coverage, 3220,
     /* 1598604 */     GIR_EraseRootFromParent_Done,
     /* 1598605 */   // Label 22072: @1598605
     /* 1598605 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1598691), // Rule ID 3221 //
     /* 1598610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598656 */     // MIs[0] policy
     /* 1598656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598690 */     // GIR_Coverage, 3221,
     /* 1598690 */     GIR_EraseRootFromParent_Done,
     /* 1598691 */   // Label 22073: @1598691
     /* 1598691 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1598777), // Rule ID 3224 //
     /* 1598696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598742 */     // MIs[0] policy
     /* 1598742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598776 */     // GIR_Coverage, 3224,
     /* 1598776 */     GIR_EraseRootFromParent_Done,
     /* 1598777 */   // Label 22074: @1598777
     /* 1598777 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1598863), // Rule ID 3225 //
     /* 1598782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598828 */     // MIs[0] policy
     /* 1598828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598862 */     // GIR_Coverage, 3225,
     /* 1598862 */     GIR_EraseRootFromParent_Done,
     /* 1598863 */   // Label 22075: @1598863
     /* 1598863 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1598949), // Rule ID 3228 //
     /* 1598868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598914 */     // MIs[0] policy
     /* 1598914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598948 */     // GIR_Coverage, 3228,
     /* 1598948 */     GIR_EraseRootFromParent_Done,
     /* 1598949 */   // Label 22076: @1598949
     /* 1598949 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1599035), // Rule ID 3229 //
     /* 1598954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599000 */     // MIs[0] policy
     /* 1599000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1599013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599034 */     // GIR_Coverage, 3229,
     /* 1599034 */     GIR_EraseRootFromParent_Done,
     /* 1599035 */   // Label 22077: @1599035
     /* 1599035 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599121), // Rule ID 3232 //
     /* 1599040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599086 */     // MIs[0] policy
     /* 1599086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599120 */     // GIR_Coverage, 3232,
     /* 1599120 */     GIR_EraseRootFromParent_Done,
     /* 1599121 */   // Label 22078: @1599121
     /* 1599121 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599207), // Rule ID 3233 //
     /* 1599126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599172 */     // MIs[0] policy
     /* 1599172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599206 */     // GIR_Coverage, 3233,
     /* 1599206 */     GIR_EraseRootFromParent_Done,
     /* 1599207 */   // Label 22079: @1599207
     /* 1599207 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1599293), // Rule ID 3236 //
     /* 1599212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599258 */     // MIs[0] policy
     /* 1599258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599292 */     // GIR_Coverage, 3236,
     /* 1599292 */     GIR_EraseRootFromParent_Done,
     /* 1599293 */   // Label 22080: @1599293
     /* 1599293 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1599379), // Rule ID 3237 //
     /* 1599298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599344 */     // MIs[0] policy
     /* 1599344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599378 */     // GIR_Coverage, 3237,
     /* 1599378 */     GIR_EraseRootFromParent_Done,
     /* 1599379 */   // Label 22081: @1599379
     /* 1599379 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1599465), // Rule ID 3240 //
     /* 1599384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599430 */     // MIs[0] policy
     /* 1599430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599464 */     // GIR_Coverage, 3240,
     /* 1599464 */     GIR_EraseRootFromParent_Done,
     /* 1599465 */   // Label 22082: @1599465
     /* 1599465 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1599551), // Rule ID 3241 //
     /* 1599470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599516 */     // MIs[0] policy
     /* 1599516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599550 */     // GIR_Coverage, 3241,
     /* 1599550 */     GIR_EraseRootFromParent_Done,
     /* 1599551 */   // Label 22083: @1599551
     /* 1599551 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1599637), // Rule ID 3244 //
     /* 1599556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599602 */     // MIs[0] policy
     /* 1599602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599636 */     // GIR_Coverage, 3244,
     /* 1599636 */     GIR_EraseRootFromParent_Done,
     /* 1599637 */   // Label 22084: @1599637
     /* 1599637 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1599723), // Rule ID 3245 //
     /* 1599642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599688 */     // MIs[0] policy
     /* 1599688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599722 */     // GIR_Coverage, 3245,
     /* 1599722 */     GIR_EraseRootFromParent_Done,
     /* 1599723 */   // Label 22085: @1599723
     /* 1599723 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1599809), // Rule ID 3248 //
     /* 1599728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599774 */     // MIs[0] policy
     /* 1599774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599808 */     // GIR_Coverage, 3248,
     /* 1599808 */     GIR_EraseRootFromParent_Done,
     /* 1599809 */   // Label 22086: @1599809
     /* 1599809 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1599895), // Rule ID 3249 //
     /* 1599814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599860 */     // MIs[0] policy
     /* 1599860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599894 */     // GIR_Coverage, 3249,
     /* 1599894 */     GIR_EraseRootFromParent_Done,
     /* 1599895 */   // Label 22087: @1599895
     /* 1599895 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1599981), // Rule ID 3252 //
     /* 1599900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599946 */     // MIs[0] policy
     /* 1599946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599980 */     // GIR_Coverage, 3252,
     /* 1599980 */     GIR_EraseRootFromParent_Done,
     /* 1599981 */   // Label 22088: @1599981
     /* 1599981 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1600067), // Rule ID 3253 //
     /* 1599986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600032 */     // MIs[0] policy
     /* 1600032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600066 */     // GIR_Coverage, 3253,
     /* 1600066 */     GIR_EraseRootFromParent_Done,
     /* 1600067 */   // Label 22089: @1600067
     /* 1600067 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600153), // Rule ID 3256 //
     /* 1600072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600118 */     // MIs[0] policy
     /* 1600118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600128 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600152 */     // GIR_Coverage, 3256,
     /* 1600152 */     GIR_EraseRootFromParent_Done,
     /* 1600153 */   // Label 22090: @1600153
     /* 1600153 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1600239), // Rule ID 3257 //
     /* 1600158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600204 */     // MIs[0] policy
     /* 1600204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600238 */     // GIR_Coverage, 3257,
     /* 1600238 */     GIR_EraseRootFromParent_Done,
     /* 1600239 */   // Label 22091: @1600239
     /* 1600239 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1600325), // Rule ID 3260 //
     /* 1600244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600290 */     // MIs[0] policy
     /* 1600290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600300 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600324 */     // GIR_Coverage, 3260,
     /* 1600324 */     GIR_EraseRootFromParent_Done,
     /* 1600325 */   // Label 22092: @1600325
     /* 1600325 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1600411), // Rule ID 3261 //
     /* 1600330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600376 */     // MIs[0] policy
     /* 1600376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600410 */     // GIR_Coverage, 3261,
     /* 1600410 */     GIR_EraseRootFromParent_Done,
     /* 1600411 */   // Label 22093: @1600411
     /* 1600411 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1600497), // Rule ID 3264 //
     /* 1600416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600462 */     // MIs[0] policy
     /* 1600462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600496 */     // GIR_Coverage, 3264,
     /* 1600496 */     GIR_EraseRootFromParent_Done,
     /* 1600497 */   // Label 22094: @1600497
     /* 1600497 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1600583), // Rule ID 3265 //
     /* 1600502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600548 */     // MIs[0] policy
     /* 1600548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600582 */     // GIR_Coverage, 3265,
     /* 1600582 */     GIR_EraseRootFromParent_Done,
     /* 1600583 */   // Label 22095: @1600583
     /* 1600583 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1600669), // Rule ID 3268 //
     /* 1600588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600634 */     // MIs[0] policy
     /* 1600634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600668 */     // GIR_Coverage, 3268,
     /* 1600668 */     GIR_EraseRootFromParent_Done,
     /* 1600669 */   // Label 22096: @1600669
     /* 1600669 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1600755), // Rule ID 3269 //
     /* 1600674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600720 */     // MIs[0] policy
     /* 1600720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600730 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600754 */     // GIR_Coverage, 3269,
     /* 1600754 */     GIR_EraseRootFromParent_Done,
     /* 1600755 */   // Label 22097: @1600755
     /* 1600755 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1600841), // Rule ID 3272 //
     /* 1600760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600806 */     // MIs[0] policy
     /* 1600806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600840 */     // GIR_Coverage, 3272,
     /* 1600840 */     GIR_EraseRootFromParent_Done,
     /* 1600841 */   // Label 22098: @1600841
     /* 1600841 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1600927), // Rule ID 3273 //
     /* 1600846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600892 */     // MIs[0] policy
     /* 1600892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600926 */     // GIR_Coverage, 3273,
     /* 1600926 */     GIR_EraseRootFromParent_Done,
     /* 1600927 */   // Label 22099: @1600927
     /* 1600927 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1601013), // Rule ID 3276 //
     /* 1600932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600978 */     // MIs[0] policy
     /* 1600978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601012 */     // GIR_Coverage, 3276,
     /* 1601012 */     GIR_EraseRootFromParent_Done,
     /* 1601013 */   // Label 22100: @1601013
     /* 1601013 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601099), // Rule ID 3277 //
     /* 1601018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601064 */     // MIs[0] policy
     /* 1601064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601098 */     // GIR_Coverage, 3277,
     /* 1601098 */     GIR_EraseRootFromParent_Done,
     /* 1601099 */   // Label 22101: @1601099
     /* 1601099 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601185), // Rule ID 3280 //
     /* 1601104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601150 */     // MIs[0] policy
     /* 1601150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601160 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601184 */     // GIR_Coverage, 3280,
     /* 1601184 */     GIR_EraseRootFromParent_Done,
     /* 1601185 */   // Label 22102: @1601185
     /* 1601185 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1601271), // Rule ID 3281 //
     /* 1601190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601236 */     // MIs[0] policy
     /* 1601236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601270 */     // GIR_Coverage, 3281,
     /* 1601270 */     GIR_EraseRootFromParent_Done,
     /* 1601271 */   // Label 22103: @1601271
     /* 1601271 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1601357), // Rule ID 3284 //
     /* 1601276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601322 */     // MIs[0] policy
     /* 1601322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1601335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601356 */     // GIR_Coverage, 3284,
     /* 1601356 */     GIR_EraseRootFromParent_Done,
     /* 1601357 */   // Label 22104: @1601357
     /* 1601357 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1601443), // Rule ID 3285 //
     /* 1601362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601408 */     // MIs[0] policy
     /* 1601408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1601421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601442 */     // GIR_Coverage, 3285,
     /* 1601442 */     GIR_EraseRootFromParent_Done,
     /* 1601443 */   // Label 22105: @1601443
     /* 1601443 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1601529), // Rule ID 3288 //
     /* 1601448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601494 */     // MIs[0] policy
     /* 1601494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601528 */     // GIR_Coverage, 3288,
     /* 1601528 */     GIR_EraseRootFromParent_Done,
     /* 1601529 */   // Label 22106: @1601529
     /* 1601529 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1601615), // Rule ID 3289 //
     /* 1601534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601580 */     // MIs[0] policy
     /* 1601580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601614 */     // GIR_Coverage, 3289,
     /* 1601614 */     GIR_EraseRootFromParent_Done,
     /* 1601615 */   // Label 22107: @1601615
     /* 1601615 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1601701), // Rule ID 3292 //
     /* 1601620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601666 */     // MIs[0] policy
     /* 1601666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601700 */     // GIR_Coverage, 3292,
     /* 1601700 */     GIR_EraseRootFromParent_Done,
     /* 1601701 */   // Label 22108: @1601701
     /* 1601701 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1601787), // Rule ID 3293 //
     /* 1601706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601752 */     // MIs[0] policy
     /* 1601752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601786 */     // GIR_Coverage, 3293,
     /* 1601786 */     GIR_EraseRootFromParent_Done,
     /* 1601787 */   // Label 22109: @1601787
     /* 1601787 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1601873), // Rule ID 3296 //
     /* 1601792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601838 */     // MIs[0] policy
     /* 1601838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601872 */     // GIR_Coverage, 3296,
     /* 1601872 */     GIR_EraseRootFromParent_Done,
     /* 1601873 */   // Label 22110: @1601873
     /* 1601873 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1601959), // Rule ID 3297 //
     /* 1601878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601924 */     // MIs[0] policy
     /* 1601924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601958 */     // GIR_Coverage, 3297,
     /* 1601958 */     GIR_EraseRootFromParent_Done,
     /* 1601959 */   // Label 22111: @1601959
     /* 1601959 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1602045), // Rule ID 3300 //
     /* 1601964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602010 */     // MIs[0] policy
     /* 1602010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602020 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602044 */     // GIR_Coverage, 3300,
     /* 1602044 */     GIR_EraseRootFromParent_Done,
     /* 1602045 */   // Label 22112: @1602045
     /* 1602045 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602131), // Rule ID 3301 //
     /* 1602050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1602061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1602064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602096 */     // MIs[0] policy
     /* 1602096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602130 */     // GIR_Coverage, 3301,
     /* 1602130 */     GIR_EraseRootFromParent_Done,
     /* 1602131 */   // Label 22113: @1602131
     /* 1602131 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1602217), // Rule ID 3304 //
     /* 1602136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602182 */     // MIs[0] policy
     /* 1602182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602216 */     // GIR_Coverage, 3304,
     /* 1602216 */     GIR_EraseRootFromParent_Done,
     /* 1602217 */   // Label 22114: @1602217
     /* 1602217 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1602303), // Rule ID 3305 //
     /* 1602222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602268 */     // MIs[0] policy
     /* 1602268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602302 */     // GIR_Coverage, 3305,
     /* 1602302 */     GIR_EraseRootFromParent_Done,
     /* 1602303 */   // Label 22115: @1602303
     /* 1602303 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1602389), // Rule ID 3308 //
     /* 1602308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602354 */     // MIs[0] policy
     /* 1602354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602388 */     // GIR_Coverage, 3308,
     /* 1602388 */     GIR_EraseRootFromParent_Done,
     /* 1602389 */   // Label 22116: @1602389
     /* 1602389 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1602475), // Rule ID 3309 //
     /* 1602394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602440 */     // MIs[0] policy
     /* 1602440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602474 */     // GIR_Coverage, 3309,
     /* 1602474 */     GIR_EraseRootFromParent_Done,
     /* 1602475 */   // Label 22117: @1602475
     /* 1602475 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1602561), // Rule ID 3312 //
     /* 1602480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602526 */     // MIs[0] policy
     /* 1602526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602560 */     // GIR_Coverage, 3312,
     /* 1602560 */     GIR_EraseRootFromParent_Done,
     /* 1602561 */   // Label 22118: @1602561
     /* 1602561 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1602647), // Rule ID 3313 //
     /* 1602566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602612 */     // MIs[0] policy
     /* 1602612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602646 */     // GIR_Coverage, 3313,
     /* 1602646 */     GIR_EraseRootFromParent_Done,
     /* 1602647 */   // Label 22119: @1602647
     /* 1602647 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1602733), // Rule ID 3316 //
     /* 1602652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602698 */     // MIs[0] policy
     /* 1602698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602732 */     // GIR_Coverage, 3316,
     /* 1602732 */     GIR_EraseRootFromParent_Done,
     /* 1602733 */   // Label 22120: @1602733
     /* 1602733 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1602819), // Rule ID 3317 //
     /* 1602738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602784 */     // MIs[0] policy
     /* 1602784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602818 */     // GIR_Coverage, 3317,
     /* 1602818 */     GIR_EraseRootFromParent_Done,
     /* 1602819 */   // Label 22121: @1602819
     /* 1602819 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1602905), // Rule ID 3320 //
     /* 1602824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602870 */     // MIs[0] policy
     /* 1602870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602904 */     // GIR_Coverage, 3320,
     /* 1602904 */     GIR_EraseRootFromParent_Done,
     /* 1602905 */   // Label 22122: @1602905
     /* 1602905 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1602991), // Rule ID 3321 //
     /* 1602910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602956 */     // MIs[0] policy
     /* 1602956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602990 */     // GIR_Coverage, 3321,
     /* 1602990 */     GIR_EraseRootFromParent_Done,
     /* 1602991 */   // Label 22123: @1602991
     /* 1602991 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1603077), // Rule ID 3324 //
     /* 1602996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603042 */     // MIs[0] policy
     /* 1603042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603076 */     // GIR_Coverage, 3324,
     /* 1603076 */     GIR_EraseRootFromParent_Done,
     /* 1603077 */   // Label 22124: @1603077
     /* 1603077 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603163), // Rule ID 3325 //
     /* 1603082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603128 */     // MIs[0] policy
     /* 1603128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603162 */     // GIR_Coverage, 3325,
     /* 1603162 */     GIR_EraseRootFromParent_Done,
     /* 1603163 */   // Label 22125: @1603163
     /* 1603163 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1603249), // Rule ID 3328 //
     /* 1603168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603214 */     // MIs[0] policy
     /* 1603214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603248 */     // GIR_Coverage, 3328,
     /* 1603248 */     GIR_EraseRootFromParent_Done,
     /* 1603249 */   // Label 22126: @1603249
     /* 1603249 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1603335), // Rule ID 3329 //
     /* 1603254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603300 */     // MIs[0] policy
     /* 1603300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603334 */     // GIR_Coverage, 3329,
     /* 1603334 */     GIR_EraseRootFromParent_Done,
     /* 1603335 */   // Label 22127: @1603335
     /* 1603335 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1603421), // Rule ID 3332 //
     /* 1603340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603386 */     // MIs[0] policy
     /* 1603386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603420 */     // GIR_Coverage, 3332,
     /* 1603420 */     GIR_EraseRootFromParent_Done,
     /* 1603421 */   // Label 22128: @1603421
     /* 1603421 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1603507), // Rule ID 3333 //
     /* 1603426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603472 */     // MIs[0] policy
     /* 1603472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603506 */     // GIR_Coverage, 3333,
     /* 1603506 */     GIR_EraseRootFromParent_Done,
     /* 1603507 */   // Label 22129: @1603507
     /* 1603507 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1603593), // Rule ID 3336 //
     /* 1603512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603558 */     // MIs[0] policy
     /* 1603558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603592 */     // GIR_Coverage, 3336,
     /* 1603592 */     GIR_EraseRootFromParent_Done,
     /* 1603593 */   // Label 22130: @1603593
     /* 1603593 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1603679), // Rule ID 3337 //
     /* 1603598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603644 */     // MIs[0] policy
     /* 1603644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603678 */     // GIR_Coverage, 3337,
     /* 1603678 */     GIR_EraseRootFromParent_Done,
     /* 1603679 */   // Label 22131: @1603679
     /* 1603679 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1603765), // Rule ID 3340 //
     /* 1603684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603730 */     // MIs[0] policy
     /* 1603730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603764 */     // GIR_Coverage, 3340,
     /* 1603764 */     GIR_EraseRootFromParent_Done,
     /* 1603765 */   // Label 22132: @1603765
     /* 1603765 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1603851), // Rule ID 3341 //
     /* 1603770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603816 */     // MIs[0] policy
     /* 1603816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603850 */     // GIR_Coverage, 3341,
     /* 1603850 */     GIR_EraseRootFromParent_Done,
     /* 1603851 */   // Label 22133: @1603851
     /* 1603851 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1603937), // Rule ID 3344 //
     /* 1603856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603902 */     // MIs[0] policy
     /* 1603902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603936 */     // GIR_Coverage, 3344,
     /* 1603936 */     GIR_EraseRootFromParent_Done,
     /* 1603937 */   // Label 22134: @1603937
     /* 1603937 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1604023), // Rule ID 3345 //
     /* 1603942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603988 */     // MIs[0] policy
     /* 1603988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604022 */     // GIR_Coverage, 3345,
     /* 1604022 */     GIR_EraseRootFromParent_Done,
     /* 1604023 */   // Label 22135: @1604023
     /* 1604023 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604109), // Rule ID 3348 //
     /* 1604028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604074 */     // MIs[0] policy
     /* 1604074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604108 */     // GIR_Coverage, 3348,
     /* 1604108 */     GIR_EraseRootFromParent_Done,
     /* 1604109 */   // Label 22136: @1604109
     /* 1604109 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604195), // Rule ID 3349 //
     /* 1604114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604160 */     // MIs[0] policy
     /* 1604160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604194 */     // GIR_Coverage, 3349,
     /* 1604194 */     GIR_EraseRootFromParent_Done,
     /* 1604195 */   // Label 22137: @1604195
     /* 1604195 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1604281), // Rule ID 3352 //
     /* 1604200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604246 */     // MIs[0] policy
     /* 1604246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604280 */     // GIR_Coverage, 3352,
     /* 1604280 */     GIR_EraseRootFromParent_Done,
     /* 1604281 */   // Label 22138: @1604281
     /* 1604281 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1604367), // Rule ID 3353 //
     /* 1604286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604332 */     // MIs[0] policy
     /* 1604332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604366 */     // GIR_Coverage, 3353,
     /* 1604366 */     GIR_EraseRootFromParent_Done,
     /* 1604367 */   // Label 22139: @1604367
     /* 1604367 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1604453), // Rule ID 3356 //
     /* 1604372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604418 */     // MIs[0] policy
     /* 1604418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604452 */     // GIR_Coverage, 3356,
     /* 1604452 */     GIR_EraseRootFromParent_Done,
     /* 1604453 */   // Label 22140: @1604453
     /* 1604453 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1604539), // Rule ID 3357 //
     /* 1604458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604504 */     // MIs[0] policy
     /* 1604504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604538 */     // GIR_Coverage, 3357,
     /* 1604538 */     GIR_EraseRootFromParent_Done,
     /* 1604539 */   // Label 22141: @1604539
     /* 1604539 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1604625), // Rule ID 3360 //
     /* 1604544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604590 */     // MIs[0] policy
     /* 1604590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604624 */     // GIR_Coverage, 3360,
     /* 1604624 */     GIR_EraseRootFromParent_Done,
     /* 1604625 */   // Label 22142: @1604625
     /* 1604625 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1604711), // Rule ID 3361 //
     /* 1604630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604676 */     // MIs[0] policy
     /* 1604676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604710 */     // GIR_Coverage, 3361,
     /* 1604710 */     GIR_EraseRootFromParent_Done,
     /* 1604711 */   // Label 22143: @1604711
     /* 1604711 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1604797), // Rule ID 3364 //
     /* 1604716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604762 */     // MIs[0] policy
     /* 1604762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604796 */     // GIR_Coverage, 3364,
     /* 1604796 */     GIR_EraseRootFromParent_Done,
     /* 1604797 */   // Label 22144: @1604797
     /* 1604797 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1604883), // Rule ID 3365 //
     /* 1604802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604848 */     // MIs[0] policy
     /* 1604848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604882 */     // GIR_Coverage, 3365,
     /* 1604882 */     GIR_EraseRootFromParent_Done,
     /* 1604883 */   // Label 22145: @1604883
     /* 1604883 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1604969), // Rule ID 3368 //
     /* 1604888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604934 */     // MIs[0] policy
     /* 1604934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604968 */     // GIR_Coverage, 3368,
     /* 1604968 */     GIR_EraseRootFromParent_Done,
     /* 1604969 */   // Label 22146: @1604969
     /* 1604969 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1605055), // Rule ID 3369 //
     /* 1604974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605020 */     // MIs[0] policy
     /* 1605020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605054 */     // GIR_Coverage, 3369,
     /* 1605054 */     GIR_EraseRootFromParent_Done,
     /* 1605055 */   // Label 22147: @1605055
     /* 1605055 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605141), // Rule ID 3372 //
     /* 1605060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605106 */     // MIs[0] policy
     /* 1605106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1605119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605140 */     // GIR_Coverage, 3372,
     /* 1605140 */     GIR_EraseRootFromParent_Done,
     /* 1605141 */   // Label 22148: @1605141
     /* 1605141 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1605227), // Rule ID 3373 //
     /* 1605146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605192 */     // MIs[0] policy
     /* 1605192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1605205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605226 */     // GIR_Coverage, 3373,
     /* 1605226 */     GIR_EraseRootFromParent_Done,
     /* 1605227 */   // Label 22149: @1605227
     /* 1605227 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1605313), // Rule ID 3376 //
     /* 1605232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605278 */     // MIs[0] policy
     /* 1605278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1605291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605312 */     // GIR_Coverage, 3376,
     /* 1605312 */     GIR_EraseRootFromParent_Done,
     /* 1605313 */   // Label 22150: @1605313
     /* 1605313 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1605399), // Rule ID 3377 //
     /* 1605318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605364 */     // MIs[0] policy
     /* 1605364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1605377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605398 */     // GIR_Coverage, 3377,
     /* 1605398 */     GIR_EraseRootFromParent_Done,
     /* 1605399 */   // Label 22151: @1605399
     /* 1605399 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1605485), // Rule ID 3380 //
     /* 1605404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605450 */     // MIs[0] policy
     /* 1605450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605484 */     // GIR_Coverage, 3380,
     /* 1605484 */     GIR_EraseRootFromParent_Done,
     /* 1605485 */   // Label 22152: @1605485
     /* 1605485 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1605571), // Rule ID 3381 //
     /* 1605490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605536 */     // MIs[0] policy
     /* 1605536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605570 */     // GIR_Coverage, 3381,
     /* 1605570 */     GIR_EraseRootFromParent_Done,
     /* 1605571 */   // Label 22153: @1605571
     /* 1605571 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1605657), // Rule ID 3472 //
     /* 1605576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605622 */     // MIs[0] policy
     /* 1605622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605656 */     // GIR_Coverage, 3472,
     /* 1605656 */     GIR_EraseRootFromParent_Done,
     /* 1605657 */   // Label 22154: @1605657
     /* 1605657 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1605743), // Rule ID 3473 //
     /* 1605662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605708 */     // MIs[0] policy
     /* 1605708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605742 */     // GIR_Coverage, 3473,
     /* 1605742 */     GIR_EraseRootFromParent_Done,
     /* 1605743 */   // Label 22155: @1605743
     /* 1605743 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1605829), // Rule ID 3476 //
     /* 1605748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605794 */     // MIs[0] policy
     /* 1605794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605828 */     // GIR_Coverage, 3476,
     /* 1605828 */     GIR_EraseRootFromParent_Done,
     /* 1605829 */   // Label 22156: @1605829
     /* 1605829 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1605915), // Rule ID 3477 //
     /* 1605834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605880 */     // MIs[0] policy
     /* 1605880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605914 */     // GIR_Coverage, 3477,
     /* 1605914 */     GIR_EraseRootFromParent_Done,
     /* 1605915 */   // Label 22157: @1605915
     /* 1605915 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1606001), // Rule ID 3480 //
     /* 1605920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605966 */     // MIs[0] policy
     /* 1605966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606000 */     // GIR_Coverage, 3480,
     /* 1606000 */     GIR_EraseRootFromParent_Done,
     /* 1606001 */   // Label 22158: @1606001
     /* 1606001 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606087), // Rule ID 3481 //
     /* 1606006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1606026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606052 */     // MIs[0] policy
     /* 1606052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606086 */     // GIR_Coverage, 3481,
     /* 1606086 */     GIR_EraseRootFromParent_Done,
     /* 1606087 */   // Label 22159: @1606087
     /* 1606087 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606173), // Rule ID 3484 //
     /* 1606092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606138 */     // MIs[0] policy
     /* 1606138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606172 */     // GIR_Coverage, 3484,
     /* 1606172 */     GIR_EraseRootFromParent_Done,
     /* 1606173 */   // Label 22160: @1606173
     /* 1606173 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1606259), // Rule ID 3485 //
     /* 1606178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606224 */     // MIs[0] policy
     /* 1606224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606258 */     // GIR_Coverage, 3485,
     /* 1606258 */     GIR_EraseRootFromParent_Done,
     /* 1606259 */   // Label 22161: @1606259
     /* 1606259 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1606345), // Rule ID 3488 //
     /* 1606264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606310 */     // MIs[0] policy
     /* 1606310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606344 */     // GIR_Coverage, 3488,
     /* 1606344 */     GIR_EraseRootFromParent_Done,
     /* 1606345 */   // Label 22162: @1606345
     /* 1606345 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1606431), // Rule ID 3489 //
     /* 1606350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606396 */     // MIs[0] policy
     /* 1606396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606430 */     // GIR_Coverage, 3489,
     /* 1606430 */     GIR_EraseRootFromParent_Done,
     /* 1606431 */   // Label 22163: @1606431
     /* 1606431 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1606517), // Rule ID 3492 //
     /* 1606436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606482 */     // MIs[0] policy
     /* 1606482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606516 */     // GIR_Coverage, 3492,
     /* 1606516 */     GIR_EraseRootFromParent_Done,
     /* 1606517 */   // Label 22164: @1606517
     /* 1606517 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1606603), // Rule ID 3493 //
     /* 1606522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606568 */     // MIs[0] policy
     /* 1606568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606602 */     // GIR_Coverage, 3493,
     /* 1606602 */     GIR_EraseRootFromParent_Done,
     /* 1606603 */   // Label 22165: @1606603
     /* 1606603 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1606689), // Rule ID 3496 //
     /* 1606608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606654 */     // MIs[0] policy
     /* 1606654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606688 */     // GIR_Coverage, 3496,
     /* 1606688 */     GIR_EraseRootFromParent_Done,
     /* 1606689 */   // Label 22166: @1606689
     /* 1606689 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1606775), // Rule ID 3497 //
     /* 1606694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606740 */     // MIs[0] policy
     /* 1606740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606774 */     // GIR_Coverage, 3497,
     /* 1606774 */     GIR_EraseRootFromParent_Done,
     /* 1606775 */   // Label 22167: @1606775
     /* 1606775 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1606861), // Rule ID 3500 //
     /* 1606780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606826 */     // MIs[0] policy
     /* 1606826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606860 */     // GIR_Coverage, 3500,
     /* 1606860 */     GIR_EraseRootFromParent_Done,
     /* 1606861 */   // Label 22168: @1606861
     /* 1606861 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1606947), // Rule ID 3501 //
     /* 1606866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606912 */     // MIs[0] policy
     /* 1606912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606946 */     // GIR_Coverage, 3501,
     /* 1606946 */     GIR_EraseRootFromParent_Done,
     /* 1606947 */   // Label 22169: @1606947
     /* 1606947 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1607033), // Rule ID 3504 //
     /* 1606952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606998 */     // MIs[0] policy
     /* 1606998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607032 */     // GIR_Coverage, 3504,
     /* 1607032 */     GIR_EraseRootFromParent_Done,
     /* 1607033 */   // Label 22170: @1607033
     /* 1607033 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607119), // Rule ID 3505 //
     /* 1607038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1607058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607084 */     // MIs[0] policy
     /* 1607084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607118 */     // GIR_Coverage, 3505,
     /* 1607118 */     GIR_EraseRootFromParent_Done,
     /* 1607119 */   // Label 22171: @1607119
     /* 1607119 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607205), // Rule ID 3508 //
     /* 1607124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607170 */     // MIs[0] policy
     /* 1607170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607204 */     // GIR_Coverage, 3508,
     /* 1607204 */     GIR_EraseRootFromParent_Done,
     /* 1607205 */   // Label 22172: @1607205
     /* 1607205 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1607291), // Rule ID 3509 //
     /* 1607210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607256 */     // MIs[0] policy
     /* 1607256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607290 */     // GIR_Coverage, 3509,
     /* 1607290 */     GIR_EraseRootFromParent_Done,
     /* 1607291 */   // Label 22173: @1607291
     /* 1607291 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1607377), // Rule ID 3512 //
     /* 1607296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607342 */     // MIs[0] policy
     /* 1607342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607376 */     // GIR_Coverage, 3512,
     /* 1607376 */     GIR_EraseRootFromParent_Done,
     /* 1607377 */   // Label 22174: @1607377
     /* 1607377 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1607463), // Rule ID 3513 //
     /* 1607382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607428 */     // MIs[0] policy
     /* 1607428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607462 */     // GIR_Coverage, 3513,
     /* 1607462 */     GIR_EraseRootFromParent_Done,
     /* 1607463 */   // Label 22175: @1607463
     /* 1607463 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1607549), // Rule ID 3516 //
     /* 1607468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607514 */     // MIs[0] policy
     /* 1607514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607548 */     // GIR_Coverage, 3516,
     /* 1607548 */     GIR_EraseRootFromParent_Done,
     /* 1607549 */   // Label 22176: @1607549
     /* 1607549 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1607635), // Rule ID 3517 //
     /* 1607554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607600 */     // MIs[0] policy
     /* 1607600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607610 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607634 */     // GIR_Coverage, 3517,
     /* 1607634 */     GIR_EraseRootFromParent_Done,
     /* 1607635 */   // Label 22177: @1607635
     /* 1607635 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1607721), // Rule ID 3520 //
     /* 1607640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607686 */     // MIs[0] policy
     /* 1607686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607720 */     // GIR_Coverage, 3520,
     /* 1607720 */     GIR_EraseRootFromParent_Done,
     /* 1607721 */   // Label 22178: @1607721
     /* 1607721 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1607807), // Rule ID 3521 //
     /* 1607726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607772 */     // MIs[0] policy
     /* 1607772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607806 */     // GIR_Coverage, 3521,
     /* 1607806 */     GIR_EraseRootFromParent_Done,
     /* 1607807 */   // Label 22179: @1607807
     /* 1607807 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1607893), // Rule ID 3524 //
     /* 1607812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607858 */     // MIs[0] policy
     /* 1607858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607892 */     // GIR_Coverage, 3524,
     /* 1607892 */     GIR_EraseRootFromParent_Done,
     /* 1607893 */   // Label 22180: @1607893
     /* 1607893 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1607979), // Rule ID 3525 //
     /* 1607898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607944 */     // MIs[0] policy
     /* 1607944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607978 */     // GIR_Coverage, 3525,
     /* 1607978 */     GIR_EraseRootFromParent_Done,
     /* 1607979 */   // Label 22181: @1607979
     /* 1607979 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1608065), // Rule ID 3528 //
     /* 1607984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608030 */     // MIs[0] policy
     /* 1608030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1608043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608064 */     // GIR_Coverage, 3528,
     /* 1608064 */     GIR_EraseRootFromParent_Done,
     /* 1608065 */   // Label 22182: @1608065
     /* 1608065 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608151), // Rule ID 3529 //
     /* 1608070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608116 */     // MIs[0] policy
     /* 1608116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1608129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608150 */     // GIR_Coverage, 3529,
     /* 1608150 */     GIR_EraseRootFromParent_Done,
     /* 1608151 */   // Label 22183: @1608151
     /* 1608151 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1608237), // Rule ID 3532 //
     /* 1608156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608202 */     // MIs[0] policy
     /* 1608202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1608215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608236 */     // GIR_Coverage, 3532,
     /* 1608236 */     GIR_EraseRootFromParent_Done,
     /* 1608237 */   // Label 22184: @1608237
     /* 1608237 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1608323), // Rule ID 3533 //
     /* 1608242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608288 */     // MIs[0] policy
     /* 1608288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1608301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608322 */     // GIR_Coverage, 3533,
     /* 1608322 */     GIR_EraseRootFromParent_Done,
     /* 1608323 */   // Label 22185: @1608323
     /* 1608323 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1608409), // Rule ID 3536 //
     /* 1608328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608374 */     // MIs[0] policy
     /* 1608374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608408 */     // GIR_Coverage, 3536,
     /* 1608408 */     GIR_EraseRootFromParent_Done,
     /* 1608409 */   // Label 22186: @1608409
     /* 1608409 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1608495), // Rule ID 3537 //
     /* 1608414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608460 */     // MIs[0] policy
     /* 1608460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608470 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608494 */     // GIR_Coverage, 3537,
     /* 1608494 */     GIR_EraseRootFromParent_Done,
     /* 1608495 */   // Label 22187: @1608495
     /* 1608495 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1608581), // Rule ID 3540 //
     /* 1608500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608546 */     // MIs[0] policy
     /* 1608546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608580 */     // GIR_Coverage, 3540,
     /* 1608580 */     GIR_EraseRootFromParent_Done,
     /* 1608581 */   // Label 22188: @1608581
     /* 1608581 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1608667), // Rule ID 3541 //
     /* 1608586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608632 */     // MIs[0] policy
     /* 1608632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608666 */     // GIR_Coverage, 3541,
     /* 1608666 */     GIR_EraseRootFromParent_Done,
     /* 1608667 */   // Label 22189: @1608667
     /* 1608667 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1608753), // Rule ID 3544 //
     /* 1608672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608718 */     // MIs[0] policy
     /* 1608718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608752 */     // GIR_Coverage, 3544,
     /* 1608752 */     GIR_EraseRootFromParent_Done,
     /* 1608753 */   // Label 22190: @1608753
     /* 1608753 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1608839), // Rule ID 3545 //
     /* 1608758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608804 */     // MIs[0] policy
     /* 1608804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608838 */     // GIR_Coverage, 3545,
     /* 1608838 */     GIR_EraseRootFromParent_Done,
     /* 1608839 */   // Label 22191: @1608839
     /* 1608839 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1608925), // Rule ID 3548 //
     /* 1608844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608890 */     // MIs[0] policy
     /* 1608890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608924 */     // GIR_Coverage, 3548,
     /* 1608924 */     GIR_EraseRootFromParent_Done,
     /* 1608925 */   // Label 22192: @1608925
     /* 1608925 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1609011), // Rule ID 3549 //
     /* 1608930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608976 */     // MIs[0] policy
     /* 1608976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609010 */     // GIR_Coverage, 3549,
     /* 1609010 */     GIR_EraseRootFromParent_Done,
     /* 1609011 */   // Label 22193: @1609011
     /* 1609011 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609097), // Rule ID 3552 //
     /* 1609016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1609027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1609030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609062 */     // MIs[0] policy
     /* 1609062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609096 */     // GIR_Coverage, 3552,
     /* 1609096 */     GIR_EraseRootFromParent_Done,
     /* 1609097 */   // Label 22194: @1609097
     /* 1609097 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609183), // Rule ID 3553 //
     /* 1609102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1609113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1609116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609148 */     // MIs[0] policy
     /* 1609148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609182 */     // GIR_Coverage, 3553,
     /* 1609182 */     GIR_EraseRootFromParent_Done,
     /* 1609183 */   // Label 22195: @1609183
     /* 1609183 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1609269), // Rule ID 3556 //
     /* 1609188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609234 */     // MIs[0] policy
     /* 1609234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1609247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609268 */     // GIR_Coverage, 3556,
     /* 1609268 */     GIR_EraseRootFromParent_Done,
     /* 1609269 */   // Label 22196: @1609269
     /* 1609269 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1609355), // Rule ID 3557 //
     /* 1609274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609320 */     // MIs[0] policy
     /* 1609320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1609333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609354 */     // GIR_Coverage, 3557,
     /* 1609354 */     GIR_EraseRootFromParent_Done,
     /* 1609355 */   // Label 22197: @1609355
     /* 1609355 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1609441), // Rule ID 3560 //
     /* 1609360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609406 */     // MIs[0] policy
     /* 1609406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609440 */     // GIR_Coverage, 3560,
     /* 1609440 */     GIR_EraseRootFromParent_Done,
     /* 1609441 */   // Label 22198: @1609441
     /* 1609441 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1609527), // Rule ID 3561 //
     /* 1609446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609492 */     // MIs[0] policy
     /* 1609492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609526 */     // GIR_Coverage, 3561,
     /* 1609526 */     GIR_EraseRootFromParent_Done,
     /* 1609527 */   // Label 22199: @1609527
     /* 1609527 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1609613), // Rule ID 3564 //
     /* 1609532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609578 */     // MIs[0] policy
     /* 1609578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609612 */     // GIR_Coverage, 3564,
     /* 1609612 */     GIR_EraseRootFromParent_Done,
     /* 1609613 */   // Label 22200: @1609613
     /* 1609613 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1609699), // Rule ID 3565 //
     /* 1609618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609664 */     // MIs[0] policy
     /* 1609664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609698 */     // GIR_Coverage, 3565,
     /* 1609698 */     GIR_EraseRootFromParent_Done,
     /* 1609699 */   // Label 22201: @1609699
     /* 1609699 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1609785), // Rule ID 3568 //
     /* 1609704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609750 */     // MIs[0] policy
     /* 1609750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609784 */     // GIR_Coverage, 3568,
     /* 1609784 */     GIR_EraseRootFromParent_Done,
     /* 1609785 */   // Label 22202: @1609785
     /* 1609785 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1609871), // Rule ID 3569 //
     /* 1609790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609836 */     // MIs[0] policy
     /* 1609836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609870 */     // GIR_Coverage, 3569,
     /* 1609870 */     GIR_EraseRootFromParent_Done,
     /* 1609871 */   // Label 22203: @1609871
     /* 1609871 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1609957), // Rule ID 3572 //
     /* 1609876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609922 */     // MIs[0] policy
     /* 1609922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609956 */     // GIR_Coverage, 3572,
     /* 1609956 */     GIR_EraseRootFromParent_Done,
     /* 1609957 */   // Label 22204: @1609957
     /* 1609957 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1610043), // Rule ID 3573 //
     /* 1609962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610008 */     // MIs[0] policy
     /* 1610008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610042 */     // GIR_Coverage, 3573,
     /* 1610042 */     GIR_EraseRootFromParent_Done,
     /* 1610043 */   // Label 22205: @1610043
     /* 1610043 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610129), // Rule ID 3576 //
     /* 1610048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1610065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610094 */     // MIs[0] policy
     /* 1610094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1610107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610128 */     // GIR_Coverage, 3576,
     /* 1610128 */     GIR_EraseRootFromParent_Done,
     /* 1610129 */   // Label 22206: @1610129
     /* 1610129 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1610215), // Rule ID 3577 //
     /* 1610134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1610151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610180 */     // MIs[0] policy
     /* 1610180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1610193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610214 */     // GIR_Coverage, 3577,
     /* 1610214 */     GIR_EraseRootFromParent_Done,
     /* 1610215 */   // Label 22207: @1610215
     /* 1610215 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1610301), // Rule ID 3580 //
     /* 1610220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1610231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1610234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610266 */     // MIs[0] policy
     /* 1610266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1610279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610300 */     // GIR_Coverage, 3580,
     /* 1610300 */     GIR_EraseRootFromParent_Done,
     /* 1610301 */   // Label 22208: @1610301
     /* 1610301 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1610387), // Rule ID 3581 //
     /* 1610306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1610317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1610320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610352 */     // MIs[0] policy
     /* 1610352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1610365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610386 */     // GIR_Coverage, 3581,
     /* 1610386 */     GIR_EraseRootFromParent_Done,
     /* 1610387 */   // Label 22209: @1610387
     /* 1610387 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1610473), // Rule ID 3584 //
     /* 1610392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610438 */     // MIs[0] policy
     /* 1610438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610472 */     // GIR_Coverage, 3584,
     /* 1610472 */     GIR_EraseRootFromParent_Done,
     /* 1610473 */   // Label 22210: @1610473
     /* 1610473 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1610559), // Rule ID 3585 //
     /* 1610478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610524 */     // MIs[0] policy
     /* 1610524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610558 */     // GIR_Coverage, 3585,
     /* 1610558 */     GIR_EraseRootFromParent_Done,
     /* 1610559 */   // Label 22211: @1610559
     /* 1610559 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1610645), // Rule ID 3588 //
     /* 1610564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610610 */     // MIs[0] policy
     /* 1610610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610620 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610644 */     // GIR_Coverage, 3588,
     /* 1610644 */     GIR_EraseRootFromParent_Done,
     /* 1610645 */   // Label 22212: @1610645
     /* 1610645 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1610731), // Rule ID 3589 //
     /* 1610650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610696 */     // MIs[0] policy
     /* 1610696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610730 */     // GIR_Coverage, 3589,
     /* 1610730 */     GIR_EraseRootFromParent_Done,
     /* 1610731 */   // Label 22213: @1610731
     /* 1610731 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1610817), // Rule ID 3592 //
     /* 1610736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610782 */     // MIs[0] policy
     /* 1610782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610816 */     // GIR_Coverage, 3592,
     /* 1610816 */     GIR_EraseRootFromParent_Done,
     /* 1610817 */   // Label 22214: @1610817
     /* 1610817 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1610903), // Rule ID 3593 //
     /* 1610822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610868 */     // MIs[0] policy
     /* 1610868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610902 */     // GIR_Coverage, 3593,
     /* 1610902 */     GIR_EraseRootFromParent_Done,
     /* 1610903 */   // Label 22215: @1610903
     /* 1610903 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1610989), // Rule ID 3596 //
     /* 1610908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610954 */     // MIs[0] policy
     /* 1610954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610988 */     // GIR_Coverage, 3596,
     /* 1610988 */     GIR_EraseRootFromParent_Done,
     /* 1610989 */   // Label 22216: @1610989
     /* 1610989 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1611075), // Rule ID 3597 //
     /* 1610994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1611005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1611008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1611011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1611014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611040 */     // MIs[0] policy
     /* 1611040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611074 */     // GIR_Coverage, 3597,
     /* 1611074 */     GIR_EraseRootFromParent_Done,
     /* 1611075 */   // Label 22217: @1611075
     /* 1611075 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611161), // Rule ID 3600 //
     /* 1611080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1611091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1611094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1611097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1611100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611126 */     // MIs[0] policy
     /* 1611126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611160 */     // GIR_Coverage, 3600,
     /* 1611160 */     GIR_EraseRootFromParent_Done,
     /* 1611161 */   // Label 22218: @1611161
     /* 1611161 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1611247), // Rule ID 3601 //
     /* 1611166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1611177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1611180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1611183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1611186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611212 */     // MIs[0] policy
     /* 1611212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611246 */     // GIR_Coverage, 3601,
     /* 1611246 */     GIR_EraseRootFromParent_Done,
     /* 1611247 */   // Label 22219: @1611247
     /* 1611247 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1611333), // Rule ID 3604 //
     /* 1611252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1611269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1611272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611298 */     // MIs[0] policy
     /* 1611298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611332 */     // GIR_Coverage, 3604,
     /* 1611332 */     GIR_EraseRootFromParent_Done,
     /* 1611333 */   // Label 22220: @1611333
     /* 1611333 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1611419), // Rule ID 3605 //
     /* 1611338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1611355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1611358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611384 */     // MIs[0] policy
     /* 1611384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611418 */     // GIR_Coverage, 3605,
     /* 1611418 */     GIR_EraseRootFromParent_Done,
     /* 1611419 */   // Label 22221: @1611419
     /* 1611419 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1611505), // Rule ID 3608 //
     /* 1611424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611470 */     // MIs[0] policy
     /* 1611470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611504 */     // GIR_Coverage, 3608,
     /* 1611504 */     GIR_EraseRootFromParent_Done,
     /* 1611505 */   // Label 22222: @1611505
     /* 1611505 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1611591), // Rule ID 3609 //
     /* 1611510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611556 */     // MIs[0] policy
     /* 1611556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611590 */     // GIR_Coverage, 3609,
     /* 1611590 */     GIR_EraseRootFromParent_Done,
     /* 1611591 */   // Label 22223: @1611591
     /* 1611591 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1611677), // Rule ID 3612 //
     /* 1611596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611642 */     // MIs[0] policy
     /* 1611642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611676 */     // GIR_Coverage, 3612,
     /* 1611676 */     GIR_EraseRootFromParent_Done,
     /* 1611677 */   // Label 22224: @1611677
     /* 1611677 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1611763), // Rule ID 3613 //
     /* 1611682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611728 */     // MIs[0] policy
     /* 1611728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611762 */     // GIR_Coverage, 3613,
     /* 1611762 */     GIR_EraseRootFromParent_Done,
     /* 1611763 */   // Label 22225: @1611763
     /* 1611763 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1611849), // Rule ID 3616 //
     /* 1611768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611814 */     // MIs[0] policy
     /* 1611814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611848 */     // GIR_Coverage, 3616,
     /* 1611848 */     GIR_EraseRootFromParent_Done,
     /* 1611849 */   // Label 22226: @1611849
     /* 1611849 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1611935), // Rule ID 3617 //
     /* 1611854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611900 */     // MIs[0] policy
     /* 1611900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611934 */     // GIR_Coverage, 3617,
     /* 1611934 */     GIR_EraseRootFromParent_Done,
     /* 1611935 */   // Label 22227: @1611935
     /* 1611935 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1612021), // Rule ID 3620 //
     /* 1611940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611986 */     // MIs[0] policy
     /* 1611986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612020 */     // GIR_Coverage, 3620,
     /* 1612020 */     GIR_EraseRootFromParent_Done,
     /* 1612021 */   // Label 22228: @1612021
     /* 1612021 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612107), // Rule ID 3621 //
     /* 1612026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1612037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1612040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1612043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1612046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612072 */     // MIs[0] policy
     /* 1612072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612106 */     // GIR_Coverage, 3621,
     /* 1612106 */     GIR_EraseRootFromParent_Done,
     /* 1612107 */   // Label 22229: @1612107
     /* 1612107 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612193), // Rule ID 3624 //
     /* 1612112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1612123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1612126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1612129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1612132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612158 */     // MIs[0] policy
     /* 1612158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612192 */     // GIR_Coverage, 3624,
     /* 1612192 */     GIR_EraseRootFromParent_Done,
     /* 1612193 */   // Label 22230: @1612193
     /* 1612193 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1612279), // Rule ID 3625 //
     /* 1612198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1612209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1612212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1612215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1612218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612244 */     // MIs[0] policy
     /* 1612244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612278 */     // GIR_Coverage, 3625,
     /* 1612278 */     GIR_EraseRootFromParent_Done,
     /* 1612279 */   // Label 22231: @1612279
     /* 1612279 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1612365), // Rule ID 3628 //
     /* 1612284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1612295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1612298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1612301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1612304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612330 */     // MIs[0] policy
     /* 1612330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612364 */     // GIR_Coverage, 3628,
     /* 1612364 */     GIR_EraseRootFromParent_Done,
     /* 1612365 */   // Label 22232: @1612365
     /* 1612365 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1612451), // Rule ID 3629 //
     /* 1612370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1612381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1612384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1612387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1612390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612416 */     // MIs[0] policy
     /* 1612416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612450 */     // GIR_Coverage, 3629,
     /* 1612450 */     GIR_EraseRootFromParent_Done,
     /* 1612451 */   // Label 22233: @1612451
     /* 1612451 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1612537), // Rule ID 3632 //
     /* 1612456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612502 */     // MIs[0] policy
     /* 1612502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612536 */     // GIR_Coverage, 3632,
     /* 1612536 */     GIR_EraseRootFromParent_Done,
     /* 1612537 */   // Label 22234: @1612537
     /* 1612537 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1612623), // Rule ID 3633 //
     /* 1612542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612588 */     // MIs[0] policy
     /* 1612588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612622 */     // GIR_Coverage, 3633,
     /* 1612622 */     GIR_EraseRootFromParent_Done,
     /* 1612623 */   // Label 22235: @1612623
     /* 1612623 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1612709), // Rule ID 3636 //
     /* 1612628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612674 */     // MIs[0] policy
     /* 1612674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612708 */     // GIR_Coverage, 3636,
     /* 1612708 */     GIR_EraseRootFromParent_Done,
     /* 1612709 */   // Label 22236: @1612709
     /* 1612709 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1612795), // Rule ID 3637 //
     /* 1612714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612760 */     // MIs[0] policy
     /* 1612760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612794 */     // GIR_Coverage, 3637,
     /* 1612794 */     GIR_EraseRootFromParent_Done,
     /* 1612795 */   // Label 22237: @1612795
     /* 1612795 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1612881), // Rule ID 3640 //
     /* 1612800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612846 */     // MIs[0] policy
     /* 1612846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612880 */     // GIR_Coverage, 3640,
     /* 1612880 */     GIR_EraseRootFromParent_Done,
     /* 1612881 */   // Label 22238: @1612881
     /* 1612881 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1612967), // Rule ID 3641 //
     /* 1612886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612932 */     // MIs[0] policy
     /* 1612932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612966 */     // GIR_Coverage, 3641,
     /* 1612966 */     GIR_EraseRootFromParent_Done,
     /* 1612967 */   // Label 22239: @1612967
     /* 1612967 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1613053), // Rule ID 3644 //
     /* 1612972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613018 */     // MIs[0] policy
     /* 1613018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1613031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613052 */     // GIR_Coverage, 3644,
     /* 1613052 */     GIR_EraseRootFromParent_Done,
     /* 1613053 */   // Label 22240: @1613053
     /* 1613053 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613139), // Rule ID 3645 //
     /* 1613058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1613069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1613072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1613075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1613078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613104 */     // MIs[0] policy
     /* 1613104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1613117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613138 */     // GIR_Coverage, 3645,
     /* 1613138 */     GIR_EraseRootFromParent_Done,
     /* 1613139 */   // Label 22241: @1613139
     /* 1613139 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1613225), // Rule ID 3648 //
     /* 1613144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1613155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1613158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1613161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1613164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613190 */     // MIs[0] policy
     /* 1613190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1613203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613224 */     // GIR_Coverage, 3648,
     /* 1613224 */     GIR_EraseRootFromParent_Done,
     /* 1613225 */   // Label 22242: @1613225
     /* 1613225 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1613311), // Rule ID 3649 //
     /* 1613230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1613241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1613244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1613247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1613250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613276 */     // MIs[0] policy
     /* 1613276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1613289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613310 */     // GIR_Coverage, 3649,
     /* 1613310 */     GIR_EraseRootFromParent_Done,
     /* 1613311 */   // Label 22243: @1613311
     /* 1613311 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1613397), // Rule ID 3652 //
     /* 1613316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1613333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613362 */     // MIs[0] policy
     /* 1613362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613396 */     // GIR_Coverage, 3652,
     /* 1613396 */     GIR_EraseRootFromParent_Done,
     /* 1613397 */   // Label 22244: @1613397
     /* 1613397 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1613483), // Rule ID 3653 //
     /* 1613402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1613419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613448 */     // MIs[0] policy
     /* 1613448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613482 */     // GIR_Coverage, 3653,
     /* 1613482 */     GIR_EraseRootFromParent_Done,
     /* 1613483 */   // Label 22245: @1613483
     /* 1613483 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1613569), // Rule ID 3656 //
     /* 1613488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613534 */     // MIs[0] policy
     /* 1613534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613568 */     // GIR_Coverage, 3656,
     /* 1613568 */     GIR_EraseRootFromParent_Done,
     /* 1613569 */   // Label 22246: @1613569
     /* 1613569 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1613655), // Rule ID 3657 //
     /* 1613574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613620 */     // MIs[0] policy
     /* 1613620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613654 */     // GIR_Coverage, 3657,
     /* 1613654 */     GIR_EraseRootFromParent_Done,
     /* 1613655 */   // Label 22247: @1613655
     /* 1613655 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1613741), // Rule ID 3660 //
     /* 1613660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613706 */     // MIs[0] policy
     /* 1613706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613740 */     // GIR_Coverage, 3660,
     /* 1613740 */     GIR_EraseRootFromParent_Done,
     /* 1613741 */   // Label 22248: @1613741
     /* 1613741 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1613827), // Rule ID 3661 //
     /* 1613746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613792 */     // MIs[0] policy
     /* 1613792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613826 */     // GIR_Coverage, 3661,
     /* 1613826 */     GIR_EraseRootFromParent_Done,
     /* 1613827 */   // Label 22249: @1613827
     /* 1613827 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1613913), // Rule ID 3664 //
     /* 1613832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613878 */     // MIs[0] policy
     /* 1613878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613912 */     // GIR_Coverage, 3664,
     /* 1613912 */     GIR_EraseRootFromParent_Done,
     /* 1613913 */   // Label 22250: @1613913
     /* 1613913 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1613999), // Rule ID 3665 //
     /* 1613918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613964 */     // MIs[0] policy
     /* 1613964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613998 */     // GIR_Coverage, 3665,
     /* 1613998 */     GIR_EraseRootFromParent_Done,
     /* 1613999 */   // Label 22251: @1613999
     /* 1613999 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1614085), // Rule ID 3668 //
     /* 1614004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614050 */     // MIs[0] policy
     /* 1614050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614084 */     // GIR_Coverage, 3668,
     /* 1614084 */     GIR_EraseRootFromParent_Done,
     /* 1614085 */   // Label 22252: @1614085
     /* 1614085 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614171), // Rule ID 3669 //
     /* 1614090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614136 */     // MIs[0] policy
     /* 1614136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614170 */     // GIR_Coverage, 3669,
     /* 1614170 */     GIR_EraseRootFromParent_Done,
     /* 1614171 */   // Label 22253: @1614171
     /* 1614171 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1614257), // Rule ID 3672 //
     /* 1614176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614222 */     // MIs[0] policy
     /* 1614222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614256 */     // GIR_Coverage, 3672,
     /* 1614256 */     GIR_EraseRootFromParent_Done,
     /* 1614257 */   // Label 22254: @1614257
     /* 1614257 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1614343), // Rule ID 3673 //
     /* 1614262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614308 */     // MIs[0] policy
     /* 1614308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614342 */     // GIR_Coverage, 3673,
     /* 1614342 */     GIR_EraseRootFromParent_Done,
     /* 1614343 */   // Label 22255: @1614343
     /* 1614343 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1614429), // Rule ID 3676 //
     /* 1614348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614394 */     // MIs[0] policy
     /* 1614394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614428 */     // GIR_Coverage, 3676,
     /* 1614428 */     GIR_EraseRootFromParent_Done,
     /* 1614429 */   // Label 22256: @1614429
     /* 1614429 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1614515), // Rule ID 3677 //
     /* 1614434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614480 */     // MIs[0] policy
     /* 1614480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614514 */     // GIR_Coverage, 3677,
     /* 1614514 */     GIR_EraseRootFromParent_Done,
     /* 1614515 */   // Label 22257: @1614515
     /* 1614515 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1614601), // Rule ID 3680 //
     /* 1614520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614566 */     // MIs[0] policy
     /* 1614566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614600 */     // GIR_Coverage, 3680,
     /* 1614600 */     GIR_EraseRootFromParent_Done,
     /* 1614601 */   // Label 22258: @1614601
     /* 1614601 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1614687), // Rule ID 3681 //
     /* 1614606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614652 */     // MIs[0] policy
     /* 1614652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614686 */     // GIR_Coverage, 3681,
     /* 1614686 */     GIR_EraseRootFromParent_Done,
     /* 1614687 */   // Label 22259: @1614687
     /* 1614687 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1614773), // Rule ID 3684 //
     /* 1614692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614738 */     // MIs[0] policy
     /* 1614738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614772 */     // GIR_Coverage, 3684,
     /* 1614772 */     GIR_EraseRootFromParent_Done,
     /* 1614773 */   // Label 22260: @1614773
     /* 1614773 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1614859), // Rule ID 3685 //
     /* 1614778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614824 */     // MIs[0] policy
     /* 1614824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614858 */     // GIR_Coverage, 3685,
     /* 1614858 */     GIR_EraseRootFromParent_Done,
     /* 1614859 */   // Label 22261: @1614859
     /* 1614859 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1614945), // Rule ID 3688 //
     /* 1614864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614910 */     // MIs[0] policy
     /* 1614910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614944 */     // GIR_Coverage, 3688,
     /* 1614944 */     GIR_EraseRootFromParent_Done,
     /* 1614945 */   // Label 22262: @1614945
     /* 1614945 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1615031), // Rule ID 3689 //
     /* 1614950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614996 */     // MIs[0] policy
     /* 1614996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615030 */     // GIR_Coverage, 3689,
     /* 1615030 */     GIR_EraseRootFromParent_Done,
     /* 1615031 */   // Label 22263: @1615031
     /* 1615031 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615117), // Rule ID 3692 //
     /* 1615036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615082 */     // MIs[0] policy
     /* 1615082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615116 */     // GIR_Coverage, 3692,
     /* 1615116 */     GIR_EraseRootFromParent_Done,
     /* 1615117 */   // Label 22264: @1615117
     /* 1615117 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615203), // Rule ID 3693 //
     /* 1615122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615168 */     // MIs[0] policy
     /* 1615168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615202 */     // GIR_Coverage, 3693,
     /* 1615202 */     GIR_EraseRootFromParent_Done,
     /* 1615203 */   // Label 22265: @1615203
     /* 1615203 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1615289), // Rule ID 3696 //
     /* 1615208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1615219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1615222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1615225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615254 */     // MIs[0] policy
     /* 1615254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1615267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615288 */     // GIR_Coverage, 3696,
     /* 1615288 */     GIR_EraseRootFromParent_Done,
     /* 1615289 */   // Label 22266: @1615289
     /* 1615289 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1615375), // Rule ID 3697 //
     /* 1615294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1615305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1615308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1615311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615340 */     // MIs[0] policy
     /* 1615340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1615353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615374 */     // GIR_Coverage, 3697,
     /* 1615374 */     GIR_EraseRootFromParent_Done,
     /* 1615375 */   // Label 22267: @1615375
     /* 1615375 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1615461), // Rule ID 3700 //
     /* 1615380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615426 */     // MIs[0] policy
     /* 1615426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615460 */     // GIR_Coverage, 3700,
     /* 1615460 */     GIR_EraseRootFromParent_Done,
     /* 1615461 */   // Label 22268: @1615461
     /* 1615461 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1615547), // Rule ID 3701 //
     /* 1615466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615512 */     // MIs[0] policy
     /* 1615512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615546 */     // GIR_Coverage, 3701,
     /* 1615546 */     GIR_EraseRootFromParent_Done,
     /* 1615547 */   // Label 22269: @1615547
     /* 1615547 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1615633), // Rule ID 3704 //
     /* 1615552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615598 */     // MIs[0] policy
     /* 1615598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615632 */     // GIR_Coverage, 3704,
     /* 1615632 */     GIR_EraseRootFromParent_Done,
     /* 1615633 */   // Label 22270: @1615633
     /* 1615633 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1615719), // Rule ID 3705 //
     /* 1615638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615684 */     // MIs[0] policy
     /* 1615684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615718 */     // GIR_Coverage, 3705,
     /* 1615718 */     GIR_EraseRootFromParent_Done,
     /* 1615719 */   // Label 22271: @1615719
     /* 1615719 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1615805), // Rule ID 3708 //
     /* 1615724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615770 */     // MIs[0] policy
     /* 1615770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615804 */     // GIR_Coverage, 3708,
     /* 1615804 */     GIR_EraseRootFromParent_Done,
     /* 1615805 */   // Label 22272: @1615805
     /* 1615805 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1615891), // Rule ID 3709 //
     /* 1615810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615856 */     // MIs[0] policy
     /* 1615856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615890 */     // GIR_Coverage, 3709,
     /* 1615890 */     GIR_EraseRootFromParent_Done,
     /* 1615891 */   // Label 22273: @1615891
     /* 1615891 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1615977), // Rule ID 3712 //
     /* 1615896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615942 */     // MIs[0] policy
     /* 1615942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615976 */     // GIR_Coverage, 3712,
     /* 1615976 */     GIR_EraseRootFromParent_Done,
     /* 1615977 */   // Label 22274: @1615977
     /* 1615977 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1616063), // Rule ID 3713 //
     /* 1615982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1616002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616028 */     // MIs[0] policy
     /* 1616028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1616041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616062 */     // GIR_Coverage, 3713,
     /* 1616062 */     GIR_EraseRootFromParent_Done,
     /* 1616063 */   // Label 22275: @1616063
     /* 1616063 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616149), // Rule ID 3716 //
     /* 1616068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616114 */     // MIs[0] policy
     /* 1616114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616148 */     // GIR_Coverage, 3716,
     /* 1616148 */     GIR_EraseRootFromParent_Done,
     /* 1616149 */   // Label 22276: @1616149
     /* 1616149 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1616235), // Rule ID 3717 //
     /* 1616154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616200 */     // MIs[0] policy
     /* 1616200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616234 */     // GIR_Coverage, 3717,
     /* 1616234 */     GIR_EraseRootFromParent_Done,
     /* 1616235 */   // Label 22277: @1616235
     /* 1616235 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1616321), // Rule ID 3720 //
     /* 1616240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616286 */     // MIs[0] policy
     /* 1616286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616320 */     // GIR_Coverage, 3720,
     /* 1616320 */     GIR_EraseRootFromParent_Done,
     /* 1616321 */   // Label 22278: @1616321
     /* 1616321 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1616407), // Rule ID 3721 //
     /* 1616326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616372 */     // MIs[0] policy
     /* 1616372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616406 */     // GIR_Coverage, 3721,
     /* 1616406 */     GIR_EraseRootFromParent_Done,
     /* 1616407 */   // Label 22279: @1616407
     /* 1616407 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1616493), // Rule ID 3724 //
     /* 1616412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616458 */     // MIs[0] policy
     /* 1616458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616492 */     // GIR_Coverage, 3724,
     /* 1616492 */     GIR_EraseRootFromParent_Done,
     /* 1616493 */   // Label 22280: @1616493
     /* 1616493 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1616579), // Rule ID 3725 //
     /* 1616498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616544 */     // MIs[0] policy
     /* 1616544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616578 */     // GIR_Coverage, 3725,
     /* 1616578 */     GIR_EraseRootFromParent_Done,
     /* 1616579 */   // Label 22281: @1616579
     /* 1616579 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1616665), // Rule ID 3728 //
     /* 1616584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616630 */     // MIs[0] policy
     /* 1616630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616664 */     // GIR_Coverage, 3728,
     /* 1616664 */     GIR_EraseRootFromParent_Done,
     /* 1616665 */   // Label 22282: @1616665
     /* 1616665 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1616751), // Rule ID 3729 //
     /* 1616670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616716 */     // MIs[0] policy
     /* 1616716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616750 */     // GIR_Coverage, 3729,
     /* 1616750 */     GIR_EraseRootFromParent_Done,
     /* 1616751 */   // Label 22283: @1616751
     /* 1616751 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1616837), // Rule ID 3732 //
     /* 1616756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616802 */     // MIs[0] policy
     /* 1616802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616836 */     // GIR_Coverage, 3732,
     /* 1616836 */     GIR_EraseRootFromParent_Done,
     /* 1616837 */   // Label 22284: @1616837
     /* 1616837 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1616923), // Rule ID 3733 //
     /* 1616842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616888 */     // MIs[0] policy
     /* 1616888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616922 */     // GIR_Coverage, 3733,
     /* 1616922 */     GIR_EraseRootFromParent_Done,
     /* 1616923 */   // Label 22285: @1616923
     /* 1616923 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1617009), // Rule ID 3736 //
     /* 1616928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616974 */     // MIs[0] policy
     /* 1616974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617008 */     // GIR_Coverage, 3736,
     /* 1617008 */     GIR_EraseRootFromParent_Done,
     /* 1617009 */   // Label 22286: @1617009
     /* 1617009 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617095), // Rule ID 3737 //
     /* 1617014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1617034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617060 */     // MIs[0] policy
     /* 1617060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1617073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617094 */     // GIR_Coverage, 3737,
     /* 1617094 */     GIR_EraseRootFromParent_Done,
     /* 1617095 */   // Label 22287: @1617095
     /* 1617095 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617181), // Rule ID 3740 //
     /* 1617100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617146 */     // MIs[0] policy
     /* 1617146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617180 */     // GIR_Coverage, 3740,
     /* 1617180 */     GIR_EraseRootFromParent_Done,
     /* 1617181 */   // Label 22288: @1617181
     /* 1617181 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1617267), // Rule ID 3741 //
     /* 1617186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617232 */     // MIs[0] policy
     /* 1617232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617266 */     // GIR_Coverage, 3741,
     /* 1617266 */     GIR_EraseRootFromParent_Done,
     /* 1617267 */   // Label 22289: @1617267
     /* 1617267 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1617353), // Rule ID 3744 //
     /* 1617272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617318 */     // MIs[0] policy
     /* 1617318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617352 */     // GIR_Coverage, 3744,
     /* 1617352 */     GIR_EraseRootFromParent_Done,
     /* 1617353 */   // Label 22290: @1617353
     /* 1617353 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1617439), // Rule ID 3745 //
     /* 1617358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617404 */     // MIs[0] policy
     /* 1617404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617438 */     // GIR_Coverage, 3745,
     /* 1617438 */     GIR_EraseRootFromParent_Done,
     /* 1617439 */   // Label 22291: @1617439
     /* 1617439 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1617525), // Rule ID 3748 //
     /* 1617444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617490 */     // MIs[0] policy
     /* 1617490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617524 */     // GIR_Coverage, 3748,
     /* 1617524 */     GIR_EraseRootFromParent_Done,
     /* 1617525 */   // Label 22292: @1617525
     /* 1617525 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1617611), // Rule ID 3749 //
     /* 1617530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617576 */     // MIs[0] policy
     /* 1617576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617610 */     // GIR_Coverage, 3749,
     /* 1617610 */     GIR_EraseRootFromParent_Done,
     /* 1617611 */   // Label 22293: @1617611
     /* 1617611 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1617697), // Rule ID 3752 //
     /* 1617616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617662 */     // MIs[0] policy
     /* 1617662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617696 */     // GIR_Coverage, 3752,
     /* 1617696 */     GIR_EraseRootFromParent_Done,
     /* 1617697 */   // Label 22294: @1617697
     /* 1617697 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1617783), // Rule ID 3753 //
     /* 1617702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617748 */     // MIs[0] policy
     /* 1617748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617782 */     // GIR_Coverage, 3753,
     /* 1617782 */     GIR_EraseRootFromParent_Done,
     /* 1617783 */   // Label 22295: @1617783
     /* 1617783 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1617869), // Rule ID 3756 //
     /* 1617788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617834 */     // MIs[0] policy
     /* 1617834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617868 */     // GIR_Coverage, 3756,
     /* 1617868 */     GIR_EraseRootFromParent_Done,
     /* 1617869 */   // Label 22296: @1617869
     /* 1617869 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1617955), // Rule ID 3757 //
     /* 1617874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617920 */     // MIs[0] policy
     /* 1617920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617954 */     // GIR_Coverage, 3757,
     /* 1617954 */     GIR_EraseRootFromParent_Done,
     /* 1617955 */   // Label 22297: @1617955
     /* 1617955 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1618041), // Rule ID 3760 //
     /* 1617960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618006 */     // MIs[0] policy
     /* 1618006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1618019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618040 */     // GIR_Coverage, 3760,
     /* 1618040 */     GIR_EraseRootFromParent_Done,
     /* 1618041 */   // Label 22298: @1618041
     /* 1618041 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618127), // Rule ID 3761 //
     /* 1618046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1618066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618092 */     // MIs[0] policy
     /* 1618092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1618105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618126 */     // GIR_Coverage, 3761,
     /* 1618126 */     GIR_EraseRootFromParent_Done,
     /* 1618127 */   // Label 22299: @1618127
     /* 1618127 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1618213), // Rule ID 3764 //
     /* 1618132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618178 */     // MIs[0] policy
     /* 1618178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1618191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618212 */     // GIR_Coverage, 3764,
     /* 1618212 */     GIR_EraseRootFromParent_Done,
     /* 1618213 */   // Label 22300: @1618213
     /* 1618213 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1618299), // Rule ID 3765 //
     /* 1618218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618264 */     // MIs[0] policy
     /* 1618264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1618277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618298 */     // GIR_Coverage, 3765,
     /* 1618298 */     GIR_EraseRootFromParent_Done,
     /* 1618299 */   // Label 22301: @1618299
     /* 1618299 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1618385), // Rule ID 3768 //
     /* 1618304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618350 */     // MIs[0] policy
     /* 1618350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618384 */     // GIR_Coverage, 3768,
     /* 1618384 */     GIR_EraseRootFromParent_Done,
     /* 1618385 */   // Label 22302: @1618385
     /* 1618385 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1618471), // Rule ID 3769 //
     /* 1618390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618436 */     // MIs[0] policy
     /* 1618436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618470 */     // GIR_Coverage, 3769,
     /* 1618470 */     GIR_EraseRootFromParent_Done,
     /* 1618471 */   // Label 22303: @1618471
     /* 1618471 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1618557), // Rule ID 3772 //
     /* 1618476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618522 */     // MIs[0] policy
     /* 1618522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618556 */     // GIR_Coverage, 3772,
     /* 1618556 */     GIR_EraseRootFromParent_Done,
     /* 1618557 */   // Label 22304: @1618557
     /* 1618557 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1618643), // Rule ID 3773 //
     /* 1618562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618608 */     // MIs[0] policy
     /* 1618608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618642 */     // GIR_Coverage, 3773,
     /* 1618642 */     GIR_EraseRootFromParent_Done,
     /* 1618643 */   // Label 22305: @1618643
     /* 1618643 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1618729), // Rule ID 3776 //
     /* 1618648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618694 */     // MIs[0] policy
     /* 1618694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618728 */     // GIR_Coverage, 3776,
     /* 1618728 */     GIR_EraseRootFromParent_Done,
     /* 1618729 */   // Label 22306: @1618729
     /* 1618729 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1618815), // Rule ID 3777 //
     /* 1618734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618780 */     // MIs[0] policy
     /* 1618780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618814 */     // GIR_Coverage, 3777,
     /* 1618814 */     GIR_EraseRootFromParent_Done,
     /* 1618815 */   // Label 22307: @1618815
     /* 1618815 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1618901), // Rule ID 3780 //
     /* 1618820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618866 */     // MIs[0] policy
     /* 1618866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618900 */     // GIR_Coverage, 3780,
     /* 1618900 */     GIR_EraseRootFromParent_Done,
     /* 1618901 */   // Label 22308: @1618901
     /* 1618901 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1618987), // Rule ID 3781 //
     /* 1618906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618952 */     // MIs[0] policy
     /* 1618952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618986 */     // GIR_Coverage, 3781,
     /* 1618986 */     GIR_EraseRootFromParent_Done,
     /* 1618987 */   // Label 22309: @1618987
     /* 1618987 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1619073), // Rule ID 3784 //
     /* 1618992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619038 */     // MIs[0] policy
     /* 1619038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619072 */     // GIR_Coverage, 3784,
     /* 1619072 */     GIR_EraseRootFromParent_Done,
     /* 1619073 */   // Label 22310: @1619073
     /* 1619073 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619159), // Rule ID 3785 //
     /* 1619078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619124 */     // MIs[0] policy
     /* 1619124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619158 */     // GIR_Coverage, 3785,
     /* 1619158 */     GIR_EraseRootFromParent_Done,
     /* 1619159 */   // Label 22311: @1619159
     /* 1619159 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1619245), // Rule ID 3788 //
     /* 1619164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619210 */     // MIs[0] policy
     /* 1619210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619244 */     // GIR_Coverage, 3788,
     /* 1619244 */     GIR_EraseRootFromParent_Done,
     /* 1619245 */   // Label 22312: @1619245
     /* 1619245 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1619331), // Rule ID 3789 //
     /* 1619250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619296 */     // MIs[0] policy
     /* 1619296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619330 */     // GIR_Coverage, 3789,
     /* 1619330 */     GIR_EraseRootFromParent_Done,
     /* 1619331 */   // Label 22313: @1619331
     /* 1619331 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1619417), // Rule ID 3792 //
     /* 1619336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619382 */     // MIs[0] policy
     /* 1619382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619416 */     // GIR_Coverage, 3792,
     /* 1619416 */     GIR_EraseRootFromParent_Done,
     /* 1619417 */   // Label 22314: @1619417
     /* 1619417 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1619503), // Rule ID 3793 //
     /* 1619422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619468 */     // MIs[0] policy
     /* 1619468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619502 */     // GIR_Coverage, 3793,
     /* 1619502 */     GIR_EraseRootFromParent_Done,
     /* 1619503 */   // Label 22315: @1619503
     /* 1619503 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1619589), // Rule ID 3796 //
     /* 1619508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619554 */     // MIs[0] policy
     /* 1619554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619588 */     // GIR_Coverage, 3796,
     /* 1619588 */     GIR_EraseRootFromParent_Done,
     /* 1619589 */   // Label 22316: @1619589
     /* 1619589 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1619675), // Rule ID 3797 //
     /* 1619594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619640 */     // MIs[0] policy
     /* 1619640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619674 */     // GIR_Coverage, 3797,
     /* 1619674 */     GIR_EraseRootFromParent_Done,
     /* 1619675 */   // Label 22317: @1619675
     /* 1619675 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1619761), // Rule ID 3800 //
     /* 1619680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619726 */     // MIs[0] policy
     /* 1619726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619760 */     // GIR_Coverage, 3800,
     /* 1619760 */     GIR_EraseRootFromParent_Done,
     /* 1619761 */   // Label 22318: @1619761
     /* 1619761 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1619847), // Rule ID 3801 //
     /* 1619766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619812 */     // MIs[0] policy
     /* 1619812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619846 */     // GIR_Coverage, 3801,
     /* 1619846 */     GIR_EraseRootFromParent_Done,
     /* 1619847 */   // Label 22319: @1619847
     /* 1619847 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1619933), // Rule ID 3804 //
     /* 1619852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619898 */     // MIs[0] policy
     /* 1619898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619932 */     // GIR_Coverage, 3804,
     /* 1619932 */     GIR_EraseRootFromParent_Done,
     /* 1619933 */   // Label 22320: @1619933
     /* 1619933 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1620019), // Rule ID 3805 //
     /* 1619938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619984 */     // MIs[0] policy
     /* 1619984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620018 */     // GIR_Coverage, 3805,
     /* 1620018 */     GIR_EraseRootFromParent_Done,
     /* 1620019 */   // Label 22321: @1620019
     /* 1620019 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620105), // Rule ID 3808 //
     /* 1620024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620070 */     // MIs[0] policy
     /* 1620070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620104 */     // GIR_Coverage, 3808,
     /* 1620104 */     GIR_EraseRootFromParent_Done,
     /* 1620105 */   // Label 22322: @1620105
     /* 1620105 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620191), // Rule ID 3809 //
     /* 1620110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620156 */     // MIs[0] policy
     /* 1620156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620190 */     // GIR_Coverage, 3809,
     /* 1620190 */     GIR_EraseRootFromParent_Done,
     /* 1620191 */   // Label 22323: @1620191
     /* 1620191 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1620277), // Rule ID 3812 //
     /* 1620196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620242 */     // MIs[0] policy
     /* 1620242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620276 */     // GIR_Coverage, 3812,
     /* 1620276 */     GIR_EraseRootFromParent_Done,
     /* 1620277 */   // Label 22324: @1620277
     /* 1620277 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1620363), // Rule ID 3813 //
     /* 1620282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620328 */     // MIs[0] policy
     /* 1620328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620362 */     // GIR_Coverage, 3813,
     /* 1620362 */     GIR_EraseRootFromParent_Done,
     /* 1620363 */   // Label 22325: @1620363
     /* 1620363 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1620449), // Rule ID 3816 //
     /* 1620368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620414 */     // MIs[0] policy
     /* 1620414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620448 */     // GIR_Coverage, 3816,
     /* 1620448 */     GIR_EraseRootFromParent_Done,
     /* 1620449 */   // Label 22326: @1620449
     /* 1620449 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1620535), // Rule ID 3817 //
     /* 1620454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620500 */     // MIs[0] policy
     /* 1620500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620534 */     // GIR_Coverage, 3817,
     /* 1620534 */     GIR_EraseRootFromParent_Done,
     /* 1620535 */   // Label 22327: @1620535
     /* 1620535 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1620621), // Rule ID 3820 //
     /* 1620540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620586 */     // MIs[0] policy
     /* 1620586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620620 */     // GIR_Coverage, 3820,
     /* 1620620 */     GIR_EraseRootFromParent_Done,
     /* 1620621 */   // Label 22328: @1620621
     /* 1620621 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1620707), // Rule ID 3821 //
     /* 1620626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620672 */     // MIs[0] policy
     /* 1620672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620706 */     // GIR_Coverage, 3821,
     /* 1620706 */     GIR_EraseRootFromParent_Done,
     /* 1620707 */   // Label 22329: @1620707
     /* 1620707 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1620793), // Rule ID 3824 //
     /* 1620712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620758 */     // MIs[0] policy
     /* 1620758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620792 */     // GIR_Coverage, 3824,
     /* 1620792 */     GIR_EraseRootFromParent_Done,
     /* 1620793 */   // Label 22330: @1620793
     /* 1620793 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1620879), // Rule ID 3825 //
     /* 1620798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620844 */     // MIs[0] policy
     /* 1620844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620878 */     // GIR_Coverage, 3825,
     /* 1620878 */     GIR_EraseRootFromParent_Done,
     /* 1620879 */   // Label 22331: @1620879
     /* 1620879 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1620965), // Rule ID 3828 //
     /* 1620884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620930 */     // MIs[0] policy
     /* 1620930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620964 */     // GIR_Coverage, 3828,
     /* 1620964 */     GIR_EraseRootFromParent_Done,
     /* 1620965 */   // Label 22332: @1620965
     /* 1620965 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1621051), // Rule ID 3829 //
     /* 1620970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621016 */     // MIs[0] policy
     /* 1621016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1621029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621050 */     // GIR_Coverage, 3829,
     /* 1621050 */     GIR_EraseRootFromParent_Done,
     /* 1621051 */   // Label 22333: @1621051
     /* 1621051 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621137), // Rule ID 3832 //
     /* 1621056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621102 */     // MIs[0] policy
     /* 1621102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1621115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621136 */     // GIR_Coverage, 3832,
     /* 1621136 */     GIR_EraseRootFromParent_Done,
     /* 1621137 */   // Label 22334: @1621137
     /* 1621137 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1621223), // Rule ID 3833 //
     /* 1621142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621188 */     // MIs[0] policy
     /* 1621188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1621201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621222 */     // GIR_Coverage, 3833,
     /* 1621222 */     GIR_EraseRootFromParent_Done,
     /* 1621223 */   // Label 22335: @1621223
     /* 1621223 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1621309), // Rule ID 3836 //
     /* 1621228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621274 */     // MIs[0] policy
     /* 1621274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621308 */     // GIR_Coverage, 3836,
     /* 1621308 */     GIR_EraseRootFromParent_Done,
     /* 1621309 */   // Label 22336: @1621309
     /* 1621309 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1621395), // Rule ID 3837 //
     /* 1621314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621360 */     // MIs[0] policy
     /* 1621360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621394 */     // GIR_Coverage, 3837,
     /* 1621394 */     GIR_EraseRootFromParent_Done,
     /* 1621395 */   // Label 22337: @1621395
     /* 1621395 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1621481), // Rule ID 3840 //
     /* 1621400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621446 */     // MIs[0] policy
     /* 1621446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621480 */     // GIR_Coverage, 3840,
     /* 1621480 */     GIR_EraseRootFromParent_Done,
     /* 1621481 */   // Label 22338: @1621481
     /* 1621481 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1621567), // Rule ID 3841 //
     /* 1621486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621532 */     // MIs[0] policy
     /* 1621532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621566 */     // GIR_Coverage, 3841,
     /* 1621566 */     GIR_EraseRootFromParent_Done,
     /* 1621567 */   // Label 22339: @1621567
     /* 1621567 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1621653), // Rule ID 3844 //
     /* 1621572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621618 */     // MIs[0] policy
     /* 1621618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621652 */     // GIR_Coverage, 3844,
     /* 1621652 */     GIR_EraseRootFromParent_Done,
     /* 1621653 */   // Label 22340: @1621653
     /* 1621653 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1621739), // Rule ID 3845 //
     /* 1621658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621704 */     // MIs[0] policy
     /* 1621704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621738 */     // GIR_Coverage, 3845,
     /* 1621738 */     GIR_EraseRootFromParent_Done,
     /* 1621739 */   // Label 22341: @1621739
     /* 1621739 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1621825), // Rule ID 3848 //
     /* 1621744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621790 */     // MIs[0] policy
     /* 1621790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621824 */     // GIR_Coverage, 3848,
     /* 1621824 */     GIR_EraseRootFromParent_Done,
     /* 1621825 */   // Label 22342: @1621825
     /* 1621825 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1621911), // Rule ID 3849 //
     /* 1621830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621876 */     // MIs[0] policy
     /* 1621876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621910 */     // GIR_Coverage, 3849,
     /* 1621910 */     GIR_EraseRootFromParent_Done,
     /* 1621911 */   // Label 22343: @1621911
     /* 1621911 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1621997), // Rule ID 3852 //
     /* 1621916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621962 */     // MIs[0] policy
     /* 1621962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621996 */     // GIR_Coverage, 3852,
     /* 1621996 */     GIR_EraseRootFromParent_Done,
     /* 1621997 */   // Label 22344: @1621997
     /* 1621997 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1622083), // Rule ID 3853 //
     /* 1622002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1622022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622048 */     // MIs[0] policy
     /* 1622048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622082 */     // GIR_Coverage, 3853,
     /* 1622082 */     GIR_EraseRootFromParent_Done,
     /* 1622083 */   // Label 22345: @1622083
     /* 1622083 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622169), // Rule ID 3856 //
     /* 1622088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622134 */     // MIs[0] policy
     /* 1622134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1622147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622168 */     // GIR_Coverage, 3856,
     /* 1622168 */     GIR_EraseRootFromParent_Done,
     /* 1622169 */   // Label 22346: @1622169
     /* 1622169 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1622255), // Rule ID 3857 //
     /* 1622174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622220 */     // MIs[0] policy
     /* 1622220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1622233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622254 */     // GIR_Coverage, 3857,
     /* 1622254 */     GIR_EraseRootFromParent_Done,
     /* 1622255 */   // Label 22347: @1622255
     /* 1622255 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1622341), // Rule ID 3860 //
     /* 1622260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622306 */     // MIs[0] policy
     /* 1622306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622340 */     // GIR_Coverage, 3860,
     /* 1622340 */     GIR_EraseRootFromParent_Done,
     /* 1622341 */   // Label 22348: @1622341
     /* 1622341 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1622427), // Rule ID 3861 //
     /* 1622346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622392 */     // MIs[0] policy
     /* 1622392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622426 */     // GIR_Coverage, 3861,
     /* 1622426 */     GIR_EraseRootFromParent_Done,
     /* 1622427 */   // Label 22349: @1622427
     /* 1622427 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1622513), // Rule ID 3864 //
     /* 1622432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622478 */     // MIs[0] policy
     /* 1622478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622512 */     // GIR_Coverage, 3864,
     /* 1622512 */     GIR_EraseRootFromParent_Done,
     /* 1622513 */   // Label 22350: @1622513
     /* 1622513 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1622599), // Rule ID 3865 //
     /* 1622518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622564 */     // MIs[0] policy
     /* 1622564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622598 */     // GIR_Coverage, 3865,
     /* 1622598 */     GIR_EraseRootFromParent_Done,
     /* 1622599 */   // Label 22351: @1622599
     /* 1622599 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1622685), // Rule ID 3868 //
     /* 1622604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622650 */     // MIs[0] policy
     /* 1622650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622684 */     // GIR_Coverage, 3868,
     /* 1622684 */     GIR_EraseRootFromParent_Done,
     /* 1622685 */   // Label 22352: @1622685
     /* 1622685 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1622771), // Rule ID 3869 //
     /* 1622690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622736 */     // MIs[0] policy
     /* 1622736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622770 */     // GIR_Coverage, 3869,
     /* 1622770 */     GIR_EraseRootFromParent_Done,
     /* 1622771 */   // Label 22353: @1622771
     /* 1622771 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1622857), // Rule ID 3872 //
     /* 1622776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622822 */     // MIs[0] policy
     /* 1622822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622856 */     // GIR_Coverage, 3872,
     /* 1622856 */     GIR_EraseRootFromParent_Done,
     /* 1622857 */   // Label 22354: @1622857
     /* 1622857 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1622943), // Rule ID 3873 //
     /* 1622862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622908 */     // MIs[0] policy
     /* 1622908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622942 */     // GIR_Coverage, 3873,
     /* 1622942 */     GIR_EraseRootFromParent_Done,
     /* 1622943 */   // Label 22355: @1622943
     /* 1622943 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1623029), // Rule ID 3876 //
     /* 1622948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622994 */     // MIs[0] policy
     /* 1622994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1623007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623028 */     // GIR_Coverage, 3876,
     /* 1623028 */     GIR_EraseRootFromParent_Done,
     /* 1623029 */   // Label 22356: @1623029
     /* 1623029 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623115), // Rule ID 3877 //
     /* 1623034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1623045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1623048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1623054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623080 */     // MIs[0] policy
     /* 1623080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1623093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623114 */     // GIR_Coverage, 3877,
     /* 1623114 */     GIR_EraseRootFromParent_Done,
     /* 1623115 */   // Label 22357: @1623115
     /* 1623115 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623201), // Rule ID 3880 //
     /* 1623120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623166 */     // MIs[0] policy
     /* 1623166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1623179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623200 */     // GIR_Coverage, 3880,
     /* 1623200 */     GIR_EraseRootFromParent_Done,
     /* 1623201 */   // Label 22358: @1623201
     /* 1623201 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1623287), // Rule ID 3881 //
     /* 1623206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623252 */     // MIs[0] policy
     /* 1623252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1623265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623286 */     // GIR_Coverage, 3881,
     /* 1623286 */     GIR_EraseRootFromParent_Done,
     /* 1623287 */   // Label 22359: @1623287
     /* 1623287 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1623373), // Rule ID 3884 //
     /* 1623292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623338 */     // MIs[0] policy
     /* 1623338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623372 */     // GIR_Coverage, 3884,
     /* 1623372 */     GIR_EraseRootFromParent_Done,
     /* 1623373 */   // Label 22360: @1623373
     /* 1623373 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1623459), // Rule ID 3885 //
     /* 1623378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623424 */     // MIs[0] policy
     /* 1623424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623458 */     // GIR_Coverage, 3885,
     /* 1623458 */     GIR_EraseRootFromParent_Done,
     /* 1623459 */   // Label 22361: @1623459
     /* 1623459 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1623545), // Rule ID 3888 //
     /* 1623464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623510 */     // MIs[0] policy
     /* 1623510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623544 */     // GIR_Coverage, 3888,
     /* 1623544 */     GIR_EraseRootFromParent_Done,
     /* 1623545 */   // Label 22362: @1623545
     /* 1623545 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1623631), // Rule ID 3889 //
     /* 1623550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623596 */     // MIs[0] policy
     /* 1623596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623630 */     // GIR_Coverage, 3889,
     /* 1623630 */     GIR_EraseRootFromParent_Done,
     /* 1623631 */   // Label 22363: @1623631
     /* 1623631 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1623717), // Rule ID 3892 //
     /* 1623636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623682 */     // MIs[0] policy
     /* 1623682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623716 */     // GIR_Coverage, 3892,
     /* 1623716 */     GIR_EraseRootFromParent_Done,
     /* 1623717 */   // Label 22364: @1623717
     /* 1623717 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1623803), // Rule ID 3893 //
     /* 1623722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623768 */     // MIs[0] policy
     /* 1623768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623802 */     // GIR_Coverage, 3893,
     /* 1623802 */     GIR_EraseRootFromParent_Done,
     /* 1623803 */   // Label 22365: @1623803
     /* 1623803 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1623889), // Rule ID 3896 //
     /* 1623808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623854 */     // MIs[0] policy
     /* 1623854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623888 */     // GIR_Coverage, 3896,
     /* 1623888 */     GIR_EraseRootFromParent_Done,
     /* 1623889 */   // Label 22366: @1623889
     /* 1623889 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1623975), // Rule ID 3897 //
     /* 1623894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623940 */     // MIs[0] policy
     /* 1623940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623974 */     // GIR_Coverage, 3897,
     /* 1623974 */     GIR_EraseRootFromParent_Done,
     /* 1623975 */   // Label 22367: @1623975
     /* 1623975 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1624061), // Rule ID 3900 //
     /* 1623980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624026 */     // MIs[0] policy
     /* 1624026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624060 */     // GIR_Coverage, 3900,
     /* 1624060 */     GIR_EraseRootFromParent_Done,
     /* 1624061 */   // Label 22368: @1624061
     /* 1624061 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624147), // Rule ID 3901 //
     /* 1624066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1624083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624112 */     // MIs[0] policy
     /* 1624112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624146 */     // GIR_Coverage, 3901,
     /* 1624146 */     GIR_EraseRootFromParent_Done,
     /* 1624147 */   // Label 22369: @1624147
     /* 1624147 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1624233), // Rule ID 3904 //
     /* 1624152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624198 */     // MIs[0] policy
     /* 1624198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624232 */     // GIR_Coverage, 3904,
     /* 1624232 */     GIR_EraseRootFromParent_Done,
     /* 1624233 */   // Label 22370: @1624233
     /* 1624233 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1624319), // Rule ID 3905 //
     /* 1624238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624284 */     // MIs[0] policy
     /* 1624284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624318 */     // GIR_Coverage, 3905,
     /* 1624318 */     GIR_EraseRootFromParent_Done,
     /* 1624319 */   // Label 22371: @1624319
     /* 1624319 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1624405), // Rule ID 3908 //
     /* 1624324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624370 */     // MIs[0] policy
     /* 1624370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624404 */     // GIR_Coverage, 3908,
     /* 1624404 */     GIR_EraseRootFromParent_Done,
     /* 1624405 */   // Label 22372: @1624405
     /* 1624405 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1624491), // Rule ID 3909 //
     /* 1624410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624456 */     // MIs[0] policy
     /* 1624456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624490 */     // GIR_Coverage, 3909,
     /* 1624490 */     GIR_EraseRootFromParent_Done,
     /* 1624491 */   // Label 22373: @1624491
     /* 1624491 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1624577), // Rule ID 3912 //
     /* 1624496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624542 */     // MIs[0] policy
     /* 1624542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624576 */     // GIR_Coverage, 3912,
     /* 1624576 */     GIR_EraseRootFromParent_Done,
     /* 1624577 */   // Label 22374: @1624577
     /* 1624577 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1624663), // Rule ID 3913 //
     /* 1624582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624628 */     // MIs[0] policy
     /* 1624628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624662 */     // GIR_Coverage, 3913,
     /* 1624662 */     GIR_EraseRootFromParent_Done,
     /* 1624663 */   // Label 22375: @1624663
     /* 1624663 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1624749), // Rule ID 3916 //
     /* 1624668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624714 */     // MIs[0] policy
     /* 1624714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624748 */     // GIR_Coverage, 3916,
     /* 1624748 */     GIR_EraseRootFromParent_Done,
     /* 1624749 */   // Label 22376: @1624749
     /* 1624749 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1624835), // Rule ID 3917 //
     /* 1624754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624800 */     // MIs[0] policy
     /* 1624800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624834 */     // GIR_Coverage, 3917,
     /* 1624834 */     GIR_EraseRootFromParent_Done,
     /* 1624835 */   // Label 22377: @1624835
     /* 1624835 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1624921), // Rule ID 3920 //
     /* 1624840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624886 */     // MIs[0] policy
     /* 1624886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624920 */     // GIR_Coverage, 3920,
     /* 1624920 */     GIR_EraseRootFromParent_Done,
     /* 1624921 */   // Label 22378: @1624921
     /* 1624921 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1625007), // Rule ID 3921 //
     /* 1624926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624972 */     // MIs[0] policy
     /* 1624972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625006 */     // GIR_Coverage, 3921,
     /* 1625006 */     GIR_EraseRootFromParent_Done,
     /* 1625007 */   // Label 22379: @1625007
     /* 1625007 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625093), // Rule ID 3924 //
     /* 1625012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625058 */     // MIs[0] policy
     /* 1625058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625092 */     // GIR_Coverage, 3924,
     /* 1625092 */     GIR_EraseRootFromParent_Done,
     /* 1625093 */   // Label 22380: @1625093
     /* 1625093 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625179), // Rule ID 3925 //
     /* 1625098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625144 */     // MIs[0] policy
     /* 1625144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625178 */     // GIR_Coverage, 3925,
     /* 1625178 */     GIR_EraseRootFromParent_Done,
     /* 1625179 */   // Label 22381: @1625179
     /* 1625179 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1625265), // Rule ID 3928 //
     /* 1625184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625230 */     // MIs[0] policy
     /* 1625230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625264 */     // GIR_Coverage, 3928,
     /* 1625264 */     GIR_EraseRootFromParent_Done,
     /* 1625265 */   // Label 22382: @1625265
     /* 1625265 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1625351), // Rule ID 3929 //
     /* 1625270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625316 */     // MIs[0] policy
     /* 1625316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625350 */     // GIR_Coverage, 3929,
     /* 1625350 */     GIR_EraseRootFromParent_Done,
     /* 1625351 */   // Label 22383: @1625351
     /* 1625351 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1625437), // Rule ID 3932 //
     /* 1625356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625402 */     // MIs[0] policy
     /* 1625402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625436 */     // GIR_Coverage, 3932,
     /* 1625436 */     GIR_EraseRootFromParent_Done,
     /* 1625437 */   // Label 22384: @1625437
     /* 1625437 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1625523), // Rule ID 3933 //
     /* 1625442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625488 */     // MIs[0] policy
     /* 1625488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625522 */     // GIR_Coverage, 3933,
     /* 1625522 */     GIR_EraseRootFromParent_Done,
     /* 1625523 */   // Label 22385: @1625523
     /* 1625523 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1625609), // Rule ID 3936 //
     /* 1625528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625574 */     // MIs[0] policy
     /* 1625574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625608 */     // GIR_Coverage, 3936,
     /* 1625608 */     GIR_EraseRootFromParent_Done,
     /* 1625609 */   // Label 22386: @1625609
     /* 1625609 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1625695), // Rule ID 3937 //
     /* 1625614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625660 */     // MIs[0] policy
     /* 1625660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625694 */     // GIR_Coverage, 3937,
     /* 1625694 */     GIR_EraseRootFromParent_Done,
     /* 1625695 */   // Label 22387: @1625695
     /* 1625695 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1625781), // Rule ID 3940 //
     /* 1625700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625746 */     // MIs[0] policy
     /* 1625746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625780 */     // GIR_Coverage, 3940,
     /* 1625780 */     GIR_EraseRootFromParent_Done,
     /* 1625781 */   // Label 22388: @1625781
     /* 1625781 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1625867), // Rule ID 3941 //
     /* 1625786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625832 */     // MIs[0] policy
     /* 1625832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625866 */     // GIR_Coverage, 3941,
     /* 1625866 */     GIR_EraseRootFromParent_Done,
     /* 1625867 */   // Label 22389: @1625867
     /* 1625867 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1625953), // Rule ID 3944 //
     /* 1625872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625918 */     // MIs[0] policy
     /* 1625918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625952 */     // GIR_Coverage, 3944,
     /* 1625952 */     GIR_EraseRootFromParent_Done,
     /* 1625953 */   // Label 22390: @1625953
     /* 1625953 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1626039), // Rule ID 3945 //
     /* 1625958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626004 */     // MIs[0] policy
     /* 1626004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1626017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626038 */     // GIR_Coverage, 3945,
     /* 1626038 */     GIR_EraseRootFromParent_Done,
     /* 1626039 */   // Label 22391: @1626039
     /* 1626039 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626125), // Rule ID 3948 //
     /* 1626044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626090 */     // MIs[0] policy
     /* 1626090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1626103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626124 */     // GIR_Coverage, 3948,
     /* 1626124 */     GIR_EraseRootFromParent_Done,
     /* 1626125 */   // Label 22392: @1626125
     /* 1626125 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626211), // Rule ID 3949 //
     /* 1626130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626176 */     // MIs[0] policy
     /* 1626176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1626189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626210 */     // GIR_Coverage, 3949,
     /* 1626210 */     GIR_EraseRootFromParent_Done,
     /* 1626211 */   // Label 22393: @1626211
     /* 1626211 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1626297), // Rule ID 3958 //
     /* 1626216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1626227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1626230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1626236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626262 */     // MIs[0] policy
     /* 1626262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626296 */     // GIR_Coverage, 3958,
     /* 1626296 */     GIR_EraseRootFromParent_Done,
     /* 1626297 */   // Label 22394: @1626297
     /* 1626297 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1626383), // Rule ID 3959 //
     /* 1626302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1626313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1626316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1626322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626348 */     // MIs[0] policy
     /* 1626348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626382 */     // GIR_Coverage, 3959,
     /* 1626382 */     GIR_EraseRootFromParent_Done,
     /* 1626383 */   // Label 22395: @1626383
     /* 1626383 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1626469), // Rule ID 3968 //
     /* 1626388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626434 */     // MIs[0] policy
     /* 1626434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626468 */     // GIR_Coverage, 3968,
     /* 1626468 */     GIR_EraseRootFromParent_Done,
     /* 1626469 */   // Label 22396: @1626469
     /* 1626469 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1626555), // Rule ID 3969 //
     /* 1626474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626520 */     // MIs[0] policy
     /* 1626520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626554 */     // GIR_Coverage, 3969,
     /* 1626554 */     GIR_EraseRootFromParent_Done,
     /* 1626555 */   // Label 22397: @1626555
     /* 1626555 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1626641), // Rule ID 3978 //
     /* 1626560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626606 */     // MIs[0] policy
     /* 1626606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626640 */     // GIR_Coverage, 3978,
     /* 1626640 */     GIR_EraseRootFromParent_Done,
     /* 1626641 */   // Label 22398: @1626641
     /* 1626641 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1626727), // Rule ID 3979 //
     /* 1626646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626692 */     // MIs[0] policy
     /* 1626692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626726 */     // GIR_Coverage, 3979,
     /* 1626726 */     GIR_EraseRootFromParent_Done,
     /* 1626727 */   // Label 22399: @1626727
     /* 1626727 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1626813), // Rule ID 3988 //
     /* 1626732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626778 */     // MIs[0] policy
     /* 1626778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626812 */     // GIR_Coverage, 3988,
     /* 1626812 */     GIR_EraseRootFromParent_Done,
     /* 1626813 */   // Label 22400: @1626813
     /* 1626813 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1626899), // Rule ID 3989 //
     /* 1626818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626864 */     // MIs[0] policy
     /* 1626864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626898 */     // GIR_Coverage, 3989,
     /* 1626898 */     GIR_EraseRootFromParent_Done,
     /* 1626899 */   // Label 22401: @1626899
     /* 1626899 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1626985), // Rule ID 3998 //
     /* 1626904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626950 */     // MIs[0] policy
     /* 1626950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626984 */     // GIR_Coverage, 3998,
     /* 1626984 */     GIR_EraseRootFromParent_Done,
     /* 1626985 */   // Label 22402: @1626985
     /* 1626985 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1627071), // Rule ID 3999 //
     /* 1626990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1627007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1627010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627036 */     // MIs[0] policy
     /* 1627036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627070 */     // GIR_Coverage, 3999,
     /* 1627070 */     GIR_EraseRootFromParent_Done,
     /* 1627071 */   // Label 22403: @1627071
     /* 1627071 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627157), // Rule ID 4008 //
     /* 1627076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627122 */     // MIs[0] policy
     /* 1627122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1627135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627156 */     // GIR_Coverage, 4008,
     /* 1627156 */     GIR_EraseRootFromParent_Done,
     /* 1627157 */   // Label 22404: @1627157
     /* 1627157 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1627243), // Rule ID 4009 //
     /* 1627162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627208 */     // MIs[0] policy
     /* 1627208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1627221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627242 */     // GIR_Coverage, 4009,
     /* 1627242 */     GIR_EraseRootFromParent_Done,
     /* 1627243 */   // Label 22405: @1627243
     /* 1627243 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1627329), // Rule ID 4018 //
     /* 1627248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1627259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1627262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627294 */     // MIs[0] policy
     /* 1627294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627328 */     // GIR_Coverage, 4018,
     /* 1627328 */     GIR_EraseRootFromParent_Done,
     /* 1627329 */   // Label 22406: @1627329
     /* 1627329 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1627415), // Rule ID 4019 //
     /* 1627334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1627345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1627348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627380 */     // MIs[0] policy
     /* 1627380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627414 */     // GIR_Coverage, 4019,
     /* 1627414 */     GIR_EraseRootFromParent_Done,
     /* 1627415 */   // Label 22407: @1627415
     /* 1627415 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1627501), // Rule ID 4028 //
     /* 1627420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627466 */     // MIs[0] policy
     /* 1627466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627500 */     // GIR_Coverage, 4028,
     /* 1627500 */     GIR_EraseRootFromParent_Done,
     /* 1627501 */   // Label 22408: @1627501
     /* 1627501 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1627587), // Rule ID 4029 //
     /* 1627506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627552 */     // MIs[0] policy
     /* 1627552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627586 */     // GIR_Coverage, 4029,
     /* 1627586 */     GIR_EraseRootFromParent_Done,
     /* 1627587 */   // Label 22409: @1627587
     /* 1627587 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1627673), // Rule ID 4038 //
     /* 1627592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627638 */     // MIs[0] policy
     /* 1627638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627672 */     // GIR_Coverage, 4038,
     /* 1627672 */     GIR_EraseRootFromParent_Done,
     /* 1627673 */   // Label 22410: @1627673
     /* 1627673 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1627759), // Rule ID 4039 //
     /* 1627678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627724 */     // MIs[0] policy
     /* 1627724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627758 */     // GIR_Coverage, 4039,
     /* 1627758 */     GIR_EraseRootFromParent_Done,
     /* 1627759 */   // Label 22411: @1627759
     /* 1627759 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1627845), // Rule ID 4048 //
     /* 1627764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627810 */     // MIs[0] policy
     /* 1627810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627844 */     // GIR_Coverage, 4048,
     /* 1627844 */     GIR_EraseRootFromParent_Done,
     /* 1627845 */   // Label 22412: @1627845
     /* 1627845 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1627931), // Rule ID 4049 //
     /* 1627850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627896 */     // MIs[0] policy
     /* 1627896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627930 */     // GIR_Coverage, 4049,
     /* 1627930 */     GIR_EraseRootFromParent_Done,
     /* 1627931 */   // Label 22413: @1627931
     /* 1627931 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1628017), // Rule ID 4058 //
     /* 1627936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627982 */     // MIs[0] policy
     /* 1627982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628016 */     // GIR_Coverage, 4058,
     /* 1628016 */     GIR_EraseRootFromParent_Done,
     /* 1628017 */   // Label 22414: @1628017
     /* 1628017 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628103), // Rule ID 4059 //
     /* 1628022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1628042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628068 */     // MIs[0] policy
     /* 1628068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1628081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628102 */     // GIR_Coverage, 4059,
     /* 1628102 */     GIR_EraseRootFromParent_Done,
     /* 1628103 */   // Label 22415: @1628103
     /* 1628103 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628189), // Rule ID 4068 //
     /* 1628108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1628125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628154 */     // MIs[0] policy
     /* 1628154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628164 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1628167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628188 */     // GIR_Coverage, 4068,
     /* 1628188 */     GIR_EraseRootFromParent_Done,
     /* 1628189 */   // Label 22416: @1628189
     /* 1628189 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1628275), // Rule ID 4069 //
     /* 1628194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1628211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628240 */     // MIs[0] policy
     /* 1628240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1628253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628274 */     // GIR_Coverage, 4069,
     /* 1628274 */     GIR_EraseRootFromParent_Done,
     /* 1628275 */   // Label 22417: @1628275
     /* 1628275 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1628361), // Rule ID 4078 //
     /* 1628280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1628291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1628294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1628297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1628300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628326 */     // MIs[0] policy
     /* 1628326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1628339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628360 */     // GIR_Coverage, 4078,
     /* 1628360 */     GIR_EraseRootFromParent_Done,
     /* 1628361 */   // Label 22418: @1628361
     /* 1628361 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1628447), // Rule ID 4079 //
     /* 1628366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1628377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1628380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1628383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1628386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628412 */     // MIs[0] policy
     /* 1628412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1628425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628446 */     // GIR_Coverage, 4079,
     /* 1628446 */     GIR_EraseRootFromParent_Done,
     /* 1628447 */   // Label 22419: @1628447
     /* 1628447 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1628533), // Rule ID 4088 //
     /* 1628452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628498 */     // MIs[0] policy
     /* 1628498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628532 */     // GIR_Coverage, 4088,
     /* 1628532 */     GIR_EraseRootFromParent_Done,
     /* 1628533 */   // Label 22420: @1628533
     /* 1628533 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1628619), // Rule ID 4089 //
     /* 1628538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628584 */     // MIs[0] policy
     /* 1628584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628618 */     // GIR_Coverage, 4089,
     /* 1628618 */     GIR_EraseRootFromParent_Done,
     /* 1628619 */   // Label 22421: @1628619
     /* 1628619 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1628705), // Rule ID 4092 //
     /* 1628624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628670 */     // MIs[0] policy
     /* 1628670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628704 */     // GIR_Coverage, 4092,
     /* 1628704 */     GIR_EraseRootFromParent_Done,
     /* 1628705 */   // Label 22422: @1628705
     /* 1628705 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1628791), // Rule ID 4093 //
     /* 1628710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628756 */     // MIs[0] policy
     /* 1628756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628790 */     // GIR_Coverage, 4093,
     /* 1628790 */     GIR_EraseRootFromParent_Done,
     /* 1628791 */   // Label 22423: @1628791
     /* 1628791 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1628877), // Rule ID 4096 //
     /* 1628796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628842 */     // MIs[0] policy
     /* 1628842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628876 */     // GIR_Coverage, 4096,
     /* 1628876 */     GIR_EraseRootFromParent_Done,
     /* 1628877 */   // Label 22424: @1628877
     /* 1628877 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1628963), // Rule ID 4097 //
     /* 1628882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628928 */     // MIs[0] policy
     /* 1628928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628962 */     // GIR_Coverage, 4097,
     /* 1628962 */     GIR_EraseRootFromParent_Done,
     /* 1628963 */   // Label 22425: @1628963
     /* 1628963 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1629049), // Rule ID 4100 //
     /* 1628968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629014 */     // MIs[0] policy
     /* 1629014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629048 */     // GIR_Coverage, 4100,
     /* 1629048 */     GIR_EraseRootFromParent_Done,
     /* 1629049 */   // Label 22426: @1629049
     /* 1629049 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629135), // Rule ID 4101 //
     /* 1629054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1629065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1629068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629100 */     // MIs[0] policy
     /* 1629100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629110 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629134 */     // GIR_Coverage, 4101,
     /* 1629134 */     GIR_EraseRootFromParent_Done,
     /* 1629135 */   // Label 22427: @1629135
     /* 1629135 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1629221), // Rule ID 4104 //
     /* 1629140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629186 */     // MIs[0] policy
     /* 1629186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629220 */     // GIR_Coverage, 4104,
     /* 1629220 */     GIR_EraseRootFromParent_Done,
     /* 1629221 */   // Label 22428: @1629221
     /* 1629221 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1629307), // Rule ID 4105 //
     /* 1629226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629272 */     // MIs[0] policy
     /* 1629272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629306 */     // GIR_Coverage, 4105,
     /* 1629306 */     GIR_EraseRootFromParent_Done,
     /* 1629307 */   // Label 22429: @1629307
     /* 1629307 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1629393), // Rule ID 4108 //
     /* 1629312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629358 */     // MIs[0] policy
     /* 1629358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629392 */     // GIR_Coverage, 4108,
     /* 1629392 */     GIR_EraseRootFromParent_Done,
     /* 1629393 */   // Label 22430: @1629393
     /* 1629393 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1629479), // Rule ID 4109 //
     /* 1629398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629444 */     // MIs[0] policy
     /* 1629444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629478 */     // GIR_Coverage, 4109,
     /* 1629478 */     GIR_EraseRootFromParent_Done,
     /* 1629479 */   // Label 22431: @1629479
     /* 1629479 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1629565), // Rule ID 4112 //
     /* 1629484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629530 */     // MIs[0] policy
     /* 1629530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629564 */     // GIR_Coverage, 4112,
     /* 1629564 */     GIR_EraseRootFromParent_Done,
     /* 1629565 */   // Label 22432: @1629565
     /* 1629565 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1629651), // Rule ID 4113 //
     /* 1629570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629616 */     // MIs[0] policy
     /* 1629616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629650 */     // GIR_Coverage, 4113,
     /* 1629650 */     GIR_EraseRootFromParent_Done,
     /* 1629651 */   // Label 22433: @1629651
     /* 1629651 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1629737), // Rule ID 4116 //
     /* 1629656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629702 */     // MIs[0] policy
     /* 1629702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629736 */     // GIR_Coverage, 4116,
     /* 1629736 */     GIR_EraseRootFromParent_Done,
     /* 1629737 */   // Label 22434: @1629737
     /* 1629737 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1629823), // Rule ID 4117 //
     /* 1629742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629788 */     // MIs[0] policy
     /* 1629788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629822 */     // GIR_Coverage, 4117,
     /* 1629822 */     GIR_EraseRootFromParent_Done,
     /* 1629823 */   // Label 22435: @1629823
     /* 1629823 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1629909), // Rule ID 4120 //
     /* 1629828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629874 */     // MIs[0] policy
     /* 1629874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629908 */     // GIR_Coverage, 4120,
     /* 1629908 */     GIR_EraseRootFromParent_Done,
     /* 1629909 */   // Label 22436: @1629909
     /* 1629909 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1629995), // Rule ID 4121 //
     /* 1629914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629960 */     // MIs[0] policy
     /* 1629960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629994 */     // GIR_Coverage, 4121,
     /* 1629994 */     GIR_EraseRootFromParent_Done,
     /* 1629995 */   // Label 22437: @1629995
     /* 1629995 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1630081), // Rule ID 4124 //
     /* 1630000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630046 */     // MIs[0] policy
     /* 1630046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630080 */     // GIR_Coverage, 4124,
     /* 1630080 */     GIR_EraseRootFromParent_Done,
     /* 1630081 */   // Label 22438: @1630081
     /* 1630081 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630167), // Rule ID 4125 //
     /* 1630086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630132 */     // MIs[0] policy
     /* 1630132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630166 */     // GIR_Coverage, 4125,
     /* 1630166 */     GIR_EraseRootFromParent_Done,
     /* 1630167 */   // Label 22439: @1630167
     /* 1630167 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1630253), // Rule ID 4128 //
     /* 1630172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630218 */     // MIs[0] policy
     /* 1630218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630252 */     // GIR_Coverage, 4128,
     /* 1630252 */     GIR_EraseRootFromParent_Done,
     /* 1630253 */   // Label 22440: @1630253
     /* 1630253 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1630339), // Rule ID 4129 //
     /* 1630258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630304 */     // MIs[0] policy
     /* 1630304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630338 */     // GIR_Coverage, 4129,
     /* 1630338 */     GIR_EraseRootFromParent_Done,
     /* 1630339 */   // Label 22441: @1630339
     /* 1630339 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1630425), // Rule ID 4132 //
     /* 1630344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630390 */     // MIs[0] policy
     /* 1630390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630424 */     // GIR_Coverage, 4132,
     /* 1630424 */     GIR_EraseRootFromParent_Done,
     /* 1630425 */   // Label 22442: @1630425
     /* 1630425 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1630511), // Rule ID 4133 //
     /* 1630430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630476 */     // MIs[0] policy
     /* 1630476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630510 */     // GIR_Coverage, 4133,
     /* 1630510 */     GIR_EraseRootFromParent_Done,
     /* 1630511 */   // Label 22443: @1630511
     /* 1630511 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1630597), // Rule ID 4136 //
     /* 1630516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630562 */     // MIs[0] policy
     /* 1630562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630596 */     // GIR_Coverage, 4136,
     /* 1630596 */     GIR_EraseRootFromParent_Done,
     /* 1630597 */   // Label 22444: @1630597
     /* 1630597 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1630683), // Rule ID 4137 //
     /* 1630602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630648 */     // MIs[0] policy
     /* 1630648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630682 */     // GIR_Coverage, 4137,
     /* 1630682 */     GIR_EraseRootFromParent_Done,
     /* 1630683 */   // Label 22445: @1630683
     /* 1630683 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1630769), // Rule ID 4140 //
     /* 1630688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630734 */     // MIs[0] policy
     /* 1630734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630768 */     // GIR_Coverage, 4140,
     /* 1630768 */     GIR_EraseRootFromParent_Done,
     /* 1630769 */   // Label 22446: @1630769
     /* 1630769 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1630855), // Rule ID 4141 //
     /* 1630774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630820 */     // MIs[0] policy
     /* 1630820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630854 */     // GIR_Coverage, 4141,
     /* 1630854 */     GIR_EraseRootFromParent_Done,
     /* 1630855 */   // Label 22447: @1630855
     /* 1630855 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1630941), // Rule ID 4144 //
     /* 1630860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630906 */     // MIs[0] policy
     /* 1630906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630940 */     // GIR_Coverage, 4144,
     /* 1630940 */     GIR_EraseRootFromParent_Done,
     /* 1630941 */   // Label 22448: @1630941
     /* 1630941 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1631027), // Rule ID 4145 //
     /* 1630946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630992 */     // MIs[0] policy
     /* 1630992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1631005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631026 */     // GIR_Coverage, 4145,
     /* 1631026 */     GIR_EraseRootFromParent_Done,
     /* 1631027 */   // Label 22449: @1631027
     /* 1631027 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631113), // Rule ID 4148 //
     /* 1631032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1631049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631078 */     // MIs[0] policy
     /* 1631078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1631091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631112 */     // GIR_Coverage, 4148,
     /* 1631112 */     GIR_EraseRootFromParent_Done,
     /* 1631113 */   // Label 22450: @1631113
     /* 1631113 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631199), // Rule ID 4149 //
     /* 1631118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1631135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631164 */     // MIs[0] policy
     /* 1631164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1631177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631198 */     // GIR_Coverage, 4149,
     /* 1631198 */     GIR_EraseRootFromParent_Done,
     /* 1631199 */   // Label 22451: @1631199
     /* 1631199 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1631285), // Rule ID 4158 //
     /* 1631204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631250 */     // MIs[0] policy
     /* 1631250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1631263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631284 */     // GIR_Coverage, 4158,
     /* 1631284 */     GIR_EraseRootFromParent_Done,
     /* 1631285 */   // Label 22452: @1631285
     /* 1631285 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1631371), // Rule ID 4159 //
     /* 1631290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631336 */     // MIs[0] policy
     /* 1631336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1631349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631370 */     // GIR_Coverage, 4159,
     /* 1631370 */     GIR_EraseRootFromParent_Done,
     /* 1631371 */   // Label 22453: @1631371
     /* 1631371 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1631457), // Rule ID 4168 //
     /* 1631376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631422 */     // MIs[0] policy
     /* 1631422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631456 */     // GIR_Coverage, 4168,
     /* 1631456 */     GIR_EraseRootFromParent_Done,
     /* 1631457 */   // Label 22454: @1631457
     /* 1631457 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1631543), // Rule ID 4169 //
     /* 1631462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631508 */     // MIs[0] policy
     /* 1631508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631542 */     // GIR_Coverage, 4169,
     /* 1631542 */     GIR_EraseRootFromParent_Done,
     /* 1631543 */   // Label 22455: @1631543
     /* 1631543 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1631629), // Rule ID 4178 //
     /* 1631548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631594 */     // MIs[0] policy
     /* 1631594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631628 */     // GIR_Coverage, 4178,
     /* 1631628 */     GIR_EraseRootFromParent_Done,
     /* 1631629 */   // Label 22456: @1631629
     /* 1631629 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1631715), // Rule ID 4179 //
     /* 1631634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631680 */     // MIs[0] policy
     /* 1631680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631714 */     // GIR_Coverage, 4179,
     /* 1631714 */     GIR_EraseRootFromParent_Done,
     /* 1631715 */   // Label 22457: @1631715
     /* 1631715 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1631801), // Rule ID 4188 //
     /* 1631720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631766 */     // MIs[0] policy
     /* 1631766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631800 */     // GIR_Coverage, 4188,
     /* 1631800 */     GIR_EraseRootFromParent_Done,
     /* 1631801 */   // Label 22458: @1631801
     /* 1631801 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1631887), // Rule ID 4189 //
     /* 1631806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631852 */     // MIs[0] policy
     /* 1631852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631886 */     // GIR_Coverage, 4189,
     /* 1631886 */     GIR_EraseRootFromParent_Done,
     /* 1631887 */   // Label 22459: @1631887
     /* 1631887 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1631973), // Rule ID 4198 //
     /* 1631892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631938 */     // MIs[0] policy
     /* 1631938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631972 */     // GIR_Coverage, 4198,
     /* 1631972 */     GIR_EraseRootFromParent_Done,
     /* 1631973 */   // Label 22460: @1631973
     /* 1631973 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1632059), // Rule ID 4199 //
     /* 1631978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632024 */     // MIs[0] policy
     /* 1632024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632058 */     // GIR_Coverage, 4199,
     /* 1632058 */     GIR_EraseRootFromParent_Done,
     /* 1632059 */   // Label 22461: @1632059
     /* 1632059 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632145), // Rule ID 4208 //
     /* 1632064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1632081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632110 */     // MIs[0] policy
     /* 1632110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632144 */     // GIR_Coverage, 4208,
     /* 1632144 */     GIR_EraseRootFromParent_Done,
     /* 1632145 */   // Label 22462: @1632145
     /* 1632145 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1632231), // Rule ID 4209 //
     /* 1632150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1632167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632196 */     // MIs[0] policy
     /* 1632196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632230 */     // GIR_Coverage, 4209,
     /* 1632230 */     GIR_EraseRootFromParent_Done,
     /* 1632231 */   // Label 22463: @1632231
     /* 1632231 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1632317), // Rule ID 4218 //
     /* 1632236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632282 */     // MIs[0] policy
     /* 1632282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632316 */     // GIR_Coverage, 4218,
     /* 1632316 */     GIR_EraseRootFromParent_Done,
     /* 1632317 */   // Label 22464: @1632317
     /* 1632317 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1632403), // Rule ID 4219 //
     /* 1632322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632368 */     // MIs[0] policy
     /* 1632368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632402 */     // GIR_Coverage, 4219,
     /* 1632402 */     GIR_EraseRootFromParent_Done,
     /* 1632403 */   // Label 22465: @1632403
     /* 1632403 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1632489), // Rule ID 4228 //
     /* 1632408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632454 */     // MIs[0] policy
     /* 1632454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632488 */     // GIR_Coverage, 4228,
     /* 1632488 */     GIR_EraseRootFromParent_Done,
     /* 1632489 */   // Label 22466: @1632489
     /* 1632489 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1632575), // Rule ID 4229 //
     /* 1632494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632540 */     // MIs[0] policy
     /* 1632540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632574 */     // GIR_Coverage, 4229,
     /* 1632574 */     GIR_EraseRootFromParent_Done,
     /* 1632575 */   // Label 22467: @1632575
     /* 1632575 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1632661), // Rule ID 4238 //
     /* 1632580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632626 */     // MIs[0] policy
     /* 1632626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632660 */     // GIR_Coverage, 4238,
     /* 1632660 */     GIR_EraseRootFromParent_Done,
     /* 1632661 */   // Label 22468: @1632661
     /* 1632661 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1632747), // Rule ID 4239 //
     /* 1632666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632712 */     // MIs[0] policy
     /* 1632712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632746 */     // GIR_Coverage, 4239,
     /* 1632746 */     GIR_EraseRootFromParent_Done,
     /* 1632747 */   // Label 22469: @1632747
     /* 1632747 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1632833), // Rule ID 4248 //
     /* 1632752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632798 */     // MIs[0] policy
     /* 1632798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632832 */     // GIR_Coverage, 4248,
     /* 1632832 */     GIR_EraseRootFromParent_Done,
     /* 1632833 */   // Label 22470: @1632833
     /* 1632833 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1632919), // Rule ID 4249 //
     /* 1632838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632884 */     // MIs[0] policy
     /* 1632884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632918 */     // GIR_Coverage, 4249,
     /* 1632918 */     GIR_EraseRootFromParent_Done,
     /* 1632919 */   // Label 22471: @1632919
     /* 1632919 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1633005), // Rule ID 4258 //
     /* 1632924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632970 */     // MIs[0] policy
     /* 1632970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633004 */     // GIR_Coverage, 4258,
     /* 1633004 */     GIR_EraseRootFromParent_Done,
     /* 1633005 */   // Label 22472: @1633005
     /* 1633005 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633091), // Rule ID 4259 //
     /* 1633010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1633030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633056 */     // MIs[0] policy
     /* 1633056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633090 */     // GIR_Coverage, 4259,
     /* 1633090 */     GIR_EraseRootFromParent_Done,
     /* 1633091 */   // Label 22473: @1633091
     /* 1633091 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633177), // Rule ID 4268 //
     /* 1633096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633142 */     // MIs[0] policy
     /* 1633142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633176 */     // GIR_Coverage, 4268,
     /* 1633176 */     GIR_EraseRootFromParent_Done,
     /* 1633177 */   // Label 22474: @1633177
     /* 1633177 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1633263), // Rule ID 4269 //
     /* 1633182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633228 */     // MIs[0] policy
     /* 1633228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633238 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633262 */     // GIR_Coverage, 4269,
     /* 1633262 */     GIR_EraseRootFromParent_Done,
     /* 1633263 */   // Label 22475: @1633263
     /* 1633263 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1633349), // Rule ID 4278 //
     /* 1633268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633314 */     // MIs[0] policy
     /* 1633314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633348 */     // GIR_Coverage, 4278,
     /* 1633348 */     GIR_EraseRootFromParent_Done,
     /* 1633349 */   // Label 22476: @1633349
     /* 1633349 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1633435), // Rule ID 4279 //
     /* 1633354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633400 */     // MIs[0] policy
     /* 1633400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633434 */     // GIR_Coverage, 4279,
     /* 1633434 */     GIR_EraseRootFromParent_Done,
     /* 1633435 */   // Label 22477: @1633435
     /* 1633435 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1633521), // Rule ID 4288 //
     /* 1633440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633486 */     // MIs[0] policy
     /* 1633486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633520 */     // GIR_Coverage, 4288,
     /* 1633520 */     GIR_EraseRootFromParent_Done,
     /* 1633521 */   // Label 22478: @1633521
     /* 1633521 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1633607), // Rule ID 4289 //
     /* 1633526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633572 */     // MIs[0] policy
     /* 1633572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633582 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633606 */     // GIR_Coverage, 4289,
     /* 1633606 */     GIR_EraseRootFromParent_Done,
     /* 1633607 */   // Label 22479: @1633607
     /* 1633607 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1633693), // Rule ID 4298 //
     /* 1633612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633658 */     // MIs[0] policy
     /* 1633658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633692 */     // GIR_Coverage, 4298,
     /* 1633692 */     GIR_EraseRootFromParent_Done,
     /* 1633693 */   // Label 22480: @1633693
     /* 1633693 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1633779), // Rule ID 4299 //
     /* 1633698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633744 */     // MIs[0] policy
     /* 1633744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633778 */     // GIR_Coverage, 4299,
     /* 1633778 */     GIR_EraseRootFromParent_Done,
     /* 1633779 */   // Label 22481: @1633779
     /* 1633779 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1633865), // Rule ID 4302 //
     /* 1633784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633830 */     // MIs[0] policy
     /* 1633830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633864 */     // GIR_Coverage, 4302,
     /* 1633864 */     GIR_EraseRootFromParent_Done,
     /* 1633865 */   // Label 22482: @1633865
     /* 1633865 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1633951), // Rule ID 4303 //
     /* 1633870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633916 */     // MIs[0] policy
     /* 1633916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633950 */     // GIR_Coverage, 4303,
     /* 1633950 */     GIR_EraseRootFromParent_Done,
     /* 1633951 */   // Label 22483: @1633951
     /* 1633951 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1634037), // Rule ID 4306 //
     /* 1633956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634002 */     // MIs[0] policy
     /* 1634002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634036 */     // GIR_Coverage, 4306,
     /* 1634036 */     GIR_EraseRootFromParent_Done,
     /* 1634037 */   // Label 22484: @1634037
     /* 1634037 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634123), // Rule ID 4307 //
     /* 1634042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1634059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634088 */     // MIs[0] policy
     /* 1634088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634122 */     // GIR_Coverage, 4307,
     /* 1634122 */     GIR_EraseRootFromParent_Done,
     /* 1634123 */   // Label 22485: @1634123
     /* 1634123 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634209), // Rule ID 4310 //
     /* 1634128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634174 */     // MIs[0] policy
     /* 1634174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634208 */     // GIR_Coverage, 4310,
     /* 1634208 */     GIR_EraseRootFromParent_Done,
     /* 1634209 */   // Label 22486: @1634209
     /* 1634209 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1634295), // Rule ID 4311 //
     /* 1634214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634260 */     // MIs[0] policy
     /* 1634260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634294 */     // GIR_Coverage, 4311,
     /* 1634294 */     GIR_EraseRootFromParent_Done,
     /* 1634295 */   // Label 22487: @1634295
     /* 1634295 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1634381), // Rule ID 4314 //
     /* 1634300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634346 */     // MIs[0] policy
     /* 1634346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634380 */     // GIR_Coverage, 4314,
     /* 1634380 */     GIR_EraseRootFromParent_Done,
     /* 1634381 */   // Label 22488: @1634381
     /* 1634381 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1634467), // Rule ID 4315 //
     /* 1634386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634432 */     // MIs[0] policy
     /* 1634432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634466 */     // GIR_Coverage, 4315,
     /* 1634466 */     GIR_EraseRootFromParent_Done,
     /* 1634467 */   // Label 22489: @1634467
     /* 1634467 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1634553), // Rule ID 4318 //
     /* 1634472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634518 */     // MIs[0] policy
     /* 1634518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634552 */     // GIR_Coverage, 4318,
     /* 1634552 */     GIR_EraseRootFromParent_Done,
     /* 1634553 */   // Label 22490: @1634553
     /* 1634553 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1634639), // Rule ID 4319 //
     /* 1634558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634604 */     // MIs[0] policy
     /* 1634604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634614 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634638 */     // GIR_Coverage, 4319,
     /* 1634638 */     GIR_EraseRootFromParent_Done,
     /* 1634639 */   // Label 22491: @1634639
     /* 1634639 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1634725), // Rule ID 4322 //
     /* 1634644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634690 */     // MIs[0] policy
     /* 1634690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634724 */     // GIR_Coverage, 4322,
     /* 1634724 */     GIR_EraseRootFromParent_Done,
     /* 1634725 */   // Label 22492: @1634725
     /* 1634725 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1634811), // Rule ID 4323 //
     /* 1634730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634776 */     // MIs[0] policy
     /* 1634776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634810 */     // GIR_Coverage, 4323,
     /* 1634810 */     GIR_EraseRootFromParent_Done,
     /* 1634811 */   // Label 22493: @1634811
     /* 1634811 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1634897), // Rule ID 4326 //
     /* 1634816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634862 */     // MIs[0] policy
     /* 1634862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634896 */     // GIR_Coverage, 4326,
     /* 1634896 */     GIR_EraseRootFromParent_Done,
     /* 1634897 */   // Label 22494: @1634897
     /* 1634897 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1634983), // Rule ID 4327 //
     /* 1634902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634948 */     // MIs[0] policy
     /* 1634948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634982 */     // GIR_Coverage, 4327,
     /* 1634982 */     GIR_EraseRootFromParent_Done,
     /* 1634983 */   // Label 22495: @1634983
     /* 1634983 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1635069), // Rule ID 4330 //
     /* 1634988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635034 */     // MIs[0] policy
     /* 1635034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635068 */     // GIR_Coverage, 4330,
     /* 1635068 */     GIR_EraseRootFromParent_Done,
     /* 1635069 */   // Label 22496: @1635069
     /* 1635069 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635155), // Rule ID 4331 //
     /* 1635074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635120 */     // MIs[0] policy
     /* 1635120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635154 */     // GIR_Coverage, 4331,
     /* 1635154 */     GIR_EraseRootFromParent_Done,
     /* 1635155 */   // Label 22497: @1635155
     /* 1635155 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1635241), // Rule ID 4334 //
     /* 1635160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635206 */     // MIs[0] policy
     /* 1635206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635240 */     // GIR_Coverage, 4334,
     /* 1635240 */     GIR_EraseRootFromParent_Done,
     /* 1635241 */   // Label 22498: @1635241
     /* 1635241 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1635327), // Rule ID 4335 //
     /* 1635246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635292 */     // MIs[0] policy
     /* 1635292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635326 */     // GIR_Coverage, 4335,
     /* 1635326 */     GIR_EraseRootFromParent_Done,
     /* 1635327 */   // Label 22499: @1635327
     /* 1635327 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1635413), // Rule ID 4338 //
     /* 1635332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635378 */     // MIs[0] policy
     /* 1635378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635412 */     // GIR_Coverage, 4338,
     /* 1635412 */     GIR_EraseRootFromParent_Done,
     /* 1635413 */   // Label 22500: @1635413
     /* 1635413 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1635499), // Rule ID 4339 //
     /* 1635418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635464 */     // MIs[0] policy
     /* 1635464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635498 */     // GIR_Coverage, 4339,
     /* 1635498 */     GIR_EraseRootFromParent_Done,
     /* 1635499 */   // Label 22501: @1635499
     /* 1635499 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1635585), // Rule ID 4342 //
     /* 1635504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635550 */     // MIs[0] policy
     /* 1635550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635584 */     // GIR_Coverage, 4342,
     /* 1635584 */     GIR_EraseRootFromParent_Done,
     /* 1635585 */   // Label 22502: @1635585
     /* 1635585 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1635671), // Rule ID 4343 //
     /* 1635590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635636 */     // MIs[0] policy
     /* 1635636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635670 */     // GIR_Coverage, 4343,
     /* 1635670 */     GIR_EraseRootFromParent_Done,
     /* 1635671 */   // Label 22503: @1635671
     /* 1635671 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1635757), // Rule ID 4346 //
     /* 1635676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635722 */     // MIs[0] policy
     /* 1635722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635756 */     // GIR_Coverage, 4346,
     /* 1635756 */     GIR_EraseRootFromParent_Done,
     /* 1635757 */   // Label 22504: @1635757
     /* 1635757 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1635843), // Rule ID 4347 //
     /* 1635762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635808 */     // MIs[0] policy
     /* 1635808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635842 */     // GIR_Coverage, 4347,
     /* 1635842 */     GIR_EraseRootFromParent_Done,
     /* 1635843 */   // Label 22505: @1635843
     /* 1635843 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1635929), // Rule ID 4350 //
     /* 1635848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635894 */     // MIs[0] policy
     /* 1635894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635928 */     // GIR_Coverage, 4350,
     /* 1635928 */     GIR_EraseRootFromParent_Done,
     /* 1635929 */   // Label 22506: @1635929
     /* 1635929 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1636015), // Rule ID 4351 //
     /* 1635934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635980 */     // MIs[0] policy
     /* 1635980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636014 */     // GIR_Coverage, 4351,
     /* 1636014 */     GIR_EraseRootFromParent_Done,
     /* 1636015 */   // Label 22507: @1636015
     /* 1636015 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636101), // Rule ID 4354 //
     /* 1636020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636066 */     // MIs[0] policy
     /* 1636066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636100 */     // GIR_Coverage, 4354,
     /* 1636100 */     GIR_EraseRootFromParent_Done,
     /* 1636101 */   // Label 22508: @1636101
     /* 1636101 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636187), // Rule ID 4355 //
     /* 1636106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636152 */     // MIs[0] policy
     /* 1636152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636162 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636186 */     // GIR_Coverage, 4355,
     /* 1636186 */     GIR_EraseRootFromParent_Done,
     /* 1636187 */   // Label 22509: @1636187
     /* 1636187 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1636273), // Rule ID 4358 //
     /* 1636192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1636209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636238 */     // MIs[0] policy
     /* 1636238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636272 */     // GIR_Coverage, 4358,
     /* 1636272 */     GIR_EraseRootFromParent_Done,
     /* 1636273 */   // Label 22510: @1636273
     /* 1636273 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1636359), // Rule ID 4359 //
     /* 1636278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1636295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636324 */     // MIs[0] policy
     /* 1636324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636358 */     // GIR_Coverage, 4359,
     /* 1636358 */     GIR_EraseRootFromParent_Done,
     /* 1636359 */   // Label 22511: @1636359
     /* 1636359 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1636445), // Rule ID 4368 //
     /* 1636364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636410 */     // MIs[0] policy
     /* 1636410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636444 */     // GIR_Coverage, 4368,
     /* 1636444 */     GIR_EraseRootFromParent_Done,
     /* 1636445 */   // Label 22512: @1636445
     /* 1636445 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1636531), // Rule ID 4369 //
     /* 1636450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636496 */     // MIs[0] policy
     /* 1636496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636530 */     // GIR_Coverage, 4369,
     /* 1636530 */     GIR_EraseRootFromParent_Done,
     /* 1636531 */   // Label 22513: @1636531
     /* 1636531 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1636617), // Rule ID 4378 //
     /* 1636536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636582 */     // MIs[0] policy
     /* 1636582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636616 */     // GIR_Coverage, 4378,
     /* 1636616 */     GIR_EraseRootFromParent_Done,
     /* 1636617 */   // Label 22514: @1636617
     /* 1636617 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1636703), // Rule ID 4379 //
     /* 1636622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636668 */     // MIs[0] policy
     /* 1636668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636702 */     // GIR_Coverage, 4379,
     /* 1636702 */     GIR_EraseRootFromParent_Done,
     /* 1636703 */   // Label 22515: @1636703
     /* 1636703 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1636789), // Rule ID 4388 //
     /* 1636708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636754 */     // MIs[0] policy
     /* 1636754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636788 */     // GIR_Coverage, 4388,
     /* 1636788 */     GIR_EraseRootFromParent_Done,
     /* 1636789 */   // Label 22516: @1636789
     /* 1636789 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1636875), // Rule ID 4389 //
     /* 1636794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636840 */     // MIs[0] policy
     /* 1636840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636874 */     // GIR_Coverage, 4389,
     /* 1636874 */     GIR_EraseRootFromParent_Done,
     /* 1636875 */   // Label 22517: @1636875
     /* 1636875 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1636961), // Rule ID 4398 //
     /* 1636880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636926 */     // MIs[0] policy
     /* 1636926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636960 */     // GIR_Coverage, 4398,
     /* 1636960 */     GIR_EraseRootFromParent_Done,
     /* 1636961 */   // Label 22518: @1636961
     /* 1636961 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1637047), // Rule ID 4399 //
     /* 1636966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637012 */     // MIs[0] policy
     /* 1637012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637046 */     // GIR_Coverage, 4399,
     /* 1637046 */     GIR_EraseRootFromParent_Done,
     /* 1637047 */   // Label 22519: @1637047
     /* 1637047 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637133), // Rule ID 4408 //
     /* 1637052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637098 */     // MIs[0] policy
     /* 1637098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637132 */     // GIR_Coverage, 4408,
     /* 1637132 */     GIR_EraseRootFromParent_Done,
     /* 1637133 */   // Label 22520: @1637133
     /* 1637133 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1637219), // Rule ID 4409 //
     /* 1637138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637184 */     // MIs[0] policy
     /* 1637184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637218 */     // GIR_Coverage, 4409,
     /* 1637218 */     GIR_EraseRootFromParent_Done,
     /* 1637219 */   // Label 22521: @1637219
     /* 1637219 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1637305), // Rule ID 4418 //
     /* 1637224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637270 */     // MIs[0] policy
     /* 1637270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637304 */     // GIR_Coverage, 4418,
     /* 1637304 */     GIR_EraseRootFromParent_Done,
     /* 1637305 */   // Label 22522: @1637305
     /* 1637305 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1637391), // Rule ID 4419 //
     /* 1637310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637356 */     // MIs[0] policy
     /* 1637356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637390 */     // GIR_Coverage, 4419,
     /* 1637390 */     GIR_EraseRootFromParent_Done,
     /* 1637391 */   // Label 22523: @1637391
     /* 1637391 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1637477), // Rule ID 4428 //
     /* 1637396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637442 */     // MIs[0] policy
     /* 1637442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637476 */     // GIR_Coverage, 4428,
     /* 1637476 */     GIR_EraseRootFromParent_Done,
     /* 1637477 */   // Label 22524: @1637477
     /* 1637477 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1637563), // Rule ID 4429 //
     /* 1637482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637528 */     // MIs[0] policy
     /* 1637528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637538 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637562 */     // GIR_Coverage, 4429,
     /* 1637562 */     GIR_EraseRootFromParent_Done,
     /* 1637563 */   // Label 22525: @1637563
     /* 1637563 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1637649), // Rule ID 4438 //
     /* 1637568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637614 */     // MIs[0] policy
     /* 1637614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637648 */     // GIR_Coverage, 4438,
     /* 1637648 */     GIR_EraseRootFromParent_Done,
     /* 1637649 */   // Label 22526: @1637649
     /* 1637649 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1637735), // Rule ID 4439 //
     /* 1637654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637700 */     // MIs[0] policy
     /* 1637700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637734 */     // GIR_Coverage, 4439,
     /* 1637734 */     GIR_EraseRootFromParent_Done,
     /* 1637735 */   // Label 22527: @1637735
     /* 1637735 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1637821), // Rule ID 4448 //
     /* 1637740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637786 */     // MIs[0] policy
     /* 1637786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637820 */     // GIR_Coverage, 4448,
     /* 1637820 */     GIR_EraseRootFromParent_Done,
     /* 1637821 */   // Label 22528: @1637821
     /* 1637821 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1637907), // Rule ID 4449 //
     /* 1637826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637872 */     // MIs[0] policy
     /* 1637872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637906 */     // GIR_Coverage, 4449,
     /* 1637906 */     GIR_EraseRootFromParent_Done,
     /* 1637907 */   // Label 22529: @1637907
     /* 1637907 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1637993), // Rule ID 4458 //
     /* 1637912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637958 */     // MIs[0] policy
     /* 1637958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637992 */     // GIR_Coverage, 4458,
     /* 1637992 */     GIR_EraseRootFromParent_Done,
     /* 1637993 */   // Label 22530: @1637993
     /* 1637993 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1638079), // Rule ID 4459 //
     /* 1637998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1638018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638044 */     // MIs[0] policy
     /* 1638044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638078 */     // GIR_Coverage, 4459,
     /* 1638078 */     GIR_EraseRootFromParent_Done,
     /* 1638079 */   // Label 22531: @1638079
     /* 1638079 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638165), // Rule ID 4468 //
     /* 1638084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638130 */     // MIs[0] policy
     /* 1638130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638164 */     // GIR_Coverage, 4468,
     /* 1638164 */     GIR_EraseRootFromParent_Done,
     /* 1638165 */   // Label 22532: @1638165
     /* 1638165 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1638251), // Rule ID 4469 //
     /* 1638170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638216 */     // MIs[0] policy
     /* 1638216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638250 */     // GIR_Coverage, 4469,
     /* 1638250 */     GIR_EraseRootFromParent_Done,
     /* 1638251 */   // Label 22533: @1638251
     /* 1638251 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1638337), // Rule ID 4478 //
     /* 1638256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638302 */     // MIs[0] policy
     /* 1638302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638336 */     // GIR_Coverage, 4478,
     /* 1638336 */     GIR_EraseRootFromParent_Done,
     /* 1638337 */   // Label 22534: @1638337
     /* 1638337 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1638423), // Rule ID 4479 //
     /* 1638342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638388 */     // MIs[0] policy
     /* 1638388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638422 */     // GIR_Coverage, 4479,
     /* 1638422 */     GIR_EraseRootFromParent_Done,
     /* 1638423 */   // Label 22535: @1638423
     /* 1638423 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1638509), // Rule ID 4488 //
     /* 1638428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638474 */     // MIs[0] policy
     /* 1638474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638508 */     // GIR_Coverage, 4488,
     /* 1638508 */     GIR_EraseRootFromParent_Done,
     /* 1638509 */   // Label 22536: @1638509
     /* 1638509 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1638595), // Rule ID 4489 //
     /* 1638514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638560 */     // MIs[0] policy
     /* 1638560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638594 */     // GIR_Coverage, 4489,
     /* 1638594 */     GIR_EraseRootFromParent_Done,
     /* 1638595 */   // Label 22537: @1638595
     /* 1638595 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1638681), // Rule ID 4498 //
     /* 1638600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638646 */     // MIs[0] policy
     /* 1638646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638680 */     // GIR_Coverage, 4498,
     /* 1638680 */     GIR_EraseRootFromParent_Done,
     /* 1638681 */   // Label 22538: @1638681
     /* 1638681 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1638767), // Rule ID 4499 //
     /* 1638686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638732 */     // MIs[0] policy
     /* 1638732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638766 */     // GIR_Coverage, 4499,
     /* 1638766 */     GIR_EraseRootFromParent_Done,
     /* 1638767 */   // Label 22539: @1638767
     /* 1638767 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1638853), // Rule ID 4508 //
     /* 1638772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638818 */     // MIs[0] policy
     /* 1638818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638852 */     // GIR_Coverage, 4508,
     /* 1638852 */     GIR_EraseRootFromParent_Done,
     /* 1638853 */   // Label 22540: @1638853
     /* 1638853 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1638939), // Rule ID 4509 //
     /* 1638858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638904 */     // MIs[0] policy
     /* 1638904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638938 */     // GIR_Coverage, 4509,
     /* 1638938 */     GIR_EraseRootFromParent_Done,
     /* 1638939 */   // Label 22541: @1638939
     /* 1638939 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1639025), // Rule ID 4512 //
     /* 1638944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638990 */     // MIs[0] policy
     /* 1638990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1639003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639024 */     // GIR_Coverage, 4512,
     /* 1639024 */     GIR_EraseRootFromParent_Done,
     /* 1639025 */   // Label 22542: @1639025
     /* 1639025 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639111), // Rule ID 4513 //
     /* 1639030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1639041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1639044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1639047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639076 */     // MIs[0] policy
     /* 1639076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1639089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639110 */     // GIR_Coverage, 4513,
     /* 1639110 */     GIR_EraseRootFromParent_Done,
     /* 1639111 */   // Label 22543: @1639111
     /* 1639111 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639197), // Rule ID 4516 //
     /* 1639116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639162 */     // MIs[0] policy
     /* 1639162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639196 */     // GIR_Coverage, 4516,
     /* 1639196 */     GIR_EraseRootFromParent_Done,
     /* 1639197 */   // Label 22544: @1639197
     /* 1639197 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1639283), // Rule ID 4517 //
     /* 1639202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639248 */     // MIs[0] policy
     /* 1639248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639282 */     // GIR_Coverage, 4517,
     /* 1639282 */     GIR_EraseRootFromParent_Done,
     /* 1639283 */   // Label 22545: @1639283
     /* 1639283 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1639369), // Rule ID 4520 //
     /* 1639288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639334 */     // MIs[0] policy
     /* 1639334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639368 */     // GIR_Coverage, 4520,
     /* 1639368 */     GIR_EraseRootFromParent_Done,
     /* 1639369 */   // Label 22546: @1639369
     /* 1639369 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1639455), // Rule ID 4521 //
     /* 1639374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639420 */     // MIs[0] policy
     /* 1639420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639454 */     // GIR_Coverage, 4521,
     /* 1639454 */     GIR_EraseRootFromParent_Done,
     /* 1639455 */   // Label 22547: @1639455
     /* 1639455 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1639541), // Rule ID 4524 //
     /* 1639460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639506 */     // MIs[0] policy
     /* 1639506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639540 */     // GIR_Coverage, 4524,
     /* 1639540 */     GIR_EraseRootFromParent_Done,
     /* 1639541 */   // Label 22548: @1639541
     /* 1639541 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1639627), // Rule ID 4525 //
     /* 1639546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639592 */     // MIs[0] policy
     /* 1639592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639626 */     // GIR_Coverage, 4525,
     /* 1639626 */     GIR_EraseRootFromParent_Done,
     /* 1639627 */   // Label 22549: @1639627
     /* 1639627 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1639713), // Rule ID 4528 //
     /* 1639632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639678 */     // MIs[0] policy
     /* 1639678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639712 */     // GIR_Coverage, 4528,
     /* 1639712 */     GIR_EraseRootFromParent_Done,
     /* 1639713 */   // Label 22550: @1639713
     /* 1639713 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1639799), // Rule ID 4529 //
     /* 1639718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639764 */     // MIs[0] policy
     /* 1639764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639798 */     // GIR_Coverage, 4529,
     /* 1639798 */     GIR_EraseRootFromParent_Done,
     /* 1639799 */   // Label 22551: @1639799
     /* 1639799 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1639885), // Rule ID 4532 //
     /* 1639804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639850 */     // MIs[0] policy
     /* 1639850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639884 */     // GIR_Coverage, 4532,
     /* 1639884 */     GIR_EraseRootFromParent_Done,
     /* 1639885 */   // Label 22552: @1639885
     /* 1639885 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1639971), // Rule ID 4533 //
     /* 1639890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639936 */     // MIs[0] policy
     /* 1639936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639970 */     // GIR_Coverage, 4533,
     /* 1639970 */     GIR_EraseRootFromParent_Done,
     /* 1639971 */   // Label 22553: @1639971
     /* 1639971 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1640057), // Rule ID 4536 //
     /* 1639976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640022 */     // MIs[0] policy
     /* 1640022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640056 */     // GIR_Coverage, 4536,
     /* 1640056 */     GIR_EraseRootFromParent_Done,
     /* 1640057 */   // Label 22554: @1640057
     /* 1640057 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640143), // Rule ID 4537 //
     /* 1640062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1640073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1640076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640108 */     // MIs[0] policy
     /* 1640108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640142 */     // GIR_Coverage, 4537,
     /* 1640142 */     GIR_EraseRootFromParent_Done,
     /* 1640143 */   // Label 22555: @1640143
     /* 1640143 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1640229), // Rule ID 4540 //
     /* 1640148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640194 */     // MIs[0] policy
     /* 1640194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640228 */     // GIR_Coverage, 4540,
     /* 1640228 */     GIR_EraseRootFromParent_Done,
     /* 1640229 */   // Label 22556: @1640229
     /* 1640229 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1640315), // Rule ID 4541 //
     /* 1640234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640280 */     // MIs[0] policy
     /* 1640280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640314 */     // GIR_Coverage, 4541,
     /* 1640314 */     GIR_EraseRootFromParent_Done,
     /* 1640315 */   // Label 22557: @1640315
     /* 1640315 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1640401), // Rule ID 4544 //
     /* 1640320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640366 */     // MIs[0] policy
     /* 1640366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640400 */     // GIR_Coverage, 4544,
     /* 1640400 */     GIR_EraseRootFromParent_Done,
     /* 1640401 */   // Label 22558: @1640401
     /* 1640401 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1640487), // Rule ID 4545 //
     /* 1640406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640452 */     // MIs[0] policy
     /* 1640452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640486 */     // GIR_Coverage, 4545,
     /* 1640486 */     GIR_EraseRootFromParent_Done,
     /* 1640487 */   // Label 22559: @1640487
     /* 1640487 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1640573), // Rule ID 4548 //
     /* 1640492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640538 */     // MIs[0] policy
     /* 1640538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640572 */     // GIR_Coverage, 4548,
     /* 1640572 */     GIR_EraseRootFromParent_Done,
     /* 1640573 */   // Label 22560: @1640573
     /* 1640573 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1640659), // Rule ID 4549 //
     /* 1640578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640624 */     // MIs[0] policy
     /* 1640624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640658 */     // GIR_Coverage, 4549,
     /* 1640658 */     GIR_EraseRootFromParent_Done,
     /* 1640659 */   // Label 22561: @1640659
     /* 1640659 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1640745), // Rule ID 4552 //
     /* 1640664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640710 */     // MIs[0] policy
     /* 1640710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640744 */     // GIR_Coverage, 4552,
     /* 1640744 */     GIR_EraseRootFromParent_Done,
     /* 1640745 */   // Label 22562: @1640745
     /* 1640745 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1640831), // Rule ID 4553 //
     /* 1640750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640796 */     // MIs[0] policy
     /* 1640796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640830 */     // GIR_Coverage, 4553,
     /* 1640830 */     GIR_EraseRootFromParent_Done,
     /* 1640831 */   // Label 22563: @1640831
     /* 1640831 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1640917), // Rule ID 4556 //
     /* 1640836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640882 */     // MIs[0] policy
     /* 1640882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640916 */     // GIR_Coverage, 4556,
     /* 1640916 */     GIR_EraseRootFromParent_Done,
     /* 1640917 */   // Label 22564: @1640917
     /* 1640917 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1641003), // Rule ID 4557 //
     /* 1640922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640968 */     // MIs[0] policy
     /* 1640968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641002 */     // GIR_Coverage, 4557,
     /* 1641002 */     GIR_EraseRootFromParent_Done,
     /* 1641003 */   // Label 22565: @1641003
     /* 1641003 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641089), // Rule ID 4560 //
     /* 1641008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641054 */     // MIs[0] policy
     /* 1641054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641088 */     // GIR_Coverage, 4560,
     /* 1641088 */     GIR_EraseRootFromParent_Done,
     /* 1641089 */   // Label 22566: @1641089
     /* 1641089 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641175), // Rule ID 4561 //
     /* 1641094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641140 */     // MIs[0] policy
     /* 1641140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641174 */     // GIR_Coverage, 4561,
     /* 1641174 */     GIR_EraseRootFromParent_Done,
     /* 1641175 */   // Label 22567: @1641175
     /* 1641175 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1641261), // Rule ID 4564 //
     /* 1641180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641226 */     // MIs[0] policy
     /* 1641226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641260 */     // GIR_Coverage, 4564,
     /* 1641260 */     GIR_EraseRootFromParent_Done,
     /* 1641261 */   // Label 22568: @1641261
     /* 1641261 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1641347), // Rule ID 4565 //
     /* 1641266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641312 */     // MIs[0] policy
     /* 1641312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641346 */     // GIR_Coverage, 4565,
     /* 1641346 */     GIR_EraseRootFromParent_Done,
     /* 1641347 */   // Label 22569: @1641347
     /* 1641347 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1641433), // Rule ID 4568 //
     /* 1641352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641398 */     // MIs[0] policy
     /* 1641398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641432 */     // GIR_Coverage, 4568,
     /* 1641432 */     GIR_EraseRootFromParent_Done,
     /* 1641433 */   // Label 22570: @1641433
     /* 1641433 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1641519), // Rule ID 4569 //
     /* 1641438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641484 */     // MIs[0] policy
     /* 1641484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641518 */     // GIR_Coverage, 4569,
     /* 1641518 */     GIR_EraseRootFromParent_Done,
     /* 1641519 */   // Label 22571: @1641519
     /* 1641519 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1641605), // Rule ID 4578 //
     /* 1641524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641570 */     // MIs[0] policy
     /* 1641570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641604 */     // GIR_Coverage, 4578,
     /* 1641604 */     GIR_EraseRootFromParent_Done,
     /* 1641605 */   // Label 22572: @1641605
     /* 1641605 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1641691), // Rule ID 4579 //
     /* 1641610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641656 */     // MIs[0] policy
     /* 1641656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641690 */     // GIR_Coverage, 4579,
     /* 1641690 */     GIR_EraseRootFromParent_Done,
     /* 1641691 */   // Label 22573: @1641691
     /* 1641691 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1641777), // Rule ID 4588 //
     /* 1641696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641742 */     // MIs[0] policy
     /* 1641742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641776 */     // GIR_Coverage, 4588,
     /* 1641776 */     GIR_EraseRootFromParent_Done,
     /* 1641777 */   // Label 22574: @1641777
     /* 1641777 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1641863), // Rule ID 4589 //
     /* 1641782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641828 */     // MIs[0] policy
     /* 1641828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641862 */     // GIR_Coverage, 4589,
     /* 1641862 */     GIR_EraseRootFromParent_Done,
     /* 1641863 */   // Label 22575: @1641863
     /* 1641863 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1641949), // Rule ID 4598 //
     /* 1641868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641914 */     // MIs[0] policy
     /* 1641914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641948 */     // GIR_Coverage, 4598,
     /* 1641948 */     GIR_EraseRootFromParent_Done,
     /* 1641949 */   // Label 22576: @1641949
     /* 1641949 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1642035), // Rule ID 4599 //
     /* 1641954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642000 */     // MIs[0] policy
     /* 1642000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642034 */     // GIR_Coverage, 4599,
     /* 1642034 */     GIR_EraseRootFromParent_Done,
     /* 1642035 */   // Label 22577: @1642035
     /* 1642035 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642121), // Rule ID 4608 //
     /* 1642040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642086 */     // MIs[0] policy
     /* 1642086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642120 */     // GIR_Coverage, 4608,
     /* 1642120 */     GIR_EraseRootFromParent_Done,
     /* 1642121 */   // Label 22578: @1642121
     /* 1642121 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642207), // Rule ID 4609 //
     /* 1642126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642172 */     // MIs[0] policy
     /* 1642172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642206 */     // GIR_Coverage, 4609,
     /* 1642206 */     GIR_EraseRootFromParent_Done,
     /* 1642207 */   // Label 22579: @1642207
     /* 1642207 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1642293), // Rule ID 4618 //
     /* 1642212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642258 */     // MIs[0] policy
     /* 1642258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642268 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642292 */     // GIR_Coverage, 4618,
     /* 1642292 */     GIR_EraseRootFromParent_Done,
     /* 1642293 */   // Label 22580: @1642293
     /* 1642293 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1642379), // Rule ID 4619 //
     /* 1642298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642344 */     // MIs[0] policy
     /* 1642344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642378 */     // GIR_Coverage, 4619,
     /* 1642378 */     GIR_EraseRootFromParent_Done,
     /* 1642379 */   // Label 22581: @1642379
     /* 1642379 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1642465), // Rule ID 4628 //
     /* 1642384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642430 */     // MIs[0] policy
     /* 1642430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642464 */     // GIR_Coverage, 4628,
     /* 1642464 */     GIR_EraseRootFromParent_Done,
     /* 1642465 */   // Label 22582: @1642465
     /* 1642465 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1642551), // Rule ID 4629 //
     /* 1642470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642516 */     // MIs[0] policy
     /* 1642516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642550 */     // GIR_Coverage, 4629,
     /* 1642550 */     GIR_EraseRootFromParent_Done,
     /* 1642551 */   // Label 22583: @1642551
     /* 1642551 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1642637), // Rule ID 4638 //
     /* 1642556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642602 */     // MIs[0] policy
     /* 1642602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642636 */     // GIR_Coverage, 4638,
     /* 1642636 */     GIR_EraseRootFromParent_Done,
     /* 1642637 */   // Label 22584: @1642637
     /* 1642637 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1642723), // Rule ID 4639 //
     /* 1642642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642688 */     // MIs[0] policy
     /* 1642688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642722 */     // GIR_Coverage, 4639,
     /* 1642722 */     GIR_EraseRootFromParent_Done,
     /* 1642723 */   // Label 22585: @1642723
     /* 1642723 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1642809), // Rule ID 4648 //
     /* 1642728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642774 */     // MIs[0] policy
     /* 1642774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642808 */     // GIR_Coverage, 4648,
     /* 1642808 */     GIR_EraseRootFromParent_Done,
     /* 1642809 */   // Label 22586: @1642809
     /* 1642809 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1642895), // Rule ID 4649 //
     /* 1642814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642860 */     // MIs[0] policy
     /* 1642860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642894 */     // GIR_Coverage, 4649,
     /* 1642894 */     GIR_EraseRootFromParent_Done,
     /* 1642895 */   // Label 22587: @1642895
     /* 1642895 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1642981), // Rule ID 4658 //
     /* 1642900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642946 */     // MIs[0] policy
     /* 1642946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642980 */     // GIR_Coverage, 4658,
     /* 1642980 */     GIR_EraseRootFromParent_Done,
     /* 1642981 */   // Label 22588: @1642981
     /* 1642981 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1643067), // Rule ID 4659 //
     /* 1642986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643032 */     // MIs[0] policy
     /* 1643032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643066 */     // GIR_Coverage, 4659,
     /* 1643066 */     GIR_EraseRootFromParent_Done,
     /* 1643067 */   // Label 22589: @1643067
     /* 1643067 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643153), // Rule ID 4668 //
     /* 1643072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643118 */     // MIs[0] policy
     /* 1643118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643128 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643152 */     // GIR_Coverage, 4668,
     /* 1643152 */     GIR_EraseRootFromParent_Done,
     /* 1643153 */   // Label 22590: @1643153
     /* 1643153 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1643239), // Rule ID 4669 //
     /* 1643158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643204 */     // MIs[0] policy
     /* 1643204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643238 */     // GIR_Coverage, 4669,
     /* 1643238 */     GIR_EraseRootFromParent_Done,
     /* 1643239 */   // Label 22591: @1643239
     /* 1643239 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1643325), // Rule ID 4678 //
     /* 1643244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643290 */     // MIs[0] policy
     /* 1643290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643300 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643324 */     // GIR_Coverage, 4678,
     /* 1643324 */     GIR_EraseRootFromParent_Done,
     /* 1643325 */   // Label 22592: @1643325
     /* 1643325 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1643411), // Rule ID 4679 //
     /* 1643330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643376 */     // MIs[0] policy
     /* 1643376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643410 */     // GIR_Coverage, 4679,
     /* 1643410 */     GIR_EraseRootFromParent_Done,
     /* 1643411 */   // Label 22593: @1643411
     /* 1643411 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1643497), // Rule ID 4688 //
     /* 1643416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643462 */     // MIs[0] policy
     /* 1643462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643496 */     // GIR_Coverage, 4688,
     /* 1643496 */     GIR_EraseRootFromParent_Done,
     /* 1643497 */   // Label 22594: @1643497
     /* 1643497 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1643583), // Rule ID 4689 //
     /* 1643502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643548 */     // MIs[0] policy
     /* 1643548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643582 */     // GIR_Coverage, 4689,
     /* 1643582 */     GIR_EraseRootFromParent_Done,
     /* 1643583 */   // Label 22595: @1643583
     /* 1643583 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1643669), // Rule ID 4698 //
     /* 1643588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643634 */     // MIs[0] policy
     /* 1643634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643668 */     // GIR_Coverage, 4698,
     /* 1643668 */     GIR_EraseRootFromParent_Done,
     /* 1643669 */   // Label 22596: @1643669
     /* 1643669 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1643755), // Rule ID 4699 //
     /* 1643674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643720 */     // MIs[0] policy
     /* 1643720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643754 */     // GIR_Coverage, 4699,
     /* 1643754 */     GIR_EraseRootFromParent_Done,
     /* 1643755 */   // Label 22597: @1643755
     /* 1643755 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1643841), // Rule ID 4708 //
     /* 1643760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643806 */     // MIs[0] policy
     /* 1643806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643840 */     // GIR_Coverage, 4708,
     /* 1643840 */     GIR_EraseRootFromParent_Done,
     /* 1643841 */   // Label 22598: @1643841
     /* 1643841 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1643927), // Rule ID 4709 //
     /* 1643846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643892 */     // MIs[0] policy
     /* 1643892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643926 */     // GIR_Coverage, 4709,
     /* 1643926 */     GIR_EraseRootFromParent_Done,
     /* 1643927 */   // Label 22599: @1643927
     /* 1643927 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1644013), // Rule ID 4718 //
     /* 1643932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643978 */     // MIs[0] policy
     /* 1643978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643988 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644012 */     // GIR_Coverage, 4718,
     /* 1644012 */     GIR_EraseRootFromParent_Done,
     /* 1644013 */   // Label 22600: @1644013
     /* 1644013 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644099), // Rule ID 4719 //
     /* 1644018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644064 */     // MIs[0] policy
     /* 1644064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1644077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644098 */     // GIR_Coverage, 4719,
     /* 1644098 */     GIR_EraseRootFromParent_Done,
     /* 1644099 */   // Label 22601: @1644099
     /* 1644099 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644185), // Rule ID 4722 //
     /* 1644104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644150 */     // MIs[0] policy
     /* 1644150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644160 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1644163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644184 */     // GIR_Coverage, 4722,
     /* 1644184 */     GIR_EraseRootFromParent_Done,
     /* 1644185 */   // Label 22602: @1644185
     /* 1644185 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1644271), // Rule ID 4723 //
     /* 1644190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644236 */     // MIs[0] policy
     /* 1644236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1644249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644270 */     // GIR_Coverage, 4723,
     /* 1644270 */     GIR_EraseRootFromParent_Done,
     /* 1644271 */   // Label 22603: @1644271
     /* 1644271 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1644357), // Rule ID 4726 //
     /* 1644276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644322 */     // MIs[0] policy
     /* 1644322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644332 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644356 */     // GIR_Coverage, 4726,
     /* 1644356 */     GIR_EraseRootFromParent_Done,
     /* 1644357 */   // Label 22604: @1644357
     /* 1644357 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1644443), // Rule ID 4727 //
     /* 1644362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644408 */     // MIs[0] policy
     /* 1644408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644442 */     // GIR_Coverage, 4727,
     /* 1644442 */     GIR_EraseRootFromParent_Done,
     /* 1644443 */   // Label 22605: @1644443
     /* 1644443 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1644529), // Rule ID 4730 //
     /* 1644448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644494 */     // MIs[0] policy
     /* 1644494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644528 */     // GIR_Coverage, 4730,
     /* 1644528 */     GIR_EraseRootFromParent_Done,
     /* 1644529 */   // Label 22606: @1644529
     /* 1644529 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1644615), // Rule ID 4731 //
     /* 1644534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644580 */     // MIs[0] policy
     /* 1644580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644614 */     // GIR_Coverage, 4731,
     /* 1644614 */     GIR_EraseRootFromParent_Done,
     /* 1644615 */   // Label 22607: @1644615
     /* 1644615 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1644701), // Rule ID 4734 //
     /* 1644620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644666 */     // MIs[0] policy
     /* 1644666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644676 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644700 */     // GIR_Coverage, 4734,
     /* 1644700 */     GIR_EraseRootFromParent_Done,
     /* 1644701 */   // Label 22608: @1644701
     /* 1644701 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1644787), // Rule ID 4735 //
     /* 1644706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644752 */     // MIs[0] policy
     /* 1644752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644786 */     // GIR_Coverage, 4735,
     /* 1644786 */     GIR_EraseRootFromParent_Done,
     /* 1644787 */   // Label 22609: @1644787
     /* 1644787 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1644873), // Rule ID 4738 //
     /* 1644792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644838 */     // MIs[0] policy
     /* 1644838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644872 */     // GIR_Coverage, 4738,
     /* 1644872 */     GIR_EraseRootFromParent_Done,
     /* 1644873 */   // Label 22610: @1644873
     /* 1644873 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1644959), // Rule ID 4739 //
     /* 1644878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644924 */     // MIs[0] policy
     /* 1644924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644958 */     // GIR_Coverage, 4739,
     /* 1644958 */     GIR_EraseRootFromParent_Done,
     /* 1644959 */   // Label 22611: @1644959
     /* 1644959 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1645045), // Rule ID 4742 //
     /* 1644964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645010 */     // MIs[0] policy
     /* 1645010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645020 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645044 */     // GIR_Coverage, 4742,
     /* 1645044 */     GIR_EraseRootFromParent_Done,
     /* 1645045 */   // Label 22612: @1645045
     /* 1645045 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645131), // Rule ID 4743 //
     /* 1645050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1645061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1645064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1645067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1645073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645096 */     // MIs[0] policy
     /* 1645096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645130 */     // GIR_Coverage, 4743,
     /* 1645130 */     GIR_EraseRootFromParent_Done,
     /* 1645131 */   // Label 22613: @1645131
     /* 1645131 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1645217), // Rule ID 4746 //
     /* 1645136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645182 */     // MIs[0] policy
     /* 1645182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1645195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645216 */     // GIR_Coverage, 4746,
     /* 1645216 */     GIR_EraseRootFromParent_Done,
     /* 1645217 */   // Label 22614: @1645217
     /* 1645217 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1645303), // Rule ID 4747 //
     /* 1645222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645268 */     // MIs[0] policy
     /* 1645268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1645281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645302 */     // GIR_Coverage, 4747,
     /* 1645302 */     GIR_EraseRootFromParent_Done,
     /* 1645303 */   // Label 22615: @1645303
     /* 1645303 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1645389), // Rule ID 4750 //
     /* 1645308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645354 */     // MIs[0] policy
     /* 1645354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645388 */     // GIR_Coverage, 4750,
     /* 1645388 */     GIR_EraseRootFromParent_Done,
     /* 1645389 */   // Label 22616: @1645389
     /* 1645389 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1645475), // Rule ID 4751 //
     /* 1645394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645440 */     // MIs[0] policy
     /* 1645440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645474 */     // GIR_Coverage, 4751,
     /* 1645474 */     GIR_EraseRootFromParent_Done,
     /* 1645475 */   // Label 22617: @1645475
     /* 1645475 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1645561), // Rule ID 4754 //
     /* 1645480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645526 */     // MIs[0] policy
     /* 1645526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645560 */     // GIR_Coverage, 4754,
     /* 1645560 */     GIR_EraseRootFromParent_Done,
     /* 1645561 */   // Label 22618: @1645561
     /* 1645561 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1645647), // Rule ID 4755 //
     /* 1645566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645612 */     // MIs[0] policy
     /* 1645612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645646 */     // GIR_Coverage, 4755,
     /* 1645646 */     GIR_EraseRootFromParent_Done,
     /* 1645647 */   // Label 22619: @1645647
     /* 1645647 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1645733), // Rule ID 4758 //
     /* 1645652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645698 */     // MIs[0] policy
     /* 1645698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645732 */     // GIR_Coverage, 4758,
     /* 1645732 */     GIR_EraseRootFromParent_Done,
     /* 1645733 */   // Label 22620: @1645733
     /* 1645733 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1645819), // Rule ID 4759 //
     /* 1645738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645784 */     // MIs[0] policy
     /* 1645784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645818 */     // GIR_Coverage, 4759,
     /* 1645818 */     GIR_EraseRootFromParent_Done,
     /* 1645819 */   // Label 22621: @1645819
     /* 1645819 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1645905), // Rule ID 4762 //
     /* 1645824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645870 */     // MIs[0] policy
     /* 1645870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645904 */     // GIR_Coverage, 4762,
     /* 1645904 */     GIR_EraseRootFromParent_Done,
     /* 1645905 */   // Label 22622: @1645905
     /* 1645905 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1645991), // Rule ID 4763 //
     /* 1645910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645956 */     // MIs[0] policy
     /* 1645956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645990 */     // GIR_Coverage, 4763,
     /* 1645990 */     GIR_EraseRootFromParent_Done,
     /* 1645991 */   // Label 22623: @1645991
     /* 1645991 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1646077), // Rule ID 4766 //
     /* 1645996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646042 */     // MIs[0] policy
     /* 1646042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1646055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646076 */     // GIR_Coverage, 4766,
     /* 1646076 */     GIR_EraseRootFromParent_Done,
     /* 1646077 */   // Label 22624: @1646077
     /* 1646077 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646163), // Rule ID 4767 //
     /* 1646082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646128 */     // MIs[0] policy
     /* 1646128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1646141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646162 */     // GIR_Coverage, 4767,
     /* 1646162 */     GIR_EraseRootFromParent_Done,
     /* 1646163 */   // Label 22625: @1646163
     /* 1646163 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1646249), // Rule ID 4770 //
     /* 1646168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646214 */     // MIs[0] policy
     /* 1646214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1646227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646248 */     // GIR_Coverage, 4770,
     /* 1646248 */     GIR_EraseRootFromParent_Done,
     /* 1646249 */   // Label 22626: @1646249
     /* 1646249 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1646335), // Rule ID 4771 //
     /* 1646254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646300 */     // MIs[0] policy
     /* 1646300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1646313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646334 */     // GIR_Coverage, 4771,
     /* 1646334 */     GIR_EraseRootFromParent_Done,
     /* 1646335 */   // Label 22627: @1646335
     /* 1646335 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1646421), // Rule ID 4774 //
     /* 1646340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646386 */     // MIs[0] policy
     /* 1646386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646420 */     // GIR_Coverage, 4774,
     /* 1646420 */     GIR_EraseRootFromParent_Done,
     /* 1646421 */   // Label 22628: @1646421
     /* 1646421 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1646507), // Rule ID 4775 //
     /* 1646426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646472 */     // MIs[0] policy
     /* 1646472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646482 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646506 */     // GIR_Coverage, 4775,
     /* 1646506 */     GIR_EraseRootFromParent_Done,
     /* 1646507 */   // Label 22629: @1646507
     /* 1646507 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1646593), // Rule ID 4778 //
     /* 1646512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646558 */     // MIs[0] policy
     /* 1646558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646568 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646592 */     // GIR_Coverage, 4778,
     /* 1646592 */     GIR_EraseRootFromParent_Done,
     /* 1646593 */   // Label 22630: @1646593
     /* 1646593 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1646679), // Rule ID 4779 //
     /* 1646598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646644 */     // MIs[0] policy
     /* 1646644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646678 */     // GIR_Coverage, 4779,
     /* 1646678 */     GIR_EraseRootFromParent_Done,
     /* 1646679 */   // Label 22631: @1646679
     /* 1646679 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1646765), // Rule ID 5656 //
     /* 1646684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646730 */     // MIs[0] policy
     /* 1646730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646740 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646764 */     // GIR_Coverage, 5656,
     /* 1646764 */     GIR_EraseRootFromParent_Done,
     /* 1646765 */   // Label 22632: @1646765
     /* 1646765 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1646851), // Rule ID 5657 //
     /* 1646770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646816 */     // MIs[0] policy
     /* 1646816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646850 */     // GIR_Coverage, 5657,
     /* 1646850 */     GIR_EraseRootFromParent_Done,
     /* 1646851 */   // Label 22633: @1646851
     /* 1646851 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1646937), // Rule ID 5660 //
     /* 1646856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646902 */     // MIs[0] policy
     /* 1646902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646912 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646936 */     // GIR_Coverage, 5660,
     /* 1646936 */     GIR_EraseRootFromParent_Done,
     /* 1646937 */   // Label 22634: @1646937
     /* 1646937 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1647023), // Rule ID 5661 //
     /* 1646942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646988 */     // MIs[0] policy
     /* 1646988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647022 */     // GIR_Coverage, 5661,
     /* 1647022 */     GIR_EraseRootFromParent_Done,
     /* 1647023 */   // Label 22635: @1647023
     /* 1647023 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647109), // Rule ID 5664 //
     /* 1647028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1647039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1647042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1647045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647074 */     // MIs[0] policy
     /* 1647074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647084 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647108 */     // GIR_Coverage, 5664,
     /* 1647108 */     GIR_EraseRootFromParent_Done,
     /* 1647109 */   // Label 22636: @1647109
     /* 1647109 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647195), // Rule ID 5665 //
     /* 1647114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1647125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1647128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1647131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647160 */     // MIs[0] policy
     /* 1647160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647170 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647194 */     // GIR_Coverage, 5665,
     /* 1647194 */     GIR_EraseRootFromParent_Done,
     /* 1647195 */   // Label 22637: @1647195
     /* 1647195 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1647281), // Rule ID 5668 //
     /* 1647200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1647220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647246 */     // MIs[0] policy
     /* 1647246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647256 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647280 */     // GIR_Coverage, 5668,
     /* 1647280 */     GIR_EraseRootFromParent_Done,
     /* 1647281 */   // Label 22638: @1647281
     /* 1647281 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1647367), // Rule ID 5669 //
     /* 1647286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1647306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647332 */     // MIs[0] policy
     /* 1647332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1647345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647366 */     // GIR_Coverage, 5669,
     /* 1647366 */     GIR_EraseRootFromParent_Done,
     /* 1647367 */   // Label 22639: @1647367
     /* 1647367 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1647453), // Rule ID 5672 //
     /* 1647372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647418 */     // MIs[0] policy
     /* 1647418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647452 */     // GIR_Coverage, 5672,
     /* 1647452 */     GIR_EraseRootFromParent_Done,
     /* 1647453 */   // Label 22640: @1647453
     /* 1647453 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1647539), // Rule ID 5673 //
     /* 1647458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647504 */     // MIs[0] policy
     /* 1647504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647538 */     // GIR_Coverage, 5673,
     /* 1647538 */     GIR_EraseRootFromParent_Done,
     /* 1647539 */   // Label 22641: @1647539
     /* 1647539 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1647625), // Rule ID 5676 //
     /* 1647544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647590 */     // MIs[0] policy
     /* 1647590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647624 */     // GIR_Coverage, 5676,
     /* 1647624 */     GIR_EraseRootFromParent_Done,
     /* 1647625 */   // Label 22642: @1647625
     /* 1647625 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1647711), // Rule ID 5677 //
     /* 1647630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647676 */     // MIs[0] policy
     /* 1647676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647710 */     // GIR_Coverage, 5677,
     /* 1647710 */     GIR_EraseRootFromParent_Done,
     /* 1647711 */   // Label 22643: @1647711
     /* 1647711 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1647797), // Rule ID 5680 //
     /* 1647716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647762 */     // MIs[0] policy
     /* 1647762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647796 */     // GIR_Coverage, 5680,
     /* 1647796 */     GIR_EraseRootFromParent_Done,
     /* 1647797 */   // Label 22644: @1647797
     /* 1647797 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1647883), // Rule ID 5681 //
     /* 1647802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647848 */     // MIs[0] policy
     /* 1647848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647882 */     // GIR_Coverage, 5681,
     /* 1647882 */     GIR_EraseRootFromParent_Done,
     /* 1647883 */   // Label 22645: @1647883
     /* 1647883 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1647969), // Rule ID 5684 //
     /* 1647888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647934 */     // MIs[0] policy
     /* 1647934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647968 */     // GIR_Coverage, 5684,
     /* 1647968 */     GIR_EraseRootFromParent_Done,
     /* 1647969 */   // Label 22646: @1647969
     /* 1647969 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1648055), // Rule ID 5685 //
     /* 1647974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648020 */     // MIs[0] policy
     /* 1648020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648054 */     // GIR_Coverage, 5685,
     /* 1648054 */     GIR_EraseRootFromParent_Done,
     /* 1648055 */   // Label 22647: @1648055
     /* 1648055 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648141), // Rule ID 5688 //
     /* 1648060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1648080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648106 */     // MIs[0] policy
     /* 1648106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648140 */     // GIR_Coverage, 5688,
     /* 1648140 */     GIR_EraseRootFromParent_Done,
     /* 1648141 */   // Label 22648: @1648141
     /* 1648141 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1648227), // Rule ID 5689 //
     /* 1648146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1648166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648192 */     // MIs[0] policy
     /* 1648192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648226 */     // GIR_Coverage, 5689,
     /* 1648226 */     GIR_EraseRootFromParent_Done,
     /* 1648227 */   // Label 22649: @1648227
     /* 1648227 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1648313), // Rule ID 5692 //
     /* 1648232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1648235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1648252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648278 */     // MIs[0] policy
     /* 1648278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648312 */     // GIR_Coverage, 5692,
     /* 1648312 */     GIR_EraseRootFromParent_Done,
     /* 1648313 */   // Label 22650: @1648313
     /* 1648313 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1648399), // Rule ID 5693 //
     /* 1648318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1648321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1648338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648364 */     // MIs[0] policy
     /* 1648364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1648377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648398 */     // GIR_Coverage, 5693,
     /* 1648398 */     GIR_EraseRootFromParent_Done,
     /* 1648399 */   // Label 22651: @1648399
     /* 1648399 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1648485), // Rule ID 5696 //
     /* 1648404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648450 */     // MIs[0] policy
     /* 1648450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648460 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648484 */     // GIR_Coverage, 5696,
     /* 1648484 */     GIR_EraseRootFromParent_Done,
     /* 1648485 */   // Label 22652: @1648485
     /* 1648485 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1648571), // Rule ID 5697 //
     /* 1648490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648536 */     // MIs[0] policy
     /* 1648536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648570 */     // GIR_Coverage, 5697,
     /* 1648570 */     GIR_EraseRootFromParent_Done,
     /* 1648571 */   // Label 22653: @1648571
     /* 1648571 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1648657), // Rule ID 5700 //
     /* 1648576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648622 */     // MIs[0] policy
     /* 1648622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648632 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648656 */     // GIR_Coverage, 5700,
     /* 1648656 */     GIR_EraseRootFromParent_Done,
     /* 1648657 */   // Label 22654: @1648657
     /* 1648657 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1648743), // Rule ID 5701 //
     /* 1648662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648708 */     // MIs[0] policy
     /* 1648708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648742 */     // GIR_Coverage, 5701,
     /* 1648742 */     GIR_EraseRootFromParent_Done,
     /* 1648743 */   // Label 22655: @1648743
     /* 1648743 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1648829), // Rule ID 5704 //
     /* 1648748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648794 */     // MIs[0] policy
     /* 1648794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648804 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648828 */     // GIR_Coverage, 5704,
     /* 1648828 */     GIR_EraseRootFromParent_Done,
     /* 1648829 */   // Label 22656: @1648829
     /* 1648829 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1648915), // Rule ID 5705 //
     /* 1648834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648880 */     // MIs[0] policy
     /* 1648880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648890 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648914 */     // GIR_Coverage, 5705,
     /* 1648914 */     GIR_EraseRootFromParent_Done,
     /* 1648915 */   // Label 22657: @1648915
     /* 1648915 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1649001), // Rule ID 5708 //
     /* 1648920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648966 */     // MIs[0] policy
     /* 1648966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649000 */     // GIR_Coverage, 5708,
     /* 1649000 */     GIR_EraseRootFromParent_Done,
     /* 1649001 */   // Label 22658: @1649001
     /* 1649001 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649087), // Rule ID 5709 //
     /* 1649006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1649017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1649020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1649023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649052 */     // MIs[0] policy
     /* 1649052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649086 */     // GIR_Coverage, 5709,
     /* 1649086 */     GIR_EraseRootFromParent_Done,
     /* 1649087 */   // Label 22659: @1649087
     /* 1649087 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649173), // Rule ID 5712 //
     /* 1649092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649138 */     // MIs[0] policy
     /* 1649138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649172 */     // GIR_Coverage, 5712,
     /* 1649172 */     GIR_EraseRootFromParent_Done,
     /* 1649173 */   // Label 22660: @1649173
     /* 1649173 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1649259), // Rule ID 5713 //
     /* 1649178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649224 */     // MIs[0] policy
     /* 1649224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649258 */     // GIR_Coverage, 5713,
     /* 1649258 */     GIR_EraseRootFromParent_Done,
     /* 1649259 */   // Label 22661: @1649259
     /* 1649259 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1649345), // Rule ID 5716 //
     /* 1649264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1649284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649310 */     // MIs[0] policy
     /* 1649310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649344 */     // GIR_Coverage, 5716,
     /* 1649344 */     GIR_EraseRootFromParent_Done,
     /* 1649345 */   // Label 22662: @1649345
     /* 1649345 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1649431), // Rule ID 5717 //
     /* 1649350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1649370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649396 */     // MIs[0] policy
     /* 1649396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649430 */     // GIR_Coverage, 5717,
     /* 1649430 */     GIR_EraseRootFromParent_Done,
     /* 1649431 */   // Label 22663: @1649431
     /* 1649431 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1649517), // Rule ID 5720 //
     /* 1649436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649482 */     // MIs[0] policy
     /* 1649482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649516 */     // GIR_Coverage, 5720,
     /* 1649516 */     GIR_EraseRootFromParent_Done,
     /* 1649517 */   // Label 22664: @1649517
     /* 1649517 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1649603), // Rule ID 5721 //
     /* 1649522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649568 */     // MIs[0] policy
     /* 1649568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649602 */     // GIR_Coverage, 5721,
     /* 1649602 */     GIR_EraseRootFromParent_Done,
     /* 1649603 */   // Label 22665: @1649603
     /* 1649603 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1649689), // Rule ID 5724 //
     /* 1649608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649654 */     // MIs[0] policy
     /* 1649654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649688 */     // GIR_Coverage, 5724,
     /* 1649688 */     GIR_EraseRootFromParent_Done,
     /* 1649689 */   // Label 22666: @1649689
     /* 1649689 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1649775), // Rule ID 5725 //
     /* 1649694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649740 */     // MIs[0] policy
     /* 1649740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649774 */     // GIR_Coverage, 5725,
     /* 1649774 */     GIR_EraseRootFromParent_Done,
     /* 1649775 */   // Label 22667: @1649775
     /* 1649775 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1649861), // Rule ID 5728 //
     /* 1649780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649826 */     // MIs[0] policy
     /* 1649826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649860 */     // GIR_Coverage, 5728,
     /* 1649860 */     GIR_EraseRootFromParent_Done,
     /* 1649861 */   // Label 22668: @1649861
     /* 1649861 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1649947), // Rule ID 5729 //
     /* 1649866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649912 */     // MIs[0] policy
     /* 1649912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649946 */     // GIR_Coverage, 5729,
     /* 1649946 */     GIR_EraseRootFromParent_Done,
     /* 1649947 */   // Label 22669: @1649947
     /* 1649947 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1650033), // Rule ID 5732 //
     /* 1649952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649998 */     // MIs[0] policy
     /* 1649998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1650011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650032 */     // GIR_Coverage, 5732,
     /* 1650032 */     GIR_EraseRootFromParent_Done,
     /* 1650033 */   // Label 22670: @1650033
     /* 1650033 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650119), // Rule ID 5733 //
     /* 1650038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1650058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650084 */     // MIs[0] policy
     /* 1650084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1650097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650118 */     // GIR_Coverage, 5733,
     /* 1650118 */     GIR_EraseRootFromParent_Done,
     /* 1650119 */   // Label 22671: @1650119
     /* 1650119 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650205), // Rule ID 5736 //
     /* 1650124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1650127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1650144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650170 */     // MIs[0] policy
     /* 1650170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1650183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650204 */     // GIR_Coverage, 5736,
     /* 1650204 */     GIR_EraseRootFromParent_Done,
     /* 1650205 */   // Label 22672: @1650205
     /* 1650205 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1650291), // Rule ID 5737 //
     /* 1650210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1650230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650256 */     // MIs[0] policy
     /* 1650256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1650269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650290 */     // GIR_Coverage, 5737,
     /* 1650290 */     GIR_EraseRootFromParent_Done,
     /* 1650291 */   // Label 22673: @1650291
     /* 1650291 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1650377), // Rule ID 5740 //
     /* 1650296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1650299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1650316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650342 */     // MIs[0] policy
     /* 1650342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650376 */     // GIR_Coverage, 5740,
     /* 1650376 */     GIR_EraseRootFromParent_Done,
     /* 1650377 */   // Label 22674: @1650377
     /* 1650377 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1650463), // Rule ID 5741 //
     /* 1650382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1650402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650428 */     // MIs[0] policy
     /* 1650428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650462 */     // GIR_Coverage, 5741,
     /* 1650462 */     GIR_EraseRootFromParent_Done,
     /* 1650463 */   // Label 22675: @1650463
     /* 1650463 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1650549), // Rule ID 5744 //
     /* 1650468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650514 */     // MIs[0] policy
     /* 1650514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650548 */     // GIR_Coverage, 5744,
     /* 1650548 */     GIR_EraseRootFromParent_Done,
     /* 1650549 */   // Label 22676: @1650549
     /* 1650549 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1650635), // Rule ID 5745 //
     /* 1650554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650600 */     // MIs[0] policy
     /* 1650600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650634 */     // GIR_Coverage, 5745,
     /* 1650634 */     GIR_EraseRootFromParent_Done,
     /* 1650635 */   // Label 22677: @1650635
     /* 1650635 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1650721), // Rule ID 5748 //
     /* 1650640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650686 */     // MIs[0] policy
     /* 1650686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650720 */     // GIR_Coverage, 5748,
     /* 1650720 */     GIR_EraseRootFromParent_Done,
     /* 1650721 */   // Label 22678: @1650721
     /* 1650721 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1650807), // Rule ID 5749 //
     /* 1650726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650772 */     // MIs[0] policy
     /* 1650772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650782 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650806 */     // GIR_Coverage, 5749,
     /* 1650806 */     GIR_EraseRootFromParent_Done,
     /* 1650807 */   // Label 22679: @1650807
     /* 1650807 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1650893), // Rule ID 5752 //
     /* 1650812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650858 */     // MIs[0] policy
     /* 1650858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650892 */     // GIR_Coverage, 5752,
     /* 1650892 */     GIR_EraseRootFromParent_Done,
     /* 1650893 */   // Label 22680: @1650893
     /* 1650893 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1650979), // Rule ID 5753 //
     /* 1650898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650944 */     // MIs[0] policy
     /* 1650944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650978 */     // GIR_Coverage, 5753,
     /* 1650978 */     GIR_EraseRootFromParent_Done,
     /* 1650979 */   // Label 22681: @1650979
     /* 1650979 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1651065), // Rule ID 5756 //
     /* 1650984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651030 */     // MIs[0] policy
     /* 1651030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1651043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651064 */     // GIR_Coverage, 5756,
     /* 1651064 */     GIR_EraseRootFromParent_Done,
     /* 1651065 */   // Label 22682: @1651065
     /* 1651065 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651151), // Rule ID 5757 //
     /* 1651070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651116 */     // MIs[0] policy
     /* 1651116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1651129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651150 */     // GIR_Coverage, 5757,
     /* 1651150 */     GIR_EraseRootFromParent_Done,
     /* 1651151 */   // Label 22683: @1651151
     /* 1651151 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1651237), // Rule ID 5760 //
     /* 1651156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651202 */     // MIs[0] policy
     /* 1651202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651236 */     // GIR_Coverage, 5760,
     /* 1651236 */     GIR_EraseRootFromParent_Done,
     /* 1651237 */   // Label 22684: @1651237
     /* 1651237 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1651323), // Rule ID 5761 //
     /* 1651242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651288 */     // MIs[0] policy
     /* 1651288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651298 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651322 */     // GIR_Coverage, 5761,
     /* 1651322 */     GIR_EraseRootFromParent_Done,
     /* 1651323 */   // Label 22685: @1651323
     /* 1651323 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1651409), // Rule ID 5764 //
     /* 1651328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651374 */     // MIs[0] policy
     /* 1651374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651408 */     // GIR_Coverage, 5764,
     /* 1651408 */     GIR_EraseRootFromParent_Done,
     /* 1651409 */   // Label 22686: @1651409
     /* 1651409 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1651495), // Rule ID 5765 //
     /* 1651414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651460 */     // MIs[0] policy
     /* 1651460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651494 */     // GIR_Coverage, 5765,
     /* 1651494 */     GIR_EraseRootFromParent_Done,
     /* 1651495 */   // Label 22687: @1651495
     /* 1651495 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1651581), // Rule ID 5768 //
     /* 1651500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651546 */     // MIs[0] policy
     /* 1651546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651580 */     // GIR_Coverage, 5768,
     /* 1651580 */     GIR_EraseRootFromParent_Done,
     /* 1651581 */   // Label 22688: @1651581
     /* 1651581 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1651667), // Rule ID 5769 //
     /* 1651586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651632 */     // MIs[0] policy
     /* 1651632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651666 */     // GIR_Coverage, 5769,
     /* 1651666 */     GIR_EraseRootFromParent_Done,
     /* 1651667 */   // Label 22689: @1651667
     /* 1651667 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1651753), // Rule ID 5772 //
     /* 1651672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651718 */     // MIs[0] policy
     /* 1651718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651752 */     // GIR_Coverage, 5772,
     /* 1651752 */     GIR_EraseRootFromParent_Done,
     /* 1651753 */   // Label 22690: @1651753
     /* 1651753 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1651839), // Rule ID 5773 //
     /* 1651758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651804 */     // MIs[0] policy
     /* 1651804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651838 */     // GIR_Coverage, 5773,
     /* 1651838 */     GIR_EraseRootFromParent_Done,
     /* 1651839 */   // Label 22691: @1651839
     /* 1651839 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1651925), // Rule ID 5776 //
     /* 1651844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651890 */     // MIs[0] policy
     /* 1651890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651924 */     // GIR_Coverage, 5776,
     /* 1651924 */     GIR_EraseRootFromParent_Done,
     /* 1651925 */   // Label 22692: @1651925
     /* 1651925 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1652011), // Rule ID 5777 //
     /* 1651930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651976 */     // MIs[0] policy
     /* 1651976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652010 */     // GIR_Coverage, 5777,
     /* 1652010 */     GIR_EraseRootFromParent_Done,
     /* 1652011 */   // Label 22693: @1652011
     /* 1652011 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652097), // Rule ID 5780 //
     /* 1652016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652062 */     // MIs[0] policy
     /* 1652062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1652075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652096 */     // GIR_Coverage, 5780,
     /* 1652096 */     GIR_EraseRootFromParent_Done,
     /* 1652097 */   // Label 22694: @1652097
     /* 1652097 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652183), // Rule ID 5781 //
     /* 1652102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652148 */     // MIs[0] policy
     /* 1652148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1652161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652182 */     // GIR_Coverage, 5781,
     /* 1652182 */     GIR_EraseRootFromParent_Done,
     /* 1652183 */   // Label 22695: @1652183
     /* 1652183 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1652269), // Rule ID 5784 //
     /* 1652188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652234 */     // MIs[0] policy
     /* 1652234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652268 */     // GIR_Coverage, 5784,
     /* 1652268 */     GIR_EraseRootFromParent_Done,
     /* 1652269 */   // Label 22696: @1652269
     /* 1652269 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1652355), // Rule ID 5785 //
     /* 1652274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652320 */     // MIs[0] policy
     /* 1652320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652354 */     // GIR_Coverage, 5785,
     /* 1652354 */     GIR_EraseRootFromParent_Done,
     /* 1652355 */   // Label 22697: @1652355
     /* 1652355 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1652441), // Rule ID 5788 //
     /* 1652360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652406 */     // MIs[0] policy
     /* 1652406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652416 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652440 */     // GIR_Coverage, 5788,
     /* 1652440 */     GIR_EraseRootFromParent_Done,
     /* 1652441 */   // Label 22698: @1652441
     /* 1652441 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1652527), // Rule ID 5789 //
     /* 1652446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652492 */     // MIs[0] policy
     /* 1652492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652526 */     // GIR_Coverage, 5789,
     /* 1652526 */     GIR_EraseRootFromParent_Done,
     /* 1652527 */   // Label 22699: @1652527
     /* 1652527 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1652613), // Rule ID 5792 //
     /* 1652532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652578 */     // MIs[0] policy
     /* 1652578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652612 */     // GIR_Coverage, 5792,
     /* 1652612 */     GIR_EraseRootFromParent_Done,
     /* 1652613 */   // Label 22700: @1652613
     /* 1652613 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1652699), // Rule ID 5793 //
     /* 1652618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652664 */     // MIs[0] policy
     /* 1652664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652674 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652698 */     // GIR_Coverage, 5793,
     /* 1652698 */     GIR_EraseRootFromParent_Done,
     /* 1652699 */   // Label 22701: @1652699
     /* 1652699 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1652785), // Rule ID 5796 //
     /* 1652704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652750 */     // MIs[0] policy
     /* 1652750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652784 */     // GIR_Coverage, 5796,
     /* 1652784 */     GIR_EraseRootFromParent_Done,
     /* 1652785 */   // Label 22702: @1652785
     /* 1652785 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1652871), // Rule ID 5797 //
     /* 1652790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652836 */     // MIs[0] policy
     /* 1652836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652870 */     // GIR_Coverage, 5797,
     /* 1652870 */     GIR_EraseRootFromParent_Done,
     /* 1652871 */   // Label 22703: @1652871
     /* 1652871 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1652957), // Rule ID 5800 //
     /* 1652876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652922 */     // MIs[0] policy
     /* 1652922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652956 */     // GIR_Coverage, 5800,
     /* 1652956 */     GIR_EraseRootFromParent_Done,
     /* 1652957 */   // Label 22704: @1652957
     /* 1652957 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1653043), // Rule ID 5801 //
     /* 1652962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653008 */     // MIs[0] policy
     /* 1653008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653042 */     // GIR_Coverage, 5801,
     /* 1653042 */     GIR_EraseRootFromParent_Done,
     /* 1653043 */   // Label 22705: @1653043
     /* 1653043 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653129), // Rule ID 5804 //
     /* 1653048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653094 */     // MIs[0] policy
     /* 1653094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653128 */     // GIR_Coverage, 5804,
     /* 1653128 */     GIR_EraseRootFromParent_Done,
     /* 1653129 */   // Label 22706: @1653129
     /* 1653129 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1653215), // Rule ID 5805 //
     /* 1653134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653180 */     // MIs[0] policy
     /* 1653180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653214 */     // GIR_Coverage, 5805,
     /* 1653214 */     GIR_EraseRootFromParent_Done,
     /* 1653215 */   // Label 22707: @1653215
     /* 1653215 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1653301), // Rule ID 5808 //
     /* 1653220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653266 */     // MIs[0] policy
     /* 1653266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653300 */     // GIR_Coverage, 5808,
     /* 1653300 */     GIR_EraseRootFromParent_Done,
     /* 1653301 */   // Label 22708: @1653301
     /* 1653301 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1653387), // Rule ID 5809 //
     /* 1653306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653352 */     // MIs[0] policy
     /* 1653352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653386 */     // GIR_Coverage, 5809,
     /* 1653386 */     GIR_EraseRootFromParent_Done,
     /* 1653387 */   // Label 22709: @1653387
     /* 1653387 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1653473), // Rule ID 5812 //
     /* 1653392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653438 */     // MIs[0] policy
     /* 1653438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653472 */     // GIR_Coverage, 5812,
     /* 1653472 */     GIR_EraseRootFromParent_Done,
     /* 1653473 */   // Label 22710: @1653473
     /* 1653473 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1653559), // Rule ID 5813 //
     /* 1653478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653524 */     // MIs[0] policy
     /* 1653524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653558 */     // GIR_Coverage, 5813,
     /* 1653558 */     GIR_EraseRootFromParent_Done,
     /* 1653559 */   // Label 22711: @1653559
     /* 1653559 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1653645), // Rule ID 5816 //
     /* 1653564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653610 */     // MIs[0] policy
     /* 1653610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653620 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653644 */     // GIR_Coverage, 5816,
     /* 1653644 */     GIR_EraseRootFromParent_Done,
     /* 1653645 */   // Label 22712: @1653645
     /* 1653645 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1653731), // Rule ID 5817 //
     /* 1653650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653696 */     // MIs[0] policy
     /* 1653696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653730 */     // GIR_Coverage, 5817,
     /* 1653730 */     GIR_EraseRootFromParent_Done,
     /* 1653731 */   // Label 22713: @1653731
     /* 1653731 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1653817), // Rule ID 5820 //
     /* 1653736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653782 */     // MIs[0] policy
     /* 1653782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653816 */     // GIR_Coverage, 5820,
     /* 1653816 */     GIR_EraseRootFromParent_Done,
     /* 1653817 */   // Label 22714: @1653817
     /* 1653817 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1653903), // Rule ID 5821 //
     /* 1653822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653868 */     // MIs[0] policy
     /* 1653868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653902 */     // GIR_Coverage, 5821,
     /* 1653902 */     GIR_EraseRootFromParent_Done,
     /* 1653903 */   // Label 22715: @1653903
     /* 1653903 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1653989), // Rule ID 5824 //
     /* 1653908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653954 */     // MIs[0] policy
     /* 1653954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653988 */     // GIR_Coverage, 5824,
     /* 1653988 */     GIR_EraseRootFromParent_Done,
     /* 1653989 */   // Label 22716: @1653989
     /* 1653989 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1654075), // Rule ID 5825 //
     /* 1653994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654040 */     // MIs[0] policy
     /* 1654040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1654053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654074 */     // GIR_Coverage, 5825,
     /* 1654074 */     GIR_EraseRootFromParent_Done,
     /* 1654075 */   // Label 22717: @1654075
     /* 1654075 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654161), // Rule ID 5828 //
     /* 1654080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654126 */     // MIs[0] policy
     /* 1654126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1654139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654160 */     // GIR_Coverage, 5828,
     /* 1654160 */     GIR_EraseRootFromParent_Done,
     /* 1654161 */   // Label 22718: @1654161
     /* 1654161 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1654247), // Rule ID 5829 //
     /* 1654166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654212 */     // MIs[0] policy
     /* 1654212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1654225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654246 */     // GIR_Coverage, 5829,
     /* 1654246 */     GIR_EraseRootFromParent_Done,
     /* 1654247 */   // Label 22719: @1654247
     /* 1654247 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1654333), // Rule ID 5920 //
     /* 1654252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654298 */     // MIs[0] policy
     /* 1654298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1654311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654332 */     // GIR_Coverage, 5920,
     /* 1654332 */     GIR_EraseRootFromParent_Done,
     /* 1654333 */   // Label 22720: @1654333
     /* 1654333 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1654419), // Rule ID 5921 //
     /* 1654338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654384 */     // MIs[0] policy
     /* 1654384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1654397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654418 */     // GIR_Coverage, 5921,
     /* 1654418 */     GIR_EraseRootFromParent_Done,
     /* 1654419 */   // Label 22721: @1654419
     /* 1654419 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1654505), // Rule ID 5924 //
     /* 1654424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654470 */     // MIs[0] policy
     /* 1654470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654504 */     // GIR_Coverage, 5924,
     /* 1654504 */     GIR_EraseRootFromParent_Done,
     /* 1654505 */   // Label 22722: @1654505
     /* 1654505 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1654591), // Rule ID 5925 //
     /* 1654510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654556 */     // MIs[0] policy
     /* 1654556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654590 */     // GIR_Coverage, 5925,
     /* 1654590 */     GIR_EraseRootFromParent_Done,
     /* 1654591 */   // Label 22723: @1654591
     /* 1654591 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1654677), // Rule ID 5928 //
     /* 1654596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654642 */     // MIs[0] policy
     /* 1654642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654676 */     // GIR_Coverage, 5928,
     /* 1654676 */     GIR_EraseRootFromParent_Done,
     /* 1654677 */   // Label 22724: @1654677
     /* 1654677 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1654763), // Rule ID 5929 //
     /* 1654682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654728 */     // MIs[0] policy
     /* 1654728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654762 */     // GIR_Coverage, 5929,
     /* 1654762 */     GIR_EraseRootFromParent_Done,
     /* 1654763 */   // Label 22725: @1654763
     /* 1654763 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1654849), // Rule ID 5932 //
     /* 1654768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654814 */     // MIs[0] policy
     /* 1654814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654848 */     // GIR_Coverage, 5932,
     /* 1654848 */     GIR_EraseRootFromParent_Done,
     /* 1654849 */   // Label 22726: @1654849
     /* 1654849 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1654935), // Rule ID 5933 //
     /* 1654854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654900 */     // MIs[0] policy
     /* 1654900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654934 */     // GIR_Coverage, 5933,
     /* 1654934 */     GIR_EraseRootFromParent_Done,
     /* 1654935 */   // Label 22727: @1654935
     /* 1654935 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1655021), // Rule ID 5936 //
     /* 1654940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654986 */     // MIs[0] policy
     /* 1654986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655020 */     // GIR_Coverage, 5936,
     /* 1655020 */     GIR_EraseRootFromParent_Done,
     /* 1655021 */   // Label 22728: @1655021
     /* 1655021 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655107), // Rule ID 5937 //
     /* 1655026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1655046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655072 */     // MIs[0] policy
     /* 1655072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655106 */     // GIR_Coverage, 5937,
     /* 1655106 */     GIR_EraseRootFromParent_Done,
     /* 1655107 */   // Label 22729: @1655107
     /* 1655107 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655193), // Rule ID 5940 //
     /* 1655112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655158 */     // MIs[0] policy
     /* 1655158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655192 */     // GIR_Coverage, 5940,
     /* 1655192 */     GIR_EraseRootFromParent_Done,
     /* 1655193 */   // Label 22730: @1655193
     /* 1655193 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1655279), // Rule ID 5941 //
     /* 1655198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655244 */     // MIs[0] policy
     /* 1655244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1655257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655278 */     // GIR_Coverage, 5941,
     /* 1655278 */     GIR_EraseRootFromParent_Done,
     /* 1655279 */   // Label 22731: @1655279
     /* 1655279 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1655365), // Rule ID 5944 //
     /* 1655284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655330 */     // MIs[0] policy
     /* 1655330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655364 */     // GIR_Coverage, 5944,
     /* 1655364 */     GIR_EraseRootFromParent_Done,
     /* 1655365 */   // Label 22732: @1655365
     /* 1655365 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1655451), // Rule ID 5945 //
     /* 1655370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655416 */     // MIs[0] policy
     /* 1655416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655450 */     // GIR_Coverage, 5945,
     /* 1655450 */     GIR_EraseRootFromParent_Done,
     /* 1655451 */   // Label 22733: @1655451
     /* 1655451 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1655537), // Rule ID 5948 //
     /* 1655456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655502 */     // MIs[0] policy
     /* 1655502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655536 */     // GIR_Coverage, 5948,
     /* 1655536 */     GIR_EraseRootFromParent_Done,
     /* 1655537 */   // Label 22734: @1655537
     /* 1655537 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1655623), // Rule ID 5949 //
     /* 1655542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655588 */     // MIs[0] policy
     /* 1655588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655622 */     // GIR_Coverage, 5949,
     /* 1655622 */     GIR_EraseRootFromParent_Done,
     /* 1655623 */   // Label 22735: @1655623
     /* 1655623 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1655709), // Rule ID 5952 //
     /* 1655628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655674 */     // MIs[0] policy
     /* 1655674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655708 */     // GIR_Coverage, 5952,
     /* 1655708 */     GIR_EraseRootFromParent_Done,
     /* 1655709 */   // Label 22736: @1655709
     /* 1655709 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1655795), // Rule ID 5953 //
     /* 1655714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655760 */     // MIs[0] policy
     /* 1655760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655794 */     // GIR_Coverage, 5953,
     /* 1655794 */     GIR_EraseRootFromParent_Done,
     /* 1655795 */   // Label 22737: @1655795
     /* 1655795 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1655881), // Rule ID 5956 //
     /* 1655800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655846 */     // MIs[0] policy
     /* 1655846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655880 */     // GIR_Coverage, 5956,
     /* 1655880 */     GIR_EraseRootFromParent_Done,
     /* 1655881 */   // Label 22738: @1655881
     /* 1655881 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1655967), // Rule ID 5957 //
     /* 1655886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655932 */     // MIs[0] policy
     /* 1655932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655966 */     // GIR_Coverage, 5957,
     /* 1655966 */     GIR_EraseRootFromParent_Done,
     /* 1655967 */   // Label 22739: @1655967
     /* 1655967 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1656053), // Rule ID 5960 //
     /* 1655972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656018 */     // MIs[0] policy
     /* 1656018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656052 */     // GIR_Coverage, 5960,
     /* 1656052 */     GIR_EraseRootFromParent_Done,
     /* 1656053 */   // Label 22740: @1656053
     /* 1656053 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656139), // Rule ID 5961 //
     /* 1656058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1656078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656104 */     // MIs[0] policy
     /* 1656104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656138 */     // GIR_Coverage, 5961,
     /* 1656138 */     GIR_EraseRootFromParent_Done,
     /* 1656139 */   // Label 22741: @1656139
     /* 1656139 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1656225), // Rule ID 5964 //
     /* 1656144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656190 */     // MIs[0] policy
     /* 1656190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656200 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656224 */     // GIR_Coverage, 5964,
     /* 1656224 */     GIR_EraseRootFromParent_Done,
     /* 1656225 */   // Label 22742: @1656225
     /* 1656225 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1656311), // Rule ID 5965 //
     /* 1656230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656276 */     // MIs[0] policy
     /* 1656276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656310 */     // GIR_Coverage, 5965,
     /* 1656310 */     GIR_EraseRootFromParent_Done,
     /* 1656311 */   // Label 22743: @1656311
     /* 1656311 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1656397), // Rule ID 5968 //
     /* 1656316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656362 */     // MIs[0] policy
     /* 1656362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656396 */     // GIR_Coverage, 5968,
     /* 1656396 */     GIR_EraseRootFromParent_Done,
     /* 1656397 */   // Label 22744: @1656397
     /* 1656397 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1656483), // Rule ID 5969 //
     /* 1656402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656448 */     // MIs[0] policy
     /* 1656448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656482 */     // GIR_Coverage, 5969,
     /* 1656482 */     GIR_EraseRootFromParent_Done,
     /* 1656483 */   // Label 22745: @1656483
     /* 1656483 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1656569), // Rule ID 5972 //
     /* 1656488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656534 */     // MIs[0] policy
     /* 1656534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656568 */     // GIR_Coverage, 5972,
     /* 1656568 */     GIR_EraseRootFromParent_Done,
     /* 1656569 */   // Label 22746: @1656569
     /* 1656569 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1656655), // Rule ID 5973 //
     /* 1656574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656620 */     // MIs[0] policy
     /* 1656620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656654 */     // GIR_Coverage, 5973,
     /* 1656654 */     GIR_EraseRootFromParent_Done,
     /* 1656655 */   // Label 22747: @1656655
     /* 1656655 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1656741), // Rule ID 5976 //
     /* 1656660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656706 */     // MIs[0] policy
     /* 1656706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656740 */     // GIR_Coverage, 5976,
     /* 1656740 */     GIR_EraseRootFromParent_Done,
     /* 1656741 */   // Label 22748: @1656741
     /* 1656741 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1656827), // Rule ID 5977 //
     /* 1656746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656792 */     // MIs[0] policy
     /* 1656792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656826 */     // GIR_Coverage, 5977,
     /* 1656826 */     GIR_EraseRootFromParent_Done,
     /* 1656827 */   // Label 22749: @1656827
     /* 1656827 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1656913), // Rule ID 5980 //
     /* 1656832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656878 */     // MIs[0] policy
     /* 1656878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656912 */     // GIR_Coverage, 5980,
     /* 1656912 */     GIR_EraseRootFromParent_Done,
     /* 1656913 */   // Label 22750: @1656913
     /* 1656913 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1656999), // Rule ID 5981 //
     /* 1656918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656964 */     // MIs[0] policy
     /* 1656964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656998 */     // GIR_Coverage, 5981,
     /* 1656998 */     GIR_EraseRootFromParent_Done,
     /* 1656999 */   // Label 22751: @1656999
     /* 1656999 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1657085), // Rule ID 5984 //
     /* 1657004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657050 */     // MIs[0] policy
     /* 1657050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657084 */     // GIR_Coverage, 5984,
     /* 1657084 */     GIR_EraseRootFromParent_Done,
     /* 1657085 */   // Label 22752: @1657085
     /* 1657085 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657171), // Rule ID 5985 //
     /* 1657090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657136 */     // MIs[0] policy
     /* 1657136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657170 */     // GIR_Coverage, 5985,
     /* 1657170 */     GIR_EraseRootFromParent_Done,
     /* 1657171 */   // Label 22753: @1657171
     /* 1657171 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1657257), // Rule ID 5988 //
     /* 1657176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657222 */     // MIs[0] policy
     /* 1657222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657256 */     // GIR_Coverage, 5988,
     /* 1657256 */     GIR_EraseRootFromParent_Done,
     /* 1657257 */   // Label 22754: @1657257
     /* 1657257 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1657343), // Rule ID 5989 //
     /* 1657262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657308 */     // MIs[0] policy
     /* 1657308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657342 */     // GIR_Coverage, 5989,
     /* 1657342 */     GIR_EraseRootFromParent_Done,
     /* 1657343 */   // Label 22755: @1657343
     /* 1657343 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1657429), // Rule ID 5992 //
     /* 1657348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657394 */     // MIs[0] policy
     /* 1657394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657428 */     // GIR_Coverage, 5992,
     /* 1657428 */     GIR_EraseRootFromParent_Done,
     /* 1657429 */   // Label 22756: @1657429
     /* 1657429 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1657515), // Rule ID 5993 //
     /* 1657434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657480 */     // MIs[0] policy
     /* 1657480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657490 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657514 */     // GIR_Coverage, 5993,
     /* 1657514 */     GIR_EraseRootFromParent_Done,
     /* 1657515 */   // Label 22757: @1657515
     /* 1657515 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1657601), // Rule ID 5996 //
     /* 1657520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657566 */     // MIs[0] policy
     /* 1657566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657600 */     // GIR_Coverage, 5996,
     /* 1657600 */     GIR_EraseRootFromParent_Done,
     /* 1657601 */   // Label 22758: @1657601
     /* 1657601 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1657687), // Rule ID 5997 //
     /* 1657606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657652 */     // MIs[0] policy
     /* 1657652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657686 */     // GIR_Coverage, 5997,
     /* 1657686 */     GIR_EraseRootFromParent_Done,
     /* 1657687 */   // Label 22759: @1657687
     /* 1657687 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1657773), // Rule ID 6000 //
     /* 1657692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657738 */     // MIs[0] policy
     /* 1657738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657772 */     // GIR_Coverage, 6000,
     /* 1657772 */     GIR_EraseRootFromParent_Done,
     /* 1657773 */   // Label 22760: @1657773
     /* 1657773 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1657859), // Rule ID 6001 //
     /* 1657778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657824 */     // MIs[0] policy
     /* 1657824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657858 */     // GIR_Coverage, 6001,
     /* 1657858 */     GIR_EraseRootFromParent_Done,
     /* 1657859 */   // Label 22761: @1657859
     /* 1657859 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1657945), // Rule ID 6004 //
     /* 1657864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657910 */     // MIs[0] policy
     /* 1657910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657920 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657944 */     // GIR_Coverage, 6004,
     /* 1657944 */     GIR_EraseRootFromParent_Done,
     /* 1657945 */   // Label 22762: @1657945
     /* 1657945 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1658031), // Rule ID 6005 //
     /* 1657950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657996 */     // MIs[0] policy
     /* 1657996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1658009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658030 */     // GIR_Coverage, 6005,
     /* 1658030 */     GIR_EraseRootFromParent_Done,
     /* 1658031 */   // Label 22763: @1658031
     /* 1658031 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658117), // Rule ID 6008 //
     /* 1658036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658082 */     // MIs[0] policy
     /* 1658082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1658095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658116 */     // GIR_Coverage, 6008,
     /* 1658116 */     GIR_EraseRootFromParent_Done,
     /* 1658117 */   // Label 22764: @1658117
     /* 1658117 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658203), // Rule ID 6009 //
     /* 1658122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658168 */     // MIs[0] policy
     /* 1658168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1658181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658202 */     // GIR_Coverage, 6009,
     /* 1658202 */     GIR_EraseRootFromParent_Done,
     /* 1658203 */   // Label 22765: @1658203
     /* 1658203 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1658289), // Rule ID 6012 //
     /* 1658208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658254 */     // MIs[0] policy
     /* 1658254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658288 */     // GIR_Coverage, 6012,
     /* 1658288 */     GIR_EraseRootFromParent_Done,
     /* 1658289 */   // Label 22766: @1658289
     /* 1658289 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1658375), // Rule ID 6013 //
     /* 1658294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658340 */     // MIs[0] policy
     /* 1658340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658350 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658374 */     // GIR_Coverage, 6013,
     /* 1658374 */     GIR_EraseRootFromParent_Done,
     /* 1658375 */   // Label 22767: @1658375
     /* 1658375 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1658461), // Rule ID 6016 //
     /* 1658380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658426 */     // MIs[0] policy
     /* 1658426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658460 */     // GIR_Coverage, 6016,
     /* 1658460 */     GIR_EraseRootFromParent_Done,
     /* 1658461 */   // Label 22768: @1658461
     /* 1658461 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1658547), // Rule ID 6017 //
     /* 1658466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658512 */     // MIs[0] policy
     /* 1658512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658546 */     // GIR_Coverage, 6017,
     /* 1658546 */     GIR_EraseRootFromParent_Done,
     /* 1658547 */   // Label 22769: @1658547
     /* 1658547 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1658633), // Rule ID 6020 //
     /* 1658552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658598 */     // MIs[0] policy
     /* 1658598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658632 */     // GIR_Coverage, 6020,
     /* 1658632 */     GIR_EraseRootFromParent_Done,
     /* 1658633 */   // Label 22770: @1658633
     /* 1658633 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1658719), // Rule ID 6021 //
     /* 1658638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658684 */     // MIs[0] policy
     /* 1658684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658718 */     // GIR_Coverage, 6021,
     /* 1658718 */     GIR_EraseRootFromParent_Done,
     /* 1658719 */   // Label 22771: @1658719
     /* 1658719 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1658805), // Rule ID 6024 //
     /* 1658724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658770 */     // MIs[0] policy
     /* 1658770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658804 */     // GIR_Coverage, 6024,
     /* 1658804 */     GIR_EraseRootFromParent_Done,
     /* 1658805 */   // Label 22772: @1658805
     /* 1658805 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1658891), // Rule ID 6025 //
     /* 1658810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658856 */     // MIs[0] policy
     /* 1658856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658890 */     // GIR_Coverage, 6025,
     /* 1658890 */     GIR_EraseRootFromParent_Done,
     /* 1658891 */   // Label 22773: @1658891
     /* 1658891 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1658977), // Rule ID 6028 //
     /* 1658896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658942 */     // MIs[0] policy
     /* 1658942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658976 */     // GIR_Coverage, 6028,
     /* 1658976 */     GIR_EraseRootFromParent_Done,
     /* 1658977 */   // Label 22774: @1658977
     /* 1658977 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1659063), // Rule ID 6029 //
     /* 1658982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659028 */     // MIs[0] policy
     /* 1659028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1659041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659062 */     // GIR_Coverage, 6029,
     /* 1659062 */     GIR_EraseRootFromParent_Done,
     /* 1659063 */   // Label 22775: @1659063
     /* 1659063 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659149), // Rule ID 6032 //
     /* 1659068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659114 */     // MIs[0] policy
     /* 1659114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659148 */     // GIR_Coverage, 6032,
     /* 1659148 */     GIR_EraseRootFromParent_Done,
     /* 1659149 */   // Label 22776: @1659149
     /* 1659149 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1659235), // Rule ID 6033 //
     /* 1659154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659200 */     // MIs[0] policy
     /* 1659200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659234 */     // GIR_Coverage, 6033,
     /* 1659234 */     GIR_EraseRootFromParent_Done,
     /* 1659235 */   // Label 22777: @1659235
     /* 1659235 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1659321), // Rule ID 6036 //
     /* 1659240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659286 */     // MIs[0] policy
     /* 1659286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659320 */     // GIR_Coverage, 6036,
     /* 1659320 */     GIR_EraseRootFromParent_Done,
     /* 1659321 */   // Label 22778: @1659321
     /* 1659321 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1659407), // Rule ID 6037 //
     /* 1659326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659372 */     // MIs[0] policy
     /* 1659372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659406 */     // GIR_Coverage, 6037,
     /* 1659406 */     GIR_EraseRootFromParent_Done,
     /* 1659407 */   // Label 22779: @1659407
     /* 1659407 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1659493), // Rule ID 6040 //
     /* 1659412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659458 */     // MIs[0] policy
     /* 1659458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659492 */     // GIR_Coverage, 6040,
     /* 1659492 */     GIR_EraseRootFromParent_Done,
     /* 1659493 */   // Label 22780: @1659493
     /* 1659493 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1659579), // Rule ID 6041 //
     /* 1659498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659544 */     // MIs[0] policy
     /* 1659544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659578 */     // GIR_Coverage, 6041,
     /* 1659578 */     GIR_EraseRootFromParent_Done,
     /* 1659579 */   // Label 22781: @1659579
     /* 1659579 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1659665), // Rule ID 6044 //
     /* 1659584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659630 */     // MIs[0] policy
     /* 1659630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659664 */     // GIR_Coverage, 6044,
     /* 1659664 */     GIR_EraseRootFromParent_Done,
     /* 1659665 */   // Label 22782: @1659665
     /* 1659665 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1659751), // Rule ID 6045 //
     /* 1659670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659716 */     // MIs[0] policy
     /* 1659716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659750 */     // GIR_Coverage, 6045,
     /* 1659750 */     GIR_EraseRootFromParent_Done,
     /* 1659751 */   // Label 22783: @1659751
     /* 1659751 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1659837), // Rule ID 6048 //
     /* 1659756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659802 */     // MIs[0] policy
     /* 1659802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659836 */     // GIR_Coverage, 6048,
     /* 1659836 */     GIR_EraseRootFromParent_Done,
     /* 1659837 */   // Label 22784: @1659837
     /* 1659837 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1659923), // Rule ID 6049 //
     /* 1659842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659888 */     // MIs[0] policy
     /* 1659888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659922 */     // GIR_Coverage, 6049,
     /* 1659922 */     GIR_EraseRootFromParent_Done,
     /* 1659923 */   // Label 22785: @1659923
     /* 1659923 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1660009), // Rule ID 6052 //
     /* 1659928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659974 */     // MIs[0] policy
     /* 1659974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660008 */     // GIR_Coverage, 6052,
     /* 1660008 */     GIR_EraseRootFromParent_Done,
     /* 1660009 */   // Label 22786: @1660009
     /* 1660009 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660095), // Rule ID 6053 //
     /* 1660014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1660025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1660028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1660031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660060 */     // MIs[0] policy
     /* 1660060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660094 */     // GIR_Coverage, 6053,
     /* 1660094 */     GIR_EraseRootFromParent_Done,
     /* 1660095 */   // Label 22787: @1660095
     /* 1660095 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660181), // Rule ID 6056 //
     /* 1660100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660146 */     // MIs[0] policy
     /* 1660146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660156 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660180 */     // GIR_Coverage, 6056,
     /* 1660180 */     GIR_EraseRootFromParent_Done,
     /* 1660181 */   // Label 22788: @1660181
     /* 1660181 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1660267), // Rule ID 6057 //
     /* 1660186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660232 */     // MIs[0] policy
     /* 1660232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660266 */     // GIR_Coverage, 6057,
     /* 1660266 */     GIR_EraseRootFromParent_Done,
     /* 1660267 */   // Label 22789: @1660267
     /* 1660267 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1660353), // Rule ID 6060 //
     /* 1660272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660318 */     // MIs[0] policy
     /* 1660318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660352 */     // GIR_Coverage, 6060,
     /* 1660352 */     GIR_EraseRootFromParent_Done,
     /* 1660353 */   // Label 22790: @1660353
     /* 1660353 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1660439), // Rule ID 6061 //
     /* 1660358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660404 */     // MIs[0] policy
     /* 1660404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660438 */     // GIR_Coverage, 6061,
     /* 1660438 */     GIR_EraseRootFromParent_Done,
     /* 1660439 */   // Label 22791: @1660439
     /* 1660439 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1660525), // Rule ID 6064 //
     /* 1660444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660490 */     // MIs[0] policy
     /* 1660490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660524 */     // GIR_Coverage, 6064,
     /* 1660524 */     GIR_EraseRootFromParent_Done,
     /* 1660525 */   // Label 22792: @1660525
     /* 1660525 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1660611), // Rule ID 6065 //
     /* 1660530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660576 */     // MIs[0] policy
     /* 1660576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660610 */     // GIR_Coverage, 6065,
     /* 1660610 */     GIR_EraseRootFromParent_Done,
     /* 1660611 */   // Label 22793: @1660611
     /* 1660611 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1660697), // Rule ID 6068 //
     /* 1660616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660662 */     // MIs[0] policy
     /* 1660662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660696 */     // GIR_Coverage, 6068,
     /* 1660696 */     GIR_EraseRootFromParent_Done,
     /* 1660697 */   // Label 22794: @1660697
     /* 1660697 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1660783), // Rule ID 6069 //
     /* 1660702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660748 */     // MIs[0] policy
     /* 1660748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660782 */     // GIR_Coverage, 6069,
     /* 1660782 */     GIR_EraseRootFromParent_Done,
     /* 1660783 */   // Label 22795: @1660783
     /* 1660783 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1660869), // Rule ID 6072 //
     /* 1660788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660834 */     // MIs[0] policy
     /* 1660834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660868 */     // GIR_Coverage, 6072,
     /* 1660868 */     GIR_EraseRootFromParent_Done,
     /* 1660869 */   // Label 22796: @1660869
     /* 1660869 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1660955), // Rule ID 6073 //
     /* 1660874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660920 */     // MIs[0] policy
     /* 1660920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660954 */     // GIR_Coverage, 6073,
     /* 1660954 */     GIR_EraseRootFromParent_Done,
     /* 1660955 */   // Label 22797: @1660955
     /* 1660955 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1661041), // Rule ID 6076 //
     /* 1660960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661006 */     // MIs[0] policy
     /* 1661006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661040 */     // GIR_Coverage, 6076,
     /* 1661040 */     GIR_EraseRootFromParent_Done,
     /* 1661041 */   // Label 22798: @1661041
     /* 1661041 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661127), // Rule ID 6077 //
     /* 1661046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1661057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1661060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1661063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661092 */     // MIs[0] policy
     /* 1661092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661126 */     // GIR_Coverage, 6077,
     /* 1661126 */     GIR_EraseRootFromParent_Done,
     /* 1661127 */   // Label 22799: @1661127
     /* 1661127 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1661213), // Rule ID 6080 //
     /* 1661132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661178 */     // MIs[0] policy
     /* 1661178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661212 */     // GIR_Coverage, 6080,
     /* 1661212 */     GIR_EraseRootFromParent_Done,
     /* 1661213 */   // Label 22800: @1661213
     /* 1661213 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1661299), // Rule ID 6081 //
     /* 1661218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661264 */     // MIs[0] policy
     /* 1661264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661298 */     // GIR_Coverage, 6081,
     /* 1661298 */     GIR_EraseRootFromParent_Done,
     /* 1661299 */   // Label 22801: @1661299
     /* 1661299 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1661385), // Rule ID 6084 //
     /* 1661304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661350 */     // MIs[0] policy
     /* 1661350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661384 */     // GIR_Coverage, 6084,
     /* 1661384 */     GIR_EraseRootFromParent_Done,
     /* 1661385 */   // Label 22802: @1661385
     /* 1661385 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1661471), // Rule ID 6085 //
     /* 1661390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661436 */     // MIs[0] policy
     /* 1661436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661470 */     // GIR_Coverage, 6085,
     /* 1661470 */     GIR_EraseRootFromParent_Done,
     /* 1661471 */   // Label 22803: @1661471
     /* 1661471 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1661557), // Rule ID 6088 //
     /* 1661476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661522 */     // MIs[0] policy
     /* 1661522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661556 */     // GIR_Coverage, 6088,
     /* 1661556 */     GIR_EraseRootFromParent_Done,
     /* 1661557 */   // Label 22804: @1661557
     /* 1661557 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1661643), // Rule ID 6089 //
     /* 1661562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661608 */     // MIs[0] policy
     /* 1661608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661642 */     // GIR_Coverage, 6089,
     /* 1661642 */     GIR_EraseRootFromParent_Done,
     /* 1661643 */   // Label 22805: @1661643
     /* 1661643 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1661729), // Rule ID 6092 //
     /* 1661648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661694 */     // MIs[0] policy
     /* 1661694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661728 */     // GIR_Coverage, 6092,
     /* 1661728 */     GIR_EraseRootFromParent_Done,
     /* 1661729 */   // Label 22806: @1661729
     /* 1661729 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1661815), // Rule ID 6093 //
     /* 1661734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661780 */     // MIs[0] policy
     /* 1661780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661814 */     // GIR_Coverage, 6093,
     /* 1661814 */     GIR_EraseRootFromParent_Done,
     /* 1661815 */   // Label 22807: @1661815
     /* 1661815 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1661901), // Rule ID 6184 //
     /* 1661820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661866 */     // MIs[0] policy
     /* 1661866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661900 */     // GIR_Coverage, 6184,
     /* 1661900 */     GIR_EraseRootFromParent_Done,
     /* 1661901 */   // Label 22808: @1661901
     /* 1661901 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1661987), // Rule ID 6185 //
     /* 1661906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661952 */     // MIs[0] policy
     /* 1661952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661962 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661986 */     // GIR_Coverage, 6185,
     /* 1661986 */     GIR_EraseRootFromParent_Done,
     /* 1661987 */   // Label 22809: @1661987
     /* 1661987 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1662073), // Rule ID 6188 //
     /* 1661992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1662012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662038 */     // MIs[0] policy
     /* 1662038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662072 */     // GIR_Coverage, 6188,
     /* 1662072 */     GIR_EraseRootFromParent_Done,
     /* 1662073 */   // Label 22810: @1662073
     /* 1662073 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662159), // Rule ID 6189 //
     /* 1662078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1662098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662124 */     // MIs[0] policy
     /* 1662124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662134 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662158 */     // GIR_Coverage, 6189,
     /* 1662158 */     GIR_EraseRootFromParent_Done,
     /* 1662159 */   // Label 22811: @1662159
     /* 1662159 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1662245), // Rule ID 6192 //
     /* 1662164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1662184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662210 */     // MIs[0] policy
     /* 1662210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662244 */     // GIR_Coverage, 6192,
     /* 1662244 */     GIR_EraseRootFromParent_Done,
     /* 1662245 */   // Label 22812: @1662245
     /* 1662245 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1662331), // Rule ID 6193 //
     /* 1662250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1662270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662296 */     // MIs[0] policy
     /* 1662296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662330 */     // GIR_Coverage, 6193,
     /* 1662330 */     GIR_EraseRootFromParent_Done,
     /* 1662331 */   // Label 22813: @1662331
     /* 1662331 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1662417), // Rule ID 6196 //
     /* 1662336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662382 */     // MIs[0] policy
     /* 1662382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662416 */     // GIR_Coverage, 6196,
     /* 1662416 */     GIR_EraseRootFromParent_Done,
     /* 1662417 */   // Label 22814: @1662417
     /* 1662417 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1662503), // Rule ID 6197 //
     /* 1662422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662468 */     // MIs[0] policy
     /* 1662468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662502 */     // GIR_Coverage, 6197,
     /* 1662502 */     GIR_EraseRootFromParent_Done,
     /* 1662503 */   // Label 22815: @1662503
     /* 1662503 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1662589), // Rule ID 6200 //
     /* 1662508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662554 */     // MIs[0] policy
     /* 1662554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662588 */     // GIR_Coverage, 6200,
     /* 1662588 */     GIR_EraseRootFromParent_Done,
     /* 1662589 */   // Label 22816: @1662589
     /* 1662589 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1662675), // Rule ID 6201 //
     /* 1662594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662640 */     // MIs[0] policy
     /* 1662640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662674 */     // GIR_Coverage, 6201,
     /* 1662674 */     GIR_EraseRootFromParent_Done,
     /* 1662675 */   // Label 22817: @1662675
     /* 1662675 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1662761), // Rule ID 6204 //
     /* 1662680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662726 */     // MIs[0] policy
     /* 1662726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662760 */     // GIR_Coverage, 6204,
     /* 1662760 */     GIR_EraseRootFromParent_Done,
     /* 1662761 */   // Label 22818: @1662761
     /* 1662761 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1662847), // Rule ID 6205 //
     /* 1662766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662812 */     // MIs[0] policy
     /* 1662812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662846 */     // GIR_Coverage, 6205,
     /* 1662846 */     GIR_EraseRootFromParent_Done,
     /* 1662847 */   // Label 22819: @1662847
     /* 1662847 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1662933), // Rule ID 6208 //
     /* 1662852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662898 */     // MIs[0] policy
     /* 1662898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662932 */     // GIR_Coverage, 6208,
     /* 1662932 */     GIR_EraseRootFromParent_Done,
     /* 1662933 */   // Label 22820: @1662933
     /* 1662933 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1663019), // Rule ID 6209 //
     /* 1662938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662984 */     // MIs[0] policy
     /* 1662984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663018 */     // GIR_Coverage, 6209,
     /* 1663018 */     GIR_EraseRootFromParent_Done,
     /* 1663019 */   // Label 22821: @1663019
     /* 1663019 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663105), // Rule ID 6212 //
     /* 1663024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1663044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663070 */     // MIs[0] policy
     /* 1663070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663104 */     // GIR_Coverage, 6212,
     /* 1663104 */     GIR_EraseRootFromParent_Done,
     /* 1663105 */   // Label 22822: @1663105
     /* 1663105 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663191), // Rule ID 6213 //
     /* 1663110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1663130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663156 */     // MIs[0] policy
     /* 1663156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663190 */     // GIR_Coverage, 6213,
     /* 1663190 */     GIR_EraseRootFromParent_Done,
     /* 1663191 */   // Label 22823: @1663191
     /* 1663191 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1663277), // Rule ID 6216 //
     /* 1663196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1663216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663242 */     // MIs[0] policy
     /* 1663242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663276 */     // GIR_Coverage, 6216,
     /* 1663276 */     GIR_EraseRootFromParent_Done,
     /* 1663277 */   // Label 22824: @1663277
     /* 1663277 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1663363), // Rule ID 6217 //
     /* 1663282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1663302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663328 */     // MIs[0] policy
     /* 1663328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663362 */     // GIR_Coverage, 6217,
     /* 1663362 */     GIR_EraseRootFromParent_Done,
     /* 1663363 */   // Label 22825: @1663363
     /* 1663363 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1663449), // Rule ID 6220 //
     /* 1663368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663414 */     // MIs[0] policy
     /* 1663414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663448 */     // GIR_Coverage, 6220,
     /* 1663448 */     GIR_EraseRootFromParent_Done,
     /* 1663449 */   // Label 22826: @1663449
     /* 1663449 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1663535), // Rule ID 6221 //
     /* 1663454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663500 */     // MIs[0] policy
     /* 1663500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663534 */     // GIR_Coverage, 6221,
     /* 1663534 */     GIR_EraseRootFromParent_Done,
     /* 1663535 */   // Label 22827: @1663535
     /* 1663535 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1663621), // Rule ID 6224 //
     /* 1663540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663586 */     // MIs[0] policy
     /* 1663586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663620 */     // GIR_Coverage, 6224,
     /* 1663620 */     GIR_EraseRootFromParent_Done,
     /* 1663621 */   // Label 22828: @1663621
     /* 1663621 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1663707), // Rule ID 6225 //
     /* 1663626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663672 */     // MIs[0] policy
     /* 1663672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663706 */     // GIR_Coverage, 6225,
     /* 1663706 */     GIR_EraseRootFromParent_Done,
     /* 1663707 */   // Label 22829: @1663707
     /* 1663707 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1663793), // Rule ID 6228 //
     /* 1663712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663758 */     // MIs[0] policy
     /* 1663758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663792 */     // GIR_Coverage, 6228,
     /* 1663792 */     GIR_EraseRootFromParent_Done,
     /* 1663793 */   // Label 22830: @1663793
     /* 1663793 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1663879), // Rule ID 6229 //
     /* 1663798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663844 */     // MIs[0] policy
     /* 1663844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663878 */     // GIR_Coverage, 6229,
     /* 1663878 */     GIR_EraseRootFromParent_Done,
     /* 1663879 */   // Label 22831: @1663879
     /* 1663879 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1663965), // Rule ID 6232 //
     /* 1663884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663930 */     // MIs[0] policy
     /* 1663930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663964 */     // GIR_Coverage, 6232,
     /* 1663964 */     GIR_EraseRootFromParent_Done,
     /* 1663965 */   // Label 22832: @1663965
     /* 1663965 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1664051), // Rule ID 6233 //
     /* 1663970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664016 */     // MIs[0] policy
     /* 1664016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664050 */     // GIR_Coverage, 6233,
     /* 1664050 */     GIR_EraseRootFromParent_Done,
     /* 1664051 */   // Label 22833: @1664051
     /* 1664051 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664137), // Rule ID 6236 //
     /* 1664056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1664076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664102 */     // MIs[0] policy
     /* 1664102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664136 */     // GIR_Coverage, 6236,
     /* 1664136 */     GIR_EraseRootFromParent_Done,
     /* 1664137 */   // Label 22834: @1664137
     /* 1664137 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1664223), // Rule ID 6237 //
     /* 1664142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1664162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664188 */     // MIs[0] policy
     /* 1664188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664222 */     // GIR_Coverage, 6237,
     /* 1664222 */     GIR_EraseRootFromParent_Done,
     /* 1664223 */   // Label 22835: @1664223
     /* 1664223 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1664309), // Rule ID 6240 //
     /* 1664228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1664248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664274 */     // MIs[0] policy
     /* 1664274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664308 */     // GIR_Coverage, 6240,
     /* 1664308 */     GIR_EraseRootFromParent_Done,
     /* 1664309 */   // Label 22836: @1664309
     /* 1664309 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1664395), // Rule ID 6241 //
     /* 1664314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1664334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664360 */     // MIs[0] policy
     /* 1664360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664394 */     // GIR_Coverage, 6241,
     /* 1664394 */     GIR_EraseRootFromParent_Done,
     /* 1664395 */   // Label 22837: @1664395
     /* 1664395 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1664481), // Rule ID 6244 //
     /* 1664400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664446 */     // MIs[0] policy
     /* 1664446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664480 */     // GIR_Coverage, 6244,
     /* 1664480 */     GIR_EraseRootFromParent_Done,
     /* 1664481 */   // Label 22838: @1664481
     /* 1664481 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1664567), // Rule ID 6245 //
     /* 1664486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664532 */     // MIs[0] policy
     /* 1664532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664566 */     // GIR_Coverage, 6245,
     /* 1664566 */     GIR_EraseRootFromParent_Done,
     /* 1664567 */   // Label 22839: @1664567
     /* 1664567 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1664653), // Rule ID 6248 //
     /* 1664572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664618 */     // MIs[0] policy
     /* 1664618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664652 */     // GIR_Coverage, 6248,
     /* 1664652 */     GIR_EraseRootFromParent_Done,
     /* 1664653 */   // Label 22840: @1664653
     /* 1664653 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1664739), // Rule ID 6249 //
     /* 1664658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664704 */     // MIs[0] policy
     /* 1664704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664738 */     // GIR_Coverage, 6249,
     /* 1664738 */     GIR_EraseRootFromParent_Done,
     /* 1664739 */   // Label 22841: @1664739
     /* 1664739 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1664825), // Rule ID 6252 //
     /* 1664744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664790 */     // MIs[0] policy
     /* 1664790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664824 */     // GIR_Coverage, 6252,
     /* 1664824 */     GIR_EraseRootFromParent_Done,
     /* 1664825 */   // Label 22842: @1664825
     /* 1664825 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1664911), // Rule ID 6253 //
     /* 1664830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664876 */     // MIs[0] policy
     /* 1664876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664910 */     // GIR_Coverage, 6253,
     /* 1664910 */     GIR_EraseRootFromParent_Done,
     /* 1664911 */   // Label 22843: @1664911
     /* 1664911 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1664997), // Rule ID 6256 //
     /* 1664916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664962 */     // MIs[0] policy
     /* 1664962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664996 */     // GIR_Coverage, 6256,
     /* 1664996 */     GIR_EraseRootFromParent_Done,
     /* 1664997 */   // Label 22844: @1664997
     /* 1664997 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1665083), // Rule ID 6257 //
     /* 1665002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1665013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1665016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1665019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1665022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665048 */     // MIs[0] policy
     /* 1665048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665082 */     // GIR_Coverage, 6257,
     /* 1665082 */     GIR_EraseRootFromParent_Done,
     /* 1665083 */   // Label 22845: @1665083
     /* 1665083 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665169), // Rule ID 6260 //
     /* 1665088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1665108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665134 */     // MIs[0] policy
     /* 1665134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1665147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665168 */     // GIR_Coverage, 6260,
     /* 1665168 */     GIR_EraseRootFromParent_Done,
     /* 1665169 */   // Label 22846: @1665169
     /* 1665169 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1665255), // Rule ID 6261 //
     /* 1665174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1665194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665220 */     // MIs[0] policy
     /* 1665220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1665233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665254 */     // GIR_Coverage, 6261,
     /* 1665254 */     GIR_EraseRootFromParent_Done,
     /* 1665255 */   // Label 22847: @1665255
     /* 1665255 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1665341), // Rule ID 6264 //
     /* 1665260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1665280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665306 */     // MIs[0] policy
     /* 1665306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1665319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665340 */     // GIR_Coverage, 6264,
     /* 1665340 */     GIR_EraseRootFromParent_Done,
     /* 1665341 */   // Label 22848: @1665341
     /* 1665341 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1665427), // Rule ID 6265 //
     /* 1665346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1665366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665392 */     // MIs[0] policy
     /* 1665392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1665405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665426 */     // GIR_Coverage, 6265,
     /* 1665426 */     GIR_EraseRootFromParent_Done,
     /* 1665427 */   // Label 22849: @1665427
     /* 1665427 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1665513), // Rule ID 6268 //
     /* 1665432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665478 */     // MIs[0] policy
     /* 1665478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665512 */     // GIR_Coverage, 6268,
     /* 1665512 */     GIR_EraseRootFromParent_Done,
     /* 1665513 */   // Label 22850: @1665513
     /* 1665513 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1665599), // Rule ID 6269 //
     /* 1665518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665564 */     // MIs[0] policy
     /* 1665564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665598 */     // GIR_Coverage, 6269,
     /* 1665598 */     GIR_EraseRootFromParent_Done,
     /* 1665599 */   // Label 22851: @1665599
     /* 1665599 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1665685), // Rule ID 6272 //
     /* 1665604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665650 */     // MIs[0] policy
     /* 1665650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665684 */     // GIR_Coverage, 6272,
     /* 1665684 */     GIR_EraseRootFromParent_Done,
     /* 1665685 */   // Label 22852: @1665685
     /* 1665685 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1665771), // Rule ID 6273 //
     /* 1665690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665736 */     // MIs[0] policy
     /* 1665736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665770 */     // GIR_Coverage, 6273,
     /* 1665770 */     GIR_EraseRootFromParent_Done,
     /* 1665771 */   // Label 22853: @1665771
     /* 1665771 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1665857), // Rule ID 6276 //
     /* 1665776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665822 */     // MIs[0] policy
     /* 1665822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665856 */     // GIR_Coverage, 6276,
     /* 1665856 */     GIR_EraseRootFromParent_Done,
     /* 1665857 */   // Label 22854: @1665857
     /* 1665857 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1665943), // Rule ID 6277 //
     /* 1665862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665908 */     // MIs[0] policy
     /* 1665908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665942 */     // GIR_Coverage, 6277,
     /* 1665942 */     GIR_EraseRootFromParent_Done,
     /* 1665943 */   // Label 22855: @1665943
     /* 1665943 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1666029), // Rule ID 6280 //
     /* 1665948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665994 */     // MIs[0] policy
     /* 1665994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666028 */     // GIR_Coverage, 6280,
     /* 1666028 */     GIR_EraseRootFromParent_Done,
     /* 1666029 */   // Label 22856: @1666029
     /* 1666029 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666115), // Rule ID 6281 //
     /* 1666034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1666045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1666048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1666051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666080 */     // MIs[0] policy
     /* 1666080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666114 */     // GIR_Coverage, 6281,
     /* 1666114 */     GIR_EraseRootFromParent_Done,
     /* 1666115 */   // Label 22857: @1666115
     /* 1666115 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666201), // Rule ID 6284 //
     /* 1666120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666166 */     // MIs[0] policy
     /* 1666166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1666179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666200 */     // GIR_Coverage, 6284,
     /* 1666200 */     GIR_EraseRootFromParent_Done,
     /* 1666201 */   // Label 22858: @1666201
     /* 1666201 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1666287), // Rule ID 6285 //
     /* 1666206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666252 */     // MIs[0] policy
     /* 1666252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1666265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666286 */     // GIR_Coverage, 6285,
     /* 1666286 */     GIR_EraseRootFromParent_Done,
     /* 1666287 */   // Label 22859: @1666287
     /* 1666287 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1666373), // Rule ID 6288 //
     /* 1666292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666338 */     // MIs[0] policy
     /* 1666338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666372 */     // GIR_Coverage, 6288,
     /* 1666372 */     GIR_EraseRootFromParent_Done,
     /* 1666373 */   // Label 22860: @1666373
     /* 1666373 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1666459), // Rule ID 6289 //
     /* 1666378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666424 */     // MIs[0] policy
     /* 1666424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666458 */     // GIR_Coverage, 6289,
     /* 1666458 */     GIR_EraseRootFromParent_Done,
     /* 1666459 */   // Label 22861: @1666459
     /* 1666459 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1666545), // Rule ID 6292 //
     /* 1666464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666510 */     // MIs[0] policy
     /* 1666510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666544 */     // GIR_Coverage, 6292,
     /* 1666544 */     GIR_EraseRootFromParent_Done,
     /* 1666545 */   // Label 22862: @1666545
     /* 1666545 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1666631), // Rule ID 6293 //
     /* 1666550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666596 */     // MIs[0] policy
     /* 1666596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666630 */     // GIR_Coverage, 6293,
     /* 1666630 */     GIR_EraseRootFromParent_Done,
     /* 1666631 */   // Label 22863: @1666631
     /* 1666631 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1666717), // Rule ID 6296 //
     /* 1666636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666682 */     // MIs[0] policy
     /* 1666682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666716 */     // GIR_Coverage, 6296,
     /* 1666716 */     GIR_EraseRootFromParent_Done,
     /* 1666717 */   // Label 22864: @1666717
     /* 1666717 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1666803), // Rule ID 6297 //
     /* 1666722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666768 */     // MIs[0] policy
     /* 1666768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11603:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666802 */     // GIR_Coverage, 6297,
     /* 1666802 */     GIR_EraseRootFromParent_Done,
     /* 1666803 */   // Label 22865: @1666803
     /* 1666803 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1666889), // Rule ID 6300 //
     /* 1666808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666854 */     // MIs[0] policy
     /* 1666854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666888 */     // GIR_Coverage, 6300,
     /* 1666888 */     GIR_EraseRootFromParent_Done,
     /* 1666889 */   // Label 22866: @1666889
     /* 1666889 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1666975), // Rule ID 6301 //
     /* 1666894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666940 */     // MIs[0] policy
     /* 1666940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666974 */     // GIR_Coverage, 6301,
     /* 1666974 */     GIR_EraseRootFromParent_Done,
     /* 1666975 */   // Label 22867: @1666975
     /* 1666975 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1667061), // Rule ID 6304 //
     /* 1666980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667026 */     // MIs[0] policy
     /* 1667026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667060 */     // GIR_Coverage, 6304,
     /* 1667060 */     GIR_EraseRootFromParent_Done,
     /* 1667061 */   // Label 22868: @1667061
     /* 1667061 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667147), // Rule ID 6305 //
     /* 1667066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1667077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1667080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1667083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667112 */     // MIs[0] policy
     /* 1667112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667146 */     // GIR_Coverage, 6305,
     /* 1667146 */     GIR_EraseRootFromParent_Done,
     /* 1667147 */   // Label 22869: @1667147
     /* 1667147 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1667233), // Rule ID 6308 //
     /* 1667152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667198 */     // MIs[0] policy
     /* 1667198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667232 */     // GIR_Coverage, 6308,
     /* 1667232 */     GIR_EraseRootFromParent_Done,
     /* 1667233 */   // Label 22870: @1667233
     /* 1667233 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1667319), // Rule ID 6309 //
     /* 1667238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667284 */     // MIs[0] policy
     /* 1667284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1667297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667318 */     // GIR_Coverage, 6309,
     /* 1667318 */     GIR_EraseRootFromParent_Done,
     /* 1667319 */   // Label 22871: @1667319
     /* 1667319 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1667405), // Rule ID 6312 //
     /* 1667324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667370 */     // MIs[0] policy
     /* 1667370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667404 */     // GIR_Coverage, 6312,
     /* 1667404 */     GIR_EraseRootFromParent_Done,
     /* 1667405 */   // Label 22872: @1667405
     /* 1667405 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1667491), // Rule ID 6313 //
     /* 1667410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667456 */     // MIs[0] policy
     /* 1667456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667490 */     // GIR_Coverage, 6313,
     /* 1667490 */     GIR_EraseRootFromParent_Done,
     /* 1667491 */   // Label 22873: @1667491
     /* 1667491 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1667577), // Rule ID 6316 //
     /* 1667496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667542 */     // MIs[0] policy
     /* 1667542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667576 */     // GIR_Coverage, 6316,
     /* 1667576 */     GIR_EraseRootFromParent_Done,
     /* 1667577 */   // Label 22874: @1667577
     /* 1667577 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1667663), // Rule ID 6317 //
     /* 1667582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667628 */     // MIs[0] policy
     /* 1667628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667662 */     // GIR_Coverage, 6317,
     /* 1667662 */     GIR_EraseRootFromParent_Done,
     /* 1667663 */   // Label 22875: @1667663
     /* 1667663 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1667749), // Rule ID 6320 //
     /* 1667668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667714 */     // MIs[0] policy
     /* 1667714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667748 */     // GIR_Coverage, 6320,
     /* 1667748 */     GIR_EraseRootFromParent_Done,
     /* 1667749 */   // Label 22876: @1667749
     /* 1667749 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1667835), // Rule ID 6321 //
     /* 1667754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667800 */     // MIs[0] policy
     /* 1667800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667834 */     // GIR_Coverage, 6321,
     /* 1667834 */     GIR_EraseRootFromParent_Done,
     /* 1667835 */   // Label 22877: @1667835
     /* 1667835 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1667921), // Rule ID 6324 //
     /* 1667840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667886 */     // MIs[0] policy
     /* 1667886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667920 */     // GIR_Coverage, 6324,
     /* 1667920 */     GIR_EraseRootFromParent_Done,
     /* 1667921 */   // Label 22878: @1667921
     /* 1667921 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1668007), // Rule ID 6325 //
     /* 1667926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667972 */     // MIs[0] policy
     /* 1667972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668006 */     // GIR_Coverage, 6325,
     /* 1668006 */     GIR_EraseRootFromParent_Done,
     /* 1668007 */   // Label 22879: @1668007
     /* 1668007 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668093), // Rule ID 6328 //
     /* 1668012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668058 */     // MIs[0] policy
     /* 1668058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668092 */     // GIR_Coverage, 6328,
     /* 1668092 */     GIR_EraseRootFromParent_Done,
     /* 1668093 */   // Label 22880: @1668093
     /* 1668093 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668179), // Rule ID 6329 //
     /* 1668098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668144 */     // MIs[0] policy
     /* 1668144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668178 */     // GIR_Coverage, 6329,
     /* 1668178 */     GIR_EraseRootFromParent_Done,
     /* 1668179 */   // Label 22881: @1668179
     /* 1668179 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1668265), // Rule ID 6332 //
     /* 1668184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668230 */     // MIs[0] policy
     /* 1668230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668264 */     // GIR_Coverage, 6332,
     /* 1668264 */     GIR_EraseRootFromParent_Done,
     /* 1668265 */   // Label 22882: @1668265
     /* 1668265 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1668351), // Rule ID 6333 //
     /* 1668270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668316 */     // MIs[0] policy
     /* 1668316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668350 */     // GIR_Coverage, 6333,
     /* 1668350 */     GIR_EraseRootFromParent_Done,
     /* 1668351 */   // Label 22883: @1668351
     /* 1668351 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1668437), // Rule ID 6336 //
     /* 1668356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668402 */     // MIs[0] policy
     /* 1668402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668436 */     // GIR_Coverage, 6336,
     /* 1668436 */     GIR_EraseRootFromParent_Done,
     /* 1668437 */   // Label 22884: @1668437
     /* 1668437 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1668523), // Rule ID 6337 //
     /* 1668442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668488 */     // MIs[0] policy
     /* 1668488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668522 */     // GIR_Coverage, 6337,
     /* 1668522 */     GIR_EraseRootFromParent_Done,
     /* 1668523 */   // Label 22885: @1668523
     /* 1668523 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1668609), // Rule ID 6340 //
     /* 1668528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668574 */     // MIs[0] policy
     /* 1668574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668608 */     // GIR_Coverage, 6340,
     /* 1668608 */     GIR_EraseRootFromParent_Done,
     /* 1668609 */   // Label 22886: @1668609
     /* 1668609 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1668695), // Rule ID 6341 //
     /* 1668614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668660 */     // MIs[0] policy
     /* 1668660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668694 */     // GIR_Coverage, 6341,
     /* 1668694 */     GIR_EraseRootFromParent_Done,
     /* 1668695 */   // Label 22887: @1668695
     /* 1668695 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1668781), // Rule ID 6344 //
     /* 1668700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668746 */     // MIs[0] policy
     /* 1668746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668780 */     // GIR_Coverage, 6344,
     /* 1668780 */     GIR_EraseRootFromParent_Done,
     /* 1668781 */   // Label 22888: @1668781
     /* 1668781 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1668867), // Rule ID 6345 //
     /* 1668786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668832 */     // MIs[0] policy
     /* 1668832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668866 */     // GIR_Coverage, 6345,
     /* 1668866 */     GIR_EraseRootFromParent_Done,
     /* 1668867 */   // Label 22889: @1668867
     /* 1668867 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1668953), // Rule ID 6348 //
     /* 1668872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668918 */     // MIs[0] policy
     /* 1668918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668952 */     // GIR_Coverage, 6348,
     /* 1668952 */     GIR_EraseRootFromParent_Done,
     /* 1668953 */   // Label 22890: @1668953
     /* 1668953 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1669039), // Rule ID 6349 //
     /* 1668958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669004 */     // MIs[0] policy
     /* 1669004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1669017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669038 */     // GIR_Coverage, 6349,
     /* 1669038 */     GIR_EraseRootFromParent_Done,
     /* 1669039 */   // Label 22891: @1669039
     /* 1669039 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669125), // Rule ID 6352 //
     /* 1669044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669090 */     // MIs[0] policy
     /* 1669090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1669103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669124 */     // GIR_Coverage, 6352,
     /* 1669124 */     GIR_EraseRootFromParent_Done,
     /* 1669125 */   // Label 22892: @1669125
     /* 1669125 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669211), // Rule ID 6353 //
     /* 1669130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669176 */     // MIs[0] policy
     /* 1669176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1669189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669210 */     // GIR_Coverage, 6353,
     /* 1669210 */     GIR_EraseRootFromParent_Done,
     /* 1669211 */   // Label 22893: @1669211
     /* 1669211 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1669297), // Rule ID 6356 //
     /* 1669216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669262 */     // MIs[0] policy
     /* 1669262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1669275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669296 */     // GIR_Coverage, 6356,
     /* 1669296 */     GIR_EraseRootFromParent_Done,
     /* 1669297 */   // Label 22894: @1669297
     /* 1669297 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1669383), // Rule ID 6357 //
     /* 1669302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669348 */     // MIs[0] policy
     /* 1669348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1669361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669382 */     // GIR_Coverage, 6357,
     /* 1669382 */     GIR_EraseRootFromParent_Done,
     /* 1669383 */   // Label 22895: @1669383
     /* 1669383 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1669469), // Rule ID 6448 //
     /* 1669388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669434 */     // MIs[0] policy
     /* 1669434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669468 */     // GIR_Coverage, 6448,
     /* 1669468 */     GIR_EraseRootFromParent_Done,
     /* 1669469 */   // Label 22896: @1669469
     /* 1669469 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1669555), // Rule ID 6449 //
     /* 1669474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669520 */     // MIs[0] policy
     /* 1669520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669554 */     // GIR_Coverage, 6449,
     /* 1669554 */     GIR_EraseRootFromParent_Done,
     /* 1669555 */   // Label 22897: @1669555
     /* 1669555 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1669641), // Rule ID 6452 //
     /* 1669560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669606 */     // MIs[0] policy
     /* 1669606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669640 */     // GIR_Coverage, 6452,
     /* 1669640 */     GIR_EraseRootFromParent_Done,
     /* 1669641 */   // Label 22898: @1669641
     /* 1669641 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1669727), // Rule ID 6453 //
     /* 1669646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669692 */     // MIs[0] policy
     /* 1669692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669726 */     // GIR_Coverage, 6453,
     /* 1669726 */     GIR_EraseRootFromParent_Done,
     /* 1669727 */   // Label 22899: @1669727
     /* 1669727 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1669813), // Rule ID 6456 //
     /* 1669732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669778 */     // MIs[0] policy
     /* 1669778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669812 */     // GIR_Coverage, 6456,
     /* 1669812 */     GIR_EraseRootFromParent_Done,
     /* 1669813 */   // Label 22900: @1669813
     /* 1669813 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1669899), // Rule ID 6457 //
     /* 1669818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669864 */     // MIs[0] policy
     /* 1669864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669898 */     // GIR_Coverage, 6457,
     /* 1669898 */     GIR_EraseRootFromParent_Done,
     /* 1669899 */   // Label 22901: @1669899
     /* 1669899 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1669985), // Rule ID 6460 //
     /* 1669904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669950 */     // MIs[0] policy
     /* 1669950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669984 */     // GIR_Coverage, 6460,
     /* 1669984 */     GIR_EraseRootFromParent_Done,
     /* 1669985 */   // Label 22902: @1669985
     /* 1669985 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1670071), // Rule ID 6461 //
     /* 1669990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1670001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1670004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1670007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1670010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670036 */     // MIs[0] policy
     /* 1670036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1670049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670070 */     // GIR_Coverage, 6461,
     /* 1670070 */     GIR_EraseRootFromParent_Done,
     /* 1670071 */   // Label 22903: @1670071
     /* 1670071 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670157), // Rule ID 6464 //
     /* 1670076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1670096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670122 */     // MIs[0] policy
     /* 1670122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670156 */     // GIR_Coverage, 6464,
     /* 1670156 */     GIR_EraseRootFromParent_Done,
     /* 1670157 */   // Label 22904: @1670157
     /* 1670157 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1670243), // Rule ID 6465 //
     /* 1670162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1670182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670208 */     // MIs[0] policy
     /* 1670208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670242 */     // GIR_Coverage, 6465,
     /* 1670242 */     GIR_EraseRootFromParent_Done,
     /* 1670243 */   // Label 22905: @1670243
     /* 1670243 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1670329), // Rule ID 6468 //
     /* 1670248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1670268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670294 */     // MIs[0] policy
     /* 1670294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670328 */     // GIR_Coverage, 6468,
     /* 1670328 */     GIR_EraseRootFromParent_Done,
     /* 1670329 */   // Label 22906: @1670329
     /* 1670329 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1670415), // Rule ID 6469 //
     /* 1670334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1670354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670380 */     // MIs[0] policy
     /* 1670380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1670393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670414 */     // GIR_Coverage, 6469,
     /* 1670414 */     GIR_EraseRootFromParent_Done,
     /* 1670415 */   // Label 22907: @1670415
     /* 1670415 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1670501), // Rule ID 6472 //
     /* 1670420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670466 */     // MIs[0] policy
     /* 1670466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670500 */     // GIR_Coverage, 6472,
     /* 1670500 */     GIR_EraseRootFromParent_Done,
     /* 1670501 */   // Label 22908: @1670501
     /* 1670501 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1670587), // Rule ID 6473 //
     /* 1670506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670552 */     // MIs[0] policy
     /* 1670552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670586 */     // GIR_Coverage, 6473,
     /* 1670586 */     GIR_EraseRootFromParent_Done,
     /* 1670587 */   // Label 22909: @1670587
     /* 1670587 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1670673), // Rule ID 6476 //
     /* 1670592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670638 */     // MIs[0] policy
     /* 1670638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670672 */     // GIR_Coverage, 6476,
     /* 1670672 */     GIR_EraseRootFromParent_Done,
     /* 1670673 */   // Label 22910: @1670673
     /* 1670673 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1670759), // Rule ID 6477 //
     /* 1670678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670724 */     // MIs[0] policy
     /* 1670724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670758 */     // GIR_Coverage, 6477,
     /* 1670758 */     GIR_EraseRootFromParent_Done,
     /* 1670759 */   // Label 22911: @1670759
     /* 1670759 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1670845), // Rule ID 6480 //
     /* 1670764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670810 */     // MIs[0] policy
     /* 1670810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670844 */     // GIR_Coverage, 6480,
     /* 1670844 */     GIR_EraseRootFromParent_Done,
     /* 1670845 */   // Label 22912: @1670845
     /* 1670845 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1670931), // Rule ID 6481 //
     /* 1670850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670896 */     // MIs[0] policy
     /* 1670896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670930 */     // GIR_Coverage, 6481,
     /* 1670930 */     GIR_EraseRootFromParent_Done,
     /* 1670931 */   // Label 22913: @1670931
     /* 1670931 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1671017), // Rule ID 6484 //
     /* 1670936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670982 */     // MIs[0] policy
     /* 1670982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671016 */     // GIR_Coverage, 6484,
     /* 1671016 */     GIR_EraseRootFromParent_Done,
     /* 1671017 */   // Label 22914: @1671017
     /* 1671017 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671103), // Rule ID 6485 //
     /* 1671022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1671033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1671036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1671039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1671042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671068 */     // MIs[0] policy
     /* 1671068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1671081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671102 */     // GIR_Coverage, 6485,
     /* 1671102 */     GIR_EraseRootFromParent_Done,
     /* 1671103 */   // Label 22915: @1671103
     /* 1671103 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671189), // Rule ID 6488 //
     /* 1671108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1671128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671154 */     // MIs[0] policy
     /* 1671154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671188 */     // GIR_Coverage, 6488,
     /* 1671188 */     GIR_EraseRootFromParent_Done,
     /* 1671189 */   // Label 22916: @1671189
     /* 1671189 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1671275), // Rule ID 6489 //
     /* 1671194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1671214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671240 */     // MIs[0] policy
     /* 1671240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671274 */     // GIR_Coverage, 6489,
     /* 1671274 */     GIR_EraseRootFromParent_Done,
     /* 1671275 */   // Label 22917: @1671275
     /* 1671275 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1671361), // Rule ID 6492 //
     /* 1671280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1671300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671326 */     // MIs[0] policy
     /* 1671326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671360 */     // GIR_Coverage, 6492,
     /* 1671360 */     GIR_EraseRootFromParent_Done,
     /* 1671361 */   // Label 22918: @1671361
     /* 1671361 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1671447), // Rule ID 6493 //
     /* 1671366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1671386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671412 */     // MIs[0] policy
     /* 1671412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671446 */     // GIR_Coverage, 6493,
     /* 1671446 */     GIR_EraseRootFromParent_Done,
     /* 1671447 */   // Label 22919: @1671447
     /* 1671447 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1671533), // Rule ID 6496 //
     /* 1671452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671498 */     // MIs[0] policy
     /* 1671498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671532 */     // GIR_Coverage, 6496,
     /* 1671532 */     GIR_EraseRootFromParent_Done,
     /* 1671533 */   // Label 22920: @1671533
     /* 1671533 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1671619), // Rule ID 6497 //
     /* 1671538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671584 */     // MIs[0] policy
     /* 1671584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671618 */     // GIR_Coverage, 6497,
     /* 1671618 */     GIR_EraseRootFromParent_Done,
     /* 1671619 */   // Label 22921: @1671619
     /* 1671619 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1671705), // Rule ID 6500 //
     /* 1671624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671670 */     // MIs[0] policy
     /* 1671670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671704 */     // GIR_Coverage, 6500,
     /* 1671704 */     GIR_EraseRootFromParent_Done,
     /* 1671705 */   // Label 22922: @1671705
     /* 1671705 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1671791), // Rule ID 6501 //
     /* 1671710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671756 */     // MIs[0] policy
     /* 1671756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671790 */     // GIR_Coverage, 6501,
     /* 1671790 */     GIR_EraseRootFromParent_Done,
     /* 1671791 */   // Label 22923: @1671791
     /* 1671791 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1671877), // Rule ID 6504 //
     /* 1671796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671842 */     // MIs[0] policy
     /* 1671842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671876 */     // GIR_Coverage, 6504,
     /* 1671876 */     GIR_EraseRootFromParent_Done,
     /* 1671877 */   // Label 22924: @1671877
     /* 1671877 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1671963), // Rule ID 6505 //
     /* 1671882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671928 */     // MIs[0] policy
     /* 1671928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671962 */     // GIR_Coverage, 6505,
     /* 1671962 */     GIR_EraseRootFromParent_Done,
     /* 1671963 */   // Label 22925: @1671963
     /* 1671963 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1672049), // Rule ID 6508 //
     /* 1671968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672014 */     // MIs[0] policy
     /* 1672014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672048 */     // GIR_Coverage, 6508,
     /* 1672048 */     GIR_EraseRootFromParent_Done,
     /* 1672049 */   // Label 22926: @1672049
     /* 1672049 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672135), // Rule ID 6509 //
     /* 1672054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1672065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1672068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1672071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1672074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672100 */     // MIs[0] policy
     /* 1672100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672134 */     // GIR_Coverage, 6509,
     /* 1672134 */     GIR_EraseRootFromParent_Done,
     /* 1672135 */   // Label 22927: @1672135
     /* 1672135 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1672221), // Rule ID 6512 //
     /* 1672140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1672160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672186 */     // MIs[0] policy
     /* 1672186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672220 */     // GIR_Coverage, 6512,
     /* 1672220 */     GIR_EraseRootFromParent_Done,
     /* 1672221 */   // Label 22928: @1672221
     /* 1672221 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1672307), // Rule ID 6513 //
     /* 1672226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1672246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672272 */     // MIs[0] policy
     /* 1672272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672306 */     // GIR_Coverage, 6513,
     /* 1672306 */     GIR_EraseRootFromParent_Done,
     /* 1672307 */   // Label 22929: @1672307
     /* 1672307 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1672393), // Rule ID 6516 //
     /* 1672312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1672332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672358 */     // MIs[0] policy
     /* 1672358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672392 */     // GIR_Coverage, 6516,
     /* 1672392 */     GIR_EraseRootFromParent_Done,
     /* 1672393 */   // Label 22930: @1672393
     /* 1672393 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1672479), // Rule ID 6517 //
     /* 1672398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1672418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672444 */     // MIs[0] policy
     /* 1672444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672478 */     // GIR_Coverage, 6517,
     /* 1672478 */     GIR_EraseRootFromParent_Done,
     /* 1672479 */   // Label 22931: @1672479
     /* 1672479 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1672565), // Rule ID 6520 //
     /* 1672484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672530 */     // MIs[0] policy
     /* 1672530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672564 */     // GIR_Coverage, 6520,
     /* 1672564 */     GIR_EraseRootFromParent_Done,
     /* 1672565 */   // Label 22932: @1672565
     /* 1672565 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1672651), // Rule ID 6521 //
     /* 1672570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672616 */     // MIs[0] policy
     /* 1672616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672650 */     // GIR_Coverage, 6521,
     /* 1672650 */     GIR_EraseRootFromParent_Done,
     /* 1672651 */   // Label 22933: @1672651
     /* 1672651 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1672737), // Rule ID 6524 //
     /* 1672656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672702 */     // MIs[0] policy
     /* 1672702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672736 */     // GIR_Coverage, 6524,
     /* 1672736 */     GIR_EraseRootFromParent_Done,
     /* 1672737 */   // Label 22934: @1672737
     /* 1672737 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1672823), // Rule ID 6525 //
     /* 1672742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672788 */     // MIs[0] policy
     /* 1672788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672798 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672822 */     // GIR_Coverage, 6525,
     /* 1672822 */     GIR_EraseRootFromParent_Done,
     /* 1672823 */   // Label 22935: @1672823
     /* 1672823 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1672909), // Rule ID 6528 //
     /* 1672828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672874 */     // MIs[0] policy
     /* 1672874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672908 */     // GIR_Coverage, 6528,
     /* 1672908 */     GIR_EraseRootFromParent_Done,
     /* 1672909 */   // Label 22936: @1672909
     /* 1672909 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1672995), // Rule ID 6529 //
     /* 1672914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672960 */     // MIs[0] policy
     /* 1672960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672994 */     // GIR_Coverage, 6529,
     /* 1672994 */     GIR_EraseRootFromParent_Done,
     /* 1672995 */   // Label 22937: @1672995
     /* 1672995 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1673081), // Rule ID 6532 //
     /* 1673000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1673020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673046 */     // MIs[0] policy
     /* 1673046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1673059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673080 */     // GIR_Coverage, 6532,
     /* 1673080 */     GIR_EraseRootFromParent_Done,
     /* 1673081 */   // Label 22938: @1673081
     /* 1673081 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673167), // Rule ID 6533 //
     /* 1673086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1673106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673132 */     // MIs[0] policy
     /* 1673132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1673145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673166 */     // GIR_Coverage, 6533,
     /* 1673166 */     GIR_EraseRootFromParent_Done,
     /* 1673167 */   // Label 22939: @1673167
     /* 1673167 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1673253), // Rule ID 6536 //
     /* 1673172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673218 */     // MIs[0] policy
     /* 1673218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1673231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673252 */     // GIR_Coverage, 6536,
     /* 1673252 */     GIR_EraseRootFromParent_Done,
     /* 1673253 */   // Label 22940: @1673253
     /* 1673253 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1673339), // Rule ID 6537 //
     /* 1673258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673304 */     // MIs[0] policy
     /* 1673304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1673317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673338 */     // GIR_Coverage, 6537,
     /* 1673338 */     GIR_EraseRootFromParent_Done,
     /* 1673339 */   // Label 22941: @1673339
     /* 1673339 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1673425), // Rule ID 6540 //
     /* 1673344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673390 */     // MIs[0] policy
     /* 1673390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673424 */     // GIR_Coverage, 6540,
     /* 1673424 */     GIR_EraseRootFromParent_Done,
     /* 1673425 */   // Label 22942: @1673425
     /* 1673425 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1673511), // Rule ID 6541 //
     /* 1673430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673476 */     // MIs[0] policy
     /* 1673476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673510 */     // GIR_Coverage, 6541,
     /* 1673510 */     GIR_EraseRootFromParent_Done,
     /* 1673511 */   // Label 22943: @1673511
     /* 1673511 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1673597), // Rule ID 6544 //
     /* 1673516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673562 */     // MIs[0] policy
     /* 1673562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673596 */     // GIR_Coverage, 6544,
     /* 1673596 */     GIR_EraseRootFromParent_Done,
     /* 1673597 */   // Label 22944: @1673597
     /* 1673597 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1673683), // Rule ID 6545 //
     /* 1673602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673648 */     // MIs[0] policy
     /* 1673648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673682 */     // GIR_Coverage, 6545,
     /* 1673682 */     GIR_EraseRootFromParent_Done,
     /* 1673683 */   // Label 22945: @1673683
     /* 1673683 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1673769), // Rule ID 6548 //
     /* 1673688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673734 */     // MIs[0] policy
     /* 1673734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673768 */     // GIR_Coverage, 6548,
     /* 1673768 */     GIR_EraseRootFromParent_Done,
     /* 1673769 */   // Label 22946: @1673769
     /* 1673769 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1673855), // Rule ID 6549 //
     /* 1673774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673820 */     // MIs[0] policy
     /* 1673820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673854 */     // GIR_Coverage, 6549,
     /* 1673854 */     GIR_EraseRootFromParent_Done,
     /* 1673855 */   // Label 22947: @1673855
     /* 1673855 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1673941), // Rule ID 6552 //
     /* 1673860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673906 */     // MIs[0] policy
     /* 1673906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673940 */     // GIR_Coverage, 6552,
     /* 1673940 */     GIR_EraseRootFromParent_Done,
     /* 1673941 */   // Label 22948: @1673941
     /* 1673941 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1674027), // Rule ID 6553 //
     /* 1673946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673992 */     // MIs[0] policy
     /* 1673992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674026 */     // GIR_Coverage, 6553,
     /* 1674026 */     GIR_EraseRootFromParent_Done,
     /* 1674027 */   // Label 22949: @1674027
     /* 1674027 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674113), // Rule ID 6556 //
     /* 1674032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674078 */     // MIs[0] policy
     /* 1674078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674112 */     // GIR_Coverage, 6556,
     /* 1674112 */     GIR_EraseRootFromParent_Done,
     /* 1674113 */   // Label 22950: @1674113
     /* 1674113 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674199), // Rule ID 6557 //
     /* 1674118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674164 */     // MIs[0] policy
     /* 1674164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1674177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674198 */     // GIR_Coverage, 6557,
     /* 1674198 */     GIR_EraseRootFromParent_Done,
     /* 1674199 */   // Label 22951: @1674199
     /* 1674199 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1674285), // Rule ID 6560 //
     /* 1674204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674250 */     // MIs[0] policy
     /* 1674250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674284 */     // GIR_Coverage, 6560,
     /* 1674284 */     GIR_EraseRootFromParent_Done,
     /* 1674285 */   // Label 22952: @1674285
     /* 1674285 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1674371), // Rule ID 6561 //
     /* 1674290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674336 */     // MIs[0] policy
     /* 1674336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674370 */     // GIR_Coverage, 6561,
     /* 1674370 */     GIR_EraseRootFromParent_Done,
     /* 1674371 */   // Label 22953: @1674371
     /* 1674371 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1674457), // Rule ID 6564 //
     /* 1674376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674422 */     // MIs[0] policy
     /* 1674422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674456 */     // GIR_Coverage, 6564,
     /* 1674456 */     GIR_EraseRootFromParent_Done,
     /* 1674457 */   // Label 22954: @1674457
     /* 1674457 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1674543), // Rule ID 6565 //
     /* 1674462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674508 */     // MIs[0] policy
     /* 1674508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674542 */     // GIR_Coverage, 6565,
     /* 1674542 */     GIR_EraseRootFromParent_Done,
     /* 1674543 */   // Label 22955: @1674543
     /* 1674543 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1674629), // Rule ID 6568 //
     /* 1674548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674594 */     // MIs[0] policy
     /* 1674594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674628 */     // GIR_Coverage, 6568,
     /* 1674628 */     GIR_EraseRootFromParent_Done,
     /* 1674629 */   // Label 22956: @1674629
     /* 1674629 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1674715), // Rule ID 6569 //
     /* 1674634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674680 */     // MIs[0] policy
     /* 1674680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674714 */     // GIR_Coverage, 6569,
     /* 1674714 */     GIR_EraseRootFromParent_Done,
     /* 1674715 */   // Label 22957: @1674715
     /* 1674715 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1674801), // Rule ID 6572 //
     /* 1674720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674766 */     // MIs[0] policy
     /* 1674766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674800 */     // GIR_Coverage, 6572,
     /* 1674800 */     GIR_EraseRootFromParent_Done,
     /* 1674801 */   // Label 22958: @1674801
     /* 1674801 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1674887), // Rule ID 6573 //
     /* 1674806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674852 */     // MIs[0] policy
     /* 1674852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674886 */     // GIR_Coverage, 6573,
     /* 1674886 */     GIR_EraseRootFromParent_Done,
     /* 1674887 */   // Label 22959: @1674887
     /* 1674887 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1674973), // Rule ID 6576 //
     /* 1674892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674938 */     // MIs[0] policy
     /* 1674938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674972 */     // GIR_Coverage, 6576,
     /* 1674972 */     GIR_EraseRootFromParent_Done,
     /* 1674973 */   // Label 22960: @1674973
     /* 1674973 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1675059), // Rule ID 6577 //
     /* 1674978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675024 */     // MIs[0] policy
     /* 1675024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675058 */     // GIR_Coverage, 6577,
     /* 1675058 */     GIR_EraseRootFromParent_Done,
     /* 1675059 */   // Label 22961: @1675059
     /* 1675059 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675145), // Rule ID 6580 //
     /* 1675064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675110 */     // MIs[0] policy
     /* 1675110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675144 */     // GIR_Coverage, 6580,
     /* 1675144 */     GIR_EraseRootFromParent_Done,
     /* 1675145 */   // Label 22962: @1675145
     /* 1675145 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1675231), // Rule ID 6581 //
     /* 1675150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675196 */     // MIs[0] policy
     /* 1675196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675230 */     // GIR_Coverage, 6581,
     /* 1675230 */     GIR_EraseRootFromParent_Done,
     /* 1675231 */   // Label 22963: @1675231
     /* 1675231 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1675317), // Rule ID 6584 //
     /* 1675236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675282 */     // MIs[0] policy
     /* 1675282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675316 */     // GIR_Coverage, 6584,
     /* 1675316 */     GIR_EraseRootFromParent_Done,
     /* 1675317 */   // Label 22964: @1675317
     /* 1675317 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1675403), // Rule ID 6585 //
     /* 1675322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675368 */     // MIs[0] policy
     /* 1675368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675402 */     // GIR_Coverage, 6585,
     /* 1675402 */     GIR_EraseRootFromParent_Done,
     /* 1675403 */   // Label 22965: @1675403
     /* 1675403 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1675489), // Rule ID 6588 //
     /* 1675408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675454 */     // MIs[0] policy
     /* 1675454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675488 */     // GIR_Coverage, 6588,
     /* 1675488 */     GIR_EraseRootFromParent_Done,
     /* 1675489 */   // Label 22966: @1675489
     /* 1675489 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1675575), // Rule ID 6589 //
     /* 1675494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675540 */     // MIs[0] policy
     /* 1675540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675574 */     // GIR_Coverage, 6589,
     /* 1675574 */     GIR_EraseRootFromParent_Done,
     /* 1675575 */   // Label 22967: @1675575
     /* 1675575 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1675661), // Rule ID 6592 //
     /* 1675580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675626 */     // MIs[0] policy
     /* 1675626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675660 */     // GIR_Coverage, 6592,
     /* 1675660 */     GIR_EraseRootFromParent_Done,
     /* 1675661 */   // Label 22968: @1675661
     /* 1675661 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1675747), // Rule ID 6593 //
     /* 1675666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675712 */     // MIs[0] policy
     /* 1675712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675746 */     // GIR_Coverage, 6593,
     /* 1675746 */     GIR_EraseRootFromParent_Done,
     /* 1675747 */   // Label 22969: @1675747
     /* 1675747 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1675833), // Rule ID 6596 //
     /* 1675752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675798 */     // MIs[0] policy
     /* 1675798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675832 */     // GIR_Coverage, 6596,
     /* 1675832 */     GIR_EraseRootFromParent_Done,
     /* 1675833 */   // Label 22970: @1675833
     /* 1675833 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1675919), // Rule ID 6597 //
     /* 1675838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675884 */     // MIs[0] policy
     /* 1675884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675918 */     // GIR_Coverage, 6597,
     /* 1675918 */     GIR_EraseRootFromParent_Done,
     /* 1675919 */   // Label 22971: @1675919
     /* 1675919 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1676005), // Rule ID 6600 //
     /* 1675924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675970 */     // MIs[0] policy
     /* 1675970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676004 */     // GIR_Coverage, 6600,
     /* 1676004 */     GIR_EraseRootFromParent_Done,
     /* 1676005 */   // Label 22972: @1676005
     /* 1676005 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676091), // Rule ID 6601 //
     /* 1676010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1676021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1676024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1676027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676056 */     // MIs[0] policy
     /* 1676056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676090 */     // GIR_Coverage, 6601,
     /* 1676090 */     GIR_EraseRootFromParent_Done,
     /* 1676091 */   // Label 22973: @1676091
     /* 1676091 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676177), // Rule ID 6604 //
     /* 1676096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676142 */     // MIs[0] policy
     /* 1676142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676176 */     // GIR_Coverage, 6604,
     /* 1676176 */     GIR_EraseRootFromParent_Done,
     /* 1676177 */   // Label 22974: @1676177
     /* 1676177 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1676263), // Rule ID 6605 //
     /* 1676182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676228 */     // MIs[0] policy
     /* 1676228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676262 */     // GIR_Coverage, 6605,
     /* 1676262 */     GIR_EraseRootFromParent_Done,
     /* 1676263 */   // Label 22975: @1676263
     /* 1676263 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1676349), // Rule ID 6608 //
     /* 1676268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676314 */     // MIs[0] policy
     /* 1676314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676348 */     // GIR_Coverage, 6608,
     /* 1676348 */     GIR_EraseRootFromParent_Done,
     /* 1676349 */   // Label 22976: @1676349
     /* 1676349 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1676435), // Rule ID 6609 //
     /* 1676354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676400 */     // MIs[0] policy
     /* 1676400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676434 */     // GIR_Coverage, 6609,
     /* 1676434 */     GIR_EraseRootFromParent_Done,
     /* 1676435 */   // Label 22977: @1676435
     /* 1676435 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1676521), // Rule ID 6612 //
     /* 1676440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676486 */     // MIs[0] policy
     /* 1676486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676520 */     // GIR_Coverage, 6612,
     /* 1676520 */     GIR_EraseRootFromParent_Done,
     /* 1676521 */   // Label 22978: @1676521
     /* 1676521 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1676607), // Rule ID 6613 //
     /* 1676526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676572 */     // MIs[0] policy
     /* 1676572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676606 */     // GIR_Coverage, 6613,
     /* 1676606 */     GIR_EraseRootFromParent_Done,
     /* 1676607 */   // Label 22979: @1676607
     /* 1676607 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1676693), // Rule ID 6616 //
     /* 1676612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676658 */     // MIs[0] policy
     /* 1676658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676692 */     // GIR_Coverage, 6616,
     /* 1676692 */     GIR_EraseRootFromParent_Done,
     /* 1676693 */   // Label 22980: @1676693
     /* 1676693 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1676779), // Rule ID 6617 //
     /* 1676698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676744 */     // MIs[0] policy
     /* 1676744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676778 */     // GIR_Coverage, 6617,
     /* 1676778 */     GIR_EraseRootFromParent_Done,
     /* 1676779 */   // Label 22981: @1676779
     /* 1676779 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1676865), // Rule ID 6620 //
     /* 1676784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676830 */     // MIs[0] policy
     /* 1676830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676864 */     // GIR_Coverage, 6620,
     /* 1676864 */     GIR_EraseRootFromParent_Done,
     /* 1676865 */   // Label 22982: @1676865
     /* 1676865 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1676951), // Rule ID 6621 //
     /* 1676870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676916 */     // MIs[0] policy
     /* 1676916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676950 */     // GIR_Coverage, 6621,
     /* 1676950 */     GIR_EraseRootFromParent_Done,
     /* 1676951 */   // Label 22983: @1676951
     /* 1676951 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1677037), // Rule ID 6712 //
     /* 1676956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677002 */     // MIs[0] policy
     /* 1677002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1677015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677036 */     // GIR_Coverage, 6712,
     /* 1677036 */     GIR_EraseRootFromParent_Done,
     /* 1677037 */   // Label 22984: @1677037
     /* 1677037 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677123), // Rule ID 6713 //
     /* 1677042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1677062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677088 */     // MIs[0] policy
     /* 1677088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1677101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677122 */     // GIR_Coverage, 6713,
     /* 1677122 */     GIR_EraseRootFromParent_Done,
     /* 1677123 */   // Label 22985: @1677123
     /* 1677123 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677209), // Rule ID 6716 //
     /* 1677128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677174 */     // MIs[0] policy
     /* 1677174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677208 */     // GIR_Coverage, 6716,
     /* 1677208 */     GIR_EraseRootFromParent_Done,
     /* 1677209 */   // Label 22986: @1677209
     /* 1677209 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1677295), // Rule ID 6717 //
     /* 1677214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677260 */     // MIs[0] policy
     /* 1677260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677294 */     // GIR_Coverage, 6717,
     /* 1677294 */     GIR_EraseRootFromParent_Done,
     /* 1677295 */   // Label 22987: @1677295
     /* 1677295 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1677381), // Rule ID 6720 //
     /* 1677300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677346 */     // MIs[0] policy
     /* 1677346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677380 */     // GIR_Coverage, 6720,
     /* 1677380 */     GIR_EraseRootFromParent_Done,
     /* 1677381 */   // Label 22988: @1677381
     /* 1677381 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1677467), // Rule ID 6721 //
     /* 1677386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677432 */     // MIs[0] policy
     /* 1677432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677466 */     // GIR_Coverage, 6721,
     /* 1677466 */     GIR_EraseRootFromParent_Done,
     /* 1677467 */   // Label 22989: @1677467
     /* 1677467 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1677553), // Rule ID 6724 //
     /* 1677472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677518 */     // MIs[0] policy
     /* 1677518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677552 */     // GIR_Coverage, 6724,
     /* 1677552 */     GIR_EraseRootFromParent_Done,
     /* 1677553 */   // Label 22990: @1677553
     /* 1677553 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1677639), // Rule ID 6725 //
     /* 1677558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677604 */     // MIs[0] policy
     /* 1677604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677638 */     // GIR_Coverage, 6725,
     /* 1677638 */     GIR_EraseRootFromParent_Done,
     /* 1677639 */   // Label 22991: @1677639
     /* 1677639 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1677725), // Rule ID 6728 //
     /* 1677644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677690 */     // MIs[0] policy
     /* 1677690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677724 */     // GIR_Coverage, 6728,
     /* 1677724 */     GIR_EraseRootFromParent_Done,
     /* 1677725 */   // Label 22992: @1677725
     /* 1677725 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1677811), // Rule ID 6729 //
     /* 1677730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677776 */     // MIs[0] policy
     /* 1677776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677810 */     // GIR_Coverage, 6729,
     /* 1677810 */     GIR_EraseRootFromParent_Done,
     /* 1677811 */   // Label 22993: @1677811
     /* 1677811 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1677897), // Rule ID 6732 //
     /* 1677816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677862 */     // MIs[0] policy
     /* 1677862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677896 */     // GIR_Coverage, 6732,
     /* 1677896 */     GIR_EraseRootFromParent_Done,
     /* 1677897 */   // Label 22994: @1677897
     /* 1677897 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1677983), // Rule ID 6733 //
     /* 1677902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677948 */     // MIs[0] policy
     /* 1677948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677982 */     // GIR_Coverage, 6733,
     /* 1677982 */     GIR_EraseRootFromParent_Done,
     /* 1677983 */   // Label 22995: @1677983
     /* 1677983 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1678069), // Rule ID 6736 //
     /* 1677988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678034 */     // MIs[0] policy
     /* 1678034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678068 */     // GIR_Coverage, 6736,
     /* 1678068 */     GIR_EraseRootFromParent_Done,
     /* 1678069 */   // Label 22996: @1678069
     /* 1678069 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678155), // Rule ID 6737 //
     /* 1678074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678120 */     // MIs[0] policy
     /* 1678120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678154 */     // GIR_Coverage, 6737,
     /* 1678154 */     GIR_EraseRootFromParent_Done,
     /* 1678155 */   // Label 22997: @1678155
     /* 1678155 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1678241), // Rule ID 6740 //
     /* 1678160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678206 */     // MIs[0] policy
     /* 1678206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678240 */     // GIR_Coverage, 6740,
     /* 1678240 */     GIR_EraseRootFromParent_Done,
     /* 1678241 */   // Label 22998: @1678241
     /* 1678241 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1678327), // Rule ID 6741 //
     /* 1678246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678292 */     // MIs[0] policy
     /* 1678292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678326 */     // GIR_Coverage, 6741,
     /* 1678326 */     GIR_EraseRootFromParent_Done,
     /* 1678327 */   // Label 22999: @1678327
     /* 1678327 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1678413), // Rule ID 6744 //
     /* 1678332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678378 */     // MIs[0] policy
     /* 1678378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678412 */     // GIR_Coverage, 6744,
     /* 1678412 */     GIR_EraseRootFromParent_Done,
     /* 1678413 */   // Label 23000: @1678413
     /* 1678413 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1678499), // Rule ID 6745 //
     /* 1678418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678464 */     // MIs[0] policy
     /* 1678464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678498 */     // GIR_Coverage, 6745,
     /* 1678498 */     GIR_EraseRootFromParent_Done,
     /* 1678499 */   // Label 23001: @1678499
     /* 1678499 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1678585), // Rule ID 6748 //
     /* 1678504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678550 */     // MIs[0] policy
     /* 1678550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678584 */     // GIR_Coverage, 6748,
     /* 1678584 */     GIR_EraseRootFromParent_Done,
     /* 1678585 */   // Label 23002: @1678585
     /* 1678585 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1678671), // Rule ID 6749 //
     /* 1678590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678636 */     // MIs[0] policy
     /* 1678636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678670 */     // GIR_Coverage, 6749,
     /* 1678670 */     GIR_EraseRootFromParent_Done,
     /* 1678671 */   // Label 23003: @1678671
     /* 1678671 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1678757), // Rule ID 6752 //
     /* 1678676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678722 */     // MIs[0] policy
     /* 1678722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678756 */     // GIR_Coverage, 6752,
     /* 1678756 */     GIR_EraseRootFromParent_Done,
     /* 1678757 */   // Label 23004: @1678757
     /* 1678757 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1678843), // Rule ID 6753 //
     /* 1678762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678808 */     // MIs[0] policy
     /* 1678808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678842 */     // GIR_Coverage, 6753,
     /* 1678842 */     GIR_EraseRootFromParent_Done,
     /* 1678843 */   // Label 23005: @1678843
     /* 1678843 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1678929), // Rule ID 6756 //
     /* 1678848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678894 */     // MIs[0] policy
     /* 1678894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678928 */     // GIR_Coverage, 6756,
     /* 1678928 */     GIR_EraseRootFromParent_Done,
     /* 1678929 */   // Label 23006: @1678929
     /* 1678929 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1679015), // Rule ID 6757 //
     /* 1678934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678980 */     // MIs[0] policy
     /* 1678980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679014 */     // GIR_Coverage, 6757,
     /* 1679014 */     GIR_EraseRootFromParent_Done,
     /* 1679015 */   // Label 23007: @1679015
     /* 1679015 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679101), // Rule ID 6760 //
     /* 1679020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679066 */     // MIs[0] policy
     /* 1679066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679100 */     // GIR_Coverage, 6760,
     /* 1679100 */     GIR_EraseRootFromParent_Done,
     /* 1679101 */   // Label 23008: @1679101
     /* 1679101 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679187), // Rule ID 6761 //
     /* 1679106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679152 */     // MIs[0] policy
     /* 1679152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679186 */     // GIR_Coverage, 6761,
     /* 1679186 */     GIR_EraseRootFromParent_Done,
     /* 1679187 */   // Label 23009: @1679187
     /* 1679187 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1679273), // Rule ID 6764 //
     /* 1679192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679238 */     // MIs[0] policy
     /* 1679238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679272 */     // GIR_Coverage, 6764,
     /* 1679272 */     GIR_EraseRootFromParent_Done,
     /* 1679273 */   // Label 23010: @1679273
     /* 1679273 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1679359), // Rule ID 6765 //
     /* 1679278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679324 */     // MIs[0] policy
     /* 1679324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679358 */     // GIR_Coverage, 6765,
     /* 1679358 */     GIR_EraseRootFromParent_Done,
     /* 1679359 */   // Label 23011: @1679359
     /* 1679359 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1679445), // Rule ID 6768 //
     /* 1679364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679410 */     // MIs[0] policy
     /* 1679410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679444 */     // GIR_Coverage, 6768,
     /* 1679444 */     GIR_EraseRootFromParent_Done,
     /* 1679445 */   // Label 23012: @1679445
     /* 1679445 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1679531), // Rule ID 6769 //
     /* 1679450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679496 */     // MIs[0] policy
     /* 1679496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679530 */     // GIR_Coverage, 6769,
     /* 1679530 */     GIR_EraseRootFromParent_Done,
     /* 1679531 */   // Label 23013: @1679531
     /* 1679531 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1679617), // Rule ID 6772 //
     /* 1679536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679582 */     // MIs[0] policy
     /* 1679582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679616 */     // GIR_Coverage, 6772,
     /* 1679616 */     GIR_EraseRootFromParent_Done,
     /* 1679617 */   // Label 23014: @1679617
     /* 1679617 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1679703), // Rule ID 6773 //
     /* 1679622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679668 */     // MIs[0] policy
     /* 1679668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679702 */     // GIR_Coverage, 6773,
     /* 1679702 */     GIR_EraseRootFromParent_Done,
     /* 1679703 */   // Label 23015: @1679703
     /* 1679703 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1679789), // Rule ID 6776 //
     /* 1679708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679754 */     // MIs[0] policy
     /* 1679754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679788 */     // GIR_Coverage, 6776,
     /* 1679788 */     GIR_EraseRootFromParent_Done,
     /* 1679789 */   // Label 23016: @1679789
     /* 1679789 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1679875), // Rule ID 6777 //
     /* 1679794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679840 */     // MIs[0] policy
     /* 1679840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679874 */     // GIR_Coverage, 6777,
     /* 1679874 */     GIR_EraseRootFromParent_Done,
     /* 1679875 */   // Label 23017: @1679875
     /* 1679875 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1679961), // Rule ID 6780 //
     /* 1679880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679926 */     // MIs[0] policy
     /* 1679926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679960 */     // GIR_Coverage, 6780,
     /* 1679960 */     GIR_EraseRootFromParent_Done,
     /* 1679961 */   // Label 23018: @1679961
     /* 1679961 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1680047), // Rule ID 6781 //
     /* 1679966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680012 */     // MIs[0] policy
     /* 1680012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680046 */     // GIR_Coverage, 6781,
     /* 1680046 */     GIR_EraseRootFromParent_Done,
     /* 1680047 */   // Label 23019: @1680047
     /* 1680047 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680133), // Rule ID 6784 //
     /* 1680052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680098 */     // MIs[0] policy
     /* 1680098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680132 */     // GIR_Coverage, 6784,
     /* 1680132 */     GIR_EraseRootFromParent_Done,
     /* 1680133 */   // Label 23020: @1680133
     /* 1680133 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1680219), // Rule ID 6785 //
     /* 1680138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680184 */     // MIs[0] policy
     /* 1680184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680218 */     // GIR_Coverage, 6785,
     /* 1680218 */     GIR_EraseRootFromParent_Done,
     /* 1680219 */   // Label 23021: @1680219
     /* 1680219 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1680305), // Rule ID 6788 //
     /* 1680224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1680244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680270 */     // MIs[0] policy
     /* 1680270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1680283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680304 */     // GIR_Coverage, 6788,
     /* 1680304 */     GIR_EraseRootFromParent_Done,
     /* 1680305 */   // Label 23022: @1680305
     /* 1680305 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1680391), // Rule ID 6789 //
     /* 1680310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1680330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680356 */     // MIs[0] policy
     /* 1680356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1680369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680390 */     // GIR_Coverage, 6789,
     /* 1680390 */     GIR_EraseRootFromParent_Done,
     /* 1680391 */   // Label 23023: @1680391
     /* 1680391 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1680477), // Rule ID 6792 //
     /* 1680396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680442 */     // MIs[0] policy
     /* 1680442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680476 */     // GIR_Coverage, 6792,
     /* 1680476 */     GIR_EraseRootFromParent_Done,
     /* 1680477 */   // Label 23024: @1680477
     /* 1680477 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1680563), // Rule ID 6793 //
     /* 1680482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680528 */     // MIs[0] policy
     /* 1680528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680562 */     // GIR_Coverage, 6793,
     /* 1680562 */     GIR_EraseRootFromParent_Done,
     /* 1680563 */   // Label 23025: @1680563
     /* 1680563 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1680649), // Rule ID 6796 //
     /* 1680568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680614 */     // MIs[0] policy
     /* 1680614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680648 */     // GIR_Coverage, 6796,
     /* 1680648 */     GIR_EraseRootFromParent_Done,
     /* 1680649 */   // Label 23026: @1680649
     /* 1680649 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1680735), // Rule ID 6797 //
     /* 1680654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680700 */     // MIs[0] policy
     /* 1680700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680734 */     // GIR_Coverage, 6797,
     /* 1680734 */     GIR_EraseRootFromParent_Done,
     /* 1680735 */   // Label 23027: @1680735
     /* 1680735 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1680821), // Rule ID 6800 //
     /* 1680740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680786 */     // MIs[0] policy
     /* 1680786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680820 */     // GIR_Coverage, 6800,
     /* 1680820 */     GIR_EraseRootFromParent_Done,
     /* 1680821 */   // Label 23028: @1680821
     /* 1680821 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1680907), // Rule ID 6801 //
     /* 1680826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680872 */     // MIs[0] policy
     /* 1680872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680906 */     // GIR_Coverage, 6801,
     /* 1680906 */     GIR_EraseRootFromParent_Done,
     /* 1680907 */   // Label 23029: @1680907
     /* 1680907 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1680993), // Rule ID 6804 //
     /* 1680912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680958 */     // MIs[0] policy
     /* 1680958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680968 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680992 */     // GIR_Coverage, 6804,
     /* 1680992 */     GIR_EraseRootFromParent_Done,
     /* 1680993 */   // Label 23030: @1680993
     /* 1680993 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1681079), // Rule ID 6805 //
     /* 1680998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681044 */     // MIs[0] policy
     /* 1681044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681078 */     // GIR_Coverage, 6805,
     /* 1681078 */     GIR_EraseRootFromParent_Done,
     /* 1681079 */   // Label 23031: @1681079
     /* 1681079 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681165), // Rule ID 6808 //
     /* 1681084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681130 */     // MIs[0] policy
     /* 1681130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681164 */     // GIR_Coverage, 6808,
     /* 1681164 */     GIR_EraseRootFromParent_Done,
     /* 1681165 */   // Label 23032: @1681165
     /* 1681165 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1681251), // Rule ID 6809 //
     /* 1681170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681216 */     // MIs[0] policy
     /* 1681216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681250 */     // GIR_Coverage, 6809,
     /* 1681250 */     GIR_EraseRootFromParent_Done,
     /* 1681251 */   // Label 23033: @1681251
     /* 1681251 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1681337), // Rule ID 6812 //
     /* 1681256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681302 */     // MIs[0] policy
     /* 1681302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681336 */     // GIR_Coverage, 6812,
     /* 1681336 */     GIR_EraseRootFromParent_Done,
     /* 1681337 */   // Label 23034: @1681337
     /* 1681337 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1681423), // Rule ID 6813 //
     /* 1681342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681388 */     // MIs[0] policy
     /* 1681388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1681401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681422 */     // GIR_Coverage, 6813,
     /* 1681422 */     GIR_EraseRootFromParent_Done,
     /* 1681423 */   // Label 23035: @1681423
     /* 1681423 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1681509), // Rule ID 6816 //
     /* 1681428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681474 */     // MIs[0] policy
     /* 1681474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681508 */     // GIR_Coverage, 6816,
     /* 1681508 */     GIR_EraseRootFromParent_Done,
     /* 1681509 */   // Label 23036: @1681509
     /* 1681509 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1681595), // Rule ID 6817 //
     /* 1681514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681560 */     // MIs[0] policy
     /* 1681560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681594 */     // GIR_Coverage, 6817,
     /* 1681594 */     GIR_EraseRootFromParent_Done,
     /* 1681595 */   // Label 23037: @1681595
     /* 1681595 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1681681), // Rule ID 6820 //
     /* 1681600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681646 */     // MIs[0] policy
     /* 1681646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681680 */     // GIR_Coverage, 6820,
     /* 1681680 */     GIR_EraseRootFromParent_Done,
     /* 1681681 */   // Label 23038: @1681681
     /* 1681681 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1681767), // Rule ID 6821 //
     /* 1681686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681732 */     // MIs[0] policy
     /* 1681732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681766 */     // GIR_Coverage, 6821,
     /* 1681766 */     GIR_EraseRootFromParent_Done,
     /* 1681767 */   // Label 23039: @1681767
     /* 1681767 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1681853), // Rule ID 6824 //
     /* 1681772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681818 */     // MIs[0] policy
     /* 1681818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681852 */     // GIR_Coverage, 6824,
     /* 1681852 */     GIR_EraseRootFromParent_Done,
     /* 1681853 */   // Label 23040: @1681853
     /* 1681853 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1681939), // Rule ID 6825 //
     /* 1681858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681904 */     // MIs[0] policy
     /* 1681904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681938 */     // GIR_Coverage, 6825,
     /* 1681938 */     GIR_EraseRootFromParent_Done,
     /* 1681939 */   // Label 23041: @1681939
     /* 1681939 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1682025), // Rule ID 6828 //
     /* 1681944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681990 */     // MIs[0] policy
     /* 1681990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682024 */     // GIR_Coverage, 6828,
     /* 1682024 */     GIR_EraseRootFromParent_Done,
     /* 1682025 */   // Label 23042: @1682025
     /* 1682025 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682111), // Rule ID 6829 //
     /* 1682030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1682041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1682044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1682047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682076 */     // MIs[0] policy
     /* 1682076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682110 */     // GIR_Coverage, 6829,
     /* 1682110 */     GIR_EraseRootFromParent_Done,
     /* 1682111 */   // Label 23043: @1682111
     /* 1682111 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682197), // Rule ID 6832 //
     /* 1682116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682162 */     // MIs[0] policy
     /* 1682162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682196 */     // GIR_Coverage, 6832,
     /* 1682196 */     GIR_EraseRootFromParent_Done,
     /* 1682197 */   // Label 23044: @1682197
     /* 1682197 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1682283), // Rule ID 6833 //
     /* 1682202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682248 */     // MIs[0] policy
     /* 1682248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682282 */     // GIR_Coverage, 6833,
     /* 1682282 */     GIR_EraseRootFromParent_Done,
     /* 1682283 */   // Label 23045: @1682283
     /* 1682283 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1682369), // Rule ID 6836 //
     /* 1682288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682334 */     // MIs[0] policy
     /* 1682334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682368 */     // GIR_Coverage, 6836,
     /* 1682368 */     GIR_EraseRootFromParent_Done,
     /* 1682369 */   // Label 23046: @1682369
     /* 1682369 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1682455), // Rule ID 6837 //
     /* 1682374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682420 */     // MIs[0] policy
     /* 1682420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682454 */     // GIR_Coverage, 6837,
     /* 1682454 */     GIR_EraseRootFromParent_Done,
     /* 1682455 */   // Label 23047: @1682455
     /* 1682455 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1682541), // Rule ID 6840 //
     /* 1682460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682506 */     // MIs[0] policy
     /* 1682506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682540 */     // GIR_Coverage, 6840,
     /* 1682540 */     GIR_EraseRootFromParent_Done,
     /* 1682541 */   // Label 23048: @1682541
     /* 1682541 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1682627), // Rule ID 6841 //
     /* 1682546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682592 */     // MIs[0] policy
     /* 1682592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682626 */     // GIR_Coverage, 6841,
     /* 1682626 */     GIR_EraseRootFromParent_Done,
     /* 1682627 */   // Label 23049: @1682627
     /* 1682627 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1682713), // Rule ID 6844 //
     /* 1682632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682678 */     // MIs[0] policy
     /* 1682678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682712 */     // GIR_Coverage, 6844,
     /* 1682712 */     GIR_EraseRootFromParent_Done,
     /* 1682713 */   // Label 23050: @1682713
     /* 1682713 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1682799), // Rule ID 6845 //
     /* 1682718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682764 */     // MIs[0] policy
     /* 1682764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682798 */     // GIR_Coverage, 6845,
     /* 1682798 */     GIR_EraseRootFromParent_Done,
     /* 1682799 */   // Label 23051: @1682799
     /* 1682799 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1682885), // Rule ID 6848 //
     /* 1682804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682850 */     // MIs[0] policy
     /* 1682850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682860 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682884 */     // GIR_Coverage, 6848,
     /* 1682884 */     GIR_EraseRootFromParent_Done,
     /* 1682885 */   // Label 23052: @1682885
     /* 1682885 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1682971), // Rule ID 6849 //
     /* 1682890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682936 */     // MIs[0] policy
     /* 1682936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682970 */     // GIR_Coverage, 6849,
     /* 1682970 */     GIR_EraseRootFromParent_Done,
     /* 1682971 */   // Label 23053: @1682971
     /* 1682971 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1683057), // Rule ID 6852 //
     /* 1682976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683022 */     // MIs[0] policy
     /* 1683022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683056 */     // GIR_Coverage, 6852,
     /* 1683056 */     GIR_EraseRootFromParent_Done,
     /* 1683057 */   // Label 23054: @1683057
     /* 1683057 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683143), // Rule ID 6853 //
     /* 1683062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1683073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1683076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1683079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683108 */     // MIs[0] policy
     /* 1683108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683142 */     // GIR_Coverage, 6853,
     /* 1683142 */     GIR_EraseRootFromParent_Done,
     /* 1683143 */   // Label 23055: @1683143
     /* 1683143 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1683229), // Rule ID 6856 //
     /* 1683148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683194 */     // MIs[0] policy
     /* 1683194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683228 */     // GIR_Coverage, 6856,
     /* 1683228 */     GIR_EraseRootFromParent_Done,
     /* 1683229 */   // Label 23056: @1683229
     /* 1683229 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1683315), // Rule ID 6857 //
     /* 1683234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683280 */     // MIs[0] policy
     /* 1683280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683314 */     // GIR_Coverage, 6857,
     /* 1683314 */     GIR_EraseRootFromParent_Done,
     /* 1683315 */   // Label 23057: @1683315
     /* 1683315 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1683401), // Rule ID 6860 //
     /* 1683320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683366 */     // MIs[0] policy
     /* 1683366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683400 */     // GIR_Coverage, 6860,
     /* 1683400 */     GIR_EraseRootFromParent_Done,
     /* 1683401 */   // Label 23058: @1683401
     /* 1683401 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1683487), // Rule ID 6861 //
     /* 1683406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683452 */     // MIs[0] policy
     /* 1683452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683486 */     // GIR_Coverage, 6861,
     /* 1683486 */     GIR_EraseRootFromParent_Done,
     /* 1683487 */   // Label 23059: @1683487
     /* 1683487 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1683573), // Rule ID 6864 //
     /* 1683492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683538 */     // MIs[0] policy
     /* 1683538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683572 */     // GIR_Coverage, 6864,
     /* 1683572 */     GIR_EraseRootFromParent_Done,
     /* 1683573 */   // Label 23060: @1683573
     /* 1683573 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1683659), // Rule ID 6865 //
     /* 1683578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683624 */     // MIs[0] policy
     /* 1683624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683658 */     // GIR_Coverage, 6865,
     /* 1683658 */     GIR_EraseRootFromParent_Done,
     /* 1683659 */   // Label 23061: @1683659
     /* 1683659 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1683745), // Rule ID 6868 //
     /* 1683664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683710 */     // MIs[0] policy
     /* 1683710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683744 */     // GIR_Coverage, 6868,
     /* 1683744 */     GIR_EraseRootFromParent_Done,
     /* 1683745 */   // Label 23062: @1683745
     /* 1683745 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1683831), // Rule ID 6869 //
     /* 1683750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683796 */     // MIs[0] policy
     /* 1683796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683830 */     // GIR_Coverage, 6869,
     /* 1683830 */     GIR_EraseRootFromParent_Done,
     /* 1683831 */   // Label 23063: @1683831
     /* 1683831 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1683917), // Rule ID 6872 //
     /* 1683836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683882 */     // MIs[0] policy
     /* 1683882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683916 */     // GIR_Coverage, 6872,
     /* 1683916 */     GIR_EraseRootFromParent_Done,
     /* 1683917 */   // Label 23064: @1683917
     /* 1683917 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1684003), // Rule ID 6873 //
     /* 1683922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683968 */     // MIs[0] policy
     /* 1683968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684002 */     // GIR_Coverage, 6873,
     /* 1684002 */     GIR_EraseRootFromParent_Done,
     /* 1684003 */   // Label 23065: @1684003
     /* 1684003 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684089), // Rule ID 6876 //
     /* 1684008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684054 */     // MIs[0] policy
     /* 1684054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1684067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684088 */     // GIR_Coverage, 6876,
     /* 1684088 */     GIR_EraseRootFromParent_Done,
     /* 1684089 */   // Label 23066: @1684089
     /* 1684089 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684175), // Rule ID 6877 //
     /* 1684094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684140 */     // MIs[0] policy
     /* 1684140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1684153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684174 */     // GIR_Coverage, 6877,
     /* 1684174 */     GIR_EraseRootFromParent_Done,
     /* 1684175 */   // Label 23067: @1684175
     /* 1684175 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1684261), // Rule ID 6880 //
     /* 1684180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684226 */     // MIs[0] policy
     /* 1684226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1684239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684260 */     // GIR_Coverage, 6880,
     /* 1684260 */     GIR_EraseRootFromParent_Done,
     /* 1684261 */   // Label 23068: @1684261
     /* 1684261 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1684347), // Rule ID 6881 //
     /* 1684266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684312 */     // MIs[0] policy
     /* 1684312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1684325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684346 */     // GIR_Coverage, 6881,
     /* 1684346 */     GIR_EraseRootFromParent_Done,
     /* 1684347 */   // Label 23069: @1684347
     /* 1684347 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1684433), // Rule ID 6884 //
     /* 1684352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684398 */     // MIs[0] policy
     /* 1684398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684432 */     // GIR_Coverage, 6884,
     /* 1684432 */     GIR_EraseRootFromParent_Done,
     /* 1684433 */   // Label 23070: @1684433
     /* 1684433 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1684519), // Rule ID 6885 //
     /* 1684438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684484 */     // MIs[0] policy
     /* 1684484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11509:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684518 */     // GIR_Coverage, 6885,
     /* 1684518 */     GIR_EraseRootFromParent_Done,
     /* 1684519 */   // Label 23071: @1684519
     /* 1684519 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1684605), // Rule ID 6976 //
     /* 1684524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684570 */     // MIs[0] policy
     /* 1684570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684604 */     // GIR_Coverage, 6976,
     /* 1684604 */     GIR_EraseRootFromParent_Done,
     /* 1684605 */   // Label 23072: @1684605
     /* 1684605 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1684691), // Rule ID 6977 //
     /* 1684610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684656 */     // MIs[0] policy
     /* 1684656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684690 */     // GIR_Coverage, 6977,
     /* 1684690 */     GIR_EraseRootFromParent_Done,
     /* 1684691 */   // Label 23073: @1684691
     /* 1684691 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1684777), // Rule ID 6980 //
     /* 1684696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684742 */     // MIs[0] policy
     /* 1684742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684776 */     // GIR_Coverage, 6980,
     /* 1684776 */     GIR_EraseRootFromParent_Done,
     /* 1684777 */   // Label 23074: @1684777
     /* 1684777 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1684863), // Rule ID 6981 //
     /* 1684782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684828 */     // MIs[0] policy
     /* 1684828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684862 */     // GIR_Coverage, 6981,
     /* 1684862 */     GIR_EraseRootFromParent_Done,
     /* 1684863 */   // Label 23075: @1684863
     /* 1684863 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1684949), // Rule ID 6984 //
     /* 1684868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684914 */     // MIs[0] policy
     /* 1684914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684948 */     // GIR_Coverage, 6984,
     /* 1684948 */     GIR_EraseRootFromParent_Done,
     /* 1684949 */   // Label 23076: @1684949
     /* 1684949 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1685035), // Rule ID 6985 //
     /* 1684954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685000 */     // MIs[0] policy
     /* 1685000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685034 */     // GIR_Coverage, 6985,
     /* 1685034 */     GIR_EraseRootFromParent_Done,
     /* 1685035 */   // Label 23077: @1685035
     /* 1685035 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685121), // Rule ID 6988 //
     /* 1685040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1685060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685086 */     // MIs[0] policy
     /* 1685086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1685099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685120 */     // GIR_Coverage, 6988,
     /* 1685120 */     GIR_EraseRootFromParent_Done,
     /* 1685121 */   // Label 23078: @1685121
     /* 1685121 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685207), // Rule ID 6989 //
     /* 1685126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1685146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685172 */     // MIs[0] policy
     /* 1685172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1685185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685206 */     // GIR_Coverage, 6989,
     /* 1685206 */     GIR_EraseRootFromParent_Done,
     /* 1685207 */   // Label 23079: @1685207
     /* 1685207 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1685293), // Rule ID 6992 //
     /* 1685212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1685232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685258 */     // MIs[0] policy
     /* 1685258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685292 */     // GIR_Coverage, 6992,
     /* 1685292 */     GIR_EraseRootFromParent_Done,
     /* 1685293 */   // Label 23080: @1685293
     /* 1685293 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1685379), // Rule ID 6993 //
     /* 1685298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1685318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685344 */     // MIs[0] policy
     /* 1685344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685378 */     // GIR_Coverage, 6993,
     /* 1685378 */     GIR_EraseRootFromParent_Done,
     /* 1685379 */   // Label 23081: @1685379
     /* 1685379 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1685465), // Rule ID 6996 //
     /* 1685384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685430 */     // MIs[0] policy
     /* 1685430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685464 */     // GIR_Coverage, 6996,
     /* 1685464 */     GIR_EraseRootFromParent_Done,
     /* 1685465 */   // Label 23082: @1685465
     /* 1685465 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1685551), // Rule ID 6997 //
     /* 1685470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685516 */     // MIs[0] policy
     /* 1685516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685550 */     // GIR_Coverage, 6997,
     /* 1685550 */     GIR_EraseRootFromParent_Done,
     /* 1685551 */   // Label 23083: @1685551
     /* 1685551 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1685637), // Rule ID 7000 //
     /* 1685556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685602 */     // MIs[0] policy
     /* 1685602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685636 */     // GIR_Coverage, 7000,
     /* 1685636 */     GIR_EraseRootFromParent_Done,
     /* 1685637 */   // Label 23084: @1685637
     /* 1685637 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1685723), // Rule ID 7001 //
     /* 1685642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685688 */     // MIs[0] policy
     /* 1685688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685722 */     // GIR_Coverage, 7001,
     /* 1685722 */     GIR_EraseRootFromParent_Done,
     /* 1685723 */   // Label 23085: @1685723
     /* 1685723 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1685809), // Rule ID 7004 //
     /* 1685728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685774 */     // MIs[0] policy
     /* 1685774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685808 */     // GIR_Coverage, 7004,
     /* 1685808 */     GIR_EraseRootFromParent_Done,
     /* 1685809 */   // Label 23086: @1685809
     /* 1685809 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1685895), // Rule ID 7005 //
     /* 1685814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685860 */     // MIs[0] policy
     /* 1685860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685894 */     // GIR_Coverage, 7005,
     /* 1685894 */     GIR_EraseRootFromParent_Done,
     /* 1685895 */   // Label 23087: @1685895
     /* 1685895 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1685981), // Rule ID 7008 //
     /* 1685900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685946 */     // MIs[0] policy
     /* 1685946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685980 */     // GIR_Coverage, 7008,
     /* 1685980 */     GIR_EraseRootFromParent_Done,
     /* 1685981 */   // Label 23088: @1685981
     /* 1685981 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1686067), // Rule ID 7009 //
     /* 1685986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1686000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1686003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1686006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686032 */     // MIs[0] policy
     /* 1686032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686066 */     // GIR_Coverage, 7009,
     /* 1686066 */     GIR_EraseRootFromParent_Done,
     /* 1686067 */   // Label 23089: @1686067
     /* 1686067 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686153), // Rule ID 7012 //
     /* 1686072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1686092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686118 */     // MIs[0] policy
     /* 1686118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686152 */     // GIR_Coverage, 7012,
     /* 1686152 */     GIR_EraseRootFromParent_Done,
     /* 1686153 */   // Label 23090: @1686153
     /* 1686153 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1686239), // Rule ID 7013 //
     /* 1686158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1686178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686204 */     // MIs[0] policy
     /* 1686204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1686217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686238 */     // GIR_Coverage, 7013,
     /* 1686238 */     GIR_EraseRootFromParent_Done,
     /* 1686239 */   // Label 23091: @1686239
     /* 1686239 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1686325), // Rule ID 7016 //
     /* 1686244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686290 */     // MIs[0] policy
     /* 1686290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686324 */     // GIR_Coverage, 7016,
     /* 1686324 */     GIR_EraseRootFromParent_Done,
     /* 1686325 */   // Label 23092: @1686325
     /* 1686325 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1686411), // Rule ID 7017 //
     /* 1686330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686376 */     // MIs[0] policy
     /* 1686376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686410 */     // GIR_Coverage, 7017,
     /* 1686410 */     GIR_EraseRootFromParent_Done,
     /* 1686411 */   // Label 23093: @1686411
     /* 1686411 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1686497), // Rule ID 7020 //
     /* 1686416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686462 */     // MIs[0] policy
     /* 1686462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686496 */     // GIR_Coverage, 7020,
     /* 1686496 */     GIR_EraseRootFromParent_Done,
     /* 1686497 */   // Label 23094: @1686497
     /* 1686497 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1686583), // Rule ID 7021 //
     /* 1686502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686548 */     // MIs[0] policy
     /* 1686548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686582 */     // GIR_Coverage, 7021,
     /* 1686582 */     GIR_EraseRootFromParent_Done,
     /* 1686583 */   // Label 23095: @1686583
     /* 1686583 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1686669), // Rule ID 7024 //
     /* 1686588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686634 */     // MIs[0] policy
     /* 1686634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686668 */     // GIR_Coverage, 7024,
     /* 1686668 */     GIR_EraseRootFromParent_Done,
     /* 1686669 */   // Label 23096: @1686669
     /* 1686669 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1686755), // Rule ID 7025 //
     /* 1686674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686720 */     // MIs[0] policy
     /* 1686720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686754 */     // GIR_Coverage, 7025,
     /* 1686754 */     GIR_EraseRootFromParent_Done,
     /* 1686755 */   // Label 23097: @1686755
     /* 1686755 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1686841), // Rule ID 7028 //
     /* 1686760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686806 */     // MIs[0] policy
     /* 1686806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686840 */     // GIR_Coverage, 7028,
     /* 1686840 */     GIR_EraseRootFromParent_Done,
     /* 1686841 */   // Label 23098: @1686841
     /* 1686841 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1686927), // Rule ID 7029 //
     /* 1686846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686892 */     // MIs[0] policy
     /* 1686892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686926 */     // GIR_Coverage, 7029,
     /* 1686926 */     GIR_EraseRootFromParent_Done,
     /* 1686927 */   // Label 23099: @1686927
     /* 1686927 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1687013), // Rule ID 7032 //
     /* 1686932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686978 */     // MIs[0] policy
     /* 1686978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687012 */     // GIR_Coverage, 7032,
     /* 1687012 */     GIR_EraseRootFromParent_Done,
     /* 1687013 */   // Label 23100: @1687013
     /* 1687013 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687099), // Rule ID 7033 //
     /* 1687018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1687035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1687038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687064 */     // MIs[0] policy
     /* 1687064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687098 */     // GIR_Coverage, 7033,
     /* 1687098 */     GIR_EraseRootFromParent_Done,
     /* 1687099 */   // Label 23101: @1687099
     /* 1687099 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687185), // Rule ID 7036 //
     /* 1687104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1687124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687150 */     // MIs[0] policy
     /* 1687150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687184 */     // GIR_Coverage, 7036,
     /* 1687184 */     GIR_EraseRootFromParent_Done,
     /* 1687185 */   // Label 23102: @1687185
     /* 1687185 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1687271), // Rule ID 7037 //
     /* 1687190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1687210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687236 */     // MIs[0] policy
     /* 1687236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687270 */     // GIR_Coverage, 7037,
     /* 1687270 */     GIR_EraseRootFromParent_Done,
     /* 1687271 */   // Label 23103: @1687271
     /* 1687271 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1687357), // Rule ID 7040 //
     /* 1687276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1687296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687322 */     // MIs[0] policy
     /* 1687322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687356 */     // GIR_Coverage, 7040,
     /* 1687356 */     GIR_EraseRootFromParent_Done,
     /* 1687357 */   // Label 23104: @1687357
     /* 1687357 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1687443), // Rule ID 7041 //
     /* 1687362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1687382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687408 */     // MIs[0] policy
     /* 1687408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687442 */     // GIR_Coverage, 7041,
     /* 1687442 */     GIR_EraseRootFromParent_Done,
     /* 1687443 */   // Label 23105: @1687443
     /* 1687443 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1687529), // Rule ID 7044 //
     /* 1687448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687494 */     // MIs[0] policy
     /* 1687494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687528 */     // GIR_Coverage, 7044,
     /* 1687528 */     GIR_EraseRootFromParent_Done,
     /* 1687529 */   // Label 23106: @1687529
     /* 1687529 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1687615), // Rule ID 7045 //
     /* 1687534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687580 */     // MIs[0] policy
     /* 1687580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687614 */     // GIR_Coverage, 7045,
     /* 1687614 */     GIR_EraseRootFromParent_Done,
     /* 1687615 */   // Label 23107: @1687615
     /* 1687615 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1687701), // Rule ID 7048 //
     /* 1687620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687666 */     // MIs[0] policy
     /* 1687666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687700 */     // GIR_Coverage, 7048,
     /* 1687700 */     GIR_EraseRootFromParent_Done,
     /* 1687701 */   // Label 23108: @1687701
     /* 1687701 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1687787), // Rule ID 7049 //
     /* 1687706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687752 */     // MIs[0] policy
     /* 1687752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687786 */     // GIR_Coverage, 7049,
     /* 1687786 */     GIR_EraseRootFromParent_Done,
     /* 1687787 */   // Label 23109: @1687787
     /* 1687787 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1687873), // Rule ID 7052 //
     /* 1687792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687838 */     // MIs[0] policy
     /* 1687838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687872 */     // GIR_Coverage, 7052,
     /* 1687872 */     GIR_EraseRootFromParent_Done,
     /* 1687873 */   // Label 23110: @1687873
     /* 1687873 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1687959), // Rule ID 7053 //
     /* 1687878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687924 */     // MIs[0] policy
     /* 1687924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687958 */     // GIR_Coverage, 7053,
     /* 1687958 */     GIR_EraseRootFromParent_Done,
     /* 1687959 */   // Label 23111: @1687959
     /* 1687959 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1688045), // Rule ID 7056 //
     /* 1687964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688010 */     // MIs[0] policy
     /* 1688010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1688023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688044 */     // GIR_Coverage, 7056,
     /* 1688044 */     GIR_EraseRootFromParent_Done,
     /* 1688045 */   // Label 23112: @1688045
     /* 1688045 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688131), // Rule ID 7057 //
     /* 1688050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1688061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1688064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1688070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688096 */     // MIs[0] policy
     /* 1688096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1688109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688130 */     // GIR_Coverage, 7057,
     /* 1688130 */     GIR_EraseRootFromParent_Done,
     /* 1688131 */   // Label 23113: @1688131
     /* 1688131 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1688217), // Rule ID 7060 //
     /* 1688136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1688156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688182 */     // MIs[0] policy
     /* 1688182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1688195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688216 */     // GIR_Coverage, 7060,
     /* 1688216 */     GIR_EraseRootFromParent_Done,
     /* 1688217 */   // Label 23114: @1688217
     /* 1688217 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1688303), // Rule ID 7061 //
     /* 1688222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1688242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688268 */     // MIs[0] policy
     /* 1688268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1688281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688302 */     // GIR_Coverage, 7061,
     /* 1688302 */     GIR_EraseRootFromParent_Done,
     /* 1688303 */   // Label 23115: @1688303
     /* 1688303 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1688389), // Rule ID 7064 //
     /* 1688308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688354 */     // MIs[0] policy
     /* 1688354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688388 */     // GIR_Coverage, 7064,
     /* 1688388 */     GIR_EraseRootFromParent_Done,
     /* 1688389 */   // Label 23116: @1688389
     /* 1688389 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1688475), // Rule ID 7065 //
     /* 1688394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688440 */     // MIs[0] policy
     /* 1688440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688450 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688474 */     // GIR_Coverage, 7065,
     /* 1688474 */     GIR_EraseRootFromParent_Done,
     /* 1688475 */   // Label 23117: @1688475
     /* 1688475 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1688561), // Rule ID 7068 //
     /* 1688480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688526 */     // MIs[0] policy
     /* 1688526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688560 */     // GIR_Coverage, 7068,
     /* 1688560 */     GIR_EraseRootFromParent_Done,
     /* 1688561 */   // Label 23118: @1688561
     /* 1688561 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1688647), // Rule ID 7069 //
     /* 1688566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688612 */     // MIs[0] policy
     /* 1688612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688646 */     // GIR_Coverage, 7069,
     /* 1688646 */     GIR_EraseRootFromParent_Done,
     /* 1688647 */   // Label 23119: @1688647
     /* 1688647 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1688733), // Rule ID 7072 //
     /* 1688652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688698 */     // MIs[0] policy
     /* 1688698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688732 */     // GIR_Coverage, 7072,
     /* 1688732 */     GIR_EraseRootFromParent_Done,
     /* 1688733 */   // Label 23120: @1688733
     /* 1688733 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1688819), // Rule ID 7073 //
     /* 1688738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688784 */     // MIs[0] policy
     /* 1688784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688818 */     // GIR_Coverage, 7073,
     /* 1688818 */     GIR_EraseRootFromParent_Done,
     /* 1688819 */   // Label 23121: @1688819
     /* 1688819 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1688905), // Rule ID 7076 //
     /* 1688824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688870 */     // MIs[0] policy
     /* 1688870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688904 */     // GIR_Coverage, 7076,
     /* 1688904 */     GIR_EraseRootFromParent_Done,
     /* 1688905 */   // Label 23122: @1688905
     /* 1688905 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1688991), // Rule ID 7077 //
     /* 1688910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688956 */     // MIs[0] policy
     /* 1688956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688990 */     // GIR_Coverage, 7077,
     /* 1688990 */     GIR_EraseRootFromParent_Done,
     /* 1688991 */   // Label 23123: @1688991
     /* 1688991 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1689077), // Rule ID 7080 //
     /* 1688996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689042 */     // MIs[0] policy
     /* 1689042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689076 */     // GIR_Coverage, 7080,
     /* 1689076 */     GIR_EraseRootFromParent_Done,
     /* 1689077 */   // Label 23124: @1689077
     /* 1689077 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689163), // Rule ID 7081 //
     /* 1689082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689128 */     // MIs[0] policy
     /* 1689128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689162 */     // GIR_Coverage, 7081,
     /* 1689162 */     GIR_EraseRootFromParent_Done,
     /* 1689163 */   // Label 23125: @1689163
     /* 1689163 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1689249), // Rule ID 7084 //
     /* 1689168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689214 */     // MIs[0] policy
     /* 1689214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689248 */     // GIR_Coverage, 7084,
     /* 1689248 */     GIR_EraseRootFromParent_Done,
     /* 1689249 */   // Label 23126: @1689249
     /* 1689249 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1689335), // Rule ID 7085 //
     /* 1689254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689300 */     // MIs[0] policy
     /* 1689300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1689313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689334 */     // GIR_Coverage, 7085,
     /* 1689334 */     GIR_EraseRootFromParent_Done,
     /* 1689335 */   // Label 23127: @1689335
     /* 1689335 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1689421), // Rule ID 7088 //
     /* 1689340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689386 */     // MIs[0] policy
     /* 1689386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689420 */     // GIR_Coverage, 7088,
     /* 1689420 */     GIR_EraseRootFromParent_Done,
     /* 1689421 */   // Label 23128: @1689421
     /* 1689421 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1689507), // Rule ID 7089 //
     /* 1689426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689472 */     // MIs[0] policy
     /* 1689472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689506 */     // GIR_Coverage, 7089,
     /* 1689506 */     GIR_EraseRootFromParent_Done,
     /* 1689507 */   // Label 23129: @1689507
     /* 1689507 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1689593), // Rule ID 7092 //
     /* 1689512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689558 */     // MIs[0] policy
     /* 1689558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689592 */     // GIR_Coverage, 7092,
     /* 1689592 */     GIR_EraseRootFromParent_Done,
     /* 1689593 */   // Label 23130: @1689593
     /* 1689593 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1689679), // Rule ID 7093 //
     /* 1689598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689644 */     // MIs[0] policy
     /* 1689644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689678 */     // GIR_Coverage, 7093,
     /* 1689678 */     GIR_EraseRootFromParent_Done,
     /* 1689679 */   // Label 23131: @1689679
     /* 1689679 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1689765), // Rule ID 7096 //
     /* 1689684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689730 */     // MIs[0] policy
     /* 1689730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689764 */     // GIR_Coverage, 7096,
     /* 1689764 */     GIR_EraseRootFromParent_Done,
     /* 1689765 */   // Label 23132: @1689765
     /* 1689765 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1689851), // Rule ID 7097 //
     /* 1689770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689816 */     // MIs[0] policy
     /* 1689816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689850 */     // GIR_Coverage, 7097,
     /* 1689850 */     GIR_EraseRootFromParent_Done,
     /* 1689851 */   // Label 23133: @1689851
     /* 1689851 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1689937), // Rule ID 7100 //
     /* 1689856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689902 */     // MIs[0] policy
     /* 1689902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689936 */     // GIR_Coverage, 7100,
     /* 1689936 */     GIR_EraseRootFromParent_Done,
     /* 1689937 */   // Label 23134: @1689937
     /* 1689937 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1690023), // Rule ID 7101 //
     /* 1689942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689988 */     // MIs[0] policy
     /* 1689988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1690001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690022 */     // GIR_Coverage, 7101,
     /* 1690022 */     GIR_EraseRootFromParent_Done,
     /* 1690023 */   // Label 23135: @1690023
     /* 1690023 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690109), // Rule ID 7104 //
     /* 1690028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690074 */     // MIs[0] policy
     /* 1690074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690108 */     // GIR_Coverage, 7104,
     /* 1690108 */     GIR_EraseRootFromParent_Done,
     /* 1690109 */   // Label 23136: @1690109
     /* 1690109 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690195), // Rule ID 7105 //
     /* 1690114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690160 */     // MIs[0] policy
     /* 1690160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690170 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690194 */     // GIR_Coverage, 7105,
     /* 1690194 */     GIR_EraseRootFromParent_Done,
     /* 1690195 */   // Label 23137: @1690195
     /* 1690195 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1690281), // Rule ID 7108 //
     /* 1690200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690246 */     // MIs[0] policy
     /* 1690246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690280 */     // GIR_Coverage, 7108,
     /* 1690280 */     GIR_EraseRootFromParent_Done,
     /* 1690281 */   // Label 23138: @1690281
     /* 1690281 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1690367), // Rule ID 7109 //
     /* 1690286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690332 */     // MIs[0] policy
     /* 1690332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690366 */     // GIR_Coverage, 7109,
     /* 1690366 */     GIR_EraseRootFromParent_Done,
     /* 1690367 */   // Label 23139: @1690367
     /* 1690367 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1690453), // Rule ID 7112 //
     /* 1690372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690418 */     // MIs[0] policy
     /* 1690418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690452 */     // GIR_Coverage, 7112,
     /* 1690452 */     GIR_EraseRootFromParent_Done,
     /* 1690453 */   // Label 23140: @1690453
     /* 1690453 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1690539), // Rule ID 7113 //
     /* 1690458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690504 */     // MIs[0] policy
     /* 1690504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690538 */     // GIR_Coverage, 7113,
     /* 1690538 */     GIR_EraseRootFromParent_Done,
     /* 1690539 */   // Label 23141: @1690539
     /* 1690539 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1690625), // Rule ID 7116 //
     /* 1690544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690590 */     // MIs[0] policy
     /* 1690590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690624 */     // GIR_Coverage, 7116,
     /* 1690624 */     GIR_EraseRootFromParent_Done,
     /* 1690625 */   // Label 23142: @1690625
     /* 1690625 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1690711), // Rule ID 7117 //
     /* 1690630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690676 */     // MIs[0] policy
     /* 1690676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690710 */     // GIR_Coverage, 7117,
     /* 1690710 */     GIR_EraseRootFromParent_Done,
     /* 1690711 */   // Label 23143: @1690711
     /* 1690711 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1690797), // Rule ID 7120 //
     /* 1690716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690762 */     // MIs[0] policy
     /* 1690762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690796 */     // GIR_Coverage, 7120,
     /* 1690796 */     GIR_EraseRootFromParent_Done,
     /* 1690797 */   // Label 23144: @1690797
     /* 1690797 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1690883), // Rule ID 7121 //
     /* 1690802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690848 */     // MIs[0] policy
     /* 1690848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690882 */     // GIR_Coverage, 7121,
     /* 1690882 */     GIR_EraseRootFromParent_Done,
     /* 1690883 */   // Label 23145: @1690883
     /* 1690883 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1690969), // Rule ID 7124 //
     /* 1690888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690934 */     // MIs[0] policy
     /* 1690934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690968 */     // GIR_Coverage, 7124,
     /* 1690968 */     GIR_EraseRootFromParent_Done,
     /* 1690969 */   // Label 23146: @1690969
     /* 1690969 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1691055), // Rule ID 7125 //
     /* 1690974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691020 */     // MIs[0] policy
     /* 1691020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691054 */     // GIR_Coverage, 7125,
     /* 1691054 */     GIR_EraseRootFromParent_Done,
     /* 1691055 */   // Label 23147: @1691055
     /* 1691055 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691141), // Rule ID 7128 //
     /* 1691060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691106 */     // MIs[0] policy
     /* 1691106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691140 */     // GIR_Coverage, 7128,
     /* 1691140 */     GIR_EraseRootFromParent_Done,
     /* 1691141 */   // Label 23148: @1691141
     /* 1691141 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1691227), // Rule ID 7129 //
     /* 1691146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691192 */     // MIs[0] policy
     /* 1691192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691226 */     // GIR_Coverage, 7129,
     /* 1691226 */     GIR_EraseRootFromParent_Done,
     /* 1691227 */   // Label 23149: @1691227
     /* 1691227 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1691313), // Rule ID 7132 //
     /* 1691232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691278 */     // MIs[0] policy
     /* 1691278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691312 */     // GIR_Coverage, 7132,
     /* 1691312 */     GIR_EraseRootFromParent_Done,
     /* 1691313 */   // Label 23150: @1691313
     /* 1691313 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1691399), // Rule ID 7133 //
     /* 1691318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691364 */     // MIs[0] policy
     /* 1691364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691398 */     // GIR_Coverage, 7133,
     /* 1691398 */     GIR_EraseRootFromParent_Done,
     /* 1691399 */   // Label 23151: @1691399
     /* 1691399 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1691485), // Rule ID 7136 //
     /* 1691404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691450 */     // MIs[0] policy
     /* 1691450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691484 */     // GIR_Coverage, 7136,
     /* 1691484 */     GIR_EraseRootFromParent_Done,
     /* 1691485 */   // Label 23152: @1691485
     /* 1691485 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1691571), // Rule ID 7137 //
     /* 1691490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691536 */     // MIs[0] policy
     /* 1691536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691570 */     // GIR_Coverage, 7137,
     /* 1691570 */     GIR_EraseRootFromParent_Done,
     /* 1691571 */   // Label 23153: @1691571
     /* 1691571 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1691657), // Rule ID 7140 //
     /* 1691576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691622 */     // MIs[0] policy
     /* 1691622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691656 */     // GIR_Coverage, 7140,
     /* 1691656 */     GIR_EraseRootFromParent_Done,
     /* 1691657 */   // Label 23154: @1691657
     /* 1691657 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1691743), // Rule ID 7141 //
     /* 1691662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691708 */     // MIs[0] policy
     /* 1691708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691742 */     // GIR_Coverage, 7141,
     /* 1691742 */     GIR_EraseRootFromParent_Done,
     /* 1691743 */   // Label 23155: @1691743
     /* 1691743 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1691829), // Rule ID 7144 //
     /* 1691748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691794 */     // MIs[0] policy
     /* 1691794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691804 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691828 */     // GIR_Coverage, 7144,
     /* 1691828 */     GIR_EraseRootFromParent_Done,
     /* 1691829 */   // Label 23156: @1691829
     /* 1691829 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1691915), // Rule ID 7145 //
     /* 1691834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691880 */     // MIs[0] policy
     /* 1691880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691914 */     // GIR_Coverage, 7145,
     /* 1691914 */     GIR_EraseRootFromParent_Done,
     /* 1691915 */   // Label 23157: @1691915
     /* 1691915 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1692001), // Rule ID 7148 //
     /* 1691920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691966 */     // MIs[0] policy
     /* 1691966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692000 */     // GIR_Coverage, 7148,
     /* 1692000 */     GIR_EraseRootFromParent_Done,
     /* 1692001 */   // Label 23158: @1692001
     /* 1692001 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692087), // Rule ID 7149 //
     /* 1692006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1692017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1692020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692052 */     // MIs[0] policy
     /* 1692052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11507:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1692065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692086 */     // GIR_Coverage, 7149,
     /* 1692086 */     GIR_EraseRootFromParent_Done,
     /* 1692087 */   // Label 23159: @1692087
     /* 1692087 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692173), // Rule ID 7328 //
     /* 1692092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1692112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692138 */     // MIs[0] policy
     /* 1692138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692148 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1692151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692172 */     // GIR_Coverage, 7328,
     /* 1692172 */     GIR_EraseRootFromParent_Done,
     /* 1692173 */   // Label 23160: @1692173
     /* 1692173 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1692259), // Rule ID 7329 //
     /* 1692178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1692198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692224 */     // MIs[0] policy
     /* 1692224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1692237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692258 */     // GIR_Coverage, 7329,
     /* 1692258 */     GIR_EraseRootFromParent_Done,
     /* 1692259 */   // Label 23161: @1692259
     /* 1692259 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1692345), // Rule ID 7332 //
     /* 1692264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1692284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692310 */     // MIs[0] policy
     /* 1692310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692320 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692344 */     // GIR_Coverage, 7332,
     /* 1692344 */     GIR_EraseRootFromParent_Done,
     /* 1692345 */   // Label 23162: @1692345
     /* 1692345 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1692431), // Rule ID 7333 //
     /* 1692350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1692370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692396 */     // MIs[0] policy
     /* 1692396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692406 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692430 */     // GIR_Coverage, 7333,
     /* 1692430 */     GIR_EraseRootFromParent_Done,
     /* 1692431 */   // Label 23163: @1692431
     /* 1692431 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1692517), // Rule ID 7336 //
     /* 1692436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692482 */     // MIs[0] policy
     /* 1692482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692516 */     // GIR_Coverage, 7336,
     /* 1692516 */     GIR_EraseRootFromParent_Done,
     /* 1692517 */   // Label 23164: @1692517
     /* 1692517 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1692603), // Rule ID 7337 //
     /* 1692522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692568 */     // MIs[0] policy
     /* 1692568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692578 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692602 */     // GIR_Coverage, 7337,
     /* 1692602 */     GIR_EraseRootFromParent_Done,
     /* 1692603 */   // Label 23165: @1692603
     /* 1692603 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1692689), // Rule ID 7340 //
     /* 1692608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692654 */     // MIs[0] policy
     /* 1692654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692688 */     // GIR_Coverage, 7340,
     /* 1692688 */     GIR_EraseRootFromParent_Done,
     /* 1692689 */   // Label 23166: @1692689
     /* 1692689 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1692775), // Rule ID 7341 //
     /* 1692694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692740 */     // MIs[0] policy
     /* 1692740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692774 */     // GIR_Coverage, 7341,
     /* 1692774 */     GIR_EraseRootFromParent_Done,
     /* 1692775 */   // Label 23167: @1692775
     /* 1692775 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1692861), // Rule ID 7344 //
     /* 1692780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692826 */     // MIs[0] policy
     /* 1692826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692860 */     // GIR_Coverage, 7344,
     /* 1692860 */     GIR_EraseRootFromParent_Done,
     /* 1692861 */   // Label 23168: @1692861
     /* 1692861 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1692947), // Rule ID 7345 //
     /* 1692866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692912 */     // MIs[0] policy
     /* 1692912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692946 */     // GIR_Coverage, 7345,
     /* 1692946 */     GIR_EraseRootFromParent_Done,
     /* 1692947 */   // Label 23169: @1692947
     /* 1692947 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1693033), // Rule ID 7348 //
     /* 1692952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692998 */     // MIs[0] policy
     /* 1692998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693032 */     // GIR_Coverage, 7348,
     /* 1693032 */     GIR_EraseRootFromParent_Done,
     /* 1693033 */   // Label 23170: @1693033
     /* 1693033 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693119), // Rule ID 7349 //
     /* 1693038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1693058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693084 */     // MIs[0] policy
     /* 1693084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693118 */     // GIR_Coverage, 7349,
     /* 1693118 */     GIR_EraseRootFromParent_Done,
     /* 1693119 */   // Label 23171: @1693119
     /* 1693119 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693205), // Rule ID 7352 //
     /* 1693124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1693135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1693144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693170 */     // MIs[0] policy
     /* 1693170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1693183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693204 */     // GIR_Coverage, 7352,
     /* 1693204 */     GIR_EraseRootFromParent_Done,
     /* 1693205 */   // Label 23172: @1693205
     /* 1693205 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1693291), // Rule ID 7353 //
     /* 1693210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1693221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1693230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693256 */     // MIs[0] policy
     /* 1693256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1693269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693290 */     // GIR_Coverage, 7353,
     /* 1693290 */     GIR_EraseRootFromParent_Done,
     /* 1693291 */   // Label 23173: @1693291
     /* 1693291 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1693377), // Rule ID 7356 //
     /* 1693296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1693316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693342 */     // MIs[0] policy
     /* 1693342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693376 */     // GIR_Coverage, 7356,
     /* 1693376 */     GIR_EraseRootFromParent_Done,
     /* 1693377 */   // Label 23174: @1693377
     /* 1693377 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1693463), // Rule ID 7357 //
     /* 1693382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1693402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693428 */     // MIs[0] policy
     /* 1693428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693462 */     // GIR_Coverage, 7357,
     /* 1693462 */     GIR_EraseRootFromParent_Done,
     /* 1693463 */   // Label 23175: @1693463
     /* 1693463 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1693549), // Rule ID 7360 //
     /* 1693468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693514 */     // MIs[0] policy
     /* 1693514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693548 */     // GIR_Coverage, 7360,
     /* 1693548 */     GIR_EraseRootFromParent_Done,
     /* 1693549 */   // Label 23176: @1693549
     /* 1693549 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1693635), // Rule ID 7361 //
     /* 1693554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693600 */     // MIs[0] policy
     /* 1693600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693634 */     // GIR_Coverage, 7361,
     /* 1693634 */     GIR_EraseRootFromParent_Done,
     /* 1693635 */   // Label 23177: @1693635
     /* 1693635 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1693721), // Rule ID 7364 //
     /* 1693640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693686 */     // MIs[0] policy
     /* 1693686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693720 */     // GIR_Coverage, 7364,
     /* 1693720 */     GIR_EraseRootFromParent_Done,
     /* 1693721 */   // Label 23178: @1693721
     /* 1693721 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1693807), // Rule ID 7365 //
     /* 1693726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693772 */     // MIs[0] policy
     /* 1693772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693806 */     // GIR_Coverage, 7365,
     /* 1693806 */     GIR_EraseRootFromParent_Done,
     /* 1693807 */   // Label 23179: @1693807
     /* 1693807 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1693893), // Rule ID 7368 //
     /* 1693812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693858 */     // MIs[0] policy
     /* 1693858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693892 */     // GIR_Coverage, 7368,
     /* 1693892 */     GIR_EraseRootFromParent_Done,
     /* 1693893 */   // Label 23180: @1693893
     /* 1693893 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1693979), // Rule ID 7369 //
     /* 1693898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693944 */     // MIs[0] policy
     /* 1693944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693978 */     // GIR_Coverage, 7369,
     /* 1693978 */     GIR_EraseRootFromParent_Done,
     /* 1693979 */   // Label 23181: @1693979
     /* 1693979 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1694065), // Rule ID 7372 //
     /* 1693984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1694004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694030 */     // MIs[0] policy
     /* 1694030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1694043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694064 */     // GIR_Coverage, 7372,
     /* 1694064 */     GIR_EraseRootFromParent_Done,
     /* 1694065 */   // Label 23182: @1694065
     /* 1694065 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694151), // Rule ID 7373 //
     /* 1694070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1694081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1694084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1694090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694116 */     // MIs[0] policy
     /* 1694116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1694129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694150 */     // GIR_Coverage, 7373,
     /* 1694150 */     GIR_EraseRootFromParent_Done,
     /* 1694151 */   // Label 23183: @1694151
     /* 1694151 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1694237), // Rule ID 7376 //
     /* 1694156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1694167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1694170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1694176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694202 */     // MIs[0] policy
     /* 1694202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1694215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694236 */     // GIR_Coverage, 7376,
     /* 1694236 */     GIR_EraseRootFromParent_Done,
     /* 1694237 */   // Label 23184: @1694237
     /* 1694237 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1694323), // Rule ID 7377 //
     /* 1694242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1694253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1694256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1694262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694288 */     // MIs[0] policy
     /* 1694288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1694301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694322 */     // GIR_Coverage, 7377,
     /* 1694322 */     GIR_EraseRootFromParent_Done,
     /* 1694323 */   // Label 23185: @1694323
     /* 1694323 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1694409), // Rule ID 7380 //
     /* 1694328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694374 */     // MIs[0] policy
     /* 1694374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694408 */     // GIR_Coverage, 7380,
     /* 1694408 */     GIR_EraseRootFromParent_Done,
     /* 1694409 */   // Label 23186: @1694409
     /* 1694409 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1694495), // Rule ID 7381 //
     /* 1694414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694460 */     // MIs[0] policy
     /* 1694460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694494 */     // GIR_Coverage, 7381,
     /* 1694494 */     GIR_EraseRootFromParent_Done,
     /* 1694495 */   // Label 23187: @1694495
     /* 1694495 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1694581), // Rule ID 7384 //
     /* 1694500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694546 */     // MIs[0] policy
     /* 1694546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694580 */     // GIR_Coverage, 7384,
     /* 1694580 */     GIR_EraseRootFromParent_Done,
     /* 1694581 */   // Label 23188: @1694581
     /* 1694581 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1694667), // Rule ID 7385 //
     /* 1694586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694632 */     // MIs[0] policy
     /* 1694632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694666 */     // GIR_Coverage, 7385,
     /* 1694666 */     GIR_EraseRootFromParent_Done,
     /* 1694667 */   // Label 23189: @1694667
     /* 1694667 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1694753), // Rule ID 7388 //
     /* 1694672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694718 */     // MIs[0] policy
     /* 1694718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694752 */     // GIR_Coverage, 7388,
     /* 1694752 */     GIR_EraseRootFromParent_Done,
     /* 1694753 */   // Label 23190: @1694753
     /* 1694753 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1694839), // Rule ID 7389 //
     /* 1694758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694804 */     // MIs[0] policy
     /* 1694804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694814 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694838 */     // GIR_Coverage, 7389,
     /* 1694838 */     GIR_EraseRootFromParent_Done,
     /* 1694839 */   // Label 23191: @1694839
     /* 1694839 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1694925), // Rule ID 7392 //
     /* 1694844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694890 */     // MIs[0] policy
     /* 1694890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694924 */     // GIR_Coverage, 7392,
     /* 1694924 */     GIR_EraseRootFromParent_Done,
     /* 1694925 */   // Label 23192: @1694925
     /* 1694925 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1695011), // Rule ID 7393 //
     /* 1694930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694976 */     // MIs[0] policy
     /* 1694976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695010 */     // GIR_Coverage, 7393,
     /* 1695010 */     GIR_EraseRootFromParent_Done,
     /* 1695011 */   // Label 23193: @1695011
     /* 1695011 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695097), // Rule ID 7396 //
     /* 1695016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695062 */     // MIs[0] policy
     /* 1695062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695096 */     // GIR_Coverage, 7396,
     /* 1695096 */     GIR_EraseRootFromParent_Done,
     /* 1695097 */   // Label 23194: @1695097
     /* 1695097 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695183), // Rule ID 7397 //
     /* 1695102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695148 */     // MIs[0] policy
     /* 1695148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695158 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695182 */     // GIR_Coverage, 7397,
     /* 1695182 */     GIR_EraseRootFromParent_Done,
     /* 1695183 */   // Label 23195: @1695183
     /* 1695183 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1695269), // Rule ID 7400 //
     /* 1695188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1695205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695234 */     // MIs[0] policy
     /* 1695234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695268 */     // GIR_Coverage, 7400,
     /* 1695268 */     GIR_EraseRootFromParent_Done,
     /* 1695269 */   // Label 23196: @1695269
     /* 1695269 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1695355), // Rule ID 7401 //
     /* 1695274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1695285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1695288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1695291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695320 */     // MIs[0] policy
     /* 1695320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695354 */     // GIR_Coverage, 7401,
     /* 1695354 */     GIR_EraseRootFromParent_Done,
     /* 1695355 */   // Label 23197: @1695355
     /* 1695355 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1695441), // Rule ID 7404 //
     /* 1695360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695406 */     // MIs[0] policy
     /* 1695406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695440 */     // GIR_Coverage, 7404,
     /* 1695440 */     GIR_EraseRootFromParent_Done,
     /* 1695441 */   // Label 23198: @1695441
     /* 1695441 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1695527), // Rule ID 7405 //
     /* 1695446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695492 */     // MIs[0] policy
     /* 1695492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695526 */     // GIR_Coverage, 7405,
     /* 1695526 */     GIR_EraseRootFromParent_Done,
     /* 1695527 */   // Label 23199: @1695527
     /* 1695527 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1695613), // Rule ID 7408 //
     /* 1695532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695578 */     // MIs[0] policy
     /* 1695578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695612 */     // GIR_Coverage, 7408,
     /* 1695612 */     GIR_EraseRootFromParent_Done,
     /* 1695613 */   // Label 23200: @1695613
     /* 1695613 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1695699), // Rule ID 7409 //
     /* 1695618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695664 */     // MIs[0] policy
     /* 1695664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695698 */     // GIR_Coverage, 7409,
     /* 1695698 */     GIR_EraseRootFromParent_Done,
     /* 1695699 */   // Label 23201: @1695699
     /* 1695699 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1695785), // Rule ID 7412 //
     /* 1695704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695750 */     // MIs[0] policy
     /* 1695750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695784 */     // GIR_Coverage, 7412,
     /* 1695784 */     GIR_EraseRootFromParent_Done,
     /* 1695785 */   // Label 23202: @1695785
     /* 1695785 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1695871), // Rule ID 7413 //
     /* 1695790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695836 */     // MIs[0] policy
     /* 1695836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695870 */     // GIR_Coverage, 7413,
     /* 1695870 */     GIR_EraseRootFromParent_Done,
     /* 1695871 */   // Label 23203: @1695871
     /* 1695871 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1695957), // Rule ID 7416 //
     /* 1695876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695922 */     // MIs[0] policy
     /* 1695922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695956 */     // GIR_Coverage, 7416,
     /* 1695956 */     GIR_EraseRootFromParent_Done,
     /* 1695957 */   // Label 23204: @1695957
     /* 1695957 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1696043), // Rule ID 7417 //
     /* 1695962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696008 */     // MIs[0] policy
     /* 1696008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696042 */     // GIR_Coverage, 7417,
     /* 1696042 */     GIR_EraseRootFromParent_Done,
     /* 1696043 */   // Label 23205: @1696043
     /* 1696043 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696129), // Rule ID 7420 //
     /* 1696048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1696065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696094 */     // MIs[0] policy
     /* 1696094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696128 */     // GIR_Coverage, 7420,
     /* 1696128 */     GIR_EraseRootFromParent_Done,
     /* 1696129 */   // Label 23206: @1696129
     /* 1696129 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1696215), // Rule ID 7421 //
     /* 1696134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1696151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696180 */     // MIs[0] policy
     /* 1696180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696214 */     // GIR_Coverage, 7421,
     /* 1696214 */     GIR_EraseRootFromParent_Done,
     /* 1696215 */   // Label 23207: @1696215
     /* 1696215 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1696301), // Rule ID 7424 //
     /* 1696220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1696237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696266 */     // MIs[0] policy
     /* 1696266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696300 */     // GIR_Coverage, 7424,
     /* 1696300 */     GIR_EraseRootFromParent_Done,
     /* 1696301 */   // Label 23208: @1696301
     /* 1696301 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1696387), // Rule ID 7425 //
     /* 1696306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1696317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1696320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1696323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696352 */     // MIs[0] policy
     /* 1696352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696386 */     // GIR_Coverage, 7425,
     /* 1696386 */     GIR_EraseRootFromParent_Done,
     /* 1696387 */   // Label 23209: @1696387
     /* 1696387 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1696473), // Rule ID 7428 //
     /* 1696392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696438 */     // MIs[0] policy
     /* 1696438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696472 */     // GIR_Coverage, 7428,
     /* 1696472 */     GIR_EraseRootFromParent_Done,
     /* 1696473 */   // Label 23210: @1696473
     /* 1696473 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1696559), // Rule ID 7429 //
     /* 1696478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696524 */     // MIs[0] policy
     /* 1696524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696558 */     // GIR_Coverage, 7429,
     /* 1696558 */     GIR_EraseRootFromParent_Done,
     /* 1696559 */   // Label 23211: @1696559
     /* 1696559 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1696645), // Rule ID 7432 //
     /* 1696564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696610 */     // MIs[0] policy
     /* 1696610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696644 */     // GIR_Coverage, 7432,
     /* 1696644 */     GIR_EraseRootFromParent_Done,
     /* 1696645 */   // Label 23212: @1696645
     /* 1696645 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1696731), // Rule ID 7433 //
     /* 1696650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696696 */     // MIs[0] policy
     /* 1696696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696730 */     // GIR_Coverage, 7433,
     /* 1696730 */     GIR_EraseRootFromParent_Done,
     /* 1696731 */   // Label 23213: @1696731
     /* 1696731 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1696817), // Rule ID 7436 //
     /* 1696736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696782 */     // MIs[0] policy
     /* 1696782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696816 */     // GIR_Coverage, 7436,
     /* 1696816 */     GIR_EraseRootFromParent_Done,
     /* 1696817 */   // Label 23214: @1696817
     /* 1696817 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1696903), // Rule ID 7437 //
     /* 1696822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696868 */     // MIs[0] policy
     /* 1696868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696902 */     // GIR_Coverage, 7437,
     /* 1696902 */     GIR_EraseRootFromParent_Done,
     /* 1696903 */   // Label 23215: @1696903
     /* 1696903 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1696989), // Rule ID 7440 //
     /* 1696908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696954 */     // MIs[0] policy
     /* 1696954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696988 */     // GIR_Coverage, 7440,
     /* 1696988 */     GIR_EraseRootFromParent_Done,
     /* 1696989 */   // Label 23216: @1696989
     /* 1696989 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1697075), // Rule ID 7441 //
     /* 1696994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1697011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697040 */     // MIs[0] policy
     /* 1697040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1697053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697074 */     // GIR_Coverage, 7441,
     /* 1697074 */     GIR_EraseRootFromParent_Done,
     /* 1697075 */   // Label 23217: @1697075
     /* 1697075 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697161), // Rule ID 7444 //
     /* 1697080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1697097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697126 */     // MIs[0] policy
     /* 1697126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1697139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697160 */     // GIR_Coverage, 7444,
     /* 1697160 */     GIR_EraseRootFromParent_Done,
     /* 1697161 */   // Label 23218: @1697161
     /* 1697161 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1697247), // Rule ID 7445 //
     /* 1697166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1697183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697212 */     // MIs[0] policy
     /* 1697212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1697225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697246 */     // GIR_Coverage, 7445,
     /* 1697246 */     GIR_EraseRootFromParent_Done,
     /* 1697247 */   // Label 23219: @1697247
     /* 1697247 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1697333), // Rule ID 7508 //
     /* 1697252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1697263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1697266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1697269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1697272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697298 */     // MIs[0] policy
     /* 1697298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1697311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697332 */     // GIR_Coverage, 7508,
     /* 1697332 */     GIR_EraseRootFromParent_Done,
     /* 1697333 */   // Label 23220: @1697333
     /* 1697333 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1697419), // Rule ID 7509 //
     /* 1697338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1697349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1697352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1697355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1697358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697384 */     // MIs[0] policy
     /* 1697384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1697397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697418 */     // GIR_Coverage, 7509,
     /* 1697418 */     GIR_EraseRootFromParent_Done,
     /* 1697419 */   // Label 23221: @1697419
     /* 1697419 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1697505), // Rule ID 7512 //
     /* 1697424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697470 */     // MIs[0] policy
     /* 1697470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697504 */     // GIR_Coverage, 7512,
     /* 1697504 */     GIR_EraseRootFromParent_Done,
     /* 1697505 */   // Label 23222: @1697505
     /* 1697505 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1697591), // Rule ID 7513 //
     /* 1697510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697556 */     // MIs[0] policy
     /* 1697556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697590 */     // GIR_Coverage, 7513,
     /* 1697590 */     GIR_EraseRootFromParent_Done,
     /* 1697591 */   // Label 23223: @1697591
     /* 1697591 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1697677), // Rule ID 7516 //
     /* 1697596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697642 */     // MIs[0] policy
     /* 1697642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697676 */     // GIR_Coverage, 7516,
     /* 1697676 */     GIR_EraseRootFromParent_Done,
     /* 1697677 */   // Label 23224: @1697677
     /* 1697677 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1697763), // Rule ID 7517 //
     /* 1697682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697728 */     // MIs[0] policy
     /* 1697728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697762 */     // GIR_Coverage, 7517,
     /* 1697762 */     GIR_EraseRootFromParent_Done,
     /* 1697763 */   // Label 23225: @1697763
     /* 1697763 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1697849), // Rule ID 7520 //
     /* 1697768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697814 */     // MIs[0] policy
     /* 1697814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697848 */     // GIR_Coverage, 7520,
     /* 1697848 */     GIR_EraseRootFromParent_Done,
     /* 1697849 */   // Label 23226: @1697849
     /* 1697849 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1697935), // Rule ID 7521 //
     /* 1697854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697900 */     // MIs[0] policy
     /* 1697900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697910 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697934 */     // GIR_Coverage, 7521,
     /* 1697934 */     GIR_EraseRootFromParent_Done,
     /* 1697935 */   // Label 23227: @1697935
     /* 1697935 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1698021), // Rule ID 7524 //
     /* 1697940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697986 */     // MIs[0] policy
     /* 1697986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698020 */     // GIR_Coverage, 7524,
     /* 1698020 */     GIR_EraseRootFromParent_Done,
     /* 1698021 */   // Label 23228: @1698021
     /* 1698021 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698107), // Rule ID 7525 //
     /* 1698026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1698037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1698040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1698046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698072 */     // MIs[0] policy
     /* 1698072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698106 */     // GIR_Coverage, 7525,
     /* 1698106 */     GIR_EraseRootFromParent_Done,
     /* 1698107 */   // Label 23229: @1698107
     /* 1698107 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698193), // Rule ID 7528 //
     /* 1698112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1698123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1698126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1698132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698158 */     // MIs[0] policy
     /* 1698158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698192 */     // GIR_Coverage, 7528,
     /* 1698192 */     GIR_EraseRootFromParent_Done,
     /* 1698193 */   // Label 23230: @1698193
     /* 1698193 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1698279), // Rule ID 7529 //
     /* 1698198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1698209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1698212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1698218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698244 */     // MIs[0] policy
     /* 1698244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698254 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698278 */     // GIR_Coverage, 7529,
     /* 1698278 */     GIR_EraseRootFromParent_Done,
     /* 1698279 */   // Label 23231: @1698279
     /* 1698279 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1698365), // Rule ID 7532 //
     /* 1698284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1698295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1698298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1698301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1698304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698330 */     // MIs[0] policy
     /* 1698330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1698343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698364 */     // GIR_Coverage, 7532,
     /* 1698364 */     GIR_EraseRootFromParent_Done,
     /* 1698365 */   // Label 23232: @1698365
     /* 1698365 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1698451), // Rule ID 7533 //
     /* 1698370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1698381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1698384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1698387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1698390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698416 */     // MIs[0] policy
     /* 1698416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1698429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698450 */     // GIR_Coverage, 7533,
     /* 1698450 */     GIR_EraseRootFromParent_Done,
     /* 1698451 */   // Label 23233: @1698451
     /* 1698451 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1698537), // Rule ID 7536 //
     /* 1698456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698502 */     // MIs[0] policy
     /* 1698502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698536 */     // GIR_Coverage, 7536,
     /* 1698536 */     GIR_EraseRootFromParent_Done,
     /* 1698537 */   // Label 23234: @1698537
     /* 1698537 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1698623), // Rule ID 7537 //
     /* 1698542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698588 */     // MIs[0] policy
     /* 1698588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698622 */     // GIR_Coverage, 7537,
     /* 1698622 */     GIR_EraseRootFromParent_Done,
     /* 1698623 */   // Label 23235: @1698623
     /* 1698623 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1698709), // Rule ID 7540 //
     /* 1698628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698674 */     // MIs[0] policy
     /* 1698674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698708 */     // GIR_Coverage, 7540,
     /* 1698708 */     GIR_EraseRootFromParent_Done,
     /* 1698709 */   // Label 23236: @1698709
     /* 1698709 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1698795), // Rule ID 7541 //
     /* 1698714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698760 */     // MIs[0] policy
     /* 1698760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698794 */     // GIR_Coverage, 7541,
     /* 1698794 */     GIR_EraseRootFromParent_Done,
     /* 1698795 */   // Label 23237: @1698795
     /* 1698795 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1698881), // Rule ID 7544 //
     /* 1698800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698846 */     // MIs[0] policy
     /* 1698846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698880 */     // GIR_Coverage, 7544,
     /* 1698880 */     GIR_EraseRootFromParent_Done,
     /* 1698881 */   // Label 23238: @1698881
     /* 1698881 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1698967), // Rule ID 7545 //
     /* 1698886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698932 */     // MIs[0] policy
     /* 1698932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698966 */     // GIR_Coverage, 7545,
     /* 1698966 */     GIR_EraseRootFromParent_Done,
     /* 1698967 */   // Label 23239: @1698967
     /* 1698967 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1699053), // Rule ID 7548 //
     /* 1698972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699018 */     // MIs[0] policy
     /* 1699018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699052 */     // GIR_Coverage, 7548,
     /* 1699052 */     GIR_EraseRootFromParent_Done,
     /* 1699053 */   // Label 23240: @1699053
     /* 1699053 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699139), // Rule ID 7549 //
     /* 1699058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1699069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1699072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1699078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699104 */     // MIs[0] policy
     /* 1699104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699138 */     // GIR_Coverage, 7549,
     /* 1699138 */     GIR_EraseRootFromParent_Done,
     /* 1699139 */   // Label 23241: @1699139
     /* 1699139 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1699225), // Rule ID 7552 //
     /* 1699144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1699155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1699158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1699161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1699164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699190 */     // MIs[0] policy
     /* 1699190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1699203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699224 */     // GIR_Coverage, 7552,
     /* 1699224 */     GIR_EraseRootFromParent_Done,
     /* 1699225 */   // Label 23242: @1699225
     /* 1699225 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1699311), // Rule ID 7553 //
     /* 1699230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1699241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1699244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1699247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1699250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699276 */     // MIs[0] policy
     /* 1699276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1699289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699310 */     // GIR_Coverage, 7553,
     /* 1699310 */     GIR_EraseRootFromParent_Done,
     /* 1699311 */   // Label 23243: @1699311
     /* 1699311 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1699397), // Rule ID 7556 //
     /* 1699316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1699327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1699330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1699336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699362 */     // MIs[0] policy
     /* 1699362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699396 */     // GIR_Coverage, 7556,
     /* 1699396 */     GIR_EraseRootFromParent_Done,
     /* 1699397 */   // Label 23244: @1699397
     /* 1699397 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1699483), // Rule ID 7557 //
     /* 1699402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1699413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1699416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1699422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699448 */     // MIs[0] policy
     /* 1699448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699482 */     // GIR_Coverage, 7557,
     /* 1699482 */     GIR_EraseRootFromParent_Done,
     /* 1699483 */   // Label 23245: @1699483
     /* 1699483 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1699569), // Rule ID 7560 //
     /* 1699488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699534 */     // MIs[0] policy
     /* 1699534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699568 */     // GIR_Coverage, 7560,
     /* 1699568 */     GIR_EraseRootFromParent_Done,
     /* 1699569 */   // Label 23246: @1699569
     /* 1699569 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1699655), // Rule ID 7561 //
     /* 1699574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699620 */     // MIs[0] policy
     /* 1699620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699654 */     // GIR_Coverage, 7561,
     /* 1699654 */     GIR_EraseRootFromParent_Done,
     /* 1699655 */   // Label 23247: @1699655
     /* 1699655 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1699741), // Rule ID 7564 //
     /* 1699660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699706 */     // MIs[0] policy
     /* 1699706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699740 */     // GIR_Coverage, 7564,
     /* 1699740 */     GIR_EraseRootFromParent_Done,
     /* 1699741 */   // Label 23248: @1699741
     /* 1699741 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1699827), // Rule ID 7565 //
     /* 1699746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699792 */     // MIs[0] policy
     /* 1699792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699826 */     // GIR_Coverage, 7565,
     /* 1699826 */     GIR_EraseRootFromParent_Done,
     /* 1699827 */   // Label 23249: @1699827
     /* 1699827 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1699913), // Rule ID 7568 //
     /* 1699832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699878 */     // MIs[0] policy
     /* 1699878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699912 */     // GIR_Coverage, 7568,
     /* 1699912 */     GIR_EraseRootFromParent_Done,
     /* 1699913 */   // Label 23250: @1699913
     /* 1699913 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1699999), // Rule ID 7569 //
     /* 1699918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699964 */     // MIs[0] policy
     /* 1699964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699998 */     // GIR_Coverage, 7569,
     /* 1699998 */     GIR_EraseRootFromParent_Done,
     /* 1699999 */   // Label 23251: @1699999
     /* 1699999 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1700085), // Rule ID 7572 //
     /* 1700004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700050 */     // MIs[0] policy
     /* 1700050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700060 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700084 */     // GIR_Coverage, 7572,
     /* 1700084 */     GIR_EraseRootFromParent_Done,
     /* 1700085 */   // Label 23252: @1700085
     /* 1700085 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700171), // Rule ID 7573 //
     /* 1700090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700136 */     // MIs[0] policy
     /* 1700136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700170 */     // GIR_Coverage, 7573,
     /* 1700170 */     GIR_EraseRootFromParent_Done,
     /* 1700171 */   // Label 23253: @1700171
     /* 1700171 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1700257), // Rule ID 7576 //
     /* 1700176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700222 */     // MIs[0] policy
     /* 1700222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700256 */     // GIR_Coverage, 7576,
     /* 1700256 */     GIR_EraseRootFromParent_Done,
     /* 1700257 */   // Label 23254: @1700257
     /* 1700257 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1700343), // Rule ID 7577 //
     /* 1700262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700308 */     // MIs[0] policy
     /* 1700308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700318 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700342 */     // GIR_Coverage, 7577,
     /* 1700342 */     GIR_EraseRootFromParent_Done,
     /* 1700343 */   // Label 23255: @1700343
     /* 1700343 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1700429), // Rule ID 7580 //
     /* 1700348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700394 */     // MIs[0] policy
     /* 1700394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700428 */     // GIR_Coverage, 7580,
     /* 1700428 */     GIR_EraseRootFromParent_Done,
     /* 1700429 */   // Label 23256: @1700429
     /* 1700429 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1700515), // Rule ID 7581 //
     /* 1700434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700480 */     // MIs[0] policy
     /* 1700480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700514 */     // GIR_Coverage, 7581,
     /* 1700514 */     GIR_EraseRootFromParent_Done,
     /* 1700515 */   // Label 23257: @1700515
     /* 1700515 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1700601), // Rule ID 7584 //
     /* 1700520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700566 */     // MIs[0] policy
     /* 1700566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700600 */     // GIR_Coverage, 7584,
     /* 1700600 */     GIR_EraseRootFromParent_Done,
     /* 1700601 */   // Label 23258: @1700601
     /* 1700601 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1700687), // Rule ID 7585 //
     /* 1700606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700652 */     // MIs[0] policy
     /* 1700652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700686 */     // GIR_Coverage, 7585,
     /* 1700686 */     GIR_EraseRootFromParent_Done,
     /* 1700687 */   // Label 23259: @1700687
     /* 1700687 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1700773), // Rule ID 7588 //
     /* 1700692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700738 */     // MIs[0] policy
     /* 1700738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700772 */     // GIR_Coverage, 7588,
     /* 1700772 */     GIR_EraseRootFromParent_Done,
     /* 1700773 */   // Label 23260: @1700773
     /* 1700773 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1700859), // Rule ID 7589 //
     /* 1700778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700824 */     // MIs[0] policy
     /* 1700824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700858 */     // GIR_Coverage, 7589,
     /* 1700858 */     GIR_EraseRootFromParent_Done,
     /* 1700859 */   // Label 23261: @1700859
     /* 1700859 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1700945), // Rule ID 7592 //
     /* 1700864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700910 */     // MIs[0] policy
     /* 1700910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700944 */     // GIR_Coverage, 7592,
     /* 1700944 */     GIR_EraseRootFromParent_Done,
     /* 1700945 */   // Label 23262: @1700945
     /* 1700945 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1701031), // Rule ID 7593 //
     /* 1700950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700996 */     // MIs[0] policy
     /* 1700996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1701009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701030 */     // GIR_Coverage, 7593,
     /* 1701030 */     GIR_EraseRootFromParent_Done,
     /* 1701031 */   // Label 23263: @1701031
     /* 1701031 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701117), // Rule ID 7596 //
     /* 1701036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701082 */     // MIs[0] policy
     /* 1701082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701116 */     // GIR_Coverage, 7596,
     /* 1701116 */     GIR_EraseRootFromParent_Done,
     /* 1701117 */   // Label 23264: @1701117
     /* 1701117 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701203), // Rule ID 7597 //
     /* 1701122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701168 */     // MIs[0] policy
     /* 1701168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701202 */     // GIR_Coverage, 7597,
     /* 1701202 */     GIR_EraseRootFromParent_Done,
     /* 1701203 */   // Label 23265: @1701203
     /* 1701203 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1701289), // Rule ID 7600 //
     /* 1701208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1701225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701254 */     // MIs[0] policy
     /* 1701254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701288 */     // GIR_Coverage, 7600,
     /* 1701288 */     GIR_EraseRootFromParent_Done,
     /* 1701289 */   // Label 23266: @1701289
     /* 1701289 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1701375), // Rule ID 7601 //
     /* 1701294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1701311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701340 */     // MIs[0] policy
     /* 1701340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701374 */     // GIR_Coverage, 7601,
     /* 1701374 */     GIR_EraseRootFromParent_Done,
     /* 1701375 */   // Label 23267: @1701375
     /* 1701375 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1701461), // Rule ID 7604 //
     /* 1701380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701426 */     // MIs[0] policy
     /* 1701426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701460 */     // GIR_Coverage, 7604,
     /* 1701460 */     GIR_EraseRootFromParent_Done,
     /* 1701461 */   // Label 23268: @1701461
     /* 1701461 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1701547), // Rule ID 7605 //
     /* 1701466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701512 */     // MIs[0] policy
     /* 1701512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701546 */     // GIR_Coverage, 7605,
     /* 1701546 */     GIR_EraseRootFromParent_Done,
     /* 1701547 */   // Label 23269: @1701547
     /* 1701547 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1701633), // Rule ID 7608 //
     /* 1701552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701598 */     // MIs[0] policy
     /* 1701598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701632 */     // GIR_Coverage, 7608,
     /* 1701632 */     GIR_EraseRootFromParent_Done,
     /* 1701633 */   // Label 23270: @1701633
     /* 1701633 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1701719), // Rule ID 7609 //
     /* 1701638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701684 */     // MIs[0] policy
     /* 1701684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701718 */     // GIR_Coverage, 7609,
     /* 1701718 */     GIR_EraseRootFromParent_Done,
     /* 1701719 */   // Label 23271: @1701719
     /* 1701719 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1701805), // Rule ID 7612 //
     /* 1701724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701770 */     // MIs[0] policy
     /* 1701770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701804 */     // GIR_Coverage, 7612,
     /* 1701804 */     GIR_EraseRootFromParent_Done,
     /* 1701805 */   // Label 23272: @1701805
     /* 1701805 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1701891), // Rule ID 7613 //
     /* 1701810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701856 */     // MIs[0] policy
     /* 1701856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701890 */     // GIR_Coverage, 7613,
     /* 1701890 */     GIR_EraseRootFromParent_Done,
     /* 1701891 */   // Label 23273: @1701891
     /* 1701891 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1701977), // Rule ID 7616 //
     /* 1701896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701942 */     // MIs[0] policy
     /* 1701942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701976 */     // GIR_Coverage, 7616,
     /* 1701976 */     GIR_EraseRootFromParent_Done,
     /* 1701977 */   // Label 23274: @1701977
     /* 1701977 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1702063), // Rule ID 7617 //
     /* 1701982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702028 */     // MIs[0] policy
     /* 1702028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1702041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702062 */     // GIR_Coverage, 7617,
     /* 1702062 */     GIR_EraseRootFromParent_Done,
     /* 1702063 */   // Label 23275: @1702063
     /* 1702063 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702149), // Rule ID 7620 //
     /* 1702068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702114 */     // MIs[0] policy
     /* 1702114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1702127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702148 */     // GIR_Coverage, 7620,
     /* 1702148 */     GIR_EraseRootFromParent_Done,
     /* 1702149 */   // Label 23276: @1702149
     /* 1702149 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1702235), // Rule ID 7621 //
     /* 1702154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702200 */     // MIs[0] policy
     /* 1702200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1702213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702234 */     // GIR_Coverage, 7621,
     /* 1702234 */     GIR_EraseRootFromParent_Done,
     /* 1702235 */   // Label 23277: @1702235
     /* 1702235 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1702321), // Rule ID 7624 //
     /* 1702240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702286 */     // MIs[0] policy
     /* 1702286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1702299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702320 */     // GIR_Coverage, 7624,
     /* 1702320 */     GIR_EraseRootFromParent_Done,
     /* 1702321 */   // Label 23278: @1702321
     /* 1702321 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1702407), // Rule ID 7625 //
     /* 1702326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702372 */     // MIs[0] policy
     /* 1702372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1702385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702406 */     // GIR_Coverage, 7625,
     /* 1702406 */     GIR_EraseRootFromParent_Done,
     /* 1702407 */   // Label 23279: @1702407
     /* 1702407 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1702493), // Rule ID 10140 //
     /* 1702412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702458 */     // MIs[0] policy
     /* 1702458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702492 */     // GIR_Coverage, 10140,
     /* 1702492 */     GIR_EraseRootFromParent_Done,
     /* 1702493 */   // Label 23280: @1702493
     /* 1702493 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1702579), // Rule ID 10141 //
     /* 1702498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702544 */     // MIs[0] policy
     /* 1702544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702578 */     // GIR_Coverage, 10141,
     /* 1702578 */     GIR_EraseRootFromParent_Done,
     /* 1702579 */   // Label 23281: @1702579
     /* 1702579 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1702665), // Rule ID 10144 //
     /* 1702584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702630 */     // MIs[0] policy
     /* 1702630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702664 */     // GIR_Coverage, 10144,
     /* 1702664 */     GIR_EraseRootFromParent_Done,
     /* 1702665 */   // Label 23282: @1702665
     /* 1702665 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1702751), // Rule ID 10145 //
     /* 1702670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702716 */     // MIs[0] policy
     /* 1702716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702750 */     // GIR_Coverage, 10145,
     /* 1702750 */     GIR_EraseRootFromParent_Done,
     /* 1702751 */   // Label 23283: @1702751
     /* 1702751 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1702837), // Rule ID 10148 //
     /* 1702756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702802 */     // MIs[0] policy
     /* 1702802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702836 */     // GIR_Coverage, 10148,
     /* 1702836 */     GIR_EraseRootFromParent_Done,
     /* 1702837 */   // Label 23284: @1702837
     /* 1702837 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1702923), // Rule ID 10149 //
     /* 1702842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702888 */     // MIs[0] policy
     /* 1702888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702922 */     // GIR_Coverage, 10149,
     /* 1702922 */     GIR_EraseRootFromParent_Done,
     /* 1702923 */   // Label 23285: @1702923
     /* 1702923 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1703009), // Rule ID 10152 //
     /* 1702928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702974 */     // MIs[0] policy
     /* 1702974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703008 */     // GIR_Coverage, 10152,
     /* 1703008 */     GIR_EraseRootFromParent_Done,
     /* 1703009 */   // Label 23286: @1703009
     /* 1703009 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703095), // Rule ID 10153 //
     /* 1703014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1703025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1703028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1703034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703060 */     // MIs[0] policy
     /* 1703060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1703073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703094 */     // GIR_Coverage, 10153,
     /* 1703094 */     GIR_EraseRootFromParent_Done,
     /* 1703095 */   // Label 23287: @1703095
     /* 1703095 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703181), // Rule ID 10156 //
     /* 1703100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1703120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703146 */     // MIs[0] policy
     /* 1703146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703180 */     // GIR_Coverage, 10156,
     /* 1703180 */     GIR_EraseRootFromParent_Done,
     /* 1703181 */   // Label 23288: @1703181
     /* 1703181 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1703267), // Rule ID 10157 //
     /* 1703186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1703206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703232 */     // MIs[0] policy
     /* 1703232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703266 */     // GIR_Coverage, 10157,
     /* 1703266 */     GIR_EraseRootFromParent_Done,
     /* 1703267 */   // Label 23289: @1703267
     /* 1703267 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1703353), // Rule ID 10160 //
     /* 1703272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1703289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703318 */     // MIs[0] policy
     /* 1703318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703352 */     // GIR_Coverage, 10160,
     /* 1703352 */     GIR_EraseRootFromParent_Done,
     /* 1703353 */   // Label 23290: @1703353
     /* 1703353 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1703439), // Rule ID 10161 //
     /* 1703358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1703375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703404 */     // MIs[0] policy
     /* 1703404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1703417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703438 */     // GIR_Coverage, 10161,
     /* 1703438 */     GIR_EraseRootFromParent_Done,
     /* 1703439 */   // Label 23291: @1703439
     /* 1703439 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1703525), // Rule ID 10164 //
     /* 1703444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703490 */     // MIs[0] policy
     /* 1703490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703524 */     // GIR_Coverage, 10164,
     /* 1703524 */     GIR_EraseRootFromParent_Done,
     /* 1703525 */   // Label 23292: @1703525
     /* 1703525 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1703611), // Rule ID 10165 //
     /* 1703530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703576 */     // MIs[0] policy
     /* 1703576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703610 */     // GIR_Coverage, 10165,
     /* 1703610 */     GIR_EraseRootFromParent_Done,
     /* 1703611 */   // Label 23293: @1703611
     /* 1703611 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1703697), // Rule ID 10168 //
     /* 1703616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703662 */     // MIs[0] policy
     /* 1703662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703696 */     // GIR_Coverage, 10168,
     /* 1703696 */     GIR_EraseRootFromParent_Done,
     /* 1703697 */   // Label 23294: @1703697
     /* 1703697 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1703783), // Rule ID 10169 //
     /* 1703702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703748 */     // MIs[0] policy
     /* 1703748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703782 */     // GIR_Coverage, 10169,
     /* 1703782 */     GIR_EraseRootFromParent_Done,
     /* 1703783 */   // Label 23295: @1703783
     /* 1703783 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1703869), // Rule ID 10172 //
     /* 1703788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703834 */     // MIs[0] policy
     /* 1703834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703868 */     // GIR_Coverage, 10172,
     /* 1703868 */     GIR_EraseRootFromParent_Done,
     /* 1703869 */   // Label 23296: @1703869
     /* 1703869 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1703955), // Rule ID 10173 //
     /* 1703874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703920 */     // MIs[0] policy
     /* 1703920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703954 */     // GIR_Coverage, 10173,
     /* 1703954 */     GIR_EraseRootFromParent_Done,
     /* 1703955 */   // Label 23297: @1703955
     /* 1703955 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1704041), // Rule ID 10176 //
     /* 1703960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704006 */     // MIs[0] policy
     /* 1704006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1704019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704040 */     // GIR_Coverage, 10176,
     /* 1704040 */     GIR_EraseRootFromParent_Done,
     /* 1704041 */   // Label 23298: @1704041
     /* 1704041 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704127), // Rule ID 10177 //
     /* 1704046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1704057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1704060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1704063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1704066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704092 */     // MIs[0] policy
     /* 1704092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1704105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704126 */     // GIR_Coverage, 10177,
     /* 1704126 */     GIR_EraseRootFromParent_Done,
     /* 1704127 */   // Label 23299: @1704127
     /* 1704127 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1704213), // Rule ID 10180 //
     /* 1704132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1704149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704178 */     // MIs[0] policy
     /* 1704178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704212 */     // GIR_Coverage, 10180,
     /* 1704212 */     GIR_EraseRootFromParent_Done,
     /* 1704213 */   // Label 23300: @1704213
     /* 1704213 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1704299), // Rule ID 10181 //
     /* 1704218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1704235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704264 */     // MIs[0] policy
     /* 1704264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704298 */     // GIR_Coverage, 10181,
     /* 1704298 */     GIR_EraseRootFromParent_Done,
     /* 1704299 */   // Label 23301: @1704299
     /* 1704299 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1704385), // Rule ID 10184 //
     /* 1704304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1704321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704350 */     // MIs[0] policy
     /* 1704350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704384 */     // GIR_Coverage, 10184,
     /* 1704384 */     GIR_EraseRootFromParent_Done,
     /* 1704385 */   // Label 23302: @1704385
     /* 1704385 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1704471), // Rule ID 10185 //
     /* 1704390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1704407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704436 */     // MIs[0] policy
     /* 1704436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704470 */     // GIR_Coverage, 10185,
     /* 1704470 */     GIR_EraseRootFromParent_Done,
     /* 1704471 */   // Label 23303: @1704471
     /* 1704471 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1704557), // Rule ID 10188 //
     /* 1704476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704522 */     // MIs[0] policy
     /* 1704522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704556 */     // GIR_Coverage, 10188,
     /* 1704556 */     GIR_EraseRootFromParent_Done,
     /* 1704557 */   // Label 23304: @1704557
     /* 1704557 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1704643), // Rule ID 10189 //
     /* 1704562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704608 */     // MIs[0] policy
     /* 1704608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704618 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704642 */     // GIR_Coverage, 10189,
     /* 1704642 */     GIR_EraseRootFromParent_Done,
     /* 1704643 */   // Label 23305: @1704643
     /* 1704643 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1704729), // Rule ID 10192 //
     /* 1704648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704694 */     // MIs[0] policy
     /* 1704694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704728 */     // GIR_Coverage, 10192,
     /* 1704728 */     GIR_EraseRootFromParent_Done,
     /* 1704729 */   // Label 23306: @1704729
     /* 1704729 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1704815), // Rule ID 10193 //
     /* 1704734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704780 */     // MIs[0] policy
     /* 1704780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704814 */     // GIR_Coverage, 10193,
     /* 1704814 */     GIR_EraseRootFromParent_Done,
     /* 1704815 */   // Label 23307: @1704815
     /* 1704815 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1704901), // Rule ID 10196 //
     /* 1704820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704866 */     // MIs[0] policy
     /* 1704866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704900 */     // GIR_Coverage, 10196,
     /* 1704900 */     GIR_EraseRootFromParent_Done,
     /* 1704901 */   // Label 23308: @1704901
     /* 1704901 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1704987), // Rule ID 10197 //
     /* 1704906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704952 */     // MIs[0] policy
     /* 1704952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704986 */     // GIR_Coverage, 10197,
     /* 1704986 */     GIR_EraseRootFromParent_Done,
     /* 1704987 */   // Label 23309: @1704987
     /* 1704987 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1705073), // Rule ID 10200 //
     /* 1704992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1705003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1705006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1705012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705038 */     // MIs[0] policy
     /* 1705038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705072 */     // GIR_Coverage, 10200,
     /* 1705072 */     GIR_EraseRootFromParent_Done,
     /* 1705073 */   // Label 23310: @1705073
     /* 1705073 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705159), // Rule ID 10201 //
     /* 1705078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1705089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1705092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1705098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705124 */     // MIs[0] policy
     /* 1705124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705158 */     // GIR_Coverage, 10201,
     /* 1705158 */     GIR_EraseRootFromParent_Done,
     /* 1705159 */   // Label 23311: @1705159
     /* 1705159 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1705245), // Rule ID 10204 //
     /* 1705164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705210 */     // MIs[0] policy
     /* 1705210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705244 */     // GIR_Coverage, 10204,
     /* 1705244 */     GIR_EraseRootFromParent_Done,
     /* 1705245 */   // Label 23312: @1705245
     /* 1705245 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1705331), // Rule ID 10205 //
     /* 1705250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705296 */     // MIs[0] policy
     /* 1705296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705330 */     // GIR_Coverage, 10205,
     /* 1705330 */     GIR_EraseRootFromParent_Done,
     /* 1705331 */   // Label 23313: @1705331
     /* 1705331 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1705417), // Rule ID 10208 //
     /* 1705336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705382 */     // MIs[0] policy
     /* 1705382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705416 */     // GIR_Coverage, 10208,
     /* 1705416 */     GIR_EraseRootFromParent_Done,
     /* 1705417 */   // Label 23314: @1705417
     /* 1705417 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1705503), // Rule ID 10209 //
     /* 1705422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705468 */     // MIs[0] policy
     /* 1705468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705502 */     // GIR_Coverage, 10209,
     /* 1705502 */     GIR_EraseRootFromParent_Done,
     /* 1705503 */   // Label 23315: @1705503
     /* 1705503 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1705589), // Rule ID 10212 //
     /* 1705508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705554 */     // MIs[0] policy
     /* 1705554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705588 */     // GIR_Coverage, 10212,
     /* 1705588 */     GIR_EraseRootFromParent_Done,
     /* 1705589 */   // Label 23316: @1705589
     /* 1705589 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1705675), // Rule ID 10213 //
     /* 1705594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705640 */     // MIs[0] policy
     /* 1705640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705674 */     // GIR_Coverage, 10213,
     /* 1705674 */     GIR_EraseRootFromParent_Done,
     /* 1705675 */   // Label 23317: @1705675
     /* 1705675 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1705761), // Rule ID 10216 //
     /* 1705680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705726 */     // MIs[0] policy
     /* 1705726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705760 */     // GIR_Coverage, 10216,
     /* 1705760 */     GIR_EraseRootFromParent_Done,
     /* 1705761 */   // Label 23318: @1705761
     /* 1705761 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1705847), // Rule ID 10217 //
     /* 1705766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705812 */     // MIs[0] policy
     /* 1705812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705846 */     // GIR_Coverage, 10217,
     /* 1705846 */     GIR_EraseRootFromParent_Done,
     /* 1705847 */   // Label 23319: @1705847
     /* 1705847 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1705933), // Rule ID 10220 //
     /* 1705852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705898 */     // MIs[0] policy
     /* 1705898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705932 */     // GIR_Coverage, 10220,
     /* 1705932 */     GIR_EraseRootFromParent_Done,
     /* 1705933 */   // Label 23320: @1705933
     /* 1705933 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1706019), // Rule ID 10221 //
     /* 1705938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705984 */     // MIs[0] policy
     /* 1705984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706018 */     // GIR_Coverage, 10221,
     /* 1706018 */     GIR_EraseRootFromParent_Done,
     /* 1706019 */   // Label 23321: @1706019
     /* 1706019 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706105), // Rule ID 10224 //
     /* 1706024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1706027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1706035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1706038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1706044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706070 */     // MIs[0] policy
     /* 1706070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1706083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706104 */     // GIR_Coverage, 10224,
     /* 1706104 */     GIR_EraseRootFromParent_Done,
     /* 1706105 */   // Label 23322: @1706105
     /* 1706105 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706191), // Rule ID 10225 //
     /* 1706110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1706113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1706121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1706124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1706130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706156 */     // MIs[0] policy
     /* 1706156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1706169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706190 */     // GIR_Coverage, 10225,
     /* 1706190 */     GIR_EraseRootFromParent_Done,
     /* 1706191 */   // Label 23323: @1706191
     /* 1706191 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1706277), // Rule ID 10228 //
     /* 1706196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706242 */     // MIs[0] policy
     /* 1706242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1706255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706276 */     // GIR_Coverage, 10228,
     /* 1706276 */     GIR_EraseRootFromParent_Done,
     /* 1706277 */   // Label 23324: @1706277
     /* 1706277 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1706363), // Rule ID 10229 //
     /* 1706282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706328 */     // MIs[0] policy
     /* 1706328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1706341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706362 */     // GIR_Coverage, 10229,
     /* 1706362 */     GIR_EraseRootFromParent_Done,
     /* 1706363 */   // Label 23325: @1706363
     /* 1706363 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1706449), // Rule ID 10232 //
     /* 1706368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706414 */     // MIs[0] policy
     /* 1706414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706448 */     // GIR_Coverage, 10232,
     /* 1706448 */     GIR_EraseRootFromParent_Done,
     /* 1706449 */   // Label 23326: @1706449
     /* 1706449 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1706535), // Rule ID 10233 //
     /* 1706454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706500 */     // MIs[0] policy
     /* 1706500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706534 */     // GIR_Coverage, 10233,
     /* 1706534 */     GIR_EraseRootFromParent_Done,
     /* 1706535 */   // Label 23327: @1706535
     /* 1706535 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1706621), // Rule ID 10236 //
     /* 1706540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706586 */     // MIs[0] policy
     /* 1706586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706620 */     // GIR_Coverage, 10236,
     /* 1706620 */     GIR_EraseRootFromParent_Done,
     /* 1706621 */   // Label 23328: @1706621
     /* 1706621 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1706707), // Rule ID 10237 //
     /* 1706626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706672 */     // MIs[0] policy
     /* 1706672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706706 */     // GIR_Coverage, 10237,
     /* 1706706 */     GIR_EraseRootFromParent_Done,
     /* 1706707 */   // Label 23329: @1706707
     /* 1706707 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1706793), // Rule ID 10240 //
     /* 1706712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706758 */     // MIs[0] policy
     /* 1706758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706792 */     // GIR_Coverage, 10240,
     /* 1706792 */     GIR_EraseRootFromParent_Done,
     /* 1706793 */   // Label 23330: @1706793
     /* 1706793 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1706879), // Rule ID 10241 //
     /* 1706798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706844 */     // MIs[0] policy
     /* 1706844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706878 */     // GIR_Coverage, 10241,
     /* 1706878 */     GIR_EraseRootFromParent_Done,
     /* 1706879 */   // Label 23331: @1706879
     /* 1706879 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1706965), // Rule ID 10244 //
     /* 1706884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706930 */     // MIs[0] policy
     /* 1706930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706964 */     // GIR_Coverage, 10244,
     /* 1706964 */     GIR_EraseRootFromParent_Done,
     /* 1706965 */   // Label 23332: @1706965
     /* 1706965 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1707051), // Rule ID 10245 //
     /* 1706970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707016 */     // MIs[0] policy
     /* 1707016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707050 */     // GIR_Coverage, 10245,
     /* 1707050 */     GIR_EraseRootFromParent_Done,
     /* 1707051 */   // Label 23333: @1707051
     /* 1707051 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707137), // Rule ID 10248 //
     /* 1707056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707102 */     // MIs[0] policy
     /* 1707102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707136 */     // GIR_Coverage, 10248,
     /* 1707136 */     GIR_EraseRootFromParent_Done,
     /* 1707137 */   // Label 23334: @1707137
     /* 1707137 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1707223), // Rule ID 10249 //
     /* 1707142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707188 */     // MIs[0] policy
     /* 1707188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1707201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707222 */     // GIR_Coverage, 10249,
     /* 1707222 */     GIR_EraseRootFromParent_Done,
     /* 1707223 */   // Label 23335: @1707223
     /* 1707223 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1707309), // Rule ID 10252 //
     /* 1707228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707274 */     // MIs[0] policy
     /* 1707274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707308 */     // GIR_Coverage, 10252,
     /* 1707308 */     GIR_EraseRootFromParent_Done,
     /* 1707309 */   // Label 23336: @1707309
     /* 1707309 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1707395), // Rule ID 10253 //
     /* 1707314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707360 */     // MIs[0] policy
     /* 1707360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707394 */     // GIR_Coverage, 10253,
     /* 1707394 */     GIR_EraseRootFromParent_Done,
     /* 1707395 */   // Label 23337: @1707395
     /* 1707395 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1707481), // Rule ID 10256 //
     /* 1707400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707446 */     // MIs[0] policy
     /* 1707446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707480 */     // GIR_Coverage, 10256,
     /* 1707480 */     GIR_EraseRootFromParent_Done,
     /* 1707481 */   // Label 23338: @1707481
     /* 1707481 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1707567), // Rule ID 10257 //
     /* 1707486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707532 */     // MIs[0] policy
     /* 1707532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707566 */     // GIR_Coverage, 10257,
     /* 1707566 */     GIR_EraseRootFromParent_Done,
     /* 1707567 */   // Label 23339: @1707567
     /* 1707567 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1707653), // Rule ID 10260 //
     /* 1707572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707618 */     // MIs[0] policy
     /* 1707618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707652 */     // GIR_Coverage, 10260,
     /* 1707652 */     GIR_EraseRootFromParent_Done,
     /* 1707653 */   // Label 23340: @1707653
     /* 1707653 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1707739), // Rule ID 10261 //
     /* 1707658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707704 */     // MIs[0] policy
     /* 1707704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707738 */     // GIR_Coverage, 10261,
     /* 1707738 */     GIR_EraseRootFromParent_Done,
     /* 1707739 */   // Label 23341: @1707739
     /* 1707739 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1707825), // Rule ID 10264 //
     /* 1707744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707790 */     // MIs[0] policy
     /* 1707790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707824 */     // GIR_Coverage, 10264,
     /* 1707824 */     GIR_EraseRootFromParent_Done,
     /* 1707825 */   // Label 23342: @1707825
     /* 1707825 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1707911), // Rule ID 10265 //
     /* 1707830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707876 */     // MIs[0] policy
     /* 1707876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707910 */     // GIR_Coverage, 10265,
     /* 1707910 */     GIR_EraseRootFromParent_Done,
     /* 1707911 */   // Label 23343: @1707911
     /* 1707911 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1707997), // Rule ID 10268 //
     /* 1707916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707962 */     // MIs[0] policy
     /* 1707962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707996 */     // GIR_Coverage, 10268,
     /* 1707996 */     GIR_EraseRootFromParent_Done,
     /* 1707997 */   // Label 23344: @1707997
     /* 1707997 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1708083), // Rule ID 10269 //
     /* 1708002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708048 */     // MIs[0] policy
     /* 1708048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708082 */     // GIR_Coverage, 10269,
     /* 1708082 */     GIR_EraseRootFromParent_Done,
     /* 1708083 */   // Label 23345: @1708083
     /* 1708083 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708169), // Rule ID 10272 //
     /* 1708088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708134 */     // MIs[0] policy
     /* 1708134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708168 */     // GIR_Coverage, 10272,
     /* 1708168 */     GIR_EraseRootFromParent_Done,
     /* 1708169 */   // Label 23346: @1708169
     /* 1708169 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1708255), // Rule ID 10273 //
     /* 1708174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708220 */     // MIs[0] policy
     /* 1708220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708254 */     // GIR_Coverage, 10273,
     /* 1708254 */     GIR_EraseRootFromParent_Done,
     /* 1708255 */   // Label 23347: @1708255
     /* 1708255 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1708341), // Rule ID 10276 //
     /* 1708260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708306 */     // MIs[0] policy
     /* 1708306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708340 */     // GIR_Coverage, 10276,
     /* 1708340 */     GIR_EraseRootFromParent_Done,
     /* 1708341 */   // Label 23348: @1708341
     /* 1708341 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1708427), // Rule ID 10277 //
     /* 1708346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708392 */     // MIs[0] policy
     /* 1708392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708426 */     // GIR_Coverage, 10277,
     /* 1708426 */     GIR_EraseRootFromParent_Done,
     /* 1708427 */   // Label 23349: @1708427
     /* 1708427 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1708513), // Rule ID 10280 //
     /* 1708432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708478 */     // MIs[0] policy
     /* 1708478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708512 */     // GIR_Coverage, 10280,
     /* 1708512 */     GIR_EraseRootFromParent_Done,
     /* 1708513 */   // Label 23350: @1708513
     /* 1708513 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1708599), // Rule ID 10281 //
     /* 1708518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708564 */     // MIs[0] policy
     /* 1708564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708598 */     // GIR_Coverage, 10281,
     /* 1708598 */     GIR_EraseRootFromParent_Done,
     /* 1708599 */   // Label 23351: @1708599
     /* 1708599 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1708685), // Rule ID 10284 //
     /* 1708604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708650 */     // MIs[0] policy
     /* 1708650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708684 */     // GIR_Coverage, 10284,
     /* 1708684 */     GIR_EraseRootFromParent_Done,
     /* 1708685 */   // Label 23352: @1708685
     /* 1708685 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1708771), // Rule ID 10285 //
     /* 1708690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708736 */     // MIs[0] policy
     /* 1708736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708770 */     // GIR_Coverage, 10285,
     /* 1708770 */     GIR_EraseRootFromParent_Done,
     /* 1708771 */   // Label 23353: @1708771
     /* 1708771 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1708857), // Rule ID 10288 //
     /* 1708776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708822 */     // MIs[0] policy
     /* 1708822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708856 */     // GIR_Coverage, 10288,
     /* 1708856 */     GIR_EraseRootFromParent_Done,
     /* 1708857 */   // Label 23354: @1708857
     /* 1708857 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1708943), // Rule ID 10289 //
     /* 1708862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708908 */     // MIs[0] policy
     /* 1708908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708942 */     // GIR_Coverage, 10289,
     /* 1708942 */     GIR_EraseRootFromParent_Done,
     /* 1708943 */   // Label 23355: @1708943
     /* 1708943 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1709029), // Rule ID 10292 //
     /* 1708948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708994 */     // MIs[0] policy
     /* 1708994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709028 */     // GIR_Coverage, 10292,
     /* 1709028 */     GIR_EraseRootFromParent_Done,
     /* 1709029 */   // Label 23356: @1709029
     /* 1709029 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709115), // Rule ID 10293 //
     /* 1709034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709080 */     // MIs[0] policy
     /* 1709080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709114 */     // GIR_Coverage, 10293,
     /* 1709114 */     GIR_EraseRootFromParent_Done,
     /* 1709115 */   // Label 23357: @1709115
     /* 1709115 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709201), // Rule ID 10296 //
     /* 1709120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709166 */     // MIs[0] policy
     /* 1709166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709200 */     // GIR_Coverage, 10296,
     /* 1709200 */     GIR_EraseRootFromParent_Done,
     /* 1709201 */   // Label 23358: @1709201
     /* 1709201 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1709287), // Rule ID 10297 //
     /* 1709206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709252 */     // MIs[0] policy
     /* 1709252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709286 */     // GIR_Coverage, 10297,
     /* 1709286 */     GIR_EraseRootFromParent_Done,
     /* 1709287 */   // Label 23359: @1709287
     /* 1709287 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1709373), // Rule ID 10300 //
     /* 1709292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709338 */     // MIs[0] policy
     /* 1709338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709372 */     // GIR_Coverage, 10300,
     /* 1709372 */     GIR_EraseRootFromParent_Done,
     /* 1709373 */   // Label 23360: @1709373
     /* 1709373 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1709459), // Rule ID 10301 //
     /* 1709378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709424 */     // MIs[0] policy
     /* 1709424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709458 */     // GIR_Coverage, 10301,
     /* 1709458 */     GIR_EraseRootFromParent_Done,
     /* 1709459 */   // Label 23361: @1709459
     /* 1709459 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1709545), // Rule ID 10304 //
     /* 1709464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709510 */     // MIs[0] policy
     /* 1709510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709544 */     // GIR_Coverage, 10304,
     /* 1709544 */     GIR_EraseRootFromParent_Done,
     /* 1709545 */   // Label 23362: @1709545
     /* 1709545 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1709631), // Rule ID 10305 //
     /* 1709550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709596 */     // MIs[0] policy
     /* 1709596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709630 */     // GIR_Coverage, 10305,
     /* 1709630 */     GIR_EraseRootFromParent_Done,
     /* 1709631 */   // Label 23363: @1709631
     /* 1709631 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1709717), // Rule ID 10308 //
     /* 1709636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709682 */     // MIs[0] policy
     /* 1709682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709716 */     // GIR_Coverage, 10308,
     /* 1709716 */     GIR_EraseRootFromParent_Done,
     /* 1709717 */   // Label 23364: @1709717
     /* 1709717 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1709803), // Rule ID 10309 //
     /* 1709722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709768 */     // MIs[0] policy
     /* 1709768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709802 */     // GIR_Coverage, 10309,
     /* 1709802 */     GIR_EraseRootFromParent_Done,
     /* 1709803 */   // Label 23365: @1709803
     /* 1709803 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1709889), // Rule ID 10312 //
     /* 1709808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709854 */     // MIs[0] policy
     /* 1709854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709888 */     // GIR_Coverage, 10312,
     /* 1709888 */     GIR_EraseRootFromParent_Done,
     /* 1709889 */   // Label 23366: @1709889
     /* 1709889 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1709975), // Rule ID 10313 //
     /* 1709894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709940 */     // MIs[0] policy
     /* 1709940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709974 */     // GIR_Coverage, 10313,
     /* 1709974 */     GIR_EraseRootFromParent_Done,
     /* 1709975 */   // Label 23367: @1709975
     /* 1709975 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1710061), // Rule ID 10316 //
     /* 1709980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710026 */     // MIs[0] policy
     /* 1710026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1710039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710060 */     // GIR_Coverage, 10316,
     /* 1710060 */     GIR_EraseRootFromParent_Done,
     /* 1710061 */   // Label 23368: @1710061
     /* 1710061 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710147), // Rule ID 10317 //
     /* 1710066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1710083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710112 */     // MIs[0] policy
     /* 1710112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1710125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710146 */     // GIR_Coverage, 10317,
     /* 1710146 */     GIR_EraseRootFromParent_Done,
     /* 1710147 */   // Label 23369: @1710147
     /* 1710147 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1710233), // Rule ID 10320 //
     /* 1710152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710198 */     // MIs[0] policy
     /* 1710198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710232 */     // GIR_Coverage, 10320,
     /* 1710232 */     GIR_EraseRootFromParent_Done,
     /* 1710233 */   // Label 23370: @1710233
     /* 1710233 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1710319), // Rule ID 10321 //
     /* 1710238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710284 */     // MIs[0] policy
     /* 1710284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710318 */     // GIR_Coverage, 10321,
     /* 1710318 */     GIR_EraseRootFromParent_Done,
     /* 1710319 */   // Label 23371: @1710319
     /* 1710319 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1710405), // Rule ID 10324 //
     /* 1710324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710370 */     // MIs[0] policy
     /* 1710370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710380 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710404 */     // GIR_Coverage, 10324,
     /* 1710404 */     GIR_EraseRootFromParent_Done,
     /* 1710405 */   // Label 23372: @1710405
     /* 1710405 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1710491), // Rule ID 10325 //
     /* 1710410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710456 */     // MIs[0] policy
     /* 1710456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710490 */     // GIR_Coverage, 10325,
     /* 1710490 */     GIR_EraseRootFromParent_Done,
     /* 1710491 */   // Label 23373: @1710491
     /* 1710491 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1710577), // Rule ID 10328 //
     /* 1710496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710542 */     // MIs[0] policy
     /* 1710542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710576 */     // GIR_Coverage, 10328,
     /* 1710576 */     GIR_EraseRootFromParent_Done,
     /* 1710577 */   // Label 23374: @1710577
     /* 1710577 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1710663), // Rule ID 10329 //
     /* 1710582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710628 */     // MIs[0] policy
     /* 1710628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710662 */     // GIR_Coverage, 10329,
     /* 1710662 */     GIR_EraseRootFromParent_Done,
     /* 1710663 */   // Label 23375: @1710663
     /* 1710663 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1710749), // Rule ID 10332 //
     /* 1710668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710714 */     // MIs[0] policy
     /* 1710714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710748 */     // GIR_Coverage, 10332,
     /* 1710748 */     GIR_EraseRootFromParent_Done,
     /* 1710749 */   // Label 23376: @1710749
     /* 1710749 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1710835), // Rule ID 10333 //
     /* 1710754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710800 */     // MIs[0] policy
     /* 1710800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710834 */     // GIR_Coverage, 10333,
     /* 1710834 */     GIR_EraseRootFromParent_Done,
     /* 1710835 */   // Label 23377: @1710835
     /* 1710835 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1710921), // Rule ID 10336 //
     /* 1710840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710886 */     // MIs[0] policy
     /* 1710886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710920 */     // GIR_Coverage, 10336,
     /* 1710920 */     GIR_EraseRootFromParent_Done,
     /* 1710921 */   // Label 23378: @1710921
     /* 1710921 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1711007), // Rule ID 10337 //
     /* 1710926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710972 */     // MIs[0] policy
     /* 1710972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711006 */     // GIR_Coverage, 10337,
     /* 1711006 */     GIR_EraseRootFromParent_Done,
     /* 1711007 */   // Label 23379: @1711007
     /* 1711007 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711093), // Rule ID 10340 //
     /* 1711012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711058 */     // MIs[0] policy
     /* 1711058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711092 */     // GIR_Coverage, 10340,
     /* 1711092 */     GIR_EraseRootFromParent_Done,
     /* 1711093 */   // Label 23380: @1711093
     /* 1711093 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711179), // Rule ID 10341 //
     /* 1711098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711144 */     // MIs[0] policy
     /* 1711144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711154 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711178 */     // GIR_Coverage, 10341,
     /* 1711178 */     GIR_EraseRootFromParent_Done,
     /* 1711179 */   // Label 23381: @1711179
     /* 1711179 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1711265), // Rule ID 10344 //
     /* 1711184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711230 */     // MIs[0] policy
     /* 1711230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711264 */     // GIR_Coverage, 10344,
     /* 1711264 */     GIR_EraseRootFromParent_Done,
     /* 1711265 */   // Label 23382: @1711265
     /* 1711265 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1711351), // Rule ID 10345 //
     /* 1711270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711316 */     // MIs[0] policy
     /* 1711316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711350 */     // GIR_Coverage, 10345,
     /* 1711350 */     GIR_EraseRootFromParent_Done,
     /* 1711351 */   // Label 23383: @1711351
     /* 1711351 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1711437), // Rule ID 10348 //
     /* 1711356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711402 */     // MIs[0] policy
     /* 1711402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711436 */     // GIR_Coverage, 10348,
     /* 1711436 */     GIR_EraseRootFromParent_Done,
     /* 1711437 */   // Label 23384: @1711437
     /* 1711437 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1711523), // Rule ID 10349 //
     /* 1711442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711488 */     // MIs[0] policy
     /* 1711488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711522 */     // GIR_Coverage, 10349,
     /* 1711522 */     GIR_EraseRootFromParent_Done,
     /* 1711523 */   // Label 23385: @1711523
     /* 1711523 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1711609), // Rule ID 10352 //
     /* 1711528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711574 */     // MIs[0] policy
     /* 1711574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711608 */     // GIR_Coverage, 10352,
     /* 1711608 */     GIR_EraseRootFromParent_Done,
     /* 1711609 */   // Label 23386: @1711609
     /* 1711609 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1711695), // Rule ID 10353 //
     /* 1711614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711660 */     // MIs[0] policy
     /* 1711660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711694 */     // GIR_Coverage, 10353,
     /* 1711694 */     GIR_EraseRootFromParent_Done,
     /* 1711695 */   // Label 23387: @1711695
     /* 1711695 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1711781), // Rule ID 10356 //
     /* 1711700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711746 */     // MIs[0] policy
     /* 1711746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711780 */     // GIR_Coverage, 10356,
     /* 1711780 */     GIR_EraseRootFromParent_Done,
     /* 1711781 */   // Label 23388: @1711781
     /* 1711781 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1711867), // Rule ID 10357 //
     /* 1711786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711832 */     // MIs[0] policy
     /* 1711832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711842 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711866 */     // GIR_Coverage, 10357,
     /* 1711866 */     GIR_EraseRootFromParent_Done,
     /* 1711867 */   // Label 23389: @1711867
     /* 1711867 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1711953), // Rule ID 10360 //
     /* 1711872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711918 */     // MIs[0] policy
     /* 1711918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711952 */     // GIR_Coverage, 10360,
     /* 1711952 */     GIR_EraseRootFromParent_Done,
     /* 1711953 */   // Label 23390: @1711953
     /* 1711953 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1712039), // Rule ID 10361 //
     /* 1711958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712004 */     // MIs[0] policy
     /* 1712004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712038 */     // GIR_Coverage, 10361,
     /* 1712038 */     GIR_EraseRootFromParent_Done,
     /* 1712039 */   // Label 23391: @1712039
     /* 1712039 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712125), // Rule ID 10364 //
     /* 1712044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712090 */     // MIs[0] policy
     /* 1712090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712100 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712124 */     // GIR_Coverage, 10364,
     /* 1712124 */     GIR_EraseRootFromParent_Done,
     /* 1712125 */   // Label 23392: @1712125
     /* 1712125 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712211), // Rule ID 10365 //
     /* 1712130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712176 */     // MIs[0] policy
     /* 1712176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712186 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712210 */     // GIR_Coverage, 10365,
     /* 1712210 */     GIR_EraseRootFromParent_Done,
     /* 1712211 */   // Label 23393: @1712211
     /* 1712211 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1712297), // Rule ID 10368 //
     /* 1712216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712262 */     // MIs[0] policy
     /* 1712262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712296 */     // GIR_Coverage, 10368,
     /* 1712296 */     GIR_EraseRootFromParent_Done,
     /* 1712297 */   // Label 23394: @1712297
     /* 1712297 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1712383), // Rule ID 10369 //
     /* 1712302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712348 */     // MIs[0] policy
     /* 1712348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712382 */     // GIR_Coverage, 10369,
     /* 1712382 */     GIR_EraseRootFromParent_Done,
     /* 1712383 */   // Label 23395: @1712383
     /* 1712383 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1712469), // Rule ID 10372 //
     /* 1712388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712434 */     // MIs[0] policy
     /* 1712434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712468 */     // GIR_Coverage, 10372,
     /* 1712468 */     GIR_EraseRootFromParent_Done,
     /* 1712469 */   // Label 23396: @1712469
     /* 1712469 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1712555), // Rule ID 10373 //
     /* 1712474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712520 */     // MIs[0] policy
     /* 1712520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712554 */     // GIR_Coverage, 10373,
     /* 1712554 */     GIR_EraseRootFromParent_Done,
     /* 1712555 */   // Label 23397: @1712555
     /* 1712555 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1712641), // Rule ID 10376 //
     /* 1712560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712606 */     // MIs[0] policy
     /* 1712606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712616 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712640 */     // GIR_Coverage, 10376,
     /* 1712640 */     GIR_EraseRootFromParent_Done,
     /* 1712641 */   // Label 23398: @1712641
     /* 1712641 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1712727), // Rule ID 10377 //
     /* 1712646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712692 */     // MIs[0] policy
     /* 1712692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712726 */     // GIR_Coverage, 10377,
     /* 1712726 */     GIR_EraseRootFromParent_Done,
     /* 1712727 */   // Label 23399: @1712727
     /* 1712727 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1712813), // Rule ID 10380 //
     /* 1712732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712778 */     // MIs[0] policy
     /* 1712778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712812 */     // GIR_Coverage, 10380,
     /* 1712812 */     GIR_EraseRootFromParent_Done,
     /* 1712813 */   // Label 23400: @1712813
     /* 1712813 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1712899), // Rule ID 10381 //
     /* 1712818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712864 */     // MIs[0] policy
     /* 1712864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712898 */     // GIR_Coverage, 10381,
     /* 1712898 */     GIR_EraseRootFromParent_Done,
     /* 1712899 */   // Label 23401: @1712899
     /* 1712899 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1712985), // Rule ID 10384 //
     /* 1712904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712950 */     // MIs[0] policy
     /* 1712950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712984 */     // GIR_Coverage, 10384,
     /* 1712984 */     GIR_EraseRootFromParent_Done,
     /* 1712985 */   // Label 23402: @1712985
     /* 1712985 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1713071), // Rule ID 10385 //
     /* 1712990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713036 */     // MIs[0] policy
     /* 1713036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713070 */     // GIR_Coverage, 10385,
     /* 1713070 */     GIR_EraseRootFromParent_Done,
     /* 1713071 */   // Label 23403: @1713071
     /* 1713071 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713157), // Rule ID 10388 //
     /* 1713076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713122 */     // MIs[0] policy
     /* 1713122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713156 */     // GIR_Coverage, 10388,
     /* 1713156 */     GIR_EraseRootFromParent_Done,
     /* 1713157 */   // Label 23404: @1713157
     /* 1713157 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1713243), // Rule ID 10389 //
     /* 1713162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713208 */     // MIs[0] policy
     /* 1713208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713242 */     // GIR_Coverage, 10389,
     /* 1713242 */     GIR_EraseRootFromParent_Done,
     /* 1713243 */   // Label 23405: @1713243
     /* 1713243 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1713329), // Rule ID 10392 //
     /* 1713248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713294 */     // MIs[0] policy
     /* 1713294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1713307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713328 */     // GIR_Coverage, 10392,
     /* 1713328 */     GIR_EraseRootFromParent_Done,
     /* 1713329 */   // Label 23406: @1713329
     /* 1713329 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1713415), // Rule ID 10393 //
     /* 1713334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713380 */     // MIs[0] policy
     /* 1713380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1713393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713414 */     // GIR_Coverage, 10393,
     /* 1713414 */     GIR_EraseRootFromParent_Done,
     /* 1713415 */   // Label 23407: @1713415
     /* 1713415 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1713501), // Rule ID 10396 //
     /* 1713420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713466 */     // MIs[0] policy
     /* 1713466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713500 */     // GIR_Coverage, 10396,
     /* 1713500 */     GIR_EraseRootFromParent_Done,
     /* 1713501 */   // Label 23408: @1713501
     /* 1713501 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1713587), // Rule ID 10397 //
     /* 1713506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713552 */     // MIs[0] policy
     /* 1713552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713586 */     // GIR_Coverage, 10397,
     /* 1713586 */     GIR_EraseRootFromParent_Done,
     /* 1713587 */   // Label 23409: @1713587
     /* 1713587 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1713673), // Rule ID 10400 //
     /* 1713592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713638 */     // MIs[0] policy
     /* 1713638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713672 */     // GIR_Coverage, 10400,
     /* 1713672 */     GIR_EraseRootFromParent_Done,
     /* 1713673 */   // Label 23410: @1713673
     /* 1713673 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1713759), // Rule ID 10401 //
     /* 1713678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713724 */     // MIs[0] policy
     /* 1713724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713734 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713758 */     // GIR_Coverage, 10401,
     /* 1713758 */     GIR_EraseRootFromParent_Done,
     /* 1713759 */   // Label 23411: @1713759
     /* 1713759 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1713845), // Rule ID 10404 //
     /* 1713764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713810 */     // MIs[0] policy
     /* 1713810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713820 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713844 */     // GIR_Coverage, 10404,
     /* 1713844 */     GIR_EraseRootFromParent_Done,
     /* 1713845 */   // Label 23412: @1713845
     /* 1713845 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1713931), // Rule ID 10405 //
     /* 1713850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713896 */     // MIs[0] policy
     /* 1713896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713906 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713930 */     // GIR_Coverage, 10405,
     /* 1713930 */     GIR_EraseRootFromParent_Done,
     /* 1713931 */   // Label 23413: @1713931
     /* 1713931 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1714017), // Rule ID 10408 //
     /* 1713936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713982 */     // MIs[0] policy
     /* 1713982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714016 */     // GIR_Coverage, 10408,
     /* 1714016 */     GIR_EraseRootFromParent_Done,
     /* 1714017 */   // Label 23414: @1714017
     /* 1714017 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714103), // Rule ID 10409 //
     /* 1714022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1714039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714068 */     // MIs[0] policy
     /* 1714068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714102 */     // GIR_Coverage, 10409,
     /* 1714102 */     GIR_EraseRootFromParent_Done,
     /* 1714103 */   // Label 23415: @1714103
     /* 1714103 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714189), // Rule ID 10412 //
     /* 1714108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714154 */     // MIs[0] policy
     /* 1714154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714188 */     // GIR_Coverage, 10412,
     /* 1714188 */     GIR_EraseRootFromParent_Done,
     /* 1714189 */   // Label 23416: @1714189
     /* 1714189 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1714275), // Rule ID 10413 //
     /* 1714194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714240 */     // MIs[0] policy
     /* 1714240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714274 */     // GIR_Coverage, 10413,
     /* 1714274 */     GIR_EraseRootFromParent_Done,
     /* 1714275 */   // Label 23417: @1714275
     /* 1714275 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1714361), // Rule ID 10416 //
     /* 1714280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714326 */     // MIs[0] policy
     /* 1714326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714360 */     // GIR_Coverage, 10416,
     /* 1714360 */     GIR_EraseRootFromParent_Done,
     /* 1714361 */   // Label 23418: @1714361
     /* 1714361 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1714447), // Rule ID 10417 //
     /* 1714366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714412 */     // MIs[0] policy
     /* 1714412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1714425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714446 */     // GIR_Coverage, 10417,
     /* 1714446 */     GIR_EraseRootFromParent_Done,
     /* 1714447 */   // Label 23419: @1714447
     /* 1714447 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1714533), // Rule ID 10420 //
     /* 1714452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714498 */     // MIs[0] policy
     /* 1714498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714532 */     // GIR_Coverage, 10420,
     /* 1714532 */     GIR_EraseRootFromParent_Done,
     /* 1714533 */   // Label 23420: @1714533
     /* 1714533 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1714619), // Rule ID 10421 //
     /* 1714538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714584 */     // MIs[0] policy
     /* 1714584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714594 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714618 */     // GIR_Coverage, 10421,
     /* 1714618 */     GIR_EraseRootFromParent_Done,
     /* 1714619 */   // Label 23421: @1714619
     /* 1714619 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1714705), // Rule ID 10424 //
     /* 1714624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714670 */     // MIs[0] policy
     /* 1714670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714704 */     // GIR_Coverage, 10424,
     /* 1714704 */     GIR_EraseRootFromParent_Done,
     /* 1714705 */   // Label 23422: @1714705
     /* 1714705 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1714791), // Rule ID 10425 //
     /* 1714710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714756 */     // MIs[0] policy
     /* 1714756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714790 */     // GIR_Coverage, 10425,
     /* 1714790 */     GIR_EraseRootFromParent_Done,
     /* 1714791 */   // Label 23423: @1714791
     /* 1714791 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1714877), // Rule ID 10428 //
     /* 1714796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714842 */     // MIs[0] policy
     /* 1714842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714876 */     // GIR_Coverage, 10428,
     /* 1714876 */     GIR_EraseRootFromParent_Done,
     /* 1714877 */   // Label 23424: @1714877
     /* 1714877 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1714963), // Rule ID 10429 //
     /* 1714882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714928 */     // MIs[0] policy
     /* 1714928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714962 */     // GIR_Coverage, 10429,
     /* 1714962 */     GIR_EraseRootFromParent_Done,
     /* 1714963 */   // Label 23425: @1714963
     /* 1714963 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1715049), // Rule ID 10432 //
     /* 1714968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715014 */     // MIs[0] policy
     /* 1715014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715048 */     // GIR_Coverage, 10432,
     /* 1715048 */     GIR_EraseRootFromParent_Done,
     /* 1715049 */   // Label 23426: @1715049
     /* 1715049 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715135), // Rule ID 10433 //
     /* 1715054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1715071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715100 */     // MIs[0] policy
     /* 1715100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715110 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715134 */     // GIR_Coverage, 10433,
     /* 1715134 */     GIR_EraseRootFromParent_Done,
     /* 1715135 */   // Label 23427: @1715135
     /* 1715135 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1715221), // Rule ID 10436 //
     /* 1715140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715186 */     // MIs[0] policy
     /* 1715186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715220 */     // GIR_Coverage, 10436,
     /* 1715220 */     GIR_EraseRootFromParent_Done,
     /* 1715221 */   // Label 23428: @1715221
     /* 1715221 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1715307), // Rule ID 10437 //
     /* 1715226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715272 */     // MIs[0] policy
     /* 1715272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715306 */     // GIR_Coverage, 10437,
     /* 1715306 */     GIR_EraseRootFromParent_Done,
     /* 1715307 */   // Label 23429: @1715307
     /* 1715307 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1715393), // Rule ID 10440 //
     /* 1715312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715358 */     // MIs[0] policy
     /* 1715358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715392 */     // GIR_Coverage, 10440,
     /* 1715392 */     GIR_EraseRootFromParent_Done,
     /* 1715393 */   // Label 23430: @1715393
     /* 1715393 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1715479), // Rule ID 10441 //
     /* 1715398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715444 */     // MIs[0] policy
     /* 1715444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715478 */     // GIR_Coverage, 10441,
     /* 1715478 */     GIR_EraseRootFromParent_Done,
     /* 1715479 */   // Label 23431: @1715479
     /* 1715479 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1715565), // Rule ID 10444 //
     /* 1715484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715530 */     // MIs[0] policy
     /* 1715530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715540 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715564 */     // GIR_Coverage, 10444,
     /* 1715564 */     GIR_EraseRootFromParent_Done,
     /* 1715565 */   // Label 23432: @1715565
     /* 1715565 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1715651), // Rule ID 10445 //
     /* 1715570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715616 */     // MIs[0] policy
     /* 1715616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715650 */     // GIR_Coverage, 10445,
     /* 1715650 */     GIR_EraseRootFromParent_Done,
     /* 1715651 */   // Label 23433: @1715651
     /* 1715651 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1715737), // Rule ID 10448 //
     /* 1715656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715702 */     // MIs[0] policy
     /* 1715702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715736 */     // GIR_Coverage, 10448,
     /* 1715736 */     GIR_EraseRootFromParent_Done,
     /* 1715737 */   // Label 23434: @1715737
     /* 1715737 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1715823), // Rule ID 10449 //
     /* 1715742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715788 */     // MIs[0] policy
     /* 1715788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715822 */     // GIR_Coverage, 10449,
     /* 1715822 */     GIR_EraseRootFromParent_Done,
     /* 1715823 */   // Label 23435: @1715823
     /* 1715823 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1715909), // Rule ID 10452 //
     /* 1715828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715874 */     // MIs[0] policy
     /* 1715874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715908 */     // GIR_Coverage, 10452,
     /* 1715908 */     GIR_EraseRootFromParent_Done,
     /* 1715909 */   // Label 23436: @1715909
     /* 1715909 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1715995), // Rule ID 10453 //
     /* 1715914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715960 */     // MIs[0] policy
     /* 1715960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715970 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715994 */     // GIR_Coverage, 10453,
     /* 1715994 */     GIR_EraseRootFromParent_Done,
     /* 1715995 */   // Label 23437: @1715995
     /* 1715995 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1716081), // Rule ID 10456 //
     /* 1716000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716046 */     // MIs[0] policy
     /* 1716046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716080 */     // GIR_Coverage, 10456,
     /* 1716080 */     GIR_EraseRootFromParent_Done,
     /* 1716081 */   // Label 23438: @1716081
     /* 1716081 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716167), // Rule ID 10457 //
     /* 1716086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716132 */     // MIs[0] policy
     /* 1716132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716166 */     // GIR_Coverage, 10457,
     /* 1716166 */     GIR_EraseRootFromParent_Done,
     /* 1716167 */   // Label 23439: @1716167
     /* 1716167 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1716253), // Rule ID 10460 //
     /* 1716172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716218 */     // MIs[0] policy
     /* 1716218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716252 */     // GIR_Coverage, 10460,
     /* 1716252 */     GIR_EraseRootFromParent_Done,
     /* 1716253 */   // Label 23440: @1716253
     /* 1716253 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1716339), // Rule ID 10461 //
     /* 1716258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716304 */     // MIs[0] policy
     /* 1716304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716338 */     // GIR_Coverage, 10461,
     /* 1716338 */     GIR_EraseRootFromParent_Done,
     /* 1716339 */   // Label 23441: @1716339
     /* 1716339 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1716425), // Rule ID 10464 //
     /* 1716344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716390 */     // MIs[0] policy
     /* 1716390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716424 */     // GIR_Coverage, 10464,
     /* 1716424 */     GIR_EraseRootFromParent_Done,
     /* 1716425 */   // Label 23442: @1716425
     /* 1716425 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1716511), // Rule ID 10465 //
     /* 1716430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716476 */     // MIs[0] policy
     /* 1716476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716510 */     // GIR_Coverage, 10465,
     /* 1716510 */     GIR_EraseRootFromParent_Done,
     /* 1716511 */   // Label 23443: @1716511
     /* 1716511 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1716597), // Rule ID 10468 //
     /* 1716516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716562 */     // MIs[0] policy
     /* 1716562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716596 */     // GIR_Coverage, 10468,
     /* 1716596 */     GIR_EraseRootFromParent_Done,
     /* 1716597 */   // Label 23444: @1716597
     /* 1716597 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1716683), // Rule ID 10469 //
     /* 1716602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716648 */     // MIs[0] policy
     /* 1716648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716682 */     // GIR_Coverage, 10469,
     /* 1716682 */     GIR_EraseRootFromParent_Done,
     /* 1716683 */   // Label 23445: @1716683
     /* 1716683 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1716769), // Rule ID 10472 //
     /* 1716688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716734 */     // MIs[0] policy
     /* 1716734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716768 */     // GIR_Coverage, 10472,
     /* 1716768 */     GIR_EraseRootFromParent_Done,
     /* 1716769 */   // Label 23446: @1716769
     /* 1716769 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1716855), // Rule ID 10473 //
     /* 1716774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716820 */     // MIs[0] policy
     /* 1716820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716854 */     // GIR_Coverage, 10473,
     /* 1716854 */     GIR_EraseRootFromParent_Done,
     /* 1716855 */   // Label 23447: @1716855
     /* 1716855 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1716941), // Rule ID 10476 //
     /* 1716860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716906 */     // MIs[0] policy
     /* 1716906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716940 */     // GIR_Coverage, 10476,
     /* 1716940 */     GIR_EraseRootFromParent_Done,
     /* 1716941 */   // Label 23448: @1716941
     /* 1716941 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1717027), // Rule ID 10477 //
     /* 1716946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716992 */     // MIs[0] policy
     /* 1716992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717026 */     // GIR_Coverage, 10477,
     /* 1717026 */     GIR_EraseRootFromParent_Done,
     /* 1717027 */   // Label 23449: @1717027
     /* 1717027 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717113), // Rule ID 10480 //
     /* 1717032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717078 */     // MIs[0] policy
     /* 1717078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1717091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717112 */     // GIR_Coverage, 10480,
     /* 1717112 */     GIR_EraseRootFromParent_Done,
     /* 1717113 */   // Label 23450: @1717113
     /* 1717113 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717199), // Rule ID 10481 //
     /* 1717118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717164 */     // MIs[0] policy
     /* 1717164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1717177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717198 */     // GIR_Coverage, 10481,
     /* 1717198 */     GIR_EraseRootFromParent_Done,
     /* 1717199 */   // Label 23451: @1717199
     /* 1717199 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1717285), // Rule ID 10484 //
     /* 1717204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717250 */     // MIs[0] policy
     /* 1717250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717260 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1717263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717284 */     // GIR_Coverage, 10484,
     /* 1717284 */     GIR_EraseRootFromParent_Done,
     /* 1717285 */   // Label 23452: @1717285
     /* 1717285 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1717371), // Rule ID 10485 //
     /* 1717290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717336 */     // MIs[0] policy
     /* 1717336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717346 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1717349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717370 */     // GIR_Coverage, 10485,
     /* 1717370 */     GIR_EraseRootFromParent_Done,
     /* 1717371 */   // Label 23453: @1717371
     /* 1717371 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1717457), // Rule ID 10488 //
     /* 1717376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717422 */     // MIs[0] policy
     /* 1717422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717456 */     // GIR_Coverage, 10488,
     /* 1717456 */     GIR_EraseRootFromParent_Done,
     /* 1717457 */   // Label 23454: @1717457
     /* 1717457 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1717543), // Rule ID 10489 //
     /* 1717462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717508 */     // MIs[0] policy
     /* 1717508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717542 */     // GIR_Coverage, 10489,
     /* 1717542 */     GIR_EraseRootFromParent_Done,
     /* 1717543 */   // Label 23455: @1717543
     /* 1717543 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1717629), // Rule ID 10492 //
     /* 1717548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717594 */     // MIs[0] policy
     /* 1717594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717628 */     // GIR_Coverage, 10492,
     /* 1717628 */     GIR_EraseRootFromParent_Done,
     /* 1717629 */   // Label 23456: @1717629
     /* 1717629 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1717715), // Rule ID 10493 //
     /* 1717634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717680 */     // MIs[0] policy
     /* 1717680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717714 */     // GIR_Coverage, 10493,
     /* 1717714 */     GIR_EraseRootFromParent_Done,
     /* 1717715 */   // Label 23457: @1717715
     /* 1717715 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1717801), // Rule ID 10496 //
     /* 1717720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717766 */     // MIs[0] policy
     /* 1717766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717800 */     // GIR_Coverage, 10496,
     /* 1717800 */     GIR_EraseRootFromParent_Done,
     /* 1717801 */   // Label 23458: @1717801
     /* 1717801 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1717887), // Rule ID 10497 //
     /* 1717806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717852 */     // MIs[0] policy
     /* 1717852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717862 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717886 */     // GIR_Coverage, 10497,
     /* 1717886 */     GIR_EraseRootFromParent_Done,
     /* 1717887 */   // Label 23459: @1717887
     /* 1717887 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1717973), // Rule ID 10500 //
     /* 1717892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717938 */     // MIs[0] policy
     /* 1717938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717972 */     // GIR_Coverage, 10500,
     /* 1717972 */     GIR_EraseRootFromParent_Done,
     /* 1717973 */   // Label 23460: @1717973
     /* 1717973 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1718059), // Rule ID 10501 //
     /* 1717978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718024 */     // MIs[0] policy
     /* 1718024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718058 */     // GIR_Coverage, 10501,
     /* 1718058 */     GIR_EraseRootFromParent_Done,
     /* 1718059 */   // Label 23461: @1718059
     /* 1718059 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718145), // Rule ID 10504 //
     /* 1718064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718110 */     // MIs[0] policy
     /* 1718110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1718123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718144 */     // GIR_Coverage, 10504,
     /* 1718144 */     GIR_EraseRootFromParent_Done,
     /* 1718145 */   // Label 23462: @1718145
     /* 1718145 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1718231), // Rule ID 10505 //
     /* 1718150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718196 */     // MIs[0] policy
     /* 1718196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1718209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718230 */     // GIR_Coverage, 10505,
     /* 1718230 */     GIR_EraseRootFromParent_Done,
     /* 1718231 */   // Label 23463: @1718231
     /* 1718231 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1718317), // Rule ID 10508 //
     /* 1718236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718282 */     // MIs[0] policy
     /* 1718282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718316 */     // GIR_Coverage, 10508,
     /* 1718316 */     GIR_EraseRootFromParent_Done,
     /* 1718317 */   // Label 23464: @1718317
     /* 1718317 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1718403), // Rule ID 10509 //
     /* 1718322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718368 */     // MIs[0] policy
     /* 1718368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718402 */     // GIR_Coverage, 10509,
     /* 1718402 */     GIR_EraseRootFromParent_Done,
     /* 1718403 */   // Label 23465: @1718403
     /* 1718403 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1718489), // Rule ID 10512 //
     /* 1718408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718454 */     // MIs[0] policy
     /* 1718454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718488 */     // GIR_Coverage, 10512,
     /* 1718488 */     GIR_EraseRootFromParent_Done,
     /* 1718489 */   // Label 23466: @1718489
     /* 1718489 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1718575), // Rule ID 10513 //
     /* 1718494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718540 */     // MIs[0] policy
     /* 1718540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718574 */     // GIR_Coverage, 10513,
     /* 1718574 */     GIR_EraseRootFromParent_Done,
     /* 1718575 */   // Label 23467: @1718575
     /* 1718575 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1718661), // Rule ID 10516 //
     /* 1718580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718626 */     // MIs[0] policy
     /* 1718626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718660 */     // GIR_Coverage, 10516,
     /* 1718660 */     GIR_EraseRootFromParent_Done,
     /* 1718661 */   // Label 23468: @1718661
     /* 1718661 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1718747), // Rule ID 10517 //
     /* 1718666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718712 */     // MIs[0] policy
     /* 1718712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718746 */     // GIR_Coverage, 10517,
     /* 1718746 */     GIR_EraseRootFromParent_Done,
     /* 1718747 */   // Label 23469: @1718747
     /* 1718747 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1718833), // Rule ID 10520 //
     /* 1718752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718798 */     // MIs[0] policy
     /* 1718798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718832 */     // GIR_Coverage, 10520,
     /* 1718832 */     GIR_EraseRootFromParent_Done,
     /* 1718833 */   // Label 23470: @1718833
     /* 1718833 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1718919), // Rule ID 10521 //
     /* 1718838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718884 */     // MIs[0] policy
     /* 1718884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718918 */     // GIR_Coverage, 10521,
     /* 1718918 */     GIR_EraseRootFromParent_Done,
     /* 1718919 */   // Label 23471: @1718919
     /* 1718919 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1719005), // Rule ID 10524 //
     /* 1718924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718970 */     // MIs[0] policy
     /* 1718970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719004 */     // GIR_Coverage, 10524,
     /* 1719004 */     GIR_EraseRootFromParent_Done,
     /* 1719005 */   // Label 23472: @1719005
     /* 1719005 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719091), // Rule ID 10525 //
     /* 1719010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1719030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719056 */     // MIs[0] policy
     /* 1719056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719090 */     // GIR_Coverage, 10525,
     /* 1719090 */     GIR_EraseRootFromParent_Done,
     /* 1719091 */   // Label 23473: @1719091
     /* 1719091 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719177), // Rule ID 10528 //
     /* 1719096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719142 */     // MIs[0] policy
     /* 1719142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719176 */     // GIR_Coverage, 10528,
     /* 1719176 */     GIR_EraseRootFromParent_Done,
     /* 1719177 */   // Label 23474: @1719177
     /* 1719177 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1719263), // Rule ID 10529 //
     /* 1719182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719228 */     // MIs[0] policy
     /* 1719228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719238 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1719241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719262 */     // GIR_Coverage, 10529,
     /* 1719262 */     GIR_EraseRootFromParent_Done,
     /* 1719263 */   // Label 23475: @1719263
     /* 1719263 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1719349), // Rule ID 10532 //
     /* 1719268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719314 */     // MIs[0] policy
     /* 1719314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719348 */     // GIR_Coverage, 10532,
     /* 1719348 */     GIR_EraseRootFromParent_Done,
     /* 1719349 */   // Label 23476: @1719349
     /* 1719349 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1719435), // Rule ID 10533 //
     /* 1719354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719400 */     // MIs[0] policy
     /* 1719400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719410 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719434 */     // GIR_Coverage, 10533,
     /* 1719434 */     GIR_EraseRootFromParent_Done,
     /* 1719435 */   // Label 23477: @1719435
     /* 1719435 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1719521), // Rule ID 10536 //
     /* 1719440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719486 */     // MIs[0] policy
     /* 1719486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719520 */     // GIR_Coverage, 10536,
     /* 1719520 */     GIR_EraseRootFromParent_Done,
     /* 1719521 */   // Label 23478: @1719521
     /* 1719521 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1719607), // Rule ID 10537 //
     /* 1719526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719572 */     // MIs[0] policy
     /* 1719572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719606 */     // GIR_Coverage, 10537,
     /* 1719606 */     GIR_EraseRootFromParent_Done,
     /* 1719607 */   // Label 23479: @1719607
     /* 1719607 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1719693), // Rule ID 10540 //
     /* 1719612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719658 */     // MIs[0] policy
     /* 1719658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719692 */     // GIR_Coverage, 10540,
     /* 1719692 */     GIR_EraseRootFromParent_Done,
     /* 1719693 */   // Label 23480: @1719693
     /* 1719693 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1719779), // Rule ID 10541 //
     /* 1719698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719744 */     // MIs[0] policy
     /* 1719744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719754 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719778 */     // GIR_Coverage, 10541,
     /* 1719778 */     GIR_EraseRootFromParent_Done,
     /* 1719779 */   // Label 23481: @1719779
     /* 1719779 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1719865), // Rule ID 10544 //
     /* 1719784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719830 */     // MIs[0] policy
     /* 1719830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719864 */     // GIR_Coverage, 10544,
     /* 1719864 */     GIR_EraseRootFromParent_Done,
     /* 1719865 */   // Label 23482: @1719865
     /* 1719865 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1719951), // Rule ID 10545 //
     /* 1719870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719916 */     // MIs[0] policy
     /* 1719916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719926 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719950 */     // GIR_Coverage, 10545,
     /* 1719950 */     GIR_EraseRootFromParent_Done,
     /* 1719951 */   // Label 23483: @1719951
     /* 1719951 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1720037), // Rule ID 10548 //
     /* 1719956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720002 */     // MIs[0] policy
     /* 1720002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720036 */     // GIR_Coverage, 10548,
     /* 1720036 */     GIR_EraseRootFromParent_Done,
     /* 1720037 */   // Label 23484: @1720037
     /* 1720037 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720123), // Rule ID 10549 //
     /* 1720042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1720062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720088 */     // MIs[0] policy
     /* 1720088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720122 */     // GIR_Coverage, 10549,
     /* 1720122 */     GIR_EraseRootFromParent_Done,
     /* 1720123 */   // Label 23485: @1720123
     /* 1720123 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720209), // Rule ID 10552 //
     /* 1720128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720174 */     // MIs[0] policy
     /* 1720174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720208 */     // GIR_Coverage, 10552,
     /* 1720208 */     GIR_EraseRootFromParent_Done,
     /* 1720209 */   // Label 23486: @1720209
     /* 1720209 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1720295), // Rule ID 10553 //
     /* 1720214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720260 */     // MIs[0] policy
     /* 1720260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720294 */     // GIR_Coverage, 10553,
     /* 1720294 */     GIR_EraseRootFromParent_Done,
     /* 1720295 */   // Label 23487: @1720295
     /* 1720295 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1720381), // Rule ID 10556 //
     /* 1720300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720346 */     // MIs[0] policy
     /* 1720346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720380 */     // GIR_Coverage, 10556,
     /* 1720380 */     GIR_EraseRootFromParent_Done,
     /* 1720381 */   // Label 23488: @1720381
     /* 1720381 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1720467), // Rule ID 10557 //
     /* 1720386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720432 */     // MIs[0] policy
     /* 1720432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720466 */     // GIR_Coverage, 10557,
     /* 1720466 */     GIR_EraseRootFromParent_Done,
     /* 1720467 */   // Label 23489: @1720467
     /* 1720467 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1720553), // Rule ID 10560 //
     /* 1720472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720518 */     // MIs[0] policy
     /* 1720518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720552 */     // GIR_Coverage, 10560,
     /* 1720552 */     GIR_EraseRootFromParent_Done,
     /* 1720553 */   // Label 23490: @1720553
     /* 1720553 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1720639), // Rule ID 10561 //
     /* 1720558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720604 */     // MIs[0] policy
     /* 1720604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720638 */     // GIR_Coverage, 10561,
     /* 1720638 */     GIR_EraseRootFromParent_Done,
     /* 1720639 */   // Label 23491: @1720639
     /* 1720639 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1720725), // Rule ID 10564 //
     /* 1720644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720690 */     // MIs[0] policy
     /* 1720690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720724 */     // GIR_Coverage, 10564,
     /* 1720724 */     GIR_EraseRootFromParent_Done,
     /* 1720725 */   // Label 23492: @1720725
     /* 1720725 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1720811), // Rule ID 10565 //
     /* 1720730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720776 */     // MIs[0] policy
     /* 1720776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720810 */     // GIR_Coverage, 10565,
     /* 1720810 */     GIR_EraseRootFromParent_Done,
     /* 1720811 */   // Label 23493: @1720811
     /* 1720811 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1720897), // Rule ID 10568 //
     /* 1720816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720862 */     // MIs[0] policy
     /* 1720862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720896 */     // GIR_Coverage, 10568,
     /* 1720896 */     GIR_EraseRootFromParent_Done,
     /* 1720897 */   // Label 23494: @1720897
     /* 1720897 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1720983), // Rule ID 10569 //
     /* 1720902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720948 */     // MIs[0] policy
     /* 1720948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720982 */     // GIR_Coverage, 10569,
     /* 1720982 */     GIR_EraseRootFromParent_Done,
     /* 1720983 */   // Label 23495: @1720983
     /* 1720983 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1721069), // Rule ID 10572 //
     /* 1720988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721034 */     // MIs[0] policy
     /* 1721034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1721047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721068 */     // GIR_Coverage, 10572,
     /* 1721068 */     GIR_EraseRootFromParent_Done,
     /* 1721069 */   // Label 23496: @1721069
     /* 1721069 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721155), // Rule ID 10573 //
     /* 1721074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721120 */     // MIs[0] policy
     /* 1721120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1721133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721154 */     // GIR_Coverage, 10573,
     /* 1721154 */     GIR_EraseRootFromParent_Done,
     /* 1721155 */   // Label 23497: @1721155
     /* 1721155 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1721241), // Rule ID 10576 //
     /* 1721160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721206 */     // MIs[0] policy
     /* 1721206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1721219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721240 */     // GIR_Coverage, 10576,
     /* 1721240 */     GIR_EraseRootFromParent_Done,
     /* 1721241 */   // Label 23498: @1721241
     /* 1721241 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1721327), // Rule ID 10577 //
     /* 1721246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721292 */     // MIs[0] policy
     /* 1721292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721302 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1721305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721326 */     // GIR_Coverage, 10577,
     /* 1721326 */     GIR_EraseRootFromParent_Done,
     /* 1721327 */   // Label 23499: @1721327
     /* 1721327 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1721413), // Rule ID 10580 //
     /* 1721332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721378 */     // MIs[0] policy
     /* 1721378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721412 */     // GIR_Coverage, 10580,
     /* 1721412 */     GIR_EraseRootFromParent_Done,
     /* 1721413 */   // Label 23500: @1721413
     /* 1721413 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1721499), // Rule ID 10581 //
     /* 1721418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721464 */     // MIs[0] policy
     /* 1721464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721474 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721498 */     // GIR_Coverage, 10581,
     /* 1721498 */     GIR_EraseRootFromParent_Done,
     /* 1721499 */   // Label 23501: @1721499
     /* 1721499 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1721585), // Rule ID 10584 //
     /* 1721504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721550 */     // MIs[0] policy
     /* 1721550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721584 */     // GIR_Coverage, 10584,
     /* 1721584 */     GIR_EraseRootFromParent_Done,
     /* 1721585 */   // Label 23502: @1721585
     /* 1721585 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1721671), // Rule ID 10585 //
     /* 1721590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721636 */     // MIs[0] policy
     /* 1721636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721670 */     // GIR_Coverage, 10585,
     /* 1721670 */     GIR_EraseRootFromParent_Done,
     /* 1721671 */   // Label 23503: @1721671
     /* 1721671 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1721757), // Rule ID 10588 //
     /* 1721676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721722 */     // MIs[0] policy
     /* 1721722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721732 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721756 */     // GIR_Coverage, 10588,
     /* 1721756 */     GIR_EraseRootFromParent_Done,
     /* 1721757 */   // Label 23504: @1721757
     /* 1721757 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1721843), // Rule ID 10589 //
     /* 1721762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721808 */     // MIs[0] policy
     /* 1721808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721818 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721842 */     // GIR_Coverage, 10589,
     /* 1721842 */     GIR_EraseRootFromParent_Done,
     /* 1721843 */   // Label 23505: @1721843
     /* 1721843 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1721929), // Rule ID 10592 //
     /* 1721848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721894 */     // MIs[0] policy
     /* 1721894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721904 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721928 */     // GIR_Coverage, 10592,
     /* 1721928 */     GIR_EraseRootFromParent_Done,
     /* 1721929 */   // Label 23506: @1721929
     /* 1721929 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1722015), // Rule ID 10593 //
     /* 1721934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721980 */     // MIs[0] policy
     /* 1721980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722014 */     // GIR_Coverage, 10593,
     /* 1722014 */     GIR_EraseRootFromParent_Done,
     /* 1722015 */   // Label 23507: @1722015
     /* 1722015 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722101), // Rule ID 10596 //
     /* 1722020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722066 */     // MIs[0] policy
     /* 1722066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722100 */     // GIR_Coverage, 10596,
     /* 1722100 */     GIR_EraseRootFromParent_Done,
     /* 1722101 */   // Label 23508: @1722101
     /* 1722101 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722187), // Rule ID 10597 //
     /* 1722106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722152 */     // MIs[0] policy
     /* 1722152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722162 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722186 */     // GIR_Coverage, 10597,
     /* 1722186 */     GIR_EraseRootFromParent_Done,
     /* 1722187 */   // Label 23509: @1722187
     /* 1722187 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1722273), // Rule ID 10600 //
     /* 1722192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722238 */     // MIs[0] policy
     /* 1722238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722272 */     // GIR_Coverage, 10600,
     /* 1722272 */     GIR_EraseRootFromParent_Done,
     /* 1722273 */   // Label 23510: @1722273
     /* 1722273 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1722359), // Rule ID 10601 //
     /* 1722278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722324 */     // MIs[0] policy
     /* 1722324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1722337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722358 */     // GIR_Coverage, 10601,
     /* 1722358 */     GIR_EraseRootFromParent_Done,
     /* 1722359 */   // Label 23511: @1722359
     /* 1722359 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1722445), // Rule ID 10604 //
     /* 1722364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722410 */     // MIs[0] policy
     /* 1722410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722420 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722444 */     // GIR_Coverage, 10604,
     /* 1722444 */     GIR_EraseRootFromParent_Done,
     /* 1722445 */   // Label 23512: @1722445
     /* 1722445 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1722531), // Rule ID 10605 //
     /* 1722450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722496 */     // MIs[0] policy
     /* 1722496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722506 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722530 */     // GIR_Coverage, 10605,
     /* 1722530 */     GIR_EraseRootFromParent_Done,
     /* 1722531 */   // Label 23513: @1722531
     /* 1722531 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1722617), // Rule ID 10608 //
     /* 1722536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722582 */     // MIs[0] policy
     /* 1722582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722616 */     // GIR_Coverage, 10608,
     /* 1722616 */     GIR_EraseRootFromParent_Done,
     /* 1722617 */   // Label 23514: @1722617
     /* 1722617 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1722703), // Rule ID 10609 //
     /* 1722622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722668 */     // MIs[0] policy
     /* 1722668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722702 */     // GIR_Coverage, 10609,
     /* 1722702 */     GIR_EraseRootFromParent_Done,
     /* 1722703 */   // Label 23515: @1722703
     /* 1722703 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1722789), // Rule ID 10612 //
     /* 1722708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722754 */     // MIs[0] policy
     /* 1722754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722788 */     // GIR_Coverage, 10612,
     /* 1722788 */     GIR_EraseRootFromParent_Done,
     /* 1722789 */   // Label 23516: @1722789
     /* 1722789 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1722875), // Rule ID 10613 //
     /* 1722794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722840 */     // MIs[0] policy
     /* 1722840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722874 */     // GIR_Coverage, 10613,
     /* 1722874 */     GIR_EraseRootFromParent_Done,
     /* 1722875 */   // Label 23517: @1722875
     /* 1722875 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1722961), // Rule ID 10616 //
     /* 1722880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722926 */     // MIs[0] policy
     /* 1722926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722960 */     // GIR_Coverage, 10616,
     /* 1722960 */     GIR_EraseRootFromParent_Done,
     /* 1722961 */   // Label 23518: @1722961
     /* 1722961 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1723047), // Rule ID 10617 //
     /* 1722966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723012 */     // MIs[0] policy
     /* 1723012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1723025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723046 */     // GIR_Coverage, 10617,
     /* 1723046 */     GIR_EraseRootFromParent_Done,
     /* 1723047 */   // Label 23519: @1723047
     /* 1723047 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723133), // Rule ID 10620 //
     /* 1723052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723098 */     // MIs[0] policy
     /* 1723098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723132 */     // GIR_Coverage, 10620,
     /* 1723132 */     GIR_EraseRootFromParent_Done,
     /* 1723133 */   // Label 23520: @1723133
     /* 1723133 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1723219), // Rule ID 10621 //
     /* 1723138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723184 */     // MIs[0] policy
     /* 1723184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723218 */     // GIR_Coverage, 10621,
     /* 1723218 */     GIR_EraseRootFromParent_Done,
     /* 1723219 */   // Label 23521: @1723219
     /* 1723219 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1723305), // Rule ID 10624 //
     /* 1723224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723270 */     // MIs[0] policy
     /* 1723270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723280 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723304 */     // GIR_Coverage, 10624,
     /* 1723304 */     GIR_EraseRootFromParent_Done,
     /* 1723305 */   // Label 23522: @1723305
     /* 1723305 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1723391), // Rule ID 10625 //
     /* 1723310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723356 */     // MIs[0] policy
     /* 1723356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723366 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723390 */     // GIR_Coverage, 10625,
     /* 1723390 */     GIR_EraseRootFromParent_Done,
     /* 1723391 */   // Label 23523: @1723391
     /* 1723391 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1723477), // Rule ID 10628 //
     /* 1723396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723442 */     // MIs[0] policy
     /* 1723442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723476 */     // GIR_Coverage, 10628,
     /* 1723476 */     GIR_EraseRootFromParent_Done,
     /* 1723477 */   // Label 23524: @1723477
     /* 1723477 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1723563), // Rule ID 10629 //
     /* 1723482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723528 */     // MIs[0] policy
     /* 1723528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723538 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723562 */     // GIR_Coverage, 10629,
     /* 1723562 */     GIR_EraseRootFromParent_Done,
     /* 1723563 */   // Label 23525: @1723563
     /* 1723563 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1723649), // Rule ID 10632 //
     /* 1723568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723614 */     // MIs[0] policy
     /* 1723614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723648 */     // GIR_Coverage, 10632,
     /* 1723648 */     GIR_EraseRootFromParent_Done,
     /* 1723649 */   // Label 23526: @1723649
     /* 1723649 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1723735), // Rule ID 10633 //
     /* 1723654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723700 */     // MIs[0] policy
     /* 1723700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723734 */     // GIR_Coverage, 10633,
     /* 1723734 */     GIR_EraseRootFromParent_Done,
     /* 1723735 */   // Label 23527: @1723735
     /* 1723735 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1723821), // Rule ID 10636 //
     /* 1723740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723786 */     // MIs[0] policy
     /* 1723786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723820 */     // GIR_Coverage, 10636,
     /* 1723820 */     GIR_EraseRootFromParent_Done,
     /* 1723821 */   // Label 23528: @1723821
     /* 1723821 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1723907), // Rule ID 10637 //
     /* 1723826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723872 */     // MIs[0] policy
     /* 1723872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723906 */     // GIR_Coverage, 10637,
     /* 1723906 */     GIR_EraseRootFromParent_Done,
     /* 1723907 */   // Label 23529: @1723907
     /* 1723907 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1723993), // Rule ID 10640 //
     /* 1723912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723958 */     // MIs[0] policy
     /* 1723958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723992 */     // GIR_Coverage, 10640,
     /* 1723992 */     GIR_EraseRootFromParent_Done,
     /* 1723993 */   // Label 23530: @1723993
     /* 1723993 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1724079), // Rule ID 10641 //
     /* 1723998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724044 */     // MIs[0] policy
     /* 1724044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724078 */     // GIR_Coverage, 10641,
     /* 1724078 */     GIR_EraseRootFromParent_Done,
     /* 1724079 */   // Label 23531: @1724079
     /* 1724079 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724165), // Rule ID 10644 //
     /* 1724084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724130 */     // MIs[0] policy
     /* 1724130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724164 */     // GIR_Coverage, 10644,
     /* 1724164 */     GIR_EraseRootFromParent_Done,
     /* 1724165 */   // Label 23532: @1724165
     /* 1724165 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1724251), // Rule ID 10645 //
     /* 1724170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724216 */     // MIs[0] policy
     /* 1724216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724250 */     // GIR_Coverage, 10645,
     /* 1724250 */     GIR_EraseRootFromParent_Done,
     /* 1724251 */   // Label 23533: @1724251
     /* 1724251 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1724337), // Rule ID 10648 //
     /* 1724256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724302 */     // MIs[0] policy
     /* 1724302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724336 */     // GIR_Coverage, 10648,
     /* 1724336 */     GIR_EraseRootFromParent_Done,
     /* 1724337 */   // Label 23534: @1724337
     /* 1724337 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1724423), // Rule ID 10649 //
     /* 1724342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724388 */     // MIs[0] policy
     /* 1724388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724422 */     // GIR_Coverage, 10649,
     /* 1724422 */     GIR_EraseRootFromParent_Done,
     /* 1724423 */   // Label 23535: @1724423
     /* 1724423 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1724509), // Rule ID 10652 //
     /* 1724428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724474 */     // MIs[0] policy
     /* 1724474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724508 */     // GIR_Coverage, 10652,
     /* 1724508 */     GIR_EraseRootFromParent_Done,
     /* 1724509 */   // Label 23536: @1724509
     /* 1724509 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1724595), // Rule ID 10653 //
     /* 1724514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724560 */     // MIs[0] policy
     /* 1724560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724594 */     // GIR_Coverage, 10653,
     /* 1724594 */     GIR_EraseRootFromParent_Done,
     /* 1724595 */   // Label 23537: @1724595
     /* 1724595 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1724681), // Rule ID 10656 //
     /* 1724600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724646 */     // MIs[0] policy
     /* 1724646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724680 */     // GIR_Coverage, 10656,
     /* 1724680 */     GIR_EraseRootFromParent_Done,
     /* 1724681 */   // Label 23538: @1724681
     /* 1724681 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1724767), // Rule ID 10657 //
     /* 1724686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724732 */     // MIs[0] policy
     /* 1724732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724766 */     // GIR_Coverage, 10657,
     /* 1724766 */     GIR_EraseRootFromParent_Done,
     /* 1724767 */   // Label 23539: @1724767
     /* 1724767 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1724853), // Rule ID 10660 //
     /* 1724772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724818 */     // MIs[0] policy
     /* 1724818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724852 */     // GIR_Coverage, 10660,
     /* 1724852 */     GIR_EraseRootFromParent_Done,
     /* 1724853 */   // Label 23540: @1724853
     /* 1724853 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1724939), // Rule ID 10661 //
     /* 1724858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724904 */     // MIs[0] policy
     /* 1724904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724938 */     // GIR_Coverage, 10661,
     /* 1724938 */     GIR_EraseRootFromParent_Done,
     /* 1724939 */   // Label 23541: @1724939
     /* 1724939 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1725025), // Rule ID 10664 //
     /* 1724944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724990 */     // MIs[0] policy
     /* 1724990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1725003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725024 */     // GIR_Coverage, 10664,
     /* 1725024 */     GIR_EraseRootFromParent_Done,
     /* 1725025 */   // Label 23542: @1725025
     /* 1725025 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725111), // Rule ID 10665 //
     /* 1725030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1725047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725076 */     // MIs[0] policy
     /* 1725076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1725089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725110 */     // GIR_Coverage, 10665,
     /* 1725110 */     GIR_EraseRootFromParent_Done,
     /* 1725111 */   // Label 23543: @1725111
     /* 1725111 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725197), // Rule ID 10668 //
     /* 1725116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725162 */     // MIs[0] policy
     /* 1725162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1725175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725196 */     // GIR_Coverage, 10668,
     /* 1725196 */     GIR_EraseRootFromParent_Done,
     /* 1725197 */   // Label 23544: @1725197
     /* 1725197 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1725283), // Rule ID 10669 //
     /* 1725202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725248 */     // MIs[0] policy
     /* 1725248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1725261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725282 */     // GIR_Coverage, 10669,
     /* 1725282 */     GIR_EraseRootFromParent_Done,
     /* 1725283 */   // Label 23545: @1725283
     /* 1725283 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1725369), // Rule ID 10672 //
     /* 1725288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725334 */     // MIs[0] policy
     /* 1725334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725344 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725368 */     // GIR_Coverage, 10672,
     /* 1725368 */     GIR_EraseRootFromParent_Done,
     /* 1725369 */   // Label 23546: @1725369
     /* 1725369 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1725455), // Rule ID 10673 //
     /* 1725374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725420 */     // MIs[0] policy
     /* 1725420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725454 */     // GIR_Coverage, 10673,
     /* 1725454 */     GIR_EraseRootFromParent_Done,
     /* 1725455 */   // Label 23547: @1725455
     /* 1725455 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1725541), // Rule ID 10676 //
     /* 1725460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725506 */     // MIs[0] policy
     /* 1725506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725540 */     // GIR_Coverage, 10676,
     /* 1725540 */     GIR_EraseRootFromParent_Done,
     /* 1725541 */   // Label 23548: @1725541
     /* 1725541 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1725627), // Rule ID 10677 //
     /* 1725546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725592 */     // MIs[0] policy
     /* 1725592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725626 */     // GIR_Coverage, 10677,
     /* 1725626 */     GIR_EraseRootFromParent_Done,
     /* 1725627 */   // Label 23549: @1725627
     /* 1725627 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1725713), // Rule ID 10680 //
     /* 1725632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725678 */     // MIs[0] policy
     /* 1725678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725712 */     // GIR_Coverage, 10680,
     /* 1725712 */     GIR_EraseRootFromParent_Done,
     /* 1725713 */   // Label 23550: @1725713
     /* 1725713 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1725799), // Rule ID 10681 //
     /* 1725718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725764 */     // MIs[0] policy
     /* 1725764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725798 */     // GIR_Coverage, 10681,
     /* 1725798 */     GIR_EraseRootFromParent_Done,
     /* 1725799 */   // Label 23551: @1725799
     /* 1725799 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1725885), // Rule ID 10684 //
     /* 1725804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725850 */     // MIs[0] policy
     /* 1725850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725884 */     // GIR_Coverage, 10684,
     /* 1725884 */     GIR_EraseRootFromParent_Done,
     /* 1725885 */   // Label 23552: @1725885
     /* 1725885 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1725971), // Rule ID 10685 //
     /* 1725890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725936 */     // MIs[0] policy
     /* 1725936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725970 */     // GIR_Coverage, 10685,
     /* 1725970 */     GIR_EraseRootFromParent_Done,
     /* 1725971 */   // Label 23553: @1725971
     /* 1725971 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1726057), // Rule ID 10688 //
     /* 1725976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726022 */     // MIs[0] policy
     /* 1726022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1726035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726056 */     // GIR_Coverage, 10688,
     /* 1726056 */     GIR_EraseRootFromParent_Done,
     /* 1726057 */   // Label 23554: @1726057
     /* 1726057 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726143), // Rule ID 10689 //
     /* 1726062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1726082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726108 */     // MIs[0] policy
     /* 1726108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1726121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726142 */     // GIR_Coverage, 10689,
     /* 1726142 */     GIR_EraseRootFromParent_Done,
     /* 1726143 */   // Label 23555: @1726143
     /* 1726143 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1726229), // Rule ID 10692 //
     /* 1726148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726194 */     // MIs[0] policy
     /* 1726194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726228 */     // GIR_Coverage, 10692,
     /* 1726228 */     GIR_EraseRootFromParent_Done,
     /* 1726229 */   // Label 23556: @1726229
     /* 1726229 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1726315), // Rule ID 10693 //
     /* 1726234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726280 */     // MIs[0] policy
     /* 1726280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726314 */     // GIR_Coverage, 10693,
     /* 1726314 */     GIR_EraseRootFromParent_Done,
     /* 1726315 */   // Label 23557: @1726315
     /* 1726315 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1726401), // Rule ID 10696 //
     /* 1726320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726366 */     // MIs[0] policy
     /* 1726366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726400 */     // GIR_Coverage, 10696,
     /* 1726400 */     GIR_EraseRootFromParent_Done,
     /* 1726401 */   // Label 23558: @1726401
     /* 1726401 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1726487), // Rule ID 10697 //
     /* 1726406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726452 */     // MIs[0] policy
     /* 1726452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726486 */     // GIR_Coverage, 10697,
     /* 1726486 */     GIR_EraseRootFromParent_Done,
     /* 1726487 */   // Label 23559: @1726487
     /* 1726487 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1726573), // Rule ID 10700 //
     /* 1726492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726538 */     // MIs[0] policy
     /* 1726538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726572 */     // GIR_Coverage, 10700,
     /* 1726572 */     GIR_EraseRootFromParent_Done,
     /* 1726573 */   // Label 23560: @1726573
     /* 1726573 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1726659), // Rule ID 10701 //
     /* 1726578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726624 */     // MIs[0] policy
     /* 1726624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726658 */     // GIR_Coverage, 10701,
     /* 1726658 */     GIR_EraseRootFromParent_Done,
     /* 1726659 */   // Label 23561: @1726659
     /* 1726659 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1726745), // Rule ID 10704 //
     /* 1726664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726710 */     // MIs[0] policy
     /* 1726710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726744 */     // GIR_Coverage, 10704,
     /* 1726744 */     GIR_EraseRootFromParent_Done,
     /* 1726745 */   // Label 23562: @1726745
     /* 1726745 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1726831), // Rule ID 10705 //
     /* 1726750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726796 */     // MIs[0] policy
     /* 1726796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726830 */     // GIR_Coverage, 10705,
     /* 1726830 */     GIR_EraseRootFromParent_Done,
     /* 1726831 */   // Label 23563: @1726831
     /* 1726831 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1726917), // Rule ID 10708 //
     /* 1726836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726882 */     // MIs[0] policy
     /* 1726882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726916 */     // GIR_Coverage, 10708,
     /* 1726916 */     GIR_EraseRootFromParent_Done,
     /* 1726917 */   // Label 23564: @1726917
     /* 1726917 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1727003), // Rule ID 10709 //
     /* 1726922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726968 */     // MIs[0] policy
     /* 1726968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727002 */     // GIR_Coverage, 10709,
     /* 1727002 */     GIR_EraseRootFromParent_Done,
     /* 1727003 */   // Label 23565: @1727003
     /* 1727003 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727089), // Rule ID 10712 //
     /* 1727008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727054 */     // MIs[0] policy
     /* 1727054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727088 */     // GIR_Coverage, 10712,
     /* 1727088 */     GIR_EraseRootFromParent_Done,
     /* 1727089 */   // Label 23566: @1727089
     /* 1727089 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727175), // Rule ID 10713 //
     /* 1727094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727140 */     // MIs[0] policy
     /* 1727140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727150 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727174 */     // GIR_Coverage, 10713,
     /* 1727174 */     GIR_EraseRootFromParent_Done,
     /* 1727175 */   // Label 23567: @1727175
     /* 1727175 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1727261), // Rule ID 10716 //
     /* 1727180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727226 */     // MIs[0] policy
     /* 1727226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727260 */     // GIR_Coverage, 10716,
     /* 1727260 */     GIR_EraseRootFromParent_Done,
     /* 1727261 */   // Label 23568: @1727261
     /* 1727261 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1727347), // Rule ID 10717 //
     /* 1727266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727312 */     // MIs[0] policy
     /* 1727312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727322 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727346 */     // GIR_Coverage, 10717,
     /* 1727346 */     GIR_EraseRootFromParent_Done,
     /* 1727347 */   // Label 23569: @1727347
     /* 1727347 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1727433), // Rule ID 10720 //
     /* 1727352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727398 */     // MIs[0] policy
     /* 1727398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727432 */     // GIR_Coverage, 10720,
     /* 1727432 */     GIR_EraseRootFromParent_Done,
     /* 1727433 */   // Label 23570: @1727433
     /* 1727433 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1727519), // Rule ID 10721 //
     /* 1727438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727484 */     // MIs[0] policy
     /* 1727484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727518 */     // GIR_Coverage, 10721,
     /* 1727518 */     GIR_EraseRootFromParent_Done,
     /* 1727519 */   // Label 23571: @1727519
     /* 1727519 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1727605), // Rule ID 10724 //
     /* 1727524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727570 */     // MIs[0] policy
     /* 1727570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727604 */     // GIR_Coverage, 10724,
     /* 1727604 */     GIR_EraseRootFromParent_Done,
     /* 1727605 */   // Label 23572: @1727605
     /* 1727605 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1727691), // Rule ID 10725 //
     /* 1727610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727656 */     // MIs[0] policy
     /* 1727656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727690 */     // GIR_Coverage, 10725,
     /* 1727690 */     GIR_EraseRootFromParent_Done,
     /* 1727691 */   // Label 23573: @1727691
     /* 1727691 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1727777), // Rule ID 10728 //
     /* 1727696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727742 */     // MIs[0] policy
     /* 1727742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727776 */     // GIR_Coverage, 10728,
     /* 1727776 */     GIR_EraseRootFromParent_Done,
     /* 1727777 */   // Label 23574: @1727777
     /* 1727777 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1727863), // Rule ID 10729 //
     /* 1727782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727828 */     // MIs[0] policy
     /* 1727828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727862 */     // GIR_Coverage, 10729,
     /* 1727862 */     GIR_EraseRootFromParent_Done,
     /* 1727863 */   // Label 23575: @1727863
     /* 1727863 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1727949), // Rule ID 10732 //
     /* 1727868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727914 */     // MIs[0] policy
     /* 1727914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727948 */     // GIR_Coverage, 10732,
     /* 1727948 */     GIR_EraseRootFromParent_Done,
     /* 1727949 */   // Label 23576: @1727949
     /* 1727949 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1728035), // Rule ID 10733 //
     /* 1727954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728000 */     // MIs[0] policy
     /* 1728000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728034 */     // GIR_Coverage, 10733,
     /* 1728034 */     GIR_EraseRootFromParent_Done,
     /* 1728035 */   // Label 23577: @1728035
     /* 1728035 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728121), // Rule ID 10736 //
     /* 1728040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728086 */     // MIs[0] policy
     /* 1728086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728120 */     // GIR_Coverage, 10736,
     /* 1728120 */     GIR_EraseRootFromParent_Done,
     /* 1728121 */   // Label 23578: @1728121
     /* 1728121 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728207), // Rule ID 10737 //
     /* 1728126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728172 */     // MIs[0] policy
     /* 1728172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728206 */     // GIR_Coverage, 10737,
     /* 1728206 */     GIR_EraseRootFromParent_Done,
     /* 1728207 */   // Label 23579: @1728207
     /* 1728207 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1728293), // Rule ID 10740 //
     /* 1728212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728258 */     // MIs[0] policy
     /* 1728258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728292 */     // GIR_Coverage, 10740,
     /* 1728292 */     GIR_EraseRootFromParent_Done,
     /* 1728293 */   // Label 23580: @1728293
     /* 1728293 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1728379), // Rule ID 10741 //
     /* 1728298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728344 */     // MIs[0] policy
     /* 1728344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728378 */     // GIR_Coverage, 10741,
     /* 1728378 */     GIR_EraseRootFromParent_Done,
     /* 1728379 */   // Label 23581: @1728379
     /* 1728379 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1728465), // Rule ID 10744 //
     /* 1728384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728430 */     // MIs[0] policy
     /* 1728430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728464 */     // GIR_Coverage, 10744,
     /* 1728464 */     GIR_EraseRootFromParent_Done,
     /* 1728465 */   // Label 23582: @1728465
     /* 1728465 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1728551), // Rule ID 10745 //
     /* 1728470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728516 */     // MIs[0] policy
     /* 1728516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728550 */     // GIR_Coverage, 10745,
     /* 1728550 */     GIR_EraseRootFromParent_Done,
     /* 1728551 */   // Label 23583: @1728551
     /* 1728551 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1728637), // Rule ID 10748 //
     /* 1728556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728602 */     // MIs[0] policy
     /* 1728602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728636 */     // GIR_Coverage, 10748,
     /* 1728636 */     GIR_EraseRootFromParent_Done,
     /* 1728637 */   // Label 23584: @1728637
     /* 1728637 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1728723), // Rule ID 10749 //
     /* 1728642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728688 */     // MIs[0] policy
     /* 1728688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728722 */     // GIR_Coverage, 10749,
     /* 1728722 */     GIR_EraseRootFromParent_Done,
     /* 1728723 */   // Label 23585: @1728723
     /* 1728723 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1728809), // Rule ID 10752 //
     /* 1728728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728774 */     // MIs[0] policy
     /* 1728774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728808 */     // GIR_Coverage, 10752,
     /* 1728808 */     GIR_EraseRootFromParent_Done,
     /* 1728809 */   // Label 23586: @1728809
     /* 1728809 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1728895), // Rule ID 10753 //
     /* 1728814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728860 */     // MIs[0] policy
     /* 1728860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728870 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728894 */     // GIR_Coverage, 10753,
     /* 1728894 */     GIR_EraseRootFromParent_Done,
     /* 1728895 */   // Label 23587: @1728895
     /* 1728895 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1728981), // Rule ID 10756 //
     /* 1728900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728946 */     // MIs[0] policy
     /* 1728946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728956 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728980 */     // GIR_Coverage, 10756,
     /* 1728980 */     GIR_EraseRootFromParent_Done,
     /* 1728981 */   // Label 23588: @1728981
     /* 1728981 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1729067), // Rule ID 10757 //
     /* 1728986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1729003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729032 */     // MIs[0] policy
     /* 1729032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729042 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1729045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729066 */     // GIR_Coverage, 10757,
     /* 1729066 */     GIR_EraseRootFromParent_Done,
     /* 1729067 */   // Label 23589: @1729067
     /* 1729067 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729153), // Rule ID 10760 //
     /* 1729072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729118 */     // MIs[0] policy
     /* 1729118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729152 */     // GIR_Coverage, 10760,
     /* 1729152 */     GIR_EraseRootFromParent_Done,
     /* 1729153 */   // Label 23590: @1729153
     /* 1729153 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1729239), // Rule ID 10761 //
     /* 1729158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729204 */     // MIs[0] policy
     /* 1729204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729238 */     // GIR_Coverage, 10761,
     /* 1729238 */     GIR_EraseRootFromParent_Done,
     /* 1729239 */   // Label 23591: @1729239
     /* 1729239 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1729325), // Rule ID 10764 //
     /* 1729244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729290 */     // MIs[0] policy
     /* 1729290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729324 */     // GIR_Coverage, 10764,
     /* 1729324 */     GIR_EraseRootFromParent_Done,
     /* 1729325 */   // Label 23592: @1729325
     /* 1729325 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1729411), // Rule ID 10765 //
     /* 1729330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729376 */     // MIs[0] policy
     /* 1729376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729410 */     // GIR_Coverage, 10765,
     /* 1729410 */     GIR_EraseRootFromParent_Done,
     /* 1729411 */   // Label 23593: @1729411
     /* 1729411 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1729497), // Rule ID 10768 //
     /* 1729416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729462 */     // MIs[0] policy
     /* 1729462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729496 */     // GIR_Coverage, 10768,
     /* 1729496 */     GIR_EraseRootFromParent_Done,
     /* 1729497 */   // Label 23594: @1729497
     /* 1729497 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1729583), // Rule ID 10769 //
     /* 1729502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729548 */     // MIs[0] policy
     /* 1729548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729582 */     // GIR_Coverage, 10769,
     /* 1729582 */     GIR_EraseRootFromParent_Done,
     /* 1729583 */   // Label 23595: @1729583
     /* 1729583 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1729669), // Rule ID 10772 //
     /* 1729588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729634 */     // MIs[0] policy
     /* 1729634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729668 */     // GIR_Coverage, 10772,
     /* 1729668 */     GIR_EraseRootFromParent_Done,
     /* 1729669 */   // Label 23596: @1729669
     /* 1729669 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1729755), // Rule ID 10773 //
     /* 1729674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729720 */     // MIs[0] policy
     /* 1729720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729754 */     // GIR_Coverage, 10773,
     /* 1729754 */     GIR_EraseRootFromParent_Done,
     /* 1729755 */   // Label 23597: @1729755
     /* 1729755 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1729841), // Rule ID 10776 //
     /* 1729760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729806 */     // MIs[0] policy
     /* 1729806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729840 */     // GIR_Coverage, 10776,
     /* 1729840 */     GIR_EraseRootFromParent_Done,
     /* 1729841 */   // Label 23598: @1729841
     /* 1729841 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1729927), // Rule ID 10777 //
     /* 1729846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729892 */     // MIs[0] policy
     /* 1729892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729926 */     // GIR_Coverage, 10777,
     /* 1729926 */     GIR_EraseRootFromParent_Done,
     /* 1729927 */   // Label 23599: @1729927
     /* 1729927 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1730013), // Rule ID 10780 //
     /* 1729932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729978 */     // MIs[0] policy
     /* 1729978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730012 */     // GIR_Coverage, 10780,
     /* 1730012 */     GIR_EraseRootFromParent_Done,
     /* 1730013 */   // Label 23600: @1730013
     /* 1730013 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730099), // Rule ID 10781 //
     /* 1730018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1730035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730064 */     // MIs[0] policy
     /* 1730064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730098 */     // GIR_Coverage, 10781,
     /* 1730098 */     GIR_EraseRootFromParent_Done,
     /* 1730099 */   // Label 23601: @1730099
     /* 1730099 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730185), // Rule ID 10784 //
     /* 1730104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730150 */     // MIs[0] policy
     /* 1730150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730184 */     // GIR_Coverage, 10784,
     /* 1730184 */     GIR_EraseRootFromParent_Done,
     /* 1730185 */   // Label 23602: @1730185
     /* 1730185 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1730271), // Rule ID 10785 //
     /* 1730190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730236 */     // MIs[0] policy
     /* 1730236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730270 */     // GIR_Coverage, 10785,
     /* 1730270 */     GIR_EraseRootFromParent_Done,
     /* 1730271 */   // Label 23603: @1730271
     /* 1730271 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1730357), // Rule ID 10788 //
     /* 1730276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730322 */     // MIs[0] policy
     /* 1730322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730356 */     // GIR_Coverage, 10788,
     /* 1730356 */     GIR_EraseRootFromParent_Done,
     /* 1730357 */   // Label 23604: @1730357
     /* 1730357 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1730443), // Rule ID 10789 //
     /* 1730362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730408 */     // MIs[0] policy
     /* 1730408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730442 */     // GIR_Coverage, 10789,
     /* 1730442 */     GIR_EraseRootFromParent_Done,
     /* 1730443 */   // Label 23605: @1730443
     /* 1730443 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1730529), // Rule ID 10792 //
     /* 1730448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730494 */     // MIs[0] policy
     /* 1730494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730528 */     // GIR_Coverage, 10792,
     /* 1730528 */     GIR_EraseRootFromParent_Done,
     /* 1730529 */   // Label 23606: @1730529
     /* 1730529 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1730615), // Rule ID 10793 //
     /* 1730534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730580 */     // MIs[0] policy
     /* 1730580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730614 */     // GIR_Coverage, 10793,
     /* 1730614 */     GIR_EraseRootFromParent_Done,
     /* 1730615 */   // Label 23607: @1730615
     /* 1730615 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1730701), // Rule ID 10796 //
     /* 1730620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730666 */     // MIs[0] policy
     /* 1730666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730700 */     // GIR_Coverage, 10796,
     /* 1730700 */     GIR_EraseRootFromParent_Done,
     /* 1730701 */   // Label 23608: @1730701
     /* 1730701 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1730787), // Rule ID 10797 //
     /* 1730706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730752 */     // MIs[0] policy
     /* 1730752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730786 */     // GIR_Coverage, 10797,
     /* 1730786 */     GIR_EraseRootFromParent_Done,
     /* 1730787 */   // Label 23609: @1730787
     /* 1730787 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1730873), // Rule ID 10800 //
     /* 1730792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730838 */     // MIs[0] policy
     /* 1730838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730872 */     // GIR_Coverage, 10800,
     /* 1730872 */     GIR_EraseRootFromParent_Done,
     /* 1730873 */   // Label 23610: @1730873
     /* 1730873 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1730959), // Rule ID 10801 //
     /* 1730878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730924 */     // MIs[0] policy
     /* 1730924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730934 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730958 */     // GIR_Coverage, 10801,
     /* 1730958 */     GIR_EraseRootFromParent_Done,
     /* 1730959 */   // Label 23611: @1730959
     /* 1730959 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1731045), // Rule ID 10804 //
     /* 1730964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731010 */     // MIs[0] policy
     /* 1731010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731020 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731044 */     // GIR_Coverage, 10804,
     /* 1731044 */     GIR_EraseRootFromParent_Done,
     /* 1731045 */   // Label 23612: @1731045
     /* 1731045 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731131), // Rule ID 10805 //
     /* 1731050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1731067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731096 */     // MIs[0] policy
     /* 1731096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731106 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731130 */     // GIR_Coverage, 10805,
     /* 1731130 */     GIR_EraseRootFromParent_Done,
     /* 1731131 */   // Label 23613: @1731131
     /* 1731131 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1731217), // Rule ID 10808 //
     /* 1731136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731182 */     // MIs[0] policy
     /* 1731182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731216 */     // GIR_Coverage, 10808,
     /* 1731216 */     GIR_EraseRootFromParent_Done,
     /* 1731217 */   // Label 23614: @1731217
     /* 1731217 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1731303), // Rule ID 10809 //
     /* 1731222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731268 */     // MIs[0] policy
     /* 1731268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731302 */     // GIR_Coverage, 10809,
     /* 1731302 */     GIR_EraseRootFromParent_Done,
     /* 1731303 */   // Label 23615: @1731303
     /* 1731303 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1731389), // Rule ID 10812 //
     /* 1731308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731354 */     // MIs[0] policy
     /* 1731354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731388 */     // GIR_Coverage, 10812,
     /* 1731388 */     GIR_EraseRootFromParent_Done,
     /* 1731389 */   // Label 23616: @1731389
     /* 1731389 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1731475), // Rule ID 10813 //
     /* 1731394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731440 */     // MIs[0] policy
     /* 1731440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731450 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731474 */     // GIR_Coverage, 10813,
     /* 1731474 */     GIR_EraseRootFromParent_Done,
     /* 1731475 */   // Label 23617: @1731475
     /* 1731475 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1731561), // Rule ID 10816 //
     /* 1731480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731526 */     // MIs[0] policy
     /* 1731526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731560 */     // GIR_Coverage, 10816,
     /* 1731560 */     GIR_EraseRootFromParent_Done,
     /* 1731561 */   // Label 23618: @1731561
     /* 1731561 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1731647), // Rule ID 10817 //
     /* 1731566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731612 */     // MIs[0] policy
     /* 1731612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731646 */     // GIR_Coverage, 10817,
     /* 1731646 */     GIR_EraseRootFromParent_Done,
     /* 1731647 */   // Label 23619: @1731647
     /* 1731647 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1731733), // Rule ID 10820 //
     /* 1731652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731698 */     // MIs[0] policy
     /* 1731698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731732 */     // GIR_Coverage, 10820,
     /* 1731732 */     GIR_EraseRootFromParent_Done,
     /* 1731733 */   // Label 23620: @1731733
     /* 1731733 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1731819), // Rule ID 10821 //
     /* 1731738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731784 */     // MIs[0] policy
     /* 1731784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731818 */     // GIR_Coverage, 10821,
     /* 1731818 */     GIR_EraseRootFromParent_Done,
     /* 1731819 */   // Label 23621: @1731819
     /* 1731819 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1731905), // Rule ID 10824 //
     /* 1731824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731870 */     // MIs[0] policy
     /* 1731870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731904 */     // GIR_Coverage, 10824,
     /* 1731904 */     GIR_EraseRootFromParent_Done,
     /* 1731905 */   // Label 23622: @1731905
     /* 1731905 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1731991), // Rule ID 10825 //
     /* 1731910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731956 */     // MIs[0] policy
     /* 1731956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731990 */     // GIR_Coverage, 10825,
     /* 1731990 */     GIR_EraseRootFromParent_Done,
     /* 1731991 */   // Label 23623: @1731991
     /* 1731991 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1732077), // Rule ID 10828 //
     /* 1731996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732042 */     // MIs[0] policy
     /* 1732042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732076 */     // GIR_Coverage, 10828,
     /* 1732076 */     GIR_EraseRootFromParent_Done,
     /* 1732077 */   // Label 23624: @1732077
     /* 1732077 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732163), // Rule ID 10829 //
     /* 1732082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732128 */     // MIs[0] policy
     /* 1732128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732162 */     // GIR_Coverage, 10829,
     /* 1732162 */     GIR_EraseRootFromParent_Done,
     /* 1732163 */   // Label 23625: @1732163
     /* 1732163 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1732249), // Rule ID 10832 //
     /* 1732168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732214 */     // MIs[0] policy
     /* 1732214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1732227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732248 */     // GIR_Coverage, 10832,
     /* 1732248 */     GIR_EraseRootFromParent_Done,
     /* 1732249 */   // Label 23626: @1732249
     /* 1732249 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1732335), // Rule ID 10833 //
     /* 1732254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732300 */     // MIs[0] policy
     /* 1732300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1732313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732334 */     // GIR_Coverage, 10833,
     /* 1732334 */     GIR_EraseRootFromParent_Done,
     /* 1732335 */   // Label 23627: @1732335
     /* 1732335 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1732421), // Rule ID 10836 //
     /* 1732340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732386 */     // MIs[0] policy
     /* 1732386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732420 */     // GIR_Coverage, 10836,
     /* 1732420 */     GIR_EraseRootFromParent_Done,
     /* 1732421 */   // Label 23628: @1732421
     /* 1732421 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1732507), // Rule ID 10837 //
     /* 1732426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732472 */     // MIs[0] policy
     /* 1732472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732482 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732506 */     // GIR_Coverage, 10837,
     /* 1732506 */     GIR_EraseRootFromParent_Done,
     /* 1732507 */   // Label 23629: @1732507
     /* 1732507 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1732593), // Rule ID 10840 //
     /* 1732512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732558 */     // MIs[0] policy
     /* 1732558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732568 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732592 */     // GIR_Coverage, 10840,
     /* 1732592 */     GIR_EraseRootFromParent_Done,
     /* 1732593 */   // Label 23630: @1732593
     /* 1732593 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1732679), // Rule ID 10841 //
     /* 1732598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732644 */     // MIs[0] policy
     /* 1732644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732678 */     // GIR_Coverage, 10841,
     /* 1732678 */     GIR_EraseRootFromParent_Done,
     /* 1732679 */   // Label 23631: @1732679
     /* 1732679 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1732765), // Rule ID 10844 //
     /* 1732684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732730 */     // MIs[0] policy
     /* 1732730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732740 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732764 */     // GIR_Coverage, 10844,
     /* 1732764 */     GIR_EraseRootFromParent_Done,
     /* 1732765 */   // Label 23632: @1732765
     /* 1732765 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1732851), // Rule ID 10845 //
     /* 1732770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732816 */     // MIs[0] policy
     /* 1732816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732850 */     // GIR_Coverage, 10845,
     /* 1732850 */     GIR_EraseRootFromParent_Done,
     /* 1732851 */   // Label 23633: @1732851
     /* 1732851 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1732937), // Rule ID 10848 //
     /* 1732856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732902 */     // MIs[0] policy
     /* 1732902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732912 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732936 */     // GIR_Coverage, 10848,
     /* 1732936 */     GIR_EraseRootFromParent_Done,
     /* 1732937 */   // Label 23634: @1732937
     /* 1732937 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1733023), // Rule ID 10849 //
     /* 1732942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732988 */     // MIs[0] policy
     /* 1732988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733022 */     // GIR_Coverage, 10849,
     /* 1733022 */     GIR_EraseRootFromParent_Done,
     /* 1733023 */   // Label 23635: @1733023
     /* 1733023 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733109), // Rule ID 10852 //
     /* 1733028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733074 */     // MIs[0] policy
     /* 1733074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733084 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733108 */     // GIR_Coverage, 10852,
     /* 1733108 */     GIR_EraseRootFromParent_Done,
     /* 1733109 */   // Label 23636: @1733109
     /* 1733109 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733195), // Rule ID 10853 //
     /* 1733114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733160 */     // MIs[0] policy
     /* 1733160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733170 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733194 */     // GIR_Coverage, 10853,
     /* 1733194 */     GIR_EraseRootFromParent_Done,
     /* 1733195 */   // Label 23637: @1733195
     /* 1733195 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1733281), // Rule ID 10856 //
     /* 1733200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733246 */     // MIs[0] policy
     /* 1733246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733256 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733280 */     // GIR_Coverage, 10856,
     /* 1733280 */     GIR_EraseRootFromParent_Done,
     /* 1733281 */   // Label 23638: @1733281
     /* 1733281 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1733367), // Rule ID 10857 //
     /* 1733286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733332 */     // MIs[0] policy
     /* 1733332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1733345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733366 */     // GIR_Coverage, 10857,
     /* 1733366 */     GIR_EraseRootFromParent_Done,
     /* 1733367 */   // Label 23639: @1733367
     /* 1733367 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1733453), // Rule ID 10860 //
     /* 1733372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733418 */     // MIs[0] policy
     /* 1733418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733452 */     // GIR_Coverage, 10860,
     /* 1733452 */     GIR_EraseRootFromParent_Done,
     /* 1733453 */   // Label 23640: @1733453
     /* 1733453 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1733539), // Rule ID 10861 //
     /* 1733458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733504 */     // MIs[0] policy
     /* 1733504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733538 */     // GIR_Coverage, 10861,
     /* 1733538 */     GIR_EraseRootFromParent_Done,
     /* 1733539 */   // Label 23641: @1733539
     /* 1733539 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1733625), // Rule ID 10864 //
     /* 1733544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733590 */     // MIs[0] policy
     /* 1733590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733624 */     // GIR_Coverage, 10864,
     /* 1733624 */     GIR_EraseRootFromParent_Done,
     /* 1733625 */   // Label 23642: @1733625
     /* 1733625 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1733711), // Rule ID 10865 //
     /* 1733630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733676 */     // MIs[0] policy
     /* 1733676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733710 */     // GIR_Coverage, 10865,
     /* 1733710 */     GIR_EraseRootFromParent_Done,
     /* 1733711 */   // Label 23643: @1733711
     /* 1733711 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1733797), // Rule ID 10868 //
     /* 1733716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733762 */     // MIs[0] policy
     /* 1733762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733796 */     // GIR_Coverage, 10868,
     /* 1733796 */     GIR_EraseRootFromParent_Done,
     /* 1733797 */   // Label 23644: @1733797
     /* 1733797 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1733883), // Rule ID 10869 //
     /* 1733802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733848 */     // MIs[0] policy
     /* 1733848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733882 */     // GIR_Coverage, 10869,
     /* 1733882 */     GIR_EraseRootFromParent_Done,
     /* 1733883 */   // Label 23645: @1733883
     /* 1733883 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1733969), // Rule ID 10872 //
     /* 1733888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733934 */     // MIs[0] policy
     /* 1733934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733968 */     // GIR_Coverage, 10872,
     /* 1733968 */     GIR_EraseRootFromParent_Done,
     /* 1733969 */   // Label 23646: @1733969
     /* 1733969 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1734055), // Rule ID 10873 //
     /* 1733974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734020 */     // MIs[0] policy
     /* 1734020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734054 */     // GIR_Coverage, 10873,
     /* 1734054 */     GIR_EraseRootFromParent_Done,
     /* 1734055 */   // Label 23647: @1734055
     /* 1734055 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734141), // Rule ID 10876 //
     /* 1734060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734106 */     // MIs[0] policy
     /* 1734106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734140 */     // GIR_Coverage, 10876,
     /* 1734140 */     GIR_EraseRootFromParent_Done,
     /* 1734141 */   // Label 23648: @1734141
     /* 1734141 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1734227), // Rule ID 10877 //
     /* 1734146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734192 */     // MIs[0] policy
     /* 1734192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734226 */     // GIR_Coverage, 10877,
     /* 1734226 */     GIR_EraseRootFromParent_Done,
     /* 1734227 */   // Label 23649: @1734227
     /* 1734227 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1734313), // Rule ID 10880 //
     /* 1734232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734278 */     // MIs[0] policy
     /* 1734278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734312 */     // GIR_Coverage, 10880,
     /* 1734312 */     GIR_EraseRootFromParent_Done,
     /* 1734313 */   // Label 23650: @1734313
     /* 1734313 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1734399), // Rule ID 10881 //
     /* 1734318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734364 */     // MIs[0] policy
     /* 1734364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1734377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734398 */     // GIR_Coverage, 10881,
     /* 1734398 */     GIR_EraseRootFromParent_Done,
     /* 1734399 */   // Label 23651: @1734399
     /* 1734399 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1734485), // Rule ID 10884 //
     /* 1734404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734450 */     // MIs[0] policy
     /* 1734450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734460 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734484 */     // GIR_Coverage, 10884,
     /* 1734484 */     GIR_EraseRootFromParent_Done,
     /* 1734485 */   // Label 23652: @1734485
     /* 1734485 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1734571), // Rule ID 10885 //
     /* 1734490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734536 */     // MIs[0] policy
     /* 1734536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734570 */     // GIR_Coverage, 10885,
     /* 1734570 */     GIR_EraseRootFromParent_Done,
     /* 1734571 */   // Label 23653: @1734571
     /* 1734571 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1734657), // Rule ID 10888 //
     /* 1734576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734622 */     // MIs[0] policy
     /* 1734622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734632 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734656 */     // GIR_Coverage, 10888,
     /* 1734656 */     GIR_EraseRootFromParent_Done,
     /* 1734657 */   // Label 23654: @1734657
     /* 1734657 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1734743), // Rule ID 10889 //
     /* 1734662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734708 */     // MIs[0] policy
     /* 1734708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734742 */     // GIR_Coverage, 10889,
     /* 1734742 */     GIR_EraseRootFromParent_Done,
     /* 1734743 */   // Label 23655: @1734743
     /* 1734743 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1734829), // Rule ID 10892 //
     /* 1734748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734794 */     // MIs[0] policy
     /* 1734794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734804 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734828 */     // GIR_Coverage, 10892,
     /* 1734828 */     GIR_EraseRootFromParent_Done,
     /* 1734829 */   // Label 23656: @1734829
     /* 1734829 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1734915), // Rule ID 10893 //
     /* 1734834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734880 */     // MIs[0] policy
     /* 1734880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734890 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734914 */     // GIR_Coverage, 10893,
     /* 1734914 */     GIR_EraseRootFromParent_Done,
     /* 1734915 */   // Label 23657: @1734915
     /* 1734915 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1735001), // Rule ID 10896 //
     /* 1734920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734966 */     // MIs[0] policy
     /* 1734966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735000 */     // GIR_Coverage, 10896,
     /* 1735000 */     GIR_EraseRootFromParent_Done,
     /* 1735001 */   // Label 23658: @1735001
     /* 1735001 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735087), // Rule ID 10897 //
     /* 1735006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1735026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735052 */     // MIs[0] policy
     /* 1735052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735086 */     // GIR_Coverage, 10897,
     /* 1735086 */     GIR_EraseRootFromParent_Done,
     /* 1735087 */   // Label 23659: @1735087
     /* 1735087 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735173), // Rule ID 10900 //
     /* 1735092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735138 */     // MIs[0] policy
     /* 1735138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735172 */     // GIR_Coverage, 10900,
     /* 1735172 */     GIR_EraseRootFromParent_Done,
     /* 1735173 */   // Label 23660: @1735173
     /* 1735173 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1735259), // Rule ID 10901 //
     /* 1735178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735224 */     // MIs[0] policy
     /* 1735224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735258 */     // GIR_Coverage, 10901,
     /* 1735258 */     GIR_EraseRootFromParent_Done,
     /* 1735259 */   // Label 23661: @1735259
     /* 1735259 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1735345), // Rule ID 10904 //
     /* 1735264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735310 */     // MIs[0] policy
     /* 1735310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735344 */     // GIR_Coverage, 10904,
     /* 1735344 */     GIR_EraseRootFromParent_Done,
     /* 1735345 */   // Label 23662: @1735345
     /* 1735345 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1735431), // Rule ID 10905 //
     /* 1735350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735396 */     // MIs[0] policy
     /* 1735396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735430 */     // GIR_Coverage, 10905,
     /* 1735430 */     GIR_EraseRootFromParent_Done,
     /* 1735431 */   // Label 23663: @1735431
     /* 1735431 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1735517), // Rule ID 10908 //
     /* 1735436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735482 */     // MIs[0] policy
     /* 1735482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735516 */     // GIR_Coverage, 10908,
     /* 1735516 */     GIR_EraseRootFromParent_Done,
     /* 1735517 */   // Label 23664: @1735517
     /* 1735517 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1735603), // Rule ID 10909 //
     /* 1735522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735568 */     // MIs[0] policy
     /* 1735568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735602 */     // GIR_Coverage, 10909,
     /* 1735602 */     GIR_EraseRootFromParent_Done,
     /* 1735603 */   // Label 23665: @1735603
     /* 1735603 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1735689), // Rule ID 10912 //
     /* 1735608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735654 */     // MIs[0] policy
     /* 1735654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735688 */     // GIR_Coverage, 10912,
     /* 1735688 */     GIR_EraseRootFromParent_Done,
     /* 1735689 */   // Label 23666: @1735689
     /* 1735689 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1735775), // Rule ID 10913 //
     /* 1735694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735740 */     // MIs[0] policy
     /* 1735740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735774 */     // GIR_Coverage, 10913,
     /* 1735774 */     GIR_EraseRootFromParent_Done,
     /* 1735775 */   // Label 23667: @1735775
     /* 1735775 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1735861), // Rule ID 10916 //
     /* 1735780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735826 */     // MIs[0] policy
     /* 1735826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735860 */     // GIR_Coverage, 10916,
     /* 1735860 */     GIR_EraseRootFromParent_Done,
     /* 1735861 */   // Label 23668: @1735861
     /* 1735861 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1735947), // Rule ID 10917 //
     /* 1735866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735912 */     // MIs[0] policy
     /* 1735912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735946 */     // GIR_Coverage, 10917,
     /* 1735946 */     GIR_EraseRootFromParent_Done,
     /* 1735947 */   // Label 23669: @1735947
     /* 1735947 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1736033), // Rule ID 10920 //
     /* 1735952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735998 */     // MIs[0] policy
     /* 1735998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1736011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736032 */     // GIR_Coverage, 10920,
     /* 1736032 */     GIR_EraseRootFromParent_Done,
     /* 1736033 */   // Label 23670: @1736033
     /* 1736033 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736119), // Rule ID 10921 //
     /* 1736038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1736058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736084 */     // MIs[0] policy
     /* 1736084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1736097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736118 */     // GIR_Coverage, 10921,
     /* 1736118 */     GIR_EraseRootFromParent_Done,
     /* 1736119 */   // Label 23671: @1736119
     /* 1736119 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736205), // Rule ID 10924 //
     /* 1736124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736170 */     // MIs[0] policy
     /* 1736170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1736183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736204 */     // GIR_Coverage, 10924,
     /* 1736204 */     GIR_EraseRootFromParent_Done,
     /* 1736205 */   // Label 23672: @1736205
     /* 1736205 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1736291), // Rule ID 10925 //
     /* 1736210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736256 */     // MIs[0] policy
     /* 1736256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1736269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736290 */     // GIR_Coverage, 10925,
     /* 1736290 */     GIR_EraseRootFromParent_Done,
     /* 1736291 */   // Label 23673: @1736291
     /* 1736291 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1736377), // Rule ID 10928 //
     /* 1736296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736342 */     // MIs[0] policy
     /* 1736342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736376 */     // GIR_Coverage, 10928,
     /* 1736376 */     GIR_EraseRootFromParent_Done,
     /* 1736377 */   // Label 23674: @1736377
     /* 1736377 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1736463), // Rule ID 10929 //
     /* 1736382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736428 */     // MIs[0] policy
     /* 1736428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736462 */     // GIR_Coverage, 10929,
     /* 1736462 */     GIR_EraseRootFromParent_Done,
     /* 1736463 */   // Label 23675: @1736463
     /* 1736463 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1736549), // Rule ID 10932 //
     /* 1736468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736514 */     // MIs[0] policy
     /* 1736514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736548 */     // GIR_Coverage, 10932,
     /* 1736548 */     GIR_EraseRootFromParent_Done,
     /* 1736549 */   // Label 23676: @1736549
     /* 1736549 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1736635), // Rule ID 10933 //
     /* 1736554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736600 */     // MIs[0] policy
     /* 1736600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736634 */     // GIR_Coverage, 10933,
     /* 1736634 */     GIR_EraseRootFromParent_Done,
     /* 1736635 */   // Label 23677: @1736635
     /* 1736635 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1736721), // Rule ID 10936 //
     /* 1736640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736686 */     // MIs[0] policy
     /* 1736686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736720 */     // GIR_Coverage, 10936,
     /* 1736720 */     GIR_EraseRootFromParent_Done,
     /* 1736721 */   // Label 23678: @1736721
     /* 1736721 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1736807), // Rule ID 10937 //
     /* 1736726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736772 */     // MIs[0] policy
     /* 1736772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736782 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736806 */     // GIR_Coverage, 10937,
     /* 1736806 */     GIR_EraseRootFromParent_Done,
     /* 1736807 */   // Label 23679: @1736807
     /* 1736807 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1736893), // Rule ID 10940 //
     /* 1736812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736858 */     // MIs[0] policy
     /* 1736858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736892 */     // GIR_Coverage, 10940,
     /* 1736892 */     GIR_EraseRootFromParent_Done,
     /* 1736893 */   // Label 23680: @1736893
     /* 1736893 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1736979), // Rule ID 10941 //
     /* 1736898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736944 */     // MIs[0] policy
     /* 1736944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736978 */     // GIR_Coverage, 10941,
     /* 1736978 */     GIR_EraseRootFromParent_Done,
     /* 1736979 */   // Label 23681: @1736979
     /* 1736979 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1737065), // Rule ID 10944 //
     /* 1736984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737030 */     // MIs[0] policy
     /* 1737030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1737043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737064 */     // GIR_Coverage, 10944,
     /* 1737064 */     GIR_EraseRootFromParent_Done,
     /* 1737065 */   // Label 23682: @1737065
     /* 1737065 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737151), // Rule ID 10945 //
     /* 1737070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737116 */     // MIs[0] policy
     /* 1737116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1737129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737150 */     // GIR_Coverage, 10945,
     /* 1737150 */     GIR_EraseRootFromParent_Done,
     /* 1737151 */   // Label 23683: @1737151
     /* 1737151 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1737237), // Rule ID 10948 //
     /* 1737156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737202 */     // MIs[0] policy
     /* 1737202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737236 */     // GIR_Coverage, 10948,
     /* 1737236 */     GIR_EraseRootFromParent_Done,
     /* 1737237 */   // Label 23684: @1737237
     /* 1737237 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1737323), // Rule ID 10949 //
     /* 1737242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737288 */     // MIs[0] policy
     /* 1737288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737298 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737322 */     // GIR_Coverage, 10949,
     /* 1737322 */     GIR_EraseRootFromParent_Done,
     /* 1737323 */   // Label 23685: @1737323
     /* 1737323 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1737409), // Rule ID 10952 //
     /* 1737328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737374 */     // MIs[0] policy
     /* 1737374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737408 */     // GIR_Coverage, 10952,
     /* 1737408 */     GIR_EraseRootFromParent_Done,
     /* 1737409 */   // Label 23686: @1737409
     /* 1737409 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1737495), // Rule ID 10953 //
     /* 1737414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737460 */     // MIs[0] policy
     /* 1737460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737494 */     // GIR_Coverage, 10953,
     /* 1737494 */     GIR_EraseRootFromParent_Done,
     /* 1737495 */   // Label 23687: @1737495
     /* 1737495 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1737581), // Rule ID 10956 //
     /* 1737500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737546 */     // MIs[0] policy
     /* 1737546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737580 */     // GIR_Coverage, 10956,
     /* 1737580 */     GIR_EraseRootFromParent_Done,
     /* 1737581 */   // Label 23688: @1737581
     /* 1737581 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1737667), // Rule ID 10957 //
     /* 1737586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737632 */     // MIs[0] policy
     /* 1737632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737666 */     // GIR_Coverage, 10957,
     /* 1737666 */     GIR_EraseRootFromParent_Done,
     /* 1737667 */   // Label 23689: @1737667
     /* 1737667 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1737753), // Rule ID 10960 //
     /* 1737672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737718 */     // MIs[0] policy
     /* 1737718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737752 */     // GIR_Coverage, 10960,
     /* 1737752 */     GIR_EraseRootFromParent_Done,
     /* 1737753 */   // Label 23690: @1737753
     /* 1737753 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1737839), // Rule ID 10961 //
     /* 1737758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737804 */     // MIs[0] policy
     /* 1737804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737838 */     // GIR_Coverage, 10961,
     /* 1737838 */     GIR_EraseRootFromParent_Done,
     /* 1737839 */   // Label 23691: @1737839
     /* 1737839 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1737925), // Rule ID 10964 //
     /* 1737844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737890 */     // MIs[0] policy
     /* 1737890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737924 */     // GIR_Coverage, 10964,
     /* 1737924 */     GIR_EraseRootFromParent_Done,
     /* 1737925 */   // Label 23692: @1737925
     /* 1737925 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1738011), // Rule ID 10965 //
     /* 1737930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737976 */     // MIs[0] policy
     /* 1737976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738010 */     // GIR_Coverage, 10965,
     /* 1738010 */     GIR_EraseRootFromParent_Done,
     /* 1738011 */   // Label 23693: @1738011
     /* 1738011 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738097), // Rule ID 10968 //
     /* 1738016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738062 */     // MIs[0] policy
     /* 1738062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1738075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738096 */     // GIR_Coverage, 10968,
     /* 1738096 */     GIR_EraseRootFromParent_Done,
     /* 1738097 */   // Label 23694: @1738097
     /* 1738097 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738183), // Rule ID 10969 //
     /* 1738102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738148 */     // MIs[0] policy
     /* 1738148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1738161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738182 */     // GIR_Coverage, 10969,
     /* 1738182 */     GIR_EraseRootFromParent_Done,
     /* 1738183 */   // Label 23695: @1738183
     /* 1738183 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1738269), // Rule ID 10972 //
     /* 1738188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738234 */     // MIs[0] policy
     /* 1738234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738268 */     // GIR_Coverage, 10972,
     /* 1738268 */     GIR_EraseRootFromParent_Done,
     /* 1738269 */   // Label 23696: @1738269
     /* 1738269 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1738355), // Rule ID 10973 //
     /* 1738274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738320 */     // MIs[0] policy
     /* 1738320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738354 */     // GIR_Coverage, 10973,
     /* 1738354 */     GIR_EraseRootFromParent_Done,
     /* 1738355 */   // Label 23697: @1738355
     /* 1738355 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1738441), // Rule ID 10976 //
     /* 1738360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738406 */     // MIs[0] policy
     /* 1738406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738416 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738440 */     // GIR_Coverage, 10976,
     /* 1738440 */     GIR_EraseRootFromParent_Done,
     /* 1738441 */   // Label 23698: @1738441
     /* 1738441 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1738527), // Rule ID 10977 //
     /* 1738446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738492 */     // MIs[0] policy
     /* 1738492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738526 */     // GIR_Coverage, 10977,
     /* 1738526 */     GIR_EraseRootFromParent_Done,
     /* 1738527 */   // Label 23699: @1738527
     /* 1738527 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1738613), // Rule ID 10980 //
     /* 1738532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738578 */     // MIs[0] policy
     /* 1738578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738612 */     // GIR_Coverage, 10980,
     /* 1738612 */     GIR_EraseRootFromParent_Done,
     /* 1738613 */   // Label 23700: @1738613
     /* 1738613 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1738699), // Rule ID 10981 //
     /* 1738618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738664 */     // MIs[0] policy
     /* 1738664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738674 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738698 */     // GIR_Coverage, 10981,
     /* 1738698 */     GIR_EraseRootFromParent_Done,
     /* 1738699 */   // Label 23701: @1738699
     /* 1738699 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1738785), // Rule ID 10984 //
     /* 1738704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738750 */     // MIs[0] policy
     /* 1738750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738784 */     // GIR_Coverage, 10984,
     /* 1738784 */     GIR_EraseRootFromParent_Done,
     /* 1738785 */   // Label 23702: @1738785
     /* 1738785 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1738871), // Rule ID 10985 //
     /* 1738790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738836 */     // MIs[0] policy
     /* 1738836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738870 */     // GIR_Coverage, 10985,
     /* 1738870 */     GIR_EraseRootFromParent_Done,
     /* 1738871 */   // Label 23703: @1738871
     /* 1738871 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1738957), // Rule ID 10988 //
     /* 1738876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738922 */     // MIs[0] policy
     /* 1738922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738956 */     // GIR_Coverage, 10988,
     /* 1738956 */     GIR_EraseRootFromParent_Done,
     /* 1738957 */   // Label 23704: @1738957
     /* 1738957 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1739043), // Rule ID 10989 //
     /* 1738962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739008 */     // MIs[0] policy
     /* 1739008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739042 */     // GIR_Coverage, 10989,
     /* 1739042 */     GIR_EraseRootFromParent_Done,
     /* 1739043 */   // Label 23705: @1739043
     /* 1739043 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739129), // Rule ID 10992 //
     /* 1739048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739094 */     // MIs[0] policy
     /* 1739094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739128 */     // GIR_Coverage, 10992,
     /* 1739128 */     GIR_EraseRootFromParent_Done,
     /* 1739129 */   // Label 23706: @1739129
     /* 1739129 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1739215), // Rule ID 10993 //
     /* 1739134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739180 */     // MIs[0] policy
     /* 1739180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739214 */     // GIR_Coverage, 10993,
     /* 1739214 */     GIR_EraseRootFromParent_Done,
     /* 1739215 */   // Label 23707: @1739215
     /* 1739215 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1739301), // Rule ID 10996 //
     /* 1739220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739266 */     // MIs[0] policy
     /* 1739266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739300 */     // GIR_Coverage, 10996,
     /* 1739300 */     GIR_EraseRootFromParent_Done,
     /* 1739301 */   // Label 23708: @1739301
     /* 1739301 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1739387), // Rule ID 10997 //
     /* 1739306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739352 */     // MIs[0] policy
     /* 1739352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739386 */     // GIR_Coverage, 10997,
     /* 1739386 */     GIR_EraseRootFromParent_Done,
     /* 1739387 */   // Label 23709: @1739387
     /* 1739387 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1739473), // Rule ID 11000 //
     /* 1739392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739438 */     // MIs[0] policy
     /* 1739438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739472 */     // GIR_Coverage, 11000,
     /* 1739472 */     GIR_EraseRootFromParent_Done,
     /* 1739473 */   // Label 23710: @1739473
     /* 1739473 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1739559), // Rule ID 11001 //
     /* 1739478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739524 */     // MIs[0] policy
     /* 1739524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739558 */     // GIR_Coverage, 11001,
     /* 1739558 */     GIR_EraseRootFromParent_Done,
     /* 1739559 */   // Label 23711: @1739559
     /* 1739559 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1739645), // Rule ID 11004 //
     /* 1739564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739610 */     // MIs[0] policy
     /* 1739610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739620 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739644 */     // GIR_Coverage, 11004,
     /* 1739644 */     GIR_EraseRootFromParent_Done,
     /* 1739645 */   // Label 23712: @1739645
     /* 1739645 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1739731), // Rule ID 11005 //
     /* 1739650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739696 */     // MIs[0] policy
     /* 1739696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739730 */     // GIR_Coverage, 11005,
     /* 1739730 */     GIR_EraseRootFromParent_Done,
     /* 1739731 */   // Label 23713: @1739731
     /* 1739731 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1739817), // Rule ID 11008 //
     /* 1739736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739782 */     // MIs[0] policy
     /* 1739782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739816 */     // GIR_Coverage, 11008,
     /* 1739816 */     GIR_EraseRootFromParent_Done,
     /* 1739817 */   // Label 23714: @1739817
     /* 1739817 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1739903), // Rule ID 11009 //
     /* 1739822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739868 */     // MIs[0] policy
     /* 1739868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739902 */     // GIR_Coverage, 11009,
     /* 1739902 */     GIR_EraseRootFromParent_Done,
     /* 1739903 */   // Label 23715: @1739903
     /* 1739903 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1739989), // Rule ID 11012 //
     /* 1739908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739954 */     // MIs[0] policy
     /* 1739954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739988 */     // GIR_Coverage, 11012,
     /* 1739988 */     GIR_EraseRootFromParent_Done,
     /* 1739989 */   // Label 23716: @1739989
     /* 1739989 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1740075), // Rule ID 11013 //
     /* 1739994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1740011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740040 */     // MIs[0] policy
     /* 1740040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1740053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740074 */     // GIR_Coverage, 11013,
     /* 1740074 */     GIR_EraseRootFromParent_Done,
     /* 1740075 */   // Label 23717: @1740075
     /* 1740075 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740161), // Rule ID 11016 //
     /* 1740080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740126 */     // MIs[0] policy
     /* 1740126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1740139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740160 */     // GIR_Coverage, 11016,
     /* 1740160 */     GIR_EraseRootFromParent_Done,
     /* 1740161 */   // Label 23718: @1740161
     /* 1740161 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1740247), // Rule ID 11017 //
     /* 1740166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740212 */     // MIs[0] policy
     /* 1740212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1740225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740246 */     // GIR_Coverage, 11017,
     /* 1740246 */     GIR_EraseRootFromParent_Done,
     /* 1740247 */   // Label 23719: @1740247
     /* 1740247 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1740333), // Rule ID 11020 //
     /* 1740252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740298 */     // MIs[0] policy
     /* 1740298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1740311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740332 */     // GIR_Coverage, 11020,
     /* 1740332 */     GIR_EraseRootFromParent_Done,
     /* 1740333 */   // Label 23720: @1740333
     /* 1740333 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1740419), // Rule ID 11021 //
     /* 1740338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740384 */     // MIs[0] policy
     /* 1740384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1740397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740418 */     // GIR_Coverage, 11021,
     /* 1740418 */     GIR_EraseRootFromParent_Done,
     /* 1740419 */   // Label 23721: @1740419
     /* 1740419 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1740505), // Rule ID 11024 //
     /* 1740424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740470 */     // MIs[0] policy
     /* 1740470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740504 */     // GIR_Coverage, 11024,
     /* 1740504 */     GIR_EraseRootFromParent_Done,
     /* 1740505 */   // Label 23722: @1740505
     /* 1740505 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1740591), // Rule ID 11025 //
     /* 1740510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740556 */     // MIs[0] policy
     /* 1740556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740590 */     // GIR_Coverage, 11025,
     /* 1740590 */     GIR_EraseRootFromParent_Done,
     /* 1740591 */   // Label 23723: @1740591
     /* 1740591 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1740677), // Rule ID 11028 //
     /* 1740596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740642 */     // MIs[0] policy
     /* 1740642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740676 */     // GIR_Coverage, 11028,
     /* 1740676 */     GIR_EraseRootFromParent_Done,
     /* 1740677 */   // Label 23724: @1740677
     /* 1740677 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1740763), // Rule ID 11029 //
     /* 1740682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740728 */     // MIs[0] policy
     /* 1740728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740762 */     // GIR_Coverage, 11029,
     /* 1740762 */     GIR_EraseRootFromParent_Done,
     /* 1740763 */   // Label 23725: @1740763
     /* 1740763 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1740849), // Rule ID 11032 //
     /* 1740768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740814 */     // MIs[0] policy
     /* 1740814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740848 */     // GIR_Coverage, 11032,
     /* 1740848 */     GIR_EraseRootFromParent_Done,
     /* 1740849 */   // Label 23726: @1740849
     /* 1740849 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1740935), // Rule ID 11033 //
     /* 1740854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740900 */     // MIs[0] policy
     /* 1740900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740934 */     // GIR_Coverage, 11033,
     /* 1740934 */     GIR_EraseRootFromParent_Done,
     /* 1740935 */   // Label 23727: @1740935
     /* 1740935 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1741021), // Rule ID 11036 //
     /* 1740940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740986 */     // MIs[0] policy
     /* 1740986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741020 */     // GIR_Coverage, 11036,
     /* 1741020 */     GIR_EraseRootFromParent_Done,
     /* 1741021 */   // Label 23728: @1741021
     /* 1741021 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741107), // Rule ID 11037 //
     /* 1741026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1741037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1741040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1741046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741072 */     // MIs[0] policy
     /* 1741072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741106 */     // GIR_Coverage, 11037,
     /* 1741106 */     GIR_EraseRootFromParent_Done,
     /* 1741107 */   // Label 23729: @1741107
     /* 1741107 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741193), // Rule ID 11040 //
     /* 1741112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1741132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741158 */     // MIs[0] policy
     /* 1741158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741192 */     // GIR_Coverage, 11040,
     /* 1741192 */     GIR_EraseRootFromParent_Done,
     /* 1741193 */   // Label 23730: @1741193
     /* 1741193 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1741279), // Rule ID 11041 //
     /* 1741198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1741218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741244 */     // MIs[0] policy
     /* 1741244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1741257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741278 */     // GIR_Coverage, 11041,
     /* 1741278 */     GIR_EraseRootFromParent_Done,
     /* 1741279 */   // Label 23731: @1741279
     /* 1741279 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1741365), // Rule ID 11044 //
     /* 1741284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741330 */     // MIs[0] policy
     /* 1741330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741364 */     // GIR_Coverage, 11044,
     /* 1741364 */     GIR_EraseRootFromParent_Done,
     /* 1741365 */   // Label 23732: @1741365
     /* 1741365 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1741451), // Rule ID 11045 //
     /* 1741370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741416 */     // MIs[0] policy
     /* 1741416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741450 */     // GIR_Coverage, 11045,
     /* 1741450 */     GIR_EraseRootFromParent_Done,
     /* 1741451 */   // Label 23733: @1741451
     /* 1741451 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1741537), // Rule ID 11048 //
     /* 1741456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741502 */     // MIs[0] policy
     /* 1741502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741536 */     // GIR_Coverage, 11048,
     /* 1741536 */     GIR_EraseRootFromParent_Done,
     /* 1741537 */   // Label 23734: @1741537
     /* 1741537 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1741623), // Rule ID 11049 //
     /* 1741542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741588 */     // MIs[0] policy
     /* 1741588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741622 */     // GIR_Coverage, 11049,
     /* 1741622 */     GIR_EraseRootFromParent_Done,
     /* 1741623 */   // Label 23735: @1741623
     /* 1741623 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1741709), // Rule ID 11052 //
     /* 1741628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741674 */     // MIs[0] policy
     /* 1741674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741708 */     // GIR_Coverage, 11052,
     /* 1741708 */     GIR_EraseRootFromParent_Done,
     /* 1741709 */   // Label 23736: @1741709
     /* 1741709 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1741795), // Rule ID 11053 //
     /* 1741714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741760 */     // MIs[0] policy
     /* 1741760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741794 */     // GIR_Coverage, 11053,
     /* 1741794 */     GIR_EraseRootFromParent_Done,
     /* 1741795 */   // Label 23737: @1741795
     /* 1741795 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1741881), // Rule ID 11056 //
     /* 1741800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741846 */     // MIs[0] policy
     /* 1741846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741880 */     // GIR_Coverage, 11056,
     /* 1741880 */     GIR_EraseRootFromParent_Done,
     /* 1741881 */   // Label 23738: @1741881
     /* 1741881 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1741967), // Rule ID 11057 //
     /* 1741886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741932 */     // MIs[0] policy
     /* 1741932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741966 */     // GIR_Coverage, 11057,
     /* 1741966 */     GIR_EraseRootFromParent_Done,
     /* 1741967 */   // Label 23739: @1741967
     /* 1741967 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1742053), // Rule ID 11060 //
     /* 1741972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742018 */     // MIs[0] policy
     /* 1742018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742052 */     // GIR_Coverage, 11060,
     /* 1742052 */     GIR_EraseRootFromParent_Done,
     /* 1742053 */   // Label 23740: @1742053
     /* 1742053 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742139), // Rule ID 11061 //
     /* 1742058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1742078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742104 */     // MIs[0] policy
     /* 1742104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742138 */     // GIR_Coverage, 11061,
     /* 1742138 */     GIR_EraseRootFromParent_Done,
     /* 1742139 */   // Label 23741: @1742139
     /* 1742139 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1742225), // Rule ID 11064 //
     /* 1742144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742190 */     // MIs[0] policy
     /* 1742190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742200 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742224 */     // GIR_Coverage, 11064,
     /* 1742224 */     GIR_EraseRootFromParent_Done,
     /* 1742225 */   // Label 23742: @1742225
     /* 1742225 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1742311), // Rule ID 11065 //
     /* 1742230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742276 */     // MIs[0] policy
     /* 1742276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742310 */     // GIR_Coverage, 11065,
     /* 1742310 */     GIR_EraseRootFromParent_Done,
     /* 1742311 */   // Label 23743: @1742311
     /* 1742311 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1742397), // Rule ID 11068 //
     /* 1742316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742362 */     // MIs[0] policy
     /* 1742362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742396 */     // GIR_Coverage, 11068,
     /* 1742396 */     GIR_EraseRootFromParent_Done,
     /* 1742397 */   // Label 23744: @1742397
     /* 1742397 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1742483), // Rule ID 11069 //
     /* 1742402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742448 */     // MIs[0] policy
     /* 1742448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742482 */     // GIR_Coverage, 11069,
     /* 1742482 */     GIR_EraseRootFromParent_Done,
     /* 1742483 */   // Label 23745: @1742483
     /* 1742483 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1742569), // Rule ID 11072 //
     /* 1742488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742534 */     // MIs[0] policy
     /* 1742534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742568 */     // GIR_Coverage, 11072,
     /* 1742568 */     GIR_EraseRootFromParent_Done,
     /* 1742569 */   // Label 23746: @1742569
     /* 1742569 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1742655), // Rule ID 11073 //
     /* 1742574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742620 */     // MIs[0] policy
     /* 1742620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742654 */     // GIR_Coverage, 11073,
     /* 1742654 */     GIR_EraseRootFromParent_Done,
     /* 1742655 */   // Label 23747: @1742655
     /* 1742655 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1742741), // Rule ID 11076 //
     /* 1742660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742706 */     // MIs[0] policy
     /* 1742706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742740 */     // GIR_Coverage, 11076,
     /* 1742740 */     GIR_EraseRootFromParent_Done,
     /* 1742741 */   // Label 23748: @1742741
     /* 1742741 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1742827), // Rule ID 11077 //
     /* 1742746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742792 */     // MIs[0] policy
     /* 1742792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742826 */     // GIR_Coverage, 11077,
     /* 1742826 */     GIR_EraseRootFromParent_Done,
     /* 1742827 */   // Label 23749: @1742827
     /* 1742827 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1742913), // Rule ID 11080 //
     /* 1742832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742878 */     // MIs[0] policy
     /* 1742878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742912 */     // GIR_Coverage, 11080,
     /* 1742912 */     GIR_EraseRootFromParent_Done,
     /* 1742913 */   // Label 23750: @1742913
     /* 1742913 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1742999), // Rule ID 11081 //
     /* 1742918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742964 */     // MIs[0] policy
     /* 1742964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742998 */     // GIR_Coverage, 11081,
     /* 1742998 */     GIR_EraseRootFromParent_Done,
     /* 1742999 */   // Label 23751: @1742999
     /* 1742999 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1743085), // Rule ID 11084 //
     /* 1743004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743050 */     // MIs[0] policy
     /* 1743050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1743063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743084 */     // GIR_Coverage, 11084,
     /* 1743084 */     GIR_EraseRootFromParent_Done,
     /* 1743085 */   // Label 23752: @1743085
     /* 1743085 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743171), // Rule ID 11085 //
     /* 1743090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743136 */     // MIs[0] policy
     /* 1743136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1743149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743170 */     // GIR_Coverage, 11085,
     /* 1743170 */     GIR_EraseRootFromParent_Done,
     /* 1743171 */   // Label 23753: @1743171
     /* 1743171 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1743257), // Rule ID 11088 //
     /* 1743176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743222 */     // MIs[0] policy
     /* 1743222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1743235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743256 */     // GIR_Coverage, 11088,
     /* 1743256 */     GIR_EraseRootFromParent_Done,
     /* 1743257 */   // Label 23754: @1743257
     /* 1743257 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1743343), // Rule ID 11089 //
     /* 1743262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743308 */     // MIs[0] policy
     /* 1743308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1743321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743342 */     // GIR_Coverage, 11089,
     /* 1743342 */     GIR_EraseRootFromParent_Done,
     /* 1743343 */   // Label 23755: @1743343
     /* 1743343 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1743429), // Rule ID 11092 //
     /* 1743348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743394 */     // MIs[0] policy
     /* 1743394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743428 */     // GIR_Coverage, 11092,
     /* 1743428 */     GIR_EraseRootFromParent_Done,
     /* 1743429 */   // Label 23756: @1743429
     /* 1743429 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1743515), // Rule ID 11093 //
     /* 1743434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743480 */     // MIs[0] policy
     /* 1743480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743514 */     // GIR_Coverage, 11093,
     /* 1743514 */     GIR_EraseRootFromParent_Done,
     /* 1743515 */   // Label 23757: @1743515
     /* 1743515 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1743601), // Rule ID 11096 //
     /* 1743520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743566 */     // MIs[0] policy
     /* 1743566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743600 */     // GIR_Coverage, 11096,
     /* 1743600 */     GIR_EraseRootFromParent_Done,
     /* 1743601 */   // Label 23758: @1743601
     /* 1743601 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1743687), // Rule ID 11097 //
     /* 1743606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743652 */     // MIs[0] policy
     /* 1743652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743662 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743686 */     // GIR_Coverage, 11097,
     /* 1743686 */     GIR_EraseRootFromParent_Done,
     /* 1743687 */   // Label 23759: @1743687
     /* 1743687 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1743773), // Rule ID 11100 //
     /* 1743692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743738 */     // MIs[0] policy
     /* 1743738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743772 */     // GIR_Coverage, 11100,
     /* 1743772 */     GIR_EraseRootFromParent_Done,
     /* 1743773 */   // Label 23760: @1743773
     /* 1743773 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1743859), // Rule ID 11101 //
     /* 1743778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743824 */     // MIs[0] policy
     /* 1743824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743834 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743858 */     // GIR_Coverage, 11101,
     /* 1743858 */     GIR_EraseRootFromParent_Done,
     /* 1743859 */   // Label 23761: @1743859
     /* 1743859 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1743945), // Rule ID 11104 //
     /* 1743864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743910 */     // MIs[0] policy
     /* 1743910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743944 */     // GIR_Coverage, 11104,
     /* 1743944 */     GIR_EraseRootFromParent_Done,
     /* 1743945 */   // Label 23762: @1743945
     /* 1743945 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1744031), // Rule ID 11105 //
     /* 1743950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743996 */     // MIs[0] policy
     /* 1743996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1744009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744030 */     // GIR_Coverage, 11105,
     /* 1744030 */     GIR_EraseRootFromParent_Done,
     /* 1744031 */   // Label 23763: @1744031
     /* 1744031 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744117), // Rule ID 11108 //
     /* 1744036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744082 */     // MIs[0] policy
     /* 1744082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744116 */     // GIR_Coverage, 11108,
     /* 1744116 */     GIR_EraseRootFromParent_Done,
     /* 1744117 */   // Label 23764: @1744117
     /* 1744117 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744203), // Rule ID 11109 //
     /* 1744122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744168 */     // MIs[0] policy
     /* 1744168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744202 */     // GIR_Coverage, 11109,
     /* 1744202 */     GIR_EraseRootFromParent_Done,
     /* 1744203 */   // Label 23765: @1744203
     /* 1744203 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1744289), // Rule ID 11112 //
     /* 1744208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744254 */     // MIs[0] policy
     /* 1744254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744264 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744288 */     // GIR_Coverage, 11112,
     /* 1744288 */     GIR_EraseRootFromParent_Done,
     /* 1744289 */   // Label 23766: @1744289
     /* 1744289 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1744375), // Rule ID 11113 //
     /* 1744294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744340 */     // MIs[0] policy
     /* 1744340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1744353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744374 */     // GIR_Coverage, 11113,
     /* 1744374 */     GIR_EraseRootFromParent_Done,
     /* 1744375 */   // Label 23767: @1744375
     /* 1744375 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1744461), // Rule ID 11116 //
     /* 1744380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744426 */     // MIs[0] policy
     /* 1744426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744460 */     // GIR_Coverage, 11116,
     /* 1744460 */     GIR_EraseRootFromParent_Done,
     /* 1744461 */   // Label 23768: @1744461
     /* 1744461 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1744547), // Rule ID 11117 //
     /* 1744466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744512 */     // MIs[0] policy
     /* 1744512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744522 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744546 */     // GIR_Coverage, 11117,
     /* 1744546 */     GIR_EraseRootFromParent_Done,
     /* 1744547 */   // Label 23769: @1744547
     /* 1744547 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1744633), // Rule ID 11120 //
     /* 1744552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744598 */     // MIs[0] policy
     /* 1744598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744632 */     // GIR_Coverage, 11120,
     /* 1744632 */     GIR_EraseRootFromParent_Done,
     /* 1744633 */   // Label 23770: @1744633
     /* 1744633 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1744719), // Rule ID 11121 //
     /* 1744638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744684 */     // MIs[0] policy
     /* 1744684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744718 */     // GIR_Coverage, 11121,
     /* 1744718 */     GIR_EraseRootFromParent_Done,
     /* 1744719 */   // Label 23771: @1744719
     /* 1744719 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1744805), // Rule ID 11124 //
     /* 1744724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744770 */     // MIs[0] policy
     /* 1744770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744804 */     // GIR_Coverage, 11124,
     /* 1744804 */     GIR_EraseRootFromParent_Done,
     /* 1744805 */   // Label 23772: @1744805
     /* 1744805 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1744891), // Rule ID 11125 //
     /* 1744810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744856 */     // MIs[0] policy
     /* 1744856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744890 */     // GIR_Coverage, 11125,
     /* 1744890 */     GIR_EraseRootFromParent_Done,
     /* 1744891 */   // Label 23773: @1744891
     /* 1744891 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1744977), // Rule ID 11128 //
     /* 1744896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744942 */     // MIs[0] policy
     /* 1744942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744976 */     // GIR_Coverage, 11128,
     /* 1744976 */     GIR_EraseRootFromParent_Done,
     /* 1744977 */   // Label 23774: @1744977
     /* 1744977 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1745063), // Rule ID 11129 //
     /* 1744982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745028 */     // MIs[0] policy
     /* 1745028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745038 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745062 */     // GIR_Coverage, 11129,
     /* 1745062 */     GIR_EraseRootFromParent_Done,
     /* 1745063 */   // Label 23775: @1745063
     /* 1745063 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745149), // Rule ID 11132 //
     /* 1745068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745114 */     // MIs[0] policy
     /* 1745114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745148 */     // GIR_Coverage, 11132,
     /* 1745148 */     GIR_EraseRootFromParent_Done,
     /* 1745149 */   // Label 23776: @1745149
     /* 1745149 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1745235), // Rule ID 11133 //
     /* 1745154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745200 */     // MIs[0] policy
     /* 1745200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745234 */     // GIR_Coverage, 11133,
     /* 1745234 */     GIR_EraseRootFromParent_Done,
     /* 1745235 */   // Label 23777: @1745235
     /* 1745235 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1745321), // Rule ID 11136 //
     /* 1745240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745286 */     // MIs[0] policy
     /* 1745286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745320 */     // GIR_Coverage, 11136,
     /* 1745320 */     GIR_EraseRootFromParent_Done,
     /* 1745321 */   // Label 23778: @1745321
     /* 1745321 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1745407), // Rule ID 11137 //
     /* 1745326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745372 */     // MIs[0] policy
     /* 1745372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745382 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745406 */     // GIR_Coverage, 11137,
     /* 1745406 */     GIR_EraseRootFromParent_Done,
     /* 1745407 */   // Label 23779: @1745407
     /* 1745407 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1745493), // Rule ID 11140 //
     /* 1745412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745458 */     // MIs[0] policy
     /* 1745458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745492 */     // GIR_Coverage, 11140,
     /* 1745492 */     GIR_EraseRootFromParent_Done,
     /* 1745493 */   // Label 23780: @1745493
     /* 1745493 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1745579), // Rule ID 11141 //
     /* 1745498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745544 */     // MIs[0] policy
     /* 1745544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745578 */     // GIR_Coverage, 11141,
     /* 1745578 */     GIR_EraseRootFromParent_Done,
     /* 1745579 */   // Label 23781: @1745579
     /* 1745579 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1745665), // Rule ID 11144 //
     /* 1745584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745630 */     // MIs[0] policy
     /* 1745630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745664 */     // GIR_Coverage, 11144,
     /* 1745664 */     GIR_EraseRootFromParent_Done,
     /* 1745665 */   // Label 23782: @1745665
     /* 1745665 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1745751), // Rule ID 11145 //
     /* 1745670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745716 */     // MIs[0] policy
     /* 1745716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745750 */     // GIR_Coverage, 11145,
     /* 1745750 */     GIR_EraseRootFromParent_Done,
     /* 1745751 */   // Label 23783: @1745751
     /* 1745751 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1745837), // Rule ID 11148 //
     /* 1745756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745802 */     // MIs[0] policy
     /* 1745802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745836 */     // GIR_Coverage, 11148,
     /* 1745836 */     GIR_EraseRootFromParent_Done,
     /* 1745837 */   // Label 23784: @1745837
     /* 1745837 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1745923), // Rule ID 11149 //
     /* 1745842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745888 */     // MIs[0] policy
     /* 1745888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745922 */     // GIR_Coverage, 11149,
     /* 1745922 */     GIR_EraseRootFromParent_Done,
     /* 1745923 */   // Label 23785: @1745923
     /* 1745923 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1746009), // Rule ID 11152 //
     /* 1745928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745974 */     // MIs[0] policy
     /* 1745974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746008 */     // GIR_Coverage, 11152,
     /* 1746008 */     GIR_EraseRootFromParent_Done,
     /* 1746009 */   // Label 23786: @1746009
     /* 1746009 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746095), // Rule ID 11153 //
     /* 1746014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1746025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1746028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1746031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746060 */     // MIs[0] policy
     /* 1746060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1746073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746094 */     // GIR_Coverage, 11153,
     /* 1746094 */     GIR_EraseRootFromParent_Done,
     /* 1746095 */   // Label 23787: @1746095
     /* 1746095 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746181), // Rule ID 11156 //
     /* 1746100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746146 */     // MIs[0] policy
     /* 1746146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1746159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746180 */     // GIR_Coverage, 11156,
     /* 1746180 */     GIR_EraseRootFromParent_Done,
     /* 1746181 */   // Label 23788: @1746181
     /* 1746181 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1746267), // Rule ID 11157 //
     /* 1746186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746232 */     // MIs[0] policy
     /* 1746232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1746245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746266 */     // GIR_Coverage, 11157,
     /* 1746266 */     GIR_EraseRootFromParent_Done,
     /* 1746267 */   // Label 23789: @1746267
     /* 1746267 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1746353), // Rule ID 11160 //
     /* 1746272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746318 */     // MIs[0] policy
     /* 1746318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1746331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746352 */     // GIR_Coverage, 11160,
     /* 1746352 */     GIR_EraseRootFromParent_Done,
     /* 1746353 */   // Label 23790: @1746353
     /* 1746353 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1746439), // Rule ID 11161 //
     /* 1746358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746404 */     // MIs[0] policy
     /* 1746404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1746417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746438 */     // GIR_Coverage, 11161,
     /* 1746438 */     GIR_EraseRootFromParent_Done,
     /* 1746439 */   // Label 23791: @1746439
     /* 1746439 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1746525), // Rule ID 11164 //
     /* 1746444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746490 */     // MIs[0] policy
     /* 1746490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746524 */     // GIR_Coverage, 11164,
     /* 1746524 */     GIR_EraseRootFromParent_Done,
     /* 1746525 */   // Label 23792: @1746525
     /* 1746525 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1746611), // Rule ID 11165 //
     /* 1746530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746576 */     // MIs[0] policy
     /* 1746576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746610 */     // GIR_Coverage, 11165,
     /* 1746610 */     GIR_EraseRootFromParent_Done,
     /* 1746611 */   // Label 23793: @1746611
     /* 1746611 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1746697), // Rule ID 11168 //
     /* 1746616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746662 */     // MIs[0] policy
     /* 1746662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746696 */     // GIR_Coverage, 11168,
     /* 1746696 */     GIR_EraseRootFromParent_Done,
     /* 1746697 */   // Label 23794: @1746697
     /* 1746697 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1746783), // Rule ID 11169 //
     /* 1746702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746748 */     // MIs[0] policy
     /* 1746748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746782 */     // GIR_Coverage, 11169,
     /* 1746782 */     GIR_EraseRootFromParent_Done,
     /* 1746783 */   // Label 23795: @1746783
     /* 1746783 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1746869), // Rule ID 11172 //
     /* 1746788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746834 */     // MIs[0] policy
     /* 1746834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746868 */     // GIR_Coverage, 11172,
     /* 1746868 */     GIR_EraseRootFromParent_Done,
     /* 1746869 */   // Label 23796: @1746869
     /* 1746869 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1746955), // Rule ID 11173 //
     /* 1746874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746920 */     // MIs[0] policy
     /* 1746920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746954 */     // GIR_Coverage, 11173,
     /* 1746954 */     GIR_EraseRootFromParent_Done,
     /* 1746955 */   // Label 23797: @1746955
     /* 1746955 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1747041), // Rule ID 11176 //
     /* 1746960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747006 */     // MIs[0] policy
     /* 1747006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1747019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747040 */     // GIR_Coverage, 11176,
     /* 1747040 */     GIR_EraseRootFromParent_Done,
     /* 1747041 */   // Label 23798: @1747041
     /* 1747041 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747127), // Rule ID 11177 //
     /* 1747046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747092 */     // MIs[0] policy
     /* 1747092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1747105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747126 */     // GIR_Coverage, 11177,
     /* 1747126 */     GIR_EraseRootFromParent_Done,
     /* 1747127 */   // Label 23799: @1747127
     /* 1747127 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1747213), // Rule ID 11180 //
     /* 1747132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747178 */     // MIs[0] policy
     /* 1747178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747212 */     // GIR_Coverage, 11180,
     /* 1747212 */     GIR_EraseRootFromParent_Done,
     /* 1747213 */   // Label 23800: @1747213
     /* 1747213 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1747299), // Rule ID 11181 //
     /* 1747218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747264 */     // MIs[0] policy
     /* 1747264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747298 */     // GIR_Coverage, 11181,
     /* 1747298 */     GIR_EraseRootFromParent_Done,
     /* 1747299 */   // Label 23801: @1747299
     /* 1747299 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1747385), // Rule ID 11184 //
     /* 1747304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747350 */     // MIs[0] policy
     /* 1747350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747384 */     // GIR_Coverage, 11184,
     /* 1747384 */     GIR_EraseRootFromParent_Done,
     /* 1747385 */   // Label 23802: @1747385
     /* 1747385 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1747471), // Rule ID 11185 //
     /* 1747390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747436 */     // MIs[0] policy
     /* 1747436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747470 */     // GIR_Coverage, 11185,
     /* 1747470 */     GIR_EraseRootFromParent_Done,
     /* 1747471 */   // Label 23803: @1747471
     /* 1747471 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1747557), // Rule ID 11188 //
     /* 1747476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747522 */     // MIs[0] policy
     /* 1747522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747556 */     // GIR_Coverage, 11188,
     /* 1747556 */     GIR_EraseRootFromParent_Done,
     /* 1747557 */   // Label 23804: @1747557
     /* 1747557 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1747643), // Rule ID 11189 //
     /* 1747562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747608 */     // MIs[0] policy
     /* 1747608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747642 */     // GIR_Coverage, 11189,
     /* 1747642 */     GIR_EraseRootFromParent_Done,
     /* 1747643 */   // Label 23805: @1747643
     /* 1747643 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1747729), // Rule ID 11192 //
     /* 1747648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747694 */     // MIs[0] policy
     /* 1747694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747728 */     // GIR_Coverage, 11192,
     /* 1747728 */     GIR_EraseRootFromParent_Done,
     /* 1747729 */   // Label 23806: @1747729
     /* 1747729 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1747815), // Rule ID 11193 //
     /* 1747734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747780 */     // MIs[0] policy
     /* 1747780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747814 */     // GIR_Coverage, 11193,
     /* 1747814 */     GIR_EraseRootFromParent_Done,
     /* 1747815 */   // Label 23807: @1747815
     /* 1747815 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1747901), // Rule ID 11196 //
     /* 1747820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747866 */     // MIs[0] policy
     /* 1747866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747900 */     // GIR_Coverage, 11196,
     /* 1747900 */     GIR_EraseRootFromParent_Done,
     /* 1747901 */   // Label 23808: @1747901
     /* 1747901 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1747987), // Rule ID 11197 //
     /* 1747906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747952 */     // MIs[0] policy
     /* 1747952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747986 */     // GIR_Coverage, 11197,
     /* 1747986 */     GIR_EraseRootFromParent_Done,
     /* 1747987 */   // Label 23809: @1747987
     /* 1747987 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1748073), // Rule ID 11200 //
     /* 1747992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748038 */     // MIs[0] policy
     /* 1748038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748072 */     // GIR_Coverage, 11200,
     /* 1748072 */     GIR_EraseRootFromParent_Done,
     /* 1748073 */   // Label 23810: @1748073
     /* 1748073 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748159), // Rule ID 11201 //
     /* 1748078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748124 */     // MIs[0] policy
     /* 1748124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748158 */     // GIR_Coverage, 11201,
     /* 1748158 */     GIR_EraseRootFromParent_Done,
     /* 1748159 */   // Label 23811: @1748159
     /* 1748159 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1748245), // Rule ID 11204 //
     /* 1748164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748210 */     // MIs[0] policy
     /* 1748210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748244 */     // GIR_Coverage, 11204,
     /* 1748244 */     GIR_EraseRootFromParent_Done,
     /* 1748245 */   // Label 23812: @1748245
     /* 1748245 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1748331), // Rule ID 11205 //
     /* 1748250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748296 */     // MIs[0] policy
     /* 1748296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748306 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748330 */     // GIR_Coverage, 11205,
     /* 1748330 */     GIR_EraseRootFromParent_Done,
     /* 1748331 */   // Label 23813: @1748331
     /* 1748331 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1748417), // Rule ID 11208 //
     /* 1748336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748382 */     // MIs[0] policy
     /* 1748382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748416 */     // GIR_Coverage, 11208,
     /* 1748416 */     GIR_EraseRootFromParent_Done,
     /* 1748417 */   // Label 23814: @1748417
     /* 1748417 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1748503), // Rule ID 11209 //
     /* 1748422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748468 */     // MIs[0] policy
     /* 1748468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748502 */     // GIR_Coverage, 11209,
     /* 1748502 */     GIR_EraseRootFromParent_Done,
     /* 1748503 */   // Label 23815: @1748503
     /* 1748503 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1748589), // Rule ID 11212 //
     /* 1748508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748554 */     // MIs[0] policy
     /* 1748554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748588 */     // GIR_Coverage, 11212,
     /* 1748588 */     GIR_EraseRootFromParent_Done,
     /* 1748589 */   // Label 23816: @1748589
     /* 1748589 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1748675), // Rule ID 11213 //
     /* 1748594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748640 */     // MIs[0] policy
     /* 1748640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748674 */     // GIR_Coverage, 11213,
     /* 1748674 */     GIR_EraseRootFromParent_Done,
     /* 1748675 */   // Label 23817: @1748675
     /* 1748675 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1748761), // Rule ID 11216 //
     /* 1748680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748726 */     // MIs[0] policy
     /* 1748726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748760 */     // GIR_Coverage, 11216,
     /* 1748760 */     GIR_EraseRootFromParent_Done,
     /* 1748761 */   // Label 23818: @1748761
     /* 1748761 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1748847), // Rule ID 11217 //
     /* 1748766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748812 */     // MIs[0] policy
     /* 1748812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748846 */     // GIR_Coverage, 11217,
     /* 1748846 */     GIR_EraseRootFromParent_Done,
     /* 1748847 */   // Label 23819: @1748847
     /* 1748847 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1748933), // Rule ID 11220 //
     /* 1748852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748898 */     // MIs[0] policy
     /* 1748898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748932 */     // GIR_Coverage, 11220,
     /* 1748932 */     GIR_EraseRootFromParent_Done,
     /* 1748933 */   // Label 23820: @1748933
     /* 1748933 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1749019), // Rule ID 11221 //
     /* 1748938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748984 */     // MIs[0] policy
     /* 1748984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749018 */     // GIR_Coverage, 11221,
     /* 1749018 */     GIR_EraseRootFromParent_Done,
     /* 1749019 */   // Label 23821: @1749019
     /* 1749019 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749105), // Rule ID 11224 //
     /* 1749024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749070 */     // MIs[0] policy
     /* 1749070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1749083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749104 */     // GIR_Coverage, 11224,
     /* 1749104 */     GIR_EraseRootFromParent_Done,
     /* 1749105 */   // Label 23822: @1749105
     /* 1749105 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749191), // Rule ID 11225 //
     /* 1749110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749156 */     // MIs[0] policy
     /* 1749156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1749169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749190 */     // GIR_Coverage, 11225,
     /* 1749190 */     GIR_EraseRootFromParent_Done,
     /* 1749191 */   // Label 23823: @1749191
     /* 1749191 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1749277), // Rule ID 11228 //
     /* 1749196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749242 */     // MIs[0] policy
     /* 1749242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1749255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749276 */     // GIR_Coverage, 11228,
     /* 1749276 */     GIR_EraseRootFromParent_Done,
     /* 1749277 */   // Label 23824: @1749277
     /* 1749277 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1749363), // Rule ID 11229 //
     /* 1749282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749328 */     // MIs[0] policy
     /* 1749328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1749341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749362 */     // GIR_Coverage, 11229,
     /* 1749362 */     GIR_EraseRootFromParent_Done,
     /* 1749363 */   // Label 23825: @1749363
     /* 1749363 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1749449), // Rule ID 11232 //
     /* 1749368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749414 */     // MIs[0] policy
     /* 1749414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749448 */     // GIR_Coverage, 11232,
     /* 1749448 */     GIR_EraseRootFromParent_Done,
     /* 1749449 */   // Label 23826: @1749449
     /* 1749449 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1749535), // Rule ID 11233 //
     /* 1749454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749500 */     // MIs[0] policy
     /* 1749500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749534 */     // GIR_Coverage, 11233,
     /* 1749534 */     GIR_EraseRootFromParent_Done,
     /* 1749535 */   // Label 23827: @1749535
     /* 1749535 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1749621), // Rule ID 11236 //
     /* 1749540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749586 */     // MIs[0] policy
     /* 1749586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749620 */     // GIR_Coverage, 11236,
     /* 1749620 */     GIR_EraseRootFromParent_Done,
     /* 1749621 */   // Label 23828: @1749621
     /* 1749621 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1749707), // Rule ID 11237 //
     /* 1749626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749672 */     // MIs[0] policy
     /* 1749672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749706 */     // GIR_Coverage, 11237,
     /* 1749706 */     GIR_EraseRootFromParent_Done,
     /* 1749707 */   // Label 23829: @1749707
     /* 1749707 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1749793), // Rule ID 11240 //
     /* 1749712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749758 */     // MIs[0] policy
     /* 1749758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749792 */     // GIR_Coverage, 11240,
     /* 1749792 */     GIR_EraseRootFromParent_Done,
     /* 1749793 */   // Label 23830: @1749793
     /* 1749793 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1749879), // Rule ID 11241 //
     /* 1749798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749844 */     // MIs[0] policy
     /* 1749844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749854 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749878 */     // GIR_Coverage, 11241,
     /* 1749878 */     GIR_EraseRootFromParent_Done,
     /* 1749879 */   // Label 23831: @1749879
     /* 1749879 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1749965), // Rule ID 11244 //
     /* 1749884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749930 */     // MIs[0] policy
     /* 1749930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749964 */     // GIR_Coverage, 11244,
     /* 1749964 */     GIR_EraseRootFromParent_Done,
     /* 1749965 */   // Label 23832: @1749965
     /* 1749965 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1750051), // Rule ID 11245 //
     /* 1749970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750016 */     // MIs[0] policy
     /* 1750016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750050 */     // GIR_Coverage, 11245,
     /* 1750050 */     GIR_EraseRootFromParent_Done,
     /* 1750051 */   // Label 23833: @1750051
     /* 1750051 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750137), // Rule ID 11248 //
     /* 1750056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750102 */     // MIs[0] policy
     /* 1750102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1750115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750136 */     // GIR_Coverage, 11248,
     /* 1750136 */     GIR_EraseRootFromParent_Done,
     /* 1750137 */   // Label 23834: @1750137
     /* 1750137 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1750223), // Rule ID 11249 //
     /* 1750142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750188 */     // MIs[0] policy
     /* 1750188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1750201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750222 */     // GIR_Coverage, 11249,
     /* 1750222 */     GIR_EraseRootFromParent_Done,
     /* 1750223 */   // Label 23835: @1750223
     /* 1750223 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1750309), // Rule ID 11252 //
     /* 1750228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750274 */     // MIs[0] policy
     /* 1750274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750308 */     // GIR_Coverage, 11252,
     /* 1750308 */     GIR_EraseRootFromParent_Done,
     /* 1750309 */   // Label 23836: @1750309
     /* 1750309 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1750395), // Rule ID 11253 //
     /* 1750314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750360 */     // MIs[0] policy
     /* 1750360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750394 */     // GIR_Coverage, 11253,
     /* 1750394 */     GIR_EraseRootFromParent_Done,
     /* 1750395 */   // Label 23837: @1750395
     /* 1750395 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1750481), // Rule ID 11256 //
     /* 1750400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750446 */     // MIs[0] policy
     /* 1750446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750480 */     // GIR_Coverage, 11256,
     /* 1750480 */     GIR_EraseRootFromParent_Done,
     /* 1750481 */   // Label 23838: @1750481
     /* 1750481 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1750567), // Rule ID 11257 //
     /* 1750486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750532 */     // MIs[0] policy
     /* 1750532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750566 */     // GIR_Coverage, 11257,
     /* 1750566 */     GIR_EraseRootFromParent_Done,
     /* 1750567 */   // Label 23839: @1750567
     /* 1750567 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1750653), // Rule ID 11260 //
     /* 1750572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750618 */     // MIs[0] policy
     /* 1750618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750652 */     // GIR_Coverage, 11260,
     /* 1750652 */     GIR_EraseRootFromParent_Done,
     /* 1750653 */   // Label 23840: @1750653
     /* 1750653 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1750739), // Rule ID 11261 //
     /* 1750658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750704 */     // MIs[0] policy
     /* 1750704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750738 */     // GIR_Coverage, 11261,
     /* 1750738 */     GIR_EraseRootFromParent_Done,
     /* 1750739 */   // Label 23841: @1750739
     /* 1750739 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1750825), // Rule ID 11264 //
     /* 1750744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750790 */     // MIs[0] policy
     /* 1750790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750824 */     // GIR_Coverage, 11264,
     /* 1750824 */     GIR_EraseRootFromParent_Done,
     /* 1750825 */   // Label 23842: @1750825
     /* 1750825 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1750911), // Rule ID 11265 //
     /* 1750830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750876 */     // MIs[0] policy
     /* 1750876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750910 */     // GIR_Coverage, 11265,
     /* 1750910 */     GIR_EraseRootFromParent_Done,
     /* 1750911 */   // Label 23843: @1750911
     /* 1750911 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1750997), // Rule ID 11268 //
     /* 1750916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750962 */     // MIs[0] policy
     /* 1750962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750996 */     // GIR_Coverage, 11268,
     /* 1750996 */     GIR_EraseRootFromParent_Done,
     /* 1750997 */   // Label 23844: @1750997
     /* 1750997 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1751083), // Rule ID 11269 //
     /* 1751002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751048 */     // MIs[0] policy
     /* 1751048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1751061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751082 */     // GIR_Coverage, 11269,
     /* 1751082 */     GIR_EraseRootFromParent_Done,
     /* 1751083 */   // Label 23845: @1751083
     /* 1751083 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751169), // Rule ID 11272 //
     /* 1751088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751134 */     // MIs[0] policy
     /* 1751134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751168 */     // GIR_Coverage, 11272,
     /* 1751168 */     GIR_EraseRootFromParent_Done,
     /* 1751169 */   // Label 23846: @1751169
     /* 1751169 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1751255), // Rule ID 11273 //
     /* 1751174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751220 */     // MIs[0] policy
     /* 1751220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751254 */     // GIR_Coverage, 11273,
     /* 1751254 */     GIR_EraseRootFromParent_Done,
     /* 1751255 */   // Label 23847: @1751255
     /* 1751255 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1751341), // Rule ID 11276 //
     /* 1751260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751306 */     // MIs[0] policy
     /* 1751306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751316 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751340 */     // GIR_Coverage, 11276,
     /* 1751340 */     GIR_EraseRootFromParent_Done,
     /* 1751341 */   // Label 23848: @1751341
     /* 1751341 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1751427), // Rule ID 11277 //
     /* 1751346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751392 */     // MIs[0] policy
     /* 1751392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751426 */     // GIR_Coverage, 11277,
     /* 1751426 */     GIR_EraseRootFromParent_Done,
     /* 1751427 */   // Label 23849: @1751427
     /* 1751427 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1751513), // Rule ID 11280 //
     /* 1751432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751478 */     // MIs[0] policy
     /* 1751478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751488 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751512 */     // GIR_Coverage, 11280,
     /* 1751512 */     GIR_EraseRootFromParent_Done,
     /* 1751513 */   // Label 23850: @1751513
     /* 1751513 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1751599), // Rule ID 11281 //
     /* 1751518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751564 */     // MIs[0] policy
     /* 1751564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751598 */     // GIR_Coverage, 11281,
     /* 1751598 */     GIR_EraseRootFromParent_Done,
     /* 1751599 */   // Label 23851: @1751599
     /* 1751599 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1751685), // Rule ID 11284 //
     /* 1751604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751650 */     // MIs[0] policy
     /* 1751650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751684 */     // GIR_Coverage, 11284,
     /* 1751684 */     GIR_EraseRootFromParent_Done,
     /* 1751685 */   // Label 23852: @1751685
     /* 1751685 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1751771), // Rule ID 11285 //
     /* 1751690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751736 */     // MIs[0] policy
     /* 1751736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751770 */     // GIR_Coverage, 11285,
     /* 1751770 */     GIR_EraseRootFromParent_Done,
     /* 1751771 */   // Label 23853: @1751771
     /* 1751771 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1751857), // Rule ID 11288 //
     /* 1751776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751822 */     // MIs[0] policy
     /* 1751822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751856 */     // GIR_Coverage, 11288,
     /* 1751856 */     GIR_EraseRootFromParent_Done,
     /* 1751857 */   // Label 23854: @1751857
     /* 1751857 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1751943), // Rule ID 11289 //
     /* 1751862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751908 */     // MIs[0] policy
     /* 1751908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751942 */     // GIR_Coverage, 11289,
     /* 1751942 */     GIR_EraseRootFromParent_Done,
     /* 1751943 */   // Label 23855: @1751943
     /* 1751943 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1752029), // Rule ID 11292 //
     /* 1751948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751994 */     // MIs[0] policy
     /* 1751994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752028 */     // GIR_Coverage, 11292,
     /* 1752028 */     GIR_EraseRootFromParent_Done,
     /* 1752029 */   // Label 23856: @1752029
     /* 1752029 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752115), // Rule ID 11293 //
     /* 1752034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752080 */     // MIs[0] policy
     /* 1752080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752114 */     // GIR_Coverage, 11293,
     /* 1752114 */     GIR_EraseRootFromParent_Done,
     /* 1752115 */   // Label 23857: @1752115
     /* 1752115 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752201), // Rule ID 11296 //
     /* 1752120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752166 */     // MIs[0] policy
     /* 1752166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1752179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752200 */     // GIR_Coverage, 11296,
     /* 1752200 */     GIR_EraseRootFromParent_Done,
     /* 1752201 */   // Label 23858: @1752201
     /* 1752201 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1752287), // Rule ID 11297 //
     /* 1752206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752252 */     // MIs[0] policy
     /* 1752252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1752265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752286 */     // GIR_Coverage, 11297,
     /* 1752286 */     GIR_EraseRootFromParent_Done,
     /* 1752287 */   // Label 23859: @1752287
     /* 1752287 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1752373), // Rule ID 11300 //
     /* 1752292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752338 */     // MIs[0] policy
     /* 1752338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752372 */     // GIR_Coverage, 11300,
     /* 1752372 */     GIR_EraseRootFromParent_Done,
     /* 1752373 */   // Label 23860: @1752373
     /* 1752373 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1752459), // Rule ID 11301 //
     /* 1752378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752424 */     // MIs[0] policy
     /* 1752424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752458 */     // GIR_Coverage, 11301,
     /* 1752458 */     GIR_EraseRootFromParent_Done,
     /* 1752459 */   // Label 23861: @1752459
     /* 1752459 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1752545), // Rule ID 11304 //
     /* 1752464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752510 */     // MIs[0] policy
     /* 1752510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752544 */     // GIR_Coverage, 11304,
     /* 1752544 */     GIR_EraseRootFromParent_Done,
     /* 1752545 */   // Label 23862: @1752545
     /* 1752545 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1752631), // Rule ID 11305 //
     /* 1752550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752596 */     // MIs[0] policy
     /* 1752596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752630 */     // GIR_Coverage, 11305,
     /* 1752630 */     GIR_EraseRootFromParent_Done,
     /* 1752631 */   // Label 23863: @1752631
     /* 1752631 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1752717), // Rule ID 11308 //
     /* 1752636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752682 */     // MIs[0] policy
     /* 1752682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752716 */     // GIR_Coverage, 11308,
     /* 1752716 */     GIR_EraseRootFromParent_Done,
     /* 1752717 */   // Label 23864: @1752717
     /* 1752717 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1752803), // Rule ID 11309 //
     /* 1752722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752768 */     // MIs[0] policy
     /* 1752768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752802 */     // GIR_Coverage, 11309,
     /* 1752802 */     GIR_EraseRootFromParent_Done,
     /* 1752803 */   // Label 23865: @1752803
     /* 1752803 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1752889), // Rule ID 11312 //
     /* 1752808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752854 */     // MIs[0] policy
     /* 1752854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752888 */     // GIR_Coverage, 11312,
     /* 1752888 */     GIR_EraseRootFromParent_Done,
     /* 1752889 */   // Label 23866: @1752889
     /* 1752889 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1752975), // Rule ID 11313 //
     /* 1752894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752940 */     // MIs[0] policy
     /* 1752940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752974 */     // GIR_Coverage, 11313,
     /* 1752974 */     GIR_EraseRootFromParent_Done,
     /* 1752975 */   // Label 23867: @1752975
     /* 1752975 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1753061), // Rule ID 11316 //
     /* 1752980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1752994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1752997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753026 */     // MIs[0] policy
     /* 1753026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753060 */     // GIR_Coverage, 11316,
     /* 1753060 */     GIR_EraseRootFromParent_Done,
     /* 1753061 */   // Label 23868: @1753061
     /* 1753061 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753147), // Rule ID 11317 //
     /* 1753066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753112 */     // MIs[0] policy
     /* 1753112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753122 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753146 */     // GIR_Coverage, 11317,
     /* 1753146 */     GIR_EraseRootFromParent_Done,
     /* 1753147 */   // Label 23869: @1753147
     /* 1753147 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1753233), // Rule ID 11320 //
     /* 1753152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753198 */     // MIs[0] policy
     /* 1753198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1753211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753232 */     // GIR_Coverage, 11320,
     /* 1753232 */     GIR_EraseRootFromParent_Done,
     /* 1753233 */   // Label 23870: @1753233
     /* 1753233 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1753319), // Rule ID 11321 //
     /* 1753238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753284 */     // MIs[0] policy
     /* 1753284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1753297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753318 */     // GIR_Coverage, 11321,
     /* 1753318 */     GIR_EraseRootFromParent_Done,
     /* 1753319 */   // Label 23871: @1753319
     /* 1753319 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1753405), // Rule ID 11324 //
     /* 1753324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753370 */     // MIs[0] policy
     /* 1753370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753404 */     // GIR_Coverage, 11324,
     /* 1753404 */     GIR_EraseRootFromParent_Done,
     /* 1753405 */   // Label 23872: @1753405
     /* 1753405 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1753491), // Rule ID 11325 //
     /* 1753410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753456 */     // MIs[0] policy
     /* 1753456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753490 */     // GIR_Coverage, 11325,
     /* 1753490 */     GIR_EraseRootFromParent_Done,
     /* 1753491 */   // Label 23873: @1753491
     /* 1753491 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1753577), // Rule ID 11328 //
     /* 1753496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753542 */     // MIs[0] policy
     /* 1753542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753576 */     // GIR_Coverage, 11328,
     /* 1753576 */     GIR_EraseRootFromParent_Done,
     /* 1753577 */   // Label 23874: @1753577
     /* 1753577 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1753663), // Rule ID 11329 //
     /* 1753582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753628 */     // MIs[0] policy
     /* 1753628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753662 */     // GIR_Coverage, 11329,
     /* 1753662 */     GIR_EraseRootFromParent_Done,
     /* 1753663 */   // Label 23875: @1753663
     /* 1753663 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1753749), // Rule ID 11332 //
     /* 1753668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753714 */     // MIs[0] policy
     /* 1753714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753748 */     // GIR_Coverage, 11332,
     /* 1753748 */     GIR_EraseRootFromParent_Done,
     /* 1753749 */   // Label 23876: @1753749
     /* 1753749 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1753835), // Rule ID 11333 //
     /* 1753754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753800 */     // MIs[0] policy
     /* 1753800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753810 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753834 */     // GIR_Coverage, 11333,
     /* 1753834 */     GIR_EraseRootFromParent_Done,
     /* 1753835 */   // Label 23877: @1753835
     /* 1753835 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1753921), // Rule ID 11336 //
     /* 1753840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753886 */     // MIs[0] policy
     /* 1753886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753920 */     // GIR_Coverage, 11336,
     /* 1753920 */     GIR_EraseRootFromParent_Done,
     /* 1753921 */   // Label 23878: @1753921
     /* 1753921 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1754007), // Rule ID 11337 //
     /* 1753926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753972 */     // MIs[0] policy
     /* 1753972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754006 */     // GIR_Coverage, 11337,
     /* 1754006 */     GIR_EraseRootFromParent_Done,
     /* 1754007 */   // Label 23879: @1754007
     /* 1754007 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754093), // Rule ID 11340 //
     /* 1754012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754058 */     // MIs[0] policy
     /* 1754058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1754071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754092 */     // GIR_Coverage, 11340,
     /* 1754092 */     GIR_EraseRootFromParent_Done,
     /* 1754093 */   // Label 23880: @1754093
     /* 1754093 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754179), // Rule ID 11341 //
     /* 1754098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754144 */     // MIs[0] policy
     /* 1754144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1754157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754178 */     // GIR_Coverage, 11341,
     /* 1754178 */     GIR_EraseRootFromParent_Done,
     /* 1754179 */   // Label 23881: @1754179
     /* 1754179 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1754265), // Rule ID 11344 //
     /* 1754184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754230 */     // MIs[0] policy
     /* 1754230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754264 */     // GIR_Coverage, 11344,
     /* 1754264 */     GIR_EraseRootFromParent_Done,
     /* 1754265 */   // Label 23882: @1754265
     /* 1754265 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1754351), // Rule ID 11345 //
     /* 1754270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754316 */     // MIs[0] policy
     /* 1754316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754350 */     // GIR_Coverage, 11345,
     /* 1754350 */     GIR_EraseRootFromParent_Done,
     /* 1754351 */   // Label 23883: @1754351
     /* 1754351 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1754437), // Rule ID 11348 //
     /* 1754356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754402 */     // MIs[0] policy
     /* 1754402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754436 */     // GIR_Coverage, 11348,
     /* 1754436 */     GIR_EraseRootFromParent_Done,
     /* 1754437 */   // Label 23884: @1754437
     /* 1754437 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1754523), // Rule ID 11349 //
     /* 1754442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754488 */     // MIs[0] policy
     /* 1754488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754498 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754522 */     // GIR_Coverage, 11349,
     /* 1754522 */     GIR_EraseRootFromParent_Done,
     /* 1754523 */   // Label 23885: @1754523
     /* 1754523 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1754609), // Rule ID 11352 //
     /* 1754528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754574 */     // MIs[0] policy
     /* 1754574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754608 */     // GIR_Coverage, 11352,
     /* 1754608 */     GIR_EraseRootFromParent_Done,
     /* 1754609 */   // Label 23886: @1754609
     /* 1754609 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1754695), // Rule ID 11353 //
     /* 1754614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754660 */     // MIs[0] policy
     /* 1754660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754670 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754694 */     // GIR_Coverage, 11353,
     /* 1754694 */     GIR_EraseRootFromParent_Done,
     /* 1754695 */   // Label 23887: @1754695
     /* 1754695 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1754781), // Rule ID 11356 //
     /* 1754700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754746 */     // MIs[0] policy
     /* 1754746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754780 */     // GIR_Coverage, 11356,
     /* 1754780 */     GIR_EraseRootFromParent_Done,
     /* 1754781 */   // Label 23888: @1754781
     /* 1754781 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1754867), // Rule ID 11357 //
     /* 1754786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754832 */     // MIs[0] policy
     /* 1754832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754866 */     // GIR_Coverage, 11357,
     /* 1754866 */     GIR_EraseRootFromParent_Done,
     /* 1754867 */   // Label 23889: @1754867
     /* 1754867 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1754953), // Rule ID 11360 //
     /* 1754872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754918 */     // MIs[0] policy
     /* 1754918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754952 */     // GIR_Coverage, 11360,
     /* 1754952 */     GIR_EraseRootFromParent_Done,
     /* 1754953 */   // Label 23890: @1754953
     /* 1754953 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1755039), // Rule ID 11361 //
     /* 1754958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755004 */     // MIs[0] policy
     /* 1755004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755038 */     // GIR_Coverage, 11361,
     /* 1755038 */     GIR_EraseRootFromParent_Done,
     /* 1755039 */   // Label 23891: @1755039
     /* 1755039 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755125), // Rule ID 11364 //
     /* 1755044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755090 */     // MIs[0] policy
     /* 1755090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755124 */     // GIR_Coverage, 11364,
     /* 1755124 */     GIR_EraseRootFromParent_Done,
     /* 1755125 */   // Label 23892: @1755125
     /* 1755125 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755211), // Rule ID 11365 //
     /* 1755130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755176 */     // MIs[0] policy
     /* 1755176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755210 */     // GIR_Coverage, 11365,
     /* 1755210 */     GIR_EraseRootFromParent_Done,
     /* 1755211 */   // Label 23893: @1755211
     /* 1755211 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1755297), // Rule ID 11368 //
     /* 1755216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755262 */     // MIs[0] policy
     /* 1755262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755296 */     // GIR_Coverage, 11368,
     /* 1755296 */     GIR_EraseRootFromParent_Done,
     /* 1755297 */   // Label 23894: @1755297
     /* 1755297 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1755383), // Rule ID 11369 //
     /* 1755302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755348 */     // MIs[0] policy
     /* 1755348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755382 */     // GIR_Coverage, 11369,
     /* 1755382 */     GIR_EraseRootFromParent_Done,
     /* 1755383 */   // Label 23895: @1755383
     /* 1755383 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1755469), // Rule ID 11372 //
     /* 1755388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755434 */     // MIs[0] policy
     /* 1755434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755468 */     // GIR_Coverage, 11372,
     /* 1755468 */     GIR_EraseRootFromParent_Done,
     /* 1755469 */   // Label 23896: @1755469
     /* 1755469 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1755555), // Rule ID 11373 //
     /* 1755474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755520 */     // MIs[0] policy
     /* 1755520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755554 */     // GIR_Coverage, 11373,
     /* 1755554 */     GIR_EraseRootFromParent_Done,
     /* 1755555 */   // Label 23897: @1755555
     /* 1755555 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1755641), // Rule ID 11376 //
     /* 1755560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755606 */     // MIs[0] policy
     /* 1755606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755640 */     // GIR_Coverage, 11376,
     /* 1755640 */     GIR_EraseRootFromParent_Done,
     /* 1755641 */   // Label 23898: @1755641
     /* 1755641 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1755727), // Rule ID 11377 //
     /* 1755646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755692 */     // MIs[0] policy
     /* 1755692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755726 */     // GIR_Coverage, 11377,
     /* 1755726 */     GIR_EraseRootFromParent_Done,
     /* 1755727 */   // Label 23899: @1755727
     /* 1755727 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1755813), // Rule ID 11380 //
     /* 1755732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755778 */     // MIs[0] policy
     /* 1755778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755812 */     // GIR_Coverage, 11380,
     /* 1755812 */     GIR_EraseRootFromParent_Done,
     /* 1755813 */   // Label 23900: @1755813
     /* 1755813 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1755899), // Rule ID 11381 //
     /* 1755818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755864 */     // MIs[0] policy
     /* 1755864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755898 */     // GIR_Coverage, 11381,
     /* 1755898 */     GIR_EraseRootFromParent_Done,
     /* 1755899 */   // Label 23901: @1755899
     /* 1755899 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1755985), // Rule ID 11384 //
     /* 1755904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755950 */     // MIs[0] policy
     /* 1755950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755984 */     // GIR_Coverage, 11384,
     /* 1755984 */     GIR_EraseRootFromParent_Done,
     /* 1755985 */   // Label 23902: @1755985
     /* 1755985 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1756071), // Rule ID 11385 //
     /* 1755990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756036 */     // MIs[0] policy
     /* 1756036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756070 */     // GIR_Coverage, 11385,
     /* 1756070 */     GIR_EraseRootFromParent_Done,
     /* 1756071 */   // Label 23903: @1756071
     /* 1756071 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756157), // Rule ID 11388 //
     /* 1756076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756122 */     // MIs[0] policy
     /* 1756122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756156 */     // GIR_Coverage, 11388,
     /* 1756156 */     GIR_EraseRootFromParent_Done,
     /* 1756157 */   // Label 23904: @1756157
     /* 1756157 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1756243), // Rule ID 11389 //
     /* 1756162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756208 */     // MIs[0] policy
     /* 1756208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756242 */     // GIR_Coverage, 11389,
     /* 1756242 */     GIR_EraseRootFromParent_Done,
     /* 1756243 */   // Label 23905: @1756243
     /* 1756243 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1756329), // Rule ID 11392 //
     /* 1756248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756294 */     // MIs[0] policy
     /* 1756294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756328 */     // GIR_Coverage, 11392,
     /* 1756328 */     GIR_EraseRootFromParent_Done,
     /* 1756329 */   // Label 23906: @1756329
     /* 1756329 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1756415), // Rule ID 11393 //
     /* 1756334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756380 */     // MIs[0] policy
     /* 1756380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1756393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756414 */     // GIR_Coverage, 11393,
     /* 1756414 */     GIR_EraseRootFromParent_Done,
     /* 1756415 */   // Label 23907: @1756415
     /* 1756415 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1756501), // Rule ID 11396 //
     /* 1756420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756466 */     // MIs[0] policy
     /* 1756466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756500 */     // GIR_Coverage, 11396,
     /* 1756500 */     GIR_EraseRootFromParent_Done,
     /* 1756501 */   // Label 23908: @1756501
     /* 1756501 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1756587), // Rule ID 11397 //
     /* 1756506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756552 */     // MIs[0] policy
     /* 1756552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756586 */     // GIR_Coverage, 11397,
     /* 1756586 */     GIR_EraseRootFromParent_Done,
     /* 1756587 */   // Label 23909: @1756587
     /* 1756587 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1756673), // Rule ID 11400 //
     /* 1756592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756638 */     // MIs[0] policy
     /* 1756638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756672 */     // GIR_Coverage, 11400,
     /* 1756672 */     GIR_EraseRootFromParent_Done,
     /* 1756673 */   // Label 23910: @1756673
     /* 1756673 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1756759), // Rule ID 11401 //
     /* 1756678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756724 */     // MIs[0] policy
     /* 1756724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756758 */     // GIR_Coverage, 11401,
     /* 1756758 */     GIR_EraseRootFromParent_Done,
     /* 1756759 */   // Label 23911: @1756759
     /* 1756759 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1756845), // Rule ID 11404 //
     /* 1756764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756810 */     // MIs[0] policy
     /* 1756810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756844 */     // GIR_Coverage, 11404,
     /* 1756844 */     GIR_EraseRootFromParent_Done,
     /* 1756845 */   // Label 23912: @1756845
     /* 1756845 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1756931), // Rule ID 11405 //
     /* 1756850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756896 */     // MIs[0] policy
     /* 1756896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756930 */     // GIR_Coverage, 11405,
     /* 1756930 */     GIR_EraseRootFromParent_Done,
     /* 1756931 */   // Label 23913: @1756931
     /* 1756931 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1757017), // Rule ID 11408 //
     /* 1756936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756982 */     // MIs[0] policy
     /* 1756982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757016 */     // GIR_Coverage, 11408,
     /* 1757016 */     GIR_EraseRootFromParent_Done,
     /* 1757017 */   // Label 23914: @1757017
     /* 1757017 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757103), // Rule ID 11409 //
     /* 1757022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757068 */     // MIs[0] policy
     /* 1757068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757102 */     // GIR_Coverage, 11409,
     /* 1757102 */     GIR_EraseRootFromParent_Done,
     /* 1757103 */   // Label 23915: @1757103
     /* 1757103 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757189), // Rule ID 11412 //
     /* 1757108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757154 */     // MIs[0] policy
     /* 1757154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757188 */     // GIR_Coverage, 11412,
     /* 1757188 */     GIR_EraseRootFromParent_Done,
     /* 1757189 */   // Label 23916: @1757189
     /* 1757189 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1757275), // Rule ID 11413 //
     /* 1757194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757240 */     // MIs[0] policy
     /* 1757240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1757253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757274 */     // GIR_Coverage, 11413,
     /* 1757274 */     GIR_EraseRootFromParent_Done,
     /* 1757275 */   // Label 23917: @1757275
     /* 1757275 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1757361), // Rule ID 11416 //
     /* 1757280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757326 */     // MIs[0] policy
     /* 1757326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757360 */     // GIR_Coverage, 11416,
     /* 1757360 */     GIR_EraseRootFromParent_Done,
     /* 1757361 */   // Label 23918: @1757361
     /* 1757361 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1757447), // Rule ID 11417 //
     /* 1757366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757412 */     // MIs[0] policy
     /* 1757412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757446 */     // GIR_Coverage, 11417,
     /* 1757446 */     GIR_EraseRootFromParent_Done,
     /* 1757447 */   // Label 23919: @1757447
     /* 1757447 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1757533), // Rule ID 11420 //
     /* 1757452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757498 */     // MIs[0] policy
     /* 1757498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757532 */     // GIR_Coverage, 11420,
     /* 1757532 */     GIR_EraseRootFromParent_Done,
     /* 1757533 */   // Label 23920: @1757533
     /* 1757533 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1757619), // Rule ID 11421 //
     /* 1757538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757584 */     // MIs[0] policy
     /* 1757584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757618 */     // GIR_Coverage, 11421,
     /* 1757618 */     GIR_EraseRootFromParent_Done,
     /* 1757619 */   // Label 23921: @1757619
     /* 1757619 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1757705), // Rule ID 11424 //
     /* 1757624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757670 */     // MIs[0] policy
     /* 1757670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757680 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757704 */     // GIR_Coverage, 11424,
     /* 1757704 */     GIR_EraseRootFromParent_Done,
     /* 1757705 */   // Label 23922: @1757705
     /* 1757705 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1757791), // Rule ID 11425 //
     /* 1757710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757756 */     // MIs[0] policy
     /* 1757756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757766 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757790 */     // GIR_Coverage, 11425,
     /* 1757790 */     GIR_EraseRootFromParent_Done,
     /* 1757791 */   // Label 23923: @1757791
     /* 1757791 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1757877), // Rule ID 11428 //
     /* 1757796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757842 */     // MIs[0] policy
     /* 1757842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757876 */     // GIR_Coverage, 11428,
     /* 1757876 */     GIR_EraseRootFromParent_Done,
     /* 1757877 */   // Label 23924: @1757877
     /* 1757877 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1757963), // Rule ID 11429 //
     /* 1757882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757928 */     // MIs[0] policy
     /* 1757928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757962 */     // GIR_Coverage, 11429,
     /* 1757962 */     GIR_EraseRootFromParent_Done,
     /* 1757963 */   // Label 23925: @1757963
     /* 1757963 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1758049), // Rule ID 11432 //
     /* 1757968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758014 */     // MIs[0] policy
     /* 1758014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758048 */     // GIR_Coverage, 11432,
     /* 1758048 */     GIR_EraseRootFromParent_Done,
     /* 1758049 */   // Label 23926: @1758049
     /* 1758049 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758135), // Rule ID 11433 //
     /* 1758054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758100 */     // MIs[0] policy
     /* 1758100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758110 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758134 */     // GIR_Coverage, 11433,
     /* 1758134 */     GIR_EraseRootFromParent_Done,
     /* 1758135 */   // Label 23927: @1758135
     /* 1758135 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1758221), // Rule ID 11436 //
     /* 1758140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758186 */     // MIs[0] policy
     /* 1758186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758220 */     // GIR_Coverage, 11436,
     /* 1758220 */     GIR_EraseRootFromParent_Done,
     /* 1758221 */   // Label 23928: @1758221
     /* 1758221 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1758307), // Rule ID 11437 //
     /* 1758226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758272 */     // MIs[0] policy
     /* 1758272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758306 */     // GIR_Coverage, 11437,
     /* 1758306 */     GIR_EraseRootFromParent_Done,
     /* 1758307 */   // Label 23929: @1758307
     /* 1758307 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1758393), // Rule ID 11440 //
     /* 1758312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758358 */     // MIs[0] policy
     /* 1758358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758392 */     // GIR_Coverage, 11440,
     /* 1758392 */     GIR_EraseRootFromParent_Done,
     /* 1758393 */   // Label 23930: @1758393
     /* 1758393 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1758479), // Rule ID 11441 //
     /* 1758398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758444 */     // MIs[0] policy
     /* 1758444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758454 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758478 */     // GIR_Coverage, 11441,
     /* 1758478 */     GIR_EraseRootFromParent_Done,
     /* 1758479 */   // Label 23931: @1758479
     /* 1758479 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1758565), // Rule ID 11444 //
     /* 1758484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758530 */     // MIs[0] policy
     /* 1758530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758564 */     // GIR_Coverage, 11444,
     /* 1758564 */     GIR_EraseRootFromParent_Done,
     /* 1758565 */   // Label 23932: @1758565
     /* 1758565 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1758651), // Rule ID 11445 //
     /* 1758570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758616 */     // MIs[0] policy
     /* 1758616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758650 */     // GIR_Coverage, 11445,
     /* 1758650 */     GIR_EraseRootFromParent_Done,
     /* 1758651 */   // Label 23933: @1758651
     /* 1758651 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1758737), // Rule ID 11448 //
     /* 1758656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758702 */     // MIs[0] policy
     /* 1758702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758736 */     // GIR_Coverage, 11448,
     /* 1758736 */     GIR_EraseRootFromParent_Done,
     /* 1758737 */   // Label 23934: @1758737
     /* 1758737 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1758823), // Rule ID 11449 //
     /* 1758742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758788 */     // MIs[0] policy
     /* 1758788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758822 */     // GIR_Coverage, 11449,
     /* 1758822 */     GIR_EraseRootFromParent_Done,
     /* 1758823 */   // Label 23935: @1758823
     /* 1758823 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1758909), // Rule ID 11452 //
     /* 1758828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758874 */     // MIs[0] policy
     /* 1758874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758908 */     // GIR_Coverage, 11452,
     /* 1758908 */     GIR_EraseRootFromParent_Done,
     /* 1758909 */   // Label 23936: @1758909
     /* 1758909 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1758995), // Rule ID 11453 //
     /* 1758914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758960 */     // MIs[0] policy
     /* 1758960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758994 */     // GIR_Coverage, 11453,
     /* 1758994 */     GIR_EraseRootFromParent_Done,
     /* 1758995 */   // Label 23937: @1758995
     /* 1758995 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1759081), // Rule ID 11456 //
     /* 1759000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759046 */     // MIs[0] policy
     /* 1759046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1759059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759080 */     // GIR_Coverage, 11456,
     /* 1759080 */     GIR_EraseRootFromParent_Done,
     /* 1759081 */   // Label 23938: @1759081
     /* 1759081 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759167), // Rule ID 11457 //
     /* 1759086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759132 */     // MIs[0] policy
     /* 1759132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1759145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759166 */     // GIR_Coverage, 11457,
     /* 1759166 */     GIR_EraseRootFromParent_Done,
     /* 1759167 */   // Label 23939: @1759167
     /* 1759167 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1759253), // Rule ID 11460 //
     /* 1759172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1759192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759218 */     // MIs[0] policy
     /* 1759218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1759231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759252 */     // GIR_Coverage, 11460,
     /* 1759252 */     GIR_EraseRootFromParent_Done,
     /* 1759253 */   // Label 23940: @1759253
     /* 1759253 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1759339), // Rule ID 11461 //
     /* 1759258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1759278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759304 */     // MIs[0] policy
     /* 1759304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1759317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759338 */     // GIR_Coverage, 11461,
     /* 1759338 */     GIR_EraseRootFromParent_Done,
     /* 1759339 */   // Label 23941: @1759339
     /* 1759339 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1759425), // Rule ID 11464 //
     /* 1759344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759390 */     // MIs[0] policy
     /* 1759390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759424 */     // GIR_Coverage, 11464,
     /* 1759424 */     GIR_EraseRootFromParent_Done,
     /* 1759425 */   // Label 23942: @1759425
     /* 1759425 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1759511), // Rule ID 11465 //
     /* 1759430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759476 */     // MIs[0] policy
     /* 1759476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759510 */     // GIR_Coverage, 11465,
     /* 1759510 */     GIR_EraseRootFromParent_Done,
     /* 1759511 */   // Label 23943: @1759511
     /* 1759511 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1759597), // Rule ID 11468 //
     /* 1759516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759562 */     // MIs[0] policy
     /* 1759562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759596 */     // GIR_Coverage, 11468,
     /* 1759596 */     GIR_EraseRootFromParent_Done,
     /* 1759597 */   // Label 23944: @1759597
     /* 1759597 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1759683), // Rule ID 11469 //
     /* 1759602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759648 */     // MIs[0] policy
     /* 1759648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759682 */     // GIR_Coverage, 11469,
     /* 1759682 */     GIR_EraseRootFromParent_Done,
     /* 1759683 */   // Label 23945: @1759683
     /* 1759683 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1759769), // Rule ID 11472 //
     /* 1759688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759734 */     // MIs[0] policy
     /* 1759734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759768 */     // GIR_Coverage, 11472,
     /* 1759768 */     GIR_EraseRootFromParent_Done,
     /* 1759769 */   // Label 23946: @1759769
     /* 1759769 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1759855), // Rule ID 11473 //
     /* 1759774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759820 */     // MIs[0] policy
     /* 1759820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759854 */     // GIR_Coverage, 11473,
     /* 1759854 */     GIR_EraseRootFromParent_Done,
     /* 1759855 */   // Label 23947: @1759855
     /* 1759855 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1759941), // Rule ID 11476 //
     /* 1759860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759906 */     // MIs[0] policy
     /* 1759906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759940 */     // GIR_Coverage, 11476,
     /* 1759940 */     GIR_EraseRootFromParent_Done,
     /* 1759941 */   // Label 23948: @1759941
     /* 1759941 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1760027), // Rule ID 11477 //
     /* 1759946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759992 */     // MIs[0] policy
     /* 1759992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1760005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760026 */     // GIR_Coverage, 11477,
     /* 1760026 */     GIR_EraseRootFromParent_Done,
     /* 1760027 */   // Label 23949: @1760027
     /* 1760027 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760113), // Rule ID 11480 //
     /* 1760032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1760040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760078 */     // MIs[0] policy
     /* 1760078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1760091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760112 */     // GIR_Coverage, 11480,
     /* 1760112 */     GIR_EraseRootFromParent_Done,
     /* 1760113 */   // Label 23950: @1760113
     /* 1760113 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760199), // Rule ID 11481 //
     /* 1760118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1760126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760164 */     // MIs[0] policy
     /* 1760164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1760177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760198 */     // GIR_Coverage, 11481,
     /* 1760198 */     GIR_EraseRootFromParent_Done,
     /* 1760199 */   // Label 23951: @1760199
     /* 1760199 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1760285), // Rule ID 11484 //
     /* 1760204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760250 */     // MIs[0] policy
     /* 1760250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1760263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760284 */     // GIR_Coverage, 11484,
     /* 1760284 */     GIR_EraseRootFromParent_Done,
     /* 1760285 */   // Label 23952: @1760285
     /* 1760285 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1760371), // Rule ID 11485 //
     /* 1760290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760336 */     // MIs[0] policy
     /* 1760336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1760349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760370 */     // GIR_Coverage, 11485,
     /* 1760370 */     GIR_EraseRootFromParent_Done,
     /* 1760371 */   // Label 23953: @1760371
     /* 1760371 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1760457), // Rule ID 11488 //
     /* 1760376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760422 */     // MIs[0] policy
     /* 1760422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760456 */     // GIR_Coverage, 11488,
     /* 1760456 */     GIR_EraseRootFromParent_Done,
     /* 1760457 */   // Label 23954: @1760457
     /* 1760457 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1760543), // Rule ID 11489 //
     /* 1760462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760508 */     // MIs[0] policy
     /* 1760508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760542 */     // GIR_Coverage, 11489,
     /* 1760542 */     GIR_EraseRootFromParent_Done,
     /* 1760543 */   // Label 23955: @1760543
     /* 1760543 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1760629), // Rule ID 11492 //
     /* 1760548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760594 */     // MIs[0] policy
     /* 1760594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760628 */     // GIR_Coverage, 11492,
     /* 1760628 */     GIR_EraseRootFromParent_Done,
     /* 1760629 */   // Label 23956: @1760629
     /* 1760629 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1760715), // Rule ID 11493 //
     /* 1760634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760680 */     // MIs[0] policy
     /* 1760680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760714 */     // GIR_Coverage, 11493,
     /* 1760714 */     GIR_EraseRootFromParent_Done,
     /* 1760715 */   // Label 23957: @1760715
     /* 1760715 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1760801), // Rule ID 11496 //
     /* 1760720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760766 */     // MIs[0] policy
     /* 1760766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760800 */     // GIR_Coverage, 11496,
     /* 1760800 */     GIR_EraseRootFromParent_Done,
     /* 1760801 */   // Label 23958: @1760801
     /* 1760801 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1760887), // Rule ID 11497 //
     /* 1760806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760852 */     // MIs[0] policy
     /* 1760852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760886 */     // GIR_Coverage, 11497,
     /* 1760886 */     GIR_EraseRootFromParent_Done,
     /* 1760887 */   // Label 23959: @1760887
     /* 1760887 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1760973), // Rule ID 11500 //
     /* 1760892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760938 */     // MIs[0] policy
     /* 1760938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760972 */     // GIR_Coverage, 11500,
     /* 1760972 */     GIR_EraseRootFromParent_Done,
     /* 1760973 */   // Label 23960: @1760973
     /* 1760973 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1761059), // Rule ID 11501 //
     /* 1760978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761024 */     // MIs[0] policy
     /* 1761024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761034 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761058 */     // GIR_Coverage, 11501,
     /* 1761058 */     GIR_EraseRootFromParent_Done,
     /* 1761059 */   // Label 23961: @1761059
     /* 1761059 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761145), // Rule ID 11504 //
     /* 1761064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761110 */     // MIs[0] policy
     /* 1761110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1761123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761144 */     // GIR_Coverage, 11504,
     /* 1761144 */     GIR_EraseRootFromParent_Done,
     /* 1761145 */   // Label 23962: @1761145
     /* 1761145 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1761231), // Rule ID 11505 //
     /* 1761150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761196 */     // MIs[0] policy
     /* 1761196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1761209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761230 */     // GIR_Coverage, 11505,
     /* 1761230 */     GIR_EraseRootFromParent_Done,
     /* 1761231 */   // Label 23963: @1761231
     /* 1761231 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1761317), // Rule ID 11508 //
     /* 1761236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761282 */     // MIs[0] policy
     /* 1761282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1761295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761316 */     // GIR_Coverage, 11508,
     /* 1761316 */     GIR_EraseRootFromParent_Done,
     /* 1761317 */   // Label 23964: @1761317
     /* 1761317 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1761403), // Rule ID 11509 //
     /* 1761322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761368 */     // MIs[0] policy
     /* 1761368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761378 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1761381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761402 */     // GIR_Coverage, 11509,
     /* 1761402 */     GIR_EraseRootFromParent_Done,
     /* 1761403 */   // Label 23965: @1761403
     /* 1761403 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1761489), // Rule ID 11512 //
     /* 1761408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761454 */     // MIs[0] policy
     /* 1761454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761488 */     // GIR_Coverage, 11512,
     /* 1761488 */     GIR_EraseRootFromParent_Done,
     /* 1761489 */   // Label 23966: @1761489
     /* 1761489 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1761575), // Rule ID 11513 //
     /* 1761494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761540 */     // MIs[0] policy
     /* 1761540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761574 */     // GIR_Coverage, 11513,
     /* 1761574 */     GIR_EraseRootFromParent_Done,
     /* 1761575 */   // Label 23967: @1761575
     /* 1761575 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1761661), // Rule ID 11516 //
     /* 1761580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761626 */     // MIs[0] policy
     /* 1761626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761660 */     // GIR_Coverage, 11516,
     /* 1761660 */     GIR_EraseRootFromParent_Done,
     /* 1761661 */   // Label 23968: @1761661
     /* 1761661 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1761747), // Rule ID 11517 //
     /* 1761666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761712 */     // MIs[0] policy
     /* 1761712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761746 */     // GIR_Coverage, 11517,
     /* 1761746 */     GIR_EraseRootFromParent_Done,
     /* 1761747 */   // Label 23969: @1761747
     /* 1761747 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1761833), // Rule ID 11520 //
     /* 1761752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761798 */     // MIs[0] policy
     /* 1761798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761832 */     // GIR_Coverage, 11520,
     /* 1761832 */     GIR_EraseRootFromParent_Done,
     /* 1761833 */   // Label 23970: @1761833
     /* 1761833 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1761919), // Rule ID 11521 //
     /* 1761838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761884 */     // MIs[0] policy
     /* 1761884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761918 */     // GIR_Coverage, 11521,
     /* 1761918 */     GIR_EraseRootFromParent_Done,
     /* 1761919 */   // Label 23971: @1761919
     /* 1761919 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1762005), // Rule ID 11524 //
     /* 1761924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761970 */     // MIs[0] policy
     /* 1761970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762004 */     // GIR_Coverage, 11524,
     /* 1762004 */     GIR_EraseRootFromParent_Done,
     /* 1762005 */   // Label 23972: @1762005
     /* 1762005 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762091), // Rule ID 11525 //
     /* 1762010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1762030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762056 */     // MIs[0] policy
     /* 1762056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1762069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762090 */     // GIR_Coverage, 11525,
     /* 1762090 */     GIR_EraseRootFromParent_Done,
     /* 1762091 */   // Label 23973: @1762091
     /* 1762091 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762177), // Rule ID 11528 //
     /* 1762096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762142 */     // MIs[0] policy
     /* 1762142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762176 */     // GIR_Coverage, 11528,
     /* 1762176 */     GIR_EraseRootFromParent_Done,
     /* 1762177 */   // Label 23974: @1762177
     /* 1762177 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1762263), // Rule ID 11529 //
     /* 1762182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762228 */     // MIs[0] policy
     /* 1762228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762262 */     // GIR_Coverage, 11529,
     /* 1762262 */     GIR_EraseRootFromParent_Done,
     /* 1762263 */   // Label 23975: @1762263
     /* 1762263 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1762349), // Rule ID 11532 //
     /* 1762268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762314 */     // MIs[0] policy
     /* 1762314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1762327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762348 */     // GIR_Coverage, 11532,
     /* 1762348 */     GIR_EraseRootFromParent_Done,
     /* 1762349 */   // Label 23976: @1762349
     /* 1762349 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1762435), // Rule ID 11533 //
     /* 1762354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762400 */     // MIs[0] policy
     /* 1762400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1762413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762434 */     // GIR_Coverage, 11533,
     /* 1762434 */     GIR_EraseRootFromParent_Done,
     /* 1762435 */   // Label 23977: @1762435
     /* 1762435 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1762521), // Rule ID 11536 //
     /* 1762440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762486 */     // MIs[0] policy
     /* 1762486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762520 */     // GIR_Coverage, 11536,
     /* 1762520 */     GIR_EraseRootFromParent_Done,
     /* 1762521 */   // Label 23978: @1762521
     /* 1762521 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1762607), // Rule ID 11537 //
     /* 1762526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762572 */     // MIs[0] policy
     /* 1762572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762606 */     // GIR_Coverage, 11537,
     /* 1762606 */     GIR_EraseRootFromParent_Done,
     /* 1762607 */   // Label 23979: @1762607
     /* 1762607 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1762693), // Rule ID 11540 //
     /* 1762612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762658 */     // MIs[0] policy
     /* 1762658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762692 */     // GIR_Coverage, 11540,
     /* 1762692 */     GIR_EraseRootFromParent_Done,
     /* 1762693 */   // Label 23980: @1762693
     /* 1762693 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1762779), // Rule ID 11541 //
     /* 1762698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762744 */     // MIs[0] policy
     /* 1762744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762778 */     // GIR_Coverage, 11541,
     /* 1762778 */     GIR_EraseRootFromParent_Done,
     /* 1762779 */   // Label 23981: @1762779
     /* 1762779 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1762865), // Rule ID 11544 //
     /* 1762784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762830 */     // MIs[0] policy
     /* 1762830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762864 */     // GIR_Coverage, 11544,
     /* 1762864 */     GIR_EraseRootFromParent_Done,
     /* 1762865 */   // Label 23982: @1762865
     /* 1762865 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1762951), // Rule ID 11545 //
     /* 1762870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762916 */     // MIs[0] policy
     /* 1762916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762950 */     // GIR_Coverage, 11545,
     /* 1762950 */     GIR_EraseRootFromParent_Done,
     /* 1762951 */   // Label 23983: @1762951
     /* 1762951 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1763037), // Rule ID 11548 //
     /* 1762956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763002 */     // MIs[0] policy
     /* 1763002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1763015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763036 */     // GIR_Coverage, 11548,
     /* 1763036 */     GIR_EraseRootFromParent_Done,
     /* 1763037 */   // Label 23984: @1763037
     /* 1763037 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763123), // Rule ID 11549 //
     /* 1763042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1763053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1763056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1763059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1763062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763088 */     // MIs[0] policy
     /* 1763088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1763101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763122 */     // GIR_Coverage, 11549,
     /* 1763122 */     GIR_EraseRootFromParent_Done,
     /* 1763123 */   // Label 23985: @1763123
     /* 1763123 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763209), // Rule ID 11552 //
     /* 1763128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763174 */     // MIs[0] policy
     /* 1763174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1763187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763208 */     // GIR_Coverage, 11552,
     /* 1763208 */     GIR_EraseRootFromParent_Done,
     /* 1763209 */   // Label 23986: @1763209
     /* 1763209 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1763295), // Rule ID 11553 //
     /* 1763214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763260 */     // MIs[0] policy
     /* 1763260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1763273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763294 */     // GIR_Coverage, 11553,
     /* 1763294 */     GIR_EraseRootFromParent_Done,
     /* 1763295 */   // Label 23987: @1763295
     /* 1763295 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1763381), // Rule ID 11556 //
     /* 1763300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763346 */     // MIs[0] policy
     /* 1763346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763380 */     // GIR_Coverage, 11556,
     /* 1763380 */     GIR_EraseRootFromParent_Done,
     /* 1763381 */   // Label 23988: @1763381
     /* 1763381 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1763467), // Rule ID 11557 //
     /* 1763386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763432 */     // MIs[0] policy
     /* 1763432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763466 */     // GIR_Coverage, 11557,
     /* 1763466 */     GIR_EraseRootFromParent_Done,
     /* 1763467 */   // Label 23989: @1763467
     /* 1763467 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1763553), // Rule ID 11560 //
     /* 1763472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763518 */     // MIs[0] policy
     /* 1763518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763552 */     // GIR_Coverage, 11560,
     /* 1763552 */     GIR_EraseRootFromParent_Done,
     /* 1763553 */   // Label 23990: @1763553
     /* 1763553 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1763639), // Rule ID 11561 //
     /* 1763558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763604 */     // MIs[0] policy
     /* 1763604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763638 */     // GIR_Coverage, 11561,
     /* 1763638 */     GIR_EraseRootFromParent_Done,
     /* 1763639 */   // Label 23991: @1763639
     /* 1763639 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1763725), // Rule ID 11564 //
     /* 1763644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763690 */     // MIs[0] policy
     /* 1763690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763724 */     // GIR_Coverage, 11564,
     /* 1763724 */     GIR_EraseRootFromParent_Done,
     /* 1763725 */   // Label 23992: @1763725
     /* 1763725 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1763811), // Rule ID 11565 //
     /* 1763730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763776 */     // MIs[0] policy
     /* 1763776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763810 */     // GIR_Coverage, 11565,
     /* 1763810 */     GIR_EraseRootFromParent_Done,
     /* 1763811 */   // Label 23993: @1763811
     /* 1763811 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1763897), // Rule ID 11568 //
     /* 1763816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763862 */     // MIs[0] policy
     /* 1763862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763896 */     // GIR_Coverage, 11568,
     /* 1763896 */     GIR_EraseRootFromParent_Done,
     /* 1763897 */   // Label 23994: @1763897
     /* 1763897 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1763983), // Rule ID 11569 //
     /* 1763902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763948 */     // MIs[0] policy
     /* 1763948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763982 */     // GIR_Coverage, 11569,
     /* 1763982 */     GIR_EraseRootFromParent_Done,
     /* 1763983 */   // Label 23995: @1763983
     /* 1763983 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1764069), // Rule ID 11572 //
     /* 1763988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764034 */     // MIs[0] policy
     /* 1764034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1764047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764068 */     // GIR_Coverage, 11572,
     /* 1764068 */     GIR_EraseRootFromParent_Done,
     /* 1764069 */   // Label 23996: @1764069
     /* 1764069 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764155), // Rule ID 11573 //
     /* 1764074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764120 */     // MIs[0] policy
     /* 1764120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1764133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764154 */     // GIR_Coverage, 11573,
     /* 1764154 */     GIR_EraseRootFromParent_Done,
     /* 1764155 */   // Label 23997: @1764155
     /* 1764155 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1764241), // Rule ID 11576 //
     /* 1764160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764206 */     // MIs[0] policy
     /* 1764206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1764219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764240 */     // GIR_Coverage, 11576,
     /* 1764240 */     GIR_EraseRootFromParent_Done,
     /* 1764241 */   // Label 23998: @1764241
     /* 1764241 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1764327), // Rule ID 11577 //
     /* 1764246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764292 */     // MIs[0] policy
     /* 1764292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1764305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764326 */     // GIR_Coverage, 11577,
     /* 1764326 */     GIR_EraseRootFromParent_Done,
     /* 1764327 */   // Label 23999: @1764327
     /* 1764327 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1764413), // Rule ID 11580 //
     /* 1764332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764378 */     // MIs[0] policy
     /* 1764378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764412 */     // GIR_Coverage, 11580,
     /* 1764412 */     GIR_EraseRootFromParent_Done,
     /* 1764413 */   // Label 24000: @1764413
     /* 1764413 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1764499), // Rule ID 11581 //
     /* 1764418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764464 */     // MIs[0] policy
     /* 1764464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764498 */     // GIR_Coverage, 11581,
     /* 1764498 */     GIR_EraseRootFromParent_Done,
     /* 1764499 */   // Label 24001: @1764499
     /* 1764499 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1764585), // Rule ID 11584 //
     /* 1764504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764550 */     // MIs[0] policy
     /* 1764550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764584 */     // GIR_Coverage, 11584,
     /* 1764584 */     GIR_EraseRootFromParent_Done,
     /* 1764585 */   // Label 24002: @1764585
     /* 1764585 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1764671), // Rule ID 11585 //
     /* 1764590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764636 */     // MIs[0] policy
     /* 1764636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764670 */     // GIR_Coverage, 11585,
     /* 1764670 */     GIR_EraseRootFromParent_Done,
     /* 1764671 */   // Label 24003: @1764671
     /* 1764671 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1764757), // Rule ID 11588 //
     /* 1764676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764722 */     // MIs[0] policy
     /* 1764722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764756 */     // GIR_Coverage, 11588,
     /* 1764756 */     GIR_EraseRootFromParent_Done,
     /* 1764757 */   // Label 24004: @1764757
     /* 1764757 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1764843), // Rule ID 11589 //
     /* 1764762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764808 */     // MIs[0] policy
     /* 1764808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764842 */     // GIR_Coverage, 11589,
     /* 1764842 */     GIR_EraseRootFromParent_Done,
     /* 1764843 */   // Label 24005: @1764843
     /* 1764843 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1764929), // Rule ID 11592 //
     /* 1764848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764894 */     // MIs[0] policy
     /* 1764894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764928 */     // GIR_Coverage, 11592,
     /* 1764928 */     GIR_EraseRootFromParent_Done,
     /* 1764929 */   // Label 24006: @1764929
     /* 1764929 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1765015), // Rule ID 11593 //
     /* 1764934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764980 */     // MIs[0] policy
     /* 1764980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765014 */     // GIR_Coverage, 11593,
     /* 1765014 */     GIR_EraseRootFromParent_Done,
     /* 1765015 */   // Label 24007: @1765015
     /* 1765015 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765101), // Rule ID 11596 //
     /* 1765020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765066 */     // MIs[0] policy
     /* 1765066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1765079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765100 */     // GIR_Coverage, 11596,
     /* 1765100 */     GIR_EraseRootFromParent_Done,
     /* 1765101 */   // Label 24008: @1765101
     /* 1765101 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765187), // Rule ID 11597 //
     /* 1765106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765152 */     // MIs[0] policy
     /* 1765152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1765165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765186 */     // GIR_Coverage, 11597,
     /* 1765186 */     GIR_EraseRootFromParent_Done,
     /* 1765187 */   // Label 24009: @1765187
     /* 1765187 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1765273), // Rule ID 11600 //
     /* 1765192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765238 */     // MIs[0] policy
     /* 1765238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1765251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765272 */     // GIR_Coverage, 11600,
     /* 1765272 */     GIR_EraseRootFromParent_Done,
     /* 1765273 */   // Label 24010: @1765273
     /* 1765273 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1765359), // Rule ID 11601 //
     /* 1765278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765324 */     // MIs[0] policy
     /* 1765324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1765337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765358 */     // GIR_Coverage, 11601,
     /* 1765358 */     GIR_EraseRootFromParent_Done,
     /* 1765359 */   // Label 24011: @1765359
     /* 1765359 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1765445), // Rule ID 11604 //
     /* 1765364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765410 */     // MIs[0] policy
     /* 1765410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765444 */     // GIR_Coverage, 11604,
     /* 1765444 */     GIR_EraseRootFromParent_Done,
     /* 1765445 */   // Label 24012: @1765445
     /* 1765445 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1765531), // Rule ID 11605 //
     /* 1765450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765496 */     // MIs[0] policy
     /* 1765496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765530 */     // GIR_Coverage, 11605,
     /* 1765530 */     GIR_EraseRootFromParent_Done,
     /* 1765531 */   // Label 24013: @1765531
     /* 1765531 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1765617), // Rule ID 11608 //
     /* 1765536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765582 */     // MIs[0] policy
     /* 1765582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765616 */     // GIR_Coverage, 11608,
     /* 1765616 */     GIR_EraseRootFromParent_Done,
     /* 1765617 */   // Label 24014: @1765617
     /* 1765617 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1765703), // Rule ID 11609 //
     /* 1765622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765668 */     // MIs[0] policy
     /* 1765668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765702 */     // GIR_Coverage, 11609,
     /* 1765702 */     GIR_EraseRootFromParent_Done,
     /* 1765703 */   // Label 24015: @1765703
     /* 1765703 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1765789), // Rule ID 11612 //
     /* 1765708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765754 */     // MIs[0] policy
     /* 1765754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765788 */     // GIR_Coverage, 11612,
     /* 1765788 */     GIR_EraseRootFromParent_Done,
     /* 1765789 */   // Label 24016: @1765789
     /* 1765789 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1765875), // Rule ID 11613 //
     /* 1765794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765840 */     // MIs[0] policy
     /* 1765840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765874 */     // GIR_Coverage, 11613,
     /* 1765874 */     GIR_EraseRootFromParent_Done,
     /* 1765875 */   // Label 24017: @1765875
     /* 1765875 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1765961), // Rule ID 11616 //
     /* 1765880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765926 */     // MIs[0] policy
     /* 1765926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765960 */     // GIR_Coverage, 11616,
     /* 1765960 */     GIR_EraseRootFromParent_Done,
     /* 1765961 */   // Label 24018: @1765961
     /* 1765961 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1766047), // Rule ID 11617 //
     /* 1765966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766012 */     // MIs[0] policy
     /* 1766012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1766025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766046 */     // GIR_Coverage, 11617,
     /* 1766046 */     GIR_EraseRootFromParent_Done,
     /* 1766047 */   // Label 24019: @1766047
     /* 1766047 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766133), // Rule ID 11620 //
     /* 1766052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766098 */     // MIs[0] policy
     /* 1766098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1766111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766132 */     // GIR_Coverage, 11620,
     /* 1766132 */     GIR_EraseRootFromParent_Done,
     /* 1766133 */   // Label 24020: @1766133
     /* 1766133 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1766219), // Rule ID 11621 //
     /* 1766138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766184 */     // MIs[0] policy
     /* 1766184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1766197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766218 */     // GIR_Coverage, 11621,
     /* 1766218 */     GIR_EraseRootFromParent_Done,
     /* 1766219 */   // Label 24021: @1766219
     /* 1766219 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1766305), // Rule ID 11624 //
     /* 1766224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766270 */     // MIs[0] policy
     /* 1766270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1766283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766304 */     // GIR_Coverage, 11624,
     /* 1766304 */     GIR_EraseRootFromParent_Done,
     /* 1766305 */   // Label 24022: @1766305
     /* 1766305 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1766391), // Rule ID 11625 //
     /* 1766310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766356 */     // MIs[0] policy
     /* 1766356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1766369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766390 */     // GIR_Coverage, 11625,
     /* 1766390 */     GIR_EraseRootFromParent_Done,
     /* 1766391 */   // Label 24023: @1766391
     /* 1766391 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1766477), // Rule ID 11628 //
     /* 1766396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766442 */     // MIs[0] policy
     /* 1766442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766476 */     // GIR_Coverage, 11628,
     /* 1766476 */     GIR_EraseRootFromParent_Done,
     /* 1766477 */   // Label 24024: @1766477
     /* 1766477 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1766563), // Rule ID 11629 //
     /* 1766482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766528 */     // MIs[0] policy
     /* 1766528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766562 */     // GIR_Coverage, 11629,
     /* 1766562 */     GIR_EraseRootFromParent_Done,
     /* 1766563 */   // Label 24025: @1766563
     /* 1766563 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1766649), // Rule ID 11632 //
     /* 1766568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766614 */     // MIs[0] policy
     /* 1766614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766648 */     // GIR_Coverage, 11632,
     /* 1766648 */     GIR_EraseRootFromParent_Done,
     /* 1766649 */   // Label 24026: @1766649
     /* 1766649 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1766735), // Rule ID 11633 //
     /* 1766654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766700 */     // MIs[0] policy
     /* 1766700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766734 */     // GIR_Coverage, 11633,
     /* 1766734 */     GIR_EraseRootFromParent_Done,
     /* 1766735 */   // Label 24027: @1766735
     /* 1766735 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1766821), // Rule ID 11636 //
     /* 1766740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766786 */     // MIs[0] policy
     /* 1766786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766820 */     // GIR_Coverage, 11636,
     /* 1766820 */     GIR_EraseRootFromParent_Done,
     /* 1766821 */   // Label 24028: @1766821
     /* 1766821 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1766907), // Rule ID 11637 //
     /* 1766826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766872 */     // MIs[0] policy
     /* 1766872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766906 */     // GIR_Coverage, 11637,
     /* 1766906 */     GIR_EraseRootFromParent_Done,
     /* 1766907 */   // Label 24029: @1766907
     /* 1766907 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1766993), // Rule ID 11640 //
     /* 1766912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766958 */     // MIs[0] policy
     /* 1766958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766968 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766992 */     // GIR_Coverage, 11640,
     /* 1766992 */     GIR_EraseRootFromParent_Done,
     /* 1766993 */   // Label 24030: @1766993
     /* 1766993 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1767079), // Rule ID 11641 //
     /* 1766998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1767009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1767012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1767015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767044 */     // MIs[0] policy
     /* 1767044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1767057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767078 */     // GIR_Coverage, 11641,
     /* 1767078 */     GIR_EraseRootFromParent_Done,
     /* 1767079 */   // Label 24031: @1767079
     /* 1767079 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767165), // Rule ID 11644 //
     /* 1767084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767130 */     // MIs[0] policy
     /* 1767130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1767143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767164 */     // GIR_Coverage, 11644,
     /* 1767164 */     GIR_EraseRootFromParent_Done,
     /* 1767165 */   // Label 24032: @1767165
     /* 1767165 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1767251), // Rule ID 11645 //
     /* 1767170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767216 */     // MIs[0] policy
     /* 1767216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1767229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767250 */     // GIR_Coverage, 11645,
     /* 1767250 */     GIR_EraseRootFromParent_Done,
     /* 1767251 */   // Label 24033: @1767251
     /* 1767251 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1767337), // Rule ID 11648 //
     /* 1767256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767302 */     // MIs[0] policy
     /* 1767302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1767315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767336 */     // GIR_Coverage, 11648,
     /* 1767336 */     GIR_EraseRootFromParent_Done,
     /* 1767337 */   // Label 24034: @1767337
     /* 1767337 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1767423), // Rule ID 11649 //
     /* 1767342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767388 */     // MIs[0] policy
     /* 1767388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1767401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767422 */     // GIR_Coverage, 11649,
     /* 1767422 */     GIR_EraseRootFromParent_Done,
     /* 1767423 */   // Label 24035: @1767423
     /* 1767423 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1767509), // Rule ID 11652 //
     /* 1767428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767474 */     // MIs[0] policy
     /* 1767474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767508 */     // GIR_Coverage, 11652,
     /* 1767508 */     GIR_EraseRootFromParent_Done,
     /* 1767509 */   // Label 24036: @1767509
     /* 1767509 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1767595), // Rule ID 11653 //
     /* 1767514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767560 */     // MIs[0] policy
     /* 1767560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767594 */     // GIR_Coverage, 11653,
     /* 1767594 */     GIR_EraseRootFromParent_Done,
     /* 1767595 */   // Label 24037: @1767595
     /* 1767595 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1767681), // Rule ID 11656 //
     /* 1767600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767646 */     // MIs[0] policy
     /* 1767646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767680 */     // GIR_Coverage, 11656,
     /* 1767680 */     GIR_EraseRootFromParent_Done,
     /* 1767681 */   // Label 24038: @1767681
     /* 1767681 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1767767), // Rule ID 11657 //
     /* 1767686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767732 */     // MIs[0] policy
     /* 1767732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767766 */     // GIR_Coverage, 11657,
     /* 1767766 */     GIR_EraseRootFromParent_Done,
     /* 1767767 */   // Label 24039: @1767767
     /* 1767767 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1767853), // Rule ID 11660 //
     /* 1767772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767818 */     // MIs[0] policy
     /* 1767818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767852 */     // GIR_Coverage, 11660,
     /* 1767852 */     GIR_EraseRootFromParent_Done,
     /* 1767853 */   // Label 24040: @1767853
     /* 1767853 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1767939), // Rule ID 11661 //
     /* 1767858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767904 */     // MIs[0] policy
     /* 1767904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767938 */     // GIR_Coverage, 11661,
     /* 1767938 */     GIR_EraseRootFromParent_Done,
     /* 1767939 */   // Label 24041: @1767939
     /* 1767939 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1768025), // Rule ID 11664 //
     /* 1767944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767990 */     // MIs[0] policy
     /* 1767990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1768003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768024 */     // GIR_Coverage, 11664,
     /* 1768024 */     GIR_EraseRootFromParent_Done,
     /* 1768025 */   // Label 24042: @1768025
     /* 1768025 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768111), // Rule ID 11665 //
     /* 1768030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1768041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1768044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1768047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768076 */     // MIs[0] policy
     /* 1768076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1768089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768110 */     // GIR_Coverage, 11665,
     /* 1768110 */     GIR_EraseRootFromParent_Done,
     /* 1768111 */   // Label 24043: @1768111
     /* 1768111 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768197), // Rule ID 11668 //
     /* 1768116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768162 */     // MIs[0] policy
     /* 1768162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1768175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768196 */     // GIR_Coverage, 11668,
     /* 1768196 */     GIR_EraseRootFromParent_Done,
     /* 1768197 */   // Label 24044: @1768197
     /* 1768197 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1768283), // Rule ID 11669 //
     /* 1768202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768248 */     // MIs[0] policy
     /* 1768248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1768261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768282 */     // GIR_Coverage, 11669,
     /* 1768282 */     GIR_EraseRootFromParent_Done,
     /* 1768283 */   // Label 24045: @1768283
     /* 1768283 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1768369), // Rule ID 11672 //
     /* 1768288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768334 */     // MIs[0] policy
     /* 1768334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768368 */     // GIR_Coverage, 11672,
     /* 1768368 */     GIR_EraseRootFromParent_Done,
     /* 1768369 */   // Label 24046: @1768369
     /* 1768369 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1768455), // Rule ID 11673 //
     /* 1768374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768420 */     // MIs[0] policy
     /* 1768420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768454 */     // GIR_Coverage, 11673,
     /* 1768454 */     GIR_EraseRootFromParent_Done,
     /* 1768455 */   // Label 24047: @1768455
     /* 1768455 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1768541), // Rule ID 11676 //
     /* 1768460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768506 */     // MIs[0] policy
     /* 1768506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768540 */     // GIR_Coverage, 11676,
     /* 1768540 */     GIR_EraseRootFromParent_Done,
     /* 1768541 */   // Label 24048: @1768541
     /* 1768541 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1768627), // Rule ID 11677 //
     /* 1768546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768592 */     // MIs[0] policy
     /* 1768592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768626 */     // GIR_Coverage, 11677,
     /* 1768626 */     GIR_EraseRootFromParent_Done,
     /* 1768627 */   // Label 24049: @1768627
     /* 1768627 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1768713), // Rule ID 11680 //
     /* 1768632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768678 */     // MIs[0] policy
     /* 1768678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768712 */     // GIR_Coverage, 11680,
     /* 1768712 */     GIR_EraseRootFromParent_Done,
     /* 1768713 */   // Label 24050: @1768713
     /* 1768713 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1768799), // Rule ID 11681 //
     /* 1768718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768764 */     // MIs[0] policy
     /* 1768764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768798 */     // GIR_Coverage, 11681,
     /* 1768798 */     GIR_EraseRootFromParent_Done,
     /* 1768799 */   // Label 24051: @1768799
     /* 1768799 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1768885), // Rule ID 11684 //
     /* 1768804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768850 */     // MIs[0] policy
     /* 1768850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768860 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768884 */     // GIR_Coverage, 11684,
     /* 1768884 */     GIR_EraseRootFromParent_Done,
     /* 1768885 */   // Label 24052: @1768885
     /* 1768885 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1768971), // Rule ID 11685 //
     /* 1768890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768936 */     // MIs[0] policy
     /* 1768936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768970 */     // GIR_Coverage, 11685,
     /* 1768970 */     GIR_EraseRootFromParent_Done,
     /* 1768971 */   // Label 24053: @1768971
     /* 1768971 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1769057), // Rule ID 11688 //
     /* 1768976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769022 */     // MIs[0] policy
     /* 1769022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1769035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769056 */     // GIR_Coverage, 11688,
     /* 1769056 */     GIR_EraseRootFromParent_Done,
     /* 1769057 */   // Label 24054: @1769057
     /* 1769057 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769143), // Rule ID 11689 //
     /* 1769062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769108 */     // MIs[0] policy
     /* 1769108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1769121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769142 */     // GIR_Coverage, 11689,
     /* 1769142 */     GIR_EraseRootFromParent_Done,
     /* 1769143 */   // Label 24055: @1769143
     /* 1769143 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1769229), // Rule ID 11692 //
     /* 1769148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769194 */     // MIs[0] policy
     /* 1769194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1769207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769228 */     // GIR_Coverage, 11692,
     /* 1769228 */     GIR_EraseRootFromParent_Done,
     /* 1769229 */   // Label 24056: @1769229
     /* 1769229 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1769315), // Rule ID 11693 //
     /* 1769234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769280 */     // MIs[0] policy
     /* 1769280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1769293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769314 */     // GIR_Coverage, 11693,
     /* 1769314 */     GIR_EraseRootFromParent_Done,
     /* 1769315 */   // Label 24057: @1769315
     /* 1769315 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1769401), // Rule ID 11696 //
     /* 1769320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769366 */     // MIs[0] policy
     /* 1769366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769400 */     // GIR_Coverage, 11696,
     /* 1769400 */     GIR_EraseRootFromParent_Done,
     /* 1769401 */   // Label 24058: @1769401
     /* 1769401 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1769487), // Rule ID 11697 //
     /* 1769406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769452 */     // MIs[0] policy
     /* 1769452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769486 */     // GIR_Coverage, 11697,
     /* 1769486 */     GIR_EraseRootFromParent_Done,
     /* 1769487 */   // Label 24059: @1769487
     /* 1769487 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1769573), // Rule ID 11700 //
     /* 1769492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769538 */     // MIs[0] policy
     /* 1769538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769572 */     // GIR_Coverage, 11700,
     /* 1769572 */     GIR_EraseRootFromParent_Done,
     /* 1769573 */   // Label 24060: @1769573
     /* 1769573 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1769659), // Rule ID 11701 //
     /* 1769578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769624 */     // MIs[0] policy
     /* 1769624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769658 */     // GIR_Coverage, 11701,
     /* 1769658 */     GIR_EraseRootFromParent_Done,
     /* 1769659 */   // Label 24061: @1769659
     /* 1769659 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1769745), // Rule ID 11704 //
     /* 1769664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769710 */     // MIs[0] policy
     /* 1769710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769744 */     // GIR_Coverage, 11704,
     /* 1769744 */     GIR_EraseRootFromParent_Done,
     /* 1769745 */   // Label 24062: @1769745
     /* 1769745 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1769831), // Rule ID 11705 //
     /* 1769750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769796 */     // MIs[0] policy
     /* 1769796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769830 */     // GIR_Coverage, 11705,
     /* 1769830 */     GIR_EraseRootFromParent_Done,
     /* 1769831 */   // Label 24063: @1769831
     /* 1769831 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1769917), // Rule ID 11708 //
     /* 1769836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769882 */     // MIs[0] policy
     /* 1769882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769916 */     // GIR_Coverage, 11708,
     /* 1769916 */     GIR_EraseRootFromParent_Done,
     /* 1769917 */   // Label 24064: @1769917
     /* 1769917 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1770003), // Rule ID 11709 //
     /* 1769922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769968 */     // MIs[0] policy
     /* 1769968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770002 */     // GIR_Coverage, 11709,
     /* 1770002 */     GIR_EraseRootFromParent_Done,
     /* 1770003 */   // Label 24065: @1770003
     /* 1770003 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770089), // Rule ID 11712 //
     /* 1770008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770054 */     // MIs[0] policy
     /* 1770054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1770067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770088 */     // GIR_Coverage, 11712,
     /* 1770088 */     GIR_EraseRootFromParent_Done,
     /* 1770089 */   // Label 24066: @1770089
     /* 1770089 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770175), // Rule ID 11713 //
     /* 1770094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770140 */     // MIs[0] policy
     /* 1770140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1770153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770174 */     // GIR_Coverage, 11713,
     /* 1770174 */     GIR_EraseRootFromParent_Done,
     /* 1770175 */   // Label 24067: @1770175
     /* 1770175 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1770261), // Rule ID 11716 //
     /* 1770180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770226 */     // MIs[0] policy
     /* 1770226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1770239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770260 */     // GIR_Coverage, 11716,
     /* 1770260 */     GIR_EraseRootFromParent_Done,
     /* 1770261 */   // Label 24068: @1770261
     /* 1770261 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1770347), // Rule ID 11717 //
     /* 1770266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770312 */     // MIs[0] policy
     /* 1770312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1770325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770346 */     // GIR_Coverage, 11717,
     /* 1770346 */     GIR_EraseRootFromParent_Done,
     /* 1770347 */   // Label 24069: @1770347
     /* 1770347 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1770433), // Rule ID 11720 //
     /* 1770352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770398 */     // MIs[0] policy
     /* 1770398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770432 */     // GIR_Coverage, 11720,
     /* 1770432 */     GIR_EraseRootFromParent_Done,
     /* 1770433 */   // Label 24070: @1770433
     /* 1770433 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1770519), // Rule ID 11721 //
     /* 1770438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770484 */     // MIs[0] policy
     /* 1770484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770518 */     // GIR_Coverage, 11721,
     /* 1770518 */     GIR_EraseRootFromParent_Done,
     /* 1770519 */   // Label 24071: @1770519
     /* 1770519 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1770605), // Rule ID 11724 //
     /* 1770524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770570 */     // MIs[0] policy
     /* 1770570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770604 */     // GIR_Coverage, 11724,
     /* 1770604 */     GIR_EraseRootFromParent_Done,
     /* 1770605 */   // Label 24072: @1770605
     /* 1770605 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1770691), // Rule ID 11725 //
     /* 1770610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770656 */     // MIs[0] policy
     /* 1770656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770690 */     // GIR_Coverage, 11725,
     /* 1770690 */     GIR_EraseRootFromParent_Done,
     /* 1770691 */   // Label 24073: @1770691
     /* 1770691 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1770777), // Rule ID 11728 //
     /* 1770696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770742 */     // MIs[0] policy
     /* 1770742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770776 */     // GIR_Coverage, 11728,
     /* 1770776 */     GIR_EraseRootFromParent_Done,
     /* 1770777 */   // Label 24074: @1770777
     /* 1770777 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1770863), // Rule ID 11729 //
     /* 1770782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770828 */     // MIs[0] policy
     /* 1770828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770862 */     // GIR_Coverage, 11729,
     /* 1770862 */     GIR_EraseRootFromParent_Done,
     /* 1770863 */   // Label 24075: @1770863
     /* 1770863 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1770949), // Rule ID 11732 //
     /* 1770868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770914 */     // MIs[0] policy
     /* 1770914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770948 */     // GIR_Coverage, 11732,
     /* 1770948 */     GIR_EraseRootFromParent_Done,
     /* 1770949 */   // Label 24076: @1770949
     /* 1770949 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1771035), // Rule ID 11733 //
     /* 1770954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771000 */     // MIs[0] policy
     /* 1771000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1771013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771034 */     // GIR_Coverage, 11733,
     /* 1771034 */     GIR_EraseRootFromParent_Done,
     /* 1771035 */   // Label 24077: @1771035
     /* 1771035 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771121), // Rule ID 11736 //
     /* 1771040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1771060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771086 */     // MIs[0] policy
     /* 1771086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1771099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771120 */     // GIR_Coverage, 11736,
     /* 1771120 */     GIR_EraseRootFromParent_Done,
     /* 1771121 */   // Label 24078: @1771121
     /* 1771121 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771207), // Rule ID 11737 //
     /* 1771126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1771146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771172 */     // MIs[0] policy
     /* 1771172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1771185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771206 */     // GIR_Coverage, 11737,
     /* 1771206 */     GIR_EraseRootFromParent_Done,
     /* 1771207 */   // Label 24079: @1771207
     /* 1771207 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1771293), // Rule ID 11740 //
     /* 1771212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771258 */     // MIs[0] policy
     /* 1771258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1771271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771292 */     // GIR_Coverage, 11740,
     /* 1771292 */     GIR_EraseRootFromParent_Done,
     /* 1771293 */   // Label 24080: @1771293
     /* 1771293 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1771379), // Rule ID 11741 //
     /* 1771298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771344 */     // MIs[0] policy
     /* 1771344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1771357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771378 */     // GIR_Coverage, 11741,
     /* 1771378 */     GIR_EraseRootFromParent_Done,
     /* 1771379 */   // Label 24081: @1771379
     /* 1771379 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1771465), // Rule ID 11744 //
     /* 1771384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771430 */     // MIs[0] policy
     /* 1771430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771464 */     // GIR_Coverage, 11744,
     /* 1771464 */     GIR_EraseRootFromParent_Done,
     /* 1771465 */   // Label 24082: @1771465
     /* 1771465 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1771551), // Rule ID 11745 //
     /* 1771470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771516 */     // MIs[0] policy
     /* 1771516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771550 */     // GIR_Coverage, 11745,
     /* 1771550 */     GIR_EraseRootFromParent_Done,
     /* 1771551 */   // Label 24083: @1771551
     /* 1771551 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1771637), // Rule ID 11748 //
     /* 1771556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771602 */     // MIs[0] policy
     /* 1771602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771636 */     // GIR_Coverage, 11748,
     /* 1771636 */     GIR_EraseRootFromParent_Done,
     /* 1771637 */   // Label 24084: @1771637
     /* 1771637 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1771723), // Rule ID 11749 //
     /* 1771642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771688 */     // MIs[0] policy
     /* 1771688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771722 */     // GIR_Coverage, 11749,
     /* 1771722 */     GIR_EraseRootFromParent_Done,
     /* 1771723 */   // Label 24085: @1771723
     /* 1771723 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1771809), // Rule ID 11752 //
     /* 1771728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771774 */     // MIs[0] policy
     /* 1771774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771808 */     // GIR_Coverage, 11752,
     /* 1771808 */     GIR_EraseRootFromParent_Done,
     /* 1771809 */   // Label 24086: @1771809
     /* 1771809 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1771895), // Rule ID 11753 //
     /* 1771814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771860 */     // MIs[0] policy
     /* 1771860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771894 */     // GIR_Coverage, 11753,
     /* 1771894 */     GIR_EraseRootFromParent_Done,
     /* 1771895 */   // Label 24087: @1771895
     /* 1771895 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1771981), // Rule ID 11756 //
     /* 1771900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771946 */     // MIs[0] policy
     /* 1771946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771980 */     // GIR_Coverage, 11756,
     /* 1771980 */     GIR_EraseRootFromParent_Done,
     /* 1771981 */   // Label 24088: @1771981
     /* 1771981 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1772067), // Rule ID 11757 //
     /* 1771986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1772006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772032 */     // MIs[0] policy
     /* 1772032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1772045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772066 */     // GIR_Coverage, 11757,
     /* 1772066 */     GIR_EraseRootFromParent_Done,
     /* 1772067 */   // Label 24089: @1772067
     /* 1772067 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772153), // Rule ID 11760 //
     /* 1772072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772118 */     // MIs[0] policy
     /* 1772118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1772131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772152 */     // GIR_Coverage, 11760,
     /* 1772152 */     GIR_EraseRootFromParent_Done,
     /* 1772153 */   // Label 24090: @1772153
     /* 1772153 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1772239), // Rule ID 11761 //
     /* 1772158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772204 */     // MIs[0] policy
     /* 1772204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1772217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772238 */     // GIR_Coverage, 11761,
     /* 1772238 */     GIR_EraseRootFromParent_Done,
     /* 1772239 */   // Label 24091: @1772239
     /* 1772239 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1772325), // Rule ID 11764 //
     /* 1772244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772290 */     // MIs[0] policy
     /* 1772290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1772303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772324 */     // GIR_Coverage, 11764,
     /* 1772324 */     GIR_EraseRootFromParent_Done,
     /* 1772325 */   // Label 24092: @1772325
     /* 1772325 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1772411), // Rule ID 11765 //
     /* 1772330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772376 */     // MIs[0] policy
     /* 1772376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1772389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772410 */     // GIR_Coverage, 11765,
     /* 1772410 */     GIR_EraseRootFromParent_Done,
     /* 1772411 */   // Label 24093: @1772411
     /* 1772411 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1772497), // Rule ID 11768 //
     /* 1772416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772462 */     // MIs[0] policy
     /* 1772462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772496 */     // GIR_Coverage, 11768,
     /* 1772496 */     GIR_EraseRootFromParent_Done,
     /* 1772497 */   // Label 24094: @1772497
     /* 1772497 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1772583), // Rule ID 11769 //
     /* 1772502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772548 */     // MIs[0] policy
     /* 1772548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772582 */     // GIR_Coverage, 11769,
     /* 1772582 */     GIR_EraseRootFromParent_Done,
     /* 1772583 */   // Label 24095: @1772583
     /* 1772583 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1772669), // Rule ID 11772 //
     /* 1772588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772634 */     // MIs[0] policy
     /* 1772634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772668 */     // GIR_Coverage, 11772,
     /* 1772668 */     GIR_EraseRootFromParent_Done,
     /* 1772669 */   // Label 24096: @1772669
     /* 1772669 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1772755), // Rule ID 11773 //
     /* 1772674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772720 */     // MIs[0] policy
     /* 1772720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772754 */     // GIR_Coverage, 11773,
     /* 1772754 */     GIR_EraseRootFromParent_Done,
     /* 1772755 */   // Label 24097: @1772755
     /* 1772755 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1772841), // Rule ID 11776 //
     /* 1772760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772806 */     // MIs[0] policy
     /* 1772806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772840 */     // GIR_Coverage, 11776,
     /* 1772840 */     GIR_EraseRootFromParent_Done,
     /* 1772841 */   // Label 24098: @1772841
     /* 1772841 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1772927), // Rule ID 11777 //
     /* 1772846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772892 */     // MIs[0] policy
     /* 1772892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772926 */     // GIR_Coverage, 11777,
     /* 1772926 */     GIR_EraseRootFromParent_Done,
     /* 1772927 */   // Label 24099: @1772927
     /* 1772927 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1773013), // Rule ID 11780 //
     /* 1772932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772978 */     // MIs[0] policy
     /* 1772978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773012 */     // GIR_Coverage, 11780,
     /* 1773012 */     GIR_EraseRootFromParent_Done,
     /* 1773013 */   // Label 24100: @1773013
     /* 1773013 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773099), // Rule ID 11781 //
     /* 1773018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1773038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773064 */     // MIs[0] policy
     /* 1773064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1773077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773098 */     // GIR_Coverage, 11781,
     /* 1773098 */     GIR_EraseRootFromParent_Done,
     /* 1773099 */   // Label 24101: @1773099
     /* 1773099 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773185), // Rule ID 11784 //
     /* 1773104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773150 */     // MIs[0] policy
     /* 1773150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1773163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773184 */     // GIR_Coverage, 11784,
     /* 1773184 */     GIR_EraseRootFromParent_Done,
     /* 1773185 */   // Label 24102: @1773185
     /* 1773185 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1773271), // Rule ID 11785 //
     /* 1773190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773236 */     // MIs[0] policy
     /* 1773236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1773249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773270 */     // GIR_Coverage, 11785,
     /* 1773270 */     GIR_EraseRootFromParent_Done,
     /* 1773271 */   // Label 24103: @1773271
     /* 1773271 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1773357), // Rule ID 11788 //
     /* 1773276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773322 */     // MIs[0] policy
     /* 1773322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1773335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773356 */     // GIR_Coverage, 11788,
     /* 1773356 */     GIR_EraseRootFromParent_Done,
     /* 1773357 */   // Label 24104: @1773357
     /* 1773357 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1773443), // Rule ID 11789 //
     /* 1773362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773408 */     // MIs[0] policy
     /* 1773408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1773421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773442 */     // GIR_Coverage, 11789,
     /* 1773442 */     GIR_EraseRootFromParent_Done,
     /* 1773443 */   // Label 24105: @1773443
     /* 1773443 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1773529), // Rule ID 11792 //
     /* 1773448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773494 */     // MIs[0] policy
     /* 1773494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773528 */     // GIR_Coverage, 11792,
     /* 1773528 */     GIR_EraseRootFromParent_Done,
     /* 1773529 */   // Label 24106: @1773529
     /* 1773529 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1773615), // Rule ID 11793 //
     /* 1773534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773580 */     // MIs[0] policy
     /* 1773580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773614 */     // GIR_Coverage, 11793,
     /* 1773614 */     GIR_EraseRootFromParent_Done,
     /* 1773615 */   // Label 24107: @1773615
     /* 1773615 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1773701), // Rule ID 11796 //
     /* 1773620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773666 */     // MIs[0] policy
     /* 1773666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773700 */     // GIR_Coverage, 11796,
     /* 1773700 */     GIR_EraseRootFromParent_Done,
     /* 1773701 */   // Label 24108: @1773701
     /* 1773701 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1773787), // Rule ID 11797 //
     /* 1773706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773752 */     // MIs[0] policy
     /* 1773752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773786 */     // GIR_Coverage, 11797,
     /* 1773786 */     GIR_EraseRootFromParent_Done,
     /* 1773787 */   // Label 24109: @1773787
     /* 1773787 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1773873), // Rule ID 11800 //
     /* 1773792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773838 */     // MIs[0] policy
     /* 1773838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773872 */     // GIR_Coverage, 11800,
     /* 1773872 */     GIR_EraseRootFromParent_Done,
     /* 1773873 */   // Label 24110: @1773873
     /* 1773873 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1773959), // Rule ID 11801 //
     /* 1773878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773924 */     // MIs[0] policy
     /* 1773924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773958 */     // GIR_Coverage, 11801,
     /* 1773958 */     GIR_EraseRootFromParent_Done,
     /* 1773959 */   // Label 24111: @1773959
     /* 1773959 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1774045), // Rule ID 11804 //
     /* 1773964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774010 */     // MIs[0] policy
     /* 1774010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1774023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774044 */     // GIR_Coverage, 11804,
     /* 1774044 */     GIR_EraseRootFromParent_Done,
     /* 1774045 */   // Label 24112: @1774045
     /* 1774045 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774131), // Rule ID 11805 //
     /* 1774050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1774070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774096 */     // MIs[0] policy
     /* 1774096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1774109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774130 */     // GIR_Coverage, 11805,
     /* 1774130 */     GIR_EraseRootFromParent_Done,
     /* 1774131 */   // Label 24113: @1774131
     /* 1774131 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1774217), // Rule ID 11808 //
     /* 1774136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1774156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774182 */     // MIs[0] policy
     /* 1774182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1774195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774216 */     // GIR_Coverage, 11808,
     /* 1774216 */     GIR_EraseRootFromParent_Done,
     /* 1774217 */   // Label 24114: @1774217
     /* 1774217 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1774303), // Rule ID 11809 //
     /* 1774222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1774242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774268 */     // MIs[0] policy
     /* 1774268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1774281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774302 */     // GIR_Coverage, 11809,
     /* 1774302 */     GIR_EraseRootFromParent_Done,
     /* 1774303 */   // Label 24115: @1774303
     /* 1774303 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1774389), // Rule ID 11812 //
     /* 1774308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774354 */     // MIs[0] policy
     /* 1774354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774388 */     // GIR_Coverage, 11812,
     /* 1774388 */     GIR_EraseRootFromParent_Done,
     /* 1774389 */   // Label 24116: @1774389
     /* 1774389 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1774475), // Rule ID 11813 //
     /* 1774394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774440 */     // MIs[0] policy
     /* 1774440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774450 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774474 */     // GIR_Coverage, 11813,
     /* 1774474 */     GIR_EraseRootFromParent_Done,
     /* 1774475 */   // Label 24117: @1774475
     /* 1774475 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1774561), // Rule ID 11816 //
     /* 1774480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774526 */     // MIs[0] policy
     /* 1774526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774560 */     // GIR_Coverage, 11816,
     /* 1774560 */     GIR_EraseRootFromParent_Done,
     /* 1774561 */   // Label 24118: @1774561
     /* 1774561 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1774647), // Rule ID 11817 //
     /* 1774566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774612 */     // MIs[0] policy
     /* 1774612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774646 */     // GIR_Coverage, 11817,
     /* 1774646 */     GIR_EraseRootFromParent_Done,
     /* 1774647 */   // Label 24119: @1774647
     /* 1774647 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1774733), // Rule ID 11820 //
     /* 1774652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774698 */     // MIs[0] policy
     /* 1774698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774732 */     // GIR_Coverage, 11820,
     /* 1774732 */     GIR_EraseRootFromParent_Done,
     /* 1774733 */   // Label 24120: @1774733
     /* 1774733 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1774819), // Rule ID 11821 //
     /* 1774738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774784 */     // MIs[0] policy
     /* 1774784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774818 */     // GIR_Coverage, 11821,
     /* 1774818 */     GIR_EraseRootFromParent_Done,
     /* 1774819 */   // Label 24121: @1774819
     /* 1774819 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1774905), // Rule ID 11824 //
     /* 1774824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774870 */     // MIs[0] policy
     /* 1774870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774904 */     // GIR_Coverage, 11824,
     /* 1774904 */     GIR_EraseRootFromParent_Done,
     /* 1774905 */   // Label 24122: @1774905
     /* 1774905 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1774991), // Rule ID 11825 //
     /* 1774910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774956 */     // MIs[0] policy
     /* 1774956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774990 */     // GIR_Coverage, 11825,
     /* 1774990 */     GIR_EraseRootFromParent_Done,
     /* 1774991 */   // Label 24123: @1774991
     /* 1774991 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1775077), // Rule ID 11828 //
     /* 1774996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775042 */     // MIs[0] policy
     /* 1775042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1775055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775076 */     // GIR_Coverage, 11828,
     /* 1775076 */     GIR_EraseRootFromParent_Done,
     /* 1775077 */   // Label 24124: @1775077
     /* 1775077 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775163), // Rule ID 11829 //
     /* 1775082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775128 */     // MIs[0] policy
     /* 1775128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1775141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775162 */     // GIR_Coverage, 11829,
     /* 1775162 */     GIR_EraseRootFromParent_Done,
     /* 1775163 */   // Label 24125: @1775163
     /* 1775163 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1775249), // Rule ID 11832 //
     /* 1775168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775214 */     // MIs[0] policy
     /* 1775214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1775227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775248 */     // GIR_Coverage, 11832,
     /* 1775248 */     GIR_EraseRootFromParent_Done,
     /* 1775249 */   // Label 24126: @1775249
     /* 1775249 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1775335), // Rule ID 11833 //
     /* 1775254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775300 */     // MIs[0] policy
     /* 1775300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1775313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775334 */     // GIR_Coverage, 11833,
     /* 1775334 */     GIR_EraseRootFromParent_Done,
     /* 1775335 */   // Label 24127: @1775335
     /* 1775335 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1775421), // Rule ID 11836 //
     /* 1775340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775386 */     // MIs[0] policy
     /* 1775386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775420 */     // GIR_Coverage, 11836,
     /* 1775420 */     GIR_EraseRootFromParent_Done,
     /* 1775421 */   // Label 24128: @1775421
     /* 1775421 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1775507), // Rule ID 11837 //
     /* 1775426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775472 */     // MIs[0] policy
     /* 1775472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775506 */     // GIR_Coverage, 11837,
     /* 1775506 */     GIR_EraseRootFromParent_Done,
     /* 1775507 */   // Label 24129: @1775507
     /* 1775507 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1775593), // Rule ID 11840 //
     /* 1775512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775558 */     // MIs[0] policy
     /* 1775558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775592 */     // GIR_Coverage, 11840,
     /* 1775592 */     GIR_EraseRootFromParent_Done,
     /* 1775593 */   // Label 24130: @1775593
     /* 1775593 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1775679), // Rule ID 11841 //
     /* 1775598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775644 */     // MIs[0] policy
     /* 1775644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775678 */     // GIR_Coverage, 11841,
     /* 1775678 */     GIR_EraseRootFromParent_Done,
     /* 1775679 */   // Label 24131: @1775679
     /* 1775679 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1775765), // Rule ID 11844 //
     /* 1775684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775730 */     // MIs[0] policy
     /* 1775730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775764 */     // GIR_Coverage, 11844,
     /* 1775764 */     GIR_EraseRootFromParent_Done,
     /* 1775765 */   // Label 24132: @1775765
     /* 1775765 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1775851), // Rule ID 11845 //
     /* 1775770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775816 */     // MIs[0] policy
     /* 1775816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775850 */     // GIR_Coverage, 11845,
     /* 1775850 */     GIR_EraseRootFromParent_Done,
     /* 1775851 */   // Label 24133: @1775851
     /* 1775851 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1775937), // Rule ID 11848 //
     /* 1775856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775902 */     // MIs[0] policy
     /* 1775902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775936 */     // GIR_Coverage, 11848,
     /* 1775936 */     GIR_EraseRootFromParent_Done,
     /* 1775937 */   // Label 24134: @1775937
     /* 1775937 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1776023), // Rule ID 11849 //
     /* 1775942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775988 */     // MIs[0] policy
     /* 1775988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1776001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776022 */     // GIR_Coverage, 11849,
     /* 1776022 */     GIR_EraseRootFromParent_Done,
     /* 1776023 */   // Label 24135: @1776023
     /* 1776023 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776109), // Rule ID 11852 //
     /* 1776028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776074 */     // MIs[0] policy
     /* 1776074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1776087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776108 */     // GIR_Coverage, 11852,
     /* 1776108 */     GIR_EraseRootFromParent_Done,
     /* 1776109 */   // Label 24136: @1776109
     /* 1776109 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776195), // Rule ID 11853 //
     /* 1776114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776160 */     // MIs[0] policy
     /* 1776160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776170 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1776173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776194 */     // GIR_Coverage, 11853,
     /* 1776194 */     GIR_EraseRootFromParent_Done,
     /* 1776195 */   // Label 24137: @1776195
     /* 1776195 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1776281), // Rule ID 11856 //
     /* 1776200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776246 */     // MIs[0] policy
     /* 1776246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1776259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776280 */     // GIR_Coverage, 11856,
     /* 1776280 */     GIR_EraseRootFromParent_Done,
     /* 1776281 */   // Label 24138: @1776281
     /* 1776281 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1776367), // Rule ID 11857 //
     /* 1776286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776332 */     // MIs[0] policy
     /* 1776332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1776345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776366 */     // GIR_Coverage, 11857,
     /* 1776366 */     GIR_EraseRootFromParent_Done,
     /* 1776367 */   // Label 24139: @1776367
     /* 1776367 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1776453), // Rule ID 11860 //
     /* 1776372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776418 */     // MIs[0] policy
     /* 1776418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776452 */     // GIR_Coverage, 11860,
     /* 1776452 */     GIR_EraseRootFromParent_Done,
     /* 1776453 */   // Label 24140: @1776453
     /* 1776453 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1776539), // Rule ID 11861 //
     /* 1776458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776504 */     // MIs[0] policy
     /* 1776504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776538 */     // GIR_Coverage, 11861,
     /* 1776538 */     GIR_EraseRootFromParent_Done,
     /* 1776539 */   // Label 24141: @1776539
     /* 1776539 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1776625), // Rule ID 11864 //
     /* 1776544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776590 */     // MIs[0] policy
     /* 1776590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776624 */     // GIR_Coverage, 11864,
     /* 1776624 */     GIR_EraseRootFromParent_Done,
     /* 1776625 */   // Label 24142: @1776625
     /* 1776625 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1776711), // Rule ID 11865 //
     /* 1776630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776676 */     // MIs[0] policy
     /* 1776676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776710 */     // GIR_Coverage, 11865,
     /* 1776710 */     GIR_EraseRootFromParent_Done,
     /* 1776711 */   // Label 24143: @1776711
     /* 1776711 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1776797), // Rule ID 11868 //
     /* 1776716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776762 */     // MIs[0] policy
     /* 1776762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776796 */     // GIR_Coverage, 11868,
     /* 1776796 */     GIR_EraseRootFromParent_Done,
     /* 1776797 */   // Label 24144: @1776797
     /* 1776797 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1776883), // Rule ID 11869 //
     /* 1776802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776848 */     // MIs[0] policy
     /* 1776848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776882 */     // GIR_Coverage, 11869,
     /* 1776882 */     GIR_EraseRootFromParent_Done,
     /* 1776883 */   // Label 24145: @1776883
     /* 1776883 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1776969), // Rule ID 11872 //
     /* 1776888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776934 */     // MIs[0] policy
     /* 1776934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776968 */     // GIR_Coverage, 11872,
     /* 1776968 */     GIR_EraseRootFromParent_Done,
     /* 1776969 */   // Label 24146: @1776969
     /* 1776969 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1777055), // Rule ID 11873 //
     /* 1776974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777020 */     // MIs[0] policy
     /* 1777020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1777033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777054 */     // GIR_Coverage, 11873,
     /* 1777054 */     GIR_EraseRootFromParent_Done,
     /* 1777055 */   // Label 24147: @1777055
     /* 1777055 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777141), // Rule ID 11876 //
     /* 1777060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777106 */     // MIs[0] policy
     /* 1777106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1777119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777140 */     // GIR_Coverage, 11876,
     /* 1777140 */     GIR_EraseRootFromParent_Done,
     /* 1777141 */   // Label 24148: @1777141
     /* 1777141 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1777227), // Rule ID 11877 //
     /* 1777146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777192 */     // MIs[0] policy
     /* 1777192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1777205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777226 */     // GIR_Coverage, 11877,
     /* 1777226 */     GIR_EraseRootFromParent_Done,
     /* 1777227 */   // Label 24149: @1777227
     /* 1777227 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1777313), // Rule ID 11880 //
     /* 1777232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777278 */     // MIs[0] policy
     /* 1777278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1777291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777312 */     // GIR_Coverage, 11880,
     /* 1777312 */     GIR_EraseRootFromParent_Done,
     /* 1777313 */   // Label 24150: @1777313
     /* 1777313 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1777399), // Rule ID 11881 //
     /* 1777318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777364 */     // MIs[0] policy
     /* 1777364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1777377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777398 */     // GIR_Coverage, 11881,
     /* 1777398 */     GIR_EraseRootFromParent_Done,
     /* 1777399 */   // Label 24151: @1777399
     /* 1777399 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1777485), // Rule ID 11884 //
     /* 1777404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777450 */     // MIs[0] policy
     /* 1777450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777484 */     // GIR_Coverage, 11884,
     /* 1777484 */     GIR_EraseRootFromParent_Done,
     /* 1777485 */   // Label 24152: @1777485
     /* 1777485 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1777571), // Rule ID 11885 //
     /* 1777490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777536 */     // MIs[0] policy
     /* 1777536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777570 */     // GIR_Coverage, 11885,
     /* 1777570 */     GIR_EraseRootFromParent_Done,
     /* 1777571 */   // Label 24153: @1777571
     /* 1777571 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1777657), // Rule ID 11888 //
     /* 1777576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777622 */     // MIs[0] policy
     /* 1777622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777656 */     // GIR_Coverage, 11888,
     /* 1777656 */     GIR_EraseRootFromParent_Done,
     /* 1777657 */   // Label 24154: @1777657
     /* 1777657 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1777743), // Rule ID 11889 //
     /* 1777662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777708 */     // MIs[0] policy
     /* 1777708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777742 */     // GIR_Coverage, 11889,
     /* 1777742 */     GIR_EraseRootFromParent_Done,
     /* 1777743 */   // Label 24155: @1777743
     /* 1777743 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1777829), // Rule ID 11892 //
     /* 1777748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777794 */     // MIs[0] policy
     /* 1777794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777804 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777828 */     // GIR_Coverage, 11892,
     /* 1777828 */     GIR_EraseRootFromParent_Done,
     /* 1777829 */   // Label 24156: @1777829
     /* 1777829 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1777915), // Rule ID 11893 //
     /* 1777834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777880 */     // MIs[0] policy
     /* 1777880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777914 */     // GIR_Coverage, 11893,
     /* 1777914 */     GIR_EraseRootFromParent_Done,
     /* 1777915 */   // Label 24157: @1777915
     /* 1777915 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1778001), // Rule ID 11896 //
     /* 1777920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777966 */     // MIs[0] policy
     /* 1777966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778000 */     // GIR_Coverage, 11896,
     /* 1778000 */     GIR_EraseRootFromParent_Done,
     /* 1778001 */   // Label 24158: @1778001
     /* 1778001 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778087), // Rule ID 11897 //
     /* 1778006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778052 */     // MIs[0] policy
     /* 1778052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1778065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778086 */     // GIR_Coverage, 11897,
     /* 1778086 */     GIR_EraseRootFromParent_Done,
     /* 1778087 */   // Label 24159: @1778087
     /* 1778087 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778173), // Rule ID 11900 //
     /* 1778092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1778112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778138 */     // MIs[0] policy
     /* 1778138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778148 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1778151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778172 */     // GIR_Coverage, 11900,
     /* 1778172 */     GIR_EraseRootFromParent_Done,
     /* 1778173 */   // Label 24160: @1778173
     /* 1778173 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1778259), // Rule ID 11901 //
     /* 1778178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1778198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778224 */     // MIs[0] policy
     /* 1778224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1778237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778258 */     // GIR_Coverage, 11901,
     /* 1778258 */     GIR_EraseRootFromParent_Done,
     /* 1778259 */   // Label 24161: @1778259
     /* 1778259 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1778345), // Rule ID 11904 //
     /* 1778264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1778284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778310 */     // MIs[0] policy
     /* 1778310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778320 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1778323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778344 */     // GIR_Coverage, 11904,
     /* 1778344 */     GIR_EraseRootFromParent_Done,
     /* 1778345 */   // Label 24162: @1778345
     /* 1778345 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1778431), // Rule ID 11905 //
     /* 1778350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1778370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778396 */     // MIs[0] policy
     /* 1778396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778406 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1778409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778430 */     // GIR_Coverage, 11905,
     /* 1778430 */     GIR_EraseRootFromParent_Done,
     /* 1778431 */   // Label 24163: @1778431
     /* 1778431 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1778517), // Rule ID 11908 //
     /* 1778436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778482 */     // MIs[0] policy
     /* 1778482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778516 */     // GIR_Coverage, 11908,
     /* 1778516 */     GIR_EraseRootFromParent_Done,
     /* 1778517 */   // Label 24164: @1778517
     /* 1778517 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1778603), // Rule ID 11909 //
     /* 1778522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778568 */     // MIs[0] policy
     /* 1778568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778578 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778602 */     // GIR_Coverage, 11909,
     /* 1778602 */     GIR_EraseRootFromParent_Done,
     /* 1778603 */   // Label 24165: @1778603
     /* 1778603 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1778689), // Rule ID 11912 //
     /* 1778608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778654 */     // MIs[0] policy
     /* 1778654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778688 */     // GIR_Coverage, 11912,
     /* 1778688 */     GIR_EraseRootFromParent_Done,
     /* 1778689 */   // Label 24166: @1778689
     /* 1778689 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1778775), // Rule ID 11913 //
     /* 1778694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778740 */     // MIs[0] policy
     /* 1778740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778774 */     // GIR_Coverage, 11913,
     /* 1778774 */     GIR_EraseRootFromParent_Done,
     /* 1778775 */   // Label 24167: @1778775
     /* 1778775 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1778861), // Rule ID 11916 //
     /* 1778780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778826 */     // MIs[0] policy
     /* 1778826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778860 */     // GIR_Coverage, 11916,
     /* 1778860 */     GIR_EraseRootFromParent_Done,
     /* 1778861 */   // Label 24168: @1778861
     /* 1778861 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1778947), // Rule ID 11917 //
     /* 1778866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778912 */     // MIs[0] policy
     /* 1778912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778946 */     // GIR_Coverage, 11917,
     /* 1778946 */     GIR_EraseRootFromParent_Done,
     /* 1778947 */   // Label 24169: @1778947
     /* 1778947 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1779033), // Rule ID 11920 //
     /* 1778952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778998 */     // MIs[0] policy
     /* 1778998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1779011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779032 */     // GIR_Coverage, 11920,
     /* 1779032 */     GIR_EraseRootFromParent_Done,
     /* 1779033 */   // Label 24170: @1779033
     /* 1779033 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779119), // Rule ID 11921 //
     /* 1779038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1779058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779084 */     // MIs[0] policy
     /* 1779084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1779097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779118 */     // GIR_Coverage, 11921,
     /* 1779118 */     GIR_EraseRootFromParent_Done,
     /* 1779119 */   // Label 24171: @1779119
     /* 1779119 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779205), // Rule ID 11924 //
     /* 1779124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779170 */     // MIs[0] policy
     /* 1779170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1779183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779204 */     // GIR_Coverage, 11924,
     /* 1779204 */     GIR_EraseRootFromParent_Done,
     /* 1779205 */   // Label 24172: @1779205
     /* 1779205 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1779291), // Rule ID 11925 //
     /* 1779210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779256 */     // MIs[0] policy
     /* 1779256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779266 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1779269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779290 */     // GIR_Coverage, 11925,
     /* 1779290 */     GIR_EraseRootFromParent_Done,
     /* 1779291 */   // Label 24173: @1779291
     /* 1779291 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1779377), // Rule ID 11928 //
     /* 1779296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779342 */     // MIs[0] policy
     /* 1779342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779376 */     // GIR_Coverage, 11928,
     /* 1779376 */     GIR_EraseRootFromParent_Done,
     /* 1779377 */   // Label 24174: @1779377
     /* 1779377 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1779463), // Rule ID 11929 //
     /* 1779382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779428 */     // MIs[0] policy
     /* 1779428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779462 */     // GIR_Coverage, 11929,
     /* 1779462 */     GIR_EraseRootFromParent_Done,
     /* 1779463 */   // Label 24175: @1779463
     /* 1779463 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1779549), // Rule ID 11932 //
     /* 1779468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779514 */     // MIs[0] policy
     /* 1779514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779548 */     // GIR_Coverage, 11932,
     /* 1779548 */     GIR_EraseRootFromParent_Done,
     /* 1779549 */   // Label 24176: @1779549
     /* 1779549 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1779635), // Rule ID 11933 //
     /* 1779554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779600 */     // MIs[0] policy
     /* 1779600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779610 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779634 */     // GIR_Coverage, 11933,
     /* 1779634 */     GIR_EraseRootFromParent_Done,
     /* 1779635 */   // Label 24177: @1779635
     /* 1779635 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1779721), // Rule ID 11936 //
     /* 1779640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779686 */     // MIs[0] policy
     /* 1779686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779720 */     // GIR_Coverage, 11936,
     /* 1779720 */     GIR_EraseRootFromParent_Done,
     /* 1779721 */   // Label 24178: @1779721
     /* 1779721 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1779807), // Rule ID 11937 //
     /* 1779726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779772 */     // MIs[0] policy
     /* 1779772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779806 */     // GIR_Coverage, 11937,
     /* 1779806 */     GIR_EraseRootFromParent_Done,
     /* 1779807 */   // Label 24179: @1779807
     /* 1779807 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1779893), // Rule ID 11940 //
     /* 1779812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779858 */     // MIs[0] policy
     /* 1779858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779892 */     // GIR_Coverage, 11940,
     /* 1779892 */     GIR_EraseRootFromParent_Done,
     /* 1779893 */   // Label 24180: @1779893
     /* 1779893 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1779979), // Rule ID 11941 //
     /* 1779898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779944 */     // MIs[0] policy
     /* 1779944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779954 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779978 */     // GIR_Coverage, 11941,
     /* 1779978 */     GIR_EraseRootFromParent_Done,
     /* 1779979 */   // Label 24181: @1779979
     /* 1779979 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1780065), // Rule ID 11944 //
     /* 1779984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1780004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780030 */     // MIs[0] policy
     /* 1780030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780040 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1780043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780064 */     // GIR_Coverage, 11944,
     /* 1780064 */     GIR_EraseRootFromParent_Done,
     /* 1780065 */   // Label 24182: @1780065
     /* 1780065 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780151), // Rule ID 11945 //
     /* 1780070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1780090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780116 */     // MIs[0] policy
     /* 1780116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1780129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780150 */     // GIR_Coverage, 11945,
     /* 1780150 */     GIR_EraseRootFromParent_Done,
     /* 1780151 */   // Label 24183: @1780151
     /* 1780151 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1780237), // Rule ID 11948 //
     /* 1780156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780202 */     // MIs[0] policy
     /* 1780202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1780215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780236 */     // GIR_Coverage, 11948,
     /* 1780236 */     GIR_EraseRootFromParent_Done,
     /* 1780237 */   // Label 24184: @1780237
     /* 1780237 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1780323), // Rule ID 11949 //
     /* 1780242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780288 */     // MIs[0] policy
     /* 1780288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780298 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1780301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780322 */     // GIR_Coverage, 11949,
     /* 1780322 */     GIR_EraseRootFromParent_Done,
     /* 1780323 */   // Label 24185: @1780323
     /* 1780323 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1780409), // Rule ID 11952 //
     /* 1780328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780374 */     // MIs[0] policy
     /* 1780374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780408 */     // GIR_Coverage, 11952,
     /* 1780408 */     GIR_EraseRootFromParent_Done,
     /* 1780409 */   // Label 24186: @1780409
     /* 1780409 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1780495), // Rule ID 11953 //
     /* 1780414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780460 */     // MIs[0] policy
     /* 1780460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780494 */     // GIR_Coverage, 11953,
     /* 1780494 */     GIR_EraseRootFromParent_Done,
     /* 1780495 */   // Label 24187: @1780495
     /* 1780495 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1780581), // Rule ID 11956 //
     /* 1780500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780546 */     // MIs[0] policy
     /* 1780546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780580 */     // GIR_Coverage, 11956,
     /* 1780580 */     GIR_EraseRootFromParent_Done,
     /* 1780581 */   // Label 24188: @1780581
     /* 1780581 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1780667), // Rule ID 11957 //
     /* 1780586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780632 */     // MIs[0] policy
     /* 1780632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780666 */     // GIR_Coverage, 11957,
     /* 1780666 */     GIR_EraseRootFromParent_Done,
     /* 1780667 */   // Label 24189: @1780667
     /* 1780667 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1780753), // Rule ID 11960 //
     /* 1780672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780718 */     // MIs[0] policy
     /* 1780718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780752 */     // GIR_Coverage, 11960,
     /* 1780752 */     GIR_EraseRootFromParent_Done,
     /* 1780753 */   // Label 24190: @1780753
     /* 1780753 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1780839), // Rule ID 11961 //
     /* 1780758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780804 */     // MIs[0] policy
     /* 1780804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780838 */     // GIR_Coverage, 11961,
     /* 1780838 */     GIR_EraseRootFromParent_Done,
     /* 1780839 */   // Label 24191: @1780839
     /* 1780839 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1780925), // Rule ID 11964 //
     /* 1780844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780890 */     // MIs[0] policy
     /* 1780890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780924 */     // GIR_Coverage, 11964,
     /* 1780924 */     GIR_EraseRootFromParent_Done,
     /* 1780925 */   // Label 24192: @1780925
     /* 1780925 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1781011), // Rule ID 11965 //
     /* 1780930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780976 */     // MIs[0] policy
     /* 1780976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781010 */     // GIR_Coverage, 11965,
     /* 1781010 */     GIR_EraseRootFromParent_Done,
     /* 1781011 */   // Label 24193: @1781011
     /* 1781011 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781097), // Rule ID 11968 //
     /* 1781016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781062 */     // MIs[0] policy
     /* 1781062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1781075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781096 */     // GIR_Coverage, 11968,
     /* 1781096 */     GIR_EraseRootFromParent_Done,
     /* 1781097 */   // Label 24194: @1781097
     /* 1781097 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781183), // Rule ID 11969 //
     /* 1781102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781148 */     // MIs[0] policy
     /* 1781148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1781161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781182 */     // GIR_Coverage, 11969,
     /* 1781182 */     GIR_EraseRootFromParent_Done,
     /* 1781183 */   // Label 24195: @1781183
     /* 1781183 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1781269), // Rule ID 11972 //
     /* 1781188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781234 */     // MIs[0] policy
     /* 1781234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1781247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781268 */     // GIR_Coverage, 11972,
     /* 1781268 */     GIR_EraseRootFromParent_Done,
     /* 1781269 */   // Label 24196: @1781269
     /* 1781269 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1781355), // Rule ID 11973 //
     /* 1781274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781320 */     // MIs[0] policy
     /* 1781320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1781333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781354 */     // GIR_Coverage, 11973,
     /* 1781354 */     GIR_EraseRootFromParent_Done,
     /* 1781355 */   // Label 24197: @1781355
     /* 1781355 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1781441), // Rule ID 11976 //
     /* 1781360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781406 */     // MIs[0] policy
     /* 1781406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781440 */     // GIR_Coverage, 11976,
     /* 1781440 */     GIR_EraseRootFromParent_Done,
     /* 1781441 */   // Label 24198: @1781441
     /* 1781441 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1781527), // Rule ID 11977 //
     /* 1781446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781492 */     // MIs[0] policy
     /* 1781492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781502 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781526 */     // GIR_Coverage, 11977,
     /* 1781526 */     GIR_EraseRootFromParent_Done,
     /* 1781527 */   // Label 24199: @1781527
     /* 1781527 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1781613), // Rule ID 11980 //
     /* 1781532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781578 */     // MIs[0] policy
     /* 1781578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781612 */     // GIR_Coverage, 11980,
     /* 1781612 */     GIR_EraseRootFromParent_Done,
     /* 1781613 */   // Label 24200: @1781613
     /* 1781613 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1781699), // Rule ID 11981 //
     /* 1781618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781664 */     // MIs[0] policy
     /* 1781664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781698 */     // GIR_Coverage, 11981,
     /* 1781698 */     GIR_EraseRootFromParent_Done,
     /* 1781699 */   // Label 24201: @1781699
     /* 1781699 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1781785), // Rule ID 11984 //
     /* 1781704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781750 */     // MIs[0] policy
     /* 1781750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781784 */     // GIR_Coverage, 11984,
     /* 1781784 */     GIR_EraseRootFromParent_Done,
     /* 1781785 */   // Label 24202: @1781785
     /* 1781785 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1781871), // Rule ID 11985 //
     /* 1781790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781836 */     // MIs[0] policy
     /* 1781836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781870 */     // GIR_Coverage, 11985,
     /* 1781870 */     GIR_EraseRootFromParent_Done,
     /* 1781871 */   // Label 24203: @1781871
     /* 1781871 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1781957), // Rule ID 11988 //
     /* 1781876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781922 */     // MIs[0] policy
     /* 1781922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781932 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781956 */     // GIR_Coverage, 11988,
     /* 1781956 */     GIR_EraseRootFromParent_Done,
     /* 1781957 */   // Label 24204: @1781957
     /* 1781957 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1782043), // Rule ID 11989 //
     /* 1781962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782008 */     // MIs[0] policy
     /* 1782008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782018 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1782021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782042 */     // GIR_Coverage, 11989,
     /* 1782042 */     GIR_EraseRootFromParent_Done,
     /* 1782043 */   // Label 24205: @1782043
     /* 1782043 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782129), // Rule ID 11992 //
     /* 1782048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782094 */     // MIs[0] policy
     /* 1782094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782104 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1782107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782128 */     // GIR_Coverage, 11992,
     /* 1782128 */     GIR_EraseRootFromParent_Done,
     /* 1782129 */   // Label 24206: @1782129
     /* 1782129 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1782215), // Rule ID 11993 //
     /* 1782134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782180 */     // MIs[0] policy
     /* 1782180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782190 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1782193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782214 */     // GIR_Coverage, 11993,
     /* 1782214 */     GIR_EraseRootFromParent_Done,
     /* 1782215 */   // Label 24207: @1782215
     /* 1782215 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1782301), // Rule ID 11996 //
     /* 1782220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782266 */     // MIs[0] policy
     /* 1782266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1782279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782300 */     // GIR_Coverage, 11996,
     /* 1782300 */     GIR_EraseRootFromParent_Done,
     /* 1782301 */   // Label 24208: @1782301
     /* 1782301 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1782387), // Rule ID 11997 //
     /* 1782306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782352 */     // MIs[0] policy
     /* 1782352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782362 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1782365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782386 */     // GIR_Coverage, 11997,
     /* 1782386 */     GIR_EraseRootFromParent_Done,
     /* 1782387 */   // Label 24209: @1782387
     /* 1782387 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1782473), // Rule ID 12000 //
     /* 1782392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782438 */     // MIs[0] policy
     /* 1782438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782472 */     // GIR_Coverage, 12000,
     /* 1782472 */     GIR_EraseRootFromParent_Done,
     /* 1782473 */   // Label 24210: @1782473
     /* 1782473 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1782559), // Rule ID 12001 //
     /* 1782478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782524 */     // MIs[0] policy
     /* 1782524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782558 */     // GIR_Coverage, 12001,
     /* 1782558 */     GIR_EraseRootFromParent_Done,
     /* 1782559 */   // Label 24211: @1782559
     /* 1782559 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1782645), // Rule ID 12004 //
     /* 1782564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782610 */     // MIs[0] policy
     /* 1782610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782644 */     // GIR_Coverage, 12004,
     /* 1782644 */     GIR_EraseRootFromParent_Done,
     /* 1782645 */   // Label 24212: @1782645
     /* 1782645 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1782731), // Rule ID 12005 //
     /* 1782650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782696 */     // MIs[0] policy
     /* 1782696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782730 */     // GIR_Coverage, 12005,
     /* 1782730 */     GIR_EraseRootFromParent_Done,
     /* 1782731 */   // Label 24213: @1782731
     /* 1782731 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1782817), // Rule ID 12008 //
     /* 1782736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782782 */     // MIs[0] policy
     /* 1782782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782816 */     // GIR_Coverage, 12008,
     /* 1782816 */     GIR_EraseRootFromParent_Done,
     /* 1782817 */   // Label 24214: @1782817
     /* 1782817 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1782903), // Rule ID 12009 //
     /* 1782822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782868 */     // MIs[0] policy
     /* 1782868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782902 */     // GIR_Coverage, 12009,
     /* 1782902 */     GIR_EraseRootFromParent_Done,
     /* 1782903 */   // Label 24215: @1782903
     /* 1782903 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1782989), // Rule ID 12012 //
     /* 1782908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782954 */     // MIs[0] policy
     /* 1782954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782988 */     // GIR_Coverage, 12012,
     /* 1782988 */     GIR_EraseRootFromParent_Done,
     /* 1782989 */   // Label 24216: @1782989
     /* 1782989 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1783075), // Rule ID 12013 //
     /* 1782994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783040 */     // MIs[0] policy
     /* 1783040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783050 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1783053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783074 */     // GIR_Coverage, 12013,
     /* 1783074 */     GIR_EraseRootFromParent_Done,
     /* 1783075 */   // Label 24217: @1783075
     /* 1783075 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783161), // Rule ID 12016 //
     /* 1783080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783126 */     // MIs[0] policy
     /* 1783126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1783139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783160 */     // GIR_Coverage, 12016,
     /* 1783160 */     GIR_EraseRootFromParent_Done,
     /* 1783161 */   // Label 24218: @1783161
     /* 1783161 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1783247), // Rule ID 12017 //
     /* 1783166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783212 */     // MIs[0] policy
     /* 1783212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1783225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783246 */     // GIR_Coverage, 12017,
     /* 1783246 */     GIR_EraseRootFromParent_Done,
     /* 1783247 */   // Label 24219: @1783247
     /* 1783247 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1783333), // Rule ID 12020 //
     /* 1783252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783298 */     // MIs[0] policy
     /* 1783298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1783311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783332 */     // GIR_Coverage, 12020,
     /* 1783332 */     GIR_EraseRootFromParent_Done,
     /* 1783333 */   // Label 24220: @1783333
     /* 1783333 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1783419), // Rule ID 12021 //
     /* 1783338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783384 */     // MIs[0] policy
     /* 1783384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1783397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783418 */     // GIR_Coverage, 12021,
     /* 1783418 */     GIR_EraseRootFromParent_Done,
     /* 1783419 */   // Label 24221: @1783419
     /* 1783419 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1783505), // Rule ID 12024 //
     /* 1783424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783470 */     // MIs[0] policy
     /* 1783470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783504 */     // GIR_Coverage, 12024,
     /* 1783504 */     GIR_EraseRootFromParent_Done,
     /* 1783505 */   // Label 24222: @1783505
     /* 1783505 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1783591), // Rule ID 12025 //
     /* 1783510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783556 */     // MIs[0] policy
     /* 1783556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783590 */     // GIR_Coverage, 12025,
     /* 1783590 */     GIR_EraseRootFromParent_Done,
     /* 1783591 */   // Label 24223: @1783591
     /* 1783591 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1783677), // Rule ID 12028 //
     /* 1783596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783642 */     // MIs[0] policy
     /* 1783642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783676 */     // GIR_Coverage, 12028,
     /* 1783676 */     GIR_EraseRootFromParent_Done,
     /* 1783677 */   // Label 24224: @1783677
     /* 1783677 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1783763), // Rule ID 12029 //
     /* 1783682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783728 */     // MIs[0] policy
     /* 1783728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783738 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783762 */     // GIR_Coverage, 12029,
     /* 1783762 */     GIR_EraseRootFromParent_Done,
     /* 1783763 */   // Label 24225: @1783763
     /* 1783763 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1783849), // Rule ID 12032 //
     /* 1783768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783814 */     // MIs[0] policy
     /* 1783814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783848 */     // GIR_Coverage, 12032,
     /* 1783848 */     GIR_EraseRootFromParent_Done,
     /* 1783849 */   // Label 24226: @1783849
     /* 1783849 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1783935), // Rule ID 12033 //
     /* 1783854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783900 */     // MIs[0] policy
     /* 1783900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783910 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783934 */     // GIR_Coverage, 12033,
     /* 1783934 */     GIR_EraseRootFromParent_Done,
     /* 1783935 */   // Label 24227: @1783935
     /* 1783935 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1784021), // Rule ID 12036 //
     /* 1783940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783986 */     // MIs[0] policy
     /* 1783986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1783999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784020 */     // GIR_Coverage, 12036,
     /* 1784020 */     GIR_EraseRootFromParent_Done,
     /* 1784021 */   // Label 24228: @1784021
     /* 1784021 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784107), // Rule ID 12037 //
     /* 1784026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784072 */     // MIs[0] policy
     /* 1784072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784082 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1784085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784106 */     // GIR_Coverage, 12037,
     /* 1784106 */     GIR_EraseRootFromParent_Done,
     /* 1784107 */   // Label 24229: @1784107
     /* 1784107 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784193), // Rule ID 12040 //
     /* 1784112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784158 */     // MIs[0] policy
     /* 1784158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1784171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784192 */     // GIR_Coverage, 12040,
     /* 1784192 */     GIR_EraseRootFromParent_Done,
     /* 1784193 */   // Label 24230: @1784193
     /* 1784193 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1784279), // Rule ID 12041 //
     /* 1784198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784244 */     // MIs[0] policy
     /* 1784244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784254 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1784257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784278 */     // GIR_Coverage, 12041,
     /* 1784278 */     GIR_EraseRootFromParent_Done,
     /* 1784279 */   // Label 24231: @1784279
     /* 1784279 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1784365), // Rule ID 12044 //
     /* 1784284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784330 */     // MIs[0] policy
     /* 1784330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1784343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784364 */     // GIR_Coverage, 12044,
     /* 1784364 */     GIR_EraseRootFromParent_Done,
     /* 1784365 */   // Label 24232: @1784365
     /* 1784365 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1784451), // Rule ID 12045 //
     /* 1784370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784416 */     // MIs[0] policy
     /* 1784416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1784429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784450 */     // GIR_Coverage, 12045,
     /* 1784450 */     GIR_EraseRootFromParent_Done,
     /* 1784451 */   // Label 24233: @1784451
     /* 1784451 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1784537), // Rule ID 12048 //
     /* 1784456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784502 */     // MIs[0] policy
     /* 1784502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784536 */     // GIR_Coverage, 12048,
     /* 1784536 */     GIR_EraseRootFromParent_Done,
     /* 1784537 */   // Label 24234: @1784537
     /* 1784537 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1784623), // Rule ID 12049 //
     /* 1784542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784588 */     // MIs[0] policy
     /* 1784588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784598 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784622 */     // GIR_Coverage, 12049,
     /* 1784622 */     GIR_EraseRootFromParent_Done,
     /* 1784623 */   // Label 24235: @1784623
     /* 1784623 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1784709), // Rule ID 12052 //
     /* 1784628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784674 */     // MIs[0] policy
     /* 1784674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784708 */     // GIR_Coverage, 12052,
     /* 1784708 */     GIR_EraseRootFromParent_Done,
     /* 1784709 */   // Label 24236: @1784709
     /* 1784709 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1784795), // Rule ID 12053 //
     /* 1784714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784760 */     // MIs[0] policy
     /* 1784760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784794 */     // GIR_Coverage, 12053,
     /* 1784794 */     GIR_EraseRootFromParent_Done,
     /* 1784795 */   // Label 24237: @1784795
     /* 1784795 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1784881), // Rule ID 12056 //
     /* 1784800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784846 */     // MIs[0] policy
     /* 1784846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784880 */     // GIR_Coverage, 12056,
     /* 1784880 */     GIR_EraseRootFromParent_Done,
     /* 1784881 */   // Label 24238: @1784881
     /* 1784881 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1784967), // Rule ID 12057 //
     /* 1784886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784932 */     // MIs[0] policy
     /* 1784932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784966 */     // GIR_Coverage, 12057,
     /* 1784966 */     GIR_EraseRootFromParent_Done,
     /* 1784967 */   // Label 24239: @1784967
     /* 1784967 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1785053), // Rule ID 12060 //
     /* 1784972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785018 */     // MIs[0] policy
     /* 1785018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1785031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785052 */     // GIR_Coverage, 12060,
     /* 1785052 */     GIR_EraseRootFromParent_Done,
     /* 1785053 */   // Label 24240: @1785053
     /* 1785053 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785139), // Rule ID 12061 //
     /* 1785058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785104 */     // MIs[0] policy
     /* 1785104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1785117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785138 */     // GIR_Coverage, 12061,
     /* 1785138 */     GIR_EraseRootFromParent_Done,
     /* 1785139 */   // Label 24241: @1785139
     /* 1785139 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1785225), // Rule ID 12064 //
     /* 1785144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785190 */     // MIs[0] policy
     /* 1785190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1785203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785224 */     // GIR_Coverage, 12064,
     /* 1785224 */     GIR_EraseRootFromParent_Done,
     /* 1785225 */   // Label 24242: @1785225
     /* 1785225 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1785311), // Rule ID 12065 //
     /* 1785230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785276 */     // MIs[0] policy
     /* 1785276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1785289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785310 */     // GIR_Coverage, 12065,
     /* 1785310 */     GIR_EraseRootFromParent_Done,
     /* 1785311 */   // Label 24243: @1785311
     /* 1785311 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1785397), // Rule ID 12068 //
     /* 1785316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785362 */     // MIs[0] policy
     /* 1785362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785396 */     // GIR_Coverage, 12068,
     /* 1785396 */     GIR_EraseRootFromParent_Done,
     /* 1785397 */   // Label 24244: @1785397
     /* 1785397 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1785483), // Rule ID 12069 //
     /* 1785402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785448 */     // MIs[0] policy
     /* 1785448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785482 */     // GIR_Coverage, 12069,
     /* 1785482 */     GIR_EraseRootFromParent_Done,
     /* 1785483 */   // Label 24245: @1785483
     /* 1785483 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1785569), // Rule ID 12072 //
     /* 1785488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785534 */     // MIs[0] policy
     /* 1785534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785568 */     // GIR_Coverage, 12072,
     /* 1785568 */     GIR_EraseRootFromParent_Done,
     /* 1785569 */   // Label 24246: @1785569
     /* 1785569 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1785655), // Rule ID 12073 //
     /* 1785574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785620 */     // MIs[0] policy
     /* 1785620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785654 */     // GIR_Coverage, 12073,
     /* 1785654 */     GIR_EraseRootFromParent_Done,
     /* 1785655 */   // Label 24247: @1785655
     /* 1785655 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1785741), // Rule ID 12076 //
     /* 1785660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785706 */     // MIs[0] policy
     /* 1785706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785740 */     // GIR_Coverage, 12076,
     /* 1785740 */     GIR_EraseRootFromParent_Done,
     /* 1785741 */   // Label 24248: @1785741
     /* 1785741 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1785827), // Rule ID 12077 //
     /* 1785746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785792 */     // MIs[0] policy
     /* 1785792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785826 */     // GIR_Coverage, 12077,
     /* 1785826 */     GIR_EraseRootFromParent_Done,
     /* 1785827 */   // Label 24249: @1785827
     /* 1785827 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1785913), // Rule ID 12080 //
     /* 1785832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785878 */     // MIs[0] policy
     /* 1785878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785888 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785912 */     // GIR_Coverage, 12080,
     /* 1785912 */     GIR_EraseRootFromParent_Done,
     /* 1785913 */   // Label 24250: @1785913
     /* 1785913 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1785999), // Rule ID 12081 //
     /* 1785918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785964 */     // MIs[0] policy
     /* 1785964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785998 */     // GIR_Coverage, 12081,
     /* 1785998 */     GIR_EraseRootFromParent_Done,
     /* 1785999 */   // Label 24251: @1785999
     /* 1785999 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1786085), // Rule ID 12084 //
     /* 1786004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1786024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786050 */     // MIs[0] policy
     /* 1786050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786060 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1786063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786084 */     // GIR_Coverage, 12084,
     /* 1786084 */     GIR_EraseRootFromParent_Done,
     /* 1786085 */   // Label 24252: @1786085
     /* 1786085 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786171), // Rule ID 12085 //
     /* 1786090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1786110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786136 */     // MIs[0] policy
     /* 1786136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786146 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1786149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786170 */     // GIR_Coverage, 12085,
     /* 1786170 */     GIR_EraseRootFromParent_Done,
     /* 1786171 */   // Label 24253: @1786171
     /* 1786171 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1786257), // Rule ID 12088 //
     /* 1786176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1786196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786222 */     // MIs[0] policy
     /* 1786222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786232 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1786235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786256 */     // GIR_Coverage, 12088,
     /* 1786256 */     GIR_EraseRootFromParent_Done,
     /* 1786257 */   // Label 24254: @1786257
     /* 1786257 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1786343), // Rule ID 12089 //
     /* 1786262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1786282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786308 */     // MIs[0] policy
     /* 1786308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1786321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786342 */     // GIR_Coverage, 12089,
     /* 1786342 */     GIR_EraseRootFromParent_Done,
     /* 1786343 */   // Label 24255: @1786343
     /* 1786343 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1786429), // Rule ID 12092 //
     /* 1786348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786394 */     // MIs[0] policy
     /* 1786394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786404 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786428 */     // GIR_Coverage, 12092,
     /* 1786428 */     GIR_EraseRootFromParent_Done,
     /* 1786429 */   // Label 24256: @1786429
     /* 1786429 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1786515), // Rule ID 12093 //
     /* 1786434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786480 */     // MIs[0] policy
     /* 1786480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786490 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786514 */     // GIR_Coverage, 12093,
     /* 1786514 */     GIR_EraseRootFromParent_Done,
     /* 1786515 */   // Label 24257: @1786515
     /* 1786515 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1786601), // Rule ID 12096 //
     /* 1786520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786566 */     // MIs[0] policy
     /* 1786566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786600 */     // GIR_Coverage, 12096,
     /* 1786600 */     GIR_EraseRootFromParent_Done,
     /* 1786601 */   // Label 24258: @1786601
     /* 1786601 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1786687), // Rule ID 12097 //
     /* 1786606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786652 */     // MIs[0] policy
     /* 1786652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786686 */     // GIR_Coverage, 12097,
     /* 1786686 */     GIR_EraseRootFromParent_Done,
     /* 1786687 */   // Label 24259: @1786687
     /* 1786687 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1786773), // Rule ID 12100 //
     /* 1786692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786738 */     // MIs[0] policy
     /* 1786738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786772 */     // GIR_Coverage, 12100,
     /* 1786772 */     GIR_EraseRootFromParent_Done,
     /* 1786773 */   // Label 24260: @1786773
     /* 1786773 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1786859), // Rule ID 12101 //
     /* 1786778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786824 */     // MIs[0] policy
     /* 1786824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786858 */     // GIR_Coverage, 12101,
     /* 1786858 */     GIR_EraseRootFromParent_Done,
     /* 1786859 */   // Label 24261: @1786859
     /* 1786859 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1786945), // Rule ID 12104 //
     /* 1786864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786910 */     // MIs[0] policy
     /* 1786910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786944 */     // GIR_Coverage, 12104,
     /* 1786944 */     GIR_EraseRootFromParent_Done,
     /* 1786945 */   // Label 24262: @1786945
     /* 1786945 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1787031), // Rule ID 12105 //
     /* 1786950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786996 */     // MIs[0] policy
     /* 1786996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1787009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787030 */     // GIR_Coverage, 12105,
     /* 1787030 */     GIR_EraseRootFromParent_Done,
     /* 1787031 */   // Label 24263: @1787031
     /* 1787031 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787117), // Rule ID 12108 //
     /* 1787036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1787056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787082 */     // MIs[0] policy
     /* 1787082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1787095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787116 */     // GIR_Coverage, 12108,
     /* 1787116 */     GIR_EraseRootFromParent_Done,
     /* 1787117 */   // Label 24264: @1787117
     /* 1787117 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787203), // Rule ID 12109 //
     /* 1787122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1787142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787168 */     // MIs[0] policy
     /* 1787168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1787181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787202 */     // GIR_Coverage, 12109,
     /* 1787202 */     GIR_EraseRootFromParent_Done,
     /* 1787203 */   // Label 24265: @1787203
     /* 1787203 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1787289), // Rule ID 12112 //
     /* 1787208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1787228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787254 */     // MIs[0] policy
     /* 1787254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1787267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787288 */     // GIR_Coverage, 12112,
     /* 1787288 */     GIR_EraseRootFromParent_Done,
     /* 1787289 */   // Label 24266: @1787289
     /* 1787289 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1787375), // Rule ID 12113 //
     /* 1787294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1787314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787340 */     // MIs[0] policy
     /* 1787340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1787353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787374 */     // GIR_Coverage, 12113,
     /* 1787374 */     GIR_EraseRootFromParent_Done,
     /* 1787375 */   // Label 24267: @1787375
     /* 1787375 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1787461), // Rule ID 12116 //
     /* 1787380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787426 */     // MIs[0] policy
     /* 1787426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787460 */     // GIR_Coverage, 12116,
     /* 1787460 */     GIR_EraseRootFromParent_Done,
     /* 1787461 */   // Label 24268: @1787461
     /* 1787461 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1787547), // Rule ID 12117 //
     /* 1787466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787512 */     // MIs[0] policy
     /* 1787512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787522 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787546 */     // GIR_Coverage, 12117,
     /* 1787546 */     GIR_EraseRootFromParent_Done,
     /* 1787547 */   // Label 24269: @1787547
     /* 1787547 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1787633), // Rule ID 12120 //
     /* 1787552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787598 */     // MIs[0] policy
     /* 1787598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787608 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787632 */     // GIR_Coverage, 12120,
     /* 1787632 */     GIR_EraseRootFromParent_Done,
     /* 1787633 */   // Label 24270: @1787633
     /* 1787633 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1787719), // Rule ID 12121 //
     /* 1787638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787684 */     // MIs[0] policy
     /* 1787684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787694 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787718 */     // GIR_Coverage, 12121,
     /* 1787718 */     GIR_EraseRootFromParent_Done,
     /* 1787719 */   // Label 24271: @1787719
     /* 1787719 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1787805), // Rule ID 12124 //
     /* 1787724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787770 */     // MIs[0] policy
     /* 1787770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787780 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787804 */     // GIR_Coverage, 12124,
     /* 1787804 */     GIR_EraseRootFromParent_Done,
     /* 1787805 */   // Label 24272: @1787805
     /* 1787805 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1787891), // Rule ID 12125 //
     /* 1787810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787856 */     // MIs[0] policy
     /* 1787856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787866 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787890 */     // GIR_Coverage, 12125,
     /* 1787890 */     GIR_EraseRootFromParent_Done,
     /* 1787891 */   // Label 24273: @1787891
     /* 1787891 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1787977), // Rule ID 12128 //
     /* 1787896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787942 */     // MIs[0] policy
     /* 1787942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787976 */     // GIR_Coverage, 12128,
     /* 1787976 */     GIR_EraseRootFromParent_Done,
     /* 1787977 */   // Label 24274: @1787977
     /* 1787977 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1788063), // Rule ID 12129 //
     /* 1787982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1788002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788028 */     // MIs[0] policy
     /* 1788028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788038 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1788041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788062 */     // GIR_Coverage, 12129,
     /* 1788062 */     GIR_EraseRootFromParent_Done,
     /* 1788063 */   // Label 24275: @1788063
     /* 1788063 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788149), // Rule ID 12132 //
     /* 1788068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788114 */     // MIs[0] policy
     /* 1788114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1788127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788148 */     // GIR_Coverage, 12132,
     /* 1788148 */     GIR_EraseRootFromParent_Done,
     /* 1788149 */   // Label 24276: @1788149
     /* 1788149 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1788235), // Rule ID 12133 //
     /* 1788154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788200 */     // MIs[0] policy
     /* 1788200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1788213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788234 */     // GIR_Coverage, 12133,
     /* 1788234 */     GIR_EraseRootFromParent_Done,
     /* 1788235 */   // Label 24277: @1788235
     /* 1788235 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1788321), // Rule ID 12136 //
     /* 1788240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1788260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788286 */     // MIs[0] policy
     /* 1788286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1788299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788320 */     // GIR_Coverage, 12136,
     /* 1788320 */     GIR_EraseRootFromParent_Done,
     /* 1788321 */   // Label 24278: @1788321
     /* 1788321 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1788407), // Rule ID 12137 //
     /* 1788326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1788346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788372 */     // MIs[0] policy
     /* 1788372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788382 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1788385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788406 */     // GIR_Coverage, 12137,
     /* 1788406 */     GIR_EraseRootFromParent_Done,
     /* 1788407 */   // Label 24279: @1788407
     /* 1788407 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1788493), // Rule ID 12140 //
     /* 1788412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788458 */     // MIs[0] policy
     /* 1788458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788492 */     // GIR_Coverage, 12140,
     /* 1788492 */     GIR_EraseRootFromParent_Done,
     /* 1788493 */   // Label 24280: @1788493
     /* 1788493 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1788579), // Rule ID 12141 //
     /* 1788498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788544 */     // MIs[0] policy
     /* 1788544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788578 */     // GIR_Coverage, 12141,
     /* 1788578 */     GIR_EraseRootFromParent_Done,
     /* 1788579 */   // Label 24281: @1788579
     /* 1788579 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1788665), // Rule ID 12144 //
     /* 1788584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788630 */     // MIs[0] policy
     /* 1788630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788664 */     // GIR_Coverage, 12144,
     /* 1788664 */     GIR_EraseRootFromParent_Done,
     /* 1788665 */   // Label 24282: @1788665
     /* 1788665 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1788751), // Rule ID 12145 //
     /* 1788670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788716 */     // MIs[0] policy
     /* 1788716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788750 */     // GIR_Coverage, 12145,
     /* 1788750 */     GIR_EraseRootFromParent_Done,
     /* 1788751 */   // Label 24283: @1788751
     /* 1788751 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1788837), // Rule ID 12148 //
     /* 1788756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788802 */     // MIs[0] policy
     /* 1788802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788836 */     // GIR_Coverage, 12148,
     /* 1788836 */     GIR_EraseRootFromParent_Done,
     /* 1788837 */   // Label 24284: @1788837
     /* 1788837 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1788923), // Rule ID 12149 //
     /* 1788842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788888 */     // MIs[0] policy
     /* 1788888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788922 */     // GIR_Coverage, 12149,
     /* 1788922 */     GIR_EraseRootFromParent_Done,
     /* 1788923 */   // Label 24285: @1788923
     /* 1788923 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1789009), // Rule ID 12152 //
     /* 1788928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788974 */     // MIs[0] policy
     /* 1788974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789008 */     // GIR_Coverage, 12152,
     /* 1789008 */     GIR_EraseRootFromParent_Done,
     /* 1789009 */   // Label 24286: @1789009
     /* 1789009 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789095), // Rule ID 12153 //
     /* 1789014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1789034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789060 */     // MIs[0] policy
     /* 1789060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789070 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1789073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789094 */     // GIR_Coverage, 12153,
     /* 1789094 */     GIR_EraseRootFromParent_Done,
     /* 1789095 */   // Label 24287: @1789095
     /* 1789095 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789181), // Rule ID 12156 //
     /* 1789100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1789120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789146 */     // MIs[0] policy
     /* 1789146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1789159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789180 */     // GIR_Coverage, 12156,
     /* 1789180 */     GIR_EraseRootFromParent_Done,
     /* 1789181 */   // Label 24288: @1789181
     /* 1789181 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1789267), // Rule ID 12157 //
     /* 1789186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1789206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789232 */     // MIs[0] policy
     /* 1789232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1789245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789266 */     // GIR_Coverage, 12157,
     /* 1789266 */     GIR_EraseRootFromParent_Done,
     /* 1789267 */   // Label 24289: @1789267
     /* 1789267 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1789353), // Rule ID 12160 //
     /* 1789272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789318 */     // MIs[0] policy
     /* 1789318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1789331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789352 */     // GIR_Coverage, 12160,
     /* 1789352 */     GIR_EraseRootFromParent_Done,
     /* 1789353 */   // Label 24290: @1789353
     /* 1789353 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1789439), // Rule ID 12161 //
     /* 1789358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789404 */     // MIs[0] policy
     /* 1789404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1789417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789438 */     // GIR_Coverage, 12161,
     /* 1789438 */     GIR_EraseRootFromParent_Done,
     /* 1789439 */   // Label 24291: @1789439
     /* 1789439 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1789525), // Rule ID 12164 //
     /* 1789444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789490 */     // MIs[0] policy
     /* 1789490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789524 */     // GIR_Coverage, 12164,
     /* 1789524 */     GIR_EraseRootFromParent_Done,
     /* 1789525 */   // Label 24292: @1789525
     /* 1789525 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1789611), // Rule ID 12165 //
     /* 1789530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789576 */     // MIs[0] policy
     /* 1789576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789610 */     // GIR_Coverage, 12165,
     /* 1789610 */     GIR_EraseRootFromParent_Done,
     /* 1789611 */   // Label 24293: @1789611
     /* 1789611 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1789697), // Rule ID 12168 //
     /* 1789616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789662 */     // MIs[0] policy
     /* 1789662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789696 */     // GIR_Coverage, 12168,
     /* 1789696 */     GIR_EraseRootFromParent_Done,
     /* 1789697 */   // Label 24294: @1789697
     /* 1789697 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1789783), // Rule ID 12169 //
     /* 1789702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789748 */     // MIs[0] policy
     /* 1789748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789782 */     // GIR_Coverage, 12169,
     /* 1789782 */     GIR_EraseRootFromParent_Done,
     /* 1789783 */   // Label 24295: @1789783
     /* 1789783 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1789869), // Rule ID 12172 //
     /* 1789788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789834 */     // MIs[0] policy
     /* 1789834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789868 */     // GIR_Coverage, 12172,
     /* 1789868 */     GIR_EraseRootFromParent_Done,
     /* 1789869 */   // Label 24296: @1789869
     /* 1789869 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1789955), // Rule ID 12173 //
     /* 1789874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789920 */     // MIs[0] policy
     /* 1789920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789954 */     // GIR_Coverage, 12173,
     /* 1789954 */     GIR_EraseRootFromParent_Done,
     /* 1789955 */   // Label 24297: @1789955
     /* 1789955 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1790041), // Rule ID 12176 //
     /* 1789960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790006 */     // MIs[0] policy
     /* 1790006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1790019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790040 */     // GIR_Coverage, 12176,
     /* 1790040 */     GIR_EraseRootFromParent_Done,
     /* 1790041 */   // Label 24298: @1790041
     /* 1790041 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790127), // Rule ID 12177 //
     /* 1790046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790092 */     // MIs[0] policy
     /* 1790092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1790105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790126 */     // GIR_Coverage, 12177,
     /* 1790126 */     GIR_EraseRootFromParent_Done,
     /* 1790127 */   // Label 24299: @1790127
     /* 1790127 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1790213), // Rule ID 12180 //
     /* 1790132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790178 */     // MIs[0] policy
     /* 1790178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1790191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790212 */     // GIR_Coverage, 12180,
     /* 1790212 */     GIR_EraseRootFromParent_Done,
     /* 1790213 */   // Label 24300: @1790213
     /* 1790213 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1790299), // Rule ID 12181 //
     /* 1790218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790264 */     // MIs[0] policy
     /* 1790264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1790277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790298 */     // GIR_Coverage, 12181,
     /* 1790298 */     GIR_EraseRootFromParent_Done,
     /* 1790299 */   // Label 24301: @1790299
     /* 1790299 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1790385), // Rule ID 12184 //
     /* 1790304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790350 */     // MIs[0] policy
     /* 1790350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790384 */     // GIR_Coverage, 12184,
     /* 1790384 */     GIR_EraseRootFromParent_Done,
     /* 1790385 */   // Label 24302: @1790385
     /* 1790385 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1790471), // Rule ID 12185 //
     /* 1790390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790436 */     // MIs[0] policy
     /* 1790436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790470 */     // GIR_Coverage, 12185,
     /* 1790470 */     GIR_EraseRootFromParent_Done,
     /* 1790471 */   // Label 24303: @1790471
     /* 1790471 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1790557), // Rule ID 12188 //
     /* 1790476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790522 */     // MIs[0] policy
     /* 1790522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790556 */     // GIR_Coverage, 12188,
     /* 1790556 */     GIR_EraseRootFromParent_Done,
     /* 1790557 */   // Label 24304: @1790557
     /* 1790557 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1790643), // Rule ID 12189 //
     /* 1790562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790608 */     // MIs[0] policy
     /* 1790608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790642 */     // GIR_Coverage, 12189,
     /* 1790642 */     GIR_EraseRootFromParent_Done,
     /* 1790643 */   // Label 24305: @1790643
     /* 1790643 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1790729), // Rule ID 12192 //
     /* 1790648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790694 */     // MIs[0] policy
     /* 1790694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790728 */     // GIR_Coverage, 12192,
     /* 1790728 */     GIR_EraseRootFromParent_Done,
     /* 1790729 */   // Label 24306: @1790729
     /* 1790729 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1790815), // Rule ID 12193 //
     /* 1790734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790780 */     // MIs[0] policy
     /* 1790780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790814 */     // GIR_Coverage, 12193,
     /* 1790814 */     GIR_EraseRootFromParent_Done,
     /* 1790815 */   // Label 24307: @1790815
     /* 1790815 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1790901), // Rule ID 12196 //
     /* 1790820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790866 */     // MIs[0] policy
     /* 1790866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790900 */     // GIR_Coverage, 12196,
     /* 1790900 */     GIR_EraseRootFromParent_Done,
     /* 1790901 */   // Label 24308: @1790901
     /* 1790901 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1790987), // Rule ID 12197 //
     /* 1790906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790952 */     // MIs[0] policy
     /* 1790952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790986 */     // GIR_Coverage, 12197,
     /* 1790986 */     GIR_EraseRootFromParent_Done,
     /* 1790987 */   // Label 24309: @1790987
     /* 1790987 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1791073), // Rule ID 12200 //
     /* 1790992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1790995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791038 */     // MIs[0] policy
     /* 1791038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1791051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791072 */     // GIR_Coverage, 12200,
     /* 1791072 */     GIR_EraseRootFromParent_Done,
     /* 1791073 */   // Label 24310: @1791073
     /* 1791073 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791159), // Rule ID 12201 //
     /* 1791078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791124 */     // MIs[0] policy
     /* 1791124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1791137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791158 */     // GIR_Coverage, 12201,
     /* 1791158 */     GIR_EraseRootFromParent_Done,
     /* 1791159 */   // Label 24311: @1791159
     /* 1791159 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1791245), // Rule ID 12204 //
     /* 1791164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791210 */     // MIs[0] policy
     /* 1791210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791220 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1791223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791244 */     // GIR_Coverage, 12204,
     /* 1791244 */     GIR_EraseRootFromParent_Done,
     /* 1791245 */   // Label 24312: @1791245
     /* 1791245 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1791331), // Rule ID 12205 //
     /* 1791250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791296 */     // MIs[0] policy
     /* 1791296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1791309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791330 */     // GIR_Coverage, 12205,
     /* 1791330 */     GIR_EraseRootFromParent_Done,
     /* 1791331 */   // Label 24313: @1791331
     /* 1791331 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1791417), // Rule ID 12208 //
     /* 1791336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791382 */     // MIs[0] policy
     /* 1791382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791416 */     // GIR_Coverage, 12208,
     /* 1791416 */     GIR_EraseRootFromParent_Done,
     /* 1791417 */   // Label 24314: @1791417
     /* 1791417 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1791503), // Rule ID 12209 //
     /* 1791422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791468 */     // MIs[0] policy
     /* 1791468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791502 */     // GIR_Coverage, 12209,
     /* 1791502 */     GIR_EraseRootFromParent_Done,
     /* 1791503 */   // Label 24315: @1791503
     /* 1791503 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1791589), // Rule ID 12212 //
     /* 1791508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791554 */     // MIs[0] policy
     /* 1791554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791564 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791588 */     // GIR_Coverage, 12212,
     /* 1791588 */     GIR_EraseRootFromParent_Done,
     /* 1791589 */   // Label 24316: @1791589
     /* 1791589 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1791675), // Rule ID 12213 //
     /* 1791594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791640 */     // MIs[0] policy
     /* 1791640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791650 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791674 */     // GIR_Coverage, 12213,
     /* 1791674 */     GIR_EraseRootFromParent_Done,
     /* 1791675 */   // Label 24317: @1791675
     /* 1791675 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1791761), // Rule ID 12216 //
     /* 1791680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791726 */     // MIs[0] policy
     /* 1791726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791760 */     // GIR_Coverage, 12216,
     /* 1791760 */     GIR_EraseRootFromParent_Done,
     /* 1791761 */   // Label 24318: @1791761
     /* 1791761 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1791847), // Rule ID 12217 //
     /* 1791766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791812 */     // MIs[0] policy
     /* 1791812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791846 */     // GIR_Coverage, 12217,
     /* 1791846 */     GIR_EraseRootFromParent_Done,
     /* 1791847 */   // Label 24319: @1791847
     /* 1791847 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1791933), // Rule ID 12220 //
     /* 1791852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791898 */     // MIs[0] policy
     /* 1791898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791932 */     // GIR_Coverage, 12220,
     /* 1791932 */     GIR_EraseRootFromParent_Done,
     /* 1791933 */   // Label 24320: @1791933
     /* 1791933 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1792019), // Rule ID 12221 //
     /* 1791938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791984 */     // MIs[0] policy
     /* 1791984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792018 */     // GIR_Coverage, 12221,
     /* 1792018 */     GIR_EraseRootFromParent_Done,
     /* 1792019 */   // Label 24321: @1792019
     /* 1792019 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792105), // Rule ID 12224 //
     /* 1792024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792070 */     // MIs[0] policy
     /* 1792070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1792083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792104 */     // GIR_Coverage, 12224,
     /* 1792104 */     GIR_EraseRootFromParent_Done,
     /* 1792105 */   // Label 24322: @1792105
     /* 1792105 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792191), // Rule ID 12225 //
     /* 1792110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792156 */     // MIs[0] policy
     /* 1792156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1792169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792190 */     // GIR_Coverage, 12225,
     /* 1792190 */     GIR_EraseRootFromParent_Done,
     /* 1792191 */   // Label 24323: @1792191
     /* 1792191 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1792277), // Rule ID 12228 //
     /* 1792196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792242 */     // MIs[0] policy
     /* 1792242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1792255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792276 */     // GIR_Coverage, 12228,
     /* 1792276 */     GIR_EraseRootFromParent_Done,
     /* 1792277 */   // Label 24324: @1792277
     /* 1792277 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1792363), // Rule ID 12229 //
     /* 1792282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792328 */     // MIs[0] policy
     /* 1792328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1792341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792362 */     // GIR_Coverage, 12229,
     /* 1792362 */     GIR_EraseRootFromParent_Done,
     /* 1792363 */   // Label 24325: @1792363
     /* 1792363 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1792449), // Rule ID 12232 //
     /* 1792368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792414 */     // MIs[0] policy
     /* 1792414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792448 */     // GIR_Coverage, 12232,
     /* 1792448 */     GIR_EraseRootFromParent_Done,
     /* 1792449 */   // Label 24326: @1792449
     /* 1792449 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1792535), // Rule ID 12233 //
     /* 1792454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792500 */     // MIs[0] policy
     /* 1792500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792534 */     // GIR_Coverage, 12233,
     /* 1792534 */     GIR_EraseRootFromParent_Done,
     /* 1792535 */   // Label 24327: @1792535
     /* 1792535 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1792621), // Rule ID 12236 //
     /* 1792540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792586 */     // MIs[0] policy
     /* 1792586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792620 */     // GIR_Coverage, 12236,
     /* 1792620 */     GIR_EraseRootFromParent_Done,
     /* 1792621 */   // Label 24328: @1792621
     /* 1792621 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1792707), // Rule ID 12237 //
     /* 1792626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792672 */     // MIs[0] policy
     /* 1792672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792706 */     // GIR_Coverage, 12237,
     /* 1792706 */     GIR_EraseRootFromParent_Done,
     /* 1792707 */   // Label 24329: @1792707
     /* 1792707 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1792793), // Rule ID 12240 //
     /* 1792712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792758 */     // MIs[0] policy
     /* 1792758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792792 */     // GIR_Coverage, 12240,
     /* 1792792 */     GIR_EraseRootFromParent_Done,
     /* 1792793 */   // Label 24330: @1792793
     /* 1792793 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1792879), // Rule ID 12241 //
     /* 1792798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792844 */     // MIs[0] policy
     /* 1792844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792878 */     // GIR_Coverage, 12241,
     /* 1792878 */     GIR_EraseRootFromParent_Done,
     /* 1792879 */   // Label 24331: @1792879
     /* 1792879 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1792965), // Rule ID 12244 //
     /* 1792884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792930 */     // MIs[0] policy
     /* 1792930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792964 */     // GIR_Coverage, 12244,
     /* 1792964 */     GIR_EraseRootFromParent_Done,
     /* 1792965 */   // Label 24332: @1792965
     /* 1792965 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1793051), // Rule ID 12245 //
     /* 1792970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793016 */     // MIs[0] policy
     /* 1793016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1793029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793050 */     // GIR_Coverage, 12245,
     /* 1793050 */     GIR_EraseRootFromParent_Done,
     /* 1793051 */   // Label 24333: @1793051
     /* 1793051 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793137), // Rule ID 12248 //
     /* 1793056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793102 */     // MIs[0] policy
     /* 1793102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1793115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793136 */     // GIR_Coverage, 12248,
     /* 1793136 */     GIR_EraseRootFromParent_Done,
     /* 1793137 */   // Label 24334: @1793137
     /* 1793137 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1793223), // Rule ID 12249 //
     /* 1793142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793188 */     // MIs[0] policy
     /* 1793188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1793201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793222 */     // GIR_Coverage, 12249,
     /* 1793222 */     GIR_EraseRootFromParent_Done,
     /* 1793223 */   // Label 24335: @1793223
     /* 1793223 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1793309), // Rule ID 12252 //
     /* 1793228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1793248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793274 */     // MIs[0] policy
     /* 1793274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1793287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793308 */     // GIR_Coverage, 12252,
     /* 1793308 */     GIR_EraseRootFromParent_Done,
     /* 1793309 */   // Label 24336: @1793309
     /* 1793309 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1793395), // Rule ID 12253 //
     /* 1793314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1793334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793360 */     // MIs[0] policy
     /* 1793360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1793373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793394 */     // GIR_Coverage, 12253,
     /* 1793394 */     GIR_EraseRootFromParent_Done,
     /* 1793395 */   // Label 24337: @1793395
     /* 1793395 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1793481), // Rule ID 12256 //
     /* 1793400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793446 */     // MIs[0] policy
     /* 1793446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793480 */     // GIR_Coverage, 12256,
     /* 1793480 */     GIR_EraseRootFromParent_Done,
     /* 1793481 */   // Label 24338: @1793481
     /* 1793481 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1793567), // Rule ID 12257 //
     /* 1793486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793532 */     // MIs[0] policy
     /* 1793532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793566 */     // GIR_Coverage, 12257,
     /* 1793566 */     GIR_EraseRootFromParent_Done,
     /* 1793567 */   // Label 24339: @1793567
     /* 1793567 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1793653), // Rule ID 12260 //
     /* 1793572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793618 */     // MIs[0] policy
     /* 1793618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793652 */     // GIR_Coverage, 12260,
     /* 1793652 */     GIR_EraseRootFromParent_Done,
     /* 1793653 */   // Label 24340: @1793653
     /* 1793653 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1793739), // Rule ID 12261 //
     /* 1793658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793704 */     // MIs[0] policy
     /* 1793704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793738 */     // GIR_Coverage, 12261,
     /* 1793738 */     GIR_EraseRootFromParent_Done,
     /* 1793739 */   // Label 24341: @1793739
     /* 1793739 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1793825), // Rule ID 12264 //
     /* 1793744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793790 */     // MIs[0] policy
     /* 1793790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793824 */     // GIR_Coverage, 12264,
     /* 1793824 */     GIR_EraseRootFromParent_Done,
     /* 1793825 */   // Label 24342: @1793825
     /* 1793825 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1793911), // Rule ID 12265 //
     /* 1793830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793876 */     // MIs[0] policy
     /* 1793876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793910 */     // GIR_Coverage, 12265,
     /* 1793910 */     GIR_EraseRootFromParent_Done,
     /* 1793911 */   // Label 24343: @1793911
     /* 1793911 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1793997), // Rule ID 12268 //
     /* 1793916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793962 */     // MIs[0] policy
     /* 1793962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793996 */     // GIR_Coverage, 12268,
     /* 1793996 */     GIR_EraseRootFromParent_Done,
     /* 1793997 */   // Label 24344: @1793997
     /* 1793997 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1794083), // Rule ID 12269 //
     /* 1794002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1794022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794048 */     // MIs[0] policy
     /* 1794048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794082 */     // GIR_Coverage, 12269,
     /* 1794082 */     GIR_EraseRootFromParent_Done,
     /* 1794083 */   // Label 24345: @1794083
     /* 1794083 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794169), // Rule ID 12272 //
     /* 1794088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794134 */     // MIs[0] policy
     /* 1794134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794168 */     // GIR_Coverage, 12272,
     /* 1794168 */     GIR_EraseRootFromParent_Done,
     /* 1794169 */   // Label 24346: @1794169
     /* 1794169 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1794255), // Rule ID 12273 //
     /* 1794174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794220 */     // MIs[0] policy
     /* 1794220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794254 */     // GIR_Coverage, 12273,
     /* 1794254 */     GIR_EraseRootFromParent_Done,
     /* 1794255 */   // Label 24347: @1794255
     /* 1794255 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1794341), // Rule ID 12276 //
     /* 1794260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1794280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794306 */     // MIs[0] policy
     /* 1794306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1794319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794340 */     // GIR_Coverage, 12276,
     /* 1794340 */     GIR_EraseRootFromParent_Done,
     /* 1794341 */   // Label 24348: @1794341
     /* 1794341 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1794427), // Rule ID 12277 //
     /* 1794346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1794366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794392 */     // MIs[0] policy
     /* 1794392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1794405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794426 */     // GIR_Coverage, 12277,
     /* 1794426 */     GIR_EraseRootFromParent_Done,
     /* 1794427 */   // Label 24349: @1794427
     /* 1794427 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1794513), // Rule ID 12280 //
     /* 1794432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794478 */     // MIs[0] policy
     /* 1794478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794512 */     // GIR_Coverage, 12280,
     /* 1794512 */     GIR_EraseRootFromParent_Done,
     /* 1794513 */   // Label 24350: @1794513
     /* 1794513 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1794599), // Rule ID 12281 //
     /* 1794518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794564 */     // MIs[0] policy
     /* 1794564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794598 */     // GIR_Coverage, 12281,
     /* 1794598 */     GIR_EraseRootFromParent_Done,
     /* 1794599 */   // Label 24351: @1794599
     /* 1794599 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1794685), // Rule ID 12284 //
     /* 1794604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794650 */     // MIs[0] policy
     /* 1794650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794684 */     // GIR_Coverage, 12284,
     /* 1794684 */     GIR_EraseRootFromParent_Done,
     /* 1794685 */   // Label 24352: @1794685
     /* 1794685 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1794771), // Rule ID 12285 //
     /* 1794690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794736 */     // MIs[0] policy
     /* 1794736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794770 */     // GIR_Coverage, 12285,
     /* 1794770 */     GIR_EraseRootFromParent_Done,
     /* 1794771 */   // Label 24353: @1794771
     /* 1794771 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1794857), // Rule ID 12288 //
     /* 1794776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794822 */     // MIs[0] policy
     /* 1794822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794856 */     // GIR_Coverage, 12288,
     /* 1794856 */     GIR_EraseRootFromParent_Done,
     /* 1794857 */   // Label 24354: @1794857
     /* 1794857 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1794943), // Rule ID 12289 //
     /* 1794862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794908 */     // MIs[0] policy
     /* 1794908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794942 */     // GIR_Coverage, 12289,
     /* 1794942 */     GIR_EraseRootFromParent_Done,
     /* 1794943 */   // Label 24355: @1794943
     /* 1794943 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1795029), // Rule ID 12292 //
     /* 1794948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794994 */     // MIs[0] policy
     /* 1794994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795028 */     // GIR_Coverage, 12292,
     /* 1795028 */     GIR_EraseRootFromParent_Done,
     /* 1795029 */   // Label 24356: @1795029
     /* 1795029 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795115), // Rule ID 12293 //
     /* 1795034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1795051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1795054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795080 */     // MIs[0] policy
     /* 1795080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795114 */     // GIR_Coverage, 12293,
     /* 1795114 */     GIR_EraseRootFromParent_Done,
     /* 1795115 */   // Label 24357: @1795115
     /* 1795115 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795201), // Rule ID 12296 //
     /* 1795120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795166 */     // MIs[0] policy
     /* 1795166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1795179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795200 */     // GIR_Coverage, 12296,
     /* 1795200 */     GIR_EraseRootFromParent_Done,
     /* 1795201 */   // Label 24358: @1795201
     /* 1795201 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1795287), // Rule ID 12297 //
     /* 1795206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795252 */     // MIs[0] policy
     /* 1795252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1795265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795286 */     // GIR_Coverage, 12297,
     /* 1795286 */     GIR_EraseRootFromParent_Done,
     /* 1795287 */   // Label 24359: @1795287
     /* 1795287 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1795373), // Rule ID 12300 //
     /* 1795292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795338 */     // MIs[0] policy
     /* 1795338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795372 */     // GIR_Coverage, 12300,
     /* 1795372 */     GIR_EraseRootFromParent_Done,
     /* 1795373 */   // Label 24360: @1795373
     /* 1795373 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1795459), // Rule ID 12301 //
     /* 1795378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795424 */     // MIs[0] policy
     /* 1795424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795458 */     // GIR_Coverage, 12301,
     /* 1795458 */     GIR_EraseRootFromParent_Done,
     /* 1795459 */   // Label 24361: @1795459
     /* 1795459 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1795545), // Rule ID 12304 //
     /* 1795464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795510 */     // MIs[0] policy
     /* 1795510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795544 */     // GIR_Coverage, 12304,
     /* 1795544 */     GIR_EraseRootFromParent_Done,
     /* 1795545 */   // Label 24362: @1795545
     /* 1795545 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1795631), // Rule ID 12305 //
     /* 1795550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795596 */     // MIs[0] policy
     /* 1795596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795606 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795630 */     // GIR_Coverage, 12305,
     /* 1795630 */     GIR_EraseRootFromParent_Done,
     /* 1795631 */   // Label 24363: @1795631
     /* 1795631 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1795717), // Rule ID 12308 //
     /* 1795636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795682 */     // MIs[0] policy
     /* 1795682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795716 */     // GIR_Coverage, 12308,
     /* 1795716 */     GIR_EraseRootFromParent_Done,
     /* 1795717 */   // Label 24364: @1795717
     /* 1795717 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1795803), // Rule ID 12309 //
     /* 1795722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795768 */     // MIs[0] policy
     /* 1795768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795802 */     // GIR_Coverage, 12309,
     /* 1795802 */     GIR_EraseRootFromParent_Done,
     /* 1795803 */   // Label 24365: @1795803
     /* 1795803 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1795889), // Rule ID 12312 //
     /* 1795808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795854 */     // MIs[0] policy
     /* 1795854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795888 */     // GIR_Coverage, 12312,
     /* 1795888 */     GIR_EraseRootFromParent_Done,
     /* 1795889 */   // Label 24366: @1795889
     /* 1795889 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1795975), // Rule ID 12313 //
     /* 1795894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795940 */     // MIs[0] policy
     /* 1795940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795974 */     // GIR_Coverage, 12313,
     /* 1795974 */     GIR_EraseRootFromParent_Done,
     /* 1795975 */   // Label 24367: @1795975
     /* 1795975 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1796061), // Rule ID 12316 //
     /* 1795980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796026 */     // MIs[0] policy
     /* 1796026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796060 */     // GIR_Coverage, 12316,
     /* 1796060 */     GIR_EraseRootFromParent_Done,
     /* 1796061 */   // Label 24368: @1796061
     /* 1796061 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796147), // Rule ID 12317 //
     /* 1796066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796112 */     // MIs[0] policy
     /* 1796112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796146 */     // GIR_Coverage, 12317,
     /* 1796146 */     GIR_EraseRootFromParent_Done,
     /* 1796147 */   // Label 24369: @1796147
     /* 1796147 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1796233), // Rule ID 12320 //
     /* 1796152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796198 */     // MIs[0] policy
     /* 1796198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796232 */     // GIR_Coverage, 12320,
     /* 1796232 */     GIR_EraseRootFromParent_Done,
     /* 1796233 */   // Label 24370: @1796233
     /* 1796233 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1796319), // Rule ID 12321 //
     /* 1796238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796284 */     // MIs[0] policy
     /* 1796284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796318 */     // GIR_Coverage, 12321,
     /* 1796318 */     GIR_EraseRootFromParent_Done,
     /* 1796319 */   // Label 24371: @1796319
     /* 1796319 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1796405), // Rule ID 12324 //
     /* 1796324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796370 */     // MIs[0] policy
     /* 1796370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796404 */     // GIR_Coverage, 12324,
     /* 1796404 */     GIR_EraseRootFromParent_Done,
     /* 1796405 */   // Label 24372: @1796405
     /* 1796405 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1796491), // Rule ID 12325 //
     /* 1796410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796456 */     // MIs[0] policy
     /* 1796456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796490 */     // GIR_Coverage, 12325,
     /* 1796490 */     GIR_EraseRootFromParent_Done,
     /* 1796491 */   // Label 24373: @1796491
     /* 1796491 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1796577), // Rule ID 12328 //
     /* 1796496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796542 */     // MIs[0] policy
     /* 1796542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796576 */     // GIR_Coverage, 12328,
     /* 1796576 */     GIR_EraseRootFromParent_Done,
     /* 1796577 */   // Label 24374: @1796577
     /* 1796577 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1796663), // Rule ID 12329 //
     /* 1796582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796628 */     // MIs[0] policy
     /* 1796628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796662 */     // GIR_Coverage, 12329,
     /* 1796662 */     GIR_EraseRootFromParent_Done,
     /* 1796663 */   // Label 24375: @1796663
     /* 1796663 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1796749), // Rule ID 12332 //
     /* 1796668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796714 */     // MIs[0] policy
     /* 1796714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796748 */     // GIR_Coverage, 12332,
     /* 1796748 */     GIR_EraseRootFromParent_Done,
     /* 1796749 */   // Label 24376: @1796749
     /* 1796749 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1796835), // Rule ID 12333 //
     /* 1796754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796800 */     // MIs[0] policy
     /* 1796800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796834 */     // GIR_Coverage, 12333,
     /* 1796834 */     GIR_EraseRootFromParent_Done,
     /* 1796835 */   // Label 24377: @1796835
     /* 1796835 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1796921), // Rule ID 12336 //
     /* 1796840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796886 */     // MIs[0] policy
     /* 1796886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796920 */     // GIR_Coverage, 12336,
     /* 1796920 */     GIR_EraseRootFromParent_Done,
     /* 1796921 */   // Label 24378: @1796921
     /* 1796921 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1797007), // Rule ID 12337 //
     /* 1796926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796972 */     // MIs[0] policy
     /* 1796972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797006 */     // GIR_Coverage, 12337,
     /* 1797006 */     GIR_EraseRootFromParent_Done,
     /* 1797007 */   // Label 24379: @1797007
     /* 1797007 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797093), // Rule ID 12340 //
     /* 1797012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797058 */     // MIs[0] policy
     /* 1797058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797092 */     // GIR_Coverage, 12340,
     /* 1797092 */     GIR_EraseRootFromParent_Done,
     /* 1797093 */   // Label 24380: @1797093
     /* 1797093 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797179), // Rule ID 12341 //
     /* 1797098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797144 */     // MIs[0] policy
     /* 1797144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797178 */     // GIR_Coverage, 12341,
     /* 1797178 */     GIR_EraseRootFromParent_Done,
     /* 1797179 */   // Label 24381: @1797179
     /* 1797179 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1797265), // Rule ID 12344 //
     /* 1797184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1797195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1797198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797230 */     // MIs[0] policy
     /* 1797230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797264 */     // GIR_Coverage, 12344,
     /* 1797264 */     GIR_EraseRootFromParent_Done,
     /* 1797265 */   // Label 24382: @1797265
     /* 1797265 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1797351), // Rule ID 12345 //
     /* 1797270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1797281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1797284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797316 */     // MIs[0] policy
     /* 1797316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797350 */     // GIR_Coverage, 12345,
     /* 1797350 */     GIR_EraseRootFromParent_Done,
     /* 1797351 */   // Label 24383: @1797351
     /* 1797351 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1797437), // Rule ID 12348 //
     /* 1797356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797402 */     // MIs[0] policy
     /* 1797402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797436 */     // GIR_Coverage, 12348,
     /* 1797436 */     GIR_EraseRootFromParent_Done,
     /* 1797437 */   // Label 24384: @1797437
     /* 1797437 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1797523), // Rule ID 12349 //
     /* 1797442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797488 */     // MIs[0] policy
     /* 1797488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797522 */     // GIR_Coverage, 12349,
     /* 1797522 */     GIR_EraseRootFromParent_Done,
     /* 1797523 */   // Label 24385: @1797523
     /* 1797523 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1797609), // Rule ID 12352 //
     /* 1797528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797574 */     // MIs[0] policy
     /* 1797574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797608 */     // GIR_Coverage, 12352,
     /* 1797608 */     GIR_EraseRootFromParent_Done,
     /* 1797609 */   // Label 24386: @1797609
     /* 1797609 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1797695), // Rule ID 12353 //
     /* 1797614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797660 */     // MIs[0] policy
     /* 1797660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797694 */     // GIR_Coverage, 12353,
     /* 1797694 */     GIR_EraseRootFromParent_Done,
     /* 1797695 */   // Label 24387: @1797695
     /* 1797695 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1797781), // Rule ID 12356 //
     /* 1797700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797746 */     // MIs[0] policy
     /* 1797746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797780 */     // GIR_Coverage, 12356,
     /* 1797780 */     GIR_EraseRootFromParent_Done,
     /* 1797781 */   // Label 24388: @1797781
     /* 1797781 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1797867), // Rule ID 12357 //
     /* 1797786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797832 */     // MIs[0] policy
     /* 1797832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797866 */     // GIR_Coverage, 12357,
     /* 1797866 */     GIR_EraseRootFromParent_Done,
     /* 1797867 */   // Label 24389: @1797867
     /* 1797867 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1797953), // Rule ID 12360 //
     /* 1797872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797918 */     // MIs[0] policy
     /* 1797918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797952 */     // GIR_Coverage, 12360,
     /* 1797952 */     GIR_EraseRootFromParent_Done,
     /* 1797953 */   // Label 24390: @1797953
     /* 1797953 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1798039), // Rule ID 12361 //
     /* 1797958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798004 */     // MIs[0] policy
     /* 1798004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1798017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798038 */     // GIR_Coverage, 12361,
     /* 1798038 */     GIR_EraseRootFromParent_Done,
     /* 1798039 */   // Label 24391: @1798039
     /* 1798039 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798125), // Rule ID 12364 //
     /* 1798044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1798055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1798058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798090 */     // MIs[0] policy
     /* 1798090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1798103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798124 */     // GIR_Coverage, 12364,
     /* 1798124 */     GIR_EraseRootFromParent_Done,
     /* 1798125 */   // Label 24392: @1798125
     /* 1798125 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798211), // Rule ID 12365 //
     /* 1798130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1798141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1798144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798176 */     // MIs[0] policy
     /* 1798176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1798189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798210 */     // GIR_Coverage, 12365,
     /* 1798210 */     GIR_EraseRootFromParent_Done,
     /* 1798211 */   // Label 24393: @1798211
     /* 1798211 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1798297), // Rule ID 12368 //
     /* 1798216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1798227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1798230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798262 */     // MIs[0] policy
     /* 1798262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1798275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798296 */     // GIR_Coverage, 12368,
     /* 1798296 */     GIR_EraseRootFromParent_Done,
     /* 1798297 */   // Label 24394: @1798297
     /* 1798297 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1798383), // Rule ID 12369 //
     /* 1798302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1798313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1798316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798348 */     // MIs[0] policy
     /* 1798348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1798361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798382 */     // GIR_Coverage, 12369,
     /* 1798382 */     GIR_EraseRootFromParent_Done,
     /* 1798383 */   // Label 24395: @1798383
     /* 1798383 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1798469), // Rule ID 12372 //
     /* 1798388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798434 */     // MIs[0] policy
     /* 1798434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798468 */     // GIR_Coverage, 12372,
     /* 1798468 */     GIR_EraseRootFromParent_Done,
     /* 1798469 */   // Label 24396: @1798469
     /* 1798469 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1798555), // Rule ID 12373 //
     /* 1798474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798520 */     // MIs[0] policy
     /* 1798520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798554 */     // GIR_Coverage, 12373,
     /* 1798554 */     GIR_EraseRootFromParent_Done,
     /* 1798555 */   // Label 24397: @1798555
     /* 1798555 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1798641), // Rule ID 12376 //
     /* 1798560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798606 */     // MIs[0] policy
     /* 1798606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798640 */     // GIR_Coverage, 12376,
     /* 1798640 */     GIR_EraseRootFromParent_Done,
     /* 1798641 */   // Label 24398: @1798641
     /* 1798641 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1798727), // Rule ID 12377 //
     /* 1798646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798692 */     // MIs[0] policy
     /* 1798692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798726 */     // GIR_Coverage, 12377,
     /* 1798726 */     GIR_EraseRootFromParent_Done,
     /* 1798727 */   // Label 24399: @1798727
     /* 1798727 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1798813), // Rule ID 12380 //
     /* 1798732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798778 */     // MIs[0] policy
     /* 1798778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798812 */     // GIR_Coverage, 12380,
     /* 1798812 */     GIR_EraseRootFromParent_Done,
     /* 1798813 */   // Label 24400: @1798813
     /* 1798813 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1798899), // Rule ID 12381 //
     /* 1798818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798864 */     // MIs[0] policy
     /* 1798864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798898 */     // GIR_Coverage, 12381,
     /* 1798898 */     GIR_EraseRootFromParent_Done,
     /* 1798899 */   // Label 24401: @1798899
     /* 1798899 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1798985), // Rule ID 12384 //
     /* 1798904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798950 */     // MIs[0] policy
     /* 1798950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798984 */     // GIR_Coverage, 12384,
     /* 1798984 */     GIR_EraseRootFromParent_Done,
     /* 1798985 */   // Label 24402: @1798985
     /* 1798985 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1799071), // Rule ID 12385 //
     /* 1798990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1799001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1799004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1799007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1799010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799036 */     // MIs[0] policy
     /* 1799036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799070 */     // GIR_Coverage, 12385,
     /* 1799070 */     GIR_EraseRootFromParent_Done,
     /* 1799071 */   // Label 24403: @1799071
     /* 1799071 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799157), // Rule ID 12388 //
     /* 1799076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1799093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1799096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799122 */     // MIs[0] policy
     /* 1799122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799156 */     // GIR_Coverage, 12388,
     /* 1799156 */     GIR_EraseRootFromParent_Done,
     /* 1799157 */   // Label 24404: @1799157
     /* 1799157 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1799243), // Rule ID 12389 //
     /* 1799162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1799179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1799182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799208 */     // MIs[0] policy
     /* 1799208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799242 */     // GIR_Coverage, 12389,
     /* 1799242 */     GIR_EraseRootFromParent_Done,
     /* 1799243 */   // Label 24405: @1799243
     /* 1799243 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1799329), // Rule ID 12392 //
     /* 1799248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1799265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1799268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799294 */     // MIs[0] policy
     /* 1799294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799328 */     // GIR_Coverage, 12392,
     /* 1799328 */     GIR_EraseRootFromParent_Done,
     /* 1799329 */   // Label 24406: @1799329
     /* 1799329 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1799415), // Rule ID 12393 //
     /* 1799334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1799351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1799354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799380 */     // MIs[0] policy
     /* 1799380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799414 */     // GIR_Coverage, 12393,
     /* 1799414 */     GIR_EraseRootFromParent_Done,
     /* 1799415 */   // Label 24407: @1799415
     /* 1799415 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1799501), // Rule ID 12396 //
     /* 1799420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799466 */     // MIs[0] policy
     /* 1799466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799500 */     // GIR_Coverage, 12396,
     /* 1799500 */     GIR_EraseRootFromParent_Done,
     /* 1799501 */   // Label 24408: @1799501
     /* 1799501 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1799587), // Rule ID 12397 //
     /* 1799506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799552 */     // MIs[0] policy
     /* 1799552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799586 */     // GIR_Coverage, 12397,
     /* 1799586 */     GIR_EraseRootFromParent_Done,
     /* 1799587 */   // Label 24409: @1799587
     /* 1799587 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1799673), // Rule ID 12400 //
     /* 1799592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799638 */     // MIs[0] policy
     /* 1799638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799672 */     // GIR_Coverage, 12400,
     /* 1799672 */     GIR_EraseRootFromParent_Done,
     /* 1799673 */   // Label 24410: @1799673
     /* 1799673 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1799759), // Rule ID 12401 //
     /* 1799678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799724 */     // MIs[0] policy
     /* 1799724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799758 */     // GIR_Coverage, 12401,
     /* 1799758 */     GIR_EraseRootFromParent_Done,
     /* 1799759 */   // Label 24411: @1799759
     /* 1799759 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1799845), // Rule ID 12404 //
     /* 1799764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799810 */     // MIs[0] policy
     /* 1799810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799844 */     // GIR_Coverage, 12404,
     /* 1799844 */     GIR_EraseRootFromParent_Done,
     /* 1799845 */   // Label 24412: @1799845
     /* 1799845 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1799931), // Rule ID 12405 //
     /* 1799850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799896 */     // MIs[0] policy
     /* 1799896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799930 */     // GIR_Coverage, 12405,
     /* 1799930 */     GIR_EraseRootFromParent_Done,
     /* 1799931 */   // Label 24413: @1799931
     /* 1799931 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1800017), // Rule ID 12408 //
     /* 1799936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799982 */     // MIs[0] policy
     /* 1799982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800016 */     // GIR_Coverage, 12408,
     /* 1800016 */     GIR_EraseRootFromParent_Done,
     /* 1800017 */   // Label 24414: @1800017
     /* 1800017 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800103), // Rule ID 12409 //
     /* 1800022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1800033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1800036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1800039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1800042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800068 */     // MIs[0] policy
     /* 1800068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800102 */     // GIR_Coverage, 12409,
     /* 1800102 */     GIR_EraseRootFromParent_Done,
     /* 1800103 */   // Label 24415: @1800103
     /* 1800103 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800189), // Rule ID 12412 //
     /* 1800108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1800119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1800122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1800125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1800128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800154 */     // MIs[0] policy
     /* 1800154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800188 */     // GIR_Coverage, 12412,
     /* 1800188 */     GIR_EraseRootFromParent_Done,
     /* 1800189 */   // Label 24416: @1800189
     /* 1800189 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1800275), // Rule ID 12413 //
     /* 1800194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1800205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1800208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1800211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1800214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800240 */     // MIs[0] policy
     /* 1800240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800274 */     // GIR_Coverage, 12413,
     /* 1800274 */     GIR_EraseRootFromParent_Done,
     /* 1800275 */   // Label 24417: @1800275
     /* 1800275 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1800361), // Rule ID 12416 //
     /* 1800280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1800291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1800294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800326 */     // MIs[0] policy
     /* 1800326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1800339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800360 */     // GIR_Coverage, 12416,
     /* 1800360 */     GIR_EraseRootFromParent_Done,
     /* 1800361 */   // Label 24418: @1800361
     /* 1800361 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1800447), // Rule ID 12417 //
     /* 1800366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1800377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1800380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800412 */     // MIs[0] policy
     /* 1800412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1800425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800446 */     // GIR_Coverage, 12417,
     /* 1800446 */     GIR_EraseRootFromParent_Done,
     /* 1800447 */   // Label 24419: @1800447
     /* 1800447 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1800533), // Rule ID 12420 //
     /* 1800452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800498 */     // MIs[0] policy
     /* 1800498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800532 */     // GIR_Coverage, 12420,
     /* 1800532 */     GIR_EraseRootFromParent_Done,
     /* 1800533 */   // Label 24420: @1800533
     /* 1800533 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1800619), // Rule ID 12421 //
     /* 1800538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800584 */     // MIs[0] policy
     /* 1800584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800618 */     // GIR_Coverage, 12421,
     /* 1800618 */     GIR_EraseRootFromParent_Done,
     /* 1800619 */   // Label 24421: @1800619
     /* 1800619 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1800705), // Rule ID 12424 //
     /* 1800624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800670 */     // MIs[0] policy
     /* 1800670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800704 */     // GIR_Coverage, 12424,
     /* 1800704 */     GIR_EraseRootFromParent_Done,
     /* 1800705 */   // Label 24422: @1800705
     /* 1800705 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1800791), // Rule ID 12425 //
     /* 1800710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800756 */     // MIs[0] policy
     /* 1800756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800790 */     // GIR_Coverage, 12425,
     /* 1800790 */     GIR_EraseRootFromParent_Done,
     /* 1800791 */   // Label 24423: @1800791
     /* 1800791 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1800877), // Rule ID 12428 //
     /* 1800796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800842 */     // MIs[0] policy
     /* 1800842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800876 */     // GIR_Coverage, 12428,
     /* 1800876 */     GIR_EraseRootFromParent_Done,
     /* 1800877 */   // Label 24424: @1800877
     /* 1800877 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1800963), // Rule ID 12429 //
     /* 1800882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800928 */     // MIs[0] policy
     /* 1800928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800962 */     // GIR_Coverage, 12429,
     /* 1800962 */     GIR_EraseRootFromParent_Done,
     /* 1800963 */   // Label 24425: @1800963
     /* 1800963 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1801049), // Rule ID 12432 //
     /* 1800968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801014 */     // MIs[0] policy
     /* 1801014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1801027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801048 */     // GIR_Coverage, 12432,
     /* 1801048 */     GIR_EraseRootFromParent_Done,
     /* 1801049 */   // Label 24426: @1801049
     /* 1801049 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801135), // Rule ID 12433 //
     /* 1801054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1801065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1801068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1801071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801100 */     // MIs[0] policy
     /* 1801100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1801113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801134 */     // GIR_Coverage, 12433,
     /* 1801134 */     GIR_EraseRootFromParent_Done,
     /* 1801135 */   // Label 24427: @1801135
     /* 1801135 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1801221), // Rule ID 12436 //
     /* 1801140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1801157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801186 */     // MIs[0] policy
     /* 1801186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801220 */     // GIR_Coverage, 12436,
     /* 1801220 */     GIR_EraseRootFromParent_Done,
     /* 1801221 */   // Label 24428: @1801221
     /* 1801221 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1801307), // Rule ID 12437 //
     /* 1801226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1801243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801272 */     // MIs[0] policy
     /* 1801272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801306 */     // GIR_Coverage, 12437,
     /* 1801306 */     GIR_EraseRootFromParent_Done,
     /* 1801307 */   // Label 24429: @1801307
     /* 1801307 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1801393), // Rule ID 12440 //
     /* 1801312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1801329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801358 */     // MIs[0] policy
     /* 1801358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801392 */     // GIR_Coverage, 12440,
     /* 1801392 */     GIR_EraseRootFromParent_Done,
     /* 1801393 */   // Label 24430: @1801393
     /* 1801393 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1801479), // Rule ID 12441 //
     /* 1801398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1801415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801444 */     // MIs[0] policy
     /* 1801444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801478 */     // GIR_Coverage, 12441,
     /* 1801478 */     GIR_EraseRootFromParent_Done,
     /* 1801479 */   // Label 24431: @1801479
     /* 1801479 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1801565), // Rule ID 12444 //
     /* 1801484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801530 */     // MIs[0] policy
     /* 1801530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801564 */     // GIR_Coverage, 12444,
     /* 1801564 */     GIR_EraseRootFromParent_Done,
     /* 1801565 */   // Label 24432: @1801565
     /* 1801565 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1801651), // Rule ID 12445 //
     /* 1801570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801616 */     // MIs[0] policy
     /* 1801616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801650 */     // GIR_Coverage, 12445,
     /* 1801650 */     GIR_EraseRootFromParent_Done,
     /* 1801651 */   // Label 24433: @1801651
     /* 1801651 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1801737), // Rule ID 12448 //
     /* 1801656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801702 */     // MIs[0] policy
     /* 1801702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801736 */     // GIR_Coverage, 12448,
     /* 1801736 */     GIR_EraseRootFromParent_Done,
     /* 1801737 */   // Label 24434: @1801737
     /* 1801737 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1801823), // Rule ID 12449 //
     /* 1801742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801788 */     // MIs[0] policy
     /* 1801788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801822 */     // GIR_Coverage, 12449,
     /* 1801822 */     GIR_EraseRootFromParent_Done,
     /* 1801823 */   // Label 24435: @1801823
     /* 1801823 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1801909), // Rule ID 12452 //
     /* 1801828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801874 */     // MIs[0] policy
     /* 1801874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801908 */     // GIR_Coverage, 12452,
     /* 1801908 */     GIR_EraseRootFromParent_Done,
     /* 1801909 */   // Label 24436: @1801909
     /* 1801909 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1801995), // Rule ID 12453 //
     /* 1801914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801960 */     // MIs[0] policy
     /* 1801960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801994 */     // GIR_Coverage, 12453,
     /* 1801994 */     GIR_EraseRootFromParent_Done,
     /* 1801995 */   // Label 24437: @1801995
     /* 1801995 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1802081), // Rule ID 12456 //
     /* 1802000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1802011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1802014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802046 */     // MIs[0] policy
     /* 1802046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1802059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802080 */     // GIR_Coverage, 12456,
     /* 1802080 */     GIR_EraseRootFromParent_Done,
     /* 1802081 */   // Label 24438: @1802081
     /* 1802081 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802167), // Rule ID 12457 //
     /* 1802086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1802097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1802100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802132 */     // MIs[0] policy
     /* 1802132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1802145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802166 */     // GIR_Coverage, 12457,
     /* 1802166 */     GIR_EraseRootFromParent_Done,
     /* 1802167 */   // Label 24439: @1802167
     /* 1802167 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1802253), // Rule ID 12460 //
     /* 1802172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1802183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1802186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802218 */     // MIs[0] policy
     /* 1802218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802252 */     // GIR_Coverage, 12460,
     /* 1802252 */     GIR_EraseRootFromParent_Done,
     /* 1802253 */   // Label 24440: @1802253
     /* 1802253 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1802339), // Rule ID 12461 //
     /* 1802258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1802269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1802272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802304 */     // MIs[0] policy
     /* 1802304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802338 */     // GIR_Coverage, 12461,
     /* 1802338 */     GIR_EraseRootFromParent_Done,
     /* 1802339 */   // Label 24441: @1802339
     /* 1802339 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1802425), // Rule ID 12464 //
     /* 1802344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802390 */     // MIs[0] policy
     /* 1802390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802424 */     // GIR_Coverage, 12464,
     /* 1802424 */     GIR_EraseRootFromParent_Done,
     /* 1802425 */   // Label 24442: @1802425
     /* 1802425 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1802511), // Rule ID 12465 //
     /* 1802430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802476 */     // MIs[0] policy
     /* 1802476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802510 */     // GIR_Coverage, 12465,
     /* 1802510 */     GIR_EraseRootFromParent_Done,
     /* 1802511 */   // Label 24443: @1802511
     /* 1802511 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1802597), // Rule ID 12468 //
     /* 1802516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802562 */     // MIs[0] policy
     /* 1802562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802596 */     // GIR_Coverage, 12468,
     /* 1802596 */     GIR_EraseRootFromParent_Done,
     /* 1802597 */   // Label 24444: @1802597
     /* 1802597 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1802683), // Rule ID 12469 //
     /* 1802602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802648 */     // MIs[0] policy
     /* 1802648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802682 */     // GIR_Coverage, 12469,
     /* 1802682 */     GIR_EraseRootFromParent_Done,
     /* 1802683 */   // Label 24445: @1802683
     /* 1802683 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1802769), // Rule ID 12472 //
     /* 1802688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802734 */     // MIs[0] policy
     /* 1802734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802768 */     // GIR_Coverage, 12472,
     /* 1802768 */     GIR_EraseRootFromParent_Done,
     /* 1802769 */   // Label 24446: @1802769
     /* 1802769 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1802855), // Rule ID 12473 //
     /* 1802774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802820 */     // MIs[0] policy
     /* 1802820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802854 */     // GIR_Coverage, 12473,
     /* 1802854 */     GIR_EraseRootFromParent_Done,
     /* 1802855 */   // Label 24447: @1802855
     /* 1802855 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1802941), // Rule ID 12476 //
     /* 1802860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802906 */     // MIs[0] policy
     /* 1802906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802940 */     // GIR_Coverage, 12476,
     /* 1802940 */     GIR_EraseRootFromParent_Done,
     /* 1802941 */   // Label 24448: @1802941
     /* 1802941 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1803027), // Rule ID 12477 //
     /* 1802946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802992 */     // MIs[0] policy
     /* 1802992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1803005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803026 */     // GIR_Coverage, 12477,
     /* 1803026 */     GIR_EraseRootFromParent_Done,
     /* 1803027 */   // Label 24449: @1803027
     /* 1803027 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803113), // Rule ID 12480 //
     /* 1803032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803078 */     // MIs[0] policy
     /* 1803078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1803091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803112 */     // GIR_Coverage, 12480,
     /* 1803112 */     GIR_EraseRootFromParent_Done,
     /* 1803113 */   // Label 24450: @1803113
     /* 1803113 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803199), // Rule ID 12481 //
     /* 1803118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803164 */     // MIs[0] policy
     /* 1803164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1803177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803198 */     // GIR_Coverage, 12481,
     /* 1803198 */     GIR_EraseRootFromParent_Done,
     /* 1803199 */   // Label 24451: @1803199
     /* 1803199 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1803285), // Rule ID 12484 //
     /* 1803204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803250 */     // MIs[0] policy
     /* 1803250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803260 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1803263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803284 */     // GIR_Coverage, 12484,
     /* 1803284 */     GIR_EraseRootFromParent_Done,
     /* 1803285 */   // Label 24452: @1803285
     /* 1803285 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1803371), // Rule ID 12485 //
     /* 1803290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803336 */     // MIs[0] policy
     /* 1803336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803346 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1803349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803370 */     // GIR_Coverage, 12485,
     /* 1803370 */     GIR_EraseRootFromParent_Done,
     /* 1803371 */   // Label 24453: @1803371
     /* 1803371 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1803457), // Rule ID 12488 //
     /* 1803376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803422 */     // MIs[0] policy
     /* 1803422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803456 */     // GIR_Coverage, 12488,
     /* 1803456 */     GIR_EraseRootFromParent_Done,
     /* 1803457 */   // Label 24454: @1803457
     /* 1803457 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1803543), // Rule ID 12489 //
     /* 1803462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803508 */     // MIs[0] policy
     /* 1803508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803542 */     // GIR_Coverage, 12489,
     /* 1803542 */     GIR_EraseRootFromParent_Done,
     /* 1803543 */   // Label 24455: @1803543
     /* 1803543 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1803629), // Rule ID 12492 //
     /* 1803548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803594 */     // MIs[0] policy
     /* 1803594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803628 */     // GIR_Coverage, 12492,
     /* 1803628 */     GIR_EraseRootFromParent_Done,
     /* 1803629 */   // Label 24456: @1803629
     /* 1803629 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1803715), // Rule ID 12493 //
     /* 1803634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803680 */     // MIs[0] policy
     /* 1803680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803714 */     // GIR_Coverage, 12493,
     /* 1803714 */     GIR_EraseRootFromParent_Done,
     /* 1803715 */   // Label 24457: @1803715
     /* 1803715 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1803801), // Rule ID 12496 //
     /* 1803720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803766 */     // MIs[0] policy
     /* 1803766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803800 */     // GIR_Coverage, 12496,
     /* 1803800 */     GIR_EraseRootFromParent_Done,
     /* 1803801 */   // Label 24458: @1803801
     /* 1803801 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1803887), // Rule ID 12497 //
     /* 1803806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803852 */     // MIs[0] policy
     /* 1803852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803886 */     // GIR_Coverage, 12497,
     /* 1803886 */     GIR_EraseRootFromParent_Done,
     /* 1803887 */   // Label 24459: @1803887
     /* 1803887 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1803973), // Rule ID 12500 //
     /* 1803892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803938 */     // MIs[0] policy
     /* 1803938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803972 */     // GIR_Coverage, 12500,
     /* 1803972 */     GIR_EraseRootFromParent_Done,
     /* 1803973 */   // Label 24460: @1803973
     /* 1803973 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1804059), // Rule ID 12501 //
     /* 1803978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804024 */     // MIs[0] policy
     /* 1804024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804058 */     // GIR_Coverage, 12501,
     /* 1804058 */     GIR_EraseRootFromParent_Done,
     /* 1804059 */   // Label 24461: @1804059
     /* 1804059 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804145), // Rule ID 12504 //
     /* 1804064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804110 */     // MIs[0] policy
     /* 1804110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804144 */     // GIR_Coverage, 12504,
     /* 1804144 */     GIR_EraseRootFromParent_Done,
     /* 1804145 */   // Label 24462: @1804145
     /* 1804145 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1804231), // Rule ID 12505 //
     /* 1804150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804196 */     // MIs[0] policy
     /* 1804196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804230 */     // GIR_Coverage, 12505,
     /* 1804230 */     GIR_EraseRootFromParent_Done,
     /* 1804231 */   // Label 24463: @1804231
     /* 1804231 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1804317), // Rule ID 12508 //
     /* 1804236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804282 */     // MIs[0] policy
     /* 1804282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804316 */     // GIR_Coverage, 12508,
     /* 1804316 */     GIR_EraseRootFromParent_Done,
     /* 1804317 */   // Label 24464: @1804317
     /* 1804317 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1804403), // Rule ID 12509 //
     /* 1804322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804368 */     // MIs[0] policy
     /* 1804368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804402 */     // GIR_Coverage, 12509,
     /* 1804402 */     GIR_EraseRootFromParent_Done,
     /* 1804403 */   // Label 24465: @1804403
     /* 1804403 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1804489), // Rule ID 12512 //
     /* 1804408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804454 */     // MIs[0] policy
     /* 1804454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804488 */     // GIR_Coverage, 12512,
     /* 1804488 */     GIR_EraseRootFromParent_Done,
     /* 1804489 */   // Label 24466: @1804489
     /* 1804489 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1804575), // Rule ID 12513 //
     /* 1804494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804540 */     // MIs[0] policy
     /* 1804540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804574 */     // GIR_Coverage, 12513,
     /* 1804574 */     GIR_EraseRootFromParent_Done,
     /* 1804575 */   // Label 24467: @1804575
     /* 1804575 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1804661), // Rule ID 12516 //
     /* 1804580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804626 */     // MIs[0] policy
     /* 1804626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804660 */     // GIR_Coverage, 12516,
     /* 1804660 */     GIR_EraseRootFromParent_Done,
     /* 1804661 */   // Label 24468: @1804661
     /* 1804661 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1804747), // Rule ID 12517 //
     /* 1804666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804712 */     // MIs[0] policy
     /* 1804712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804746 */     // GIR_Coverage, 12517,
     /* 1804746 */     GIR_EraseRootFromParent_Done,
     /* 1804747 */   // Label 24469: @1804747
     /* 1804747 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1804833), // Rule ID 12520 //
     /* 1804752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804798 */     // MIs[0] policy
     /* 1804798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804832 */     // GIR_Coverage, 12520,
     /* 1804832 */     GIR_EraseRootFromParent_Done,
     /* 1804833 */   // Label 24470: @1804833
     /* 1804833 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1804919), // Rule ID 12521 //
     /* 1804838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804884 */     // MIs[0] policy
     /* 1804884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804918 */     // GIR_Coverage, 12521,
     /* 1804918 */     GIR_EraseRootFromParent_Done,
     /* 1804919 */   // Label 24471: @1804919
     /* 1804919 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1805005), // Rule ID 12524 //
     /* 1804924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804970 */     // MIs[0] policy
     /* 1804970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805004 */     // GIR_Coverage, 12524,
     /* 1805004 */     GIR_EraseRootFromParent_Done,
     /* 1805005 */   // Label 24472: @1805005
     /* 1805005 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805091), // Rule ID 12525 //
     /* 1805010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1805030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805056 */     // MIs[0] policy
     /* 1805056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805090 */     // GIR_Coverage, 12525,
     /* 1805090 */     GIR_EraseRootFromParent_Done,
     /* 1805091 */   // Label 24473: @1805091
     /* 1805091 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805177), // Rule ID 12528 //
     /* 1805096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805142 */     // MIs[0] policy
     /* 1805142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805176 */     // GIR_Coverage, 12528,
     /* 1805176 */     GIR_EraseRootFromParent_Done,
     /* 1805177 */   // Label 24474: @1805177
     /* 1805177 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1805263), // Rule ID 12529 //
     /* 1805182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805228 */     // MIs[0] policy
     /* 1805228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805262 */     // GIR_Coverage, 12529,
     /* 1805262 */     GIR_EraseRootFromParent_Done,
     /* 1805263 */   // Label 24475: @1805263
     /* 1805263 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1805349), // Rule ID 12532 //
     /* 1805268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805314 */     // MIs[0] policy
     /* 1805314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805348 */     // GIR_Coverage, 12532,
     /* 1805348 */     GIR_EraseRootFromParent_Done,
     /* 1805349 */   // Label 24476: @1805349
     /* 1805349 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1805435), // Rule ID 12533 //
     /* 1805354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805400 */     // MIs[0] policy
     /* 1805400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805434 */     // GIR_Coverage, 12533,
     /* 1805434 */     GIR_EraseRootFromParent_Done,
     /* 1805435 */   // Label 24477: @1805435
     /* 1805435 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1805521), // Rule ID 12536 //
     /* 1805440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805486 */     // MIs[0] policy
     /* 1805486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805520 */     // GIR_Coverage, 12536,
     /* 1805520 */     GIR_EraseRootFromParent_Done,
     /* 1805521 */   // Label 24478: @1805521
     /* 1805521 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1805607), // Rule ID 12537 //
     /* 1805526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805572 */     // MIs[0] policy
     /* 1805572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805606 */     // GIR_Coverage, 12537,
     /* 1805606 */     GIR_EraseRootFromParent_Done,
     /* 1805607 */   // Label 24479: @1805607
     /* 1805607 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1805693), // Rule ID 12540 //
     /* 1805612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805658 */     // MIs[0] policy
     /* 1805658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805668 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805692 */     // GIR_Coverage, 12540,
     /* 1805692 */     GIR_EraseRootFromParent_Done,
     /* 1805693 */   // Label 24480: @1805693
     /* 1805693 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1805779), // Rule ID 12541 //
     /* 1805698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805744 */     // MIs[0] policy
     /* 1805744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805778 */     // GIR_Coverage, 12541,
     /* 1805778 */     GIR_EraseRootFromParent_Done,
     /* 1805779 */   // Label 24481: @1805779
     /* 1805779 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1805865), // Rule ID 12544 //
     /* 1805784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805830 */     // MIs[0] policy
     /* 1805830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805864 */     // GIR_Coverage, 12544,
     /* 1805864 */     GIR_EraseRootFromParent_Done,
     /* 1805865 */   // Label 24482: @1805865
     /* 1805865 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1805951), // Rule ID 12545 //
     /* 1805870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805916 */     // MIs[0] policy
     /* 1805916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805950 */     // GIR_Coverage, 12545,
     /* 1805950 */     GIR_EraseRootFromParent_Done,
     /* 1805951 */   // Label 24483: @1805951
     /* 1805951 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1806037), // Rule ID 12548 //
     /* 1805956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806002 */     // MIs[0] policy
     /* 1806002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1806015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806036 */     // GIR_Coverage, 12548,
     /* 1806036 */     GIR_EraseRootFromParent_Done,
     /* 1806037 */   // Label 24484: @1806037
     /* 1806037 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806123), // Rule ID 12549 //
     /* 1806042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1806053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1806056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1806059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1806062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806088 */     // MIs[0] policy
     /* 1806088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1806101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806122 */     // GIR_Coverage, 12549,
     /* 1806122 */     GIR_EraseRootFromParent_Done,
     /* 1806123 */   // Label 24485: @1806123
     /* 1806123 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806209), // Rule ID 12552 //
     /* 1806128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806174 */     // MIs[0] policy
     /* 1806174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1806187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806208 */     // GIR_Coverage, 12552,
     /* 1806208 */     GIR_EraseRootFromParent_Done,
     /* 1806209 */   // Label 24486: @1806209
     /* 1806209 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1806295), // Rule ID 12553 //
     /* 1806214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806260 */     // MIs[0] policy
     /* 1806260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1806273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806294 */     // GIR_Coverage, 12553,
     /* 1806294 */     GIR_EraseRootFromParent_Done,
     /* 1806295 */   // Label 24487: @1806295
     /* 1806295 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1806381), // Rule ID 12556 //
     /* 1806300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806346 */     // MIs[0] policy
     /* 1806346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806380 */     // GIR_Coverage, 12556,
     /* 1806380 */     GIR_EraseRootFromParent_Done,
     /* 1806381 */   // Label 24488: @1806381
     /* 1806381 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1806467), // Rule ID 12557 //
     /* 1806386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806432 */     // MIs[0] policy
     /* 1806432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806466 */     // GIR_Coverage, 12557,
     /* 1806466 */     GIR_EraseRootFromParent_Done,
     /* 1806467 */   // Label 24489: @1806467
     /* 1806467 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1806553), // Rule ID 12560 //
     /* 1806472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806518 */     // MIs[0] policy
     /* 1806518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806552 */     // GIR_Coverage, 12560,
     /* 1806552 */     GIR_EraseRootFromParent_Done,
     /* 1806553 */   // Label 24490: @1806553
     /* 1806553 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1806639), // Rule ID 12561 //
     /* 1806558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806604 */     // MIs[0] policy
     /* 1806604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806638 */     // GIR_Coverage, 12561,
     /* 1806638 */     GIR_EraseRootFromParent_Done,
     /* 1806639 */   // Label 24491: @1806639
     /* 1806639 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1806725), // Rule ID 12564 //
     /* 1806644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806690 */     // MIs[0] policy
     /* 1806690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806724 */     // GIR_Coverage, 12564,
     /* 1806724 */     GIR_EraseRootFromParent_Done,
     /* 1806725 */   // Label 24492: @1806725
     /* 1806725 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1806811), // Rule ID 12565 //
     /* 1806730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806776 */     // MIs[0] policy
     /* 1806776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806810 */     // GIR_Coverage, 12565,
     /* 1806810 */     GIR_EraseRootFromParent_Done,
     /* 1806811 */   // Label 24493: @1806811
     /* 1806811 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1806897), // Rule ID 12568 //
     /* 1806816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806862 */     // MIs[0] policy
     /* 1806862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806896 */     // GIR_Coverage, 12568,
     /* 1806896 */     GIR_EraseRootFromParent_Done,
     /* 1806897 */   // Label 24494: @1806897
     /* 1806897 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1806983), // Rule ID 12569 //
     /* 1806902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806948 */     // MIs[0] policy
     /* 1806948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806982 */     // GIR_Coverage, 12569,
     /* 1806982 */     GIR_EraseRootFromParent_Done,
     /* 1806983 */   // Label 24495: @1806983
     /* 1806983 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1807069), // Rule ID 12572 //
     /* 1806988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807034 */     // MIs[0] policy
     /* 1807034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807068 */     // GIR_Coverage, 12572,
     /* 1807068 */     GIR_EraseRootFromParent_Done,
     /* 1807069 */   // Label 24496: @1807069
     /* 1807069 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807155), // Rule ID 12573 //
     /* 1807074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807120 */     // MIs[0] policy
     /* 1807120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807154 */     // GIR_Coverage, 12573,
     /* 1807154 */     GIR_EraseRootFromParent_Done,
     /* 1807155 */   // Label 24497: @1807155
     /* 1807155 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1807241), // Rule ID 12576 //
     /* 1807160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807206 */     // MIs[0] policy
     /* 1807206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1807219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807240 */     // GIR_Coverage, 12576,
     /* 1807240 */     GIR_EraseRootFromParent_Done,
     /* 1807241 */   // Label 24498: @1807241
     /* 1807241 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1807327), // Rule ID 12577 //
     /* 1807246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807292 */     // MIs[0] policy
     /* 1807292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1807305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807326 */     // GIR_Coverage, 12577,
     /* 1807326 */     GIR_EraseRootFromParent_Done,
     /* 1807327 */   // Label 24499: @1807327
     /* 1807327 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1807413), // Rule ID 12580 //
     /* 1807332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807378 */     // MIs[0] policy
     /* 1807378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807412 */     // GIR_Coverage, 12580,
     /* 1807412 */     GIR_EraseRootFromParent_Done,
     /* 1807413 */   // Label 24500: @1807413
     /* 1807413 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1807499), // Rule ID 12581 //
     /* 1807418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807464 */     // MIs[0] policy
     /* 1807464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807498 */     // GIR_Coverage, 12581,
     /* 1807498 */     GIR_EraseRootFromParent_Done,
     /* 1807499 */   // Label 24501: @1807499
     /* 1807499 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1807585), // Rule ID 12584 //
     /* 1807504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807550 */     // MIs[0] policy
     /* 1807550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807584 */     // GIR_Coverage, 12584,
     /* 1807584 */     GIR_EraseRootFromParent_Done,
     /* 1807585 */   // Label 24502: @1807585
     /* 1807585 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1807671), // Rule ID 12585 //
     /* 1807590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807636 */     // MIs[0] policy
     /* 1807636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807670 */     // GIR_Coverage, 12585,
     /* 1807670 */     GIR_EraseRootFromParent_Done,
     /* 1807671 */   // Label 24503: @1807671
     /* 1807671 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1807757), // Rule ID 12588 //
     /* 1807676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807722 */     // MIs[0] policy
     /* 1807722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807756 */     // GIR_Coverage, 12588,
     /* 1807756 */     GIR_EraseRootFromParent_Done,
     /* 1807757 */   // Label 24504: @1807757
     /* 1807757 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1807843), // Rule ID 12589 //
     /* 1807762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807808 */     // MIs[0] policy
     /* 1807808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807842 */     // GIR_Coverage, 12589,
     /* 1807842 */     GIR_EraseRootFromParent_Done,
     /* 1807843 */   // Label 24505: @1807843
     /* 1807843 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1807929), // Rule ID 12592 //
     /* 1807848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807894 */     // MIs[0] policy
     /* 1807894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807928 */     // GIR_Coverage, 12592,
     /* 1807928 */     GIR_EraseRootFromParent_Done,
     /* 1807929 */   // Label 24506: @1807929
     /* 1807929 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1808015), // Rule ID 12593 //
     /* 1807934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807980 */     // MIs[0] policy
     /* 1807980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808014 */     // GIR_Coverage, 12593,
     /* 1808014 */     GIR_EraseRootFromParent_Done,
     /* 1808015 */   // Label 24507: @1808015
     /* 1808015 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808101), // Rule ID 12596 //
     /* 1808020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808066 */     // MIs[0] policy
     /* 1808066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1808079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808100 */     // GIR_Coverage, 12596,
     /* 1808100 */     GIR_EraseRootFromParent_Done,
     /* 1808101 */   // Label 24508: @1808101
     /* 1808101 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808187), // Rule ID 12597 //
     /* 1808106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808152 */     // MIs[0] policy
     /* 1808152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1808165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808186 */     // GIR_Coverage, 12597,
     /* 1808186 */     GIR_EraseRootFromParent_Done,
     /* 1808187 */   // Label 24509: @1808187
     /* 1808187 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1808273), // Rule ID 12600 //
     /* 1808192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808238 */     // MIs[0] policy
     /* 1808238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1808251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808272 */     // GIR_Coverage, 12600,
     /* 1808272 */     GIR_EraseRootFromParent_Done,
     /* 1808273 */   // Label 24510: @1808273
     /* 1808273 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1808359), // Rule ID 12601 //
     /* 1808278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808324 */     // MIs[0] policy
     /* 1808324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1808337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808358 */     // GIR_Coverage, 12601,
     /* 1808358 */     GIR_EraseRootFromParent_Done,
     /* 1808359 */   // Label 24511: @1808359
     /* 1808359 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1808445), // Rule ID 12604 //
     /* 1808364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808410 */     // MIs[0] policy
     /* 1808410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808444 */     // GIR_Coverage, 12604,
     /* 1808444 */     GIR_EraseRootFromParent_Done,
     /* 1808445 */   // Label 24512: @1808445
     /* 1808445 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1808531), // Rule ID 12605 //
     /* 1808450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808496 */     // MIs[0] policy
     /* 1808496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808530 */     // GIR_Coverage, 12605,
     /* 1808530 */     GIR_EraseRootFromParent_Done,
     /* 1808531 */   // Label 24513: @1808531
     /* 1808531 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1808617), // Rule ID 12608 //
     /* 1808536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808582 */     // MIs[0] policy
     /* 1808582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808616 */     // GIR_Coverage, 12608,
     /* 1808616 */     GIR_EraseRootFromParent_Done,
     /* 1808617 */   // Label 24514: @1808617
     /* 1808617 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1808703), // Rule ID 12609 //
     /* 1808622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808668 */     // MIs[0] policy
     /* 1808668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808702 */     // GIR_Coverage, 12609,
     /* 1808702 */     GIR_EraseRootFromParent_Done,
     /* 1808703 */   // Label 24515: @1808703
     /* 1808703 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1808789), // Rule ID 12612 //
     /* 1808708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808754 */     // MIs[0] policy
     /* 1808754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808764 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808788 */     // GIR_Coverage, 12612,
     /* 1808788 */     GIR_EraseRootFromParent_Done,
     /* 1808789 */   // Label 24516: @1808789
     /* 1808789 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1808875), // Rule ID 12613 //
     /* 1808794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808840 */     // MIs[0] policy
     /* 1808840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808850 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808874 */     // GIR_Coverage, 12613,
     /* 1808874 */     GIR_EraseRootFromParent_Done,
     /* 1808875 */   // Label 24517: @1808875
     /* 1808875 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1808961), // Rule ID 12616 //
     /* 1808880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808926 */     // MIs[0] policy
     /* 1808926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808960 */     // GIR_Coverage, 12616,
     /* 1808960 */     GIR_EraseRootFromParent_Done,
     /* 1808961 */   // Label 24518: @1808961
     /* 1808961 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1809047), // Rule ID 12617 //
     /* 1808966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809012 */     // MIs[0] policy
     /* 1809012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809022 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809046 */     // GIR_Coverage, 12617,
     /* 1809046 */     GIR_EraseRootFromParent_Done,
     /* 1809047 */   // Label 24519: @1809047
     /* 1809047 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809133), // Rule ID 12620 //
     /* 1809052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809098 */     // MIs[0] policy
     /* 1809098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1809111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809132 */     // GIR_Coverage, 12620,
     /* 1809132 */     GIR_EraseRootFromParent_Done,
     /* 1809133 */   // Label 24520: @1809133
     /* 1809133 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1809219), // Rule ID 12621 //
     /* 1809138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809184 */     // MIs[0] policy
     /* 1809184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1809197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809218 */     // GIR_Coverage, 12621,
     /* 1809218 */     GIR_EraseRootFromParent_Done,
     /* 1809219 */   // Label 24521: @1809219
     /* 1809219 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1809305), // Rule ID 12624 //
     /* 1809224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809270 */     // MIs[0] policy
     /* 1809270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809304 */     // GIR_Coverage, 12624,
     /* 1809304 */     GIR_EraseRootFromParent_Done,
     /* 1809305 */   // Label 24522: @1809305
     /* 1809305 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1809391), // Rule ID 12625 //
     /* 1809310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809356 */     // MIs[0] policy
     /* 1809356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809390 */     // GIR_Coverage, 12625,
     /* 1809390 */     GIR_EraseRootFromParent_Done,
     /* 1809391 */   // Label 24523: @1809391
     /* 1809391 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1809477), // Rule ID 12628 //
     /* 1809396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809442 */     // MIs[0] policy
     /* 1809442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809476 */     // GIR_Coverage, 12628,
     /* 1809476 */     GIR_EraseRootFromParent_Done,
     /* 1809477 */   // Label 24524: @1809477
     /* 1809477 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1809563), // Rule ID 12629 //
     /* 1809482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809528 */     // MIs[0] policy
     /* 1809528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809538 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809562 */     // GIR_Coverage, 12629,
     /* 1809562 */     GIR_EraseRootFromParent_Done,
     /* 1809563 */   // Label 24525: @1809563
     /* 1809563 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1809649), // Rule ID 12632 //
     /* 1809568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809614 */     // MIs[0] policy
     /* 1809614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809648 */     // GIR_Coverage, 12632,
     /* 1809648 */     GIR_EraseRootFromParent_Done,
     /* 1809649 */   // Label 24526: @1809649
     /* 1809649 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1809735), // Rule ID 12633 //
     /* 1809654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809700 */     // MIs[0] policy
     /* 1809700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809734 */     // GIR_Coverage, 12633,
     /* 1809734 */     GIR_EraseRootFromParent_Done,
     /* 1809735 */   // Label 24527: @1809735
     /* 1809735 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1809821), // Rule ID 12636 //
     /* 1809740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809786 */     // MIs[0] policy
     /* 1809786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809820 */     // GIR_Coverage, 12636,
     /* 1809820 */     GIR_EraseRootFromParent_Done,
     /* 1809821 */   // Label 24528: @1809821
     /* 1809821 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1809907), // Rule ID 12637 //
     /* 1809826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809872 */     // MIs[0] policy
     /* 1809872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809906 */     // GIR_Coverage, 12637,
     /* 1809906 */     GIR_EraseRootFromParent_Done,
     /* 1809907 */   // Label 24529: @1809907
     /* 1809907 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1809993), // Rule ID 12640 //
     /* 1809912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809958 */     // MIs[0] policy
     /* 1809958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809992 */     // GIR_Coverage, 12640,
     /* 1809992 */     GIR_EraseRootFromParent_Done,
     /* 1809993 */   // Label 24530: @1809993
     /* 1809993 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1810079), // Rule ID 12641 //
     /* 1809998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1810015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1810018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810044 */     // MIs[0] policy
     /* 1810044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810078 */     // GIR_Coverage, 12641,
     /* 1810078 */     GIR_EraseRootFromParent_Done,
     /* 1810079 */   // Label 24531: @1810079
     /* 1810079 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810165), // Rule ID 12644 //
     /* 1810084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810130 */     // MIs[0] policy
     /* 1810130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810164 */     // GIR_Coverage, 12644,
     /* 1810164 */     GIR_EraseRootFromParent_Done,
     /* 1810165 */   // Label 24532: @1810165
     /* 1810165 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1810251), // Rule ID 12645 //
     /* 1810170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810216 */     // MIs[0] policy
     /* 1810216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1810229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810250 */     // GIR_Coverage, 12645,
     /* 1810250 */     GIR_EraseRootFromParent_Done,
     /* 1810251 */   // Label 24533: @1810251
     /* 1810251 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1810337), // Rule ID 12648 //
     /* 1810256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810302 */     // MIs[0] policy
     /* 1810302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810336 */     // GIR_Coverage, 12648,
     /* 1810336 */     GIR_EraseRootFromParent_Done,
     /* 1810337 */   // Label 24534: @1810337
     /* 1810337 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1810423), // Rule ID 12649 //
     /* 1810342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810388 */     // MIs[0] policy
     /* 1810388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810398 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810422 */     // GIR_Coverage, 12649,
     /* 1810422 */     GIR_EraseRootFromParent_Done,
     /* 1810423 */   // Label 24535: @1810423
     /* 1810423 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1810509), // Rule ID 12652 //
     /* 1810428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810474 */     // MIs[0] policy
     /* 1810474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810484 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810508 */     // GIR_Coverage, 12652,
     /* 1810508 */     GIR_EraseRootFromParent_Done,
     /* 1810509 */   // Label 24536: @1810509
     /* 1810509 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1810595), // Rule ID 12653 //
     /* 1810514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810560 */     // MIs[0] policy
     /* 1810560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810594 */     // GIR_Coverage, 12653,
     /* 1810594 */     GIR_EraseRootFromParent_Done,
     /* 1810595 */   // Label 24537: @1810595
     /* 1810595 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1810681), // Rule ID 12656 //
     /* 1810600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810646 */     // MIs[0] policy
     /* 1810646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810656 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810680 */     // GIR_Coverage, 12656,
     /* 1810680 */     GIR_EraseRootFromParent_Done,
     /* 1810681 */   // Label 24538: @1810681
     /* 1810681 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1810767), // Rule ID 12657 //
     /* 1810686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810732 */     // MIs[0] policy
     /* 1810732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810742 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810766 */     // GIR_Coverage, 12657,
     /* 1810766 */     GIR_EraseRootFromParent_Done,
     /* 1810767 */   // Label 24539: @1810767
     /* 1810767 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1810853), // Rule ID 12660 //
     /* 1810772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810818 */     // MIs[0] policy
     /* 1810818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810852 */     // GIR_Coverage, 12660,
     /* 1810852 */     GIR_EraseRootFromParent_Done,
     /* 1810853 */   // Label 24540: @1810853
     /* 1810853 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1810939), // Rule ID 12661 //
     /* 1810858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810904 */     // MIs[0] policy
     /* 1810904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810938 */     // GIR_Coverage, 12661,
     /* 1810938 */     GIR_EraseRootFromParent_Done,
     /* 1810939 */   // Label 24541: @1810939
     /* 1810939 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1811025), // Rule ID 12664 //
     /* 1810944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810990 */     // MIs[0] policy
     /* 1810990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811024 */     // GIR_Coverage, 12664,
     /* 1811024 */     GIR_EraseRootFromParent_Done,
     /* 1811025 */   // Label 24542: @1811025
     /* 1811025 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811111), // Rule ID 12665 //
     /* 1811030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811076 */     // MIs[0] policy
     /* 1811076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811110 */     // GIR_Coverage, 12665,
     /* 1811110 */     GIR_EraseRootFromParent_Done,
     /* 1811111 */   // Label 24543: @1811111
     /* 1811111 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811197), // Rule ID 12668 //
     /* 1811116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811162 */     // MIs[0] policy
     /* 1811162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811196 */     // GIR_Coverage, 12668,
     /* 1811196 */     GIR_EraseRootFromParent_Done,
     /* 1811197 */   // Label 24544: @1811197
     /* 1811197 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1811283), // Rule ID 12669 //
     /* 1811202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811248 */     // MIs[0] policy
     /* 1811248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811282 */     // GIR_Coverage, 12669,
     /* 1811282 */     GIR_EraseRootFromParent_Done,
     /* 1811283 */   // Label 24545: @1811283
     /* 1811283 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1811369), // Rule ID 12672 //
     /* 1811288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811334 */     // MIs[0] policy
     /* 1811334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811368 */     // GIR_Coverage, 12672,
     /* 1811368 */     GIR_EraseRootFromParent_Done,
     /* 1811369 */   // Label 24546: @1811369
     /* 1811369 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1811455), // Rule ID 12673 //
     /* 1811374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811420 */     // MIs[0] policy
     /* 1811420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811454 */     // GIR_Coverage, 12673,
     /* 1811454 */     GIR_EraseRootFromParent_Done,
     /* 1811455 */   // Label 24547: @1811455
     /* 1811455 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1811541), // Rule ID 12676 //
     /* 1811460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811506 */     // MIs[0] policy
     /* 1811506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811540 */     // GIR_Coverage, 12676,
     /* 1811540 */     GIR_EraseRootFromParent_Done,
     /* 1811541 */   // Label 24548: @1811541
     /* 1811541 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1811627), // Rule ID 12677 //
     /* 1811546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811592 */     // MIs[0] policy
     /* 1811592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811626 */     // GIR_Coverage, 12677,
     /* 1811626 */     GIR_EraseRootFromParent_Done,
     /* 1811627 */   // Label 24549: @1811627
     /* 1811627 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1811713), // Rule ID 12680 //
     /* 1811632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811678 */     // MIs[0] policy
     /* 1811678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811712 */     // GIR_Coverage, 12680,
     /* 1811712 */     GIR_EraseRootFromParent_Done,
     /* 1811713 */   // Label 24550: @1811713
     /* 1811713 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1811799), // Rule ID 12681 //
     /* 1811718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811764 */     // MIs[0] policy
     /* 1811764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811798 */     // GIR_Coverage, 12681,
     /* 1811798 */     GIR_EraseRootFromParent_Done,
     /* 1811799 */   // Label 24551: @1811799
     /* 1811799 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1811885), // Rule ID 12684 //
     /* 1811804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811850 */     // MIs[0] policy
     /* 1811850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811884 */     // GIR_Coverage, 12684,
     /* 1811884 */     GIR_EraseRootFromParent_Done,
     /* 1811885 */   // Label 24552: @1811885
     /* 1811885 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1811971), // Rule ID 12685 //
     /* 1811890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811936 */     // MIs[0] policy
     /* 1811936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811970 */     // GIR_Coverage, 12685,
     /* 1811970 */     GIR_EraseRootFromParent_Done,
     /* 1811971 */   // Label 24553: @1811971
     /* 1811971 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1812057), // Rule ID 12688 //
     /* 1811976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1811993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1811996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812022 */     // MIs[0] policy
     /* 1812022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1812035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812056 */     // GIR_Coverage, 12688,
     /* 1812056 */     GIR_EraseRootFromParent_Done,
     /* 1812057 */   // Label 24554: @1812057
     /* 1812057 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812143), // Rule ID 12689 //
     /* 1812062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812108 */     // MIs[0] policy
     /* 1812108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1812121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812142 */     // GIR_Coverage, 12689,
     /* 1812142 */     GIR_EraseRootFromParent_Done,
     /* 1812143 */   // Label 24555: @1812143
     /* 1812143 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1812229), // Rule ID 12692 //
     /* 1812148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1812165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1812168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812194 */     // MIs[0] policy
     /* 1812194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1812207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812228 */     // GIR_Coverage, 12692,
     /* 1812228 */     GIR_EraseRootFromParent_Done,
     /* 1812229 */   // Label 24556: @1812229
     /* 1812229 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1812315), // Rule ID 12693 //
     /* 1812234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1812251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1812254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812280 */     // MIs[0] policy
     /* 1812280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1812293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812314 */     // GIR_Coverage, 12693,
     /* 1812314 */     GIR_EraseRootFromParent_Done,
     /* 1812315 */   // Label 24557: @1812315
     /* 1812315 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1812401), // Rule ID 12696 //
     /* 1812320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1812331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1812334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1812340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812366 */     // MIs[0] policy
     /* 1812366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812400 */     // GIR_Coverage, 12696,
     /* 1812400 */     GIR_EraseRootFromParent_Done,
     /* 1812401 */   // Label 24558: @1812401
     /* 1812401 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1812487), // Rule ID 12697 //
     /* 1812406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1812417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1812420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1812426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812452 */     // MIs[0] policy
     /* 1812452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812462 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812486 */     // GIR_Coverage, 12697,
     /* 1812486 */     GIR_EraseRootFromParent_Done,
     /* 1812487 */   // Label 24559: @1812487
     /* 1812487 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1812573), // Rule ID 12700 //
     /* 1812492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812538 */     // MIs[0] policy
     /* 1812538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812572 */     // GIR_Coverage, 12700,
     /* 1812572 */     GIR_EraseRootFromParent_Done,
     /* 1812573 */   // Label 24560: @1812573
     /* 1812573 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1812659), // Rule ID 12701 //
     /* 1812578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812624 */     // MIs[0] policy
     /* 1812624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812658 */     // GIR_Coverage, 12701,
     /* 1812658 */     GIR_EraseRootFromParent_Done,
     /* 1812659 */   // Label 24561: @1812659
     /* 1812659 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1812745), // Rule ID 12704 //
     /* 1812664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812710 */     // MIs[0] policy
     /* 1812710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812744 */     // GIR_Coverage, 12704,
     /* 1812744 */     GIR_EraseRootFromParent_Done,
     /* 1812745 */   // Label 24562: @1812745
     /* 1812745 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1812831), // Rule ID 12705 //
     /* 1812750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812796 */     // MIs[0] policy
     /* 1812796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812806 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812830 */     // GIR_Coverage, 12705,
     /* 1812830 */     GIR_EraseRootFromParent_Done,
     /* 1812831 */   // Label 24563: @1812831
     /* 1812831 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1812917), // Rule ID 12708 //
     /* 1812836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812882 */     // MIs[0] policy
     /* 1812882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812916 */     // GIR_Coverage, 12708,
     /* 1812916 */     GIR_EraseRootFromParent_Done,
     /* 1812917 */   // Label 24564: @1812917
     /* 1812917 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1813003), // Rule ID 12709 //
     /* 1812922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812968 */     // MIs[0] policy
     /* 1812968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813002 */     // GIR_Coverage, 12709,
     /* 1813002 */     GIR_EraseRootFromParent_Done,
     /* 1813003 */   // Label 24565: @1813003
     /* 1813003 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813089), // Rule ID 12712 //
     /* 1813008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813054 */     // MIs[0] policy
     /* 1813054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813088 */     // GIR_Coverage, 12712,
     /* 1813088 */     GIR_EraseRootFromParent_Done,
     /* 1813089 */   // Label 24566: @1813089
     /* 1813089 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813175), // Rule ID 12713 //
     /* 1813094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813140 */     // MIs[0] policy
     /* 1813140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813174 */     // GIR_Coverage, 12713,
     /* 1813174 */     GIR_EraseRootFromParent_Done,
     /* 1813175 */   // Label 24567: @1813175
     /* 1813175 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1813261), // Rule ID 12716 //
     /* 1813180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813226 */     // MIs[0] policy
     /* 1813226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813260 */     // GIR_Coverage, 12716,
     /* 1813260 */     GIR_EraseRootFromParent_Done,
     /* 1813261 */   // Label 24568: @1813261
     /* 1813261 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1813347), // Rule ID 12717 //
     /* 1813266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813312 */     // MIs[0] policy
     /* 1813312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1813325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813346 */     // GIR_Coverage, 12717,
     /* 1813346 */     GIR_EraseRootFromParent_Done,
     /* 1813347 */   // Label 24569: @1813347
     /* 1813347 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1813433), // Rule ID 12720 //
     /* 1813352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813398 */     // MIs[0] policy
     /* 1813398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813432 */     // GIR_Coverage, 12720,
     /* 1813432 */     GIR_EraseRootFromParent_Done,
     /* 1813433 */   // Label 24570: @1813433
     /* 1813433 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1813519), // Rule ID 12721 //
     /* 1813438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813484 */     // MIs[0] policy
     /* 1813484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813518 */     // GIR_Coverage, 12721,
     /* 1813518 */     GIR_EraseRootFromParent_Done,
     /* 1813519 */   // Label 24571: @1813519
     /* 1813519 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1813605), // Rule ID 12724 //
     /* 1813524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813570 */     // MIs[0] policy
     /* 1813570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813604 */     // GIR_Coverage, 12724,
     /* 1813604 */     GIR_EraseRootFromParent_Done,
     /* 1813605 */   // Label 24572: @1813605
     /* 1813605 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1813691), // Rule ID 12725 //
     /* 1813610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813656 */     // MIs[0] policy
     /* 1813656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813690 */     // GIR_Coverage, 12725,
     /* 1813690 */     GIR_EraseRootFromParent_Done,
     /* 1813691 */   // Label 24573: @1813691
     /* 1813691 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1813777), // Rule ID 12728 //
     /* 1813696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813742 */     // MIs[0] policy
     /* 1813742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813776 */     // GIR_Coverage, 12728,
     /* 1813776 */     GIR_EraseRootFromParent_Done,
     /* 1813777 */   // Label 24574: @1813777
     /* 1813777 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1813863), // Rule ID 12729 //
     /* 1813782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813828 */     // MIs[0] policy
     /* 1813828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813862 */     // GIR_Coverage, 12729,
     /* 1813862 */     GIR_EraseRootFromParent_Done,
     /* 1813863 */   // Label 24575: @1813863
     /* 1813863 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1813949), // Rule ID 12732 //
     /* 1813868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813914 */     // MIs[0] policy
     /* 1813914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813948 */     // GIR_Coverage, 12732,
     /* 1813948 */     GIR_EraseRootFromParent_Done,
     /* 1813949 */   // Label 24576: @1813949
     /* 1813949 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1814035), // Rule ID 12733 //
     /* 1813954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814000 */     // MIs[0] policy
     /* 1814000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1814013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814034 */     // GIR_Coverage, 12733,
     /* 1814034 */     GIR_EraseRootFromParent_Done,
     /* 1814035 */   // Label 24577: @1814035
     /* 1814035 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814121), // Rule ID 12736 //
     /* 1814040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814086 */     // MIs[0] policy
     /* 1814086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814120 */     // GIR_Coverage, 12736,
     /* 1814120 */     GIR_EraseRootFromParent_Done,
     /* 1814121 */   // Label 24578: @1814121
     /* 1814121 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814207), // Rule ID 12737 //
     /* 1814126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814172 */     // MIs[0] policy
     /* 1814172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814182 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814206 */     // GIR_Coverage, 12737,
     /* 1814206 */     GIR_EraseRootFromParent_Done,
     /* 1814207 */   // Label 24579: @1814207
     /* 1814207 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1814293), // Rule ID 12740 //
     /* 1814212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814258 */     // MIs[0] policy
     /* 1814258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814292 */     // GIR_Coverage, 12740,
     /* 1814292 */     GIR_EraseRootFromParent_Done,
     /* 1814293 */   // Label 24580: @1814293
     /* 1814293 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1814379), // Rule ID 12741 //
     /* 1814298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814344 */     // MIs[0] policy
     /* 1814344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814354 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814378 */     // GIR_Coverage, 12741,
     /* 1814378 */     GIR_EraseRootFromParent_Done,
     /* 1814379 */   // Label 24581: @1814379
     /* 1814379 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1814465), // Rule ID 12744 //
     /* 1814384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814430 */     // MIs[0] policy
     /* 1814430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814440 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814464 */     // GIR_Coverage, 12744,
     /* 1814464 */     GIR_EraseRootFromParent_Done,
     /* 1814465 */   // Label 24582: @1814465
     /* 1814465 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1814551), // Rule ID 12745 //
     /* 1814470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814516 */     // MIs[0] policy
     /* 1814516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814526 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814550 */     // GIR_Coverage, 12745,
     /* 1814550 */     GIR_EraseRootFromParent_Done,
     /* 1814551 */   // Label 24583: @1814551
     /* 1814551 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1814637), // Rule ID 12748 //
     /* 1814556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814602 */     // MIs[0] policy
     /* 1814602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814636 */     // GIR_Coverage, 12748,
     /* 1814636 */     GIR_EraseRootFromParent_Done,
     /* 1814637 */   // Label 24584: @1814637
     /* 1814637 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1814723), // Rule ID 12749 //
     /* 1814642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814688 */     // MIs[0] policy
     /* 1814688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814722 */     // GIR_Coverage, 12749,
     /* 1814722 */     GIR_EraseRootFromParent_Done,
     /* 1814723 */   // Label 24585: @1814723
     /* 1814723 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1814809), // Rule ID 12752 //
     /* 1814728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814774 */     // MIs[0] policy
     /* 1814774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814808 */     // GIR_Coverage, 12752,
     /* 1814808 */     GIR_EraseRootFromParent_Done,
     /* 1814809 */   // Label 24586: @1814809
     /* 1814809 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1814895), // Rule ID 12753 //
     /* 1814814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814860 */     // MIs[0] policy
     /* 1814860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814870 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814894 */     // GIR_Coverage, 12753,
     /* 1814894 */     GIR_EraseRootFromParent_Done,
     /* 1814895 */   // Label 24587: @1814895
     /* 1814895 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1814981), // Rule ID 12756 //
     /* 1814900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814946 */     // MIs[0] policy
     /* 1814946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814980 */     // GIR_Coverage, 12756,
     /* 1814980 */     GIR_EraseRootFromParent_Done,
     /* 1814981 */   // Label 24588: @1814981
     /* 1814981 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1815067), // Rule ID 12757 //
     /* 1814986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1815006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815032 */     // MIs[0] policy
     /* 1815032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815066 */     // GIR_Coverage, 12757,
     /* 1815066 */     GIR_EraseRootFromParent_Done,
     /* 1815067 */   // Label 24589: @1815067
     /* 1815067 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815153), // Rule ID 12760 //
     /* 1815072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815118 */     // MIs[0] policy
     /* 1815118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815152 */     // GIR_Coverage, 12760,
     /* 1815152 */     GIR_EraseRootFromParent_Done,
     /* 1815153 */   // Label 24590: @1815153
     /* 1815153 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1815239), // Rule ID 12761 //
     /* 1815158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815204 */     // MIs[0] policy
     /* 1815204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815238 */     // GIR_Coverage, 12761,
     /* 1815238 */     GIR_EraseRootFromParent_Done,
     /* 1815239 */   // Label 24591: @1815239
     /* 1815239 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1815325), // Rule ID 12764 //
     /* 1815244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815290 */     // MIs[0] policy
     /* 1815290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815324 */     // GIR_Coverage, 12764,
     /* 1815324 */     GIR_EraseRootFromParent_Done,
     /* 1815325 */   // Label 24592: @1815325
     /* 1815325 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1815411), // Rule ID 12765 //
     /* 1815330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815376 */     // MIs[0] policy
     /* 1815376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815410 */     // GIR_Coverage, 12765,
     /* 1815410 */     GIR_EraseRootFromParent_Done,
     /* 1815411 */   // Label 24593: @1815411
     /* 1815411 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1815497), // Rule ID 12768 //
     /* 1815416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815462 */     // MIs[0] policy
     /* 1815462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815496 */     // GIR_Coverage, 12768,
     /* 1815496 */     GIR_EraseRootFromParent_Done,
     /* 1815497 */   // Label 24594: @1815497
     /* 1815497 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1815583), // Rule ID 12769 //
     /* 1815502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815548 */     // MIs[0] policy
     /* 1815548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815582 */     // GIR_Coverage, 12769,
     /* 1815582 */     GIR_EraseRootFromParent_Done,
     /* 1815583 */   // Label 24595: @1815583
     /* 1815583 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1815669), // Rule ID 12772 //
     /* 1815588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815634 */     // MIs[0] policy
     /* 1815634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815668 */     // GIR_Coverage, 12772,
     /* 1815668 */     GIR_EraseRootFromParent_Done,
     /* 1815669 */   // Label 24596: @1815669
     /* 1815669 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1815755), // Rule ID 12773 //
     /* 1815674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815720 */     // MIs[0] policy
     /* 1815720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815754 */     // GIR_Coverage, 12773,
     /* 1815754 */     GIR_EraseRootFromParent_Done,
     /* 1815755 */   // Label 24597: @1815755
     /* 1815755 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1815841), // Rule ID 12776 //
     /* 1815760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815806 */     // MIs[0] policy
     /* 1815806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815840 */     // GIR_Coverage, 12776,
     /* 1815840 */     GIR_EraseRootFromParent_Done,
     /* 1815841 */   // Label 24598: @1815841
     /* 1815841 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1815927), // Rule ID 12777 //
     /* 1815846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815892 */     // MIs[0] policy
     /* 1815892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815926 */     // GIR_Coverage, 12777,
     /* 1815926 */     GIR_EraseRootFromParent_Done,
     /* 1815927 */   // Label 24599: @1815927
     /* 1815927 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1816013), // Rule ID 12780 //
     /* 1815932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815978 */     // MIs[0] policy
     /* 1815978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815988 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816012 */     // GIR_Coverage, 12780,
     /* 1816012 */     GIR_EraseRootFromParent_Done,
     /* 1816013 */   // Label 24600: @1816013
     /* 1816013 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816099), // Rule ID 12781 //
     /* 1816018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1816038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816064 */     // MIs[0] policy
     /* 1816064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1816077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816098 */     // GIR_Coverage, 12781,
     /* 1816098 */     GIR_EraseRootFromParent_Done,
     /* 1816099 */   // Label 24601: @1816099
     /* 1816099 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816185), // Rule ID 12784 //
     /* 1816104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1816121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816150 */     // MIs[0] policy
     /* 1816150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816160 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1816163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816184 */     // GIR_Coverage, 12784,
     /* 1816184 */     GIR_EraseRootFromParent_Done,
     /* 1816185 */   // Label 24602: @1816185
     /* 1816185 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1816271), // Rule ID 12785 //
     /* 1816190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1816207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816236 */     // MIs[0] policy
     /* 1816236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1816249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816270 */     // GIR_Coverage, 12785,
     /* 1816270 */     GIR_EraseRootFromParent_Done,
     /* 1816271 */   // Label 24603: @1816271
     /* 1816271 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1816357), // Rule ID 12788 //
     /* 1816276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816322 */     // MIs[0] policy
     /* 1816322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816356 */     // GIR_Coverage, 12788,
     /* 1816356 */     GIR_EraseRootFromParent_Done,
     /* 1816357 */   // Label 24604: @1816357
     /* 1816357 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1816443), // Rule ID 12789 //
     /* 1816362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816408 */     // MIs[0] policy
     /* 1816408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816418 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816442 */     // GIR_Coverage, 12789,
     /* 1816442 */     GIR_EraseRootFromParent_Done,
     /* 1816443 */   // Label 24605: @1816443
     /* 1816443 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1816529), // Rule ID 12792 //
     /* 1816448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816494 */     // MIs[0] policy
     /* 1816494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816528 */     // GIR_Coverage, 12792,
     /* 1816528 */     GIR_EraseRootFromParent_Done,
     /* 1816529 */   // Label 24606: @1816529
     /* 1816529 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1816615), // Rule ID 12793 //
     /* 1816534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816580 */     // MIs[0] policy
     /* 1816580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816590 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816614 */     // GIR_Coverage, 12793,
     /* 1816614 */     GIR_EraseRootFromParent_Done,
     /* 1816615 */   // Label 24607: @1816615
     /* 1816615 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1816701), // Rule ID 12796 //
     /* 1816620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816666 */     // MIs[0] policy
     /* 1816666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816700 */     // GIR_Coverage, 12796,
     /* 1816700 */     GIR_EraseRootFromParent_Done,
     /* 1816701 */   // Label 24608: @1816701
     /* 1816701 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1816787), // Rule ID 12797 //
     /* 1816706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816752 */     // MIs[0] policy
     /* 1816752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816786 */     // GIR_Coverage, 12797,
     /* 1816786 */     GIR_EraseRootFromParent_Done,
     /* 1816787 */   // Label 24609: @1816787
     /* 1816787 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1816873), // Rule ID 12800 //
     /* 1816792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816838 */     // MIs[0] policy
     /* 1816838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816872 */     // GIR_Coverage, 12800,
     /* 1816872 */     GIR_EraseRootFromParent_Done,
     /* 1816873 */   // Label 24610: @1816873
     /* 1816873 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1816959), // Rule ID 12801 //
     /* 1816878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816924 */     // MIs[0] policy
     /* 1816924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816958 */     // GIR_Coverage, 12801,
     /* 1816958 */     GIR_EraseRootFromParent_Done,
     /* 1816959 */   // Label 24611: @1816959
     /* 1816959 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1817045), // Rule ID 12804 //
     /* 1816964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817010 */     // MIs[0] policy
     /* 1817010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1817023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817044 */     // GIR_Coverage, 12804,
     /* 1817044 */     GIR_EraseRootFromParent_Done,
     /* 1817045 */   // Label 24612: @1817045
     /* 1817045 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817131), // Rule ID 12805 //
     /* 1817050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1817061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1817064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1817067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1817070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817096 */     // MIs[0] policy
     /* 1817096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1817109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817130 */     // GIR_Coverage, 12805,
     /* 1817130 */     GIR_EraseRootFromParent_Done,
     /* 1817131 */   // Label 24613: @1817131
     /* 1817131 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1817217), // Rule ID 12808 //
     /* 1817136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817182 */     // MIs[0] policy
     /* 1817182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817216 */     // GIR_Coverage, 12808,
     /* 1817216 */     GIR_EraseRootFromParent_Done,
     /* 1817217 */   // Label 24614: @1817217
     /* 1817217 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1817303), // Rule ID 12809 //
     /* 1817222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817268 */     // MIs[0] policy
     /* 1817268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817302 */     // GIR_Coverage, 12809,
     /* 1817302 */     GIR_EraseRootFromParent_Done,
     /* 1817303 */   // Label 24615: @1817303
     /* 1817303 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1817389), // Rule ID 12812 //
     /* 1817308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817354 */     // MIs[0] policy
     /* 1817354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817388 */     // GIR_Coverage, 12812,
     /* 1817388 */     GIR_EraseRootFromParent_Done,
     /* 1817389 */   // Label 24616: @1817389
     /* 1817389 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1817475), // Rule ID 12813 //
     /* 1817394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817440 */     // MIs[0] policy
     /* 1817440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817474 */     // GIR_Coverage, 12813,
     /* 1817474 */     GIR_EraseRootFromParent_Done,
     /* 1817475 */   // Label 24617: @1817475
     /* 1817475 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1817561), // Rule ID 12816 //
     /* 1817480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817526 */     // MIs[0] policy
     /* 1817526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817560 */     // GIR_Coverage, 12816,
     /* 1817560 */     GIR_EraseRootFromParent_Done,
     /* 1817561 */   // Label 24618: @1817561
     /* 1817561 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1817647), // Rule ID 12817 //
     /* 1817566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817612 */     // MIs[0] policy
     /* 1817612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817646 */     // GIR_Coverage, 12817,
     /* 1817646 */     GIR_EraseRootFromParent_Done,
     /* 1817647 */   // Label 24619: @1817647
     /* 1817647 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1817733), // Rule ID 12820 //
     /* 1817652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817698 */     // MIs[0] policy
     /* 1817698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817732 */     // GIR_Coverage, 12820,
     /* 1817732 */     GIR_EraseRootFromParent_Done,
     /* 1817733 */   // Label 24620: @1817733
     /* 1817733 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1817819), // Rule ID 12821 //
     /* 1817738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817784 */     // MIs[0] policy
     /* 1817784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817818 */     // GIR_Coverage, 12821,
     /* 1817818 */     GIR_EraseRootFromParent_Done,
     /* 1817819 */   // Label 24621: @1817819
     /* 1817819 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1817905), // Rule ID 12824 //
     /* 1817824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817870 */     // MIs[0] policy
     /* 1817870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817904 */     // GIR_Coverage, 12824,
     /* 1817904 */     GIR_EraseRootFromParent_Done,
     /* 1817905 */   // Label 24622: @1817905
     /* 1817905 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1817991), // Rule ID 12825 //
     /* 1817910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817956 */     // MIs[0] policy
     /* 1817956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817966 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817990 */     // GIR_Coverage, 12825,
     /* 1817990 */     GIR_EraseRootFromParent_Done,
     /* 1817991 */   // Label 24623: @1817991
     /* 1817991 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1818077), // Rule ID 12828 //
     /* 1817996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1818013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818042 */     // MIs[0] policy
     /* 1818042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818076 */     // GIR_Coverage, 12828,
     /* 1818076 */     GIR_EraseRootFromParent_Done,
     /* 1818077 */   // Label 24624: @1818077
     /* 1818077 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818163), // Rule ID 12829 //
     /* 1818082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1818099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818128 */     // MIs[0] policy
     /* 1818128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818162 */     // GIR_Coverage, 12829,
     /* 1818162 */     GIR_EraseRootFromParent_Done,
     /* 1818163 */   // Label 24625: @1818163
     /* 1818163 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1818249), // Rule ID 12832 //
     /* 1818168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1818185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818214 */     // MIs[0] policy
     /* 1818214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818248 */     // GIR_Coverage, 12832,
     /* 1818248 */     GIR_EraseRootFromParent_Done,
     /* 1818249 */   // Label 24626: @1818249
     /* 1818249 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1818335), // Rule ID 12833 //
     /* 1818254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1818271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818300 */     // MIs[0] policy
     /* 1818300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818334 */     // GIR_Coverage, 12833,
     /* 1818334 */     GIR_EraseRootFromParent_Done,
     /* 1818335 */   // Label 24627: @1818335
     /* 1818335 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1818421), // Rule ID 12836 //
     /* 1818340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818386 */     // MIs[0] policy
     /* 1818386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818420 */     // GIR_Coverage, 12836,
     /* 1818420 */     GIR_EraseRootFromParent_Done,
     /* 1818421 */   // Label 24628: @1818421
     /* 1818421 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1818507), // Rule ID 12837 //
     /* 1818426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818472 */     // MIs[0] policy
     /* 1818472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818506 */     // GIR_Coverage, 12837,
     /* 1818506 */     GIR_EraseRootFromParent_Done,
     /* 1818507 */   // Label 24629: @1818507
     /* 1818507 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1818593), // Rule ID 12840 //
     /* 1818512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818558 */     // MIs[0] policy
     /* 1818558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818592 */     // GIR_Coverage, 12840,
     /* 1818592 */     GIR_EraseRootFromParent_Done,
     /* 1818593 */   // Label 24630: @1818593
     /* 1818593 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1818679), // Rule ID 12841 //
     /* 1818598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818644 */     // MIs[0] policy
     /* 1818644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818678 */     // GIR_Coverage, 12841,
     /* 1818678 */     GIR_EraseRootFromParent_Done,
     /* 1818679 */   // Label 24631: @1818679
     /* 1818679 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1818765), // Rule ID 12844 //
     /* 1818684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818730 */     // MIs[0] policy
     /* 1818730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818740 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818764 */     // GIR_Coverage, 12844,
     /* 1818764 */     GIR_EraseRootFromParent_Done,
     /* 1818765 */   // Label 24632: @1818765
     /* 1818765 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1818851), // Rule ID 12845 //
     /* 1818770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818816 */     // MIs[0] policy
     /* 1818816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818850 */     // GIR_Coverage, 12845,
     /* 1818850 */     GIR_EraseRootFromParent_Done,
     /* 1818851 */   // Label 24633: @1818851
     /* 1818851 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1818937), // Rule ID 12848 //
     /* 1818856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818902 */     // MIs[0] policy
     /* 1818902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818936 */     // GIR_Coverage, 12848,
     /* 1818936 */     GIR_EraseRootFromParent_Done,
     /* 1818937 */   // Label 24634: @1818937
     /* 1818937 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1819023), // Rule ID 12849 //
     /* 1818942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818988 */     // MIs[0] policy
     /* 1818988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819022 */     // GIR_Coverage, 12849,
     /* 1819022 */     GIR_EraseRootFromParent_Done,
     /* 1819023 */   // Label 24635: @1819023
     /* 1819023 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819109), // Rule ID 12852 //
     /* 1819028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819074 */     // MIs[0] policy
     /* 1819074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819108 */     // GIR_Coverage, 12852,
     /* 1819108 */     GIR_EraseRootFromParent_Done,
     /* 1819109 */   // Label 24636: @1819109
     /* 1819109 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819195), // Rule ID 12853 //
     /* 1819114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819160 */     // MIs[0] policy
     /* 1819160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819194 */     // GIR_Coverage, 12853,
     /* 1819194 */     GIR_EraseRootFromParent_Done,
     /* 1819195 */   // Label 24637: @1819195
     /* 1819195 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1819281), // Rule ID 12856 //
     /* 1819200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1819217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819246 */     // MIs[0] policy
     /* 1819246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819280 */     // GIR_Coverage, 12856,
     /* 1819280 */     GIR_EraseRootFromParent_Done,
     /* 1819281 */   // Label 24638: @1819281
     /* 1819281 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1819367), // Rule ID 12857 //
     /* 1819286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1819303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819332 */     // MIs[0] policy
     /* 1819332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819366 */     // GIR_Coverage, 12857,
     /* 1819366 */     GIR_EraseRootFromParent_Done,
     /* 1819367 */   // Label 24639: @1819367
     /* 1819367 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1819453), // Rule ID 12860 //
     /* 1819372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819418 */     // MIs[0] policy
     /* 1819418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819452 */     // GIR_Coverage, 12860,
     /* 1819452 */     GIR_EraseRootFromParent_Done,
     /* 1819453 */   // Label 24640: @1819453
     /* 1819453 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1819539), // Rule ID 12861 //
     /* 1819458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819504 */     // MIs[0] policy
     /* 1819504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819538 */     // GIR_Coverage, 12861,
     /* 1819538 */     GIR_EraseRootFromParent_Done,
     /* 1819539 */   // Label 24641: @1819539
     /* 1819539 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1819625), // Rule ID 12864 //
     /* 1819544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819590 */     // MIs[0] policy
     /* 1819590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819624 */     // GIR_Coverage, 12864,
     /* 1819624 */     GIR_EraseRootFromParent_Done,
     /* 1819625 */   // Label 24642: @1819625
     /* 1819625 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1819711), // Rule ID 12865 //
     /* 1819630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819676 */     // MIs[0] policy
     /* 1819676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819710 */     // GIR_Coverage, 12865,
     /* 1819710 */     GIR_EraseRootFromParent_Done,
     /* 1819711 */   // Label 24643: @1819711
     /* 1819711 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1819797), // Rule ID 12868 //
     /* 1819716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819762 */     // MIs[0] policy
     /* 1819762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819772 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819796 */     // GIR_Coverage, 12868,
     /* 1819796 */     GIR_EraseRootFromParent_Done,
     /* 1819797 */   // Label 24644: @1819797
     /* 1819797 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1819883), // Rule ID 12869 //
     /* 1819802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819848 */     // MIs[0] policy
     /* 1819848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819882 */     // GIR_Coverage, 12869,
     /* 1819882 */     GIR_EraseRootFromParent_Done,
     /* 1819883 */   // Label 24645: @1819883
     /* 1819883 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1819969), // Rule ID 12872 //
     /* 1819888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819934 */     // MIs[0] policy
     /* 1819934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819944 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819968 */     // GIR_Coverage, 12872,
     /* 1819968 */     GIR_EraseRootFromParent_Done,
     /* 1819969 */   // Label 24646: @1819969
     /* 1819969 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1820055), // Rule ID 12873 //
     /* 1819974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820020 */     // MIs[0] policy
     /* 1820020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820030 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1820033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820054 */     // GIR_Coverage, 12873,
     /* 1820054 */     GIR_EraseRootFromParent_Done,
     /* 1820055 */   // Label 24647: @1820055
     /* 1820055 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820141), // Rule ID 12876 //
     /* 1820060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820106 */     // MIs[0] policy
     /* 1820106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820116 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820140 */     // GIR_Coverage, 12876,
     /* 1820140 */     GIR_EraseRootFromParent_Done,
     /* 1820141 */   // Label 24648: @1820141
     /* 1820141 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1820227), // Rule ID 12877 //
     /* 1820146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820192 */     // MIs[0] policy
     /* 1820192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820226 */     // GIR_Coverage, 12877,
     /* 1820226 */     GIR_EraseRootFromParent_Done,
     /* 1820227 */   // Label 24649: @1820227
     /* 1820227 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1820313), // Rule ID 12880 //
     /* 1820232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820278 */     // MIs[0] policy
     /* 1820278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820288 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820312 */     // GIR_Coverage, 12880,
     /* 1820312 */     GIR_EraseRootFromParent_Done,
     /* 1820313 */   // Label 24650: @1820313
     /* 1820313 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1820399), // Rule ID 12881 //
     /* 1820318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820364 */     // MIs[0] policy
     /* 1820364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820374 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820398 */     // GIR_Coverage, 12881,
     /* 1820398 */     GIR_EraseRootFromParent_Done,
     /* 1820399 */   // Label 24651: @1820399
     /* 1820399 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1820485), // Rule ID 12884 //
     /* 1820404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820450 */     // MIs[0] policy
     /* 1820450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820460 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820484 */     // GIR_Coverage, 12884,
     /* 1820484 */     GIR_EraseRootFromParent_Done,
     /* 1820485 */   // Label 24652: @1820485
     /* 1820485 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1820571), // Rule ID 12885 //
     /* 1820490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820536 */     // MIs[0] policy
     /* 1820536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820570 */     // GIR_Coverage, 12885,
     /* 1820570 */     GIR_EraseRootFromParent_Done,
     /* 1820571 */   // Label 24653: @1820571
     /* 1820571 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1820657), // Rule ID 12888 //
     /* 1820576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820622 */     // MIs[0] policy
     /* 1820622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820656 */     // GIR_Coverage, 12888,
     /* 1820656 */     GIR_EraseRootFromParent_Done,
     /* 1820657 */   // Label 24654: @1820657
     /* 1820657 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1820743), // Rule ID 12889 //
     /* 1820662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820708 */     // MIs[0] policy
     /* 1820708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820742 */     // GIR_Coverage, 12889,
     /* 1820742 */     GIR_EraseRootFromParent_Done,
     /* 1820743 */   // Label 24655: @1820743
     /* 1820743 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1820829), // Rule ID 12892 //
     /* 1820748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820794 */     // MIs[0] policy
     /* 1820794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820828 */     // GIR_Coverage, 12892,
     /* 1820828 */     GIR_EraseRootFromParent_Done,
     /* 1820829 */   // Label 24656: @1820829
     /* 1820829 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1820915), // Rule ID 12893 //
     /* 1820834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820880 */     // MIs[0] policy
     /* 1820880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820914 */     // GIR_Coverage, 12893,
     /* 1820914 */     GIR_EraseRootFromParent_Done,
     /* 1820915 */   // Label 24657: @1820915
     /* 1820915 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1821001), // Rule ID 12896 //
     /* 1820920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820966 */     // MIs[0] policy
     /* 1820966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821000 */     // GIR_Coverage, 12896,
     /* 1821000 */     GIR_EraseRootFromParent_Done,
     /* 1821001 */   // Label 24658: @1821001
     /* 1821001 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821087), // Rule ID 12897 //
     /* 1821006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1821017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1821020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1821026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821052 */     // MIs[0] policy
     /* 1821052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821086 */     // GIR_Coverage, 12897,
     /* 1821086 */     GIR_EraseRootFromParent_Done,
     /* 1821087 */   // Label 24659: @1821087
     /* 1821087 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821173), // Rule ID 12900 //
     /* 1821092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821138 */     // MIs[0] policy
     /* 1821138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821172 */     // GIR_Coverage, 12900,
     /* 1821172 */     GIR_EraseRootFromParent_Done,
     /* 1821173 */   // Label 24660: @1821173
     /* 1821173 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1821259), // Rule ID 12901 //
     /* 1821178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821224 */     // MIs[0] policy
     /* 1821224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821258 */     // GIR_Coverage, 12901,
     /* 1821258 */     GIR_EraseRootFromParent_Done,
     /* 1821259 */   // Label 24661: @1821259
     /* 1821259 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1821345), // Rule ID 12904 //
     /* 1821264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821310 */     // MIs[0] policy
     /* 1821310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821344 */     // GIR_Coverage, 12904,
     /* 1821344 */     GIR_EraseRootFromParent_Done,
     /* 1821345 */   // Label 24662: @1821345
     /* 1821345 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1821431), // Rule ID 12905 //
     /* 1821350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821396 */     // MIs[0] policy
     /* 1821396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821430 */     // GIR_Coverage, 12905,
     /* 1821430 */     GIR_EraseRootFromParent_Done,
     /* 1821431 */   // Label 24663: @1821431
     /* 1821431 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1821517), // Rule ID 12908 //
     /* 1821436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821482 */     // MIs[0] policy
     /* 1821482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821516 */     // GIR_Coverage, 12908,
     /* 1821516 */     GIR_EraseRootFromParent_Done,
     /* 1821517 */   // Label 24664: @1821517
     /* 1821517 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1821603), // Rule ID 12909 //
     /* 1821522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821568 */     // MIs[0] policy
     /* 1821568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821602 */     // GIR_Coverage, 12909,
     /* 1821602 */     GIR_EraseRootFromParent_Done,
     /* 1821603 */   // Label 24665: @1821603
     /* 1821603 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1821689), // Rule ID 12912 //
     /* 1821608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821654 */     // MIs[0] policy
     /* 1821654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821688 */     // GIR_Coverage, 12912,
     /* 1821688 */     GIR_EraseRootFromParent_Done,
     /* 1821689 */   // Label 24666: @1821689
     /* 1821689 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1821775), // Rule ID 12913 //
     /* 1821694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821740 */     // MIs[0] policy
     /* 1821740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821774 */     // GIR_Coverage, 12913,
     /* 1821774 */     GIR_EraseRootFromParent_Done,
     /* 1821775 */   // Label 24667: @1821775
     /* 1821775 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1821861), // Rule ID 12916 //
     /* 1821780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821826 */     // MIs[0] policy
     /* 1821826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821860 */     // GIR_Coverage, 12916,
     /* 1821860 */     GIR_EraseRootFromParent_Done,
     /* 1821861 */   // Label 24668: @1821861
     /* 1821861 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1821947), // Rule ID 12917 //
     /* 1821866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821912 */     // MIs[0] policy
     /* 1821912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821946 */     // GIR_Coverage, 12917,
     /* 1821946 */     GIR_EraseRootFromParent_Done,
     /* 1821947 */   // Label 24669: @1821947
     /* 1821947 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1822033), // Rule ID 12920 //
     /* 1821952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821998 */     // MIs[0] policy
     /* 1821998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822032 */     // GIR_Coverage, 12920,
     /* 1822032 */     GIR_EraseRootFromParent_Done,
     /* 1822033 */   // Label 24670: @1822033
     /* 1822033 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822119), // Rule ID 12921 //
     /* 1822038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1822049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1822052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1822058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1822061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822084 */     // MIs[0] policy
     /* 1822084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822094 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822118 */     // GIR_Coverage, 12921,
     /* 1822118 */     GIR_EraseRootFromParent_Done,
     /* 1822119 */   // Label 24671: @1822119
     /* 1822119 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822205), // Rule ID 12924 //
     /* 1822124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822170 */     // MIs[0] policy
     /* 1822170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822204 */     // GIR_Coverage, 12924,
     /* 1822204 */     GIR_EraseRootFromParent_Done,
     /* 1822205 */   // Label 24672: @1822205
     /* 1822205 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1822291), // Rule ID 12925 //
     /* 1822210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822256 */     // MIs[0] policy
     /* 1822256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822290 */     // GIR_Coverage, 12925,
     /* 1822290 */     GIR_EraseRootFromParent_Done,
     /* 1822291 */   // Label 24673: @1822291
     /* 1822291 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1822377), // Rule ID 12928 //
     /* 1822296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822342 */     // MIs[0] policy
     /* 1822342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822376 */     // GIR_Coverage, 12928,
     /* 1822376 */     GIR_EraseRootFromParent_Done,
     /* 1822377 */   // Label 24674: @1822377
     /* 1822377 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1822463), // Rule ID 12929 //
     /* 1822382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822428 */     // MIs[0] policy
     /* 1822428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822438 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822462 */     // GIR_Coverage, 12929,
     /* 1822462 */     GIR_EraseRootFromParent_Done,
     /* 1822463 */   // Label 24675: @1822463
     /* 1822463 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1822549), // Rule ID 12932 //
     /* 1822468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822514 */     // MIs[0] policy
     /* 1822514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822548 */     // GIR_Coverage, 12932,
     /* 1822548 */     GIR_EraseRootFromParent_Done,
     /* 1822549 */   // Label 24676: @1822549
     /* 1822549 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1822635), // Rule ID 12933 //
     /* 1822554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822600 */     // MIs[0] policy
     /* 1822600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822634 */     // GIR_Coverage, 12933,
     /* 1822634 */     GIR_EraseRootFromParent_Done,
     /* 1822635 */   // Label 24677: @1822635
     /* 1822635 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1822721), // Rule ID 12936 //
     /* 1822640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822686 */     // MIs[0] policy
     /* 1822686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822720 */     // GIR_Coverage, 12936,
     /* 1822720 */     GIR_EraseRootFromParent_Done,
     /* 1822721 */   // Label 24678: @1822721
     /* 1822721 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1822807), // Rule ID 12937 //
     /* 1822726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822772 */     // MIs[0] policy
     /* 1822772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822806 */     // GIR_Coverage, 12937,
     /* 1822806 */     GIR_EraseRootFromParent_Done,
     /* 1822807 */   // Label 24679: @1822807
     /* 1822807 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1822893), // Rule ID 12940 //
     /* 1822812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822858 */     // MIs[0] policy
     /* 1822858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822892 */     // GIR_Coverage, 12940,
     /* 1822892 */     GIR_EraseRootFromParent_Done,
     /* 1822893 */   // Label 24680: @1822893
     /* 1822893 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1822979), // Rule ID 12941 //
     /* 1822898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822944 */     // MIs[0] policy
     /* 1822944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822978 */     // GIR_Coverage, 12941,
     /* 1822978 */     GIR_EraseRootFromParent_Done,
     /* 1822979 */   // Label 24681: @1822979
     /* 1822979 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1823065), // Rule ID 12944 //
     /* 1822984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823030 */     // MIs[0] policy
     /* 1823030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823064 */     // GIR_Coverage, 12944,
     /* 1823064 */     GIR_EraseRootFromParent_Done,
     /* 1823065 */   // Label 24682: @1823065
     /* 1823065 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823151), // Rule ID 12945 //
     /* 1823070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1823081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1823084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823116 */     // MIs[0] policy
     /* 1823116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823150 */     // GIR_Coverage, 12945,
     /* 1823150 */     GIR_EraseRootFromParent_Done,
     /* 1823151 */   // Label 24683: @1823151
     /* 1823151 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1823237), // Rule ID 12948 //
     /* 1823156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823202 */     // MIs[0] policy
     /* 1823202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823212 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1823215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823236 */     // GIR_Coverage, 12948,
     /* 1823236 */     GIR_EraseRootFromParent_Done,
     /* 1823237 */   // Label 24684: @1823237
     /* 1823237 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1823323), // Rule ID 12949 //
     /* 1823242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823288 */     // MIs[0] policy
     /* 1823288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1823301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823322 */     // GIR_Coverage, 12949,
     /* 1823322 */     GIR_EraseRootFromParent_Done,
     /* 1823323 */   // Label 24685: @1823323
     /* 1823323 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1823409), // Rule ID 12952 //
     /* 1823328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823374 */     // MIs[0] policy
     /* 1823374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823408 */     // GIR_Coverage, 12952,
     /* 1823408 */     GIR_EraseRootFromParent_Done,
     /* 1823409 */   // Label 24686: @1823409
     /* 1823409 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1823495), // Rule ID 12953 //
     /* 1823414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823460 */     // MIs[0] policy
     /* 1823460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823470 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823494 */     // GIR_Coverage, 12953,
     /* 1823494 */     GIR_EraseRootFromParent_Done,
     /* 1823495 */   // Label 24687: @1823495
     /* 1823495 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1823581), // Rule ID 12956 //
     /* 1823500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823546 */     // MIs[0] policy
     /* 1823546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823580 */     // GIR_Coverage, 12956,
     /* 1823580 */     GIR_EraseRootFromParent_Done,
     /* 1823581 */   // Label 24688: @1823581
     /* 1823581 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1823667), // Rule ID 12957 //
     /* 1823586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823632 */     // MIs[0] policy
     /* 1823632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823666 */     // GIR_Coverage, 12957,
     /* 1823666 */     GIR_EraseRootFromParent_Done,
     /* 1823667 */   // Label 24689: @1823667
     /* 1823667 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1823753), // Rule ID 12960 //
     /* 1823672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823718 */     // MIs[0] policy
     /* 1823718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823752 */     // GIR_Coverage, 12960,
     /* 1823752 */     GIR_EraseRootFromParent_Done,
     /* 1823753 */   // Label 24690: @1823753
     /* 1823753 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1823839), // Rule ID 12961 //
     /* 1823758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823804 */     // MIs[0] policy
     /* 1823804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823814 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823838 */     // GIR_Coverage, 12961,
     /* 1823838 */     GIR_EraseRootFromParent_Done,
     /* 1823839 */   // Label 24691: @1823839
     /* 1823839 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1823925), // Rule ID 12964 //
     /* 1823844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823890 */     // MIs[0] policy
     /* 1823890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823924 */     // GIR_Coverage, 12964,
     /* 1823924 */     GIR_EraseRootFromParent_Done,
     /* 1823925 */   // Label 24692: @1823925
     /* 1823925 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1824011), // Rule ID 12965 //
     /* 1823930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823976 */     // MIs[0] policy
     /* 1823976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824010 */     // GIR_Coverage, 12965,
     /* 1824010 */     GIR_EraseRootFromParent_Done,
     /* 1824011 */   // Label 24693: @1824011
     /* 1824011 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824097), // Rule ID 12968 //
     /* 1824016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1824033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824062 */     // MIs[0] policy
     /* 1824062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824096 */     // GIR_Coverage, 12968,
     /* 1824096 */     GIR_EraseRootFromParent_Done,
     /* 1824097 */   // Label 24694: @1824097
     /* 1824097 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824183), // Rule ID 12969 //
     /* 1824102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1824119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824148 */     // MIs[0] policy
     /* 1824148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824158 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824182 */     // GIR_Coverage, 12969,
     /* 1824182 */     GIR_EraseRootFromParent_Done,
     /* 1824183 */   // Label 24695: @1824183
     /* 1824183 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1824269), // Rule ID 12972 //
     /* 1824188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1824205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824234 */     // MIs[0] policy
     /* 1824234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1824247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824268 */     // GIR_Coverage, 12972,
     /* 1824268 */     GIR_EraseRootFromParent_Done,
     /* 1824269 */   // Label 24696: @1824269
     /* 1824269 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1824355), // Rule ID 12973 //
     /* 1824274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1824291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824320 */     // MIs[0] policy
     /* 1824320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1824333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824354 */     // GIR_Coverage, 12973,
     /* 1824354 */     GIR_EraseRootFromParent_Done,
     /* 1824355 */   // Label 24697: @1824355
     /* 1824355 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1824441), // Rule ID 12976 //
     /* 1824360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824406 */     // MIs[0] policy
     /* 1824406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824440 */     // GIR_Coverage, 12976,
     /* 1824440 */     GIR_EraseRootFromParent_Done,
     /* 1824441 */   // Label 24698: @1824441
     /* 1824441 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1824527), // Rule ID 12977 //
     /* 1824446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824492 */     // MIs[0] policy
     /* 1824492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824526 */     // GIR_Coverage, 12977,
     /* 1824526 */     GIR_EraseRootFromParent_Done,
     /* 1824527 */   // Label 24699: @1824527
     /* 1824527 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1824613), // Rule ID 12980 //
     /* 1824532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824578 */     // MIs[0] policy
     /* 1824578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824612 */     // GIR_Coverage, 12980,
     /* 1824612 */     GIR_EraseRootFromParent_Done,
     /* 1824613 */   // Label 24700: @1824613
     /* 1824613 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1824699), // Rule ID 12981 //
     /* 1824618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824664 */     // MIs[0] policy
     /* 1824664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824698 */     // GIR_Coverage, 12981,
     /* 1824698 */     GIR_EraseRootFromParent_Done,
     /* 1824699 */   // Label 24701: @1824699
     /* 1824699 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1824785), // Rule ID 12984 //
     /* 1824704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824750 */     // MIs[0] policy
     /* 1824750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824784 */     // GIR_Coverage, 12984,
     /* 1824784 */     GIR_EraseRootFromParent_Done,
     /* 1824785 */   // Label 24702: @1824785
     /* 1824785 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1824871), // Rule ID 12985 //
     /* 1824790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824836 */     // MIs[0] policy
     /* 1824836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824846 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824870 */     // GIR_Coverage, 12985,
     /* 1824870 */     GIR_EraseRootFromParent_Done,
     /* 1824871 */   // Label 24703: @1824871
     /* 1824871 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1824957), // Rule ID 12988 //
     /* 1824876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824922 */     // MIs[0] policy
     /* 1824922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824956 */     // GIR_Coverage, 12988,
     /* 1824956 */     GIR_EraseRootFromParent_Done,
     /* 1824957 */   // Label 24704: @1824957
     /* 1824957 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1825043), // Rule ID 12989 //
     /* 1824962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825008 */     // MIs[0] policy
     /* 1825008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825042 */     // GIR_Coverage, 12989,
     /* 1825042 */     GIR_EraseRootFromParent_Done,
     /* 1825043 */   // Label 24705: @1825043
     /* 1825043 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825129), // Rule ID 12992 //
     /* 1825048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1825065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825094 */     // MIs[0] policy
     /* 1825094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825128 */     // GIR_Coverage, 12992,
     /* 1825128 */     GIR_EraseRootFromParent_Done,
     /* 1825129 */   // Label 24706: @1825129
     /* 1825129 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1825215), // Rule ID 12993 //
     /* 1825134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1825151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825180 */     // MIs[0] policy
     /* 1825180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825214 */     // GIR_Coverage, 12993,
     /* 1825214 */     GIR_EraseRootFromParent_Done,
     /* 1825215 */   // Label 24707: @1825215
     /* 1825215 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1825301), // Rule ID 12996 //
     /* 1825220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825266 */     // MIs[0] policy
     /* 1825266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825300 */     // GIR_Coverage, 12996,
     /* 1825300 */     GIR_EraseRootFromParent_Done,
     /* 1825301 */   // Label 24708: @1825301
     /* 1825301 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1825387), // Rule ID 12997 //
     /* 1825306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825352 */     // MIs[0] policy
     /* 1825352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1825365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825386 */     // GIR_Coverage, 12997,
     /* 1825386 */     GIR_EraseRootFromParent_Done,
     /* 1825387 */   // Label 24709: @1825387
     /* 1825387 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1825473), // Rule ID 13000 //
     /* 1825392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825438 */     // MIs[0] policy
     /* 1825438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825448 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825472 */     // GIR_Coverage, 13000,
     /* 1825472 */     GIR_EraseRootFromParent_Done,
     /* 1825473 */   // Label 24710: @1825473
     /* 1825473 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1825559), // Rule ID 13001 //
     /* 1825478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825524 */     // MIs[0] policy
     /* 1825524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825558 */     // GIR_Coverage, 13001,
     /* 1825558 */     GIR_EraseRootFromParent_Done,
     /* 1825559 */   // Label 24711: @1825559
     /* 1825559 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1825645), // Rule ID 13004 //
     /* 1825564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825610 */     // MIs[0] policy
     /* 1825610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825620 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825644 */     // GIR_Coverage, 13004,
     /* 1825644 */     GIR_EraseRootFromParent_Done,
     /* 1825645 */   // Label 24712: @1825645
     /* 1825645 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1825731), // Rule ID 13005 //
     /* 1825650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825696 */     // MIs[0] policy
     /* 1825696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825706 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825730 */     // GIR_Coverage, 13005,
     /* 1825730 */     GIR_EraseRootFromParent_Done,
     /* 1825731 */   // Label 24713: @1825731
     /* 1825731 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1825817), // Rule ID 13008 //
     /* 1825736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825782 */     // MIs[0] policy
     /* 1825782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825816 */     // GIR_Coverage, 13008,
     /* 1825816 */     GIR_EraseRootFromParent_Done,
     /* 1825817 */   // Label 24714: @1825817
     /* 1825817 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1825903), // Rule ID 13009 //
     /* 1825822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825868 */     // MIs[0] policy
     /* 1825868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825902 */     // GIR_Coverage, 13009,
     /* 1825902 */     GIR_EraseRootFromParent_Done,
     /* 1825903 */   // Label 24715: @1825903
     /* 1825903 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1825989), // Rule ID 13012 //
     /* 1825908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825954 */     // MIs[0] policy
     /* 1825954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825988 */     // GIR_Coverage, 13012,
     /* 1825988 */     GIR_EraseRootFromParent_Done,
     /* 1825989 */   // Label 24716: @1825989
     /* 1825989 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1826075), // Rule ID 13013 //
     /* 1825994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1826005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1826008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1826011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1826014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826040 */     // MIs[0] policy
     /* 1826040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826074 */     // GIR_Coverage, 13013,
     /* 1826074 */     GIR_EraseRootFromParent_Done,
     /* 1826075 */   // Label 24717: @1826075
     /* 1826075 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826161), // Rule ID 13016 //
     /* 1826080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1826097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826126 */     // MIs[0] policy
     /* 1826126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826160 */     // GIR_Coverage, 13016,
     /* 1826160 */     GIR_EraseRootFromParent_Done,
     /* 1826161 */   // Label 24718: @1826161
     /* 1826161 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1826247), // Rule ID 13017 //
     /* 1826166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1826183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826212 */     // MIs[0] policy
     /* 1826212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826246 */     // GIR_Coverage, 13017,
     /* 1826246 */     GIR_EraseRootFromParent_Done,
     /* 1826247 */   // Label 24719: @1826247
     /* 1826247 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1826333), // Rule ID 13020 //
     /* 1826252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826298 */     // MIs[0] policy
     /* 1826298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826332 */     // GIR_Coverage, 13020,
     /* 1826332 */     GIR_EraseRootFromParent_Done,
     /* 1826333 */   // Label 24720: @1826333
     /* 1826333 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1826419), // Rule ID 13021 //
     /* 1826338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826384 */     // MIs[0] policy
     /* 1826384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826418 */     // GIR_Coverage, 13021,
     /* 1826418 */     GIR_EraseRootFromParent_Done,
     /* 1826419 */   // Label 24721: @1826419
     /* 1826419 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1826505), // Rule ID 13024 //
     /* 1826424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826470 */     // MIs[0] policy
     /* 1826470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826504 */     // GIR_Coverage, 13024,
     /* 1826504 */     GIR_EraseRootFromParent_Done,
     /* 1826505 */   // Label 24722: @1826505
     /* 1826505 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1826591), // Rule ID 13025 //
     /* 1826510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826556 */     // MIs[0] policy
     /* 1826556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826590 */     // GIR_Coverage, 13025,
     /* 1826590 */     GIR_EraseRootFromParent_Done,
     /* 1826591 */   // Label 24723: @1826591
     /* 1826591 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1826677), // Rule ID 13028 //
     /* 1826596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826642 */     // MIs[0] policy
     /* 1826642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826676 */     // GIR_Coverage, 13028,
     /* 1826676 */     GIR_EraseRootFromParent_Done,
     /* 1826677 */   // Label 24724: @1826677
     /* 1826677 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1826763), // Rule ID 13029 //
     /* 1826682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826728 */     // MIs[0] policy
     /* 1826728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826738 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826762 */     // GIR_Coverage, 13029,
     /* 1826762 */     GIR_EraseRootFromParent_Done,
     /* 1826763 */   // Label 24725: @1826763
     /* 1826763 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1826849), // Rule ID 13032 //
     /* 1826768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826814 */     // MIs[0] policy
     /* 1826814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826848 */     // GIR_Coverage, 13032,
     /* 1826848 */     GIR_EraseRootFromParent_Done,
     /* 1826849 */   // Label 24726: @1826849
     /* 1826849 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1826935), // Rule ID 13033 //
     /* 1826854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826900 */     // MIs[0] policy
     /* 1826900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826934 */     // GIR_Coverage, 13033,
     /* 1826934 */     GIR_EraseRootFromParent_Done,
     /* 1826935 */   // Label 24727: @1826935
     /* 1826935 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1827021), // Rule ID 13036 //
     /* 1826940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826986 */     // MIs[0] policy
     /* 1826986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827020 */     // GIR_Coverage, 13036,
     /* 1827020 */     GIR_EraseRootFromParent_Done,
     /* 1827021 */   // Label 24728: @1827021
     /* 1827021 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827107), // Rule ID 13037 //
     /* 1827026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1827037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1827040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1827043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1827046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827072 */     // MIs[0] policy
     /* 1827072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1827085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827106 */     // GIR_Coverage, 13037,
     /* 1827106 */     GIR_EraseRootFromParent_Done,
     /* 1827107 */   // Label 24729: @1827107
     /* 1827107 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827193), // Rule ID 13040 //
     /* 1827112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1827129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827158 */     // MIs[0] policy
     /* 1827158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1827171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827192 */     // GIR_Coverage, 13040,
     /* 1827192 */     GIR_EraseRootFromParent_Done,
     /* 1827193 */   // Label 24730: @1827193
     /* 1827193 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1827279), // Rule ID 13041 //
     /* 1827198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1827215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827244 */     // MIs[0] policy
     /* 1827244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827254 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1827257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827278 */     // GIR_Coverage, 13041,
     /* 1827278 */     GIR_EraseRootFromParent_Done,
     /* 1827279 */   // Label 24731: @1827279
     /* 1827279 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1827365), // Rule ID 13044 //
     /* 1827284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827330 */     // MIs[0] policy
     /* 1827330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1827343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827364 */     // GIR_Coverage, 13044,
     /* 1827364 */     GIR_EraseRootFromParent_Done,
     /* 1827365 */   // Label 24732: @1827365
     /* 1827365 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1827451), // Rule ID 13045 //
     /* 1827370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827416 */     // MIs[0] policy
     /* 1827416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1827429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827450 */     // GIR_Coverage, 13045,
     /* 1827450 */     GIR_EraseRootFromParent_Done,
     /* 1827451 */   // Label 24733: @1827451
     /* 1827451 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1827537), // Rule ID 13048 //
     /* 1827456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827502 */     // MIs[0] policy
     /* 1827502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827536 */     // GIR_Coverage, 13048,
     /* 1827536 */     GIR_EraseRootFromParent_Done,
     /* 1827537 */   // Label 24734: @1827537
     /* 1827537 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1827623), // Rule ID 13049 //
     /* 1827542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827588 */     // MIs[0] policy
     /* 1827588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827598 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827622 */     // GIR_Coverage, 13049,
     /* 1827622 */     GIR_EraseRootFromParent_Done,
     /* 1827623 */   // Label 24735: @1827623
     /* 1827623 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1827709), // Rule ID 13052 //
     /* 1827628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827674 */     // MIs[0] policy
     /* 1827674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827684 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827708 */     // GIR_Coverage, 13052,
     /* 1827708 */     GIR_EraseRootFromParent_Done,
     /* 1827709 */   // Label 24736: @1827709
     /* 1827709 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1827795), // Rule ID 13053 //
     /* 1827714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827760 */     // MIs[0] policy
     /* 1827760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827794 */     // GIR_Coverage, 13053,
     /* 1827794 */     GIR_EraseRootFromParent_Done,
     /* 1827795 */   // Label 24737: @1827795
     /* 1827795 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1827881), // Rule ID 13056 //
     /* 1827800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827846 */     // MIs[0] policy
     /* 1827846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827880 */     // GIR_Coverage, 13056,
     /* 1827880 */     GIR_EraseRootFromParent_Done,
     /* 1827881 */   // Label 24738: @1827881
     /* 1827881 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1827967), // Rule ID 13057 //
     /* 1827886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827932 */     // MIs[0] policy
     /* 1827932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827942 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827966 */     // GIR_Coverage, 13057,
     /* 1827966 */     GIR_EraseRootFromParent_Done,
     /* 1827967 */   // Label 24739: @1827967
     /* 1827967 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1828053), // Rule ID 13060 //
     /* 1827972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828018 */     // MIs[0] policy
     /* 1828018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1828031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828052 */     // GIR_Coverage, 13060,
     /* 1828052 */     GIR_EraseRootFromParent_Done,
     /* 1828053 */   // Label 24740: @1828053
     /* 1828053 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828139), // Rule ID 13061 //
     /* 1828058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1828069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1828072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828104 */     // MIs[0] policy
     /* 1828104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1828117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828138 */     // GIR_Coverage, 13061,
     /* 1828138 */     GIR_EraseRootFromParent_Done,
     /* 1828139 */   // Label 24741: @1828139
     /* 1828139 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1828225), // Rule ID 13064 //
     /* 1828144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828190 */     // MIs[0] policy
     /* 1828190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828224 */     // GIR_Coverage, 13064,
     /* 1828224 */     GIR_EraseRootFromParent_Done,
     /* 1828225 */   // Label 24742: @1828225
     /* 1828225 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1828311), // Rule ID 13065 //
     /* 1828230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828276 */     // MIs[0] policy
     /* 1828276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828310 */     // GIR_Coverage, 13065,
     /* 1828310 */     GIR_EraseRootFromParent_Done,
     /* 1828311 */   // Label 24743: @1828311
     /* 1828311 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1828397), // Rule ID 13068 //
     /* 1828316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828362 */     // MIs[0] policy
     /* 1828362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828396 */     // GIR_Coverage, 13068,
     /* 1828396 */     GIR_EraseRootFromParent_Done,
     /* 1828397 */   // Label 24744: @1828397
     /* 1828397 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1828483), // Rule ID 13069 //
     /* 1828402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828448 */     // MIs[0] policy
     /* 1828448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828482 */     // GIR_Coverage, 13069,
     /* 1828482 */     GIR_EraseRootFromParent_Done,
     /* 1828483 */   // Label 24745: @1828483
     /* 1828483 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1828569), // Rule ID 13072 //
     /* 1828488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828534 */     // MIs[0] policy
     /* 1828534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828568 */     // GIR_Coverage, 13072,
     /* 1828568 */     GIR_EraseRootFromParent_Done,
     /* 1828569 */   // Label 24746: @1828569
     /* 1828569 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1828655), // Rule ID 13073 //
     /* 1828574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828620 */     // MIs[0] policy
     /* 1828620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828654 */     // GIR_Coverage, 13073,
     /* 1828654 */     GIR_EraseRootFromParent_Done,
     /* 1828655 */   // Label 24747: @1828655
     /* 1828655 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1828741), // Rule ID 13076 //
     /* 1828660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828706 */     // MIs[0] policy
     /* 1828706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828740 */     // GIR_Coverage, 13076,
     /* 1828740 */     GIR_EraseRootFromParent_Done,
     /* 1828741 */   // Label 24748: @1828741
     /* 1828741 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1828827), // Rule ID 13077 //
     /* 1828746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828792 */     // MIs[0] policy
     /* 1828792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828826 */     // GIR_Coverage, 13077,
     /* 1828826 */     GIR_EraseRootFromParent_Done,
     /* 1828827 */   // Label 24749: @1828827
     /* 1828827 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1828913), // Rule ID 13080 //
     /* 1828832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828878 */     // MIs[0] policy
     /* 1828878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828912 */     // GIR_Coverage, 13080,
     /* 1828912 */     GIR_EraseRootFromParent_Done,
     /* 1828913 */   // Label 24750: @1828913
     /* 1828913 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1828999), // Rule ID 13081 //
     /* 1828918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828964 */     // MIs[0] policy
     /* 1828964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828998 */     // GIR_Coverage, 13081,
     /* 1828998 */     GIR_EraseRootFromParent_Done,
     /* 1828999 */   // Label 24751: @1828999
     /* 1828999 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1829085), // Rule ID 13084 //
     /* 1829004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829050 */     // MIs[0] policy
     /* 1829050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1829063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829084 */     // GIR_Coverage, 13084,
     /* 1829084 */     GIR_EraseRootFromParent_Done,
     /* 1829085 */   // Label 24752: @1829085
     /* 1829085 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829171), // Rule ID 13085 //
     /* 1829090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829136 */     // MIs[0] policy
     /* 1829136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1829149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829170 */     // GIR_Coverage, 13085,
     /* 1829170 */     GIR_EraseRootFromParent_Done,
     /* 1829171 */   // Label 24753: @1829171
     /* 1829171 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1829257), // Rule ID 13088 //
     /* 1829176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829222 */     // MIs[0] policy
     /* 1829222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829256 */     // GIR_Coverage, 13088,
     /* 1829256 */     GIR_EraseRootFromParent_Done,
     /* 1829257 */   // Label 24754: @1829257
     /* 1829257 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1829343), // Rule ID 13089 //
     /* 1829262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829308 */     // MIs[0] policy
     /* 1829308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829318 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829342 */     // GIR_Coverage, 13089,
     /* 1829342 */     GIR_EraseRootFromParent_Done,
     /* 1829343 */   // Label 24755: @1829343
     /* 1829343 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1829429), // Rule ID 13092 //
     /* 1829348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829394 */     // MIs[0] policy
     /* 1829394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829404 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829428 */     // GIR_Coverage, 13092,
     /* 1829428 */     GIR_EraseRootFromParent_Done,
     /* 1829429 */   // Label 24756: @1829429
     /* 1829429 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1829515), // Rule ID 13093 //
     /* 1829434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829480 */     // MIs[0] policy
     /* 1829480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829514 */     // GIR_Coverage, 13093,
     /* 1829514 */     GIR_EraseRootFromParent_Done,
     /* 1829515 */   // Label 24757: @1829515
     /* 1829515 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1829601), // Rule ID 13096 //
     /* 1829520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829566 */     // MIs[0] policy
     /* 1829566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829576 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829600 */     // GIR_Coverage, 13096,
     /* 1829600 */     GIR_EraseRootFromParent_Done,
     /* 1829601 */   // Label 24758: @1829601
     /* 1829601 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1829687), // Rule ID 13097 //
     /* 1829606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829652 */     // MIs[0] policy
     /* 1829652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829662 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829686 */     // GIR_Coverage, 13097,
     /* 1829686 */     GIR_EraseRootFromParent_Done,
     /* 1829687 */   // Label 24759: @1829687
     /* 1829687 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1829773), // Rule ID 13100 //
     /* 1829692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829738 */     // MIs[0] policy
     /* 1829738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829772 */     // GIR_Coverage, 13100,
     /* 1829772 */     GIR_EraseRootFromParent_Done,
     /* 1829773 */   // Label 24760: @1829773
     /* 1829773 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1829859), // Rule ID 13101 //
     /* 1829778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829824 */     // MIs[0] policy
     /* 1829824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829858 */     // GIR_Coverage, 13101,
     /* 1829858 */     GIR_EraseRootFromParent_Done,
     /* 1829859 */   // Label 24761: @1829859
     /* 1829859 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1829945), // Rule ID 13104 //
     /* 1829864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829910 */     // MIs[0] policy
     /* 1829910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829944 */     // GIR_Coverage, 13104,
     /* 1829944 */     GIR_EraseRootFromParent_Done,
     /* 1829945 */   // Label 24762: @1829945
     /* 1829945 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1830031), // Rule ID 13105 //
     /* 1829950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829996 */     // MIs[0] policy
     /* 1829996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830006 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830030 */     // GIR_Coverage, 13105,
     /* 1830030 */     GIR_EraseRootFromParent_Done,
     /* 1830031 */   // Label 24763: @1830031
     /* 1830031 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830117), // Rule ID 13108 //
     /* 1830036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830082 */     // MIs[0] policy
     /* 1830082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830116 */     // GIR_Coverage, 13108,
     /* 1830116 */     GIR_EraseRootFromParent_Done,
     /* 1830117 */   // Label 24764: @1830117
     /* 1830117 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830203), // Rule ID 13109 //
     /* 1830122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830168 */     // MIs[0] policy
     /* 1830168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830202 */     // GIR_Coverage, 13109,
     /* 1830202 */     GIR_EraseRootFromParent_Done,
     /* 1830203 */   // Label 24765: @1830203
     /* 1830203 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1830289), // Rule ID 13112 //
     /* 1830208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830254 */     // MIs[0] policy
     /* 1830254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830288 */     // GIR_Coverage, 13112,
     /* 1830288 */     GIR_EraseRootFromParent_Done,
     /* 1830289 */   // Label 24766: @1830289
     /* 1830289 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1830375), // Rule ID 13113 //
     /* 1830294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830340 */     // MIs[0] policy
     /* 1830340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830374 */     // GIR_Coverage, 13113,
     /* 1830374 */     GIR_EraseRootFromParent_Done,
     /* 1830375 */   // Label 24767: @1830375
     /* 1830375 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1830461), // Rule ID 13116 //
     /* 1830380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830426 */     // MIs[0] policy
     /* 1830426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830460 */     // GIR_Coverage, 13116,
     /* 1830460 */     GIR_EraseRootFromParent_Done,
     /* 1830461 */   // Label 24768: @1830461
     /* 1830461 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1830547), // Rule ID 13117 //
     /* 1830466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830512 */     // MIs[0] policy
     /* 1830512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830546 */     // GIR_Coverage, 13117,
     /* 1830546 */     GIR_EraseRootFromParent_Done,
     /* 1830547 */   // Label 24769: @1830547
     /* 1830547 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1830633), // Rule ID 13120 //
     /* 1830552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830598 */     // MIs[0] policy
     /* 1830598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830632 */     // GIR_Coverage, 13120,
     /* 1830632 */     GIR_EraseRootFromParent_Done,
     /* 1830633 */   // Label 24770: @1830633
     /* 1830633 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1830719), // Rule ID 13121 //
     /* 1830638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830684 */     // MIs[0] policy
     /* 1830684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830718 */     // GIR_Coverage, 13121,
     /* 1830718 */     GIR_EraseRootFromParent_Done,
     /* 1830719 */   // Label 24771: @1830719
     /* 1830719 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1830805), // Rule ID 13124 //
     /* 1830724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830770 */     // MIs[0] policy
     /* 1830770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830804 */     // GIR_Coverage, 13124,
     /* 1830804 */     GIR_EraseRootFromParent_Done,
     /* 1830805 */   // Label 24772: @1830805
     /* 1830805 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1830891), // Rule ID 13125 //
     /* 1830810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830856 */     // MIs[0] policy
     /* 1830856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830890 */     // GIR_Coverage, 13125,
     /* 1830890 */     GIR_EraseRootFromParent_Done,
     /* 1830891 */   // Label 24773: @1830891
     /* 1830891 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1830977), // Rule ID 13128 //
     /* 1830896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830942 */     // MIs[0] policy
     /* 1830942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830976 */     // GIR_Coverage, 13128,
     /* 1830976 */     GIR_EraseRootFromParent_Done,
     /* 1830977 */   // Label 24774: @1830977
     /* 1830977 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1831063), // Rule ID 13129 //
     /* 1830982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1831002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831028 */     // MIs[0] policy
     /* 1831028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1831041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831062 */     // GIR_Coverage, 13129,
     /* 1831062 */     GIR_EraseRootFromParent_Done,
     /* 1831063 */   // Label 24775: @1831063
     /* 1831063 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831149), // Rule ID 13132 //
     /* 1831068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831114 */     // MIs[0] policy
     /* 1831114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1831127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831148 */     // GIR_Coverage, 13132,
     /* 1831148 */     GIR_EraseRootFromParent_Done,
     /* 1831149 */   // Label 24776: @1831149
     /* 1831149 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1831235), // Rule ID 13133 //
     /* 1831154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831200 */     // MIs[0] policy
     /* 1831200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831210 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1831213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831234 */     // GIR_Coverage, 13133,
     /* 1831234 */     GIR_EraseRootFromParent_Done,
     /* 1831235 */   // Label 24777: @1831235
     /* 1831235 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1831321), // Rule ID 13136 //
     /* 1831240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1831257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831286 */     // MIs[0] policy
     /* 1831286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1831299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831320 */     // GIR_Coverage, 13136,
     /* 1831320 */     GIR_EraseRootFromParent_Done,
     /* 1831321 */   // Label 24778: @1831321
     /* 1831321 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1831407), // Rule ID 13137 //
     /* 1831326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1831343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831372 */     // MIs[0] policy
     /* 1831372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831382 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1831385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831406 */     // GIR_Coverage, 13137,
     /* 1831406 */     GIR_EraseRootFromParent_Done,
     /* 1831407 */   // Label 24779: @1831407
     /* 1831407 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1831493), // Rule ID 13140 //
     /* 1831412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831458 */     // MIs[0] policy
     /* 1831458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831492 */     // GIR_Coverage, 13140,
     /* 1831492 */     GIR_EraseRootFromParent_Done,
     /* 1831493 */   // Label 24780: @1831493
     /* 1831493 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1831579), // Rule ID 13141 //
     /* 1831498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831544 */     // MIs[0] policy
     /* 1831544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831554 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831578 */     // GIR_Coverage, 13141,
     /* 1831578 */     GIR_EraseRootFromParent_Done,
     /* 1831579 */   // Label 24781: @1831579
     /* 1831579 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1831665), // Rule ID 13144 //
     /* 1831584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831630 */     // MIs[0] policy
     /* 1831630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831664 */     // GIR_Coverage, 13144,
     /* 1831664 */     GIR_EraseRootFromParent_Done,
     /* 1831665 */   // Label 24782: @1831665
     /* 1831665 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1831751), // Rule ID 13145 //
     /* 1831670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831716 */     // MIs[0] policy
     /* 1831716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831750 */     // GIR_Coverage, 13145,
     /* 1831750 */     GIR_EraseRootFromParent_Done,
     /* 1831751 */   // Label 24783: @1831751
     /* 1831751 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1831837), // Rule ID 13148 //
     /* 1831756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831802 */     // MIs[0] policy
     /* 1831802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831836 */     // GIR_Coverage, 13148,
     /* 1831836 */     GIR_EraseRootFromParent_Done,
     /* 1831837 */   // Label 24784: @1831837
     /* 1831837 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1831923), // Rule ID 13149 //
     /* 1831842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831888 */     // MIs[0] policy
     /* 1831888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831898 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831922 */     // GIR_Coverage, 13149,
     /* 1831922 */     GIR_EraseRootFromParent_Done,
     /* 1831923 */   // Label 24785: @1831923
     /* 1831923 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1832009), // Rule ID 13152 //
     /* 1831928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831974 */     // MIs[0] policy
     /* 1831974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831984 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832008 */     // GIR_Coverage, 13152,
     /* 1832008 */     GIR_EraseRootFromParent_Done,
     /* 1832009 */   // Label 24786: @1832009
     /* 1832009 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832095), // Rule ID 13153 //
     /* 1832014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1832031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1832034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832060 */     // MIs[0] policy
     /* 1832060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832094 */     // GIR_Coverage, 13153,
     /* 1832094 */     GIR_EraseRootFromParent_Done,
     /* 1832095 */   // Label 24787: @1832095
     /* 1832095 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832181), // Rule ID 13156 //
     /* 1832100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832146 */     // MIs[0] policy
     /* 1832146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832180 */     // GIR_Coverage, 13156,
     /* 1832180 */     GIR_EraseRootFromParent_Done,
     /* 1832181 */   // Label 24788: @1832181
     /* 1832181 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1832267), // Rule ID 13157 //
     /* 1832186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832232 */     // MIs[0] policy
     /* 1832232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1832245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832266 */     // GIR_Coverage, 13157,
     /* 1832266 */     GIR_EraseRootFromParent_Done,
     /* 1832267 */   // Label 24789: @1832267
     /* 1832267 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1832353), // Rule ID 13160 //
     /* 1832272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1832289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832318 */     // MIs[0] policy
     /* 1832318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832352 */     // GIR_Coverage, 13160,
     /* 1832352 */     GIR_EraseRootFromParent_Done,
     /* 1832353 */   // Label 24790: @1832353
     /* 1832353 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1832439), // Rule ID 13161 //
     /* 1832358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1832375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832404 */     // MIs[0] policy
     /* 1832404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832438 */     // GIR_Coverage, 13161,
     /* 1832438 */     GIR_EraseRootFromParent_Done,
     /* 1832439 */   // Label 24791: @1832439
     /* 1832439 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1832525), // Rule ID 13164 //
     /* 1832444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832490 */     // MIs[0] policy
     /* 1832490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832524 */     // GIR_Coverage, 13164,
     /* 1832524 */     GIR_EraseRootFromParent_Done,
     /* 1832525 */   // Label 24792: @1832525
     /* 1832525 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1832611), // Rule ID 13165 //
     /* 1832530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832576 */     // MIs[0] policy
     /* 1832576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832610 */     // GIR_Coverage, 13165,
     /* 1832610 */     GIR_EraseRootFromParent_Done,
     /* 1832611 */   // Label 24793: @1832611
     /* 1832611 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1832697), // Rule ID 13168 //
     /* 1832616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832662 */     // MIs[0] policy
     /* 1832662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832696 */     // GIR_Coverage, 13168,
     /* 1832696 */     GIR_EraseRootFromParent_Done,
     /* 1832697 */   // Label 24794: @1832697
     /* 1832697 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1832783), // Rule ID 13169 //
     /* 1832702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832748 */     // MIs[0] policy
     /* 1832748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832782 */     // GIR_Coverage, 13169,
     /* 1832782 */     GIR_EraseRootFromParent_Done,
     /* 1832783 */   // Label 24795: @1832783
     /* 1832783 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1832869), // Rule ID 13172 //
     /* 1832788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832834 */     // MIs[0] policy
     /* 1832834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832868 */     // GIR_Coverage, 13172,
     /* 1832868 */     GIR_EraseRootFromParent_Done,
     /* 1832869 */   // Label 24796: @1832869
     /* 1832869 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1832955), // Rule ID 13173 //
     /* 1832874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832920 */     // MIs[0] policy
     /* 1832920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832954 */     // GIR_Coverage, 13173,
     /* 1832954 */     GIR_EraseRootFromParent_Done,
     /* 1832955 */   // Label 24797: @1832955
     /* 1832955 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1833041), // Rule ID 13176 //
     /* 1832960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833006 */     // MIs[0] policy
     /* 1833006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833040 */     // GIR_Coverage, 13176,
     /* 1833040 */     GIR_EraseRootFromParent_Done,
     /* 1833041 */   // Label 24798: @1833041
     /* 1833041 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833127), // Rule ID 13177 //
     /* 1833046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1833057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1833060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1833063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833092 */     // MIs[0] policy
     /* 1833092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833126 */     // GIR_Coverage, 13177,
     /* 1833126 */     GIR_EraseRootFromParent_Done,
     /* 1833127 */   // Label 24799: @1833127
     /* 1833127 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1833213), // Rule ID 13180 //
     /* 1833132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833178 */     // MIs[0] policy
     /* 1833178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833188 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833212 */     // GIR_Coverage, 13180,
     /* 1833212 */     GIR_EraseRootFromParent_Done,
     /* 1833213 */   // Label 24800: @1833213
     /* 1833213 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1833299), // Rule ID 13181 //
     /* 1833218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833264 */     // MIs[0] policy
     /* 1833264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833298 */     // GIR_Coverage, 13181,
     /* 1833298 */     GIR_EraseRootFromParent_Done,
     /* 1833299 */   // Label 24801: @1833299
     /* 1833299 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1833385), // Rule ID 13184 //
     /* 1833304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1833321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833350 */     // MIs[0] policy
     /* 1833350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833360 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833384 */     // GIR_Coverage, 13184,
     /* 1833384 */     GIR_EraseRootFromParent_Done,
     /* 1833385 */   // Label 24802: @1833385
     /* 1833385 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1833471), // Rule ID 13185 //
     /* 1833390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1833407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833436 */     // MIs[0] policy
     /* 1833436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833446 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833470 */     // GIR_Coverage, 13185,
     /* 1833470 */     GIR_EraseRootFromParent_Done,
     /* 1833471 */   // Label 24803: @1833471
     /* 1833471 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1833557), // Rule ID 13188 //
     /* 1833476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833522 */     // MIs[0] policy
     /* 1833522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833556 */     // GIR_Coverage, 13188,
     /* 1833556 */     GIR_EraseRootFromParent_Done,
     /* 1833557 */   // Label 24804: @1833557
     /* 1833557 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1833643), // Rule ID 13189 //
     /* 1833562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833608 */     // MIs[0] policy
     /* 1833608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833642 */     // GIR_Coverage, 13189,
     /* 1833642 */     GIR_EraseRootFromParent_Done,
     /* 1833643 */   // Label 24805: @1833643
     /* 1833643 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1833729), // Rule ID 13192 //
     /* 1833648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833694 */     // MIs[0] policy
     /* 1833694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833728 */     // GIR_Coverage, 13192,
     /* 1833728 */     GIR_EraseRootFromParent_Done,
     /* 1833729 */   // Label 24806: @1833729
     /* 1833729 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1833815), // Rule ID 13193 //
     /* 1833734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833780 */     // MIs[0] policy
     /* 1833780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833814 */     // GIR_Coverage, 13193,
     /* 1833814 */     GIR_EraseRootFromParent_Done,
     /* 1833815 */   // Label 24807: @1833815
     /* 1833815 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1833901), // Rule ID 13196 //
     /* 1833820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833866 */     // MIs[0] policy
     /* 1833866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833900 */     // GIR_Coverage, 13196,
     /* 1833900 */     GIR_EraseRootFromParent_Done,
     /* 1833901 */   // Label 24808: @1833901
     /* 1833901 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1833987), // Rule ID 13197 //
     /* 1833906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833952 */     // MIs[0] policy
     /* 1833952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833986 */     // GIR_Coverage, 13197,
     /* 1833986 */     GIR_EraseRootFromParent_Done,
     /* 1833987 */   // Label 24809: @1833987
     /* 1833987 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1834073), // Rule ID 13200 //
     /* 1833992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834038 */     // MIs[0] policy
     /* 1834038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834072 */     // GIR_Coverage, 13200,
     /* 1834072 */     GIR_EraseRootFromParent_Done,
     /* 1834073 */   // Label 24810: @1834073
     /* 1834073 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834159), // Rule ID 13201 //
     /* 1834078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834124 */     // MIs[0] policy
     /* 1834124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834158 */     // GIR_Coverage, 13201,
     /* 1834158 */     GIR_EraseRootFromParent_Done,
     /* 1834159 */   // Label 24811: @1834159
     /* 1834159 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1834245), // Rule ID 13204 //
     /* 1834164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834210 */     // MIs[0] policy
     /* 1834210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834244 */     // GIR_Coverage, 13204,
     /* 1834244 */     GIR_EraseRootFromParent_Done,
     /* 1834245 */   // Label 24812: @1834245
     /* 1834245 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1834331), // Rule ID 13205 //
     /* 1834250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834296 */     // MIs[0] policy
     /* 1834296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834330 */     // GIR_Coverage, 13205,
     /* 1834330 */     GIR_EraseRootFromParent_Done,
     /* 1834331 */   // Label 24813: @1834331
     /* 1834331 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1834417), // Rule ID 13208 //
     /* 1834336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834382 */     // MIs[0] policy
     /* 1834382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834416 */     // GIR_Coverage, 13208,
     /* 1834416 */     GIR_EraseRootFromParent_Done,
     /* 1834417 */   // Label 24814: @1834417
     /* 1834417 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1834503), // Rule ID 13209 //
     /* 1834422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834468 */     // MIs[0] policy
     /* 1834468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834502 */     // GIR_Coverage, 13209,
     /* 1834502 */     GIR_EraseRootFromParent_Done,
     /* 1834503 */   // Label 24815: @1834503
     /* 1834503 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1834589), // Rule ID 13212 //
     /* 1834508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834554 */     // MIs[0] policy
     /* 1834554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834588 */     // GIR_Coverage, 13212,
     /* 1834588 */     GIR_EraseRootFromParent_Done,
     /* 1834589 */   // Label 24816: @1834589
     /* 1834589 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1834675), // Rule ID 13213 //
     /* 1834594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834640 */     // MIs[0] policy
     /* 1834640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834674 */     // GIR_Coverage, 13213,
     /* 1834674 */     GIR_EraseRootFromParent_Done,
     /* 1834675 */   // Label 24817: @1834675
     /* 1834675 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1834761), // Rule ID 13216 //
     /* 1834680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834726 */     // MIs[0] policy
     /* 1834726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834760 */     // GIR_Coverage, 13216,
     /* 1834760 */     GIR_EraseRootFromParent_Done,
     /* 1834761 */   // Label 24818: @1834761
     /* 1834761 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1834847), // Rule ID 13217 //
     /* 1834766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834812 */     // MIs[0] policy
     /* 1834812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834822 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834846 */     // GIR_Coverage, 13217,
     /* 1834846 */     GIR_EraseRootFromParent_Done,
     /* 1834847 */   // Label 24819: @1834847
     /* 1834847 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1834933), // Rule ID 13220 //
     /* 1834852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834898 */     // MIs[0] policy
     /* 1834898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834932 */     // GIR_Coverage, 13220,
     /* 1834932 */     GIR_EraseRootFromParent_Done,
     /* 1834933 */   // Label 24820: @1834933
     /* 1834933 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1835019), // Rule ID 13221 //
     /* 1834938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834984 */     // MIs[0] policy
     /* 1834984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835018 */     // GIR_Coverage, 13221,
     /* 1835018 */     GIR_EraseRootFromParent_Done,
     /* 1835019 */   // Label 24821: @1835019
     /* 1835019 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835105), // Rule ID 13224 //
     /* 1835024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835070 */     // MIs[0] policy
     /* 1835070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835080 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1835083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835104 */     // GIR_Coverage, 13224,
     /* 1835104 */     GIR_EraseRootFromParent_Done,
     /* 1835105 */   // Label 24822: @1835105
     /* 1835105 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835191), // Rule ID 13225 //
     /* 1835110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835156 */     // MIs[0] policy
     /* 1835156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1835169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835190 */     // GIR_Coverage, 13225,
     /* 1835190 */     GIR_EraseRootFromParent_Done,
     /* 1835191 */   // Label 24823: @1835191
     /* 1835191 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1835277), // Rule ID 13228 //
     /* 1835196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835242 */     // MIs[0] policy
     /* 1835242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835276 */     // GIR_Coverage, 13228,
     /* 1835276 */     GIR_EraseRootFromParent_Done,
     /* 1835277 */   // Label 24824: @1835277
     /* 1835277 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1835363), // Rule ID 13229 //
     /* 1835282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835328 */     // MIs[0] policy
     /* 1835328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835338 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835362 */     // GIR_Coverage, 13229,
     /* 1835362 */     GIR_EraseRootFromParent_Done,
     /* 1835363 */   // Label 24825: @1835363
     /* 1835363 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1835449), // Rule ID 13232 //
     /* 1835368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835414 */     // MIs[0] policy
     /* 1835414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835448 */     // GIR_Coverage, 13232,
     /* 1835448 */     GIR_EraseRootFromParent_Done,
     /* 1835449 */   // Label 24826: @1835449
     /* 1835449 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1835535), // Rule ID 13233 //
     /* 1835454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835500 */     // MIs[0] policy
     /* 1835500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835510 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835534 */     // GIR_Coverage, 13233,
     /* 1835534 */     GIR_EraseRootFromParent_Done,
     /* 1835535 */   // Label 24827: @1835535
     /* 1835535 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1835621), // Rule ID 13236 //
     /* 1835540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835586 */     // MIs[0] policy
     /* 1835586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835620 */     // GIR_Coverage, 13236,
     /* 1835620 */     GIR_EraseRootFromParent_Done,
     /* 1835621 */   // Label 24828: @1835621
     /* 1835621 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1835707), // Rule ID 13237 //
     /* 1835626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835672 */     // MIs[0] policy
     /* 1835672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835706 */     // GIR_Coverage, 13237,
     /* 1835706 */     GIR_EraseRootFromParent_Done,
     /* 1835707 */   // Label 24829: @1835707
     /* 1835707 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1835793), // Rule ID 13240 //
     /* 1835712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835758 */     // MIs[0] policy
     /* 1835758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835792 */     // GIR_Coverage, 13240,
     /* 1835792 */     GIR_EraseRootFromParent_Done,
     /* 1835793 */   // Label 24830: @1835793
     /* 1835793 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1835879), // Rule ID 13241 //
     /* 1835798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835844 */     // MIs[0] policy
     /* 1835844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835878 */     // GIR_Coverage, 13241,
     /* 1835878 */     GIR_EraseRootFromParent_Done,
     /* 1835879 */   // Label 24831: @1835879
     /* 1835879 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1835965), // Rule ID 13244 //
     /* 1835884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835930 */     // MIs[0] policy
     /* 1835930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835940 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835964 */     // GIR_Coverage, 13244,
     /* 1835964 */     GIR_EraseRootFromParent_Done,
     /* 1835965 */   // Label 24832: @1835965
     /* 1835965 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1836051), // Rule ID 13245 //
     /* 1835970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836016 */     // MIs[0] policy
     /* 1836016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1836029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836050 */     // GIR_Coverage, 13245,
     /* 1836050 */     GIR_EraseRootFromParent_Done,
     /* 1836051 */   // Label 24833: @1836051
     /* 1836051 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836137), // Rule ID 13248 //
     /* 1836056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836102 */     // MIs[0] policy
     /* 1836102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836136 */     // GIR_Coverage, 13248,
     /* 1836136 */     GIR_EraseRootFromParent_Done,
     /* 1836137 */   // Label 24834: @1836137
     /* 1836137 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1836223), // Rule ID 13249 //
     /* 1836142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836188 */     // MIs[0] policy
     /* 1836188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836222 */     // GIR_Coverage, 13249,
     /* 1836222 */     GIR_EraseRootFromParent_Done,
     /* 1836223 */   // Label 24835: @1836223
     /* 1836223 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1836309), // Rule ID 13252 //
     /* 1836228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836274 */     // MIs[0] policy
     /* 1836274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836308 */     // GIR_Coverage, 13252,
     /* 1836308 */     GIR_EraseRootFromParent_Done,
     /* 1836309 */   // Label 24836: @1836309
     /* 1836309 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1836395), // Rule ID 13253 //
     /* 1836314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836360 */     // MIs[0] policy
     /* 1836360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836370 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836394 */     // GIR_Coverage, 13253,
     /* 1836394 */     GIR_EraseRootFromParent_Done,
     /* 1836395 */   // Label 24837: @1836395
     /* 1836395 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1836481), // Rule ID 13256 //
     /* 1836400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836446 */     // MIs[0] policy
     /* 1836446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836480 */     // GIR_Coverage, 13256,
     /* 1836480 */     GIR_EraseRootFromParent_Done,
     /* 1836481 */   // Label 24838: @1836481
     /* 1836481 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1836567), // Rule ID 13257 //
     /* 1836486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836532 */     // MIs[0] policy
     /* 1836532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836566 */     // GIR_Coverage, 13257,
     /* 1836566 */     GIR_EraseRootFromParent_Done,
     /* 1836567 */   // Label 24839: @1836567
     /* 1836567 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1836653), // Rule ID 13260 //
     /* 1836572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836618 */     // MIs[0] policy
     /* 1836618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836652 */     // GIR_Coverage, 13260,
     /* 1836652 */     GIR_EraseRootFromParent_Done,
     /* 1836653 */   // Label 24840: @1836653
     /* 1836653 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1836739), // Rule ID 13261 //
     /* 1836658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836704 */     // MIs[0] policy
     /* 1836704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836738 */     // GIR_Coverage, 13261,
     /* 1836738 */     GIR_EraseRootFromParent_Done,
     /* 1836739 */   // Label 24841: @1836739
     /* 1836739 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1836825), // Rule ID 13264 //
     /* 1836744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836790 */     // MIs[0] policy
     /* 1836790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836800 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836824 */     // GIR_Coverage, 13264,
     /* 1836824 */     GIR_EraseRootFromParent_Done,
     /* 1836825 */   // Label 24842: @1836825
     /* 1836825 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1836911), // Rule ID 13265 //
     /* 1836830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836876 */     // MIs[0] policy
     /* 1836876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836886 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836910 */     // GIR_Coverage, 13265,
     /* 1836910 */     GIR_EraseRootFromParent_Done,
     /* 1836911 */   // Label 24843: @1836911
     /* 1836911 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1836997), // Rule ID 13268 //
     /* 1836916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836962 */     // MIs[0] policy
     /* 1836962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836996 */     // GIR_Coverage, 13268,
     /* 1836996 */     GIR_EraseRootFromParent_Done,
     /* 1836997 */   // Label 24844: @1836997
     /* 1836997 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1837083), // Rule ID 13269 //
     /* 1837002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1837013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1837016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1837022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837048 */     // MIs[0] policy
     /* 1837048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837082 */     // GIR_Coverage, 13269,
     /* 1837082 */     GIR_EraseRootFromParent_Done,
     /* 1837083 */   // Label 24845: @1837083
     /* 1837083 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837169), // Rule ID 13272 //
     /* 1837088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837134 */     // MIs[0] policy
     /* 1837134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837144 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837168 */     // GIR_Coverage, 13272,
     /* 1837168 */     GIR_EraseRootFromParent_Done,
     /* 1837169 */   // Label 24846: @1837169
     /* 1837169 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1837255), // Rule ID 13273 //
     /* 1837174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837220 */     // MIs[0] policy
     /* 1837220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837230 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837254 */     // GIR_Coverage, 13273,
     /* 1837254 */     GIR_EraseRootFromParent_Done,
     /* 1837255 */   // Label 24847: @1837255
     /* 1837255 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1837341), // Rule ID 13276 //
     /* 1837260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837306 */     // MIs[0] policy
     /* 1837306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837340 */     // GIR_Coverage, 13276,
     /* 1837340 */     GIR_EraseRootFromParent_Done,
     /* 1837341 */   // Label 24848: @1837341
     /* 1837341 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1837427), // Rule ID 13277 //
     /* 1837346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837392 */     // MIs[0] policy
     /* 1837392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837426 */     // GIR_Coverage, 13277,
     /* 1837426 */     GIR_EraseRootFromParent_Done,
     /* 1837427 */   // Label 24849: @1837427
     /* 1837427 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1837513), // Rule ID 13280 //
     /* 1837432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837478 */     // MIs[0] policy
     /* 1837478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837512 */     // GIR_Coverage, 13280,
     /* 1837512 */     GIR_EraseRootFromParent_Done,
     /* 1837513 */   // Label 24850: @1837513
     /* 1837513 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1837599), // Rule ID 13281 //
     /* 1837518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837564 */     // MIs[0] policy
     /* 1837564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837598 */     // GIR_Coverage, 13281,
     /* 1837598 */     GIR_EraseRootFromParent_Done,
     /* 1837599 */   // Label 24851: @1837599
     /* 1837599 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1837685), // Rule ID 13284 //
     /* 1837604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837650 */     // MIs[0] policy
     /* 1837650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837684 */     // GIR_Coverage, 13284,
     /* 1837684 */     GIR_EraseRootFromParent_Done,
     /* 1837685 */   // Label 24852: @1837685
     /* 1837685 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1837771), // Rule ID 13285 //
     /* 1837690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837736 */     // MIs[0] policy
     /* 1837736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837770 */     // GIR_Coverage, 13285,
     /* 1837770 */     GIR_EraseRootFromParent_Done,
     /* 1837771 */   // Label 24853: @1837771
     /* 1837771 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1837857), // Rule ID 13288 //
     /* 1837776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837822 */     // MIs[0] policy
     /* 1837822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837856 */     // GIR_Coverage, 13288,
     /* 1837856 */     GIR_EraseRootFromParent_Done,
     /* 1837857 */   // Label 24854: @1837857
     /* 1837857 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1837943), // Rule ID 13289 //
     /* 1837862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837908 */     // MIs[0] policy
     /* 1837908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837942 */     // GIR_Coverage, 13289,
     /* 1837942 */     GIR_EraseRootFromParent_Done,
     /* 1837943 */   // Label 24855: @1837943
     /* 1837943 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1838029), // Rule ID 13292 //
     /* 1837948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837994 */     // MIs[0] policy
     /* 1837994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838004 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838028 */     // GIR_Coverage, 13292,
     /* 1838028 */     GIR_EraseRootFromParent_Done,
     /* 1838029 */   // Label 24856: @1838029
     /* 1838029 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838115), // Rule ID 13293 //
     /* 1838034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1838054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838080 */     // MIs[0] policy
     /* 1838080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838114 */     // GIR_Coverage, 13293,
     /* 1838114 */     GIR_EraseRootFromParent_Done,
     /* 1838115 */   // Label 24857: @1838115
     /* 1838115 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838201), // Rule ID 13296 //
     /* 1838120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838166 */     // MIs[0] policy
     /* 1838166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838200 */     // GIR_Coverage, 13296,
     /* 1838200 */     GIR_EraseRootFromParent_Done,
     /* 1838201 */   // Label 24858: @1838201
     /* 1838201 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1838287), // Rule ID 13297 //
     /* 1838206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838252 */     // MIs[0] policy
     /* 1838252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838286 */     // GIR_Coverage, 13297,
     /* 1838286 */     GIR_EraseRootFromParent_Done,
     /* 1838287 */   // Label 24859: @1838287
     /* 1838287 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1838373), // Rule ID 13300 //
     /* 1838292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838338 */     // MIs[0] policy
     /* 1838338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838372 */     // GIR_Coverage, 13300,
     /* 1838372 */     GIR_EraseRootFromParent_Done,
     /* 1838373 */   // Label 24860: @1838373
     /* 1838373 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1838459), // Rule ID 13301 //
     /* 1838378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838424 */     // MIs[0] policy
     /* 1838424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838458 */     // GIR_Coverage, 13301,
     /* 1838458 */     GIR_EraseRootFromParent_Done,
     /* 1838459 */   // Label 24861: @1838459
     /* 1838459 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1838545), // Rule ID 13304 //
     /* 1838464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838510 */     // MIs[0] policy
     /* 1838510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838544 */     // GIR_Coverage, 13304,
     /* 1838544 */     GIR_EraseRootFromParent_Done,
     /* 1838545 */   // Label 24862: @1838545
     /* 1838545 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1838631), // Rule ID 13305 //
     /* 1838550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838596 */     // MIs[0] policy
     /* 1838596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838606 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838630 */     // GIR_Coverage, 13305,
     /* 1838630 */     GIR_EraseRootFromParent_Done,
     /* 1838631 */   // Label 24863: @1838631
     /* 1838631 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1838717), // Rule ID 13308 //
     /* 1838636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838682 */     // MIs[0] policy
     /* 1838682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838716 */     // GIR_Coverage, 13308,
     /* 1838716 */     GIR_EraseRootFromParent_Done,
     /* 1838717 */   // Label 24864: @1838717
     /* 1838717 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1838803), // Rule ID 13309 //
     /* 1838722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838768 */     // MIs[0] policy
     /* 1838768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838802 */     // GIR_Coverage, 13309,
     /* 1838802 */     GIR_EraseRootFromParent_Done,
     /* 1838803 */   // Label 24865: @1838803
     /* 1838803 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1838889), // Rule ID 13312 //
     /* 1838808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838854 */     // MIs[0] policy
     /* 1838854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838888 */     // GIR_Coverage, 13312,
     /* 1838888 */     GIR_EraseRootFromParent_Done,
     /* 1838889 */   // Label 24866: @1838889
     /* 1838889 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1838975), // Rule ID 13313 //
     /* 1838894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838940 */     // MIs[0] policy
     /* 1838940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838974 */     // GIR_Coverage, 13313,
     /* 1838974 */     GIR_EraseRootFromParent_Done,
     /* 1838975 */   // Label 24867: @1838975
     /* 1838975 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1839061), // Rule ID 13316 //
     /* 1838980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839026 */     // MIs[0] policy
     /* 1839026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839060 */     // GIR_Coverage, 13316,
     /* 1839060 */     GIR_EraseRootFromParent_Done,
     /* 1839061 */   // Label 24868: @1839061
     /* 1839061 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839147), // Rule ID 13317 //
     /* 1839066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1839083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839112 */     // MIs[0] policy
     /* 1839112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839146 */     // GIR_Coverage, 13317,
     /* 1839146 */     GIR_EraseRootFromParent_Done,
     /* 1839147 */   // Label 24869: @1839147
     /* 1839147 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1839233), // Rule ID 13320 //
     /* 1839152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839198 */     // MIs[0] policy
     /* 1839198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839232 */     // GIR_Coverage, 13320,
     /* 1839232 */     GIR_EraseRootFromParent_Done,
     /* 1839233 */   // Label 24870: @1839233
     /* 1839233 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1839319), // Rule ID 13321 //
     /* 1839238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839284 */     // MIs[0] policy
     /* 1839284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839318 */     // GIR_Coverage, 13321,
     /* 1839318 */     GIR_EraseRootFromParent_Done,
     /* 1839319 */   // Label 24871: @1839319
     /* 1839319 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1839405), // Rule ID 13324 //
     /* 1839324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839370 */     // MIs[0] policy
     /* 1839370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839404 */     // GIR_Coverage, 13324,
     /* 1839404 */     GIR_EraseRootFromParent_Done,
     /* 1839405 */   // Label 24872: @1839405
     /* 1839405 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1839491), // Rule ID 13325 //
     /* 1839410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839456 */     // MIs[0] policy
     /* 1839456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839490 */     // GIR_Coverage, 13325,
     /* 1839490 */     GIR_EraseRootFromParent_Done,
     /* 1839491 */   // Label 24873: @1839491
     /* 1839491 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1839577), // Rule ID 13328 //
     /* 1839496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839542 */     // MIs[0] policy
     /* 1839542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839576 */     // GIR_Coverage, 13328,
     /* 1839576 */     GIR_EraseRootFromParent_Done,
     /* 1839577 */   // Label 24874: @1839577
     /* 1839577 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1839663), // Rule ID 13329 //
     /* 1839582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839628 */     // MIs[0] policy
     /* 1839628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839662 */     // GIR_Coverage, 13329,
     /* 1839662 */     GIR_EraseRootFromParent_Done,
     /* 1839663 */   // Label 24875: @1839663
     /* 1839663 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1839749), // Rule ID 13332 //
     /* 1839668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839714 */     // MIs[0] policy
     /* 1839714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839748 */     // GIR_Coverage, 13332,
     /* 1839748 */     GIR_EraseRootFromParent_Done,
     /* 1839749 */   // Label 24876: @1839749
     /* 1839749 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1839835), // Rule ID 13333 //
     /* 1839754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839800 */     // MIs[0] policy
     /* 1839800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839834 */     // GIR_Coverage, 13333,
     /* 1839834 */     GIR_EraseRootFromParent_Done,
     /* 1839835 */   // Label 24877: @1839835
     /* 1839835 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1839921), // Rule ID 13336 //
     /* 1839840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839886 */     // MIs[0] policy
     /* 1839886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839920 */     // GIR_Coverage, 13336,
     /* 1839920 */     GIR_EraseRootFromParent_Done,
     /* 1839921 */   // Label 24878: @1839921
     /* 1839921 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1840007), // Rule ID 13337 //
     /* 1839926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839972 */     // MIs[0] policy
     /* 1839972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840006 */     // GIR_Coverage, 13337,
     /* 1840006 */     GIR_EraseRootFromParent_Done,
     /* 1840007 */   // Label 24879: @1840007
     /* 1840007 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840093), // Rule ID 13340 //
     /* 1840012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840058 */     // MIs[0] policy
     /* 1840058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840092 */     // GIR_Coverage, 13340,
     /* 1840092 */     GIR_EraseRootFromParent_Done,
     /* 1840093 */   // Label 24880: @1840093
     /* 1840093 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840179), // Rule ID 13341 //
     /* 1840098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840144 */     // MIs[0] policy
     /* 1840144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840178 */     // GIR_Coverage, 13341,
     /* 1840178 */     GIR_EraseRootFromParent_Done,
     /* 1840179 */   // Label 24881: @1840179
     /* 1840179 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1840265), // Rule ID 13344 //
     /* 1840184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1840201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840230 */     // MIs[0] policy
     /* 1840230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840264 */     // GIR_Coverage, 13344,
     /* 1840264 */     GIR_EraseRootFromParent_Done,
     /* 1840265 */   // Label 24882: @1840265
     /* 1840265 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1840351), // Rule ID 13345 //
     /* 1840270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1840287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840316 */     // MIs[0] policy
     /* 1840316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840350 */     // GIR_Coverage, 13345,
     /* 1840350 */     GIR_EraseRootFromParent_Done,
     /* 1840351 */   // Label 24883: @1840351
     /* 1840351 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1840437), // Rule ID 13348 //
     /* 1840356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840402 */     // MIs[0] policy
     /* 1840402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840436 */     // GIR_Coverage, 13348,
     /* 1840436 */     GIR_EraseRootFromParent_Done,
     /* 1840437 */   // Label 24884: @1840437
     /* 1840437 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1840523), // Rule ID 13349 //
     /* 1840442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840488 */     // MIs[0] policy
     /* 1840488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840522 */     // GIR_Coverage, 13349,
     /* 1840522 */     GIR_EraseRootFromParent_Done,
     /* 1840523 */   // Label 24885: @1840523
     /* 1840523 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1840609), // Rule ID 13352 //
     /* 1840528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840574 */     // MIs[0] policy
     /* 1840574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840608 */     // GIR_Coverage, 13352,
     /* 1840608 */     GIR_EraseRootFromParent_Done,
     /* 1840609 */   // Label 24886: @1840609
     /* 1840609 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1840695), // Rule ID 13353 //
     /* 1840614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840660 */     // MIs[0] policy
     /* 1840660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840694 */     // GIR_Coverage, 13353,
     /* 1840694 */     GIR_EraseRootFromParent_Done,
     /* 1840695 */   // Label 24887: @1840695
     /* 1840695 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1840781), // Rule ID 13356 //
     /* 1840700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840746 */     // MIs[0] policy
     /* 1840746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840780 */     // GIR_Coverage, 13356,
     /* 1840780 */     GIR_EraseRootFromParent_Done,
     /* 1840781 */   // Label 24888: @1840781
     /* 1840781 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1840867), // Rule ID 13357 //
     /* 1840786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840832 */     // MIs[0] policy
     /* 1840832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840866 */     // GIR_Coverage, 13357,
     /* 1840866 */     GIR_EraseRootFromParent_Done,
     /* 1840867 */   // Label 24889: @1840867
     /* 1840867 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1840953), // Rule ID 13360 //
     /* 1840872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840918 */     // MIs[0] policy
     /* 1840918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840952 */     // GIR_Coverage, 13360,
     /* 1840952 */     GIR_EraseRootFromParent_Done,
     /* 1840953 */   // Label 24890: @1840953
     /* 1840953 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1841039), // Rule ID 13361 //
     /* 1840958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841004 */     // MIs[0] policy
     /* 1841004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1841017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841038 */     // GIR_Coverage, 13361,
     /* 1841038 */     GIR_EraseRootFromParent_Done,
     /* 1841039 */   // Label 24891: @1841039
     /* 1841039 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841125), // Rule ID 13364 //
     /* 1841044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1841061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841090 */     // MIs[0] policy
     /* 1841090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1841103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841124 */     // GIR_Coverage, 13364,
     /* 1841124 */     GIR_EraseRootFromParent_Done,
     /* 1841125 */   // Label 24892: @1841125
     /* 1841125 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841211), // Rule ID 13365 //
     /* 1841130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1841147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841176 */     // MIs[0] policy
     /* 1841176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1841189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841210 */     // GIR_Coverage, 13365,
     /* 1841210 */     GIR_EraseRootFromParent_Done,
     /* 1841211 */   // Label 24893: @1841211
     /* 1841211 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1841297), // Rule ID 13368 //
     /* 1841216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1841233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841262 */     // MIs[0] policy
     /* 1841262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1841275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841296 */     // GIR_Coverage, 13368,
     /* 1841296 */     GIR_EraseRootFromParent_Done,
     /* 1841297 */   // Label 24894: @1841297
     /* 1841297 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1841383), // Rule ID 13369 //
     /* 1841302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1841319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841348 */     // MIs[0] policy
     /* 1841348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1841361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841382 */     // GIR_Coverage, 13369,
     /* 1841382 */     GIR_EraseRootFromParent_Done,
     /* 1841383 */   // Label 24895: @1841383
     /* 1841383 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1841469), // Rule ID 13372 //
     /* 1841388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841434 */     // MIs[0] policy
     /* 1841434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841468 */     // GIR_Coverage, 13372,
     /* 1841468 */     GIR_EraseRootFromParent_Done,
     /* 1841469 */   // Label 24896: @1841469
     /* 1841469 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1841555), // Rule ID 13373 //
     /* 1841474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841520 */     // MIs[0] policy
     /* 1841520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841554 */     // GIR_Coverage, 13373,
     /* 1841554 */     GIR_EraseRootFromParent_Done,
     /* 1841555 */   // Label 24897: @1841555
     /* 1841555 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1841641), // Rule ID 13376 //
     /* 1841560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841606 */     // MIs[0] policy
     /* 1841606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841640 */     // GIR_Coverage, 13376,
     /* 1841640 */     GIR_EraseRootFromParent_Done,
     /* 1841641 */   // Label 24898: @1841641
     /* 1841641 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1841727), // Rule ID 13377 //
     /* 1841646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841692 */     // MIs[0] policy
     /* 1841692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841726 */     // GIR_Coverage, 13377,
     /* 1841726 */     GIR_EraseRootFromParent_Done,
     /* 1841727 */   // Label 24899: @1841727
     /* 1841727 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1841813), // Rule ID 13380 //
     /* 1841732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841778 */     // MIs[0] policy
     /* 1841778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841812 */     // GIR_Coverage, 13380,
     /* 1841812 */     GIR_EraseRootFromParent_Done,
     /* 1841813 */   // Label 24900: @1841813
     /* 1841813 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1841899), // Rule ID 13381 //
     /* 1841818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841864 */     // MIs[0] policy
     /* 1841864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841898 */     // GIR_Coverage, 13381,
     /* 1841898 */     GIR_EraseRootFromParent_Done,
     /* 1841899 */   // Label 24901: @1841899
     /* 1841899 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1841985), // Rule ID 13384 //
     /* 1841904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841950 */     // MIs[0] policy
     /* 1841950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841984 */     // GIR_Coverage, 13384,
     /* 1841984 */     GIR_EraseRootFromParent_Done,
     /* 1841985 */   // Label 24902: @1841985
     /* 1841985 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1842071), // Rule ID 13385 //
     /* 1841990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1842001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1842004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842036 */     // MIs[0] policy
     /* 1842036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842070 */     // GIR_Coverage, 13385,
     /* 1842070 */     GIR_EraseRootFromParent_Done,
     /* 1842071 */   // Label 24903: @1842071
     /* 1842071 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842157), // Rule ID 13388 //
     /* 1842076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1842087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1842090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1842096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842122 */     // MIs[0] policy
     /* 1842122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842156 */     // GIR_Coverage, 13388,
     /* 1842156 */     GIR_EraseRootFromParent_Done,
     /* 1842157 */   // Label 24904: @1842157
     /* 1842157 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1842243), // Rule ID 13389 //
     /* 1842162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1842173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1842176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1842182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842208 */     // MIs[0] policy
     /* 1842208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842242 */     // GIR_Coverage, 13389,
     /* 1842242 */     GIR_EraseRootFromParent_Done,
     /* 1842243 */   // Label 24905: @1842243
     /* 1842243 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1842329), // Rule ID 13392 //
     /* 1842248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1842259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1842262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1842268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1842271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842294 */     // MIs[0] policy
     /* 1842294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842328 */     // GIR_Coverage, 13392,
     /* 1842328 */     GIR_EraseRootFromParent_Done,
     /* 1842329 */   // Label 24906: @1842329
     /* 1842329 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1842415), // Rule ID 13393 //
     /* 1842334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1842345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1842348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1842354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1842357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842380 */     // MIs[0] policy
     /* 1842380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842414 */     // GIR_Coverage, 13393,
     /* 1842414 */     GIR_EraseRootFromParent_Done,
     /* 1842415 */   // Label 24907: @1842415
     /* 1842415 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1842501), // Rule ID 13396 //
     /* 1842420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842466 */     // MIs[0] policy
     /* 1842466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842500 */     // GIR_Coverage, 13396,
     /* 1842500 */     GIR_EraseRootFromParent_Done,
     /* 1842501 */   // Label 24908: @1842501
     /* 1842501 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1842587), // Rule ID 13397 //
     /* 1842506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842552 */     // MIs[0] policy
     /* 1842552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842586 */     // GIR_Coverage, 13397,
     /* 1842586 */     GIR_EraseRootFromParent_Done,
     /* 1842587 */   // Label 24909: @1842587
     /* 1842587 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1842673), // Rule ID 13400 //
     /* 1842592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842638 */     // MIs[0] policy
     /* 1842638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842672 */     // GIR_Coverage, 13400,
     /* 1842672 */     GIR_EraseRootFromParent_Done,
     /* 1842673 */   // Label 24910: @1842673
     /* 1842673 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1842759), // Rule ID 13401 //
     /* 1842678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842724 */     // MIs[0] policy
     /* 1842724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842758 */     // GIR_Coverage, 13401,
     /* 1842758 */     GIR_EraseRootFromParent_Done,
     /* 1842759 */   // Label 24911: @1842759
     /* 1842759 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1842845), // Rule ID 13404 //
     /* 1842764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842810 */     // MIs[0] policy
     /* 1842810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842844 */     // GIR_Coverage, 13404,
     /* 1842844 */     GIR_EraseRootFromParent_Done,
     /* 1842845 */   // Label 24912: @1842845
     /* 1842845 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1842931), // Rule ID 13405 //
     /* 1842850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842896 */     // MIs[0] policy
     /* 1842896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842930 */     // GIR_Coverage, 13405,
     /* 1842930 */     GIR_EraseRootFromParent_Done,
     /* 1842931 */   // Label 24913: @1842931
     /* 1842931 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1843017), // Rule ID 13408 //
     /* 1842936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842982 */     // MIs[0] policy
     /* 1842982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843016 */     // GIR_Coverage, 13408,
     /* 1843016 */     GIR_EraseRootFromParent_Done,
     /* 1843017 */   // Label 24914: @1843017
     /* 1843017 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843103), // Rule ID 13409 //
     /* 1843022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1843033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1843036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843068 */     // MIs[0] policy
     /* 1843068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843102 */     // GIR_Coverage, 13409,
     /* 1843102 */     GIR_EraseRootFromParent_Done,
     /* 1843103 */   // Label 24915: @1843103
     /* 1843103 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843189), // Rule ID 13412 //
     /* 1843108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1843119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1843122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843154 */     // MIs[0] policy
     /* 1843154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843188 */     // GIR_Coverage, 13412,
     /* 1843188 */     GIR_EraseRootFromParent_Done,
     /* 1843189 */   // Label 24916: @1843189
     /* 1843189 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1843275), // Rule ID 13413 //
     /* 1843194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1843205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1843208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843240 */     // MIs[0] policy
     /* 1843240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843274 */     // GIR_Coverage, 13413,
     /* 1843274 */     GIR_EraseRootFromParent_Done,
     /* 1843275 */   // Label 24917: @1843275
     /* 1843275 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1843361), // Rule ID 13416 //
     /* 1843280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843326 */     // MIs[0] policy
     /* 1843326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1843339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843360 */     // GIR_Coverage, 13416,
     /* 1843360 */     GIR_EraseRootFromParent_Done,
     /* 1843361 */   // Label 24918: @1843361
     /* 1843361 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1843447), // Rule ID 13417 //
     /* 1843366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843412 */     // MIs[0] policy
     /* 1843412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1843425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843446 */     // GIR_Coverage, 13417,
     /* 1843446 */     GIR_EraseRootFromParent_Done,
     /* 1843447 */   // Label 24919: @1843447
     /* 1843447 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1843533), // Rule ID 13420 //
     /* 1843452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843498 */     // MIs[0] policy
     /* 1843498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843532 */     // GIR_Coverage, 13420,
     /* 1843532 */     GIR_EraseRootFromParent_Done,
     /* 1843533 */   // Label 24920: @1843533
     /* 1843533 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1843619), // Rule ID 13421 //
     /* 1843538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843584 */     // MIs[0] policy
     /* 1843584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843618 */     // GIR_Coverage, 13421,
     /* 1843618 */     GIR_EraseRootFromParent_Done,
     /* 1843619 */   // Label 24921: @1843619
     /* 1843619 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1843705), // Rule ID 13424 //
     /* 1843624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843670 */     // MIs[0] policy
     /* 1843670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843704 */     // GIR_Coverage, 13424,
     /* 1843704 */     GIR_EraseRootFromParent_Done,
     /* 1843705 */   // Label 24922: @1843705
     /* 1843705 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1843791), // Rule ID 13425 //
     /* 1843710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843756 */     // MIs[0] policy
     /* 1843756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843790 */     // GIR_Coverage, 13425,
     /* 1843790 */     GIR_EraseRootFromParent_Done,
     /* 1843791 */   // Label 24923: @1843791
     /* 1843791 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1843877), // Rule ID 13428 //
     /* 1843796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843842 */     // MIs[0] policy
     /* 1843842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843876 */     // GIR_Coverage, 13428,
     /* 1843876 */     GIR_EraseRootFromParent_Done,
     /* 1843877 */   // Label 24924: @1843877
     /* 1843877 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1843963), // Rule ID 13429 //
     /* 1843882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843928 */     // MIs[0] policy
     /* 1843928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843962 */     // GIR_Coverage, 13429,
     /* 1843962 */     GIR_EraseRootFromParent_Done,
     /* 1843963 */   // Label 24925: @1843963
     /* 1843963 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1844049), // Rule ID 13432 //
     /* 1843968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844014 */     // MIs[0] policy
     /* 1844014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1844027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844048 */     // GIR_Coverage, 13432,
     /* 1844048 */     GIR_EraseRootFromParent_Done,
     /* 1844049 */   // Label 24926: @1844049
     /* 1844049 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844135), // Rule ID 13433 //
     /* 1844054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1844065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1844068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1844071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1844074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844100 */     // MIs[0] policy
     /* 1844100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1844113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844134 */     // GIR_Coverage, 13433,
     /* 1844134 */     GIR_EraseRootFromParent_Done,
     /* 1844135 */   // Label 24927: @1844135
     /* 1844135 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1844221), // Rule ID 13436 //
     /* 1844140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1844151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1844154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1844157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1844160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844186 */     // MIs[0] policy
     /* 1844186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844220 */     // GIR_Coverage, 13436,
     /* 1844220 */     GIR_EraseRootFromParent_Done,
     /* 1844221 */   // Label 24928: @1844221
     /* 1844221 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1844307), // Rule ID 13437 //
     /* 1844226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1844237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1844240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1844243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1844246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844272 */     // MIs[0] policy
     /* 1844272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844306 */     // GIR_Coverage, 13437,
     /* 1844306 */     GIR_EraseRootFromParent_Done,
     /* 1844307 */   // Label 24929: @1844307
     /* 1844307 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1844393), // Rule ID 13440 //
     /* 1844312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1844323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1844326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1844329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1844332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844358 */     // MIs[0] policy
     /* 1844358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844392 */     // GIR_Coverage, 13440,
     /* 1844392 */     GIR_EraseRootFromParent_Done,
     /* 1844393 */   // Label 24930: @1844393
     /* 1844393 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1844479), // Rule ID 13441 //
     /* 1844398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1844409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1844412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1844415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1844418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844444 */     // MIs[0] policy
     /* 1844444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844478 */     // GIR_Coverage, 13441,
     /* 1844478 */     GIR_EraseRootFromParent_Done,
     /* 1844479 */   // Label 24931: @1844479
     /* 1844479 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1844565), // Rule ID 13444 //
     /* 1844484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844530 */     // MIs[0] policy
     /* 1844530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844564 */     // GIR_Coverage, 13444,
     /* 1844564 */     GIR_EraseRootFromParent_Done,
     /* 1844565 */   // Label 24932: @1844565
     /* 1844565 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1844651), // Rule ID 13445 //
     /* 1844570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844616 */     // MIs[0] policy
     /* 1844616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844650 */     // GIR_Coverage, 13445,
     /* 1844650 */     GIR_EraseRootFromParent_Done,
     /* 1844651 */   // Label 24933: @1844651
     /* 1844651 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1844737), // Rule ID 13448 //
     /* 1844656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844702 */     // MIs[0] policy
     /* 1844702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844736 */     // GIR_Coverage, 13448,
     /* 1844736 */     GIR_EraseRootFromParent_Done,
     /* 1844737 */   // Label 24934: @1844737
     /* 1844737 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1844823), // Rule ID 13449 //
     /* 1844742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844788 */     // MIs[0] policy
     /* 1844788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844822 */     // GIR_Coverage, 13449,
     /* 1844822 */     GIR_EraseRootFromParent_Done,
     /* 1844823 */   // Label 24935: @1844823
     /* 1844823 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1844909), // Rule ID 13452 //
     /* 1844828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844874 */     // MIs[0] policy
     /* 1844874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844908 */     // GIR_Coverage, 13452,
     /* 1844908 */     GIR_EraseRootFromParent_Done,
     /* 1844909 */   // Label 24936: @1844909
     /* 1844909 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1844995), // Rule ID 13453 //
     /* 1844914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844960 */     // MIs[0] policy
     /* 1844960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844994 */     // GIR_Coverage, 13453,
     /* 1844994 */     GIR_EraseRootFromParent_Done,
     /* 1844995 */   // Label 24937: @1844995
     /* 1844995 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1845081), // Rule ID 13456 //
     /* 1845000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845046 */     // MIs[0] policy
     /* 1845046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1845059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845080 */     // GIR_Coverage, 13456,
     /* 1845080 */     GIR_EraseRootFromParent_Done,
     /* 1845081 */   // Label 24938: @1845081
     /* 1845081 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845167), // Rule ID 13457 //
     /* 1845086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845132 */     // MIs[0] policy
     /* 1845132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1845145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845166 */     // GIR_Coverage, 13457,
     /* 1845166 */     GIR_EraseRootFromParent_Done,
     /* 1845167 */   // Label 24939: @1845167
     /* 1845167 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1845253), // Rule ID 13460 //
     /* 1845172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1845183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1845186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1845192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845218 */     // MIs[0] policy
     /* 1845218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845252 */     // GIR_Coverage, 13460,
     /* 1845252 */     GIR_EraseRootFromParent_Done,
     /* 1845253 */   // Label 24940: @1845253
     /* 1845253 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1845339), // Rule ID 13461 //
     /* 1845258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1845269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1845272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1845278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845304 */     // MIs[0] policy
     /* 1845304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845338 */     // GIR_Coverage, 13461,
     /* 1845338 */     GIR_EraseRootFromParent_Done,
     /* 1845339 */   // Label 24941: @1845339
     /* 1845339 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1845425), // Rule ID 13464 //
     /* 1845344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845390 */     // MIs[0] policy
     /* 1845390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845424 */     // GIR_Coverage, 13464,
     /* 1845424 */     GIR_EraseRootFromParent_Done,
     /* 1845425 */   // Label 24942: @1845425
     /* 1845425 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1845511), // Rule ID 13465 //
     /* 1845430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845476 */     // MIs[0] policy
     /* 1845476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845510 */     // GIR_Coverage, 13465,
     /* 1845510 */     GIR_EraseRootFromParent_Done,
     /* 1845511 */   // Label 24943: @1845511
     /* 1845511 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1845597), // Rule ID 13468 //
     /* 1845516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845562 */     // MIs[0] policy
     /* 1845562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845596 */     // GIR_Coverage, 13468,
     /* 1845596 */     GIR_EraseRootFromParent_Done,
     /* 1845597 */   // Label 24944: @1845597
     /* 1845597 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1845683), // Rule ID 13469 //
     /* 1845602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845648 */     // MIs[0] policy
     /* 1845648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845682 */     // GIR_Coverage, 13469,
     /* 1845682 */     GIR_EraseRootFromParent_Done,
     /* 1845683 */   // Label 24945: @1845683
     /* 1845683 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1845769), // Rule ID 13472 //
     /* 1845688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845734 */     // MIs[0] policy
     /* 1845734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845768 */     // GIR_Coverage, 13472,
     /* 1845768 */     GIR_EraseRootFromParent_Done,
     /* 1845769 */   // Label 24946: @1845769
     /* 1845769 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1845855), // Rule ID 13473 //
     /* 1845774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845820 */     // MIs[0] policy
     /* 1845820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845854 */     // GIR_Coverage, 13473,
     /* 1845854 */     GIR_EraseRootFromParent_Done,
     /* 1845855 */   // Label 24947: @1845855
     /* 1845855 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1845941), // Rule ID 13476 //
     /* 1845860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845906 */     // MIs[0] policy
     /* 1845906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845940 */     // GIR_Coverage, 13476,
     /* 1845940 */     GIR_EraseRootFromParent_Done,
     /* 1845941 */   // Label 24948: @1845941
     /* 1845941 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1846027), // Rule ID 13477 //
     /* 1845946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845992 */     // MIs[0] policy
     /* 1845992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1846005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846026 */     // GIR_Coverage, 13477,
     /* 1846026 */     GIR_EraseRootFromParent_Done,
     /* 1846027 */   // Label 24949: @1846027
     /* 1846027 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846113), // Rule ID 13480 //
     /* 1846032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1846043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1846046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1846052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846078 */     // MIs[0] policy
     /* 1846078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1846091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846112 */     // GIR_Coverage, 13480,
     /* 1846112 */     GIR_EraseRootFromParent_Done,
     /* 1846113 */   // Label 24950: @1846113
     /* 1846113 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846199), // Rule ID 13481 //
     /* 1846118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1846129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1846132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1846138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846164 */     // MIs[0] policy
     /* 1846164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1846177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846198 */     // GIR_Coverage, 13481,
     /* 1846198 */     GIR_EraseRootFromParent_Done,
     /* 1846199 */   // Label 24951: @1846199
     /* 1846199 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1846285), // Rule ID 13484 //
     /* 1846204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1846215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1846218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1846221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1846224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846250 */     // MIs[0] policy
     /* 1846250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846260 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1846263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846284 */     // GIR_Coverage, 13484,
     /* 1846284 */     GIR_EraseRootFromParent_Done,
     /* 1846285 */   // Label 24952: @1846285
     /* 1846285 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1846371), // Rule ID 13485 //
     /* 1846290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1846301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1846304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1846307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1846310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846336 */     // MIs[0] policy
     /* 1846336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846346 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1846349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846370 */     // GIR_Coverage, 13485,
     /* 1846370 */     GIR_EraseRootFromParent_Done,
     /* 1846371 */   // Label 24953: @1846371
     /* 1846371 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1846457), // Rule ID 13488 //
     /* 1846376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846422 */     // MIs[0] policy
     /* 1846422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846456 */     // GIR_Coverage, 13488,
     /* 1846456 */     GIR_EraseRootFromParent_Done,
     /* 1846457 */   // Label 24954: @1846457
     /* 1846457 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1846543), // Rule ID 13489 //
     /* 1846462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846508 */     // MIs[0] policy
     /* 1846508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846542 */     // GIR_Coverage, 13489,
     /* 1846542 */     GIR_EraseRootFromParent_Done,
     /* 1846543 */   // Label 24955: @1846543
     /* 1846543 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1846629), // Rule ID 13492 //
     /* 1846548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846594 */     // MIs[0] policy
     /* 1846594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846628 */     // GIR_Coverage, 13492,
     /* 1846628 */     GIR_EraseRootFromParent_Done,
     /* 1846629 */   // Label 24956: @1846629
     /* 1846629 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1846715), // Rule ID 13493 //
     /* 1846634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846680 */     // MIs[0] policy
     /* 1846680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846714 */     // GIR_Coverage, 13493,
     /* 1846714 */     GIR_EraseRootFromParent_Done,
     /* 1846715 */   // Label 24957: @1846715
     /* 1846715 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1846801), // Rule ID 13496 //
     /* 1846720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846766 */     // MIs[0] policy
     /* 1846766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846800 */     // GIR_Coverage, 13496,
     /* 1846800 */     GIR_EraseRootFromParent_Done,
     /* 1846801 */   // Label 24958: @1846801
     /* 1846801 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1846887), // Rule ID 13497 //
     /* 1846806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846852 */     // MIs[0] policy
     /* 1846852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846886 */     // GIR_Coverage, 13497,
     /* 1846886 */     GIR_EraseRootFromParent_Done,
     /* 1846887 */   // Label 24959: @1846887
     /* 1846887 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1846973), // Rule ID 13500 //
     /* 1846892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846938 */     // MIs[0] policy
     /* 1846938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846972 */     // GIR_Coverage, 13500,
     /* 1846972 */     GIR_EraseRootFromParent_Done,
     /* 1846973 */   // Label 24960: @1846973
     /* 1846973 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1847059), // Rule ID 13501 //
     /* 1846978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847024 */     // MIs[0] policy
     /* 1847024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847058 */     // GIR_Coverage, 13501,
     /* 1847058 */     GIR_EraseRootFromParent_Done,
     /* 1847059 */   // Label 24961: @1847059
     /* 1847059 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847145), // Rule ID 13504 //
     /* 1847064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1847084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847110 */     // MIs[0] policy
     /* 1847110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847144 */     // GIR_Coverage, 13504,
     /* 1847144 */     GIR_EraseRootFromParent_Done,
     /* 1847145 */   // Label 24962: @1847145
     /* 1847145 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1847231), // Rule ID 13505 //
     /* 1847150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1847170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847196 */     // MIs[0] policy
     /* 1847196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847230 */     // GIR_Coverage, 13505,
     /* 1847230 */     GIR_EraseRootFromParent_Done,
     /* 1847231 */   // Label 24963: @1847231
     /* 1847231 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1847317), // Rule ID 13508 //
     /* 1847236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847282 */     // MIs[0] policy
     /* 1847282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847316 */     // GIR_Coverage, 13508,
     /* 1847316 */     GIR_EraseRootFromParent_Done,
     /* 1847317 */   // Label 24964: @1847317
     /* 1847317 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1847403), // Rule ID 13509 //
     /* 1847322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847368 */     // MIs[0] policy
     /* 1847368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847402 */     // GIR_Coverage, 13509,
     /* 1847402 */     GIR_EraseRootFromParent_Done,
     /* 1847403 */   // Label 24965: @1847403
     /* 1847403 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1847489), // Rule ID 13512 //
     /* 1847408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847454 */     // MIs[0] policy
     /* 1847454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847488 */     // GIR_Coverage, 13512,
     /* 1847488 */     GIR_EraseRootFromParent_Done,
     /* 1847489 */   // Label 24966: @1847489
     /* 1847489 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1847575), // Rule ID 13513 //
     /* 1847494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847540 */     // MIs[0] policy
     /* 1847540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847550 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847574 */     // GIR_Coverage, 13513,
     /* 1847574 */     GIR_EraseRootFromParent_Done,
     /* 1847575 */   // Label 24967: @1847575
     /* 1847575 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1847661), // Rule ID 13516 //
     /* 1847580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847626 */     // MIs[0] policy
     /* 1847626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847660 */     // GIR_Coverage, 13516,
     /* 1847660 */     GIR_EraseRootFromParent_Done,
     /* 1847661 */   // Label 24968: @1847661
     /* 1847661 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1847747), // Rule ID 13517 //
     /* 1847666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847712 */     // MIs[0] policy
     /* 1847712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847746 */     // GIR_Coverage, 13517,
     /* 1847746 */     GIR_EraseRootFromParent_Done,
     /* 1847747 */   // Label 24969: @1847747
     /* 1847747 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1847833), // Rule ID 13520 //
     /* 1847752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847798 */     // MIs[0] policy
     /* 1847798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847832 */     // GIR_Coverage, 13520,
     /* 1847832 */     GIR_EraseRootFromParent_Done,
     /* 1847833 */   // Label 24970: @1847833
     /* 1847833 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1847919), // Rule ID 13521 //
     /* 1847838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847884 */     // MIs[0] policy
     /* 1847884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847918 */     // GIR_Coverage, 13521,
     /* 1847918 */     GIR_EraseRootFromParent_Done,
     /* 1847919 */   // Label 24971: @1847919
     /* 1847919 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1848005), // Rule ID 13524 //
     /* 1847924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847970 */     // MIs[0] policy
     /* 1847970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848004 */     // GIR_Coverage, 13524,
     /* 1848004 */     GIR_EraseRootFromParent_Done,
     /* 1848005 */   // Label 24972: @1848005
     /* 1848005 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848091), // Rule ID 13525 //
     /* 1848010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1848030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848056 */     // MIs[0] policy
     /* 1848056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848090 */     // GIR_Coverage, 13525,
     /* 1848090 */     GIR_EraseRootFromParent_Done,
     /* 1848091 */   // Label 24973: @1848091
     /* 1848091 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848177), // Rule ID 13528 //
     /* 1848096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848142 */     // MIs[0] policy
     /* 1848142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848176 */     // GIR_Coverage, 13528,
     /* 1848176 */     GIR_EraseRootFromParent_Done,
     /* 1848177 */   // Label 24974: @1848177
     /* 1848177 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1848263), // Rule ID 13529 //
     /* 1848182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848228 */     // MIs[0] policy
     /* 1848228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848262 */     // GIR_Coverage, 13529,
     /* 1848262 */     GIR_EraseRootFromParent_Done,
     /* 1848263 */   // Label 24975: @1848263
     /* 1848263 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1848349), // Rule ID 13532 //
     /* 1848268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848314 */     // MIs[0] policy
     /* 1848314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848348 */     // GIR_Coverage, 13532,
     /* 1848348 */     GIR_EraseRootFromParent_Done,
     /* 1848349 */   // Label 24976: @1848349
     /* 1848349 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1848435), // Rule ID 13533 //
     /* 1848354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848400 */     // MIs[0] policy
     /* 1848400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848434 */     // GIR_Coverage, 13533,
     /* 1848434 */     GIR_EraseRootFromParent_Done,
     /* 1848435 */   // Label 24977: @1848435
     /* 1848435 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1848521), // Rule ID 13536 //
     /* 1848440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848486 */     // MIs[0] policy
     /* 1848486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848520 */     // GIR_Coverage, 13536,
     /* 1848520 */     GIR_EraseRootFromParent_Done,
     /* 1848521 */   // Label 24978: @1848521
     /* 1848521 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1848607), // Rule ID 13537 //
     /* 1848526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848572 */     // MIs[0] policy
     /* 1848572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848606 */     // GIR_Coverage, 13537,
     /* 1848606 */     GIR_EraseRootFromParent_Done,
     /* 1848607 */   // Label 24979: @1848607
     /* 1848607 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1848693), // Rule ID 13540 //
     /* 1848612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848658 */     // MIs[0] policy
     /* 1848658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848668 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848692 */     // GIR_Coverage, 13540,
     /* 1848692 */     GIR_EraseRootFromParent_Done,
     /* 1848693 */   // Label 24980: @1848693
     /* 1848693 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1848779), // Rule ID 13541 //
     /* 1848698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848744 */     // MIs[0] policy
     /* 1848744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848778 */     // GIR_Coverage, 13541,
     /* 1848778 */     GIR_EraseRootFromParent_Done,
     /* 1848779 */   // Label 24981: @1848779
     /* 1848779 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1848865), // Rule ID 13544 //
     /* 1848784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848830 */     // MIs[0] policy
     /* 1848830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848864 */     // GIR_Coverage, 13544,
     /* 1848864 */     GIR_EraseRootFromParent_Done,
     /* 1848865 */   // Label 24982: @1848865
     /* 1848865 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1848951), // Rule ID 13545 //
     /* 1848870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848916 */     // MIs[0] policy
     /* 1848916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848950 */     // GIR_Coverage, 13545,
     /* 1848950 */     GIR_EraseRootFromParent_Done,
     /* 1848951 */   // Label 24983: @1848951
     /* 1848951 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1849037), // Rule ID 13548 //
     /* 1848956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849002 */     // MIs[0] policy
     /* 1849002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1849015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849036 */     // GIR_Coverage, 13548,
     /* 1849036 */     GIR_EraseRootFromParent_Done,
     /* 1849037 */   // Label 24984: @1849037
     /* 1849037 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849123), // Rule ID 13549 //
     /* 1849042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1849062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849088 */     // MIs[0] policy
     /* 1849088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1849101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849122 */     // GIR_Coverage, 13549,
     /* 1849122 */     GIR_EraseRootFromParent_Done,
     /* 1849123 */   // Label 24985: @1849123
     /* 1849123 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849209), // Rule ID 13552 //
     /* 1849128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849174 */     // MIs[0] policy
     /* 1849174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1849187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849208 */     // GIR_Coverage, 13552,
     /* 1849208 */     GIR_EraseRootFromParent_Done,
     /* 1849209 */   // Label 24986: @1849209
     /* 1849209 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1849295), // Rule ID 13553 //
     /* 1849214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849260 */     // MIs[0] policy
     /* 1849260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1849273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849294 */     // GIR_Coverage, 13553,
     /* 1849294 */     GIR_EraseRootFromParent_Done,
     /* 1849295 */   // Label 24987: @1849295
     /* 1849295 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1849381), // Rule ID 13556 //
     /* 1849300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849346 */     // MIs[0] policy
     /* 1849346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849380 */     // GIR_Coverage, 13556,
     /* 1849380 */     GIR_EraseRootFromParent_Done,
     /* 1849381 */   // Label 24988: @1849381
     /* 1849381 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1849467), // Rule ID 13557 //
     /* 1849386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849432 */     // MIs[0] policy
     /* 1849432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849466 */     // GIR_Coverage, 13557,
     /* 1849466 */     GIR_EraseRootFromParent_Done,
     /* 1849467 */   // Label 24989: @1849467
     /* 1849467 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1849553), // Rule ID 13560 //
     /* 1849472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849518 */     // MIs[0] policy
     /* 1849518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849552 */     // GIR_Coverage, 13560,
     /* 1849552 */     GIR_EraseRootFromParent_Done,
     /* 1849553 */   // Label 24990: @1849553
     /* 1849553 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1849639), // Rule ID 13561 //
     /* 1849558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849604 */     // MIs[0] policy
     /* 1849604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849638 */     // GIR_Coverage, 13561,
     /* 1849638 */     GIR_EraseRootFromParent_Done,
     /* 1849639 */   // Label 24991: @1849639
     /* 1849639 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1849725), // Rule ID 13564 //
     /* 1849644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849690 */     // MIs[0] policy
     /* 1849690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849724 */     // GIR_Coverage, 13564,
     /* 1849724 */     GIR_EraseRootFromParent_Done,
     /* 1849725 */   // Label 24992: @1849725
     /* 1849725 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1849811), // Rule ID 13565 //
     /* 1849730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849776 */     // MIs[0] policy
     /* 1849776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849810 */     // GIR_Coverage, 13565,
     /* 1849810 */     GIR_EraseRootFromParent_Done,
     /* 1849811 */   // Label 24993: @1849811
     /* 1849811 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1849897), // Rule ID 13568 //
     /* 1849816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849862 */     // MIs[0] policy
     /* 1849862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849896 */     // GIR_Coverage, 13568,
     /* 1849896 */     GIR_EraseRootFromParent_Done,
     /* 1849897 */   // Label 24994: @1849897
     /* 1849897 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1849983), // Rule ID 13569 //
     /* 1849902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849948 */     // MIs[0] policy
     /* 1849948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849982 */     // GIR_Coverage, 13569,
     /* 1849982 */     GIR_EraseRootFromParent_Done,
     /* 1849983 */   // Label 24995: @1849983
     /* 1849983 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1850069), // Rule ID 13572 //
     /* 1849988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850034 */     // MIs[0] policy
     /* 1850034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850068 */     // GIR_Coverage, 13572,
     /* 1850068 */     GIR_EraseRootFromParent_Done,
     /* 1850069 */   // Label 24996: @1850069
     /* 1850069 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850155), // Rule ID 13573 //
     /* 1850074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850120 */     // MIs[0] policy
     /* 1850120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850154 */     // GIR_Coverage, 13573,
     /* 1850154 */     GIR_EraseRootFromParent_Done,
     /* 1850155 */   // Label 24997: @1850155
     /* 1850155 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1850241), // Rule ID 13576 //
     /* 1850160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850206 */     // MIs[0] policy
     /* 1850206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1850219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850240 */     // GIR_Coverage, 13576,
     /* 1850240 */     GIR_EraseRootFromParent_Done,
     /* 1850241 */   // Label 24998: @1850241
     /* 1850241 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1850327), // Rule ID 13577 //
     /* 1850246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850292 */     // MIs[0] policy
     /* 1850292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1850305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850326 */     // GIR_Coverage, 13577,
     /* 1850326 */     GIR_EraseRootFromParent_Done,
     /* 1850327 */   // Label 24999: @1850327
     /* 1850327 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1850413), // Rule ID 13580 //
     /* 1850332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850378 */     // MIs[0] policy
     /* 1850378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850412 */     // GIR_Coverage, 13580,
     /* 1850412 */     GIR_EraseRootFromParent_Done,
     /* 1850413 */   // Label 25000: @1850413
     /* 1850413 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1850499), // Rule ID 13581 //
     /* 1850418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850464 */     // MIs[0] policy
     /* 1850464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850498 */     // GIR_Coverage, 13581,
     /* 1850498 */     GIR_EraseRootFromParent_Done,
     /* 1850499 */   // Label 25001: @1850499
     /* 1850499 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1850585), // Rule ID 13584 //
     /* 1850504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850550 */     // MIs[0] policy
     /* 1850550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850584 */     // GIR_Coverage, 13584,
     /* 1850584 */     GIR_EraseRootFromParent_Done,
     /* 1850585 */   // Label 25002: @1850585
     /* 1850585 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1850671), // Rule ID 13585 //
     /* 1850590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850636 */     // MIs[0] policy
     /* 1850636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850670 */     // GIR_Coverage, 13585,
     /* 1850670 */     GIR_EraseRootFromParent_Done,
     /* 1850671 */   // Label 25003: @1850671
     /* 1850671 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1850757), // Rule ID 13588 //
     /* 1850676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850722 */     // MIs[0] policy
     /* 1850722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850756 */     // GIR_Coverage, 13588,
     /* 1850756 */     GIR_EraseRootFromParent_Done,
     /* 1850757 */   // Label 25004: @1850757
     /* 1850757 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1850843), // Rule ID 13589 //
     /* 1850762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850808 */     // MIs[0] policy
     /* 1850808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850842 */     // GIR_Coverage, 13589,
     /* 1850842 */     GIR_EraseRootFromParent_Done,
     /* 1850843 */   // Label 25005: @1850843
     /* 1850843 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1850929), // Rule ID 13592 //
     /* 1850848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850894 */     // MIs[0] policy
     /* 1850894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850928 */     // GIR_Coverage, 13592,
     /* 1850928 */     GIR_EraseRootFromParent_Done,
     /* 1850929 */   // Label 25006: @1850929
     /* 1850929 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1851015), // Rule ID 13593 //
     /* 1850934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850980 */     // MIs[0] policy
     /* 1850980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851014 */     // GIR_Coverage, 13593,
     /* 1851014 */     GIR_EraseRootFromParent_Done,
     /* 1851015 */   // Label 25007: @1851015
     /* 1851015 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851101), // Rule ID 13596 //
     /* 1851020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851066 */     // MIs[0] policy
     /* 1851066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1851079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851100 */     // GIR_Coverage, 13596,
     /* 1851100 */     GIR_EraseRootFromParent_Done,
     /* 1851101 */   // Label 25008: @1851101
     /* 1851101 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851187), // Rule ID 13597 //
     /* 1851106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851152 */     // MIs[0] policy
     /* 1851152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1851165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851186 */     // GIR_Coverage, 13597,
     /* 1851186 */     GIR_EraseRootFromParent_Done,
     /* 1851187 */   // Label 25009: @1851187
     /* 1851187 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1851273), // Rule ID 13600 //
     /* 1851192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851238 */     // MIs[0] policy
     /* 1851238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1851251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851272 */     // GIR_Coverage, 13600,
     /* 1851272 */     GIR_EraseRootFromParent_Done,
     /* 1851273 */   // Label 25010: @1851273
     /* 1851273 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1851359), // Rule ID 13601 //
     /* 1851278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851324 */     // MIs[0] policy
     /* 1851324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1851337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851358 */     // GIR_Coverage, 13601,
     /* 1851358 */     GIR_EraseRootFromParent_Done,
     /* 1851359 */   // Label 25011: @1851359
     /* 1851359 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1851445), // Rule ID 13604 //
     /* 1851364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851410 */     // MIs[0] policy
     /* 1851410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851444 */     // GIR_Coverage, 13604,
     /* 1851444 */     GIR_EraseRootFromParent_Done,
     /* 1851445 */   // Label 25012: @1851445
     /* 1851445 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1851531), // Rule ID 13605 //
     /* 1851450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851496 */     // MIs[0] policy
     /* 1851496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851530 */     // GIR_Coverage, 13605,
     /* 1851530 */     GIR_EraseRootFromParent_Done,
     /* 1851531 */   // Label 25013: @1851531
     /* 1851531 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1851617), // Rule ID 13608 //
     /* 1851536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851582 */     // MIs[0] policy
     /* 1851582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851616 */     // GIR_Coverage, 13608,
     /* 1851616 */     GIR_EraseRootFromParent_Done,
     /* 1851617 */   // Label 25014: @1851617
     /* 1851617 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1851703), // Rule ID 13609 //
     /* 1851622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851668 */     // MIs[0] policy
     /* 1851668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851702 */     // GIR_Coverage, 13609,
     /* 1851702 */     GIR_EraseRootFromParent_Done,
     /* 1851703 */   // Label 25015: @1851703
     /* 1851703 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1851789), // Rule ID 13612 //
     /* 1851708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851754 */     // MIs[0] policy
     /* 1851754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851788 */     // GIR_Coverage, 13612,
     /* 1851788 */     GIR_EraseRootFromParent_Done,
     /* 1851789 */   // Label 25016: @1851789
     /* 1851789 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1851875), // Rule ID 13613 //
     /* 1851794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851840 */     // MIs[0] policy
     /* 1851840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851874 */     // GIR_Coverage, 13613,
     /* 1851874 */     GIR_EraseRootFromParent_Done,
     /* 1851875 */   // Label 25017: @1851875
     /* 1851875 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1851961), // Rule ID 13616 //
     /* 1851880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851926 */     // MIs[0] policy
     /* 1851926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851960 */     // GIR_Coverage, 13616,
     /* 1851960 */     GIR_EraseRootFromParent_Done,
     /* 1851961 */   // Label 25018: @1851961
     /* 1851961 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1852047), // Rule ID 13617 //
     /* 1851966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852012 */     // MIs[0] policy
     /* 1852012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852046 */     // GIR_Coverage, 13617,
     /* 1852046 */     GIR_EraseRootFromParent_Done,
     /* 1852047 */   // Label 25019: @1852047
     /* 1852047 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852133), // Rule ID 13620 //
     /* 1852052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852098 */     // MIs[0] policy
     /* 1852098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852132 */     // GIR_Coverage, 13620,
     /* 1852132 */     GIR_EraseRootFromParent_Done,
     /* 1852133 */   // Label 25020: @1852133
     /* 1852133 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1852219), // Rule ID 13621 //
     /* 1852138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852184 */     // MIs[0] policy
     /* 1852184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852218 */     // GIR_Coverage, 13621,
     /* 1852218 */     GIR_EraseRootFromParent_Done,
     /* 1852219 */   // Label 25021: @1852219
     /* 1852219 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1852305), // Rule ID 13624 //
     /* 1852224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852270 */     // MIs[0] policy
     /* 1852270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852304 */     // GIR_Coverage, 13624,
     /* 1852304 */     GIR_EraseRootFromParent_Done,
     /* 1852305 */   // Label 25022: @1852305
     /* 1852305 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1852391), // Rule ID 13625 //
     /* 1852310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852356 */     // MIs[0] policy
     /* 1852356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852390 */     // GIR_Coverage, 13625,
     /* 1852390 */     GIR_EraseRootFromParent_Done,
     /* 1852391 */   // Label 25023: @1852391
     /* 1852391 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1852477), // Rule ID 13628 //
     /* 1852396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852442 */     // MIs[0] policy
     /* 1852442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852476 */     // GIR_Coverage, 13628,
     /* 1852476 */     GIR_EraseRootFromParent_Done,
     /* 1852477 */   // Label 25024: @1852477
     /* 1852477 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1852563), // Rule ID 13629 //
     /* 1852482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852528 */     // MIs[0] policy
     /* 1852528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852562 */     // GIR_Coverage, 13629,
     /* 1852562 */     GIR_EraseRootFromParent_Done,
     /* 1852563 */   // Label 25025: @1852563
     /* 1852563 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1852649), // Rule ID 13632 //
     /* 1852568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852614 */     // MIs[0] policy
     /* 1852614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852648 */     // GIR_Coverage, 13632,
     /* 1852648 */     GIR_EraseRootFromParent_Done,
     /* 1852649 */   // Label 25026: @1852649
     /* 1852649 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1852735), // Rule ID 13633 //
     /* 1852654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852700 */     // MIs[0] policy
     /* 1852700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852734 */     // GIR_Coverage, 13633,
     /* 1852734 */     GIR_EraseRootFromParent_Done,
     /* 1852735 */   // Label 25027: @1852735
     /* 1852735 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1852821), // Rule ID 13636 //
     /* 1852740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852786 */     // MIs[0] policy
     /* 1852786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852820 */     // GIR_Coverage, 13636,
     /* 1852820 */     GIR_EraseRootFromParent_Done,
     /* 1852821 */   // Label 25028: @1852821
     /* 1852821 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1852907), // Rule ID 13637 //
     /* 1852826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852872 */     // MIs[0] policy
     /* 1852872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852906 */     // GIR_Coverage, 13637,
     /* 1852906 */     GIR_EraseRootFromParent_Done,
     /* 1852907 */   // Label 25029: @1852907
     /* 1852907 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1852993), // Rule ID 13640 //
     /* 1852912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852958 */     // MIs[0] policy
     /* 1852958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852992 */     // GIR_Coverage, 13640,
     /* 1852992 */     GIR_EraseRootFromParent_Done,
     /* 1852993 */   // Label 25030: @1852993
     /* 1852993 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1853079), // Rule ID 13641 //
     /* 1852998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853044 */     // MIs[0] policy
     /* 1853044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853078 */     // GIR_Coverage, 13641,
     /* 1853078 */     GIR_EraseRootFromParent_Done,
     /* 1853079 */   // Label 25031: @1853079
     /* 1853079 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853165), // Rule ID 13644 //
     /* 1853084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853130 */     // MIs[0] policy
     /* 1853130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853164 */     // GIR_Coverage, 13644,
     /* 1853164 */     GIR_EraseRootFromParent_Done,
     /* 1853165 */   // Label 25032: @1853165
     /* 1853165 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1853251), // Rule ID 13645 //
     /* 1853170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853216 */     // MIs[0] policy
     /* 1853216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853250 */     // GIR_Coverage, 13645,
     /* 1853250 */     GIR_EraseRootFromParent_Done,
     /* 1853251 */   // Label 25033: @1853251
     /* 1853251 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1853337), // Rule ID 13648 //
     /* 1853256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853302 */     // MIs[0] policy
     /* 1853302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853336 */     // GIR_Coverage, 13648,
     /* 1853336 */     GIR_EraseRootFromParent_Done,
     /* 1853337 */   // Label 25034: @1853337
     /* 1853337 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1853423), // Rule ID 13649 //
     /* 1853342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853388 */     // MIs[0] policy
     /* 1853388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853422 */     // GIR_Coverage, 13649,
     /* 1853422 */     GIR_EraseRootFromParent_Done,
     /* 1853423 */   // Label 25035: @1853423
     /* 1853423 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1853509), // Rule ID 13652 //
     /* 1853428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853474 */     // MIs[0] policy
     /* 1853474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853508 */     // GIR_Coverage, 13652,
     /* 1853508 */     GIR_EraseRootFromParent_Done,
     /* 1853509 */   // Label 25036: @1853509
     /* 1853509 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1853595), // Rule ID 13653 //
     /* 1853514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853560 */     // MIs[0] policy
     /* 1853560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853594 */     // GIR_Coverage, 13653,
     /* 1853594 */     GIR_EraseRootFromParent_Done,
     /* 1853595 */   // Label 25037: @1853595
     /* 1853595 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1853681), // Rule ID 13656 //
     /* 1853600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853646 */     // MIs[0] policy
     /* 1853646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853680 */     // GIR_Coverage, 13656,
     /* 1853680 */     GIR_EraseRootFromParent_Done,
     /* 1853681 */   // Label 25038: @1853681
     /* 1853681 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1853767), // Rule ID 13657 //
     /* 1853686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853732 */     // MIs[0] policy
     /* 1853732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853766 */     // GIR_Coverage, 13657,
     /* 1853766 */     GIR_EraseRootFromParent_Done,
     /* 1853767 */   // Label 25039: @1853767
     /* 1853767 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1853853), // Rule ID 13660 //
     /* 1853772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853818 */     // MIs[0] policy
     /* 1853818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853852 */     // GIR_Coverage, 13660,
     /* 1853852 */     GIR_EraseRootFromParent_Done,
     /* 1853853 */   // Label 25040: @1853853
     /* 1853853 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1853939), // Rule ID 13661 //
     /* 1853858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853904 */     // MIs[0] policy
     /* 1853904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853938 */     // GIR_Coverage, 13661,
     /* 1853938 */     GIR_EraseRootFromParent_Done,
     /* 1853939 */   // Label 25041: @1853939
     /* 1853939 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1854025), // Rule ID 13664 //
     /* 1853944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853990 */     // MIs[0] policy
     /* 1853990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1854003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854024 */     // GIR_Coverage, 13664,
     /* 1854024 */     GIR_EraseRootFromParent_Done,
     /* 1854025 */   // Label 25042: @1854025
     /* 1854025 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854111), // Rule ID 13665 //
     /* 1854030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1854050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854076 */     // MIs[0] policy
     /* 1854076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1854089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854110 */     // GIR_Coverage, 13665,
     /* 1854110 */     GIR_EraseRootFromParent_Done,
     /* 1854111 */   // Label 25043: @1854111
     /* 1854111 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854197), // Rule ID 13668 //
     /* 1854116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854162 */     // MIs[0] policy
     /* 1854162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854172 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1854175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854196 */     // GIR_Coverage, 13668,
     /* 1854196 */     GIR_EraseRootFromParent_Done,
     /* 1854197 */   // Label 25044: @1854197
     /* 1854197 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1854283), // Rule ID 13669 //
     /* 1854202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854248 */     // MIs[0] policy
     /* 1854248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1854261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854282 */     // GIR_Coverage, 13669,
     /* 1854282 */     GIR_EraseRootFromParent_Done,
     /* 1854283 */   // Label 25045: @1854283
     /* 1854283 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1854369), // Rule ID 13672 //
     /* 1854288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854334 */     // MIs[0] policy
     /* 1854334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854368 */     // GIR_Coverage, 13672,
     /* 1854368 */     GIR_EraseRootFromParent_Done,
     /* 1854369 */   // Label 25046: @1854369
     /* 1854369 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1854455), // Rule ID 13673 //
     /* 1854374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854420 */     // MIs[0] policy
     /* 1854420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854454 */     // GIR_Coverage, 13673,
     /* 1854454 */     GIR_EraseRootFromParent_Done,
     /* 1854455 */   // Label 25047: @1854455
     /* 1854455 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1854541), // Rule ID 13676 //
     /* 1854460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854506 */     // MIs[0] policy
     /* 1854506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854540 */     // GIR_Coverage, 13676,
     /* 1854540 */     GIR_EraseRootFromParent_Done,
     /* 1854541 */   // Label 25048: @1854541
     /* 1854541 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1854627), // Rule ID 13677 //
     /* 1854546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854592 */     // MIs[0] policy
     /* 1854592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854626 */     // GIR_Coverage, 13677,
     /* 1854626 */     GIR_EraseRootFromParent_Done,
     /* 1854627 */   // Label 25049: @1854627
     /* 1854627 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1854713), // Rule ID 13680 //
     /* 1854632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854678 */     // MIs[0] policy
     /* 1854678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854712 */     // GIR_Coverage, 13680,
     /* 1854712 */     GIR_EraseRootFromParent_Done,
     /* 1854713 */   // Label 25050: @1854713
     /* 1854713 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1854799), // Rule ID 13681 //
     /* 1854718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854764 */     // MIs[0] policy
     /* 1854764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854798 */     // GIR_Coverage, 13681,
     /* 1854798 */     GIR_EraseRootFromParent_Done,
     /* 1854799 */   // Label 25051: @1854799
     /* 1854799 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1854885), // Rule ID 13684 //
     /* 1854804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854850 */     // MIs[0] policy
     /* 1854850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854884 */     // GIR_Coverage, 13684,
     /* 1854884 */     GIR_EraseRootFromParent_Done,
     /* 1854885 */   // Label 25052: @1854885
     /* 1854885 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1854971), // Rule ID 13685 //
     /* 1854890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854936 */     // MIs[0] policy
     /* 1854936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854970 */     // GIR_Coverage, 13685,
     /* 1854970 */     GIR_EraseRootFromParent_Done,
     /* 1854971 */   // Label 25053: @1854971
     /* 1854971 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1855057), // Rule ID 13688 //
     /* 1854976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855022 */     // MIs[0] policy
     /* 1855022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855056 */     // GIR_Coverage, 13688,
     /* 1855056 */     GIR_EraseRootFromParent_Done,
     /* 1855057 */   // Label 25054: @1855057
     /* 1855057 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855143), // Rule ID 13689 //
     /* 1855062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1855073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1855076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1855082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855108 */     // MIs[0] policy
     /* 1855108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855142 */     // GIR_Coverage, 13689,
     /* 1855142 */     GIR_EraseRootFromParent_Done,
     /* 1855143 */   // Label 25055: @1855143
     /* 1855143 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1855229), // Rule ID 13692 //
     /* 1855148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855194 */     // MIs[0] policy
     /* 1855194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855228 */     // GIR_Coverage, 13692,
     /* 1855228 */     GIR_EraseRootFromParent_Done,
     /* 1855229 */   // Label 25056: @1855229
     /* 1855229 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1855315), // Rule ID 13693 //
     /* 1855234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855280 */     // MIs[0] policy
     /* 1855280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855314 */     // GIR_Coverage, 13693,
     /* 1855314 */     GIR_EraseRootFromParent_Done,
     /* 1855315 */   // Label 25057: @1855315
     /* 1855315 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1855401), // Rule ID 13696 //
     /* 1855320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855366 */     // MIs[0] policy
     /* 1855366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855400 */     // GIR_Coverage, 13696,
     /* 1855400 */     GIR_EraseRootFromParent_Done,
     /* 1855401 */   // Label 25058: @1855401
     /* 1855401 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1855487), // Rule ID 13697 //
     /* 1855406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855452 */     // MIs[0] policy
     /* 1855452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855486 */     // GIR_Coverage, 13697,
     /* 1855486 */     GIR_EraseRootFromParent_Done,
     /* 1855487 */   // Label 25059: @1855487
     /* 1855487 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1855573), // Rule ID 13700 //
     /* 1855492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855538 */     // MIs[0] policy
     /* 1855538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855572 */     // GIR_Coverage, 13700,
     /* 1855572 */     GIR_EraseRootFromParent_Done,
     /* 1855573 */   // Label 25060: @1855573
     /* 1855573 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1855659), // Rule ID 13701 //
     /* 1855578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855624 */     // MIs[0] policy
     /* 1855624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855658 */     // GIR_Coverage, 13701,
     /* 1855658 */     GIR_EraseRootFromParent_Done,
     /* 1855659 */   // Label 25061: @1855659
     /* 1855659 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1855745), // Rule ID 13704 //
     /* 1855664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855710 */     // MIs[0] policy
     /* 1855710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855744 */     // GIR_Coverage, 13704,
     /* 1855744 */     GIR_EraseRootFromParent_Done,
     /* 1855745 */   // Label 25062: @1855745
     /* 1855745 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1855831), // Rule ID 13705 //
     /* 1855750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855796 */     // MIs[0] policy
     /* 1855796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855830 */     // GIR_Coverage, 13705,
     /* 1855830 */     GIR_EraseRootFromParent_Done,
     /* 1855831 */   // Label 25063: @1855831
     /* 1855831 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1855917), // Rule ID 13708 //
     /* 1855836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855882 */     // MIs[0] policy
     /* 1855882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855916 */     // GIR_Coverage, 13708,
     /* 1855916 */     GIR_EraseRootFromParent_Done,
     /* 1855917 */   // Label 25064: @1855917
     /* 1855917 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1856003), // Rule ID 13709 //
     /* 1855922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855968 */     // MIs[0] policy
     /* 1855968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856002 */     // GIR_Coverage, 13709,
     /* 1856002 */     GIR_EraseRootFromParent_Done,
     /* 1856003 */   // Label 25065: @1856003
     /* 1856003 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856089), // Rule ID 13712 //
     /* 1856008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856054 */     // MIs[0] policy
     /* 1856054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856088 */     // GIR_Coverage, 13712,
     /* 1856088 */     GIR_EraseRootFromParent_Done,
     /* 1856089 */   // Label 25066: @1856089
     /* 1856089 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1856175), // Rule ID 13713 //
     /* 1856094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856140 */     // MIs[0] policy
     /* 1856140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856174 */     // GIR_Coverage, 13713,
     /* 1856174 */     GIR_EraseRootFromParent_Done,
     /* 1856175 */   // Label 25067: @1856175
     /* 1856175 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1856261), // Rule ID 13716 //
     /* 1856180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856226 */     // MIs[0] policy
     /* 1856226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1856239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856260 */     // GIR_Coverage, 13716,
     /* 1856260 */     GIR_EraseRootFromParent_Done,
     /* 1856261 */   // Label 25068: @1856261
     /* 1856261 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1856347), // Rule ID 13717 //
     /* 1856266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856312 */     // MIs[0] policy
     /* 1856312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1856325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856346 */     // GIR_Coverage, 13717,
     /* 1856346 */     GIR_EraseRootFromParent_Done,
     /* 1856347 */   // Label 25069: @1856347
     /* 1856347 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1856433), // Rule ID 13720 //
     /* 1856352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856398 */     // MIs[0] policy
     /* 1856398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856432 */     // GIR_Coverage, 13720,
     /* 1856432 */     GIR_EraseRootFromParent_Done,
     /* 1856433 */   // Label 25070: @1856433
     /* 1856433 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1856519), // Rule ID 13721 //
     /* 1856438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856484 */     // MIs[0] policy
     /* 1856484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856494 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856518 */     // GIR_Coverage, 13721,
     /* 1856518 */     GIR_EraseRootFromParent_Done,
     /* 1856519 */   // Label 25071: @1856519
     /* 1856519 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1856605), // Rule ID 13724 //
     /* 1856524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856570 */     // MIs[0] policy
     /* 1856570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856604 */     // GIR_Coverage, 13724,
     /* 1856604 */     GIR_EraseRootFromParent_Done,
     /* 1856605 */   // Label 25072: @1856605
     /* 1856605 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1856691), // Rule ID 13725 //
     /* 1856610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856656 */     // MIs[0] policy
     /* 1856656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856666 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856690 */     // GIR_Coverage, 13725,
     /* 1856690 */     GIR_EraseRootFromParent_Done,
     /* 1856691 */   // Label 25073: @1856691
     /* 1856691 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1856777), // Rule ID 13728 //
     /* 1856696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856742 */     // MIs[0] policy
     /* 1856742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856776 */     // GIR_Coverage, 13728,
     /* 1856776 */     GIR_EraseRootFromParent_Done,
     /* 1856777 */   // Label 25074: @1856777
     /* 1856777 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1856863), // Rule ID 13729 //
     /* 1856782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856828 */     // MIs[0] policy
     /* 1856828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856862 */     // GIR_Coverage, 13729,
     /* 1856862 */     GIR_EraseRootFromParent_Done,
     /* 1856863 */   // Label 25075: @1856863
     /* 1856863 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1856952), // Rule ID 13938 //
     /* 1856868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856914 */     // MIs[0] policy
     /* 1856914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856951 */     // GIR_Coverage, 13938,
     /* 1856951 */     GIR_EraseRootFromParent_Done,
     /* 1856952 */   // Label 25076: @1856952
     /* 1856952 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1857041), // Rule ID 13939 //
     /* 1856957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857003 */     // MIs[0] policy
     /* 1857003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1857016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857040 */     // GIR_Coverage, 13939,
     /* 1857040 */     GIR_EraseRootFromParent_Done,
     /* 1857041 */   // Label 25077: @1857041
     /* 1857041 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1857130), // Rule ID 13942 //
     /* 1857046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1857057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1857060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1857063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857092 */     // MIs[0] policy
     /* 1857092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857129 */     // GIR_Coverage, 13942,
     /* 1857129 */     GIR_EraseRootFromParent_Done,
     /* 1857130 */   // Label 25078: @1857130
     /* 1857130 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1857219), // Rule ID 13943 //
     /* 1857135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1857146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1857149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1857152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857181 */     // MIs[0] policy
     /* 1857181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857191 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857218 */     // GIR_Coverage, 13943,
     /* 1857218 */     GIR_EraseRootFromParent_Done,
     /* 1857219 */   // Label 25079: @1857219
     /* 1857219 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1857308), // Rule ID 13946 //
     /* 1857224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1857235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1857238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1857241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857270 */     // MIs[0] policy
     /* 1857270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857307 */     // GIR_Coverage, 13946,
     /* 1857307 */     GIR_EraseRootFromParent_Done,
     /* 1857308 */   // Label 25080: @1857308
     /* 1857308 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1857397), // Rule ID 13947 //
     /* 1857313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1857324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1857327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1857330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857359 */     // MIs[0] policy
     /* 1857359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857396 */     // GIR_Coverage, 13947,
     /* 1857396 */     GIR_EraseRootFromParent_Done,
     /* 1857397 */   // Label 25081: @1857397
     /* 1857397 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1857486), // Rule ID 13950 //
     /* 1857402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857448 */     // MIs[0] policy
     /* 1857448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857485 */     // GIR_Coverage, 13950,
     /* 1857485 */     GIR_EraseRootFromParent_Done,
     /* 1857486 */   // Label 25082: @1857486
     /* 1857486 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1857575), // Rule ID 13951 //
     /* 1857491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857537 */     // MIs[0] policy
     /* 1857537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857574 */     // GIR_Coverage, 13951,
     /* 1857574 */     GIR_EraseRootFromParent_Done,
     /* 1857575 */   // Label 25083: @1857575
     /* 1857575 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1857664), // Rule ID 13954 //
     /* 1857580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857626 */     // MIs[0] policy
     /* 1857626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857663 */     // GIR_Coverage, 13954,
     /* 1857663 */     GIR_EraseRootFromParent_Done,
     /* 1857664 */   // Label 25084: @1857664
     /* 1857664 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1857753), // Rule ID 13955 //
     /* 1857669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857715 */     // MIs[0] policy
     /* 1857715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857752 */     // GIR_Coverage, 13955,
     /* 1857752 */     GIR_EraseRootFromParent_Done,
     /* 1857753 */   // Label 25085: @1857753
     /* 1857753 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1857842), // Rule ID 13958 //
     /* 1857758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857804 */     // MIs[0] policy
     /* 1857804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857841 */     // GIR_Coverage, 13958,
     /* 1857841 */     GIR_EraseRootFromParent_Done,
     /* 1857842 */   // Label 25086: @1857842
     /* 1857842 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1857931), // Rule ID 13959 //
     /* 1857847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857893 */     // MIs[0] policy
     /* 1857893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857930 */     // GIR_Coverage, 13959,
     /* 1857930 */     GIR_EraseRootFromParent_Done,
     /* 1857931 */   // Label 25087: @1857931
     /* 1857931 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1858020), // Rule ID 13962 //
     /* 1857936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857982 */     // MIs[0] policy
     /* 1857982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858019 */     // GIR_Coverage, 13962,
     /* 1858019 */     GIR_EraseRootFromParent_Done,
     /* 1858020 */   // Label 25088: @1858020
     /* 1858020 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858109), // Rule ID 13963 //
     /* 1858025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1858036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1858039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1858042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858071 */     // MIs[0] policy
     /* 1858071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858108 */     // GIR_Coverage, 13963,
     /* 1858108 */     GIR_EraseRootFromParent_Done,
     /* 1858109 */   // Label 25089: @1858109
     /* 1858109 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1858198), // Rule ID 13966 //
     /* 1858114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858160 */     // MIs[0] policy
     /* 1858160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858197 */     // GIR_Coverage, 13966,
     /* 1858197 */     GIR_EraseRootFromParent_Done,
     /* 1858198 */   // Label 25090: @1858198
     /* 1858198 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1858287), // Rule ID 13967 //
     /* 1858203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858249 */     // MIs[0] policy
     /* 1858249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858286 */     // GIR_Coverage, 13967,
     /* 1858286 */     GIR_EraseRootFromParent_Done,
     /* 1858287 */   // Label 25091: @1858287
     /* 1858287 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1858376), // Rule ID 13970 //
     /* 1858292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858338 */     // MIs[0] policy
     /* 1858338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858375 */     // GIR_Coverage, 13970,
     /* 1858375 */     GIR_EraseRootFromParent_Done,
     /* 1858376 */   // Label 25092: @1858376
     /* 1858376 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1858465), // Rule ID 13971 //
     /* 1858381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858427 */     // MIs[0] policy
     /* 1858427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858464 */     // GIR_Coverage, 13971,
     /* 1858464 */     GIR_EraseRootFromParent_Done,
     /* 1858465 */   // Label 25093: @1858465
     /* 1858465 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1858554), // Rule ID 13974 //
     /* 1858470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858516 */     // MIs[0] policy
     /* 1858516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858553 */     // GIR_Coverage, 13974,
     /* 1858553 */     GIR_EraseRootFromParent_Done,
     /* 1858554 */   // Label 25094: @1858554
     /* 1858554 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1858643), // Rule ID 13975 //
     /* 1858559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858605 */     // MIs[0] policy
     /* 1858605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858642 */     // GIR_Coverage, 13975,
     /* 1858642 */     GIR_EraseRootFromParent_Done,
     /* 1858643 */   // Label 25095: @1858643
     /* 1858643 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1858732), // Rule ID 13978 //
     /* 1858648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858694 */     // MIs[0] policy
     /* 1858694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858731 */     // GIR_Coverage, 13978,
     /* 1858731 */     GIR_EraseRootFromParent_Done,
     /* 1858732 */   // Label 25096: @1858732
     /* 1858732 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1858821), // Rule ID 13979 //
     /* 1858737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858783 */     // MIs[0] policy
     /* 1858783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858820 */     // GIR_Coverage, 13979,
     /* 1858820 */     GIR_EraseRootFromParent_Done,
     /* 1858821 */   // Label 25097: @1858821
     /* 1858821 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1858910), // Rule ID 13982 //
     /* 1858826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858872 */     // MIs[0] policy
     /* 1858872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858909 */     // GIR_Coverage, 13982,
     /* 1858909 */     GIR_EraseRootFromParent_Done,
     /* 1858910 */   // Label 25098: @1858910
     /* 1858910 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1858999), // Rule ID 13983 //
     /* 1858915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858961 */     // MIs[0] policy
     /* 1858961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858998 */     // GIR_Coverage, 13983,
     /* 1858998 */     GIR_EraseRootFromParent_Done,
     /* 1858999 */   // Label 25099: @1858999
     /* 1858999 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859088), // Rule ID 13986 //
     /* 1859004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1859015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1859018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1859021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1859024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1859027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859050 */     // MIs[0] policy
     /* 1859050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859060 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859087 */     // GIR_Coverage, 13986,
     /* 1859087 */     GIR_EraseRootFromParent_Done,
     /* 1859088 */   // Label 25100: @1859088
     /* 1859088 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1859177), // Rule ID 13987 //
     /* 1859093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1859104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1859107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1859110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1859113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1859116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859139 */     // MIs[0] policy
     /* 1859139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859149 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859176 */     // GIR_Coverage, 13987,
     /* 1859176 */     GIR_EraseRootFromParent_Done,
     /* 1859177 */   // Label 25101: @1859177
     /* 1859177 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1859266), // Rule ID 13990 //
     /* 1859182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1859199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859228 */     // MIs[0] policy
     /* 1859228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859265 */     // GIR_Coverage, 13990,
     /* 1859265 */     GIR_EraseRootFromParent_Done,
     /* 1859266 */   // Label 25102: @1859266
     /* 1859266 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1859355), // Rule ID 13991 //
     /* 1859271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1859288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859317 */     // MIs[0] policy
     /* 1859317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859354 */     // GIR_Coverage, 13991,
     /* 1859354 */     GIR_EraseRootFromParent_Done,
     /* 1859355 */   // Label 25103: @1859355
     /* 1859355 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1859444), // Rule ID 13994 //
     /* 1859360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859406 */     // MIs[0] policy
     /* 1859406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859443 */     // GIR_Coverage, 13994,
     /* 1859443 */     GIR_EraseRootFromParent_Done,
     /* 1859444 */   // Label 25104: @1859444
     /* 1859444 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1859533), // Rule ID 13995 //
     /* 1859449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859495 */     // MIs[0] policy
     /* 1859495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859505 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859532 */     // GIR_Coverage, 13995,
     /* 1859532 */     GIR_EraseRootFromParent_Done,
     /* 1859533 */   // Label 25105: @1859533
     /* 1859533 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1859622), // Rule ID 13998 //
     /* 1859538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859584 */     // MIs[0] policy
     /* 1859584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859621 */     // GIR_Coverage, 13998,
     /* 1859621 */     GIR_EraseRootFromParent_Done,
     /* 1859622 */   // Label 25106: @1859622
     /* 1859622 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1859711), // Rule ID 13999 //
     /* 1859627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859673 */     // MIs[0] policy
     /* 1859673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859683 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859710 */     // GIR_Coverage, 13999,
     /* 1859710 */     GIR_EraseRootFromParent_Done,
     /* 1859711 */   // Label 25107: @1859711
     /* 1859711 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1859800), // Rule ID 14002 //
     /* 1859716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859762 */     // MIs[0] policy
     /* 1859762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859799 */     // GIR_Coverage, 14002,
     /* 1859799 */     GIR_EraseRootFromParent_Done,
     /* 1859800 */   // Label 25108: @1859800
     /* 1859800 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1859889), // Rule ID 14003 //
     /* 1859805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859851 */     // MIs[0] policy
     /* 1859851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859888 */     // GIR_Coverage, 14003,
     /* 1859888 */     GIR_EraseRootFromParent_Done,
     /* 1859889 */   // Label 25109: @1859889
     /* 1859889 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1859978), // Rule ID 14006 //
     /* 1859894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859940 */     // MIs[0] policy
     /* 1859940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859977 */     // GIR_Coverage, 14006,
     /* 1859977 */     GIR_EraseRootFromParent_Done,
     /* 1859978 */   // Label 25110: @1859978
     /* 1859978 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1860067), // Rule ID 14007 //
     /* 1859983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1860000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860029 */     // MIs[0] policy
     /* 1860029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860066 */     // GIR_Coverage, 14007,
     /* 1860066 */     GIR_EraseRootFromParent_Done,
     /* 1860067 */   // Label 25111: @1860067
     /* 1860067 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1860156), // Rule ID 14010 //
     /* 1860072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1860089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1860092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860118 */     // MIs[0] policy
     /* 1860118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860155 */     // GIR_Coverage, 14010,
     /* 1860155 */     GIR_EraseRootFromParent_Done,
     /* 1860156 */   // Label 25112: @1860156
     /* 1860156 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1860245), // Rule ID 14011 //
     /* 1860161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1860178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1860181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860207 */     // MIs[0] policy
     /* 1860207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860217 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860244 */     // GIR_Coverage, 14011,
     /* 1860244 */     GIR_EraseRootFromParent_Done,
     /* 1860245 */   // Label 25113: @1860245
     /* 1860245 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1860334), // Rule ID 14014 //
     /* 1860250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1860267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1860270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860296 */     // MIs[0] policy
     /* 1860296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1860309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860333 */     // GIR_Coverage, 14014,
     /* 1860333 */     GIR_EraseRootFromParent_Done,
     /* 1860334 */   // Label 25114: @1860334
     /* 1860334 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1860423), // Rule ID 14015 //
     /* 1860339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1860356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1860359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860385 */     // MIs[0] policy
     /* 1860385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1860398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860422 */     // GIR_Coverage, 14015,
     /* 1860422 */     GIR_EraseRootFromParent_Done,
     /* 1860423 */   // Label 25115: @1860423
     /* 1860423 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1860512), // Rule ID 14018 //
     /* 1860428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860474 */     // MIs[0] policy
     /* 1860474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860511 */     // GIR_Coverage, 14018,
     /* 1860511 */     GIR_EraseRootFromParent_Done,
     /* 1860512 */   // Label 25116: @1860512
     /* 1860512 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1860601), // Rule ID 14019 //
     /* 1860517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860563 */     // MIs[0] policy
     /* 1860563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860600 */     // GIR_Coverage, 14019,
     /* 1860600 */     GIR_EraseRootFromParent_Done,
     /* 1860601 */   // Label 25117: @1860601
     /* 1860601 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1860690), // Rule ID 14022 //
     /* 1860606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860652 */     // MIs[0] policy
     /* 1860652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860689 */     // GIR_Coverage, 14022,
     /* 1860689 */     GIR_EraseRootFromParent_Done,
     /* 1860690 */   // Label 25118: @1860690
     /* 1860690 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1860779), // Rule ID 14023 //
     /* 1860695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860741 */     // MIs[0] policy
     /* 1860741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860751 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860778 */     // GIR_Coverage, 14023,
     /* 1860778 */     GIR_EraseRootFromParent_Done,
     /* 1860779 */   // Label 25119: @1860779
     /* 1860779 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1860868), // Rule ID 14026 //
     /* 1860784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860830 */     // MIs[0] policy
     /* 1860830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860867 */     // GIR_Coverage, 14026,
     /* 1860867 */     GIR_EraseRootFromParent_Done,
     /* 1860868 */   // Label 25120: @1860868
     /* 1860868 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1860957), // Rule ID 14027 //
     /* 1860873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860919 */     // MIs[0] policy
     /* 1860919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860929 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860956 */     // GIR_Coverage, 14027,
     /* 1860956 */     GIR_EraseRootFromParent_Done,
     /* 1860957 */   // Label 25121: @1860957
     /* 1860957 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1861046), // Rule ID 14030 //
     /* 1860962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861008 */     // MIs[0] policy
     /* 1861008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861045 */     // GIR_Coverage, 14030,
     /* 1861045 */     GIR_EraseRootFromParent_Done,
     /* 1861046 */   // Label 25122: @1861046
     /* 1861046 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1861135), // Rule ID 14031 //
     /* 1861051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1861062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1861065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1861068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861097 */     // MIs[0] policy
     /* 1861097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861134 */     // GIR_Coverage, 14031,
     /* 1861134 */     GIR_EraseRootFromParent_Done,
     /* 1861135 */   // Label 25123: @1861135
     /* 1861135 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1861224), // Rule ID 14034 //
     /* 1861140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861186 */     // MIs[0] policy
     /* 1861186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861223 */     // GIR_Coverage, 14034,
     /* 1861223 */     GIR_EraseRootFromParent_Done,
     /* 1861224 */   // Label 25124: @1861224
     /* 1861224 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1861313), // Rule ID 14035 //
     /* 1861229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861275 */     // MIs[0] policy
     /* 1861275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861285 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861312 */     // GIR_Coverage, 14035,
     /* 1861312 */     GIR_EraseRootFromParent_Done,
     /* 1861313 */   // Label 25125: @1861313
     /* 1861313 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1861402), // Rule ID 14038 //
     /* 1861318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861364 */     // MIs[0] policy
     /* 1861364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861401 */     // GIR_Coverage, 14038,
     /* 1861401 */     GIR_EraseRootFromParent_Done,
     /* 1861402 */   // Label 25126: @1861402
     /* 1861402 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1861491), // Rule ID 14039 //
     /* 1861407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861453 */     // MIs[0] policy
     /* 1861453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861490 */     // GIR_Coverage, 14039,
     /* 1861490 */     GIR_EraseRootFromParent_Done,
     /* 1861491 */   // Label 25127: @1861491
     /* 1861491 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1861580), // Rule ID 14042 //
     /* 1861496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861542 */     // MIs[0] policy
     /* 1861542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861579 */     // GIR_Coverage, 14042,
     /* 1861579 */     GIR_EraseRootFromParent_Done,
     /* 1861580 */   // Label 25128: @1861580
     /* 1861580 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1861669), // Rule ID 14043 //
     /* 1861585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861631 */     // MIs[0] policy
     /* 1861631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861641 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861668 */     // GIR_Coverage, 14043,
     /* 1861668 */     GIR_EraseRootFromParent_Done,
     /* 1861669 */   // Label 25129: @1861669
     /* 1861669 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1861758), // Rule ID 14046 //
     /* 1861674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861720 */     // MIs[0] policy
     /* 1861720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861757 */     // GIR_Coverage, 14046,
     /* 1861757 */     GIR_EraseRootFromParent_Done,
     /* 1861758 */   // Label 25130: @1861758
     /* 1861758 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1861847), // Rule ID 14047 //
     /* 1861763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861809 */     // MIs[0] policy
     /* 1861809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861846 */     // GIR_Coverage, 14047,
     /* 1861846 */     GIR_EraseRootFromParent_Done,
     /* 1861847 */   // Label 25131: @1861847
     /* 1861847 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1861936), // Rule ID 14050 //
     /* 1861852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861898 */     // MIs[0] policy
     /* 1861898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861935 */     // GIR_Coverage, 14050,
     /* 1861935 */     GIR_EraseRootFromParent_Done,
     /* 1861936 */   // Label 25132: @1861936
     /* 1861936 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1862025), // Rule ID 14051 //
     /* 1861941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861987 */     // MIs[0] policy
     /* 1861987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862024 */     // GIR_Coverage, 14051,
     /* 1862024 */     GIR_EraseRootFromParent_Done,
     /* 1862025 */   // Label 25133: @1862025
     /* 1862025 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862114), // Rule ID 14054 //
     /* 1862030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862076 */     // MIs[0] policy
     /* 1862076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862113 */     // GIR_Coverage, 14054,
     /* 1862113 */     GIR_EraseRootFromParent_Done,
     /* 1862114 */   // Label 25134: @1862114
     /* 1862114 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1862203), // Rule ID 14055 //
     /* 1862119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862165 */     // MIs[0] policy
     /* 1862165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862175 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862202 */     // GIR_Coverage, 14055,
     /* 1862202 */     GIR_EraseRootFromParent_Done,
     /* 1862203 */   // Label 25135: @1862203
     /* 1862203 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1862292), // Rule ID 14058 //
     /* 1862208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862254 */     // MIs[0] policy
     /* 1862254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862291 */     // GIR_Coverage, 14058,
     /* 1862291 */     GIR_EraseRootFromParent_Done,
     /* 1862292 */   // Label 25136: @1862292
     /* 1862292 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1862381), // Rule ID 14059 //
     /* 1862297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862343 */     // MIs[0] policy
     /* 1862343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862380 */     // GIR_Coverage, 14059,
     /* 1862380 */     GIR_EraseRootFromParent_Done,
     /* 1862381 */   // Label 25137: @1862381
     /* 1862381 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1862470), // Rule ID 14062 //
     /* 1862386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862432 */     // MIs[0] policy
     /* 1862432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862469 */     // GIR_Coverage, 14062,
     /* 1862469 */     GIR_EraseRootFromParent_Done,
     /* 1862470 */   // Label 25138: @1862470
     /* 1862470 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1862559), // Rule ID 14063 //
     /* 1862475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862521 */     // MIs[0] policy
     /* 1862521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862558 */     // GIR_Coverage, 14063,
     /* 1862558 */     GIR_EraseRootFromParent_Done,
     /* 1862559 */   // Label 25139: @1862559
     /* 1862559 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1862648), // Rule ID 14066 //
     /* 1862564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862610 */     // MIs[0] policy
     /* 1862610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862647 */     // GIR_Coverage, 14066,
     /* 1862647 */     GIR_EraseRootFromParent_Done,
     /* 1862648 */   // Label 25140: @1862648
     /* 1862648 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1862737), // Rule ID 14067 //
     /* 1862653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862699 */     // MIs[0] policy
     /* 1862699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862736 */     // GIR_Coverage, 14067,
     /* 1862736 */     GIR_EraseRootFromParent_Done,
     /* 1862737 */   // Label 25141: @1862737
     /* 1862737 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1862826), // Rule ID 14070 //
     /* 1862742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862788 */     // MIs[0] policy
     /* 1862788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862825 */     // GIR_Coverage, 14070,
     /* 1862825 */     GIR_EraseRootFromParent_Done,
     /* 1862826 */   // Label 25142: @1862826
     /* 1862826 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1862915), // Rule ID 14071 //
     /* 1862831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862877 */     // MIs[0] policy
     /* 1862877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862887 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862914 */     // GIR_Coverage, 14071,
     /* 1862914 */     GIR_EraseRootFromParent_Done,
     /* 1862915 */   // Label 25143: @1862915
     /* 1862915 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1863004), // Rule ID 14074 //
     /* 1862920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862966 */     // MIs[0] policy
     /* 1862966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863003 */     // GIR_Coverage, 14074,
     /* 1863003 */     GIR_EraseRootFromParent_Done,
     /* 1863004 */   // Label 25144: @1863004
     /* 1863004 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863093), // Rule ID 14075 //
     /* 1863009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1863020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1863023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1863026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1863032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863055 */     // MIs[0] policy
     /* 1863055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863092 */     // GIR_Coverage, 14075,
     /* 1863092 */     GIR_EraseRootFromParent_Done,
     /* 1863093 */   // Label 25145: @1863093
     /* 1863093 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1863182), // Rule ID 14078 //
     /* 1863098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863144 */     // MIs[0] policy
     /* 1863144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863181 */     // GIR_Coverage, 14078,
     /* 1863181 */     GIR_EraseRootFromParent_Done,
     /* 1863182 */   // Label 25146: @1863182
     /* 1863182 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1863271), // Rule ID 14079 //
     /* 1863187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863233 */     // MIs[0] policy
     /* 1863233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863270 */     // GIR_Coverage, 14079,
     /* 1863270 */     GIR_EraseRootFromParent_Done,
     /* 1863271 */   // Label 25147: @1863271
     /* 1863271 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1863360), // Rule ID 14082 //
     /* 1863276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863322 */     // MIs[0] policy
     /* 1863322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863359 */     // GIR_Coverage, 14082,
     /* 1863359 */     GIR_EraseRootFromParent_Done,
     /* 1863360 */   // Label 25148: @1863360
     /* 1863360 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1863449), // Rule ID 14083 //
     /* 1863365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863411 */     // MIs[0] policy
     /* 1863411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863448 */     // GIR_Coverage, 14083,
     /* 1863448 */     GIR_EraseRootFromParent_Done,
     /* 1863449 */   // Label 25149: @1863449
     /* 1863449 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1863538), // Rule ID 14086 //
     /* 1863454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863500 */     // MIs[0] policy
     /* 1863500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863537 */     // GIR_Coverage, 14086,
     /* 1863537 */     GIR_EraseRootFromParent_Done,
     /* 1863538 */   // Label 25150: @1863538
     /* 1863538 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1863627), // Rule ID 14087 //
     /* 1863543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863589 */     // MIs[0] policy
     /* 1863589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863626 */     // GIR_Coverage, 14087,
     /* 1863626 */     GIR_EraseRootFromParent_Done,
     /* 1863627 */   // Label 25151: @1863627
     /* 1863627 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1863716), // Rule ID 14090 //
     /* 1863632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863678 */     // MIs[0] policy
     /* 1863678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863715 */     // GIR_Coverage, 14090,
     /* 1863715 */     GIR_EraseRootFromParent_Done,
     /* 1863716 */   // Label 25152: @1863716
     /* 1863716 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1863805), // Rule ID 14091 //
     /* 1863721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863767 */     // MIs[0] policy
     /* 1863767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863804 */     // GIR_Coverage, 14091,
     /* 1863804 */     GIR_EraseRootFromParent_Done,
     /* 1863805 */   // Label 25153: @1863805
     /* 1863805 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1863894), // Rule ID 14094 //
     /* 1863810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863856 */     // MIs[0] policy
     /* 1863856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863893 */     // GIR_Coverage, 14094,
     /* 1863893 */     GIR_EraseRootFromParent_Done,
     /* 1863894 */   // Label 25154: @1863894
     /* 1863894 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1863983), // Rule ID 14095 //
     /* 1863899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863945 */     // MIs[0] policy
     /* 1863945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863982 */     // GIR_Coverage, 14095,
     /* 1863982 */     GIR_EraseRootFromParent_Done,
     /* 1863983 */   // Label 25155: @1863983
     /* 1863983 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1864072), // Rule ID 14098 //
     /* 1863988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1863999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864034 */     // MIs[0] policy
     /* 1864034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864071 */     // GIR_Coverage, 14098,
     /* 1864071 */     GIR_EraseRootFromParent_Done,
     /* 1864072 */   // Label 25156: @1864072
     /* 1864072 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1864161), // Rule ID 14099 //
     /* 1864077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864123 */     // MIs[0] policy
     /* 1864123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864160 */     // GIR_Coverage, 14099,
     /* 1864160 */     GIR_EraseRootFromParent_Done,
     /* 1864161 */   // Label 25157: @1864161
     /* 1864161 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1864250), // Rule ID 14102 //
     /* 1864166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864212 */     // MIs[0] policy
     /* 1864212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1864225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864249 */     // GIR_Coverage, 14102,
     /* 1864249 */     GIR_EraseRootFromParent_Done,
     /* 1864250 */   // Label 25158: @1864250
     /* 1864250 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1864339), // Rule ID 14103 //
     /* 1864255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864301 */     // MIs[0] policy
     /* 1864301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864311 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1864314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864338 */     // GIR_Coverage, 14103,
     /* 1864338 */     GIR_EraseRootFromParent_Done,
     /* 1864339 */   // Label 25159: @1864339
     /* 1864339 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1864428), // Rule ID 14106 //
     /* 1864344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864390 */     // MIs[0] policy
     /* 1864390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864427 */     // GIR_Coverage, 14106,
     /* 1864427 */     GIR_EraseRootFromParent_Done,
     /* 1864428 */   // Label 25160: @1864428
     /* 1864428 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1864517), // Rule ID 14107 //
     /* 1864433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864479 */     // MIs[0] policy
     /* 1864479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864516 */     // GIR_Coverage, 14107,
     /* 1864516 */     GIR_EraseRootFromParent_Done,
     /* 1864517 */   // Label 25161: @1864517
     /* 1864517 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1864606), // Rule ID 14110 //
     /* 1864522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864568 */     // MIs[0] policy
     /* 1864568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864605 */     // GIR_Coverage, 14110,
     /* 1864605 */     GIR_EraseRootFromParent_Done,
     /* 1864606 */   // Label 25162: @1864606
     /* 1864606 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1864695), // Rule ID 14111 //
     /* 1864611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864657 */     // MIs[0] policy
     /* 1864657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864694 */     // GIR_Coverage, 14111,
     /* 1864694 */     GIR_EraseRootFromParent_Done,
     /* 1864695 */   // Label 25163: @1864695
     /* 1864695 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1864784), // Rule ID 14202 //
     /* 1864700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864746 */     // MIs[0] policy
     /* 1864746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864783 */     // GIR_Coverage, 14202,
     /* 1864783 */     GIR_EraseRootFromParent_Done,
     /* 1864784 */   // Label 25164: @1864784
     /* 1864784 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1864873), // Rule ID 14203 //
     /* 1864789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864835 */     // MIs[0] policy
     /* 1864835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864845 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864872 */     // GIR_Coverage, 14203,
     /* 1864872 */     GIR_EraseRootFromParent_Done,
     /* 1864873 */   // Label 25165: @1864873
     /* 1864873 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1864962), // Rule ID 14206 //
     /* 1864878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864924 */     // MIs[0] policy
     /* 1864924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864961 */     // GIR_Coverage, 14206,
     /* 1864961 */     GIR_EraseRootFromParent_Done,
     /* 1864962 */   // Label 25166: @1864962
     /* 1864962 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1865051), // Rule ID 14207 //
     /* 1864967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865013 */     // MIs[0] policy
     /* 1865013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865023 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865050 */     // GIR_Coverage, 14207,
     /* 1865050 */     GIR_EraseRootFromParent_Done,
     /* 1865051 */   // Label 25167: @1865051
     /* 1865051 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1865140), // Rule ID 14210 //
     /* 1865056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865102 */     // MIs[0] policy
     /* 1865102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865139 */     // GIR_Coverage, 14210,
     /* 1865139 */     GIR_EraseRootFromParent_Done,
     /* 1865140 */   // Label 25168: @1865140
     /* 1865140 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1865229), // Rule ID 14211 //
     /* 1865145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865191 */     // MIs[0] policy
     /* 1865191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865201 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865228 */     // GIR_Coverage, 14211,
     /* 1865228 */     GIR_EraseRootFromParent_Done,
     /* 1865229 */   // Label 25169: @1865229
     /* 1865229 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1865318), // Rule ID 14214 //
     /* 1865234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1865254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865280 */     // MIs[0] policy
     /* 1865280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865317 */     // GIR_Coverage, 14214,
     /* 1865317 */     GIR_EraseRootFromParent_Done,
     /* 1865318 */   // Label 25170: @1865318
     /* 1865318 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1865407), // Rule ID 14215 //
     /* 1865323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1865343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865369 */     // MIs[0] policy
     /* 1865369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865379 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1865382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865406 */     // GIR_Coverage, 14215,
     /* 1865406 */     GIR_EraseRootFromParent_Done,
     /* 1865407 */   // Label 25171: @1865407
     /* 1865407 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1865496), // Rule ID 14218 //
     /* 1865412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865458 */     // MIs[0] policy
     /* 1865458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865495 */     // GIR_Coverage, 14218,
     /* 1865495 */     GIR_EraseRootFromParent_Done,
     /* 1865496 */   // Label 25172: @1865496
     /* 1865496 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1865585), // Rule ID 14219 //
     /* 1865501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865547 */     // MIs[0] policy
     /* 1865547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865557 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865584 */     // GIR_Coverage, 14219,
     /* 1865584 */     GIR_EraseRootFromParent_Done,
     /* 1865585 */   // Label 25173: @1865585
     /* 1865585 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1865674), // Rule ID 14222 //
     /* 1865590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865636 */     // MIs[0] policy
     /* 1865636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865673 */     // GIR_Coverage, 14222,
     /* 1865673 */     GIR_EraseRootFromParent_Done,
     /* 1865674 */   // Label 25174: @1865674
     /* 1865674 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1865763), // Rule ID 14223 //
     /* 1865679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865725 */     // MIs[0] policy
     /* 1865725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865762 */     // GIR_Coverage, 14223,
     /* 1865762 */     GIR_EraseRootFromParent_Done,
     /* 1865763 */   // Label 25175: @1865763
     /* 1865763 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1865852), // Rule ID 14226 //
     /* 1865768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865814 */     // MIs[0] policy
     /* 1865814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865851 */     // GIR_Coverage, 14226,
     /* 1865851 */     GIR_EraseRootFromParent_Done,
     /* 1865852 */   // Label 25176: @1865852
     /* 1865852 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1865941), // Rule ID 14227 //
     /* 1865857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865903 */     // MIs[0] policy
     /* 1865903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865913 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865940 */     // GIR_Coverage, 14227,
     /* 1865940 */     GIR_EraseRootFromParent_Done,
     /* 1865941 */   // Label 25177: @1865941
     /* 1865941 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1866030), // Rule ID 14230 //
     /* 1865946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865992 */     // MIs[0] policy
     /* 1865992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866029 */     // GIR_Coverage, 14230,
     /* 1866029 */     GIR_EraseRootFromParent_Done,
     /* 1866030 */   // Label 25178: @1866030
     /* 1866030 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866119), // Rule ID 14231 //
     /* 1866035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1866046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1866049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1866052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1866055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866081 */     // MIs[0] policy
     /* 1866081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866118 */     // GIR_Coverage, 14231,
     /* 1866118 */     GIR_EraseRootFromParent_Done,
     /* 1866119 */   // Label 25179: @1866119
     /* 1866119 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1866208), // Rule ID 14234 //
     /* 1866124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1866144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866170 */     // MIs[0] policy
     /* 1866170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866207 */     // GIR_Coverage, 14234,
     /* 1866207 */     GIR_EraseRootFromParent_Done,
     /* 1866208 */   // Label 25180: @1866208
     /* 1866208 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1866297), // Rule ID 14235 //
     /* 1866213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1866233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866259 */     // MIs[0] policy
     /* 1866259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866296 */     // GIR_Coverage, 14235,
     /* 1866296 */     GIR_EraseRootFromParent_Done,
     /* 1866297 */   // Label 25181: @1866297
     /* 1866297 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1866386), // Rule ID 14238 //
     /* 1866302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866348 */     // MIs[0] policy
     /* 1866348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866385 */     // GIR_Coverage, 14238,
     /* 1866385 */     GIR_EraseRootFromParent_Done,
     /* 1866386 */   // Label 25182: @1866386
     /* 1866386 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1866475), // Rule ID 14239 //
     /* 1866391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866437 */     // MIs[0] policy
     /* 1866437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866474 */     // GIR_Coverage, 14239,
     /* 1866474 */     GIR_EraseRootFromParent_Done,
     /* 1866475 */   // Label 25183: @1866475
     /* 1866475 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1866564), // Rule ID 14242 //
     /* 1866480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866526 */     // MIs[0] policy
     /* 1866526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866563 */     // GIR_Coverage, 14242,
     /* 1866563 */     GIR_EraseRootFromParent_Done,
     /* 1866564 */   // Label 25184: @1866564
     /* 1866564 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1866653), // Rule ID 14243 //
     /* 1866569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866615 */     // MIs[0] policy
     /* 1866615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866625 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866652 */     // GIR_Coverage, 14243,
     /* 1866652 */     GIR_EraseRootFromParent_Done,
     /* 1866653 */   // Label 25185: @1866653
     /* 1866653 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1866742), // Rule ID 14246 //
     /* 1866658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866704 */     // MIs[0] policy
     /* 1866704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866741 */     // GIR_Coverage, 14246,
     /* 1866741 */     GIR_EraseRootFromParent_Done,
     /* 1866742 */   // Label 25186: @1866742
     /* 1866742 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1866831), // Rule ID 14247 //
     /* 1866747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866793 */     // MIs[0] policy
     /* 1866793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866830 */     // GIR_Coverage, 14247,
     /* 1866830 */     GIR_EraseRootFromParent_Done,
     /* 1866831 */   // Label 25187: @1866831
     /* 1866831 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1866920), // Rule ID 14250 //
     /* 1866836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866882 */     // MIs[0] policy
     /* 1866882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866919 */     // GIR_Coverage, 14250,
     /* 1866919 */     GIR_EraseRootFromParent_Done,
     /* 1866920 */   // Label 25188: @1866920
     /* 1866920 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1867009), // Rule ID 14251 //
     /* 1866925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866971 */     // MIs[0] policy
     /* 1866971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866981 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867008 */     // GIR_Coverage, 14251,
     /* 1867008 */     GIR_EraseRootFromParent_Done,
     /* 1867009 */   // Label 25189: @1867009
     /* 1867009 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867098), // Rule ID 14254 //
     /* 1867014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1867034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867060 */     // MIs[0] policy
     /* 1867060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867097 */     // GIR_Coverage, 14254,
     /* 1867097 */     GIR_EraseRootFromParent_Done,
     /* 1867098 */   // Label 25190: @1867098
     /* 1867098 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1867187), // Rule ID 14255 //
     /* 1867103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1867123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867149 */     // MIs[0] policy
     /* 1867149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867186 */     // GIR_Coverage, 14255,
     /* 1867186 */     GIR_EraseRootFromParent_Done,
     /* 1867187 */   // Label 25191: @1867187
     /* 1867187 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1867276), // Rule ID 14258 //
     /* 1867192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1867212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867238 */     // MIs[0] policy
     /* 1867238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867275 */     // GIR_Coverage, 14258,
     /* 1867275 */     GIR_EraseRootFromParent_Done,
     /* 1867276 */   // Label 25192: @1867276
     /* 1867276 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1867365), // Rule ID 14259 //
     /* 1867281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1867301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867327 */     // MIs[0] policy
     /* 1867327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867364 */     // GIR_Coverage, 14259,
     /* 1867364 */     GIR_EraseRootFromParent_Done,
     /* 1867365 */   // Label 25193: @1867365
     /* 1867365 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1867454), // Rule ID 14262 //
     /* 1867370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867416 */     // MIs[0] policy
     /* 1867416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867453 */     // GIR_Coverage, 14262,
     /* 1867453 */     GIR_EraseRootFromParent_Done,
     /* 1867454 */   // Label 25194: @1867454
     /* 1867454 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1867543), // Rule ID 14263 //
     /* 1867459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867505 */     // MIs[0] policy
     /* 1867505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867542 */     // GIR_Coverage, 14263,
     /* 1867542 */     GIR_EraseRootFromParent_Done,
     /* 1867543 */   // Label 25195: @1867543
     /* 1867543 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1867632), // Rule ID 14266 //
     /* 1867548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867594 */     // MIs[0] policy
     /* 1867594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867631 */     // GIR_Coverage, 14266,
     /* 1867631 */     GIR_EraseRootFromParent_Done,
     /* 1867632 */   // Label 25196: @1867632
     /* 1867632 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1867721), // Rule ID 14267 //
     /* 1867637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867683 */     // MIs[0] policy
     /* 1867683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867720 */     // GIR_Coverage, 14267,
     /* 1867720 */     GIR_EraseRootFromParent_Done,
     /* 1867721 */   // Label 25197: @1867721
     /* 1867721 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1867810), // Rule ID 14270 //
     /* 1867726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867772 */     // MIs[0] policy
     /* 1867772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867809 */     // GIR_Coverage, 14270,
     /* 1867809 */     GIR_EraseRootFromParent_Done,
     /* 1867810 */   // Label 25198: @1867810
     /* 1867810 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1867899), // Rule ID 14271 //
     /* 1867815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867861 */     // MIs[0] policy
     /* 1867861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867898 */     // GIR_Coverage, 14271,
     /* 1867898 */     GIR_EraseRootFromParent_Done,
     /* 1867899 */   // Label 25199: @1867899
     /* 1867899 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1867988), // Rule ID 14274 //
     /* 1867904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867950 */     // MIs[0] policy
     /* 1867950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867987 */     // GIR_Coverage, 14274,
     /* 1867987 */     GIR_EraseRootFromParent_Done,
     /* 1867988 */   // Label 25200: @1867988
     /* 1867988 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868077), // Rule ID 14275 //
     /* 1867993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1868004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1868007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1868010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1868013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868039 */     // MIs[0] policy
     /* 1868039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868076 */     // GIR_Coverage, 14275,
     /* 1868076 */     GIR_EraseRootFromParent_Done,
     /* 1868077 */   // Label 25201: @1868077
     /* 1868077 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1868166), // Rule ID 14278 //
     /* 1868082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1868102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868128 */     // MIs[0] policy
     /* 1868128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1868141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868165 */     // GIR_Coverage, 14278,
     /* 1868165 */     GIR_EraseRootFromParent_Done,
     /* 1868166 */   // Label 25202: @1868166
     /* 1868166 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1868255), // Rule ID 14279 //
     /* 1868171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1868191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868217 */     // MIs[0] policy
     /* 1868217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1868230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868254 */     // GIR_Coverage, 14279,
     /* 1868254 */     GIR_EraseRootFromParent_Done,
     /* 1868255 */   // Label 25203: @1868255
     /* 1868255 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1868344), // Rule ID 14282 //
     /* 1868260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1868280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868306 */     // MIs[0] policy
     /* 1868306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1868319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868343 */     // GIR_Coverage, 14282,
     /* 1868343 */     GIR_EraseRootFromParent_Done,
     /* 1868344 */   // Label 25204: @1868344
     /* 1868344 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1868433), // Rule ID 14283 //
     /* 1868349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1868369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868395 */     // MIs[0] policy
     /* 1868395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1868408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868432 */     // GIR_Coverage, 14283,
     /* 1868432 */     GIR_EraseRootFromParent_Done,
     /* 1868433 */   // Label 25205: @1868433
     /* 1868433 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1868522), // Rule ID 14286 //
     /* 1868438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868484 */     // MIs[0] policy
     /* 1868484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868521 */     // GIR_Coverage, 14286,
     /* 1868521 */     GIR_EraseRootFromParent_Done,
     /* 1868522 */   // Label 25206: @1868522
     /* 1868522 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1868611), // Rule ID 14287 //
     /* 1868527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868573 */     // MIs[0] policy
     /* 1868573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868610 */     // GIR_Coverage, 14287,
     /* 1868610 */     GIR_EraseRootFromParent_Done,
     /* 1868611 */   // Label 25207: @1868611
     /* 1868611 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1868700), // Rule ID 14290 //
     /* 1868616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868662 */     // MIs[0] policy
     /* 1868662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868699 */     // GIR_Coverage, 14290,
     /* 1868699 */     GIR_EraseRootFromParent_Done,
     /* 1868700 */   // Label 25208: @1868700
     /* 1868700 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1868789), // Rule ID 14291 //
     /* 1868705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868751 */     // MIs[0] policy
     /* 1868751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868761 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868788 */     // GIR_Coverage, 14291,
     /* 1868788 */     GIR_EraseRootFromParent_Done,
     /* 1868789 */   // Label 25209: @1868789
     /* 1868789 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1868878), // Rule ID 14294 //
     /* 1868794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868840 */     // MIs[0] policy
     /* 1868840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868850 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868877 */     // GIR_Coverage, 14294,
     /* 1868877 */     GIR_EraseRootFromParent_Done,
     /* 1868878 */   // Label 25210: @1868878
     /* 1868878 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1868967), // Rule ID 14295 //
     /* 1868883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868929 */     // MIs[0] policy
     /* 1868929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868939 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868966 */     // GIR_Coverage, 14295,
     /* 1868966 */     GIR_EraseRootFromParent_Done,
     /* 1868967 */   // Label 25211: @1868967
     /* 1868967 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1869056), // Rule ID 14298 //
     /* 1868972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869018 */     // MIs[0] policy
     /* 1869018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869055 */     // GIR_Coverage, 14298,
     /* 1869055 */     GIR_EraseRootFromParent_Done,
     /* 1869056 */   // Label 25212: @1869056
     /* 1869056 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1869145), // Rule ID 14299 //
     /* 1869061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1869072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1869075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1869078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869107 */     // MIs[0] policy
     /* 1869107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869117 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869144 */     // GIR_Coverage, 14299,
     /* 1869144 */     GIR_EraseRootFromParent_Done,
     /* 1869145 */   // Label 25213: @1869145
     /* 1869145 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1869234), // Rule ID 14302 //
     /* 1869150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869196 */     // MIs[0] policy
     /* 1869196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1869209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869233 */     // GIR_Coverage, 14302,
     /* 1869233 */     GIR_EraseRootFromParent_Done,
     /* 1869234 */   // Label 25214: @1869234
     /* 1869234 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1869323), // Rule ID 14303 //
     /* 1869239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869285 */     // MIs[0] policy
     /* 1869285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869295 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1869298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869322 */     // GIR_Coverage, 14303,
     /* 1869322 */     GIR_EraseRootFromParent_Done,
     /* 1869323 */   // Label 25215: @1869323
     /* 1869323 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1869412), // Rule ID 14306 //
     /* 1869328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869374 */     // MIs[0] policy
     /* 1869374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869411 */     // GIR_Coverage, 14306,
     /* 1869411 */     GIR_EraseRootFromParent_Done,
     /* 1869412 */   // Label 25216: @1869412
     /* 1869412 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1869501), // Rule ID 14307 //
     /* 1869417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869463 */     // MIs[0] policy
     /* 1869463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869500 */     // GIR_Coverage, 14307,
     /* 1869500 */     GIR_EraseRootFromParent_Done,
     /* 1869501 */   // Label 25217: @1869501
     /* 1869501 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1869590), // Rule ID 14310 //
     /* 1869506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869552 */     // MIs[0] policy
     /* 1869552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869589 */     // GIR_Coverage, 14310,
     /* 1869589 */     GIR_EraseRootFromParent_Done,
     /* 1869590 */   // Label 25218: @1869590
     /* 1869590 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1869679), // Rule ID 14311 //
     /* 1869595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869641 */     // MIs[0] policy
     /* 1869641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869678 */     // GIR_Coverage, 14311,
     /* 1869678 */     GIR_EraseRootFromParent_Done,
     /* 1869679 */   // Label 25219: @1869679
     /* 1869679 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1869768), // Rule ID 14314 //
     /* 1869684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869730 */     // MIs[0] policy
     /* 1869730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869767 */     // GIR_Coverage, 14314,
     /* 1869767 */     GIR_EraseRootFromParent_Done,
     /* 1869768 */   // Label 25220: @1869768
     /* 1869768 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1869857), // Rule ID 14315 //
     /* 1869773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869819 */     // MIs[0] policy
     /* 1869819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869856 */     // GIR_Coverage, 14315,
     /* 1869856 */     GIR_EraseRootFromParent_Done,
     /* 1869857 */   // Label 25221: @1869857
     /* 1869857 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1869946), // Rule ID 14318 //
     /* 1869862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869908 */     // MIs[0] policy
     /* 1869908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869945 */     // GIR_Coverage, 14318,
     /* 1869945 */     GIR_EraseRootFromParent_Done,
     /* 1869946 */   // Label 25222: @1869946
     /* 1869946 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1870035), // Rule ID 14319 //
     /* 1869951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869997 */     // MIs[0] policy
     /* 1869997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870034 */     // GIR_Coverage, 14319,
     /* 1870034 */     GIR_EraseRootFromParent_Done,
     /* 1870035 */   // Label 25223: @1870035
     /* 1870035 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870124), // Rule ID 14322 //
     /* 1870040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870086 */     // MIs[0] policy
     /* 1870086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870123 */     // GIR_Coverage, 14322,
     /* 1870123 */     GIR_EraseRootFromParent_Done,
     /* 1870124 */   // Label 25224: @1870124
     /* 1870124 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1870213), // Rule ID 14323 //
     /* 1870129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870175 */     // MIs[0] policy
     /* 1870175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870212 */     // GIR_Coverage, 14323,
     /* 1870212 */     GIR_EraseRootFromParent_Done,
     /* 1870213 */   // Label 25225: @1870213
     /* 1870213 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1870302), // Rule ID 14326 //
     /* 1870218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870264 */     // MIs[0] policy
     /* 1870264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870301 */     // GIR_Coverage, 14326,
     /* 1870301 */     GIR_EraseRootFromParent_Done,
     /* 1870302 */   // Label 25226: @1870302
     /* 1870302 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1870391), // Rule ID 14327 //
     /* 1870307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870353 */     // MIs[0] policy
     /* 1870353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1870366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870390 */     // GIR_Coverage, 14327,
     /* 1870390 */     GIR_EraseRootFromParent_Done,
     /* 1870391 */   // Label 25227: @1870391
     /* 1870391 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1870480), // Rule ID 14330 //
     /* 1870396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870442 */     // MIs[0] policy
     /* 1870442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870452 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870479 */     // GIR_Coverage, 14330,
     /* 1870479 */     GIR_EraseRootFromParent_Done,
     /* 1870480 */   // Label 25228: @1870480
     /* 1870480 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1870569), // Rule ID 14331 //
     /* 1870485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870531 */     // MIs[0] policy
     /* 1870531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870568 */     // GIR_Coverage, 14331,
     /* 1870568 */     GIR_EraseRootFromParent_Done,
     /* 1870569 */   // Label 25229: @1870569
     /* 1870569 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1870658), // Rule ID 14334 //
     /* 1870574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870620 */     // MIs[0] policy
     /* 1870620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870657 */     // GIR_Coverage, 14334,
     /* 1870657 */     GIR_EraseRootFromParent_Done,
     /* 1870658 */   // Label 25230: @1870658
     /* 1870658 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1870747), // Rule ID 14335 //
     /* 1870663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870709 */     // MIs[0] policy
     /* 1870709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870746 */     // GIR_Coverage, 14335,
     /* 1870746 */     GIR_EraseRootFromParent_Done,
     /* 1870747 */   // Label 25231: @1870747
     /* 1870747 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1870836), // Rule ID 14338 //
     /* 1870752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870798 */     // MIs[0] policy
     /* 1870798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870835 */     // GIR_Coverage, 14338,
     /* 1870835 */     GIR_EraseRootFromParent_Done,
     /* 1870836 */   // Label 25232: @1870836
     /* 1870836 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1870925), // Rule ID 14339 //
     /* 1870841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870887 */     // MIs[0] policy
     /* 1870887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870924 */     // GIR_Coverage, 14339,
     /* 1870924 */     GIR_EraseRootFromParent_Done,
     /* 1870925 */   // Label 25233: @1870925
     /* 1870925 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1871014), // Rule ID 14342 //
     /* 1870930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870976 */     // MIs[0] policy
     /* 1870976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871013 */     // GIR_Coverage, 14342,
     /* 1871013 */     GIR_EraseRootFromParent_Done,
     /* 1871014 */   // Label 25234: @1871014
     /* 1871014 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871103), // Rule ID 14343 //
     /* 1871019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1871030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1871033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1871036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871065 */     // MIs[0] policy
     /* 1871065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871102 */     // GIR_Coverage, 14343,
     /* 1871102 */     GIR_EraseRootFromParent_Done,
     /* 1871103 */   // Label 25235: @1871103
     /* 1871103 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1871192), // Rule ID 14346 //
     /* 1871108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871154 */     // MIs[0] policy
     /* 1871154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871191 */     // GIR_Coverage, 14346,
     /* 1871191 */     GIR_EraseRootFromParent_Done,
     /* 1871192 */   // Label 25236: @1871192
     /* 1871192 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1871281), // Rule ID 14347 //
     /* 1871197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871243 */     // MIs[0] policy
     /* 1871243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871280 */     // GIR_Coverage, 14347,
     /* 1871280 */     GIR_EraseRootFromParent_Done,
     /* 1871281 */   // Label 25237: @1871281
     /* 1871281 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1871370), // Rule ID 14350 //
     /* 1871286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871332 */     // MIs[0] policy
     /* 1871332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871369 */     // GIR_Coverage, 14350,
     /* 1871369 */     GIR_EraseRootFromParent_Done,
     /* 1871370 */   // Label 25238: @1871370
     /* 1871370 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1871459), // Rule ID 14351 //
     /* 1871375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871421 */     // MIs[0] policy
     /* 1871421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871458 */     // GIR_Coverage, 14351,
     /* 1871458 */     GIR_EraseRootFromParent_Done,
     /* 1871459 */   // Label 25239: @1871459
     /* 1871459 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1871548), // Rule ID 14354 //
     /* 1871464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871510 */     // MIs[0] policy
     /* 1871510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871547 */     // GIR_Coverage, 14354,
     /* 1871547 */     GIR_EraseRootFromParent_Done,
     /* 1871548 */   // Label 25240: @1871548
     /* 1871548 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1871637), // Rule ID 14355 //
     /* 1871553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871599 */     // MIs[0] policy
     /* 1871599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871636 */     // GIR_Coverage, 14355,
     /* 1871636 */     GIR_EraseRootFromParent_Done,
     /* 1871637 */   // Label 25241: @1871637
     /* 1871637 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1871726), // Rule ID 14358 //
     /* 1871642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871688 */     // MIs[0] policy
     /* 1871688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871725 */     // GIR_Coverage, 14358,
     /* 1871725 */     GIR_EraseRootFromParent_Done,
     /* 1871726 */   // Label 25242: @1871726
     /* 1871726 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1871815), // Rule ID 14359 //
     /* 1871731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871777 */     // MIs[0] policy
     /* 1871777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871814 */     // GIR_Coverage, 14359,
     /* 1871814 */     GIR_EraseRootFromParent_Done,
     /* 1871815 */   // Label 25243: @1871815
     /* 1871815 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1871904), // Rule ID 14362 //
     /* 1871820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871866 */     // MIs[0] policy
     /* 1871866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871903 */     // GIR_Coverage, 14362,
     /* 1871903 */     GIR_EraseRootFromParent_Done,
     /* 1871904 */   // Label 25244: @1871904
     /* 1871904 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1871993), // Rule ID 14363 //
     /* 1871909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871955 */     // MIs[0] policy
     /* 1871955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871992 */     // GIR_Coverage, 14363,
     /* 1871992 */     GIR_EraseRootFromParent_Done,
     /* 1871993 */   // Label 25245: @1871993
     /* 1871993 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872082), // Rule ID 14366 //
     /* 1871998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872044 */     // MIs[0] policy
     /* 1872044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1872057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872081 */     // GIR_Coverage, 14366,
     /* 1872081 */     GIR_EraseRootFromParent_Done,
     /* 1872082 */   // Label 25246: @1872082
     /* 1872082 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1872171), // Rule ID 14367 //
     /* 1872087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872133 */     // MIs[0] policy
     /* 1872133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1872146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872170 */     // GIR_Coverage, 14367,
     /* 1872170 */     GIR_EraseRootFromParent_Done,
     /* 1872171 */   // Label 25247: @1872171
     /* 1872171 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1872260), // Rule ID 14370 //
     /* 1872176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872222 */     // MIs[0] policy
     /* 1872222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1872235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872259 */     // GIR_Coverage, 14370,
     /* 1872259 */     GIR_EraseRootFromParent_Done,
     /* 1872260 */   // Label 25248: @1872260
     /* 1872260 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1872349), // Rule ID 14371 //
     /* 1872265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872311 */     // MIs[0] policy
     /* 1872311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1872324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872348 */     // GIR_Coverage, 14371,
     /* 1872348 */     GIR_EraseRootFromParent_Done,
     /* 1872349 */   // Label 25249: @1872349
     /* 1872349 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1872438), // Rule ID 14374 //
     /* 1872354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872400 */     // MIs[0] policy
     /* 1872400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872437 */     // GIR_Coverage, 14374,
     /* 1872437 */     GIR_EraseRootFromParent_Done,
     /* 1872438 */   // Label 25250: @1872438
     /* 1872438 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1872527), // Rule ID 14375 //
     /* 1872443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872489 */     // MIs[0] policy
     /* 1872489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872526 */     // GIR_Coverage, 14375,
     /* 1872526 */     GIR_EraseRootFromParent_Done,
     /* 1872527 */   // Label 25251: @1872527
     /* 1872527 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1872616), // Rule ID 14466 //
     /* 1872532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872578 */     // MIs[0] policy
     /* 1872578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872615 */     // GIR_Coverage, 14466,
     /* 1872615 */     GIR_EraseRootFromParent_Done,
     /* 1872616 */   // Label 25252: @1872616
     /* 1872616 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1872705), // Rule ID 14467 //
     /* 1872621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872667 */     // MIs[0] policy
     /* 1872667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872704 */     // GIR_Coverage, 14467,
     /* 1872704 */     GIR_EraseRootFromParent_Done,
     /* 1872705 */   // Label 25253: @1872705
     /* 1872705 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1872794), // Rule ID 14470 //
     /* 1872710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872756 */     // MIs[0] policy
     /* 1872756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872793 */     // GIR_Coverage, 14470,
     /* 1872793 */     GIR_EraseRootFromParent_Done,
     /* 1872794 */   // Label 25254: @1872794
     /* 1872794 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1872883), // Rule ID 14471 //
     /* 1872799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872845 */     // MIs[0] policy
     /* 1872845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872882 */     // GIR_Coverage, 14471,
     /* 1872882 */     GIR_EraseRootFromParent_Done,
     /* 1872883 */   // Label 25255: @1872883
     /* 1872883 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1872972), // Rule ID 14474 //
     /* 1872888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872934 */     // MIs[0] policy
     /* 1872934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872971 */     // GIR_Coverage, 14474,
     /* 1872971 */     GIR_EraseRootFromParent_Done,
     /* 1872972 */   // Label 25256: @1872972
     /* 1872972 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1873061), // Rule ID 14475 //
     /* 1872977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873023 */     // MIs[0] policy
     /* 1873023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873033 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873060 */     // GIR_Coverage, 14475,
     /* 1873060 */     GIR_EraseRootFromParent_Done,
     /* 1873061 */   // Label 25257: @1873061
     /* 1873061 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1873150), // Rule ID 14478 //
     /* 1873066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873112 */     // MIs[0] policy
     /* 1873112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1873125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873149 */     // GIR_Coverage, 14478,
     /* 1873149 */     GIR_EraseRootFromParent_Done,
     /* 1873150 */   // Label 25258: @1873150
     /* 1873150 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1873239), // Rule ID 14479 //
     /* 1873155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873201 */     // MIs[0] policy
     /* 1873201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873211 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1873214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873238 */     // GIR_Coverage, 14479,
     /* 1873238 */     GIR_EraseRootFromParent_Done,
     /* 1873239 */   // Label 25259: @1873239
     /* 1873239 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1873328), // Rule ID 14482 //
     /* 1873244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873290 */     // MIs[0] policy
     /* 1873290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873327 */     // GIR_Coverage, 14482,
     /* 1873327 */     GIR_EraseRootFromParent_Done,
     /* 1873328 */   // Label 25260: @1873328
     /* 1873328 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1873417), // Rule ID 14483 //
     /* 1873333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873379 */     // MIs[0] policy
     /* 1873379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873416 */     // GIR_Coverage, 14483,
     /* 1873416 */     GIR_EraseRootFromParent_Done,
     /* 1873417 */   // Label 25261: @1873417
     /* 1873417 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1873506), // Rule ID 14486 //
     /* 1873422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873468 */     // MIs[0] policy
     /* 1873468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873505 */     // GIR_Coverage, 14486,
     /* 1873505 */     GIR_EraseRootFromParent_Done,
     /* 1873506 */   // Label 25262: @1873506
     /* 1873506 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1873595), // Rule ID 14487 //
     /* 1873511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873557 */     // MIs[0] policy
     /* 1873557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873594 */     // GIR_Coverage, 14487,
     /* 1873594 */     GIR_EraseRootFromParent_Done,
     /* 1873595 */   // Label 25263: @1873595
     /* 1873595 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1873684), // Rule ID 14490 //
     /* 1873600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873646 */     // MIs[0] policy
     /* 1873646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873683 */     // GIR_Coverage, 14490,
     /* 1873683 */     GIR_EraseRootFromParent_Done,
     /* 1873684 */   // Label 25264: @1873684
     /* 1873684 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1873773), // Rule ID 14491 //
     /* 1873689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873735 */     // MIs[0] policy
     /* 1873735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873745 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873772 */     // GIR_Coverage, 14491,
     /* 1873772 */     GIR_EraseRootFromParent_Done,
     /* 1873773 */   // Label 25265: @1873773
     /* 1873773 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1873862), // Rule ID 14494 //
     /* 1873778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873824 */     // MIs[0] policy
     /* 1873824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873861 */     // GIR_Coverage, 14494,
     /* 1873861 */     GIR_EraseRootFromParent_Done,
     /* 1873862 */   // Label 25266: @1873862
     /* 1873862 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1873951), // Rule ID 14495 //
     /* 1873867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873913 */     // MIs[0] policy
     /* 1873913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873950 */     // GIR_Coverage, 14495,
     /* 1873950 */     GIR_EraseRootFromParent_Done,
     /* 1873951 */   // Label 25267: @1873951
     /* 1873951 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1874040), // Rule ID 14498 //
     /* 1873956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874002 */     // MIs[0] policy
     /* 1874002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874039 */     // GIR_Coverage, 14498,
     /* 1874039 */     GIR_EraseRootFromParent_Done,
     /* 1874040 */   // Label 25268: @1874040
     /* 1874040 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1874129), // Rule ID 14499 //
     /* 1874045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1874065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874091 */     // MIs[0] policy
     /* 1874091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874128 */     // GIR_Coverage, 14499,
     /* 1874128 */     GIR_EraseRootFromParent_Done,
     /* 1874129 */   // Label 25269: @1874129
     /* 1874129 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1874218), // Rule ID 14502 //
     /* 1874134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874180 */     // MIs[0] policy
     /* 1874180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874217 */     // GIR_Coverage, 14502,
     /* 1874217 */     GIR_EraseRootFromParent_Done,
     /* 1874218 */   // Label 25270: @1874218
     /* 1874218 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1874307), // Rule ID 14503 //
     /* 1874223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874269 */     // MIs[0] policy
     /* 1874269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1874282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874306 */     // GIR_Coverage, 14503,
     /* 1874306 */     GIR_EraseRootFromParent_Done,
     /* 1874307 */   // Label 25271: @1874307
     /* 1874307 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1874396), // Rule ID 14506 //
     /* 1874312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874358 */     // MIs[0] policy
     /* 1874358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874395 */     // GIR_Coverage, 14506,
     /* 1874395 */     GIR_EraseRootFromParent_Done,
     /* 1874396 */   // Label 25272: @1874396
     /* 1874396 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1874485), // Rule ID 14507 //
     /* 1874401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874447 */     // MIs[0] policy
     /* 1874447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874457 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874484 */     // GIR_Coverage, 14507,
     /* 1874484 */     GIR_EraseRootFromParent_Done,
     /* 1874485 */   // Label 25273: @1874485
     /* 1874485 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1874574), // Rule ID 14510 //
     /* 1874490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874536 */     // MIs[0] policy
     /* 1874536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874573 */     // GIR_Coverage, 14510,
     /* 1874573 */     GIR_EraseRootFromParent_Done,
     /* 1874574 */   // Label 25274: @1874574
     /* 1874574 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1874663), // Rule ID 14511 //
     /* 1874579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874625 */     // MIs[0] policy
     /* 1874625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874635 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874662 */     // GIR_Coverage, 14511,
     /* 1874662 */     GIR_EraseRootFromParent_Done,
     /* 1874663 */   // Label 25275: @1874663
     /* 1874663 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1874752), // Rule ID 14514 //
     /* 1874668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874714 */     // MIs[0] policy
     /* 1874714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874751 */     // GIR_Coverage, 14514,
     /* 1874751 */     GIR_EraseRootFromParent_Done,
     /* 1874752 */   // Label 25276: @1874752
     /* 1874752 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1874841), // Rule ID 14515 //
     /* 1874757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874803 */     // MIs[0] policy
     /* 1874803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874813 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874840 */     // GIR_Coverage, 14515,
     /* 1874840 */     GIR_EraseRootFromParent_Done,
     /* 1874841 */   // Label 25277: @1874841
     /* 1874841 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1874930), // Rule ID 14518 //
     /* 1874846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874892 */     // MIs[0] policy
     /* 1874892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874929 */     // GIR_Coverage, 14518,
     /* 1874929 */     GIR_EraseRootFromParent_Done,
     /* 1874930 */   // Label 25278: @1874930
     /* 1874930 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1875019), // Rule ID 14519 //
     /* 1874935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874981 */     // MIs[0] policy
     /* 1874981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875018 */     // GIR_Coverage, 14519,
     /* 1875018 */     GIR_EraseRootFromParent_Done,
     /* 1875019 */   // Label 25279: @1875019
     /* 1875019 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875108), // Rule ID 14522 //
     /* 1875024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875070 */     // MIs[0] policy
     /* 1875070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875107 */     // GIR_Coverage, 14522,
     /* 1875107 */     GIR_EraseRootFromParent_Done,
     /* 1875108 */   // Label 25280: @1875108
     /* 1875108 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1875197), // Rule ID 14523 //
     /* 1875113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875159 */     // MIs[0] policy
     /* 1875159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875196 */     // GIR_Coverage, 14523,
     /* 1875196 */     GIR_EraseRootFromParent_Done,
     /* 1875197 */   // Label 25281: @1875197
     /* 1875197 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1875286), // Rule ID 14526 //
     /* 1875202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1875222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875248 */     // MIs[0] policy
     /* 1875248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875285 */     // GIR_Coverage, 14526,
     /* 1875285 */     GIR_EraseRootFromParent_Done,
     /* 1875286 */   // Label 25282: @1875286
     /* 1875286 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1875375), // Rule ID 14527 //
     /* 1875291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1875311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875337 */     // MIs[0] policy
     /* 1875337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875374 */     // GIR_Coverage, 14527,
     /* 1875374 */     GIR_EraseRootFromParent_Done,
     /* 1875375 */   // Label 25283: @1875375
     /* 1875375 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1875464), // Rule ID 14530 //
     /* 1875380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875426 */     // MIs[0] policy
     /* 1875426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875463 */     // GIR_Coverage, 14530,
     /* 1875463 */     GIR_EraseRootFromParent_Done,
     /* 1875464 */   // Label 25284: @1875464
     /* 1875464 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1875553), // Rule ID 14531 //
     /* 1875469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875515 */     // MIs[0] policy
     /* 1875515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875552 */     // GIR_Coverage, 14531,
     /* 1875552 */     GIR_EraseRootFromParent_Done,
     /* 1875553 */   // Label 25285: @1875553
     /* 1875553 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1875642), // Rule ID 14534 //
     /* 1875558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875604 */     // MIs[0] policy
     /* 1875604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875641 */     // GIR_Coverage, 14534,
     /* 1875641 */     GIR_EraseRootFromParent_Done,
     /* 1875642 */   // Label 25286: @1875642
     /* 1875642 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1875731), // Rule ID 14535 //
     /* 1875647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875693 */     // MIs[0] policy
     /* 1875693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875730 */     // GIR_Coverage, 14535,
     /* 1875730 */     GIR_EraseRootFromParent_Done,
     /* 1875731 */   // Label 25287: @1875731
     /* 1875731 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1875820), // Rule ID 14538 //
     /* 1875736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875782 */     // MIs[0] policy
     /* 1875782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875819 */     // GIR_Coverage, 14538,
     /* 1875819 */     GIR_EraseRootFromParent_Done,
     /* 1875820 */   // Label 25288: @1875820
     /* 1875820 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1875909), // Rule ID 14539 //
     /* 1875825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875871 */     // MIs[0] policy
     /* 1875871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875908 */     // GIR_Coverage, 14539,
     /* 1875908 */     GIR_EraseRootFromParent_Done,
     /* 1875909 */   // Label 25289: @1875909
     /* 1875909 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1875998), // Rule ID 14542 //
     /* 1875914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875960 */     // MIs[0] policy
     /* 1875960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875997 */     // GIR_Coverage, 14542,
     /* 1875997 */     GIR_EraseRootFromParent_Done,
     /* 1875998 */   // Label 25290: @1875998
     /* 1875998 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876087), // Rule ID 14543 //
     /* 1876003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1876023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876049 */     // MIs[0] policy
     /* 1876049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1876062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876086 */     // GIR_Coverage, 14543,
     /* 1876086 */     GIR_EraseRootFromParent_Done,
     /* 1876087 */   // Label 25291: @1876087
     /* 1876087 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1876176), // Rule ID 14546 //
     /* 1876092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1876112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876138 */     // MIs[0] policy
     /* 1876138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1876151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876175 */     // GIR_Coverage, 14546,
     /* 1876175 */     GIR_EraseRootFromParent_Done,
     /* 1876176 */   // Label 25292: @1876176
     /* 1876176 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1876265), // Rule ID 14547 //
     /* 1876181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1876201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876227 */     // MIs[0] policy
     /* 1876227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1876240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876264 */     // GIR_Coverage, 14547,
     /* 1876264 */     GIR_EraseRootFromParent_Done,
     /* 1876265 */   // Label 25293: @1876265
     /* 1876265 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1876354), // Rule ID 14550 //
     /* 1876270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1876290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876316 */     // MIs[0] policy
     /* 1876316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1876329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876353 */     // GIR_Coverage, 14550,
     /* 1876353 */     GIR_EraseRootFromParent_Done,
     /* 1876354 */   // Label 25294: @1876354
     /* 1876354 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1876443), // Rule ID 14551 //
     /* 1876359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1876379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876405 */     // MIs[0] policy
     /* 1876405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1876418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876442 */     // GIR_Coverage, 14551,
     /* 1876442 */     GIR_EraseRootFromParent_Done,
     /* 1876443 */   // Label 25295: @1876443
     /* 1876443 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1876532), // Rule ID 14554 //
     /* 1876448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876494 */     // MIs[0] policy
     /* 1876494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876531 */     // GIR_Coverage, 14554,
     /* 1876531 */     GIR_EraseRootFromParent_Done,
     /* 1876532 */   // Label 25296: @1876532
     /* 1876532 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1876621), // Rule ID 14555 //
     /* 1876537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876583 */     // MIs[0] policy
     /* 1876583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876593 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876620 */     // GIR_Coverage, 14555,
     /* 1876620 */     GIR_EraseRootFromParent_Done,
     /* 1876621 */   // Label 25297: @1876621
     /* 1876621 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1876710), // Rule ID 14558 //
     /* 1876626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876672 */     // MIs[0] policy
     /* 1876672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876709 */     // GIR_Coverage, 14558,
     /* 1876709 */     GIR_EraseRootFromParent_Done,
     /* 1876710 */   // Label 25298: @1876710
     /* 1876710 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1876799), // Rule ID 14559 //
     /* 1876715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876761 */     // MIs[0] policy
     /* 1876761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876798 */     // GIR_Coverage, 14559,
     /* 1876798 */     GIR_EraseRootFromParent_Done,
     /* 1876799 */   // Label 25299: @1876799
     /* 1876799 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1876888), // Rule ID 14562 //
     /* 1876804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876850 */     // MIs[0] policy
     /* 1876850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876887 */     // GIR_Coverage, 14562,
     /* 1876887 */     GIR_EraseRootFromParent_Done,
     /* 1876888 */   // Label 25300: @1876888
     /* 1876888 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1876977), // Rule ID 14563 //
     /* 1876893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876939 */     // MIs[0] policy
     /* 1876939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876976 */     // GIR_Coverage, 14563,
     /* 1876976 */     GIR_EraseRootFromParent_Done,
     /* 1876977 */   // Label 25301: @1876977
     /* 1876977 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1877066), // Rule ID 14566 //
     /* 1876982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877028 */     // MIs[0] policy
     /* 1877028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1877041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877065 */     // GIR_Coverage, 14566,
     /* 1877065 */     GIR_EraseRootFromParent_Done,
     /* 1877066 */   // Label 25302: @1877066
     /* 1877066 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1877155), // Rule ID 14567 //
     /* 1877071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1877082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1877085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1877088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877117 */     // MIs[0] policy
     /* 1877117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1877130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877154 */     // GIR_Coverage, 14567,
     /* 1877154 */     GIR_EraseRootFromParent_Done,
     /* 1877155 */   // Label 25303: @1877155
     /* 1877155 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1877244), // Rule ID 14570 //
     /* 1877160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877206 */     // MIs[0] policy
     /* 1877206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877243 */     // GIR_Coverage, 14570,
     /* 1877243 */     GIR_EraseRootFromParent_Done,
     /* 1877244 */   // Label 25304: @1877244
     /* 1877244 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1877333), // Rule ID 14571 //
     /* 1877249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877295 */     // MIs[0] policy
     /* 1877295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877305 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877332 */     // GIR_Coverage, 14571,
     /* 1877332 */     GIR_EraseRootFromParent_Done,
     /* 1877333 */   // Label 25305: @1877333
     /* 1877333 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1877422), // Rule ID 14574 //
     /* 1877338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877384 */     // MIs[0] policy
     /* 1877384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877421 */     // GIR_Coverage, 14574,
     /* 1877421 */     GIR_EraseRootFromParent_Done,
     /* 1877422 */   // Label 25306: @1877422
     /* 1877422 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1877511), // Rule ID 14575 //
     /* 1877427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877473 */     // MIs[0] policy
     /* 1877473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877510 */     // GIR_Coverage, 14575,
     /* 1877510 */     GIR_EraseRootFromParent_Done,
     /* 1877511 */   // Label 25307: @1877511
     /* 1877511 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1877600), // Rule ID 14578 //
     /* 1877516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877562 */     // MIs[0] policy
     /* 1877562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877599 */     // GIR_Coverage, 14578,
     /* 1877599 */     GIR_EraseRootFromParent_Done,
     /* 1877600 */   // Label 25308: @1877600
     /* 1877600 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1877689), // Rule ID 14579 //
     /* 1877605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877651 */     // MIs[0] policy
     /* 1877651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877688 */     // GIR_Coverage, 14579,
     /* 1877688 */     GIR_EraseRootFromParent_Done,
     /* 1877689 */   // Label 25309: @1877689
     /* 1877689 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1877778), // Rule ID 14582 //
     /* 1877694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877740 */     // MIs[0] policy
     /* 1877740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877777 */     // GIR_Coverage, 14582,
     /* 1877777 */     GIR_EraseRootFromParent_Done,
     /* 1877778 */   // Label 25310: @1877778
     /* 1877778 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1877867), // Rule ID 14583 //
     /* 1877783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877829 */     // MIs[0] policy
     /* 1877829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877866 */     // GIR_Coverage, 14583,
     /* 1877866 */     GIR_EraseRootFromParent_Done,
     /* 1877867 */   // Label 25311: @1877867
     /* 1877867 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1877956), // Rule ID 14586 //
     /* 1877872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877918 */     // MIs[0] policy
     /* 1877918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877955 */     // GIR_Coverage, 14586,
     /* 1877955 */     GIR_EraseRootFromParent_Done,
     /* 1877956 */   // Label 25312: @1877956
     /* 1877956 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1878045), // Rule ID 14587 //
     /* 1877961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878007 */     // MIs[0] policy
     /* 1878007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878044 */     // GIR_Coverage, 14587,
     /* 1878044 */     GIR_EraseRootFromParent_Done,
     /* 1878045 */   // Label 25313: @1878045
     /* 1878045 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1878134), // Rule ID 14590 //
     /* 1878050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878096 */     // MIs[0] policy
     /* 1878096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878133 */     // GIR_Coverage, 14590,
     /* 1878133 */     GIR_EraseRootFromParent_Done,
     /* 1878134 */   // Label 25314: @1878134
     /* 1878134 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1878223), // Rule ID 14591 //
     /* 1878139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878185 */     // MIs[0] policy
     /* 1878185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1878198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878222 */     // GIR_Coverage, 14591,
     /* 1878222 */     GIR_EraseRootFromParent_Done,
     /* 1878223 */   // Label 25315: @1878223
     /* 1878223 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1878312), // Rule ID 14594 //
     /* 1878228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878274 */     // MIs[0] policy
     /* 1878274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878311 */     // GIR_Coverage, 14594,
     /* 1878311 */     GIR_EraseRootFromParent_Done,
     /* 1878312 */   // Label 25316: @1878312
     /* 1878312 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1878401), // Rule ID 14595 //
     /* 1878317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878363 */     // MIs[0] policy
     /* 1878363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878373 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878400 */     // GIR_Coverage, 14595,
     /* 1878400 */     GIR_EraseRootFromParent_Done,
     /* 1878401 */   // Label 25317: @1878401
     /* 1878401 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1878490), // Rule ID 14598 //
     /* 1878406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878452 */     // MIs[0] policy
     /* 1878452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878462 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878489 */     // GIR_Coverage, 14598,
     /* 1878489 */     GIR_EraseRootFromParent_Done,
     /* 1878490 */   // Label 25318: @1878490
     /* 1878490 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1878579), // Rule ID 14599 //
     /* 1878495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878541 */     // MIs[0] policy
     /* 1878541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878578 */     // GIR_Coverage, 14599,
     /* 1878578 */     GIR_EraseRootFromParent_Done,
     /* 1878579 */   // Label 25319: @1878579
     /* 1878579 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1878668), // Rule ID 14602 //
     /* 1878584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878630 */     // MIs[0] policy
     /* 1878630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878667 */     // GIR_Coverage, 14602,
     /* 1878667 */     GIR_EraseRootFromParent_Done,
     /* 1878668 */   // Label 25320: @1878668
     /* 1878668 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1878757), // Rule ID 14603 //
     /* 1878673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878719 */     // MIs[0] policy
     /* 1878719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878729 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878756 */     // GIR_Coverage, 14603,
     /* 1878756 */     GIR_EraseRootFromParent_Done,
     /* 1878757 */   // Label 25321: @1878757
     /* 1878757 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1878846), // Rule ID 14606 //
     /* 1878762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878808 */     // MIs[0] policy
     /* 1878808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878845 */     // GIR_Coverage, 14606,
     /* 1878845 */     GIR_EraseRootFromParent_Done,
     /* 1878846 */   // Label 25322: @1878846
     /* 1878846 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1878935), // Rule ID 14607 //
     /* 1878851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878897 */     // MIs[0] policy
     /* 1878897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878934 */     // GIR_Coverage, 14607,
     /* 1878934 */     GIR_EraseRootFromParent_Done,
     /* 1878935 */   // Label 25323: @1878935
     /* 1878935 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1879024), // Rule ID 14610 //
     /* 1878940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878986 */     // MIs[0] policy
     /* 1878986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879023 */     // GIR_Coverage, 14610,
     /* 1879023 */     GIR_EraseRootFromParent_Done,
     /* 1879024 */   // Label 25324: @1879024
     /* 1879024 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879113), // Rule ID 14611 //
     /* 1879029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1879040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1879043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1879046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879075 */     // MIs[0] policy
     /* 1879075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879085 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879112 */     // GIR_Coverage, 14611,
     /* 1879112 */     GIR_EraseRootFromParent_Done,
     /* 1879113 */   // Label 25325: @1879113
     /* 1879113 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1879202), // Rule ID 14614 //
     /* 1879118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879164 */     // MIs[0] policy
     /* 1879164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879201 */     // GIR_Coverage, 14614,
     /* 1879201 */     GIR_EraseRootFromParent_Done,
     /* 1879202 */   // Label 25326: @1879202
     /* 1879202 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1879291), // Rule ID 14615 //
     /* 1879207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879253 */     // MIs[0] policy
     /* 1879253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879290 */     // GIR_Coverage, 14615,
     /* 1879290 */     GIR_EraseRootFromParent_Done,
     /* 1879291 */   // Label 25327: @1879291
     /* 1879291 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1879380), // Rule ID 14618 //
     /* 1879296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879342 */     // MIs[0] policy
     /* 1879342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879379 */     // GIR_Coverage, 14618,
     /* 1879379 */     GIR_EraseRootFromParent_Done,
     /* 1879380 */   // Label 25328: @1879380
     /* 1879380 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1879469), // Rule ID 14619 //
     /* 1879385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879431 */     // MIs[0] policy
     /* 1879431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879468 */     // GIR_Coverage, 14619,
     /* 1879468 */     GIR_EraseRootFromParent_Done,
     /* 1879469 */   // Label 25329: @1879469
     /* 1879469 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1879558), // Rule ID 14622 //
     /* 1879474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879520 */     // MIs[0] policy
     /* 1879520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879557 */     // GIR_Coverage, 14622,
     /* 1879557 */     GIR_EraseRootFromParent_Done,
     /* 1879558 */   // Label 25330: @1879558
     /* 1879558 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1879647), // Rule ID 14623 //
     /* 1879563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879609 */     // MIs[0] policy
     /* 1879609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879646 */     // GIR_Coverage, 14623,
     /* 1879646 */     GIR_EraseRootFromParent_Done,
     /* 1879647 */   // Label 25331: @1879647
     /* 1879647 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1879736), // Rule ID 14626 //
     /* 1879652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879698 */     // MIs[0] policy
     /* 1879698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879735 */     // GIR_Coverage, 14626,
     /* 1879735 */     GIR_EraseRootFromParent_Done,
     /* 1879736 */   // Label 25332: @1879736
     /* 1879736 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1879825), // Rule ID 14627 //
     /* 1879741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879787 */     // MIs[0] policy
     /* 1879787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879824 */     // GIR_Coverage, 14627,
     /* 1879824 */     GIR_EraseRootFromParent_Done,
     /* 1879825 */   // Label 25333: @1879825
     /* 1879825 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1879914), // Rule ID 14630 //
     /* 1879830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879876 */     // MIs[0] policy
     /* 1879876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879913 */     // GIR_Coverage, 14630,
     /* 1879913 */     GIR_EraseRootFromParent_Done,
     /* 1879914 */   // Label 25334: @1879914
     /* 1879914 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1880003), // Rule ID 14631 //
     /* 1879919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879965 */     // MIs[0] policy
     /* 1879965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880002 */     // GIR_Coverage, 14631,
     /* 1880002 */     GIR_EraseRootFromParent_Done,
     /* 1880003 */   // Label 25335: @1880003
     /* 1880003 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880092), // Rule ID 14634 //
     /* 1880008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880054 */     // MIs[0] policy
     /* 1880054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1880067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880091 */     // GIR_Coverage, 14634,
     /* 1880091 */     GIR_EraseRootFromParent_Done,
     /* 1880092 */   // Label 25336: @1880092
     /* 1880092 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1880181), // Rule ID 14635 //
     /* 1880097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880143 */     // MIs[0] policy
     /* 1880143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1880156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880180 */     // GIR_Coverage, 14635,
     /* 1880180 */     GIR_EraseRootFromParent_Done,
     /* 1880181 */   // Label 25337: @1880181
     /* 1880181 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1880270), // Rule ID 14638 //
     /* 1880186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880232 */     // MIs[0] policy
     /* 1880232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1880245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880269 */     // GIR_Coverage, 14638,
     /* 1880269 */     GIR_EraseRootFromParent_Done,
     /* 1880270 */   // Label 25338: @1880270
     /* 1880270 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1880359), // Rule ID 14639 //
     /* 1880275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880321 */     // MIs[0] policy
     /* 1880321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1880334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880358 */     // GIR_Coverage, 14639,
     /* 1880358 */     GIR_EraseRootFromParent_Done,
     /* 1880359 */   // Label 25339: @1880359
     /* 1880359 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1880448), // Rule ID 14642 //
     /* 1880364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880410 */     // MIs[0] policy
     /* 1880410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880447 */     // GIR_Coverage, 14642,
     /* 1880447 */     GIR_EraseRootFromParent_Done,
     /* 1880448 */   // Label 25340: @1880448
     /* 1880448 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1880537), // Rule ID 14643 //
     /* 1880453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880499 */     // MIs[0] policy
     /* 1880499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880536 */     // GIR_Coverage, 14643,
     /* 1880536 */     GIR_EraseRootFromParent_Done,
     /* 1880537 */   // Label 25341: @1880537
     /* 1880537 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1880626), // Rule ID 14646 //
     /* 1880542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880588 */     // MIs[0] policy
     /* 1880588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880625 */     // GIR_Coverage, 14646,
     /* 1880625 */     GIR_EraseRootFromParent_Done,
     /* 1880626 */   // Label 25342: @1880626
     /* 1880626 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1880715), // Rule ID 14647 //
     /* 1880631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880677 */     // MIs[0] policy
     /* 1880677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880687 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880714 */     // GIR_Coverage, 14647,
     /* 1880714 */     GIR_EraseRootFromParent_Done,
     /* 1880715 */   // Label 25343: @1880715
     /* 1880715 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1880804), // Rule ID 14650 //
     /* 1880720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880766 */     // MIs[0] policy
     /* 1880766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880803 */     // GIR_Coverage, 14650,
     /* 1880803 */     GIR_EraseRootFromParent_Done,
     /* 1880804 */   // Label 25344: @1880804
     /* 1880804 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1880893), // Rule ID 14651 //
     /* 1880809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880855 */     // MIs[0] policy
     /* 1880855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880865 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880892 */     // GIR_Coverage, 14651,
     /* 1880892 */     GIR_EraseRootFromParent_Done,
     /* 1880893 */   // Label 25345: @1880893
     /* 1880893 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1880982), // Rule ID 14654 //
     /* 1880898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880944 */     // MIs[0] policy
     /* 1880944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880981 */     // GIR_Coverage, 14654,
     /* 1880981 */     GIR_EraseRootFromParent_Done,
     /* 1880982 */   // Label 25346: @1880982
     /* 1880982 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1881071), // Rule ID 14655 //
     /* 1880987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1881007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881033 */     // MIs[0] policy
     /* 1881033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1881046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881070 */     // GIR_Coverage, 14655,
     /* 1881070 */     GIR_EraseRootFromParent_Done,
     /* 1881071 */   // Label 25347: @1881071
     /* 1881071 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1881160), // Rule ID 14658 //
     /* 1881076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1881096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881122 */     // MIs[0] policy
     /* 1881122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881159 */     // GIR_Coverage, 14658,
     /* 1881159 */     GIR_EraseRootFromParent_Done,
     /* 1881160 */   // Label 25348: @1881160
     /* 1881160 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1881249), // Rule ID 14659 //
     /* 1881165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1881185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881211 */     // MIs[0] policy
     /* 1881211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881248 */     // GIR_Coverage, 14659,
     /* 1881248 */     GIR_EraseRootFromParent_Done,
     /* 1881249 */   // Label 25349: @1881249
     /* 1881249 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1881338), // Rule ID 14662 //
     /* 1881254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1881274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881300 */     // MIs[0] policy
     /* 1881300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881337 */     // GIR_Coverage, 14662,
     /* 1881337 */     GIR_EraseRootFromParent_Done,
     /* 1881338 */   // Label 25350: @1881338
     /* 1881338 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1881427), // Rule ID 14663 //
     /* 1881343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1881363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881389 */     // MIs[0] policy
     /* 1881389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1881402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881426 */     // GIR_Coverage, 14663,
     /* 1881426 */     GIR_EraseRootFromParent_Done,
     /* 1881427 */   // Label 25351: @1881427
     /* 1881427 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1881516), // Rule ID 14666 //
     /* 1881432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881478 */     // MIs[0] policy
     /* 1881478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881515 */     // GIR_Coverage, 14666,
     /* 1881515 */     GIR_EraseRootFromParent_Done,
     /* 1881516 */   // Label 25352: @1881516
     /* 1881516 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1881605), // Rule ID 14667 //
     /* 1881521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881567 */     // MIs[0] policy
     /* 1881567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881604 */     // GIR_Coverage, 14667,
     /* 1881604 */     GIR_EraseRootFromParent_Done,
     /* 1881605 */   // Label 25353: @1881605
     /* 1881605 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1881694), // Rule ID 14670 //
     /* 1881610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881656 */     // MIs[0] policy
     /* 1881656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881693 */     // GIR_Coverage, 14670,
     /* 1881693 */     GIR_EraseRootFromParent_Done,
     /* 1881694 */   // Label 25354: @1881694
     /* 1881694 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1881783), // Rule ID 14671 //
     /* 1881699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881745 */     // MIs[0] policy
     /* 1881745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881782 */     // GIR_Coverage, 14671,
     /* 1881782 */     GIR_EraseRootFromParent_Done,
     /* 1881783 */   // Label 25355: @1881783
     /* 1881783 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1881872), // Rule ID 14674 //
     /* 1881788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881834 */     // MIs[0] policy
     /* 1881834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881871 */     // GIR_Coverage, 14674,
     /* 1881871 */     GIR_EraseRootFromParent_Done,
     /* 1881872 */   // Label 25356: @1881872
     /* 1881872 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1881961), // Rule ID 14675 //
     /* 1881877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881923 */     // MIs[0] policy
     /* 1881923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881960 */     // GIR_Coverage, 14675,
     /* 1881960 */     GIR_EraseRootFromParent_Done,
     /* 1881961 */   // Label 25357: @1881961
     /* 1881961 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1882050), // Rule ID 14678 //
     /* 1881966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882012 */     // MIs[0] policy
     /* 1882012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1882025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882049 */     // GIR_Coverage, 14678,
     /* 1882049 */     GIR_EraseRootFromParent_Done,
     /* 1882050 */   // Label 25358: @1882050
     /* 1882050 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1882139), // Rule ID 14679 //
     /* 1882055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1882075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882101 */     // MIs[0] policy
     /* 1882101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882111 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1882114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882138 */     // GIR_Coverage, 14679,
     /* 1882138 */     GIR_EraseRootFromParent_Done,
     /* 1882139 */   // Label 25359: @1882139
     /* 1882139 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1882228), // Rule ID 14682 //
     /* 1882144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882190 */     // MIs[0] policy
     /* 1882190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882227 */     // GIR_Coverage, 14682,
     /* 1882227 */     GIR_EraseRootFromParent_Done,
     /* 1882228 */   // Label 25360: @1882228
     /* 1882228 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1882317), // Rule ID 14683 //
     /* 1882233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882279 */     // MIs[0] policy
     /* 1882279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882316 */     // GIR_Coverage, 14683,
     /* 1882316 */     GIR_EraseRootFromParent_Done,
     /* 1882317 */   // Label 25361: @1882317
     /* 1882317 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1882406), // Rule ID 14686 //
     /* 1882322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882368 */     // MIs[0] policy
     /* 1882368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882405 */     // GIR_Coverage, 14686,
     /* 1882405 */     GIR_EraseRootFromParent_Done,
     /* 1882406 */   // Label 25362: @1882406
     /* 1882406 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1882495), // Rule ID 14687 //
     /* 1882411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882457 */     // MIs[0] policy
     /* 1882457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882467 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882494 */     // GIR_Coverage, 14687,
     /* 1882494 */     GIR_EraseRootFromParent_Done,
     /* 1882495 */   // Label 25363: @1882495
     /* 1882495 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1882584), // Rule ID 14690 //
     /* 1882500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882546 */     // MIs[0] policy
     /* 1882546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882583 */     // GIR_Coverage, 14690,
     /* 1882583 */     GIR_EraseRootFromParent_Done,
     /* 1882584 */   // Label 25364: @1882584
     /* 1882584 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1882673), // Rule ID 14691 //
     /* 1882589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882635 */     // MIs[0] policy
     /* 1882635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882672 */     // GIR_Coverage, 14691,
     /* 1882672 */     GIR_EraseRootFromParent_Done,
     /* 1882673 */   // Label 25365: @1882673
     /* 1882673 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1882762), // Rule ID 14694 //
     /* 1882678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882724 */     // MIs[0] policy
     /* 1882724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882761 */     // GIR_Coverage, 14694,
     /* 1882761 */     GIR_EraseRootFromParent_Done,
     /* 1882762 */   // Label 25366: @1882762
     /* 1882762 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1882851), // Rule ID 14695 //
     /* 1882767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882813 */     // MIs[0] policy
     /* 1882813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882850 */     // GIR_Coverage, 14695,
     /* 1882850 */     GIR_EraseRootFromParent_Done,
     /* 1882851 */   // Label 25367: @1882851
     /* 1882851 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1882940), // Rule ID 14698 //
     /* 1882856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882902 */     // MIs[0] policy
     /* 1882902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882939 */     // GIR_Coverage, 14698,
     /* 1882939 */     GIR_EraseRootFromParent_Done,
     /* 1882940 */   // Label 25368: @1882940
     /* 1882940 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1883029), // Rule ID 14699 //
     /* 1882945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882991 */     // MIs[0] policy
     /* 1882991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883028 */     // GIR_Coverage, 14699,
     /* 1883028 */     GIR_EraseRootFromParent_Done,
     /* 1883029 */   // Label 25369: @1883029
     /* 1883029 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883118), // Rule ID 14702 //
     /* 1883034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883080 */     // MIs[0] policy
     /* 1883080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883117 */     // GIR_Coverage, 14702,
     /* 1883117 */     GIR_EraseRootFromParent_Done,
     /* 1883118 */   // Label 25370: @1883118
     /* 1883118 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1883207), // Rule ID 14703 //
     /* 1883123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883169 */     // MIs[0] policy
     /* 1883169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883179 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883206 */     // GIR_Coverage, 14703,
     /* 1883206 */     GIR_EraseRootFromParent_Done,
     /* 1883207 */   // Label 25371: @1883207
     /* 1883207 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1883296), // Rule ID 14706 //
     /* 1883212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883258 */     // MIs[0] policy
     /* 1883258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883295 */     // GIR_Coverage, 14706,
     /* 1883295 */     GIR_EraseRootFromParent_Done,
     /* 1883296 */   // Label 25372: @1883296
     /* 1883296 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1883385), // Rule ID 14707 //
     /* 1883301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883347 */     // MIs[0] policy
     /* 1883347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883384 */     // GIR_Coverage, 14707,
     /* 1883384 */     GIR_EraseRootFromParent_Done,
     /* 1883385 */   // Label 25373: @1883385
     /* 1883385 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1883474), // Rule ID 14710 //
     /* 1883390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883436 */     // MIs[0] policy
     /* 1883436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883473 */     // GIR_Coverage, 14710,
     /* 1883473 */     GIR_EraseRootFromParent_Done,
     /* 1883474 */   // Label 25374: @1883474
     /* 1883474 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1883563), // Rule ID 14711 //
     /* 1883479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883525 */     // MIs[0] policy
     /* 1883525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883562 */     // GIR_Coverage, 14711,
     /* 1883562 */     GIR_EraseRootFromParent_Done,
     /* 1883563 */   // Label 25375: @1883563
     /* 1883563 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1883652), // Rule ID 14714 //
     /* 1883568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883614 */     // MIs[0] policy
     /* 1883614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883651 */     // GIR_Coverage, 14714,
     /* 1883651 */     GIR_EraseRootFromParent_Done,
     /* 1883652 */   // Label 25376: @1883652
     /* 1883652 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1883741), // Rule ID 14715 //
     /* 1883657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883703 */     // MIs[0] policy
     /* 1883703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883740 */     // GIR_Coverage, 14715,
     /* 1883740 */     GIR_EraseRootFromParent_Done,
     /* 1883741 */   // Label 25377: @1883741
     /* 1883741 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1883830), // Rule ID 14718 //
     /* 1883746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883792 */     // MIs[0] policy
     /* 1883792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883829 */     // GIR_Coverage, 14718,
     /* 1883829 */     GIR_EraseRootFromParent_Done,
     /* 1883830 */   // Label 25378: @1883830
     /* 1883830 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1883919), // Rule ID 14719 //
     /* 1883835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883881 */     // MIs[0] policy
     /* 1883881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883918 */     // GIR_Coverage, 14719,
     /* 1883918 */     GIR_EraseRootFromParent_Done,
     /* 1883919 */   // Label 25379: @1883919
     /* 1883919 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1884008), // Rule ID 14722 //
     /* 1883924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883970 */     // MIs[0] policy
     /* 1883970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884007 */     // GIR_Coverage, 14722,
     /* 1884007 */     GIR_EraseRootFromParent_Done,
     /* 1884008 */   // Label 25380: @1884008
     /* 1884008 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884097), // Rule ID 14723 //
     /* 1884013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1884033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884059 */     // MIs[0] policy
     /* 1884059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1884072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884096 */     // GIR_Coverage, 14723,
     /* 1884096 */     GIR_EraseRootFromParent_Done,
     /* 1884097 */   // Label 25381: @1884097
     /* 1884097 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1884186), // Rule ID 14726 //
     /* 1884102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884148 */     // MIs[0] policy
     /* 1884148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1884161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884185 */     // GIR_Coverage, 14726,
     /* 1884185 */     GIR_EraseRootFromParent_Done,
     /* 1884186 */   // Label 25382: @1884186
     /* 1884186 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1884275), // Rule ID 14727 //
     /* 1884191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884237 */     // MIs[0] policy
     /* 1884237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1884250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884274 */     // GIR_Coverage, 14727,
     /* 1884274 */     GIR_EraseRootFromParent_Done,
     /* 1884275 */   // Label 25383: @1884275
     /* 1884275 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1884364), // Rule ID 14730 //
     /* 1884280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884326 */     // MIs[0] policy
     /* 1884326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1884339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884363 */     // GIR_Coverage, 14730,
     /* 1884363 */     GIR_EraseRootFromParent_Done,
     /* 1884364 */   // Label 25384: @1884364
     /* 1884364 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1884453), // Rule ID 14731 //
     /* 1884369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884415 */     // MIs[0] policy
     /* 1884415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884425 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1884428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884452 */     // GIR_Coverage, 14731,
     /* 1884452 */     GIR_EraseRootFromParent_Done,
     /* 1884453 */   // Label 25385: @1884453
     /* 1884453 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1884542), // Rule ID 14734 //
     /* 1884458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884504 */     // MIs[0] policy
     /* 1884504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884514 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884541 */     // GIR_Coverage, 14734,
     /* 1884541 */     GIR_EraseRootFromParent_Done,
     /* 1884542 */   // Label 25386: @1884542
     /* 1884542 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1884631), // Rule ID 14735 //
     /* 1884547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884593 */     // MIs[0] policy
     /* 1884593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884630 */     // GIR_Coverage, 14735,
     /* 1884630 */     GIR_EraseRootFromParent_Done,
     /* 1884631 */   // Label 25387: @1884631
     /* 1884631 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1884720), // Rule ID 14738 //
     /* 1884636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884682 */     // MIs[0] policy
     /* 1884682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884719 */     // GIR_Coverage, 14738,
     /* 1884719 */     GIR_EraseRootFromParent_Done,
     /* 1884720 */   // Label 25388: @1884720
     /* 1884720 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1884809), // Rule ID 14739 //
     /* 1884725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884771 */     // MIs[0] policy
     /* 1884771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884808 */     // GIR_Coverage, 14739,
     /* 1884808 */     GIR_EraseRootFromParent_Done,
     /* 1884809 */   // Label 25389: @1884809
     /* 1884809 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1884898), // Rule ID 14742 //
     /* 1884814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884860 */     // MIs[0] policy
     /* 1884860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884897 */     // GIR_Coverage, 14742,
     /* 1884897 */     GIR_EraseRootFromParent_Done,
     /* 1884898 */   // Label 25390: @1884898
     /* 1884898 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1884987), // Rule ID 14743 //
     /* 1884903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884949 */     // MIs[0] policy
     /* 1884949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884986 */     // GIR_Coverage, 14743,
     /* 1884986 */     GIR_EraseRootFromParent_Done,
     /* 1884987 */   // Label 25391: @1884987
     /* 1884987 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885076), // Rule ID 14746 //
     /* 1884992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885038 */     // MIs[0] policy
     /* 1885038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885075 */     // GIR_Coverage, 14746,
     /* 1885075 */     GIR_EraseRootFromParent_Done,
     /* 1885076 */   // Label 25392: @1885076
     /* 1885076 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1885165), // Rule ID 14747 //
     /* 1885081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885127 */     // MIs[0] policy
     /* 1885127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885137 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885164 */     // GIR_Coverage, 14747,
     /* 1885164 */     GIR_EraseRootFromParent_Done,
     /* 1885165 */   // Label 25393: @1885165
     /* 1885165 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1885254), // Rule ID 14750 //
     /* 1885170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885216 */     // MIs[0] policy
     /* 1885216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885253 */     // GIR_Coverage, 14750,
     /* 1885253 */     GIR_EraseRootFromParent_Done,
     /* 1885254 */   // Label 25394: @1885254
     /* 1885254 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1885343), // Rule ID 14751 //
     /* 1885259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885305 */     // MIs[0] policy
     /* 1885305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885315 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1885318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885342 */     // GIR_Coverage, 14751,
     /* 1885342 */     GIR_EraseRootFromParent_Done,
     /* 1885343 */   // Label 25395: @1885343
     /* 1885343 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1885432), // Rule ID 14754 //
     /* 1885348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885394 */     // MIs[0] policy
     /* 1885394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885431 */     // GIR_Coverage, 14754,
     /* 1885431 */     GIR_EraseRootFromParent_Done,
     /* 1885432 */   // Label 25396: @1885432
     /* 1885432 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1885521), // Rule ID 14755 //
     /* 1885437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885483 */     // MIs[0] policy
     /* 1885483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885520 */     // GIR_Coverage, 14755,
     /* 1885520 */     GIR_EraseRootFromParent_Done,
     /* 1885521 */   // Label 25397: @1885521
     /* 1885521 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1885610), // Rule ID 14758 //
     /* 1885526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885572 */     // MIs[0] policy
     /* 1885572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885609 */     // GIR_Coverage, 14758,
     /* 1885609 */     GIR_EraseRootFromParent_Done,
     /* 1885610 */   // Label 25398: @1885610
     /* 1885610 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1885699), // Rule ID 14759 //
     /* 1885615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885661 */     // MIs[0] policy
     /* 1885661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885698 */     // GIR_Coverage, 14759,
     /* 1885698 */     GIR_EraseRootFromParent_Done,
     /* 1885699 */   // Label 25399: @1885699
     /* 1885699 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1885788), // Rule ID 14762 //
     /* 1885704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885750 */     // MIs[0] policy
     /* 1885750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885787 */     // GIR_Coverage, 14762,
     /* 1885787 */     GIR_EraseRootFromParent_Done,
     /* 1885788 */   // Label 25400: @1885788
     /* 1885788 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1885877), // Rule ID 14763 //
     /* 1885793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885839 */     // MIs[0] policy
     /* 1885839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885876 */     // GIR_Coverage, 14763,
     /* 1885876 */     GIR_EraseRootFromParent_Done,
     /* 1885877 */   // Label 25401: @1885877
     /* 1885877 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1885966), // Rule ID 14766 //
     /* 1885882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1885885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885928 */     // MIs[0] policy
     /* 1885928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885965 */     // GIR_Coverage, 14766,
     /* 1885965 */     GIR_EraseRootFromParent_Done,
     /* 1885966 */   // Label 25402: @1885966
     /* 1885966 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1886055), // Rule ID 14767 //
     /* 1885971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1885974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886017 */     // MIs[0] policy
     /* 1886017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1886030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886054 */     // GIR_Coverage, 14767,
     /* 1886054 */     GIR_EraseRootFromParent_Done,
     /* 1886055 */   // Label 25403: @1886055
     /* 1886055 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1886144), // Rule ID 14770 //
     /* 1886060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886106 */     // MIs[0] policy
     /* 1886106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886143 */     // GIR_Coverage, 14770,
     /* 1886143 */     GIR_EraseRootFromParent_Done,
     /* 1886144 */   // Label 25404: @1886144
     /* 1886144 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1886233), // Rule ID 14771 //
     /* 1886149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886195 */     // MIs[0] policy
     /* 1886195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886232 */     // GIR_Coverage, 14771,
     /* 1886232 */     GIR_EraseRootFromParent_Done,
     /* 1886233 */   // Label 25405: @1886233
     /* 1886233 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1886322), // Rule ID 14774 //
     /* 1886238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886284 */     // MIs[0] policy
     /* 1886284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886321 */     // GIR_Coverage, 14774,
     /* 1886321 */     GIR_EraseRootFromParent_Done,
     /* 1886322 */   // Label 25406: @1886322
     /* 1886322 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1886411), // Rule ID 14775 //
     /* 1886327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886373 */     // MIs[0] policy
     /* 1886373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886383 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886410 */     // GIR_Coverage, 14775,
     /* 1886410 */     GIR_EraseRootFromParent_Done,
     /* 1886411 */   // Label 25407: @1886411
     /* 1886411 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1886500), // Rule ID 14778 //
     /* 1886416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886462 */     // MIs[0] policy
     /* 1886462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886499 */     // GIR_Coverage, 14778,
     /* 1886499 */     GIR_EraseRootFromParent_Done,
     /* 1886500 */   // Label 25408: @1886500
     /* 1886500 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1886589), // Rule ID 14779 //
     /* 1886505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886551 */     // MIs[0] policy
     /* 1886551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886561 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886588 */     // GIR_Coverage, 14779,
     /* 1886588 */     GIR_EraseRootFromParent_Done,
     /* 1886589 */   // Label 25409: @1886589
     /* 1886589 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1886678), // Rule ID 14782 //
     /* 1886594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886640 */     // MIs[0] policy
     /* 1886640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886677 */     // GIR_Coverage, 14782,
     /* 1886677 */     GIR_EraseRootFromParent_Done,
     /* 1886678 */   // Label 25410: @1886678
     /* 1886678 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1886767), // Rule ID 14783 //
     /* 1886683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886729 */     // MIs[0] policy
     /* 1886729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886766 */     // GIR_Coverage, 14783,
     /* 1886766 */     GIR_EraseRootFromParent_Done,
     /* 1886767 */   // Label 25411: @1886767
     /* 1886767 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1886856), // Rule ID 14786 //
     /* 1886772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886818 */     // MIs[0] policy
     /* 1886818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886855 */     // GIR_Coverage, 14786,
     /* 1886855 */     GIR_EraseRootFromParent_Done,
     /* 1886856 */   // Label 25412: @1886856
     /* 1886856 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1886945), // Rule ID 14787 //
     /* 1886861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886907 */     // MIs[0] policy
     /* 1886907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886944 */     // GIR_Coverage, 14787,
     /* 1886944 */     GIR_EraseRootFromParent_Done,
     /* 1886945 */   // Label 25413: @1886945
     /* 1886945 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1887034), // Rule ID 14790 //
     /* 1886950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886996 */     // MIs[0] policy
     /* 1886996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887033 */     // GIR_Coverage, 14790,
     /* 1887033 */     GIR_EraseRootFromParent_Done,
     /* 1887034 */   // Label 25414: @1887034
     /* 1887034 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887123), // Rule ID 14791 //
     /* 1887039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1887050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1887053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1887056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1887062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887085 */     // MIs[0] policy
     /* 1887085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887095 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887122 */     // GIR_Coverage, 14791,
     /* 1887122 */     GIR_EraseRootFromParent_Done,
     /* 1887123 */   // Label 25415: @1887123
     /* 1887123 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1887212), // Rule ID 14794 //
     /* 1887128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887174 */     // MIs[0] policy
     /* 1887174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887211 */     // GIR_Coverage, 14794,
     /* 1887211 */     GIR_EraseRootFromParent_Done,
     /* 1887212 */   // Label 25416: @1887212
     /* 1887212 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1887301), // Rule ID 14795 //
     /* 1887217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887263 */     // MIs[0] policy
     /* 1887263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887273 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887300 */     // GIR_Coverage, 14795,
     /* 1887300 */     GIR_EraseRootFromParent_Done,
     /* 1887301 */   // Label 25417: @1887301
     /* 1887301 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1887390), // Rule ID 14798 //
     /* 1887306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887352 */     // MIs[0] policy
     /* 1887352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887389 */     // GIR_Coverage, 14798,
     /* 1887389 */     GIR_EraseRootFromParent_Done,
     /* 1887390 */   // Label 25418: @1887390
     /* 1887390 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1887479), // Rule ID 14799 //
     /* 1887395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887441 */     // MIs[0] policy
     /* 1887441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887478 */     // GIR_Coverage, 14799,
     /* 1887478 */     GIR_EraseRootFromParent_Done,
     /* 1887479 */   // Label 25419: @1887479
     /* 1887479 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1887568), // Rule ID 14802 //
     /* 1887484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887530 */     // MIs[0] policy
     /* 1887530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887567 */     // GIR_Coverage, 14802,
     /* 1887567 */     GIR_EraseRootFromParent_Done,
     /* 1887568 */   // Label 25420: @1887568
     /* 1887568 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1887657), // Rule ID 14803 //
     /* 1887573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887619 */     // MIs[0] policy
     /* 1887619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887629 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887656 */     // GIR_Coverage, 14803,
     /* 1887656 */     GIR_EraseRootFromParent_Done,
     /* 1887657 */   // Label 25421: @1887657
     /* 1887657 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1887746), // Rule ID 14806 //
     /* 1887662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887708 */     // MIs[0] policy
     /* 1887708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887745 */     // GIR_Coverage, 14806,
     /* 1887745 */     GIR_EraseRootFromParent_Done,
     /* 1887746 */   // Label 25422: @1887746
     /* 1887746 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1887835), // Rule ID 14807 //
     /* 1887751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887797 */     // MIs[0] policy
     /* 1887797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887834 */     // GIR_Coverage, 14807,
     /* 1887834 */     GIR_EraseRootFromParent_Done,
     /* 1887835 */   // Label 25423: @1887835
     /* 1887835 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1887924), // Rule ID 14810 //
     /* 1887840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887886 */     // MIs[0] policy
     /* 1887886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887923 */     // GIR_Coverage, 14810,
     /* 1887923 */     GIR_EraseRootFromParent_Done,
     /* 1887924 */   // Label 25424: @1887924
     /* 1887924 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1888013), // Rule ID 14811 //
     /* 1887929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887975 */     // MIs[0] policy
     /* 1887975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888012 */     // GIR_Coverage, 14811,
     /* 1888012 */     GIR_EraseRootFromParent_Done,
     /* 1888013 */   // Label 25425: @1888013
     /* 1888013 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888102), // Rule ID 14814 //
     /* 1888018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888064 */     // MIs[0] policy
     /* 1888064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1888077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888101 */     // GIR_Coverage, 14814,
     /* 1888101 */     GIR_EraseRootFromParent_Done,
     /* 1888102 */   // Label 25426: @1888102
     /* 1888102 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888191), // Rule ID 14815 //
     /* 1888107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888153 */     // MIs[0] policy
     /* 1888153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888163 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1888166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888190 */     // GIR_Coverage, 14815,
     /* 1888190 */     GIR_EraseRootFromParent_Done,
     /* 1888191 */   // Label 25427: @1888191
     /* 1888191 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1888277), // Rule ID 19056 //
     /* 1888196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1888216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888242 */     // MIs[0] policy
     /* 1888242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888252 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1888255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888276 */     // GIR_Coverage, 19056,
     /* 1888276 */     GIR_EraseRootFromParent_Done,
     /* 1888277 */   // Label 25428: @1888277
     /* 1888277 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1888363), // Rule ID 19057 //
     /* 1888282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1888302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888328 */     // MIs[0] policy
     /* 1888328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888338 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1888341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888362 */     // GIR_Coverage, 19057,
     /* 1888362 */     GIR_EraseRootFromParent_Done,
     /* 1888363 */   // Label 25429: @1888363
     /* 1888363 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1888449), // Rule ID 19060 //
     /* 1888368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888414 */     // MIs[0] policy
     /* 1888414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888424 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888448 */     // GIR_Coverage, 19060,
     /* 1888448 */     GIR_EraseRootFromParent_Done,
     /* 1888449 */   // Label 25430: @1888449
     /* 1888449 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1888535), // Rule ID 19061 //
     /* 1888454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888500 */     // MIs[0] policy
     /* 1888500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888510 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888534 */     // GIR_Coverage, 19061,
     /* 1888534 */     GIR_EraseRootFromParent_Done,
     /* 1888535 */   // Label 25431: @1888535
     /* 1888535 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1888621), // Rule ID 19064 //
     /* 1888540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888586 */     // MIs[0] policy
     /* 1888586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888620 */     // GIR_Coverage, 19064,
     /* 1888620 */     GIR_EraseRootFromParent_Done,
     /* 1888621 */   // Label 25432: @1888621
     /* 1888621 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1888707), // Rule ID 19065 //
     /* 1888626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888672 */     // MIs[0] policy
     /* 1888672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888682 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888706 */     // GIR_Coverage, 19065,
     /* 1888706 */     GIR_EraseRootFromParent_Done,
     /* 1888707 */   // Label 25433: @1888707
     /* 1888707 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1888793), // Rule ID 19068 //
     /* 1888712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888758 */     // MIs[0] policy
     /* 1888758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888792 */     // GIR_Coverage, 19068,
     /* 1888792 */     GIR_EraseRootFromParent_Done,
     /* 1888793 */   // Label 25434: @1888793
     /* 1888793 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1888879), // Rule ID 19069 //
     /* 1888798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888844 */     // MIs[0] policy
     /* 1888844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888878 */     // GIR_Coverage, 19069,
     /* 1888878 */     GIR_EraseRootFromParent_Done,
     /* 1888879 */   // Label 25435: @1888879
     /* 1888879 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1888965), // Rule ID 19072 //
     /* 1888884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888930 */     // MIs[0] policy
     /* 1888930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888964 */     // GIR_Coverage, 19072,
     /* 1888964 */     GIR_EraseRootFromParent_Done,
     /* 1888965 */   // Label 25436: @1888965
     /* 1888965 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1889051), // Rule ID 19073 //
     /* 1888970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889016 */     // MIs[0] policy
     /* 1889016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889026 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1889029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889050 */     // GIR_Coverage, 19073,
     /* 1889050 */     GIR_EraseRootFromParent_Done,
     /* 1889051 */   // Label 25437: @1889051
     /* 1889051 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889137), // Rule ID 19076 //
     /* 1889056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1889067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1889070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1889073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1889076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889102 */     // MIs[0] policy
     /* 1889102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889112 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1889115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889136 */     // GIR_Coverage, 19076,
     /* 1889136 */     GIR_EraseRootFromParent_Done,
     /* 1889137 */   // Label 25438: @1889137
     /* 1889137 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1889223), // Rule ID 19077 //
     /* 1889142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1889153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1889156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1889159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1889162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889188 */     // MIs[0] policy
     /* 1889188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1889201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889222 */     // GIR_Coverage, 19077,
     /* 1889222 */     GIR_EraseRootFromParent_Done,
     /* 1889223 */   // Label 25439: @1889223
     /* 1889223 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1889309), // Rule ID 19080 //
     /* 1889228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889274 */     // MIs[0] policy
     /* 1889274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889284 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1889287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889308 */     // GIR_Coverage, 19080,
     /* 1889308 */     GIR_EraseRootFromParent_Done,
     /* 1889309 */   // Label 25440: @1889309
     /* 1889309 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1889395), // Rule ID 19081 //
     /* 1889314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889360 */     // MIs[0] policy
     /* 1889360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889370 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1889373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889394 */     // GIR_Coverage, 19081,
     /* 1889394 */     GIR_EraseRootFromParent_Done,
     /* 1889395 */   // Label 25441: @1889395
     /* 1889395 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1889481), // Rule ID 19084 //
     /* 1889400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889446 */     // MIs[0] policy
     /* 1889446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889480 */     // GIR_Coverage, 19084,
     /* 1889480 */     GIR_EraseRootFromParent_Done,
     /* 1889481 */   // Label 25442: @1889481
     /* 1889481 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1889567), // Rule ID 19085 //
     /* 1889486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889532 */     // MIs[0] policy
     /* 1889532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889542 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889566 */     // GIR_Coverage, 19085,
     /* 1889566 */     GIR_EraseRootFromParent_Done,
     /* 1889567 */   // Label 25443: @1889567
     /* 1889567 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1889653), // Rule ID 19088 //
     /* 1889572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889618 */     // MIs[0] policy
     /* 1889618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889652 */     // GIR_Coverage, 19088,
     /* 1889652 */     GIR_EraseRootFromParent_Done,
     /* 1889653 */   // Label 25444: @1889653
     /* 1889653 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1889739), // Rule ID 19089 //
     /* 1889658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889704 */     // MIs[0] policy
     /* 1889704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889714 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889738 */     // GIR_Coverage, 19089,
     /* 1889738 */     GIR_EraseRootFromParent_Done,
     /* 1889739 */   // Label 25445: @1889739
     /* 1889739 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1889825), // Rule ID 19092 //
     /* 1889744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889790 */     // MIs[0] policy
     /* 1889790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889800 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889824 */     // GIR_Coverage, 19092,
     /* 1889824 */     GIR_EraseRootFromParent_Done,
     /* 1889825 */   // Label 25446: @1889825
     /* 1889825 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1889911), // Rule ID 19093 //
     /* 1889830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889876 */     // MIs[0] policy
     /* 1889876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889886 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889910 */     // GIR_Coverage, 19093,
     /* 1889910 */     GIR_EraseRootFromParent_Done,
     /* 1889911 */   // Label 25447: @1889911
     /* 1889911 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1889997), // Rule ID 19096 //
     /* 1889916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889962 */     // MIs[0] policy
     /* 1889962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889972 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889996 */     // GIR_Coverage, 19096,
     /* 1889996 */     GIR_EraseRootFromParent_Done,
     /* 1889997 */   // Label 25448: @1889997
     /* 1889997 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1890083), // Rule ID 19097 //
     /* 1890002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1890022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890048 */     // MIs[0] policy
     /* 1890048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890058 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1890061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890082 */     // GIR_Coverage, 19097,
     /* 1890082 */     GIR_EraseRootFromParent_Done,
     /* 1890083 */   // Label 25449: @1890083
     /* 1890083 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890169), // Rule ID 19100 //
     /* 1890088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890134 */     // MIs[0] policy
     /* 1890134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890144 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1890147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890168 */     // GIR_Coverage, 19100,
     /* 1890168 */     GIR_EraseRootFromParent_Done,
     /* 1890169 */   // Label 25450: @1890169
     /* 1890169 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1890255), // Rule ID 19101 //
     /* 1890174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890220 */     // MIs[0] policy
     /* 1890220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890230 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1890233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890254 */     // GIR_Coverage, 19101,
     /* 1890254 */     GIR_EraseRootFromParent_Done,
     /* 1890255 */   // Label 25451: @1890255
     /* 1890255 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1890341), // Rule ID 19104 //
     /* 1890260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890306 */     // MIs[0] policy
     /* 1890306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1890319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890340 */     // GIR_Coverage, 19104,
     /* 1890340 */     GIR_EraseRootFromParent_Done,
     /* 1890341 */   // Label 25452: @1890341
     /* 1890341 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1890427), // Rule ID 19105 //
     /* 1890346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890392 */     // MIs[0] policy
     /* 1890392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1890405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890426 */     // GIR_Coverage, 19105,
     /* 1890426 */     GIR_EraseRootFromParent_Done,
     /* 1890427 */   // Label 25453: @1890427
     /* 1890427 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1890513), // Rule ID 19108 //
     /* 1890432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890478 */     // MIs[0] policy
     /* 1890478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890488 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890512 */     // GIR_Coverage, 19108,
     /* 1890512 */     GIR_EraseRootFromParent_Done,
     /* 1890513 */   // Label 25454: @1890513
     /* 1890513 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1890599), // Rule ID 19109 //
     /* 1890518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890564 */     // MIs[0] policy
     /* 1890564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890598 */     // GIR_Coverage, 19109,
     /* 1890598 */     GIR_EraseRootFromParent_Done,
     /* 1890599 */   // Label 25455: @1890599
     /* 1890599 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1890685), // Rule ID 19112 //
     /* 1890604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890650 */     // MIs[0] policy
     /* 1890650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890660 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890684 */     // GIR_Coverage, 19112,
     /* 1890684 */     GIR_EraseRootFromParent_Done,
     /* 1890685 */   // Label 25456: @1890685
     /* 1890685 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1890771), // Rule ID 19113 //
     /* 1890690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890736 */     // MIs[0] policy
     /* 1890736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890746 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890770 */     // GIR_Coverage, 19113,
     /* 1890770 */     GIR_EraseRootFromParent_Done,
     /* 1890771 */   // Label 25457: @1890771
     /* 1890771 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1890857), // Rule ID 19116 //
     /* 1890776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890822 */     // MIs[0] policy
     /* 1890822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890832 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890856 */     // GIR_Coverage, 19116,
     /* 1890856 */     GIR_EraseRootFromParent_Done,
     /* 1890857 */   // Label 25458: @1890857
     /* 1890857 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1890943), // Rule ID 19117 //
     /* 1890862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890908 */     // MIs[0] policy
     /* 1890908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890918 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890942 */     // GIR_Coverage, 19117,
     /* 1890942 */     GIR_EraseRootFromParent_Done,
     /* 1890943 */   // Label 25459: @1890943
     /* 1890943 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1891029), // Rule ID 19120 //
     /* 1890948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890994 */     // MIs[0] policy
     /* 1890994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891004 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1891007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891028 */     // GIR_Coverage, 19120,
     /* 1891028 */     GIR_EraseRootFromParent_Done,
     /* 1891029 */   // Label 25460: @1891029
     /* 1891029 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891115), // Rule ID 19121 //
     /* 1891034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891080 */     // MIs[0] policy
     /* 1891080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1891093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891114 */     // GIR_Coverage, 19121,
     /* 1891114 */     GIR_EraseRootFromParent_Done,
     /* 1891115 */   // Label 25461: @1891115
     /* 1891115 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891201), // Rule ID 19124 //
     /* 1891120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891166 */     // MIs[0] policy
     /* 1891166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1891179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891200 */     // GIR_Coverage, 19124,
     /* 1891200 */     GIR_EraseRootFromParent_Done,
     /* 1891201 */   // Label 25462: @1891201
     /* 1891201 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1891287), // Rule ID 19125 //
     /* 1891206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891252 */     // MIs[0] policy
     /* 1891252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891262 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1891265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891286 */     // GIR_Coverage, 19125,
     /* 1891286 */     GIR_EraseRootFromParent_Done,
     /* 1891287 */   // Label 25463: @1891287
     /* 1891287 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1891373), // Rule ID 19128 //
     /* 1891292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891338 */     // MIs[0] policy
     /* 1891338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891348 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891372 */     // GIR_Coverage, 19128,
     /* 1891372 */     GIR_EraseRootFromParent_Done,
     /* 1891373 */   // Label 25464: @1891373
     /* 1891373 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1891459), // Rule ID 19129 //
     /* 1891378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1891395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891424 */     // MIs[0] policy
     /* 1891424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891434 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891458 */     // GIR_Coverage, 19129,
     /* 1891458 */     GIR_EraseRootFromParent_Done,
     /* 1891459 */   // Label 25465: @1891459
     /* 1891459 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1891545), // Rule ID 19132 //
     /* 1891464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891510 */     // MIs[0] policy
     /* 1891510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891544 */     // GIR_Coverage, 19132,
     /* 1891544 */     GIR_EraseRootFromParent_Done,
     /* 1891545 */   // Label 25466: @1891545
     /* 1891545 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1891631), // Rule ID 19133 //
     /* 1891550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891596 */     // MIs[0] policy
     /* 1891596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891630 */     // GIR_Coverage, 19133,
     /* 1891630 */     GIR_EraseRootFromParent_Done,
     /* 1891631 */   // Label 25467: @1891631
     /* 1891631 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1891717), // Rule ID 19136 //
     /* 1891636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891682 */     // MIs[0] policy
     /* 1891682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891692 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891716 */     // GIR_Coverage, 19136,
     /* 1891716 */     GIR_EraseRootFromParent_Done,
     /* 1891717 */   // Label 25468: @1891717
     /* 1891717 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1891803), // Rule ID 19137 //
     /* 1891722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891768 */     // MIs[0] policy
     /* 1891768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891778 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891802 */     // GIR_Coverage, 19137,
     /* 1891802 */     GIR_EraseRootFromParent_Done,
     /* 1891803 */   // Label 25469: @1891803
     /* 1891803 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1891889), // Rule ID 19140 //
     /* 1891808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891854 */     // MIs[0] policy
     /* 1891854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891864 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891888 */     // GIR_Coverage, 19140,
     /* 1891888 */     GIR_EraseRootFromParent_Done,
     /* 1891889 */   // Label 25470: @1891889
     /* 1891889 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1891975), // Rule ID 19141 //
     /* 1891894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891940 */     // MIs[0] policy
     /* 1891940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891950 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891974 */     // GIR_Coverage, 19141,
     /* 1891974 */     GIR_EraseRootFromParent_Done,
     /* 1891975 */   // Label 25471: @1891975
     /* 1891975 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1892061), // Rule ID 19144 //
     /* 1891980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892026 */     // MIs[0] policy
     /* 1892026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1892039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892060 */     // GIR_Coverage, 19144,
     /* 1892060 */     GIR_EraseRootFromParent_Done,
     /* 1892061 */   // Label 25472: @1892061
     /* 1892061 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892147), // Rule ID 19145 //
     /* 1892066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1892077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1892083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892112 */     // MIs[0] policy
     /* 1892112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892122 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1892125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892146 */     // GIR_Coverage, 19145,
     /* 1892146 */     GIR_EraseRootFromParent_Done,
     /* 1892147 */   // Label 25473: @1892147
     /* 1892147 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1892233), // Rule ID 19148 //
     /* 1892152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1892169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892198 */     // MIs[0] policy
     /* 1892198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892208 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1892211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892232 */     // GIR_Coverage, 19148,
     /* 1892232 */     GIR_EraseRootFromParent_Done,
     /* 1892233 */   // Label 25474: @1892233
     /* 1892233 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1892319), // Rule ID 19149 //
     /* 1892238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1892255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1892258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1892280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892284 */     // MIs[0] policy
     /* 1892284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892294 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1892297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892318 */     // GIR_Coverage, 19149,
     /* 1892318 */     GIR_EraseRootFromParent_Done,
     /* 1892319 */   // Label 25475: @1892319
     /* 1892319 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1892405), // Rule ID 19152 //
     /* 1892324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1892341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892370 */     // MIs[0] policy
     /* 1892370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892380 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892404 */     // GIR_Coverage, 19152,
     /* 1892404 */     GIR_EraseRootFromParent_Done,
     /* 1892405 */   // Label 25476: @1892405
     /* 1892405 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1892491), // Rule ID 19153 //
     /* 1892410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1892427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892456 */     // MIs[0] policy
     /* 1892456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892466 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892490 */     // GIR_Coverage, 19153,
     /* 1892490 */     GIR_EraseRootFromParent_Done,
     /* 1892491 */   // Label 25477: @1892491
     /* 1892491 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1892577), // Rule ID 19156 //
     /* 1892496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892542 */     // MIs[0] policy
     /* 1892542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892576 */     // GIR_Coverage, 19156,
     /* 1892576 */     GIR_EraseRootFromParent_Done,
     /* 1892577 */   // Label 25478: @1892577
     /* 1892577 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1892663), // Rule ID 19157 //
     /* 1892582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892628 */     // MIs[0] policy
     /* 1892628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892638 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892662 */     // GIR_Coverage, 19157,
     /* 1892662 */     GIR_EraseRootFromParent_Done,
     /* 1892663 */   // Label 25479: @1892663
     /* 1892663 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1892749), // Rule ID 19160 //
     /* 1892668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892714 */     // MIs[0] policy
     /* 1892714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892724 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892748 */     // GIR_Coverage, 19160,
     /* 1892748 */     GIR_EraseRootFromParent_Done,
     /* 1892749 */   // Label 25480: @1892749
     /* 1892749 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1892835), // Rule ID 19161 //
     /* 1892754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892800 */     // MIs[0] policy
     /* 1892800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892834 */     // GIR_Coverage, 19161,
     /* 1892834 */     GIR_EraseRootFromParent_Done,
     /* 1892835 */   // Label 25481: @1892835
     /* 1892835 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1892921), // Rule ID 19164 //
     /* 1892840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892886 */     // MIs[0] policy
     /* 1892886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892920 */     // GIR_Coverage, 19164,
     /* 1892920 */     GIR_EraseRootFromParent_Done,
     /* 1892921 */   // Label 25482: @1892921
     /* 1892921 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1893007), // Rule ID 19165 //
     /* 1892926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892972 */     // MIs[0] policy
     /* 1892972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893006 */     // GIR_Coverage, 19165,
     /* 1893006 */     GIR_EraseRootFromParent_Done,
     /* 1893007 */   // Label 25483: @1893007
     /* 1893007 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893093), // Rule ID 19168 //
     /* 1893012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1893023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1893026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1893029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893058 */     // MIs[0] policy
     /* 1893058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893068 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1893071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893092 */     // GIR_Coverage, 19168,
     /* 1893092 */     GIR_EraseRootFromParent_Done,
     /* 1893093 */   // Label 25484: @1893093
     /* 1893093 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893179), // Rule ID 19169 //
     /* 1893098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1893109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1893112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1893115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893144 */     // MIs[0] policy
     /* 1893144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893154 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1893157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893178 */     // GIR_Coverage, 19169,
     /* 1893178 */     GIR_EraseRootFromParent_Done,
     /* 1893179 */   // Label 25485: @1893179
     /* 1893179 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1893265), // Rule ID 19172 //
     /* 1893184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1893195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1893198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1893201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893230 */     // MIs[0] policy
     /* 1893230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893240 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1893243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893264 */     // GIR_Coverage, 19172,
     /* 1893264 */     GIR_EraseRootFromParent_Done,
     /* 1893265 */   // Label 25486: @1893265
     /* 1893265 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1893351), // Rule ID 19173 //
     /* 1893270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1893281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1893284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1893287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1893312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893316 */     // MIs[0] policy
     /* 1893316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893326 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1893329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893350 */     // GIR_Coverage, 19173,
     /* 1893350 */     GIR_EraseRootFromParent_Done,
     /* 1893351 */   // Label 25487: @1893351
     /* 1893351 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1893437), // Rule ID 19176 //
     /* 1893356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893402 */     // MIs[0] policy
     /* 1893402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893412 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893436 */     // GIR_Coverage, 19176,
     /* 1893436 */     GIR_EraseRootFromParent_Done,
     /* 1893437 */   // Label 25488: @1893437
     /* 1893437 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1893523), // Rule ID 19177 //
     /* 1893442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893488 */     // MIs[0] policy
     /* 1893488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893498 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893522 */     // GIR_Coverage, 19177,
     /* 1893522 */     GIR_EraseRootFromParent_Done,
     /* 1893523 */   // Label 25489: @1893523
     /* 1893523 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1893609), // Rule ID 19180 //
     /* 1893528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893574 */     // MIs[0] policy
     /* 1893574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893584 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893608 */     // GIR_Coverage, 19180,
     /* 1893608 */     GIR_EraseRootFromParent_Done,
     /* 1893609 */   // Label 25490: @1893609
     /* 1893609 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1893695), // Rule ID 19181 //
     /* 1893614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893660 */     // MIs[0] policy
     /* 1893660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893670 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893694 */     // GIR_Coverage, 19181,
     /* 1893694 */     GIR_EraseRootFromParent_Done,
     /* 1893695 */   // Label 25491: @1893695
     /* 1893695 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1893781), // Rule ID 19184 //
     /* 1893700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893746 */     // MIs[0] policy
     /* 1893746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893780 */     // GIR_Coverage, 19184,
     /* 1893780 */     GIR_EraseRootFromParent_Done,
     /* 1893781 */   // Label 25492: @1893781
     /* 1893781 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1893867), // Rule ID 19185 //
     /* 1893786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893832 */     // MIs[0] policy
     /* 1893832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893866 */     // GIR_Coverage, 19185,
     /* 1893866 */     GIR_EraseRootFromParent_Done,
     /* 1893867 */   // Label 25493: @1893867
     /* 1893867 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1893953), // Rule ID 19188 //
     /* 1893872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893918 */     // MIs[0] policy
     /* 1893918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893952 */     // GIR_Coverage, 19188,
     /* 1893952 */     GIR_EraseRootFromParent_Done,
     /* 1893953 */   // Label 25494: @1893953
     /* 1893953 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1894039), // Rule ID 19189 //
     /* 1893958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894004 */     // MIs[0] policy
     /* 1894004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1894017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894038 */     // GIR_Coverage, 19189,
     /* 1894038 */     GIR_EraseRootFromParent_Done,
     /* 1894039 */   // Label 25495: @1894039
     /* 1894039 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894125), // Rule ID 19192 //
     /* 1894044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1894061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1894064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894090 */     // MIs[0] policy
     /* 1894090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894100 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1894103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894124 */     // GIR_Coverage, 19192,
     /* 1894124 */     GIR_EraseRootFromParent_Done,
     /* 1894125 */   // Label 25496: @1894125
     /* 1894125 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894211), // Rule ID 19193 //
     /* 1894130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1894147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1894150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894176 */     // MIs[0] policy
     /* 1894176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894186 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1894189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894210 */     // GIR_Coverage, 19193,
     /* 1894210 */     GIR_EraseRootFromParent_Done,
     /* 1894211 */   // Label 25497: @1894211
     /* 1894211 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1894297), // Rule ID 19196 //
     /* 1894216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1894227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1894230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1894233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1894236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894262 */     // MIs[0] policy
     /* 1894262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894272 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1894275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894296 */     // GIR_Coverage, 19196,
     /* 1894296 */     GIR_EraseRootFromParent_Done,
     /* 1894297 */   // Label 25498: @1894297
     /* 1894297 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1894383), // Rule ID 19197 //
     /* 1894302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1894313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1894316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1894319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1894322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894348 */     // MIs[0] policy
     /* 1894348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894358 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1894361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894382 */     // GIR_Coverage, 19197,
     /* 1894382 */     GIR_EraseRootFromParent_Done,
     /* 1894383 */   // Label 25499: @1894383
     /* 1894383 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1894469), // Rule ID 19200 //
     /* 1894388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894434 */     // MIs[0] policy
     /* 1894434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894444 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894468 */     // GIR_Coverage, 19200,
     /* 1894468 */     GIR_EraseRootFromParent_Done,
     /* 1894469 */   // Label 25500: @1894469
     /* 1894469 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1894555), // Rule ID 19201 //
     /* 1894474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894520 */     // MIs[0] policy
     /* 1894520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894530 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894554 */     // GIR_Coverage, 19201,
     /* 1894554 */     GIR_EraseRootFromParent_Done,
     /* 1894555 */   // Label 25501: @1894555
     /* 1894555 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1894641), // Rule ID 19204 //
     /* 1894560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894606 */     // MIs[0] policy
     /* 1894606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894640 */     // GIR_Coverage, 19204,
     /* 1894640 */     GIR_EraseRootFromParent_Done,
     /* 1894641 */   // Label 25502: @1894641
     /* 1894641 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1894727), // Rule ID 19205 //
     /* 1894646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894692 */     // MIs[0] policy
     /* 1894692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894702 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894726 */     // GIR_Coverage, 19205,
     /* 1894726 */     GIR_EraseRootFromParent_Done,
     /* 1894727 */   // Label 25503: @1894727
     /* 1894727 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1894813), // Rule ID 19208 //
     /* 1894732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894778 */     // MIs[0] policy
     /* 1894778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894788 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894812 */     // GIR_Coverage, 19208,
     /* 1894812 */     GIR_EraseRootFromParent_Done,
     /* 1894813 */   // Label 25504: @1894813
     /* 1894813 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1894899), // Rule ID 19209 //
     /* 1894818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894864 */     // MIs[0] policy
     /* 1894864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894874 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894898 */     // GIR_Coverage, 19209,
     /* 1894898 */     GIR_EraseRootFromParent_Done,
     /* 1894899 */   // Label 25505: @1894899
     /* 1894899 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1894985), // Rule ID 19212 //
     /* 1894904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894950 */     // MIs[0] policy
     /* 1894950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894960 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894984 */     // GIR_Coverage, 19212,
     /* 1894984 */     GIR_EraseRootFromParent_Done,
     /* 1894985 */   // Label 25506: @1894985
     /* 1894985 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1895071), // Rule ID 19213 //
     /* 1894990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1895007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1895010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895036 */     // MIs[0] policy
     /* 1895036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1895049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895070 */     // GIR_Coverage, 19213,
     /* 1895070 */     GIR_EraseRootFromParent_Done,
     /* 1895071 */   // Label 25507: @1895071
     /* 1895071 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895157), // Rule ID 19216 //
     /* 1895076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1895093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1895096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895122 */     // MIs[0] policy
     /* 1895122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1895135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895156 */     // GIR_Coverage, 19216,
     /* 1895156 */     GIR_EraseRootFromParent_Done,
     /* 1895157 */   // Label 25508: @1895157
     /* 1895157 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1895243), // Rule ID 19217 //
     /* 1895162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1895179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1895182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895208 */     // MIs[0] policy
     /* 1895208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895218 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1895221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895242 */     // GIR_Coverage, 19217,
     /* 1895242 */     GIR_EraseRootFromParent_Done,
     /* 1895243 */   // Label 25509: @1895243
     /* 1895243 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1895329), // Rule ID 19220 //
     /* 1895248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1895265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1895268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895294 */     // MIs[0] policy
     /* 1895294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895304 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1895307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895328 */     // GIR_Coverage, 19220,
     /* 1895328 */     GIR_EraseRootFromParent_Done,
     /* 1895329 */   // Label 25510: @1895329
     /* 1895329 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1895415), // Rule ID 19221 //
     /* 1895334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1895351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1895354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895380 */     // MIs[0] policy
     /* 1895380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1895393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895414 */     // GIR_Coverage, 19221,
     /* 1895414 */     GIR_EraseRootFromParent_Done,
     /* 1895415 */   // Label 25511: @1895415
     /* 1895415 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1895501), // Rule ID 19224 //
     /* 1895420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895466 */     // MIs[0] policy
     /* 1895466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895500 */     // GIR_Coverage, 19224,
     /* 1895500 */     GIR_EraseRootFromParent_Done,
     /* 1895501 */   // Label 25512: @1895501
     /* 1895501 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1895587), // Rule ID 19225 //
     /* 1895506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895552 */     // MIs[0] policy
     /* 1895552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895562 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895586 */     // GIR_Coverage, 19225,
     /* 1895586 */     GIR_EraseRootFromParent_Done,
     /* 1895587 */   // Label 25513: @1895587
     /* 1895587 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1895673), // Rule ID 19228 //
     /* 1895592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895638 */     // MIs[0] policy
     /* 1895638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895672 */     // GIR_Coverage, 19228,
     /* 1895672 */     GIR_EraseRootFromParent_Done,
     /* 1895673 */   // Label 25514: @1895673
     /* 1895673 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1895759), // Rule ID 19229 //
     /* 1895678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895724 */     // MIs[0] policy
     /* 1895724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895758 */     // GIR_Coverage, 19229,
     /* 1895758 */     GIR_EraseRootFromParent_Done,
     /* 1895759 */   // Label 25515: @1895759
     /* 1895759 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1895845), // Rule ID 19232 //
     /* 1895764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895810 */     // MIs[0] policy
     /* 1895810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895820 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895844 */     // GIR_Coverage, 19232,
     /* 1895844 */     GIR_EraseRootFromParent_Done,
     /* 1895845 */   // Label 25516: @1895845
     /* 1895845 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1895931), // Rule ID 19233 //
     /* 1895850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895896 */     // MIs[0] policy
     /* 1895896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895906 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895930 */     // GIR_Coverage, 19233,
     /* 1895930 */     GIR_EraseRootFromParent_Done,
     /* 1895931 */   // Label 25517: @1895931
     /* 1895931 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1896017), // Rule ID 19236 //
     /* 1895936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895982 */     // MIs[0] policy
     /* 1895982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895992 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1895995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896016 */     // GIR_Coverage, 19236,
     /* 1896016 */     GIR_EraseRootFromParent_Done,
     /* 1896017 */   // Label 25518: @1896017
     /* 1896017 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896103), // Rule ID 19237 //
     /* 1896022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1896033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1896036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896068 */     // MIs[0] policy
     /* 1896068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896078 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1896081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896102 */     // GIR_Coverage, 19237,
     /* 1896102 */     GIR_EraseRootFromParent_Done,
     /* 1896103 */   // Label 25519: @1896103
     /* 1896103 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896189), // Rule ID 19240 //
     /* 1896108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1896119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1896122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896154 */     // MIs[0] policy
     /* 1896154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896164 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1896167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896188 */     // GIR_Coverage, 19240,
     /* 1896188 */     GIR_EraseRootFromParent_Done,
     /* 1896189 */   // Label 25520: @1896189
     /* 1896189 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1896275), // Rule ID 19241 //
     /* 1896194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1896205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1896208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896240 */     // MIs[0] policy
     /* 1896240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896250 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1896253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896274 */     // GIR_Coverage, 19241,
     /* 1896274 */     GIR_EraseRootFromParent_Done,
     /* 1896275 */   // Label 25521: @1896275
     /* 1896275 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1896361), // Rule ID 19244 //
     /* 1896280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896326 */     // MIs[0] policy
     /* 1896326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1896339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896360 */     // GIR_Coverage, 19244,
     /* 1896360 */     GIR_EraseRootFromParent_Done,
     /* 1896361 */   // Label 25522: @1896361
     /* 1896361 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1896447), // Rule ID 19245 //
     /* 1896366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896412 */     // MIs[0] policy
     /* 1896412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896422 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1896425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896446 */     // GIR_Coverage, 19245,
     /* 1896446 */     GIR_EraseRootFromParent_Done,
     /* 1896447 */   // Label 25523: @1896447
     /* 1896447 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1896533), // Rule ID 19248 //
     /* 1896452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896498 */     // MIs[0] policy
     /* 1896498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896532 */     // GIR_Coverage, 19248,
     /* 1896532 */     GIR_EraseRootFromParent_Done,
     /* 1896533 */   // Label 25524: @1896533
     /* 1896533 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1896619), // Rule ID 19249 //
     /* 1896538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896584 */     // MIs[0] policy
     /* 1896584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896594 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896618 */     // GIR_Coverage, 19249,
     /* 1896618 */     GIR_EraseRootFromParent_Done,
     /* 1896619 */   // Label 25525: @1896619
     /* 1896619 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1896705), // Rule ID 19252 //
     /* 1896624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896670 */     // MIs[0] policy
     /* 1896670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896704 */     // GIR_Coverage, 19252,
     /* 1896704 */     GIR_EraseRootFromParent_Done,
     /* 1896705 */   // Label 25526: @1896705
     /* 1896705 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1896791), // Rule ID 19253 //
     /* 1896710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896756 */     // MIs[0] policy
     /* 1896756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896766 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896790 */     // GIR_Coverage, 19253,
     /* 1896790 */     GIR_EraseRootFromParent_Done,
     /* 1896791 */   // Label 25527: @1896791
     /* 1896791 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1896877), // Rule ID 19256 //
     /* 1896796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896842 */     // MIs[0] policy
     /* 1896842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896876 */     // GIR_Coverage, 19256,
     /* 1896876 */     GIR_EraseRootFromParent_Done,
     /* 1896877 */   // Label 25528: @1896877
     /* 1896877 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1896963), // Rule ID 19257 //
     /* 1896882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896928 */     // MIs[0] policy
     /* 1896928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896938 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896962 */     // GIR_Coverage, 19257,
     /* 1896962 */     GIR_EraseRootFromParent_Done,
     /* 1896963 */   // Label 25529: @1896963
     /* 1896963 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1897049), // Rule ID 19260 //
     /* 1896968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897014 */     // MIs[0] policy
     /* 1897014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897024 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1897027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897048 */     // GIR_Coverage, 19260,
     /* 1897048 */     GIR_EraseRootFromParent_Done,
     /* 1897049 */   // Label 25530: @1897049
     /* 1897049 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897135), // Rule ID 19261 //
     /* 1897054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1897065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1897068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897100 */     // MIs[0] policy
     /* 1897100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897110 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1897113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897134 */     // GIR_Coverage, 19261,
     /* 1897134 */     GIR_EraseRootFromParent_Done,
     /* 1897135 */   // Label 25531: @1897135
     /* 1897135 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1897221), // Rule ID 19264 //
     /* 1897140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897186 */     // MIs[0] policy
     /* 1897186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897196 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1897199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897220 */     // GIR_Coverage, 19264,
     /* 1897220 */     GIR_EraseRootFromParent_Done,
     /* 1897221 */   // Label 25532: @1897221
     /* 1897221 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1897307), // Rule ID 19265 //
     /* 1897226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897272 */     // MIs[0] policy
     /* 1897272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897282 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1897285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897306 */     // GIR_Coverage, 19265,
     /* 1897306 */     GIR_EraseRootFromParent_Done,
     /* 1897307 */   // Label 25533: @1897307
     /* 1897307 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1897393), // Rule ID 19268 //
     /* 1897312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897358 */     // MIs[0] policy
     /* 1897358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897368 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897392 */     // GIR_Coverage, 19268,
     /* 1897392 */     GIR_EraseRootFromParent_Done,
     /* 1897393 */   // Label 25534: @1897393
     /* 1897393 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1897479), // Rule ID 19269 //
     /* 1897398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897444 */     // MIs[0] policy
     /* 1897444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897454 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897478 */     // GIR_Coverage, 19269,
     /* 1897478 */     GIR_EraseRootFromParent_Done,
     /* 1897479 */   // Label 25535: @1897479
     /* 1897479 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1897565), // Rule ID 19272 //
     /* 1897484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897530 */     // MIs[0] policy
     /* 1897530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897564 */     // GIR_Coverage, 19272,
     /* 1897564 */     GIR_EraseRootFromParent_Done,
     /* 1897565 */   // Label 25536: @1897565
     /* 1897565 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1897651), // Rule ID 19273 //
     /* 1897570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897616 */     // MIs[0] policy
     /* 1897616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897626 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897650 */     // GIR_Coverage, 19273,
     /* 1897650 */     GIR_EraseRootFromParent_Done,
     /* 1897651 */   // Label 25537: @1897651
     /* 1897651 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1897737), // Rule ID 19276 //
     /* 1897656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897702 */     // MIs[0] policy
     /* 1897702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897712 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897736 */     // GIR_Coverage, 19276,
     /* 1897736 */     GIR_EraseRootFromParent_Done,
     /* 1897737 */   // Label 25538: @1897737
     /* 1897737 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1897823), // Rule ID 19277 //
     /* 1897742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897788 */     // MIs[0] policy
     /* 1897788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897798 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897822 */     // GIR_Coverage, 19277,
     /* 1897822 */     GIR_EraseRootFromParent_Done,
     /* 1897823 */   // Label 25539: @1897823
     /* 1897823 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1897909), // Rule ID 19280 //
     /* 1897828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897874 */     // MIs[0] policy
     /* 1897874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897884 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897908 */     // GIR_Coverage, 19280,
     /* 1897908 */     GIR_EraseRootFromParent_Done,
     /* 1897909 */   // Label 25540: @1897909
     /* 1897909 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1897995), // Rule ID 19281 //
     /* 1897914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897960 */     // MIs[0] policy
     /* 1897960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897970 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897994 */     // GIR_Coverage, 19281,
     /* 1897994 */     GIR_EraseRootFromParent_Done,
     /* 1897995 */   // Label 25541: @1897995
     /* 1897995 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1898081), // Rule ID 19284 //
     /* 1898000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898046 */     // MIs[0] policy
     /* 1898046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1898059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898080 */     // GIR_Coverage, 19284,
     /* 1898080 */     GIR_EraseRootFromParent_Done,
     /* 1898081 */   // Label 25542: @1898081
     /* 1898081 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898167), // Rule ID 19285 //
     /* 1898086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898132 */     // MIs[0] policy
     /* 1898132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898142 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1898145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898166 */     // GIR_Coverage, 19285,
     /* 1898166 */     GIR_EraseRootFromParent_Done,
     /* 1898167 */   // Label 25543: @1898167
     /* 1898167 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1898253), // Rule ID 19288 //
     /* 1898172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898218 */     // MIs[0] policy
     /* 1898218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898228 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1898231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898252 */     // GIR_Coverage, 19288,
     /* 1898252 */     GIR_EraseRootFromParent_Done,
     /* 1898253 */   // Label 25544: @1898253
     /* 1898253 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1898339), // Rule ID 19289 //
     /* 1898258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898304 */     // MIs[0] policy
     /* 1898304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898314 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1898317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898338 */     // GIR_Coverage, 19289,
     /* 1898338 */     GIR_EraseRootFromParent_Done,
     /* 1898339 */   // Label 25545: @1898339
     /* 1898339 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1898425), // Rule ID 19292 //
     /* 1898344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898390 */     // MIs[0] policy
     /* 1898390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898400 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898424 */     // GIR_Coverage, 19292,
     /* 1898424 */     GIR_EraseRootFromParent_Done,
     /* 1898425 */   // Label 25546: @1898425
     /* 1898425 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1898511), // Rule ID 19293 //
     /* 1898430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898476 */     // MIs[0] policy
     /* 1898476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898486 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898510 */     // GIR_Coverage, 19293,
     /* 1898510 */     GIR_EraseRootFromParent_Done,
     /* 1898511 */   // Label 25547: @1898511
     /* 1898511 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1898597), // Rule ID 19296 //
     /* 1898516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898562 */     // MIs[0] policy
     /* 1898562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898572 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898596 */     // GIR_Coverage, 19296,
     /* 1898596 */     GIR_EraseRootFromParent_Done,
     /* 1898597 */   // Label 25548: @1898597
     /* 1898597 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1898683), // Rule ID 19297 //
     /* 1898602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898648 */     // MIs[0] policy
     /* 1898648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898658 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898682 */     // GIR_Coverage, 19297,
     /* 1898682 */     GIR_EraseRootFromParent_Done,
     /* 1898683 */   // Label 25549: @1898683
     /* 1898683 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1898769), // Rule ID 19300 //
     /* 1898688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898734 */     // MIs[0] policy
     /* 1898734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898744 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898768 */     // GIR_Coverage, 19300,
     /* 1898768 */     GIR_EraseRootFromParent_Done,
     /* 1898769 */   // Label 25550: @1898769
     /* 1898769 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1898855), // Rule ID 19301 //
     /* 1898774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898820 */     // MIs[0] policy
     /* 1898820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898830 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898854 */     // GIR_Coverage, 19301,
     /* 1898854 */     GIR_EraseRootFromParent_Done,
     /* 1898855 */   // Label 25551: @1898855
     /* 1898855 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1898941), // Rule ID 19304 //
     /* 1898860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898906 */     // MIs[0] policy
     /* 1898906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898940 */     // GIR_Coverage, 19304,
     /* 1898940 */     GIR_EraseRootFromParent_Done,
     /* 1898941 */   // Label 25552: @1898941
     /* 1898941 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1899027), // Rule ID 19305 //
     /* 1898946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898992 */     // MIs[0] policy
     /* 1898992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1899005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899026 */     // GIR_Coverage, 19305,
     /* 1899026 */     GIR_EraseRootFromParent_Done,
     /* 1899027 */   // Label 25553: @1899027
     /* 1899027 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899113), // Rule ID 19308 //
     /* 1899032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899078 */     // MIs[0] policy
     /* 1899078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899088 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1899091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899112 */     // GIR_Coverage, 19308,
     /* 1899112 */     GIR_EraseRootFromParent_Done,
     /* 1899113 */   // Label 25554: @1899113
     /* 1899113 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899199), // Rule ID 19309 //
     /* 1899118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899164 */     // MIs[0] policy
     /* 1899164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899174 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1899177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899198 */     // GIR_Coverage, 19309,
     /* 1899198 */     GIR_EraseRootFromParent_Done,
     /* 1899199 */   // Label 25555: @1899199
     /* 1899199 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1899285), // Rule ID 19312 //
     /* 1899204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899250 */     // MIs[0] policy
     /* 1899250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899260 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1899263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899284 */     // GIR_Coverage, 19312,
     /* 1899284 */     GIR_EraseRootFromParent_Done,
     /* 1899285 */   // Label 25556: @1899285
     /* 1899285 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1899371), // Rule ID 19313 //
     /* 1899290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899336 */     // MIs[0] policy
     /* 1899336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899346 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1899349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899370 */     // GIR_Coverage, 19313,
     /* 1899370 */     GIR_EraseRootFromParent_Done,
     /* 1899371 */   // Label 25557: @1899371
     /* 1899371 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1899457), // Rule ID 19316 //
     /* 1899376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899422 */     // MIs[0] policy
     /* 1899422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899432 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899456 */     // GIR_Coverage, 19316,
     /* 1899456 */     GIR_EraseRootFromParent_Done,
     /* 1899457 */   // Label 25558: @1899457
     /* 1899457 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1899543), // Rule ID 19317 //
     /* 1899462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899508 */     // MIs[0] policy
     /* 1899508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899518 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899542 */     // GIR_Coverage, 19317,
     /* 1899542 */     GIR_EraseRootFromParent_Done,
     /* 1899543 */   // Label 25559: @1899543
     /* 1899543 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1899629), // Rule ID 19320 //
     /* 1899548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899594 */     // MIs[0] policy
     /* 1899594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899604 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899628 */     // GIR_Coverage, 19320,
     /* 1899628 */     GIR_EraseRootFromParent_Done,
     /* 1899629 */   // Label 25560: @1899629
     /* 1899629 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1899715), // Rule ID 19321 //
     /* 1899634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899680 */     // MIs[0] policy
     /* 1899680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899690 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899714 */     // GIR_Coverage, 19321,
     /* 1899714 */     GIR_EraseRootFromParent_Done,
     /* 1899715 */   // Label 25561: @1899715
     /* 1899715 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1899801), // Rule ID 19324 //
     /* 1899720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899766 */     // MIs[0] policy
     /* 1899766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899776 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899800 */     // GIR_Coverage, 19324,
     /* 1899800 */     GIR_EraseRootFromParent_Done,
     /* 1899801 */   // Label 25562: @1899801
     /* 1899801 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1899887), // Rule ID 19325 //
     /* 1899806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899852 */     // MIs[0] policy
     /* 1899852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899862 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899886 */     // GIR_Coverage, 19325,
     /* 1899886 */     GIR_EraseRootFromParent_Done,
     /* 1899887 */   // Label 25563: @1899887
     /* 1899887 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1899973), // Rule ID 19328 //
     /* 1899892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899938 */     // MIs[0] policy
     /* 1899938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899948 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899972 */     // GIR_Coverage, 19328,
     /* 1899972 */     GIR_EraseRootFromParent_Done,
     /* 1899973 */   // Label 25564: @1899973
     /* 1899973 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1900059), // Rule ID 19329 //
     /* 1899978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900024 */     // MIs[0] policy
     /* 1900024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900034 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1900037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900058 */     // GIR_Coverage, 19329,
     /* 1900058 */     GIR_EraseRootFromParent_Done,
     /* 1900059 */   // Label 25565: @1900059
     /* 1900059 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900145), // Rule ID 19332 //
     /* 1900064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900110 */     // MIs[0] policy
     /* 1900110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900120 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1900123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900144 */     // GIR_Coverage, 19332,
     /* 1900144 */     GIR_EraseRootFromParent_Done,
     /* 1900145 */   // Label 25566: @1900145
     /* 1900145 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1900231), // Rule ID 19333 //
     /* 1900150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900196 */     // MIs[0] policy
     /* 1900196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900206 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1900209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900230 */     // GIR_Coverage, 19333,
     /* 1900230 */     GIR_EraseRootFromParent_Done,
     /* 1900231 */   // Label 25567: @1900231
     /* 1900231 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1900317), // Rule ID 19336 //
     /* 1900236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900282 */     // MIs[0] policy
     /* 1900282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1900295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900316 */     // GIR_Coverage, 19336,
     /* 1900316 */     GIR_EraseRootFromParent_Done,
     /* 1900317 */   // Label 25568: @1900317
     /* 1900317 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1900403), // Rule ID 19337 //
     /* 1900322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900368 */     // MIs[0] policy
     /* 1900368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1900381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900402 */     // GIR_Coverage, 19337,
     /* 1900402 */     GIR_EraseRootFromParent_Done,
     /* 1900403 */   // Label 25569: @1900403
     /* 1900403 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1900489), // Rule ID 19340 //
     /* 1900408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900454 */     // MIs[0] policy
     /* 1900454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900488 */     // GIR_Coverage, 19340,
     /* 1900488 */     GIR_EraseRootFromParent_Done,
     /* 1900489 */   // Label 25570: @1900489
     /* 1900489 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1900575), // Rule ID 19341 //
     /* 1900494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900540 */     // MIs[0] policy
     /* 1900540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900550 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900574 */     // GIR_Coverage, 19341,
     /* 1900574 */     GIR_EraseRootFromParent_Done,
     /* 1900575 */   // Label 25571: @1900575
     /* 1900575 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1900661), // Rule ID 19344 //
     /* 1900580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900626 */     // MIs[0] policy
     /* 1900626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900636 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900660 */     // GIR_Coverage, 19344,
     /* 1900660 */     GIR_EraseRootFromParent_Done,
     /* 1900661 */   // Label 25572: @1900661
     /* 1900661 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1900747), // Rule ID 19345 //
     /* 1900666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900712 */     // MIs[0] policy
     /* 1900712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900722 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900746 */     // GIR_Coverage, 19345,
     /* 1900746 */     GIR_EraseRootFromParent_Done,
     /* 1900747 */   // Label 25573: @1900747
     /* 1900747 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1900833), // Rule ID 19348 //
     /* 1900752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900798 */     // MIs[0] policy
     /* 1900798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900808 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900832 */     // GIR_Coverage, 19348,
     /* 1900832 */     GIR_EraseRootFromParent_Done,
     /* 1900833 */   // Label 25574: @1900833
     /* 1900833 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1900919), // Rule ID 19349 //
     /* 1900838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900884 */     // MIs[0] policy
     /* 1900884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900918 */     // GIR_Coverage, 19349,
     /* 1900918 */     GIR_EraseRootFromParent_Done,
     /* 1900919 */   // Label 25575: @1900919
     /* 1900919 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1901005), // Rule ID 19352 //
     /* 1900924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900970 */     // MIs[0] policy
     /* 1900970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901004 */     // GIR_Coverage, 19352,
     /* 1901004 */     GIR_EraseRootFromParent_Done,
     /* 1901005 */   // Label 25576: @1901005
     /* 1901005 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901091), // Rule ID 19353 //
     /* 1901010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1901030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901056 */     // MIs[0] policy
     /* 1901056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901066 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1901069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901090 */     // GIR_Coverage, 19353,
     /* 1901090 */     GIR_EraseRootFromParent_Done,
     /* 1901091 */   // Label 25577: @1901091
     /* 1901091 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901177), // Rule ID 19356 //
     /* 1901096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901142 */     // MIs[0] policy
     /* 1901142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1901155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901176 */     // GIR_Coverage, 19356,
     /* 1901176 */     GIR_EraseRootFromParent_Done,
     /* 1901177 */   // Label 25578: @1901177
     /* 1901177 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1901263), // Rule ID 19357 //
     /* 1901182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901228 */     // MIs[0] policy
     /* 1901228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901238 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1901241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901262 */     // GIR_Coverage, 19357,
     /* 1901262 */     GIR_EraseRootFromParent_Done,
     /* 1901263 */   // Label 25579: @1901263
     /* 1901263 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1901349), // Rule ID 19360 //
     /* 1901268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901314 */     // MIs[0] policy
     /* 1901314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901324 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1901327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901348 */     // GIR_Coverage, 19360,
     /* 1901348 */     GIR_EraseRootFromParent_Done,
     /* 1901349 */   // Label 25580: @1901349
     /* 1901349 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1901435), // Rule ID 19361 //
     /* 1901354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901400 */     // MIs[0] policy
     /* 1901400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901410 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1901413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901434 */     // GIR_Coverage, 19361,
     /* 1901434 */     GIR_EraseRootFromParent_Done,
     /* 1901435 */   // Label 25581: @1901435
     /* 1901435 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1901521), // Rule ID 19364 //
     /* 1901440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901486 */     // MIs[0] policy
     /* 1901486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901520 */     // GIR_Coverage, 19364,
     /* 1901520 */     GIR_EraseRootFromParent_Done,
     /* 1901521 */   // Label 25582: @1901521
     /* 1901521 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1901607), // Rule ID 19365 //
     /* 1901526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901572 */     // MIs[0] policy
     /* 1901572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901606 */     // GIR_Coverage, 19365,
     /* 1901606 */     GIR_EraseRootFromParent_Done,
     /* 1901607 */   // Label 25583: @1901607
     /* 1901607 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1901693), // Rule ID 19368 //
     /* 1901612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901658 */     // MIs[0] policy
     /* 1901658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901668 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901692 */     // GIR_Coverage, 19368,
     /* 1901692 */     GIR_EraseRootFromParent_Done,
     /* 1901693 */   // Label 25584: @1901693
     /* 1901693 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1901779), // Rule ID 19369 //
     /* 1901698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901744 */     // MIs[0] policy
     /* 1901744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901754 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901778 */     // GIR_Coverage, 19369,
     /* 1901778 */     GIR_EraseRootFromParent_Done,
     /* 1901779 */   // Label 25585: @1901779
     /* 1901779 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1901865), // Rule ID 19372 //
     /* 1901784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901830 */     // MIs[0] policy
     /* 1901830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901864 */     // GIR_Coverage, 19372,
     /* 1901864 */     GIR_EraseRootFromParent_Done,
     /* 1901865 */   // Label 25586: @1901865
     /* 1901865 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1901951), // Rule ID 19373 //
     /* 1901870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901916 */     // MIs[0] policy
     /* 1901916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901926 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901950 */     // GIR_Coverage, 19373,
     /* 1901950 */     GIR_EraseRootFromParent_Done,
     /* 1901951 */   // Label 25587: @1901951
     /* 1901951 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1902037), // Rule ID 19376 //
     /* 1901956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902002 */     // MIs[0] policy
     /* 1902002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1902015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902036 */     // GIR_Coverage, 19376,
     /* 1902036 */     GIR_EraseRootFromParent_Done,
     /* 1902037 */   // Label 25588: @1902037
     /* 1902037 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902123), // Rule ID 19377 //
     /* 1902042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1902059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902088 */     // MIs[0] policy
     /* 1902088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902098 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1902101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902122 */     // GIR_Coverage, 19377,
     /* 1902122 */     GIR_EraseRootFromParent_Done,
     /* 1902123 */   // Label 25589: @1902123
     /* 1902123 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902209), // Rule ID 19380 //
     /* 1902128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902174 */     // MIs[0] policy
     /* 1902174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1902187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902208 */     // GIR_Coverage, 19380,
     /* 1902208 */     GIR_EraseRootFromParent_Done,
     /* 1902209 */   // Label 25590: @1902209
     /* 1902209 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1902295), // Rule ID 19381 //
     /* 1902214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902260 */     // MIs[0] policy
     /* 1902260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902270 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1902273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902294 */     // GIR_Coverage, 19381,
     /* 1902294 */     GIR_EraseRootFromParent_Done,
     /* 1902295 */   // Label 25591: @1902295
     /* 1902295 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1902381), // Rule ID 19384 //
     /* 1902300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902346 */     // MIs[0] policy
     /* 1902346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902356 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902380 */     // GIR_Coverage, 19384,
     /* 1902380 */     GIR_EraseRootFromParent_Done,
     /* 1902381 */   // Label 25592: @1902381
     /* 1902381 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1902467), // Rule ID 19385 //
     /* 1902386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902432 */     // MIs[0] policy
     /* 1902432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902442 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902466 */     // GIR_Coverage, 19385,
     /* 1902466 */     GIR_EraseRootFromParent_Done,
     /* 1902467 */   // Label 25593: @1902467
     /* 1902467 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1902553), // Rule ID 19388 //
     /* 1902472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902518 */     // MIs[0] policy
     /* 1902518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902528 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902552 */     // GIR_Coverage, 19388,
     /* 1902552 */     GIR_EraseRootFromParent_Done,
     /* 1902553 */   // Label 25594: @1902553
     /* 1902553 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1902639), // Rule ID 19389 //
     /* 1902558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902604 */     // MIs[0] policy
     /* 1902604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902638 */     // GIR_Coverage, 19389,
     /* 1902638 */     GIR_EraseRootFromParent_Done,
     /* 1902639 */   // Label 25595: @1902639
     /* 1902639 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1902725), // Rule ID 19392 //
     /* 1902644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902690 */     // MIs[0] policy
     /* 1902690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902724 */     // GIR_Coverage, 19392,
     /* 1902724 */     GIR_EraseRootFromParent_Done,
     /* 1902725 */   // Label 25596: @1902725
     /* 1902725 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1902811), // Rule ID 19393 //
     /* 1902730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902776 */     // MIs[0] policy
     /* 1902776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902810 */     // GIR_Coverage, 19393,
     /* 1902810 */     GIR_EraseRootFromParent_Done,
     /* 1902811 */   // Label 25597: @1902811
     /* 1902811 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1902897), // Rule ID 19396 //
     /* 1902816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902862 */     // MIs[0] policy
     /* 1902862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902872 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902896 */     // GIR_Coverage, 19396,
     /* 1902896 */     GIR_EraseRootFromParent_Done,
     /* 1902897 */   // Label 25598: @1902897
     /* 1902897 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1902983), // Rule ID 19397 //
     /* 1902902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902948 */     // MIs[0] policy
     /* 1902948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902982 */     // GIR_Coverage, 19397,
     /* 1902982 */     GIR_EraseRootFromParent_Done,
     /* 1902983 */   // Label 25599: @1902983
     /* 1902983 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1903069), // Rule ID 19400 //
     /* 1902988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903034 */     // MIs[0] policy
     /* 1903034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903044 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1903047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903068 */     // GIR_Coverage, 19400,
     /* 1903068 */     GIR_EraseRootFromParent_Done,
     /* 1903069 */   // Label 25600: @1903069
     /* 1903069 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903155), // Rule ID 19401 //
     /* 1903074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903120 */     // MIs[0] policy
     /* 1903120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1903133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903154 */     // GIR_Coverage, 19401,
     /* 1903154 */     GIR_EraseRootFromParent_Done,
     /* 1903155 */   // Label 25601: @1903155
     /* 1903155 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1903241), // Rule ID 19404 //
     /* 1903160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903206 */     // MIs[0] policy
     /* 1903206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1903219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903240 */     // GIR_Coverage, 19404,
     /* 1903240 */     GIR_EraseRootFromParent_Done,
     /* 1903241 */   // Label 25602: @1903241
     /* 1903241 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1903327), // Rule ID 19405 //
     /* 1903246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903292 */     // MIs[0] policy
     /* 1903292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903302 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1903305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903326 */     // GIR_Coverage, 19405,
     /* 1903326 */     GIR_EraseRootFromParent_Done,
     /* 1903327 */   // Label 25603: @1903327
     /* 1903327 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1903413), // Rule ID 19408 //
     /* 1903332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903378 */     // MIs[0] policy
     /* 1903378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903388 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903412 */     // GIR_Coverage, 19408,
     /* 1903412 */     GIR_EraseRootFromParent_Done,
     /* 1903413 */   // Label 25604: @1903413
     /* 1903413 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1903499), // Rule ID 19409 //
     /* 1903418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903464 */     // MIs[0] policy
     /* 1903464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903474 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903498 */     // GIR_Coverage, 19409,
     /* 1903498 */     GIR_EraseRootFromParent_Done,
     /* 1903499 */   // Label 25605: @1903499
     /* 1903499 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1903585), // Rule ID 19412 //
     /* 1903504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903550 */     // MIs[0] policy
     /* 1903550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903584 */     // GIR_Coverage, 19412,
     /* 1903584 */     GIR_EraseRootFromParent_Done,
     /* 1903585 */   // Label 25606: @1903585
     /* 1903585 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1903671), // Rule ID 19413 //
     /* 1903590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903636 */     // MIs[0] policy
     /* 1903636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903646 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903670 */     // GIR_Coverage, 19413,
     /* 1903670 */     GIR_EraseRootFromParent_Done,
     /* 1903671 */   // Label 25607: @1903671
     /* 1903671 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1903757), // Rule ID 19416 //
     /* 1903676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903722 */     // MIs[0] policy
     /* 1903722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903732 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903756 */     // GIR_Coverage, 19416,
     /* 1903756 */     GIR_EraseRootFromParent_Done,
     /* 1903757 */   // Label 25608: @1903757
     /* 1903757 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1903843), // Rule ID 19417 //
     /* 1903762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903808 */     // MIs[0] policy
     /* 1903808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903818 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903842 */     // GIR_Coverage, 19417,
     /* 1903842 */     GIR_EraseRootFromParent_Done,
     /* 1903843 */   // Label 25609: @1903843
     /* 1903843 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1903929), // Rule ID 19420 //
     /* 1903848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903894 */     // MIs[0] policy
     /* 1903894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903904 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903928 */     // GIR_Coverage, 19420,
     /* 1903928 */     GIR_EraseRootFromParent_Done,
     /* 1903929 */   // Label 25610: @1903929
     /* 1903929 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1904015), // Rule ID 19421 //
     /* 1903934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903980 */     // MIs[0] policy
     /* 1903980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903990 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904014 */     // GIR_Coverage, 19421,
     /* 1904014 */     GIR_EraseRootFromParent_Done,
     /* 1904015 */   // Label 25611: @1904015
     /* 1904015 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904101), // Rule ID 19424 //
     /* 1904020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904066 */     // MIs[0] policy
     /* 1904066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1904079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904100 */     // GIR_Coverage, 19424,
     /* 1904100 */     GIR_EraseRootFromParent_Done,
     /* 1904101 */   // Label 25612: @1904101
     /* 1904101 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904187), // Rule ID 19425 //
     /* 1904106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904152 */     // MIs[0] policy
     /* 1904152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904162 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1904165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904186 */     // GIR_Coverage, 19425,
     /* 1904186 */     GIR_EraseRootFromParent_Done,
     /* 1904187 */   // Label 25613: @1904187
     /* 1904187 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1904273), // Rule ID 19428 //
     /* 1904192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904238 */     // MIs[0] policy
     /* 1904238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904248 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1904251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904272 */     // GIR_Coverage, 19428,
     /* 1904272 */     GIR_EraseRootFromParent_Done,
     /* 1904273 */   // Label 25614: @1904273
     /* 1904273 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1904359), // Rule ID 19429 //
     /* 1904278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904324 */     // MIs[0] policy
     /* 1904324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904334 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1904337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904358 */     // GIR_Coverage, 19429,
     /* 1904358 */     GIR_EraseRootFromParent_Done,
     /* 1904359 */   // Label 25615: @1904359
     /* 1904359 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1904445), // Rule ID 19432 //
     /* 1904364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904410 */     // MIs[0] policy
     /* 1904410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904444 */     // GIR_Coverage, 19432,
     /* 1904444 */     GIR_EraseRootFromParent_Done,
     /* 1904445 */   // Label 25616: @1904445
     /* 1904445 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1904531), // Rule ID 19433 //
     /* 1904450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904496 */     // MIs[0] policy
     /* 1904496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904506 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904530 */     // GIR_Coverage, 19433,
     /* 1904530 */     GIR_EraseRootFromParent_Done,
     /* 1904531 */   // Label 25617: @1904531
     /* 1904531 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1904617), // Rule ID 19436 //
     /* 1904536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904582 */     // MIs[0] policy
     /* 1904582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904592 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904616 */     // GIR_Coverage, 19436,
     /* 1904616 */     GIR_EraseRootFromParent_Done,
     /* 1904617 */   // Label 25618: @1904617
     /* 1904617 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1904703), // Rule ID 19437 //
     /* 1904622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904668 */     // MIs[0] policy
     /* 1904668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904702 */     // GIR_Coverage, 19437,
     /* 1904702 */     GIR_EraseRootFromParent_Done,
     /* 1904703 */   // Label 25619: @1904703
     /* 1904703 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1904789), // Rule ID 19440 //
     /* 1904708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904754 */     // MIs[0] policy
     /* 1904754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904764 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904788 */     // GIR_Coverage, 19440,
     /* 1904788 */     GIR_EraseRootFromParent_Done,
     /* 1904789 */   // Label 25620: @1904789
     /* 1904789 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1904875), // Rule ID 19441 //
     /* 1904794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904840 */     // MIs[0] policy
     /* 1904840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904850 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904874 */     // GIR_Coverage, 19441,
     /* 1904874 */     GIR_EraseRootFromParent_Done,
     /* 1904875 */   // Label 25621: @1904875
     /* 1904875 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1904961), // Rule ID 19444 //
     /* 1904880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904926 */     // MIs[0] policy
     /* 1904926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904936 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904960 */     // GIR_Coverage, 19444,
     /* 1904960 */     GIR_EraseRootFromParent_Done,
     /* 1904961 */   // Label 25622: @1904961
     /* 1904961 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1905047), // Rule ID 19445 //
     /* 1904966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905012 */     // MIs[0] policy
     /* 1905012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905022 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1905025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905046 */     // GIR_Coverage, 19445,
     /* 1905046 */     GIR_EraseRootFromParent_Done,
     /* 1905047 */   // Label 25623: @1905047
     /* 1905047 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905133), // Rule ID 19448 //
     /* 1905052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905098 */     // MIs[0] policy
     /* 1905098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905108 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1905111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905132 */     // GIR_Coverage, 19448,
     /* 1905132 */     GIR_EraseRootFromParent_Done,
     /* 1905133 */   // Label 25624: @1905133
     /* 1905133 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1905219), // Rule ID 19449 //
     /* 1905138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905184 */     // MIs[0] policy
     /* 1905184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905194 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1905197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905218 */     // GIR_Coverage, 19449,
     /* 1905218 */     GIR_EraseRootFromParent_Done,
     /* 1905219 */   // Label 25625: @1905219
     /* 1905219 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1905305), // Rule ID 19452 //
     /* 1905224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905270 */     // MIs[0] policy
     /* 1905270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905280 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1905283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905304 */     // GIR_Coverage, 19452,
     /* 1905304 */     GIR_EraseRootFromParent_Done,
     /* 1905305 */   // Label 25626: @1905305
     /* 1905305 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1905391), // Rule ID 19453 //
     /* 1905310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905356 */     // MIs[0] policy
     /* 1905356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905366 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1905369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905390 */     // GIR_Coverage, 19453,
     /* 1905390 */     GIR_EraseRootFromParent_Done,
     /* 1905391 */   // Label 25627: @1905391
     /* 1905391 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1905477), // Rule ID 19456 //
     /* 1905396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905442 */     // MIs[0] policy
     /* 1905442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905476 */     // GIR_Coverage, 19456,
     /* 1905476 */     GIR_EraseRootFromParent_Done,
     /* 1905477 */   // Label 25628: @1905477
     /* 1905477 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1905563), // Rule ID 19457 //
     /* 1905482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905528 */     // MIs[0] policy
     /* 1905528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905538 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905562 */     // GIR_Coverage, 19457,
     /* 1905562 */     GIR_EraseRootFromParent_Done,
     /* 1905563 */   // Label 25629: @1905563
     /* 1905563 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1905649), // Rule ID 19460 //
     /* 1905568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905614 */     // MIs[0] policy
     /* 1905614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905624 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905648 */     // GIR_Coverage, 19460,
     /* 1905648 */     GIR_EraseRootFromParent_Done,
     /* 1905649 */   // Label 25630: @1905649
     /* 1905649 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1905735), // Rule ID 19461 //
     /* 1905654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905700 */     // MIs[0] policy
     /* 1905700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905710 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905734 */     // GIR_Coverage, 19461,
     /* 1905734 */     GIR_EraseRootFromParent_Done,
     /* 1905735 */   // Label 25631: @1905735
     /* 1905735 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1905821), // Rule ID 19464 //
     /* 1905740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905786 */     // MIs[0] policy
     /* 1905786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905796 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905820 */     // GIR_Coverage, 19464,
     /* 1905820 */     GIR_EraseRootFromParent_Done,
     /* 1905821 */   // Label 25632: @1905821
     /* 1905821 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1905907), // Rule ID 19465 //
     /* 1905826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905872 */     // MIs[0] policy
     /* 1905872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905882 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905906 */     // GIR_Coverage, 19465,
     /* 1905906 */     GIR_EraseRootFromParent_Done,
     /* 1905907 */   // Label 25633: @1905907
     /* 1905907 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1905993), // Rule ID 19468 //
     /* 1905912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905958 */     // MIs[0] policy
     /* 1905958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905968 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905992 */     // GIR_Coverage, 19468,
     /* 1905992 */     GIR_EraseRootFromParent_Done,
     /* 1905993 */   // Label 25634: @1905993
     /* 1905993 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1906079), // Rule ID 19469 //
     /* 1905998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1906018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906044 */     // MIs[0] policy
     /* 1906044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906054 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1906057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906078 */     // GIR_Coverage, 19469,
     /* 1906078 */     GIR_EraseRootFromParent_Done,
     /* 1906079 */   // Label 25635: @1906079
     /* 1906079 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906165), // Rule ID 19472 //
     /* 1906084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906130 */     // MIs[0] policy
     /* 1906130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1906143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906164 */     // GIR_Coverage, 19472,
     /* 1906164 */     GIR_EraseRootFromParent_Done,
     /* 1906165 */   // Label 25636: @1906165
     /* 1906165 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1906251), // Rule ID 19473 //
     /* 1906170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906216 */     // MIs[0] policy
     /* 1906216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1906229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906250 */     // GIR_Coverage, 19473,
     /* 1906250 */     GIR_EraseRootFromParent_Done,
     /* 1906251 */   // Label 25637: @1906251
     /* 1906251 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1906337), // Rule ID 19476 //
     /* 1906256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906302 */     // MIs[0] policy
     /* 1906302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1906315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906336 */     // GIR_Coverage, 19476,
     /* 1906336 */     GIR_EraseRootFromParent_Done,
     /* 1906337 */   // Label 25638: @1906337
     /* 1906337 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1906423), // Rule ID 19477 //
     /* 1906342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906388 */     // MIs[0] policy
     /* 1906388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906398 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1906401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906422 */     // GIR_Coverage, 19477,
     /* 1906422 */     GIR_EraseRootFromParent_Done,
     /* 1906423 */   // Label 25639: @1906423
     /* 1906423 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1906509), // Rule ID 19480 //
     /* 1906428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906474 */     // MIs[0] policy
     /* 1906474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906484 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906508 */     // GIR_Coverage, 19480,
     /* 1906508 */     GIR_EraseRootFromParent_Done,
     /* 1906509 */   // Label 25640: @1906509
     /* 1906509 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1906595), // Rule ID 19481 //
     /* 1906514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906560 */     // MIs[0] policy
     /* 1906560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906570 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906594 */     // GIR_Coverage, 19481,
     /* 1906594 */     GIR_EraseRootFromParent_Done,
     /* 1906595 */   // Label 25641: @1906595
     /* 1906595 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1906681), // Rule ID 19484 //
     /* 1906600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906646 */     // MIs[0] policy
     /* 1906646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906680 */     // GIR_Coverage, 19484,
     /* 1906680 */     GIR_EraseRootFromParent_Done,
     /* 1906681 */   // Label 25642: @1906681
     /* 1906681 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1906767), // Rule ID 19485 //
     /* 1906686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906732 */     // MIs[0] policy
     /* 1906732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906742 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906766 */     // GIR_Coverage, 19485,
     /* 1906766 */     GIR_EraseRootFromParent_Done,
     /* 1906767 */   // Label 25643: @1906767
     /* 1906767 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1906853), // Rule ID 19488 //
     /* 1906772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906818 */     // MIs[0] policy
     /* 1906818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906852 */     // GIR_Coverage, 19488,
     /* 1906852 */     GIR_EraseRootFromParent_Done,
     /* 1906853 */   // Label 25644: @1906853
     /* 1906853 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1906939), // Rule ID 19489 //
     /* 1906858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906904 */     // MIs[0] policy
     /* 1906904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906914 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906938 */     // GIR_Coverage, 19489,
     /* 1906938 */     GIR_EraseRootFromParent_Done,
     /* 1906939 */   // Label 25645: @1906939
     /* 1906939 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1907025), // Rule ID 19492 //
     /* 1906944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906990 */     // MIs[0] policy
     /* 1906990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1907003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907024 */     // GIR_Coverage, 19492,
     /* 1907024 */     GIR_EraseRootFromParent_Done,
     /* 1907025 */   // Label 25646: @1907025
     /* 1907025 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907111), // Rule ID 19493 //
     /* 1907030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907076 */     // MIs[0] policy
     /* 1907076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1907089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907110 */     // GIR_Coverage, 19493,
     /* 1907110 */     GIR_EraseRootFromParent_Done,
     /* 1907111 */   // Label 25647: @1907111
     /* 1907111 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907197), // Rule ID 19496 //
     /* 1907116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907162 */     // MIs[0] policy
     /* 1907162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907172 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1907175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907196 */     // GIR_Coverage, 19496,
     /* 1907196 */     GIR_EraseRootFromParent_Done,
     /* 1907197 */   // Label 25648: @1907197
     /* 1907197 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1907283), // Rule ID 19497 //
     /* 1907202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907248 */     // MIs[0] policy
     /* 1907248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907258 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1907261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907282 */     // GIR_Coverage, 19497,
     /* 1907282 */     GIR_EraseRootFromParent_Done,
     /* 1907283 */   // Label 25649: @1907283
     /* 1907283 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1907369), // Rule ID 19500 //
     /* 1907288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907334 */     // MIs[0] policy
     /* 1907334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907368 */     // GIR_Coverage, 19500,
     /* 1907368 */     GIR_EraseRootFromParent_Done,
     /* 1907369 */   // Label 25650: @1907369
     /* 1907369 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1907455), // Rule ID 19501 //
     /* 1907374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907420 */     // MIs[0] policy
     /* 1907420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907430 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907454 */     // GIR_Coverage, 19501,
     /* 1907454 */     GIR_EraseRootFromParent_Done,
     /* 1907455 */   // Label 25651: @1907455
     /* 1907455 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1907541), // Rule ID 19504 //
     /* 1907460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907506 */     // MIs[0] policy
     /* 1907506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907516 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907540 */     // GIR_Coverage, 19504,
     /* 1907540 */     GIR_EraseRootFromParent_Done,
     /* 1907541 */   // Label 25652: @1907541
     /* 1907541 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1907627), // Rule ID 19505 //
     /* 1907546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907592 */     // MIs[0] policy
     /* 1907592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907602 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907626 */     // GIR_Coverage, 19505,
     /* 1907626 */     GIR_EraseRootFromParent_Done,
     /* 1907627 */   // Label 25653: @1907627
     /* 1907627 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1907713), // Rule ID 19508 //
     /* 1907632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907678 */     // MIs[0] policy
     /* 1907678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907688 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907712 */     // GIR_Coverage, 19508,
     /* 1907712 */     GIR_EraseRootFromParent_Done,
     /* 1907713 */   // Label 25654: @1907713
     /* 1907713 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1907799), // Rule ID 19509 //
     /* 1907718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907764 */     // MIs[0] policy
     /* 1907764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907774 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907798 */     // GIR_Coverage, 19509,
     /* 1907798 */     GIR_EraseRootFromParent_Done,
     /* 1907799 */   // Label 25655: @1907799
     /* 1907799 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1907885), // Rule ID 19512 //
     /* 1907804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907850 */     // MIs[0] policy
     /* 1907850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907884 */     // GIR_Coverage, 19512,
     /* 1907884 */     GIR_EraseRootFromParent_Done,
     /* 1907885 */   // Label 25656: @1907885
     /* 1907885 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1907971), // Rule ID 19513 //
     /* 1907890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907936 */     // MIs[0] policy
     /* 1907936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907946 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907970 */     // GIR_Coverage, 19513,
     /* 1907970 */     GIR_EraseRootFromParent_Done,
     /* 1907971 */   // Label 25657: @1907971
     /* 1907971 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1908057), // Rule ID 19516 //
     /* 1907976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908022 */     // MIs[0] policy
     /* 1908022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908032 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1908035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908056 */     // GIR_Coverage, 19516,
     /* 1908056 */     GIR_EraseRootFromParent_Done,
     /* 1908057 */   // Label 25658: @1908057
     /* 1908057 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908143), // Rule ID 19517 //
     /* 1908062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1908073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1908076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908108 */     // MIs[0] policy
     /* 1908108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908118 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1908121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908142 */     // GIR_Coverage, 19517,
     /* 1908142 */     GIR_EraseRootFromParent_Done,
     /* 1908143 */   // Label 25659: @1908143
     /* 1908143 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1908229), // Rule ID 19520 //
     /* 1908148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908194 */     // MIs[0] policy
     /* 1908194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908204 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1908207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908228 */     // GIR_Coverage, 19520,
     /* 1908228 */     GIR_EraseRootFromParent_Done,
     /* 1908229 */   // Label 25660: @1908229
     /* 1908229 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1908315), // Rule ID 19521 //
     /* 1908234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908280 */     // MIs[0] policy
     /* 1908280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908290 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1908293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908314 */     // GIR_Coverage, 19521,
     /* 1908314 */     GIR_EraseRootFromParent_Done,
     /* 1908315 */   // Label 25661: @1908315
     /* 1908315 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1908401), // Rule ID 19524 //
     /* 1908320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908366 */     // MIs[0] policy
     /* 1908366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908400 */     // GIR_Coverage, 19524,
     /* 1908400 */     GIR_EraseRootFromParent_Done,
     /* 1908401 */   // Label 25662: @1908401
     /* 1908401 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1908487), // Rule ID 19525 //
     /* 1908406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908452 */     // MIs[0] policy
     /* 1908452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908462 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908486 */     // GIR_Coverage, 19525,
     /* 1908486 */     GIR_EraseRootFromParent_Done,
     /* 1908487 */   // Label 25663: @1908487
     /* 1908487 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1908573), // Rule ID 19528 //
     /* 1908492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908538 */     // MIs[0] policy
     /* 1908538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908548 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908572 */     // GIR_Coverage, 19528,
     /* 1908572 */     GIR_EraseRootFromParent_Done,
     /* 1908573 */   // Label 25664: @1908573
     /* 1908573 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1908659), // Rule ID 19529 //
     /* 1908578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908624 */     // MIs[0] policy
     /* 1908624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908634 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908658 */     // GIR_Coverage, 19529,
     /* 1908658 */     GIR_EraseRootFromParent_Done,
     /* 1908659 */   // Label 25665: @1908659
     /* 1908659 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1908745), // Rule ID 19532 //
     /* 1908664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908710 */     // MIs[0] policy
     /* 1908710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908744 */     // GIR_Coverage, 19532,
     /* 1908744 */     GIR_EraseRootFromParent_Done,
     /* 1908745 */   // Label 25666: @1908745
     /* 1908745 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1908831), // Rule ID 19533 //
     /* 1908750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908796 */     // MIs[0] policy
     /* 1908796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908830 */     // GIR_Coverage, 19533,
     /* 1908830 */     GIR_EraseRootFromParent_Done,
     /* 1908831 */   // Label 25667: @1908831
     /* 1908831 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1908917), // Rule ID 19536 //
     /* 1908836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908882 */     // MIs[0] policy
     /* 1908882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908892 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908916 */     // GIR_Coverage, 19536,
     /* 1908916 */     GIR_EraseRootFromParent_Done,
     /* 1908917 */   // Label 25668: @1908917
     /* 1908917 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1909003), // Rule ID 19537 //
     /* 1908922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908968 */     // MIs[0] policy
     /* 1908968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908978 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909002 */     // GIR_Coverage, 19537,
     /* 1909002 */     GIR_EraseRootFromParent_Done,
     /* 1909003 */   // Label 25669: @1909003
     /* 1909003 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909089), // Rule ID 19540 //
     /* 1909008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909054 */     // MIs[0] policy
     /* 1909054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1909067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909088 */     // GIR_Coverage, 19540,
     /* 1909088 */     GIR_EraseRootFromParent_Done,
     /* 1909089 */   // Label 25670: @1909089
     /* 1909089 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909175), // Rule ID 19541 //
     /* 1909094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909140 */     // MIs[0] policy
     /* 1909140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909150 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1909153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909174 */     // GIR_Coverage, 19541,
     /* 1909174 */     GIR_EraseRootFromParent_Done,
     /* 1909175 */   // Label 25671: @1909175
     /* 1909175 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1909261), // Rule ID 19544 //
     /* 1909180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909226 */     // MIs[0] policy
     /* 1909226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1909239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909260 */     // GIR_Coverage, 19544,
     /* 1909260 */     GIR_EraseRootFromParent_Done,
     /* 1909261 */   // Label 25672: @1909261
     /* 1909261 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1909347), // Rule ID 19545 //
     /* 1909266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909312 */     // MIs[0] policy
     /* 1909312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909322 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1909325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909346 */     // GIR_Coverage, 19545,
     /* 1909346 */     GIR_EraseRootFromParent_Done,
     /* 1909347 */   // Label 25673: @1909347
     /* 1909347 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1909433), // Rule ID 19548 //
     /* 1909352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909398 */     // MIs[0] policy
     /* 1909398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909432 */     // GIR_Coverage, 19548,
     /* 1909432 */     GIR_EraseRootFromParent_Done,
     /* 1909433 */   // Label 25674: @1909433
     /* 1909433 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1909519), // Rule ID 19549 //
     /* 1909438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909484 */     // MIs[0] policy
     /* 1909484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909494 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909518 */     // GIR_Coverage, 19549,
     /* 1909518 */     GIR_EraseRootFromParent_Done,
     /* 1909519 */   // Label 25675: @1909519
     /* 1909519 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1909605), // Rule ID 19552 //
     /* 1909524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909570 */     // MIs[0] policy
     /* 1909570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909604 */     // GIR_Coverage, 19552,
     /* 1909604 */     GIR_EraseRootFromParent_Done,
     /* 1909605 */   // Label 25676: @1909605
     /* 1909605 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1909691), // Rule ID 19553 //
     /* 1909610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909656 */     // MIs[0] policy
     /* 1909656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909666 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909690 */     // GIR_Coverage, 19553,
     /* 1909690 */     GIR_EraseRootFromParent_Done,
     /* 1909691 */   // Label 25677: @1909691
     /* 1909691 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1909777), // Rule ID 19556 //
     /* 1909696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909742 */     // MIs[0] policy
     /* 1909742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909776 */     // GIR_Coverage, 19556,
     /* 1909776 */     GIR_EraseRootFromParent_Done,
     /* 1909777 */   // Label 25678: @1909777
     /* 1909777 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1909863), // Rule ID 19557 //
     /* 1909782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909828 */     // MIs[0] policy
     /* 1909828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909838 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909862 */     // GIR_Coverage, 19557,
     /* 1909862 */     GIR_EraseRootFromParent_Done,
     /* 1909863 */   // Label 25679: @1909863
     /* 1909863 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1909949), // Rule ID 19560 //
     /* 1909868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909914 */     // MIs[0] policy
     /* 1909914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909924 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909948 */     // GIR_Coverage, 19560,
     /* 1909948 */     GIR_EraseRootFromParent_Done,
     /* 1909949 */   // Label 25680: @1909949
     /* 1909949 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1910035), // Rule ID 19561 //
     /* 1909954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910000 */     // MIs[0] policy
     /* 1910000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910010 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1910013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910034 */     // GIR_Coverage, 19561,
     /* 1910034 */     GIR_EraseRootFromParent_Done,
     /* 1910035 */   // Label 25681: @1910035
     /* 1910035 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910121), // Rule ID 19564 //
     /* 1910040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910086 */     // MIs[0] policy
     /* 1910086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910096 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1910099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910120 */     // GIR_Coverage, 19564,
     /* 1910120 */     GIR_EraseRootFromParent_Done,
     /* 1910121 */   // Label 25682: @1910121
     /* 1910121 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910207), // Rule ID 19565 //
     /* 1910126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910172 */     // MIs[0] policy
     /* 1910172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910182 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1910185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910206 */     // GIR_Coverage, 19565,
     /* 1910206 */     GIR_EraseRootFromParent_Done,
     /* 1910207 */   // Label 25683: @1910207
     /* 1910207 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1910293), // Rule ID 19568 //
     /* 1910212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910258 */     // MIs[0] policy
     /* 1910258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910268 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1910271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910292 */     // GIR_Coverage, 19568,
     /* 1910292 */     GIR_EraseRootFromParent_Done,
     /* 1910293 */   // Label 25684: @1910293
     /* 1910293 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1910379), // Rule ID 19569 //
     /* 1910298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910344 */     // MIs[0] policy
     /* 1910344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910354 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1910357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910378 */     // GIR_Coverage, 19569,
     /* 1910378 */     GIR_EraseRootFromParent_Done,
     /* 1910379 */   // Label 25685: @1910379
     /* 1910379 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1910465), // Rule ID 19572 //
     /* 1910384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910430 */     // MIs[0] policy
     /* 1910430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910440 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910464 */     // GIR_Coverage, 19572,
     /* 1910464 */     GIR_EraseRootFromParent_Done,
     /* 1910465 */   // Label 25686: @1910465
     /* 1910465 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1910551), // Rule ID 19573 //
     /* 1910470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910516 */     // MIs[0] policy
     /* 1910516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910526 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910550 */     // GIR_Coverage, 19573,
     /* 1910550 */     GIR_EraseRootFromParent_Done,
     /* 1910551 */   // Label 25687: @1910551
     /* 1910551 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1910637), // Rule ID 19576 //
     /* 1910556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910602 */     // MIs[0] policy
     /* 1910602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910636 */     // GIR_Coverage, 19576,
     /* 1910636 */     GIR_EraseRootFromParent_Done,
     /* 1910637 */   // Label 25688: @1910637
     /* 1910637 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1910723), // Rule ID 19577 //
     /* 1910642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910688 */     // MIs[0] policy
     /* 1910688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910722 */     // GIR_Coverage, 19577,
     /* 1910722 */     GIR_EraseRootFromParent_Done,
     /* 1910723 */   // Label 25689: @1910723
     /* 1910723 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1910809), // Rule ID 19580 //
     /* 1910728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910774 */     // MIs[0] policy
     /* 1910774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910784 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910808 */     // GIR_Coverage, 19580,
     /* 1910808 */     GIR_EraseRootFromParent_Done,
     /* 1910809 */   // Label 25690: @1910809
     /* 1910809 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1910895), // Rule ID 19581 //
     /* 1910814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910860 */     // MIs[0] policy
     /* 1910860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910894 */     // GIR_Coverage, 19581,
     /* 1910894 */     GIR_EraseRootFromParent_Done,
     /* 1910895 */   // Label 25691: @1910895
     /* 1910895 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1910981), // Rule ID 19584 //
     /* 1910900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910946 */     // MIs[0] policy
     /* 1910946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910980 */     // GIR_Coverage, 19584,
     /* 1910980 */     GIR_EraseRootFromParent_Done,
     /* 1910981 */   // Label 25692: @1910981
     /* 1910981 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1911067), // Rule ID 19585 //
     /* 1910986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1911006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911032 */     // MIs[0] policy
     /* 1911032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911042 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1911045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911066 */     // GIR_Coverage, 19585,
     /* 1911066 */     GIR_EraseRootFromParent_Done,
     /* 1911067 */   // Label 25693: @1911067
     /* 1911067 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911153), // Rule ID 19588 //
     /* 1911072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911118 */     // MIs[0] policy
     /* 1911118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1911131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911152 */     // GIR_Coverage, 19588,
     /* 1911152 */     GIR_EraseRootFromParent_Done,
     /* 1911153 */   // Label 25694: @1911153
     /* 1911153 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1911239), // Rule ID 19589 //
     /* 1911158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911204 */     // MIs[0] policy
     /* 1911204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911214 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1911217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911238 */     // GIR_Coverage, 19589,
     /* 1911238 */     GIR_EraseRootFromParent_Done,
     /* 1911239 */   // Label 25695: @1911239
     /* 1911239 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1911325), // Rule ID 19592 //
     /* 1911244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911290 */     // MIs[0] policy
     /* 1911290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911300 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1911303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911324 */     // GIR_Coverage, 19592,
     /* 1911324 */     GIR_EraseRootFromParent_Done,
     /* 1911325 */   // Label 25696: @1911325
     /* 1911325 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1911411), // Rule ID 19593 //
     /* 1911330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911376 */     // MIs[0] policy
     /* 1911376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911386 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1911389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911410 */     // GIR_Coverage, 19593,
     /* 1911410 */     GIR_EraseRootFromParent_Done,
     /* 1911411 */   // Label 25697: @1911411
     /* 1911411 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1911497), // Rule ID 19596 //
     /* 1911416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911462 */     // MIs[0] policy
     /* 1911462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911472 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911496 */     // GIR_Coverage, 19596,
     /* 1911496 */     GIR_EraseRootFromParent_Done,
     /* 1911497 */   // Label 25698: @1911497
     /* 1911497 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1911583), // Rule ID 19597 //
     /* 1911502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911548 */     // MIs[0] policy
     /* 1911548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911558 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911582 */     // GIR_Coverage, 19597,
     /* 1911582 */     GIR_EraseRootFromParent_Done,
     /* 1911583 */   // Label 25699: @1911583
     /* 1911583 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1911669), // Rule ID 19600 //
     /* 1911588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911634 */     // MIs[0] policy
     /* 1911634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911644 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911668 */     // GIR_Coverage, 19600,
     /* 1911668 */     GIR_EraseRootFromParent_Done,
     /* 1911669 */   // Label 25700: @1911669
     /* 1911669 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1911755), // Rule ID 19601 //
     /* 1911674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911720 */     // MIs[0] policy
     /* 1911720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911730 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911754 */     // GIR_Coverage, 19601,
     /* 1911754 */     GIR_EraseRootFromParent_Done,
     /* 1911755 */   // Label 25701: @1911755
     /* 1911755 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1911841), // Rule ID 19604 //
     /* 1911760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911806 */     // MIs[0] policy
     /* 1911806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911840 */     // GIR_Coverage, 19604,
     /* 1911840 */     GIR_EraseRootFromParent_Done,
     /* 1911841 */   // Label 25702: @1911841
     /* 1911841 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1911927), // Rule ID 19605 //
     /* 1911846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911892 */     // MIs[0] policy
     /* 1911892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911926 */     // GIR_Coverage, 19605,
     /* 1911926 */     GIR_EraseRootFromParent_Done,
     /* 1911927 */   // Label 25703: @1911927
     /* 1911927 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1912013), // Rule ID 19608 //
     /* 1911932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911978 */     // MIs[0] policy
     /* 1911978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911988 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912012 */     // GIR_Coverage, 19608,
     /* 1912012 */     GIR_EraseRootFromParent_Done,
     /* 1912013 */   // Label 25704: @1912013
     /* 1912013 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912099), // Rule ID 19609 //
     /* 1912018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912064 */     // MIs[0] policy
     /* 1912064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912074 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1912077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912098 */     // GIR_Coverage, 19609,
     /* 1912098 */     GIR_EraseRootFromParent_Done,
     /* 1912099 */   // Label 25705: @1912099
     /* 1912099 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912185), // Rule ID 19612 //
     /* 1912104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912150 */     // MIs[0] policy
     /* 1912150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1912163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912184 */     // GIR_Coverage, 19612,
     /* 1912184 */     GIR_EraseRootFromParent_Done,
     /* 1912185 */   // Label 25706: @1912185
     /* 1912185 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1912271), // Rule ID 19613 //
     /* 1912190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912236 */     // MIs[0] policy
     /* 1912236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912246 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1912249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912270 */     // GIR_Coverage, 19613,
     /* 1912270 */     GIR_EraseRootFromParent_Done,
     /* 1912271 */   // Label 25707: @1912271
     /* 1912271 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1912357), // Rule ID 19616 //
     /* 1912276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912322 */     // MIs[0] policy
     /* 1912322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1912335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912356 */     // GIR_Coverage, 19616,
     /* 1912356 */     GIR_EraseRootFromParent_Done,
     /* 1912357 */   // Label 25708: @1912357
     /* 1912357 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1912443), // Rule ID 19617 //
     /* 1912362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912408 */     // MIs[0] policy
     /* 1912408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912418 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1912421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912442 */     // GIR_Coverage, 19617,
     /* 1912442 */     GIR_EraseRootFromParent_Done,
     /* 1912443 */   // Label 25709: @1912443
     /* 1912443 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1912529), // Rule ID 19620 //
     /* 1912448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912494 */     // MIs[0] policy
     /* 1912494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912504 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912528 */     // GIR_Coverage, 19620,
     /* 1912528 */     GIR_EraseRootFromParent_Done,
     /* 1912529 */   // Label 25710: @1912529
     /* 1912529 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1912615), // Rule ID 19621 //
     /* 1912534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912580 */     // MIs[0] policy
     /* 1912580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912590 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912614 */     // GIR_Coverage, 19621,
     /* 1912614 */     GIR_EraseRootFromParent_Done,
     /* 1912615 */   // Label 25711: @1912615
     /* 1912615 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1912701), // Rule ID 19624 //
     /* 1912620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912666 */     // MIs[0] policy
     /* 1912666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912676 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912700 */     // GIR_Coverage, 19624,
     /* 1912700 */     GIR_EraseRootFromParent_Done,
     /* 1912701 */   // Label 25712: @1912701
     /* 1912701 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1912787), // Rule ID 19625 //
     /* 1912706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912752 */     // MIs[0] policy
     /* 1912752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912762 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912786 */     // GIR_Coverage, 19625,
     /* 1912786 */     GIR_EraseRootFromParent_Done,
     /* 1912787 */   // Label 25713: @1912787
     /* 1912787 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1912873), // Rule ID 19628 //
     /* 1912792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912838 */     // MIs[0] policy
     /* 1912838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912848 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912872 */     // GIR_Coverage, 19628,
     /* 1912872 */     GIR_EraseRootFromParent_Done,
     /* 1912873 */   // Label 25714: @1912873
     /* 1912873 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1912959), // Rule ID 19629 //
     /* 1912878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912924 */     // MIs[0] policy
     /* 1912924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912934 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912958 */     // GIR_Coverage, 19629,
     /* 1912958 */     GIR_EraseRootFromParent_Done,
     /* 1912959 */   // Label 25715: @1912959
     /* 1912959 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1913045), // Rule ID 19632 //
     /* 1912964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913010 */     // MIs[0] policy
     /* 1913010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913020 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1913023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913044 */     // GIR_Coverage, 19632,
     /* 1913044 */     GIR_EraseRootFromParent_Done,
     /* 1913045 */   // Label 25716: @1913045
     /* 1913045 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913131), // Rule ID 19633 //
     /* 1913050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1913061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1913064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1913067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913096 */     // MIs[0] policy
     /* 1913096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913106 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1913109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913130 */     // GIR_Coverage, 19633,
     /* 1913130 */     GIR_EraseRootFromParent_Done,
     /* 1913131 */   // Label 25717: @1913131
     /* 1913131 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1913217), // Rule ID 19636 //
     /* 1913136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913182 */     // MIs[0] policy
     /* 1913182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913192 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1913195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913216 */     // GIR_Coverage, 19636,
     /* 1913216 */     GIR_EraseRootFromParent_Done,
     /* 1913217 */   // Label 25718: @1913217
     /* 1913217 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1913303), // Rule ID 19637 //
     /* 1913222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913268 */     // MIs[0] policy
     /* 1913268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913278 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1913281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913302 */     // GIR_Coverage, 19637,
     /* 1913302 */     GIR_EraseRootFromParent_Done,
     /* 1913303 */   // Label 25719: @1913303
     /* 1913303 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1913389), // Rule ID 19640 //
     /* 1913308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913354 */     // MIs[0] policy
     /* 1913354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913364 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913388 */     // GIR_Coverage, 19640,
     /* 1913388 */     GIR_EraseRootFromParent_Done,
     /* 1913389 */   // Label 25720: @1913389
     /* 1913389 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1913475), // Rule ID 19641 //
     /* 1913394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913440 */     // MIs[0] policy
     /* 1913440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913450 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913474 */     // GIR_Coverage, 19641,
     /* 1913474 */     GIR_EraseRootFromParent_Done,
     /* 1913475 */   // Label 25721: @1913475
     /* 1913475 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1913561), // Rule ID 19644 //
     /* 1913480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913526 */     // MIs[0] policy
     /* 1913526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913560 */     // GIR_Coverage, 19644,
     /* 1913560 */     GIR_EraseRootFromParent_Done,
     /* 1913561 */   // Label 25722: @1913561
     /* 1913561 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1913647), // Rule ID 19645 //
     /* 1913566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913612 */     // MIs[0] policy
     /* 1913612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913622 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913646 */     // GIR_Coverage, 19645,
     /* 1913646 */     GIR_EraseRootFromParent_Done,
     /* 1913647 */   // Label 25723: @1913647
     /* 1913647 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1913733), // Rule ID 19648 //
     /* 1913652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913698 */     // MIs[0] policy
     /* 1913698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913708 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913732 */     // GIR_Coverage, 19648,
     /* 1913732 */     GIR_EraseRootFromParent_Done,
     /* 1913733 */   // Label 25724: @1913733
     /* 1913733 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1913819), // Rule ID 19649 //
     /* 1913738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913784 */     // MIs[0] policy
     /* 1913784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913794 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913818 */     // GIR_Coverage, 19649,
     /* 1913818 */     GIR_EraseRootFromParent_Done,
     /* 1913819 */   // Label 25725: @1913819
     /* 1913819 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1913905), // Rule ID 19652 //
     /* 1913824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913870 */     // MIs[0] policy
     /* 1913870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913880 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913904 */     // GIR_Coverage, 19652,
     /* 1913904 */     GIR_EraseRootFromParent_Done,
     /* 1913905 */   // Label 25726: @1913905
     /* 1913905 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1913991), // Rule ID 19653 //
     /* 1913910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913956 */     // MIs[0] policy
     /* 1913956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913966 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913990 */     // GIR_Coverage, 19653,
     /* 1913990 */     GIR_EraseRootFromParent_Done,
     /* 1913991 */   // Label 25727: @1913991
     /* 1913991 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1914077), // Rule ID 23494 //
     /* 1913996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1914007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1914010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1914013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914042 */     // MIs[0] policy
     /* 1914042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1914055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914076 */     // GIR_Coverage, 23494,
     /* 1914076 */     GIR_EraseRootFromParent_Done,
     /* 1914077 */   // Label 25728: @1914077
     /* 1914077 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914163), // Rule ID 23495 //
     /* 1914082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1914093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1914096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1914099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914128 */     // MIs[0] policy
     /* 1914128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914138 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1914141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914162 */     // GIR_Coverage, 23495,
     /* 1914162 */     GIR_EraseRootFromParent_Done,
     /* 1914163 */   // Label 25729: @1914163
     /* 1914163 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1914249), // Rule ID 23498 //
     /* 1914168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1914179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1914182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1914185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914214 */     // MIs[0] policy
     /* 1914214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914248 */     // GIR_Coverage, 23498,
     /* 1914248 */     GIR_EraseRootFromParent_Done,
     /* 1914249 */   // Label 25730: @1914249
     /* 1914249 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1914335), // Rule ID 23499 //
     /* 1914254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1914265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1914268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1914271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914300 */     // MIs[0] policy
     /* 1914300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914334 */     // GIR_Coverage, 23499,
     /* 1914334 */     GIR_EraseRootFromParent_Done,
     /* 1914335 */   // Label 25731: @1914335
     /* 1914335 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1914421), // Rule ID 23502 //
     /* 1914340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914386 */     // MIs[0] policy
     /* 1914386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914420 */     // GIR_Coverage, 23502,
     /* 1914420 */     GIR_EraseRootFromParent_Done,
     /* 1914421 */   // Label 25732: @1914421
     /* 1914421 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1914507), // Rule ID 23503 //
     /* 1914426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914472 */     // MIs[0] policy
     /* 1914472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914482 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914506 */     // GIR_Coverage, 23503,
     /* 1914506 */     GIR_EraseRootFromParent_Done,
     /* 1914507 */   // Label 25733: @1914507
     /* 1914507 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1914593), // Rule ID 23506 //
     /* 1914512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914558 */     // MIs[0] policy
     /* 1914558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914592 */     // GIR_Coverage, 23506,
     /* 1914592 */     GIR_EraseRootFromParent_Done,
     /* 1914593 */   // Label 25734: @1914593
     /* 1914593 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1914679), // Rule ID 23507 //
     /* 1914598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914644 */     // MIs[0] policy
     /* 1914644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914654 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914678 */     // GIR_Coverage, 23507,
     /* 1914678 */     GIR_EraseRootFromParent_Done,
     /* 1914679 */   // Label 25735: @1914679
     /* 1914679 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1914765), // Rule ID 23510 //
     /* 1914684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914730 */     // MIs[0] policy
     /* 1914730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914740 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914764 */     // GIR_Coverage, 23510,
     /* 1914764 */     GIR_EraseRootFromParent_Done,
     /* 1914765 */   // Label 25736: @1914765
     /* 1914765 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1914851), // Rule ID 23511 //
     /* 1914770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914816 */     // MIs[0] policy
     /* 1914816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914850 */     // GIR_Coverage, 23511,
     /* 1914850 */     GIR_EraseRootFromParent_Done,
     /* 1914851 */   // Label 25737: @1914851
     /* 1914851 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1914937), // Rule ID 23514 //
     /* 1914856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914902 */     // MIs[0] policy
     /* 1914902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914936 */     // GIR_Coverage, 23514,
     /* 1914936 */     GIR_EraseRootFromParent_Done,
     /* 1914937 */   // Label 25738: @1914937
     /* 1914937 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1915023), // Rule ID 23515 //
     /* 1914942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914988 */     // MIs[0] policy
     /* 1914988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1915001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915022 */     // GIR_Coverage, 23515,
     /* 1915022 */     GIR_EraseRootFromParent_Done,
     /* 1915023 */   // Label 25739: @1915023
     /* 1915023 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915109), // Rule ID 23518 //
     /* 1915028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1915045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915074 */     // MIs[0] policy
     /* 1915074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915108 */     // GIR_Coverage, 23518,
     /* 1915108 */     GIR_EraseRootFromParent_Done,
     /* 1915109 */   // Label 25740: @1915109
     /* 1915109 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915195), // Rule ID 23519 //
     /* 1915114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1915131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915160 */     // MIs[0] policy
     /* 1915160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915194 */     // GIR_Coverage, 23519,
     /* 1915194 */     GIR_EraseRootFromParent_Done,
     /* 1915195 */   // Label 25741: @1915195
     /* 1915195 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1915281), // Rule ID 23522 //
     /* 1915200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915246 */     // MIs[0] policy
     /* 1915246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915280 */     // GIR_Coverage, 23522,
     /* 1915280 */     GIR_EraseRootFromParent_Done,
     /* 1915281 */   // Label 25742: @1915281
     /* 1915281 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1915367), // Rule ID 23523 //
     /* 1915286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915332 */     // MIs[0] policy
     /* 1915332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915366 */     // GIR_Coverage, 23523,
     /* 1915366 */     GIR_EraseRootFromParent_Done,
     /* 1915367 */   // Label 25743: @1915367
     /* 1915367 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1915453), // Rule ID 23526 //
     /* 1915372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915418 */     // MIs[0] policy
     /* 1915418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915452 */     // GIR_Coverage, 23526,
     /* 1915452 */     GIR_EraseRootFromParent_Done,
     /* 1915453 */   // Label 25744: @1915453
     /* 1915453 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1915539), // Rule ID 23527 //
     /* 1915458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915504 */     // MIs[0] policy
     /* 1915504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915538 */     // GIR_Coverage, 23527,
     /* 1915538 */     GIR_EraseRootFromParent_Done,
     /* 1915539 */   // Label 25745: @1915539
     /* 1915539 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1915625), // Rule ID 23530 //
     /* 1915544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915590 */     // MIs[0] policy
     /* 1915590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915624 */     // GIR_Coverage, 23530,
     /* 1915624 */     GIR_EraseRootFromParent_Done,
     /* 1915625 */   // Label 25746: @1915625
     /* 1915625 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1915711), // Rule ID 23531 //
     /* 1915630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915676 */     // MIs[0] policy
     /* 1915676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915710 */     // GIR_Coverage, 23531,
     /* 1915710 */     GIR_EraseRootFromParent_Done,
     /* 1915711 */   // Label 25747: @1915711
     /* 1915711 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1915797), // Rule ID 23534 //
     /* 1915716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915762 */     // MIs[0] policy
     /* 1915762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915796 */     // GIR_Coverage, 23534,
     /* 1915796 */     GIR_EraseRootFromParent_Done,
     /* 1915797 */   // Label 25748: @1915797
     /* 1915797 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1915883), // Rule ID 23535 //
     /* 1915802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915848 */     // MIs[0] policy
     /* 1915848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915882 */     // GIR_Coverage, 23535,
     /* 1915882 */     GIR_EraseRootFromParent_Done,
     /* 1915883 */   // Label 25749: @1915883
     /* 1915883 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1915969), // Rule ID 23538 //
     /* 1915888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915934 */     // MIs[0] policy
     /* 1915934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915944 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915968 */     // GIR_Coverage, 23538,
     /* 1915968 */     GIR_EraseRootFromParent_Done,
     /* 1915969 */   // Label 25750: @1915969
     /* 1915969 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1916055), // Rule ID 23539 //
     /* 1915974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916020 */     // MIs[0] policy
     /* 1916020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916030 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916054 */     // GIR_Coverage, 23539,
     /* 1916054 */     GIR_EraseRootFromParent_Done,
     /* 1916055 */   // Label 25751: @1916055
     /* 1916055 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916141), // Rule ID 23542 //
     /* 1916060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1916071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1916074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1916077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1916083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916106 */     // MIs[0] policy
     /* 1916106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916140 */     // GIR_Coverage, 23542,
     /* 1916140 */     GIR_EraseRootFromParent_Done,
     /* 1916141 */   // Label 25752: @1916141
     /* 1916141 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1916227), // Rule ID 23543 //
     /* 1916146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1916157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1916160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1916163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1916169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916192 */     // MIs[0] policy
     /* 1916192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916226 */     // GIR_Coverage, 23543,
     /* 1916226 */     GIR_EraseRootFromParent_Done,
     /* 1916227 */   // Label 25753: @1916227
     /* 1916227 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1916313), // Rule ID 23546 //
     /* 1916232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916278 */     // MIs[0] policy
     /* 1916278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916312 */     // GIR_Coverage, 23546,
     /* 1916312 */     GIR_EraseRootFromParent_Done,
     /* 1916313 */   // Label 25754: @1916313
     /* 1916313 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1916399), // Rule ID 23547 //
     /* 1916318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916364 */     // MIs[0] policy
     /* 1916364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916398 */     // GIR_Coverage, 23547,
     /* 1916398 */     GIR_EraseRootFromParent_Done,
     /* 1916399 */   // Label 25755: @1916399
     /* 1916399 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1916485), // Rule ID 23550 //
     /* 1916404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916450 */     // MIs[0] policy
     /* 1916450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916484 */     // GIR_Coverage, 23550,
     /* 1916484 */     GIR_EraseRootFromParent_Done,
     /* 1916485 */   // Label 25756: @1916485
     /* 1916485 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1916571), // Rule ID 23551 //
     /* 1916490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916536 */     // MIs[0] policy
     /* 1916536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916570 */     // GIR_Coverage, 23551,
     /* 1916570 */     GIR_EraseRootFromParent_Done,
     /* 1916571 */   // Label 25757: @1916571
     /* 1916571 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1916657), // Rule ID 23554 //
     /* 1916576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916622 */     // MIs[0] policy
     /* 1916622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916656 */     // GIR_Coverage, 23554,
     /* 1916656 */     GIR_EraseRootFromParent_Done,
     /* 1916657 */   // Label 25758: @1916657
     /* 1916657 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1916743), // Rule ID 23555 //
     /* 1916662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916708 */     // MIs[0] policy
     /* 1916708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916742 */     // GIR_Coverage, 23555,
     /* 1916742 */     GIR_EraseRootFromParent_Done,
     /* 1916743 */   // Label 25759: @1916743
     /* 1916743 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1916829), // Rule ID 23558 //
     /* 1916748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916794 */     // MIs[0] policy
     /* 1916794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916828 */     // GIR_Coverage, 23558,
     /* 1916828 */     GIR_EraseRootFromParent_Done,
     /* 1916829 */   // Label 25760: @1916829
     /* 1916829 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1916915), // Rule ID 23559 //
     /* 1916834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916880 */     // MIs[0] policy
     /* 1916880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916914 */     // GIR_Coverage, 23559,
     /* 1916914 */     GIR_EraseRootFromParent_Done,
     /* 1916915 */   // Label 25761: @1916915
     /* 1916915 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1917001), // Rule ID 23562 //
     /* 1916920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916966 */     // MIs[0] policy
     /* 1916966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917000 */     // GIR_Coverage, 23562,
     /* 1917000 */     GIR_EraseRootFromParent_Done,
     /* 1917001 */   // Label 25762: @1917001
     /* 1917001 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917087), // Rule ID 23563 //
     /* 1917006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917052 */     // MIs[0] policy
     /* 1917052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917086 */     // GIR_Coverage, 23563,
     /* 1917086 */     GIR_EraseRootFromParent_Done,
     /* 1917087 */   // Label 25763: @1917087
     /* 1917087 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917173), // Rule ID 23566 //
     /* 1917092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917138 */     // MIs[0] policy
     /* 1917138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917172 */     // GIR_Coverage, 23566,
     /* 1917172 */     GIR_EraseRootFromParent_Done,
     /* 1917173 */   // Label 25764: @1917173
     /* 1917173 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1917259), // Rule ID 23567 //
     /* 1917178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917224 */     // MIs[0] policy
     /* 1917224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917258 */     // GIR_Coverage, 23567,
     /* 1917258 */     GIR_EraseRootFromParent_Done,
     /* 1917259 */   // Label 25765: @1917259
     /* 1917259 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1917345), // Rule ID 23570 //
     /* 1917264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917310 */     // MIs[0] policy
     /* 1917310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1917323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917344 */     // GIR_Coverage, 23570,
     /* 1917344 */     GIR_EraseRootFromParent_Done,
     /* 1917345 */   // Label 25766: @1917345
     /* 1917345 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1917431), // Rule ID 23571 //
     /* 1917350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917396 */     // MIs[0] policy
     /* 1917396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1917409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917430 */     // GIR_Coverage, 23571,
     /* 1917430 */     GIR_EraseRootFromParent_Done,
     /* 1917431 */   // Label 25767: @1917431
     /* 1917431 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1917517), // Rule ID 23574 //
     /* 1917436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917482 */     // MIs[0] policy
     /* 1917482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917516 */     // GIR_Coverage, 23574,
     /* 1917516 */     GIR_EraseRootFromParent_Done,
     /* 1917517 */   // Label 25768: @1917517
     /* 1917517 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1917603), // Rule ID 23575 //
     /* 1917522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917568 */     // MIs[0] policy
     /* 1917568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917602 */     // GIR_Coverage, 23575,
     /* 1917602 */     GIR_EraseRootFromParent_Done,
     /* 1917603 */   // Label 25769: @1917603
     /* 1917603 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1917689), // Rule ID 23578 //
     /* 1917608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917654 */     // MIs[0] policy
     /* 1917654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917688 */     // GIR_Coverage, 23578,
     /* 1917688 */     GIR_EraseRootFromParent_Done,
     /* 1917689 */   // Label 25770: @1917689
     /* 1917689 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1917775), // Rule ID 23579 //
     /* 1917694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917740 */     // MIs[0] policy
     /* 1917740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917774 */     // GIR_Coverage, 23579,
     /* 1917774 */     GIR_EraseRootFromParent_Done,
     /* 1917775 */   // Label 25771: @1917775
     /* 1917775 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1917861), // Rule ID 23670 //
     /* 1917780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917826 */     // MIs[0] policy
     /* 1917826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917860 */     // GIR_Coverage, 23670,
     /* 1917860 */     GIR_EraseRootFromParent_Done,
     /* 1917861 */   // Label 25772: @1917861
     /* 1917861 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1917947), // Rule ID 23671 //
     /* 1917866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917912 */     // MIs[0] policy
     /* 1917912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917922 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917946 */     // GIR_Coverage, 23671,
     /* 1917946 */     GIR_EraseRootFromParent_Done,
     /* 1917947 */   // Label 25773: @1917947
     /* 1917947 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1918033), // Rule ID 23674 //
     /* 1917952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917998 */     // MIs[0] policy
     /* 1917998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918032 */     // GIR_Coverage, 23674,
     /* 1918032 */     GIR_EraseRootFromParent_Done,
     /* 1918033 */   // Label 25774: @1918033
     /* 1918033 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918119), // Rule ID 23675 //
     /* 1918038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918084 */     // MIs[0] policy
     /* 1918084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918094 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918118 */     // GIR_Coverage, 23675,
     /* 1918118 */     GIR_EraseRootFromParent_Done,
     /* 1918119 */   // Label 25775: @1918119
     /* 1918119 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918205), // Rule ID 23678 //
     /* 1918124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918170 */     // MIs[0] policy
     /* 1918170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918204 */     // GIR_Coverage, 23678,
     /* 1918204 */     GIR_EraseRootFromParent_Done,
     /* 1918205 */   // Label 25776: @1918205
     /* 1918205 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1918291), // Rule ID 23679 //
     /* 1918210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918256 */     // MIs[0] policy
     /* 1918256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918266 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918290 */     // GIR_Coverage, 23679,
     /* 1918290 */     GIR_EraseRootFromParent_Done,
     /* 1918291 */   // Label 25777: @1918291
     /* 1918291 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1918377), // Rule ID 23682 //
     /* 1918296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918342 */     // MIs[0] policy
     /* 1918342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918376 */     // GIR_Coverage, 23682,
     /* 1918376 */     GIR_EraseRootFromParent_Done,
     /* 1918377 */   // Label 25778: @1918377
     /* 1918377 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1918463), // Rule ID 23683 //
     /* 1918382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918428 */     // MIs[0] policy
     /* 1918428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918438 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918462 */     // GIR_Coverage, 23683,
     /* 1918462 */     GIR_EraseRootFromParent_Done,
     /* 1918463 */   // Label 25779: @1918463
     /* 1918463 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1918549), // Rule ID 23686 //
     /* 1918468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918514 */     // MIs[0] policy
     /* 1918514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918548 */     // GIR_Coverage, 23686,
     /* 1918548 */     GIR_EraseRootFromParent_Done,
     /* 1918549 */   // Label 25780: @1918549
     /* 1918549 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1918635), // Rule ID 23687 //
     /* 1918554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918600 */     // MIs[0] policy
     /* 1918600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918634 */     // GIR_Coverage, 23687,
     /* 1918634 */     GIR_EraseRootFromParent_Done,
     /* 1918635 */   // Label 25781: @1918635
     /* 1918635 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1918721), // Rule ID 23690 //
     /* 1918640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918686 */     // MIs[0] policy
     /* 1918686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918720 */     // GIR_Coverage, 23690,
     /* 1918720 */     GIR_EraseRootFromParent_Done,
     /* 1918721 */   // Label 25782: @1918721
     /* 1918721 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1918807), // Rule ID 23691 //
     /* 1918726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918772 */     // MIs[0] policy
     /* 1918772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918806 */     // GIR_Coverage, 23691,
     /* 1918806 */     GIR_EraseRootFromParent_Done,
     /* 1918807 */   // Label 25783: @1918807
     /* 1918807 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1918893), // Rule ID 23694 //
     /* 1918812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918858 */     // MIs[0] policy
     /* 1918858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918892 */     // GIR_Coverage, 23694,
     /* 1918892 */     GIR_EraseRootFromParent_Done,
     /* 1918893 */   // Label 25784: @1918893
     /* 1918893 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1918979), // Rule ID 23695 //
     /* 1918898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918944 */     // MIs[0] policy
     /* 1918944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918954 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918978 */     // GIR_Coverage, 23695,
     /* 1918978 */     GIR_EraseRootFromParent_Done,
     /* 1918979 */   // Label 25785: @1918979
     /* 1918979 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1919065), // Rule ID 23698 //
     /* 1918984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919030 */     // MIs[0] policy
     /* 1919030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919064 */     // GIR_Coverage, 23698,
     /* 1919064 */     GIR_EraseRootFromParent_Done,
     /* 1919065 */   // Label 25786: @1919065
     /* 1919065 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919151), // Rule ID 23699 //
     /* 1919070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919116 */     // MIs[0] policy
     /* 1919116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919150 */     // GIR_Coverage, 23699,
     /* 1919150 */     GIR_EraseRootFromParent_Done,
     /* 1919151 */   // Label 25787: @1919151
     /* 1919151 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1919237), // Rule ID 23702 //
     /* 1919156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919202 */     // MIs[0] policy
     /* 1919202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919236 */     // GIR_Coverage, 23702,
     /* 1919236 */     GIR_EraseRootFromParent_Done,
     /* 1919237 */   // Label 25788: @1919237
     /* 1919237 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1919323), // Rule ID 23703 //
     /* 1919242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919288 */     // MIs[0] policy
     /* 1919288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919322 */     // GIR_Coverage, 23703,
     /* 1919322 */     GIR_EraseRootFromParent_Done,
     /* 1919323 */   // Label 25789: @1919323
     /* 1919323 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1919409), // Rule ID 23706 //
     /* 1919328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919374 */     // MIs[0] policy
     /* 1919374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919408 */     // GIR_Coverage, 23706,
     /* 1919408 */     GIR_EraseRootFromParent_Done,
     /* 1919409 */   // Label 25790: @1919409
     /* 1919409 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1919495), // Rule ID 23707 //
     /* 1919414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919460 */     // MIs[0] policy
     /* 1919460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919494 */     // GIR_Coverage, 23707,
     /* 1919494 */     GIR_EraseRootFromParent_Done,
     /* 1919495 */   // Label 25791: @1919495
     /* 1919495 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1919581), // Rule ID 23710 //
     /* 1919500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919546 */     // MIs[0] policy
     /* 1919546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919556 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919580 */     // GIR_Coverage, 23710,
     /* 1919580 */     GIR_EraseRootFromParent_Done,
     /* 1919581 */   // Label 25792: @1919581
     /* 1919581 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1919667), // Rule ID 23711 //
     /* 1919586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919632 */     // MIs[0] policy
     /* 1919632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919642 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919666 */     // GIR_Coverage, 23711,
     /* 1919666 */     GIR_EraseRootFromParent_Done,
     /* 1919667 */   // Label 25793: @1919667
     /* 1919667 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1919753), // Rule ID 23714 //
     /* 1919672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919718 */     // MIs[0] policy
     /* 1919718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919752 */     // GIR_Coverage, 23714,
     /* 1919752 */     GIR_EraseRootFromParent_Done,
     /* 1919753 */   // Label 25794: @1919753
     /* 1919753 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1919839), // Rule ID 23715 //
     /* 1919758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919804 */     // MIs[0] policy
     /* 1919804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919814 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919838 */     // GIR_Coverage, 23715,
     /* 1919838 */     GIR_EraseRootFromParent_Done,
     /* 1919839 */   // Label 25795: @1919839
     /* 1919839 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1919925), // Rule ID 23718 //
     /* 1919844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919890 */     // MIs[0] policy
     /* 1919890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919900 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919924 */     // GIR_Coverage, 23718,
     /* 1919924 */     GIR_EraseRootFromParent_Done,
     /* 1919925 */   // Label 25796: @1919925
     /* 1919925 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1920011), // Rule ID 23719 //
     /* 1919930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919976 */     // MIs[0] policy
     /* 1919976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920010 */     // GIR_Coverage, 23719,
     /* 1920010 */     GIR_EraseRootFromParent_Done,
     /* 1920011 */   // Label 25797: @1920011
     /* 1920011 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920097), // Rule ID 23722 //
     /* 1920016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920062 */     // MIs[0] policy
     /* 1920062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920096 */     // GIR_Coverage, 23722,
     /* 1920096 */     GIR_EraseRootFromParent_Done,
     /* 1920097 */   // Label 25798: @1920097
     /* 1920097 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920183), // Rule ID 23723 //
     /* 1920102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920148 */     // MIs[0] policy
     /* 1920148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920182 */     // GIR_Coverage, 23723,
     /* 1920182 */     GIR_EraseRootFromParent_Done,
     /* 1920183 */   // Label 25799: @1920183
     /* 1920183 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1920269), // Rule ID 23726 //
     /* 1920188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920234 */     // MIs[0] policy
     /* 1920234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920268 */     // GIR_Coverage, 23726,
     /* 1920268 */     GIR_EraseRootFromParent_Done,
     /* 1920269 */   // Label 25800: @1920269
     /* 1920269 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1920355), // Rule ID 23727 //
     /* 1920274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920320 */     // MIs[0] policy
     /* 1920320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920354 */     // GIR_Coverage, 23727,
     /* 1920354 */     GIR_EraseRootFromParent_Done,
     /* 1920355 */   // Label 25801: @1920355
     /* 1920355 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1920441), // Rule ID 23730 //
     /* 1920360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920406 */     // MIs[0] policy
     /* 1920406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920440 */     // GIR_Coverage, 23730,
     /* 1920440 */     GIR_EraseRootFromParent_Done,
     /* 1920441 */   // Label 25802: @1920441
     /* 1920441 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1920527), // Rule ID 23731 //
     /* 1920446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920492 */     // MIs[0] policy
     /* 1920492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920526 */     // GIR_Coverage, 23731,
     /* 1920526 */     GIR_EraseRootFromParent_Done,
     /* 1920527 */   // Label 25803: @1920527
     /* 1920527 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1920613), // Rule ID 23734 //
     /* 1920532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920578 */     // MIs[0] policy
     /* 1920578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920612 */     // GIR_Coverage, 23734,
     /* 1920612 */     GIR_EraseRootFromParent_Done,
     /* 1920613 */   // Label 25804: @1920613
     /* 1920613 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1920699), // Rule ID 23735 //
     /* 1920618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920664 */     // MIs[0] policy
     /* 1920664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920698 */     // GIR_Coverage, 23735,
     /* 1920698 */     GIR_EraseRootFromParent_Done,
     /* 1920699 */   // Label 25805: @1920699
     /* 1920699 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1920785), // Rule ID 23738 //
     /* 1920704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920750 */     // MIs[0] policy
     /* 1920750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920784 */     // GIR_Coverage, 23738,
     /* 1920784 */     GIR_EraseRootFromParent_Done,
     /* 1920785 */   // Label 25806: @1920785
     /* 1920785 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1920871), // Rule ID 23739 //
     /* 1920790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920836 */     // MIs[0] policy
     /* 1920836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920870 */     // GIR_Coverage, 23739,
     /* 1920870 */     GIR_EraseRootFromParent_Done,
     /* 1920871 */   // Label 25807: @1920871
     /* 1920871 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1920957), // Rule ID 23742 //
     /* 1920876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920922 */     // MIs[0] policy
     /* 1920922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920956 */     // GIR_Coverage, 23742,
     /* 1920956 */     GIR_EraseRootFromParent_Done,
     /* 1920957 */   // Label 25808: @1920957
     /* 1920957 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1921043), // Rule ID 23743 //
     /* 1920962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921008 */     // MIs[0] policy
     /* 1921008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921042 */     // GIR_Coverage, 23743,
     /* 1921042 */     GIR_EraseRootFromParent_Done,
     /* 1921043 */   // Label 25809: @1921043
     /* 1921043 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921129), // Rule ID 23746 //
     /* 1921048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921094 */     // MIs[0] policy
     /* 1921094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1921107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921128 */     // GIR_Coverage, 23746,
     /* 1921128 */     GIR_EraseRootFromParent_Done,
     /* 1921129 */   // Label 25810: @1921129
     /* 1921129 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1921215), // Rule ID 23747 //
     /* 1921134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921180 */     // MIs[0] policy
     /* 1921180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1921193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921214 */     // GIR_Coverage, 23747,
     /* 1921214 */     GIR_EraseRootFromParent_Done,
     /* 1921215 */   // Label 25811: @1921215
     /* 1921215 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1921301), // Rule ID 23750 //
     /* 1921220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921266 */     // MIs[0] policy
     /* 1921266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1921279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921300 */     // GIR_Coverage, 23750,
     /* 1921300 */     GIR_EraseRootFromParent_Done,
     /* 1921301 */   // Label 25812: @1921301
     /* 1921301 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1921387), // Rule ID 23751 //
     /* 1921306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921352 */     // MIs[0] policy
     /* 1921352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1921365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921386 */     // GIR_Coverage, 23751,
     /* 1921386 */     GIR_EraseRootFromParent_Done,
     /* 1921387 */   // Label 25813: @1921387
     /* 1921387 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1921473), // Rule ID 23754 //
     /* 1921392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921438 */     // MIs[0] policy
     /* 1921438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921472 */     // GIR_Coverage, 23754,
     /* 1921472 */     GIR_EraseRootFromParent_Done,
     /* 1921473 */   // Label 25814: @1921473
     /* 1921473 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1921559), // Rule ID 23755 //
     /* 1921478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921524 */     // MIs[0] policy
     /* 1921524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921534 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921558 */     // GIR_Coverage, 23755,
     /* 1921558 */     GIR_EraseRootFromParent_Done,
     /* 1921559 */   // Label 25815: @1921559
     /* 1921559 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1921645), // Rule ID 23846 //
     /* 1921564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921610 */     // MIs[0] policy
     /* 1921610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921620 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921644 */     // GIR_Coverage, 23846,
     /* 1921644 */     GIR_EraseRootFromParent_Done,
     /* 1921645 */   // Label 25816: @1921645
     /* 1921645 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1921731), // Rule ID 23847 //
     /* 1921650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921696 */     // MIs[0] policy
     /* 1921696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921706 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921730 */     // GIR_Coverage, 23847,
     /* 1921730 */     GIR_EraseRootFromParent_Done,
     /* 1921731 */   // Label 25817: @1921731
     /* 1921731 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1921817), // Rule ID 23850 //
     /* 1921736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921782 */     // MIs[0] policy
     /* 1921782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921816 */     // GIR_Coverage, 23850,
     /* 1921816 */     GIR_EraseRootFromParent_Done,
     /* 1921817 */   // Label 25818: @1921817
     /* 1921817 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1921903), // Rule ID 23851 //
     /* 1921822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921868 */     // MIs[0] policy
     /* 1921868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921902 */     // GIR_Coverage, 23851,
     /* 1921902 */     GIR_EraseRootFromParent_Done,
     /* 1921903 */   // Label 25819: @1921903
     /* 1921903 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1921989), // Rule ID 23854 //
     /* 1921908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921954 */     // MIs[0] policy
     /* 1921954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921988 */     // GIR_Coverage, 23854,
     /* 1921988 */     GIR_EraseRootFromParent_Done,
     /* 1921989 */   // Label 25820: @1921989
     /* 1921989 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1922075), // Rule ID 23855 //
     /* 1921994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1922005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1922008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1922011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922040 */     // MIs[0] policy
     /* 1922040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922050 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922074 */     // GIR_Coverage, 23855,
     /* 1922074 */     GIR_EraseRootFromParent_Done,
     /* 1922075 */   // Label 25821: @1922075
     /* 1922075 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922161), // Rule ID 23858 //
     /* 1922080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922126 */     // MIs[0] policy
     /* 1922126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922136 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1922139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922160 */     // GIR_Coverage, 23858,
     /* 1922160 */     GIR_EraseRootFromParent_Done,
     /* 1922161 */   // Label 25822: @1922161
     /* 1922161 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1922247), // Rule ID 23859 //
     /* 1922166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922212 */     // MIs[0] policy
     /* 1922212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1922225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922246 */     // GIR_Coverage, 23859,
     /* 1922246 */     GIR_EraseRootFromParent_Done,
     /* 1922247 */   // Label 25823: @1922247
     /* 1922247 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1922333), // Rule ID 23862 //
     /* 1922252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922298 */     // MIs[0] policy
     /* 1922298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922332 */     // GIR_Coverage, 23862,
     /* 1922332 */     GIR_EraseRootFromParent_Done,
     /* 1922333 */   // Label 25824: @1922333
     /* 1922333 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1922419), // Rule ID 23863 //
     /* 1922338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922384 */     // MIs[0] policy
     /* 1922384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922418 */     // GIR_Coverage, 23863,
     /* 1922418 */     GIR_EraseRootFromParent_Done,
     /* 1922419 */   // Label 25825: @1922419
     /* 1922419 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1922505), // Rule ID 23866 //
     /* 1922424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922470 */     // MIs[0] policy
     /* 1922470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922504 */     // GIR_Coverage, 23866,
     /* 1922504 */     GIR_EraseRootFromParent_Done,
     /* 1922505 */   // Label 25826: @1922505
     /* 1922505 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1922591), // Rule ID 23867 //
     /* 1922510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922556 */     // MIs[0] policy
     /* 1922556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922590 */     // GIR_Coverage, 23867,
     /* 1922590 */     GIR_EraseRootFromParent_Done,
     /* 1922591 */   // Label 25827: @1922591
     /* 1922591 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1922677), // Rule ID 23870 //
     /* 1922596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922642 */     // MIs[0] policy
     /* 1922642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922676 */     // GIR_Coverage, 23870,
     /* 1922676 */     GIR_EraseRootFromParent_Done,
     /* 1922677 */   // Label 25828: @1922677
     /* 1922677 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1922763), // Rule ID 23871 //
     /* 1922682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922728 */     // MIs[0] policy
     /* 1922728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922738 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922762 */     // GIR_Coverage, 23871,
     /* 1922762 */     GIR_EraseRootFromParent_Done,
     /* 1922763 */   // Label 25829: @1922763
     /* 1922763 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1922849), // Rule ID 23874 //
     /* 1922768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922814 */     // MIs[0] policy
     /* 1922814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922848 */     // GIR_Coverage, 23874,
     /* 1922848 */     GIR_EraseRootFromParent_Done,
     /* 1922849 */   // Label 25830: @1922849
     /* 1922849 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1922935), // Rule ID 23875 //
     /* 1922854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922900 */     // MIs[0] policy
     /* 1922900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922910 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922934 */     // GIR_Coverage, 23875,
     /* 1922934 */     GIR_EraseRootFromParent_Done,
     /* 1922935 */   // Label 25831: @1922935
     /* 1922935 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1923021), // Rule ID 23878 //
     /* 1922940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922986 */     // MIs[0] policy
     /* 1922986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923020 */     // GIR_Coverage, 23878,
     /* 1923020 */     GIR_EraseRootFromParent_Done,
     /* 1923021 */   // Label 25832: @1923021
     /* 1923021 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923107), // Rule ID 23879 //
     /* 1923026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923072 */     // MIs[0] policy
     /* 1923072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923106 */     // GIR_Coverage, 23879,
     /* 1923106 */     GIR_EraseRootFromParent_Done,
     /* 1923107 */   // Label 25833: @1923107
     /* 1923107 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923193), // Rule ID 23882 //
     /* 1923112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923158 */     // MIs[0] policy
     /* 1923158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923192 */     // GIR_Coverage, 23882,
     /* 1923192 */     GIR_EraseRootFromParent_Done,
     /* 1923193 */   // Label 25834: @1923193
     /* 1923193 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1923279), // Rule ID 23883 //
     /* 1923198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923244 */     // MIs[0] policy
     /* 1923244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1923257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923278 */     // GIR_Coverage, 23883,
     /* 1923278 */     GIR_EraseRootFromParent_Done,
     /* 1923279 */   // Label 25835: @1923279
     /* 1923279 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1923365), // Rule ID 23886 //
     /* 1923284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923330 */     // MIs[0] policy
     /* 1923330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923364 */     // GIR_Coverage, 23886,
     /* 1923364 */     GIR_EraseRootFromParent_Done,
     /* 1923365 */   // Label 25836: @1923365
     /* 1923365 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1923451), // Rule ID 23887 //
     /* 1923370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923416 */     // MIs[0] policy
     /* 1923416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923450 */     // GIR_Coverage, 23887,
     /* 1923450 */     GIR_EraseRootFromParent_Done,
     /* 1923451 */   // Label 25837: @1923451
     /* 1923451 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1923537), // Rule ID 23890 //
     /* 1923456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923502 */     // MIs[0] policy
     /* 1923502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923512 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923536 */     // GIR_Coverage, 23890,
     /* 1923536 */     GIR_EraseRootFromParent_Done,
     /* 1923537 */   // Label 25838: @1923537
     /* 1923537 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1923623), // Rule ID 23891 //
     /* 1923542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923588 */     // MIs[0] policy
     /* 1923588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923598 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923622 */     // GIR_Coverage, 23891,
     /* 1923622 */     GIR_EraseRootFromParent_Done,
     /* 1923623 */   // Label 25839: @1923623
     /* 1923623 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1923709), // Rule ID 23894 //
     /* 1923628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923674 */     // MIs[0] policy
     /* 1923674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923708 */     // GIR_Coverage, 23894,
     /* 1923708 */     GIR_EraseRootFromParent_Done,
     /* 1923709 */   // Label 25840: @1923709
     /* 1923709 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1923795), // Rule ID 23895 //
     /* 1923714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923760 */     // MIs[0] policy
     /* 1923760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923770 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923794 */     // GIR_Coverage, 23895,
     /* 1923794 */     GIR_EraseRootFromParent_Done,
     /* 1923795 */   // Label 25841: @1923795
     /* 1923795 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1923881), // Rule ID 23898 //
     /* 1923800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923846 */     // MIs[0] policy
     /* 1923846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923880 */     // GIR_Coverage, 23898,
     /* 1923880 */     GIR_EraseRootFromParent_Done,
     /* 1923881 */   // Label 25842: @1923881
     /* 1923881 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1923967), // Rule ID 23899 //
     /* 1923886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923932 */     // MIs[0] policy
     /* 1923932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923966 */     // GIR_Coverage, 23899,
     /* 1923966 */     GIR_EraseRootFromParent_Done,
     /* 1923967 */   // Label 25843: @1923967
     /* 1923967 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1924053), // Rule ID 23902 //
     /* 1923972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924018 */     // MIs[0] policy
     /* 1924018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924052 */     // GIR_Coverage, 23902,
     /* 1924052 */     GIR_EraseRootFromParent_Done,
     /* 1924053 */   // Label 25844: @1924053
     /* 1924053 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924139), // Rule ID 23903 //
     /* 1924058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924104 */     // MIs[0] policy
     /* 1924104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924138 */     // GIR_Coverage, 23903,
     /* 1924138 */     GIR_EraseRootFromParent_Done,
     /* 1924139 */   // Label 25845: @1924139
     /* 1924139 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1924225), // Rule ID 23906 //
     /* 1924144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924190 */     // MIs[0] policy
     /* 1924190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924224 */     // GIR_Coverage, 23906,
     /* 1924224 */     GIR_EraseRootFromParent_Done,
     /* 1924225 */   // Label 25846: @1924225
     /* 1924225 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1924311), // Rule ID 23907 //
     /* 1924230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924276 */     // MIs[0] policy
     /* 1924276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924310 */     // GIR_Coverage, 23907,
     /* 1924310 */     GIR_EraseRootFromParent_Done,
     /* 1924311 */   // Label 25847: @1924311
     /* 1924311 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1924397), // Rule ID 23910 //
     /* 1924316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924362 */     // MIs[0] policy
     /* 1924362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924396 */     // GIR_Coverage, 23910,
     /* 1924396 */     GIR_EraseRootFromParent_Done,
     /* 1924397 */   // Label 25848: @1924397
     /* 1924397 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1924483), // Rule ID 23911 //
     /* 1924402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924448 */     // MIs[0] policy
     /* 1924448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924482 */     // GIR_Coverage, 23911,
     /* 1924482 */     GIR_EraseRootFromParent_Done,
     /* 1924483 */   // Label 25849: @1924483
     /* 1924483 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1924569), // Rule ID 23914 //
     /* 1924488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924534 */     // MIs[0] policy
     /* 1924534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924544 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924568 */     // GIR_Coverage, 23914,
     /* 1924568 */     GIR_EraseRootFromParent_Done,
     /* 1924569 */   // Label 25850: @1924569
     /* 1924569 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1924655), // Rule ID 23915 //
     /* 1924574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924620 */     // MIs[0] policy
     /* 1924620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924654 */     // GIR_Coverage, 23915,
     /* 1924654 */     GIR_EraseRootFromParent_Done,
     /* 1924655 */   // Label 25851: @1924655
     /* 1924655 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1924741), // Rule ID 23918 //
     /* 1924660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924706 */     // MIs[0] policy
     /* 1924706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924740 */     // GIR_Coverage, 23918,
     /* 1924740 */     GIR_EraseRootFromParent_Done,
     /* 1924741 */   // Label 25852: @1924741
     /* 1924741 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1924827), // Rule ID 23919 //
     /* 1924746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924792 */     // MIs[0] policy
     /* 1924792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924826 */     // GIR_Coverage, 23919,
     /* 1924826 */     GIR_EraseRootFromParent_Done,
     /* 1924827 */   // Label 25853: @1924827
     /* 1924827 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1924913), // Rule ID 23922 //
     /* 1924832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924878 */     // MIs[0] policy
     /* 1924878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924912 */     // GIR_Coverage, 23922,
     /* 1924912 */     GIR_EraseRootFromParent_Done,
     /* 1924913 */   // Label 25854: @1924913
     /* 1924913 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1924999), // Rule ID 23923 //
     /* 1924918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924964 */     // MIs[0] policy
     /* 1924964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924998 */     // GIR_Coverage, 23923,
     /* 1924998 */     GIR_EraseRootFromParent_Done,
     /* 1924999 */   // Label 25855: @1924999
     /* 1924999 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1925085), // Rule ID 23926 //
     /* 1925004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925050 */     // MIs[0] policy
     /* 1925050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1925063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925084 */     // GIR_Coverage, 23926,
     /* 1925084 */     GIR_EraseRootFromParent_Done,
     /* 1925085 */   // Label 25856: @1925085
     /* 1925085 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925171), // Rule ID 23927 //
     /* 1925090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925136 */     // MIs[0] policy
     /* 1925136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1925149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925170 */     // GIR_Coverage, 23927,
     /* 1925170 */     GIR_EraseRootFromParent_Done,
     /* 1925171 */   // Label 25857: @1925171
     /* 1925171 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1925257), // Rule ID 23930 //
     /* 1925176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925222 */     // MIs[0] policy
     /* 1925222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1925235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925256 */     // GIR_Coverage, 23930,
     /* 1925256 */     GIR_EraseRootFromParent_Done,
     /* 1925257 */   // Label 25858: @1925257
     /* 1925257 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1925343), // Rule ID 23931 //
     /* 1925262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925308 */     // MIs[0] policy
     /* 1925308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1925321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925342 */     // GIR_Coverage, 23931,
     /* 1925342 */     GIR_EraseRootFromParent_Done,
     /* 1925343 */   // Label 25859: @1925343
     /* 1925343 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1925429), // Rule ID 23934 //
     /* 1925348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925394 */     // MIs[0] policy
     /* 1925394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925428 */     // GIR_Coverage, 23934,
     /* 1925428 */     GIR_EraseRootFromParent_Done,
     /* 1925429 */   // Label 25860: @1925429
     /* 1925429 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1925515), // Rule ID 23935 //
     /* 1925434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925480 */     // MIs[0] policy
     /* 1925480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925514 */     // GIR_Coverage, 23935,
     /* 1925514 */     GIR_EraseRootFromParent_Done,
     /* 1925515 */   // Label 25861: @1925515
     /* 1925515 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1925601), // Rule ID 23938 //
     /* 1925520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925566 */     // MIs[0] policy
     /* 1925566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925600 */     // GIR_Coverage, 23938,
     /* 1925600 */     GIR_EraseRootFromParent_Done,
     /* 1925601 */   // Label 25862: @1925601
     /* 1925601 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1925687), // Rule ID 23939 //
     /* 1925606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925652 */     // MIs[0] policy
     /* 1925652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925662 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925686 */     // GIR_Coverage, 23939,
     /* 1925686 */     GIR_EraseRootFromParent_Done,
     /* 1925687 */   // Label 25863: @1925687
     /* 1925687 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1925773), // Rule ID 23942 //
     /* 1925692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925738 */     // MIs[0] policy
     /* 1925738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925772 */     // GIR_Coverage, 23942,
     /* 1925772 */     GIR_EraseRootFromParent_Done,
     /* 1925773 */   // Label 25864: @1925773
     /* 1925773 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1925859), // Rule ID 23943 //
     /* 1925778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925824 */     // MIs[0] policy
     /* 1925824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925834 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925858 */     // GIR_Coverage, 23943,
     /* 1925858 */     GIR_EraseRootFromParent_Done,
     /* 1925859 */   // Label 25865: @1925859
     /* 1925859 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1925945), // Rule ID 23946 //
     /* 1925864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925910 */     // MIs[0] policy
     /* 1925910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925944 */     // GIR_Coverage, 23946,
     /* 1925944 */     GIR_EraseRootFromParent_Done,
     /* 1925945 */   // Label 25866: @1925945
     /* 1925945 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1926031), // Rule ID 23947 //
     /* 1925950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925996 */     // MIs[0] policy
     /* 1925996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1926009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926030 */     // GIR_Coverage, 23947,
     /* 1926030 */     GIR_EraseRootFromParent_Done,
     /* 1926031 */   // Label 25867: @1926031
     /* 1926031 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926117), // Rule ID 23950 //
     /* 1926036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926082 */     // MIs[0] policy
     /* 1926082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926116 */     // GIR_Coverage, 23950,
     /* 1926116 */     GIR_EraseRootFromParent_Done,
     /* 1926117 */   // Label 25868: @1926117
     /* 1926117 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926203), // Rule ID 23951 //
     /* 1926122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926168 */     // MIs[0] policy
     /* 1926168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926202 */     // GIR_Coverage, 23951,
     /* 1926202 */     GIR_EraseRootFromParent_Done,
     /* 1926203 */   // Label 25869: @1926203
     /* 1926203 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1926289), // Rule ID 23954 //
     /* 1926208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926254 */     // MIs[0] policy
     /* 1926254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926264 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926288 */     // GIR_Coverage, 23954,
     /* 1926288 */     GIR_EraseRootFromParent_Done,
     /* 1926289 */   // Label 25870: @1926289
     /* 1926289 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1926375), // Rule ID 23955 //
     /* 1926294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926340 */     // MIs[0] policy
     /* 1926340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1926353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926374 */     // GIR_Coverage, 23955,
     /* 1926374 */     GIR_EraseRootFromParent_Done,
     /* 1926375 */   // Label 25871: @1926375
     /* 1926375 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1926461), // Rule ID 23958 //
     /* 1926380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926426 */     // MIs[0] policy
     /* 1926426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926460 */     // GIR_Coverage, 23958,
     /* 1926460 */     GIR_EraseRootFromParent_Done,
     /* 1926461 */   // Label 25872: @1926461
     /* 1926461 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1926547), // Rule ID 23959 //
     /* 1926466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926512 */     // MIs[0] policy
     /* 1926512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926522 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926546 */     // GIR_Coverage, 23959,
     /* 1926546 */     GIR_EraseRootFromParent_Done,
     /* 1926547 */   // Label 25873: @1926547
     /* 1926547 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1926633), // Rule ID 23962 //
     /* 1926552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926598 */     // MIs[0] policy
     /* 1926598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926632 */     // GIR_Coverage, 23962,
     /* 1926632 */     GIR_EraseRootFromParent_Done,
     /* 1926633 */   // Label 25874: @1926633
     /* 1926633 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1926719), // Rule ID 23963 //
     /* 1926638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926684 */     // MIs[0] policy
     /* 1926684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926718 */     // GIR_Coverage, 23963,
     /* 1926718 */     GIR_EraseRootFromParent_Done,
     /* 1926719 */   // Label 25875: @1926719
     /* 1926719 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1926805), // Rule ID 23966 //
     /* 1926724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926770 */     // MIs[0] policy
     /* 1926770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926804 */     // GIR_Coverage, 23966,
     /* 1926804 */     GIR_EraseRootFromParent_Done,
     /* 1926805 */   // Label 25876: @1926805
     /* 1926805 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1926891), // Rule ID 23967 //
     /* 1926810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926856 */     // MIs[0] policy
     /* 1926856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926890 */     // GIR_Coverage, 23967,
     /* 1926890 */     GIR_EraseRootFromParent_Done,
     /* 1926891 */   // Label 25877: @1926891
     /* 1926891 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1926977), // Rule ID 23970 //
     /* 1926896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926942 */     // MIs[0] policy
     /* 1926942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926976 */     // GIR_Coverage, 23970,
     /* 1926976 */     GIR_EraseRootFromParent_Done,
     /* 1926977 */   // Label 25878: @1926977
     /* 1926977 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1927063), // Rule ID 23971 //
     /* 1926982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927028 */     // MIs[0] policy
     /* 1927028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1927041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927062 */     // GIR_Coverage, 23971,
     /* 1927062 */     GIR_EraseRootFromParent_Done,
     /* 1927063 */   // Label 25879: @1927063
     /* 1927063 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927149), // Rule ID 23974 //
     /* 1927068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927114 */     // MIs[0] policy
     /* 1927114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927148 */     // GIR_Coverage, 23974,
     /* 1927148 */     GIR_EraseRootFromParent_Done,
     /* 1927149 */   // Label 25880: @1927149
     /* 1927149 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1927235), // Rule ID 23975 //
     /* 1927154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927200 */     // MIs[0] policy
     /* 1927200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927234 */     // GIR_Coverage, 23975,
     /* 1927234 */     GIR_EraseRootFromParent_Done,
     /* 1927235 */   // Label 25881: @1927235
     /* 1927235 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1927321), // Rule ID 23978 //
     /* 1927240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927286 */     // MIs[0] policy
     /* 1927286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927320 */     // GIR_Coverage, 23978,
     /* 1927320 */     GIR_EraseRootFromParent_Done,
     /* 1927321 */   // Label 25882: @1927321
     /* 1927321 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1927407), // Rule ID 23979 //
     /* 1927326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927372 */     // MIs[0] policy
     /* 1927372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927406 */     // GIR_Coverage, 23979,
     /* 1927406 */     GIR_EraseRootFromParent_Done,
     /* 1927407 */   // Label 25883: @1927407
     /* 1927407 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1927493), // Rule ID 23982 //
     /* 1927412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927458 */     // MIs[0] policy
     /* 1927458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927468 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927492 */     // GIR_Coverage, 23982,
     /* 1927492 */     GIR_EraseRootFromParent_Done,
     /* 1927493 */   // Label 25884: @1927493
     /* 1927493 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1927579), // Rule ID 23983 //
     /* 1927498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927544 */     // MIs[0] policy
     /* 1927544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927554 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927578 */     // GIR_Coverage, 23983,
     /* 1927578 */     GIR_EraseRootFromParent_Done,
     /* 1927579 */   // Label 25885: @1927579
     /* 1927579 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1927665), // Rule ID 23986 //
     /* 1927584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927630 */     // MIs[0] policy
     /* 1927630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927664 */     // GIR_Coverage, 23986,
     /* 1927664 */     GIR_EraseRootFromParent_Done,
     /* 1927665 */   // Label 25886: @1927665
     /* 1927665 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1927751), // Rule ID 23987 //
     /* 1927670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927716 */     // MIs[0] policy
     /* 1927716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927750 */     // GIR_Coverage, 23987,
     /* 1927750 */     GIR_EraseRootFromParent_Done,
     /* 1927751 */   // Label 25887: @1927751
     /* 1927751 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1927837), // Rule ID 23990 //
     /* 1927756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927802 */     // MIs[0] policy
     /* 1927802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927812 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927836 */     // GIR_Coverage, 23990,
     /* 1927836 */     GIR_EraseRootFromParent_Done,
     /* 1927837 */   // Label 25888: @1927837
     /* 1927837 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1927923), // Rule ID 23991 //
     /* 1927842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927888 */     // MIs[0] policy
     /* 1927888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927898 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927922 */     // GIR_Coverage, 23991,
     /* 1927922 */     GIR_EraseRootFromParent_Done,
     /* 1927923 */   // Label 25889: @1927923
     /* 1927923 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1928009), // Rule ID 23994 //
     /* 1927928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927974 */     // MIs[0] policy
     /* 1927974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928008 */     // GIR_Coverage, 23994,
     /* 1928008 */     GIR_EraseRootFromParent_Done,
     /* 1928009 */   // Label 25890: @1928009
     /* 1928009 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928095), // Rule ID 23995 //
     /* 1928014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928060 */     // MIs[0] policy
     /* 1928060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928094 */     // GIR_Coverage, 23995,
     /* 1928094 */     GIR_EraseRootFromParent_Done,
     /* 1928095 */   // Label 25891: @1928095
     /* 1928095 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928181), // Rule ID 23998 //
     /* 1928100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928146 */     // MIs[0] policy
     /* 1928146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928180 */     // GIR_Coverage, 23998,
     /* 1928180 */     GIR_EraseRootFromParent_Done,
     /* 1928181 */   // Label 25892: @1928181
     /* 1928181 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1928267), // Rule ID 23999 //
     /* 1928186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928232 */     // MIs[0] policy
     /* 1928232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928266 */     // GIR_Coverage, 23999,
     /* 1928266 */     GIR_EraseRootFromParent_Done,
     /* 1928267 */   // Label 25893: @1928267
     /* 1928267 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1928353), // Rule ID 24002 //
     /* 1928272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928318 */     // MIs[0] policy
     /* 1928318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928352 */     // GIR_Coverage, 24002,
     /* 1928352 */     GIR_EraseRootFromParent_Done,
     /* 1928353 */   // Label 25894: @1928353
     /* 1928353 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1928439), // Rule ID 24003 //
     /* 1928358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928404 */     // MIs[0] policy
     /* 1928404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928438 */     // GIR_Coverage, 24003,
     /* 1928438 */     GIR_EraseRootFromParent_Done,
     /* 1928439 */   // Label 25895: @1928439
     /* 1928439 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1928525), // Rule ID 24006 //
     /* 1928444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928490 */     // MIs[0] policy
     /* 1928490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928500 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928524 */     // GIR_Coverage, 24006,
     /* 1928524 */     GIR_EraseRootFromParent_Done,
     /* 1928525 */   // Label 25896: @1928525
     /* 1928525 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1928611), // Rule ID 24007 //
     /* 1928530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928576 */     // MIs[0] policy
     /* 1928576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928610 */     // GIR_Coverage, 24007,
     /* 1928610 */     GIR_EraseRootFromParent_Done,
     /* 1928611 */   // Label 25897: @1928611
     /* 1928611 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1928697), // Rule ID 24010 //
     /* 1928616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928662 */     // MIs[0] policy
     /* 1928662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928696 */     // GIR_Coverage, 24010,
     /* 1928696 */     GIR_EraseRootFromParent_Done,
     /* 1928697 */   // Label 25898: @1928697
     /* 1928697 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1928783), // Rule ID 24011 //
     /* 1928702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928748 */     // MIs[0] policy
     /* 1928748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928782 */     // GIR_Coverage, 24011,
     /* 1928782 */     GIR_EraseRootFromParent_Done,
     /* 1928783 */   // Label 25899: @1928783
     /* 1928783 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1928869), // Rule ID 24014 //
     /* 1928788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928834 */     // MIs[0] policy
     /* 1928834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928868 */     // GIR_Coverage, 24014,
     /* 1928868 */     GIR_EraseRootFromParent_Done,
     /* 1928869 */   // Label 25900: @1928869
     /* 1928869 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1928955), // Rule ID 24015 //
     /* 1928874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928920 */     // MIs[0] policy
     /* 1928920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928954 */     // GIR_Coverage, 24015,
     /* 1928954 */     GIR_EraseRootFromParent_Done,
     /* 1928955 */   // Label 25901: @1928955
     /* 1928955 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1929041), // Rule ID 24018 //
     /* 1928960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929006 */     // MIs[0] policy
     /* 1929006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1929019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929040 */     // GIR_Coverage, 24018,
     /* 1929040 */     GIR_EraseRootFromParent_Done,
     /* 1929041 */   // Label 25902: @1929041
     /* 1929041 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929127), // Rule ID 24019 //
     /* 1929046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1929057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1929060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1929063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929092 */     // MIs[0] policy
     /* 1929092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1929105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929126 */     // GIR_Coverage, 24019,
     /* 1929126 */     GIR_EraseRootFromParent_Done,
     /* 1929127 */   // Label 25903: @1929127
     /* 1929127 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1929213), // Rule ID 24022 //
     /* 1929132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929178 */     // MIs[0] policy
     /* 1929178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929188 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1929191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929212 */     // GIR_Coverage, 24022,
     /* 1929212 */     GIR_EraseRootFromParent_Done,
     /* 1929213 */   // Label 25904: @1929213
     /* 1929213 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1929299), // Rule ID 24023 //
     /* 1929218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929264 */     // MIs[0] policy
     /* 1929264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929274 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1929277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929298 */     // GIR_Coverage, 24023,
     /* 1929298 */     GIR_EraseRootFromParent_Done,
     /* 1929299 */   // Label 25905: @1929299
     /* 1929299 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1929385), // Rule ID 24026 //
     /* 1929304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929350 */     // MIs[0] policy
     /* 1929350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929360 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929384 */     // GIR_Coverage, 24026,
     /* 1929384 */     GIR_EraseRootFromParent_Done,
     /* 1929385 */   // Label 25906: @1929385
     /* 1929385 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1929471), // Rule ID 24027 //
     /* 1929390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929436 */     // MIs[0] policy
     /* 1929436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929446 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929470 */     // GIR_Coverage, 24027,
     /* 1929470 */     GIR_EraseRootFromParent_Done,
     /* 1929471 */   // Label 25907: @1929471
     /* 1929471 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1929557), // Rule ID 24030 //
     /* 1929476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929522 */     // MIs[0] policy
     /* 1929522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929556 */     // GIR_Coverage, 24030,
     /* 1929556 */     GIR_EraseRootFromParent_Done,
     /* 1929557 */   // Label 25908: @1929557
     /* 1929557 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1929643), // Rule ID 24031 //
     /* 1929562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929608 */     // MIs[0] policy
     /* 1929608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929618 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929642 */     // GIR_Coverage, 24031,
     /* 1929642 */     GIR_EraseRootFromParent_Done,
     /* 1929643 */   // Label 25909: @1929643
     /* 1929643 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1929729), // Rule ID 24034 //
     /* 1929648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929694 */     // MIs[0] policy
     /* 1929694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929704 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929728 */     // GIR_Coverage, 24034,
     /* 1929728 */     GIR_EraseRootFromParent_Done,
     /* 1929729 */   // Label 25910: @1929729
     /* 1929729 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1929815), // Rule ID 24035 //
     /* 1929734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929780 */     // MIs[0] policy
     /* 1929780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929814 */     // GIR_Coverage, 24035,
     /* 1929814 */     GIR_EraseRootFromParent_Done,
     /* 1929815 */   // Label 25911: @1929815
     /* 1929815 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1929901), // Rule ID 24038 //
     /* 1929820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929866 */     // MIs[0] policy
     /* 1929866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929900 */     // GIR_Coverage, 24038,
     /* 1929900 */     GIR_EraseRootFromParent_Done,
     /* 1929901 */   // Label 25912: @1929901
     /* 1929901 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1929987), // Rule ID 24039 //
     /* 1929906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929952 */     // MIs[0] policy
     /* 1929952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929986 */     // GIR_Coverage, 24039,
     /* 1929986 */     GIR_EraseRootFromParent_Done,
     /* 1929987 */   // Label 25913: @1929987
     /* 1929987 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1930073), // Rule ID 24042 //
     /* 1929992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930038 */     // MIs[0] policy
     /* 1930038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1930051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930072 */     // GIR_Coverage, 24042,
     /* 1930072 */     GIR_EraseRootFromParent_Done,
     /* 1930073 */   // Label 25914: @1930073
     /* 1930073 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930159), // Rule ID 24043 //
     /* 1930078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930124 */     // MIs[0] policy
     /* 1930124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930134 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1930137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930158 */     // GIR_Coverage, 24043,
     /* 1930158 */     GIR_EraseRootFromParent_Done,
     /* 1930159 */   // Label 25915: @1930159
     /* 1930159 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1930245), // Rule ID 24046 //
     /* 1930164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930210 */     // MIs[0] policy
     /* 1930210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930220 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930244 */     // GIR_Coverage, 24046,
     /* 1930244 */     GIR_EraseRootFromParent_Done,
     /* 1930245 */   // Label 25916: @1930245
     /* 1930245 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1930331), // Rule ID 24047 //
     /* 1930250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930296 */     // MIs[0] policy
     /* 1930296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930306 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930330 */     // GIR_Coverage, 24047,
     /* 1930330 */     GIR_EraseRootFromParent_Done,
     /* 1930331 */   // Label 25917: @1930331
     /* 1930331 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1930417), // Rule ID 24050 //
     /* 1930336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930382 */     // MIs[0] policy
     /* 1930382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930392 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930416 */     // GIR_Coverage, 24050,
     /* 1930416 */     GIR_EraseRootFromParent_Done,
     /* 1930417 */   // Label 25918: @1930417
     /* 1930417 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1930503), // Rule ID 24051 //
     /* 1930422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930468 */     // MIs[0] policy
     /* 1930468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930478 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930502 */     // GIR_Coverage, 24051,
     /* 1930502 */     GIR_EraseRootFromParent_Done,
     /* 1930503 */   // Label 25919: @1930503
     /* 1930503 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1930589), // Rule ID 24054 //
     /* 1930508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930554 */     // MIs[0] policy
     /* 1930554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930564 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930588 */     // GIR_Coverage, 24054,
     /* 1930588 */     GIR_EraseRootFromParent_Done,
     /* 1930589 */   // Label 25920: @1930589
     /* 1930589 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1930675), // Rule ID 24055 //
     /* 1930594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930640 */     // MIs[0] policy
     /* 1930640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930650 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930674 */     // GIR_Coverage, 24055,
     /* 1930674 */     GIR_EraseRootFromParent_Done,
     /* 1930675 */   // Label 25921: @1930675
     /* 1930675 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1930761), // Rule ID 24058 //
     /* 1930680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930726 */     // MIs[0] policy
     /* 1930726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930760 */     // GIR_Coverage, 24058,
     /* 1930760 */     GIR_EraseRootFromParent_Done,
     /* 1930761 */   // Label 25922: @1930761
     /* 1930761 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1930847), // Rule ID 24059 //
     /* 1930766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930812 */     // MIs[0] policy
     /* 1930812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930822 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930846 */     // GIR_Coverage, 24059,
     /* 1930846 */     GIR_EraseRootFromParent_Done,
     /* 1930847 */   // Label 25923: @1930847
     /* 1930847 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1930933), // Rule ID 24062 //
     /* 1930852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930898 */     // MIs[0] policy
     /* 1930898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930932 */     // GIR_Coverage, 24062,
     /* 1930932 */     GIR_EraseRootFromParent_Done,
     /* 1930933 */   // Label 25924: @1930933
     /* 1930933 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1931019), // Rule ID 24063 //
     /* 1930938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930984 */     // MIs[0] policy
     /* 1930984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930994 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931018 */     // GIR_Coverage, 24063,
     /* 1931018 */     GIR_EraseRootFromParent_Done,
     /* 1931019 */   // Label 25925: @1931019
     /* 1931019 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931105), // Rule ID 24066 //
     /* 1931024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931070 */     // MIs[0] policy
     /* 1931070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931080 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931104 */     // GIR_Coverage, 24066,
     /* 1931104 */     GIR_EraseRootFromParent_Done,
     /* 1931105 */   // Label 25926: @1931105
     /* 1931105 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931191), // Rule ID 24067 //
     /* 1931110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931156 */     // MIs[0] policy
     /* 1931156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931190 */     // GIR_Coverage, 24067,
     /* 1931190 */     GIR_EraseRootFromParent_Done,
     /* 1931191 */   // Label 25927: @1931191
     /* 1931191 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1931277), // Rule ID 24070 //
     /* 1931196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931242 */     // MIs[0] policy
     /* 1931242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1931255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931276 */     // GIR_Coverage, 24070,
     /* 1931276 */     GIR_EraseRootFromParent_Done,
     /* 1931277 */   // Label 25928: @1931277
     /* 1931277 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1931363), // Rule ID 24071 //
     /* 1931282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931328 */     // MIs[0] policy
     /* 1931328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931338 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1931341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931362 */     // GIR_Coverage, 24071,
     /* 1931362 */     GIR_EraseRootFromParent_Done,
     /* 1931363 */   // Label 25929: @1931363
     /* 1931363 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1931449), // Rule ID 24074 //
     /* 1931368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931414 */     // MIs[0] policy
     /* 1931414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931424 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931448 */     // GIR_Coverage, 24074,
     /* 1931448 */     GIR_EraseRootFromParent_Done,
     /* 1931449 */   // Label 25930: @1931449
     /* 1931449 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1931535), // Rule ID 24075 //
     /* 1931454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931500 */     // MIs[0] policy
     /* 1931500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931510 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931534 */     // GIR_Coverage, 24075,
     /* 1931534 */     GIR_EraseRootFromParent_Done,
     /* 1931535 */   // Label 25931: @1931535
     /* 1931535 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1931621), // Rule ID 24078 //
     /* 1931540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931586 */     // MIs[0] policy
     /* 1931586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931620 */     // GIR_Coverage, 24078,
     /* 1931620 */     GIR_EraseRootFromParent_Done,
     /* 1931621 */   // Label 25932: @1931621
     /* 1931621 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1931707), // Rule ID 24079 //
     /* 1931626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931672 */     // MIs[0] policy
     /* 1931672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931706 */     // GIR_Coverage, 24079,
     /* 1931706 */     GIR_EraseRootFromParent_Done,
     /* 1931707 */   // Label 25933: @1931707
     /* 1931707 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1931793), // Rule ID 24142 //
     /* 1931712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931758 */     // MIs[0] policy
     /* 1931758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931768 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931792 */     // GIR_Coverage, 24142,
     /* 1931792 */     GIR_EraseRootFromParent_Done,
     /* 1931793 */   // Label 25934: @1931793
     /* 1931793 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1931879), // Rule ID 24143 //
     /* 1931798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931844 */     // MIs[0] policy
     /* 1931844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931854 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931878 */     // GIR_Coverage, 24143,
     /* 1931878 */     GIR_EraseRootFromParent_Done,
     /* 1931879 */   // Label 25935: @1931879
     /* 1931879 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1931965), // Rule ID 24146 //
     /* 1931884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931930 */     // MIs[0] policy
     /* 1931930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931940 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931964 */     // GIR_Coverage, 24146,
     /* 1931964 */     GIR_EraseRootFromParent_Done,
     /* 1931965 */   // Label 25936: @1931965
     /* 1931965 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1932051), // Rule ID 24147 //
     /* 1931970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932016 */     // MIs[0] policy
     /* 1932016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932026 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932050 */     // GIR_Coverage, 24147,
     /* 1932050 */     GIR_EraseRootFromParent_Done,
     /* 1932051 */   // Label 25937: @1932051
     /* 1932051 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932137), // Rule ID 24150 //
     /* 1932056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932102 */     // MIs[0] policy
     /* 1932102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932112 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932136 */     // GIR_Coverage, 24150,
     /* 1932136 */     GIR_EraseRootFromParent_Done,
     /* 1932137 */   // Label 25938: @1932137
     /* 1932137 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1932223), // Rule ID 24151 //
     /* 1932142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932188 */     // MIs[0] policy
     /* 1932188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932198 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1932201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932222 */     // GIR_Coverage, 24151,
     /* 1932222 */     GIR_EraseRootFromParent_Done,
     /* 1932223 */   // Label 25939: @1932223
     /* 1932223 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1932309), // Rule ID 24154 //
     /* 1932228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932274 */     // MIs[0] policy
     /* 1932274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932284 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932308 */     // GIR_Coverage, 24154,
     /* 1932308 */     GIR_EraseRootFromParent_Done,
     /* 1932309 */   // Label 25940: @1932309
     /* 1932309 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1932395), // Rule ID 24155 //
     /* 1932314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1932325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1932328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1932331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932360 */     // MIs[0] policy
     /* 1932360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932370 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932394 */     // GIR_Coverage, 24155,
     /* 1932394 */     GIR_EraseRootFromParent_Done,
     /* 1932395 */   // Label 25941: @1932395
     /* 1932395 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1932481), // Rule ID 24158 //
     /* 1932400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932446 */     // MIs[0] policy
     /* 1932446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932480 */     // GIR_Coverage, 24158,
     /* 1932480 */     GIR_EraseRootFromParent_Done,
     /* 1932481 */   // Label 25942: @1932481
     /* 1932481 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1932567), // Rule ID 24159 //
     /* 1932486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932532 */     // MIs[0] policy
     /* 1932532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932566 */     // GIR_Coverage, 24159,
     /* 1932566 */     GIR_EraseRootFromParent_Done,
     /* 1932567 */   // Label 25943: @1932567
     /* 1932567 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1932653), // Rule ID 24162 //
     /* 1932572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932618 */     // MIs[0] policy
     /* 1932618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932652 */     // GIR_Coverage, 24162,
     /* 1932652 */     GIR_EraseRootFromParent_Done,
     /* 1932653 */   // Label 25944: @1932653
     /* 1932653 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1932739), // Rule ID 24163 //
     /* 1932658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932704 */     // MIs[0] policy
     /* 1932704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932714 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932738 */     // GIR_Coverage, 24163,
     /* 1932738 */     GIR_EraseRootFromParent_Done,
     /* 1932739 */   // Label 25945: @1932739
     /* 1932739 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1932825), // Rule ID 24166 //
     /* 1932744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932790 */     // MIs[0] policy
     /* 1932790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932800 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932824 */     // GIR_Coverage, 24166,
     /* 1932824 */     GIR_EraseRootFromParent_Done,
     /* 1932825 */   // Label 25946: @1932825
     /* 1932825 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1932911), // Rule ID 24167 //
     /* 1932830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932876 */     // MIs[0] policy
     /* 1932876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932910 */     // GIR_Coverage, 24167,
     /* 1932910 */     GIR_EraseRootFromParent_Done,
     /* 1932911 */   // Label 25947: @1932911
     /* 1932911 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1932997), // Rule ID 24170 //
     /* 1932916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932962 */     // MIs[0] policy
     /* 1932962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932972 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932996 */     // GIR_Coverage, 24170,
     /* 1932996 */     GIR_EraseRootFromParent_Done,
     /* 1932997 */   // Label 25948: @1932997
     /* 1932997 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1933083), // Rule ID 24171 //
     /* 1933002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1933013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1933016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1933019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933048 */     // MIs[0] policy
     /* 1933048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933058 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933082 */     // GIR_Coverage, 24171,
     /* 1933082 */     GIR_EraseRootFromParent_Done,
     /* 1933083 */   // Label 25949: @1933083
     /* 1933083 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933169), // Rule ID 24174 //
     /* 1933088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1933099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1933102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1933105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933134 */     // MIs[0] policy
     /* 1933134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933144 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933168 */     // GIR_Coverage, 24174,
     /* 1933168 */     GIR_EraseRootFromParent_Done,
     /* 1933169 */   // Label 25950: @1933169
     /* 1933169 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1933255), // Rule ID 24175 //
     /* 1933174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1933185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1933188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1933191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1933197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933220 */     // MIs[0] policy
     /* 1933220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933230 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933254 */     // GIR_Coverage, 24175,
     /* 1933254 */     GIR_EraseRootFromParent_Done,
     /* 1933255 */   // Label 25951: @1933255
     /* 1933255 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1933341), // Rule ID 24178 //
     /* 1933260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1933271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1933274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1933277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933306 */     // MIs[0] policy
     /* 1933306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933340 */     // GIR_Coverage, 24178,
     /* 1933340 */     GIR_EraseRootFromParent_Done,
     /* 1933341 */   // Label 25952: @1933341
     /* 1933341 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1933427), // Rule ID 24179 //
     /* 1933346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1933357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1933360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1933363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933392 */     // MIs[0] policy
     /* 1933392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933402 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933426 */     // GIR_Coverage, 24179,
     /* 1933426 */     GIR_EraseRootFromParent_Done,
     /* 1933427 */   // Label 25953: @1933427
     /* 1933427 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1933513), // Rule ID 24182 //
     /* 1933432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933478 */     // MIs[0] policy
     /* 1933478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933512 */     // GIR_Coverage, 24182,
     /* 1933512 */     GIR_EraseRootFromParent_Done,
     /* 1933513 */   // Label 25954: @1933513
     /* 1933513 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1933599), // Rule ID 24183 //
     /* 1933518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933564 */     // MIs[0] policy
     /* 1933564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933598 */     // GIR_Coverage, 24183,
     /* 1933598 */     GIR_EraseRootFromParent_Done,
     /* 1933599 */   // Label 25955: @1933599
     /* 1933599 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1933685), // Rule ID 24186 //
     /* 1933604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933650 */     // MIs[0] policy
     /* 1933650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933660 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933684 */     // GIR_Coverage, 24186,
     /* 1933684 */     GIR_EraseRootFromParent_Done,
     /* 1933685 */   // Label 25956: @1933685
     /* 1933685 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1933771), // Rule ID 24187 //
     /* 1933690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933736 */     // MIs[0] policy
     /* 1933736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933746 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933770 */     // GIR_Coverage, 24187,
     /* 1933770 */     GIR_EraseRootFromParent_Done,
     /* 1933771 */   // Label 25957: @1933771
     /* 1933771 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1933857), // Rule ID 24190 //
     /* 1933776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933822 */     // MIs[0] policy
     /* 1933822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933856 */     // GIR_Coverage, 24190,
     /* 1933856 */     GIR_EraseRootFromParent_Done,
     /* 1933857 */   // Label 25958: @1933857
     /* 1933857 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1933943), // Rule ID 24191 //
     /* 1933862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933908 */     // MIs[0] policy
     /* 1933908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933918 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933942 */     // GIR_Coverage, 24191,
     /* 1933942 */     GIR_EraseRootFromParent_Done,
     /* 1933943 */   // Label 25959: @1933943
     /* 1933943 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1934029), // Rule ID 24194 //
     /* 1933948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933994 */     // MIs[0] policy
     /* 1933994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934004 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1934007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934028 */     // GIR_Coverage, 24194,
     /* 1934028 */     GIR_EraseRootFromParent_Done,
     /* 1934029 */   // Label 25960: @1934029
     /* 1934029 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934115), // Rule ID 24195 //
     /* 1934034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1934045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1934048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1934051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934080 */     // MIs[0] policy
     /* 1934080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934090 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1934093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934114 */     // GIR_Coverage, 24195,
     /* 1934114 */     GIR_EraseRootFromParent_Done,
     /* 1934115 */   // Label 25961: @1934115
     /* 1934115 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934201), // Rule ID 24198 //
     /* 1934120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1934131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1934134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1934137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934166 */     // MIs[0] policy
     /* 1934166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1934179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934200 */     // GIR_Coverage, 24198,
     /* 1934200 */     GIR_EraseRootFromParent_Done,
     /* 1934201 */   // Label 25962: @1934201
     /* 1934201 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1934287), // Rule ID 24199 //
     /* 1934206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1934214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1934217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1934220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1934223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934252 */     // MIs[0] policy
     /* 1934252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934262 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1934265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934286 */     // GIR_Coverage, 24199,
     /* 1934286 */     GIR_EraseRootFromParent_Done,
     /* 1934287 */   // Label 25963: @1934287
     /* 1934287 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1934373), // Rule ID 24262 //
     /* 1934292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1934303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1934306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1934309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934338 */     // MIs[0] policy
     /* 1934338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934372 */     // GIR_Coverage, 24262,
     /* 1934372 */     GIR_EraseRootFromParent_Done,
     /* 1934373 */   // Label 25964: @1934373
     /* 1934373 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1934459), // Rule ID 24263 //
     /* 1934378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1934389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1934392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1934395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934424 */     // MIs[0] policy
     /* 1934424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934434 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934458 */     // GIR_Coverage, 24263,
     /* 1934458 */     GIR_EraseRootFromParent_Done,
     /* 1934459 */   // Label 25965: @1934459
     /* 1934459 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1934545), // Rule ID 24266 //
     /* 1934464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934510 */     // MIs[0] policy
     /* 1934510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934544 */     // GIR_Coverage, 24266,
     /* 1934544 */     GIR_EraseRootFromParent_Done,
     /* 1934545 */   // Label 25966: @1934545
     /* 1934545 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1934631), // Rule ID 24267 //
     /* 1934550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934596 */     // MIs[0] policy
     /* 1934596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934630 */     // GIR_Coverage, 24267,
     /* 1934630 */     GIR_EraseRootFromParent_Done,
     /* 1934631 */   // Label 25967: @1934631
     /* 1934631 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1934717), // Rule ID 24270 //
     /* 1934636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934682 */     // MIs[0] policy
     /* 1934682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934716 */     // GIR_Coverage, 24270,
     /* 1934716 */     GIR_EraseRootFromParent_Done,
     /* 1934717 */   // Label 25968: @1934717
     /* 1934717 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1934803), // Rule ID 24271 //
     /* 1934722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934768 */     // MIs[0] policy
     /* 1934768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934802 */     // GIR_Coverage, 24271,
     /* 1934802 */     GIR_EraseRootFromParent_Done,
     /* 1934803 */   // Label 25969: @1934803
     /* 1934803 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1934889), // Rule ID 24274 //
     /* 1934808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934854 */     // MIs[0] policy
     /* 1934854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934888 */     // GIR_Coverage, 24274,
     /* 1934888 */     GIR_EraseRootFromParent_Done,
     /* 1934889 */   // Label 25970: @1934889
     /* 1934889 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1934975), // Rule ID 24275 //
     /* 1934894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934940 */     // MIs[0] policy
     /* 1934940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934950 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934974 */     // GIR_Coverage, 24275,
     /* 1934974 */     GIR_EraseRootFromParent_Done,
     /* 1934975 */   // Label 25971: @1934975
     /* 1934975 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1935061), // Rule ID 24278 //
     /* 1934980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935026 */     // MIs[0] policy
     /* 1935026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1935039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935060 */     // GIR_Coverage, 24278,
     /* 1935060 */     GIR_EraseRootFromParent_Done,
     /* 1935061 */   // Label 25972: @1935061
     /* 1935061 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935147), // Rule ID 24279 //
     /* 1935066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1935077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1935080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1935083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935112 */     // MIs[0] policy
     /* 1935112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935122 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1935125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935146 */     // GIR_Coverage, 24279,
     /* 1935146 */     GIR_EraseRootFromParent_Done,
     /* 1935147 */   // Label 25973: @1935147
     /* 1935147 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1935233), // Rule ID 24282 //
     /* 1935152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1935163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1935166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1935169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935198 */     // MIs[0] policy
     /* 1935198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1935211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935232 */     // GIR_Coverage, 24282,
     /* 1935232 */     GIR_EraseRootFromParent_Done,
     /* 1935233 */   // Label 25974: @1935233
     /* 1935233 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1935319), // Rule ID 24283 //
     /* 1935238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1935249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1935252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1935255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935284 */     // MIs[0] policy
     /* 1935284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935294 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1935297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935318 */     // GIR_Coverage, 24283,
     /* 1935318 */     GIR_EraseRootFromParent_Done,
     /* 1935319 */   // Label 25975: @1935319
     /* 1935319 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1935405), // Rule ID 24286 //
     /* 1935324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935370 */     // MIs[0] policy
     /* 1935370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935380 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935404 */     // GIR_Coverage, 24286,
     /* 1935404 */     GIR_EraseRootFromParent_Done,
     /* 1935405 */   // Label 25976: @1935405
     /* 1935405 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1935491), // Rule ID 24287 //
     /* 1935410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935456 */     // MIs[0] policy
     /* 1935456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935466 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935490 */     // GIR_Coverage, 24287,
     /* 1935490 */     GIR_EraseRootFromParent_Done,
     /* 1935491 */   // Label 25977: @1935491
     /* 1935491 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1935577), // Rule ID 24290 //
     /* 1935496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935542 */     // MIs[0] policy
     /* 1935542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935552 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935576 */     // GIR_Coverage, 24290,
     /* 1935576 */     GIR_EraseRootFromParent_Done,
     /* 1935577 */   // Label 25978: @1935577
     /* 1935577 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1935663), // Rule ID 24291 //
     /* 1935582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935628 */     // MIs[0] policy
     /* 1935628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935638 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935662 */     // GIR_Coverage, 24291,
     /* 1935662 */     GIR_EraseRootFromParent_Done,
     /* 1935663 */   // Label 25979: @1935663
     /* 1935663 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1935749), // Rule ID 24294 //
     /* 1935668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935714 */     // MIs[0] policy
     /* 1935714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935724 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935748 */     // GIR_Coverage, 24294,
     /* 1935748 */     GIR_EraseRootFromParent_Done,
     /* 1935749 */   // Label 25980: @1935749
     /* 1935749 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1935835), // Rule ID 24295 //
     /* 1935754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935800 */     // MIs[0] policy
     /* 1935800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935810 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935834 */     // GIR_Coverage, 24295,
     /* 1935834 */     GIR_EraseRootFromParent_Done,
     /* 1935835 */   // Label 25981: @1935835
     /* 1935835 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1935921), // Rule ID 24298 //
     /* 1935840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935886 */     // MIs[0] policy
     /* 1935886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935920 */     // GIR_Coverage, 24298,
     /* 1935920 */     GIR_EraseRootFromParent_Done,
     /* 1935921 */   // Label 25982: @1935921
     /* 1935921 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1936007), // Rule ID 24299 //
     /* 1935926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935972 */     // MIs[0] policy
     /* 1935972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935982 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936006 */     // GIR_Coverage, 24299,
     /* 1936006 */     GIR_EraseRootFromParent_Done,
     /* 1936007 */   // Label 25983: @1936007
     /* 1936007 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936093), // Rule ID 24302 //
     /* 1936012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936058 */     // MIs[0] policy
     /* 1936058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1936071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936092 */     // GIR_Coverage, 24302,
     /* 1936092 */     GIR_EraseRootFromParent_Done,
     /* 1936093 */   // Label 25984: @1936093
     /* 1936093 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936179), // Rule ID 24303 //
     /* 1936098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936144 */     // MIs[0] policy
     /* 1936144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936154 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1936157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936178 */     // GIR_Coverage, 24303,
     /* 1936178 */     GIR_EraseRootFromParent_Done,
     /* 1936179 */   // Label 25985: @1936179
     /* 1936179 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1936265), // Rule ID 24306 //
     /* 1936184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936230 */     // MIs[0] policy
     /* 1936230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1936243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936264 */     // GIR_Coverage, 24306,
     /* 1936264 */     GIR_EraseRootFromParent_Done,
     /* 1936265 */   // Label 25986: @1936265
     /* 1936265 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1936351), // Rule ID 24307 //
     /* 1936270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936316 */     // MIs[0] policy
     /* 1936316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936326 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1936329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936350 */     // GIR_Coverage, 24307,
     /* 1936350 */     GIR_EraseRootFromParent_Done,
     /* 1936351 */   // Label 25987: @1936351
     /* 1936351 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1936437), // Rule ID 24310 //
     /* 1936356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936402 */     // MIs[0] policy
     /* 1936402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936436 */     // GIR_Coverage, 24310,
     /* 1936436 */     GIR_EraseRootFromParent_Done,
     /* 1936437 */   // Label 25988: @1936437
     /* 1936437 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1936523), // Rule ID 24311 //
     /* 1936442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936488 */     // MIs[0] policy
     /* 1936488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936522 */     // GIR_Coverage, 24311,
     /* 1936522 */     GIR_EraseRootFromParent_Done,
     /* 1936523 */   // Label 25989: @1936523
     /* 1936523 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1936609), // Rule ID 24314 //
     /* 1936528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936574 */     // MIs[0] policy
     /* 1936574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936584 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936608 */     // GIR_Coverage, 24314,
     /* 1936608 */     GIR_EraseRootFromParent_Done,
     /* 1936609 */   // Label 25990: @1936609
     /* 1936609 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1936695), // Rule ID 24315 //
     /* 1936614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936660 */     // MIs[0] policy
     /* 1936660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936670 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936694 */     // GIR_Coverage, 24315,
     /* 1936694 */     GIR_EraseRootFromParent_Done,
     /* 1936695 */   // Label 25991: @1936695
     /* 1936695 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1936781), // Rule ID 24318 //
     /* 1936700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936746 */     // MIs[0] policy
     /* 1936746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936756 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936780 */     // GIR_Coverage, 24318,
     /* 1936780 */     GIR_EraseRootFromParent_Done,
     /* 1936781 */   // Label 25992: @1936781
     /* 1936781 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1936867), // Rule ID 24319 //
     /* 1936786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936832 */     // MIs[0] policy
     /* 1936832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936866 */     // GIR_Coverage, 24319,
     /* 1936866 */     GIR_EraseRootFromParent_Done,
     /* 1936867 */   // Label 25993: @1936867
     /* 1936867 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1936953), // Rule ID 24322 //
     /* 1936872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936918 */     // MIs[0] policy
     /* 1936918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936952 */     // GIR_Coverage, 24322,
     /* 1936952 */     GIR_EraseRootFromParent_Done,
     /* 1936953 */   // Label 25994: @1936953
     /* 1936953 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1937039), // Rule ID 24323 //
     /* 1936958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937004 */     // MIs[0] policy
     /* 1937004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937014 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1937017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937038 */     // GIR_Coverage, 24323,
     /* 1937038 */     GIR_EraseRootFromParent_Done,
     /* 1937039 */   // Label 25995: @1937039
     /* 1937039 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937125), // Rule ID 24326 //
     /* 1937044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937090 */     // MIs[0] policy
     /* 1937090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937100 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1937103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937124 */     // GIR_Coverage, 24326,
     /* 1937124 */     GIR_EraseRootFromParent_Done,
     /* 1937125 */   // Label 25996: @1937125
     /* 1937125 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937211), // Rule ID 24327 //
     /* 1937130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937176 */     // MIs[0] policy
     /* 1937176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937186 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1937189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937210 */     // GIR_Coverage, 24327,
     /* 1937210 */     GIR_EraseRootFromParent_Done,
     /* 1937211 */   // Label 25997: @1937211
     /* 1937211 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1937297), // Rule ID 24330 //
     /* 1937216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937262 */     // MIs[0] policy
     /* 1937262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1937275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937296 */     // GIR_Coverage, 24330,
     /* 1937296 */     GIR_EraseRootFromParent_Done,
     /* 1937297 */   // Label 25998: @1937297
     /* 1937297 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1937383), // Rule ID 24331 //
     /* 1937302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937348 */     // MIs[0] policy
     /* 1937348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937358 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1937361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937382 */     // GIR_Coverage, 24331,
     /* 1937382 */     GIR_EraseRootFromParent_Done,
     /* 1937383 */   // Label 25999: @1937383
     /* 1937383 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1937469), // Rule ID 24334 //
     /* 1937388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937434 */     // MIs[0] policy
     /* 1937434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937444 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937468 */     // GIR_Coverage, 24334,
     /* 1937468 */     GIR_EraseRootFromParent_Done,
     /* 1937469 */   // Label 26000: @1937469
     /* 1937469 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1937555), // Rule ID 24335 //
     /* 1937474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937520 */     // MIs[0] policy
     /* 1937520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937554 */     // GIR_Coverage, 24335,
     /* 1937554 */     GIR_EraseRootFromParent_Done,
     /* 1937555 */   // Label 26001: @1937555
     /* 1937555 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1937641), // Rule ID 24338 //
     /* 1937560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937606 */     // MIs[0] policy
     /* 1937606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937640 */     // GIR_Coverage, 24338,
     /* 1937640 */     GIR_EraseRootFromParent_Done,
     /* 1937641 */   // Label 26002: @1937641
     /* 1937641 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1937727), // Rule ID 24339 //
     /* 1937646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937692 */     // MIs[0] policy
     /* 1937692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937726 */     // GIR_Coverage, 24339,
     /* 1937726 */     GIR_EraseRootFromParent_Done,
     /* 1937727 */   // Label 26003: @1937727
     /* 1937727 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1937813), // Rule ID 24342 //
     /* 1937732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937778 */     // MIs[0] policy
     /* 1937778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937812 */     // GIR_Coverage, 24342,
     /* 1937812 */     GIR_EraseRootFromParent_Done,
     /* 1937813 */   // Label 26004: @1937813
     /* 1937813 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1937899), // Rule ID 24343 //
     /* 1937818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937864 */     // MIs[0] policy
     /* 1937864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937874 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937898 */     // GIR_Coverage, 24343,
     /* 1937898 */     GIR_EraseRootFromParent_Done,
     /* 1937899 */   // Label 26005: @1937899
     /* 1937899 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1937985), // Rule ID 24346 //
     /* 1937904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937950 */     // MIs[0] policy
     /* 1937950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937984 */     // GIR_Coverage, 24346,
     /* 1937984 */     GIR_EraseRootFromParent_Done,
     /* 1937985 */   // Label 26006: @1937985
     /* 1937985 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1938071), // Rule ID 24347 //
     /* 1937990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1938001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1938004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1938007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938036 */     // MIs[0] policy
     /* 1938036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1938049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938070 */     // GIR_Coverage, 24347,
     /* 1938070 */     GIR_EraseRootFromParent_Done,
     /* 1938071 */   // Label 26007: @1938071
     /* 1938071 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938157), // Rule ID 24350 //
     /* 1938076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938122 */     // MIs[0] policy
     /* 1938122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1938135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938156 */     // GIR_Coverage, 24350,
     /* 1938156 */     GIR_EraseRootFromParent_Done,
     /* 1938157 */   // Label 26008: @1938157
     /* 1938157 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1938243), // Rule ID 24351 //
     /* 1938162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938208 */     // MIs[0] policy
     /* 1938208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1938221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938242 */     // GIR_Coverage, 24351,
     /* 1938242 */     GIR_EraseRootFromParent_Done,
     /* 1938243 */   // Label 26009: @1938243
     /* 1938243 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1938329), // Rule ID 24354 //
     /* 1938248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938294 */     // MIs[0] policy
     /* 1938294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938304 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1938307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938328 */     // GIR_Coverage, 24354,
     /* 1938328 */     GIR_EraseRootFromParent_Done,
     /* 1938329 */   // Label 26010: @1938329
     /* 1938329 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1938415), // Rule ID 24355 //
     /* 1938334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938380 */     // MIs[0] policy
     /* 1938380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938390 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1938393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938414 */     // GIR_Coverage, 24355,
     /* 1938414 */     GIR_EraseRootFromParent_Done,
     /* 1938415 */   // Label 26011: @1938415
     /* 1938415 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1938501), // Rule ID 24358 //
     /* 1938420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938466 */     // MIs[0] policy
     /* 1938466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938476 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938500 */     // GIR_Coverage, 24358,
     /* 1938500 */     GIR_EraseRootFromParent_Done,
     /* 1938501 */   // Label 26012: @1938501
     /* 1938501 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1938587), // Rule ID 24359 //
     /* 1938506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938552 */     // MIs[0] policy
     /* 1938552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938562 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938586 */     // GIR_Coverage, 24359,
     /* 1938586 */     GIR_EraseRootFromParent_Done,
     /* 1938587 */   // Label 26013: @1938587
     /* 1938587 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1938673), // Rule ID 24362 //
     /* 1938592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938638 */     // MIs[0] policy
     /* 1938638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938648 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938672 */     // GIR_Coverage, 24362,
     /* 1938672 */     GIR_EraseRootFromParent_Done,
     /* 1938673 */   // Label 26014: @1938673
     /* 1938673 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1938759), // Rule ID 24363 //
     /* 1938678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938724 */     // MIs[0] policy
     /* 1938724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938758 */     // GIR_Coverage, 24363,
     /* 1938758 */     GIR_EraseRootFromParent_Done,
     /* 1938759 */   // Label 26015: @1938759
     /* 1938759 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1938845), // Rule ID 24366 //
     /* 1938764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938810 */     // MIs[0] policy
     /* 1938810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938820 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938844 */     // GIR_Coverage, 24366,
     /* 1938844 */     GIR_EraseRootFromParent_Done,
     /* 1938845 */   // Label 26016: @1938845
     /* 1938845 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1938931), // Rule ID 24367 //
     /* 1938850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938896 */     // MIs[0] policy
     /* 1938896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938906 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938930 */     // GIR_Coverage, 24367,
     /* 1938930 */     GIR_EraseRootFromParent_Done,
     /* 1938931 */   // Label 26017: @1938931
     /* 1938931 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1939017), // Rule ID 24370 //
     /* 1938936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938982 */     // MIs[0] policy
     /* 1938982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938992 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1938995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939016 */     // GIR_Coverage, 24370,
     /* 1939016 */     GIR_EraseRootFromParent_Done,
     /* 1939017 */   // Label 26018: @1939017
     /* 1939017 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939103), // Rule ID 24371 //
     /* 1939022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1939033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1939036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1939039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939068 */     // MIs[0] policy
     /* 1939068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939078 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1939081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939102 */     // GIR_Coverage, 24371,
     /* 1939102 */     GIR_EraseRootFromParent_Done,
     /* 1939103 */   // Label 26019: @1939103
     /* 1939103 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939189), // Rule ID 24374 //
     /* 1939108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1939111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939154 */     // MIs[0] policy
     /* 1939154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1939167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939188 */     // GIR_Coverage, 24374,
     /* 1939188 */     GIR_EraseRootFromParent_Done,
     /* 1939189 */   // Label 26020: @1939189
     /* 1939189 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1939275), // Rule ID 24375 //
     /* 1939194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939240 */     // MIs[0] policy
     /* 1939240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1939253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939274 */     // GIR_Coverage, 24375,
     /* 1939274 */     GIR_EraseRootFromParent_Done,
     /* 1939275 */   // Label 26021: @1939275
     /* 1939275 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1939361), // Rule ID 24378 //
     /* 1939280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1939283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939326 */     // MIs[0] policy
     /* 1939326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1939339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939360 */     // GIR_Coverage, 24378,
     /* 1939360 */     GIR_EraseRootFromParent_Done,
     /* 1939361 */   // Label 26022: @1939361
     /* 1939361 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1939447), // Rule ID 24379 //
     /* 1939366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1939374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939412 */     // MIs[0] policy
     /* 1939412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939422 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1939425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939446 */     // GIR_Coverage, 24379,
     /* 1939446 */     GIR_EraseRootFromParent_Done,
     /* 1939447 */   // Label 26023: @1939447
     /* 1939447 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1939533), // Rule ID 24382 //
     /* 1939452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939498 */     // MIs[0] policy
     /* 1939498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939532 */     // GIR_Coverage, 24382,
     /* 1939532 */     GIR_EraseRootFromParent_Done,
     /* 1939533 */   // Label 26024: @1939533
     /* 1939533 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1939619), // Rule ID 24383 //
     /* 1939538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939584 */     // MIs[0] policy
     /* 1939584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939618 */     // GIR_Coverage, 24383,
     /* 1939618 */     GIR_EraseRootFromParent_Done,
     /* 1939619 */   // Label 26025: @1939619
     /* 1939619 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1939705), // Rule ID 24386 //
     /* 1939624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939670 */     // MIs[0] policy
     /* 1939670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939704 */     // GIR_Coverage, 24386,
     /* 1939704 */     GIR_EraseRootFromParent_Done,
     /* 1939705 */   // Label 26026: @1939705
     /* 1939705 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1939791), // Rule ID 24387 //
     /* 1939710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939756 */     // MIs[0] policy
     /* 1939756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939790 */     // GIR_Coverage, 24387,
     /* 1939790 */     GIR_EraseRootFromParent_Done,
     /* 1939791 */   // Label 26027: @1939791
     /* 1939791 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1939877), // Rule ID 24390 //
     /* 1939796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939842 */     // MIs[0] policy
     /* 1939842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939876 */     // GIR_Coverage, 24390,
     /* 1939876 */     GIR_EraseRootFromParent_Done,
     /* 1939877 */   // Label 26028: @1939877
     /* 1939877 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1939963), // Rule ID 24391 //
     /* 1939882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939928 */     // MIs[0] policy
     /* 1939928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939962 */     // GIR_Coverage, 24391,
     /* 1939962 */     GIR_EraseRootFromParent_Done,
     /* 1939963 */   // Label 26029: @1939963
     /* 1939963 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1940049), // Rule ID 24394 //
     /* 1939968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940014 */     // MIs[0] policy
     /* 1940014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1940027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940048 */     // GIR_Coverage, 24394,
     /* 1940048 */     GIR_EraseRootFromParent_Done,
     /* 1940049 */   // Label 26030: @1940049
     /* 1940049 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940135), // Rule ID 24395 //
     /* 1940054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1940074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940100 */     // MIs[0] policy
     /* 1940100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1940113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940134 */     // GIR_Coverage, 24395,
     /* 1940134 */     GIR_EraseRootFromParent_Done,
     /* 1940135 */   // Label 26031: @1940135
     /* 1940135 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1940221), // Rule ID 24398 //
     /* 1940140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940186 */     // MIs[0] policy
     /* 1940186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1940199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940220 */     // GIR_Coverage, 24398,
     /* 1940220 */     GIR_EraseRootFromParent_Done,
     /* 1940221 */   // Label 26032: @1940221
     /* 1940221 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1940307), // Rule ID 24399 //
     /* 1940226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940272 */     // MIs[0] policy
     /* 1940272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1940285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940306 */     // GIR_Coverage, 24399,
     /* 1940306 */     GIR_EraseRootFromParent_Done,
     /* 1940307 */   // Label 26033: @1940307
     /* 1940307 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1940393), // Rule ID 24402 //
     /* 1940312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1940332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940358 */     // MIs[0] policy
     /* 1940358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940392 */     // GIR_Coverage, 24402,
     /* 1940392 */     GIR_EraseRootFromParent_Done,
     /* 1940393 */   // Label 26034: @1940393
     /* 1940393 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1940479), // Rule ID 24403 //
     /* 1940398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1940418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940444 */     // MIs[0] policy
     /* 1940444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940478 */     // GIR_Coverage, 24403,
     /* 1940478 */     GIR_EraseRootFromParent_Done,
     /* 1940479 */   // Label 26035: @1940479
     /* 1940479 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1940565), // Rule ID 24406 //
     /* 1940484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940530 */     // MIs[0] policy
     /* 1940530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940564 */     // GIR_Coverage, 24406,
     /* 1940564 */     GIR_EraseRootFromParent_Done,
     /* 1940565 */   // Label 26036: @1940565
     /* 1940565 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1940651), // Rule ID 24407 //
     /* 1940570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940616 */     // MIs[0] policy
     /* 1940616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940650 */     // GIR_Coverage, 24407,
     /* 1940650 */     GIR_EraseRootFromParent_Done,
     /* 1940651 */   // Label 26037: @1940651
     /* 1940651 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1940737), // Rule ID 24410 //
     /* 1940656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940702 */     // MIs[0] policy
     /* 1940702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940736 */     // GIR_Coverage, 24410,
     /* 1940736 */     GIR_EraseRootFromParent_Done,
     /* 1940737 */   // Label 26038: @1940737
     /* 1940737 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1940823), // Rule ID 24411 //
     /* 1940742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940788 */     // MIs[0] policy
     /* 1940788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940822 */     // GIR_Coverage, 24411,
     /* 1940822 */     GIR_EraseRootFromParent_Done,
     /* 1940823 */   // Label 26039: @1940823
     /* 1940823 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1940909), // Rule ID 24414 //
     /* 1940828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940874 */     // MIs[0] policy
     /* 1940874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940908 */     // GIR_Coverage, 24414,
     /* 1940908 */     GIR_EraseRootFromParent_Done,
     /* 1940909 */   // Label 26040: @1940909
     /* 1940909 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1940995), // Rule ID 24415 //
     /* 1940914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940960 */     // MIs[0] policy
     /* 1940960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940994 */     // GIR_Coverage, 24415,
     /* 1940994 */     GIR_EraseRootFromParent_Done,
     /* 1940995 */   // Label 26041: @1940995
     /* 1940995 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1941081), // Rule ID 24418 //
     /* 1941000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1941020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941046 */     // MIs[0] policy
     /* 1941046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1941059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941080 */     // GIR_Coverage, 24418,
     /* 1941080 */     GIR_EraseRootFromParent_Done,
     /* 1941081 */   // Label 26042: @1941081
     /* 1941081 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941167), // Rule ID 24419 //
     /* 1941086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1941106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941132 */     // MIs[0] policy
     /* 1941132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1941145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941166 */     // GIR_Coverage, 24419,
     /* 1941166 */     GIR_EraseRootFromParent_Done,
     /* 1941167 */   // Label 26043: @1941167
     /* 1941167 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1941253), // Rule ID 24422 //
     /* 1941172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1941183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1941186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1941189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1941192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941218 */     // MIs[0] policy
     /* 1941218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1941231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941252 */     // GIR_Coverage, 24422,
     /* 1941252 */     GIR_EraseRootFromParent_Done,
     /* 1941253 */   // Label 26044: @1941253
     /* 1941253 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1941339), // Rule ID 24423 //
     /* 1941258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1941269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1941272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1941275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1941278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941304 */     // MIs[0] policy
     /* 1941304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1941317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941338 */     // GIR_Coverage, 24423,
     /* 1941338 */     GIR_EraseRootFromParent_Done,
     /* 1941339 */   // Label 26045: @1941339
     /* 1941339 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1941425), // Rule ID 24426 //
     /* 1941344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941390 */     // MIs[0] policy
     /* 1941390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941424 */     // GIR_Coverage, 24426,
     /* 1941424 */     GIR_EraseRootFromParent_Done,
     /* 1941425 */   // Label 26046: @1941425
     /* 1941425 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1941511), // Rule ID 24427 //
     /* 1941430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941476 */     // MIs[0] policy
     /* 1941476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941510 */     // GIR_Coverage, 24427,
     /* 1941510 */     GIR_EraseRootFromParent_Done,
     /* 1941511 */   // Label 26047: @1941511
     /* 1941511 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1941597), // Rule ID 24430 //
     /* 1941516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941562 */     // MIs[0] policy
     /* 1941562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941596 */     // GIR_Coverage, 24430,
     /* 1941596 */     GIR_EraseRootFromParent_Done,
     /* 1941597 */   // Label 26048: @1941597
     /* 1941597 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1941683), // Rule ID 24431 //
     /* 1941602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941648 */     // MIs[0] policy
     /* 1941648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941682 */     // GIR_Coverage, 24431,
     /* 1941682 */     GIR_EraseRootFromParent_Done,
     /* 1941683 */   // Label 26049: @1941683
     /* 1941683 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1941769), // Rule ID 24434 //
     /* 1941688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941734 */     // MIs[0] policy
     /* 1941734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941768 */     // GIR_Coverage, 24434,
     /* 1941768 */     GIR_EraseRootFromParent_Done,
     /* 1941769 */   // Label 26050: @1941769
     /* 1941769 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1941855), // Rule ID 24435 //
     /* 1941774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941820 */     // MIs[0] policy
     /* 1941820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941854 */     // GIR_Coverage, 24435,
     /* 1941854 */     GIR_EraseRootFromParent_Done,
     /* 1941855 */   // Label 26051: @1941855
     /* 1941855 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1941941), // Rule ID 24438 //
     /* 1941860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941906 */     // MIs[0] policy
     /* 1941906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941940 */     // GIR_Coverage, 24438,
     /* 1941940 */     GIR_EraseRootFromParent_Done,
     /* 1941941 */   // Label 26052: @1941941
     /* 1941941 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1942027), // Rule ID 24439 //
     /* 1941946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941992 */     // MIs[0] policy
     /* 1941992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1942005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942026 */     // GIR_Coverage, 24439,
     /* 1942026 */     GIR_EraseRootFromParent_Done,
     /* 1942027 */   // Label 26053: @1942027
     /* 1942027 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942113), // Rule ID 24442 //
     /* 1942032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942078 */     // MIs[0] policy
     /* 1942078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1942091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942112 */     // GIR_Coverage, 24442,
     /* 1942112 */     GIR_EraseRootFromParent_Done,
     /* 1942113 */   // Label 26054: @1942113
     /* 1942113 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942199), // Rule ID 24443 //
     /* 1942118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942164 */     // MIs[0] policy
     /* 1942164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1942177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942198 */     // GIR_Coverage, 24443,
     /* 1942198 */     GIR_EraseRootFromParent_Done,
     /* 1942199 */   // Label 26055: @1942199
     /* 1942199 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1942285), // Rule ID 24446 //
     /* 1942204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1942224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942250 */     // MIs[0] policy
     /* 1942250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1942263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942284 */     // GIR_Coverage, 24446,
     /* 1942284 */     GIR_EraseRootFromParent_Done,
     /* 1942285 */   // Label 26056: @1942285
     /* 1942285 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1942371), // Rule ID 24447 //
     /* 1942290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1942310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942336 */     // MIs[0] policy
     /* 1942336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1942349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942370 */     // GIR_Coverage, 24447,
     /* 1942370 */     GIR_EraseRootFromParent_Done,
     /* 1942371 */   // Label 26057: @1942371
     /* 1942371 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1942457), // Rule ID 24450 //
     /* 1942376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942422 */     // MIs[0] policy
     /* 1942422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942456 */     // GIR_Coverage, 24450,
     /* 1942456 */     GIR_EraseRootFromParent_Done,
     /* 1942457 */   // Label 26058: @1942457
     /* 1942457 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1942543), // Rule ID 24451 //
     /* 1942462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942508 */     // MIs[0] policy
     /* 1942508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942542 */     // GIR_Coverage, 24451,
     /* 1942542 */     GIR_EraseRootFromParent_Done,
     /* 1942543 */   // Label 26059: @1942543
     /* 1942543 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1942629), // Rule ID 24454 //
     /* 1942548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942594 */     // MIs[0] policy
     /* 1942594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942628 */     // GIR_Coverage, 24454,
     /* 1942628 */     GIR_EraseRootFromParent_Done,
     /* 1942629 */   // Label 26060: @1942629
     /* 1942629 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1942715), // Rule ID 24455 //
     /* 1942634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942680 */     // MIs[0] policy
     /* 1942680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942714 */     // GIR_Coverage, 24455,
     /* 1942714 */     GIR_EraseRootFromParent_Done,
     /* 1942715 */   // Label 26061: @1942715
     /* 1942715 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1942801), // Rule ID 24458 //
     /* 1942720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942766 */     // MIs[0] policy
     /* 1942766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942800 */     // GIR_Coverage, 24458,
     /* 1942800 */     GIR_EraseRootFromParent_Done,
     /* 1942801 */   // Label 26062: @1942801
     /* 1942801 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1942887), // Rule ID 24459 //
     /* 1942806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942852 */     // MIs[0] policy
     /* 1942852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942886 */     // GIR_Coverage, 24459,
     /* 1942886 */     GIR_EraseRootFromParent_Done,
     /* 1942887 */   // Label 26063: @1942887
     /* 1942887 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1942973), // Rule ID 24462 //
     /* 1942892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942938 */     // MIs[0] policy
     /* 1942938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942972 */     // GIR_Coverage, 24462,
     /* 1942972 */     GIR_EraseRootFromParent_Done,
     /* 1942973 */   // Label 26064: @1942973
     /* 1942973 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1943059), // Rule ID 24463 //
     /* 1942978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943024 */     // MIs[0] policy
     /* 1943024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1943037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943058 */     // GIR_Coverage, 24463,
     /* 1943058 */     GIR_EraseRootFromParent_Done,
     /* 1943059 */   // Label 26065: @1943059
     /* 1943059 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943145), // Rule ID 24466 //
     /* 1943064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1943067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1943084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943110 */     // MIs[0] policy
     /* 1943110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1943123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943144 */     // GIR_Coverage, 24466,
     /* 1943144 */     GIR_EraseRootFromParent_Done,
     /* 1943145 */   // Label 26066: @1943145
     /* 1943145 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1943231), // Rule ID 24467 //
     /* 1943150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1943153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1943170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943196 */     // MIs[0] policy
     /* 1943196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1943209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943230 */     // GIR_Coverage, 24467,
     /* 1943230 */     GIR_EraseRootFromParent_Done,
     /* 1943231 */   // Label 26067: @1943231
     /* 1943231 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1943317), // Rule ID 24470 //
     /* 1943236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943282 */     // MIs[0] policy
     /* 1943282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1943295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943316 */     // GIR_Coverage, 24470,
     /* 1943316 */     GIR_EraseRootFromParent_Done,
     /* 1943317 */   // Label 26068: @1943317
     /* 1943317 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1943403), // Rule ID 24471 //
     /* 1943322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943368 */     // MIs[0] policy
     /* 1943368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1943381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943402 */     // GIR_Coverage, 24471,
     /* 1943402 */     GIR_EraseRootFromParent_Done,
     /* 1943403 */   // Label 26069: @1943403
     /* 1943403 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1943489), // Rule ID 24474 //
     /* 1943408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943454 */     // MIs[0] policy
     /* 1943454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943488 */     // GIR_Coverage, 24474,
     /* 1943488 */     GIR_EraseRootFromParent_Done,
     /* 1943489 */   // Label 26070: @1943489
     /* 1943489 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1943575), // Rule ID 24475 //
     /* 1943494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943540 */     // MIs[0] policy
     /* 1943540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943550 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943574 */     // GIR_Coverage, 24475,
     /* 1943574 */     GIR_EraseRootFromParent_Done,
     /* 1943575 */   // Label 26071: @1943575
     /* 1943575 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1943661), // Rule ID 24478 //
     /* 1943580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943626 */     // MIs[0] policy
     /* 1943626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943660 */     // GIR_Coverage, 24478,
     /* 1943660 */     GIR_EraseRootFromParent_Done,
     /* 1943661 */   // Label 26072: @1943661
     /* 1943661 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1943747), // Rule ID 24479 //
     /* 1943666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943712 */     // MIs[0] policy
     /* 1943712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943746 */     // GIR_Coverage, 24479,
     /* 1943746 */     GIR_EraseRootFromParent_Done,
     /* 1943747 */   // Label 26073: @1943747
     /* 1943747 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1943833), // Rule ID 24482 //
     /* 1943752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943798 */     // MIs[0] policy
     /* 1943798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943832 */     // GIR_Coverage, 24482,
     /* 1943832 */     GIR_EraseRootFromParent_Done,
     /* 1943833 */   // Label 26074: @1943833
     /* 1943833 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1943919), // Rule ID 24483 //
     /* 1943838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943884 */     // MIs[0] policy
     /* 1943884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943918 */     // GIR_Coverage, 24483,
     /* 1943918 */     GIR_EraseRootFromParent_Done,
     /* 1943919 */   // Label 26075: @1943919
     /* 1943919 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1944005), // Rule ID 24486 //
     /* 1943924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943970 */     // MIs[0] policy
     /* 1943970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944004 */     // GIR_Coverage, 24486,
     /* 1944004 */     GIR_EraseRootFromParent_Done,
     /* 1944005 */   // Label 26076: @1944005
     /* 1944005 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944091), // Rule ID 24487 //
     /* 1944010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944056 */     // MIs[0] policy
     /* 1944056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944090 */     // GIR_Coverage, 24487,
     /* 1944090 */     GIR_EraseRootFromParent_Done,
     /* 1944091 */   // Label 26077: @1944091
     /* 1944091 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944177), // Rule ID 24490 //
     /* 1944096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944142 */     // MIs[0] policy
     /* 1944142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944176 */     // GIR_Coverage, 24490,
     /* 1944176 */     GIR_EraseRootFromParent_Done,
     /* 1944177 */   // Label 26078: @1944177
     /* 1944177 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1944263), // Rule ID 24491 //
     /* 1944182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944228 */     // MIs[0] policy
     /* 1944228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1944241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944262 */     // GIR_Coverage, 24491,
     /* 1944262 */     GIR_EraseRootFromParent_Done,
     /* 1944263 */   // Label 26079: @1944263
     /* 1944263 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1944349), // Rule ID 24494 //
     /* 1944268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944314 */     // MIs[0] policy
     /* 1944314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944348 */     // GIR_Coverage, 24494,
     /* 1944348 */     GIR_EraseRootFromParent_Done,
     /* 1944349 */   // Label 26080: @1944349
     /* 1944349 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1944435), // Rule ID 24495 //
     /* 1944354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944400 */     // MIs[0] policy
     /* 1944400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944434 */     // GIR_Coverage, 24495,
     /* 1944434 */     GIR_EraseRootFromParent_Done,
     /* 1944435 */   // Label 26081: @1944435
     /* 1944435 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1944521), // Rule ID 24498 //
     /* 1944440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944486 */     // MIs[0] policy
     /* 1944486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944520 */     // GIR_Coverage, 24498,
     /* 1944520 */     GIR_EraseRootFromParent_Done,
     /* 1944521 */   // Label 26082: @1944521
     /* 1944521 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1944607), // Rule ID 24499 //
     /* 1944526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944572 */     // MIs[0] policy
     /* 1944572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944606 */     // GIR_Coverage, 24499,
     /* 1944606 */     GIR_EraseRootFromParent_Done,
     /* 1944607 */   // Label 26083: @1944607
     /* 1944607 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1944693), // Rule ID 24502 //
     /* 1944612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944658 */     // MIs[0] policy
     /* 1944658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944692 */     // GIR_Coverage, 24502,
     /* 1944692 */     GIR_EraseRootFromParent_Done,
     /* 1944693 */   // Label 26084: @1944693
     /* 1944693 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1944779), // Rule ID 24503 //
     /* 1944698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944744 */     // MIs[0] policy
     /* 1944744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944778 */     // GIR_Coverage, 24503,
     /* 1944778 */     GIR_EraseRootFromParent_Done,
     /* 1944779 */   // Label 26085: @1944779
     /* 1944779 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1944865), // Rule ID 24506 //
     /* 1944784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944830 */     // MIs[0] policy
     /* 1944830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944864 */     // GIR_Coverage, 24506,
     /* 1944864 */     GIR_EraseRootFromParent_Done,
     /* 1944865 */   // Label 26086: @1944865
     /* 1944865 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1944951), // Rule ID 24507 //
     /* 1944870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944916 */     // MIs[0] policy
     /* 1944916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944950 */     // GIR_Coverage, 24507,
     /* 1944950 */     GIR_EraseRootFromParent_Done,
     /* 1944951 */   // Label 26087: @1944951
     /* 1944951 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1945037), // Rule ID 24510 //
     /* 1944956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945002 */     // MIs[0] policy
     /* 1945002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945036 */     // GIR_Coverage, 24510,
     /* 1945036 */     GIR_EraseRootFromParent_Done,
     /* 1945037 */   // Label 26088: @1945037
     /* 1945037 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945123), // Rule ID 24511 //
     /* 1945042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1945053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1945056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1945059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945088 */     // MIs[0] policy
     /* 1945088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945122 */     // GIR_Coverage, 24511,
     /* 1945122 */     GIR_EraseRootFromParent_Done,
     /* 1945123 */   // Label 26089: @1945123
     /* 1945123 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945209), // Rule ID 24514 //
     /* 1945128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945174 */     // MIs[0] policy
     /* 1945174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945208 */     // GIR_Coverage, 24514,
     /* 1945208 */     GIR_EraseRootFromParent_Done,
     /* 1945209 */   // Label 26090: @1945209
     /* 1945209 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1945295), // Rule ID 24515 //
     /* 1945214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945260 */     // MIs[0] policy
     /* 1945260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945294 */     // GIR_Coverage, 24515,
     /* 1945294 */     GIR_EraseRootFromParent_Done,
     /* 1945295 */   // Label 26091: @1945295
     /* 1945295 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1945381), // Rule ID 24518 //
     /* 1945300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945346 */     // MIs[0] policy
     /* 1945346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945380 */     // GIR_Coverage, 24518,
     /* 1945380 */     GIR_EraseRootFromParent_Done,
     /* 1945381 */   // Label 26092: @1945381
     /* 1945381 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1945467), // Rule ID 24519 //
     /* 1945386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945432 */     // MIs[0] policy
     /* 1945432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945466 */     // GIR_Coverage, 24519,
     /* 1945466 */     GIR_EraseRootFromParent_Done,
     /* 1945467 */   // Label 26093: @1945467
     /* 1945467 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1945553), // Rule ID 24522 //
     /* 1945472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945518 */     // MIs[0] policy
     /* 1945518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945552 */     // GIR_Coverage, 24522,
     /* 1945552 */     GIR_EraseRootFromParent_Done,
     /* 1945553 */   // Label 26094: @1945553
     /* 1945553 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1945639), // Rule ID 24523 //
     /* 1945558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945604 */     // MIs[0] policy
     /* 1945604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945638 */     // GIR_Coverage, 24523,
     /* 1945638 */     GIR_EraseRootFromParent_Done,
     /* 1945639 */   // Label 26095: @1945639
     /* 1945639 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1945725), // Rule ID 24526 //
     /* 1945644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945690 */     // MIs[0] policy
     /* 1945690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945724 */     // GIR_Coverage, 24526,
     /* 1945724 */     GIR_EraseRootFromParent_Done,
     /* 1945725 */   // Label 26096: @1945725
     /* 1945725 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1945811), // Rule ID 24527 //
     /* 1945730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945776 */     // MIs[0] policy
     /* 1945776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945810 */     // GIR_Coverage, 24527,
     /* 1945810 */     GIR_EraseRootFromParent_Done,
     /* 1945811 */   // Label 26097: @1945811
     /* 1945811 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1945897), // Rule ID 24530 //
     /* 1945816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945862 */     // MIs[0] policy
     /* 1945862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945896 */     // GIR_Coverage, 24530,
     /* 1945896 */     GIR_EraseRootFromParent_Done,
     /* 1945897 */   // Label 26098: @1945897
     /* 1945897 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1945983), // Rule ID 24531 //
     /* 1945902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945948 */     // MIs[0] policy
     /* 1945948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945982 */     // GIR_Coverage, 24531,
     /* 1945982 */     GIR_EraseRootFromParent_Done,
     /* 1945983 */   // Label 26099: @1945983
     /* 1945983 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1946069), // Rule ID 24534 //
     /* 1945988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946034 */     // MIs[0] policy
     /* 1946034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946068 */     // GIR_Coverage, 24534,
     /* 1946068 */     GIR_EraseRootFromParent_Done,
     /* 1946069 */   // Label 26100: @1946069
     /* 1946069 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946155), // Rule ID 24535 //
     /* 1946074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946120 */     // MIs[0] policy
     /* 1946120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946154 */     // GIR_Coverage, 24535,
     /* 1946154 */     GIR_EraseRootFromParent_Done,
     /* 1946155 */   // Label 26101: @1946155
     /* 1946155 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1946241), // Rule ID 24538 //
     /* 1946160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946206 */     // MIs[0] policy
     /* 1946206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946240 */     // GIR_Coverage, 24538,
     /* 1946240 */     GIR_EraseRootFromParent_Done,
     /* 1946241 */   // Label 26102: @1946241
     /* 1946241 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1946327), // Rule ID 24539 //
     /* 1946246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946292 */     // MIs[0] policy
     /* 1946292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946326 */     // GIR_Coverage, 24539,
     /* 1946326 */     GIR_EraseRootFromParent_Done,
     /* 1946327 */   // Label 26103: @1946327
     /* 1946327 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1946413), // Rule ID 24542 //
     /* 1946332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946378 */     // MIs[0] policy
     /* 1946378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946412 */     // GIR_Coverage, 24542,
     /* 1946412 */     GIR_EraseRootFromParent_Done,
     /* 1946413 */   // Label 26104: @1946413
     /* 1946413 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1946499), // Rule ID 24543 //
     /* 1946418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946464 */     // MIs[0] policy
     /* 1946464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946498 */     // GIR_Coverage, 24543,
     /* 1946498 */     GIR_EraseRootFromParent_Done,
     /* 1946499 */   // Label 26105: @1946499
     /* 1946499 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1946585), // Rule ID 24546 //
     /* 1946504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946550 */     // MIs[0] policy
     /* 1946550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946584 */     // GIR_Coverage, 24546,
     /* 1946584 */     GIR_EraseRootFromParent_Done,
     /* 1946585 */   // Label 26106: @1946585
     /* 1946585 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1946671), // Rule ID 24547 //
     /* 1946590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946636 */     // MIs[0] policy
     /* 1946636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946670 */     // GIR_Coverage, 24547,
     /* 1946670 */     GIR_EraseRootFromParent_Done,
     /* 1946671 */   // Label 26107: @1946671
     /* 1946671 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1946757), // Rule ID 24550 //
     /* 1946676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946722 */     // MIs[0] policy
     /* 1946722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946756 */     // GIR_Coverage, 24550,
     /* 1946756 */     GIR_EraseRootFromParent_Done,
     /* 1946757 */   // Label 26108: @1946757
     /* 1946757 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1946843), // Rule ID 24551 //
     /* 1946762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946808 */     // MIs[0] policy
     /* 1946808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946842 */     // GIR_Coverage, 24551,
     /* 1946842 */     GIR_EraseRootFromParent_Done,
     /* 1946843 */   // Label 26109: @1946843
     /* 1946843 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1946929), // Rule ID 24554 //
     /* 1946848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946894 */     // MIs[0] policy
     /* 1946894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946928 */     // GIR_Coverage, 24554,
     /* 1946928 */     GIR_EraseRootFromParent_Done,
     /* 1946929 */   // Label 26110: @1946929
     /* 1946929 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1947015), // Rule ID 24555 //
     /* 1946934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946980 */     // MIs[0] policy
     /* 1946980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947014 */     // GIR_Coverage, 24555,
     /* 1947014 */     GIR_EraseRootFromParent_Done,
     /* 1947015 */   // Label 26111: @1947015
     /* 1947015 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947101), // Rule ID 24646 //
     /* 1947020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947066 */     // MIs[0] policy
     /* 1947066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1947079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947100 */     // GIR_Coverage, 24646,
     /* 1947100 */     GIR_EraseRootFromParent_Done,
     /* 1947101 */   // Label 26112: @1947101
     /* 1947101 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947187), // Rule ID 24647 //
     /* 1947106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947152 */     // MIs[0] policy
     /* 1947152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1947165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947186 */     // GIR_Coverage, 24647,
     /* 1947186 */     GIR_EraseRootFromParent_Done,
     /* 1947187 */   // Label 26113: @1947187
     /* 1947187 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1947273), // Rule ID 24650 //
     /* 1947192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947238 */     // MIs[0] policy
     /* 1947238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1947251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947272 */     // GIR_Coverage, 24650,
     /* 1947272 */     GIR_EraseRootFromParent_Done,
     /* 1947273 */   // Label 26114: @1947273
     /* 1947273 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1947359), // Rule ID 24651 //
     /* 1947278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947324 */     // MIs[0] policy
     /* 1947324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1947337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947358 */     // GIR_Coverage, 24651,
     /* 1947358 */     GIR_EraseRootFromParent_Done,
     /* 1947359 */   // Label 26115: @1947359
     /* 1947359 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1947445), // Rule ID 24654 //
     /* 1947364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947410 */     // MIs[0] policy
     /* 1947410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947444 */     // GIR_Coverage, 24654,
     /* 1947444 */     GIR_EraseRootFromParent_Done,
     /* 1947445 */   // Label 26116: @1947445
     /* 1947445 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1947531), // Rule ID 24655 //
     /* 1947450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947496 */     // MIs[0] policy
     /* 1947496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947530 */     // GIR_Coverage, 24655,
     /* 1947530 */     GIR_EraseRootFromParent_Done,
     /* 1947531 */   // Label 26117: @1947531
     /* 1947531 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1947617), // Rule ID 24658 //
     /* 1947536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947582 */     // MIs[0] policy
     /* 1947582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947616 */     // GIR_Coverage, 24658,
     /* 1947616 */     GIR_EraseRootFromParent_Done,
     /* 1947617 */   // Label 26118: @1947617
     /* 1947617 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1947703), // Rule ID 24659 //
     /* 1947622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947668 */     // MIs[0] policy
     /* 1947668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947702 */     // GIR_Coverage, 24659,
     /* 1947702 */     GIR_EraseRootFromParent_Done,
     /* 1947703 */   // Label 26119: @1947703
     /* 1947703 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1947789), // Rule ID 24662 //
     /* 1947708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947754 */     // MIs[0] policy
     /* 1947754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947788 */     // GIR_Coverage, 24662,
     /* 1947788 */     GIR_EraseRootFromParent_Done,
     /* 1947789 */   // Label 26120: @1947789
     /* 1947789 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1947875), // Rule ID 24663 //
     /* 1947794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947840 */     // MIs[0] policy
     /* 1947840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947874 */     // GIR_Coverage, 24663,
     /* 1947874 */     GIR_EraseRootFromParent_Done,
     /* 1947875 */   // Label 26121: @1947875
     /* 1947875 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1947961), // Rule ID 24666 //
     /* 1947880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947926 */     // MIs[0] policy
     /* 1947926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947960 */     // GIR_Coverage, 24666,
     /* 1947960 */     GIR_EraseRootFromParent_Done,
     /* 1947961 */   // Label 26122: @1947961
     /* 1947961 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1948047), // Rule ID 24667 //
     /* 1947966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948012 */     // MIs[0] policy
     /* 1948012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1948025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948046 */     // GIR_Coverage, 24667,
     /* 1948046 */     GIR_EraseRootFromParent_Done,
     /* 1948047 */   // Label 26123: @1948047
     /* 1948047 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948133), // Rule ID 24670 //
     /* 1948052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948098 */     // MIs[0] policy
     /* 1948098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1948111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948132 */     // GIR_Coverage, 24670,
     /* 1948132 */     GIR_EraseRootFromParent_Done,
     /* 1948133 */   // Label 26124: @1948133
     /* 1948133 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1948219), // Rule ID 24671 //
     /* 1948138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948184 */     // MIs[0] policy
     /* 1948184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1948197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948218 */     // GIR_Coverage, 24671,
     /* 1948218 */     GIR_EraseRootFromParent_Done,
     /* 1948219 */   // Label 26125: @1948219
     /* 1948219 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1948305), // Rule ID 24674 //
     /* 1948224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948270 */     // MIs[0] policy
     /* 1948270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1948283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948304 */     // GIR_Coverage, 24674,
     /* 1948304 */     GIR_EraseRootFromParent_Done,
     /* 1948305 */   // Label 26126: @1948305
     /* 1948305 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1948391), // Rule ID 24675 //
     /* 1948310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948356 */     // MIs[0] policy
     /* 1948356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1948369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948390 */     // GIR_Coverage, 24675,
     /* 1948390 */     GIR_EraseRootFromParent_Done,
     /* 1948391 */   // Label 26127: @1948391
     /* 1948391 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1948477), // Rule ID 24678 //
     /* 1948396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948442 */     // MIs[0] policy
     /* 1948442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948476 */     // GIR_Coverage, 24678,
     /* 1948476 */     GIR_EraseRootFromParent_Done,
     /* 1948477 */   // Label 26128: @1948477
     /* 1948477 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1948563), // Rule ID 24679 //
     /* 1948482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948528 */     // MIs[0] policy
     /* 1948528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948562 */     // GIR_Coverage, 24679,
     /* 1948562 */     GIR_EraseRootFromParent_Done,
     /* 1948563 */   // Label 26129: @1948563
     /* 1948563 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1948649), // Rule ID 24682 //
     /* 1948568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948614 */     // MIs[0] policy
     /* 1948614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948648 */     // GIR_Coverage, 24682,
     /* 1948648 */     GIR_EraseRootFromParent_Done,
     /* 1948649 */   // Label 26130: @1948649
     /* 1948649 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1948735), // Rule ID 24683 //
     /* 1948654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948700 */     // MIs[0] policy
     /* 1948700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948734 */     // GIR_Coverage, 24683,
     /* 1948734 */     GIR_EraseRootFromParent_Done,
     /* 1948735 */   // Label 26131: @1948735
     /* 1948735 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1948821), // Rule ID 24686 //
     /* 1948740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948786 */     // MIs[0] policy
     /* 1948786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948820 */     // GIR_Coverage, 24686,
     /* 1948820 */     GIR_EraseRootFromParent_Done,
     /* 1948821 */   // Label 26132: @1948821
     /* 1948821 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1948907), // Rule ID 24687 //
     /* 1948826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948872 */     // MIs[0] policy
     /* 1948872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948906 */     // GIR_Coverage, 24687,
     /* 1948906 */     GIR_EraseRootFromParent_Done,
     /* 1948907 */   // Label 26133: @1948907
     /* 1948907 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1948993), // Rule ID 24690 //
     /* 1948912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948958 */     // MIs[0] policy
     /* 1948958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948992 */     // GIR_Coverage, 24690,
     /* 1948992 */     GIR_EraseRootFromParent_Done,
     /* 1948993 */   // Label 26134: @1948993
     /* 1948993 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1949079), // Rule ID 24691 //
     /* 1948998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1949009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1949012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1949015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949044 */     // MIs[0] policy
     /* 1949044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1949057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949078 */     // GIR_Coverage, 24691,
     /* 1949078 */     GIR_EraseRootFromParent_Done,
     /* 1949079 */   // Label 26135: @1949079
     /* 1949079 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949165), // Rule ID 24694 //
     /* 1949084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949130 */     // MIs[0] policy
     /* 1949130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1949143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949164 */     // GIR_Coverage, 24694,
     /* 1949164 */     GIR_EraseRootFromParent_Done,
     /* 1949165 */   // Label 26136: @1949165
     /* 1949165 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1949251), // Rule ID 24695 //
     /* 1949170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949216 */     // MIs[0] policy
     /* 1949216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1949229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949250 */     // GIR_Coverage, 24695,
     /* 1949250 */     GIR_EraseRootFromParent_Done,
     /* 1949251 */   // Label 26137: @1949251
     /* 1949251 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1949337), // Rule ID 24698 //
     /* 1949256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949302 */     // MIs[0] policy
     /* 1949302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1949315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949336 */     // GIR_Coverage, 24698,
     /* 1949336 */     GIR_EraseRootFromParent_Done,
     /* 1949337 */   // Label 26138: @1949337
     /* 1949337 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1949423), // Rule ID 24699 //
     /* 1949342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949388 */     // MIs[0] policy
     /* 1949388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1949401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949422 */     // GIR_Coverage, 24699,
     /* 1949422 */     GIR_EraseRootFromParent_Done,
     /* 1949423 */   // Label 26139: @1949423
     /* 1949423 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1949509), // Rule ID 24702 //
     /* 1949428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949474 */     // MIs[0] policy
     /* 1949474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949508 */     // GIR_Coverage, 24702,
     /* 1949508 */     GIR_EraseRootFromParent_Done,
     /* 1949509 */   // Label 26140: @1949509
     /* 1949509 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1949595), // Rule ID 24703 //
     /* 1949514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949560 */     // MIs[0] policy
     /* 1949560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949594 */     // GIR_Coverage, 24703,
     /* 1949594 */     GIR_EraseRootFromParent_Done,
     /* 1949595 */   // Label 26141: @1949595
     /* 1949595 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1949681), // Rule ID 24706 //
     /* 1949600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949646 */     // MIs[0] policy
     /* 1949646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949680 */     // GIR_Coverage, 24706,
     /* 1949680 */     GIR_EraseRootFromParent_Done,
     /* 1949681 */   // Label 26142: @1949681
     /* 1949681 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1949767), // Rule ID 24707 //
     /* 1949686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949732 */     // MIs[0] policy
     /* 1949732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949766 */     // GIR_Coverage, 24707,
     /* 1949766 */     GIR_EraseRootFromParent_Done,
     /* 1949767 */   // Label 26143: @1949767
     /* 1949767 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1949853), // Rule ID 24710 //
     /* 1949772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949818 */     // MIs[0] policy
     /* 1949818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949852 */     // GIR_Coverage, 24710,
     /* 1949852 */     GIR_EraseRootFromParent_Done,
     /* 1949853 */   // Label 26144: @1949853
     /* 1949853 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1949939), // Rule ID 24711 //
     /* 1949858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949904 */     // MIs[0] policy
     /* 1949904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949938 */     // GIR_Coverage, 24711,
     /* 1949938 */     GIR_EraseRootFromParent_Done,
     /* 1949939 */   // Label 26145: @1949939
     /* 1949939 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1950025), // Rule ID 24714 //
     /* 1949944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949990 */     // MIs[0] policy
     /* 1949990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1950003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950024 */     // GIR_Coverage, 24714,
     /* 1950024 */     GIR_EraseRootFromParent_Done,
     /* 1950025 */   // Label 26146: @1950025
     /* 1950025 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950111), // Rule ID 24715 //
     /* 1950030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1950041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1950050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950076 */     // MIs[0] policy
     /* 1950076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1950089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950110 */     // GIR_Coverage, 24715,
     /* 1950110 */     GIR_EraseRootFromParent_Done,
     /* 1950111 */   // Label 26147: @1950111
     /* 1950111 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950197), // Rule ID 24718 //
     /* 1950116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950162 */     // MIs[0] policy
     /* 1950162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1950175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950196 */     // GIR_Coverage, 24718,
     /* 1950196 */     GIR_EraseRootFromParent_Done,
     /* 1950197 */   // Label 26148: @1950197
     /* 1950197 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1950283), // Rule ID 24719 //
     /* 1950202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950248 */     // MIs[0] policy
     /* 1950248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1950261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950282 */     // GIR_Coverage, 24719,
     /* 1950282 */     GIR_EraseRootFromParent_Done,
     /* 1950283 */   // Label 26149: @1950283
     /* 1950283 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1950369), // Rule ID 24722 //
     /* 1950288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950334 */     // MIs[0] policy
     /* 1950334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950368 */     // GIR_Coverage, 24722,
     /* 1950368 */     GIR_EraseRootFromParent_Done,
     /* 1950369 */   // Label 26150: @1950369
     /* 1950369 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1950455), // Rule ID 24723 //
     /* 1950374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950420 */     // MIs[0] policy
     /* 1950420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950454 */     // GIR_Coverage, 24723,
     /* 1950454 */     GIR_EraseRootFromParent_Done,
     /* 1950455 */   // Label 26151: @1950455
     /* 1950455 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1950541), // Rule ID 24726 //
     /* 1950460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950506 */     // MIs[0] policy
     /* 1950506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950540 */     // GIR_Coverage, 24726,
     /* 1950540 */     GIR_EraseRootFromParent_Done,
     /* 1950541 */   // Label 26152: @1950541
     /* 1950541 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1950627), // Rule ID 24727 //
     /* 1950546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950592 */     // MIs[0] policy
     /* 1950592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950626 */     // GIR_Coverage, 24727,
     /* 1950626 */     GIR_EraseRootFromParent_Done,
     /* 1950627 */   // Label 26153: @1950627
     /* 1950627 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1950713), // Rule ID 24730 //
     /* 1950632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950678 */     // MIs[0] policy
     /* 1950678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950712 */     // GIR_Coverage, 24730,
     /* 1950712 */     GIR_EraseRootFromParent_Done,
     /* 1950713 */   // Label 26154: @1950713
     /* 1950713 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1950799), // Rule ID 24731 //
     /* 1950718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950764 */     // MIs[0] policy
     /* 1950764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950774 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950798 */     // GIR_Coverage, 24731,
     /* 1950798 */     GIR_EraseRootFromParent_Done,
     /* 1950799 */   // Label 26155: @1950799
     /* 1950799 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1950885), // Rule ID 24734 //
     /* 1950804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950850 */     // MIs[0] policy
     /* 1950850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950884 */     // GIR_Coverage, 24734,
     /* 1950884 */     GIR_EraseRootFromParent_Done,
     /* 1950885 */   // Label 26156: @1950885
     /* 1950885 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1950971), // Rule ID 24735 //
     /* 1950890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950936 */     // MIs[0] policy
     /* 1950936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950946 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950970 */     // GIR_Coverage, 24735,
     /* 1950970 */     GIR_EraseRootFromParent_Done,
     /* 1950971 */   // Label 26157: @1950971
     /* 1950971 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1951057), // Rule ID 24738 //
     /* 1950976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951022 */     // MIs[0] policy
     /* 1951022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951032 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1951035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951056 */     // GIR_Coverage, 24738,
     /* 1951056 */     GIR_EraseRootFromParent_Done,
     /* 1951057 */   // Label 26158: @1951057
     /* 1951057 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951143), // Rule ID 24739 //
     /* 1951062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1951082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951108 */     // MIs[0] policy
     /* 1951108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951118 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1951121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951142 */     // GIR_Coverage, 24739,
     /* 1951142 */     GIR_EraseRootFromParent_Done,
     /* 1951143 */   // Label 26159: @1951143
     /* 1951143 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1951229), // Rule ID 24742 //
     /* 1951148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951194 */     // MIs[0] policy
     /* 1951194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951204 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1951207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951228 */     // GIR_Coverage, 24742,
     /* 1951228 */     GIR_EraseRootFromParent_Done,
     /* 1951229 */   // Label 26160: @1951229
     /* 1951229 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1951315), // Rule ID 24743 //
     /* 1951234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951280 */     // MIs[0] policy
     /* 1951280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1951293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951314 */     // GIR_Coverage, 24743,
     /* 1951314 */     GIR_EraseRootFromParent_Done,
     /* 1951315 */   // Label 26161: @1951315
     /* 1951315 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1951401), // Rule ID 24746 //
     /* 1951320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1951340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951366 */     // MIs[0] policy
     /* 1951366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951400 */     // GIR_Coverage, 24746,
     /* 1951400 */     GIR_EraseRootFromParent_Done,
     /* 1951401 */   // Label 26162: @1951401
     /* 1951401 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1951487), // Rule ID 24747 //
     /* 1951406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1951426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951452 */     // MIs[0] policy
     /* 1951452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951462 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951486 */     // GIR_Coverage, 24747,
     /* 1951486 */     GIR_EraseRootFromParent_Done,
     /* 1951487 */   // Label 26163: @1951487
     /* 1951487 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1951573), // Rule ID 24750 //
     /* 1951492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951538 */     // MIs[0] policy
     /* 1951538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951548 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951572 */     // GIR_Coverage, 24750,
     /* 1951572 */     GIR_EraseRootFromParent_Done,
     /* 1951573 */   // Label 26164: @1951573
     /* 1951573 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1951659), // Rule ID 24751 //
     /* 1951578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951624 */     // MIs[0] policy
     /* 1951624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951634 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951658 */     // GIR_Coverage, 24751,
     /* 1951658 */     GIR_EraseRootFromParent_Done,
     /* 1951659 */   // Label 26165: @1951659
     /* 1951659 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1951745), // Rule ID 24754 //
     /* 1951664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951710 */     // MIs[0] policy
     /* 1951710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951744 */     // GIR_Coverage, 24754,
     /* 1951744 */     GIR_EraseRootFromParent_Done,
     /* 1951745 */   // Label 26166: @1951745
     /* 1951745 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1951831), // Rule ID 24755 //
     /* 1951750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951796 */     // MIs[0] policy
     /* 1951796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951806 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951830 */     // GIR_Coverage, 24755,
     /* 1951830 */     GIR_EraseRootFromParent_Done,
     /* 1951831 */   // Label 26167: @1951831
     /* 1951831 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1951917), // Rule ID 24758 //
     /* 1951836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951882 */     // MIs[0] policy
     /* 1951882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951916 */     // GIR_Coverage, 24758,
     /* 1951916 */     GIR_EraseRootFromParent_Done,
     /* 1951917 */   // Label 26168: @1951917
     /* 1951917 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1952003), // Rule ID 24759 //
     /* 1951922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951968 */     // MIs[0] policy
     /* 1951968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951978 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952002 */     // GIR_Coverage, 24759,
     /* 1952002 */     GIR_EraseRootFromParent_Done,
     /* 1952003 */   // Label 26169: @1952003
     /* 1952003 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952089), // Rule ID 24762 //
     /* 1952008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952054 */     // MIs[0] policy
     /* 1952054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952064 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1952067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952088 */     // GIR_Coverage, 24762,
     /* 1952088 */     GIR_EraseRootFromParent_Done,
     /* 1952089 */   // Label 26170: @1952089
     /* 1952089 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952175), // Rule ID 24763 //
     /* 1952094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952140 */     // MIs[0] policy
     /* 1952140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952150 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1952153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952174 */     // GIR_Coverage, 24763,
     /* 1952174 */     GIR_EraseRootFromParent_Done,
     /* 1952175 */   // Label 26171: @1952175
     /* 1952175 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1952261), // Rule ID 24766 //
     /* 1952180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952226 */     // MIs[0] policy
     /* 1952226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1952239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952260 */     // GIR_Coverage, 24766,
     /* 1952260 */     GIR_EraseRootFromParent_Done,
     /* 1952261 */   // Label 26172: @1952261
     /* 1952261 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1952347), // Rule ID 24767 //
     /* 1952266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952312 */     // MIs[0] policy
     /* 1952312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952322 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1952325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952346 */     // GIR_Coverage, 24767,
     /* 1952346 */     GIR_EraseRootFromParent_Done,
     /* 1952347 */   // Label 26173: @1952347
     /* 1952347 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1952433), // Rule ID 24770 //
     /* 1952352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952398 */     // MIs[0] policy
     /* 1952398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952432 */     // GIR_Coverage, 24770,
     /* 1952432 */     GIR_EraseRootFromParent_Done,
     /* 1952433 */   // Label 26174: @1952433
     /* 1952433 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1952519), // Rule ID 24771 //
     /* 1952438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952484 */     // MIs[0] policy
     /* 1952484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952494 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952518 */     // GIR_Coverage, 24771,
     /* 1952518 */     GIR_EraseRootFromParent_Done,
     /* 1952519 */   // Label 26175: @1952519
     /* 1952519 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1952605), // Rule ID 24774 //
     /* 1952524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952570 */     // MIs[0] policy
     /* 1952570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952604 */     // GIR_Coverage, 24774,
     /* 1952604 */     GIR_EraseRootFromParent_Done,
     /* 1952605 */   // Label 26176: @1952605
     /* 1952605 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1952691), // Rule ID 24775 //
     /* 1952610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952656 */     // MIs[0] policy
     /* 1952656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952666 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952690 */     // GIR_Coverage, 24775,
     /* 1952690 */     GIR_EraseRootFromParent_Done,
     /* 1952691 */   // Label 26177: @1952691
     /* 1952691 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1952777), // Rule ID 24778 //
     /* 1952696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952742 */     // MIs[0] policy
     /* 1952742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952776 */     // GIR_Coverage, 24778,
     /* 1952776 */     GIR_EraseRootFromParent_Done,
     /* 1952777 */   // Label 26178: @1952777
     /* 1952777 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1952863), // Rule ID 24779 //
     /* 1952782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952828 */     // MIs[0] policy
     /* 1952828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952862 */     // GIR_Coverage, 24779,
     /* 1952862 */     GIR_EraseRootFromParent_Done,
     /* 1952863 */   // Label 26179: @1952863
     /* 1952863 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1952949), // Rule ID 24782 //
     /* 1952868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952914 */     // MIs[0] policy
     /* 1952914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952924 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952948 */     // GIR_Coverage, 24782,
     /* 1952948 */     GIR_EraseRootFromParent_Done,
     /* 1952949 */   // Label 26180: @1952949
     /* 1952949 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1953035), // Rule ID 24783 //
     /* 1952954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953000 */     // MIs[0] policy
     /* 1953000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953034 */     // GIR_Coverage, 24783,
     /* 1953034 */     GIR_EraseRootFromParent_Done,
     /* 1953035 */   // Label 26181: @1953035
     /* 1953035 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953121), // Rule ID 24786 //
     /* 1953040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1953043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953086 */     // MIs[0] policy
     /* 1953086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953120 */     // GIR_Coverage, 24786,
     /* 1953120 */     GIR_EraseRootFromParent_Done,
     /* 1953121 */   // Label 26182: @1953121
     /* 1953121 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953207), // Rule ID 24787 //
     /* 1953126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1953129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953172 */     // MIs[0] policy
     /* 1953172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953182 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953206 */     // GIR_Coverage, 24787,
     /* 1953206 */     GIR_EraseRootFromParent_Done,
     /* 1953207 */   // Label 26183: @1953207
     /* 1953207 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1953293), // Rule ID 24790 //
     /* 1953212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953258 */     // MIs[0] policy
     /* 1953258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953292 */     // GIR_Coverage, 24790,
     /* 1953292 */     GIR_EraseRootFromParent_Done,
     /* 1953293 */   // Label 26184: @1953293
     /* 1953293 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1953379), // Rule ID 24791 //
     /* 1953298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953344 */     // MIs[0] policy
     /* 1953344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953378 */     // GIR_Coverage, 24791,
     /* 1953378 */     GIR_EraseRootFromParent_Done,
     /* 1953379 */   // Label 26185: @1953379
     /* 1953379 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1953465), // Rule ID 24794 //
     /* 1953384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953430 */     // MIs[0] policy
     /* 1953430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953464 */     // GIR_Coverage, 24794,
     /* 1953464 */     GIR_EraseRootFromParent_Done,
     /* 1953465 */   // Label 26186: @1953465
     /* 1953465 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1953551), // Rule ID 24795 //
     /* 1953470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953516 */     // MIs[0] policy
     /* 1953516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953526 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953550 */     // GIR_Coverage, 24795,
     /* 1953550 */     GIR_EraseRootFromParent_Done,
     /* 1953551 */   // Label 26187: @1953551
     /* 1953551 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1953637), // Rule ID 24798 //
     /* 1953556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953602 */     // MIs[0] policy
     /* 1953602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953612 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953636 */     // GIR_Coverage, 24798,
     /* 1953636 */     GIR_EraseRootFromParent_Done,
     /* 1953637 */   // Label 26188: @1953637
     /* 1953637 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1953723), // Rule ID 24799 //
     /* 1953642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953688 */     // MIs[0] policy
     /* 1953688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953698 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953722 */     // GIR_Coverage, 24799,
     /* 1953722 */     GIR_EraseRootFromParent_Done,
     /* 1953723 */   // Label 26189: @1953723
     /* 1953723 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1953809), // Rule ID 24838 //
     /* 1953728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953774 */     // MIs[0] policy
     /* 1953774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953808 */     // GIR_Coverage, 24838,
     /* 1953808 */     GIR_EraseRootFromParent_Done,
     /* 1953809 */   // Label 26190: @1953809
     /* 1953809 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1953895), // Rule ID 24839 //
     /* 1953814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953860 */     // MIs[0] policy
     /* 1953860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953870 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953894 */     // GIR_Coverage, 24839,
     /* 1953894 */     GIR_EraseRootFromParent_Done,
     /* 1953895 */   // Label 26191: @1953895
     /* 1953895 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1953981), // Rule ID 24842 //
     /* 1953900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953946 */     // MIs[0] policy
     /* 1953946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953956 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953980 */     // GIR_Coverage, 24842,
     /* 1953980 */     GIR_EraseRootFromParent_Done,
     /* 1953981 */   // Label 26192: @1953981
     /* 1953981 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1954067), // Rule ID 24843 //
     /* 1953986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954032 */     // MIs[0] policy
     /* 1954032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954042 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1954045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954066 */     // GIR_Coverage, 24843,
     /* 1954066 */     GIR_EraseRootFromParent_Done,
     /* 1954067 */   // Label 26193: @1954067
     /* 1954067 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954153), // Rule ID 24846 //
     /* 1954072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954118 */     // MIs[0] policy
     /* 1954118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1954131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954152 */     // GIR_Coverage, 24846,
     /* 1954152 */     GIR_EraseRootFromParent_Done,
     /* 1954153 */   // Label 26194: @1954153
     /* 1954153 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1954239), // Rule ID 24847 //
     /* 1954158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954204 */     // MIs[0] policy
     /* 1954204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954214 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1954217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954238 */     // GIR_Coverage, 24847,
     /* 1954238 */     GIR_EraseRootFromParent_Done,
     /* 1954239 */   // Label 26195: @1954239
     /* 1954239 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1954325), // Rule ID 24850 //
     /* 1954244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954290 */     // MIs[0] policy
     /* 1954290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954300 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1954303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954324 */     // GIR_Coverage, 24850,
     /* 1954324 */     GIR_EraseRootFromParent_Done,
     /* 1954325 */   // Label 26196: @1954325
     /* 1954325 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1954411), // Rule ID 24851 //
     /* 1954330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954376 */     // MIs[0] policy
     /* 1954376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954386 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1954389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954410 */     // GIR_Coverage, 24851,
     /* 1954410 */     GIR_EraseRootFromParent_Done,
     /* 1954411 */   // Label 26197: @1954411
     /* 1954411 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1954497), // Rule ID 24854 //
     /* 1954416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954462 */     // MIs[0] policy
     /* 1954462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954472 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954496 */     // GIR_Coverage, 24854,
     /* 1954496 */     GIR_EraseRootFromParent_Done,
     /* 1954497 */   // Label 26198: @1954497
     /* 1954497 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1954583), // Rule ID 24855 //
     /* 1954502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954548 */     // MIs[0] policy
     /* 1954548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954558 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954582 */     // GIR_Coverage, 24855,
     /* 1954582 */     GIR_EraseRootFromParent_Done,
     /* 1954583 */   // Label 26199: @1954583
     /* 1954583 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1954669), // Rule ID 24858 //
     /* 1954588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954634 */     // MIs[0] policy
     /* 1954634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954644 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954668 */     // GIR_Coverage, 24858,
     /* 1954668 */     GIR_EraseRootFromParent_Done,
     /* 1954669 */   // Label 26200: @1954669
     /* 1954669 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1954755), // Rule ID 24859 //
     /* 1954674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954720 */     // MIs[0] policy
     /* 1954720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954730 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954754 */     // GIR_Coverage, 24859,
     /* 1954754 */     GIR_EraseRootFromParent_Done,
     /* 1954755 */   // Label 26201: @1954755
     /* 1954755 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1954841), // Rule ID 24862 //
     /* 1954760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954806 */     // MIs[0] policy
     /* 1954806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954840 */     // GIR_Coverage, 24862,
     /* 1954840 */     GIR_EraseRootFromParent_Done,
     /* 1954841 */   // Label 26202: @1954841
     /* 1954841 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1954927), // Rule ID 24863 //
     /* 1954846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954892 */     // MIs[0] policy
     /* 1954892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954926 */     // GIR_Coverage, 24863,
     /* 1954926 */     GIR_EraseRootFromParent_Done,
     /* 1954927 */   // Label 26203: @1954927
     /* 1954927 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1955013), // Rule ID 24866 //
     /* 1954932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954978 */     // MIs[0] policy
     /* 1954978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955012 */     // GIR_Coverage, 24866,
     /* 1955012 */     GIR_EraseRootFromParent_Done,
     /* 1955013 */   // Label 26204: @1955013
     /* 1955013 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955099), // Rule ID 24867 //
     /* 1955018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955064 */     // MIs[0] policy
     /* 1955064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955074 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1955077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955098 */     // GIR_Coverage, 24867,
     /* 1955098 */     GIR_EraseRootFromParent_Done,
     /* 1955099 */   // Label 26205: @1955099
     /* 1955099 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955185), // Rule ID 24870 //
     /* 1955104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955150 */     // MIs[0] policy
     /* 1955150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955184 */     // GIR_Coverage, 24870,
     /* 1955184 */     GIR_EraseRootFromParent_Done,
     /* 1955185 */   // Label 26206: @1955185
     /* 1955185 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1955271), // Rule ID 24871 //
     /* 1955190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955236 */     // MIs[0] policy
     /* 1955236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955246 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955270 */     // GIR_Coverage, 24871,
     /* 1955270 */     GIR_EraseRootFromParent_Done,
     /* 1955271 */   // Label 26207: @1955271
     /* 1955271 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1955357), // Rule ID 24874 //
     /* 1955276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955322 */     // MIs[0] policy
     /* 1955322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955332 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955356 */     // GIR_Coverage, 24874,
     /* 1955356 */     GIR_EraseRootFromParent_Done,
     /* 1955357 */   // Label 26208: @1955357
     /* 1955357 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1955443), // Rule ID 24875 //
     /* 1955362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955408 */     // MIs[0] policy
     /* 1955408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955418 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955442 */     // GIR_Coverage, 24875,
     /* 1955442 */     GIR_EraseRootFromParent_Done,
     /* 1955443 */   // Label 26209: @1955443
     /* 1955443 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1955529), // Rule ID 24878 //
     /* 1955448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955494 */     // MIs[0] policy
     /* 1955494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955504 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955528 */     // GIR_Coverage, 24878,
     /* 1955528 */     GIR_EraseRootFromParent_Done,
     /* 1955529 */   // Label 26210: @1955529
     /* 1955529 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1955615), // Rule ID 24879 //
     /* 1955534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955580 */     // MIs[0] policy
     /* 1955580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955614 */     // GIR_Coverage, 24879,
     /* 1955614 */     GIR_EraseRootFromParent_Done,
     /* 1955615 */   // Label 26211: @1955615
     /* 1955615 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1955701), // Rule ID 24882 //
     /* 1955620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955666 */     // MIs[0] policy
     /* 1955666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955676 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955700 */     // GIR_Coverage, 24882,
     /* 1955700 */     GIR_EraseRootFromParent_Done,
     /* 1955701 */   // Label 26212: @1955701
     /* 1955701 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1955787), // Rule ID 24883 //
     /* 1955706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955752 */     // MIs[0] policy
     /* 1955752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955762 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955786 */     // GIR_Coverage, 24883,
     /* 1955786 */     GIR_EraseRootFromParent_Done,
     /* 1955787 */   // Label 26213: @1955787
     /* 1955787 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1955873), // Rule ID 24910 //
     /* 1955792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955838 */     // MIs[0] policy
     /* 1955838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955848 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955872 */     // GIR_Coverage, 24910,
     /* 1955872 */     GIR_EraseRootFromParent_Done,
     /* 1955873 */   // Label 26214: @1955873
     /* 1955873 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1955959), // Rule ID 24911 //
     /* 1955878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955924 */     // MIs[0] policy
     /* 1955924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955934 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955958 */     // GIR_Coverage, 24911,
     /* 1955958 */     GIR_EraseRootFromParent_Done,
     /* 1955959 */   // Label 26215: @1955959
     /* 1955959 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1956045), // Rule ID 24914 //
     /* 1955964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956010 */     // MIs[0] policy
     /* 1956010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956020 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1956023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956044 */     // GIR_Coverage, 24914,
     /* 1956044 */     GIR_EraseRootFromParent_Done,
     /* 1956045 */   // Label 26216: @1956045
     /* 1956045 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956131), // Rule ID 24915 //
     /* 1956050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1956061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1956064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1956067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956096 */     // MIs[0] policy
     /* 1956096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956106 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1956109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956130 */     // GIR_Coverage, 24915,
     /* 1956130 */     GIR_EraseRootFromParent_Done,
     /* 1956131 */   // Label 26217: @1956131
     /* 1956131 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1956217), // Rule ID 24918 //
     /* 1956136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956182 */     // MIs[0] policy
     /* 1956182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956192 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1956195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956216 */     // GIR_Coverage, 24918,
     /* 1956216 */     GIR_EraseRootFromParent_Done,
     /* 1956217 */   // Label 26218: @1956217
     /* 1956217 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1956303), // Rule ID 24919 //
     /* 1956222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956268 */     // MIs[0] policy
     /* 1956268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956278 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1956281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956302 */     // GIR_Coverage, 24919,
     /* 1956302 */     GIR_EraseRootFromParent_Done,
     /* 1956303 */   // Label 26219: @1956303
     /* 1956303 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1956389), // Rule ID 24922 //
     /* 1956308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1956319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1956322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956354 */     // MIs[0] policy
     /* 1956354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956388 */     // GIR_Coverage, 24922,
     /* 1956388 */     GIR_EraseRootFromParent_Done,
     /* 1956389 */   // Label 26220: @1956389
     /* 1956389 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1956475), // Rule ID 24923 //
     /* 1956394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1956405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1956408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956440 */     // MIs[0] policy
     /* 1956440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956450 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956474 */     // GIR_Coverage, 24923,
     /* 1956474 */     GIR_EraseRootFromParent_Done,
     /* 1956475 */   // Label 26221: @1956475
     /* 1956475 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1956561), // Rule ID 24926 //
     /* 1956480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956526 */     // MIs[0] policy
     /* 1956526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956560 */     // GIR_Coverage, 24926,
     /* 1956560 */     GIR_EraseRootFromParent_Done,
     /* 1956561 */   // Label 26222: @1956561
     /* 1956561 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1956647), // Rule ID 24927 //
     /* 1956566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956612 */     // MIs[0] policy
     /* 1956612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956622 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956646 */     // GIR_Coverage, 24927,
     /* 1956646 */     GIR_EraseRootFromParent_Done,
     /* 1956647 */   // Label 26223: @1956647
     /* 1956647 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1956733), // Rule ID 24930 //
     /* 1956652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956698 */     // MIs[0] policy
     /* 1956698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956732 */     // GIR_Coverage, 24930,
     /* 1956732 */     GIR_EraseRootFromParent_Done,
     /* 1956733 */   // Label 26224: @1956733
     /* 1956733 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1956819), // Rule ID 24931 //
     /* 1956738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956784 */     // MIs[0] policy
     /* 1956784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956794 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956818 */     // GIR_Coverage, 24931,
     /* 1956818 */     GIR_EraseRootFromParent_Done,
     /* 1956819 */   // Label 26225: @1956819
     /* 1956819 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1956905), // Rule ID 24934 //
     /* 1956824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956870 */     // MIs[0] policy
     /* 1956870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956904 */     // GIR_Coverage, 24934,
     /* 1956904 */     GIR_EraseRootFromParent_Done,
     /* 1956905 */   // Label 26226: @1956905
     /* 1956905 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1956991), // Rule ID 24935 //
     /* 1956910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956956 */     // MIs[0] policy
     /* 1956956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956990 */     // GIR_Coverage, 24935,
     /* 1956990 */     GIR_EraseRootFromParent_Done,
     /* 1956991 */   // Label 26227: @1956991
     /* 1956991 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1957077), // Rule ID 24938 //
     /* 1956996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1957013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957042 */     // MIs[0] policy
     /* 1957042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1957055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957076 */     // GIR_Coverage, 24938,
     /* 1957076 */     GIR_EraseRootFromParent_Done,
     /* 1957077 */   // Label 26228: @1957077
     /* 1957077 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957163), // Rule ID 24939 //
     /* 1957082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1957085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1957099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957128 */     // MIs[0] policy
     /* 1957128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957138 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1957141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957162 */     // GIR_Coverage, 24939,
     /* 1957162 */     GIR_EraseRootFromParent_Done,
     /* 1957163 */   // Label 26229: @1957163
     /* 1957163 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1957249), // Rule ID 24942 //
     /* 1957168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1957171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1957185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1957188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957214 */     // MIs[0] policy
     /* 1957214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957224 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1957227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957248 */     // GIR_Coverage, 24942,
     /* 1957248 */     GIR_EraseRootFromParent_Done,
     /* 1957249 */   // Label 26230: @1957249
     /* 1957249 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1957335), // Rule ID 24943 //
     /* 1957254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1957257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1957271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1957274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957300 */     // MIs[0] policy
     /* 1957300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957310 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1957313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957334 */     // GIR_Coverage, 24943,
     /* 1957334 */     GIR_EraseRootFromParent_Done,
     /* 1957335 */   // Label 26231: @1957335
     /* 1957335 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1957421), // Rule ID 24946 //
     /* 1957340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957386 */     // MIs[0] policy
     /* 1957386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957396 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957420 */     // GIR_Coverage, 24946,
     /* 1957420 */     GIR_EraseRootFromParent_Done,
     /* 1957421 */   // Label 26232: @1957421
     /* 1957421 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1957507), // Rule ID 24947 //
     /* 1957426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957472 */     // MIs[0] policy
     /* 1957472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957482 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957506 */     // GIR_Coverage, 24947,
     /* 1957506 */     GIR_EraseRootFromParent_Done,
     /* 1957507 */   // Label 26233: @1957507
     /* 1957507 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1957593), // Rule ID 24950 //
     /* 1957512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957558 */     // MIs[0] policy
     /* 1957558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957568 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957592 */     // GIR_Coverage, 24950,
     /* 1957592 */     GIR_EraseRootFromParent_Done,
     /* 1957593 */   // Label 26234: @1957593
     /* 1957593 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1957679), // Rule ID 24951 //
     /* 1957598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957644 */     // MIs[0] policy
     /* 1957644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957654 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957678 */     // GIR_Coverage, 24951,
     /* 1957678 */     GIR_EraseRootFromParent_Done,
     /* 1957679 */   // Label 26235: @1957679
     /* 1957679 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1957765), // Rule ID 24954 //
     /* 1957684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957730 */     // MIs[0] policy
     /* 1957730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957740 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957764 */     // GIR_Coverage, 24954,
     /* 1957764 */     GIR_EraseRootFromParent_Done,
     /* 1957765 */   // Label 26236: @1957765
     /* 1957765 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1957851), // Rule ID 24955 //
     /* 1957770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957816 */     // MIs[0] policy
     /* 1957816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957826 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957850 */     // GIR_Coverage, 24955,
     /* 1957850 */     GIR_EraseRootFromParent_Done,
     /* 1957851 */   // Label 26237: @1957851
     /* 1957851 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1957937), // Rule ID 24958 //
     /* 1957856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957902 */     // MIs[0] policy
     /* 1957902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957912 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957936 */     // GIR_Coverage, 24958,
     /* 1957936 */     GIR_EraseRootFromParent_Done,
     /* 1957937 */   // Label 26238: @1957937
     /* 1957937 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1958023), // Rule ID 24959 //
     /* 1957942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957988 */     // MIs[0] policy
     /* 1957988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1958001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958022 */     // GIR_Coverage, 24959,
     /* 1958022 */     GIR_EraseRootFromParent_Done,
     /* 1958023 */   // Label 26239: @1958023
     /* 1958023 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958109), // Rule ID 24962 //
     /* 1958028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1958031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958074 */     // MIs[0] policy
     /* 1958074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1958087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958108 */     // GIR_Coverage, 24962,
     /* 1958108 */     GIR_EraseRootFromParent_Done,
     /* 1958109 */   // Label 26240: @1958109
     /* 1958109 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958195), // Rule ID 24963 //
     /* 1958114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1958117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958160 */     // MIs[0] policy
     /* 1958160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958170 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1958173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958194 */     // GIR_Coverage, 24963,
     /* 1958194 */     GIR_EraseRootFromParent_Done,
     /* 1958195 */   // Label 26241: @1958195
     /* 1958195 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1958281), // Rule ID 24966 //
     /* 1958200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1958203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958246 */     // MIs[0] policy
     /* 1958246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958256 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1958259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958280 */     // GIR_Coverage, 24966,
     /* 1958280 */     GIR_EraseRootFromParent_Done,
     /* 1958281 */   // Label 26242: @1958281
     /* 1958281 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1958367), // Rule ID 24967 //
     /* 1958286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1958289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958332 */     // MIs[0] policy
     /* 1958332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958342 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1958345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958366 */     // GIR_Coverage, 24967,
     /* 1958366 */     GIR_EraseRootFromParent_Done,
     /* 1958367 */   // Label 26243: @1958367
     /* 1958367 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1958453), // Rule ID 60846 //
     /* 1958372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958418 */     // MIs[0] policy
     /* 1958418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958452 */     // GIR_Coverage, 60846,
     /* 1958452 */     GIR_EraseRootFromParent_Done,
     /* 1958453 */   // Label 26244: @1958453
     /* 1958453 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1958539), // Rule ID 60847 //
     /* 1958458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958504 */     // MIs[0] policy
     /* 1958504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958538 */     // GIR_Coverage, 60847,
     /* 1958538 */     GIR_EraseRootFromParent_Done,
     /* 1958539 */   // Label 26245: @1958539
     /* 1958539 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1958625), // Rule ID 60850 //
     /* 1958544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958590 */     // MIs[0] policy
     /* 1958590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958624 */     // GIR_Coverage, 60850,
     /* 1958624 */     GIR_EraseRootFromParent_Done,
     /* 1958625 */   // Label 26246: @1958625
     /* 1958625 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1958711), // Rule ID 60851 //
     /* 1958630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958676 */     // MIs[0] policy
     /* 1958676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958710 */     // GIR_Coverage, 60851,
     /* 1958710 */     GIR_EraseRootFromParent_Done,
     /* 1958711 */   // Label 26247: @1958711
     /* 1958711 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1958797), // Rule ID 60854 //
     /* 1958716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958762 */     // MIs[0] policy
     /* 1958762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958796 */     // GIR_Coverage, 60854,
     /* 1958796 */     GIR_EraseRootFromParent_Done,
     /* 1958797 */   // Label 26248: @1958797
     /* 1958797 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1958883), // Rule ID 60855 //
     /* 1958802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958848 */     // MIs[0] policy
     /* 1958848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958882 */     // GIR_Coverage, 60855,
     /* 1958882 */     GIR_EraseRootFromParent_Done,
     /* 1958883 */   // Label 26249: @1958883
     /* 1958883 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1958969), // Rule ID 60858 //
     /* 1958888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958934 */     // MIs[0] policy
     /* 1958934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958968 */     // GIR_Coverage, 60858,
     /* 1958968 */     GIR_EraseRootFromParent_Done,
     /* 1958969 */   // Label 26250: @1958969
     /* 1958969 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1959055), // Rule ID 60859 //
     /* 1958974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959020 */     // MIs[0] policy
     /* 1959020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959054 */     // GIR_Coverage, 60859,
     /* 1959054 */     GIR_EraseRootFromParent_Done,
     /* 1959055 */   // Label 26251: @1959055
     /* 1959055 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959141), // Rule ID 60862 //
     /* 1959060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1959080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959106 */     // MIs[0] policy
     /* 1959106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959140 */     // GIR_Coverage, 60862,
     /* 1959140 */     GIR_EraseRootFromParent_Done,
     /* 1959141 */   // Label 26252: @1959141
     /* 1959141 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1959227), // Rule ID 60863 //
     /* 1959146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1959166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959192 */     // MIs[0] policy
     /* 1959192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959226 */     // GIR_Coverage, 60863,
     /* 1959226 */     GIR_EraseRootFromParent_Done,
     /* 1959227 */   // Label 26253: @1959227
     /* 1959227 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1959313), // Rule ID 60866 //
     /* 1959232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1959252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959278 */     // MIs[0] policy
     /* 1959278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959312 */     // GIR_Coverage, 60866,
     /* 1959312 */     GIR_EraseRootFromParent_Done,
     /* 1959313 */   // Label 26254: @1959313
     /* 1959313 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1959399), // Rule ID 60867 //
     /* 1959318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1959338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959364 */     // MIs[0] policy
     /* 1959364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959398 */     // GIR_Coverage, 60867,
     /* 1959398 */     GIR_EraseRootFromParent_Done,
     /* 1959399 */   // Label 26255: @1959399
     /* 1959399 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1959485), // Rule ID 60870 //
     /* 1959404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959450 */     // MIs[0] policy
     /* 1959450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959484 */     // GIR_Coverage, 60870,
     /* 1959484 */     GIR_EraseRootFromParent_Done,
     /* 1959485 */   // Label 26256: @1959485
     /* 1959485 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1959571), // Rule ID 60871 //
     /* 1959490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959536 */     // MIs[0] policy
     /* 1959536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959570 */     // GIR_Coverage, 60871,
     /* 1959570 */     GIR_EraseRootFromParent_Done,
     /* 1959571 */   // Label 26257: @1959571
     /* 1959571 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1959657), // Rule ID 60874 //
     /* 1959576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959622 */     // MIs[0] policy
     /* 1959622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959656 */     // GIR_Coverage, 60874,
     /* 1959656 */     GIR_EraseRootFromParent_Done,
     /* 1959657 */   // Label 26258: @1959657
     /* 1959657 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1959743), // Rule ID 60875 //
     /* 1959662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959708 */     // MIs[0] policy
     /* 1959708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959742 */     // GIR_Coverage, 60875,
     /* 1959742 */     GIR_EraseRootFromParent_Done,
     /* 1959743 */   // Label 26259: @1959743
     /* 1959743 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1959829), // Rule ID 60878 //
     /* 1959748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959794 */     // MIs[0] policy
     /* 1959794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959828 */     // GIR_Coverage, 60878,
     /* 1959828 */     GIR_EraseRootFromParent_Done,
     /* 1959829 */   // Label 26260: @1959829
     /* 1959829 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1959915), // Rule ID 60879 //
     /* 1959834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959880 */     // MIs[0] policy
     /* 1959880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959914 */     // GIR_Coverage, 60879,
     /* 1959914 */     GIR_EraseRootFromParent_Done,
     /* 1959915 */   // Label 26261: @1959915
     /* 1959915 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1960001), // Rule ID 60882 //
     /* 1959920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959966 */     // MIs[0] policy
     /* 1959966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960000 */     // GIR_Coverage, 60882,
     /* 1960000 */     GIR_EraseRootFromParent_Done,
     /* 1960001 */   // Label 26262: @1960001
     /* 1960001 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960087), // Rule ID 60883 //
     /* 1960006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960052 */     // MIs[0] policy
     /* 1960052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960086 */     // GIR_Coverage, 60883,
     /* 1960086 */     GIR_EraseRootFromParent_Done,
     /* 1960087 */   // Label 26263: @1960087
     /* 1960087 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960173), // Rule ID 60886 //
     /* 1960092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960138 */     // MIs[0] policy
     /* 1960138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960172 */     // GIR_Coverage, 60886,
     /* 1960172 */     GIR_EraseRootFromParent_Done,
     /* 1960173 */   // Label 26264: @1960173
     /* 1960173 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1960259), // Rule ID 60887 //
     /* 1960178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960224 */     // MIs[0] policy
     /* 1960224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960258 */     // GIR_Coverage, 60887,
     /* 1960258 */     GIR_EraseRootFromParent_Done,
     /* 1960259 */   // Label 26265: @1960259
     /* 1960259 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1960345), // Rule ID 60890 //
     /* 1960264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960310 */     // MIs[0] policy
     /* 1960310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1960323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960344 */     // GIR_Coverage, 60890,
     /* 1960344 */     GIR_EraseRootFromParent_Done,
     /* 1960345 */   // Label 26266: @1960345
     /* 1960345 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1960431), // Rule ID 60891 //
     /* 1960350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960396 */     // MIs[0] policy
     /* 1960396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1960409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960430 */     // GIR_Coverage, 60891,
     /* 1960430 */     GIR_EraseRootFromParent_Done,
     /* 1960431 */   // Label 26267: @1960431
     /* 1960431 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1960517), // Rule ID 60894 //
     /* 1960436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960482 */     // MIs[0] policy
     /* 1960482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960516 */     // GIR_Coverage, 60894,
     /* 1960516 */     GIR_EraseRootFromParent_Done,
     /* 1960517 */   // Label 26268: @1960517
     /* 1960517 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1960603), // Rule ID 60895 //
     /* 1960522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960568 */     // MIs[0] policy
     /* 1960568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960602 */     // GIR_Coverage, 60895,
     /* 1960602 */     GIR_EraseRootFromParent_Done,
     /* 1960603 */   // Label 26269: @1960603
     /* 1960603 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1960689), // Rule ID 60898 //
     /* 1960608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960654 */     // MIs[0] policy
     /* 1960654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960688 */     // GIR_Coverage, 60898,
     /* 1960688 */     GIR_EraseRootFromParent_Done,
     /* 1960689 */   // Label 26270: @1960689
     /* 1960689 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1960775), // Rule ID 60899 //
     /* 1960694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960740 */     // MIs[0] policy
     /* 1960740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960774 */     // GIR_Coverage, 60899,
     /* 1960774 */     GIR_EraseRootFromParent_Done,
     /* 1960775 */   // Label 26271: @1960775
     /* 1960775 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1960861), // Rule ID 60902 //
     /* 1960780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960826 */     // MIs[0] policy
     /* 1960826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960860 */     // GIR_Coverage, 60902,
     /* 1960860 */     GIR_EraseRootFromParent_Done,
     /* 1960861 */   // Label 26272: @1960861
     /* 1960861 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1960947), // Rule ID 60903 //
     /* 1960866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960912 */     // MIs[0] policy
     /* 1960912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960946 */     // GIR_Coverage, 60903,
     /* 1960946 */     GIR_EraseRootFromParent_Done,
     /* 1960947 */   // Label 26273: @1960947
     /* 1960947 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1961033), // Rule ID 60906 //
     /* 1960952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960998 */     // MIs[0] policy
     /* 1960998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1961011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961032 */     // GIR_Coverage, 60906,
     /* 1961032 */     GIR_EraseRootFromParent_Done,
     /* 1961033 */   // Label 26274: @1961033
     /* 1961033 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961119), // Rule ID 60907 //
     /* 1961038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1961055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961084 */     // MIs[0] policy
     /* 1961084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1961097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961118 */     // GIR_Coverage, 60907,
     /* 1961118 */     GIR_EraseRootFromParent_Done,
     /* 1961119 */   // Label 26275: @1961119
     /* 1961119 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961205), // Rule ID 60914 //
     /* 1961124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1961141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961170 */     // MIs[0] policy
     /* 1961170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961204 */     // GIR_Coverage, 60914,
     /* 1961204 */     GIR_EraseRootFromParent_Done,
     /* 1961205 */   // Label 26276: @1961205
     /* 1961205 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1961291), // Rule ID 60915 //
     /* 1961210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1961227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961256 */     // MIs[0] policy
     /* 1961256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961290 */     // GIR_Coverage, 60915,
     /* 1961290 */     GIR_EraseRootFromParent_Done,
     /* 1961291 */   // Label 26277: @1961291
     /* 1961291 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1961377), // Rule ID 60922 //
     /* 1961296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1961313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961342 */     // MIs[0] policy
     /* 1961342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961376 */     // GIR_Coverage, 60922,
     /* 1961376 */     GIR_EraseRootFromParent_Done,
     /* 1961377 */   // Label 26278: @1961377
     /* 1961377 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1961463), // Rule ID 60923 //
     /* 1961382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1961399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961428 */     // MIs[0] policy
     /* 1961428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961462 */     // GIR_Coverage, 60923,
     /* 1961462 */     GIR_EraseRootFromParent_Done,
     /* 1961463 */   // Label 26279: @1961463
     /* 1961463 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1961549), // Rule ID 60930 //
     /* 1961468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961514 */     // MIs[0] policy
     /* 1961514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961548 */     // GIR_Coverage, 60930,
     /* 1961548 */     GIR_EraseRootFromParent_Done,
     /* 1961549 */   // Label 26280: @1961549
     /* 1961549 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1961635), // Rule ID 60931 //
     /* 1961554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961600 */     // MIs[0] policy
     /* 1961600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961634 */     // GIR_Coverage, 60931,
     /* 1961634 */     GIR_EraseRootFromParent_Done,
     /* 1961635 */   // Label 26281: @1961635
     /* 1961635 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1961721), // Rule ID 60938 //
     /* 1961640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961686 */     // MIs[0] policy
     /* 1961686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961720 */     // GIR_Coverage, 60938,
     /* 1961720 */     GIR_EraseRootFromParent_Done,
     /* 1961721 */   // Label 26282: @1961721
     /* 1961721 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1961807), // Rule ID 60939 //
     /* 1961726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961772 */     // MIs[0] policy
     /* 1961772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961806 */     // GIR_Coverage, 60939,
     /* 1961806 */     GIR_EraseRootFromParent_Done,
     /* 1961807 */   // Label 26283: @1961807
     /* 1961807 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1961893), // Rule ID 60946 //
     /* 1961812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961858 */     // MIs[0] policy
     /* 1961858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961892 */     // GIR_Coverage, 60946,
     /* 1961892 */     GIR_EraseRootFromParent_Done,
     /* 1961893 */   // Label 26284: @1961893
     /* 1961893 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1961979), // Rule ID 60947 //
     /* 1961898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961944 */     // MIs[0] policy
     /* 1961944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961978 */     // GIR_Coverage, 60947,
     /* 1961978 */     GIR_EraseRootFromParent_Done,
     /* 1961979 */   // Label 26285: @1961979
     /* 1961979 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1962065), // Rule ID 60954 //
     /* 1961984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962030 */     // MIs[0] policy
     /* 1962030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1962043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962064 */     // GIR_Coverage, 60954,
     /* 1962064 */     GIR_EraseRootFromParent_Done,
     /* 1962065 */   // Label 26286: @1962065
     /* 1962065 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962151), // Rule ID 60955 //
     /* 1962070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962116 */     // MIs[0] policy
     /* 1962116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1962129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962150 */     // GIR_Coverage, 60955,
     /* 1962150 */     GIR_EraseRootFromParent_Done,
     /* 1962151 */   // Label 26287: @1962151
     /* 1962151 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1962237), // Rule ID 60962 //
     /* 1962156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962202 */     // MIs[0] policy
     /* 1962202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962236 */     // GIR_Coverage, 60962,
     /* 1962236 */     GIR_EraseRootFromParent_Done,
     /* 1962237 */   // Label 26288: @1962237
     /* 1962237 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1962323), // Rule ID 60963 //
     /* 1962242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962288 */     // MIs[0] policy
     /* 1962288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962322 */     // GIR_Coverage, 60963,
     /* 1962322 */     GIR_EraseRootFromParent_Done,
     /* 1962323 */   // Label 26289: @1962323
     /* 1962323 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1962409), // Rule ID 60970 //
     /* 1962328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962374 */     // MIs[0] policy
     /* 1962374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962408 */     // GIR_Coverage, 60970,
     /* 1962408 */     GIR_EraseRootFromParent_Done,
     /* 1962409 */   // Label 26290: @1962409
     /* 1962409 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1962495), // Rule ID 60971 //
     /* 1962414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962460 */     // MIs[0] policy
     /* 1962460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962494 */     // GIR_Coverage, 60971,
     /* 1962494 */     GIR_EraseRootFromParent_Done,
     /* 1962495 */   // Label 26291: @1962495
     /* 1962495 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1962581), // Rule ID 60978 //
     /* 1962500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962546 */     // MIs[0] policy
     /* 1962546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962580 */     // GIR_Coverage, 60978,
     /* 1962580 */     GIR_EraseRootFromParent_Done,
     /* 1962581 */   // Label 26292: @1962581
     /* 1962581 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1962667), // Rule ID 60979 //
     /* 1962586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962632 */     // MIs[0] policy
     /* 1962632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962666 */     // GIR_Coverage, 60979,
     /* 1962666 */     GIR_EraseRootFromParent_Done,
     /* 1962667 */   // Label 26293: @1962667
     /* 1962667 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1962753), // Rule ID 60986 //
     /* 1962672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962718 */     // MIs[0] policy
     /* 1962718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962752 */     // GIR_Coverage, 60986,
     /* 1962752 */     GIR_EraseRootFromParent_Done,
     /* 1962753 */   // Label 26294: @1962753
     /* 1962753 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1962839), // Rule ID 60987 //
     /* 1962758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962804 */     // MIs[0] policy
     /* 1962804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962838 */     // GIR_Coverage, 60987,
     /* 1962838 */     GIR_EraseRootFromParent_Done,
     /* 1962839 */   // Label 26295: @1962839
     /* 1962839 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1962925), // Rule ID 60994 //
     /* 1962844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962890 */     // MIs[0] policy
     /* 1962890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962924 */     // GIR_Coverage, 60994,
     /* 1962924 */     GIR_EraseRootFromParent_Done,
     /* 1962925 */   // Label 26296: @1962925
     /* 1962925 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1963011), // Rule ID 60995 //
     /* 1962930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962976 */     // MIs[0] policy
     /* 1962976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963010 */     // GIR_Coverage, 60995,
     /* 1963010 */     GIR_EraseRootFromParent_Done,
     /* 1963011 */   // Label 26297: @1963011
     /* 1963011 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963097), // Rule ID 61002 //
     /* 1963016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963062 */     // MIs[0] policy
     /* 1963062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1963075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963096 */     // GIR_Coverage, 61002,
     /* 1963096 */     GIR_EraseRootFromParent_Done,
     /* 1963097 */   // Label 26298: @1963097
     /* 1963097 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963183), // Rule ID 61003 //
     /* 1963102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963148 */     // MIs[0] policy
     /* 1963148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1963161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963182 */     // GIR_Coverage, 61003,
     /* 1963182 */     GIR_EraseRootFromParent_Done,
     /* 1963183 */   // Label 26299: @1963183
     /* 1963183 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1963269), // Rule ID 61010 //
     /* 1963188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963234 */     // MIs[0] policy
     /* 1963234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1963247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963268 */     // GIR_Coverage, 61010,
     /* 1963268 */     GIR_EraseRootFromParent_Done,
     /* 1963269 */   // Label 26300: @1963269
     /* 1963269 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1963355), // Rule ID 61011 //
     /* 1963274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963320 */     // MIs[0] policy
     /* 1963320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1963333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963354 */     // GIR_Coverage, 61011,
     /* 1963354 */     GIR_EraseRootFromParent_Done,
     /* 1963355 */   // Label 26301: @1963355
     /* 1963355 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1963441), // Rule ID 61018 //
     /* 1963360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963406 */     // MIs[0] policy
     /* 1963406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963440 */     // GIR_Coverage, 61018,
     /* 1963440 */     GIR_EraseRootFromParent_Done,
     /* 1963441 */   // Label 26302: @1963441
     /* 1963441 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1963527), // Rule ID 61019 //
     /* 1963446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963492 */     // MIs[0] policy
     /* 1963492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963526 */     // GIR_Coverage, 61019,
     /* 1963526 */     GIR_EraseRootFromParent_Done,
     /* 1963527 */   // Label 26303: @1963527
     /* 1963527 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1963613), // Rule ID 61026 //
     /* 1963532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963578 */     // MIs[0] policy
     /* 1963578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963612 */     // GIR_Coverage, 61026,
     /* 1963612 */     GIR_EraseRootFromParent_Done,
     /* 1963613 */   // Label 26304: @1963613
     /* 1963613 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1963699), // Rule ID 61027 //
     /* 1963618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963664 */     // MIs[0] policy
     /* 1963664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963698 */     // GIR_Coverage, 61027,
     /* 1963698 */     GIR_EraseRootFromParent_Done,
     /* 1963699 */   // Label 26305: @1963699
     /* 1963699 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1963785), // Rule ID 61030 //
     /* 1963704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963750 */     // MIs[0] policy
     /* 1963750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963784 */     // GIR_Coverage, 61030,
     /* 1963784 */     GIR_EraseRootFromParent_Done,
     /* 1963785 */   // Label 26306: @1963785
     /* 1963785 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1963871), // Rule ID 61031 //
     /* 1963790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963836 */     // MIs[0] policy
     /* 1963836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963870 */     // GIR_Coverage, 61031,
     /* 1963870 */     GIR_EraseRootFromParent_Done,
     /* 1963871 */   // Label 26307: @1963871
     /* 1963871 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1963957), // Rule ID 61034 //
     /* 1963876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963922 */     // MIs[0] policy
     /* 1963922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963956 */     // GIR_Coverage, 61034,
     /* 1963956 */     GIR_EraseRootFromParent_Done,
     /* 1963957 */   // Label 26308: @1963957
     /* 1963957 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1964043), // Rule ID 61035 //
     /* 1963962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964008 */     // MIs[0] policy
     /* 1964008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1964021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964042 */     // GIR_Coverage, 61035,
     /* 1964042 */     GIR_EraseRootFromParent_Done,
     /* 1964043 */   // Label 26309: @1964043
     /* 1964043 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964129), // Rule ID 61038 //
     /* 1964048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964094 */     // MIs[0] policy
     /* 1964094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1964107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964128 */     // GIR_Coverage, 61038,
     /* 1964128 */     GIR_EraseRootFromParent_Done,
     /* 1964129 */   // Label 26310: @1964129
     /* 1964129 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1964215), // Rule ID 61039 //
     /* 1964134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964180 */     // MIs[0] policy
     /* 1964180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1964193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964214 */     // GIR_Coverage, 61039,
     /* 1964214 */     GIR_EraseRootFromParent_Done,
     /* 1964215 */   // Label 26311: @1964215
     /* 1964215 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1964301), // Rule ID 61042 //
     /* 1964220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964266 */     // MIs[0] policy
     /* 1964266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1964279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964300 */     // GIR_Coverage, 61042,
     /* 1964300 */     GIR_EraseRootFromParent_Done,
     /* 1964301 */   // Label 26312: @1964301
     /* 1964301 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1964387), // Rule ID 61043 //
     /* 1964306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964352 */     // MIs[0] policy
     /* 1964352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1964365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964386 */     // GIR_Coverage, 61043,
     /* 1964386 */     GIR_EraseRootFromParent_Done,
     /* 1964387 */   // Label 26313: @1964387
     /* 1964387 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1964473), // Rule ID 61046 //
     /* 1964392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964438 */     // MIs[0] policy
     /* 1964438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964472 */     // GIR_Coverage, 61046,
     /* 1964472 */     GIR_EraseRootFromParent_Done,
     /* 1964473 */   // Label 26314: @1964473
     /* 1964473 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1964559), // Rule ID 61047 //
     /* 1964478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964524 */     // MIs[0] policy
     /* 1964524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964558 */     // GIR_Coverage, 61047,
     /* 1964558 */     GIR_EraseRootFromParent_Done,
     /* 1964559 */   // Label 26315: @1964559
     /* 1964559 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1964645), // Rule ID 61050 //
     /* 1964564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964610 */     // MIs[0] policy
     /* 1964610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964644 */     // GIR_Coverage, 61050,
     /* 1964644 */     GIR_EraseRootFromParent_Done,
     /* 1964645 */   // Label 26316: @1964645
     /* 1964645 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1964731), // Rule ID 61051 //
     /* 1964650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964696 */     // MIs[0] policy
     /* 1964696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964730 */     // GIR_Coverage, 61051,
     /* 1964730 */     GIR_EraseRootFromParent_Done,
     /* 1964731 */   // Label 26317: @1964731
     /* 1964731 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1964817), // Rule ID 61054 //
     /* 1964736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964782 */     // MIs[0] policy
     /* 1964782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964816 */     // GIR_Coverage, 61054,
     /* 1964816 */     GIR_EraseRootFromParent_Done,
     /* 1964817 */   // Label 26318: @1964817
     /* 1964817 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1964903), // Rule ID 61055 //
     /* 1964822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964868 */     // MIs[0] policy
     /* 1964868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964902 */     // GIR_Coverage, 61055,
     /* 1964902 */     GIR_EraseRootFromParent_Done,
     /* 1964903 */   // Label 26319: @1964903
     /* 1964903 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1964989), // Rule ID 61058 //
     /* 1964908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964954 */     // MIs[0] policy
     /* 1964954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964988 */     // GIR_Coverage, 61058,
     /* 1964988 */     GIR_EraseRootFromParent_Done,
     /* 1964989 */   // Label 26320: @1964989
     /* 1964989 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1965075), // Rule ID 61059 //
     /* 1964994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1965014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965040 */     // MIs[0] policy
     /* 1965040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1965053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965074 */     // GIR_Coverage, 61059,
     /* 1965074 */     GIR_EraseRootFromParent_Done,
     /* 1965075 */   // Label 26321: @1965075
     /* 1965075 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965161), // Rule ID 61062 //
     /* 1965080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1965100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965126 */     // MIs[0] policy
     /* 1965126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1965139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965160 */     // GIR_Coverage, 61062,
     /* 1965160 */     GIR_EraseRootFromParent_Done,
     /* 1965161 */   // Label 26322: @1965161
     /* 1965161 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1965247), // Rule ID 61063 //
     /* 1965166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1965186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965212 */     // MIs[0] policy
     /* 1965212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1965225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965246 */     // GIR_Coverage, 61063,
     /* 1965246 */     GIR_EraseRootFromParent_Done,
     /* 1965247 */   // Label 26323: @1965247
     /* 1965247 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1965333), // Rule ID 61066 //
     /* 1965252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1965272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965298 */     // MIs[0] policy
     /* 1965298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1965311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965332 */     // GIR_Coverage, 61066,
     /* 1965332 */     GIR_EraseRootFromParent_Done,
     /* 1965333 */   // Label 26324: @1965333
     /* 1965333 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1965419), // Rule ID 61067 //
     /* 1965338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1965358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965384 */     // MIs[0] policy
     /* 1965384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1965397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965418 */     // GIR_Coverage, 61067,
     /* 1965418 */     GIR_EraseRootFromParent_Done,
     /* 1965419 */   // Label 26325: @1965419
     /* 1965419 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1965505), // Rule ID 61070 //
     /* 1965424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965470 */     // MIs[0] policy
     /* 1965470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965504 */     // GIR_Coverage, 61070,
     /* 1965504 */     GIR_EraseRootFromParent_Done,
     /* 1965505 */   // Label 26326: @1965505
     /* 1965505 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1965591), // Rule ID 61071 //
     /* 1965510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965556 */     // MIs[0] policy
     /* 1965556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965590 */     // GIR_Coverage, 61071,
     /* 1965590 */     GIR_EraseRootFromParent_Done,
     /* 1965591 */   // Label 26327: @1965591
     /* 1965591 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1965677), // Rule ID 61074 //
     /* 1965596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965642 */     // MIs[0] policy
     /* 1965642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965676 */     // GIR_Coverage, 61074,
     /* 1965676 */     GIR_EraseRootFromParent_Done,
     /* 1965677 */   // Label 26328: @1965677
     /* 1965677 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1965763), // Rule ID 61075 //
     /* 1965682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965728 */     // MIs[0] policy
     /* 1965728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965762 */     // GIR_Coverage, 61075,
     /* 1965762 */     GIR_EraseRootFromParent_Done,
     /* 1965763 */   // Label 26329: @1965763
     /* 1965763 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1965849), // Rule ID 61078 //
     /* 1965768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965814 */     // MIs[0] policy
     /* 1965814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965848 */     // GIR_Coverage, 61078,
     /* 1965848 */     GIR_EraseRootFromParent_Done,
     /* 1965849 */   // Label 26330: @1965849
     /* 1965849 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1965935), // Rule ID 61079 //
     /* 1965854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965900 */     // MIs[0] policy
     /* 1965900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965934 */     // GIR_Coverage, 61079,
     /* 1965934 */     GIR_EraseRootFromParent_Done,
     /* 1965935 */   // Label 26331: @1965935
     /* 1965935 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1966021), // Rule ID 61082 //
     /* 1965940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965986 */     // MIs[0] policy
     /* 1965986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1965999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966020 */     // GIR_Coverage, 61082,
     /* 1966020 */     GIR_EraseRootFromParent_Done,
     /* 1966021 */   // Label 26332: @1966021
     /* 1966021 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966107), // Rule ID 61083 //
     /* 1966026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1966029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966072 */     // MIs[0] policy
     /* 1966072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1966085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966106 */     // GIR_Coverage, 61083,
     /* 1966106 */     GIR_EraseRootFromParent_Done,
     /* 1966107 */   // Label 26333: @1966107
     /* 1966107 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966193), // Rule ID 61086 //
     /* 1966112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1966115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966158 */     // MIs[0] policy
     /* 1966158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1966171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966192 */     // GIR_Coverage, 61086,
     /* 1966192 */     GIR_EraseRootFromParent_Done,
     /* 1966193 */   // Label 26334: @1966193
     /* 1966193 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1966279), // Rule ID 61087 //
     /* 1966198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1966201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1966206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966244 */     // MIs[0] policy
     /* 1966244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1966257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966278 */     // GIR_Coverage, 61087,
     /* 1966278 */     GIR_EraseRootFromParent_Done,
     /* 1966279 */   // Label 26335: @1966279
     /* 1966279 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1966365), // Rule ID 61090 //
     /* 1966284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1966295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1966298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1966301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1966304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966330 */     // MIs[0] policy
     /* 1966330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1966343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966364 */     // GIR_Coverage, 61090,
     /* 1966364 */     GIR_EraseRootFromParent_Done,
     /* 1966365 */   // Label 26336: @1966365
     /* 1966365 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1966451), // Rule ID 61091 //
     /* 1966370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1966381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1966384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1966387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1966390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966416 */     // MIs[0] policy
     /* 1966416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1966429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966450 */     // GIR_Coverage, 61091,
     /* 1966450 */     GIR_EraseRootFromParent_Done,
     /* 1966451 */   // Label 26337: @1966451
     /* 1966451 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1966537), // Rule ID 61094 //
     /* 1966456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966502 */     // MIs[0] policy
     /* 1966502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966536 */     // GIR_Coverage, 61094,
     /* 1966536 */     GIR_EraseRootFromParent_Done,
     /* 1966537 */   // Label 26338: @1966537
     /* 1966537 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1966623), // Rule ID 61095 //
     /* 1966542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966588 */     // MIs[0] policy
     /* 1966588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966622 */     // GIR_Coverage, 61095,
     /* 1966622 */     GIR_EraseRootFromParent_Done,
     /* 1966623 */   // Label 26339: @1966623
     /* 1966623 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1966709), // Rule ID 61098 //
     /* 1966628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966674 */     // MIs[0] policy
     /* 1966674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966708 */     // GIR_Coverage, 61098,
     /* 1966708 */     GIR_EraseRootFromParent_Done,
     /* 1966709 */   // Label 26340: @1966709
     /* 1966709 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1966795), // Rule ID 61099 //
     /* 1966714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966760 */     // MIs[0] policy
     /* 1966760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966794 */     // GIR_Coverage, 61099,
     /* 1966794 */     GIR_EraseRootFromParent_Done,
     /* 1966795 */   // Label 26341: @1966795
     /* 1966795 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1966881), // Rule ID 61102 //
     /* 1966800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966846 */     // MIs[0] policy
     /* 1966846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966880 */     // GIR_Coverage, 61102,
     /* 1966880 */     GIR_EraseRootFromParent_Done,
     /* 1966881 */   // Label 26342: @1966881
     /* 1966881 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1966967), // Rule ID 61103 //
     /* 1966886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966932 */     // MIs[0] policy
     /* 1966932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966966 */     // GIR_Coverage, 61103,
     /* 1966966 */     GIR_EraseRootFromParent_Done,
     /* 1966967 */   // Label 26343: @1966967
     /* 1966967 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1967053), // Rule ID 61106 //
     /* 1966972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967018 */     // MIs[0] policy
     /* 1967018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967052 */     // GIR_Coverage, 61106,
     /* 1967052 */     GIR_EraseRootFromParent_Done,
     /* 1967053 */   // Label 26344: @1967053
     /* 1967053 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967139), // Rule ID 61107 //
     /* 1967058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1967075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1967078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967104 */     // MIs[0] policy
     /* 1967104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967138 */     // GIR_Coverage, 61107,
     /* 1967138 */     GIR_EraseRootFromParent_Done,
     /* 1967139 */   // Label 26345: @1967139
     /* 1967139 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1967225), // Rule ID 61110 //
     /* 1967144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967190 */     // MIs[0] policy
     /* 1967190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967224 */     // GIR_Coverage, 61110,
     /* 1967224 */     GIR_EraseRootFromParent_Done,
     /* 1967225 */   // Label 26346: @1967225
     /* 1967225 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1967311), // Rule ID 61111 //
     /* 1967230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967276 */     // MIs[0] policy
     /* 1967276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1967289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967310 */     // GIR_Coverage, 61111,
     /* 1967310 */     GIR_EraseRootFromParent_Done,
     /* 1967311 */   // Label 26347: @1967311
     /* 1967311 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1967397), // Rule ID 61114 //
     /* 1967316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1967327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1967330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1967336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967362 */     // MIs[0] policy
     /* 1967362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967396 */     // GIR_Coverage, 61114,
     /* 1967396 */     GIR_EraseRootFromParent_Done,
     /* 1967397 */   // Label 26348: @1967397
     /* 1967397 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1967483), // Rule ID 61115 //
     /* 1967402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1967413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1967416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1967419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1967422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967448 */     // MIs[0] policy
     /* 1967448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967482 */     // GIR_Coverage, 61115,
     /* 1967482 */     GIR_EraseRootFromParent_Done,
     /* 1967483 */   // Label 26349: @1967483
     /* 1967483 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1967569), // Rule ID 61118 //
     /* 1967488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967534 */     // MIs[0] policy
     /* 1967534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967568 */     // GIR_Coverage, 61118,
     /* 1967568 */     GIR_EraseRootFromParent_Done,
     /* 1967569 */   // Label 26350: @1967569
     /* 1967569 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1967655), // Rule ID 61119 //
     /* 1967574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967620 */     // MIs[0] policy
     /* 1967620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967654 */     // GIR_Coverage, 61119,
     /* 1967654 */     GIR_EraseRootFromParent_Done,
     /* 1967655 */   // Label 26351: @1967655
     /* 1967655 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1967741), // Rule ID 61122 //
     /* 1967660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967706 */     // MIs[0] policy
     /* 1967706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967740 */     // GIR_Coverage, 61122,
     /* 1967740 */     GIR_EraseRootFromParent_Done,
     /* 1967741 */   // Label 26352: @1967741
     /* 1967741 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1967827), // Rule ID 61123 //
     /* 1967746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967792 */     // MIs[0] policy
     /* 1967792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967826 */     // GIR_Coverage, 61123,
     /* 1967826 */     GIR_EraseRootFromParent_Done,
     /* 1967827 */   // Label 26353: @1967827
     /* 1967827 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1967913), // Rule ID 61126 //
     /* 1967832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967878 */     // MIs[0] policy
     /* 1967878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967912 */     // GIR_Coverage, 61126,
     /* 1967912 */     GIR_EraseRootFromParent_Done,
     /* 1967913 */   // Label 26354: @1967913
     /* 1967913 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1967999), // Rule ID 61127 //
     /* 1967918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967964 */     // MIs[0] policy
     /* 1967964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967998 */     // GIR_Coverage, 61127,
     /* 1967998 */     GIR_EraseRootFromParent_Done,
     /* 1967999 */   // Label 26355: @1967999
     /* 1967999 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1968085), // Rule ID 61130 //
     /* 1968004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1968015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1968018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1968024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968050 */     // MIs[0] policy
     /* 1968050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968084 */     // GIR_Coverage, 61130,
     /* 1968084 */     GIR_EraseRootFromParent_Done,
     /* 1968085 */   // Label 26356: @1968085
     /* 1968085 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968171), // Rule ID 61131 //
     /* 1968090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1968101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1968104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1968110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968136 */     // MIs[0] policy
     /* 1968136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968170 */     // GIR_Coverage, 61131,
     /* 1968170 */     GIR_EraseRootFromParent_Done,
     /* 1968171 */   // Label 26357: @1968171
     /* 1968171 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1968257), // Rule ID 61134 //
     /* 1968176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1968187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1968190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1968196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968222 */     // MIs[0] policy
     /* 1968222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968256 */     // GIR_Coverage, 61134,
     /* 1968256 */     GIR_EraseRootFromParent_Done,
     /* 1968257 */   // Label 26358: @1968257
     /* 1968257 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1968343), // Rule ID 61135 //
     /* 1968262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1968273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1968276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1968282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968308 */     // MIs[0] policy
     /* 1968308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968318 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968342 */     // GIR_Coverage, 61135,
     /* 1968342 */     GIR_EraseRootFromParent_Done,
     /* 1968343 */   // Label 26359: @1968343
     /* 1968343 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1968429), // Rule ID 61138 //
     /* 1968348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968394 */     // MIs[0] policy
     /* 1968394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968428 */     // GIR_Coverage, 61138,
     /* 1968428 */     GIR_EraseRootFromParent_Done,
     /* 1968429 */   // Label 26360: @1968429
     /* 1968429 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1968515), // Rule ID 61139 //
     /* 1968434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968480 */     // MIs[0] policy
     /* 1968480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968490 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968514 */     // GIR_Coverage, 61139,
     /* 1968514 */     GIR_EraseRootFromParent_Done,
     /* 1968515 */   // Label 26361: @1968515
     /* 1968515 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1968601), // Rule ID 61142 //
     /* 1968520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968566 */     // MIs[0] policy
     /* 1968566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968600 */     // GIR_Coverage, 61142,
     /* 1968600 */     GIR_EraseRootFromParent_Done,
     /* 1968601 */   // Label 26362: @1968601
     /* 1968601 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1968687), // Rule ID 61143 //
     /* 1968606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968652 */     // MIs[0] policy
     /* 1968652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968686 */     // GIR_Coverage, 61143,
     /* 1968686 */     GIR_EraseRootFromParent_Done,
     /* 1968687 */   // Label 26363: @1968687
     /* 1968687 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1968773), // Rule ID 61146 //
     /* 1968692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968738 */     // MIs[0] policy
     /* 1968738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968772 */     // GIR_Coverage, 61146,
     /* 1968772 */     GIR_EraseRootFromParent_Done,
     /* 1968773 */   // Label 26364: @1968773
     /* 1968773 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1968859), // Rule ID 61147 //
     /* 1968778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968824 */     // MIs[0] policy
     /* 1968824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968858 */     // GIR_Coverage, 61147,
     /* 1968858 */     GIR_EraseRootFromParent_Done,
     /* 1968859 */   // Label 26365: @1968859
     /* 1968859 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1968945), // Rule ID 61150 //
     /* 1968864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968910 */     // MIs[0] policy
     /* 1968910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968944 */     // GIR_Coverage, 61150,
     /* 1968944 */     GIR_EraseRootFromParent_Done,
     /* 1968945 */   // Label 26366: @1968945
     /* 1968945 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1969031), // Rule ID 61151 //
     /* 1968950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968996 */     // MIs[0] policy
     /* 1968996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969030 */     // GIR_Coverage, 61151,
     /* 1969030 */     GIR_EraseRootFromParent_Done,
     /* 1969031 */   // Label 26367: @1969031
     /* 1969031 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969117), // Rule ID 61154 //
     /* 1969036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1969056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969082 */     // MIs[0] policy
     /* 1969082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969116 */     // GIR_Coverage, 61154,
     /* 1969116 */     GIR_EraseRootFromParent_Done,
     /* 1969117 */   // Label 26368: @1969117
     /* 1969117 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969203), // Rule ID 61155 //
     /* 1969122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1969142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969168 */     // MIs[0] policy
     /* 1969168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969202 */     // GIR_Coverage, 61155,
     /* 1969202 */     GIR_EraseRootFromParent_Done,
     /* 1969203 */   // Label 26369: @1969203
     /* 1969203 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1969289), // Rule ID 61158 //
     /* 1969208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1969228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969254 */     // MIs[0] policy
     /* 1969254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969288 */     // GIR_Coverage, 61158,
     /* 1969288 */     GIR_EraseRootFromParent_Done,
     /* 1969289 */   // Label 26370: @1969289
     /* 1969289 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1969375), // Rule ID 61159 //
     /* 1969294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1969311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1969314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969340 */     // MIs[0] policy
     /* 1969340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969374 */     // GIR_Coverage, 61159,
     /* 1969374 */     GIR_EraseRootFromParent_Done,
     /* 1969375 */   // Label 26371: @1969375
     /* 1969375 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1969461), // Rule ID 61162 //
     /* 1969380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969426 */     // MIs[0] policy
     /* 1969426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969460 */     // GIR_Coverage, 61162,
     /* 1969460 */     GIR_EraseRootFromParent_Done,
     /* 1969461 */   // Label 26372: @1969461
     /* 1969461 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1969547), // Rule ID 61163 //
     /* 1969466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969512 */     // MIs[0] policy
     /* 1969512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969546 */     // GIR_Coverage, 61163,
     /* 1969546 */     GIR_EraseRootFromParent_Done,
     /* 1969547 */   // Label 26373: @1969547
     /* 1969547 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1969633), // Rule ID 61166 //
     /* 1969552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969598 */     // MIs[0] policy
     /* 1969598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969632 */     // GIR_Coverage, 61166,
     /* 1969632 */     GIR_EraseRootFromParent_Done,
     /* 1969633 */   // Label 26374: @1969633
     /* 1969633 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1969719), // Rule ID 61167 //
     /* 1969638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969684 */     // MIs[0] policy
     /* 1969684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969718 */     // GIR_Coverage, 61167,
     /* 1969718 */     GIR_EraseRootFromParent_Done,
     /* 1969719 */   // Label 26375: @1969719
     /* 1969719 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1969805), // Rule ID 61170 //
     /* 1969724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969770 */     // MIs[0] policy
     /* 1969770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969804 */     // GIR_Coverage, 61170,
     /* 1969804 */     GIR_EraseRootFromParent_Done,
     /* 1969805 */   // Label 26376: @1969805
     /* 1969805 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1969891), // Rule ID 61171 //
     /* 1969810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969856 */     // MIs[0] policy
     /* 1969856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969890 */     // GIR_Coverage, 61171,
     /* 1969890 */     GIR_EraseRootFromParent_Done,
     /* 1969891 */   // Label 26377: @1969891
     /* 1969891 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1969977), // Rule ID 61174 //
     /* 1969896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969942 */     // MIs[0] policy
     /* 1969942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969976 */     // GIR_Coverage, 61174,
     /* 1969976 */     GIR_EraseRootFromParent_Done,
     /* 1969977 */   // Label 26378: @1969977
     /* 1969977 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1970063), // Rule ID 61175 //
     /* 1969982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970028 */     // MIs[0] policy
     /* 1970028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1970041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970062 */     // GIR_Coverage, 61175,
     /* 1970062 */     GIR_EraseRootFromParent_Done,
     /* 1970063 */   // Label 26379: @1970063
     /* 1970063 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970149), // Rule ID 61178 //
     /* 1970068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970114 */     // MIs[0] policy
     /* 1970114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1970127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970148 */     // GIR_Coverage, 61178,
     /* 1970148 */     GIR_EraseRootFromParent_Done,
     /* 1970149 */   // Label 26380: @1970149
     /* 1970149 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1970235), // Rule ID 61179 //
     /* 1970154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970200 */     // MIs[0] policy
     /* 1970200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970210 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1970213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970234 */     // GIR_Coverage, 61179,
     /* 1970234 */     GIR_EraseRootFromParent_Done,
     /* 1970235 */   // Label 26381: @1970235
     /* 1970235 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1970321), // Rule ID 61182 //
     /* 1970240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970286 */     // MIs[0] policy
     /* 1970286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970320 */     // GIR_Coverage, 61182,
     /* 1970320 */     GIR_EraseRootFromParent_Done,
     /* 1970321 */   // Label 26382: @1970321
     /* 1970321 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1970407), // Rule ID 61183 //
     /* 1970326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970372 */     // MIs[0] policy
     /* 1970372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970406 */     // GIR_Coverage, 61183,
     /* 1970406 */     GIR_EraseRootFromParent_Done,
     /* 1970407 */   // Label 26383: @1970407
     /* 1970407 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1970493), // Rule ID 61186 //
     /* 1970412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970458 */     // MIs[0] policy
     /* 1970458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970492 */     // GIR_Coverage, 61186,
     /* 1970492 */     GIR_EraseRootFromParent_Done,
     /* 1970493 */   // Label 26384: @1970493
     /* 1970493 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1970579), // Rule ID 61187 //
     /* 1970498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970544 */     // MIs[0] policy
     /* 1970544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970554 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970578 */     // GIR_Coverage, 61187,
     /* 1970578 */     GIR_EraseRootFromParent_Done,
     /* 1970579 */   // Label 26385: @1970579
     /* 1970579 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1970665), // Rule ID 61190 //
     /* 1970584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970630 */     // MIs[0] policy
     /* 1970630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970664 */     // GIR_Coverage, 61190,
     /* 1970664 */     GIR_EraseRootFromParent_Done,
     /* 1970665 */   // Label 26386: @1970665
     /* 1970665 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1970751), // Rule ID 61191 //
     /* 1970670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970716 */     // MIs[0] policy
     /* 1970716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970750 */     // GIR_Coverage, 61191,
     /* 1970750 */     GIR_EraseRootFromParent_Done,
     /* 1970751 */   // Label 26387: @1970751
     /* 1970751 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1970837), // Rule ID 61194 //
     /* 1970756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970802 */     // MIs[0] policy
     /* 1970802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970836 */     // GIR_Coverage, 61194,
     /* 1970836 */     GIR_EraseRootFromParent_Done,
     /* 1970837 */   // Label 26388: @1970837
     /* 1970837 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1970923), // Rule ID 61195 //
     /* 1970842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970888 */     // MIs[0] policy
     /* 1970888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970922 */     // GIR_Coverage, 61195,
     /* 1970922 */     GIR_EraseRootFromParent_Done,
     /* 1970923 */   // Label 26389: @1970923
     /* 1970923 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1971009), // Rule ID 61198 //
     /* 1970928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970974 */     // MIs[0] policy
     /* 1970974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971008 */     // GIR_Coverage, 61198,
     /* 1971008 */     GIR_EraseRootFromParent_Done,
     /* 1971009 */   // Label 26390: @1971009
     /* 1971009 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971095), // Rule ID 61199 //
     /* 1971014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1971025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1971028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971060 */     // MIs[0] policy
     /* 1971060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1971073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971094 */     // GIR_Coverage, 61199,
     /* 1971094 */     GIR_EraseRootFromParent_Done,
     /* 1971095 */   // Label 26391: @1971095
     /* 1971095 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971181), // Rule ID 61202 //
     /* 1971100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971146 */     // MIs[0] policy
     /* 1971146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971180 */     // GIR_Coverage, 61202,
     /* 1971180 */     GIR_EraseRootFromParent_Done,
     /* 1971181 */   // Label 26392: @1971181
     /* 1971181 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1971267), // Rule ID 61203 //
     /* 1971186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971232 */     // MIs[0] policy
     /* 1971232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971266 */     // GIR_Coverage, 61203,
     /* 1971266 */     GIR_EraseRootFromParent_Done,
     /* 1971267 */   // Label 26393: @1971267
     /* 1971267 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1971353), // Rule ID 61206 //
     /* 1971272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971318 */     // MIs[0] policy
     /* 1971318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971352 */     // GIR_Coverage, 61206,
     /* 1971352 */     GIR_EraseRootFromParent_Done,
     /* 1971353 */   // Label 26394: @1971353
     /* 1971353 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1971439), // Rule ID 61207 //
     /* 1971358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971404 */     // MIs[0] policy
     /* 1971404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971438 */     // GIR_Coverage, 61207,
     /* 1971438 */     GIR_EraseRootFromParent_Done,
     /* 1971439 */   // Label 26395: @1971439
     /* 1971439 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1971525), // Rule ID 61210 //
     /* 1971444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971490 */     // MIs[0] policy
     /* 1971490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971524 */     // GIR_Coverage, 61210,
     /* 1971524 */     GIR_EraseRootFromParent_Done,
     /* 1971525 */   // Label 26396: @1971525
     /* 1971525 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1971611), // Rule ID 61211 //
     /* 1971530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971576 */     // MIs[0] policy
     /* 1971576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971610 */     // GIR_Coverage, 61211,
     /* 1971610 */     GIR_EraseRootFromParent_Done,
     /* 1971611 */   // Label 26397: @1971611
     /* 1971611 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1971697), // Rule ID 61214 //
     /* 1971616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971662 */     // MIs[0] policy
     /* 1971662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971696 */     // GIR_Coverage, 61214,
     /* 1971696 */     GIR_EraseRootFromParent_Done,
     /* 1971697 */   // Label 26398: @1971697
     /* 1971697 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1971783), // Rule ID 61215 //
     /* 1971702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971748 */     // MIs[0] policy
     /* 1971748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971782 */     // GIR_Coverage, 61215,
     /* 1971782 */     GIR_EraseRootFromParent_Done,
     /* 1971783 */   // Label 26399: @1971783
     /* 1971783 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1971869), // Rule ID 61218 //
     /* 1971788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971834 */     // MIs[0] policy
     /* 1971834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971868 */     // GIR_Coverage, 61218,
     /* 1971868 */     GIR_EraseRootFromParent_Done,
     /* 1971869 */   // Label 26400: @1971869
     /* 1971869 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1971955), // Rule ID 61219 //
     /* 1971874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971920 */     // MIs[0] policy
     /* 1971920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971954 */     // GIR_Coverage, 61219,
     /* 1971954 */     GIR_EraseRootFromParent_Done,
     /* 1971955 */   // Label 26401: @1971955
     /* 1971955 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1972041), // Rule ID 61222 //
     /* 1971960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972006 */     // MIs[0] policy
     /* 1972006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972040 */     // GIR_Coverage, 61222,
     /* 1972040 */     GIR_EraseRootFromParent_Done,
     /* 1972041 */   // Label 26402: @1972041
     /* 1972041 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972127), // Rule ID 61223 //
     /* 1972046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1972057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1972060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972092 */     // MIs[0] policy
     /* 1972092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972126 */     // GIR_Coverage, 61223,
     /* 1972126 */     GIR_EraseRootFromParent_Done,
     /* 1972127 */   // Label 26403: @1972127
     /* 1972127 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1972213), // Rule ID 61226 //
     /* 1972132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972178 */     // MIs[0] policy
     /* 1972178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972212 */     // GIR_Coverage, 61226,
     /* 1972212 */     GIR_EraseRootFromParent_Done,
     /* 1972213 */   // Label 26404: @1972213
     /* 1972213 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1972299), // Rule ID 61227 //
     /* 1972218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972264 */     // MIs[0] policy
     /* 1972264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972298 */     // GIR_Coverage, 61227,
     /* 1972298 */     GIR_EraseRootFromParent_Done,
     /* 1972299 */   // Label 26405: @1972299
     /* 1972299 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1972385), // Rule ID 61230 //
     /* 1972304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972350 */     // MIs[0] policy
     /* 1972350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972384 */     // GIR_Coverage, 61230,
     /* 1972384 */     GIR_EraseRootFromParent_Done,
     /* 1972385 */   // Label 26406: @1972385
     /* 1972385 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1972471), // Rule ID 61231 //
     /* 1972390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972436 */     // MIs[0] policy
     /* 1972436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972470 */     // GIR_Coverage, 61231,
     /* 1972470 */     GIR_EraseRootFromParent_Done,
     /* 1972471 */   // Label 26407: @1972471
     /* 1972471 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1972557), // Rule ID 61234 //
     /* 1972476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972522 */     // MIs[0] policy
     /* 1972522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972556 */     // GIR_Coverage, 61234,
     /* 1972556 */     GIR_EraseRootFromParent_Done,
     /* 1972557 */   // Label 26408: @1972557
     /* 1972557 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1972643), // Rule ID 61235 //
     /* 1972562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972608 */     // MIs[0] policy
     /* 1972608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972642 */     // GIR_Coverage, 61235,
     /* 1972642 */     GIR_EraseRootFromParent_Done,
     /* 1972643 */   // Label 26409: @1972643
     /* 1972643 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1972729), // Rule ID 61238 //
     /* 1972648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972694 */     // MIs[0] policy
     /* 1972694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972728 */     // GIR_Coverage, 61238,
     /* 1972728 */     GIR_EraseRootFromParent_Done,
     /* 1972729 */   // Label 26410: @1972729
     /* 1972729 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1972815), // Rule ID 61239 //
     /* 1972734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972780 */     // MIs[0] policy
     /* 1972780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972814 */     // GIR_Coverage, 61239,
     /* 1972814 */     GIR_EraseRootFromParent_Done,
     /* 1972815 */   // Label 26411: @1972815
     /* 1972815 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1972901), // Rule ID 61242 //
     /* 1972820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972866 */     // MIs[0] policy
     /* 1972866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972900 */     // GIR_Coverage, 61242,
     /* 1972900 */     GIR_EraseRootFromParent_Done,
     /* 1972901 */   // Label 26412: @1972901
     /* 1972901 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1972987), // Rule ID 61243 //
     /* 1972906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972952 */     // MIs[0] policy
     /* 1972952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972986 */     // GIR_Coverage, 61243,
     /* 1972986 */     GIR_EraseRootFromParent_Done,
     /* 1972987 */   // Label 26413: @1972987
     /* 1972987 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1973073), // Rule ID 61246 //
     /* 1972992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973038 */     // MIs[0] policy
     /* 1973038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973072 */     // GIR_Coverage, 61246,
     /* 1973072 */     GIR_EraseRootFromParent_Done,
     /* 1973073 */   // Label 26414: @1973073
     /* 1973073 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973159), // Rule ID 61247 //
     /* 1973078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973124 */     // MIs[0] policy
     /* 1973124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973158 */     // GIR_Coverage, 61247,
     /* 1973158 */     GIR_EraseRootFromParent_Done,
     /* 1973159 */   // Label 26415: @1973159
     /* 1973159 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1973245), // Rule ID 61250 //
     /* 1973164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973210 */     // MIs[0] policy
     /* 1973210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973244 */     // GIR_Coverage, 61250,
     /* 1973244 */     GIR_EraseRootFromParent_Done,
     /* 1973245 */   // Label 26416: @1973245
     /* 1973245 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1973331), // Rule ID 61251 //
     /* 1973250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973296 */     // MIs[0] policy
     /* 1973296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973330 */     // GIR_Coverage, 61251,
     /* 1973330 */     GIR_EraseRootFromParent_Done,
     /* 1973331 */   // Label 26417: @1973331
     /* 1973331 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1973417), // Rule ID 61254 //
     /* 1973336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973382 */     // MIs[0] policy
     /* 1973382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973416 */     // GIR_Coverage, 61254,
     /* 1973416 */     GIR_EraseRootFromParent_Done,
     /* 1973417 */   // Label 26418: @1973417
     /* 1973417 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1973503), // Rule ID 61255 //
     /* 1973422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973468 */     // MIs[0] policy
     /* 1973468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973502 */     // GIR_Coverage, 61255,
     /* 1973502 */     GIR_EraseRootFromParent_Done,
     /* 1973503 */   // Label 26419: @1973503
     /* 1973503 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1973589), // Rule ID 61258 //
     /* 1973508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973554 */     // MIs[0] policy
     /* 1973554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973588 */     // GIR_Coverage, 61258,
     /* 1973588 */     GIR_EraseRootFromParent_Done,
     /* 1973589 */   // Label 26420: @1973589
     /* 1973589 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1973675), // Rule ID 61259 //
     /* 1973594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973640 */     // MIs[0] policy
     /* 1973640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973674 */     // GIR_Coverage, 61259,
     /* 1973674 */     GIR_EraseRootFromParent_Done,
     /* 1973675 */   // Label 26421: @1973675
     /* 1973675 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1973761), // Rule ID 61262 //
     /* 1973680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973726 */     // MIs[0] policy
     /* 1973726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973760 */     // GIR_Coverage, 61262,
     /* 1973760 */     GIR_EraseRootFromParent_Done,
     /* 1973761 */   // Label 26422: @1973761
     /* 1973761 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1973847), // Rule ID 61263 //
     /* 1973766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973812 */     // MIs[0] policy
     /* 1973812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973846 */     // GIR_Coverage, 61263,
     /* 1973846 */     GIR_EraseRootFromParent_Done,
     /* 1973847 */   // Label 26423: @1973847
     /* 1973847 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1973933), // Rule ID 61442 //
     /* 1973852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973898 */     // MIs[0] policy
     /* 1973898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973932 */     // GIR_Coverage, 61442,
     /* 1973932 */     GIR_EraseRootFromParent_Done,
     /* 1973933 */   // Label 26424: @1973933
     /* 1973933 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1974019), // Rule ID 61443 //
     /* 1973938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973984 */     // MIs[0] policy
     /* 1973984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974018 */     // GIR_Coverage, 61443,
     /* 1974018 */     GIR_EraseRootFromParent_Done,
     /* 1974019 */   // Label 26425: @1974019
     /* 1974019 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974105), // Rule ID 61446 //
     /* 1974024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1974044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974070 */     // MIs[0] policy
     /* 1974070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974104 */     // GIR_Coverage, 61446,
     /* 1974104 */     GIR_EraseRootFromParent_Done,
     /* 1974105 */   // Label 26426: @1974105
     /* 1974105 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974191), // Rule ID 61447 //
     /* 1974110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1974130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974156 */     // MIs[0] policy
     /* 1974156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974190 */     // GIR_Coverage, 61447,
     /* 1974190 */     GIR_EraseRootFromParent_Done,
     /* 1974191 */   // Label 26427: @1974191
     /* 1974191 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1974277), // Rule ID 61450 //
     /* 1974196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1974216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974242 */     // MIs[0] policy
     /* 1974242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974276 */     // GIR_Coverage, 61450,
     /* 1974276 */     GIR_EraseRootFromParent_Done,
     /* 1974277 */   // Label 26428: @1974277
     /* 1974277 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1974363), // Rule ID 61451 //
     /* 1974282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1974302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974328 */     // MIs[0] policy
     /* 1974328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974362 */     // GIR_Coverage, 61451,
     /* 1974362 */     GIR_EraseRootFromParent_Done,
     /* 1974363 */   // Label 26429: @1974363
     /* 1974363 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1974449), // Rule ID 61454 //
     /* 1974368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974414 */     // MIs[0] policy
     /* 1974414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974448 */     // GIR_Coverage, 61454,
     /* 1974448 */     GIR_EraseRootFromParent_Done,
     /* 1974449 */   // Label 26430: @1974449
     /* 1974449 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1974535), // Rule ID 61455 //
     /* 1974454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974500 */     // MIs[0] policy
     /* 1974500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974534 */     // GIR_Coverage, 61455,
     /* 1974534 */     GIR_EraseRootFromParent_Done,
     /* 1974535 */   // Label 26431: @1974535
     /* 1974535 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1974621), // Rule ID 61458 //
     /* 1974540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974586 */     // MIs[0] policy
     /* 1974586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974620 */     // GIR_Coverage, 61458,
     /* 1974620 */     GIR_EraseRootFromParent_Done,
     /* 1974621 */   // Label 26432: @1974621
     /* 1974621 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1974707), // Rule ID 61459 //
     /* 1974626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974672 */     // MIs[0] policy
     /* 1974672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974682 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974706 */     // GIR_Coverage, 61459,
     /* 1974706 */     GIR_EraseRootFromParent_Done,
     /* 1974707 */   // Label 26433: @1974707
     /* 1974707 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1974793), // Rule ID 61462 //
     /* 1974712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974758 */     // MIs[0] policy
     /* 1974758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974792 */     // GIR_Coverage, 61462,
     /* 1974792 */     GIR_EraseRootFromParent_Done,
     /* 1974793 */   // Label 26434: @1974793
     /* 1974793 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1974879), // Rule ID 61463 //
     /* 1974798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974844 */     // MIs[0] policy
     /* 1974844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974878 */     // GIR_Coverage, 61463,
     /* 1974878 */     GIR_EraseRootFromParent_Done,
     /* 1974879 */   // Label 26435: @1974879
     /* 1974879 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1974965), // Rule ID 61466 //
     /* 1974884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974930 */     // MIs[0] policy
     /* 1974930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974964 */     // GIR_Coverage, 61466,
     /* 1974964 */     GIR_EraseRootFromParent_Done,
     /* 1974965 */   // Label 26436: @1974965
     /* 1974965 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1975051), // Rule ID 61467 //
     /* 1974970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975016 */     // MIs[0] policy
     /* 1975016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975050 */     // GIR_Coverage, 61467,
     /* 1975050 */     GIR_EraseRootFromParent_Done,
     /* 1975051 */   // Label 26437: @1975051
     /* 1975051 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975137), // Rule ID 61470 //
     /* 1975056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1975076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975102 */     // MIs[0] policy
     /* 1975102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975136 */     // GIR_Coverage, 61470,
     /* 1975136 */     GIR_EraseRootFromParent_Done,
     /* 1975137 */   // Label 26438: @1975137
     /* 1975137 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1975223), // Rule ID 61471 //
     /* 1975142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1975162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975188 */     // MIs[0] policy
     /* 1975188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975222 */     // GIR_Coverage, 61471,
     /* 1975222 */     GIR_EraseRootFromParent_Done,
     /* 1975223 */   // Label 26439: @1975223
     /* 1975223 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1975309), // Rule ID 61474 //
     /* 1975228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1975248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975274 */     // MIs[0] policy
     /* 1975274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975308 */     // GIR_Coverage, 61474,
     /* 1975308 */     GIR_EraseRootFromParent_Done,
     /* 1975309 */   // Label 26440: @1975309
     /* 1975309 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1975395), // Rule ID 61475 //
     /* 1975314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1975334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975360 */     // MIs[0] policy
     /* 1975360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975394 */     // GIR_Coverage, 61475,
     /* 1975394 */     GIR_EraseRootFromParent_Done,
     /* 1975395 */   // Label 26441: @1975395
     /* 1975395 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1975481), // Rule ID 61478 //
     /* 1975400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975446 */     // MIs[0] policy
     /* 1975446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975480 */     // GIR_Coverage, 61478,
     /* 1975480 */     GIR_EraseRootFromParent_Done,
     /* 1975481 */   // Label 26442: @1975481
     /* 1975481 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1975567), // Rule ID 61479 //
     /* 1975486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975532 */     // MIs[0] policy
     /* 1975532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975566 */     // GIR_Coverage, 61479,
     /* 1975566 */     GIR_EraseRootFromParent_Done,
     /* 1975567 */   // Label 26443: @1975567
     /* 1975567 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1975653), // Rule ID 61482 //
     /* 1975572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975618 */     // MIs[0] policy
     /* 1975618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975652 */     // GIR_Coverage, 61482,
     /* 1975652 */     GIR_EraseRootFromParent_Done,
     /* 1975653 */   // Label 26444: @1975653
     /* 1975653 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1975739), // Rule ID 61483 //
     /* 1975658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975704 */     // MIs[0] policy
     /* 1975704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975738 */     // GIR_Coverage, 61483,
     /* 1975738 */     GIR_EraseRootFromParent_Done,
     /* 1975739 */   // Label 26445: @1975739
     /* 1975739 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1975825), // Rule ID 61486 //
     /* 1975744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975790 */     // MIs[0] policy
     /* 1975790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975824 */     // GIR_Coverage, 61486,
     /* 1975824 */     GIR_EraseRootFromParent_Done,
     /* 1975825 */   // Label 26446: @1975825
     /* 1975825 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1975911), // Rule ID 61487 //
     /* 1975830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975876 */     // MIs[0] policy
     /* 1975876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975910 */     // GIR_Coverage, 61487,
     /* 1975910 */     GIR_EraseRootFromParent_Done,
     /* 1975911 */   // Label 26447: @1975911
     /* 1975911 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1975997), // Rule ID 61490 //
     /* 1975916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975962 */     // MIs[0] policy
     /* 1975962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975996 */     // GIR_Coverage, 61490,
     /* 1975996 */     GIR_EraseRootFromParent_Done,
     /* 1975997 */   // Label 26448: @1975997
     /* 1975997 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1976083), // Rule ID 61491 //
     /* 1976002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1976013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1976016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1976019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1976022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1976025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976048 */     // MIs[0] policy
     /* 1976048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976058 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976082 */     // GIR_Coverage, 61491,
     /* 1976082 */     GIR_EraseRootFromParent_Done,
     /* 1976083 */   // Label 26449: @1976083
     /* 1976083 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976169), // Rule ID 61494 //
     /* 1976088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1976108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976134 */     // MIs[0] policy
     /* 1976134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976168 */     // GIR_Coverage, 61494,
     /* 1976168 */     GIR_EraseRootFromParent_Done,
     /* 1976169 */   // Label 26450: @1976169
     /* 1976169 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1976255), // Rule ID 61495 //
     /* 1976174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1976194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976220 */     // MIs[0] policy
     /* 1976220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976254 */     // GIR_Coverage, 61495,
     /* 1976254 */     GIR_EraseRootFromParent_Done,
     /* 1976255 */   // Label 26451: @1976255
     /* 1976255 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1976341), // Rule ID 61498 //
     /* 1976260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1976280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976306 */     // MIs[0] policy
     /* 1976306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976340 */     // GIR_Coverage, 61498,
     /* 1976340 */     GIR_EraseRootFromParent_Done,
     /* 1976341 */   // Label 26452: @1976341
     /* 1976341 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1976427), // Rule ID 61499 //
     /* 1976346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1976366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976392 */     // MIs[0] policy
     /* 1976392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976426 */     // GIR_Coverage, 61499,
     /* 1976426 */     GIR_EraseRootFromParent_Done,
     /* 1976427 */   // Label 26453: @1976427
     /* 1976427 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1976513), // Rule ID 61502 //
     /* 1976432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976478 */     // MIs[0] policy
     /* 1976478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976488 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976512 */     // GIR_Coverage, 61502,
     /* 1976512 */     GIR_EraseRootFromParent_Done,
     /* 1976513 */   // Label 26454: @1976513
     /* 1976513 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1976599), // Rule ID 61503 //
     /* 1976518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976564 */     // MIs[0] policy
     /* 1976564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976598 */     // GIR_Coverage, 61503,
     /* 1976598 */     GIR_EraseRootFromParent_Done,
     /* 1976599 */   // Label 26455: @1976599
     /* 1976599 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1976685), // Rule ID 61506 //
     /* 1976604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976650 */     // MIs[0] policy
     /* 1976650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976684 */     // GIR_Coverage, 61506,
     /* 1976684 */     GIR_EraseRootFromParent_Done,
     /* 1976685 */   // Label 26456: @1976685
     /* 1976685 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1976771), // Rule ID 61507 //
     /* 1976690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976736 */     // MIs[0] policy
     /* 1976736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976770 */     // GIR_Coverage, 61507,
     /* 1976770 */     GIR_EraseRootFromParent_Done,
     /* 1976771 */   // Label 26457: @1976771
     /* 1976771 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1976857), // Rule ID 61510 //
     /* 1976776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976822 */     // MIs[0] policy
     /* 1976822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976856 */     // GIR_Coverage, 61510,
     /* 1976856 */     GIR_EraseRootFromParent_Done,
     /* 1976857 */   // Label 26458: @1976857
     /* 1976857 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1976943), // Rule ID 61511 //
     /* 1976862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976908 */     // MIs[0] policy
     /* 1976908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976942 */     // GIR_Coverage, 61511,
     /* 1976942 */     GIR_EraseRootFromParent_Done,
     /* 1976943 */   // Label 26459: @1976943
     /* 1976943 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1977029), // Rule ID 61514 //
     /* 1976948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976994 */     // MIs[0] policy
     /* 1976994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977028 */     // GIR_Coverage, 61514,
     /* 1977028 */     GIR_EraseRootFromParent_Done,
     /* 1977029 */   // Label 26460: @1977029
     /* 1977029 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977115), // Rule ID 61515 //
     /* 1977034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1977045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1977048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1977051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1977054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977080 */     // MIs[0] policy
     /* 1977080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977114 */     // GIR_Coverage, 61515,
     /* 1977114 */     GIR_EraseRootFromParent_Done,
     /* 1977115 */   // Label 26461: @1977115
     /* 1977115 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977201), // Rule ID 61518 //
     /* 1977120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1977140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977166 */     // MIs[0] policy
     /* 1977166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1977179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977200 */     // GIR_Coverage, 61518,
     /* 1977200 */     GIR_EraseRootFromParent_Done,
     /* 1977201 */   // Label 26462: @1977201
     /* 1977201 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1977287), // Rule ID 61519 //
     /* 1977206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1977226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977252 */     // MIs[0] policy
     /* 1977252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1977265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977286 */     // GIR_Coverage, 61519,
     /* 1977286 */     GIR_EraseRootFromParent_Done,
     /* 1977287 */   // Label 26463: @1977287
     /* 1977287 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1977373), // Rule ID 61522 //
     /* 1977292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1977312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977338 */     // MIs[0] policy
     /* 1977338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977372 */     // GIR_Coverage, 61522,
     /* 1977372 */     GIR_EraseRootFromParent_Done,
     /* 1977373 */   // Label 26464: @1977373
     /* 1977373 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1977459), // Rule ID 61523 //
     /* 1977378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1977398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977424 */     // MIs[0] policy
     /* 1977424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977458 */     // GIR_Coverage, 61523,
     /* 1977458 */     GIR_EraseRootFromParent_Done,
     /* 1977459 */   // Label 26465: @1977459
     /* 1977459 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1977545), // Rule ID 61526 //
     /* 1977464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977510 */     // MIs[0] policy
     /* 1977510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977544 */     // GIR_Coverage, 61526,
     /* 1977544 */     GIR_EraseRootFromParent_Done,
     /* 1977545 */   // Label 26466: @1977545
     /* 1977545 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1977631), // Rule ID 61527 //
     /* 1977550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977596 */     // MIs[0] policy
     /* 1977596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977630 */     // GIR_Coverage, 61527,
     /* 1977630 */     GIR_EraseRootFromParent_Done,
     /* 1977631 */   // Label 26467: @1977631
     /* 1977631 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1977717), // Rule ID 61530 //
     /* 1977636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977682 */     // MIs[0] policy
     /* 1977682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977716 */     // GIR_Coverage, 61530,
     /* 1977716 */     GIR_EraseRootFromParent_Done,
     /* 1977717 */   // Label 26468: @1977717
     /* 1977717 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1977803), // Rule ID 61531 //
     /* 1977722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977768 */     // MIs[0] policy
     /* 1977768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977802 */     // GIR_Coverage, 61531,
     /* 1977802 */     GIR_EraseRootFromParent_Done,
     /* 1977803 */   // Label 26469: @1977803
     /* 1977803 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1977889), // Rule ID 61534 //
     /* 1977808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977854 */     // MIs[0] policy
     /* 1977854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977888 */     // GIR_Coverage, 61534,
     /* 1977888 */     GIR_EraseRootFromParent_Done,
     /* 1977889 */   // Label 26470: @1977889
     /* 1977889 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1977975), // Rule ID 61535 //
     /* 1977894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977940 */     // MIs[0] policy
     /* 1977940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977974 */     // GIR_Coverage, 61535,
     /* 1977974 */     GIR_EraseRootFromParent_Done,
     /* 1977975 */   // Label 26471: @1977975
     /* 1977975 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1978061), // Rule ID 61538 //
     /* 1977980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978026 */     // MIs[0] policy
     /* 1978026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978060 */     // GIR_Coverage, 61538,
     /* 1978060 */     GIR_EraseRootFromParent_Done,
     /* 1978061 */   // Label 26472: @1978061
     /* 1978061 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978147), // Rule ID 61539 //
     /* 1978066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1978077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1978080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1978083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978112 */     // MIs[0] policy
     /* 1978112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978122 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978146 */     // GIR_Coverage, 61539,
     /* 1978146 */     GIR_EraseRootFromParent_Done,
     /* 1978147 */   // Label 26473: @1978147
     /* 1978147 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1978233), // Rule ID 61542 //
     /* 1978152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978198 */     // MIs[0] policy
     /* 1978198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1978211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978232 */     // GIR_Coverage, 61542,
     /* 1978232 */     GIR_EraseRootFromParent_Done,
     /* 1978233 */   // Label 26474: @1978233
     /* 1978233 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1978319), // Rule ID 61543 //
     /* 1978238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978284 */     // MIs[0] policy
     /* 1978284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1978297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978318 */     // GIR_Coverage, 61543,
     /* 1978318 */     GIR_EraseRootFromParent_Done,
     /* 1978319 */   // Label 26475: @1978319
     /* 1978319 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1978405), // Rule ID 61546 //
     /* 1978324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978370 */     // MIs[0] policy
     /* 1978370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978404 */     // GIR_Coverage, 61546,
     /* 1978404 */     GIR_EraseRootFromParent_Done,
     /* 1978405 */   // Label 26476: @1978405
     /* 1978405 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1978491), // Rule ID 61547 //
     /* 1978410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978456 */     // MIs[0] policy
     /* 1978456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978490 */     // GIR_Coverage, 61547,
     /* 1978490 */     GIR_EraseRootFromParent_Done,
     /* 1978491 */   // Label 26477: @1978491
     /* 1978491 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1978577), // Rule ID 61550 //
     /* 1978496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978542 */     // MIs[0] policy
     /* 1978542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978576 */     // GIR_Coverage, 61550,
     /* 1978576 */     GIR_EraseRootFromParent_Done,
     /* 1978577 */   // Label 26478: @1978577
     /* 1978577 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1978663), // Rule ID 61551 //
     /* 1978582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978628 */     // MIs[0] policy
     /* 1978628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978662 */     // GIR_Coverage, 61551,
     /* 1978662 */     GIR_EraseRootFromParent_Done,
     /* 1978663 */   // Label 26479: @1978663
     /* 1978663 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1978749), // Rule ID 61554 //
     /* 1978668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978714 */     // MIs[0] policy
     /* 1978714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978748 */     // GIR_Coverage, 61554,
     /* 1978748 */     GIR_EraseRootFromParent_Done,
     /* 1978749 */   // Label 26480: @1978749
     /* 1978749 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1978835), // Rule ID 61555 //
     /* 1978754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978800 */     // MIs[0] policy
     /* 1978800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978810 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978834 */     // GIR_Coverage, 61555,
     /* 1978834 */     GIR_EraseRootFromParent_Done,
     /* 1978835 */   // Label 26481: @1978835
     /* 1978835 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1978921), // Rule ID 61558 //
     /* 1978840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978886 */     // MIs[0] policy
     /* 1978886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978920 */     // GIR_Coverage, 61558,
     /* 1978920 */     GIR_EraseRootFromParent_Done,
     /* 1978921 */   // Label 26482: @1978921
     /* 1978921 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1979007), // Rule ID 61559 //
     /* 1978926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978972 */     // MIs[0] policy
     /* 1978972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979006 */     // GIR_Coverage, 61559,
     /* 1979006 */     GIR_EraseRootFromParent_Done,
     /* 1979007 */   // Label 26483: @1979007
     /* 1979007 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979093), // Rule ID 61562 //
     /* 1979012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979058 */     // MIs[0] policy
     /* 1979058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979092 */     // GIR_Coverage, 61562,
     /* 1979092 */     GIR_EraseRootFromParent_Done,
     /* 1979093 */   // Label 26484: @1979093
     /* 1979093 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979179), // Rule ID 61563 //
     /* 1979098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979144 */     // MIs[0] policy
     /* 1979144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979178 */     // GIR_Coverage, 61563,
     /* 1979178 */     GIR_EraseRootFromParent_Done,
     /* 1979179 */   // Label 26485: @1979179
     /* 1979179 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1979265), // Rule ID 61566 //
     /* 1979184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979230 */     // MIs[0] policy
     /* 1979230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979264 */     // GIR_Coverage, 61566,
     /* 1979264 */     GIR_EraseRootFromParent_Done,
     /* 1979265 */   // Label 26486: @1979265
     /* 1979265 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1979351), // Rule ID 61567 //
     /* 1979270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979316 */     // MIs[0] policy
     /* 1979316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1979329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979350 */     // GIR_Coverage, 61567,
     /* 1979350 */     GIR_EraseRootFromParent_Done,
     /* 1979351 */   // Label 26487: @1979351
     /* 1979351 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1979437), // Rule ID 61570 //
     /* 1979356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979402 */     // MIs[0] policy
     /* 1979402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979436 */     // GIR_Coverage, 61570,
     /* 1979436 */     GIR_EraseRootFromParent_Done,
     /* 1979437 */   // Label 26488: @1979437
     /* 1979437 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1979523), // Rule ID 61571 //
     /* 1979442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979488 */     // MIs[0] policy
     /* 1979488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979522 */     // GIR_Coverage, 61571,
     /* 1979522 */     GIR_EraseRootFromParent_Done,
     /* 1979523 */   // Label 26489: @1979523
     /* 1979523 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1979609), // Rule ID 61574 //
     /* 1979528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979574 */     // MIs[0] policy
     /* 1979574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979608 */     // GIR_Coverage, 61574,
     /* 1979608 */     GIR_EraseRootFromParent_Done,
     /* 1979609 */   // Label 26490: @1979609
     /* 1979609 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1979695), // Rule ID 61575 //
     /* 1979614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979660 */     // MIs[0] policy
     /* 1979660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979670 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979694 */     // GIR_Coverage, 61575,
     /* 1979694 */     GIR_EraseRootFromParent_Done,
     /* 1979695 */   // Label 26491: @1979695
     /* 1979695 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1979781), // Rule ID 61578 //
     /* 1979700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979746 */     // MIs[0] policy
     /* 1979746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979756 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979780 */     // GIR_Coverage, 61578,
     /* 1979780 */     GIR_EraseRootFromParent_Done,
     /* 1979781 */   // Label 26492: @1979781
     /* 1979781 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1979867), // Rule ID 61579 //
     /* 1979786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979832 */     // MIs[0] policy
     /* 1979832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979842 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979866 */     // GIR_Coverage, 61579,
     /* 1979866 */     GIR_EraseRootFromParent_Done,
     /* 1979867 */   // Label 26493: @1979867
     /* 1979867 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1979953), // Rule ID 61582 //
     /* 1979872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979918 */     // MIs[0] policy
     /* 1979918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979928 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979952 */     // GIR_Coverage, 61582,
     /* 1979952 */     GIR_EraseRootFromParent_Done,
     /* 1979953 */   // Label 26494: @1979953
     /* 1979953 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1980039), // Rule ID 61583 //
     /* 1979958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980004 */     // MIs[0] policy
     /* 1980004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980038 */     // GIR_Coverage, 61583,
     /* 1980038 */     GIR_EraseRootFromParent_Done,
     /* 1980039 */   // Label 26495: @1980039
     /* 1980039 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980125), // Rule ID 61586 //
     /* 1980044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980090 */     // MIs[0] policy
     /* 1980090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980124 */     // GIR_Coverage, 61586,
     /* 1980124 */     GIR_EraseRootFromParent_Done,
     /* 1980125 */   // Label 26496: @1980125
     /* 1980125 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980211), // Rule ID 61587 //
     /* 1980130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980176 */     // MIs[0] policy
     /* 1980176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980210 */     // GIR_Coverage, 61587,
     /* 1980210 */     GIR_EraseRootFromParent_Done,
     /* 1980211 */   // Label 26497: @1980211
     /* 1980211 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1980297), // Rule ID 61590 //
     /* 1980216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980262 */     // MIs[0] policy
     /* 1980262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980296 */     // GIR_Coverage, 61590,
     /* 1980296 */     GIR_EraseRootFromParent_Done,
     /* 1980297 */   // Label 26498: @1980297
     /* 1980297 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1980383), // Rule ID 61591 //
     /* 1980302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980348 */     // MIs[0] policy
     /* 1980348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980382 */     // GIR_Coverage, 61591,
     /* 1980382 */     GIR_EraseRootFromParent_Done,
     /* 1980383 */   // Label 26499: @1980383
     /* 1980383 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1980469), // Rule ID 61594 //
     /* 1980388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980434 */     // MIs[0] policy
     /* 1980434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980468 */     // GIR_Coverage, 61594,
     /* 1980468 */     GIR_EraseRootFromParent_Done,
     /* 1980469 */   // Label 26500: @1980469
     /* 1980469 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1980555), // Rule ID 61595 //
     /* 1980474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980520 */     // MIs[0] policy
     /* 1980520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980554 */     // GIR_Coverage, 61595,
     /* 1980554 */     GIR_EraseRootFromParent_Done,
     /* 1980555 */   // Label 26501: @1980555
     /* 1980555 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1980641), // Rule ID 61598 //
     /* 1980560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980606 */     // MIs[0] policy
     /* 1980606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980640 */     // GIR_Coverage, 61598,
     /* 1980640 */     GIR_EraseRootFromParent_Done,
     /* 1980641 */   // Label 26502: @1980641
     /* 1980641 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1980727), // Rule ID 61599 //
     /* 1980646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980692 */     // MIs[0] policy
     /* 1980692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980726 */     // GIR_Coverage, 61599,
     /* 1980726 */     GIR_EraseRootFromParent_Done,
     /* 1980727 */   // Label 26503: @1980727
     /* 1980727 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1980813), // Rule ID 61602 //
     /* 1980732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980778 */     // MIs[0] policy
     /* 1980778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980812 */     // GIR_Coverage, 61602,
     /* 1980812 */     GIR_EraseRootFromParent_Done,
     /* 1980813 */   // Label 26504: @1980813
     /* 1980813 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1980899), // Rule ID 61603 //
     /* 1980818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980864 */     // MIs[0] policy
     /* 1980864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980898 */     // GIR_Coverage, 61603,
     /* 1980898 */     GIR_EraseRootFromParent_Done,
     /* 1980899 */   // Label 26505: @1980899
     /* 1980899 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1980985), // Rule ID 61606 //
     /* 1980904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980950 */     // MIs[0] policy
     /* 1980950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980984 */     // GIR_Coverage, 61606,
     /* 1980984 */     GIR_EraseRootFromParent_Done,
     /* 1980985 */   // Label 26506: @1980985
     /* 1980985 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1981071), // Rule ID 61607 //
     /* 1980990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981036 */     // MIs[0] policy
     /* 1981036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1981049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981070 */     // GIR_Coverage, 61607,
     /* 1981070 */     GIR_EraseRootFromParent_Done,
     /* 1981071 */   // Label 26507: @1981071
     /* 1981071 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981157), // Rule ID 61610 //
     /* 1981076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981122 */     // MIs[0] policy
     /* 1981122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1981135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981156 */     // GIR_Coverage, 61610,
     /* 1981156 */     GIR_EraseRootFromParent_Done,
     /* 1981157 */   // Label 26508: @1981157
     /* 1981157 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1981243), // Rule ID 61611 //
     /* 1981162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981208 */     // MIs[0] policy
     /* 1981208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1981221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981242 */     // GIR_Coverage, 61611,
     /* 1981242 */     GIR_EraseRootFromParent_Done,
     /* 1981243 */   // Label 26509: @1981243
     /* 1981243 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1981329), // Rule ID 61614 //
     /* 1981248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981294 */     // MIs[0] policy
     /* 1981294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981304 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1981307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981328 */     // GIR_Coverage, 61614,
     /* 1981328 */     GIR_EraseRootFromParent_Done,
     /* 1981329 */   // Label 26510: @1981329
     /* 1981329 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1981415), // Rule ID 61615 //
     /* 1981334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981380 */     // MIs[0] policy
     /* 1981380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1981393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981414 */     // GIR_Coverage, 61615,
     /* 1981414 */     GIR_EraseRootFromParent_Done,
     /* 1981415 */   // Label 26511: @1981415
     /* 1981415 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1981501), // Rule ID 61702 //
     /* 1981420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981466 */     // MIs[0] policy
     /* 1981466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981500 */     // GIR_Coverage, 61702,
     /* 1981500 */     GIR_EraseRootFromParent_Done,
     /* 1981501 */   // Label 26512: @1981501
     /* 1981501 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1981587), // Rule ID 61703 //
     /* 1981506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981552 */     // MIs[0] policy
     /* 1981552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981562 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981586 */     // GIR_Coverage, 61703,
     /* 1981586 */     GIR_EraseRootFromParent_Done,
     /* 1981587 */   // Label 26513: @1981587
     /* 1981587 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1981673), // Rule ID 61706 //
     /* 1981592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981638 */     // MIs[0] policy
     /* 1981638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981672 */     // GIR_Coverage, 61706,
     /* 1981672 */     GIR_EraseRootFromParent_Done,
     /* 1981673 */   // Label 26514: @1981673
     /* 1981673 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1981759), // Rule ID 61707 //
     /* 1981678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981724 */     // MIs[0] policy
     /* 1981724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981734 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981758 */     // GIR_Coverage, 61707,
     /* 1981758 */     GIR_EraseRootFromParent_Done,
     /* 1981759 */   // Label 26515: @1981759
     /* 1981759 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1981845), // Rule ID 61710 //
     /* 1981764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981810 */     // MIs[0] policy
     /* 1981810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981844 */     // GIR_Coverage, 61710,
     /* 1981844 */     GIR_EraseRootFromParent_Done,
     /* 1981845 */   // Label 26516: @1981845
     /* 1981845 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1981931), // Rule ID 61711 //
     /* 1981850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981896 */     // MIs[0] policy
     /* 1981896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981930 */     // GIR_Coverage, 61711,
     /* 1981930 */     GIR_EraseRootFromParent_Done,
     /* 1981931 */   // Label 26517: @1981931
     /* 1981931 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1982017), // Rule ID 61714 //
     /* 1981936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981982 */     // MIs[0] policy
     /* 1981982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982016 */     // GIR_Coverage, 61714,
     /* 1982016 */     GIR_EraseRootFromParent_Done,
     /* 1982017 */   // Label 26518: @1982017
     /* 1982017 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982103), // Rule ID 61715 //
     /* 1982022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1982042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982068 */     // MIs[0] policy
     /* 1982068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1982081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982102 */     // GIR_Coverage, 61715,
     /* 1982102 */     GIR_EraseRootFromParent_Done,
     /* 1982103 */   // Label 26519: @1982103
     /* 1982103 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982189), // Rule ID 61718 //
     /* 1982108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982154 */     // MIs[0] policy
     /* 1982154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982188 */     // GIR_Coverage, 61718,
     /* 1982188 */     GIR_EraseRootFromParent_Done,
     /* 1982189 */   // Label 26520: @1982189
     /* 1982189 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1982275), // Rule ID 61719 //
     /* 1982194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982240 */     // MIs[0] policy
     /* 1982240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982250 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982274 */     // GIR_Coverage, 61719,
     /* 1982274 */     GIR_EraseRootFromParent_Done,
     /* 1982275 */   // Label 26521: @1982275
     /* 1982275 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1982361), // Rule ID 61722 //
     /* 1982280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1982300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982326 */     // MIs[0] policy
     /* 1982326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982360 */     // GIR_Coverage, 61722,
     /* 1982360 */     GIR_EraseRootFromParent_Done,
     /* 1982361 */   // Label 26522: @1982361
     /* 1982361 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1982447), // Rule ID 61723 //
     /* 1982366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1982386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982412 */     // MIs[0] policy
     /* 1982412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1982425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982446 */     // GIR_Coverage, 61723,
     /* 1982446 */     GIR_EraseRootFromParent_Done,
     /* 1982447 */   // Label 26523: @1982447
     /* 1982447 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1982533), // Rule ID 61726 //
     /* 1982452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982498 */     // MIs[0] policy
     /* 1982498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982532 */     // GIR_Coverage, 61726,
     /* 1982532 */     GIR_EraseRootFromParent_Done,
     /* 1982533 */   // Label 26524: @1982533
     /* 1982533 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1982619), // Rule ID 61727 //
     /* 1982538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982584 */     // MIs[0] policy
     /* 1982584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982618 */     // GIR_Coverage, 61727,
     /* 1982618 */     GIR_EraseRootFromParent_Done,
     /* 1982619 */   // Label 26525: @1982619
     /* 1982619 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1982705), // Rule ID 61730 //
     /* 1982624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982670 */     // MIs[0] policy
     /* 1982670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982704 */     // GIR_Coverage, 61730,
     /* 1982704 */     GIR_EraseRootFromParent_Done,
     /* 1982705 */   // Label 26526: @1982705
     /* 1982705 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1982791), // Rule ID 61731 //
     /* 1982710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982756 */     // MIs[0] policy
     /* 1982756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982766 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982790 */     // GIR_Coverage, 61731,
     /* 1982790 */     GIR_EraseRootFromParent_Done,
     /* 1982791 */   // Label 26527: @1982791
     /* 1982791 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1982877), // Rule ID 61734 //
     /* 1982796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982842 */     // MIs[0] policy
     /* 1982842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982876 */     // GIR_Coverage, 61734,
     /* 1982876 */     GIR_EraseRootFromParent_Done,
     /* 1982877 */   // Label 26528: @1982877
     /* 1982877 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1982963), // Rule ID 61735 //
     /* 1982882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982928 */     // MIs[0] policy
     /* 1982928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982962 */     // GIR_Coverage, 61735,
     /* 1982962 */     GIR_EraseRootFromParent_Done,
     /* 1982963 */   // Label 26529: @1982963
     /* 1982963 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1983049), // Rule ID 61738 //
     /* 1982968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983014 */     // MIs[0] policy
     /* 1983014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1983027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983048 */     // GIR_Coverage, 61738,
     /* 1983048 */     GIR_EraseRootFromParent_Done,
     /* 1983049 */   // Label 26530: @1983049
     /* 1983049 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983135), // Rule ID 61739 //
     /* 1983054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1983074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983100 */     // MIs[0] policy
     /* 1983100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1983113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983134 */     // GIR_Coverage, 61739,
     /* 1983134 */     GIR_EraseRootFromParent_Done,
     /* 1983135 */   // Label 26531: @1983135
     /* 1983135 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1983221), // Rule ID 61742 //
     /* 1983140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983186 */     // MIs[0] policy
     /* 1983186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983220 */     // GIR_Coverage, 61742,
     /* 1983220 */     GIR_EraseRootFromParent_Done,
     /* 1983221 */   // Label 26532: @1983221
     /* 1983221 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1983307), // Rule ID 61743 //
     /* 1983226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983272 */     // MIs[0] policy
     /* 1983272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983282 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983306 */     // GIR_Coverage, 61743,
     /* 1983306 */     GIR_EraseRootFromParent_Done,
     /* 1983307 */   // Label 26533: @1983307
     /* 1983307 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1983393), // Rule ID 61746 //
     /* 1983312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983358 */     // MIs[0] policy
     /* 1983358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983392 */     // GIR_Coverage, 61746,
     /* 1983392 */     GIR_EraseRootFromParent_Done,
     /* 1983393 */   // Label 26534: @1983393
     /* 1983393 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1983479), // Rule ID 61747 //
     /* 1983398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983444 */     // MIs[0] policy
     /* 1983444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983454 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983478 */     // GIR_Coverage, 61747,
     /* 1983478 */     GIR_EraseRootFromParent_Done,
     /* 1983479 */   // Label 26535: @1983479
     /* 1983479 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1983565), // Rule ID 61750 //
     /* 1983484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983530 */     // MIs[0] policy
     /* 1983530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983540 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983564 */     // GIR_Coverage, 61750,
     /* 1983564 */     GIR_EraseRootFromParent_Done,
     /* 1983565 */   // Label 26536: @1983565
     /* 1983565 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1983651), // Rule ID 61751 //
     /* 1983570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983616 */     // MIs[0] policy
     /* 1983616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983650 */     // GIR_Coverage, 61751,
     /* 1983650 */     GIR_EraseRootFromParent_Done,
     /* 1983651 */   // Label 26537: @1983651
     /* 1983651 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1983737), // Rule ID 61754 //
     /* 1983656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983702 */     // MIs[0] policy
     /* 1983702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983736 */     // GIR_Coverage, 61754,
     /* 1983736 */     GIR_EraseRootFromParent_Done,
     /* 1983737 */   // Label 26538: @1983737
     /* 1983737 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1983823), // Rule ID 61755 //
     /* 1983742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983788 */     // MIs[0] policy
     /* 1983788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983822 */     // GIR_Coverage, 61755,
     /* 1983822 */     GIR_EraseRootFromParent_Done,
     /* 1983823 */   // Label 26539: @1983823
     /* 1983823 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1983909), // Rule ID 61758 //
     /* 1983828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983874 */     // MIs[0] policy
     /* 1983874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983908 */     // GIR_Coverage, 61758,
     /* 1983908 */     GIR_EraseRootFromParent_Done,
     /* 1983909 */   // Label 26540: @1983909
     /* 1983909 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1983995), // Rule ID 61759 //
     /* 1983914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983960 */     // MIs[0] policy
     /* 1983960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983994 */     // GIR_Coverage, 61759,
     /* 1983994 */     GIR_EraseRootFromParent_Done,
     /* 1983995 */   // Label 26541: @1983995
     /* 1983995 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1984081), // Rule ID 61762 //
     /* 1984000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1984020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984046 */     // MIs[0] policy
     /* 1984046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984080 */     // GIR_Coverage, 61762,
     /* 1984080 */     GIR_EraseRootFromParent_Done,
     /* 1984081 */   // Label 26542: @1984081
     /* 1984081 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984167), // Rule ID 61763 //
     /* 1984086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1984106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984132 */     // MIs[0] policy
     /* 1984132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984166 */     // GIR_Coverage, 61763,
     /* 1984166 */     GIR_EraseRootFromParent_Done,
     /* 1984167 */   // Label 26543: @1984167
     /* 1984167 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1984253), // Rule ID 61766 //
     /* 1984172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1984192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984218 */     // MIs[0] policy
     /* 1984218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984252 */     // GIR_Coverage, 61766,
     /* 1984252 */     GIR_EraseRootFromParent_Done,
     /* 1984253 */   // Label 26544: @1984253
     /* 1984253 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1984339), // Rule ID 61767 //
     /* 1984258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1984278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984304 */     // MIs[0] policy
     /* 1984304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984338 */     // GIR_Coverage, 61767,
     /* 1984338 */     GIR_EraseRootFromParent_Done,
     /* 1984339 */   // Label 26545: @1984339
     /* 1984339 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1984425), // Rule ID 61770 //
     /* 1984344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984390 */     // MIs[0] policy
     /* 1984390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984424 */     // GIR_Coverage, 61770,
     /* 1984424 */     GIR_EraseRootFromParent_Done,
     /* 1984425 */   // Label 26546: @1984425
     /* 1984425 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1984511), // Rule ID 61771 //
     /* 1984430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984476 */     // MIs[0] policy
     /* 1984476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984510 */     // GIR_Coverage, 61771,
     /* 1984510 */     GIR_EraseRootFromParent_Done,
     /* 1984511 */   // Label 26547: @1984511
     /* 1984511 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1984597), // Rule ID 61774 //
     /* 1984516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984562 */     // MIs[0] policy
     /* 1984562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984596 */     // GIR_Coverage, 61774,
     /* 1984596 */     GIR_EraseRootFromParent_Done,
     /* 1984597 */   // Label 26548: @1984597
     /* 1984597 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1984683), // Rule ID 61775 //
     /* 1984602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984648 */     // MIs[0] policy
     /* 1984648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984682 */     // GIR_Coverage, 61775,
     /* 1984682 */     GIR_EraseRootFromParent_Done,
     /* 1984683 */   // Label 26549: @1984683
     /* 1984683 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1984769), // Rule ID 61778 //
     /* 1984688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984734 */     // MIs[0] policy
     /* 1984734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984768 */     // GIR_Coverage, 61778,
     /* 1984768 */     GIR_EraseRootFromParent_Done,
     /* 1984769 */   // Label 26550: @1984769
     /* 1984769 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1984855), // Rule ID 61779 //
     /* 1984774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984820 */     // MIs[0] policy
     /* 1984820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984854 */     // GIR_Coverage, 61779,
     /* 1984854 */     GIR_EraseRootFromParent_Done,
     /* 1984855 */   // Label 26551: @1984855
     /* 1984855 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1984941), // Rule ID 61782 //
     /* 1984860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984906 */     // MIs[0] policy
     /* 1984906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984940 */     // GIR_Coverage, 61782,
     /* 1984940 */     GIR_EraseRootFromParent_Done,
     /* 1984941 */   // Label 26552: @1984941
     /* 1984941 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1985027), // Rule ID 61783 //
     /* 1984946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984992 */     // MIs[0] policy
     /* 1984992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1985005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985026 */     // GIR_Coverage, 61783,
     /* 1985026 */     GIR_EraseRootFromParent_Done,
     /* 1985027 */   // Label 26553: @1985027
     /* 1985027 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985113), // Rule ID 61786 //
     /* 1985032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1985052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985078 */     // MIs[0] policy
     /* 1985078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1985091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985112 */     // GIR_Coverage, 61786,
     /* 1985112 */     GIR_EraseRootFromParent_Done,
     /* 1985113 */   // Label 26554: @1985113
     /* 1985113 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985199), // Rule ID 61787 //
     /* 1985118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1985138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985164 */     // MIs[0] policy
     /* 1985164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1985177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985198 */     // GIR_Coverage, 61787,
     /* 1985198 */     GIR_EraseRootFromParent_Done,
     /* 1985199 */   // Label 26555: @1985199
     /* 1985199 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1985285), // Rule ID 61790 //
     /* 1985204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985250 */     // MIs[0] policy
     /* 1985250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985260 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1985263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985284 */     // GIR_Coverage, 61790,
     /* 1985284 */     GIR_EraseRootFromParent_Done,
     /* 1985285 */   // Label 26556: @1985285
     /* 1985285 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1985371), // Rule ID 61791 //
     /* 1985290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985336 */     // MIs[0] policy
     /* 1985336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1985349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985370 */     // GIR_Coverage, 61791,
     /* 1985370 */     GIR_EraseRootFromParent_Done,
     /* 1985371 */   // Label 26557: @1985371
     /* 1985371 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1985457), // Rule ID 61794 //
     /* 1985376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985422 */     // MIs[0] policy
     /* 1985422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985456 */     // GIR_Coverage, 61794,
     /* 1985456 */     GIR_EraseRootFromParent_Done,
     /* 1985457 */   // Label 26558: @1985457
     /* 1985457 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1985543), // Rule ID 61795 //
     /* 1985462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985508 */     // MIs[0] policy
     /* 1985508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985542 */     // GIR_Coverage, 61795,
     /* 1985542 */     GIR_EraseRootFromParent_Done,
     /* 1985543 */   // Label 26559: @1985543
     /* 1985543 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1985629), // Rule ID 61798 //
     /* 1985548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985594 */     // MIs[0] policy
     /* 1985594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985628 */     // GIR_Coverage, 61798,
     /* 1985628 */     GIR_EraseRootFromParent_Done,
     /* 1985629 */   // Label 26560: @1985629
     /* 1985629 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1985715), // Rule ID 61799 //
     /* 1985634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985680 */     // MIs[0] policy
     /* 1985680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985690 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985714 */     // GIR_Coverage, 61799,
     /* 1985714 */     GIR_EraseRootFromParent_Done,
     /* 1985715 */   // Label 26561: @1985715
     /* 1985715 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1985801), // Rule ID 61802 //
     /* 1985720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985766 */     // MIs[0] policy
     /* 1985766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985800 */     // GIR_Coverage, 61802,
     /* 1985800 */     GIR_EraseRootFromParent_Done,
     /* 1985801 */   // Label 26562: @1985801
     /* 1985801 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1985887), // Rule ID 61803 //
     /* 1985806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985852 */     // MIs[0] policy
     /* 1985852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985886 */     // GIR_Coverage, 61803,
     /* 1985886 */     GIR_EraseRootFromParent_Done,
     /* 1985887 */   // Label 26563: @1985887
     /* 1985887 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1985973), // Rule ID 61806 //
     /* 1985892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985938 */     // MIs[0] policy
     /* 1985938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985972 */     // GIR_Coverage, 61806,
     /* 1985972 */     GIR_EraseRootFromParent_Done,
     /* 1985973 */   // Label 26564: @1985973
     /* 1985973 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1986059), // Rule ID 61807 //
     /* 1985978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986024 */     // MIs[0] policy
     /* 1986024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986058 */     // GIR_Coverage, 61807,
     /* 1986058 */     GIR_EraseRootFromParent_Done,
     /* 1986059 */   // Label 26565: @1986059
     /* 1986059 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986145), // Rule ID 61810 //
     /* 1986064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986110 */     // MIs[0] policy
     /* 1986110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986144 */     // GIR_Coverage, 61810,
     /* 1986144 */     GIR_EraseRootFromParent_Done,
     /* 1986145 */   // Label 26566: @1986145
     /* 1986145 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1986231), // Rule ID 61811 //
     /* 1986150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986196 */     // MIs[0] policy
     /* 1986196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1986209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986230 */     // GIR_Coverage, 61811,
     /* 1986230 */     GIR_EraseRootFromParent_Done,
     /* 1986231 */   // Label 26567: @1986231
     /* 1986231 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1986317), // Rule ID 61814 //
     /* 1986236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986282 */     // MIs[0] policy
     /* 1986282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986316 */     // GIR_Coverage, 61814,
     /* 1986316 */     GIR_EraseRootFromParent_Done,
     /* 1986317 */   // Label 26568: @1986317
     /* 1986317 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1986403), // Rule ID 61815 //
     /* 1986322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986368 */     // MIs[0] policy
     /* 1986368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986402 */     // GIR_Coverage, 61815,
     /* 1986402 */     GIR_EraseRootFromParent_Done,
     /* 1986403 */   // Label 26569: @1986403
     /* 1986403 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1986489), // Rule ID 61818 //
     /* 1986408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986454 */     // MIs[0] policy
     /* 1986454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986488 */     // GIR_Coverage, 61818,
     /* 1986488 */     GIR_EraseRootFromParent_Done,
     /* 1986489 */   // Label 26570: @1986489
     /* 1986489 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1986575), // Rule ID 61819 //
     /* 1986494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986540 */     // MIs[0] policy
     /* 1986540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986574 */     // GIR_Coverage, 61819,
     /* 1986574 */     GIR_EraseRootFromParent_Done,
     /* 1986575 */   // Label 26571: @1986575
     /* 1986575 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1986661), // Rule ID 61822 //
     /* 1986580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986626 */     // MIs[0] policy
     /* 1986626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986660 */     // GIR_Coverage, 61822,
     /* 1986660 */     GIR_EraseRootFromParent_Done,
     /* 1986661 */   // Label 26572: @1986661
     /* 1986661 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1986747), // Rule ID 61823 //
     /* 1986666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986712 */     // MIs[0] policy
     /* 1986712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986746 */     // GIR_Coverage, 61823,
     /* 1986746 */     GIR_EraseRootFromParent_Done,
     /* 1986747 */   // Label 26573: @1986747
     /* 1986747 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1986833), // Rule ID 61826 //
     /* 1986752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986798 */     // MIs[0] policy
     /* 1986798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986832 */     // GIR_Coverage, 61826,
     /* 1986832 */     GIR_EraseRootFromParent_Done,
     /* 1986833 */   // Label 26574: @1986833
     /* 1986833 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1986919), // Rule ID 61827 //
     /* 1986838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986884 */     // MIs[0] policy
     /* 1986884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986918 */     // GIR_Coverage, 61827,
     /* 1986918 */     GIR_EraseRootFromParent_Done,
     /* 1986919 */   // Label 26575: @1986919
     /* 1986919 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1987005), // Rule ID 61830 //
     /* 1986924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986970 */     // MIs[0] policy
     /* 1986970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987004 */     // GIR_Coverage, 61830,
     /* 1987004 */     GIR_EraseRootFromParent_Done,
     /* 1987005 */   // Label 26576: @1987005
     /* 1987005 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987091), // Rule ID 61831 //
     /* 1987010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987056 */     // MIs[0] policy
     /* 1987056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987090 */     // GIR_Coverage, 61831,
     /* 1987090 */     GIR_EraseRootFromParent_Done,
     /* 1987091 */   // Label 26577: @1987091
     /* 1987091 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987177), // Rule ID 61834 //
     /* 1987096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987142 */     // MIs[0] policy
     /* 1987142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987176 */     // GIR_Coverage, 61834,
     /* 1987176 */     GIR_EraseRootFromParent_Done,
     /* 1987177 */   // Label 26578: @1987177
     /* 1987177 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1987263), // Rule ID 61835 //
     /* 1987182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987228 */     // MIs[0] policy
     /* 1987228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987262 */     // GIR_Coverage, 61835,
     /* 1987262 */     GIR_EraseRootFromParent_Done,
     /* 1987263 */   // Label 26579: @1987263
     /* 1987263 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1987349), // Rule ID 61838 //
     /* 1987268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987314 */     // MIs[0] policy
     /* 1987314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987348 */     // GIR_Coverage, 61838,
     /* 1987348 */     GIR_EraseRootFromParent_Done,
     /* 1987349 */   // Label 26580: @1987349
     /* 1987349 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1987435), // Rule ID 61839 //
     /* 1987354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987400 */     // MIs[0] policy
     /* 1987400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987434 */     // GIR_Coverage, 61839,
     /* 1987434 */     GIR_EraseRootFromParent_Done,
     /* 1987435 */   // Label 26581: @1987435
     /* 1987435 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1987521), // Rule ID 61842 //
     /* 1987440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987486 */     // MIs[0] policy
     /* 1987486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987520 */     // GIR_Coverage, 61842,
     /* 1987520 */     GIR_EraseRootFromParent_Done,
     /* 1987521 */   // Label 26582: @1987521
     /* 1987521 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1987607), // Rule ID 61843 //
     /* 1987526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987572 */     // MIs[0] policy
     /* 1987572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987606 */     // GIR_Coverage, 61843,
     /* 1987606 */     GIR_EraseRootFromParent_Done,
     /* 1987607 */   // Label 26583: @1987607
     /* 1987607 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1987693), // Rule ID 61846 //
     /* 1987612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987658 */     // MIs[0] policy
     /* 1987658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987692 */     // GIR_Coverage, 61846,
     /* 1987692 */     GIR_EraseRootFromParent_Done,
     /* 1987693 */   // Label 26584: @1987693
     /* 1987693 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1987779), // Rule ID 61847 //
     /* 1987698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987744 */     // MIs[0] policy
     /* 1987744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987778 */     // GIR_Coverage, 61847,
     /* 1987778 */     GIR_EraseRootFromParent_Done,
     /* 1987779 */   // Label 26585: @1987779
     /* 1987779 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1987865), // Rule ID 61850 //
     /* 1987784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987830 */     // MIs[0] policy
     /* 1987830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987864 */     // GIR_Coverage, 61850,
     /* 1987864 */     GIR_EraseRootFromParent_Done,
     /* 1987865 */   // Label 26586: @1987865
     /* 1987865 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1987951), // Rule ID 61851 //
     /* 1987870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987916 */     // MIs[0] policy
     /* 1987916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987950 */     // GIR_Coverage, 61851,
     /* 1987950 */     GIR_EraseRootFromParent_Done,
     /* 1987951 */   // Label 26587: @1987951
     /* 1987951 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1988037), // Rule ID 61854 //
     /* 1987956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988002 */     // MIs[0] policy
     /* 1988002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988036 */     // GIR_Coverage, 61854,
     /* 1988036 */     GIR_EraseRootFromParent_Done,
     /* 1988037 */   // Label 26588: @1988037
     /* 1988037 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988123), // Rule ID 61855 //
     /* 1988042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988088 */     // MIs[0] policy
     /* 1988088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988122 */     // GIR_Coverage, 61855,
     /* 1988122 */     GIR_EraseRootFromParent_Done,
     /* 1988123 */   // Label 26589: @1988123
     /* 1988123 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988209), // Rule ID 61858 //
     /* 1988128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988174 */     // MIs[0] policy
     /* 1988174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988208 */     // GIR_Coverage, 61858,
     /* 1988208 */     GIR_EraseRootFromParent_Done,
     /* 1988209 */   // Label 26590: @1988209
     /* 1988209 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1988295), // Rule ID 61859 //
     /* 1988214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988260 */     // MIs[0] policy
     /* 1988260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988294 */     // GIR_Coverage, 61859,
     /* 1988294 */     GIR_EraseRootFromParent_Done,
     /* 1988295 */   // Label 26591: @1988295
     /* 1988295 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1988381), // Rule ID 61862 //
     /* 1988300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988346 */     // MIs[0] policy
     /* 1988346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988380 */     // GIR_Coverage, 61862,
     /* 1988380 */     GIR_EraseRootFromParent_Done,
     /* 1988381 */   // Label 26592: @1988381
     /* 1988381 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1988467), // Rule ID 61863 //
     /* 1988386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988432 */     // MIs[0] policy
     /* 1988432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988466 */     // GIR_Coverage, 61863,
     /* 1988466 */     GIR_EraseRootFromParent_Done,
     /* 1988467 */   // Label 26593: @1988467
     /* 1988467 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1988553), // Rule ID 61866 //
     /* 1988472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988518 */     // MIs[0] policy
     /* 1988518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988552 */     // GIR_Coverage, 61866,
     /* 1988552 */     GIR_EraseRootFromParent_Done,
     /* 1988553 */   // Label 26594: @1988553
     /* 1988553 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1988639), // Rule ID 61867 //
     /* 1988558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988604 */     // MIs[0] policy
     /* 1988604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988638 */     // GIR_Coverage, 61867,
     /* 1988638 */     GIR_EraseRootFromParent_Done,
     /* 1988639 */   // Label 26595: @1988639
     /* 1988639 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1988725), // Rule ID 61870 //
     /* 1988644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988690 */     // MIs[0] policy
     /* 1988690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988724 */     // GIR_Coverage, 61870,
     /* 1988724 */     GIR_EraseRootFromParent_Done,
     /* 1988725 */   // Label 26596: @1988725
     /* 1988725 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1988811), // Rule ID 61871 //
     /* 1988730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988776 */     // MIs[0] policy
     /* 1988776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988810 */     // GIR_Coverage, 61871,
     /* 1988810 */     GIR_EraseRootFromParent_Done,
     /* 1988811 */   // Label 26597: @1988811
     /* 1988811 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1988897), // Rule ID 61874 //
     /* 1988816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988862 */     // MIs[0] policy
     /* 1988862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988896 */     // GIR_Coverage, 61874,
     /* 1988896 */     GIR_EraseRootFromParent_Done,
     /* 1988897 */   // Label 26598: @1988897
     /* 1988897 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1988983), // Rule ID 61875 //
     /* 1988902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988948 */     // MIs[0] policy
     /* 1988948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988982 */     // GIR_Coverage, 61875,
     /* 1988982 */     GIR_EraseRootFromParent_Done,
     /* 1988983 */   // Label 26599: @1988983
     /* 1988983 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1989069), // Rule ID 62519 //
     /* 1988988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989034 */     // MIs[0] policy
     /* 1989034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1989047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989068 */     // GIR_Coverage, 62519,
     /* 1989068 */     GIR_EraseRootFromParent_Done,
     /* 1989069 */   // Label 26600: @1989069
     /* 1989069 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989155), // Rule ID 62520 //
     /* 1989074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989120 */     // MIs[0] policy
     /* 1989120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1989133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989154 */     // GIR_Coverage, 62520,
     /* 1989154 */     GIR_EraseRootFromParent_Done,
     /* 1989155 */   // Label 26601: @1989155
     /* 1989155 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1989241), // Rule ID 62523 //
     /* 1989160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989206 */     // MIs[0] policy
     /* 1989206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1989219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989240 */     // GIR_Coverage, 62523,
     /* 1989240 */     GIR_EraseRootFromParent_Done,
     /* 1989241 */   // Label 26602: @1989241
     /* 1989241 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1989327), // Rule ID 62524 //
     /* 1989246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989292 */     // MIs[0] policy
     /* 1989292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1989305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989326 */     // GIR_Coverage, 62524,
     /* 1989326 */     GIR_EraseRootFromParent_Done,
     /* 1989327 */   // Label 26603: @1989327
     /* 1989327 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1989413), // Rule ID 62527 //
     /* 1989332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989378 */     // MIs[0] policy
     /* 1989378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989412 */     // GIR_Coverage, 62527,
     /* 1989412 */     GIR_EraseRootFromParent_Done,
     /* 1989413 */   // Label 26604: @1989413
     /* 1989413 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1989499), // Rule ID 62528 //
     /* 1989418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989464 */     // MIs[0] policy
     /* 1989464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989498 */     // GIR_Coverage, 62528,
     /* 1989498 */     GIR_EraseRootFromParent_Done,
     /* 1989499 */   // Label 26605: @1989499
     /* 1989499 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1989585), // Rule ID 62531 //
     /* 1989504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989550 */     // MIs[0] policy
     /* 1989550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989584 */     // GIR_Coverage, 62531,
     /* 1989584 */     GIR_EraseRootFromParent_Done,
     /* 1989585 */   // Label 26606: @1989585
     /* 1989585 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1989671), // Rule ID 62532 //
     /* 1989590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989636 */     // MIs[0] policy
     /* 1989636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989670 */     // GIR_Coverage, 62532,
     /* 1989670 */     GIR_EraseRootFromParent_Done,
     /* 1989671 */   // Label 26607: @1989671
     /* 1989671 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1989757), // Rule ID 62535 //
     /* 1989676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989722 */     // MIs[0] policy
     /* 1989722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989756 */     // GIR_Coverage, 62535,
     /* 1989756 */     GIR_EraseRootFromParent_Done,
     /* 1989757 */   // Label 26608: @1989757
     /* 1989757 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1989843), // Rule ID 62536 //
     /* 1989762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989808 */     // MIs[0] policy
     /* 1989808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989842 */     // GIR_Coverage, 62536,
     /* 1989842 */     GIR_EraseRootFromParent_Done,
     /* 1989843 */   // Label 26609: @1989843
     /* 1989843 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1989929), // Rule ID 62539 //
     /* 1989848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989894 */     // MIs[0] policy
     /* 1989894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989928 */     // GIR_Coverage, 62539,
     /* 1989928 */     GIR_EraseRootFromParent_Done,
     /* 1989929 */   // Label 26610: @1989929
     /* 1989929 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1990015), // Rule ID 62540 //
     /* 1989934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989980 */     // MIs[0] policy
     /* 1989980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990014 */     // GIR_Coverage, 62540,
     /* 1990014 */     GIR_EraseRootFromParent_Done,
     /* 1990015 */   // Label 26611: @1990015
     /* 1990015 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990101), // Rule ID 62543 //
     /* 1990020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990066 */     // MIs[0] policy
     /* 1990066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1990079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990100 */     // GIR_Coverage, 62543,
     /* 1990100 */     GIR_EraseRootFromParent_Done,
     /* 1990101 */   // Label 26612: @1990101
     /* 1990101 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990187), // Rule ID 62544 //
     /* 1990106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990152 */     // MIs[0] policy
     /* 1990152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1990165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990186 */     // GIR_Coverage, 62544,
     /* 1990186 */     GIR_EraseRootFromParent_Done,
     /* 1990187 */   // Label 26613: @1990187
     /* 1990187 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1990273), // Rule ID 62547 //
     /* 1990192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990238 */     // MIs[0] policy
     /* 1990238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1990251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990272 */     // GIR_Coverage, 62547,
     /* 1990272 */     GIR_EraseRootFromParent_Done,
     /* 1990273 */   // Label 26614: @1990273
     /* 1990273 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1990359), // Rule ID 62548 //
     /* 1990278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990324 */     // MIs[0] policy
     /* 1990324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1990337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990358 */     // GIR_Coverage, 62548,
     /* 1990358 */     GIR_EraseRootFromParent_Done,
     /* 1990359 */   // Label 26615: @1990359
     /* 1990359 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1990445), // Rule ID 62551 //
     /* 1990364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990410 */     // MIs[0] policy
     /* 1990410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990444 */     // GIR_Coverage, 62551,
     /* 1990444 */     GIR_EraseRootFromParent_Done,
     /* 1990445 */   // Label 26616: @1990445
     /* 1990445 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1990531), // Rule ID 62552 //
     /* 1990450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990496 */     // MIs[0] policy
     /* 1990496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990530 */     // GIR_Coverage, 62552,
     /* 1990530 */     GIR_EraseRootFromParent_Done,
     /* 1990531 */   // Label 26617: @1990531
     /* 1990531 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1990617), // Rule ID 62555 //
     /* 1990536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990582 */     // MIs[0] policy
     /* 1990582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990616 */     // GIR_Coverage, 62555,
     /* 1990616 */     GIR_EraseRootFromParent_Done,
     /* 1990617 */   // Label 26618: @1990617
     /* 1990617 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1990703), // Rule ID 62556 //
     /* 1990622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990668 */     // MIs[0] policy
     /* 1990668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990702 */     // GIR_Coverage, 62556,
     /* 1990702 */     GIR_EraseRootFromParent_Done,
     /* 1990703 */   // Label 26619: @1990703
     /* 1990703 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1990789), // Rule ID 62559 //
     /* 1990708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990754 */     // MIs[0] policy
     /* 1990754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990788 */     // GIR_Coverage, 62559,
     /* 1990788 */     GIR_EraseRootFromParent_Done,
     /* 1990789 */   // Label 26620: @1990789
     /* 1990789 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1990875), // Rule ID 62560 //
     /* 1990794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990840 */     // MIs[0] policy
     /* 1990840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990874 */     // GIR_Coverage, 62560,
     /* 1990874 */     GIR_EraseRootFromParent_Done,
     /* 1990875 */   // Label 26621: @1990875
     /* 1990875 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1990961), // Rule ID 62563 //
     /* 1990880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990926 */     // MIs[0] policy
     /* 1990926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990960 */     // GIR_Coverage, 62563,
     /* 1990960 */     GIR_EraseRootFromParent_Done,
     /* 1990961 */   // Label 26622: @1990961
     /* 1990961 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1991047), // Rule ID 62564 //
     /* 1990966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991012 */     // MIs[0] policy
     /* 1991012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1991025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991046 */     // GIR_Coverage, 62564,
     /* 1991046 */     GIR_EraseRootFromParent_Done,
     /* 1991047 */   // Label 26623: @1991047
     /* 1991047 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991133), // Rule ID 62567 //
     /* 1991052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991098 */     // MIs[0] policy
     /* 1991098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1991111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991132 */     // GIR_Coverage, 62567,
     /* 1991132 */     GIR_EraseRootFromParent_Done,
     /* 1991133 */   // Label 26624: @1991133
     /* 1991133 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1991219), // Rule ID 62568 //
     /* 1991138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991184 */     // MIs[0] policy
     /* 1991184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1991197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991218 */     // GIR_Coverage, 62568,
     /* 1991218 */     GIR_EraseRootFromParent_Done,
     /* 1991219 */   // Label 26625: @1991219
     /* 1991219 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1991305), // Rule ID 62571 //
     /* 1991224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991270 */     // MIs[0] policy
     /* 1991270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1991283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991304 */     // GIR_Coverage, 62571,
     /* 1991304 */     GIR_EraseRootFromParent_Done,
     /* 1991305 */   // Label 26626: @1991305
     /* 1991305 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1991391), // Rule ID 62572 //
     /* 1991310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991356 */     // MIs[0] policy
     /* 1991356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1991369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991390 */     // GIR_Coverage, 62572,
     /* 1991390 */     GIR_EraseRootFromParent_Done,
     /* 1991391 */   // Label 26627: @1991391
     /* 1991391 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1991477), // Rule ID 62575 //
     /* 1991396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991442 */     // MIs[0] policy
     /* 1991442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991476 */     // GIR_Coverage, 62575,
     /* 1991476 */     GIR_EraseRootFromParent_Done,
     /* 1991477 */   // Label 26628: @1991477
     /* 1991477 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1991563), // Rule ID 62576 //
     /* 1991482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991528 */     // MIs[0] policy
     /* 1991528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991562 */     // GIR_Coverage, 62576,
     /* 1991562 */     GIR_EraseRootFromParent_Done,
     /* 1991563 */   // Label 26629: @1991563
     /* 1991563 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1991649), // Rule ID 62579 //
     /* 1991568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991614 */     // MIs[0] policy
     /* 1991614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991648 */     // GIR_Coverage, 62579,
     /* 1991648 */     GIR_EraseRootFromParent_Done,
     /* 1991649 */   // Label 26630: @1991649
     /* 1991649 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1991735), // Rule ID 62580 //
     /* 1991654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991700 */     // MIs[0] policy
     /* 1991700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991734 */     // GIR_Coverage, 62580,
     /* 1991734 */     GIR_EraseRootFromParent_Done,
     /* 1991735 */   // Label 26631: @1991735
     /* 1991735 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1991821), // Rule ID 62583 //
     /* 1991740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991786 */     // MIs[0] policy
     /* 1991786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991820 */     // GIR_Coverage, 62583,
     /* 1991820 */     GIR_EraseRootFromParent_Done,
     /* 1991821 */   // Label 26632: @1991821
     /* 1991821 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1991907), // Rule ID 62584 //
     /* 1991826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991872 */     // MIs[0] policy
     /* 1991872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991906 */     // GIR_Coverage, 62584,
     /* 1991906 */     GIR_EraseRootFromParent_Done,
     /* 1991907 */   // Label 26633: @1991907
     /* 1991907 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1991993), // Rule ID 62587 //
     /* 1991912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991958 */     // MIs[0] policy
     /* 1991958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991992 */     // GIR_Coverage, 62587,
     /* 1991992 */     GIR_EraseRootFromParent_Done,
     /* 1991993 */   // Label 26634: @1991993
     /* 1991993 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1992079), // Rule ID 62588 //
     /* 1991998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992044 */     // MIs[0] policy
     /* 1992044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1992057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992078 */     // GIR_Coverage, 62588,
     /* 1992078 */     GIR_EraseRootFromParent_Done,
     /* 1992079 */   // Label 26635: @1992079
     /* 1992079 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992165), // Rule ID 62591 //
     /* 1992084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992130 */     // MIs[0] policy
     /* 1992130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1992143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992164 */     // GIR_Coverage, 62591,
     /* 1992164 */     GIR_EraseRootFromParent_Done,
     /* 1992165 */   // Label 26636: @1992165
     /* 1992165 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1992251), // Rule ID 62592 //
     /* 1992170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992216 */     // MIs[0] policy
     /* 1992216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1992229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992250 */     // GIR_Coverage, 62592,
     /* 1992250 */     GIR_EraseRootFromParent_Done,
     /* 1992251 */   // Label 26637: @1992251
     /* 1992251 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1992337), // Rule ID 62595 //
     /* 1992256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992302 */     // MIs[0] policy
     /* 1992302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1992315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992336 */     // GIR_Coverage, 62595,
     /* 1992336 */     GIR_EraseRootFromParent_Done,
     /* 1992337 */   // Label 26638: @1992337
     /* 1992337 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1992423), // Rule ID 62596 //
     /* 1992342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1992350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992388 */     // MIs[0] policy
     /* 1992388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1992401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992422 */     // GIR_Coverage, 62596,
     /* 1992422 */     GIR_EraseRootFromParent_Done,
     /* 1992423 */   // Label 26639: @1992423
     /* 1992423 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1992509), // Rule ID 62599 //
     /* 1992428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992474 */     // MIs[0] policy
     /* 1992474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992508 */     // GIR_Coverage, 62599,
     /* 1992508 */     GIR_EraseRootFromParent_Done,
     /* 1992509 */   // Label 26640: @1992509
     /* 1992509 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1992595), // Rule ID 62600 //
     /* 1992514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992560 */     // MIs[0] policy
     /* 1992560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992594 */     // GIR_Coverage, 62600,
     /* 1992594 */     GIR_EraseRootFromParent_Done,
     /* 1992595 */   // Label 26641: @1992595
     /* 1992595 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1992681), // Rule ID 62603 //
     /* 1992600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992646 */     // MIs[0] policy
     /* 1992646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992680 */     // GIR_Coverage, 62603,
     /* 1992680 */     GIR_EraseRootFromParent_Done,
     /* 1992681 */   // Label 26642: @1992681
     /* 1992681 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1992767), // Rule ID 62604 //
     /* 1992686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992732 */     // MIs[0] policy
     /* 1992732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992766 */     // GIR_Coverage, 62604,
     /* 1992766 */     GIR_EraseRootFromParent_Done,
     /* 1992767 */   // Label 26643: @1992767
     /* 1992767 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1992853), // Rule ID 62607 //
     /* 1992772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992818 */     // MIs[0] policy
     /* 1992818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992852 */     // GIR_Coverage, 62607,
     /* 1992852 */     GIR_EraseRootFromParent_Done,
     /* 1992853 */   // Label 26644: @1992853
     /* 1992853 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1992939), // Rule ID 62608 //
     /* 1992858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992904 */     // MIs[0] policy
     /* 1992904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992938 */     // GIR_Coverage, 62608,
     /* 1992938 */     GIR_EraseRootFromParent_Done,
     /* 1992939 */   // Label 26645: @1992939
     /* 1992939 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1993025), // Rule ID 62611 //
     /* 1992944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992990 */     // MIs[0] policy
     /* 1992990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1993003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993024 */     // GIR_Coverage, 62611,
     /* 1993024 */     GIR_EraseRootFromParent_Done,
     /* 1993025 */   // Label 26646: @1993025
     /* 1993025 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993111), // Rule ID 62612 //
     /* 1993030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993076 */     // MIs[0] policy
     /* 1993076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1993089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993110 */     // GIR_Coverage, 62612,
     /* 1993110 */     GIR_EraseRootFromParent_Done,
     /* 1993111 */   // Label 26647: @1993111
     /* 1993111 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1993197), // Rule ID 62615 //
     /* 1993116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993162 */     // MIs[0] policy
     /* 1993162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1993175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993196 */     // GIR_Coverage, 62615,
     /* 1993196 */     GIR_EraseRootFromParent_Done,
     /* 1993197 */   // Label 26648: @1993197
     /* 1993197 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1993283), // Rule ID 62616 //
     /* 1993202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993248 */     // MIs[0] policy
     /* 1993248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1993261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993282 */     // GIR_Coverage, 62616,
     /* 1993282 */     GIR_EraseRootFromParent_Done,
     /* 1993283 */   // Label 26649: @1993283
     /* 1993283 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1993369), // Rule ID 62619 //
     /* 1993288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993334 */     // MIs[0] policy
     /* 1993334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993368 */     // GIR_Coverage, 62619,
     /* 1993368 */     GIR_EraseRootFromParent_Done,
     /* 1993369 */   // Label 26650: @1993369
     /* 1993369 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1993455), // Rule ID 62620 //
     /* 1993374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993420 */     // MIs[0] policy
     /* 1993420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993454 */     // GIR_Coverage, 62620,
     /* 1993454 */     GIR_EraseRootFromParent_Done,
     /* 1993455 */   // Label 26651: @1993455
     /* 1993455 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1993541), // Rule ID 62623 //
     /* 1993460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993506 */     // MIs[0] policy
     /* 1993506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993540 */     // GIR_Coverage, 62623,
     /* 1993540 */     GIR_EraseRootFromParent_Done,
     /* 1993541 */   // Label 26652: @1993541
     /* 1993541 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1993627), // Rule ID 62624 //
     /* 1993546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993592 */     // MIs[0] policy
     /* 1993592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993626 */     // GIR_Coverage, 62624,
     /* 1993626 */     GIR_EraseRootFromParent_Done,
     /* 1993627 */   // Label 26653: @1993627
     /* 1993627 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1993713), // Rule ID 62627 //
     /* 1993632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993678 */     // MIs[0] policy
     /* 1993678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993712 */     // GIR_Coverage, 62627,
     /* 1993712 */     GIR_EraseRootFromParent_Done,
     /* 1993713 */   // Label 26654: @1993713
     /* 1993713 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1993799), // Rule ID 62628 //
     /* 1993718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993764 */     // MIs[0] policy
     /* 1993764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993798 */     // GIR_Coverage, 62628,
     /* 1993798 */     GIR_EraseRootFromParent_Done,
     /* 1993799 */   // Label 26655: @1993799
     /* 1993799 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1993885), // Rule ID 62631 //
     /* 1993804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993850 */     // MIs[0] policy
     /* 1993850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993884 */     // GIR_Coverage, 62631,
     /* 1993884 */     GIR_EraseRootFromParent_Done,
     /* 1993885 */   // Label 26656: @1993885
     /* 1993885 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1993971), // Rule ID 62632 //
     /* 1993890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993936 */     // MIs[0] policy
     /* 1993936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993970 */     // GIR_Coverage, 62632,
     /* 1993970 */     GIR_EraseRootFromParent_Done,
     /* 1993971 */   // Label 26657: @1993971
     /* 1993971 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1994057), // Rule ID 62635 //
     /* 1993976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994022 */     // MIs[0] policy
     /* 1994022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1994035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994056 */     // GIR_Coverage, 62635,
     /* 1994056 */     GIR_EraseRootFromParent_Done,
     /* 1994057 */   // Label 26658: @1994057
     /* 1994057 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994143), // Rule ID 62636 //
     /* 1994062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1994070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994108 */     // MIs[0] policy
     /* 1994108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1994121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994142 */     // GIR_Coverage, 62636,
     /* 1994142 */     GIR_EraseRootFromParent_Done,
     /* 1994143 */   // Label 26659: @1994143
     /* 1994143 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1994229), // Rule ID 62639 //
     /* 1994148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994194 */     // MIs[0] policy
     /* 1994194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1994207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994228 */     // GIR_Coverage, 62639,
     /* 1994228 */     GIR_EraseRootFromParent_Done,
     /* 1994229 */   // Label 26660: @1994229
     /* 1994229 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1994315), // Rule ID 62640 //
     /* 1994234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994280 */     // MIs[0] policy
     /* 1994280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1994293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994314 */     // GIR_Coverage, 62640,
     /* 1994314 */     GIR_EraseRootFromParent_Done,
     /* 1994315 */   // Label 26661: @1994315
     /* 1994315 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1994401), // Rule ID 62643 //
     /* 1994320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994366 */     // MIs[0] policy
     /* 1994366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994400 */     // GIR_Coverage, 62643,
     /* 1994400 */     GIR_EraseRootFromParent_Done,
     /* 1994401 */   // Label 26662: @1994401
     /* 1994401 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1994487), // Rule ID 62644 //
     /* 1994406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994452 */     // MIs[0] policy
     /* 1994452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994486 */     // GIR_Coverage, 62644,
     /* 1994486 */     GIR_EraseRootFromParent_Done,
     /* 1994487 */   // Label 26663: @1994487
     /* 1994487 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1994573), // Rule ID 62647 //
     /* 1994492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994538 */     // MIs[0] policy
     /* 1994538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994572 */     // GIR_Coverage, 62647,
     /* 1994572 */     GIR_EraseRootFromParent_Done,
     /* 1994573 */   // Label 26664: @1994573
     /* 1994573 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1994659), // Rule ID 62648 //
     /* 1994578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994624 */     // MIs[0] policy
     /* 1994624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994658 */     // GIR_Coverage, 62648,
     /* 1994658 */     GIR_EraseRootFromParent_Done,
     /* 1994659 */   // Label 26665: @1994659
     /* 1994659 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1994745), // Rule ID 62651 //
     /* 1994664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994710 */     // MIs[0] policy
     /* 1994710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994744 */     // GIR_Coverage, 62651,
     /* 1994744 */     GIR_EraseRootFromParent_Done,
     /* 1994745 */   // Label 26666: @1994745
     /* 1994745 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1994831), // Rule ID 62652 //
     /* 1994750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994796 */     // MIs[0] policy
     /* 1994796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994830 */     // GIR_Coverage, 62652,
     /* 1994830 */     GIR_EraseRootFromParent_Done,
     /* 1994831 */   // Label 26667: @1994831
     /* 1994831 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1994917), // Rule ID 62655 //
     /* 1994836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994882 */     // MIs[0] policy
     /* 1994882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994916 */     // GIR_Coverage, 62655,
     /* 1994916 */     GIR_EraseRootFromParent_Done,
     /* 1994917 */   // Label 26668: @1994917
     /* 1994917 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1995003), // Rule ID 62656 //
     /* 1994922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994968 */     // MIs[0] policy
     /* 1994968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995002 */     // GIR_Coverage, 62656,
     /* 1995002 */     GIR_EraseRootFromParent_Done,
     /* 1995003 */   // Label 26669: @1995003
     /* 1995003 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995092), // Rule ID 2676 //
     /* 1995008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995054 */     // MIs[0] round
     /* 1995054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1995067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995091 */     // GIR_Coverage, 2676,
     /* 1995091 */     GIR_EraseRootFromParent_Done,
     /* 1995092 */   // Label 26670: @1995092
     /* 1995092 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1995181), // Rule ID 2677 //
     /* 1995097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995143 */     // MIs[0] round
     /* 1995143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1995156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995180 */     // GIR_Coverage, 2677,
     /* 1995180 */     GIR_EraseRootFromParent_Done,
     /* 1995181 */   // Label 26671: @1995181
     /* 1995181 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1995270), // Rule ID 22714 //
     /* 1995186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995232 */     // MIs[0] round
     /* 1995232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995242 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1995245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995269 */     // GIR_Coverage, 22714,
     /* 1995269 */     GIR_EraseRootFromParent_Done,
     /* 1995270 */   // Label 26672: @1995270
     /* 1995270 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1995359), // Rule ID 22715 //
     /* 1995275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995321 */     // MIs[0] round
     /* 1995321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995331 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1995334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995358 */     // GIR_Coverage, 22715,
     /* 1995358 */     GIR_EraseRootFromParent_Done,
     /* 1995359 */   // Label 26673: @1995359
     /* 1995359 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1995448), // Rule ID 22718 //
     /* 1995364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995410 */     // MIs[0] round
     /* 1995410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995447 */     // GIR_Coverage, 22718,
     /* 1995447 */     GIR_EraseRootFromParent_Done,
     /* 1995448 */   // Label 26674: @1995448
     /* 1995448 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1995537), // Rule ID 22719 //
     /* 1995453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995499 */     // MIs[0] round
     /* 1995499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995536 */     // GIR_Coverage, 22719,
     /* 1995536 */     GIR_EraseRootFromParent_Done,
     /* 1995537 */   // Label 26675: @1995537
     /* 1995537 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1995626), // Rule ID 22722 //
     /* 1995542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995588 */     // MIs[0] round
     /* 1995588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995598 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995625 */     // GIR_Coverage, 22722,
     /* 1995625 */     GIR_EraseRootFromParent_Done,
     /* 1995626 */   // Label 26676: @1995626
     /* 1995626 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1995715), // Rule ID 22723 //
     /* 1995631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995677 */     // MIs[0] round
     /* 1995677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995714 */     // GIR_Coverage, 22723,
     /* 1995714 */     GIR_EraseRootFromParent_Done,
     /* 1995715 */   // Label 26677: @1995715
     /* 1995715 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1995804), // Rule ID 22726 //
     /* 1995720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995766 */     // MIs[0] round
     /* 1995766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995803 */     // GIR_Coverage, 22726,
     /* 1995803 */     GIR_EraseRootFromParent_Done,
     /* 1995804 */   // Label 26678: @1995804
     /* 1995804 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1995893), // Rule ID 22727 //
     /* 1995809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995855 */     // MIs[0] round
     /* 1995855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995892 */     // GIR_Coverage, 22727,
     /* 1995892 */     GIR_EraseRootFromParent_Done,
     /* 1995893 */   // Label 26679: @1995893
     /* 1995893 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1995982), // Rule ID 22730 //
     /* 1995898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995944 */     // MIs[0] round
     /* 1995944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995954 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995981 */     // GIR_Coverage, 22730,
     /* 1995981 */     GIR_EraseRootFromParent_Done,
     /* 1995982 */   // Label 26680: @1995982
     /* 1995982 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1996071), // Rule ID 22731 //
     /* 1995987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1996004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996033 */     // MIs[0] round
     /* 1996033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996043 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1996046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996070 */     // GIR_Coverage, 22731,
     /* 1996070 */     GIR_EraseRootFromParent_Done,
     /* 1996071 */   // Label 26681: @1996071
     /* 1996071 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1996160), // Rule ID 22734 //
     /* 1996076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996122 */     // MIs[0] round
     /* 1996122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1996135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996159 */     // GIR_Coverage, 22734,
     /* 1996159 */     GIR_EraseRootFromParent_Done,
     /* 1996160 */   // Label 26682: @1996160
     /* 1996160 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1996249), // Rule ID 22735 //
     /* 1996165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996211 */     // MIs[0] round
     /* 1996211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996221 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1996224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996248 */     // GIR_Coverage, 22735,
     /* 1996248 */     GIR_EraseRootFromParent_Done,
     /* 1996249 */   // Label 26683: @1996249
     /* 1996249 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1996338), // Rule ID 22738 //
     /* 1996254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996300 */     // MIs[0] round
     /* 1996300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996310 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1996313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996337 */     // GIR_Coverage, 22738,
     /* 1996337 */     GIR_EraseRootFromParent_Done,
     /* 1996338 */   // Label 26684: @1996338
     /* 1996338 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1996427), // Rule ID 22739 //
     /* 1996343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996389 */     // MIs[0] round
     /* 1996389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996399 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1996402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996426 */     // GIR_Coverage, 22739,
     /* 1996426 */     GIR_EraseRootFromParent_Done,
     /* 1996427 */   // Label 26685: @1996427
     /* 1996427 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1996516), // Rule ID 22742 //
     /* 1996432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996478 */     // MIs[0] round
     /* 1996478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996488 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996515 */     // GIR_Coverage, 22742,
     /* 1996515 */     GIR_EraseRootFromParent_Done,
     /* 1996516 */   // Label 26686: @1996516
     /* 1996516 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1996605), // Rule ID 22743 //
     /* 1996521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996567 */     // MIs[0] round
     /* 1996567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996604 */     // GIR_Coverage, 22743,
     /* 1996604 */     GIR_EraseRootFromParent_Done,
     /* 1996605 */   // Label 26687: @1996605
     /* 1996605 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1996694), // Rule ID 22746 //
     /* 1996610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996656 */     // MIs[0] round
     /* 1996656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996666 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996693 */     // GIR_Coverage, 22746,
     /* 1996693 */     GIR_EraseRootFromParent_Done,
     /* 1996694 */   // Label 26688: @1996694
     /* 1996694 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1996783), // Rule ID 22747 //
     /* 1996699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996745 */     // MIs[0] round
     /* 1996745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996782 */     // GIR_Coverage, 22747,
     /* 1996782 */     GIR_EraseRootFromParent_Done,
     /* 1996783 */   // Label 26689: @1996783
     /* 1996783 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1996872), // Rule ID 22750 //
     /* 1996788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996834 */     // MIs[0] round
     /* 1996834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996871 */     // GIR_Coverage, 22750,
     /* 1996871 */     GIR_EraseRootFromParent_Done,
     /* 1996872 */   // Label 26690: @1996872
     /* 1996872 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1996961), // Rule ID 22751 //
     /* 1996877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996923 */     // MIs[0] round
     /* 1996923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996960 */     // GIR_Coverage, 22751,
     /* 1996960 */     GIR_EraseRootFromParent_Done,
     /* 1996961 */   // Label 26691: @1996961
     /* 1996961 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1997050), // Rule ID 22754 //
     /* 1996966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997012 */     // MIs[0] round
     /* 1997012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1997025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997049 */     // GIR_Coverage, 22754,
     /* 1997049 */     GIR_EraseRootFromParent_Done,
     /* 1997050 */   // Label 26692: @1997050
     /* 1997050 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1997139), // Rule ID 22755 //
     /* 1997055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997101 */     // MIs[0] round
     /* 1997101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1997114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997138 */     // GIR_Coverage, 22755,
     /* 1997138 */     GIR_EraseRootFromParent_Done,
     /* 1997139 */   // Label 26693: @1997139
     /* 1997139 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1997228), // Rule ID 22758 //
     /* 1997144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997190 */     // MIs[0] round
     /* 1997190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1997203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997227 */     // GIR_Coverage, 22758,
     /* 1997227 */     GIR_EraseRootFromParent_Done,
     /* 1997228 */   // Label 26694: @1997228
     /* 1997228 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1997317), // Rule ID 22759 //
     /* 1997233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997279 */     // MIs[0] round
     /* 1997279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997289 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1997292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997316 */     // GIR_Coverage, 22759,
     /* 1997316 */     GIR_EraseRootFromParent_Done,
     /* 1997317 */   // Label 26695: @1997317
     /* 1997317 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1997406), // Rule ID 22762 //
     /* 1997322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997368 */     // MIs[0] round
     /* 1997368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997405 */     // GIR_Coverage, 22762,
     /* 1997405 */     GIR_EraseRootFromParent_Done,
     /* 1997406 */   // Label 26696: @1997406
     /* 1997406 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1997495), // Rule ID 22763 //
     /* 1997411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997457 */     // MIs[0] round
     /* 1997457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997494 */     // GIR_Coverage, 22763,
     /* 1997494 */     GIR_EraseRootFromParent_Done,
     /* 1997495 */   // Label 26697: @1997495
     /* 1997495 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1997584), // Rule ID 22766 //
     /* 1997500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997546 */     // MIs[0] round
     /* 1997546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997583 */     // GIR_Coverage, 22766,
     /* 1997583 */     GIR_EraseRootFromParent_Done,
     /* 1997584 */   // Label 26698: @1997584
     /* 1997584 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1997673), // Rule ID 22767 //
     /* 1997589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997635 */     // MIs[0] round
     /* 1997635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997645 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997672 */     // GIR_Coverage, 22767,
     /* 1997672 */     GIR_EraseRootFromParent_Done,
     /* 1997673 */   // Label 26699: @1997673
     /* 1997673 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1997762), // Rule ID 22770 //
     /* 1997678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997724 */     // MIs[0] round
     /* 1997724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997734 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997761 */     // GIR_Coverage, 22770,
     /* 1997761 */     GIR_EraseRootFromParent_Done,
     /* 1997762 */   // Label 26700: @1997762
     /* 1997762 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1997851), // Rule ID 22771 //
     /* 1997767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997813 */     // MIs[0] round
     /* 1997813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997850 */     // GIR_Coverage, 22771,
     /* 1997850 */     GIR_EraseRootFromParent_Done,
     /* 1997851 */   // Label 26701: @1997851
     /* 1997851 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1997940), // Rule ID 22774 //
     /* 1997856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997902 */     // MIs[0] round
     /* 1997902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997912 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997939 */     // GIR_Coverage, 22774,
     /* 1997939 */     GIR_EraseRootFromParent_Done,
     /* 1997940 */   // Label 26702: @1997940
     /* 1997940 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1998029), // Rule ID 22775 //
     /* 1997945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997991 */     // MIs[0] round
     /* 1997991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998001 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1998004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998028 */     // GIR_Coverage, 22775,
     /* 1998028 */     GIR_EraseRootFromParent_Done,
     /* 1998029 */   // Label 26703: @1998029
     /* 1998029 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998118), // Rule ID 22778 //
     /* 1998034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998080 */     // MIs[0] round
     /* 1998080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1998093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998117 */     // GIR_Coverage, 22778,
     /* 1998117 */     GIR_EraseRootFromParent_Done,
     /* 1998118 */   // Label 26704: @1998118
     /* 1998118 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1998207), // Rule ID 22779 //
     /* 1998123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998169 */     // MIs[0] round
     /* 1998169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998179 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1998182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998206 */     // GIR_Coverage, 22779,
     /* 1998206 */     GIR_EraseRootFromParent_Done,
     /* 1998207 */   // Label 26705: @1998207
     /* 1998207 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1998296), // Rule ID 22782 //
     /* 1998212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998258 */     // MIs[0] round
     /* 1998258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998268 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1998271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998295 */     // GIR_Coverage, 22782,
     /* 1998295 */     GIR_EraseRootFromParent_Done,
     /* 1998296 */   // Label 26706: @1998296
     /* 1998296 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1998385), // Rule ID 22783 //
     /* 1998301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998347 */     // MIs[0] round
     /* 1998347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998357 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1998360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998384 */     // GIR_Coverage, 22783,
     /* 1998384 */     GIR_EraseRootFromParent_Done,
     /* 1998385 */   // Label 26707: @1998385
     /* 1998385 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1998474), // Rule ID 22786 //
     /* 1998390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998436 */     // MIs[0] round
     /* 1998436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998473 */     // GIR_Coverage, 22786,
     /* 1998473 */     GIR_EraseRootFromParent_Done,
     /* 1998474 */   // Label 26708: @1998474
     /* 1998474 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1998563), // Rule ID 22787 //
     /* 1998479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998525 */     // MIs[0] round
     /* 1998525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998535 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998562 */     // GIR_Coverage, 22787,
     /* 1998562 */     GIR_EraseRootFromParent_Done,
     /* 1998563 */   // Label 26709: @1998563
     /* 1998563 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1998652), // Rule ID 22790 //
     /* 1998568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998614 */     // MIs[0] round
     /* 1998614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998624 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998651 */     // GIR_Coverage, 22790,
     /* 1998651 */     GIR_EraseRootFromParent_Done,
     /* 1998652 */   // Label 26710: @1998652
     /* 1998652 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1998741), // Rule ID 22791 //
     /* 1998657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998703 */     // MIs[0] round
     /* 1998703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998713 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998740 */     // GIR_Coverage, 22791,
     /* 1998740 */     GIR_EraseRootFromParent_Done,
     /* 1998741 */   // Label 26711: @1998741
     /* 1998741 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1998830), // Rule ID 22794 //
     /* 1998746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998792 */     // MIs[0] round
     /* 1998792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998802 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998829 */     // GIR_Coverage, 22794,
     /* 1998829 */     GIR_EraseRootFromParent_Done,
     /* 1998830 */   // Label 26712: @1998830
     /* 1998830 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1998919), // Rule ID 22795 //
     /* 1998835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998881 */     // MIs[0] round
     /* 1998881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998891 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998918 */     // GIR_Coverage, 22795,
     /* 1998918 */     GIR_EraseRootFromParent_Done,
     /* 1998919 */   // Label 26713: @1998919
     /* 1998919 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1999008), // Rule ID 22798 //
     /* 1998924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998970 */     // MIs[0] round
     /* 1998970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999007 */     // GIR_Coverage, 22798,
     /* 1999007 */     GIR_EraseRootFromParent_Done,
     /* 1999008 */   // Label 26714: @1999008
     /* 1999008 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999097), // Rule ID 22799 //
     /* 1999013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999059 */     // MIs[0] round
     /* 1999059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999069 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1999072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999096 */     // GIR_Coverage, 22799,
     /* 1999096 */     GIR_EraseRootFromParent_Done,
     /* 1999097 */   // Label 26715: @1999097
     /* 1999097 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1999186), // Rule ID 22802 //
     /* 1999102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999148 */     // MIs[0] round
     /* 1999148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1999161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999185 */     // GIR_Coverage, 22802,
     /* 1999185 */     GIR_EraseRootFromParent_Done,
     /* 1999186 */   // Label 26716: @1999186
     /* 1999186 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1999275), // Rule ID 22803 //
     /* 1999191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999237 */     // MIs[0] round
     /* 1999237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999247 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1999250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999274 */     // GIR_Coverage, 22803,
     /* 1999274 */     GIR_EraseRootFromParent_Done,
     /* 1999275 */   // Label 26717: @1999275
     /* 1999275 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1999364), // Rule ID 22806 //
     /* 1999280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999326 */     // MIs[0] round
     /* 1999326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1999339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999363 */     // GIR_Coverage, 22806,
     /* 1999363 */     GIR_EraseRootFromParent_Done,
     /* 1999364 */   // Label 26718: @1999364
     /* 1999364 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1999453), // Rule ID 22807 //
     /* 1999369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999415 */     // MIs[0] round
     /* 1999415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999425 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1999428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999452 */     // GIR_Coverage, 22807,
     /* 1999452 */     GIR_EraseRootFromParent_Done,
     /* 1999453 */   // Label 26719: @1999453
     /* 1999453 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1999542), // Rule ID 22810 //
     /* 1999458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999504 */     // MIs[0] round
     /* 1999504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999541 */     // GIR_Coverage, 22810,
     /* 1999541 */     GIR_EraseRootFromParent_Done,
     /* 1999542 */   // Label 26720: @1999542
     /* 1999542 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1999631), // Rule ID 22811 //
     /* 1999547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999593 */     // MIs[0] round
     /* 1999593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999630 */     // GIR_Coverage, 22811,
     /* 1999630 */     GIR_EraseRootFromParent_Done,
     /* 1999631 */   // Label 26721: @1999631
     /* 1999631 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1999720), // Rule ID 22814 //
     /* 1999636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999682 */     // MIs[0] round
     /* 1999682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999719 */     // GIR_Coverage, 22814,
     /* 1999719 */     GIR_EraseRootFromParent_Done,
     /* 1999720 */   // Label 26722: @1999720
     /* 1999720 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1999809), // Rule ID 22815 //
     /* 1999725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999771 */     // MIs[0] round
     /* 1999771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999781 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999808 */     // GIR_Coverage, 22815,
     /* 1999808 */     GIR_EraseRootFromParent_Done,
     /* 1999809 */   // Label 26723: @1999809
     /* 1999809 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1999898), // Rule ID 22818 //
     /* 1999814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999860 */     // MIs[0] round
     /* 1999860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999897 */     // GIR_Coverage, 22818,
     /* 1999897 */     GIR_EraseRootFromParent_Done,
     /* 1999898 */   // Label 26724: @1999898
     /* 1999898 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1999987), // Rule ID 22819 //
     /* 1999903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999949 */     // MIs[0] round
     /* 1999949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999986 */     // GIR_Coverage, 22819,
     /* 1999986 */     GIR_EraseRootFromParent_Done,
     /* 1999987 */   // Label 26725: @1999987
     /* 1999987 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000076), // Rule ID 22822 //
     /* 1999992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000038 */     // MIs[0] round
     /* 2000038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2000051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000075 */     // GIR_Coverage, 22822,
     /* 2000075 */     GIR_EraseRootFromParent_Done,
     /* 2000076 */   // Label 26726: @2000076
     /* 2000076 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2000165), // Rule ID 22823 //
     /* 2000081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000127 */     // MIs[0] round
     /* 2000127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2000140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000164 */     // GIR_Coverage, 22823,
     /* 2000164 */     GIR_EraseRootFromParent_Done,
     /* 2000165 */   // Label 26727: @2000165
     /* 2000165 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2000254), // Rule ID 22826 //
     /* 2000170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000216 */     // MIs[0] round
     /* 2000216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2000229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000253 */     // GIR_Coverage, 22826,
     /* 2000253 */     GIR_EraseRootFromParent_Done,
     /* 2000254 */   // Label 26728: @2000254
     /* 2000254 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2000343), // Rule ID 22827 //
     /* 2000259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2000267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000305 */     // MIs[0] round
     /* 2000305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000315 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2000318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000342 */     // GIR_Coverage, 22827,
     /* 2000342 */     GIR_EraseRootFromParent_Done,
     /* 2000343 */   // Label 26729: @2000343
     /* 2000343 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2000432), // Rule ID 22950 //
     /* 2000348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000394 */     // MIs[0] round
     /* 2000394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000431 */     // GIR_Coverage, 22950,
     /* 2000431 */     GIR_EraseRootFromParent_Done,
     /* 2000432 */   // Label 26730: @2000432
     /* 2000432 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2000521), // Rule ID 22951 //
     /* 2000437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000483 */     // MIs[0] round
     /* 2000483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000493 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000520 */     // GIR_Coverage, 22951,
     /* 2000520 */     GIR_EraseRootFromParent_Done,
     /* 2000521 */   // Label 26731: @2000521
     /* 2000521 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2000610), // Rule ID 22954 //
     /* 2000526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000572 */     // MIs[0] round
     /* 2000572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000609 */     // GIR_Coverage, 22954,
     /* 2000609 */     GIR_EraseRootFromParent_Done,
     /* 2000610 */   // Label 26732: @2000610
     /* 2000610 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2000699), // Rule ID 22955 //
     /* 2000615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000661 */     // MIs[0] round
     /* 2000661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000671 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000698 */     // GIR_Coverage, 22955,
     /* 2000698 */     GIR_EraseRootFromParent_Done,
     /* 2000699 */   // Label 26733: @2000699
     /* 2000699 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2000788), // Rule ID 22958 //
     /* 2000704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000750 */     // MIs[0] round
     /* 2000750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000760 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000787 */     // GIR_Coverage, 22958,
     /* 2000787 */     GIR_EraseRootFromParent_Done,
     /* 2000788 */   // Label 26734: @2000788
     /* 2000788 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2000877), // Rule ID 22959 //
     /* 2000793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000839 */     // MIs[0] round
     /* 2000839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000849 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000876 */     // GIR_Coverage, 22959,
     /* 2000876 */     GIR_EraseRootFromParent_Done,
     /* 2000877 */   // Label 26735: @2000877
     /* 2000877 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2000966), // Rule ID 22962 //
     /* 2000882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000928 */     // MIs[0] round
     /* 2000928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000965 */     // GIR_Coverage, 22962,
     /* 2000965 */     GIR_EraseRootFromParent_Done,
     /* 2000966 */   // Label 26736: @2000966
     /* 2000966 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2001055), // Rule ID 22963 //
     /* 2000971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001017 */     // MIs[0] round
     /* 2001017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2001030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001054 */     // GIR_Coverage, 22963,
     /* 2001054 */     GIR_EraseRootFromParent_Done,
     /* 2001055 */   // Label 26737: @2001055
     /* 2001055 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2001144), // Rule ID 22966 //
     /* 2001060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001106 */     // MIs[0] round
     /* 2001106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2001119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001143 */     // GIR_Coverage, 22966,
     /* 2001143 */     GIR_EraseRootFromParent_Done,
     /* 2001144 */   // Label 26738: @2001144
     /* 2001144 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2001233), // Rule ID 22967 //
     /* 2001149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001195 */     // MIs[0] round
     /* 2001195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001205 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2001208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001232 */     // GIR_Coverage, 22967,
     /* 2001232 */     GIR_EraseRootFromParent_Done,
     /* 2001233 */   // Label 26739: @2001233
     /* 2001233 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2001322), // Rule ID 22970 //
     /* 2001238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001284 */     // MIs[0] round
     /* 2001284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001294 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2001297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001321 */     // GIR_Coverage, 22970,
     /* 2001321 */     GIR_EraseRootFromParent_Done,
     /* 2001322 */   // Label 26740: @2001322
     /* 2001322 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2001411), // Rule ID 22971 //
     /* 2001327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001373 */     // MIs[0] round
     /* 2001373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2001386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001410 */     // GIR_Coverage, 22971,
     /* 2001410 */     GIR_EraseRootFromParent_Done,
     /* 2001411 */   // Label 26741: @2001411
     /* 2001411 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2001500), // Rule ID 22974 //
     /* 2001416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001462 */     // MIs[0] round
     /* 2001462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001472 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001499 */     // GIR_Coverage, 22974,
     /* 2001499 */     GIR_EraseRootFromParent_Done,
     /* 2001500 */   // Label 26742: @2001500
     /* 2001500 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2001589), // Rule ID 22975 //
     /* 2001505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001551 */     // MIs[0] round
     /* 2001551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001561 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001588 */     // GIR_Coverage, 22975,
     /* 2001588 */     GIR_EraseRootFromParent_Done,
     /* 2001589 */   // Label 26743: @2001589
     /* 2001589 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2001678), // Rule ID 22978 //
     /* 2001594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001640 */     // MIs[0] round
     /* 2001640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001677 */     // GIR_Coverage, 22978,
     /* 2001677 */     GIR_EraseRootFromParent_Done,
     /* 2001678 */   // Label 26744: @2001678
     /* 2001678 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2001767), // Rule ID 22979 //
     /* 2001683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001729 */     // MIs[0] round
     /* 2001729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001739 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001766 */     // GIR_Coverage, 22979,
     /* 2001766 */     GIR_EraseRootFromParent_Done,
     /* 2001767 */   // Label 26745: @2001767
     /* 2001767 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2001856), // Rule ID 22982 //
     /* 2001772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001818 */     // MIs[0] round
     /* 2001818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001855 */     // GIR_Coverage, 22982,
     /* 2001855 */     GIR_EraseRootFromParent_Done,
     /* 2001856 */   // Label 26746: @2001856
     /* 2001856 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2001945), // Rule ID 22983 //
     /* 2001861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001907 */     // MIs[0] round
     /* 2001907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001917 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001944 */     // GIR_Coverage, 22983,
     /* 2001944 */     GIR_EraseRootFromParent_Done,
     /* 2001945 */   // Label 26747: @2001945
     /* 2001945 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2002034), // Rule ID 22986 //
     /* 2001950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001996 */     // MIs[0] round
     /* 2001996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002006 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2002009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002033 */     // GIR_Coverage, 22986,
     /* 2002033 */     GIR_EraseRootFromParent_Done,
     /* 2002034 */   // Label 26748: @2002034
     /* 2002034 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2002123), // Rule ID 22987 //
     /* 2002039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002085 */     // MIs[0] round
     /* 2002085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002095 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2002098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002122 */     // GIR_Coverage, 22987,
     /* 2002122 */     GIR_EraseRootFromParent_Done,
     /* 2002123 */   // Label 26749: @2002123
     /* 2002123 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2002212), // Rule ID 22990 //
     /* 2002128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002174 */     // MIs[0] round
     /* 2002174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2002187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002211 */     // GIR_Coverage, 22990,
     /* 2002211 */     GIR_EraseRootFromParent_Done,
     /* 2002212 */   // Label 26750: @2002212
     /* 2002212 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2002301), // Rule ID 22991 //
     /* 2002217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2002225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002263 */     // MIs[0] round
     /* 2002263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2002276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002300 */     // GIR_Coverage, 22991,
     /* 2002300 */     GIR_EraseRootFromParent_Done,
     /* 2002301 */   // Label 26751: @2002301
     /* 2002301 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2002390), // Rule ID 22994 //
     /* 2002306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2002323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002352 */     // MIs[0] round
     /* 2002352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002362 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002389 */     // GIR_Coverage, 22994,
     /* 2002389 */     GIR_EraseRootFromParent_Done,
     /* 2002390 */   // Label 26752: @2002390
     /* 2002390 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2002479), // Rule ID 22995 //
     /* 2002395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2002412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002441 */     // MIs[0] round
     /* 2002441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002451 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002478 */     // GIR_Coverage, 22995,
     /* 2002478 */     GIR_EraseRootFromParent_Done,
     /* 2002479 */   // Label 26753: @2002479
     /* 2002479 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2002568), // Rule ID 22998 //
     /* 2002484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002530 */     // MIs[0] round
     /* 2002530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002540 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002567 */     // GIR_Coverage, 22998,
     /* 2002567 */     GIR_EraseRootFromParent_Done,
     /* 2002568 */   // Label 26754: @2002568
     /* 2002568 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2002657), // Rule ID 22999 //
     /* 2002573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002619 */     // MIs[0] round
     /* 2002619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002656 */     // GIR_Coverage, 22999,
     /* 2002656 */     GIR_EraseRootFromParent_Done,
     /* 2002657 */   // Label 26755: @2002657
     /* 2002657 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2002746), // Rule ID 23002 //
     /* 2002662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002708 */     // MIs[0] round
     /* 2002708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002718 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002745 */     // GIR_Coverage, 23002,
     /* 2002745 */     GIR_EraseRootFromParent_Done,
     /* 2002746 */   // Label 26756: @2002746
     /* 2002746 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2002835), // Rule ID 23003 //
     /* 2002751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002797 */     // MIs[0] round
     /* 2002797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002834 */     // GIR_Coverage, 23003,
     /* 2002834 */     GIR_EraseRootFromParent_Done,
     /* 2002835 */   // Label 26757: @2002835
     /* 2002835 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2002924), // Rule ID 23006 //
     /* 2002840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002886 */     // MIs[0] round
     /* 2002886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002896 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002923 */     // GIR_Coverage, 23006,
     /* 2002923 */     GIR_EraseRootFromParent_Done,
     /* 2002924 */   // Label 26758: @2002924
     /* 2002924 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2003013), // Rule ID 23007 //
     /* 2002929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002975 */     // MIs[0] round
     /* 2002975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002985 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003012 */     // GIR_Coverage, 23007,
     /* 2003012 */     GIR_EraseRootFromParent_Done,
     /* 2003013 */   // Label 26759: @2003013
     /* 2003013 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2003102), // Rule ID 23010 //
     /* 2003018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2003035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003064 */     // MIs[0] round
     /* 2003064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003074 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2003077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003101 */     // GIR_Coverage, 23010,
     /* 2003101 */     GIR_EraseRootFromParent_Done,
     /* 2003102 */   // Label 26760: @2003102
     /* 2003102 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2003191), // Rule ID 23011 //
     /* 2003107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2003124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003153 */     // MIs[0] round
     /* 2003153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003163 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2003166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003190 */     // GIR_Coverage, 23011,
     /* 2003190 */     GIR_EraseRootFromParent_Done,
     /* 2003191 */   // Label 26761: @2003191
     /* 2003191 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2003280), // Rule ID 23014 //
     /* 2003196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2003213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003242 */     // MIs[0] round
     /* 2003242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2003255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003279 */     // GIR_Coverage, 23014,
     /* 2003279 */     GIR_EraseRootFromParent_Done,
     /* 2003280 */   // Label 26762: @2003280
     /* 2003280 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2003369), // Rule ID 23015 //
     /* 2003285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2003302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003331 */     // MIs[0] round
     /* 2003331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003341 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2003344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003368 */     // GIR_Coverage, 23015,
     /* 2003368 */     GIR_EraseRootFromParent_Done,
     /* 2003369 */   // Label 26763: @2003369
     /* 2003369 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2003458), // Rule ID 23018 //
     /* 2003374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003420 */     // MIs[0] round
     /* 2003420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003430 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003457 */     // GIR_Coverage, 23018,
     /* 2003457 */     GIR_EraseRootFromParent_Done,
     /* 2003458 */   // Label 26764: @2003458
     /* 2003458 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2003547), // Rule ID 23019 //
     /* 2003463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003509 */     // MIs[0] round
     /* 2003509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003519 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003546 */     // GIR_Coverage, 23019,
     /* 2003546 */     GIR_EraseRootFromParent_Done,
     /* 2003547 */   // Label 26765: @2003547
     /* 2003547 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2003636), // Rule ID 23022 //
     /* 2003552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003598 */     // MIs[0] round
     /* 2003598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003635 */     // GIR_Coverage, 23022,
     /* 2003635 */     GIR_EraseRootFromParent_Done,
     /* 2003636 */   // Label 26766: @2003636
     /* 2003636 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2003725), // Rule ID 23023 //
     /* 2003641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003687 */     // MIs[0] round
     /* 2003687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003724 */     // GIR_Coverage, 23023,
     /* 2003724 */     GIR_EraseRootFromParent_Done,
     /* 2003725 */   // Label 26767: @2003725
     /* 2003725 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2003814), // Rule ID 23026 //
     /* 2003730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003776 */     // MIs[0] round
     /* 2003776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003813 */     // GIR_Coverage, 23026,
     /* 2003813 */     GIR_EraseRootFromParent_Done,
     /* 2003814 */   // Label 26768: @2003814
     /* 2003814 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2003903), // Rule ID 23027 //
     /* 2003819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003865 */     // MIs[0] round
     /* 2003865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003875 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003902 */     // GIR_Coverage, 23027,
     /* 2003902 */     GIR_EraseRootFromParent_Done,
     /* 2003903 */   // Label 26769: @2003903
     /* 2003903 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2003992), // Rule ID 23030 //
     /* 2003908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003954 */     // MIs[0] round
     /* 2003954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003991 */     // GIR_Coverage, 23030,
     /* 2003991 */     GIR_EraseRootFromParent_Done,
     /* 2003992 */   // Label 26770: @2003992
     /* 2003992 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2004081), // Rule ID 23031 //
     /* 2003997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2004014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004043 */     // MIs[0] round
     /* 2004043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004053 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2004056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004080 */     // GIR_Coverage, 23031,
     /* 2004080 */     GIR_EraseRootFromParent_Done,
     /* 2004081 */   // Label 26771: @2004081
     /* 2004081 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2004170), // Rule ID 23034 //
     /* 2004086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2004103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004132 */     // MIs[0] round
     /* 2004132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004142 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2004145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004169 */     // GIR_Coverage, 23034,
     /* 2004169 */     GIR_EraseRootFromParent_Done,
     /* 2004170 */   // Label 26772: @2004170
     /* 2004170 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2004259), // Rule ID 23035 //
     /* 2004175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2004183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2004192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004221 */     // MIs[0] round
     /* 2004221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2004234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004258 */     // GIR_Coverage, 23035,
     /* 2004258 */     GIR_EraseRootFromParent_Done,
     /* 2004259 */   // Label 26773: @2004259
     /* 2004259 */   GIM_Reject,
     /* 2004260 */ // Label 19771: @2004260
     /* 2004260 */ GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2192561),
     /* 2004265 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2004268 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2004370), // Rule ID 15870 //
     /* 2004273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2004284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2004287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2004290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004323 */     // MIs[1] Operand 1
     /* 2004323 */     // No operand predicates
     /* 2004323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004327 */     // MIs[0] round
     /* 2004327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004330 */     // MIs[0] policy
     /* 2004330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004369 */     // GIR_Coverage, 15870,
     /* 2004369 */     GIR_EraseRootFromParent_Done,
     /* 2004370 */   // Label 26775: @2004370
     /* 2004370 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2004472), // Rule ID 15871 //
     /* 2004375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2004386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2004389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2004392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004425 */     // MIs[1] Operand 1
     /* 2004425 */     // No operand predicates
     /* 2004425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004429 */     // MIs[0] round
     /* 2004429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004432 */     // MIs[0] policy
     /* 2004432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004471 */     // GIR_Coverage, 15871,
     /* 2004471 */     GIR_EraseRootFromParent_Done,
     /* 2004472 */   // Label 26776: @2004472
     /* 2004472 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2004574), // Rule ID 15874 //
     /* 2004477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004527 */     // MIs[1] Operand 1
     /* 2004527 */     // No operand predicates
     /* 2004527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004531 */     // MIs[0] round
     /* 2004531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004534 */     // MIs[0] policy
     /* 2004534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004573 */     // GIR_Coverage, 15874,
     /* 2004573 */     GIR_EraseRootFromParent_Done,
     /* 2004574 */   // Label 26777: @2004574
     /* 2004574 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2004676), // Rule ID 15875 //
     /* 2004579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004629 */     // MIs[1] Operand 1
     /* 2004629 */     // No operand predicates
     /* 2004629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004633 */     // MIs[0] round
     /* 2004633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004636 */     // MIs[0] policy
     /* 2004636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004675 */     // GIR_Coverage, 15875,
     /* 2004675 */     GIR_EraseRootFromParent_Done,
     /* 2004676 */   // Label 26778: @2004676
     /* 2004676 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2004778), // Rule ID 15878 //
     /* 2004681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004731 */     // MIs[1] Operand 1
     /* 2004731 */     // No operand predicates
     /* 2004731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004735 */     // MIs[0] round
     /* 2004735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004738 */     // MIs[0] policy
     /* 2004738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004777 */     // GIR_Coverage, 15878,
     /* 2004777 */     GIR_EraseRootFromParent_Done,
     /* 2004778 */   // Label 26779: @2004778
     /* 2004778 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2004880), // Rule ID 15879 //
     /* 2004783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004833 */     // MIs[1] Operand 1
     /* 2004833 */     // No operand predicates
     /* 2004833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004837 */     // MIs[0] round
     /* 2004837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004840 */     // MIs[0] policy
     /* 2004840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004879 */     // GIR_Coverage, 15879,
     /* 2004879 */     GIR_EraseRootFromParent_Done,
     /* 2004880 */   // Label 26780: @2004880
     /* 2004880 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2004982), // Rule ID 15882 //
     /* 2004885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004935 */     // MIs[1] Operand 1
     /* 2004935 */     // No operand predicates
     /* 2004935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004939 */     // MIs[0] round
     /* 2004939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004942 */     // MIs[0] policy
     /* 2004942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004981 */     // GIR_Coverage, 15882,
     /* 2004981 */     GIR_EraseRootFromParent_Done,
     /* 2004982 */   // Label 26781: @2004982
     /* 2004982 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2005084), // Rule ID 15883 //
     /* 2004987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2005001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2005004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005037 */     // MIs[1] Operand 1
     /* 2005037 */     // No operand predicates
     /* 2005037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005041 */     // MIs[0] round
     /* 2005041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005044 */     // MIs[0] policy
     /* 2005044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2005059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005083 */     // GIR_Coverage, 15883,
     /* 2005083 */     GIR_EraseRootFromParent_Done,
     /* 2005084 */   // Label 26782: @2005084
     /* 2005084 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2005186), // Rule ID 15886 //
     /* 2005089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2005100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2005103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2005106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005139 */     // MIs[1] Operand 1
     /* 2005139 */     // No operand predicates
     /* 2005139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005143 */     // MIs[0] round
     /* 2005143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005146 */     // MIs[0] policy
     /* 2005146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005185 */     // GIR_Coverage, 15886,
     /* 2005185 */     GIR_EraseRootFromParent_Done,
     /* 2005186 */   // Label 26783: @2005186
     /* 2005186 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2005288), // Rule ID 15887 //
     /* 2005191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2005202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2005205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2005208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005241 */     // MIs[1] Operand 1
     /* 2005241 */     // No operand predicates
     /* 2005241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005245 */     // MIs[0] round
     /* 2005245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005248 */     // MIs[0] policy
     /* 2005248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005287 */     // GIR_Coverage, 15887,
     /* 2005287 */     GIR_EraseRootFromParent_Done,
     /* 2005288 */   // Label 26784: @2005288
     /* 2005288 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2005390), // Rule ID 15890 //
     /* 2005293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2005310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005343 */     // MIs[1] Operand 1
     /* 2005343 */     // No operand predicates
     /* 2005343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005347 */     // MIs[0] round
     /* 2005347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005350 */     // MIs[0] policy
     /* 2005350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005389 */     // GIR_Coverage, 15890,
     /* 2005389 */     GIR_EraseRootFromParent_Done,
     /* 2005390 */   // Label 26785: @2005390
     /* 2005390 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2005492), // Rule ID 15891 //
     /* 2005395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2005412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005445 */     // MIs[1] Operand 1
     /* 2005445 */     // No operand predicates
     /* 2005445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005449 */     // MIs[0] round
     /* 2005449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005452 */     // MIs[0] policy
     /* 2005452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005491 */     // GIR_Coverage, 15891,
     /* 2005491 */     GIR_EraseRootFromParent_Done,
     /* 2005492 */   // Label 26786: @2005492
     /* 2005492 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2005594), // Rule ID 15894 //
     /* 2005497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005547 */     // MIs[1] Operand 1
     /* 2005547 */     // No operand predicates
     /* 2005547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005551 */     // MIs[0] round
     /* 2005551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005554 */     // MIs[0] policy
     /* 2005554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005566 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005593 */     // GIR_Coverage, 15894,
     /* 2005593 */     GIR_EraseRootFromParent_Done,
     /* 2005594 */   // Label 26787: @2005594
     /* 2005594 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2005696), // Rule ID 15895 //
     /* 2005599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005649 */     // MIs[1] Operand 1
     /* 2005649 */     // No operand predicates
     /* 2005649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005653 */     // MIs[0] round
     /* 2005653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005656 */     // MIs[0] policy
     /* 2005656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005695 */     // GIR_Coverage, 15895,
     /* 2005695 */     GIR_EraseRootFromParent_Done,
     /* 2005696 */   // Label 26788: @2005696
     /* 2005696 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2005798), // Rule ID 15898 //
     /* 2005701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005751 */     // MIs[1] Operand 1
     /* 2005751 */     // No operand predicates
     /* 2005751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005755 */     // MIs[0] round
     /* 2005755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005758 */     // MIs[0] policy
     /* 2005758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005797 */     // GIR_Coverage, 15898,
     /* 2005797 */     GIR_EraseRootFromParent_Done,
     /* 2005798 */   // Label 26789: @2005798
     /* 2005798 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2005900), // Rule ID 15899 //
     /* 2005803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005853 */     // MIs[1] Operand 1
     /* 2005853 */     // No operand predicates
     /* 2005853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005857 */     // MIs[0] round
     /* 2005857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005860 */     // MIs[0] policy
     /* 2005860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005899 */     // GIR_Coverage, 15899,
     /* 2005899 */     GIR_EraseRootFromParent_Done,
     /* 2005900 */   // Label 26790: @2005900
     /* 2005900 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2006002), // Rule ID 15902 //
     /* 2005905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005955 */     // MIs[1] Operand 1
     /* 2005955 */     // No operand predicates
     /* 2005955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005959 */     // MIs[0] round
     /* 2005959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005962 */     // MIs[0] policy
     /* 2005962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006001 */     // GIR_Coverage, 15902,
     /* 2006001 */     GIR_EraseRootFromParent_Done,
     /* 2006002 */   // Label 26791: @2006002
     /* 2006002 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2006104), // Rule ID 15903 //
     /* 2006007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2006024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006057 */     // MIs[1] Operand 1
     /* 2006057 */     // No operand predicates
     /* 2006057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006061 */     // MIs[0] round
     /* 2006061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006064 */     // MIs[0] policy
     /* 2006064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006103 */     // GIR_Coverage, 15903,
     /* 2006103 */     GIR_EraseRootFromParent_Done,
     /* 2006104 */   // Label 26792: @2006104
     /* 2006104 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2006206), // Rule ID 15906 //
     /* 2006109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2006126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006159 */     // MIs[1] Operand 1
     /* 2006159 */     // No operand predicates
     /* 2006159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006163 */     // MIs[0] round
     /* 2006163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006166 */     // MIs[0] policy
     /* 2006166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006205 */     // GIR_Coverage, 15906,
     /* 2006205 */     GIR_EraseRootFromParent_Done,
     /* 2006206 */   // Label 26793: @2006206
     /* 2006206 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2006308), // Rule ID 15907 //
     /* 2006211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2006228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006261 */     // MIs[1] Operand 1
     /* 2006261 */     // No operand predicates
     /* 2006261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006265 */     // MIs[0] round
     /* 2006265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006268 */     // MIs[0] policy
     /* 2006268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2006283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006307 */     // GIR_Coverage, 15907,
     /* 2006307 */     GIR_EraseRootFromParent_Done,
     /* 2006308 */   // Label 26794: @2006308
     /* 2006308 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2006410), // Rule ID 15910 //
     /* 2006313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2006324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2006327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006363 */     // MIs[1] Operand 1
     /* 2006363 */     // No operand predicates
     /* 2006363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006367 */     // MIs[0] round
     /* 2006367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006370 */     // MIs[0] policy
     /* 2006370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006382 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006409 */     // GIR_Coverage, 15910,
     /* 2006409 */     GIR_EraseRootFromParent_Done,
     /* 2006410 */   // Label 26795: @2006410
     /* 2006410 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2006512), // Rule ID 15911 //
     /* 2006415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2006426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2006429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006465 */     // MIs[1] Operand 1
     /* 2006465 */     // No operand predicates
     /* 2006465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006469 */     // MIs[0] round
     /* 2006469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006472 */     // MIs[0] policy
     /* 2006472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006511 */     // GIR_Coverage, 15911,
     /* 2006511 */     GIR_EraseRootFromParent_Done,
     /* 2006512 */   // Label 26796: @2006512
     /* 2006512 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2006614), // Rule ID 15914 //
     /* 2006517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006567 */     // MIs[1] Operand 1
     /* 2006567 */     // No operand predicates
     /* 2006567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006571 */     // MIs[0] round
     /* 2006571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006574 */     // MIs[0] policy
     /* 2006574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006613 */     // GIR_Coverage, 15914,
     /* 2006613 */     GIR_EraseRootFromParent_Done,
     /* 2006614 */   // Label 26797: @2006614
     /* 2006614 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2006716), // Rule ID 15915 //
     /* 2006619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006669 */     // MIs[1] Operand 1
     /* 2006669 */     // No operand predicates
     /* 2006669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006673 */     // MIs[0] round
     /* 2006673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006676 */     // MIs[0] policy
     /* 2006676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006715 */     // GIR_Coverage, 15915,
     /* 2006715 */     GIR_EraseRootFromParent_Done,
     /* 2006716 */   // Label 26798: @2006716
     /* 2006716 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2006818), // Rule ID 15918 //
     /* 2006721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006771 */     // MIs[1] Operand 1
     /* 2006771 */     // No operand predicates
     /* 2006771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006775 */     // MIs[0] round
     /* 2006775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006778 */     // MIs[0] policy
     /* 2006778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006817 */     // GIR_Coverage, 15918,
     /* 2006817 */     GIR_EraseRootFromParent_Done,
     /* 2006818 */   // Label 26799: @2006818
     /* 2006818 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2006920), // Rule ID 15919 //
     /* 2006823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006873 */     // MIs[1] Operand 1
     /* 2006873 */     // No operand predicates
     /* 2006873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006877 */     // MIs[0] round
     /* 2006877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006880 */     // MIs[0] policy
     /* 2006880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006919 */     // GIR_Coverage, 15919,
     /* 2006919 */     GIR_EraseRootFromParent_Done,
     /* 2006920 */   // Label 26800: @2006920
     /* 2006920 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2007022), // Rule ID 15922 //
     /* 2006925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006975 */     // MIs[1] Operand 1
     /* 2006975 */     // No operand predicates
     /* 2006975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006979 */     // MIs[0] round
     /* 2006979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006982 */     // MIs[0] policy
     /* 2006982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007021 */     // GIR_Coverage, 15922,
     /* 2007021 */     GIR_EraseRootFromParent_Done,
     /* 2007022 */   // Label 26801: @2007022
     /* 2007022 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2007124), // Rule ID 15923 //
     /* 2007027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2007038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2007041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007077 */     // MIs[1] Operand 1
     /* 2007077 */     // No operand predicates
     /* 2007077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007081 */     // MIs[0] round
     /* 2007081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007084 */     // MIs[0] policy
     /* 2007084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007123 */     // GIR_Coverage, 15923,
     /* 2007123 */     GIR_EraseRootFromParent_Done,
     /* 2007124 */   // Label 26802: @2007124
     /* 2007124 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2007226), // Rule ID 15926 //
     /* 2007129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2007140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2007143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007179 */     // MIs[1] Operand 1
     /* 2007179 */     // No operand predicates
     /* 2007179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007183 */     // MIs[0] round
     /* 2007183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007186 */     // MIs[0] policy
     /* 2007186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007225 */     // GIR_Coverage, 15926,
     /* 2007225 */     GIR_EraseRootFromParent_Done,
     /* 2007226 */   // Label 26803: @2007226
     /* 2007226 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2007328), // Rule ID 15927 //
     /* 2007231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2007242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2007245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007281 */     // MIs[1] Operand 1
     /* 2007281 */     // No operand predicates
     /* 2007281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007285 */     // MIs[0] round
     /* 2007285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007288 */     // MIs[0] policy
     /* 2007288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007327 */     // GIR_Coverage, 15927,
     /* 2007327 */     GIR_EraseRootFromParent_Done,
     /* 2007328 */   // Label 26804: @2007328
     /* 2007328 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2007430), // Rule ID 15930 //
     /* 2007333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007383 */     // MIs[1] Operand 1
     /* 2007383 */     // No operand predicates
     /* 2007383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007387 */     // MIs[0] round
     /* 2007387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007390 */     // MIs[0] policy
     /* 2007390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007429 */     // GIR_Coverage, 15930,
     /* 2007429 */     GIR_EraseRootFromParent_Done,
     /* 2007430 */   // Label 26805: @2007430
     /* 2007430 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2007532), // Rule ID 15931 //
     /* 2007435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007485 */     // MIs[1] Operand 1
     /* 2007485 */     // No operand predicates
     /* 2007485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007489 */     // MIs[0] round
     /* 2007489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007492 */     // MIs[0] policy
     /* 2007492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007531 */     // GIR_Coverage, 15931,
     /* 2007531 */     GIR_EraseRootFromParent_Done,
     /* 2007532 */   // Label 26806: @2007532
     /* 2007532 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2007634), // Rule ID 15934 //
     /* 2007537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007587 */     // MIs[1] Operand 1
     /* 2007587 */     // No operand predicates
     /* 2007587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007591 */     // MIs[0] round
     /* 2007591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007594 */     // MIs[0] policy
     /* 2007594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007633 */     // GIR_Coverage, 15934,
     /* 2007633 */     GIR_EraseRootFromParent_Done,
     /* 2007634 */   // Label 26807: @2007634
     /* 2007634 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2007736), // Rule ID 15935 //
     /* 2007639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007689 */     // MIs[1] Operand 1
     /* 2007689 */     // No operand predicates
     /* 2007689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007693 */     // MIs[0] round
     /* 2007693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007696 */     // MIs[0] policy
     /* 2007696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007735 */     // GIR_Coverage, 15935,
     /* 2007735 */     GIR_EraseRootFromParent_Done,
     /* 2007736 */   // Label 26808: @2007736
     /* 2007736 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2007838), // Rule ID 15938 //
     /* 2007741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007791 */     // MIs[1] Operand 1
     /* 2007791 */     // No operand predicates
     /* 2007791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007795 */     // MIs[0] round
     /* 2007795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007798 */     // MIs[0] policy
     /* 2007798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007837 */     // GIR_Coverage, 15938,
     /* 2007837 */     GIR_EraseRootFromParent_Done,
     /* 2007838 */   // Label 26809: @2007838
     /* 2007838 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2007940), // Rule ID 15939 //
     /* 2007843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007893 */     // MIs[1] Operand 1
     /* 2007893 */     // No operand predicates
     /* 2007893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007897 */     // MIs[0] round
     /* 2007897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007900 */     // MIs[0] policy
     /* 2007900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007939 */     // GIR_Coverage, 15939,
     /* 2007939 */     GIR_EraseRootFromParent_Done,
     /* 2007940 */   // Label 26810: @2007940
     /* 2007940 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2008042), // Rule ID 15942 //
     /* 2007945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007995 */     // MIs[1] Operand 1
     /* 2007995 */     // No operand predicates
     /* 2007995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007999 */     // MIs[0] round
     /* 2007999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008002 */     // MIs[0] policy
     /* 2008002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008041 */     // GIR_Coverage, 15942,
     /* 2008041 */     GIR_EraseRootFromParent_Done,
     /* 2008042 */   // Label 26811: @2008042
     /* 2008042 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2008144), // Rule ID 15943 //
     /* 2008047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008097 */     // MIs[1] Operand 1
     /* 2008097 */     // No operand predicates
     /* 2008097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008101 */     // MIs[0] round
     /* 2008101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008104 */     // MIs[0] policy
     /* 2008104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008143 */     // GIR_Coverage, 15943,
     /* 2008143 */     GIR_EraseRootFromParent_Done,
     /* 2008144 */   // Label 26812: @2008144
     /* 2008144 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2008246), // Rule ID 15946 //
     /* 2008149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008199 */     // MIs[1] Operand 1
     /* 2008199 */     // No operand predicates
     /* 2008199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008203 */     // MIs[0] round
     /* 2008203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008206 */     // MIs[0] policy
     /* 2008206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2008221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008245 */     // GIR_Coverage, 15946,
     /* 2008245 */     GIR_EraseRootFromParent_Done,
     /* 2008246 */   // Label 26813: @2008246
     /* 2008246 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2008348), // Rule ID 15947 //
     /* 2008251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008301 */     // MIs[1] Operand 1
     /* 2008301 */     // No operand predicates
     /* 2008301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008305 */     // MIs[0] round
     /* 2008305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008308 */     // MIs[0] policy
     /* 2008308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2008323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008347 */     // GIR_Coverage, 15947,
     /* 2008347 */     GIR_EraseRootFromParent_Done,
     /* 2008348 */   // Label 26814: @2008348
     /* 2008348 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2008450), // Rule ID 15950 //
     /* 2008353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008403 */     // MIs[1] Operand 1
     /* 2008403 */     // No operand predicates
     /* 2008403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008407 */     // MIs[0] round
     /* 2008407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008410 */     // MIs[0] policy
     /* 2008410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008449 */     // GIR_Coverage, 15950,
     /* 2008449 */     GIR_EraseRootFromParent_Done,
     /* 2008450 */   // Label 26815: @2008450
     /* 2008450 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2008552), // Rule ID 15951 //
     /* 2008455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008505 */     // MIs[1] Operand 1
     /* 2008505 */     // No operand predicates
     /* 2008505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008509 */     // MIs[0] round
     /* 2008509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008512 */     // MIs[0] policy
     /* 2008512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008551 */     // GIR_Coverage, 15951,
     /* 2008551 */     GIR_EraseRootFromParent_Done,
     /* 2008552 */   // Label 26816: @2008552
     /* 2008552 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2008654), // Rule ID 15954 //
     /* 2008557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008607 */     // MIs[1] Operand 1
     /* 2008607 */     // No operand predicates
     /* 2008607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008611 */     // MIs[0] round
     /* 2008611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008614 */     // MIs[0] policy
     /* 2008614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008653 */     // GIR_Coverage, 15954,
     /* 2008653 */     GIR_EraseRootFromParent_Done,
     /* 2008654 */   // Label 26817: @2008654
     /* 2008654 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2008756), // Rule ID 15955 //
     /* 2008659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008709 */     // MIs[1] Operand 1
     /* 2008709 */     // No operand predicates
     /* 2008709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008713 */     // MIs[0] round
     /* 2008713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008716 */     // MIs[0] policy
     /* 2008716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008755 */     // GIR_Coverage, 15955,
     /* 2008755 */     GIR_EraseRootFromParent_Done,
     /* 2008756 */   // Label 26818: @2008756
     /* 2008756 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2008858), // Rule ID 16134 //
     /* 2008761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008811 */     // MIs[1] Operand 1
     /* 2008811 */     // No operand predicates
     /* 2008811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008815 */     // MIs[0] round
     /* 2008815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008818 */     // MIs[0] policy
     /* 2008818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008857 */     // GIR_Coverage, 16134,
     /* 2008857 */     GIR_EraseRootFromParent_Done,
     /* 2008858 */   // Label 26819: @2008858
     /* 2008858 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2008960), // Rule ID 16135 //
     /* 2008863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008913 */     // MIs[1] Operand 1
     /* 2008913 */     // No operand predicates
     /* 2008913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008917 */     // MIs[0] round
     /* 2008917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008920 */     // MIs[0] policy
     /* 2008920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008932 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008959 */     // GIR_Coverage, 16135,
     /* 2008959 */     GIR_EraseRootFromParent_Done,
     /* 2008960 */   // Label 26820: @2008960
     /* 2008960 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2009062), // Rule ID 16138 //
     /* 2008965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009015 */     // MIs[1] Operand 1
     /* 2009015 */     // No operand predicates
     /* 2009015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009019 */     // MIs[0] round
     /* 2009019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009022 */     // MIs[0] policy
     /* 2009022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009061 */     // GIR_Coverage, 16138,
     /* 2009061 */     GIR_EraseRootFromParent_Done,
     /* 2009062 */   // Label 26821: @2009062
     /* 2009062 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2009164), // Rule ID 16139 //
     /* 2009067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2009078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2009081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2009084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009117 */     // MIs[1] Operand 1
     /* 2009117 */     // No operand predicates
     /* 2009117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009121 */     // MIs[0] round
     /* 2009121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009124 */     // MIs[0] policy
     /* 2009124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009163 */     // GIR_Coverage, 16139,
     /* 2009163 */     GIR_EraseRootFromParent_Done,
     /* 2009164 */   // Label 26822: @2009164
     /* 2009164 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2009266), // Rule ID 16142 //
     /* 2009169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2009180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2009183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009219 */     // MIs[1] Operand 1
     /* 2009219 */     // No operand predicates
     /* 2009219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009223 */     // MIs[0] round
     /* 2009223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009226 */     // MIs[0] policy
     /* 2009226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009238 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009265 */     // GIR_Coverage, 16142,
     /* 2009265 */     GIR_EraseRootFromParent_Done,
     /* 2009266 */   // Label 26823: @2009266
     /* 2009266 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2009368), // Rule ID 16143 //
     /* 2009271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2009282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2009285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009321 */     // MIs[1] Operand 1
     /* 2009321 */     // No operand predicates
     /* 2009321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009325 */     // MIs[0] round
     /* 2009325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009328 */     // MIs[0] policy
     /* 2009328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009340 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009367 */     // GIR_Coverage, 16143,
     /* 2009367 */     GIR_EraseRootFromParent_Done,
     /* 2009368 */   // Label 26824: @2009368
     /* 2009368 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2009470), // Rule ID 16146 //
     /* 2009373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009423 */     // MIs[1] Operand 1
     /* 2009423 */     // No operand predicates
     /* 2009423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009427 */     // MIs[0] round
     /* 2009427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009430 */     // MIs[0] policy
     /* 2009430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009469 */     // GIR_Coverage, 16146,
     /* 2009469 */     GIR_EraseRootFromParent_Done,
     /* 2009470 */   // Label 26825: @2009470
     /* 2009470 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2009572), // Rule ID 16147 //
     /* 2009475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009525 */     // MIs[1] Operand 1
     /* 2009525 */     // No operand predicates
     /* 2009525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009529 */     // MIs[0] round
     /* 2009529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009532 */     // MIs[0] policy
     /* 2009532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009571 */     // GIR_Coverage, 16147,
     /* 2009571 */     GIR_EraseRootFromParent_Done,
     /* 2009572 */   // Label 26826: @2009572
     /* 2009572 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2009674), // Rule ID 16150 //
     /* 2009577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009627 */     // MIs[1] Operand 1
     /* 2009627 */     // No operand predicates
     /* 2009627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009631 */     // MIs[0] round
     /* 2009631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009634 */     // MIs[0] policy
     /* 2009634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009673 */     // GIR_Coverage, 16150,
     /* 2009673 */     GIR_EraseRootFromParent_Done,
     /* 2009674 */   // Label 26827: @2009674
     /* 2009674 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2009776), // Rule ID 16151 //
     /* 2009679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009729 */     // MIs[1] Operand 1
     /* 2009729 */     // No operand predicates
     /* 2009729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009733 */     // MIs[0] round
     /* 2009733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009736 */     // MIs[0] policy
     /* 2009736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009775 */     // GIR_Coverage, 16151,
     /* 2009775 */     GIR_EraseRootFromParent_Done,
     /* 2009776 */   // Label 26828: @2009776
     /* 2009776 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2009878), // Rule ID 16154 //
     /* 2009781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009831 */     // MIs[1] Operand 1
     /* 2009831 */     // No operand predicates
     /* 2009831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009835 */     // MIs[0] round
     /* 2009835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009838 */     // MIs[0] policy
     /* 2009838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009877 */     // GIR_Coverage, 16154,
     /* 2009877 */     GIR_EraseRootFromParent_Done,
     /* 2009878 */   // Label 26829: @2009878
     /* 2009878 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2009980), // Rule ID 16155 //
     /* 2009883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009933 */     // MIs[1] Operand 1
     /* 2009933 */     // No operand predicates
     /* 2009933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009937 */     // MIs[0] round
     /* 2009937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009940 */     // MIs[0] policy
     /* 2009940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009979 */     // GIR_Coverage, 16155,
     /* 2009979 */     GIR_EraseRootFromParent_Done,
     /* 2009980 */   // Label 26830: @2009980
     /* 2009980 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2010082), // Rule ID 16158 //
     /* 2009985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2010002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010035 */     // MIs[1] Operand 1
     /* 2010035 */     // No operand predicates
     /* 2010035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010039 */     // MIs[0] round
     /* 2010039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010042 */     // MIs[0] policy
     /* 2010042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010081 */     // GIR_Coverage, 16158,
     /* 2010081 */     GIR_EraseRootFromParent_Done,
     /* 2010082 */   // Label 26831: @2010082
     /* 2010082 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2010184), // Rule ID 16159 //
     /* 2010087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2010098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2010101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2010104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010137 */     // MIs[1] Operand 1
     /* 2010137 */     // No operand predicates
     /* 2010137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010141 */     // MIs[0] round
     /* 2010141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010144 */     // MIs[0] policy
     /* 2010144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010183 */     // GIR_Coverage, 16159,
     /* 2010183 */     GIR_EraseRootFromParent_Done,
     /* 2010184 */   // Label 26832: @2010184
     /* 2010184 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2010286), // Rule ID 16162 //
     /* 2010189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010239 */     // MIs[1] Operand 1
     /* 2010239 */     // No operand predicates
     /* 2010239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010243 */     // MIs[0] round
     /* 2010243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010246 */     // MIs[0] policy
     /* 2010246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010285 */     // GIR_Coverage, 16162,
     /* 2010285 */     GIR_EraseRootFromParent_Done,
     /* 2010286 */   // Label 26833: @2010286
     /* 2010286 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2010388), // Rule ID 16163 //
     /* 2010291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010341 */     // MIs[1] Operand 1
     /* 2010341 */     // No operand predicates
     /* 2010341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010345 */     // MIs[0] round
     /* 2010345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010348 */     // MIs[0] policy
     /* 2010348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010387 */     // GIR_Coverage, 16163,
     /* 2010387 */     GIR_EraseRootFromParent_Done,
     /* 2010388 */   // Label 26834: @2010388
     /* 2010388 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2010490), // Rule ID 16166 //
     /* 2010393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010443 */     // MIs[1] Operand 1
     /* 2010443 */     // No operand predicates
     /* 2010443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010447 */     // MIs[0] round
     /* 2010447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010450 */     // MIs[0] policy
     /* 2010450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010489 */     // GIR_Coverage, 16166,
     /* 2010489 */     GIR_EraseRootFromParent_Done,
     /* 2010490 */   // Label 26835: @2010490
     /* 2010490 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2010592), // Rule ID 16167 //
     /* 2010495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010545 */     // MIs[1] Operand 1
     /* 2010545 */     // No operand predicates
     /* 2010545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010549 */     // MIs[0] round
     /* 2010549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010552 */     // MIs[0] policy
     /* 2010552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010591 */     // GIR_Coverage, 16167,
     /* 2010591 */     GIR_EraseRootFromParent_Done,
     /* 2010592 */   // Label 26836: @2010592
     /* 2010592 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2010694), // Rule ID 16170 //
     /* 2010597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010647 */     // MIs[1] Operand 1
     /* 2010647 */     // No operand predicates
     /* 2010647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010651 */     // MIs[0] round
     /* 2010651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010654 */     // MIs[0] policy
     /* 2010654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010693 */     // GIR_Coverage, 16170,
     /* 2010693 */     GIR_EraseRootFromParent_Done,
     /* 2010694 */   // Label 26837: @2010694
     /* 2010694 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2010796), // Rule ID 16171 //
     /* 2010699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010749 */     // MIs[1] Operand 1
     /* 2010749 */     // No operand predicates
     /* 2010749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010753 */     // MIs[0] round
     /* 2010753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010756 */     // MIs[0] policy
     /* 2010756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010795 */     // GIR_Coverage, 16171,
     /* 2010795 */     GIR_EraseRootFromParent_Done,
     /* 2010796 */   // Label 26838: @2010796
     /* 2010796 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2010898), // Rule ID 16174 //
     /* 2010801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010851 */     // MIs[1] Operand 1
     /* 2010851 */     // No operand predicates
     /* 2010851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010855 */     // MIs[0] round
     /* 2010855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010858 */     // MIs[0] policy
     /* 2010858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010897 */     // GIR_Coverage, 16174,
     /* 2010897 */     GIR_EraseRootFromParent_Done,
     /* 2010898 */   // Label 26839: @2010898
     /* 2010898 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2011000), // Rule ID 16175 //
     /* 2010903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010953 */     // MIs[1] Operand 1
     /* 2010953 */     // No operand predicates
     /* 2010953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010957 */     // MIs[0] round
     /* 2010957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010960 */     // MIs[0] policy
     /* 2010960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010999 */     // GIR_Coverage, 16175,
     /* 2010999 */     GIR_EraseRootFromParent_Done,
     /* 2011000 */   // Label 26840: @2011000
     /* 2011000 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2011102), // Rule ID 16178 //
     /* 2011005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2011022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011055 */     // MIs[1] Operand 1
     /* 2011055 */     // No operand predicates
     /* 2011055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011059 */     // MIs[0] round
     /* 2011059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011062 */     // MIs[0] policy
     /* 2011062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011101 */     // GIR_Coverage, 16178,
     /* 2011101 */     GIR_EraseRootFromParent_Done,
     /* 2011102 */   // Label 26841: @2011102
     /* 2011102 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2011204), // Rule ID 16179 //
     /* 2011107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2011124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011157 */     // MIs[1] Operand 1
     /* 2011157 */     // No operand predicates
     /* 2011157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011161 */     // MIs[0] round
     /* 2011161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011164 */     // MIs[0] policy
     /* 2011164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011203 */     // GIR_Coverage, 16179,
     /* 2011203 */     GIR_EraseRootFromParent_Done,
     /* 2011204 */   // Label 26842: @2011204
     /* 2011204 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2011306), // Rule ID 16182 //
     /* 2011209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2011220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2011223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2011226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2011232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011259 */     // MIs[1] Operand 1
     /* 2011259 */     // No operand predicates
     /* 2011259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011263 */     // MIs[0] round
     /* 2011263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011266 */     // MIs[0] policy
     /* 2011266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011305 */     // GIR_Coverage, 16182,
     /* 2011305 */     GIR_EraseRootFromParent_Done,
     /* 2011306 */   // Label 26843: @2011306
     /* 2011306 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2011408), // Rule ID 16183 //
     /* 2011311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2011322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2011325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2011328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2011334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011361 */     // MIs[1] Operand 1
     /* 2011361 */     // No operand predicates
     /* 2011361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011365 */     // MIs[0] round
     /* 2011365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011368 */     // MIs[0] policy
     /* 2011368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011380 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011407 */     // GIR_Coverage, 16183,
     /* 2011407 */     GIR_EraseRootFromParent_Done,
     /* 2011408 */   // Label 26844: @2011408
     /* 2011408 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2011510), // Rule ID 16186 //
     /* 2011413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011463 */     // MIs[1] Operand 1
     /* 2011463 */     // No operand predicates
     /* 2011463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011467 */     // MIs[0] round
     /* 2011467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011470 */     // MIs[0] policy
     /* 2011470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011509 */     // GIR_Coverage, 16186,
     /* 2011509 */     GIR_EraseRootFromParent_Done,
     /* 2011510 */   // Label 26845: @2011510
     /* 2011510 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2011612), // Rule ID 16187 //
     /* 2011515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011565 */     // MIs[1] Operand 1
     /* 2011565 */     // No operand predicates
     /* 2011565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011569 */     // MIs[0] round
     /* 2011569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011572 */     // MIs[0] policy
     /* 2011572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011611 */     // GIR_Coverage, 16187,
     /* 2011611 */     GIR_EraseRootFromParent_Done,
     /* 2011612 */   // Label 26846: @2011612
     /* 2011612 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2011714), // Rule ID 16190 //
     /* 2011617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011667 */     // MIs[1] Operand 1
     /* 2011667 */     // No operand predicates
     /* 2011667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011671 */     // MIs[0] round
     /* 2011671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011674 */     // MIs[0] policy
     /* 2011674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011713 */     // GIR_Coverage, 16190,
     /* 2011713 */     GIR_EraseRootFromParent_Done,
     /* 2011714 */   // Label 26847: @2011714
     /* 2011714 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2011816), // Rule ID 16191 //
     /* 2011719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011769 */     // MIs[1] Operand 1
     /* 2011769 */     // No operand predicates
     /* 2011769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011773 */     // MIs[0] round
     /* 2011773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011776 */     // MIs[0] policy
     /* 2011776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011815 */     // GIR_Coverage, 16191,
     /* 2011815 */     GIR_EraseRootFromParent_Done,
     /* 2011816 */   // Label 26848: @2011816
     /* 2011816 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2011918), // Rule ID 16194 //
     /* 2011821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011871 */     // MIs[1] Operand 1
     /* 2011871 */     // No operand predicates
     /* 2011871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011875 */     // MIs[0] round
     /* 2011875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011878 */     // MIs[0] policy
     /* 2011878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011917 */     // GIR_Coverage, 16194,
     /* 2011917 */     GIR_EraseRootFromParent_Done,
     /* 2011918 */   // Label 26849: @2011918
     /* 2011918 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2012020), // Rule ID 16195 //
     /* 2011923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011973 */     // MIs[1] Operand 1
     /* 2011973 */     // No operand predicates
     /* 2011973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011977 */     // MIs[0] round
     /* 2011977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011980 */     // MIs[0] policy
     /* 2011980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012019 */     // GIR_Coverage, 16195,
     /* 2012019 */     GIR_EraseRootFromParent_Done,
     /* 2012020 */   // Label 26850: @2012020
     /* 2012020 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2012122), // Rule ID 16198 //
     /* 2012025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012075 */     // MIs[1] Operand 1
     /* 2012075 */     // No operand predicates
     /* 2012075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012079 */     // MIs[0] round
     /* 2012079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012082 */     // MIs[0] policy
     /* 2012082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012121 */     // GIR_Coverage, 16198,
     /* 2012121 */     GIR_EraseRootFromParent_Done,
     /* 2012122 */   // Label 26851: @2012122
     /* 2012122 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2012224), // Rule ID 16199 //
     /* 2012127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012177 */     // MIs[1] Operand 1
     /* 2012177 */     // No operand predicates
     /* 2012177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012181 */     // MIs[0] round
     /* 2012181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012184 */     // MIs[0] policy
     /* 2012184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012223 */     // GIR_Coverage, 16199,
     /* 2012223 */     GIR_EraseRootFromParent_Done,
     /* 2012224 */   // Label 26852: @2012224
     /* 2012224 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2012326), // Rule ID 16202 //
     /* 2012229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2012240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2012243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012279 */     // MIs[1] Operand 1
     /* 2012279 */     // No operand predicates
     /* 2012279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012283 */     // MIs[0] round
     /* 2012283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012286 */     // MIs[0] policy
     /* 2012286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012325 */     // GIR_Coverage, 16202,
     /* 2012325 */     GIR_EraseRootFromParent_Done,
     /* 2012326 */   // Label 26853: @2012326
     /* 2012326 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2012428), // Rule ID 16203 //
     /* 2012331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2012342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2012345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012381 */     // MIs[1] Operand 1
     /* 2012381 */     // No operand predicates
     /* 2012381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012385 */     // MIs[0] round
     /* 2012385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012388 */     // MIs[0] policy
     /* 2012388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012427 */     // GIR_Coverage, 16203,
     /* 2012427 */     GIR_EraseRootFromParent_Done,
     /* 2012428 */   // Label 26854: @2012428
     /* 2012428 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2012530), // Rule ID 16206 //
     /* 2012433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012483 */     // MIs[1] Operand 1
     /* 2012483 */     // No operand predicates
     /* 2012483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012487 */     // MIs[0] round
     /* 2012487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012490 */     // MIs[0] policy
     /* 2012490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012529 */     // GIR_Coverage, 16206,
     /* 2012529 */     GIR_EraseRootFromParent_Done,
     /* 2012530 */   // Label 26855: @2012530
     /* 2012530 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2012632), // Rule ID 16207 //
     /* 2012535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012585 */     // MIs[1] Operand 1
     /* 2012585 */     // No operand predicates
     /* 2012585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012589 */     // MIs[0] round
     /* 2012589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012592 */     // MIs[0] policy
     /* 2012592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012631 */     // GIR_Coverage, 16207,
     /* 2012631 */     GIR_EraseRootFromParent_Done,
     /* 2012632 */   // Label 26856: @2012632
     /* 2012632 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2012734), // Rule ID 16210 //
     /* 2012637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012687 */     // MIs[1] Operand 1
     /* 2012687 */     // No operand predicates
     /* 2012687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012691 */     // MIs[0] round
     /* 2012691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012694 */     // MIs[0] policy
     /* 2012694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012733 */     // GIR_Coverage, 16210,
     /* 2012733 */     GIR_EraseRootFromParent_Done,
     /* 2012734 */   // Label 26857: @2012734
     /* 2012734 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2012836), // Rule ID 16211 //
     /* 2012739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012789 */     // MIs[1] Operand 1
     /* 2012789 */     // No operand predicates
     /* 2012789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012793 */     // MIs[0] round
     /* 2012793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012796 */     // MIs[0] policy
     /* 2012796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012835 */     // GIR_Coverage, 16211,
     /* 2012835 */     GIR_EraseRootFromParent_Done,
     /* 2012836 */   // Label 26858: @2012836
     /* 2012836 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2012938), // Rule ID 16214 //
     /* 2012841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012891 */     // MIs[1] Operand 1
     /* 2012891 */     // No operand predicates
     /* 2012891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012895 */     // MIs[0] round
     /* 2012895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012898 */     // MIs[0] policy
     /* 2012898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012937 */     // GIR_Coverage, 16214,
     /* 2012937 */     GIR_EraseRootFromParent_Done,
     /* 2012938 */   // Label 26859: @2012938
     /* 2012938 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2013040), // Rule ID 16215 //
     /* 2012943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012993 */     // MIs[1] Operand 1
     /* 2012993 */     // No operand predicates
     /* 2012993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012997 */     // MIs[0] round
     /* 2012997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013000 */     // MIs[0] policy
     /* 2013000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2013015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013039 */     // GIR_Coverage, 16215,
     /* 2013039 */     GIR_EraseRootFromParent_Done,
     /* 2013040 */   // Label 26860: @2013040
     /* 2013040 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2013142), // Rule ID 16218 //
     /* 2013045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2013048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2013056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2013059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013095 */     // MIs[1] Operand 1
     /* 2013095 */     // No operand predicates
     /* 2013095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013099 */     // MIs[0] round
     /* 2013099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013102 */     // MIs[0] policy
     /* 2013102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2013117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013141 */     // GIR_Coverage, 16218,
     /* 2013141 */     GIR_EraseRootFromParent_Done,
     /* 2013142 */   // Label 26861: @2013142
     /* 2013142 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2013244), // Rule ID 16219 //
     /* 2013147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2013150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2013158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2013161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013197 */     // MIs[1] Operand 1
     /* 2013197 */     // No operand predicates
     /* 2013197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013201 */     // MIs[0] round
     /* 2013201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013204 */     // MIs[0] policy
     /* 2013204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2013219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013243 */     // GIR_Coverage, 16219,
     /* 2013243 */     GIR_EraseRootFromParent_Done,
     /* 2013244 */   // Label 26862: @2013244
     /* 2013244 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2013349), // Rule ID 16342 //
     /* 2013249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2013260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2013263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013299 */     // MIs[1] Operand 1
     /* 2013299 */     // No operand predicates
     /* 2013299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013303 */     // MIs[0] round
     /* 2013303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013306 */     // MIs[0] policy
     /* 2013306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013318 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2013321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013348 */     // GIR_Coverage, 16342,
     /* 2013348 */     GIR_EraseRootFromParent_Done,
     /* 2013349 */   // Label 26863: @2013349
     /* 2013349 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2013454), // Rule ID 16343 //
     /* 2013354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2013365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2013368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013404 */     // MIs[1] Operand 1
     /* 2013404 */     // No operand predicates
     /* 2013404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013408 */     // MIs[0] round
     /* 2013408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013411 */     // MIs[0] policy
     /* 2013411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2013426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013453 */     // GIR_Coverage, 16343,
     /* 2013453 */     GIR_EraseRootFromParent_Done,
     /* 2013454 */   // Label 26864: @2013454
     /* 2013454 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2013559), // Rule ID 16346 //
     /* 2013459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013509 */     // MIs[1] Operand 1
     /* 2013509 */     // No operand predicates
     /* 2013509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013513 */     // MIs[0] round
     /* 2013513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013516 */     // MIs[0] policy
     /* 2013516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013558 */     // GIR_Coverage, 16346,
     /* 2013558 */     GIR_EraseRootFromParent_Done,
     /* 2013559 */   // Label 26865: @2013559
     /* 2013559 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2013664), // Rule ID 16347 //
     /* 2013564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013614 */     // MIs[1] Operand 1
     /* 2013614 */     // No operand predicates
     /* 2013614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013618 */     // MIs[0] round
     /* 2013618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013621 */     // MIs[0] policy
     /* 2013621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013633 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013663 */     // GIR_Coverage, 16347,
     /* 2013663 */     GIR_EraseRootFromParent_Done,
     /* 2013664 */   // Label 26866: @2013664
     /* 2013664 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2013769), // Rule ID 16350 //
     /* 2013669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013719 */     // MIs[1] Operand 1
     /* 2013719 */     // No operand predicates
     /* 2013719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013723 */     // MIs[0] round
     /* 2013723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013726 */     // MIs[0] policy
     /* 2013726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013768 */     // GIR_Coverage, 16350,
     /* 2013768 */     GIR_EraseRootFromParent_Done,
     /* 2013769 */   // Label 26867: @2013769
     /* 2013769 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2013874), // Rule ID 16351 //
     /* 2013774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013824 */     // MIs[1] Operand 1
     /* 2013824 */     // No operand predicates
     /* 2013824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013828 */     // MIs[0] round
     /* 2013828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013831 */     // MIs[0] policy
     /* 2013831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013843 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013873 */     // GIR_Coverage, 16351,
     /* 2013873 */     GIR_EraseRootFromParent_Done,
     /* 2013874 */   // Label 26868: @2013874
     /* 2013874 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2013979), // Rule ID 16354 //
     /* 2013879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013929 */     // MIs[1] Operand 1
     /* 2013929 */     // No operand predicates
     /* 2013929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013933 */     // MIs[0] round
     /* 2013933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013936 */     // MIs[0] policy
     /* 2013936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013978 */     // GIR_Coverage, 16354,
     /* 2013978 */     GIR_EraseRootFromParent_Done,
     /* 2013979 */   // Label 26869: @2013979
     /* 2013979 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2014084), // Rule ID 16355 //
     /* 2013984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014034 */     // MIs[1] Operand 1
     /* 2014034 */     // No operand predicates
     /* 2014034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014038 */     // MIs[0] round
     /* 2014038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014041 */     // MIs[0] policy
     /* 2014041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014083 */     // GIR_Coverage, 16355,
     /* 2014083 */     GIR_EraseRootFromParent_Done,
     /* 2014084 */   // Label 26870: @2014084
     /* 2014084 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2014189), // Rule ID 16358 //
     /* 2014089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014139 */     // MIs[1] Operand 1
     /* 2014139 */     // No operand predicates
     /* 2014139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014143 */     // MIs[0] round
     /* 2014143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014146 */     // MIs[0] policy
     /* 2014146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014188 */     // GIR_Coverage, 16358,
     /* 2014188 */     GIR_EraseRootFromParent_Done,
     /* 2014189 */   // Label 26871: @2014189
     /* 2014189 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2014294), // Rule ID 16359 //
     /* 2014194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014244 */     // MIs[1] Operand 1
     /* 2014244 */     // No operand predicates
     /* 2014244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014248 */     // MIs[0] round
     /* 2014248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014251 */     // MIs[0] policy
     /* 2014251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014293 */     // GIR_Coverage, 16359,
     /* 2014293 */     GIR_EraseRootFromParent_Done,
     /* 2014294 */   // Label 26872: @2014294
     /* 2014294 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2014399), // Rule ID 16362 //
     /* 2014299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014349 */     // MIs[1] Operand 1
     /* 2014349 */     // No operand predicates
     /* 2014349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014353 */     // MIs[0] round
     /* 2014353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014356 */     // MIs[0] policy
     /* 2014356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014398 */     // GIR_Coverage, 16362,
     /* 2014398 */     GIR_EraseRootFromParent_Done,
     /* 2014399 */   // Label 26873: @2014399
     /* 2014399 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2014504), // Rule ID 16363 //
     /* 2014404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014454 */     // MIs[1] Operand 1
     /* 2014454 */     // No operand predicates
     /* 2014454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014458 */     // MIs[0] round
     /* 2014458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014461 */     // MIs[0] policy
     /* 2014461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014503 */     // GIR_Coverage, 16363,
     /* 2014503 */     GIR_EraseRootFromParent_Done,
     /* 2014504 */   // Label 26874: @2014504
     /* 2014504 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2014609), // Rule ID 16366 //
     /* 2014509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014559 */     // MIs[1] Operand 1
     /* 2014559 */     // No operand predicates
     /* 2014559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014563 */     // MIs[0] round
     /* 2014563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014566 */     // MIs[0] policy
     /* 2014566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014608 */     // GIR_Coverage, 16366,
     /* 2014608 */     GIR_EraseRootFromParent_Done,
     /* 2014609 */   // Label 26875: @2014609
     /* 2014609 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2014714), // Rule ID 16367 //
     /* 2014614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014664 */     // MIs[1] Operand 1
     /* 2014664 */     // No operand predicates
     /* 2014664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014668 */     // MIs[0] round
     /* 2014668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014671 */     // MIs[0] policy
     /* 2014671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014713 */     // GIR_Coverage, 16367,
     /* 2014713 */     GIR_EraseRootFromParent_Done,
     /* 2014714 */   // Label 26876: @2014714
     /* 2014714 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2014819), // Rule ID 16370 //
     /* 2014719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014769 */     // MIs[1] Operand 1
     /* 2014769 */     // No operand predicates
     /* 2014769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014773 */     // MIs[0] round
     /* 2014773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014776 */     // MIs[0] policy
     /* 2014776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014818 */     // GIR_Coverage, 16370,
     /* 2014818 */     GIR_EraseRootFromParent_Done,
     /* 2014819 */   // Label 26877: @2014819
     /* 2014819 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2014924), // Rule ID 16371 //
     /* 2014824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014874 */     // MIs[1] Operand 1
     /* 2014874 */     // No operand predicates
     /* 2014874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014878 */     // MIs[0] round
     /* 2014878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014881 */     // MIs[0] policy
     /* 2014881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014923 */     // GIR_Coverage, 16371,
     /* 2014923 */     GIR_EraseRootFromParent_Done,
     /* 2014924 */   // Label 26878: @2014924
     /* 2014924 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2015029), // Rule ID 16374 //
     /* 2014929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014979 */     // MIs[1] Operand 1
     /* 2014979 */     // No operand predicates
     /* 2014979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014983 */     // MIs[0] round
     /* 2014983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014986 */     // MIs[0] policy
     /* 2014986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015028 */     // GIR_Coverage, 16374,
     /* 2015028 */     GIR_EraseRootFromParent_Done,
     /* 2015029 */   // Label 26879: @2015029
     /* 2015029 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2015134), // Rule ID 16375 //
     /* 2015034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2015045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2015048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015084 */     // MIs[1] Operand 1
     /* 2015084 */     // No operand predicates
     /* 2015084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015088 */     // MIs[0] round
     /* 2015088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015091 */     // MIs[0] policy
     /* 2015091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015133 */     // GIR_Coverage, 16375,
     /* 2015133 */     GIR_EraseRootFromParent_Done,
     /* 2015134 */   // Label 26880: @2015134
     /* 2015134 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2015239), // Rule ID 16378 //
     /* 2015139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015189 */     // MIs[1] Operand 1
     /* 2015189 */     // No operand predicates
     /* 2015189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015193 */     // MIs[0] round
     /* 2015193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015196 */     // MIs[0] policy
     /* 2015196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015238 */     // GIR_Coverage, 16378,
     /* 2015238 */     GIR_EraseRootFromParent_Done,
     /* 2015239 */   // Label 26881: @2015239
     /* 2015239 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2015344), // Rule ID 16379 //
     /* 2015244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015294 */     // MIs[1] Operand 1
     /* 2015294 */     // No operand predicates
     /* 2015294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015298 */     // MIs[0] round
     /* 2015298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015301 */     // MIs[0] policy
     /* 2015301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015343 */     // GIR_Coverage, 16379,
     /* 2015343 */     GIR_EraseRootFromParent_Done,
     /* 2015344 */   // Label 26882: @2015344
     /* 2015344 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2015449), // Rule ID 16382 //
     /* 2015349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015399 */     // MIs[1] Operand 1
     /* 2015399 */     // No operand predicates
     /* 2015399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015403 */     // MIs[0] round
     /* 2015403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015406 */     // MIs[0] policy
     /* 2015406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015448 */     // GIR_Coverage, 16382,
     /* 2015448 */     GIR_EraseRootFromParent_Done,
     /* 2015449 */   // Label 26883: @2015449
     /* 2015449 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2015554), // Rule ID 16383 //
     /* 2015454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015504 */     // MIs[1] Operand 1
     /* 2015504 */     // No operand predicates
     /* 2015504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015508 */     // MIs[0] round
     /* 2015508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015511 */     // MIs[0] policy
     /* 2015511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015553 */     // GIR_Coverage, 16383,
     /* 2015553 */     GIR_EraseRootFromParent_Done,
     /* 2015554 */   // Label 26884: @2015554
     /* 2015554 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2015659), // Rule ID 16386 //
     /* 2015559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015609 */     // MIs[1] Operand 1
     /* 2015609 */     // No operand predicates
     /* 2015609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015613 */     // MIs[0] round
     /* 2015613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015616 */     // MIs[0] policy
     /* 2015616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015658 */     // GIR_Coverage, 16386,
     /* 2015658 */     GIR_EraseRootFromParent_Done,
     /* 2015659 */   // Label 26885: @2015659
     /* 2015659 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2015764), // Rule ID 16387 //
     /* 2015664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015714 */     // MIs[1] Operand 1
     /* 2015714 */     // No operand predicates
     /* 2015714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015718 */     // MIs[0] round
     /* 2015718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015721 */     // MIs[0] policy
     /* 2015721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015763 */     // GIR_Coverage, 16387,
     /* 2015763 */     GIR_EraseRootFromParent_Done,
     /* 2015764 */   // Label 26886: @2015764
     /* 2015764 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2015869), // Rule ID 16390 //
     /* 2015769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015819 */     // MIs[1] Operand 1
     /* 2015819 */     // No operand predicates
     /* 2015819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015823 */     // MIs[0] round
     /* 2015823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015826 */     // MIs[0] policy
     /* 2015826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015868 */     // GIR_Coverage, 16390,
     /* 2015868 */     GIR_EraseRootFromParent_Done,
     /* 2015869 */   // Label 26887: @2015869
     /* 2015869 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2015974), // Rule ID 16391 //
     /* 2015874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015924 */     // MIs[1] Operand 1
     /* 2015924 */     // No operand predicates
     /* 2015924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015928 */     // MIs[0] round
     /* 2015928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015931 */     // MIs[0] policy
     /* 2015931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015973 */     // GIR_Coverage, 16391,
     /* 2015973 */     GIR_EraseRootFromParent_Done,
     /* 2015974 */   // Label 26888: @2015974
     /* 2015974 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2016079), // Rule ID 16394 //
     /* 2015979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016029 */     // MIs[1] Operand 1
     /* 2016029 */     // No operand predicates
     /* 2016029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016033 */     // MIs[0] round
     /* 2016033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016036 */     // MIs[0] policy
     /* 2016036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2016051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016078 */     // GIR_Coverage, 16394,
     /* 2016078 */     GIR_EraseRootFromParent_Done,
     /* 2016079 */   // Label 26889: @2016079
     /* 2016079 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2016184), // Rule ID 16395 //
     /* 2016084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2016101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016134 */     // MIs[1] Operand 1
     /* 2016134 */     // No operand predicates
     /* 2016134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016138 */     // MIs[0] round
     /* 2016138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016141 */     // MIs[0] policy
     /* 2016141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2016156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016183 */     // GIR_Coverage, 16395,
     /* 2016183 */     GIR_EraseRootFromParent_Done,
     /* 2016184 */   // Label 26890: @2016184
     /* 2016184 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2016289), // Rule ID 16398 //
     /* 2016189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2016192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016239 */     // MIs[1] Operand 1
     /* 2016239 */     // No operand predicates
     /* 2016239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016243 */     // MIs[0] round
     /* 2016243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016246 */     // MIs[0] policy
     /* 2016246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2016261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016288 */     // GIR_Coverage, 16398,
     /* 2016288 */     GIR_EraseRootFromParent_Done,
     /* 2016289 */   // Label 26891: @2016289
     /* 2016289 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2016394), // Rule ID 16399 //
     /* 2016294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2016302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016344 */     // MIs[1] Operand 1
     /* 2016344 */     // No operand predicates
     /* 2016344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016348 */     // MIs[0] round
     /* 2016348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016351 */     // MIs[0] policy
     /* 2016351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2016366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016393 */     // GIR_Coverage, 16399,
     /* 2016393 */     GIR_EraseRootFromParent_Done,
     /* 2016394 */   // Label 26892: @2016394
     /* 2016394 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2016499), // Rule ID 16522 //
     /* 2016399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016449 */     // MIs[1] Operand 1
     /* 2016449 */     // No operand predicates
     /* 2016449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016453 */     // MIs[0] round
     /* 2016453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016456 */     // MIs[0] policy
     /* 2016456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016498 */     // GIR_Coverage, 16522,
     /* 2016498 */     GIR_EraseRootFromParent_Done,
     /* 2016499 */   // Label 26893: @2016499
     /* 2016499 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2016604), // Rule ID 16523 //
     /* 2016504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016554 */     // MIs[1] Operand 1
     /* 2016554 */     // No operand predicates
     /* 2016554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016558 */     // MIs[0] round
     /* 2016558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016561 */     // MIs[0] policy
     /* 2016561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016573 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016603 */     // GIR_Coverage, 16523,
     /* 2016603 */     GIR_EraseRootFromParent_Done,
     /* 2016604 */   // Label 26894: @2016604
     /* 2016604 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2016709), // Rule ID 16526 //
     /* 2016609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016659 */     // MIs[1] Operand 1
     /* 2016659 */     // No operand predicates
     /* 2016659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016663 */     // MIs[0] round
     /* 2016663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016666 */     // MIs[0] policy
     /* 2016666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016708 */     // GIR_Coverage, 16526,
     /* 2016708 */     GIR_EraseRootFromParent_Done,
     /* 2016709 */   // Label 26895: @2016709
     /* 2016709 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2016814), // Rule ID 16527 //
     /* 2016714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016764 */     // MIs[1] Operand 1
     /* 2016764 */     // No operand predicates
     /* 2016764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016768 */     // MIs[0] round
     /* 2016768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016771 */     // MIs[0] policy
     /* 2016771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016813 */     // GIR_Coverage, 16527,
     /* 2016813 */     GIR_EraseRootFromParent_Done,
     /* 2016814 */   // Label 26896: @2016814
     /* 2016814 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2016919), // Rule ID 16530 //
     /* 2016819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016869 */     // MIs[1] Operand 1
     /* 2016869 */     // No operand predicates
     /* 2016869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016873 */     // MIs[0] round
     /* 2016873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016876 */     // MIs[0] policy
     /* 2016876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016918 */     // GIR_Coverage, 16530,
     /* 2016918 */     GIR_EraseRootFromParent_Done,
     /* 2016919 */   // Label 26897: @2016919
     /* 2016919 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2017024), // Rule ID 16531 //
     /* 2016924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016974 */     // MIs[1] Operand 1
     /* 2016974 */     // No operand predicates
     /* 2016974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016978 */     // MIs[0] round
     /* 2016978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016981 */     // MIs[0] policy
     /* 2016981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017023 */     // GIR_Coverage, 16531,
     /* 2017023 */     GIR_EraseRootFromParent_Done,
     /* 2017024 */   // Label 26898: @2017024
     /* 2017024 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2017129), // Rule ID 16534 //
     /* 2017029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017079 */     // MIs[1] Operand 1
     /* 2017079 */     // No operand predicates
     /* 2017079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017083 */     // MIs[0] round
     /* 2017083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017086 */     // MIs[0] policy
     /* 2017086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017128 */     // GIR_Coverage, 16534,
     /* 2017128 */     GIR_EraseRootFromParent_Done,
     /* 2017129 */   // Label 26899: @2017129
     /* 2017129 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2017234), // Rule ID 16535 //
     /* 2017134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2017151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017184 */     // MIs[1] Operand 1
     /* 2017184 */     // No operand predicates
     /* 2017184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017188 */     // MIs[0] round
     /* 2017188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017191 */     // MIs[0] policy
     /* 2017191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017233 */     // GIR_Coverage, 16535,
     /* 2017233 */     GIR_EraseRootFromParent_Done,
     /* 2017234 */   // Label 26900: @2017234
     /* 2017234 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2017339), // Rule ID 16538 //
     /* 2017239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017289 */     // MIs[1] Operand 1
     /* 2017289 */     // No operand predicates
     /* 2017289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017293 */     // MIs[0] round
     /* 2017293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017296 */     // MIs[0] policy
     /* 2017296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017338 */     // GIR_Coverage, 16538,
     /* 2017338 */     GIR_EraseRootFromParent_Done,
     /* 2017339 */   // Label 26901: @2017339
     /* 2017339 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2017444), // Rule ID 16539 //
     /* 2017344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017394 */     // MIs[1] Operand 1
     /* 2017394 */     // No operand predicates
     /* 2017394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017398 */     // MIs[0] round
     /* 2017398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017401 */     // MIs[0] policy
     /* 2017401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017413 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017443 */     // GIR_Coverage, 16539,
     /* 2017443 */     GIR_EraseRootFromParent_Done,
     /* 2017444 */   // Label 26902: @2017444
     /* 2017444 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2017549), // Rule ID 16542 //
     /* 2017449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017499 */     // MIs[1] Operand 1
     /* 2017499 */     // No operand predicates
     /* 2017499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017503 */     // MIs[0] round
     /* 2017503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017506 */     // MIs[0] policy
     /* 2017506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017548 */     // GIR_Coverage, 16542,
     /* 2017548 */     GIR_EraseRootFromParent_Done,
     /* 2017549 */   // Label 26903: @2017549
     /* 2017549 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2017654), // Rule ID 16543 //
     /* 2017554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017604 */     // MIs[1] Operand 1
     /* 2017604 */     // No operand predicates
     /* 2017604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017608 */     // MIs[0] round
     /* 2017608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017611 */     // MIs[0] policy
     /* 2017611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017653 */     // GIR_Coverage, 16543,
     /* 2017653 */     GIR_EraseRootFromParent_Done,
     /* 2017654 */   // Label 26904: @2017654
     /* 2017654 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2017759), // Rule ID 16546 //
     /* 2017659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017709 */     // MIs[1] Operand 1
     /* 2017709 */     // No operand predicates
     /* 2017709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017713 */     // MIs[0] round
     /* 2017713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017716 */     // MIs[0] policy
     /* 2017716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017758 */     // GIR_Coverage, 16546,
     /* 2017758 */     GIR_EraseRootFromParent_Done,
     /* 2017759 */   // Label 26905: @2017759
     /* 2017759 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2017864), // Rule ID 16547 //
     /* 2017764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017814 */     // MIs[1] Operand 1
     /* 2017814 */     // No operand predicates
     /* 2017814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017818 */     // MIs[0] round
     /* 2017818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017821 */     // MIs[0] policy
     /* 2017821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017863 */     // GIR_Coverage, 16547,
     /* 2017863 */     GIR_EraseRootFromParent_Done,
     /* 2017864 */   // Label 26906: @2017864
     /* 2017864 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2017969), // Rule ID 16550 //
     /* 2017869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017919 */     // MIs[1] Operand 1
     /* 2017919 */     // No operand predicates
     /* 2017919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017923 */     // MIs[0] round
     /* 2017923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017926 */     // MIs[0] policy
     /* 2017926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017968 */     // GIR_Coverage, 16550,
     /* 2017968 */     GIR_EraseRootFromParent_Done,
     /* 2017969 */   // Label 26907: @2017969
     /* 2017969 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2018074), // Rule ID 16551 //
     /* 2017974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018024 */     // MIs[1] Operand 1
     /* 2018024 */     // No operand predicates
     /* 2018024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018028 */     // MIs[0] round
     /* 2018028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018031 */     // MIs[0] policy
     /* 2018031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018073 */     // GIR_Coverage, 16551,
     /* 2018073 */     GIR_EraseRootFromParent_Done,
     /* 2018074 */   // Label 26908: @2018074
     /* 2018074 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2018179), // Rule ID 16554 //
     /* 2018079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2018090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018129 */     // MIs[1] Operand 1
     /* 2018129 */     // No operand predicates
     /* 2018129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018133 */     // MIs[0] round
     /* 2018133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018136 */     // MIs[0] policy
     /* 2018136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018178 */     // GIR_Coverage, 16554,
     /* 2018178 */     GIR_EraseRootFromParent_Done,
     /* 2018179 */   // Label 26909: @2018179
     /* 2018179 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2018284), // Rule ID 16555 //
     /* 2018184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2018195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018234 */     // MIs[1] Operand 1
     /* 2018234 */     // No operand predicates
     /* 2018234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018238 */     // MIs[0] round
     /* 2018238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018241 */     // MIs[0] policy
     /* 2018241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018283 */     // GIR_Coverage, 16555,
     /* 2018283 */     GIR_EraseRootFromParent_Done,
     /* 2018284 */   // Label 26910: @2018284
     /* 2018284 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2018389), // Rule ID 16558 //
     /* 2018289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018339 */     // MIs[1] Operand 1
     /* 2018339 */     // No operand predicates
     /* 2018339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018343 */     // MIs[0] round
     /* 2018343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018346 */     // MIs[0] policy
     /* 2018346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018388 */     // GIR_Coverage, 16558,
     /* 2018388 */     GIR_EraseRootFromParent_Done,
     /* 2018389 */   // Label 26911: @2018389
     /* 2018389 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2018494), // Rule ID 16559 //
     /* 2018394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018444 */     // MIs[1] Operand 1
     /* 2018444 */     // No operand predicates
     /* 2018444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018448 */     // MIs[0] round
     /* 2018448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018451 */     // MIs[0] policy
     /* 2018451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018493 */     // GIR_Coverage, 16559,
     /* 2018493 */     GIR_EraseRootFromParent_Done,
     /* 2018494 */   // Label 26912: @2018494
     /* 2018494 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2018599), // Rule ID 16562 //
     /* 2018499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018549 */     // MIs[1] Operand 1
     /* 2018549 */     // No operand predicates
     /* 2018549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018553 */     // MIs[0] round
     /* 2018553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018556 */     // MIs[0] policy
     /* 2018556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018598 */     // GIR_Coverage, 16562,
     /* 2018598 */     GIR_EraseRootFromParent_Done,
     /* 2018599 */   // Label 26913: @2018599
     /* 2018599 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2018704), // Rule ID 16563 //
     /* 2018604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018654 */     // MIs[1] Operand 1
     /* 2018654 */     // No operand predicates
     /* 2018654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018658 */     // MIs[0] round
     /* 2018658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018661 */     // MIs[0] policy
     /* 2018661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018703 */     // GIR_Coverage, 16563,
     /* 2018703 */     GIR_EraseRootFromParent_Done,
     /* 2018704 */   // Label 26914: @2018704
     /* 2018704 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2018809), // Rule ID 16566 //
     /* 2018709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018759 */     // MIs[1] Operand 1
     /* 2018759 */     // No operand predicates
     /* 2018759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018763 */     // MIs[0] round
     /* 2018763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018766 */     // MIs[0] policy
     /* 2018766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018808 */     // GIR_Coverage, 16566,
     /* 2018808 */     GIR_EraseRootFromParent_Done,
     /* 2018809 */   // Label 26915: @2018809
     /* 2018809 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2018914), // Rule ID 16567 //
     /* 2018814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018864 */     // MIs[1] Operand 1
     /* 2018864 */     // No operand predicates
     /* 2018864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018868 */     // MIs[0] round
     /* 2018868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018871 */     // MIs[0] policy
     /* 2018871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018913 */     // GIR_Coverage, 16567,
     /* 2018913 */     GIR_EraseRootFromParent_Done,
     /* 2018914 */   // Label 26916: @2018914
     /* 2018914 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019019), // Rule ID 16570 //
     /* 2018919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018969 */     // MIs[1] Operand 1
     /* 2018969 */     // No operand predicates
     /* 2018969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018973 */     // MIs[0] round
     /* 2018973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018976 */     // MIs[0] policy
     /* 2018976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019018 */     // GIR_Coverage, 16570,
     /* 2019018 */     GIR_EraseRootFromParent_Done,
     /* 2019019 */   // Label 26917: @2019019
     /* 2019019 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2019124), // Rule ID 16571 //
     /* 2019024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019074 */     // MIs[1] Operand 1
     /* 2019074 */     // No operand predicates
     /* 2019074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019078 */     // MIs[0] round
     /* 2019078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019081 */     // MIs[0] policy
     /* 2019081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2019096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019123 */     // GIR_Coverage, 16571,
     /* 2019123 */     GIR_EraseRootFromParent_Done,
     /* 2019124 */   // Label 26918: @2019124
     /* 2019124 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2019229), // Rule ID 16574 //
     /* 2019129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019179 */     // MIs[1] Operand 1
     /* 2019179 */     // No operand predicates
     /* 2019179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019183 */     // MIs[0] round
     /* 2019183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019186 */     // MIs[0] policy
     /* 2019186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2019201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019228 */     // GIR_Coverage, 16574,
     /* 2019228 */     GIR_EraseRootFromParent_Done,
     /* 2019229 */   // Label 26919: @2019229
     /* 2019229 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2019334), // Rule ID 16575 //
     /* 2019234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019284 */     // MIs[1] Operand 1
     /* 2019284 */     // No operand predicates
     /* 2019284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019288 */     // MIs[0] round
     /* 2019288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019291 */     // MIs[0] policy
     /* 2019291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2019306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019333 */     // GIR_Coverage, 16575,
     /* 2019333 */     GIR_EraseRootFromParent_Done,
     /* 2019334 */   // Label 26920: @2019334
     /* 2019334 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2019439), // Rule ID 16578 //
     /* 2019339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019389 */     // MIs[1] Operand 1
     /* 2019389 */     // No operand predicates
     /* 2019389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019393 */     // MIs[0] round
     /* 2019393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019396 */     // MIs[0] policy
     /* 2019396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019438 */     // GIR_Coverage, 16578,
     /* 2019438 */     GIR_EraseRootFromParent_Done,
     /* 2019439 */   // Label 26921: @2019439
     /* 2019439 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2019544), // Rule ID 16579 //
     /* 2019444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019494 */     // MIs[1] Operand 1
     /* 2019494 */     // No operand predicates
     /* 2019494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019498 */     // MIs[0] round
     /* 2019498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019501 */     // MIs[0] policy
     /* 2019501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019543 */     // GIR_Coverage, 16579,
     /* 2019543 */     GIR_EraseRootFromParent_Done,
     /* 2019544 */   // Label 26922: @2019544
     /* 2019544 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2019631), // Rule ID 2658 //
     /* 2019549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019580 */     // MIs[0] passthru
     /* 2019580 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019593 */     // MIs[0] round
     /* 2019593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019596 */     // MIs[0] policy
     /* 2019596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019606 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019630 */     // GIR_Coverage, 2658,
     /* 2019630 */     GIR_EraseRootFromParent_Done,
     /* 2019631 */   // Label 26923: @2019631
     /* 2019631 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2019718), // Rule ID 2659 //
     /* 2019636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019667 */     // MIs[0] passthru
     /* 2019667 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019680 */     // MIs[0] round
     /* 2019680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019683 */     // MIs[0] policy
     /* 2019683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019693 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019717 */     // GIR_Coverage, 2659,
     /* 2019717 */     GIR_EraseRootFromParent_Done,
     /* 2019718 */   // Label 26924: @2019718
     /* 2019718 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2019805), // Rule ID 17030 //
     /* 2019723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019754 */     // MIs[0] passthru
     /* 2019754 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019767 */     // MIs[0] round
     /* 2019767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019770 */     // MIs[0] policy
     /* 2019770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019780 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019804 */     // GIR_Coverage, 17030,
     /* 2019804 */     GIR_EraseRootFromParent_Done,
     /* 2019805 */   // Label 26925: @2019805
     /* 2019805 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2019892), // Rule ID 17031 //
     /* 2019810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019841 */     // MIs[0] passthru
     /* 2019841 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019854 */     // MIs[0] round
     /* 2019854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019857 */     // MIs[0] policy
     /* 2019857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019891 */     // GIR_Coverage, 17031,
     /* 2019891 */     GIR_EraseRootFromParent_Done,
     /* 2019892 */   // Label 26926: @2019892
     /* 2019892 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2019979), // Rule ID 17040 //
     /* 2019897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019928 */     // MIs[0] passthru
     /* 2019928 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019941 */     // MIs[0] round
     /* 2019941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019944 */     // MIs[0] policy
     /* 2019944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019954 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019978 */     // GIR_Coverage, 17040,
     /* 2019978 */     GIR_EraseRootFromParent_Done,
     /* 2019979 */   // Label 26927: @2019979
     /* 2019979 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2020066), // Rule ID 17041 //
     /* 2019984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2020001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020015 */     // MIs[0] passthru
     /* 2020015 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020028 */     // MIs[0] round
     /* 2020028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020031 */     // MIs[0] policy
     /* 2020031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020041 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2020044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020065 */     // GIR_Coverage, 17041,
     /* 2020065 */     GIR_EraseRootFromParent_Done,
     /* 2020066 */   // Label 26928: @2020066
     /* 2020066 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020153), // Rule ID 17050 //
     /* 2020071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020102 */     // MIs[0] passthru
     /* 2020102 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020115 */     // MIs[0] round
     /* 2020115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020118 */     // MIs[0] policy
     /* 2020118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2020131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020152 */     // GIR_Coverage, 17050,
     /* 2020152 */     GIR_EraseRootFromParent_Done,
     /* 2020153 */   // Label 26929: @2020153
     /* 2020153 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2020240), // Rule ID 17051 //
     /* 2020158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020189 */     // MIs[0] passthru
     /* 2020189 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020202 */     // MIs[0] round
     /* 2020202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020205 */     // MIs[0] policy
     /* 2020205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020215 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2020218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020239 */     // GIR_Coverage, 17051,
     /* 2020239 */     GIR_EraseRootFromParent_Done,
     /* 2020240 */   // Label 26930: @2020240
     /* 2020240 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2020327), // Rule ID 17060 //
     /* 2020245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020276 */     // MIs[0] passthru
     /* 2020276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020289 */     // MIs[0] round
     /* 2020289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020292 */     // MIs[0] policy
     /* 2020292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2020305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020326 */     // GIR_Coverage, 17060,
     /* 2020326 */     GIR_EraseRootFromParent_Done,
     /* 2020327 */   // Label 26931: @2020327
     /* 2020327 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2020414), // Rule ID 17061 //
     /* 2020332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020363 */     // MIs[0] passthru
     /* 2020363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020376 */     // MIs[0] round
     /* 2020376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020379 */     // MIs[0] policy
     /* 2020379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2020392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020413 */     // GIR_Coverage, 17061,
     /* 2020413 */     GIR_EraseRootFromParent_Done,
     /* 2020414 */   // Label 26932: @2020414
     /* 2020414 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2020501), // Rule ID 17070 //
     /* 2020419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020450 */     // MIs[0] passthru
     /* 2020450 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020463 */     // MIs[0] round
     /* 2020463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020466 */     // MIs[0] policy
     /* 2020466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020500 */     // GIR_Coverage, 17070,
     /* 2020500 */     GIR_EraseRootFromParent_Done,
     /* 2020501 */   // Label 26933: @2020501
     /* 2020501 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2020588), // Rule ID 17071 //
     /* 2020506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020537 */     // MIs[0] passthru
     /* 2020537 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020550 */     // MIs[0] round
     /* 2020550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020553 */     // MIs[0] policy
     /* 2020553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020563 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020587 */     // GIR_Coverage, 17071,
     /* 2020587 */     GIR_EraseRootFromParent_Done,
     /* 2020588 */   // Label 26934: @2020588
     /* 2020588 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2020675), // Rule ID 17080 //
     /* 2020593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020624 */     // MIs[0] passthru
     /* 2020624 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020637 */     // MIs[0] round
     /* 2020637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020640 */     // MIs[0] policy
     /* 2020640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020674 */     // GIR_Coverage, 17080,
     /* 2020674 */     GIR_EraseRootFromParent_Done,
     /* 2020675 */   // Label 26935: @2020675
     /* 2020675 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2020762), // Rule ID 17081 //
     /* 2020680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020711 */     // MIs[0] passthru
     /* 2020711 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020724 */     // MIs[0] round
     /* 2020724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020727 */     // MIs[0] policy
     /* 2020727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020737 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020761 */     // GIR_Coverage, 17081,
     /* 2020761 */     GIR_EraseRootFromParent_Done,
     /* 2020762 */   // Label 26936: @2020762
     /* 2020762 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2020849), // Rule ID 17090 //
     /* 2020767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020798 */     // MIs[0] passthru
     /* 2020798 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020811 */     // MIs[0] round
     /* 2020811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020814 */     // MIs[0] policy
     /* 2020814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020824 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020848 */     // GIR_Coverage, 17090,
     /* 2020848 */     GIR_EraseRootFromParent_Done,
     /* 2020849 */   // Label 26937: @2020849
     /* 2020849 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2020936), // Rule ID 17091 //
     /* 2020854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020885 */     // MIs[0] passthru
     /* 2020885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020898 */     // MIs[0] round
     /* 2020898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020901 */     // MIs[0] policy
     /* 2020901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020935 */     // GIR_Coverage, 17091,
     /* 2020935 */     GIR_EraseRootFromParent_Done,
     /* 2020936 */   // Label 26938: @2020936
     /* 2020936 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2021023), // Rule ID 17100 //
     /* 2020941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020972 */     // MIs[0] passthru
     /* 2020972 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020985 */     // MIs[0] round
     /* 2020985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020988 */     // MIs[0] policy
     /* 2020988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020998 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2021001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021022 */     // GIR_Coverage, 17100,
     /* 2021022 */     GIR_EraseRootFromParent_Done,
     /* 2021023 */   // Label 26939: @2021023
     /* 2021023 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021110), // Rule ID 17101 //
     /* 2021028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2021036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2021039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2021042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2021045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021059 */     // MIs[0] passthru
     /* 2021059 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021072 */     // MIs[0] round
     /* 2021072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021075 */     // MIs[0] policy
     /* 2021075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021085 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2021088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021109 */     // GIR_Coverage, 17101,
     /* 2021109 */     GIR_EraseRootFromParent_Done,
     /* 2021110 */   // Label 26940: @2021110
     /* 2021110 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2021197), // Rule ID 17146 //
     /* 2021115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021146 */     // MIs[0] passthru
     /* 2021146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021159 */     // MIs[0] round
     /* 2021159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021162 */     // MIs[0] policy
     /* 2021162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2021175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021196 */     // GIR_Coverage, 17146,
     /* 2021196 */     GIR_EraseRootFromParent_Done,
     /* 2021197 */   // Label 26941: @2021197
     /* 2021197 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2021284), // Rule ID 17147 //
     /* 2021202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021233 */     // MIs[0] passthru
     /* 2021233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021246 */     // MIs[0] round
     /* 2021246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021249 */     // MIs[0] policy
     /* 2021249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021259 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2021262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021283 */     // GIR_Coverage, 17147,
     /* 2021283 */     GIR_EraseRootFromParent_Done,
     /* 2021284 */   // Label 26942: @2021284
     /* 2021284 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2021371), // Rule ID 17156 //
     /* 2021289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021320 */     // MIs[0] passthru
     /* 2021320 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021333 */     // MIs[0] round
     /* 2021333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021336 */     // MIs[0] policy
     /* 2021336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021346 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021370 */     // GIR_Coverage, 17156,
     /* 2021370 */     GIR_EraseRootFromParent_Done,
     /* 2021371 */   // Label 26943: @2021371
     /* 2021371 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2021458), // Rule ID 17157 //
     /* 2021376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021407 */     // MIs[0] passthru
     /* 2021407 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021420 */     // MIs[0] round
     /* 2021420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021423 */     // MIs[0] policy
     /* 2021423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021433 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021457 */     // GIR_Coverage, 17157,
     /* 2021457 */     GIR_EraseRootFromParent_Done,
     /* 2021458 */   // Label 26944: @2021458
     /* 2021458 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2021545), // Rule ID 17166 //
     /* 2021463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021494 */     // MIs[0] passthru
     /* 2021494 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021507 */     // MIs[0] round
     /* 2021507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021510 */     // MIs[0] policy
     /* 2021510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021544 */     // GIR_Coverage, 17166,
     /* 2021544 */     GIR_EraseRootFromParent_Done,
     /* 2021545 */   // Label 26945: @2021545
     /* 2021545 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2021632), // Rule ID 17167 //
     /* 2021550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021581 */     // MIs[0] passthru
     /* 2021581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021594 */     // MIs[0] round
     /* 2021594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021597 */     // MIs[0] policy
     /* 2021597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021631 */     // GIR_Coverage, 17167,
     /* 2021631 */     GIR_EraseRootFromParent_Done,
     /* 2021632 */   // Label 26946: @2021632
     /* 2021632 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2021719), // Rule ID 17176 //
     /* 2021637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021668 */     // MIs[0] passthru
     /* 2021668 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021681 */     // MIs[0] round
     /* 2021681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021684 */     // MIs[0] policy
     /* 2021684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021694 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021718 */     // GIR_Coverage, 17176,
     /* 2021718 */     GIR_EraseRootFromParent_Done,
     /* 2021719 */   // Label 26947: @2021719
     /* 2021719 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2021806), // Rule ID 17177 //
     /* 2021724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021755 */     // MIs[0] passthru
     /* 2021755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021768 */     // MIs[0] round
     /* 2021768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021771 */     // MIs[0] policy
     /* 2021771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021805 */     // GIR_Coverage, 17177,
     /* 2021805 */     GIR_EraseRootFromParent_Done,
     /* 2021806 */   // Label 26948: @2021806
     /* 2021806 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2021893), // Rule ID 17186 //
     /* 2021811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021842 */     // MIs[0] passthru
     /* 2021842 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021855 */     // MIs[0] round
     /* 2021855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021858 */     // MIs[0] policy
     /* 2021858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021892 */     // GIR_Coverage, 17186,
     /* 2021892 */     GIR_EraseRootFromParent_Done,
     /* 2021893 */   // Label 26949: @2021893
     /* 2021893 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2021980), // Rule ID 17187 //
     /* 2021898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021929 */     // MIs[0] passthru
     /* 2021929 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021942 */     // MIs[0] round
     /* 2021942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021945 */     // MIs[0] policy
     /* 2021945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021955 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021979 */     // GIR_Coverage, 17187,
     /* 2021979 */     GIR_EraseRootFromParent_Done,
     /* 2021980 */   // Label 26950: @2021980
     /* 2021980 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2022067), // Rule ID 17196 //
     /* 2021985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022016 */     // MIs[0] passthru
     /* 2022016 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022029 */     // MIs[0] round
     /* 2022029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022032 */     // MIs[0] policy
     /* 2022032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2022045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022066 */     // GIR_Coverage, 17196,
     /* 2022066 */     GIR_EraseRootFromParent_Done,
     /* 2022067 */   // Label 26951: @2022067
     /* 2022067 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2022154), // Rule ID 17197 //
     /* 2022072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022103 */     // MIs[0] passthru
     /* 2022103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022116 */     // MIs[0] round
     /* 2022116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022119 */     // MIs[0] policy
     /* 2022119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022129 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2022132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022153 */     // GIR_Coverage, 17197,
     /* 2022153 */     GIR_EraseRootFromParent_Done,
     /* 2022154 */   // Label 26952: @2022154
     /* 2022154 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2022241), // Rule ID 17206 //
     /* 2022159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2022170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2022173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022190 */     // MIs[0] passthru
     /* 2022190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022203 */     // MIs[0] round
     /* 2022203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022206 */     // MIs[0] policy
     /* 2022206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2022219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022240 */     // GIR_Coverage, 17206,
     /* 2022240 */     GIR_EraseRootFromParent_Done,
     /* 2022241 */   // Label 26953: @2022241
     /* 2022241 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2022328), // Rule ID 17207 //
     /* 2022246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2022257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2022260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022277 */     // MIs[0] passthru
     /* 2022277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022290 */     // MIs[0] round
     /* 2022290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022293 */     // MIs[0] policy
     /* 2022293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2022306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022327 */     // GIR_Coverage, 17207,
     /* 2022327 */     GIR_EraseRootFromParent_Done,
     /* 2022328 */   // Label 26954: @2022328
     /* 2022328 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2022415), // Rule ID 17216 //
     /* 2022333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022364 */     // MIs[0] passthru
     /* 2022364 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022377 */     // MIs[0] round
     /* 2022377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022380 */     // MIs[0] policy
     /* 2022380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022414 */     // GIR_Coverage, 17216,
     /* 2022414 */     GIR_EraseRootFromParent_Done,
     /* 2022415 */   // Label 26955: @2022415
     /* 2022415 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2022502), // Rule ID 17217 //
     /* 2022420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022451 */     // MIs[0] passthru
     /* 2022451 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022464 */     // MIs[0] round
     /* 2022464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022467 */     // MIs[0] policy
     /* 2022467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022501 */     // GIR_Coverage, 17217,
     /* 2022501 */     GIR_EraseRootFromParent_Done,
     /* 2022502 */   // Label 26956: @2022502
     /* 2022502 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2022589), // Rule ID 17226 //
     /* 2022507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022538 */     // MIs[0] passthru
     /* 2022538 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022551 */     // MIs[0] round
     /* 2022551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022554 */     // MIs[0] policy
     /* 2022554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022588 */     // GIR_Coverage, 17226,
     /* 2022588 */     GIR_EraseRootFromParent_Done,
     /* 2022589 */   // Label 26957: @2022589
     /* 2022589 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2022676), // Rule ID 17227 //
     /* 2022594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022625 */     // MIs[0] passthru
     /* 2022625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022638 */     // MIs[0] round
     /* 2022638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022641 */     // MIs[0] policy
     /* 2022641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022651 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022675 */     // GIR_Coverage, 17227,
     /* 2022675 */     GIR_EraseRootFromParent_Done,
     /* 2022676 */   // Label 26958: @2022676
     /* 2022676 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2022767), // Rule ID 2616 //
     /* 2022681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022727 */     // MIs[0] round
     /* 2022727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022730 */     // MIs[0] policy
     /* 2022730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022740 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022766 */     // GIR_Coverage, 2616,
     /* 2022766 */     GIR_EraseRootFromParent_Done,
     /* 2022767 */   // Label 26959: @2022767
     /* 2022767 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2022858), // Rule ID 2617 //
     /* 2022772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022818 */     // MIs[0] round
     /* 2022818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022821 */     // MIs[0] policy
     /* 2022821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022857 */     // GIR_Coverage, 2617,
     /* 2022857 */     GIR_EraseRootFromParent_Done,
     /* 2022858 */   // Label 26960: @2022858
     /* 2022858 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2022949), // Rule ID 2660 //
     /* 2022863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2022866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022909 */     // MIs[0] round
     /* 2022909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022912 */     // MIs[0] policy
     /* 2022912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022922 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022948 */     // GIR_Coverage, 2660,
     /* 2022948 */     GIR_EraseRootFromParent_Done,
     /* 2022949 */   // Label 26961: @2022949
     /* 2022949 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2023040), // Rule ID 2661 //
     /* 2022954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2022957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023000 */     // MIs[0] round
     /* 2023000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023003 */     // MIs[0] policy
     /* 2023003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023013 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2023016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023039 */     // GIR_Coverage, 2661,
     /* 2023039 */     GIR_EraseRootFromParent_Done,
     /* 2023040 */   // Label 26962: @2023040
     /* 2023040 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2023131), // Rule ID 2668 //
     /* 2023045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2023048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2023053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023091 */     // MIs[0] round
     /* 2023091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023094 */     // MIs[0] policy
     /* 2023094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023104 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2023107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2023111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023130 */     // GIR_Coverage, 2668,
     /* 2023130 */     GIR_EraseRootFromParent_Done,
     /* 2023131 */   // Label 26963: @2023131
     /* 2023131 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2023222), // Rule ID 2669 //
     /* 2023136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2023139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2023144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023182 */     // MIs[0] round
     /* 2023182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023185 */     // MIs[0] policy
     /* 2023185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023195 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2023198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2023202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023221 */     // GIR_Coverage, 2669,
     /* 2023221 */     GIR_EraseRootFromParent_Done,
     /* 2023222 */   // Label 26964: @2023222
     /* 2023222 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2023313), // Rule ID 14818 //
     /* 2023227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2023238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2023241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2023244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2023247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023273 */     // MIs[0] round
     /* 2023273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023276 */     // MIs[0] policy
     /* 2023276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023312 */     // GIR_Coverage, 14818,
     /* 2023312 */     GIR_EraseRootFromParent_Done,
     /* 2023313 */   // Label 26965: @2023313
     /* 2023313 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2023404), // Rule ID 14819 //
     /* 2023318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2023329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2023332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2023335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2023338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023364 */     // MIs[0] round
     /* 2023364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023367 */     // MIs[0] policy
     /* 2023367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023377 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023403 */     // GIR_Coverage, 14819,
     /* 2023403 */     GIR_EraseRootFromParent_Done,
     /* 2023404 */   // Label 26966: @2023404
     /* 2023404 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2023495), // Rule ID 14822 //
     /* 2023409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023455 */     // MIs[0] round
     /* 2023455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023458 */     // MIs[0] policy
     /* 2023458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023494 */     // GIR_Coverage, 14822,
     /* 2023494 */     GIR_EraseRootFromParent_Done,
     /* 2023495 */   // Label 26967: @2023495
     /* 2023495 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2023586), // Rule ID 14823 //
     /* 2023500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023546 */     // MIs[0] round
     /* 2023546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023549 */     // MIs[0] policy
     /* 2023549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023585 */     // GIR_Coverage, 14823,
     /* 2023585 */     GIR_EraseRootFromParent_Done,
     /* 2023586 */   // Label 26968: @2023586
     /* 2023586 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2023677), // Rule ID 14826 //
     /* 2023591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023637 */     // MIs[0] round
     /* 2023637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023640 */     // MIs[0] policy
     /* 2023640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023676 */     // GIR_Coverage, 14826,
     /* 2023676 */     GIR_EraseRootFromParent_Done,
     /* 2023677 */   // Label 26969: @2023677
     /* 2023677 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2023768), // Rule ID 14827 //
     /* 2023682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023728 */     // MIs[0] round
     /* 2023728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023731 */     // MIs[0] policy
     /* 2023731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023741 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023767 */     // GIR_Coverage, 14827,
     /* 2023767 */     GIR_EraseRootFromParent_Done,
     /* 2023768 */   // Label 26970: @2023768
     /* 2023768 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2023859), // Rule ID 14830 //
     /* 2023773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023819 */     // MIs[0] round
     /* 2023819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023822 */     // MIs[0] policy
     /* 2023822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023858 */     // GIR_Coverage, 14830,
     /* 2023858 */     GIR_EraseRootFromParent_Done,
     /* 2023859 */   // Label 26971: @2023859
     /* 2023859 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2023950), // Rule ID 14831 //
     /* 2023864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023910 */     // MIs[0] round
     /* 2023910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023913 */     // MIs[0] policy
     /* 2023913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023949 */     // GIR_Coverage, 14831,
     /* 2023949 */     GIR_EraseRootFromParent_Done,
     /* 2023950 */   // Label 26972: @2023950
     /* 2023950 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2024041), // Rule ID 14834 //
     /* 2023955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024001 */     // MIs[0] round
     /* 2024001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024004 */     // MIs[0] policy
     /* 2024004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2024017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024040 */     // GIR_Coverage, 14834,
     /* 2024040 */     GIR_EraseRootFromParent_Done,
     /* 2024041 */   // Label 26973: @2024041
     /* 2024041 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2024132), // Rule ID 14835 //
     /* 2024046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2024057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2024060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2024063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2024066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024092 */     // MIs[0] round
     /* 2024092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024095 */     // MIs[0] policy
     /* 2024095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2024108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024131 */     // GIR_Coverage, 14835,
     /* 2024131 */     GIR_EraseRootFromParent_Done,
     /* 2024132 */   // Label 26974: @2024132
     /* 2024132 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2024223), // Rule ID 14838 //
     /* 2024137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2024148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2024151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2024154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2024157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024183 */     // MIs[0] round
     /* 2024183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024186 */     // MIs[0] policy
     /* 2024186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024222 */     // GIR_Coverage, 14838,
     /* 2024222 */     GIR_EraseRootFromParent_Done,
     /* 2024223 */   // Label 26975: @2024223
     /* 2024223 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2024314), // Rule ID 14839 //
     /* 2024228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2024239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2024242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2024245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2024248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024274 */     // MIs[0] round
     /* 2024274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024277 */     // MIs[0] policy
     /* 2024277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024313 */     // GIR_Coverage, 14839,
     /* 2024313 */     GIR_EraseRootFromParent_Done,
     /* 2024314 */   // Label 26976: @2024314
     /* 2024314 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2024405), // Rule ID 14842 //
     /* 2024319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2024336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024365 */     // MIs[0] round
     /* 2024365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024368 */     // MIs[0] policy
     /* 2024368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024404 */     // GIR_Coverage, 14842,
     /* 2024404 */     GIR_EraseRootFromParent_Done,
     /* 2024405 */   // Label 26977: @2024405
     /* 2024405 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2024496), // Rule ID 14843 //
     /* 2024410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2024421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2024424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2024427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024456 */     // MIs[0] round
     /* 2024456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024459 */     // MIs[0] policy
     /* 2024459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024495 */     // GIR_Coverage, 14843,
     /* 2024495 */     GIR_EraseRootFromParent_Done,
     /* 2024496 */   // Label 26978: @2024496
     /* 2024496 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2024587), // Rule ID 14846 //
     /* 2024501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024547 */     // MIs[0] round
     /* 2024547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024550 */     // MIs[0] policy
     /* 2024550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024586 */     // GIR_Coverage, 14846,
     /* 2024586 */     GIR_EraseRootFromParent_Done,
     /* 2024587 */   // Label 26979: @2024587
     /* 2024587 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2024678), // Rule ID 14847 //
     /* 2024592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024638 */     // MIs[0] round
     /* 2024638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024641 */     // MIs[0] policy
     /* 2024641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024677 */     // GIR_Coverage, 14847,
     /* 2024677 */     GIR_EraseRootFromParent_Done,
     /* 2024678 */   // Label 26980: @2024678
     /* 2024678 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2024769), // Rule ID 14850 //
     /* 2024683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024729 */     // MIs[0] round
     /* 2024729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024732 */     // MIs[0] policy
     /* 2024732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024768 */     // GIR_Coverage, 14850,
     /* 2024768 */     GIR_EraseRootFromParent_Done,
     /* 2024769 */   // Label 26981: @2024769
     /* 2024769 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2024860), // Rule ID 14851 //
     /* 2024774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024820 */     // MIs[0] round
     /* 2024820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024823 */     // MIs[0] policy
     /* 2024823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024859 */     // GIR_Coverage, 14851,
     /* 2024859 */     GIR_EraseRootFromParent_Done,
     /* 2024860 */   // Label 26982: @2024860
     /* 2024860 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2024951), // Rule ID 14854 //
     /* 2024865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024911 */     // MIs[0] round
     /* 2024911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024914 */     // MIs[0] policy
     /* 2024914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024950 */     // GIR_Coverage, 14854,
     /* 2024950 */     GIR_EraseRootFromParent_Done,
     /* 2024951 */   // Label 26983: @2024951
     /* 2024951 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2025042), // Rule ID 14855 //
     /* 2024956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025002 */     // MIs[0] round
     /* 2025002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025005 */     // MIs[0] policy
     /* 2025005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025015 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025041 */     // GIR_Coverage, 14855,
     /* 2025041 */     GIR_EraseRootFromParent_Done,
     /* 2025042 */   // Label 26984: @2025042
     /* 2025042 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2025133), // Rule ID 14858 //
     /* 2025047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2025064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2025067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025093 */     // MIs[0] round
     /* 2025093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025096 */     // MIs[0] policy
     /* 2025096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025132 */     // GIR_Coverage, 14858,
     /* 2025132 */     GIR_EraseRootFromParent_Done,
     /* 2025133 */   // Label 26985: @2025133
     /* 2025133 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2025224), // Rule ID 14859 //
     /* 2025138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2025155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2025158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025184 */     // MIs[0] round
     /* 2025184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025187 */     // MIs[0] policy
     /* 2025187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025223 */     // GIR_Coverage, 14859,
     /* 2025223 */     GIR_EraseRootFromParent_Done,
     /* 2025224 */   // Label 26986: @2025224
     /* 2025224 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2025315), // Rule ID 14862 //
     /* 2025229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2025240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2025243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2025246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2025249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2025252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025275 */     // MIs[0] round
     /* 2025275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025278 */     // MIs[0] policy
     /* 2025278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025288 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025314 */     // GIR_Coverage, 14862,
     /* 2025314 */     GIR_EraseRootFromParent_Done,
     /* 2025315 */   // Label 26987: @2025315
     /* 2025315 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2025406), // Rule ID 14863 //
     /* 2025320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2025331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2025334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2025337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2025340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2025343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025366 */     // MIs[0] round
     /* 2025366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025369 */     // MIs[0] policy
     /* 2025369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025379 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025405 */     // GIR_Coverage, 14863,
     /* 2025405 */     GIR_EraseRootFromParent_Done,
     /* 2025406 */   // Label 26988: @2025406
     /* 2025406 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2025497), // Rule ID 14866 //
     /* 2025411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025457 */     // MIs[0] round
     /* 2025457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025460 */     // MIs[0] policy
     /* 2025460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025496 */     // GIR_Coverage, 14866,
     /* 2025496 */     GIR_EraseRootFromParent_Done,
     /* 2025497 */   // Label 26989: @2025497
     /* 2025497 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2025588), // Rule ID 14867 //
     /* 2025502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025548 */     // MIs[0] round
     /* 2025548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025551 */     // MIs[0] policy
     /* 2025551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025587 */     // GIR_Coverage, 14867,
     /* 2025587 */     GIR_EraseRootFromParent_Done,
     /* 2025588 */   // Label 26990: @2025588
     /* 2025588 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2025679), // Rule ID 14870 //
     /* 2025593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025639 */     // MIs[0] round
     /* 2025639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025642 */     // MIs[0] policy
     /* 2025642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025678 */     // GIR_Coverage, 14870,
     /* 2025678 */     GIR_EraseRootFromParent_Done,
     /* 2025679 */   // Label 26991: @2025679
     /* 2025679 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2025770), // Rule ID 14871 //
     /* 2025684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025730 */     // MIs[0] round
     /* 2025730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025733 */     // MIs[0] policy
     /* 2025733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025769 */     // GIR_Coverage, 14871,
     /* 2025769 */     GIR_EraseRootFromParent_Done,
     /* 2025770 */   // Label 26992: @2025770
     /* 2025770 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2025861), // Rule ID 14874 //
     /* 2025775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025821 */     // MIs[0] round
     /* 2025821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025824 */     // MIs[0] policy
     /* 2025824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025860 */     // GIR_Coverage, 14874,
     /* 2025860 */     GIR_EraseRootFromParent_Done,
     /* 2025861 */   // Label 26993: @2025861
     /* 2025861 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2025952), // Rule ID 14875 //
     /* 2025866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025912 */     // MIs[0] round
     /* 2025912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025915 */     // MIs[0] policy
     /* 2025915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025925 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025951 */     // GIR_Coverage, 14875,
     /* 2025951 */     GIR_EraseRootFromParent_Done,
     /* 2025952 */   // Label 26994: @2025952
     /* 2025952 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2026043), // Rule ID 14878 //
     /* 2025957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026003 */     // MIs[0] round
     /* 2026003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026006 */     // MIs[0] policy
     /* 2026006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026042 */     // GIR_Coverage, 14878,
     /* 2026042 */     GIR_EraseRootFromParent_Done,
     /* 2026043 */   // Label 26995: @2026043
     /* 2026043 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2026134), // Rule ID 14879 //
     /* 2026048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026094 */     // MIs[0] round
     /* 2026094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026097 */     // MIs[0] policy
     /* 2026097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026133 */     // GIR_Coverage, 14879,
     /* 2026133 */     GIR_EraseRootFromParent_Done,
     /* 2026134 */   // Label 26996: @2026134
     /* 2026134 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2026225), // Rule ID 14882 //
     /* 2026139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026185 */     // MIs[0] round
     /* 2026185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026188 */     // MIs[0] policy
     /* 2026188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026224 */     // GIR_Coverage, 14882,
     /* 2026224 */     GIR_EraseRootFromParent_Done,
     /* 2026225 */   // Label 26997: @2026225
     /* 2026225 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2026316), // Rule ID 14883 //
     /* 2026230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026276 */     // MIs[0] round
     /* 2026276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026279 */     // MIs[0] policy
     /* 2026279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026315 */     // GIR_Coverage, 14883,
     /* 2026315 */     GIR_EraseRootFromParent_Done,
     /* 2026316 */   // Label 26998: @2026316
     /* 2026316 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2026407), // Rule ID 14886 //
     /* 2026321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026367 */     // MIs[0] round
     /* 2026367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026370 */     // MIs[0] policy
     /* 2026370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026406 */     // GIR_Coverage, 14886,
     /* 2026406 */     GIR_EraseRootFromParent_Done,
     /* 2026407 */   // Label 26999: @2026407
     /* 2026407 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2026498), // Rule ID 14887 //
     /* 2026412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026458 */     // MIs[0] round
     /* 2026458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026461 */     // MIs[0] policy
     /* 2026461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026497 */     // GIR_Coverage, 14887,
     /* 2026497 */     GIR_EraseRootFromParent_Done,
     /* 2026498 */   // Label 27000: @2026498
     /* 2026498 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2026589), // Rule ID 14890 //
     /* 2026503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026549 */     // MIs[0] round
     /* 2026549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026552 */     // MIs[0] policy
     /* 2026552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026588 */     // GIR_Coverage, 14890,
     /* 2026588 */     GIR_EraseRootFromParent_Done,
     /* 2026589 */   // Label 27001: @2026589
     /* 2026589 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2026680), // Rule ID 14891 //
     /* 2026594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026640 */     // MIs[0] round
     /* 2026640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026643 */     // MIs[0] policy
     /* 2026643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026679 */     // GIR_Coverage, 14891,
     /* 2026679 */     GIR_EraseRootFromParent_Done,
     /* 2026680 */   // Label 27002: @2026680
     /* 2026680 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2026771), // Rule ID 14894 //
     /* 2026685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026731 */     // MIs[0] round
     /* 2026731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026734 */     // MIs[0] policy
     /* 2026734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026770 */     // GIR_Coverage, 14894,
     /* 2026770 */     GIR_EraseRootFromParent_Done,
     /* 2026771 */   // Label 27003: @2026771
     /* 2026771 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2026862), // Rule ID 14895 //
     /* 2026776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026822 */     // MIs[0] round
     /* 2026822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026825 */     // MIs[0] policy
     /* 2026825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026861 */     // GIR_Coverage, 14895,
     /* 2026861 */     GIR_EraseRootFromParent_Done,
     /* 2026862 */   // Label 27004: @2026862
     /* 2026862 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2026953), // Rule ID 14898 //
     /* 2026867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026913 */     // MIs[0] round
     /* 2026913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026916 */     // MIs[0] policy
     /* 2026916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026952 */     // GIR_Coverage, 14898,
     /* 2026952 */     GIR_EraseRootFromParent_Done,
     /* 2026953 */   // Label 27005: @2026953
     /* 2026953 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2027044), // Rule ID 14899 //
     /* 2026958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027004 */     // MIs[0] round
     /* 2027004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027007 */     // MIs[0] policy
     /* 2027007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2027020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027043 */     // GIR_Coverage, 14899,
     /* 2027043 */     GIR_EraseRootFromParent_Done,
     /* 2027044 */   // Label 27006: @2027044
     /* 2027044 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2027135), // Rule ID 14902 //
     /* 2027049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2027066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027095 */     // MIs[0] round
     /* 2027095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027098 */     // MIs[0] policy
     /* 2027098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2027111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027134 */     // GIR_Coverage, 14902,
     /* 2027134 */     GIR_EraseRootFromParent_Done,
     /* 2027135 */   // Label 27007: @2027135
     /* 2027135 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2027226), // Rule ID 14903 //
     /* 2027140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2027157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027186 */     // MIs[0] round
     /* 2027186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027189 */     // MIs[0] policy
     /* 2027189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027199 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2027202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027225 */     // GIR_Coverage, 14903,
     /* 2027225 */     GIR_EraseRootFromParent_Done,
     /* 2027226 */   // Label 27008: @2027226
     /* 2027226 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2027317), // Rule ID 14906 //
     /* 2027231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027277 */     // MIs[0] round
     /* 2027277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027280 */     // MIs[0] policy
     /* 2027280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027316 */     // GIR_Coverage, 14906,
     /* 2027316 */     GIR_EraseRootFromParent_Done,
     /* 2027317 */   // Label 27009: @2027317
     /* 2027317 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2027408), // Rule ID 14907 //
     /* 2027322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027368 */     // MIs[0] round
     /* 2027368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027371 */     // MIs[0] policy
     /* 2027371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027381 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027407 */     // GIR_Coverage, 14907,
     /* 2027407 */     GIR_EraseRootFromParent_Done,
     /* 2027408 */   // Label 27010: @2027408
     /* 2027408 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2027499), // Rule ID 14910 //
     /* 2027413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027459 */     // MIs[0] round
     /* 2027459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027462 */     // MIs[0] policy
     /* 2027462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027498 */     // GIR_Coverage, 14910,
     /* 2027498 */     GIR_EraseRootFromParent_Done,
     /* 2027499 */   // Label 27011: @2027499
     /* 2027499 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2027590), // Rule ID 14911 //
     /* 2027504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027550 */     // MIs[0] round
     /* 2027550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027553 */     // MIs[0] policy
     /* 2027553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027563 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027589 */     // GIR_Coverage, 14911,
     /* 2027589 */     GIR_EraseRootFromParent_Done,
     /* 2027590 */   // Label 27012: @2027590
     /* 2027590 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2027681), // Rule ID 14914 //
     /* 2027595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027641 */     // MIs[0] round
     /* 2027641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027644 */     // MIs[0] policy
     /* 2027644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027654 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027680 */     // GIR_Coverage, 14914,
     /* 2027680 */     GIR_EraseRootFromParent_Done,
     /* 2027681 */   // Label 27013: @2027681
     /* 2027681 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2027772), // Rule ID 14915 //
     /* 2027686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027732 */     // MIs[0] round
     /* 2027732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027735 */     // MIs[0] policy
     /* 2027735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027771 */     // GIR_Coverage, 14915,
     /* 2027771 */     GIR_EraseRootFromParent_Done,
     /* 2027772 */   // Label 27014: @2027772
     /* 2027772 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2027863), // Rule ID 14918 //
     /* 2027777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027823 */     // MIs[0] round
     /* 2027823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027826 */     // MIs[0] policy
     /* 2027826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027862 */     // GIR_Coverage, 14918,
     /* 2027862 */     GIR_EraseRootFromParent_Done,
     /* 2027863 */   // Label 27015: @2027863
     /* 2027863 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2027954), // Rule ID 14919 //
     /* 2027868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027914 */     // MIs[0] round
     /* 2027914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027917 */     // MIs[0] policy
     /* 2027917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027953 */     // GIR_Coverage, 14919,
     /* 2027953 */     GIR_EraseRootFromParent_Done,
     /* 2027954 */   // Label 27016: @2027954
     /* 2027954 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2028045), // Rule ID 14922 //
     /* 2027959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028005 */     // MIs[0] round
     /* 2028005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028008 */     // MIs[0] policy
     /* 2028008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2028021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028044 */     // GIR_Coverage, 14922,
     /* 2028044 */     GIR_EraseRootFromParent_Done,
     /* 2028045 */   // Label 27017: @2028045
     /* 2028045 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2028136), // Rule ID 14923 //
     /* 2028050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2028061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2028064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028096 */     // MIs[0] round
     /* 2028096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028099 */     // MIs[0] policy
     /* 2028099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2028112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028135 */     // GIR_Coverage, 14923,
     /* 2028135 */     GIR_EraseRootFromParent_Done,
     /* 2028136 */   // Label 27018: @2028136
     /* 2028136 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2028227), // Rule ID 14926 //
     /* 2028141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028187 */     // MIs[0] round
     /* 2028187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028190 */     // MIs[0] policy
     /* 2028190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028226 */     // GIR_Coverage, 14926,
     /* 2028226 */     GIR_EraseRootFromParent_Done,
     /* 2028227 */   // Label 27019: @2028227
     /* 2028227 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2028318), // Rule ID 14927 //
     /* 2028232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028278 */     // MIs[0] round
     /* 2028278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028281 */     // MIs[0] policy
     /* 2028281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028291 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028317 */     // GIR_Coverage, 14927,
     /* 2028317 */     GIR_EraseRootFromParent_Done,
     /* 2028318 */   // Label 27020: @2028318
     /* 2028318 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2028409), // Rule ID 14930 //
     /* 2028323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028369 */     // MIs[0] round
     /* 2028369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028372 */     // MIs[0] policy
     /* 2028372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028408 */     // GIR_Coverage, 14930,
     /* 2028408 */     GIR_EraseRootFromParent_Done,
     /* 2028409 */   // Label 27021: @2028409
     /* 2028409 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2028500), // Rule ID 14931 //
     /* 2028414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028460 */     // MIs[0] round
     /* 2028460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028463 */     // MIs[0] policy
     /* 2028463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028499 */     // GIR_Coverage, 14931,
     /* 2028499 */     GIR_EraseRootFromParent_Done,
     /* 2028500 */   // Label 27022: @2028500
     /* 2028500 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2028591), // Rule ID 14934 //
     /* 2028505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028551 */     // MIs[0] round
     /* 2028551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028554 */     // MIs[0] policy
     /* 2028554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028590 */     // GIR_Coverage, 14934,
     /* 2028590 */     GIR_EraseRootFromParent_Done,
     /* 2028591 */   // Label 27023: @2028591
     /* 2028591 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2028682), // Rule ID 14935 //
     /* 2028596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028642 */     // MIs[0] round
     /* 2028642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028645 */     // MIs[0] policy
     /* 2028645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028681 */     // GIR_Coverage, 14935,
     /* 2028681 */     GIR_EraseRootFromParent_Done,
     /* 2028682 */   // Label 27024: @2028682
     /* 2028682 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2028773), // Rule ID 14938 //
     /* 2028687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028733 */     // MIs[0] round
     /* 2028733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028736 */     // MIs[0] policy
     /* 2028736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028772 */     // GIR_Coverage, 14938,
     /* 2028772 */     GIR_EraseRootFromParent_Done,
     /* 2028773 */   // Label 27025: @2028773
     /* 2028773 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2028864), // Rule ID 14939 //
     /* 2028778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028824 */     // MIs[0] round
     /* 2028824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028827 */     // MIs[0] policy
     /* 2028827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028837 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028863 */     // GIR_Coverage, 14939,
     /* 2028863 */     GIR_EraseRootFromParent_Done,
     /* 2028864 */   // Label 27026: @2028864
     /* 2028864 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2028955), // Rule ID 14942 //
     /* 2028869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028915 */     // MIs[0] round
     /* 2028915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028918 */     // MIs[0] policy
     /* 2028918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028954 */     // GIR_Coverage, 14942,
     /* 2028954 */     GIR_EraseRootFromParent_Done,
     /* 2028955 */   // Label 27027: @2028955
     /* 2028955 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2029046), // Rule ID 14943 //
     /* 2028960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029006 */     // MIs[0] round
     /* 2029006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029009 */     // MIs[0] policy
     /* 2029009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029045 */     // GIR_Coverage, 14943,
     /* 2029045 */     GIR_EraseRootFromParent_Done,
     /* 2029046 */   // Label 27028: @2029046
     /* 2029046 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2029137), // Rule ID 14946 //
     /* 2029051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029097 */     // MIs[0] round
     /* 2029097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029100 */     // MIs[0] policy
     /* 2029100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029136 */     // GIR_Coverage, 14946,
     /* 2029136 */     GIR_EraseRootFromParent_Done,
     /* 2029137 */   // Label 27029: @2029137
     /* 2029137 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2029228), // Rule ID 14947 //
     /* 2029142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029188 */     // MIs[0] round
     /* 2029188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029191 */     // MIs[0] policy
     /* 2029191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029227 */     // GIR_Coverage, 14947,
     /* 2029227 */     GIR_EraseRootFromParent_Done,
     /* 2029228 */   // Label 27030: @2029228
     /* 2029228 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2029319), // Rule ID 14950 //
     /* 2029233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029279 */     // MIs[0] round
     /* 2029279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029282 */     // MIs[0] policy
     /* 2029282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029318 */     // GIR_Coverage, 14950,
     /* 2029318 */     GIR_EraseRootFromParent_Done,
     /* 2029319 */   // Label 27031: @2029319
     /* 2029319 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2029410), // Rule ID 14951 //
     /* 2029324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029370 */     // MIs[0] round
     /* 2029370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029373 */     // MIs[0] policy
     /* 2029373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029409 */     // GIR_Coverage, 14951,
     /* 2029409 */     GIR_EraseRootFromParent_Done,
     /* 2029410 */   // Label 27032: @2029410
     /* 2029410 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2029501), // Rule ID 14954 //
     /* 2029415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029461 */     // MIs[0] round
     /* 2029461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029464 */     // MIs[0] policy
     /* 2029464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029500 */     // GIR_Coverage, 14954,
     /* 2029500 */     GIR_EraseRootFromParent_Done,
     /* 2029501 */   // Label 27033: @2029501
     /* 2029501 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2029592), // Rule ID 14955 //
     /* 2029506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029552 */     // MIs[0] round
     /* 2029552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029555 */     // MIs[0] policy
     /* 2029555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029591 */     // GIR_Coverage, 14955,
     /* 2029591 */     GIR_EraseRootFromParent_Done,
     /* 2029592 */   // Label 27034: @2029592
     /* 2029592 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2029683), // Rule ID 14958 //
     /* 2029597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029643 */     // MIs[0] round
     /* 2029643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029646 */     // MIs[0] policy
     /* 2029646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029682 */     // GIR_Coverage, 14958,
     /* 2029682 */     GIR_EraseRootFromParent_Done,
     /* 2029683 */   // Label 27035: @2029683
     /* 2029683 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2029774), // Rule ID 14959 //
     /* 2029688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029734 */     // MIs[0] round
     /* 2029734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029737 */     // MIs[0] policy
     /* 2029737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029773 */     // GIR_Coverage, 14959,
     /* 2029773 */     GIR_EraseRootFromParent_Done,
     /* 2029774 */   // Label 27036: @2029774
     /* 2029774 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2029865), // Rule ID 14962 //
     /* 2029779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029825 */     // MIs[0] round
     /* 2029825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029828 */     // MIs[0] policy
     /* 2029828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029838 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029864 */     // GIR_Coverage, 14962,
     /* 2029864 */     GIR_EraseRootFromParent_Done,
     /* 2029865 */   // Label 27037: @2029865
     /* 2029865 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2029956), // Rule ID 14963 //
     /* 2029870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029916 */     // MIs[0] round
     /* 2029916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029919 */     // MIs[0] policy
     /* 2029919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029955 */     // GIR_Coverage, 14963,
     /* 2029955 */     GIR_EraseRootFromParent_Done,
     /* 2029956 */   // Label 27038: @2029956
     /* 2029956 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2030047), // Rule ID 14966 //
     /* 2029961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030007 */     // MIs[0] round
     /* 2030007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030010 */     // MIs[0] policy
     /* 2030010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030046 */     // GIR_Coverage, 14966,
     /* 2030046 */     GIR_EraseRootFromParent_Done,
     /* 2030047 */   // Label 27039: @2030047
     /* 2030047 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2030138), // Rule ID 14967 //
     /* 2030052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030098 */     // MIs[0] round
     /* 2030098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030101 */     // MIs[0] policy
     /* 2030101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030137 */     // GIR_Coverage, 14967,
     /* 2030137 */     GIR_EraseRootFromParent_Done,
     /* 2030138 */   // Label 27040: @2030138
     /* 2030138 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2030229), // Rule ID 14970 //
     /* 2030143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030189 */     // MIs[0] round
     /* 2030189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030192 */     // MIs[0] policy
     /* 2030192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030228 */     // GIR_Coverage, 14970,
     /* 2030228 */     GIR_EraseRootFromParent_Done,
     /* 2030229 */   // Label 27041: @2030229
     /* 2030229 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2030320), // Rule ID 14971 //
     /* 2030234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030280 */     // MIs[0] round
     /* 2030280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030283 */     // MIs[0] policy
     /* 2030283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030319 */     // GIR_Coverage, 14971,
     /* 2030319 */     GIR_EraseRootFromParent_Done,
     /* 2030320 */   // Label 27042: @2030320
     /* 2030320 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2030411), // Rule ID 14974 //
     /* 2030325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030371 */     // MIs[0] round
     /* 2030371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030374 */     // MIs[0] policy
     /* 2030374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030410 */     // GIR_Coverage, 14974,
     /* 2030410 */     GIR_EraseRootFromParent_Done,
     /* 2030411 */   // Label 27043: @2030411
     /* 2030411 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2030502), // Rule ID 14975 //
     /* 2030416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030462 */     // MIs[0] round
     /* 2030462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030465 */     // MIs[0] policy
     /* 2030465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030501 */     // GIR_Coverage, 14975,
     /* 2030501 */     GIR_EraseRootFromParent_Done,
     /* 2030502 */   // Label 27044: @2030502
     /* 2030502 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2030593), // Rule ID 14978 //
     /* 2030507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030553 */     // MIs[0] round
     /* 2030553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030556 */     // MIs[0] policy
     /* 2030556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030592 */     // GIR_Coverage, 14978,
     /* 2030592 */     GIR_EraseRootFromParent_Done,
     /* 2030593 */   // Label 27045: @2030593
     /* 2030593 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2030684), // Rule ID 14979 //
     /* 2030598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030644 */     // MIs[0] round
     /* 2030644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030647 */     // MIs[0] policy
     /* 2030647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030683 */     // GIR_Coverage, 14979,
     /* 2030683 */     GIR_EraseRootFromParent_Done,
     /* 2030684 */   // Label 27046: @2030684
     /* 2030684 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2030775), // Rule ID 14982 //
     /* 2030689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030735 */     // MIs[0] round
     /* 2030735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030738 */     // MIs[0] policy
     /* 2030738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030774 */     // GIR_Coverage, 14982,
     /* 2030774 */     GIR_EraseRootFromParent_Done,
     /* 2030775 */   // Label 27047: @2030775
     /* 2030775 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2030866), // Rule ID 14983 //
     /* 2030780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030826 */     // MIs[0] round
     /* 2030826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030829 */     // MIs[0] policy
     /* 2030829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030865 */     // GIR_Coverage, 14983,
     /* 2030865 */     GIR_EraseRootFromParent_Done,
     /* 2030866 */   // Label 27048: @2030866
     /* 2030866 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2030957), // Rule ID 14986 //
     /* 2030871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030917 */     // MIs[0] round
     /* 2030917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030920 */     // MIs[0] policy
     /* 2030920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030956 */     // GIR_Coverage, 14986,
     /* 2030956 */     GIR_EraseRootFromParent_Done,
     /* 2030957 */   // Label 27049: @2030957
     /* 2030957 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2031048), // Rule ID 14987 //
     /* 2030962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031008 */     // MIs[0] round
     /* 2031008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031011 */     // MIs[0] policy
     /* 2031011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2031024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031047 */     // GIR_Coverage, 14987,
     /* 2031047 */     GIR_EraseRootFromParent_Done,
     /* 2031048 */   // Label 27050: @2031048
     /* 2031048 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2031139), // Rule ID 14990 //
     /* 2031053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2031073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031099 */     // MIs[0] round
     /* 2031099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031102 */     // MIs[0] policy
     /* 2031102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2031115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031138 */     // GIR_Coverage, 14990,
     /* 2031138 */     GIR_EraseRootFromParent_Done,
     /* 2031139 */   // Label 27051: @2031139
     /* 2031139 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2031230), // Rule ID 14991 //
     /* 2031144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2031164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031190 */     // MIs[0] round
     /* 2031190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031193 */     // MIs[0] policy
     /* 2031193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2031206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031229 */     // GIR_Coverage, 14991,
     /* 2031229 */     GIR_EraseRootFromParent_Done,
     /* 2031230 */   // Label 27052: @2031230
     /* 2031230 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2031321), // Rule ID 14994 //
     /* 2031235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2031255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031281 */     // MIs[0] round
     /* 2031281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031284 */     // MIs[0] policy
     /* 2031284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031320 */     // GIR_Coverage, 14994,
     /* 2031320 */     GIR_EraseRootFromParent_Done,
     /* 2031321 */   // Label 27053: @2031321
     /* 2031321 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2031412), // Rule ID 14995 //
     /* 2031326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2031346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031372 */     // MIs[0] round
     /* 2031372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031375 */     // MIs[0] policy
     /* 2031375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031385 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031411 */     // GIR_Coverage, 14995,
     /* 2031411 */     GIR_EraseRootFromParent_Done,
     /* 2031412 */   // Label 27054: @2031412
     /* 2031412 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2031503), // Rule ID 14998 //
     /* 2031417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031463 */     // MIs[0] round
     /* 2031463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031466 */     // MIs[0] policy
     /* 2031466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031502 */     // GIR_Coverage, 14998,
     /* 2031502 */     GIR_EraseRootFromParent_Done,
     /* 2031503 */   // Label 27055: @2031503
     /* 2031503 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2031594), // Rule ID 14999 //
     /* 2031508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031554 */     // MIs[0] round
     /* 2031554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031557 */     // MIs[0] policy
     /* 2031557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031593 */     // GIR_Coverage, 14999,
     /* 2031593 */     GIR_EraseRootFromParent_Done,
     /* 2031594 */   // Label 27056: @2031594
     /* 2031594 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2031685), // Rule ID 15002 //
     /* 2031599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031645 */     // MIs[0] round
     /* 2031645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031648 */     // MIs[0] policy
     /* 2031648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031684 */     // GIR_Coverage, 15002,
     /* 2031684 */     GIR_EraseRootFromParent_Done,
     /* 2031685 */   // Label 27057: @2031685
     /* 2031685 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2031776), // Rule ID 15003 //
     /* 2031690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031736 */     // MIs[0] round
     /* 2031736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031739 */     // MIs[0] policy
     /* 2031739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031775 */     // GIR_Coverage, 15003,
     /* 2031775 */     GIR_EraseRootFromParent_Done,
     /* 2031776 */   // Label 27058: @2031776
     /* 2031776 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2031867), // Rule ID 15006 //
     /* 2031781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031827 */     // MIs[0] round
     /* 2031827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031830 */     // MIs[0] policy
     /* 2031830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031866 */     // GIR_Coverage, 15006,
     /* 2031866 */     GIR_EraseRootFromParent_Done,
     /* 2031867 */   // Label 27059: @2031867
     /* 2031867 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2031958), // Rule ID 15007 //
     /* 2031872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031918 */     // MIs[0] round
     /* 2031918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031921 */     // MIs[0] policy
     /* 2031921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031957 */     // GIR_Coverage, 15007,
     /* 2031957 */     GIR_EraseRootFromParent_Done,
     /* 2031958 */   // Label 27060: @2031958
     /* 2031958 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2032049), // Rule ID 15010 //
     /* 2031963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032009 */     // MIs[0] round
     /* 2032009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032012 */     // MIs[0] policy
     /* 2032012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2032025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032048 */     // GIR_Coverage, 15010,
     /* 2032048 */     GIR_EraseRootFromParent_Done,
     /* 2032049 */   // Label 27061: @2032049
     /* 2032049 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2032140), // Rule ID 15011 //
     /* 2032054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2032071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2032074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032100 */     // MIs[0] round
     /* 2032100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032103 */     // MIs[0] policy
     /* 2032103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2032116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032139 */     // GIR_Coverage, 15011,
     /* 2032139 */     GIR_EraseRootFromParent_Done,
     /* 2032140 */   // Label 27062: @2032140
     /* 2032140 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2032231), // Rule ID 15014 //
     /* 2032145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2032165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032191 */     // MIs[0] round
     /* 2032191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032194 */     // MIs[0] policy
     /* 2032194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032230 */     // GIR_Coverage, 15014,
     /* 2032230 */     GIR_EraseRootFromParent_Done,
     /* 2032231 */   // Label 27063: @2032231
     /* 2032231 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2032322), // Rule ID 15015 //
     /* 2032236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2032256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032282 */     // MIs[0] round
     /* 2032282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032285 */     // MIs[0] policy
     /* 2032285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032295 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032321 */     // GIR_Coverage, 15015,
     /* 2032321 */     GIR_EraseRootFromParent_Done,
     /* 2032322 */   // Label 27064: @2032322
     /* 2032322 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2032413), // Rule ID 15018 //
     /* 2032327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032373 */     // MIs[0] round
     /* 2032373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032376 */     // MIs[0] policy
     /* 2032376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032412 */     // GIR_Coverage, 15018,
     /* 2032412 */     GIR_EraseRootFromParent_Done,
     /* 2032413 */   // Label 27065: @2032413
     /* 2032413 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2032504), // Rule ID 15019 //
     /* 2032418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032464 */     // MIs[0] round
     /* 2032464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032467 */     // MIs[0] policy
     /* 2032467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032503 */     // GIR_Coverage, 15019,
     /* 2032503 */     GIR_EraseRootFromParent_Done,
     /* 2032504 */   // Label 27066: @2032504
     /* 2032504 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2032595), // Rule ID 15022 //
     /* 2032509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032555 */     // MIs[0] round
     /* 2032555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032558 */     // MIs[0] policy
     /* 2032558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032594 */     // GIR_Coverage, 15022,
     /* 2032594 */     GIR_EraseRootFromParent_Done,
     /* 2032595 */   // Label 27067: @2032595
     /* 2032595 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2032686), // Rule ID 15023 //
     /* 2032600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032646 */     // MIs[0] round
     /* 2032646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032649 */     // MIs[0] policy
     /* 2032649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032685 */     // GIR_Coverage, 15023,
     /* 2032685 */     GIR_EraseRootFromParent_Done,
     /* 2032686 */   // Label 27068: @2032686
     /* 2032686 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2032777), // Rule ID 15026 //
     /* 2032691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032737 */     // MIs[0] round
     /* 2032737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032740 */     // MIs[0] policy
     /* 2032740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032776 */     // GIR_Coverage, 15026,
     /* 2032776 */     GIR_EraseRootFromParent_Done,
     /* 2032777 */   // Label 27069: @2032777
     /* 2032777 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2032868), // Rule ID 15027 //
     /* 2032782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032828 */     // MIs[0] round
     /* 2032828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032831 */     // MIs[0] policy
     /* 2032831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032867 */     // GIR_Coverage, 15027,
     /* 2032867 */     GIR_EraseRootFromParent_Done,
     /* 2032868 */   // Label 27070: @2032868
     /* 2032868 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2032959), // Rule ID 15030 //
     /* 2032873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032919 */     // MIs[0] round
     /* 2032919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032922 */     // MIs[0] policy
     /* 2032922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032958 */     // GIR_Coverage, 15030,
     /* 2032958 */     GIR_EraseRootFromParent_Done,
     /* 2032959 */   // Label 27071: @2032959
     /* 2032959 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2033050), // Rule ID 15031 //
     /* 2032964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033010 */     // MIs[0] round
     /* 2033010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033013 */     // MIs[0] policy
     /* 2033013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033023 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033049 */     // GIR_Coverage, 15031,
     /* 2033049 */     GIR_EraseRootFromParent_Done,
     /* 2033050 */   // Label 27072: @2033050
     /* 2033050 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2033141), // Rule ID 15034 //
     /* 2033055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2033075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033101 */     // MIs[0] round
     /* 2033101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033104 */     // MIs[0] policy
     /* 2033104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033140 */     // GIR_Coverage, 15034,
     /* 2033140 */     GIR_EraseRootFromParent_Done,
     /* 2033141 */   // Label 27073: @2033141
     /* 2033141 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2033232), // Rule ID 15035 //
     /* 2033146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2033166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033192 */     // MIs[0] round
     /* 2033192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033195 */     // MIs[0] policy
     /* 2033195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033231 */     // GIR_Coverage, 15035,
     /* 2033231 */     GIR_EraseRootFromParent_Done,
     /* 2033232 */   // Label 27074: @2033232
     /* 2033232 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2033323), // Rule ID 15038 //
     /* 2033237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2033257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033283 */     // MIs[0] round
     /* 2033283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033286 */     // MIs[0] policy
     /* 2033286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033322 */     // GIR_Coverage, 15038,
     /* 2033322 */     GIR_EraseRootFromParent_Done,
     /* 2033323 */   // Label 27075: @2033323
     /* 2033323 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2033414), // Rule ID 15039 //
     /* 2033328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2033348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033374 */     // MIs[0] round
     /* 2033374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033377 */     // MIs[0] policy
     /* 2033377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033387 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033413 */     // GIR_Coverage, 15039,
     /* 2033413 */     GIR_EraseRootFromParent_Done,
     /* 2033414 */   // Label 27076: @2033414
     /* 2033414 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2033505), // Rule ID 15042 //
     /* 2033419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033465 */     // MIs[0] round
     /* 2033465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033468 */     // MIs[0] policy
     /* 2033468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033504 */     // GIR_Coverage, 15042,
     /* 2033504 */     GIR_EraseRootFromParent_Done,
     /* 2033505 */   // Label 27077: @2033505
     /* 2033505 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2033596), // Rule ID 15043 //
     /* 2033510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033556 */     // MIs[0] round
     /* 2033556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033559 */     // MIs[0] policy
     /* 2033559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033595 */     // GIR_Coverage, 15043,
     /* 2033595 */     GIR_EraseRootFromParent_Done,
     /* 2033596 */   // Label 27078: @2033596
     /* 2033596 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2033687), // Rule ID 15046 //
     /* 2033601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033647 */     // MIs[0] round
     /* 2033647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033650 */     // MIs[0] policy
     /* 2033650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033686 */     // GIR_Coverage, 15046,
     /* 2033686 */     GIR_EraseRootFromParent_Done,
     /* 2033687 */   // Label 27079: @2033687
     /* 2033687 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2033778), // Rule ID 15047 //
     /* 2033692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033738 */     // MIs[0] round
     /* 2033738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033741 */     // MIs[0] policy
     /* 2033741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033777 */     // GIR_Coverage, 15047,
     /* 2033777 */     GIR_EraseRootFromParent_Done,
     /* 2033778 */   // Label 27080: @2033778
     /* 2033778 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2033869), // Rule ID 15050 //
     /* 2033783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033829 */     // MIs[0] round
     /* 2033829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033832 */     // MIs[0] policy
     /* 2033832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033868 */     // GIR_Coverage, 15050,
     /* 2033868 */     GIR_EraseRootFromParent_Done,
     /* 2033869 */   // Label 27081: @2033869
     /* 2033869 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2033960), // Rule ID 15051 //
     /* 2033874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033920 */     // MIs[0] round
     /* 2033920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033923 */     // MIs[0] policy
     /* 2033923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033959 */     // GIR_Coverage, 15051,
     /* 2033959 */     GIR_EraseRootFromParent_Done,
     /* 2033960 */   // Label 27082: @2033960
     /* 2033960 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2034051), // Rule ID 15054 //
     /* 2033965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034011 */     // MIs[0] round
     /* 2034011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034014 */     // MIs[0] policy
     /* 2034014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034050 */     // GIR_Coverage, 15054,
     /* 2034050 */     GIR_EraseRootFromParent_Done,
     /* 2034051 */   // Label 27083: @2034051
     /* 2034051 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2034142), // Rule ID 15055 //
     /* 2034056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2034076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034102 */     // MIs[0] round
     /* 2034102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034105 */     // MIs[0] policy
     /* 2034105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034141 */     // GIR_Coverage, 15055,
     /* 2034141 */     GIR_EraseRootFromParent_Done,
     /* 2034142 */   // Label 27084: @2034142
     /* 2034142 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2034233), // Rule ID 15058 //
     /* 2034147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034193 */     // MIs[0] round
     /* 2034193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034196 */     // MIs[0] policy
     /* 2034196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034232 */     // GIR_Coverage, 15058,
     /* 2034232 */     GIR_EraseRootFromParent_Done,
     /* 2034233 */   // Label 27085: @2034233
     /* 2034233 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2034324), // Rule ID 15059 //
     /* 2034238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034284 */     // MIs[0] round
     /* 2034284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034287 */     // MIs[0] policy
     /* 2034287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034323 */     // GIR_Coverage, 15059,
     /* 2034323 */     GIR_EraseRootFromParent_Done,
     /* 2034324 */   // Label 27086: @2034324
     /* 2034324 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2034415), // Rule ID 15062 //
     /* 2034329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034375 */     // MIs[0] round
     /* 2034375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034378 */     // MIs[0] policy
     /* 2034378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034414 */     // GIR_Coverage, 15062,
     /* 2034414 */     GIR_EraseRootFromParent_Done,
     /* 2034415 */   // Label 27087: @2034415
     /* 2034415 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2034506), // Rule ID 15063 //
     /* 2034420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034466 */     // MIs[0] round
     /* 2034466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034469 */     // MIs[0] policy
     /* 2034469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034505 */     // GIR_Coverage, 15063,
     /* 2034505 */     GIR_EraseRootFromParent_Done,
     /* 2034506 */   // Label 27088: @2034506
     /* 2034506 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2034597), // Rule ID 15066 //
     /* 2034511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034557 */     // MIs[0] round
     /* 2034557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034560 */     // MIs[0] policy
     /* 2034560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034596 */     // GIR_Coverage, 15066,
     /* 2034596 */     GIR_EraseRootFromParent_Done,
     /* 2034597 */   // Label 27089: @2034597
     /* 2034597 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2034688), // Rule ID 15067 //
     /* 2034602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034648 */     // MIs[0] round
     /* 2034648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034651 */     // MIs[0] policy
     /* 2034651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034687 */     // GIR_Coverage, 15067,
     /* 2034687 */     GIR_EraseRootFromParent_Done,
     /* 2034688 */   // Label 27090: @2034688
     /* 2034688 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2034779), // Rule ID 15070 //
     /* 2034693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034739 */     // MIs[0] round
     /* 2034739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034742 */     // MIs[0] policy
     /* 2034742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034778 */     // GIR_Coverage, 15070,
     /* 2034778 */     GIR_EraseRootFromParent_Done,
     /* 2034779 */   // Label 27091: @2034779
     /* 2034779 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2034870), // Rule ID 15071 //
     /* 2034784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034830 */     // MIs[0] round
     /* 2034830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034833 */     // MIs[0] policy
     /* 2034833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034869 */     // GIR_Coverage, 15071,
     /* 2034869 */     GIR_EraseRootFromParent_Done,
     /* 2034870 */   // Label 27092: @2034870
     /* 2034870 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2034961), // Rule ID 15074 //
     /* 2034875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034921 */     // MIs[0] round
     /* 2034921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034924 */     // MIs[0] policy
     /* 2034924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034960 */     // GIR_Coverage, 15074,
     /* 2034960 */     GIR_EraseRootFromParent_Done,
     /* 2034961 */   // Label 27093: @2034961
     /* 2034961 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2035052), // Rule ID 15075 //
     /* 2034966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035012 */     // MIs[0] round
     /* 2035012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035015 */     // MIs[0] policy
     /* 2035015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2035028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035051 */     // GIR_Coverage, 15075,
     /* 2035051 */     GIR_EraseRootFromParent_Done,
     /* 2035052 */   // Label 27094: @2035052
     /* 2035052 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2035143), // Rule ID 15078 //
     /* 2035057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035103 */     // MIs[0] round
     /* 2035103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035106 */     // MIs[0] policy
     /* 2035106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2035119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035142 */     // GIR_Coverage, 15078,
     /* 2035142 */     GIR_EraseRootFromParent_Done,
     /* 2035143 */   // Label 27095: @2035143
     /* 2035143 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2035234), // Rule ID 15079 //
     /* 2035148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035194 */     // MIs[0] round
     /* 2035194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035197 */     // MIs[0] policy
     /* 2035197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2035210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035233 */     // GIR_Coverage, 15079,
     /* 2035233 */     GIR_EraseRootFromParent_Done,
     /* 2035234 */   // Label 27096: @2035234
     /* 2035234 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2035325), // Rule ID 15082 //
     /* 2035239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035285 */     // MIs[0] round
     /* 2035285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035288 */     // MIs[0] policy
     /* 2035288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035324 */     // GIR_Coverage, 15082,
     /* 2035324 */     GIR_EraseRootFromParent_Done,
     /* 2035325 */   // Label 27097: @2035325
     /* 2035325 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2035416), // Rule ID 15083 //
     /* 2035330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035376 */     // MIs[0] round
     /* 2035376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035379 */     // MIs[0] policy
     /* 2035379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035389 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035415 */     // GIR_Coverage, 15083,
     /* 2035415 */     GIR_EraseRootFromParent_Done,
     /* 2035416 */   // Label 27098: @2035416
     /* 2035416 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2035507), // Rule ID 15086 //
     /* 2035421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035467 */     // MIs[0] round
     /* 2035467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035470 */     // MIs[0] policy
     /* 2035470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035506 */     // GIR_Coverage, 15086,
     /* 2035506 */     GIR_EraseRootFromParent_Done,
     /* 2035507 */   // Label 27099: @2035507
     /* 2035507 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2035598), // Rule ID 15087 //
     /* 2035512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035558 */     // MIs[0] round
     /* 2035558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035561 */     // MIs[0] policy
     /* 2035561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035597 */     // GIR_Coverage, 15087,
     /* 2035597 */     GIR_EraseRootFromParent_Done,
     /* 2035598 */   // Label 27100: @2035598
     /* 2035598 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2035689), // Rule ID 15090 //
     /* 2035603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035649 */     // MIs[0] round
     /* 2035649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035652 */     // MIs[0] policy
     /* 2035652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035688 */     // GIR_Coverage, 15090,
     /* 2035688 */     GIR_EraseRootFromParent_Done,
     /* 2035689 */   // Label 27101: @2035689
     /* 2035689 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2035780), // Rule ID 15091 //
     /* 2035694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035740 */     // MIs[0] round
     /* 2035740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035743 */     // MIs[0] policy
     /* 2035743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035779 */     // GIR_Coverage, 15091,
     /* 2035779 */     GIR_EraseRootFromParent_Done,
     /* 2035780 */   // Label 27102: @2035780
     /* 2035780 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2035871), // Rule ID 15094 //
     /* 2035785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035831 */     // MIs[0] round
     /* 2035831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035834 */     // MIs[0] policy
     /* 2035834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035870 */     // GIR_Coverage, 15094,
     /* 2035870 */     GIR_EraseRootFromParent_Done,
     /* 2035871 */   // Label 27103: @2035871
     /* 2035871 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2035962), // Rule ID 15095 //
     /* 2035876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035922 */     // MIs[0] round
     /* 2035922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035925 */     // MIs[0] policy
     /* 2035925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035961 */     // GIR_Coverage, 15095,
     /* 2035961 */     GIR_EraseRootFromParent_Done,
     /* 2035962 */   // Label 27104: @2035962
     /* 2035962 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2036053), // Rule ID 15098 //
     /* 2035967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036013 */     // MIs[0] round
     /* 2036013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036016 */     // MIs[0] policy
     /* 2036016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2036029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036052 */     // GIR_Coverage, 15098,
     /* 2036052 */     GIR_EraseRootFromParent_Done,
     /* 2036053 */   // Label 27105: @2036053
     /* 2036053 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2036144), // Rule ID 15099 //
     /* 2036058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036104 */     // MIs[0] round
     /* 2036104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036107 */     // MIs[0] policy
     /* 2036107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2036120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036143 */     // GIR_Coverage, 15099,
     /* 2036143 */     GIR_EraseRootFromParent_Done,
     /* 2036144 */   // Label 27106: @2036144
     /* 2036144 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2036235), // Rule ID 15102 //
     /* 2036149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036195 */     // MIs[0] round
     /* 2036195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036198 */     // MIs[0] policy
     /* 2036198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036234 */     // GIR_Coverage, 15102,
     /* 2036234 */     GIR_EraseRootFromParent_Done,
     /* 2036235 */   // Label 27107: @2036235
     /* 2036235 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2036326), // Rule ID 15103 //
     /* 2036240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036286 */     // MIs[0] round
     /* 2036286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036289 */     // MIs[0] policy
     /* 2036289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036325 */     // GIR_Coverage, 15103,
     /* 2036325 */     GIR_EraseRootFromParent_Done,
     /* 2036326 */   // Label 27108: @2036326
     /* 2036326 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2036417), // Rule ID 15106 //
     /* 2036331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036377 */     // MIs[0] round
     /* 2036377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036380 */     // MIs[0] policy
     /* 2036380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036416 */     // GIR_Coverage, 15106,
     /* 2036416 */     GIR_EraseRootFromParent_Done,
     /* 2036417 */   // Label 27109: @2036417
     /* 2036417 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2036508), // Rule ID 15107 //
     /* 2036422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036468 */     // MIs[0] round
     /* 2036468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036471 */     // MIs[0] policy
     /* 2036471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036507 */     // GIR_Coverage, 15107,
     /* 2036507 */     GIR_EraseRootFromParent_Done,
     /* 2036508 */   // Label 27110: @2036508
     /* 2036508 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2036599), // Rule ID 15110 //
     /* 2036513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036559 */     // MIs[0] round
     /* 2036559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036562 */     // MIs[0] policy
     /* 2036562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036598 */     // GIR_Coverage, 15110,
     /* 2036598 */     GIR_EraseRootFromParent_Done,
     /* 2036599 */   // Label 27111: @2036599
     /* 2036599 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2036690), // Rule ID 15111 //
     /* 2036604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036650 */     // MIs[0] round
     /* 2036650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036653 */     // MIs[0] policy
     /* 2036653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036689 */     // GIR_Coverage, 15111,
     /* 2036689 */     GIR_EraseRootFromParent_Done,
     /* 2036690 */   // Label 27112: @2036690
     /* 2036690 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2036781), // Rule ID 15114 //
     /* 2036695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036741 */     // MIs[0] round
     /* 2036741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036744 */     // MIs[0] policy
     /* 2036744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036780 */     // GIR_Coverage, 15114,
     /* 2036780 */     GIR_EraseRootFromParent_Done,
     /* 2036781 */   // Label 27113: @2036781
     /* 2036781 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2036872), // Rule ID 15115 //
     /* 2036786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036832 */     // MIs[0] round
     /* 2036832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036835 */     // MIs[0] policy
     /* 2036835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036871 */     // GIR_Coverage, 15115,
     /* 2036871 */     GIR_EraseRootFromParent_Done,
     /* 2036872 */   // Label 27114: @2036872
     /* 2036872 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2036963), // Rule ID 15118 //
     /* 2036877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036923 */     // MIs[0] round
     /* 2036923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036926 */     // MIs[0] policy
     /* 2036926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036962 */     // GIR_Coverage, 15118,
     /* 2036962 */     GIR_EraseRootFromParent_Done,
     /* 2036963 */   // Label 27115: @2036963
     /* 2036963 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2037054), // Rule ID 15119 //
     /* 2036968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037014 */     // MIs[0] round
     /* 2037014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037017 */     // MIs[0] policy
     /* 2037017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037053 */     // GIR_Coverage, 15119,
     /* 2037053 */     GIR_EraseRootFromParent_Done,
     /* 2037054 */   // Label 27116: @2037054
     /* 2037054 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2037145), // Rule ID 15122 //
     /* 2037059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037105 */     // MIs[0] round
     /* 2037105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037108 */     // MIs[0] policy
     /* 2037108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037118 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037144 */     // GIR_Coverage, 15122,
     /* 2037144 */     GIR_EraseRootFromParent_Done,
     /* 2037145 */   // Label 27117: @2037145
     /* 2037145 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2037236), // Rule ID 15123 //
     /* 2037150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037196 */     // MIs[0] round
     /* 2037196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037199 */     // MIs[0] policy
     /* 2037199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037235 */     // GIR_Coverage, 15123,
     /* 2037235 */     GIR_EraseRootFromParent_Done,
     /* 2037236 */   // Label 27118: @2037236
     /* 2037236 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2037327), // Rule ID 15126 //
     /* 2037241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037287 */     // MIs[0] round
     /* 2037287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037290 */     // MIs[0] policy
     /* 2037290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037326 */     // GIR_Coverage, 15126,
     /* 2037326 */     GIR_EraseRootFromParent_Done,
     /* 2037327 */   // Label 27119: @2037327
     /* 2037327 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2037418), // Rule ID 15127 //
     /* 2037332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037378 */     // MIs[0] round
     /* 2037378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037381 */     // MIs[0] policy
     /* 2037381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037417 */     // GIR_Coverage, 15127,
     /* 2037417 */     GIR_EraseRootFromParent_Done,
     /* 2037418 */   // Label 27120: @2037418
     /* 2037418 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2037509), // Rule ID 15130 //
     /* 2037423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037469 */     // MIs[0] round
     /* 2037469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037472 */     // MIs[0] policy
     /* 2037472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037508 */     // GIR_Coverage, 15130,
     /* 2037508 */     GIR_EraseRootFromParent_Done,
     /* 2037509 */   // Label 27121: @2037509
     /* 2037509 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2037600), // Rule ID 15131 //
     /* 2037514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037560 */     // MIs[0] round
     /* 2037560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037563 */     // MIs[0] policy
     /* 2037563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037599 */     // GIR_Coverage, 15131,
     /* 2037599 */     GIR_EraseRootFromParent_Done,
     /* 2037600 */   // Label 27122: @2037600
     /* 2037600 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2037691), // Rule ID 15134 //
     /* 2037605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037651 */     // MIs[0] round
     /* 2037651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037654 */     // MIs[0] policy
     /* 2037654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037690 */     // GIR_Coverage, 15134,
     /* 2037690 */     GIR_EraseRootFromParent_Done,
     /* 2037691 */   // Label 27123: @2037691
     /* 2037691 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2037782), // Rule ID 15135 //
     /* 2037696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037742 */     // MIs[0] round
     /* 2037742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037745 */     // MIs[0] policy
     /* 2037745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037781 */     // GIR_Coverage, 15135,
     /* 2037781 */     GIR_EraseRootFromParent_Done,
     /* 2037782 */   // Label 27124: @2037782
     /* 2037782 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2037873), // Rule ID 15138 //
     /* 2037787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037833 */     // MIs[0] round
     /* 2037833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037836 */     // MIs[0] policy
     /* 2037836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037872 */     // GIR_Coverage, 15138,
     /* 2037872 */     GIR_EraseRootFromParent_Done,
     /* 2037873 */   // Label 27125: @2037873
     /* 2037873 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2037964), // Rule ID 15139 //
     /* 2037878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037924 */     // MIs[0] round
     /* 2037924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037927 */     // MIs[0] policy
     /* 2037927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037963 */     // GIR_Coverage, 15139,
     /* 2037963 */     GIR_EraseRootFromParent_Done,
     /* 2037964 */   // Label 27126: @2037964
     /* 2037964 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2038055), // Rule ID 15142 //
     /* 2037969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038015 */     // MIs[0] round
     /* 2038015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038018 */     // MIs[0] policy
     /* 2038018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038054 */     // GIR_Coverage, 15142,
     /* 2038054 */     GIR_EraseRootFromParent_Done,
     /* 2038055 */   // Label 27127: @2038055
     /* 2038055 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2038146), // Rule ID 15143 //
     /* 2038060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2038071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2038074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2038077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038106 */     // MIs[0] round
     /* 2038106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038109 */     // MIs[0] policy
     /* 2038109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038145 */     // GIR_Coverage, 15143,
     /* 2038145 */     GIR_EraseRootFromParent_Done,
     /* 2038146 */   // Label 27128: @2038146
     /* 2038146 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2038237), // Rule ID 15146 //
     /* 2038151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038197 */     // MIs[0] round
     /* 2038197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038200 */     // MIs[0] policy
     /* 2038200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038236 */     // GIR_Coverage, 15146,
     /* 2038236 */     GIR_EraseRootFromParent_Done,
     /* 2038237 */   // Label 27129: @2038237
     /* 2038237 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2038328), // Rule ID 15147 //
     /* 2038242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038288 */     // MIs[0] round
     /* 2038288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038291 */     // MIs[0] policy
     /* 2038291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038327 */     // GIR_Coverage, 15147,
     /* 2038327 */     GIR_EraseRootFromParent_Done,
     /* 2038328 */   // Label 27130: @2038328
     /* 2038328 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2038419), // Rule ID 15150 //
     /* 2038333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038379 */     // MIs[0] round
     /* 2038379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038382 */     // MIs[0] policy
     /* 2038382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038418 */     // GIR_Coverage, 15150,
     /* 2038418 */     GIR_EraseRootFromParent_Done,
     /* 2038419 */   // Label 27131: @2038419
     /* 2038419 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2038510), // Rule ID 15151 //
     /* 2038424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038470 */     // MIs[0] round
     /* 2038470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038473 */     // MIs[0] policy
     /* 2038473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038509 */     // GIR_Coverage, 15151,
     /* 2038509 */     GIR_EraseRootFromParent_Done,
     /* 2038510 */   // Label 27132: @2038510
     /* 2038510 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2038601), // Rule ID 15154 //
     /* 2038515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038561 */     // MIs[0] round
     /* 2038561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038564 */     // MIs[0] policy
     /* 2038564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038600 */     // GIR_Coverage, 15154,
     /* 2038600 */     GIR_EraseRootFromParent_Done,
     /* 2038601 */   // Label 27133: @2038601
     /* 2038601 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2038692), // Rule ID 15155 //
     /* 2038606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038652 */     // MIs[0] round
     /* 2038652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038655 */     // MIs[0] policy
     /* 2038655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038665 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038691 */     // GIR_Coverage, 15155,
     /* 2038691 */     GIR_EraseRootFromParent_Done,
     /* 2038692 */   // Label 27134: @2038692
     /* 2038692 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2038783), // Rule ID 15158 //
     /* 2038697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038743 */     // MIs[0] round
     /* 2038743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038746 */     // MIs[0] policy
     /* 2038746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038782 */     // GIR_Coverage, 15158,
     /* 2038782 */     GIR_EraseRootFromParent_Done,
     /* 2038783 */   // Label 27135: @2038783
     /* 2038783 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2038874), // Rule ID 15159 //
     /* 2038788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038834 */     // MIs[0] round
     /* 2038834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038837 */     // MIs[0] policy
     /* 2038837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038873 */     // GIR_Coverage, 15159,
     /* 2038873 */     GIR_EraseRootFromParent_Done,
     /* 2038874 */   // Label 27136: @2038874
     /* 2038874 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2038965), // Rule ID 15162 //
     /* 2038879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038925 */     // MIs[0] round
     /* 2038925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038928 */     // MIs[0] policy
     /* 2038928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038964 */     // GIR_Coverage, 15162,
     /* 2038964 */     GIR_EraseRootFromParent_Done,
     /* 2038965 */   // Label 27137: @2038965
     /* 2038965 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2039056), // Rule ID 15163 //
     /* 2038970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039016 */     // MIs[0] round
     /* 2039016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039019 */     // MIs[0] policy
     /* 2039019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2039032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039055 */     // GIR_Coverage, 15163,
     /* 2039055 */     GIR_EraseRootFromParent_Done,
     /* 2039056 */   // Label 27138: @2039056
     /* 2039056 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2039147), // Rule ID 15166 //
     /* 2039061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2039081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039107 */     // MIs[0] round
     /* 2039107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039110 */     // MIs[0] policy
     /* 2039110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2039123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039146 */     // GIR_Coverage, 15166,
     /* 2039146 */     GIR_EraseRootFromParent_Done,
     /* 2039147 */   // Label 27139: @2039147
     /* 2039147 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2039238), // Rule ID 15167 //
     /* 2039152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2039172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039198 */     // MIs[0] round
     /* 2039198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039201 */     // MIs[0] policy
     /* 2039201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2039214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039237 */     // GIR_Coverage, 15167,
     /* 2039237 */     GIR_EraseRootFromParent_Done,
     /* 2039238 */   // Label 27140: @2039238
     /* 2039238 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2039329), // Rule ID 15170 //
     /* 2039243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2039263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039289 */     // MIs[0] round
     /* 2039289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039292 */     // MIs[0] policy
     /* 2039292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039328 */     // GIR_Coverage, 15170,
     /* 2039328 */     GIR_EraseRootFromParent_Done,
     /* 2039329 */   // Label 27141: @2039329
     /* 2039329 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2039420), // Rule ID 15171 //
     /* 2039334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2039354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039380 */     // MIs[0] round
     /* 2039380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039383 */     // MIs[0] policy
     /* 2039383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039419 */     // GIR_Coverage, 15171,
     /* 2039419 */     GIR_EraseRootFromParent_Done,
     /* 2039420 */   // Label 27142: @2039420
     /* 2039420 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2039511), // Rule ID 15174 //
     /* 2039425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039471 */     // MIs[0] round
     /* 2039471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039474 */     // MIs[0] policy
     /* 2039474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039510 */     // GIR_Coverage, 15174,
     /* 2039510 */     GIR_EraseRootFromParent_Done,
     /* 2039511 */   // Label 27143: @2039511
     /* 2039511 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2039602), // Rule ID 15175 //
     /* 2039516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039562 */     // MIs[0] round
     /* 2039562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039565 */     // MIs[0] policy
     /* 2039565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039601 */     // GIR_Coverage, 15175,
     /* 2039601 */     GIR_EraseRootFromParent_Done,
     /* 2039602 */   // Label 27144: @2039602
     /* 2039602 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2039693), // Rule ID 15178 //
     /* 2039607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039653 */     // MIs[0] round
     /* 2039653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039656 */     // MIs[0] policy
     /* 2039656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039692 */     // GIR_Coverage, 15178,
     /* 2039692 */     GIR_EraseRootFromParent_Done,
     /* 2039693 */   // Label 27145: @2039693
     /* 2039693 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2039784), // Rule ID 15179 //
     /* 2039698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039744 */     // MIs[0] round
     /* 2039744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039747 */     // MIs[0] policy
     /* 2039747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039757 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039783 */     // GIR_Coverage, 15179,
     /* 2039783 */     GIR_EraseRootFromParent_Done,
     /* 2039784 */   // Label 27146: @2039784
     /* 2039784 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2039875), // Rule ID 15182 //
     /* 2039789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039835 */     // MIs[0] round
     /* 2039835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039838 */     // MIs[0] policy
     /* 2039838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039874 */     // GIR_Coverage, 15182,
     /* 2039874 */     GIR_EraseRootFromParent_Done,
     /* 2039875 */   // Label 27147: @2039875
     /* 2039875 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2039966), // Rule ID 15183 //
     /* 2039880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039926 */     // MIs[0] round
     /* 2039926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039929 */     // MIs[0] policy
     /* 2039929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039965 */     // GIR_Coverage, 15183,
     /* 2039965 */     GIR_EraseRootFromParent_Done,
     /* 2039966 */   // Label 27148: @2039966
     /* 2039966 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2040057), // Rule ID 15186 //
     /* 2039971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040017 */     // MIs[0] round
     /* 2040017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040020 */     // MIs[0] policy
     /* 2040020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2040033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040056 */     // GIR_Coverage, 15186,
     /* 2040056 */     GIR_EraseRootFromParent_Done,
     /* 2040057 */   // Label 27149: @2040057
     /* 2040057 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2040148), // Rule ID 15187 //
     /* 2040062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2040073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2040076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2040079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2040082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040108 */     // MIs[0] round
     /* 2040108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040111 */     // MIs[0] policy
     /* 2040111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2040124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040147 */     // GIR_Coverage, 15187,
     /* 2040147 */     GIR_EraseRootFromParent_Done,
     /* 2040148 */   // Label 27150: @2040148
     /* 2040148 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2040239), // Rule ID 15190 //
     /* 2040153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2040173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040199 */     // MIs[0] round
     /* 2040199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040202 */     // MIs[0] policy
     /* 2040202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040238 */     // GIR_Coverage, 15190,
     /* 2040238 */     GIR_EraseRootFromParent_Done,
     /* 2040239 */   // Label 27151: @2040239
     /* 2040239 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2040330), // Rule ID 15191 //
     /* 2040244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2040264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040290 */     // MIs[0] round
     /* 2040290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040293 */     // MIs[0] policy
     /* 2040293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040329 */     // GIR_Coverage, 15191,
     /* 2040329 */     GIR_EraseRootFromParent_Done,
     /* 2040330 */   // Label 27152: @2040330
     /* 2040330 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2040421), // Rule ID 15194 //
     /* 2040335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040381 */     // MIs[0] round
     /* 2040381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040384 */     // MIs[0] policy
     /* 2040384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040420 */     // GIR_Coverage, 15194,
     /* 2040420 */     GIR_EraseRootFromParent_Done,
     /* 2040421 */   // Label 27153: @2040421
     /* 2040421 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2040512), // Rule ID 15195 //
     /* 2040426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040472 */     // MIs[0] round
     /* 2040472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040475 */     // MIs[0] policy
     /* 2040475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040511 */     // GIR_Coverage, 15195,
     /* 2040511 */     GIR_EraseRootFromParent_Done,
     /* 2040512 */   // Label 27154: @2040512
     /* 2040512 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2040603), // Rule ID 15198 //
     /* 2040517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040563 */     // MIs[0] round
     /* 2040563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040566 */     // MIs[0] policy
     /* 2040566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040602 */     // GIR_Coverage, 15198,
     /* 2040602 */     GIR_EraseRootFromParent_Done,
     /* 2040603 */   // Label 27155: @2040603
     /* 2040603 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2040694), // Rule ID 15199 //
     /* 2040608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040654 */     // MIs[0] round
     /* 2040654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040657 */     // MIs[0] policy
     /* 2040657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040693 */     // GIR_Coverage, 15199,
     /* 2040693 */     GIR_EraseRootFromParent_Done,
     /* 2040694 */   // Label 27156: @2040694
     /* 2040694 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2040785), // Rule ID 15202 //
     /* 2040699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040745 */     // MIs[0] round
     /* 2040745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040748 */     // MIs[0] policy
     /* 2040748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040784 */     // GIR_Coverage, 15202,
     /* 2040784 */     GIR_EraseRootFromParent_Done,
     /* 2040785 */   // Label 27157: @2040785
     /* 2040785 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2040876), // Rule ID 15203 //
     /* 2040790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040836 */     // MIs[0] round
     /* 2040836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040839 */     // MIs[0] policy
     /* 2040839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040875 */     // GIR_Coverage, 15203,
     /* 2040875 */     GIR_EraseRootFromParent_Done,
     /* 2040876 */   // Label 27158: @2040876
     /* 2040876 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2040967), // Rule ID 15206 //
     /* 2040881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040927 */     // MIs[0] round
     /* 2040927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040930 */     // MIs[0] policy
     /* 2040930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040966 */     // GIR_Coverage, 15206,
     /* 2040966 */     GIR_EraseRootFromParent_Done,
     /* 2040967 */   // Label 27159: @2040967
     /* 2040967 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2041058), // Rule ID 15207 //
     /* 2040972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041018 */     // MIs[0] round
     /* 2041018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041021 */     // MIs[0] policy
     /* 2041021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041031 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041057 */     // GIR_Coverage, 15207,
     /* 2041057 */     GIR_EraseRootFromParent_Done,
     /* 2041058 */   // Label 27160: @2041058
     /* 2041058 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2041149), // Rule ID 15210 //
     /* 2041063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2041083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041109 */     // MIs[0] round
     /* 2041109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041112 */     // MIs[0] policy
     /* 2041112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041148 */     // GIR_Coverage, 15210,
     /* 2041148 */     GIR_EraseRootFromParent_Done,
     /* 2041149 */   // Label 27161: @2041149
     /* 2041149 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2041240), // Rule ID 15211 //
     /* 2041154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2041174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041200 */     // MIs[0] round
     /* 2041200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041203 */     // MIs[0] policy
     /* 2041203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041213 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041239 */     // GIR_Coverage, 15211,
     /* 2041239 */     GIR_EraseRootFromParent_Done,
     /* 2041240 */   // Label 27162: @2041240
     /* 2041240 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2041331), // Rule ID 15214 //
     /* 2041245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2041265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041291 */     // MIs[0] round
     /* 2041291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041294 */     // MIs[0] policy
     /* 2041294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041330 */     // GIR_Coverage, 15214,
     /* 2041330 */     GIR_EraseRootFromParent_Done,
     /* 2041331 */   // Label 27163: @2041331
     /* 2041331 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2041422), // Rule ID 15215 //
     /* 2041336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2041356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041382 */     // MIs[0] round
     /* 2041382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041385 */     // MIs[0] policy
     /* 2041385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041421 */     // GIR_Coverage, 15215,
     /* 2041421 */     GIR_EraseRootFromParent_Done,
     /* 2041422 */   // Label 27164: @2041422
     /* 2041422 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2041513), // Rule ID 15218 //
     /* 2041427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041473 */     // MIs[0] round
     /* 2041473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041476 */     // MIs[0] policy
     /* 2041476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041512 */     // GIR_Coverage, 15218,
     /* 2041512 */     GIR_EraseRootFromParent_Done,
     /* 2041513 */   // Label 27165: @2041513
     /* 2041513 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2041604), // Rule ID 15219 //
     /* 2041518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041564 */     // MIs[0] round
     /* 2041564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041567 */     // MIs[0] policy
     /* 2041567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041603 */     // GIR_Coverage, 15219,
     /* 2041603 */     GIR_EraseRootFromParent_Done,
     /* 2041604 */   // Label 27166: @2041604
     /* 2041604 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2041695), // Rule ID 15222 //
     /* 2041609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041655 */     // MIs[0] round
     /* 2041655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041658 */     // MIs[0] policy
     /* 2041658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041694 */     // GIR_Coverage, 15222,
     /* 2041694 */     GIR_EraseRootFromParent_Done,
     /* 2041695 */   // Label 27167: @2041695
     /* 2041695 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2041786), // Rule ID 15223 //
     /* 2041700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041746 */     // MIs[0] round
     /* 2041746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041749 */     // MIs[0] policy
     /* 2041749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041785 */     // GIR_Coverage, 15223,
     /* 2041785 */     GIR_EraseRootFromParent_Done,
     /* 2041786 */   // Label 27168: @2041786
     /* 2041786 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2041877), // Rule ID 15226 //
     /* 2041791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041837 */     // MIs[0] round
     /* 2041837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041840 */     // MIs[0] policy
     /* 2041840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041876 */     // GIR_Coverage, 15226,
     /* 2041876 */     GIR_EraseRootFromParent_Done,
     /* 2041877 */   // Label 27169: @2041877
     /* 2041877 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2041968), // Rule ID 15227 //
     /* 2041882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041928 */     // MIs[0] round
     /* 2041928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041931 */     // MIs[0] policy
     /* 2041931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041967 */     // GIR_Coverage, 15227,
     /* 2041967 */     GIR_EraseRootFromParent_Done,
     /* 2041968 */   // Label 27170: @2041968
     /* 2041968 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2042059), // Rule ID 15230 //
     /* 2041973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042019 */     // MIs[0] round
     /* 2042019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042022 */     // MIs[0] policy
     /* 2042022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042058 */     // GIR_Coverage, 15230,
     /* 2042058 */     GIR_EraseRootFromParent_Done,
     /* 2042059 */   // Label 27171: @2042059
     /* 2042059 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2042150), // Rule ID 15231 //
     /* 2042064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2042075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2042078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2042081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2042084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042110 */     // MIs[0] round
     /* 2042110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042113 */     // MIs[0] policy
     /* 2042113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042149 */     // GIR_Coverage, 15231,
     /* 2042149 */     GIR_EraseRootFromParent_Done,
     /* 2042150 */   // Label 27172: @2042150
     /* 2042150 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2042241), // Rule ID 15234 //
     /* 2042155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2042175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042201 */     // MIs[0] round
     /* 2042201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042204 */     // MIs[0] policy
     /* 2042204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042240 */     // GIR_Coverage, 15234,
     /* 2042240 */     GIR_EraseRootFromParent_Done,
     /* 2042241 */   // Label 27173: @2042241
     /* 2042241 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2042332), // Rule ID 15235 //
     /* 2042246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2042266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042292 */     // MIs[0] round
     /* 2042292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042295 */     // MIs[0] policy
     /* 2042295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042331 */     // GIR_Coverage, 15235,
     /* 2042331 */     GIR_EraseRootFromParent_Done,
     /* 2042332 */   // Label 27174: @2042332
     /* 2042332 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2042423), // Rule ID 15238 //
     /* 2042337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042383 */     // MIs[0] round
     /* 2042383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042386 */     // MIs[0] policy
     /* 2042386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042422 */     // GIR_Coverage, 15238,
     /* 2042422 */     GIR_EraseRootFromParent_Done,
     /* 2042423 */   // Label 27175: @2042423
     /* 2042423 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2042514), // Rule ID 15239 //
     /* 2042428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042474 */     // MIs[0] round
     /* 2042474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042477 */     // MIs[0] policy
     /* 2042477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042513 */     // GIR_Coverage, 15239,
     /* 2042513 */     GIR_EraseRootFromParent_Done,
     /* 2042514 */   // Label 27176: @2042514
     /* 2042514 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2042605), // Rule ID 15242 //
     /* 2042519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042565 */     // MIs[0] round
     /* 2042565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042568 */     // MIs[0] policy
     /* 2042568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042604 */     // GIR_Coverage, 15242,
     /* 2042604 */     GIR_EraseRootFromParent_Done,
     /* 2042605 */   // Label 27177: @2042605
     /* 2042605 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2042696), // Rule ID 15243 //
     /* 2042610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042656 */     // MIs[0] round
     /* 2042656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042659 */     // MIs[0] policy
     /* 2042659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042695 */     // GIR_Coverage, 15243,
     /* 2042695 */     GIR_EraseRootFromParent_Done,
     /* 2042696 */   // Label 27178: @2042696
     /* 2042696 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2042787), // Rule ID 15246 //
     /* 2042701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042747 */     // MIs[0] round
     /* 2042747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042750 */     // MIs[0] policy
     /* 2042750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042786 */     // GIR_Coverage, 15246,
     /* 2042786 */     GIR_EraseRootFromParent_Done,
     /* 2042787 */   // Label 27179: @2042787
     /* 2042787 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2042878), // Rule ID 15247 //
     /* 2042792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042838 */     // MIs[0] round
     /* 2042838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042841 */     // MIs[0] policy
     /* 2042841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042877 */     // GIR_Coverage, 15247,
     /* 2042877 */     GIR_EraseRootFromParent_Done,
     /* 2042878 */   // Label 27180: @2042878
     /* 2042878 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2042969), // Rule ID 15250 //
     /* 2042883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042929 */     // MIs[0] round
     /* 2042929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042932 */     // MIs[0] policy
     /* 2042932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042968 */     // GIR_Coverage, 15250,
     /* 2042968 */     GIR_EraseRootFromParent_Done,
     /* 2042969 */   // Label 27181: @2042969
     /* 2042969 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2043060), // Rule ID 15251 //
     /* 2042974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043020 */     // MIs[0] round
     /* 2043020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043023 */     // MIs[0] policy
     /* 2043023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2043036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043059 */     // GIR_Coverage, 15251,
     /* 2043059 */     GIR_EraseRootFromParent_Done,
     /* 2043060 */   // Label 27182: @2043060
     /* 2043060 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2043151), // Rule ID 15254 //
     /* 2043065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043111 */     // MIs[0] round
     /* 2043111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043114 */     // MIs[0] policy
     /* 2043114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2043127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043150 */     // GIR_Coverage, 15254,
     /* 2043150 */     GIR_EraseRootFromParent_Done,
     /* 2043151 */   // Label 27183: @2043151
     /* 2043151 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2043242), // Rule ID 15255 //
     /* 2043156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043202 */     // MIs[0] round
     /* 2043202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043205 */     // MIs[0] policy
     /* 2043205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043215 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2043218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043241 */     // GIR_Coverage, 15255,
     /* 2043241 */     GIR_EraseRootFromParent_Done,
     /* 2043242 */   // Label 27184: @2043242
     /* 2043242 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2043333), // Rule ID 15258 //
     /* 2043247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043293 */     // MIs[0] round
     /* 2043293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043296 */     // MIs[0] policy
     /* 2043296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043332 */     // GIR_Coverage, 15258,
     /* 2043332 */     GIR_EraseRootFromParent_Done,
     /* 2043333 */   // Label 27185: @2043333
     /* 2043333 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2043424), // Rule ID 15259 //
     /* 2043338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043384 */     // MIs[0] round
     /* 2043384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043387 */     // MIs[0] policy
     /* 2043387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043423 */     // GIR_Coverage, 15259,
     /* 2043423 */     GIR_EraseRootFromParent_Done,
     /* 2043424 */   // Label 27186: @2043424
     /* 2043424 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2043515), // Rule ID 15262 //
     /* 2043429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043475 */     // MIs[0] round
     /* 2043475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043478 */     // MIs[0] policy
     /* 2043478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043514 */     // GIR_Coverage, 15262,
     /* 2043514 */     GIR_EraseRootFromParent_Done,
     /* 2043515 */   // Label 27187: @2043515
     /* 2043515 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2043606), // Rule ID 15263 //
     /* 2043520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043566 */     // MIs[0] round
     /* 2043566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043569 */     // MIs[0] policy
     /* 2043569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043605 */     // GIR_Coverage, 15263,
     /* 2043605 */     GIR_EraseRootFromParent_Done,
     /* 2043606 */   // Label 27188: @2043606
     /* 2043606 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2043697), // Rule ID 15266 //
     /* 2043611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043657 */     // MIs[0] round
     /* 2043657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043660 */     // MIs[0] policy
     /* 2043660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043696 */     // GIR_Coverage, 15266,
     /* 2043696 */     GIR_EraseRootFromParent_Done,
     /* 2043697 */   // Label 27189: @2043697
     /* 2043697 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2043788), // Rule ID 15267 //
     /* 2043702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043748 */     // MIs[0] round
     /* 2043748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043751 */     // MIs[0] policy
     /* 2043751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043787 */     // GIR_Coverage, 15267,
     /* 2043787 */     GIR_EraseRootFromParent_Done,
     /* 2043788 */   // Label 27190: @2043788
     /* 2043788 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2043879), // Rule ID 15270 //
     /* 2043793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043839 */     // MIs[0] round
     /* 2043839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043842 */     // MIs[0] policy
     /* 2043842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043878 */     // GIR_Coverage, 15270,
     /* 2043878 */     GIR_EraseRootFromParent_Done,
     /* 2043879 */   // Label 27191: @2043879
     /* 2043879 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2043970), // Rule ID 15271 //
     /* 2043884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043930 */     // MIs[0] round
     /* 2043930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043933 */     // MIs[0] policy
     /* 2043933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043969 */     // GIR_Coverage, 15271,
     /* 2043969 */     GIR_EraseRootFromParent_Done,
     /* 2043970 */   // Label 27192: @2043970
     /* 2043970 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2044061), // Rule ID 15274 //
     /* 2043975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044021 */     // MIs[0] round
     /* 2044021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044024 */     // MIs[0] policy
     /* 2044024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2044037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044060 */     // GIR_Coverage, 15274,
     /* 2044060 */     GIR_EraseRootFromParent_Done,
     /* 2044061 */   // Label 27193: @2044061
     /* 2044061 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2044152), // Rule ID 15275 //
     /* 2044066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2044083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044112 */     // MIs[0] round
     /* 2044112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044115 */     // MIs[0] policy
     /* 2044115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2044128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044151 */     // GIR_Coverage, 15275,
     /* 2044151 */     GIR_EraseRootFromParent_Done,
     /* 2044152 */   // Label 27194: @2044152
     /* 2044152 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2044243), // Rule ID 15278 //
     /* 2044157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044203 */     // MIs[0] round
     /* 2044203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044206 */     // MIs[0] policy
     /* 2044206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044242 */     // GIR_Coverage, 15278,
     /* 2044242 */     GIR_EraseRootFromParent_Done,
     /* 2044243 */   // Label 27195: @2044243
     /* 2044243 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2044334), // Rule ID 15279 //
     /* 2044248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044294 */     // MIs[0] round
     /* 2044294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044297 */     // MIs[0] policy
     /* 2044297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044333 */     // GIR_Coverage, 15279,
     /* 2044333 */     GIR_EraseRootFromParent_Done,
     /* 2044334 */   // Label 27196: @2044334
     /* 2044334 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2044425), // Rule ID 15282 //
     /* 2044339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044385 */     // MIs[0] round
     /* 2044385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044388 */     // MIs[0] policy
     /* 2044388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044424 */     // GIR_Coverage, 15282,
     /* 2044424 */     GIR_EraseRootFromParent_Done,
     /* 2044425 */   // Label 27197: @2044425
     /* 2044425 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2044516), // Rule ID 15283 //
     /* 2044430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044476 */     // MIs[0] round
     /* 2044476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044479 */     // MIs[0] policy
     /* 2044479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044515 */     // GIR_Coverage, 15283,
     /* 2044515 */     GIR_EraseRootFromParent_Done,
     /* 2044516 */   // Label 27198: @2044516
     /* 2044516 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2044607), // Rule ID 15286 //
     /* 2044521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044567 */     // MIs[0] round
     /* 2044567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044570 */     // MIs[0] policy
     /* 2044570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044606 */     // GIR_Coverage, 15286,
     /* 2044606 */     GIR_EraseRootFromParent_Done,
     /* 2044607 */   // Label 27199: @2044607
     /* 2044607 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2044698), // Rule ID 15287 //
     /* 2044612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044658 */     // MIs[0] round
     /* 2044658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044661 */     // MIs[0] policy
     /* 2044661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044697 */     // GIR_Coverage, 15287,
     /* 2044697 */     GIR_EraseRootFromParent_Done,
     /* 2044698 */   // Label 27200: @2044698
     /* 2044698 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2044789), // Rule ID 15290 //
     /* 2044703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044749 */     // MIs[0] round
     /* 2044749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044752 */     // MIs[0] policy
     /* 2044752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044788 */     // GIR_Coverage, 15290,
     /* 2044788 */     GIR_EraseRootFromParent_Done,
     /* 2044789 */   // Label 27201: @2044789
     /* 2044789 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2044880), // Rule ID 15291 //
     /* 2044794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044840 */     // MIs[0] round
     /* 2044840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044843 */     // MIs[0] policy
     /* 2044843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044879 */     // GIR_Coverage, 15291,
     /* 2044879 */     GIR_EraseRootFromParent_Done,
     /* 2044880 */   // Label 27202: @2044880
     /* 2044880 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2044971), // Rule ID 15294 //
     /* 2044885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044931 */     // MIs[0] round
     /* 2044931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044934 */     // MIs[0] policy
     /* 2044934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044944 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044970 */     // GIR_Coverage, 15294,
     /* 2044970 */     GIR_EraseRootFromParent_Done,
     /* 2044971 */   // Label 27203: @2044971
     /* 2044971 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2045062), // Rule ID 15295 //
     /* 2044976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045022 */     // MIs[0] round
     /* 2045022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045025 */     // MIs[0] policy
     /* 2045025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045061 */     // GIR_Coverage, 15295,
     /* 2045061 */     GIR_EraseRootFromParent_Done,
     /* 2045062 */   // Label 27204: @2045062
     /* 2045062 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2045153), // Rule ID 15298 //
     /* 2045067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045113 */     // MIs[0] round
     /* 2045113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045116 */     // MIs[0] policy
     /* 2045116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045152 */     // GIR_Coverage, 15298,
     /* 2045152 */     GIR_EraseRootFromParent_Done,
     /* 2045153 */   // Label 27205: @2045153
     /* 2045153 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2045244), // Rule ID 15299 //
     /* 2045158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045204 */     // MIs[0] round
     /* 2045204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045207 */     // MIs[0] policy
     /* 2045207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045243 */     // GIR_Coverage, 15299,
     /* 2045243 */     GIR_EraseRootFromParent_Done,
     /* 2045244 */   // Label 27206: @2045244
     /* 2045244 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2045335), // Rule ID 15302 //
     /* 2045249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045295 */     // MIs[0] round
     /* 2045295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045298 */     // MIs[0] policy
     /* 2045298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045334 */     // GIR_Coverage, 15302,
     /* 2045334 */     GIR_EraseRootFromParent_Done,
     /* 2045335 */   // Label 27207: @2045335
     /* 2045335 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2045426), // Rule ID 15303 //
     /* 2045340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045386 */     // MIs[0] round
     /* 2045386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045389 */     // MIs[0] policy
     /* 2045389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045425 */     // GIR_Coverage, 15303,
     /* 2045425 */     GIR_EraseRootFromParent_Done,
     /* 2045426 */   // Label 27208: @2045426
     /* 2045426 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2045517), // Rule ID 15306 //
     /* 2045431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045477 */     // MIs[0] round
     /* 2045477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045480 */     // MIs[0] policy
     /* 2045480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045516 */     // GIR_Coverage, 15306,
     /* 2045516 */     GIR_EraseRootFromParent_Done,
     /* 2045517 */   // Label 27209: @2045517
     /* 2045517 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2045608), // Rule ID 15307 //
     /* 2045522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045568 */     // MIs[0] round
     /* 2045568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045571 */     // MIs[0] policy
     /* 2045571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045607 */     // GIR_Coverage, 15307,
     /* 2045607 */     GIR_EraseRootFromParent_Done,
     /* 2045608 */   // Label 27210: @2045608
     /* 2045608 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2045699), // Rule ID 15310 //
     /* 2045613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045659 */     // MIs[0] round
     /* 2045659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045662 */     // MIs[0] policy
     /* 2045662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045698 */     // GIR_Coverage, 15310,
     /* 2045698 */     GIR_EraseRootFromParent_Done,
     /* 2045699 */   // Label 27211: @2045699
     /* 2045699 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2045790), // Rule ID 15311 //
     /* 2045704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045750 */     // MIs[0] round
     /* 2045750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045753 */     // MIs[0] policy
     /* 2045753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045789 */     // GIR_Coverage, 15311,
     /* 2045789 */     GIR_EraseRootFromParent_Done,
     /* 2045790 */   // Label 27212: @2045790
     /* 2045790 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2045881), // Rule ID 15314 //
     /* 2045795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045841 */     // MIs[0] round
     /* 2045841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045844 */     // MIs[0] policy
     /* 2045844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045880 */     // GIR_Coverage, 15314,
     /* 2045880 */     GIR_EraseRootFromParent_Done,
     /* 2045881 */   // Label 27213: @2045881
     /* 2045881 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2045972), // Rule ID 15315 //
     /* 2045886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045932 */     // MIs[0] round
     /* 2045932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045935 */     // MIs[0] policy
     /* 2045935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045945 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045971 */     // GIR_Coverage, 15315,
     /* 2045971 */     GIR_EraseRootFromParent_Done,
     /* 2045972 */   // Label 27214: @2045972
     /* 2045972 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2046063), // Rule ID 15318 //
     /* 2045977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046023 */     // MIs[0] round
     /* 2046023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046026 */     // MIs[0] policy
     /* 2046026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046062 */     // GIR_Coverage, 15318,
     /* 2046062 */     GIR_EraseRootFromParent_Done,
     /* 2046063 */   // Label 27215: @2046063
     /* 2046063 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2046154), // Rule ID 15319 //
     /* 2046068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2046079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2046082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2046085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046114 */     // MIs[0] round
     /* 2046114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046117 */     // MIs[0] policy
     /* 2046117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046153 */     // GIR_Coverage, 15319,
     /* 2046153 */     GIR_EraseRootFromParent_Done,
     /* 2046154 */   // Label 27216: @2046154
     /* 2046154 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2046245), // Rule ID 15322 //
     /* 2046159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046205 */     // MIs[0] round
     /* 2046205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046208 */     // MIs[0] policy
     /* 2046208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046244 */     // GIR_Coverage, 15322,
     /* 2046244 */     GIR_EraseRootFromParent_Done,
     /* 2046245 */   // Label 27217: @2046245
     /* 2046245 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2046336), // Rule ID 15323 //
     /* 2046250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046296 */     // MIs[0] round
     /* 2046296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046299 */     // MIs[0] policy
     /* 2046299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046335 */     // GIR_Coverage, 15323,
     /* 2046335 */     GIR_EraseRootFromParent_Done,
     /* 2046336 */   // Label 27218: @2046336
     /* 2046336 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2046427), // Rule ID 15326 //
     /* 2046341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046387 */     // MIs[0] round
     /* 2046387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046390 */     // MIs[0] policy
     /* 2046390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046426 */     // GIR_Coverage, 15326,
     /* 2046426 */     GIR_EraseRootFromParent_Done,
     /* 2046427 */   // Label 27219: @2046427
     /* 2046427 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2046518), // Rule ID 15327 //
     /* 2046432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046478 */     // MIs[0] round
     /* 2046478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046481 */     // MIs[0] policy
     /* 2046481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046517 */     // GIR_Coverage, 15327,
     /* 2046517 */     GIR_EraseRootFromParent_Done,
     /* 2046518 */   // Label 27220: @2046518
     /* 2046518 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2046609), // Rule ID 15330 //
     /* 2046523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046569 */     // MIs[0] round
     /* 2046569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046572 */     // MIs[0] policy
     /* 2046572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046608 */     // GIR_Coverage, 15330,
     /* 2046608 */     GIR_EraseRootFromParent_Done,
     /* 2046609 */   // Label 27221: @2046609
     /* 2046609 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2046700), // Rule ID 15331 //
     /* 2046614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046660 */     // MIs[0] round
     /* 2046660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046663 */     // MIs[0] policy
     /* 2046663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046699 */     // GIR_Coverage, 15331,
     /* 2046699 */     GIR_EraseRootFromParent_Done,
     /* 2046700 */   // Label 27222: @2046700
     /* 2046700 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2046791), // Rule ID 15334 //
     /* 2046705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046751 */     // MIs[0] round
     /* 2046751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046754 */     // MIs[0] policy
     /* 2046754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046790 */     // GIR_Coverage, 15334,
     /* 2046790 */     GIR_EraseRootFromParent_Done,
     /* 2046791 */   // Label 27223: @2046791
     /* 2046791 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2046882), // Rule ID 15335 //
     /* 2046796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046842 */     // MIs[0] round
     /* 2046842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046845 */     // MIs[0] policy
     /* 2046845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046855 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046881 */     // GIR_Coverage, 15335,
     /* 2046881 */     GIR_EraseRootFromParent_Done,
     /* 2046882 */   // Label 27224: @2046882
     /* 2046882 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2046973), // Rule ID 15338 //
     /* 2046887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046933 */     // MIs[0] round
     /* 2046933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046936 */     // MIs[0] policy
     /* 2046936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046972 */     // GIR_Coverage, 15338,
     /* 2046972 */     GIR_EraseRootFromParent_Done,
     /* 2046973 */   // Label 27225: @2046973
     /* 2046973 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2047064), // Rule ID 15339 //
     /* 2046978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047024 */     // MIs[0] round
     /* 2047024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047027 */     // MIs[0] policy
     /* 2047027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2047040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047063 */     // GIR_Coverage, 15339,
     /* 2047063 */     GIR_EraseRootFromParent_Done,
     /* 2047064 */   // Label 27226: @2047064
     /* 2047064 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2047155), // Rule ID 15342 //
     /* 2047069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2047089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047115 */     // MIs[0] round
     /* 2047115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047118 */     // MIs[0] policy
     /* 2047118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2047131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047154 */     // GIR_Coverage, 15342,
     /* 2047154 */     GIR_EraseRootFromParent_Done,
     /* 2047155 */   // Label 27227: @2047155
     /* 2047155 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2047246), // Rule ID 15343 //
     /* 2047160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2047180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047206 */     // MIs[0] round
     /* 2047206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047209 */     // MIs[0] policy
     /* 2047209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2047222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047245 */     // GIR_Coverage, 15343,
     /* 2047245 */     GIR_EraseRootFromParent_Done,
     /* 2047246 */   // Label 27228: @2047246
     /* 2047246 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2047337), // Rule ID 15346 //
     /* 2047251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2047271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047297 */     // MIs[0] round
     /* 2047297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047300 */     // MIs[0] policy
     /* 2047300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047336 */     // GIR_Coverage, 15346,
     /* 2047336 */     GIR_EraseRootFromParent_Done,
     /* 2047337 */   // Label 27229: @2047337
     /* 2047337 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2047428), // Rule ID 15347 //
     /* 2047342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2047362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047388 */     // MIs[0] round
     /* 2047388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047391 */     // MIs[0] policy
     /* 2047391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047427 */     // GIR_Coverage, 15347,
     /* 2047427 */     GIR_EraseRootFromParent_Done,
     /* 2047428 */   // Label 27230: @2047428
     /* 2047428 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2047519), // Rule ID 15350 //
     /* 2047433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047479 */     // MIs[0] round
     /* 2047479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047482 */     // MIs[0] policy
     /* 2047482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047518 */     // GIR_Coverage, 15350,
     /* 2047518 */     GIR_EraseRootFromParent_Done,
     /* 2047519 */   // Label 27231: @2047519
     /* 2047519 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2047610), // Rule ID 15351 //
     /* 2047524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047570 */     // MIs[0] round
     /* 2047570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047573 */     // MIs[0] policy
     /* 2047573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047609 */     // GIR_Coverage, 15351,
     /* 2047609 */     GIR_EraseRootFromParent_Done,
     /* 2047610 */   // Label 27232: @2047610
     /* 2047610 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2047701), // Rule ID 15354 //
     /* 2047615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047661 */     // MIs[0] round
     /* 2047661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047664 */     // MIs[0] policy
     /* 2047664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047700 */     // GIR_Coverage, 15354,
     /* 2047700 */     GIR_EraseRootFromParent_Done,
     /* 2047701 */   // Label 27233: @2047701
     /* 2047701 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2047792), // Rule ID 15355 //
     /* 2047706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047752 */     // MIs[0] round
     /* 2047752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047755 */     // MIs[0] policy
     /* 2047755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047791 */     // GIR_Coverage, 15355,
     /* 2047791 */     GIR_EraseRootFromParent_Done,
     /* 2047792 */   // Label 27234: @2047792
     /* 2047792 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2047883), // Rule ID 15358 //
     /* 2047797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047843 */     // MIs[0] round
     /* 2047843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047846 */     // MIs[0] policy
     /* 2047846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047882 */     // GIR_Coverage, 15358,
     /* 2047882 */     GIR_EraseRootFromParent_Done,
     /* 2047883 */   // Label 27235: @2047883
     /* 2047883 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2047974), // Rule ID 15359 //
     /* 2047888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047934 */     // MIs[0] round
     /* 2047934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047937 */     // MIs[0] policy
     /* 2047937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047973 */     // GIR_Coverage, 15359,
     /* 2047973 */     GIR_EraseRootFromParent_Done,
     /* 2047974 */   // Label 27236: @2047974
     /* 2047974 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2048065), // Rule ID 15362 //
     /* 2047979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048025 */     // MIs[0] round
     /* 2048025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048028 */     // MIs[0] policy
     /* 2048028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2048041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048064 */     // GIR_Coverage, 15362,
     /* 2048064 */     GIR_EraseRootFromParent_Done,
     /* 2048065 */   // Label 27237: @2048065
     /* 2048065 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2048156), // Rule ID 15363 //
     /* 2048070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2048081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2048084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2048087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2048090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048116 */     // MIs[0] round
     /* 2048116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048119 */     // MIs[0] policy
     /* 2048119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048129 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2048132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048155 */     // GIR_Coverage, 15363,
     /* 2048155 */     GIR_EraseRootFromParent_Done,
     /* 2048156 */   // Label 27238: @2048156
     /* 2048156 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2048247), // Rule ID 15366 //
     /* 2048161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2048181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048207 */     // MIs[0] round
     /* 2048207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048210 */     // MIs[0] policy
     /* 2048210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048246 */     // GIR_Coverage, 15366,
     /* 2048246 */     GIR_EraseRootFromParent_Done,
     /* 2048247 */   // Label 27239: @2048247
     /* 2048247 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2048338), // Rule ID 15367 //
     /* 2048252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2048272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048298 */     // MIs[0] round
     /* 2048298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048301 */     // MIs[0] policy
     /* 2048301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048337 */     // GIR_Coverage, 15367,
     /* 2048337 */     GIR_EraseRootFromParent_Done,
     /* 2048338 */   // Label 27240: @2048338
     /* 2048338 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2048429), // Rule ID 15370 //
     /* 2048343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048389 */     // MIs[0] round
     /* 2048389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048392 */     // MIs[0] policy
     /* 2048392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048428 */     // GIR_Coverage, 15370,
     /* 2048428 */     GIR_EraseRootFromParent_Done,
     /* 2048429 */   // Label 27241: @2048429
     /* 2048429 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2048520), // Rule ID 15371 //
     /* 2048434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048480 */     // MIs[0] round
     /* 2048480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048483 */     // MIs[0] policy
     /* 2048483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048519 */     // GIR_Coverage, 15371,
     /* 2048519 */     GIR_EraseRootFromParent_Done,
     /* 2048520 */   // Label 27242: @2048520
     /* 2048520 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2048611), // Rule ID 15374 //
     /* 2048525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048571 */     // MIs[0] round
     /* 2048571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048574 */     // MIs[0] policy
     /* 2048574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048610 */     // GIR_Coverage, 15374,
     /* 2048610 */     GIR_EraseRootFromParent_Done,
     /* 2048611 */   // Label 27243: @2048611
     /* 2048611 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2048702), // Rule ID 15375 //
     /* 2048616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048662 */     // MIs[0] round
     /* 2048662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048665 */     // MIs[0] policy
     /* 2048665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048701 */     // GIR_Coverage, 15375,
     /* 2048701 */     GIR_EraseRootFromParent_Done,
     /* 2048702 */   // Label 27244: @2048702
     /* 2048702 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2048793), // Rule ID 15378 //
     /* 2048707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048753 */     // MIs[0] round
     /* 2048753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048756 */     // MIs[0] policy
     /* 2048756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048792 */     // GIR_Coverage, 15378,
     /* 2048792 */     GIR_EraseRootFromParent_Done,
     /* 2048793 */   // Label 27245: @2048793
     /* 2048793 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2048884), // Rule ID 15379 //
     /* 2048798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048844 */     // MIs[0] round
     /* 2048844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048847 */     // MIs[0] policy
     /* 2048847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048883 */     // GIR_Coverage, 15379,
     /* 2048883 */     GIR_EraseRootFromParent_Done,
     /* 2048884 */   // Label 27246: @2048884
     /* 2048884 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2048975), // Rule ID 15382 //
     /* 2048889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048935 */     // MIs[0] round
     /* 2048935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048938 */     // MIs[0] policy
     /* 2048938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048974 */     // GIR_Coverage, 15382,
     /* 2048974 */     GIR_EraseRootFromParent_Done,
     /* 2048975 */   // Label 27247: @2048975
     /* 2048975 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2049066), // Rule ID 15383 //
     /* 2048980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2049000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049026 */     // MIs[0] round
     /* 2049026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049029 */     // MIs[0] policy
     /* 2049029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049039 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049065 */     // GIR_Coverage, 15383,
     /* 2049065 */     GIR_EraseRootFromParent_Done,
     /* 2049066 */   // Label 27248: @2049066
     /* 2049066 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2049157), // Rule ID 15386 //
     /* 2049071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2049091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049117 */     // MIs[0] round
     /* 2049117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049120 */     // MIs[0] policy
     /* 2049120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049156 */     // GIR_Coverage, 15386,
     /* 2049156 */     GIR_EraseRootFromParent_Done,
     /* 2049157 */   // Label 27249: @2049157
     /* 2049157 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2049248), // Rule ID 15387 //
     /* 2049162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2049182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049208 */     // MIs[0] round
     /* 2049208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049211 */     // MIs[0] policy
     /* 2049211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049247 */     // GIR_Coverage, 15387,
     /* 2049247 */     GIR_EraseRootFromParent_Done,
     /* 2049248 */   // Label 27250: @2049248
     /* 2049248 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2049339), // Rule ID 15390 //
     /* 2049253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2049273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049299 */     // MIs[0] round
     /* 2049299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049302 */     // MIs[0] policy
     /* 2049302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049338 */     // GIR_Coverage, 15390,
     /* 2049338 */     GIR_EraseRootFromParent_Done,
     /* 2049339 */   // Label 27251: @2049339
     /* 2049339 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2049430), // Rule ID 15391 //
     /* 2049344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2049364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049390 */     // MIs[0] round
     /* 2049390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049393 */     // MIs[0] policy
     /* 2049393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049429 */     // GIR_Coverage, 15391,
     /* 2049429 */     GIR_EraseRootFromParent_Done,
     /* 2049430 */   // Label 27252: @2049430
     /* 2049430 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2049521), // Rule ID 15394 //
     /* 2049435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049481 */     // MIs[0] round
     /* 2049481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049484 */     // MIs[0] policy
     /* 2049484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049520 */     // GIR_Coverage, 15394,
     /* 2049520 */     GIR_EraseRootFromParent_Done,
     /* 2049521 */   // Label 27253: @2049521
     /* 2049521 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2049612), // Rule ID 15395 //
     /* 2049526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049572 */     // MIs[0] round
     /* 2049572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049575 */     // MIs[0] policy
     /* 2049575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049611 */     // GIR_Coverage, 15395,
     /* 2049611 */     GIR_EraseRootFromParent_Done,
     /* 2049612 */   // Label 27254: @2049612
     /* 2049612 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2049703), // Rule ID 15398 //
     /* 2049617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049663 */     // MIs[0] round
     /* 2049663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049666 */     // MIs[0] policy
     /* 2049666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049702 */     // GIR_Coverage, 15398,
     /* 2049702 */     GIR_EraseRootFromParent_Done,
     /* 2049703 */   // Label 27255: @2049703
     /* 2049703 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2049794), // Rule ID 15399 //
     /* 2049708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049754 */     // MIs[0] round
     /* 2049754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049757 */     // MIs[0] policy
     /* 2049757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049793 */     // GIR_Coverage, 15399,
     /* 2049793 */     GIR_EraseRootFromParent_Done,
     /* 2049794 */   // Label 27256: @2049794
     /* 2049794 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2049885), // Rule ID 15402 //
     /* 2049799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049845 */     // MIs[0] round
     /* 2049845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049848 */     // MIs[0] policy
     /* 2049848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049884 */     // GIR_Coverage, 15402,
     /* 2049884 */     GIR_EraseRootFromParent_Done,
     /* 2049885 */   // Label 27257: @2049885
     /* 2049885 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2049976), // Rule ID 15403 //
     /* 2049890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049936 */     // MIs[0] round
     /* 2049936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049939 */     // MIs[0] policy
     /* 2049939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049975 */     // GIR_Coverage, 15403,
     /* 2049975 */     GIR_EraseRootFromParent_Done,
     /* 2049976 */   // Label 27258: @2049976
     /* 2049976 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050067), // Rule ID 15406 //
     /* 2049981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2050001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050027 */     // MIs[0] round
     /* 2050027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050030 */     // MIs[0] policy
     /* 2050030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050066 */     // GIR_Coverage, 15406,
     /* 2050066 */     GIR_EraseRootFromParent_Done,
     /* 2050067 */   // Label 27259: @2050067
     /* 2050067 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2050158), // Rule ID 15407 //
     /* 2050072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2050083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2050086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2050089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2050092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050118 */     // MIs[0] round
     /* 2050118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050121 */     // MIs[0] policy
     /* 2050121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050157 */     // GIR_Coverage, 15407,
     /* 2050157 */     GIR_EraseRootFromParent_Done,
     /* 2050158 */   // Label 27260: @2050158
     /* 2050158 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2050249), // Rule ID 15410 //
     /* 2050163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2050183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050209 */     // MIs[0] round
     /* 2050209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050212 */     // MIs[0] policy
     /* 2050212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050248 */     // GIR_Coverage, 15410,
     /* 2050248 */     GIR_EraseRootFromParent_Done,
     /* 2050249 */   // Label 27261: @2050249
     /* 2050249 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2050340), // Rule ID 15411 //
     /* 2050254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2050274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050300 */     // MIs[0] round
     /* 2050300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050303 */     // MIs[0] policy
     /* 2050303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050339 */     // GIR_Coverage, 15411,
     /* 2050339 */     GIR_EraseRootFromParent_Done,
     /* 2050340 */   // Label 27262: @2050340
     /* 2050340 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2050431), // Rule ID 15414 //
     /* 2050345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050391 */     // MIs[0] round
     /* 2050391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050394 */     // MIs[0] policy
     /* 2050394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050430 */     // GIR_Coverage, 15414,
     /* 2050430 */     GIR_EraseRootFromParent_Done,
     /* 2050431 */   // Label 27263: @2050431
     /* 2050431 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2050522), // Rule ID 15415 //
     /* 2050436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050482 */     // MIs[0] round
     /* 2050482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050485 */     // MIs[0] policy
     /* 2050485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050521 */     // GIR_Coverage, 15415,
     /* 2050521 */     GIR_EraseRootFromParent_Done,
     /* 2050522 */   // Label 27264: @2050522
     /* 2050522 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2050613), // Rule ID 15418 //
     /* 2050527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050573 */     // MIs[0] round
     /* 2050573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050576 */     // MIs[0] policy
     /* 2050576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050612 */     // GIR_Coverage, 15418,
     /* 2050612 */     GIR_EraseRootFromParent_Done,
     /* 2050613 */   // Label 27265: @2050613
     /* 2050613 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2050704), // Rule ID 15419 //
     /* 2050618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050664 */     // MIs[0] round
     /* 2050664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050667 */     // MIs[0] policy
     /* 2050667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050677 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050703 */     // GIR_Coverage, 15419,
     /* 2050703 */     GIR_EraseRootFromParent_Done,
     /* 2050704 */   // Label 27266: @2050704
     /* 2050704 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2050795), // Rule ID 15422 //
     /* 2050709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050755 */     // MIs[0] round
     /* 2050755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050758 */     // MIs[0] policy
     /* 2050758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050794 */     // GIR_Coverage, 15422,
     /* 2050794 */     GIR_EraseRootFromParent_Done,
     /* 2050795 */   // Label 27267: @2050795
     /* 2050795 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2050886), // Rule ID 15423 //
     /* 2050800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050846 */     // MIs[0] round
     /* 2050846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050849 */     // MIs[0] policy
     /* 2050849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050885 */     // GIR_Coverage, 15423,
     /* 2050885 */     GIR_EraseRootFromParent_Done,
     /* 2050886 */   // Label 27268: @2050886
     /* 2050886 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2050977), // Rule ID 15426 //
     /* 2050891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050937 */     // MIs[0] round
     /* 2050937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050940 */     // MIs[0] policy
     /* 2050940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050976 */     // GIR_Coverage, 15426,
     /* 2050976 */     GIR_EraseRootFromParent_Done,
     /* 2050977 */   // Label 27269: @2050977
     /* 2050977 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051068), // Rule ID 15427 //
     /* 2050982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2051002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051028 */     // MIs[0] round
     /* 2051028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051031 */     // MIs[0] policy
     /* 2051031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2051044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051067 */     // GIR_Coverage, 15427,
     /* 2051067 */     GIR_EraseRootFromParent_Done,
     /* 2051068 */   // Label 27270: @2051068
     /* 2051068 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2051159), // Rule ID 15430 //
     /* 2051073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051119 */     // MIs[0] round
     /* 2051119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051122 */     // MIs[0] policy
     /* 2051122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2051135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051158 */     // GIR_Coverage, 15430,
     /* 2051158 */     GIR_EraseRootFromParent_Done,
     /* 2051159 */   // Label 27271: @2051159
     /* 2051159 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2051250), // Rule ID 15431 //
     /* 2051164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051210 */     // MIs[0] round
     /* 2051210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051213 */     // MIs[0] policy
     /* 2051213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051223 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2051226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051249 */     // GIR_Coverage, 15431,
     /* 2051249 */     GIR_EraseRootFromParent_Done,
     /* 2051250 */   // Label 27272: @2051250
     /* 2051250 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2051341), // Rule ID 15434 //
     /* 2051255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051301 */     // MIs[0] round
     /* 2051301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051304 */     // MIs[0] policy
     /* 2051304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051340 */     // GIR_Coverage, 15434,
     /* 2051340 */     GIR_EraseRootFromParent_Done,
     /* 2051341 */   // Label 27273: @2051341
     /* 2051341 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2051432), // Rule ID 15435 //
     /* 2051346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051392 */     // MIs[0] round
     /* 2051392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051395 */     // MIs[0] policy
     /* 2051395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051405 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051431 */     // GIR_Coverage, 15435,
     /* 2051431 */     GIR_EraseRootFromParent_Done,
     /* 2051432 */   // Label 27274: @2051432
     /* 2051432 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2051523), // Rule ID 15438 //
     /* 2051437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051483 */     // MIs[0] round
     /* 2051483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051486 */     // MIs[0] policy
     /* 2051486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051522 */     // GIR_Coverage, 15438,
     /* 2051522 */     GIR_EraseRootFromParent_Done,
     /* 2051523 */   // Label 27275: @2051523
     /* 2051523 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2051614), // Rule ID 15439 //
     /* 2051528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051574 */     // MIs[0] round
     /* 2051574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051577 */     // MIs[0] policy
     /* 2051577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051613 */     // GIR_Coverage, 15439,
     /* 2051613 */     GIR_EraseRootFromParent_Done,
     /* 2051614 */   // Label 27276: @2051614
     /* 2051614 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2051705), // Rule ID 15442 //
     /* 2051619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051665 */     // MIs[0] round
     /* 2051665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051668 */     // MIs[0] policy
     /* 2051668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051704 */     // GIR_Coverage, 15442,
     /* 2051704 */     GIR_EraseRootFromParent_Done,
     /* 2051705 */   // Label 27277: @2051705
     /* 2051705 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2051796), // Rule ID 15443 //
     /* 2051710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051756 */     // MIs[0] round
     /* 2051756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051759 */     // MIs[0] policy
     /* 2051759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051795 */     // GIR_Coverage, 15443,
     /* 2051795 */     GIR_EraseRootFromParent_Done,
     /* 2051796 */   // Label 27278: @2051796
     /* 2051796 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2051887), // Rule ID 15446 //
     /* 2051801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051847 */     // MIs[0] round
     /* 2051847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051850 */     // MIs[0] policy
     /* 2051850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051886 */     // GIR_Coverage, 15446,
     /* 2051886 */     GIR_EraseRootFromParent_Done,
     /* 2051887 */   // Label 27279: @2051887
     /* 2051887 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2051978), // Rule ID 15447 //
     /* 2051892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051938 */     // MIs[0] round
     /* 2051938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051941 */     // MIs[0] policy
     /* 2051941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051977 */     // GIR_Coverage, 15447,
     /* 2051977 */     GIR_EraseRootFromParent_Done,
     /* 2051978 */   // Label 27280: @2051978
     /* 2051978 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052069), // Rule ID 15450 //
     /* 2051983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052029 */     // MIs[0] round
     /* 2052029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052032 */     // MIs[0] policy
     /* 2052032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2052045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052068 */     // GIR_Coverage, 15450,
     /* 2052068 */     GIR_EraseRootFromParent_Done,
     /* 2052069 */   // Label 27281: @2052069
     /* 2052069 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2052160), // Rule ID 15451 //
     /* 2052074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052120 */     // MIs[0] round
     /* 2052120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052123 */     // MIs[0] policy
     /* 2052123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2052136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052159 */     // GIR_Coverage, 15451,
     /* 2052159 */     GIR_EraseRootFromParent_Done,
     /* 2052160 */   // Label 27282: @2052160
     /* 2052160 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2052251), // Rule ID 15454 //
     /* 2052165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052211 */     // MIs[0] round
     /* 2052211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052214 */     // MIs[0] policy
     /* 2052214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052250 */     // GIR_Coverage, 15454,
     /* 2052250 */     GIR_EraseRootFromParent_Done,
     /* 2052251 */   // Label 27283: @2052251
     /* 2052251 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2052342), // Rule ID 15455 //
     /* 2052256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052302 */     // MIs[0] round
     /* 2052302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052305 */     // MIs[0] policy
     /* 2052305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052341 */     // GIR_Coverage, 15455,
     /* 2052341 */     GIR_EraseRootFromParent_Done,
     /* 2052342 */   // Label 27284: @2052342
     /* 2052342 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2052433), // Rule ID 15458 //
     /* 2052347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052393 */     // MIs[0] round
     /* 2052393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052396 */     // MIs[0] policy
     /* 2052396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052432 */     // GIR_Coverage, 15458,
     /* 2052432 */     GIR_EraseRootFromParent_Done,
     /* 2052433 */   // Label 27285: @2052433
     /* 2052433 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2052524), // Rule ID 15459 //
     /* 2052438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052484 */     // MIs[0] round
     /* 2052484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052487 */     // MIs[0] policy
     /* 2052487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052523 */     // GIR_Coverage, 15459,
     /* 2052523 */     GIR_EraseRootFromParent_Done,
     /* 2052524 */   // Label 27286: @2052524
     /* 2052524 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2052615), // Rule ID 15462 //
     /* 2052529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052575 */     // MIs[0] round
     /* 2052575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052578 */     // MIs[0] policy
     /* 2052578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052614 */     // GIR_Coverage, 15462,
     /* 2052614 */     GIR_EraseRootFromParent_Done,
     /* 2052615 */   // Label 27287: @2052615
     /* 2052615 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2052706), // Rule ID 15463 //
     /* 2052620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052666 */     // MIs[0] round
     /* 2052666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052669 */     // MIs[0] policy
     /* 2052669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052679 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052705 */     // GIR_Coverage, 15463,
     /* 2052705 */     GIR_EraseRootFromParent_Done,
     /* 2052706 */   // Label 27288: @2052706
     /* 2052706 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2052797), // Rule ID 15466 //
     /* 2052711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052757 */     // MIs[0] round
     /* 2052757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052760 */     // MIs[0] policy
     /* 2052760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052796 */     // GIR_Coverage, 15466,
     /* 2052796 */     GIR_EraseRootFromParent_Done,
     /* 2052797 */   // Label 27289: @2052797
     /* 2052797 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2052888), // Rule ID 15467 //
     /* 2052802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052848 */     // MIs[0] round
     /* 2052848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052851 */     // MIs[0] policy
     /* 2052851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052887 */     // GIR_Coverage, 15467,
     /* 2052887 */     GIR_EraseRootFromParent_Done,
     /* 2052888 */   // Label 27290: @2052888
     /* 2052888 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2052979), // Rule ID 15470 //
     /* 2052893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052939 */     // MIs[0] round
     /* 2052939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052942 */     // MIs[0] policy
     /* 2052942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052978 */     // GIR_Coverage, 15470,
     /* 2052978 */     GIR_EraseRootFromParent_Done,
     /* 2052979 */   // Label 27291: @2052979
     /* 2052979 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2053070), // Rule ID 15471 //
     /* 2052984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053030 */     // MIs[0] round
     /* 2053030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053033 */     // MIs[0] policy
     /* 2053033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053069 */     // GIR_Coverage, 15471,
     /* 2053069 */     GIR_EraseRootFromParent_Done,
     /* 2053070 */   // Label 27292: @2053070
     /* 2053070 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2053161), // Rule ID 15474 //
     /* 2053075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053121 */     // MIs[0] round
     /* 2053121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053124 */     // MIs[0] policy
     /* 2053124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053160 */     // GIR_Coverage, 15474,
     /* 2053160 */     GIR_EraseRootFromParent_Done,
     /* 2053161 */   // Label 27293: @2053161
     /* 2053161 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2053252), // Rule ID 15475 //
     /* 2053166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053212 */     // MIs[0] round
     /* 2053212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053215 */     // MIs[0] policy
     /* 2053215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053251 */     // GIR_Coverage, 15475,
     /* 2053251 */     GIR_EraseRootFromParent_Done,
     /* 2053252 */   // Label 27294: @2053252
     /* 2053252 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2053343), // Rule ID 15478 //
     /* 2053257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053303 */     // MIs[0] round
     /* 2053303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053306 */     // MIs[0] policy
     /* 2053306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053342 */     // GIR_Coverage, 15478,
     /* 2053342 */     GIR_EraseRootFromParent_Done,
     /* 2053343 */   // Label 27295: @2053343
     /* 2053343 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2053434), // Rule ID 15479 //
     /* 2053348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053394 */     // MIs[0] round
     /* 2053394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053397 */     // MIs[0] policy
     /* 2053397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053433 */     // GIR_Coverage, 15479,
     /* 2053433 */     GIR_EraseRootFromParent_Done,
     /* 2053434 */   // Label 27296: @2053434
     /* 2053434 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2053525), // Rule ID 15482 //
     /* 2053439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053485 */     // MIs[0] round
     /* 2053485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053488 */     // MIs[0] policy
     /* 2053488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053524 */     // GIR_Coverage, 15482,
     /* 2053524 */     GIR_EraseRootFromParent_Done,
     /* 2053525 */   // Label 27297: @2053525
     /* 2053525 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2053616), // Rule ID 15483 //
     /* 2053530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053576 */     // MIs[0] round
     /* 2053576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053579 */     // MIs[0] policy
     /* 2053579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053615 */     // GIR_Coverage, 15483,
     /* 2053615 */     GIR_EraseRootFromParent_Done,
     /* 2053616 */   // Label 27298: @2053616
     /* 2053616 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2053707), // Rule ID 15486 //
     /* 2053621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053667 */     // MIs[0] round
     /* 2053667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053670 */     // MIs[0] policy
     /* 2053670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053706 */     // GIR_Coverage, 15486,
     /* 2053706 */     GIR_EraseRootFromParent_Done,
     /* 2053707 */   // Label 27299: @2053707
     /* 2053707 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2053798), // Rule ID 15487 //
     /* 2053712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053758 */     // MIs[0] round
     /* 2053758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053761 */     // MIs[0] policy
     /* 2053761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053797 */     // GIR_Coverage, 15487,
     /* 2053797 */     GIR_EraseRootFromParent_Done,
     /* 2053798 */   // Label 27300: @2053798
     /* 2053798 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2053889), // Rule ID 15490 //
     /* 2053803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053849 */     // MIs[0] round
     /* 2053849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053852 */     // MIs[0] policy
     /* 2053852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053888 */     // GIR_Coverage, 15490,
     /* 2053888 */     GIR_EraseRootFromParent_Done,
     /* 2053889 */   // Label 27301: @2053889
     /* 2053889 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2053980), // Rule ID 15491 //
     /* 2053894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053940 */     // MIs[0] round
     /* 2053940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053943 */     // MIs[0] policy
     /* 2053943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053979 */     // GIR_Coverage, 15491,
     /* 2053979 */     GIR_EraseRootFromParent_Done,
     /* 2053980 */   // Label 27302: @2053980
     /* 2053980 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2054071), // Rule ID 15494 //
     /* 2053985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054031 */     // MIs[0] round
     /* 2054031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054034 */     // MIs[0] policy
     /* 2054034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054070 */     // GIR_Coverage, 15494,
     /* 2054070 */     GIR_EraseRootFromParent_Done,
     /* 2054071 */   // Label 27303: @2054071
     /* 2054071 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2054162), // Rule ID 15495 //
     /* 2054076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054122 */     // MIs[0] round
     /* 2054122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054125 */     // MIs[0] policy
     /* 2054125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054161 */     // GIR_Coverage, 15495,
     /* 2054161 */     GIR_EraseRootFromParent_Done,
     /* 2054162 */   // Label 27304: @2054162
     /* 2054162 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2054253), // Rule ID 15498 //
     /* 2054167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054213 */     // MIs[0] round
     /* 2054213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054216 */     // MIs[0] policy
     /* 2054216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054252 */     // GIR_Coverage, 15498,
     /* 2054252 */     GIR_EraseRootFromParent_Done,
     /* 2054253 */   // Label 27305: @2054253
     /* 2054253 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2054344), // Rule ID 15499 //
     /* 2054258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054304 */     // MIs[0] round
     /* 2054304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054307 */     // MIs[0] policy
     /* 2054307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054343 */     // GIR_Coverage, 15499,
     /* 2054343 */     GIR_EraseRootFromParent_Done,
     /* 2054344 */   // Label 27306: @2054344
     /* 2054344 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2054435), // Rule ID 15502 //
     /* 2054349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054395 */     // MIs[0] round
     /* 2054395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054398 */     // MIs[0] policy
     /* 2054398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054434 */     // GIR_Coverage, 15502,
     /* 2054434 */     GIR_EraseRootFromParent_Done,
     /* 2054435 */   // Label 27307: @2054435
     /* 2054435 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2054526), // Rule ID 15503 //
     /* 2054440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054486 */     // MIs[0] round
     /* 2054486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054489 */     // MIs[0] policy
     /* 2054489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054525 */     // GIR_Coverage, 15503,
     /* 2054525 */     GIR_EraseRootFromParent_Done,
     /* 2054526 */   // Label 27308: @2054526
     /* 2054526 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2054617), // Rule ID 15506 //
     /* 2054531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054577 */     // MIs[0] round
     /* 2054577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054580 */     // MIs[0] policy
     /* 2054580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054616 */     // GIR_Coverage, 15506,
     /* 2054616 */     GIR_EraseRootFromParent_Done,
     /* 2054617 */   // Label 27309: @2054617
     /* 2054617 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2054708), // Rule ID 15507 //
     /* 2054622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054668 */     // MIs[0] round
     /* 2054668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054671 */     // MIs[0] policy
     /* 2054671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054707 */     // GIR_Coverage, 15507,
     /* 2054707 */     GIR_EraseRootFromParent_Done,
     /* 2054708 */   // Label 27310: @2054708
     /* 2054708 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2054799), // Rule ID 15510 //
     /* 2054713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054759 */     // MIs[0] round
     /* 2054759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054762 */     // MIs[0] policy
     /* 2054762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054798 */     // GIR_Coverage, 15510,
     /* 2054798 */     GIR_EraseRootFromParent_Done,
     /* 2054799 */   // Label 27311: @2054799
     /* 2054799 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2054890), // Rule ID 15511 //
     /* 2054804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054850 */     // MIs[0] round
     /* 2054850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054853 */     // MIs[0] policy
     /* 2054853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054889 */     // GIR_Coverage, 15511,
     /* 2054889 */     GIR_EraseRootFromParent_Done,
     /* 2054890 */   // Label 27312: @2054890
     /* 2054890 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2054981), // Rule ID 15514 //
     /* 2054895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054941 */     // MIs[0] round
     /* 2054941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054944 */     // MIs[0] policy
     /* 2054944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054980 */     // GIR_Coverage, 15514,
     /* 2054980 */     GIR_EraseRootFromParent_Done,
     /* 2054981 */   // Label 27313: @2054981
     /* 2054981 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2055072), // Rule ID 15515 //
     /* 2054986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2055000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2055003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055032 */     // MIs[0] round
     /* 2055032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055035 */     // MIs[0] policy
     /* 2055035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2055048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055071 */     // GIR_Coverage, 15515,
     /* 2055071 */     GIR_EraseRootFromParent_Done,
     /* 2055072 */   // Label 27314: @2055072
     /* 2055072 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2055166), // Rule ID 15518 //
     /* 2055077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2055097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055123 */     // MIs[0] round
     /* 2055123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055126 */     // MIs[0] policy
     /* 2055126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2055139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055165 */     // GIR_Coverage, 15518,
     /* 2055165 */     GIR_EraseRootFromParent_Done,
     /* 2055166 */   // Label 27315: @2055166
     /* 2055166 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2055260), // Rule ID 15519 //
     /* 2055171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2055191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055217 */     // MIs[0] round
     /* 2055217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055220 */     // MIs[0] policy
     /* 2055220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2055233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055259 */     // GIR_Coverage, 15519,
     /* 2055259 */     GIR_EraseRootFromParent_Done,
     /* 2055260 */   // Label 27316: @2055260
     /* 2055260 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2055354), // Rule ID 15522 //
     /* 2055265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2055285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055311 */     // MIs[0] round
     /* 2055311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055314 */     // MIs[0] policy
     /* 2055314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055324 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055353 */     // GIR_Coverage, 15522,
     /* 2055353 */     GIR_EraseRootFromParent_Done,
     /* 2055354 */   // Label 27317: @2055354
     /* 2055354 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2055448), // Rule ID 15523 //
     /* 2055359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2055379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055405 */     // MIs[0] round
     /* 2055405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055408 */     // MIs[0] policy
     /* 2055408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055418 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055447 */     // GIR_Coverage, 15523,
     /* 2055447 */     GIR_EraseRootFromParent_Done,
     /* 2055448 */   // Label 27318: @2055448
     /* 2055448 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2055542), // Rule ID 15526 //
     /* 2055453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055499 */     // MIs[0] round
     /* 2055499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055502 */     // MIs[0] policy
     /* 2055502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055541 */     // GIR_Coverage, 15526,
     /* 2055541 */     GIR_EraseRootFromParent_Done,
     /* 2055542 */   // Label 27319: @2055542
     /* 2055542 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2055636), // Rule ID 15527 //
     /* 2055547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055593 */     // MIs[0] round
     /* 2055593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055596 */     // MIs[0] policy
     /* 2055596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055635 */     // GIR_Coverage, 15527,
     /* 2055635 */     GIR_EraseRootFromParent_Done,
     /* 2055636 */   // Label 27320: @2055636
     /* 2055636 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2055730), // Rule ID 15530 //
     /* 2055641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055687 */     // MIs[0] round
     /* 2055687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055690 */     // MIs[0] policy
     /* 2055690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055729 */     // GIR_Coverage, 15530,
     /* 2055729 */     GIR_EraseRootFromParent_Done,
     /* 2055730 */   // Label 27321: @2055730
     /* 2055730 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2055824), // Rule ID 15531 //
     /* 2055735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055781 */     // MIs[0] round
     /* 2055781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055784 */     // MIs[0] policy
     /* 2055784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055823 */     // GIR_Coverage, 15531,
     /* 2055823 */     GIR_EraseRootFromParent_Done,
     /* 2055824 */   // Label 27322: @2055824
     /* 2055824 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2055918), // Rule ID 15534 //
     /* 2055829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055875 */     // MIs[0] round
     /* 2055875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055878 */     // MIs[0] policy
     /* 2055878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055917 */     // GIR_Coverage, 15534,
     /* 2055917 */     GIR_EraseRootFromParent_Done,
     /* 2055918 */   // Label 27323: @2055918
     /* 2055918 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2056012), // Rule ID 15535 //
     /* 2055923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055969 */     // MIs[0] round
     /* 2055969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055972 */     // MIs[0] policy
     /* 2055972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056011 */     // GIR_Coverage, 15535,
     /* 2056011 */     GIR_EraseRootFromParent_Done,
     /* 2056012 */   // Label 27324: @2056012
     /* 2056012 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2056106), // Rule ID 15538 //
     /* 2056017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2056037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056063 */     // MIs[0] round
     /* 2056063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056066 */     // MIs[0] policy
     /* 2056066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2056079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056105 */     // GIR_Coverage, 15538,
     /* 2056105 */     GIR_EraseRootFromParent_Done,
     /* 2056106 */   // Label 27325: @2056106
     /* 2056106 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2056200), // Rule ID 15539 //
     /* 2056111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2056131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056157 */     // MIs[0] round
     /* 2056157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056160 */     // MIs[0] policy
     /* 2056160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056170 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2056173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056199 */     // GIR_Coverage, 15539,
     /* 2056199 */     GIR_EraseRootFromParent_Done,
     /* 2056200 */   // Label 27326: @2056200
     /* 2056200 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2056294), // Rule ID 15542 //
     /* 2056205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2056225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056251 */     // MIs[0] round
     /* 2056251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056254 */     // MIs[0] policy
     /* 2056254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056293 */     // GIR_Coverage, 15542,
     /* 2056293 */     GIR_EraseRootFromParent_Done,
     /* 2056294 */   // Label 27327: @2056294
     /* 2056294 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2056388), // Rule ID 15543 //
     /* 2056299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2056319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056345 */     // MIs[0] round
     /* 2056345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056348 */     // MIs[0] policy
     /* 2056348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056387 */     // GIR_Coverage, 15543,
     /* 2056387 */     GIR_EraseRootFromParent_Done,
     /* 2056388 */   // Label 27328: @2056388
     /* 2056388 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2056482), // Rule ID 15546 //
     /* 2056393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056439 */     // MIs[0] round
     /* 2056439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056442 */     // MIs[0] policy
     /* 2056442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056481 */     // GIR_Coverage, 15546,
     /* 2056481 */     GIR_EraseRootFromParent_Done,
     /* 2056482 */   // Label 27329: @2056482
     /* 2056482 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2056576), // Rule ID 15547 //
     /* 2056487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056533 */     // MIs[0] round
     /* 2056533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056536 */     // MIs[0] policy
     /* 2056536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056575 */     // GIR_Coverage, 15547,
     /* 2056575 */     GIR_EraseRootFromParent_Done,
     /* 2056576 */   // Label 27330: @2056576
     /* 2056576 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2056670), // Rule ID 15550 //
     /* 2056581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056627 */     // MIs[0] round
     /* 2056627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056630 */     // MIs[0] policy
     /* 2056630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056669 */     // GIR_Coverage, 15550,
     /* 2056669 */     GIR_EraseRootFromParent_Done,
     /* 2056670 */   // Label 27331: @2056670
     /* 2056670 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2056764), // Rule ID 15551 //
     /* 2056675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056721 */     // MIs[0] round
     /* 2056721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056724 */     // MIs[0] policy
     /* 2056724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056763 */     // GIR_Coverage, 15551,
     /* 2056763 */     GIR_EraseRootFromParent_Done,
     /* 2056764 */   // Label 27332: @2056764
     /* 2056764 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2056858), // Rule ID 15554 //
     /* 2056769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056815 */     // MIs[0] round
     /* 2056815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056818 */     // MIs[0] policy
     /* 2056818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056857 */     // GIR_Coverage, 15554,
     /* 2056857 */     GIR_EraseRootFromParent_Done,
     /* 2056858 */   // Label 27333: @2056858
     /* 2056858 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2056952), // Rule ID 15555 //
     /* 2056863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056909 */     // MIs[0] round
     /* 2056909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056912 */     // MIs[0] policy
     /* 2056912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056951 */     // GIR_Coverage, 15555,
     /* 2056951 */     GIR_EraseRootFromParent_Done,
     /* 2056952 */   // Label 27334: @2056952
     /* 2056952 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2057046), // Rule ID 15558 //
     /* 2056957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057003 */     // MIs[0] round
     /* 2057003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057006 */     // MIs[0] policy
     /* 2057006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057045 */     // GIR_Coverage, 15558,
     /* 2057045 */     GIR_EraseRootFromParent_Done,
     /* 2057046 */   // Label 27335: @2057046
     /* 2057046 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2057140), // Rule ID 15559 //
     /* 2057051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2057062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2057065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2057068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2057071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057097 */     // MIs[0] round
     /* 2057097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057100 */     // MIs[0] policy
     /* 2057100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057139 */     // GIR_Coverage, 15559,
     /* 2057139 */     GIR_EraseRootFromParent_Done,
     /* 2057140 */   // Label 27336: @2057140
     /* 2057140 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2057234), // Rule ID 15562 //
     /* 2057145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2057165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057191 */     // MIs[0] round
     /* 2057191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057194 */     // MIs[0] policy
     /* 2057194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057204 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057233 */     // GIR_Coverage, 15562,
     /* 2057233 */     GIR_EraseRootFromParent_Done,
     /* 2057234 */   // Label 27337: @2057234
     /* 2057234 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2057328), // Rule ID 15563 //
     /* 2057239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2057259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057285 */     // MIs[0] round
     /* 2057285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057288 */     // MIs[0] policy
     /* 2057288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057298 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057327 */     // GIR_Coverage, 15563,
     /* 2057327 */     GIR_EraseRootFromParent_Done,
     /* 2057328 */   // Label 27338: @2057328
     /* 2057328 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2057422), // Rule ID 15566 //
     /* 2057333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057379 */     // MIs[0] round
     /* 2057379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057382 */     // MIs[0] policy
     /* 2057382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057421 */     // GIR_Coverage, 15566,
     /* 2057421 */     GIR_EraseRootFromParent_Done,
     /* 2057422 */   // Label 27339: @2057422
     /* 2057422 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2057516), // Rule ID 15567 //
     /* 2057427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057473 */     // MIs[0] round
     /* 2057473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057476 */     // MIs[0] policy
     /* 2057476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057515 */     // GIR_Coverage, 15567,
     /* 2057515 */     GIR_EraseRootFromParent_Done,
     /* 2057516 */   // Label 27340: @2057516
     /* 2057516 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2057610), // Rule ID 15570 //
     /* 2057521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057567 */     // MIs[0] round
     /* 2057567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057570 */     // MIs[0] policy
     /* 2057570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057609 */     // GIR_Coverage, 15570,
     /* 2057609 */     GIR_EraseRootFromParent_Done,
     /* 2057610 */   // Label 27341: @2057610
     /* 2057610 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2057704), // Rule ID 15571 //
     /* 2057615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057661 */     // MIs[0] round
     /* 2057661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057664 */     // MIs[0] policy
     /* 2057664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057703 */     // GIR_Coverage, 15571,
     /* 2057703 */     GIR_EraseRootFromParent_Done,
     /* 2057704 */   // Label 27342: @2057704
     /* 2057704 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2057798), // Rule ID 15574 //
     /* 2057709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057755 */     // MIs[0] round
     /* 2057755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057758 */     // MIs[0] policy
     /* 2057758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057797 */     // GIR_Coverage, 15574,
     /* 2057797 */     GIR_EraseRootFromParent_Done,
     /* 2057798 */   // Label 27343: @2057798
     /* 2057798 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2057892), // Rule ID 15575 //
     /* 2057803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057849 */     // MIs[0] round
     /* 2057849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057852 */     // MIs[0] policy
     /* 2057852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057891 */     // GIR_Coverage, 15575,
     /* 2057891 */     GIR_EraseRootFromParent_Done,
     /* 2057892 */   // Label 27344: @2057892
     /* 2057892 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2057986), // Rule ID 15578 //
     /* 2057897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057943 */     // MIs[0] round
     /* 2057943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057946 */     // MIs[0] policy
     /* 2057946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057985 */     // GIR_Coverage, 15578,
     /* 2057985 */     GIR_EraseRootFromParent_Done,
     /* 2057986 */   // Label 27345: @2057986
     /* 2057986 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2058080), // Rule ID 15579 //
     /* 2057991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2058002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2058005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2058008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2058011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058037 */     // MIs[0] round
     /* 2058037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058040 */     // MIs[0] policy
     /* 2058040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2058053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058079 */     // GIR_Coverage, 15579,
     /* 2058079 */     GIR_EraseRootFromParent_Done,
     /* 2058080 */   // Label 27346: @2058080
     /* 2058080 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2058174), // Rule ID 15582 //
     /* 2058085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2058105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058131 */     // MIs[0] round
     /* 2058131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058134 */     // MIs[0] policy
     /* 2058134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2058147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058173 */     // GIR_Coverage, 15582,
     /* 2058173 */     GIR_EraseRootFromParent_Done,
     /* 2058174 */   // Label 27347: @2058174
     /* 2058174 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2058268), // Rule ID 15583 //
     /* 2058179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2058199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058225 */     // MIs[0] round
     /* 2058225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058228 */     // MIs[0] policy
     /* 2058228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2058241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058267 */     // GIR_Coverage, 15583,
     /* 2058267 */     GIR_EraseRootFromParent_Done,
     /* 2058268 */   // Label 27348: @2058268
     /* 2058268 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2058362), // Rule ID 15586 //
     /* 2058273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058319 */     // MIs[0] round
     /* 2058319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058322 */     // MIs[0] policy
     /* 2058322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2058335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058361 */     // GIR_Coverage, 15586,
     /* 2058361 */     GIR_EraseRootFromParent_Done,
     /* 2058362 */   // Label 27349: @2058362
     /* 2058362 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2058456), // Rule ID 15587 //
     /* 2058367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058413 */     // MIs[0] round
     /* 2058413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058416 */     // MIs[0] policy
     /* 2058416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2058429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058455 */     // GIR_Coverage, 15587,
     /* 2058455 */     GIR_EraseRootFromParent_Done,
     /* 2058456 */   // Label 27350: @2058456
     /* 2058456 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2058550), // Rule ID 15590 //
     /* 2058461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058507 */     // MIs[0] round
     /* 2058507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058510 */     // MIs[0] policy
     /* 2058510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058549 */     // GIR_Coverage, 15590,
     /* 2058549 */     GIR_EraseRootFromParent_Done,
     /* 2058550 */   // Label 27351: @2058550
     /* 2058550 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2058644), // Rule ID 15591 //
     /* 2058555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058601 */     // MIs[0] round
     /* 2058601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058604 */     // MIs[0] policy
     /* 2058604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058643 */     // GIR_Coverage, 15591,
     /* 2058643 */     GIR_EraseRootFromParent_Done,
     /* 2058644 */   // Label 27352: @2058644
     /* 2058644 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2058738), // Rule ID 15594 //
     /* 2058649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058695 */     // MIs[0] round
     /* 2058695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058698 */     // MIs[0] policy
     /* 2058698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058708 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058737 */     // GIR_Coverage, 15594,
     /* 2058737 */     GIR_EraseRootFromParent_Done,
     /* 2058738 */   // Label 27353: @2058738
     /* 2058738 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2058832), // Rule ID 15595 //
     /* 2058743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058789 */     // MIs[0] round
     /* 2058789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058792 */     // MIs[0] policy
     /* 2058792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058802 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058831 */     // GIR_Coverage, 15595,
     /* 2058831 */     GIR_EraseRootFromParent_Done,
     /* 2058832 */   // Label 27354: @2058832
     /* 2058832 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2058926), // Rule ID 15598 //
     /* 2058837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058883 */     // MIs[0] round
     /* 2058883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058886 */     // MIs[0] policy
     /* 2058886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058925 */     // GIR_Coverage, 15598,
     /* 2058925 */     GIR_EraseRootFromParent_Done,
     /* 2058926 */   // Label 27355: @2058926
     /* 2058926 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2059020), // Rule ID 15599 //
     /* 2058931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058977 */     // MIs[0] round
     /* 2058977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058980 */     // MIs[0] policy
     /* 2058980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058990 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059019 */     // GIR_Coverage, 15599,
     /* 2059019 */     GIR_EraseRootFromParent_Done,
     /* 2059020 */   // Label 27356: @2059020
     /* 2059020 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2059114), // Rule ID 15602 //
     /* 2059025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059071 */     // MIs[0] round
     /* 2059071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059074 */     // MIs[0] policy
     /* 2059074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2059087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059113 */     // GIR_Coverage, 15602,
     /* 2059113 */     GIR_EraseRootFromParent_Done,
     /* 2059114 */   // Label 27357: @2059114
     /* 2059114 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2059208), // Rule ID 15603 //
     /* 2059119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059165 */     // MIs[0] round
     /* 2059165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059168 */     // MIs[0] policy
     /* 2059168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2059181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059207 */     // GIR_Coverage, 15603,
     /* 2059207 */     GIR_EraseRootFromParent_Done,
     /* 2059208 */   // Label 27358: @2059208
     /* 2059208 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2059302), // Rule ID 15606 //
     /* 2059213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059259 */     // MIs[0] round
     /* 2059259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059262 */     // MIs[0] policy
     /* 2059262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059301 */     // GIR_Coverage, 15606,
     /* 2059301 */     GIR_EraseRootFromParent_Done,
     /* 2059302 */   // Label 27359: @2059302
     /* 2059302 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2059396), // Rule ID 15607 //
     /* 2059307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059353 */     // MIs[0] round
     /* 2059353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059356 */     // MIs[0] policy
     /* 2059356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059395 */     // GIR_Coverage, 15607,
     /* 2059395 */     GIR_EraseRootFromParent_Done,
     /* 2059396 */   // Label 27360: @2059396
     /* 2059396 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2059490), // Rule ID 15610 //
     /* 2059401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059447 */     // MIs[0] round
     /* 2059447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059450 */     // MIs[0] policy
     /* 2059450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059489 */     // GIR_Coverage, 15610,
     /* 2059489 */     GIR_EraseRootFromParent_Done,
     /* 2059490 */   // Label 27361: @2059490
     /* 2059490 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2059584), // Rule ID 15611 //
     /* 2059495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059541 */     // MIs[0] round
     /* 2059541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059544 */     // MIs[0] policy
     /* 2059544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059583 */     // GIR_Coverage, 15611,
     /* 2059583 */     GIR_EraseRootFromParent_Done,
     /* 2059584 */   // Label 27362: @2059584
     /* 2059584 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2059678), // Rule ID 15614 //
     /* 2059589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059635 */     // MIs[0] round
     /* 2059635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059638 */     // MIs[0] policy
     /* 2059638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059677 */     // GIR_Coverage, 15614,
     /* 2059677 */     GIR_EraseRootFromParent_Done,
     /* 2059678 */   // Label 27363: @2059678
     /* 2059678 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2059772), // Rule ID 15615 //
     /* 2059683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059729 */     // MIs[0] round
     /* 2059729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059732 */     // MIs[0] policy
     /* 2059732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059771 */     // GIR_Coverage, 15615,
     /* 2059771 */     GIR_EraseRootFromParent_Done,
     /* 2059772 */   // Label 27364: @2059772
     /* 2059772 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2059866), // Rule ID 15618 //
     /* 2059777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059823 */     // MIs[0] round
     /* 2059823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059826 */     // MIs[0] policy
     /* 2059826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059865 */     // GIR_Coverage, 15618,
     /* 2059865 */     GIR_EraseRootFromParent_Done,
     /* 2059866 */   // Label 27365: @2059866
     /* 2059866 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2059960), // Rule ID 15619 //
     /* 2059871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059917 */     // MIs[0] round
     /* 2059917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059920 */     // MIs[0] policy
     /* 2059920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059959 */     // GIR_Coverage, 15619,
     /* 2059959 */     GIR_EraseRootFromParent_Done,
     /* 2059960 */   // Label 27366: @2059960
     /* 2059960 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2060054), // Rule ID 15622 //
     /* 2059965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060011 */     // MIs[0] round
     /* 2060011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060014 */     // MIs[0] policy
     /* 2060014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2060027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060053 */     // GIR_Coverage, 15622,
     /* 2060053 */     GIR_EraseRootFromParent_Done,
     /* 2060054 */   // Label 27367: @2060054
     /* 2060054 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2060148), // Rule ID 15623 //
     /* 2060059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060105 */     // MIs[0] round
     /* 2060105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060108 */     // MIs[0] policy
     /* 2060108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2060121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060147 */     // GIR_Coverage, 15623,
     /* 2060147 */     GIR_EraseRootFromParent_Done,
     /* 2060148 */   // Label 27368: @2060148
     /* 2060148 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2060242), // Rule ID 15626 //
     /* 2060153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060199 */     // MIs[0] round
     /* 2060199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060202 */     // MIs[0] policy
     /* 2060202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060241 */     // GIR_Coverage, 15626,
     /* 2060241 */     GIR_EraseRootFromParent_Done,
     /* 2060242 */   // Label 27369: @2060242
     /* 2060242 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2060336), // Rule ID 15627 //
     /* 2060247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060293 */     // MIs[0] round
     /* 2060293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060296 */     // MIs[0] policy
     /* 2060296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060335 */     // GIR_Coverage, 15627,
     /* 2060335 */     GIR_EraseRootFromParent_Done,
     /* 2060336 */   // Label 27370: @2060336
     /* 2060336 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2060430), // Rule ID 15630 //
     /* 2060341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060387 */     // MIs[0] round
     /* 2060387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060390 */     // MIs[0] policy
     /* 2060390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060429 */     // GIR_Coverage, 15630,
     /* 2060429 */     GIR_EraseRootFromParent_Done,
     /* 2060430 */   // Label 27371: @2060430
     /* 2060430 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2060524), // Rule ID 15631 //
     /* 2060435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060481 */     // MIs[0] round
     /* 2060481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060484 */     // MIs[0] policy
     /* 2060484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060523 */     // GIR_Coverage, 15631,
     /* 2060523 */     GIR_EraseRootFromParent_Done,
     /* 2060524 */   // Label 27372: @2060524
     /* 2060524 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2060618), // Rule ID 15634 //
     /* 2060529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060575 */     // MIs[0] round
     /* 2060575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060578 */     // MIs[0] policy
     /* 2060578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060617 */     // GIR_Coverage, 15634,
     /* 2060617 */     GIR_EraseRootFromParent_Done,
     /* 2060618 */   // Label 27373: @2060618
     /* 2060618 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2060712), // Rule ID 15635 //
     /* 2060623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060669 */     // MIs[0] round
     /* 2060669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060672 */     // MIs[0] policy
     /* 2060672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060682 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060711 */     // GIR_Coverage, 15635,
     /* 2060711 */     GIR_EraseRootFromParent_Done,
     /* 2060712 */   // Label 27374: @2060712
     /* 2060712 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2060806), // Rule ID 15638 //
     /* 2060717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060763 */     // MIs[0] round
     /* 2060763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060766 */     // MIs[0] policy
     /* 2060766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060805 */     // GIR_Coverage, 15638,
     /* 2060805 */     GIR_EraseRootFromParent_Done,
     /* 2060806 */   // Label 27375: @2060806
     /* 2060806 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2060900), // Rule ID 15639 //
     /* 2060811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060857 */     // MIs[0] round
     /* 2060857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060860 */     // MIs[0] policy
     /* 2060860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060899 */     // GIR_Coverage, 15639,
     /* 2060899 */     GIR_EraseRootFromParent_Done,
     /* 2060900 */   // Label 27376: @2060900
     /* 2060900 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2060994), // Rule ID 15642 //
     /* 2060905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060951 */     // MIs[0] round
     /* 2060951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060954 */     // MIs[0] policy
     /* 2060954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060993 */     // GIR_Coverage, 15642,
     /* 2060993 */     GIR_EraseRootFromParent_Done,
     /* 2060994 */   // Label 27377: @2060994
     /* 2060994 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2061088), // Rule ID 15643 //
     /* 2060999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061045 */     // MIs[0] round
     /* 2061045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061048 */     // MIs[0] policy
     /* 2061048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061087 */     // GIR_Coverage, 15643,
     /* 2061087 */     GIR_EraseRootFromParent_Done,
     /* 2061088 */   // Label 27378: @2061088
     /* 2061088 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2061182), // Rule ID 15646 //
     /* 2061093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061139 */     // MIs[0] round
     /* 2061139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061142 */     // MIs[0] policy
     /* 2061142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061181 */     // GIR_Coverage, 15646,
     /* 2061181 */     GIR_EraseRootFromParent_Done,
     /* 2061182 */   // Label 27379: @2061182
     /* 2061182 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2061276), // Rule ID 15647 //
     /* 2061187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061233 */     // MIs[0] round
     /* 2061233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061236 */     // MIs[0] policy
     /* 2061236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061275 */     // GIR_Coverage, 15647,
     /* 2061275 */     GIR_EraseRootFromParent_Done,
     /* 2061276 */   // Label 27380: @2061276
     /* 2061276 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2061370), // Rule ID 15650 //
     /* 2061281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061327 */     // MIs[0] round
     /* 2061327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061330 */     // MIs[0] policy
     /* 2061330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061369 */     // GIR_Coverage, 15650,
     /* 2061369 */     GIR_EraseRootFromParent_Done,
     /* 2061370 */   // Label 27381: @2061370
     /* 2061370 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2061464), // Rule ID 15651 //
     /* 2061375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061421 */     // MIs[0] round
     /* 2061421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061424 */     // MIs[0] policy
     /* 2061424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061463 */     // GIR_Coverage, 15651,
     /* 2061463 */     GIR_EraseRootFromParent_Done,
     /* 2061464 */   // Label 27382: @2061464
     /* 2061464 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2061558), // Rule ID 15654 //
     /* 2061469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061515 */     // MIs[0] round
     /* 2061515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061518 */     // MIs[0] policy
     /* 2061518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061557 */     // GIR_Coverage, 15654,
     /* 2061557 */     GIR_EraseRootFromParent_Done,
     /* 2061558 */   // Label 27383: @2061558
     /* 2061558 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2061652), // Rule ID 15655 //
     /* 2061563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061609 */     // MIs[0] round
     /* 2061609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061612 */     // MIs[0] policy
     /* 2061612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061651 */     // GIR_Coverage, 15655,
     /* 2061651 */     GIR_EraseRootFromParent_Done,
     /* 2061652 */   // Label 27384: @2061652
     /* 2061652 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2061746), // Rule ID 15658 //
     /* 2061657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061703 */     // MIs[0] round
     /* 2061703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061706 */     // MIs[0] policy
     /* 2061706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061745 */     // GIR_Coverage, 15658,
     /* 2061745 */     GIR_EraseRootFromParent_Done,
     /* 2061746 */   // Label 27385: @2061746
     /* 2061746 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2061840), // Rule ID 15659 //
     /* 2061751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061797 */     // MIs[0] round
     /* 2061797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061800 */     // MIs[0] policy
     /* 2061800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061839 */     // GIR_Coverage, 15659,
     /* 2061839 */     GIR_EraseRootFromParent_Done,
     /* 2061840 */   // Label 27386: @2061840
     /* 2061840 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2061934), // Rule ID 15662 //
     /* 2061845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061891 */     // MIs[0] round
     /* 2061891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061894 */     // MIs[0] policy
     /* 2061894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061933 */     // GIR_Coverage, 15662,
     /* 2061933 */     GIR_EraseRootFromParent_Done,
     /* 2061934 */   // Label 27387: @2061934
     /* 2061934 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2062028), // Rule ID 15663 //
     /* 2061939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061985 */     // MIs[0] round
     /* 2061985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061988 */     // MIs[0] policy
     /* 2061988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2062001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062027 */     // GIR_Coverage, 15663,
     /* 2062027 */     GIR_EraseRootFromParent_Done,
     /* 2062028 */   // Label 27388: @2062028
     /* 2062028 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2062122), // Rule ID 15666 //
     /* 2062033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062079 */     // MIs[0] round
     /* 2062079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062082 */     // MIs[0] policy
     /* 2062082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062121 */     // GIR_Coverage, 15666,
     /* 2062121 */     GIR_EraseRootFromParent_Done,
     /* 2062122 */   // Label 27389: @2062122
     /* 2062122 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2062216), // Rule ID 15667 //
     /* 2062127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062173 */     // MIs[0] round
     /* 2062173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062176 */     // MIs[0] policy
     /* 2062176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062215 */     // GIR_Coverage, 15667,
     /* 2062215 */     GIR_EraseRootFromParent_Done,
     /* 2062216 */   // Label 27390: @2062216
     /* 2062216 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2062310), // Rule ID 15670 //
     /* 2062221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062267 */     // MIs[0] round
     /* 2062267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062270 */     // MIs[0] policy
     /* 2062270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062309 */     // GIR_Coverage, 15670,
     /* 2062309 */     GIR_EraseRootFromParent_Done,
     /* 2062310 */   // Label 27391: @2062310
     /* 2062310 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2062404), // Rule ID 15671 //
     /* 2062315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062361 */     // MIs[0] round
     /* 2062361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062364 */     // MIs[0] policy
     /* 2062364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062403 */     // GIR_Coverage, 15671,
     /* 2062403 */     GIR_EraseRootFromParent_Done,
     /* 2062404 */   // Label 27392: @2062404
     /* 2062404 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2062498), // Rule ID 15674 //
     /* 2062409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062455 */     // MIs[0] round
     /* 2062455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062458 */     // MIs[0] policy
     /* 2062458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062497 */     // GIR_Coverage, 15674,
     /* 2062497 */     GIR_EraseRootFromParent_Done,
     /* 2062498 */   // Label 27393: @2062498
     /* 2062498 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2062592), // Rule ID 15675 //
     /* 2062503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062549 */     // MIs[0] round
     /* 2062549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062552 */     // MIs[0] policy
     /* 2062552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062562 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062591 */     // GIR_Coverage, 15675,
     /* 2062591 */     GIR_EraseRootFromParent_Done,
     /* 2062592 */   // Label 27394: @2062592
     /* 2062592 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2062686), // Rule ID 15678 //
     /* 2062597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062643 */     // MIs[0] round
     /* 2062643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062646 */     // MIs[0] policy
     /* 2062646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062685 */     // GIR_Coverage, 15678,
     /* 2062685 */     GIR_EraseRootFromParent_Done,
     /* 2062686 */   // Label 27395: @2062686
     /* 2062686 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2062780), // Rule ID 15679 //
     /* 2062691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062737 */     // MIs[0] round
     /* 2062737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062740 */     // MIs[0] policy
     /* 2062740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062779 */     // GIR_Coverage, 15679,
     /* 2062779 */     GIR_EraseRootFromParent_Done,
     /* 2062780 */   // Label 27396: @2062780
     /* 2062780 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2062874), // Rule ID 15682 //
     /* 2062785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062831 */     // MIs[0] round
     /* 2062831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062834 */     // MIs[0] policy
     /* 2062834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062873 */     // GIR_Coverage, 15682,
     /* 2062873 */     GIR_EraseRootFromParent_Done,
     /* 2062874 */   // Label 27397: @2062874
     /* 2062874 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2062968), // Rule ID 15683 //
     /* 2062879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062925 */     // MIs[0] round
     /* 2062925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062928 */     // MIs[0] policy
     /* 2062928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062967 */     // GIR_Coverage, 15683,
     /* 2062967 */     GIR_EraseRootFromParent_Done,
     /* 2062968 */   // Label 27398: @2062968
     /* 2062968 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063062), // Rule ID 15686 //
     /* 2062973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063019 */     // MIs[0] round
     /* 2063019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063022 */     // MIs[0] policy
     /* 2063022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2063035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063061 */     // GIR_Coverage, 15686,
     /* 2063061 */     GIR_EraseRootFromParent_Done,
     /* 2063062 */   // Label 27399: @2063062
     /* 2063062 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2063156), // Rule ID 15687 //
     /* 2063067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2063070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2063078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2063081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2063084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063113 */     // MIs[0] round
     /* 2063113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063116 */     // MIs[0] policy
     /* 2063116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2063129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063155 */     // GIR_Coverage, 15687,
     /* 2063155 */     GIR_EraseRootFromParent_Done,
     /* 2063156 */   // Label 27400: @2063156
     /* 2063156 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2063250), // Rule ID 15690 //
     /* 2063161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2063164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063207 */     // MIs[0] round
     /* 2063207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063210 */     // MIs[0] policy
     /* 2063210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2063223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063249 */     // GIR_Coverage, 15690,
     /* 2063249 */     GIR_EraseRootFromParent_Done,
     /* 2063250 */   // Label 27401: @2063250
     /* 2063250 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2063344), // Rule ID 15691 //
     /* 2063255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2063258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063301 */     // MIs[0] round
     /* 2063301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063304 */     // MIs[0] policy
     /* 2063304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2063317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063343 */     // GIR_Coverage, 15691,
     /* 2063343 */     GIR_EraseRootFromParent_Done,
     /* 2063344 */   // Label 27402: @2063344
     /* 2063344 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2063435), // Rule ID 15694 //
     /* 2063349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063395 */     // MIs[0] round
     /* 2063395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063398 */     // MIs[0] policy
     /* 2063398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063434 */     // GIR_Coverage, 15694,
     /* 2063434 */     GIR_EraseRootFromParent_Done,
     /* 2063435 */   // Label 27403: @2063435
     /* 2063435 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2063526), // Rule ID 15695 //
     /* 2063440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063486 */     // MIs[0] round
     /* 2063486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063489 */     // MIs[0] policy
     /* 2063489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063525 */     // GIR_Coverage, 15695,
     /* 2063525 */     GIR_EraseRootFromParent_Done,
     /* 2063526 */   // Label 27404: @2063526
     /* 2063526 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2063617), // Rule ID 15698 //
     /* 2063531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063577 */     // MIs[0] round
     /* 2063577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063580 */     // MIs[0] policy
     /* 2063580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063616 */     // GIR_Coverage, 15698,
     /* 2063616 */     GIR_EraseRootFromParent_Done,
     /* 2063617 */   // Label 27405: @2063617
     /* 2063617 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2063708), // Rule ID 15699 //
     /* 2063622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063668 */     // MIs[0] round
     /* 2063668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063671 */     // MIs[0] policy
     /* 2063671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063681 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063707 */     // GIR_Coverage, 15699,
     /* 2063707 */     GIR_EraseRootFromParent_Done,
     /* 2063708 */   // Label 27406: @2063708
     /* 2063708 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2063799), // Rule ID 15702 //
     /* 2063713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063759 */     // MIs[0] round
     /* 2063759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063762 */     // MIs[0] policy
     /* 2063762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063798 */     // GIR_Coverage, 15702,
     /* 2063798 */     GIR_EraseRootFromParent_Done,
     /* 2063799 */   // Label 27407: @2063799
     /* 2063799 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2063890), // Rule ID 15703 //
     /* 2063804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063850 */     // MIs[0] round
     /* 2063850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063853 */     // MIs[0] policy
     /* 2063853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063889 */     // GIR_Coverage, 15703,
     /* 2063889 */     GIR_EraseRootFromParent_Done,
     /* 2063890 */   // Label 27408: @2063890
     /* 2063890 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2063981), // Rule ID 15706 //
     /* 2063895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063941 */     // MIs[0] round
     /* 2063941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063944 */     // MIs[0] policy
     /* 2063944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063980 */     // GIR_Coverage, 15706,
     /* 2063980 */     GIR_EraseRootFromParent_Done,
     /* 2063981 */   // Label 27409: @2063981
     /* 2063981 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2064072), // Rule ID 15707 //
     /* 2063986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2064000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2064003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2064006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064032 */     // MIs[0] round
     /* 2064032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064035 */     // MIs[0] policy
     /* 2064035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2064048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064071 */     // GIR_Coverage, 15707,
     /* 2064071 */     GIR_EraseRootFromParent_Done,
     /* 2064072 */   // Label 27410: @2064072
     /* 2064072 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2064163), // Rule ID 15710 //
     /* 2064077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2064088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2064091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2064094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2064097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064123 */     // MIs[0] round
     /* 2064123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064126 */     // MIs[0] policy
     /* 2064126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064162 */     // GIR_Coverage, 15710,
     /* 2064162 */     GIR_EraseRootFromParent_Done,
     /* 2064163 */   // Label 27411: @2064163
     /* 2064163 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2064254), // Rule ID 15711 //
     /* 2064168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2064179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2064182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2064185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2064188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064214 */     // MIs[0] round
     /* 2064214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064217 */     // MIs[0] policy
     /* 2064217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064253 */     // GIR_Coverage, 15711,
     /* 2064253 */     GIR_EraseRootFromParent_Done,
     /* 2064254 */   // Label 27412: @2064254
     /* 2064254 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2064345), // Rule ID 15714 //
     /* 2064259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2064276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2064279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064305 */     // MIs[0] round
     /* 2064305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064308 */     // MIs[0] policy
     /* 2064308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064344 */     // GIR_Coverage, 15714,
     /* 2064344 */     GIR_EraseRootFromParent_Done,
     /* 2064345 */   // Label 27413: @2064345
     /* 2064345 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2064436), // Rule ID 15715 //
     /* 2064350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2064367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2064370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064396 */     // MIs[0] round
     /* 2064396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064399 */     // MIs[0] policy
     /* 2064399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2064412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064435 */     // GIR_Coverage, 15715,
     /* 2064435 */     GIR_EraseRootFromParent_Done,
     /* 2064436 */   // Label 27414: @2064436
     /* 2064436 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2064527), // Rule ID 15718 //
     /* 2064441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064487 */     // MIs[0] round
     /* 2064487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064490 */     // MIs[0] policy
     /* 2064490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064526 */     // GIR_Coverage, 15718,
     /* 2064526 */     GIR_EraseRootFromParent_Done,
     /* 2064527 */   // Label 27415: @2064527
     /* 2064527 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2064618), // Rule ID 15719 //
     /* 2064532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064578 */     // MIs[0] round
     /* 2064578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064581 */     // MIs[0] policy
     /* 2064581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064617 */     // GIR_Coverage, 15719,
     /* 2064617 */     GIR_EraseRootFromParent_Done,
     /* 2064618 */   // Label 27416: @2064618
     /* 2064618 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2064709), // Rule ID 15722 //
     /* 2064623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064669 */     // MIs[0] round
     /* 2064669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064672 */     // MIs[0] policy
     /* 2064672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064708 */     // GIR_Coverage, 15722,
     /* 2064708 */     GIR_EraseRootFromParent_Done,
     /* 2064709 */   // Label 27417: @2064709
     /* 2064709 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2064800), // Rule ID 15723 //
     /* 2064714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064760 */     // MIs[0] round
     /* 2064760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064763 */     // MIs[0] policy
     /* 2064763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064799 */     // GIR_Coverage, 15723,
     /* 2064799 */     GIR_EraseRootFromParent_Done,
     /* 2064800 */   // Label 27418: @2064800
     /* 2064800 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2064891), // Rule ID 15726 //
     /* 2064805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064851 */     // MIs[0] round
     /* 2064851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064854 */     // MIs[0] policy
     /* 2064854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064890 */     // GIR_Coverage, 15726,
     /* 2064890 */     GIR_EraseRootFromParent_Done,
     /* 2064891 */   // Label 27419: @2064891
     /* 2064891 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2064982), // Rule ID 15727 //
     /* 2064896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064942 */     // MIs[0] round
     /* 2064942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064945 */     // MIs[0] policy
     /* 2064945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064981 */     // GIR_Coverage, 15727,
     /* 2064981 */     GIR_EraseRootFromParent_Done,
     /* 2064982 */   // Label 27420: @2064982
     /* 2064982 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2065073), // Rule ID 15730 //
     /* 2064987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2065001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2065004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2065007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065033 */     // MIs[0] round
     /* 2065033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065036 */     // MIs[0] policy
     /* 2065036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2065049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065072 */     // GIR_Coverage, 15730,
     /* 2065072 */     GIR_EraseRootFromParent_Done,
     /* 2065073 */   // Label 27421: @2065073
     /* 2065073 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2065164), // Rule ID 15731 //
     /* 2065078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2065081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2065089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2065092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2065095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2065098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065124 */     // MIs[0] round
     /* 2065124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065127 */     // MIs[0] policy
     /* 2065127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2065140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065163 */     // GIR_Coverage, 15731,
     /* 2065163 */     GIR_EraseRootFromParent_Done,
     /* 2065164 */   // Label 27422: @2065164
     /* 2065164 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2065255), // Rule ID 15734 //
     /* 2065169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2065180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2065183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065215 */     // MIs[0] round
     /* 2065215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065218 */     // MIs[0] policy
     /* 2065218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065254 */     // GIR_Coverage, 15734,
     /* 2065254 */     GIR_EraseRootFromParent_Done,
     /* 2065255 */   // Label 27423: @2065255
     /* 2065255 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2065346), // Rule ID 15735 //
     /* 2065260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2065271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2065274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065306 */     // MIs[0] round
     /* 2065306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065309 */     // MIs[0] policy
     /* 2065309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065345 */     // GIR_Coverage, 15735,
     /* 2065345 */     GIR_EraseRootFromParent_Done,
     /* 2065346 */   // Label 27424: @2065346
     /* 2065346 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2065437), // Rule ID 15738 //
     /* 2065351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065397 */     // MIs[0] round
     /* 2065397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065400 */     // MIs[0] policy
     /* 2065400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065410 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065436 */     // GIR_Coverage, 15738,
     /* 2065436 */     GIR_EraseRootFromParent_Done,
     /* 2065437 */   // Label 27425: @2065437
     /* 2065437 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2065528), // Rule ID 15739 //
     /* 2065442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065488 */     // MIs[0] round
     /* 2065488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065491 */     // MIs[0] policy
     /* 2065491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065527 */     // GIR_Coverage, 15739,
     /* 2065527 */     GIR_EraseRootFromParent_Done,
     /* 2065528 */   // Label 27426: @2065528
     /* 2065528 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2065619), // Rule ID 15742 //
     /* 2065533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065579 */     // MIs[0] round
     /* 2065579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065582 */     // MIs[0] policy
     /* 2065582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065618 */     // GIR_Coverage, 15742,
     /* 2065618 */     GIR_EraseRootFromParent_Done,
     /* 2065619 */   // Label 27427: @2065619
     /* 2065619 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2065710), // Rule ID 15743 //
     /* 2065624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065670 */     // MIs[0] round
     /* 2065670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065673 */     // MIs[0] policy
     /* 2065673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065709 */     // GIR_Coverage, 15743,
     /* 2065709 */     GIR_EraseRootFromParent_Done,
     /* 2065710 */   // Label 27428: @2065710
     /* 2065710 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2065801), // Rule ID 15746 //
     /* 2065715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065761 */     // MIs[0] round
     /* 2065761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065764 */     // MIs[0] policy
     /* 2065764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065800 */     // GIR_Coverage, 15746,
     /* 2065800 */     GIR_EraseRootFromParent_Done,
     /* 2065801 */   // Label 27429: @2065801
     /* 2065801 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2065892), // Rule ID 15747 //
     /* 2065806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065852 */     // MIs[0] round
     /* 2065852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065855 */     // MIs[0] policy
     /* 2065855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065891 */     // GIR_Coverage, 15747,
     /* 2065891 */     GIR_EraseRootFromParent_Done,
     /* 2065892 */   // Label 27430: @2065892
     /* 2065892 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2065983), // Rule ID 15750 //
     /* 2065897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065943 */     // MIs[0] round
     /* 2065943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065946 */     // MIs[0] policy
     /* 2065946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065982 */     // GIR_Coverage, 15750,
     /* 2065982 */     GIR_EraseRootFromParent_Done,
     /* 2065983 */   // Label 27431: @2065983
     /* 2065983 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2066074), // Rule ID 15751 //
     /* 2065988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2066002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2066005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2066008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066034 */     // MIs[0] round
     /* 2066034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066037 */     // MIs[0] policy
     /* 2066037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066073 */     // GIR_Coverage, 15751,
     /* 2066073 */     GIR_EraseRootFromParent_Done,
     /* 2066074 */   // Label 27432: @2066074
     /* 2066074 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2066165), // Rule ID 15754 //
     /* 2066079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2066090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2066093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2066096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2066099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066125 */     // MIs[0] round
     /* 2066125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066128 */     // MIs[0] policy
     /* 2066128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066164 */     // GIR_Coverage, 15754,
     /* 2066164 */     GIR_EraseRootFromParent_Done,
     /* 2066165 */   // Label 27433: @2066165
     /* 2066165 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2066256), // Rule ID 15755 //
     /* 2066170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2066181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2066184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2066187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2066190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066216 */     // MIs[0] round
     /* 2066216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066219 */     // MIs[0] policy
     /* 2066219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066255 */     // GIR_Coverage, 15755,
     /* 2066255 */     GIR_EraseRootFromParent_Done,
     /* 2066256 */   // Label 27434: @2066256
     /* 2066256 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2066347), // Rule ID 15758 //
     /* 2066261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2066275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2066278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2066281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066307 */     // MIs[0] round
     /* 2066307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066310 */     // MIs[0] policy
     /* 2066310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066346 */     // GIR_Coverage, 15758,
     /* 2066346 */     GIR_EraseRootFromParent_Done,
     /* 2066347 */   // Label 27435: @2066347
     /* 2066347 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2066438), // Rule ID 15759 //
     /* 2066352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2066366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2066369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2066372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066398 */     // MIs[0] round
     /* 2066398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066401 */     // MIs[0] policy
     /* 2066401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066437 */     // GIR_Coverage, 15759,
     /* 2066437 */     GIR_EraseRootFromParent_Done,
     /* 2066438 */   // Label 27436: @2066438
     /* 2066438 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2066529), // Rule ID 15762 //
     /* 2066443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066489 */     // MIs[0] round
     /* 2066489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066492 */     // MIs[0] policy
     /* 2066492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066528 */     // GIR_Coverage, 15762,
     /* 2066528 */     GIR_EraseRootFromParent_Done,
     /* 2066529 */   // Label 27437: @2066529
     /* 2066529 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2066620), // Rule ID 15763 //
     /* 2066534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066580 */     // MIs[0] round
     /* 2066580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066583 */     // MIs[0] policy
     /* 2066583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066619 */     // GIR_Coverage, 15763,
     /* 2066619 */     GIR_EraseRootFromParent_Done,
     /* 2066620 */   // Label 27438: @2066620
     /* 2066620 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2066711), // Rule ID 15766 //
     /* 2066625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066671 */     // MIs[0] round
     /* 2066671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066674 */     // MIs[0] policy
     /* 2066674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066710 */     // GIR_Coverage, 15766,
     /* 2066710 */     GIR_EraseRootFromParent_Done,
     /* 2066711 */   // Label 27439: @2066711
     /* 2066711 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2066802), // Rule ID 15767 //
     /* 2066716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066762 */     // MIs[0] round
     /* 2066762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066765 */     // MIs[0] policy
     /* 2066765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066775 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066801 */     // GIR_Coverage, 15767,
     /* 2066801 */     GIR_EraseRootFromParent_Done,
     /* 2066802 */   // Label 27440: @2066802
     /* 2066802 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2066893), // Rule ID 15770 //
     /* 2066807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066853 */     // MIs[0] round
     /* 2066853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066856 */     // MIs[0] policy
     /* 2066856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066892 */     // GIR_Coverage, 15770,
     /* 2066892 */     GIR_EraseRootFromParent_Done,
     /* 2066893 */   // Label 27441: @2066893
     /* 2066893 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2066984), // Rule ID 15771 //
     /* 2066898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066944 */     // MIs[0] round
     /* 2066944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066947 */     // MIs[0] policy
     /* 2066947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066957 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066983 */     // GIR_Coverage, 15771,
     /* 2066983 */     GIR_EraseRootFromParent_Done,
     /* 2066984 */   // Label 27442: @2066984
     /* 2066984 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2067075), // Rule ID 15774 //
     /* 2066989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2067009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067035 */     // MIs[0] round
     /* 2067035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067038 */     // MIs[0] policy
     /* 2067038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2067051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067074 */     // GIR_Coverage, 15774,
     /* 2067074 */     GIR_EraseRootFromParent_Done,
     /* 2067075 */   // Label 27443: @2067075
     /* 2067075 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2067166), // Rule ID 15775 //
     /* 2067080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2067083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2067100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067126 */     // MIs[0] round
     /* 2067126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067129 */     // MIs[0] policy
     /* 2067129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2067142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067165 */     // GIR_Coverage, 15775,
     /* 2067165 */     GIR_EraseRootFromParent_Done,
     /* 2067166 */   // Label 27444: @2067166
     /* 2067166 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2067257), // Rule ID 15778 //
     /* 2067171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2067174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2067191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067217 */     // MIs[0] round
     /* 2067217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067220 */     // MIs[0] policy
     /* 2067220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2067233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067256 */     // GIR_Coverage, 15778,
     /* 2067256 */     GIR_EraseRootFromParent_Done,
     /* 2067257 */   // Label 27445: @2067257
     /* 2067257 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2067348), // Rule ID 15779 //
     /* 2067262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2067265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2067282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067308 */     // MIs[0] round
     /* 2067308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067311 */     // MIs[0] policy
     /* 2067311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2067324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067347 */     // GIR_Coverage, 15779,
     /* 2067347 */     GIR_EraseRootFromParent_Done,
     /* 2067348 */   // Label 27446: @2067348
     /* 2067348 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2067439), // Rule ID 15782 //
     /* 2067353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067399 */     // MIs[0] round
     /* 2067399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067402 */     // MIs[0] policy
     /* 2067402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067438 */     // GIR_Coverage, 15782,
     /* 2067438 */     GIR_EraseRootFromParent_Done,
     /* 2067439 */   // Label 27447: @2067439
     /* 2067439 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2067530), // Rule ID 15783 //
     /* 2067444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067490 */     // MIs[0] round
     /* 2067490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067493 */     // MIs[0] policy
     /* 2067493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067529 */     // GIR_Coverage, 15783,
     /* 2067529 */     GIR_EraseRootFromParent_Done,
     /* 2067530 */   // Label 27448: @2067530
     /* 2067530 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2067621), // Rule ID 15786 //
     /* 2067535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067581 */     // MIs[0] round
     /* 2067581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067584 */     // MIs[0] policy
     /* 2067584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067620 */     // GIR_Coverage, 15786,
     /* 2067620 */     GIR_EraseRootFromParent_Done,
     /* 2067621 */   // Label 27449: @2067621
     /* 2067621 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2067712), // Rule ID 15787 //
     /* 2067626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067672 */     // MIs[0] round
     /* 2067672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067675 */     // MIs[0] policy
     /* 2067675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067685 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067711 */     // GIR_Coverage, 15787,
     /* 2067711 */     GIR_EraseRootFromParent_Done,
     /* 2067712 */   // Label 27450: @2067712
     /* 2067712 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2067803), // Rule ID 15790 //
     /* 2067717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067763 */     // MIs[0] round
     /* 2067763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067766 */     // MIs[0] policy
     /* 2067766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067802 */     // GIR_Coverage, 15790,
     /* 2067802 */     GIR_EraseRootFromParent_Done,
     /* 2067803 */   // Label 27451: @2067803
     /* 2067803 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2067894), // Rule ID 15791 //
     /* 2067808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067854 */     // MIs[0] round
     /* 2067854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067857 */     // MIs[0] policy
     /* 2067857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067867 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067893 */     // GIR_Coverage, 15791,
     /* 2067893 */     GIR_EraseRootFromParent_Done,
     /* 2067894 */   // Label 27452: @2067894
     /* 2067894 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2067985), // Rule ID 15794 //
     /* 2067899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067945 */     // MIs[0] round
     /* 2067945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067948 */     // MIs[0] policy
     /* 2067948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067984 */     // GIR_Coverage, 15794,
     /* 2067984 */     GIR_EraseRootFromParent_Done,
     /* 2067985 */   // Label 27453: @2067985
     /* 2067985 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2068076), // Rule ID 15795 //
     /* 2067990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068036 */     // MIs[0] round
     /* 2068036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068039 */     // MIs[0] policy
     /* 2068039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2068052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068075 */     // GIR_Coverage, 15795,
     /* 2068075 */     GIR_EraseRootFromParent_Done,
     /* 2068076 */   // Label 27454: @2068076
     /* 2068076 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2068167), // Rule ID 15798 //
     /* 2068081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068127 */     // MIs[0] round
     /* 2068127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068130 */     // MIs[0] policy
     /* 2068130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068166 */     // GIR_Coverage, 15798,
     /* 2068166 */     GIR_EraseRootFromParent_Done,
     /* 2068167 */   // Label 27455: @2068167
     /* 2068167 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2068258), // Rule ID 15799 //
     /* 2068172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068218 */     // MIs[0] round
     /* 2068218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068221 */     // MIs[0] policy
     /* 2068221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068257 */     // GIR_Coverage, 15799,
     /* 2068257 */     GIR_EraseRootFromParent_Done,
     /* 2068258 */   // Label 27456: @2068258
     /* 2068258 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2068349), // Rule ID 15802 //
     /* 2068263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068309 */     // MIs[0] round
     /* 2068309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068312 */     // MIs[0] policy
     /* 2068312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068348 */     // GIR_Coverage, 15802,
     /* 2068348 */     GIR_EraseRootFromParent_Done,
     /* 2068349 */   // Label 27457: @2068349
     /* 2068349 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2068440), // Rule ID 15803 //
     /* 2068354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068400 */     // MIs[0] round
     /* 2068400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068403 */     // MIs[0] policy
     /* 2068403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2068416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068439 */     // GIR_Coverage, 15803,
     /* 2068439 */     GIR_EraseRootFromParent_Done,
     /* 2068440 */   // Label 27458: @2068440
     /* 2068440 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2068531), // Rule ID 15806 //
     /* 2068445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068491 */     // MIs[0] round
     /* 2068491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068494 */     // MIs[0] policy
     /* 2068494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068530 */     // GIR_Coverage, 15806,
     /* 2068530 */     GIR_EraseRootFromParent_Done,
     /* 2068531 */   // Label 27459: @2068531
     /* 2068531 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2068622), // Rule ID 15807 //
     /* 2068536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068582 */     // MIs[0] round
     /* 2068582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068585 */     // MIs[0] policy
     /* 2068585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068621 */     // GIR_Coverage, 15807,
     /* 2068621 */     GIR_EraseRootFromParent_Done,
     /* 2068622 */   // Label 27460: @2068622
     /* 2068622 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2068713), // Rule ID 15810 //
     /* 2068627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068673 */     // MIs[0] round
     /* 2068673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068676 */     // MIs[0] policy
     /* 2068676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068712 */     // GIR_Coverage, 15810,
     /* 2068712 */     GIR_EraseRootFromParent_Done,
     /* 2068713 */   // Label 27461: @2068713
     /* 2068713 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2068804), // Rule ID 15811 //
     /* 2068718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068764 */     // MIs[0] round
     /* 2068764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068767 */     // MIs[0] policy
     /* 2068767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068803 */     // GIR_Coverage, 15811,
     /* 2068803 */     GIR_EraseRootFromParent_Done,
     /* 2068804 */   // Label 27462: @2068804
     /* 2068804 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2068895), // Rule ID 15814 //
     /* 2068809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068855 */     // MIs[0] round
     /* 2068855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068858 */     // MIs[0] policy
     /* 2068858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068894 */     // GIR_Coverage, 15814,
     /* 2068894 */     GIR_EraseRootFromParent_Done,
     /* 2068895 */   // Label 27463: @2068895
     /* 2068895 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2068986), // Rule ID 15815 //
     /* 2068900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068946 */     // MIs[0] round
     /* 2068946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068949 */     // MIs[0] policy
     /* 2068949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068985 */     // GIR_Coverage, 15815,
     /* 2068985 */     GIR_EraseRootFromParent_Done,
     /* 2068986 */   // Label 27464: @2068986
     /* 2068986 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2069077), // Rule ID 15818 //
     /* 2068991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069037 */     // MIs[0] round
     /* 2069037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069040 */     // MIs[0] policy
     /* 2069040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2069053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069076 */     // GIR_Coverage, 15818,
     /* 2069076 */     GIR_EraseRootFromParent_Done,
     /* 2069077 */   // Label 27465: @2069077
     /* 2069077 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2069168), // Rule ID 15819 //
     /* 2069082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069128 */     // MIs[0] round
     /* 2069128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069131 */     // MIs[0] policy
     /* 2069131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2069144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069167 */     // GIR_Coverage, 15819,
     /* 2069167 */     GIR_EraseRootFromParent_Done,
     /* 2069168 */   // Label 27466: @2069168
     /* 2069168 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2069259), // Rule ID 15822 //
     /* 2069173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069219 */     // MIs[0] round
     /* 2069219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069222 */     // MIs[0] policy
     /* 2069222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069258 */     // GIR_Coverage, 15822,
     /* 2069258 */     GIR_EraseRootFromParent_Done,
     /* 2069259 */   // Label 27467: @2069259
     /* 2069259 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2069350), // Rule ID 15823 //
     /* 2069264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069310 */     // MIs[0] round
     /* 2069310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069313 */     // MIs[0] policy
     /* 2069313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069349 */     // GIR_Coverage, 15823,
     /* 2069349 */     GIR_EraseRootFromParent_Done,
     /* 2069350 */   // Label 27468: @2069350
     /* 2069350 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2069441), // Rule ID 15826 //
     /* 2069355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069401 */     // MIs[0] round
     /* 2069401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069404 */     // MIs[0] policy
     /* 2069404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069440 */     // GIR_Coverage, 15826,
     /* 2069440 */     GIR_EraseRootFromParent_Done,
     /* 2069441 */   // Label 27469: @2069441
     /* 2069441 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2069532), // Rule ID 15827 //
     /* 2069446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069492 */     // MIs[0] round
     /* 2069492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069495 */     // MIs[0] policy
     /* 2069495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069505 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069531 */     // GIR_Coverage, 15827,
     /* 2069531 */     GIR_EraseRootFromParent_Done,
     /* 2069532 */   // Label 27470: @2069532
     /* 2069532 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2069623), // Rule ID 15830 //
     /* 2069537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069583 */     // MIs[0] round
     /* 2069583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069586 */     // MIs[0] policy
     /* 2069586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069622 */     // GIR_Coverage, 15830,
     /* 2069622 */     GIR_EraseRootFromParent_Done,
     /* 2069623 */   // Label 27471: @2069623
     /* 2069623 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2069714), // Rule ID 15831 //
     /* 2069628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069674 */     // MIs[0] round
     /* 2069674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069677 */     // MIs[0] policy
     /* 2069677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069713 */     // GIR_Coverage, 15831,
     /* 2069713 */     GIR_EraseRootFromParent_Done,
     /* 2069714 */   // Label 27472: @2069714
     /* 2069714 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2069805), // Rule ID 15834 //
     /* 2069719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069765 */     // MIs[0] round
     /* 2069765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069768 */     // MIs[0] policy
     /* 2069768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069804 */     // GIR_Coverage, 15834,
     /* 2069804 */     GIR_EraseRootFromParent_Done,
     /* 2069805 */   // Label 27473: @2069805
     /* 2069805 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2069896), // Rule ID 15835 //
     /* 2069810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069856 */     // MIs[0] round
     /* 2069856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069859 */     // MIs[0] policy
     /* 2069859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069895 */     // GIR_Coverage, 15835,
     /* 2069895 */     GIR_EraseRootFromParent_Done,
     /* 2069896 */   // Label 27474: @2069896
     /* 2069896 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2069987), // Rule ID 15838 //
     /* 2069901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069947 */     // MIs[0] round
     /* 2069947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069950 */     // MIs[0] policy
     /* 2069950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069986 */     // GIR_Coverage, 15838,
     /* 2069986 */     GIR_EraseRootFromParent_Done,
     /* 2069987 */   // Label 27475: @2069987
     /* 2069987 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2070078), // Rule ID 15839 //
     /* 2069992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2070003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2070006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2070009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070038 */     // MIs[0] round
     /* 2070038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070041 */     // MIs[0] policy
     /* 2070041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070077 */     // GIR_Coverage, 15839,
     /* 2070077 */     GIR_EraseRootFromParent_Done,
     /* 2070078 */   // Label 27476: @2070078
     /* 2070078 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2070169), // Rule ID 15842 //
     /* 2070083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070129 */     // MIs[0] round
     /* 2070129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070132 */     // MIs[0] policy
     /* 2070132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070168 */     // GIR_Coverage, 15842,
     /* 2070168 */     GIR_EraseRootFromParent_Done,
     /* 2070169 */   // Label 27477: @2070169
     /* 2070169 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2070260), // Rule ID 15843 //
     /* 2070174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070220 */     // MIs[0] round
     /* 2070220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070223 */     // MIs[0] policy
     /* 2070223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070259 */     // GIR_Coverage, 15843,
     /* 2070259 */     GIR_EraseRootFromParent_Done,
     /* 2070260 */   // Label 27478: @2070260
     /* 2070260 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2070351), // Rule ID 15846 //
     /* 2070265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070311 */     // MIs[0] round
     /* 2070311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070314 */     // MIs[0] policy
     /* 2070314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070350 */     // GIR_Coverage, 15846,
     /* 2070350 */     GIR_EraseRootFromParent_Done,
     /* 2070351 */   // Label 27479: @2070351
     /* 2070351 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2070442), // Rule ID 15847 //
     /* 2070356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070402 */     // MIs[0] round
     /* 2070402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070405 */     // MIs[0] policy
     /* 2070405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070441 */     // GIR_Coverage, 15847,
     /* 2070441 */     GIR_EraseRootFromParent_Done,
     /* 2070442 */   // Label 27480: @2070442
     /* 2070442 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2070533), // Rule ID 15850 //
     /* 2070447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070493 */     // MIs[0] round
     /* 2070493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070496 */     // MIs[0] policy
     /* 2070496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070532 */     // GIR_Coverage, 15850,
     /* 2070532 */     GIR_EraseRootFromParent_Done,
     /* 2070533 */   // Label 27481: @2070533
     /* 2070533 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2070624), // Rule ID 15851 //
     /* 2070538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070584 */     // MIs[0] round
     /* 2070584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070587 */     // MIs[0] policy
     /* 2070587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070623 */     // GIR_Coverage, 15851,
     /* 2070623 */     GIR_EraseRootFromParent_Done,
     /* 2070624 */   // Label 27482: @2070624
     /* 2070624 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2070715), // Rule ID 15854 //
     /* 2070629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070675 */     // MIs[0] round
     /* 2070675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070678 */     // MIs[0] policy
     /* 2070678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070714 */     // GIR_Coverage, 15854,
     /* 2070714 */     GIR_EraseRootFromParent_Done,
     /* 2070715 */   // Label 27483: @2070715
     /* 2070715 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2070806), // Rule ID 15855 //
     /* 2070720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070766 */     // MIs[0] round
     /* 2070766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070769 */     // MIs[0] policy
     /* 2070769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070805 */     // GIR_Coverage, 15855,
     /* 2070805 */     GIR_EraseRootFromParent_Done,
     /* 2070806 */   // Label 27484: @2070806
     /* 2070806 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2070897), // Rule ID 15858 //
     /* 2070811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070857 */     // MIs[0] round
     /* 2070857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070860 */     // MIs[0] policy
     /* 2070860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070896 */     // GIR_Coverage, 15858,
     /* 2070896 */     GIR_EraseRootFromParent_Done,
     /* 2070897 */   // Label 27485: @2070897
     /* 2070897 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2070988), // Rule ID 15859 //
     /* 2070902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070948 */     // MIs[0] round
     /* 2070948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070951 */     // MIs[0] policy
     /* 2070951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070987 */     // GIR_Coverage, 15859,
     /* 2070987 */     GIR_EraseRootFromParent_Done,
     /* 2070988 */   // Label 27486: @2070988
     /* 2070988 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2071079), // Rule ID 15862 //
     /* 2070993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071039 */     // MIs[0] round
     /* 2071039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071042 */     // MIs[0] policy
     /* 2071042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2071055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071078 */     // GIR_Coverage, 15862,
     /* 2071078 */     GIR_EraseRootFromParent_Done,
     /* 2071079 */   // Label 27487: @2071079
     /* 2071079 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2071170), // Rule ID 15863 //
     /* 2071084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071130 */     // MIs[0] round
     /* 2071130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071133 */     // MIs[0] policy
     /* 2071133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2071146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071169 */     // GIR_Coverage, 15863,
     /* 2071169 */     GIR_EraseRootFromParent_Done,
     /* 2071170 */   // Label 27488: @2071170
     /* 2071170 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2071261), // Rule ID 15866 //
     /* 2071175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071221 */     // MIs[0] round
     /* 2071221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071224 */     // MIs[0] policy
     /* 2071224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071234 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2071237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071260 */     // GIR_Coverage, 15866,
     /* 2071260 */     GIR_EraseRootFromParent_Done,
     /* 2071261 */   // Label 27489: @2071261
     /* 2071261 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2071352), // Rule ID 15867 //
     /* 2071266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071312 */     // MIs[0] round
     /* 2071312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071315 */     // MIs[0] policy
     /* 2071315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2071328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071351 */     // GIR_Coverage, 15867,
     /* 2071351 */     GIR_EraseRootFromParent_Done,
     /* 2071352 */   // Label 27490: @2071352
     /* 2071352 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2071443), // Rule ID 15958 //
     /* 2071357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071403 */     // MIs[0] round
     /* 2071403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071406 */     // MIs[0] policy
     /* 2071406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071442 */     // GIR_Coverage, 15958,
     /* 2071442 */     GIR_EraseRootFromParent_Done,
     /* 2071443 */   // Label 27491: @2071443
     /* 2071443 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2071534), // Rule ID 15959 //
     /* 2071448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071494 */     // MIs[0] round
     /* 2071494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071497 */     // MIs[0] policy
     /* 2071497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071533 */     // GIR_Coverage, 15959,
     /* 2071533 */     GIR_EraseRootFromParent_Done,
     /* 2071534 */   // Label 27492: @2071534
     /* 2071534 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2071625), // Rule ID 15962 //
     /* 2071539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071585 */     // MIs[0] round
     /* 2071585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071588 */     // MIs[0] policy
     /* 2071588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071624 */     // GIR_Coverage, 15962,
     /* 2071624 */     GIR_EraseRootFromParent_Done,
     /* 2071625 */   // Label 27493: @2071625
     /* 2071625 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2071716), // Rule ID 15963 //
     /* 2071630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071676 */     // MIs[0] round
     /* 2071676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071679 */     // MIs[0] policy
     /* 2071679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071689 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071715 */     // GIR_Coverage, 15963,
     /* 2071715 */     GIR_EraseRootFromParent_Done,
     /* 2071716 */   // Label 27494: @2071716
     /* 2071716 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2071807), // Rule ID 15966 //
     /* 2071721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071767 */     // MIs[0] round
     /* 2071767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071770 */     // MIs[0] policy
     /* 2071770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071806 */     // GIR_Coverage, 15966,
     /* 2071806 */     GIR_EraseRootFromParent_Done,
     /* 2071807 */   // Label 27495: @2071807
     /* 2071807 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2071898), // Rule ID 15967 //
     /* 2071812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071858 */     // MIs[0] round
     /* 2071858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071861 */     // MIs[0] policy
     /* 2071861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071897 */     // GIR_Coverage, 15967,
     /* 2071897 */     GIR_EraseRootFromParent_Done,
     /* 2071898 */   // Label 27496: @2071898
     /* 2071898 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2071989), // Rule ID 15970 //
     /* 2071903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071949 */     // MIs[0] round
     /* 2071949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071952 */     // MIs[0] policy
     /* 2071952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071988 */     // GIR_Coverage, 15970,
     /* 2071988 */     GIR_EraseRootFromParent_Done,
     /* 2071989 */   // Label 27497: @2071989
     /* 2071989 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2072080), // Rule ID 15971 //
     /* 2071994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2072005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2072008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2072011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2072014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072040 */     // MIs[0] round
     /* 2072040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072043 */     // MIs[0] policy
     /* 2072043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2072056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072079 */     // GIR_Coverage, 15971,
     /* 2072079 */     GIR_EraseRootFromParent_Done,
     /* 2072080 */   // Label 27498: @2072080
     /* 2072080 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2072171), // Rule ID 15974 //
     /* 2072085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2072105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072131 */     // MIs[0] round
     /* 2072131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072134 */     // MIs[0] policy
     /* 2072134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072170 */     // GIR_Coverage, 15974,
     /* 2072170 */     GIR_EraseRootFromParent_Done,
     /* 2072171 */   // Label 27499: @2072171
     /* 2072171 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2072262), // Rule ID 15975 //
     /* 2072176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2072196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072222 */     // MIs[0] round
     /* 2072222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072225 */     // MIs[0] policy
     /* 2072225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072261 */     // GIR_Coverage, 15975,
     /* 2072261 */     GIR_EraseRootFromParent_Done,
     /* 2072262 */   // Label 27500: @2072262
     /* 2072262 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2072353), // Rule ID 15978 //
     /* 2072267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2072287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072313 */     // MIs[0] round
     /* 2072313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072316 */     // MIs[0] policy
     /* 2072316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072352 */     // GIR_Coverage, 15978,
     /* 2072352 */     GIR_EraseRootFromParent_Done,
     /* 2072353 */   // Label 27501: @2072353
     /* 2072353 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2072444), // Rule ID 15979 //
     /* 2072358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2072378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072404 */     // MIs[0] round
     /* 2072404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072407 */     // MIs[0] policy
     /* 2072407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2072420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072443 */     // GIR_Coverage, 15979,
     /* 2072443 */     GIR_EraseRootFromParent_Done,
     /* 2072444 */   // Label 27502: @2072444
     /* 2072444 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2072535), // Rule ID 15982 //
     /* 2072449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072495 */     // MIs[0] round
     /* 2072495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072498 */     // MIs[0] policy
     /* 2072498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072534 */     // GIR_Coverage, 15982,
     /* 2072534 */     GIR_EraseRootFromParent_Done,
     /* 2072535 */   // Label 27503: @2072535
     /* 2072535 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2072626), // Rule ID 15983 //
     /* 2072540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072586 */     // MIs[0] round
     /* 2072586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072589 */     // MIs[0] policy
     /* 2072589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072625 */     // GIR_Coverage, 15983,
     /* 2072625 */     GIR_EraseRootFromParent_Done,
     /* 2072626 */   // Label 27504: @2072626
     /* 2072626 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2072717), // Rule ID 15986 //
     /* 2072631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072677 */     // MIs[0] round
     /* 2072677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072680 */     // MIs[0] policy
     /* 2072680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072716 */     // GIR_Coverage, 15986,
     /* 2072716 */     GIR_EraseRootFromParent_Done,
     /* 2072717 */   // Label 27505: @2072717
     /* 2072717 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2072808), // Rule ID 15987 //
     /* 2072722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072768 */     // MIs[0] round
     /* 2072768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072771 */     // MIs[0] policy
     /* 2072771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072807 */     // GIR_Coverage, 15987,
     /* 2072807 */     GIR_EraseRootFromParent_Done,
     /* 2072808 */   // Label 27506: @2072808
     /* 2072808 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2072899), // Rule ID 15990 //
     /* 2072813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072859 */     // MIs[0] round
     /* 2072859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072862 */     // MIs[0] policy
     /* 2072862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072898 */     // GIR_Coverage, 15990,
     /* 2072898 */     GIR_EraseRootFromParent_Done,
     /* 2072899 */   // Label 27507: @2072899
     /* 2072899 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2072990), // Rule ID 15991 //
     /* 2072904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072950 */     // MIs[0] round
     /* 2072950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072953 */     // MIs[0] policy
     /* 2072953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072989 */     // GIR_Coverage, 15991,
     /* 2072989 */     GIR_EraseRootFromParent_Done,
     /* 2072990 */   // Label 27508: @2072990
     /* 2072990 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2073081), // Rule ID 15994 //
     /* 2072995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073041 */     // MIs[0] round
     /* 2073041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073044 */     // MIs[0] policy
     /* 2073044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2073057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073080 */     // GIR_Coverage, 15994,
     /* 2073080 */     GIR_EraseRootFromParent_Done,
     /* 2073081 */   // Label 27509: @2073081
     /* 2073081 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2073172), // Rule ID 15995 //
     /* 2073086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073132 */     // MIs[0] round
     /* 2073132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073135 */     // MIs[0] policy
     /* 2073135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2073148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073171 */     // GIR_Coverage, 15995,
     /* 2073171 */     GIR_EraseRootFromParent_Done,
     /* 2073172 */   // Label 27510: @2073172
     /* 2073172 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2073263), // Rule ID 15998 //
     /* 2073177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073223 */     // MIs[0] round
     /* 2073223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073226 */     // MIs[0] policy
     /* 2073226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073262 */     // GIR_Coverage, 15998,
     /* 2073262 */     GIR_EraseRootFromParent_Done,
     /* 2073263 */   // Label 27511: @2073263
     /* 2073263 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2073354), // Rule ID 15999 //
     /* 2073268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073314 */     // MIs[0] round
     /* 2073314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073317 */     // MIs[0] policy
     /* 2073317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073327 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073353 */     // GIR_Coverage, 15999,
     /* 2073353 */     GIR_EraseRootFromParent_Done,
     /* 2073354 */   // Label 27512: @2073354
     /* 2073354 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2073445), // Rule ID 16002 //
     /* 2073359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073405 */     // MIs[0] round
     /* 2073405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073408 */     // MIs[0] policy
     /* 2073408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073444 */     // GIR_Coverage, 16002,
     /* 2073444 */     GIR_EraseRootFromParent_Done,
     /* 2073445 */   // Label 27513: @2073445
     /* 2073445 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2073536), // Rule ID 16003 //
     /* 2073450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073496 */     // MIs[0] round
     /* 2073496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073499 */     // MIs[0] policy
     /* 2073499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073535 */     // GIR_Coverage, 16003,
     /* 2073535 */     GIR_EraseRootFromParent_Done,
     /* 2073536 */   // Label 27514: @2073536
     /* 2073536 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2073627), // Rule ID 16006 //
     /* 2073541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073587 */     // MIs[0] round
     /* 2073587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073590 */     // MIs[0] policy
     /* 2073590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073626 */     // GIR_Coverage, 16006,
     /* 2073626 */     GIR_EraseRootFromParent_Done,
     /* 2073627 */   // Label 27515: @2073627
     /* 2073627 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2073718), // Rule ID 16007 //
     /* 2073632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073678 */     // MIs[0] round
     /* 2073678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073681 */     // MIs[0] policy
     /* 2073681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073717 */     // GIR_Coverage, 16007,
     /* 2073717 */     GIR_EraseRootFromParent_Done,
     /* 2073718 */   // Label 27516: @2073718
     /* 2073718 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2073809), // Rule ID 16010 //
     /* 2073723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073769 */     // MIs[0] round
     /* 2073769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073772 */     // MIs[0] policy
     /* 2073772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073808 */     // GIR_Coverage, 16010,
     /* 2073808 */     GIR_EraseRootFromParent_Done,
     /* 2073809 */   // Label 27517: @2073809
     /* 2073809 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2073900), // Rule ID 16011 //
     /* 2073814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073860 */     // MIs[0] round
     /* 2073860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073863 */     // MIs[0] policy
     /* 2073863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073899 */     // GIR_Coverage, 16011,
     /* 2073899 */     GIR_EraseRootFromParent_Done,
     /* 2073900 */   // Label 27518: @2073900
     /* 2073900 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2073991), // Rule ID 16014 //
     /* 2073905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073951 */     // MIs[0] round
     /* 2073951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073954 */     // MIs[0] policy
     /* 2073954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073990 */     // GIR_Coverage, 16014,
     /* 2073990 */     GIR_EraseRootFromParent_Done,
     /* 2073991 */   // Label 27519: @2073991
     /* 2073991 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2074082), // Rule ID 16015 //
     /* 2073996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2074007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2074010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2074013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2074016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074042 */     // MIs[0] round
     /* 2074042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074045 */     // MIs[0] policy
     /* 2074045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074081 */     // GIR_Coverage, 16015,
     /* 2074081 */     GIR_EraseRootFromParent_Done,
     /* 2074082 */   // Label 27520: @2074082
     /* 2074082 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2074173), // Rule ID 16018 //
     /* 2074087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2074107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074133 */     // MIs[0] round
     /* 2074133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074136 */     // MIs[0] policy
     /* 2074136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074172 */     // GIR_Coverage, 16018,
     /* 2074172 */     GIR_EraseRootFromParent_Done,
     /* 2074173 */   // Label 27521: @2074173
     /* 2074173 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2074264), // Rule ID 16019 //
     /* 2074178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2074198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074224 */     // MIs[0] round
     /* 2074224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074227 */     // MIs[0] policy
     /* 2074227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074263 */     // GIR_Coverage, 16019,
     /* 2074263 */     GIR_EraseRootFromParent_Done,
     /* 2074264 */   // Label 27522: @2074264
     /* 2074264 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2074355), // Rule ID 16022 //
     /* 2074269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2074289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074315 */     // MIs[0] round
     /* 2074315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074318 */     // MIs[0] policy
     /* 2074318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074354 */     // GIR_Coverage, 16022,
     /* 2074354 */     GIR_EraseRootFromParent_Done,
     /* 2074355 */   // Label 27523: @2074355
     /* 2074355 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2074446), // Rule ID 16023 //
     /* 2074360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2074380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074406 */     // MIs[0] round
     /* 2074406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074409 */     // MIs[0] policy
     /* 2074409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074445 */     // GIR_Coverage, 16023,
     /* 2074445 */     GIR_EraseRootFromParent_Done,
     /* 2074446 */   // Label 27524: @2074446
     /* 2074446 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2074537), // Rule ID 16026 //
     /* 2074451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074497 */     // MIs[0] round
     /* 2074497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074500 */     // MIs[0] policy
     /* 2074500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074536 */     // GIR_Coverage, 16026,
     /* 2074536 */     GIR_EraseRootFromParent_Done,
     /* 2074537 */   // Label 27525: @2074537
     /* 2074537 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2074628), // Rule ID 16027 //
     /* 2074542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074588 */     // MIs[0] round
     /* 2074588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074591 */     // MIs[0] policy
     /* 2074591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074627 */     // GIR_Coverage, 16027,
     /* 2074627 */     GIR_EraseRootFromParent_Done,
     /* 2074628 */   // Label 27526: @2074628
     /* 2074628 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2074719), // Rule ID 16030 //
     /* 2074633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074679 */     // MIs[0] round
     /* 2074679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074682 */     // MIs[0] policy
     /* 2074682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074718 */     // GIR_Coverage, 16030,
     /* 2074718 */     GIR_EraseRootFromParent_Done,
     /* 2074719 */   // Label 27527: @2074719
     /* 2074719 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2074810), // Rule ID 16031 //
     /* 2074724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074770 */     // MIs[0] round
     /* 2074770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074773 */     // MIs[0] policy
     /* 2074773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074809 */     // GIR_Coverage, 16031,
     /* 2074809 */     GIR_EraseRootFromParent_Done,
     /* 2074810 */   // Label 27528: @2074810
     /* 2074810 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2074901), // Rule ID 16034 //
     /* 2074815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074861 */     // MIs[0] round
     /* 2074861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074864 */     // MIs[0] policy
     /* 2074864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074900 */     // GIR_Coverage, 16034,
     /* 2074900 */     GIR_EraseRootFromParent_Done,
     /* 2074901 */   // Label 27529: @2074901
     /* 2074901 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2074992), // Rule ID 16035 //
     /* 2074906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074952 */     // MIs[0] round
     /* 2074952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074955 */     // MIs[0] policy
     /* 2074955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074991 */     // GIR_Coverage, 16035,
     /* 2074991 */     GIR_EraseRootFromParent_Done,
     /* 2074992 */   // Label 27530: @2074992
     /* 2074992 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2075083), // Rule ID 16038 //
     /* 2074997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2075017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075043 */     // MIs[0] round
     /* 2075043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075046 */     // MIs[0] policy
     /* 2075046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2075059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075082 */     // GIR_Coverage, 16038,
     /* 2075082 */     GIR_EraseRootFromParent_Done,
     /* 2075083 */   // Label 27531: @2075083
     /* 2075083 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2075174), // Rule ID 16039 //
     /* 2075088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2075108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075134 */     // MIs[0] round
     /* 2075134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075137 */     // MIs[0] policy
     /* 2075137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2075150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075173 */     // GIR_Coverage, 16039,
     /* 2075173 */     GIR_EraseRootFromParent_Done,
     /* 2075174 */   // Label 27532: @2075174
     /* 2075174 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2075265), // Rule ID 16042 //
     /* 2075179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2075199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075225 */     // MIs[0] round
     /* 2075225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075228 */     // MIs[0] policy
     /* 2075228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2075241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075264 */     // GIR_Coverage, 16042,
     /* 2075264 */     GIR_EraseRootFromParent_Done,
     /* 2075265 */   // Label 27533: @2075265
     /* 2075265 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2075356), // Rule ID 16043 //
     /* 2075270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2075290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075316 */     // MIs[0] round
     /* 2075316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075319 */     // MIs[0] policy
     /* 2075319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2075332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075355 */     // GIR_Coverage, 16043,
     /* 2075355 */     GIR_EraseRootFromParent_Done,
     /* 2075356 */   // Label 27534: @2075356
     /* 2075356 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2075447), // Rule ID 16046 //
     /* 2075361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075407 */     // MIs[0] round
     /* 2075407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075410 */     // MIs[0] policy
     /* 2075410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075446 */     // GIR_Coverage, 16046,
     /* 2075446 */     GIR_EraseRootFromParent_Done,
     /* 2075447 */   // Label 27535: @2075447
     /* 2075447 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2075538), // Rule ID 16047 //
     /* 2075452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075498 */     // MIs[0] round
     /* 2075498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075501 */     // MIs[0] policy
     /* 2075501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075537 */     // GIR_Coverage, 16047,
     /* 2075537 */     GIR_EraseRootFromParent_Done,
     /* 2075538 */   // Label 27536: @2075538
     /* 2075538 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2075629), // Rule ID 16050 //
     /* 2075543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075589 */     // MIs[0] round
     /* 2075589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075592 */     // MIs[0] policy
     /* 2075592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075628 */     // GIR_Coverage, 16050,
     /* 2075628 */     GIR_EraseRootFromParent_Done,
     /* 2075629 */   // Label 27537: @2075629
     /* 2075629 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2075720), // Rule ID 16051 //
     /* 2075634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075680 */     // MIs[0] round
     /* 2075680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075683 */     // MIs[0] policy
     /* 2075683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075719 */     // GIR_Coverage, 16051,
     /* 2075719 */     GIR_EraseRootFromParent_Done,
     /* 2075720 */   // Label 27538: @2075720
     /* 2075720 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2075811), // Rule ID 16054 //
     /* 2075725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075771 */     // MIs[0] round
     /* 2075771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075774 */     // MIs[0] policy
     /* 2075774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075810 */     // GIR_Coverage, 16054,
     /* 2075810 */     GIR_EraseRootFromParent_Done,
     /* 2075811 */   // Label 27539: @2075811
     /* 2075811 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2075902), // Rule ID 16055 //
     /* 2075816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075862 */     // MIs[0] round
     /* 2075862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075865 */     // MIs[0] policy
     /* 2075865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075901 */     // GIR_Coverage, 16055,
     /* 2075901 */     GIR_EraseRootFromParent_Done,
     /* 2075902 */   // Label 27540: @2075902
     /* 2075902 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2075993), // Rule ID 16058 //
     /* 2075907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075953 */     // MIs[0] round
     /* 2075953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075956 */     // MIs[0] policy
     /* 2075956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075992 */     // GIR_Coverage, 16058,
     /* 2075992 */     GIR_EraseRootFromParent_Done,
     /* 2075993 */   // Label 27541: @2075993
     /* 2075993 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2076084), // Rule ID 16059 //
     /* 2075998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2076015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076044 */     // MIs[0] round
     /* 2076044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076047 */     // MIs[0] policy
     /* 2076047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2076060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076083 */     // GIR_Coverage, 16059,
     /* 2076083 */     GIR_EraseRootFromParent_Done,
     /* 2076084 */   // Label 27542: @2076084
     /* 2076084 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2076175), // Rule ID 16062 //
     /* 2076089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076135 */     // MIs[0] round
     /* 2076135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076138 */     // MIs[0] policy
     /* 2076138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076174 */     // GIR_Coverage, 16062,
     /* 2076174 */     GIR_EraseRootFromParent_Done,
     /* 2076175 */   // Label 27543: @2076175
     /* 2076175 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2076266), // Rule ID 16063 //
     /* 2076180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076226 */     // MIs[0] round
     /* 2076226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076229 */     // MIs[0] policy
     /* 2076229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076265 */     // GIR_Coverage, 16063,
     /* 2076265 */     GIR_EraseRootFromParent_Done,
     /* 2076266 */   // Label 27544: @2076266
     /* 2076266 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2076357), // Rule ID 16066 //
     /* 2076271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076317 */     // MIs[0] round
     /* 2076317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076320 */     // MIs[0] policy
     /* 2076320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076356 */     // GIR_Coverage, 16066,
     /* 2076356 */     GIR_EraseRootFromParent_Done,
     /* 2076357 */   // Label 27545: @2076357
     /* 2076357 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2076448), // Rule ID 16067 //
     /* 2076362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076408 */     // MIs[0] round
     /* 2076408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076411 */     // MIs[0] policy
     /* 2076411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2076424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076447 */     // GIR_Coverage, 16067,
     /* 2076447 */     GIR_EraseRootFromParent_Done,
     /* 2076448 */   // Label 27546: @2076448
     /* 2076448 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2076539), // Rule ID 16070 //
     /* 2076453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076499 */     // MIs[0] round
     /* 2076499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076502 */     // MIs[0] policy
     /* 2076502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076538 */     // GIR_Coverage, 16070,
     /* 2076538 */     GIR_EraseRootFromParent_Done,
     /* 2076539 */   // Label 27547: @2076539
     /* 2076539 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2076630), // Rule ID 16071 //
     /* 2076544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076590 */     // MIs[0] round
     /* 2076590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076593 */     // MIs[0] policy
     /* 2076593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076629 */     // GIR_Coverage, 16071,
     /* 2076629 */     GIR_EraseRootFromParent_Done,
     /* 2076630 */   // Label 27548: @2076630
     /* 2076630 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2076721), // Rule ID 16074 //
     /* 2076635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076681 */     // MIs[0] round
     /* 2076681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076684 */     // MIs[0] policy
     /* 2076684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076720 */     // GIR_Coverage, 16074,
     /* 2076720 */     GIR_EraseRootFromParent_Done,
     /* 2076721 */   // Label 27549: @2076721
     /* 2076721 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2076812), // Rule ID 16075 //
     /* 2076726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076772 */     // MIs[0] round
     /* 2076772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076775 */     // MIs[0] policy
     /* 2076775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076811 */     // GIR_Coverage, 16075,
     /* 2076811 */     GIR_EraseRootFromParent_Done,
     /* 2076812 */   // Label 27550: @2076812
     /* 2076812 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2076903), // Rule ID 16078 //
     /* 2076817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076863 */     // MIs[0] round
     /* 2076863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076866 */     // MIs[0] policy
     /* 2076866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076902 */     // GIR_Coverage, 16078,
     /* 2076902 */     GIR_EraseRootFromParent_Done,
     /* 2076903 */   // Label 27551: @2076903
     /* 2076903 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2076994), // Rule ID 16079 //
     /* 2076908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076954 */     // MIs[0] round
     /* 2076954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076957 */     // MIs[0] policy
     /* 2076957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076993 */     // GIR_Coverage, 16079,
     /* 2076993 */     GIR_EraseRootFromParent_Done,
     /* 2076994 */   // Label 27552: @2076994
     /* 2076994 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2077085), // Rule ID 16082 //
     /* 2076999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077045 */     // MIs[0] round
     /* 2077045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077048 */     // MIs[0] policy
     /* 2077048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2077061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077084 */     // GIR_Coverage, 16082,
     /* 2077084 */     GIR_EraseRootFromParent_Done,
     /* 2077085 */   // Label 27553: @2077085
     /* 2077085 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2077176), // Rule ID 16083 //
     /* 2077090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077136 */     // MIs[0] round
     /* 2077136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077139 */     // MIs[0] policy
     /* 2077139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2077152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077175 */     // GIR_Coverage, 16083,
     /* 2077175 */     GIR_EraseRootFromParent_Done,
     /* 2077176 */   // Label 27554: @2077176
     /* 2077176 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2077267), // Rule ID 16086 //
     /* 2077181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077227 */     // MIs[0] round
     /* 2077227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077230 */     // MIs[0] policy
     /* 2077230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077266 */     // GIR_Coverage, 16086,
     /* 2077266 */     GIR_EraseRootFromParent_Done,
     /* 2077267 */   // Label 27555: @2077267
     /* 2077267 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2077358), // Rule ID 16087 //
     /* 2077272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077318 */     // MIs[0] round
     /* 2077318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077321 */     // MIs[0] policy
     /* 2077321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077357 */     // GIR_Coverage, 16087,
     /* 2077357 */     GIR_EraseRootFromParent_Done,
     /* 2077358 */   // Label 27556: @2077358
     /* 2077358 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2077449), // Rule ID 16090 //
     /* 2077363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077409 */     // MIs[0] round
     /* 2077409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077412 */     // MIs[0] policy
     /* 2077412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077448 */     // GIR_Coverage, 16090,
     /* 2077448 */     GIR_EraseRootFromParent_Done,
     /* 2077449 */   // Label 27557: @2077449
     /* 2077449 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2077540), // Rule ID 16091 //
     /* 2077454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077500 */     // MIs[0] round
     /* 2077500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077503 */     // MIs[0] policy
     /* 2077503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077539 */     // GIR_Coverage, 16091,
     /* 2077539 */     GIR_EraseRootFromParent_Done,
     /* 2077540 */   // Label 27558: @2077540
     /* 2077540 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2077631), // Rule ID 16094 //
     /* 2077545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077591 */     // MIs[0] round
     /* 2077591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077594 */     // MIs[0] policy
     /* 2077594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077630 */     // GIR_Coverage, 16094,
     /* 2077630 */     GIR_EraseRootFromParent_Done,
     /* 2077631 */   // Label 27559: @2077631
     /* 2077631 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2077722), // Rule ID 16095 //
     /* 2077636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077682 */     // MIs[0] round
     /* 2077682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077685 */     // MIs[0] policy
     /* 2077685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077695 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077721 */     // GIR_Coverage, 16095,
     /* 2077721 */     GIR_EraseRootFromParent_Done,
     /* 2077722 */   // Label 27560: @2077722
     /* 2077722 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2077813), // Rule ID 16098 //
     /* 2077727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077773 */     // MIs[0] round
     /* 2077773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077776 */     // MIs[0] policy
     /* 2077776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077812 */     // GIR_Coverage, 16098,
     /* 2077812 */     GIR_EraseRootFromParent_Done,
     /* 2077813 */   // Label 27561: @2077813
     /* 2077813 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2077904), // Rule ID 16099 //
     /* 2077818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077864 */     // MIs[0] round
     /* 2077864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077867 */     // MIs[0] policy
     /* 2077867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077903 */     // GIR_Coverage, 16099,
     /* 2077903 */     GIR_EraseRootFromParent_Done,
     /* 2077904 */   // Label 27562: @2077904
     /* 2077904 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2077995), // Rule ID 16102 //
     /* 2077909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077955 */     // MIs[0] round
     /* 2077955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077958 */     // MIs[0] policy
     /* 2077958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077994 */     // GIR_Coverage, 16102,
     /* 2077994 */     GIR_EraseRootFromParent_Done,
     /* 2077995 */   // Label 27563: @2077995
     /* 2077995 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2078086), // Rule ID 16103 //
     /* 2078000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078046 */     // MIs[0] round
     /* 2078046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078049 */     // MIs[0] policy
     /* 2078049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078085 */     // GIR_Coverage, 16103,
     /* 2078085 */     GIR_EraseRootFromParent_Done,
     /* 2078086 */   // Label 27564: @2078086
     /* 2078086 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2078177), // Rule ID 16106 //
     /* 2078091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078137 */     // MIs[0] round
     /* 2078137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078140 */     // MIs[0] policy
     /* 2078140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078176 */     // GIR_Coverage, 16106,
     /* 2078176 */     GIR_EraseRootFromParent_Done,
     /* 2078177 */   // Label 27565: @2078177
     /* 2078177 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2078268), // Rule ID 16107 //
     /* 2078182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078228 */     // MIs[0] round
     /* 2078228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078231 */     // MIs[0] policy
     /* 2078231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078267 */     // GIR_Coverage, 16107,
     /* 2078267 */     GIR_EraseRootFromParent_Done,
     /* 2078268 */   // Label 27566: @2078268
     /* 2078268 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2078359), // Rule ID 16110 //
     /* 2078273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078319 */     // MIs[0] round
     /* 2078319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078322 */     // MIs[0] policy
     /* 2078322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078358 */     // GIR_Coverage, 16110,
     /* 2078358 */     GIR_EraseRootFromParent_Done,
     /* 2078359 */   // Label 27567: @2078359
     /* 2078359 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2078450), // Rule ID 16111 //
     /* 2078364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078410 */     // MIs[0] round
     /* 2078410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078413 */     // MIs[0] policy
     /* 2078413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078449 */     // GIR_Coverage, 16111,
     /* 2078449 */     GIR_EraseRootFromParent_Done,
     /* 2078450 */   // Label 27568: @2078450
     /* 2078450 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2078541), // Rule ID 16114 //
     /* 2078455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078501 */     // MIs[0] round
     /* 2078501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078504 */     // MIs[0] policy
     /* 2078504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078540 */     // GIR_Coverage, 16114,
     /* 2078540 */     GIR_EraseRootFromParent_Done,
     /* 2078541 */   // Label 27569: @2078541
     /* 2078541 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2078632), // Rule ID 16115 //
     /* 2078546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078592 */     // MIs[0] round
     /* 2078592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078595 */     // MIs[0] policy
     /* 2078595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078631 */     // GIR_Coverage, 16115,
     /* 2078631 */     GIR_EraseRootFromParent_Done,
     /* 2078632 */   // Label 27570: @2078632
     /* 2078632 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2078723), // Rule ID 16118 //
     /* 2078637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078683 */     // MIs[0] round
     /* 2078683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078686 */     // MIs[0] policy
     /* 2078686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078722 */     // GIR_Coverage, 16118,
     /* 2078722 */     GIR_EraseRootFromParent_Done,
     /* 2078723 */   // Label 27571: @2078723
     /* 2078723 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2078814), // Rule ID 16119 //
     /* 2078728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078774 */     // MIs[0] round
     /* 2078774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078777 */     // MIs[0] policy
     /* 2078777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078813 */     // GIR_Coverage, 16119,
     /* 2078813 */     GIR_EraseRootFromParent_Done,
     /* 2078814 */   // Label 27572: @2078814
     /* 2078814 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2078905), // Rule ID 16122 //
     /* 2078819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078865 */     // MIs[0] round
     /* 2078865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078868 */     // MIs[0] policy
     /* 2078868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078904 */     // GIR_Coverage, 16122,
     /* 2078904 */     GIR_EraseRootFromParent_Done,
     /* 2078905 */   // Label 27573: @2078905
     /* 2078905 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2078996), // Rule ID 16123 //
     /* 2078910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078956 */     // MIs[0] round
     /* 2078956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078959 */     // MIs[0] policy
     /* 2078959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078995 */     // GIR_Coverage, 16123,
     /* 2078995 */     GIR_EraseRootFromParent_Done,
     /* 2078996 */   // Label 27574: @2078996
     /* 2078996 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2079087), // Rule ID 16126 //
     /* 2079001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079047 */     // MIs[0] round
     /* 2079047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079050 */     // MIs[0] policy
     /* 2079050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2079063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079086 */     // GIR_Coverage, 16126,
     /* 2079086 */     GIR_EraseRootFromParent_Done,
     /* 2079087 */   // Label 27575: @2079087
     /* 2079087 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2079178), // Rule ID 16127 //
     /* 2079092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079138 */     // MIs[0] round
     /* 2079138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079141 */     // MIs[0] policy
     /* 2079141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2079154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079177 */     // GIR_Coverage, 16127,
     /* 2079177 */     GIR_EraseRootFromParent_Done,
     /* 2079178 */   // Label 27576: @2079178
     /* 2079178 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2079269), // Rule ID 16130 //
     /* 2079183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079229 */     // MIs[0] round
     /* 2079229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079232 */     // MIs[0] policy
     /* 2079232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2079245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079268 */     // GIR_Coverage, 16130,
     /* 2079268 */     GIR_EraseRootFromParent_Done,
     /* 2079269 */   // Label 27577: @2079269
     /* 2079269 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2079360), // Rule ID 16131 //
     /* 2079274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079320 */     // MIs[0] round
     /* 2079320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079323 */     // MIs[0] policy
     /* 2079323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2079336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079359 */     // GIR_Coverage, 16131,
     /* 2079359 */     GIR_EraseRootFromParent_Done,
     /* 2079360 */   // Label 27578: @2079360
     /* 2079360 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2079454), // Rule ID 16222 //
     /* 2079365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079411 */     // MIs[0] round
     /* 2079411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079414 */     // MIs[0] policy
     /* 2079414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079453 */     // GIR_Coverage, 16222,
     /* 2079453 */     GIR_EraseRootFromParent_Done,
     /* 2079454 */   // Label 27579: @2079454
     /* 2079454 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2079548), // Rule ID 16223 //
     /* 2079459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079505 */     // MIs[0] round
     /* 2079505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079508 */     // MIs[0] policy
     /* 2079508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079518 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079547 */     // GIR_Coverage, 16223,
     /* 2079547 */     GIR_EraseRootFromParent_Done,
     /* 2079548 */   // Label 27580: @2079548
     /* 2079548 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2079642), // Rule ID 16226 //
     /* 2079553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079599 */     // MIs[0] round
     /* 2079599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079602 */     // MIs[0] policy
     /* 2079602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079612 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079641 */     // GIR_Coverage, 16226,
     /* 2079641 */     GIR_EraseRootFromParent_Done,
     /* 2079642 */   // Label 27581: @2079642
     /* 2079642 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2079736), // Rule ID 16227 //
     /* 2079647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079693 */     // MIs[0] round
     /* 2079693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079696 */     // MIs[0] policy
     /* 2079696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079706 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079735 */     // GIR_Coverage, 16227,
     /* 2079735 */     GIR_EraseRootFromParent_Done,
     /* 2079736 */   // Label 27582: @2079736
     /* 2079736 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2079830), // Rule ID 16230 //
     /* 2079741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079787 */     // MIs[0] round
     /* 2079787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079790 */     // MIs[0] policy
     /* 2079790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079829 */     // GIR_Coverage, 16230,
     /* 2079829 */     GIR_EraseRootFromParent_Done,
     /* 2079830 */   // Label 27583: @2079830
     /* 2079830 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2079924), // Rule ID 16231 //
     /* 2079835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079881 */     // MIs[0] round
     /* 2079881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079884 */     // MIs[0] policy
     /* 2079884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079923 */     // GIR_Coverage, 16231,
     /* 2079923 */     GIR_EraseRootFromParent_Done,
     /* 2079924 */   // Label 27584: @2079924
     /* 2079924 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2080018), // Rule ID 16234 //
     /* 2079929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079975 */     // MIs[0] round
     /* 2079975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079978 */     // MIs[0] policy
     /* 2079978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080017 */     // GIR_Coverage, 16234,
     /* 2080017 */     GIR_EraseRootFromParent_Done,
     /* 2080018 */   // Label 27585: @2080018
     /* 2080018 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2080112), // Rule ID 16235 //
     /* 2080023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2080043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080069 */     // MIs[0] round
     /* 2080069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080072 */     // MIs[0] policy
     /* 2080072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080111 */     // GIR_Coverage, 16235,
     /* 2080111 */     GIR_EraseRootFromParent_Done,
     /* 2080112 */   // Label 27586: @2080112
     /* 2080112 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2080206), // Rule ID 16238 //
     /* 2080117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080163 */     // MIs[0] round
     /* 2080163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080166 */     // MIs[0] policy
     /* 2080166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080205 */     // GIR_Coverage, 16238,
     /* 2080205 */     GIR_EraseRootFromParent_Done,
     /* 2080206 */   // Label 27587: @2080206
     /* 2080206 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2080300), // Rule ID 16239 //
     /* 2080211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080257 */     // MIs[0] round
     /* 2080257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080260 */     // MIs[0] policy
     /* 2080260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080299 */     // GIR_Coverage, 16239,
     /* 2080299 */     GIR_EraseRootFromParent_Done,
     /* 2080300 */   // Label 27588: @2080300
     /* 2080300 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2080394), // Rule ID 16242 //
     /* 2080305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080351 */     // MIs[0] round
     /* 2080351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080354 */     // MIs[0] policy
     /* 2080354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080393 */     // GIR_Coverage, 16242,
     /* 2080393 */     GIR_EraseRootFromParent_Done,
     /* 2080394 */   // Label 27589: @2080394
     /* 2080394 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2080488), // Rule ID 16243 //
     /* 2080399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080445 */     // MIs[0] round
     /* 2080445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080448 */     // MIs[0] policy
     /* 2080448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080487 */     // GIR_Coverage, 16243,
     /* 2080487 */     GIR_EraseRootFromParent_Done,
     /* 2080488 */   // Label 27590: @2080488
     /* 2080488 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2080582), // Rule ID 16246 //
     /* 2080493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080539 */     // MIs[0] round
     /* 2080539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080542 */     // MIs[0] policy
     /* 2080542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080581 */     // GIR_Coverage, 16246,
     /* 2080581 */     GIR_EraseRootFromParent_Done,
     /* 2080582 */   // Label 27591: @2080582
     /* 2080582 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2080676), // Rule ID 16247 //
     /* 2080587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080633 */     // MIs[0] round
     /* 2080633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080636 */     // MIs[0] policy
     /* 2080636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080675 */     // GIR_Coverage, 16247,
     /* 2080675 */     GIR_EraseRootFromParent_Done,
     /* 2080676 */   // Label 27592: @2080676
     /* 2080676 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2080770), // Rule ID 16250 //
     /* 2080681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080727 */     // MIs[0] round
     /* 2080727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080730 */     // MIs[0] policy
     /* 2080730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080740 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080769 */     // GIR_Coverage, 16250,
     /* 2080769 */     GIR_EraseRootFromParent_Done,
     /* 2080770 */   // Label 27593: @2080770
     /* 2080770 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2080864), // Rule ID 16251 //
     /* 2080775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080821 */     // MIs[0] round
     /* 2080821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080824 */     // MIs[0] policy
     /* 2080824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080863 */     // GIR_Coverage, 16251,
     /* 2080863 */     GIR_EraseRootFromParent_Done,
     /* 2080864 */   // Label 27594: @2080864
     /* 2080864 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2080958), // Rule ID 16254 //
     /* 2080869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080915 */     // MIs[0] round
     /* 2080915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080918 */     // MIs[0] policy
     /* 2080918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080957 */     // GIR_Coverage, 16254,
     /* 2080957 */     GIR_EraseRootFromParent_Done,
     /* 2080958 */   // Label 27595: @2080958
     /* 2080958 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2081052), // Rule ID 16255 //
     /* 2080963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081009 */     // MIs[0] round
     /* 2081009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081012 */     // MIs[0] policy
     /* 2081012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081051 */     // GIR_Coverage, 16255,
     /* 2081051 */     GIR_EraseRootFromParent_Done,
     /* 2081052 */   // Label 27596: @2081052
     /* 2081052 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2081146), // Rule ID 16258 //
     /* 2081057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081103 */     // MIs[0] round
     /* 2081103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081106 */     // MIs[0] policy
     /* 2081106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081145 */     // GIR_Coverage, 16258,
     /* 2081145 */     GIR_EraseRootFromParent_Done,
     /* 2081146 */   // Label 27597: @2081146
     /* 2081146 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2081240), // Rule ID 16259 //
     /* 2081151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081197 */     // MIs[0] round
     /* 2081197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081200 */     // MIs[0] policy
     /* 2081200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081239 */     // GIR_Coverage, 16259,
     /* 2081239 */     GIR_EraseRootFromParent_Done,
     /* 2081240 */   // Label 27598: @2081240
     /* 2081240 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2081334), // Rule ID 16262 //
     /* 2081245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081291 */     // MIs[0] round
     /* 2081291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081294 */     // MIs[0] policy
     /* 2081294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081333 */     // GIR_Coverage, 16262,
     /* 2081333 */     GIR_EraseRootFromParent_Done,
     /* 2081334 */   // Label 27599: @2081334
     /* 2081334 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2081428), // Rule ID 16263 //
     /* 2081339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081385 */     // MIs[0] round
     /* 2081385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081388 */     // MIs[0] policy
     /* 2081388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081427 */     // GIR_Coverage, 16263,
     /* 2081427 */     GIR_EraseRootFromParent_Done,
     /* 2081428 */   // Label 27600: @2081428
     /* 2081428 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2081522), // Rule ID 16266 //
     /* 2081433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081479 */     // MIs[0] round
     /* 2081479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081482 */     // MIs[0] policy
     /* 2081482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081521 */     // GIR_Coverage, 16266,
     /* 2081521 */     GIR_EraseRootFromParent_Done,
     /* 2081522 */   // Label 27601: @2081522
     /* 2081522 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2081616), // Rule ID 16267 //
     /* 2081527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081573 */     // MIs[0] round
     /* 2081573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081576 */     // MIs[0] policy
     /* 2081576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081615 */     // GIR_Coverage, 16267,
     /* 2081615 */     GIR_EraseRootFromParent_Done,
     /* 2081616 */   // Label 27602: @2081616
     /* 2081616 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2081710), // Rule ID 16270 //
     /* 2081621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081667 */     // MIs[0] round
     /* 2081667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081670 */     // MIs[0] policy
     /* 2081670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081709 */     // GIR_Coverage, 16270,
     /* 2081709 */     GIR_EraseRootFromParent_Done,
     /* 2081710 */   // Label 27603: @2081710
     /* 2081710 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2081804), // Rule ID 16271 //
     /* 2081715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081761 */     // MIs[0] round
     /* 2081761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081764 */     // MIs[0] policy
     /* 2081764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081803 */     // GIR_Coverage, 16271,
     /* 2081803 */     GIR_EraseRootFromParent_Done,
     /* 2081804 */   // Label 27604: @2081804
     /* 2081804 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2081898), // Rule ID 16274 //
     /* 2081809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081855 */     // MIs[0] round
     /* 2081855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081858 */     // MIs[0] policy
     /* 2081858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081897 */     // GIR_Coverage, 16274,
     /* 2081897 */     GIR_EraseRootFromParent_Done,
     /* 2081898 */   // Label 27605: @2081898
     /* 2081898 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2081992), // Rule ID 16275 //
     /* 2081903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081949 */     // MIs[0] round
     /* 2081949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081952 */     // MIs[0] policy
     /* 2081952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081991 */     // GIR_Coverage, 16275,
     /* 2081991 */     GIR_EraseRootFromParent_Done,
     /* 2081992 */   // Label 27606: @2081992
     /* 2081992 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2082086), // Rule ID 16278 //
     /* 2081997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2082000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082043 */     // MIs[0] round
     /* 2082043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082046 */     // MIs[0] policy
     /* 2082046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2082059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082085 */     // GIR_Coverage, 16278,
     /* 2082085 */     GIR_EraseRootFromParent_Done,
     /* 2082086 */   // Label 27607: @2082086
     /* 2082086 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2082180), // Rule ID 16279 //
     /* 2082091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2082094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082137 */     // MIs[0] round
     /* 2082137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082140 */     // MIs[0] policy
     /* 2082140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2082153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082179 */     // GIR_Coverage, 16279,
     /* 2082179 */     GIR_EraseRootFromParent_Done,
     /* 2082180 */   // Label 27608: @2082180
     /* 2082180 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2082274), // Rule ID 16282 //
     /* 2082185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082231 */     // MIs[0] round
     /* 2082231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082234 */     // MIs[0] policy
     /* 2082234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082244 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2082247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082273 */     // GIR_Coverage, 16282,
     /* 2082273 */     GIR_EraseRootFromParent_Done,
     /* 2082274 */   // Label 27609: @2082274
     /* 2082274 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2082368), // Rule ID 16283 //
     /* 2082279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082325 */     // MIs[0] round
     /* 2082325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082328 */     // MIs[0] policy
     /* 2082328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2082341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082367 */     // GIR_Coverage, 16283,
     /* 2082367 */     GIR_EraseRootFromParent_Done,
     /* 2082368 */   // Label 27610: @2082368
     /* 2082368 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2082462), // Rule ID 16286 //
     /* 2082373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082419 */     // MIs[0] round
     /* 2082419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082422 */     // MIs[0] policy
     /* 2082422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082461 */     // GIR_Coverage, 16286,
     /* 2082461 */     GIR_EraseRootFromParent_Done,
     /* 2082462 */   // Label 27611: @2082462
     /* 2082462 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2082556), // Rule ID 16287 //
     /* 2082467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082513 */     // MIs[0] round
     /* 2082513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082516 */     // MIs[0] policy
     /* 2082516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082555 */     // GIR_Coverage, 16287,
     /* 2082555 */     GIR_EraseRootFromParent_Done,
     /* 2082556 */   // Label 27612: @2082556
     /* 2082556 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2082650), // Rule ID 16290 //
     /* 2082561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082607 */     // MIs[0] round
     /* 2082607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082610 */     // MIs[0] policy
     /* 2082610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082649 */     // GIR_Coverage, 16290,
     /* 2082649 */     GIR_EraseRootFromParent_Done,
     /* 2082650 */   // Label 27613: @2082650
     /* 2082650 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2082744), // Rule ID 16291 //
     /* 2082655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082701 */     // MIs[0] round
     /* 2082701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082704 */     // MIs[0] policy
     /* 2082704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082743 */     // GIR_Coverage, 16291,
     /* 2082743 */     GIR_EraseRootFromParent_Done,
     /* 2082744 */   // Label 27614: @2082744
     /* 2082744 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2082838), // Rule ID 16294 //
     /* 2082749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082795 */     // MIs[0] round
     /* 2082795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082798 */     // MIs[0] policy
     /* 2082798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082837 */     // GIR_Coverage, 16294,
     /* 2082837 */     GIR_EraseRootFromParent_Done,
     /* 2082838 */   // Label 27615: @2082838
     /* 2082838 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2082932), // Rule ID 16295 //
     /* 2082843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082889 */     // MIs[0] round
     /* 2082889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082892 */     // MIs[0] policy
     /* 2082892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082931 */     // GIR_Coverage, 16295,
     /* 2082931 */     GIR_EraseRootFromParent_Done,
     /* 2082932 */   // Label 27616: @2082932
     /* 2082932 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2083026), // Rule ID 16298 //
     /* 2082937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082983 */     // MIs[0] round
     /* 2082983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082986 */     // MIs[0] policy
     /* 2082986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083025 */     // GIR_Coverage, 16298,
     /* 2083025 */     GIR_EraseRootFromParent_Done,
     /* 2083026 */   // Label 27617: @2083026
     /* 2083026 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2083120), // Rule ID 16299 //
     /* 2083031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2083042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2083045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2083048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083077 */     // MIs[0] round
     /* 2083077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083080 */     // MIs[0] policy
     /* 2083080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083119 */     // GIR_Coverage, 16299,
     /* 2083119 */     GIR_EraseRootFromParent_Done,
     /* 2083120 */   // Label 27618: @2083120
     /* 2083120 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2083214), // Rule ID 16302 //
     /* 2083125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2083142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083171 */     // MIs[0] round
     /* 2083171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083174 */     // MIs[0] policy
     /* 2083174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083213 */     // GIR_Coverage, 16302,
     /* 2083213 */     GIR_EraseRootFromParent_Done,
     /* 2083214 */   // Label 27619: @2083214
     /* 2083214 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2083308), // Rule ID 16303 //
     /* 2083219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2083230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2083233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2083236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2083242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083265 */     // MIs[0] round
     /* 2083265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083268 */     // MIs[0] policy
     /* 2083268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083307 */     // GIR_Coverage, 16303,
     /* 2083307 */     GIR_EraseRootFromParent_Done,
     /* 2083308 */   // Label 27620: @2083308
     /* 2083308 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2083402), // Rule ID 16306 //
     /* 2083313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083359 */     // MIs[0] round
     /* 2083359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083362 */     // MIs[0] policy
     /* 2083362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083401 */     // GIR_Coverage, 16306,
     /* 2083401 */     GIR_EraseRootFromParent_Done,
     /* 2083402 */   // Label 27621: @2083402
     /* 2083402 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2083496), // Rule ID 16307 //
     /* 2083407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083453 */     // MIs[0] round
     /* 2083453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083456 */     // MIs[0] policy
     /* 2083456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083495 */     // GIR_Coverage, 16307,
     /* 2083495 */     GIR_EraseRootFromParent_Done,
     /* 2083496 */   // Label 27622: @2083496
     /* 2083496 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2083590), // Rule ID 16310 //
     /* 2083501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083547 */     // MIs[0] round
     /* 2083547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083550 */     // MIs[0] policy
     /* 2083550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083589 */     // GIR_Coverage, 16310,
     /* 2083589 */     GIR_EraseRootFromParent_Done,
     /* 2083590 */   // Label 27623: @2083590
     /* 2083590 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2083684), // Rule ID 16311 //
     /* 2083595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083641 */     // MIs[0] round
     /* 2083641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083644 */     // MIs[0] policy
     /* 2083644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083683 */     // GIR_Coverage, 16311,
     /* 2083683 */     GIR_EraseRootFromParent_Done,
     /* 2083684 */   // Label 27624: @2083684
     /* 2083684 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2083778), // Rule ID 16314 //
     /* 2083689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083735 */     // MIs[0] round
     /* 2083735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083738 */     // MIs[0] policy
     /* 2083738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083777 */     // GIR_Coverage, 16314,
     /* 2083777 */     GIR_EraseRootFromParent_Done,
     /* 2083778 */   // Label 27625: @2083778
     /* 2083778 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2083872), // Rule ID 16315 //
     /* 2083783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083829 */     // MIs[0] round
     /* 2083829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083832 */     // MIs[0] policy
     /* 2083832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083871 */     // GIR_Coverage, 16315,
     /* 2083871 */     GIR_EraseRootFromParent_Done,
     /* 2083872 */   // Label 27626: @2083872
     /* 2083872 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2083966), // Rule ID 16318 //
     /* 2083877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083923 */     // MIs[0] round
     /* 2083923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083926 */     // MIs[0] policy
     /* 2083926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083965 */     // GIR_Coverage, 16318,
     /* 2083965 */     GIR_EraseRootFromParent_Done,
     /* 2083966 */   // Label 27627: @2083966
     /* 2083966 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2084060), // Rule ID 16319 //
     /* 2083971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084017 */     // MIs[0] round
     /* 2084017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084020 */     // MIs[0] policy
     /* 2084020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084059 */     // GIR_Coverage, 16319,
     /* 2084059 */     GIR_EraseRootFromParent_Done,
     /* 2084060 */   // Label 27628: @2084060
     /* 2084060 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2084154), // Rule ID 16322 //
     /* 2084065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2084082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084111 */     // MIs[0] round
     /* 2084111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084114 */     // MIs[0] policy
     /* 2084114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084153 */     // GIR_Coverage, 16322,
     /* 2084153 */     GIR_EraseRootFromParent_Done,
     /* 2084154 */   // Label 27629: @2084154
     /* 2084154 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2084248), // Rule ID 16323 //
     /* 2084159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2084170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2084173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2084176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084205 */     // MIs[0] round
     /* 2084205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084208 */     // MIs[0] policy
     /* 2084208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084247 */     // GIR_Coverage, 16323,
     /* 2084247 */     GIR_EraseRootFromParent_Done,
     /* 2084248 */   // Label 27630: @2084248
     /* 2084248 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2084342), // Rule ID 16326 //
     /* 2084253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084299 */     // MIs[0] round
     /* 2084299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084302 */     // MIs[0] policy
     /* 2084302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2084315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084341 */     // GIR_Coverage, 16326,
     /* 2084341 */     GIR_EraseRootFromParent_Done,
     /* 2084342 */   // Label 27631: @2084342
     /* 2084342 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2084436), // Rule ID 16327 //
     /* 2084347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084393 */     // MIs[0] round
     /* 2084393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084396 */     // MIs[0] policy
     /* 2084396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2084409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084435 */     // GIR_Coverage, 16327,
     /* 2084435 */     GIR_EraseRootFromParent_Done,
     /* 2084436 */   // Label 27632: @2084436
     /* 2084436 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2084530), // Rule ID 16330 //
     /* 2084441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084487 */     // MIs[0] round
     /* 2084487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084490 */     // MIs[0] policy
     /* 2084490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084529 */     // GIR_Coverage, 16330,
     /* 2084529 */     GIR_EraseRootFromParent_Done,
     /* 2084530 */   // Label 27633: @2084530
     /* 2084530 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2084624), // Rule ID 16331 //
     /* 2084535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084581 */     // MIs[0] round
     /* 2084581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084584 */     // MIs[0] policy
     /* 2084584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084623 */     // GIR_Coverage, 16331,
     /* 2084623 */     GIR_EraseRootFromParent_Done,
     /* 2084624 */   // Label 27634: @2084624
     /* 2084624 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2084718), // Rule ID 16334 //
     /* 2084629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084675 */     // MIs[0] round
     /* 2084675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084678 */     // MIs[0] policy
     /* 2084678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084717 */     // GIR_Coverage, 16334,
     /* 2084717 */     GIR_EraseRootFromParent_Done,
     /* 2084718 */   // Label 27635: @2084718
     /* 2084718 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2084812), // Rule ID 16335 //
     /* 2084723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084769 */     // MIs[0] round
     /* 2084769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084772 */     // MIs[0] policy
     /* 2084772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084811 */     // GIR_Coverage, 16335,
     /* 2084811 */     GIR_EraseRootFromParent_Done,
     /* 2084812 */   // Label 27636: @2084812
     /* 2084812 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2084906), // Rule ID 16338 //
     /* 2084817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084863 */     // MIs[0] round
     /* 2084863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084866 */     // MIs[0] policy
     /* 2084866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084905 */     // GIR_Coverage, 16338,
     /* 2084905 */     GIR_EraseRootFromParent_Done,
     /* 2084906 */   // Label 27637: @2084906
     /* 2084906 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2085000), // Rule ID 16339 //
     /* 2084911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084957 */     // MIs[0] round
     /* 2084957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084960 */     // MIs[0] policy
     /* 2084960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084999 */     // GIR_Coverage, 16339,
     /* 2084999 */     GIR_EraseRootFromParent_Done,
     /* 2085000 */   // Label 27638: @2085000
     /* 2085000 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2085094), // Rule ID 16402 //
     /* 2085005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085051 */     // MIs[0] round
     /* 2085051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085054 */     // MIs[0] policy
     /* 2085054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2085067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085093 */     // GIR_Coverage, 16402,
     /* 2085093 */     GIR_EraseRootFromParent_Done,
     /* 2085094 */   // Label 27639: @2085094
     /* 2085094 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2085188), // Rule ID 16403 //
     /* 2085099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2085110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2085113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2085116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2085119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085145 */     // MIs[0] round
     /* 2085145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085148 */     // MIs[0] policy
     /* 2085148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2085161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085187 */     // GIR_Coverage, 16403,
     /* 2085187 */     GIR_EraseRootFromParent_Done,
     /* 2085188 */   // Label 27640: @2085188
     /* 2085188 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2085282), // Rule ID 16406 //
     /* 2085193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085239 */     // MIs[0] round
     /* 2085239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085242 */     // MIs[0] policy
     /* 2085242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085281 */     // GIR_Coverage, 16406,
     /* 2085281 */     GIR_EraseRootFromParent_Done,
     /* 2085282 */   // Label 27641: @2085282
     /* 2085282 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2085376), // Rule ID 16407 //
     /* 2085287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2085298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2085301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2085304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2085307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085333 */     // MIs[0] round
     /* 2085333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085336 */     // MIs[0] policy
     /* 2085336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085375 */     // GIR_Coverage, 16407,
     /* 2085375 */     GIR_EraseRootFromParent_Done,
     /* 2085376 */   // Label 27642: @2085376
     /* 2085376 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2085470), // Rule ID 16410 //
     /* 2085381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085427 */     // MIs[0] round
     /* 2085427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085430 */     // MIs[0] policy
     /* 2085430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085469 */     // GIR_Coverage, 16410,
     /* 2085469 */     GIR_EraseRootFromParent_Done,
     /* 2085470 */   // Label 27643: @2085470
     /* 2085470 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2085564), // Rule ID 16411 //
     /* 2085475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085521 */     // MIs[0] round
     /* 2085521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085524 */     // MIs[0] policy
     /* 2085524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085563 */     // GIR_Coverage, 16411,
     /* 2085563 */     GIR_EraseRootFromParent_Done,
     /* 2085564 */   // Label 27644: @2085564
     /* 2085564 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2085658), // Rule ID 16414 //
     /* 2085569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085615 */     // MIs[0] round
     /* 2085615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085618 */     // MIs[0] policy
     /* 2085618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085657 */     // GIR_Coverage, 16414,
     /* 2085657 */     GIR_EraseRootFromParent_Done,
     /* 2085658 */   // Label 27645: @2085658
     /* 2085658 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2085752), // Rule ID 16415 //
     /* 2085663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085709 */     // MIs[0] round
     /* 2085709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085712 */     // MIs[0] policy
     /* 2085712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085751 */     // GIR_Coverage, 16415,
     /* 2085751 */     GIR_EraseRootFromParent_Done,
     /* 2085752 */   // Label 27646: @2085752
     /* 2085752 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2085846), // Rule ID 16418 //
     /* 2085757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085803 */     // MIs[0] round
     /* 2085803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085806 */     // MIs[0] policy
     /* 2085806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085816 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085845 */     // GIR_Coverage, 16418,
     /* 2085845 */     GIR_EraseRootFromParent_Done,
     /* 2085846 */   // Label 27647: @2085846
     /* 2085846 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2085940), // Rule ID 16419 //
     /* 2085851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085897 */     // MIs[0] round
     /* 2085897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085900 */     // MIs[0] policy
     /* 2085900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085910 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085939 */     // GIR_Coverage, 16419,
     /* 2085939 */     GIR_EraseRootFromParent_Done,
     /* 2085940 */   // Label 27648: @2085940
     /* 2085940 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2086034), // Rule ID 16422 //
     /* 2085945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085991 */     // MIs[0] round
     /* 2085991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085994 */     // MIs[0] policy
     /* 2085994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086004 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086033 */     // GIR_Coverage, 16422,
     /* 2086033 */     GIR_EraseRootFromParent_Done,
     /* 2086034 */   // Label 27649: @2086034
     /* 2086034 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2086128), // Rule ID 16423 //
     /* 2086039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2086050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2086053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2086056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2086059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2086062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086085 */     // MIs[0] round
     /* 2086085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086088 */     // MIs[0] policy
     /* 2086088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086127 */     // GIR_Coverage, 16423,
     /* 2086127 */     GIR_EraseRootFromParent_Done,
     /* 2086128 */   // Label 27650: @2086128
     /* 2086128 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2086222), // Rule ID 16426 //
     /* 2086133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086179 */     // MIs[0] round
     /* 2086179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086182 */     // MIs[0] policy
     /* 2086182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2086195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086221 */     // GIR_Coverage, 16426,
     /* 2086221 */     GIR_EraseRootFromParent_Done,
     /* 2086222 */   // Label 27651: @2086222
     /* 2086222 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2086316), // Rule ID 16427 //
     /* 2086227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2086238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2086241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2086244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086273 */     // MIs[0] round
     /* 2086273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086276 */     // MIs[0] policy
     /* 2086276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2086289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086315 */     // GIR_Coverage, 16427,
     /* 2086315 */     GIR_EraseRootFromParent_Done,
     /* 2086316 */   // Label 27652: @2086316
     /* 2086316 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2086410), // Rule ID 16430 //
     /* 2086321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086367 */     // MIs[0] round
     /* 2086367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086370 */     // MIs[0] policy
     /* 2086370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086409 */     // GIR_Coverage, 16430,
     /* 2086409 */     GIR_EraseRootFromParent_Done,
     /* 2086410 */   // Label 27653: @2086410
     /* 2086410 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2086504), // Rule ID 16431 //
     /* 2086415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2086426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2086429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086461 */     // MIs[0] round
     /* 2086461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086464 */     // MIs[0] policy
     /* 2086464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086503 */     // GIR_Coverage, 16431,
     /* 2086503 */     GIR_EraseRootFromParent_Done,
     /* 2086504 */   // Label 27654: @2086504
     /* 2086504 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2086598), // Rule ID 16434 //
     /* 2086509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086555 */     // MIs[0] round
     /* 2086555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086558 */     // MIs[0] policy
     /* 2086558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086597 */     // GIR_Coverage, 16434,
     /* 2086597 */     GIR_EraseRootFromParent_Done,
     /* 2086598 */   // Label 27655: @2086598
     /* 2086598 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2086692), // Rule ID 16435 //
     /* 2086603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086649 */     // MIs[0] round
     /* 2086649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086652 */     // MIs[0] policy
     /* 2086652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086691 */     // GIR_Coverage, 16435,
     /* 2086691 */     GIR_EraseRootFromParent_Done,
     /* 2086692 */   // Label 27656: @2086692
     /* 2086692 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2086786), // Rule ID 16438 //
     /* 2086697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086743 */     // MIs[0] round
     /* 2086743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086746 */     // MIs[0] policy
     /* 2086746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086785 */     // GIR_Coverage, 16438,
     /* 2086785 */     GIR_EraseRootFromParent_Done,
     /* 2086786 */   // Label 27657: @2086786
     /* 2086786 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2086880), // Rule ID 16439 //
     /* 2086791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086837 */     // MIs[0] round
     /* 2086837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086840 */     // MIs[0] policy
     /* 2086840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086879 */     // GIR_Coverage, 16439,
     /* 2086879 */     GIR_EraseRootFromParent_Done,
     /* 2086880 */   // Label 27658: @2086880
     /* 2086880 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2086974), // Rule ID 16442 //
     /* 2086885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086931 */     // MIs[0] round
     /* 2086931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086934 */     // MIs[0] policy
     /* 2086934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086973 */     // GIR_Coverage, 16442,
     /* 2086973 */     GIR_EraseRootFromParent_Done,
     /* 2086974 */   // Label 27659: @2086974
     /* 2086974 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2087068), // Rule ID 16443 //
     /* 2086979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087025 */     // MIs[0] round
     /* 2087025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087028 */     // MIs[0] policy
     /* 2087028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087067 */     // GIR_Coverage, 16443,
     /* 2087067 */     GIR_EraseRootFromParent_Done,
     /* 2087068 */   // Label 27660: @2087068
     /* 2087068 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2087162), // Rule ID 16446 //
     /* 2087073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087119 */     // MIs[0] round
     /* 2087119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087122 */     // MIs[0] policy
     /* 2087122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2087135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087161 */     // GIR_Coverage, 16446,
     /* 2087161 */     GIR_EraseRootFromParent_Done,
     /* 2087162 */   // Label 27661: @2087162
     /* 2087162 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2087256), // Rule ID 16447 //
     /* 2087167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087213 */     // MIs[0] round
     /* 2087213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087216 */     // MIs[0] policy
     /* 2087216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2087229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087255 */     // GIR_Coverage, 16447,
     /* 2087255 */     GIR_EraseRootFromParent_Done,
     /* 2087256 */   // Label 27662: @2087256
     /* 2087256 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2087350), // Rule ID 16450 //
     /* 2087261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2087278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087307 */     // MIs[0] round
     /* 2087307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087310 */     // MIs[0] policy
     /* 2087310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2087323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087349 */     // GIR_Coverage, 16450,
     /* 2087349 */     GIR_EraseRootFromParent_Done,
     /* 2087350 */   // Label 27663: @2087350
     /* 2087350 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2087444), // Rule ID 16451 //
     /* 2087355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2087372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087401 */     // MIs[0] round
     /* 2087401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087404 */     // MIs[0] policy
     /* 2087404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2087417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087443 */     // GIR_Coverage, 16451,
     /* 2087443 */     GIR_EraseRootFromParent_Done,
     /* 2087444 */   // Label 27664: @2087444
     /* 2087444 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2087538), // Rule ID 16454 //
     /* 2087449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087495 */     // MIs[0] round
     /* 2087495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087498 */     // MIs[0] policy
     /* 2087498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087537 */     // GIR_Coverage, 16454,
     /* 2087537 */     GIR_EraseRootFromParent_Done,
     /* 2087538 */   // Label 27665: @2087538
     /* 2087538 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2087632), // Rule ID 16455 //
     /* 2087543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087589 */     // MIs[0] round
     /* 2087589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087592 */     // MIs[0] policy
     /* 2087592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087631 */     // GIR_Coverage, 16455,
     /* 2087631 */     GIR_EraseRootFromParent_Done,
     /* 2087632 */   // Label 27666: @2087632
     /* 2087632 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2087726), // Rule ID 16458 //
     /* 2087637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087683 */     // MIs[0] round
     /* 2087683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087686 */     // MIs[0] policy
     /* 2087686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087725 */     // GIR_Coverage, 16458,
     /* 2087725 */     GIR_EraseRootFromParent_Done,
     /* 2087726 */   // Label 27667: @2087726
     /* 2087726 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2087820), // Rule ID 16459 //
     /* 2087731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087777 */     // MIs[0] round
     /* 2087777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087780 */     // MIs[0] policy
     /* 2087780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087819 */     // GIR_Coverage, 16459,
     /* 2087819 */     GIR_EraseRootFromParent_Done,
     /* 2087820 */   // Label 27668: @2087820
     /* 2087820 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2087914), // Rule ID 16462 //
     /* 2087825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087871 */     // MIs[0] round
     /* 2087871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087874 */     // MIs[0] policy
     /* 2087874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087913 */     // GIR_Coverage, 16462,
     /* 2087913 */     GIR_EraseRootFromParent_Done,
     /* 2087914 */   // Label 27669: @2087914
     /* 2087914 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2088008), // Rule ID 16463 //
     /* 2087919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087965 */     // MIs[0] round
     /* 2087965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087968 */     // MIs[0] policy
     /* 2087968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088007 */     // GIR_Coverage, 16463,
     /* 2088007 */     GIR_EraseRootFromParent_Done,
     /* 2088008 */   // Label 27670: @2088008
     /* 2088008 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2088102), // Rule ID 16466 //
     /* 2088013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088059 */     // MIs[0] round
     /* 2088059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088062 */     // MIs[0] policy
     /* 2088062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088101 */     // GIR_Coverage, 16466,
     /* 2088101 */     GIR_EraseRootFromParent_Done,
     /* 2088102 */   // Label 27671: @2088102
     /* 2088102 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2088196), // Rule ID 16467 //
     /* 2088107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2088118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2088121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088153 */     // MIs[0] round
     /* 2088153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088156 */     // MIs[0] policy
     /* 2088156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088195 */     // GIR_Coverage, 16467,
     /* 2088195 */     GIR_EraseRootFromParent_Done,
     /* 2088196 */   // Label 27672: @2088196
     /* 2088196 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2088290), // Rule ID 16470 //
     /* 2088201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088247 */     // MIs[0] round
     /* 2088247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088250 */     // MIs[0] policy
     /* 2088250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088260 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088289 */     // GIR_Coverage, 16470,
     /* 2088289 */     GIR_EraseRootFromParent_Done,
     /* 2088290 */   // Label 27673: @2088290
     /* 2088290 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2088384), // Rule ID 16471 //
     /* 2088295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2088306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2088309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088341 */     // MIs[0] round
     /* 2088341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088344 */     // MIs[0] policy
     /* 2088344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088383 */     // GIR_Coverage, 16471,
     /* 2088383 */     GIR_EraseRootFromParent_Done,
     /* 2088384 */   // Label 27674: @2088384
     /* 2088384 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2088478), // Rule ID 16474 //
     /* 2088389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088435 */     // MIs[0] round
     /* 2088435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088438 */     // MIs[0] policy
     /* 2088438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088477 */     // GIR_Coverage, 16474,
     /* 2088477 */     GIR_EraseRootFromParent_Done,
     /* 2088478 */   // Label 27675: @2088478
     /* 2088478 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2088572), // Rule ID 16475 //
     /* 2088483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088529 */     // MIs[0] round
     /* 2088529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088532 */     // MIs[0] policy
     /* 2088532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088571 */     // GIR_Coverage, 16475,
     /* 2088571 */     GIR_EraseRootFromParent_Done,
     /* 2088572 */   // Label 27676: @2088572
     /* 2088572 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2088666), // Rule ID 16478 //
     /* 2088577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088623 */     // MIs[0] round
     /* 2088623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088626 */     // MIs[0] policy
     /* 2088626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088665 */     // GIR_Coverage, 16478,
     /* 2088665 */     GIR_EraseRootFromParent_Done,
     /* 2088666 */   // Label 27677: @2088666
     /* 2088666 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2088760), // Rule ID 16479 //
     /* 2088671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088717 */     // MIs[0] round
     /* 2088717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088720 */     // MIs[0] policy
     /* 2088720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088759 */     // GIR_Coverage, 16479,
     /* 2088759 */     GIR_EraseRootFromParent_Done,
     /* 2088760 */   // Label 27678: @2088760
     /* 2088760 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2088854), // Rule ID 16482 //
     /* 2088765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088811 */     // MIs[0] round
     /* 2088811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088814 */     // MIs[0] policy
     /* 2088814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088853 */     // GIR_Coverage, 16482,
     /* 2088853 */     GIR_EraseRootFromParent_Done,
     /* 2088854 */   // Label 27679: @2088854
     /* 2088854 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2088948), // Rule ID 16483 //
     /* 2088859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088905 */     // MIs[0] round
     /* 2088905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088908 */     // MIs[0] policy
     /* 2088908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088947 */     // GIR_Coverage, 16483,
     /* 2088947 */     GIR_EraseRootFromParent_Done,
     /* 2088948 */   // Label 27680: @2088948
     /* 2088948 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2089042), // Rule ID 16486 //
     /* 2088953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088999 */     // MIs[0] round
     /* 2088999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089002 */     // MIs[0] policy
     /* 2089002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2089015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089041 */     // GIR_Coverage, 16486,
     /* 2089041 */     GIR_EraseRootFromParent_Done,
     /* 2089042 */   // Label 27681: @2089042
     /* 2089042 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2089136), // Rule ID 16487 //
     /* 2089047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089093 */     // MIs[0] round
     /* 2089093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089096 */     // MIs[0] policy
     /* 2089096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2089109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089135 */     // GIR_Coverage, 16487,
     /* 2089135 */     GIR_EraseRootFromParent_Done,
     /* 2089136 */   // Label 27682: @2089136
     /* 2089136 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2089230), // Rule ID 16490 //
     /* 2089141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089187 */     // MIs[0] round
     /* 2089187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089190 */     // MIs[0] policy
     /* 2089190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089229 */     // GIR_Coverage, 16490,
     /* 2089229 */     GIR_EraseRootFromParent_Done,
     /* 2089230 */   // Label 27683: @2089230
     /* 2089230 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2089324), // Rule ID 16491 //
     /* 2089235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089281 */     // MIs[0] round
     /* 2089281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089284 */     // MIs[0] policy
     /* 2089284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089323 */     // GIR_Coverage, 16491,
     /* 2089323 */     GIR_EraseRootFromParent_Done,
     /* 2089324 */   // Label 27684: @2089324
     /* 2089324 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2089418), // Rule ID 16494 //
     /* 2089329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089375 */     // MIs[0] round
     /* 2089375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089378 */     // MIs[0] policy
     /* 2089378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089417 */     // GIR_Coverage, 16494,
     /* 2089417 */     GIR_EraseRootFromParent_Done,
     /* 2089418 */   // Label 27685: @2089418
     /* 2089418 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2089512), // Rule ID 16495 //
     /* 2089423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089469 */     // MIs[0] round
     /* 2089469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089472 */     // MIs[0] policy
     /* 2089472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089511 */     // GIR_Coverage, 16495,
     /* 2089511 */     GIR_EraseRootFromParent_Done,
     /* 2089512 */   // Label 27686: @2089512
     /* 2089512 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2089606), // Rule ID 16498 //
     /* 2089517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089563 */     // MIs[0] round
     /* 2089563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089566 */     // MIs[0] policy
     /* 2089566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089605 */     // GIR_Coverage, 16498,
     /* 2089605 */     GIR_EraseRootFromParent_Done,
     /* 2089606 */   // Label 27687: @2089606
     /* 2089606 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2089700), // Rule ID 16499 //
     /* 2089611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089657 */     // MIs[0] round
     /* 2089657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089660 */     // MIs[0] policy
     /* 2089660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089699 */     // GIR_Coverage, 16499,
     /* 2089699 */     GIR_EraseRootFromParent_Done,
     /* 2089700 */   // Label 27688: @2089700
     /* 2089700 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2089794), // Rule ID 16502 //
     /* 2089705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089751 */     // MIs[0] round
     /* 2089751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089754 */     // MIs[0] policy
     /* 2089754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089793 */     // GIR_Coverage, 16502,
     /* 2089793 */     GIR_EraseRootFromParent_Done,
     /* 2089794 */   // Label 27689: @2089794
     /* 2089794 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2089888), // Rule ID 16503 //
     /* 2089799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089845 */     // MIs[0] round
     /* 2089845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089848 */     // MIs[0] policy
     /* 2089848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089887 */     // GIR_Coverage, 16503,
     /* 2089887 */     GIR_EraseRootFromParent_Done,
     /* 2089888 */   // Label 27690: @2089888
     /* 2089888 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2089982), // Rule ID 16506 //
     /* 2089893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089939 */     // MIs[0] round
     /* 2089939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089942 */     // MIs[0] policy
     /* 2089942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089981 */     // GIR_Coverage, 16506,
     /* 2089981 */     GIR_EraseRootFromParent_Done,
     /* 2089982 */   // Label 27691: @2089982
     /* 2089982 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2090076), // Rule ID 16507 //
     /* 2089987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090033 */     // MIs[0] round
     /* 2090033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090036 */     // MIs[0] policy
     /* 2090036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2090049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090075 */     // GIR_Coverage, 16507,
     /* 2090075 */     GIR_EraseRootFromParent_Done,
     /* 2090076 */   // Label 27692: @2090076
     /* 2090076 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2090170), // Rule ID 16510 //
     /* 2090081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090127 */     // MIs[0] round
     /* 2090127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090130 */     // MIs[0] policy
     /* 2090130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2090143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090169 */     // GIR_Coverage, 16510,
     /* 2090169 */     GIR_EraseRootFromParent_Done,
     /* 2090170 */   // Label 27693: @2090170
     /* 2090170 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2090264), // Rule ID 16511 //
     /* 2090175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090221 */     // MIs[0] round
     /* 2090221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090224 */     // MIs[0] policy
     /* 2090224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2090237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090263 */     // GIR_Coverage, 16511,
     /* 2090263 */     GIR_EraseRootFromParent_Done,
     /* 2090264 */   // Label 27694: @2090264
     /* 2090264 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2090358), // Rule ID 16514 //
     /* 2090269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090315 */     // MIs[0] round
     /* 2090315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090318 */     // MIs[0] policy
     /* 2090318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2090331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090357 */     // GIR_Coverage, 16514,
     /* 2090357 */     GIR_EraseRootFromParent_Done,
     /* 2090358 */   // Label 27695: @2090358
     /* 2090358 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2090452), // Rule ID 16515 //
     /* 2090363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090409 */     // MIs[0] round
     /* 2090409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090412 */     // MIs[0] policy
     /* 2090412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2090425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090451 */     // GIR_Coverage, 16515,
     /* 2090451 */     GIR_EraseRootFromParent_Done,
     /* 2090452 */   // Label 27696: @2090452
     /* 2090452 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2090546), // Rule ID 16518 //
     /* 2090457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090503 */     // MIs[0] round
     /* 2090503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090506 */     // MIs[0] policy
     /* 2090506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090545 */     // GIR_Coverage, 16518,
     /* 2090545 */     GIR_EraseRootFromParent_Done,
     /* 2090546 */   // Label 27697: @2090546
     /* 2090546 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2090640), // Rule ID 16519 //
     /* 2090551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090597 */     // MIs[0] round
     /* 2090597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090600 */     // MIs[0] policy
     /* 2090600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090639 */     // GIR_Coverage, 16519,
     /* 2090639 */     GIR_EraseRootFromParent_Done,
     /* 2090640 */   // Label 27698: @2090640
     /* 2090640 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2090731), // Rule ID 16582 //
     /* 2090645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090691 */     // MIs[0] round
     /* 2090691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090694 */     // MIs[0] policy
     /* 2090694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090704 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090730 */     // GIR_Coverage, 16582,
     /* 2090730 */     GIR_EraseRootFromParent_Done,
     /* 2090731 */   // Label 27699: @2090731
     /* 2090731 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2090822), // Rule ID 16583 //
     /* 2090736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090782 */     // MIs[0] round
     /* 2090782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090785 */     // MIs[0] policy
     /* 2090785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090795 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090821 */     // GIR_Coverage, 16583,
     /* 2090821 */     GIR_EraseRootFromParent_Done,
     /* 2090822 */   // Label 27700: @2090822
     /* 2090822 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2090913), // Rule ID 16586 //
     /* 2090827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090873 */     // MIs[0] round
     /* 2090873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090876 */     // MIs[0] policy
     /* 2090876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090886 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090912 */     // GIR_Coverage, 16586,
     /* 2090912 */     GIR_EraseRootFromParent_Done,
     /* 2090913 */   // Label 27701: @2090913
     /* 2090913 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2091004), // Rule ID 16587 //
     /* 2090918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090964 */     // MIs[0] round
     /* 2090964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090967 */     // MIs[0] policy
     /* 2090967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090977 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091003 */     // GIR_Coverage, 16587,
     /* 2091003 */     GIR_EraseRootFromParent_Done,
     /* 2091004 */   // Label 27702: @2091004
     /* 2091004 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2091095), // Rule ID 16590 //
     /* 2091009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091055 */     // MIs[0] round
     /* 2091055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091058 */     // MIs[0] policy
     /* 2091058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2091071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091094 */     // GIR_Coverage, 16590,
     /* 2091094 */     GIR_EraseRootFromParent_Done,
     /* 2091095 */   // Label 27703: @2091095
     /* 2091095 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2091186), // Rule ID 16591 //
     /* 2091100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091146 */     // MIs[0] round
     /* 2091146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091149 */     // MIs[0] policy
     /* 2091149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091159 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2091162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091185 */     // GIR_Coverage, 16591,
     /* 2091185 */     GIR_EraseRootFromParent_Done,
     /* 2091186 */   // Label 27704: @2091186
     /* 2091186 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2091277), // Rule ID 16594 //
     /* 2091191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2091202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2091205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091237 */     // MIs[0] round
     /* 2091237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091240 */     // MIs[0] policy
     /* 2091240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091250 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2091253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091276 */     // GIR_Coverage, 16594,
     /* 2091276 */     GIR_EraseRootFromParent_Done,
     /* 2091277 */   // Label 27705: @2091277
     /* 2091277 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2091368), // Rule ID 16595 //
     /* 2091282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2091293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2091296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091328 */     // MIs[0] round
     /* 2091328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091331 */     // MIs[0] policy
     /* 2091331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091341 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2091344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091367 */     // GIR_Coverage, 16595,
     /* 2091367 */     GIR_EraseRootFromParent_Done,
     /* 2091368 */   // Label 27706: @2091368
     /* 2091368 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2091459), // Rule ID 16598 //
     /* 2091373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091419 */     // MIs[0] round
     /* 2091419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091422 */     // MIs[0] policy
     /* 2091422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091432 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091458 */     // GIR_Coverage, 16598,
     /* 2091458 */     GIR_EraseRootFromParent_Done,
     /* 2091459 */   // Label 27707: @2091459
     /* 2091459 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2091550), // Rule ID 16599 //
     /* 2091464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091510 */     // MIs[0] round
     /* 2091510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091513 */     // MIs[0] policy
     /* 2091513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091523 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091549 */     // GIR_Coverage, 16599,
     /* 2091549 */     GIR_EraseRootFromParent_Done,
     /* 2091550 */   // Label 27708: @2091550
     /* 2091550 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2091641), // Rule ID 16602 //
     /* 2091555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091601 */     // MIs[0] round
     /* 2091601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091604 */     // MIs[0] policy
     /* 2091604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091614 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091640 */     // GIR_Coverage, 16602,
     /* 2091640 */     GIR_EraseRootFromParent_Done,
     /* 2091641 */   // Label 27709: @2091641
     /* 2091641 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2091732), // Rule ID 16603 //
     /* 2091646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091692 */     // MIs[0] round
     /* 2091692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091695 */     // MIs[0] policy
     /* 2091695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091705 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091731 */     // GIR_Coverage, 16603,
     /* 2091731 */     GIR_EraseRootFromParent_Done,
     /* 2091732 */   // Label 27710: @2091732
     /* 2091732 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2091823), // Rule ID 16606 //
     /* 2091737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091783 */     // MIs[0] round
     /* 2091783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091786 */     // MIs[0] policy
     /* 2091786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091796 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091822 */     // GIR_Coverage, 16606,
     /* 2091822 */     GIR_EraseRootFromParent_Done,
     /* 2091823 */   // Label 27711: @2091823
     /* 2091823 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2091914), // Rule ID 16607 //
     /* 2091828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091874 */     // MIs[0] round
     /* 2091874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091877 */     // MIs[0] policy
     /* 2091877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091887 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091913 */     // GIR_Coverage, 16607,
     /* 2091913 */     GIR_EraseRootFromParent_Done,
     /* 2091914 */   // Label 27712: @2091914
     /* 2091914 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2092005), // Rule ID 16610 //
     /* 2091919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091965 */     // MIs[0] round
     /* 2091965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091968 */     // MIs[0] policy
     /* 2091968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092004 */     // GIR_Coverage, 16610,
     /* 2092004 */     GIR_EraseRootFromParent_Done,
     /* 2092005 */   // Label 27713: @2092005
     /* 2092005 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2092096), // Rule ID 16611 //
     /* 2092010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2092021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2092024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2092030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092056 */     // MIs[0] round
     /* 2092056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092059 */     // MIs[0] policy
     /* 2092059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092069 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2092072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092095 */     // GIR_Coverage, 16611,
     /* 2092095 */     GIR_EraseRootFromParent_Done,
     /* 2092096 */   // Label 27714: @2092096
     /* 2092096 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2092187), // Rule ID 16614 //
     /* 2092101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2092112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2092115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2092121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092147 */     // MIs[0] round
     /* 2092147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092150 */     // MIs[0] policy
     /* 2092150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2092163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092186 */     // GIR_Coverage, 16614,
     /* 2092186 */     GIR_EraseRootFromParent_Done,
     /* 2092187 */   // Label 27715: @2092187
     /* 2092187 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2092278), // Rule ID 16615 //
     /* 2092192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2092203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2092206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2092212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092238 */     // MIs[0] round
     /* 2092238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092241 */     // MIs[0] policy
     /* 2092241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092251 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2092254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092277 */     // GIR_Coverage, 16615,
     /* 2092277 */     GIR_EraseRootFromParent_Done,
     /* 2092278 */   // Label 27716: @2092278
     /* 2092278 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2092369), // Rule ID 16618 //
     /* 2092283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2092294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2092297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092329 */     // MIs[0] round
     /* 2092329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092332 */     // MIs[0] policy
     /* 2092332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092342 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092368 */     // GIR_Coverage, 16618,
     /* 2092368 */     GIR_EraseRootFromParent_Done,
     /* 2092369 */   // Label 27717: @2092369
     /* 2092369 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2092460), // Rule ID 16619 //
     /* 2092374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2092385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2092388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092420 */     // MIs[0] round
     /* 2092420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092423 */     // MIs[0] policy
     /* 2092423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092433 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092459 */     // GIR_Coverage, 16619,
     /* 2092459 */     GIR_EraseRootFromParent_Done,
     /* 2092460 */   // Label 27718: @2092460
     /* 2092460 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2092551), // Rule ID 16622 //
     /* 2092465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092511 */     // MIs[0] round
     /* 2092511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092514 */     // MIs[0] policy
     /* 2092514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092524 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092550 */     // GIR_Coverage, 16622,
     /* 2092550 */     GIR_EraseRootFromParent_Done,
     /* 2092551 */   // Label 27719: @2092551
     /* 2092551 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2092642), // Rule ID 16623 //
     /* 2092556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092602 */     // MIs[0] round
     /* 2092602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092605 */     // MIs[0] policy
     /* 2092605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092615 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092641 */     // GIR_Coverage, 16623,
     /* 2092641 */     GIR_EraseRootFromParent_Done,
     /* 2092642 */   // Label 27720: @2092642
     /* 2092642 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2092733), // Rule ID 16626 //
     /* 2092647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092693 */     // MIs[0] round
     /* 2092693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092696 */     // MIs[0] policy
     /* 2092696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092732 */     // GIR_Coverage, 16626,
     /* 2092732 */     GIR_EraseRootFromParent_Done,
     /* 2092733 */   // Label 27721: @2092733
     /* 2092733 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2092824), // Rule ID 16627 //
     /* 2092738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092784 */     // MIs[0] round
     /* 2092784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092787 */     // MIs[0] policy
     /* 2092787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092797 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092823 */     // GIR_Coverage, 16627,
     /* 2092823 */     GIR_EraseRootFromParent_Done,
     /* 2092824 */   // Label 27722: @2092824
     /* 2092824 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2092915), // Rule ID 16630 //
     /* 2092829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092875 */     // MIs[0] round
     /* 2092875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092878 */     // MIs[0] policy
     /* 2092878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092914 */     // GIR_Coverage, 16630,
     /* 2092914 */     GIR_EraseRootFromParent_Done,
     /* 2092915 */   // Label 27723: @2092915
     /* 2092915 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2093006), // Rule ID 16631 //
     /* 2092920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092966 */     // MIs[0] round
     /* 2092966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092969 */     // MIs[0] policy
     /* 2092969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092979 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093005 */     // GIR_Coverage, 16631,
     /* 2093005 */     GIR_EraseRootFromParent_Done,
     /* 2093006 */   // Label 27724: @2093006
     /* 2093006 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2093097), // Rule ID 16634 //
     /* 2093011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2093022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2093025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2093031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093057 */     // MIs[0] round
     /* 2093057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093060 */     // MIs[0] policy
     /* 2093060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093070 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2093073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093096 */     // GIR_Coverage, 16634,
     /* 2093096 */     GIR_EraseRootFromParent_Done,
     /* 2093097 */   // Label 27725: @2093097
     /* 2093097 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2093188), // Rule ID 16635 //
     /* 2093102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2093113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2093116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2093122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093148 */     // MIs[0] round
     /* 2093148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093151 */     // MIs[0] policy
     /* 2093151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093161 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2093164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093187 */     // GIR_Coverage, 16635,
     /* 2093187 */     GIR_EraseRootFromParent_Done,
     /* 2093188 */   // Label 27726: @2093188
     /* 2093188 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2093279), // Rule ID 16638 //
     /* 2093193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2093204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2093207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2093213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093239 */     // MIs[0] round
     /* 2093239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093242 */     // MIs[0] policy
     /* 2093242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2093255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093278 */     // GIR_Coverage, 16638,
     /* 2093278 */     GIR_EraseRootFromParent_Done,
     /* 2093279 */   // Label 27727: @2093279
     /* 2093279 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2093370), // Rule ID 16639 //
     /* 2093284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2093295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2093298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2093304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093330 */     // MIs[0] round
     /* 2093330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093333 */     // MIs[0] policy
     /* 2093333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093343 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2093346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093369 */     // GIR_Coverage, 16639,
     /* 2093369 */     GIR_EraseRootFromParent_Done,
     /* 2093370 */   // Label 27728: @2093370
     /* 2093370 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2093461), // Rule ID 16642 //
     /* 2093375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093421 */     // MIs[0] round
     /* 2093421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093424 */     // MIs[0] policy
     /* 2093424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093434 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093460 */     // GIR_Coverage, 16642,
     /* 2093460 */     GIR_EraseRootFromParent_Done,
     /* 2093461 */   // Label 27729: @2093461
     /* 2093461 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2093552), // Rule ID 16643 //
     /* 2093466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093512 */     // MIs[0] round
     /* 2093512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093515 */     // MIs[0] policy
     /* 2093515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093525 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093551 */     // GIR_Coverage, 16643,
     /* 2093551 */     GIR_EraseRootFromParent_Done,
     /* 2093552 */   // Label 27730: @2093552
     /* 2093552 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2093643), // Rule ID 16646 //
     /* 2093557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093603 */     // MIs[0] round
     /* 2093603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093606 */     // MIs[0] policy
     /* 2093606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093616 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093642 */     // GIR_Coverage, 16646,
     /* 2093642 */     GIR_EraseRootFromParent_Done,
     /* 2093643 */   // Label 27731: @2093643
     /* 2093643 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2093734), // Rule ID 16647 //
     /* 2093648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093694 */     // MIs[0] round
     /* 2093694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093697 */     // MIs[0] policy
     /* 2093697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093707 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093733 */     // GIR_Coverage, 16647,
     /* 2093733 */     GIR_EraseRootFromParent_Done,
     /* 2093734 */   // Label 27732: @2093734
     /* 2093734 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2093825), // Rule ID 16650 //
     /* 2093739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093785 */     // MIs[0] round
     /* 2093785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093788 */     // MIs[0] policy
     /* 2093788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093798 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093824 */     // GIR_Coverage, 16650,
     /* 2093824 */     GIR_EraseRootFromParent_Done,
     /* 2093825 */   // Label 27733: @2093825
     /* 2093825 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2093916), // Rule ID 16651 //
     /* 2093830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093876 */     // MIs[0] round
     /* 2093876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093879 */     // MIs[0] policy
     /* 2093879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093889 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093915 */     // GIR_Coverage, 16651,
     /* 2093915 */     GIR_EraseRootFromParent_Done,
     /* 2093916 */   // Label 27734: @2093916
     /* 2093916 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2094007), // Rule ID 16654 //
     /* 2093921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093967 */     // MIs[0] round
     /* 2093967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093970 */     // MIs[0] policy
     /* 2093970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094006 */     // GIR_Coverage, 16654,
     /* 2094006 */     GIR_EraseRootFromParent_Done,
     /* 2094007 */   // Label 27735: @2094007
     /* 2094007 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2094098), // Rule ID 16655 //
     /* 2094012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2094023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2094026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2094029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094058 */     // MIs[0] round
     /* 2094058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094061 */     // MIs[0] policy
     /* 2094061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094071 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2094074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094097 */     // GIR_Coverage, 16655,
     /* 2094097 */     GIR_EraseRootFromParent_Done,
     /* 2094098 */   // Label 27736: @2094098
     /* 2094098 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2094189), // Rule ID 16658 //
     /* 2094103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094149 */     // MIs[0] round
     /* 2094149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094152 */     // MIs[0] policy
     /* 2094152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094162 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2094165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094188 */     // GIR_Coverage, 16658,
     /* 2094188 */     GIR_EraseRootFromParent_Done,
     /* 2094189 */   // Label 27737: @2094189
     /* 2094189 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2094280), // Rule ID 16659 //
     /* 2094194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094240 */     // MIs[0] round
     /* 2094240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094243 */     // MIs[0] policy
     /* 2094243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094253 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2094256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094279 */     // GIR_Coverage, 16659,
     /* 2094279 */     GIR_EraseRootFromParent_Done,
     /* 2094280 */   // Label 27738: @2094280
     /* 2094280 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2094371), // Rule ID 16662 //
     /* 2094285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2094296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2094299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094331 */     // MIs[0] round
     /* 2094331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094334 */     // MIs[0] policy
     /* 2094334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094370 */     // GIR_Coverage, 16662,
     /* 2094370 */     GIR_EraseRootFromParent_Done,
     /* 2094371 */   // Label 27739: @2094371
     /* 2094371 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2094462), // Rule ID 16663 //
     /* 2094376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2094387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2094390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094422 */     // MIs[0] round
     /* 2094422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094425 */     // MIs[0] policy
     /* 2094425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094435 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094461 */     // GIR_Coverage, 16663,
     /* 2094461 */     GIR_EraseRootFromParent_Done,
     /* 2094462 */   // Label 27740: @2094462
     /* 2094462 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2094553), // Rule ID 16666 //
     /* 2094467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094513 */     // MIs[0] round
     /* 2094513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094516 */     // MIs[0] policy
     /* 2094516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094526 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094552 */     // GIR_Coverage, 16666,
     /* 2094552 */     GIR_EraseRootFromParent_Done,
     /* 2094553 */   // Label 27741: @2094553
     /* 2094553 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2094644), // Rule ID 16667 //
     /* 2094558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094604 */     // MIs[0] round
     /* 2094604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094607 */     // MIs[0] policy
     /* 2094607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094617 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094643 */     // GIR_Coverage, 16667,
     /* 2094643 */     GIR_EraseRootFromParent_Done,
     /* 2094644 */   // Label 27742: @2094644
     /* 2094644 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2094735), // Rule ID 16670 //
     /* 2094649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094695 */     // MIs[0] round
     /* 2094695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094698 */     // MIs[0] policy
     /* 2094698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094708 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094734 */     // GIR_Coverage, 16670,
     /* 2094734 */     GIR_EraseRootFromParent_Done,
     /* 2094735 */   // Label 27743: @2094735
     /* 2094735 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2094826), // Rule ID 16671 //
     /* 2094740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094786 */     // MIs[0] round
     /* 2094786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094789 */     // MIs[0] policy
     /* 2094789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094799 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094825 */     // GIR_Coverage, 16671,
     /* 2094825 */     GIR_EraseRootFromParent_Done,
     /* 2094826 */   // Label 27744: @2094826
     /* 2094826 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2094917), // Rule ID 16674 //
     /* 2094831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094877 */     // MIs[0] round
     /* 2094877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094880 */     // MIs[0] policy
     /* 2094880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094890 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094916 */     // GIR_Coverage, 16674,
     /* 2094916 */     GIR_EraseRootFromParent_Done,
     /* 2094917 */   // Label 27745: @2094917
     /* 2094917 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2095008), // Rule ID 16675 //
     /* 2094922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094968 */     // MIs[0] round
     /* 2094968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094971 */     // MIs[0] policy
     /* 2094971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094981 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095007 */     // GIR_Coverage, 16675,
     /* 2095007 */     GIR_EraseRootFromParent_Done,
     /* 2095008 */   // Label 27746: @2095008
     /* 2095008 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2095099), // Rule ID 16678 //
     /* 2095013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095059 */     // MIs[0] round
     /* 2095059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095062 */     // MIs[0] policy
     /* 2095062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095072 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2095075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095098 */     // GIR_Coverage, 16678,
     /* 2095098 */     GIR_EraseRootFromParent_Done,
     /* 2095099 */   // Label 27747: @2095099
     /* 2095099 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2095190), // Rule ID 16679 //
     /* 2095104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095150 */     // MIs[0] round
     /* 2095150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095153 */     // MIs[0] policy
     /* 2095153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095163 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2095166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095189 */     // GIR_Coverage, 16679,
     /* 2095189 */     GIR_EraseRootFromParent_Done,
     /* 2095190 */   // Label 27748: @2095190
     /* 2095190 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2095281), // Rule ID 16682 //
     /* 2095195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095241 */     // MIs[0] round
     /* 2095241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095244 */     // MIs[0] policy
     /* 2095244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095254 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2095257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095280 */     // GIR_Coverage, 16682,
     /* 2095280 */     GIR_EraseRootFromParent_Done,
     /* 2095281 */   // Label 27749: @2095281
     /* 2095281 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2095372), // Rule ID 16683 //
     /* 2095286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095332 */     // MIs[0] round
     /* 2095332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095335 */     // MIs[0] policy
     /* 2095335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095345 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2095348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095371 */     // GIR_Coverage, 16683,
     /* 2095371 */     GIR_EraseRootFromParent_Done,
     /* 2095372 */   // Label 27750: @2095372
     /* 2095372 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2095463), // Rule ID 16686 //
     /* 2095377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095423 */     // MIs[0] round
     /* 2095423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095426 */     // MIs[0] policy
     /* 2095426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095436 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095462 */     // GIR_Coverage, 16686,
     /* 2095462 */     GIR_EraseRootFromParent_Done,
     /* 2095463 */   // Label 27751: @2095463
     /* 2095463 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2095554), // Rule ID 16687 //
     /* 2095468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095514 */     // MIs[0] round
     /* 2095514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095517 */     // MIs[0] policy
     /* 2095517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095527 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095553 */     // GIR_Coverage, 16687,
     /* 2095553 */     GIR_EraseRootFromParent_Done,
     /* 2095554 */   // Label 27752: @2095554
     /* 2095554 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2095645), // Rule ID 16690 //
     /* 2095559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095605 */     // MIs[0] round
     /* 2095605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095608 */     // MIs[0] policy
     /* 2095608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095618 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095644 */     // GIR_Coverage, 16690,
     /* 2095644 */     GIR_EraseRootFromParent_Done,
     /* 2095645 */   // Label 27753: @2095645
     /* 2095645 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2095736), // Rule ID 16691 //
     /* 2095650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095696 */     // MIs[0] round
     /* 2095696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095699 */     // MIs[0] policy
     /* 2095699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095709 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095735 */     // GIR_Coverage, 16691,
     /* 2095735 */     GIR_EraseRootFromParent_Done,
     /* 2095736 */   // Label 27754: @2095736
     /* 2095736 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2095827), // Rule ID 16694 //
     /* 2095741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095787 */     // MIs[0] round
     /* 2095787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095790 */     // MIs[0] policy
     /* 2095790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095800 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095826 */     // GIR_Coverage, 16694,
     /* 2095826 */     GIR_EraseRootFromParent_Done,
     /* 2095827 */   // Label 27755: @2095827
     /* 2095827 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2095918), // Rule ID 16695 //
     /* 2095832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095878 */     // MIs[0] round
     /* 2095878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095881 */     // MIs[0] policy
     /* 2095881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095917 */     // GIR_Coverage, 16695,
     /* 2095917 */     GIR_EraseRootFromParent_Done,
     /* 2095918 */   // Label 27756: @2095918
     /* 2095918 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2096009), // Rule ID 16698 //
     /* 2095923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095969 */     // MIs[0] round
     /* 2095969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095972 */     // MIs[0] policy
     /* 2095972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095982 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096008 */     // GIR_Coverage, 16698,
     /* 2096008 */     GIR_EraseRootFromParent_Done,
     /* 2096009 */   // Label 27757: @2096009
     /* 2096009 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2096100), // Rule ID 16699 //
     /* 2096014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2096025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2096028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2096056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096060 */     // MIs[0] round
     /* 2096060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096063 */     // MIs[0] policy
     /* 2096063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096073 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2096076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096099 */     // GIR_Coverage, 16699,
     /* 2096099 */     GIR_EraseRootFromParent_Done,
     /* 2096100 */   // Label 27758: @2096100
     /* 2096100 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2096191), // Rule ID 16702 //
     /* 2096105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096151 */     // MIs[0] round
     /* 2096151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096154 */     // MIs[0] policy
     /* 2096154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2096167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096190 */     // GIR_Coverage, 16702,
     /* 2096190 */     GIR_EraseRootFromParent_Done,
     /* 2096191 */   // Label 27759: @2096191
     /* 2096191 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2096282), // Rule ID 16703 //
     /* 2096196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096242 */     // MIs[0] round
     /* 2096242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096245 */     // MIs[0] policy
     /* 2096245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096255 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2096258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096281 */     // GIR_Coverage, 16703,
     /* 2096281 */     GIR_EraseRootFromParent_Done,
     /* 2096282 */   // Label 27760: @2096282
     /* 2096282 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2096373), // Rule ID 16706 //
     /* 2096287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096333 */     // MIs[0] round
     /* 2096333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096336 */     // MIs[0] policy
     /* 2096336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096346 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096372 */     // GIR_Coverage, 16706,
     /* 2096372 */     GIR_EraseRootFromParent_Done,
     /* 2096373 */   // Label 27761: @2096373
     /* 2096373 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2096464), // Rule ID 16707 //
     /* 2096378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096424 */     // MIs[0] round
     /* 2096424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096427 */     // MIs[0] policy
     /* 2096427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096437 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096463 */     // GIR_Coverage, 16707,
     /* 2096463 */     GIR_EraseRootFromParent_Done,
     /* 2096464 */   // Label 27762: @2096464
     /* 2096464 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2096555), // Rule ID 16710 //
     /* 2096469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096515 */     // MIs[0] round
     /* 2096515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096518 */     // MIs[0] policy
     /* 2096518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096528 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096554 */     // GIR_Coverage, 16710,
     /* 2096554 */     GIR_EraseRootFromParent_Done,
     /* 2096555 */   // Label 27763: @2096555
     /* 2096555 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2096646), // Rule ID 16711 //
     /* 2096560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096606 */     // MIs[0] round
     /* 2096606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096609 */     // MIs[0] policy
     /* 2096609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096619 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096645 */     // GIR_Coverage, 16711,
     /* 2096645 */     GIR_EraseRootFromParent_Done,
     /* 2096646 */   // Label 27764: @2096646
     /* 2096646 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2096737), // Rule ID 16714 //
     /* 2096651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096697 */     // MIs[0] round
     /* 2096697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096700 */     // MIs[0] policy
     /* 2096700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096710 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096736 */     // GIR_Coverage, 16714,
     /* 2096736 */     GIR_EraseRootFromParent_Done,
     /* 2096737 */   // Label 27765: @2096737
     /* 2096737 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2096828), // Rule ID 16715 //
     /* 2096742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096788 */     // MIs[0] round
     /* 2096788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096791 */     // MIs[0] policy
     /* 2096791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096801 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096827 */     // GIR_Coverage, 16715,
     /* 2096827 */     GIR_EraseRootFromParent_Done,
     /* 2096828 */   // Label 27766: @2096828
     /* 2096828 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2096919), // Rule ID 16718 //
     /* 2096833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096879 */     // MIs[0] round
     /* 2096879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096882 */     // MIs[0] policy
     /* 2096882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096918 */     // GIR_Coverage, 16718,
     /* 2096918 */     GIR_EraseRootFromParent_Done,
     /* 2096919 */   // Label 27767: @2096919
     /* 2096919 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2097010), // Rule ID 16719 //
     /* 2096924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096970 */     // MIs[0] round
     /* 2096970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096973 */     // MIs[0] policy
     /* 2096973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097009 */     // GIR_Coverage, 16719,
     /* 2097009 */     GIR_EraseRootFromParent_Done,
     /* 2097010 */   // Label 27768: @2097010
     /* 2097010 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2097101), // Rule ID 16722 //
     /* 2097015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097061 */     // MIs[0] round
     /* 2097061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097064 */     // MIs[0] policy
     /* 2097064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097074 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2097077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097100 */     // GIR_Coverage, 16722,
     /* 2097100 */     GIR_EraseRootFromParent_Done,
     /* 2097101 */   // Label 27769: @2097101
     /* 2097101 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2097192), // Rule ID 16723 //
     /* 2097106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2097117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2097120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2097126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097152 */     // MIs[0] round
     /* 2097152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097155 */     // MIs[0] policy
     /* 2097155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2097168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097191 */     // GIR_Coverage, 16723,
     /* 2097191 */     GIR_EraseRootFromParent_Done,
     /* 2097192 */   // Label 27770: @2097192
     /* 2097192 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2097283), // Rule ID 16726 //
     /* 2097197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2097208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2097211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2097214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2097217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097243 */     // MIs[0] round
     /* 2097243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097246 */     // MIs[0] policy
     /* 2097246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2097259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097282 */     // GIR_Coverage, 16726,
     /* 2097282 */     GIR_EraseRootFromParent_Done,
     /* 2097283 */   // Label 27771: @2097283
     /* 2097283 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2097374), // Rule ID 16727 //
     /* 2097288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2097299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2097302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2097305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2097308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097334 */     // MIs[0] round
     /* 2097334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097337 */     // MIs[0] policy
     /* 2097337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097347 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2097350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097373 */     // GIR_Coverage, 16727,
     /* 2097373 */     GIR_EraseRootFromParent_Done,
     /* 2097374 */   // Label 27772: @2097374
     /* 2097374 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2097465), // Rule ID 16730 //
     /* 2097379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097425 */     // MIs[0] round
     /* 2097425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097428 */     // MIs[0] policy
     /* 2097428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097438 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097464 */     // GIR_Coverage, 16730,
     /* 2097464 */     GIR_EraseRootFromParent_Done,
     /* 2097465 */   // Label 27773: @2097465
     /* 2097465 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2097556), // Rule ID 16731 //
     /* 2097470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097516 */     // MIs[0] round
     /* 2097516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097519 */     // MIs[0] policy
     /* 2097519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097529 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097555 */     // GIR_Coverage, 16731,
     /* 2097555 */     GIR_EraseRootFromParent_Done,
     /* 2097556 */   // Label 27774: @2097556
     /* 2097556 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2097647), // Rule ID 16734 //
     /* 2097561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097607 */     // MIs[0] round
     /* 2097607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097610 */     // MIs[0] policy
     /* 2097610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097620 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097646 */     // GIR_Coverage, 16734,
     /* 2097646 */     GIR_EraseRootFromParent_Done,
     /* 2097647 */   // Label 27775: @2097647
     /* 2097647 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2097738), // Rule ID 16735 //
     /* 2097652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097698 */     // MIs[0] round
     /* 2097698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097701 */     // MIs[0] policy
     /* 2097701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097711 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097737 */     // GIR_Coverage, 16735,
     /* 2097737 */     GIR_EraseRootFromParent_Done,
     /* 2097738 */   // Label 27776: @2097738
     /* 2097738 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2097829), // Rule ID 16738 //
     /* 2097743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097789 */     // MIs[0] round
     /* 2097789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097792 */     // MIs[0] policy
     /* 2097792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097828 */     // GIR_Coverage, 16738,
     /* 2097828 */     GIR_EraseRootFromParent_Done,
     /* 2097829 */   // Label 27777: @2097829
     /* 2097829 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2097920), // Rule ID 16739 //
     /* 2097834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097880 */     // MIs[0] round
     /* 2097880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097883 */     // MIs[0] policy
     /* 2097883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097893 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097919 */     // GIR_Coverage, 16739,
     /* 2097919 */     GIR_EraseRootFromParent_Done,
     /* 2097920 */   // Label 27778: @2097920
     /* 2097920 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2098011), // Rule ID 16742 //
     /* 2097925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097971 */     // MIs[0] round
     /* 2097971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097974 */     // MIs[0] policy
     /* 2097974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097984 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098010 */     // GIR_Coverage, 16742,
     /* 2098010 */     GIR_EraseRootFromParent_Done,
     /* 2098011 */   // Label 27779: @2098011
     /* 2098011 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2098102), // Rule ID 16743 //
     /* 2098016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2098036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098062 */     // MIs[0] round
     /* 2098062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098065 */     // MIs[0] policy
     /* 2098065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2098078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098101 */     // GIR_Coverage, 16743,
     /* 2098101 */     GIR_EraseRootFromParent_Done,
     /* 2098102 */   // Label 27780: @2098102
     /* 2098102 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2098193), // Rule ID 16746 //
     /* 2098107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2098127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098153 */     // MIs[0] round
     /* 2098153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098156 */     // MIs[0] policy
     /* 2098156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2098169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098192 */     // GIR_Coverage, 16746,
     /* 2098192 */     GIR_EraseRootFromParent_Done,
     /* 2098193 */   // Label 27781: @2098193
     /* 2098193 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2098284), // Rule ID 16747 //
     /* 2098198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2098218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098244 */     // MIs[0] round
     /* 2098244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098247 */     // MIs[0] policy
     /* 2098247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098257 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2098260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098283 */     // GIR_Coverage, 16747,
     /* 2098283 */     GIR_EraseRootFromParent_Done,
     /* 2098284 */   // Label 27782: @2098284
     /* 2098284 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2098375), // Rule ID 16750 //
     /* 2098289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2098300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2098303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2098309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098335 */     // MIs[0] round
     /* 2098335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098338 */     // MIs[0] policy
     /* 2098338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098374 */     // GIR_Coverage, 16750,
     /* 2098374 */     GIR_EraseRootFromParent_Done,
     /* 2098375 */   // Label 27783: @2098375
     /* 2098375 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2098466), // Rule ID 16751 //
     /* 2098380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2098391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2098394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2098400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098426 */     // MIs[0] round
     /* 2098426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098429 */     // MIs[0] policy
     /* 2098429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098439 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098465 */     // GIR_Coverage, 16751,
     /* 2098465 */     GIR_EraseRootFromParent_Done,
     /* 2098466 */   // Label 27784: @2098466
     /* 2098466 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2098557), // Rule ID 16754 //
     /* 2098471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098517 */     // MIs[0] round
     /* 2098517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098520 */     // MIs[0] policy
     /* 2098520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098530 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098556 */     // GIR_Coverage, 16754,
     /* 2098556 */     GIR_EraseRootFromParent_Done,
     /* 2098557 */   // Label 27785: @2098557
     /* 2098557 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2098648), // Rule ID 16755 //
     /* 2098562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098608 */     // MIs[0] round
     /* 2098608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098611 */     // MIs[0] policy
     /* 2098611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098621 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098647 */     // GIR_Coverage, 16755,
     /* 2098647 */     GIR_EraseRootFromParent_Done,
     /* 2098648 */   // Label 27786: @2098648
     /* 2098648 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2098739), // Rule ID 16758 //
     /* 2098653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098699 */     // MIs[0] round
     /* 2098699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098702 */     // MIs[0] policy
     /* 2098702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098712 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098738 */     // GIR_Coverage, 16758,
     /* 2098738 */     GIR_EraseRootFromParent_Done,
     /* 2098739 */   // Label 27787: @2098739
     /* 2098739 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2098830), // Rule ID 16759 //
     /* 2098744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098790 */     // MIs[0] round
     /* 2098790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098793 */     // MIs[0] policy
     /* 2098793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098803 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098829 */     // GIR_Coverage, 16759,
     /* 2098829 */     GIR_EraseRootFromParent_Done,
     /* 2098830 */   // Label 27788: @2098830
     /* 2098830 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2098921), // Rule ID 16762 //
     /* 2098835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098881 */     // MIs[0] round
     /* 2098881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098884 */     // MIs[0] policy
     /* 2098884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098894 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098920 */     // GIR_Coverage, 16762,
     /* 2098920 */     GIR_EraseRootFromParent_Done,
     /* 2098921 */   // Label 27789: @2098921
     /* 2098921 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2099012), // Rule ID 16763 //
     /* 2098926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098972 */     // MIs[0] round
     /* 2098972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098975 */     // MIs[0] policy
     /* 2098975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098985 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099011 */     // GIR_Coverage, 16763,
     /* 2099011 */     GIR_EraseRootFromParent_Done,
     /* 2099012 */   // Label 27790: @2099012
     /* 2099012 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2099103), // Rule ID 16766 //
     /* 2099017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099063 */     // MIs[0] round
     /* 2099063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099066 */     // MIs[0] policy
     /* 2099066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099076 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2099079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099102 */     // GIR_Coverage, 16766,
     /* 2099102 */     GIR_EraseRootFromParent_Done,
     /* 2099103 */   // Label 27791: @2099103
     /* 2099103 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2099194), // Rule ID 16767 //
     /* 2099108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099154 */     // MIs[0] round
     /* 2099154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099157 */     // MIs[0] policy
     /* 2099157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099167 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2099170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099193 */     // GIR_Coverage, 16767,
     /* 2099193 */     GIR_EraseRootFromParent_Done,
     /* 2099194 */   // Label 27792: @2099194
     /* 2099194 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2099285), // Rule ID 16770 //
     /* 2099199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2099216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099245 */     // MIs[0] round
     /* 2099245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099248 */     // MIs[0] policy
     /* 2099248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2099261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099284 */     // GIR_Coverage, 16770,
     /* 2099284 */     GIR_EraseRootFromParent_Done,
     /* 2099285 */   // Label 27793: @2099285
     /* 2099285 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2099376), // Rule ID 16771 //
     /* 2099290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2099307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099336 */     // MIs[0] round
     /* 2099336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099339 */     // MIs[0] policy
     /* 2099339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099349 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2099352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099375 */     // GIR_Coverage, 16771,
     /* 2099375 */     GIR_EraseRootFromParent_Done,
     /* 2099376 */   // Label 27794: @2099376
     /* 2099376 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2099467), // Rule ID 16774 //
     /* 2099381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099427 */     // MIs[0] round
     /* 2099427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099430 */     // MIs[0] policy
     /* 2099430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099466 */     // GIR_Coverage, 16774,
     /* 2099466 */     GIR_EraseRootFromParent_Done,
     /* 2099467 */   // Label 27795: @2099467
     /* 2099467 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2099558), // Rule ID 16775 //
     /* 2099472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099518 */     // MIs[0] round
     /* 2099518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099521 */     // MIs[0] policy
     /* 2099521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099531 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099557 */     // GIR_Coverage, 16775,
     /* 2099557 */     GIR_EraseRootFromParent_Done,
     /* 2099558 */   // Label 27796: @2099558
     /* 2099558 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2099649), // Rule ID 16778 //
     /* 2099563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099609 */     // MIs[0] round
     /* 2099609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099612 */     // MIs[0] policy
     /* 2099612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099622 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099648 */     // GIR_Coverage, 16778,
     /* 2099648 */     GIR_EraseRootFromParent_Done,
     /* 2099649 */   // Label 27797: @2099649
     /* 2099649 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2099740), // Rule ID 16779 //
     /* 2099654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099700 */     // MIs[0] round
     /* 2099700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099703 */     // MIs[0] policy
     /* 2099703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099713 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099739 */     // GIR_Coverage, 16779,
     /* 2099739 */     GIR_EraseRootFromParent_Done,
     /* 2099740 */   // Label 27798: @2099740
     /* 2099740 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2099831), // Rule ID 16782 //
     /* 2099745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099791 */     // MIs[0] round
     /* 2099791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099794 */     // MIs[0] policy
     /* 2099794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099830 */     // GIR_Coverage, 16782,
     /* 2099830 */     GIR_EraseRootFromParent_Done,
     /* 2099831 */   // Label 27799: @2099831
     /* 2099831 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2099922), // Rule ID 16783 //
     /* 2099836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099882 */     // MIs[0] round
     /* 2099882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099885 */     // MIs[0] policy
     /* 2099885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099895 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099921 */     // GIR_Coverage, 16783,
     /* 2099921 */     GIR_EraseRootFromParent_Done,
     /* 2099922 */   // Label 27800: @2099922
     /* 2099922 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2100013), // Rule ID 16786 //
     /* 2099927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099973 */     // MIs[0] round
     /* 2099973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099976 */     // MIs[0] policy
     /* 2099976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099986 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100012 */     // GIR_Coverage, 16786,
     /* 2100012 */     GIR_EraseRootFromParent_Done,
     /* 2100013 */   // Label 27801: @2100013
     /* 2100013 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100104), // Rule ID 16787 //
     /* 2100018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2100029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2100032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100064 */     // MIs[0] round
     /* 2100064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100067 */     // MIs[0] policy
     /* 2100067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100077 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2100080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100103 */     // GIR_Coverage, 16787,
     /* 2100103 */     GIR_EraseRootFromParent_Done,
     /* 2100104 */   // Label 27802: @2100104
     /* 2100104 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100195), // Rule ID 16790 //
     /* 2100109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2100120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2100123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100155 */     // MIs[0] round
     /* 2100155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100158 */     // MIs[0] policy
     /* 2100158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100168 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2100171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100194 */     // GIR_Coverage, 16790,
     /* 2100194 */     GIR_EraseRootFromParent_Done,
     /* 2100195 */   // Label 27803: @2100195
     /* 2100195 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100286), // Rule ID 16791 //
     /* 2100200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2100211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2100214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100246 */     // MIs[0] round
     /* 2100246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100249 */     // MIs[0] policy
     /* 2100249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100259 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2100262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100285 */     // GIR_Coverage, 16791,
     /* 2100285 */     GIR_EraseRootFromParent_Done,
     /* 2100286 */   // Label 27804: @2100286
     /* 2100286 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2100377), // Rule ID 16794 //
     /* 2100291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2100302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2100305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100337 */     // MIs[0] round
     /* 2100337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100340 */     // MIs[0] policy
     /* 2100340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100350 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100376 */     // GIR_Coverage, 16794,
     /* 2100376 */     GIR_EraseRootFromParent_Done,
     /* 2100377 */   // Label 27805: @2100377
     /* 2100377 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2100468), // Rule ID 16795 //
     /* 2100382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2100393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2100396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100428 */     // MIs[0] round
     /* 2100428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100431 */     // MIs[0] policy
     /* 2100431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100441 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100467 */     // GIR_Coverage, 16795,
     /* 2100467 */     GIR_EraseRootFromParent_Done,
     /* 2100468 */   // Label 27806: @2100468
     /* 2100468 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2100559), // Rule ID 16798 //
     /* 2100473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100519 */     // MIs[0] round
     /* 2100519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100522 */     // MIs[0] policy
     /* 2100522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100558 */     // GIR_Coverage, 16798,
     /* 2100558 */     GIR_EraseRootFromParent_Done,
     /* 2100559 */   // Label 27807: @2100559
     /* 2100559 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2100650), // Rule ID 16799 //
     /* 2100564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100610 */     // MIs[0] round
     /* 2100610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100613 */     // MIs[0] policy
     /* 2100613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100649 */     // GIR_Coverage, 16799,
     /* 2100649 */     GIR_EraseRootFromParent_Done,
     /* 2100650 */   // Label 27808: @2100650
     /* 2100650 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2100741), // Rule ID 16802 //
     /* 2100655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100701 */     // MIs[0] round
     /* 2100701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100704 */     // MIs[0] policy
     /* 2100704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100714 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100740 */     // GIR_Coverage, 16802,
     /* 2100740 */     GIR_EraseRootFromParent_Done,
     /* 2100741 */   // Label 27809: @2100741
     /* 2100741 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2100832), // Rule ID 16803 //
     /* 2100746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100792 */     // MIs[0] round
     /* 2100792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100795 */     // MIs[0] policy
     /* 2100795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100805 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100831 */     // GIR_Coverage, 16803,
     /* 2100831 */     GIR_EraseRootFromParent_Done,
     /* 2100832 */   // Label 27810: @2100832
     /* 2100832 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2100923), // Rule ID 16806 //
     /* 2100837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100883 */     // MIs[0] round
     /* 2100883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100886 */     // MIs[0] policy
     /* 2100886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100922 */     // GIR_Coverage, 16806,
     /* 2100922 */     GIR_EraseRootFromParent_Done,
     /* 2100923 */   // Label 27811: @2100923
     /* 2100923 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2101014), // Rule ID 16807 //
     /* 2100928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100974 */     // MIs[0] round
     /* 2100974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100977 */     // MIs[0] policy
     /* 2100977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101013 */     // GIR_Coverage, 16807,
     /* 2101013 */     GIR_EraseRootFromParent_Done,
     /* 2101014 */   // Label 27812: @2101014
     /* 2101014 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101105), // Rule ID 16810 //
     /* 2101019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101065 */     // MIs[0] round
     /* 2101065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101068 */     // MIs[0] policy
     /* 2101068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101078 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2101081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101104 */     // GIR_Coverage, 16810,
     /* 2101104 */     GIR_EraseRootFromParent_Done,
     /* 2101105 */   // Label 27813: @2101105
     /* 2101105 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101196), // Rule ID 16811 //
     /* 2101110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101156 */     // MIs[0] round
     /* 2101156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101159 */     // MIs[0] policy
     /* 2101159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101169 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2101172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101195 */     // GIR_Coverage, 16811,
     /* 2101195 */     GIR_EraseRootFromParent_Done,
     /* 2101196 */   // Label 27814: @2101196
     /* 2101196 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101287), // Rule ID 16814 //
     /* 2101201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101247 */     // MIs[0] round
     /* 2101247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101250 */     // MIs[0] policy
     /* 2101250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101260 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2101263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101286 */     // GIR_Coverage, 16814,
     /* 2101286 */     GIR_EraseRootFromParent_Done,
     /* 2101287 */   // Label 27815: @2101287
     /* 2101287 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101378), // Rule ID 16815 //
     /* 2101292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101338 */     // MIs[0] round
     /* 2101338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101341 */     // MIs[0] policy
     /* 2101341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2101354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101377 */     // GIR_Coverage, 16815,
     /* 2101377 */     GIR_EraseRootFromParent_Done,
     /* 2101378 */   // Label 27816: @2101378
     /* 2101378 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2101469), // Rule ID 16818 //
     /* 2101383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101429 */     // MIs[0] round
     /* 2101429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101432 */     // MIs[0] policy
     /* 2101432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101442 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101468 */     // GIR_Coverage, 16818,
     /* 2101468 */     GIR_EraseRootFromParent_Done,
     /* 2101469 */   // Label 27817: @2101469
     /* 2101469 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2101560), // Rule ID 16819 //
     /* 2101474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101520 */     // MIs[0] round
     /* 2101520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101523 */     // MIs[0] policy
     /* 2101523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101533 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101559 */     // GIR_Coverage, 16819,
     /* 2101559 */     GIR_EraseRootFromParent_Done,
     /* 2101560 */   // Label 27818: @2101560
     /* 2101560 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2101651), // Rule ID 16822 //
     /* 2101565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101611 */     // MIs[0] round
     /* 2101611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101614 */     // MIs[0] policy
     /* 2101614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101624 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101650 */     // GIR_Coverage, 16822,
     /* 2101650 */     GIR_EraseRootFromParent_Done,
     /* 2101651 */   // Label 27819: @2101651
     /* 2101651 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2101742), // Rule ID 16823 //
     /* 2101656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101702 */     // MIs[0] round
     /* 2101702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101705 */     // MIs[0] policy
     /* 2101705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101715 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101741 */     // GIR_Coverage, 16823,
     /* 2101741 */     GIR_EraseRootFromParent_Done,
     /* 2101742 */   // Label 27820: @2101742
     /* 2101742 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2101833), // Rule ID 16826 //
     /* 2101747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101793 */     // MIs[0] round
     /* 2101793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101796 */     // MIs[0] policy
     /* 2101796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101806 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101832 */     // GIR_Coverage, 16826,
     /* 2101832 */     GIR_EraseRootFromParent_Done,
     /* 2101833 */   // Label 27821: @2101833
     /* 2101833 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2101924), // Rule ID 16827 //
     /* 2101838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101884 */     // MIs[0] round
     /* 2101884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101887 */     // MIs[0] policy
     /* 2101887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101897 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101923 */     // GIR_Coverage, 16827,
     /* 2101923 */     GIR_EraseRootFromParent_Done,
     /* 2101924 */   // Label 27822: @2101924
     /* 2101924 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2102015), // Rule ID 16830 //
     /* 2101929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101975 */     // MIs[0] round
     /* 2101975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101978 */     // MIs[0] policy
     /* 2101978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102014 */     // GIR_Coverage, 16830,
     /* 2102014 */     GIR_EraseRootFromParent_Done,
     /* 2102015 */   // Label 27823: @2102015
     /* 2102015 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102106), // Rule ID 16831 //
     /* 2102020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102066 */     // MIs[0] round
     /* 2102066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102069 */     // MIs[0] policy
     /* 2102069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102079 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2102082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102105 */     // GIR_Coverage, 16831,
     /* 2102105 */     GIR_EraseRootFromParent_Done,
     /* 2102106 */   // Label 27824: @2102106
     /* 2102106 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102197), // Rule ID 16834 //
     /* 2102111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102157 */     // MIs[0] round
     /* 2102157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102160 */     // MIs[0] policy
     /* 2102160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2102173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102196 */     // GIR_Coverage, 16834,
     /* 2102196 */     GIR_EraseRootFromParent_Done,
     /* 2102197 */   // Label 27825: @2102197
     /* 2102197 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102288), // Rule ID 16835 //
     /* 2102202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102248 */     // MIs[0] round
     /* 2102248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102251 */     // MIs[0] policy
     /* 2102251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102261 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2102264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102287 */     // GIR_Coverage, 16835,
     /* 2102287 */     GIR_EraseRootFromParent_Done,
     /* 2102288 */   // Label 27826: @2102288
     /* 2102288 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102379), // Rule ID 16838 //
     /* 2102293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102339 */     // MIs[0] round
     /* 2102339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102342 */     // MIs[0] policy
     /* 2102342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102352 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102378 */     // GIR_Coverage, 16838,
     /* 2102378 */     GIR_EraseRootFromParent_Done,
     /* 2102379 */   // Label 27827: @2102379
     /* 2102379 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2102470), // Rule ID 16839 //
     /* 2102384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102430 */     // MIs[0] round
     /* 2102430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102433 */     // MIs[0] policy
     /* 2102433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102443 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102469 */     // GIR_Coverage, 16839,
     /* 2102469 */     GIR_EraseRootFromParent_Done,
     /* 2102470 */   // Label 27828: @2102470
     /* 2102470 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2102561), // Rule ID 16842 //
     /* 2102475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102521 */     // MIs[0] round
     /* 2102521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102524 */     // MIs[0] policy
     /* 2102524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102560 */     // GIR_Coverage, 16842,
     /* 2102560 */     GIR_EraseRootFromParent_Done,
     /* 2102561 */   // Label 27829: @2102561
     /* 2102561 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2102652), // Rule ID 16843 //
     /* 2102566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102612 */     // MIs[0] round
     /* 2102612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102615 */     // MIs[0] policy
     /* 2102615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102625 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102651 */     // GIR_Coverage, 16843,
     /* 2102651 */     GIR_EraseRootFromParent_Done,
     /* 2102652 */   // Label 27830: @2102652
     /* 2102652 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2102743), // Rule ID 16846 //
     /* 2102657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102703 */     // MIs[0] round
     /* 2102703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102706 */     // MIs[0] policy
     /* 2102706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102716 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102742 */     // GIR_Coverage, 16846,
     /* 2102742 */     GIR_EraseRootFromParent_Done,
     /* 2102743 */   // Label 27831: @2102743
     /* 2102743 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2102834), // Rule ID 16847 //
     /* 2102748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102794 */     // MIs[0] round
     /* 2102794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102797 */     // MIs[0] policy
     /* 2102797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102807 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102833 */     // GIR_Coverage, 16847,
     /* 2102833 */     GIR_EraseRootFromParent_Done,
     /* 2102834 */   // Label 27832: @2102834
     /* 2102834 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2102925), // Rule ID 16850 //
     /* 2102839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102885 */     // MIs[0] round
     /* 2102885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102888 */     // MIs[0] policy
     /* 2102888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102898 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102924 */     // GIR_Coverage, 16850,
     /* 2102924 */     GIR_EraseRootFromParent_Done,
     /* 2102925 */   // Label 27833: @2102925
     /* 2102925 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2103016), // Rule ID 16851 //
     /* 2102930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102976 */     // MIs[0] round
     /* 2102976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102979 */     // MIs[0] policy
     /* 2102979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102989 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103015 */     // GIR_Coverage, 16851,
     /* 2103015 */     GIR_EraseRootFromParent_Done,
     /* 2103016 */   // Label 27834: @2103016
     /* 2103016 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2103107), // Rule ID 16854 //
     /* 2103021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103067 */     // MIs[0] round
     /* 2103067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103070 */     // MIs[0] policy
     /* 2103070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103080 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2103083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103106 */     // GIR_Coverage, 16854,
     /* 2103106 */     GIR_EraseRootFromParent_Done,
     /* 2103107 */   // Label 27835: @2103107
     /* 2103107 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2103198), // Rule ID 16855 //
     /* 2103112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103158 */     // MIs[0] round
     /* 2103158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103161 */     // MIs[0] policy
     /* 2103161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103171 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2103174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103197 */     // GIR_Coverage, 16855,
     /* 2103197 */     GIR_EraseRootFromParent_Done,
     /* 2103198 */   // Label 27836: @2103198
     /* 2103198 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2103289), // Rule ID 16858 //
     /* 2103203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103249 */     // MIs[0] round
     /* 2103249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103252 */     // MIs[0] policy
     /* 2103252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103262 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2103265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103288 */     // GIR_Coverage, 16858,
     /* 2103288 */     GIR_EraseRootFromParent_Done,
     /* 2103289 */   // Label 27837: @2103289
     /* 2103289 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2103380), // Rule ID 16859 //
     /* 2103294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103340 */     // MIs[0] round
     /* 2103340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103343 */     // MIs[0] policy
     /* 2103343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103353 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2103356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103379 */     // GIR_Coverage, 16859,
     /* 2103379 */     GIR_EraseRootFromParent_Done,
     /* 2103380 */   // Label 27838: @2103380
     /* 2103380 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2103471), // Rule ID 16862 //
     /* 2103385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103431 */     // MIs[0] round
     /* 2103431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103434 */     // MIs[0] policy
     /* 2103434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103444 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103470 */     // GIR_Coverage, 16862,
     /* 2103470 */     GIR_EraseRootFromParent_Done,
     /* 2103471 */   // Label 27839: @2103471
     /* 2103471 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2103562), // Rule ID 16863 //
     /* 2103476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103522 */     // MIs[0] round
     /* 2103522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103525 */     // MIs[0] policy
     /* 2103525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103535 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103561 */     // GIR_Coverage, 16863,
     /* 2103561 */     GIR_EraseRootFromParent_Done,
     /* 2103562 */   // Label 27840: @2103562
     /* 2103562 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2103653), // Rule ID 16866 //
     /* 2103567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103613 */     // MIs[0] round
     /* 2103613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103616 */     // MIs[0] policy
     /* 2103616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103626 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103652 */     // GIR_Coverage, 16866,
     /* 2103652 */     GIR_EraseRootFromParent_Done,
     /* 2103653 */   // Label 27841: @2103653
     /* 2103653 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2103744), // Rule ID 16867 //
     /* 2103658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103704 */     // MIs[0] round
     /* 2103704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103707 */     // MIs[0] policy
     /* 2103707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103717 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103743 */     // GIR_Coverage, 16867,
     /* 2103743 */     GIR_EraseRootFromParent_Done,
     /* 2103744 */   // Label 27842: @2103744
     /* 2103744 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2103835), // Rule ID 16870 //
     /* 2103749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103795 */     // MIs[0] round
     /* 2103795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103798 */     // MIs[0] policy
     /* 2103798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103808 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103834 */     // GIR_Coverage, 16870,
     /* 2103834 */     GIR_EraseRootFromParent_Done,
     /* 2103835 */   // Label 27843: @2103835
     /* 2103835 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2103926), // Rule ID 16871 //
     /* 2103840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103886 */     // MIs[0] round
     /* 2103886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103889 */     // MIs[0] policy
     /* 2103889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103899 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103925 */     // GIR_Coverage, 16871,
     /* 2103925 */     GIR_EraseRootFromParent_Done,
     /* 2103926 */   // Label 27844: @2103926
     /* 2103926 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2104017), // Rule ID 16874 //
     /* 2103931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103977 */     // MIs[0] round
     /* 2103977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103980 */     // MIs[0] policy
     /* 2103980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103990 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2103993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104016 */     // GIR_Coverage, 16874,
     /* 2104016 */     GIR_EraseRootFromParent_Done,
     /* 2104017 */   // Label 27845: @2104017
     /* 2104017 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2104108), // Rule ID 16875 //
     /* 2104022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104068 */     // MIs[0] round
     /* 2104068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104071 */     // MIs[0] policy
     /* 2104071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104081 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2104084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104107 */     // GIR_Coverage, 16875,
     /* 2104107 */     GIR_EraseRootFromParent_Done,
     /* 2104108 */   // Label 27846: @2104108
     /* 2104108 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2104199), // Rule ID 16878 //
     /* 2104113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104159 */     // MIs[0] round
     /* 2104159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104162 */     // MIs[0] policy
     /* 2104162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104172 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2104175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104198 */     // GIR_Coverage, 16878,
     /* 2104198 */     GIR_EraseRootFromParent_Done,
     /* 2104199 */   // Label 27847: @2104199
     /* 2104199 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2104290), // Rule ID 16879 //
     /* 2104204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2104212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104250 */     // MIs[0] round
     /* 2104250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104253 */     // MIs[0] policy
     /* 2104253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104263 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2104266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104289 */     // GIR_Coverage, 16879,
     /* 2104289 */     GIR_EraseRootFromParent_Done,
     /* 2104290 */   // Label 27848: @2104290
     /* 2104290 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2104381), // Rule ID 16882 //
     /* 2104295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104341 */     // MIs[0] round
     /* 2104341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104344 */     // MIs[0] policy
     /* 2104344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104354 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104380 */     // GIR_Coverage, 16882,
     /* 2104380 */     GIR_EraseRootFromParent_Done,
     /* 2104381 */   // Label 27849: @2104381
     /* 2104381 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2104472), // Rule ID 16883 //
     /* 2104386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104432 */     // MIs[0] round
     /* 2104432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104435 */     // MIs[0] policy
     /* 2104435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104445 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104471 */     // GIR_Coverage, 16883,
     /* 2104471 */     GIR_EraseRootFromParent_Done,
     /* 2104472 */   // Label 27850: @2104472
     /* 2104472 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2104563), // Rule ID 16886 //
     /* 2104477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104523 */     // MIs[0] round
     /* 2104523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104526 */     // MIs[0] policy
     /* 2104526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104562 */     // GIR_Coverage, 16886,
     /* 2104562 */     GIR_EraseRootFromParent_Done,
     /* 2104563 */   // Label 27851: @2104563
     /* 2104563 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2104654), // Rule ID 16887 //
     /* 2104568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104614 */     // MIs[0] round
     /* 2104614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104617 */     // MIs[0] policy
     /* 2104617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104653 */     // GIR_Coverage, 16887,
     /* 2104653 */     GIR_EraseRootFromParent_Done,
     /* 2104654 */   // Label 27852: @2104654
     /* 2104654 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2104745), // Rule ID 16890 //
     /* 2104659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104705 */     // MIs[0] round
     /* 2104705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104708 */     // MIs[0] policy
     /* 2104708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104718 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104744 */     // GIR_Coverage, 16890,
     /* 2104744 */     GIR_EraseRootFromParent_Done,
     /* 2104745 */   // Label 27853: @2104745
     /* 2104745 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2104836), // Rule ID 16891 //
     /* 2104750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104796 */     // MIs[0] round
     /* 2104796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104799 */     // MIs[0] policy
     /* 2104799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104809 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104835 */     // GIR_Coverage, 16891,
     /* 2104835 */     GIR_EraseRootFromParent_Done,
     /* 2104836 */   // Label 27854: @2104836
     /* 2104836 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2104927), // Rule ID 16894 //
     /* 2104841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104887 */     // MIs[0] round
     /* 2104887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104890 */     // MIs[0] policy
     /* 2104890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104900 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104926 */     // GIR_Coverage, 16894,
     /* 2104926 */     GIR_EraseRootFromParent_Done,
     /* 2104927 */   // Label 27855: @2104927
     /* 2104927 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2105018), // Rule ID 16895 //
     /* 2104932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104978 */     // MIs[0] round
     /* 2104978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104981 */     // MIs[0] policy
     /* 2104981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104991 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105017 */     // GIR_Coverage, 16895,
     /* 2105017 */     GIR_EraseRootFromParent_Done,
     /* 2105018 */   // Label 27856: @2105018
     /* 2105018 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2105109), // Rule ID 16898 //
     /* 2105023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105069 */     // MIs[0] round
     /* 2105069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105072 */     // MIs[0] policy
     /* 2105072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105082 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2105085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105108 */     // GIR_Coverage, 16898,
     /* 2105108 */     GIR_EraseRootFromParent_Done,
     /* 2105109 */   // Label 27857: @2105109
     /* 2105109 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2105200), // Rule ID 16899 //
     /* 2105114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105160 */     // MIs[0] round
     /* 2105160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105163 */     // MIs[0] policy
     /* 2105163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2105176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105199 */     // GIR_Coverage, 16899,
     /* 2105199 */     GIR_EraseRootFromParent_Done,
     /* 2105200 */   // Label 27858: @2105200
     /* 2105200 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2105291), // Rule ID 16902 //
     /* 2105205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105251 */     // MIs[0] round
     /* 2105251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105254 */     // MIs[0] policy
     /* 2105254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105264 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2105267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105290 */     // GIR_Coverage, 16902,
     /* 2105290 */     GIR_EraseRootFromParent_Done,
     /* 2105291 */   // Label 27859: @2105291
     /* 2105291 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2105382), // Rule ID 16903 //
     /* 2105296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105342 */     // MIs[0] round
     /* 2105342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105345 */     // MIs[0] policy
     /* 2105345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105355 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2105358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105381 */     // GIR_Coverage, 16903,
     /* 2105381 */     GIR_EraseRootFromParent_Done,
     /* 2105382 */   // Label 27860: @2105382
     /* 2105382 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2105473), // Rule ID 16906 //
     /* 2105387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105433 */     // MIs[0] round
     /* 2105433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105436 */     // MIs[0] policy
     /* 2105436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105446 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105472 */     // GIR_Coverage, 16906,
     /* 2105472 */     GIR_EraseRootFromParent_Done,
     /* 2105473 */   // Label 27861: @2105473
     /* 2105473 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2105564), // Rule ID 16907 //
     /* 2105478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105524 */     // MIs[0] round
     /* 2105524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105527 */     // MIs[0] policy
     /* 2105527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105537 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105563 */     // GIR_Coverage, 16907,
     /* 2105563 */     GIR_EraseRootFromParent_Done,
     /* 2105564 */   // Label 27862: @2105564
     /* 2105564 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2105655), // Rule ID 16910 //
     /* 2105569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105615 */     // MIs[0] round
     /* 2105615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105618 */     // MIs[0] policy
     /* 2105618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105654 */     // GIR_Coverage, 16910,
     /* 2105654 */     GIR_EraseRootFromParent_Done,
     /* 2105655 */   // Label 27863: @2105655
     /* 2105655 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2105746), // Rule ID 16911 //
     /* 2105660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105706 */     // MIs[0] round
     /* 2105706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105709 */     // MIs[0] policy
     /* 2105709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105719 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105745 */     // GIR_Coverage, 16911,
     /* 2105745 */     GIR_EraseRootFromParent_Done,
     /* 2105746 */   // Label 27864: @2105746
     /* 2105746 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2105837), // Rule ID 16914 //
     /* 2105751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105797 */     // MIs[0] round
     /* 2105797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105800 */     // MIs[0] policy
     /* 2105800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105836 */     // GIR_Coverage, 16914,
     /* 2105836 */     GIR_EraseRootFromParent_Done,
     /* 2105837 */   // Label 27865: @2105837
     /* 2105837 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2105928), // Rule ID 16915 //
     /* 2105842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105888 */     // MIs[0] round
     /* 2105888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105891 */     // MIs[0] policy
     /* 2105891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105901 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105927 */     // GIR_Coverage, 16915,
     /* 2105927 */     GIR_EraseRootFromParent_Done,
     /* 2105928 */   // Label 27866: @2105928
     /* 2105928 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2106019), // Rule ID 16918 //
     /* 2105933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105979 */     // MIs[0] round
     /* 2105979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105982 */     // MIs[0] policy
     /* 2105982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105992 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2105995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106018 */     // GIR_Coverage, 16918,
     /* 2106018 */     GIR_EraseRootFromParent_Done,
     /* 2106019 */   // Label 27867: @2106019
     /* 2106019 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2106110), // Rule ID 16919 //
     /* 2106024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2106041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106070 */     // MIs[0] round
     /* 2106070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106073 */     // MIs[0] policy
     /* 2106073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2106086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106109 */     // GIR_Coverage, 16919,
     /* 2106109 */     GIR_EraseRootFromParent_Done,
     /* 2106110 */   // Label 27868: @2106110
     /* 2106110 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2106201), // Rule ID 16922 //
     /* 2106115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106161 */     // MIs[0] round
     /* 2106161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106164 */     // MIs[0] policy
     /* 2106164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106174 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2106177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106200 */     // GIR_Coverage, 16922,
     /* 2106200 */     GIR_EraseRootFromParent_Done,
     /* 2106201 */   // Label 27869: @2106201
     /* 2106201 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2106292), // Rule ID 16923 //
     /* 2106206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106252 */     // MIs[0] round
     /* 2106252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106255 */     // MIs[0] policy
     /* 2106255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2106268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106291 */     // GIR_Coverage, 16923,
     /* 2106291 */     GIR_EraseRootFromParent_Done,
     /* 2106292 */   // Label 27870: @2106292
     /* 2106292 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2106383), // Rule ID 16926 //
     /* 2106297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106343 */     // MIs[0] round
     /* 2106343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106346 */     // MIs[0] policy
     /* 2106346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106382 */     // GIR_Coverage, 16926,
     /* 2106382 */     GIR_EraseRootFromParent_Done,
     /* 2106383 */   // Label 27871: @2106383
     /* 2106383 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2106474), // Rule ID 16927 //
     /* 2106388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106434 */     // MIs[0] round
     /* 2106434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106437 */     // MIs[0] policy
     /* 2106437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106447 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106473 */     // GIR_Coverage, 16927,
     /* 2106473 */     GIR_EraseRootFromParent_Done,
     /* 2106474 */   // Label 27872: @2106474
     /* 2106474 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2106565), // Rule ID 16930 //
     /* 2106479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106525 */     // MIs[0] round
     /* 2106525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106528 */     // MIs[0] policy
     /* 2106528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106538 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106564 */     // GIR_Coverage, 16930,
     /* 2106564 */     GIR_EraseRootFromParent_Done,
     /* 2106565 */   // Label 27873: @2106565
     /* 2106565 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2106656), // Rule ID 16931 //
     /* 2106570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106616 */     // MIs[0] round
     /* 2106616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106619 */     // MIs[0] policy
     /* 2106619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106629 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106655 */     // GIR_Coverage, 16931,
     /* 2106655 */     GIR_EraseRootFromParent_Done,
     /* 2106656 */   // Label 27874: @2106656
     /* 2106656 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2106747), // Rule ID 16934 //
     /* 2106661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106707 */     // MIs[0] round
     /* 2106707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106710 */     // MIs[0] policy
     /* 2106710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106746 */     // GIR_Coverage, 16934,
     /* 2106746 */     GIR_EraseRootFromParent_Done,
     /* 2106747 */   // Label 27875: @2106747
     /* 2106747 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2106838), // Rule ID 16935 //
     /* 2106752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106798 */     // MIs[0] round
     /* 2106798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106801 */     // MIs[0] policy
     /* 2106801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106837 */     // GIR_Coverage, 16935,
     /* 2106837 */     GIR_EraseRootFromParent_Done,
     /* 2106838 */   // Label 27876: @2106838
     /* 2106838 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2106929), // Rule ID 16938 //
     /* 2106843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106889 */     // MIs[0] round
     /* 2106889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106892 */     // MIs[0] policy
     /* 2106892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106928 */     // GIR_Coverage, 16938,
     /* 2106928 */     GIR_EraseRootFromParent_Done,
     /* 2106929 */   // Label 27877: @2106929
     /* 2106929 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2107020), // Rule ID 16939 //
     /* 2106934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106980 */     // MIs[0] round
     /* 2106980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106983 */     // MIs[0] policy
     /* 2106983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106993 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107019 */     // GIR_Coverage, 16939,
     /* 2107019 */     GIR_EraseRootFromParent_Done,
     /* 2107020 */   // Label 27878: @2107020
     /* 2107020 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2107111), // Rule ID 16942 //
     /* 2107025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107071 */     // MIs[0] round
     /* 2107071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107074 */     // MIs[0] policy
     /* 2107074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2107087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107110 */     // GIR_Coverage, 16942,
     /* 2107110 */     GIR_EraseRootFromParent_Done,
     /* 2107111 */   // Label 27879: @2107111
     /* 2107111 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2107202), // Rule ID 16943 //
     /* 2107116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107162 */     // MIs[0] round
     /* 2107162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107165 */     // MIs[0] policy
     /* 2107165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107175 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2107178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107201 */     // GIR_Coverage, 16943,
     /* 2107201 */     GIR_EraseRootFromParent_Done,
     /* 2107202 */   // Label 27880: @2107202
     /* 2107202 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2107293), // Rule ID 16946 //
     /* 2107207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107253 */     // MIs[0] round
     /* 2107253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107256 */     // MIs[0] policy
     /* 2107256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107266 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2107269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107292 */     // GIR_Coverage, 16946,
     /* 2107292 */     GIR_EraseRootFromParent_Done,
     /* 2107293 */   // Label 27881: @2107293
     /* 2107293 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2107384), // Rule ID 16947 //
     /* 2107298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107344 */     // MIs[0] round
     /* 2107344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107347 */     // MIs[0] policy
     /* 2107347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107357 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2107360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107383 */     // GIR_Coverage, 16947,
     /* 2107383 */     GIR_EraseRootFromParent_Done,
     /* 2107384 */   // Label 27882: @2107384
     /* 2107384 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2107475), // Rule ID 16950 //
     /* 2107389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107435 */     // MIs[0] round
     /* 2107435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107438 */     // MIs[0] policy
     /* 2107438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107448 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107474 */     // GIR_Coverage, 16950,
     /* 2107474 */     GIR_EraseRootFromParent_Done,
     /* 2107475 */   // Label 27883: @2107475
     /* 2107475 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2107566), // Rule ID 16951 //
     /* 2107480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107526 */     // MIs[0] round
     /* 2107526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107529 */     // MIs[0] policy
     /* 2107529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107539 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107565 */     // GIR_Coverage, 16951,
     /* 2107565 */     GIR_EraseRootFromParent_Done,
     /* 2107566 */   // Label 27884: @2107566
     /* 2107566 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2107657), // Rule ID 16954 //
     /* 2107571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107617 */     // MIs[0] round
     /* 2107617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107620 */     // MIs[0] policy
     /* 2107620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107630 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107656 */     // GIR_Coverage, 16954,
     /* 2107656 */     GIR_EraseRootFromParent_Done,
     /* 2107657 */   // Label 27885: @2107657
     /* 2107657 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2107748), // Rule ID 16955 //
     /* 2107662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107708 */     // MIs[0] round
     /* 2107708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107711 */     // MIs[0] policy
     /* 2107711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107721 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107747 */     // GIR_Coverage, 16955,
     /* 2107747 */     GIR_EraseRootFromParent_Done,
     /* 2107748 */   // Label 27886: @2107748
     /* 2107748 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2107839), // Rule ID 16958 //
     /* 2107753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107799 */     // MIs[0] round
     /* 2107799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107802 */     // MIs[0] policy
     /* 2107802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107838 */     // GIR_Coverage, 16958,
     /* 2107838 */     GIR_EraseRootFromParent_Done,
     /* 2107839 */   // Label 27887: @2107839
     /* 2107839 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2107930), // Rule ID 16959 //
     /* 2107844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107890 */     // MIs[0] round
     /* 2107890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107893 */     // MIs[0] policy
     /* 2107893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107929 */     // GIR_Coverage, 16959,
     /* 2107929 */     GIR_EraseRootFromParent_Done,
     /* 2107930 */   // Label 27888: @2107930
     /* 2107930 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2108021), // Rule ID 16962 //
     /* 2107935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107981 */     // MIs[0] round
     /* 2107981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107984 */     // MIs[0] policy
     /* 2107984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107994 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2107997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108020 */     // GIR_Coverage, 16962,
     /* 2108020 */     GIR_EraseRootFromParent_Done,
     /* 2108021 */   // Label 27889: @2108021
     /* 2108021 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2108112), // Rule ID 16963 //
     /* 2108026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108072 */     // MIs[0] round
     /* 2108072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108075 */     // MIs[0] policy
     /* 2108075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108085 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2108088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108111 */     // GIR_Coverage, 16963,
     /* 2108111 */     GIR_EraseRootFromParent_Done,
     /* 2108112 */   // Label 27890: @2108112
     /* 2108112 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2108203), // Rule ID 16966 //
     /* 2108117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108163 */     // MIs[0] round
     /* 2108163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108166 */     // MIs[0] policy
     /* 2108166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108176 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2108179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108202 */     // GIR_Coverage, 16966,
     /* 2108202 */     GIR_EraseRootFromParent_Done,
     /* 2108203 */   // Label 27891: @2108203
     /* 2108203 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2108294), // Rule ID 16967 //
     /* 2108208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108254 */     // MIs[0] round
     /* 2108254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108257 */     // MIs[0] policy
     /* 2108257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108267 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2108270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108293 */     // GIR_Coverage, 16967,
     /* 2108293 */     GIR_EraseRootFromParent_Done,
     /* 2108294 */   // Label 27892: @2108294
     /* 2108294 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2108385), // Rule ID 16970 //
     /* 2108299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108345 */     // MIs[0] round
     /* 2108345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108348 */     // MIs[0] policy
     /* 2108348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108358 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108384 */     // GIR_Coverage, 16970,
     /* 2108384 */     GIR_EraseRootFromParent_Done,
     /* 2108385 */   // Label 27893: @2108385
     /* 2108385 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2108476), // Rule ID 16971 //
     /* 2108390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108436 */     // MIs[0] round
     /* 2108436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108439 */     // MIs[0] policy
     /* 2108439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108449 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108475 */     // GIR_Coverage, 16971,
     /* 2108475 */     GIR_EraseRootFromParent_Done,
     /* 2108476 */   // Label 27894: @2108476
     /* 2108476 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2108567), // Rule ID 16974 //
     /* 2108481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108527 */     // MIs[0] round
     /* 2108527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108530 */     // MIs[0] policy
     /* 2108530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108566 */     // GIR_Coverage, 16974,
     /* 2108566 */     GIR_EraseRootFromParent_Done,
     /* 2108567 */   // Label 27895: @2108567
     /* 2108567 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2108658), // Rule ID 16975 //
     /* 2108572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108618 */     // MIs[0] round
     /* 2108618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108621 */     // MIs[0] policy
     /* 2108621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108657 */     // GIR_Coverage, 16975,
     /* 2108657 */     GIR_EraseRootFromParent_Done,
     /* 2108658 */   // Label 27896: @2108658
     /* 2108658 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2108749), // Rule ID 16978 //
     /* 2108663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108709 */     // MIs[0] round
     /* 2108709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108712 */     // MIs[0] policy
     /* 2108712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108722 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108748 */     // GIR_Coverage, 16978,
     /* 2108748 */     GIR_EraseRootFromParent_Done,
     /* 2108749 */   // Label 27897: @2108749
     /* 2108749 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2108840), // Rule ID 16979 //
     /* 2108754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108800 */     // MIs[0] round
     /* 2108800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108803 */     // MIs[0] policy
     /* 2108803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108813 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108839 */     // GIR_Coverage, 16979,
     /* 2108839 */     GIR_EraseRootFromParent_Done,
     /* 2108840 */   // Label 27898: @2108840
     /* 2108840 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2108931), // Rule ID 16982 //
     /* 2108845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108891 */     // MIs[0] round
     /* 2108891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108894 */     // MIs[0] policy
     /* 2108894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108904 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108930 */     // GIR_Coverage, 16982,
     /* 2108930 */     GIR_EraseRootFromParent_Done,
     /* 2108931 */   // Label 27899: @2108931
     /* 2108931 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2109022), // Rule ID 16983 //
     /* 2108936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108982 */     // MIs[0] round
     /* 2108982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108985 */     // MIs[0] policy
     /* 2108985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108995 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109021 */     // GIR_Coverage, 16983,
     /* 2109021 */     GIR_EraseRootFromParent_Done,
     /* 2109022 */   // Label 27900: @2109022
     /* 2109022 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2109113), // Rule ID 16986 //
     /* 2109027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109073 */     // MIs[0] round
     /* 2109073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109076 */     // MIs[0] policy
     /* 2109076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109086 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2109089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109112 */     // GIR_Coverage, 16986,
     /* 2109112 */     GIR_EraseRootFromParent_Done,
     /* 2109113 */   // Label 27901: @2109113
     /* 2109113 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2109204), // Rule ID 16987 //
     /* 2109118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109164 */     // MIs[0] round
     /* 2109164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109167 */     // MIs[0] policy
     /* 2109167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109177 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2109180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109203 */     // GIR_Coverage, 16987,
     /* 2109203 */     GIR_EraseRootFromParent_Done,
     /* 2109204 */   // Label 27902: @2109204
     /* 2109204 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2109295), // Rule ID 16990 //
     /* 2109209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109255 */     // MIs[0] round
     /* 2109255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109258 */     // MIs[0] policy
     /* 2109258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2109271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109294 */     // GIR_Coverage, 16990,
     /* 2109294 */     GIR_EraseRootFromParent_Done,
     /* 2109295 */   // Label 27903: @2109295
     /* 2109295 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2109386), // Rule ID 16991 //
     /* 2109300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109346 */     // MIs[0] round
     /* 2109346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109349 */     // MIs[0] policy
     /* 2109349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109359 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2109362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109385 */     // GIR_Coverage, 16991,
     /* 2109385 */     GIR_EraseRootFromParent_Done,
     /* 2109386 */   // Label 27904: @2109386
     /* 2109386 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2109477), // Rule ID 16994 //
     /* 2109391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109437 */     // MIs[0] round
     /* 2109437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109440 */     // MIs[0] policy
     /* 2109440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109450 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109476 */     // GIR_Coverage, 16994,
     /* 2109476 */     GIR_EraseRootFromParent_Done,
     /* 2109477 */   // Label 27905: @2109477
     /* 2109477 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2109568), // Rule ID 16995 //
     /* 2109482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109528 */     // MIs[0] round
     /* 2109528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109531 */     // MIs[0] policy
     /* 2109531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109541 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109567 */     // GIR_Coverage, 16995,
     /* 2109567 */     GIR_EraseRootFromParent_Done,
     /* 2109568 */   // Label 27906: @2109568
     /* 2109568 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2109659), // Rule ID 16998 //
     /* 2109573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109619 */     // MIs[0] round
     /* 2109619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109622 */     // MIs[0] policy
     /* 2109622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109632 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109658 */     // GIR_Coverage, 16998,
     /* 2109658 */     GIR_EraseRootFromParent_Done,
     /* 2109659 */   // Label 27907: @2109659
     /* 2109659 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2109750), // Rule ID 16999 //
     /* 2109664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109710 */     // MIs[0] round
     /* 2109710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109713 */     // MIs[0] policy
     /* 2109713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109723 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109749 */     // GIR_Coverage, 16999,
     /* 2109749 */     GIR_EraseRootFromParent_Done,
     /* 2109750 */   // Label 27908: @2109750
     /* 2109750 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2109841), // Rule ID 17002 //
     /* 2109755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109801 */     // MIs[0] round
     /* 2109801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109804 */     // MIs[0] policy
     /* 2109804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109814 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109840 */     // GIR_Coverage, 17002,
     /* 2109840 */     GIR_EraseRootFromParent_Done,
     /* 2109841 */   // Label 27909: @2109841
     /* 2109841 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2109932), // Rule ID 17003 //
     /* 2109846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109892 */     // MIs[0] round
     /* 2109892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109895 */     // MIs[0] policy
     /* 2109895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109931 */     // GIR_Coverage, 17003,
     /* 2109931 */     GIR_EraseRootFromParent_Done,
     /* 2109932 */   // Label 27910: @2109932
     /* 2109932 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2110023), // Rule ID 17006 //
     /* 2109937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109983 */     // MIs[0] round
     /* 2109983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109986 */     // MIs[0] policy
     /* 2109986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109996 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2109999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110022 */     // GIR_Coverage, 17006,
     /* 2110022 */     GIR_EraseRootFromParent_Done,
     /* 2110023 */   // Label 27911: @2110023
     /* 2110023 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2110114), // Rule ID 17007 //
     /* 2110028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110074 */     // MIs[0] round
     /* 2110074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110077 */     // MIs[0] policy
     /* 2110077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110087 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2110090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110113 */     // GIR_Coverage, 17007,
     /* 2110113 */     GIR_EraseRootFromParent_Done,
     /* 2110114 */   // Label 27912: @2110114
     /* 2110114 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2110205), // Rule ID 17010 //
     /* 2110119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110165 */     // MIs[0] round
     /* 2110165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110168 */     // MIs[0] policy
     /* 2110168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2110181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110204 */     // GIR_Coverage, 17010,
     /* 2110204 */     GIR_EraseRootFromParent_Done,
     /* 2110205 */   // Label 27913: @2110205
     /* 2110205 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2110296), // Rule ID 17011 //
     /* 2110210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110256 */     // MIs[0] round
     /* 2110256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110259 */     // MIs[0] policy
     /* 2110259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2110272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110295 */     // GIR_Coverage, 17011,
     /* 2110295 */     GIR_EraseRootFromParent_Done,
     /* 2110296 */   // Label 27914: @2110296
     /* 2110296 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2110387), // Rule ID 17014 //
     /* 2110301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110347 */     // MIs[0] round
     /* 2110347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110350 */     // MIs[0] policy
     /* 2110350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110360 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110386 */     // GIR_Coverage, 17014,
     /* 2110386 */     GIR_EraseRootFromParent_Done,
     /* 2110387 */   // Label 27915: @2110387
     /* 2110387 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2110478), // Rule ID 17015 //
     /* 2110392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110438 */     // MIs[0] round
     /* 2110438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110441 */     // MIs[0] policy
     /* 2110441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110477 */     // GIR_Coverage, 17015,
     /* 2110477 */     GIR_EraseRootFromParent_Done,
     /* 2110478 */   // Label 27916: @2110478
     /* 2110478 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2110569), // Rule ID 17018 //
     /* 2110483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110529 */     // MIs[0] round
     /* 2110529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110532 */     // MIs[0] policy
     /* 2110532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110542 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110568 */     // GIR_Coverage, 17018,
     /* 2110568 */     GIR_EraseRootFromParent_Done,
     /* 2110569 */   // Label 27917: @2110569
     /* 2110569 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2110660), // Rule ID 17019 //
     /* 2110574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110620 */     // MIs[0] round
     /* 2110620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110623 */     // MIs[0] policy
     /* 2110623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110633 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110659 */     // GIR_Coverage, 17019,
     /* 2110659 */     GIR_EraseRootFromParent_Done,
     /* 2110660 */   // Label 27918: @2110660
     /* 2110660 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2110751), // Rule ID 17022 //
     /* 2110665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110711 */     // MIs[0] round
     /* 2110711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110714 */     // MIs[0] policy
     /* 2110714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110724 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110750 */     // GIR_Coverage, 17022,
     /* 2110750 */     GIR_EraseRootFromParent_Done,
     /* 2110751 */   // Label 27919: @2110751
     /* 2110751 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2110842), // Rule ID 17023 //
     /* 2110756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110802 */     // MIs[0] round
     /* 2110802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110805 */     // MIs[0] policy
     /* 2110805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110815 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110841 */     // GIR_Coverage, 17023,
     /* 2110841 */     GIR_EraseRootFromParent_Done,
     /* 2110842 */   // Label 27920: @2110842
     /* 2110842 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2110933), // Rule ID 17032 //
     /* 2110847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110893 */     // MIs[0] round
     /* 2110893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110896 */     // MIs[0] policy
     /* 2110896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110906 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110932 */     // GIR_Coverage, 17032,
     /* 2110932 */     GIR_EraseRootFromParent_Done,
     /* 2110933 */   // Label 27921: @2110933
     /* 2110933 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2111024), // Rule ID 17033 //
     /* 2110938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110984 */     // MIs[0] round
     /* 2110984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110987 */     // MIs[0] policy
     /* 2110987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110997 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2111000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111023 */     // GIR_Coverage, 17033,
     /* 2111023 */     GIR_EraseRootFromParent_Done,
     /* 2111024 */   // Label 27922: @2111024
     /* 2111024 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2111115), // Rule ID 17042 //
     /* 2111029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111075 */     // MIs[0] round
     /* 2111075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111078 */     // MIs[0] policy
     /* 2111078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111088 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2111091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111114 */     // GIR_Coverage, 17042,
     /* 2111114 */     GIR_EraseRootFromParent_Done,
     /* 2111115 */   // Label 27923: @2111115
     /* 2111115 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2111206), // Rule ID 17043 //
     /* 2111120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111166 */     // MIs[0] round
     /* 2111166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111169 */     // MIs[0] policy
     /* 2111169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111179 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2111182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111205 */     // GIR_Coverage, 17043,
     /* 2111205 */     GIR_EraseRootFromParent_Done,
     /* 2111206 */   // Label 27924: @2111206
     /* 2111206 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2111297), // Rule ID 17052 //
     /* 2111211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111257 */     // MIs[0] round
     /* 2111257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111260 */     // MIs[0] policy
     /* 2111260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111270 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2111273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111296 */     // GIR_Coverage, 17052,
     /* 2111296 */     GIR_EraseRootFromParent_Done,
     /* 2111297 */   // Label 27925: @2111297
     /* 2111297 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2111388), // Rule ID 17053 //
     /* 2111302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111348 */     // MIs[0] round
     /* 2111348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111351 */     // MIs[0] policy
     /* 2111351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111361 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2111364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111387 */     // GIR_Coverage, 17053,
     /* 2111387 */     GIR_EraseRootFromParent_Done,
     /* 2111388 */   // Label 27926: @2111388
     /* 2111388 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2111479), // Rule ID 17062 //
     /* 2111393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111439 */     // MIs[0] round
     /* 2111439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111442 */     // MIs[0] policy
     /* 2111442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111478 */     // GIR_Coverage, 17062,
     /* 2111478 */     GIR_EraseRootFromParent_Done,
     /* 2111479 */   // Label 27927: @2111479
     /* 2111479 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2111570), // Rule ID 17063 //
     /* 2111484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111530 */     // MIs[0] round
     /* 2111530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111533 */     // MIs[0] policy
     /* 2111533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111543 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111569 */     // GIR_Coverage, 17063,
     /* 2111569 */     GIR_EraseRootFromParent_Done,
     /* 2111570 */   // Label 27928: @2111570
     /* 2111570 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2111661), // Rule ID 17072 //
     /* 2111575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111621 */     // MIs[0] round
     /* 2111621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111624 */     // MIs[0] policy
     /* 2111624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111660 */     // GIR_Coverage, 17072,
     /* 2111660 */     GIR_EraseRootFromParent_Done,
     /* 2111661 */   // Label 27929: @2111661
     /* 2111661 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2111752), // Rule ID 17073 //
     /* 2111666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111712 */     // MIs[0] round
     /* 2111712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111715 */     // MIs[0] policy
     /* 2111715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111725 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111751 */     // GIR_Coverage, 17073,
     /* 2111751 */     GIR_EraseRootFromParent_Done,
     /* 2111752 */   // Label 27930: @2111752
     /* 2111752 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2111843), // Rule ID 17082 //
     /* 2111757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111803 */     // MIs[0] round
     /* 2111803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111806 */     // MIs[0] policy
     /* 2111806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111842 */     // GIR_Coverage, 17082,
     /* 2111842 */     GIR_EraseRootFromParent_Done,
     /* 2111843 */   // Label 27931: @2111843
     /* 2111843 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2111934), // Rule ID 17083 //
     /* 2111848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111894 */     // MIs[0] round
     /* 2111894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111897 */     // MIs[0] policy
     /* 2111897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111933 */     // GIR_Coverage, 17083,
     /* 2111933 */     GIR_EraseRootFromParent_Done,
     /* 2111934 */   // Label 27932: @2111934
     /* 2111934 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2112025), // Rule ID 17092 //
     /* 2111939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111985 */     // MIs[0] round
     /* 2111985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111988 */     // MIs[0] policy
     /* 2111988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111998 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2112001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112024 */     // GIR_Coverage, 17092,
     /* 2112024 */     GIR_EraseRootFromParent_Done,
     /* 2112025 */   // Label 27933: @2112025
     /* 2112025 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2112116), // Rule ID 17093 //
     /* 2112030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2112041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2112044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2112047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2112050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112076 */     // MIs[0] round
     /* 2112076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112079 */     // MIs[0] policy
     /* 2112079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112089 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2112092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112115 */     // GIR_Coverage, 17093,
     /* 2112115 */     GIR_EraseRootFromParent_Done,
     /* 2112116 */   // Label 27934: @2112116
     /* 2112116 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2112207), // Rule ID 17102 //
     /* 2112121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112167 */     // MIs[0] round
     /* 2112167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112170 */     // MIs[0] policy
     /* 2112170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112180 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2112183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112206 */     // GIR_Coverage, 17102,
     /* 2112206 */     GIR_EraseRootFromParent_Done,
     /* 2112207 */   // Label 27935: @2112207
     /* 2112207 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2112298), // Rule ID 17103 //
     /* 2112212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112258 */     // MIs[0] round
     /* 2112258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112261 */     // MIs[0] policy
     /* 2112261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112271 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2112274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112297 */     // GIR_Coverage, 17103,
     /* 2112297 */     GIR_EraseRootFromParent_Done,
     /* 2112298 */   // Label 27936: @2112298
     /* 2112298 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2112389), // Rule ID 17106 //
     /* 2112303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112349 */     // MIs[0] round
     /* 2112349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112352 */     // MIs[0] policy
     /* 2112352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112362 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112388 */     // GIR_Coverage, 17106,
     /* 2112388 */     GIR_EraseRootFromParent_Done,
     /* 2112389 */   // Label 27937: @2112389
     /* 2112389 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2112480), // Rule ID 17107 //
     /* 2112394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112440 */     // MIs[0] round
     /* 2112440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112443 */     // MIs[0] policy
     /* 2112443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112453 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112479 */     // GIR_Coverage, 17107,
     /* 2112479 */     GIR_EraseRootFromParent_Done,
     /* 2112480 */   // Label 27938: @2112480
     /* 2112480 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2112571), // Rule ID 17110 //
     /* 2112485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112531 */     // MIs[0] round
     /* 2112531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112534 */     // MIs[0] policy
     /* 2112534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112570 */     // GIR_Coverage, 17110,
     /* 2112570 */     GIR_EraseRootFromParent_Done,
     /* 2112571 */   // Label 27939: @2112571
     /* 2112571 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2112662), // Rule ID 17111 //
     /* 2112576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112622 */     // MIs[0] round
     /* 2112622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112625 */     // MIs[0] policy
     /* 2112625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112635 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112661 */     // GIR_Coverage, 17111,
     /* 2112661 */     GIR_EraseRootFromParent_Done,
     /* 2112662 */   // Label 27940: @2112662
     /* 2112662 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2112753), // Rule ID 17114 //
     /* 2112667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112713 */     // MIs[0] round
     /* 2112713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112716 */     // MIs[0] policy
     /* 2112716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112726 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112752 */     // GIR_Coverage, 17114,
     /* 2112752 */     GIR_EraseRootFromParent_Done,
     /* 2112753 */   // Label 27941: @2112753
     /* 2112753 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2112844), // Rule ID 17115 //
     /* 2112758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112804 */     // MIs[0] round
     /* 2112804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112807 */     // MIs[0] policy
     /* 2112807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112843 */     // GIR_Coverage, 17115,
     /* 2112843 */     GIR_EraseRootFromParent_Done,
     /* 2112844 */   // Label 27942: @2112844
     /* 2112844 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2112935), // Rule ID 17118 //
     /* 2112849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112895 */     // MIs[0] round
     /* 2112895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112898 */     // MIs[0] policy
     /* 2112898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112934 */     // GIR_Coverage, 17118,
     /* 2112934 */     GIR_EraseRootFromParent_Done,
     /* 2112935 */   // Label 27943: @2112935
     /* 2112935 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2113026), // Rule ID 17119 //
     /* 2112940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112986 */     // MIs[0] round
     /* 2112986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112989 */     // MIs[0] policy
     /* 2112989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112999 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2113002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113025 */     // GIR_Coverage, 17119,
     /* 2113025 */     GIR_EraseRootFromParent_Done,
     /* 2113026 */   // Label 27944: @2113026
     /* 2113026 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2113117), // Rule ID 17122 //
     /* 2113031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113077 */     // MIs[0] round
     /* 2113077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113080 */     // MIs[0] policy
     /* 2113080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2113093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113116 */     // GIR_Coverage, 17122,
     /* 2113116 */     GIR_EraseRootFromParent_Done,
     /* 2113117 */   // Label 27945: @2113117
     /* 2113117 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2113208), // Rule ID 17123 //
     /* 2113122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113168 */     // MIs[0] round
     /* 2113168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113171 */     // MIs[0] policy
     /* 2113171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113181 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2113184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113207 */     // GIR_Coverage, 17123,
     /* 2113207 */     GIR_EraseRootFromParent_Done,
     /* 2113208 */   // Label 27946: @2113208
     /* 2113208 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2113299), // Rule ID 17126 //
     /* 2113213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113259 */     // MIs[0] round
     /* 2113259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113262 */     // MIs[0] policy
     /* 2113262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113272 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2113275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113298 */     // GIR_Coverage, 17126,
     /* 2113298 */     GIR_EraseRootFromParent_Done,
     /* 2113299 */   // Label 27947: @2113299
     /* 2113299 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2113390), // Rule ID 17127 //
     /* 2113304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113350 */     // MIs[0] round
     /* 2113350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113353 */     // MIs[0] policy
     /* 2113353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113363 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2113366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113389 */     // GIR_Coverage, 17127,
     /* 2113389 */     GIR_EraseRootFromParent_Done,
     /* 2113390 */   // Label 27948: @2113390
     /* 2113390 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2113481), // Rule ID 17130 //
     /* 2113395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113441 */     // MIs[0] round
     /* 2113441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113444 */     // MIs[0] policy
     /* 2113444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113454 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113480 */     // GIR_Coverage, 17130,
     /* 2113480 */     GIR_EraseRootFromParent_Done,
     /* 2113481 */   // Label 27949: @2113481
     /* 2113481 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2113572), // Rule ID 17131 //
     /* 2113486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113532 */     // MIs[0] round
     /* 2113532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113535 */     // MIs[0] policy
     /* 2113535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113545 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113571 */     // GIR_Coverage, 17131,
     /* 2113571 */     GIR_EraseRootFromParent_Done,
     /* 2113572 */   // Label 27950: @2113572
     /* 2113572 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2113663), // Rule ID 17134 //
     /* 2113577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113623 */     // MIs[0] round
     /* 2113623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113626 */     // MIs[0] policy
     /* 2113626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113662 */     // GIR_Coverage, 17134,
     /* 2113662 */     GIR_EraseRootFromParent_Done,
     /* 2113663 */   // Label 27951: @2113663
     /* 2113663 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2113754), // Rule ID 17135 //
     /* 2113668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113714 */     // MIs[0] round
     /* 2113714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113717 */     // MIs[0] policy
     /* 2113717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113753 */     // GIR_Coverage, 17135,
     /* 2113753 */     GIR_EraseRootFromParent_Done,
     /* 2113754 */   // Label 27952: @2113754
     /* 2113754 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2113845), // Rule ID 17138 //
     /* 2113759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113805 */     // MIs[0] round
     /* 2113805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113808 */     // MIs[0] policy
     /* 2113808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113844 */     // GIR_Coverage, 17138,
     /* 2113844 */     GIR_EraseRootFromParent_Done,
     /* 2113845 */   // Label 27953: @2113845
     /* 2113845 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2113936), // Rule ID 17139 //
     /* 2113850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113896 */     // MIs[0] round
     /* 2113896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113899 */     // MIs[0] policy
     /* 2113899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113935 */     // GIR_Coverage, 17139,
     /* 2113935 */     GIR_EraseRootFromParent_Done,
     /* 2113936 */   // Label 27954: @2113936
     /* 2113936 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2114027), // Rule ID 17148 //
     /* 2113941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113987 */     // MIs[0] round
     /* 2113987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113990 */     // MIs[0] policy
     /* 2113990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2114003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114026 */     // GIR_Coverage, 17148,
     /* 2114026 */     GIR_EraseRootFromParent_Done,
     /* 2114027 */   // Label 27955: @2114027
     /* 2114027 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2114118), // Rule ID 17149 //
     /* 2114032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2114052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114078 */     // MIs[0] round
     /* 2114078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114081 */     // MIs[0] policy
     /* 2114081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114091 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2114094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114117 */     // GIR_Coverage, 17149,
     /* 2114117 */     GIR_EraseRootFromParent_Done,
     /* 2114118 */   // Label 27956: @2114118
     /* 2114118 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2114209), // Rule ID 17158 //
     /* 2114123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114169 */     // MIs[0] round
     /* 2114169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114172 */     // MIs[0] policy
     /* 2114172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2114185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114208 */     // GIR_Coverage, 17158,
     /* 2114208 */     GIR_EraseRootFromParent_Done,
     /* 2114209 */   // Label 27957: @2114209
     /* 2114209 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2114300), // Rule ID 17159 //
     /* 2114214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114260 */     // MIs[0] round
     /* 2114260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114263 */     // MIs[0] policy
     /* 2114263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2114276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114299 */     // GIR_Coverage, 17159,
     /* 2114299 */     GIR_EraseRootFromParent_Done,
     /* 2114300 */   // Label 27958: @2114300
     /* 2114300 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2114391), // Rule ID 17168 //
     /* 2114305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114351 */     // MIs[0] round
     /* 2114351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114354 */     // MIs[0] policy
     /* 2114354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114364 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114390 */     // GIR_Coverage, 17168,
     /* 2114390 */     GIR_EraseRootFromParent_Done,
     /* 2114391 */   // Label 27959: @2114391
     /* 2114391 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2114482), // Rule ID 17169 //
     /* 2114396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2114416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114442 */     // MIs[0] round
     /* 2114442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114445 */     // MIs[0] policy
     /* 2114445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114455 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114481 */     // GIR_Coverage, 17169,
     /* 2114481 */     GIR_EraseRootFromParent_Done,
     /* 2114482 */   // Label 27960: @2114482
     /* 2114482 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2114573), // Rule ID 17178 //
     /* 2114487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114533 */     // MIs[0] round
     /* 2114533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114536 */     // MIs[0] policy
     /* 2114536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114546 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114572 */     // GIR_Coverage, 17178,
     /* 2114572 */     GIR_EraseRootFromParent_Done,
     /* 2114573 */   // Label 27961: @2114573
     /* 2114573 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2114664), // Rule ID 17179 //
     /* 2114578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114624 */     // MIs[0] round
     /* 2114624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114627 */     // MIs[0] policy
     /* 2114627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114637 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114663 */     // GIR_Coverage, 17179,
     /* 2114663 */     GIR_EraseRootFromParent_Done,
     /* 2114664 */   // Label 27962: @2114664
     /* 2114664 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2114755), // Rule ID 17188 //
     /* 2114669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114715 */     // MIs[0] round
     /* 2114715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114718 */     // MIs[0] policy
     /* 2114718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114754 */     // GIR_Coverage, 17188,
     /* 2114754 */     GIR_EraseRootFromParent_Done,
     /* 2114755 */   // Label 27963: @2114755
     /* 2114755 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2114846), // Rule ID 17189 //
     /* 2114760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114806 */     // MIs[0] round
     /* 2114806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114809 */     // MIs[0] policy
     /* 2114809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114819 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114845 */     // GIR_Coverage, 17189,
     /* 2114845 */     GIR_EraseRootFromParent_Done,
     /* 2114846 */   // Label 27964: @2114846
     /* 2114846 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2114937), // Rule ID 17198 //
     /* 2114851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114897 */     // MIs[0] round
     /* 2114897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114900 */     // MIs[0] policy
     /* 2114900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114936 */     // GIR_Coverage, 17198,
     /* 2114936 */     GIR_EraseRootFromParent_Done,
     /* 2114937 */   // Label 27965: @2114937
     /* 2114937 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2115028), // Rule ID 17199 //
     /* 2114942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114988 */     // MIs[0] round
     /* 2114988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114991 */     // MIs[0] policy
     /* 2114991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2115004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115027 */     // GIR_Coverage, 17199,
     /* 2115027 */     GIR_EraseRootFromParent_Done,
     /* 2115028 */   // Label 27966: @2115028
     /* 2115028 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2115119), // Rule ID 17208 //
     /* 2115033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115079 */     // MIs[0] round
     /* 2115079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115082 */     // MIs[0] policy
     /* 2115082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2115095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115118 */     // GIR_Coverage, 17208,
     /* 2115118 */     GIR_EraseRootFromParent_Done,
     /* 2115119 */   // Label 27967: @2115119
     /* 2115119 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2115210), // Rule ID 17209 //
     /* 2115124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115170 */     // MIs[0] round
     /* 2115170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115173 */     // MIs[0] policy
     /* 2115173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115183 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2115186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115209 */     // GIR_Coverage, 17209,
     /* 2115209 */     GIR_EraseRootFromParent_Done,
     /* 2115210 */   // Label 27968: @2115210
     /* 2115210 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2115301), // Rule ID 17218 //
     /* 2115215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115261 */     // MIs[0] round
     /* 2115261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115264 */     // MIs[0] policy
     /* 2115264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2115277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115300 */     // GIR_Coverage, 17218,
     /* 2115300 */     GIR_EraseRootFromParent_Done,
     /* 2115301 */   // Label 27969: @2115301
     /* 2115301 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2115392), // Rule ID 17219 //
     /* 2115306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2115326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115352 */     // MIs[0] round
     /* 2115352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115355 */     // MIs[0] policy
     /* 2115355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2115368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115391 */     // GIR_Coverage, 17219,
     /* 2115391 */     GIR_EraseRootFromParent_Done,
     /* 2115392 */   // Label 27970: @2115392
     /* 2115392 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2115483), // Rule ID 17228 //
     /* 2115397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115443 */     // MIs[0] round
     /* 2115443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115446 */     // MIs[0] policy
     /* 2115446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115482 */     // GIR_Coverage, 17228,
     /* 2115482 */     GIR_EraseRootFromParent_Done,
     /* 2115483 */   // Label 27971: @2115483
     /* 2115483 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2115574), // Rule ID 17229 //
     /* 2115488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115534 */     // MIs[0] round
     /* 2115534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115537 */     // MIs[0] policy
     /* 2115537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115573 */     // GIR_Coverage, 17229,
     /* 2115573 */     GIR_EraseRootFromParent_Done,
     /* 2115574 */   // Label 27972: @2115574
     /* 2115574 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2115665), // Rule ID 17232 //
     /* 2115579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115625 */     // MIs[0] round
     /* 2115625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115628 */     // MIs[0] policy
     /* 2115628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115664 */     // GIR_Coverage, 17232,
     /* 2115664 */     GIR_EraseRootFromParent_Done,
     /* 2115665 */   // Label 27973: @2115665
     /* 2115665 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2115756), // Rule ID 17233 //
     /* 2115670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115716 */     // MIs[0] round
     /* 2115716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115719 */     // MIs[0] policy
     /* 2115719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115729 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115755 */     // GIR_Coverage, 17233,
     /* 2115755 */     GIR_EraseRootFromParent_Done,
     /* 2115756 */   // Label 27974: @2115756
     /* 2115756 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2115847), // Rule ID 17236 //
     /* 2115761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115807 */     // MIs[0] round
     /* 2115807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115810 */     // MIs[0] policy
     /* 2115810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115820 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115846 */     // GIR_Coverage, 17236,
     /* 2115846 */     GIR_EraseRootFromParent_Done,
     /* 2115847 */   // Label 27975: @2115847
     /* 2115847 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2115938), // Rule ID 17237 //
     /* 2115852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115898 */     // MIs[0] round
     /* 2115898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115901 */     // MIs[0] policy
     /* 2115901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115911 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115937 */     // GIR_Coverage, 17237,
     /* 2115937 */     GIR_EraseRootFromParent_Done,
     /* 2115938 */   // Label 27976: @2115938
     /* 2115938 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2116029), // Rule ID 17240 //
     /* 2115943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115989 */     // MIs[0] round
     /* 2115989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115992 */     // MIs[0] policy
     /* 2115992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2116005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116028 */     // GIR_Coverage, 17240,
     /* 2116028 */     GIR_EraseRootFromParent_Done,
     /* 2116029 */   // Label 27977: @2116029
     /* 2116029 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2116120), // Rule ID 17241 //
     /* 2116034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116080 */     // MIs[0] round
     /* 2116080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116083 */     // MIs[0] policy
     /* 2116083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116093 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2116096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116119 */     // GIR_Coverage, 17241,
     /* 2116119 */     GIR_EraseRootFromParent_Done,
     /* 2116120 */   // Label 27978: @2116120
     /* 2116120 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2116211), // Rule ID 17244 //
     /* 2116125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116171 */     // MIs[0] round
     /* 2116171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116174 */     // MIs[0] policy
     /* 2116174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116184 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2116187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116210 */     // GIR_Coverage, 17244,
     /* 2116210 */     GIR_EraseRootFromParent_Done,
     /* 2116211 */   // Label 27979: @2116211
     /* 2116211 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2116302), // Rule ID 17245 //
     /* 2116216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116262 */     // MIs[0] round
     /* 2116262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116265 */     // MIs[0] policy
     /* 2116265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116275 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2116278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116301 */     // GIR_Coverage, 17245,
     /* 2116301 */     GIR_EraseRootFromParent_Done,
     /* 2116302 */   // Label 27980: @2116302
     /* 2116302 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2116393), // Rule ID 17248 //
     /* 2116307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116353 */     // MIs[0] round
     /* 2116353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116356 */     // MIs[0] policy
     /* 2116356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116392 */     // GIR_Coverage, 17248,
     /* 2116392 */     GIR_EraseRootFromParent_Done,
     /* 2116393 */   // Label 27981: @2116393
     /* 2116393 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2116484), // Rule ID 17249 //
     /* 2116398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116444 */     // MIs[0] round
     /* 2116444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116447 */     // MIs[0] policy
     /* 2116447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116457 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116483 */     // GIR_Coverage, 17249,
     /* 2116483 */     GIR_EraseRootFromParent_Done,
     /* 2116484 */   // Label 27982: @2116484
     /* 2116484 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2116575), // Rule ID 17252 //
     /* 2116489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116535 */     // MIs[0] round
     /* 2116535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116538 */     // MIs[0] policy
     /* 2116538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116574 */     // GIR_Coverage, 17252,
     /* 2116574 */     GIR_EraseRootFromParent_Done,
     /* 2116575 */   // Label 27983: @2116575
     /* 2116575 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2116666), // Rule ID 17253 //
     /* 2116580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116626 */     // MIs[0] round
     /* 2116626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116629 */     // MIs[0] policy
     /* 2116629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116665 */     // GIR_Coverage, 17253,
     /* 2116665 */     GIR_EraseRootFromParent_Done,
     /* 2116666 */   // Label 27984: @2116666
     /* 2116666 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2116757), // Rule ID 17256 //
     /* 2116671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116717 */     // MIs[0] round
     /* 2116717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116720 */     // MIs[0] policy
     /* 2116720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116756 */     // GIR_Coverage, 17256,
     /* 2116756 */     GIR_EraseRootFromParent_Done,
     /* 2116757 */   // Label 27985: @2116757
     /* 2116757 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2116848), // Rule ID 17257 //
     /* 2116762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116808 */     // MIs[0] round
     /* 2116808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116811 */     // MIs[0] policy
     /* 2116811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116821 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116847 */     // GIR_Coverage, 17257,
     /* 2116847 */     GIR_EraseRootFromParent_Done,
     /* 2116848 */   // Label 27986: @2116848
     /* 2116848 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2116939), // Rule ID 17260 //
     /* 2116853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116899 */     // MIs[0] round
     /* 2116899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116902 */     // MIs[0] policy
     /* 2116902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116912 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116938 */     // GIR_Coverage, 17260,
     /* 2116938 */     GIR_EraseRootFromParent_Done,
     /* 2116939 */   // Label 27987: @2116939
     /* 2116939 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2117030), // Rule ID 17261 //
     /* 2116944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116990 */     // MIs[0] round
     /* 2116990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116993 */     // MIs[0] policy
     /* 2116993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117003 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2117006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117029 */     // GIR_Coverage, 17261,
     /* 2117029 */     GIR_EraseRootFromParent_Done,
     /* 2117030 */   // Label 27988: @2117030
     /* 2117030 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2117121), // Rule ID 17264 //
     /* 2117035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2117043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117081 */     // MIs[0] round
     /* 2117081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117084 */     // MIs[0] policy
     /* 2117084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117094 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2117097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117120 */     // GIR_Coverage, 17264,
     /* 2117120 */     GIR_EraseRootFromParent_Done,
     /* 2117121 */   // Label 27989: @2117121
     /* 2117121 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2117212), // Rule ID 17265 //
     /* 2117126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2117134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117172 */     // MIs[0] round
     /* 2117172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117175 */     // MIs[0] policy
     /* 2117175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117185 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2117188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117211 */     // GIR_Coverage, 17265,
     /* 2117211 */     GIR_EraseRootFromParent_Done,
     /* 2117212 */   // Label 27990: @2117212
     /* 2117212 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2117303), // Rule ID 17268 //
     /* 2117217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2117237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117263 */     // MIs[0] round
     /* 2117263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117266 */     // MIs[0] policy
     /* 2117266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117276 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2117279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117302 */     // GIR_Coverage, 17268,
     /* 2117302 */     GIR_EraseRootFromParent_Done,
     /* 2117303 */   // Label 27991: @2117303
     /* 2117303 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2117394), // Rule ID 17269 //
     /* 2117308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2117328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117354 */     // MIs[0] round
     /* 2117354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117357 */     // MIs[0] policy
     /* 2117357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2117370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117393 */     // GIR_Coverage, 17269,
     /* 2117393 */     GIR_EraseRootFromParent_Done,
     /* 2117394 */   // Label 27992: @2117394
     /* 2117394 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2117485), // Rule ID 17272 //
     /* 2117399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117445 */     // MIs[0] round
     /* 2117445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117448 */     // MIs[0] policy
     /* 2117448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117458 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117484 */     // GIR_Coverage, 17272,
     /* 2117484 */     GIR_EraseRootFromParent_Done,
     /* 2117485 */   // Label 27993: @2117485
     /* 2117485 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2117576), // Rule ID 17273 //
     /* 2117490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117536 */     // MIs[0] round
     /* 2117536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117539 */     // MIs[0] policy
     /* 2117539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117549 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117575 */     // GIR_Coverage, 17273,
     /* 2117575 */     GIR_EraseRootFromParent_Done,
     /* 2117576 */   // Label 27994: @2117576
     /* 2117576 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2117667), // Rule ID 17276 //
     /* 2117581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117627 */     // MIs[0] round
     /* 2117627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117630 */     // MIs[0] policy
     /* 2117630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117640 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117666 */     // GIR_Coverage, 17276,
     /* 2117666 */     GIR_EraseRootFromParent_Done,
     /* 2117667 */   // Label 27995: @2117667
     /* 2117667 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2117758), // Rule ID 17277 //
     /* 2117672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117718 */     // MIs[0] round
     /* 2117718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117721 */     // MIs[0] policy
     /* 2117721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117757 */     // GIR_Coverage, 17277,
     /* 2117757 */     GIR_EraseRootFromParent_Done,
     /* 2117758 */   // Label 27996: @2117758
     /* 2117758 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2117849), // Rule ID 17280 //
     /* 2117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117809 */     // MIs[0] round
     /* 2117809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117812 */     // MIs[0] policy
     /* 2117812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117822 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117848 */     // GIR_Coverage, 17280,
     /* 2117848 */     GIR_EraseRootFromParent_Done,
     /* 2117849 */   // Label 27997: @2117849
     /* 2117849 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2117940), // Rule ID 17281 //
     /* 2117854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117900 */     // MIs[0] round
     /* 2117900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117903 */     // MIs[0] policy
     /* 2117903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117913 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117939 */     // GIR_Coverage, 17281,
     /* 2117939 */     GIR_EraseRootFromParent_Done,
     /* 2117940 */   // Label 27998: @2117940
     /* 2117940 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2118031), // Rule ID 17284 //
     /* 2117945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117991 */     // MIs[0] round
     /* 2117991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117994 */     // MIs[0] policy
     /* 2117994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2118007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118030 */     // GIR_Coverage, 17284,
     /* 2118030 */     GIR_EraseRootFromParent_Done,
     /* 2118031 */   // Label 27999: @2118031
     /* 2118031 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2118122), // Rule ID 17285 //
     /* 2118036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2118056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118082 */     // MIs[0] round
     /* 2118082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118085 */     // MIs[0] policy
     /* 2118085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118095 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2118098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118121 */     // GIR_Coverage, 17285,
     /* 2118121 */     GIR_EraseRootFromParent_Done,
     /* 2118122 */   // Label 28000: @2118122
     /* 2118122 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2118213), // Rule ID 17288 //
     /* 2118127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2118147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118173 */     // MIs[0] round
     /* 2118173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118176 */     // MIs[0] policy
     /* 2118176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118186 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2118189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118212 */     // GIR_Coverage, 17288,
     /* 2118212 */     GIR_EraseRootFromParent_Done,
     /* 2118213 */   // Label 28001: @2118213
     /* 2118213 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2118304), // Rule ID 17289 //
     /* 2118218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2118238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118264 */     // MIs[0] round
     /* 2118264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118267 */     // MIs[0] policy
     /* 2118267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2118280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118303 */     // GIR_Coverage, 17289,
     /* 2118303 */     GIR_EraseRootFromParent_Done,
     /* 2118304 */   // Label 28002: @2118304
     /* 2118304 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2118395), // Rule ID 17292 //
     /* 2118309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118355 */     // MIs[0] round
     /* 2118355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118358 */     // MIs[0] policy
     /* 2118358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118368 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118394 */     // GIR_Coverage, 17292,
     /* 2118394 */     GIR_EraseRootFromParent_Done,
     /* 2118395 */   // Label 28003: @2118395
     /* 2118395 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2118486), // Rule ID 17293 //
     /* 2118400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118446 */     // MIs[0] round
     /* 2118446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118449 */     // MIs[0] policy
     /* 2118449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118459 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118485 */     // GIR_Coverage, 17293,
     /* 2118485 */     GIR_EraseRootFromParent_Done,
     /* 2118486 */   // Label 28004: @2118486
     /* 2118486 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2118577), // Rule ID 17296 //
     /* 2118491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118537 */     // MIs[0] round
     /* 2118537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118540 */     // MIs[0] policy
     /* 2118540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118550 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118576 */     // GIR_Coverage, 17296,
     /* 2118576 */     GIR_EraseRootFromParent_Done,
     /* 2118577 */   // Label 28005: @2118577
     /* 2118577 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2118668), // Rule ID 17297 //
     /* 2118582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118628 */     // MIs[0] round
     /* 2118628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118631 */     // MIs[0] policy
     /* 2118631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118641 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118667 */     // GIR_Coverage, 17297,
     /* 2118667 */     GIR_EraseRootFromParent_Done,
     /* 2118668 */   // Label 28006: @2118668
     /* 2118668 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2118759), // Rule ID 17300 //
     /* 2118673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118719 */     // MIs[0] round
     /* 2118719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118722 */     // MIs[0] policy
     /* 2118722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118758 */     // GIR_Coverage, 17300,
     /* 2118758 */     GIR_EraseRootFromParent_Done,
     /* 2118759 */   // Label 28007: @2118759
     /* 2118759 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2118850), // Rule ID 17301 //
     /* 2118764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118810 */     // MIs[0] round
     /* 2118810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118813 */     // MIs[0] policy
     /* 2118813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118823 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118849 */     // GIR_Coverage, 17301,
     /* 2118849 */     GIR_EraseRootFromParent_Done,
     /* 2118850 */   // Label 28008: @2118850
     /* 2118850 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2118941), // Rule ID 17304 //
     /* 2118855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118901 */     // MIs[0] round
     /* 2118901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118904 */     // MIs[0] policy
     /* 2118904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118914 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118940 */     // GIR_Coverage, 17304,
     /* 2118940 */     GIR_EraseRootFromParent_Done,
     /* 2118941 */   // Label 28009: @2118941
     /* 2118941 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2119032), // Rule ID 17305 //
     /* 2118946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118992 */     // MIs[0] round
     /* 2118992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118995 */     // MIs[0] policy
     /* 2118995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119005 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2119008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119031 */     // GIR_Coverage, 17305,
     /* 2119031 */     GIR_EraseRootFromParent_Done,
     /* 2119032 */   // Label 28010: @2119032
     /* 2119032 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2119123), // Rule ID 17308 //
     /* 2119037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119083 */     // MIs[0] round
     /* 2119083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119086 */     // MIs[0] policy
     /* 2119086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2119099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119122 */     // GIR_Coverage, 17308,
     /* 2119122 */     GIR_EraseRootFromParent_Done,
     /* 2119123 */   // Label 28011: @2119123
     /* 2119123 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2119214), // Rule ID 17309 //
     /* 2119128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119174 */     // MIs[0] round
     /* 2119174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119177 */     // MIs[0] policy
     /* 2119177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2119190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119213 */     // GIR_Coverage, 17309,
     /* 2119213 */     GIR_EraseRootFromParent_Done,
     /* 2119214 */   // Label 28012: @2119214
     /* 2119214 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2119305), // Rule ID 17312 //
     /* 2119219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2119239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119265 */     // MIs[0] round
     /* 2119265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119268 */     // MIs[0] policy
     /* 2119268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2119281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119304 */     // GIR_Coverage, 17312,
     /* 2119304 */     GIR_EraseRootFromParent_Done,
     /* 2119305 */   // Label 28013: @2119305
     /* 2119305 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2119396), // Rule ID 17313 //
     /* 2119310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2119330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119356 */     // MIs[0] round
     /* 2119356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119359 */     // MIs[0] policy
     /* 2119359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119369 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2119372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119395 */     // GIR_Coverage, 17313,
     /* 2119395 */     GIR_EraseRootFromParent_Done,
     /* 2119396 */   // Label 28014: @2119396
     /* 2119396 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2119487), // Rule ID 17316 //
     /* 2119401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119447 */     // MIs[0] round
     /* 2119447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119450 */     // MIs[0] policy
     /* 2119450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119486 */     // GIR_Coverage, 17316,
     /* 2119486 */     GIR_EraseRootFromParent_Done,
     /* 2119487 */   // Label 28015: @2119487
     /* 2119487 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2119578), // Rule ID 17317 //
     /* 2119492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119538 */     // MIs[0] round
     /* 2119538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119541 */     // MIs[0] policy
     /* 2119541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119551 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119577 */     // GIR_Coverage, 17317,
     /* 2119577 */     GIR_EraseRootFromParent_Done,
     /* 2119578 */   // Label 28016: @2119578
     /* 2119578 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2119669), // Rule ID 17320 //
     /* 2119583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119629 */     // MIs[0] round
     /* 2119629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119632 */     // MIs[0] policy
     /* 2119632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119642 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119668 */     // GIR_Coverage, 17320,
     /* 2119668 */     GIR_EraseRootFromParent_Done,
     /* 2119669 */   // Label 28017: @2119669
     /* 2119669 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2119760), // Rule ID 17321 //
     /* 2119674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119720 */     // MIs[0] round
     /* 2119720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119723 */     // MIs[0] policy
     /* 2119723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119759 */     // GIR_Coverage, 17321,
     /* 2119759 */     GIR_EraseRootFromParent_Done,
     /* 2119760 */   // Label 28018: @2119760
     /* 2119760 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2119851), // Rule ID 17324 //
     /* 2119765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119811 */     // MIs[0] round
     /* 2119811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119814 */     // MIs[0] policy
     /* 2119814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119824 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119850 */     // GIR_Coverage, 17324,
     /* 2119850 */     GIR_EraseRootFromParent_Done,
     /* 2119851 */   // Label 28019: @2119851
     /* 2119851 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2119942), // Rule ID 17325 //
     /* 2119856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119902 */     // MIs[0] round
     /* 2119902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119905 */     // MIs[0] policy
     /* 2119905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119941 */     // GIR_Coverage, 17325,
     /* 2119941 */     GIR_EraseRootFromParent_Done,
     /* 2119942 */   // Label 28020: @2119942
     /* 2119942 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2120033), // Rule ID 17328 //
     /* 2119947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119993 */     // MIs[0] round
     /* 2119993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119996 */     // MIs[0] policy
     /* 2119996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120006 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2120009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120032 */     // GIR_Coverage, 17328,
     /* 2120032 */     GIR_EraseRootFromParent_Done,
     /* 2120033 */   // Label 28021: @2120033
     /* 2120033 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2120124), // Rule ID 17329 //
     /* 2120038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2120049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2120052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2120055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120084 */     // MIs[0] round
     /* 2120084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120087 */     // MIs[0] policy
     /* 2120087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120097 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2120100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120123 */     // GIR_Coverage, 17329,
     /* 2120123 */     GIR_EraseRootFromParent_Done,
     /* 2120124 */   // Label 28022: @2120124
     /* 2120124 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2120215), // Rule ID 17332 //
     /* 2120129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2120140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2120143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120175 */     // MIs[0] round
     /* 2120175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120178 */     // MIs[0] policy
     /* 2120178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120188 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2120191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120214 */     // GIR_Coverage, 17332,
     /* 2120214 */     GIR_EraseRootFromParent_Done,
     /* 2120215 */   // Label 28023: @2120215
     /* 2120215 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2120306), // Rule ID 17333 //
     /* 2120220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2120231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2120234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120266 */     // MIs[0] round
     /* 2120266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120269 */     // MIs[0] policy
     /* 2120269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120279 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2120282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120305 */     // GIR_Coverage, 17333,
     /* 2120305 */     GIR_EraseRootFromParent_Done,
     /* 2120306 */   // Label 28024: @2120306
     /* 2120306 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2120397), // Rule ID 17336 //
     /* 2120311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120357 */     // MIs[0] round
     /* 2120357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120360 */     // MIs[0] policy
     /* 2120360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120396 */     // GIR_Coverage, 17336,
     /* 2120396 */     GIR_EraseRootFromParent_Done,
     /* 2120397 */   // Label 28025: @2120397
     /* 2120397 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2120488), // Rule ID 17337 //
     /* 2120402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120448 */     // MIs[0] round
     /* 2120448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120451 */     // MIs[0] policy
     /* 2120451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120461 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120487 */     // GIR_Coverage, 17337,
     /* 2120487 */     GIR_EraseRootFromParent_Done,
     /* 2120488 */   // Label 28026: @2120488
     /* 2120488 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2120579), // Rule ID 17340 //
     /* 2120493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120539 */     // MIs[0] round
     /* 2120539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120542 */     // MIs[0] policy
     /* 2120542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120578 */     // GIR_Coverage, 17340,
     /* 2120578 */     GIR_EraseRootFromParent_Done,
     /* 2120579 */   // Label 28027: @2120579
     /* 2120579 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2120670), // Rule ID 17341 //
     /* 2120584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120630 */     // MIs[0] round
     /* 2120630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120633 */     // MIs[0] policy
     /* 2120633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120643 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120669 */     // GIR_Coverage, 17341,
     /* 2120669 */     GIR_EraseRootFromParent_Done,
     /* 2120670 */   // Label 28028: @2120670
     /* 2120670 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2120761), // Rule ID 17344 //
     /* 2120675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120721 */     // MIs[0] round
     /* 2120721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120724 */     // MIs[0] policy
     /* 2120724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120734 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120760 */     // GIR_Coverage, 17344,
     /* 2120760 */     GIR_EraseRootFromParent_Done,
     /* 2120761 */   // Label 28029: @2120761
     /* 2120761 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2120852), // Rule ID 17345 //
     /* 2120766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120812 */     // MIs[0] round
     /* 2120812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120815 */     // MIs[0] policy
     /* 2120815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120825 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120851 */     // GIR_Coverage, 17345,
     /* 2120851 */     GIR_EraseRootFromParent_Done,
     /* 2120852 */   // Label 28030: @2120852
     /* 2120852 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2120943), // Rule ID 17348 //
     /* 2120857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120903 */     // MIs[0] round
     /* 2120903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120906 */     // MIs[0] policy
     /* 2120906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120942 */     // GIR_Coverage, 17348,
     /* 2120942 */     GIR_EraseRootFromParent_Done,
     /* 2120943 */   // Label 28031: @2120943
     /* 2120943 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2121034), // Rule ID 17349 //
     /* 2120948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120994 */     // MIs[0] round
     /* 2120994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120997 */     // MIs[0] policy
     /* 2120997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2121010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121033 */     // GIR_Coverage, 17349,
     /* 2121033 */     GIR_EraseRootFromParent_Done,
     /* 2121034 */   // Label 28032: @2121034
     /* 2121034 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2121125), // Rule ID 17352 //
     /* 2121039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121085 */     // MIs[0] round
     /* 2121085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121088 */     // MIs[0] policy
     /* 2121088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2121101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121124 */     // GIR_Coverage, 17352,
     /* 2121124 */     GIR_EraseRootFromParent_Done,
     /* 2121125 */   // Label 28033: @2121125
     /* 2121125 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2121216), // Rule ID 17353 //
     /* 2121130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121176 */     // MIs[0] round
     /* 2121176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121179 */     // MIs[0] policy
     /* 2121179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121189 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2121192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121215 */     // GIR_Coverage, 17353,
     /* 2121215 */     GIR_EraseRootFromParent_Done,
     /* 2121216 */   // Label 28034: @2121216
     /* 2121216 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2121307), // Rule ID 17356 //
     /* 2121221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121267 */     // MIs[0] round
     /* 2121267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121270 */     // MIs[0] policy
     /* 2121270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2121283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121306 */     // GIR_Coverage, 17356,
     /* 2121306 */     GIR_EraseRootFromParent_Done,
     /* 2121307 */   // Label 28035: @2121307
     /* 2121307 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2121398), // Rule ID 17357 //
     /* 2121312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121358 */     // MIs[0] round
     /* 2121358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121361 */     // MIs[0] policy
     /* 2121361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121371 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2121374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121397 */     // GIR_Coverage, 17357,
     /* 2121397 */     GIR_EraseRootFromParent_Done,
     /* 2121398 */   // Label 28036: @2121398
     /* 2121398 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2121489), // Rule ID 17360 //
     /* 2121403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121449 */     // MIs[0] round
     /* 2121449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121452 */     // MIs[0] policy
     /* 2121452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121462 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121488 */     // GIR_Coverage, 17360,
     /* 2121488 */     GIR_EraseRootFromParent_Done,
     /* 2121489 */   // Label 28037: @2121489
     /* 2121489 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2121580), // Rule ID 17361 //
     /* 2121494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121540 */     // MIs[0] round
     /* 2121540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121543 */     // MIs[0] policy
     /* 2121543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121553 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121579 */     // GIR_Coverage, 17361,
     /* 2121579 */     GIR_EraseRootFromParent_Done,
     /* 2121580 */   // Label 28038: @2121580
     /* 2121580 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2121671), // Rule ID 17364 //
     /* 2121585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121631 */     // MIs[0] round
     /* 2121631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121634 */     // MIs[0] policy
     /* 2121634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121644 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121670 */     // GIR_Coverage, 17364,
     /* 2121670 */     GIR_EraseRootFromParent_Done,
     /* 2121671 */   // Label 28039: @2121671
     /* 2121671 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2121762), // Rule ID 17365 //
     /* 2121676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121722 */     // MIs[0] round
     /* 2121722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121725 */     // MIs[0] policy
     /* 2121725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121735 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121761 */     // GIR_Coverage, 17365,
     /* 2121761 */     GIR_EraseRootFromParent_Done,
     /* 2121762 */   // Label 28040: @2121762
     /* 2121762 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2121853), // Rule ID 17368 //
     /* 2121767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121813 */     // MIs[0] round
     /* 2121813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121816 */     // MIs[0] policy
     /* 2121816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121826 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121852 */     // GIR_Coverage, 17368,
     /* 2121852 */     GIR_EraseRootFromParent_Done,
     /* 2121853 */   // Label 28041: @2121853
     /* 2121853 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2121944), // Rule ID 17369 //
     /* 2121858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121904 */     // MIs[0] round
     /* 2121904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121907 */     // MIs[0] policy
     /* 2121907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121917 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121943 */     // GIR_Coverage, 17369,
     /* 2121943 */     GIR_EraseRootFromParent_Done,
     /* 2121944 */   // Label 28042: @2121944
     /* 2121944 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2122035), // Rule ID 17372 //
     /* 2121949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121995 */     // MIs[0] round
     /* 2121995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121998 */     // MIs[0] policy
     /* 2121998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2122011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122034 */     // GIR_Coverage, 17372,
     /* 2122034 */     GIR_EraseRootFromParent_Done,
     /* 2122035 */   // Label 28043: @2122035
     /* 2122035 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2122126), // Rule ID 17373 //
     /* 2122040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122086 */     // MIs[0] round
     /* 2122086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122089 */     // MIs[0] policy
     /* 2122089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122099 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2122102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122125 */     // GIR_Coverage, 17373,
     /* 2122125 */     GIR_EraseRootFromParent_Done,
     /* 2122126 */   // Label 28044: @2122126
     /* 2122126 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2122217), // Rule ID 17376 //
     /* 2122131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122177 */     // MIs[0] round
     /* 2122177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122180 */     // MIs[0] policy
     /* 2122180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2122193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122216 */     // GIR_Coverage, 17376,
     /* 2122216 */     GIR_EraseRootFromParent_Done,
     /* 2122217 */   // Label 28045: @2122217
     /* 2122217 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2122308), // Rule ID 17377 //
     /* 2122222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122268 */     // MIs[0] round
     /* 2122268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122271 */     // MIs[0] policy
     /* 2122271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122281 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2122284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122307 */     // GIR_Coverage, 17377,
     /* 2122307 */     GIR_EraseRootFromParent_Done,
     /* 2122308 */   // Label 28046: @2122308
     /* 2122308 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2122399), // Rule ID 17380 //
     /* 2122313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122359 */     // MIs[0] round
     /* 2122359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122362 */     // MIs[0] policy
     /* 2122362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122372 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122398 */     // GIR_Coverage, 17380,
     /* 2122398 */     GIR_EraseRootFromParent_Done,
     /* 2122399 */   // Label 28047: @2122399
     /* 2122399 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2122490), // Rule ID 17381 //
     /* 2122404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122450 */     // MIs[0] round
     /* 2122450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122453 */     // MIs[0] policy
     /* 2122453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122463 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122489 */     // GIR_Coverage, 17381,
     /* 2122489 */     GIR_EraseRootFromParent_Done,
     /* 2122490 */   // Label 28048: @2122490
     /* 2122490 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2122581), // Rule ID 17384 //
     /* 2122495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122541 */     // MIs[0] round
     /* 2122541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122544 */     // MIs[0] policy
     /* 2122544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122554 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122580 */     // GIR_Coverage, 17384,
     /* 2122580 */     GIR_EraseRootFromParent_Done,
     /* 2122581 */   // Label 28049: @2122581
     /* 2122581 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2122672), // Rule ID 17385 //
     /* 2122586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122632 */     // MIs[0] round
     /* 2122632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122635 */     // MIs[0] policy
     /* 2122635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122645 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122671 */     // GIR_Coverage, 17385,
     /* 2122671 */     GIR_EraseRootFromParent_Done,
     /* 2122672 */   // Label 28050: @2122672
     /* 2122672 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2122763), // Rule ID 17388 //
     /* 2122677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122723 */     // MIs[0] round
     /* 2122723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122726 */     // MIs[0] policy
     /* 2122726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122736 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122762 */     // GIR_Coverage, 17388,
     /* 2122762 */     GIR_EraseRootFromParent_Done,
     /* 2122763 */   // Label 28051: @2122763
     /* 2122763 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2122854), // Rule ID 17389 //
     /* 2122768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122814 */     // MIs[0] round
     /* 2122814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122817 */     // MIs[0] policy
     /* 2122817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122853 */     // GIR_Coverage, 17389,
     /* 2122853 */     GIR_EraseRootFromParent_Done,
     /* 2122854 */   // Label 28052: @2122854
     /* 2122854 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2122945), // Rule ID 17392 //
     /* 2122859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122905 */     // MIs[0] round
     /* 2122905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122908 */     // MIs[0] policy
     /* 2122908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122918 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122944 */     // GIR_Coverage, 17392,
     /* 2122944 */     GIR_EraseRootFromParent_Done,
     /* 2122945 */   // Label 28053: @2122945
     /* 2122945 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2123036), // Rule ID 17393 //
     /* 2122950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122996 */     // MIs[0] round
     /* 2122996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122999 */     // MIs[0] policy
     /* 2122999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123009 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2123012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123035 */     // GIR_Coverage, 17393,
     /* 2123035 */     GIR_EraseRootFromParent_Done,
     /* 2123036 */   // Label 28054: @2123036
     /* 2123036 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2123127), // Rule ID 17396 //
     /* 2123041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123087 */     // MIs[0] round
     /* 2123087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123090 */     // MIs[0] policy
     /* 2123090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123100 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2123103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123126 */     // GIR_Coverage, 17396,
     /* 2123126 */     GIR_EraseRootFromParent_Done,
     /* 2123127 */   // Label 28055: @2123127
     /* 2123127 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2123218), // Rule ID 17397 //
     /* 2123132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123178 */     // MIs[0] round
     /* 2123178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123181 */     // MIs[0] policy
     /* 2123181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123191 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2123194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123217 */     // GIR_Coverage, 17397,
     /* 2123217 */     GIR_EraseRootFromParent_Done,
     /* 2123218 */   // Label 28056: @2123218
     /* 2123218 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2123309), // Rule ID 17400 //
     /* 2123223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2123234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2123237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123269 */     // MIs[0] round
     /* 2123269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123272 */     // MIs[0] policy
     /* 2123272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123282 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2123285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123308 */     // GIR_Coverage, 17400,
     /* 2123308 */     GIR_EraseRootFromParent_Done,
     /* 2123309 */   // Label 28057: @2123309
     /* 2123309 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2123400), // Rule ID 17401 //
     /* 2123314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2123325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2123328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123360 */     // MIs[0] round
     /* 2123360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123363 */     // MIs[0] policy
     /* 2123363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123373 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2123376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123399 */     // GIR_Coverage, 17401,
     /* 2123399 */     GIR_EraseRootFromParent_Done,
     /* 2123400 */   // Label 28058: @2123400
     /* 2123400 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2123491), // Rule ID 17404 //
     /* 2123405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123451 */     // MIs[0] round
     /* 2123451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123454 */     // MIs[0] policy
     /* 2123454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123490 */     // GIR_Coverage, 17404,
     /* 2123490 */     GIR_EraseRootFromParent_Done,
     /* 2123491 */   // Label 28059: @2123491
     /* 2123491 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2123582), // Rule ID 17405 //
     /* 2123496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123542 */     // MIs[0] round
     /* 2123542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123545 */     // MIs[0] policy
     /* 2123545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123555 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123581 */     // GIR_Coverage, 17405,
     /* 2123581 */     GIR_EraseRootFromParent_Done,
     /* 2123582 */   // Label 28060: @2123582
     /* 2123582 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2123673), // Rule ID 17408 //
     /* 2123587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123633 */     // MIs[0] round
     /* 2123633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123636 */     // MIs[0] policy
     /* 2123636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123646 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123672 */     // GIR_Coverage, 17408,
     /* 2123672 */     GIR_EraseRootFromParent_Done,
     /* 2123673 */   // Label 28061: @2123673
     /* 2123673 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2123764), // Rule ID 17409 //
     /* 2123678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123724 */     // MIs[0] round
     /* 2123724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123727 */     // MIs[0] policy
     /* 2123727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123763 */     // GIR_Coverage, 17409,
     /* 2123763 */     GIR_EraseRootFromParent_Done,
     /* 2123764 */   // Label 28062: @2123764
     /* 2123764 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2123855), // Rule ID 17412 //
     /* 2123769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123815 */     // MIs[0] round
     /* 2123815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123818 */     // MIs[0] policy
     /* 2123818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123854 */     // GIR_Coverage, 17412,
     /* 2123854 */     GIR_EraseRootFromParent_Done,
     /* 2123855 */   // Label 28063: @2123855
     /* 2123855 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2123946), // Rule ID 17413 //
     /* 2123860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123906 */     // MIs[0] round
     /* 2123906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123909 */     // MIs[0] policy
     /* 2123909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123919 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123945 */     // GIR_Coverage, 17413,
     /* 2123945 */     GIR_EraseRootFromParent_Done,
     /* 2123946 */   // Label 28064: @2123946
     /* 2123946 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2124037), // Rule ID 17416 //
     /* 2123951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123997 */     // MIs[0] round
     /* 2123997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124000 */     // MIs[0] policy
     /* 2124000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124010 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2124013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124036 */     // GIR_Coverage, 17416,
     /* 2124036 */     GIR_EraseRootFromParent_Done,
     /* 2124037 */   // Label 28065: @2124037
     /* 2124037 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2124128), // Rule ID 17417 //
     /* 2124042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2124053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2124056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2124059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2124062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124088 */     // MIs[0] round
     /* 2124088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124091 */     // MIs[0] policy
     /* 2124091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124101 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2124104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124127 */     // GIR_Coverage, 17417,
     /* 2124127 */     GIR_EraseRootFromParent_Done,
     /* 2124128 */   // Label 28066: @2124128
     /* 2124128 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2124219), // Rule ID 17420 //
     /* 2124133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2124144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2124147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2124150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2124153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2124156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124179 */     // MIs[0] round
     /* 2124179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124182 */     // MIs[0] policy
     /* 2124182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124192 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2124195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124218 */     // GIR_Coverage, 17420,
     /* 2124218 */     GIR_EraseRootFromParent_Done,
     /* 2124219 */   // Label 28067: @2124219
     /* 2124219 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2124310), // Rule ID 17421 //
     /* 2124224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2124235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2124238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2124241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2124244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2124247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124270 */     // MIs[0] round
     /* 2124270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124273 */     // MIs[0] policy
     /* 2124273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124283 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2124286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124309 */     // GIR_Coverage, 17421,
     /* 2124309 */     GIR_EraseRootFromParent_Done,
     /* 2124310 */   // Label 28068: @2124310
     /* 2124310 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2124401), // Rule ID 17424 //
     /* 2124315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124361 */     // MIs[0] round
     /* 2124361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124364 */     // MIs[0] policy
     /* 2124364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124400 */     // GIR_Coverage, 17424,
     /* 2124400 */     GIR_EraseRootFromParent_Done,
     /* 2124401 */   // Label 28069: @2124401
     /* 2124401 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2124492), // Rule ID 17425 //
     /* 2124406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124452 */     // MIs[0] round
     /* 2124452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124455 */     // MIs[0] policy
     /* 2124455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124465 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124491 */     // GIR_Coverage, 17425,
     /* 2124491 */     GIR_EraseRootFromParent_Done,
     /* 2124492 */   // Label 28070: @2124492
     /* 2124492 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2124583), // Rule ID 17428 //
     /* 2124497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124543 */     // MIs[0] round
     /* 2124543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124546 */     // MIs[0] policy
     /* 2124546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124582 */     // GIR_Coverage, 17428,
     /* 2124582 */     GIR_EraseRootFromParent_Done,
     /* 2124583 */   // Label 28071: @2124583
     /* 2124583 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2124674), // Rule ID 17429 //
     /* 2124588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124634 */     // MIs[0] round
     /* 2124634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124637 */     // MIs[0] policy
     /* 2124637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124673 */     // GIR_Coverage, 17429,
     /* 2124673 */     GIR_EraseRootFromParent_Done,
     /* 2124674 */   // Label 28072: @2124674
     /* 2124674 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2124765), // Rule ID 17432 //
     /* 2124679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124725 */     // MIs[0] round
     /* 2124725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124728 */     // MIs[0] policy
     /* 2124728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124738 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124764 */     // GIR_Coverage, 17432,
     /* 2124764 */     GIR_EraseRootFromParent_Done,
     /* 2124765 */   // Label 28073: @2124765
     /* 2124765 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2124856), // Rule ID 17433 //
     /* 2124770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124816 */     // MIs[0] round
     /* 2124816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124819 */     // MIs[0] policy
     /* 2124819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124855 */     // GIR_Coverage, 17433,
     /* 2124855 */     GIR_EraseRootFromParent_Done,
     /* 2124856 */   // Label 28074: @2124856
     /* 2124856 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2124947), // Rule ID 17436 //
     /* 2124861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124907 */     // MIs[0] round
     /* 2124907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124910 */     // MIs[0] policy
     /* 2124910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124946 */     // GIR_Coverage, 17436,
     /* 2124946 */     GIR_EraseRootFromParent_Done,
     /* 2124947 */   // Label 28075: @2124947
     /* 2124947 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2125038), // Rule ID 17437 //
     /* 2124952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124998 */     // MIs[0] round
     /* 2124998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125001 */     // MIs[0] policy
     /* 2125001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125011 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2125014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125037 */     // GIR_Coverage, 17437,
     /* 2125037 */     GIR_EraseRootFromParent_Done,
     /* 2125038 */   // Label 28076: @2125038
     /* 2125038 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2125129), // Rule ID 17440 //
     /* 2125043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125089 */     // MIs[0] round
     /* 2125089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125092 */     // MIs[0] policy
     /* 2125092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2125105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125128 */     // GIR_Coverage, 17440,
     /* 2125128 */     GIR_EraseRootFromParent_Done,
     /* 2125129 */   // Label 28077: @2125129
     /* 2125129 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2125220), // Rule ID 17441 //
     /* 2125134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2125154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125180 */     // MIs[0] round
     /* 2125180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125183 */     // MIs[0] policy
     /* 2125183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125193 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2125196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125219 */     // GIR_Coverage, 17441,
     /* 2125219 */     GIR_EraseRootFromParent_Done,
     /* 2125220 */   // Label 28078: @2125220
     /* 2125220 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2125311), // Rule ID 17444 //
     /* 2125225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2125245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125271 */     // MIs[0] round
     /* 2125271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125274 */     // MIs[0] policy
     /* 2125274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125284 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2125287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125310 */     // GIR_Coverage, 17444,
     /* 2125310 */     GIR_EraseRootFromParent_Done,
     /* 2125311 */   // Label 28079: @2125311
     /* 2125311 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2125402), // Rule ID 17445 //
     /* 2125316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2125336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125362 */     // MIs[0] round
     /* 2125362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125365 */     // MIs[0] policy
     /* 2125365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125375 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2125378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125401 */     // GIR_Coverage, 17445,
     /* 2125401 */     GIR_EraseRootFromParent_Done,
     /* 2125402 */   // Label 28080: @2125402
     /* 2125402 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2125493), // Rule ID 17448 //
     /* 2125407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125453 */     // MIs[0] round
     /* 2125453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125456 */     // MIs[0] policy
     /* 2125456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125466 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125492 */     // GIR_Coverage, 17448,
     /* 2125492 */     GIR_EraseRootFromParent_Done,
     /* 2125493 */   // Label 28081: @2125493
     /* 2125493 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2125584), // Rule ID 17449 //
     /* 2125498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125544 */     // MIs[0] round
     /* 2125544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125547 */     // MIs[0] policy
     /* 2125547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125557 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125583 */     // GIR_Coverage, 17449,
     /* 2125583 */     GIR_EraseRootFromParent_Done,
     /* 2125584 */   // Label 28082: @2125584
     /* 2125584 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2125675), // Rule ID 17452 //
     /* 2125589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125635 */     // MIs[0] round
     /* 2125635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125638 */     // MIs[0] policy
     /* 2125638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125648 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125674 */     // GIR_Coverage, 17452,
     /* 2125674 */     GIR_EraseRootFromParent_Done,
     /* 2125675 */   // Label 28083: @2125675
     /* 2125675 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2125766), // Rule ID 17453 //
     /* 2125680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125726 */     // MIs[0] round
     /* 2125726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125729 */     // MIs[0] policy
     /* 2125729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125739 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125765 */     // GIR_Coverage, 17453,
     /* 2125765 */     GIR_EraseRootFromParent_Done,
     /* 2125766 */   // Label 28084: @2125766
     /* 2125766 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2125857), // Rule ID 17456 //
     /* 2125771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125817 */     // MIs[0] round
     /* 2125817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125820 */     // MIs[0] policy
     /* 2125820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125830 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125856 */     // GIR_Coverage, 17456,
     /* 2125856 */     GIR_EraseRootFromParent_Done,
     /* 2125857 */   // Label 28085: @2125857
     /* 2125857 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2125948), // Rule ID 17457 //
     /* 2125862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125908 */     // MIs[0] round
     /* 2125908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125911 */     // MIs[0] policy
     /* 2125911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125921 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125947 */     // GIR_Coverage, 17457,
     /* 2125947 */     GIR_EraseRootFromParent_Done,
     /* 2125948 */   // Label 28086: @2125948
     /* 2125948 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2126039), // Rule ID 17460 //
     /* 2125953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125999 */     // MIs[0] round
     /* 2125999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126002 */     // MIs[0] policy
     /* 2126002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2126015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126038 */     // GIR_Coverage, 17460,
     /* 2126038 */     GIR_EraseRootFromParent_Done,
     /* 2126039 */   // Label 28087: @2126039
     /* 2126039 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2126130), // Rule ID 17461 //
     /* 2126044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2126055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2126058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126090 */     // MIs[0] round
     /* 2126090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126093 */     // MIs[0] policy
     /* 2126093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126103 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2126106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126129 */     // GIR_Coverage, 17461,
     /* 2126129 */     GIR_EraseRootFromParent_Done,
     /* 2126130 */   // Label 28088: @2126130
     /* 2126130 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2126221), // Rule ID 17464 //
     /* 2126135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126181 */     // MIs[0] round
     /* 2126181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126184 */     // MIs[0] policy
     /* 2126184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126194 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2126197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126220 */     // GIR_Coverage, 17464,
     /* 2126220 */     GIR_EraseRootFromParent_Done,
     /* 2126221 */   // Label 28089: @2126221
     /* 2126221 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2126312), // Rule ID 17465 //
     /* 2126226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126272 */     // MIs[0] round
     /* 2126272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126275 */     // MIs[0] policy
     /* 2126275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126285 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2126288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126311 */     // GIR_Coverage, 17465,
     /* 2126311 */     GIR_EraseRootFromParent_Done,
     /* 2126312 */   // Label 28090: @2126312
     /* 2126312 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2126403), // Rule ID 17468 //
     /* 2126317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126363 */     // MIs[0] round
     /* 2126363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126366 */     // MIs[0] policy
     /* 2126366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126402 */     // GIR_Coverage, 17468,
     /* 2126402 */     GIR_EraseRootFromParent_Done,
     /* 2126403 */   // Label 28091: @2126403
     /* 2126403 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2126494), // Rule ID 17469 //
     /* 2126408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126454 */     // MIs[0] round
     /* 2126454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126457 */     // MIs[0] policy
     /* 2126457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126493 */     // GIR_Coverage, 17469,
     /* 2126493 */     GIR_EraseRootFromParent_Done,
     /* 2126494 */   // Label 28092: @2126494
     /* 2126494 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2126585), // Rule ID 17472 //
     /* 2126499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126545 */     // MIs[0] round
     /* 2126545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126548 */     // MIs[0] policy
     /* 2126548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126584 */     // GIR_Coverage, 17472,
     /* 2126584 */     GIR_EraseRootFromParent_Done,
     /* 2126585 */   // Label 28093: @2126585
     /* 2126585 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2126676), // Rule ID 17473 //
     /* 2126590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126636 */     // MIs[0] round
     /* 2126636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126639 */     // MIs[0] policy
     /* 2126639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126649 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126675 */     // GIR_Coverage, 17473,
     /* 2126675 */     GIR_EraseRootFromParent_Done,
     /* 2126676 */   // Label 28094: @2126676
     /* 2126676 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2126767), // Rule ID 17476 //
     /* 2126681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126727 */     // MIs[0] round
     /* 2126727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126730 */     // MIs[0] policy
     /* 2126730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126740 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126766 */     // GIR_Coverage, 17476,
     /* 2126766 */     GIR_EraseRootFromParent_Done,
     /* 2126767 */   // Label 28095: @2126767
     /* 2126767 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2126858), // Rule ID 17477 //
     /* 2126772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126818 */     // MIs[0] round
     /* 2126818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126821 */     // MIs[0] policy
     /* 2126821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126857 */     // GIR_Coverage, 17477,
     /* 2126857 */     GIR_EraseRootFromParent_Done,
     /* 2126858 */   // Label 28096: @2126858
     /* 2126858 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2126949), // Rule ID 17480 //
     /* 2126863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126909 */     // MIs[0] round
     /* 2126909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126912 */     // MIs[0] policy
     /* 2126912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126922 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126948 */     // GIR_Coverage, 17480,
     /* 2126948 */     GIR_EraseRootFromParent_Done,
     /* 2126949 */   // Label 28097: @2126949
     /* 2126949 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2127040), // Rule ID 17481 //
     /* 2126954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127000 */     // MIs[0] round
     /* 2127000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127003 */     // MIs[0] policy
     /* 2127003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127013 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2127016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127039 */     // GIR_Coverage, 17481,
     /* 2127039 */     GIR_EraseRootFromParent_Done,
     /* 2127040 */   // Label 28098: @2127040
     /* 2127040 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2127131), // Rule ID 17484 //
     /* 2127045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127091 */     // MIs[0] round
     /* 2127091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127094 */     // MIs[0] policy
     /* 2127094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127104 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2127107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127130 */     // GIR_Coverage, 17484,
     /* 2127130 */     GIR_EraseRootFromParent_Done,
     /* 2127131 */   // Label 28099: @2127131
     /* 2127131 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2127222), // Rule ID 17485 //
     /* 2127136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127182 */     // MIs[0] round
     /* 2127182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127185 */     // MIs[0] policy
     /* 2127185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127195 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2127198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127221 */     // GIR_Coverage, 17485,
     /* 2127221 */     GIR_EraseRootFromParent_Done,
     /* 2127222 */   // Label 28100: @2127222
     /* 2127222 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2127313), // Rule ID 17488 //
     /* 2127227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127273 */     // MIs[0] round
     /* 2127273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127276 */     // MIs[0] policy
     /* 2127276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127286 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2127289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127312 */     // GIR_Coverage, 17488,
     /* 2127312 */     GIR_EraseRootFromParent_Done,
     /* 2127313 */   // Label 28101: @2127313
     /* 2127313 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2127404), // Rule ID 17489 //
     /* 2127318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127364 */     // MIs[0] round
     /* 2127364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127367 */     // MIs[0] policy
     /* 2127367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127377 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2127380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127403 */     // GIR_Coverage, 17489,
     /* 2127403 */     GIR_EraseRootFromParent_Done,
     /* 2127404 */   // Label 28102: @2127404
     /* 2127404 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2127495), // Rule ID 17492 //
     /* 2127409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127455 */     // MIs[0] round
     /* 2127455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127458 */     // MIs[0] policy
     /* 2127458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127468 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127494 */     // GIR_Coverage, 17492,
     /* 2127494 */     GIR_EraseRootFromParent_Done,
     /* 2127495 */   // Label 28103: @2127495
     /* 2127495 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2127586), // Rule ID 17493 //
     /* 2127500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127546 */     // MIs[0] round
     /* 2127546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127549 */     // MIs[0] policy
     /* 2127549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127559 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127585 */     // GIR_Coverage, 17493,
     /* 2127585 */     GIR_EraseRootFromParent_Done,
     /* 2127586 */   // Label 28104: @2127586
     /* 2127586 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2127677), // Rule ID 17496 //
     /* 2127591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127637 */     // MIs[0] round
     /* 2127637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127640 */     // MIs[0] policy
     /* 2127640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127676 */     // GIR_Coverage, 17496,
     /* 2127676 */     GIR_EraseRootFromParent_Done,
     /* 2127677 */   // Label 28105: @2127677
     /* 2127677 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2127768), // Rule ID 17497 //
     /* 2127682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127728 */     // MIs[0] round
     /* 2127728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127731 */     // MIs[0] policy
     /* 2127731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127741 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127767 */     // GIR_Coverage, 17497,
     /* 2127767 */     GIR_EraseRootFromParent_Done,
     /* 2127768 */   // Label 28106: @2127768
     /* 2127768 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2127859), // Rule ID 17500 //
     /* 2127773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127819 */     // MIs[0] round
     /* 2127819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127822 */     // MIs[0] policy
     /* 2127822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127858 */     // GIR_Coverage, 17500,
     /* 2127858 */     GIR_EraseRootFromParent_Done,
     /* 2127859 */   // Label 28107: @2127859
     /* 2127859 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2127950), // Rule ID 17501 //
     /* 2127864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127910 */     // MIs[0] round
     /* 2127910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127913 */     // MIs[0] policy
     /* 2127913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127923 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127949 */     // GIR_Coverage, 17501,
     /* 2127949 */     GIR_EraseRootFromParent_Done,
     /* 2127950 */   // Label 28108: @2127950
     /* 2127950 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2128041), // Rule ID 17504 //
     /* 2127955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128001 */     // MIs[0] round
     /* 2128001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128004 */     // MIs[0] policy
     /* 2128004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2128017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128040 */     // GIR_Coverage, 17504,
     /* 2128040 */     GIR_EraseRootFromParent_Done,
     /* 2128041 */   // Label 28109: @2128041
     /* 2128041 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2128132), // Rule ID 17505 //
     /* 2128046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128092 */     // MIs[0] round
     /* 2128092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128095 */     // MIs[0] policy
     /* 2128095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128105 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2128108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128131 */     // GIR_Coverage, 17505,
     /* 2128131 */     GIR_EraseRootFromParent_Done,
     /* 2128132 */   // Label 28110: @2128132
     /* 2128132 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2128223), // Rule ID 17508 //
     /* 2128137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128183 */     // MIs[0] round
     /* 2128183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128186 */     // MIs[0] policy
     /* 2128186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128196 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2128199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128222 */     // GIR_Coverage, 17508,
     /* 2128222 */     GIR_EraseRootFromParent_Done,
     /* 2128223 */   // Label 28111: @2128223
     /* 2128223 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2128314), // Rule ID 17509 //
     /* 2128228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128274 */     // MIs[0] round
     /* 2128274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128277 */     // MIs[0] policy
     /* 2128277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128287 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2128290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128313 */     // GIR_Coverage, 17509,
     /* 2128313 */     GIR_EraseRootFromParent_Done,
     /* 2128314 */   // Label 28112: @2128314
     /* 2128314 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2128405), // Rule ID 17512 //
     /* 2128319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128365 */     // MIs[0] round
     /* 2128365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128368 */     // MIs[0] policy
     /* 2128368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128378 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128404 */     // GIR_Coverage, 17512,
     /* 2128404 */     GIR_EraseRootFromParent_Done,
     /* 2128405 */   // Label 28113: @2128405
     /* 2128405 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2128496), // Rule ID 17513 //
     /* 2128410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128456 */     // MIs[0] round
     /* 2128456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128459 */     // MIs[0] policy
     /* 2128459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128469 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128495 */     // GIR_Coverage, 17513,
     /* 2128495 */     GIR_EraseRootFromParent_Done,
     /* 2128496 */   // Label 28114: @2128496
     /* 2128496 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2128587), // Rule ID 17516 //
     /* 2128501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128547 */     // MIs[0] round
     /* 2128547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128550 */     // MIs[0] policy
     /* 2128550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128560 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128586 */     // GIR_Coverage, 17516,
     /* 2128586 */     GIR_EraseRootFromParent_Done,
     /* 2128587 */   // Label 28115: @2128587
     /* 2128587 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2128678), // Rule ID 17517 //
     /* 2128592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128638 */     // MIs[0] round
     /* 2128638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128641 */     // MIs[0] policy
     /* 2128641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128651 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128677 */     // GIR_Coverage, 17517,
     /* 2128677 */     GIR_EraseRootFromParent_Done,
     /* 2128678 */   // Label 28116: @2128678
     /* 2128678 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2128769), // Rule ID 17520 //
     /* 2128683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128729 */     // MIs[0] round
     /* 2128729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128732 */     // MIs[0] policy
     /* 2128732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128768 */     // GIR_Coverage, 17520,
     /* 2128768 */     GIR_EraseRootFromParent_Done,
     /* 2128769 */   // Label 28117: @2128769
     /* 2128769 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2128860), // Rule ID 17521 //
     /* 2128774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128820 */     // MIs[0] round
     /* 2128820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128823 */     // MIs[0] policy
     /* 2128823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128833 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128859 */     // GIR_Coverage, 17521,
     /* 2128859 */     GIR_EraseRootFromParent_Done,
     /* 2128860 */   // Label 28118: @2128860
     /* 2128860 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2128951), // Rule ID 17524 //
     /* 2128865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128911 */     // MIs[0] round
     /* 2128911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128914 */     // MIs[0] policy
     /* 2128914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128950 */     // GIR_Coverage, 17524,
     /* 2128950 */     GIR_EraseRootFromParent_Done,
     /* 2128951 */   // Label 28119: @2128951
     /* 2128951 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2129042), // Rule ID 17525 //
     /* 2128956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129002 */     // MIs[0] round
     /* 2129002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129005 */     // MIs[0] policy
     /* 2129005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2129018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129041 */     // GIR_Coverage, 17525,
     /* 2129041 */     GIR_EraseRootFromParent_Done,
     /* 2129042 */   // Label 28120: @2129042
     /* 2129042 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2129133), // Rule ID 17528 //
     /* 2129047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129093 */     // MIs[0] round
     /* 2129093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129096 */     // MIs[0] policy
     /* 2129096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129106 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2129109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129132 */     // GIR_Coverage, 17528,
     /* 2129132 */     GIR_EraseRootFromParent_Done,
     /* 2129133 */   // Label 28121: @2129133
     /* 2129133 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2129224), // Rule ID 17529 //
     /* 2129138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129184 */     // MIs[0] round
     /* 2129184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129187 */     // MIs[0] policy
     /* 2129187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129197 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2129200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129223 */     // GIR_Coverage, 17529,
     /* 2129223 */     GIR_EraseRootFromParent_Done,
     /* 2129224 */   // Label 28122: @2129224
     /* 2129224 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2129315), // Rule ID 17532 //
     /* 2129229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129275 */     // MIs[0] round
     /* 2129275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129278 */     // MIs[0] policy
     /* 2129278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2129291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129314 */     // GIR_Coverage, 17532,
     /* 2129314 */     GIR_EraseRootFromParent_Done,
     /* 2129315 */   // Label 28123: @2129315
     /* 2129315 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2129406), // Rule ID 17533 //
     /* 2129320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129366 */     // MIs[0] round
     /* 2129366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129369 */     // MIs[0] policy
     /* 2129369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129379 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2129382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129405 */     // GIR_Coverage, 17533,
     /* 2129405 */     GIR_EraseRootFromParent_Done,
     /* 2129406 */   // Label 28124: @2129406
     /* 2129406 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2129497), // Rule ID 17536 //
     /* 2129411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129457 */     // MIs[0] round
     /* 2129457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129460 */     // MIs[0] policy
     /* 2129460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129470 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129496 */     // GIR_Coverage, 17536,
     /* 2129496 */     GIR_EraseRootFromParent_Done,
     /* 2129497 */   // Label 28125: @2129497
     /* 2129497 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2129588), // Rule ID 17537 //
     /* 2129502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129548 */     // MIs[0] round
     /* 2129548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129551 */     // MIs[0] policy
     /* 2129551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129561 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129587 */     // GIR_Coverage, 17537,
     /* 2129587 */     GIR_EraseRootFromParent_Done,
     /* 2129588 */   // Label 28126: @2129588
     /* 2129588 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2129679), // Rule ID 17540 //
     /* 2129593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129639 */     // MIs[0] round
     /* 2129639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129642 */     // MIs[0] policy
     /* 2129642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129678 */     // GIR_Coverage, 17540,
     /* 2129678 */     GIR_EraseRootFromParent_Done,
     /* 2129679 */   // Label 28127: @2129679
     /* 2129679 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2129770), // Rule ID 17541 //
     /* 2129684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129730 */     // MIs[0] round
     /* 2129730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129733 */     // MIs[0] policy
     /* 2129733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129743 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129769 */     // GIR_Coverage, 17541,
     /* 2129769 */     GIR_EraseRootFromParent_Done,
     /* 2129770 */   // Label 28128: @2129770
     /* 2129770 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2129861), // Rule ID 17544 //
     /* 2129775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129821 */     // MIs[0] round
     /* 2129821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129824 */     // MIs[0] policy
     /* 2129824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129834 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129860 */     // GIR_Coverage, 17544,
     /* 2129860 */     GIR_EraseRootFromParent_Done,
     /* 2129861 */   // Label 28129: @2129861
     /* 2129861 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2129952), // Rule ID 17545 //
     /* 2129866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129912 */     // MIs[0] round
     /* 2129912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129915 */     // MIs[0] policy
     /* 2129915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129925 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129951 */     // GIR_Coverage, 17545,
     /* 2129951 */     GIR_EraseRootFromParent_Done,
     /* 2129952 */   // Label 28130: @2129952
     /* 2129952 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2130043), // Rule ID 17548 //
     /* 2129957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130003 */     // MIs[0] round
     /* 2130003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130006 */     // MIs[0] policy
     /* 2130006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2130019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130042 */     // GIR_Coverage, 17548,
     /* 2130042 */     GIR_EraseRootFromParent_Done,
     /* 2130043 */   // Label 28131: @2130043
     /* 2130043 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2130134), // Rule ID 17549 //
     /* 2130048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130094 */     // MIs[0] round
     /* 2130094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130097 */     // MIs[0] policy
     /* 2130097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2130110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130133 */     // GIR_Coverage, 17549,
     /* 2130133 */     GIR_EraseRootFromParent_Done,
     /* 2130134 */   // Label 28132: @2130134
     /* 2130134 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2130225), // Rule ID 17552 //
     /* 2130139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130185 */     // MIs[0] round
     /* 2130185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130188 */     // MIs[0] policy
     /* 2130188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130198 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2130201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130224 */     // GIR_Coverage, 17552,
     /* 2130224 */     GIR_EraseRootFromParent_Done,
     /* 2130225 */   // Label 28133: @2130225
     /* 2130225 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2130316), // Rule ID 17553 //
     /* 2130230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130276 */     // MIs[0] round
     /* 2130276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130279 */     // MIs[0] policy
     /* 2130279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130289 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2130292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130315 */     // GIR_Coverage, 17553,
     /* 2130315 */     GIR_EraseRootFromParent_Done,
     /* 2130316 */   // Label 28134: @2130316
     /* 2130316 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2130407), // Rule ID 17556 //
     /* 2130321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130367 */     // MIs[0] round
     /* 2130367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130370 */     // MIs[0] policy
     /* 2130370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130406 */     // GIR_Coverage, 17556,
     /* 2130406 */     GIR_EraseRootFromParent_Done,
     /* 2130407 */   // Label 28135: @2130407
     /* 2130407 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2130498), // Rule ID 17557 //
     /* 2130412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130458 */     // MIs[0] round
     /* 2130458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130461 */     // MIs[0] policy
     /* 2130461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130471 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130497 */     // GIR_Coverage, 17557,
     /* 2130497 */     GIR_EraseRootFromParent_Done,
     /* 2130498 */   // Label 28136: @2130498
     /* 2130498 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2130589), // Rule ID 17560 //
     /* 2130503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130549 */     // MIs[0] round
     /* 2130549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130552 */     // MIs[0] policy
     /* 2130552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130588 */     // GIR_Coverage, 17560,
     /* 2130588 */     GIR_EraseRootFromParent_Done,
     /* 2130589 */   // Label 28137: @2130589
     /* 2130589 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2130680), // Rule ID 17561 //
     /* 2130594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130640 */     // MIs[0] round
     /* 2130640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130643 */     // MIs[0] policy
     /* 2130643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130679 */     // GIR_Coverage, 17561,
     /* 2130679 */     GIR_EraseRootFromParent_Done,
     /* 2130680 */   // Label 28138: @2130680
     /* 2130680 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2130771), // Rule ID 17564 //
     /* 2130685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130731 */     // MIs[0] round
     /* 2130731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130734 */     // MIs[0] policy
     /* 2130734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130744 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130770 */     // GIR_Coverage, 17564,
     /* 2130770 */     GIR_EraseRootFromParent_Done,
     /* 2130771 */   // Label 28139: @2130771
     /* 2130771 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2130862), // Rule ID 17565 //
     /* 2130776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130822 */     // MIs[0] round
     /* 2130822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130825 */     // MIs[0] policy
     /* 2130825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130835 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130861 */     // GIR_Coverage, 17565,
     /* 2130861 */     GIR_EraseRootFromParent_Done,
     /* 2130862 */   // Label 28140: @2130862
     /* 2130862 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2130953), // Rule ID 17568 //
     /* 2130867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130913 */     // MIs[0] round
     /* 2130913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130916 */     // MIs[0] policy
     /* 2130916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130926 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130952 */     // GIR_Coverage, 17568,
     /* 2130952 */     GIR_EraseRootFromParent_Done,
     /* 2130953 */   // Label 28141: @2130953
     /* 2130953 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2131044), // Rule ID 17569 //
     /* 2130958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131004 */     // MIs[0] round
     /* 2131004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131007 */     // MIs[0] policy
     /* 2131007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131017 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2131020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131043 */     // GIR_Coverage, 17569,
     /* 2131043 */     GIR_EraseRootFromParent_Done,
     /* 2131044 */   // Label 28142: @2131044
     /* 2131044 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2131135), // Rule ID 17572 //
     /* 2131049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2131069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131095 */     // MIs[0] round
     /* 2131095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131098 */     // MIs[0] policy
     /* 2131098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2131111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131134 */     // GIR_Coverage, 17572,
     /* 2131134 */     GIR_EraseRootFromParent_Done,
     /* 2131135 */   // Label 28143: @2131135
     /* 2131135 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2131226), // Rule ID 17573 //
     /* 2131140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2131160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131186 */     // MIs[0] round
     /* 2131186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131189 */     // MIs[0] policy
     /* 2131189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131199 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2131202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131225 */     // GIR_Coverage, 17573,
     /* 2131225 */     GIR_EraseRootFromParent_Done,
     /* 2131226 */   // Label 28144: @2131226
     /* 2131226 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2131317), // Rule ID 17576 //
     /* 2131231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2131251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131277 */     // MIs[0] round
     /* 2131277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131280 */     // MIs[0] policy
     /* 2131280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2131293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131316 */     // GIR_Coverage, 17576,
     /* 2131316 */     GIR_EraseRootFromParent_Done,
     /* 2131317 */   // Label 28145: @2131317
     /* 2131317 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2131408), // Rule ID 17577 //
     /* 2131322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2131342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131368 */     // MIs[0] round
     /* 2131368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131371 */     // MIs[0] policy
     /* 2131371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2131384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131407 */     // GIR_Coverage, 17577,
     /* 2131407 */     GIR_EraseRootFromParent_Done,
     /* 2131408 */   // Label 28146: @2131408
     /* 2131408 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2131499), // Rule ID 17580 //
     /* 2131413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131459 */     // MIs[0] round
     /* 2131459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131462 */     // MIs[0] policy
     /* 2131462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131472 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131498 */     // GIR_Coverage, 17580,
     /* 2131498 */     GIR_EraseRootFromParent_Done,
     /* 2131499 */   // Label 28147: @2131499
     /* 2131499 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2131590), // Rule ID 17581 //
     /* 2131504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131550 */     // MIs[0] round
     /* 2131550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131553 */     // MIs[0] policy
     /* 2131553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131589 */     // GIR_Coverage, 17581,
     /* 2131589 */     GIR_EraseRootFromParent_Done,
     /* 2131590 */   // Label 28148: @2131590
     /* 2131590 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2131681), // Rule ID 17584 //
     /* 2131595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131641 */     // MIs[0] round
     /* 2131641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131644 */     // MIs[0] policy
     /* 2131644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131654 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131680 */     // GIR_Coverage, 17584,
     /* 2131680 */     GIR_EraseRootFromParent_Done,
     /* 2131681 */   // Label 28149: @2131681
     /* 2131681 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2131772), // Rule ID 17585 //
     /* 2131686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131732 */     // MIs[0] round
     /* 2131732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131735 */     // MIs[0] policy
     /* 2131735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131745 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131771 */     // GIR_Coverage, 17585,
     /* 2131771 */     GIR_EraseRootFromParent_Done,
     /* 2131772 */   // Label 28150: @2131772
     /* 2131772 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2131863), // Rule ID 17588 //
     /* 2131777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131823 */     // MIs[0] round
     /* 2131823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131826 */     // MIs[0] policy
     /* 2131826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131862 */     // GIR_Coverage, 17588,
     /* 2131862 */     GIR_EraseRootFromParent_Done,
     /* 2131863 */   // Label 28151: @2131863
     /* 2131863 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2131954), // Rule ID 17589 //
     /* 2131868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131914 */     // MIs[0] round
     /* 2131914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131917 */     // MIs[0] policy
     /* 2131917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131953 */     // GIR_Coverage, 17589,
     /* 2131953 */     GIR_EraseRootFromParent_Done,
     /* 2131954 */   // Label 28152: @2131954
     /* 2131954 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2132045), // Rule ID 17592 //
     /* 2131959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132005 */     // MIs[0] round
     /* 2132005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132008 */     // MIs[0] policy
     /* 2132008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2132021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132044 */     // GIR_Coverage, 17592,
     /* 2132044 */     GIR_EraseRootFromParent_Done,
     /* 2132045 */   // Label 28153: @2132045
     /* 2132045 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2132136), // Rule ID 17593 //
     /* 2132050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2132070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132096 */     // MIs[0] round
     /* 2132096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132099 */     // MIs[0] policy
     /* 2132099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2132112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132135 */     // GIR_Coverage, 17593,
     /* 2132135 */     GIR_EraseRootFromParent_Done,
     /* 2132136 */   // Label 28154: @2132136
     /* 2132136 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2132227), // Rule ID 17596 //
     /* 2132141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132187 */     // MIs[0] round
     /* 2132187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132190 */     // MIs[0] policy
     /* 2132190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2132203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132226 */     // GIR_Coverage, 17596,
     /* 2132226 */     GIR_EraseRootFromParent_Done,
     /* 2132227 */   // Label 28155: @2132227
     /* 2132227 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2132318), // Rule ID 17597 //
     /* 2132232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132278 */     // MIs[0] round
     /* 2132278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132281 */     // MIs[0] policy
     /* 2132281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2132294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132317 */     // GIR_Coverage, 17597,
     /* 2132317 */     GIR_EraseRootFromParent_Done,
     /* 2132318 */   // Label 28156: @2132318
     /* 2132318 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2132409), // Rule ID 17600 //
     /* 2132323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132369 */     // MIs[0] round
     /* 2132369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132372 */     // MIs[0] policy
     /* 2132372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132408 */     // GIR_Coverage, 17600,
     /* 2132408 */     GIR_EraseRootFromParent_Done,
     /* 2132409 */   // Label 28157: @2132409
     /* 2132409 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2132500), // Rule ID 17601 //
     /* 2132414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132460 */     // MIs[0] round
     /* 2132460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132463 */     // MIs[0] policy
     /* 2132463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132473 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132499 */     // GIR_Coverage, 17601,
     /* 2132499 */     GIR_EraseRootFromParent_Done,
     /* 2132500 */   // Label 28158: @2132500
     /* 2132500 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2132591), // Rule ID 17604 //
     /* 2132505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132551 */     // MIs[0] round
     /* 2132551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132554 */     // MIs[0] policy
     /* 2132554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132564 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132590 */     // GIR_Coverage, 17604,
     /* 2132590 */     GIR_EraseRootFromParent_Done,
     /* 2132591 */   // Label 28159: @2132591
     /* 2132591 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2132682), // Rule ID 17605 //
     /* 2132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132642 */     // MIs[0] round
     /* 2132642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132645 */     // MIs[0] policy
     /* 2132645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132655 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132681 */     // GIR_Coverage, 17605,
     /* 2132681 */     GIR_EraseRootFromParent_Done,
     /* 2132682 */   // Label 28160: @2132682
     /* 2132682 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2132773), // Rule ID 17608 //
     /* 2132687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132733 */     // MIs[0] round
     /* 2132733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132736 */     // MIs[0] policy
     /* 2132736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132746 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132772 */     // GIR_Coverage, 17608,
     /* 2132772 */     GIR_EraseRootFromParent_Done,
     /* 2132773 */   // Label 28161: @2132773
     /* 2132773 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2132864), // Rule ID 17609 //
     /* 2132778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132824 */     // MIs[0] round
     /* 2132824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132827 */     // MIs[0] policy
     /* 2132827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132837 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132863 */     // GIR_Coverage, 17609,
     /* 2132863 */     GIR_EraseRootFromParent_Done,
     /* 2132864 */   // Label 28162: @2132864
     /* 2132864 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2132955), // Rule ID 17612 //
     /* 2132869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132915 */     // MIs[0] round
     /* 2132915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132918 */     // MIs[0] policy
     /* 2132918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132954 */     // GIR_Coverage, 17612,
     /* 2132954 */     GIR_EraseRootFromParent_Done,
     /* 2132955 */   // Label 28163: @2132955
     /* 2132955 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2133046), // Rule ID 17613 //
     /* 2132960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133006 */     // MIs[0] round
     /* 2133006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133009 */     // MIs[0] policy
     /* 2133009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133019 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2133022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133045 */     // GIR_Coverage, 17613,
     /* 2133045 */     GIR_EraseRootFromParent_Done,
     /* 2133046 */   // Label 28164: @2133046
     /* 2133046 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2133137), // Rule ID 17616 //
     /* 2133051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2133054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133097 */     // MIs[0] round
     /* 2133097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133100 */     // MIs[0] policy
     /* 2133100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133110 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2133113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133136 */     // GIR_Coverage, 17616,
     /* 2133136 */     GIR_EraseRootFromParent_Done,
     /* 2133137 */   // Label 28165: @2133137
     /* 2133137 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2133228), // Rule ID 17617 //
     /* 2133142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2133145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133188 */     // MIs[0] round
     /* 2133188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133191 */     // MIs[0] policy
     /* 2133191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133201 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2133204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133227 */     // GIR_Coverage, 17617,
     /* 2133227 */     GIR_EraseRootFromParent_Done,
     /* 2133228 */   // Label 28166: @2133228
     /* 2133228 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2133319), // Rule ID 17620 //
     /* 2133233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2133236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133279 */     // MIs[0] round
     /* 2133279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133282 */     // MIs[0] policy
     /* 2133282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2133295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133318 */     // GIR_Coverage, 17620,
     /* 2133318 */     GIR_EraseRootFromParent_Done,
     /* 2133319 */   // Label 28167: @2133319
     /* 2133319 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2133410), // Rule ID 17621 //
     /* 2133324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2133327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133370 */     // MIs[0] round
     /* 2133370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133373 */     // MIs[0] policy
     /* 2133373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133383 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2133386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133409 */     // GIR_Coverage, 17621,
     /* 2133409 */     GIR_EraseRootFromParent_Done,
     /* 2133410 */   // Label 28168: @2133410
     /* 2133410 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2133501), // Rule ID 17624 //
     /* 2133415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133461 */     // MIs[0] round
     /* 2133461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133464 */     // MIs[0] policy
     /* 2133464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133474 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133500 */     // GIR_Coverage, 17624,
     /* 2133500 */     GIR_EraseRootFromParent_Done,
     /* 2133501 */   // Label 28169: @2133501
     /* 2133501 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2133592), // Rule ID 17625 //
     /* 2133506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133552 */     // MIs[0] round
     /* 2133552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133555 */     // MIs[0] policy
     /* 2133555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133591 */     // GIR_Coverage, 17625,
     /* 2133591 */     GIR_EraseRootFromParent_Done,
     /* 2133592 */   // Label 28170: @2133592
     /* 2133592 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2133683), // Rule ID 17628 //
     /* 2133597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133643 */     // MIs[0] round
     /* 2133643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133646 */     // MIs[0] policy
     /* 2133646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133656 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133682 */     // GIR_Coverage, 17628,
     /* 2133682 */     GIR_EraseRootFromParent_Done,
     /* 2133683 */   // Label 28171: @2133683
     /* 2133683 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2133774), // Rule ID 17629 //
     /* 2133688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133734 */     // MIs[0] round
     /* 2133734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133737 */     // MIs[0] policy
     /* 2133737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133747 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133773 */     // GIR_Coverage, 17629,
     /* 2133773 */     GIR_EraseRootFromParent_Done,
     /* 2133774 */   // Label 28172: @2133774
     /* 2133774 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2133865), // Rule ID 17632 //
     /* 2133779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133825 */     // MIs[0] round
     /* 2133825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133828 */     // MIs[0] policy
     /* 2133828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133838 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133864 */     // GIR_Coverage, 17632,
     /* 2133864 */     GIR_EraseRootFromParent_Done,
     /* 2133865 */   // Label 28173: @2133865
     /* 2133865 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2133956), // Rule ID 17633 //
     /* 2133870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133916 */     // MIs[0] round
     /* 2133916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133919 */     // MIs[0] policy
     /* 2133919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133929 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133955 */     // GIR_Coverage, 17633,
     /* 2133955 */     GIR_EraseRootFromParent_Done,
     /* 2133956 */   // Label 28174: @2133956
     /* 2133956 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2134047), // Rule ID 17636 //
     /* 2133961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134007 */     // MIs[0] round
     /* 2134007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134010 */     // MIs[0] policy
     /* 2134010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134020 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2134023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134046 */     // GIR_Coverage, 17636,
     /* 2134046 */     GIR_EraseRootFromParent_Done,
     /* 2134047 */   // Label 28175: @2134047
     /* 2134047 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2134138), // Rule ID 17637 //
     /* 2134052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2134055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2134060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134098 */     // MIs[0] round
     /* 2134098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134101 */     // MIs[0] policy
     /* 2134101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134111 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2134114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134137 */     // GIR_Coverage, 17637,
     /* 2134137 */     GIR_EraseRootFromParent_Done,
     /* 2134138 */   // Label 28176: @2134138
     /* 2134138 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2134229), // Rule ID 17640 //
     /* 2134143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134189 */     // MIs[0] round
     /* 2134189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134192 */     // MIs[0] policy
     /* 2134192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134202 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2134205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134228 */     // GIR_Coverage, 17640,
     /* 2134228 */     GIR_EraseRootFromParent_Done,
     /* 2134229 */   // Label 28177: @2134229
     /* 2134229 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2134320), // Rule ID 17641 //
     /* 2134234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134280 */     // MIs[0] round
     /* 2134280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134283 */     // MIs[0] policy
     /* 2134283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134293 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2134296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134319 */     // GIR_Coverage, 17641,
     /* 2134319 */     GIR_EraseRootFromParent_Done,
     /* 2134320 */   // Label 28178: @2134320
     /* 2134320 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2134411), // Rule ID 17644 //
     /* 2134325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134371 */     // MIs[0] round
     /* 2134371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134374 */     // MIs[0] policy
     /* 2134374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134384 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134410 */     // GIR_Coverage, 17644,
     /* 2134410 */     GIR_EraseRootFromParent_Done,
     /* 2134411 */   // Label 28179: @2134411
     /* 2134411 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2134502), // Rule ID 17645 //
     /* 2134416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134462 */     // MIs[0] round
     /* 2134462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134465 */     // MIs[0] policy
     /* 2134465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134475 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134501 */     // GIR_Coverage, 17645,
     /* 2134501 */     GIR_EraseRootFromParent_Done,
     /* 2134502 */   // Label 28180: @2134502
     /* 2134502 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2134593), // Rule ID 17648 //
     /* 2134507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134553 */     // MIs[0] round
     /* 2134553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134556 */     // MIs[0] policy
     /* 2134556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134566 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134592 */     // GIR_Coverage, 17648,
     /* 2134592 */     GIR_EraseRootFromParent_Done,
     /* 2134593 */   // Label 28181: @2134593
     /* 2134593 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2134684), // Rule ID 17649 //
     /* 2134598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134644 */     // MIs[0] round
     /* 2134644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134647 */     // MIs[0] policy
     /* 2134647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134683 */     // GIR_Coverage, 17649,
     /* 2134683 */     GIR_EraseRootFromParent_Done,
     /* 2134684 */   // Label 28182: @2134684
     /* 2134684 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2134775), // Rule ID 17652 //
     /* 2134689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134735 */     // MIs[0] round
     /* 2134735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134738 */     // MIs[0] policy
     /* 2134738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134774 */     // GIR_Coverage, 17652,
     /* 2134774 */     GIR_EraseRootFromParent_Done,
     /* 2134775 */   // Label 28183: @2134775
     /* 2134775 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2134866), // Rule ID 17653 //
     /* 2134780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134826 */     // MIs[0] round
     /* 2134826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134829 */     // MIs[0] policy
     /* 2134829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134865 */     // GIR_Coverage, 17653,
     /* 2134865 */     GIR_EraseRootFromParent_Done,
     /* 2134866 */   // Label 28184: @2134866
     /* 2134866 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2134957), // Rule ID 17656 //
     /* 2134871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134917 */     // MIs[0] round
     /* 2134917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134920 */     // MIs[0] policy
     /* 2134920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134956 */     // GIR_Coverage, 17656,
     /* 2134956 */     GIR_EraseRootFromParent_Done,
     /* 2134957 */   // Label 28185: @2134957
     /* 2134957 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2135048), // Rule ID 17657 //
     /* 2134962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135008 */     // MIs[0] round
     /* 2135008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135011 */     // MIs[0] policy
     /* 2135011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135021 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2135024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135047 */     // GIR_Coverage, 17657,
     /* 2135047 */     GIR_EraseRootFromParent_Done,
     /* 2135048 */   // Label 28186: @2135048
     /* 2135048 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2135139), // Rule ID 17660 //
     /* 2135053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135099 */     // MIs[0] round
     /* 2135099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135102 */     // MIs[0] policy
     /* 2135102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135112 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2135115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135138 */     // GIR_Coverage, 17660,
     /* 2135138 */     GIR_EraseRootFromParent_Done,
     /* 2135139 */   // Label 28187: @2135139
     /* 2135139 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2135230), // Rule ID 17661 //
     /* 2135144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135190 */     // MIs[0] round
     /* 2135190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135193 */     // MIs[0] policy
     /* 2135193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135203 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2135206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135229 */     // GIR_Coverage, 17661,
     /* 2135229 */     GIR_EraseRootFromParent_Done,
     /* 2135230 */   // Label 28188: @2135230
     /* 2135230 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2135321), // Rule ID 17664 //
     /* 2135235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135281 */     // MIs[0] round
     /* 2135281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135284 */     // MIs[0] policy
     /* 2135284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135294 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2135297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135320 */     // GIR_Coverage, 17664,
     /* 2135320 */     GIR_EraseRootFromParent_Done,
     /* 2135321 */   // Label 28189: @2135321
     /* 2135321 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2135412), // Rule ID 17665 //
     /* 2135326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135372 */     // MIs[0] round
     /* 2135372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135375 */     // MIs[0] policy
     /* 2135375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135385 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2135388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135411 */     // GIR_Coverage, 17665,
     /* 2135411 */     GIR_EraseRootFromParent_Done,
     /* 2135412 */   // Label 28190: @2135412
     /* 2135412 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2135503), // Rule ID 17668 //
     /* 2135417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135463 */     // MIs[0] round
     /* 2135463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135466 */     // MIs[0] policy
     /* 2135466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135476 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135502 */     // GIR_Coverage, 17668,
     /* 2135502 */     GIR_EraseRootFromParent_Done,
     /* 2135503 */   // Label 28191: @2135503
     /* 2135503 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2135594), // Rule ID 17669 //
     /* 2135508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135554 */     // MIs[0] round
     /* 2135554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135557 */     // MIs[0] policy
     /* 2135557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135593 */     // GIR_Coverage, 17669,
     /* 2135593 */     GIR_EraseRootFromParent_Done,
     /* 2135594 */   // Label 28192: @2135594
     /* 2135594 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2135685), // Rule ID 17672 //
     /* 2135599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135645 */     // MIs[0] round
     /* 2135645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135648 */     // MIs[0] policy
     /* 2135648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135684 */     // GIR_Coverage, 17672,
     /* 2135684 */     GIR_EraseRootFromParent_Done,
     /* 2135685 */   // Label 28193: @2135685
     /* 2135685 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2135776), // Rule ID 17673 //
     /* 2135690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135736 */     // MIs[0] round
     /* 2135736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135739 */     // MIs[0] policy
     /* 2135739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135749 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135775 */     // GIR_Coverage, 17673,
     /* 2135775 */     GIR_EraseRootFromParent_Done,
     /* 2135776 */   // Label 28194: @2135776
     /* 2135776 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2135867), // Rule ID 17676 //
     /* 2135781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135827 */     // MIs[0] round
     /* 2135827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135830 */     // MIs[0] policy
     /* 2135830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135866 */     // GIR_Coverage, 17676,
     /* 2135866 */     GIR_EraseRootFromParent_Done,
     /* 2135867 */   // Label 28195: @2135867
     /* 2135867 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2135958), // Rule ID 17677 //
     /* 2135872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135918 */     // MIs[0] round
     /* 2135918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135921 */     // MIs[0] policy
     /* 2135921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135931 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135957 */     // GIR_Coverage, 17677,
     /* 2135957 */     GIR_EraseRootFromParent_Done,
     /* 2135958 */   // Label 28196: @2135958
     /* 2135958 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2136049), // Rule ID 17680 //
     /* 2135963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136009 */     // MIs[0] round
     /* 2136009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136012 */     // MIs[0] policy
     /* 2136012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136022 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2136025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136048 */     // GIR_Coverage, 17680,
     /* 2136048 */     GIR_EraseRootFromParent_Done,
     /* 2136049 */   // Label 28197: @2136049
     /* 2136049 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2136140), // Rule ID 17681 //
     /* 2136054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136100 */     // MIs[0] round
     /* 2136100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136103 */     // MIs[0] policy
     /* 2136103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136113 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2136116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136139 */     // GIR_Coverage, 17681,
     /* 2136139 */     GIR_EraseRootFromParent_Done,
     /* 2136140 */   // Label 28198: @2136140
     /* 2136140 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2136231), // Rule ID 17684 //
     /* 2136145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136191 */     // MIs[0] round
     /* 2136191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136194 */     // MIs[0] policy
     /* 2136194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136204 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2136207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136230 */     // GIR_Coverage, 17684,
     /* 2136230 */     GIR_EraseRootFromParent_Done,
     /* 2136231 */   // Label 28199: @2136231
     /* 2136231 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2136322), // Rule ID 17685 //
     /* 2136236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136282 */     // MIs[0] round
     /* 2136282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136285 */     // MIs[0] policy
     /* 2136285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136295 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2136298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136321 */     // GIR_Coverage, 17685,
     /* 2136321 */     GIR_EraseRootFromParent_Done,
     /* 2136322 */   // Label 28200: @2136322
     /* 2136322 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2136413), // Rule ID 17688 //
     /* 2136327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136373 */     // MIs[0] round
     /* 2136373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136376 */     // MIs[0] policy
     /* 2136376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136386 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136412 */     // GIR_Coverage, 17688,
     /* 2136412 */     GIR_EraseRootFromParent_Done,
     /* 2136413 */   // Label 28201: @2136413
     /* 2136413 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2136504), // Rule ID 17689 //
     /* 2136418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136464 */     // MIs[0] round
     /* 2136464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136467 */     // MIs[0] policy
     /* 2136467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136503 */     // GIR_Coverage, 17689,
     /* 2136503 */     GIR_EraseRootFromParent_Done,
     /* 2136504 */   // Label 28202: @2136504
     /* 2136504 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2136595), // Rule ID 17692 //
     /* 2136509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136555 */     // MIs[0] round
     /* 2136555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136558 */     // MIs[0] policy
     /* 2136558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136594 */     // GIR_Coverage, 17692,
     /* 2136594 */     GIR_EraseRootFromParent_Done,
     /* 2136595 */   // Label 28203: @2136595
     /* 2136595 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2136686), // Rule ID 17693 //
     /* 2136600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136646 */     // MIs[0] round
     /* 2136646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136649 */     // MIs[0] policy
     /* 2136649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136659 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136685 */     // GIR_Coverage, 17693,
     /* 2136685 */     GIR_EraseRootFromParent_Done,
     /* 2136686 */   // Label 28204: @2136686
     /* 2136686 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2136777), // Rule ID 17696 //
     /* 2136691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136737 */     // MIs[0] round
     /* 2136737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136740 */     // MIs[0] policy
     /* 2136740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136750 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136776 */     // GIR_Coverage, 17696,
     /* 2136776 */     GIR_EraseRootFromParent_Done,
     /* 2136777 */   // Label 28205: @2136777
     /* 2136777 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2136868), // Rule ID 17697 //
     /* 2136782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136828 */     // MIs[0] round
     /* 2136828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136831 */     // MIs[0] policy
     /* 2136831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136841 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136867 */     // GIR_Coverage, 17697,
     /* 2136867 */     GIR_EraseRootFromParent_Done,
     /* 2136868 */   // Label 28206: @2136868
     /* 2136868 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2136959), // Rule ID 17700 //
     /* 2136873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136919 */     // MIs[0] round
     /* 2136919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136922 */     // MIs[0] policy
     /* 2136922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136958 */     // GIR_Coverage, 17700,
     /* 2136958 */     GIR_EraseRootFromParent_Done,
     /* 2136959 */   // Label 28207: @2136959
     /* 2136959 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2137050), // Rule ID 17701 //
     /* 2136964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137010 */     // MIs[0] round
     /* 2137010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137013 */     // MIs[0] policy
     /* 2137013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137023 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2137026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137049 */     // GIR_Coverage, 17701,
     /* 2137049 */     GIR_EraseRootFromParent_Done,
     /* 2137050 */   // Label 28208: @2137050
     /* 2137050 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2137141), // Rule ID 17704 //
     /* 2137055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2137075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137101 */     // MIs[0] round
     /* 2137101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137104 */     // MIs[0] policy
     /* 2137104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137114 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2137117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137140 */     // GIR_Coverage, 17704,
     /* 2137140 */     GIR_EraseRootFromParent_Done,
     /* 2137141 */   // Label 28209: @2137141
     /* 2137141 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2137232), // Rule ID 17705 //
     /* 2137146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2137166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137192 */     // MIs[0] round
     /* 2137192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137195 */     // MIs[0] policy
     /* 2137195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2137208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137231 */     // GIR_Coverage, 17705,
     /* 2137231 */     GIR_EraseRootFromParent_Done,
     /* 2137232 */   // Label 28210: @2137232
     /* 2137232 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2137323), // Rule ID 17708 //
     /* 2137237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137283 */     // MIs[0] round
     /* 2137283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137286 */     // MIs[0] policy
     /* 2137286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2137299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137322 */     // GIR_Coverage, 17708,
     /* 2137322 */     GIR_EraseRootFromParent_Done,
     /* 2137323 */   // Label 28211: @2137323
     /* 2137323 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2137414), // Rule ID 17709 //
     /* 2137328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2137348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137374 */     // MIs[0] round
     /* 2137374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137377 */     // MIs[0] policy
     /* 2137377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137387 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2137390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137413 */     // GIR_Coverage, 17709,
     /* 2137413 */     GIR_EraseRootFromParent_Done,
     /* 2137414 */   // Label 28212: @2137414
     /* 2137414 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2137505), // Rule ID 17712 //
     /* 2137419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137465 */     // MIs[0] round
     /* 2137465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137468 */     // MIs[0] policy
     /* 2137468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137504 */     // GIR_Coverage, 17712,
     /* 2137504 */     GIR_EraseRootFromParent_Done,
     /* 2137505 */   // Label 28213: @2137505
     /* 2137505 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2137596), // Rule ID 17713 //
     /* 2137510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137556 */     // MIs[0] round
     /* 2137556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137559 */     // MIs[0] policy
     /* 2137559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137595 */     // GIR_Coverage, 17713,
     /* 2137595 */     GIR_EraseRootFromParent_Done,
     /* 2137596 */   // Label 28214: @2137596
     /* 2137596 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2137687), // Rule ID 17716 //
     /* 2137601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137647 */     // MIs[0] round
     /* 2137647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137650 */     // MIs[0] policy
     /* 2137650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137686 */     // GIR_Coverage, 17716,
     /* 2137686 */     GIR_EraseRootFromParent_Done,
     /* 2137687 */   // Label 28215: @2137687
     /* 2137687 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2137778), // Rule ID 17717 //
     /* 2137692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137738 */     // MIs[0] round
     /* 2137738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137741 */     // MIs[0] policy
     /* 2137741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137777 */     // GIR_Coverage, 17717,
     /* 2137777 */     GIR_EraseRootFromParent_Done,
     /* 2137778 */   // Label 28216: @2137778
     /* 2137778 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2137869), // Rule ID 17720 //
     /* 2137783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137829 */     // MIs[0] round
     /* 2137829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137832 */     // MIs[0] policy
     /* 2137832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137842 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137868 */     // GIR_Coverage, 17720,
     /* 2137868 */     GIR_EraseRootFromParent_Done,
     /* 2137869 */   // Label 28217: @2137869
     /* 2137869 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2137960), // Rule ID 17721 //
     /* 2137874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137920 */     // MIs[0] round
     /* 2137920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137923 */     // MIs[0] policy
     /* 2137923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137959 */     // GIR_Coverage, 17721,
     /* 2137959 */     GIR_EraseRootFromParent_Done,
     /* 2137960 */   // Label 28218: @2137960
     /* 2137960 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2138051), // Rule ID 17724 //
     /* 2137965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138011 */     // MIs[0] round
     /* 2138011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138014 */     // MIs[0] policy
     /* 2138014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138024 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2138027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138050 */     // GIR_Coverage, 17724,
     /* 2138050 */     GIR_EraseRootFromParent_Done,
     /* 2138051 */   // Label 28219: @2138051
     /* 2138051 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2138142), // Rule ID 17725 //
     /* 2138056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2138067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2138070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2138076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138102 */     // MIs[0] round
     /* 2138102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138105 */     // MIs[0] policy
     /* 2138105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138115 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2138118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138141 */     // GIR_Coverage, 17725,
     /* 2138141 */     GIR_EraseRootFromParent_Done,
     /* 2138142 */   // Label 28220: @2138142
     /* 2138142 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2138233), // Rule ID 17728 //
     /* 2138147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2138167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138193 */     // MIs[0] round
     /* 2138193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138196 */     // MIs[0] policy
     /* 2138196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138206 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2138209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138232 */     // GIR_Coverage, 17728,
     /* 2138232 */     GIR_EraseRootFromParent_Done,
     /* 2138233 */   // Label 28221: @2138233
     /* 2138233 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2138324), // Rule ID 17729 //
     /* 2138238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2138255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2138258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138284 */     // MIs[0] round
     /* 2138284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138287 */     // MIs[0] policy
     /* 2138287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138297 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2138300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138323 */     // GIR_Coverage, 17729,
     /* 2138323 */     GIR_EraseRootFromParent_Done,
     /* 2138324 */   // Label 28222: @2138324
     /* 2138324 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2138415), // Rule ID 17732 //
     /* 2138329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138375 */     // MIs[0] round
     /* 2138375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138378 */     // MIs[0] policy
     /* 2138378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138414 */     // GIR_Coverage, 17732,
     /* 2138414 */     GIR_EraseRootFromParent_Done,
     /* 2138415 */   // Label 28223: @2138415
     /* 2138415 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2138506), // Rule ID 17733 //
     /* 2138420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138466 */     // MIs[0] round
     /* 2138466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138469 */     // MIs[0] policy
     /* 2138469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138479 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138505 */     // GIR_Coverage, 17733,
     /* 2138505 */     GIR_EraseRootFromParent_Done,
     /* 2138506 */   // Label 28224: @2138506
     /* 2138506 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2138597), // Rule ID 17736 //
     /* 2138511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138557 */     // MIs[0] round
     /* 2138557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138560 */     // MIs[0] policy
     /* 2138560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138596 */     // GIR_Coverage, 17736,
     /* 2138596 */     GIR_EraseRootFromParent_Done,
     /* 2138597 */   // Label 28225: @2138597
     /* 2138597 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2138688), // Rule ID 17737 //
     /* 2138602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138648 */     // MIs[0] round
     /* 2138648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138651 */     // MIs[0] policy
     /* 2138651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138661 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138687 */     // GIR_Coverage, 17737,
     /* 2138687 */     GIR_EraseRootFromParent_Done,
     /* 2138688 */   // Label 28226: @2138688
     /* 2138688 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2138779), // Rule ID 17740 //
     /* 2138693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138739 */     // MIs[0] round
     /* 2138739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138742 */     // MIs[0] policy
     /* 2138742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138778 */     // GIR_Coverage, 17740,
     /* 2138778 */     GIR_EraseRootFromParent_Done,
     /* 2138779 */   // Label 28227: @2138779
     /* 2138779 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2138870), // Rule ID 17741 //
     /* 2138784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138830 */     // MIs[0] round
     /* 2138830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138833 */     // MIs[0] policy
     /* 2138833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138843 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138869 */     // GIR_Coverage, 17741,
     /* 2138869 */     GIR_EraseRootFromParent_Done,
     /* 2138870 */   // Label 28228: @2138870
     /* 2138870 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2138961), // Rule ID 17744 //
     /* 2138875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138921 */     // MIs[0] round
     /* 2138921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138924 */     // MIs[0] policy
     /* 2138924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138934 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138960 */     // GIR_Coverage, 17744,
     /* 2138960 */     GIR_EraseRootFromParent_Done,
     /* 2138961 */   // Label 28229: @2138961
     /* 2138961 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2139052), // Rule ID 17745 //
     /* 2138966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139012 */     // MIs[0] round
     /* 2139012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139015 */     // MIs[0] policy
     /* 2139015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139025 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2139028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139051 */     // GIR_Coverage, 17745,
     /* 2139051 */     GIR_EraseRootFromParent_Done,
     /* 2139052 */   // Label 28230: @2139052
     /* 2139052 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2139143), // Rule ID 17748 //
     /* 2139057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2139077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139103 */     // MIs[0] round
     /* 2139103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139106 */     // MIs[0] policy
     /* 2139106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139116 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2139119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139142 */     // GIR_Coverage, 17748,
     /* 2139142 */     GIR_EraseRootFromParent_Done,
     /* 2139143 */   // Label 28231: @2139143
     /* 2139143 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2139234), // Rule ID 17749 //
     /* 2139148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2139168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139194 */     // MIs[0] round
     /* 2139194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139197 */     // MIs[0] policy
     /* 2139197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139207 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2139210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139233 */     // GIR_Coverage, 17749,
     /* 2139233 */     GIR_EraseRootFromParent_Done,
     /* 2139234 */   // Label 28232: @2139234
     /* 2139234 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2139325), // Rule ID 17752 //
     /* 2139239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2139259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139285 */     // MIs[0] round
     /* 2139285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139288 */     // MIs[0] policy
     /* 2139288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2139301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139324 */     // GIR_Coverage, 17752,
     /* 2139324 */     GIR_EraseRootFromParent_Done,
     /* 2139325 */   // Label 28233: @2139325
     /* 2139325 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2139416), // Rule ID 17753 //
     /* 2139330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2139347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2139350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139376 */     // MIs[0] round
     /* 2139376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139379 */     // MIs[0] policy
     /* 2139379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139389 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2139392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139415 */     // GIR_Coverage, 17753,
     /* 2139415 */     GIR_EraseRootFromParent_Done,
     /* 2139416 */   // Label 28234: @2139416
     /* 2139416 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2139507), // Rule ID 17756 //
     /* 2139421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139467 */     // MIs[0] round
     /* 2139467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139470 */     // MIs[0] policy
     /* 2139470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139506 */     // GIR_Coverage, 17756,
     /* 2139506 */     GIR_EraseRootFromParent_Done,
     /* 2139507 */   // Label 28235: @2139507
     /* 2139507 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2139598), // Rule ID 17757 //
     /* 2139512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139558 */     // MIs[0] round
     /* 2139558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139561 */     // MIs[0] policy
     /* 2139561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139571 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139597 */     // GIR_Coverage, 17757,
     /* 2139597 */     GIR_EraseRootFromParent_Done,
     /* 2139598 */   // Label 28236: @2139598
     /* 2139598 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2139689), // Rule ID 17760 //
     /* 2139603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139649 */     // MIs[0] round
     /* 2139649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139652 */     // MIs[0] policy
     /* 2139652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139662 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139688 */     // GIR_Coverage, 17760,
     /* 2139688 */     GIR_EraseRootFromParent_Done,
     /* 2139689 */   // Label 28237: @2139689
     /* 2139689 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2139780), // Rule ID 17761 //
     /* 2139694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139740 */     // MIs[0] round
     /* 2139740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139743 */     // MIs[0] policy
     /* 2139743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139753 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139779 */     // GIR_Coverage, 17761,
     /* 2139779 */     GIR_EraseRootFromParent_Done,
     /* 2139780 */   // Label 28238: @2139780
     /* 2139780 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2139871), // Rule ID 17764 //
     /* 2139785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139831 */     // MIs[0] round
     /* 2139831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139834 */     // MIs[0] policy
     /* 2139834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139844 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139870 */     // GIR_Coverage, 17764,
     /* 2139870 */     GIR_EraseRootFromParent_Done,
     /* 2139871 */   // Label 28239: @2139871
     /* 2139871 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2139962), // Rule ID 17765 //
     /* 2139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139922 */     // MIs[0] round
     /* 2139922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139925 */     // MIs[0] policy
     /* 2139925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139935 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139961 */     // GIR_Coverage, 17765,
     /* 2139961 */     GIR_EraseRootFromParent_Done,
     /* 2139962 */   // Label 28240: @2139962
     /* 2139962 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2140053), // Rule ID 17768 //
     /* 2139967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140013 */     // MIs[0] round
     /* 2140013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140016 */     // MIs[0] policy
     /* 2140016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140026 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2140029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140052 */     // GIR_Coverage, 17768,
     /* 2140052 */     GIR_EraseRootFromParent_Done,
     /* 2140053 */   // Label 28241: @2140053
     /* 2140053 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2140144), // Rule ID 17769 //
     /* 2140058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2140078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140104 */     // MIs[0] round
     /* 2140104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140107 */     // MIs[0] policy
     /* 2140107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140117 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2140120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140143 */     // GIR_Coverage, 17769,
     /* 2140143 */     GIR_EraseRootFromParent_Done,
     /* 2140144 */   // Label 28242: @2140144
     /* 2140144 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2140235), // Rule ID 17772 //
     /* 2140149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2140169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140195 */     // MIs[0] round
     /* 2140195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140198 */     // MIs[0] policy
     /* 2140198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2140211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140234 */     // GIR_Coverage, 17772,
     /* 2140234 */     GIR_EraseRootFromParent_Done,
     /* 2140235 */   // Label 28243: @2140235
     /* 2140235 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2140326), // Rule ID 17773 //
     /* 2140240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2140260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140286 */     // MIs[0] round
     /* 2140286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140289 */     // MIs[0] policy
     /* 2140289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140299 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2140302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140325 */     // GIR_Coverage, 17773,
     /* 2140325 */     GIR_EraseRootFromParent_Done,
     /* 2140326 */   // Label 28244: @2140326
     /* 2140326 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2140417), // Rule ID 17776 //
     /* 2140331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140377 */     // MIs[0] round
     /* 2140377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140380 */     // MIs[0] policy
     /* 2140380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140390 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140416 */     // GIR_Coverage, 17776,
     /* 2140416 */     GIR_EraseRootFromParent_Done,
     /* 2140417 */   // Label 28245: @2140417
     /* 2140417 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2140508), // Rule ID 17777 //
     /* 2140422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140468 */     // MIs[0] round
     /* 2140468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140471 */     // MIs[0] policy
     /* 2140471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140507 */     // GIR_Coverage, 17777,
     /* 2140507 */     GIR_EraseRootFromParent_Done,
     /* 2140508 */   // Label 28246: @2140508
     /* 2140508 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2140599), // Rule ID 17780 //
     /* 2140513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140559 */     // MIs[0] round
     /* 2140559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140562 */     // MIs[0] policy
     /* 2140562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140598 */     // GIR_Coverage, 17780,
     /* 2140598 */     GIR_EraseRootFromParent_Done,
     /* 2140599 */   // Label 28247: @2140599
     /* 2140599 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2140690), // Rule ID 17781 //
     /* 2140604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140650 */     // MIs[0] round
     /* 2140650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140653 */     // MIs[0] policy
     /* 2140653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140663 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140689 */     // GIR_Coverage, 17781,
     /* 2140689 */     GIR_EraseRootFromParent_Done,
     /* 2140690 */   // Label 28248: @2140690
     /* 2140690 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2140781), // Rule ID 17784 //
     /* 2140695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140741 */     // MIs[0] round
     /* 2140741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140744 */     // MIs[0] policy
     /* 2140744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140754 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140780 */     // GIR_Coverage, 17784,
     /* 2140780 */     GIR_EraseRootFromParent_Done,
     /* 2140781 */   // Label 28249: @2140781
     /* 2140781 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2140872), // Rule ID 17785 //
     /* 2140786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140832 */     // MIs[0] round
     /* 2140832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140835 */     // MIs[0] policy
     /* 2140835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140845 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140871 */     // GIR_Coverage, 17785,
     /* 2140871 */     GIR_EraseRootFromParent_Done,
     /* 2140872 */   // Label 28250: @2140872
     /* 2140872 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2140963), // Rule ID 17788 //
     /* 2140877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140923 */     // MIs[0] round
     /* 2140923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140926 */     // MIs[0] policy
     /* 2140926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140962 */     // GIR_Coverage, 17788,
     /* 2140962 */     GIR_EraseRootFromParent_Done,
     /* 2140963 */   // Label 28251: @2140963
     /* 2140963 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2141054), // Rule ID 17789 //
     /* 2140968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141014 */     // MIs[0] round
     /* 2141014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141017 */     // MIs[0] policy
     /* 2141017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141027 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2141030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141053 */     // GIR_Coverage, 17789,
     /* 2141053 */     GIR_EraseRootFromParent_Done,
     /* 2141054 */   // Label 28252: @2141054
     /* 2141054 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2141145), // Rule ID 17792 //
     /* 2141059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141105 */     // MIs[0] round
     /* 2141105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141108 */     // MIs[0] policy
     /* 2141108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141118 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2141121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141144 */     // GIR_Coverage, 17792,
     /* 2141144 */     GIR_EraseRootFromParent_Done,
     /* 2141145 */   // Label 28253: @2141145
     /* 2141145 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2141236), // Rule ID 17793 //
     /* 2141150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2141170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141196 */     // MIs[0] round
     /* 2141196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141199 */     // MIs[0] policy
     /* 2141199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2141212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141235 */     // GIR_Coverage, 17793,
     /* 2141235 */     GIR_EraseRootFromParent_Done,
     /* 2141236 */   // Label 28254: @2141236
     /* 2141236 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2141327), // Rule ID 17796 //
     /* 2141241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2141261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141287 */     // MIs[0] round
     /* 2141287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141290 */     // MIs[0] policy
     /* 2141290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2141303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141326 */     // GIR_Coverage, 17796,
     /* 2141326 */     GIR_EraseRootFromParent_Done,
     /* 2141327 */   // Label 28255: @2141327
     /* 2141327 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2141418), // Rule ID 17797 //
     /* 2141332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2141352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141378 */     // MIs[0] round
     /* 2141378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141381 */     // MIs[0] policy
     /* 2141381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141391 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2141394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141417 */     // GIR_Coverage, 17797,
     /* 2141417 */     GIR_EraseRootFromParent_Done,
     /* 2141418 */   // Label 28256: @2141418
     /* 2141418 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2141509), // Rule ID 17800 //
     /* 2141423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141469 */     // MIs[0] round
     /* 2141469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141472 */     // MIs[0] policy
     /* 2141472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141482 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141508 */     // GIR_Coverage, 17800,
     /* 2141508 */     GIR_EraseRootFromParent_Done,
     /* 2141509 */   // Label 28257: @2141509
     /* 2141509 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2141600), // Rule ID 17801 //
     /* 2141514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141560 */     // MIs[0] round
     /* 2141560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141563 */     // MIs[0] policy
     /* 2141563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141573 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141599 */     // GIR_Coverage, 17801,
     /* 2141599 */     GIR_EraseRootFromParent_Done,
     /* 2141600 */   // Label 28258: @2141600
     /* 2141600 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2141691), // Rule ID 17804 //
     /* 2141605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141651 */     // MIs[0] round
     /* 2141651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141654 */     // MIs[0] policy
     /* 2141654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141690 */     // GIR_Coverage, 17804,
     /* 2141690 */     GIR_EraseRootFromParent_Done,
     /* 2141691 */   // Label 28259: @2141691
     /* 2141691 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2141782), // Rule ID 17805 //
     /* 2141696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141742 */     // MIs[0] round
     /* 2141742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141745 */     // MIs[0] policy
     /* 2141745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141755 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141781 */     // GIR_Coverage, 17805,
     /* 2141781 */     GIR_EraseRootFromParent_Done,
     /* 2141782 */   // Label 28260: @2141782
     /* 2141782 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2141873), // Rule ID 17808 //
     /* 2141787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141833 */     // MIs[0] round
     /* 2141833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141836 */     // MIs[0] policy
     /* 2141836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141846 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141872 */     // GIR_Coverage, 17808,
     /* 2141872 */     GIR_EraseRootFromParent_Done,
     /* 2141873 */   // Label 28261: @2141873
     /* 2141873 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2141964), // Rule ID 17809 //
     /* 2141878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141924 */     // MIs[0] round
     /* 2141924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141927 */     // MIs[0] policy
     /* 2141927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141937 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141963 */     // GIR_Coverage, 17809,
     /* 2141963 */     GIR_EraseRootFromParent_Done,
     /* 2141964 */   // Label 28262: @2141964
     /* 2141964 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2142055), // Rule ID 17812 //
     /* 2141969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142015 */     // MIs[0] round
     /* 2142015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142018 */     // MIs[0] policy
     /* 2142018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2142031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142054 */     // GIR_Coverage, 17812,
     /* 2142054 */     GIR_EraseRootFromParent_Done,
     /* 2142055 */   // Label 28263: @2142055
     /* 2142055 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2142146), // Rule ID 17813 //
     /* 2142060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2142080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142106 */     // MIs[0] round
     /* 2142106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142109 */     // MIs[0] policy
     /* 2142109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142119 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2142122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142145 */     // GIR_Coverage, 17813,
     /* 2142145 */     GIR_EraseRootFromParent_Done,
     /* 2142146 */   // Label 28264: @2142146
     /* 2142146 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2142237), // Rule ID 17816 //
     /* 2142151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142197 */     // MIs[0] round
     /* 2142197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142200 */     // MIs[0] policy
     /* 2142200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142210 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2142213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142236 */     // GIR_Coverage, 17816,
     /* 2142236 */     GIR_EraseRootFromParent_Done,
     /* 2142237 */   // Label 28265: @2142237
     /* 2142237 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2142328), // Rule ID 17817 //
     /* 2142242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142288 */     // MIs[0] round
     /* 2142288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142291 */     // MIs[0] policy
     /* 2142291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142301 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2142304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142327 */     // GIR_Coverage, 17817,
     /* 2142327 */     GIR_EraseRootFromParent_Done,
     /* 2142328 */   // Label 28266: @2142328
     /* 2142328 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2142419), // Rule ID 17820 //
     /* 2142333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142379 */     // MIs[0] round
     /* 2142379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142382 */     // MIs[0] policy
     /* 2142382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142392 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142418 */     // GIR_Coverage, 17820,
     /* 2142418 */     GIR_EraseRootFromParent_Done,
     /* 2142419 */   // Label 28267: @2142419
     /* 2142419 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2142510), // Rule ID 17821 //
     /* 2142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142470 */     // MIs[0] round
     /* 2142470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142473 */     // MIs[0] policy
     /* 2142473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142483 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142509 */     // GIR_Coverage, 17821,
     /* 2142509 */     GIR_EraseRootFromParent_Done,
     /* 2142510 */   // Label 28268: @2142510
     /* 2142510 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2142601), // Rule ID 17824 //
     /* 2142515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142561 */     // MIs[0] round
     /* 2142561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142564 */     // MIs[0] policy
     /* 2142564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142574 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142600 */     // GIR_Coverage, 17824,
     /* 2142600 */     GIR_EraseRootFromParent_Done,
     /* 2142601 */   // Label 28269: @2142601
     /* 2142601 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2142692), // Rule ID 17825 //
     /* 2142606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142652 */     // MIs[0] round
     /* 2142652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142655 */     // MIs[0] policy
     /* 2142655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142665 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142691 */     // GIR_Coverage, 17825,
     /* 2142691 */     GIR_EraseRootFromParent_Done,
     /* 2142692 */   // Label 28270: @2142692
     /* 2142692 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2142783), // Rule ID 17828 //
     /* 2142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142743 */     // MIs[0] round
     /* 2142743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142746 */     // MIs[0] policy
     /* 2142746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142756 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142782 */     // GIR_Coverage, 17828,
     /* 2142782 */     GIR_EraseRootFromParent_Done,
     /* 2142783 */   // Label 28271: @2142783
     /* 2142783 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2142874), // Rule ID 17829 //
     /* 2142788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142834 */     // MIs[0] round
     /* 2142834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142837 */     // MIs[0] policy
     /* 2142837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142847 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142873 */     // GIR_Coverage, 17829,
     /* 2142873 */     GIR_EraseRootFromParent_Done,
     /* 2142874 */   // Label 28272: @2142874
     /* 2142874 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2142965), // Rule ID 17832 //
     /* 2142879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142925 */     // MIs[0] round
     /* 2142925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142928 */     // MIs[0] policy
     /* 2142928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142964 */     // GIR_Coverage, 17832,
     /* 2142964 */     GIR_EraseRootFromParent_Done,
     /* 2142965 */   // Label 28273: @2142965
     /* 2142965 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2143056), // Rule ID 17833 //
     /* 2142970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143016 */     // MIs[0] round
     /* 2143016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143019 */     // MIs[0] policy
     /* 2143019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2143032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143055 */     // GIR_Coverage, 17833,
     /* 2143055 */     GIR_EraseRootFromParent_Done,
     /* 2143056 */   // Label 28274: @2143056
     /* 2143056 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2143147), // Rule ID 17836 //
     /* 2143061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2143081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143107 */     // MIs[0] round
     /* 2143107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143110 */     // MIs[0] policy
     /* 2143110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2143123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143146 */     // GIR_Coverage, 17836,
     /* 2143146 */     GIR_EraseRootFromParent_Done,
     /* 2143147 */   // Label 28275: @2143147
     /* 2143147 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2143238), // Rule ID 17837 //
     /* 2143152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2143172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143198 */     // MIs[0] round
     /* 2143198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143201 */     // MIs[0] policy
     /* 2143201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143211 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2143214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143237 */     // GIR_Coverage, 17837,
     /* 2143237 */     GIR_EraseRootFromParent_Done,
     /* 2143238 */   // Label 28276: @2143238
     /* 2143238 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2143329), // Rule ID 17840 //
     /* 2143243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2143254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2143257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2143263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143289 */     // MIs[0] round
     /* 2143289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143292 */     // MIs[0] policy
     /* 2143292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2143305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143328 */     // GIR_Coverage, 17840,
     /* 2143328 */     GIR_EraseRootFromParent_Done,
     /* 2143329 */   // Label 28277: @2143329
     /* 2143329 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2143420), // Rule ID 17841 //
     /* 2143334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2143345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2143348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2143354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143380 */     // MIs[0] round
     /* 2143380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143383 */     // MIs[0] policy
     /* 2143383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143393 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2143396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143419 */     // GIR_Coverage, 17841,
     /* 2143419 */     GIR_EraseRootFromParent_Done,
     /* 2143420 */   // Label 28278: @2143420
     /* 2143420 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2143511), // Rule ID 17844 //
     /* 2143425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143471 */     // MIs[0] round
     /* 2143471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143474 */     // MIs[0] policy
     /* 2143474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143484 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143510 */     // GIR_Coverage, 17844,
     /* 2143510 */     GIR_EraseRootFromParent_Done,
     /* 2143511 */   // Label 28279: @2143511
     /* 2143511 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2143602), // Rule ID 17845 //
     /* 2143516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143562 */     // MIs[0] round
     /* 2143562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143565 */     // MIs[0] policy
     /* 2143565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143575 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143601 */     // GIR_Coverage, 17845,
     /* 2143601 */     GIR_EraseRootFromParent_Done,
     /* 2143602 */   // Label 28280: @2143602
     /* 2143602 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2143693), // Rule ID 17848 //
     /* 2143607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143653 */     // MIs[0] round
     /* 2143653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143656 */     // MIs[0] policy
     /* 2143656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143666 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143692 */     // GIR_Coverage, 17848,
     /* 2143692 */     GIR_EraseRootFromParent_Done,
     /* 2143693 */   // Label 28281: @2143693
     /* 2143693 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2143784), // Rule ID 17849 //
     /* 2143698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143744 */     // MIs[0] round
     /* 2143744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143747 */     // MIs[0] policy
     /* 2143747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143757 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143783 */     // GIR_Coverage, 17849,
     /* 2143783 */     GIR_EraseRootFromParent_Done,
     /* 2143784 */   // Label 28282: @2143784
     /* 2143784 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2143875), // Rule ID 17852 //
     /* 2143789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143835 */     // MIs[0] round
     /* 2143835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143838 */     // MIs[0] policy
     /* 2143838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143874 */     // GIR_Coverage, 17852,
     /* 2143874 */     GIR_EraseRootFromParent_Done,
     /* 2143875 */   // Label 28283: @2143875
     /* 2143875 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2143966), // Rule ID 17853 //
     /* 2143880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143926 */     // MIs[0] round
     /* 2143926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143929 */     // MIs[0] policy
     /* 2143929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143939 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143965 */     // GIR_Coverage, 17853,
     /* 2143965 */     GIR_EraseRootFromParent_Done,
     /* 2143966 */   // Label 28284: @2143966
     /* 2143966 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2144057), // Rule ID 17856 //
     /* 2143971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144017 */     // MIs[0] round
     /* 2144017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144020 */     // MIs[0] policy
     /* 2144020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144030 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2144033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144056 */     // GIR_Coverage, 17856,
     /* 2144056 */     GIR_EraseRootFromParent_Done,
     /* 2144057 */   // Label 28285: @2144057
     /* 2144057 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2144148), // Rule ID 17857 //
     /* 2144062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2144082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144108 */     // MIs[0] round
     /* 2144108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144111 */     // MIs[0] policy
     /* 2144111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144121 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2144124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144147 */     // GIR_Coverage, 17857,
     /* 2144147 */     GIR_EraseRootFromParent_Done,
     /* 2144148 */   // Label 28286: @2144148
     /* 2144148 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2144239), // Rule ID 17860 //
     /* 2144153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2144173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144199 */     // MIs[0] round
     /* 2144199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144202 */     // MIs[0] policy
     /* 2144202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2144215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144238 */     // GIR_Coverage, 17860,
     /* 2144238 */     GIR_EraseRootFromParent_Done,
     /* 2144239 */   // Label 28287: @2144239
     /* 2144239 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2144330), // Rule ID 17861 //
     /* 2144244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2144261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2144264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144290 */     // MIs[0] round
     /* 2144290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144293 */     // MIs[0] policy
     /* 2144293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144303 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2144306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144329 */     // GIR_Coverage, 17861,
     /* 2144329 */     GIR_EraseRootFromParent_Done,
     /* 2144330 */   // Label 28288: @2144330
     /* 2144330 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2144421), // Rule ID 17864 //
     /* 2144335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144381 */     // MIs[0] round
     /* 2144381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144384 */     // MIs[0] policy
     /* 2144384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144394 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144420 */     // GIR_Coverage, 17864,
     /* 2144420 */     GIR_EraseRootFromParent_Done,
     /* 2144421 */   // Label 28289: @2144421
     /* 2144421 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2144512), // Rule ID 17865 //
     /* 2144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144472 */     // MIs[0] round
     /* 2144472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144475 */     // MIs[0] policy
     /* 2144475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144485 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144511 */     // GIR_Coverage, 17865,
     /* 2144511 */     GIR_EraseRootFromParent_Done,
     /* 2144512 */   // Label 28290: @2144512
     /* 2144512 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2144603), // Rule ID 17868 //
     /* 2144517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144563 */     // MIs[0] round
     /* 2144563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144566 */     // MIs[0] policy
     /* 2144566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144602 */     // GIR_Coverage, 17868,
     /* 2144602 */     GIR_EraseRootFromParent_Done,
     /* 2144603 */   // Label 28291: @2144603
     /* 2144603 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2144694), // Rule ID 17869 //
     /* 2144608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144654 */     // MIs[0] round
     /* 2144654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144657 */     // MIs[0] policy
     /* 2144657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144667 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144693 */     // GIR_Coverage, 17869,
     /* 2144693 */     GIR_EraseRootFromParent_Done,
     /* 2144694 */   // Label 28292: @2144694
     /* 2144694 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2144785), // Rule ID 17872 //
     /* 2144699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144745 */     // MIs[0] round
     /* 2144745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144748 */     // MIs[0] policy
     /* 2144748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144758 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144784 */     // GIR_Coverage, 17872,
     /* 2144784 */     GIR_EraseRootFromParent_Done,
     /* 2144785 */   // Label 28293: @2144785
     /* 2144785 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2144876), // Rule ID 17873 //
     /* 2144790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144836 */     // MIs[0] round
     /* 2144836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144839 */     // MIs[0] policy
     /* 2144839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144849 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144875 */     // GIR_Coverage, 17873,
     /* 2144875 */     GIR_EraseRootFromParent_Done,
     /* 2144876 */   // Label 28294: @2144876
     /* 2144876 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2144967), // Rule ID 17876 //
     /* 2144881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144927 */     // MIs[0] round
     /* 2144927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144930 */     // MIs[0] policy
     /* 2144930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144940 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144966 */     // GIR_Coverage, 17876,
     /* 2144966 */     GIR_EraseRootFromParent_Done,
     /* 2144967 */   // Label 28295: @2144967
     /* 2144967 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2145058), // Rule ID 17877 //
     /* 2144972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145018 */     // MIs[0] round
     /* 2145018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145021 */     // MIs[0] policy
     /* 2145021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145031 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2145034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145057 */     // GIR_Coverage, 17877,
     /* 2145057 */     GIR_EraseRootFromParent_Done,
     /* 2145058 */   // Label 28296: @2145058
     /* 2145058 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2145149), // Rule ID 17880 //
     /* 2145063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145109 */     // MIs[0] round
     /* 2145109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145112 */     // MIs[0] policy
     /* 2145112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145122 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2145125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145148 */     // GIR_Coverage, 17880,
     /* 2145148 */     GIR_EraseRootFromParent_Done,
     /* 2145149 */   // Label 28297: @2145149
     /* 2145149 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2145240), // Rule ID 17881 //
     /* 2145154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145200 */     // MIs[0] round
     /* 2145200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145203 */     // MIs[0] policy
     /* 2145203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145213 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2145216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145239 */     // GIR_Coverage, 17881,
     /* 2145239 */     GIR_EraseRootFromParent_Done,
     /* 2145240 */   // Label 28298: @2145240
     /* 2145240 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2145331), // Rule ID 17884 //
     /* 2145245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145291 */     // MIs[0] round
     /* 2145291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145294 */     // MIs[0] policy
     /* 2145294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145304 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2145307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145330 */     // GIR_Coverage, 17884,
     /* 2145330 */     GIR_EraseRootFromParent_Done,
     /* 2145331 */   // Label 28299: @2145331
     /* 2145331 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2145422), // Rule ID 17885 //
     /* 2145336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145382 */     // MIs[0] round
     /* 2145382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145385 */     // MIs[0] policy
     /* 2145385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145395 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2145398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145421 */     // GIR_Coverage, 17885,
     /* 2145421 */     GIR_EraseRootFromParent_Done,
     /* 2145422 */   // Label 28300: @2145422
     /* 2145422 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2145513), // Rule ID 17888 //
     /* 2145427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145473 */     // MIs[0] round
     /* 2145473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145476 */     // MIs[0] policy
     /* 2145476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145486 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145512 */     // GIR_Coverage, 17888,
     /* 2145512 */     GIR_EraseRootFromParent_Done,
     /* 2145513 */   // Label 28301: @2145513
     /* 2145513 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2145604), // Rule ID 17889 //
     /* 2145518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145564 */     // MIs[0] round
     /* 2145564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145567 */     // MIs[0] policy
     /* 2145567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145603 */     // GIR_Coverage, 17889,
     /* 2145603 */     GIR_EraseRootFromParent_Done,
     /* 2145604 */   // Label 28302: @2145604
     /* 2145604 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2145695), // Rule ID 17892 //
     /* 2145609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145655 */     // MIs[0] round
     /* 2145655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145658 */     // MIs[0] policy
     /* 2145658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145694 */     // GIR_Coverage, 17892,
     /* 2145694 */     GIR_EraseRootFromParent_Done,
     /* 2145695 */   // Label 28303: @2145695
     /* 2145695 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2145786), // Rule ID 17893 //
     /* 2145700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145746 */     // MIs[0] round
     /* 2145746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145749 */     // MIs[0] policy
     /* 2145749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145759 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145785 */     // GIR_Coverage, 17893,
     /* 2145785 */     GIR_EraseRootFromParent_Done,
     /* 2145786 */   // Label 28304: @2145786
     /* 2145786 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2145877), // Rule ID 17896 //
     /* 2145791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145837 */     // MIs[0] round
     /* 2145837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145840 */     // MIs[0] policy
     /* 2145840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145876 */     // GIR_Coverage, 17896,
     /* 2145876 */     GIR_EraseRootFromParent_Done,
     /* 2145877 */   // Label 28305: @2145877
     /* 2145877 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2145968), // Rule ID 17897 //
     /* 2145882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145928 */     // MIs[0] round
     /* 2145928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145931 */     // MIs[0] policy
     /* 2145931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145941 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145967 */     // GIR_Coverage, 17897,
     /* 2145967 */     GIR_EraseRootFromParent_Done,
     /* 2145968 */   // Label 28306: @2145968
     /* 2145968 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2146059), // Rule ID 17900 //
     /* 2145973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146019 */     // MIs[0] round
     /* 2146019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146022 */     // MIs[0] policy
     /* 2146022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2146035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146058 */     // GIR_Coverage, 17900,
     /* 2146058 */     GIR_EraseRootFromParent_Done,
     /* 2146059 */   // Label 28307: @2146059
     /* 2146059 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2146150), // Rule ID 17901 //
     /* 2146064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146110 */     // MIs[0] round
     /* 2146110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146113 */     // MIs[0] policy
     /* 2146113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146123 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2146126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146149 */     // GIR_Coverage, 17901,
     /* 2146149 */     GIR_EraseRootFromParent_Done,
     /* 2146150 */   // Label 28308: @2146150
     /* 2146150 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2146241), // Rule ID 17904 //
     /* 2146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146201 */     // MIs[0] round
     /* 2146201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146204 */     // MIs[0] policy
     /* 2146204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2146217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146240 */     // GIR_Coverage, 17904,
     /* 2146240 */     GIR_EraseRootFromParent_Done,
     /* 2146241 */   // Label 28309: @2146241
     /* 2146241 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2146332), // Rule ID 17905 //
     /* 2146246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146292 */     // MIs[0] round
     /* 2146292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146295 */     // MIs[0] policy
     /* 2146295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146305 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2146308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146331 */     // GIR_Coverage, 17905,
     /* 2146331 */     GIR_EraseRootFromParent_Done,
     /* 2146332 */   // Label 28310: @2146332
     /* 2146332 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2146423), // Rule ID 17908 //
     /* 2146337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146383 */     // MIs[0] round
     /* 2146383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146386 */     // MIs[0] policy
     /* 2146386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146396 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146422 */     // GIR_Coverage, 17908,
     /* 2146422 */     GIR_EraseRootFromParent_Done,
     /* 2146423 */   // Label 28311: @2146423
     /* 2146423 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2146514), // Rule ID 17909 //
     /* 2146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146474 */     // MIs[0] round
     /* 2146474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146477 */     // MIs[0] policy
     /* 2146477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146487 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146513 */     // GIR_Coverage, 17909,
     /* 2146513 */     GIR_EraseRootFromParent_Done,
     /* 2146514 */   // Label 28312: @2146514
     /* 2146514 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2146605), // Rule ID 17912 //
     /* 2146519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146565 */     // MIs[0] round
     /* 2146565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146568 */     // MIs[0] policy
     /* 2146568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146578 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146604 */     // GIR_Coverage, 17912,
     /* 2146604 */     GIR_EraseRootFromParent_Done,
     /* 2146605 */   // Label 28313: @2146605
     /* 2146605 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2146696), // Rule ID 17913 //
     /* 2146610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146656 */     // MIs[0] round
     /* 2146656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146659 */     // MIs[0] policy
     /* 2146659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146669 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146695 */     // GIR_Coverage, 17913,
     /* 2146695 */     GIR_EraseRootFromParent_Done,
     /* 2146696 */   // Label 28314: @2146696
     /* 2146696 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2146787), // Rule ID 17916 //
     /* 2146701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146747 */     // MIs[0] round
     /* 2146747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146750 */     // MIs[0] policy
     /* 2146750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146786 */     // GIR_Coverage, 17916,
     /* 2146786 */     GIR_EraseRootFromParent_Done,
     /* 2146787 */   // Label 28315: @2146787
     /* 2146787 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2146878), // Rule ID 17917 //
     /* 2146792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146838 */     // MIs[0] round
     /* 2146838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146841 */     // MIs[0] policy
     /* 2146841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146851 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146877 */     // GIR_Coverage, 17917,
     /* 2146877 */     GIR_EraseRootFromParent_Done,
     /* 2146878 */   // Label 28316: @2146878
     /* 2146878 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2146969), // Rule ID 17920 //
     /* 2146883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146929 */     // MIs[0] round
     /* 2146929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146932 */     // MIs[0] policy
     /* 2146932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146968 */     // GIR_Coverage, 17920,
     /* 2146968 */     GIR_EraseRootFromParent_Done,
     /* 2146969 */   // Label 28317: @2146969
     /* 2146969 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2147060), // Rule ID 17921 //
     /* 2146974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147020 */     // MIs[0] round
     /* 2147020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147023 */     // MIs[0] policy
     /* 2147023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147033 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2147036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147059 */     // GIR_Coverage, 17921,
     /* 2147059 */     GIR_EraseRootFromParent_Done,
     /* 2147060 */   // Label 28318: @2147060
     /* 2147060 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2147151), // Rule ID 17924 //
     /* 2147065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147111 */     // MIs[0] round
     /* 2147111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147114 */     // MIs[0] policy
     /* 2147114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147124 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2147127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147150 */     // GIR_Coverage, 17924,
     /* 2147150 */     GIR_EraseRootFromParent_Done,
     /* 2147151 */   // Label 28319: @2147151
     /* 2147151 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2147242), // Rule ID 17925 //
     /* 2147156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147202 */     // MIs[0] round
     /* 2147202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147205 */     // MIs[0] policy
     /* 2147205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2147218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147241 */     // GIR_Coverage, 17925,
     /* 2147241 */     GIR_EraseRootFromParent_Done,
     /* 2147242 */   // Label 28320: @2147242
     /* 2147242 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2147333), // Rule ID 17928 //
     /* 2147247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147293 */     // MIs[0] round
     /* 2147293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147296 */     // MIs[0] policy
     /* 2147296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147306 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2147309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147332 */     // GIR_Coverage, 17928,
     /* 2147332 */     GIR_EraseRootFromParent_Done,
     /* 2147333 */   // Label 28321: @2147333
     /* 2147333 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2147424), // Rule ID 17929 //
     /* 2147338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147384 */     // MIs[0] round
     /* 2147384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147387 */     // MIs[0] policy
     /* 2147387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147397 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2147400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147423 */     // GIR_Coverage, 17929,
     /* 2147423 */     GIR_EraseRootFromParent_Done,
     /* 2147424 */   // Label 28322: @2147424
     /* 2147424 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2147515), // Rule ID 17932 //
     /* 2147429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147475 */     // MIs[0] round
     /* 2147475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147478 */     // MIs[0] policy
     /* 2147478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147488 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147514 */     // GIR_Coverage, 17932,
     /* 2147514 */     GIR_EraseRootFromParent_Done,
     /* 2147515 */   // Label 28323: @2147515
     /* 2147515 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2147606), // Rule ID 17933 //
     /* 2147520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147566 */     // MIs[0] round
     /* 2147566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147569 */     // MIs[0] policy
     /* 2147569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147579 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147605 */     // GIR_Coverage, 17933,
     /* 2147605 */     GIR_EraseRootFromParent_Done,
     /* 2147606 */   // Label 28324: @2147606
     /* 2147606 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2147697), // Rule ID 17936 //
     /* 2147611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147657 */     // MIs[0] round
     /* 2147657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147660 */     // MIs[0] policy
     /* 2147660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147670 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147696 */     // GIR_Coverage, 17936,
     /* 2147696 */     GIR_EraseRootFromParent_Done,
     /* 2147697 */   // Label 28325: @2147697
     /* 2147697 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2147788), // Rule ID 17937 //
     /* 2147702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147748 */     // MIs[0] round
     /* 2147748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147751 */     // MIs[0] policy
     /* 2147751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147761 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147787 */     // GIR_Coverage, 17937,
     /* 2147787 */     GIR_EraseRootFromParent_Done,
     /* 2147788 */   // Label 28326: @2147788
     /* 2147788 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2147879), // Rule ID 17940 //
     /* 2147793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147839 */     // MIs[0] round
     /* 2147839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147842 */     // MIs[0] policy
     /* 2147842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147878 */     // GIR_Coverage, 17940,
     /* 2147878 */     GIR_EraseRootFromParent_Done,
     /* 2147879 */   // Label 28327: @2147879
     /* 2147879 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2147970), // Rule ID 17941 //
     /* 2147884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147930 */     // MIs[0] round
     /* 2147930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147933 */     // MIs[0] policy
     /* 2147933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147943 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147969 */     // GIR_Coverage, 17941,
     /* 2147969 */     GIR_EraseRootFromParent_Done,
     /* 2147970 */   // Label 28328: @2147970
     /* 2147970 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2148061), // Rule ID 17944 //
     /* 2147975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148021 */     // MIs[0] round
     /* 2148021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148024 */     // MIs[0] policy
     /* 2148024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148034 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2148037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148060 */     // GIR_Coverage, 17944,
     /* 2148060 */     GIR_EraseRootFromParent_Done,
     /* 2148061 */   // Label 28329: @2148061
     /* 2148061 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2148152), // Rule ID 17945 //
     /* 2148066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148112 */     // MIs[0] round
     /* 2148112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148115 */     // MIs[0] policy
     /* 2148115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148125 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2148128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148151 */     // GIR_Coverage, 17945,
     /* 2148151 */     GIR_EraseRootFromParent_Done,
     /* 2148152 */   // Label 28330: @2148152
     /* 2148152 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2148243), // Rule ID 17948 //
     /* 2148157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148203 */     // MIs[0] round
     /* 2148203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148206 */     // MIs[0] policy
     /* 2148206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2148219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148242 */     // GIR_Coverage, 17948,
     /* 2148242 */     GIR_EraseRootFromParent_Done,
     /* 2148243 */   // Label 28331: @2148243
     /* 2148243 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2148334), // Rule ID 17949 //
     /* 2148248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148294 */     // MIs[0] round
     /* 2148294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148297 */     // MIs[0] policy
     /* 2148297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148307 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2148310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148333 */     // GIR_Coverage, 17949,
     /* 2148333 */     GIR_EraseRootFromParent_Done,
     /* 2148334 */   // Label 28332: @2148334
     /* 2148334 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2148425), // Rule ID 17952 //
     /* 2148339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148385 */     // MIs[0] round
     /* 2148385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148388 */     // MIs[0] policy
     /* 2148388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148398 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148424 */     // GIR_Coverage, 17952,
     /* 2148424 */     GIR_EraseRootFromParent_Done,
     /* 2148425 */   // Label 28333: @2148425
     /* 2148425 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2148516), // Rule ID 17953 //
     /* 2148430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148476 */     // MIs[0] round
     /* 2148476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148479 */     // MIs[0] policy
     /* 2148479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148489 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148515 */     // GIR_Coverage, 17953,
     /* 2148515 */     GIR_EraseRootFromParent_Done,
     /* 2148516 */   // Label 28334: @2148516
     /* 2148516 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2148607), // Rule ID 17956 //
     /* 2148521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148567 */     // MIs[0] round
     /* 2148567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148570 */     // MIs[0] policy
     /* 2148570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148606 */     // GIR_Coverage, 17956,
     /* 2148606 */     GIR_EraseRootFromParent_Done,
     /* 2148607 */   // Label 28335: @2148607
     /* 2148607 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2148698), // Rule ID 17957 //
     /* 2148612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148658 */     // MIs[0] round
     /* 2148658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148661 */     // MIs[0] policy
     /* 2148661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148697 */     // GIR_Coverage, 17957,
     /* 2148697 */     GIR_EraseRootFromParent_Done,
     /* 2148698 */   // Label 28336: @2148698
     /* 2148698 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2148789), // Rule ID 17960 //
     /* 2148703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148749 */     // MIs[0] round
     /* 2148749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148752 */     // MIs[0] policy
     /* 2148752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148762 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148788 */     // GIR_Coverage, 17960,
     /* 2148788 */     GIR_EraseRootFromParent_Done,
     /* 2148789 */   // Label 28337: @2148789
     /* 2148789 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2148880), // Rule ID 17961 //
     /* 2148794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148840 */     // MIs[0] round
     /* 2148840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148843 */     // MIs[0] policy
     /* 2148843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148879 */     // GIR_Coverage, 17961,
     /* 2148879 */     GIR_EraseRootFromParent_Done,
     /* 2148880 */   // Label 28338: @2148880
     /* 2148880 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2148971), // Rule ID 17964 //
     /* 2148885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148931 */     // MIs[0] round
     /* 2148931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148934 */     // MIs[0] policy
     /* 2148934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148944 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148970 */     // GIR_Coverage, 17964,
     /* 2148970 */     GIR_EraseRootFromParent_Done,
     /* 2148971 */   // Label 28339: @2148971
     /* 2148971 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2149062), // Rule ID 17965 //
     /* 2148976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149022 */     // MIs[0] round
     /* 2149022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149025 */     // MIs[0] policy
     /* 2149025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149035 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2149038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149061 */     // GIR_Coverage, 17965,
     /* 2149061 */     GIR_EraseRootFromParent_Done,
     /* 2149062 */   // Label 28340: @2149062
     /* 2149062 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2149153), // Rule ID 17968 //
     /* 2149067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149113 */     // MIs[0] round
     /* 2149113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149116 */     // MIs[0] policy
     /* 2149116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149126 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2149129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149152 */     // GIR_Coverage, 17968,
     /* 2149152 */     GIR_EraseRootFromParent_Done,
     /* 2149153 */   // Label 28341: @2149153
     /* 2149153 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2149244), // Rule ID 17969 //
     /* 2149158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149204 */     // MIs[0] round
     /* 2149204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149207 */     // MIs[0] policy
     /* 2149207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149217 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2149220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149243 */     // GIR_Coverage, 17969,
     /* 2149243 */     GIR_EraseRootFromParent_Done,
     /* 2149244 */   // Label 28342: @2149244
     /* 2149244 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2149335), // Rule ID 17972 //
     /* 2149249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149295 */     // MIs[0] round
     /* 2149295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149298 */     // MIs[0] policy
     /* 2149298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2149311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149334 */     // GIR_Coverage, 17972,
     /* 2149334 */     GIR_EraseRootFromParent_Done,
     /* 2149335 */   // Label 28343: @2149335
     /* 2149335 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2149426), // Rule ID 17973 //
     /* 2149340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149386 */     // MIs[0] round
     /* 2149386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149389 */     // MIs[0] policy
     /* 2149389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2149402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149425 */     // GIR_Coverage, 17973,
     /* 2149425 */     GIR_EraseRootFromParent_Done,
     /* 2149426 */   // Label 28344: @2149426
     /* 2149426 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2149517), // Rule ID 17976 //
     /* 2149431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149477 */     // MIs[0] round
     /* 2149477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149480 */     // MIs[0] policy
     /* 2149480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149516 */     // GIR_Coverage, 17976,
     /* 2149516 */     GIR_EraseRootFromParent_Done,
     /* 2149517 */   // Label 28345: @2149517
     /* 2149517 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2149608), // Rule ID 17977 //
     /* 2149522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149568 */     // MIs[0] round
     /* 2149568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149571 */     // MIs[0] policy
     /* 2149571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149581 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149607 */     // GIR_Coverage, 17977,
     /* 2149607 */     GIR_EraseRootFromParent_Done,
     /* 2149608 */   // Label 28346: @2149608
     /* 2149608 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2149699), // Rule ID 17980 //
     /* 2149613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149659 */     // MIs[0] round
     /* 2149659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149662 */     // MIs[0] policy
     /* 2149662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149672 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149698 */     // GIR_Coverage, 17980,
     /* 2149698 */     GIR_EraseRootFromParent_Done,
     /* 2149699 */   // Label 28347: @2149699
     /* 2149699 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2149790), // Rule ID 17981 //
     /* 2149704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149750 */     // MIs[0] round
     /* 2149750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149753 */     // MIs[0] policy
     /* 2149753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149789 */     // GIR_Coverage, 17981,
     /* 2149789 */     GIR_EraseRootFromParent_Done,
     /* 2149790 */   // Label 28348: @2149790
     /* 2149790 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2149881), // Rule ID 17984 //
     /* 2149795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149841 */     // MIs[0] round
     /* 2149841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149844 */     // MIs[0] policy
     /* 2149844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149854 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149880 */     // GIR_Coverage, 17984,
     /* 2149880 */     GIR_EraseRootFromParent_Done,
     /* 2149881 */   // Label 28349: @2149881
     /* 2149881 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2149972), // Rule ID 17985 //
     /* 2149886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149932 */     // MIs[0] round
     /* 2149932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149935 */     // MIs[0] policy
     /* 2149935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149945 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149971 */     // GIR_Coverage, 17985,
     /* 2149971 */     GIR_EraseRootFromParent_Done,
     /* 2149972 */   // Label 28350: @2149972
     /* 2149972 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2150063), // Rule ID 17988 //
     /* 2149977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150023 */     // MIs[0] round
     /* 2150023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150026 */     // MIs[0] policy
     /* 2150026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150036 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2150039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150062 */     // GIR_Coverage, 17988,
     /* 2150062 */     GIR_EraseRootFromParent_Done,
     /* 2150063 */   // Label 28351: @2150063
     /* 2150063 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2150154), // Rule ID 17989 //
     /* 2150068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150114 */     // MIs[0] round
     /* 2150114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150117 */     // MIs[0] policy
     /* 2150117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150127 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2150130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150153 */     // GIR_Coverage, 17989,
     /* 2150153 */     GIR_EraseRootFromParent_Done,
     /* 2150154 */   // Label 28352: @2150154
     /* 2150154 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2150245), // Rule ID 17992 //
     /* 2150159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150205 */     // MIs[0] round
     /* 2150205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150208 */     // MIs[0] policy
     /* 2150208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150218 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2150221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150244 */     // GIR_Coverage, 17992,
     /* 2150244 */     GIR_EraseRootFromParent_Done,
     /* 2150245 */   // Label 28353: @2150245
     /* 2150245 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2150336), // Rule ID 17993 //
     /* 2150250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150296 */     // MIs[0] round
     /* 2150296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150299 */     // MIs[0] policy
     /* 2150299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150309 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2150312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150335 */     // GIR_Coverage, 17993,
     /* 2150335 */     GIR_EraseRootFromParent_Done,
     /* 2150336 */   // Label 28354: @2150336
     /* 2150336 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2150427), // Rule ID 17996 //
     /* 2150341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150387 */     // MIs[0] round
     /* 2150387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150390 */     // MIs[0] policy
     /* 2150390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150400 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150426 */     // GIR_Coverage, 17996,
     /* 2150426 */     GIR_EraseRootFromParent_Done,
     /* 2150427 */   // Label 28355: @2150427
     /* 2150427 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2150518), // Rule ID 17997 //
     /* 2150432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150478 */     // MIs[0] round
     /* 2150478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150481 */     // MIs[0] policy
     /* 2150481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150491 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150517 */     // GIR_Coverage, 17997,
     /* 2150517 */     GIR_EraseRootFromParent_Done,
     /* 2150518 */   // Label 28356: @2150518
     /* 2150518 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2150609), // Rule ID 18000 //
     /* 2150523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150569 */     // MIs[0] round
     /* 2150569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150572 */     // MIs[0] policy
     /* 2150572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150582 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150608 */     // GIR_Coverage, 18000,
     /* 2150608 */     GIR_EraseRootFromParent_Done,
     /* 2150609 */   // Label 28357: @2150609
     /* 2150609 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2150700), // Rule ID 18001 //
     /* 2150614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150660 */     // MIs[0] round
     /* 2150660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150663 */     // MIs[0] policy
     /* 2150663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150699 */     // GIR_Coverage, 18001,
     /* 2150699 */     GIR_EraseRootFromParent_Done,
     /* 2150700 */   // Label 28358: @2150700
     /* 2150700 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2150791), // Rule ID 18004 //
     /* 2150705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150751 */     // MIs[0] round
     /* 2150751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150754 */     // MIs[0] policy
     /* 2150754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150764 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150790 */     // GIR_Coverage, 18004,
     /* 2150790 */     GIR_EraseRootFromParent_Done,
     /* 2150791 */   // Label 28359: @2150791
     /* 2150791 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2150882), // Rule ID 18005 //
     /* 2150796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150842 */     // MIs[0] round
     /* 2150842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150845 */     // MIs[0] policy
     /* 2150845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150855 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150881 */     // GIR_Coverage, 18005,
     /* 2150881 */     GIR_EraseRootFromParent_Done,
     /* 2150882 */   // Label 28360: @2150882
     /* 2150882 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2150973), // Rule ID 18008 //
     /* 2150887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150933 */     // MIs[0] round
     /* 2150933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150936 */     // MIs[0] policy
     /* 2150936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150946 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150972 */     // GIR_Coverage, 18008,
     /* 2150972 */     GIR_EraseRootFromParent_Done,
     /* 2150973 */   // Label 28361: @2150973
     /* 2150973 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2151064), // Rule ID 18009 //
     /* 2150978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151024 */     // MIs[0] round
     /* 2151024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151027 */     // MIs[0] policy
     /* 2151027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151037 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2151040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151063 */     // GIR_Coverage, 18009,
     /* 2151063 */     GIR_EraseRootFromParent_Done,
     /* 2151064 */   // Label 28362: @2151064
     /* 2151064 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2151155), // Rule ID 18012 //
     /* 2151069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151115 */     // MIs[0] round
     /* 2151115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151118 */     // MIs[0] policy
     /* 2151118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2151131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151154 */     // GIR_Coverage, 18012,
     /* 2151154 */     GIR_EraseRootFromParent_Done,
     /* 2151155 */   // Label 28363: @2151155
     /* 2151155 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2151246), // Rule ID 18013 //
     /* 2151160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151206 */     // MIs[0] round
     /* 2151206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151209 */     // MIs[0] policy
     /* 2151209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151219 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2151222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151245 */     // GIR_Coverage, 18013,
     /* 2151245 */     GIR_EraseRootFromParent_Done,
     /* 2151246 */   // Label 28364: @2151246
     /* 2151246 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2151337), // Rule ID 18016 //
     /* 2151251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151297 */     // MIs[0] round
     /* 2151297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151300 */     // MIs[0] policy
     /* 2151300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151310 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2151313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151336 */     // GIR_Coverage, 18016,
     /* 2151336 */     GIR_EraseRootFromParent_Done,
     /* 2151337 */   // Label 28365: @2151337
     /* 2151337 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2151428), // Rule ID 18017 //
     /* 2151342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151388 */     // MIs[0] round
     /* 2151388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151391 */     // MIs[0] policy
     /* 2151391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151401 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2151404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151427 */     // GIR_Coverage, 18017,
     /* 2151427 */     GIR_EraseRootFromParent_Done,
     /* 2151428 */   // Label 28366: @2151428
     /* 2151428 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2151519), // Rule ID 18020 //
     /* 2151433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151479 */     // MIs[0] round
     /* 2151479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151482 */     // MIs[0] policy
     /* 2151482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151492 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151518 */     // GIR_Coverage, 18020,
     /* 2151518 */     GIR_EraseRootFromParent_Done,
     /* 2151519 */   // Label 28367: @2151519
     /* 2151519 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2151610), // Rule ID 18021 //
     /* 2151524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151570 */     // MIs[0] round
     /* 2151570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151573 */     // MIs[0] policy
     /* 2151573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151583 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151609 */     // GIR_Coverage, 18021,
     /* 2151609 */     GIR_EraseRootFromParent_Done,
     /* 2151610 */   // Label 28368: @2151610
     /* 2151610 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2151701), // Rule ID 18024 //
     /* 2151615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151661 */     // MIs[0] round
     /* 2151661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151664 */     // MIs[0] policy
     /* 2151664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151674 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151700 */     // GIR_Coverage, 18024,
     /* 2151700 */     GIR_EraseRootFromParent_Done,
     /* 2151701 */   // Label 28369: @2151701
     /* 2151701 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2151792), // Rule ID 18025 //
     /* 2151706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151752 */     // MIs[0] round
     /* 2151752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151755 */     // MIs[0] policy
     /* 2151755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151765 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151791 */     // GIR_Coverage, 18025,
     /* 2151791 */     GIR_EraseRootFromParent_Done,
     /* 2151792 */   // Label 28370: @2151792
     /* 2151792 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2151883), // Rule ID 18028 //
     /* 2151797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151843 */     // MIs[0] round
     /* 2151843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151846 */     // MIs[0] policy
     /* 2151846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151856 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151882 */     // GIR_Coverage, 18028,
     /* 2151882 */     GIR_EraseRootFromParent_Done,
     /* 2151883 */   // Label 28371: @2151883
     /* 2151883 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2151974), // Rule ID 18029 //
     /* 2151888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151934 */     // MIs[0] round
     /* 2151934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151937 */     // MIs[0] policy
     /* 2151937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151947 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151973 */     // GIR_Coverage, 18029,
     /* 2151973 */     GIR_EraseRootFromParent_Done,
     /* 2151974 */   // Label 28372: @2151974
     /* 2151974 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2152065), // Rule ID 18032 //
     /* 2151979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152025 */     // MIs[0] round
     /* 2152025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152028 */     // MIs[0] policy
     /* 2152028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2152041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152064 */     // GIR_Coverage, 18032,
     /* 2152064 */     GIR_EraseRootFromParent_Done,
     /* 2152065 */   // Label 28373: @2152065
     /* 2152065 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2152156), // Rule ID 18033 //
     /* 2152070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152116 */     // MIs[0] round
     /* 2152116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152119 */     // MIs[0] policy
     /* 2152119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152129 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2152132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152155 */     // GIR_Coverage, 18033,
     /* 2152155 */     GIR_EraseRootFromParent_Done,
     /* 2152156 */   // Label 28374: @2152156
     /* 2152156 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2152247), // Rule ID 18036 //
     /* 2152161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152207 */     // MIs[0] round
     /* 2152207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152210 */     // MIs[0] policy
     /* 2152210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2152223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152246 */     // GIR_Coverage, 18036,
     /* 2152246 */     GIR_EraseRootFromParent_Done,
     /* 2152247 */   // Label 28375: @2152247
     /* 2152247 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2152338), // Rule ID 18037 //
     /* 2152252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152298 */     // MIs[0] round
     /* 2152298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152301 */     // MIs[0] policy
     /* 2152301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152311 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2152314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152337 */     // GIR_Coverage, 18037,
     /* 2152337 */     GIR_EraseRootFromParent_Done,
     /* 2152338 */   // Label 28376: @2152338
     /* 2152338 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2152429), // Rule ID 18040 //
     /* 2152343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152389 */     // MIs[0] round
     /* 2152389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152392 */     // MIs[0] policy
     /* 2152392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152428 */     // GIR_Coverage, 18040,
     /* 2152428 */     GIR_EraseRootFromParent_Done,
     /* 2152429 */   // Label 28377: @2152429
     /* 2152429 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2152520), // Rule ID 18041 //
     /* 2152434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152480 */     // MIs[0] round
     /* 2152480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152483 */     // MIs[0] policy
     /* 2152483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152493 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152519 */     // GIR_Coverage, 18041,
     /* 2152519 */     GIR_EraseRootFromParent_Done,
     /* 2152520 */   // Label 28378: @2152520
     /* 2152520 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2152611), // Rule ID 18044 //
     /* 2152525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152571 */     // MIs[0] round
     /* 2152571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152574 */     // MIs[0] policy
     /* 2152574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152610 */     // GIR_Coverage, 18044,
     /* 2152610 */     GIR_EraseRootFromParent_Done,
     /* 2152611 */   // Label 28379: @2152611
     /* 2152611 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2152702), // Rule ID 18045 //
     /* 2152616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152662 */     // MIs[0] round
     /* 2152662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152665 */     // MIs[0] policy
     /* 2152665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152675 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152701 */     // GIR_Coverage, 18045,
     /* 2152701 */     GIR_EraseRootFromParent_Done,
     /* 2152702 */   // Label 28380: @2152702
     /* 2152702 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2152793), // Rule ID 18048 //
     /* 2152707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152753 */     // MIs[0] round
     /* 2152753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152756 */     // MIs[0] policy
     /* 2152756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152766 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152792 */     // GIR_Coverage, 18048,
     /* 2152792 */     GIR_EraseRootFromParent_Done,
     /* 2152793 */   // Label 28381: @2152793
     /* 2152793 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2152884), // Rule ID 18049 //
     /* 2152798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152844 */     // MIs[0] round
     /* 2152844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152847 */     // MIs[0] policy
     /* 2152847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152883 */     // GIR_Coverage, 18049,
     /* 2152883 */     GIR_EraseRootFromParent_Done,
     /* 2152884 */   // Label 28382: @2152884
     /* 2152884 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2152975), // Rule ID 18052 //
     /* 2152889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152935 */     // MIs[0] round
     /* 2152935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152938 */     // MIs[0] policy
     /* 2152938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152974 */     // GIR_Coverage, 18052,
     /* 2152974 */     GIR_EraseRootFromParent_Done,
     /* 2152975 */   // Label 28383: @2152975
     /* 2152975 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2153066), // Rule ID 18053 //
     /* 2152980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153026 */     // MIs[0] round
     /* 2153026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153029 */     // MIs[0] policy
     /* 2153029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153039 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2153042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153065 */     // GIR_Coverage, 18053,
     /* 2153065 */     GIR_EraseRootFromParent_Done,
     /* 2153066 */   // Label 28384: @2153066
     /* 2153066 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2153157), // Rule ID 18056 //
     /* 2153071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153117 */     // MIs[0] round
     /* 2153117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153120 */     // MIs[0] policy
     /* 2153120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153130 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2153133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153156 */     // GIR_Coverage, 18056,
     /* 2153156 */     GIR_EraseRootFromParent_Done,
     /* 2153157 */   // Label 28385: @2153157
     /* 2153157 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2153248), // Rule ID 18057 //
     /* 2153162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153208 */     // MIs[0] round
     /* 2153208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153211 */     // MIs[0] policy
     /* 2153211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2153224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153247 */     // GIR_Coverage, 18057,
     /* 2153247 */     GIR_EraseRootFromParent_Done,
     /* 2153248 */   // Label 28386: @2153248
     /* 2153248 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2153339), // Rule ID 18060 //
     /* 2153253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153299 */     // MIs[0] round
     /* 2153299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153302 */     // MIs[0] policy
     /* 2153302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153312 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2153315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153338 */     // GIR_Coverage, 18060,
     /* 2153338 */     GIR_EraseRootFromParent_Done,
     /* 2153339 */   // Label 28387: @2153339
     /* 2153339 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2153430), // Rule ID 18061 //
     /* 2153344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153390 */     // MIs[0] round
     /* 2153390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153393 */     // MIs[0] policy
     /* 2153393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153403 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2153406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153429 */     // GIR_Coverage, 18061,
     /* 2153429 */     GIR_EraseRootFromParent_Done,
     /* 2153430 */   // Label 28388: @2153430
     /* 2153430 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2153521), // Rule ID 18064 //
     /* 2153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153481 */     // MIs[0] round
     /* 2153481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153484 */     // MIs[0] policy
     /* 2153484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153494 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153520 */     // GIR_Coverage, 18064,
     /* 2153520 */     GIR_EraseRootFromParent_Done,
     /* 2153521 */   // Label 28389: @2153521
     /* 2153521 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2153612), // Rule ID 18065 //
     /* 2153526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153572 */     // MIs[0] round
     /* 2153572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153575 */     // MIs[0] policy
     /* 2153575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153585 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153611 */     // GIR_Coverage, 18065,
     /* 2153611 */     GIR_EraseRootFromParent_Done,
     /* 2153612 */   // Label 28390: @2153612
     /* 2153612 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2153703), // Rule ID 18068 //
     /* 2153617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153663 */     // MIs[0] round
     /* 2153663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153666 */     // MIs[0] policy
     /* 2153666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153702 */     // GIR_Coverage, 18068,
     /* 2153702 */     GIR_EraseRootFromParent_Done,
     /* 2153703 */   // Label 28391: @2153703
     /* 2153703 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2153794), // Rule ID 18069 //
     /* 2153708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153754 */     // MIs[0] round
     /* 2153754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153757 */     // MIs[0] policy
     /* 2153757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153767 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153793 */     // GIR_Coverage, 18069,
     /* 2153793 */     GIR_EraseRootFromParent_Done,
     /* 2153794 */   // Label 28392: @2153794
     /* 2153794 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2153885), // Rule ID 18072 //
     /* 2153799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153845 */     // MIs[0] round
     /* 2153845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153848 */     // MIs[0] policy
     /* 2153848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153858 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153884 */     // GIR_Coverage, 18072,
     /* 2153884 */     GIR_EraseRootFromParent_Done,
     /* 2153885 */   // Label 28393: @2153885
     /* 2153885 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2153976), // Rule ID 18073 //
     /* 2153890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153936 */     // MIs[0] round
     /* 2153936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153939 */     // MIs[0] policy
     /* 2153939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153975 */     // GIR_Coverage, 18073,
     /* 2153975 */     GIR_EraseRootFromParent_Done,
     /* 2153976 */   // Label 28394: @2153976
     /* 2153976 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154067), // Rule ID 18076 //
     /* 2153981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154027 */     // MIs[0] round
     /* 2154027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154030 */     // MIs[0] policy
     /* 2154030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2154043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154066 */     // GIR_Coverage, 18076,
     /* 2154066 */     GIR_EraseRootFromParent_Done,
     /* 2154067 */   // Label 28395: @2154067
     /* 2154067 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2154158), // Rule ID 18077 //
     /* 2154072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154118 */     // MIs[0] round
     /* 2154118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154121 */     // MIs[0] policy
     /* 2154121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154131 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2154134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154157 */     // GIR_Coverage, 18077,
     /* 2154157 */     GIR_EraseRootFromParent_Done,
     /* 2154158 */   // Label 28396: @2154158
     /* 2154158 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2154249), // Rule ID 18080 //
     /* 2154163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154209 */     // MIs[0] round
     /* 2154209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154212 */     // MIs[0] policy
     /* 2154212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154222 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2154225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154248 */     // GIR_Coverage, 18080,
     /* 2154248 */     GIR_EraseRootFromParent_Done,
     /* 2154249 */   // Label 28397: @2154249
     /* 2154249 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2154340), // Rule ID 18081 //
     /* 2154254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154300 */     // MIs[0] round
     /* 2154300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154303 */     // MIs[0] policy
     /* 2154303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154313 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2154316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154339 */     // GIR_Coverage, 18081,
     /* 2154339 */     GIR_EraseRootFromParent_Done,
     /* 2154340 */   // Label 28398: @2154340
     /* 2154340 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2154431), // Rule ID 18084 //
     /* 2154345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154391 */     // MIs[0] round
     /* 2154391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154394 */     // MIs[0] policy
     /* 2154394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154404 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154430 */     // GIR_Coverage, 18084,
     /* 2154430 */     GIR_EraseRootFromParent_Done,
     /* 2154431 */   // Label 28399: @2154431
     /* 2154431 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2154522), // Rule ID 18085 //
     /* 2154436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154482 */     // MIs[0] round
     /* 2154482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154485 */     // MIs[0] policy
     /* 2154485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154495 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154521 */     // GIR_Coverage, 18085,
     /* 2154521 */     GIR_EraseRootFromParent_Done,
     /* 2154522 */   // Label 28400: @2154522
     /* 2154522 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2154613), // Rule ID 18088 //
     /* 2154527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154573 */     // MIs[0] round
     /* 2154573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154576 */     // MIs[0] policy
     /* 2154576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154586 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154612 */     // GIR_Coverage, 18088,
     /* 2154612 */     GIR_EraseRootFromParent_Done,
     /* 2154613 */   // Label 28401: @2154613
     /* 2154613 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2154704), // Rule ID 18089 //
     /* 2154618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154664 */     // MIs[0] round
     /* 2154664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154667 */     // MIs[0] policy
     /* 2154667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154703 */     // GIR_Coverage, 18089,
     /* 2154703 */     GIR_EraseRootFromParent_Done,
     /* 2154704 */   // Label 28402: @2154704
     /* 2154704 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2154795), // Rule ID 18092 //
     /* 2154709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154755 */     // MIs[0] round
     /* 2154755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154758 */     // MIs[0] policy
     /* 2154758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154794 */     // GIR_Coverage, 18092,
     /* 2154794 */     GIR_EraseRootFromParent_Done,
     /* 2154795 */   // Label 28403: @2154795
     /* 2154795 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2154886), // Rule ID 18093 //
     /* 2154800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154846 */     // MIs[0] round
     /* 2154846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154849 */     // MIs[0] policy
     /* 2154849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154885 */     // GIR_Coverage, 18093,
     /* 2154885 */     GIR_EraseRootFromParent_Done,
     /* 2154886 */   // Label 28404: @2154886
     /* 2154886 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2154977), // Rule ID 18096 //
     /* 2154891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154937 */     // MIs[0] round
     /* 2154937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154940 */     // MIs[0] policy
     /* 2154940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154950 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154976 */     // GIR_Coverage, 18096,
     /* 2154976 */     GIR_EraseRootFromParent_Done,
     /* 2154977 */   // Label 28405: @2154977
     /* 2154977 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155068), // Rule ID 18097 //
     /* 2154982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155028 */     // MIs[0] round
     /* 2155028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155031 */     // MIs[0] policy
     /* 2155031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155041 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2155044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155067 */     // GIR_Coverage, 18097,
     /* 2155067 */     GIR_EraseRootFromParent_Done,
     /* 2155068 */   // Label 28406: @2155068
     /* 2155068 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2155159), // Rule ID 18100 //
     /* 2155073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155119 */     // MIs[0] round
     /* 2155119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155122 */     // MIs[0] policy
     /* 2155122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155132 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2155135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155158 */     // GIR_Coverage, 18100,
     /* 2155158 */     GIR_EraseRootFromParent_Done,
     /* 2155159 */   // Label 28407: @2155159
     /* 2155159 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2155250), // Rule ID 18101 //
     /* 2155164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155210 */     // MIs[0] round
     /* 2155210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155213 */     // MIs[0] policy
     /* 2155213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155223 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2155226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155249 */     // GIR_Coverage, 18101,
     /* 2155249 */     GIR_EraseRootFromParent_Done,
     /* 2155250 */   // Label 28408: @2155250
     /* 2155250 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2155341), // Rule ID 18104 //
     /* 2155255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155301 */     // MIs[0] round
     /* 2155301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155304 */     // MIs[0] policy
     /* 2155304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155314 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2155317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155340 */     // GIR_Coverage, 18104,
     /* 2155340 */     GIR_EraseRootFromParent_Done,
     /* 2155341 */   // Label 28409: @2155341
     /* 2155341 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2155432), // Rule ID 18105 //
     /* 2155346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155392 */     // MIs[0] round
     /* 2155392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155395 */     // MIs[0] policy
     /* 2155395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2155408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155431 */     // GIR_Coverage, 18105,
     /* 2155431 */     GIR_EraseRootFromParent_Done,
     /* 2155432 */   // Label 28410: @2155432
     /* 2155432 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2155523), // Rule ID 18108 //
     /* 2155437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155483 */     // MIs[0] round
     /* 2155483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155486 */     // MIs[0] policy
     /* 2155486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155522 */     // GIR_Coverage, 18108,
     /* 2155522 */     GIR_EraseRootFromParent_Done,
     /* 2155523 */   // Label 28411: @2155523
     /* 2155523 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2155614), // Rule ID 18109 //
     /* 2155528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155574 */     // MIs[0] round
     /* 2155574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155577 */     // MIs[0] policy
     /* 2155577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155587 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155613 */     // GIR_Coverage, 18109,
     /* 2155613 */     GIR_EraseRootFromParent_Done,
     /* 2155614 */   // Label 28412: @2155614
     /* 2155614 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2155705), // Rule ID 18112 //
     /* 2155619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155665 */     // MIs[0] round
     /* 2155665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155668 */     // MIs[0] policy
     /* 2155668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155678 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155704 */     // GIR_Coverage, 18112,
     /* 2155704 */     GIR_EraseRootFromParent_Done,
     /* 2155705 */   // Label 28413: @2155705
     /* 2155705 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2155796), // Rule ID 18113 //
     /* 2155710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155756 */     // MIs[0] round
     /* 2155756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155759 */     // MIs[0] policy
     /* 2155759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155769 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155795 */     // GIR_Coverage, 18113,
     /* 2155795 */     GIR_EraseRootFromParent_Done,
     /* 2155796 */   // Label 28414: @2155796
     /* 2155796 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2155887), // Rule ID 18116 //
     /* 2155801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155847 */     // MIs[0] round
     /* 2155847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155850 */     // MIs[0] policy
     /* 2155850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155860 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155886 */     // GIR_Coverage, 18116,
     /* 2155886 */     GIR_EraseRootFromParent_Done,
     /* 2155887 */   // Label 28415: @2155887
     /* 2155887 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2155978), // Rule ID 18117 //
     /* 2155892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155938 */     // MIs[0] round
     /* 2155938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155941 */     // MIs[0] policy
     /* 2155941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155977 */     // GIR_Coverage, 18117,
     /* 2155977 */     GIR_EraseRootFromParent_Done,
     /* 2155978 */   // Label 28416: @2155978
     /* 2155978 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156069), // Rule ID 18120 //
     /* 2155983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156029 */     // MIs[0] round
     /* 2156029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156032 */     // MIs[0] policy
     /* 2156032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156042 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2156045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156068 */     // GIR_Coverage, 18120,
     /* 2156068 */     GIR_EraseRootFromParent_Done,
     /* 2156069 */   // Label 28417: @2156069
     /* 2156069 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2156160), // Rule ID 18121 //
     /* 2156074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156120 */     // MIs[0] round
     /* 2156120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156123 */     // MIs[0] policy
     /* 2156123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156133 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2156136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156159 */     // GIR_Coverage, 18121,
     /* 2156159 */     GIR_EraseRootFromParent_Done,
     /* 2156160 */   // Label 28418: @2156160
     /* 2156160 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2156251), // Rule ID 18124 //
     /* 2156165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156211 */     // MIs[0] round
     /* 2156211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156214 */     // MIs[0] policy
     /* 2156214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156224 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2156227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156250 */     // GIR_Coverage, 18124,
     /* 2156250 */     GIR_EraseRootFromParent_Done,
     /* 2156251 */   // Label 28419: @2156251
     /* 2156251 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2156342), // Rule ID 18125 //
     /* 2156256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156302 */     // MIs[0] round
     /* 2156302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156305 */     // MIs[0] policy
     /* 2156305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156315 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2156318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156341 */     // GIR_Coverage, 18125,
     /* 2156341 */     GIR_EraseRootFromParent_Done,
     /* 2156342 */   // Label 28420: @2156342
     /* 2156342 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2156433), // Rule ID 18128 //
     /* 2156347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156393 */     // MIs[0] round
     /* 2156393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156396 */     // MIs[0] policy
     /* 2156396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156406 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156432 */     // GIR_Coverage, 18128,
     /* 2156432 */     GIR_EraseRootFromParent_Done,
     /* 2156433 */   // Label 28421: @2156433
     /* 2156433 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2156524), // Rule ID 18129 //
     /* 2156438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156484 */     // MIs[0] round
     /* 2156484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156487 */     // MIs[0] policy
     /* 2156487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156523 */     // GIR_Coverage, 18129,
     /* 2156523 */     GIR_EraseRootFromParent_Done,
     /* 2156524 */   // Label 28422: @2156524
     /* 2156524 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2156615), // Rule ID 18132 //
     /* 2156529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156575 */     // MIs[0] round
     /* 2156575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156578 */     // MIs[0] policy
     /* 2156578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156614 */     // GIR_Coverage, 18132,
     /* 2156614 */     GIR_EraseRootFromParent_Done,
     /* 2156615 */   // Label 28423: @2156615
     /* 2156615 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2156706), // Rule ID 18133 //
     /* 2156620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156666 */     // MIs[0] round
     /* 2156666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156669 */     // MIs[0] policy
     /* 2156669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156679 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156705 */     // GIR_Coverage, 18133,
     /* 2156705 */     GIR_EraseRootFromParent_Done,
     /* 2156706 */   // Label 28424: @2156706
     /* 2156706 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2156797), // Rule ID 18136 //
     /* 2156711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156757 */     // MIs[0] round
     /* 2156757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156760 */     // MIs[0] policy
     /* 2156760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156796 */     // GIR_Coverage, 18136,
     /* 2156796 */     GIR_EraseRootFromParent_Done,
     /* 2156797 */   // Label 28425: @2156797
     /* 2156797 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2156888), // Rule ID 18137 //
     /* 2156802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156848 */     // MIs[0] round
     /* 2156848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156851 */     // MIs[0] policy
     /* 2156851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156861 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156887 */     // GIR_Coverage, 18137,
     /* 2156887 */     GIR_EraseRootFromParent_Done,
     /* 2156888 */   // Label 28426: @2156888
     /* 2156888 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2156979), // Rule ID 18140 //
     /* 2156893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156939 */     // MIs[0] round
     /* 2156939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156942 */     // MIs[0] policy
     /* 2156942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156952 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156978 */     // GIR_Coverage, 18140,
     /* 2156978 */     GIR_EraseRootFromParent_Done,
     /* 2156979 */   // Label 28427: @2156979
     /* 2156979 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157070), // Rule ID 18141 //
     /* 2156984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157030 */     // MIs[0] round
     /* 2157030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157033 */     // MIs[0] policy
     /* 2157033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157043 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2157046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157069 */     // GIR_Coverage, 18141,
     /* 2157069 */     GIR_EraseRootFromParent_Done,
     /* 2157070 */   // Label 28428: @2157070
     /* 2157070 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2157161), // Rule ID 18144 //
     /* 2157075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157121 */     // MIs[0] round
     /* 2157121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157124 */     // MIs[0] policy
     /* 2157124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157134 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2157137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157160 */     // GIR_Coverage, 18144,
     /* 2157160 */     GIR_EraseRootFromParent_Done,
     /* 2157161 */   // Label 28429: @2157161
     /* 2157161 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2157252), // Rule ID 18145 //
     /* 2157166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157212 */     // MIs[0] round
     /* 2157212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157215 */     // MIs[0] policy
     /* 2157215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157225 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2157228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157251 */     // GIR_Coverage, 18145,
     /* 2157251 */     GIR_EraseRootFromParent_Done,
     /* 2157252 */   // Label 28430: @2157252
     /* 2157252 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2157343), // Rule ID 18148 //
     /* 2157257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157303 */     // MIs[0] round
     /* 2157303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157306 */     // MIs[0] policy
     /* 2157306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2157319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157342 */     // GIR_Coverage, 18148,
     /* 2157342 */     GIR_EraseRootFromParent_Done,
     /* 2157343 */   // Label 28431: @2157343
     /* 2157343 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2157434), // Rule ID 18149 //
     /* 2157348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157394 */     // MIs[0] round
     /* 2157394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157397 */     // MIs[0] policy
     /* 2157397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157407 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2157410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157433 */     // GIR_Coverage, 18149,
     /* 2157433 */     GIR_EraseRootFromParent_Done,
     /* 2157434 */   // Label 28432: @2157434
     /* 2157434 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2157525), // Rule ID 18152 //
     /* 2157439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157485 */     // MIs[0] round
     /* 2157485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157488 */     // MIs[0] policy
     /* 2157488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157498 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157524 */     // GIR_Coverage, 18152,
     /* 2157524 */     GIR_EraseRootFromParent_Done,
     /* 2157525 */   // Label 28433: @2157525
     /* 2157525 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2157616), // Rule ID 18153 //
     /* 2157530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157576 */     // MIs[0] round
     /* 2157576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157579 */     // MIs[0] policy
     /* 2157579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157615 */     // GIR_Coverage, 18153,
     /* 2157615 */     GIR_EraseRootFromParent_Done,
     /* 2157616 */   // Label 28434: @2157616
     /* 2157616 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2157707), // Rule ID 18156 //
     /* 2157621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157667 */     // MIs[0] round
     /* 2157667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157670 */     // MIs[0] policy
     /* 2157670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157706 */     // GIR_Coverage, 18156,
     /* 2157706 */     GIR_EraseRootFromParent_Done,
     /* 2157707 */   // Label 28435: @2157707
     /* 2157707 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2157798), // Rule ID 18157 //
     /* 2157712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157758 */     // MIs[0] round
     /* 2157758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157761 */     // MIs[0] policy
     /* 2157761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157771 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157797 */     // GIR_Coverage, 18157,
     /* 2157797 */     GIR_EraseRootFromParent_Done,
     /* 2157798 */   // Label 28436: @2157798
     /* 2157798 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2157889), // Rule ID 18160 //
     /* 2157803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157849 */     // MIs[0] round
     /* 2157849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157852 */     // MIs[0] policy
     /* 2157852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157888 */     // GIR_Coverage, 18160,
     /* 2157888 */     GIR_EraseRootFromParent_Done,
     /* 2157889 */   // Label 28437: @2157889
     /* 2157889 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2157980), // Rule ID 18161 //
     /* 2157894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157940 */     // MIs[0] round
     /* 2157940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157943 */     // MIs[0] policy
     /* 2157943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157953 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157979 */     // GIR_Coverage, 18161,
     /* 2157979 */     GIR_EraseRootFromParent_Done,
     /* 2157980 */   // Label 28438: @2157980
     /* 2157980 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158071), // Rule ID 18164 //
     /* 2157985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158031 */     // MIs[0] round
     /* 2158031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158034 */     // MIs[0] policy
     /* 2158034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2158047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158070 */     // GIR_Coverage, 18164,
     /* 2158070 */     GIR_EraseRootFromParent_Done,
     /* 2158071 */   // Label 28439: @2158071
     /* 2158071 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2158162), // Rule ID 18165 //
     /* 2158076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158122 */     // MIs[0] round
     /* 2158122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158125 */     // MIs[0] policy
     /* 2158125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158135 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2158138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158161 */     // GIR_Coverage, 18165,
     /* 2158161 */     GIR_EraseRootFromParent_Done,
     /* 2158162 */   // Label 28440: @2158162
     /* 2158162 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2158253), // Rule ID 18168 //
     /* 2158167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158213 */     // MIs[0] round
     /* 2158213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158216 */     // MIs[0] policy
     /* 2158216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2158229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158252 */     // GIR_Coverage, 18168,
     /* 2158252 */     GIR_EraseRootFromParent_Done,
     /* 2158253 */   // Label 28441: @2158253
     /* 2158253 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2158344), // Rule ID 18169 //
     /* 2158258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158304 */     // MIs[0] round
     /* 2158304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158307 */     // MIs[0] policy
     /* 2158307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2158320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158343 */     // GIR_Coverage, 18169,
     /* 2158343 */     GIR_EraseRootFromParent_Done,
     /* 2158344 */   // Label 28442: @2158344
     /* 2158344 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2158435), // Rule ID 18172 //
     /* 2158349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158395 */     // MIs[0] round
     /* 2158395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158398 */     // MIs[0] policy
     /* 2158398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158434 */     // GIR_Coverage, 18172,
     /* 2158434 */     GIR_EraseRootFromParent_Done,
     /* 2158435 */   // Label 28443: @2158435
     /* 2158435 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2158526), // Rule ID 18173 //
     /* 2158440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158486 */     // MIs[0] round
     /* 2158486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158489 */     // MIs[0] policy
     /* 2158489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158499 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158525 */     // GIR_Coverage, 18173,
     /* 2158525 */     GIR_EraseRootFromParent_Done,
     /* 2158526 */   // Label 28444: @2158526
     /* 2158526 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2158617), // Rule ID 18176 //
     /* 2158531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158577 */     // MIs[0] round
     /* 2158577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158580 */     // MIs[0] policy
     /* 2158580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158590 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158616 */     // GIR_Coverage, 18176,
     /* 2158616 */     GIR_EraseRootFromParent_Done,
     /* 2158617 */   // Label 28445: @2158617
     /* 2158617 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2158708), // Rule ID 18177 //
     /* 2158622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158668 */     // MIs[0] round
     /* 2158668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158671 */     // MIs[0] policy
     /* 2158671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158681 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158707 */     // GIR_Coverage, 18177,
     /* 2158707 */     GIR_EraseRootFromParent_Done,
     /* 2158708 */   // Label 28446: @2158708
     /* 2158708 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2158799), // Rule ID 18180 //
     /* 2158713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158759 */     // MIs[0] round
     /* 2158759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158762 */     // MIs[0] policy
     /* 2158762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158798 */     // GIR_Coverage, 18180,
     /* 2158798 */     GIR_EraseRootFromParent_Done,
     /* 2158799 */   // Label 28447: @2158799
     /* 2158799 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2158890), // Rule ID 18181 //
     /* 2158804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158850 */     // MIs[0] round
     /* 2158850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158853 */     // MIs[0] policy
     /* 2158853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158863 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158889 */     // GIR_Coverage, 18181,
     /* 2158889 */     GIR_EraseRootFromParent_Done,
     /* 2158890 */   // Label 28448: @2158890
     /* 2158890 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2158981), // Rule ID 18184 //
     /* 2158895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158941 */     // MIs[0] round
     /* 2158941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158944 */     // MIs[0] policy
     /* 2158944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158954 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158980 */     // GIR_Coverage, 18184,
     /* 2158980 */     GIR_EraseRootFromParent_Done,
     /* 2158981 */   // Label 28449: @2158981
     /* 2158981 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2159072), // Rule ID 18185 //
     /* 2158986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159032 */     // MIs[0] round
     /* 2159032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159035 */     // MIs[0] policy
     /* 2159035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159045 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2159048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159071 */     // GIR_Coverage, 18185,
     /* 2159071 */     GIR_EraseRootFromParent_Done,
     /* 2159072 */   // Label 28450: @2159072
     /* 2159072 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2159163), // Rule ID 18188 //
     /* 2159077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159123 */     // MIs[0] round
     /* 2159123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159126 */     // MIs[0] policy
     /* 2159126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2159139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159162 */     // GIR_Coverage, 18188,
     /* 2159162 */     GIR_EraseRootFromParent_Done,
     /* 2159163 */   // Label 28451: @2159163
     /* 2159163 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2159254), // Rule ID 18189 //
     /* 2159168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159214 */     // MIs[0] round
     /* 2159214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159217 */     // MIs[0] policy
     /* 2159217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2159230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159253 */     // GIR_Coverage, 18189,
     /* 2159253 */     GIR_EraseRootFromParent_Done,
     /* 2159254 */   // Label 28452: @2159254
     /* 2159254 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2159345), // Rule ID 18192 //
     /* 2159259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159305 */     // MIs[0] round
     /* 2159305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159308 */     // MIs[0] policy
     /* 2159308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2159321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159344 */     // GIR_Coverage, 18192,
     /* 2159344 */     GIR_EraseRootFromParent_Done,
     /* 2159345 */   // Label 28453: @2159345
     /* 2159345 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2159436), // Rule ID 18193 //
     /* 2159350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159396 */     // MIs[0] round
     /* 2159396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159399 */     // MIs[0] policy
     /* 2159399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159409 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2159412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159435 */     // GIR_Coverage, 18193,
     /* 2159435 */     GIR_EraseRootFromParent_Done,
     /* 2159436 */   // Label 28454: @2159436
     /* 2159436 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2159527), // Rule ID 18196 //
     /* 2159441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159487 */     // MIs[0] round
     /* 2159487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159490 */     // MIs[0] policy
     /* 2159490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159526 */     // GIR_Coverage, 18196,
     /* 2159526 */     GIR_EraseRootFromParent_Done,
     /* 2159527 */   // Label 28455: @2159527
     /* 2159527 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2159618), // Rule ID 18197 //
     /* 2159532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159578 */     // MIs[0] round
     /* 2159578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159581 */     // MIs[0] policy
     /* 2159581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159617 */     // GIR_Coverage, 18197,
     /* 2159617 */     GIR_EraseRootFromParent_Done,
     /* 2159618 */   // Label 28456: @2159618
     /* 2159618 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2159709), // Rule ID 18200 //
     /* 2159623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159669 */     // MIs[0] round
     /* 2159669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159672 */     // MIs[0] policy
     /* 2159672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159682 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159708 */     // GIR_Coverage, 18200,
     /* 2159708 */     GIR_EraseRootFromParent_Done,
     /* 2159709 */   // Label 28457: @2159709
     /* 2159709 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2159800), // Rule ID 18201 //
     /* 2159714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159760 */     // MIs[0] round
     /* 2159760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159763 */     // MIs[0] policy
     /* 2159763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159799 */     // GIR_Coverage, 18201,
     /* 2159799 */     GIR_EraseRootFromParent_Done,
     /* 2159800 */   // Label 28458: @2159800
     /* 2159800 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2159891), // Rule ID 18204 //
     /* 2159805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159851 */     // MIs[0] round
     /* 2159851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159854 */     // MIs[0] policy
     /* 2159854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159890 */     // GIR_Coverage, 18204,
     /* 2159890 */     GIR_EraseRootFromParent_Done,
     /* 2159891 */   // Label 28459: @2159891
     /* 2159891 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2159982), // Rule ID 18205 //
     /* 2159896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159942 */     // MIs[0] round
     /* 2159942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159945 */     // MIs[0] policy
     /* 2159945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159981 */     // GIR_Coverage, 18205,
     /* 2159981 */     GIR_EraseRootFromParent_Done,
     /* 2159982 */   // Label 28460: @2159982
     /* 2159982 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2160073), // Rule ID 18208 //
     /* 2159987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160033 */     // MIs[0] round
     /* 2160033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160036 */     // MIs[0] policy
     /* 2160036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160046 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2160049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160072 */     // GIR_Coverage, 18208,
     /* 2160072 */     GIR_EraseRootFromParent_Done,
     /* 2160073 */   // Label 28461: @2160073
     /* 2160073 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2160164), // Rule ID 18209 //
     /* 2160078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160124 */     // MIs[0] round
     /* 2160124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160127 */     // MIs[0] policy
     /* 2160127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160137 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2160140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160163 */     // GIR_Coverage, 18209,
     /* 2160163 */     GIR_EraseRootFromParent_Done,
     /* 2160164 */   // Label 28462: @2160164
     /* 2160164 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2160255), // Rule ID 18212 //
     /* 2160169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160215 */     // MIs[0] round
     /* 2160215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160218 */     // MIs[0] policy
     /* 2160218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2160231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160254 */     // GIR_Coverage, 18212,
     /* 2160254 */     GIR_EraseRootFromParent_Done,
     /* 2160255 */   // Label 28463: @2160255
     /* 2160255 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2160346), // Rule ID 18213 //
     /* 2160260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160306 */     // MIs[0] round
     /* 2160306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160309 */     // MIs[0] policy
     /* 2160309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160319 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2160322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160345 */     // GIR_Coverage, 18213,
     /* 2160345 */     GIR_EraseRootFromParent_Done,
     /* 2160346 */   // Label 28464: @2160346
     /* 2160346 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2160437), // Rule ID 18216 //
     /* 2160351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160397 */     // MIs[0] round
     /* 2160397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160400 */     // MIs[0] policy
     /* 2160400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160436 */     // GIR_Coverage, 18216,
     /* 2160436 */     GIR_EraseRootFromParent_Done,
     /* 2160437 */   // Label 28465: @2160437
     /* 2160437 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2160528), // Rule ID 18217 //
     /* 2160442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160488 */     // MIs[0] round
     /* 2160488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160491 */     // MIs[0] policy
     /* 2160491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160501 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160527 */     // GIR_Coverage, 18217,
     /* 2160527 */     GIR_EraseRootFromParent_Done,
     /* 2160528 */   // Label 28466: @2160528
     /* 2160528 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2160619), // Rule ID 18220 //
     /* 2160533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160579 */     // MIs[0] round
     /* 2160579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160582 */     // MIs[0] policy
     /* 2160582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160592 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160618 */     // GIR_Coverage, 18220,
     /* 2160618 */     GIR_EraseRootFromParent_Done,
     /* 2160619 */   // Label 28467: @2160619
     /* 2160619 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2160710), // Rule ID 18221 //
     /* 2160624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160670 */     // MIs[0] round
     /* 2160670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160673 */     // MIs[0] policy
     /* 2160673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160709 */     // GIR_Coverage, 18221,
     /* 2160709 */     GIR_EraseRootFromParent_Done,
     /* 2160710 */   // Label 28468: @2160710
     /* 2160710 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2160801), // Rule ID 18224 //
     /* 2160715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160761 */     // MIs[0] round
     /* 2160761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160764 */     // MIs[0] policy
     /* 2160764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160774 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160800 */     // GIR_Coverage, 18224,
     /* 2160800 */     GIR_EraseRootFromParent_Done,
     /* 2160801 */   // Label 28469: @2160801
     /* 2160801 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2160892), // Rule ID 18225 //
     /* 2160806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160852 */     // MIs[0] round
     /* 2160852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160855 */     // MIs[0] policy
     /* 2160855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160891 */     // GIR_Coverage, 18225,
     /* 2160891 */     GIR_EraseRootFromParent_Done,
     /* 2160892 */   // Label 28470: @2160892
     /* 2160892 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2160983), // Rule ID 18228 //
     /* 2160897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160943 */     // MIs[0] round
     /* 2160943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160946 */     // MIs[0] policy
     /* 2160946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160982 */     // GIR_Coverage, 18228,
     /* 2160982 */     GIR_EraseRootFromParent_Done,
     /* 2160983 */   // Label 28471: @2160983
     /* 2160983 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2161074), // Rule ID 18229 //
     /* 2160988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161034 */     // MIs[0] round
     /* 2161034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161037 */     // MIs[0] policy
     /* 2161037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161047 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2161050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161073 */     // GIR_Coverage, 18229,
     /* 2161073 */     GIR_EraseRootFromParent_Done,
     /* 2161074 */   // Label 28472: @2161074
     /* 2161074 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2161165), // Rule ID 18232 //
     /* 2161079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161125 */     // MIs[0] round
     /* 2161125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161128 */     // MIs[0] policy
     /* 2161128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2161141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161164 */     // GIR_Coverage, 18232,
     /* 2161164 */     GIR_EraseRootFromParent_Done,
     /* 2161165 */   // Label 28473: @2161165
     /* 2161165 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2161256), // Rule ID 18233 //
     /* 2161170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161216 */     // MIs[0] round
     /* 2161216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161219 */     // MIs[0] policy
     /* 2161219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161229 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2161232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161255 */     // GIR_Coverage, 18233,
     /* 2161255 */     GIR_EraseRootFromParent_Done,
     /* 2161256 */   // Label 28474: @2161256
     /* 2161256 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2161347), // Rule ID 18236 //
     /* 2161261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161307 */     // MIs[0] round
     /* 2161307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161310 */     // MIs[0] policy
     /* 2161310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2161323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161346 */     // GIR_Coverage, 18236,
     /* 2161346 */     GIR_EraseRootFromParent_Done,
     /* 2161347 */   // Label 28475: @2161347
     /* 2161347 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2161438), // Rule ID 18237 //
     /* 2161352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161398 */     // MIs[0] round
     /* 2161398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161401 */     // MIs[0] policy
     /* 2161401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161411 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2161414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161437 */     // GIR_Coverage, 18237,
     /* 2161437 */     GIR_EraseRootFromParent_Done,
     /* 2161438 */   // Label 28476: @2161438
     /* 2161438 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2161529), // Rule ID 18240 //
     /* 2161443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161489 */     // MIs[0] round
     /* 2161489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161492 */     // MIs[0] policy
     /* 2161492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161502 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161528 */     // GIR_Coverage, 18240,
     /* 2161528 */     GIR_EraseRootFromParent_Done,
     /* 2161529 */   // Label 28477: @2161529
     /* 2161529 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2161620), // Rule ID 18241 //
     /* 2161534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161580 */     // MIs[0] round
     /* 2161580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161583 */     // MIs[0] policy
     /* 2161583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161593 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161619 */     // GIR_Coverage, 18241,
     /* 2161619 */     GIR_EraseRootFromParent_Done,
     /* 2161620 */   // Label 28478: @2161620
     /* 2161620 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2161711), // Rule ID 18244 //
     /* 2161625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161671 */     // MIs[0] round
     /* 2161671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161674 */     // MIs[0] policy
     /* 2161674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161684 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161710 */     // GIR_Coverage, 18244,
     /* 2161710 */     GIR_EraseRootFromParent_Done,
     /* 2161711 */   // Label 28479: @2161711
     /* 2161711 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2161802), // Rule ID 18245 //
     /* 2161716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161762 */     // MIs[0] round
     /* 2161762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161765 */     // MIs[0] policy
     /* 2161765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161775 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161801 */     // GIR_Coverage, 18245,
     /* 2161801 */     GIR_EraseRootFromParent_Done,
     /* 2161802 */   // Label 28480: @2161802
     /* 2161802 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2161893), // Rule ID 18248 //
     /* 2161807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161853 */     // MIs[0] round
     /* 2161853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161856 */     // MIs[0] policy
     /* 2161856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161866 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161892 */     // GIR_Coverage, 18248,
     /* 2161892 */     GIR_EraseRootFromParent_Done,
     /* 2161893 */   // Label 28481: @2161893
     /* 2161893 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2161984), // Rule ID 18249 //
     /* 2161898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161944 */     // MIs[0] round
     /* 2161944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161947 */     // MIs[0] policy
     /* 2161947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161983 */     // GIR_Coverage, 18249,
     /* 2161983 */     GIR_EraseRootFromParent_Done,
     /* 2161984 */   // Label 28482: @2161984
     /* 2161984 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2162075), // Rule ID 18252 //
     /* 2161989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162035 */     // MIs[0] round
     /* 2162035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162038 */     // MIs[0] policy
     /* 2162038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2162051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162074 */     // GIR_Coverage, 18252,
     /* 2162074 */     GIR_EraseRootFromParent_Done,
     /* 2162075 */   // Label 28483: @2162075
     /* 2162075 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2162166), // Rule ID 18253 //
     /* 2162080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162126 */     // MIs[0] round
     /* 2162126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162129 */     // MIs[0] policy
     /* 2162129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162139 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2162142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162165 */     // GIR_Coverage, 18253,
     /* 2162165 */     GIR_EraseRootFromParent_Done,
     /* 2162166 */   // Label 28484: @2162166
     /* 2162166 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2162257), // Rule ID 18256 //
     /* 2162171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162217 */     // MIs[0] round
     /* 2162217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162220 */     // MIs[0] policy
     /* 2162220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2162233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162256 */     // GIR_Coverage, 18256,
     /* 2162256 */     GIR_EraseRootFromParent_Done,
     /* 2162257 */   // Label 28485: @2162257
     /* 2162257 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2162348), // Rule ID 18257 //
     /* 2162262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162308 */     // MIs[0] round
     /* 2162308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162311 */     // MIs[0] policy
     /* 2162311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162321 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2162324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162347 */     // GIR_Coverage, 18257,
     /* 2162347 */     GIR_EraseRootFromParent_Done,
     /* 2162348 */   // Label 28486: @2162348
     /* 2162348 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2162439), // Rule ID 18260 //
     /* 2162353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162399 */     // MIs[0] round
     /* 2162399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162402 */     // MIs[0] policy
     /* 2162402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162438 */     // GIR_Coverage, 18260,
     /* 2162438 */     GIR_EraseRootFromParent_Done,
     /* 2162439 */   // Label 28487: @2162439
     /* 2162439 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2162530), // Rule ID 18261 //
     /* 2162444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162490 */     // MIs[0] round
     /* 2162490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162493 */     // MIs[0] policy
     /* 2162493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162529 */     // GIR_Coverage, 18261,
     /* 2162529 */     GIR_EraseRootFromParent_Done,
     /* 2162530 */   // Label 28488: @2162530
     /* 2162530 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2162621), // Rule ID 18264 //
     /* 2162535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162581 */     // MIs[0] round
     /* 2162581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162584 */     // MIs[0] policy
     /* 2162584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162594 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162620 */     // GIR_Coverage, 18264,
     /* 2162620 */     GIR_EraseRootFromParent_Done,
     /* 2162621 */   // Label 28489: @2162621
     /* 2162621 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2162712), // Rule ID 18265 //
     /* 2162626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162672 */     // MIs[0] round
     /* 2162672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162675 */     // MIs[0] policy
     /* 2162675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162685 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162711 */     // GIR_Coverage, 18265,
     /* 2162711 */     GIR_EraseRootFromParent_Done,
     /* 2162712 */   // Label 28490: @2162712
     /* 2162712 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2162803), // Rule ID 18268 //
     /* 2162717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162763 */     // MIs[0] round
     /* 2162763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162766 */     // MIs[0] policy
     /* 2162766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162802 */     // GIR_Coverage, 18268,
     /* 2162802 */     GIR_EraseRootFromParent_Done,
     /* 2162803 */   // Label 28491: @2162803
     /* 2162803 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2162894), // Rule ID 18269 //
     /* 2162808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162854 */     // MIs[0] round
     /* 2162854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162857 */     // MIs[0] policy
     /* 2162857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162867 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162893 */     // GIR_Coverage, 18269,
     /* 2162893 */     GIR_EraseRootFromParent_Done,
     /* 2162894 */   // Label 28492: @2162894
     /* 2162894 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2162985), // Rule ID 18272 //
     /* 2162899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162945 */     // MIs[0] round
     /* 2162945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162948 */     // MIs[0] policy
     /* 2162948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162984 */     // GIR_Coverage, 18272,
     /* 2162984 */     GIR_EraseRootFromParent_Done,
     /* 2162985 */   // Label 28493: @2162985
     /* 2162985 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2163076), // Rule ID 18273 //
     /* 2162990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163036 */     // MIs[0] round
     /* 2163036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163039 */     // MIs[0] policy
     /* 2163039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163049 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2163052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163075 */     // GIR_Coverage, 18273,
     /* 2163075 */     GIR_EraseRootFromParent_Done,
     /* 2163076 */   // Label 28494: @2163076
     /* 2163076 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2163167), // Rule ID 18276 //
     /* 2163081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163127 */     // MIs[0] round
     /* 2163127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163130 */     // MIs[0] policy
     /* 2163130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163140 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2163143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163166 */     // GIR_Coverage, 18276,
     /* 2163166 */     GIR_EraseRootFromParent_Done,
     /* 2163167 */   // Label 28495: @2163167
     /* 2163167 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2163258), // Rule ID 18277 //
     /* 2163172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163218 */     // MIs[0] round
     /* 2163218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163221 */     // MIs[0] policy
     /* 2163221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2163234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163257 */     // GIR_Coverage, 18277,
     /* 2163257 */     GIR_EraseRootFromParent_Done,
     /* 2163258 */   // Label 28496: @2163258
     /* 2163258 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2163349), // Rule ID 18280 //
     /* 2163263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163309 */     // MIs[0] round
     /* 2163309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163312 */     // MIs[0] policy
     /* 2163312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163322 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2163325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163348 */     // GIR_Coverage, 18280,
     /* 2163348 */     GIR_EraseRootFromParent_Done,
     /* 2163349 */   // Label 28497: @2163349
     /* 2163349 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2163440), // Rule ID 18281 //
     /* 2163354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163400 */     // MIs[0] round
     /* 2163400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163403 */     // MIs[0] policy
     /* 2163403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163413 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2163416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163439 */     // GIR_Coverage, 18281,
     /* 2163439 */     GIR_EraseRootFromParent_Done,
     /* 2163440 */   // Label 28498: @2163440
     /* 2163440 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2163531), // Rule ID 18284 //
     /* 2163445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163491 */     // MIs[0] round
     /* 2163491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163494 */     // MIs[0] policy
     /* 2163494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163530 */     // GIR_Coverage, 18284,
     /* 2163530 */     GIR_EraseRootFromParent_Done,
     /* 2163531 */   // Label 28499: @2163531
     /* 2163531 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2163622), // Rule ID 18285 //
     /* 2163536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163582 */     // MIs[0] round
     /* 2163582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163585 */     // MIs[0] policy
     /* 2163585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163595 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163621 */     // GIR_Coverage, 18285,
     /* 2163621 */     GIR_EraseRootFromParent_Done,
     /* 2163622 */   // Label 28500: @2163622
     /* 2163622 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2163713), // Rule ID 18288 //
     /* 2163627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163673 */     // MIs[0] round
     /* 2163673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163676 */     // MIs[0] policy
     /* 2163676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163686 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163712 */     // GIR_Coverage, 18288,
     /* 2163712 */     GIR_EraseRootFromParent_Done,
     /* 2163713 */   // Label 28501: @2163713
     /* 2163713 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2163804), // Rule ID 18289 //
     /* 2163718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163764 */     // MIs[0] round
     /* 2163764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163767 */     // MIs[0] policy
     /* 2163767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163803 */     // GIR_Coverage, 18289,
     /* 2163803 */     GIR_EraseRootFromParent_Done,
     /* 2163804 */   // Label 28502: @2163804
     /* 2163804 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2163895), // Rule ID 18292 //
     /* 2163809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163855 */     // MIs[0] round
     /* 2163855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163858 */     // MIs[0] policy
     /* 2163858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163894 */     // GIR_Coverage, 18292,
     /* 2163894 */     GIR_EraseRootFromParent_Done,
     /* 2163895 */   // Label 28503: @2163895
     /* 2163895 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2163986), // Rule ID 18293 //
     /* 2163900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163946 */     // MIs[0] round
     /* 2163946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163949 */     // MIs[0] policy
     /* 2163949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163985 */     // GIR_Coverage, 18293,
     /* 2163985 */     GIR_EraseRootFromParent_Done,
     /* 2163986 */   // Label 28504: @2163986
     /* 2163986 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2164077), // Rule ID 18296 //
     /* 2163991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164037 */     // MIs[0] round
     /* 2164037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164040 */     // MIs[0] policy
     /* 2164040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2164053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164076 */     // GIR_Coverage, 18296,
     /* 2164076 */     GIR_EraseRootFromParent_Done,
     /* 2164077 */   // Label 28505: @2164077
     /* 2164077 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2164168), // Rule ID 18297 //
     /* 2164082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164128 */     // MIs[0] round
     /* 2164128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164131 */     // MIs[0] policy
     /* 2164131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2164144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164167 */     // GIR_Coverage, 18297,
     /* 2164167 */     GIR_EraseRootFromParent_Done,
     /* 2164168 */   // Label 28506: @2164168
     /* 2164168 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2164259), // Rule ID 18300 //
     /* 2164173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164219 */     // MIs[0] round
     /* 2164219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164222 */     // MIs[0] policy
     /* 2164222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164232 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2164235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164258 */     // GIR_Coverage, 18300,
     /* 2164258 */     GIR_EraseRootFromParent_Done,
     /* 2164259 */   // Label 28507: @2164259
     /* 2164259 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2164350), // Rule ID 18301 //
     /* 2164264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164310 */     // MIs[0] round
     /* 2164310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164313 */     // MIs[0] policy
     /* 2164313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2164326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164349 */     // GIR_Coverage, 18301,
     /* 2164349 */     GIR_EraseRootFromParent_Done,
     /* 2164350 */   // Label 28508: @2164350
     /* 2164350 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2164441), // Rule ID 18304 //
     /* 2164355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164401 */     // MIs[0] round
     /* 2164401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164404 */     // MIs[0] policy
     /* 2164404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164414 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164440 */     // GIR_Coverage, 18304,
     /* 2164440 */     GIR_EraseRootFromParent_Done,
     /* 2164441 */   // Label 28509: @2164441
     /* 2164441 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2164532), // Rule ID 18305 //
     /* 2164446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164492 */     // MIs[0] round
     /* 2164492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164495 */     // MIs[0] policy
     /* 2164495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164505 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164531 */     // GIR_Coverage, 18305,
     /* 2164531 */     GIR_EraseRootFromParent_Done,
     /* 2164532 */   // Label 28510: @2164532
     /* 2164532 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2164623), // Rule ID 18308 //
     /* 2164537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164583 */     // MIs[0] round
     /* 2164583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164586 */     // MIs[0] policy
     /* 2164586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164622 */     // GIR_Coverage, 18308,
     /* 2164622 */     GIR_EraseRootFromParent_Done,
     /* 2164623 */   // Label 28511: @2164623
     /* 2164623 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2164714), // Rule ID 18309 //
     /* 2164628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164674 */     // MIs[0] round
     /* 2164674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164677 */     // MIs[0] policy
     /* 2164677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164713 */     // GIR_Coverage, 18309,
     /* 2164713 */     GIR_EraseRootFromParent_Done,
     /* 2164714 */   // Label 28512: @2164714
     /* 2164714 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2164805), // Rule ID 18312 //
     /* 2164719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164765 */     // MIs[0] round
     /* 2164765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164768 */     // MIs[0] policy
     /* 2164768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164804 */     // GIR_Coverage, 18312,
     /* 2164804 */     GIR_EraseRootFromParent_Done,
     /* 2164805 */   // Label 28513: @2164805
     /* 2164805 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2164896), // Rule ID 18313 //
     /* 2164810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164856 */     // MIs[0] round
     /* 2164856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164859 */     // MIs[0] policy
     /* 2164859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164895 */     // GIR_Coverage, 18313,
     /* 2164895 */     GIR_EraseRootFromParent_Done,
     /* 2164896 */   // Label 28514: @2164896
     /* 2164896 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2164987), // Rule ID 18316 //
     /* 2164901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164947 */     // MIs[0] round
     /* 2164947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164950 */     // MIs[0] policy
     /* 2164950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164986 */     // GIR_Coverage, 18316,
     /* 2164986 */     GIR_EraseRootFromParent_Done,
     /* 2164987 */   // Label 28515: @2164987
     /* 2164987 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2165078), // Rule ID 18317 //
     /* 2164992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165038 */     // MIs[0] round
     /* 2165038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165041 */     // MIs[0] policy
     /* 2165041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165051 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2165054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165077 */     // GIR_Coverage, 18317,
     /* 2165077 */     GIR_EraseRootFromParent_Done,
     /* 2165078 */   // Label 28516: @2165078
     /* 2165078 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2165169), // Rule ID 18320 //
     /* 2165083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165129 */     // MIs[0] round
     /* 2165129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165132 */     // MIs[0] policy
     /* 2165132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165142 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2165145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165168 */     // GIR_Coverage, 18320,
     /* 2165168 */     GIR_EraseRootFromParent_Done,
     /* 2165169 */   // Label 28517: @2165169
     /* 2165169 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2165260), // Rule ID 18321 //
     /* 2165174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165220 */     // MIs[0] round
     /* 2165220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165223 */     // MIs[0] policy
     /* 2165223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165233 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2165236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165259 */     // GIR_Coverage, 18321,
     /* 2165259 */     GIR_EraseRootFromParent_Done,
     /* 2165260 */   // Label 28518: @2165260
     /* 2165260 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2165351), // Rule ID 18324 //
     /* 2165265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165311 */     // MIs[0] round
     /* 2165311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165314 */     // MIs[0] policy
     /* 2165314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165324 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2165327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165350 */     // GIR_Coverage, 18324,
     /* 2165350 */     GIR_EraseRootFromParent_Done,
     /* 2165351 */   // Label 28519: @2165351
     /* 2165351 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2165442), // Rule ID 18325 //
     /* 2165356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165402 */     // MIs[0] round
     /* 2165402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165405 */     // MIs[0] policy
     /* 2165405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165415 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2165418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165441 */     // GIR_Coverage, 18325,
     /* 2165441 */     GIR_EraseRootFromParent_Done,
     /* 2165442 */   // Label 28520: @2165442
     /* 2165442 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2165533), // Rule ID 18328 //
     /* 2165447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165493 */     // MIs[0] round
     /* 2165493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165496 */     // MIs[0] policy
     /* 2165496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165506 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165532 */     // GIR_Coverage, 18328,
     /* 2165532 */     GIR_EraseRootFromParent_Done,
     /* 2165533 */   // Label 28521: @2165533
     /* 2165533 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2165624), // Rule ID 18329 //
     /* 2165538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165584 */     // MIs[0] round
     /* 2165584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165587 */     // MIs[0] policy
     /* 2165587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165597 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165623 */     // GIR_Coverage, 18329,
     /* 2165623 */     GIR_EraseRootFromParent_Done,
     /* 2165624 */   // Label 28522: @2165624
     /* 2165624 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2165715), // Rule ID 18332 //
     /* 2165629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165675 */     // MIs[0] round
     /* 2165675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165678 */     // MIs[0] policy
     /* 2165678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165714 */     // GIR_Coverage, 18332,
     /* 2165714 */     GIR_EraseRootFromParent_Done,
     /* 2165715 */   // Label 28523: @2165715
     /* 2165715 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2165806), // Rule ID 18333 //
     /* 2165720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165766 */     // MIs[0] round
     /* 2165766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165769 */     // MIs[0] policy
     /* 2165769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165779 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165805 */     // GIR_Coverage, 18333,
     /* 2165805 */     GIR_EraseRootFromParent_Done,
     /* 2165806 */   // Label 28524: @2165806
     /* 2165806 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2165897), // Rule ID 18336 //
     /* 2165811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165857 */     // MIs[0] round
     /* 2165857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165860 */     // MIs[0] policy
     /* 2165860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165896 */     // GIR_Coverage, 18336,
     /* 2165896 */     GIR_EraseRootFromParent_Done,
     /* 2165897 */   // Label 28525: @2165897
     /* 2165897 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2165988), // Rule ID 18337 //
     /* 2165902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165948 */     // MIs[0] round
     /* 2165948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165951 */     // MIs[0] policy
     /* 2165951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165961 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165987 */     // GIR_Coverage, 18337,
     /* 2165987 */     GIR_EraseRootFromParent_Done,
     /* 2165988 */   // Label 28526: @2165988
     /* 2165988 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2166079), // Rule ID 18340 //
     /* 2165993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166039 */     // MIs[0] round
     /* 2166039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166042 */     // MIs[0] policy
     /* 2166042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2166055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166078 */     // GIR_Coverage, 18340,
     /* 2166078 */     GIR_EraseRootFromParent_Done,
     /* 2166079 */   // Label 28527: @2166079
     /* 2166079 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2166170), // Rule ID 18341 //
     /* 2166084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166130 */     // MIs[0] round
     /* 2166130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166133 */     // MIs[0] policy
     /* 2166133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166143 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2166146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166169 */     // GIR_Coverage, 18341,
     /* 2166169 */     GIR_EraseRootFromParent_Done,
     /* 2166170 */   // Label 28528: @2166170
     /* 2166170 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2166261), // Rule ID 18344 //
     /* 2166175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166221 */     // MIs[0] round
     /* 2166221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166224 */     // MIs[0] policy
     /* 2166224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166234 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2166237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166260 */     // GIR_Coverage, 18344,
     /* 2166260 */     GIR_EraseRootFromParent_Done,
     /* 2166261 */   // Label 28529: @2166261
     /* 2166261 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2166352), // Rule ID 18345 //
     /* 2166266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166312 */     // MIs[0] round
     /* 2166312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166315 */     // MIs[0] policy
     /* 2166315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166325 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2166328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166351 */     // GIR_Coverage, 18345,
     /* 2166351 */     GIR_EraseRootFromParent_Done,
     /* 2166352 */   // Label 28530: @2166352
     /* 2166352 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2166443), // Rule ID 18348 //
     /* 2166357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166403 */     // MIs[0] round
     /* 2166403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166406 */     // MIs[0] policy
     /* 2166406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166442 */     // GIR_Coverage, 18348,
     /* 2166442 */     GIR_EraseRootFromParent_Done,
     /* 2166443 */   // Label 28531: @2166443
     /* 2166443 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2166534), // Rule ID 18349 //
     /* 2166448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166494 */     // MIs[0] round
     /* 2166494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166497 */     // MIs[0] policy
     /* 2166497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166507 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166533 */     // GIR_Coverage, 18349,
     /* 2166533 */     GIR_EraseRootFromParent_Done,
     /* 2166534 */   // Label 28532: @2166534
     /* 2166534 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2166625), // Rule ID 18352 //
     /* 2166539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166585 */     // MIs[0] round
     /* 2166585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166588 */     // MIs[0] policy
     /* 2166588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166598 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166624 */     // GIR_Coverage, 18352,
     /* 2166624 */     GIR_EraseRootFromParent_Done,
     /* 2166625 */   // Label 28533: @2166625
     /* 2166625 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2166716), // Rule ID 18353 //
     /* 2166630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166676 */     // MIs[0] round
     /* 2166676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166679 */     // MIs[0] policy
     /* 2166679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166689 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166715 */     // GIR_Coverage, 18353,
     /* 2166715 */     GIR_EraseRootFromParent_Done,
     /* 2166716 */   // Label 28534: @2166716
     /* 2166716 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2166807), // Rule ID 18356 //
     /* 2166721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166767 */     // MIs[0] round
     /* 2166767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166770 */     // MIs[0] policy
     /* 2166770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166780 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166806 */     // GIR_Coverage, 18356,
     /* 2166806 */     GIR_EraseRootFromParent_Done,
     /* 2166807 */   // Label 28535: @2166807
     /* 2166807 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2166898), // Rule ID 18357 //
     /* 2166812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166858 */     // MIs[0] round
     /* 2166858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166861 */     // MIs[0] policy
     /* 2166861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166871 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166897 */     // GIR_Coverage, 18357,
     /* 2166897 */     GIR_EraseRootFromParent_Done,
     /* 2166898 */   // Label 28536: @2166898
     /* 2166898 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2166989), // Rule ID 18360 //
     /* 2166903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166949 */     // MIs[0] round
     /* 2166949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166952 */     // MIs[0] policy
     /* 2166952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166962 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166988 */     // GIR_Coverage, 18360,
     /* 2166988 */     GIR_EraseRootFromParent_Done,
     /* 2166989 */   // Label 28537: @2166989
     /* 2166989 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2167080), // Rule ID 18361 //
     /* 2166994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167040 */     // MIs[0] round
     /* 2167040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167043 */     // MIs[0] policy
     /* 2167043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167053 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2167056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167079 */     // GIR_Coverage, 18361,
     /* 2167079 */     GIR_EraseRootFromParent_Done,
     /* 2167080 */   // Label 28538: @2167080
     /* 2167080 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2167171), // Rule ID 18364 //
     /* 2167085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167131 */     // MIs[0] round
     /* 2167131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167134 */     // MIs[0] policy
     /* 2167134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167144 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2167147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167170 */     // GIR_Coverage, 18364,
     /* 2167170 */     GIR_EraseRootFromParent_Done,
     /* 2167171 */   // Label 28539: @2167171
     /* 2167171 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2167262), // Rule ID 18365 //
     /* 2167176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167222 */     // MIs[0] round
     /* 2167222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167225 */     // MIs[0] policy
     /* 2167225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167235 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2167238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167261 */     // GIR_Coverage, 18365,
     /* 2167261 */     GIR_EraseRootFromParent_Done,
     /* 2167262 */   // Label 28540: @2167262
     /* 2167262 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2167353), // Rule ID 18368 //
     /* 2167267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167313 */     // MIs[0] round
     /* 2167313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167316 */     // MIs[0] policy
     /* 2167316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167326 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2167329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167352 */     // GIR_Coverage, 18368,
     /* 2167352 */     GIR_EraseRootFromParent_Done,
     /* 2167353 */   // Label 28541: @2167353
     /* 2167353 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2167444), // Rule ID 18369 //
     /* 2167358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167404 */     // MIs[0] round
     /* 2167404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167407 */     // MIs[0] policy
     /* 2167407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2167420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167443 */     // GIR_Coverage, 18369,
     /* 2167443 */     GIR_EraseRootFromParent_Done,
     /* 2167444 */   // Label 28542: @2167444
     /* 2167444 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2167535), // Rule ID 18372 //
     /* 2167449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167495 */     // MIs[0] round
     /* 2167495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167498 */     // MIs[0] policy
     /* 2167498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167534 */     // GIR_Coverage, 18372,
     /* 2167534 */     GIR_EraseRootFromParent_Done,
     /* 2167535 */   // Label 28543: @2167535
     /* 2167535 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2167626), // Rule ID 18373 //
     /* 2167540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167586 */     // MIs[0] round
     /* 2167586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167589 */     // MIs[0] policy
     /* 2167589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167599 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167625 */     // GIR_Coverage, 18373,
     /* 2167625 */     GIR_EraseRootFromParent_Done,
     /* 2167626 */   // Label 28544: @2167626
     /* 2167626 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2167717), // Rule ID 18376 //
     /* 2167631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167677 */     // MIs[0] round
     /* 2167677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167680 */     // MIs[0] policy
     /* 2167680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167716 */     // GIR_Coverage, 18376,
     /* 2167716 */     GIR_EraseRootFromParent_Done,
     /* 2167717 */   // Label 28545: @2167717
     /* 2167717 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2167808), // Rule ID 18377 //
     /* 2167722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167768 */     // MIs[0] round
     /* 2167768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167771 */     // MIs[0] policy
     /* 2167771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167781 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167807 */     // GIR_Coverage, 18377,
     /* 2167807 */     GIR_EraseRootFromParent_Done,
     /* 2167808 */   // Label 28546: @2167808
     /* 2167808 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2167899), // Rule ID 18380 //
     /* 2167813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167859 */     // MIs[0] round
     /* 2167859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167862 */     // MIs[0] policy
     /* 2167862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167898 */     // GIR_Coverage, 18380,
     /* 2167898 */     GIR_EraseRootFromParent_Done,
     /* 2167899 */   // Label 28547: @2167899
     /* 2167899 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2167990), // Rule ID 18381 //
     /* 2167904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167950 */     // MIs[0] round
     /* 2167950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167953 */     // MIs[0] policy
     /* 2167953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167963 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167989 */     // GIR_Coverage, 18381,
     /* 2167989 */     GIR_EraseRootFromParent_Done,
     /* 2167990 */   // Label 28548: @2167990
     /* 2167990 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2168081), // Rule ID 18384 //
     /* 2167995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168041 */     // MIs[0] round
     /* 2168041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168044 */     // MIs[0] policy
     /* 2168044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168054 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2168057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168080 */     // GIR_Coverage, 18384,
     /* 2168080 */     GIR_EraseRootFromParent_Done,
     /* 2168081 */   // Label 28549: @2168081
     /* 2168081 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2168172), // Rule ID 18385 //
     /* 2168086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168132 */     // MIs[0] round
     /* 2168132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168135 */     // MIs[0] policy
     /* 2168135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168145 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2168148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168171 */     // GIR_Coverage, 18385,
     /* 2168171 */     GIR_EraseRootFromParent_Done,
     /* 2168172 */   // Label 28550: @2168172
     /* 2168172 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2168263), // Rule ID 18388 //
     /* 2168177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168223 */     // MIs[0] round
     /* 2168223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168226 */     // MIs[0] policy
     /* 2168226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2168239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168262 */     // GIR_Coverage, 18388,
     /* 2168262 */     GIR_EraseRootFromParent_Done,
     /* 2168263 */   // Label 28551: @2168263
     /* 2168263 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2168354), // Rule ID 18389 //
     /* 2168268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168314 */     // MIs[0] round
     /* 2168314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168317 */     // MIs[0] policy
     /* 2168317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168327 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2168330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168353 */     // GIR_Coverage, 18389,
     /* 2168353 */     GIR_EraseRootFromParent_Done,
     /* 2168354 */   // Label 28552: @2168354
     /* 2168354 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2168445), // Rule ID 18392 //
     /* 2168359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168405 */     // MIs[0] round
     /* 2168405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168408 */     // MIs[0] policy
     /* 2168408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168418 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168444 */     // GIR_Coverage, 18392,
     /* 2168444 */     GIR_EraseRootFromParent_Done,
     /* 2168445 */   // Label 28553: @2168445
     /* 2168445 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2168536), // Rule ID 18393 //
     /* 2168450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168496 */     // MIs[0] round
     /* 2168496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168499 */     // MIs[0] policy
     /* 2168499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168535 */     // GIR_Coverage, 18393,
     /* 2168535 */     GIR_EraseRootFromParent_Done,
     /* 2168536 */   // Label 28554: @2168536
     /* 2168536 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2168627), // Rule ID 18396 //
     /* 2168541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168587 */     // MIs[0] round
     /* 2168587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168590 */     // MIs[0] policy
     /* 2168590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168626 */     // GIR_Coverage, 18396,
     /* 2168626 */     GIR_EraseRootFromParent_Done,
     /* 2168627 */   // Label 28555: @2168627
     /* 2168627 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2168718), // Rule ID 18397 //
     /* 2168632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168678 */     // MIs[0] round
     /* 2168678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168681 */     // MIs[0] policy
     /* 2168681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168717 */     // GIR_Coverage, 18397,
     /* 2168717 */     GIR_EraseRootFromParent_Done,
     /* 2168718 */   // Label 28556: @2168718
     /* 2168718 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2168809), // Rule ID 18400 //
     /* 2168723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168769 */     // MIs[0] round
     /* 2168769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168772 */     // MIs[0] policy
     /* 2168772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168782 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168808 */     // GIR_Coverage, 18400,
     /* 2168808 */     GIR_EraseRootFromParent_Done,
     /* 2168809 */   // Label 28557: @2168809
     /* 2168809 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2168900), // Rule ID 18401 //
     /* 2168814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168860 */     // MIs[0] round
     /* 2168860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168863 */     // MIs[0] policy
     /* 2168863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168873 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168899 */     // GIR_Coverage, 18401,
     /* 2168899 */     GIR_EraseRootFromParent_Done,
     /* 2168900 */   // Label 28558: @2168900
     /* 2168900 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2168991), // Rule ID 18404 //
     /* 2168905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168951 */     // MIs[0] round
     /* 2168951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168954 */     // MIs[0] policy
     /* 2168954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168990 */     // GIR_Coverage, 18404,
     /* 2168990 */     GIR_EraseRootFromParent_Done,
     /* 2168991 */   // Label 28559: @2168991
     /* 2168991 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2169082), // Rule ID 18405 //
     /* 2168996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169042 */     // MIs[0] round
     /* 2169042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169045 */     // MIs[0] policy
     /* 2169045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169055 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2169058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169081 */     // GIR_Coverage, 18405,
     /* 2169081 */     GIR_EraseRootFromParent_Done,
     /* 2169082 */   // Label 28560: @2169082
     /* 2169082 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2169173), // Rule ID 18408 //
     /* 2169087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169133 */     // MIs[0] round
     /* 2169133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169136 */     // MIs[0] policy
     /* 2169136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169146 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2169149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169172 */     // GIR_Coverage, 18408,
     /* 2169172 */     GIR_EraseRootFromParent_Done,
     /* 2169173 */   // Label 28561: @2169173
     /* 2169173 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2169264), // Rule ID 18409 //
     /* 2169178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169224 */     // MIs[0] round
     /* 2169224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169227 */     // MIs[0] policy
     /* 2169227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169237 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2169240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169263 */     // GIR_Coverage, 18409,
     /* 2169263 */     GIR_EraseRootFromParent_Done,
     /* 2169264 */   // Label 28562: @2169264
     /* 2169264 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2169355), // Rule ID 18412 //
     /* 2169269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169315 */     // MIs[0] round
     /* 2169315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169318 */     // MIs[0] policy
     /* 2169318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2169331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169354 */     // GIR_Coverage, 18412,
     /* 2169354 */     GIR_EraseRootFromParent_Done,
     /* 2169355 */   // Label 28563: @2169355
     /* 2169355 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2169446), // Rule ID 18413 //
     /* 2169360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169406 */     // MIs[0] round
     /* 2169406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169409 */     // MIs[0] policy
     /* 2169409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169419 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2169422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169445 */     // GIR_Coverage, 18413,
     /* 2169445 */     GIR_EraseRootFromParent_Done,
     /* 2169446 */   // Label 28564: @2169446
     /* 2169446 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2169537), // Rule ID 18416 //
     /* 2169451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169497 */     // MIs[0] round
     /* 2169497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169500 */     // MIs[0] policy
     /* 2169500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169536 */     // GIR_Coverage, 18416,
     /* 2169536 */     GIR_EraseRootFromParent_Done,
     /* 2169537 */   // Label 28565: @2169537
     /* 2169537 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2169628), // Rule ID 18417 //
     /* 2169542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169588 */     // MIs[0] round
     /* 2169588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169591 */     // MIs[0] policy
     /* 2169591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169601 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169627 */     // GIR_Coverage, 18417,
     /* 2169627 */     GIR_EraseRootFromParent_Done,
     /* 2169628 */   // Label 28566: @2169628
     /* 2169628 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2169719), // Rule ID 18420 //
     /* 2169633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169679 */     // MIs[0] round
     /* 2169679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169682 */     // MIs[0] policy
     /* 2169682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169718 */     // GIR_Coverage, 18420,
     /* 2169718 */     GIR_EraseRootFromParent_Done,
     /* 2169719 */   // Label 28567: @2169719
     /* 2169719 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2169810), // Rule ID 18421 //
     /* 2169724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169770 */     // MIs[0] round
     /* 2169770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169773 */     // MIs[0] policy
     /* 2169773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169783 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169809 */     // GIR_Coverage, 18421,
     /* 2169809 */     GIR_EraseRootFromParent_Done,
     /* 2169810 */   // Label 28568: @2169810
     /* 2169810 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2169901), // Rule ID 18424 //
     /* 2169815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169861 */     // MIs[0] round
     /* 2169861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169864 */     // MIs[0] policy
     /* 2169864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169900 */     // GIR_Coverage, 18424,
     /* 2169900 */     GIR_EraseRootFromParent_Done,
     /* 2169901 */   // Label 28569: @2169901
     /* 2169901 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2169992), // Rule ID 18425 //
     /* 2169906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169952 */     // MIs[0] round
     /* 2169952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169955 */     // MIs[0] policy
     /* 2169955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169991 */     // GIR_Coverage, 18425,
     /* 2169991 */     GIR_EraseRootFromParent_Done,
     /* 2169992 */   // Label 28570: @2169992
     /* 2169992 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2170083), // Rule ID 18428 //
     /* 2169997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170043 */     // MIs[0] round
     /* 2170043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170046 */     // MIs[0] policy
     /* 2170046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2170059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170082 */     // GIR_Coverage, 18428,
     /* 2170082 */     GIR_EraseRootFromParent_Done,
     /* 2170083 */   // Label 28571: @2170083
     /* 2170083 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2170174), // Rule ID 18429 //
     /* 2170088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170134 */     // MIs[0] round
     /* 2170134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170137 */     // MIs[0] policy
     /* 2170137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170147 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2170150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170173 */     // GIR_Coverage, 18429,
     /* 2170173 */     GIR_EraseRootFromParent_Done,
     /* 2170174 */   // Label 28572: @2170174
     /* 2170174 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2170265), // Rule ID 18432 //
     /* 2170179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170225 */     // MIs[0] round
     /* 2170225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170228 */     // MIs[0] policy
     /* 2170228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170238 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2170241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170264 */     // GIR_Coverage, 18432,
     /* 2170264 */     GIR_EraseRootFromParent_Done,
     /* 2170265 */   // Label 28573: @2170265
     /* 2170265 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2170356), // Rule ID 18433 //
     /* 2170270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170316 */     // MIs[0] round
     /* 2170316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170319 */     // MIs[0] policy
     /* 2170319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170329 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2170332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170355 */     // GIR_Coverage, 18433,
     /* 2170355 */     GIR_EraseRootFromParent_Done,
     /* 2170356 */   // Label 28574: @2170356
     /* 2170356 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2170447), // Rule ID 18436 //
     /* 2170361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170407 */     // MIs[0] round
     /* 2170407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170410 */     // MIs[0] policy
     /* 2170410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170446 */     // GIR_Coverage, 18436,
     /* 2170446 */     GIR_EraseRootFromParent_Done,
     /* 2170447 */   // Label 28575: @2170447
     /* 2170447 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2170538), // Rule ID 18437 //
     /* 2170452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170498 */     // MIs[0] round
     /* 2170498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170501 */     // MIs[0] policy
     /* 2170501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170537 */     // GIR_Coverage, 18437,
     /* 2170537 */     GIR_EraseRootFromParent_Done,
     /* 2170538 */   // Label 28576: @2170538
     /* 2170538 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2170629), // Rule ID 18440 //
     /* 2170543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170589 */     // MIs[0] round
     /* 2170589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170592 */     // MIs[0] policy
     /* 2170592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170628 */     // GIR_Coverage, 18440,
     /* 2170628 */     GIR_EraseRootFromParent_Done,
     /* 2170629 */   // Label 28577: @2170629
     /* 2170629 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2170720), // Rule ID 18441 //
     /* 2170634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170680 */     // MIs[0] round
     /* 2170680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170683 */     // MIs[0] policy
     /* 2170683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170693 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170719 */     // GIR_Coverage, 18441,
     /* 2170719 */     GIR_EraseRootFromParent_Done,
     /* 2170720 */   // Label 28578: @2170720
     /* 2170720 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2170811), // Rule ID 18444 //
     /* 2170725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170771 */     // MIs[0] round
     /* 2170771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170774 */     // MIs[0] policy
     /* 2170774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170784 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170810 */     // GIR_Coverage, 18444,
     /* 2170810 */     GIR_EraseRootFromParent_Done,
     /* 2170811 */   // Label 28579: @2170811
     /* 2170811 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2170902), // Rule ID 18445 //
     /* 2170816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170862 */     // MIs[0] round
     /* 2170862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170865 */     // MIs[0] policy
     /* 2170865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170875 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170901 */     // GIR_Coverage, 18445,
     /* 2170901 */     GIR_EraseRootFromParent_Done,
     /* 2170902 */   // Label 28580: @2170902
     /* 2170902 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2170993), // Rule ID 18448 //
     /* 2170907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170953 */     // MIs[0] round
     /* 2170953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170956 */     // MIs[0] policy
     /* 2170956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170966 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170992 */     // GIR_Coverage, 18448,
     /* 2170992 */     GIR_EraseRootFromParent_Done,
     /* 2170993 */   // Label 28581: @2170993
     /* 2170993 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2171084), // Rule ID 18449 //
     /* 2170998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171044 */     // MIs[0] round
     /* 2171044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171047 */     // MIs[0] policy
     /* 2171047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171057 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2171060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171083 */     // GIR_Coverage, 18449,
     /* 2171083 */     GIR_EraseRootFromParent_Done,
     /* 2171084 */   // Label 28582: @2171084
     /* 2171084 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2171175), // Rule ID 18452 //
     /* 2171089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171135 */     // MIs[0] round
     /* 2171135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171138 */     // MIs[0] policy
     /* 2171138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2171151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171174 */     // GIR_Coverage, 18452,
     /* 2171174 */     GIR_EraseRootFromParent_Done,
     /* 2171175 */   // Label 28583: @2171175
     /* 2171175 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2171266), // Rule ID 18453 //
     /* 2171180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171226 */     // MIs[0] round
     /* 2171226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171229 */     // MIs[0] policy
     /* 2171229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2171242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171265 */     // GIR_Coverage, 18453,
     /* 2171265 */     GIR_EraseRootFromParent_Done,
     /* 2171266 */   // Label 28584: @2171266
     /* 2171266 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2171357), // Rule ID 18456 //
     /* 2171271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171317 */     // MIs[0] round
     /* 2171317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171320 */     // MIs[0] policy
     /* 2171320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2171333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171356 */     // GIR_Coverage, 18456,
     /* 2171356 */     GIR_EraseRootFromParent_Done,
     /* 2171357 */   // Label 28585: @2171357
     /* 2171357 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2171448), // Rule ID 18457 //
     /* 2171362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171408 */     // MIs[0] round
     /* 2171408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171411 */     // MIs[0] policy
     /* 2171411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2171424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171447 */     // GIR_Coverage, 18457,
     /* 2171447 */     GIR_EraseRootFromParent_Done,
     /* 2171448 */   // Label 28586: @2171448
     /* 2171448 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2171539), // Rule ID 18460 //
     /* 2171453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171499 */     // MIs[0] round
     /* 2171499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171502 */     // MIs[0] policy
     /* 2171502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171512 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171538 */     // GIR_Coverage, 18460,
     /* 2171538 */     GIR_EraseRootFromParent_Done,
     /* 2171539 */   // Label 28587: @2171539
     /* 2171539 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2171630), // Rule ID 18461 //
     /* 2171544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171590 */     // MIs[0] round
     /* 2171590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171593 */     // MIs[0] policy
     /* 2171593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171629 */     // GIR_Coverage, 18461,
     /* 2171629 */     GIR_EraseRootFromParent_Done,
     /* 2171630 */   // Label 28588: @2171630
     /* 2171630 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2171721), // Rule ID 18464 //
     /* 2171635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171681 */     // MIs[0] round
     /* 2171681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171684 */     // MIs[0] policy
     /* 2171684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171694 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171720 */     // GIR_Coverage, 18464,
     /* 2171720 */     GIR_EraseRootFromParent_Done,
     /* 2171721 */   // Label 28589: @2171721
     /* 2171721 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2171812), // Rule ID 18465 //
     /* 2171726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171772 */     // MIs[0] round
     /* 2171772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171775 */     // MIs[0] policy
     /* 2171775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171811 */     // GIR_Coverage, 18465,
     /* 2171811 */     GIR_EraseRootFromParent_Done,
     /* 2171812 */   // Label 28590: @2171812
     /* 2171812 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2171903), // Rule ID 18468 //
     /* 2171817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171863 */     // MIs[0] round
     /* 2171863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171866 */     // MIs[0] policy
     /* 2171866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171902 */     // GIR_Coverage, 18468,
     /* 2171902 */     GIR_EraseRootFromParent_Done,
     /* 2171903 */   // Label 28591: @2171903
     /* 2171903 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2171994), // Rule ID 18469 //
     /* 2171908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171954 */     // MIs[0] round
     /* 2171954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171957 */     // MIs[0] policy
     /* 2171957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171967 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171993 */     // GIR_Coverage, 18469,
     /* 2171993 */     GIR_EraseRootFromParent_Done,
     /* 2171994 */   // Label 28592: @2171994
     /* 2171994 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2172085), // Rule ID 18472 //
     /* 2171999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172045 */     // MIs[0] round
     /* 2172045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172048 */     // MIs[0] policy
     /* 2172048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2172061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172084 */     // GIR_Coverage, 18472,
     /* 2172084 */     GIR_EraseRootFromParent_Done,
     /* 2172085 */   // Label 28593: @2172085
     /* 2172085 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2172176), // Rule ID 18473 //
     /* 2172090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172136 */     // MIs[0] round
     /* 2172136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172139 */     // MIs[0] policy
     /* 2172139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172149 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2172152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172175 */     // GIR_Coverage, 18473,
     /* 2172175 */     GIR_EraseRootFromParent_Done,
     /* 2172176 */   // Label 28594: @2172176
     /* 2172176 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2172267), // Rule ID 18476 //
     /* 2172181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172227 */     // MIs[0] round
     /* 2172227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172230 */     // MIs[0] policy
     /* 2172230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2172243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172266 */     // GIR_Coverage, 18476,
     /* 2172266 */     GIR_EraseRootFromParent_Done,
     /* 2172267 */   // Label 28595: @2172267
     /* 2172267 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2172358), // Rule ID 18477 //
     /* 2172272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172318 */     // MIs[0] round
     /* 2172318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172321 */     // MIs[0] policy
     /* 2172321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172331 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2172334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172357 */     // GIR_Coverage, 18477,
     /* 2172357 */     GIR_EraseRootFromParent_Done,
     /* 2172358 */   // Label 28596: @2172358
     /* 2172358 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2172449), // Rule ID 18480 //
     /* 2172363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172409 */     // MIs[0] round
     /* 2172409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172412 */     // MIs[0] policy
     /* 2172412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172422 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172448 */     // GIR_Coverage, 18480,
     /* 2172448 */     GIR_EraseRootFromParent_Done,
     /* 2172449 */   // Label 28597: @2172449
     /* 2172449 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2172540), // Rule ID 18481 //
     /* 2172454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172500 */     // MIs[0] round
     /* 2172500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172503 */     // MIs[0] policy
     /* 2172503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172513 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172539 */     // GIR_Coverage, 18481,
     /* 2172539 */     GIR_EraseRootFromParent_Done,
     /* 2172540 */   // Label 28598: @2172540
     /* 2172540 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2172631), // Rule ID 18484 //
     /* 2172545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172591 */     // MIs[0] round
     /* 2172591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172594 */     // MIs[0] policy
     /* 2172594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172630 */     // GIR_Coverage, 18484,
     /* 2172630 */     GIR_EraseRootFromParent_Done,
     /* 2172631 */   // Label 28599: @2172631
     /* 2172631 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2172722), // Rule ID 18485 //
     /* 2172636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172682 */     // MIs[0] round
     /* 2172682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172685 */     // MIs[0] policy
     /* 2172685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172695 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172721 */     // GIR_Coverage, 18485,
     /* 2172721 */     GIR_EraseRootFromParent_Done,
     /* 2172722 */   // Label 28600: @2172722
     /* 2172722 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2172813), // Rule ID 18488 //
     /* 2172727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172773 */     // MIs[0] round
     /* 2172773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172776 */     // MIs[0] policy
     /* 2172776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172786 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172812 */     // GIR_Coverage, 18488,
     /* 2172812 */     GIR_EraseRootFromParent_Done,
     /* 2172813 */   // Label 28601: @2172813
     /* 2172813 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2172904), // Rule ID 18489 //
     /* 2172818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172864 */     // MIs[0] round
     /* 2172864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172867 */     // MIs[0] policy
     /* 2172867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172877 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172903 */     // GIR_Coverage, 18489,
     /* 2172903 */     GIR_EraseRootFromParent_Done,
     /* 2172904 */   // Label 28602: @2172904
     /* 2172904 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2172995), // Rule ID 18492 //
     /* 2172909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172955 */     // MIs[0] round
     /* 2172955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172958 */     // MIs[0] policy
     /* 2172958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172994 */     // GIR_Coverage, 18492,
     /* 2172994 */     GIR_EraseRootFromParent_Done,
     /* 2172995 */   // Label 28603: @2172995
     /* 2172995 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2173086), // Rule ID 18493 //
     /* 2173000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173046 */     // MIs[0] round
     /* 2173046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173049 */     // MIs[0] policy
     /* 2173049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2173062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173085 */     // GIR_Coverage, 18493,
     /* 2173085 */     GIR_EraseRootFromParent_Done,
     /* 2173086 */   // Label 28604: @2173086
     /* 2173086 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2173177), // Rule ID 18496 //
     /* 2173091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173137 */     // MIs[0] round
     /* 2173137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173140 */     // MIs[0] policy
     /* 2173140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2173153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173176 */     // GIR_Coverage, 18496,
     /* 2173176 */     GIR_EraseRootFromParent_Done,
     /* 2173177 */   // Label 28605: @2173177
     /* 2173177 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2173268), // Rule ID 18497 //
     /* 2173182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173228 */     // MIs[0] round
     /* 2173228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173231 */     // MIs[0] policy
     /* 2173231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173241 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2173244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173267 */     // GIR_Coverage, 18497,
     /* 2173267 */     GIR_EraseRootFromParent_Done,
     /* 2173268 */   // Label 28606: @2173268
     /* 2173268 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2173359), // Rule ID 18500 //
     /* 2173273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173319 */     // MIs[0] round
     /* 2173319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173322 */     // MIs[0] policy
     /* 2173322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173332 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2173335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173358 */     // GIR_Coverage, 18500,
     /* 2173358 */     GIR_EraseRootFromParent_Done,
     /* 2173359 */   // Label 28607: @2173359
     /* 2173359 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2173450), // Rule ID 18501 //
     /* 2173364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173410 */     // MIs[0] round
     /* 2173410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173413 */     // MIs[0] policy
     /* 2173413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2173426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173449 */     // GIR_Coverage, 18501,
     /* 2173449 */     GIR_EraseRootFromParent_Done,
     /* 2173450 */   // Label 28608: @2173450
     /* 2173450 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2173541), // Rule ID 18504 //
     /* 2173455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173501 */     // MIs[0] round
     /* 2173501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173504 */     // MIs[0] policy
     /* 2173504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173514 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173540 */     // GIR_Coverage, 18504,
     /* 2173540 */     GIR_EraseRootFromParent_Done,
     /* 2173541 */   // Label 28609: @2173541
     /* 2173541 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2173632), // Rule ID 18505 //
     /* 2173546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173592 */     // MIs[0] round
     /* 2173592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173595 */     // MIs[0] policy
     /* 2173595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173605 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173631 */     // GIR_Coverage, 18505,
     /* 2173631 */     GIR_EraseRootFromParent_Done,
     /* 2173632 */   // Label 28610: @2173632
     /* 2173632 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2173723), // Rule ID 18508 //
     /* 2173637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173683 */     // MIs[0] round
     /* 2173683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173686 */     // MIs[0] policy
     /* 2173686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173722 */     // GIR_Coverage, 18508,
     /* 2173722 */     GIR_EraseRootFromParent_Done,
     /* 2173723 */   // Label 28611: @2173723
     /* 2173723 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2173814), // Rule ID 18509 //
     /* 2173728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173774 */     // MIs[0] round
     /* 2173774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173777 */     // MIs[0] policy
     /* 2173777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173813 */     // GIR_Coverage, 18509,
     /* 2173813 */     GIR_EraseRootFromParent_Done,
     /* 2173814 */   // Label 28612: @2173814
     /* 2173814 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2173905), // Rule ID 18512 //
     /* 2173819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173865 */     // MIs[0] round
     /* 2173865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173868 */     // MIs[0] policy
     /* 2173868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173878 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173904 */     // GIR_Coverage, 18512,
     /* 2173904 */     GIR_EraseRootFromParent_Done,
     /* 2173905 */   // Label 28613: @2173905
     /* 2173905 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2173996), // Rule ID 18513 //
     /* 2173910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173956 */     // MIs[0] round
     /* 2173956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173959 */     // MIs[0] policy
     /* 2173959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173969 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173995 */     // GIR_Coverage, 18513,
     /* 2173995 */     GIR_EraseRootFromParent_Done,
     /* 2173996 */   // Label 28614: @2173996
     /* 2173996 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2174087), // Rule ID 18516 //
     /* 2174001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174047 */     // MIs[0] round
     /* 2174047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174050 */     // MIs[0] policy
     /* 2174050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174060 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2174063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174086 */     // GIR_Coverage, 18516,
     /* 2174086 */     GIR_EraseRootFromParent_Done,
     /* 2174087 */   // Label 28615: @2174087
     /* 2174087 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2174178), // Rule ID 18517 //
     /* 2174092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174138 */     // MIs[0] round
     /* 2174138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174141 */     // MIs[0] policy
     /* 2174141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174151 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2174154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174177 */     // GIR_Coverage, 18517,
     /* 2174177 */     GIR_EraseRootFromParent_Done,
     /* 2174178 */   // Label 28616: @2174178
     /* 2174178 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2174269), // Rule ID 18520 //
     /* 2174183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174229 */     // MIs[0] round
     /* 2174229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174232 */     // MIs[0] policy
     /* 2174232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174242 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2174245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174268 */     // GIR_Coverage, 18520,
     /* 2174268 */     GIR_EraseRootFromParent_Done,
     /* 2174269 */   // Label 28617: @2174269
     /* 2174269 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2174360), // Rule ID 18521 //
     /* 2174274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174320 */     // MIs[0] round
     /* 2174320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174323 */     // MIs[0] policy
     /* 2174323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174333 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2174336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174359 */     // GIR_Coverage, 18521,
     /* 2174359 */     GIR_EraseRootFromParent_Done,
     /* 2174360 */   // Label 28618: @2174360
     /* 2174360 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2174451), // Rule ID 18524 //
     /* 2174365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174411 */     // MIs[0] round
     /* 2174411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174414 */     // MIs[0] policy
     /* 2174414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174424 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174450 */     // GIR_Coverage, 18524,
     /* 2174450 */     GIR_EraseRootFromParent_Done,
     /* 2174451 */   // Label 28619: @2174451
     /* 2174451 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2174542), // Rule ID 18525 //
     /* 2174456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174502 */     // MIs[0] round
     /* 2174502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174505 */     // MIs[0] policy
     /* 2174505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174515 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174541 */     // GIR_Coverage, 18525,
     /* 2174541 */     GIR_EraseRootFromParent_Done,
     /* 2174542 */   // Label 28620: @2174542
     /* 2174542 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2174633), // Rule ID 18528 //
     /* 2174547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174593 */     // MIs[0] round
     /* 2174593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174596 */     // MIs[0] policy
     /* 2174596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174606 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174632 */     // GIR_Coverage, 18528,
     /* 2174632 */     GIR_EraseRootFromParent_Done,
     /* 2174633 */   // Label 28621: @2174633
     /* 2174633 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2174724), // Rule ID 18529 //
     /* 2174638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174684 */     // MIs[0] round
     /* 2174684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174687 */     // MIs[0] policy
     /* 2174687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174723 */     // GIR_Coverage, 18529,
     /* 2174723 */     GIR_EraseRootFromParent_Done,
     /* 2174724 */   // Label 28622: @2174724
     /* 2174724 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2174815), // Rule ID 18532 //
     /* 2174729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174775 */     // MIs[0] round
     /* 2174775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174778 */     // MIs[0] policy
     /* 2174778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174814 */     // GIR_Coverage, 18532,
     /* 2174814 */     GIR_EraseRootFromParent_Done,
     /* 2174815 */   // Label 28623: @2174815
     /* 2174815 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2174906), // Rule ID 18533 //
     /* 2174820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174866 */     // MIs[0] round
     /* 2174866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174869 */     // MIs[0] policy
     /* 2174869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174879 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174905 */     // GIR_Coverage, 18533,
     /* 2174905 */     GIR_EraseRootFromParent_Done,
     /* 2174906 */   // Label 28624: @2174906
     /* 2174906 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2174997), // Rule ID 18536 //
     /* 2174911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174957 */     // MIs[0] round
     /* 2174957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174960 */     // MIs[0] policy
     /* 2174960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174970 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174996 */     // GIR_Coverage, 18536,
     /* 2174996 */     GIR_EraseRootFromParent_Done,
     /* 2174997 */   // Label 28625: @2174997
     /* 2174997 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2175088), // Rule ID 18537 //
     /* 2175002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175048 */     // MIs[0] round
     /* 2175048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175051 */     // MIs[0] policy
     /* 2175051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175061 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2175064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175087 */     // GIR_Coverage, 18537,
     /* 2175087 */     GIR_EraseRootFromParent_Done,
     /* 2175088 */   // Label 28626: @2175088
     /* 2175088 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2175179), // Rule ID 18540 //
     /* 2175093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175139 */     // MIs[0] round
     /* 2175139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175142 */     // MIs[0] policy
     /* 2175142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2175155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175178 */     // GIR_Coverage, 18540,
     /* 2175178 */     GIR_EraseRootFromParent_Done,
     /* 2175179 */   // Label 28627: @2175179
     /* 2175179 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2175270), // Rule ID 18541 //
     /* 2175184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175230 */     // MIs[0] round
     /* 2175230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175233 */     // MIs[0] policy
     /* 2175233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2175246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175269 */     // GIR_Coverage, 18541,
     /* 2175269 */     GIR_EraseRootFromParent_Done,
     /* 2175270 */   // Label 28628: @2175270
     /* 2175270 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2175361), // Rule ID 18544 //
     /* 2175275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175321 */     // MIs[0] round
     /* 2175321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175324 */     // MIs[0] policy
     /* 2175324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2175337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175360 */     // GIR_Coverage, 18544,
     /* 2175360 */     GIR_EraseRootFromParent_Done,
     /* 2175361 */   // Label 28629: @2175361
     /* 2175361 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2175452), // Rule ID 18545 //
     /* 2175366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175412 */     // MIs[0] round
     /* 2175412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175415 */     // MIs[0] policy
     /* 2175415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175425 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2175428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175451 */     // GIR_Coverage, 18545,
     /* 2175451 */     GIR_EraseRootFromParent_Done,
     /* 2175452 */   // Label 28630: @2175452
     /* 2175452 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2175543), // Rule ID 18548 //
     /* 2175457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175503 */     // MIs[0] round
     /* 2175503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175506 */     // MIs[0] policy
     /* 2175506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175542 */     // GIR_Coverage, 18548,
     /* 2175542 */     GIR_EraseRootFromParent_Done,
     /* 2175543 */   // Label 28631: @2175543
     /* 2175543 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2175634), // Rule ID 18549 //
     /* 2175548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175594 */     // MIs[0] round
     /* 2175594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175597 */     // MIs[0] policy
     /* 2175597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175607 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175633 */     // GIR_Coverage, 18549,
     /* 2175633 */     GIR_EraseRootFromParent_Done,
     /* 2175634 */   // Label 28632: @2175634
     /* 2175634 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2175725), // Rule ID 18552 //
     /* 2175639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175685 */     // MIs[0] round
     /* 2175685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175688 */     // MIs[0] policy
     /* 2175688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175698 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175724 */     // GIR_Coverage, 18552,
     /* 2175724 */     GIR_EraseRootFromParent_Done,
     /* 2175725 */   // Label 28633: @2175725
     /* 2175725 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2175816), // Rule ID 18553 //
     /* 2175730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175776 */     // MIs[0] round
     /* 2175776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175779 */     // MIs[0] policy
     /* 2175779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175815 */     // GIR_Coverage, 18553,
     /* 2175815 */     GIR_EraseRootFromParent_Done,
     /* 2175816 */   // Label 28634: @2175816
     /* 2175816 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2175907), // Rule ID 18556 //
     /* 2175821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175867 */     // MIs[0] round
     /* 2175867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175870 */     // MIs[0] policy
     /* 2175870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175906 */     // GIR_Coverage, 18556,
     /* 2175906 */     GIR_EraseRootFromParent_Done,
     /* 2175907 */   // Label 28635: @2175907
     /* 2175907 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2175998), // Rule ID 18557 //
     /* 2175912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175958 */     // MIs[0] round
     /* 2175958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175961 */     // MIs[0] policy
     /* 2175961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175971 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175997 */     // GIR_Coverage, 18557,
     /* 2175997 */     GIR_EraseRootFromParent_Done,
     /* 2175998 */   // Label 28636: @2175998
     /* 2175998 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2176089), // Rule ID 18560 //
     /* 2176003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176049 */     // MIs[0] round
     /* 2176049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176052 */     // MIs[0] policy
     /* 2176052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176062 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2176065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176088 */     // GIR_Coverage, 18560,
     /* 2176088 */     GIR_EraseRootFromParent_Done,
     /* 2176089 */   // Label 28637: @2176089
     /* 2176089 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2176180), // Rule ID 18561 //
     /* 2176094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176140 */     // MIs[0] round
     /* 2176140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176143 */     // MIs[0] policy
     /* 2176143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176153 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2176156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176179 */     // GIR_Coverage, 18561,
     /* 2176179 */     GIR_EraseRootFromParent_Done,
     /* 2176180 */   // Label 28638: @2176180
     /* 2176180 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2176271), // Rule ID 18564 //
     /* 2176185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176231 */     // MIs[0] round
     /* 2176231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176234 */     // MIs[0] policy
     /* 2176234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176244 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2176247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176270 */     // GIR_Coverage, 18564,
     /* 2176270 */     GIR_EraseRootFromParent_Done,
     /* 2176271 */   // Label 28639: @2176271
     /* 2176271 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2176362), // Rule ID 18565 //
     /* 2176276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176322 */     // MIs[0] round
     /* 2176322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176325 */     // MIs[0] policy
     /* 2176325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176335 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2176338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176361 */     // GIR_Coverage, 18565,
     /* 2176361 */     GIR_EraseRootFromParent_Done,
     /* 2176362 */   // Label 28640: @2176362
     /* 2176362 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2176453), // Rule ID 18568 //
     /* 2176367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176413 */     // MIs[0] round
     /* 2176413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176416 */     // MIs[0] policy
     /* 2176416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176426 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176452 */     // GIR_Coverage, 18568,
     /* 2176452 */     GIR_EraseRootFromParent_Done,
     /* 2176453 */   // Label 28641: @2176453
     /* 2176453 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2176544), // Rule ID 18569 //
     /* 2176458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176504 */     // MIs[0] round
     /* 2176504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176507 */     // MIs[0] policy
     /* 2176507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176517 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176543 */     // GIR_Coverage, 18569,
     /* 2176543 */     GIR_EraseRootFromParent_Done,
     /* 2176544 */   // Label 28642: @2176544
     /* 2176544 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2176635), // Rule ID 18572 //
     /* 2176549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176595 */     // MIs[0] round
     /* 2176595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176598 */     // MIs[0] policy
     /* 2176598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176634 */     // GIR_Coverage, 18572,
     /* 2176634 */     GIR_EraseRootFromParent_Done,
     /* 2176635 */   // Label 28643: @2176635
     /* 2176635 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2176726), // Rule ID 18573 //
     /* 2176640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176686 */     // MIs[0] round
     /* 2176686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176689 */     // MIs[0] policy
     /* 2176689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176725 */     // GIR_Coverage, 18573,
     /* 2176725 */     GIR_EraseRootFromParent_Done,
     /* 2176726 */   // Label 28644: @2176726
     /* 2176726 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2176817), // Rule ID 18576 //
     /* 2176731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176777 */     // MIs[0] round
     /* 2176777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176780 */     // MIs[0] policy
     /* 2176780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176790 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176816 */     // GIR_Coverage, 18576,
     /* 2176816 */     GIR_EraseRootFromParent_Done,
     /* 2176817 */   // Label 28645: @2176817
     /* 2176817 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2176908), // Rule ID 18577 //
     /* 2176822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176868 */     // MIs[0] round
     /* 2176868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176871 */     // MIs[0] policy
     /* 2176871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176881 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176907 */     // GIR_Coverage, 18577,
     /* 2176907 */     GIR_EraseRootFromParent_Done,
     /* 2176908 */   // Label 28646: @2176908
     /* 2176908 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2176999), // Rule ID 18580 //
     /* 2176913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176959 */     // MIs[0] round
     /* 2176959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176962 */     // MIs[0] policy
     /* 2176962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176998 */     // GIR_Coverage, 18580,
     /* 2176998 */     GIR_EraseRootFromParent_Done,
     /* 2176999 */   // Label 28647: @2176999
     /* 2176999 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2177090), // Rule ID 18581 //
     /* 2177004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177050 */     // MIs[0] round
     /* 2177050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177053 */     // MIs[0] policy
     /* 2177053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177063 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2177066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177089 */     // GIR_Coverage, 18581,
     /* 2177089 */     GIR_EraseRootFromParent_Done,
     /* 2177090 */   // Label 28648: @2177090
     /* 2177090 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2177181), // Rule ID 18584 //
     /* 2177095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177141 */     // MIs[0] round
     /* 2177141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177144 */     // MIs[0] policy
     /* 2177144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177154 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2177157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177180 */     // GIR_Coverage, 18584,
     /* 2177180 */     GIR_EraseRootFromParent_Done,
     /* 2177181 */   // Label 28649: @2177181
     /* 2177181 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2177272), // Rule ID 18585 //
     /* 2177186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177232 */     // MIs[0] round
     /* 2177232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177235 */     // MIs[0] policy
     /* 2177235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177245 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2177248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177271 */     // GIR_Coverage, 18585,
     /* 2177271 */     GIR_EraseRootFromParent_Done,
     /* 2177272 */   // Label 28650: @2177272
     /* 2177272 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2177363), // Rule ID 18588 //
     /* 2177277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177323 */     // MIs[0] round
     /* 2177323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177326 */     // MIs[0] policy
     /* 2177326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2177339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177362 */     // GIR_Coverage, 18588,
     /* 2177362 */     GIR_EraseRootFromParent_Done,
     /* 2177363 */   // Label 28651: @2177363
     /* 2177363 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2177454), // Rule ID 18589 //
     /* 2177368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177414 */     // MIs[0] round
     /* 2177414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177417 */     // MIs[0] policy
     /* 2177417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2177430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177453 */     // GIR_Coverage, 18589,
     /* 2177453 */     GIR_EraseRootFromParent_Done,
     /* 2177454 */   // Label 28652: @2177454
     /* 2177454 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2177545), // Rule ID 18592 //
     /* 2177459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177505 */     // MIs[0] round
     /* 2177505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177508 */     // MIs[0] policy
     /* 2177508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177544 */     // GIR_Coverage, 18592,
     /* 2177544 */     GIR_EraseRootFromParent_Done,
     /* 2177545 */   // Label 28653: @2177545
     /* 2177545 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2177636), // Rule ID 18593 //
     /* 2177550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177596 */     // MIs[0] round
     /* 2177596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177599 */     // MIs[0] policy
     /* 2177599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177609 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177635 */     // GIR_Coverage, 18593,
     /* 2177635 */     GIR_EraseRootFromParent_Done,
     /* 2177636 */   // Label 28654: @2177636
     /* 2177636 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2177727), // Rule ID 18596 //
     /* 2177641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177687 */     // MIs[0] round
     /* 2177687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177690 */     // MIs[0] policy
     /* 2177690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177700 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177726 */     // GIR_Coverage, 18596,
     /* 2177726 */     GIR_EraseRootFromParent_Done,
     /* 2177727 */   // Label 28655: @2177727
     /* 2177727 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2177818), // Rule ID 18597 //
     /* 2177732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177778 */     // MIs[0] round
     /* 2177778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177781 */     // MIs[0] policy
     /* 2177781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177791 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177817 */     // GIR_Coverage, 18597,
     /* 2177817 */     GIR_EraseRootFromParent_Done,
     /* 2177818 */   // Label 28656: @2177818
     /* 2177818 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2177909), // Rule ID 18600 //
     /* 2177823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177869 */     // MIs[0] round
     /* 2177869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177872 */     // MIs[0] policy
     /* 2177872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177908 */     // GIR_Coverage, 18600,
     /* 2177908 */     GIR_EraseRootFromParent_Done,
     /* 2177909 */   // Label 28657: @2177909
     /* 2177909 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2178000), // Rule ID 18601 //
     /* 2177914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177960 */     // MIs[0] round
     /* 2177960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177963 */     // MIs[0] policy
     /* 2177963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177999 */     // GIR_Coverage, 18601,
     /* 2177999 */     GIR_EraseRootFromParent_Done,
     /* 2178000 */   // Label 28658: @2178000
     /* 2178000 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2178091), // Rule ID 18604 //
     /* 2178005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178051 */     // MIs[0] round
     /* 2178051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178054 */     // MIs[0] policy
     /* 2178054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178064 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2178067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178090 */     // GIR_Coverage, 18604,
     /* 2178090 */     GIR_EraseRootFromParent_Done,
     /* 2178091 */   // Label 28659: @2178091
     /* 2178091 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2178182), // Rule ID 18605 //
     /* 2178096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178142 */     // MIs[0] round
     /* 2178142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178145 */     // MIs[0] policy
     /* 2178145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178155 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2178158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178181 */     // GIR_Coverage, 18605,
     /* 2178181 */     GIR_EraseRootFromParent_Done,
     /* 2178182 */   // Label 28660: @2178182
     /* 2178182 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2178273), // Rule ID 18608 //
     /* 2178187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178233 */     // MIs[0] round
     /* 2178233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178236 */     // MIs[0] policy
     /* 2178236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178246 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2178249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178272 */     // GIR_Coverage, 18608,
     /* 2178272 */     GIR_EraseRootFromParent_Done,
     /* 2178273 */   // Label 28661: @2178273
     /* 2178273 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2178364), // Rule ID 18609 //
     /* 2178278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178324 */     // MIs[0] round
     /* 2178324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178327 */     // MIs[0] policy
     /* 2178327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2178340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178363 */     // GIR_Coverage, 18609,
     /* 2178363 */     GIR_EraseRootFromParent_Done,
     /* 2178364 */   // Label 28662: @2178364
     /* 2178364 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2178455), // Rule ID 18612 //
     /* 2178369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178415 */     // MIs[0] round
     /* 2178415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178418 */     // MIs[0] policy
     /* 2178418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178428 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178454 */     // GIR_Coverage, 18612,
     /* 2178454 */     GIR_EraseRootFromParent_Done,
     /* 2178455 */   // Label 28663: @2178455
     /* 2178455 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2178546), // Rule ID 18613 //
     /* 2178460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178506 */     // MIs[0] round
     /* 2178506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178509 */     // MIs[0] policy
     /* 2178509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178519 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178545 */     // GIR_Coverage, 18613,
     /* 2178545 */     GIR_EraseRootFromParent_Done,
     /* 2178546 */   // Label 28664: @2178546
     /* 2178546 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2178637), // Rule ID 18616 //
     /* 2178551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178597 */     // MIs[0] round
     /* 2178597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178600 */     // MIs[0] policy
     /* 2178600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178610 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178636 */     // GIR_Coverage, 18616,
     /* 2178636 */     GIR_EraseRootFromParent_Done,
     /* 2178637 */   // Label 28665: @2178637
     /* 2178637 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2178728), // Rule ID 18617 //
     /* 2178642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178688 */     // MIs[0] round
     /* 2178688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178691 */     // MIs[0] policy
     /* 2178691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178701 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178727 */     // GIR_Coverage, 18617,
     /* 2178727 */     GIR_EraseRootFromParent_Done,
     /* 2178728 */   // Label 28666: @2178728
     /* 2178728 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2178819), // Rule ID 18620 //
     /* 2178733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178779 */     // MIs[0] round
     /* 2178779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178782 */     // MIs[0] policy
     /* 2178782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178818 */     // GIR_Coverage, 18620,
     /* 2178818 */     GIR_EraseRootFromParent_Done,
     /* 2178819 */   // Label 28667: @2178819
     /* 2178819 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2178910), // Rule ID 18621 //
     /* 2178824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178870 */     // MIs[0] round
     /* 2178870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178873 */     // MIs[0] policy
     /* 2178873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178883 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178909 */     // GIR_Coverage, 18621,
     /* 2178909 */     GIR_EraseRootFromParent_Done,
     /* 2178910 */   // Label 28668: @2178910
     /* 2178910 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2179001), // Rule ID 18624 //
     /* 2178915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178961 */     // MIs[0] round
     /* 2178961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178964 */     // MIs[0] policy
     /* 2178964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178974 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179000 */     // GIR_Coverage, 18624,
     /* 2179000 */     GIR_EraseRootFromParent_Done,
     /* 2179001 */   // Label 28669: @2179001
     /* 2179001 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2179092), // Rule ID 18625 //
     /* 2179006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179052 */     // MIs[0] round
     /* 2179052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179055 */     // MIs[0] policy
     /* 2179055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179065 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2179068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179091 */     // GIR_Coverage, 18625,
     /* 2179091 */     GIR_EraseRootFromParent_Done,
     /* 2179092 */   // Label 28670: @2179092
     /* 2179092 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2179183), // Rule ID 18628 //
     /* 2179097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179143 */     // MIs[0] round
     /* 2179143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179146 */     // MIs[0] policy
     /* 2179146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179156 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2179159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179182 */     // GIR_Coverage, 18628,
     /* 2179182 */     GIR_EraseRootFromParent_Done,
     /* 2179183 */   // Label 28671: @2179183
     /* 2179183 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2179274), // Rule ID 18629 //
     /* 2179188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179234 */     // MIs[0] round
     /* 2179234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179237 */     // MIs[0] policy
     /* 2179237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2179250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179273 */     // GIR_Coverage, 18629,
     /* 2179273 */     GIR_EraseRootFromParent_Done,
     /* 2179274 */   // Label 28672: @2179274
     /* 2179274 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2179365), // Rule ID 18632 //
     /* 2179279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179325 */     // MIs[0] round
     /* 2179325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179328 */     // MIs[0] policy
     /* 2179328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179338 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179364 */     // GIR_Coverage, 18632,
     /* 2179364 */     GIR_EraseRootFromParent_Done,
     /* 2179365 */   // Label 28673: @2179365
     /* 2179365 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2179456), // Rule ID 18633 //
     /* 2179370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179416 */     // MIs[0] round
     /* 2179416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179419 */     // MIs[0] policy
     /* 2179419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179429 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179455 */     // GIR_Coverage, 18633,
     /* 2179455 */     GIR_EraseRootFromParent_Done,
     /* 2179456 */   // Label 28674: @2179456
     /* 2179456 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2179547), // Rule ID 18636 //
     /* 2179461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179507 */     // MIs[0] round
     /* 2179507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179510 */     // MIs[0] policy
     /* 2179510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179546 */     // GIR_Coverage, 18636,
     /* 2179546 */     GIR_EraseRootFromParent_Done,
     /* 2179547 */   // Label 28675: @2179547
     /* 2179547 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2179638), // Rule ID 18637 //
     /* 2179552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179598 */     // MIs[0] round
     /* 2179598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179601 */     // MIs[0] policy
     /* 2179601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179611 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179637 */     // GIR_Coverage, 18637,
     /* 2179637 */     GIR_EraseRootFromParent_Done,
     /* 2179638 */   // Label 28676: @2179638
     /* 2179638 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2179729), // Rule ID 18640 //
     /* 2179643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179689 */     // MIs[0] round
     /* 2179689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179692 */     // MIs[0] policy
     /* 2179692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179702 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179728 */     // GIR_Coverage, 18640,
     /* 2179728 */     GIR_EraseRootFromParent_Done,
     /* 2179729 */   // Label 28677: @2179729
     /* 2179729 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2179820), // Rule ID 18641 //
     /* 2179734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179780 */     // MIs[0] round
     /* 2179780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179783 */     // MIs[0] policy
     /* 2179783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179793 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179819 */     // GIR_Coverage, 18641,
     /* 2179819 */     GIR_EraseRootFromParent_Done,
     /* 2179820 */   // Label 28678: @2179820
     /* 2179820 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2179911), // Rule ID 18644 //
     /* 2179825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179871 */     // MIs[0] round
     /* 2179871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179874 */     // MIs[0] policy
     /* 2179874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179884 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179910 */     // GIR_Coverage, 18644,
     /* 2179910 */     GIR_EraseRootFromParent_Done,
     /* 2179911 */   // Label 28679: @2179911
     /* 2179911 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2180002), // Rule ID 18645 //
     /* 2179916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179962 */     // MIs[0] round
     /* 2179962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179965 */     // MIs[0] policy
     /* 2179965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179975 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180001 */     // GIR_Coverage, 18645,
     /* 2180001 */     GIR_EraseRootFromParent_Done,
     /* 2180002 */   // Label 28680: @2180002
     /* 2180002 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2180093), // Rule ID 18648 //
     /* 2180007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180053 */     // MIs[0] round
     /* 2180053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180056 */     // MIs[0] policy
     /* 2180056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180066 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2180069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180092 */     // GIR_Coverage, 18648,
     /* 2180092 */     GIR_EraseRootFromParent_Done,
     /* 2180093 */   // Label 28681: @2180093
     /* 2180093 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2180184), // Rule ID 18649 //
     /* 2180098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180144 */     // MIs[0] round
     /* 2180144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180147 */     // MIs[0] policy
     /* 2180147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180157 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2180160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180183 */     // GIR_Coverage, 18649,
     /* 2180183 */     GIR_EraseRootFromParent_Done,
     /* 2180184 */   // Label 28682: @2180184
     /* 2180184 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2180275), // Rule ID 18652 //
     /* 2180189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180235 */     // MIs[0] round
     /* 2180235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180238 */     // MIs[0] policy
     /* 2180238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2180251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180274 */     // GIR_Coverage, 18652,
     /* 2180274 */     GIR_EraseRootFromParent_Done,
     /* 2180275 */   // Label 28683: @2180275
     /* 2180275 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2180366), // Rule ID 18653 //
     /* 2180280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180326 */     // MIs[0] round
     /* 2180326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180329 */     // MIs[0] policy
     /* 2180329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2180342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180365 */     // GIR_Coverage, 18653,
     /* 2180365 */     GIR_EraseRootFromParent_Done,
     /* 2180366 */   // Label 28684: @2180366
     /* 2180366 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2180457), // Rule ID 18656 //
     /* 2180371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180417 */     // MIs[0] round
     /* 2180417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180420 */     // MIs[0] policy
     /* 2180420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180456 */     // GIR_Coverage, 18656,
     /* 2180456 */     GIR_EraseRootFromParent_Done,
     /* 2180457 */   // Label 28685: @2180457
     /* 2180457 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2180548), // Rule ID 18657 //
     /* 2180462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180508 */     // MIs[0] round
     /* 2180508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180511 */     // MIs[0] policy
     /* 2180511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180521 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180547 */     // GIR_Coverage, 18657,
     /* 2180547 */     GIR_EraseRootFromParent_Done,
     /* 2180548 */   // Label 28686: @2180548
     /* 2180548 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2180639), // Rule ID 18660 //
     /* 2180553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180599 */     // MIs[0] round
     /* 2180599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180602 */     // MIs[0] policy
     /* 2180602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180612 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180638 */     // GIR_Coverage, 18660,
     /* 2180638 */     GIR_EraseRootFromParent_Done,
     /* 2180639 */   // Label 28687: @2180639
     /* 2180639 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2180730), // Rule ID 18661 //
     /* 2180644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180690 */     // MIs[0] round
     /* 2180690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180693 */     // MIs[0] policy
     /* 2180693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180703 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180729 */     // GIR_Coverage, 18661,
     /* 2180729 */     GIR_EraseRootFromParent_Done,
     /* 2180730 */   // Label 28688: @2180730
     /* 2180730 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2180821), // Rule ID 18664 //
     /* 2180735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180781 */     // MIs[0] round
     /* 2180781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180784 */     // MIs[0] policy
     /* 2180784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180794 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180820 */     // GIR_Coverage, 18664,
     /* 2180820 */     GIR_EraseRootFromParent_Done,
     /* 2180821 */   // Label 28689: @2180821
     /* 2180821 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2180912), // Rule ID 18665 //
     /* 2180826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180872 */     // MIs[0] round
     /* 2180872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180875 */     // MIs[0] policy
     /* 2180875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180885 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180911 */     // GIR_Coverage, 18665,
     /* 2180911 */     GIR_EraseRootFromParent_Done,
     /* 2180912 */   // Label 28690: @2180912
     /* 2180912 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2181003), // Rule ID 18668 //
     /* 2180917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180963 */     // MIs[0] round
     /* 2180963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180966 */     // MIs[0] policy
     /* 2180966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181002 */     // GIR_Coverage, 18668,
     /* 2181002 */     GIR_EraseRootFromParent_Done,
     /* 2181003 */   // Label 28691: @2181003
     /* 2181003 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2181094), // Rule ID 18669 //
     /* 2181008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181054 */     // MIs[0] round
     /* 2181054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181057 */     // MIs[0] policy
     /* 2181057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181067 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2181070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181093 */     // GIR_Coverage, 18669,
     /* 2181093 */     GIR_EraseRootFromParent_Done,
     /* 2181094 */   // Label 28692: @2181094
     /* 2181094 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2181185), // Rule ID 18672 //
     /* 2181099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181145 */     // MIs[0] round
     /* 2181145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181148 */     // MIs[0] policy
     /* 2181148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181158 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2181161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181184 */     // GIR_Coverage, 18672,
     /* 2181184 */     GIR_EraseRootFromParent_Done,
     /* 2181185 */   // Label 28693: @2181185
     /* 2181185 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2181276), // Rule ID 18673 //
     /* 2181190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181236 */     // MIs[0] round
     /* 2181236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181239 */     // MIs[0] policy
     /* 2181239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181249 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2181252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181275 */     // GIR_Coverage, 18673,
     /* 2181275 */     GIR_EraseRootFromParent_Done,
     /* 2181276 */   // Label 28694: @2181276
     /* 2181276 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2181367), // Rule ID 18676 //
     /* 2181281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181327 */     // MIs[0] round
     /* 2181327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181330 */     // MIs[0] policy
     /* 2181330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181366 */     // GIR_Coverage, 18676,
     /* 2181366 */     GIR_EraseRootFromParent_Done,
     /* 2181367 */   // Label 28695: @2181367
     /* 2181367 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2181458), // Rule ID 18677 //
     /* 2181372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181418 */     // MIs[0] round
     /* 2181418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181421 */     // MIs[0] policy
     /* 2181421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181431 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181457 */     // GIR_Coverage, 18677,
     /* 2181457 */     GIR_EraseRootFromParent_Done,
     /* 2181458 */   // Label 28696: @2181458
     /* 2181458 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2181549), // Rule ID 18680 //
     /* 2181463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181509 */     // MIs[0] round
     /* 2181509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181512 */     // MIs[0] policy
     /* 2181512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181522 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181548 */     // GIR_Coverage, 18680,
     /* 2181548 */     GIR_EraseRootFromParent_Done,
     /* 2181549 */   // Label 28697: @2181549
     /* 2181549 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2181640), // Rule ID 18681 //
     /* 2181554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181600 */     // MIs[0] round
     /* 2181600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181603 */     // MIs[0] policy
     /* 2181603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181613 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181639 */     // GIR_Coverage, 18681,
     /* 2181639 */     GIR_EraseRootFromParent_Done,
     /* 2181640 */   // Label 28698: @2181640
     /* 2181640 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2181731), // Rule ID 18684 //
     /* 2181645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181691 */     // MIs[0] round
     /* 2181691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181694 */     // MIs[0] policy
     /* 2181694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181704 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181730 */     // GIR_Coverage, 18684,
     /* 2181730 */     GIR_EraseRootFromParent_Done,
     /* 2181731 */   // Label 28699: @2181731
     /* 2181731 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2181822), // Rule ID 18685 //
     /* 2181736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181782 */     // MIs[0] round
     /* 2181782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181785 */     // MIs[0] policy
     /* 2181785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181795 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181821 */     // GIR_Coverage, 18685,
     /* 2181821 */     GIR_EraseRootFromParent_Done,
     /* 2181822 */   // Label 28700: @2181822
     /* 2181822 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2181913), // Rule ID 18688 //
     /* 2181827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181873 */     // MIs[0] round
     /* 2181873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181876 */     // MIs[0] policy
     /* 2181876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181886 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181912 */     // GIR_Coverage, 18688,
     /* 2181912 */     GIR_EraseRootFromParent_Done,
     /* 2181913 */   // Label 28701: @2181913
     /* 2181913 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2182004), // Rule ID 18689 //
     /* 2181918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181964 */     // MIs[0] round
     /* 2181964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181967 */     // MIs[0] policy
     /* 2181967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182003 */     // GIR_Coverage, 18689,
     /* 2182003 */     GIR_EraseRootFromParent_Done,
     /* 2182004 */   // Label 28702: @2182004
     /* 2182004 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2182095), // Rule ID 18692 //
     /* 2182009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182055 */     // MIs[0] round
     /* 2182055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182058 */     // MIs[0] policy
     /* 2182058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182068 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2182071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182094 */     // GIR_Coverage, 18692,
     /* 2182094 */     GIR_EraseRootFromParent_Done,
     /* 2182095 */   // Label 28703: @2182095
     /* 2182095 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2182186), // Rule ID 18693 //
     /* 2182100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182146 */     // MIs[0] round
     /* 2182146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182149 */     // MIs[0] policy
     /* 2182149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182159 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2182162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182185 */     // GIR_Coverage, 18693,
     /* 2182185 */     GIR_EraseRootFromParent_Done,
     /* 2182186 */   // Label 28704: @2182186
     /* 2182186 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2182277), // Rule ID 18696 //
     /* 2182191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182237 */     // MIs[0] round
     /* 2182237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182240 */     // MIs[0] policy
     /* 2182240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2182253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182276 */     // GIR_Coverage, 18696,
     /* 2182276 */     GIR_EraseRootFromParent_Done,
     /* 2182277 */   // Label 28705: @2182277
     /* 2182277 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2182368), // Rule ID 18697 //
     /* 2182282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182328 */     // MIs[0] round
     /* 2182328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182331 */     // MIs[0] policy
     /* 2182331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182341 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2182344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182367 */     // GIR_Coverage, 18697,
     /* 2182367 */     GIR_EraseRootFromParent_Done,
     /* 2182368 */   // Label 28706: @2182368
     /* 2182368 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2182459), // Rule ID 18700 //
     /* 2182373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182419 */     // MIs[0] round
     /* 2182419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182422 */     // MIs[0] policy
     /* 2182422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182432 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182458 */     // GIR_Coverage, 18700,
     /* 2182458 */     GIR_EraseRootFromParent_Done,
     /* 2182459 */   // Label 28707: @2182459
     /* 2182459 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2182550), // Rule ID 18701 //
     /* 2182464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182510 */     // MIs[0] round
     /* 2182510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182513 */     // MIs[0] policy
     /* 2182513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182523 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182549 */     // GIR_Coverage, 18701,
     /* 2182549 */     GIR_EraseRootFromParent_Done,
     /* 2182550 */   // Label 28708: @2182550
     /* 2182550 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2182641), // Rule ID 18704 //
     /* 2182555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182601 */     // MIs[0] round
     /* 2182601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182604 */     // MIs[0] policy
     /* 2182604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182640 */     // GIR_Coverage, 18704,
     /* 2182640 */     GIR_EraseRootFromParent_Done,
     /* 2182641 */   // Label 28709: @2182641
     /* 2182641 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2182732), // Rule ID 18705 //
     /* 2182646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182692 */     // MIs[0] round
     /* 2182692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182695 */     // MIs[0] policy
     /* 2182695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182731 */     // GIR_Coverage, 18705,
     /* 2182731 */     GIR_EraseRootFromParent_Done,
     /* 2182732 */   // Label 28710: @2182732
     /* 2182732 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2182823), // Rule ID 18708 //
     /* 2182737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182783 */     // MIs[0] round
     /* 2182783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182786 */     // MIs[0] policy
     /* 2182786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182822 */     // GIR_Coverage, 18708,
     /* 2182822 */     GIR_EraseRootFromParent_Done,
     /* 2182823 */   // Label 28711: @2182823
     /* 2182823 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2182914), // Rule ID 18709 //
     /* 2182828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182874 */     // MIs[0] round
     /* 2182874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182877 */     // MIs[0] policy
     /* 2182877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182913 */     // GIR_Coverage, 18709,
     /* 2182913 */     GIR_EraseRootFromParent_Done,
     /* 2182914 */   // Label 28712: @2182914
     /* 2182914 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2183005), // Rule ID 18712 //
     /* 2182919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182965 */     // MIs[0] round
     /* 2182965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182968 */     // MIs[0] policy
     /* 2182968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183004 */     // GIR_Coverage, 18712,
     /* 2183004 */     GIR_EraseRootFromParent_Done,
     /* 2183005 */   // Label 28713: @2183005
     /* 2183005 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2183096), // Rule ID 18713 //
     /* 2183010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183056 */     // MIs[0] round
     /* 2183056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183059 */     // MIs[0] policy
     /* 2183059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183069 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2183072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183095 */     // GIR_Coverage, 18713,
     /* 2183095 */     GIR_EraseRootFromParent_Done,
     /* 2183096 */   // Label 28714: @2183096
     /* 2183096 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2183187), // Rule ID 18716 //
     /* 2183101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183147 */     // MIs[0] round
     /* 2183147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183150 */     // MIs[0] policy
     /* 2183150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2183163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183186 */     // GIR_Coverage, 18716,
     /* 2183186 */     GIR_EraseRootFromParent_Done,
     /* 2183187 */   // Label 28715: @2183187
     /* 2183187 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2183278), // Rule ID 18717 //
     /* 2183192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183238 */     // MIs[0] round
     /* 2183238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183241 */     // MIs[0] policy
     /* 2183241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183251 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2183254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183277 */     // GIR_Coverage, 18717,
     /* 2183277 */     GIR_EraseRootFromParent_Done,
     /* 2183278 */   // Label 28716: @2183278
     /* 2183278 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2183369), // Rule ID 18720 //
     /* 2183283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183329 */     // MIs[0] round
     /* 2183329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183332 */     // MIs[0] policy
     /* 2183332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183342 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183368 */     // GIR_Coverage, 18720,
     /* 2183368 */     GIR_EraseRootFromParent_Done,
     /* 2183369 */   // Label 28717: @2183369
     /* 2183369 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2183460), // Rule ID 18721 //
     /* 2183374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183420 */     // MIs[0] round
     /* 2183420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183423 */     // MIs[0] policy
     /* 2183423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183459 */     // GIR_Coverage, 18721,
     /* 2183459 */     GIR_EraseRootFromParent_Done,
     /* 2183460 */   // Label 28718: @2183460
     /* 2183460 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2183551), // Rule ID 18724 //
     /* 2183465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183511 */     // MIs[0] round
     /* 2183511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183514 */     // MIs[0] policy
     /* 2183514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183524 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183550 */     // GIR_Coverage, 18724,
     /* 2183550 */     GIR_EraseRootFromParent_Done,
     /* 2183551 */   // Label 28719: @2183551
     /* 2183551 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2183642), // Rule ID 18725 //
     /* 2183556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183602 */     // MIs[0] round
     /* 2183602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183605 */     // MIs[0] policy
     /* 2183605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183615 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183641 */     // GIR_Coverage, 18725,
     /* 2183641 */     GIR_EraseRootFromParent_Done,
     /* 2183642 */   // Label 28720: @2183642
     /* 2183642 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2183733), // Rule ID 18728 //
     /* 2183647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183693 */     // MIs[0] round
     /* 2183693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183696 */     // MIs[0] policy
     /* 2183696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183706 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183732 */     // GIR_Coverage, 18728,
     /* 2183732 */     GIR_EraseRootFromParent_Done,
     /* 2183733 */   // Label 28721: @2183733
     /* 2183733 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2183824), // Rule ID 18729 //
     /* 2183738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183784 */     // MIs[0] round
     /* 2183784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183787 */     // MIs[0] policy
     /* 2183787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183797 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183823 */     // GIR_Coverage, 18729,
     /* 2183823 */     GIR_EraseRootFromParent_Done,
     /* 2183824 */   // Label 28722: @2183824
     /* 2183824 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2183915), // Rule ID 18732 //
     /* 2183829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183875 */     // MIs[0] round
     /* 2183875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183878 */     // MIs[0] policy
     /* 2183878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183888 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183914 */     // GIR_Coverage, 18732,
     /* 2183914 */     GIR_EraseRootFromParent_Done,
     /* 2183915 */   // Label 28723: @2183915
     /* 2183915 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2184006), // Rule ID 18733 //
     /* 2183920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183966 */     // MIs[0] round
     /* 2183966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183969 */     // MIs[0] policy
     /* 2183969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183979 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184005 */     // GIR_Coverage, 18733,
     /* 2184005 */     GIR_EraseRootFromParent_Done,
     /* 2184006 */   // Label 28724: @2184006
     /* 2184006 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2184097), // Rule ID 18736 //
     /* 2184011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2184019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184057 */     // MIs[0] round
     /* 2184057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184060 */     // MIs[0] policy
     /* 2184060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184070 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2184073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184096 */     // GIR_Coverage, 18736,
     /* 2184096 */     GIR_EraseRootFromParent_Done,
     /* 2184097 */   // Label 28725: @2184097
     /* 2184097 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2184188), // Rule ID 18737 //
     /* 2184102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2184110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184148 */     // MIs[0] round
     /* 2184148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184151 */     // MIs[0] policy
     /* 2184151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184161 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2184164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184187 */     // GIR_Coverage, 18737,
     /* 2184187 */     GIR_EraseRootFromParent_Done,
     /* 2184188 */   // Label 28726: @2184188
     /* 2184188 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2184279), // Rule ID 18740 //
     /* 2184193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184239 */     // MIs[0] round
     /* 2184239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184242 */     // MIs[0] policy
     /* 2184242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2184255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184278 */     // GIR_Coverage, 18740,
     /* 2184278 */     GIR_EraseRootFromParent_Done,
     /* 2184279 */   // Label 28727: @2184279
     /* 2184279 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2184370), // Rule ID 18741 //
     /* 2184284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184330 */     // MIs[0] round
     /* 2184330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184333 */     // MIs[0] policy
     /* 2184333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184343 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2184346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184369 */     // GIR_Coverage, 18741,
     /* 2184369 */     GIR_EraseRootFromParent_Done,
     /* 2184370 */   // Label 28728: @2184370
     /* 2184370 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2184461), // Rule ID 18744 //
     /* 2184375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184421 */     // MIs[0] round
     /* 2184421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184424 */     // MIs[0] policy
     /* 2184424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184434 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184460 */     // GIR_Coverage, 18744,
     /* 2184460 */     GIR_EraseRootFromParent_Done,
     /* 2184461 */   // Label 28729: @2184461
     /* 2184461 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2184552), // Rule ID 18745 //
     /* 2184466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184512 */     // MIs[0] round
     /* 2184512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184515 */     // MIs[0] policy
     /* 2184515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184525 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184551 */     // GIR_Coverage, 18745,
     /* 2184551 */     GIR_EraseRootFromParent_Done,
     /* 2184552 */   // Label 28730: @2184552
     /* 2184552 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2184643), // Rule ID 18748 //
     /* 2184557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184603 */     // MIs[0] round
     /* 2184603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184606 */     // MIs[0] policy
     /* 2184606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184642 */     // GIR_Coverage, 18748,
     /* 2184642 */     GIR_EraseRootFromParent_Done,
     /* 2184643 */   // Label 28731: @2184643
     /* 2184643 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2184734), // Rule ID 18749 //
     /* 2184648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184694 */     // MIs[0] round
     /* 2184694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184697 */     // MIs[0] policy
     /* 2184697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184707 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184733 */     // GIR_Coverage, 18749,
     /* 2184733 */     GIR_EraseRootFromParent_Done,
     /* 2184734 */   // Label 28732: @2184734
     /* 2184734 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2184825), // Rule ID 18752 //
     /* 2184739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184785 */     // MIs[0] round
     /* 2184785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184788 */     // MIs[0] policy
     /* 2184788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184798 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184824 */     // GIR_Coverage, 18752,
     /* 2184824 */     GIR_EraseRootFromParent_Done,
     /* 2184825 */   // Label 28733: @2184825
     /* 2184825 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2184916), // Rule ID 18753 //
     /* 2184830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184876 */     // MIs[0] round
     /* 2184876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184879 */     // MIs[0] policy
     /* 2184879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184889 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184915 */     // GIR_Coverage, 18753,
     /* 2184915 */     GIR_EraseRootFromParent_Done,
     /* 2184916 */   // Label 28734: @2184916
     /* 2184916 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2185007), // Rule ID 18756 //
     /* 2184921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184967 */     // MIs[0] round
     /* 2184967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184970 */     // MIs[0] policy
     /* 2184970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184980 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185006 */     // GIR_Coverage, 18756,
     /* 2185006 */     GIR_EraseRootFromParent_Done,
     /* 2185007 */   // Label 28735: @2185007
     /* 2185007 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2185098), // Rule ID 18757 //
     /* 2185012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2185029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2185032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185058 */     // MIs[0] round
     /* 2185058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185061 */     // MIs[0] policy
     /* 2185061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2185074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185097 */     // GIR_Coverage, 18757,
     /* 2185097 */     GIR_EraseRootFromParent_Done,
     /* 2185098 */   // Label 28736: @2185098
     /* 2185098 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2185189), // Rule ID 18760 //
     /* 2185103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185149 */     // MIs[0] round
     /* 2185149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185152 */     // MIs[0] policy
     /* 2185152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185162 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2185165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185188 */     // GIR_Coverage, 18760,
     /* 2185188 */     GIR_EraseRootFromParent_Done,
     /* 2185189 */   // Label 28737: @2185189
     /* 2185189 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2185280), // Rule ID 18761 //
     /* 2185194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185240 */     // MIs[0] round
     /* 2185240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185243 */     // MIs[0] policy
     /* 2185243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185253 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2185256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185279 */     // GIR_Coverage, 18761,
     /* 2185279 */     GIR_EraseRootFromParent_Done,
     /* 2185280 */   // Label 28738: @2185280
     /* 2185280 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2185371), // Rule ID 18764 //
     /* 2185285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185331 */     // MIs[0] round
     /* 2185331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185334 */     // MIs[0] policy
     /* 2185334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185370 */     // GIR_Coverage, 18764,
     /* 2185370 */     GIR_EraseRootFromParent_Done,
     /* 2185371 */   // Label 28739: @2185371
     /* 2185371 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2185462), // Rule ID 18765 //
     /* 2185376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185422 */     // MIs[0] round
     /* 2185422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185425 */     // MIs[0] policy
     /* 2185425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185435 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185461 */     // GIR_Coverage, 18765,
     /* 2185461 */     GIR_EraseRootFromParent_Done,
     /* 2185462 */   // Label 28740: @2185462
     /* 2185462 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2185553), // Rule ID 18768 //
     /* 2185467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185513 */     // MIs[0] round
     /* 2185513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185516 */     // MIs[0] policy
     /* 2185516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185526 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185552 */     // GIR_Coverage, 18768,
     /* 2185552 */     GIR_EraseRootFromParent_Done,
     /* 2185553 */   // Label 28741: @2185553
     /* 2185553 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2185644), // Rule ID 18769 //
     /* 2185558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185604 */     // MIs[0] round
     /* 2185604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185607 */     // MIs[0] policy
     /* 2185607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185643 */     // GIR_Coverage, 18769,
     /* 2185643 */     GIR_EraseRootFromParent_Done,
     /* 2185644 */   // Label 28742: @2185644
     /* 2185644 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2185735), // Rule ID 18772 //
     /* 2185649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185695 */     // MIs[0] round
     /* 2185695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185698 */     // MIs[0] policy
     /* 2185698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185734 */     // GIR_Coverage, 18772,
     /* 2185734 */     GIR_EraseRootFromParent_Done,
     /* 2185735 */   // Label 28743: @2185735
     /* 2185735 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2185826), // Rule ID 18773 //
     /* 2185740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185786 */     // MIs[0] round
     /* 2185786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185789 */     // MIs[0] policy
     /* 2185789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185799 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185825 */     // GIR_Coverage, 18773,
     /* 2185825 */     GIR_EraseRootFromParent_Done,
     /* 2185826 */   // Label 28744: @2185826
     /* 2185826 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2185917), // Rule ID 18776 //
     /* 2185831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185877 */     // MIs[0] round
     /* 2185877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185880 */     // MIs[0] policy
     /* 2185880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185890 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185916 */     // GIR_Coverage, 18776,
     /* 2185916 */     GIR_EraseRootFromParent_Done,
     /* 2185917 */   // Label 28745: @2185917
     /* 2185917 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2186008), // Rule ID 18777 //
     /* 2185922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185968 */     // MIs[0] round
     /* 2185968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185971 */     // MIs[0] policy
     /* 2185971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185981 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186007 */     // GIR_Coverage, 18777,
     /* 2186007 */     GIR_EraseRootFromParent_Done,
     /* 2186008 */   // Label 28746: @2186008
     /* 2186008 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2186099), // Rule ID 18780 //
     /* 2186013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186059 */     // MIs[0] round
     /* 2186059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186062 */     // MIs[0] policy
     /* 2186062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2186075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186098 */     // GIR_Coverage, 18780,
     /* 2186098 */     GIR_EraseRootFromParent_Done,
     /* 2186099 */   // Label 28747: @2186099
     /* 2186099 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2186190), // Rule ID 18781 //
     /* 2186104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186150 */     // MIs[0] round
     /* 2186150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186153 */     // MIs[0] policy
     /* 2186153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186163 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2186166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186189 */     // GIR_Coverage, 18781,
     /* 2186189 */     GIR_EraseRootFromParent_Done,
     /* 2186190 */   // Label 28748: @2186190
     /* 2186190 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2186281), // Rule ID 18784 //
     /* 2186195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186241 */     // MIs[0] round
     /* 2186241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186244 */     // MIs[0] policy
     /* 2186244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186254 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2186257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186280 */     // GIR_Coverage, 18784,
     /* 2186280 */     GIR_EraseRootFromParent_Done,
     /* 2186281 */   // Label 28749: @2186281
     /* 2186281 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2186372), // Rule ID 18785 //
     /* 2186286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186332 */     // MIs[0] round
     /* 2186332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186335 */     // MIs[0] policy
     /* 2186335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186345 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2186348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186371 */     // GIR_Coverage, 18785,
     /* 2186371 */     GIR_EraseRootFromParent_Done,
     /* 2186372 */   // Label 28750: @2186372
     /* 2186372 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2186463), // Rule ID 18788 //
     /* 2186377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186423 */     // MIs[0] round
     /* 2186423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186426 */     // MIs[0] policy
     /* 2186426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186436 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186462 */     // GIR_Coverage, 18788,
     /* 2186462 */     GIR_EraseRootFromParent_Done,
     /* 2186463 */   // Label 28751: @2186463
     /* 2186463 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2186554), // Rule ID 18789 //
     /* 2186468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186514 */     // MIs[0] round
     /* 2186514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186517 */     // MIs[0] policy
     /* 2186517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186553 */     // GIR_Coverage, 18789,
     /* 2186553 */     GIR_EraseRootFromParent_Done,
     /* 2186554 */   // Label 28752: @2186554
     /* 2186554 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2186645), // Rule ID 18792 //
     /* 2186559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186605 */     // MIs[0] round
     /* 2186605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186608 */     // MIs[0] policy
     /* 2186608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186618 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186644 */     // GIR_Coverage, 18792,
     /* 2186644 */     GIR_EraseRootFromParent_Done,
     /* 2186645 */   // Label 28753: @2186645
     /* 2186645 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2186736), // Rule ID 18793 //
     /* 2186650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186696 */     // MIs[0] round
     /* 2186696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186699 */     // MIs[0] policy
     /* 2186699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186709 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186735 */     // GIR_Coverage, 18793,
     /* 2186735 */     GIR_EraseRootFromParent_Done,
     /* 2186736 */   // Label 28754: @2186736
     /* 2186736 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2186827), // Rule ID 18796 //
     /* 2186741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186787 */     // MIs[0] round
     /* 2186787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186790 */     // MIs[0] policy
     /* 2186790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186826 */     // GIR_Coverage, 18796,
     /* 2186826 */     GIR_EraseRootFromParent_Done,
     /* 2186827 */   // Label 28755: @2186827
     /* 2186827 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2186918), // Rule ID 18797 //
     /* 2186832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186878 */     // MIs[0] round
     /* 2186878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186881 */     // MIs[0] policy
     /* 2186881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186891 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186917 */     // GIR_Coverage, 18797,
     /* 2186917 */     GIR_EraseRootFromParent_Done,
     /* 2186918 */   // Label 28756: @2186918
     /* 2186918 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2187009), // Rule ID 18800 //
     /* 2186923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186969 */     // MIs[0] round
     /* 2186969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186972 */     // MIs[0] policy
     /* 2186972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187008 */     // GIR_Coverage, 18800,
     /* 2187008 */     GIR_EraseRootFromParent_Done,
     /* 2187009 */   // Label 28757: @2187009
     /* 2187009 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2187100), // Rule ID 18801 //
     /* 2187014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187060 */     // MIs[0] round
     /* 2187060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187063 */     // MIs[0] policy
     /* 2187063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2187076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187099 */     // GIR_Coverage, 18801,
     /* 2187099 */     GIR_EraseRootFromParent_Done,
     /* 2187100 */   // Label 28758: @2187100
     /* 2187100 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2187191), // Rule ID 18804 //
     /* 2187105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187151 */     // MIs[0] round
     /* 2187151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187154 */     // MIs[0] policy
     /* 2187154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2187167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187190 */     // GIR_Coverage, 18804,
     /* 2187190 */     GIR_EraseRootFromParent_Done,
     /* 2187191 */   // Label 28759: @2187191
     /* 2187191 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2187282), // Rule ID 18805 //
     /* 2187196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187242 */     // MIs[0] round
     /* 2187242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187245 */     // MIs[0] policy
     /* 2187245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2187258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187281 */     // GIR_Coverage, 18805,
     /* 2187281 */     GIR_EraseRootFromParent_Done,
     /* 2187282 */   // Label 28760: @2187282
     /* 2187282 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2187373), // Rule ID 18808 //
     /* 2187287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187333 */     // MIs[0] round
     /* 2187333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187336 */     // MIs[0] policy
     /* 2187336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187372 */     // GIR_Coverage, 18808,
     /* 2187372 */     GIR_EraseRootFromParent_Done,
     /* 2187373 */   // Label 28761: @2187373
     /* 2187373 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2187464), // Rule ID 18809 //
     /* 2187378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2187386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187424 */     // MIs[0] round
     /* 2187424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187427 */     // MIs[0] policy
     /* 2187427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187463 */     // GIR_Coverage, 18809,
     /* 2187463 */     GIR_EraseRootFromParent_Done,
     /* 2187464 */   // Label 28762: @2187464
     /* 2187464 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2187555), // Rule ID 18812 //
     /* 2187469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187515 */     // MIs[0] round
     /* 2187515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187518 */     // MIs[0] policy
     /* 2187518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187528 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187554 */     // GIR_Coverage, 18812,
     /* 2187554 */     GIR_EraseRootFromParent_Done,
     /* 2187555 */   // Label 28763: @2187555
     /* 2187555 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2187646), // Rule ID 18813 //
     /* 2187560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187606 */     // MIs[0] round
     /* 2187606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187609 */     // MIs[0] policy
     /* 2187609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187619 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187645 */     // GIR_Coverage, 18813,
     /* 2187645 */     GIR_EraseRootFromParent_Done,
     /* 2187646 */   // Label 28764: @2187646
     /* 2187646 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2187737), // Rule ID 18816 //
     /* 2187651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187697 */     // MIs[0] round
     /* 2187697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187700 */     // MIs[0] policy
     /* 2187700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187710 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187736 */     // GIR_Coverage, 18816,
     /* 2187736 */     GIR_EraseRootFromParent_Done,
     /* 2187737 */   // Label 28765: @2187737
     /* 2187737 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2187828), // Rule ID 18817 //
     /* 2187742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187788 */     // MIs[0] round
     /* 2187788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187791 */     // MIs[0] policy
     /* 2187791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187801 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187827 */     // GIR_Coverage, 18817,
     /* 2187827 */     GIR_EraseRootFromParent_Done,
     /* 2187828 */   // Label 28766: @2187828
     /* 2187828 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2187919), // Rule ID 18820 //
     /* 2187833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187879 */     // MIs[0] round
     /* 2187879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187882 */     // MIs[0] policy
     /* 2187882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187918 */     // GIR_Coverage, 18820,
     /* 2187918 */     GIR_EraseRootFromParent_Done,
     /* 2187919 */   // Label 28767: @2187919
     /* 2187919 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2188010), // Rule ID 18821 //
     /* 2187924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187970 */     // MIs[0] round
     /* 2187970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187973 */     // MIs[0] policy
     /* 2187973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187983 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188009 */     // GIR_Coverage, 18821,
     /* 2188009 */     GIR_EraseRootFromParent_Done,
     /* 2188010 */   // Label 28768: @2188010
     /* 2188010 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2188101), // Rule ID 18824 //
     /* 2188015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188061 */     // MIs[0] round
     /* 2188061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188064 */     // MIs[0] policy
     /* 2188064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188074 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2188077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188100 */     // GIR_Coverage, 18824,
     /* 2188100 */     GIR_EraseRootFromParent_Done,
     /* 2188101 */   // Label 28769: @2188101
     /* 2188101 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2188192), // Rule ID 18825 //
     /* 2188106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188152 */     // MIs[0] round
     /* 2188152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188155 */     // MIs[0] policy
     /* 2188155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2188168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188191 */     // GIR_Coverage, 18825,
     /* 2188191 */     GIR_EraseRootFromParent_Done,
     /* 2188192 */   // Label 28770: @2188192
     /* 2188192 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2188283), // Rule ID 18828 //
     /* 2188197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2188214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188243 */     // MIs[0] round
     /* 2188243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188246 */     // MIs[0] policy
     /* 2188246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188256 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2188259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188282 */     // GIR_Coverage, 18828,
     /* 2188282 */     GIR_EraseRootFromParent_Done,
     /* 2188283 */   // Label 28771: @2188283
     /* 2188283 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2188374), // Rule ID 18829 //
     /* 2188288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2188305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188334 */     // MIs[0] round
     /* 2188334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188337 */     // MIs[0] policy
     /* 2188337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2188350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188373 */     // GIR_Coverage, 18829,
     /* 2188373 */     GIR_EraseRootFromParent_Done,
     /* 2188374 */   // Label 28772: @2188374
     /* 2188374 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2188465), // Rule ID 18832 //
     /* 2188379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188425 */     // MIs[0] round
     /* 2188425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188428 */     // MIs[0] policy
     /* 2188428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188438 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188464 */     // GIR_Coverage, 18832,
     /* 2188464 */     GIR_EraseRootFromParent_Done,
     /* 2188465 */   // Label 28773: @2188465
     /* 2188465 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2188556), // Rule ID 18833 //
     /* 2188470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188516 */     // MIs[0] round
     /* 2188516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188519 */     // MIs[0] policy
     /* 2188519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188555 */     // GIR_Coverage, 18833,
     /* 2188555 */     GIR_EraseRootFromParent_Done,
     /* 2188556 */   // Label 28774: @2188556
     /* 2188556 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2188647), // Rule ID 18836 //
     /* 2188561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188607 */     // MIs[0] round
     /* 2188607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188610 */     // MIs[0] policy
     /* 2188610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188646 */     // GIR_Coverage, 18836,
     /* 2188646 */     GIR_EraseRootFromParent_Done,
     /* 2188647 */   // Label 28775: @2188647
     /* 2188647 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2188738), // Rule ID 18837 //
     /* 2188652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188698 */     // MIs[0] round
     /* 2188698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188701 */     // MIs[0] policy
     /* 2188701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188711 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188737 */     // GIR_Coverage, 18837,
     /* 2188737 */     GIR_EraseRootFromParent_Done,
     /* 2188738 */   // Label 28776: @2188738
     /* 2188738 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2188829), // Rule ID 18840 //
     /* 2188743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188789 */     // MIs[0] round
     /* 2188789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188792 */     // MIs[0] policy
     /* 2188792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188802 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188828 */     // GIR_Coverage, 18840,
     /* 2188828 */     GIR_EraseRootFromParent_Done,
     /* 2188829 */   // Label 28777: @2188829
     /* 2188829 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2188920), // Rule ID 18841 //
     /* 2188834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188880 */     // MIs[0] round
     /* 2188880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188883 */     // MIs[0] policy
     /* 2188883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188893 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188919 */     // GIR_Coverage, 18841,
     /* 2188919 */     GIR_EraseRootFromParent_Done,
     /* 2188920 */   // Label 28778: @2188920
     /* 2188920 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2189011), // Rule ID 18844 //
     /* 2188925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188971 */     // MIs[0] round
     /* 2188971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188974 */     // MIs[0] policy
     /* 2188974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189010 */     // GIR_Coverage, 18844,
     /* 2189010 */     GIR_EraseRootFromParent_Done,
     /* 2189011 */   // Label 28779: @2189011
     /* 2189011 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2189102), // Rule ID 18845 //
     /* 2189016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2189027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2189030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189062 */     // MIs[0] round
     /* 2189062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189065 */     // MIs[0] policy
     /* 2189065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189075 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2189078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189101 */     // GIR_Coverage, 18845,
     /* 2189101 */     GIR_EraseRootFromParent_Done,
     /* 2189102 */   // Label 28780: @2189102
     /* 2189102 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2189193), // Rule ID 18848 //
     /* 2189107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189153 */     // MIs[0] round
     /* 2189153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189156 */     // MIs[0] policy
     /* 2189156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189166 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2189169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189192 */     // GIR_Coverage, 18848,
     /* 2189192 */     GIR_EraseRootFromParent_Done,
     /* 2189193 */   // Label 28781: @2189193
     /* 2189193 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2189284), // Rule ID 18849 //
     /* 2189198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189244 */     // MIs[0] round
     /* 2189244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189247 */     // MIs[0] policy
     /* 2189247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2189260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189283 */     // GIR_Coverage, 18849,
     /* 2189283 */     GIR_EraseRootFromParent_Done,
     /* 2189284 */   // Label 28782: @2189284
     /* 2189284 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2189375), // Rule ID 18852 //
     /* 2189289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189335 */     // MIs[0] round
     /* 2189335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189338 */     // MIs[0] policy
     /* 2189338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189374 */     // GIR_Coverage, 18852,
     /* 2189374 */     GIR_EraseRootFromParent_Done,
     /* 2189375 */   // Label 28783: @2189375
     /* 2189375 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2189466), // Rule ID 18853 //
     /* 2189380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189426 */     // MIs[0] round
     /* 2189426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189429 */     // MIs[0] policy
     /* 2189429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189465 */     // GIR_Coverage, 18853,
     /* 2189465 */     GIR_EraseRootFromParent_Done,
     /* 2189466 */   // Label 28784: @2189466
     /* 2189466 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2189557), // Rule ID 18856 //
     /* 2189471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189517 */     // MIs[0] round
     /* 2189517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189520 */     // MIs[0] policy
     /* 2189520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189556 */     // GIR_Coverage, 18856,
     /* 2189556 */     GIR_EraseRootFromParent_Done,
     /* 2189557 */   // Label 28785: @2189557
     /* 2189557 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2189648), // Rule ID 18857 //
     /* 2189562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189608 */     // MIs[0] round
     /* 2189608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189611 */     // MIs[0] policy
     /* 2189611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189621 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189647 */     // GIR_Coverage, 18857,
     /* 2189647 */     GIR_EraseRootFromParent_Done,
     /* 2189648 */   // Label 28786: @2189648
     /* 2189648 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2189739), // Rule ID 18860 //
     /* 2189653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189699 */     // MIs[0] round
     /* 2189699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189702 */     // MIs[0] policy
     /* 2189702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189712 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189738 */     // GIR_Coverage, 18860,
     /* 2189738 */     GIR_EraseRootFromParent_Done,
     /* 2189739 */   // Label 28787: @2189739
     /* 2189739 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2189830), // Rule ID 18861 //
     /* 2189744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189790 */     // MIs[0] round
     /* 2189790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189793 */     // MIs[0] policy
     /* 2189793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189803 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189829 */     // GIR_Coverage, 18861,
     /* 2189829 */     GIR_EraseRootFromParent_Done,
     /* 2189830 */   // Label 28788: @2189830
     /* 2189830 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2189921), // Rule ID 18864 //
     /* 2189835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189881 */     // MIs[0] round
     /* 2189881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189884 */     // MIs[0] policy
     /* 2189884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189894 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189920 */     // GIR_Coverage, 18864,
     /* 2189920 */     GIR_EraseRootFromParent_Done,
     /* 2189921 */   // Label 28789: @2189921
     /* 2189921 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2190012), // Rule ID 18865 //
     /* 2189926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189972 */     // MIs[0] round
     /* 2189972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189975 */     // MIs[0] policy
     /* 2189975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189985 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190011 */     // GIR_Coverage, 18865,
     /* 2190011 */     GIR_EraseRootFromParent_Done,
     /* 2190012 */   // Label 28790: @2190012
     /* 2190012 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2190103), // Rule ID 18868 //
     /* 2190017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190063 */     // MIs[0] round
     /* 2190063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190066 */     // MIs[0] policy
     /* 2190066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2190079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190102 */     // GIR_Coverage, 18868,
     /* 2190102 */     GIR_EraseRootFromParent_Done,
     /* 2190103 */   // Label 28791: @2190103
     /* 2190103 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2190194), // Rule ID 18869 //
     /* 2190108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190154 */     // MIs[0] round
     /* 2190154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190157 */     // MIs[0] policy
     /* 2190157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190167 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2190170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190193 */     // GIR_Coverage, 18869,
     /* 2190193 */     GIR_EraseRootFromParent_Done,
     /* 2190194 */   // Label 28792: @2190194
     /* 2190194 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2190285), // Rule ID 18872 //
     /* 2190199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190245 */     // MIs[0] round
     /* 2190245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190248 */     // MIs[0] policy
     /* 2190248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2190261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190284 */     // GIR_Coverage, 18872,
     /* 2190284 */     GIR_EraseRootFromParent_Done,
     /* 2190285 */   // Label 28793: @2190285
     /* 2190285 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2190376), // Rule ID 18873 //
     /* 2190290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190336 */     // MIs[0] round
     /* 2190336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190339 */     // MIs[0] policy
     /* 2190339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190349 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2190352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190375 */     // GIR_Coverage, 18873,
     /* 2190375 */     GIR_EraseRootFromParent_Done,
     /* 2190376 */   // Label 28794: @2190376
     /* 2190376 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2190467), // Rule ID 18876 //
     /* 2190381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190427 */     // MIs[0] round
     /* 2190427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190430 */     // MIs[0] policy
     /* 2190430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190466 */     // GIR_Coverage, 18876,
     /* 2190466 */     GIR_EraseRootFromParent_Done,
     /* 2190467 */   // Label 28795: @2190467
     /* 2190467 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2190558), // Rule ID 18877 //
     /* 2190472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190518 */     // MIs[0] round
     /* 2190518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190521 */     // MIs[0] policy
     /* 2190521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190531 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190557 */     // GIR_Coverage, 18877,
     /* 2190557 */     GIR_EraseRootFromParent_Done,
     /* 2190558 */   // Label 28796: @2190558
     /* 2190558 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2190649), // Rule ID 18880 //
     /* 2190563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190609 */     // MIs[0] round
     /* 2190609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190612 */     // MIs[0] policy
     /* 2190612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190622 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190648 */     // GIR_Coverage, 18880,
     /* 2190648 */     GIR_EraseRootFromParent_Done,
     /* 2190649 */   // Label 28797: @2190649
     /* 2190649 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2190740), // Rule ID 18881 //
     /* 2190654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190700 */     // MIs[0] round
     /* 2190700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190703 */     // MIs[0] policy
     /* 2190703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190713 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190739 */     // GIR_Coverage, 18881,
     /* 2190739 */     GIR_EraseRootFromParent_Done,
     /* 2190740 */   // Label 28798: @2190740
     /* 2190740 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2190831), // Rule ID 64270 //
     /* 2190745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190791 */     // MIs[0] round
     /* 2190791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190794 */     // MIs[0] policy
     /* 2190794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190830 */     // GIR_Coverage, 64270,
     /* 2190830 */     GIR_EraseRootFromParent_Done,
     /* 2190831 */   // Label 28799: @2190831
     /* 2190831 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2190922), // Rule ID 64271 //
     /* 2190836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190882 */     // MIs[0] round
     /* 2190882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190885 */     // MIs[0] policy
     /* 2190885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190921 */     // GIR_Coverage, 64271,
     /* 2190921 */     GIR_EraseRootFromParent_Done,
     /* 2190922 */   // Label 28800: @2190922
     /* 2190922 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2191013), // Rule ID 64274 //
     /* 2190927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190973 */     // MIs[0] round
     /* 2190973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190976 */     // MIs[0] policy
     /* 2190976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191012 */     // GIR_Coverage, 64274,
     /* 2191012 */     GIR_EraseRootFromParent_Done,
     /* 2191013 */   // Label 28801: @2191013
     /* 2191013 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2191104), // Rule ID 64275 //
     /* 2191018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191064 */     // MIs[0] round
     /* 2191064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191067 */     // MIs[0] policy
     /* 2191067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191077 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2191080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191103 */     // GIR_Coverage, 64275,
     /* 2191103 */     GIR_EraseRootFromParent_Done,
     /* 2191104 */   // Label 28802: @2191104
     /* 2191104 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2191195), // Rule ID 64278 //
     /* 2191109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191155 */     // MIs[0] round
     /* 2191155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191158 */     // MIs[0] policy
     /* 2191158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2191171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191194 */     // GIR_Coverage, 64278,
     /* 2191194 */     GIR_EraseRootFromParent_Done,
     /* 2191195 */   // Label 28803: @2191195
     /* 2191195 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2191286), // Rule ID 64279 //
     /* 2191200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191246 */     // MIs[0] round
     /* 2191246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191249 */     // MIs[0] policy
     /* 2191249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2191262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191285 */     // GIR_Coverage, 64279,
     /* 2191285 */     GIR_EraseRootFromParent_Done,
     /* 2191286 */   // Label 28804: @2191286
     /* 2191286 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2191377), // Rule ID 64282 //
     /* 2191291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191337 */     // MIs[0] round
     /* 2191337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191340 */     // MIs[0] policy
     /* 2191340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191350 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191376 */     // GIR_Coverage, 64282,
     /* 2191376 */     GIR_EraseRootFromParent_Done,
     /* 2191377 */   // Label 28805: @2191377
     /* 2191377 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2191468), // Rule ID 64283 //
     /* 2191382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191428 */     // MIs[0] round
     /* 2191428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191431 */     // MIs[0] policy
     /* 2191431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11026:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191467 */     // GIR_Coverage, 64283,
     /* 2191467 */     GIR_EraseRootFromParent_Done,
     /* 2191468 */   // Label 28806: @2191468
     /* 2191468 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2191559), // Rule ID 64286 //
     /* 2191473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191519 */     // MIs[0] round
     /* 2191519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191522 */     // MIs[0] policy
     /* 2191522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191558 */     // GIR_Coverage, 64286,
     /* 2191558 */     GIR_EraseRootFromParent_Done,
     /* 2191559 */   // Label 28807: @2191559
     /* 2191559 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2191650), // Rule ID 64287 //
     /* 2191564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191610 */     // MIs[0] round
     /* 2191610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191613 */     // MIs[0] policy
     /* 2191613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191623 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191649 */     // GIR_Coverage, 64287,
     /* 2191649 */     GIR_EraseRootFromParent_Done,
     /* 2191650 */   // Label 28808: @2191650
     /* 2191650 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2191741), // Rule ID 64290 //
     /* 2191655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191701 */     // MIs[0] round
     /* 2191701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191704 */     // MIs[0] policy
     /* 2191704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191740 */     // GIR_Coverage, 64290,
     /* 2191740 */     GIR_EraseRootFromParent_Done,
     /* 2191741 */   // Label 28809: @2191741
     /* 2191741 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2191832), // Rule ID 64291 //
     /* 2191746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191792 */     // MIs[0] round
     /* 2191792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191795 */     // MIs[0] policy
     /* 2191795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191831 */     // GIR_Coverage, 64291,
     /* 2191831 */     GIR_EraseRootFromParent_Done,
     /* 2191832 */   // Label 28810: @2191832
     /* 2191832 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2191923), // Rule ID 64294 //
     /* 2191837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191883 */     // MIs[0] round
     /* 2191883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191886 */     // MIs[0] policy
     /* 2191886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191922 */     // GIR_Coverage, 64294,
     /* 2191922 */     GIR_EraseRootFromParent_Done,
     /* 2191923 */   // Label 28811: @2191923
     /* 2191923 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2192014), // Rule ID 64295 //
     /* 2191928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191974 */     // MIs[0] round
     /* 2191974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191977 */     // MIs[0] policy
     /* 2191977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192013 */     // GIR_Coverage, 64295,
     /* 2192013 */     GIR_EraseRootFromParent_Done,
     /* 2192014 */   // Label 28812: @2192014
     /* 2192014 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2192105), // Rule ID 64298 //
     /* 2192019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2192030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2192033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2192036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192065 */     // MIs[0] round
     /* 2192065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192068 */     // MIs[0] policy
     /* 2192068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192078 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2192081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192104 */     // GIR_Coverage, 64298,
     /* 2192104 */     GIR_EraseRootFromParent_Done,
     /* 2192105 */   // Label 28813: @2192105
     /* 2192105 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2192196), // Rule ID 64299 //
     /* 2192110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2192121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2192124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2192127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192156 */     // MIs[0] round
     /* 2192156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192159 */     // MIs[0] policy
     /* 2192159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192169 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2192172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192195 */     // GIR_Coverage, 64299,
     /* 2192195 */     GIR_EraseRootFromParent_Done,
     /* 2192196 */   // Label 28814: @2192196
     /* 2192196 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2192287), // Rule ID 64302 //
     /* 2192201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2192212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2192215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2192218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192247 */     // MIs[0] round
     /* 2192247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192250 */     // MIs[0] policy
     /* 2192250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2192263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192286 */     // GIR_Coverage, 64302,
     /* 2192286 */     GIR_EraseRootFromParent_Done,
     /* 2192287 */   // Label 28815: @2192287
     /* 2192287 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2192378), // Rule ID 64303 //
     /* 2192292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2192303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2192306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2192309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192338 */     // MIs[0] round
     /* 2192338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192341 */     // MIs[0] policy
     /* 2192341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11024:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2192354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192377 */     // GIR_Coverage, 64303,
     /* 2192377 */     GIR_EraseRootFromParent_Done,
     /* 2192378 */   // Label 28816: @2192378
     /* 2192378 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2192469), // Rule ID 64306 //
     /* 2192383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2192386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192429 */     // MIs[0] round
     /* 2192429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192432 */     // MIs[0] policy
     /* 2192432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192468 */     // GIR_Coverage, 64306,
     /* 2192468 */     GIR_EraseRootFromParent_Done,
     /* 2192469 */   // Label 28817: @2192469
     /* 2192469 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2192560), // Rule ID 64307 //
     /* 2192474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192520 */     // MIs[0] round
     /* 2192520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192523 */     // MIs[0] policy
     /* 2192523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192533 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192559 */     // GIR_Coverage, 64307,
     /* 2192559 */     GIR_EraseRootFromParent_Done,
     /* 2192560 */   // Label 28818: @2192560
     /* 2192560 */   GIM_Reject,
     /* 2192561 */ // Label 26774: @2192561
     /* 2192561 */ GIM_Reject,
     /* 2192562 */ // Label 38: @2192562
     /* 2192562 */ GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2192645), // Rule ID 35 //
     /* 2192567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2192570 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2192573 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2192578 */   // MIs[0] Operand 1
     /* 2192578 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2192582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2192586 */   // MIs[0] ptr
     /* 2192586 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2192594 */   // MIs[0] accessinfo
     /* 2192594 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2192597 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2192597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192601 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2192611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2192614 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2192616 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2192618 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2192621 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2192624 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2192627 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2192630 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2192633 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2192636 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2192639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192644 */   // GIR_Coverage, 35,
     /* 2192644 */   GIR_EraseRootFromParent_Done,
     /* 2192645 */ // Label 28819: @2192645
     /* 2192645 */ GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2193550),
     /* 2192650 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2192653 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2192725), // Rule ID 621 //
     /* 2192658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2192666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192679 */     // MIs[0] addr
     /* 2192679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192695 */     // MIs[0] ordering
     /* 2192695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192698 */     // (intrinsic_w_chain:{ *:[i32] } 10960:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192706 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192711 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192713 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192715 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192717 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192724 */     // GIR_Coverage, 621,
     /* 2192724 */     GIR_EraseRootFromParent_Done,
     /* 2192725 */   // Label 28821: @2192725
     /* 2192725 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2192797), // Rule ID 622 //
     /* 2192730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2192738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192751 */     // MIs[0] addr
     /* 2192751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192767 */     // MIs[0] ordering
     /* 2192767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192770 */     // (intrinsic_w_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192778 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192783 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192785 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192787 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192789 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192796 */     // GIR_Coverage, 622,
     /* 2192796 */     GIR_EraseRootFromParent_Done,
     /* 2192797 */   // Label 28822: @2192797
     /* 2192797 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2192869), // Rule ID 623 //
     /* 2192802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2192810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192823 */     // MIs[0] addr
     /* 2192823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192839 */     // MIs[0] ordering
     /* 2192839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192842 */     // (intrinsic_w_chain:{ *:[i32] } 10954:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192850 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192855 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192857 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192859 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192861 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192868 */     // GIR_Coverage, 623,
     /* 2192868 */     GIR_EraseRootFromParent_Done,
     /* 2192869 */   // Label 28823: @2192869
     /* 2192869 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2192941), // Rule ID 624 //
     /* 2192874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2192882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192895 */     // MIs[0] addr
     /* 2192895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192911 */     // MIs[0] ordering
     /* 2192911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192914 */     // (intrinsic_w_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192922 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192927 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192929 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192931 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192933 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192940 */     // GIR_Coverage, 624,
     /* 2192940 */     GIR_EraseRootFromParent_Done,
     /* 2192941 */   // Label 28824: @2192941
     /* 2192941 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2193021), // Rule ID 627 //
     /* 2192946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2192954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192967 */     // MIs[0] addr
     /* 2192967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192983 */     // MIs[0] ordering
     /* 2192983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192986 */     // (intrinsic_w_chain:{ *:[i32] } 10956:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192986 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2192995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192997 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193002 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193007 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193009 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193011 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193013 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193020 */     // GIR_Coverage, 627,
     /* 2193020 */     GIR_EraseRootFromParent_Done,
     /* 2193021 */   // Label 28825: @2193021
     /* 2193021 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2193101), // Rule ID 628 //
     /* 2193026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2193034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193047 */     // MIs[0] addr
     /* 2193047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193063 */     // MIs[0] ordering
     /* 2193063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193066 */     // (intrinsic_w_chain:{ *:[i32] } 10958:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193066 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193077 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193082 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193087 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193089 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193091 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193093 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193100 */     // GIR_Coverage, 628,
     /* 2193100 */     GIR_EraseRootFromParent_Done,
     /* 2193101 */   // Label 28826: @2193101
     /* 2193101 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2193173), // Rule ID 634 //
     /* 2193106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2193114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193127 */     // MIs[0] addr
     /* 2193127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193143 */     // MIs[0] ordering
     /* 2193143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193146 */     // (intrinsic_w_chain:{ *:[i64] } 10961:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2193152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193154 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193159 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193161 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193163 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193165 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193172 */     // GIR_Coverage, 634,
     /* 2193172 */     GIR_EraseRootFromParent_Done,
     /* 2193173 */   // Label 28827: @2193173
     /* 2193173 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2193245), // Rule ID 635 //
     /* 2193178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2193186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193199 */     // MIs[0] addr
     /* 2193199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193215 */     // MIs[0] ordering
     /* 2193215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193218 */     // (intrinsic_w_chain:{ *:[i64] } 10947:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2193224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193226 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193231 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193233 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193235 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193237 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193244 */     // GIR_Coverage, 635,
     /* 2193244 */     GIR_EraseRootFromParent_Done,
     /* 2193245 */   // Label 28828: @2193245
     /* 2193245 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2193317), // Rule ID 636 //
     /* 2193250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2193258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193271 */     // MIs[0] addr
     /* 2193271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193287 */     // MIs[0] ordering
     /* 2193287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193290 */     // (intrinsic_w_chain:{ *:[i64] } 10955:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2193296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193298 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193303 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193305 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193307 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193309 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193316 */     // GIR_Coverage, 636,
     /* 2193316 */     GIR_EraseRootFromParent_Done,
     /* 2193317 */   // Label 28829: @2193317
     /* 2193317 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2193389), // Rule ID 637 //
     /* 2193322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2193330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193343 */     // MIs[0] addr
     /* 2193343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193359 */     // MIs[0] ordering
     /* 2193359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193362 */     // (intrinsic_w_chain:{ *:[i64] } 10953:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2193368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193370 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193375 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193377 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193379 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193381 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193388 */     // GIR_Coverage, 637,
     /* 2193388 */     GIR_EraseRootFromParent_Done,
     /* 2193389 */   // Label 28830: @2193389
     /* 2193389 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2193469), // Rule ID 640 //
     /* 2193394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2193402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193415 */     // MIs[0] addr
     /* 2193415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193431 */     // MIs[0] ordering
     /* 2193431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193434 */     // (intrinsic_w_chain:{ *:[i64] } 10957:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193434 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2193443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193445 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193450 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193455 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193457 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193459 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193461 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193468 */     // GIR_Coverage, 640,
     /* 2193468 */     GIR_EraseRootFromParent_Done,
     /* 2193469 */   // Label 28831: @2193469
     /* 2193469 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2193549), // Rule ID 641 //
     /* 2193474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2193482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193495 */     // MIs[0] addr
     /* 2193495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193511 */     // MIs[0] ordering
     /* 2193511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193514 */     // (intrinsic_w_chain:{ *:[i64] } 10959:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193514 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193525 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193530 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193535 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193537 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193539 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193541 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193548 */     // GIR_Coverage, 641,
     /* 2193548 */     GIR_EraseRootFromParent_Done,
     /* 2193549 */   // Label 28832: @2193549
     /* 2193549 */   GIM_Reject,
     /* 2193550 */ // Label 28820: @2193550
     /* 2193550 */ GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2194077),
     /* 2193555 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2193558 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2193647), // Rule ID 625 //
     /* 2193563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2193571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193587 */     // MIs[0] addr
     /* 2193587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193607 */     // MIs[0] ordering
     /* 2193607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193610 */     // (intrinsic_w_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193610 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193621 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193626 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193631 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193633 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193635 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193637 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193639 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193646 */     // GIR_Coverage, 625,
     /* 2193646 */     GIR_EraseRootFromParent_Done,
     /* 2193647 */   // Label 28834: @2193647
     /* 2193647 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2193736), // Rule ID 626 //
     /* 2193652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2193660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193676 */     // MIs[0] addr
     /* 2193676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193696 */     // MIs[0] ordering
     /* 2193696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193699 */     // (intrinsic_w_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193699 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193710 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193715 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193720 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193722 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193724 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193726 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193728 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193735 */     // GIR_Coverage, 626,
     /* 2193735 */     GIR_EraseRootFromParent_Done,
     /* 2193736 */   // Label 28835: @2193736
     /* 2193736 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2193825), // Rule ID 638 //
     /* 2193741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2193749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193765 */     // MIs[0] addr
     /* 2193765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193785 */     // MIs[0] ordering
     /* 2193785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193788 */     // (intrinsic_w_chain:{ *:[i64] } 10949:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193788 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193799 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193804 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193809 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193811 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193813 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193815 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193817 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193824 */     // GIR_Coverage, 638,
     /* 2193824 */     GIR_EraseRootFromParent_Done,
     /* 2193825 */   // Label 28836: @2193825
     /* 2193825 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2193914), // Rule ID 639 //
     /* 2193830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2193838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193854 */     // MIs[0] addr
     /* 2193854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193874 */     // MIs[0] ordering
     /* 2193874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193877 */     // (intrinsic_w_chain:{ *:[i64] } 10951:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193877 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193888 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193893 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193898 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193900 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193902 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193904 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193906 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193913 */     // GIR_Coverage, 639,
     /* 2193913 */     GIR_EraseRootFromParent_Done,
     /* 2193914 */   // Label 28837: @2193914
     /* 2193914 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2193995), // Rule ID 657 //
     /* 2193919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2193927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193943 */     // MIs[0] addr
     /* 2193943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193963 */     // MIs[0] ordering
     /* 2193963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193966 */     // (intrinsic_w_chain:{ *:[i32] } 10962:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193974 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193979 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193981 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193983 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193985 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193987 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193994 */     // GIR_Coverage, 657,
     /* 2193994 */     GIR_EraseRootFromParent_Done,
     /* 2193995 */   // Label 28838: @2193995
     /* 2193995 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2194076), // Rule ID 658 //
     /* 2194000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2194003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2194008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2194011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2194014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2194017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2194020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194024 */     // MIs[0] addr
     /* 2194024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2194028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194044 */     // MIs[0] ordering
     /* 2194044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194047 */     // (intrinsic_w_chain:{ *:[i64] } 10963:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2194047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2194050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2194053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2194055 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2194060 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2194062 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2194064 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2194066 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2194068 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2194070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2194074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194075 */     // GIR_Coverage, 658,
     /* 2194075 */     GIR_EraseRootFromParent_Done,
     /* 2194076 */   // Label 28839: @2194076
     /* 2194076 */   GIM_Reject,
     /* 2194077 */ // Label 28833: @2194077
     /* 2194077 */ GIM_Reject,
     /* 2194078 */ // Label 39: @2194078
     /* 2194078 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28855*/ GIMT_Encode4(2197198),
     /* 2194089 */ /*GILLT_nxv1s16*//*Label 28840*/ GIMT_Encode4(2194189),
     /* 2194093 */ /*GILLT_nxv1s32*//*Label 28841*/ GIMT_Encode4(2194293),
     /* 2194097 */ /*GILLT_nxv1s64*//*Label 28842*/ GIMT_Encode4(2194510), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194109 */ /*GILLT_nxv2s16*//*Label 28843*/ GIMT_Encode4(2194835),
     /* 2194113 */ /*GILLT_nxv2s32*//*Label 28844*/ GIMT_Encode4(2194939),
     /* 2194117 */ /*GILLT_nxv2s64*//*Label 28845*/ GIMT_Encode4(2195156), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194129 */ /*GILLT_nxv4s16*//*Label 28846*/ GIMT_Encode4(2195481),
     /* 2194133 */ /*GILLT_nxv4s32*//*Label 28847*/ GIMT_Encode4(2195585),
     /* 2194137 */ /*GILLT_nxv4s64*//*Label 28848*/ GIMT_Encode4(2195802), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194149 */ /*GILLT_nxv8s16*//*Label 28849*/ GIMT_Encode4(2196127),
     /* 2194153 */ /*GILLT_nxv8s32*//*Label 28850*/ GIMT_Encode4(2196231),
     /* 2194157 */ /*GILLT_nxv8s64*//*Label 28851*/ GIMT_Encode4(2196448), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194169 */ /*GILLT_nxv16s16*//*Label 28852*/ GIMT_Encode4(2196773),
     /* 2194173 */ /*GILLT_nxv16s32*//*Label 28853*/ GIMT_Encode4(2196877), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194185 */ /*GILLT_nxv32s16*//*Label 28854*/ GIMT_Encode4(2197094),
     /* 2194189 */ // Label 28840: @2194189
     /* 2194189 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2194292),
     /* 2194194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194205 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194248), // Rule ID 47360 //
     /* 2194210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194213 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2194216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2194230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194247 */     // GIR_Coverage, 47360,
     /* 2194247 */     GIR_EraseRootFromParent_Done,
     /* 2194248 */   // Label 28857: @2194248
     /* 2194248 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194291), // Rule ID 47361 //
     /* 2194253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194256 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2194259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2194273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194290 */     // GIR_Coverage, 47361,
     /* 2194290 */     GIR_EraseRootFromParent_Done,
     /* 2194291 */   // Label 28858: @2194291
     /* 2194291 */   GIM_Reject,
     /* 2194292 */ // Label 28856: @2194292
     /* 2194292 */ GIM_Reject,
     /* 2194293 */ // Label 28841: @2194293
     /* 2194293 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194347), // Rule ID 47384 //
     /* 2194298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194312 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194346 */   // GIR_Coverage, 47384,
     /* 2194346 */   GIR_EraseRootFromParent_Done,
     /* 2194347 */ // Label 28859: @2194347
     /* 2194347 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194401), // Rule ID 47385 //
     /* 2194352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194366 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194400 */   // GIR_Coverage, 47385,
     /* 2194400 */   GIR_EraseRootFromParent_Done,
     /* 2194401 */ // Label 28860: @2194401
     /* 2194401 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194455), // Rule ID 47450 //
     /* 2194406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194420 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194454 */   // GIR_Coverage, 47450,
     /* 2194454 */   GIR_EraseRootFromParent_Done,
     /* 2194455 */ // Label 28861: @2194455
     /* 2194455 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194509), // Rule ID 47451 //
     /* 2194460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194474 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194508 */   // GIR_Coverage, 47451,
     /* 2194508 */   GIR_EraseRootFromParent_Done,
     /* 2194509 */ // Label 28862: @2194509
     /* 2194509 */ GIM_Reject,
     /* 2194510 */ // Label 28842: @2194510
     /* 2194510 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2194564), // Rule ID 47404 //
     /* 2194515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194529 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194563 */   // GIR_Coverage, 47404,
     /* 2194563 */   GIR_EraseRootFromParent_Done,
     /* 2194564 */ // Label 28863: @2194564
     /* 2194564 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2194618), // Rule ID 47405 //
     /* 2194569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194583 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194617 */   // GIR_Coverage, 47405,
     /* 2194617 */   GIR_EraseRootFromParent_Done,
     /* 2194618 */ // Label 28864: @2194618
     /* 2194618 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2194672), // Rule ID 47470 //
     /* 2194623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194637 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194637 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194640 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194644 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194656 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194671 */   // GIR_Coverage, 47470,
     /* 2194671 */   GIR_EraseRootFromParent_Done,
     /* 2194672 */ // Label 28865: @2194672
     /* 2194672 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2194726), // Rule ID 47471 //
     /* 2194677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194691 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194725 */   // GIR_Coverage, 47471,
     /* 2194725 */   GIR_EraseRootFromParent_Done,
     /* 2194726 */ // Label 28866: @2194726
     /* 2194726 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2194780), // Rule ID 47504 //
     /* 2194731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194745 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194779 */   // GIR_Coverage, 47504,
     /* 2194779 */   GIR_EraseRootFromParent_Done,
     /* 2194780 */ // Label 28867: @2194780
     /* 2194780 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2194834), // Rule ID 47505 //
     /* 2194785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194799 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194833 */   // GIR_Coverage, 47505,
     /* 2194833 */   GIR_EraseRootFromParent_Done,
     /* 2194834 */ // Label 28868: @2194834
     /* 2194834 */ GIM_Reject,
     /* 2194835 */ // Label 28843: @2194835
     /* 2194835 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2194938),
     /* 2194840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194851 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194894), // Rule ID 47364 //
     /* 2194856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194859 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194893 */     // GIR_Coverage, 47364,
     /* 2194893 */     GIR_EraseRootFromParent_Done,
     /* 2194894 */   // Label 28870: @2194894
     /* 2194894 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194937), // Rule ID 47365 //
     /* 2194899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194902 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194936 */     // GIR_Coverage, 47365,
     /* 2194936 */     GIR_EraseRootFromParent_Done,
     /* 2194937 */   // Label 28871: @2194937
     /* 2194937 */   GIM_Reject,
     /* 2194938 */ // Label 28869: @2194938
     /* 2194938 */ GIM_Reject,
     /* 2194939 */ // Label 28844: @2194939
     /* 2194939 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2194993), // Rule ID 47388 //
     /* 2194944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194958 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194958 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194961 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194965 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194980 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194992 */   // GIR_Coverage, 47388,
     /* 2194992 */   GIR_EraseRootFromParent_Done,
     /* 2194993 */ // Label 28872: @2194993
     /* 2194993 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2195047), // Rule ID 47389 //
     /* 2194998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195012 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195046 */   // GIR_Coverage, 47389,
     /* 2195046 */   GIR_EraseRootFromParent_Done,
     /* 2195047 */ // Label 28873: @2195047
     /* 2195047 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2195101), // Rule ID 47454 //
     /* 2195052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195066 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2195083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195100 */   // GIR_Coverage, 47454,
     /* 2195100 */   GIR_EraseRootFromParent_Done,
     /* 2195101 */ // Label 28874: @2195101
     /* 2195101 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2195155), // Rule ID 47455 //
     /* 2195106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195120 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2195123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2195137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195154 */   // GIR_Coverage, 47455,
     /* 2195154 */   GIR_EraseRootFromParent_Done,
     /* 2195155 */ // Label 28875: @2195155
     /* 2195155 */ GIM_Reject,
     /* 2195156 */ // Label 28845: @2195156
     /* 2195156 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2195210), // Rule ID 47408 //
     /* 2195161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2195167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195175 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195197 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195209 */   // GIR_Coverage, 47408,
     /* 2195209 */   GIR_EraseRootFromParent_Done,
     /* 2195210 */ // Label 28876: @2195210
     /* 2195210 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2195264), // Rule ID 47409 //
     /* 2195215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2195221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195229 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195229 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195232 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195236 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195251 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195263 */   // GIR_Coverage, 47409,
     /* 2195263 */   GIR_EraseRootFromParent_Done,
     /* 2195264 */ // Label 28877: @2195264
     /* 2195264 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2195318), // Rule ID 47474 //
     /* 2195269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195283 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195283 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195286 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195290 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195302 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195305 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195317 */   // GIR_Coverage, 47474,
     /* 2195317 */   GIR_EraseRootFromParent_Done,
     /* 2195318 */ // Label 28878: @2195318
     /* 2195318 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2195372), // Rule ID 47475 //
     /* 2195323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2195329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195337 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195371 */   // GIR_Coverage, 47475,
     /* 2195371 */   GIR_EraseRootFromParent_Done,
     /* 2195372 */ // Label 28879: @2195372
     /* 2195372 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2195426), // Rule ID 47508 //
     /* 2195377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195391 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195425 */   // GIR_Coverage, 47508,
     /* 2195425 */   GIR_EraseRootFromParent_Done,
     /* 2195426 */ // Label 28880: @2195426
     /* 2195426 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195480), // Rule ID 47509 //
     /* 2195431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195445 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195479 */   // GIR_Coverage, 47509,
     /* 2195479 */   GIR_EraseRootFromParent_Done,
     /* 2195480 */ // Label 28881: @2195480
     /* 2195480 */ GIM_Reject,
     /* 2195481 */ // Label 28846: @2195481
     /* 2195481 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195584),
     /* 2195486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195497 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195540), // Rule ID 47368 //
     /* 2195502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195505 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195539 */     // GIR_Coverage, 47368,
     /* 2195539 */     GIR_EraseRootFromParent_Done,
     /* 2195540 */   // Label 28883: @2195540
     /* 2195540 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195583), // Rule ID 47369 //
     /* 2195545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195548 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195582 */     // GIR_Coverage, 47369,
     /* 2195582 */     GIR_EraseRootFromParent_Done,
     /* 2195583 */   // Label 28884: @2195583
     /* 2195583 */   GIM_Reject,
     /* 2195584 */ // Label 28882: @2195584
     /* 2195584 */ GIM_Reject,
     /* 2195585 */ // Label 28847: @2195585
     /* 2195585 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195639), // Rule ID 47392 //
     /* 2195590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195604 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195616 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195623 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195626 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195638 */   // GIR_Coverage, 47392,
     /* 2195638 */   GIR_EraseRootFromParent_Done,
     /* 2195639 */ // Label 28885: @2195639
     /* 2195639 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195693), // Rule ID 47393 //
     /* 2195644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195658 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195692 */   // GIR_Coverage, 47393,
     /* 2195692 */   GIR_EraseRootFromParent_Done,
     /* 2195693 */ // Label 28886: @2195693
     /* 2195693 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195747), // Rule ID 47458 //
     /* 2195698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195712 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195746 */   // GIR_Coverage, 47458,
     /* 2195746 */   GIR_EraseRootFromParent_Done,
     /* 2195747 */ // Label 28887: @2195747
     /* 2195747 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195801), // Rule ID 47459 //
     /* 2195752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195766 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195800 */   // GIR_Coverage, 47459,
     /* 2195800 */   GIR_EraseRootFromParent_Done,
     /* 2195801 */ // Label 28888: @2195801
     /* 2195801 */ GIM_Reject,
     /* 2195802 */ // Label 28848: @2195802
     /* 2195802 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195856), // Rule ID 47412 //
     /* 2195807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195821 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195821 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195824 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195828 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195833 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195840 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195843 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195855 */   // GIR_Coverage, 47412,
     /* 2195855 */   GIR_EraseRootFromParent_Done,
     /* 2195856 */ // Label 28889: @2195856
     /* 2195856 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195910), // Rule ID 47413 //
     /* 2195861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195875 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195875 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195878 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195882 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195897 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195909 */   // GIR_Coverage, 47413,
     /* 2195909 */   GIR_EraseRootFromParent_Done,
     /* 2195910 */ // Label 28890: @2195910
     /* 2195910 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195964), // Rule ID 47478 //
     /* 2195915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195929 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195929 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195932 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195936 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195948 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195951 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195963 */   // GIR_Coverage, 47478,
     /* 2195963 */   GIR_EraseRootFromParent_Done,
     /* 2195964 */ // Label 28891: @2195964
     /* 2195964 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2196018), // Rule ID 47479 //
     /* 2195969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195983 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196017 */   // GIR_Coverage, 47479,
     /* 2196017 */   GIR_EraseRootFromParent_Done,
     /* 2196018 */ // Label 28892: @2196018
     /* 2196018 */ GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2196072), // Rule ID 47512 //
     /* 2196023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2196029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196037 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2196040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2196054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196071 */   // GIR_Coverage, 47512,
     /* 2196071 */   GIR_EraseRootFromParent_Done,
     /* 2196072 */ // Label 28893: @2196072
     /* 2196072 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2196126), // Rule ID 47513 //
     /* 2196077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2196083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196091 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2196094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2196108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196125 */   // GIR_Coverage, 47513,
     /* 2196125 */   GIR_EraseRootFromParent_Done,
     /* 2196126 */ // Label 28894: @2196126
     /* 2196126 */ GIM_Reject,
     /* 2196127 */ // Label 28849: @2196127
     /* 2196127 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2196230),
     /* 2196132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196143 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2196186), // Rule ID 47372 //
     /* 2196148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196151 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2196154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196185 */     // GIR_Coverage, 47372,
     /* 2196185 */     GIR_EraseRootFromParent_Done,
     /* 2196186 */   // Label 28896: @2196186
     /* 2196186 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2196229), // Rule ID 47373 //
     /* 2196191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196194 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2196197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196228 */     // GIR_Coverage, 47373,
     /* 2196228 */     GIR_EraseRootFromParent_Done,
     /* 2196229 */   // Label 28897: @2196229
     /* 2196229 */   GIM_Reject,
     /* 2196230 */ // Label 28895: @2196230
     /* 2196230 */ GIM_Reject,
     /* 2196231 */ // Label 28850: @2196231
     /* 2196231 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2196285), // Rule ID 47396 //
     /* 2196236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196250 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196284 */   // GIR_Coverage, 47396,
     /* 2196284 */   GIR_EraseRootFromParent_Done,
     /* 2196285 */ // Label 28898: @2196285
     /* 2196285 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2196339), // Rule ID 47397 //
     /* 2196290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196304 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196338 */   // GIR_Coverage, 47397,
     /* 2196338 */   GIR_EraseRootFromParent_Done,
     /* 2196339 */ // Label 28899: @2196339
     /* 2196339 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196393), // Rule ID 47462 //
     /* 2196344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196358 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196392 */   // GIR_Coverage, 47462,
     /* 2196392 */   GIR_EraseRootFromParent_Done,
     /* 2196393 */ // Label 28900: @2196393
     /* 2196393 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196447), // Rule ID 47463 //
     /* 2196398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196412 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2196415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2196429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196446 */   // GIR_Coverage, 47463,
     /* 2196446 */   GIR_EraseRootFromParent_Done,
     /* 2196447 */ // Label 28901: @2196447
     /* 2196447 */ GIM_Reject,
     /* 2196448 */ // Label 28851: @2196448
     /* 2196448 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196502), // Rule ID 47416 //
     /* 2196453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196467 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196467 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196470 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196474 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196479 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196486 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196501 */   // GIR_Coverage, 47416,
     /* 2196501 */   GIR_EraseRootFromParent_Done,
     /* 2196502 */ // Label 28902: @2196502
     /* 2196502 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2196556), // Rule ID 47417 //
     /* 2196507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196521 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196555 */   // GIR_Coverage, 47417,
     /* 2196555 */   GIR_EraseRootFromParent_Done,
     /* 2196556 */ // Label 28903: @2196556
     /* 2196556 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2196610), // Rule ID 47482 //
     /* 2196561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196575 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196609 */   // GIR_Coverage, 47482,
     /* 2196609 */   GIR_EraseRootFromParent_Done,
     /* 2196610 */ // Label 28904: @2196610
     /* 2196610 */ GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2196664), // Rule ID 47483 //
     /* 2196615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196629 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196663 */   // GIR_Coverage, 47483,
     /* 2196663 */   GIR_EraseRootFromParent_Done,
     /* 2196664 */ // Label 28905: @2196664
     /* 2196664 */ GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2196718), // Rule ID 47516 //
     /* 2196669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196683 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196705 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196717 */   // GIR_Coverage, 47516,
     /* 2196717 */   GIR_EraseRootFromParent_Done,
     /* 2196718 */ // Label 28906: @2196718
     /* 2196718 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2196772), // Rule ID 47517 //
     /* 2196723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196737 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196771 */   // GIR_Coverage, 47517,
     /* 2196771 */   GIR_EraseRootFromParent_Done,
     /* 2196772 */ // Label 28907: @2196772
     /* 2196772 */ GIM_Reject,
     /* 2196773 */ // Label 28852: @2196773
     /* 2196773 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2196876),
     /* 2196778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196789 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2196832), // Rule ID 47376 //
     /* 2196794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196797 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196831 */     // GIR_Coverage, 47376,
     /* 2196831 */     GIR_EraseRootFromParent_Done,
     /* 2196832 */   // Label 28909: @2196832
     /* 2196832 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2196875), // Rule ID 47377 //
     /* 2196837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196840 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196874 */     // GIR_Coverage, 47377,
     /* 2196874 */     GIR_EraseRootFromParent_Done,
     /* 2196875 */   // Label 28910: @2196875
     /* 2196875 */   GIM_Reject,
     /* 2196876 */ // Label 28908: @2196876
     /* 2196876 */ GIM_Reject,
     /* 2196877 */ // Label 28853: @2196877
     /* 2196877 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2196931), // Rule ID 47400 //
     /* 2196882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196896 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196930 */   // GIR_Coverage, 47400,
     /* 2196930 */   GIR_EraseRootFromParent_Done,
     /* 2196931 */ // Label 28911: @2196931
     /* 2196931 */ GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2196985), // Rule ID 47401 //
     /* 2196936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196950 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196984 */   // GIR_Coverage, 47401,
     /* 2196984 */   GIR_EraseRootFromParent_Done,
     /* 2196985 */ // Label 28912: @2196985
     /* 2196985 */ GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2197039), // Rule ID 47466 //
     /* 2196990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197004 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2197007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2197021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197038 */   // GIR_Coverage, 47466,
     /* 2197038 */   GIR_EraseRootFromParent_Done,
     /* 2197039 */ // Label 28913: @2197039
     /* 2197039 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2197093), // Rule ID 47467 //
     /* 2197044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2197050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197058 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2197061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2197075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197092 */   // GIR_Coverage, 47467,
     /* 2197092 */   GIR_EraseRootFromParent_Done,
     /* 2197093 */ // Label 28914: @2197093
     /* 2197093 */ GIM_Reject,
     /* 2197094 */ // Label 28854: @2197094
     /* 2197094 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2197197),
     /* 2197099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2197102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197110 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2197153), // Rule ID 47380 //
     /* 2197115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197118 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2197121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197152 */     // GIR_Coverage, 47380,
     /* 2197152 */     GIR_EraseRootFromParent_Done,
     /* 2197153 */   // Label 28916: @2197153
     /* 2197153 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2197196), // Rule ID 47381 //
     /* 2197158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197161 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2197164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197195 */     // GIR_Coverage, 47381,
     /* 2197195 */     GIR_EraseRootFromParent_Done,
     /* 2197196 */   // Label 28917: @2197196
     /* 2197196 */   GIM_Reject,
     /* 2197197 */ // Label 28915: @2197197
     /* 2197197 */ GIM_Reject,
     /* 2197198 */ // Label 28855: @2197198
     /* 2197198 */ GIM_Reject,
     /* 2197199 */ // Label 40: @2197199
     /* 2197199 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28935*/ GIMT_Encode4(2200673),
     /* 2197210 */ /*GILLT_s32*//*Label 28918*/ GIMT_Encode4(2197326),
     /* 2197214 */ /*GILLT_s64*//*Label 28919*/ GIMT_Encode4(2197500), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197226 */ /*GILLT_nxv1s16*//*Label 28920*/ GIMT_Encode4(2197664),
     /* 2197230 */ /*GILLT_nxv1s32*//*Label 28921*/ GIMT_Encode4(2197768),
     /* 2197234 */ /*GILLT_nxv1s64*//*Label 28922*/ GIMT_Encode4(2197985), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197246 */ /*GILLT_nxv2s16*//*Label 28923*/ GIMT_Encode4(2198310),
     /* 2197250 */ /*GILLT_nxv2s32*//*Label 28924*/ GIMT_Encode4(2198414),
     /* 2197254 */ /*GILLT_nxv2s64*//*Label 28925*/ GIMT_Encode4(2198631), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197266 */ /*GILLT_nxv4s16*//*Label 28926*/ GIMT_Encode4(2198956),
     /* 2197270 */ /*GILLT_nxv4s32*//*Label 28927*/ GIMT_Encode4(2199060),
     /* 2197274 */ /*GILLT_nxv4s64*//*Label 28928*/ GIMT_Encode4(2199277), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197286 */ /*GILLT_nxv8s16*//*Label 28929*/ GIMT_Encode4(2199602),
     /* 2197290 */ /*GILLT_nxv8s32*//*Label 28930*/ GIMT_Encode4(2199706),
     /* 2197294 */ /*GILLT_nxv8s64*//*Label 28931*/ GIMT_Encode4(2199923), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197306 */ /*GILLT_nxv16s16*//*Label 28932*/ GIMT_Encode4(2200248),
     /* 2197310 */ /*GILLT_nxv16s32*//*Label 28933*/ GIMT_Encode4(2200352), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2197322 */ /*GILLT_nxv32s16*//*Label 28934*/ GIMT_Encode4(2200569),
     /* 2197326 */ // Label 28918: @2197326
     /* 2197326 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2197499),
     /* 2197331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197342 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2197384), // Rule ID 64986 //
     /* 2197347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2197350 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2197350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197366 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197383 */     // GIR_Coverage, 64986,
     /* 2197383 */     GIR_EraseRootFromParent_Done,
     /* 2197384 */   // Label 28937: @2197384
     /* 2197384 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2197426), // Rule ID 64988 //
     /* 2197389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197392 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197408 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197425 */     // GIR_Coverage, 64988,
     /* 2197425 */     GIR_EraseRootFromParent_Done,
     /* 2197426 */   // Label 28938: @2197426
     /* 2197426 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2197468), // Rule ID 64989 //
     /* 2197431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2197434 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2197434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197450 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197467 */     // GIR_Coverage, 64989,
     /* 2197467 */     GIR_EraseRootFromParent_Done,
     /* 2197468 */   // Label 28939: @2197468
     /* 2197468 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2197483), // Rule ID 64991 //
     /* 2197473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2197476 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197482 */     // GIR_Coverage, 64991,
     /* 2197482 */     GIR_Done,
     /* 2197483 */   // Label 28940: @2197483
     /* 2197483 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2197498), // Rule ID 64992 //
     /* 2197488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2197491 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197497 */     // GIR_Coverage, 64992,
     /* 2197497 */     GIR_Done,
     /* 2197498 */   // Label 28941: @2197498
     /* 2197498 */   GIM_Reject,
     /* 2197499 */ // Label 28936: @2197499
     /* 2197499 */ GIM_Reject,
     /* 2197500 */ // Label 28919: @2197500
     /* 2197500 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2197531), // Rule ID 64976 //
     /* 2197505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2197508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2197511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197519 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2197519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2197522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197524 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2197526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2197529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197530 */   // GIR_Coverage, 64976,
     /* 2197530 */   GIR_EraseRootFromParent_Done,
     /* 2197531 */ // Label 28942: @2197531
     /* 2197531 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2197584), // Rule ID 64985 //
     /* 2197536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2197539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197550 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2197550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197562 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197566 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197583 */   // GIR_Coverage, 64985,
     /* 2197583 */   GIR_EraseRootFromParent_Done,
     /* 2197584 */ // Label 28943: @2197584
     /* 2197584 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2197637), // Rule ID 64987 //
     /* 2197589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197603 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197615 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197619 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197629 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197636 */   // GIR_Coverage, 64987,
     /* 2197636 */   GIR_EraseRootFromParent_Done,
     /* 2197637 */ // Label 28944: @2197637
     /* 2197637 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2197663), // Rule ID 64993 //
     /* 2197642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2197645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197656 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2197656 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197662 */   // GIR_Coverage, 64993,
     /* 2197662 */   GIR_Done,
     /* 2197663 */ // Label 28945: @2197663
     /* 2197663 */ GIM_Reject,
     /* 2197664 */ // Label 28920: @2197664
     /* 2197664 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2197767),
     /* 2197669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197680 */   GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2197723), // Rule ID 47418 //
     /* 2197685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197688 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197722 */     // GIR_Coverage, 47418,
     /* 2197722 */     GIR_EraseRootFromParent_Done,
     /* 2197723 */   // Label 28947: @2197723
     /* 2197723 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2197766), // Rule ID 47419 //
     /* 2197728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197731 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197765 */     // GIR_Coverage, 47419,
     /* 2197765 */     GIR_EraseRootFromParent_Done,
     /* 2197766 */   // Label 28948: @2197766
     /* 2197766 */   GIM_Reject,
     /* 2197767 */ // Label 28946: @2197767
     /* 2197767 */ GIM_Reject,
     /* 2197768 */ // Label 28921: @2197768
     /* 2197768 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2197822), // Rule ID 47430 //
     /* 2197773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197787 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197821 */   // GIR_Coverage, 47430,
     /* 2197821 */   GIR_EraseRootFromParent_Done,
     /* 2197822 */ // Label 28949: @2197822
     /* 2197822 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2197876), // Rule ID 47431 //
     /* 2197827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197841 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197875 */   // GIR_Coverage, 47431,
     /* 2197875 */   GIR_EraseRootFromParent_Done,
     /* 2197876 */ // Label 28950: @2197876
     /* 2197876 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2197930), // Rule ID 47484 //
     /* 2197881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197895 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197929 */   // GIR_Coverage, 47484,
     /* 2197929 */   GIR_EraseRootFromParent_Done,
     /* 2197930 */ // Label 28951: @2197930
     /* 2197930 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2197984), // Rule ID 47485 //
     /* 2197935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197949 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197961 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197983 */   // GIR_Coverage, 47485,
     /* 2197983 */   GIR_EraseRootFromParent_Done,
     /* 2197984 */ // Label 28952: @2197984
     /* 2197984 */ GIM_Reject,
     /* 2197985 */ // Label 28922: @2197985
     /* 2197985 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2198039), // Rule ID 47440 //
     /* 2197990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2197996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198004 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198038 */   // GIR_Coverage, 47440,
     /* 2198038 */   GIR_EraseRootFromParent_Done,
     /* 2198039 */ // Label 28953: @2198039
     /* 2198039 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2198093), // Rule ID 47441 //
     /* 2198044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2198050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198058 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198092 */   // GIR_Coverage, 47441,
     /* 2198092 */   GIR_EraseRootFromParent_Done,
     /* 2198093 */ // Label 28954: @2198093
     /* 2198093 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2198147), // Rule ID 47494 //
     /* 2198098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198112 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198112 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198115 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198119 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198134 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198146 */   // GIR_Coverage, 47494,
     /* 2198146 */   GIR_EraseRootFromParent_Done,
     /* 2198147 */ // Label 28955: @2198147
     /* 2198147 */ GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2198201), // Rule ID 47495 //
     /* 2198152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198166 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198200 */   // GIR_Coverage, 47495,
     /* 2198200 */   GIR_EraseRootFromParent_Done,
     /* 2198201 */ // Label 28956: @2198201
     /* 2198201 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2198255), // Rule ID 47518 //
     /* 2198206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198220 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2198237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198254 */   // GIR_Coverage, 47518,
     /* 2198254 */   GIR_EraseRootFromParent_Done,
     /* 2198255 */ // Label 28957: @2198255
     /* 2198255 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2198309), // Rule ID 47519 //
     /* 2198260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198274 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198274 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198277 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198281 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2198291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198296 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198308 */   // GIR_Coverage, 47519,
     /* 2198308 */   GIR_EraseRootFromParent_Done,
     /* 2198309 */ // Label 28958: @2198309
     /* 2198309 */ GIM_Reject,
     /* 2198310 */ // Label 28923: @2198310
     /* 2198310 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2198413),
     /* 2198315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198326 */   GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2198369), // Rule ID 47420 //
     /* 2198331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198334 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2198337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2198351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198368 */     // GIR_Coverage, 47420,
     /* 2198368 */     GIR_EraseRootFromParent_Done,
     /* 2198369 */   // Label 28960: @2198369
     /* 2198369 */   GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2198412), // Rule ID 47421 //
     /* 2198374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198377 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2198380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2198394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198411 */     // GIR_Coverage, 47421,
     /* 2198411 */     GIR_EraseRootFromParent_Done,
     /* 2198412 */   // Label 28961: @2198412
     /* 2198412 */   GIM_Reject,
     /* 2198413 */ // Label 28959: @2198413
     /* 2198413 */ GIM_Reject,
     /* 2198414 */ // Label 28924: @2198414
     /* 2198414 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2198468), // Rule ID 47432 //
     /* 2198419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198433 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198467 */   // GIR_Coverage, 47432,
     /* 2198467 */   GIR_EraseRootFromParent_Done,
     /* 2198468 */ // Label 28962: @2198468
     /* 2198468 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2198522), // Rule ID 47433 //
     /* 2198473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198487 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198521 */   // GIR_Coverage, 47433,
     /* 2198521 */   GIR_EraseRootFromParent_Done,
     /* 2198522 */ // Label 28963: @2198522
     /* 2198522 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2198576), // Rule ID 47486 //
     /* 2198527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198541 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198575 */   // GIR_Coverage, 47486,
     /* 2198575 */   GIR_EraseRootFromParent_Done,
     /* 2198576 */ // Label 28964: @2198576
     /* 2198576 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2198630), // Rule ID 47487 //
     /* 2198581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198595 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198629 */   // GIR_Coverage, 47487,
     /* 2198629 */   GIR_EraseRootFromParent_Done,
     /* 2198630 */ // Label 28965: @2198630
     /* 2198630 */ GIM_Reject,
     /* 2198631 */ // Label 28925: @2198631
     /* 2198631 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2198685), // Rule ID 47442 //
     /* 2198636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198650 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198662 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198669 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198672 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198684 */   // GIR_Coverage, 47442,
     /* 2198684 */   GIR_EraseRootFromParent_Done,
     /* 2198685 */ // Label 28966: @2198685
     /* 2198685 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2198739), // Rule ID 47443 //
     /* 2198690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198704 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198738 */   // GIR_Coverage, 47443,
     /* 2198738 */   GIR_EraseRootFromParent_Done,
     /* 2198739 */ // Label 28967: @2198739
     /* 2198739 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2198793), // Rule ID 47496 //
     /* 2198744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198758 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198758 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198765 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198792 */   // GIR_Coverage, 47496,
     /* 2198792 */   GIR_EraseRootFromParent_Done,
     /* 2198793 */ // Label 28968: @2198793
     /* 2198793 */ GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2198847), // Rule ID 47497 //
     /* 2198798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198812 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198846 */   // GIR_Coverage, 47497,
     /* 2198846 */   GIR_EraseRootFromParent_Done,
     /* 2198847 */ // Label 28969: @2198847
     /* 2198847 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2198901), // Rule ID 47520 //
     /* 2198852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198866 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198900 */   // GIR_Coverage, 47520,
     /* 2198900 */   GIR_EraseRootFromParent_Done,
     /* 2198901 */ // Label 28970: @2198901
     /* 2198901 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2198955), // Rule ID 47521 //
     /* 2198906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198920 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198920 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198923 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198927 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198939 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198942 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198954 */   // GIR_Coverage, 47521,
     /* 2198954 */   GIR_EraseRootFromParent_Done,
     /* 2198955 */ // Label 28971: @2198955
     /* 2198955 */ GIM_Reject,
     /* 2198956 */ // Label 28926: @2198956
     /* 2198956 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2199059),
     /* 2198961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198972 */   GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2199015), // Rule ID 47422 //
     /* 2198977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198980 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199014 */     // GIR_Coverage, 47422,
     /* 2199014 */     GIR_EraseRootFromParent_Done,
     /* 2199015 */   // Label 28973: @2199015
     /* 2199015 */   GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2199058), // Rule ID 47423 //
     /* 2199020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199023 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2199026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2199040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199057 */     // GIR_Coverage, 47423,
     /* 2199057 */     GIR_EraseRootFromParent_Done,
     /* 2199058 */   // Label 28974: @2199058
     /* 2199058 */   GIM_Reject,
     /* 2199059 */ // Label 28972: @2199059
     /* 2199059 */ GIM_Reject,
     /* 2199060 */ // Label 28927: @2199060
     /* 2199060 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2199114), // Rule ID 47434 //
     /* 2199065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199079 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199113 */   // GIR_Coverage, 47434,
     /* 2199113 */   GIR_EraseRootFromParent_Done,
     /* 2199114 */ // Label 28975: @2199114
     /* 2199114 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2199168), // Rule ID 47435 //
     /* 2199119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199133 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199167 */   // GIR_Coverage, 47435,
     /* 2199167 */   GIR_EraseRootFromParent_Done,
     /* 2199168 */ // Label 28976: @2199168
     /* 2199168 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2199222), // Rule ID 47488 //
     /* 2199173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199187 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2199204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199221 */   // GIR_Coverage, 47488,
     /* 2199221 */   GIR_EraseRootFromParent_Done,
     /* 2199222 */ // Label 28977: @2199222
     /* 2199222 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2199276), // Rule ID 47489 //
     /* 2199227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199241 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2199258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199275 */   // GIR_Coverage, 47489,
     /* 2199275 */   GIR_EraseRootFromParent_Done,
     /* 2199276 */ // Label 28978: @2199276
     /* 2199276 */ GIM_Reject,
     /* 2199277 */ // Label 28928: @2199277
     /* 2199277 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2199331), // Rule ID 47444 //
     /* 2199282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2199288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199296 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199296 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199299 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199303 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199318 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199330 */   // GIR_Coverage, 47444,
     /* 2199330 */   GIR_EraseRootFromParent_Done,
     /* 2199331 */ // Label 28979: @2199331
     /* 2199331 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2199385), // Rule ID 47445 //
     /* 2199336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2199342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199350 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199384 */   // GIR_Coverage, 47445,
     /* 2199384 */   GIR_EraseRootFromParent_Done,
     /* 2199385 */ // Label 28980: @2199385
     /* 2199385 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2199439), // Rule ID 47498 //
     /* 2199390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199404 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199438 */   // GIR_Coverage, 47498,
     /* 2199438 */   GIR_EraseRootFromParent_Done,
     /* 2199439 */ // Label 28981: @2199439
     /* 2199439 */ GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2199493), // Rule ID 47499 //
     /* 2199444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199458 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199492 */   // GIR_Coverage, 47499,
     /* 2199492 */   GIR_EraseRootFromParent_Done,
     /* 2199493 */ // Label 28982: @2199493
     /* 2199493 */ GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2199547), // Rule ID 47522 //
     /* 2199498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199512 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199546 */   // GIR_Coverage, 47522,
     /* 2199546 */   GIR_EraseRootFromParent_Done,
     /* 2199547 */ // Label 28983: @2199547
     /* 2199547 */ GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2199601), // Rule ID 47523 //
     /* 2199552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199566 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199600 */   // GIR_Coverage, 47523,
     /* 2199600 */   GIR_EraseRootFromParent_Done,
     /* 2199601 */ // Label 28984: @2199601
     /* 2199601 */ GIM_Reject,
     /* 2199602 */ // Label 28929: @2199602
     /* 2199602 */ GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2199705),
     /* 2199607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199618 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2199661), // Rule ID 47424 //
     /* 2199623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199626 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199660 */     // GIR_Coverage, 47424,
     /* 2199660 */     GIR_EraseRootFromParent_Done,
     /* 2199661 */   // Label 28986: @2199661
     /* 2199661 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2199704), // Rule ID 47425 //
     /* 2199666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199669 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199703 */     // GIR_Coverage, 47425,
     /* 2199703 */     GIR_EraseRootFromParent_Done,
     /* 2199704 */   // Label 28987: @2199704
     /* 2199704 */   GIM_Reject,
     /* 2199705 */ // Label 28985: @2199705
     /* 2199705 */ GIM_Reject,
     /* 2199706 */ // Label 28930: @2199706
     /* 2199706 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2199760), // Rule ID 47436 //
     /* 2199711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199725 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199759 */   // GIR_Coverage, 47436,
     /* 2199759 */   GIR_EraseRootFromParent_Done,
     /* 2199760 */ // Label 28988: @2199760
     /* 2199760 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2199814), // Rule ID 47437 //
     /* 2199765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199779 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199813 */   // GIR_Coverage, 47437,
     /* 2199813 */   GIR_EraseRootFromParent_Done,
     /* 2199814 */ // Label 28989: @2199814
     /* 2199814 */ GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2199868), // Rule ID 47490 //
     /* 2199819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199833 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199867 */   // GIR_Coverage, 47490,
     /* 2199867 */   GIR_EraseRootFromParent_Done,
     /* 2199868 */ // Label 28990: @2199868
     /* 2199868 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2199922), // Rule ID 47491 //
     /* 2199873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199887 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199921 */   // GIR_Coverage, 47491,
     /* 2199921 */   GIR_EraseRootFromParent_Done,
     /* 2199922 */ // Label 28991: @2199922
     /* 2199922 */ GIM_Reject,
     /* 2199923 */ // Label 28931: @2199923
     /* 2199923 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2199977), // Rule ID 47446 //
     /* 2199928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199942 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199976 */   // GIR_Coverage, 47446,
     /* 2199976 */   GIR_EraseRootFromParent_Done,
     /* 2199977 */ // Label 28992: @2199977
     /* 2199977 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2200031), // Rule ID 47447 //
     /* 2199982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199996 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200030 */   // GIR_Coverage, 47447,
     /* 2200030 */   GIR_EraseRootFromParent_Done,
     /* 2200031 */ // Label 28993: @2200031
     /* 2200031 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2200085), // Rule ID 47500 //
     /* 2200036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200050 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200069 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200072 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200084 */   // GIR_Coverage, 47500,
     /* 2200084 */   GIR_EraseRootFromParent_Done,
     /* 2200085 */ // Label 28994: @2200085
     /* 2200085 */ GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2200139), // Rule ID 47501 //
     /* 2200090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200104 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200138 */   // GIR_Coverage, 47501,
     /* 2200138 */   GIR_EraseRootFromParent_Done,
     /* 2200139 */ // Label 28995: @2200139
     /* 2200139 */ GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2200193), // Rule ID 47524 //
     /* 2200144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200158 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2200175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200192 */   // GIR_Coverage, 47524,
     /* 2200192 */   GIR_EraseRootFromParent_Done,
     /* 2200193 */ // Label 28996: @2200193
     /* 2200193 */ GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2200247), // Rule ID 47525 //
     /* 2200198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200212 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2200229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200246 */   // GIR_Coverage, 47525,
     /* 2200246 */   GIR_EraseRootFromParent_Done,
     /* 2200247 */ // Label 28997: @2200247
     /* 2200247 */ GIM_Reject,
     /* 2200248 */ // Label 28932: @2200248
     /* 2200248 */ GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2200351),
     /* 2200253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200264 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2200307), // Rule ID 47426 //
     /* 2200269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200272 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2200275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2200289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200306 */     // GIR_Coverage, 47426,
     /* 2200306 */     GIR_EraseRootFromParent_Done,
     /* 2200307 */   // Label 28999: @2200307
     /* 2200307 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2200350), // Rule ID 47427 //
     /* 2200312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200315 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2200318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2200332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200349 */     // GIR_Coverage, 47427,
     /* 2200349 */     GIR_EraseRootFromParent_Done,
     /* 2200350 */   // Label 29000: @2200350
     /* 2200350 */   GIM_Reject,
     /* 2200351 */ // Label 28998: @2200351
     /* 2200351 */ GIM_Reject,
     /* 2200352 */ // Label 28933: @2200352
     /* 2200352 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2200406), // Rule ID 47438 //
     /* 2200357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2200363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200371 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200383 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200390 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200393 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200405 */   // GIR_Coverage, 47438,
     /* 2200405 */   GIR_EraseRootFromParent_Done,
     /* 2200406 */ // Label 29001: @2200406
     /* 2200406 */ GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2200460), // Rule ID 47439 //
     /* 2200411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2200417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200425 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200459 */   // GIR_Coverage, 47439,
     /* 2200459 */   GIR_EraseRootFromParent_Done,
     /* 2200460 */ // Label 29002: @2200460
     /* 2200460 */ GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2200514), // Rule ID 47492 //
     /* 2200465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200479 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200498 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200513 */   // GIR_Coverage, 47492,
     /* 2200513 */   GIR_EraseRootFromParent_Done,
     /* 2200514 */ // Label 29003: @2200514
     /* 2200514 */ GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2200568), // Rule ID 47493 //
     /* 2200519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200533 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200533 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200536 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200540 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200567 */   // GIR_Coverage, 47493,
     /* 2200567 */   GIR_EraseRootFromParent_Done,
     /* 2200568 */ // Label 29004: @2200568
     /* 2200568 */ GIM_Reject,
     /* 2200569 */ // Label 28934: @2200569
     /* 2200569 */ GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2200672),
     /* 2200574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2200577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200585 */   GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2200628), // Rule ID 47428 //
     /* 2200590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200593 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200627 */     // GIR_Coverage, 47428,
     /* 2200627 */     GIR_EraseRootFromParent_Done,
     /* 2200628 */   // Label 29006: @2200628
     /* 2200628 */   GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2200671), // Rule ID 47429 //
     /* 2200633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200636 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200670 */     // GIR_Coverage, 47429,
     /* 2200670 */     GIR_EraseRootFromParent_Done,
     /* 2200671 */   // Label 29007: @2200671
     /* 2200671 */   GIM_Reject,
     /* 2200672 */ // Label 29005: @2200672
     /* 2200672 */ GIM_Reject,
     /* 2200673 */ // Label 28935: @2200673
     /* 2200673 */ GIM_Reject,
     /* 2200674 */ // Label 41: @2200674
     /* 2200674 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29010*/ GIMT_Encode4(2201222),
     /* 2200685 */ /*GILLT_s32*//*Label 29008*/ GIMT_Encode4(2200693),
     /* 2200689 */ /*GILLT_s64*//*Label 29009*/ GIMT_Encode4(2200925),
     /* 2200693 */ // Label 29008: @2200693
     /* 2200693 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2200924),
     /* 2200698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200709 */   GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2200737), // Rule ID 64383 //
     /* 2200714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200717 */     // MIs[0] Operand 2
     /* 2200717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200728 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200736 */     // GIR_Coverage, 64383,
     /* 2200736 */     GIR_EraseRootFromParent_Done,
     /* 2200737 */   // Label 29012: @2200737
     /* 2200737 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2200765), // Rule ID 64385 //
     /* 2200742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200745 */     // MIs[0] Operand 2
     /* 2200745 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200756 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200764 */     // GIR_Coverage, 64385,
     /* 2200764 */     GIR_EraseRootFromParent_Done,
     /* 2200765 */   // Label 29013: @2200765
     /* 2200765 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2200793), // Rule ID 2415 //
     /* 2200770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200773 */     // MIs[0] Operand 2
     /* 2200773 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200784 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200792 */     // GIR_Coverage, 2415,
     /* 2200792 */     GIR_EraseRootFromParent_Done,
     /* 2200793 */   // Label 29014: @2200793
     /* 2200793 */   GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2200821), // Rule ID 2417 //
     /* 2200798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200801 */     // MIs[0] Operand 2
     /* 2200801 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200812 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200820 */     // GIR_Coverage, 2417,
     /* 2200820 */     GIR_EraseRootFromParent_Done,
     /* 2200821 */   // Label 29015: @2200821
     /* 2200821 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2200855), // Rule ID 62469 //
     /* 2200826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200829 */     // MIs[0] Operand 2
     /* 2200829 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200840 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200854 */     // GIR_Coverage, 62469,
     /* 2200854 */     GIR_EraseRootFromParent_Done,
     /* 2200855 */   // Label 29016: @2200855
     /* 2200855 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2200889), // Rule ID 62471 //
     /* 2200860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200863 */     // MIs[0] Operand 2
     /* 2200863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200874 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200888 */     // GIR_Coverage, 62471,
     /* 2200888 */     GIR_EraseRootFromParent_Done,
     /* 2200889 */   // Label 29017: @2200889
     /* 2200889 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2200923), // Rule ID 62473 //
     /* 2200894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200897 */     // MIs[0] Operand 2
     /* 2200897 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200908 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200922 */     // GIR_Coverage, 62473,
     /* 2200922 */     GIR_EraseRootFromParent_Done,
     /* 2200923 */   // Label 29018: @2200923
     /* 2200923 */   GIM_Reject,
     /* 2200924 */ // Label 29011: @2200924
     /* 2200924 */ GIM_Reject,
     /* 2200925 */ // Label 29009: @2200925
     /* 2200925 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2201221),
     /* 2200930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2200933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200941 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2200969), // Rule ID 64382 //
     /* 2200946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200949 */     // MIs[0] Operand 2
     /* 2200949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200960 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200968 */     // GIR_Coverage, 64382,
     /* 2200968 */     GIR_EraseRootFromParent_Done,
     /* 2200969 */   // Label 29020: @2200969
     /* 2200969 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2200997), // Rule ID 64384 //
     /* 2200974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200977 */     // MIs[0] Operand 2
     /* 2200977 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200988 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200996 */     // GIR_Coverage, 64384,
     /* 2200996 */     GIR_EraseRootFromParent_Done,
     /* 2200997 */   // Label 29021: @2200997
     /* 2200997 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2201028), // Rule ID 256 //
     /* 2201002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2201005 */     // MIs[0] Operand 2
     /* 2201005 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2201016 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2201016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2201019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201027 */     // GIR_Coverage, 256,
     /* 2201027 */     GIR_EraseRootFromParent_Done,
     /* 2201028 */   // Label 29022: @2201028
     /* 2201028 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2201056), // Rule ID 2414 //
     /* 2201033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2201036 */     // MIs[0] Operand 2
     /* 2201036 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2201047 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2201047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2201050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201055 */     // GIR_Coverage, 2414,
     /* 2201055 */     GIR_EraseRootFromParent_Done,
     /* 2201056 */   // Label 29023: @2201056
     /* 2201056 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2201084), // Rule ID 2416 //
     /* 2201061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2201064 */     // MIs[0] Operand 2
     /* 2201064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2201075 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2201075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2201078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201083 */     // GIR_Coverage, 2416,
     /* 2201083 */     GIR_EraseRootFromParent_Done,
     /* 2201084 */   // Label 29024: @2201084
     /* 2201084 */   GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2201118), // Rule ID 62467 //
     /* 2201089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201092 */     // MIs[0] Operand 2
     /* 2201092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2201103 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2201113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201117 */     // GIR_Coverage, 62467,
     /* 2201117 */     GIR_EraseRootFromParent_Done,
     /* 2201118 */   // Label 29025: @2201118
     /* 2201118 */   GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2201152), // Rule ID 62468 //
     /* 2201123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201126 */     // MIs[0] Operand 2
     /* 2201126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2201137 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2201147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201151 */     // GIR_Coverage, 62468,
     /* 2201151 */     GIR_EraseRootFromParent_Done,
     /* 2201152 */   // Label 29026: @2201152
     /* 2201152 */   GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2201186), // Rule ID 62470 //
     /* 2201157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201160 */     // MIs[0] Operand 2
     /* 2201160 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2201171 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201185 */     // GIR_Coverage, 62470,
     /* 2201185 */     GIR_EraseRootFromParent_Done,
     /* 2201186 */   // Label 29027: @2201186
     /* 2201186 */   GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2201220), // Rule ID 62472 //
     /* 2201191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2201194 */     // MIs[0] Operand 2
     /* 2201194 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2201205 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2201205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2201208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201219 */     // GIR_Coverage, 62472,
     /* 2201219 */     GIR_EraseRootFromParent_Done,
     /* 2201220 */   // Label 29028: @2201220
     /* 2201220 */   GIM_Reject,
     /* 2201221 */ // Label 29019: @2201221
     /* 2201221 */ GIM_Reject,
     /* 2201222 */ // Label 29010: @2201222
     /* 2201222 */ GIM_Reject,
     /* 2201223 */ // Label 42: @2201223
     /* 2201223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29046*/ GIMT_Encode4(2204909),
     /* 2201234 */ /*GILLT_s32*//*Label 29029*/ GIMT_Encode4(2201350),
     /* 2201238 */ /*GILLT_s64*//*Label 29030*/ GIMT_Encode4(2201646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201250 */ /*GILLT_nxv1s16*//*Label 29031*/ GIMT_Encode4(2201900),
     /* 2201254 */ /*GILLT_nxv1s32*//*Label 29032*/ GIMT_Encode4(2202004),
     /* 2201258 */ /*GILLT_nxv1s64*//*Label 29033*/ GIMT_Encode4(2202221), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201270 */ /*GILLT_nxv2s16*//*Label 29034*/ GIMT_Encode4(2202546),
     /* 2201274 */ /*GILLT_nxv2s32*//*Label 29035*/ GIMT_Encode4(2202650),
     /* 2201278 */ /*GILLT_nxv2s64*//*Label 29036*/ GIMT_Encode4(2202867), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201290 */ /*GILLT_nxv4s16*//*Label 29037*/ GIMT_Encode4(2203192),
     /* 2201294 */ /*GILLT_nxv4s32*//*Label 29038*/ GIMT_Encode4(2203296),
     /* 2201298 */ /*GILLT_nxv4s64*//*Label 29039*/ GIMT_Encode4(2203513), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201310 */ /*GILLT_nxv8s16*//*Label 29040*/ GIMT_Encode4(2203838),
     /* 2201314 */ /*GILLT_nxv8s32*//*Label 29041*/ GIMT_Encode4(2203942),
     /* 2201318 */ /*GILLT_nxv8s64*//*Label 29042*/ GIMT_Encode4(2204159), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201330 */ /*GILLT_nxv16s16*//*Label 29043*/ GIMT_Encode4(2204484),
     /* 2201334 */ /*GILLT_nxv16s32*//*Label 29044*/ GIMT_Encode4(2204588), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201346 */ /*GILLT_nxv32s16*//*Label 29045*/ GIMT_Encode4(2204805),
     /* 2201350 */ // Label 29029: @2201350
     /* 2201350 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2201645),
     /* 2201355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201366 */   GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2201408), // Rule ID 64981 //
     /* 2201371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201374 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2201374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201390 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201407 */     // GIR_Coverage, 64981,
     /* 2201407 */     GIR_EraseRootFromParent_Done,
     /* 2201408 */   // Label 29048: @2201408
     /* 2201408 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2201450), // Rule ID 64983 //
     /* 2201413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201416 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201432 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201449 */     // GIR_Coverage, 64983,
     /* 2201449 */     GIR_EraseRootFromParent_Done,
     /* 2201450 */   // Label 29049: @2201450
     /* 2201450 */   GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2201492), // Rule ID 64984 //
     /* 2201455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201458 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2201458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201474 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201491 */     // GIR_Coverage, 64984,
     /* 2201491 */     GIR_EraseRootFromParent_Done,
     /* 2201492 */   // Label 29050: @2201492
     /* 2201492 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2201507), // Rule ID 64994 //
     /* 2201497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2201500 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201506 */     // GIR_Coverage, 64994,
     /* 2201506 */     GIR_Done,
     /* 2201507 */   // Label 29051: @2201507
     /* 2201507 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2201522), // Rule ID 64995 //
     /* 2201512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2201515 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201521 */     // GIR_Coverage, 64995,
     /* 2201521 */     GIR_Done,
     /* 2201522 */   // Label 29052: @2201522
     /* 2201522 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2201537), // Rule ID 64997 //
     /* 2201527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201530 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201536 */     // GIR_Coverage, 64997,
     /* 2201536 */     GIR_Done,
     /* 2201537 */   // Label 29053: @2201537
     /* 2201537 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2201552), // Rule ID 64998 //
     /* 2201542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2201545 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201551 */     // GIR_Coverage, 64998,
     /* 2201551 */     GIR_Done,
     /* 2201552 */   // Label 29054: @2201552
     /* 2201552 */   GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2201575), // Rule ID 64999 //
     /* 2201557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2201560 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201574 */     // GIR_Coverage, 64999,
     /* 2201574 */     GIR_EraseRootFromParent_Done,
     /* 2201575 */   // Label 29055: @2201575
     /* 2201575 */   GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2201598), // Rule ID 65000 //
     /* 2201580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2201583 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201597 */     // GIR_Coverage, 65000,
     /* 2201597 */     GIR_EraseRootFromParent_Done,
     /* 2201598 */   // Label 29056: @2201598
     /* 2201598 */   GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2201621), // Rule ID 65002 //
     /* 2201603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201606 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201620 */     // GIR_Coverage, 65002,
     /* 2201620 */     GIR_EraseRootFromParent_Done,
     /* 2201621 */   // Label 29057: @2201621
     /* 2201621 */   GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2201644), // Rule ID 65003 //
     /* 2201626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2201629 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201643 */     // GIR_Coverage, 65003,
     /* 2201643 */     GIR_EraseRootFromParent_Done,
     /* 2201644 */   // Label 29058: @2201644
     /* 2201644 */   GIM_Reject,
     /* 2201645 */ // Label 29047: @2201645
     /* 2201645 */ GIM_Reject,
     /* 2201646 */ // Label 29030: @2201646
     /* 2201646 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2201699), // Rule ID 64979 //
     /* 2201651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2201654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201665 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2201665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201677 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201681 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2201684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2201697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201698 */   // GIR_Coverage, 64979,
     /* 2201698 */   GIR_EraseRootFromParent_Done,
     /* 2201699 */ // Label 29059: @2201699
     /* 2201699 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2201752), // Rule ID 64980 //
     /* 2201704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201718 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2201718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201730 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201734 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201751 */   // GIR_Coverage, 64980,
     /* 2201751 */   GIR_EraseRootFromParent_Done,
     /* 2201752 */ // Label 29060: @2201752
     /* 2201752 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2201805), // Rule ID 64982 //
     /* 2201757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201771 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201783 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201787 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201790 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201804 */   // GIR_Coverage, 64982,
     /* 2201804 */   GIR_EraseRootFromParent_Done,
     /* 2201805 */ // Label 29061: @2201805
     /* 2201805 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2201839), // Rule ID 64990 //
     /* 2201810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2201813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201824 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2201824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2201827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201829 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2201831 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201838 */   // GIR_Coverage, 64990,
     /* 2201838 */   GIR_EraseRootFromParent_Done,
     /* 2201839 */ // Label 29062: @2201839
     /* 2201839 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2201865), // Rule ID 64996 //
     /* 2201844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201858 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2201858 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201864 */   // GIR_Coverage, 64996,
     /* 2201864 */   GIR_Done,
     /* 2201865 */ // Label 29063: @2201865
     /* 2201865 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2201899), // Rule ID 65001 //
     /* 2201870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201884 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201891 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201898 */   // GIR_Coverage, 65001,
     /* 2201898 */   GIR_EraseRootFromParent_Done,
     /* 2201899 */ // Label 29064: @2201899
     /* 2201899 */ GIM_Reject,
     /* 2201900 */ // Label 29031: @2201900
     /* 2201900 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2202003),
     /* 2201905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201916 */   GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2201959), // Rule ID 45674 //
     /* 2201921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201924 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201958 */     // GIR_Coverage, 45674,
     /* 2201958 */     GIR_EraseRootFromParent_Done,
     /* 2201959 */   // Label 29066: @2201959
     /* 2201959 */   GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2202002), // Rule ID 45675 //
     /* 2201964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201967 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202001 */     // GIR_Coverage, 45675,
     /* 2202001 */     GIR_EraseRootFromParent_Done,
     /* 2202002 */   // Label 29067: @2202002
     /* 2202002 */   GIM_Reject,
     /* 2202003 */ // Label 29065: @2202003
     /* 2202003 */ GIM_Reject,
     /* 2202004 */ // Label 29032: @2202004
     /* 2202004 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2202058), // Rule ID 47382 //
     /* 2202009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202023 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202057 */   // GIR_Coverage, 47382,
     /* 2202057 */   GIR_EraseRootFromParent_Done,
     /* 2202058 */ // Label 29068: @2202058
     /* 2202058 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2202112), // Rule ID 47383 //
     /* 2202063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202077 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202111 */   // GIR_Coverage, 47383,
     /* 2202111 */   GIR_EraseRootFromParent_Done,
     /* 2202112 */ // Label 29069: @2202112
     /* 2202112 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2202166), // Rule ID 47448 //
     /* 2202117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202131 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2202148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202165 */   // GIR_Coverage, 47448,
     /* 2202165 */   GIR_EraseRootFromParent_Done,
     /* 2202166 */ // Label 29070: @2202166
     /* 2202166 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2202220), // Rule ID 47449 //
     /* 2202171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202185 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2202202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202219 */   // GIR_Coverage, 47449,
     /* 2202219 */   GIR_EraseRootFromParent_Done,
     /* 2202220 */ // Label 29071: @2202220
     /* 2202220 */ GIM_Reject,
     /* 2202221 */ // Label 29033: @2202221
     /* 2202221 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2202275), // Rule ID 47402 //
     /* 2202226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202240 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202274 */   // GIR_Coverage, 47402,
     /* 2202274 */   GIR_EraseRootFromParent_Done,
     /* 2202275 */ // Label 29072: @2202275
     /* 2202275 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2202329), // Rule ID 47403 //
     /* 2202280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202294 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202328 */   // GIR_Coverage, 47403,
     /* 2202328 */   GIR_EraseRootFromParent_Done,
     /* 2202329 */ // Label 29073: @2202329
     /* 2202329 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2202383), // Rule ID 47468 //
     /* 2202334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202348 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202382 */   // GIR_Coverage, 47468,
     /* 2202382 */   GIR_EraseRootFromParent_Done,
     /* 2202383 */ // Label 29074: @2202383
     /* 2202383 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2202437), // Rule ID 47469 //
     /* 2202388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202402 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202436 */   // GIR_Coverage, 47469,
     /* 2202436 */   GIR_EraseRootFromParent_Done,
     /* 2202437 */ // Label 29075: @2202437
     /* 2202437 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2202491), // Rule ID 47502 //
     /* 2202442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202456 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202490 */   // GIR_Coverage, 47502,
     /* 2202490 */   GIR_EraseRootFromParent_Done,
     /* 2202491 */ // Label 29076: @2202491
     /* 2202491 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2202545), // Rule ID 47503 //
     /* 2202496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202510 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202544 */   // GIR_Coverage, 47503,
     /* 2202544 */   GIR_EraseRootFromParent_Done,
     /* 2202545 */ // Label 29077: @2202545
     /* 2202545 */ GIM_Reject,
     /* 2202546 */ // Label 29034: @2202546
     /* 2202546 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2202649),
     /* 2202551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202562 */   GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2202605), // Rule ID 47362 //
     /* 2202567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202570 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202604 */     // GIR_Coverage, 47362,
     /* 2202604 */     GIR_EraseRootFromParent_Done,
     /* 2202605 */   // Label 29079: @2202605
     /* 2202605 */   GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2202648), // Rule ID 47363 //
     /* 2202610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202613 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202647 */     // GIR_Coverage, 47363,
     /* 2202647 */     GIR_EraseRootFromParent_Done,
     /* 2202648 */   // Label 29080: @2202648
     /* 2202648 */   GIM_Reject,
     /* 2202649 */ // Label 29078: @2202649
     /* 2202649 */ GIM_Reject,
     /* 2202650 */ // Label 29035: @2202650
     /* 2202650 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2202704), // Rule ID 47386 //
     /* 2202655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202669 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202703 */   // GIR_Coverage, 47386,
     /* 2202703 */   GIR_EraseRootFromParent_Done,
     /* 2202704 */ // Label 29081: @2202704
     /* 2202704 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2202758), // Rule ID 47387 //
     /* 2202709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202723 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202757 */   // GIR_Coverage, 47387,
     /* 2202757 */   GIR_EraseRootFromParent_Done,
     /* 2202758 */ // Label 29082: @2202758
     /* 2202758 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2202812), // Rule ID 47452 //
     /* 2202763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202777 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202811 */   // GIR_Coverage, 47452,
     /* 2202811 */   GIR_EraseRootFromParent_Done,
     /* 2202812 */ // Label 29083: @2202812
     /* 2202812 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2202866), // Rule ID 47453 //
     /* 2202817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202831 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202865 */   // GIR_Coverage, 47453,
     /* 2202865 */   GIR_EraseRootFromParent_Done,
     /* 2202866 */ // Label 29084: @2202866
     /* 2202866 */ GIM_Reject,
     /* 2202867 */ // Label 29036: @2202867
     /* 2202867 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2202921), // Rule ID 47406 //
     /* 2202872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202886 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202898 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202908 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202920 */   // GIR_Coverage, 47406,
     /* 2202920 */   GIR_EraseRootFromParent_Done,
     /* 2202921 */ // Label 29085: @2202921
     /* 2202921 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2202975), // Rule ID 47407 //
     /* 2202926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202940 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202974 */   // GIR_Coverage, 47407,
     /* 2202974 */   GIR_EraseRootFromParent_Done,
     /* 2202975 */ // Label 29086: @2202975
     /* 2202975 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2203029), // Rule ID 47472 //
     /* 2202980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202994 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203028 */   // GIR_Coverage, 47472,
     /* 2203028 */   GIR_EraseRootFromParent_Done,
     /* 2203029 */ // Label 29087: @2203029
     /* 2203029 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2203083), // Rule ID 47473 //
     /* 2203034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203048 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203082 */   // GIR_Coverage, 47473,
     /* 2203082 */   GIR_EraseRootFromParent_Done,
     /* 2203083 */ // Label 29088: @2203083
     /* 2203083 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2203137), // Rule ID 47506 //
     /* 2203088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203102 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203136 */   // GIR_Coverage, 47506,
     /* 2203136 */   GIR_EraseRootFromParent_Done,
     /* 2203137 */ // Label 29089: @2203137
     /* 2203137 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2203191), // Rule ID 47507 //
     /* 2203142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203156 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2203173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203190 */   // GIR_Coverage, 47507,
     /* 2203190 */   GIR_EraseRootFromParent_Done,
     /* 2203191 */ // Label 29090: @2203191
     /* 2203191 */ GIM_Reject,
     /* 2203192 */ // Label 29037: @2203192
     /* 2203192 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2203295),
     /* 2203197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203208 */   GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2203251), // Rule ID 47366 //
     /* 2203213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203216 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203250 */     // GIR_Coverage, 47366,
     /* 2203250 */     GIR_EraseRootFromParent_Done,
     /* 2203251 */   // Label 29092: @2203251
     /* 2203251 */   GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2203294), // Rule ID 47367 //
     /* 2203256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203259 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2203276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203293 */     // GIR_Coverage, 47367,
     /* 2203293 */     GIR_EraseRootFromParent_Done,
     /* 2203294 */   // Label 29093: @2203294
     /* 2203294 */   GIM_Reject,
     /* 2203295 */ // Label 29091: @2203295
     /* 2203295 */ GIM_Reject,
     /* 2203296 */ // Label 29038: @2203296
     /* 2203296 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2203350), // Rule ID 47390 //
     /* 2203301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203315 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203349 */   // GIR_Coverage, 47390,
     /* 2203349 */   GIR_EraseRootFromParent_Done,
     /* 2203350 */ // Label 29094: @2203350
     /* 2203350 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2203404), // Rule ID 47391 //
     /* 2203355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203369 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203403 */   // GIR_Coverage, 47391,
     /* 2203403 */   GIR_EraseRootFromParent_Done,
     /* 2203404 */ // Label 29095: @2203404
     /* 2203404 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2203458), // Rule ID 47456 //
     /* 2203409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203423 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203445 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203457 */   // GIR_Coverage, 47456,
     /* 2203457 */   GIR_EraseRootFromParent_Done,
     /* 2203458 */ // Label 29096: @2203458
     /* 2203458 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2203512), // Rule ID 47457 //
     /* 2203463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203477 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203511 */   // GIR_Coverage, 47457,
     /* 2203511 */   GIR_EraseRootFromParent_Done,
     /* 2203512 */ // Label 29097: @2203512
     /* 2203512 */ GIM_Reject,
     /* 2203513 */ // Label 29039: @2203513
     /* 2203513 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2203567), // Rule ID 47410 //
     /* 2203518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203532 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203551 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203566 */   // GIR_Coverage, 47410,
     /* 2203566 */   GIR_EraseRootFromParent_Done,
     /* 2203567 */ // Label 29098: @2203567
     /* 2203567 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2203621), // Rule ID 47411 //
     /* 2203572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203586 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203620 */   // GIR_Coverage, 47411,
     /* 2203620 */   GIR_EraseRootFromParent_Done,
     /* 2203621 */ // Label 29099: @2203621
     /* 2203621 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2203675), // Rule ID 47476 //
     /* 2203626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203640 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203640 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203643 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203647 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203652 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203674 */   // GIR_Coverage, 47476,
     /* 2203674 */   GIR_EraseRootFromParent_Done,
     /* 2203675 */ // Label 29100: @2203675
     /* 2203675 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2203729), // Rule ID 47477 //
     /* 2203680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203694 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203694 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203697 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203701 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203706 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203713 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203728 */   // GIR_Coverage, 47477,
     /* 2203728 */   GIR_EraseRootFromParent_Done,
     /* 2203729 */ // Label 29101: @2203729
     /* 2203729 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2203783), // Rule ID 47510 //
     /* 2203734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203748 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203748 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203755 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203760 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203767 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203770 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203782 */   // GIR_Coverage, 47510,
     /* 2203782 */   GIR_EraseRootFromParent_Done,
     /* 2203783 */ // Label 29102: @2203783
     /* 2203783 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2203837), // Rule ID 47511 //
     /* 2203788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203802 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203836 */   // GIR_Coverage, 47511,
     /* 2203836 */   GIR_EraseRootFromParent_Done,
     /* 2203837 */ // Label 29103: @2203837
     /* 2203837 */ GIM_Reject,
     /* 2203838 */ // Label 29040: @2203838
     /* 2203838 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2203941),
     /* 2203843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203854 */   GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2203897), // Rule ID 47370 //
     /* 2203859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203862 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203896 */     // GIR_Coverage, 47370,
     /* 2203896 */     GIR_EraseRootFromParent_Done,
     /* 2203897 */   // Label 29105: @2203897
     /* 2203897 */   GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2203940), // Rule ID 47371 //
     /* 2203902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203905 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203939 */     // GIR_Coverage, 47371,
     /* 2203939 */     GIR_EraseRootFromParent_Done,
     /* 2203940 */   // Label 29106: @2203940
     /* 2203940 */   GIM_Reject,
     /* 2203941 */ // Label 29104: @2203941
     /* 2203941 */ GIM_Reject,
     /* 2203942 */ // Label 29041: @2203942
     /* 2203942 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2203996), // Rule ID 47394 //
     /* 2203947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203961 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203995 */   // GIR_Coverage, 47394,
     /* 2203995 */   GIR_EraseRootFromParent_Done,
     /* 2203996 */ // Label 29107: @2203996
     /* 2203996 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2204050), // Rule ID 47395 //
     /* 2204001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204015 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204049 */   // GIR_Coverage, 47395,
     /* 2204049 */   GIR_EraseRootFromParent_Done,
     /* 2204050 */ // Label 29108: @2204050
     /* 2204050 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2204104), // Rule ID 47460 //
     /* 2204055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204069 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204103 */   // GIR_Coverage, 47460,
     /* 2204103 */   GIR_EraseRootFromParent_Done,
     /* 2204104 */ // Label 29109: @2204104
     /* 2204104 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2204158), // Rule ID 47461 //
     /* 2204109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204123 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2204140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204157 */   // GIR_Coverage, 47461,
     /* 2204157 */   GIR_EraseRootFromParent_Done,
     /* 2204158 */ // Label 29110: @2204158
     /* 2204158 */ GIM_Reject,
     /* 2204159 */ // Label 29042: @2204159
     /* 2204159 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2204213), // Rule ID 47414 //
     /* 2204164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204178 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204212 */   // GIR_Coverage, 47414,
     /* 2204212 */   GIR_EraseRootFromParent_Done,
     /* 2204213 */ // Label 29111: @2204213
     /* 2204213 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2204267), // Rule ID 47415 //
     /* 2204218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204232 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204266 */   // GIR_Coverage, 47415,
     /* 2204266 */   GIR_EraseRootFromParent_Done,
     /* 2204267 */ // Label 29112: @2204267
     /* 2204267 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2204321), // Rule ID 47480 //
     /* 2204272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204286 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204308 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204320 */   // GIR_Coverage, 47480,
     /* 2204320 */   GIR_EraseRootFromParent_Done,
     /* 2204321 */ // Label 29113: @2204321
     /* 2204321 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2204375), // Rule ID 47481 //
     /* 2204326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204340 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204362 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204374 */   // GIR_Coverage, 47481,
     /* 2204374 */   GIR_EraseRootFromParent_Done,
     /* 2204375 */ // Label 29114: @2204375
     /* 2204375 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2204429), // Rule ID 47514 //
     /* 2204380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204394 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204406 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204428 */   // GIR_Coverage, 47514,
     /* 2204428 */   GIR_EraseRootFromParent_Done,
     /* 2204429 */ // Label 29115: @2204429
     /* 2204429 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2204483), // Rule ID 47515 //
     /* 2204434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204448 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204448 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204455 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204482 */   // GIR_Coverage, 47515,
     /* 2204482 */   GIR_EraseRootFromParent_Done,
     /* 2204483 */ // Label 29116: @2204483
     /* 2204483 */ GIM_Reject,
     /* 2204484 */ // Label 29043: @2204484
     /* 2204484 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2204587),
     /* 2204489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204500 */   GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2204543), // Rule ID 47374 //
     /* 2204505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204508 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204542 */     // GIR_Coverage, 47374,
     /* 2204542 */     GIR_EraseRootFromParent_Done,
     /* 2204543 */   // Label 29118: @2204543
     /* 2204543 */   GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2204586), // Rule ID 47375 //
     /* 2204548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204551 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204585 */     // GIR_Coverage, 47375,
     /* 2204585 */     GIR_EraseRootFromParent_Done,
     /* 2204586 */   // Label 29119: @2204586
     /* 2204586 */   GIM_Reject,
     /* 2204587 */ // Label 29117: @2204587
     /* 2204587 */ GIM_Reject,
     /* 2204588 */ // Label 29044: @2204588
     /* 2204588 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2204642), // Rule ID 47398 //
     /* 2204593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204607 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204641 */   // GIR_Coverage, 47398,
     /* 2204641 */   GIR_EraseRootFromParent_Done,
     /* 2204642 */ // Label 29120: @2204642
     /* 2204642 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2204696), // Rule ID 47399 //
     /* 2204647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204661 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204661 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204664 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204668 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204680 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204683 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204695 */   // GIR_Coverage, 47399,
     /* 2204695 */   GIR_EraseRootFromParent_Done,
     /* 2204696 */ // Label 29121: @2204696
     /* 2204696 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2204750), // Rule ID 47464 //
     /* 2204701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204715 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204727 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204734 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204749 */   // GIR_Coverage, 47464,
     /* 2204749 */   GIR_EraseRootFromParent_Done,
     /* 2204750 */ // Label 29122: @2204750
     /* 2204750 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2204804), // Rule ID 47465 //
     /* 2204755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204769 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204803 */   // GIR_Coverage, 47465,
     /* 2204803 */   GIR_EraseRootFromParent_Done,
     /* 2204804 */ // Label 29123: @2204804
     /* 2204804 */ GIM_Reject,
     /* 2204805 */ // Label 29045: @2204805
     /* 2204805 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2204908),
     /* 2204810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2204813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204821 */   GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2204864), // Rule ID 47378 //
     /* 2204826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204829 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204863 */     // GIR_Coverage, 47378,
     /* 2204863 */     GIR_EraseRootFromParent_Done,
     /* 2204864 */   // Label 29125: @2204864
     /* 2204864 */   GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2204907), // Rule ID 47379 //
     /* 2204869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204872 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204906 */     // GIR_Coverage, 47379,
     /* 2204906 */     GIR_EraseRootFromParent_Done,
     /* 2204907 */   // Label 29126: @2204907
     /* 2204907 */   GIM_Reject,
     /* 2204908 */ // Label 29124: @2204908
     /* 2204908 */ GIM_Reject,
     /* 2204909 */ // Label 29046: @2204909
     /* 2204909 */ GIM_Reject,
     /* 2204910 */ // Label 43: @2204910
     /* 2204910 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29151*/ GIMT_Encode4(2213505),
     /* 2204921 */ /*GILLT_s32*//*Label 29127*/ GIMT_Encode4(2205045),
     /* 2204925 */ /*GILLT_s64*//*Label 29128*/ GIMT_Encode4(2205170), GIMT_Encode4(0),
     /* 2204933 */ /*GILLT_nxv1s8*//*Label 29129*/ GIMT_Encode4(2205515),
     /* 2204937 */ /*GILLT_nxv1s16*//*Label 29130*/ GIMT_Encode4(2205630),
     /* 2204941 */ /*GILLT_nxv1s32*//*Label 29131*/ GIMT_Encode4(2206109),
     /* 2204945 */ /*GILLT_nxv1s64*//*Label 29132*/ GIMT_Encode4(2206588), GIMT_Encode4(0),
     /* 2204953 */ /*GILLT_nxv2s8*//*Label 29133*/ GIMT_Encode4(2207067),
     /* 2204957 */ /*GILLT_nxv2s16*//*Label 29134*/ GIMT_Encode4(2207182),
     /* 2204961 */ /*GILLT_nxv2s32*//*Label 29135*/ GIMT_Encode4(2207661),
     /* 2204965 */ /*GILLT_nxv2s64*//*Label 29136*/ GIMT_Encode4(2208140), GIMT_Encode4(0),
     /* 2204973 */ /*GILLT_nxv4s8*//*Label 29137*/ GIMT_Encode4(2208619),
     /* 2204977 */ /*GILLT_nxv4s16*//*Label 29138*/ GIMT_Encode4(2208734),
     /* 2204981 */ /*GILLT_nxv4s32*//*Label 29139*/ GIMT_Encode4(2209213),
     /* 2204985 */ /*GILLT_nxv4s64*//*Label 29140*/ GIMT_Encode4(2209692), GIMT_Encode4(0),
     /* 2204993 */ /*GILLT_nxv8s8*//*Label 29141*/ GIMT_Encode4(2210171),
     /* 2204997 */ /*GILLT_nxv8s16*//*Label 29142*/ GIMT_Encode4(2210286),
     /* 2205001 */ /*GILLT_nxv8s32*//*Label 29143*/ GIMT_Encode4(2210765),
     /* 2205005 */ /*GILLT_nxv8s64*//*Label 29144*/ GIMT_Encode4(2211244), GIMT_Encode4(0),
     /* 2205013 */ /*GILLT_nxv16s8*//*Label 29145*/ GIMT_Encode4(2211723),
     /* 2205017 */ /*GILLT_nxv16s16*//*Label 29146*/ GIMT_Encode4(2211838),
     /* 2205021 */ /*GILLT_nxv16s32*//*Label 29147*/ GIMT_Encode4(2212317), GIMT_Encode4(0),
     /* 2205029 */ /*GILLT_nxv32s8*//*Label 29148*/ GIMT_Encode4(2212796),
     /* 2205033 */ /*GILLT_nxv32s16*//*Label 29149*/ GIMT_Encode4(2212911), GIMT_Encode4(0),
     /* 2205041 */ /*GILLT_nxv64s8*//*Label 29150*/ GIMT_Encode4(2213390),
     /* 2205045 */ // Label 29127: @2205045
     /* 2205045 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2205169),
     /* 2205050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2205056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205060 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2205097), // Rule ID 2371 //
     /* 2205065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2205068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2205072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205079 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2205079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2205082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205096 */     // GIR_Coverage, 2371,
     /* 2205096 */     GIR_EraseRootFromParent_Done,
     /* 2205097 */   // Label 29153: @2205097
     /* 2205097 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2205135), // Rule ID 91 //
     /* 2205102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205121 */     // MIs[1] Operand 1
     /* 2205121 */     // No operand predicates
     /* 2205121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205123 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205134 */     // GIR_Coverage, 91,
     /* 2205134 */     GIR_EraseRootFromParent_Done,
     /* 2205135 */   // Label 29154: @2205135
     /* 2205135 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2205168), // Rule ID 105 //
     /* 2205140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205154 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2205154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205167 */     // GIR_Coverage, 105,
     /* 2205167 */     GIR_EraseRootFromParent_Done,
     /* 2205168 */   // Label 29155: @2205168
     /* 2205168 */   GIM_Reject,
     /* 2205169 */ // Label 29152: @2205169
     /* 2205169 */ GIM_Reject,
     /* 2205170 */ // Label 29128: @2205170
     /* 2205170 */ GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2205514),
     /* 2205175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205181 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2205275), // Rule ID 253 //
     /* 2205186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2205189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2205201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205214 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2205225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205233 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205237 */     // MIs[2] Operand 1
     /* 2205237 */     // No operand predicates
     /* 2205237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205239 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2205239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2205255 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2205258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205268 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2205273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205274 */     // GIR_Coverage, 253,
     /* 2205274 */     GIR_EraseRootFromParent_Done,
     /* 2205275 */   // Label 29157: @2205275
     /* 2205275 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2205347), // Rule ID 2489 //
     /* 2205280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2205283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2205295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2205303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205308 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2205319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205327 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205331 */     // MIs[2] Operand 1
     /* 2205331 */     // No operand predicates
     /* 2205331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205333 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2205333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2205336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2205342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2205345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205346 */     // GIR_Coverage, 2489,
     /* 2205346 */     GIR_EraseRootFromParent_Done,
     /* 2205347 */   // Label 29158: @2205347
     /* 2205347 */   GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2205388), // Rule ID 2370 //
     /* 2205352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2205355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205359 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2205363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205370 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2205370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2205373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205387 */     // GIR_Coverage, 2370,
     /* 2205387 */     GIR_EraseRootFromParent_Done,
     /* 2205388 */   // Label 29159: @2205388
     /* 2205388 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2205434), // Rule ID 268 //
     /* 2205393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2205396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2205416 */     // MIs[1] Operand 1
     /* 2205416 */     // No operand predicates
     /* 2205416 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10034),
     /* 2205420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205422 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10034>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2205422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2205425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205433 */     // GIR_Coverage, 268,
     /* 2205433 */     GIR_EraseRootFromParent_Done,
     /* 2205434 */   // Label 29160: @2205434
     /* 2205434 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2205476), // Rule ID 90 //
     /* 2205439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205462 */     // MIs[1] Operand 1
     /* 2205462 */     // No operand predicates
     /* 2205462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205464 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205475 */     // GIR_Coverage, 90,
     /* 2205475 */     GIR_EraseRootFromParent_Done,
     /* 2205476 */   // Label 29161: @2205476
     /* 2205476 */   GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2205513), // Rule ID 104 //
     /* 2205481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205499 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2205499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205512 */     // GIR_Coverage, 104,
     /* 2205512 */     GIR_EraseRootFromParent_Done,
     /* 2205513 */   // Label 29162: @2205513
     /* 2205513 */   GIM_Reject,
     /* 2205514 */ // Label 29156: @2205514
     /* 2205514 */ GIM_Reject,
     /* 2205515 */ // Label 29129: @2205515
     /* 2205515 */ GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2205629),
     /* 2205520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2205526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205538 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2205583), // Rule ID 47922 //
     /* 2205543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205546 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205582 */     // GIR_Coverage, 47922,
     /* 2205582 */     GIR_EraseRootFromParent_Done,
     /* 2205583 */   // Label 29164: @2205583
     /* 2205583 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2205628), // Rule ID 47923 //
     /* 2205588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205591 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205627 */     // GIR_Coverage, 47923,
     /* 2205627 */     GIR_EraseRootFromParent_Done,
     /* 2205628 */   // Label 29165: @2205628
     /* 2205628 */   GIM_Reject,
     /* 2205629 */ // Label 29163: @2205629
     /* 2205629 */ GIM_Reject,
     /* 2205630 */ // Label 29130: @2205630
     /* 2205630 */ GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2206108),
     /* 2205635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205645 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2205734), // Rule ID 59410 //
     /* 2205650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205665 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205684 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205693 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205733 */     // GIR_Coverage, 59410,
     /* 2205733 */     GIR_EraseRootFromParent_Done,
     /* 2205734 */   // Label 29167: @2205734
     /* 2205734 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2205823), // Rule ID 59411 //
     /* 2205739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205754 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205773 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205782 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205822 */     // GIR_Coverage, 59411,
     /* 2205822 */     GIR_EraseRootFromParent_Done,
     /* 2205823 */   // Label 29168: @2205823
     /* 2205823 */   GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2205912), // Rule ID 59412 //
     /* 2205828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205843 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205862 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205871 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205911 */     // GIR_Coverage, 59412,
     /* 2205911 */     GIR_EraseRootFromParent_Done,
     /* 2205912 */   // Label 29169: @2205912
     /* 2205912 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2206001), // Rule ID 59413 //
     /* 2205917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205932 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205951 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205960 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206000 */     // GIR_Coverage, 59413,
     /* 2206000 */     GIR_EraseRootFromParent_Done,
     /* 2206001 */   // Label 29170: @2206001
     /* 2206001 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2206054), // Rule ID 47934 //
     /* 2206006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206017 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206053 */     // GIR_Coverage, 47934,
     /* 2206053 */     GIR_EraseRootFromParent_Done,
     /* 2206054 */   // Label 29171: @2206054
     /* 2206054 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2206107), // Rule ID 47935 //
     /* 2206059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206070 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206106 */     // GIR_Coverage, 47935,
     /* 2206106 */     GIR_EraseRootFromParent_Done,
     /* 2206107 */   // Label 29172: @2206107
     /* 2206107 */   GIM_Reject,
     /* 2206108 */ // Label 29166: @2206108
     /* 2206108 */ GIM_Reject,
     /* 2206109 */ // Label 29131: @2206109
     /* 2206109 */ GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2206587),
     /* 2206114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2206120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206124 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2206213), // Rule ID 59458 //
     /* 2206129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206144 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206163 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206172 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206212 */     // GIR_Coverage, 59458,
     /* 2206212 */     GIR_EraseRootFromParent_Done,
     /* 2206213 */   // Label 29174: @2206213
     /* 2206213 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2206302), // Rule ID 59459 //
     /* 2206218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206233 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206252 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206261 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206301 */     // GIR_Coverage, 59459,
     /* 2206301 */     GIR_EraseRootFromParent_Done,
     /* 2206302 */   // Label 29175: @2206302
     /* 2206302 */   GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2206391), // Rule ID 59460 //
     /* 2206307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206322 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206341 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206350 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206390 */     // GIR_Coverage, 59460,
     /* 2206390 */     GIR_EraseRootFromParent_Done,
     /* 2206391 */   // Label 29176: @2206391
     /* 2206391 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2206480), // Rule ID 59461 //
     /* 2206396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206411 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206430 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206439 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206479 */     // GIR_Coverage, 59461,
     /* 2206479 */     GIR_EraseRootFromParent_Done,
     /* 2206480 */   // Label 29177: @2206480
     /* 2206480 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2206533), // Rule ID 47942 //
     /* 2206485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206496 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206532 */     // GIR_Coverage, 47942,
     /* 2206532 */     GIR_EraseRootFromParent_Done,
     /* 2206533 */   // Label 29178: @2206533
     /* 2206533 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2206586), // Rule ID 47943 //
     /* 2206538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206549 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206585 */     // GIR_Coverage, 47943,
     /* 2206585 */     GIR_EraseRootFromParent_Done,
     /* 2206586 */   // Label 29179: @2206586
     /* 2206586 */   GIM_Reject,
     /* 2206587 */ // Label 29173: @2206587
     /* 2206587 */ GIM_Reject,
     /* 2206588 */ // Label 29132: @2206588
     /* 2206588 */ GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2207066),
     /* 2206593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2206596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206603 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2206692), // Rule ID 59498 //
     /* 2206608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206623 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206642 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206644 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206651 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206691 */     // GIR_Coverage, 59498,
     /* 2206691 */     GIR_EraseRootFromParent_Done,
     /* 2206692 */   // Label 29181: @2206692
     /* 2206692 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2206781), // Rule ID 59499 //
     /* 2206697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206712 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206731 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206740 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206780 */     // GIR_Coverage, 59499,
     /* 2206780 */     GIR_EraseRootFromParent_Done,
     /* 2206781 */   // Label 29182: @2206781
     /* 2206781 */   GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2206870), // Rule ID 59500 //
     /* 2206786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206801 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206820 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206829 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206869 */     // GIR_Coverage, 59500,
     /* 2206869 */     GIR_EraseRootFromParent_Done,
     /* 2206870 */   // Label 29183: @2206870
     /* 2206870 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2206959), // Rule ID 59501 //
     /* 2206875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206890 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206909 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206918 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206958 */     // GIR_Coverage, 59501,
     /* 2206958 */     GIR_EraseRootFromParent_Done,
     /* 2206959 */   // Label 29184: @2206959
     /* 2206959 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2207012), // Rule ID 47958 //
     /* 2206964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2206967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206975 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207011 */     // GIR_Coverage, 47958,
     /* 2207011 */     GIR_EraseRootFromParent_Done,
     /* 2207012 */   // Label 29185: @2207012
     /* 2207012 */   GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2207065), // Rule ID 47959 //
     /* 2207017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2207020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207028 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2207031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207064 */     // GIR_Coverage, 47959,
     /* 2207064 */     GIR_EraseRootFromParent_Done,
     /* 2207065 */   // Label 29186: @2207065
     /* 2207065 */   GIM_Reject,
     /* 2207066 */ // Label 29180: @2207066
     /* 2207066 */ GIM_Reject,
     /* 2207067 */ // Label 29133: @2207067
     /* 2207067 */ GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2207181),
     /* 2207072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2207078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207090 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2207135), // Rule ID 47926 //
     /* 2207095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207098 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2207101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2207115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207134 */     // GIR_Coverage, 47926,
     /* 2207134 */     GIR_EraseRootFromParent_Done,
     /* 2207135 */   // Label 29188: @2207135
     /* 2207135 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2207180), // Rule ID 47927 //
     /* 2207140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207143 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2207146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2207160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207179 */     // GIR_Coverage, 47927,
     /* 2207179 */     GIR_EraseRootFromParent_Done,
     /* 2207180 */   // Label 29189: @2207180
     /* 2207180 */   GIM_Reject,
     /* 2207181 */ // Label 29187: @2207181
     /* 2207181 */ GIM_Reject,
     /* 2207182 */ // Label 29134: @2207182
     /* 2207182 */ GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2207660),
     /* 2207187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2207193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207197 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2207286), // Rule ID 59418 //
     /* 2207202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207217 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207236 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207245 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207285 */     // GIR_Coverage, 59418,
     /* 2207285 */     GIR_EraseRootFromParent_Done,
     /* 2207286 */   // Label 29191: @2207286
     /* 2207286 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2207375), // Rule ID 59419 //
     /* 2207291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207306 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207325 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207334 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207374 */     // GIR_Coverage, 59419,
     /* 2207374 */     GIR_EraseRootFromParent_Done,
     /* 2207375 */   // Label 29192: @2207375
     /* 2207375 */   GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2207464), // Rule ID 59420 //
     /* 2207380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207395 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207414 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207423 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207463 */     // GIR_Coverage, 59420,
     /* 2207463 */     GIR_EraseRootFromParent_Done,
     /* 2207464 */   // Label 29193: @2207464
     /* 2207464 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2207553), // Rule ID 59421 //
     /* 2207469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207484 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207503 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207512 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207552 */     // GIR_Coverage, 59421,
     /* 2207552 */     GIR_EraseRootFromParent_Done,
     /* 2207553 */   // Label 29194: @2207553
     /* 2207553 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2207606), // Rule ID 47938 //
     /* 2207558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207569 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207605 */     // GIR_Coverage, 47938,
     /* 2207605 */     GIR_EraseRootFromParent_Done,
     /* 2207606 */   // Label 29195: @2207606
     /* 2207606 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2207659), // Rule ID 47939 //
     /* 2207611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207622 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207658 */     // GIR_Coverage, 47939,
     /* 2207658 */     GIR_EraseRootFromParent_Done,
     /* 2207659 */   // Label 29196: @2207659
     /* 2207659 */   GIM_Reject,
     /* 2207660 */ // Label 29190: @2207660
     /* 2207660 */ GIM_Reject,
     /* 2207661 */ // Label 29135: @2207661
     /* 2207661 */ GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2208139),
     /* 2207666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207676 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2207765), // Rule ID 59466 //
     /* 2207681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207696 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207715 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207724 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207764 */     // GIR_Coverage, 59466,
     /* 2207764 */     GIR_EraseRootFromParent_Done,
     /* 2207765 */   // Label 29198: @2207765
     /* 2207765 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2207854), // Rule ID 59467 //
     /* 2207770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207785 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207804 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207813 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207853 */     // GIR_Coverage, 59467,
     /* 2207853 */     GIR_EraseRootFromParent_Done,
     /* 2207854 */   // Label 29199: @2207854
     /* 2207854 */   GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2207943), // Rule ID 59468 //
     /* 2207859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207874 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207893 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207902 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207942 */     // GIR_Coverage, 59468,
     /* 2207942 */     GIR_EraseRootFromParent_Done,
     /* 2207943 */   // Label 29200: @2207943
     /* 2207943 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2208032), // Rule ID 59469 //
     /* 2207948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207963 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207982 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207991 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208031 */     // GIR_Coverage, 59469,
     /* 2208031 */     GIR_EraseRootFromParent_Done,
     /* 2208032 */   // Label 29201: @2208032
     /* 2208032 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2208085), // Rule ID 47954 //
     /* 2208037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208048 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208084 */     // GIR_Coverage, 47954,
     /* 2208084 */     GIR_EraseRootFromParent_Done,
     /* 2208085 */   // Label 29202: @2208085
     /* 2208085 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2208138), // Rule ID 47955 //
     /* 2208090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208101 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208137 */     // GIR_Coverage, 47955,
     /* 2208137 */     GIR_EraseRootFromParent_Done,
     /* 2208138 */   // Label 29203: @2208138
     /* 2208138 */   GIM_Reject,
     /* 2208139 */ // Label 29197: @2208139
     /* 2208139 */ GIM_Reject,
     /* 2208140 */ // Label 29136: @2208140
     /* 2208140 */ GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2208618),
     /* 2208145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2208148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2208151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208155 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2208244), // Rule ID 59506 //
     /* 2208160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208175 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208194 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208203 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208243 */     // GIR_Coverage, 59506,
     /* 2208243 */     GIR_EraseRootFromParent_Done,
     /* 2208244 */   // Label 29205: @2208244
     /* 2208244 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2208333), // Rule ID 59507 //
     /* 2208249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208264 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208283 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208292 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208332 */     // GIR_Coverage, 59507,
     /* 2208332 */     GIR_EraseRootFromParent_Done,
     /* 2208333 */   // Label 29206: @2208333
     /* 2208333 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2208422), // Rule ID 59508 //
     /* 2208338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208353 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208372 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208381 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208421 */     // GIR_Coverage, 59508,
     /* 2208421 */     GIR_EraseRootFromParent_Done,
     /* 2208422 */   // Label 29207: @2208422
     /* 2208422 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2208511), // Rule ID 59509 //
     /* 2208427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208442 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208461 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208470 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208510 */     // GIR_Coverage, 59509,
     /* 2208510 */     GIR_EraseRootFromParent_Done,
     /* 2208511 */   // Label 29208: @2208511
     /* 2208511 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2208564), // Rule ID 47998 //
     /* 2208516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208527 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208563 */     // GIR_Coverage, 47998,
     /* 2208563 */     GIR_EraseRootFromParent_Done,
     /* 2208564 */   // Label 29209: @2208564
     /* 2208564 */   GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2208617), // Rule ID 47999 //
     /* 2208569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208580 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208616 */     // GIR_Coverage, 47999,
     /* 2208616 */     GIR_EraseRootFromParent_Done,
     /* 2208617 */   // Label 29210: @2208617
     /* 2208617 */   GIM_Reject,
     /* 2208618 */ // Label 29204: @2208618
     /* 2208618 */ GIM_Reject,
     /* 2208619 */ // Label 29137: @2208619
     /* 2208619 */ GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2208733),
     /* 2208624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2208630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208642 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2208687), // Rule ID 47930 //
     /* 2208647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208650 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208686 */     // GIR_Coverage, 47930,
     /* 2208686 */     GIR_EraseRootFromParent_Done,
     /* 2208687 */   // Label 29212: @2208687
     /* 2208687 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2208732), // Rule ID 47931 //
     /* 2208692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208695 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208731 */     // GIR_Coverage, 47931,
     /* 2208731 */     GIR_EraseRootFromParent_Done,
     /* 2208732 */   // Label 29213: @2208732
     /* 2208732 */   GIM_Reject,
     /* 2208733 */ // Label 29211: @2208733
     /* 2208733 */ GIM_Reject,
     /* 2208734 */ // Label 29138: @2208734
     /* 2208734 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2209212),
     /* 2208739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208749 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2208838), // Rule ID 59426 //
     /* 2208754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208769 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208788 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208797 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208837 */     // GIR_Coverage, 59426,
     /* 2208837 */     GIR_EraseRootFromParent_Done,
     /* 2208838 */   // Label 29215: @2208838
     /* 2208838 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2208927), // Rule ID 59427 //
     /* 2208843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208858 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208877 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208886 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208926 */     // GIR_Coverage, 59427,
     /* 2208926 */     GIR_EraseRootFromParent_Done,
     /* 2208927 */   // Label 29216: @2208927
     /* 2208927 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209016), // Rule ID 59428 //
     /* 2208932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208947 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208966 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208975 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209015 */     // GIR_Coverage, 59428,
     /* 2209015 */     GIR_EraseRootFromParent_Done,
     /* 2209016 */   // Label 29217: @2209016
     /* 2209016 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2209105), // Rule ID 59429 //
     /* 2209021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209036 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209055 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209064 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2209081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209104 */     // GIR_Coverage, 59429,
     /* 2209104 */     GIR_EraseRootFromParent_Done,
     /* 2209105 */   // Label 29218: @2209105
     /* 2209105 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2209158), // Rule ID 47950 //
     /* 2209110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209121 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209157 */     // GIR_Coverage, 47950,
     /* 2209157 */     GIR_EraseRootFromParent_Done,
     /* 2209158 */   // Label 29219: @2209158
     /* 2209158 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209211), // Rule ID 47951 //
     /* 2209163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209174 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209210 */     // GIR_Coverage, 47951,
     /* 2209210 */     GIR_EraseRootFromParent_Done,
     /* 2209211 */   // Label 29220: @2209211
     /* 2209211 */   GIM_Reject,
     /* 2209212 */ // Label 29214: @2209212
     /* 2209212 */ GIM_Reject,
     /* 2209213 */ // Label 29139: @2209213
     /* 2209213 */ GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209691),
     /* 2209218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2209224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209228 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209317), // Rule ID 59474 //
     /* 2209233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209248 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209267 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209276 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209316 */     // GIR_Coverage, 59474,
     /* 2209316 */     GIR_EraseRootFromParent_Done,
     /* 2209317 */   // Label 29222: @2209317
     /* 2209317 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209406), // Rule ID 59475 //
     /* 2209322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209337 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209356 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209365 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209405 */     // GIR_Coverage, 59475,
     /* 2209405 */     GIR_EraseRootFromParent_Done,
     /* 2209406 */   // Label 29223: @2209406
     /* 2209406 */   GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2209495), // Rule ID 59476 //
     /* 2209411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209426 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209445 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209454 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209494 */     // GIR_Coverage, 59476,
     /* 2209494 */     GIR_EraseRootFromParent_Done,
     /* 2209495 */   // Label 29224: @2209495
     /* 2209495 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209584), // Rule ID 59477 //
     /* 2209500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209515 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209534 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209543 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209583 */     // GIR_Coverage, 59477,
     /* 2209583 */     GIR_EraseRootFromParent_Done,
     /* 2209584 */   // Label 29225: @2209584
     /* 2209584 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209637), // Rule ID 47986 //
     /* 2209589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209600 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209636 */     // GIR_Coverage, 47986,
     /* 2209636 */     GIR_EraseRootFromParent_Done,
     /* 2209637 */   // Label 29226: @2209637
     /* 2209637 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2209690), // Rule ID 47987 //
     /* 2209642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209653 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209689 */     // GIR_Coverage, 47987,
     /* 2209689 */     GIR_EraseRootFromParent_Done,
     /* 2209690 */   // Label 29227: @2209690
     /* 2209690 */   GIM_Reject,
     /* 2209691 */ // Label 29221: @2209691
     /* 2209691 */ GIM_Reject,
     /* 2209692 */ // Label 29140: @2209692
     /* 2209692 */ GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2210170),
     /* 2209697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2209700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2209703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209707 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2209796), // Rule ID 59514 //
     /* 2209712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209727 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209746 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209755 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209795 */     // GIR_Coverage, 59514,
     /* 2209795 */     GIR_EraseRootFromParent_Done,
     /* 2209796 */   // Label 29229: @2209796
     /* 2209796 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2209885), // Rule ID 59515 //
     /* 2209801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209816 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209835 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209844 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209884 */     // GIR_Coverage, 59515,
     /* 2209884 */     GIR_EraseRootFromParent_Done,
     /* 2209885 */   // Label 29230: @2209885
     /* 2209885 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2209974), // Rule ID 59516 //
     /* 2209890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209905 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209924 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209933 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209973 */     // GIR_Coverage, 59516,
     /* 2209973 */     GIR_EraseRootFromParent_Done,
     /* 2209974 */   // Label 29231: @2209974
     /* 2209974 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2210063), // Rule ID 59517 //
     /* 2209979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209994 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2210013 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210022 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210062 */     // GIR_Coverage, 59517,
     /* 2210062 */     GIR_EraseRootFromParent_Done,
     /* 2210063 */   // Label 29232: @2210063
     /* 2210063 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2210116), // Rule ID 48002 //
     /* 2210068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2210071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210079 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210115 */     // GIR_Coverage, 48002,
     /* 2210115 */     GIR_EraseRootFromParent_Done,
     /* 2210116 */   // Label 29233: @2210116
     /* 2210116 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210169), // Rule ID 48003 //
     /* 2210121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2210124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210132 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210168 */     // GIR_Coverage, 48003,
     /* 2210168 */     GIR_EraseRootFromParent_Done,
     /* 2210169 */   // Label 29234: @2210169
     /* 2210169 */   GIM_Reject,
     /* 2210170 */ // Label 29228: @2210170
     /* 2210170 */ GIM_Reject,
     /* 2210171 */ // Label 29141: @2210171
     /* 2210171 */ GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2210285),
     /* 2210176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2210182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210194 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210239), // Rule ID 47946 //
     /* 2210199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210202 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2210219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210238 */     // GIR_Coverage, 47946,
     /* 2210238 */     GIR_EraseRootFromParent_Done,
     /* 2210239 */   // Label 29236: @2210239
     /* 2210239 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210284), // Rule ID 47947 //
     /* 2210244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210247 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2210264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210283 */     // GIR_Coverage, 47947,
     /* 2210283 */     GIR_EraseRootFromParent_Done,
     /* 2210284 */   // Label 29237: @2210284
     /* 2210284 */   GIM_Reject,
     /* 2210285 */ // Label 29235: @2210285
     /* 2210285 */ GIM_Reject,
     /* 2210286 */ // Label 29142: @2210286
     /* 2210286 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2210764),
     /* 2210291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2210297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210301 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210390), // Rule ID 59434 //
     /* 2210306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210321 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210340 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210349 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210389 */     // GIR_Coverage, 59434,
     /* 2210389 */     GIR_EraseRootFromParent_Done,
     /* 2210390 */   // Label 29239: @2210390
     /* 2210390 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210479), // Rule ID 59435 //
     /* 2210395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210410 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210429 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210438 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210478 */     // GIR_Coverage, 59435,
     /* 2210478 */     GIR_EraseRootFromParent_Done,
     /* 2210479 */   // Label 29240: @2210479
     /* 2210479 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2210568), // Rule ID 59436 //
     /* 2210484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210499 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210518 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210527 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210567 */     // GIR_Coverage, 59436,
     /* 2210567 */     GIR_EraseRootFromParent_Done,
     /* 2210568 */   // Label 29241: @2210568
     /* 2210568 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2210657), // Rule ID 59437 //
     /* 2210573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210588 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210607 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210616 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210656 */     // GIR_Coverage, 59437,
     /* 2210656 */     GIR_EraseRootFromParent_Done,
     /* 2210657 */   // Label 29242: @2210657
     /* 2210657 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2210710), // Rule ID 47974 //
     /* 2210662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210673 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210709 */     // GIR_Coverage, 47974,
     /* 2210709 */     GIR_EraseRootFromParent_Done,
     /* 2210710 */   // Label 29243: @2210710
     /* 2210710 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2210763), // Rule ID 47975 //
     /* 2210715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210726 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210762 */     // GIR_Coverage, 47975,
     /* 2210762 */     GIR_EraseRootFromParent_Done,
     /* 2210763 */   // Label 29244: @2210763
     /* 2210763 */   GIM_Reject,
     /* 2210764 */ // Label 29238: @2210764
     /* 2210764 */ GIM_Reject,
     /* 2210765 */ // Label 29143: @2210765
     /* 2210765 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2211243),
     /* 2210770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2210776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210780 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2210869), // Rule ID 59482 //
     /* 2210785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210800 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210819 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210821 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210828 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210868 */     // GIR_Coverage, 59482,
     /* 2210868 */     GIR_EraseRootFromParent_Done,
     /* 2210869 */   // Label 29246: @2210869
     /* 2210869 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2210958), // Rule ID 59483 //
     /* 2210874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210889 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210908 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210917 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210957 */     // GIR_Coverage, 59483,
     /* 2210957 */     GIR_EraseRootFromParent_Done,
     /* 2210958 */   // Label 29247: @2210958
     /* 2210958 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211047), // Rule ID 59484 //
     /* 2210963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210978 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210997 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210999 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211006 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211046 */     // GIR_Coverage, 59484,
     /* 2211046 */     GIR_EraseRootFromParent_Done,
     /* 2211047 */   // Label 29248: @2211047
     /* 2211047 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2211136), // Rule ID 59485 //
     /* 2211052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2211067 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2211086 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211095 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211135 */     // GIR_Coverage, 59485,
     /* 2211135 */     GIR_EraseRootFromParent_Done,
     /* 2211136 */   // Label 29249: @2211136
     /* 2211136 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211189), // Rule ID 47990 //
     /* 2211141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211152 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211188 */     // GIR_Coverage, 47990,
     /* 2211188 */     GIR_EraseRootFromParent_Done,
     /* 2211189 */   // Label 29250: @2211189
     /* 2211189 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211242), // Rule ID 47991 //
     /* 2211194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211205 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211241 */     // GIR_Coverage, 47991,
     /* 2211241 */     GIR_EraseRootFromParent_Done,
     /* 2211242 */   // Label 29251: @2211242
     /* 2211242 */   GIM_Reject,
     /* 2211243 */ // Label 29245: @2211243
     /* 2211243 */ GIM_Reject,
     /* 2211244 */ // Label 29144: @2211244
     /* 2211244 */ GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211722),
     /* 2211249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2211255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211259 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211348), // Rule ID 59522 //
     /* 2211264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211279 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211298 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211307 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211347 */     // GIR_Coverage, 59522,
     /* 2211347 */     GIR_EraseRootFromParent_Done,
     /* 2211348 */   // Label 29253: @2211348
     /* 2211348 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211437), // Rule ID 59523 //
     /* 2211353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211368 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211387 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211396 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211436 */     // GIR_Coverage, 59523,
     /* 2211436 */     GIR_EraseRootFromParent_Done,
     /* 2211437 */   // Label 29254: @2211437
     /* 2211437 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2211526), // Rule ID 59524 //
     /* 2211442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211457 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211476 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211485 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211525 */     // GIR_Coverage, 59524,
     /* 2211525 */     GIR_EraseRootFromParent_Done,
     /* 2211526 */   // Label 29255: @2211526
     /* 2211526 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211615), // Rule ID 59525 //
     /* 2211531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211546 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211565 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211574 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211614 */     // GIR_Coverage, 59525,
     /* 2211614 */     GIR_EraseRootFromParent_Done,
     /* 2211615 */   // Label 29256: @2211615
     /* 2211615 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211668), // Rule ID 48006 //
     /* 2211620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211631 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211667 */     // GIR_Coverage, 48006,
     /* 2211667 */     GIR_EraseRootFromParent_Done,
     /* 2211668 */   // Label 29257: @2211668
     /* 2211668 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2211721), // Rule ID 48007 //
     /* 2211673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211684 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211720 */     // GIR_Coverage, 48007,
     /* 2211720 */     GIR_EraseRootFromParent_Done,
     /* 2211721 */   // Label 29258: @2211721
     /* 2211721 */   GIM_Reject,
     /* 2211722 */ // Label 29252: @2211722
     /* 2211722 */ GIM_Reject,
     /* 2211723 */ // Label 29145: @2211723
     /* 2211723 */ GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2211837),
     /* 2211728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2211734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211746 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2211791), // Rule ID 47962 //
     /* 2211751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211754 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211790 */     // GIR_Coverage, 47962,
     /* 2211790 */     GIR_EraseRootFromParent_Done,
     /* 2211791 */   // Label 29260: @2211791
     /* 2211791 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2211836), // Rule ID 47963 //
     /* 2211796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211799 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211835 */     // GIR_Coverage, 47963,
     /* 2211835 */     GIR_EraseRootFromParent_Done,
     /* 2211836 */   // Label 29261: @2211836
     /* 2211836 */   GIM_Reject,
     /* 2211837 */ // Label 29259: @2211837
     /* 2211837 */ GIM_Reject,
     /* 2211838 */ // Label 29146: @2211838
     /* 2211838 */ GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2212316),
     /* 2211843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2211849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211853 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2211942), // Rule ID 59442 //
     /* 2211858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211873 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211892 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211901 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211941 */     // GIR_Coverage, 59442,
     /* 2211941 */     GIR_EraseRootFromParent_Done,
     /* 2211942 */   // Label 29263: @2211942
     /* 2211942 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2212031), // Rule ID 59443 //
     /* 2211947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211962 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211981 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211990 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212030 */     // GIR_Coverage, 59443,
     /* 2212030 */     GIR_EraseRootFromParent_Done,
     /* 2212031 */   // Label 29264: @2212031
     /* 2212031 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2212120), // Rule ID 59444 //
     /* 2212036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212051 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212070 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212079 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212119 */     // GIR_Coverage, 59444,
     /* 2212119 */     GIR_EraseRootFromParent_Done,
     /* 2212120 */   // Label 29265: @2212120
     /* 2212120 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2212209), // Rule ID 59445 //
     /* 2212125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212140 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212159 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212168 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2212185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212208 */     // GIR_Coverage, 59445,
     /* 2212208 */     GIR_EraseRootFromParent_Done,
     /* 2212209 */   // Label 29266: @2212209
     /* 2212209 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2212262), // Rule ID 47978 //
     /* 2212214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212225 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212261 */     // GIR_Coverage, 47978,
     /* 2212261 */     GIR_EraseRootFromParent_Done,
     /* 2212262 */   // Label 29267: @2212262
     /* 2212262 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2212315), // Rule ID 47979 //
     /* 2212267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212278 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212314 */     // GIR_Coverage, 47979,
     /* 2212314 */     GIR_EraseRootFromParent_Done,
     /* 2212315 */   // Label 29268: @2212315
     /* 2212315 */   GIM_Reject,
     /* 2212316 */ // Label 29262: @2212316
     /* 2212316 */ GIM_Reject,
     /* 2212317 */ // Label 29147: @2212317
     /* 2212317 */ GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2212795),
     /* 2212322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2212325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2212328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212332 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2212421), // Rule ID 59490 //
     /* 2212337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212352 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212371 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212380 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212420 */     // GIR_Coverage, 59490,
     /* 2212420 */     GIR_EraseRootFromParent_Done,
     /* 2212421 */   // Label 29270: @2212421
     /* 2212421 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2212510), // Rule ID 59491 //
     /* 2212426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212441 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212460 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212469 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212509 */     // GIR_Coverage, 59491,
     /* 2212509 */     GIR_EraseRootFromParent_Done,
     /* 2212510 */   // Label 29271: @2212510
     /* 2212510 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2212599), // Rule ID 59492 //
     /* 2212515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212530 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212549 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212558 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212598 */     // GIR_Coverage, 59492,
     /* 2212598 */     GIR_EraseRootFromParent_Done,
     /* 2212599 */   // Label 29272: @2212599
     /* 2212599 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2212688), // Rule ID 59493 //
     /* 2212604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212619 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212638 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212647 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212687 */     // GIR_Coverage, 59493,
     /* 2212687 */     GIR_EraseRootFromParent_Done,
     /* 2212688 */   // Label 29273: @2212688
     /* 2212688 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2212741), // Rule ID 47994 //
     /* 2212693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212704 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212740 */     // GIR_Coverage, 47994,
     /* 2212740 */     GIR_EraseRootFromParent_Done,
     /* 2212741 */   // Label 29274: @2212741
     /* 2212741 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2212794), // Rule ID 47995 //
     /* 2212746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212757 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212793 */     // GIR_Coverage, 47995,
     /* 2212793 */     GIR_EraseRootFromParent_Done,
     /* 2212794 */   // Label 29275: @2212794
     /* 2212794 */   GIM_Reject,
     /* 2212795 */ // Label 29269: @2212795
     /* 2212795 */ GIM_Reject,
     /* 2212796 */ // Label 29148: @2212796
     /* 2212796 */ GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2212910),
     /* 2212801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2212807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212819 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2212864), // Rule ID 47966 //
     /* 2212824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212827 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212863 */     // GIR_Coverage, 47966,
     /* 2212863 */     GIR_EraseRootFromParent_Done,
     /* 2212864 */   // Label 29277: @2212864
     /* 2212864 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2212909), // Rule ID 47967 //
     /* 2212869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212872 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212908 */     // GIR_Coverage, 47967,
     /* 2212908 */     GIR_EraseRootFromParent_Done,
     /* 2212909 */   // Label 29278: @2212909
     /* 2212909 */   GIM_Reject,
     /* 2212910 */ // Label 29276: @2212910
     /* 2212910 */ GIM_Reject,
     /* 2212911 */ // Label 29149: @2212911
     /* 2212911 */ GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2213389),
     /* 2212916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2212919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2212922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212926 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2213015), // Rule ID 59450 //
     /* 2212931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212946 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212965 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212974 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213014 */     // GIR_Coverage, 59450,
     /* 2213014 */     GIR_EraseRootFromParent_Done,
     /* 2213015 */   // Label 29280: @2213015
     /* 2213015 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2213104), // Rule ID 59451 //
     /* 2213020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213035 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213054 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213063 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213103 */     // GIR_Coverage, 59451,
     /* 2213103 */     GIR_EraseRootFromParent_Done,
     /* 2213104 */   // Label 29281: @2213104
     /* 2213104 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2213193), // Rule ID 59452 //
     /* 2213109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2213112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213124 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213143 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213152 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213192 */     // GIR_Coverage, 59452,
     /* 2213192 */     GIR_EraseRootFromParent_Done,
     /* 2213193 */   // Label 29282: @2213193
     /* 2213193 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2213282), // Rule ID 59453 //
     /* 2213198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213213 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2213232 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213241 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2213258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213281 */     // GIR_Coverage, 59453,
     /* 2213281 */     GIR_EraseRootFromParent_Done,
     /* 2213282 */   // Label 29283: @2213282
     /* 2213282 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2213335), // Rule ID 47982 //
     /* 2213287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213298 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213334 */     // GIR_Coverage, 47982,
     /* 2213334 */     GIR_EraseRootFromParent_Done,
     /* 2213335 */   // Label 29284: @2213335
     /* 2213335 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2213388), // Rule ID 47983 //
     /* 2213340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213351 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2213354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213387 */     // GIR_Coverage, 47983,
     /* 2213387 */     GIR_EraseRootFromParent_Done,
     /* 2213388 */   // Label 29285: @2213388
     /* 2213388 */   GIM_Reject,
     /* 2213389 */ // Label 29279: @2213389
     /* 2213389 */ GIM_Reject,
     /* 2213390 */ // Label 29150: @2213390
     /* 2213390 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2213504),
     /* 2213395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2213398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2213401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213413 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2213458), // Rule ID 47970 //
     /* 2213418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213421 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213457 */     // GIR_Coverage, 47970,
     /* 2213457 */     GIR_EraseRootFromParent_Done,
     /* 2213458 */   // Label 29287: @2213458
     /* 2213458 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2213503), // Rule ID 47971 //
     /* 2213463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213466 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213502 */     // GIR_Coverage, 47971,
     /* 2213502 */     GIR_EraseRootFromParent_Done,
     /* 2213503 */   // Label 29288: @2213503
     /* 2213503 */   GIM_Reject,
     /* 2213504 */ // Label 29286: @2213504
     /* 2213504 */ GIM_Reject,
     /* 2213505 */ // Label 29151: @2213505
     /* 2213505 */ GIM_Reject,
     /* 2213506 */ // Label 44: @2213506
     /* 2213506 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29313*/ GIMT_Encode4(2216536),
     /* 2213517 */ /*GILLT_s32*//*Label 29289*/ GIMT_Encode4(2213641),
     /* 2213521 */ /*GILLT_s64*//*Label 29290*/ GIMT_Encode4(2213725), GIMT_Encode4(0),
     /* 2213529 */ /*GILLT_nxv1s8*//*Label 29291*/ GIMT_Encode4(2214006),
     /* 2213533 */ /*GILLT_nxv1s16*//*Label 29292*/ GIMT_Encode4(2214121),
     /* 2213537 */ /*GILLT_nxv1s32*//*Label 29293*/ GIMT_Encode4(2214236),
     /* 2213541 */ /*GILLT_nxv1s64*//*Label 29294*/ GIMT_Encode4(2214351), GIMT_Encode4(0),
     /* 2213549 */ /*GILLT_nxv2s8*//*Label 29295*/ GIMT_Encode4(2214466),
     /* 2213553 */ /*GILLT_nxv2s16*//*Label 29296*/ GIMT_Encode4(2214581),
     /* 2213557 */ /*GILLT_nxv2s32*//*Label 29297*/ GIMT_Encode4(2214696),
     /* 2213561 */ /*GILLT_nxv2s64*//*Label 29298*/ GIMT_Encode4(2214811), GIMT_Encode4(0),
     /* 2213569 */ /*GILLT_nxv4s8*//*Label 29299*/ GIMT_Encode4(2214926),
     /* 2213573 */ /*GILLT_nxv4s16*//*Label 29300*/ GIMT_Encode4(2215041),
     /* 2213577 */ /*GILLT_nxv4s32*//*Label 29301*/ GIMT_Encode4(2215156),
     /* 2213581 */ /*GILLT_nxv4s64*//*Label 29302*/ GIMT_Encode4(2215271), GIMT_Encode4(0),
     /* 2213589 */ /*GILLT_nxv8s8*//*Label 29303*/ GIMT_Encode4(2215386),
     /* 2213593 */ /*GILLT_nxv8s16*//*Label 29304*/ GIMT_Encode4(2215501),
     /* 2213597 */ /*GILLT_nxv8s32*//*Label 29305*/ GIMT_Encode4(2215616),
     /* 2213601 */ /*GILLT_nxv8s64*//*Label 29306*/ GIMT_Encode4(2215731), GIMT_Encode4(0),
     /* 2213609 */ /*GILLT_nxv16s8*//*Label 29307*/ GIMT_Encode4(2215846),
     /* 2213613 */ /*GILLT_nxv16s16*//*Label 29308*/ GIMT_Encode4(2215961),
     /* 2213617 */ /*GILLT_nxv16s32*//*Label 29309*/ GIMT_Encode4(2216076), GIMT_Encode4(0),
     /* 2213625 */ /*GILLT_nxv32s8*//*Label 29310*/ GIMT_Encode4(2216191),
     /* 2213629 */ /*GILLT_nxv32s16*//*Label 29311*/ GIMT_Encode4(2216306), GIMT_Encode4(0),
     /* 2213637 */ /*GILLT_nxv64s8*//*Label 29312*/ GIMT_Encode4(2216421),
     /* 2213641 */ // Label 29289: @2213641
     /* 2213641 */ GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2213724),
     /* 2213646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2213649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2213652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213660 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2213694), // Rule ID 93 //
     /* 2213665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213680 */     // MIs[1] Operand 1
     /* 2213680 */     // No operand predicates
     /* 2213680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213682 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213693 */     // GIR_Coverage, 93,
     /* 2213693 */     GIR_EraseRootFromParent_Done,
     /* 2213694 */   // Label 29315: @2213694
     /* 2213694 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2213723), // Rule ID 107 //
     /* 2213699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213709 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213722 */     // GIR_Coverage, 107,
     /* 2213722 */     GIR_EraseRootFromParent_Done,
     /* 2213723 */   // Label 29316: @2213723
     /* 2213723 */   GIM_Reject,
     /* 2213724 */ // Label 29314: @2213724
     /* 2213724 */ GIM_Reject,
     /* 2213725 */ // Label 29290: @2213725
     /* 2213725 */ GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2214005),
     /* 2213730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213736 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2213808), // Rule ID 257 //
     /* 2213741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2213756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213769 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2213780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213788 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213792 */     // MIs[2] Operand 1
     /* 2213792 */     // No operand predicates
     /* 2213792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213794 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2213797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213807 */     // GIR_Coverage, 257,
     /* 2213807 */     GIR_EraseRootFromParent_Done,
     /* 2213808 */   // Label 29318: @2213808
     /* 2213808 */   GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2213853), // Rule ID 62483 //
     /* 2213813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2213816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2213828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2213836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10036),
     /* 2213840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213842 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10036>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2213842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2213845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213852 */     // GIR_Coverage, 62483,
     /* 2213852 */     GIR_EraseRootFromParent_Done,
     /* 2213853 */   // Label 29319: @2213853
     /* 2213853 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2213925), // Rule ID 269 //
     /* 2213858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2213873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213882 */     // MIs[1] Operand 2
     /* 2213882 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2213893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213901 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213905 */     // MIs[2] Operand 1
     /* 2213905 */     // No operand predicates
     /* 2213905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10036),
     /* 2213909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213911 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10036>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2213914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213924 */     // GIR_Coverage, 269,
     /* 2213924 */     GIR_EraseRootFromParent_Done,
     /* 2213925 */   // Label 29320: @2213925
     /* 2213925 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2213967), // Rule ID 92 //
     /* 2213930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213953 */     // MIs[1] Operand 1
     /* 2213953 */     // No operand predicates
     /* 2213953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213955 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213966 */     // GIR_Coverage, 92,
     /* 2213966 */     GIR_EraseRootFromParent_Done,
     /* 2213967 */   // Label 29321: @2213967
     /* 2213967 */   GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2214004), // Rule ID 106 //
     /* 2213972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213990 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2214002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214003 */     // GIR_Coverage, 106,
     /* 2214003 */     GIR_EraseRootFromParent_Done,
     /* 2214004 */   // Label 29322: @2214004
     /* 2214004 */   GIM_Reject,
     /* 2214005 */ // Label 29317: @2214005
     /* 2214005 */ GIM_Reject,
     /* 2214006 */ // Label 29291: @2214006
     /* 2214006 */ GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2214120),
     /* 2214011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2214014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2214017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214029 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2214074), // Rule ID 48054 //
     /* 2214034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214037 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2214054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214073 */     // GIR_Coverage, 48054,
     /* 2214073 */     GIR_EraseRootFromParent_Done,
     /* 2214074 */   // Label 29324: @2214074
     /* 2214074 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2214119), // Rule ID 48055 //
     /* 2214079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214082 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2214085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2214099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214118 */     // GIR_Coverage, 48055,
     /* 2214118 */     GIR_EraseRootFromParent_Done,
     /* 2214119 */   // Label 29325: @2214119
     /* 2214119 */   GIM_Reject,
     /* 2214120 */ // Label 29323: @2214120
     /* 2214120 */ GIM_Reject,
     /* 2214121 */ // Label 29292: @2214121
     /* 2214121 */ GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2214235),
     /* 2214126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2214129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2214132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214144 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2214189), // Rule ID 48066 //
     /* 2214149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214152 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214188 */     // GIR_Coverage, 48066,
     /* 2214188 */     GIR_EraseRootFromParent_Done,
     /* 2214189 */   // Label 29327: @2214189
     /* 2214189 */   GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2214234), // Rule ID 48067 //
     /* 2214194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214197 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2214200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214233 */     // GIR_Coverage, 48067,
     /* 2214233 */     GIR_EraseRootFromParent_Done,
     /* 2214234 */   // Label 29328: @2214234
     /* 2214234 */   GIM_Reject,
     /* 2214235 */ // Label 29326: @2214235
     /* 2214235 */ GIM_Reject,
     /* 2214236 */ // Label 29293: @2214236
     /* 2214236 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2214350),
     /* 2214241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2214244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2214247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214259 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2214304), // Rule ID 48074 //
     /* 2214264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214267 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2214270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214303 */     // GIR_Coverage, 48074,
     /* 2214303 */     GIR_EraseRootFromParent_Done,
     /* 2214304 */   // Label 29330: @2214304
     /* 2214304 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2214349), // Rule ID 48075 //
     /* 2214309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214312 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2214315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214348 */     // GIR_Coverage, 48075,
     /* 2214348 */     GIR_EraseRootFromParent_Done,
     /* 2214349 */   // Label 29331: @2214349
     /* 2214349 */   GIM_Reject,
     /* 2214350 */ // Label 29329: @2214350
     /* 2214350 */ GIM_Reject,
     /* 2214351 */ // Label 29294: @2214351
     /* 2214351 */ GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2214465),
     /* 2214356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2214359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2214362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214374 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2214419), // Rule ID 48090 //
     /* 2214379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214382 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214418 */     // GIR_Coverage, 48090,
     /* 2214418 */     GIR_EraseRootFromParent_Done,
     /* 2214419 */   // Label 29333: @2214419
     /* 2214419 */   GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2214464), // Rule ID 48091 //
     /* 2214424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214427 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2214430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214463 */     // GIR_Coverage, 48091,
     /* 2214463 */     GIR_EraseRootFromParent_Done,
     /* 2214464 */   // Label 29334: @2214464
     /* 2214464 */   GIM_Reject,
     /* 2214465 */ // Label 29332: @2214465
     /* 2214465 */ GIM_Reject,
     /* 2214466 */ // Label 29295: @2214466
     /* 2214466 */ GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2214580),
     /* 2214471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2214474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2214477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214489 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2214534), // Rule ID 48058 //
     /* 2214494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214497 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214533 */     // GIR_Coverage, 48058,
     /* 2214533 */     GIR_EraseRootFromParent_Done,
     /* 2214534 */   // Label 29336: @2214534
     /* 2214534 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2214579), // Rule ID 48059 //
     /* 2214539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214542 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214578 */     // GIR_Coverage, 48059,
     /* 2214578 */     GIR_EraseRootFromParent_Done,
     /* 2214579 */   // Label 29337: @2214579
     /* 2214579 */   GIM_Reject,
     /* 2214580 */ // Label 29335: @2214580
     /* 2214580 */ GIM_Reject,
     /* 2214581 */ // Label 29296: @2214581
     /* 2214581 */ GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2214695),
     /* 2214586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2214592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214604 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2214649), // Rule ID 48070 //
     /* 2214609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214612 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214648 */     // GIR_Coverage, 48070,
     /* 2214648 */     GIR_EraseRootFromParent_Done,
     /* 2214649 */   // Label 29339: @2214649
     /* 2214649 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2214694), // Rule ID 48071 //
     /* 2214654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214657 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214693 */     // GIR_Coverage, 48071,
     /* 2214693 */     GIR_EraseRootFromParent_Done,
     /* 2214694 */   // Label 29340: @2214694
     /* 2214694 */   GIM_Reject,
     /* 2214695 */ // Label 29338: @2214695
     /* 2214695 */ GIM_Reject,
     /* 2214696 */ // Label 29297: @2214696
     /* 2214696 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2214810),
     /* 2214701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214719 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2214764), // Rule ID 48086 //
     /* 2214724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214727 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214763 */     // GIR_Coverage, 48086,
     /* 2214763 */     GIR_EraseRootFromParent_Done,
     /* 2214764 */   // Label 29342: @2214764
     /* 2214764 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2214809), // Rule ID 48087 //
     /* 2214769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214772 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214808 */     // GIR_Coverage, 48087,
     /* 2214808 */     GIR_EraseRootFromParent_Done,
     /* 2214809 */   // Label 29343: @2214809
     /* 2214809 */   GIM_Reject,
     /* 2214810 */ // Label 29341: @2214810
     /* 2214810 */ GIM_Reject,
     /* 2214811 */ // Label 29298: @2214811
     /* 2214811 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2214925),
     /* 2214816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214834 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2214879), // Rule ID 48130 //
     /* 2214839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214842 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214878 */     // GIR_Coverage, 48130,
     /* 2214878 */     GIR_EraseRootFromParent_Done,
     /* 2214879 */   // Label 29345: @2214879
     /* 2214879 */   GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2214924), // Rule ID 48131 //
     /* 2214884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214887 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214923 */     // GIR_Coverage, 48131,
     /* 2214923 */     GIR_EraseRootFromParent_Done,
     /* 2214924 */   // Label 29346: @2214924
     /* 2214924 */   GIM_Reject,
     /* 2214925 */ // Label 29344: @2214925
     /* 2214925 */ GIM_Reject,
     /* 2214926 */ // Label 29299: @2214926
     /* 2214926 */ GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2215040),
     /* 2214931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2214934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2214937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214949 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2214994), // Rule ID 48062 //
     /* 2214954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214957 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214993 */     // GIR_Coverage, 48062,
     /* 2214993 */     GIR_EraseRootFromParent_Done,
     /* 2214994 */   // Label 29348: @2214994
     /* 2214994 */   GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2215039), // Rule ID 48063 //
     /* 2214999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215002 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2215005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2215019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215038 */     // GIR_Coverage, 48063,
     /* 2215038 */     GIR_EraseRootFromParent_Done,
     /* 2215039 */   // Label 29349: @2215039
     /* 2215039 */   GIM_Reject,
     /* 2215040 */ // Label 29347: @2215040
     /* 2215040 */ GIM_Reject,
     /* 2215041 */ // Label 29300: @2215041
     /* 2215041 */ GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2215155),
     /* 2215046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2215049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2215052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215064 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2215109), // Rule ID 48082 //
     /* 2215069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215072 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2215075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215108 */     // GIR_Coverage, 48082,
     /* 2215108 */     GIR_EraseRootFromParent_Done,
     /* 2215109 */   // Label 29351: @2215109
     /* 2215109 */   GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2215154), // Rule ID 48083 //
     /* 2215114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215117 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2215120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215153 */     // GIR_Coverage, 48083,
     /* 2215153 */     GIR_EraseRootFromParent_Done,
     /* 2215154 */   // Label 29352: @2215154
     /* 2215154 */   GIM_Reject,
     /* 2215155 */ // Label 29350: @2215155
     /* 2215155 */ GIM_Reject,
     /* 2215156 */ // Label 29301: @2215156
     /* 2215156 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2215270),
     /* 2215161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2215164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2215167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215179 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2215224), // Rule ID 48118 //
     /* 2215184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215187 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215223 */     // GIR_Coverage, 48118,
     /* 2215223 */     GIR_EraseRootFromParent_Done,
     /* 2215224 */   // Label 29354: @2215224
     /* 2215224 */   GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2215269), // Rule ID 48119 //
     /* 2215229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215232 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215268 */     // GIR_Coverage, 48119,
     /* 2215268 */     GIR_EraseRootFromParent_Done,
     /* 2215269 */   // Label 29355: @2215269
     /* 2215269 */   GIM_Reject,
     /* 2215270 */ // Label 29353: @2215270
     /* 2215270 */ GIM_Reject,
     /* 2215271 */ // Label 29302: @2215271
     /* 2215271 */ GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2215385),
     /* 2215276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2215282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215294 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2215339), // Rule ID 48134 //
     /* 2215299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215302 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215338 */     // GIR_Coverage, 48134,
     /* 2215338 */     GIR_EraseRootFromParent_Done,
     /* 2215339 */   // Label 29357: @2215339
     /* 2215339 */   GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2215384), // Rule ID 48135 //
     /* 2215344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215347 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215383 */     // GIR_Coverage, 48135,
     /* 2215383 */     GIR_EraseRootFromParent_Done,
     /* 2215384 */   // Label 29358: @2215384
     /* 2215384 */   GIM_Reject,
     /* 2215385 */ // Label 29356: @2215385
     /* 2215385 */ GIM_Reject,
     /* 2215386 */ // Label 29303: @2215386
     /* 2215386 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2215500),
     /* 2215391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2215394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2215397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215409 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2215454), // Rule ID 48078 //
     /* 2215414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215417 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215453 */     // GIR_Coverage, 48078,
     /* 2215453 */     GIR_EraseRootFromParent_Done,
     /* 2215454 */   // Label 29360: @2215454
     /* 2215454 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2215499), // Rule ID 48079 //
     /* 2215459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215462 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215498 */     // GIR_Coverage, 48079,
     /* 2215498 */     GIR_EraseRootFromParent_Done,
     /* 2215499 */   // Label 29361: @2215499
     /* 2215499 */   GIM_Reject,
     /* 2215500 */ // Label 29359: @2215500
     /* 2215500 */ GIM_Reject,
     /* 2215501 */ // Label 29304: @2215501
     /* 2215501 */ GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2215615),
     /* 2215506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2215512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215524 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2215569), // Rule ID 48106 //
     /* 2215529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215532 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215568 */     // GIR_Coverage, 48106,
     /* 2215568 */     GIR_EraseRootFromParent_Done,
     /* 2215569 */   // Label 29363: @2215569
     /* 2215569 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2215614), // Rule ID 48107 //
     /* 2215574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215577 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215613 */     // GIR_Coverage, 48107,
     /* 2215613 */     GIR_EraseRootFromParent_Done,
     /* 2215614 */   // Label 29364: @2215614
     /* 2215614 */   GIM_Reject,
     /* 2215615 */ // Label 29362: @2215615
     /* 2215615 */ GIM_Reject,
     /* 2215616 */ // Label 29305: @2215616
     /* 2215616 */ GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2215730),
     /* 2215621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215639 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2215684), // Rule ID 48122 //
     /* 2215644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215647 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215683 */     // GIR_Coverage, 48122,
     /* 2215683 */     GIR_EraseRootFromParent_Done,
     /* 2215684 */   // Label 29366: @2215684
     /* 2215684 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2215729), // Rule ID 48123 //
     /* 2215689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215692 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215728 */     // GIR_Coverage, 48123,
     /* 2215728 */     GIR_EraseRootFromParent_Done,
     /* 2215729 */   // Label 29367: @2215729
     /* 2215729 */   GIM_Reject,
     /* 2215730 */ // Label 29365: @2215730
     /* 2215730 */ GIM_Reject,
     /* 2215731 */ // Label 29306: @2215731
     /* 2215731 */ GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2215845),
     /* 2215736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215754 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2215799), // Rule ID 48138 //
     /* 2215759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215762 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215798 */     // GIR_Coverage, 48138,
     /* 2215798 */     GIR_EraseRootFromParent_Done,
     /* 2215799 */   // Label 29369: @2215799
     /* 2215799 */   GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2215844), // Rule ID 48139 //
     /* 2215804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215807 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215843 */     // GIR_Coverage, 48139,
     /* 2215843 */     GIR_EraseRootFromParent_Done,
     /* 2215844 */   // Label 29370: @2215844
     /* 2215844 */   GIM_Reject,
     /* 2215845 */ // Label 29368: @2215845
     /* 2215845 */ GIM_Reject,
     /* 2215846 */ // Label 29307: @2215846
     /* 2215846 */ GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2215960),
     /* 2215851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215869 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2215914), // Rule ID 48094 //
     /* 2215874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215877 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215913 */     // GIR_Coverage, 48094,
     /* 2215913 */     GIR_EraseRootFromParent_Done,
     /* 2215914 */   // Label 29372: @2215914
     /* 2215914 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2215959), // Rule ID 48095 //
     /* 2215919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215922 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215958 */     // GIR_Coverage, 48095,
     /* 2215958 */     GIR_EraseRootFromParent_Done,
     /* 2215959 */   // Label 29373: @2215959
     /* 2215959 */   GIM_Reject,
     /* 2215960 */ // Label 29371: @2215960
     /* 2215960 */ GIM_Reject,
     /* 2215961 */ // Label 29308: @2215961
     /* 2215961 */ GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2216075),
     /* 2215966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215984 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2216029), // Rule ID 48110 //
     /* 2215989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215992 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216028 */     // GIR_Coverage, 48110,
     /* 2216028 */     GIR_EraseRootFromParent_Done,
     /* 2216029 */   // Label 29375: @2216029
     /* 2216029 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2216074), // Rule ID 48111 //
     /* 2216034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216037 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216073 */     // GIR_Coverage, 48111,
     /* 2216073 */     GIR_EraseRootFromParent_Done,
     /* 2216074 */   // Label 29376: @2216074
     /* 2216074 */   GIM_Reject,
     /* 2216075 */ // Label 29374: @2216075
     /* 2216075 */ GIM_Reject,
     /* 2216076 */ // Label 29309: @2216076
     /* 2216076 */ GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2216190),
     /* 2216081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2216087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216099 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2216144), // Rule ID 48126 //
     /* 2216104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216107 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216143 */     // GIR_Coverage, 48126,
     /* 2216143 */     GIR_EraseRootFromParent_Done,
     /* 2216144 */   // Label 29378: @2216144
     /* 2216144 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2216189), // Rule ID 48127 //
     /* 2216149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216152 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216188 */     // GIR_Coverage, 48127,
     /* 2216188 */     GIR_EraseRootFromParent_Done,
     /* 2216189 */   // Label 29379: @2216189
     /* 2216189 */   GIM_Reject,
     /* 2216190 */ // Label 29377: @2216190
     /* 2216190 */ GIM_Reject,
     /* 2216191 */ // Label 29310: @2216191
     /* 2216191 */ GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2216305),
     /* 2216196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2216199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2216202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216214 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2216259), // Rule ID 48098 //
     /* 2216219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216222 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216258 */     // GIR_Coverage, 48098,
     /* 2216258 */     GIR_EraseRootFromParent_Done,
     /* 2216259 */   // Label 29381: @2216259
     /* 2216259 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2216304), // Rule ID 48099 //
     /* 2216264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216267 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2216284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216303 */     // GIR_Coverage, 48099,
     /* 2216303 */     GIR_EraseRootFromParent_Done,
     /* 2216304 */   // Label 29382: @2216304
     /* 2216304 */   GIM_Reject,
     /* 2216305 */ // Label 29380: @2216305
     /* 2216305 */ GIM_Reject,
     /* 2216306 */ // Label 29311: @2216306
     /* 2216306 */ GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2216420),
     /* 2216311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2216314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2216317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216329 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2216374), // Rule ID 48114 //
     /* 2216334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216337 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216373 */     // GIR_Coverage, 48114,
     /* 2216373 */     GIR_EraseRootFromParent_Done,
     /* 2216374 */   // Label 29384: @2216374
     /* 2216374 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2216419), // Rule ID 48115 //
     /* 2216379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216382 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216418 */     // GIR_Coverage, 48115,
     /* 2216418 */     GIR_EraseRootFromParent_Done,
     /* 2216419 */   // Label 29385: @2216419
     /* 2216419 */   GIM_Reject,
     /* 2216420 */ // Label 29383: @2216420
     /* 2216420 */ GIM_Reject,
     /* 2216421 */ // Label 29312: @2216421
     /* 2216421 */ GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2216535),
     /* 2216426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2216429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2216432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216444 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2216489), // Rule ID 48102 //
     /* 2216449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216452 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216488 */     // GIR_Coverage, 48102,
     /* 2216488 */     GIR_EraseRootFromParent_Done,
     /* 2216489 */   // Label 29387: @2216489
     /* 2216489 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2216534), // Rule ID 48103 //
     /* 2216494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216497 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216533 */     // GIR_Coverage, 48103,
     /* 2216533 */     GIR_EraseRootFromParent_Done,
     /* 2216534 */   // Label 29388: @2216534
     /* 2216534 */   GIM_Reject,
     /* 2216535 */ // Label 29386: @2216535
     /* 2216535 */ GIM_Reject,
     /* 2216536 */ // Label 29313: @2216536
     /* 2216536 */ GIM_Reject,
     /* 2216537 */ // Label 45: @2216537
     /* 2216537 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29413*/ GIMT_Encode4(2219475),
     /* 2216548 */ /*GILLT_s32*//*Label 29389*/ GIMT_Encode4(2216672),
     /* 2216552 */ /*GILLT_s64*//*Label 29390*/ GIMT_Encode4(2216756), GIMT_Encode4(0),
     /* 2216560 */ /*GILLT_nxv1s8*//*Label 29391*/ GIMT_Encode4(2216945),
     /* 2216564 */ /*GILLT_nxv1s16*//*Label 29392*/ GIMT_Encode4(2217060),
     /* 2216568 */ /*GILLT_nxv1s32*//*Label 29393*/ GIMT_Encode4(2217175),
     /* 2216572 */ /*GILLT_nxv1s64*//*Label 29394*/ GIMT_Encode4(2217290), GIMT_Encode4(0),
     /* 2216580 */ /*GILLT_nxv2s8*//*Label 29395*/ GIMT_Encode4(2217405),
     /* 2216584 */ /*GILLT_nxv2s16*//*Label 29396*/ GIMT_Encode4(2217520),
     /* 2216588 */ /*GILLT_nxv2s32*//*Label 29397*/ GIMT_Encode4(2217635),
     /* 2216592 */ /*GILLT_nxv2s64*//*Label 29398*/ GIMT_Encode4(2217750), GIMT_Encode4(0),
     /* 2216600 */ /*GILLT_nxv4s8*//*Label 29399*/ GIMT_Encode4(2217865),
     /* 2216604 */ /*GILLT_nxv4s16*//*Label 29400*/ GIMT_Encode4(2217980),
     /* 2216608 */ /*GILLT_nxv4s32*//*Label 29401*/ GIMT_Encode4(2218095),
     /* 2216612 */ /*GILLT_nxv4s64*//*Label 29402*/ GIMT_Encode4(2218210), GIMT_Encode4(0),
     /* 2216620 */ /*GILLT_nxv8s8*//*Label 29403*/ GIMT_Encode4(2218325),
     /* 2216624 */ /*GILLT_nxv8s16*//*Label 29404*/ GIMT_Encode4(2218440),
     /* 2216628 */ /*GILLT_nxv8s32*//*Label 29405*/ GIMT_Encode4(2218555),
     /* 2216632 */ /*GILLT_nxv8s64*//*Label 29406*/ GIMT_Encode4(2218670), GIMT_Encode4(0),
     /* 2216640 */ /*GILLT_nxv16s8*//*Label 29407*/ GIMT_Encode4(2218785),
     /* 2216644 */ /*GILLT_nxv16s16*//*Label 29408*/ GIMT_Encode4(2218900),
     /* 2216648 */ /*GILLT_nxv16s32*//*Label 29409*/ GIMT_Encode4(2219015), GIMT_Encode4(0),
     /* 2216656 */ /*GILLT_nxv32s8*//*Label 29410*/ GIMT_Encode4(2219130),
     /* 2216660 */ /*GILLT_nxv32s16*//*Label 29411*/ GIMT_Encode4(2219245), GIMT_Encode4(0),
     /* 2216668 */ /*GILLT_nxv64s8*//*Label 29412*/ GIMT_Encode4(2219360),
     /* 2216672 */ // Label 29389: @2216672
     /* 2216672 */ GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2216755),
     /* 2216677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2216680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2216683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216691 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2216725), // Rule ID 95 //
     /* 2216696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216711 */     // MIs[1] Operand 1
     /* 2216711 */     // No operand predicates
     /* 2216711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216713 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216724 */     // GIR_Coverage, 95,
     /* 2216724 */     GIR_EraseRootFromParent_Done,
     /* 2216725 */   // Label 29415: @2216725
     /* 2216725 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2216754), // Rule ID 109 //
     /* 2216730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216740 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2216740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216753 */     // GIR_Coverage, 109,
     /* 2216753 */     GIR_EraseRootFromParent_Done,
     /* 2216754 */   // Label 29416: @2216754
     /* 2216754 */   GIM_Reject,
     /* 2216755 */ // Label 29414: @2216755
     /* 2216755 */ GIM_Reject,
     /* 2216756 */ // Label 29390: @2216756
     /* 2216756 */ GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2216944),
     /* 2216761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2216767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216771 */   GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2216808), // Rule ID 62482 //
     /* 2216776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2216779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2216787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216791 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2216795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216797 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2216797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2216800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216807 */     // GIR_Coverage, 62482,
     /* 2216807 */     GIR_EraseRootFromParent_Done,
     /* 2216808 */   // Label 29418: @2216808
     /* 2216808 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2216872), // Rule ID 259 //
     /* 2216813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2216816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2216824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216833 */     // MIs[1] Operand 2
     /* 2216833 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2216844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216852 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2216856 */     // MIs[2] Operand 1
     /* 2216856 */     // No operand predicates
     /* 2216856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216858 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2216858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2216861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2216870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216871 */     // GIR_Coverage, 259,
     /* 2216871 */     GIR_EraseRootFromParent_Done,
     /* 2216872 */   // Label 29419: @2216872
     /* 2216872 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2216910), // Rule ID 94 //
     /* 2216877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216896 */     // MIs[1] Operand 1
     /* 2216896 */     // No operand predicates
     /* 2216896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216898 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216909 */     // GIR_Coverage, 94,
     /* 2216909 */     GIR_EraseRootFromParent_Done,
     /* 2216910 */   // Label 29420: @2216910
     /* 2216910 */   GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2216943), // Rule ID 108 //
     /* 2216915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216929 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2216929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216942 */     // GIR_Coverage, 108,
     /* 2216942 */     GIR_EraseRootFromParent_Done,
     /* 2216943 */   // Label 29421: @2216943
     /* 2216943 */   GIM_Reject,
     /* 2216944 */ // Label 29417: @2216944
     /* 2216944 */ GIM_Reject,
     /* 2216945 */ // Label 29391: @2216945
     /* 2216945 */ GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2217059),
     /* 2216950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2216956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216968 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2217013), // Rule ID 48186 //
     /* 2216973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216976 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2216993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217012 */     // GIR_Coverage, 48186,
     /* 2217012 */     GIR_EraseRootFromParent_Done,
     /* 2217013 */   // Label 29423: @2217013
     /* 2217013 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2217058), // Rule ID 48187 //
     /* 2217018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217021 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2217024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2217038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217057 */     // GIR_Coverage, 48187,
     /* 2217057 */     GIR_EraseRootFromParent_Done,
     /* 2217058 */   // Label 29424: @2217058
     /* 2217058 */   GIM_Reject,
     /* 2217059 */ // Label 29422: @2217059
     /* 2217059 */ GIM_Reject,
     /* 2217060 */ // Label 29392: @2217060
     /* 2217060 */ GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2217174),
     /* 2217065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2217068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2217071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217083 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2217128), // Rule ID 48198 //
     /* 2217088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217091 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217127 */     // GIR_Coverage, 48198,
     /* 2217127 */     GIR_EraseRootFromParent_Done,
     /* 2217128 */   // Label 29426: @2217128
     /* 2217128 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2217173), // Rule ID 48199 //
     /* 2217133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217136 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217172 */     // GIR_Coverage, 48199,
     /* 2217172 */     GIR_EraseRootFromParent_Done,
     /* 2217173 */   // Label 29427: @2217173
     /* 2217173 */   GIM_Reject,
     /* 2217174 */ // Label 29425: @2217174
     /* 2217174 */ GIM_Reject,
     /* 2217175 */ // Label 29393: @2217175
     /* 2217175 */ GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2217289),
     /* 2217180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2217183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2217186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217198 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2217243), // Rule ID 48206 //
     /* 2217203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217206 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2217209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217242 */     // GIR_Coverage, 48206,
     /* 2217242 */     GIR_EraseRootFromParent_Done,
     /* 2217243 */   // Label 29429: @2217243
     /* 2217243 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2217288), // Rule ID 48207 //
     /* 2217248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217251 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2217254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217287 */     // GIR_Coverage, 48207,
     /* 2217287 */     GIR_EraseRootFromParent_Done,
     /* 2217288 */   // Label 29430: @2217288
     /* 2217288 */   GIM_Reject,
     /* 2217289 */ // Label 29428: @2217289
     /* 2217289 */ GIM_Reject,
     /* 2217290 */ // Label 29394: @2217290
     /* 2217290 */ GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2217404),
     /* 2217295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2217298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2217301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217313 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2217358), // Rule ID 48222 //
     /* 2217318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217321 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2217324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217357 */     // GIR_Coverage, 48222,
     /* 2217357 */     GIR_EraseRootFromParent_Done,
     /* 2217358 */   // Label 29432: @2217358
     /* 2217358 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2217403), // Rule ID 48223 //
     /* 2217363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217366 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2217369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217402 */     // GIR_Coverage, 48223,
     /* 2217402 */     GIR_EraseRootFromParent_Done,
     /* 2217403 */   // Label 29433: @2217403
     /* 2217403 */   GIM_Reject,
     /* 2217404 */ // Label 29431: @2217404
     /* 2217404 */ GIM_Reject,
     /* 2217405 */ // Label 29395: @2217405
     /* 2217405 */ GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2217519),
     /* 2217410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2217413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2217416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217428 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2217473), // Rule ID 48190 //
     /* 2217433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217436 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217472 */     // GIR_Coverage, 48190,
     /* 2217472 */     GIR_EraseRootFromParent_Done,
     /* 2217473 */   // Label 29435: @2217473
     /* 2217473 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2217518), // Rule ID 48191 //
     /* 2217478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217481 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217517 */     // GIR_Coverage, 48191,
     /* 2217517 */     GIR_EraseRootFromParent_Done,
     /* 2217518 */   // Label 29436: @2217518
     /* 2217518 */   GIM_Reject,
     /* 2217519 */ // Label 29434: @2217519
     /* 2217519 */ GIM_Reject,
     /* 2217520 */ // Label 29396: @2217520
     /* 2217520 */ GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2217634),
     /* 2217525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2217531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217543 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2217588), // Rule ID 48202 //
     /* 2217548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217551 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217587 */     // GIR_Coverage, 48202,
     /* 2217587 */     GIR_EraseRootFromParent_Done,
     /* 2217588 */   // Label 29438: @2217588
     /* 2217588 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2217633), // Rule ID 48203 //
     /* 2217593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217596 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217632 */     // GIR_Coverage, 48203,
     /* 2217632 */     GIR_EraseRootFromParent_Done,
     /* 2217633 */   // Label 29439: @2217633
     /* 2217633 */   GIM_Reject,
     /* 2217634 */ // Label 29437: @2217634
     /* 2217634 */ GIM_Reject,
     /* 2217635 */ // Label 29397: @2217635
     /* 2217635 */ GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2217749),
     /* 2217640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217658 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2217703), // Rule ID 48218 //
     /* 2217663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217666 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217702 */     // GIR_Coverage, 48218,
     /* 2217702 */     GIR_EraseRootFromParent_Done,
     /* 2217703 */   // Label 29441: @2217703
     /* 2217703 */   GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2217748), // Rule ID 48219 //
     /* 2217708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217711 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217747 */     // GIR_Coverage, 48219,
     /* 2217747 */     GIR_EraseRootFromParent_Done,
     /* 2217748 */   // Label 29442: @2217748
     /* 2217748 */   GIM_Reject,
     /* 2217749 */ // Label 29440: @2217749
     /* 2217749 */ GIM_Reject,
     /* 2217750 */ // Label 29398: @2217750
     /* 2217750 */ GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2217864),
     /* 2217755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217773 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2217818), // Rule ID 48262 //
     /* 2217778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217781 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217817 */     // GIR_Coverage, 48262,
     /* 2217817 */     GIR_EraseRootFromParent_Done,
     /* 2217818 */   // Label 29444: @2217818
     /* 2217818 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2217863), // Rule ID 48263 //
     /* 2217823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217826 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217862 */     // GIR_Coverage, 48263,
     /* 2217862 */     GIR_EraseRootFromParent_Done,
     /* 2217863 */   // Label 29445: @2217863
     /* 2217863 */   GIM_Reject,
     /* 2217864 */ // Label 29443: @2217864
     /* 2217864 */ GIM_Reject,
     /* 2217865 */ // Label 29399: @2217865
     /* 2217865 */ GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2217979),
     /* 2217870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217888 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2217933), // Rule ID 48194 //
     /* 2217893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217896 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217932 */     // GIR_Coverage, 48194,
     /* 2217932 */     GIR_EraseRootFromParent_Done,
     /* 2217933 */   // Label 29447: @2217933
     /* 2217933 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2217978), // Rule ID 48195 //
     /* 2217938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217941 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217977 */     // GIR_Coverage, 48195,
     /* 2217977 */     GIR_EraseRootFromParent_Done,
     /* 2217978 */   // Label 29448: @2217978
     /* 2217978 */   GIM_Reject,
     /* 2217979 */ // Label 29446: @2217979
     /* 2217979 */ GIM_Reject,
     /* 2217980 */ // Label 29400: @2217980
     /* 2217980 */ GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2218094),
     /* 2217985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218003 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2218048), // Rule ID 48214 //
     /* 2218008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218011 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218047 */     // GIR_Coverage, 48214,
     /* 2218047 */     GIR_EraseRootFromParent_Done,
     /* 2218048 */   // Label 29450: @2218048
     /* 2218048 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2218093), // Rule ID 48215 //
     /* 2218053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218056 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2218059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218092 */     // GIR_Coverage, 48215,
     /* 2218092 */     GIR_EraseRootFromParent_Done,
     /* 2218093 */   // Label 29451: @2218093
     /* 2218093 */   GIM_Reject,
     /* 2218094 */ // Label 29449: @2218094
     /* 2218094 */ GIM_Reject,
     /* 2218095 */ // Label 29401: @2218095
     /* 2218095 */ GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2218209),
     /* 2218100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2218103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2218106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218118 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2218163), // Rule ID 48250 //
     /* 2218123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218126 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218162 */     // GIR_Coverage, 48250,
     /* 2218162 */     GIR_EraseRootFromParent_Done,
     /* 2218163 */   // Label 29453: @2218163
     /* 2218163 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2218208), // Rule ID 48251 //
     /* 2218168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218171 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2218174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218207 */     // GIR_Coverage, 48251,
     /* 2218207 */     GIR_EraseRootFromParent_Done,
     /* 2218208 */   // Label 29454: @2218208
     /* 2218208 */   GIM_Reject,
     /* 2218209 */ // Label 29452: @2218209
     /* 2218209 */ GIM_Reject,
     /* 2218210 */ // Label 29402: @2218210
     /* 2218210 */ GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2218324),
     /* 2218215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2218218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2218221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218233 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2218278), // Rule ID 48266 //
     /* 2218238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218241 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218277 */     // GIR_Coverage, 48266,
     /* 2218277 */     GIR_EraseRootFromParent_Done,
     /* 2218278 */   // Label 29456: @2218278
     /* 2218278 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2218323), // Rule ID 48267 //
     /* 2218283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218286 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2218289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218322 */     // GIR_Coverage, 48267,
     /* 2218322 */     GIR_EraseRootFromParent_Done,
     /* 2218323 */   // Label 29457: @2218323
     /* 2218323 */   GIM_Reject,
     /* 2218324 */ // Label 29455: @2218324
     /* 2218324 */ GIM_Reject,
     /* 2218325 */ // Label 29403: @2218325
     /* 2218325 */ GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2218439),
     /* 2218330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2218336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218348 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2218393), // Rule ID 48210 //
     /* 2218353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218356 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2218359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218392 */     // GIR_Coverage, 48210,
     /* 2218392 */     GIR_EraseRootFromParent_Done,
     /* 2218393 */   // Label 29459: @2218393
     /* 2218393 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2218438), // Rule ID 48211 //
     /* 2218398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218401 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2218404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2218418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218437 */     // GIR_Coverage, 48211,
     /* 2218437 */     GIR_EraseRootFromParent_Done,
     /* 2218438 */   // Label 29460: @2218438
     /* 2218438 */   GIM_Reject,
     /* 2218439 */ // Label 29458: @2218439
     /* 2218439 */ GIM_Reject,
     /* 2218440 */ // Label 29404: @2218440
     /* 2218440 */ GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2218554),
     /* 2218445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2218451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218463 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2218508), // Rule ID 48238 //
     /* 2218468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218471 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218507 */     // GIR_Coverage, 48238,
     /* 2218507 */     GIR_EraseRootFromParent_Done,
     /* 2218508 */   // Label 29462: @2218508
     /* 2218508 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2218553), // Rule ID 48239 //
     /* 2218513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218516 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218552 */     // GIR_Coverage, 48239,
     /* 2218552 */     GIR_EraseRootFromParent_Done,
     /* 2218553 */   // Label 29463: @2218553
     /* 2218553 */   GIM_Reject,
     /* 2218554 */ // Label 29461: @2218554
     /* 2218554 */ GIM_Reject,
     /* 2218555 */ // Label 29405: @2218555
     /* 2218555 */ GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2218669),
     /* 2218560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218578 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2218623), // Rule ID 48254 //
     /* 2218583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218586 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218622 */     // GIR_Coverage, 48254,
     /* 2218622 */     GIR_EraseRootFromParent_Done,
     /* 2218623 */   // Label 29465: @2218623
     /* 2218623 */   GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2218668), // Rule ID 48255 //
     /* 2218628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218631 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218667 */     // GIR_Coverage, 48255,
     /* 2218667 */     GIR_EraseRootFromParent_Done,
     /* 2218668 */   // Label 29466: @2218668
     /* 2218668 */   GIM_Reject,
     /* 2218669 */ // Label 29464: @2218669
     /* 2218669 */ GIM_Reject,
     /* 2218670 */ // Label 29406: @2218670
     /* 2218670 */ GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2218784),
     /* 2218675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2218678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2218681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218693 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2218738), // Rule ID 48270 //
     /* 2218698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218701 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218737 */     // GIR_Coverage, 48270,
     /* 2218737 */     GIR_EraseRootFromParent_Done,
     /* 2218738 */   // Label 29468: @2218738
     /* 2218738 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2218783), // Rule ID 48271 //
     /* 2218743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218746 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218782 */     // GIR_Coverage, 48271,
     /* 2218782 */     GIR_EraseRootFromParent_Done,
     /* 2218783 */   // Label 29469: @2218783
     /* 2218783 */   GIM_Reject,
     /* 2218784 */ // Label 29467: @2218784
     /* 2218784 */ GIM_Reject,
     /* 2218785 */ // Label 29407: @2218785
     /* 2218785 */ GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2218899),
     /* 2218790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2218796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218808 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2218853), // Rule ID 48226 //
     /* 2218813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218816 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218852 */     // GIR_Coverage, 48226,
     /* 2218852 */     GIR_EraseRootFromParent_Done,
     /* 2218853 */   // Label 29471: @2218853
     /* 2218853 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2218898), // Rule ID 48227 //
     /* 2218858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218861 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218897 */     // GIR_Coverage, 48227,
     /* 2218897 */     GIR_EraseRootFromParent_Done,
     /* 2218898 */   // Label 29472: @2218898
     /* 2218898 */   GIM_Reject,
     /* 2218899 */ // Label 29470: @2218899
     /* 2218899 */ GIM_Reject,
     /* 2218900 */ // Label 29408: @2218900
     /* 2218900 */ GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2219014),
     /* 2218905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218923 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2218968), // Rule ID 48242 //
     /* 2218928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218931 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218967 */     // GIR_Coverage, 48242,
     /* 2218967 */     GIR_EraseRootFromParent_Done,
     /* 2218968 */   // Label 29474: @2218968
     /* 2218968 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2219013), // Rule ID 48243 //
     /* 2218973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218976 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219012 */     // GIR_Coverage, 48243,
     /* 2219012 */     GIR_EraseRootFromParent_Done,
     /* 2219013 */   // Label 29475: @2219013
     /* 2219013 */   GIM_Reject,
     /* 2219014 */ // Label 29473: @2219014
     /* 2219014 */ GIM_Reject,
     /* 2219015 */ // Label 29409: @2219015
     /* 2219015 */ GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2219129),
     /* 2219020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2219023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2219026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219038 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2219083), // Rule ID 48258 //
     /* 2219043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219046 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2219049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219082 */     // GIR_Coverage, 48258,
     /* 2219082 */     GIR_EraseRootFromParent_Done,
     /* 2219083 */   // Label 29477: @2219083
     /* 2219083 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2219128), // Rule ID 48259 //
     /* 2219088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219091 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2219094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219127 */     // GIR_Coverage, 48259,
     /* 2219127 */     GIR_EraseRootFromParent_Done,
     /* 2219128 */   // Label 29478: @2219128
     /* 2219128 */   GIM_Reject,
     /* 2219129 */ // Label 29476: @2219129
     /* 2219129 */ GIM_Reject,
     /* 2219130 */ // Label 29410: @2219130
     /* 2219130 */ GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2219244),
     /* 2219135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2219138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2219141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219153 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2219198), // Rule ID 48230 //
     /* 2219158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219161 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2219164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2219178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219197 */     // GIR_Coverage, 48230,
     /* 2219197 */     GIR_EraseRootFromParent_Done,
     /* 2219198 */   // Label 29480: @2219198
     /* 2219198 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2219243), // Rule ID 48231 //
     /* 2219203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219206 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2219209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2219223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219242 */     // GIR_Coverage, 48231,
     /* 2219242 */     GIR_EraseRootFromParent_Done,
     /* 2219243 */   // Label 29481: @2219243
     /* 2219243 */   GIM_Reject,
     /* 2219244 */ // Label 29479: @2219244
     /* 2219244 */ GIM_Reject,
     /* 2219245 */ // Label 29411: @2219245
     /* 2219245 */ GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2219359),
     /* 2219250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2219253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2219256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219268 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2219313), // Rule ID 48246 //
     /* 2219273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219276 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2219279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219312 */     // GIR_Coverage, 48246,
     /* 2219312 */     GIR_EraseRootFromParent_Done,
     /* 2219313 */   // Label 29483: @2219313
     /* 2219313 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2219358), // Rule ID 48247 //
     /* 2219318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219321 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2219324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219357 */     // GIR_Coverage, 48247,
     /* 2219357 */     GIR_EraseRootFromParent_Done,
     /* 2219358 */   // Label 29484: @2219358
     /* 2219358 */   GIM_Reject,
     /* 2219359 */ // Label 29482: @2219359
     /* 2219359 */ GIM_Reject,
     /* 2219360 */ // Label 29412: @2219360
     /* 2219360 */ GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2219474),
     /* 2219365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2219368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2219371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219383 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2219428), // Rule ID 48234 //
     /* 2219388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219391 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219427 */     // GIR_Coverage, 48234,
     /* 2219427 */     GIR_EraseRootFromParent_Done,
     /* 2219428 */   // Label 29486: @2219428
     /* 2219428 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2219473), // Rule ID 48235 //
     /* 2219433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219436 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219472 */     // GIR_Coverage, 48235,
     /* 2219472 */     GIR_EraseRootFromParent_Done,
     /* 2219473 */   // Label 29487: @2219473
     /* 2219473 */   GIM_Reject,
     /* 2219474 */ // Label 29485: @2219474
     /* 2219474 */ GIM_Reject,
     /* 2219475 */ // Label 29413: @2219475
     /* 2219475 */ GIM_Reject,
     /* 2219476 */ // Label 46: @2219476
     /* 2219476 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29512*/ GIMT_Encode4(2222415),
     /* 2219487 */ /*GILLT_s32*//*Label 29488*/ GIMT_Encode4(2219611),
     /* 2219491 */ /*GILLT_s64*//*Label 29489*/ GIMT_Encode4(2219748), GIMT_Encode4(0),
     /* 2219499 */ /*GILLT_nxv1s8*//*Label 29490*/ GIMT_Encode4(2219885),
     /* 2219503 */ /*GILLT_nxv1s16*//*Label 29491*/ GIMT_Encode4(2220000),
     /* 2219507 */ /*GILLT_nxv1s32*//*Label 29492*/ GIMT_Encode4(2220115),
     /* 2219511 */ /*GILLT_nxv1s64*//*Label 29493*/ GIMT_Encode4(2220230), GIMT_Encode4(0),
     /* 2219519 */ /*GILLT_nxv2s8*//*Label 29494*/ GIMT_Encode4(2220345),
     /* 2219523 */ /*GILLT_nxv2s16*//*Label 29495*/ GIMT_Encode4(2220460),
     /* 2219527 */ /*GILLT_nxv2s32*//*Label 29496*/ GIMT_Encode4(2220575),
     /* 2219531 */ /*GILLT_nxv2s64*//*Label 29497*/ GIMT_Encode4(2220690), GIMT_Encode4(0),
     /* 2219539 */ /*GILLT_nxv4s8*//*Label 29498*/ GIMT_Encode4(2220805),
     /* 2219543 */ /*GILLT_nxv4s16*//*Label 29499*/ GIMT_Encode4(2220920),
     /* 2219547 */ /*GILLT_nxv4s32*//*Label 29500*/ GIMT_Encode4(2221035),
     /* 2219551 */ /*GILLT_nxv4s64*//*Label 29501*/ GIMT_Encode4(2221150), GIMT_Encode4(0),
     /* 2219559 */ /*GILLT_nxv8s8*//*Label 29502*/ GIMT_Encode4(2221265),
     /* 2219563 */ /*GILLT_nxv8s16*//*Label 29503*/ GIMT_Encode4(2221380),
     /* 2219567 */ /*GILLT_nxv8s32*//*Label 29504*/ GIMT_Encode4(2221495),
     /* 2219571 */ /*GILLT_nxv8s64*//*Label 29505*/ GIMT_Encode4(2221610), GIMT_Encode4(0),
     /* 2219579 */ /*GILLT_nxv16s8*//*Label 29506*/ GIMT_Encode4(2221725),
     /* 2219583 */ /*GILLT_nxv16s16*//*Label 29507*/ GIMT_Encode4(2221840),
     /* 2219587 */ /*GILLT_nxv16s32*//*Label 29508*/ GIMT_Encode4(2221955), GIMT_Encode4(0),
     /* 2219595 */ /*GILLT_nxv32s8*//*Label 29509*/ GIMT_Encode4(2222070),
     /* 2219599 */ /*GILLT_nxv32s16*//*Label 29510*/ GIMT_Encode4(2222185), GIMT_Encode4(0),
     /* 2219607 */ /*GILLT_nxv64s8*//*Label 29511*/ GIMT_Encode4(2222300),
     /* 2219611 */ // Label 29488: @2219611
     /* 2219611 */ GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2219747),
     /* 2219616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219630 */   GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2219664), // Rule ID 2353 //
     /* 2219635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219650 */     // MIs[1] Operand 1
     /* 2219650 */     // No operand predicates
     /* 2219650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219652 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219663 */     // GIR_Coverage, 2353,
     /* 2219663 */     GIR_EraseRootFromParent_Done,
     /* 2219664 */   // Label 29514: @2219664
     /* 2219664 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2219698), // Rule ID 62464 //
     /* 2219669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2219672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219684 */     // MIs[1] Operand 1
     /* 2219684 */     // No operand predicates
     /* 2219684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219686 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219697 */     // GIR_Coverage, 62464,
     /* 2219697 */     GIR_EraseRootFromParent_Done,
     /* 2219698 */   // Label 29515: @2219698
     /* 2219698 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2219727), // Rule ID 2351 //
     /* 2219703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219713 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219726 */     // GIR_Coverage, 2351,
     /* 2219726 */     GIR_EraseRootFromParent_Done,
     /* 2219727 */   // Label 29516: @2219727
     /* 2219727 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2219746), // Rule ID 64359 //
     /* 2219732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2219735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219739 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219745 */     // GIR_Coverage, 64359,
     /* 2219745 */     GIR_Done,
     /* 2219746 */   // Label 29517: @2219746
     /* 2219746 */   GIM_Reject,
     /* 2219747 */ // Label 29513: @2219747
     /* 2219747 */ GIM_Reject,
     /* 2219748 */ // Label 29489: @2219748
     /* 2219748 */ GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2219884),
     /* 2219753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219767 */   GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2219801), // Rule ID 2352 //
     /* 2219772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219787 */     // MIs[1] Operand 1
     /* 2219787 */     // No operand predicates
     /* 2219787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219789 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219800 */     // GIR_Coverage, 2352,
     /* 2219800 */     GIR_EraseRootFromParent_Done,
     /* 2219801 */   // Label 29519: @2219801
     /* 2219801 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2219835), // Rule ID 62463 //
     /* 2219806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219821 */     // MIs[1] Operand 1
     /* 2219821 */     // No operand predicates
     /* 2219821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219823 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219834 */     // GIR_Coverage, 62463,
     /* 2219834 */     GIR_EraseRootFromParent_Done,
     /* 2219835 */   // Label 29520: @2219835
     /* 2219835 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2219864), // Rule ID 2350 //
     /* 2219840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219850 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219863 */     // GIR_Coverage, 2350,
     /* 2219863 */     GIR_EraseRootFromParent_Done,
     /* 2219864 */   // Label 29521: @2219864
     /* 2219864 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2219883), // Rule ID 64358 //
     /* 2219869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2219872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219876 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219882 */     // GIR_Coverage, 64358,
     /* 2219882 */     GIR_Done,
     /* 2219883 */   // Label 29522: @2219883
     /* 2219883 */   GIM_Reject,
     /* 2219884 */ // Label 29518: @2219884
     /* 2219884 */ GIM_Reject,
     /* 2219885 */ // Label 29490: @2219885
     /* 2219885 */ GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2219999),
     /* 2219890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2219896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219908 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2219953), // Rule ID 59278 //
     /* 2219913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219916 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219952 */     // GIR_Coverage, 59278,
     /* 2219952 */     GIR_EraseRootFromParent_Done,
     /* 2219953 */   // Label 29524: @2219953
     /* 2219953 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2219998), // Rule ID 59279 //
     /* 2219958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219961 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219997 */     // GIR_Coverage, 59279,
     /* 2219997 */     GIR_EraseRootFromParent_Done,
     /* 2219998 */   // Label 29525: @2219998
     /* 2219998 */   GIM_Reject,
     /* 2219999 */ // Label 29523: @2219999
     /* 2219999 */ GIM_Reject,
     /* 2220000 */ // Label 29491: @2220000
     /* 2220000 */ GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2220114),
     /* 2220005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2220011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220023 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2220068), // Rule ID 59290 //
     /* 2220028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220031 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220067 */     // GIR_Coverage, 59290,
     /* 2220067 */     GIR_EraseRootFromParent_Done,
     /* 2220068 */   // Label 29527: @2220068
     /* 2220068 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2220113), // Rule ID 59291 //
     /* 2220073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220076 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220112 */     // GIR_Coverage, 59291,
     /* 2220112 */     GIR_EraseRootFromParent_Done,
     /* 2220113 */   // Label 29528: @2220113
     /* 2220113 */   GIM_Reject,
     /* 2220114 */ // Label 29526: @2220114
     /* 2220114 */ GIM_Reject,
     /* 2220115 */ // Label 29492: @2220115
     /* 2220115 */ GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2220229),
     /* 2220120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2220126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220138 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2220183), // Rule ID 59298 //
     /* 2220143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220146 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220182 */     // GIR_Coverage, 59298,
     /* 2220182 */     GIR_EraseRootFromParent_Done,
     /* 2220183 */   // Label 29530: @2220183
     /* 2220183 */   GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2220228), // Rule ID 59299 //
     /* 2220188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220191 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220227 */     // GIR_Coverage, 59299,
     /* 2220227 */     GIR_EraseRootFromParent_Done,
     /* 2220228 */   // Label 29531: @2220228
     /* 2220228 */   GIM_Reject,
     /* 2220229 */ // Label 29529: @2220229
     /* 2220229 */ GIM_Reject,
     /* 2220230 */ // Label 29493: @2220230
     /* 2220230 */ GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2220344),
     /* 2220235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2220238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2220241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220253 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2220298), // Rule ID 59314 //
     /* 2220258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220261 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220297 */     // GIR_Coverage, 59314,
     /* 2220297 */     GIR_EraseRootFromParent_Done,
     /* 2220298 */   // Label 29533: @2220298
     /* 2220298 */   GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2220343), // Rule ID 59315 //
     /* 2220303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220306 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220342 */     // GIR_Coverage, 59315,
     /* 2220342 */     GIR_EraseRootFromParent_Done,
     /* 2220343 */   // Label 29534: @2220343
     /* 2220343 */   GIM_Reject,
     /* 2220344 */ // Label 29532: @2220344
     /* 2220344 */ GIM_Reject,
     /* 2220345 */ // Label 29494: @2220345
     /* 2220345 */ GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2220459),
     /* 2220350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2220353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2220356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220368 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2220413), // Rule ID 59282 //
     /* 2220373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220376 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220412 */     // GIR_Coverage, 59282,
     /* 2220412 */     GIR_EraseRootFromParent_Done,
     /* 2220413 */   // Label 29536: @2220413
     /* 2220413 */   GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2220458), // Rule ID 59283 //
     /* 2220418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220421 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2220424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220457 */     // GIR_Coverage, 59283,
     /* 2220457 */     GIR_EraseRootFromParent_Done,
     /* 2220458 */   // Label 29537: @2220458
     /* 2220458 */   GIM_Reject,
     /* 2220459 */ // Label 29535: @2220459
     /* 2220459 */ GIM_Reject,
     /* 2220460 */ // Label 29495: @2220460
     /* 2220460 */ GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2220574),
     /* 2220465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2220468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220483 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2220528), // Rule ID 59294 //
     /* 2220488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220491 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220527 */     // GIR_Coverage, 59294,
     /* 2220527 */     GIR_EraseRootFromParent_Done,
     /* 2220528 */   // Label 29539: @2220528
     /* 2220528 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2220573), // Rule ID 59295 //
     /* 2220533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220536 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220572 */     // GIR_Coverage, 59295,
     /* 2220572 */     GIR_EraseRootFromParent_Done,
     /* 2220573 */   // Label 29540: @2220573
     /* 2220573 */   GIM_Reject,
     /* 2220574 */ // Label 29538: @2220574
     /* 2220574 */ GIM_Reject,
     /* 2220575 */ // Label 29496: @2220575
     /* 2220575 */ GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2220689),
     /* 2220580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2220583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220598 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2220643), // Rule ID 59310 //
     /* 2220603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220606 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220642 */     // GIR_Coverage, 59310,
     /* 2220642 */     GIR_EraseRootFromParent_Done,
     /* 2220643 */   // Label 29542: @2220643
     /* 2220643 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2220688), // Rule ID 59311 //
     /* 2220648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220651 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220687 */     // GIR_Coverage, 59311,
     /* 2220687 */     GIR_EraseRootFromParent_Done,
     /* 2220688 */   // Label 29543: @2220688
     /* 2220688 */   GIM_Reject,
     /* 2220689 */ // Label 29541: @2220689
     /* 2220689 */ GIM_Reject,
     /* 2220690 */ // Label 29497: @2220690
     /* 2220690 */ GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2220804),
     /* 2220695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2220698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2220701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220713 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2220758), // Rule ID 59354 //
     /* 2220718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220721 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220757 */     // GIR_Coverage, 59354,
     /* 2220757 */     GIR_EraseRootFromParent_Done,
     /* 2220758 */   // Label 29545: @2220758
     /* 2220758 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2220803), // Rule ID 59355 //
     /* 2220763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220766 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220802 */     // GIR_Coverage, 59355,
     /* 2220802 */     GIR_EraseRootFromParent_Done,
     /* 2220803 */   // Label 29546: @2220803
     /* 2220803 */   GIM_Reject,
     /* 2220804 */ // Label 29544: @2220804
     /* 2220804 */ GIM_Reject,
     /* 2220805 */ // Label 29498: @2220805
     /* 2220805 */ GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2220919),
     /* 2220810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2220813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2220816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220828 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2220873), // Rule ID 59286 //
     /* 2220833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220836 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220872 */     // GIR_Coverage, 59286,
     /* 2220872 */     GIR_EraseRootFromParent_Done,
     /* 2220873 */   // Label 29548: @2220873
     /* 2220873 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2220918), // Rule ID 59287 //
     /* 2220878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220881 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220917 */     // GIR_Coverage, 59287,
     /* 2220917 */     GIR_EraseRootFromParent_Done,
     /* 2220918 */   // Label 29549: @2220918
     /* 2220918 */   GIM_Reject,
     /* 2220919 */ // Label 29547: @2220919
     /* 2220919 */ GIM_Reject,
     /* 2220920 */ // Label 29499: @2220920
     /* 2220920 */ GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2221034),
     /* 2220925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220943 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2220988), // Rule ID 59306 //
     /* 2220948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220951 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220987 */     // GIR_Coverage, 59306,
     /* 2220987 */     GIR_EraseRootFromParent_Done,
     /* 2220988 */   // Label 29551: @2220988
     /* 2220988 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2221033), // Rule ID 59307 //
     /* 2220993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220996 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221032 */     // GIR_Coverage, 59307,
     /* 2221032 */     GIR_EraseRootFromParent_Done,
     /* 2221033 */   // Label 29552: @2221033
     /* 2221033 */   GIM_Reject,
     /* 2221034 */ // Label 29550: @2221034
     /* 2221034 */ GIM_Reject,
     /* 2221035 */ // Label 29500: @2221035
     /* 2221035 */ GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2221149),
     /* 2221040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2221043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2221046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221058 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2221103), // Rule ID 59342 //
     /* 2221063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221066 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221102 */     // GIR_Coverage, 59342,
     /* 2221102 */     GIR_EraseRootFromParent_Done,
     /* 2221103 */   // Label 29554: @2221103
     /* 2221103 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2221148), // Rule ID 59343 //
     /* 2221108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221111 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221147 */     // GIR_Coverage, 59343,
     /* 2221147 */     GIR_EraseRootFromParent_Done,
     /* 2221148 */   // Label 29555: @2221148
     /* 2221148 */   GIM_Reject,
     /* 2221149 */ // Label 29553: @2221149
     /* 2221149 */ GIM_Reject,
     /* 2221150 */ // Label 29501: @2221150
     /* 2221150 */ GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2221264),
     /* 2221155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2221158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2221161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221173 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2221218), // Rule ID 59358 //
     /* 2221178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221181 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221217 */     // GIR_Coverage, 59358,
     /* 2221217 */     GIR_EraseRootFromParent_Done,
     /* 2221218 */   // Label 29557: @2221218
     /* 2221218 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2221263), // Rule ID 59359 //
     /* 2221223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221226 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221262 */     // GIR_Coverage, 59359,
     /* 2221262 */     GIR_EraseRootFromParent_Done,
     /* 2221263 */   // Label 29558: @2221263
     /* 2221263 */   GIM_Reject,
     /* 2221264 */ // Label 29556: @2221264
     /* 2221264 */ GIM_Reject,
     /* 2221265 */ // Label 29502: @2221265
     /* 2221265 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2221379),
     /* 2221270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2221273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2221276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221288 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2221333), // Rule ID 59302 //
     /* 2221293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221296 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2221299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221332 */     // GIR_Coverage, 59302,
     /* 2221332 */     GIR_EraseRootFromParent_Done,
     /* 2221333 */   // Label 29560: @2221333
     /* 2221333 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2221378), // Rule ID 59303 //
     /* 2221338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221341 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2221344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2221358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221377 */     // GIR_Coverage, 59303,
     /* 2221377 */     GIR_EraseRootFromParent_Done,
     /* 2221378 */   // Label 29561: @2221378
     /* 2221378 */   GIM_Reject,
     /* 2221379 */ // Label 29559: @2221379
     /* 2221379 */ GIM_Reject,
     /* 2221380 */ // Label 29503: @2221380
     /* 2221380 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2221494),
     /* 2221385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2221388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2221391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221403 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2221448), // Rule ID 59330 //
     /* 2221408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221411 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221447 */     // GIR_Coverage, 59330,
     /* 2221447 */     GIR_EraseRootFromParent_Done,
     /* 2221448 */   // Label 29563: @2221448
     /* 2221448 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2221493), // Rule ID 59331 //
     /* 2221453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221456 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221492 */     // GIR_Coverage, 59331,
     /* 2221492 */     GIR_EraseRootFromParent_Done,
     /* 2221493 */   // Label 29564: @2221493
     /* 2221493 */   GIM_Reject,
     /* 2221494 */ // Label 29562: @2221494
     /* 2221494 */ GIM_Reject,
     /* 2221495 */ // Label 29504: @2221495
     /* 2221495 */ GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2221609),
     /* 2221500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2221506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221518 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2221563), // Rule ID 59346 //
     /* 2221523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221526 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221562 */     // GIR_Coverage, 59346,
     /* 2221562 */     GIR_EraseRootFromParent_Done,
     /* 2221563 */   // Label 29566: @2221563
     /* 2221563 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2221608), // Rule ID 59347 //
     /* 2221568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221571 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221607 */     // GIR_Coverage, 59347,
     /* 2221607 */     GIR_EraseRootFromParent_Done,
     /* 2221608 */   // Label 29567: @2221608
     /* 2221608 */   GIM_Reject,
     /* 2221609 */ // Label 29565: @2221609
     /* 2221609 */ GIM_Reject,
     /* 2221610 */ // Label 29505: @2221610
     /* 2221610 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2221724),
     /* 2221615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2221621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221633 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2221678), // Rule ID 59362 //
     /* 2221638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221641 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221677 */     // GIR_Coverage, 59362,
     /* 2221677 */     GIR_EraseRootFromParent_Done,
     /* 2221678 */   // Label 29569: @2221678
     /* 2221678 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2221723), // Rule ID 59363 //
     /* 2221683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221686 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221722 */     // GIR_Coverage, 59363,
     /* 2221722 */     GIR_EraseRootFromParent_Done,
     /* 2221723 */   // Label 29570: @2221723
     /* 2221723 */   GIM_Reject,
     /* 2221724 */ // Label 29568: @2221724
     /* 2221724 */ GIM_Reject,
     /* 2221725 */ // Label 29506: @2221725
     /* 2221725 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2221839),
     /* 2221730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2221736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221748 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2221793), // Rule ID 59318 //
     /* 2221753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221756 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221792 */     // GIR_Coverage, 59318,
     /* 2221792 */     GIR_EraseRootFromParent_Done,
     /* 2221793 */   // Label 29572: @2221793
     /* 2221793 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2221838), // Rule ID 59319 //
     /* 2221798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221801 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221837 */     // GIR_Coverage, 59319,
     /* 2221837 */     GIR_EraseRootFromParent_Done,
     /* 2221838 */   // Label 29573: @2221838
     /* 2221838 */   GIM_Reject,
     /* 2221839 */ // Label 29571: @2221839
     /* 2221839 */ GIM_Reject,
     /* 2221840 */ // Label 29507: @2221840
     /* 2221840 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2221954),
     /* 2221845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221863 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2221908), // Rule ID 59334 //
     /* 2221868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221871 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221907 */     // GIR_Coverage, 59334,
     /* 2221907 */     GIR_EraseRootFromParent_Done,
     /* 2221908 */   // Label 29575: @2221908
     /* 2221908 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2221953), // Rule ID 59335 //
     /* 2221913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221916 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221952 */     // GIR_Coverage, 59335,
     /* 2221952 */     GIR_EraseRootFromParent_Done,
     /* 2221953 */   // Label 29576: @2221953
     /* 2221953 */   GIM_Reject,
     /* 2221954 */ // Label 29574: @2221954
     /* 2221954 */ GIM_Reject,
     /* 2221955 */ // Label 29508: @2221955
     /* 2221955 */ GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2222069),
     /* 2221960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2221966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221978 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2222023), // Rule ID 59350 //
     /* 2221983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221986 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222022 */     // GIR_Coverage, 59350,
     /* 2222022 */     GIR_EraseRootFromParent_Done,
     /* 2222023 */   // Label 29578: @2222023
     /* 2222023 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2222068), // Rule ID 59351 //
     /* 2222028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222031 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2222034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222067 */     // GIR_Coverage, 59351,
     /* 2222067 */     GIR_EraseRootFromParent_Done,
     /* 2222068 */   // Label 29579: @2222068
     /* 2222068 */   GIM_Reject,
     /* 2222069 */ // Label 29577: @2222069
     /* 2222069 */ GIM_Reject,
     /* 2222070 */ // Label 29509: @2222070
     /* 2222070 */ GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2222184),
     /* 2222075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2222081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222093 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2222138), // Rule ID 59322 //
     /* 2222098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222101 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2222104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2222118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222137 */     // GIR_Coverage, 59322,
     /* 2222137 */     GIR_EraseRootFromParent_Done,
     /* 2222138 */   // Label 29581: @2222138
     /* 2222138 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2222183), // Rule ID 59323 //
     /* 2222143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222146 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2222149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2222163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222182 */     // GIR_Coverage, 59323,
     /* 2222182 */     GIR_EraseRootFromParent_Done,
     /* 2222183 */   // Label 29582: @2222183
     /* 2222183 */   GIM_Reject,
     /* 2222184 */ // Label 29580: @2222184
     /* 2222184 */ GIM_Reject,
     /* 2222185 */ // Label 29510: @2222185
     /* 2222185 */ GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2222299),
     /* 2222190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2222193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2222196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222208 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2222253), // Rule ID 59338 //
     /* 2222213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222216 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222252 */     // GIR_Coverage, 59338,
     /* 2222252 */     GIR_EraseRootFromParent_Done,
     /* 2222253 */   // Label 29584: @2222253
     /* 2222253 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2222298), // Rule ID 59339 //
     /* 2222258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222261 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222297 */     // GIR_Coverage, 59339,
     /* 2222297 */     GIR_EraseRootFromParent_Done,
     /* 2222298 */   // Label 29585: @2222298
     /* 2222298 */   GIM_Reject,
     /* 2222299 */ // Label 29583: @2222299
     /* 2222299 */ GIM_Reject,
     /* 2222300 */ // Label 29511: @2222300
     /* 2222300 */ GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2222414),
     /* 2222305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2222308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2222311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222323 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2222368), // Rule ID 59326 //
     /* 2222328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222331 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222367 */     // GIR_Coverage, 59326,
     /* 2222367 */     GIR_EraseRootFromParent_Done,
     /* 2222368 */   // Label 29587: @2222368
     /* 2222368 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2222413), // Rule ID 59327 //
     /* 2222373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222376 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2222379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2222393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222412 */     // GIR_Coverage, 59327,
     /* 2222412 */     GIR_EraseRootFromParent_Done,
     /* 2222413 */   // Label 29588: @2222413
     /* 2222413 */   GIM_Reject,
     /* 2222414 */ // Label 29586: @2222414
     /* 2222414 */ GIM_Reject,
     /* 2222415 */ // Label 29512: @2222415
     /* 2222415 */ GIM_Reject,
     /* 2222416 */ // Label 47: @2222416
     /* 2222416 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29613*/ GIMT_Encode4(2225325),
     /* 2222427 */ /*GILLT_s32*//*Label 29589*/ GIMT_Encode4(2222551),
     /* 2222431 */ /*GILLT_s64*//*Label 29590*/ GIMT_Encode4(2222673), GIMT_Encode4(0),
     /* 2222439 */ /*GILLT_nxv1s8*//*Label 29591*/ GIMT_Encode4(2222795),
     /* 2222443 */ /*GILLT_nxv1s16*//*Label 29592*/ GIMT_Encode4(2222910),
     /* 2222447 */ /*GILLT_nxv1s32*//*Label 29593*/ GIMT_Encode4(2223025),
     /* 2222451 */ /*GILLT_nxv1s64*//*Label 29594*/ GIMT_Encode4(2223140), GIMT_Encode4(0),
     /* 2222459 */ /*GILLT_nxv2s8*//*Label 29595*/ GIMT_Encode4(2223255),
     /* 2222463 */ /*GILLT_nxv2s16*//*Label 29596*/ GIMT_Encode4(2223370),
     /* 2222467 */ /*GILLT_nxv2s32*//*Label 29597*/ GIMT_Encode4(2223485),
     /* 2222471 */ /*GILLT_nxv2s64*//*Label 29598*/ GIMT_Encode4(2223600), GIMT_Encode4(0),
     /* 2222479 */ /*GILLT_nxv4s8*//*Label 29599*/ GIMT_Encode4(2223715),
     /* 2222483 */ /*GILLT_nxv4s16*//*Label 29600*/ GIMT_Encode4(2223830),
     /* 2222487 */ /*GILLT_nxv4s32*//*Label 29601*/ GIMT_Encode4(2223945),
     /* 2222491 */ /*GILLT_nxv4s64*//*Label 29602*/ GIMT_Encode4(2224060), GIMT_Encode4(0),
     /* 2222499 */ /*GILLT_nxv8s8*//*Label 29603*/ GIMT_Encode4(2224175),
     /* 2222503 */ /*GILLT_nxv8s16*//*Label 29604*/ GIMT_Encode4(2224290),
     /* 2222507 */ /*GILLT_nxv8s32*//*Label 29605*/ GIMT_Encode4(2224405),
     /* 2222511 */ /*GILLT_nxv8s64*//*Label 29606*/ GIMT_Encode4(2224520), GIMT_Encode4(0),
     /* 2222519 */ /*GILLT_nxv16s8*//*Label 29607*/ GIMT_Encode4(2224635),
     /* 2222523 */ /*GILLT_nxv16s16*//*Label 29608*/ GIMT_Encode4(2224750),
     /* 2222527 */ /*GILLT_nxv16s32*//*Label 29609*/ GIMT_Encode4(2224865), GIMT_Encode4(0),
     /* 2222535 */ /*GILLT_nxv32s8*//*Label 29610*/ GIMT_Encode4(2224980),
     /* 2222539 */ /*GILLT_nxv32s16*//*Label 29611*/ GIMT_Encode4(2225095), GIMT_Encode4(0),
     /* 2222547 */ /*GILLT_nxv64s8*//*Label 29612*/ GIMT_Encode4(2225210),
     /* 2222551 */ // Label 29589: @2222551
     /* 2222551 */ GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2222672),
     /* 2222556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2222562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222570 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2222606), // Rule ID 2355 //
     /* 2222575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222590 */     // MIs[1] Operand 1
     /* 2222590 */     // No operand predicates
     /* 2222590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222592 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222599 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222605 */     // GIR_Coverage, 2355,
     /* 2222605 */     GIR_EraseRootFromParent_Done,
     /* 2222606 */   // Label 29615: @2222606
     /* 2222606 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2222642), // Rule ID 62466 //
     /* 2222611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2222614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222626 */     // MIs[1] Operand 1
     /* 2222626 */     // No operand predicates
     /* 2222626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222628 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222635 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222641 */     // GIR_Coverage, 62466,
     /* 2222641 */     GIR_EraseRootFromParent_Done,
     /* 2222642 */   // Label 29616: @2222642
     /* 2222642 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2222671), // Rule ID 2349 //
     /* 2222647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222657 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2222657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222670 */     // GIR_Coverage, 2349,
     /* 2222670 */     GIR_EraseRootFromParent_Done,
     /* 2222671 */   // Label 29617: @2222671
     /* 2222671 */   GIM_Reject,
     /* 2222672 */ // Label 29614: @2222672
     /* 2222672 */ GIM_Reject,
     /* 2222673 */ // Label 29590: @2222673
     /* 2222673 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2222794),
     /* 2222678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222692 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2222728), // Rule ID 2354 //
     /* 2222697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222712 */     // MIs[1] Operand 1
     /* 2222712 */     // No operand predicates
     /* 2222712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222714 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222721 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222727 */     // GIR_Coverage, 2354,
     /* 2222727 */     GIR_EraseRootFromParent_Done,
     /* 2222728 */   // Label 29619: @2222728
     /* 2222728 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2222764), // Rule ID 62465 //
     /* 2222733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2222736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222748 */     // MIs[1] Operand 1
     /* 2222748 */     // No operand predicates
     /* 2222748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222750 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222757 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222763 */     // GIR_Coverage, 62465,
     /* 2222763 */     GIR_EraseRootFromParent_Done,
     /* 2222764 */   // Label 29620: @2222764
     /* 2222764 */   GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2222793), // Rule ID 2348 //
     /* 2222769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222779 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2222779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222792 */     // GIR_Coverage, 2348,
     /* 2222792 */     GIR_EraseRootFromParent_Done,
     /* 2222793 */   // Label 29621: @2222793
     /* 2222793 */   GIM_Reject,
     /* 2222794 */ // Label 29618: @2222794
     /* 2222794 */ GIM_Reject,
     /* 2222795 */ // Label 29591: @2222795
     /* 2222795 */ GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2222909),
     /* 2222800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2222803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2222806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222818 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2222863), // Rule ID 59146 //
     /* 2222823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222826 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222862 */     // GIR_Coverage, 59146,
     /* 2222862 */     GIR_EraseRootFromParent_Done,
     /* 2222863 */   // Label 29623: @2222863
     /* 2222863 */   GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2222908), // Rule ID 59147 //
     /* 2222868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222871 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222907 */     // GIR_Coverage, 59147,
     /* 2222907 */     GIR_EraseRootFromParent_Done,
     /* 2222908 */   // Label 29624: @2222908
     /* 2222908 */   GIM_Reject,
     /* 2222909 */ // Label 29622: @2222909
     /* 2222909 */ GIM_Reject,
     /* 2222910 */ // Label 29592: @2222910
     /* 2222910 */ GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2223024),
     /* 2222915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2222918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2222921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222933 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2222978), // Rule ID 59158 //
     /* 2222938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222941 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222977 */     // GIR_Coverage, 59158,
     /* 2222977 */     GIR_EraseRootFromParent_Done,
     /* 2222978 */   // Label 29626: @2222978
     /* 2222978 */   GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2223023), // Rule ID 59159 //
     /* 2222983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222986 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223022 */     // GIR_Coverage, 59159,
     /* 2223022 */     GIR_EraseRootFromParent_Done,
     /* 2223023 */   // Label 29627: @2223023
     /* 2223023 */   GIM_Reject,
     /* 2223024 */ // Label 29625: @2223024
     /* 2223024 */ GIM_Reject,
     /* 2223025 */ // Label 29593: @2223025
     /* 2223025 */ GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2223139),
     /* 2223030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2223036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223048 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2223093), // Rule ID 59166 //
     /* 2223053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223056 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223092 */     // GIR_Coverage, 59166,
     /* 2223092 */     GIR_EraseRootFromParent_Done,
     /* 2223093 */   // Label 29629: @2223093
     /* 2223093 */   GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2223138), // Rule ID 59167 //
     /* 2223098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223101 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223137 */     // GIR_Coverage, 59167,
     /* 2223137 */     GIR_EraseRootFromParent_Done,
     /* 2223138 */   // Label 29630: @2223138
     /* 2223138 */   GIM_Reject,
     /* 2223139 */ // Label 29628: @2223139
     /* 2223139 */ GIM_Reject,
     /* 2223140 */ // Label 29594: @2223140
     /* 2223140 */ GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2223254),
     /* 2223145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2223151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223163 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2223208), // Rule ID 59182 //
     /* 2223168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223171 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223207 */     // GIR_Coverage, 59182,
     /* 2223207 */     GIR_EraseRootFromParent_Done,
     /* 2223208 */   // Label 29632: @2223208
     /* 2223208 */   GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2223253), // Rule ID 59183 //
     /* 2223213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223216 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223252 */     // GIR_Coverage, 59183,
     /* 2223252 */     GIR_EraseRootFromParent_Done,
     /* 2223253 */   // Label 29633: @2223253
     /* 2223253 */   GIM_Reject,
     /* 2223254 */ // Label 29631: @2223254
     /* 2223254 */ GIM_Reject,
     /* 2223255 */ // Label 29595: @2223255
     /* 2223255 */ GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2223369),
     /* 2223260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2223263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2223266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223278 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2223323), // Rule ID 59150 //
     /* 2223283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223286 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223322 */     // GIR_Coverage, 59150,
     /* 2223322 */     GIR_EraseRootFromParent_Done,
     /* 2223323 */   // Label 29635: @2223323
     /* 2223323 */   GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2223368), // Rule ID 59151 //
     /* 2223328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223331 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2223334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2223348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223367 */     // GIR_Coverage, 59151,
     /* 2223367 */     GIR_EraseRootFromParent_Done,
     /* 2223368 */   // Label 29636: @2223368
     /* 2223368 */   GIM_Reject,
     /* 2223369 */ // Label 29634: @2223369
     /* 2223369 */ GIM_Reject,
     /* 2223370 */ // Label 29596: @2223370
     /* 2223370 */ GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2223484),
     /* 2223375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2223378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223393 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2223438), // Rule ID 59162 //
     /* 2223398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223401 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223437 */     // GIR_Coverage, 59162,
     /* 2223437 */     GIR_EraseRootFromParent_Done,
     /* 2223438 */   // Label 29638: @2223438
     /* 2223438 */   GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2223483), // Rule ID 59163 //
     /* 2223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223446 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223482 */     // GIR_Coverage, 59163,
     /* 2223482 */     GIR_EraseRootFromParent_Done,
     /* 2223483 */   // Label 29639: @2223483
     /* 2223483 */   GIM_Reject,
     /* 2223484 */ // Label 29637: @2223484
     /* 2223484 */ GIM_Reject,
     /* 2223485 */ // Label 29597: @2223485
     /* 2223485 */ GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2223599),
     /* 2223490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2223493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2223496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223508 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2223553), // Rule ID 59178 //
     /* 2223513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223516 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223552 */     // GIR_Coverage, 59178,
     /* 2223552 */     GIR_EraseRootFromParent_Done,
     /* 2223553 */   // Label 29641: @2223553
     /* 2223553 */   GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2223598), // Rule ID 59179 //
     /* 2223558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223561 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223597 */     // GIR_Coverage, 59179,
     /* 2223597 */     GIR_EraseRootFromParent_Done,
     /* 2223598 */   // Label 29642: @2223598
     /* 2223598 */   GIM_Reject,
     /* 2223599 */ // Label 29640: @2223599
     /* 2223599 */ GIM_Reject,
     /* 2223600 */ // Label 29598: @2223600
     /* 2223600 */ GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2223714),
     /* 2223605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2223608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2223611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223623 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2223668), // Rule ID 59222 //
     /* 2223628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223631 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223667 */     // GIR_Coverage, 59222,
     /* 2223667 */     GIR_EraseRootFromParent_Done,
     /* 2223668 */   // Label 29644: @2223668
     /* 2223668 */   GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2223713), // Rule ID 59223 //
     /* 2223673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223676 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223712 */     // GIR_Coverage, 59223,
     /* 2223712 */     GIR_EraseRootFromParent_Done,
     /* 2223713 */   // Label 29645: @2223713
     /* 2223713 */   GIM_Reject,
     /* 2223714 */ // Label 29643: @2223714
     /* 2223714 */ GIM_Reject,
     /* 2223715 */ // Label 29599: @2223715
     /* 2223715 */ GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2223829),
     /* 2223720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2223726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223738 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2223783), // Rule ID 59154 //
     /* 2223743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223746 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223782 */     // GIR_Coverage, 59154,
     /* 2223782 */     GIR_EraseRootFromParent_Done,
     /* 2223783 */   // Label 29647: @2223783
     /* 2223783 */   GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2223828), // Rule ID 59155 //
     /* 2223788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223791 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223827 */     // GIR_Coverage, 59155,
     /* 2223827 */     GIR_EraseRootFromParent_Done,
     /* 2223828 */   // Label 29648: @2223828
     /* 2223828 */   GIM_Reject,
     /* 2223829 */ // Label 29646: @2223829
     /* 2223829 */ GIM_Reject,
     /* 2223830 */ // Label 29600: @2223830
     /* 2223830 */ GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2223944),
     /* 2223835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223853 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2223898), // Rule ID 59174 //
     /* 2223858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223861 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223897 */     // GIR_Coverage, 59174,
     /* 2223897 */     GIR_EraseRootFromParent_Done,
     /* 2223898 */   // Label 29650: @2223898
     /* 2223898 */   GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2223943), // Rule ID 59175 //
     /* 2223903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223906 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223942 */     // GIR_Coverage, 59175,
     /* 2223942 */     GIR_EraseRootFromParent_Done,
     /* 2223943 */   // Label 29651: @2223943
     /* 2223943 */   GIM_Reject,
     /* 2223944 */ // Label 29649: @2223944
     /* 2223944 */ GIM_Reject,
     /* 2223945 */ // Label 29601: @2223945
     /* 2223945 */ GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2224059),
     /* 2223950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2223956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223968 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2224013), // Rule ID 59210 //
     /* 2223973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223976 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224012 */     // GIR_Coverage, 59210,
     /* 2224012 */     GIR_EraseRootFromParent_Done,
     /* 2224013 */   // Label 29653: @2224013
     /* 2224013 */   GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2224058), // Rule ID 59211 //
     /* 2224018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224021 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2224024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224057 */     // GIR_Coverage, 59211,
     /* 2224057 */     GIR_EraseRootFromParent_Done,
     /* 2224058 */   // Label 29654: @2224058
     /* 2224058 */   GIM_Reject,
     /* 2224059 */ // Label 29652: @2224059
     /* 2224059 */ GIM_Reject,
     /* 2224060 */ // Label 29602: @2224060
     /* 2224060 */ GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2224174),
     /* 2224065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2224068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2224071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224083 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2224128), // Rule ID 59226 //
     /* 2224088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224091 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224127 */     // GIR_Coverage, 59226,
     /* 2224127 */     GIR_EraseRootFromParent_Done,
     /* 2224128 */   // Label 29656: @2224128
     /* 2224128 */   GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2224173), // Rule ID 59227 //
     /* 2224133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224136 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224172 */     // GIR_Coverage, 59227,
     /* 2224172 */     GIR_EraseRootFromParent_Done,
     /* 2224173 */   // Label 29657: @2224173
     /* 2224173 */   GIM_Reject,
     /* 2224174 */ // Label 29655: @2224174
     /* 2224174 */ GIM_Reject,
     /* 2224175 */ // Label 29603: @2224175
     /* 2224175 */ GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2224289),
     /* 2224180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2224186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224198 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2224243), // Rule ID 59170 //
     /* 2224203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224206 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2224223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224242 */     // GIR_Coverage, 59170,
     /* 2224242 */     GIR_EraseRootFromParent_Done,
     /* 2224243 */   // Label 29659: @2224243
     /* 2224243 */   GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2224288), // Rule ID 59171 //
     /* 2224248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224251 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2224268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224287 */     // GIR_Coverage, 59171,
     /* 2224287 */     GIR_EraseRootFromParent_Done,
     /* 2224288 */   // Label 29660: @2224288
     /* 2224288 */   GIM_Reject,
     /* 2224289 */ // Label 29658: @2224289
     /* 2224289 */ GIM_Reject,
     /* 2224290 */ // Label 29604: @2224290
     /* 2224290 */ GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2224404),
     /* 2224295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224313 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2224358), // Rule ID 59198 //
     /* 2224318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224321 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224357 */     // GIR_Coverage, 59198,
     /* 2224357 */     GIR_EraseRootFromParent_Done,
     /* 2224358 */   // Label 29662: @2224358
     /* 2224358 */   GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2224403), // Rule ID 59199 //
     /* 2224363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224366 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224402 */     // GIR_Coverage, 59199,
     /* 2224402 */     GIR_EraseRootFromParent_Done,
     /* 2224403 */   // Label 29663: @2224403
     /* 2224403 */   GIM_Reject,
     /* 2224404 */ // Label 29661: @2224404
     /* 2224404 */ GIM_Reject,
     /* 2224405 */ // Label 29605: @2224405
     /* 2224405 */ GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2224519),
     /* 2224410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2224413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2224416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224428 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2224473), // Rule ID 59214 //
     /* 2224433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224436 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224472 */     // GIR_Coverage, 59214,
     /* 2224472 */     GIR_EraseRootFromParent_Done,
     /* 2224473 */   // Label 29665: @2224473
     /* 2224473 */   GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2224518), // Rule ID 59215 //
     /* 2224478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224481 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224517 */     // GIR_Coverage, 59215,
     /* 2224517 */     GIR_EraseRootFromParent_Done,
     /* 2224518 */   // Label 29666: @2224518
     /* 2224518 */   GIM_Reject,
     /* 2224519 */ // Label 29664: @2224519
     /* 2224519 */ GIM_Reject,
     /* 2224520 */ // Label 29606: @2224520
     /* 2224520 */ GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2224634),
     /* 2224525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2224528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2224531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224543 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2224588), // Rule ID 59230 //
     /* 2224548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224551 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224587 */     // GIR_Coverage, 59230,
     /* 2224587 */     GIR_EraseRootFromParent_Done,
     /* 2224588 */   // Label 29668: @2224588
     /* 2224588 */   GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2224633), // Rule ID 59231 //
     /* 2224593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224596 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224632 */     // GIR_Coverage, 59231,
     /* 2224632 */     GIR_EraseRootFromParent_Done,
     /* 2224633 */   // Label 29669: @2224633
     /* 2224633 */   GIM_Reject,
     /* 2224634 */ // Label 29667: @2224634
     /* 2224634 */ GIM_Reject,
     /* 2224635 */ // Label 29607: @2224635
     /* 2224635 */ GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2224749),
     /* 2224640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2224643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2224646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224658 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2224703), // Rule ID 59186 //
     /* 2224663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224666 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224702 */     // GIR_Coverage, 59186,
     /* 2224702 */     GIR_EraseRootFromParent_Done,
     /* 2224703 */   // Label 29671: @2224703
     /* 2224703 */   GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2224748), // Rule ID 59187 //
     /* 2224708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224711 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224747 */     // GIR_Coverage, 59187,
     /* 2224747 */     GIR_EraseRootFromParent_Done,
     /* 2224748 */   // Label 29672: @2224748
     /* 2224748 */   GIM_Reject,
     /* 2224749 */ // Label 29670: @2224749
     /* 2224749 */ GIM_Reject,
     /* 2224750 */ // Label 29608: @2224750
     /* 2224750 */ GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2224864),
     /* 2224755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2224758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224773 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2224818), // Rule ID 59202 //
     /* 2224778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224781 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224817 */     // GIR_Coverage, 59202,
     /* 2224817 */     GIR_EraseRootFromParent_Done,
     /* 2224818 */   // Label 29674: @2224818
     /* 2224818 */   GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2224863), // Rule ID 59203 //
     /* 2224823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224826 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224862 */     // GIR_Coverage, 59203,
     /* 2224862 */     GIR_EraseRootFromParent_Done,
     /* 2224863 */   // Label 29675: @2224863
     /* 2224863 */   GIM_Reject,
     /* 2224864 */ // Label 29673: @2224864
     /* 2224864 */ GIM_Reject,
     /* 2224865 */ // Label 29609: @2224865
     /* 2224865 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2224979),
     /* 2224870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2224873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2224876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224888 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2224933), // Rule ID 59218 //
     /* 2224893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224896 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224932 */     // GIR_Coverage, 59218,
     /* 2224932 */     GIR_EraseRootFromParent_Done,
     /* 2224933 */   // Label 29677: @2224933
     /* 2224933 */   GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2224978), // Rule ID 59219 //
     /* 2224938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224941 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224977 */     // GIR_Coverage, 59219,
     /* 2224977 */     GIR_EraseRootFromParent_Done,
     /* 2224978 */   // Label 29678: @2224978
     /* 2224978 */   GIM_Reject,
     /* 2224979 */ // Label 29676: @2224979
     /* 2224979 */ GIM_Reject,
     /* 2224980 */ // Label 29610: @2224980
     /* 2224980 */ GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2225094),
     /* 2224985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2224988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2224991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225003 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2225048), // Rule ID 59190 //
     /* 2225008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225011 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2225028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225047 */     // GIR_Coverage, 59190,
     /* 2225047 */     GIR_EraseRootFromParent_Done,
     /* 2225048 */   // Label 29680: @2225048
     /* 2225048 */   GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2225093), // Rule ID 59191 //
     /* 2225053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225056 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2225059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2225073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225092 */     // GIR_Coverage, 59191,
     /* 2225092 */     GIR_EraseRootFromParent_Done,
     /* 2225093 */   // Label 29681: @2225093
     /* 2225093 */   GIM_Reject,
     /* 2225094 */ // Label 29679: @2225094
     /* 2225094 */ GIM_Reject,
     /* 2225095 */ // Label 29611: @2225095
     /* 2225095 */ GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2225209),
     /* 2225100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2225103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2225106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225118 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2225163), // Rule ID 59206 //
     /* 2225123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225126 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225162 */     // GIR_Coverage, 59206,
     /* 2225162 */     GIR_EraseRootFromParent_Done,
     /* 2225163 */   // Label 29683: @2225163
     /* 2225163 */   GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2225208), // Rule ID 59207 //
     /* 2225168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225171 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2225174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225207 */     // GIR_Coverage, 59207,
     /* 2225207 */     GIR_EraseRootFromParent_Done,
     /* 2225208 */   // Label 29684: @2225208
     /* 2225208 */   GIM_Reject,
     /* 2225209 */ // Label 29682: @2225209
     /* 2225209 */ GIM_Reject,
     /* 2225210 */ // Label 29612: @2225210
     /* 2225210 */ GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2225324),
     /* 2225215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2225218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2225221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225233 */   GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2225278), // Rule ID 59194 //
     /* 2225238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225241 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225277 */     // GIR_Coverage, 59194,
     /* 2225277 */     GIR_EraseRootFromParent_Done,
     /* 2225278 */   // Label 29686: @2225278
     /* 2225278 */   GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2225323), // Rule ID 59195 //
     /* 2225283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225286 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2225289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2225303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225322 */     // GIR_Coverage, 59195,
     /* 2225322 */     GIR_EraseRootFromParent_Done,
     /* 2225323 */   // Label 29687: @2225323
     /* 2225323 */   GIM_Reject,
     /* 2225324 */ // Label 29685: @2225324
     /* 2225324 */ GIM_Reject,
     /* 2225325 */ // Label 29613: @2225325
     /* 2225325 */ GIM_Reject,
     /* 2225326 */ // Label 48: @2225326
     /* 2225326 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29697*/ GIMT_Encode4(2251988),
     /* 2225337 */ /*GILLT_s32*//*Label 29688*/ GIMT_Encode4(2225457),
     /* 2225341 */ /*GILLT_s64*//*Label 29689*/ GIMT_Encode4(2228251),
     /* 2225345 */ /*GILLT_nxv1s1*//*Label 29690*/ GIMT_Encode4(2231045), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225365 */ /*GILLT_nxv2s1*//*Label 29691*/ GIMT_Encode4(2234886), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225385 */ /*GILLT_nxv4s1*//*Label 29692*/ GIMT_Encode4(2238727), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225405 */ /*GILLT_nxv8s1*//*Label 29693*/ GIMT_Encode4(2242568), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225425 */ /*GILLT_nxv16s1*//*Label 29694*/ GIMT_Encode4(2246409), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225441 */ /*GILLT_nxv32s1*//*Label 29695*/ GIMT_Encode4(2249290), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225453 */ /*GILLT_nxv64s1*//*Label 29696*/ GIMT_Encode4(2251211),
     /* 2225457 */ // Label 29688: @2225457
     /* 2225457 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2225500), // Rule ID 159 //
     /* 2225462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225475 */   // MIs[0] Operand 1
     /* 2225475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225484 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2225488 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2225488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225499 */   // GIR_Coverage, 159,
     /* 2225499 */   GIR_EraseRootFromParent_Done,
     /* 2225500 */ // Label 29698: @2225500
     /* 2225500 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2225543), // Rule ID 64867 //
     /* 2225505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225518 */   // MIs[0] Operand 1
     /* 2225518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225527 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225531 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225542 */   // GIR_Coverage, 64867,
     /* 2225542 */   GIR_EraseRootFromParent_Done,
     /* 2225543 */ // Label 29699: @2225543
     /* 2225543 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2225589), // Rule ID 64873 //
     /* 2225548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225561 */   // MIs[0] Operand 1
     /* 2225561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225570 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225574 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225579 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225588 */   // GIR_Coverage, 64873,
     /* 2225588 */   GIR_EraseRootFromParent_Done,
     /* 2225589 */ // Label 29700: @2225589
     /* 2225589 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2225632), // Rule ID 64903 //
     /* 2225594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225607 */   // MIs[0] Operand 1
     /* 2225607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225616 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225620 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225631 */   // GIR_Coverage, 64903,
     /* 2225631 */   GIR_EraseRootFromParent_Done,
     /* 2225632 */ // Label 29701: @2225632
     /* 2225632 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2225678), // Rule ID 64909 //
     /* 2225637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225650 */   // MIs[0] Operand 1
     /* 2225650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225659 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225663 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225668 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225677 */   // GIR_Coverage, 64909,
     /* 2225677 */   GIR_EraseRootFromParent_Done,
     /* 2225678 */ // Label 29702: @2225678
     /* 2225678 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2225731), // Rule ID 149 //
     /* 2225683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225696 */   // MIs[0] Operand 1
     /* 2225696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225713 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225717 */   // MIs[1] Operand 1
     /* 2225717 */   // No operand predicates
     /* 2225717 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225719 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225726 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225730 */   // GIR_Coverage, 149,
     /* 2225730 */   GIR_EraseRootFromParent_Done,
     /* 2225731 */ // Label 29703: @2225731
     /* 2225731 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2225784), // Rule ID 153 //
     /* 2225736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225749 */   // MIs[0] Operand 1
     /* 2225749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225758 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225762 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225766 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225770 */   // MIs[1] Operand 1
     /* 2225770 */   // No operand predicates
     /* 2225770 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225772 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225779 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225783 */   // GIR_Coverage, 153,
     /* 2225783 */   GIR_EraseRootFromParent_Done,
     /* 2225784 */ // Label 29704: @2225784
     /* 2225784 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2225837), // Rule ID 64859 //
     /* 2225789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225802 */   // MIs[0] Operand 1
     /* 2225802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225811 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225815 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225819 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225823 */   // MIs[1] Operand 1
     /* 2225823 */   // No operand predicates
     /* 2225823 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225825 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225832 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225836 */   // GIR_Coverage, 64859,
     /* 2225836 */   GIR_EraseRootFromParent_Done,
     /* 2225837 */ // Label 29705: @2225837
     /* 2225837 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2225890), // Rule ID 64863 //
     /* 2225842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225855 */   // MIs[0] Operand 1
     /* 2225855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225864 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225868 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225872 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225876 */   // MIs[1] Operand 1
     /* 2225876 */   // No operand predicates
     /* 2225876 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225878 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225885 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225889 */   // GIR_Coverage, 64863,
     /* 2225889 */   GIR_EraseRootFromParent_Done,
     /* 2225890 */ // Label 29706: @2225890
     /* 2225890 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2225967), // Rule ID 64869 //
     /* 2225895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225908 */   // MIs[0] Operand 1
     /* 2225908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225917 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225921 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225925 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225929 */   // MIs[1] Operand 1
     /* 2225929 */   // No operand predicates
     /* 2225929 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225931 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2225931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225943 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225947 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225966 */   // GIR_Coverage, 64869,
     /* 2225966 */   GIR_EraseRootFromParent_Done,
     /* 2225967 */ // Label 29707: @2225967
     /* 2225967 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2226047), // Rule ID 64875 //
     /* 2225972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225985 */   // MIs[0] Operand 1
     /* 2225985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225994 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226002 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226006 */   // MIs[1] Operand 1
     /* 2226006 */   // No operand predicates
     /* 2226006 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226008 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226020 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226024 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226036 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226046 */   // GIR_Coverage, 64875,
     /* 2226046 */   GIR_EraseRootFromParent_Done,
     /* 2226047 */ // Label 29708: @2226047
     /* 2226047 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2226124), // Rule ID 64879 //
     /* 2226052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226065 */   // MIs[0] Operand 1
     /* 2226065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226074 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226078 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226082 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226086 */   // MIs[1] Operand 1
     /* 2226086 */   // No operand predicates
     /* 2226086 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226088 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226100 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226104 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226116 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226123 */   // GIR_Coverage, 64879,
     /* 2226123 */   GIR_EraseRootFromParent_Done,
     /* 2226124 */ // Label 29709: @2226124
     /* 2226124 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2226201), // Rule ID 64883 //
     /* 2226129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226142 */   // MIs[0] Operand 1
     /* 2226142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226151 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226155 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226159 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226163 */   // MIs[1] Operand 1
     /* 2226163 */   // No operand predicates
     /* 2226163 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226165 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226177 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226181 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226200 */   // GIR_Coverage, 64883,
     /* 2226200 */   GIR_EraseRootFromParent_Done,
     /* 2226201 */ // Label 29710: @2226201
     /* 2226201 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2226276), // Rule ID 64887 //
     /* 2226206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226219 */   // MIs[0] Operand 1
     /* 2226219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226228 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226232 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226236 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226240 */   // MIs[1] Operand 1
     /* 2226240 */   // No operand predicates
     /* 2226240 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226242 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226254 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226258 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226275 */   // GIR_Coverage, 64887,
     /* 2226275 */   GIR_EraseRootFromParent_Done,
     /* 2226276 */ // Label 29711: @2226276
     /* 2226276 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2226351), // Rule ID 64891 //
     /* 2226281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226294 */   // MIs[0] Operand 1
     /* 2226294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226303 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226311 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226315 */   // MIs[1] Operand 1
     /* 2226315 */   // No operand predicates
     /* 2226315 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226317 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226329 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226333 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226350 */   // GIR_Coverage, 64891,
     /* 2226350 */   GIR_EraseRootFromParent_Done,
     /* 2226351 */ // Label 29712: @2226351
     /* 2226351 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2226406), // Rule ID 64895 //
     /* 2226356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226369 */   // MIs[0] Operand 1
     /* 2226369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226378 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226382 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226386 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226390 */   // MIs[1] Operand 1
     /* 2226390 */   // No operand predicates
     /* 2226390 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226392 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226399 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226405 */   // GIR_Coverage, 64895,
     /* 2226405 */   GIR_EraseRootFromParent_Done,
     /* 2226406 */ // Label 29713: @2226406
     /* 2226406 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2226461), // Rule ID 64899 //
     /* 2226411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226424 */   // MIs[0] Operand 1
     /* 2226424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226433 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226437 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226441 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226445 */   // MIs[1] Operand 1
     /* 2226445 */   // No operand predicates
     /* 2226445 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226447 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226454 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226460 */   // GIR_Coverage, 64899,
     /* 2226460 */   GIR_EraseRootFromParent_Done,
     /* 2226461 */ // Label 29714: @2226461
     /* 2226461 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2226538), // Rule ID 64905 //
     /* 2226466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226479 */   // MIs[0] Operand 1
     /* 2226479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226488 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226492 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226496 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226500 */   // MIs[1] Operand 1
     /* 2226500 */   // No operand predicates
     /* 2226500 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226502 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2226502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226514 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226518 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226537 */   // GIR_Coverage, 64905,
     /* 2226537 */   GIR_EraseRootFromParent_Done,
     /* 2226538 */ // Label 29715: @2226538
     /* 2226538 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2226618), // Rule ID 64911 //
     /* 2226543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226556 */   // MIs[0] Operand 1
     /* 2226556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226573 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226577 */   // MIs[1] Operand 1
     /* 2226577 */   // No operand predicates
     /* 2226577 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226579 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226591 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226595 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226607 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226617 */   // GIR_Coverage, 64911,
     /* 2226617 */   GIR_EraseRootFromParent_Done,
     /* 2226618 */ // Label 29716: @2226618
     /* 2226618 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2226695), // Rule ID 64915 //
     /* 2226623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226636 */   // MIs[0] Operand 1
     /* 2226636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226645 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226653 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226657 */   // MIs[1] Operand 1
     /* 2226657 */   // No operand predicates
     /* 2226657 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226659 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226671 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226675 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226694 */   // GIR_Coverage, 64915,
     /* 2226694 */   GIR_EraseRootFromParent_Done,
     /* 2226695 */ // Label 29717: @2226695
     /* 2226695 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2226772), // Rule ID 64919 //
     /* 2226700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226713 */   // MIs[0] Operand 1
     /* 2226713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226722 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226726 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226730 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226734 */   // MIs[1] Operand 1
     /* 2226734 */   // No operand predicates
     /* 2226734 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226736 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226748 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226752 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226771 */   // GIR_Coverage, 64919,
     /* 2226771 */   GIR_EraseRootFromParent_Done,
     /* 2226772 */ // Label 29718: @2226772
     /* 2226772 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2226847), // Rule ID 64923 //
     /* 2226777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226790 */   // MIs[0] Operand 1
     /* 2226790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226799 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226803 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226807 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226811 */   // MIs[1] Operand 1
     /* 2226811 */   // No operand predicates
     /* 2226811 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226813 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226825 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226829 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226846 */   // GIR_Coverage, 64923,
     /* 2226846 */   GIR_EraseRootFromParent_Done,
     /* 2226847 */ // Label 29719: @2226847
     /* 2226847 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2226922), // Rule ID 64927 //
     /* 2226852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226865 */   // MIs[0] Operand 1
     /* 2226865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226874 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226882 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226886 */   // MIs[1] Operand 1
     /* 2226886 */   // No operand predicates
     /* 2226886 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226888 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226904 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226921 */   // GIR_Coverage, 64927,
     /* 2226921 */   GIR_EraseRootFromParent_Done,
     /* 2226922 */ // Label 29720: @2226922
     /* 2226922 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2226977), // Rule ID 64931 //
     /* 2226927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226940 */   // MIs[0] Operand 1
     /* 2226940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226949 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226953 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226957 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226961 */   // MIs[1] Operand 1
     /* 2226961 */   // No operand predicates
     /* 2226961 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226963 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226970 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226976 */   // GIR_Coverage, 64931,
     /* 2226976 */   GIR_EraseRootFromParent_Done,
     /* 2226977 */ // Label 29721: @2226977
     /* 2226977 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2227032), // Rule ID 64935 //
     /* 2226982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226995 */   // MIs[0] Operand 1
     /* 2226995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227004 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227008 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227012 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2227016 */   // MIs[1] Operand 1
     /* 2227016 */   // No operand predicates
     /* 2227016 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227018 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2227018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227025 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227031 */   // GIR_Coverage, 64935,
     /* 2227031 */   GIR_EraseRootFromParent_Done,
     /* 2227032 */ // Label 29722: @2227032
     /* 2227032 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2227074), // Rule ID 64371 //
     /* 2227037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2227040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227050 */   // MIs[0] Operand 1
     /* 2227050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227063 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2227066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227073 */   // GIR_Coverage, 64371,
     /* 2227073 */   GIR_EraseRootFromParent_Done,
     /* 2227074 */ // Label 29723: @2227074
     /* 2227074 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2227116), // Rule ID 64373 //
     /* 2227079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2227082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227092 */   // MIs[0] Operand 1
     /* 2227092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227105 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2227108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227115 */   // GIR_Coverage, 64373,
     /* 2227115 */   GIR_EraseRootFromParent_Done,
     /* 2227116 */ // Label 29724: @2227116
     /* 2227116 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2227158), // Rule ID 147 //
     /* 2227121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227134 */   // MIs[0] Operand 1
     /* 2227134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2227139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227147 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227157 */   // GIR_Coverage, 147,
     /* 2227157 */   GIR_EraseRootFromParent_Done,
     /* 2227158 */ // Label 29725: @2227158
     /* 2227158 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2227200), // Rule ID 151 //
     /* 2227163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227176 */   // MIs[0] Operand 1
     /* 2227176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2227181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227189 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227199 */   // GIR_Coverage, 151,
     /* 2227199 */   GIR_EraseRootFromParent_Done,
     /* 2227200 */ // Label 29726: @2227200
     /* 2227200 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2227242), // Rule ID 64861 //
     /* 2227205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227218 */   // MIs[0] Operand 1
     /* 2227218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2227223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227231 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227241 */   // GIR_Coverage, 64861,
     /* 2227241 */   GIR_EraseRootFromParent_Done,
     /* 2227242 */ // Label 29727: @2227242
     /* 2227242 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2227284), // Rule ID 64865 //
     /* 2227247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227260 */   // MIs[0] Operand 1
     /* 2227260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2227265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227273 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227283 */   // GIR_Coverage, 64865,
     /* 2227283 */   GIR_EraseRootFromParent_Done,
     /* 2227284 */ // Label 29728: @2227284
     /* 2227284 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2227350), // Rule ID 64871 //
     /* 2227289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227302 */   // MIs[0] Operand 1
     /* 2227302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227315 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227327 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227331 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227349 */   // GIR_Coverage, 64871,
     /* 2227349 */   GIR_EraseRootFromParent_Done,
     /* 2227350 */ // Label 29729: @2227350
     /* 2227350 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2227419), // Rule ID 64877 //
     /* 2227355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227368 */   // MIs[0] Operand 1
     /* 2227368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227381 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227393 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227397 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227408 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227418 */   // GIR_Coverage, 64877,
     /* 2227418 */   GIR_EraseRootFromParent_Done,
     /* 2227419 */ // Label 29730: @2227419
     /* 2227419 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2227461), // Rule ID 64881 //
     /* 2227424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227437 */   // MIs[0] Operand 1
     /* 2227437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227450 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227457 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227460 */   // GIR_Coverage, 64881,
     /* 2227460 */   GIR_EraseRootFromParent_Done,
     /* 2227461 */ // Label 29731: @2227461
     /* 2227461 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2227503), // Rule ID 64885 //
     /* 2227466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227479 */   // MIs[0] Operand 1
     /* 2227479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227492 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227502 */   // GIR_Coverage, 64885,
     /* 2227502 */   GIR_EraseRootFromParent_Done,
     /* 2227503 */ // Label 29732: @2227503
     /* 2227503 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2227569), // Rule ID 64889 //
     /* 2227508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227521 */   // MIs[0] Operand 1
     /* 2227521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227534 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227568 */   // GIR_Coverage, 64889,
     /* 2227568 */   GIR_EraseRootFromParent_Done,
     /* 2227569 */ // Label 29733: @2227569
     /* 2227569 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2227635), // Rule ID 64893 //
     /* 2227574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227587 */   // MIs[0] Operand 1
     /* 2227587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227600 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227612 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227616 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227634 */   // GIR_Coverage, 64893,
     /* 2227634 */   GIR_EraseRootFromParent_Done,
     /* 2227635 */ // Label 29734: @2227635
     /* 2227635 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2227701), // Rule ID 64897 //
     /* 2227640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227653 */   // MIs[0] Operand 1
     /* 2227653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227666 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227678 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227682 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227700 */   // GIR_Coverage, 64897,
     /* 2227700 */   GIR_EraseRootFromParent_Done,
     /* 2227701 */ // Label 29735: @2227701
     /* 2227701 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2227767), // Rule ID 64901 //
     /* 2227706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227719 */   // MIs[0] Operand 1
     /* 2227719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227732 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227744 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227748 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227752 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227759 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227766 */   // GIR_Coverage, 64901,
     /* 2227766 */   GIR_EraseRootFromParent_Done,
     /* 2227767 */ // Label 29736: @2227767
     /* 2227767 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2227833), // Rule ID 64907 //
     /* 2227772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227785 */   // MIs[0] Operand 1
     /* 2227785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227798 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227810 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227814 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227832 */   // GIR_Coverage, 64907,
     /* 2227832 */   GIR_EraseRootFromParent_Done,
     /* 2227833 */ // Label 29737: @2227833
     /* 2227833 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2227902), // Rule ID 64913 //
     /* 2227838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227851 */   // MIs[0] Operand 1
     /* 2227851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227864 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227864 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227867 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227871 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227876 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227880 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227891 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227901 */   // GIR_Coverage, 64913,
     /* 2227901 */   GIR_EraseRootFromParent_Done,
     /* 2227902 */ // Label 29738: @2227902
     /* 2227902 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2227944), // Rule ID 64917 //
     /* 2227907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227920 */   // MIs[0] Operand 1
     /* 2227920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227933 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227943 */   // GIR_Coverage, 64917,
     /* 2227943 */   GIR_EraseRootFromParent_Done,
     /* 2227944 */ // Label 29739: @2227944
     /* 2227944 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2227986), // Rule ID 64921 //
     /* 2227949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227962 */   // MIs[0] Operand 1
     /* 2227962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227975 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227985 */   // GIR_Coverage, 64921,
     /* 2227985 */   GIR_EraseRootFromParent_Done,
     /* 2227986 */ // Label 29740: @2227986
     /* 2227986 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2228052), // Rule ID 64925 //
     /* 2227991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228004 */   // MIs[0] Operand 1
     /* 2228004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228017 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2228017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228029 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228033 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228051 */   // GIR_Coverage, 64925,
     /* 2228051 */   GIR_EraseRootFromParent_Done,
     /* 2228052 */ // Label 29741: @2228052
     /* 2228052 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2228118), // Rule ID 64929 //
     /* 2228057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228070 */   // MIs[0] Operand 1
     /* 2228070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228083 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2228083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228095 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228099 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228117 */   // GIR_Coverage, 64929,
     /* 2228117 */   GIR_EraseRootFromParent_Done,
     /* 2228118 */ // Label 29742: @2228118
     /* 2228118 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2228184), // Rule ID 64933 //
     /* 2228123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228136 */   // MIs[0] Operand 1
     /* 2228136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228149 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2228149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228161 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228165 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228183 */   // GIR_Coverage, 64933,
     /* 2228183 */   GIR_EraseRootFromParent_Done,
     /* 2228184 */ // Label 29743: @2228184
     /* 2228184 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2228250), // Rule ID 64937 //
     /* 2228189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2228192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2228195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2228198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228202 */   // MIs[0] Operand 1
     /* 2228202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228215 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2228215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228227 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228231 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228242 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228249 */   // GIR_Coverage, 64937,
     /* 2228249 */   GIR_EraseRootFromParent_Done,
     /* 2228250 */ // Label 29744: @2228250
     /* 2228250 */ GIM_Reject,
     /* 2228251 */ // Label 29689: @2228251
     /* 2228251 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2228294), // Rule ID 158 //
     /* 2228256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228269 */   // MIs[0] Operand 1
     /* 2228269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228278 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2228282 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2228282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228293 */   // GIR_Coverage, 158,
     /* 2228293 */   GIR_EraseRootFromParent_Done,
     /* 2228294 */ // Label 29745: @2228294
     /* 2228294 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2228337), // Rule ID 64866 //
     /* 2228299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228312 */   // MIs[0] Operand 1
     /* 2228312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228321 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228325 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2228325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228336 */   // GIR_Coverage, 64866,
     /* 2228336 */   GIR_EraseRootFromParent_Done,
     /* 2228337 */ // Label 29746: @2228337
     /* 2228337 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2228383), // Rule ID 64872 //
     /* 2228342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228355 */   // MIs[0] Operand 1
     /* 2228355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228364 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228368 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228373 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228382 */   // GIR_Coverage, 64872,
     /* 2228382 */   GIR_EraseRootFromParent_Done,
     /* 2228383 */ // Label 29747: @2228383
     /* 2228383 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2228426), // Rule ID 64902 //
     /* 2228388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228401 */   // MIs[0] Operand 1
     /* 2228401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228410 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228414 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2228414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228419 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228425 */   // GIR_Coverage, 64902,
     /* 2228425 */   GIR_EraseRootFromParent_Done,
     /* 2228426 */ // Label 29748: @2228426
     /* 2228426 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2228472), // Rule ID 64908 //
     /* 2228431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228444 */   // MIs[0] Operand 1
     /* 2228444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228453 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228457 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228462 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228471 */   // GIR_Coverage, 64908,
     /* 2228471 */   GIR_EraseRootFromParent_Done,
     /* 2228472 */ // Label 29749: @2228472
     /* 2228472 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2228525), // Rule ID 148 //
     /* 2228477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228490 */   // MIs[0] Operand 1
     /* 2228490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228507 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228511 */   // MIs[1] Operand 1
     /* 2228511 */   // No operand predicates
     /* 2228511 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228513 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228520 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228524 */   // GIR_Coverage, 148,
     /* 2228524 */   GIR_EraseRootFromParent_Done,
     /* 2228525 */ // Label 29750: @2228525
     /* 2228525 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2228578), // Rule ID 152 //
     /* 2228530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228543 */   // MIs[0] Operand 1
     /* 2228543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228552 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228556 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228560 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228564 */   // MIs[1] Operand 1
     /* 2228564 */   // No operand predicates
     /* 2228564 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228566 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228573 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228577 */   // GIR_Coverage, 152,
     /* 2228577 */   GIR_EraseRootFromParent_Done,
     /* 2228578 */ // Label 29751: @2228578
     /* 2228578 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2228631), // Rule ID 64858 //
     /* 2228583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228596 */   // MIs[0] Operand 1
     /* 2228596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228605 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228609 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228613 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228617 */   // MIs[1] Operand 1
     /* 2228617 */   // No operand predicates
     /* 2228617 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228619 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228626 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228630 */   // GIR_Coverage, 64858,
     /* 2228630 */   GIR_EraseRootFromParent_Done,
     /* 2228631 */ // Label 29752: @2228631
     /* 2228631 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2228684), // Rule ID 64862 //
     /* 2228636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228649 */   // MIs[0] Operand 1
     /* 2228649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228658 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228662 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228666 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228670 */   // MIs[1] Operand 1
     /* 2228670 */   // No operand predicates
     /* 2228670 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228672 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228679 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228683 */   // GIR_Coverage, 64862,
     /* 2228683 */   GIR_EraseRootFromParent_Done,
     /* 2228684 */ // Label 29753: @2228684
     /* 2228684 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2228761), // Rule ID 64868 //
     /* 2228689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228702 */   // MIs[0] Operand 1
     /* 2228702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228711 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228715 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228719 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228723 */   // MIs[1] Operand 1
     /* 2228723 */   // No operand predicates
     /* 2228723 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228725 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228737 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228741 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228760 */   // GIR_Coverage, 64868,
     /* 2228760 */   GIR_EraseRootFromParent_Done,
     /* 2228761 */ // Label 29754: @2228761
     /* 2228761 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2228841), // Rule ID 64874 //
     /* 2228766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228779 */   // MIs[0] Operand 1
     /* 2228779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228796 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228800 */   // MIs[1] Operand 1
     /* 2228800 */   // No operand predicates
     /* 2228800 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228802 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228814 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228818 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228830 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228840 */   // GIR_Coverage, 64874,
     /* 2228840 */   GIR_EraseRootFromParent_Done,
     /* 2228841 */ // Label 29755: @2228841
     /* 2228841 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2228918), // Rule ID 64878 //
     /* 2228846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228859 */   // MIs[0] Operand 1
     /* 2228859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2228864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228868 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228872 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228876 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228880 */   // MIs[1] Operand 1
     /* 2228880 */   // No operand predicates
     /* 2228880 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228882 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2228882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228894 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228898 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228917 */   // GIR_Coverage, 64878,
     /* 2228917 */   GIR_EraseRootFromParent_Done,
     /* 2228918 */ // Label 29756: @2228918
     /* 2228918 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2228995), // Rule ID 64882 //
     /* 2228923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228936 */   // MIs[0] Operand 1
     /* 2228936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2228941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228945 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228949 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228953 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228957 */   // MIs[1] Operand 1
     /* 2228957 */   // No operand predicates
     /* 2228957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228959 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2228959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228971 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228975 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228994 */   // GIR_Coverage, 64882,
     /* 2228994 */   GIR_EraseRootFromParent_Done,
     /* 2228995 */ // Label 29757: @2228995
     /* 2228995 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2229070), // Rule ID 64886 //
     /* 2229000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229013 */   // MIs[0] Operand 1
     /* 2229013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229022 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229026 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229030 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229034 */   // MIs[1] Operand 1
     /* 2229034 */   // No operand predicates
     /* 2229034 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229036 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229048 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229052 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229069 */   // GIR_Coverage, 64886,
     /* 2229069 */   GIR_EraseRootFromParent_Done,
     /* 2229070 */ // Label 29758: @2229070
     /* 2229070 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2229145), // Rule ID 64890 //
     /* 2229075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229088 */   // MIs[0] Operand 1
     /* 2229088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229097 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229101 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229105 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229109 */   // MIs[1] Operand 1
     /* 2229109 */   // No operand predicates
     /* 2229109 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229111 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229123 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229127 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229144 */   // GIR_Coverage, 64890,
     /* 2229144 */   GIR_EraseRootFromParent_Done,
     /* 2229145 */ // Label 29759: @2229145
     /* 2229145 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229200), // Rule ID 64894 //
     /* 2229150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229163 */   // MIs[0] Operand 1
     /* 2229163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229172 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229176 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229180 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229184 */   // MIs[1] Operand 1
     /* 2229184 */   // No operand predicates
     /* 2229184 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229186 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229193 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229199 */   // GIR_Coverage, 64894,
     /* 2229199 */   GIR_EraseRootFromParent_Done,
     /* 2229200 */ // Label 29760: @2229200
     /* 2229200 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229255), // Rule ID 64898 //
     /* 2229205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229218 */   // MIs[0] Operand 1
     /* 2229218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229227 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229235 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229239 */   // MIs[1] Operand 1
     /* 2229239 */   // No operand predicates
     /* 2229239 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229241 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229248 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229254 */   // GIR_Coverage, 64898,
     /* 2229254 */   GIR_EraseRootFromParent_Done,
     /* 2229255 */ // Label 29761: @2229255
     /* 2229255 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229332), // Rule ID 64904 //
     /* 2229260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229273 */   // MIs[0] Operand 1
     /* 2229273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229282 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229286 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229290 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2229294 */   // MIs[1] Operand 1
     /* 2229294 */   // No operand predicates
     /* 2229294 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229296 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2229296 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229299 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2229303 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229308 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229312 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2229317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229331 */   // GIR_Coverage, 64904,
     /* 2229331 */   GIR_EraseRootFromParent_Done,
     /* 2229332 */ // Label 29762: @2229332
     /* 2229332 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229412), // Rule ID 64910 //
     /* 2229337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229350 */   // MIs[0] Operand 1
     /* 2229350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229359 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229363 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229367 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2229371 */   // MIs[1] Operand 1
     /* 2229371 */   // No operand predicates
     /* 2229371 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229373 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2229373 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229376 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2229380 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229385 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229389 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2229394 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229401 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229411 */   // GIR_Coverage, 64910,
     /* 2229411 */   GIR_EraseRootFromParent_Done,
     /* 2229412 */ // Label 29763: @2229412
     /* 2229412 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2229489), // Rule ID 64914 //
     /* 2229417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229430 */   // MIs[0] Operand 1
     /* 2229430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229439 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229443 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229447 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229451 */   // MIs[1] Operand 1
     /* 2229451 */   // No operand predicates
     /* 2229451 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229453 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2229453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229465 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229469 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229488 */   // GIR_Coverage, 64914,
     /* 2229488 */   GIR_EraseRootFromParent_Done,
     /* 2229489 */ // Label 29764: @2229489
     /* 2229489 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2229566), // Rule ID 64918 //
     /* 2229494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229507 */   // MIs[0] Operand 1
     /* 2229507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229516 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229520 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229524 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229528 */   // MIs[1] Operand 1
     /* 2229528 */   // No operand predicates
     /* 2229528 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229530 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2229530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229542 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229546 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229565 */   // GIR_Coverage, 64918,
     /* 2229565 */   GIR_EraseRootFromParent_Done,
     /* 2229566 */ // Label 29765: @2229566
     /* 2229566 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2229641), // Rule ID 64922 //
     /* 2229571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229584 */   // MIs[0] Operand 1
     /* 2229584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229593 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229597 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229601 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229605 */   // MIs[1] Operand 1
     /* 2229605 */   // No operand predicates
     /* 2229605 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229607 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229619 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229623 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229640 */   // GIR_Coverage, 64922,
     /* 2229640 */   GIR_EraseRootFromParent_Done,
     /* 2229641 */ // Label 29766: @2229641
     /* 2229641 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2229716), // Rule ID 64926 //
     /* 2229646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229659 */   // MIs[0] Operand 1
     /* 2229659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229676 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229680 */   // MIs[1] Operand 1
     /* 2229680 */   // No operand predicates
     /* 2229680 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229682 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229694 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229698 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229715 */   // GIR_Coverage, 64926,
     /* 2229715 */   GIR_EraseRootFromParent_Done,
     /* 2229716 */ // Label 29767: @2229716
     /* 2229716 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2229771), // Rule ID 64930 //
     /* 2229721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229734 */   // MIs[0] Operand 1
     /* 2229734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229751 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229755 */   // MIs[1] Operand 1
     /* 2229755 */   // No operand predicates
     /* 2229755 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229757 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229764 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229770 */   // GIR_Coverage, 64930,
     /* 2229770 */   GIR_EraseRootFromParent_Done,
     /* 2229771 */ // Label 29768: @2229771
     /* 2229771 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2229826), // Rule ID 64934 //
     /* 2229776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229789 */   // MIs[0] Operand 1
     /* 2229789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229798 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229802 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229806 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229810 */   // MIs[1] Operand 1
     /* 2229810 */   // No operand predicates
     /* 2229810 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229812 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229817 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229819 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229825 */   // GIR_Coverage, 64934,
     /* 2229825 */   GIR_EraseRootFromParent_Done,
     /* 2229826 */ // Label 29769: @2229826
     /* 2229826 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2229868), // Rule ID 64370 //
     /* 2229831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229844 */   // MIs[0] Operand 1
     /* 2229844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229857 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2229860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229867 */   // GIR_Coverage, 64370,
     /* 2229867 */   GIR_EraseRootFromParent_Done,
     /* 2229868 */ // Label 29770: @2229868
     /* 2229868 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2229910), // Rule ID 64372 //
     /* 2229873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229886 */   // MIs[0] Operand 1
     /* 2229886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229899 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2229902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229909 */   // GIR_Coverage, 64372,
     /* 2229909 */   GIR_EraseRootFromParent_Done,
     /* 2229910 */ // Label 29771: @2229910
     /* 2229910 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2229952), // Rule ID 146 //
     /* 2229915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229928 */   // MIs[0] Operand 1
     /* 2229928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229941 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229951 */   // GIR_Coverage, 146,
     /* 2229951 */   GIR_EraseRootFromParent_Done,
     /* 2229952 */ // Label 29772: @2229952
     /* 2229952 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2229994), // Rule ID 150 //
     /* 2229957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229970 */   // MIs[0] Operand 1
     /* 2229970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229983 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229993 */   // GIR_Coverage, 150,
     /* 2229993 */   GIR_EraseRootFromParent_Done,
     /* 2229994 */ // Label 29773: @2229994
     /* 2229994 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2230036), // Rule ID 64860 //
     /* 2229999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230012 */   // MIs[0] Operand 1
     /* 2230012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230025 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2230025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230032 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230035 */   // GIR_Coverage, 64860,
     /* 2230035 */   GIR_EraseRootFromParent_Done,
     /* 2230036 */ // Label 29774: @2230036
     /* 2230036 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2230078), // Rule ID 64864 //
     /* 2230041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230054 */   // MIs[0] Operand 1
     /* 2230054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230067 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2230067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230072 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230077 */   // GIR_Coverage, 64864,
     /* 2230077 */   GIR_EraseRootFromParent_Done,
     /* 2230078 */ // Label 29775: @2230078
     /* 2230078 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2230144), // Rule ID 64870 //
     /* 2230083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230096 */   // MIs[0] Operand 1
     /* 2230096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230109 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230121 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230125 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230143 */   // GIR_Coverage, 64870,
     /* 2230143 */   GIR_EraseRootFromParent_Done,
     /* 2230144 */ // Label 29776: @2230144
     /* 2230144 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2230213), // Rule ID 64876 //
     /* 2230149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230162 */   // MIs[0] Operand 1
     /* 2230162 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230175 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230187 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230191 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230202 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230212 */   // GIR_Coverage, 64876,
     /* 2230212 */   GIR_EraseRootFromParent_Done,
     /* 2230213 */ // Label 29777: @2230213
     /* 2230213 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2230255), // Rule ID 64880 //
     /* 2230218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230231 */   // MIs[0] Operand 1
     /* 2230231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230244 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230254 */   // GIR_Coverage, 64880,
     /* 2230254 */   GIR_EraseRootFromParent_Done,
     /* 2230255 */ // Label 29778: @2230255
     /* 2230255 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2230297), // Rule ID 64884 //
     /* 2230260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230273 */   // MIs[0] Operand 1
     /* 2230273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230286 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230296 */   // GIR_Coverage, 64884,
     /* 2230296 */   GIR_EraseRootFromParent_Done,
     /* 2230297 */ // Label 29779: @2230297
     /* 2230297 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2230363), // Rule ID 64888 //
     /* 2230302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230315 */   // MIs[0] Operand 1
     /* 2230315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230328 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230340 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230344 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230362 */   // GIR_Coverage, 64888,
     /* 2230362 */   GIR_EraseRootFromParent_Done,
     /* 2230363 */ // Label 29780: @2230363
     /* 2230363 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2230429), // Rule ID 64892 //
     /* 2230368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230381 */   // MIs[0] Operand 1
     /* 2230381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230394 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230406 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230410 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230428 */   // GIR_Coverage, 64892,
     /* 2230428 */   GIR_EraseRootFromParent_Done,
     /* 2230429 */ // Label 29781: @2230429
     /* 2230429 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2230495), // Rule ID 64896 //
     /* 2230434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230447 */   // MIs[0] Operand 1
     /* 2230447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230460 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230460 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230463 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230467 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230472 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230476 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230480 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230487 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230494 */   // GIR_Coverage, 64896,
     /* 2230494 */   GIR_EraseRootFromParent_Done,
     /* 2230495 */ // Label 29782: @2230495
     /* 2230495 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2230561), // Rule ID 64900 //
     /* 2230500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230513 */   // MIs[0] Operand 1
     /* 2230513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230526 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230538 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230542 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230560 */   // GIR_Coverage, 64900,
     /* 2230560 */   GIR_EraseRootFromParent_Done,
     /* 2230561 */ // Label 29783: @2230561
     /* 2230561 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2230627), // Rule ID 64906 //
     /* 2230566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230579 */   // MIs[0] Operand 1
     /* 2230579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230592 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230604 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230608 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230626 */   // GIR_Coverage, 64906,
     /* 2230626 */   GIR_EraseRootFromParent_Done,
     /* 2230627 */ // Label 29784: @2230627
     /* 2230627 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2230696), // Rule ID 64912 //
     /* 2230632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230645 */   // MIs[0] Operand 1
     /* 2230645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230658 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230670 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230674 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230685 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230695 */   // GIR_Coverage, 64912,
     /* 2230695 */   GIR_EraseRootFromParent_Done,
     /* 2230696 */ // Label 29785: @2230696
     /* 2230696 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2230738), // Rule ID 64916 //
     /* 2230701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230714 */   // MIs[0] Operand 1
     /* 2230714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230727 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230737 */   // GIR_Coverage, 64916,
     /* 2230737 */   GIR_EraseRootFromParent_Done,
     /* 2230738 */ // Label 29786: @2230738
     /* 2230738 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2230780), // Rule ID 64920 //
     /* 2230743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230756 */   // MIs[0] Operand 1
     /* 2230756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230769 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230779 */   // GIR_Coverage, 64920,
     /* 2230779 */   GIR_EraseRootFromParent_Done,
     /* 2230780 */ // Label 29787: @2230780
     /* 2230780 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2230846), // Rule ID 64924 //
     /* 2230785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230798 */   // MIs[0] Operand 1
     /* 2230798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230811 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230823 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230827 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230845 */   // GIR_Coverage, 64924,
     /* 2230845 */   GIR_EraseRootFromParent_Done,
     /* 2230846 */ // Label 29788: @2230846
     /* 2230846 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2230912), // Rule ID 64928 //
     /* 2230851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230864 */   // MIs[0] Operand 1
     /* 2230864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230877 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230889 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230893 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230911 */   // GIR_Coverage, 64928,
     /* 2230911 */   GIR_EraseRootFromParent_Done,
     /* 2230912 */ // Label 29789: @2230912
     /* 2230912 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2230978), // Rule ID 64932 //
     /* 2230917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230930 */   // MIs[0] Operand 1
     /* 2230930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230943 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230955 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230959 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230977 */   // GIR_Coverage, 64932,
     /* 2230977 */   GIR_EraseRootFromParent_Done,
     /* 2230978 */ // Label 29790: @2230978
     /* 2230978 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2231044), // Rule ID 64936 //
     /* 2230983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230996 */   // MIs[0] Operand 1
     /* 2230996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231009 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2231009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231021 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231025 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231043 */   // GIR_Coverage, 64936,
     /* 2231043 */   GIR_EraseRootFromParent_Done,
     /* 2231044 */ // Label 29791: @2231044
     /* 2231044 */ GIM_Reject,
     /* 2231045 */ // Label 29690: @2231045
     /* 2231045 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2231093), // Rule ID 45656 //
     /* 2231050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231063 */   // MIs[0] Operand 1
     /* 2231063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231076 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2231079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231092 */   // GIR_Coverage, 45656,
     /* 2231092 */   GIR_EraseRootFromParent_Done,
     /* 2231093 */ // Label 29792: @2231093
     /* 2231093 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2231141), // Rule ID 45657 //
     /* 2231098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231111 */   // MIs[0] Operand 1
     /* 2231111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231124 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2231127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231140 */   // GIR_Coverage, 45657,
     /* 2231140 */   GIR_EraseRootFromParent_Done,
     /* 2231141 */ // Label 29793: @2231141
     /* 2231141 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2231189), // Rule ID 45658 //
     /* 2231146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231159 */   // MIs[0] Operand 1
     /* 2231159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231172 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231188 */   // GIR_Coverage, 45658,
     /* 2231188 */   GIR_EraseRootFromParent_Done,
     /* 2231189 */ // Label 29794: @2231189
     /* 2231189 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2231237), // Rule ID 45659 //
     /* 2231194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231207 */   // MIs[0] Operand 1
     /* 2231207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231220 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231225 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231227 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231236 */   // GIR_Coverage, 45659,
     /* 2231236 */   GIR_EraseRootFromParent_Done,
     /* 2231237 */ // Label 29795: @2231237
     /* 2231237 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2231285), // Rule ID 48366 //
     /* 2231242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231255 */   // MIs[0] Operand 1
     /* 2231255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231268 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2231271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231284 */   // GIR_Coverage, 48366,
     /* 2231284 */   GIR_EraseRootFromParent_Done,
     /* 2231285 */ // Label 29796: @2231285
     /* 2231285 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2231333), // Rule ID 48367 //
     /* 2231290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231303 */   // MIs[0] Operand 1
     /* 2231303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231316 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2231319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231332 */   // GIR_Coverage, 48367,
     /* 2231332 */   GIR_EraseRootFromParent_Done,
     /* 2231333 */ // Label 29797: @2231333
     /* 2231333 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2231381), // Rule ID 48370 //
     /* 2231338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231351 */   // MIs[0] Operand 1
     /* 2231351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231364 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2231367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231380 */   // GIR_Coverage, 48370,
     /* 2231380 */   GIR_EraseRootFromParent_Done,
     /* 2231381 */ // Label 29798: @2231381
     /* 2231381 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2231429), // Rule ID 48371 //
     /* 2231386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231399 */   // MIs[0] Operand 1
     /* 2231399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231412 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2231415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231428 */   // GIR_Coverage, 48371,
     /* 2231428 */   GIR_EraseRootFromParent_Done,
     /* 2231429 */ // Label 29799: @2231429
     /* 2231429 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2231477), // Rule ID 48378 //
     /* 2231434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231447 */   // MIs[0] Operand 1
     /* 2231447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231460 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231476 */   // GIR_Coverage, 48378,
     /* 2231476 */   GIR_EraseRootFromParent_Done,
     /* 2231477 */ // Label 29800: @2231477
     /* 2231477 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2231525), // Rule ID 48379 //
     /* 2231482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231495 */   // MIs[0] Operand 1
     /* 2231495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231508 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231524 */   // GIR_Coverage, 48379,
     /* 2231524 */   GIR_EraseRootFromParent_Done,
     /* 2231525 */ // Label 29801: @2231525
     /* 2231525 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2231573), // Rule ID 48404 //
     /* 2231530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231543 */   // MIs[0] Operand 1
     /* 2231543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231556 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231572 */   // GIR_Coverage, 48404,
     /* 2231572 */   GIR_EraseRootFromParent_Done,
     /* 2231573 */ // Label 29802: @2231573
     /* 2231573 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2231621), // Rule ID 48405 //
     /* 2231578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231591 */   // MIs[0] Operand 1
     /* 2231591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231604 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231620 */   // GIR_Coverage, 48405,
     /* 2231620 */   GIR_EraseRootFromParent_Done,
     /* 2231621 */ // Label 29803: @2231621
     /* 2231621 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2231669), // Rule ID 48410 //
     /* 2231626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231639 */   // MIs[0] Operand 1
     /* 2231639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231652 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231668 */   // GIR_Coverage, 48410,
     /* 2231668 */   GIR_EraseRootFromParent_Done,
     /* 2231669 */ // Label 29804: @2231669
     /* 2231669 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2231717), // Rule ID 48411 //
     /* 2231674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231687 */   // MIs[0] Operand 1
     /* 2231687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231700 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231716 */   // GIR_Coverage, 48411,
     /* 2231716 */   GIR_EraseRootFromParent_Done,
     /* 2231717 */ // Label 29805: @2231717
     /* 2231717 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2231765), // Rule ID 48414 //
     /* 2231722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231735 */   // MIs[0] Operand 1
     /* 2231735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231748 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231764 */   // GIR_Coverage, 48414,
     /* 2231764 */   GIR_EraseRootFromParent_Done,
     /* 2231765 */ // Label 29806: @2231765
     /* 2231765 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2231813), // Rule ID 48415 //
     /* 2231770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231783 */   // MIs[0] Operand 1
     /* 2231783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231796 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231812 */   // GIR_Coverage, 48415,
     /* 2231812 */   GIR_EraseRootFromParent_Done,
     /* 2231813 */ // Label 29807: @2231813
     /* 2231813 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2231861), // Rule ID 48422 //
     /* 2231818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231831 */   // MIs[0] Operand 1
     /* 2231831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231844 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231860 */   // GIR_Coverage, 48422,
     /* 2231860 */   GIR_EraseRootFromParent_Done,
     /* 2231861 */ // Label 29808: @2231861
     /* 2231861 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2231909), // Rule ID 48423 //
     /* 2231866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231879 */   // MIs[0] Operand 1
     /* 2231879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231892 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231897 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231899 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231908 */   // GIR_Coverage, 48423,
     /* 2231908 */   GIR_EraseRootFromParent_Done,
     /* 2231909 */ // Label 29809: @2231909
     /* 2231909 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2231957), // Rule ID 48448 //
     /* 2231914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231927 */   // MIs[0] Operand 1
     /* 2231927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231940 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231956 */   // GIR_Coverage, 48448,
     /* 2231956 */   GIR_EraseRootFromParent_Done,
     /* 2231957 */ // Label 29810: @2231957
     /* 2231957 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2232005), // Rule ID 48449 //
     /* 2231962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231975 */   // MIs[0] Operand 1
     /* 2231975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231988 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232004 */   // GIR_Coverage, 48449,
     /* 2232004 */   GIR_EraseRootFromParent_Done,
     /* 2232005 */ // Label 29811: @2232005
     /* 2232005 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2232053), // Rule ID 48454 //
     /* 2232010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232023 */   // MIs[0] Operand 1
     /* 2232023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232036 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232052 */   // GIR_Coverage, 48454,
     /* 2232052 */   GIR_EraseRootFromParent_Done,
     /* 2232053 */ // Label 29812: @2232053
     /* 2232053 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2232101), // Rule ID 48455 //
     /* 2232058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232071 */   // MIs[0] Operand 1
     /* 2232071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232084 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232100 */   // GIR_Coverage, 48455,
     /* 2232100 */   GIR_EraseRootFromParent_Done,
     /* 2232101 */ // Label 29813: @2232101
     /* 2232101 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2232149), // Rule ID 48458 //
     /* 2232106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232119 */   // MIs[0] Operand 1
     /* 2232119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232132 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232148 */   // GIR_Coverage, 48458,
     /* 2232148 */   GIR_EraseRootFromParent_Done,
     /* 2232149 */ // Label 29814: @2232149
     /* 2232149 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2232197), // Rule ID 48459 //
     /* 2232154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232167 */   // MIs[0] Operand 1
     /* 2232167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232180 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232196 */   // GIR_Coverage, 48459,
     /* 2232196 */   GIR_EraseRootFromParent_Done,
     /* 2232197 */ // Label 29815: @2232197
     /* 2232197 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2232245), // Rule ID 48466 //
     /* 2232202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232215 */   // MIs[0] Operand 1
     /* 2232215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232228 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232244 */   // GIR_Coverage, 48466,
     /* 2232244 */   GIR_EraseRootFromParent_Done,
     /* 2232245 */ // Label 29816: @2232245
     /* 2232245 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2232293), // Rule ID 48467 //
     /* 2232250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232263 */   // MIs[0] Operand 1
     /* 2232263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232276 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232292 */   // GIR_Coverage, 48467,
     /* 2232292 */   GIR_EraseRootFromParent_Done,
     /* 2232293 */ // Label 29817: @2232293
     /* 2232293 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2232341), // Rule ID 48496 //
     /* 2232298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232311 */   // MIs[0] Operand 1
     /* 2232311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232324 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232329 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232340 */   // GIR_Coverage, 48496,
     /* 2232340 */   GIR_EraseRootFromParent_Done,
     /* 2232341 */ // Label 29818: @2232341
     /* 2232341 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2232389), // Rule ID 48497 //
     /* 2232346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232359 */   // MIs[0] Operand 1
     /* 2232359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232372 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2232375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232377 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232388 */   // GIR_Coverage, 48497,
     /* 2232388 */   GIR_EraseRootFromParent_Done,
     /* 2232389 */ // Label 29819: @2232389
     /* 2232389 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2232437), // Rule ID 48500 //
     /* 2232394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232407 */   // MIs[0] Operand 1
     /* 2232407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232420 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232436 */   // GIR_Coverage, 48500,
     /* 2232436 */   GIR_EraseRootFromParent_Done,
     /* 2232437 */ // Label 29820: @2232437
     /* 2232437 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2232485), // Rule ID 48501 //
     /* 2232442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232455 */   // MIs[0] Operand 1
     /* 2232455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232468 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232484 */   // GIR_Coverage, 48501,
     /* 2232484 */   GIR_EraseRootFromParent_Done,
     /* 2232485 */ // Label 29821: @2232485
     /* 2232485 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2232533), // Rule ID 48508 //
     /* 2232490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232503 */   // MIs[0] Operand 1
     /* 2232503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232516 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232532 */   // GIR_Coverage, 48508,
     /* 2232532 */   GIR_EraseRootFromParent_Done,
     /* 2232533 */ // Label 29822: @2232533
     /* 2232533 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2232581), // Rule ID 48509 //
     /* 2232538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232551 */   // MIs[0] Operand 1
     /* 2232551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232564 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232580 */   // GIR_Coverage, 48509,
     /* 2232580 */   GIR_EraseRootFromParent_Done,
     /* 2232581 */ // Label 29823: @2232581
     /* 2232581 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2232629), // Rule ID 48534 //
     /* 2232586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232599 */   // MIs[0] Operand 1
     /* 2232599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232612 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232628 */   // GIR_Coverage, 48534,
     /* 2232628 */   GIR_EraseRootFromParent_Done,
     /* 2232629 */ // Label 29824: @2232629
     /* 2232629 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2232677), // Rule ID 48535 //
     /* 2232634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232647 */   // MIs[0] Operand 1
     /* 2232647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232660 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232676 */   // GIR_Coverage, 48535,
     /* 2232676 */   GIR_EraseRootFromParent_Done,
     /* 2232677 */ // Label 29825: @2232677
     /* 2232677 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2232725), // Rule ID 48540 //
     /* 2232682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232695 */   // MIs[0] Operand 1
     /* 2232695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232708 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232724 */   // GIR_Coverage, 48540,
     /* 2232724 */   GIR_EraseRootFromParent_Done,
     /* 2232725 */ // Label 29826: @2232725
     /* 2232725 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2232773), // Rule ID 48541 //
     /* 2232730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232743 */   // MIs[0] Operand 1
     /* 2232743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232756 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232772 */   // GIR_Coverage, 48541,
     /* 2232772 */   GIR_EraseRootFromParent_Done,
     /* 2232773 */ // Label 29827: @2232773
     /* 2232773 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2232821), // Rule ID 48544 //
     /* 2232778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232791 */   // MIs[0] Operand 1
     /* 2232791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232804 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232820 */   // GIR_Coverage, 48544,
     /* 2232820 */   GIR_EraseRootFromParent_Done,
     /* 2232821 */ // Label 29828: @2232821
     /* 2232821 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2232869), // Rule ID 48545 //
     /* 2232826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232839 */   // MIs[0] Operand 1
     /* 2232839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232852 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232868 */   // GIR_Coverage, 48545,
     /* 2232868 */   GIR_EraseRootFromParent_Done,
     /* 2232869 */ // Label 29829: @2232869
     /* 2232869 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2232917), // Rule ID 48552 //
     /* 2232874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232887 */   // MIs[0] Operand 1
     /* 2232887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232900 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232916 */   // GIR_Coverage, 48552,
     /* 2232916 */   GIR_EraseRootFromParent_Done,
     /* 2232917 */ // Label 29830: @2232917
     /* 2232917 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2232965), // Rule ID 48553 //
     /* 2232922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232935 */   // MIs[0] Operand 1
     /* 2232935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232948 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232964 */   // GIR_Coverage, 48553,
     /* 2232964 */   GIR_EraseRootFromParent_Done,
     /* 2232965 */ // Label 29831: @2232965
     /* 2232965 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2233013), // Rule ID 48578 //
     /* 2232970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232983 */   // MIs[0] Operand 1
     /* 2232983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232996 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233001 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233012 */   // GIR_Coverage, 48578,
     /* 2233012 */   GIR_EraseRootFromParent_Done,
     /* 2233013 */ // Label 29832: @2233013
     /* 2233013 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2233061), // Rule ID 48579 //
     /* 2233018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233031 */   // MIs[0] Operand 1
     /* 2233031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233044 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2233047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233049 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233060 */   // GIR_Coverage, 48579,
     /* 2233060 */   GIR_EraseRootFromParent_Done,
     /* 2233061 */ // Label 29833: @2233061
     /* 2233061 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2233109), // Rule ID 48584 //
     /* 2233066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233079 */   // MIs[0] Operand 1
     /* 2233079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233092 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2233095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233097 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233108 */   // GIR_Coverage, 48584,
     /* 2233108 */   GIR_EraseRootFromParent_Done,
     /* 2233109 */ // Label 29834: @2233109
     /* 2233109 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2233157), // Rule ID 48585 //
     /* 2233114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233127 */   // MIs[0] Operand 1
     /* 2233127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233140 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2233143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233156 */   // GIR_Coverage, 48585,
     /* 2233156 */   GIR_EraseRootFromParent_Done,
     /* 2233157 */ // Label 29835: @2233157
     /* 2233157 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2233205), // Rule ID 48588 //
     /* 2233162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233175 */   // MIs[0] Operand 1
     /* 2233175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233188 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2233191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233204 */   // GIR_Coverage, 48588,
     /* 2233204 */   GIR_EraseRootFromParent_Done,
     /* 2233205 */ // Label 29836: @2233205
     /* 2233205 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2233253), // Rule ID 48589 //
     /* 2233210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233223 */   // MIs[0] Operand 1
     /* 2233223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233236 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2233239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233252 */   // GIR_Coverage, 48589,
     /* 2233252 */   GIR_EraseRootFromParent_Done,
     /* 2233253 */ // Label 29837: @2233253
     /* 2233253 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2233301), // Rule ID 48596 //
     /* 2233258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233271 */   // MIs[0] Operand 1
     /* 2233271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233284 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2233287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233300 */   // GIR_Coverage, 48596,
     /* 2233300 */   GIR_EraseRootFromParent_Done,
     /* 2233301 */ // Label 29838: @2233301
     /* 2233301 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2233349), // Rule ID 48597 //
     /* 2233306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233319 */   // MIs[0] Operand 1
     /* 2233319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233332 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2233335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233348 */   // GIR_Coverage, 48597,
     /* 2233348 */   GIR_EraseRootFromParent_Done,
     /* 2233349 */ // Label 29839: @2233349
     /* 2233349 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2233397), // Rule ID 48622 //
     /* 2233354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233367 */   // MIs[0] Operand 1
     /* 2233367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233380 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233396 */   // GIR_Coverage, 48622,
     /* 2233396 */   GIR_EraseRootFromParent_Done,
     /* 2233397 */ // Label 29840: @2233397
     /* 2233397 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2233445), // Rule ID 48623 //
     /* 2233402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233415 */   // MIs[0] Operand 1
     /* 2233415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233428 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233433 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233435 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233444 */   // GIR_Coverage, 48623,
     /* 2233444 */   GIR_EraseRootFromParent_Done,
     /* 2233445 */ // Label 29841: @2233445
     /* 2233445 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2233493), // Rule ID 48628 //
     /* 2233450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233463 */   // MIs[0] Operand 1
     /* 2233463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233476 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233481 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233483 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233492 */   // GIR_Coverage, 48628,
     /* 2233492 */   GIR_EraseRootFromParent_Done,
     /* 2233493 */ // Label 29842: @2233493
     /* 2233493 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2233541), // Rule ID 48629 //
     /* 2233498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233511 */   // MIs[0] Operand 1
     /* 2233511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233524 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233529 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233531 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233540 */   // GIR_Coverage, 48629,
     /* 2233540 */   GIR_EraseRootFromParent_Done,
     /* 2233541 */ // Label 29843: @2233541
     /* 2233541 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2233589), // Rule ID 48632 //
     /* 2233546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233559 */   // MIs[0] Operand 1
     /* 2233559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233572 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233577 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233588 */   // GIR_Coverage, 48632,
     /* 2233588 */   GIR_EraseRootFromParent_Done,
     /* 2233589 */ // Label 29844: @2233589
     /* 2233589 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2233637), // Rule ID 48633 //
     /* 2233594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233607 */   // MIs[0] Operand 1
     /* 2233607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233620 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233636 */   // GIR_Coverage, 48633,
     /* 2233636 */   GIR_EraseRootFromParent_Done,
     /* 2233637 */ // Label 29845: @2233637
     /* 2233637 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2233685), // Rule ID 48640 //
     /* 2233642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233655 */   // MIs[0] Operand 1
     /* 2233655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233668 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233684 */   // GIR_Coverage, 48640,
     /* 2233684 */   GIR_EraseRootFromParent_Done,
     /* 2233685 */ // Label 29846: @2233685
     /* 2233685 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2233733), // Rule ID 48641 //
     /* 2233690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233703 */   // MIs[0] Operand 1
     /* 2233703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233716 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233732 */   // GIR_Coverage, 48641,
     /* 2233732 */   GIR_EraseRootFromParent_Done,
     /* 2233733 */ // Label 29847: @2233733
     /* 2233733 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2233781), // Rule ID 48666 //
     /* 2233738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233751 */   // MIs[0] Operand 1
     /* 2233751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233764 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233780 */   // GIR_Coverage, 48666,
     /* 2233780 */   GIR_EraseRootFromParent_Done,
     /* 2233781 */ // Label 29848: @2233781
     /* 2233781 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2233829), // Rule ID 48667 //
     /* 2233786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233799 */   // MIs[0] Operand 1
     /* 2233799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233812 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233828 */   // GIR_Coverage, 48667,
     /* 2233828 */   GIR_EraseRootFromParent_Done,
     /* 2233829 */ // Label 29849: @2233829
     /* 2233829 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2233877), // Rule ID 48672 //
     /* 2233834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233847 */   // MIs[0] Operand 1
     /* 2233847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233860 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233876 */   // GIR_Coverage, 48672,
     /* 2233876 */   GIR_EraseRootFromParent_Done,
     /* 2233877 */ // Label 29850: @2233877
     /* 2233877 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2233925), // Rule ID 48673 //
     /* 2233882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233895 */   // MIs[0] Operand 1
     /* 2233895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233908 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233924 */   // GIR_Coverage, 48673,
     /* 2233924 */   GIR_EraseRootFromParent_Done,
     /* 2233925 */ // Label 29851: @2233925
     /* 2233925 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2233973), // Rule ID 48676 //
     /* 2233930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233943 */   // MIs[0] Operand 1
     /* 2233943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233956 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233972 */   // GIR_Coverage, 48676,
     /* 2233972 */   GIR_EraseRootFromParent_Done,
     /* 2233973 */ // Label 29852: @2233973
     /* 2233973 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2234021), // Rule ID 48677 //
     /* 2233978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233991 */   // MIs[0] Operand 1
     /* 2233991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234004 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2234007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234020 */   // GIR_Coverage, 48677,
     /* 2234020 */   GIR_EraseRootFromParent_Done,
     /* 2234021 */ // Label 29853: @2234021
     /* 2234021 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2234069), // Rule ID 48684 //
     /* 2234026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234039 */   // MIs[0] Operand 1
     /* 2234039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234052 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234068 */   // GIR_Coverage, 48684,
     /* 2234068 */   GIR_EraseRootFromParent_Done,
     /* 2234069 */ // Label 29854: @2234069
     /* 2234069 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2234117), // Rule ID 48685 //
     /* 2234074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234087 */   // MIs[0] Operand 1
     /* 2234087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234100 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234116 */   // GIR_Coverage, 48685,
     /* 2234116 */   GIR_EraseRootFromParent_Done,
     /* 2234117 */ // Label 29855: @2234117
     /* 2234117 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2234165), // Rule ID 48710 //
     /* 2234122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234135 */   // MIs[0] Operand 1
     /* 2234135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234148 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234164 */   // GIR_Coverage, 48710,
     /* 2234164 */   GIR_EraseRootFromParent_Done,
     /* 2234165 */ // Label 29856: @2234165
     /* 2234165 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2234213), // Rule ID 48711 //
     /* 2234170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234183 */   // MIs[0] Operand 1
     /* 2234183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234196 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234201 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234203 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234212 */   // GIR_Coverage, 48711,
     /* 2234212 */   GIR_EraseRootFromParent_Done,
     /* 2234213 */ // Label 29857: @2234213
     /* 2234213 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2234261), // Rule ID 48716 //
     /* 2234218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234231 */   // MIs[0] Operand 1
     /* 2234231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234244 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234249 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234251 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234260 */   // GIR_Coverage, 48716,
     /* 2234260 */   GIR_EraseRootFromParent_Done,
     /* 2234261 */ // Label 29858: @2234261
     /* 2234261 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2234309), // Rule ID 48717 //
     /* 2234266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234279 */   // MIs[0] Operand 1
     /* 2234279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234292 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234299 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234308 */   // GIR_Coverage, 48717,
     /* 2234308 */   GIR_EraseRootFromParent_Done,
     /* 2234309 */ // Label 29859: @2234309
     /* 2234309 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2234357), // Rule ID 48720 //
     /* 2234314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234327 */   // MIs[0] Operand 1
     /* 2234327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234340 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234356 */   // GIR_Coverage, 48720,
     /* 2234356 */   GIR_EraseRootFromParent_Done,
     /* 2234357 */ // Label 29860: @2234357
     /* 2234357 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2234405), // Rule ID 48721 //
     /* 2234362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234375 */   // MIs[0] Operand 1
     /* 2234375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234388 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234404 */   // GIR_Coverage, 48721,
     /* 2234404 */   GIR_EraseRootFromParent_Done,
     /* 2234405 */ // Label 29861: @2234405
     /* 2234405 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2234453), // Rule ID 48728 //
     /* 2234410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234423 */   // MIs[0] Operand 1
     /* 2234423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234436 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234452 */   // GIR_Coverage, 48728,
     /* 2234452 */   GIR_EraseRootFromParent_Done,
     /* 2234453 */ // Label 29862: @2234453
     /* 2234453 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2234501), // Rule ID 48729 //
     /* 2234458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234471 */   // MIs[0] Operand 1
     /* 2234471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234484 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234500 */   // GIR_Coverage, 48729,
     /* 2234500 */   GIR_EraseRootFromParent_Done,
     /* 2234501 */ // Label 29863: @2234501
     /* 2234501 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2234549), // Rule ID 48754 //
     /* 2234506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234519 */   // MIs[0] Operand 1
     /* 2234519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234532 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234548 */   // GIR_Coverage, 48754,
     /* 2234548 */   GIR_EraseRootFromParent_Done,
     /* 2234549 */ // Label 29864: @2234549
     /* 2234549 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2234597), // Rule ID 48755 //
     /* 2234554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234567 */   // MIs[0] Operand 1
     /* 2234567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234580 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234585 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234596 */   // GIR_Coverage, 48755,
     /* 2234596 */   GIR_EraseRootFromParent_Done,
     /* 2234597 */ // Label 29865: @2234597
     /* 2234597 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2234645), // Rule ID 48760 //
     /* 2234602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234615 */   // MIs[0] Operand 1
     /* 2234615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234628 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234633 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234644 */   // GIR_Coverage, 48760,
     /* 2234644 */   GIR_EraseRootFromParent_Done,
     /* 2234645 */ // Label 29866: @2234645
     /* 2234645 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2234693), // Rule ID 48761 //
     /* 2234650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234663 */   // MIs[0] Operand 1
     /* 2234663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234676 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234692 */   // GIR_Coverage, 48761,
     /* 2234692 */   GIR_EraseRootFromParent_Done,
     /* 2234693 */ // Label 29867: @2234693
     /* 2234693 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2234741), // Rule ID 48764 //
     /* 2234698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234711 */   // MIs[0] Operand 1
     /* 2234711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234724 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234740 */   // GIR_Coverage, 48764,
     /* 2234740 */   GIR_EraseRootFromParent_Done,
     /* 2234741 */ // Label 29868: @2234741
     /* 2234741 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2234789), // Rule ID 48765 //
     /* 2234746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234759 */   // MIs[0] Operand 1
     /* 2234759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234772 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234788 */   // GIR_Coverage, 48765,
     /* 2234788 */   GIR_EraseRootFromParent_Done,
     /* 2234789 */ // Label 29869: @2234789
     /* 2234789 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2234837), // Rule ID 48772 //
     /* 2234794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234807 */   // MIs[0] Operand 1
     /* 2234807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234820 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234836 */   // GIR_Coverage, 48772,
     /* 2234836 */   GIR_EraseRootFromParent_Done,
     /* 2234837 */ // Label 29870: @2234837
     /* 2234837 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2234885), // Rule ID 48773 //
     /* 2234842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234855 */   // MIs[0] Operand 1
     /* 2234855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234868 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234884 */   // GIR_Coverage, 48773,
     /* 2234884 */   GIR_EraseRootFromParent_Done,
     /* 2234885 */ // Label 29871: @2234885
     /* 2234885 */ GIM_Reject,
     /* 2234886 */ // Label 29691: @2234886
     /* 2234886 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2234934), // Rule ID 48362 //
     /* 2234891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234904 */   // MIs[0] Operand 1
     /* 2234904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234917 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234933 */   // GIR_Coverage, 48362,
     /* 2234933 */   GIR_EraseRootFromParent_Done,
     /* 2234934 */ // Label 29872: @2234934
     /* 2234934 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2234982), // Rule ID 48363 //
     /* 2234939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234952 */   // MIs[0] Operand 1
     /* 2234952 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234965 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234972 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234981 */   // GIR_Coverage, 48363,
     /* 2234981 */   GIR_EraseRootFromParent_Done,
     /* 2234982 */ // Label 29873: @2234982
     /* 2234982 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2235030), // Rule ID 48368 //
     /* 2234987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235000 */   // MIs[0] Operand 1
     /* 2235000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235013 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235029 */   // GIR_Coverage, 48368,
     /* 2235029 */   GIR_EraseRootFromParent_Done,
     /* 2235030 */ // Label 29874: @2235030
     /* 2235030 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2235078), // Rule ID 48369 //
     /* 2235035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235048 */   // MIs[0] Operand 1
     /* 2235048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235061 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235077 */   // GIR_Coverage, 48369,
     /* 2235077 */   GIR_EraseRootFromParent_Done,
     /* 2235078 */ // Label 29875: @2235078
     /* 2235078 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2235126), // Rule ID 48376 //
     /* 2235083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235096 */   // MIs[0] Operand 1
     /* 2235096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235109 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235125 */   // GIR_Coverage, 48376,
     /* 2235125 */   GIR_EraseRootFromParent_Done,
     /* 2235126 */ // Label 29876: @2235126
     /* 2235126 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2235174), // Rule ID 48377 //
     /* 2235131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235144 */   // MIs[0] Operand 1
     /* 2235144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235157 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235173 */   // GIR_Coverage, 48377,
     /* 2235173 */   GIR_EraseRootFromParent_Done,
     /* 2235174 */ // Label 29877: @2235174
     /* 2235174 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2235222), // Rule ID 48398 //
     /* 2235179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235192 */   // MIs[0] Operand 1
     /* 2235192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235205 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2235208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235221 */   // GIR_Coverage, 48398,
     /* 2235221 */   GIR_EraseRootFromParent_Done,
     /* 2235222 */ // Label 29878: @2235222
     /* 2235222 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2235270), // Rule ID 48399 //
     /* 2235227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235240 */   // MIs[0] Operand 1
     /* 2235240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235253 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2235256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235269 */   // GIR_Coverage, 48399,
     /* 2235269 */   GIR_EraseRootFromParent_Done,
     /* 2235270 */ // Label 29879: @2235270
     /* 2235270 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2235318), // Rule ID 48406 //
     /* 2235275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235288 */   // MIs[0] Operand 1
     /* 2235288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235301 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235317 */   // GIR_Coverage, 48406,
     /* 2235317 */   GIR_EraseRootFromParent_Done,
     /* 2235318 */ // Label 29880: @2235318
     /* 2235318 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2235366), // Rule ID 48407 //
     /* 2235323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235336 */   // MIs[0] Operand 1
     /* 2235336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235349 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235365 */   // GIR_Coverage, 48407,
     /* 2235365 */   GIR_EraseRootFromParent_Done,
     /* 2235366 */ // Label 29881: @2235366
     /* 2235366 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2235414), // Rule ID 48412 //
     /* 2235371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235384 */   // MIs[0] Operand 1
     /* 2235384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235397 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235413 */   // GIR_Coverage, 48412,
     /* 2235413 */   GIR_EraseRootFromParent_Done,
     /* 2235414 */ // Label 29882: @2235414
     /* 2235414 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2235462), // Rule ID 48413 //
     /* 2235419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235432 */   // MIs[0] Operand 1
     /* 2235432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235445 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235461 */   // GIR_Coverage, 48413,
     /* 2235461 */   GIR_EraseRootFromParent_Done,
     /* 2235462 */ // Label 29883: @2235462
     /* 2235462 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2235510), // Rule ID 48420 //
     /* 2235467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235480 */   // MIs[0] Operand 1
     /* 2235480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235493 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235509 */   // GIR_Coverage, 48420,
     /* 2235509 */   GIR_EraseRootFromParent_Done,
     /* 2235510 */ // Label 29884: @2235510
     /* 2235510 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2235558), // Rule ID 48421 //
     /* 2235515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235528 */   // MIs[0] Operand 1
     /* 2235528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235541 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235557 */   // GIR_Coverage, 48421,
     /* 2235557 */   GIR_EraseRootFromParent_Done,
     /* 2235558 */ // Label 29885: @2235558
     /* 2235558 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2235606), // Rule ID 48442 //
     /* 2235563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235576 */   // MIs[0] Operand 1
     /* 2235576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235589 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235605 */   // GIR_Coverage, 48442,
     /* 2235605 */   GIR_EraseRootFromParent_Done,
     /* 2235606 */ // Label 29886: @2235606
     /* 2235606 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2235654), // Rule ID 48443 //
     /* 2235611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235624 */   // MIs[0] Operand 1
     /* 2235624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235637 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235644 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235653 */   // GIR_Coverage, 48443,
     /* 2235653 */   GIR_EraseRootFromParent_Done,
     /* 2235654 */ // Label 29887: @2235654
     /* 2235654 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2235702), // Rule ID 48450 //
     /* 2235659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235672 */   // MIs[0] Operand 1
     /* 2235672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235685 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235701 */   // GIR_Coverage, 48450,
     /* 2235701 */   GIR_EraseRootFromParent_Done,
     /* 2235702 */ // Label 29888: @2235702
     /* 2235702 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2235750), // Rule ID 48451 //
     /* 2235707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235720 */   // MIs[0] Operand 1
     /* 2235720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235733 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235738 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235740 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235749 */   // GIR_Coverage, 48451,
     /* 2235749 */   GIR_EraseRootFromParent_Done,
     /* 2235750 */ // Label 29889: @2235750
     /* 2235750 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2235798), // Rule ID 48456 //
     /* 2235755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235768 */   // MIs[0] Operand 1
     /* 2235768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235781 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235797 */   // GIR_Coverage, 48456,
     /* 2235797 */   GIR_EraseRootFromParent_Done,
     /* 2235798 */ // Label 29890: @2235798
     /* 2235798 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2235846), // Rule ID 48457 //
     /* 2235803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235816 */   // MIs[0] Operand 1
     /* 2235816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235829 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235845 */   // GIR_Coverage, 48457,
     /* 2235845 */   GIR_EraseRootFromParent_Done,
     /* 2235846 */ // Label 29891: @2235846
     /* 2235846 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2235894), // Rule ID 48464 //
     /* 2235851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235864 */   // MIs[0] Operand 1
     /* 2235864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235877 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235882 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235893 */   // GIR_Coverage, 48464,
     /* 2235893 */   GIR_EraseRootFromParent_Done,
     /* 2235894 */ // Label 29892: @2235894
     /* 2235894 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2235942), // Rule ID 48465 //
     /* 2235899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235912 */   // MIs[0] Operand 1
     /* 2235912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235925 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235930 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235941 */   // GIR_Coverage, 48465,
     /* 2235941 */   GIR_EraseRootFromParent_Done,
     /* 2235942 */ // Label 29893: @2235942
     /* 2235942 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2235990), // Rule ID 48486 //
     /* 2235947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235960 */   // MIs[0] Operand 1
     /* 2235960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235973 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235978 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235989 */   // GIR_Coverage, 48486,
     /* 2235989 */   GIR_EraseRootFromParent_Done,
     /* 2235990 */ // Label 29894: @2235990
     /* 2235990 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2236038), // Rule ID 48487 //
     /* 2235995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236008 */   // MIs[0] Operand 1
     /* 2236008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236021 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236037 */   // GIR_Coverage, 48487,
     /* 2236037 */   GIR_EraseRootFromParent_Done,
     /* 2236038 */ // Label 29895: @2236038
     /* 2236038 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2236086), // Rule ID 48492 //
     /* 2236043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236056 */   // MIs[0] Operand 1
     /* 2236056 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236069 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236085 */   // GIR_Coverage, 48492,
     /* 2236085 */   GIR_EraseRootFromParent_Done,
     /* 2236086 */ // Label 29896: @2236086
     /* 2236086 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2236134), // Rule ID 48493 //
     /* 2236091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236104 */   // MIs[0] Operand 1
     /* 2236104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236117 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236122 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236133 */   // GIR_Coverage, 48493,
     /* 2236133 */   GIR_EraseRootFromParent_Done,
     /* 2236134 */ // Label 29897: @2236134
     /* 2236134 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2236182), // Rule ID 48498 //
     /* 2236139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236152 */   // MIs[0] Operand 1
     /* 2236152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236165 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236170 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236181 */   // GIR_Coverage, 48498,
     /* 2236181 */   GIR_EraseRootFromParent_Done,
     /* 2236182 */ // Label 29898: @2236182
     /* 2236182 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2236230), // Rule ID 48499 //
     /* 2236187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236200 */   // MIs[0] Operand 1
     /* 2236200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236213 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236218 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236229 */   // GIR_Coverage, 48499,
     /* 2236229 */   GIR_EraseRootFromParent_Done,
     /* 2236230 */ // Label 29899: @2236230
     /* 2236230 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2236278), // Rule ID 48506 //
     /* 2236235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236248 */   // MIs[0] Operand 1
     /* 2236248 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236257 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236261 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236266 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236277 */   // GIR_Coverage, 48506,
     /* 2236277 */   GIR_EraseRootFromParent_Done,
     /* 2236278 */ // Label 29900: @2236278
     /* 2236278 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2236326), // Rule ID 48507 //
     /* 2236283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236296 */   // MIs[0] Operand 1
     /* 2236296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236309 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236325 */   // GIR_Coverage, 48507,
     /* 2236325 */   GIR_EraseRootFromParent_Done,
     /* 2236326 */ // Label 29901: @2236326
     /* 2236326 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2236374), // Rule ID 48528 //
     /* 2236331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236344 */   // MIs[0] Operand 1
     /* 2236344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236357 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236362 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236373 */   // GIR_Coverage, 48528,
     /* 2236373 */   GIR_EraseRootFromParent_Done,
     /* 2236374 */ // Label 29902: @2236374
     /* 2236374 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2236422), // Rule ID 48529 //
     /* 2236379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236392 */   // MIs[0] Operand 1
     /* 2236392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236405 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2236408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236421 */   // GIR_Coverage, 48529,
     /* 2236421 */   GIR_EraseRootFromParent_Done,
     /* 2236422 */ // Label 29903: @2236422
     /* 2236422 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2236470), // Rule ID 48536 //
     /* 2236427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236440 */   // MIs[0] Operand 1
     /* 2236440 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236449 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236453 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236469 */   // GIR_Coverage, 48536,
     /* 2236469 */   GIR_EraseRootFromParent_Done,
     /* 2236470 */ // Label 29904: @2236470
     /* 2236470 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2236518), // Rule ID 48537 //
     /* 2236475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236488 */   // MIs[0] Operand 1
     /* 2236488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236501 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236506 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236517 */   // GIR_Coverage, 48537,
     /* 2236517 */   GIR_EraseRootFromParent_Done,
     /* 2236518 */ // Label 29905: @2236518
     /* 2236518 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2236566), // Rule ID 48542 //
     /* 2236523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236536 */   // MIs[0] Operand 1
     /* 2236536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236549 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236565 */   // GIR_Coverage, 48542,
     /* 2236565 */   GIR_EraseRootFromParent_Done,
     /* 2236566 */ // Label 29906: @2236566
     /* 2236566 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2236614), // Rule ID 48543 //
     /* 2236571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236584 */   // MIs[0] Operand 1
     /* 2236584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236597 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236613 */   // GIR_Coverage, 48543,
     /* 2236613 */   GIR_EraseRootFromParent_Done,
     /* 2236614 */ // Label 29907: @2236614
     /* 2236614 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2236662), // Rule ID 48550 //
     /* 2236619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236632 */   // MIs[0] Operand 1
     /* 2236632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236645 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236661 */   // GIR_Coverage, 48550,
     /* 2236661 */   GIR_EraseRootFromParent_Done,
     /* 2236662 */ // Label 29908: @2236662
     /* 2236662 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2236710), // Rule ID 48551 //
     /* 2236667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236680 */   // MIs[0] Operand 1
     /* 2236680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236693 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236709 */   // GIR_Coverage, 48551,
     /* 2236709 */   GIR_EraseRootFromParent_Done,
     /* 2236710 */ // Label 29909: @2236710
     /* 2236710 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2236758), // Rule ID 48572 //
     /* 2236715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236728 */   // MIs[0] Operand 1
     /* 2236728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236741 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236746 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236748 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236757 */   // GIR_Coverage, 48572,
     /* 2236757 */   GIR_EraseRootFromParent_Done,
     /* 2236758 */ // Label 29910: @2236758
     /* 2236758 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2236806), // Rule ID 48573 //
     /* 2236763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236776 */   // MIs[0] Operand 1
     /* 2236776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236789 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236805 */   // GIR_Coverage, 48573,
     /* 2236805 */   GIR_EraseRootFromParent_Done,
     /* 2236806 */ // Label 29911: @2236806
     /* 2236806 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2236854), // Rule ID 48580 //
     /* 2236811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236824 */   // MIs[0] Operand 1
     /* 2236824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236837 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236844 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236853 */   // GIR_Coverage, 48580,
     /* 2236853 */   GIR_EraseRootFromParent_Done,
     /* 2236854 */ // Label 29912: @2236854
     /* 2236854 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2236902), // Rule ID 48581 //
     /* 2236859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236872 */   // MIs[0] Operand 1
     /* 2236872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236885 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236901 */   // GIR_Coverage, 48581,
     /* 2236901 */   GIR_EraseRootFromParent_Done,
     /* 2236902 */ // Label 29913: @2236902
     /* 2236902 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2236950), // Rule ID 48586 //
     /* 2236907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236920 */   // MIs[0] Operand 1
     /* 2236920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236933 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236949 */   // GIR_Coverage, 48586,
     /* 2236949 */   GIR_EraseRootFromParent_Done,
     /* 2236950 */ // Label 29914: @2236950
     /* 2236950 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2236998), // Rule ID 48587 //
     /* 2236955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236968 */   // MIs[0] Operand 1
     /* 2236968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236981 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236997 */   // GIR_Coverage, 48587,
     /* 2236997 */   GIR_EraseRootFromParent_Done,
     /* 2236998 */ // Label 29915: @2236998
     /* 2236998 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2237046), // Rule ID 48594 //
     /* 2237003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237016 */   // MIs[0] Operand 1
     /* 2237016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237029 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237036 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237045 */   // GIR_Coverage, 48594,
     /* 2237045 */   GIR_EraseRootFromParent_Done,
     /* 2237046 */ // Label 29916: @2237046
     /* 2237046 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2237094), // Rule ID 48595 //
     /* 2237051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237064 */   // MIs[0] Operand 1
     /* 2237064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237077 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237093 */   // GIR_Coverage, 48595,
     /* 2237093 */   GIR_EraseRootFromParent_Done,
     /* 2237094 */ // Label 29917: @2237094
     /* 2237094 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2237142), // Rule ID 48616 //
     /* 2237099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237112 */   // MIs[0] Operand 1
     /* 2237112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237125 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237141 */   // GIR_Coverage, 48616,
     /* 2237141 */   GIR_EraseRootFromParent_Done,
     /* 2237142 */ // Label 29918: @2237142
     /* 2237142 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2237190), // Rule ID 48617 //
     /* 2237147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237160 */   // MIs[0] Operand 1
     /* 2237160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237173 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237189 */   // GIR_Coverage, 48617,
     /* 2237189 */   GIR_EraseRootFromParent_Done,
     /* 2237190 */ // Label 29919: @2237190
     /* 2237190 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2237238), // Rule ID 48624 //
     /* 2237195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237208 */   // MIs[0] Operand 1
     /* 2237208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237221 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237237 */   // GIR_Coverage, 48624,
     /* 2237237 */   GIR_EraseRootFromParent_Done,
     /* 2237238 */ // Label 29920: @2237238
     /* 2237238 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2237286), // Rule ID 48625 //
     /* 2237243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237256 */   // MIs[0] Operand 1
     /* 2237256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237269 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237285 */   // GIR_Coverage, 48625,
     /* 2237285 */   GIR_EraseRootFromParent_Done,
     /* 2237286 */ // Label 29921: @2237286
     /* 2237286 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2237334), // Rule ID 48630 //
     /* 2237291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237304 */   // MIs[0] Operand 1
     /* 2237304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237317 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237322 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237324 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237333 */   // GIR_Coverage, 48630,
     /* 2237333 */   GIR_EraseRootFromParent_Done,
     /* 2237334 */ // Label 29922: @2237334
     /* 2237334 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2237382), // Rule ID 48631 //
     /* 2237339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237352 */   // MIs[0] Operand 1
     /* 2237352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237365 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237370 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237372 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237381 */   // GIR_Coverage, 48631,
     /* 2237381 */   GIR_EraseRootFromParent_Done,
     /* 2237382 */ // Label 29923: @2237382
     /* 2237382 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2237430), // Rule ID 48638 //
     /* 2237387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237400 */   // MIs[0] Operand 1
     /* 2237400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237413 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237418 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237420 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237429 */   // GIR_Coverage, 48638,
     /* 2237429 */   GIR_EraseRootFromParent_Done,
     /* 2237430 */ // Label 29924: @2237430
     /* 2237430 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2237478), // Rule ID 48639 //
     /* 2237435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237448 */   // MIs[0] Operand 1
     /* 2237448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237461 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237468 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237477 */   // GIR_Coverage, 48639,
     /* 2237477 */   GIR_EraseRootFromParent_Done,
     /* 2237478 */ // Label 29925: @2237478
     /* 2237478 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2237526), // Rule ID 48660 //
     /* 2237483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237496 */   // MIs[0] Operand 1
     /* 2237496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237509 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237516 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237525 */   // GIR_Coverage, 48660,
     /* 2237525 */   GIR_EraseRootFromParent_Done,
     /* 2237526 */ // Label 29926: @2237526
     /* 2237526 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2237574), // Rule ID 48661 //
     /* 2237531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237544 */   // MIs[0] Operand 1
     /* 2237544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237557 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237564 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237573 */   // GIR_Coverage, 48661,
     /* 2237573 */   GIR_EraseRootFromParent_Done,
     /* 2237574 */ // Label 29927: @2237574
     /* 2237574 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2237622), // Rule ID 48668 //
     /* 2237579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237592 */   // MIs[0] Operand 1
     /* 2237592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237605 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237621 */   // GIR_Coverage, 48668,
     /* 2237621 */   GIR_EraseRootFromParent_Done,
     /* 2237622 */ // Label 29928: @2237622
     /* 2237622 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2237670), // Rule ID 48669 //
     /* 2237627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237640 */   // MIs[0] Operand 1
     /* 2237640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237653 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237669 */   // GIR_Coverage, 48669,
     /* 2237669 */   GIR_EraseRootFromParent_Done,
     /* 2237670 */ // Label 29929: @2237670
     /* 2237670 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2237718), // Rule ID 48674 //
     /* 2237675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237688 */   // MIs[0] Operand 1
     /* 2237688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237701 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237717 */   // GIR_Coverage, 48674,
     /* 2237717 */   GIR_EraseRootFromParent_Done,
     /* 2237718 */ // Label 29930: @2237718
     /* 2237718 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2237766), // Rule ID 48675 //
     /* 2237723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237736 */   // MIs[0] Operand 1
     /* 2237736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237749 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237756 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237765 */   // GIR_Coverage, 48675,
     /* 2237765 */   GIR_EraseRootFromParent_Done,
     /* 2237766 */ // Label 29931: @2237766
     /* 2237766 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2237814), // Rule ID 48682 //
     /* 2237771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237784 */   // MIs[0] Operand 1
     /* 2237784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237797 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237813 */   // GIR_Coverage, 48682,
     /* 2237813 */   GIR_EraseRootFromParent_Done,
     /* 2237814 */ // Label 29932: @2237814
     /* 2237814 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2237862), // Rule ID 48683 //
     /* 2237819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237832 */   // MIs[0] Operand 1
     /* 2237832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237845 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237861 */   // GIR_Coverage, 48683,
     /* 2237861 */   GIR_EraseRootFromParent_Done,
     /* 2237862 */ // Label 29933: @2237862
     /* 2237862 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2237910), // Rule ID 48704 //
     /* 2237867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237880 */   // MIs[0] Operand 1
     /* 2237880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237893 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237909 */   // GIR_Coverage, 48704,
     /* 2237909 */   GIR_EraseRootFromParent_Done,
     /* 2237910 */ // Label 29934: @2237910
     /* 2237910 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2237958), // Rule ID 48705 //
     /* 2237915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237928 */   // MIs[0] Operand 1
     /* 2237928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237941 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237957 */   // GIR_Coverage, 48705,
     /* 2237957 */   GIR_EraseRootFromParent_Done,
     /* 2237958 */ // Label 29935: @2237958
     /* 2237958 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2238006), // Rule ID 48712 //
     /* 2237963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237976 */   // MIs[0] Operand 1
     /* 2237976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237989 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238005 */   // GIR_Coverage, 48712,
     /* 2238005 */   GIR_EraseRootFromParent_Done,
     /* 2238006 */ // Label 29936: @2238006
     /* 2238006 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2238054), // Rule ID 48713 //
     /* 2238011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238024 */   // MIs[0] Operand 1
     /* 2238024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238037 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238042 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238053 */   // GIR_Coverage, 48713,
     /* 2238053 */   GIR_EraseRootFromParent_Done,
     /* 2238054 */ // Label 29937: @2238054
     /* 2238054 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2238102), // Rule ID 48718 //
     /* 2238059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238072 */   // MIs[0] Operand 1
     /* 2238072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238085 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238101 */   // GIR_Coverage, 48718,
     /* 2238101 */   GIR_EraseRootFromParent_Done,
     /* 2238102 */ // Label 29938: @2238102
     /* 2238102 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2238150), // Rule ID 48719 //
     /* 2238107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238120 */   // MIs[0] Operand 1
     /* 2238120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238133 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238149 */   // GIR_Coverage, 48719,
     /* 2238149 */   GIR_EraseRootFromParent_Done,
     /* 2238150 */ // Label 29939: @2238150
     /* 2238150 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2238198), // Rule ID 48726 //
     /* 2238155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238168 */   // MIs[0] Operand 1
     /* 2238168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238181 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238197 */   // GIR_Coverage, 48726,
     /* 2238197 */   GIR_EraseRootFromParent_Done,
     /* 2238198 */ // Label 29940: @2238198
     /* 2238198 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2238246), // Rule ID 48727 //
     /* 2238203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238216 */   // MIs[0] Operand 1
     /* 2238216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238229 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238245 */   // GIR_Coverage, 48727,
     /* 2238245 */   GIR_EraseRootFromParent_Done,
     /* 2238246 */ // Label 29941: @2238246
     /* 2238246 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2238294), // Rule ID 48748 //
     /* 2238251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238264 */   // MIs[0] Operand 1
     /* 2238264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238277 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238293 */   // GIR_Coverage, 48748,
     /* 2238293 */   GIR_EraseRootFromParent_Done,
     /* 2238294 */ // Label 29942: @2238294
     /* 2238294 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2238342), // Rule ID 48749 //
     /* 2238299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238312 */   // MIs[0] Operand 1
     /* 2238312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238325 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238341 */   // GIR_Coverage, 48749,
     /* 2238341 */   GIR_EraseRootFromParent_Done,
     /* 2238342 */ // Label 29943: @2238342
     /* 2238342 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2238390), // Rule ID 48756 //
     /* 2238347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238360 */   // MIs[0] Operand 1
     /* 2238360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238373 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238389 */   // GIR_Coverage, 48756,
     /* 2238389 */   GIR_EraseRootFromParent_Done,
     /* 2238390 */ // Label 29944: @2238390
     /* 2238390 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2238438), // Rule ID 48757 //
     /* 2238395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2238404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238408 */   // MIs[0] Operand 1
     /* 2238408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238421 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238426 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238437 */   // GIR_Coverage, 48757,
     /* 2238437 */   GIR_EraseRootFromParent_Done,
     /* 2238438 */ // Label 29945: @2238438
     /* 2238438 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2238486), // Rule ID 48762 //
     /* 2238443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238456 */   // MIs[0] Operand 1
     /* 2238456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238469 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238474 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238485 */   // GIR_Coverage, 48762,
     /* 2238485 */   GIR_EraseRootFromParent_Done,
     /* 2238486 */ // Label 29946: @2238486
     /* 2238486 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2238534), // Rule ID 48763 //
     /* 2238491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238504 */   // MIs[0] Operand 1
     /* 2238504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238517 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238522 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238533 */   // GIR_Coverage, 48763,
     /* 2238533 */   GIR_EraseRootFromParent_Done,
     /* 2238534 */ // Label 29947: @2238534
     /* 2238534 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2238582), // Rule ID 48770 //
     /* 2238539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238552 */   // MIs[0] Operand 1
     /* 2238552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238565 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238570 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238581 */   // GIR_Coverage, 48770,
     /* 2238581 */   GIR_EraseRootFromParent_Done,
     /* 2238582 */ // Label 29948: @2238582
     /* 2238582 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2238630), // Rule ID 48771 //
     /* 2238587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238600 */   // MIs[0] Operand 1
     /* 2238600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238613 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238629 */   // GIR_Coverage, 48771,
     /* 2238629 */   GIR_EraseRootFromParent_Done,
     /* 2238630 */ // Label 29949: @2238630
     /* 2238630 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2238678), // Rule ID 48792 //
     /* 2238635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238648 */   // MIs[0] Operand 1
     /* 2238648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238661 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238677 */   // GIR_Coverage, 48792,
     /* 2238677 */   GIR_EraseRootFromParent_Done,
     /* 2238678 */ // Label 29950: @2238678
     /* 2238678 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2238726), // Rule ID 48793 //
     /* 2238683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238696 */   // MIs[0] Operand 1
     /* 2238696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238709 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238725 */   // GIR_Coverage, 48793,
     /* 2238725 */   GIR_EraseRootFromParent_Done,
     /* 2238726 */ // Label 29951: @2238726
     /* 2238726 */ GIM_Reject,
     /* 2238727 */ // Label 29692: @2238727
     /* 2238727 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2238775), // Rule ID 48364 //
     /* 2238732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238745 */   // MIs[0] Operand 1
     /* 2238745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238758 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238774 */   // GIR_Coverage, 48364,
     /* 2238774 */   GIR_EraseRootFromParent_Done,
     /* 2238775 */ // Label 29952: @2238775
     /* 2238775 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2238823), // Rule ID 48365 //
     /* 2238780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238793 */   // MIs[0] Operand 1
     /* 2238793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238806 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238811 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238822 */   // GIR_Coverage, 48365,
     /* 2238822 */   GIR_EraseRootFromParent_Done,
     /* 2238823 */ // Label 29953: @2238823
     /* 2238823 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2238871), // Rule ID 48374 //
     /* 2238828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238841 */   // MIs[0] Operand 1
     /* 2238841 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238850 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238854 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238859 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238870 */   // GIR_Coverage, 48374,
     /* 2238870 */   GIR_EraseRootFromParent_Done,
     /* 2238871 */ // Label 29954: @2238871
     /* 2238871 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2238919), // Rule ID 48375 //
     /* 2238876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238889 */   // MIs[0] Operand 1
     /* 2238889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238898 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238902 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238907 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238909 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238918 */   // GIR_Coverage, 48375,
     /* 2238918 */   GIR_EraseRootFromParent_Done,
     /* 2238919 */ // Label 29955: @2238919
     /* 2238919 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2238967), // Rule ID 48392 //
     /* 2238924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238937 */   // MIs[0] Operand 1
     /* 2238937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238950 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238955 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238966 */   // GIR_Coverage, 48392,
     /* 2238966 */   GIR_EraseRootFromParent_Done,
     /* 2238967 */ // Label 29956: @2238967
     /* 2238967 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2239015), // Rule ID 48393 //
     /* 2238972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238985 */   // MIs[0] Operand 1
     /* 2238985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238998 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2239001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239014 */   // GIR_Coverage, 48393,
     /* 2239014 */   GIR_EraseRootFromParent_Done,
     /* 2239015 */ // Label 29957: @2239015
     /* 2239015 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2239063), // Rule ID 48400 //
     /* 2239020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239033 */   // MIs[0] Operand 1
     /* 2239033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239046 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2239049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239062 */   // GIR_Coverage, 48400,
     /* 2239062 */   GIR_EraseRootFromParent_Done,
     /* 2239063 */ // Label 29958: @2239063
     /* 2239063 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2239111), // Rule ID 48401 //
     /* 2239068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239081 */   // MIs[0] Operand 1
     /* 2239081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239094 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2239097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239110 */   // GIR_Coverage, 48401,
     /* 2239110 */   GIR_EraseRootFromParent_Done,
     /* 2239111 */ // Label 29959: @2239111
     /* 2239111 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2239159), // Rule ID 48408 //
     /* 2239116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239129 */   // MIs[0] Operand 1
     /* 2239129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239142 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239158 */   // GIR_Coverage, 48408,
     /* 2239158 */   GIR_EraseRootFromParent_Done,
     /* 2239159 */ // Label 29960: @2239159
     /* 2239159 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2239207), // Rule ID 48409 //
     /* 2239164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239177 */   // MIs[0] Operand 1
     /* 2239177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239190 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239206 */   // GIR_Coverage, 48409,
     /* 2239206 */   GIR_EraseRootFromParent_Done,
     /* 2239207 */ // Label 29961: @2239207
     /* 2239207 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2239255), // Rule ID 48418 //
     /* 2239212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239225 */   // MIs[0] Operand 1
     /* 2239225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239238 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239254 */   // GIR_Coverage, 48418,
     /* 2239254 */   GIR_EraseRootFromParent_Done,
     /* 2239255 */ // Label 29962: @2239255
     /* 2239255 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2239303), // Rule ID 48419 //
     /* 2239260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239273 */   // MIs[0] Operand 1
     /* 2239273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239286 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239302 */   // GIR_Coverage, 48419,
     /* 2239302 */   GIR_EraseRootFromParent_Done,
     /* 2239303 */ // Label 29963: @2239303
     /* 2239303 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2239351), // Rule ID 48436 //
     /* 2239308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239321 */   // MIs[0] Operand 1
     /* 2239321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239334 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239350 */   // GIR_Coverage, 48436,
     /* 2239350 */   GIR_EraseRootFromParent_Done,
     /* 2239351 */ // Label 29964: @2239351
     /* 2239351 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2239399), // Rule ID 48437 //
     /* 2239356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239369 */   // MIs[0] Operand 1
     /* 2239369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239382 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239398 */   // GIR_Coverage, 48437,
     /* 2239398 */   GIR_EraseRootFromParent_Done,
     /* 2239399 */ // Label 29965: @2239399
     /* 2239399 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2239447), // Rule ID 48444 //
     /* 2239404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239417 */   // MIs[0] Operand 1
     /* 2239417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239430 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239446 */   // GIR_Coverage, 48444,
     /* 2239446 */   GIR_EraseRootFromParent_Done,
     /* 2239447 */ // Label 29966: @2239447
     /* 2239447 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2239495), // Rule ID 48445 //
     /* 2239452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239465 */   // MIs[0] Operand 1
     /* 2239465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239478 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239494 */   // GIR_Coverage, 48445,
     /* 2239494 */   GIR_EraseRootFromParent_Done,
     /* 2239495 */ // Label 29967: @2239495
     /* 2239495 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2239543), // Rule ID 48452 //
     /* 2239500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239513 */   // MIs[0] Operand 1
     /* 2239513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239526 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239542 */   // GIR_Coverage, 48452,
     /* 2239542 */   GIR_EraseRootFromParent_Done,
     /* 2239543 */ // Label 29968: @2239543
     /* 2239543 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2239591), // Rule ID 48453 //
     /* 2239548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239561 */   // MIs[0] Operand 1
     /* 2239561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239574 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239590 */   // GIR_Coverage, 48453,
     /* 2239590 */   GIR_EraseRootFromParent_Done,
     /* 2239591 */ // Label 29969: @2239591
     /* 2239591 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2239639), // Rule ID 48462 //
     /* 2239596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239609 */   // MIs[0] Operand 1
     /* 2239609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239622 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239638 */   // GIR_Coverage, 48462,
     /* 2239638 */   GIR_EraseRootFromParent_Done,
     /* 2239639 */ // Label 29970: @2239639
     /* 2239639 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2239687), // Rule ID 48463 //
     /* 2239644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239657 */   // MIs[0] Operand 1
     /* 2239657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239670 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239686 */   // GIR_Coverage, 48463,
     /* 2239686 */   GIR_EraseRootFromParent_Done,
     /* 2239687 */ // Label 29971: @2239687
     /* 2239687 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2239735), // Rule ID 48480 //
     /* 2239692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239705 */   // MIs[0] Operand 1
     /* 2239705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239718 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239734 */   // GIR_Coverage, 48480,
     /* 2239734 */   GIR_EraseRootFromParent_Done,
     /* 2239735 */ // Label 29972: @2239735
     /* 2239735 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2239783), // Rule ID 48481 //
     /* 2239740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239753 */   // MIs[0] Operand 1
     /* 2239753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239766 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239782 */   // GIR_Coverage, 48481,
     /* 2239782 */   GIR_EraseRootFromParent_Done,
     /* 2239783 */ // Label 29973: @2239783
     /* 2239783 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2239831), // Rule ID 48488 //
     /* 2239788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239801 */   // MIs[0] Operand 1
     /* 2239801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239814 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239830 */   // GIR_Coverage, 48488,
     /* 2239830 */   GIR_EraseRootFromParent_Done,
     /* 2239831 */ // Label 29974: @2239831
     /* 2239831 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2239879), // Rule ID 48489 //
     /* 2239836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239849 */   // MIs[0] Operand 1
     /* 2239849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239862 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239878 */   // GIR_Coverage, 48489,
     /* 2239878 */   GIR_EraseRootFromParent_Done,
     /* 2239879 */ // Label 29975: @2239879
     /* 2239879 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2239927), // Rule ID 48494 //
     /* 2239884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239897 */   // MIs[0] Operand 1
     /* 2239897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239910 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239917 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239926 */   // GIR_Coverage, 48494,
     /* 2239926 */   GIR_EraseRootFromParent_Done,
     /* 2239927 */ // Label 29976: @2239927
     /* 2239927 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2239975), // Rule ID 48495 //
     /* 2239932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239945 */   // MIs[0] Operand 1
     /* 2239945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239958 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239974 */   // GIR_Coverage, 48495,
     /* 2239974 */   GIR_EraseRootFromParent_Done,
     /* 2239975 */ // Label 29977: @2239975
     /* 2239975 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2240023), // Rule ID 48504 //
     /* 2239980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239993 */   // MIs[0] Operand 1
     /* 2239993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240006 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240011 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240022 */   // GIR_Coverage, 48504,
     /* 2240022 */   GIR_EraseRootFromParent_Done,
     /* 2240023 */ // Label 29978: @2240023
     /* 2240023 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2240071), // Rule ID 48505 //
     /* 2240028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240041 */   // MIs[0] Operand 1
     /* 2240041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240054 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240059 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240061 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240070 */   // GIR_Coverage, 48505,
     /* 2240070 */   GIR_EraseRootFromParent_Done,
     /* 2240071 */ // Label 29979: @2240071
     /* 2240071 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2240119), // Rule ID 48522 //
     /* 2240076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240089 */   // MIs[0] Operand 1
     /* 2240089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240102 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240107 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240109 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240118 */   // GIR_Coverage, 48522,
     /* 2240118 */   GIR_EraseRootFromParent_Done,
     /* 2240119 */ // Label 29980: @2240119
     /* 2240119 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2240167), // Rule ID 48523 //
     /* 2240124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240137 */   // MIs[0] Operand 1
     /* 2240137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240150 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240166 */   // GIR_Coverage, 48523,
     /* 2240166 */   GIR_EraseRootFromParent_Done,
     /* 2240167 */ // Label 29981: @2240167
     /* 2240167 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2240215), // Rule ID 48530 //
     /* 2240172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240185 */   // MIs[0] Operand 1
     /* 2240185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240198 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240203 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240205 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240214 */   // GIR_Coverage, 48530,
     /* 2240214 */   GIR_EraseRootFromParent_Done,
     /* 2240215 */ // Label 29982: @2240215
     /* 2240215 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2240263), // Rule ID 48531 //
     /* 2240220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240233 */   // MIs[0] Operand 1
     /* 2240233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240246 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240251 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240262 */   // GIR_Coverage, 48531,
     /* 2240262 */   GIR_EraseRootFromParent_Done,
     /* 2240263 */ // Label 29983: @2240263
     /* 2240263 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2240311), // Rule ID 48538 //
     /* 2240268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240281 */   // MIs[0] Operand 1
     /* 2240281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240294 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240310 */   // GIR_Coverage, 48538,
     /* 2240310 */   GIR_EraseRootFromParent_Done,
     /* 2240311 */ // Label 29984: @2240311
     /* 2240311 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2240359), // Rule ID 48539 //
     /* 2240316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240329 */   // MIs[0] Operand 1
     /* 2240329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240342 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240358 */   // GIR_Coverage, 48539,
     /* 2240358 */   GIR_EraseRootFromParent_Done,
     /* 2240359 */ // Label 29985: @2240359
     /* 2240359 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2240407), // Rule ID 48548 //
     /* 2240364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240377 */   // MIs[0] Operand 1
     /* 2240377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240390 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240406 */   // GIR_Coverage, 48548,
     /* 2240406 */   GIR_EraseRootFromParent_Done,
     /* 2240407 */ // Label 29986: @2240407
     /* 2240407 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2240455), // Rule ID 48549 //
     /* 2240412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240425 */   // MIs[0] Operand 1
     /* 2240425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240438 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240454 */   // GIR_Coverage, 48549,
     /* 2240454 */   GIR_EraseRootFromParent_Done,
     /* 2240455 */ // Label 29987: @2240455
     /* 2240455 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2240503), // Rule ID 48566 //
     /* 2240460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240473 */   // MIs[0] Operand 1
     /* 2240473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240486 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240502 */   // GIR_Coverage, 48566,
     /* 2240502 */   GIR_EraseRootFromParent_Done,
     /* 2240503 */ // Label 29988: @2240503
     /* 2240503 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2240551), // Rule ID 48567 //
     /* 2240508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240521 */   // MIs[0] Operand 1
     /* 2240521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240534 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240550 */   // GIR_Coverage, 48567,
     /* 2240550 */   GIR_EraseRootFromParent_Done,
     /* 2240551 */ // Label 29989: @2240551
     /* 2240551 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2240599), // Rule ID 48574 //
     /* 2240556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240569 */   // MIs[0] Operand 1
     /* 2240569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240582 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240598 */   // GIR_Coverage, 48574,
     /* 2240598 */   GIR_EraseRootFromParent_Done,
     /* 2240599 */ // Label 29990: @2240599
     /* 2240599 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2240647), // Rule ID 48575 //
     /* 2240604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240617 */   // MIs[0] Operand 1
     /* 2240617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240630 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240646 */   // GIR_Coverage, 48575,
     /* 2240646 */   GIR_EraseRootFromParent_Done,
     /* 2240647 */ // Label 29991: @2240647
     /* 2240647 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2240695), // Rule ID 48582 //
     /* 2240652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240665 */   // MIs[0] Operand 1
     /* 2240665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240678 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240694 */   // GIR_Coverage, 48582,
     /* 2240694 */   GIR_EraseRootFromParent_Done,
     /* 2240695 */ // Label 29992: @2240695
     /* 2240695 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2240743), // Rule ID 48583 //
     /* 2240700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240713 */   // MIs[0] Operand 1
     /* 2240713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240726 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240731 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240733 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240742 */   // GIR_Coverage, 48583,
     /* 2240742 */   GIR_EraseRootFromParent_Done,
     /* 2240743 */ // Label 29993: @2240743
     /* 2240743 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2240791), // Rule ID 48592 //
     /* 2240748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240761 */   // MIs[0] Operand 1
     /* 2240761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240774 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240781 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240790 */   // GIR_Coverage, 48592,
     /* 2240790 */   GIR_EraseRootFromParent_Done,
     /* 2240791 */ // Label 29994: @2240791
     /* 2240791 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2240839), // Rule ID 48593 //
     /* 2240796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240809 */   // MIs[0] Operand 1
     /* 2240809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240822 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240827 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240829 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240838 */   // GIR_Coverage, 48593,
     /* 2240838 */   GIR_EraseRootFromParent_Done,
     /* 2240839 */ // Label 29995: @2240839
     /* 2240839 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2240887), // Rule ID 48610 //
     /* 2240844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240857 */   // MIs[0] Operand 1
     /* 2240857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240870 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240875 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240877 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240886 */   // GIR_Coverage, 48610,
     /* 2240886 */   GIR_EraseRootFromParent_Done,
     /* 2240887 */ // Label 29996: @2240887
     /* 2240887 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2240935), // Rule ID 48611 //
     /* 2240892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240905 */   // MIs[0] Operand 1
     /* 2240905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240918 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240925 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240934 */   // GIR_Coverage, 48611,
     /* 2240934 */   GIR_EraseRootFromParent_Done,
     /* 2240935 */ // Label 29997: @2240935
     /* 2240935 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2240983), // Rule ID 48618 //
     /* 2240940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240953 */   // MIs[0] Operand 1
     /* 2240953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240966 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240982 */   // GIR_Coverage, 48618,
     /* 2240982 */   GIR_EraseRootFromParent_Done,
     /* 2240983 */ // Label 29998: @2240983
     /* 2240983 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2241031), // Rule ID 48619 //
     /* 2240988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241001 */   // MIs[0] Operand 1
     /* 2241001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241014 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241030 */   // GIR_Coverage, 48619,
     /* 2241030 */   GIR_EraseRootFromParent_Done,
     /* 2241031 */ // Label 29999: @2241031
     /* 2241031 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2241079), // Rule ID 48626 //
     /* 2241036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241049 */   // MIs[0] Operand 1
     /* 2241049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241062 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241078 */   // GIR_Coverage, 48626,
     /* 2241078 */   GIR_EraseRootFromParent_Done,
     /* 2241079 */ // Label 30000: @2241079
     /* 2241079 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2241127), // Rule ID 48627 //
     /* 2241084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241097 */   // MIs[0] Operand 1
     /* 2241097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241110 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241126 */   // GIR_Coverage, 48627,
     /* 2241126 */   GIR_EraseRootFromParent_Done,
     /* 2241127 */ // Label 30001: @2241127
     /* 2241127 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2241175), // Rule ID 48636 //
     /* 2241132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241145 */   // MIs[0] Operand 1
     /* 2241145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241158 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241174 */   // GIR_Coverage, 48636,
     /* 2241174 */   GIR_EraseRootFromParent_Done,
     /* 2241175 */ // Label 30002: @2241175
     /* 2241175 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2241223), // Rule ID 48637 //
     /* 2241180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241193 */   // MIs[0] Operand 1
     /* 2241193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241206 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241222 */   // GIR_Coverage, 48637,
     /* 2241222 */   GIR_EraseRootFromParent_Done,
     /* 2241223 */ // Label 30003: @2241223
     /* 2241223 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2241271), // Rule ID 48654 //
     /* 2241228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241241 */   // MIs[0] Operand 1
     /* 2241241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241254 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241270 */   // GIR_Coverage, 48654,
     /* 2241270 */   GIR_EraseRootFromParent_Done,
     /* 2241271 */ // Label 30004: @2241271
     /* 2241271 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2241319), // Rule ID 48655 //
     /* 2241276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241289 */   // MIs[0] Operand 1
     /* 2241289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241302 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241318 */   // GIR_Coverage, 48655,
     /* 2241318 */   GIR_EraseRootFromParent_Done,
     /* 2241319 */ // Label 30005: @2241319
     /* 2241319 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2241367), // Rule ID 48662 //
     /* 2241324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241337 */   // MIs[0] Operand 1
     /* 2241337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241350 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241366 */   // GIR_Coverage, 48662,
     /* 2241366 */   GIR_EraseRootFromParent_Done,
     /* 2241367 */ // Label 30006: @2241367
     /* 2241367 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2241415), // Rule ID 48663 //
     /* 2241372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241385 */   // MIs[0] Operand 1
     /* 2241385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241398 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241414 */   // GIR_Coverage, 48663,
     /* 2241414 */   GIR_EraseRootFromParent_Done,
     /* 2241415 */ // Label 30007: @2241415
     /* 2241415 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2241463), // Rule ID 48670 //
     /* 2241420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241433 */   // MIs[0] Operand 1
     /* 2241433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241446 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241462 */   // GIR_Coverage, 48670,
     /* 2241462 */   GIR_EraseRootFromParent_Done,
     /* 2241463 */ // Label 30008: @2241463
     /* 2241463 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2241511), // Rule ID 48671 //
     /* 2241468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241481 */   // MIs[0] Operand 1
     /* 2241481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241494 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241510 */   // GIR_Coverage, 48671,
     /* 2241510 */   GIR_EraseRootFromParent_Done,
     /* 2241511 */ // Label 30009: @2241511
     /* 2241511 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2241559), // Rule ID 48680 //
     /* 2241516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241529 */   // MIs[0] Operand 1
     /* 2241529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241542 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241558 */   // GIR_Coverage, 48680,
     /* 2241558 */   GIR_EraseRootFromParent_Done,
     /* 2241559 */ // Label 30010: @2241559
     /* 2241559 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2241607), // Rule ID 48681 //
     /* 2241564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241577 */   // MIs[0] Operand 1
     /* 2241577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241590 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241606 */   // GIR_Coverage, 48681,
     /* 2241606 */   GIR_EraseRootFromParent_Done,
     /* 2241607 */ // Label 30011: @2241607
     /* 2241607 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2241655), // Rule ID 48698 //
     /* 2241612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241625 */   // MIs[0] Operand 1
     /* 2241625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241638 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241654 */   // GIR_Coverage, 48698,
     /* 2241654 */   GIR_EraseRootFromParent_Done,
     /* 2241655 */ // Label 30012: @2241655
     /* 2241655 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2241703), // Rule ID 48699 //
     /* 2241660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241673 */   // MIs[0] Operand 1
     /* 2241673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241686 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241702 */   // GIR_Coverage, 48699,
     /* 2241702 */   GIR_EraseRootFromParent_Done,
     /* 2241703 */ // Label 30013: @2241703
     /* 2241703 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2241751), // Rule ID 48706 //
     /* 2241708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241721 */   // MIs[0] Operand 1
     /* 2241721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241734 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241750 */   // GIR_Coverage, 48706,
     /* 2241750 */   GIR_EraseRootFromParent_Done,
     /* 2241751 */ // Label 30014: @2241751
     /* 2241751 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2241799), // Rule ID 48707 //
     /* 2241756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241769 */   // MIs[0] Operand 1
     /* 2241769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241782 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241798 */   // GIR_Coverage, 48707,
     /* 2241798 */   GIR_EraseRootFromParent_Done,
     /* 2241799 */ // Label 30015: @2241799
     /* 2241799 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2241847), // Rule ID 48714 //
     /* 2241804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241817 */   // MIs[0] Operand 1
     /* 2241817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241830 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241837 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241846 */   // GIR_Coverage, 48714,
     /* 2241846 */   GIR_EraseRootFromParent_Done,
     /* 2241847 */ // Label 30016: @2241847
     /* 2241847 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2241895), // Rule ID 48715 //
     /* 2241852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241865 */   // MIs[0] Operand 1
     /* 2241865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241878 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241885 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241894 */   // GIR_Coverage, 48715,
     /* 2241894 */   GIR_EraseRootFromParent_Done,
     /* 2241895 */ // Label 30017: @2241895
     /* 2241895 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2241943), // Rule ID 48724 //
     /* 2241900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241913 */   // MIs[0] Operand 1
     /* 2241913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241926 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241942 */   // GIR_Coverage, 48724,
     /* 2241942 */   GIR_EraseRootFromParent_Done,
     /* 2241943 */ // Label 30018: @2241943
     /* 2241943 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2241991), // Rule ID 48725 //
     /* 2241948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241961 */   // MIs[0] Operand 1
     /* 2241961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241974 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241979 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241981 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241990 */   // GIR_Coverage, 48725,
     /* 2241990 */   GIR_EraseRootFromParent_Done,
     /* 2241991 */ // Label 30019: @2241991
     /* 2241991 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2242039), // Rule ID 48742 //
     /* 2241996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242009 */   // MIs[0] Operand 1
     /* 2242009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242022 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242038 */   // GIR_Coverage, 48742,
     /* 2242038 */   GIR_EraseRootFromParent_Done,
     /* 2242039 */ // Label 30020: @2242039
     /* 2242039 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2242087), // Rule ID 48743 //
     /* 2242044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242057 */   // MIs[0] Operand 1
     /* 2242057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242070 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242086 */   // GIR_Coverage, 48743,
     /* 2242086 */   GIR_EraseRootFromParent_Done,
     /* 2242087 */ // Label 30021: @2242087
     /* 2242087 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2242135), // Rule ID 48750 //
     /* 2242092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242105 */   // MIs[0] Operand 1
     /* 2242105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242118 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242134 */   // GIR_Coverage, 48750,
     /* 2242134 */   GIR_EraseRootFromParent_Done,
     /* 2242135 */ // Label 30022: @2242135
     /* 2242135 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2242183), // Rule ID 48751 //
     /* 2242140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242153 */   // MIs[0] Operand 1
     /* 2242153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242166 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242182 */   // GIR_Coverage, 48751,
     /* 2242182 */   GIR_EraseRootFromParent_Done,
     /* 2242183 */ // Label 30023: @2242183
     /* 2242183 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2242231), // Rule ID 48758 //
     /* 2242188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242201 */   // MIs[0] Operand 1
     /* 2242201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242214 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242230 */   // GIR_Coverage, 48758,
     /* 2242230 */   GIR_EraseRootFromParent_Done,
     /* 2242231 */ // Label 30024: @2242231
     /* 2242231 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2242279), // Rule ID 48759 //
     /* 2242236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242249 */   // MIs[0] Operand 1
     /* 2242249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242262 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242267 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242278 */   // GIR_Coverage, 48759,
     /* 2242278 */   GIR_EraseRootFromParent_Done,
     /* 2242279 */ // Label 30025: @2242279
     /* 2242279 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2242327), // Rule ID 48768 //
     /* 2242284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2242293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242297 */   // MIs[0] Operand 1
     /* 2242297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242310 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242315 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242326 */   // GIR_Coverage, 48768,
     /* 2242326 */   GIR_EraseRootFromParent_Done,
     /* 2242327 */ // Label 30026: @2242327
     /* 2242327 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2242375), // Rule ID 48769 //
     /* 2242332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2242341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242345 */   // MIs[0] Operand 1
     /* 2242345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242358 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242363 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242374 */   // GIR_Coverage, 48769,
     /* 2242374 */   GIR_EraseRootFromParent_Done,
     /* 2242375 */ // Label 30027: @2242375
     /* 2242375 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2242423), // Rule ID 48786 //
     /* 2242380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242393 */   // MIs[0] Operand 1
     /* 2242393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242406 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242422 */   // GIR_Coverage, 48786,
     /* 2242422 */   GIR_EraseRootFromParent_Done,
     /* 2242423 */ // Label 30028: @2242423
     /* 2242423 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2242471), // Rule ID 48787 //
     /* 2242428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242441 */   // MIs[0] Operand 1
     /* 2242441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242454 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242470 */   // GIR_Coverage, 48787,
     /* 2242470 */   GIR_EraseRootFromParent_Done,
     /* 2242471 */ // Label 30029: @2242471
     /* 2242471 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2242519), // Rule ID 48794 //
     /* 2242476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242489 */   // MIs[0] Operand 1
     /* 2242489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242502 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242518 */   // GIR_Coverage, 48794,
     /* 2242518 */   GIR_EraseRootFromParent_Done,
     /* 2242519 */ // Label 30030: @2242519
     /* 2242519 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2242567), // Rule ID 48795 //
     /* 2242524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242537 */   // MIs[0] Operand 1
     /* 2242537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242550 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242566 */   // GIR_Coverage, 48795,
     /* 2242566 */   GIR_EraseRootFromParent_Done,
     /* 2242567 */ // Label 30031: @2242567
     /* 2242567 */ GIM_Reject,
     /* 2242568 */ // Label 29693: @2242568
     /* 2242568 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2242616), // Rule ID 48372 //
     /* 2242573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242586 */   // MIs[0] Operand 1
     /* 2242586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242595 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242599 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242604 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242615 */   // GIR_Coverage, 48372,
     /* 2242615 */   GIR_EraseRootFromParent_Done,
     /* 2242616 */ // Label 30032: @2242616
     /* 2242616 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2242664), // Rule ID 48373 //
     /* 2242621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242634 */   // MIs[0] Operand 1
     /* 2242634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242647 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242663 */   // GIR_Coverage, 48373,
     /* 2242663 */   GIR_EraseRootFromParent_Done,
     /* 2242664 */ // Label 30033: @2242664
     /* 2242664 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2242712), // Rule ID 48386 //
     /* 2242669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242682 */   // MIs[0] Operand 1
     /* 2242682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242695 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242700 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242711 */   // GIR_Coverage, 48386,
     /* 2242711 */   GIR_EraseRootFromParent_Done,
     /* 2242712 */ // Label 30034: @2242712
     /* 2242712 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2242760), // Rule ID 48387 //
     /* 2242717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242730 */   // MIs[0] Operand 1
     /* 2242730 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242739 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242743 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242759 */   // GIR_Coverage, 48387,
     /* 2242759 */   GIR_EraseRootFromParent_Done,
     /* 2242760 */ // Label 30035: @2242760
     /* 2242760 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2242808), // Rule ID 48394 //
     /* 2242765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242778 */   // MIs[0] Operand 1
     /* 2242778 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242787 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242791 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242796 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242807 */   // GIR_Coverage, 48394,
     /* 2242807 */   GIR_EraseRootFromParent_Done,
     /* 2242808 */ // Label 30036: @2242808
     /* 2242808 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2242856), // Rule ID 48395 //
     /* 2242813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242826 */   // MIs[0] Operand 1
     /* 2242826 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242835 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242839 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242844 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242855 */   // GIR_Coverage, 48395,
     /* 2242855 */   GIR_EraseRootFromParent_Done,
     /* 2242856 */ // Label 30037: @2242856
     /* 2242856 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2242904), // Rule ID 48402 //
     /* 2242861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242874 */   // MIs[0] Operand 1
     /* 2242874 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242883 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242887 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242894 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242903 */   // GIR_Coverage, 48402,
     /* 2242903 */   GIR_EraseRootFromParent_Done,
     /* 2242904 */ // Label 30038: @2242904
     /* 2242904 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2242952), // Rule ID 48403 //
     /* 2242909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242915 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242922 */   // MIs[0] Operand 1
     /* 2242922 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242931 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242935 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242942 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242951 */   // GIR_Coverage, 48403,
     /* 2242951 */   GIR_EraseRootFromParent_Done,
     /* 2242952 */ // Label 30039: @2242952
     /* 2242952 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2243000), // Rule ID 48416 //
     /* 2242957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242970 */   // MIs[0] Operand 1
     /* 2242970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242983 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242999 */   // GIR_Coverage, 48416,
     /* 2242999 */   GIR_EraseRootFromParent_Done,
     /* 2243000 */ // Label 30040: @2243000
     /* 2243000 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2243048), // Rule ID 48417 //
     /* 2243005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243018 */   // MIs[0] Operand 1
     /* 2243018 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243027 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243031 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2243034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243036 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243038 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243047 */   // GIR_Coverage, 48417,
     /* 2243047 */   GIR_EraseRootFromParent_Done,
     /* 2243048 */ // Label 30041: @2243048
     /* 2243048 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2243096), // Rule ID 48430 //
     /* 2243053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243059 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243066 */   // MIs[0] Operand 1
     /* 2243066 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243075 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243079 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243086 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243095 */   // GIR_Coverage, 48430,
     /* 2243095 */   GIR_EraseRootFromParent_Done,
     /* 2243096 */ // Label 30042: @2243096
     /* 2243096 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2243144), // Rule ID 48431 //
     /* 2243101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243114 */   // MIs[0] Operand 1
     /* 2243114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243127 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243134 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243143 */   // GIR_Coverage, 48431,
     /* 2243143 */   GIR_EraseRootFromParent_Done,
     /* 2243144 */ // Label 30043: @2243144
     /* 2243144 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2243192), // Rule ID 48438 //
     /* 2243149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243162 */   // MIs[0] Operand 1
     /* 2243162 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243175 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243182 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243191 */   // GIR_Coverage, 48438,
     /* 2243191 */   GIR_EraseRootFromParent_Done,
     /* 2243192 */ // Label 30044: @2243192
     /* 2243192 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2243240), // Rule ID 48439 //
     /* 2243197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243210 */   // MIs[0] Operand 1
     /* 2243210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243223 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243239 */   // GIR_Coverage, 48439,
     /* 2243239 */   GIR_EraseRootFromParent_Done,
     /* 2243240 */ // Label 30045: @2243240
     /* 2243240 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2243288), // Rule ID 48446 //
     /* 2243245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243251 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243258 */   // MIs[0] Operand 1
     /* 2243258 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243267 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243271 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243287 */   // GIR_Coverage, 48446,
     /* 2243287 */   GIR_EraseRootFromParent_Done,
     /* 2243288 */ // Label 30046: @2243288
     /* 2243288 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2243336), // Rule ID 48447 //
     /* 2243293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243306 */   // MIs[0] Operand 1
     /* 2243306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243319 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243335 */   // GIR_Coverage, 48447,
     /* 2243335 */   GIR_EraseRootFromParent_Done,
     /* 2243336 */ // Label 30047: @2243336
     /* 2243336 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2243384), // Rule ID 48460 //
     /* 2243341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243354 */   // MIs[0] Operand 1
     /* 2243354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243367 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243374 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243383 */   // GIR_Coverage, 48460,
     /* 2243383 */   GIR_EraseRootFromParent_Done,
     /* 2243384 */ // Label 30048: @2243384
     /* 2243384 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2243432), // Rule ID 48461 //
     /* 2243389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243402 */   // MIs[0] Operand 1
     /* 2243402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243411 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243415 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243431 */   // GIR_Coverage, 48461,
     /* 2243431 */   GIR_EraseRootFromParent_Done,
     /* 2243432 */ // Label 30049: @2243432
     /* 2243432 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2243480), // Rule ID 48474 //
     /* 2243437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243443 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243450 */   // MIs[0] Operand 1
     /* 2243450 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243459 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243463 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243479 */   // GIR_Coverage, 48474,
     /* 2243479 */   GIR_EraseRootFromParent_Done,
     /* 2243480 */ // Label 30050: @2243480
     /* 2243480 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2243528), // Rule ID 48475 //
     /* 2243485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243498 */   // MIs[0] Operand 1
     /* 2243498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243511 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243527 */   // GIR_Coverage, 48475,
     /* 2243527 */   GIR_EraseRootFromParent_Done,
     /* 2243528 */ // Label 30051: @2243528
     /* 2243528 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2243576), // Rule ID 48482 //
     /* 2243533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243546 */   // MIs[0] Operand 1
     /* 2243546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243559 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243575 */   // GIR_Coverage, 48482,
     /* 2243575 */   GIR_EraseRootFromParent_Done,
     /* 2243576 */ // Label 30052: @2243576
     /* 2243576 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2243624), // Rule ID 48483 //
     /* 2243581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243594 */   // MIs[0] Operand 1
     /* 2243594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243607 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243623 */   // GIR_Coverage, 48483,
     /* 2243623 */   GIR_EraseRootFromParent_Done,
     /* 2243624 */ // Label 30053: @2243624
     /* 2243624 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2243672), // Rule ID 48490 //
     /* 2243629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243642 */   // MIs[0] Operand 1
     /* 2243642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243655 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243671 */   // GIR_Coverage, 48490,
     /* 2243671 */   GIR_EraseRootFromParent_Done,
     /* 2243672 */ // Label 30054: @2243672
     /* 2243672 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2243720), // Rule ID 48491 //
     /* 2243677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243690 */   // MIs[0] Operand 1
     /* 2243690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243703 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243719 */   // GIR_Coverage, 48491,
     /* 2243719 */   GIR_EraseRootFromParent_Done,
     /* 2243720 */ // Label 30055: @2243720
     /* 2243720 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2243768), // Rule ID 48502 //
     /* 2243725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243738 */   // MIs[0] Operand 1
     /* 2243738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243751 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243767 */   // GIR_Coverage, 48502,
     /* 2243767 */   GIR_EraseRootFromParent_Done,
     /* 2243768 */ // Label 30056: @2243768
     /* 2243768 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2243816), // Rule ID 48503 //
     /* 2243773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243786 */   // MIs[0] Operand 1
     /* 2243786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243795 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243799 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243815 */   // GIR_Coverage, 48503,
     /* 2243815 */   GIR_EraseRootFromParent_Done,
     /* 2243816 */ // Label 30057: @2243816
     /* 2243816 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2243864), // Rule ID 48516 //
     /* 2243821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243834 */   // MIs[0] Operand 1
     /* 2243834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243847 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243863 */   // GIR_Coverage, 48516,
     /* 2243863 */   GIR_EraseRootFromParent_Done,
     /* 2243864 */ // Label 30058: @2243864
     /* 2243864 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2243912), // Rule ID 48517 //
     /* 2243869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243882 */   // MIs[0] Operand 1
     /* 2243882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243895 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243911 */   // GIR_Coverage, 48517,
     /* 2243911 */   GIR_EraseRootFromParent_Done,
     /* 2243912 */ // Label 30059: @2243912
     /* 2243912 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2243960), // Rule ID 48524 //
     /* 2243917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243930 */   // MIs[0] Operand 1
     /* 2243930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243943 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243959 */   // GIR_Coverage, 48524,
     /* 2243959 */   GIR_EraseRootFromParent_Done,
     /* 2243960 */ // Label 30060: @2243960
     /* 2243960 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2244008), // Rule ID 48525 //
     /* 2243965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243978 */   // MIs[0] Operand 1
     /* 2243978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243991 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244007 */   // GIR_Coverage, 48525,
     /* 2244007 */   GIR_EraseRootFromParent_Done,
     /* 2244008 */ // Label 30061: @2244008
     /* 2244008 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2244056), // Rule ID 48532 //
     /* 2244013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244026 */   // MIs[0] Operand 1
     /* 2244026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244039 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2244042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244046 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244055 */   // GIR_Coverage, 48532,
     /* 2244055 */   GIR_EraseRootFromParent_Done,
     /* 2244056 */ // Label 30062: @2244056
     /* 2244056 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2244104), // Rule ID 48533 //
     /* 2244061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244074 */   // MIs[0] Operand 1
     /* 2244074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244087 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2244090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244103 */   // GIR_Coverage, 48533,
     /* 2244103 */   GIR_EraseRootFromParent_Done,
     /* 2244104 */ // Label 30063: @2244104
     /* 2244104 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2244152), // Rule ID 48546 //
     /* 2244109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244122 */   // MIs[0] Operand 1
     /* 2244122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244135 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244151 */   // GIR_Coverage, 48546,
     /* 2244151 */   GIR_EraseRootFromParent_Done,
     /* 2244152 */ // Label 30064: @2244152
     /* 2244152 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2244200), // Rule ID 48547 //
     /* 2244157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244170 */   // MIs[0] Operand 1
     /* 2244170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244183 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244199 */   // GIR_Coverage, 48547,
     /* 2244199 */   GIR_EraseRootFromParent_Done,
     /* 2244200 */ // Label 30065: @2244200
     /* 2244200 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2244248), // Rule ID 48560 //
     /* 2244205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244218 */   // MIs[0] Operand 1
     /* 2244218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244231 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244247 */   // GIR_Coverage, 48560,
     /* 2244247 */   GIR_EraseRootFromParent_Done,
     /* 2244248 */ // Label 30066: @2244248
     /* 2244248 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2244296), // Rule ID 48561 //
     /* 2244253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244266 */   // MIs[0] Operand 1
     /* 2244266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244279 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244295 */   // GIR_Coverage, 48561,
     /* 2244295 */   GIR_EraseRootFromParent_Done,
     /* 2244296 */ // Label 30067: @2244296
     /* 2244296 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2244344), // Rule ID 48568 //
     /* 2244301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244314 */   // MIs[0] Operand 1
     /* 2244314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244327 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244343 */   // GIR_Coverage, 48568,
     /* 2244343 */   GIR_EraseRootFromParent_Done,
     /* 2244344 */ // Label 30068: @2244344
     /* 2244344 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2244392), // Rule ID 48569 //
     /* 2244349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244362 */   // MIs[0] Operand 1
     /* 2244362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244375 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244391 */   // GIR_Coverage, 48569,
     /* 2244391 */   GIR_EraseRootFromParent_Done,
     /* 2244392 */ // Label 30069: @2244392
     /* 2244392 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2244440), // Rule ID 48576 //
     /* 2244397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244410 */   // MIs[0] Operand 1
     /* 2244410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244423 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244439 */   // GIR_Coverage, 48576,
     /* 2244439 */   GIR_EraseRootFromParent_Done,
     /* 2244440 */ // Label 30070: @2244440
     /* 2244440 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2244488), // Rule ID 48577 //
     /* 2244445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244458 */   // MIs[0] Operand 1
     /* 2244458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244471 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244487 */   // GIR_Coverage, 48577,
     /* 2244487 */   GIR_EraseRootFromParent_Done,
     /* 2244488 */ // Label 30071: @2244488
     /* 2244488 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2244536), // Rule ID 48590 //
     /* 2244493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244506 */   // MIs[0] Operand 1
     /* 2244506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244519 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244535 */   // GIR_Coverage, 48590,
     /* 2244535 */   GIR_EraseRootFromParent_Done,
     /* 2244536 */ // Label 30072: @2244536
     /* 2244536 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2244584), // Rule ID 48591 //
     /* 2244541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244554 */   // MIs[0] Operand 1
     /* 2244554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244567 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244583 */   // GIR_Coverage, 48591,
     /* 2244583 */   GIR_EraseRootFromParent_Done,
     /* 2244584 */ // Label 30073: @2244584
     /* 2244584 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2244632), // Rule ID 48604 //
     /* 2244589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244602 */   // MIs[0] Operand 1
     /* 2244602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244615 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244631 */   // GIR_Coverage, 48604,
     /* 2244631 */   GIR_EraseRootFromParent_Done,
     /* 2244632 */ // Label 30074: @2244632
     /* 2244632 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2244680), // Rule ID 48605 //
     /* 2244637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244650 */   // MIs[0] Operand 1
     /* 2244650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244663 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244679 */   // GIR_Coverage, 48605,
     /* 2244679 */   GIR_EraseRootFromParent_Done,
     /* 2244680 */ // Label 30075: @2244680
     /* 2244680 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2244728), // Rule ID 48612 //
     /* 2244685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244698 */   // MIs[0] Operand 1
     /* 2244698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244711 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244727 */   // GIR_Coverage, 48612,
     /* 2244727 */   GIR_EraseRootFromParent_Done,
     /* 2244728 */ // Label 30076: @2244728
     /* 2244728 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2244776), // Rule ID 48613 //
     /* 2244733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244746 */   // MIs[0] Operand 1
     /* 2244746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244759 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244775 */   // GIR_Coverage, 48613,
     /* 2244775 */   GIR_EraseRootFromParent_Done,
     /* 2244776 */ // Label 30077: @2244776
     /* 2244776 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2244824), // Rule ID 48620 //
     /* 2244781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244794 */   // MIs[0] Operand 1
     /* 2244794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244807 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244823 */   // GIR_Coverage, 48620,
     /* 2244823 */   GIR_EraseRootFromParent_Done,
     /* 2244824 */ // Label 30078: @2244824
     /* 2244824 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2244872), // Rule ID 48621 //
     /* 2244829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244842 */   // MIs[0] Operand 1
     /* 2244842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244855 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244871 */   // GIR_Coverage, 48621,
     /* 2244871 */   GIR_EraseRootFromParent_Done,
     /* 2244872 */ // Label 30079: @2244872
     /* 2244872 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2244920), // Rule ID 48634 //
     /* 2244877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244890 */   // MIs[0] Operand 1
     /* 2244890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244903 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244919 */   // GIR_Coverage, 48634,
     /* 2244919 */   GIR_EraseRootFromParent_Done,
     /* 2244920 */ // Label 30080: @2244920
     /* 2244920 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2244968), // Rule ID 48635 //
     /* 2244925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244938 */   // MIs[0] Operand 1
     /* 2244938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244951 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244967 */   // GIR_Coverage, 48635,
     /* 2244967 */   GIR_EraseRootFromParent_Done,
     /* 2244968 */ // Label 30081: @2244968
     /* 2244968 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2245016), // Rule ID 48648 //
     /* 2244973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244986 */   // MIs[0] Operand 1
     /* 2244986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244999 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245006 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245015 */   // GIR_Coverage, 48648,
     /* 2245015 */   GIR_EraseRootFromParent_Done,
     /* 2245016 */ // Label 30082: @2245016
     /* 2245016 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2245064), // Rule ID 48649 //
     /* 2245021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245034 */   // MIs[0] Operand 1
     /* 2245034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245047 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245063 */   // GIR_Coverage, 48649,
     /* 2245063 */   GIR_EraseRootFromParent_Done,
     /* 2245064 */ // Label 30083: @2245064
     /* 2245064 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2245112), // Rule ID 48656 //
     /* 2245069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245082 */   // MIs[0] Operand 1
     /* 2245082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245095 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245111 */   // GIR_Coverage, 48656,
     /* 2245111 */   GIR_EraseRootFromParent_Done,
     /* 2245112 */ // Label 30084: @2245112
     /* 2245112 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2245160), // Rule ID 48657 //
     /* 2245117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245130 */   // MIs[0] Operand 1
     /* 2245130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245143 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245159 */   // GIR_Coverage, 48657,
     /* 2245159 */   GIR_EraseRootFromParent_Done,
     /* 2245160 */ // Label 30085: @2245160
     /* 2245160 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2245208), // Rule ID 48664 //
     /* 2245165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245178 */   // MIs[0] Operand 1
     /* 2245178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245191 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245207 */   // GIR_Coverage, 48664,
     /* 2245207 */   GIR_EraseRootFromParent_Done,
     /* 2245208 */ // Label 30086: @2245208
     /* 2245208 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2245256), // Rule ID 48665 //
     /* 2245213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245226 */   // MIs[0] Operand 1
     /* 2245226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245239 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245255 */   // GIR_Coverage, 48665,
     /* 2245255 */   GIR_EraseRootFromParent_Done,
     /* 2245256 */ // Label 30087: @2245256
     /* 2245256 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2245304), // Rule ID 48678 //
     /* 2245261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245274 */   // MIs[0] Operand 1
     /* 2245274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245287 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245294 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245303 */   // GIR_Coverage, 48678,
     /* 2245303 */   GIR_EraseRootFromParent_Done,
     /* 2245304 */ // Label 30088: @2245304
     /* 2245304 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2245352), // Rule ID 48679 //
     /* 2245309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245322 */   // MIs[0] Operand 1
     /* 2245322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245335 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245342 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245351 */   // GIR_Coverage, 48679,
     /* 2245351 */   GIR_EraseRootFromParent_Done,
     /* 2245352 */ // Label 30089: @2245352
     /* 2245352 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2245400), // Rule ID 48692 //
     /* 2245357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245370 */   // MIs[0] Operand 1
     /* 2245370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245383 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245390 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245399 */   // GIR_Coverage, 48692,
     /* 2245399 */   GIR_EraseRootFromParent_Done,
     /* 2245400 */ // Label 30090: @2245400
     /* 2245400 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2245448), // Rule ID 48693 //
     /* 2245405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245418 */   // MIs[0] Operand 1
     /* 2245418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245431 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245436 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245447 */   // GIR_Coverage, 48693,
     /* 2245447 */   GIR_EraseRootFromParent_Done,
     /* 2245448 */ // Label 30091: @2245448
     /* 2245448 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2245496), // Rule ID 48700 //
     /* 2245453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245466 */   // MIs[0] Operand 1
     /* 2245466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245479 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245495 */   // GIR_Coverage, 48700,
     /* 2245495 */   GIR_EraseRootFromParent_Done,
     /* 2245496 */ // Label 30092: @2245496
     /* 2245496 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2245544), // Rule ID 48701 //
     /* 2245501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245514 */   // MIs[0] Operand 1
     /* 2245514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245527 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245543 */   // GIR_Coverage, 48701,
     /* 2245543 */   GIR_EraseRootFromParent_Done,
     /* 2245544 */ // Label 30093: @2245544
     /* 2245544 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2245592), // Rule ID 48708 //
     /* 2245549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245562 */   // MIs[0] Operand 1
     /* 2245562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245575 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245591 */   // GIR_Coverage, 48708,
     /* 2245591 */   GIR_EraseRootFromParent_Done,
     /* 2245592 */ // Label 30094: @2245592
     /* 2245592 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2245640), // Rule ID 48709 //
     /* 2245597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245610 */   // MIs[0] Operand 1
     /* 2245610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245623 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245639 */   // GIR_Coverage, 48709,
     /* 2245639 */   GIR_EraseRootFromParent_Done,
     /* 2245640 */ // Label 30095: @2245640
     /* 2245640 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2245688), // Rule ID 48722 //
     /* 2245645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245658 */   // MIs[0] Operand 1
     /* 2245658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245671 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245687 */   // GIR_Coverage, 48722,
     /* 2245687 */   GIR_EraseRootFromParent_Done,
     /* 2245688 */ // Label 30096: @2245688
     /* 2245688 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2245736), // Rule ID 48723 //
     /* 2245693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245706 */   // MIs[0] Operand 1
     /* 2245706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245719 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245735 */   // GIR_Coverage, 48723,
     /* 2245735 */   GIR_EraseRootFromParent_Done,
     /* 2245736 */ // Label 30097: @2245736
     /* 2245736 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2245784), // Rule ID 48736 //
     /* 2245741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245754 */   // MIs[0] Operand 1
     /* 2245754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245767 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245783 */   // GIR_Coverage, 48736,
     /* 2245783 */   GIR_EraseRootFromParent_Done,
     /* 2245784 */ // Label 30098: @2245784
     /* 2245784 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2245832), // Rule ID 48737 //
     /* 2245789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245802 */   // MIs[0] Operand 1
     /* 2245802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245815 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245831 */   // GIR_Coverage, 48737,
     /* 2245831 */   GIR_EraseRootFromParent_Done,
     /* 2245832 */ // Label 30099: @2245832
     /* 2245832 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2245880), // Rule ID 48744 //
     /* 2245837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245850 */   // MIs[0] Operand 1
     /* 2245850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245863 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245879 */   // GIR_Coverage, 48744,
     /* 2245879 */   GIR_EraseRootFromParent_Done,
     /* 2245880 */ // Label 30100: @2245880
     /* 2245880 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2245928), // Rule ID 48745 //
     /* 2245885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245898 */   // MIs[0] Operand 1
     /* 2245898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245911 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245927 */   // GIR_Coverage, 48745,
     /* 2245927 */   GIR_EraseRootFromParent_Done,
     /* 2245928 */ // Label 30101: @2245928
     /* 2245928 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2245976), // Rule ID 48752 //
     /* 2245933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245946 */   // MIs[0] Operand 1
     /* 2245946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245959 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245975 */   // GIR_Coverage, 48752,
     /* 2245975 */   GIR_EraseRootFromParent_Done,
     /* 2245976 */ // Label 30102: @2245976
     /* 2245976 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2246024), // Rule ID 48753 //
     /* 2245981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245994 */   // MIs[0] Operand 1
     /* 2245994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246007 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246023 */   // GIR_Coverage, 48753,
     /* 2246023 */   GIR_EraseRootFromParent_Done,
     /* 2246024 */ // Label 30103: @2246024
     /* 2246024 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2246072), // Rule ID 48766 //
     /* 2246029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246042 */   // MIs[0] Operand 1
     /* 2246042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246055 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246071 */   // GIR_Coverage, 48766,
     /* 2246071 */   GIR_EraseRootFromParent_Done,
     /* 2246072 */ // Label 30104: @2246072
     /* 2246072 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2246120), // Rule ID 48767 //
     /* 2246077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246090 */   // MIs[0] Operand 1
     /* 2246090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246103 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246119 */   // GIR_Coverage, 48767,
     /* 2246119 */   GIR_EraseRootFromParent_Done,
     /* 2246120 */ // Label 30105: @2246120
     /* 2246120 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2246168), // Rule ID 48780 //
     /* 2246125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246138 */   // MIs[0] Operand 1
     /* 2246138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246151 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246167 */   // GIR_Coverage, 48780,
     /* 2246167 */   GIR_EraseRootFromParent_Done,
     /* 2246168 */ // Label 30106: @2246168
     /* 2246168 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2246216), // Rule ID 48781 //
     /* 2246173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246186 */   // MIs[0] Operand 1
     /* 2246186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246199 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246215 */   // GIR_Coverage, 48781,
     /* 2246215 */   GIR_EraseRootFromParent_Done,
     /* 2246216 */ // Label 30107: @2246216
     /* 2246216 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2246264), // Rule ID 48788 //
     /* 2246221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246234 */   // MIs[0] Operand 1
     /* 2246234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246247 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246263 */   // GIR_Coverage, 48788,
     /* 2246263 */   GIR_EraseRootFromParent_Done,
     /* 2246264 */ // Label 30108: @2246264
     /* 2246264 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2246312), // Rule ID 48789 //
     /* 2246269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246282 */   // MIs[0] Operand 1
     /* 2246282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246295 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246311 */   // GIR_Coverage, 48789,
     /* 2246311 */   GIR_EraseRootFromParent_Done,
     /* 2246312 */ // Label 30109: @2246312
     /* 2246312 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2246360), // Rule ID 48796 //
     /* 2246317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246330 */   // MIs[0] Operand 1
     /* 2246330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246343 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246359 */   // GIR_Coverage, 48796,
     /* 2246359 */   GIR_EraseRootFromParent_Done,
     /* 2246360 */ // Label 30110: @2246360
     /* 2246360 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2246408), // Rule ID 48797 //
     /* 2246365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246378 */   // MIs[0] Operand 1
     /* 2246378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246391 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2246394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246407 */   // GIR_Coverage, 48797,
     /* 2246407 */   GIR_EraseRootFromParent_Done,
     /* 2246408 */ // Label 30111: @2246408
     /* 2246408 */ GIM_Reject,
     /* 2246409 */ // Label 29694: @2246409
     /* 2246409 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2246457), // Rule ID 48380 //
     /* 2246414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246427 */   // MIs[0] Operand 1
     /* 2246427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246440 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246447 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246456 */   // GIR_Coverage, 48380,
     /* 2246456 */   GIR_EraseRootFromParent_Done,
     /* 2246457 */ // Label 30112: @2246457
     /* 2246457 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2246505), // Rule ID 48381 //
     /* 2246462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246475 */   // MIs[0] Operand 1
     /* 2246475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246488 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246495 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246504 */   // GIR_Coverage, 48381,
     /* 2246504 */   GIR_EraseRootFromParent_Done,
     /* 2246505 */ // Label 30113: @2246505
     /* 2246505 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2246553), // Rule ID 48388 //
     /* 2246510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246523 */   // MIs[0] Operand 1
     /* 2246523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246536 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246541 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246543 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246552 */   // GIR_Coverage, 48388,
     /* 2246552 */   GIR_EraseRootFromParent_Done,
     /* 2246553 */ // Label 30114: @2246553
     /* 2246553 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2246601), // Rule ID 48389 //
     /* 2246558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246571 */   // MIs[0] Operand 1
     /* 2246571 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246580 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246584 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246591 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246600 */   // GIR_Coverage, 48389,
     /* 2246600 */   GIR_EraseRootFromParent_Done,
     /* 2246601 */ // Label 30115: @2246601
     /* 2246601 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2246649), // Rule ID 48396 //
     /* 2246606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246619 */   // MIs[0] Operand 1
     /* 2246619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246632 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246637 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246639 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246648 */   // GIR_Coverage, 48396,
     /* 2246648 */   GIR_EraseRootFromParent_Done,
     /* 2246649 */ // Label 30116: @2246649
     /* 2246649 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2246697), // Rule ID 48397 //
     /* 2246654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246667 */   // MIs[0] Operand 1
     /* 2246667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246680 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246696 */   // GIR_Coverage, 48397,
     /* 2246696 */   GIR_EraseRootFromParent_Done,
     /* 2246697 */ // Label 30117: @2246697
     /* 2246697 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2246745), // Rule ID 48424 //
     /* 2246702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246708 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246715 */   // MIs[0] Operand 1
     /* 2246715 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246724 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246728 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246733 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246735 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246744 */   // GIR_Coverage, 48424,
     /* 2246744 */   GIR_EraseRootFromParent_Done,
     /* 2246745 */ // Label 30118: @2246745
     /* 2246745 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2246793), // Rule ID 48425 //
     /* 2246750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246763 */   // MIs[0] Operand 1
     /* 2246763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246772 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246776 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246781 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246783 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246792 */   // GIR_Coverage, 48425,
     /* 2246792 */   GIR_EraseRootFromParent_Done,
     /* 2246793 */ // Label 30119: @2246793
     /* 2246793 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2246841), // Rule ID 48432 //
     /* 2246798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246811 */   // MIs[0] Operand 1
     /* 2246811 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246820 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246824 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246829 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246840 */   // GIR_Coverage, 48432,
     /* 2246840 */   GIR_EraseRootFromParent_Done,
     /* 2246841 */ // Label 30120: @2246841
     /* 2246841 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2246889), // Rule ID 48433 //
     /* 2246846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246859 */   // MIs[0] Operand 1
     /* 2246859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246872 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246877 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246879 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246888 */   // GIR_Coverage, 48433,
     /* 2246888 */   GIR_EraseRootFromParent_Done,
     /* 2246889 */ // Label 30121: @2246889
     /* 2246889 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2246937), // Rule ID 48440 //
     /* 2246894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246907 */   // MIs[0] Operand 1
     /* 2246907 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246920 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246925 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246927 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246936 */   // GIR_Coverage, 48440,
     /* 2246936 */   GIR_EraseRootFromParent_Done,
     /* 2246937 */ // Label 30122: @2246937
     /* 2246937 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2246985), // Rule ID 48441 //
     /* 2246942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246955 */   // MIs[0] Operand 1
     /* 2246955 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246964 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246968 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246975 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246984 */   // GIR_Coverage, 48441,
     /* 2246984 */   GIR_EraseRootFromParent_Done,
     /* 2246985 */ // Label 30123: @2246985
     /* 2246985 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2247033), // Rule ID 48468 //
     /* 2246990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247003 */   // MIs[0] Operand 1
     /* 2247003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247012 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247016 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247023 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247032 */   // GIR_Coverage, 48468,
     /* 2247032 */   GIR_EraseRootFromParent_Done,
     /* 2247033 */ // Label 30124: @2247033
     /* 2247033 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2247081), // Rule ID 48469 //
     /* 2247038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247051 */   // MIs[0] Operand 1
     /* 2247051 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247060 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247064 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247071 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247080 */   // GIR_Coverage, 48469,
     /* 2247080 */   GIR_EraseRootFromParent_Done,
     /* 2247081 */ // Label 30125: @2247081
     /* 2247081 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2247129), // Rule ID 48476 //
     /* 2247086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247092 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247099 */   // MIs[0] Operand 1
     /* 2247099 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247108 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247112 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247119 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247128 */   // GIR_Coverage, 48476,
     /* 2247128 */   GIR_EraseRootFromParent_Done,
     /* 2247129 */ // Label 30126: @2247129
     /* 2247129 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2247177), // Rule ID 48477 //
     /* 2247134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247147 */   // MIs[0] Operand 1
     /* 2247147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247156 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247160 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247176 */   // GIR_Coverage, 48477,
     /* 2247176 */   GIR_EraseRootFromParent_Done,
     /* 2247177 */ // Label 30127: @2247177
     /* 2247177 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2247225), // Rule ID 48484 //
     /* 2247182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247188 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247195 */   // MIs[0] Operand 1
     /* 2247195 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247204 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247208 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247224 */   // GIR_Coverage, 48484,
     /* 2247224 */   GIR_EraseRootFromParent_Done,
     /* 2247225 */ // Label 30128: @2247225
     /* 2247225 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2247273), // Rule ID 48485 //
     /* 2247230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247243 */   // MIs[0] Operand 1
     /* 2247243 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247252 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247256 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247272 */   // GIR_Coverage, 48485,
     /* 2247272 */   GIR_EraseRootFromParent_Done,
     /* 2247273 */ // Label 30129: @2247273
     /* 2247273 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2247321), // Rule ID 48510 //
     /* 2247278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247291 */   // MIs[0] Operand 1
     /* 2247291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247304 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247320 */   // GIR_Coverage, 48510,
     /* 2247320 */   GIR_EraseRootFromParent_Done,
     /* 2247321 */ // Label 30130: @2247321
     /* 2247321 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2247369), // Rule ID 48511 //
     /* 2247326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247332 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247339 */   // MIs[0] Operand 1
     /* 2247339 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247348 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247352 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247368 */   // GIR_Coverage, 48511,
     /* 2247368 */   GIR_EraseRootFromParent_Done,
     /* 2247369 */ // Label 30131: @2247369
     /* 2247369 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2247417), // Rule ID 48518 //
     /* 2247374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247387 */   // MIs[0] Operand 1
     /* 2247387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247400 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247416 */   // GIR_Coverage, 48518,
     /* 2247416 */   GIR_EraseRootFromParent_Done,
     /* 2247417 */ // Label 30132: @2247417
     /* 2247417 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2247465), // Rule ID 48519 //
     /* 2247422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247435 */   // MIs[0] Operand 1
     /* 2247435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247448 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247464 */   // GIR_Coverage, 48519,
     /* 2247464 */   GIR_EraseRootFromParent_Done,
     /* 2247465 */ // Label 30133: @2247465
     /* 2247465 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2247513), // Rule ID 48526 //
     /* 2247470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247483 */   // MIs[0] Operand 1
     /* 2247483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247496 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247512 */   // GIR_Coverage, 48526,
     /* 2247512 */   GIR_EraseRootFromParent_Done,
     /* 2247513 */ // Label 30134: @2247513
     /* 2247513 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2247561), // Rule ID 48527 //
     /* 2247518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247531 */   // MIs[0] Operand 1
     /* 2247531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247544 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247560 */   // GIR_Coverage, 48527,
     /* 2247560 */   GIR_EraseRootFromParent_Done,
     /* 2247561 */ // Label 30135: @2247561
     /* 2247561 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2247609), // Rule ID 48554 //
     /* 2247566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247579 */   // MIs[0] Operand 1
     /* 2247579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247592 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247608 */   // GIR_Coverage, 48554,
     /* 2247608 */   GIR_EraseRootFromParent_Done,
     /* 2247609 */ // Label 30136: @2247609
     /* 2247609 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2247657), // Rule ID 48555 //
     /* 2247614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247627 */   // MIs[0] Operand 1
     /* 2247627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247640 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247656 */   // GIR_Coverage, 48555,
     /* 2247656 */   GIR_EraseRootFromParent_Done,
     /* 2247657 */ // Label 30137: @2247657
     /* 2247657 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2247705), // Rule ID 48562 //
     /* 2247662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247675 */   // MIs[0] Operand 1
     /* 2247675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247688 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247704 */   // GIR_Coverage, 48562,
     /* 2247704 */   GIR_EraseRootFromParent_Done,
     /* 2247705 */ // Label 30138: @2247705
     /* 2247705 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2247753), // Rule ID 48563 //
     /* 2247710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247723 */   // MIs[0] Operand 1
     /* 2247723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247736 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247752 */   // GIR_Coverage, 48563,
     /* 2247752 */   GIR_EraseRootFromParent_Done,
     /* 2247753 */ // Label 30139: @2247753
     /* 2247753 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2247801), // Rule ID 48570 //
     /* 2247758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247771 */   // MIs[0] Operand 1
     /* 2247771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247784 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247800 */   // GIR_Coverage, 48570,
     /* 2247800 */   GIR_EraseRootFromParent_Done,
     /* 2247801 */ // Label 30140: @2247801
     /* 2247801 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2247849), // Rule ID 48571 //
     /* 2247806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247819 */   // MIs[0] Operand 1
     /* 2247819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247832 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247848 */   // GIR_Coverage, 48571,
     /* 2247848 */   GIR_EraseRootFromParent_Done,
     /* 2247849 */ // Label 30141: @2247849
     /* 2247849 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2247897), // Rule ID 48598 //
     /* 2247854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247867 */   // MIs[0] Operand 1
     /* 2247867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247880 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247885 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247887 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247896 */   // GIR_Coverage, 48598,
     /* 2247896 */   GIR_EraseRootFromParent_Done,
     /* 2247897 */ // Label 30142: @2247897
     /* 2247897 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2247945), // Rule ID 48599 //
     /* 2247902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247915 */   // MIs[0] Operand 1
     /* 2247915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247928 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247935 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247944 */   // GIR_Coverage, 48599,
     /* 2247944 */   GIR_EraseRootFromParent_Done,
     /* 2247945 */ // Label 30143: @2247945
     /* 2247945 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2247993), // Rule ID 48606 //
     /* 2247950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247963 */   // MIs[0] Operand 1
     /* 2247963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247976 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247981 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247983 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247992 */   // GIR_Coverage, 48606,
     /* 2247992 */   GIR_EraseRootFromParent_Done,
     /* 2247993 */ // Label 30144: @2247993
     /* 2247993 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2248041), // Rule ID 48607 //
     /* 2247998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248011 */   // MIs[0] Operand 1
     /* 2248011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248024 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248040 */   // GIR_Coverage, 48607,
     /* 2248040 */   GIR_EraseRootFromParent_Done,
     /* 2248041 */ // Label 30145: @2248041
     /* 2248041 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2248089), // Rule ID 48614 //
     /* 2248046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248059 */   // MIs[0] Operand 1
     /* 2248059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248072 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248088 */   // GIR_Coverage, 48614,
     /* 2248088 */   GIR_EraseRootFromParent_Done,
     /* 2248089 */ // Label 30146: @2248089
     /* 2248089 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2248137), // Rule ID 48615 //
     /* 2248094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248107 */   // MIs[0] Operand 1
     /* 2248107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248120 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248127 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248136 */   // GIR_Coverage, 48615,
     /* 2248136 */   GIR_EraseRootFromParent_Done,
     /* 2248137 */ // Label 30147: @2248137
     /* 2248137 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2248185), // Rule ID 48642 //
     /* 2248142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248155 */   // MIs[0] Operand 1
     /* 2248155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248168 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248184 */   // GIR_Coverage, 48642,
     /* 2248184 */   GIR_EraseRootFromParent_Done,
     /* 2248185 */ // Label 30148: @2248185
     /* 2248185 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2248233), // Rule ID 48643 //
     /* 2248190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248203 */   // MIs[0] Operand 1
     /* 2248203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248216 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248232 */   // GIR_Coverage, 48643,
     /* 2248232 */   GIR_EraseRootFromParent_Done,
     /* 2248233 */ // Label 30149: @2248233
     /* 2248233 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2248281), // Rule ID 48650 //
     /* 2248238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248251 */   // MIs[0] Operand 1
     /* 2248251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248264 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248280 */   // GIR_Coverage, 48650,
     /* 2248280 */   GIR_EraseRootFromParent_Done,
     /* 2248281 */ // Label 30150: @2248281
     /* 2248281 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2248329), // Rule ID 48651 //
     /* 2248286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248299 */   // MIs[0] Operand 1
     /* 2248299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248312 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248328 */   // GIR_Coverage, 48651,
     /* 2248328 */   GIR_EraseRootFromParent_Done,
     /* 2248329 */ // Label 30151: @2248329
     /* 2248329 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2248377), // Rule ID 48658 //
     /* 2248334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248347 */   // MIs[0] Operand 1
     /* 2248347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248360 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248376 */   // GIR_Coverage, 48658,
     /* 2248376 */   GIR_EraseRootFromParent_Done,
     /* 2248377 */ // Label 30152: @2248377
     /* 2248377 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2248425), // Rule ID 48659 //
     /* 2248382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248395 */   // MIs[0] Operand 1
     /* 2248395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248408 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248424 */   // GIR_Coverage, 48659,
     /* 2248424 */   GIR_EraseRootFromParent_Done,
     /* 2248425 */ // Label 30153: @2248425
     /* 2248425 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2248473), // Rule ID 48686 //
     /* 2248430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248443 */   // MIs[0] Operand 1
     /* 2248443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248456 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248463 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248472 */   // GIR_Coverage, 48686,
     /* 2248472 */   GIR_EraseRootFromParent_Done,
     /* 2248473 */ // Label 30154: @2248473
     /* 2248473 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2248521), // Rule ID 48687 //
     /* 2248478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248491 */   // MIs[0] Operand 1
     /* 2248491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248504 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248511 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248520 */   // GIR_Coverage, 48687,
     /* 2248520 */   GIR_EraseRootFromParent_Done,
     /* 2248521 */ // Label 30155: @2248521
     /* 2248521 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2248569), // Rule ID 48694 //
     /* 2248526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248539 */   // MIs[0] Operand 1
     /* 2248539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248552 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248559 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248568 */   // GIR_Coverage, 48694,
     /* 2248568 */   GIR_EraseRootFromParent_Done,
     /* 2248569 */ // Label 30156: @2248569
     /* 2248569 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2248617), // Rule ID 48695 //
     /* 2248574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248587 */   // MIs[0] Operand 1
     /* 2248587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248600 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248616 */   // GIR_Coverage, 48695,
     /* 2248616 */   GIR_EraseRootFromParent_Done,
     /* 2248617 */ // Label 30157: @2248617
     /* 2248617 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2248665), // Rule ID 48702 //
     /* 2248622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248635 */   // MIs[0] Operand 1
     /* 2248635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248648 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248655 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248664 */   // GIR_Coverage, 48702,
     /* 2248664 */   GIR_EraseRootFromParent_Done,
     /* 2248665 */ // Label 30158: @2248665
     /* 2248665 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2248713), // Rule ID 48703 //
     /* 2248670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248683 */   // MIs[0] Operand 1
     /* 2248683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248696 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248712 */   // GIR_Coverage, 48703,
     /* 2248712 */   GIR_EraseRootFromParent_Done,
     /* 2248713 */ // Label 30159: @2248713
     /* 2248713 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2248761), // Rule ID 48730 //
     /* 2248718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248731 */   // MIs[0] Operand 1
     /* 2248731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248744 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248760 */   // GIR_Coverage, 48730,
     /* 2248760 */   GIR_EraseRootFromParent_Done,
     /* 2248761 */ // Label 30160: @2248761
     /* 2248761 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2248809), // Rule ID 48731 //
     /* 2248766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248779 */   // MIs[0] Operand 1
     /* 2248779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248792 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248808 */   // GIR_Coverage, 48731,
     /* 2248808 */   GIR_EraseRootFromParent_Done,
     /* 2248809 */ // Label 30161: @2248809
     /* 2248809 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2248857), // Rule ID 48738 //
     /* 2248814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248827 */   // MIs[0] Operand 1
     /* 2248827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248840 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248856 */   // GIR_Coverage, 48738,
     /* 2248856 */   GIR_EraseRootFromParent_Done,
     /* 2248857 */ // Label 30162: @2248857
     /* 2248857 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2248905), // Rule ID 48739 //
     /* 2248862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248875 */   // MIs[0] Operand 1
     /* 2248875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248888 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248904 */   // GIR_Coverage, 48739,
     /* 2248904 */   GIR_EraseRootFromParent_Done,
     /* 2248905 */ // Label 30163: @2248905
     /* 2248905 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2248953), // Rule ID 48746 //
     /* 2248910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248923 */   // MIs[0] Operand 1
     /* 2248923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248936 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248952 */   // GIR_Coverage, 48746,
     /* 2248952 */   GIR_EraseRootFromParent_Done,
     /* 2248953 */ // Label 30164: @2248953
     /* 2248953 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2249001), // Rule ID 48747 //
     /* 2248958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248971 */   // MIs[0] Operand 1
     /* 2248971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248984 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249000 */   // GIR_Coverage, 48747,
     /* 2249000 */   GIR_EraseRootFromParent_Done,
     /* 2249001 */ // Label 30165: @2249001
     /* 2249001 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2249049), // Rule ID 48774 //
     /* 2249006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2249012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2249015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249019 */   // MIs[0] Operand 1
     /* 2249019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249032 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249048 */   // GIR_Coverage, 48774,
     /* 2249048 */   GIR_EraseRootFromParent_Done,
     /* 2249049 */ // Label 30166: @2249049
     /* 2249049 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2249097), // Rule ID 48775 //
     /* 2249054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2249060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2249063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249067 */   // MIs[0] Operand 1
     /* 2249067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249080 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249096 */   // GIR_Coverage, 48775,
     /* 2249096 */   GIR_EraseRootFromParent_Done,
     /* 2249097 */ // Label 30167: @2249097
     /* 2249097 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2249145), // Rule ID 48782 //
     /* 2249102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2249108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2249111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249115 */   // MIs[0] Operand 1
     /* 2249115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249128 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249144 */   // GIR_Coverage, 48782,
     /* 2249144 */   GIR_EraseRootFromParent_Done,
     /* 2249145 */ // Label 30168: @2249145
     /* 2249145 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2249193), // Rule ID 48783 //
     /* 2249150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2249156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2249159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249163 */   // MIs[0] Operand 1
     /* 2249163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249176 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249181 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249192 */   // GIR_Coverage, 48783,
     /* 2249192 */   GIR_EraseRootFromParent_Done,
     /* 2249193 */ // Label 30169: @2249193
     /* 2249193 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2249241), // Rule ID 48790 //
     /* 2249198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2249204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2249207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249211 */   // MIs[0] Operand 1
     /* 2249211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249224 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249229 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249231 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249240 */   // GIR_Coverage, 48790,
     /* 2249240 */   GIR_EraseRootFromParent_Done,
     /* 2249241 */ // Label 30170: @2249241
     /* 2249241 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2249289), // Rule ID 48791 //
     /* 2249246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2249252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2249255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249259 */   // MIs[0] Operand 1
     /* 2249259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249272 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249277 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249288 */   // GIR_Coverage, 48791,
     /* 2249288 */   GIR_EraseRootFromParent_Done,
     /* 2249289 */ // Label 30171: @2249289
     /* 2249289 */ GIM_Reject,
     /* 2249290 */ // Label 29695: @2249290
     /* 2249290 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2249338), // Rule ID 48382 //
     /* 2249295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249308 */   // MIs[0] Operand 1
     /* 2249308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249321 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2249324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249337 */   // GIR_Coverage, 48382,
     /* 2249337 */   GIR_EraseRootFromParent_Done,
     /* 2249338 */ // Label 30172: @2249338
     /* 2249338 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2249386), // Rule ID 48383 //
     /* 2249343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249356 */   // MIs[0] Operand 1
     /* 2249356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249369 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2249372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249385 */   // GIR_Coverage, 48383,
     /* 2249385 */   GIR_EraseRootFromParent_Done,
     /* 2249386 */ // Label 30173: @2249386
     /* 2249386 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2249434), // Rule ID 48390 //
     /* 2249391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249404 */   // MIs[0] Operand 1
     /* 2249404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249417 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249422 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249433 */   // GIR_Coverage, 48390,
     /* 2249433 */   GIR_EraseRootFromParent_Done,
     /* 2249434 */ // Label 30174: @2249434
     /* 2249434 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2249482), // Rule ID 48391 //
     /* 2249439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249452 */   // MIs[0] Operand 1
     /* 2249452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249465 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249481 */   // GIR_Coverage, 48391,
     /* 2249481 */   GIR_EraseRootFromParent_Done,
     /* 2249482 */ // Label 30175: @2249482
     /* 2249482 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2249530), // Rule ID 48426 //
     /* 2249487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249500 */   // MIs[0] Operand 1
     /* 2249500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249513 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249529 */   // GIR_Coverage, 48426,
     /* 2249529 */   GIR_EraseRootFromParent_Done,
     /* 2249530 */ // Label 30176: @2249530
     /* 2249530 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2249578), // Rule ID 48427 //
     /* 2249535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249548 */   // MIs[0] Operand 1
     /* 2249548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249561 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249577 */   // GIR_Coverage, 48427,
     /* 2249577 */   GIR_EraseRootFromParent_Done,
     /* 2249578 */ // Label 30177: @2249578
     /* 2249578 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2249626), // Rule ID 48434 //
     /* 2249583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249596 */   // MIs[0] Operand 1
     /* 2249596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249609 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249625 */   // GIR_Coverage, 48434,
     /* 2249625 */   GIR_EraseRootFromParent_Done,
     /* 2249626 */ // Label 30178: @2249626
     /* 2249626 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2249674), // Rule ID 48435 //
     /* 2249631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249644 */   // MIs[0] Operand 1
     /* 2249644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249657 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249673 */   // GIR_Coverage, 48435,
     /* 2249673 */   GIR_EraseRootFromParent_Done,
     /* 2249674 */ // Label 30179: @2249674
     /* 2249674 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2249722), // Rule ID 48470 //
     /* 2249679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249692 */   // MIs[0] Operand 1
     /* 2249692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249705 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249721 */   // GIR_Coverage, 48470,
     /* 2249721 */   GIR_EraseRootFromParent_Done,
     /* 2249722 */ // Label 30180: @2249722
     /* 2249722 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2249770), // Rule ID 48471 //
     /* 2249727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249740 */   // MIs[0] Operand 1
     /* 2249740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249753 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249769 */   // GIR_Coverage, 48471,
     /* 2249769 */   GIR_EraseRootFromParent_Done,
     /* 2249770 */ // Label 30181: @2249770
     /* 2249770 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2249818), // Rule ID 48478 //
     /* 2249775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249788 */   // MIs[0] Operand 1
     /* 2249788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249801 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249817 */   // GIR_Coverage, 48478,
     /* 2249817 */   GIR_EraseRootFromParent_Done,
     /* 2249818 */ // Label 30182: @2249818
     /* 2249818 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2249866), // Rule ID 48479 //
     /* 2249823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249836 */   // MIs[0] Operand 1
     /* 2249836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249849 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249865 */   // GIR_Coverage, 48479,
     /* 2249865 */   GIR_EraseRootFromParent_Done,
     /* 2249866 */ // Label 30183: @2249866
     /* 2249866 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2249914), // Rule ID 48512 //
     /* 2249871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249884 */   // MIs[0] Operand 1
     /* 2249884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249897 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249913 */   // GIR_Coverage, 48512,
     /* 2249913 */   GIR_EraseRootFromParent_Done,
     /* 2249914 */ // Label 30184: @2249914
     /* 2249914 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2249962), // Rule ID 48513 //
     /* 2249919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249932 */   // MIs[0] Operand 1
     /* 2249932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249945 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249961 */   // GIR_Coverage, 48513,
     /* 2249961 */   GIR_EraseRootFromParent_Done,
     /* 2249962 */ // Label 30185: @2249962
     /* 2249962 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2250010), // Rule ID 48520 //
     /* 2249967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249980 */   // MIs[0] Operand 1
     /* 2249980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249993 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250009 */   // GIR_Coverage, 48520,
     /* 2250009 */   GIR_EraseRootFromParent_Done,
     /* 2250010 */ // Label 30186: @2250010
     /* 2250010 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2250058), // Rule ID 48521 //
     /* 2250015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250028 */   // MIs[0] Operand 1
     /* 2250028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250041 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2250044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250057 */   // GIR_Coverage, 48521,
     /* 2250057 */   GIR_EraseRootFromParent_Done,
     /* 2250058 */ // Label 30187: @2250058
     /* 2250058 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2250106), // Rule ID 48556 //
     /* 2250063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250076 */   // MIs[0] Operand 1
     /* 2250076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250089 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250105 */   // GIR_Coverage, 48556,
     /* 2250105 */   GIR_EraseRootFromParent_Done,
     /* 2250106 */ // Label 30188: @2250106
     /* 2250106 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2250154), // Rule ID 48557 //
     /* 2250111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250124 */   // MIs[0] Operand 1
     /* 2250124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250137 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250153 */   // GIR_Coverage, 48557,
     /* 2250153 */   GIR_EraseRootFromParent_Done,
     /* 2250154 */ // Label 30189: @2250154
     /* 2250154 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2250202), // Rule ID 48564 //
     /* 2250159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250172 */   // MIs[0] Operand 1
     /* 2250172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250185 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250201 */   // GIR_Coverage, 48564,
     /* 2250201 */   GIR_EraseRootFromParent_Done,
     /* 2250202 */ // Label 30190: @2250202
     /* 2250202 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2250250), // Rule ID 48565 //
     /* 2250207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250220 */   // MIs[0] Operand 1
     /* 2250220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250233 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250249 */   // GIR_Coverage, 48565,
     /* 2250249 */   GIR_EraseRootFromParent_Done,
     /* 2250250 */ // Label 30191: @2250250
     /* 2250250 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2250298), // Rule ID 48600 //
     /* 2250255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250268 */   // MIs[0] Operand 1
     /* 2250268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250281 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250297 */   // GIR_Coverage, 48600,
     /* 2250297 */   GIR_EraseRootFromParent_Done,
     /* 2250298 */ // Label 30192: @2250298
     /* 2250298 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2250346), // Rule ID 48601 //
     /* 2250303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250316 */   // MIs[0] Operand 1
     /* 2250316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250329 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2250332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250345 */   // GIR_Coverage, 48601,
     /* 2250345 */   GIR_EraseRootFromParent_Done,
     /* 2250346 */ // Label 30193: @2250346
     /* 2250346 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2250394), // Rule ID 48608 //
     /* 2250351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250364 */   // MIs[0] Operand 1
     /* 2250364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250377 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250393 */   // GIR_Coverage, 48608,
     /* 2250393 */   GIR_EraseRootFromParent_Done,
     /* 2250394 */ // Label 30194: @2250394
     /* 2250394 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2250442), // Rule ID 48609 //
     /* 2250399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250412 */   // MIs[0] Operand 1
     /* 2250412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250425 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250441 */   // GIR_Coverage, 48609,
     /* 2250441 */   GIR_EraseRootFromParent_Done,
     /* 2250442 */ // Label 30195: @2250442
     /* 2250442 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2250490), // Rule ID 48644 //
     /* 2250447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250460 */   // MIs[0] Operand 1
     /* 2250460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250473 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250489 */   // GIR_Coverage, 48644,
     /* 2250489 */   GIR_EraseRootFromParent_Done,
     /* 2250490 */ // Label 30196: @2250490
     /* 2250490 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2250538), // Rule ID 48645 //
     /* 2250495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250508 */   // MIs[0] Operand 1
     /* 2250508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250521 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250537 */   // GIR_Coverage, 48645,
     /* 2250537 */   GIR_EraseRootFromParent_Done,
     /* 2250538 */ // Label 30197: @2250538
     /* 2250538 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2250586), // Rule ID 48652 //
     /* 2250543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250556 */   // MIs[0] Operand 1
     /* 2250556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250569 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250585 */   // GIR_Coverage, 48652,
     /* 2250585 */   GIR_EraseRootFromParent_Done,
     /* 2250586 */ // Label 30198: @2250586
     /* 2250586 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2250634), // Rule ID 48653 //
     /* 2250591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250604 */   // MIs[0] Operand 1
     /* 2250604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250617 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250633 */   // GIR_Coverage, 48653,
     /* 2250633 */   GIR_EraseRootFromParent_Done,
     /* 2250634 */ // Label 30199: @2250634
     /* 2250634 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2250682), // Rule ID 48688 //
     /* 2250639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250652 */   // MIs[0] Operand 1
     /* 2250652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250665 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250681 */   // GIR_Coverage, 48688,
     /* 2250681 */   GIR_EraseRootFromParent_Done,
     /* 2250682 */ // Label 30200: @2250682
     /* 2250682 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2250730), // Rule ID 48689 //
     /* 2250687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250700 */   // MIs[0] Operand 1
     /* 2250700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250713 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250729 */   // GIR_Coverage, 48689,
     /* 2250729 */   GIR_EraseRootFromParent_Done,
     /* 2250730 */ // Label 30201: @2250730
     /* 2250730 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2250778), // Rule ID 48696 //
     /* 2250735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250748 */   // MIs[0] Operand 1
     /* 2250748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250761 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250777 */   // GIR_Coverage, 48696,
     /* 2250777 */   GIR_EraseRootFromParent_Done,
     /* 2250778 */ // Label 30202: @2250778
     /* 2250778 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2250826), // Rule ID 48697 //
     /* 2250783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250796 */   // MIs[0] Operand 1
     /* 2250796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250809 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250825 */   // GIR_Coverage, 48697,
     /* 2250825 */   GIR_EraseRootFromParent_Done,
     /* 2250826 */ // Label 30203: @2250826
     /* 2250826 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2250874), // Rule ID 48732 //
     /* 2250831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250844 */   // MIs[0] Operand 1
     /* 2250844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250857 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250873 */   // GIR_Coverage, 48732,
     /* 2250873 */   GIR_EraseRootFromParent_Done,
     /* 2250874 */ // Label 30204: @2250874
     /* 2250874 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2250922), // Rule ID 48733 //
     /* 2250879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250892 */   // MIs[0] Operand 1
     /* 2250892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250905 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250921 */   // GIR_Coverage, 48733,
     /* 2250921 */   GIR_EraseRootFromParent_Done,
     /* 2250922 */ // Label 30205: @2250922
     /* 2250922 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2250970), // Rule ID 48740 //
     /* 2250927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250940 */   // MIs[0] Operand 1
     /* 2250940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250953 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250969 */   // GIR_Coverage, 48740,
     /* 2250969 */   GIR_EraseRootFromParent_Done,
     /* 2250970 */ // Label 30206: @2250970
     /* 2250970 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2251018), // Rule ID 48741 //
     /* 2250975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250988 */   // MIs[0] Operand 1
     /* 2250988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251001 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251017 */   // GIR_Coverage, 48741,
     /* 2251017 */   GIR_EraseRootFromParent_Done,
     /* 2251018 */ // Label 30207: @2251018
     /* 2251018 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2251066), // Rule ID 48776 //
     /* 2251023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2251029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2251032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251036 */   // MIs[0] Operand 1
     /* 2251036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251049 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251065 */   // GIR_Coverage, 48776,
     /* 2251065 */   GIR_EraseRootFromParent_Done,
     /* 2251066 */ // Label 30208: @2251066
     /* 2251066 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2251114), // Rule ID 48777 //
     /* 2251071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2251077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2251080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251084 */   // MIs[0] Operand 1
     /* 2251084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251097 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2251100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251113 */   // GIR_Coverage, 48777,
     /* 2251113 */   GIR_EraseRootFromParent_Done,
     /* 2251114 */ // Label 30209: @2251114
     /* 2251114 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2251162), // Rule ID 48784 //
     /* 2251119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251132 */   // MIs[0] Operand 1
     /* 2251132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251145 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251161 */   // GIR_Coverage, 48784,
     /* 2251161 */   GIR_EraseRootFromParent_Done,
     /* 2251162 */ // Label 30210: @2251162
     /* 2251162 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2251210), // Rule ID 48785 //
     /* 2251167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251180 */   // MIs[0] Operand 1
     /* 2251180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251193 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251209 */   // GIR_Coverage, 48785,
     /* 2251209 */   GIR_EraseRootFromParent_Done,
     /* 2251210 */ // Label 30211: @2251210
     /* 2251210 */ GIM_Reject,
     /* 2251211 */ // Label 29696: @2251211
     /* 2251211 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2251987),
     /* 2251216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2251219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2251222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251226 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2251264), // Rule ID 48384 //
     /* 2251231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251234 */     // MIs[0] Operand 1
     /* 2251234 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251247 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251263 */     // GIR_Coverage, 48384,
     /* 2251263 */     GIR_EraseRootFromParent_Done,
     /* 2251264 */   // Label 30213: @2251264
     /* 2251264 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2251302), // Rule ID 48385 //
     /* 2251269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251272 */     // MIs[0] Operand 1
     /* 2251272 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2251277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251285 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2251288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251301 */     // GIR_Coverage, 48385,
     /* 2251301 */     GIR_EraseRootFromParent_Done,
     /* 2251302 */   // Label 30214: @2251302
     /* 2251302 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2251340), // Rule ID 48428 //
     /* 2251307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251310 */     // MIs[0] Operand 1
     /* 2251310 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251323 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251339 */     // GIR_Coverage, 48428,
     /* 2251339 */     GIR_EraseRootFromParent_Done,
     /* 2251340 */   // Label 30215: @2251340
     /* 2251340 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2251378), // Rule ID 48429 //
     /* 2251345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251348 */     // MIs[0] Operand 1
     /* 2251348 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251361 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251377 */     // GIR_Coverage, 48429,
     /* 2251377 */     GIR_EraseRootFromParent_Done,
     /* 2251378 */   // Label 30216: @2251378
     /* 2251378 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2251416), // Rule ID 48472 //
     /* 2251383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251386 */     // MIs[0] Operand 1
     /* 2251386 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251399 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251415 */     // GIR_Coverage, 48472,
     /* 2251415 */     GIR_EraseRootFromParent_Done,
     /* 2251416 */   // Label 30217: @2251416
     /* 2251416 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2251454), // Rule ID 48473 //
     /* 2251421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251424 */     // MIs[0] Operand 1
     /* 2251424 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251437 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251453 */     // GIR_Coverage, 48473,
     /* 2251453 */     GIR_EraseRootFromParent_Done,
     /* 2251454 */   // Label 30218: @2251454
     /* 2251454 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2251492), // Rule ID 48514 //
     /* 2251459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251462 */     // MIs[0] Operand 1
     /* 2251462 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251475 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251491 */     // GIR_Coverage, 48514,
     /* 2251491 */     GIR_EraseRootFromParent_Done,
     /* 2251492 */   // Label 30219: @2251492
     /* 2251492 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2251530), // Rule ID 48515 //
     /* 2251497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251500 */     // MIs[0] Operand 1
     /* 2251500 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251513 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251529 */     // GIR_Coverage, 48515,
     /* 2251529 */     GIR_EraseRootFromParent_Done,
     /* 2251530 */   // Label 30220: @2251530
     /* 2251530 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2251568), // Rule ID 48558 //
     /* 2251535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251538 */     // MIs[0] Operand 1
     /* 2251538 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251551 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251567 */     // GIR_Coverage, 48558,
     /* 2251567 */     GIR_EraseRootFromParent_Done,
     /* 2251568 */   // Label 30221: @2251568
     /* 2251568 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2251606), // Rule ID 48559 //
     /* 2251573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251576 */     // MIs[0] Operand 1
     /* 2251576 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251589 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251605 */     // GIR_Coverage, 48559,
     /* 2251605 */     GIR_EraseRootFromParent_Done,
     /* 2251606 */   // Label 30222: @2251606
     /* 2251606 */   GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2251644), // Rule ID 48602 //
     /* 2251611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251614 */     // MIs[0] Operand 1
     /* 2251614 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251627 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251643 */     // GIR_Coverage, 48602,
     /* 2251643 */     GIR_EraseRootFromParent_Done,
     /* 2251644 */   // Label 30223: @2251644
     /* 2251644 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2251682), // Rule ID 48603 //
     /* 2251649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251652 */     // MIs[0] Operand 1
     /* 2251652 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251665 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251681 */     // GIR_Coverage, 48603,
     /* 2251681 */     GIR_EraseRootFromParent_Done,
     /* 2251682 */   // Label 30224: @2251682
     /* 2251682 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2251720), // Rule ID 48646 //
     /* 2251687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251690 */     // MIs[0] Operand 1
     /* 2251690 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251703 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251719 */     // GIR_Coverage, 48646,
     /* 2251719 */     GIR_EraseRootFromParent_Done,
     /* 2251720 */   // Label 30225: @2251720
     /* 2251720 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2251758), // Rule ID 48647 //
     /* 2251725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251728 */     // MIs[0] Operand 1
     /* 2251728 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251741 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251757 */     // GIR_Coverage, 48647,
     /* 2251757 */     GIR_EraseRootFromParent_Done,
     /* 2251758 */   // Label 30226: @2251758
     /* 2251758 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2251796), // Rule ID 48690 //
     /* 2251763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251766 */     // MIs[0] Operand 1
     /* 2251766 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251779 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251795 */     // GIR_Coverage, 48690,
     /* 2251795 */     GIR_EraseRootFromParent_Done,
     /* 2251796 */   // Label 30227: @2251796
     /* 2251796 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2251834), // Rule ID 48691 //
     /* 2251801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251804 */     // MIs[0] Operand 1
     /* 2251804 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251817 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251833 */     // GIR_Coverage, 48691,
     /* 2251833 */     GIR_EraseRootFromParent_Done,
     /* 2251834 */   // Label 30228: @2251834
     /* 2251834 */   GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2251872), // Rule ID 48734 //
     /* 2251839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251842 */     // MIs[0] Operand 1
     /* 2251842 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251855 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251871 */     // GIR_Coverage, 48734,
     /* 2251871 */     GIR_EraseRootFromParent_Done,
     /* 2251872 */   // Label 30229: @2251872
     /* 2251872 */   GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2251910), // Rule ID 48735 //
     /* 2251877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251880 */     // MIs[0] Operand 1
     /* 2251880 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251893 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251909 */     // GIR_Coverage, 48735,
     /* 2251909 */     GIR_EraseRootFromParent_Done,
     /* 2251910 */   // Label 30230: @2251910
     /* 2251910 */   GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2251948), // Rule ID 48778 //
     /* 2251915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251918 */     // MIs[0] Operand 1
     /* 2251918 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251931 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251947 */     // GIR_Coverage, 48778,
     /* 2251947 */     GIR_EraseRootFromParent_Done,
     /* 2251948 */   // Label 30231: @2251948
     /* 2251948 */   GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2251986), // Rule ID 48779 //
     /* 2251953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251956 */     // MIs[0] Operand 1
     /* 2251956 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251969 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251985 */     // GIR_Coverage, 48779,
     /* 2251985 */     GIR_EraseRootFromParent_Done,
     /* 2251986 */   // Label 30232: @2251986
     /* 2251986 */   GIM_Reject,
     /* 2251987 */ // Label 30212: @2251987
     /* 2251987 */ GIM_Reject,
     /* 2251988 */ // Label 29697: @2251988
     /* 2251988 */ GIM_Reject,
     /* 2251989 */ // Label 49: @2251989
     /* 2251989 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30241*/ GIMT_Encode4(2259450),
     /* 2252000 */ /*GILLT_s32*//*Label 30233*/ GIMT_Encode4(2252108),
     /* 2252004 */ /*GILLT_s64*//*Label 30234*/ GIMT_Encode4(2252865),
     /* 2252008 */ /*GILLT_nxv1s1*//*Label 30235*/ GIMT_Encode4(2253748), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252028 */ /*GILLT_nxv2s1*//*Label 30236*/ GIMT_Encode4(2254901), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252048 */ /*GILLT_nxv4s1*//*Label 30237*/ GIMT_Encode4(2256054), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252068 */ /*GILLT_nxv8s1*//*Label 30238*/ GIMT_Encode4(2257207), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252088 */ /*GILLT_nxv16s1*//*Label 30239*/ GIMT_Encode4(2258360), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2252104 */ /*GILLT_nxv32s1*//*Label 30240*/ GIMT_Encode4(2259129),
     /* 2252108 */ // Label 30233: @2252108
     /* 2252108 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2252150), // Rule ID 1256 //
     /* 2252113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252126 */   // MIs[0] Operand 1
     /* 2252126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252139 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252149 */   // GIR_Coverage, 1256,
     /* 2252149 */   GIR_EraseRootFromParent_Done,
     /* 2252150 */ // Label 30242: @2252150
     /* 2252150 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2252192), // Rule ID 1260 //
     /* 2252155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252168 */   // MIs[0] Operand 1
     /* 2252168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252181 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252191 */   // GIR_Coverage, 1260,
     /* 2252191 */   GIR_EraseRootFromParent_Done,
     /* 2252192 */ // Label 30243: @2252192
     /* 2252192 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2252234), // Rule ID 1304 //
     /* 2252197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252210 */   // MIs[0] Operand 1
     /* 2252210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252223 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252233 */   // GIR_Coverage, 1304,
     /* 2252233 */   GIR_EraseRootFromParent_Done,
     /* 2252234 */ // Label 30244: @2252234
     /* 2252234 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2252276), // Rule ID 1308 //
     /* 2252239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252252 */   // MIs[0] Operand 1
     /* 2252252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252265 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2252268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252270 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252272 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252275 */   // GIR_Coverage, 1308,
     /* 2252275 */   GIR_EraseRootFromParent_Done,
     /* 2252276 */ // Label 30245: @2252276
     /* 2252276 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2252318), // Rule ID 1320 //
     /* 2252281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2252284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252294 */   // MIs[0] Operand 1
     /* 2252294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252307 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2252310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252317 */   // GIR_Coverage, 1320,
     /* 2252317 */   GIR_EraseRootFromParent_Done,
     /* 2252318 */ // Label 30246: @2252318
     /* 2252318 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2252360), // Rule ID 1324 //
     /* 2252323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2252326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252336 */   // MIs[0] Operand 1
     /* 2252336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252349 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2252352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252359 */   // GIR_Coverage, 1324,
     /* 2252359 */   GIR_EraseRootFromParent_Done,
     /* 2252360 */ // Label 30247: @2252360
     /* 2252360 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2252402), // Rule ID 1636 //
     /* 2252365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252378 */   // MIs[0] Operand 1
     /* 2252378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252391 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2252394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252401 */   // GIR_Coverage, 1636,
     /* 2252401 */   GIR_EraseRootFromParent_Done,
     /* 2252402 */ // Label 30248: @2252402
     /* 2252402 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2252444), // Rule ID 1640 //
     /* 2252407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252420 */   // MIs[0] Operand 1
     /* 2252420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252433 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252443 */   // GIR_Coverage, 1640,
     /* 2252443 */   GIR_EraseRootFromParent_Done,
     /* 2252444 */ // Label 30249: @2252444
     /* 2252444 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2252486), // Rule ID 1678 //
     /* 2252449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252462 */   // MIs[0] Operand 1
     /* 2252462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252475 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252485 */   // GIR_Coverage, 1678,
     /* 2252485 */   GIR_EraseRootFromParent_Done,
     /* 2252486 */ // Label 30250: @2252486
     /* 2252486 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2252528), // Rule ID 1686 //
     /* 2252491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252504 */   // MIs[0] Operand 1
     /* 2252504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252517 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252527 */   // GIR_Coverage, 1686,
     /* 2252527 */   GIR_EraseRootFromParent_Done,
     /* 2252528 */ // Label 30251: @2252528
     /* 2252528 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2252570), // Rule ID 1714 //
     /* 2252533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252546 */   // MIs[0] Operand 1
     /* 2252546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252559 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2252562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252569 */   // GIR_Coverage, 1714,
     /* 2252569 */   GIR_EraseRootFromParent_Done,
     /* 2252570 */ // Label 30252: @2252570
     /* 2252570 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2252612), // Rule ID 1722 //
     /* 2252575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252588 */   // MIs[0] Operand 1
     /* 2252588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252601 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2252604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252611 */   // GIR_Coverage, 1722,
     /* 2252611 */   GIR_EraseRootFromParent_Done,
     /* 2252612 */ // Label 30253: @2252612
     /* 2252612 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2252654), // Rule ID 1969 //
     /* 2252617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252630 */   // MIs[0] Operand 1
     /* 2252630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252643 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2252646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252653 */   // GIR_Coverage, 1969,
     /* 2252653 */   GIR_EraseRootFromParent_Done,
     /* 2252654 */ // Label 30254: @2252654
     /* 2252654 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2252696), // Rule ID 1973 //
     /* 2252659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252672 */   // MIs[0] Operand 1
     /* 2252672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252685 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2252688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252695 */   // GIR_Coverage, 1973,
     /* 2252695 */   GIR_EraseRootFromParent_Done,
     /* 2252696 */ // Label 30255: @2252696
     /* 2252696 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2252738), // Rule ID 2017 //
     /* 2252701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252714 */   // MIs[0] Operand 1
     /* 2252714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252727 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2252730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252737 */   // GIR_Coverage, 2017,
     /* 2252737 */   GIR_EraseRootFromParent_Done,
     /* 2252738 */ // Label 30256: @2252738
     /* 2252738 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2252780), // Rule ID 2021 //
     /* 2252743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252756 */   // MIs[0] Operand 1
     /* 2252756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252769 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2252772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252779 */   // GIR_Coverage, 2021,
     /* 2252779 */   GIR_EraseRootFromParent_Done,
     /* 2252780 */ // Label 30257: @2252780
     /* 2252780 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2252822), // Rule ID 2033 //
     /* 2252785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252798 */   // MIs[0] Operand 1
     /* 2252798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252811 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2252814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252821 */   // GIR_Coverage, 2033,
     /* 2252821 */   GIR_EraseRootFromParent_Done,
     /* 2252822 */ // Label 30258: @2252822
     /* 2252822 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2252864), // Rule ID 2037 //
     /* 2252827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252840 */   // MIs[0] Operand 1
     /* 2252840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252853 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2252856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252863 */   // GIR_Coverage, 2037,
     /* 2252863 */   GIR_EraseRootFromParent_Done,
     /* 2252864 */ // Label 30259: @2252864
     /* 2252864 */ GIM_Reject,
     /* 2252865 */ // Label 30234: @2252865
     /* 2252865 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2252907), // Rule ID 1255 //
     /* 2252870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252883 */   // MIs[0] Operand 1
     /* 2252883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252896 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252906 */   // GIR_Coverage, 1255,
     /* 2252906 */   GIR_EraseRootFromParent_Done,
     /* 2252907 */ // Label 30260: @2252907
     /* 2252907 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2252949), // Rule ID 1259 //
     /* 2252912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252925 */   // MIs[0] Operand 1
     /* 2252925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252938 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252948 */   // GIR_Coverage, 1259,
     /* 2252948 */   GIR_EraseRootFromParent_Done,
     /* 2252949 */ // Label 30261: @2252949
     /* 2252949 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2252991), // Rule ID 1303 //
     /* 2252954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252967 */   // MIs[0] Operand 1
     /* 2252967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252980 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252990 */   // GIR_Coverage, 1303,
     /* 2252990 */   GIR_EraseRootFromParent_Done,
     /* 2252991 */ // Label 30262: @2252991
     /* 2252991 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2253033), // Rule ID 1307 //
     /* 2252996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253009 */   // MIs[0] Operand 1
     /* 2253009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253022 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2253025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253032 */   // GIR_Coverage, 1307,
     /* 2253032 */   GIR_EraseRootFromParent_Done,
     /* 2253033 */ // Label 30263: @2253033
     /* 2253033 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2253075), // Rule ID 1319 //
     /* 2253038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2253041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253051 */   // MIs[0] Operand 1
     /* 2253051 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253060 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253064 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2253067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253071 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253074 */   // GIR_Coverage, 1319,
     /* 2253074 */   GIR_EraseRootFromParent_Done,
     /* 2253075 */ // Label 30264: @2253075
     /* 2253075 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2253117), // Rule ID 1323 //
     /* 2253080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2253083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253086 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253093 */   // MIs[0] Operand 1
     /* 2253093 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253102 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2253106 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2253106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2253109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253113 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253116 */   // GIR_Coverage, 1323,
     /* 2253116 */   GIR_EraseRootFromParent_Done,
     /* 2253117 */ // Label 30265: @2253117
     /* 2253117 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2253159), // Rule ID 1635 //
     /* 2253122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253135 */   // MIs[0] Operand 1
     /* 2253135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253148 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2253151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253158 */   // GIR_Coverage, 1635,
     /* 2253158 */   GIR_EraseRootFromParent_Done,
     /* 2253159 */ // Label 30266: @2253159
     /* 2253159 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2253201), // Rule ID 1639 //
     /* 2253164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253177 */   // MIs[0] Operand 1
     /* 2253177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253190 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2253193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253200 */   // GIR_Coverage, 1639,
     /* 2253200 */   GIR_EraseRootFromParent_Done,
     /* 2253201 */ // Label 30267: @2253201
     /* 2253201 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2253243), // Rule ID 1642 //
     /* 2253206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253219 */   // MIs[0] Operand 1
     /* 2253219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253232 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2253235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253242 */   // GIR_Coverage, 1642,
     /* 2253242 */   GIR_EraseRootFromParent_Done,
     /* 2253243 */ // Label 30268: @2253243
     /* 2253243 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2253285), // Rule ID 1677 //
     /* 2253248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253261 */   // MIs[0] Operand 1
     /* 2253261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253274 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2253277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253281 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253284 */   // GIR_Coverage, 1677,
     /* 2253284 */   GIR_EraseRootFromParent_Done,
     /* 2253285 */ // Label 30269: @2253285
     /* 2253285 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2253327), // Rule ID 1685 //
     /* 2253290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2253293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253303 */   // MIs[0] Operand 1
     /* 2253303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2253316 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2253319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253326 */   // GIR_Coverage, 1685,
     /* 2253326 */   GIR_EraseRootFromParent_Done,
     /* 2253327 */ // Label 30270: @2253327
     /* 2253327 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2253369), // Rule ID 1694 //
     /* 2253332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253345 */   // MIs[0] Operand 1
     /* 2253345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253358 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2253361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253368 */   // GIR_Coverage, 1694,
     /* 2253368 */   GIR_EraseRootFromParent_Done,
     /* 2253369 */ // Label 30271: @2253369
     /* 2253369 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2253411), // Rule ID 1698 //
     /* 2253374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2253377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253387 */   // MIs[0] Operand 1
     /* 2253387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253400 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2253403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253410 */   // GIR_Coverage, 1698,
     /* 2253410 */   GIR_EraseRootFromParent_Done,
     /* 2253411 */ // Label 30272: @2253411
     /* 2253411 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2253453), // Rule ID 1713 //
     /* 2253416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253429 */   // MIs[0] Operand 1
     /* 2253429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253442 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2253445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253449 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253452 */   // GIR_Coverage, 1713,
     /* 2253452 */   GIR_EraseRootFromParent_Done,
     /* 2253453 */ // Label 30273: @2253453
     /* 2253453 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2253495), // Rule ID 1721 //
     /* 2253458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253471 */   // MIs[0] Operand 1
     /* 2253471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253484 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2253487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253494 */   // GIR_Coverage, 1721,
     /* 2253494 */   GIR_EraseRootFromParent_Done,
     /* 2253495 */ // Label 30274: @2253495
     /* 2253495 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2253537), // Rule ID 1968 //
     /* 2253500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253513 */   // MIs[0] Operand 1
     /* 2253513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253526 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2253529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253536 */   // GIR_Coverage, 1968,
     /* 2253536 */   GIR_EraseRootFromParent_Done,
     /* 2253537 */ // Label 30275: @2253537
     /* 2253537 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2253579), // Rule ID 1972 //
     /* 2253542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253555 */   // MIs[0] Operand 1
     /* 2253555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253568 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2253571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253578 */   // GIR_Coverage, 1972,
     /* 2253578 */   GIR_EraseRootFromParent_Done,
     /* 2253579 */ // Label 30276: @2253579
     /* 2253579 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2253621), // Rule ID 2016 //
     /* 2253584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253597 */   // MIs[0] Operand 1
     /* 2253597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253610 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2253613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253620 */   // GIR_Coverage, 2016,
     /* 2253620 */   GIR_EraseRootFromParent_Done,
     /* 2253621 */ // Label 30277: @2253621
     /* 2253621 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2253663), // Rule ID 2020 //
     /* 2253626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253639 */   // MIs[0] Operand 1
     /* 2253639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253652 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2253655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253662 */   // GIR_Coverage, 2020,
     /* 2253662 */   GIR_EraseRootFromParent_Done,
     /* 2253663 */ // Label 30278: @2253663
     /* 2253663 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2253705), // Rule ID 2032 //
     /* 2253668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253681 */   // MIs[0] Operand 1
     /* 2253681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253694 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2253697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253699 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253704 */   // GIR_Coverage, 2032,
     /* 2253704 */   GIR_EraseRootFromParent_Done,
     /* 2253705 */ // Label 30279: @2253705
     /* 2253705 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2253747), // Rule ID 2036 //
     /* 2253710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253723 */   // MIs[0] Operand 1
     /* 2253723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253736 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2253739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253746 */   // GIR_Coverage, 2036,
     /* 2253746 */   GIR_EraseRootFromParent_Done,
     /* 2253747 */ // Label 30280: @2253747
     /* 2253747 */ GIM_Reject,
     /* 2253748 */ // Label 30235: @2253748
     /* 2253748 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2253796), // Rule ID 56904 //
     /* 2253753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253766 */   // MIs[0] Operand 1
     /* 2253766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253779 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253795 */   // GIR_Coverage, 56904,
     /* 2253795 */   GIR_EraseRootFromParent_Done,
     /* 2253796 */ // Label 30281: @2253796
     /* 2253796 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2253844), // Rule ID 56905 //
     /* 2253801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253814 */   // MIs[0] Operand 1
     /* 2253814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253827 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253834 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253843 */   // GIR_Coverage, 56905,
     /* 2253843 */   GIR_EraseRootFromParent_Done,
     /* 2253844 */ // Label 30282: @2253844
     /* 2253844 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2253892), // Rule ID 56924 //
     /* 2253849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253862 */   // MIs[0] Operand 1
     /* 2253862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253875 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253891 */   // GIR_Coverage, 56924,
     /* 2253891 */   GIR_EraseRootFromParent_Done,
     /* 2253892 */ // Label 30283: @2253892
     /* 2253892 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2253940), // Rule ID 56925 //
     /* 2253897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253903 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253910 */   // MIs[0] Operand 1
     /* 2253910 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253919 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253923 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253928 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253939 */   // GIR_Coverage, 56925,
     /* 2253939 */   GIR_EraseRootFromParent_Done,
     /* 2253940 */ // Label 30284: @2253940
     /* 2253940 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2253988), // Rule ID 56954 //
     /* 2253945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253958 */   // MIs[0] Operand 1
     /* 2253958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253971 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253987 */   // GIR_Coverage, 56954,
     /* 2253987 */   GIR_EraseRootFromParent_Done,
     /* 2253988 */ // Label 30285: @2253988
     /* 2253988 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2254036), // Rule ID 56955 //
     /* 2253993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254006 */   // MIs[0] Operand 1
     /* 2254006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254019 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254024 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254035 */   // GIR_Coverage, 56955,
     /* 2254035 */   GIR_EraseRootFromParent_Done,
     /* 2254036 */ // Label 30286: @2254036
     /* 2254036 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2254084), // Rule ID 57204 //
     /* 2254041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254054 */   // MIs[0] Operand 1
     /* 2254054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254067 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2254070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254072 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254083 */   // GIR_Coverage, 57204,
     /* 2254083 */   GIR_EraseRootFromParent_Done,
     /* 2254084 */ // Label 30287: @2254084
     /* 2254084 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2254132), // Rule ID 57205 //
     /* 2254089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254102 */   // MIs[0] Operand 1
     /* 2254102 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254111 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254115 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2254118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254120 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254122 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254131 */   // GIR_Coverage, 57205,
     /* 2254131 */   GIR_EraseRootFromParent_Done,
     /* 2254132 */ // Label 30288: @2254132
     /* 2254132 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2254180), // Rule ID 57224 //
     /* 2254137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254150 */   // MIs[0] Operand 1
     /* 2254150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254163 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254168 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254170 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254179 */   // GIR_Coverage, 57224,
     /* 2254179 */   GIR_EraseRootFromParent_Done,
     /* 2254180 */ // Label 30289: @2254180
     /* 2254180 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2254228), // Rule ID 57225 //
     /* 2254185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254198 */   // MIs[0] Operand 1
     /* 2254198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254207 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254211 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254216 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254218 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254227 */   // GIR_Coverage, 57225,
     /* 2254227 */   GIR_EraseRootFromParent_Done,
     /* 2254228 */ // Label 30290: @2254228
     /* 2254228 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2254276), // Rule ID 57254 //
     /* 2254233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254246 */   // MIs[0] Operand 1
     /* 2254246 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254255 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254259 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254264 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254266 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254275 */   // GIR_Coverage, 57254,
     /* 2254275 */   GIR_EraseRootFromParent_Done,
     /* 2254276 */ // Label 30291: @2254276
     /* 2254276 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2254324), // Rule ID 57255 //
     /* 2254281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254294 */   // MIs[0] Operand 1
     /* 2254294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254307 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254323 */   // GIR_Coverage, 57255,
     /* 2254323 */   GIR_EraseRootFromParent_Done,
     /* 2254324 */ // Label 30292: @2254324
     /* 2254324 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2254372), // Rule ID 57504 //
     /* 2254329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254342 */   // MIs[0] Operand 1
     /* 2254342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254355 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2254358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254360 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254362 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254371 */   // GIR_Coverage, 57504,
     /* 2254371 */   GIR_EraseRootFromParent_Done,
     /* 2254372 */ // Label 30293: @2254372
     /* 2254372 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2254420), // Rule ID 57505 //
     /* 2254377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254390 */   // MIs[0] Operand 1
     /* 2254390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254403 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2254406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254419 */   // GIR_Coverage, 57505,
     /* 2254419 */   GIR_EraseRootFromParent_Done,
     /* 2254420 */ // Label 30294: @2254420
     /* 2254420 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2254468), // Rule ID 57524 //
     /* 2254425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254438 */   // MIs[0] Operand 1
     /* 2254438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254451 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254467 */   // GIR_Coverage, 57524,
     /* 2254467 */   GIR_EraseRootFromParent_Done,
     /* 2254468 */ // Label 30295: @2254468
     /* 2254468 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2254516), // Rule ID 57525 //
     /* 2254473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254486 */   // MIs[0] Operand 1
     /* 2254486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254499 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254515 */   // GIR_Coverage, 57525,
     /* 2254515 */   GIR_EraseRootFromParent_Done,
     /* 2254516 */ // Label 30296: @2254516
     /* 2254516 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2254564), // Rule ID 57554 //
     /* 2254521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254534 */   // MIs[0] Operand 1
     /* 2254534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254547 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254563 */   // GIR_Coverage, 57554,
     /* 2254563 */   GIR_EraseRootFromParent_Done,
     /* 2254564 */ // Label 30297: @2254564
     /* 2254564 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2254612), // Rule ID 57555 //
     /* 2254569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254582 */   // MIs[0] Operand 1
     /* 2254582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254595 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254611 */   // GIR_Coverage, 57555,
     /* 2254611 */   GIR_EraseRootFromParent_Done,
     /* 2254612 */ // Label 30298: @2254612
     /* 2254612 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2254660), // Rule ID 57804 //
     /* 2254617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254630 */   // MIs[0] Operand 1
     /* 2254630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254643 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254659 */   // GIR_Coverage, 57804,
     /* 2254659 */   GIR_EraseRootFromParent_Done,
     /* 2254660 */ // Label 30299: @2254660
     /* 2254660 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2254708), // Rule ID 57805 //
     /* 2254665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254678 */   // MIs[0] Operand 1
     /* 2254678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254691 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254707 */   // GIR_Coverage, 57805,
     /* 2254707 */   GIR_EraseRootFromParent_Done,
     /* 2254708 */ // Label 30300: @2254708
     /* 2254708 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2254756), // Rule ID 57824 //
     /* 2254713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254726 */   // MIs[0] Operand 1
     /* 2254726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254739 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254755 */   // GIR_Coverage, 57824,
     /* 2254755 */   GIR_EraseRootFromParent_Done,
     /* 2254756 */ // Label 30301: @2254756
     /* 2254756 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2254804), // Rule ID 57825 //
     /* 2254761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254774 */   // MIs[0] Operand 1
     /* 2254774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254787 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254803 */   // GIR_Coverage, 57825,
     /* 2254803 */   GIR_EraseRootFromParent_Done,
     /* 2254804 */ // Label 30302: @2254804
     /* 2254804 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2254852), // Rule ID 57854 //
     /* 2254809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254822 */   // MIs[0] Operand 1
     /* 2254822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254835 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254851 */   // GIR_Coverage, 57854,
     /* 2254851 */   GIR_EraseRootFromParent_Done,
     /* 2254852 */ // Label 30303: @2254852
     /* 2254852 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2254900), // Rule ID 57855 //
     /* 2254857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254870 */   // MIs[0] Operand 1
     /* 2254870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254883 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254899 */   // GIR_Coverage, 57855,
     /* 2254899 */   GIR_EraseRootFromParent_Done,
     /* 2254900 */ // Label 30304: @2254900
     /* 2254900 */ GIM_Reject,
     /* 2254901 */ // Label 30236: @2254901
     /* 2254901 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2254949), // Rule ID 56914 //
     /* 2254906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254919 */   // MIs[0] Operand 1
     /* 2254919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254932 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254939 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254948 */   // GIR_Coverage, 56914,
     /* 2254948 */   GIR_EraseRootFromParent_Done,
     /* 2254949 */ // Label 30305: @2254949
     /* 2254949 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2254997), // Rule ID 56915 //
     /* 2254954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254967 */   // MIs[0] Operand 1
     /* 2254967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254980 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254996 */   // GIR_Coverage, 56915,
     /* 2254996 */   GIR_EraseRootFromParent_Done,
     /* 2254997 */ // Label 30306: @2254997
     /* 2254997 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2255045), // Rule ID 56944 //
     /* 2255002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255015 */   // MIs[0] Operand 1
     /* 2255015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255028 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255035 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255044 */   // GIR_Coverage, 56944,
     /* 2255044 */   GIR_EraseRootFromParent_Done,
     /* 2255045 */ // Label 30307: @2255045
     /* 2255045 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2255093), // Rule ID 56945 //
     /* 2255050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255063 */   // MIs[0] Operand 1
     /* 2255063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255076 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255092 */   // GIR_Coverage, 56945,
     /* 2255092 */   GIR_EraseRootFromParent_Done,
     /* 2255093 */ // Label 30308: @2255093
     /* 2255093 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2255141), // Rule ID 57024 //
     /* 2255098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255111 */   // MIs[0] Operand 1
     /* 2255111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255124 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255140 */   // GIR_Coverage, 57024,
     /* 2255140 */   GIR_EraseRootFromParent_Done,
     /* 2255141 */ // Label 30309: @2255141
     /* 2255141 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2255189), // Rule ID 57025 //
     /* 2255146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255159 */   // MIs[0] Operand 1
     /* 2255159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255172 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255188 */   // GIR_Coverage, 57025,
     /* 2255188 */   GIR_EraseRootFromParent_Done,
     /* 2255189 */ // Label 30310: @2255189
     /* 2255189 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2255237), // Rule ID 57214 //
     /* 2255194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255207 */   // MIs[0] Operand 1
     /* 2255207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255220 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2255223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255236 */   // GIR_Coverage, 57214,
     /* 2255236 */   GIR_EraseRootFromParent_Done,
     /* 2255237 */ // Label 30311: @2255237
     /* 2255237 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2255285), // Rule ID 57215 //
     /* 2255242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255255 */   // MIs[0] Operand 1
     /* 2255255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255268 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2255271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255284 */   // GIR_Coverage, 57215,
     /* 2255284 */   GIR_EraseRootFromParent_Done,
     /* 2255285 */ // Label 30312: @2255285
     /* 2255285 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2255333), // Rule ID 57244 //
     /* 2255290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255303 */   // MIs[0] Operand 1
     /* 2255303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255316 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255332 */   // GIR_Coverage, 57244,
     /* 2255332 */   GIR_EraseRootFromParent_Done,
     /* 2255333 */ // Label 30313: @2255333
     /* 2255333 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2255381), // Rule ID 57245 //
     /* 2255338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255351 */   // MIs[0] Operand 1
     /* 2255351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255364 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255380 */   // GIR_Coverage, 57245,
     /* 2255380 */   GIR_EraseRootFromParent_Done,
     /* 2255381 */ // Label 30314: @2255381
     /* 2255381 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2255429), // Rule ID 57324 //
     /* 2255386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255399 */   // MIs[0] Operand 1
     /* 2255399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255412 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255428 */   // GIR_Coverage, 57324,
     /* 2255428 */   GIR_EraseRootFromParent_Done,
     /* 2255429 */ // Label 30315: @2255429
     /* 2255429 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2255477), // Rule ID 57325 //
     /* 2255434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255447 */   // MIs[0] Operand 1
     /* 2255447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255460 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255476 */   // GIR_Coverage, 57325,
     /* 2255476 */   GIR_EraseRootFromParent_Done,
     /* 2255477 */ // Label 30316: @2255477
     /* 2255477 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2255525), // Rule ID 57514 //
     /* 2255482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255495 */   // MIs[0] Operand 1
     /* 2255495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255508 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255524 */   // GIR_Coverage, 57514,
     /* 2255524 */   GIR_EraseRootFromParent_Done,
     /* 2255525 */ // Label 30317: @2255525
     /* 2255525 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2255573), // Rule ID 57515 //
     /* 2255530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255543 */   // MIs[0] Operand 1
     /* 2255543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255556 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255572 */   // GIR_Coverage, 57515,
     /* 2255572 */   GIR_EraseRootFromParent_Done,
     /* 2255573 */ // Label 30318: @2255573
     /* 2255573 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2255621), // Rule ID 57544 //
     /* 2255578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255591 */   // MIs[0] Operand 1
     /* 2255591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255604 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255620 */   // GIR_Coverage, 57544,
     /* 2255620 */   GIR_EraseRootFromParent_Done,
     /* 2255621 */ // Label 30319: @2255621
     /* 2255621 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2255669), // Rule ID 57545 //
     /* 2255626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255639 */   // MIs[0] Operand 1
     /* 2255639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255652 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255668 */   // GIR_Coverage, 57545,
     /* 2255668 */   GIR_EraseRootFromParent_Done,
     /* 2255669 */ // Label 30320: @2255669
     /* 2255669 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2255717), // Rule ID 57624 //
     /* 2255674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255687 */   // MIs[0] Operand 1
     /* 2255687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255700 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255716 */   // GIR_Coverage, 57624,
     /* 2255716 */   GIR_EraseRootFromParent_Done,
     /* 2255717 */ // Label 30321: @2255717
     /* 2255717 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2255765), // Rule ID 57625 //
     /* 2255722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255735 */   // MIs[0] Operand 1
     /* 2255735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255748 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255764 */   // GIR_Coverage, 57625,
     /* 2255764 */   GIR_EraseRootFromParent_Done,
     /* 2255765 */ // Label 30322: @2255765
     /* 2255765 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2255813), // Rule ID 57814 //
     /* 2255770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255783 */   // MIs[0] Operand 1
     /* 2255783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255796 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255812 */   // GIR_Coverage, 57814,
     /* 2255812 */   GIR_EraseRootFromParent_Done,
     /* 2255813 */ // Label 30323: @2255813
     /* 2255813 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2255861), // Rule ID 57815 //
     /* 2255818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255831 */   // MIs[0] Operand 1
     /* 2255831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255844 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255860 */   // GIR_Coverage, 57815,
     /* 2255860 */   GIR_EraseRootFromParent_Done,
     /* 2255861 */ // Label 30324: @2255861
     /* 2255861 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2255909), // Rule ID 57844 //
     /* 2255866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255879 */   // MIs[0] Operand 1
     /* 2255879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255892 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255897 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255899 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255908 */   // GIR_Coverage, 57844,
     /* 2255908 */   GIR_EraseRootFromParent_Done,
     /* 2255909 */ // Label 30325: @2255909
     /* 2255909 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2255957), // Rule ID 57845 //
     /* 2255914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255927 */   // MIs[0] Operand 1
     /* 2255927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255940 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255956 */   // GIR_Coverage, 57845,
     /* 2255956 */   GIR_EraseRootFromParent_Done,
     /* 2255957 */ // Label 30326: @2255957
     /* 2255957 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2256005), // Rule ID 57924 //
     /* 2255962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255975 */   // MIs[0] Operand 1
     /* 2255975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255988 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256004 */   // GIR_Coverage, 57924,
     /* 2256004 */   GIR_EraseRootFromParent_Done,
     /* 2256005 */ // Label 30327: @2256005
     /* 2256005 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2256053), // Rule ID 57925 //
     /* 2256010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256023 */   // MIs[0] Operand 1
     /* 2256023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256036 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256052 */   // GIR_Coverage, 57925,
     /* 2256052 */   GIR_EraseRootFromParent_Done,
     /* 2256053 */ // Label 30328: @2256053
     /* 2256053 */ GIM_Reject,
     /* 2256054 */ // Label 30237: @2256054
     /* 2256054 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2256102), // Rule ID 56934 //
     /* 2256059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256072 */   // MIs[0] Operand 1
     /* 2256072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256085 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2256088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256101 */   // GIR_Coverage, 56934,
     /* 2256101 */   GIR_EraseRootFromParent_Done,
     /* 2256102 */ // Label 30329: @2256102
     /* 2256102 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2256150), // Rule ID 56935 //
     /* 2256107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256120 */   // MIs[0] Operand 1
     /* 2256120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256133 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2256136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256149 */   // GIR_Coverage, 56935,
     /* 2256149 */   GIR_EraseRootFromParent_Done,
     /* 2256150 */ // Label 30330: @2256150
     /* 2256150 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2256198), // Rule ID 56994 //
     /* 2256155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256168 */   // MIs[0] Operand 1
     /* 2256168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256181 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256197 */   // GIR_Coverage, 56994,
     /* 2256197 */   GIR_EraseRootFromParent_Done,
     /* 2256198 */ // Label 30331: @2256198
     /* 2256198 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2256246), // Rule ID 56995 //
     /* 2256203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256216 */   // MIs[0] Operand 1
     /* 2256216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256229 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256245 */   // GIR_Coverage, 56995,
     /* 2256245 */   GIR_EraseRootFromParent_Done,
     /* 2256246 */ // Label 30332: @2256246
     /* 2256246 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2256294), // Rule ID 57034 //
     /* 2256251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256264 */   // MIs[0] Operand 1
     /* 2256264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256277 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256293 */   // GIR_Coverage, 57034,
     /* 2256293 */   GIR_EraseRootFromParent_Done,
     /* 2256294 */ // Label 30333: @2256294
     /* 2256294 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2256342), // Rule ID 57035 //
     /* 2256299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256312 */   // MIs[0] Operand 1
     /* 2256312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256325 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256341 */   // GIR_Coverage, 57035,
     /* 2256341 */   GIR_EraseRootFromParent_Done,
     /* 2256342 */ // Label 30334: @2256342
     /* 2256342 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2256390), // Rule ID 57234 //
     /* 2256347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256360 */   // MIs[0] Operand 1
     /* 2256360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256373 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2256376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256389 */   // GIR_Coverage, 57234,
     /* 2256389 */   GIR_EraseRootFromParent_Done,
     /* 2256390 */ // Label 30335: @2256390
     /* 2256390 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2256438), // Rule ID 57235 //
     /* 2256395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256408 */   // MIs[0] Operand 1
     /* 2256408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256421 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2256424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256437 */   // GIR_Coverage, 57235,
     /* 2256437 */   GIR_EraseRootFromParent_Done,
     /* 2256438 */ // Label 30336: @2256438
     /* 2256438 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2256486), // Rule ID 57294 //
     /* 2256443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256456 */   // MIs[0] Operand 1
     /* 2256456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256469 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256485 */   // GIR_Coverage, 57294,
     /* 2256485 */   GIR_EraseRootFromParent_Done,
     /* 2256486 */ // Label 30337: @2256486
     /* 2256486 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2256534), // Rule ID 57295 //
     /* 2256491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256504 */   // MIs[0] Operand 1
     /* 2256504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256517 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256533 */   // GIR_Coverage, 57295,
     /* 2256533 */   GIR_EraseRootFromParent_Done,
     /* 2256534 */ // Label 30338: @2256534
     /* 2256534 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2256582), // Rule ID 57334 //
     /* 2256539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256552 */   // MIs[0] Operand 1
     /* 2256552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256565 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256581 */   // GIR_Coverage, 57334,
     /* 2256581 */   GIR_EraseRootFromParent_Done,
     /* 2256582 */ // Label 30339: @2256582
     /* 2256582 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2256630), // Rule ID 57335 //
     /* 2256587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256600 */   // MIs[0] Operand 1
     /* 2256600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256613 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256629 */   // GIR_Coverage, 57335,
     /* 2256629 */   GIR_EraseRootFromParent_Done,
     /* 2256630 */ // Label 30340: @2256630
     /* 2256630 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2256678), // Rule ID 57534 //
     /* 2256635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256648 */   // MIs[0] Operand 1
     /* 2256648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256661 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256677 */   // GIR_Coverage, 57534,
     /* 2256677 */   GIR_EraseRootFromParent_Done,
     /* 2256678 */ // Label 30341: @2256678
     /* 2256678 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2256726), // Rule ID 57535 //
     /* 2256683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256696 */   // MIs[0] Operand 1
     /* 2256696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256709 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256725 */   // GIR_Coverage, 57535,
     /* 2256725 */   GIR_EraseRootFromParent_Done,
     /* 2256726 */ // Label 30342: @2256726
     /* 2256726 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2256774), // Rule ID 57594 //
     /* 2256731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256744 */   // MIs[0] Operand 1
     /* 2256744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256757 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256773 */   // GIR_Coverage, 57594,
     /* 2256773 */   GIR_EraseRootFromParent_Done,
     /* 2256774 */ // Label 30343: @2256774
     /* 2256774 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2256822), // Rule ID 57595 //
     /* 2256779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256792 */   // MIs[0] Operand 1
     /* 2256792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256805 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256821 */   // GIR_Coverage, 57595,
     /* 2256821 */   GIR_EraseRootFromParent_Done,
     /* 2256822 */ // Label 30344: @2256822
     /* 2256822 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2256870), // Rule ID 57634 //
     /* 2256827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256840 */   // MIs[0] Operand 1
     /* 2256840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256853 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256869 */   // GIR_Coverage, 57634,
     /* 2256869 */   GIR_EraseRootFromParent_Done,
     /* 2256870 */ // Label 30345: @2256870
     /* 2256870 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2256918), // Rule ID 57635 //
     /* 2256875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256888 */   // MIs[0] Operand 1
     /* 2256888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256901 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256917 */   // GIR_Coverage, 57635,
     /* 2256917 */   GIR_EraseRootFromParent_Done,
     /* 2256918 */ // Label 30346: @2256918
     /* 2256918 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2256966), // Rule ID 57834 //
     /* 2256923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256936 */   // MIs[0] Operand 1
     /* 2256936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256949 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256965 */   // GIR_Coverage, 57834,
     /* 2256965 */   GIR_EraseRootFromParent_Done,
     /* 2256966 */ // Label 30347: @2256966
     /* 2256966 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2257014), // Rule ID 57835 //
     /* 2256971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256984 */   // MIs[0] Operand 1
     /* 2256984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256997 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2257000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257013 */   // GIR_Coverage, 57835,
     /* 2257013 */   GIR_EraseRootFromParent_Done,
     /* 2257014 */ // Label 30348: @2257014
     /* 2257014 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2257062), // Rule ID 57894 //
     /* 2257019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257032 */   // MIs[0] Operand 1
     /* 2257032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257045 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257061 */   // GIR_Coverage, 57894,
     /* 2257061 */   GIR_EraseRootFromParent_Done,
     /* 2257062 */ // Label 30349: @2257062
     /* 2257062 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2257110), // Rule ID 57895 //
     /* 2257067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257080 */   // MIs[0] Operand 1
     /* 2257080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257093 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257109 */   // GIR_Coverage, 57895,
     /* 2257109 */   GIR_EraseRootFromParent_Done,
     /* 2257110 */ // Label 30350: @2257110
     /* 2257110 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2257158), // Rule ID 57934 //
     /* 2257115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257128 */   // MIs[0] Operand 1
     /* 2257128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257141 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257157 */   // GIR_Coverage, 57934,
     /* 2257157 */   GIR_EraseRootFromParent_Done,
     /* 2257158 */ // Label 30351: @2257158
     /* 2257158 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2257206), // Rule ID 57935 //
     /* 2257163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257176 */   // MIs[0] Operand 1
     /* 2257176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257189 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257205 */   // GIR_Coverage, 57935,
     /* 2257205 */   GIR_EraseRootFromParent_Done,
     /* 2257206 */ // Label 30352: @2257206
     /* 2257206 */ GIM_Reject,
     /* 2257207 */ // Label 30238: @2257207
     /* 2257207 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2257255), // Rule ID 56964 //
     /* 2257212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257225 */   // MIs[0] Operand 1
     /* 2257225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257238 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2257241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257254 */   // GIR_Coverage, 56964,
     /* 2257254 */   GIR_EraseRootFromParent_Done,
     /* 2257255 */ // Label 30353: @2257255
     /* 2257255 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2257303), // Rule ID 56965 //
     /* 2257260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257273 */   // MIs[0] Operand 1
     /* 2257273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257286 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2257289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257302 */   // GIR_Coverage, 56965,
     /* 2257302 */   GIR_EraseRootFromParent_Done,
     /* 2257303 */ // Label 30354: @2257303
     /* 2257303 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2257351), // Rule ID 57004 //
     /* 2257308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257321 */   // MIs[0] Operand 1
     /* 2257321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257334 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257350 */   // GIR_Coverage, 57004,
     /* 2257350 */   GIR_EraseRootFromParent_Done,
     /* 2257351 */ // Label 30355: @2257351
     /* 2257351 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2257399), // Rule ID 57005 //
     /* 2257356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257369 */   // MIs[0] Operand 1
     /* 2257369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257382 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257398 */   // GIR_Coverage, 57005,
     /* 2257398 */   GIR_EraseRootFromParent_Done,
     /* 2257399 */ // Label 30356: @2257399
     /* 2257399 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2257447), // Rule ID 57044 //
     /* 2257404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257417 */   // MIs[0] Operand 1
     /* 2257417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257430 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257446 */   // GIR_Coverage, 57044,
     /* 2257446 */   GIR_EraseRootFromParent_Done,
     /* 2257447 */ // Label 30357: @2257447
     /* 2257447 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2257495), // Rule ID 57045 //
     /* 2257452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257465 */   // MIs[0] Operand 1
     /* 2257465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257478 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257494 */   // GIR_Coverage, 57045,
     /* 2257494 */   GIR_EraseRootFromParent_Done,
     /* 2257495 */ // Label 30358: @2257495
     /* 2257495 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2257543), // Rule ID 57264 //
     /* 2257500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257513 */   // MIs[0] Operand 1
     /* 2257513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257526 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257542 */   // GIR_Coverage, 57264,
     /* 2257542 */   GIR_EraseRootFromParent_Done,
     /* 2257543 */ // Label 30359: @2257543
     /* 2257543 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2257591), // Rule ID 57265 //
     /* 2257548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257561 */   // MIs[0] Operand 1
     /* 2257561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257574 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257590 */   // GIR_Coverage, 57265,
     /* 2257590 */   GIR_EraseRootFromParent_Done,
     /* 2257591 */ // Label 30360: @2257591
     /* 2257591 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2257639), // Rule ID 57304 //
     /* 2257596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257609 */   // MIs[0] Operand 1
     /* 2257609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257622 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257638 */   // GIR_Coverage, 57304,
     /* 2257638 */   GIR_EraseRootFromParent_Done,
     /* 2257639 */ // Label 30361: @2257639
     /* 2257639 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2257687), // Rule ID 57305 //
     /* 2257644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257657 */   // MIs[0] Operand 1
     /* 2257657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257670 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257686 */   // GIR_Coverage, 57305,
     /* 2257686 */   GIR_EraseRootFromParent_Done,
     /* 2257687 */ // Label 30362: @2257687
     /* 2257687 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2257735), // Rule ID 57344 //
     /* 2257692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257705 */   // MIs[0] Operand 1
     /* 2257705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257718 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257734 */   // GIR_Coverage, 57344,
     /* 2257734 */   GIR_EraseRootFromParent_Done,
     /* 2257735 */ // Label 30363: @2257735
     /* 2257735 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2257783), // Rule ID 57345 //
     /* 2257740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257753 */   // MIs[0] Operand 1
     /* 2257753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257766 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257782 */   // GIR_Coverage, 57345,
     /* 2257782 */   GIR_EraseRootFromParent_Done,
     /* 2257783 */ // Label 30364: @2257783
     /* 2257783 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2257831), // Rule ID 57564 //
     /* 2257788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257801 */   // MIs[0] Operand 1
     /* 2257801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257814 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257830 */   // GIR_Coverage, 57564,
     /* 2257830 */   GIR_EraseRootFromParent_Done,
     /* 2257831 */ // Label 30365: @2257831
     /* 2257831 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2257879), // Rule ID 57565 //
     /* 2257836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257849 */   // MIs[0] Operand 1
     /* 2257849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257862 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257878 */   // GIR_Coverage, 57565,
     /* 2257878 */   GIR_EraseRootFromParent_Done,
     /* 2257879 */ // Label 30366: @2257879
     /* 2257879 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2257927), // Rule ID 57604 //
     /* 2257884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257897 */   // MIs[0] Operand 1
     /* 2257897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257910 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257926 */   // GIR_Coverage, 57604,
     /* 2257926 */   GIR_EraseRootFromParent_Done,
     /* 2257927 */ // Label 30367: @2257927
     /* 2257927 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2257975), // Rule ID 57605 //
     /* 2257932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257945 */   // MIs[0] Operand 1
     /* 2257945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257958 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257974 */   // GIR_Coverage, 57605,
     /* 2257974 */   GIR_EraseRootFromParent_Done,
     /* 2257975 */ // Label 30368: @2257975
     /* 2257975 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2258023), // Rule ID 57644 //
     /* 2257980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257993 */   // MIs[0] Operand 1
     /* 2257993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258006 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258022 */   // GIR_Coverage, 57644,
     /* 2258022 */   GIR_EraseRootFromParent_Done,
     /* 2258023 */ // Label 30369: @2258023
     /* 2258023 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2258071), // Rule ID 57645 //
     /* 2258028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258041 */   // MIs[0] Operand 1
     /* 2258041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258054 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258070 */   // GIR_Coverage, 57645,
     /* 2258070 */   GIR_EraseRootFromParent_Done,
     /* 2258071 */ // Label 30370: @2258071
     /* 2258071 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2258119), // Rule ID 57864 //
     /* 2258076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258089 */   // MIs[0] Operand 1
     /* 2258089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258102 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2258105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258118 */   // GIR_Coverage, 57864,
     /* 2258118 */   GIR_EraseRootFromParent_Done,
     /* 2258119 */ // Label 30371: @2258119
     /* 2258119 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2258167), // Rule ID 57865 //
     /* 2258124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258137 */   // MIs[0] Operand 1
     /* 2258137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258150 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2258153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258166 */   // GIR_Coverage, 57865,
     /* 2258166 */   GIR_EraseRootFromParent_Done,
     /* 2258167 */ // Label 30372: @2258167
     /* 2258167 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2258215), // Rule ID 57904 //
     /* 2258172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258185 */   // MIs[0] Operand 1
     /* 2258185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258198 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258214 */   // GIR_Coverage, 57904,
     /* 2258214 */   GIR_EraseRootFromParent_Done,
     /* 2258215 */ // Label 30373: @2258215
     /* 2258215 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2258263), // Rule ID 57905 //
     /* 2258220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258233 */   // MIs[0] Operand 1
     /* 2258233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258246 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258262 */   // GIR_Coverage, 57905,
     /* 2258262 */   GIR_EraseRootFromParent_Done,
     /* 2258263 */ // Label 30374: @2258263
     /* 2258263 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2258311), // Rule ID 57944 //
     /* 2258268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258281 */   // MIs[0] Operand 1
     /* 2258281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258294 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258310 */   // GIR_Coverage, 57944,
     /* 2258310 */   GIR_EraseRootFromParent_Done,
     /* 2258311 */ // Label 30375: @2258311
     /* 2258311 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2258359), // Rule ID 57945 //
     /* 2258316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258329 */   // MIs[0] Operand 1
     /* 2258329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258342 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258358 */   // GIR_Coverage, 57945,
     /* 2258358 */   GIR_EraseRootFromParent_Done,
     /* 2258359 */ // Label 30376: @2258359
     /* 2258359 */ GIM_Reject,
     /* 2258360 */ // Label 30239: @2258360
     /* 2258360 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2258408), // Rule ID 56974 //
     /* 2258365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258378 */   // MIs[0] Operand 1
     /* 2258378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258391 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258407 */   // GIR_Coverage, 56974,
     /* 2258407 */   GIR_EraseRootFromParent_Done,
     /* 2258408 */ // Label 30377: @2258408
     /* 2258408 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2258456), // Rule ID 56975 //
     /* 2258413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258426 */   // MIs[0] Operand 1
     /* 2258426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258439 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258455 */   // GIR_Coverage, 56975,
     /* 2258455 */   GIR_EraseRootFromParent_Done,
     /* 2258456 */ // Label 30378: @2258456
     /* 2258456 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2258504), // Rule ID 57014 //
     /* 2258461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258474 */   // MIs[0] Operand 1
     /* 2258474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258487 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258503 */   // GIR_Coverage, 57014,
     /* 2258503 */   GIR_EraseRootFromParent_Done,
     /* 2258504 */ // Label 30379: @2258504
     /* 2258504 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2258552), // Rule ID 57015 //
     /* 2258509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258522 */   // MIs[0] Operand 1
     /* 2258522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258535 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258551 */   // GIR_Coverage, 57015,
     /* 2258551 */   GIR_EraseRootFromParent_Done,
     /* 2258552 */ // Label 30380: @2258552
     /* 2258552 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2258600), // Rule ID 57274 //
     /* 2258557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258570 */   // MIs[0] Operand 1
     /* 2258570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258583 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258588 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258590 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258599 */   // GIR_Coverage, 57274,
     /* 2258599 */   GIR_EraseRootFromParent_Done,
     /* 2258600 */ // Label 30381: @2258600
     /* 2258600 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2258648), // Rule ID 57275 //
     /* 2258605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258618 */   // MIs[0] Operand 1
     /* 2258618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258631 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258647 */   // GIR_Coverage, 57275,
     /* 2258647 */   GIR_EraseRootFromParent_Done,
     /* 2258648 */ // Label 30382: @2258648
     /* 2258648 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2258696), // Rule ID 57314 //
     /* 2258653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258666 */   // MIs[0] Operand 1
     /* 2258666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258679 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258695 */   // GIR_Coverage, 57314,
     /* 2258695 */   GIR_EraseRootFromParent_Done,
     /* 2258696 */ // Label 30383: @2258696
     /* 2258696 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2258744), // Rule ID 57315 //
     /* 2258701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258714 */   // MIs[0] Operand 1
     /* 2258714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258727 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258743 */   // GIR_Coverage, 57315,
     /* 2258743 */   GIR_EraseRootFromParent_Done,
     /* 2258744 */ // Label 30384: @2258744
     /* 2258744 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2258792), // Rule ID 57574 //
     /* 2258749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258762 */   // MIs[0] Operand 1
     /* 2258762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258775 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258791 */   // GIR_Coverage, 57574,
     /* 2258791 */   GIR_EraseRootFromParent_Done,
     /* 2258792 */ // Label 30385: @2258792
     /* 2258792 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2258840), // Rule ID 57575 //
     /* 2258797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258810 */   // MIs[0] Operand 1
     /* 2258810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258823 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258839 */   // GIR_Coverage, 57575,
     /* 2258839 */   GIR_EraseRootFromParent_Done,
     /* 2258840 */ // Label 30386: @2258840
     /* 2258840 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2258888), // Rule ID 57614 //
     /* 2258845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258858 */   // MIs[0] Operand 1
     /* 2258858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258871 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258887 */   // GIR_Coverage, 57614,
     /* 2258887 */   GIR_EraseRootFromParent_Done,
     /* 2258888 */ // Label 30387: @2258888
     /* 2258888 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2258936), // Rule ID 57615 //
     /* 2258893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258906 */   // MIs[0] Operand 1
     /* 2258906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258919 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258935 */   // GIR_Coverage, 57615,
     /* 2258935 */   GIR_EraseRootFromParent_Done,
     /* 2258936 */ // Label 30388: @2258936
     /* 2258936 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2258984), // Rule ID 57874 //
     /* 2258941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258954 */   // MIs[0] Operand 1
     /* 2258954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258967 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258983 */   // GIR_Coverage, 57874,
     /* 2258983 */   GIR_EraseRootFromParent_Done,
     /* 2258984 */ // Label 30389: @2258984
     /* 2258984 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2259032), // Rule ID 57875 //
     /* 2258989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259002 */   // MIs[0] Operand 1
     /* 2259002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259015 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2259018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259031 */   // GIR_Coverage, 57875,
     /* 2259031 */   GIR_EraseRootFromParent_Done,
     /* 2259032 */ // Label 30390: @2259032
     /* 2259032 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2259080), // Rule ID 57914 //
     /* 2259037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2259043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2259046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259050 */   // MIs[0] Operand 1
     /* 2259050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259063 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259079 */   // GIR_Coverage, 57914,
     /* 2259079 */   GIR_EraseRootFromParent_Done,
     /* 2259080 */ // Label 30391: @2259080
     /* 2259080 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2259128), // Rule ID 57915 //
     /* 2259085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2259088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2259091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2259094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259098 */   // MIs[0] Operand 1
     /* 2259098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259111 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259127 */   // GIR_Coverage, 57915,
     /* 2259127 */   GIR_EraseRootFromParent_Done,
     /* 2259128 */ // Label 30392: @2259128
     /* 2259128 */ GIM_Reject,
     /* 2259129 */ // Label 30240: @2259129
     /* 2259129 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2259449),
     /* 2259134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2259137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2259140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259144 */   GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2259182), // Rule ID 56984 //
     /* 2259149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259152 */     // MIs[0] Operand 1
     /* 2259152 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259165 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2259168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259181 */     // GIR_Coverage, 56984,
     /* 2259181 */     GIR_EraseRootFromParent_Done,
     /* 2259182 */   // Label 30394: @2259182
     /* 2259182 */   GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2259220), // Rule ID 56985 //
     /* 2259187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259190 */     // MIs[0] Operand 1
     /* 2259190 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259203 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2259206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259219 */     // GIR_Coverage, 56985,
     /* 2259219 */     GIR_EraseRootFromParent_Done,
     /* 2259220 */   // Label 30395: @2259220
     /* 2259220 */   GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2259258), // Rule ID 57284 //
     /* 2259225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259228 */     // MIs[0] Operand 1
     /* 2259228 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259241 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2259244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259257 */     // GIR_Coverage, 57284,
     /* 2259257 */     GIR_EraseRootFromParent_Done,
     /* 2259258 */   // Label 30396: @2259258
     /* 2259258 */   GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2259296), // Rule ID 57285 //
     /* 2259263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259266 */     // MIs[0] Operand 1
     /* 2259266 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259279 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2259282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259295 */     // GIR_Coverage, 57285,
     /* 2259295 */     GIR_EraseRootFromParent_Done,
     /* 2259296 */   // Label 30397: @2259296
     /* 2259296 */   GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2259334), // Rule ID 57584 //
     /* 2259301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259304 */     // MIs[0] Operand 1
     /* 2259304 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259317 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2259320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259333 */     // GIR_Coverage, 57584,
     /* 2259333 */     GIR_EraseRootFromParent_Done,
     /* 2259334 */   // Label 30398: @2259334
     /* 2259334 */   GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2259372), // Rule ID 57585 //
     /* 2259339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259342 */     // MIs[0] Operand 1
     /* 2259342 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259355 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2259358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259371 */     // GIR_Coverage, 57585,
     /* 2259371 */     GIR_EraseRootFromParent_Done,
     /* 2259372 */   // Label 30399: @2259372
     /* 2259372 */   GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2259410), // Rule ID 57884 //
     /* 2259377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259380 */     // MIs[0] Operand 1
     /* 2259380 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259393 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259409 */     // GIR_Coverage, 57884,
     /* 2259409 */     GIR_EraseRootFromParent_Done,
     /* 2259410 */   // Label 30400: @2259410
     /* 2259410 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2259448), // Rule ID 57885 //
     /* 2259415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259418 */     // MIs[0] Operand 1
     /* 2259418 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259431 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259447 */     // GIR_Coverage, 57885,
     /* 2259447 */     GIR_EraseRootFromParent_Done,
     /* 2259448 */   // Label 30401: @2259448
     /* 2259448 */   GIM_Reject,
     /* 2259449 */ // Label 30393: @2259449
     /* 2259449 */ GIM_Reject,
     /* 2259450 */ // Label 30241: @2259450
     /* 2259450 */ GIM_Reject,
     /* 2259451 */ // Label 50: @2259451
     /* 2259451 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30426*/ GIMT_Encode4(2263842),
     /* 2259462 */ /*GILLT_s32*//*Label 30402*/ GIMT_Encode4(2259586),
     /* 2259466 */ /*GILLT_s64*//*Label 30403*/ GIMT_Encode4(2259734), GIMT_Encode4(0),
     /* 2259474 */ /*GILLT_nxv1s8*//*Label 30404*/ GIMT_Encode4(2259882),
     /* 2259478 */ /*GILLT_nxv1s16*//*Label 30405*/ GIMT_Encode4(2260002),
     /* 2259482 */ /*GILLT_nxv1s32*//*Label 30406*/ GIMT_Encode4(2260210),
     /* 2259486 */ /*GILLT_nxv1s64*//*Label 30407*/ GIMT_Encode4(2260418), GIMT_Encode4(0),
     /* 2259494 */ /*GILLT_nxv2s8*//*Label 30408*/ GIMT_Encode4(2260626),
     /* 2259498 */ /*GILLT_nxv2s16*//*Label 30409*/ GIMT_Encode4(2260746),
     /* 2259502 */ /*GILLT_nxv2s32*//*Label 30410*/ GIMT_Encode4(2260954),
     /* 2259506 */ /*GILLT_nxv2s64*//*Label 30411*/ GIMT_Encode4(2261162), GIMT_Encode4(0),
     /* 2259514 */ /*GILLT_nxv4s8*//*Label 30412*/ GIMT_Encode4(2261370),
     /* 2259518 */ /*GILLT_nxv4s16*//*Label 30413*/ GIMT_Encode4(2261490),
     /* 2259522 */ /*GILLT_nxv4s32*//*Label 30414*/ GIMT_Encode4(2261698),
     /* 2259526 */ /*GILLT_nxv4s64*//*Label 30415*/ GIMT_Encode4(2261906), GIMT_Encode4(0),
     /* 2259534 */ /*GILLT_nxv8s8*//*Label 30416*/ GIMT_Encode4(2262114),
     /* 2259538 */ /*GILLT_nxv8s16*//*Label 30417*/ GIMT_Encode4(2262234),
     /* 2259542 */ /*GILLT_nxv8s32*//*Label 30418*/ GIMT_Encode4(2262442),
     /* 2259546 */ /*GILLT_nxv8s64*//*Label 30419*/ GIMT_Encode4(2262650), GIMT_Encode4(0),
     /* 2259554 */ /*GILLT_nxv16s8*//*Label 30420*/ GIMT_Encode4(2262858),
     /* 2259558 */ /*GILLT_nxv16s16*//*Label 30421*/ GIMT_Encode4(2262978),
     /* 2259562 */ /*GILLT_nxv16s32*//*Label 30422*/ GIMT_Encode4(2263186), GIMT_Encode4(0),
     /* 2259570 */ /*GILLT_nxv32s8*//*Label 30423*/ GIMT_Encode4(2263394),
     /* 2259574 */ /*GILLT_nxv32s16*//*Label 30424*/ GIMT_Encode4(2263514), GIMT_Encode4(0),
     /* 2259582 */ /*GILLT_nxv64s8*//*Label 30425*/ GIMT_Encode4(2263722),
     /* 2259586 */ // Label 30402: @2259586
     /* 2259586 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2259733),
     /* 2259591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2259594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2259597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2259600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259608 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2259641), // Rule ID 62494 //
     /* 2259613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259616 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259624 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259629 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259637 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259640 */     // GIR_Coverage, 62494,
     /* 2259640 */     GIR_EraseRootFromParent_Done,
     /* 2259641 */   // Label 30428: @2259641
     /* 2259641 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2259674), // Rule ID 62492 //
     /* 2259646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259653 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259657 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259662 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259670 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259673 */     // GIR_Coverage, 62492,
     /* 2259673 */     GIR_EraseRootFromParent_Done,
     /* 2259674 */   // Label 30429: @2259674
     /* 2259674 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2259703), // Rule ID 62490 //
     /* 2259679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259690 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2259690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259695 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259697 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259699 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259702 */     // GIR_Coverage, 62490,
     /* 2259702 */     GIR_EraseRootFromParent_Done,
     /* 2259703 */   // Label 30430: @2259703
     /* 2259703 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2259732), // Rule ID 64505 //
     /* 2259708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2259711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259719 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2259719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259731 */     // GIR_Coverage, 64505,
     /* 2259731 */     GIR_EraseRootFromParent_Done,
     /* 2259732 */   // Label 30431: @2259732
     /* 2259732 */   GIM_Reject,
     /* 2259733 */ // Label 30427: @2259733
     /* 2259733 */ GIM_Reject,
     /* 2259734 */ // Label 30403: @2259734
     /* 2259734 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2259881),
     /* 2259739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2259742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2259745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2259748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259756 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2259789), // Rule ID 62493 //
     /* 2259761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259772 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259777 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259785 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259788 */     // GIR_Coverage, 62493,
     /* 2259788 */     GIR_EraseRootFromParent_Done,
     /* 2259789 */   // Label 30433: @2259789
     /* 2259789 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2259822), // Rule ID 62491 //
     /* 2259794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259805 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259810 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259818 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259821 */     // GIR_Coverage, 62491,
     /* 2259821 */     GIR_EraseRootFromParent_Done,
     /* 2259822 */   // Label 30434: @2259822
     /* 2259822 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2259851), // Rule ID 62489 //
     /* 2259827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259838 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2259838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259843 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259845 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259847 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259850 */     // GIR_Coverage, 62489,
     /* 2259850 */     GIR_EraseRootFromParent_Done,
     /* 2259851 */   // Label 30435: @2259851
     /* 2259851 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2259880), // Rule ID 64504 //
     /* 2259856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2259859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259867 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2259867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259879 */     // GIR_Coverage, 64504,
     /* 2259879 */     GIR_EraseRootFromParent_Done,
     /* 2259880 */   // Label 30436: @2259880
     /* 2259880 */   GIM_Reject,
     /* 2259881 */ // Label 30432: @2259881
     /* 2259881 */ GIM_Reject,
     /* 2259882 */ // Label 30404: @2259882
     /* 2259882 */ GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2260001),
     /* 2259887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2259893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2259896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259912 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2259956), // Rule ID 52114 //
     /* 2259917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259920 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259946 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259955 */     // GIR_Coverage, 52114,
     /* 2259955 */     GIR_EraseRootFromParent_Done,
     /* 2259956 */   // Label 30438: @2259956
     /* 2259956 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2260000), // Rule ID 52115 //
     /* 2259961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259964 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259990 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259999 */     // GIR_Coverage, 52115,
     /* 2259999 */     GIR_EraseRootFromParent_Done,
     /* 2260000 */   // Label 30439: @2260000
     /* 2260000 */   GIM_Reject,
     /* 2260001 */ // Label 30437: @2260001
     /* 2260001 */ GIM_Reject,
     /* 2260002 */ // Label 30405: @2260002
     /* 2260002 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2260209),
     /* 2260007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2260013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2260016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260032 */   GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2260076), // Rule ID 52132 //
     /* 2260037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260040 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260066 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260075 */     // GIR_Coverage, 52132,
     /* 2260075 */     GIR_EraseRootFromParent_Done,
     /* 2260076 */   // Label 30441: @2260076
     /* 2260076 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2260120), // Rule ID 52133 //
     /* 2260081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260084 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260110 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260119 */     // GIR_Coverage, 52133,
     /* 2260119 */     GIR_EraseRootFromParent_Done,
     /* 2260120 */   // Label 30442: @2260120
     /* 2260120 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2260164), // Rule ID 57954 //
     /* 2260125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260128 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260154 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260163 */     // GIR_Coverage, 57954,
     /* 2260163 */     GIR_EraseRootFromParent_Done,
     /* 2260164 */   // Label 30443: @2260164
     /* 2260164 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2260208), // Rule ID 57955 //
     /* 2260169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260172 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260198 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260207 */     // GIR_Coverage, 57955,
     /* 2260207 */     GIR_EraseRootFromParent_Done,
     /* 2260208 */   // Label 30444: @2260208
     /* 2260208 */   GIM_Reject,
     /* 2260209 */ // Label 30440: @2260209
     /* 2260209 */ GIM_Reject,
     /* 2260210 */ // Label 30406: @2260210
     /* 2260210 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2260417),
     /* 2260215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2260221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2260224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260240 */   GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2260284), // Rule ID 52144 //
     /* 2260245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260248 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260274 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260283 */     // GIR_Coverage, 52144,
     /* 2260283 */     GIR_EraseRootFromParent_Done,
     /* 2260284 */   // Label 30446: @2260284
     /* 2260284 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2260328), // Rule ID 52145 //
     /* 2260289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260292 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260318 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260327 */     // GIR_Coverage, 52145,
     /* 2260327 */     GIR_EraseRootFromParent_Done,
     /* 2260328 */   // Label 30447: @2260328
     /* 2260328 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2260372), // Rule ID 57974 //
     /* 2260333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260336 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260362 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260371 */     // GIR_Coverage, 57974,
     /* 2260371 */     GIR_EraseRootFromParent_Done,
     /* 2260372 */   // Label 30448: @2260372
     /* 2260372 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2260416), // Rule ID 57975 //
     /* 2260377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260380 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260406 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260415 */     // GIR_Coverage, 57975,
     /* 2260415 */     GIR_EraseRootFromParent_Done,
     /* 2260416 */   // Label 30449: @2260416
     /* 2260416 */   GIM_Reject,
     /* 2260417 */ // Label 30445: @2260417
     /* 2260417 */ GIM_Reject,
     /* 2260418 */ // Label 30407: @2260418
     /* 2260418 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2260625),
     /* 2260423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2260426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2260432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260448 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2260492), // Rule ID 52168 //
     /* 2260453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260456 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260482 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260491 */     // GIR_Coverage, 52168,
     /* 2260491 */     GIR_EraseRootFromParent_Done,
     /* 2260492 */   // Label 30451: @2260492
     /* 2260492 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2260536), // Rule ID 52169 //
     /* 2260497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260500 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260526 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260535 */     // GIR_Coverage, 52169,
     /* 2260535 */     GIR_EraseRootFromParent_Done,
     /* 2260536 */   // Label 30452: @2260536
     /* 2260536 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2260580), // Rule ID 58004 //
     /* 2260541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260544 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260570 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260579 */     // GIR_Coverage, 58004,
     /* 2260579 */     GIR_EraseRootFromParent_Done,
     /* 2260580 */   // Label 30453: @2260580
     /* 2260580 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2260624), // Rule ID 58005 //
     /* 2260585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260588 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260614 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260623 */     // GIR_Coverage, 58005,
     /* 2260623 */     GIR_EraseRootFromParent_Done,
     /* 2260624 */   // Label 30454: @2260624
     /* 2260624 */   GIM_Reject,
     /* 2260625 */ // Label 30450: @2260625
     /* 2260625 */ GIM_Reject,
     /* 2260626 */ // Label 30408: @2260626
     /* 2260626 */ GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2260745),
     /* 2260631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2260637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2260640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260656 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2260700), // Rule ID 52120 //
     /* 2260661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260664 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260690 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260699 */     // GIR_Coverage, 52120,
     /* 2260699 */     GIR_EraseRootFromParent_Done,
     /* 2260700 */   // Label 30456: @2260700
     /* 2260700 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2260744), // Rule ID 52121 //
     /* 2260705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260708 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260734 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260743 */     // GIR_Coverage, 52121,
     /* 2260743 */     GIR_EraseRootFromParent_Done,
     /* 2260744 */   // Label 30457: @2260744
     /* 2260744 */   GIM_Reject,
     /* 2260745 */ // Label 30455: @2260745
     /* 2260745 */ GIM_Reject,
     /* 2260746 */ // Label 30409: @2260746
     /* 2260746 */ GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2260953),
     /* 2260751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2260757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2260760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260772 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260776 */   GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2260820), // Rule ID 52138 //
     /* 2260781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260784 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260810 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260819 */     // GIR_Coverage, 52138,
     /* 2260819 */     GIR_EraseRootFromParent_Done,
     /* 2260820 */   // Label 30459: @2260820
     /* 2260820 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2260864), // Rule ID 52139 //
     /* 2260825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260828 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260854 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260863 */     // GIR_Coverage, 52139,
     /* 2260863 */     GIR_EraseRootFromParent_Done,
     /* 2260864 */   // Label 30460: @2260864
     /* 2260864 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2260908), // Rule ID 57964 //
     /* 2260869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260872 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260898 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260907 */     // GIR_Coverage, 57964,
     /* 2260907 */     GIR_EraseRootFromParent_Done,
     /* 2260908 */   // Label 30461: @2260908
     /* 2260908 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2260952), // Rule ID 57965 //
     /* 2260913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260916 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260942 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260951 */     // GIR_Coverage, 57965,
     /* 2260951 */     GIR_EraseRootFromParent_Done,
     /* 2260952 */   // Label 30462: @2260952
     /* 2260952 */   GIM_Reject,
     /* 2260953 */ // Label 30458: @2260953
     /* 2260953 */ GIM_Reject,
     /* 2260954 */ // Label 30410: @2260954
     /* 2260954 */ GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2261161),
     /* 2260959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260984 */   GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2261028), // Rule ID 52162 //
     /* 2260989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260992 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261018 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261027 */     // GIR_Coverage, 52162,
     /* 2261027 */     GIR_EraseRootFromParent_Done,
     /* 2261028 */   // Label 30464: @2261028
     /* 2261028 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2261072), // Rule ID 52163 //
     /* 2261033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261036 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261062 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261071 */     // GIR_Coverage, 52163,
     /* 2261071 */     GIR_EraseRootFromParent_Done,
     /* 2261072 */   // Label 30465: @2261072
     /* 2261072 */   GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2261116), // Rule ID 57994 //
     /* 2261077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261080 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261106 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261115 */     // GIR_Coverage, 57994,
     /* 2261115 */     GIR_EraseRootFromParent_Done,
     /* 2261116 */   // Label 30466: @2261116
     /* 2261116 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2261160), // Rule ID 57995 //
     /* 2261121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261124 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261150 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261159 */     // GIR_Coverage, 57995,
     /* 2261159 */     GIR_EraseRootFromParent_Done,
     /* 2261160 */   // Label 30467: @2261160
     /* 2261160 */   GIM_Reject,
     /* 2261161 */ // Label 30463: @2261161
     /* 2261161 */ GIM_Reject,
     /* 2261162 */ // Label 30411: @2261162
     /* 2261162 */ GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2261369),
     /* 2261167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2261170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2261173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2261176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261192 */   GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2261236), // Rule ID 52228 //
     /* 2261197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261200 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261226 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261235 */     // GIR_Coverage, 52228,
     /* 2261235 */     GIR_EraseRootFromParent_Done,
     /* 2261236 */   // Label 30469: @2261236
     /* 2261236 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2261280), // Rule ID 52229 //
     /* 2261241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261244 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261270 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261279 */     // GIR_Coverage, 52229,
     /* 2261279 */     GIR_EraseRootFromParent_Done,
     /* 2261280 */   // Label 30470: @2261280
     /* 2261280 */   GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2261324), // Rule ID 58074 //
     /* 2261285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261288 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261314 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261323 */     // GIR_Coverage, 58074,
     /* 2261323 */     GIR_EraseRootFromParent_Done,
     /* 2261324 */   // Label 30471: @2261324
     /* 2261324 */   GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2261368), // Rule ID 58075 //
     /* 2261329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261332 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261358 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261367 */     // GIR_Coverage, 58075,
     /* 2261367 */     GIR_EraseRootFromParent_Done,
     /* 2261368 */   // Label 30472: @2261368
     /* 2261368 */   GIM_Reject,
     /* 2261369 */ // Label 30468: @2261369
     /* 2261369 */ GIM_Reject,
     /* 2261370 */ // Label 30412: @2261370
     /* 2261370 */ GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2261489),
     /* 2261375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2261381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2261384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261400 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2261444), // Rule ID 52126 //
     /* 2261405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261408 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261434 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261443 */     // GIR_Coverage, 52126,
     /* 2261443 */     GIR_EraseRootFromParent_Done,
     /* 2261444 */   // Label 30474: @2261444
     /* 2261444 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2261488), // Rule ID 52127 //
     /* 2261449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261452 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261478 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261487 */     // GIR_Coverage, 52127,
     /* 2261487 */     GIR_EraseRootFromParent_Done,
     /* 2261488 */   // Label 30475: @2261488
     /* 2261488 */   GIM_Reject,
     /* 2261489 */ // Label 30473: @2261489
     /* 2261489 */ GIM_Reject,
     /* 2261490 */ // Label 30413: @2261490
     /* 2261490 */ GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2261697),
     /* 2261495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261520 */   GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2261564), // Rule ID 52156 //
     /* 2261525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261528 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261554 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261563 */     // GIR_Coverage, 52156,
     /* 2261563 */     GIR_EraseRootFromParent_Done,
     /* 2261564 */   // Label 30477: @2261564
     /* 2261564 */   GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2261608), // Rule ID 52157 //
     /* 2261569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261572 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261598 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261607 */     // GIR_Coverage, 52157,
     /* 2261607 */     GIR_EraseRootFromParent_Done,
     /* 2261608 */   // Label 30478: @2261608
     /* 2261608 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2261652), // Rule ID 57984 //
     /* 2261613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261616 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261642 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261651 */     // GIR_Coverage, 57984,
     /* 2261651 */     GIR_EraseRootFromParent_Done,
     /* 2261652 */   // Label 30479: @2261652
     /* 2261652 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2261696), // Rule ID 57985 //
     /* 2261657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261660 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261686 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261695 */     // GIR_Coverage, 57985,
     /* 2261695 */     GIR_EraseRootFromParent_Done,
     /* 2261696 */   // Label 30480: @2261696
     /* 2261696 */   GIM_Reject,
     /* 2261697 */ // Label 30476: @2261697
     /* 2261697 */ GIM_Reject,
     /* 2261698 */ // Label 30414: @2261698
     /* 2261698 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2261905),
     /* 2261703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261724 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261728 */   GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2261772), // Rule ID 52210 //
     /* 2261733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261736 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261762 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261771 */     // GIR_Coverage, 52210,
     /* 2261771 */     GIR_EraseRootFromParent_Done,
     /* 2261772 */   // Label 30482: @2261772
     /* 2261772 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2261816), // Rule ID 52211 //
     /* 2261777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261780 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261806 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261815 */     // GIR_Coverage, 52211,
     /* 2261815 */     GIR_EraseRootFromParent_Done,
     /* 2261816 */   // Label 30483: @2261816
     /* 2261816 */   GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2261860), // Rule ID 58044 //
     /* 2261821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261824 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261850 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261859 */     // GIR_Coverage, 58044,
     /* 2261859 */     GIR_EraseRootFromParent_Done,
     /* 2261860 */   // Label 30484: @2261860
     /* 2261860 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2261904), // Rule ID 58045 //
     /* 2261865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261868 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261894 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261903 */     // GIR_Coverage, 58045,
     /* 2261903 */     GIR_EraseRootFromParent_Done,
     /* 2261904 */   // Label 30485: @2261904
     /* 2261904 */   GIM_Reject,
     /* 2261905 */ // Label 30481: @2261905
     /* 2261905 */ GIM_Reject,
     /* 2261906 */ // Label 30415: @2261906
     /* 2261906 */ GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2262113),
     /* 2261911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261936 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2261980), // Rule ID 52234 //
     /* 2261941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261944 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261970 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261979 */     // GIR_Coverage, 52234,
     /* 2261979 */     GIR_EraseRootFromParent_Done,
     /* 2261980 */   // Label 30487: @2261980
     /* 2261980 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2262024), // Rule ID 52235 //
     /* 2261985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261988 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262014 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262023 */     // GIR_Coverage, 52235,
     /* 2262023 */     GIR_EraseRootFromParent_Done,
     /* 2262024 */   // Label 30488: @2262024
     /* 2262024 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2262068), // Rule ID 58084 //
     /* 2262029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262032 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2262035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262058 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262067 */     // GIR_Coverage, 58084,
     /* 2262067 */     GIR_EraseRootFromParent_Done,
     /* 2262068 */   // Label 30489: @2262068
     /* 2262068 */   GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2262112), // Rule ID 58085 //
     /* 2262073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262076 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2262079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262102 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262111 */     // GIR_Coverage, 58085,
     /* 2262111 */     GIR_EraseRootFromParent_Done,
     /* 2262112 */   // Label 30490: @2262112
     /* 2262112 */   GIM_Reject,
     /* 2262113 */ // Label 30486: @2262113
     /* 2262113 */ GIM_Reject,
     /* 2262114 */ // Label 30416: @2262114
     /* 2262114 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2262233),
     /* 2262119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2262132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262144 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2262188), // Rule ID 52150 //
     /* 2262149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262152 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2262155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2262169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262178 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262187 */     // GIR_Coverage, 52150,
     /* 2262187 */     GIR_EraseRootFromParent_Done,
     /* 2262188 */   // Label 30492: @2262188
     /* 2262188 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2262232), // Rule ID 52151 //
     /* 2262193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262196 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2262199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2262213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262222 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262231 */     // GIR_Coverage, 52151,
     /* 2262231 */     GIR_EraseRootFromParent_Done,
     /* 2262232 */   // Label 30493: @2262232
     /* 2262232 */   GIM_Reject,
     /* 2262233 */ // Label 30491: @2262233
     /* 2262233 */ GIM_Reject,
     /* 2262234 */ // Label 30417: @2262234
     /* 2262234 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2262441),
     /* 2262239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262264 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2262308), // Rule ID 52192 //
     /* 2262269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262272 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262298 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262307 */     // GIR_Coverage, 52192,
     /* 2262307 */     GIR_EraseRootFromParent_Done,
     /* 2262308 */   // Label 30495: @2262308
     /* 2262308 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2262352), // Rule ID 52193 //
     /* 2262313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262316 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262342 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262351 */     // GIR_Coverage, 52193,
     /* 2262351 */     GIR_EraseRootFromParent_Done,
     /* 2262352 */   // Label 30496: @2262352
     /* 2262352 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2262396), // Rule ID 58014 //
     /* 2262357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262360 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262386 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262395 */     // GIR_Coverage, 58014,
     /* 2262395 */     GIR_EraseRootFromParent_Done,
     /* 2262396 */   // Label 30497: @2262396
     /* 2262396 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2262440), // Rule ID 58015 //
     /* 2262401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262404 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262430 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262439 */     // GIR_Coverage, 58015,
     /* 2262439 */     GIR_EraseRootFromParent_Done,
     /* 2262440 */   // Label 30498: @2262440
     /* 2262440 */   GIM_Reject,
     /* 2262441 */ // Label 30494: @2262441
     /* 2262441 */ GIM_Reject,
     /* 2262442 */ // Label 30418: @2262442
     /* 2262442 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2262649),
     /* 2262447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262472 */   GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2262516), // Rule ID 52216 //
     /* 2262477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262480 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262506 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262515 */     // GIR_Coverage, 52216,
     /* 2262515 */     GIR_EraseRootFromParent_Done,
     /* 2262516 */   // Label 30500: @2262516
     /* 2262516 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2262560), // Rule ID 52217 //
     /* 2262521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262524 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262550 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262559 */     // GIR_Coverage, 52217,
     /* 2262559 */     GIR_EraseRootFromParent_Done,
     /* 2262560 */   // Label 30501: @2262560
     /* 2262560 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2262604), // Rule ID 58054 //
     /* 2262565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262568 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262594 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262603 */     // GIR_Coverage, 58054,
     /* 2262603 */     GIR_EraseRootFromParent_Done,
     /* 2262604 */   // Label 30502: @2262604
     /* 2262604 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2262648), // Rule ID 58055 //
     /* 2262609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262612 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262638 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262647 */     // GIR_Coverage, 58055,
     /* 2262647 */     GIR_EraseRootFromParent_Done,
     /* 2262648 */   // Label 30503: @2262648
     /* 2262648 */   GIM_Reject,
     /* 2262649 */ // Label 30499: @2262649
     /* 2262649 */ GIM_Reject,
     /* 2262650 */ // Label 30419: @2262650
     /* 2262650 */ GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2262857),
     /* 2262655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262680 */   GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2262724), // Rule ID 52240 //
     /* 2262685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262688 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262714 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262723 */     // GIR_Coverage, 52240,
     /* 2262723 */     GIR_EraseRootFromParent_Done,
     /* 2262724 */   // Label 30505: @2262724
     /* 2262724 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2262768), // Rule ID 52241 //
     /* 2262729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262732 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262758 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262767 */     // GIR_Coverage, 52241,
     /* 2262767 */     GIR_EraseRootFromParent_Done,
     /* 2262768 */   // Label 30506: @2262768
     /* 2262768 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2262812), // Rule ID 58094 //
     /* 2262773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262776 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262802 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262811 */     // GIR_Coverage, 58094,
     /* 2262811 */     GIR_EraseRootFromParent_Done,
     /* 2262812 */   // Label 30507: @2262812
     /* 2262812 */   GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2262856), // Rule ID 58095 //
     /* 2262817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262820 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262846 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262855 */     // GIR_Coverage, 58095,
     /* 2262855 */     GIR_EraseRootFromParent_Done,
     /* 2262856 */   // Label 30508: @2262856
     /* 2262856 */   GIM_Reject,
     /* 2262857 */ // Label 30504: @2262857
     /* 2262857 */ GIM_Reject,
     /* 2262858 */ // Label 30420: @2262858
     /* 2262858 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2262977),
     /* 2262863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262888 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2262932), // Rule ID 52174 //
     /* 2262893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262896 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262922 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262931 */     // GIR_Coverage, 52174,
     /* 2262931 */     GIR_EraseRootFromParent_Done,
     /* 2262932 */   // Label 30510: @2262932
     /* 2262932 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2262976), // Rule ID 52175 //
     /* 2262937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262940 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262966 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262975 */     // GIR_Coverage, 52175,
     /* 2262975 */     GIR_EraseRootFromParent_Done,
     /* 2262976 */   // Label 30511: @2262976
     /* 2262976 */   GIM_Reject,
     /* 2262977 */ // Label 30509: @2262977
     /* 2262977 */ GIM_Reject,
     /* 2262978 */ // Label 30421: @2262978
     /* 2262978 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2263185),
     /* 2262983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263008 */   GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2263052), // Rule ID 52198 //
     /* 2263013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263016 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263042 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263051 */     // GIR_Coverage, 52198,
     /* 2263051 */     GIR_EraseRootFromParent_Done,
     /* 2263052 */   // Label 30513: @2263052
     /* 2263052 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2263096), // Rule ID 52199 //
     /* 2263057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263060 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263086 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263095 */     // GIR_Coverage, 52199,
     /* 2263095 */     GIR_EraseRootFromParent_Done,
     /* 2263096 */   // Label 30514: @2263096
     /* 2263096 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2263140), // Rule ID 58024 //
     /* 2263101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263104 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263130 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263139 */     // GIR_Coverage, 58024,
     /* 2263139 */     GIR_EraseRootFromParent_Done,
     /* 2263140 */   // Label 30515: @2263140
     /* 2263140 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2263184), // Rule ID 58025 //
     /* 2263145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263148 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2263151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263174 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263183 */     // GIR_Coverage, 58025,
     /* 2263183 */     GIR_EraseRootFromParent_Done,
     /* 2263184 */   // Label 30516: @2263184
     /* 2263184 */   GIM_Reject,
     /* 2263185 */ // Label 30512: @2263185
     /* 2263185 */ GIM_Reject,
     /* 2263186 */ // Label 30422: @2263186
     /* 2263186 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2263393),
     /* 2263191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2263194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263216 */   GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2263260), // Rule ID 52222 //
     /* 2263221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263224 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263250 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263259 */     // GIR_Coverage, 52222,
     /* 2263259 */     GIR_EraseRootFromParent_Done,
     /* 2263260 */   // Label 30518: @2263260
     /* 2263260 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2263304), // Rule ID 52223 //
     /* 2263265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263268 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263294 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263303 */     // GIR_Coverage, 52223,
     /* 2263303 */     GIR_EraseRootFromParent_Done,
     /* 2263304 */   // Label 30519: @2263304
     /* 2263304 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2263348), // Rule ID 58064 //
     /* 2263309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263312 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263338 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263347 */     // GIR_Coverage, 58064,
     /* 2263347 */     GIR_EraseRootFromParent_Done,
     /* 2263348 */   // Label 30520: @2263348
     /* 2263348 */   GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2263392), // Rule ID 58065 //
     /* 2263353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263356 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2263359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263382 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263391 */     // GIR_Coverage, 58065,
     /* 2263391 */     GIR_EraseRootFromParent_Done,
     /* 2263392 */   // Label 30521: @2263392
     /* 2263392 */   GIM_Reject,
     /* 2263393 */ // Label 30517: @2263393
     /* 2263393 */ GIM_Reject,
     /* 2263394 */ // Label 30423: @2263394
     /* 2263394 */ GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2263513),
     /* 2263399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2263405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2263408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2263412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263424 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2263468), // Rule ID 52180 //
     /* 2263429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263432 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263458 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263467 */     // GIR_Coverage, 52180,
     /* 2263467 */     GIR_EraseRootFromParent_Done,
     /* 2263468 */   // Label 30523: @2263468
     /* 2263468 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2263512), // Rule ID 52181 //
     /* 2263473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263476 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263502 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263511 */     // GIR_Coverage, 52181,
     /* 2263511 */     GIR_EraseRootFromParent_Done,
     /* 2263512 */   // Label 30524: @2263512
     /* 2263512 */   GIM_Reject,
     /* 2263513 */ // Label 30522: @2263513
     /* 2263513 */ GIM_Reject,
     /* 2263514 */ // Label 30424: @2263514
     /* 2263514 */ GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2263721),
     /* 2263519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263544 */   GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2263588), // Rule ID 52204 //
     /* 2263549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263552 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263578 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263587 */     // GIR_Coverage, 52204,
     /* 2263587 */     GIR_EraseRootFromParent_Done,
     /* 2263588 */   // Label 30526: @2263588
     /* 2263588 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2263632), // Rule ID 52205 //
     /* 2263593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263596 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263622 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263631 */     // GIR_Coverage, 52205,
     /* 2263631 */     GIR_EraseRootFromParent_Done,
     /* 2263632 */   // Label 30527: @2263632
     /* 2263632 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2263676), // Rule ID 58034 //
     /* 2263637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263640 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263666 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263675 */     // GIR_Coverage, 58034,
     /* 2263675 */     GIR_EraseRootFromParent_Done,
     /* 2263676 */   // Label 30528: @2263676
     /* 2263676 */   GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2263720), // Rule ID 58035 //
     /* 2263681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263684 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263710 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263719 */     // GIR_Coverage, 58035,
     /* 2263719 */     GIR_EraseRootFromParent_Done,
     /* 2263720 */   // Label 30529: @2263720
     /* 2263720 */   GIM_Reject,
     /* 2263721 */ // Label 30525: @2263721
     /* 2263721 */ GIM_Reject,
     /* 2263722 */ // Label 30425: @2263722
     /* 2263722 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2263841),
     /* 2263727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2263730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2263733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2263736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263752 */   GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2263796), // Rule ID 52186 //
     /* 2263757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263760 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263786 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263795 */     // GIR_Coverage, 52186,
     /* 2263795 */     GIR_EraseRootFromParent_Done,
     /* 2263796 */   // Label 30531: @2263796
     /* 2263796 */   GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2263840), // Rule ID 52187 //
     /* 2263801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263804 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263830 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263839 */     // GIR_Coverage, 52187,
     /* 2263839 */     GIR_EraseRootFromParent_Done,
     /* 2263840 */   // Label 30532: @2263840
     /* 2263840 */   GIM_Reject,
     /* 2263841 */ // Label 30530: @2263841
     /* 2263841 */ GIM_Reject,
     /* 2263842 */ // Label 30426: @2263842
     /* 2263842 */ GIM_Reject,
     /* 2263843 */ // Label 51: @2263843
     /* 2263843 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30557*/ GIMT_Encode4(2266576),
     /* 2263854 */ /*GILLT_s32*//*Label 30533*/ GIMT_Encode4(2263978),
     /* 2263858 */ /*GILLT_s64*//*Label 30534*/ GIMT_Encode4(2264012), GIMT_Encode4(0),
     /* 2263866 */ /*GILLT_nxv1s8*//*Label 30535*/ GIMT_Encode4(2264046),
     /* 2263870 */ /*GILLT_nxv1s16*//*Label 30536*/ GIMT_Encode4(2264161),
     /* 2263874 */ /*GILLT_nxv1s32*//*Label 30537*/ GIMT_Encode4(2264276),
     /* 2263878 */ /*GILLT_nxv1s64*//*Label 30538*/ GIMT_Encode4(2264391), GIMT_Encode4(0),
     /* 2263886 */ /*GILLT_nxv2s8*//*Label 30539*/ GIMT_Encode4(2264506),
     /* 2263890 */ /*GILLT_nxv2s16*//*Label 30540*/ GIMT_Encode4(2264621),
     /* 2263894 */ /*GILLT_nxv2s32*//*Label 30541*/ GIMT_Encode4(2264736),
     /* 2263898 */ /*GILLT_nxv2s64*//*Label 30542*/ GIMT_Encode4(2264851), GIMT_Encode4(0),
     /* 2263906 */ /*GILLT_nxv4s8*//*Label 30543*/ GIMT_Encode4(2264966),
     /* 2263910 */ /*GILLT_nxv4s16*//*Label 30544*/ GIMT_Encode4(2265081),
     /* 2263914 */ /*GILLT_nxv4s32*//*Label 30545*/ GIMT_Encode4(2265196),
     /* 2263918 */ /*GILLT_nxv4s64*//*Label 30546*/ GIMT_Encode4(2265311), GIMT_Encode4(0),
     /* 2263926 */ /*GILLT_nxv8s8*//*Label 30547*/ GIMT_Encode4(2265426),
     /* 2263930 */ /*GILLT_nxv8s16*//*Label 30548*/ GIMT_Encode4(2265541),
     /* 2263934 */ /*GILLT_nxv8s32*//*Label 30549*/ GIMT_Encode4(2265656),
     /* 2263938 */ /*GILLT_nxv8s64*//*Label 30550*/ GIMT_Encode4(2265771), GIMT_Encode4(0),
     /* 2263946 */ /*GILLT_nxv16s8*//*Label 30551*/ GIMT_Encode4(2265886),
     /* 2263950 */ /*GILLT_nxv16s16*//*Label 30552*/ GIMT_Encode4(2266001),
     /* 2263954 */ /*GILLT_nxv16s32*//*Label 30553*/ GIMT_Encode4(2266116), GIMT_Encode4(0),
     /* 2263962 */ /*GILLT_nxv32s8*//*Label 30554*/ GIMT_Encode4(2266231),
     /* 2263966 */ /*GILLT_nxv32s16*//*Label 30555*/ GIMT_Encode4(2266346), GIMT_Encode4(0),
     /* 2263974 */ /*GILLT_nxv64s8*//*Label 30556*/ GIMT_Encode4(2266461),
     /* 2263978 */ // Label 30533: @2263978
     /* 2263978 */ GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2264011), // Rule ID 294 //
     /* 2263983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2263986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2263989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2263992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264004 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2264004 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2264009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264010 */   // GIR_Coverage, 294,
     /* 2264010 */   GIR_Done,
     /* 2264011 */ // Label 30558: @2264011
     /* 2264011 */ GIM_Reject,
     /* 2264012 */ // Label 30534: @2264012
     /* 2264012 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2264045), // Rule ID 293 //
     /* 2264017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2264020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2264023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2264026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2264038 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2264038 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2264043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264044 */   // GIR_Coverage, 293,
     /* 2264044 */   GIR_Done,
     /* 2264045 */ // Label 30559: @2264045
     /* 2264045 */ GIM_Reject,
     /* 2264046 */ // Label 30535: @2264046
     /* 2264046 */ GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2264160),
     /* 2264051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2264054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2264057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264069 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2264114), // Rule ID 50890 //
     /* 2264074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264077 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2264094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264113 */     // GIR_Coverage, 50890,
     /* 2264113 */     GIR_EraseRootFromParent_Done,
     /* 2264114 */   // Label 30561: @2264114
     /* 2264114 */   GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2264159), // Rule ID 50891 //
     /* 2264119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264122 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2264139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264158 */     // GIR_Coverage, 50891,
     /* 2264158 */     GIR_EraseRootFromParent_Done,
     /* 2264159 */   // Label 30562: @2264159
     /* 2264159 */   GIM_Reject,
     /* 2264160 */ // Label 30560: @2264160
     /* 2264160 */ GIM_Reject,
     /* 2264161 */ // Label 30536: @2264161
     /* 2264161 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2264275),
     /* 2264166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2264169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2264172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264184 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2264229), // Rule ID 50902 //
     /* 2264189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264192 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264228 */     // GIR_Coverage, 50902,
     /* 2264228 */     GIR_EraseRootFromParent_Done,
     /* 2264229 */   // Label 30564: @2264229
     /* 2264229 */   GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2264274), // Rule ID 50903 //
     /* 2264234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264237 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264273 */     // GIR_Coverage, 50903,
     /* 2264273 */     GIR_EraseRootFromParent_Done,
     /* 2264274 */   // Label 30565: @2264274
     /* 2264274 */   GIM_Reject,
     /* 2264275 */ // Label 30563: @2264275
     /* 2264275 */ GIM_Reject,
     /* 2264276 */ // Label 30537: @2264276
     /* 2264276 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2264390),
     /* 2264281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2264284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2264287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264299 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2264344), // Rule ID 50910 //
     /* 2264304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264307 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264343 */     // GIR_Coverage, 50910,
     /* 2264343 */     GIR_EraseRootFromParent_Done,
     /* 2264344 */   // Label 30567: @2264344
     /* 2264344 */   GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2264389), // Rule ID 50911 //
     /* 2264349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264352 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264388 */     // GIR_Coverage, 50911,
     /* 2264388 */     GIR_EraseRootFromParent_Done,
     /* 2264389 */   // Label 30568: @2264389
     /* 2264389 */   GIM_Reject,
     /* 2264390 */ // Label 30566: @2264390
     /* 2264390 */ GIM_Reject,
     /* 2264391 */ // Label 30538: @2264391
     /* 2264391 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2264505),
     /* 2264396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2264399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2264402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264414 */   GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2264459), // Rule ID 50978 //
     /* 2264419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264422 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264458 */     // GIR_Coverage, 50978,
     /* 2264458 */     GIR_EraseRootFromParent_Done,
     /* 2264459 */   // Label 30570: @2264459
     /* 2264459 */   GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2264504), // Rule ID 50979 //
     /* 2264464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264467 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264503 */     // GIR_Coverage, 50979,
     /* 2264503 */     GIR_EraseRootFromParent_Done,
     /* 2264504 */   // Label 30571: @2264504
     /* 2264504 */   GIM_Reject,
     /* 2264505 */ // Label 30569: @2264505
     /* 2264505 */ GIM_Reject,
     /* 2264506 */ // Label 30539: @2264506
     /* 2264506 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2264620),
     /* 2264511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2264514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2264517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264529 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2264574), // Rule ID 50894 //
     /* 2264534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264537 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264573 */     // GIR_Coverage, 50894,
     /* 2264573 */     GIR_EraseRootFromParent_Done,
     /* 2264574 */   // Label 30573: @2264574
     /* 2264574 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2264619), // Rule ID 50895 //
     /* 2264579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264582 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264618 */     // GIR_Coverage, 50895,
     /* 2264618 */     GIR_EraseRootFromParent_Done,
     /* 2264619 */   // Label 30574: @2264619
     /* 2264619 */   GIM_Reject,
     /* 2264620 */ // Label 30572: @2264620
     /* 2264620 */ GIM_Reject,
     /* 2264621 */ // Label 30540: @2264621
     /* 2264621 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2264735),
     /* 2264626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2264629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264644 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2264689), // Rule ID 50906 //
     /* 2264649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264652 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264688 */     // GIR_Coverage, 50906,
     /* 2264688 */     GIR_EraseRootFromParent_Done,
     /* 2264689 */   // Label 30576: @2264689
     /* 2264689 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2264734), // Rule ID 50907 //
     /* 2264694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264697 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264733 */     // GIR_Coverage, 50907,
     /* 2264733 */     GIR_EraseRootFromParent_Done,
     /* 2264734 */   // Label 30577: @2264734
     /* 2264734 */   GIM_Reject,
     /* 2264735 */ // Label 30575: @2264735
     /* 2264735 */ GIM_Reject,
     /* 2264736 */ // Label 30541: @2264736
     /* 2264736 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2264850),
     /* 2264741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2264744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264759 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2264804), // Rule ID 50922 //
     /* 2264764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264767 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264803 */     // GIR_Coverage, 50922,
     /* 2264803 */     GIR_EraseRootFromParent_Done,
     /* 2264804 */   // Label 30579: @2264804
     /* 2264804 */   GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2264849), // Rule ID 50923 //
     /* 2264809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264812 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264848 */     // GIR_Coverage, 50923,
     /* 2264848 */     GIR_EraseRootFromParent_Done,
     /* 2264849 */   // Label 30580: @2264849
     /* 2264849 */   GIM_Reject,
     /* 2264850 */ // Label 30578: @2264850
     /* 2264850 */ GIM_Reject,
     /* 2264851 */ // Label 30542: @2264851
     /* 2264851 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2264965),
     /* 2264856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2264859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264874 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2264919), // Rule ID 50982 //
     /* 2264879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264882 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264918 */     // GIR_Coverage, 50982,
     /* 2264918 */     GIR_EraseRootFromParent_Done,
     /* 2264919 */   // Label 30582: @2264919
     /* 2264919 */   GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2264964), // Rule ID 50983 //
     /* 2264924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264927 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264963 */     // GIR_Coverage, 50983,
     /* 2264963 */     GIR_EraseRootFromParent_Done,
     /* 2264964 */   // Label 30583: @2264964
     /* 2264964 */   GIM_Reject,
     /* 2264965 */ // Label 30581: @2264965
     /* 2264965 */ GIM_Reject,
     /* 2264966 */ // Label 30543: @2264966
     /* 2264966 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2265080),
     /* 2264971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2264974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2264977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264989 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2265034), // Rule ID 50898 //
     /* 2264994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264997 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2265014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265033 */     // GIR_Coverage, 50898,
     /* 2265033 */     GIR_EraseRootFromParent_Done,
     /* 2265034 */   // Label 30585: @2265034
     /* 2265034 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2265079), // Rule ID 50899 //
     /* 2265039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265042 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2265059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265078 */     // GIR_Coverage, 50899,
     /* 2265078 */     GIR_EraseRootFromParent_Done,
     /* 2265079 */   // Label 30586: @2265079
     /* 2265079 */   GIM_Reject,
     /* 2265080 */ // Label 30584: @2265080
     /* 2265080 */ GIM_Reject,
     /* 2265081 */ // Label 30544: @2265081
     /* 2265081 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2265195),
     /* 2265086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2265089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265104 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2265149), // Rule ID 50918 //
     /* 2265109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265112 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265148 */     // GIR_Coverage, 50918,
     /* 2265148 */     GIR_EraseRootFromParent_Done,
     /* 2265149 */   // Label 30588: @2265149
     /* 2265149 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2265194), // Rule ID 50919 //
     /* 2265154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265157 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265193 */     // GIR_Coverage, 50919,
     /* 2265193 */     GIR_EraseRootFromParent_Done,
     /* 2265194 */   // Label 30589: @2265194
     /* 2265194 */   GIM_Reject,
     /* 2265195 */ // Label 30587: @2265195
     /* 2265195 */ GIM_Reject,
     /* 2265196 */ // Label 30545: @2265196
     /* 2265196 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2265310),
     /* 2265201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2265204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265219 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2265264), // Rule ID 50950 //
     /* 2265224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265227 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265263 */     // GIR_Coverage, 50950,
     /* 2265263 */     GIR_EraseRootFromParent_Done,
     /* 2265264 */   // Label 30591: @2265264
     /* 2265264 */   GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2265309), // Rule ID 50951 //
     /* 2265269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265272 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265308 */     // GIR_Coverage, 50951,
     /* 2265308 */     GIR_EraseRootFromParent_Done,
     /* 2265309 */   // Label 30592: @2265309
     /* 2265309 */   GIM_Reject,
     /* 2265310 */ // Label 30590: @2265310
     /* 2265310 */ GIM_Reject,
     /* 2265311 */ // Label 30546: @2265311
     /* 2265311 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2265425),
     /* 2265316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2265319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265334 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2265379), // Rule ID 50986 //
     /* 2265339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265342 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2265345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265378 */     // GIR_Coverage, 50986,
     /* 2265378 */     GIR_EraseRootFromParent_Done,
     /* 2265379 */   // Label 30594: @2265379
     /* 2265379 */   GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2265424), // Rule ID 50987 //
     /* 2265384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265387 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2265390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265423 */     // GIR_Coverage, 50987,
     /* 2265423 */     GIR_EraseRootFromParent_Done,
     /* 2265424 */   // Label 30595: @2265424
     /* 2265424 */   GIM_Reject,
     /* 2265425 */ // Label 30593: @2265425
     /* 2265425 */ GIM_Reject,
     /* 2265426 */ // Label 30547: @2265426
     /* 2265426 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2265540),
     /* 2265431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2265434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2265437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265449 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2265494), // Rule ID 50914 //
     /* 2265454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265457 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265493 */     // GIR_Coverage, 50914,
     /* 2265493 */     GIR_EraseRootFromParent_Done,
     /* 2265494 */   // Label 30597: @2265494
     /* 2265494 */   GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2265539), // Rule ID 50915 //
     /* 2265499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265502 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265538 */     // GIR_Coverage, 50915,
     /* 2265538 */     GIR_EraseRootFromParent_Done,
     /* 2265539 */   // Label 30598: @2265539
     /* 2265539 */   GIM_Reject,
     /* 2265540 */ // Label 30596: @2265540
     /* 2265540 */ GIM_Reject,
     /* 2265541 */ // Label 30548: @2265541
     /* 2265541 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2265655),
     /* 2265546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2265549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2265552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265564 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2265609), // Rule ID 50938 //
     /* 2265569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265572 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265608 */     // GIR_Coverage, 50938,
     /* 2265608 */     GIR_EraseRootFromParent_Done,
     /* 2265609 */   // Label 30600: @2265609
     /* 2265609 */   GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2265654), // Rule ID 50939 //
     /* 2265614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265617 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265653 */     // GIR_Coverage, 50939,
     /* 2265653 */     GIR_EraseRootFromParent_Done,
     /* 2265654 */   // Label 30601: @2265654
     /* 2265654 */   GIM_Reject,
     /* 2265655 */ // Label 30599: @2265655
     /* 2265655 */ GIM_Reject,
     /* 2265656 */ // Label 30549: @2265656
     /* 2265656 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2265770),
     /* 2265661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2265664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265679 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2265724), // Rule ID 50954 //
     /* 2265684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265687 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265723 */     // GIR_Coverage, 50954,
     /* 2265723 */     GIR_EraseRootFromParent_Done,
     /* 2265724 */   // Label 30603: @2265724
     /* 2265724 */   GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2265769), // Rule ID 50955 //
     /* 2265729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265732 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265768 */     // GIR_Coverage, 50955,
     /* 2265768 */     GIR_EraseRootFromParent_Done,
     /* 2265769 */   // Label 30604: @2265769
     /* 2265769 */   GIM_Reject,
     /* 2265770 */ // Label 30602: @2265770
     /* 2265770 */ GIM_Reject,
     /* 2265771 */ // Label 30550: @2265771
     /* 2265771 */ GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2265885),
     /* 2265776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2265779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265794 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2265839), // Rule ID 50990 //
     /* 2265799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265802 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265838 */     // GIR_Coverage, 50990,
     /* 2265838 */     GIR_EraseRootFromParent_Done,
     /* 2265839 */   // Label 30606: @2265839
     /* 2265839 */   GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2265884), // Rule ID 50991 //
     /* 2265844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265847 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265883 */     // GIR_Coverage, 50991,
     /* 2265883 */     GIR_EraseRootFromParent_Done,
     /* 2265884 */   // Label 30607: @2265884
     /* 2265884 */   GIM_Reject,
     /* 2265885 */ // Label 30605: @2265885
     /* 2265885 */ GIM_Reject,
     /* 2265886 */ // Label 30551: @2265886
     /* 2265886 */ GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2266000),
     /* 2265891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2265894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265909 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2265954), // Rule ID 50926 //
     /* 2265914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265917 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265953 */     // GIR_Coverage, 50926,
     /* 2265953 */     GIR_EraseRootFromParent_Done,
     /* 2265954 */   // Label 30609: @2265954
     /* 2265954 */   GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2265999), // Rule ID 50927 //
     /* 2265959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265962 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265998 */     // GIR_Coverage, 50927,
     /* 2265998 */     GIR_EraseRootFromParent_Done,
     /* 2265999 */   // Label 30610: @2265999
     /* 2265999 */   GIM_Reject,
     /* 2266000 */ // Label 30608: @2266000
     /* 2266000 */ GIM_Reject,
     /* 2266001 */ // Label 30552: @2266001
     /* 2266001 */ GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2266115),
     /* 2266006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2266009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266024 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2266069), // Rule ID 50942 //
     /* 2266029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266032 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2266035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266068 */     // GIR_Coverage, 50942,
     /* 2266068 */     GIR_EraseRootFromParent_Done,
     /* 2266069 */   // Label 30612: @2266069
     /* 2266069 */   GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2266114), // Rule ID 50943 //
     /* 2266074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266077 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2266080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266113 */     // GIR_Coverage, 50943,
     /* 2266113 */     GIR_EraseRootFromParent_Done,
     /* 2266114 */   // Label 30613: @2266114
     /* 2266114 */   GIM_Reject,
     /* 2266115 */ // Label 30611: @2266115
     /* 2266115 */ GIM_Reject,
     /* 2266116 */ // Label 30553: @2266116
     /* 2266116 */ GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2266230),
     /* 2266121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2266124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266139 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2266184), // Rule ID 50958 //
     /* 2266144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266147 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2266150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266183 */     // GIR_Coverage, 50958,
     /* 2266183 */     GIR_EraseRootFromParent_Done,
     /* 2266184 */   // Label 30615: @2266184
     /* 2266184 */   GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2266229), // Rule ID 50959 //
     /* 2266189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266192 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2266195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266228 */     // GIR_Coverage, 50959,
     /* 2266228 */     GIR_EraseRootFromParent_Done,
     /* 2266229 */   // Label 30616: @2266229
     /* 2266229 */   GIM_Reject,
     /* 2266230 */ // Label 30614: @2266230
     /* 2266230 */ GIM_Reject,
     /* 2266231 */ // Label 30554: @2266231
     /* 2266231 */ GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2266345),
     /* 2266236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2266239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2266242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266254 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2266299), // Rule ID 50930 //
     /* 2266259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266262 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2266265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266298 */     // GIR_Coverage, 50930,
     /* 2266298 */     GIR_EraseRootFromParent_Done,
     /* 2266299 */   // Label 30618: @2266299
     /* 2266299 */   GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2266344), // Rule ID 50931 //
     /* 2266304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266307 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2266310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2266324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266343 */     // GIR_Coverage, 50931,
     /* 2266343 */     GIR_EraseRootFromParent_Done,
     /* 2266344 */   // Label 30619: @2266344
     /* 2266344 */   GIM_Reject,
     /* 2266345 */ // Label 30617: @2266345
     /* 2266345 */ GIM_Reject,
     /* 2266346 */ // Label 30555: @2266346
     /* 2266346 */ GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2266460),
     /* 2266351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2266354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2266357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266369 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2266414), // Rule ID 50946 //
     /* 2266374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266377 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266413 */     // GIR_Coverage, 50946,
     /* 2266413 */     GIR_EraseRootFromParent_Done,
     /* 2266414 */   // Label 30621: @2266414
     /* 2266414 */   GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2266459), // Rule ID 50947 //
     /* 2266419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266422 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2266425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266458 */     // GIR_Coverage, 50947,
     /* 2266458 */     GIR_EraseRootFromParent_Done,
     /* 2266459 */   // Label 30622: @2266459
     /* 2266459 */   GIM_Reject,
     /* 2266460 */ // Label 30620: @2266460
     /* 2266460 */ GIM_Reject,
     /* 2266461 */ // Label 30556: @2266461
     /* 2266461 */ GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2266575),
     /* 2266466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2266469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2266472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266484 */   GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2266529), // Rule ID 50934 //
     /* 2266489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266492 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266528 */     // GIR_Coverage, 50934,
     /* 2266528 */     GIR_EraseRootFromParent_Done,
     /* 2266529 */   // Label 30624: @2266529
     /* 2266529 */   GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2266574), // Rule ID 50935 //
     /* 2266534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266537 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266573 */     // GIR_Coverage, 50935,
     /* 2266573 */     GIR_EraseRootFromParent_Done,
     /* 2266574 */   // Label 30625: @2266574
     /* 2266574 */   GIM_Reject,
     /* 2266575 */ // Label 30623: @2266575
     /* 2266575 */ GIM_Reject,
     /* 2266576 */ // Label 30557: @2266576
     /* 2266576 */ GIM_Reject,
     /* 2266577 */ // Label 52: @2266577
     /* 2266577 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30650*/ GIMT_Encode4(2269310),
     /* 2266588 */ /*GILLT_s32*//*Label 30626*/ GIMT_Encode4(2266712),
     /* 2266592 */ /*GILLT_s64*//*Label 30627*/ GIMT_Encode4(2266746), GIMT_Encode4(0),
     /* 2266600 */ /*GILLT_nxv1s8*//*Label 30628*/ GIMT_Encode4(2266780),
     /* 2266604 */ /*GILLT_nxv1s16*//*Label 30629*/ GIMT_Encode4(2266895),
     /* 2266608 */ /*GILLT_nxv1s32*//*Label 30630*/ GIMT_Encode4(2267010),
     /* 2266612 */ /*GILLT_nxv1s64*//*Label 30631*/ GIMT_Encode4(2267125), GIMT_Encode4(0),
     /* 2266620 */ /*GILLT_nxv2s8*//*Label 30632*/ GIMT_Encode4(2267240),
     /* 2266624 */ /*GILLT_nxv2s16*//*Label 30633*/ GIMT_Encode4(2267355),
     /* 2266628 */ /*GILLT_nxv2s32*//*Label 30634*/ GIMT_Encode4(2267470),
     /* 2266632 */ /*GILLT_nxv2s64*//*Label 30635*/ GIMT_Encode4(2267585), GIMT_Encode4(0),
     /* 2266640 */ /*GILLT_nxv4s8*//*Label 30636*/ GIMT_Encode4(2267700),
     /* 2266644 */ /*GILLT_nxv4s16*//*Label 30637*/ GIMT_Encode4(2267815),
     /* 2266648 */ /*GILLT_nxv4s32*//*Label 30638*/ GIMT_Encode4(2267930),
     /* 2266652 */ /*GILLT_nxv4s64*//*Label 30639*/ GIMT_Encode4(2268045), GIMT_Encode4(0),
     /* 2266660 */ /*GILLT_nxv8s8*//*Label 30640*/ GIMT_Encode4(2268160),
     /* 2266664 */ /*GILLT_nxv8s16*//*Label 30641*/ GIMT_Encode4(2268275),
     /* 2266668 */ /*GILLT_nxv8s32*//*Label 30642*/ GIMT_Encode4(2268390),
     /* 2266672 */ /*GILLT_nxv8s64*//*Label 30643*/ GIMT_Encode4(2268505), GIMT_Encode4(0),
     /* 2266680 */ /*GILLT_nxv16s8*//*Label 30644*/ GIMT_Encode4(2268620),
     /* 2266684 */ /*GILLT_nxv16s16*//*Label 30645*/ GIMT_Encode4(2268735),
     /* 2266688 */ /*GILLT_nxv16s32*//*Label 30646*/ GIMT_Encode4(2268850), GIMT_Encode4(0),
     /* 2266696 */ /*GILLT_nxv32s8*//*Label 30647*/ GIMT_Encode4(2268965),
     /* 2266700 */ /*GILLT_nxv32s16*//*Label 30648*/ GIMT_Encode4(2269080), GIMT_Encode4(0),
     /* 2266708 */ /*GILLT_nxv64s8*//*Label 30649*/ GIMT_Encode4(2269195),
     /* 2266712 */ // Label 30626: @2266712
     /* 2266712 */ GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2266745), // Rule ID 292 //
     /* 2266717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2266720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2266723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266738 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2266738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266744 */   // GIR_Coverage, 292,
     /* 2266744 */   GIR_Done,
     /* 2266745 */ // Label 30651: @2266745
     /* 2266745 */ GIM_Reject,
     /* 2266746 */ // Label 30627: @2266746
     /* 2266746 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2266779), // Rule ID 291 //
     /* 2266751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2266754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2266757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266772 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2266772 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266778 */   // GIR_Coverage, 291,
     /* 2266778 */   GIR_Done,
     /* 2266779 */ // Label 30652: @2266779
     /* 2266779 */ GIM_Reject,
     /* 2266780 */ // Label 30628: @2266780
     /* 2266780 */ GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2266894),
     /* 2266785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2266788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2266791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266803 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2266848), // Rule ID 50818 //
     /* 2266808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266811 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266847 */     // GIR_Coverage, 50818,
     /* 2266847 */     GIR_EraseRootFromParent_Done,
     /* 2266848 */   // Label 30654: @2266848
     /* 2266848 */   GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2266893), // Rule ID 50819 //
     /* 2266853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266856 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266892 */     // GIR_Coverage, 50819,
     /* 2266892 */     GIR_EraseRootFromParent_Done,
     /* 2266893 */   // Label 30655: @2266893
     /* 2266893 */   GIM_Reject,
     /* 2266894 */ // Label 30653: @2266894
     /* 2266894 */ GIM_Reject,
     /* 2266895 */ // Label 30629: @2266895
     /* 2266895 */ GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2267009),
     /* 2266900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2266903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266918 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2266963), // Rule ID 50830 //
     /* 2266923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266926 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266962 */     // GIR_Coverage, 50830,
     /* 2266962 */     GIR_EraseRootFromParent_Done,
     /* 2266963 */   // Label 30657: @2266963
     /* 2266963 */   GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2267008), // Rule ID 50831 //
     /* 2266968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266971 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267007 */     // GIR_Coverage, 50831,
     /* 2267007 */     GIR_EraseRootFromParent_Done,
     /* 2267008 */   // Label 30658: @2267008
     /* 2267008 */   GIM_Reject,
     /* 2267009 */ // Label 30656: @2267009
     /* 2267009 */ GIM_Reject,
     /* 2267010 */ // Label 30630: @2267010
     /* 2267010 */ GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2267124),
     /* 2267015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2267018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2267021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267033 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2267078), // Rule ID 50838 //
     /* 2267038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267041 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2267044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267077 */     // GIR_Coverage, 50838,
     /* 2267077 */     GIR_EraseRootFromParent_Done,
     /* 2267078 */   // Label 30660: @2267078
     /* 2267078 */   GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2267123), // Rule ID 50839 //
     /* 2267083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267086 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2267089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267122 */     // GIR_Coverage, 50839,
     /* 2267122 */     GIR_EraseRootFromParent_Done,
     /* 2267123 */   // Label 30661: @2267123
     /* 2267123 */   GIM_Reject,
     /* 2267124 */ // Label 30659: @2267124
     /* 2267124 */ GIM_Reject,
     /* 2267125 */ // Label 30631: @2267125
     /* 2267125 */ GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2267239),
     /* 2267130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2267133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2267136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267148 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2267193), // Rule ID 50962 //
     /* 2267153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267156 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2267159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267192 */     // GIR_Coverage, 50962,
     /* 2267192 */     GIR_EraseRootFromParent_Done,
     /* 2267193 */   // Label 30663: @2267193
     /* 2267193 */   GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2267238), // Rule ID 50963 //
     /* 2267198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267201 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2267204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267237 */     // GIR_Coverage, 50963,
     /* 2267237 */     GIR_EraseRootFromParent_Done,
     /* 2267238 */   // Label 30664: @2267238
     /* 2267238 */   GIM_Reject,
     /* 2267239 */ // Label 30662: @2267239
     /* 2267239 */ GIM_Reject,
     /* 2267240 */ // Label 30632: @2267240
     /* 2267240 */ GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2267354),
     /* 2267245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2267248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2267251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267263 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2267308), // Rule ID 50822 //
     /* 2267268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267271 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2267274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2267288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267307 */     // GIR_Coverage, 50822,
     /* 2267307 */     GIR_EraseRootFromParent_Done,
     /* 2267308 */   // Label 30666: @2267308
     /* 2267308 */   GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2267353), // Rule ID 50823 //
     /* 2267313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267316 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2267319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2267333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267352 */     // GIR_Coverage, 50823,
     /* 2267352 */     GIR_EraseRootFromParent_Done,
     /* 2267353 */   // Label 30667: @2267353
     /* 2267353 */   GIM_Reject,
     /* 2267354 */ // Label 30665: @2267354
     /* 2267354 */ GIM_Reject,
     /* 2267355 */ // Label 30633: @2267355
     /* 2267355 */ GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2267469),
     /* 2267360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2267363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2267366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267378 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2267423), // Rule ID 50834 //
     /* 2267383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267386 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267422 */     // GIR_Coverage, 50834,
     /* 2267422 */     GIR_EraseRootFromParent_Done,
     /* 2267423 */   // Label 30669: @2267423
     /* 2267423 */   GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2267468), // Rule ID 50835 //
     /* 2267428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267431 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267467 */     // GIR_Coverage, 50835,
     /* 2267467 */     GIR_EraseRootFromParent_Done,
     /* 2267468 */   // Label 30670: @2267468
     /* 2267468 */   GIM_Reject,
     /* 2267469 */ // Label 30668: @2267469
     /* 2267469 */ GIM_Reject,
     /* 2267470 */ // Label 30634: @2267470
     /* 2267470 */ GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2267584),
     /* 2267475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2267478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2267481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267493 */   GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2267538), // Rule ID 50850 //
     /* 2267498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267501 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267537 */     // GIR_Coverage, 50850,
     /* 2267537 */     GIR_EraseRootFromParent_Done,
     /* 2267538 */   // Label 30672: @2267538
     /* 2267538 */   GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2267583), // Rule ID 50851 //
     /* 2267543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267546 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267582 */     // GIR_Coverage, 50851,
     /* 2267582 */     GIR_EraseRootFromParent_Done,
     /* 2267583 */   // Label 30673: @2267583
     /* 2267583 */   GIM_Reject,
     /* 2267584 */ // Label 30671: @2267584
     /* 2267584 */ GIM_Reject,
     /* 2267585 */ // Label 30635: @2267585
     /* 2267585 */ GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2267699),
     /* 2267590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2267593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2267596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267608 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2267653), // Rule ID 50966 //
     /* 2267613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267616 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267652 */     // GIR_Coverage, 50966,
     /* 2267652 */     GIR_EraseRootFromParent_Done,
     /* 2267653 */   // Label 30675: @2267653
     /* 2267653 */   GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2267698), // Rule ID 50967 //
     /* 2267658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267661 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267697 */     // GIR_Coverage, 50967,
     /* 2267697 */     GIR_EraseRootFromParent_Done,
     /* 2267698 */   // Label 30676: @2267698
     /* 2267698 */   GIM_Reject,
     /* 2267699 */ // Label 30674: @2267699
     /* 2267699 */ GIM_Reject,
     /* 2267700 */ // Label 30636: @2267700
     /* 2267700 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2267814),
     /* 2267705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2267708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2267711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267723 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2267768), // Rule ID 50826 //
     /* 2267728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267731 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267767 */     // GIR_Coverage, 50826,
     /* 2267767 */     GIR_EraseRootFromParent_Done,
     /* 2267768 */   // Label 30678: @2267768
     /* 2267768 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2267813), // Rule ID 50827 //
     /* 2267773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267776 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267812 */     // GIR_Coverage, 50827,
     /* 2267812 */     GIR_EraseRootFromParent_Done,
     /* 2267813 */   // Label 30679: @2267813
     /* 2267813 */   GIM_Reject,
     /* 2267814 */ // Label 30677: @2267814
     /* 2267814 */ GIM_Reject,
     /* 2267815 */ // Label 30637: @2267815
     /* 2267815 */ GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2267929),
     /* 2267820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2267823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2267826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267838 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2267883), // Rule ID 50846 //
     /* 2267843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267846 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267882 */     // GIR_Coverage, 50846,
     /* 2267882 */     GIR_EraseRootFromParent_Done,
     /* 2267883 */   // Label 30681: @2267883
     /* 2267883 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2267928), // Rule ID 50847 //
     /* 2267888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267891 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267927 */     // GIR_Coverage, 50847,
     /* 2267927 */     GIR_EraseRootFromParent_Done,
     /* 2267928 */   // Label 30682: @2267928
     /* 2267928 */   GIM_Reject,
     /* 2267929 */ // Label 30680: @2267929
     /* 2267929 */ GIM_Reject,
     /* 2267930 */ // Label 30638: @2267930
     /* 2267930 */ GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2268044),
     /* 2267935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2267938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2267941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267953 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2267998), // Rule ID 50878 //
     /* 2267958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267961 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267997 */     // GIR_Coverage, 50878,
     /* 2267997 */     GIR_EraseRootFromParent_Done,
     /* 2267998 */   // Label 30684: @2267998
     /* 2267998 */   GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2268043), // Rule ID 50879 //
     /* 2268003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268006 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2268009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268042 */     // GIR_Coverage, 50879,
     /* 2268042 */     GIR_EraseRootFromParent_Done,
     /* 2268043 */   // Label 30685: @2268043
     /* 2268043 */   GIM_Reject,
     /* 2268044 */ // Label 30683: @2268044
     /* 2268044 */ GIM_Reject,
     /* 2268045 */ // Label 30639: @2268045
     /* 2268045 */ GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2268159),
     /* 2268050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2268053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2268056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268068 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2268113), // Rule ID 50970 //
     /* 2268073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268076 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2268079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268112 */     // GIR_Coverage, 50970,
     /* 2268112 */     GIR_EraseRootFromParent_Done,
     /* 2268113 */   // Label 30687: @2268113
     /* 2268113 */   GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2268158), // Rule ID 50971 //
     /* 2268118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268121 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2268124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268157 */     // GIR_Coverage, 50971,
     /* 2268157 */     GIR_EraseRootFromParent_Done,
     /* 2268158 */   // Label 30688: @2268158
     /* 2268158 */   GIM_Reject,
     /* 2268159 */ // Label 30686: @2268159
     /* 2268159 */ GIM_Reject,
     /* 2268160 */ // Label 30640: @2268160
     /* 2268160 */ GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2268274),
     /* 2268165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2268168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2268171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268183 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2268228), // Rule ID 50842 //
     /* 2268188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268191 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2268194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2268208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268227 */     // GIR_Coverage, 50842,
     /* 2268227 */     GIR_EraseRootFromParent_Done,
     /* 2268228 */   // Label 30690: @2268228
     /* 2268228 */   GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2268273), // Rule ID 50843 //
     /* 2268233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268236 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2268239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2268253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268272 */     // GIR_Coverage, 50843,
     /* 2268272 */     GIR_EraseRootFromParent_Done,
     /* 2268273 */   // Label 30691: @2268273
     /* 2268273 */   GIM_Reject,
     /* 2268274 */ // Label 30689: @2268274
     /* 2268274 */ GIM_Reject,
     /* 2268275 */ // Label 30641: @2268275
     /* 2268275 */ GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2268389),
     /* 2268280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2268283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2268286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268298 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2268343), // Rule ID 50866 //
     /* 2268303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268306 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2268309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268342 */     // GIR_Coverage, 50866,
     /* 2268342 */     GIR_EraseRootFromParent_Done,
     /* 2268343 */   // Label 30693: @2268343
     /* 2268343 */   GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2268388), // Rule ID 50867 //
     /* 2268348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268351 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2268354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268387 */     // GIR_Coverage, 50867,
     /* 2268387 */     GIR_EraseRootFromParent_Done,
     /* 2268388 */   // Label 30694: @2268388
     /* 2268388 */   GIM_Reject,
     /* 2268389 */ // Label 30692: @2268389
     /* 2268389 */ GIM_Reject,
     /* 2268390 */ // Label 30642: @2268390
     /* 2268390 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2268504),
     /* 2268395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2268398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2268401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268413 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2268458), // Rule ID 50882 //
     /* 2268418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268421 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268457 */     // GIR_Coverage, 50882,
     /* 2268457 */     GIR_EraseRootFromParent_Done,
     /* 2268458 */   // Label 30696: @2268458
     /* 2268458 */   GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2268503), // Rule ID 50883 //
     /* 2268463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268466 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268502 */     // GIR_Coverage, 50883,
     /* 2268502 */     GIR_EraseRootFromParent_Done,
     /* 2268503 */   // Label 30697: @2268503
     /* 2268503 */   GIM_Reject,
     /* 2268504 */ // Label 30695: @2268504
     /* 2268504 */ GIM_Reject,
     /* 2268505 */ // Label 30643: @2268505
     /* 2268505 */ GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2268619),
     /* 2268510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2268513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2268516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268528 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2268573), // Rule ID 50974 //
     /* 2268533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268536 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268572 */     // GIR_Coverage, 50974,
     /* 2268572 */     GIR_EraseRootFromParent_Done,
     /* 2268573 */   // Label 30699: @2268573
     /* 2268573 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2268618), // Rule ID 50975 //
     /* 2268578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268581 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268617 */     // GIR_Coverage, 50975,
     /* 2268617 */     GIR_EraseRootFromParent_Done,
     /* 2268618 */   // Label 30700: @2268618
     /* 2268618 */   GIM_Reject,
     /* 2268619 */ // Label 30698: @2268619
     /* 2268619 */ GIM_Reject,
     /* 2268620 */ // Label 30644: @2268620
     /* 2268620 */ GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2268734),
     /* 2268625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2268628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2268631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268643 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2268688), // Rule ID 50854 //
     /* 2268648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268651 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268687 */     // GIR_Coverage, 50854,
     /* 2268687 */     GIR_EraseRootFromParent_Done,
     /* 2268688 */   // Label 30702: @2268688
     /* 2268688 */   GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2268733), // Rule ID 50855 //
     /* 2268693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268696 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268732 */     // GIR_Coverage, 50855,
     /* 2268732 */     GIR_EraseRootFromParent_Done,
     /* 2268733 */   // Label 30703: @2268733
     /* 2268733 */   GIM_Reject,
     /* 2268734 */ // Label 30701: @2268734
     /* 2268734 */ GIM_Reject,
     /* 2268735 */ // Label 30645: @2268735
     /* 2268735 */ GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2268849),
     /* 2268740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2268743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2268746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268758 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2268803), // Rule ID 50870 //
     /* 2268763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268766 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268802 */     // GIR_Coverage, 50870,
     /* 2268802 */     GIR_EraseRootFromParent_Done,
     /* 2268803 */   // Label 30705: @2268803
     /* 2268803 */   GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2268848), // Rule ID 50871 //
     /* 2268808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268811 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268847 */     // GIR_Coverage, 50871,
     /* 2268847 */     GIR_EraseRootFromParent_Done,
     /* 2268848 */   // Label 30706: @2268848
     /* 2268848 */   GIM_Reject,
     /* 2268849 */ // Label 30704: @2268849
     /* 2268849 */ GIM_Reject,
     /* 2268850 */ // Label 30646: @2268850
     /* 2268850 */ GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2268964),
     /* 2268855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2268858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268873 */   GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2268918), // Rule ID 50886 //
     /* 2268878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268881 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268917 */     // GIR_Coverage, 50886,
     /* 2268917 */     GIR_EraseRootFromParent_Done,
     /* 2268918 */   // Label 30708: @2268918
     /* 2268918 */   GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2268963), // Rule ID 50887 //
     /* 2268923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268926 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268962 */     // GIR_Coverage, 50887,
     /* 2268962 */     GIR_EraseRootFromParent_Done,
     /* 2268963 */   // Label 30709: @2268963
     /* 2268963 */   GIM_Reject,
     /* 2268964 */ // Label 30707: @2268964
     /* 2268964 */ GIM_Reject,
     /* 2268965 */ // Label 30647: @2268965
     /* 2268965 */ GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2269079),
     /* 2268970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2268973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268988 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2269033), // Rule ID 50858 //
     /* 2268993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268996 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2269013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269032 */     // GIR_Coverage, 50858,
     /* 2269032 */     GIR_EraseRootFromParent_Done,
     /* 2269033 */   // Label 30711: @2269033
     /* 2269033 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2269078), // Rule ID 50859 //
     /* 2269038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269041 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2269044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2269058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269077 */     // GIR_Coverage, 50859,
     /* 2269077 */     GIR_EraseRootFromParent_Done,
     /* 2269078 */   // Label 30712: @2269078
     /* 2269078 */   GIM_Reject,
     /* 2269079 */ // Label 30710: @2269079
     /* 2269079 */ GIM_Reject,
     /* 2269080 */ // Label 30648: @2269080
     /* 2269080 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2269194),
     /* 2269085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2269088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269103 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2269148), // Rule ID 50874 //
     /* 2269108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269111 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2269114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269147 */     // GIR_Coverage, 50874,
     /* 2269147 */     GIR_EraseRootFromParent_Done,
     /* 2269148 */   // Label 30714: @2269148
     /* 2269148 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2269193), // Rule ID 50875 //
     /* 2269153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269156 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2269159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269192 */     // GIR_Coverage, 50875,
     /* 2269192 */     GIR_EraseRootFromParent_Done,
     /* 2269193 */   // Label 30715: @2269193
     /* 2269193 */   GIM_Reject,
     /* 2269194 */ // Label 30713: @2269194
     /* 2269194 */ GIM_Reject,
     /* 2269195 */ // Label 30649: @2269195
     /* 2269195 */ GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2269309),
     /* 2269200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2269203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2269206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269218 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2269263), // Rule ID 50862 //
     /* 2269223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269226 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2269229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269262 */     // GIR_Coverage, 50862,
     /* 2269262 */     GIR_EraseRootFromParent_Done,
     /* 2269263 */   // Label 30717: @2269263
     /* 2269263 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2269308), // Rule ID 50863 //
     /* 2269268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269271 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2269274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2269288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269307 */     // GIR_Coverage, 50863,
     /* 2269307 */     GIR_EraseRootFromParent_Done,
     /* 2269308 */   // Label 30718: @2269308
     /* 2269308 */   GIM_Reject,
     /* 2269309 */ // Label 30716: @2269309
     /* 2269309 */ GIM_Reject,
     /* 2269310 */ // Label 30650: @2269310
     /* 2269310 */ GIM_Reject,
     /* 2269311 */ // Label 53: @2269311
     /* 2269311 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30742*/ GIMT_Encode4(2272163),
     /* 2269322 */ /*GILLT_s32*//*Label 30719*/ GIMT_Encode4(2269446), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2269334 */ /*GILLT_nxv1s8*//*Label 30720*/ GIMT_Encode4(2269501),
     /* 2269338 */ /*GILLT_nxv1s16*//*Label 30721*/ GIMT_Encode4(2269622),
     /* 2269342 */ /*GILLT_nxv1s32*//*Label 30722*/ GIMT_Encode4(2269743),
     /* 2269346 */ /*GILLT_nxv1s64*//*Label 30723*/ GIMT_Encode4(2269864), GIMT_Encode4(0),
     /* 2269354 */ /*GILLT_nxv2s8*//*Label 30724*/ GIMT_Encode4(2269985),
     /* 2269358 */ /*GILLT_nxv2s16*//*Label 30725*/ GIMT_Encode4(2270106),
     /* 2269362 */ /*GILLT_nxv2s32*//*Label 30726*/ GIMT_Encode4(2270227),
     /* 2269366 */ /*GILLT_nxv2s64*//*Label 30727*/ GIMT_Encode4(2270348), GIMT_Encode4(0),
     /* 2269374 */ /*GILLT_nxv4s8*//*Label 30728*/ GIMT_Encode4(2270469),
     /* 2269378 */ /*GILLT_nxv4s16*//*Label 30729*/ GIMT_Encode4(2270590),
     /* 2269382 */ /*GILLT_nxv4s32*//*Label 30730*/ GIMT_Encode4(2270711),
     /* 2269386 */ /*GILLT_nxv4s64*//*Label 30731*/ GIMT_Encode4(2270832), GIMT_Encode4(0),
     /* 2269394 */ /*GILLT_nxv8s8*//*Label 30732*/ GIMT_Encode4(2270953),
     /* 2269398 */ /*GILLT_nxv8s16*//*Label 30733*/ GIMT_Encode4(2271074),
     /* 2269402 */ /*GILLT_nxv8s32*//*Label 30734*/ GIMT_Encode4(2271195),
     /* 2269406 */ /*GILLT_nxv8s64*//*Label 30735*/ GIMT_Encode4(2271316), GIMT_Encode4(0),
     /* 2269414 */ /*GILLT_nxv16s8*//*Label 30736*/ GIMT_Encode4(2271437),
     /* 2269418 */ /*GILLT_nxv16s16*//*Label 30737*/ GIMT_Encode4(2271558),
     /* 2269422 */ /*GILLT_nxv16s32*//*Label 30738*/ GIMT_Encode4(2271679), GIMT_Encode4(0),
     /* 2269430 */ /*GILLT_nxv32s8*//*Label 30739*/ GIMT_Encode4(2271800),
     /* 2269434 */ /*GILLT_nxv32s16*//*Label 30740*/ GIMT_Encode4(2271921), GIMT_Encode4(0),
     /* 2269442 */ /*GILLT_nxv64s8*//*Label 30741*/ GIMT_Encode4(2272042),
     /* 2269446 */ // Label 30719: @2269446
     /* 2269446 */ GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2269500),
     /* 2269451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2269454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2269457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269469 */   GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2269484), // Rule ID 64489 //
     /* 2269474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2269477 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269483 */     // GIR_Coverage, 64489,
     /* 2269483 */     GIR_Done,
     /* 2269484 */   // Label 30744: @2269484
     /* 2269484 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2269499), // Rule ID 64490 //
     /* 2269489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2269492 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269498 */     // GIR_Coverage, 64490,
     /* 2269498 */     GIR_Done,
     /* 2269499 */   // Label 30745: @2269499
     /* 2269499 */   GIM_Reject,
     /* 2269500 */ // Label 30743: @2269500
     /* 2269500 */ GIM_Reject,
     /* 2269501 */ // Label 30720: @2269501
     /* 2269501 */ GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2269621),
     /* 2269506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2269509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2269512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269524 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2269572), // Rule ID 52378 //
     /* 2269529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269532 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269571 */     // GIR_Coverage, 52378,
     /* 2269571 */     GIR_EraseRootFromParent_Done,
     /* 2269572 */   // Label 30747: @2269572
     /* 2269572 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2269620), // Rule ID 52379 //
     /* 2269577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269580 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269619 */     // GIR_Coverage, 52379,
     /* 2269619 */     GIR_EraseRootFromParent_Done,
     /* 2269620 */   // Label 30748: @2269620
     /* 2269620 */   GIM_Reject,
     /* 2269621 */ // Label 30746: @2269621
     /* 2269621 */ GIM_Reject,
     /* 2269622 */ // Label 30721: @2269622
     /* 2269622 */ GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2269742),
     /* 2269627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2269630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269645 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2269693), // Rule ID 52390 //
     /* 2269650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269653 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269692 */     // GIR_Coverage, 52390,
     /* 2269692 */     GIR_EraseRootFromParent_Done,
     /* 2269693 */   // Label 30750: @2269693
     /* 2269693 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2269741), // Rule ID 52391 //
     /* 2269698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269701 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269740 */     // GIR_Coverage, 52391,
     /* 2269740 */     GIR_EraseRootFromParent_Done,
     /* 2269741 */   // Label 30751: @2269741
     /* 2269741 */   GIM_Reject,
     /* 2269742 */ // Label 30749: @2269742
     /* 2269742 */ GIM_Reject,
     /* 2269743 */ // Label 30722: @2269743
     /* 2269743 */ GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2269863),
     /* 2269748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2269751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269766 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2269814), // Rule ID 52398 //
     /* 2269771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269774 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269813 */     // GIR_Coverage, 52398,
     /* 2269813 */     GIR_EraseRootFromParent_Done,
     /* 2269814 */   // Label 30753: @2269814
     /* 2269814 */   GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2269862), // Rule ID 52399 //
     /* 2269819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269822 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269861 */     // GIR_Coverage, 52399,
     /* 2269861 */     GIR_EraseRootFromParent_Done,
     /* 2269862 */   // Label 30754: @2269862
     /* 2269862 */   GIM_Reject,
     /* 2269863 */ // Label 30752: @2269863
     /* 2269863 */ GIM_Reject,
     /* 2269864 */ // Label 30723: @2269864
     /* 2269864 */ GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2269984),
     /* 2269869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2269872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269887 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2269935), // Rule ID 52414 //
     /* 2269892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269895 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269934 */     // GIR_Coverage, 52414,
     /* 2269934 */     GIR_EraseRootFromParent_Done,
     /* 2269935 */   // Label 30756: @2269935
     /* 2269935 */   GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2269983), // Rule ID 52415 //
     /* 2269940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269943 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269982 */     // GIR_Coverage, 52415,
     /* 2269982 */     GIR_EraseRootFromParent_Done,
     /* 2269983 */   // Label 30757: @2269983
     /* 2269983 */   GIM_Reject,
     /* 2269984 */ // Label 30755: @2269984
     /* 2269984 */ GIM_Reject,
     /* 2269985 */ // Label 30724: @2269985
     /* 2269985 */ GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2270105),
     /* 2269990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2269993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2269996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270008 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2270056), // Rule ID 52382 //
     /* 2270013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270016 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2270019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2270033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270055 */     // GIR_Coverage, 52382,
     /* 2270055 */     GIR_EraseRootFromParent_Done,
     /* 2270056 */   // Label 30759: @2270056
     /* 2270056 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2270104), // Rule ID 52383 //
     /* 2270061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270064 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2270067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2270081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270103 */     // GIR_Coverage, 52383,
     /* 2270103 */     GIR_EraseRootFromParent_Done,
     /* 2270104 */   // Label 30760: @2270104
     /* 2270104 */   GIM_Reject,
     /* 2270105 */ // Label 30758: @2270105
     /* 2270105 */ GIM_Reject,
     /* 2270106 */ // Label 30725: @2270106
     /* 2270106 */ GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2270226),
     /* 2270111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2270114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270129 */   GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2270177), // Rule ID 52394 //
     /* 2270134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270137 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2270140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270176 */     // GIR_Coverage, 52394,
     /* 2270176 */     GIR_EraseRootFromParent_Done,
     /* 2270177 */   // Label 30762: @2270177
     /* 2270177 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2270225), // Rule ID 52395 //
     /* 2270182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270185 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2270188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270224 */     // GIR_Coverage, 52395,
     /* 2270224 */     GIR_EraseRootFromParent_Done,
     /* 2270225 */   // Label 30763: @2270225
     /* 2270225 */   GIM_Reject,
     /* 2270226 */ // Label 30761: @2270226
     /* 2270226 */ GIM_Reject,
     /* 2270227 */ // Label 30726: @2270227
     /* 2270227 */ GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2270347),
     /* 2270232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2270235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270250 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2270298), // Rule ID 52410 //
     /* 2270255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270258 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270297 */     // GIR_Coverage, 52410,
     /* 2270297 */     GIR_EraseRootFromParent_Done,
     /* 2270298 */   // Label 30765: @2270298
     /* 2270298 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2270346), // Rule ID 52411 //
     /* 2270303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270306 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2270309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270345 */     // GIR_Coverage, 52411,
     /* 2270345 */     GIR_EraseRootFromParent_Done,
     /* 2270346 */   // Label 30766: @2270346
     /* 2270346 */   GIM_Reject,
     /* 2270347 */ // Label 30764: @2270347
     /* 2270347 */ GIM_Reject,
     /* 2270348 */ // Label 30727: @2270348
     /* 2270348 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2270468),
     /* 2270353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2270356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270371 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2270419), // Rule ID 52454 //
     /* 2270376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270379 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270418 */     // GIR_Coverage, 52454,
     /* 2270418 */     GIR_EraseRootFromParent_Done,
     /* 2270419 */   // Label 30768: @2270419
     /* 2270419 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2270467), // Rule ID 52455 //
     /* 2270424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270427 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2270430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270466 */     // GIR_Coverage, 52455,
     /* 2270466 */     GIR_EraseRootFromParent_Done,
     /* 2270467 */   // Label 30769: @2270467
     /* 2270467 */   GIM_Reject,
     /* 2270468 */ // Label 30767: @2270468
     /* 2270468 */ GIM_Reject,
     /* 2270469 */ // Label 30728: @2270469
     /* 2270469 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2270589),
     /* 2270474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2270477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2270480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270492 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2270540), // Rule ID 52386 //
     /* 2270497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270500 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270539 */     // GIR_Coverage, 52386,
     /* 2270539 */     GIR_EraseRootFromParent_Done,
     /* 2270540 */   // Label 30771: @2270540
     /* 2270540 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2270588), // Rule ID 52387 //
     /* 2270545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270548 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270587 */     // GIR_Coverage, 52387,
     /* 2270587 */     GIR_EraseRootFromParent_Done,
     /* 2270588 */   // Label 30772: @2270588
     /* 2270588 */   GIM_Reject,
     /* 2270589 */ // Label 30770: @2270589
     /* 2270589 */ GIM_Reject,
     /* 2270590 */ // Label 30729: @2270590
     /* 2270590 */ GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2270710),
     /* 2270595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2270598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270613 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2270661), // Rule ID 52406 //
     /* 2270618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270621 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270660 */     // GIR_Coverage, 52406,
     /* 2270660 */     GIR_EraseRootFromParent_Done,
     /* 2270661 */   // Label 30774: @2270661
     /* 2270661 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2270709), // Rule ID 52407 //
     /* 2270666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270669 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270708 */     // GIR_Coverage, 52407,
     /* 2270708 */     GIR_EraseRootFromParent_Done,
     /* 2270709 */   // Label 30775: @2270709
     /* 2270709 */   GIM_Reject,
     /* 2270710 */ // Label 30773: @2270710
     /* 2270710 */ GIM_Reject,
     /* 2270711 */ // Label 30730: @2270711
     /* 2270711 */ GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2270831),
     /* 2270716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2270719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270734 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2270782), // Rule ID 52442 //
     /* 2270739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270742 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270781 */     // GIR_Coverage, 52442,
     /* 2270781 */     GIR_EraseRootFromParent_Done,
     /* 2270782 */   // Label 30777: @2270782
     /* 2270782 */   GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2270830), // Rule ID 52443 //
     /* 2270787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270790 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270829 */     // GIR_Coverage, 52443,
     /* 2270829 */     GIR_EraseRootFromParent_Done,
     /* 2270830 */   // Label 30778: @2270830
     /* 2270830 */   GIM_Reject,
     /* 2270831 */ // Label 30776: @2270831
     /* 2270831 */ GIM_Reject,
     /* 2270832 */ // Label 30731: @2270832
     /* 2270832 */ GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2270952),
     /* 2270837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2270840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270855 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2270903), // Rule ID 52458 //
     /* 2270860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270863 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270902 */     // GIR_Coverage, 52458,
     /* 2270902 */     GIR_EraseRootFromParent_Done,
     /* 2270903 */   // Label 30780: @2270903
     /* 2270903 */   GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2270951), // Rule ID 52459 //
     /* 2270908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270911 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270950 */     // GIR_Coverage, 52459,
     /* 2270950 */     GIR_EraseRootFromParent_Done,
     /* 2270951 */   // Label 30781: @2270951
     /* 2270951 */   GIM_Reject,
     /* 2270952 */ // Label 30779: @2270952
     /* 2270952 */ GIM_Reject,
     /* 2270953 */ // Label 30732: @2270953
     /* 2270953 */ GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2271073),
     /* 2270958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2270961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2270964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270976 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2271024), // Rule ID 52402 //
     /* 2270981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270984 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2271001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271023 */     // GIR_Coverage, 52402,
     /* 2271023 */     GIR_EraseRootFromParent_Done,
     /* 2271024 */   // Label 30783: @2271024
     /* 2271024 */   GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2271072), // Rule ID 52403 //
     /* 2271029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271032 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2271035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2271049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271071 */     // GIR_Coverage, 52403,
     /* 2271071 */     GIR_EraseRootFromParent_Done,
     /* 2271072 */   // Label 30784: @2271072
     /* 2271072 */   GIM_Reject,
     /* 2271073 */ // Label 30782: @2271073
     /* 2271073 */ GIM_Reject,
     /* 2271074 */ // Label 30733: @2271074
     /* 2271074 */ GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2271194),
     /* 2271079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2271082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2271085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271097 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2271145), // Rule ID 52430 //
     /* 2271102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271105 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271144 */     // GIR_Coverage, 52430,
     /* 2271144 */     GIR_EraseRootFromParent_Done,
     /* 2271145 */   // Label 30786: @2271145
     /* 2271145 */   GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2271193), // Rule ID 52431 //
     /* 2271150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271153 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2271156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271192 */     // GIR_Coverage, 52431,
     /* 2271192 */     GIR_EraseRootFromParent_Done,
     /* 2271193 */   // Label 30787: @2271193
     /* 2271193 */   GIM_Reject,
     /* 2271194 */ // Label 30785: @2271194
     /* 2271194 */ GIM_Reject,
     /* 2271195 */ // Label 30734: @2271195
     /* 2271195 */ GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2271315),
     /* 2271200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2271203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271218 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2271266), // Rule ID 52446 //
     /* 2271223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271226 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271265 */     // GIR_Coverage, 52446,
     /* 2271265 */     GIR_EraseRootFromParent_Done,
     /* 2271266 */   // Label 30789: @2271266
     /* 2271266 */   GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2271314), // Rule ID 52447 //
     /* 2271271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271274 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2271277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271313 */     // GIR_Coverage, 52447,
     /* 2271313 */     GIR_EraseRootFromParent_Done,
     /* 2271314 */   // Label 30790: @2271314
     /* 2271314 */   GIM_Reject,
     /* 2271315 */ // Label 30788: @2271315
     /* 2271315 */ GIM_Reject,
     /* 2271316 */ // Label 30735: @2271316
     /* 2271316 */ GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2271436),
     /* 2271321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2271324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2271327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271339 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2271387), // Rule ID 52462 //
     /* 2271344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271347 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271386 */     // GIR_Coverage, 52462,
     /* 2271386 */     GIR_EraseRootFromParent_Done,
     /* 2271387 */   // Label 30792: @2271387
     /* 2271387 */   GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2271435), // Rule ID 52463 //
     /* 2271392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271395 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2271398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271434 */     // GIR_Coverage, 52463,
     /* 2271434 */     GIR_EraseRootFromParent_Done,
     /* 2271435 */   // Label 30793: @2271435
     /* 2271435 */   GIM_Reject,
     /* 2271436 */ // Label 30791: @2271436
     /* 2271436 */ GIM_Reject,
     /* 2271437 */ // Label 30736: @2271437
     /* 2271437 */ GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2271557),
     /* 2271442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2271445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2271448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271460 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2271508), // Rule ID 52418 //
     /* 2271465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271468 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271507 */     // GIR_Coverage, 52418,
     /* 2271507 */     GIR_EraseRootFromParent_Done,
     /* 2271508 */   // Label 30795: @2271508
     /* 2271508 */   GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2271556), // Rule ID 52419 //
     /* 2271513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271516 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271555 */     // GIR_Coverage, 52419,
     /* 2271555 */     GIR_EraseRootFromParent_Done,
     /* 2271556 */   // Label 30796: @2271556
     /* 2271556 */   GIM_Reject,
     /* 2271557 */ // Label 30794: @2271557
     /* 2271557 */ GIM_Reject,
     /* 2271558 */ // Label 30737: @2271558
     /* 2271558 */ GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2271678),
     /* 2271563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2271566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2271569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271581 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2271629), // Rule ID 52434 //
     /* 2271586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271589 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271628 */     // GIR_Coverage, 52434,
     /* 2271628 */     GIR_EraseRootFromParent_Done,
     /* 2271629 */   // Label 30798: @2271629
     /* 2271629 */   GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2271677), // Rule ID 52435 //
     /* 2271634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271637 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271676 */     // GIR_Coverage, 52435,
     /* 2271676 */     GIR_EraseRootFromParent_Done,
     /* 2271677 */   // Label 30799: @2271677
     /* 2271677 */   GIM_Reject,
     /* 2271678 */ // Label 30797: @2271678
     /* 2271678 */ GIM_Reject,
     /* 2271679 */ // Label 30738: @2271679
     /* 2271679 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2271799),
     /* 2271684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2271687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271702 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2271750), // Rule ID 52450 //
     /* 2271707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271710 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271749 */     // GIR_Coverage, 52450,
     /* 2271749 */     GIR_EraseRootFromParent_Done,
     /* 2271750 */   // Label 30801: @2271750
     /* 2271750 */   GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2271798), // Rule ID 52451 //
     /* 2271755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271758 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271797 */     // GIR_Coverage, 52451,
     /* 2271797 */     GIR_EraseRootFromParent_Done,
     /* 2271798 */   // Label 30802: @2271798
     /* 2271798 */   GIM_Reject,
     /* 2271799 */ // Label 30800: @2271799
     /* 2271799 */ GIM_Reject,
     /* 2271800 */ // Label 30739: @2271800
     /* 2271800 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2271920),
     /* 2271805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2271808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2271811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271823 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2271871), // Rule ID 52422 //
     /* 2271828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271831 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271870 */     // GIR_Coverage, 52422,
     /* 2271870 */     GIR_EraseRootFromParent_Done,
     /* 2271871 */   // Label 30804: @2271871
     /* 2271871 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2271919), // Rule ID 52423 //
     /* 2271876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271879 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271918 */     // GIR_Coverage, 52423,
     /* 2271918 */     GIR_EraseRootFromParent_Done,
     /* 2271919 */   // Label 30805: @2271919
     /* 2271919 */   GIM_Reject,
     /* 2271920 */ // Label 30803: @2271920
     /* 2271920 */ GIM_Reject,
     /* 2271921 */ // Label 30740: @2271921
     /* 2271921 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2272041),
     /* 2271926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2271929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271944 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2271992), // Rule ID 52438 //
     /* 2271949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271952 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271991 */     // GIR_Coverage, 52438,
     /* 2271991 */     GIR_EraseRootFromParent_Done,
     /* 2271992 */   // Label 30807: @2271992
     /* 2271992 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2272040), // Rule ID 52439 //
     /* 2271997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272000 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272039 */     // GIR_Coverage, 52439,
     /* 2272039 */     GIR_EraseRootFromParent_Done,
     /* 2272040 */   // Label 30808: @2272040
     /* 2272040 */   GIM_Reject,
     /* 2272041 */ // Label 30806: @2272041
     /* 2272041 */ GIM_Reject,
     /* 2272042 */ // Label 30741: @2272042
     /* 2272042 */ GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2272162),
     /* 2272047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2272050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2272053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272065 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2272113), // Rule ID 52426 //
     /* 2272070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272073 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272112 */     // GIR_Coverage, 52426,
     /* 2272112 */     GIR_EraseRootFromParent_Done,
     /* 2272113 */   // Label 30810: @2272113
     /* 2272113 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2272161), // Rule ID 52427 //
     /* 2272118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272121 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2272124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2272138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272160 */     // GIR_Coverage, 52427,
     /* 2272160 */     GIR_EraseRootFromParent_Done,
     /* 2272161 */   // Label 30811: @2272161
     /* 2272161 */   GIM_Reject,
     /* 2272162 */ // Label 30809: @2272162
     /* 2272162 */ GIM_Reject,
     /* 2272163 */ // Label 30742: @2272163
     /* 2272163 */ GIM_Reject,
     /* 2272164 */ // Label 54: @2272164
     /* 2272164 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30835*/ GIMT_Encode4(2275016),
     /* 2272175 */ /*GILLT_s32*//*Label 30812*/ GIMT_Encode4(2272299), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272187 */ /*GILLT_nxv1s8*//*Label 30813*/ GIMT_Encode4(2272354),
     /* 2272191 */ /*GILLT_nxv1s16*//*Label 30814*/ GIMT_Encode4(2272475),
     /* 2272195 */ /*GILLT_nxv1s32*//*Label 30815*/ GIMT_Encode4(2272596),
     /* 2272199 */ /*GILLT_nxv1s64*//*Label 30816*/ GIMT_Encode4(2272717), GIMT_Encode4(0),
     /* 2272207 */ /*GILLT_nxv2s8*//*Label 30817*/ GIMT_Encode4(2272838),
     /* 2272211 */ /*GILLT_nxv2s16*//*Label 30818*/ GIMT_Encode4(2272959),
     /* 2272215 */ /*GILLT_nxv2s32*//*Label 30819*/ GIMT_Encode4(2273080),
     /* 2272219 */ /*GILLT_nxv2s64*//*Label 30820*/ GIMT_Encode4(2273201), GIMT_Encode4(0),
     /* 2272227 */ /*GILLT_nxv4s8*//*Label 30821*/ GIMT_Encode4(2273322),
     /* 2272231 */ /*GILLT_nxv4s16*//*Label 30822*/ GIMT_Encode4(2273443),
     /* 2272235 */ /*GILLT_nxv4s32*//*Label 30823*/ GIMT_Encode4(2273564),
     /* 2272239 */ /*GILLT_nxv4s64*//*Label 30824*/ GIMT_Encode4(2273685), GIMT_Encode4(0),
     /* 2272247 */ /*GILLT_nxv8s8*//*Label 30825*/ GIMT_Encode4(2273806),
     /* 2272251 */ /*GILLT_nxv8s16*//*Label 30826*/ GIMT_Encode4(2273927),
     /* 2272255 */ /*GILLT_nxv8s32*//*Label 30827*/ GIMT_Encode4(2274048),
     /* 2272259 */ /*GILLT_nxv8s64*//*Label 30828*/ GIMT_Encode4(2274169), GIMT_Encode4(0),
     /* 2272267 */ /*GILLT_nxv16s8*//*Label 30829*/ GIMT_Encode4(2274290),
     /* 2272271 */ /*GILLT_nxv16s16*//*Label 30830*/ GIMT_Encode4(2274411),
     /* 2272275 */ /*GILLT_nxv16s32*//*Label 30831*/ GIMT_Encode4(2274532), GIMT_Encode4(0),
     /* 2272283 */ /*GILLT_nxv32s8*//*Label 30832*/ GIMT_Encode4(2274653),
     /* 2272287 */ /*GILLT_nxv32s16*//*Label 30833*/ GIMT_Encode4(2274774), GIMT_Encode4(0),
     /* 2272295 */ /*GILLT_nxv64s8*//*Label 30834*/ GIMT_Encode4(2274895),
     /* 2272299 */ // Label 30812: @2272299
     /* 2272299 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2272353),
     /* 2272304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2272307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2272310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2272322 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2272337), // Rule ID 64487 //
     /* 2272327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2272330 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2272330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2272335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272336 */     // GIR_Coverage, 64487,
     /* 2272336 */     GIR_Done,
     /* 2272337 */   // Label 30837: @2272337
     /* 2272337 */   GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2272352), // Rule ID 64488 //
     /* 2272342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2272345 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2272345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2272350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272351 */     // GIR_Coverage, 64488,
     /* 2272351 */     GIR_Done,
     /* 2272352 */   // Label 30838: @2272352
     /* 2272352 */   GIM_Reject,
     /* 2272353 */ // Label 30836: @2272353
     /* 2272353 */ GIM_Reject,
     /* 2272354 */ // Label 30813: @2272354
     /* 2272354 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2272474),
     /* 2272359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2272362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2272365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272377 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2272425), // Rule ID 52246 //
     /* 2272382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272385 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272424 */     // GIR_Coverage, 52246,
     /* 2272424 */     GIR_EraseRootFromParent_Done,
     /* 2272425 */   // Label 30840: @2272425
     /* 2272425 */   GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2272473), // Rule ID 52247 //
     /* 2272430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272433 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272472 */     // GIR_Coverage, 52247,
     /* 2272472 */     GIR_EraseRootFromParent_Done,
     /* 2272473 */   // Label 30841: @2272473
     /* 2272473 */   GIM_Reject,
     /* 2272474 */ // Label 30839: @2272474
     /* 2272474 */ GIM_Reject,
     /* 2272475 */ // Label 30814: @2272475
     /* 2272475 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2272595),
     /* 2272480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2272483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272498 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2272546), // Rule ID 52258 //
     /* 2272503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272506 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272545 */     // GIR_Coverage, 52258,
     /* 2272545 */     GIR_EraseRootFromParent_Done,
     /* 2272546 */   // Label 30843: @2272546
     /* 2272546 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2272594), // Rule ID 52259 //
     /* 2272551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272554 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272593 */     // GIR_Coverage, 52259,
     /* 2272593 */     GIR_EraseRootFromParent_Done,
     /* 2272594 */   // Label 30844: @2272594
     /* 2272594 */   GIM_Reject,
     /* 2272595 */ // Label 30842: @2272595
     /* 2272595 */ GIM_Reject,
     /* 2272596 */ // Label 30815: @2272596
     /* 2272596 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2272716),
     /* 2272601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2272604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272619 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2272667), // Rule ID 52266 //
     /* 2272624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272627 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272666 */     // GIR_Coverage, 52266,
     /* 2272666 */     GIR_EraseRootFromParent_Done,
     /* 2272667 */   // Label 30846: @2272667
     /* 2272667 */   GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2272715), // Rule ID 52267 //
     /* 2272672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272675 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272714 */     // GIR_Coverage, 52267,
     /* 2272714 */     GIR_EraseRootFromParent_Done,
     /* 2272715 */   // Label 30847: @2272715
     /* 2272715 */   GIM_Reject,
     /* 2272716 */ // Label 30845: @2272716
     /* 2272716 */ GIM_Reject,
     /* 2272717 */ // Label 30816: @2272717
     /* 2272717 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2272837),
     /* 2272722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2272725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272740 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2272788), // Rule ID 52282 //
     /* 2272745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272748 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272787 */     // GIR_Coverage, 52282,
     /* 2272787 */     GIR_EraseRootFromParent_Done,
     /* 2272788 */   // Label 30849: @2272788
     /* 2272788 */   GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2272836), // Rule ID 52283 //
     /* 2272793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272796 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272835 */     // GIR_Coverage, 52283,
     /* 2272835 */     GIR_EraseRootFromParent_Done,
     /* 2272836 */   // Label 30850: @2272836
     /* 2272836 */   GIM_Reject,
     /* 2272837 */ // Label 30848: @2272837
     /* 2272837 */ GIM_Reject,
     /* 2272838 */ // Label 30817: @2272838
     /* 2272838 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2272958),
     /* 2272843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2272846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2272849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272861 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2272909), // Rule ID 52250 //
     /* 2272866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272869 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272908 */     // GIR_Coverage, 52250,
     /* 2272908 */     GIR_EraseRootFromParent_Done,
     /* 2272909 */   // Label 30852: @2272909
     /* 2272909 */   GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2272957), // Rule ID 52251 //
     /* 2272914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272917 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272956 */     // GIR_Coverage, 52251,
     /* 2272956 */     GIR_EraseRootFromParent_Done,
     /* 2272957 */   // Label 30853: @2272957
     /* 2272957 */   GIM_Reject,
     /* 2272958 */ // Label 30851: @2272958
     /* 2272958 */ GIM_Reject,
     /* 2272959 */ // Label 30818: @2272959
     /* 2272959 */ GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2273079),
     /* 2272964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2272967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272982 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2273030), // Rule ID 52262 //
     /* 2272987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272990 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273029 */     // GIR_Coverage, 52262,
     /* 2273029 */     GIR_EraseRootFromParent_Done,
     /* 2273030 */   // Label 30855: @2273030
     /* 2273030 */   GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2273078), // Rule ID 52263 //
     /* 2273035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273038 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273077 */     // GIR_Coverage, 52263,
     /* 2273077 */     GIR_EraseRootFromParent_Done,
     /* 2273078 */   // Label 30856: @2273078
     /* 2273078 */   GIM_Reject,
     /* 2273079 */ // Label 30854: @2273079
     /* 2273079 */ GIM_Reject,
     /* 2273080 */ // Label 30819: @2273080
     /* 2273080 */ GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2273200),
     /* 2273085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2273088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273103 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2273151), // Rule ID 52278 //
     /* 2273108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273111 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273150 */     // GIR_Coverage, 52278,
     /* 2273150 */     GIR_EraseRootFromParent_Done,
     /* 2273151 */   // Label 30858: @2273151
     /* 2273151 */   GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2273199), // Rule ID 52279 //
     /* 2273156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273159 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273198 */     // GIR_Coverage, 52279,
     /* 2273198 */     GIR_EraseRootFromParent_Done,
     /* 2273199 */   // Label 30859: @2273199
     /* 2273199 */   GIM_Reject,
     /* 2273200 */ // Label 30857: @2273200
     /* 2273200 */ GIM_Reject,
     /* 2273201 */ // Label 30820: @2273201
     /* 2273201 */ GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2273321),
     /* 2273206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2273209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273224 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2273272), // Rule ID 52322 //
     /* 2273229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273232 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273271 */     // GIR_Coverage, 52322,
     /* 2273271 */     GIR_EraseRootFromParent_Done,
     /* 2273272 */   // Label 30861: @2273272
     /* 2273272 */   GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2273320), // Rule ID 52323 //
     /* 2273277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273280 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2273283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273319 */     // GIR_Coverage, 52323,
     /* 2273319 */     GIR_EraseRootFromParent_Done,
     /* 2273320 */   // Label 30862: @2273320
     /* 2273320 */   GIM_Reject,
     /* 2273321 */ // Label 30860: @2273321
     /* 2273321 */ GIM_Reject,
     /* 2273322 */ // Label 30821: @2273322
     /* 2273322 */ GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2273442),
     /* 2273327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2273330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2273333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273345 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2273393), // Rule ID 52254 //
     /* 2273350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273353 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2273356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273392 */     // GIR_Coverage, 52254,
     /* 2273392 */     GIR_EraseRootFromParent_Done,
     /* 2273393 */   // Label 30864: @2273393
     /* 2273393 */   GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2273441), // Rule ID 52255 //
     /* 2273398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273401 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2273404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2273418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273440 */     // GIR_Coverage, 52255,
     /* 2273440 */     GIR_EraseRootFromParent_Done,
     /* 2273441 */   // Label 30865: @2273441
     /* 2273441 */   GIM_Reject,
     /* 2273442 */ // Label 30863: @2273442
     /* 2273442 */ GIM_Reject,
     /* 2273443 */ // Label 30822: @2273443
     /* 2273443 */ GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2273563),
     /* 2273448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2273451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273466 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2273514), // Rule ID 52274 //
     /* 2273471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273474 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273513 */     // GIR_Coverage, 52274,
     /* 2273513 */     GIR_EraseRootFromParent_Done,
     /* 2273514 */   // Label 30867: @2273514
     /* 2273514 */   GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2273562), // Rule ID 52275 //
     /* 2273519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273522 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273561 */     // GIR_Coverage, 52275,
     /* 2273561 */     GIR_EraseRootFromParent_Done,
     /* 2273562 */   // Label 30868: @2273562
     /* 2273562 */   GIM_Reject,
     /* 2273563 */ // Label 30866: @2273563
     /* 2273563 */ GIM_Reject,
     /* 2273564 */ // Label 30823: @2273564
     /* 2273564 */ GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2273684),
     /* 2273569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2273572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2273575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273587 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2273635), // Rule ID 52310 //
     /* 2273592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273595 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273634 */     // GIR_Coverage, 52310,
     /* 2273634 */     GIR_EraseRootFromParent_Done,
     /* 2273635 */   // Label 30870: @2273635
     /* 2273635 */   GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2273683), // Rule ID 52311 //
     /* 2273640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273643 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273682 */     // GIR_Coverage, 52311,
     /* 2273682 */     GIR_EraseRootFromParent_Done,
     /* 2273683 */   // Label 30871: @2273683
     /* 2273683 */   GIM_Reject,
     /* 2273684 */ // Label 30869: @2273684
     /* 2273684 */ GIM_Reject,
     /* 2273685 */ // Label 30824: @2273685
     /* 2273685 */ GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2273805),
     /* 2273690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2273693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2273696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273708 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2273756), // Rule ID 52326 //
     /* 2273713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273716 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273755 */     // GIR_Coverage, 52326,
     /* 2273755 */     GIR_EraseRootFromParent_Done,
     /* 2273756 */   // Label 30873: @2273756
     /* 2273756 */   GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2273804), // Rule ID 52327 //
     /* 2273761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273764 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273803 */     // GIR_Coverage, 52327,
     /* 2273803 */     GIR_EraseRootFromParent_Done,
     /* 2273804 */   // Label 30874: @2273804
     /* 2273804 */   GIM_Reject,
     /* 2273805 */ // Label 30872: @2273805
     /* 2273805 */ GIM_Reject,
     /* 2273806 */ // Label 30825: @2273806
     /* 2273806 */ GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2273926),
     /* 2273811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2273814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2273817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273829 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2273877), // Rule ID 52270 //
     /* 2273834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273837 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273876 */     // GIR_Coverage, 52270,
     /* 2273876 */     GIR_EraseRootFromParent_Done,
     /* 2273877 */   // Label 30876: @2273877
     /* 2273877 */   GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2273925), // Rule ID 52271 //
     /* 2273882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273885 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273924 */     // GIR_Coverage, 52271,
     /* 2273924 */     GIR_EraseRootFromParent_Done,
     /* 2273925 */   // Label 30877: @2273925
     /* 2273925 */   GIM_Reject,
     /* 2273926 */ // Label 30875: @2273926
     /* 2273926 */ GIM_Reject,
     /* 2273927 */ // Label 30826: @2273927
     /* 2273927 */ GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2274047),
     /* 2273932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2273935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273950 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2273998), // Rule ID 52298 //
     /* 2273955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273958 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273997 */     // GIR_Coverage, 52298,
     /* 2273997 */     GIR_EraseRootFromParent_Done,
     /* 2273998 */   // Label 30879: @2273998
     /* 2273998 */   GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2274046), // Rule ID 52299 //
     /* 2274003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274006 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274045 */     // GIR_Coverage, 52299,
     /* 2274045 */     GIR_EraseRootFromParent_Done,
     /* 2274046 */   // Label 30880: @2274046
     /* 2274046 */   GIM_Reject,
     /* 2274047 */ // Label 30878: @2274047
     /* 2274047 */ GIM_Reject,
     /* 2274048 */ // Label 30827: @2274048
     /* 2274048 */ GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2274168),
     /* 2274053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2274056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274071 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2274119), // Rule ID 52314 //
     /* 2274076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274079 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274118 */     // GIR_Coverage, 52314,
     /* 2274118 */     GIR_EraseRootFromParent_Done,
     /* 2274119 */   // Label 30882: @2274119
     /* 2274119 */   GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2274167), // Rule ID 52315 //
     /* 2274124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274127 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274166 */     // GIR_Coverage, 52315,
     /* 2274166 */     GIR_EraseRootFromParent_Done,
     /* 2274167 */   // Label 30883: @2274167
     /* 2274167 */   GIM_Reject,
     /* 2274168 */ // Label 30881: @2274168
     /* 2274168 */ GIM_Reject,
     /* 2274169 */ // Label 30828: @2274169
     /* 2274169 */ GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2274289),
     /* 2274174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2274177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2274180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274192 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2274240), // Rule ID 52330 //
     /* 2274197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274200 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274239 */     // GIR_Coverage, 52330,
     /* 2274239 */     GIR_EraseRootFromParent_Done,
     /* 2274240 */   // Label 30885: @2274240
     /* 2274240 */   GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2274288), // Rule ID 52331 //
     /* 2274245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274248 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274287 */     // GIR_Coverage, 52331,
     /* 2274287 */     GIR_EraseRootFromParent_Done,
     /* 2274288 */   // Label 30886: @2274288
     /* 2274288 */   GIM_Reject,
     /* 2274289 */ // Label 30884: @2274289
     /* 2274289 */ GIM_Reject,
     /* 2274290 */ // Label 30829: @2274290
     /* 2274290 */ GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2274410),
     /* 2274295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2274298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2274301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274313 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2274361), // Rule ID 52286 //
     /* 2274318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274321 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274360 */     // GIR_Coverage, 52286,
     /* 2274360 */     GIR_EraseRootFromParent_Done,
     /* 2274361 */   // Label 30888: @2274361
     /* 2274361 */   GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2274409), // Rule ID 52287 //
     /* 2274366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274369 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2274372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2274386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274408 */     // GIR_Coverage, 52287,
     /* 2274408 */     GIR_EraseRootFromParent_Done,
     /* 2274409 */   // Label 30889: @2274409
     /* 2274409 */   GIM_Reject,
     /* 2274410 */ // Label 30887: @2274410
     /* 2274410 */ GIM_Reject,
     /* 2274411 */ // Label 30830: @2274411
     /* 2274411 */ GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2274531),
     /* 2274416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2274419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274434 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2274482), // Rule ID 52302 //
     /* 2274439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274442 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274481 */     // GIR_Coverage, 52302,
     /* 2274481 */     GIR_EraseRootFromParent_Done,
     /* 2274482 */   // Label 30891: @2274482
     /* 2274482 */   GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2274530), // Rule ID 52303 //
     /* 2274487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274490 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274529 */     // GIR_Coverage, 52303,
     /* 2274529 */     GIR_EraseRootFromParent_Done,
     /* 2274530 */   // Label 30892: @2274530
     /* 2274530 */   GIM_Reject,
     /* 2274531 */ // Label 30890: @2274531
     /* 2274531 */ GIM_Reject,
     /* 2274532 */ // Label 30831: @2274532
     /* 2274532 */ GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2274652),
     /* 2274537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2274540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2274543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274555 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2274603), // Rule ID 52318 //
     /* 2274560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274563 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274602 */     // GIR_Coverage, 52318,
     /* 2274602 */     GIR_EraseRootFromParent_Done,
     /* 2274603 */   // Label 30894: @2274603
     /* 2274603 */   GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2274651), // Rule ID 52319 //
     /* 2274608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274611 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274650 */     // GIR_Coverage, 52319,
     /* 2274650 */     GIR_EraseRootFromParent_Done,
     /* 2274651 */   // Label 30895: @2274651
     /* 2274651 */   GIM_Reject,
     /* 2274652 */ // Label 30893: @2274652
     /* 2274652 */ GIM_Reject,
     /* 2274653 */ // Label 30832: @2274653
     /* 2274653 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2274773),
     /* 2274658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2274661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2274664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274676 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2274724), // Rule ID 52290 //
     /* 2274681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274684 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274723 */     // GIR_Coverage, 52290,
     /* 2274723 */     GIR_EraseRootFromParent_Done,
     /* 2274724 */   // Label 30897: @2274724
     /* 2274724 */   GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2274772), // Rule ID 52291 //
     /* 2274729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274732 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274771 */     // GIR_Coverage, 52291,
     /* 2274771 */     GIR_EraseRootFromParent_Done,
     /* 2274772 */   // Label 30898: @2274772
     /* 2274772 */   GIM_Reject,
     /* 2274773 */ // Label 30896: @2274773
     /* 2274773 */ GIM_Reject,
     /* 2274774 */ // Label 30833: @2274774
     /* 2274774 */ GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2274894),
     /* 2274779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2274782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274797 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2274845), // Rule ID 52306 //
     /* 2274802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274805 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274844 */     // GIR_Coverage, 52306,
     /* 2274844 */     GIR_EraseRootFromParent_Done,
     /* 2274845 */   // Label 30900: @2274845
     /* 2274845 */   GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2274893), // Rule ID 52307 //
     /* 2274850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274853 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274892 */     // GIR_Coverage, 52307,
     /* 2274892 */     GIR_EraseRootFromParent_Done,
     /* 2274893 */   // Label 30901: @2274893
     /* 2274893 */   GIM_Reject,
     /* 2274894 */ // Label 30899: @2274894
     /* 2274894 */ GIM_Reject,
     /* 2274895 */ // Label 30834: @2274895
     /* 2274895 */ GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2275015),
     /* 2274900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2274903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2274906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274918 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2274966), // Rule ID 52294 //
     /* 2274923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274926 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274965 */     // GIR_Coverage, 52294,
     /* 2274965 */     GIR_EraseRootFromParent_Done,
     /* 2274966 */   // Label 30903: @2274966
     /* 2274966 */   GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2275014), // Rule ID 52295 //
     /* 2274971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274974 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275013 */     // GIR_Coverage, 52295,
     /* 2275013 */     GIR_EraseRootFromParent_Done,
     /* 2275014 */   // Label 30904: @2275014
     /* 2275014 */   GIM_Reject,
     /* 2275015 */ // Label 30902: @2275015
     /* 2275015 */ GIM_Reject,
     /* 2275016 */ // Label 30835: @2275016
     /* 2275016 */ GIM_Reject,
     /* 2275017 */ // Label 55: @2275017
     /* 2275017 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30928*/ GIMT_Encode4(2277869),
     /* 2275028 */ /*GILLT_s32*//*Label 30905*/ GIMT_Encode4(2275152), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275040 */ /*GILLT_nxv1s8*//*Label 30906*/ GIMT_Encode4(2275207),
     /* 2275044 */ /*GILLT_nxv1s16*//*Label 30907*/ GIMT_Encode4(2275328),
     /* 2275048 */ /*GILLT_nxv1s32*//*Label 30908*/ GIMT_Encode4(2275449),
     /* 2275052 */ /*GILLT_nxv1s64*//*Label 30909*/ GIMT_Encode4(2275570), GIMT_Encode4(0),
     /* 2275060 */ /*GILLT_nxv2s8*//*Label 30910*/ GIMT_Encode4(2275691),
     /* 2275064 */ /*GILLT_nxv2s16*//*Label 30911*/ GIMT_Encode4(2275812),
     /* 2275068 */ /*GILLT_nxv2s32*//*Label 30912*/ GIMT_Encode4(2275933),
     /* 2275072 */ /*GILLT_nxv2s64*//*Label 30913*/ GIMT_Encode4(2276054), GIMT_Encode4(0),
     /* 2275080 */ /*GILLT_nxv4s8*//*Label 30914*/ GIMT_Encode4(2276175),
     /* 2275084 */ /*GILLT_nxv4s16*//*Label 30915*/ GIMT_Encode4(2276296),
     /* 2275088 */ /*GILLT_nxv4s32*//*Label 30916*/ GIMT_Encode4(2276417),
     /* 2275092 */ /*GILLT_nxv4s64*//*Label 30917*/ GIMT_Encode4(2276538), GIMT_Encode4(0),
     /* 2275100 */ /*GILLT_nxv8s8*//*Label 30918*/ GIMT_Encode4(2276659),
     /* 2275104 */ /*GILLT_nxv8s16*//*Label 30919*/ GIMT_Encode4(2276780),
     /* 2275108 */ /*GILLT_nxv8s32*//*Label 30920*/ GIMT_Encode4(2276901),
     /* 2275112 */ /*GILLT_nxv8s64*//*Label 30921*/ GIMT_Encode4(2277022), GIMT_Encode4(0),
     /* 2275120 */ /*GILLT_nxv16s8*//*Label 30922*/ GIMT_Encode4(2277143),
     /* 2275124 */ /*GILLT_nxv16s16*//*Label 30923*/ GIMT_Encode4(2277264),
     /* 2275128 */ /*GILLT_nxv16s32*//*Label 30924*/ GIMT_Encode4(2277385), GIMT_Encode4(0),
     /* 2275136 */ /*GILLT_nxv32s8*//*Label 30925*/ GIMT_Encode4(2277506),
     /* 2275140 */ /*GILLT_nxv32s16*//*Label 30926*/ GIMT_Encode4(2277627), GIMT_Encode4(0),
     /* 2275148 */ /*GILLT_nxv64s8*//*Label 30927*/ GIMT_Encode4(2277748),
     /* 2275152 */ // Label 30905: @2275152
     /* 2275152 */ GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2275206),
     /* 2275157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2275160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275175 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2275190), // Rule ID 64493 //
     /* 2275180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2275183 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2275183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2275188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275189 */     // GIR_Coverage, 64493,
     /* 2275189 */     GIR_Done,
     /* 2275190 */   // Label 30930: @2275190
     /* 2275190 */   GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2275205), // Rule ID 64494 //
     /* 2275195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2275198 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2275198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2275203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275204 */     // GIR_Coverage, 64494,
     /* 2275204 */     GIR_Done,
     /* 2275205 */   // Label 30931: @2275205
     /* 2275205 */   GIM_Reject,
     /* 2275206 */ // Label 30929: @2275206
     /* 2275206 */ GIM_Reject,
     /* 2275207 */ // Label 30906: @2275207
     /* 2275207 */ GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2275327),
     /* 2275212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2275215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2275218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275230 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2275278), // Rule ID 52598 //
     /* 2275235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275238 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2275255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275277 */     // GIR_Coverage, 52598,
     /* 2275277 */     GIR_EraseRootFromParent_Done,
     /* 2275278 */   // Label 30933: @2275278
     /* 2275278 */   GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2275326), // Rule ID 52599 //
     /* 2275283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275286 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2275289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2275303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275325 */     // GIR_Coverage, 52599,
     /* 2275325 */     GIR_EraseRootFromParent_Done,
     /* 2275326 */   // Label 30934: @2275326
     /* 2275326 */   GIM_Reject,
     /* 2275327 */ // Label 30932: @2275327
     /* 2275327 */ GIM_Reject,
     /* 2275328 */ // Label 30907: @2275328
     /* 2275328 */ GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2275448),
     /* 2275333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2275336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2275339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275351 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2275399), // Rule ID 52610 //
     /* 2275356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275359 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275398 */     // GIR_Coverage, 52610,
     /* 2275398 */     GIR_EraseRootFromParent_Done,
     /* 2275399 */   // Label 30936: @2275399
     /* 2275399 */   GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2275447), // Rule ID 52611 //
     /* 2275404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275407 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275446 */     // GIR_Coverage, 52611,
     /* 2275446 */     GIR_EraseRootFromParent_Done,
     /* 2275447 */   // Label 30937: @2275447
     /* 2275447 */   GIM_Reject,
     /* 2275448 */ // Label 30935: @2275448
     /* 2275448 */ GIM_Reject,
     /* 2275449 */ // Label 30908: @2275449
     /* 2275449 */ GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2275569),
     /* 2275454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2275457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2275460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275472 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2275520), // Rule ID 52618 //
     /* 2275477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275480 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275519 */     // GIR_Coverage, 52618,
     /* 2275519 */     GIR_EraseRootFromParent_Done,
     /* 2275520 */   // Label 30939: @2275520
     /* 2275520 */   GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2275568), // Rule ID 52619 //
     /* 2275525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275528 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275567 */     // GIR_Coverage, 52619,
     /* 2275567 */     GIR_EraseRootFromParent_Done,
     /* 2275568 */   // Label 30940: @2275568
     /* 2275568 */   GIM_Reject,
     /* 2275569 */ // Label 30938: @2275569
     /* 2275569 */ GIM_Reject,
     /* 2275570 */ // Label 30909: @2275570
     /* 2275570 */ GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2275690),
     /* 2275575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2275578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2275581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275593 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2275641), // Rule ID 52634 //
     /* 2275598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275601 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275640 */     // GIR_Coverage, 52634,
     /* 2275640 */     GIR_EraseRootFromParent_Done,
     /* 2275641 */   // Label 30942: @2275641
     /* 2275641 */   GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2275689), // Rule ID 52635 //
     /* 2275646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275649 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275688 */     // GIR_Coverage, 52635,
     /* 2275688 */     GIR_EraseRootFromParent_Done,
     /* 2275689 */   // Label 30943: @2275689
     /* 2275689 */   GIM_Reject,
     /* 2275690 */ // Label 30941: @2275690
     /* 2275690 */ GIM_Reject,
     /* 2275691 */ // Label 30910: @2275691
     /* 2275691 */ GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2275811),
     /* 2275696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2275699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2275702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275714 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2275762), // Rule ID 52602 //
     /* 2275719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275722 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275761 */     // GIR_Coverage, 52602,
     /* 2275761 */     GIR_EraseRootFromParent_Done,
     /* 2275762 */   // Label 30945: @2275762
     /* 2275762 */   GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2275810), // Rule ID 52603 //
     /* 2275767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275770 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275809 */     // GIR_Coverage, 52603,
     /* 2275809 */     GIR_EraseRootFromParent_Done,
     /* 2275810 */   // Label 30946: @2275810
     /* 2275810 */   GIM_Reject,
     /* 2275811 */ // Label 30944: @2275811
     /* 2275811 */ GIM_Reject,
     /* 2275812 */ // Label 30911: @2275812
     /* 2275812 */ GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2275932),
     /* 2275817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2275820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2275823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275835 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2275883), // Rule ID 52614 //
     /* 2275840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275843 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275882 */     // GIR_Coverage, 52614,
     /* 2275882 */     GIR_EraseRootFromParent_Done,
     /* 2275883 */   // Label 30948: @2275883
     /* 2275883 */   GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2275931), // Rule ID 52615 //
     /* 2275888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275891 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275930 */     // GIR_Coverage, 52615,
     /* 2275930 */     GIR_EraseRootFromParent_Done,
     /* 2275931 */   // Label 30949: @2275931
     /* 2275931 */   GIM_Reject,
     /* 2275932 */ // Label 30947: @2275932
     /* 2275932 */ GIM_Reject,
     /* 2275933 */ // Label 30912: @2275933
     /* 2275933 */ GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2276053),
     /* 2275938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2275941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2275944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275956 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2276004), // Rule ID 52630 //
     /* 2275961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275964 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276003 */     // GIR_Coverage, 52630,
     /* 2276003 */     GIR_EraseRootFromParent_Done,
     /* 2276004 */   // Label 30951: @2276004
     /* 2276004 */   GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2276052), // Rule ID 52631 //
     /* 2276009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276012 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276051 */     // GIR_Coverage, 52631,
     /* 2276051 */     GIR_EraseRootFromParent_Done,
     /* 2276052 */   // Label 30952: @2276052
     /* 2276052 */   GIM_Reject,
     /* 2276053 */ // Label 30950: @2276053
     /* 2276053 */ GIM_Reject,
     /* 2276054 */ // Label 30913: @2276054
     /* 2276054 */ GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2276174),
     /* 2276059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2276062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2276065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276077 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2276125), // Rule ID 52674 //
     /* 2276082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276085 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276124 */     // GIR_Coverage, 52674,
     /* 2276124 */     GIR_EraseRootFromParent_Done,
     /* 2276125 */   // Label 30954: @2276125
     /* 2276125 */   GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2276173), // Rule ID 52675 //
     /* 2276130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276133 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276172 */     // GIR_Coverage, 52675,
     /* 2276172 */     GIR_EraseRootFromParent_Done,
     /* 2276173 */   // Label 30955: @2276173
     /* 2276173 */   GIM_Reject,
     /* 2276174 */ // Label 30953: @2276174
     /* 2276174 */ GIM_Reject,
     /* 2276175 */ // Label 30914: @2276175
     /* 2276175 */ GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2276295),
     /* 2276180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2276183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2276186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276198 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2276246), // Rule ID 52606 //
     /* 2276203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276206 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2276223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276245 */     // GIR_Coverage, 52606,
     /* 2276245 */     GIR_EraseRootFromParent_Done,
     /* 2276246 */   // Label 30957: @2276246
     /* 2276246 */   GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2276294), // Rule ID 52607 //
     /* 2276251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276254 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2276257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2276271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276293 */     // GIR_Coverage, 52607,
     /* 2276293 */     GIR_EraseRootFromParent_Done,
     /* 2276294 */   // Label 30958: @2276294
     /* 2276294 */   GIM_Reject,
     /* 2276295 */ // Label 30956: @2276295
     /* 2276295 */ GIM_Reject,
     /* 2276296 */ // Label 30915: @2276296
     /* 2276296 */ GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2276416),
     /* 2276301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2276304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276319 */   GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2276367), // Rule ID 52626 //
     /* 2276324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276327 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276366 */     // GIR_Coverage, 52626,
     /* 2276366 */     GIR_EraseRootFromParent_Done,
     /* 2276367 */   // Label 30960: @2276367
     /* 2276367 */   GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2276415), // Rule ID 52627 //
     /* 2276372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276375 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276414 */     // GIR_Coverage, 52627,
     /* 2276414 */     GIR_EraseRootFromParent_Done,
     /* 2276415 */   // Label 30961: @2276415
     /* 2276415 */   GIM_Reject,
     /* 2276416 */ // Label 30959: @2276416
     /* 2276416 */ GIM_Reject,
     /* 2276417 */ // Label 30916: @2276417
     /* 2276417 */ GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2276537),
     /* 2276422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2276425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2276428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276440 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2276488), // Rule ID 52662 //
     /* 2276445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276448 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276487 */     // GIR_Coverage, 52662,
     /* 2276487 */     GIR_EraseRootFromParent_Done,
     /* 2276488 */   // Label 30963: @2276488
     /* 2276488 */   GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2276536), // Rule ID 52663 //
     /* 2276493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276496 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276535 */     // GIR_Coverage, 52663,
     /* 2276535 */     GIR_EraseRootFromParent_Done,
     /* 2276536 */   // Label 30964: @2276536
     /* 2276536 */   GIM_Reject,
     /* 2276537 */ // Label 30962: @2276537
     /* 2276537 */ GIM_Reject,
     /* 2276538 */ // Label 30917: @2276538
     /* 2276538 */ GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2276658),
     /* 2276543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2276546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2276549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276561 */   GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2276609), // Rule ID 52678 //
     /* 2276566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276569 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276608 */     // GIR_Coverage, 52678,
     /* 2276608 */     GIR_EraseRootFromParent_Done,
     /* 2276609 */   // Label 30966: @2276609
     /* 2276609 */   GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2276657), // Rule ID 52679 //
     /* 2276614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276617 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276656 */     // GIR_Coverage, 52679,
     /* 2276656 */     GIR_EraseRootFromParent_Done,
     /* 2276657 */   // Label 30967: @2276657
     /* 2276657 */   GIM_Reject,
     /* 2276658 */ // Label 30965: @2276658
     /* 2276658 */ GIM_Reject,
     /* 2276659 */ // Label 30918: @2276659
     /* 2276659 */ GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2276779),
     /* 2276664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2276667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2276670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276682 */   GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2276730), // Rule ID 52622 //
     /* 2276687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276690 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276729 */     // GIR_Coverage, 52622,
     /* 2276729 */     GIR_EraseRootFromParent_Done,
     /* 2276730 */   // Label 30969: @2276730
     /* 2276730 */   GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2276778), // Rule ID 52623 //
     /* 2276735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276738 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276777 */     // GIR_Coverage, 52623,
     /* 2276777 */     GIR_EraseRootFromParent_Done,
     /* 2276778 */   // Label 30970: @2276778
     /* 2276778 */   GIM_Reject,
     /* 2276779 */ // Label 30968: @2276779
     /* 2276779 */ GIM_Reject,
     /* 2276780 */ // Label 30919: @2276780
     /* 2276780 */ GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2276900),
     /* 2276785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2276788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276803 */   GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2276851), // Rule ID 52650 //
     /* 2276808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276811 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276850 */     // GIR_Coverage, 52650,
     /* 2276850 */     GIR_EraseRootFromParent_Done,
     /* 2276851 */   // Label 30972: @2276851
     /* 2276851 */   GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2276899), // Rule ID 52651 //
     /* 2276856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276859 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276898 */     // GIR_Coverage, 52651,
     /* 2276898 */     GIR_EraseRootFromParent_Done,
     /* 2276899 */   // Label 30973: @2276899
     /* 2276899 */   GIM_Reject,
     /* 2276900 */ // Label 30971: @2276900
     /* 2276900 */ GIM_Reject,
     /* 2276901 */ // Label 30920: @2276901
     /* 2276901 */ GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2277021),
     /* 2276906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2276909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276924 */   GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2276972), // Rule ID 52666 //
     /* 2276929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276932 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276971 */     // GIR_Coverage, 52666,
     /* 2276971 */     GIR_EraseRootFromParent_Done,
     /* 2276972 */   // Label 30975: @2276972
     /* 2276972 */   GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2277020), // Rule ID 52667 //
     /* 2276977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276980 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277019 */     // GIR_Coverage, 52667,
     /* 2277019 */     GIR_EraseRootFromParent_Done,
     /* 2277020 */   // Label 30976: @2277020
     /* 2277020 */   GIM_Reject,
     /* 2277021 */ // Label 30974: @2277021
     /* 2277021 */ GIM_Reject,
     /* 2277022 */ // Label 30921: @2277022
     /* 2277022 */ GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2277142),
     /* 2277027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2277030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2277033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277045 */   GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2277093), // Rule ID 52682 //
     /* 2277050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277053 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277092 */     // GIR_Coverage, 52682,
     /* 2277092 */     GIR_EraseRootFromParent_Done,
     /* 2277093 */   // Label 30978: @2277093
     /* 2277093 */   GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2277141), // Rule ID 52683 //
     /* 2277098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277101 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277140 */     // GIR_Coverage, 52683,
     /* 2277140 */     GIR_EraseRootFromParent_Done,
     /* 2277141 */   // Label 30979: @2277141
     /* 2277141 */   GIM_Reject,
     /* 2277142 */ // Label 30977: @2277142
     /* 2277142 */ GIM_Reject,
     /* 2277143 */ // Label 30922: @2277143
     /* 2277143 */ GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2277263),
     /* 2277148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2277151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2277154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277166 */   GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2277214), // Rule ID 52638 //
     /* 2277171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277174 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2277191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277213 */     // GIR_Coverage, 52638,
     /* 2277213 */     GIR_EraseRootFromParent_Done,
     /* 2277214 */   // Label 30981: @2277214
     /* 2277214 */   GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2277262), // Rule ID 52639 //
     /* 2277219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277222 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2277225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2277239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277261 */     // GIR_Coverage, 52639,
     /* 2277261 */     GIR_EraseRootFromParent_Done,
     /* 2277262 */   // Label 30982: @2277262
     /* 2277262 */   GIM_Reject,
     /* 2277263 */ // Label 30980: @2277263
     /* 2277263 */ GIM_Reject,
     /* 2277264 */ // Label 30923: @2277264
     /* 2277264 */ GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2277384),
     /* 2277269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2277272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277287 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2277335), // Rule ID 52654 //
     /* 2277292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277295 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277334 */     // GIR_Coverage, 52654,
     /* 2277334 */     GIR_EraseRootFromParent_Done,
     /* 2277335 */   // Label 30984: @2277335
     /* 2277335 */   GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2277383), // Rule ID 52655 //
     /* 2277340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277343 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277382 */     // GIR_Coverage, 52655,
     /* 2277382 */     GIR_EraseRootFromParent_Done,
     /* 2277383 */   // Label 30985: @2277383
     /* 2277383 */   GIM_Reject,
     /* 2277384 */ // Label 30983: @2277384
     /* 2277384 */ GIM_Reject,
     /* 2277385 */ // Label 30924: @2277385
     /* 2277385 */ GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2277505),
     /* 2277390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2277393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277408 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2277456), // Rule ID 52670 //
     /* 2277413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277416 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277455 */     // GIR_Coverage, 52670,
     /* 2277455 */     GIR_EraseRootFromParent_Done,
     /* 2277456 */   // Label 30987: @2277456
     /* 2277456 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2277504), // Rule ID 52671 //
     /* 2277461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277464 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277503 */     // GIR_Coverage, 52671,
     /* 2277503 */     GIR_EraseRootFromParent_Done,
     /* 2277504 */   // Label 30988: @2277504
     /* 2277504 */   GIM_Reject,
     /* 2277505 */ // Label 30986: @2277505
     /* 2277505 */ GIM_Reject,
     /* 2277506 */ // Label 30925: @2277506
     /* 2277506 */ GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2277626),
     /* 2277511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2277514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2277517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277529 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2277577), // Rule ID 52642 //
     /* 2277534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277537 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277576 */     // GIR_Coverage, 52642,
     /* 2277576 */     GIR_EraseRootFromParent_Done,
     /* 2277577 */   // Label 30990: @2277577
     /* 2277577 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2277625), // Rule ID 52643 //
     /* 2277582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277585 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277624 */     // GIR_Coverage, 52643,
     /* 2277624 */     GIR_EraseRootFromParent_Done,
     /* 2277625 */   // Label 30991: @2277625
     /* 2277625 */   GIM_Reject,
     /* 2277626 */ // Label 30989: @2277626
     /* 2277626 */ GIM_Reject,
     /* 2277627 */ // Label 30926: @2277627
     /* 2277627 */ GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2277747),
     /* 2277632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2277635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277650 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2277698), // Rule ID 52658 //
     /* 2277655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277658 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277697 */     // GIR_Coverage, 52658,
     /* 2277697 */     GIR_EraseRootFromParent_Done,
     /* 2277698 */   // Label 30993: @2277698
     /* 2277698 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2277746), // Rule ID 52659 //
     /* 2277703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277706 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277745 */     // GIR_Coverage, 52659,
     /* 2277745 */     GIR_EraseRootFromParent_Done,
     /* 2277746 */   // Label 30994: @2277746
     /* 2277746 */   GIM_Reject,
     /* 2277747 */ // Label 30992: @2277747
     /* 2277747 */ GIM_Reject,
     /* 2277748 */ // Label 30927: @2277748
     /* 2277748 */ GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2277868),
     /* 2277753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2277756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2277759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277771 */   GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2277819), // Rule ID 52646 //
     /* 2277776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277779 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277818 */     // GIR_Coverage, 52646,
     /* 2277818 */     GIR_EraseRootFromParent_Done,
     /* 2277819 */   // Label 30996: @2277819
     /* 2277819 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2277867), // Rule ID 52647 //
     /* 2277824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277827 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277866 */     // GIR_Coverage, 52647,
     /* 2277866 */     GIR_EraseRootFromParent_Done,
     /* 2277867 */   // Label 30997: @2277867
     /* 2277867 */   GIM_Reject,
     /* 2277868 */ // Label 30995: @2277868
     /* 2277868 */ GIM_Reject,
     /* 2277869 */ // Label 30928: @2277869
     /* 2277869 */ GIM_Reject,
     /* 2277870 */ // Label 56: @2277870
     /* 2277870 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31021*/ GIMT_Encode4(2280722),
     /* 2277881 */ /*GILLT_s32*//*Label 30998*/ GIMT_Encode4(2278005), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277893 */ /*GILLT_nxv1s8*//*Label 30999*/ GIMT_Encode4(2278060),
     /* 2277897 */ /*GILLT_nxv1s16*//*Label 31000*/ GIMT_Encode4(2278181),
     /* 2277901 */ /*GILLT_nxv1s32*//*Label 31001*/ GIMT_Encode4(2278302),
     /* 2277905 */ /*GILLT_nxv1s64*//*Label 31002*/ GIMT_Encode4(2278423), GIMT_Encode4(0),
     /* 2277913 */ /*GILLT_nxv2s8*//*Label 31003*/ GIMT_Encode4(2278544),
     /* 2277917 */ /*GILLT_nxv2s16*//*Label 31004*/ GIMT_Encode4(2278665),
     /* 2277921 */ /*GILLT_nxv2s32*//*Label 31005*/ GIMT_Encode4(2278786),
     /* 2277925 */ /*GILLT_nxv2s64*//*Label 31006*/ GIMT_Encode4(2278907), GIMT_Encode4(0),
     /* 2277933 */ /*GILLT_nxv4s8*//*Label 31007*/ GIMT_Encode4(2279028),
     /* 2277937 */ /*GILLT_nxv4s16*//*Label 31008*/ GIMT_Encode4(2279149),
     /* 2277941 */ /*GILLT_nxv4s32*//*Label 31009*/ GIMT_Encode4(2279270),
     /* 2277945 */ /*GILLT_nxv4s64*//*Label 31010*/ GIMT_Encode4(2279391), GIMT_Encode4(0),
     /* 2277953 */ /*GILLT_nxv8s8*//*Label 31011*/ GIMT_Encode4(2279512),
     /* 2277957 */ /*GILLT_nxv8s16*//*Label 31012*/ GIMT_Encode4(2279633),
     /* 2277961 */ /*GILLT_nxv8s32*//*Label 31013*/ GIMT_Encode4(2279754),
     /* 2277965 */ /*GILLT_nxv8s64*//*Label 31014*/ GIMT_Encode4(2279875), GIMT_Encode4(0),
     /* 2277973 */ /*GILLT_nxv16s8*//*Label 31015*/ GIMT_Encode4(2279996),
     /* 2277977 */ /*GILLT_nxv16s16*//*Label 31016*/ GIMT_Encode4(2280117),
     /* 2277981 */ /*GILLT_nxv16s32*//*Label 31017*/ GIMT_Encode4(2280238), GIMT_Encode4(0),
     /* 2277989 */ /*GILLT_nxv32s8*//*Label 31018*/ GIMT_Encode4(2280359),
     /* 2277993 */ /*GILLT_nxv32s16*//*Label 31019*/ GIMT_Encode4(2280480), GIMT_Encode4(0),
     /* 2278001 */ /*GILLT_nxv64s8*//*Label 31020*/ GIMT_Encode4(2280601),
     /* 2278005 */ // Label 30998: @2278005
     /* 2278005 */ GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2278059),
     /* 2278010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2278013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2278016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2278028 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2278043), // Rule ID 64491 //
     /* 2278033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2278036 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2278041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278042 */     // GIR_Coverage, 64491,
     /* 2278042 */     GIR_Done,
     /* 2278043 */   // Label 31023: @2278043
     /* 2278043 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2278058), // Rule ID 64492 //
     /* 2278048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2278051 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2278051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2278056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278057 */     // GIR_Coverage, 64492,
     /* 2278057 */     GIR_Done,
     /* 2278058 */   // Label 31024: @2278058
     /* 2278058 */   GIM_Reject,
     /* 2278059 */ // Label 31022: @2278059
     /* 2278059 */ GIM_Reject,
     /* 2278060 */ // Label 30999: @2278060
     /* 2278060 */ GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2278180),
     /* 2278065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2278068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2278071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278083 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2278131), // Rule ID 52510 //
     /* 2278088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278091 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2278108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278130 */     // GIR_Coverage, 52510,
     /* 2278130 */     GIR_EraseRootFromParent_Done,
     /* 2278131 */   // Label 31026: @2278131
     /* 2278131 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2278179), // Rule ID 52511 //
     /* 2278136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278139 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2278156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278178 */     // GIR_Coverage, 52511,
     /* 2278178 */     GIR_EraseRootFromParent_Done,
     /* 2278179 */   // Label 31027: @2278179
     /* 2278179 */   GIM_Reject,
     /* 2278180 */ // Label 31025: @2278180
     /* 2278180 */ GIM_Reject,
     /* 2278181 */ // Label 31000: @2278181
     /* 2278181 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2278301),
     /* 2278186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2278189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2278192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278204 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2278252), // Rule ID 52522 //
     /* 2278209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278212 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278251 */     // GIR_Coverage, 52522,
     /* 2278251 */     GIR_EraseRootFromParent_Done,
     /* 2278252 */   // Label 31029: @2278252
     /* 2278252 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2278300), // Rule ID 52523 //
     /* 2278257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278260 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278299 */     // GIR_Coverage, 52523,
     /* 2278299 */     GIR_EraseRootFromParent_Done,
     /* 2278300 */   // Label 31030: @2278300
     /* 2278300 */   GIM_Reject,
     /* 2278301 */ // Label 31028: @2278301
     /* 2278301 */ GIM_Reject,
     /* 2278302 */ // Label 31001: @2278302
     /* 2278302 */ GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2278422),
     /* 2278307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2278310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2278313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278325 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2278373), // Rule ID 52530 //
     /* 2278330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278333 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278372 */     // GIR_Coverage, 52530,
     /* 2278372 */     GIR_EraseRootFromParent_Done,
     /* 2278373 */   // Label 31032: @2278373
     /* 2278373 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2278421), // Rule ID 52531 //
     /* 2278378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278381 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278420 */     // GIR_Coverage, 52531,
     /* 2278420 */     GIR_EraseRootFromParent_Done,
     /* 2278421 */   // Label 31033: @2278421
     /* 2278421 */   GIM_Reject,
     /* 2278422 */ // Label 31031: @2278422
     /* 2278422 */ GIM_Reject,
     /* 2278423 */ // Label 31002: @2278423
     /* 2278423 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2278543),
     /* 2278428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2278431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278446 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2278494), // Rule ID 52546 //
     /* 2278451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278454 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278493 */     // GIR_Coverage, 52546,
     /* 2278493 */     GIR_EraseRootFromParent_Done,
     /* 2278494 */   // Label 31035: @2278494
     /* 2278494 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2278542), // Rule ID 52547 //
     /* 2278499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278502 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278541 */     // GIR_Coverage, 52547,
     /* 2278541 */     GIR_EraseRootFromParent_Done,
     /* 2278542 */   // Label 31036: @2278542
     /* 2278542 */   GIM_Reject,
     /* 2278543 */ // Label 31034: @2278543
     /* 2278543 */ GIM_Reject,
     /* 2278544 */ // Label 31003: @2278544
     /* 2278544 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2278664),
     /* 2278549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2278552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2278555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278567 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2278615), // Rule ID 52514 //
     /* 2278572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278575 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278614 */     // GIR_Coverage, 52514,
     /* 2278614 */     GIR_EraseRootFromParent_Done,
     /* 2278615 */   // Label 31038: @2278615
     /* 2278615 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2278663), // Rule ID 52515 //
     /* 2278620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278623 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278662 */     // GIR_Coverage, 52515,
     /* 2278662 */     GIR_EraseRootFromParent_Done,
     /* 2278663 */   // Label 31039: @2278663
     /* 2278663 */   GIM_Reject,
     /* 2278664 */ // Label 31037: @2278664
     /* 2278664 */ GIM_Reject,
     /* 2278665 */ // Label 31004: @2278665
     /* 2278665 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2278785),
     /* 2278670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2278673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2278676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278688 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2278736), // Rule ID 52526 //
     /* 2278693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278696 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278735 */     // GIR_Coverage, 52526,
     /* 2278735 */     GIR_EraseRootFromParent_Done,
     /* 2278736 */   // Label 31041: @2278736
     /* 2278736 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2278784), // Rule ID 52527 //
     /* 2278741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278744 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278783 */     // GIR_Coverage, 52527,
     /* 2278783 */     GIR_EraseRootFromParent_Done,
     /* 2278784 */   // Label 31042: @2278784
     /* 2278784 */   GIM_Reject,
     /* 2278785 */ // Label 31040: @2278785
     /* 2278785 */ GIM_Reject,
     /* 2278786 */ // Label 31005: @2278786
     /* 2278786 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2278906),
     /* 2278791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2278794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2278797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278809 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2278857), // Rule ID 52542 //
     /* 2278814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278817 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278856 */     // GIR_Coverage, 52542,
     /* 2278856 */     GIR_EraseRootFromParent_Done,
     /* 2278857 */   // Label 31044: @2278857
     /* 2278857 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2278905), // Rule ID 52543 //
     /* 2278862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278865 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278904 */     // GIR_Coverage, 52543,
     /* 2278904 */     GIR_EraseRootFromParent_Done,
     /* 2278905 */   // Label 31045: @2278905
     /* 2278905 */   GIM_Reject,
     /* 2278906 */ // Label 31043: @2278906
     /* 2278906 */ GIM_Reject,
     /* 2278907 */ // Label 31006: @2278907
     /* 2278907 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2279027),
     /* 2278912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2278915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278930 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2278978), // Rule ID 52586 //
     /* 2278935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278938 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278977 */     // GIR_Coverage, 52586,
     /* 2278977 */     GIR_EraseRootFromParent_Done,
     /* 2278978 */   // Label 31047: @2278978
     /* 2278978 */   GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2279026), // Rule ID 52587 //
     /* 2278983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278986 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279025 */     // GIR_Coverage, 52587,
     /* 2279025 */     GIR_EraseRootFromParent_Done,
     /* 2279026 */   // Label 31048: @2279026
     /* 2279026 */   GIM_Reject,
     /* 2279027 */ // Label 31046: @2279027
     /* 2279027 */ GIM_Reject,
     /* 2279028 */ // Label 31007: @2279028
     /* 2279028 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2279148),
     /* 2279033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2279036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2279039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279051 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2279099), // Rule ID 52518 //
     /* 2279056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279059 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2279076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279098 */     // GIR_Coverage, 52518,
     /* 2279098 */     GIR_EraseRootFromParent_Done,
     /* 2279099 */   // Label 31050: @2279099
     /* 2279099 */   GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2279147), // Rule ID 52519 //
     /* 2279104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279107 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2279124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279146 */     // GIR_Coverage, 52519,
     /* 2279146 */     GIR_EraseRootFromParent_Done,
     /* 2279147 */   // Label 31051: @2279147
     /* 2279147 */   GIM_Reject,
     /* 2279148 */ // Label 31049: @2279148
     /* 2279148 */ GIM_Reject,
     /* 2279149 */ // Label 31008: @2279149
     /* 2279149 */ GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2279269),
     /* 2279154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2279157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279172 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2279220), // Rule ID 52538 //
     /* 2279177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279180 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279219 */     // GIR_Coverage, 52538,
     /* 2279219 */     GIR_EraseRootFromParent_Done,
     /* 2279220 */   // Label 31053: @2279220
     /* 2279220 */   GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2279268), // Rule ID 52539 //
     /* 2279225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279228 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279267 */     // GIR_Coverage, 52539,
     /* 2279267 */     GIR_EraseRootFromParent_Done,
     /* 2279268 */   // Label 31054: @2279268
     /* 2279268 */   GIM_Reject,
     /* 2279269 */ // Label 31052: @2279269
     /* 2279269 */ GIM_Reject,
     /* 2279270 */ // Label 31009: @2279270
     /* 2279270 */ GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2279390),
     /* 2279275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2279278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2279281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279293 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2279341), // Rule ID 52574 //
     /* 2279298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279301 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279340 */     // GIR_Coverage, 52574,
     /* 2279340 */     GIR_EraseRootFromParent_Done,
     /* 2279341 */   // Label 31056: @2279341
     /* 2279341 */   GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2279389), // Rule ID 52575 //
     /* 2279346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279349 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2279352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279388 */     // GIR_Coverage, 52575,
     /* 2279388 */     GIR_EraseRootFromParent_Done,
     /* 2279389 */   // Label 31057: @2279389
     /* 2279389 */   GIM_Reject,
     /* 2279390 */ // Label 31055: @2279390
     /* 2279390 */ GIM_Reject,
     /* 2279391 */ // Label 31010: @2279391
     /* 2279391 */ GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2279511),
     /* 2279396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2279399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2279402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279414 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2279462), // Rule ID 52590 //
     /* 2279419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279422 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279461 */     // GIR_Coverage, 52590,
     /* 2279461 */     GIR_EraseRootFromParent_Done,
     /* 2279462 */   // Label 31059: @2279462
     /* 2279462 */   GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2279510), // Rule ID 52591 //
     /* 2279467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279470 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279509 */     // GIR_Coverage, 52591,
     /* 2279509 */     GIR_EraseRootFromParent_Done,
     /* 2279510 */   // Label 31060: @2279510
     /* 2279510 */   GIM_Reject,
     /* 2279511 */ // Label 31058: @2279511
     /* 2279511 */ GIM_Reject,
     /* 2279512 */ // Label 31011: @2279512
     /* 2279512 */ GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2279632),
     /* 2279517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2279520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279535 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2279583), // Rule ID 52534 //
     /* 2279540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279543 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279582 */     // GIR_Coverage, 52534,
     /* 2279582 */     GIR_EraseRootFromParent_Done,
     /* 2279583 */   // Label 31062: @2279583
     /* 2279583 */   GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2279631), // Rule ID 52535 //
     /* 2279588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279591 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279630 */     // GIR_Coverage, 52535,
     /* 2279630 */     GIR_EraseRootFromParent_Done,
     /* 2279631 */   // Label 31063: @2279631
     /* 2279631 */   GIM_Reject,
     /* 2279632 */ // Label 31061: @2279632
     /* 2279632 */ GIM_Reject,
     /* 2279633 */ // Label 31012: @2279633
     /* 2279633 */ GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2279753),
     /* 2279638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2279641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2279644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279656 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2279704), // Rule ID 52562 //
     /* 2279661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279664 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279703 */     // GIR_Coverage, 52562,
     /* 2279703 */     GIR_EraseRootFromParent_Done,
     /* 2279704 */   // Label 31065: @2279704
     /* 2279704 */   GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2279752), // Rule ID 52563 //
     /* 2279709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279712 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279751 */     // GIR_Coverage, 52563,
     /* 2279751 */     GIR_EraseRootFromParent_Done,
     /* 2279752 */   // Label 31066: @2279752
     /* 2279752 */   GIM_Reject,
     /* 2279753 */ // Label 31064: @2279753
     /* 2279753 */ GIM_Reject,
     /* 2279754 */ // Label 31013: @2279754
     /* 2279754 */ GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2279874),
     /* 2279759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2279762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2279765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279777 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2279825), // Rule ID 52578 //
     /* 2279782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279785 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279824 */     // GIR_Coverage, 52578,
     /* 2279824 */     GIR_EraseRootFromParent_Done,
     /* 2279825 */   // Label 31068: @2279825
     /* 2279825 */   GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2279873), // Rule ID 52579 //
     /* 2279830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279833 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279872 */     // GIR_Coverage, 52579,
     /* 2279872 */     GIR_EraseRootFromParent_Done,
     /* 2279873 */   // Label 31069: @2279873
     /* 2279873 */   GIM_Reject,
     /* 2279874 */ // Label 31067: @2279874
     /* 2279874 */ GIM_Reject,
     /* 2279875 */ // Label 31014: @2279875
     /* 2279875 */ GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2279995),
     /* 2279880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2279883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279898 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2279946), // Rule ID 52594 //
     /* 2279903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279906 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279945 */     // GIR_Coverage, 52594,
     /* 2279945 */     GIR_EraseRootFromParent_Done,
     /* 2279946 */   // Label 31071: @2279946
     /* 2279946 */   GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2279994), // Rule ID 52595 //
     /* 2279951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279954 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279993 */     // GIR_Coverage, 52595,
     /* 2279993 */     GIR_EraseRootFromParent_Done,
     /* 2279994 */   // Label 31072: @2279994
     /* 2279994 */   GIM_Reject,
     /* 2279995 */ // Label 31070: @2279995
     /* 2279995 */ GIM_Reject,
     /* 2279996 */ // Label 31015: @2279996
     /* 2279996 */ GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2280116),
     /* 2280001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2280004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2280007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280019 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2280067), // Rule ID 52550 //
     /* 2280024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280027 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2280044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280066 */     // GIR_Coverage, 52550,
     /* 2280066 */     GIR_EraseRootFromParent_Done,
     /* 2280067 */   // Label 31074: @2280067
     /* 2280067 */   GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2280115), // Rule ID 52551 //
     /* 2280072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280075 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2280078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2280092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280114 */     // GIR_Coverage, 52551,
     /* 2280114 */     GIR_EraseRootFromParent_Done,
     /* 2280115 */   // Label 31075: @2280115
     /* 2280115 */   GIM_Reject,
     /* 2280116 */ // Label 31073: @2280116
     /* 2280116 */ GIM_Reject,
     /* 2280117 */ // Label 31016: @2280117
     /* 2280117 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2280237),
     /* 2280122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2280125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280140 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2280188), // Rule ID 52566 //
     /* 2280145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280148 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280187 */     // GIR_Coverage, 52566,
     /* 2280187 */     GIR_EraseRootFromParent_Done,
     /* 2280188 */   // Label 31077: @2280188
     /* 2280188 */   GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2280236), // Rule ID 52567 //
     /* 2280193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280196 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280235 */     // GIR_Coverage, 52567,
     /* 2280235 */     GIR_EraseRootFromParent_Done,
     /* 2280236 */   // Label 31078: @2280236
     /* 2280236 */   GIM_Reject,
     /* 2280237 */ // Label 31076: @2280237
     /* 2280237 */ GIM_Reject,
     /* 2280238 */ // Label 31017: @2280238
     /* 2280238 */ GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2280358),
     /* 2280243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2280246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2280249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280261 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2280309), // Rule ID 52582 //
     /* 2280266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280269 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280308 */     // GIR_Coverage, 52582,
     /* 2280308 */     GIR_EraseRootFromParent_Done,
     /* 2280309 */   // Label 31080: @2280309
     /* 2280309 */   GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2280357), // Rule ID 52583 //
     /* 2280314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280317 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280356 */     // GIR_Coverage, 52583,
     /* 2280356 */     GIR_EraseRootFromParent_Done,
     /* 2280357 */   // Label 31081: @2280357
     /* 2280357 */   GIM_Reject,
     /* 2280358 */ // Label 31079: @2280358
     /* 2280358 */ GIM_Reject,
     /* 2280359 */ // Label 31018: @2280359
     /* 2280359 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2280479),
     /* 2280364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2280367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2280370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280382 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2280430), // Rule ID 52554 //
     /* 2280387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280390 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280429 */     // GIR_Coverage, 52554,
     /* 2280429 */     GIR_EraseRootFromParent_Done,
     /* 2280430 */   // Label 31083: @2280430
     /* 2280430 */   GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2280478), // Rule ID 52555 //
     /* 2280435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280438 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280477 */     // GIR_Coverage, 52555,
     /* 2280477 */     GIR_EraseRootFromParent_Done,
     /* 2280478 */   // Label 31084: @2280478
     /* 2280478 */   GIM_Reject,
     /* 2280479 */ // Label 31082: @2280479
     /* 2280479 */ GIM_Reject,
     /* 2280480 */ // Label 31019: @2280480
     /* 2280480 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2280600),
     /* 2280485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2280488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280503 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2280551), // Rule ID 52570 //
     /* 2280508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280511 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280550 */     // GIR_Coverage, 52570,
     /* 2280550 */     GIR_EraseRootFromParent_Done,
     /* 2280551 */   // Label 31086: @2280551
     /* 2280551 */   GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2280599), // Rule ID 52571 //
     /* 2280556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280559 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280598 */     // GIR_Coverage, 52571,
     /* 2280598 */     GIR_EraseRootFromParent_Done,
     /* 2280599 */   // Label 31087: @2280599
     /* 2280599 */   GIM_Reject,
     /* 2280600 */ // Label 31085: @2280600
     /* 2280600 */ GIM_Reject,
     /* 2280601 */ // Label 31020: @2280601
     /* 2280601 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2280721),
     /* 2280606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2280609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2280612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280624 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2280672), // Rule ID 52558 //
     /* 2280629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280632 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280671 */     // GIR_Coverage, 52558,
     /* 2280671 */     GIR_EraseRootFromParent_Done,
     /* 2280672 */   // Label 31089: @2280672
     /* 2280672 */   GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2280720), // Rule ID 52559 //
     /* 2280677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280680 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280719 */     // GIR_Coverage, 52559,
     /* 2280719 */     GIR_EraseRootFromParent_Done,
     /* 2280720 */   // Label 31090: @2280720
     /* 2280720 */   GIM_Reject,
     /* 2280721 */ // Label 31088: @2280721
     /* 2280721 */ GIM_Reject,
     /* 2280722 */ // Label 31021: @2280722
     /* 2280722 */ GIM_Reject,
     /* 2280723 */ // Label 57: @2280723
     /* 2280723 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2280780),
     /* 2280728 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280749 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2280764), // Rule ID 64495 //
     /* 2280754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280757 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280763 */     // GIR_Coverage, 64495,
     /* 2280763 */     GIR_Done,
     /* 2280764 */   // Label 31092: @2280764
     /* 2280764 */   GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2280779), // Rule ID 64496 //
     /* 2280769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280772 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280778 */     // GIR_Coverage, 64496,
     /* 2280778 */     GIR_Done,
     /* 2280779 */   // Label 31093: @2280779
     /* 2280779 */   GIM_Reject,
     /* 2280780 */ // Label 31091: @2280780
     /* 2280780 */ GIM_Reject,
     /* 2280781 */ // Label 58: @2280781
     /* 2280781 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2280838),
     /* 2280786 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280807 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2280822), // Rule ID 64497 //
     /* 2280812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280815 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280821 */     // GIR_Coverage, 64497,
     /* 2280821 */     GIR_Done,
     /* 2280822 */   // Label 31095: @2280822
     /* 2280822 */   GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2280837), // Rule ID 64498 //
     /* 2280827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280830 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280836 */     // GIR_Coverage, 64498,
     /* 2280836 */     GIR_Done,
     /* 2280837 */   // Label 31096: @2280837
     /* 2280837 */   GIM_Reject,
     /* 2280838 */ // Label 31094: @2280838
     /* 2280838 */ GIM_Reject,
     /* 2280839 */ // Label 59: @2280839
     /* 2280839 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31115*/ GIMT_Encode4(2283266),
     /* 2280850 */ /*GILLT_s16*//*Label 31097*/ GIMT_Encode4(2280970),
     /* 2280854 */ /*GILLT_s32*//*Label 31098*/ GIMT_Encode4(2281119),
     /* 2280858 */ /*GILLT_s64*//*Label 31099*/ GIMT_Encode4(2281268), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280870 */ /*GILLT_nxv1s16*//*Label 31100*/ GIMT_Encode4(2281451),
     /* 2280874 */ /*GILLT_nxv1s32*//*Label 31101*/ GIMT_Encode4(2281572),
     /* 2280878 */ /*GILLT_nxv1s64*//*Label 31102*/ GIMT_Encode4(2281693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280890 */ /*GILLT_nxv2s16*//*Label 31103*/ GIMT_Encode4(2281814),
     /* 2280894 */ /*GILLT_nxv2s32*//*Label 31104*/ GIMT_Encode4(2281935),
     /* 2280898 */ /*GILLT_nxv2s64*//*Label 31105*/ GIMT_Encode4(2282056), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280910 */ /*GILLT_nxv4s16*//*Label 31106*/ GIMT_Encode4(2282177),
     /* 2280914 */ /*GILLT_nxv4s32*//*Label 31107*/ GIMT_Encode4(2282298),
     /* 2280918 */ /*GILLT_nxv4s64*//*Label 31108*/ GIMT_Encode4(2282419), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280930 */ /*GILLT_nxv8s16*//*Label 31109*/ GIMT_Encode4(2282540),
     /* 2280934 */ /*GILLT_nxv8s32*//*Label 31110*/ GIMT_Encode4(2282661),
     /* 2280938 */ /*GILLT_nxv8s64*//*Label 31111*/ GIMT_Encode4(2282782), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280950 */ /*GILLT_nxv16s16*//*Label 31112*/ GIMT_Encode4(2282903),
     /* 2280954 */ /*GILLT_nxv16s32*//*Label 31113*/ GIMT_Encode4(2283024), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280966 */ /*GILLT_nxv32s16*//*Label 31114*/ GIMT_Encode4(2283145),
     /* 2280970 */ // Label 31097: @2280970
     /* 2280970 */ GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2281118),
     /* 2280975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2280978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2280981 */   GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2281015), // Rule ID 1848 //
     /* 2280986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2280989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281001 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2281004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281014 */     // GIR_Coverage, 1848,
     /* 2281014 */     GIR_EraseRootFromParent_Done,
     /* 2281015 */   // Label 31117: @2281015
     /* 2281015 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2281049), // Rule ID 1849 //
     /* 2281020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2281023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281035 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2281038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281048 */     // GIR_Coverage, 1849,
     /* 2281048 */     GIR_EraseRootFromParent_Done,
     /* 2281049 */   // Label 31118: @2281049
     /* 2281049 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2281083), // Rule ID 1852 //
     /* 2281054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2281057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281069 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2281072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281082 */     // GIR_Coverage, 1852,
     /* 2281082 */     GIR_EraseRootFromParent_Done,
     /* 2281083 */   // Label 31119: @2281083
     /* 2281083 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2281117), // Rule ID 1853 //
     /* 2281088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2281091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281103 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2281106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281116 */     // GIR_Coverage, 1853,
     /* 2281116 */     GIR_EraseRootFromParent_Done,
     /* 2281117 */   // Label 31120: @2281117
     /* 2281117 */   GIM_Reject,
     /* 2281118 */ // Label 31116: @2281118
     /* 2281118 */ GIM_Reject,
     /* 2281119 */ // Label 31098: @2281119
     /* 2281119 */ GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2281267),
     /* 2281124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2281127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2281130 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2281164), // Rule ID 1139 //
     /* 2281135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2281138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281150 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2281153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281163 */     // GIR_Coverage, 1139,
     /* 2281163 */     GIR_EraseRootFromParent_Done,
     /* 2281164 */   // Label 31122: @2281164
     /* 2281164 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2281198), // Rule ID 1140 //
     /* 2281169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2281172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281184 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2281187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281197 */     // GIR_Coverage, 1140,
     /* 2281197 */     GIR_EraseRootFromParent_Done,
     /* 2281198 */   // Label 31123: @2281198
     /* 2281198 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2281232), // Rule ID 1143 //
     /* 2281203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2281206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281218 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2281221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281231 */     // GIR_Coverage, 1143,
     /* 2281231 */     GIR_EraseRootFromParent_Done,
     /* 2281232 */   // Label 31124: @2281232
     /* 2281232 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2281266), // Rule ID 1144 //
     /* 2281237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2281240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281252 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2281255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281265 */     // GIR_Coverage, 1144,
     /* 2281265 */     GIR_EraseRootFromParent_Done,
     /* 2281266 */   // Label 31125: @2281266
     /* 2281266 */   GIM_Reject,
     /* 2281267 */ // Label 31121: @2281267
     /* 2281267 */ GIM_Reject,
     /* 2281268 */ // Label 31099: @2281268
     /* 2281268 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2281450),
     /* 2281273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2281279 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2281313), // Rule ID 1474 //
     /* 2281284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281299 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2281302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281312 */     // GIR_Coverage, 1474,
     /* 2281312 */     GIR_EraseRootFromParent_Done,
     /* 2281313 */   // Label 31127: @2281313
     /* 2281313 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2281347), // Rule ID 1475 //
     /* 2281318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281333 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2281336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281346 */     // GIR_Coverage, 1475,
     /* 2281346 */     GIR_EraseRootFromParent_Done,
     /* 2281347 */   // Label 31128: @2281347
     /* 2281347 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2281381), // Rule ID 1478 //
     /* 2281352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281367 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2281370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281380 */     // GIR_Coverage, 1478,
     /* 2281380 */     GIR_EraseRootFromParent_Done,
     /* 2281381 */   // Label 31129: @2281381
     /* 2281381 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2281415), // Rule ID 1479 //
     /* 2281386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281401 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2281404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281414 */     // GIR_Coverage, 1479,
     /* 2281414 */     GIR_EraseRootFromParent_Done,
     /* 2281415 */   // Label 31130: @2281415
     /* 2281415 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2281449), // Rule ID 1481 //
     /* 2281420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281435 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2281438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281448 */     // GIR_Coverage, 1481,
     /* 2281448 */     GIR_EraseRootFromParent_Done,
     /* 2281449 */   // Label 31131: @2281449
     /* 2281449 */   GIM_Reject,
     /* 2281450 */ // Label 31126: @2281450
     /* 2281450 */ GIM_Reject,
     /* 2281451 */ // Label 31100: @2281451
     /* 2281451 */ GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2281571),
     /* 2281456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281474 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2281522), // Rule ID 45638 //
     /* 2281479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281482 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281521 */     // GIR_Coverage, 45638,
     /* 2281521 */     GIR_EraseRootFromParent_Done,
     /* 2281522 */   // Label 31133: @2281522
     /* 2281522 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2281570), // Rule ID 45639 //
     /* 2281527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281530 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281569 */     // GIR_Coverage, 45639,
     /* 2281569 */     GIR_EraseRootFromParent_Done,
     /* 2281570 */   // Label 31134: @2281570
     /* 2281570 */   GIM_Reject,
     /* 2281571 */ // Label 31132: @2281571
     /* 2281571 */ GIM_Reject,
     /* 2281572 */ // Label 31101: @2281572
     /* 2281572 */ GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2281692),
     /* 2281577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281595 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2281643), // Rule ID 53174 //
     /* 2281600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281603 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281642 */     // GIR_Coverage, 53174,
     /* 2281642 */     GIR_EraseRootFromParent_Done,
     /* 2281643 */   // Label 31136: @2281643
     /* 2281643 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2281691), // Rule ID 53175 //
     /* 2281648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281651 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281690 */     // GIR_Coverage, 53175,
     /* 2281690 */     GIR_EraseRootFromParent_Done,
     /* 2281691 */   // Label 31137: @2281691
     /* 2281691 */   GIM_Reject,
     /* 2281692 */ // Label 31135: @2281692
     /* 2281692 */ GIM_Reject,
     /* 2281693 */ // Label 31102: @2281693
     /* 2281693 */ GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2281813),
     /* 2281698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281716 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2281764), // Rule ID 53210 //
     /* 2281721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281724 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281763 */     // GIR_Coverage, 53210,
     /* 2281763 */     GIR_EraseRootFromParent_Done,
     /* 2281764 */   // Label 31139: @2281764
     /* 2281764 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2281812), // Rule ID 53211 //
     /* 2281769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281772 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281811 */     // GIR_Coverage, 53211,
     /* 2281811 */     GIR_EraseRootFromParent_Done,
     /* 2281812 */   // Label 31140: @2281812
     /* 2281812 */   GIM_Reject,
     /* 2281813 */ // Label 31138: @2281813
     /* 2281813 */ GIM_Reject,
     /* 2281814 */ // Label 31103: @2281814
     /* 2281814 */ GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2281934),
     /* 2281819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281837 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2281885), // Rule ID 53162 //
     /* 2281842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281845 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281884 */     // GIR_Coverage, 53162,
     /* 2281884 */     GIR_EraseRootFromParent_Done,
     /* 2281885 */   // Label 31142: @2281885
     /* 2281885 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2281933), // Rule ID 53163 //
     /* 2281890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281893 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281932 */     // GIR_Coverage, 53163,
     /* 2281932 */     GIR_EraseRootFromParent_Done,
     /* 2281933 */   // Label 31143: @2281933
     /* 2281933 */   GIM_Reject,
     /* 2281934 */ // Label 31141: @2281934
     /* 2281934 */ GIM_Reject,
     /* 2281935 */ // Label 31104: @2281935
     /* 2281935 */ GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2282055),
     /* 2281940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2281943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2281946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281958 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2282006), // Rule ID 53198 //
     /* 2281963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281966 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282005 */     // GIR_Coverage, 53198,
     /* 2282005 */     GIR_EraseRootFromParent_Done,
     /* 2282006 */   // Label 31145: @2282006
     /* 2282006 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2282054), // Rule ID 53199 //
     /* 2282011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282014 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2282031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282053 */     // GIR_Coverage, 53199,
     /* 2282053 */     GIR_EraseRootFromParent_Done,
     /* 2282054 */   // Label 31146: @2282054
     /* 2282054 */   GIM_Reject,
     /* 2282055 */ // Label 31144: @2282055
     /* 2282055 */ GIM_Reject,
     /* 2282056 */ // Label 31105: @2282056
     /* 2282056 */ GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2282176),
     /* 2282061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2282064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2282067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282079 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2282127), // Rule ID 53294 //
     /* 2282084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282087 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2282104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282126 */     // GIR_Coverage, 53294,
     /* 2282126 */     GIR_EraseRootFromParent_Done,
     /* 2282127 */   // Label 31148: @2282127
     /* 2282127 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2282175), // Rule ID 53295 //
     /* 2282132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282135 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2282152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282174 */     // GIR_Coverage, 53295,
     /* 2282174 */     GIR_EraseRootFromParent_Done,
     /* 2282175 */   // Label 31149: @2282175
     /* 2282175 */   GIM_Reject,
     /* 2282176 */ // Label 31147: @2282176
     /* 2282176 */ GIM_Reject,
     /* 2282177 */ // Label 31106: @2282177
     /* 2282177 */ GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2282297),
     /* 2282182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2282185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2282188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282200 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2282248), // Rule ID 53186 //
     /* 2282205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282208 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2282225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282247 */     // GIR_Coverage, 53186,
     /* 2282247 */     GIR_EraseRootFromParent_Done,
     /* 2282248 */   // Label 31151: @2282248
     /* 2282248 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2282296), // Rule ID 53187 //
     /* 2282253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282256 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2282273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282295 */     // GIR_Coverage, 53187,
     /* 2282295 */     GIR_EraseRootFromParent_Done,
     /* 2282296 */   // Label 31152: @2282296
     /* 2282296 */   GIM_Reject,
     /* 2282297 */ // Label 31150: @2282297
     /* 2282297 */ GIM_Reject,
     /* 2282298 */ // Label 31107: @2282298
     /* 2282298 */ GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2282418),
     /* 2282303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2282306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2282309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282321 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2282369), // Rule ID 53258 //
     /* 2282326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282329 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2282346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282368 */     // GIR_Coverage, 53258,
     /* 2282368 */     GIR_EraseRootFromParent_Done,
     /* 2282369 */   // Label 31154: @2282369
     /* 2282369 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2282417), // Rule ID 53259 //
     /* 2282374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282377 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2282394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282416 */     // GIR_Coverage, 53259,
     /* 2282416 */     GIR_EraseRootFromParent_Done,
     /* 2282417 */   // Label 31155: @2282417
     /* 2282417 */   GIM_Reject,
     /* 2282418 */ // Label 31153: @2282418
     /* 2282418 */ GIM_Reject,
     /* 2282419 */ // Label 31108: @2282419
     /* 2282419 */ GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2282539),
     /* 2282424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282442 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2282490), // Rule ID 53306 //
     /* 2282447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282450 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282489 */     // GIR_Coverage, 53306,
     /* 2282489 */     GIR_EraseRootFromParent_Done,
     /* 2282490 */   // Label 31157: @2282490
     /* 2282490 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2282538), // Rule ID 53307 //
     /* 2282495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282498 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282537 */     // GIR_Coverage, 53307,
     /* 2282537 */     GIR_EraseRootFromParent_Done,
     /* 2282538 */   // Label 31158: @2282538
     /* 2282538 */   GIM_Reject,
     /* 2282539 */ // Label 31156: @2282539
     /* 2282539 */ GIM_Reject,
     /* 2282540 */ // Label 31109: @2282540
     /* 2282540 */ GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2282660),
     /* 2282545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282563 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2282611), // Rule ID 53222 //
     /* 2282568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282571 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282610 */     // GIR_Coverage, 53222,
     /* 2282610 */     GIR_EraseRootFromParent_Done,
     /* 2282611 */   // Label 31160: @2282611
     /* 2282611 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2282659), // Rule ID 53223 //
     /* 2282616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282619 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282658 */     // GIR_Coverage, 53223,
     /* 2282658 */     GIR_EraseRootFromParent_Done,
     /* 2282659 */   // Label 31161: @2282659
     /* 2282659 */   GIM_Reject,
     /* 2282660 */ // Label 31159: @2282660
     /* 2282660 */ GIM_Reject,
     /* 2282661 */ // Label 31110: @2282661
     /* 2282661 */ GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2282781),
     /* 2282666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2282669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2282672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282684 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2282732), // Rule ID 53270 //
     /* 2282689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282692 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282731 */     // GIR_Coverage, 53270,
     /* 2282731 */     GIR_EraseRootFromParent_Done,
     /* 2282732 */   // Label 31163: @2282732
     /* 2282732 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2282780), // Rule ID 53271 //
     /* 2282737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282740 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282779 */     // GIR_Coverage, 53271,
     /* 2282779 */     GIR_EraseRootFromParent_Done,
     /* 2282780 */   // Label 31164: @2282780
     /* 2282780 */   GIM_Reject,
     /* 2282781 */ // Label 31162: @2282781
     /* 2282781 */ GIM_Reject,
     /* 2282782 */ // Label 31111: @2282782
     /* 2282782 */ GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2282902),
     /* 2282787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2282790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282805 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2282853), // Rule ID 53318 //
     /* 2282810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282813 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282852 */     // GIR_Coverage, 53318,
     /* 2282852 */     GIR_EraseRootFromParent_Done,
     /* 2282853 */   // Label 31166: @2282853
     /* 2282853 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2282901), // Rule ID 53319 //
     /* 2282858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282861 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282900 */     // GIR_Coverage, 53319,
     /* 2282900 */     GIR_EraseRootFromParent_Done,
     /* 2282901 */   // Label 31167: @2282901
     /* 2282901 */   GIM_Reject,
     /* 2282902 */ // Label 31165: @2282902
     /* 2282902 */ GIM_Reject,
     /* 2282903 */ // Label 31112: @2282903
     /* 2282903 */ GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2283023),
     /* 2282908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2282911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2282914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282926 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2282974), // Rule ID 53234 //
     /* 2282931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282934 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282973 */     // GIR_Coverage, 53234,
     /* 2282973 */     GIR_EraseRootFromParent_Done,
     /* 2282974 */   // Label 31169: @2282974
     /* 2282974 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2283022), // Rule ID 53235 //
     /* 2282979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282982 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283021 */     // GIR_Coverage, 53235,
     /* 2283021 */     GIR_EraseRootFromParent_Done,
     /* 2283022 */   // Label 31170: @2283022
     /* 2283022 */   GIM_Reject,
     /* 2283023 */ // Label 31168: @2283023
     /* 2283023 */ GIM_Reject,
     /* 2283024 */ // Label 31113: @2283024
     /* 2283024 */ GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2283144),
     /* 2283029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2283032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2283035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283047 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2283095), // Rule ID 53282 //
     /* 2283052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283055 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2283072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283094 */     // GIR_Coverage, 53282,
     /* 2283094 */     GIR_EraseRootFromParent_Done,
     /* 2283095 */   // Label 31172: @2283095
     /* 2283095 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2283143), // Rule ID 53283 //
     /* 2283100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283103 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2283120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283142 */     // GIR_Coverage, 53283,
     /* 2283142 */     GIR_EraseRootFromParent_Done,
     /* 2283143 */   // Label 31173: @2283143
     /* 2283143 */   GIM_Reject,
     /* 2283144 */ // Label 31171: @2283144
     /* 2283144 */ GIM_Reject,
     /* 2283145 */ // Label 31114: @2283145
     /* 2283145 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2283265),
     /* 2283150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2283153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2283156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283168 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2283216), // Rule ID 53246 //
     /* 2283173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283176 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2283193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283215 */     // GIR_Coverage, 53246,
     /* 2283215 */     GIR_EraseRootFromParent_Done,
     /* 2283216 */   // Label 31175: @2283216
     /* 2283216 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2283264), // Rule ID 53247 //
     /* 2283221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283224 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2283241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283263 */     // GIR_Coverage, 53247,
     /* 2283263 */     GIR_EraseRootFromParent_Done,
     /* 2283264 */   // Label 31176: @2283264
     /* 2283264 */   GIM_Reject,
     /* 2283265 */ // Label 31174: @2283265
     /* 2283265 */ GIM_Reject,
     /* 2283266 */ // Label 31115: @2283266
     /* 2283266 */ GIM_Reject,
     /* 2283267 */ // Label 60: @2283267
     /* 2283267 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31195*/ GIMT_Encode4(2285694),
     /* 2283278 */ /*GILLT_s16*//*Label 31177*/ GIMT_Encode4(2283398),
     /* 2283282 */ /*GILLT_s32*//*Label 31178*/ GIMT_Encode4(2283547),
     /* 2283286 */ /*GILLT_s64*//*Label 31179*/ GIMT_Encode4(2283696), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283298 */ /*GILLT_nxv1s16*//*Label 31180*/ GIMT_Encode4(2283879),
     /* 2283302 */ /*GILLT_nxv1s32*//*Label 31181*/ GIMT_Encode4(2284000),
     /* 2283306 */ /*GILLT_nxv1s64*//*Label 31182*/ GIMT_Encode4(2284121), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283318 */ /*GILLT_nxv2s16*//*Label 31183*/ GIMT_Encode4(2284242),
     /* 2283322 */ /*GILLT_nxv2s32*//*Label 31184*/ GIMT_Encode4(2284363),
     /* 2283326 */ /*GILLT_nxv2s64*//*Label 31185*/ GIMT_Encode4(2284484), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283338 */ /*GILLT_nxv4s16*//*Label 31186*/ GIMT_Encode4(2284605),
     /* 2283342 */ /*GILLT_nxv4s32*//*Label 31187*/ GIMT_Encode4(2284726),
     /* 2283346 */ /*GILLT_nxv4s64*//*Label 31188*/ GIMT_Encode4(2284847), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283358 */ /*GILLT_nxv8s16*//*Label 31189*/ GIMT_Encode4(2284968),
     /* 2283362 */ /*GILLT_nxv8s32*//*Label 31190*/ GIMT_Encode4(2285089),
     /* 2283366 */ /*GILLT_nxv8s64*//*Label 31191*/ GIMT_Encode4(2285210), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283378 */ /*GILLT_nxv16s16*//*Label 31192*/ GIMT_Encode4(2285331),
     /* 2283382 */ /*GILLT_nxv16s32*//*Label 31193*/ GIMT_Encode4(2285452), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283394 */ /*GILLT_nxv32s16*//*Label 31194*/ GIMT_Encode4(2285573),
     /* 2283398 */ // Label 31177: @2283398
     /* 2283398 */ GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2283546),
     /* 2283403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2283406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2283409 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2283443), // Rule ID 1856 //
     /* 2283414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2283417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283429 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283442 */     // GIR_Coverage, 1856,
     /* 2283442 */     GIR_EraseRootFromParent_Done,
     /* 2283443 */   // Label 31197: @2283443
     /* 2283443 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2283477), // Rule ID 1857 //
     /* 2283448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2283451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283463 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283476 */     // GIR_Coverage, 1857,
     /* 2283476 */     GIR_EraseRootFromParent_Done,
     /* 2283477 */   // Label 31198: @2283477
     /* 2283477 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2283511), // Rule ID 1860 //
     /* 2283482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2283485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283497 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283510 */     // GIR_Coverage, 1860,
     /* 2283510 */     GIR_EraseRootFromParent_Done,
     /* 2283511 */   // Label 31199: @2283511
     /* 2283511 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2283545), // Rule ID 1861 //
     /* 2283516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2283519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283531 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283544 */     // GIR_Coverage, 1861,
     /* 2283544 */     GIR_EraseRootFromParent_Done,
     /* 2283545 */   // Label 31200: @2283545
     /* 2283545 */   GIM_Reject,
     /* 2283546 */ // Label 31196: @2283546
     /* 2283546 */ GIM_Reject,
     /* 2283547 */ // Label 31178: @2283547
     /* 2283547 */ GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2283695),
     /* 2283552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283558 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2283592), // Rule ID 1147 //
     /* 2283563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283578 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283591 */     // GIR_Coverage, 1147,
     /* 2283591 */     GIR_EraseRootFromParent_Done,
     /* 2283592 */   // Label 31202: @2283592
     /* 2283592 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2283626), // Rule ID 1148 //
     /* 2283597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283612 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283625 */     // GIR_Coverage, 1148,
     /* 2283625 */     GIR_EraseRootFromParent_Done,
     /* 2283626 */   // Label 31203: @2283626
     /* 2283626 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2283660), // Rule ID 1151 //
     /* 2283631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283646 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283659 */     // GIR_Coverage, 1151,
     /* 2283659 */     GIR_EraseRootFromParent_Done,
     /* 2283660 */   // Label 31204: @2283660
     /* 2283660 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2283694), // Rule ID 1152 //
     /* 2283665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283680 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283693 */     // GIR_Coverage, 1152,
     /* 2283693 */     GIR_EraseRootFromParent_Done,
     /* 2283694 */   // Label 31205: @2283694
     /* 2283694 */   GIM_Reject,
     /* 2283695 */ // Label 31201: @2283695
     /* 2283695 */ GIM_Reject,
     /* 2283696 */ // Label 31179: @2283696
     /* 2283696 */ GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2283878),
     /* 2283701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2283704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2283707 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2283741), // Rule ID 1484 //
     /* 2283712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2283715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283727 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283740 */     // GIR_Coverage, 1484,
     /* 2283740 */     GIR_EraseRootFromParent_Done,
     /* 2283741 */   // Label 31207: @2283741
     /* 2283741 */   GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2283775), // Rule ID 1485 //
     /* 2283746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2283749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283761 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283774 */     // GIR_Coverage, 1485,
     /* 2283774 */     GIR_EraseRootFromParent_Done,
     /* 2283775 */   // Label 31208: @2283775
     /* 2283775 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2283809), // Rule ID 1488 //
     /* 2283780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2283783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283795 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283808 */     // GIR_Coverage, 1488,
     /* 2283808 */     GIR_EraseRootFromParent_Done,
     /* 2283809 */   // Label 31209: @2283809
     /* 2283809 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2283843), // Rule ID 1489 //
     /* 2283814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2283817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283829 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283842 */     // GIR_Coverage, 1489,
     /* 2283842 */     GIR_EraseRootFromParent_Done,
     /* 2283843 */   // Label 31210: @2283843
     /* 2283843 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2283877), // Rule ID 1491 //
     /* 2283848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2283851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283863 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2283866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283876 */     // GIR_Coverage, 1491,
     /* 2283876 */     GIR_EraseRootFromParent_Done,
     /* 2283877 */   // Label 31211: @2283877
     /* 2283877 */   GIM_Reject,
     /* 2283878 */ // Label 31206: @2283878
     /* 2283878 */ GIM_Reject,
     /* 2283879 */ // Label 31180: @2283879
     /* 2283879 */ GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2283999),
     /* 2283884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2283890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283902 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2283950), // Rule ID 53330 //
     /* 2283907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283910 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283949 */     // GIR_Coverage, 53330,
     /* 2283949 */     GIR_EraseRootFromParent_Done,
     /* 2283950 */   // Label 31213: @2283950
     /* 2283950 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2283998), // Rule ID 53331 //
     /* 2283955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283958 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283997 */     // GIR_Coverage, 53331,
     /* 2283997 */     GIR_EraseRootFromParent_Done,
     /* 2283998 */   // Label 31214: @2283998
     /* 2283998 */   GIM_Reject,
     /* 2283999 */ // Label 31212: @2283999
     /* 2283999 */ GIM_Reject,
     /* 2284000 */ // Label 31181: @2284000
     /* 2284000 */ GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2284120),
     /* 2284005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2284008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2284011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284023 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2284071), // Rule ID 53354 //
     /* 2284028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284031 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2284048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284070 */     // GIR_Coverage, 53354,
     /* 2284070 */     GIR_EraseRootFromParent_Done,
     /* 2284071 */   // Label 31216: @2284071
     /* 2284071 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2284119), // Rule ID 53355 //
     /* 2284076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284079 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2284096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284118 */     // GIR_Coverage, 53355,
     /* 2284118 */     GIR_EraseRootFromParent_Done,
     /* 2284119 */   // Label 31217: @2284119
     /* 2284119 */   GIM_Reject,
     /* 2284120 */ // Label 31215: @2284120
     /* 2284120 */ GIM_Reject,
     /* 2284121 */ // Label 31182: @2284121
     /* 2284121 */ GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2284241),
     /* 2284126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284144 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2284192), // Rule ID 53390 //
     /* 2284149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284152 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2284169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284191 */     // GIR_Coverage, 53390,
     /* 2284191 */     GIR_EraseRootFromParent_Done,
     /* 2284192 */   // Label 31219: @2284192
     /* 2284192 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2284240), // Rule ID 53391 //
     /* 2284197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284200 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2284217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284239 */     // GIR_Coverage, 53391,
     /* 2284239 */     GIR_EraseRootFromParent_Done,
     /* 2284240 */   // Label 31220: @2284240
     /* 2284240 */   GIM_Reject,
     /* 2284241 */ // Label 31218: @2284241
     /* 2284241 */ GIM_Reject,
     /* 2284242 */ // Label 31183: @2284242
     /* 2284242 */ GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2284362),
     /* 2284247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284265 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2284313), // Rule ID 53342 //
     /* 2284270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284273 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2284290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284312 */     // GIR_Coverage, 53342,
     /* 2284312 */     GIR_EraseRootFromParent_Done,
     /* 2284313 */   // Label 31222: @2284313
     /* 2284313 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2284361), // Rule ID 53343 //
     /* 2284318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284321 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2284338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284360 */     // GIR_Coverage, 53343,
     /* 2284360 */     GIR_EraseRootFromParent_Done,
     /* 2284361 */   // Label 31223: @2284361
     /* 2284361 */   GIM_Reject,
     /* 2284362 */ // Label 31221: @2284362
     /* 2284362 */ GIM_Reject,
     /* 2284363 */ // Label 31184: @2284363
     /* 2284363 */ GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2284483),
     /* 2284368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2284371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2284374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284386 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2284434), // Rule ID 53378 //
     /* 2284391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284394 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284433 */     // GIR_Coverage, 53378,
     /* 2284433 */     GIR_EraseRootFromParent_Done,
     /* 2284434 */   // Label 31225: @2284434
     /* 2284434 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2284482), // Rule ID 53379 //
     /* 2284439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284442 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284481 */     // GIR_Coverage, 53379,
     /* 2284481 */     GIR_EraseRootFromParent_Done,
     /* 2284482 */   // Label 31226: @2284482
     /* 2284482 */   GIM_Reject,
     /* 2284483 */ // Label 31224: @2284483
     /* 2284483 */ GIM_Reject,
     /* 2284484 */ // Label 31185: @2284484
     /* 2284484 */ GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2284604),
     /* 2284489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284507 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2284555), // Rule ID 53474 //
     /* 2284512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284515 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284554 */     // GIR_Coverage, 53474,
     /* 2284554 */     GIR_EraseRootFromParent_Done,
     /* 2284555 */   // Label 31228: @2284555
     /* 2284555 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2284603), // Rule ID 53475 //
     /* 2284560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284563 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284602 */     // GIR_Coverage, 53475,
     /* 2284602 */     GIR_EraseRootFromParent_Done,
     /* 2284603 */   // Label 31229: @2284603
     /* 2284603 */   GIM_Reject,
     /* 2284604 */ // Label 31227: @2284604
     /* 2284604 */ GIM_Reject,
     /* 2284605 */ // Label 31186: @2284605
     /* 2284605 */ GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2284725),
     /* 2284610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2284613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2284616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284628 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2284676), // Rule ID 53366 //
     /* 2284633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284636 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284675 */     // GIR_Coverage, 53366,
     /* 2284675 */     GIR_EraseRootFromParent_Done,
     /* 2284676 */   // Label 31231: @2284676
     /* 2284676 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2284724), // Rule ID 53367 //
     /* 2284681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284684 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284723 */     // GIR_Coverage, 53367,
     /* 2284723 */     GIR_EraseRootFromParent_Done,
     /* 2284724 */   // Label 31232: @2284724
     /* 2284724 */   GIM_Reject,
     /* 2284725 */ // Label 31230: @2284725
     /* 2284725 */ GIM_Reject,
     /* 2284726 */ // Label 31187: @2284726
     /* 2284726 */ GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2284846),
     /* 2284731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2284734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284749 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2284797), // Rule ID 53438 //
     /* 2284754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284757 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284796 */     // GIR_Coverage, 53438,
     /* 2284796 */     GIR_EraseRootFromParent_Done,
     /* 2284797 */   // Label 31234: @2284797
     /* 2284797 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2284845), // Rule ID 53439 //
     /* 2284802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284805 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284844 */     // GIR_Coverage, 53439,
     /* 2284844 */     GIR_EraseRootFromParent_Done,
     /* 2284845 */   // Label 31235: @2284845
     /* 2284845 */   GIM_Reject,
     /* 2284846 */ // Label 31233: @2284846
     /* 2284846 */ GIM_Reject,
     /* 2284847 */ // Label 31188: @2284847
     /* 2284847 */ GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2284967),
     /* 2284852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2284855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2284858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284870 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2284918), // Rule ID 53486 //
     /* 2284875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284878 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284917 */     // GIR_Coverage, 53486,
     /* 2284917 */     GIR_EraseRootFromParent_Done,
     /* 2284918 */   // Label 31237: @2284918
     /* 2284918 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2284966), // Rule ID 53487 //
     /* 2284923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284926 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284965 */     // GIR_Coverage, 53487,
     /* 2284965 */     GIR_EraseRootFromParent_Done,
     /* 2284966 */   // Label 31238: @2284966
     /* 2284966 */   GIM_Reject,
     /* 2284967 */ // Label 31236: @2284967
     /* 2284967 */ GIM_Reject,
     /* 2284968 */ // Label 31189: @2284968
     /* 2284968 */ GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2285088),
     /* 2284973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2284976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2284979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284991 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2285039), // Rule ID 53402 //
     /* 2284996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284999 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2285016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285038 */     // GIR_Coverage, 53402,
     /* 2285038 */     GIR_EraseRootFromParent_Done,
     /* 2285039 */   // Label 31240: @2285039
     /* 2285039 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2285087), // Rule ID 53403 //
     /* 2285044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285047 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2285064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285086 */     // GIR_Coverage, 53403,
     /* 2285086 */     GIR_EraseRootFromParent_Done,
     /* 2285087 */   // Label 31241: @2285087
     /* 2285087 */   GIM_Reject,
     /* 2285088 */ // Label 31239: @2285088
     /* 2285088 */ GIM_Reject,
     /* 2285089 */ // Label 31190: @2285089
     /* 2285089 */ GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2285209),
     /* 2285094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2285097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2285100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285112 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2285160), // Rule ID 53450 //
     /* 2285117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285120 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2285137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285159 */     // GIR_Coverage, 53450,
     /* 2285159 */     GIR_EraseRootFromParent_Done,
     /* 2285160 */   // Label 31243: @2285160
     /* 2285160 */   GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2285208), // Rule ID 53451 //
     /* 2285165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285168 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2285185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285207 */     // GIR_Coverage, 53451,
     /* 2285207 */     GIR_EraseRootFromParent_Done,
     /* 2285208 */   // Label 31244: @2285208
     /* 2285208 */   GIM_Reject,
     /* 2285209 */ // Label 31242: @2285209
     /* 2285209 */ GIM_Reject,
     /* 2285210 */ // Label 31191: @2285210
     /* 2285210 */ GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2285330),
     /* 2285215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2285218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285233 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2285281), // Rule ID 53498 //
     /* 2285238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285241 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2285258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285280 */     // GIR_Coverage, 53498,
     /* 2285280 */     GIR_EraseRootFromParent_Done,
     /* 2285281 */   // Label 31246: @2285281
     /* 2285281 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2285329), // Rule ID 53499 //
     /* 2285286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285289 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2285306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285328 */     // GIR_Coverage, 53499,
     /* 2285328 */     GIR_EraseRootFromParent_Done,
     /* 2285329 */   // Label 31247: @2285329
     /* 2285329 */   GIM_Reject,
     /* 2285330 */ // Label 31245: @2285330
     /* 2285330 */ GIM_Reject,
     /* 2285331 */ // Label 31192: @2285331
     /* 2285331 */ GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2285451),
     /* 2285336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2285339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2285342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285354 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2285402), // Rule ID 53414 //
     /* 2285359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285362 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285401 */     // GIR_Coverage, 53414,
     /* 2285401 */     GIR_EraseRootFromParent_Done,
     /* 2285402 */   // Label 31249: @2285402
     /* 2285402 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2285450), // Rule ID 53415 //
     /* 2285407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285410 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2285427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285449 */     // GIR_Coverage, 53415,
     /* 2285449 */     GIR_EraseRootFromParent_Done,
     /* 2285450 */   // Label 31250: @2285450
     /* 2285450 */   GIM_Reject,
     /* 2285451 */ // Label 31248: @2285451
     /* 2285451 */ GIM_Reject,
     /* 2285452 */ // Label 31193: @2285452
     /* 2285452 */ GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2285572),
     /* 2285457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285475 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2285523), // Rule ID 53462 //
     /* 2285480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285483 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285522 */     // GIR_Coverage, 53462,
     /* 2285522 */     GIR_EraseRootFromParent_Done,
     /* 2285523 */   // Label 31252: @2285523
     /* 2285523 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2285571), // Rule ID 53463 //
     /* 2285528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285531 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285570 */     // GIR_Coverage, 53463,
     /* 2285570 */     GIR_EraseRootFromParent_Done,
     /* 2285571 */   // Label 31253: @2285571
     /* 2285571 */   GIM_Reject,
     /* 2285572 */ // Label 31251: @2285572
     /* 2285572 */ GIM_Reject,
     /* 2285573 */ // Label 31194: @2285573
     /* 2285573 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2285693),
     /* 2285578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2285581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2285584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285596 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2285644), // Rule ID 53426 //
     /* 2285601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285604 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285643 */     // GIR_Coverage, 53426,
     /* 2285643 */     GIR_EraseRootFromParent_Done,
     /* 2285644 */   // Label 31255: @2285644
     /* 2285644 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2285692), // Rule ID 53427 //
     /* 2285649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285652 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285691 */     // GIR_Coverage, 53427,
     /* 2285691 */     GIR_EraseRootFromParent_Done,
     /* 2285692 */   // Label 31256: @2285692
     /* 2285692 */   GIM_Reject,
     /* 2285693 */ // Label 31254: @2285693
     /* 2285693 */ GIM_Reject,
     /* 2285694 */ // Label 31195: @2285694
     /* 2285694 */ GIM_Reject,
     /* 2285695 */ // Label 61: @2285695
     /* 2285695 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31275*/ GIMT_Encode4(2288122),
     /* 2285706 */ /*GILLT_s16*//*Label 31257*/ GIMT_Encode4(2285826),
     /* 2285710 */ /*GILLT_s32*//*Label 31258*/ GIMT_Encode4(2285975),
     /* 2285714 */ /*GILLT_s64*//*Label 31259*/ GIMT_Encode4(2286124), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285726 */ /*GILLT_nxv1s16*//*Label 31260*/ GIMT_Encode4(2286307),
     /* 2285730 */ /*GILLT_nxv1s32*//*Label 31261*/ GIMT_Encode4(2286428),
     /* 2285734 */ /*GILLT_nxv1s64*//*Label 31262*/ GIMT_Encode4(2286549), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285746 */ /*GILLT_nxv2s16*//*Label 31263*/ GIMT_Encode4(2286670),
     /* 2285750 */ /*GILLT_nxv2s32*//*Label 31264*/ GIMT_Encode4(2286791),
     /* 2285754 */ /*GILLT_nxv2s64*//*Label 31265*/ GIMT_Encode4(2286912), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285766 */ /*GILLT_nxv4s16*//*Label 31266*/ GIMT_Encode4(2287033),
     /* 2285770 */ /*GILLT_nxv4s32*//*Label 31267*/ GIMT_Encode4(2287154),
     /* 2285774 */ /*GILLT_nxv4s64*//*Label 31268*/ GIMT_Encode4(2287275), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285786 */ /*GILLT_nxv8s16*//*Label 31269*/ GIMT_Encode4(2287396),
     /* 2285790 */ /*GILLT_nxv8s32*//*Label 31270*/ GIMT_Encode4(2287517),
     /* 2285794 */ /*GILLT_nxv8s64*//*Label 31271*/ GIMT_Encode4(2287638), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285806 */ /*GILLT_nxv16s16*//*Label 31272*/ GIMT_Encode4(2287759),
     /* 2285810 */ /*GILLT_nxv16s32*//*Label 31273*/ GIMT_Encode4(2287880), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285822 */ /*GILLT_nxv32s16*//*Label 31274*/ GIMT_Encode4(2288001),
     /* 2285826 */ // Label 31257: @2285826
     /* 2285826 */ GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2285974),
     /* 2285831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2285834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2285837 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2285871), // Rule ID 1864 //
     /* 2285842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2285845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285857 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285870 */     // GIR_Coverage, 1864,
     /* 2285870 */     GIR_EraseRootFromParent_Done,
     /* 2285871 */   // Label 31277: @2285871
     /* 2285871 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2285905), // Rule ID 1865 //
     /* 2285876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2285879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285891 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285904 */     // GIR_Coverage, 1865,
     /* 2285904 */     GIR_EraseRootFromParent_Done,
     /* 2285905 */   // Label 31278: @2285905
     /* 2285905 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2285939), // Rule ID 1868 //
     /* 2285910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2285913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285925 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285938 */     // GIR_Coverage, 1868,
     /* 2285938 */     GIR_EraseRootFromParent_Done,
     /* 2285939 */   // Label 31279: @2285939
     /* 2285939 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2285973), // Rule ID 1869 //
     /* 2285944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2285947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285959 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285972 */     // GIR_Coverage, 1869,
     /* 2285972 */     GIR_EraseRootFromParent_Done,
     /* 2285973 */   // Label 31280: @2285973
     /* 2285973 */   GIM_Reject,
     /* 2285974 */ // Label 31276: @2285974
     /* 2285974 */ GIM_Reject,
     /* 2285975 */ // Label 31258: @2285975
     /* 2285975 */ GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2286123),
     /* 2285980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285986 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2286020), // Rule ID 1155 //
     /* 2285991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2285994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286006 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2286006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2286009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286019 */     // GIR_Coverage, 1155,
     /* 2286019 */     GIR_EraseRootFromParent_Done,
     /* 2286020 */   // Label 31282: @2286020
     /* 2286020 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2286054), // Rule ID 1156 //
     /* 2286025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2286028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286040 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2286040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2286043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286053 */     // GIR_Coverage, 1156,
     /* 2286053 */     GIR_EraseRootFromParent_Done,
     /* 2286054 */   // Label 31283: @2286054
     /* 2286054 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2286088), // Rule ID 1159 //
     /* 2286059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2286062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286074 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2286074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2286077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286087 */     // GIR_Coverage, 1159,
     /* 2286087 */     GIR_EraseRootFromParent_Done,
     /* 2286088 */   // Label 31284: @2286088
     /* 2286088 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2286122), // Rule ID 1160 //
     /* 2286093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2286096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2286108 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2286108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2286111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286121 */     // GIR_Coverage, 1160,
     /* 2286121 */     GIR_EraseRootFromParent_Done,
     /* 2286122 */   // Label 31285: @2286122
     /* 2286122 */   GIM_Reject,
     /* 2286123 */ // Label 31281: @2286123
     /* 2286123 */ GIM_Reject,
     /* 2286124 */ // Label 31259: @2286124
     /* 2286124 */ GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2286306),
     /* 2286129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2286132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2286135 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2286169), // Rule ID 1494 //
     /* 2286140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2286143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286155 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2286158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286168 */     // GIR_Coverage, 1494,
     /* 2286168 */     GIR_EraseRootFromParent_Done,
     /* 2286169 */   // Label 31287: @2286169
     /* 2286169 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2286203), // Rule ID 1495 //
     /* 2286174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2286177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286189 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2286189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2286192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286202 */     // GIR_Coverage, 1495,
     /* 2286202 */     GIR_EraseRootFromParent_Done,
     /* 2286203 */   // Label 31288: @2286203
     /* 2286203 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2286237), // Rule ID 1498 //
     /* 2286208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2286211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286223 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2286226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286236 */     // GIR_Coverage, 1498,
     /* 2286236 */     GIR_EraseRootFromParent_Done,
     /* 2286237 */   // Label 31289: @2286237
     /* 2286237 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2286271), // Rule ID 1499 //
     /* 2286242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2286245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286257 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2286257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2286260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286270 */     // GIR_Coverage, 1499,
     /* 2286270 */     GIR_EraseRootFromParent_Done,
     /* 2286271 */   // Label 31290: @2286271
     /* 2286271 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2286305), // Rule ID 1501 //
     /* 2286276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2286279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286291 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2286291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2286294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286304 */     // GIR_Coverage, 1501,
     /* 2286304 */     GIR_EraseRootFromParent_Done,
     /* 2286305 */   // Label 31291: @2286305
     /* 2286305 */   GIM_Reject,
     /* 2286306 */ // Label 31286: @2286306
     /* 2286306 */ GIM_Reject,
     /* 2286307 */ // Label 31260: @2286307
     /* 2286307 */ GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2286427),
     /* 2286312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2286318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286330 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2286378), // Rule ID 54098 //
     /* 2286335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286338 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2286355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286377 */     // GIR_Coverage, 54098,
     /* 2286377 */     GIR_EraseRootFromParent_Done,
     /* 2286378 */   // Label 31293: @2286378
     /* 2286378 */   GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2286426), // Rule ID 54099 //
     /* 2286383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286386 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2286403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286425 */     // GIR_Coverage, 54099,
     /* 2286425 */     GIR_EraseRootFromParent_Done,
     /* 2286426 */   // Label 31294: @2286426
     /* 2286426 */   GIM_Reject,
     /* 2286427 */ // Label 31292: @2286427
     /* 2286427 */ GIM_Reject,
     /* 2286428 */ // Label 31261: @2286428
     /* 2286428 */ GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2286548),
     /* 2286433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286451 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2286499), // Rule ID 54122 //
     /* 2286456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286459 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286498 */     // GIR_Coverage, 54122,
     /* 2286498 */     GIR_EraseRootFromParent_Done,
     /* 2286499 */   // Label 31296: @2286499
     /* 2286499 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2286547), // Rule ID 54123 //
     /* 2286504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286507 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286546 */     // GIR_Coverage, 54123,
     /* 2286546 */     GIR_EraseRootFromParent_Done,
     /* 2286547 */   // Label 31297: @2286547
     /* 2286547 */   GIM_Reject,
     /* 2286548 */ // Label 31295: @2286548
     /* 2286548 */ GIM_Reject,
     /* 2286549 */ // Label 31262: @2286549
     /* 2286549 */ GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2286669),
     /* 2286554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2286557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286572 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2286620), // Rule ID 54158 //
     /* 2286577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286580 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286619 */     // GIR_Coverage, 54158,
     /* 2286619 */     GIR_EraseRootFromParent_Done,
     /* 2286620 */   // Label 31299: @2286620
     /* 2286620 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2286668), // Rule ID 54159 //
     /* 2286625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286628 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286667 */     // GIR_Coverage, 54159,
     /* 2286667 */     GIR_EraseRootFromParent_Done,
     /* 2286668 */   // Label 31300: @2286668
     /* 2286668 */   GIM_Reject,
     /* 2286669 */ // Label 31298: @2286669
     /* 2286669 */ GIM_Reject,
     /* 2286670 */ // Label 31263: @2286670
     /* 2286670 */ GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2286790),
     /* 2286675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2286678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2286681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286693 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2286741), // Rule ID 54110 //
     /* 2286698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286701 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286740 */     // GIR_Coverage, 54110,
     /* 2286740 */     GIR_EraseRootFromParent_Done,
     /* 2286741 */   // Label 31302: @2286741
     /* 2286741 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2286789), // Rule ID 54111 //
     /* 2286746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286749 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286788 */     // GIR_Coverage, 54111,
     /* 2286788 */     GIR_EraseRootFromParent_Done,
     /* 2286789 */   // Label 31303: @2286789
     /* 2286789 */   GIM_Reject,
     /* 2286790 */ // Label 31301: @2286790
     /* 2286790 */ GIM_Reject,
     /* 2286791 */ // Label 31264: @2286791
     /* 2286791 */ GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2286911),
     /* 2286796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286814 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2286862), // Rule ID 54146 //
     /* 2286819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286822 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286861 */     // GIR_Coverage, 54146,
     /* 2286861 */     GIR_EraseRootFromParent_Done,
     /* 2286862 */   // Label 31305: @2286862
     /* 2286862 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2286910), // Rule ID 54147 //
     /* 2286867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286870 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286909 */     // GIR_Coverage, 54147,
     /* 2286909 */     GIR_EraseRootFromParent_Done,
     /* 2286910 */   // Label 31306: @2286910
     /* 2286910 */   GIM_Reject,
     /* 2286911 */ // Label 31304: @2286911
     /* 2286911 */ GIM_Reject,
     /* 2286912 */ // Label 31265: @2286912
     /* 2286912 */ GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2287032),
     /* 2286917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286935 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286983), // Rule ID 54242 //
     /* 2286940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286943 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286982 */     // GIR_Coverage, 54242,
     /* 2286982 */     GIR_EraseRootFromParent_Done,
     /* 2286983 */   // Label 31308: @2286983
     /* 2286983 */   GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2287031), // Rule ID 54243 //
     /* 2286988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286991 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2287008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287030 */     // GIR_Coverage, 54243,
     /* 2287030 */     GIR_EraseRootFromParent_Done,
     /* 2287031 */   // Label 31309: @2287031
     /* 2287031 */   GIM_Reject,
     /* 2287032 */ // Label 31307: @2287032
     /* 2287032 */ GIM_Reject,
     /* 2287033 */ // Label 31266: @2287033
     /* 2287033 */ GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2287153),
     /* 2287038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2287044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287056 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2287104), // Rule ID 54134 //
     /* 2287061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287064 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2287081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287103 */     // GIR_Coverage, 54134,
     /* 2287103 */     GIR_EraseRootFromParent_Done,
     /* 2287104 */   // Label 31311: @2287104
     /* 2287104 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2287152), // Rule ID 54135 //
     /* 2287109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287112 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2287129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287151 */     // GIR_Coverage, 54135,
     /* 2287151 */     GIR_EraseRootFromParent_Done,
     /* 2287152 */   // Label 31312: @2287152
     /* 2287152 */   GIM_Reject,
     /* 2287153 */ // Label 31310: @2287153
     /* 2287153 */ GIM_Reject,
     /* 2287154 */ // Label 31267: @2287154
     /* 2287154 */ GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2287274),
     /* 2287159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2287162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2287165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287177 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2287225), // Rule ID 54206 //
     /* 2287182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287185 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2287202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287224 */     // GIR_Coverage, 54206,
     /* 2287224 */     GIR_EraseRootFromParent_Done,
     /* 2287225 */   // Label 31314: @2287225
     /* 2287225 */   GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2287273), // Rule ID 54207 //
     /* 2287230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287233 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2287250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287272 */     // GIR_Coverage, 54207,
     /* 2287272 */     GIR_EraseRootFromParent_Done,
     /* 2287273 */   // Label 31315: @2287273
     /* 2287273 */   GIM_Reject,
     /* 2287274 */ // Label 31313: @2287274
     /* 2287274 */ GIM_Reject,
     /* 2287275 */ // Label 31268: @2287275
     /* 2287275 */ GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2287395),
     /* 2287280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2287283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2287286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287298 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2287346), // Rule ID 54254 //
     /* 2287303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287306 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2287323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287345 */     // GIR_Coverage, 54254,
     /* 2287345 */     GIR_EraseRootFromParent_Done,
     /* 2287346 */   // Label 31317: @2287346
     /* 2287346 */   GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2287394), // Rule ID 54255 //
     /* 2287351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287354 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2287371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287393 */     // GIR_Coverage, 54255,
     /* 2287393 */     GIR_EraseRootFromParent_Done,
     /* 2287394 */   // Label 31318: @2287394
     /* 2287394 */   GIM_Reject,
     /* 2287395 */ // Label 31316: @2287395
     /* 2287395 */ GIM_Reject,
     /* 2287396 */ // Label 31269: @2287396
     /* 2287396 */ GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2287516),
     /* 2287401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2287404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287419 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2287467), // Rule ID 54170 //
     /* 2287424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287427 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287466 */     // GIR_Coverage, 54170,
     /* 2287466 */     GIR_EraseRootFromParent_Done,
     /* 2287467 */   // Label 31320: @2287467
     /* 2287467 */   GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2287515), // Rule ID 54171 //
     /* 2287472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287475 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287514 */     // GIR_Coverage, 54171,
     /* 2287514 */     GIR_EraseRootFromParent_Done,
     /* 2287515 */   // Label 31321: @2287515
     /* 2287515 */   GIM_Reject,
     /* 2287516 */ // Label 31319: @2287516
     /* 2287516 */ GIM_Reject,
     /* 2287517 */ // Label 31270: @2287517
     /* 2287517 */ GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2287637),
     /* 2287522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2287525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2287528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287540 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2287588), // Rule ID 54218 //
     /* 2287545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287548 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287587 */     // GIR_Coverage, 54218,
     /* 2287587 */     GIR_EraseRootFromParent_Done,
     /* 2287588 */   // Label 31323: @2287588
     /* 2287588 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2287636), // Rule ID 54219 //
     /* 2287593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287596 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287635 */     // GIR_Coverage, 54219,
     /* 2287635 */     GIR_EraseRootFromParent_Done,
     /* 2287636 */   // Label 31324: @2287636
     /* 2287636 */   GIM_Reject,
     /* 2287637 */ // Label 31322: @2287637
     /* 2287637 */ GIM_Reject,
     /* 2287638 */ // Label 31271: @2287638
     /* 2287638 */ GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2287758),
     /* 2287643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2287646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2287649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287661 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2287709), // Rule ID 54266 //
     /* 2287666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287669 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287708 */     // GIR_Coverage, 54266,
     /* 2287708 */     GIR_EraseRootFromParent_Done,
     /* 2287709 */   // Label 31326: @2287709
     /* 2287709 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2287757), // Rule ID 54267 //
     /* 2287714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287717 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287756 */     // GIR_Coverage, 54267,
     /* 2287756 */     GIR_EraseRootFromParent_Done,
     /* 2287757 */   // Label 31327: @2287757
     /* 2287757 */   GIM_Reject,
     /* 2287758 */ // Label 31325: @2287758
     /* 2287758 */ GIM_Reject,
     /* 2287759 */ // Label 31272: @2287759
     /* 2287759 */ GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2287879),
     /* 2287764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287782 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2287830), // Rule ID 54182 //
     /* 2287787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287790 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287829 */     // GIR_Coverage, 54182,
     /* 2287829 */     GIR_EraseRootFromParent_Done,
     /* 2287830 */   // Label 31329: @2287830
     /* 2287830 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2287878), // Rule ID 54183 //
     /* 2287835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287838 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287877 */     // GIR_Coverage, 54183,
     /* 2287877 */     GIR_EraseRootFromParent_Done,
     /* 2287878 */   // Label 31330: @2287878
     /* 2287878 */   GIM_Reject,
     /* 2287879 */ // Label 31328: @2287879
     /* 2287879 */ GIM_Reject,
     /* 2287880 */ // Label 31273: @2287880
     /* 2287880 */ GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2288000),
     /* 2287885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287903 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2287951), // Rule ID 54230 //
     /* 2287908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287911 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287950 */     // GIR_Coverage, 54230,
     /* 2287950 */     GIR_EraseRootFromParent_Done,
     /* 2287951 */   // Label 31332: @2287951
     /* 2287951 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2287999), // Rule ID 54231 //
     /* 2287956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287959 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287998 */     // GIR_Coverage, 54231,
     /* 2287998 */     GIR_EraseRootFromParent_Done,
     /* 2287999 */   // Label 31333: @2287999
     /* 2287999 */   GIM_Reject,
     /* 2288000 */ // Label 31331: @2288000
     /* 2288000 */ GIM_Reject,
     /* 2288001 */ // Label 31274: @2288001
     /* 2288001 */ GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2288121),
     /* 2288006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2288009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2288012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288024 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2288072), // Rule ID 54194 //
     /* 2288029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288032 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2288049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288071 */     // GIR_Coverage, 54194,
     /* 2288071 */     GIR_EraseRootFromParent_Done,
     /* 2288072 */   // Label 31335: @2288072
     /* 2288072 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2288120), // Rule ID 54195 //
     /* 2288077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288080 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2288097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288119 */     // GIR_Coverage, 54195,
     /* 2288119 */     GIR_EraseRootFromParent_Done,
     /* 2288120 */   // Label 31336: @2288120
     /* 2288120 */   GIM_Reject,
     /* 2288121 */ // Label 31334: @2288121
     /* 2288121 */ GIM_Reject,
     /* 2288122 */ // Label 31275: @2288122
     /* 2288122 */ GIM_Reject,
     /* 2288123 */ // Label 62: @2288123
     /* 2288123 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31355*/ GIMT_Encode4(2304767),
     /* 2288134 */ /*GILLT_s16*//*Label 31337*/ GIMT_Encode4(2288254),
     /* 2288138 */ /*GILLT_s32*//*Label 31338*/ GIMT_Encode4(2289690),
     /* 2288142 */ /*GILLT_s64*//*Label 31339*/ GIMT_Encode4(2291126), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288154 */ /*GILLT_nxv1s16*//*Label 31340*/ GIMT_Encode4(2292917),
     /* 2288158 */ /*GILLT_nxv1s32*//*Label 31341*/ GIMT_Encode4(2293707),
     /* 2288162 */ /*GILLT_nxv1s64*//*Label 31342*/ GIMT_Encode4(2294497), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288174 */ /*GILLT_nxv2s16*//*Label 31343*/ GIMT_Encode4(2295287),
     /* 2288178 */ /*GILLT_nxv2s32*//*Label 31344*/ GIMT_Encode4(2296077),
     /* 2288182 */ /*GILLT_nxv2s64*//*Label 31345*/ GIMT_Encode4(2296867), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288194 */ /*GILLT_nxv4s16*//*Label 31346*/ GIMT_Encode4(2297657),
     /* 2288198 */ /*GILLT_nxv4s32*//*Label 31347*/ GIMT_Encode4(2298447),
     /* 2288202 */ /*GILLT_nxv4s64*//*Label 31348*/ GIMT_Encode4(2299237), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288214 */ /*GILLT_nxv8s16*//*Label 31349*/ GIMT_Encode4(2300027),
     /* 2288218 */ /*GILLT_nxv8s32*//*Label 31350*/ GIMT_Encode4(2300817),
     /* 2288222 */ /*GILLT_nxv8s64*//*Label 31351*/ GIMT_Encode4(2301607), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288234 */ /*GILLT_nxv16s16*//*Label 31352*/ GIMT_Encode4(2302397),
     /* 2288238 */ /*GILLT_nxv16s32*//*Label 31353*/ GIMT_Encode4(2303187), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2288250 */ /*GILLT_nxv32s16*//*Label 31354*/ GIMT_Encode4(2303977),
     /* 2288254 */ // Label 31337: @2288254
     /* 2288254 */ GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2289689),
     /* 2288259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2288265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2288268 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2288340), // Rule ID 1905 //
     /* 2288273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288320 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288339 */     // GIR_Coverage, 1905,
     /* 2288339 */     GIR_EraseRootFromParent_Done,
     /* 2288340 */   // Label 31357: @2288340
     /* 2288340 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2288412), // Rule ID 1906 //
     /* 2288345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288392 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288411 */     // GIR_Coverage, 1906,
     /* 2288411 */     GIR_EraseRootFromParent_Done,
     /* 2288412 */   // Label 31358: @2288412
     /* 2288412 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2288484), // Rule ID 1938 //
     /* 2288417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288464 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288483 */     // GIR_Coverage, 1938,
     /* 2288483 */     GIR_EraseRootFromParent_Done,
     /* 2288484 */   // Label 31359: @2288484
     /* 2288484 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2288556), // Rule ID 1939 //
     /* 2288489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288536 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288555 */     // GIR_Coverage, 1939,
     /* 2288555 */     GIR_EraseRootFromParent_Done,
     /* 2288556 */   // Label 31360: @2288556
     /* 2288556 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2288628), // Rule ID 65047 //
     /* 2288561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288608 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288627 */     // GIR_Coverage, 65047,
     /* 2288627 */     GIR_EraseRootFromParent_Done,
     /* 2288628 */   // Label 31361: @2288628
     /* 2288628 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2288700), // Rule ID 65048 //
     /* 2288633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288680 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288699 */     // GIR_Coverage, 65048,
     /* 2288699 */     GIR_EraseRootFromParent_Done,
     /* 2288700 */   // Label 31362: @2288700
     /* 2288700 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2288772), // Rule ID 65055 //
     /* 2288705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288752 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288771 */     // GIR_Coverage, 65055,
     /* 2288771 */     GIR_EraseRootFromParent_Done,
     /* 2288772 */   // Label 31363: @2288772
     /* 2288772 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2288844), // Rule ID 65056 //
     /* 2288777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288824 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288843 */     // GIR_Coverage, 65056,
     /* 2288843 */     GIR_EraseRootFromParent_Done,
     /* 2288844 */   // Label 31364: @2288844
     /* 2288844 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2288901), // Rule ID 1901 //
     /* 2288849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288883 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288900 */     // GIR_Coverage, 1901,
     /* 2288900 */     GIR_EraseRootFromParent_Done,
     /* 2288901 */   // Label 31365: @2288901
     /* 2288901 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2288958), // Rule ID 1902 //
     /* 2288906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288940 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288957 */     // GIR_Coverage, 1902,
     /* 2288957 */     GIR_EraseRootFromParent_Done,
     /* 2288958 */   // Label 31366: @2288958
     /* 2288958 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2289015), // Rule ID 1934 //
     /* 2288963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288997 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289014 */     // GIR_Coverage, 1934,
     /* 2289014 */     GIR_EraseRootFromParent_Done,
     /* 2289015 */   // Label 31367: @2289015
     /* 2289015 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2289072), // Rule ID 1935 //
     /* 2289020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289054 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289071 */     // GIR_Coverage, 1935,
     /* 2289071 */     GIR_EraseRootFromParent_Done,
     /* 2289072 */   // Label 31368: @2289072
     /* 2289072 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2289129), // Rule ID 65043 //
     /* 2289077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289111 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2289114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289128 */     // GIR_Coverage, 65043,
     /* 2289128 */     GIR_EraseRootFromParent_Done,
     /* 2289129 */   // Label 31369: @2289129
     /* 2289129 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2289186), // Rule ID 65044 //
     /* 2289134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289168 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2289171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289185 */     // GIR_Coverage, 65044,
     /* 2289185 */     GIR_EraseRootFromParent_Done,
     /* 2289186 */   // Label 31370: @2289186
     /* 2289186 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2289243), // Rule ID 65051 //
     /* 2289191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289225 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289242 */     // GIR_Coverage, 65051,
     /* 2289242 */     GIR_EraseRootFromParent_Done,
     /* 2289243 */   // Label 31371: @2289243
     /* 2289243 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2289300), // Rule ID 65052 //
     /* 2289248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289282 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2289285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289299 */     // GIR_Coverage, 65052,
     /* 2289299 */     GIR_EraseRootFromParent_Done,
     /* 2289300 */   // Label 31372: @2289300
     /* 2289300 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2289357), // Rule ID 1897 //
     /* 2289305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289339 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2289342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289356 */     // GIR_Coverage, 1897,
     /* 2289356 */     GIR_EraseRootFromParent_Done,
     /* 2289357 */   // Label 31373: @2289357
     /* 2289357 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2289414), // Rule ID 1898 //
     /* 2289362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289396 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2289399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289413 */     // GIR_Coverage, 1898,
     /* 2289413 */     GIR_EraseRootFromParent_Done,
     /* 2289414 */   // Label 31374: @2289414
     /* 2289414 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2289471), // Rule ID 1930 //
     /* 2289419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289453 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289470 */     // GIR_Coverage, 1930,
     /* 2289470 */     GIR_EraseRootFromParent_Done,
     /* 2289471 */   // Label 31375: @2289471
     /* 2289471 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2289528), // Rule ID 1931 //
     /* 2289476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289510 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289527 */     // GIR_Coverage, 1931,
     /* 2289527 */     GIR_EraseRootFromParent_Done,
     /* 2289528 */   // Label 31376: @2289528
     /* 2289528 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2289568), // Rule ID 1893 //
     /* 2289533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289552 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289567 */     // GIR_Coverage, 1893,
     /* 2289567 */     GIR_EraseRootFromParent_Done,
     /* 2289568 */   // Label 31377: @2289568
     /* 2289568 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2289608), // Rule ID 1894 //
     /* 2289573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289592 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289607 */     // GIR_Coverage, 1894,
     /* 2289607 */     GIR_EraseRootFromParent_Done,
     /* 2289608 */   // Label 31378: @2289608
     /* 2289608 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2289648), // Rule ID 1926 //
     /* 2289613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289632 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289647 */     // GIR_Coverage, 1926,
     /* 2289647 */     GIR_EraseRootFromParent_Done,
     /* 2289648 */   // Label 31379: @2289648
     /* 2289648 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2289688), // Rule ID 1927 //
     /* 2289653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289672 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289687 */     // GIR_Coverage, 1927,
     /* 2289687 */     GIR_EraseRootFromParent_Done,
     /* 2289688 */   // Label 31380: @2289688
     /* 2289688 */   GIM_Reject,
     /* 2289689 */ // Label 31356: @2289689
     /* 2289689 */ GIM_Reject,
     /* 2289690 */ // Label 31338: @2289690
     /* 2289690 */ GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2291125),
     /* 2289695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2289704 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2289776), // Rule ID 1204 //
     /* 2289709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289756 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289775 */     // GIR_Coverage, 1204,
     /* 2289775 */     GIR_EraseRootFromParent_Done,
     /* 2289776 */   // Label 31382: @2289776
     /* 2289776 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2289848), // Rule ID 1205 //
     /* 2289781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289821 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289828 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289847 */     // GIR_Coverage, 1205,
     /* 2289847 */     GIR_EraseRootFromParent_Done,
     /* 2289848 */   // Label 31383: @2289848
     /* 2289848 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2289920), // Rule ID 1225 //
     /* 2289853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289900 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289919 */     // GIR_Coverage, 1225,
     /* 2289919 */     GIR_EraseRootFromParent_Done,
     /* 2289920 */   // Label 31384: @2289920
     /* 2289920 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2289992), // Rule ID 1226 //
     /* 2289925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289972 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289991 */     // GIR_Coverage, 1226,
     /* 2289991 */     GIR_EraseRootFromParent_Done,
     /* 2289992 */   // Label 31385: @2289992
     /* 2289992 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2290064), // Rule ID 65011 //
     /* 2289997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290044 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2290047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290063 */     // GIR_Coverage, 65011,
     /* 2290063 */     GIR_EraseRootFromParent_Done,
     /* 2290064 */   // Label 31386: @2290064
     /* 2290064 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2290136), // Rule ID 65012 //
     /* 2290069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290116 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2290119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290135 */     // GIR_Coverage, 65012,
     /* 2290135 */     GIR_EraseRootFromParent_Done,
     /* 2290136 */   // Label 31387: @2290136
     /* 2290136 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2290208), // Rule ID 65019 //
     /* 2290141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290188 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2290191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290207 */     // GIR_Coverage, 65019,
     /* 2290207 */     GIR_EraseRootFromParent_Done,
     /* 2290208 */   // Label 31388: @2290208
     /* 2290208 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2290280), // Rule ID 65020 //
     /* 2290213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290260 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2290263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290279 */     // GIR_Coverage, 65020,
     /* 2290279 */     GIR_EraseRootFromParent_Done,
     /* 2290280 */   // Label 31389: @2290280
     /* 2290280 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2290337), // Rule ID 1200 //
     /* 2290285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290319 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290336 */     // GIR_Coverage, 1200,
     /* 2290336 */     GIR_EraseRootFromParent_Done,
     /* 2290337 */   // Label 31390: @2290337
     /* 2290337 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2290394), // Rule ID 1201 //
     /* 2290342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290376 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290393 */     // GIR_Coverage, 1201,
     /* 2290393 */     GIR_EraseRootFromParent_Done,
     /* 2290394 */   // Label 31391: @2290394
     /* 2290394 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2290451), // Rule ID 1221 //
     /* 2290399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290433 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290450 */     // GIR_Coverage, 1221,
     /* 2290450 */     GIR_EraseRootFromParent_Done,
     /* 2290451 */   // Label 31392: @2290451
     /* 2290451 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2290508), // Rule ID 1222 //
     /* 2290456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290490 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290507 */     // GIR_Coverage, 1222,
     /* 2290507 */     GIR_EraseRootFromParent_Done,
     /* 2290508 */   // Label 31393: @2290508
     /* 2290508 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2290565), // Rule ID 65007 //
     /* 2290513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290547 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290564 */     // GIR_Coverage, 65007,
     /* 2290564 */     GIR_EraseRootFromParent_Done,
     /* 2290565 */   // Label 31394: @2290565
     /* 2290565 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2290622), // Rule ID 65008 //
     /* 2290570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290604 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290621 */     // GIR_Coverage, 65008,
     /* 2290621 */     GIR_EraseRootFromParent_Done,
     /* 2290622 */   // Label 31395: @2290622
     /* 2290622 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2290679), // Rule ID 65015 //
     /* 2290627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290661 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290678 */     // GIR_Coverage, 65015,
     /* 2290678 */     GIR_EraseRootFromParent_Done,
     /* 2290679 */   // Label 31396: @2290679
     /* 2290679 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2290736), // Rule ID 65016 //
     /* 2290684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290718 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290735 */     // GIR_Coverage, 65016,
     /* 2290735 */     GIR_EraseRootFromParent_Done,
     /* 2290736 */   // Label 31397: @2290736
     /* 2290736 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2290793), // Rule ID 1196 //
     /* 2290741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290775 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290792 */     // GIR_Coverage, 1196,
     /* 2290792 */     GIR_EraseRootFromParent_Done,
     /* 2290793 */   // Label 31398: @2290793
     /* 2290793 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2290850), // Rule ID 1197 //
     /* 2290798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290832 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290849 */     // GIR_Coverage, 1197,
     /* 2290849 */     GIR_EraseRootFromParent_Done,
     /* 2290850 */   // Label 31399: @2290850
     /* 2290850 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2290907), // Rule ID 1217 //
     /* 2290855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290889 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290906 */     // GIR_Coverage, 1217,
     /* 2290906 */     GIR_EraseRootFromParent_Done,
     /* 2290907 */   // Label 31400: @2290907
     /* 2290907 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2290964), // Rule ID 1218 //
     /* 2290912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290946 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290963 */     // GIR_Coverage, 1218,
     /* 2290963 */     GIR_EraseRootFromParent_Done,
     /* 2290964 */   // Label 31401: @2290964
     /* 2290964 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2291004), // Rule ID 1192 //
     /* 2290969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290988 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291003 */     // GIR_Coverage, 1192,
     /* 2291003 */     GIR_EraseRootFromParent_Done,
     /* 2291004 */   // Label 31402: @2291004
     /* 2291004 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2291044), // Rule ID 1193 //
     /* 2291009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2291012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2291028 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2291028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2291031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291043 */     // GIR_Coverage, 1193,
     /* 2291043 */     GIR_EraseRootFromParent_Done,
     /* 2291044 */   // Label 31403: @2291044
     /* 2291044 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2291084), // Rule ID 1213 //
     /* 2291049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2291052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291068 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2291068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2291071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291083 */     // GIR_Coverage, 1213,
     /* 2291083 */     GIR_EraseRootFromParent_Done,
     /* 2291084 */   // Label 31404: @2291084
     /* 2291084 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2291124), // Rule ID 1214 //
     /* 2291089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2291092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2291108 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2291108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2291111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291123 */     // GIR_Coverage, 1214,
     /* 2291123 */     GIR_EraseRootFromParent_Done,
     /* 2291124 */   // Label 31405: @2291124
     /* 2291124 */   GIM_Reject,
     /* 2291125 */ // Label 31381: @2291125
     /* 2291125 */ GIM_Reject,
     /* 2291126 */ // Label 31339: @2291126
     /* 2291126 */ GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2292916),
     /* 2291131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2291137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2291140 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2291212), // Rule ID 1541 //
     /* 2291145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291192 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291211 */     // GIR_Coverage, 1541,
     /* 2291211 */     GIR_EraseRootFromParent_Done,
     /* 2291212 */   // Label 31407: @2291212
     /* 2291212 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2291284), // Rule ID 1542 //
     /* 2291217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291264 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291283 */     // GIR_Coverage, 1542,
     /* 2291283 */     GIR_EraseRootFromParent_Done,
     /* 2291284 */   // Label 31408: @2291284
     /* 2291284 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2291356), // Rule ID 1564 //
     /* 2291289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291336 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291355 */     // GIR_Coverage, 1564,
     /* 2291355 */     GIR_EraseRootFromParent_Done,
     /* 2291356 */   // Label 31409: @2291356
     /* 2291356 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2291428), // Rule ID 1596 //
     /* 2291361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291408 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291427 */     // GIR_Coverage, 1596,
     /* 2291427 */     GIR_EraseRootFromParent_Done,
     /* 2291428 */   // Label 31410: @2291428
     /* 2291428 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2291500), // Rule ID 1597 //
     /* 2291433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291480 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291499 */     // GIR_Coverage, 1597,
     /* 2291499 */     GIR_EraseRootFromParent_Done,
     /* 2291500 */   // Label 31411: @2291500
     /* 2291500 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2291572), // Rule ID 65027 //
     /* 2291505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291552 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291571 */     // GIR_Coverage, 65027,
     /* 2291571 */     GIR_EraseRootFromParent_Done,
     /* 2291572 */   // Label 31412: @2291572
     /* 2291572 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2291644), // Rule ID 65028 //
     /* 2291577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291624 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291643 */     // GIR_Coverage, 65028,
     /* 2291643 */     GIR_EraseRootFromParent_Done,
     /* 2291644 */   // Label 31413: @2291644
     /* 2291644 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2291716), // Rule ID 65032 //
     /* 2291649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291696 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291715 */     // GIR_Coverage, 65032,
     /* 2291715 */     GIR_EraseRootFromParent_Done,
     /* 2291716 */   // Label 31414: @2291716
     /* 2291716 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2291788), // Rule ID 65039 //
     /* 2291721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291768 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291787 */     // GIR_Coverage, 65039,
     /* 2291787 */     GIR_EraseRootFromParent_Done,
     /* 2291788 */   // Label 31415: @2291788
     /* 2291788 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2291860), // Rule ID 65040 //
     /* 2291793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291840 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291859 */     // GIR_Coverage, 65040,
     /* 2291859 */     GIR_EraseRootFromParent_Done,
     /* 2291860 */   // Label 31416: @2291860
     /* 2291860 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2291917), // Rule ID 1537 //
     /* 2291865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291899 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291916 */     // GIR_Coverage, 1537,
     /* 2291916 */     GIR_EraseRootFromParent_Done,
     /* 2291917 */   // Label 31417: @2291917
     /* 2291917 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2291974), // Rule ID 1538 //
     /* 2291922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291956 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291973 */     // GIR_Coverage, 1538,
     /* 2291973 */     GIR_EraseRootFromParent_Done,
     /* 2291974 */   // Label 31418: @2291974
     /* 2291974 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2292031), // Rule ID 1562 //
     /* 2291979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292013 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2292016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292030 */     // GIR_Coverage, 1562,
     /* 2292030 */     GIR_EraseRootFromParent_Done,
     /* 2292031 */   // Label 31419: @2292031
     /* 2292031 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2292088), // Rule ID 1592 //
     /* 2292036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292070 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292087 */     // GIR_Coverage, 1592,
     /* 2292087 */     GIR_EraseRootFromParent_Done,
     /* 2292088 */   // Label 31420: @2292088
     /* 2292088 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2292145), // Rule ID 1593 //
     /* 2292093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292127 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292144 */     // GIR_Coverage, 1593,
     /* 2292144 */     GIR_EraseRootFromParent_Done,
     /* 2292145 */   // Label 31421: @2292145
     /* 2292145 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2292202), // Rule ID 65023 //
     /* 2292150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292184 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2292187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292201 */     // GIR_Coverage, 65023,
     /* 2292201 */     GIR_EraseRootFromParent_Done,
     /* 2292202 */   // Label 31422: @2292202
     /* 2292202 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2292259), // Rule ID 65024 //
     /* 2292207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292241 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2292244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292258 */     // GIR_Coverage, 65024,
     /* 2292258 */     GIR_EraseRootFromParent_Done,
     /* 2292259 */   // Label 31423: @2292259
     /* 2292259 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2292316), // Rule ID 65030 //
     /* 2292264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292298 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2292301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292315 */     // GIR_Coverage, 65030,
     /* 2292315 */     GIR_EraseRootFromParent_Done,
     /* 2292316 */   // Label 31424: @2292316
     /* 2292316 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2292373), // Rule ID 65035 //
     /* 2292321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292355 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292372 */     // GIR_Coverage, 65035,
     /* 2292372 */     GIR_EraseRootFromParent_Done,
     /* 2292373 */   // Label 31425: @2292373
     /* 2292373 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2292430), // Rule ID 65036 //
     /* 2292378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292412 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2292415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292429 */     // GIR_Coverage, 65036,
     /* 2292429 */     GIR_EraseRootFromParent_Done,
     /* 2292430 */   // Label 31426: @2292430
     /* 2292430 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2292487), // Rule ID 1533 //
     /* 2292435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292469 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292486 */     // GIR_Coverage, 1533,
     /* 2292486 */     GIR_EraseRootFromParent_Done,
     /* 2292487 */   // Label 31427: @2292487
     /* 2292487 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2292544), // Rule ID 1534 //
     /* 2292492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292526 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292543 */     // GIR_Coverage, 1534,
     /* 2292543 */     GIR_EraseRootFromParent_Done,
     /* 2292544 */   // Label 31428: @2292544
     /* 2292544 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2292601), // Rule ID 1560 //
     /* 2292549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292583 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2292586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292600 */     // GIR_Coverage, 1560,
     /* 2292600 */     GIR_EraseRootFromParent_Done,
     /* 2292601 */   // Label 31429: @2292601
     /* 2292601 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2292658), // Rule ID 1588 //
     /* 2292606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292640 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292657 */     // GIR_Coverage, 1588,
     /* 2292657 */     GIR_EraseRootFromParent_Done,
     /* 2292658 */   // Label 31430: @2292658
     /* 2292658 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2292715), // Rule ID 1589 //
     /* 2292663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292697 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292714 */     // GIR_Coverage, 1589,
     /* 2292714 */     GIR_EraseRootFromParent_Done,
     /* 2292715 */   // Label 31431: @2292715
     /* 2292715 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2292755), // Rule ID 1529 //
     /* 2292720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292739 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292754 */     // GIR_Coverage, 1529,
     /* 2292754 */     GIR_EraseRootFromParent_Done,
     /* 2292755 */   // Label 31432: @2292755
     /* 2292755 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2292795), // Rule ID 1530 //
     /* 2292760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292779 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292794 */     // GIR_Coverage, 1530,
     /* 2292794 */     GIR_EraseRootFromParent_Done,
     /* 2292795 */   // Label 31433: @2292795
     /* 2292795 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2292835), // Rule ID 1558 //
     /* 2292800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292819 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2292822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292834 */     // GIR_Coverage, 1558,
     /* 2292834 */     GIR_EraseRootFromParent_Done,
     /* 2292835 */   // Label 31434: @2292835
     /* 2292835 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2292875), // Rule ID 1584 //
     /* 2292840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292859 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292874 */     // GIR_Coverage, 1584,
     /* 2292874 */     GIR_EraseRootFromParent_Done,
     /* 2292875 */   // Label 31435: @2292875
     /* 2292875 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2292915), // Rule ID 1585 //
     /* 2292880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292899 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292914 */     // GIR_Coverage, 1585,
     /* 2292914 */     GIR_EraseRootFromParent_Done,
     /* 2292915 */   // Label 31436: @2292915
     /* 2292915 */   GIM_Reject,
     /* 2292916 */ // Label 31406: @2292916
     /* 2292916 */ GIM_Reject,
     /* 2292917 */ // Label 31340: @2292917
     /* 2292917 */ GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2293706),
     /* 2292922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2292931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292935 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2293012), // Rule ID 54712 //
     /* 2292940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292983 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293011 */     // GIR_Coverage, 54712,
     /* 2293011 */     GIR_EraseRootFromParent_Done,
     /* 2293012 */   // Label 31438: @2293012
     /* 2293012 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2293089), // Rule ID 54713 //
     /* 2293017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293060 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293088 */     // GIR_Coverage, 54713,
     /* 2293088 */     GIR_EraseRootFromParent_Done,
     /* 2293089 */   // Label 31439: @2293089
     /* 2293089 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2293166), // Rule ID 72001 //
     /* 2293094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293137 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293165 */     // GIR_Coverage, 72001,
     /* 2293165 */     GIR_EraseRootFromParent_Done,
     /* 2293166 */   // Label 31440: @2293166
     /* 2293166 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2293243), // Rule ID 72002 //
     /* 2293171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293214 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2293217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293242 */     // GIR_Coverage, 72002,
     /* 2293242 */     GIR_EraseRootFromParent_Done,
     /* 2293243 */   // Label 31441: @2293243
     /* 2293243 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2293305), // Rule ID 54716 //
     /* 2293248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293278 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293304 */     // GIR_Coverage, 54716,
     /* 2293304 */     GIR_EraseRootFromParent_Done,
     /* 2293305 */   // Label 31442: @2293305
     /* 2293305 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2293367), // Rule ID 54717 //
     /* 2293310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293340 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293366 */     // GIR_Coverage, 54717,
     /* 2293366 */     GIR_EraseRootFromParent_Done,
     /* 2293367 */   // Label 31443: @2293367
     /* 2293367 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2293429), // Rule ID 72005 //
     /* 2293372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293402 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293428 */     // GIR_Coverage, 72005,
     /* 2293428 */     GIR_EraseRootFromParent_Done,
     /* 2293429 */   // Label 31444: @2293429
     /* 2293429 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2293491), // Rule ID 72006 //
     /* 2293434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293464 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293490 */     // GIR_Coverage, 72006,
     /* 2293490 */     GIR_EraseRootFromParent_Done,
     /* 2293491 */   // Label 31445: @2293491
     /* 2293491 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2293553), // Rule ID 54708 //
     /* 2293496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293526 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293552 */     // GIR_Coverage, 54708,
     /* 2293552 */     GIR_EraseRootFromParent_Done,
     /* 2293553 */   // Label 31446: @2293553
     /* 2293553 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2293615), // Rule ID 54709 //
     /* 2293558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293588 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293614 */     // GIR_Coverage, 54709,
     /* 2293614 */     GIR_EraseRootFromParent_Done,
     /* 2293615 */   // Label 31447: @2293615
     /* 2293615 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2293660), // Rule ID 54704 //
     /* 2293620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293635 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293659 */     // GIR_Coverage, 54704,
     /* 2293659 */     GIR_EraseRootFromParent_Done,
     /* 2293660 */   // Label 31448: @2293660
     /* 2293660 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2293705), // Rule ID 54705 //
     /* 2293665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293680 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293704 */     // GIR_Coverage, 54705,
     /* 2293704 */     GIR_EraseRootFromParent_Done,
     /* 2293705 */   // Label 31449: @2293705
     /* 2293705 */   GIM_Reject,
     /* 2293706 */ // Label 31437: @2293706
     /* 2293706 */ GIM_Reject,
     /* 2293707 */ // Label 31341: @2293707
     /* 2293707 */ GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2294496),
     /* 2293712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2293721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293725 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2293802), // Rule ID 54840 //
     /* 2293730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293773 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293801 */     // GIR_Coverage, 54840,
     /* 2293801 */     GIR_EraseRootFromParent_Done,
     /* 2293802 */   // Label 31451: @2293802
     /* 2293802 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2293879), // Rule ID 54841 //
     /* 2293807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293850 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293878 */     // GIR_Coverage, 54841,
     /* 2293878 */     GIR_EraseRootFromParent_Done,
     /* 2293879 */   // Label 31452: @2293879
     /* 2293879 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2293956), // Rule ID 72113 //
     /* 2293884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293927 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293955 */     // GIR_Coverage, 72113,
     /* 2293955 */     GIR_EraseRootFromParent_Done,
     /* 2293956 */   // Label 31453: @2293956
     /* 2293956 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2294033), // Rule ID 72114 //
     /* 2293961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294004 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2294007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294032 */     // GIR_Coverage, 72114,
     /* 2294032 */     GIR_EraseRootFromParent_Done,
     /* 2294033 */   // Label 31454: @2294033
     /* 2294033 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2294095), // Rule ID 54844 //
     /* 2294038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294068 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294094 */     // GIR_Coverage, 54844,
     /* 2294094 */     GIR_EraseRootFromParent_Done,
     /* 2294095 */   // Label 31455: @2294095
     /* 2294095 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2294157), // Rule ID 54845 //
     /* 2294100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294130 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294156 */     // GIR_Coverage, 54845,
     /* 2294156 */     GIR_EraseRootFromParent_Done,
     /* 2294157 */   // Label 31456: @2294157
     /* 2294157 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2294219), // Rule ID 72117 //
     /* 2294162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294192 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294218 */     // GIR_Coverage, 72117,
     /* 2294218 */     GIR_EraseRootFromParent_Done,
     /* 2294219 */   // Label 31457: @2294219
     /* 2294219 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2294281), // Rule ID 72118 //
     /* 2294224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294254 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2294257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294280 */     // GIR_Coverage, 72118,
     /* 2294280 */     GIR_EraseRootFromParent_Done,
     /* 2294281 */   // Label 31458: @2294281
     /* 2294281 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2294343), // Rule ID 54836 //
     /* 2294286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294316 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2294319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294342 */     // GIR_Coverage, 54836,
     /* 2294342 */     GIR_EraseRootFromParent_Done,
     /* 2294343 */   // Label 31459: @2294343
     /* 2294343 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2294405), // Rule ID 54837 //
     /* 2294348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294378 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2294381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294404 */     // GIR_Coverage, 54837,
     /* 2294404 */     GIR_EraseRootFromParent_Done,
     /* 2294405 */   // Label 31460: @2294405
     /* 2294405 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2294450), // Rule ID 54832 //
     /* 2294410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294425 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294449 */     // GIR_Coverage, 54832,
     /* 2294449 */     GIR_EraseRootFromParent_Done,
     /* 2294450 */   // Label 31461: @2294450
     /* 2294450 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2294495), // Rule ID 54833 //
     /* 2294455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294470 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294494 */     // GIR_Coverage, 54833,
     /* 2294494 */     GIR_EraseRootFromParent_Done,
     /* 2294495 */   // Label 31462: @2294495
     /* 2294495 */   GIM_Reject,
     /* 2294496 */ // Label 31450: @2294496
     /* 2294496 */ GIM_Reject,
     /* 2294497 */ // Label 31342: @2294497
     /* 2294497 */ GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2295286),
     /* 2294502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2294511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294515 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2294592), // Rule ID 55032 //
     /* 2294520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294563 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294591 */     // GIR_Coverage, 55032,
     /* 2294591 */     GIR_EraseRootFromParent_Done,
     /* 2294592 */   // Label 31464: @2294592
     /* 2294592 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2294669), // Rule ID 55033 //
     /* 2294597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294640 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294668 */     // GIR_Coverage, 55033,
     /* 2294668 */     GIR_EraseRootFromParent_Done,
     /* 2294669 */   // Label 31465: @2294669
     /* 2294669 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2294746), // Rule ID 72281 //
     /* 2294674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294717 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294745 */     // GIR_Coverage, 72281,
     /* 2294745 */     GIR_EraseRootFromParent_Done,
     /* 2294746 */   // Label 31466: @2294746
     /* 2294746 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2294823), // Rule ID 72282 //
     /* 2294751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294794 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294822 */     // GIR_Coverage, 72282,
     /* 2294822 */     GIR_EraseRootFromParent_Done,
     /* 2294823 */   // Label 31467: @2294823
     /* 2294823 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2294885), // Rule ID 55036 //
     /* 2294828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294858 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294884 */     // GIR_Coverage, 55036,
     /* 2294884 */     GIR_EraseRootFromParent_Done,
     /* 2294885 */   // Label 31468: @2294885
     /* 2294885 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2294947), // Rule ID 55037 //
     /* 2294890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294920 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294946 */     // GIR_Coverage, 55037,
     /* 2294946 */     GIR_EraseRootFromParent_Done,
     /* 2294947 */   // Label 31469: @2294947
     /* 2294947 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2295009), // Rule ID 72285 //
     /* 2294952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294982 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295008 */     // GIR_Coverage, 72285,
     /* 2295008 */     GIR_EraseRootFromParent_Done,
     /* 2295009 */   // Label 31470: @2295009
     /* 2295009 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2295071), // Rule ID 72286 //
     /* 2295014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295044 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2295047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295070 */     // GIR_Coverage, 72286,
     /* 2295070 */     GIR_EraseRootFromParent_Done,
     /* 2295071 */   // Label 31471: @2295071
     /* 2295071 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2295133), // Rule ID 55028 //
     /* 2295076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295106 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2295109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295132 */     // GIR_Coverage, 55028,
     /* 2295132 */     GIR_EraseRootFromParent_Done,
     /* 2295133 */   // Label 31472: @2295133
     /* 2295133 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2295195), // Rule ID 55029 //
     /* 2295138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295168 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2295171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295194 */     // GIR_Coverage, 55029,
     /* 2295194 */     GIR_EraseRootFromParent_Done,
     /* 2295195 */   // Label 31473: @2295195
     /* 2295195 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2295240), // Rule ID 55024 //
     /* 2295200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295215 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2295218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295239 */     // GIR_Coverage, 55024,
     /* 2295239 */     GIR_EraseRootFromParent_Done,
     /* 2295240 */   // Label 31474: @2295240
     /* 2295240 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2295285), // Rule ID 55025 //
     /* 2295245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295260 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2295263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295284 */     // GIR_Coverage, 55025,
     /* 2295284 */     GIR_EraseRootFromParent_Done,
     /* 2295285 */   // Label 31475: @2295285
     /* 2295285 */   GIM_Reject,
     /* 2295286 */ // Label 31463: @2295286
     /* 2295286 */ GIM_Reject,
     /* 2295287 */ // Label 31343: @2295287
     /* 2295287 */ GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2296076),
     /* 2295292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2295298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2295301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295305 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2295382), // Rule ID 54776 //
     /* 2295310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295353 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295381 */     // GIR_Coverage, 54776,
     /* 2295381 */     GIR_EraseRootFromParent_Done,
     /* 2295382 */   // Label 31477: @2295382
     /* 2295382 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2295459), // Rule ID 54777 //
     /* 2295387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295423 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295430 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295458 */     // GIR_Coverage, 54777,
     /* 2295458 */     GIR_EraseRootFromParent_Done,
     /* 2295459 */   // Label 31478: @2295459
     /* 2295459 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2295536), // Rule ID 72057 //
     /* 2295464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295507 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295535 */     // GIR_Coverage, 72057,
     /* 2295535 */     GIR_EraseRootFromParent_Done,
     /* 2295536 */   // Label 31479: @2295536
     /* 2295536 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2295613), // Rule ID 72058 //
     /* 2295541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295584 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295612 */     // GIR_Coverage, 72058,
     /* 2295612 */     GIR_EraseRootFromParent_Done,
     /* 2295613 */   // Label 31480: @2295613
     /* 2295613 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2295675), // Rule ID 54780 //
     /* 2295618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295648 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295674 */     // GIR_Coverage, 54780,
     /* 2295674 */     GIR_EraseRootFromParent_Done,
     /* 2295675 */   // Label 31481: @2295675
     /* 2295675 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2295737), // Rule ID 54781 //
     /* 2295680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295710 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295736 */     // GIR_Coverage, 54781,
     /* 2295736 */     GIR_EraseRootFromParent_Done,
     /* 2295737 */   // Label 31482: @2295737
     /* 2295737 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2295799), // Rule ID 72061 //
     /* 2295742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295772 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295798 */     // GIR_Coverage, 72061,
     /* 2295798 */     GIR_EraseRootFromParent_Done,
     /* 2295799 */   // Label 31483: @2295799
     /* 2295799 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2295861), // Rule ID 72062 //
     /* 2295804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295834 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295860 */     // GIR_Coverage, 72062,
     /* 2295860 */     GIR_EraseRootFromParent_Done,
     /* 2295861 */   // Label 31484: @2295861
     /* 2295861 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2295923), // Rule ID 54772 //
     /* 2295866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295896 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295922 */     // GIR_Coverage, 54772,
     /* 2295922 */     GIR_EraseRootFromParent_Done,
     /* 2295923 */   // Label 31485: @2295923
     /* 2295923 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2295985), // Rule ID 54773 //
     /* 2295928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295958 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295984 */     // GIR_Coverage, 54773,
     /* 2295984 */     GIR_EraseRootFromParent_Done,
     /* 2295985 */   // Label 31486: @2295985
     /* 2295985 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2296030), // Rule ID 54768 //
     /* 2295990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296005 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2296008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296029 */     // GIR_Coverage, 54768,
     /* 2296029 */     GIR_EraseRootFromParent_Done,
     /* 2296030 */   // Label 31487: @2296030
     /* 2296030 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2296075), // Rule ID 54769 //
     /* 2296035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296050 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2296053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296074 */     // GIR_Coverage, 54769,
     /* 2296074 */     GIR_EraseRootFromParent_Done,
     /* 2296075 */   // Label 31488: @2296075
     /* 2296075 */   GIM_Reject,
     /* 2296076 */ // Label 31476: @2296076
     /* 2296076 */ GIM_Reject,
     /* 2296077 */ // Label 31344: @2296077
     /* 2296077 */ GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2296866),
     /* 2296082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2296088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2296091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296095 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2296172), // Rule ID 54968 //
     /* 2296100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296143 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296171 */     // GIR_Coverage, 54968,
     /* 2296171 */     GIR_EraseRootFromParent_Done,
     /* 2296172 */   // Label 31490: @2296172
     /* 2296172 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2296249), // Rule ID 54969 //
     /* 2296177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296220 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296248 */     // GIR_Coverage, 54969,
     /* 2296248 */     GIR_EraseRootFromParent_Done,
     /* 2296249 */   // Label 31491: @2296249
     /* 2296249 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2296326), // Rule ID 72225 //
     /* 2296254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296297 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296325 */     // GIR_Coverage, 72225,
     /* 2296325 */     GIR_EraseRootFromParent_Done,
     /* 2296326 */   // Label 31492: @2296326
     /* 2296326 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2296403), // Rule ID 72226 //
     /* 2296331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296374 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2296377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296402 */     // GIR_Coverage, 72226,
     /* 2296402 */     GIR_EraseRootFromParent_Done,
     /* 2296403 */   // Label 31493: @2296403
     /* 2296403 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2296465), // Rule ID 54972 //
     /* 2296408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296438 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296464 */     // GIR_Coverage, 54972,
     /* 2296464 */     GIR_EraseRootFromParent_Done,
     /* 2296465 */   // Label 31494: @2296465
     /* 2296465 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2296527), // Rule ID 54973 //
     /* 2296470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296500 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296526 */     // GIR_Coverage, 54973,
     /* 2296526 */     GIR_EraseRootFromParent_Done,
     /* 2296527 */   // Label 31495: @2296527
     /* 2296527 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2296589), // Rule ID 72229 //
     /* 2296532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296562 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296588 */     // GIR_Coverage, 72229,
     /* 2296588 */     GIR_EraseRootFromParent_Done,
     /* 2296589 */   // Label 31496: @2296589
     /* 2296589 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2296651), // Rule ID 72230 //
     /* 2296594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296624 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296650 */     // GIR_Coverage, 72230,
     /* 2296650 */     GIR_EraseRootFromParent_Done,
     /* 2296651 */   // Label 31497: @2296651
     /* 2296651 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2296713), // Rule ID 54964 //
     /* 2296656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296686 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296712 */     // GIR_Coverage, 54964,
     /* 2296712 */     GIR_EraseRootFromParent_Done,
     /* 2296713 */   // Label 31498: @2296713
     /* 2296713 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2296775), // Rule ID 54965 //
     /* 2296718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296748 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296774 */     // GIR_Coverage, 54965,
     /* 2296774 */     GIR_EraseRootFromParent_Done,
     /* 2296775 */   // Label 31499: @2296775
     /* 2296775 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2296820), // Rule ID 54960 //
     /* 2296780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296795 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296819 */     // GIR_Coverage, 54960,
     /* 2296819 */     GIR_EraseRootFromParent_Done,
     /* 2296820 */   // Label 31500: @2296820
     /* 2296820 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2296865), // Rule ID 54961 //
     /* 2296825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296840 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296864 */     // GIR_Coverage, 54961,
     /* 2296864 */     GIR_EraseRootFromParent_Done,
     /* 2296865 */   // Label 31501: @2296865
     /* 2296865 */   GIM_Reject,
     /* 2296866 */ // Label 31489: @2296866
     /* 2296866 */ GIM_Reject,
     /* 2296867 */ // Label 31345: @2296867
     /* 2296867 */ GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2297656),
     /* 2296872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2296881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296885 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2296962), // Rule ID 55480 //
     /* 2296890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296933 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296961 */     // GIR_Coverage, 55480,
     /* 2296961 */     GIR_EraseRootFromParent_Done,
     /* 2296962 */   // Label 31503: @2296962
     /* 2296962 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2297039), // Rule ID 55481 //
     /* 2296967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297010 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297038 */     // GIR_Coverage, 55481,
     /* 2297038 */     GIR_EraseRootFromParent_Done,
     /* 2297039 */   // Label 31504: @2297039
     /* 2297039 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2297116), // Rule ID 72673 //
     /* 2297044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297087 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297115 */     // GIR_Coverage, 72673,
     /* 2297115 */     GIR_EraseRootFromParent_Done,
     /* 2297116 */   // Label 31505: @2297116
     /* 2297116 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2297193), // Rule ID 72674 //
     /* 2297121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297164 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2297167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297192 */     // GIR_Coverage, 72674,
     /* 2297192 */     GIR_EraseRootFromParent_Done,
     /* 2297193 */   // Label 31506: @2297193
     /* 2297193 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2297255), // Rule ID 55484 //
     /* 2297198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297228 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297254 */     // GIR_Coverage, 55484,
     /* 2297254 */     GIR_EraseRootFromParent_Done,
     /* 2297255 */   // Label 31507: @2297255
     /* 2297255 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2297317), // Rule ID 55485 //
     /* 2297260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297290 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297316 */     // GIR_Coverage, 55485,
     /* 2297316 */     GIR_EraseRootFromParent_Done,
     /* 2297317 */   // Label 31508: @2297317
     /* 2297317 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2297379), // Rule ID 72677 //
     /* 2297322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297352 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297378 */     // GIR_Coverage, 72677,
     /* 2297378 */     GIR_EraseRootFromParent_Done,
     /* 2297379 */   // Label 31509: @2297379
     /* 2297379 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2297441), // Rule ID 72678 //
     /* 2297384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297414 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2297417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297440 */     // GIR_Coverage, 72678,
     /* 2297440 */     GIR_EraseRootFromParent_Done,
     /* 2297441 */   // Label 31510: @2297441
     /* 2297441 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2297503), // Rule ID 55476 //
     /* 2297446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297476 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297502 */     // GIR_Coverage, 55476,
     /* 2297502 */     GIR_EraseRootFromParent_Done,
     /* 2297503 */   // Label 31511: @2297503
     /* 2297503 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2297565), // Rule ID 55477 //
     /* 2297508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297538 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297564 */     // GIR_Coverage, 55477,
     /* 2297564 */     GIR_EraseRootFromParent_Done,
     /* 2297565 */   // Label 31512: @2297565
     /* 2297565 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2297610), // Rule ID 55472 //
     /* 2297570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297585 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297609 */     // GIR_Coverage, 55472,
     /* 2297609 */     GIR_EraseRootFromParent_Done,
     /* 2297610 */   // Label 31513: @2297610
     /* 2297610 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2297655), // Rule ID 55473 //
     /* 2297615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297630 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297654 */     // GIR_Coverage, 55473,
     /* 2297654 */     GIR_EraseRootFromParent_Done,
     /* 2297655 */   // Label 31514: @2297655
     /* 2297655 */   GIM_Reject,
     /* 2297656 */ // Label 31502: @2297656
     /* 2297656 */ GIM_Reject,
     /* 2297657 */ // Label 31346: @2297657
     /* 2297657 */ GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2298446),
     /* 2297662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2297668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297675 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2297752), // Rule ID 54904 //
     /* 2297680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297723 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297751 */     // GIR_Coverage, 54904,
     /* 2297751 */     GIR_EraseRootFromParent_Done,
     /* 2297752 */   // Label 31516: @2297752
     /* 2297752 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2297829), // Rule ID 54905 //
     /* 2297757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297800 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297828 */     // GIR_Coverage, 54905,
     /* 2297828 */     GIR_EraseRootFromParent_Done,
     /* 2297829 */   // Label 31517: @2297829
     /* 2297829 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2297906), // Rule ID 72169 //
     /* 2297834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297877 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297905 */     // GIR_Coverage, 72169,
     /* 2297905 */     GIR_EraseRootFromParent_Done,
     /* 2297906 */   // Label 31518: @2297906
     /* 2297906 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2297983), // Rule ID 72170 //
     /* 2297911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297954 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297982 */     // GIR_Coverage, 72170,
     /* 2297982 */     GIR_EraseRootFromParent_Done,
     /* 2297983 */   // Label 31519: @2297983
     /* 2297983 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2298045), // Rule ID 54908 //
     /* 2297988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298018 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298044 */     // GIR_Coverage, 54908,
     /* 2298044 */     GIR_EraseRootFromParent_Done,
     /* 2298045 */   // Label 31520: @2298045
     /* 2298045 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2298107), // Rule ID 54909 //
     /* 2298050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298080 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298106 */     // GIR_Coverage, 54909,
     /* 2298106 */     GIR_EraseRootFromParent_Done,
     /* 2298107 */   // Label 31521: @2298107
     /* 2298107 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2298169), // Rule ID 72173 //
     /* 2298112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298142 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298168 */     // GIR_Coverage, 72173,
     /* 2298168 */     GIR_EraseRootFromParent_Done,
     /* 2298169 */   // Label 31522: @2298169
     /* 2298169 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2298231), // Rule ID 72174 //
     /* 2298174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298204 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2298207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298230 */     // GIR_Coverage, 72174,
     /* 2298230 */     GIR_EraseRootFromParent_Done,
     /* 2298231 */   // Label 31523: @2298231
     /* 2298231 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2298293), // Rule ID 54900 //
     /* 2298236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298266 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2298269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298292 */     // GIR_Coverage, 54900,
     /* 2298292 */     GIR_EraseRootFromParent_Done,
     /* 2298293 */   // Label 31524: @2298293
     /* 2298293 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2298355), // Rule ID 54901 //
     /* 2298298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2298321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298328 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2298331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298354 */     // GIR_Coverage, 54901,
     /* 2298354 */     GIR_EraseRootFromParent_Done,
     /* 2298355 */   // Label 31525: @2298355
     /* 2298355 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2298400), // Rule ID 54896 //
     /* 2298360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298375 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2298378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298399 */     // GIR_Coverage, 54896,
     /* 2298399 */     GIR_EraseRootFromParent_Done,
     /* 2298400 */   // Label 31526: @2298400
     /* 2298400 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2298445), // Rule ID 54897 //
     /* 2298405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298420 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2298423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298444 */     // GIR_Coverage, 54897,
     /* 2298444 */     GIR_EraseRootFromParent_Done,
     /* 2298445 */   // Label 31527: @2298445
     /* 2298445 */   GIM_Reject,
     /* 2298446 */ // Label 31515: @2298446
     /* 2298446 */ GIM_Reject,
     /* 2298447 */ // Label 31347: @2298447
     /* 2298447 */ GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2299236),
     /* 2298452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2298458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298465 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2298542), // Rule ID 55288 //
     /* 2298470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298513 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298541 */     // GIR_Coverage, 55288,
     /* 2298541 */     GIR_EraseRootFromParent_Done,
     /* 2298542 */   // Label 31529: @2298542
     /* 2298542 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2298619), // Rule ID 55289 //
     /* 2298547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298590 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298618 */     // GIR_Coverage, 55289,
     /* 2298618 */     GIR_EraseRootFromParent_Done,
     /* 2298619 */   // Label 31530: @2298619
     /* 2298619 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2298696), // Rule ID 72505 //
     /* 2298624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298667 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298695 */     // GIR_Coverage, 72505,
     /* 2298695 */     GIR_EraseRootFromParent_Done,
     /* 2298696 */   // Label 31531: @2298696
     /* 2298696 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2298773), // Rule ID 72506 //
     /* 2298701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298744 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298772 */     // GIR_Coverage, 72506,
     /* 2298772 */     GIR_EraseRootFromParent_Done,
     /* 2298773 */   // Label 31532: @2298773
     /* 2298773 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2298835), // Rule ID 55292 //
     /* 2298778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298808 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298834 */     // GIR_Coverage, 55292,
     /* 2298834 */     GIR_EraseRootFromParent_Done,
     /* 2298835 */   // Label 31533: @2298835
     /* 2298835 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2298897), // Rule ID 55293 //
     /* 2298840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298870 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298896 */     // GIR_Coverage, 55293,
     /* 2298896 */     GIR_EraseRootFromParent_Done,
     /* 2298897 */   // Label 31534: @2298897
     /* 2298897 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2298959), // Rule ID 72509 //
     /* 2298902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298932 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298958 */     // GIR_Coverage, 72509,
     /* 2298958 */     GIR_EraseRootFromParent_Done,
     /* 2298959 */   // Label 31535: @2298959
     /* 2298959 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2299021), // Rule ID 72510 //
     /* 2298964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298994 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299020 */     // GIR_Coverage, 72510,
     /* 2299020 */     GIR_EraseRootFromParent_Done,
     /* 2299021 */   // Label 31536: @2299021
     /* 2299021 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2299083), // Rule ID 55284 //
     /* 2299026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299056 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2299059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299082 */     // GIR_Coverage, 55284,
     /* 2299082 */     GIR_EraseRootFromParent_Done,
     /* 2299083 */   // Label 31537: @2299083
     /* 2299083 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2299145), // Rule ID 55285 //
     /* 2299088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299118 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2299121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299144 */     // GIR_Coverage, 55285,
     /* 2299144 */     GIR_EraseRootFromParent_Done,
     /* 2299145 */   // Label 31538: @2299145
     /* 2299145 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2299190), // Rule ID 55280 //
     /* 2299150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299165 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2299168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299189 */     // GIR_Coverage, 55280,
     /* 2299189 */     GIR_EraseRootFromParent_Done,
     /* 2299190 */   // Label 31539: @2299190
     /* 2299190 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2299235), // Rule ID 55281 //
     /* 2299195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299210 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2299213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299234 */     // GIR_Coverage, 55281,
     /* 2299234 */     GIR_EraseRootFromParent_Done,
     /* 2299235 */   // Label 31540: @2299235
     /* 2299235 */   GIM_Reject,
     /* 2299236 */ // Label 31528: @2299236
     /* 2299236 */ GIM_Reject,
     /* 2299237 */ // Label 31348: @2299237
     /* 2299237 */ GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2300026),
     /* 2299242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2299248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2299251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299255 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2299332), // Rule ID 55544 //
     /* 2299260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299303 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299331 */     // GIR_Coverage, 55544,
     /* 2299331 */     GIR_EraseRootFromParent_Done,
     /* 2299332 */   // Label 31542: @2299332
     /* 2299332 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2299409), // Rule ID 55545 //
     /* 2299337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299380 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299408 */     // GIR_Coverage, 55545,
     /* 2299408 */     GIR_EraseRootFromParent_Done,
     /* 2299409 */   // Label 31543: @2299409
     /* 2299409 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2299486), // Rule ID 72729 //
     /* 2299414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299457 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299485 */     // GIR_Coverage, 72729,
     /* 2299485 */     GIR_EraseRootFromParent_Done,
     /* 2299486 */   // Label 31544: @2299486
     /* 2299486 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2299563), // Rule ID 72730 //
     /* 2299491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299534 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299562 */     // GIR_Coverage, 72730,
     /* 2299562 */     GIR_EraseRootFromParent_Done,
     /* 2299563 */   // Label 31545: @2299563
     /* 2299563 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2299625), // Rule ID 55548 //
     /* 2299568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299598 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299624 */     // GIR_Coverage, 55548,
     /* 2299624 */     GIR_EraseRootFromParent_Done,
     /* 2299625 */   // Label 31546: @2299625
     /* 2299625 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2299687), // Rule ID 55549 //
     /* 2299630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299660 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299686 */     // GIR_Coverage, 55549,
     /* 2299686 */     GIR_EraseRootFromParent_Done,
     /* 2299687 */   // Label 31547: @2299687
     /* 2299687 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2299749), // Rule ID 72733 //
     /* 2299692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299722 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299748 */     // GIR_Coverage, 72733,
     /* 2299748 */     GIR_EraseRootFromParent_Done,
     /* 2299749 */   // Label 31548: @2299749
     /* 2299749 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2299811), // Rule ID 72734 //
     /* 2299754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299784 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299810 */     // GIR_Coverage, 72734,
     /* 2299810 */     GIR_EraseRootFromParent_Done,
     /* 2299811 */   // Label 31549: @2299811
     /* 2299811 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2299873), // Rule ID 55540 //
     /* 2299816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299846 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299872 */     // GIR_Coverage, 55540,
     /* 2299872 */     GIR_EraseRootFromParent_Done,
     /* 2299873 */   // Label 31550: @2299873
     /* 2299873 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2299935), // Rule ID 55541 //
     /* 2299878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299908 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299934 */     // GIR_Coverage, 55541,
     /* 2299934 */     GIR_EraseRootFromParent_Done,
     /* 2299935 */   // Label 31551: @2299935
     /* 2299935 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2299980), // Rule ID 55536 //
     /* 2299940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299955 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299979 */     // GIR_Coverage, 55536,
     /* 2299979 */     GIR_EraseRootFromParent_Done,
     /* 2299980 */   // Label 31552: @2299980
     /* 2299980 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2300025), // Rule ID 55537 //
     /* 2299985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300000 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2300003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300024 */     // GIR_Coverage, 55537,
     /* 2300024 */     GIR_EraseRootFromParent_Done,
     /* 2300025 */   // Label 31553: @2300025
     /* 2300025 */   GIM_Reject,
     /* 2300026 */ // Label 31541: @2300026
     /* 2300026 */ GIM_Reject,
     /* 2300027 */ // Label 31349: @2300027
     /* 2300027 */ GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2300816),
     /* 2300032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2300038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2300041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300045 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2300122), // Rule ID 55096 //
     /* 2300050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300093 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300121 */     // GIR_Coverage, 55096,
     /* 2300121 */     GIR_EraseRootFromParent_Done,
     /* 2300122 */   // Label 31555: @2300122
     /* 2300122 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2300199), // Rule ID 55097 //
     /* 2300127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300170 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300198 */     // GIR_Coverage, 55097,
     /* 2300198 */     GIR_EraseRootFromParent_Done,
     /* 2300199 */   // Label 31556: @2300199
     /* 2300199 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2300276), // Rule ID 72337 //
     /* 2300204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300247 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300275 */     // GIR_Coverage, 72337,
     /* 2300275 */     GIR_EraseRootFromParent_Done,
     /* 2300276 */   // Label 31557: @2300276
     /* 2300276 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2300353), // Rule ID 72338 //
     /* 2300281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300324 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2300327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300352 */     // GIR_Coverage, 72338,
     /* 2300352 */     GIR_EraseRootFromParent_Done,
     /* 2300353 */   // Label 31558: @2300353
     /* 2300353 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2300415), // Rule ID 55100 //
     /* 2300358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300388 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300414 */     // GIR_Coverage, 55100,
     /* 2300414 */     GIR_EraseRootFromParent_Done,
     /* 2300415 */   // Label 31559: @2300415
     /* 2300415 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2300477), // Rule ID 55101 //
     /* 2300420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300450 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300476 */     // GIR_Coverage, 55101,
     /* 2300476 */     GIR_EraseRootFromParent_Done,
     /* 2300477 */   // Label 31560: @2300477
     /* 2300477 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2300539), // Rule ID 72341 //
     /* 2300482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300512 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300538 */     // GIR_Coverage, 72341,
     /* 2300538 */     GIR_EraseRootFromParent_Done,
     /* 2300539 */   // Label 31561: @2300539
     /* 2300539 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2300601), // Rule ID 72342 //
     /* 2300544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300574 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300600 */     // GIR_Coverage, 72342,
     /* 2300600 */     GIR_EraseRootFromParent_Done,
     /* 2300601 */   // Label 31562: @2300601
     /* 2300601 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2300663), // Rule ID 55092 //
     /* 2300606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300636 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300662 */     // GIR_Coverage, 55092,
     /* 2300662 */     GIR_EraseRootFromParent_Done,
     /* 2300663 */   // Label 31563: @2300663
     /* 2300663 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2300725), // Rule ID 55093 //
     /* 2300668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300698 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300724 */     // GIR_Coverage, 55093,
     /* 2300724 */     GIR_EraseRootFromParent_Done,
     /* 2300725 */   // Label 31564: @2300725
     /* 2300725 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2300770), // Rule ID 55088 //
     /* 2300730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300745 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300769 */     // GIR_Coverage, 55088,
     /* 2300769 */     GIR_EraseRootFromParent_Done,
     /* 2300770 */   // Label 31565: @2300770
     /* 2300770 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2300815), // Rule ID 55089 //
     /* 2300775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300790 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300814 */     // GIR_Coverage, 55089,
     /* 2300814 */     GIR_EraseRootFromParent_Done,
     /* 2300815 */   // Label 31566: @2300815
     /* 2300815 */   GIM_Reject,
     /* 2300816 */ // Label 31554: @2300816
     /* 2300816 */ GIM_Reject,
     /* 2300817 */ // Label 31350: @2300817
     /* 2300817 */ GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2301606),
     /* 2300822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2300828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2300831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300835 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2300912), // Rule ID 55352 //
     /* 2300840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300883 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300911 */     // GIR_Coverage, 55352,
     /* 2300911 */     GIR_EraseRootFromParent_Done,
     /* 2300912 */   // Label 31568: @2300912
     /* 2300912 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2300989), // Rule ID 55353 //
     /* 2300917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300960 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300988 */     // GIR_Coverage, 55353,
     /* 2300988 */     GIR_EraseRootFromParent_Done,
     /* 2300989 */   // Label 31569: @2300989
     /* 2300989 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2301066), // Rule ID 72561 //
     /* 2300994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301037 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2301040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301065 */     // GIR_Coverage, 72561,
     /* 2301065 */     GIR_EraseRootFromParent_Done,
     /* 2301066 */   // Label 31570: @2301066
     /* 2301066 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2301143), // Rule ID 72562 //
     /* 2301071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301114 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2301117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301142 */     // GIR_Coverage, 72562,
     /* 2301142 */     GIR_EraseRootFromParent_Done,
     /* 2301143 */   // Label 31571: @2301143
     /* 2301143 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2301205), // Rule ID 55356 //
     /* 2301148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301178 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301204 */     // GIR_Coverage, 55356,
     /* 2301204 */     GIR_EraseRootFromParent_Done,
     /* 2301205 */   // Label 31572: @2301205
     /* 2301205 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2301267), // Rule ID 55357 //
     /* 2301210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301240 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301266 */     // GIR_Coverage, 55357,
     /* 2301266 */     GIR_EraseRootFromParent_Done,
     /* 2301267 */   // Label 31573: @2301267
     /* 2301267 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2301329), // Rule ID 72565 //
     /* 2301272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301302 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301328 */     // GIR_Coverage, 72565,
     /* 2301328 */     GIR_EraseRootFromParent_Done,
     /* 2301329 */   // Label 31574: @2301329
     /* 2301329 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2301391), // Rule ID 72566 //
     /* 2301334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301364 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2301367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301390 */     // GIR_Coverage, 72566,
     /* 2301390 */     GIR_EraseRootFromParent_Done,
     /* 2301391 */   // Label 31575: @2301391
     /* 2301391 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2301453), // Rule ID 55348 //
     /* 2301396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301426 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301452 */     // GIR_Coverage, 55348,
     /* 2301452 */     GIR_EraseRootFromParent_Done,
     /* 2301453 */   // Label 31576: @2301453
     /* 2301453 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2301515), // Rule ID 55349 //
     /* 2301458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301488 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301514 */     // GIR_Coverage, 55349,
     /* 2301514 */     GIR_EraseRootFromParent_Done,
     /* 2301515 */   // Label 31577: @2301515
     /* 2301515 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2301560), // Rule ID 55344 //
     /* 2301520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301535 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301559 */     // GIR_Coverage, 55344,
     /* 2301559 */     GIR_EraseRootFromParent_Done,
     /* 2301560 */   // Label 31578: @2301560
     /* 2301560 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2301605), // Rule ID 55345 //
     /* 2301565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301580 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301604 */     // GIR_Coverage, 55345,
     /* 2301604 */     GIR_EraseRootFromParent_Done,
     /* 2301605 */   // Label 31579: @2301605
     /* 2301605 */   GIM_Reject,
     /* 2301606 */ // Label 31567: @2301606
     /* 2301606 */ GIM_Reject,
     /* 2301607 */ // Label 31351: @2301607
     /* 2301607 */ GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2302396),
     /* 2301612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2301618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2301621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301625 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2301702), // Rule ID 55608 //
     /* 2301630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301673 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301701 */     // GIR_Coverage, 55608,
     /* 2301701 */     GIR_EraseRootFromParent_Done,
     /* 2301702 */   // Label 31581: @2301702
     /* 2301702 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2301779), // Rule ID 55609 //
     /* 2301707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301750 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301778 */     // GIR_Coverage, 55609,
     /* 2301778 */     GIR_EraseRootFromParent_Done,
     /* 2301779 */   // Label 31582: @2301779
     /* 2301779 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2301856), // Rule ID 72785 //
     /* 2301784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301827 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301855 */     // GIR_Coverage, 72785,
     /* 2301855 */     GIR_EraseRootFromParent_Done,
     /* 2301856 */   // Label 31583: @2301856
     /* 2301856 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2301933), // Rule ID 72786 //
     /* 2301861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301904 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301932 */     // GIR_Coverage, 72786,
     /* 2301932 */     GIR_EraseRootFromParent_Done,
     /* 2301933 */   // Label 31584: @2301933
     /* 2301933 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2301995), // Rule ID 55612 //
     /* 2301938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301968 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301994 */     // GIR_Coverage, 55612,
     /* 2301994 */     GIR_EraseRootFromParent_Done,
     /* 2301995 */   // Label 31585: @2301995
     /* 2301995 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2302057), // Rule ID 55613 //
     /* 2302000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302030 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302056 */     // GIR_Coverage, 55613,
     /* 2302056 */     GIR_EraseRootFromParent_Done,
     /* 2302057 */   // Label 31586: @2302057
     /* 2302057 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2302119), // Rule ID 72789 //
     /* 2302062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302092 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302118 */     // GIR_Coverage, 72789,
     /* 2302118 */     GIR_EraseRootFromParent_Done,
     /* 2302119 */   // Label 31587: @2302119
     /* 2302119 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2302181), // Rule ID 72790 //
     /* 2302124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302154 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2302157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302180 */     // GIR_Coverage, 72790,
     /* 2302180 */     GIR_EraseRootFromParent_Done,
     /* 2302181 */   // Label 31588: @2302181
     /* 2302181 */   GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2302243), // Rule ID 55604 //
     /* 2302186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302216 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2302219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302242 */     // GIR_Coverage, 55604,
     /* 2302242 */     GIR_EraseRootFromParent_Done,
     /* 2302243 */   // Label 31589: @2302243
     /* 2302243 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2302305), // Rule ID 55605 //
     /* 2302248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302278 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2302281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302304 */     // GIR_Coverage, 55605,
     /* 2302304 */     GIR_EraseRootFromParent_Done,
     /* 2302305 */   // Label 31590: @2302305
     /* 2302305 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2302350), // Rule ID 55600 //
     /* 2302310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302325 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2302328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302349 */     // GIR_Coverage, 55600,
     /* 2302349 */     GIR_EraseRootFromParent_Done,
     /* 2302350 */   // Label 31591: @2302350
     /* 2302350 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2302395), // Rule ID 55601 //
     /* 2302355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302370 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2302373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302394 */     // GIR_Coverage, 55601,
     /* 2302394 */     GIR_EraseRootFromParent_Done,
     /* 2302395 */   // Label 31592: @2302395
     /* 2302395 */   GIM_Reject,
     /* 2302396 */ // Label 31580: @2302396
     /* 2302396 */ GIM_Reject,
     /* 2302397 */ // Label 31352: @2302397
     /* 2302397 */ GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2303186),
     /* 2302402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2302408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2302411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302415 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2302492), // Rule ID 55160 //
     /* 2302420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302463 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302491 */     // GIR_Coverage, 55160,
     /* 2302491 */     GIR_EraseRootFromParent_Done,
     /* 2302492 */   // Label 31594: @2302492
     /* 2302492 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2302569), // Rule ID 55161 //
     /* 2302497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302540 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302568 */     // GIR_Coverage, 55161,
     /* 2302568 */     GIR_EraseRootFromParent_Done,
     /* 2302569 */   // Label 31595: @2302569
     /* 2302569 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2302646), // Rule ID 72393 //
     /* 2302574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302617 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302645 */     // GIR_Coverage, 72393,
     /* 2302645 */     GIR_EraseRootFromParent_Done,
     /* 2302646 */   // Label 31596: @2302646
     /* 2302646 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2302723), // Rule ID 72394 //
     /* 2302651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302694 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302722 */     // GIR_Coverage, 72394,
     /* 2302722 */     GIR_EraseRootFromParent_Done,
     /* 2302723 */   // Label 31597: @2302723
     /* 2302723 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2302785), // Rule ID 55164 //
     /* 2302728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302758 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302784 */     // GIR_Coverage, 55164,
     /* 2302784 */     GIR_EraseRootFromParent_Done,
     /* 2302785 */   // Label 31598: @2302785
     /* 2302785 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2302847), // Rule ID 55165 //
     /* 2302790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302820 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302846 */     // GIR_Coverage, 55165,
     /* 2302846 */     GIR_EraseRootFromParent_Done,
     /* 2302847 */   // Label 31599: @2302847
     /* 2302847 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2302909), // Rule ID 72397 //
     /* 2302852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302882 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302908 */     // GIR_Coverage, 72397,
     /* 2302908 */     GIR_EraseRootFromParent_Done,
     /* 2302909 */   // Label 31600: @2302909
     /* 2302909 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2302971), // Rule ID 72398 //
     /* 2302914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302944 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302970 */     // GIR_Coverage, 72398,
     /* 2302970 */     GIR_EraseRootFromParent_Done,
     /* 2302971 */   // Label 31601: @2302971
     /* 2302971 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2303033), // Rule ID 55156 //
     /* 2302976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303006 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2303009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303032 */     // GIR_Coverage, 55156,
     /* 2303032 */     GIR_EraseRootFromParent_Done,
     /* 2303033 */   // Label 31602: @2303033
     /* 2303033 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2303095), // Rule ID 55157 //
     /* 2303038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2303061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303068 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2303071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303094 */     // GIR_Coverage, 55157,
     /* 2303094 */     GIR_EraseRootFromParent_Done,
     /* 2303095 */   // Label 31603: @2303095
     /* 2303095 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2303140), // Rule ID 55152 //
     /* 2303100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303115 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2303118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303139 */     // GIR_Coverage, 55152,
     /* 2303139 */     GIR_EraseRootFromParent_Done,
     /* 2303140 */   // Label 31604: @2303140
     /* 2303140 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303185), // Rule ID 55153 //
     /* 2303145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303160 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2303163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303184 */     // GIR_Coverage, 55153,
     /* 2303184 */     GIR_EraseRootFromParent_Done,
     /* 2303185 */   // Label 31605: @2303185
     /* 2303185 */   GIM_Reject,
     /* 2303186 */ // Label 31593: @2303186
     /* 2303186 */ GIM_Reject,
     /* 2303187 */ // Label 31353: @2303187
     /* 2303187 */ GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303976),
     /* 2303192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2303198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2303201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303205 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303282), // Rule ID 55416 //
     /* 2303210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303253 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303281 */     // GIR_Coverage, 55416,
     /* 2303281 */     GIR_EraseRootFromParent_Done,
     /* 2303282 */   // Label 31607: @2303282
     /* 2303282 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2303359), // Rule ID 55417 //
     /* 2303287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303330 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303358 */     // GIR_Coverage, 55417,
     /* 2303358 */     GIR_EraseRootFromParent_Done,
     /* 2303359 */   // Label 31608: @2303359
     /* 2303359 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2303436), // Rule ID 72617 //
     /* 2303364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303407 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303435 */     // GIR_Coverage, 72617,
     /* 2303435 */     GIR_EraseRootFromParent_Done,
     /* 2303436 */   // Label 31609: @2303436
     /* 2303436 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2303513), // Rule ID 72618 //
     /* 2303441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303484 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303512 */     // GIR_Coverage, 72618,
     /* 2303512 */     GIR_EraseRootFromParent_Done,
     /* 2303513 */   // Label 31610: @2303513
     /* 2303513 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2303575), // Rule ID 55420 //
     /* 2303518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303548 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303574 */     // GIR_Coverage, 55420,
     /* 2303574 */     GIR_EraseRootFromParent_Done,
     /* 2303575 */   // Label 31611: @2303575
     /* 2303575 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2303637), // Rule ID 55421 //
     /* 2303580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303610 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303636 */     // GIR_Coverage, 55421,
     /* 2303636 */     GIR_EraseRootFromParent_Done,
     /* 2303637 */   // Label 31612: @2303637
     /* 2303637 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2303699), // Rule ID 72621 //
     /* 2303642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303672 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303698 */     // GIR_Coverage, 72621,
     /* 2303698 */     GIR_EraseRootFromParent_Done,
     /* 2303699 */   // Label 31613: @2303699
     /* 2303699 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2303761), // Rule ID 72622 //
     /* 2303704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303734 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303760 */     // GIR_Coverage, 72622,
     /* 2303760 */     GIR_EraseRootFromParent_Done,
     /* 2303761 */   // Label 31614: @2303761
     /* 2303761 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2303823), // Rule ID 55412 //
     /* 2303766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303796 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303822 */     // GIR_Coverage, 55412,
     /* 2303822 */     GIR_EraseRootFromParent_Done,
     /* 2303823 */   // Label 31615: @2303823
     /* 2303823 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2303885), // Rule ID 55413 //
     /* 2303828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303858 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303884 */     // GIR_Coverage, 55413,
     /* 2303884 */     GIR_EraseRootFromParent_Done,
     /* 2303885 */   // Label 31616: @2303885
     /* 2303885 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2303930), // Rule ID 55408 //
     /* 2303890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303905 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303929 */     // GIR_Coverage, 55408,
     /* 2303929 */     GIR_EraseRootFromParent_Done,
     /* 2303930 */   // Label 31617: @2303930
     /* 2303930 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2303975), // Rule ID 55409 //
     /* 2303935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303950 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303974 */     // GIR_Coverage, 55409,
     /* 2303974 */     GIR_EraseRootFromParent_Done,
     /* 2303975 */   // Label 31618: @2303975
     /* 2303975 */   GIM_Reject,
     /* 2303976 */ // Label 31606: @2303976
     /* 2303976 */ GIM_Reject,
     /* 2303977 */ // Label 31354: @2303977
     /* 2303977 */ GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2304766),
     /* 2303982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2303991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303995 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2304072), // Rule ID 55224 //
     /* 2304000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304043 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304071 */     // GIR_Coverage, 55224,
     /* 2304071 */     GIR_EraseRootFromParent_Done,
     /* 2304072 */   // Label 31620: @2304072
     /* 2304072 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2304149), // Rule ID 55225 //
     /* 2304077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304120 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304148 */     // GIR_Coverage, 55225,
     /* 2304148 */     GIR_EraseRootFromParent_Done,
     /* 2304149 */   // Label 31621: @2304149
     /* 2304149 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2304226), // Rule ID 72449 //
     /* 2304154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304197 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304225 */     // GIR_Coverage, 72449,
     /* 2304225 */     GIR_EraseRootFromParent_Done,
     /* 2304226 */   // Label 31622: @2304226
     /* 2304226 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2304303), // Rule ID 72450 //
     /* 2304231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304274 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2304277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304302 */     // GIR_Coverage, 72450,
     /* 2304302 */     GIR_EraseRootFromParent_Done,
     /* 2304303 */   // Label 31623: @2304303
     /* 2304303 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2304365), // Rule ID 55228 //
     /* 2304308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304338 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304364 */     // GIR_Coverage, 55228,
     /* 2304364 */     GIR_EraseRootFromParent_Done,
     /* 2304365 */   // Label 31624: @2304365
     /* 2304365 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2304427), // Rule ID 55229 //
     /* 2304370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304400 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304426 */     // GIR_Coverage, 55229,
     /* 2304426 */     GIR_EraseRootFromParent_Done,
     /* 2304427 */   // Label 31625: @2304427
     /* 2304427 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2304489), // Rule ID 72453 //
     /* 2304432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304462 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304488 */     // GIR_Coverage, 72453,
     /* 2304488 */     GIR_EraseRootFromParent_Done,
     /* 2304489 */   // Label 31626: @2304489
     /* 2304489 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2304551), // Rule ID 72454 //
     /* 2304494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304524 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304550 */     // GIR_Coverage, 72454,
     /* 2304550 */     GIR_EraseRootFromParent_Done,
     /* 2304551 */   // Label 31627: @2304551
     /* 2304551 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2304613), // Rule ID 55220 //
     /* 2304556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304586 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304612 */     // GIR_Coverage, 55220,
     /* 2304612 */     GIR_EraseRootFromParent_Done,
     /* 2304613 */   // Label 31628: @2304613
     /* 2304613 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2304675), // Rule ID 55221 //
     /* 2304618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304648 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304674 */     // GIR_Coverage, 55221,
     /* 2304674 */     GIR_EraseRootFromParent_Done,
     /* 2304675 */   // Label 31629: @2304675
     /* 2304675 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2304720), // Rule ID 55216 //
     /* 2304680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304695 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304719 */     // GIR_Coverage, 55216,
     /* 2304719 */     GIR_EraseRootFromParent_Done,
     /* 2304720 */   // Label 31630: @2304720
     /* 2304720 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2304765), // Rule ID 55217 //
     /* 2304725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304740 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304764 */     // GIR_Coverage, 55217,
     /* 2304764 */     GIR_EraseRootFromParent_Done,
     /* 2304765 */   // Label 31631: @2304765
     /* 2304765 */   GIM_Reject,
     /* 2304766 */ // Label 31619: @2304766
     /* 2304766 */ GIM_Reject,
     /* 2304767 */ // Label 31355: @2304767
     /* 2304767 */ GIM_Reject,
     /* 2304768 */ // Label 63: @2304768
     /* 2304768 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31650*/ GIMT_Encode4(2307195),
     /* 2304779 */ /*GILLT_s16*//*Label 31632*/ GIMT_Encode4(2304899),
     /* 2304783 */ /*GILLT_s32*//*Label 31633*/ GIMT_Encode4(2305048),
     /* 2304787 */ /*GILLT_s64*//*Label 31634*/ GIMT_Encode4(2305197), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304799 */ /*GILLT_nxv1s16*//*Label 31635*/ GIMT_Encode4(2305380),
     /* 2304803 */ /*GILLT_nxv1s32*//*Label 31636*/ GIMT_Encode4(2305501),
     /* 2304807 */ /*GILLT_nxv1s64*//*Label 31637*/ GIMT_Encode4(2305622), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304819 */ /*GILLT_nxv2s16*//*Label 31638*/ GIMT_Encode4(2305743),
     /* 2304823 */ /*GILLT_nxv2s32*//*Label 31639*/ GIMT_Encode4(2305864),
     /* 2304827 */ /*GILLT_nxv2s64*//*Label 31640*/ GIMT_Encode4(2305985), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304839 */ /*GILLT_nxv4s16*//*Label 31641*/ GIMT_Encode4(2306106),
     /* 2304843 */ /*GILLT_nxv4s32*//*Label 31642*/ GIMT_Encode4(2306227),
     /* 2304847 */ /*GILLT_nxv4s64*//*Label 31643*/ GIMT_Encode4(2306348), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304859 */ /*GILLT_nxv8s16*//*Label 31644*/ GIMT_Encode4(2306469),
     /* 2304863 */ /*GILLT_nxv8s32*//*Label 31645*/ GIMT_Encode4(2306590),
     /* 2304867 */ /*GILLT_nxv8s64*//*Label 31646*/ GIMT_Encode4(2306711), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304879 */ /*GILLT_nxv16s16*//*Label 31647*/ GIMT_Encode4(2306832),
     /* 2304883 */ /*GILLT_nxv16s32*//*Label 31648*/ GIMT_Encode4(2306953), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304895 */ /*GILLT_nxv32s16*//*Label 31649*/ GIMT_Encode4(2307074),
     /* 2304899 */ // Label 31632: @2304899
     /* 2304899 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2305047),
     /* 2304904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2304910 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2304944), // Rule ID 1872 //
     /* 2304915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2304918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304930 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304943 */     // GIR_Coverage, 1872,
     /* 2304943 */     GIR_EraseRootFromParent_Done,
     /* 2304944 */   // Label 31652: @2304944
     /* 2304944 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2304978), // Rule ID 1873 //
     /* 2304949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2304952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304964 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304977 */     // GIR_Coverage, 1873,
     /* 2304977 */     GIR_EraseRootFromParent_Done,
     /* 2304978 */   // Label 31653: @2304978
     /* 2304978 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2305012), // Rule ID 1876 //
     /* 2304983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2304986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304998 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2305001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305011 */     // GIR_Coverage, 1876,
     /* 2305011 */     GIR_EraseRootFromParent_Done,
     /* 2305012 */   // Label 31654: @2305012
     /* 2305012 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2305046), // Rule ID 1877 //
     /* 2305017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2305020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305032 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2305032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2305035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305045 */     // GIR_Coverage, 1877,
     /* 2305045 */     GIR_EraseRootFromParent_Done,
     /* 2305046 */   // Label 31655: @2305046
     /* 2305046 */   GIM_Reject,
     /* 2305047 */ // Label 31651: @2305047
     /* 2305047 */ GIM_Reject,
     /* 2305048 */ // Label 31633: @2305048
     /* 2305048 */ GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2305196),
     /* 2305053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2305056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2305059 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2305093), // Rule ID 1163 //
     /* 2305064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2305067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305079 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2305079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2305082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305092 */     // GIR_Coverage, 1163,
     /* 2305092 */     GIR_EraseRootFromParent_Done,
     /* 2305093 */   // Label 31657: @2305093
     /* 2305093 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2305127), // Rule ID 1164 //
     /* 2305098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2305101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305113 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2305113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2305116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305126 */     // GIR_Coverage, 1164,
     /* 2305126 */     GIR_EraseRootFromParent_Done,
     /* 2305127 */   // Label 31658: @2305127
     /* 2305127 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2305161), // Rule ID 1167 //
     /* 2305132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2305135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305147 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2305147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2305150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305160 */     // GIR_Coverage, 1167,
     /* 2305160 */     GIR_EraseRootFromParent_Done,
     /* 2305161 */   // Label 31659: @2305161
     /* 2305161 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2305195), // Rule ID 1168 //
     /* 2305166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2305169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305181 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2305181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2305184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305194 */     // GIR_Coverage, 1168,
     /* 2305194 */     GIR_EraseRootFromParent_Done,
     /* 2305195 */   // Label 31660: @2305195
     /* 2305195 */   GIM_Reject,
     /* 2305196 */ // Label 31656: @2305196
     /* 2305196 */ GIM_Reject,
     /* 2305197 */ // Label 31634: @2305197
     /* 2305197 */ GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2305379),
     /* 2305202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2305205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2305208 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2305242), // Rule ID 1504 //
     /* 2305213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2305216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305228 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2305231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305241 */     // GIR_Coverage, 1504,
     /* 2305241 */     GIR_EraseRootFromParent_Done,
     /* 2305242 */   // Label 31662: @2305242
     /* 2305242 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2305276), // Rule ID 1505 //
     /* 2305247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2305250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305262 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2305262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2305265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305275 */     // GIR_Coverage, 1505,
     /* 2305275 */     GIR_EraseRootFromParent_Done,
     /* 2305276 */   // Label 31663: @2305276
     /* 2305276 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2305310), // Rule ID 1508 //
     /* 2305281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2305284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305296 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2305299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305309 */     // GIR_Coverage, 1508,
     /* 2305309 */     GIR_EraseRootFromParent_Done,
     /* 2305310 */   // Label 31664: @2305310
     /* 2305310 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2305344), // Rule ID 1509 //
     /* 2305315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2305318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305330 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2305330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2305333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305343 */     // GIR_Coverage, 1509,
     /* 2305343 */     GIR_EraseRootFromParent_Done,
     /* 2305344 */   // Label 31665: @2305344
     /* 2305344 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2305378), // Rule ID 1511 //
     /* 2305349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2305352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305364 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2305364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2305367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305377 */     // GIR_Coverage, 1511,
     /* 2305377 */     GIR_EraseRootFromParent_Done,
     /* 2305378 */   // Label 31666: @2305378
     /* 2305378 */   GIM_Reject,
     /* 2305379 */ // Label 31661: @2305379
     /* 2305379 */ GIM_Reject,
     /* 2305380 */ // Label 31635: @2305380
     /* 2305380 */ GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2305500),
     /* 2305385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2305391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305403 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2305451), // Rule ID 54278 //
     /* 2305408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305411 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305450 */     // GIR_Coverage, 54278,
     /* 2305450 */     GIR_EraseRootFromParent_Done,
     /* 2305451 */   // Label 31668: @2305451
     /* 2305451 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2305499), // Rule ID 54279 //
     /* 2305456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305459 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305498 */     // GIR_Coverage, 54279,
     /* 2305498 */     GIR_EraseRootFromParent_Done,
     /* 2305499 */   // Label 31669: @2305499
     /* 2305499 */   GIM_Reject,
     /* 2305500 */ // Label 31667: @2305500
     /* 2305500 */ GIM_Reject,
     /* 2305501 */ // Label 31636: @2305501
     /* 2305501 */ GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2305621),
     /* 2305506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2305512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305524 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2305572), // Rule ID 54302 //
     /* 2305529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305532 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305571 */     // GIR_Coverage, 54302,
     /* 2305571 */     GIR_EraseRootFromParent_Done,
     /* 2305572 */   // Label 31671: @2305572
     /* 2305572 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2305620), // Rule ID 54303 //
     /* 2305577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305580 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305619 */     // GIR_Coverage, 54303,
     /* 2305619 */     GIR_EraseRootFromParent_Done,
     /* 2305620 */   // Label 31672: @2305620
     /* 2305620 */   GIM_Reject,
     /* 2305621 */ // Label 31670: @2305621
     /* 2305621 */ GIM_Reject,
     /* 2305622 */ // Label 31637: @2305622
     /* 2305622 */ GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2305742),
     /* 2305627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2305633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305645 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2305693), // Rule ID 54338 //
     /* 2305650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305653 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305692 */     // GIR_Coverage, 54338,
     /* 2305692 */     GIR_EraseRootFromParent_Done,
     /* 2305693 */   // Label 31674: @2305693
     /* 2305693 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2305741), // Rule ID 54339 //
     /* 2305698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305701 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305740 */     // GIR_Coverage, 54339,
     /* 2305740 */     GIR_EraseRootFromParent_Done,
     /* 2305741 */   // Label 31675: @2305741
     /* 2305741 */   GIM_Reject,
     /* 2305742 */ // Label 31673: @2305742
     /* 2305742 */ GIM_Reject,
     /* 2305743 */ // Label 31638: @2305743
     /* 2305743 */ GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2305863),
     /* 2305748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2305754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305766 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2305814), // Rule ID 54290 //
     /* 2305771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305774 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305813 */     // GIR_Coverage, 54290,
     /* 2305813 */     GIR_EraseRootFromParent_Done,
     /* 2305814 */   // Label 31677: @2305814
     /* 2305814 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2305862), // Rule ID 54291 //
     /* 2305819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305822 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305861 */     // GIR_Coverage, 54291,
     /* 2305861 */     GIR_EraseRootFromParent_Done,
     /* 2305862 */   // Label 31678: @2305862
     /* 2305862 */   GIM_Reject,
     /* 2305863 */ // Label 31676: @2305863
     /* 2305863 */ GIM_Reject,
     /* 2305864 */ // Label 31639: @2305864
     /* 2305864 */ GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2305984),
     /* 2305869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305887 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2305935), // Rule ID 54326 //
     /* 2305892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305895 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305934 */     // GIR_Coverage, 54326,
     /* 2305934 */     GIR_EraseRootFromParent_Done,
     /* 2305935 */   // Label 31680: @2305935
     /* 2305935 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2305983), // Rule ID 54327 //
     /* 2305940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305943 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305982 */     // GIR_Coverage, 54327,
     /* 2305982 */     GIR_EraseRootFromParent_Done,
     /* 2305983 */   // Label 31681: @2305983
     /* 2305983 */   GIM_Reject,
     /* 2305984 */ // Label 31679: @2305984
     /* 2305984 */ GIM_Reject,
     /* 2305985 */ // Label 31640: @2305985
     /* 2305985 */ GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2306105),
     /* 2305990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2305996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306008 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2306056), // Rule ID 54422 //
     /* 2306013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306016 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2306033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306055 */     // GIR_Coverage, 54422,
     /* 2306055 */     GIR_EraseRootFromParent_Done,
     /* 2306056 */   // Label 31683: @2306056
     /* 2306056 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2306104), // Rule ID 54423 //
     /* 2306061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306064 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2306081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306103 */     // GIR_Coverage, 54423,
     /* 2306103 */     GIR_EraseRootFromParent_Done,
     /* 2306104 */   // Label 31684: @2306104
     /* 2306104 */   GIM_Reject,
     /* 2306105 */ // Label 31682: @2306105
     /* 2306105 */ GIM_Reject,
     /* 2306106 */ // Label 31641: @2306106
     /* 2306106 */ GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2306226),
     /* 2306111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2306117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306129 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2306177), // Rule ID 54314 //
     /* 2306134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306137 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2306154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306176 */     // GIR_Coverage, 54314,
     /* 2306176 */     GIR_EraseRootFromParent_Done,
     /* 2306177 */   // Label 31686: @2306177
     /* 2306177 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2306225), // Rule ID 54315 //
     /* 2306182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306185 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2306202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306224 */     // GIR_Coverage, 54315,
     /* 2306224 */     GIR_EraseRootFromParent_Done,
     /* 2306225 */   // Label 31687: @2306225
     /* 2306225 */   GIM_Reject,
     /* 2306226 */ // Label 31685: @2306226
     /* 2306226 */ GIM_Reject,
     /* 2306227 */ // Label 31642: @2306227
     /* 2306227 */ GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2306347),
     /* 2306232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2306235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2306238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306250 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2306298), // Rule ID 54386 //
     /* 2306255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306258 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2306275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306297 */     // GIR_Coverage, 54386,
     /* 2306297 */     GIR_EraseRootFromParent_Done,
     /* 2306298 */   // Label 31689: @2306298
     /* 2306298 */   GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2306346), // Rule ID 54387 //
     /* 2306303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306306 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2306323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306345 */     // GIR_Coverage, 54387,
     /* 2306345 */     GIR_EraseRootFromParent_Done,
     /* 2306346 */   // Label 31690: @2306346
     /* 2306346 */   GIM_Reject,
     /* 2306347 */ // Label 31688: @2306347
     /* 2306347 */ GIM_Reject,
     /* 2306348 */ // Label 31643: @2306348
     /* 2306348 */ GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2306468),
     /* 2306353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2306356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2306359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306371 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2306419), // Rule ID 54434 //
     /* 2306376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306379 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306418 */     // GIR_Coverage, 54434,
     /* 2306418 */     GIR_EraseRootFromParent_Done,
     /* 2306419 */   // Label 31692: @2306419
     /* 2306419 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2306467), // Rule ID 54435 //
     /* 2306424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306427 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306466 */     // GIR_Coverage, 54435,
     /* 2306466 */     GIR_EraseRootFromParent_Done,
     /* 2306467 */   // Label 31693: @2306467
     /* 2306467 */   GIM_Reject,
     /* 2306468 */ // Label 31691: @2306468
     /* 2306468 */ GIM_Reject,
     /* 2306469 */ // Label 31644: @2306469
     /* 2306469 */ GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2306589),
     /* 2306474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2306477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2306480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306492 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2306540), // Rule ID 54350 //
     /* 2306497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306500 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306539 */     // GIR_Coverage, 54350,
     /* 2306539 */     GIR_EraseRootFromParent_Done,
     /* 2306540 */   // Label 31695: @2306540
     /* 2306540 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2306588), // Rule ID 54351 //
     /* 2306545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306548 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306587 */     // GIR_Coverage, 54351,
     /* 2306587 */     GIR_EraseRootFromParent_Done,
     /* 2306588 */   // Label 31696: @2306588
     /* 2306588 */   GIM_Reject,
     /* 2306589 */ // Label 31694: @2306589
     /* 2306589 */ GIM_Reject,
     /* 2306590 */ // Label 31645: @2306590
     /* 2306590 */ GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2306710),
     /* 2306595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2306598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2306601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306613 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2306661), // Rule ID 54398 //
     /* 2306618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306621 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306660 */     // GIR_Coverage, 54398,
     /* 2306660 */     GIR_EraseRootFromParent_Done,
     /* 2306661 */   // Label 31698: @2306661
     /* 2306661 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2306709), // Rule ID 54399 //
     /* 2306666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306669 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306708 */     // GIR_Coverage, 54399,
     /* 2306708 */     GIR_EraseRootFromParent_Done,
     /* 2306709 */   // Label 31699: @2306709
     /* 2306709 */   GIM_Reject,
     /* 2306710 */ // Label 31697: @2306710
     /* 2306710 */ GIM_Reject,
     /* 2306711 */ // Label 31646: @2306711
     /* 2306711 */ GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2306831),
     /* 2306716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2306722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306734 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2306782), // Rule ID 54446 //
     /* 2306739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306742 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306781 */     // GIR_Coverage, 54446,
     /* 2306781 */     GIR_EraseRootFromParent_Done,
     /* 2306782 */   // Label 31701: @2306782
     /* 2306782 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2306830), // Rule ID 54447 //
     /* 2306787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306790 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306829 */     // GIR_Coverage, 54447,
     /* 2306829 */     GIR_EraseRootFromParent_Done,
     /* 2306830 */   // Label 31702: @2306830
     /* 2306830 */   GIM_Reject,
     /* 2306831 */ // Label 31700: @2306831
     /* 2306831 */ GIM_Reject,
     /* 2306832 */ // Label 31647: @2306832
     /* 2306832 */ GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2306952),
     /* 2306837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306855 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2306903), // Rule ID 54362 //
     /* 2306860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306863 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306902 */     // GIR_Coverage, 54362,
     /* 2306902 */     GIR_EraseRootFromParent_Done,
     /* 2306903 */   // Label 31704: @2306903
     /* 2306903 */   GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2306951), // Rule ID 54363 //
     /* 2306908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306911 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306950 */     // GIR_Coverage, 54363,
     /* 2306950 */     GIR_EraseRootFromParent_Done,
     /* 2306951 */   // Label 31705: @2306951
     /* 2306951 */   GIM_Reject,
     /* 2306952 */ // Label 31703: @2306952
     /* 2306952 */ GIM_Reject,
     /* 2306953 */ // Label 31648: @2306953
     /* 2306953 */ GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2307073),
     /* 2306958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2306964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306976 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2307024), // Rule ID 54410 //
     /* 2306981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306984 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2307001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307023 */     // GIR_Coverage, 54410,
     /* 2307023 */     GIR_EraseRootFromParent_Done,
     /* 2307024 */   // Label 31707: @2307024
     /* 2307024 */   GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2307072), // Rule ID 54411 //
     /* 2307029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307032 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2307035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2307049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307071 */     // GIR_Coverage, 54411,
     /* 2307071 */     GIR_EraseRootFromParent_Done,
     /* 2307072 */   // Label 31708: @2307072
     /* 2307072 */   GIM_Reject,
     /* 2307073 */ // Label 31706: @2307073
     /* 2307073 */ GIM_Reject,
     /* 2307074 */ // Label 31649: @2307074
     /* 2307074 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2307194),
     /* 2307079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2307082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2307085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307097 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2307145), // Rule ID 54374 //
     /* 2307102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307105 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2307122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307144 */     // GIR_Coverage, 54374,
     /* 2307144 */     GIR_EraseRootFromParent_Done,
     /* 2307145 */   // Label 31710: @2307145
     /* 2307145 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2307193), // Rule ID 54375 //
     /* 2307150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307153 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2307170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307192 */     // GIR_Coverage, 54375,
     /* 2307192 */     GIR_EraseRootFromParent_Done,
     /* 2307193 */   // Label 31711: @2307193
     /* 2307193 */   GIM_Reject,
     /* 2307194 */ // Label 31709: @2307194
     /* 2307194 */ GIM_Reject,
     /* 2307195 */ // Label 31650: @2307195
     /* 2307195 */ GIM_Reject,
     /* 2307196 */ // Label 64: @2307196
     /* 2307196 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31730*/ GIMT_Encode4(2309166),
     /* 2307207 */ /*GILLT_s16*//*Label 31712*/ GIMT_Encode4(2307327),
     /* 2307211 */ /*GILLT_s32*//*Label 31713*/ GIMT_Encode4(2307391),
     /* 2307215 */ /*GILLT_s64*//*Label 31714*/ GIMT_Encode4(2307455), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307227 */ /*GILLT_nxv1s16*//*Label 31715*/ GIMT_Encode4(2307546),
     /* 2307231 */ /*GILLT_nxv1s32*//*Label 31716*/ GIMT_Encode4(2307654),
     /* 2307235 */ /*GILLT_nxv1s64*//*Label 31717*/ GIMT_Encode4(2307762), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307247 */ /*GILLT_nxv2s16*//*Label 31718*/ GIMT_Encode4(2307870),
     /* 2307251 */ /*GILLT_nxv2s32*//*Label 31719*/ GIMT_Encode4(2307978),
     /* 2307255 */ /*GILLT_nxv2s64*//*Label 31720*/ GIMT_Encode4(2308086), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307267 */ /*GILLT_nxv4s16*//*Label 31721*/ GIMT_Encode4(2308194),
     /* 2307271 */ /*GILLT_nxv4s32*//*Label 31722*/ GIMT_Encode4(2308302),
     /* 2307275 */ /*GILLT_nxv4s64*//*Label 31723*/ GIMT_Encode4(2308410), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307287 */ /*GILLT_nxv8s16*//*Label 31724*/ GIMT_Encode4(2308518),
     /* 2307291 */ /*GILLT_nxv8s32*//*Label 31725*/ GIMT_Encode4(2308626),
     /* 2307295 */ /*GILLT_nxv8s64*//*Label 31726*/ GIMT_Encode4(2308734), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307307 */ /*GILLT_nxv16s16*//*Label 31727*/ GIMT_Encode4(2308842),
     /* 2307311 */ /*GILLT_nxv16s32*//*Label 31728*/ GIMT_Encode4(2308950), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307323 */ /*GILLT_nxv32s16*//*Label 31729*/ GIMT_Encode4(2309058),
     /* 2307327 */ // Label 31712: @2307327
     /* 2307327 */ GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2307390),
     /* 2307332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307335 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2307362), // Rule ID 1882 //
     /* 2307340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2307343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307351 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2307351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2307354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307361 */     // GIR_Coverage, 1882,
     /* 2307361 */     GIR_EraseRootFromParent_Done,
     /* 2307362 */   // Label 31732: @2307362
     /* 2307362 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2307389), // Rule ID 1915 //
     /* 2307367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2307370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307378 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2307378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2307381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307388 */     // GIR_Coverage, 1915,
     /* 2307388 */     GIR_EraseRootFromParent_Done,
     /* 2307389 */   // Label 31733: @2307389
     /* 2307389 */   GIM_Reject,
     /* 2307390 */ // Label 31731: @2307390
     /* 2307390 */ GIM_Reject,
     /* 2307391 */ // Label 31713: @2307391
     /* 2307391 */ GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2307454),
     /* 2307396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307399 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2307426), // Rule ID 1173 //
     /* 2307404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2307407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307415 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2307418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307425 */     // GIR_Coverage, 1173,
     /* 2307425 */     GIR_EraseRootFromParent_Done,
     /* 2307426 */   // Label 31735: @2307426
     /* 2307426 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2307453), // Rule ID 1181 //
     /* 2307431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2307434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307442 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2307445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307452 */     // GIR_Coverage, 1181,
     /* 2307452 */     GIR_EraseRootFromParent_Done,
     /* 2307453 */   // Label 31736: @2307453
     /* 2307453 */   GIM_Reject,
     /* 2307454 */ // Label 31734: @2307454
     /* 2307454 */ GIM_Reject,
     /* 2307455 */ // Label 31714: @2307455
     /* 2307455 */ GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2307545),
     /* 2307460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307463 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2307490), // Rule ID 1516 //
     /* 2307468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2307471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307479 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2307482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307489 */     // GIR_Coverage, 1516,
     /* 2307489 */     GIR_EraseRootFromParent_Done,
     /* 2307490 */   // Label 31738: @2307490
     /* 2307490 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2307517), // Rule ID 1549 //
     /* 2307495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2307498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307506 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2307509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307516 */     // GIR_Coverage, 1549,
     /* 2307516 */     GIR_EraseRootFromParent_Done,
     /* 2307517 */   // Label 31739: @2307517
     /* 2307517 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2307544), // Rule ID 1571 //
     /* 2307522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2307525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307533 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2307536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307543 */     // GIR_Coverage, 1571,
     /* 2307543 */     GIR_EraseRootFromParent_Done,
     /* 2307544 */   // Label 31740: @2307544
     /* 2307544 */   GIM_Reject,
     /* 2307545 */ // Label 31737: @2307545
     /* 2307545 */ GIM_Reject,
     /* 2307546 */ // Label 31715: @2307546
     /* 2307546 */ GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2307653),
     /* 2307551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2307554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307562 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2307607), // Rule ID 56116 //
     /* 2307567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307570 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307606 */     // GIR_Coverage, 56116,
     /* 2307606 */     GIR_EraseRootFromParent_Done,
     /* 2307607 */   // Label 31742: @2307607
     /* 2307607 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2307652), // Rule ID 56117 //
     /* 2307612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307615 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307651 */     // GIR_Coverage, 56117,
     /* 2307651 */     GIR_EraseRootFromParent_Done,
     /* 2307652 */   // Label 31743: @2307652
     /* 2307652 */   GIM_Reject,
     /* 2307653 */ // Label 31741: @2307653
     /* 2307653 */ GIM_Reject,
     /* 2307654 */ // Label 31716: @2307654
     /* 2307654 */ GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2307761),
     /* 2307659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2307662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307670 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2307715), // Rule ID 56156 //
     /* 2307675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307678 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307714 */     // GIR_Coverage, 56156,
     /* 2307714 */     GIR_EraseRootFromParent_Done,
     /* 2307715 */   // Label 31745: @2307715
     /* 2307715 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2307760), // Rule ID 56157 //
     /* 2307720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307723 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307759 */     // GIR_Coverage, 56157,
     /* 2307759 */     GIR_EraseRootFromParent_Done,
     /* 2307760 */   // Label 31746: @2307760
     /* 2307760 */   GIM_Reject,
     /* 2307761 */ // Label 31744: @2307761
     /* 2307761 */ GIM_Reject,
     /* 2307762 */ // Label 31717: @2307762
     /* 2307762 */ GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2307869),
     /* 2307767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2307770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307778 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2307823), // Rule ID 56216 //
     /* 2307783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307786 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307822 */     // GIR_Coverage, 56216,
     /* 2307822 */     GIR_EraseRootFromParent_Done,
     /* 2307823 */   // Label 31748: @2307823
     /* 2307823 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2307868), // Rule ID 56217 //
     /* 2307828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307831 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307867 */     // GIR_Coverage, 56217,
     /* 2307867 */     GIR_EraseRootFromParent_Done,
     /* 2307868 */   // Label 31749: @2307868
     /* 2307868 */   GIM_Reject,
     /* 2307869 */ // Label 31747: @2307869
     /* 2307869 */ GIM_Reject,
     /* 2307870 */ // Label 31718: @2307870
     /* 2307870 */ GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2307977),
     /* 2307875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2307878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307886 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2307931), // Rule ID 56136 //
     /* 2307891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307894 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307930 */     // GIR_Coverage, 56136,
     /* 2307930 */     GIR_EraseRootFromParent_Done,
     /* 2307931 */   // Label 31751: @2307931
     /* 2307931 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2307976), // Rule ID 56137 //
     /* 2307936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307939 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307975 */     // GIR_Coverage, 56137,
     /* 2307975 */     GIR_EraseRootFromParent_Done,
     /* 2307976 */   // Label 31752: @2307976
     /* 2307976 */   GIM_Reject,
     /* 2307977 */ // Label 31750: @2307977
     /* 2307977 */ GIM_Reject,
     /* 2307978 */ // Label 31719: @2307978
     /* 2307978 */ GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2308085),
     /* 2307983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2307986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307994 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2308039), // Rule ID 56196 //
     /* 2307999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308002 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2308019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308038 */     // GIR_Coverage, 56196,
     /* 2308038 */     GIR_EraseRootFromParent_Done,
     /* 2308039 */   // Label 31754: @2308039
     /* 2308039 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2308084), // Rule ID 56197 //
     /* 2308044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308047 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2308064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308083 */     // GIR_Coverage, 56197,
     /* 2308083 */     GIR_EraseRootFromParent_Done,
     /* 2308084 */   // Label 31755: @2308084
     /* 2308084 */   GIM_Reject,
     /* 2308085 */ // Label 31753: @2308085
     /* 2308085 */ GIM_Reject,
     /* 2308086 */ // Label 31720: @2308086
     /* 2308086 */ GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2308193),
     /* 2308091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2308094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308102 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2308147), // Rule ID 56356 //
     /* 2308107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308110 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2308113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2308127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308146 */     // GIR_Coverage, 56356,
     /* 2308146 */     GIR_EraseRootFromParent_Done,
     /* 2308147 */   // Label 31757: @2308147
     /* 2308147 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2308192), // Rule ID 56357 //
     /* 2308152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308155 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2308158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2308172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308191 */     // GIR_Coverage, 56357,
     /* 2308191 */     GIR_EraseRootFromParent_Done,
     /* 2308192 */   // Label 31758: @2308192
     /* 2308192 */   GIM_Reject,
     /* 2308193 */ // Label 31756: @2308193
     /* 2308193 */ GIM_Reject,
     /* 2308194 */ // Label 31721: @2308194
     /* 2308194 */ GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2308301),
     /* 2308199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2308202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308210 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2308255), // Rule ID 56176 //
     /* 2308215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308218 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2308235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308254 */     // GIR_Coverage, 56176,
     /* 2308254 */     GIR_EraseRootFromParent_Done,
     /* 2308255 */   // Label 31760: @2308255
     /* 2308255 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2308300), // Rule ID 56177 //
     /* 2308260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308263 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2308280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308299 */     // GIR_Coverage, 56177,
     /* 2308299 */     GIR_EraseRootFromParent_Done,
     /* 2308300 */   // Label 31761: @2308300
     /* 2308300 */   GIM_Reject,
     /* 2308301 */ // Label 31759: @2308301
     /* 2308301 */ GIM_Reject,
     /* 2308302 */ // Label 31722: @2308302
     /* 2308302 */ GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2308409),
     /* 2308307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308318 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2308363), // Rule ID 56296 //
     /* 2308323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308326 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2308343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308362 */     // GIR_Coverage, 56296,
     /* 2308362 */     GIR_EraseRootFromParent_Done,
     /* 2308363 */   // Label 31763: @2308363
     /* 2308363 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2308408), // Rule ID 56297 //
     /* 2308368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308371 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2308388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308407 */     // GIR_Coverage, 56297,
     /* 2308407 */     GIR_EraseRootFromParent_Done,
     /* 2308408 */   // Label 31764: @2308408
     /* 2308408 */   GIM_Reject,
     /* 2308409 */ // Label 31762: @2308409
     /* 2308409 */ GIM_Reject,
     /* 2308410 */ // Label 31723: @2308410
     /* 2308410 */ GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2308517),
     /* 2308415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308426 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2308471), // Rule ID 56376 //
     /* 2308431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308434 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308470 */     // GIR_Coverage, 56376,
     /* 2308470 */     GIR_EraseRootFromParent_Done,
     /* 2308471 */   // Label 31766: @2308471
     /* 2308471 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2308516), // Rule ID 56377 //
     /* 2308476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308479 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308515 */     // GIR_Coverage, 56377,
     /* 2308515 */     GIR_EraseRootFromParent_Done,
     /* 2308516 */   // Label 31767: @2308516
     /* 2308516 */   GIM_Reject,
     /* 2308517 */ // Label 31765: @2308517
     /* 2308517 */ GIM_Reject,
     /* 2308518 */ // Label 31724: @2308518
     /* 2308518 */ GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2308625),
     /* 2308523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308534 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2308579), // Rule ID 56236 //
     /* 2308539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308542 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308578 */     // GIR_Coverage, 56236,
     /* 2308578 */     GIR_EraseRootFromParent_Done,
     /* 2308579 */   // Label 31769: @2308579
     /* 2308579 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2308624), // Rule ID 56237 //
     /* 2308584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308587 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308623 */     // GIR_Coverage, 56237,
     /* 2308623 */     GIR_EraseRootFromParent_Done,
     /* 2308624 */   // Label 31770: @2308624
     /* 2308624 */   GIM_Reject,
     /* 2308625 */ // Label 31768: @2308625
     /* 2308625 */ GIM_Reject,
     /* 2308626 */ // Label 31725: @2308626
     /* 2308626 */ GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2308733),
     /* 2308631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308642 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2308687), // Rule ID 56316 //
     /* 2308647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308650 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308686 */     // GIR_Coverage, 56316,
     /* 2308686 */     GIR_EraseRootFromParent_Done,
     /* 2308687 */   // Label 31772: @2308687
     /* 2308687 */   GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2308732), // Rule ID 56317 //
     /* 2308692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308695 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308731 */     // GIR_Coverage, 56317,
     /* 2308731 */     GIR_EraseRootFromParent_Done,
     /* 2308732 */   // Label 31773: @2308732
     /* 2308732 */   GIM_Reject,
     /* 2308733 */ // Label 31771: @2308733
     /* 2308733 */ GIM_Reject,
     /* 2308734 */ // Label 31726: @2308734
     /* 2308734 */ GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2308841),
     /* 2308739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308750 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2308795), // Rule ID 56396 //
     /* 2308755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308758 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308794 */     // GIR_Coverage, 56396,
     /* 2308794 */     GIR_EraseRootFromParent_Done,
     /* 2308795 */   // Label 31775: @2308795
     /* 2308795 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2308840), // Rule ID 56397 //
     /* 2308800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308803 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308839 */     // GIR_Coverage, 56397,
     /* 2308839 */     GIR_EraseRootFromParent_Done,
     /* 2308840 */   // Label 31776: @2308840
     /* 2308840 */   GIM_Reject,
     /* 2308841 */ // Label 31774: @2308841
     /* 2308841 */ GIM_Reject,
     /* 2308842 */ // Label 31727: @2308842
     /* 2308842 */ GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2308949),
     /* 2308847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308858 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2308903), // Rule ID 56256 //
     /* 2308863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308866 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308902 */     // GIR_Coverage, 56256,
     /* 2308902 */     GIR_EraseRootFromParent_Done,
     /* 2308903 */   // Label 31778: @2308903
     /* 2308903 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2308948), // Rule ID 56257 //
     /* 2308908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308911 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308947 */     // GIR_Coverage, 56257,
     /* 2308947 */     GIR_EraseRootFromParent_Done,
     /* 2308948 */   // Label 31779: @2308948
     /* 2308948 */   GIM_Reject,
     /* 2308949 */ // Label 31777: @2308949
     /* 2308949 */ GIM_Reject,
     /* 2308950 */ // Label 31728: @2308950
     /* 2308950 */ GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2309057),
     /* 2308955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308966 */   GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2309011), // Rule ID 56336 //
     /* 2308971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308974 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309010 */     // GIR_Coverage, 56336,
     /* 2309010 */     GIR_EraseRootFromParent_Done,
     /* 2309011 */   // Label 31781: @2309011
     /* 2309011 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2309056), // Rule ID 56337 //
     /* 2309016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2309019 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2309022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2309036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309055 */     // GIR_Coverage, 56337,
     /* 2309055 */     GIR_EraseRootFromParent_Done,
     /* 2309056 */   // Label 31782: @2309056
     /* 2309056 */   GIM_Reject,
     /* 2309057 */ // Label 31780: @2309057
     /* 2309057 */ GIM_Reject,
     /* 2309058 */ // Label 31729: @2309058
     /* 2309058 */ GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2309165),
     /* 2309063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2309066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309074 */   GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2309119), // Rule ID 56276 //
     /* 2309079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309082 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2309099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309118 */     // GIR_Coverage, 56276,
     /* 2309118 */     GIR_EraseRootFromParent_Done,
     /* 2309119 */   // Label 31784: @2309119
     /* 2309119 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2309164), // Rule ID 56277 //
     /* 2309124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309127 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2309144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2309153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309163 */     // GIR_Coverage, 56277,
     /* 2309163 */     GIR_EraseRootFromParent_Done,
     /* 2309164 */   // Label 31785: @2309164
     /* 2309164 */   GIM_Reject,
     /* 2309165 */ // Label 31783: @2309165
     /* 2309165 */ GIM_Reject,
     /* 2309166 */ // Label 31730: @2309166
     /* 2309166 */ GIM_Reject,
     /* 2309167 */ // Label 65: @2309167
     /* 2309167 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31788*/ GIMT_Encode4(2309619),
     /* 2309178 */ /*GILLT_s32*//*Label 31786*/ GIMT_Encode4(2309186),
     /* 2309182 */ /*GILLT_s64*//*Label 31787*/ GIMT_Encode4(2309308),
     /* 2309186 */ // Label 31786: @2309186
     /* 2309186 */ GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2309307),
     /* 2309191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309194 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2309222), // Rule ID 2056 //
     /* 2309199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309210 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2309213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309221 */     // GIR_Coverage, 2056,
     /* 2309221 */     GIR_EraseRootFromParent_Done,
     /* 2309222 */   // Label 31790: @2309222
     /* 2309222 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2309250), // Rule ID 2057 //
     /* 2309227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309238 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2309241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309249 */     // GIR_Coverage, 2057,
     /* 2309249 */     GIR_EraseRootFromParent_Done,
     /* 2309250 */   // Label 31791: @2309250
     /* 2309250 */   GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2309278), // Rule ID 2072 //
     /* 2309255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309266 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2309269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309277 */     // GIR_Coverage, 2072,
     /* 2309277 */     GIR_EraseRootFromParent_Done,
     /* 2309278 */   // Label 31792: @2309278
     /* 2309278 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2309306), // Rule ID 2073 //
     /* 2309283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309294 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2309297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309305 */     // GIR_Coverage, 2073,
     /* 2309305 */     GIR_EraseRootFromParent_Done,
     /* 2309306 */   // Label 31793: @2309306
     /* 2309306 */   GIM_Reject,
     /* 2309307 */ // Label 31789: @2309307
     /* 2309307 */ GIM_Reject,
     /* 2309308 */ // Label 31787: @2309308
     /* 2309308 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2309339), // Rule ID 1458 //
     /* 2309313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309327 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2309330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309338 */   // GIR_Coverage, 1458,
     /* 2309338 */   GIR_EraseRootFromParent_Done,
     /* 2309339 */ // Label 31794: @2309339
     /* 2309339 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2309370), // Rule ID 1459 //
     /* 2309344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309358 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2309361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309369 */   // GIR_Coverage, 1459,
     /* 2309369 */   GIR_EraseRootFromParent_Done,
     /* 2309370 */ // Label 31795: @2309370
     /* 2309370 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2309401), // Rule ID 1463 //
     /* 2309375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309389 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2309392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309394 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309400 */   // GIR_Coverage, 1463,
     /* 2309400 */   GIR_EraseRootFromParent_Done,
     /* 2309401 */ // Label 31796: @2309401
     /* 2309401 */ GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2309432), // Rule ID 1470 //
     /* 2309406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309420 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2309420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309425 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309431 */   // GIR_Coverage, 1470,
     /* 2309431 */   GIR_EraseRootFromParent_Done,
     /* 2309432 */ // Label 31797: @2309432
     /* 2309432 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2309463), // Rule ID 1471 //
     /* 2309437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309451 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309462 */   // GIR_Coverage, 1471,
     /* 2309462 */   GIR_EraseRootFromParent_Done,
     /* 2309463 */ // Label 31798: @2309463
     /* 2309463 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2309494), // Rule ID 2190 //
     /* 2309468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309482 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309493 */   // GIR_Coverage, 2190,
     /* 2309493 */   GIR_EraseRootFromParent_Done,
     /* 2309494 */ // Label 31799: @2309494
     /* 2309494 */ GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2309525), // Rule ID 2191 //
     /* 2309499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309513 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309524 */   // GIR_Coverage, 2191,
     /* 2309524 */   GIR_EraseRootFromParent_Done,
     /* 2309525 */ // Label 31800: @2309525
     /* 2309525 */ GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2309556), // Rule ID 2202 //
     /* 2309530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309544 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309555 */   // GIR_Coverage, 2202,
     /* 2309555 */   GIR_EraseRootFromParent_Done,
     /* 2309556 */ // Label 31801: @2309556
     /* 2309556 */ GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2309587), // Rule ID 2203 //
     /* 2309561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309575 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309586 */   // GIR_Coverage, 2203,
     /* 2309586 */   GIR_EraseRootFromParent_Done,
     /* 2309587 */ // Label 31802: @2309587
     /* 2309587 */ GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2309618), // Rule ID 2211 //
     /* 2309592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309606 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2309609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309611 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309617 */   // GIR_Coverage, 2211,
     /* 2309617 */   GIR_EraseRootFromParent_Done,
     /* 2309618 */ // Label 31803: @2309618
     /* 2309618 */ GIM_Reject,
     /* 2309619 */ // Label 31788: @2309619
     /* 2309619 */ GIM_Reject,
     /* 2309620 */ // Label 66: @2309620
     /* 2309620 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31815*/ GIMT_Encode4(2311155),
     /* 2309631 */ /*GILLT_s16*//*Label 31804*/ GIMT_Encode4(2309735),
     /* 2309635 */ /*GILLT_s32*//*Label 31805*/ GIMT_Encode4(2310015), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309651 */ /*GILLT_nxv1s16*//*Label 31806*/ GIMT_Encode4(2310165),
     /* 2309655 */ /*GILLT_nxv1s32*//*Label 31807*/ GIMT_Encode4(2310275), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309671 */ /*GILLT_nxv2s16*//*Label 31808*/ GIMT_Encode4(2310385),
     /* 2309675 */ /*GILLT_nxv2s32*//*Label 31809*/ GIMT_Encode4(2310495), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309691 */ /*GILLT_nxv4s16*//*Label 31810*/ GIMT_Encode4(2310605),
     /* 2309695 */ /*GILLT_nxv4s32*//*Label 31811*/ GIMT_Encode4(2310715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309711 */ /*GILLT_nxv8s16*//*Label 31812*/ GIMT_Encode4(2310825),
     /* 2309715 */ /*GILLT_nxv8s32*//*Label 31813*/ GIMT_Encode4(2310935), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309731 */ /*GILLT_nxv16s16*//*Label 31814*/ GIMT_Encode4(2311045),
     /* 2309735 */ // Label 31804: @2309735
     /* 2309735 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2309766), // Rule ID 2052 //
     /* 2309740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309754 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309765 */   // GIR_Coverage, 2052,
     /* 2309765 */   GIR_EraseRootFromParent_Done,
     /* 2309766 */ // Label 31816: @2309766
     /* 2309766 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2309797), // Rule ID 2053 //
     /* 2309771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309785 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309796 */   // GIR_Coverage, 2053,
     /* 2309796 */   GIR_EraseRootFromParent_Done,
     /* 2309797 */ // Label 31817: @2309797
     /* 2309797 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2309828), // Rule ID 2068 //
     /* 2309802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309816 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309827 */   // GIR_Coverage, 2068,
     /* 2309827 */   GIR_EraseRootFromParent_Done,
     /* 2309828 */ // Label 31818: @2309828
     /* 2309828 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2309859), // Rule ID 2069 //
     /* 2309833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309847 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309852 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309858 */   // GIR_Coverage, 2069,
     /* 2309858 */   GIR_EraseRootFromParent_Done,
     /* 2309859 */ // Label 31819: @2309859
     /* 2309859 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2309890), // Rule ID 2186 //
     /* 2309864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309878 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309889 */   // GIR_Coverage, 2186,
     /* 2309889 */   GIR_EraseRootFromParent_Done,
     /* 2309890 */ // Label 31820: @2309890
     /* 2309890 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2309921), // Rule ID 2187 //
     /* 2309895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309909 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309914 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309920 */   // GIR_Coverage, 2187,
     /* 2309920 */   GIR_EraseRootFromParent_Done,
     /* 2309921 */ // Label 31821: @2309921
     /* 2309921 */ GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2309952), // Rule ID 2198 //
     /* 2309926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309940 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309945 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309951 */   // GIR_Coverage, 2198,
     /* 2309951 */   GIR_EraseRootFromParent_Done,
     /* 2309952 */ // Label 31822: @2309952
     /* 2309952 */ GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2309983), // Rule ID 2199 //
     /* 2309957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309971 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309982 */   // GIR_Coverage, 2199,
     /* 2309982 */   GIR_EraseRootFromParent_Done,
     /* 2309983 */ // Label 31823: @2309983
     /* 2309983 */ GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2310014), // Rule ID 2209 //
     /* 2309988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310002 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2310005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310013 */   // GIR_Coverage, 2209,
     /* 2310013 */   GIR_EraseRootFromParent_Done,
     /* 2310014 */ // Label 31824: @2310014
     /* 2310014 */ GIM_Reject,
     /* 2310015 */ // Label 31805: @2310015
     /* 2310015 */ GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2310164),
     /* 2310020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310023 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2310051), // Rule ID 1454 //
     /* 2310028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2310031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310039 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2310042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310050 */     // GIR_Coverage, 1454,
     /* 2310050 */     GIR_EraseRootFromParent_Done,
     /* 2310051 */   // Label 31826: @2310051
     /* 2310051 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2310079), // Rule ID 1455 //
     /* 2310056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2310059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310067 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2310067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2310070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310078 */     // GIR_Coverage, 1455,
     /* 2310078 */     GIR_EraseRootFromParent_Done,
     /* 2310079 */   // Label 31827: @2310079
     /* 2310079 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2310107), // Rule ID 1461 //
     /* 2310084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2310087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310095 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2310098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310106 */     // GIR_Coverage, 1461,
     /* 2310106 */     GIR_EraseRootFromParent_Done,
     /* 2310107 */   // Label 31828: @2310107
     /* 2310107 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2310135), // Rule ID 1466 //
     /* 2310112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310123 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2310123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2310126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310134 */     // GIR_Coverage, 1466,
     /* 2310134 */     GIR_EraseRootFromParent_Done,
     /* 2310135 */   // Label 31829: @2310135
     /* 2310135 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2310163), // Rule ID 1467 //
     /* 2310140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310151 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2310151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2310154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310162 */     // GIR_Coverage, 1467,
     /* 2310162 */     GIR_EraseRootFromParent_Done,
     /* 2310163 */   // Label 31830: @2310163
     /* 2310163 */   GIM_Reject,
     /* 2310164 */ // Label 31825: @2310164
     /* 2310164 */ GIM_Reject,
     /* 2310165 */ // Label 31806: @2310165
     /* 2310165 */ GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2310274),
     /* 2310170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310181 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2310227), // Rule ID 58764 //
     /* 2310186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310189 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2310206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310226 */     // GIR_Coverage, 58764,
     /* 2310226 */     GIR_EraseRootFromParent_Done,
     /* 2310227 */   // Label 31832: @2310227
     /* 2310227 */   GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2310273), // Rule ID 58765 //
     /* 2310232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310235 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2310252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310272 */     // GIR_Coverage, 58765,
     /* 2310272 */     GIR_EraseRootFromParent_Done,
     /* 2310273 */   // Label 31833: @2310273
     /* 2310273 */   GIM_Reject,
     /* 2310274 */ // Label 31831: @2310274
     /* 2310274 */ GIM_Reject,
     /* 2310275 */ // Label 31807: @2310275
     /* 2310275 */ GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2310384),
     /* 2310280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310291 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2310337), // Rule ID 58774 //
     /* 2310296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310299 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2310316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310336 */     // GIR_Coverage, 58774,
     /* 2310336 */     GIR_EraseRootFromParent_Done,
     /* 2310337 */   // Label 31835: @2310337
     /* 2310337 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2310383), // Rule ID 58775 //
     /* 2310342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310345 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2310362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310382 */     // GIR_Coverage, 58775,
     /* 2310382 */     GIR_EraseRootFromParent_Done,
     /* 2310383 */   // Label 31836: @2310383
     /* 2310383 */   GIM_Reject,
     /* 2310384 */ // Label 31834: @2310384
     /* 2310384 */ GIM_Reject,
     /* 2310385 */ // Label 31808: @2310385
     /* 2310385 */ GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2310494),
     /* 2310390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310401 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2310447), // Rule ID 58766 //
     /* 2310406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310409 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310446 */     // GIR_Coverage, 58766,
     /* 2310446 */     GIR_EraseRootFromParent_Done,
     /* 2310447 */   // Label 31838: @2310447
     /* 2310447 */   GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2310493), // Rule ID 58767 //
     /* 2310452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310455 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310492 */     // GIR_Coverage, 58767,
     /* 2310492 */     GIR_EraseRootFromParent_Done,
     /* 2310493 */   // Label 31839: @2310493
     /* 2310493 */   GIM_Reject,
     /* 2310494 */ // Label 31837: @2310494
     /* 2310494 */ GIM_Reject,
     /* 2310495 */ // Label 31809: @2310495
     /* 2310495 */ GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2310604),
     /* 2310500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2310503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310511 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2310557), // Rule ID 58776 //
     /* 2310516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310519 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310556 */     // GIR_Coverage, 58776,
     /* 2310556 */     GIR_EraseRootFromParent_Done,
     /* 2310557 */   // Label 31841: @2310557
     /* 2310557 */   GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2310603), // Rule ID 58777 //
     /* 2310562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310565 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310602 */     // GIR_Coverage, 58777,
     /* 2310602 */     GIR_EraseRootFromParent_Done,
     /* 2310603 */   // Label 31842: @2310603
     /* 2310603 */   GIM_Reject,
     /* 2310604 */ // Label 31840: @2310604
     /* 2310604 */ GIM_Reject,
     /* 2310605 */ // Label 31810: @2310605
     /* 2310605 */ GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2310714),
     /* 2310610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310621 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2310667), // Rule ID 58768 //
     /* 2310626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310629 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310666 */     // GIR_Coverage, 58768,
     /* 2310666 */     GIR_EraseRootFromParent_Done,
     /* 2310667 */   // Label 31844: @2310667
     /* 2310667 */   GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2310713), // Rule ID 58769 //
     /* 2310672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310675 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310712 */     // GIR_Coverage, 58769,
     /* 2310712 */     GIR_EraseRootFromParent_Done,
     /* 2310713 */   // Label 31845: @2310713
     /* 2310713 */   GIM_Reject,
     /* 2310714 */ // Label 31843: @2310714
     /* 2310714 */ GIM_Reject,
     /* 2310715 */ // Label 31811: @2310715
     /* 2310715 */ GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2310824),
     /* 2310720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2310723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310731 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2310777), // Rule ID 58778 //
     /* 2310736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310739 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310776 */     // GIR_Coverage, 58778,
     /* 2310776 */     GIR_EraseRootFromParent_Done,
     /* 2310777 */   // Label 31847: @2310777
     /* 2310777 */   GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2310823), // Rule ID 58779 //
     /* 2310782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310785 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310822 */     // GIR_Coverage, 58779,
     /* 2310822 */     GIR_EraseRootFromParent_Done,
     /* 2310823 */   // Label 31848: @2310823
     /* 2310823 */   GIM_Reject,
     /* 2310824 */ // Label 31846: @2310824
     /* 2310824 */ GIM_Reject,
     /* 2310825 */ // Label 31812: @2310825
     /* 2310825 */ GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2310934),
     /* 2310830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310841 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2310887), // Rule ID 58770 //
     /* 2310846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310849 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310886 */     // GIR_Coverage, 58770,
     /* 2310886 */     GIR_EraseRootFromParent_Done,
     /* 2310887 */   // Label 31850: @2310887
     /* 2310887 */   GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2310933), // Rule ID 58771 //
     /* 2310892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310895 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310932 */     // GIR_Coverage, 58771,
     /* 2310932 */     GIR_EraseRootFromParent_Done,
     /* 2310933 */   // Label 31851: @2310933
     /* 2310933 */   GIM_Reject,
     /* 2310934 */ // Label 31849: @2310934
     /* 2310934 */ GIM_Reject,
     /* 2310935 */ // Label 31813: @2310935
     /* 2310935 */ GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2311044),
     /* 2310940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310951 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2310997), // Rule ID 58780 //
     /* 2310956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310959 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310996 */     // GIR_Coverage, 58780,
     /* 2310996 */     GIR_EraseRootFromParent_Done,
     /* 2310997 */   // Label 31853: @2310997
     /* 2310997 */   GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2311043), // Rule ID 58781 //
     /* 2311002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2311005 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2311008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2311022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311042 */     // GIR_Coverage, 58781,
     /* 2311042 */     GIR_EraseRootFromParent_Done,
     /* 2311043 */   // Label 31854: @2311043
     /* 2311043 */   GIM_Reject,
     /* 2311044 */ // Label 31852: @2311044
     /* 2311044 */ GIM_Reject,
     /* 2311045 */ // Label 31814: @2311045
     /* 2311045 */ GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2311154),
     /* 2311050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2311053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311061 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2311107), // Rule ID 58772 //
     /* 2311066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2311069 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2311086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311106 */     // GIR_Coverage, 58772,
     /* 2311106 */     GIR_EraseRootFromParent_Done,
     /* 2311107 */   // Label 31856: @2311107
     /* 2311107 */   GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2311153), // Rule ID 58773 //
     /* 2311112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2311115 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2311132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311152 */     // GIR_Coverage, 58773,
     /* 2311152 */     GIR_EraseRootFromParent_Done,
     /* 2311153 */   // Label 31857: @2311153
     /* 2311153 */   GIM_Reject,
     /* 2311154 */ // Label 31855: @2311154
     /* 2311154 */ GIM_Reject,
     /* 2311155 */ // Label 31815: @2311155
     /* 2311155 */ GIM_Reject,
     /* 2311156 */ // Label 67: @2311156
     /* 2311156 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31881*/ GIMT_Encode4(2316041),
     /* 2311167 */ /*GILLT_s32*//*Label 31858*/ GIMT_Encode4(2311283),
     /* 2311171 */ /*GILLT_s64*//*Label 31859*/ GIMT_Encode4(2311656), GIMT_Encode4(0),
     /* 2311179 */ /*GILLT_nxv1s8*//*Label 31860*/ GIMT_Encode4(2311843),
     /* 2311183 */ /*GILLT_nxv1s16*//*Label 31861*/ GIMT_Encode4(2311947),
     /* 2311187 */ /*GILLT_nxv1s32*//*Label 31862*/ GIMT_Encode4(2312164),
     /* 2311191 */ /*GILLT_nxv1s64*//*Label 31863*/ GIMT_Encode4(2312489), GIMT_Encode4(0),
     /* 2311199 */ /*GILLT_nxv2s8*//*Label 31864*/ GIMT_Encode4(2312706),
     /* 2311203 */ /*GILLT_nxv2s16*//*Label 31865*/ GIMT_Encode4(2312810),
     /* 2311207 */ /*GILLT_nxv2s32*//*Label 31866*/ GIMT_Encode4(2313027),
     /* 2311211 */ /*GILLT_nxv2s64*//*Label 31867*/ GIMT_Encode4(2313352), GIMT_Encode4(0),
     /* 2311219 */ /*GILLT_nxv4s8*//*Label 31868*/ GIMT_Encode4(2313569),
     /* 2311223 */ /*GILLT_nxv4s16*//*Label 31869*/ GIMT_Encode4(2313673),
     /* 2311227 */ /*GILLT_nxv4s32*//*Label 31870*/ GIMT_Encode4(2313890),
     /* 2311231 */ /*GILLT_nxv4s64*//*Label 31871*/ GIMT_Encode4(2314215), GIMT_Encode4(0),
     /* 2311239 */ /*GILLT_nxv8s8*//*Label 31872*/ GIMT_Encode4(2314432),
     /* 2311243 */ /*GILLT_nxv8s16*//*Label 31873*/ GIMT_Encode4(2314536),
     /* 2311247 */ /*GILLT_nxv8s32*//*Label 31874*/ GIMT_Encode4(2314753),
     /* 2311251 */ /*GILLT_nxv8s64*//*Label 31875*/ GIMT_Encode4(2315078), GIMT_Encode4(0),
     /* 2311259 */ /*GILLT_nxv16s8*//*Label 31876*/ GIMT_Encode4(2315295),
     /* 2311263 */ /*GILLT_nxv16s16*//*Label 31877*/ GIMT_Encode4(2315399),
     /* 2311267 */ /*GILLT_nxv16s32*//*Label 31878*/ GIMT_Encode4(2315616), GIMT_Encode4(0),
     /* 2311275 */ /*GILLT_nxv32s8*//*Label 31879*/ GIMT_Encode4(2315833),
     /* 2311279 */ /*GILLT_nxv32s16*//*Label 31880*/ GIMT_Encode4(2315937),
     /* 2311283 */ // Label 31858: @2311283
     /* 2311283 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2311314), // Rule ID 1346 //
     /* 2311288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2311291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311302 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2311305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311313 */   // GIR_Coverage, 1346,
     /* 2311313 */   GIR_EraseRootFromParent_Done,
     /* 2311314 */ // Label 31882: @2311314
     /* 2311314 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2311345), // Rule ID 1347 //
     /* 2311319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2311322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311333 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2311333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2311336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311344 */   // GIR_Coverage, 1347,
     /* 2311344 */   GIR_EraseRootFromParent_Done,
     /* 2311345 */ // Label 31883: @2311345
     /* 2311345 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2311376), // Rule ID 1372 //
     /* 2311350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2311353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311364 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2311367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311369 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311375 */   // GIR_Coverage, 1372,
     /* 2311375 */   GIR_EraseRootFromParent_Done,
     /* 2311376 */ // Label 31884: @2311376
     /* 2311376 */ GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2311407), // Rule ID 1373 //
     /* 2311381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2311384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311395 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2311395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2311398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311400 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311406 */   // GIR_Coverage, 1373,
     /* 2311406 */   GIR_EraseRootFromParent_Done,
     /* 2311407 */ // Label 31885: @2311407
     /* 2311407 */ GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2311438), // Rule ID 1740 //
     /* 2311412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2311415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311426 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311431 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311437 */   // GIR_Coverage, 1740,
     /* 2311437 */   GIR_EraseRootFromParent_Done,
     /* 2311438 */ // Label 31886: @2311438
     /* 2311438 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2311469), // Rule ID 1741 //
     /* 2311443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2311446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311457 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311462 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311468 */   // GIR_Coverage, 1741,
     /* 2311468 */   GIR_EraseRootFromParent_Done,
     /* 2311469 */ // Label 31887: @2311469
     /* 2311469 */ GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2311500), // Rule ID 1766 //
     /* 2311474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2311477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311488 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311499 */   // GIR_Coverage, 1766,
     /* 2311499 */   GIR_EraseRootFromParent_Done,
     /* 2311500 */ // Label 31888: @2311500
     /* 2311500 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2311531), // Rule ID 1767 //
     /* 2311505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2311508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311519 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311530 */   // GIR_Coverage, 1767,
     /* 2311530 */   GIR_EraseRootFromParent_Done,
     /* 2311531 */ // Label 31889: @2311531
     /* 2311531 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2311562), // Rule ID 2082 //
     /* 2311536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2311539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311550 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311561 */   // GIR_Coverage, 2082,
     /* 2311561 */   GIR_EraseRootFromParent_Done,
     /* 2311562 */ // Label 31890: @2311562
     /* 2311562 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2311593), // Rule ID 2083 //
     /* 2311567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2311570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311581 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311592 */   // GIR_Coverage, 2083,
     /* 2311592 */   GIR_EraseRootFromParent_Done,
     /* 2311593 */ // Label 31891: @2311593
     /* 2311593 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2311624), // Rule ID 2108 //
     /* 2311598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2311601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311612 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311623 */   // GIR_Coverage, 2108,
     /* 2311623 */   GIR_EraseRootFromParent_Done,
     /* 2311624 */ // Label 31892: @2311624
     /* 2311624 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2311655), // Rule ID 2109 //
     /* 2311629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2311632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311643 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311654 */   // GIR_Coverage, 2109,
     /* 2311654 */   GIR_EraseRootFromParent_Done,
     /* 2311655 */ // Label 31893: @2311655
     /* 2311655 */ GIM_Reject,
     /* 2311656 */ // Label 31859: @2311656
     /* 2311656 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2311687), // Rule ID 1403 //
     /* 2311661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2311664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311675 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2311678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311686 */   // GIR_Coverage, 1403,
     /* 2311686 */   GIR_EraseRootFromParent_Done,
     /* 2311687 */ // Label 31894: @2311687
     /* 2311687 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2311718), // Rule ID 1431 //
     /* 2311692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2311695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311706 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2311709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311717 */   // GIR_Coverage, 1431,
     /* 2311717 */   GIR_EraseRootFromParent_Done,
     /* 2311718 */ // Label 31895: @2311718
     /* 2311718 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2311749), // Rule ID 1803 //
     /* 2311723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2311726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311737 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2311740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311748 */   // GIR_Coverage, 1803,
     /* 2311748 */   GIR_EraseRootFromParent_Done,
     /* 2311749 */ // Label 31896: @2311749
     /* 2311749 */ GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2311780), // Rule ID 1831 //
     /* 2311754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311768 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2311771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311779 */   // GIR_Coverage, 1831,
     /* 2311779 */   GIR_EraseRootFromParent_Done,
     /* 2311780 */ // Label 31897: @2311780
     /* 2311780 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2311811), // Rule ID 2137 //
     /* 2311785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2311788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311799 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2311802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311810 */   // GIR_Coverage, 2137,
     /* 2311810 */   GIR_EraseRootFromParent_Done,
     /* 2311811 */ // Label 31898: @2311811
     /* 2311811 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2311842), // Rule ID 2163 //
     /* 2311816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2311819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311830 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2311833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311841 */   // GIR_Coverage, 2163,
     /* 2311841 */   GIR_EraseRootFromParent_Done,
     /* 2311842 */ // Label 31899: @2311842
     /* 2311842 */ GIM_Reject,
     /* 2311843 */ // Label 31860: @2311843
     /* 2311843 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2311946),
     /* 2311848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311859 */   GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2311902), // Rule ID 45698 //
     /* 2311864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311867 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311901 */     // GIR_Coverage, 45698,
     /* 2311901 */     GIR_EraseRootFromParent_Done,
     /* 2311902 */   // Label 31901: @2311902
     /* 2311902 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2311945), // Rule ID 45699 //
     /* 2311907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311910 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311944 */     // GIR_Coverage, 45699,
     /* 2311944 */     GIR_EraseRootFromParent_Done,
     /* 2311945 */   // Label 31902: @2311945
     /* 2311945 */   GIM_Reject,
     /* 2311946 */ // Label 31900: @2311946
     /* 2311946 */ GIM_Reject,
     /* 2311947 */ // Label 31861: @2311947
     /* 2311947 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2312001), // Rule ID 45682 //
     /* 2311952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311966 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312000 */   // GIR_Coverage, 45682,
     /* 2312000 */   GIR_EraseRootFromParent_Done,
     /* 2312001 */ // Label 31903: @2312001
     /* 2312001 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2312055), // Rule ID 45683 //
     /* 2312006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312020 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2312037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312054 */   // GIR_Coverage, 45683,
     /* 2312054 */   GIR_EraseRootFromParent_Done,
     /* 2312055 */ // Label 31904: @2312055
     /* 2312055 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2312109), // Rule ID 58602 //
     /* 2312060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312074 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312096 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312108 */   // GIR_Coverage, 58602,
     /* 2312108 */   GIR_EraseRootFromParent_Done,
     /* 2312109 */ // Label 31905: @2312109
     /* 2312109 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2312163), // Rule ID 58603 //
     /* 2312114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312128 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312162 */   // GIR_Coverage, 58603,
     /* 2312162 */   GIR_EraseRootFromParent_Done,
     /* 2312163 */ // Label 31906: @2312163
     /* 2312163 */ GIM_Reject,
     /* 2312164 */ // Label 31862: @2312164
     /* 2312164 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2312218), // Rule ID 45690 //
     /* 2312169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312183 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2312200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312217 */   // GIR_Coverage, 45690,
     /* 2312217 */   GIR_EraseRootFromParent_Done,
     /* 2312218 */ // Label 31907: @2312218
     /* 2312218 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2312272), // Rule ID 45691 //
     /* 2312223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312237 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2312254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312271 */   // GIR_Coverage, 45691,
     /* 2312271 */   GIR_EraseRootFromParent_Done,
     /* 2312272 */ // Label 31908: @2312272
     /* 2312272 */ GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2312326), // Rule ID 58170 //
     /* 2312277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312291 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312325 */   // GIR_Coverage, 58170,
     /* 2312325 */   GIR_EraseRootFromParent_Done,
     /* 2312326 */ // Label 31909: @2312326
     /* 2312326 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2312380), // Rule ID 58171 //
     /* 2312331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312345 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312345 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312348 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312352 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312364 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312379 */   // GIR_Coverage, 58171,
     /* 2312379 */   GIR_EraseRootFromParent_Done,
     /* 2312380 */ // Label 31910: @2312380
     /* 2312380 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2312434), // Rule ID 58622 //
     /* 2312385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312399 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312399 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312402 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312406 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312411 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312418 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312433 */   // GIR_Coverage, 58622,
     /* 2312433 */   GIR_EraseRootFromParent_Done,
     /* 2312434 */ // Label 31911: @2312434
     /* 2312434 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2312488), // Rule ID 58623 //
     /* 2312439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312453 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312487 */   // GIR_Coverage, 58623,
     /* 2312487 */   GIR_EraseRootFromParent_Done,
     /* 2312488 */ // Label 31912: @2312488
     /* 2312488 */ GIM_Reject,
     /* 2312489 */ // Label 31863: @2312489
     /* 2312489 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2312543), // Rule ID 58182 //
     /* 2312494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312508 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312542 */   // GIR_Coverage, 58182,
     /* 2312542 */   GIR_EraseRootFromParent_Done,
     /* 2312543 */ // Label 31913: @2312543
     /* 2312543 */ GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2312597), // Rule ID 58183 //
     /* 2312548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312562 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312574 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312596 */   // GIR_Coverage, 58183,
     /* 2312596 */   GIR_EraseRootFromParent_Done,
     /* 2312597 */ // Label 31914: @2312597
     /* 2312597 */ GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2312651), // Rule ID 58414 //
     /* 2312602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312616 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312616 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312619 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312623 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312628 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312635 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312638 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312650 */   // GIR_Coverage, 58414,
     /* 2312650 */   GIR_EraseRootFromParent_Done,
     /* 2312651 */ // Label 31915: @2312651
     /* 2312651 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2312705), // Rule ID 58415 //
     /* 2312656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312670 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312704 */   // GIR_Coverage, 58415,
     /* 2312704 */   GIR_EraseRootFromParent_Done,
     /* 2312705 */ // Label 31916: @2312705
     /* 2312705 */ GIM_Reject,
     /* 2312706 */ // Label 31864: @2312706
     /* 2312706 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2312809),
     /* 2312711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312722 */   GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2312765), // Rule ID 58582 //
     /* 2312727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312730 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312764 */     // GIR_Coverage, 58582,
     /* 2312764 */     GIR_EraseRootFromParent_Done,
     /* 2312765 */   // Label 31918: @2312765
     /* 2312765 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2312808), // Rule ID 58583 //
     /* 2312770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312773 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312807 */     // GIR_Coverage, 58583,
     /* 2312807 */     GIR_EraseRootFromParent_Done,
     /* 2312808 */   // Label 31919: @2312808
     /* 2312808 */   GIM_Reject,
     /* 2312809 */ // Label 31917: @2312809
     /* 2312809 */ GIM_Reject,
     /* 2312810 */ // Label 31865: @2312810
     /* 2312810 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2312864), // Rule ID 58166 //
     /* 2312815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312829 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312863 */   // GIR_Coverage, 58166,
     /* 2312863 */   GIR_EraseRootFromParent_Done,
     /* 2312864 */ // Label 31920: @2312864
     /* 2312864 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2312918), // Rule ID 58167 //
     /* 2312869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312883 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312905 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312917 */   // GIR_Coverage, 58167,
     /* 2312917 */   GIR_EraseRootFromParent_Done,
     /* 2312918 */ // Label 31921: @2312918
     /* 2312918 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2312972), // Rule ID 58606 //
     /* 2312923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312937 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312971 */   // GIR_Coverage, 58606,
     /* 2312971 */   GIR_EraseRootFromParent_Done,
     /* 2312972 */ // Label 31922: @2312972
     /* 2312972 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2313026), // Rule ID 58607 //
     /* 2312977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312991 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313025 */   // GIR_Coverage, 58607,
     /* 2313025 */   GIR_EraseRootFromParent_Done,
     /* 2313026 */ // Label 31923: @2313026
     /* 2313026 */ GIM_Reject,
     /* 2313027 */ // Label 31866: @2313027
     /* 2313027 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2313081), // Rule ID 58178 //
     /* 2313032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313046 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313080 */   // GIR_Coverage, 58178,
     /* 2313080 */   GIR_EraseRootFromParent_Done,
     /* 2313081 */ // Label 31924: @2313081
     /* 2313081 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2313135), // Rule ID 58179 //
     /* 2313086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313100 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313100 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313103 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313107 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313122 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313134 */   // GIR_Coverage, 58179,
     /* 2313134 */   GIR_EraseRootFromParent_Done,
     /* 2313135 */ // Label 31925: @2313135
     /* 2313135 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2313189), // Rule ID 58398 //
     /* 2313140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313154 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313154 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313157 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313161 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2313171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313176 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313188 */   // GIR_Coverage, 58398,
     /* 2313188 */   GIR_EraseRootFromParent_Done,
     /* 2313189 */ // Label 31926: @2313189
     /* 2313189 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2313243), // Rule ID 58399 //
     /* 2313194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313208 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313208 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313211 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313215 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313220 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2313225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313227 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313230 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313242 */   // GIR_Coverage, 58399,
     /* 2313242 */   GIR_EraseRootFromParent_Done,
     /* 2313243 */ // Label 31927: @2313243
     /* 2313243 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2313297), // Rule ID 58626 //
     /* 2313248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2313251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313262 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313262 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313269 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313274 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313284 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313296 */   // GIR_Coverage, 58626,
     /* 2313296 */   GIR_EraseRootFromParent_Done,
     /* 2313297 */ // Label 31928: @2313297
     /* 2313297 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2313351), // Rule ID 58627 //
     /* 2313302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313316 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313316 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2313319 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313323 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313328 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313350 */   // GIR_Coverage, 58627,
     /* 2313350 */   GIR_EraseRootFromParent_Done,
     /* 2313351 */ // Label 31929: @2313351
     /* 2313351 */ GIM_Reject,
     /* 2313352 */ // Label 31867: @2313352
     /* 2313352 */ GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2313406), // Rule ID 58210 //
     /* 2313357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313371 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313383 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313390 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313393 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313405 */   // GIR_Coverage, 58210,
     /* 2313405 */   GIR_EraseRootFromParent_Done,
     /* 2313406 */ // Label 31930: @2313406
     /* 2313406 */ GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2313460), // Rule ID 58211 //
     /* 2313411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313425 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313459 */   // GIR_Coverage, 58211,
     /* 2313459 */   GIR_EraseRootFromParent_Done,
     /* 2313460 */ // Label 31931: @2313460
     /* 2313460 */ GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2313514), // Rule ID 58418 //
     /* 2313465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313479 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313498 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313513 */   // GIR_Coverage, 58418,
     /* 2313513 */   GIR_EraseRootFromParent_Done,
     /* 2313514 */ // Label 31932: @2313514
     /* 2313514 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2313568), // Rule ID 58419 //
     /* 2313519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313533 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313533 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313536 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313540 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313567 */   // GIR_Coverage, 58419,
     /* 2313567 */   GIR_EraseRootFromParent_Done,
     /* 2313568 */ // Label 31933: @2313568
     /* 2313568 */ GIM_Reject,
     /* 2313569 */ // Label 31868: @2313569
     /* 2313569 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2313672),
     /* 2313574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313585 */   GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2313628), // Rule ID 58586 //
     /* 2313590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313593 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313627 */     // GIR_Coverage, 58586,
     /* 2313627 */     GIR_EraseRootFromParent_Done,
     /* 2313628 */   // Label 31935: @2313628
     /* 2313628 */   GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2313671), // Rule ID 58587 //
     /* 2313633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313636 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313670 */     // GIR_Coverage, 58587,
     /* 2313670 */     GIR_EraseRootFromParent_Done,
     /* 2313671 */   // Label 31936: @2313671
     /* 2313671 */   GIM_Reject,
     /* 2313672 */ // Label 31934: @2313672
     /* 2313672 */ GIM_Reject,
     /* 2313673 */ // Label 31869: @2313673
     /* 2313673 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2313727), // Rule ID 58174 //
     /* 2313678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313692 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313726 */   // GIR_Coverage, 58174,
     /* 2313726 */   GIR_EraseRootFromParent_Done,
     /* 2313727 */ // Label 31937: @2313727
     /* 2313727 */ GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2313781), // Rule ID 58175 //
     /* 2313732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313746 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313780 */   // GIR_Coverage, 58175,
     /* 2313780 */   GIR_EraseRootFromParent_Done,
     /* 2313781 */ // Label 31938: @2313781
     /* 2313781 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2313835), // Rule ID 58610 //
     /* 2313786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313800 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313834 */   // GIR_Coverage, 58610,
     /* 2313834 */   GIR_EraseRootFromParent_Done,
     /* 2313835 */ // Label 31939: @2313835
     /* 2313835 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2313889), // Rule ID 58611 //
     /* 2313840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313854 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313888 */   // GIR_Coverage, 58611,
     /* 2313888 */   GIR_EraseRootFromParent_Done,
     /* 2313889 */ // Label 31940: @2313889
     /* 2313889 */ GIM_Reject,
     /* 2313890 */ // Label 31870: @2313890
     /* 2313890 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2313944), // Rule ID 58198 //
     /* 2313895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313909 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313943 */   // GIR_Coverage, 58198,
     /* 2313943 */   GIR_EraseRootFromParent_Done,
     /* 2313944 */ // Label 31941: @2313944
     /* 2313944 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2313998), // Rule ID 58199 //
     /* 2313949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313963 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313997 */   // GIR_Coverage, 58199,
     /* 2313997 */   GIR_EraseRootFromParent_Done,
     /* 2313998 */ // Label 31942: @2313998
     /* 2313998 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2314052), // Rule ID 58402 //
     /* 2314003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314017 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2314034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314051 */   // GIR_Coverage, 58402,
     /* 2314051 */   GIR_EraseRootFromParent_Done,
     /* 2314052 */ // Label 31943: @2314052
     /* 2314052 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2314106), // Rule ID 58403 //
     /* 2314057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314071 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2314088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314105 */   // GIR_Coverage, 58403,
     /* 2314105 */   GIR_EraseRootFromParent_Done,
     /* 2314106 */ // Label 31944: @2314106
     /* 2314106 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2314160), // Rule ID 58630 //
     /* 2314111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314125 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314159 */   // GIR_Coverage, 58630,
     /* 2314159 */   GIR_EraseRootFromParent_Done,
     /* 2314160 */ // Label 31945: @2314160
     /* 2314160 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2314214), // Rule ID 58631 //
     /* 2314165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2314168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314179 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314213 */   // GIR_Coverage, 58631,
     /* 2314213 */   GIR_EraseRootFromParent_Done,
     /* 2314214 */ // Label 31946: @2314214
     /* 2314214 */ GIM_Reject,
     /* 2314215 */ // Label 31871: @2314215
     /* 2314215 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2314269), // Rule ID 58214 //
     /* 2314220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2314223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314234 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314253 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314256 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314268 */   // GIR_Coverage, 58214,
     /* 2314268 */   GIR_EraseRootFromParent_Done,
     /* 2314269 */ // Label 31947: @2314269
     /* 2314269 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2314323), // Rule ID 58215 //
     /* 2314274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2314277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314288 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314300 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314307 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314322 */   // GIR_Coverage, 58215,
     /* 2314322 */   GIR_EraseRootFromParent_Done,
     /* 2314323 */ // Label 31948: @2314323
     /* 2314323 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2314377), // Rule ID 58422 //
     /* 2314328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2314331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314342 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314361 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314364 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314376 */   // GIR_Coverage, 58422,
     /* 2314376 */   GIR_EraseRootFromParent_Done,
     /* 2314377 */ // Label 31949: @2314377
     /* 2314377 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2314431), // Rule ID 58423 //
     /* 2314382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2314385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314396 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2314399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314408 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314430 */   // GIR_Coverage, 58423,
     /* 2314430 */   GIR_EraseRootFromParent_Done,
     /* 2314431 */ // Label 31950: @2314431
     /* 2314431 */ GIM_Reject,
     /* 2314432 */ // Label 31872: @2314432
     /* 2314432 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2314535),
     /* 2314437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314448 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2314491), // Rule ID 58590 //
     /* 2314453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314456 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314490 */     // GIR_Coverage, 58590,
     /* 2314490 */     GIR_EraseRootFromParent_Done,
     /* 2314491 */   // Label 31952: @2314491
     /* 2314491 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2314534), // Rule ID 58591 //
     /* 2314496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314499 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314533 */     // GIR_Coverage, 58591,
     /* 2314533 */     GIR_EraseRootFromParent_Done,
     /* 2314534 */   // Label 31953: @2314534
     /* 2314534 */   GIM_Reject,
     /* 2314535 */ // Label 31951: @2314535
     /* 2314535 */ GIM_Reject,
     /* 2314536 */ // Label 31873: @2314536
     /* 2314536 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2314590), // Rule ID 58186 //
     /* 2314541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314555 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314589 */   // GIR_Coverage, 58186,
     /* 2314589 */   GIR_EraseRootFromParent_Done,
     /* 2314590 */ // Label 31954: @2314590
     /* 2314590 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2314644), // Rule ID 58187 //
     /* 2314595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314609 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314643 */   // GIR_Coverage, 58187,
     /* 2314643 */   GIR_EraseRootFromParent_Done,
     /* 2314644 */ // Label 31955: @2314644
     /* 2314644 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2314698), // Rule ID 58614 //
     /* 2314649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314663 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314697 */   // GIR_Coverage, 58614,
     /* 2314697 */   GIR_EraseRootFromParent_Done,
     /* 2314698 */ // Label 31956: @2314698
     /* 2314698 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2314752), // Rule ID 58615 //
     /* 2314703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314717 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314751 */   // GIR_Coverage, 58615,
     /* 2314751 */   GIR_EraseRootFromParent_Done,
     /* 2314752 */ // Label 31957: @2314752
     /* 2314752 */ GIM_Reject,
     /* 2314753 */ // Label 31874: @2314753
     /* 2314753 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2314807), // Rule ID 58202 //
     /* 2314758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314772 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314772 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314775 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314779 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314784 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314791 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314794 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314806 */   // GIR_Coverage, 58202,
     /* 2314806 */   GIR_EraseRootFromParent_Done,
     /* 2314807 */ // Label 31958: @2314807
     /* 2314807 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2314861), // Rule ID 58203 //
     /* 2314812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314826 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314860 */   // GIR_Coverage, 58203,
     /* 2314860 */   GIR_EraseRootFromParent_Done,
     /* 2314861 */ // Label 31959: @2314861
     /* 2314861 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2314915), // Rule ID 58406 //
     /* 2314866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314880 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314914 */   // GIR_Coverage, 58406,
     /* 2314914 */   GIR_EraseRootFromParent_Done,
     /* 2314915 */ // Label 31960: @2314915
     /* 2314915 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2314969), // Rule ID 58407 //
     /* 2314920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314934 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314968 */   // GIR_Coverage, 58407,
     /* 2314968 */   GIR_EraseRootFromParent_Done,
     /* 2314969 */ // Label 31961: @2314969
     /* 2314969 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2315023), // Rule ID 58634 //
     /* 2314974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314988 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315022 */   // GIR_Coverage, 58634,
     /* 2315022 */   GIR_EraseRootFromParent_Done,
     /* 2315023 */ // Label 31962: @2315023
     /* 2315023 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2315077), // Rule ID 58635 //
     /* 2315028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2315031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315042 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315076 */   // GIR_Coverage, 58635,
     /* 2315076 */   GIR_EraseRootFromParent_Done,
     /* 2315077 */ // Label 31963: @2315077
     /* 2315077 */ GIM_Reject,
     /* 2315078 */ // Label 31875: @2315078
     /* 2315078 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2315132), // Rule ID 58218 //
     /* 2315083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2315086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315097 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315097 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315100 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315104 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315116 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315119 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315131 */   // GIR_Coverage, 58218,
     /* 2315131 */   GIR_EraseRootFromParent_Done,
     /* 2315132 */ // Label 31964: @2315132
     /* 2315132 */ GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2315186), // Rule ID 58219 //
     /* 2315137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2315140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315151 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315163 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315170 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315173 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315185 */   // GIR_Coverage, 58219,
     /* 2315185 */   GIR_EraseRootFromParent_Done,
     /* 2315186 */ // Label 31965: @2315186
     /* 2315186 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2315240), // Rule ID 58426 //
     /* 2315191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2315194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2315197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315205 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315205 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315208 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315212 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315224 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315239 */   // GIR_Coverage, 58426,
     /* 2315239 */   GIR_EraseRootFromParent_Done,
     /* 2315240 */ // Label 31966: @2315240
     /* 2315240 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2315294), // Rule ID 58427 //
     /* 2315245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2315248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2315251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315259 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2315262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315293 */   // GIR_Coverage, 58427,
     /* 2315293 */   GIR_EraseRootFromParent_Done,
     /* 2315294 */ // Label 31967: @2315294
     /* 2315294 */ GIM_Reject,
     /* 2315295 */ // Label 31876: @2315295
     /* 2315295 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2315398),
     /* 2315300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315311 */   GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2315354), // Rule ID 58594 //
     /* 2315316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315319 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2315322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2315336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315353 */     // GIR_Coverage, 58594,
     /* 2315353 */     GIR_EraseRootFromParent_Done,
     /* 2315354 */   // Label 31969: @2315354
     /* 2315354 */   GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2315397), // Rule ID 58595 //
     /* 2315359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315362 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2315365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2315379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315396 */     // GIR_Coverage, 58595,
     /* 2315396 */     GIR_EraseRootFromParent_Done,
     /* 2315397 */   // Label 31970: @2315397
     /* 2315397 */   GIM_Reject,
     /* 2315398 */ // Label 31968: @2315398
     /* 2315398 */ GIM_Reject,
     /* 2315399 */ // Label 31877: @2315399
     /* 2315399 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2315453), // Rule ID 58190 //
     /* 2315404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315418 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315452 */   // GIR_Coverage, 58190,
     /* 2315452 */   GIR_EraseRootFromParent_Done,
     /* 2315453 */ // Label 31971: @2315453
     /* 2315453 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2315507), // Rule ID 58191 //
     /* 2315458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315472 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315484 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315506 */   // GIR_Coverage, 58191,
     /* 2315506 */   GIR_EraseRootFromParent_Done,
     /* 2315507 */ // Label 31972: @2315507
     /* 2315507 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2315561), // Rule ID 58618 //
     /* 2315512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315526 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315560 */   // GIR_Coverage, 58618,
     /* 2315560 */   GIR_EraseRootFromParent_Done,
     /* 2315561 */ // Label 31973: @2315561
     /* 2315561 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2315615), // Rule ID 58619 //
     /* 2315566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315580 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315602 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315614 */   // GIR_Coverage, 58619,
     /* 2315614 */   GIR_EraseRootFromParent_Done,
     /* 2315615 */ // Label 31974: @2315615
     /* 2315615 */ GIM_Reject,
     /* 2315616 */ // Label 31878: @2315616
     /* 2315616 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2315670), // Rule ID 58206 //
     /* 2315621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315635 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315669 */   // GIR_Coverage, 58206,
     /* 2315669 */   GIR_EraseRootFromParent_Done,
     /* 2315670 */ // Label 31975: @2315670
     /* 2315670 */ GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2315724), // Rule ID 58207 //
     /* 2315675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315689 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315723 */   // GIR_Coverage, 58207,
     /* 2315723 */   GIR_EraseRootFromParent_Done,
     /* 2315724 */ // Label 31976: @2315724
     /* 2315724 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2315778), // Rule ID 58410 //
     /* 2315729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315743 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315765 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315777 */   // GIR_Coverage, 58410,
     /* 2315777 */   GIR_EraseRootFromParent_Done,
     /* 2315778 */ // Label 31977: @2315778
     /* 2315778 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2315832), // Rule ID 58411 //
     /* 2315783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315797 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315797 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315800 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315804 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315809 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315816 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315819 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315831 */   // GIR_Coverage, 58411,
     /* 2315831 */   GIR_EraseRootFromParent_Done,
     /* 2315832 */ // Label 31978: @2315832
     /* 2315832 */ GIM_Reject,
     /* 2315833 */ // Label 31879: @2315833
     /* 2315833 */ GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2315936),
     /* 2315838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315849 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2315892), // Rule ID 58598 //
     /* 2315854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315857 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315891 */     // GIR_Coverage, 58598,
     /* 2315891 */     GIR_EraseRootFromParent_Done,
     /* 2315892 */   // Label 31980: @2315892
     /* 2315892 */   GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2315935), // Rule ID 58599 //
     /* 2315897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315900 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315934 */     // GIR_Coverage, 58599,
     /* 2315934 */     GIR_EraseRootFromParent_Done,
     /* 2315935 */   // Label 31981: @2315935
     /* 2315935 */   GIM_Reject,
     /* 2315936 */ // Label 31979: @2315936
     /* 2315936 */ GIM_Reject,
     /* 2315937 */ // Label 31880: @2315937
     /* 2315937 */ GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2316040),
     /* 2315942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315953 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2315996), // Rule ID 58194 //
     /* 2315958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315961 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315995 */     // GIR_Coverage, 58194,
     /* 2315995 */     GIR_EraseRootFromParent_Done,
     /* 2315996 */   // Label 31983: @2315996
     /* 2315996 */   GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2316039), // Rule ID 58195 //
     /* 2316001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316004 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2316007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2316021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316038 */     // GIR_Coverage, 58195,
     /* 2316038 */     GIR_EraseRootFromParent_Done,
     /* 2316039 */   // Label 31984: @2316039
     /* 2316039 */   GIM_Reject,
     /* 2316040 */ // Label 31982: @2316040
     /* 2316040 */ GIM_Reject,
     /* 2316041 */ // Label 31881: @2316041
     /* 2316041 */ GIM_Reject,
     /* 2316042 */ // Label 68: @2316042
     /* 2316042 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32008*/ GIMT_Encode4(2320927),
     /* 2316053 */ /*GILLT_s32*//*Label 31985*/ GIMT_Encode4(2316169),
     /* 2316057 */ /*GILLT_s64*//*Label 31986*/ GIMT_Encode4(2316542), GIMT_Encode4(0),
     /* 2316065 */ /*GILLT_nxv1s8*//*Label 31987*/ GIMT_Encode4(2316729),
     /* 2316069 */ /*GILLT_nxv1s16*//*Label 31988*/ GIMT_Encode4(2316833),
     /* 2316073 */ /*GILLT_nxv1s32*//*Label 31989*/ GIMT_Encode4(2317050),
     /* 2316077 */ /*GILLT_nxv1s64*//*Label 31990*/ GIMT_Encode4(2317375), GIMT_Encode4(0),
     /* 2316085 */ /*GILLT_nxv2s8*//*Label 31991*/ GIMT_Encode4(2317592),
     /* 2316089 */ /*GILLT_nxv2s16*//*Label 31992*/ GIMT_Encode4(2317696),
     /* 2316093 */ /*GILLT_nxv2s32*//*Label 31993*/ GIMT_Encode4(2317913),
     /* 2316097 */ /*GILLT_nxv2s64*//*Label 31994*/ GIMT_Encode4(2318238), GIMT_Encode4(0),
     /* 2316105 */ /*GILLT_nxv4s8*//*Label 31995*/ GIMT_Encode4(2318455),
     /* 2316109 */ /*GILLT_nxv4s16*//*Label 31996*/ GIMT_Encode4(2318559),
     /* 2316113 */ /*GILLT_nxv4s32*//*Label 31997*/ GIMT_Encode4(2318776),
     /* 2316117 */ /*GILLT_nxv4s64*//*Label 31998*/ GIMT_Encode4(2319101), GIMT_Encode4(0),
     /* 2316125 */ /*GILLT_nxv8s8*//*Label 31999*/ GIMT_Encode4(2319318),
     /* 2316129 */ /*GILLT_nxv8s16*//*Label 32000*/ GIMT_Encode4(2319422),
     /* 2316133 */ /*GILLT_nxv8s32*//*Label 32001*/ GIMT_Encode4(2319639),
     /* 2316137 */ /*GILLT_nxv8s64*//*Label 32002*/ GIMT_Encode4(2319964), GIMT_Encode4(0),
     /* 2316145 */ /*GILLT_nxv16s8*//*Label 32003*/ GIMT_Encode4(2320181),
     /* 2316149 */ /*GILLT_nxv16s16*//*Label 32004*/ GIMT_Encode4(2320285),
     /* 2316153 */ /*GILLT_nxv16s32*//*Label 32005*/ GIMT_Encode4(2320502), GIMT_Encode4(0),
     /* 2316161 */ /*GILLT_nxv32s8*//*Label 32006*/ GIMT_Encode4(2320719),
     /* 2316165 */ /*GILLT_nxv32s16*//*Label 32007*/ GIMT_Encode4(2320823),
     /* 2316169 */ // Label 31985: @2316169
     /* 2316169 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2316200), // Rule ID 1350 //
     /* 2316174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2316177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316188 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2316191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316193 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316199 */   // GIR_Coverage, 1350,
     /* 2316199 */   GIR_EraseRootFromParent_Done,
     /* 2316200 */ // Label 32009: @2316200
     /* 2316200 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2316231), // Rule ID 1351 //
     /* 2316205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2316208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316219 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2316219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2316222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316230 */   // GIR_Coverage, 1351,
     /* 2316230 */   GIR_EraseRootFromParent_Done,
     /* 2316231 */ // Label 32010: @2316231
     /* 2316231 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2316262), // Rule ID 1376 //
     /* 2316236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2316239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316250 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2316253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316261 */   // GIR_Coverage, 1376,
     /* 2316261 */   GIR_EraseRootFromParent_Done,
     /* 2316262 */ // Label 32011: @2316262
     /* 2316262 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2316293), // Rule ID 1377 //
     /* 2316267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2316270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316281 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2316281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2316284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316286 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316292 */   // GIR_Coverage, 1377,
     /* 2316292 */   GIR_EraseRootFromParent_Done,
     /* 2316293 */ // Label 32012: @2316293
     /* 2316293 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2316324), // Rule ID 1744 //
     /* 2316298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2316301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316312 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2316315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316317 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316323 */   // GIR_Coverage, 1744,
     /* 2316323 */   GIR_EraseRootFromParent_Done,
     /* 2316324 */ // Label 32013: @2316324
     /* 2316324 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2316355), // Rule ID 1745 //
     /* 2316329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2316332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316343 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2316343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2316346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316348 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316354 */   // GIR_Coverage, 1745,
     /* 2316354 */   GIR_EraseRootFromParent_Done,
     /* 2316355 */ // Label 32014: @2316355
     /* 2316355 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2316386), // Rule ID 1770 //
     /* 2316360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2316363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316374 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2316377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316385 */   // GIR_Coverage, 1770,
     /* 2316385 */   GIR_EraseRootFromParent_Done,
     /* 2316386 */ // Label 32015: @2316386
     /* 2316386 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2316417), // Rule ID 1771 //
     /* 2316391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2316394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2316405 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2316405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2316408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316410 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316416 */   // GIR_Coverage, 1771,
     /* 2316416 */   GIR_EraseRootFromParent_Done,
     /* 2316417 */ // Label 32016: @2316417
     /* 2316417 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2316448), // Rule ID 2086 //
     /* 2316422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2316425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316436 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316447 */   // GIR_Coverage, 2086,
     /* 2316447 */   GIR_EraseRootFromParent_Done,
     /* 2316448 */ // Label 32017: @2316448
     /* 2316448 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2316479), // Rule ID 2087 //
     /* 2316453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2316456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316467 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316478 */   // GIR_Coverage, 2087,
     /* 2316478 */   GIR_EraseRootFromParent_Done,
     /* 2316479 */ // Label 32018: @2316479
     /* 2316479 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2316510), // Rule ID 2112 //
     /* 2316484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2316487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316498 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316503 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316509 */   // GIR_Coverage, 2112,
     /* 2316509 */   GIR_EraseRootFromParent_Done,
     /* 2316510 */ // Label 32019: @2316510
     /* 2316510 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2316541), // Rule ID 2113 //
     /* 2316515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2316518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316529 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316540 */   // GIR_Coverage, 2113,
     /* 2316540 */   GIR_EraseRootFromParent_Done,
     /* 2316541 */ // Label 32020: @2316541
     /* 2316541 */ GIM_Reject,
     /* 2316542 */ // Label 31986: @2316542
     /* 2316542 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2316573), // Rule ID 1405 //
     /* 2316547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2316550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316561 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2316564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316566 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316572 */   // GIR_Coverage, 1405,
     /* 2316572 */   GIR_EraseRootFromParent_Done,
     /* 2316573 */ // Label 32021: @2316573
     /* 2316573 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2316604), // Rule ID 1433 //
     /* 2316578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2316581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316592 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2316595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316603 */   // GIR_Coverage, 1433,
     /* 2316603 */   GIR_EraseRootFromParent_Done,
     /* 2316604 */ // Label 32022: @2316604
     /* 2316604 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2316635), // Rule ID 1805 //
     /* 2316609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2316612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316623 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2316626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316634 */   // GIR_Coverage, 1805,
     /* 2316634 */   GIR_EraseRootFromParent_Done,
     /* 2316635 */ // Label 32023: @2316635
     /* 2316635 */ GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2316666), // Rule ID 1833 //
     /* 2316640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2316643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316654 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2316657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316665 */   // GIR_Coverage, 1833,
     /* 2316665 */   GIR_EraseRootFromParent_Done,
     /* 2316666 */ // Label 32024: @2316666
     /* 2316666 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2316697), // Rule ID 2139 //
     /* 2316671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2316674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316685 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2316688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316696 */   // GIR_Coverage, 2139,
     /* 2316696 */   GIR_EraseRootFromParent_Done,
     /* 2316697 */ // Label 32025: @2316697
     /* 2316697 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2316728), // Rule ID 2165 //
     /* 2316702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2316705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316716 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2316719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316727 */   // GIR_Coverage, 2165,
     /* 2316727 */   GIR_EraseRootFromParent_Done,
     /* 2316728 */ // Label 32026: @2316728
     /* 2316728 */ GIM_Reject,
     /* 2316729 */ // Label 31987: @2316729
     /* 2316729 */ GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2316832),
     /* 2316734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316745 */   GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2316788), // Rule ID 58638 //
     /* 2316750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316753 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316787 */     // GIR_Coverage, 58638,
     /* 2316787 */     GIR_EraseRootFromParent_Done,
     /* 2316788 */   // Label 32028: @2316788
     /* 2316788 */   GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2316831), // Rule ID 58639 //
     /* 2316793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316796 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316830 */     // GIR_Coverage, 58639,
     /* 2316830 */     GIR_EraseRootFromParent_Done,
     /* 2316831 */   // Label 32029: @2316831
     /* 2316831 */   GIM_Reject,
     /* 2316832 */ // Label 32027: @2316832
     /* 2316832 */ GIM_Reject,
     /* 2316833 */ // Label 31988: @2316833
     /* 2316833 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2316887), // Rule ID 58222 //
     /* 2316838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316852 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316886 */   // GIR_Coverage, 58222,
     /* 2316886 */   GIR_EraseRootFromParent_Done,
     /* 2316887 */ // Label 32030: @2316887
     /* 2316887 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2316941), // Rule ID 58223 //
     /* 2316892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316906 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316940 */   // GIR_Coverage, 58223,
     /* 2316940 */   GIR_EraseRootFromParent_Done,
     /* 2316941 */ // Label 32031: @2316941
     /* 2316941 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2316995), // Rule ID 58662 //
     /* 2316946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316960 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316994 */   // GIR_Coverage, 58662,
     /* 2316994 */   GIR_EraseRootFromParent_Done,
     /* 2316995 */ // Label 32032: @2316995
     /* 2316995 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2317049), // Rule ID 58663 //
     /* 2317000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317014 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2317017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317048 */   // GIR_Coverage, 58663,
     /* 2317048 */   GIR_EraseRootFromParent_Done,
     /* 2317049 */ // Label 32033: @2317049
     /* 2317049 */ GIM_Reject,
     /* 2317050 */ // Label 31989: @2317050
     /* 2317050 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2317104), // Rule ID 58230 //
     /* 2317055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317069 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317103 */   // GIR_Coverage, 58230,
     /* 2317103 */   GIR_EraseRootFromParent_Done,
     /* 2317104 */ // Label 32034: @2317104
     /* 2317104 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2317158), // Rule ID 58231 //
     /* 2317109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317123 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317157 */   // GIR_Coverage, 58231,
     /* 2317157 */   GIR_EraseRootFromParent_Done,
     /* 2317158 */ // Label 32035: @2317158
     /* 2317158 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2317212), // Rule ID 58430 //
     /* 2317163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2317169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317177 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317189 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2317194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317199 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317211 */   // GIR_Coverage, 58430,
     /* 2317211 */   GIR_EraseRootFromParent_Done,
     /* 2317212 */ // Label 32036: @2317212
     /* 2317212 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2317266), // Rule ID 58431 //
     /* 2317217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2317223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317231 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2317248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317253 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317265 */   // GIR_Coverage, 58431,
     /* 2317265 */   GIR_EraseRootFromParent_Done,
     /* 2317266 */ // Label 32037: @2317266
     /* 2317266 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2317320), // Rule ID 58682 //
     /* 2317271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317285 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317319 */   // GIR_Coverage, 58682,
     /* 2317319 */   GIR_EraseRootFromParent_Done,
     /* 2317320 */ // Label 32038: @2317320
     /* 2317320 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2317374), // Rule ID 58683 //
     /* 2317325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317339 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2317342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317373 */   // GIR_Coverage, 58683,
     /* 2317373 */   GIR_EraseRootFromParent_Done,
     /* 2317374 */ // Label 32039: @2317374
     /* 2317374 */ GIM_Reject,
     /* 2317375 */ // Label 31990: @2317375
     /* 2317375 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2317429), // Rule ID 58242 //
     /* 2317380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317394 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317406 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317428 */   // GIR_Coverage, 58242,
     /* 2317428 */   GIR_EraseRootFromParent_Done,
     /* 2317429 */ // Label 32040: @2317429
     /* 2317429 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2317483), // Rule ID 58243 //
     /* 2317434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317448 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317448 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317455 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317482 */   // GIR_Coverage, 58243,
     /* 2317482 */   GIR_EraseRootFromParent_Done,
     /* 2317483 */ // Label 32041: @2317483
     /* 2317483 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2317537), // Rule ID 58450 //
     /* 2317488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317502 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317521 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317536 */   // GIR_Coverage, 58450,
     /* 2317536 */   GIR_EraseRootFromParent_Done,
     /* 2317537 */ // Label 32042: @2317537
     /* 2317537 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2317591), // Rule ID 58451 //
     /* 2317542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317556 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317556 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317559 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317563 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317578 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317590 */   // GIR_Coverage, 58451,
     /* 2317590 */   GIR_EraseRootFromParent_Done,
     /* 2317591 */ // Label 32043: @2317591
     /* 2317591 */ GIM_Reject,
     /* 2317592 */ // Label 31991: @2317592
     /* 2317592 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2317695),
     /* 2317597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317608 */   GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2317651), // Rule ID 58642 //
     /* 2317613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317616 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317650 */     // GIR_Coverage, 58642,
     /* 2317650 */     GIR_EraseRootFromParent_Done,
     /* 2317651 */   // Label 32045: @2317651
     /* 2317651 */   GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2317694), // Rule ID 58643 //
     /* 2317656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317659 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317693 */     // GIR_Coverage, 58643,
     /* 2317693 */     GIR_EraseRootFromParent_Done,
     /* 2317694 */   // Label 32046: @2317694
     /* 2317694 */   GIM_Reject,
     /* 2317695 */ // Label 32044: @2317695
     /* 2317695 */ GIM_Reject,
     /* 2317696 */ // Label 31992: @2317696
     /* 2317696 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2317750), // Rule ID 58226 //
     /* 2317701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317715 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317727 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317734 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317749 */   // GIR_Coverage, 58226,
     /* 2317749 */   GIR_EraseRootFromParent_Done,
     /* 2317750 */ // Label 32047: @2317750
     /* 2317750 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2317804), // Rule ID 58227 //
     /* 2317755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317769 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317803 */   // GIR_Coverage, 58227,
     /* 2317803 */   GIR_EraseRootFromParent_Done,
     /* 2317804 */ // Label 32048: @2317804
     /* 2317804 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2317858), // Rule ID 58666 //
     /* 2317809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317823 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317857 */   // GIR_Coverage, 58666,
     /* 2317857 */   GIR_EraseRootFromParent_Done,
     /* 2317858 */ // Label 32049: @2317858
     /* 2317858 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2317912), // Rule ID 58667 //
     /* 2317863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317877 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317911 */   // GIR_Coverage, 58667,
     /* 2317911 */   GIR_EraseRootFromParent_Done,
     /* 2317912 */ // Label 32050: @2317912
     /* 2317912 */ GIM_Reject,
     /* 2317913 */ // Label 31993: @2317913
     /* 2317913 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2317967), // Rule ID 58238 //
     /* 2317918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317932 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317932 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317935 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317939 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317944 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317951 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317954 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317966 */   // GIR_Coverage, 58238,
     /* 2317966 */   GIR_EraseRootFromParent_Done,
     /* 2317967 */ // Label 32051: @2317967
     /* 2317967 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2318021), // Rule ID 58239 //
     /* 2317972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317986 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317986 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317989 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317993 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317998 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318008 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318020 */   // GIR_Coverage, 58239,
     /* 2318020 */   GIR_EraseRootFromParent_Done,
     /* 2318021 */ // Label 32052: @2318021
     /* 2318021 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2318075), // Rule ID 58434 //
     /* 2318026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2318032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318040 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318052 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2318057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318059 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318074 */   // GIR_Coverage, 58434,
     /* 2318074 */   GIR_EraseRootFromParent_Done,
     /* 2318075 */ // Label 32053: @2318075
     /* 2318075 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2318129), // Rule ID 58435 //
     /* 2318080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2318086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318094 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2318111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318116 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318128 */   // GIR_Coverage, 58435,
     /* 2318128 */   GIR_EraseRootFromParent_Done,
     /* 2318129 */ // Label 32054: @2318129
     /* 2318129 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2318183), // Rule ID 58686 //
     /* 2318134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318148 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318182 */   // GIR_Coverage, 58686,
     /* 2318182 */   GIR_EraseRootFromParent_Done,
     /* 2318183 */ // Label 32055: @2318183
     /* 2318183 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2318237), // Rule ID 58687 //
     /* 2318188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318202 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2318205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318236 */   // GIR_Coverage, 58687,
     /* 2318236 */   GIR_EraseRootFromParent_Done,
     /* 2318237 */ // Label 32056: @2318237
     /* 2318237 */ GIM_Reject,
     /* 2318238 */ // Label 31994: @2318238
     /* 2318238 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2318292), // Rule ID 58270 //
     /* 2318243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318257 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318276 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318291 */   // GIR_Coverage, 58270,
     /* 2318291 */   GIR_EraseRootFromParent_Done,
     /* 2318292 */ // Label 32057: @2318292
     /* 2318292 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2318346), // Rule ID 58271 //
     /* 2318297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2318303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318311 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318345 */   // GIR_Coverage, 58271,
     /* 2318345 */   GIR_EraseRootFromParent_Done,
     /* 2318346 */ // Label 32058: @2318346
     /* 2318346 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2318400), // Rule ID 58454 //
     /* 2318351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318365 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318399 */   // GIR_Coverage, 58454,
     /* 2318399 */   GIR_EraseRootFromParent_Done,
     /* 2318400 */ // Label 32059: @2318400
     /* 2318400 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2318454), // Rule ID 58455 //
     /* 2318405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318419 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2318422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318453 */   // GIR_Coverage, 58455,
     /* 2318453 */   GIR_EraseRootFromParent_Done,
     /* 2318454 */ // Label 32060: @2318454
     /* 2318454 */ GIM_Reject,
     /* 2318455 */ // Label 31995: @2318455
     /* 2318455 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2318558),
     /* 2318460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318471 */   GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2318514), // Rule ID 58646 //
     /* 2318476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318479 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318513 */     // GIR_Coverage, 58646,
     /* 2318513 */     GIR_EraseRootFromParent_Done,
     /* 2318514 */   // Label 32062: @2318514
     /* 2318514 */   GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2318557), // Rule ID 58647 //
     /* 2318519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318522 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318556 */     // GIR_Coverage, 58647,
     /* 2318556 */     GIR_EraseRootFromParent_Done,
     /* 2318557 */   // Label 32063: @2318557
     /* 2318557 */   GIM_Reject,
     /* 2318558 */ // Label 32061: @2318558
     /* 2318558 */ GIM_Reject,
     /* 2318559 */ // Label 31996: @2318559
     /* 2318559 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2318613), // Rule ID 58234 //
     /* 2318564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318578 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318612 */   // GIR_Coverage, 58234,
     /* 2318612 */   GIR_EraseRootFromParent_Done,
     /* 2318613 */ // Label 32064: @2318613
     /* 2318613 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2318667), // Rule ID 58235 //
     /* 2318618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318632 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318666 */   // GIR_Coverage, 58235,
     /* 2318666 */   GIR_EraseRootFromParent_Done,
     /* 2318667 */ // Label 32065: @2318667
     /* 2318667 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2318721), // Rule ID 58670 //
     /* 2318672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318686 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318686 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318689 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318693 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318708 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318720 */   // GIR_Coverage, 58670,
     /* 2318720 */   GIR_EraseRootFromParent_Done,
     /* 2318721 */ // Label 32066: @2318721
     /* 2318721 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2318775), // Rule ID 58671 //
     /* 2318726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318740 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318752 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318759 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318762 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318774 */   // GIR_Coverage, 58671,
     /* 2318774 */   GIR_EraseRootFromParent_Done,
     /* 2318775 */ // Label 32067: @2318775
     /* 2318775 */ GIM_Reject,
     /* 2318776 */ // Label 31997: @2318776
     /* 2318776 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2318830), // Rule ID 58258 //
     /* 2318781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318795 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318829 */   // GIR_Coverage, 58258,
     /* 2318829 */   GIR_EraseRootFromParent_Done,
     /* 2318830 */ // Label 32068: @2318830
     /* 2318830 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2318884), // Rule ID 58259 //
     /* 2318835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318849 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318883 */   // GIR_Coverage, 58259,
     /* 2318883 */   GIR_EraseRootFromParent_Done,
     /* 2318884 */ // Label 32069: @2318884
     /* 2318884 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2318938), // Rule ID 58438 //
     /* 2318889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318903 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318937 */   // GIR_Coverage, 58438,
     /* 2318937 */   GIR_EraseRootFromParent_Done,
     /* 2318938 */ // Label 32070: @2318938
     /* 2318938 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2318992), // Rule ID 58439 //
     /* 2318943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318957 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318991 */   // GIR_Coverage, 58439,
     /* 2318991 */   GIR_EraseRootFromParent_Done,
     /* 2318992 */ // Label 32071: @2318992
     /* 2318992 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2319046), // Rule ID 58690 //
     /* 2318997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319011 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319045 */   // GIR_Coverage, 58690,
     /* 2319045 */   GIR_EraseRootFromParent_Done,
     /* 2319046 */ // Label 32072: @2319046
     /* 2319046 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2319100), // Rule ID 58691 //
     /* 2319051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319065 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2319068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319099 */   // GIR_Coverage, 58691,
     /* 2319099 */   GIR_EraseRootFromParent_Done,
     /* 2319100 */ // Label 32073: @2319100
     /* 2319100 */ GIM_Reject,
     /* 2319101 */ // Label 31998: @2319101
     /* 2319101 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2319155), // Rule ID 58274 //
     /* 2319106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319120 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319154 */   // GIR_Coverage, 58274,
     /* 2319154 */   GIR_EraseRootFromParent_Done,
     /* 2319155 */ // Label 32074: @2319155
     /* 2319155 */ GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2319209), // Rule ID 58275 //
     /* 2319160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2319163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2319166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319174 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319208 */   // GIR_Coverage, 58275,
     /* 2319208 */   GIR_EraseRootFromParent_Done,
     /* 2319209 */ // Label 32075: @2319209
     /* 2319209 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2319263), // Rule ID 58458 //
     /* 2319214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2319217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2319220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319228 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319262 */   // GIR_Coverage, 58458,
     /* 2319262 */   GIR_EraseRootFromParent_Done,
     /* 2319263 */ // Label 32076: @2319263
     /* 2319263 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2319317), // Rule ID 58459 //
     /* 2319268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2319271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2319274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319282 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2319285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319316 */   // GIR_Coverage, 58459,
     /* 2319316 */   GIR_EraseRootFromParent_Done,
     /* 2319317 */ // Label 32077: @2319317
     /* 2319317 */ GIM_Reject,
     /* 2319318 */ // Label 31999: @2319318
     /* 2319318 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2319421),
     /* 2319323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319334 */   GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2319377), // Rule ID 58650 //
     /* 2319339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319342 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2319345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2319359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319376 */     // GIR_Coverage, 58650,
     /* 2319376 */     GIR_EraseRootFromParent_Done,
     /* 2319377 */   // Label 32079: @2319377
     /* 2319377 */   GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2319420), // Rule ID 58651 //
     /* 2319382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319385 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2319388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2319402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319419 */     // GIR_Coverage, 58651,
     /* 2319419 */     GIR_EraseRootFromParent_Done,
     /* 2319420 */   // Label 32080: @2319420
     /* 2319420 */   GIM_Reject,
     /* 2319421 */ // Label 32078: @2319421
     /* 2319421 */ GIM_Reject,
     /* 2319422 */ // Label 32000: @2319422
     /* 2319422 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2319476), // Rule ID 58246 //
     /* 2319427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319441 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319475 */   // GIR_Coverage, 58246,
     /* 2319475 */   GIR_EraseRootFromParent_Done,
     /* 2319476 */ // Label 32081: @2319476
     /* 2319476 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2319530), // Rule ID 58247 //
     /* 2319481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319495 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319529 */   // GIR_Coverage, 58247,
     /* 2319529 */   GIR_EraseRootFromParent_Done,
     /* 2319530 */ // Label 32082: @2319530
     /* 2319530 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2319584), // Rule ID 58674 //
     /* 2319535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319549 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319583 */   // GIR_Coverage, 58674,
     /* 2319583 */   GIR_EraseRootFromParent_Done,
     /* 2319584 */ // Label 32083: @2319584
     /* 2319584 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2319638), // Rule ID 58675 //
     /* 2319589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319603 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319637 */   // GIR_Coverage, 58675,
     /* 2319637 */   GIR_EraseRootFromParent_Done,
     /* 2319638 */ // Label 32084: @2319638
     /* 2319638 */ GIM_Reject,
     /* 2319639 */ // Label 32001: @2319639
     /* 2319639 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2319693), // Rule ID 58262 //
     /* 2319644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319658 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319692 */   // GIR_Coverage, 58262,
     /* 2319692 */   GIR_EraseRootFromParent_Done,
     /* 2319693 */ // Label 32085: @2319693
     /* 2319693 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2319747), // Rule ID 58263 //
     /* 2319698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319712 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319746 */   // GIR_Coverage, 58263,
     /* 2319746 */   GIR_EraseRootFromParent_Done,
     /* 2319747 */ // Label 32086: @2319747
     /* 2319747 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2319801), // Rule ID 58442 //
     /* 2319752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319766 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319800 */   // GIR_Coverage, 58442,
     /* 2319800 */   GIR_EraseRootFromParent_Done,
     /* 2319801 */ // Label 32087: @2319801
     /* 2319801 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2319855), // Rule ID 58443 //
     /* 2319806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319820 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319854 */   // GIR_Coverage, 58443,
     /* 2319854 */   GIR_EraseRootFromParent_Done,
     /* 2319855 */ // Label 32088: @2319855
     /* 2319855 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2319909), // Rule ID 58694 //
     /* 2319860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319874 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319908 */   // GIR_Coverage, 58694,
     /* 2319908 */   GIR_EraseRootFromParent_Done,
     /* 2319909 */ // Label 32089: @2319909
     /* 2319909 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2319963), // Rule ID 58695 //
     /* 2319914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319928 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319962 */   // GIR_Coverage, 58695,
     /* 2319962 */   GIR_EraseRootFromParent_Done,
     /* 2319963 */ // Label 32090: @2319963
     /* 2319963 */ GIM_Reject,
     /* 2319964 */ // Label 32002: @2319964
     /* 2319964 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2320018), // Rule ID 58278 //
     /* 2319969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319983 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320017 */   // GIR_Coverage, 58278,
     /* 2320017 */   GIR_EraseRootFromParent_Done,
     /* 2320018 */ // Label 32091: @2320018
     /* 2320018 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2320072), // Rule ID 58279 //
     /* 2320023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2320026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320037 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320071 */   // GIR_Coverage, 58279,
     /* 2320071 */   GIR_EraseRootFromParent_Done,
     /* 2320072 */ // Label 32092: @2320072
     /* 2320072 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2320126), // Rule ID 58462 //
     /* 2320077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2320080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2320083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320091 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320125 */   // GIR_Coverage, 58462,
     /* 2320125 */   GIR_EraseRootFromParent_Done,
     /* 2320126 */ // Label 32093: @2320126
     /* 2320126 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2320180), // Rule ID 58463 //
     /* 2320131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2320134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2320137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320145 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2320148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320179 */   // GIR_Coverage, 58463,
     /* 2320179 */   GIR_EraseRootFromParent_Done,
     /* 2320180 */ // Label 32094: @2320180
     /* 2320180 */ GIM_Reject,
     /* 2320181 */ // Label 32003: @2320181
     /* 2320181 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2320284),
     /* 2320186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320197 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2320240), // Rule ID 58654 //
     /* 2320202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320205 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2320208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2320222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320239 */     // GIR_Coverage, 58654,
     /* 2320239 */     GIR_EraseRootFromParent_Done,
     /* 2320240 */   // Label 32096: @2320240
     /* 2320240 */   GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2320283), // Rule ID 58655 //
     /* 2320245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320248 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2320251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2320265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320282 */     // GIR_Coverage, 58655,
     /* 2320282 */     GIR_EraseRootFromParent_Done,
     /* 2320283 */   // Label 32097: @2320283
     /* 2320283 */   GIM_Reject,
     /* 2320284 */ // Label 32095: @2320284
     /* 2320284 */ GIM_Reject,
     /* 2320285 */ // Label 32004: @2320285
     /* 2320285 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2320339), // Rule ID 58250 //
     /* 2320290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320304 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2320321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320338 */   // GIR_Coverage, 58250,
     /* 2320338 */   GIR_EraseRootFromParent_Done,
     /* 2320339 */ // Label 32098: @2320339
     /* 2320339 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2320393), // Rule ID 58251 //
     /* 2320344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320358 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2320375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320392 */   // GIR_Coverage, 58251,
     /* 2320392 */   GIR_EraseRootFromParent_Done,
     /* 2320393 */ // Label 32099: @2320393
     /* 2320393 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2320447), // Rule ID 58678 //
     /* 2320398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320412 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320446 */   // GIR_Coverage, 58678,
     /* 2320446 */   GIR_EraseRootFromParent_Done,
     /* 2320447 */ // Label 32100: @2320447
     /* 2320447 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2320501), // Rule ID 58679 //
     /* 2320452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320466 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320500 */   // GIR_Coverage, 58679,
     /* 2320500 */   GIR_EraseRootFromParent_Done,
     /* 2320501 */ // Label 32101: @2320501
     /* 2320501 */ GIM_Reject,
     /* 2320502 */ // Label 32005: @2320502
     /* 2320502 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2320556), // Rule ID 58266 //
     /* 2320507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320521 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320555 */   // GIR_Coverage, 58266,
     /* 2320555 */   GIR_EraseRootFromParent_Done,
     /* 2320556 */ // Label 32102: @2320556
     /* 2320556 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2320610), // Rule ID 58267 //
     /* 2320561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320575 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320609 */   // GIR_Coverage, 58267,
     /* 2320609 */   GIR_EraseRootFromParent_Done,
     /* 2320610 */ // Label 32103: @2320610
     /* 2320610 */ GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2320664), // Rule ID 58446 //
     /* 2320615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320629 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320663 */   // GIR_Coverage, 58446,
     /* 2320663 */   GIR_EraseRootFromParent_Done,
     /* 2320664 */ // Label 32104: @2320664
     /* 2320664 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2320718), // Rule ID 58447 //
     /* 2320669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320683 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320705 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320717 */   // GIR_Coverage, 58447,
     /* 2320717 */   GIR_EraseRootFromParent_Done,
     /* 2320718 */ // Label 32105: @2320718
     /* 2320718 */ GIM_Reject,
     /* 2320719 */ // Label 32006: @2320719
     /* 2320719 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2320822),
     /* 2320724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320735 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2320778), // Rule ID 58658 //
     /* 2320740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320743 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320777 */     // GIR_Coverage, 58658,
     /* 2320777 */     GIR_EraseRootFromParent_Done,
     /* 2320778 */   // Label 32107: @2320778
     /* 2320778 */   GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2320821), // Rule ID 58659 //
     /* 2320783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320786 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320820 */     // GIR_Coverage, 58659,
     /* 2320820 */     GIR_EraseRootFromParent_Done,
     /* 2320821 */   // Label 32108: @2320821
     /* 2320821 */   GIM_Reject,
     /* 2320822 */ // Label 32106: @2320822
     /* 2320822 */ GIM_Reject,
     /* 2320823 */ // Label 32007: @2320823
     /* 2320823 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2320926),
     /* 2320828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320839 */   GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2320882), // Rule ID 58254 //
     /* 2320844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320847 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320881 */     // GIR_Coverage, 58254,
     /* 2320881 */     GIR_EraseRootFromParent_Done,
     /* 2320882 */   // Label 32110: @2320882
     /* 2320882 */   GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2320925), // Rule ID 58255 //
     /* 2320887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320890 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320924 */     // GIR_Coverage, 58255,
     /* 2320924 */     GIR_EraseRootFromParent_Done,
     /* 2320925 */   // Label 32111: @2320925
     /* 2320925 */   GIM_Reject,
     /* 2320926 */ // Label 32109: @2320926
     /* 2320926 */ GIM_Reject,
     /* 2320927 */ // Label 32008: @2320927
     /* 2320927 */ GIM_Reject,
     /* 2320928 */ // Label 69: @2320928
     /* 2320928 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32130*/ GIMT_Encode4(2326213),
     /* 2320939 */ /*GILLT_s16*//*Label 32112*/ GIMT_Encode4(2321059),
     /* 2320943 */ /*GILLT_s32*//*Label 32113*/ GIMT_Encode4(2321320),
     /* 2320947 */ /*GILLT_s64*//*Label 32114*/ GIMT_Encode4(2321581), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320959 */ /*GILLT_nxv1s16*//*Label 32115*/ GIMT_Encode4(2321842),
     /* 2320963 */ /*GILLT_nxv1s32*//*Label 32116*/ GIMT_Encode4(2322179),
     /* 2320967 */ /*GILLT_nxv1s64*//*Label 32117*/ GIMT_Encode4(2322516), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320979 */ /*GILLT_nxv2s16*//*Label 32118*/ GIMT_Encode4(2322739),
     /* 2320983 */ /*GILLT_nxv2s32*//*Label 32119*/ GIMT_Encode4(2323076),
     /* 2320987 */ /*GILLT_nxv2s64*//*Label 32120*/ GIMT_Encode4(2323413), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320999 */ /*GILLT_nxv4s16*//*Label 32121*/ GIMT_Encode4(2323636),
     /* 2321003 */ /*GILLT_nxv4s32*//*Label 32122*/ GIMT_Encode4(2323973),
     /* 2321007 */ /*GILLT_nxv4s64*//*Label 32123*/ GIMT_Encode4(2324310), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321019 */ /*GILLT_nxv8s16*//*Label 32124*/ GIMT_Encode4(2324533),
     /* 2321023 */ /*GILLT_nxv8s32*//*Label 32125*/ GIMT_Encode4(2324870),
     /* 2321027 */ /*GILLT_nxv8s64*//*Label 32126*/ GIMT_Encode4(2325207), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321039 */ /*GILLT_nxv16s16*//*Label 32127*/ GIMT_Encode4(2325430),
     /* 2321043 */ /*GILLT_nxv16s32*//*Label 32128*/ GIMT_Encode4(2325767), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321055 */ /*GILLT_nxv32s16*//*Label 32129*/ GIMT_Encode4(2325990),
     /* 2321059 */ // Label 32112: @2321059
     /* 2321059 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2321096), // Rule ID 2151 //
     /* 2321064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2321067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321074 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321081 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321095 */   // GIR_Coverage, 2151,
     /* 2321095 */   GIR_EraseRootFromParent_Done,
     /* 2321096 */ // Label 32131: @2321096
     /* 2321096 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2321133), // Rule ID 2177 //
     /* 2321101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2321104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321111 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321118 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321132 */   // GIR_Coverage, 2177,
     /* 2321132 */   GIR_EraseRootFromParent_Done,
     /* 2321133 */ // Label 32132: @2321133
     /* 2321133 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2321164), // Rule ID 2100 //
     /* 2321138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2321141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321152 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321163 */   // GIR_Coverage, 2100,
     /* 2321163 */   GIR_EraseRootFromParent_Done,
     /* 2321164 */ // Label 32133: @2321164
     /* 2321164 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2321195), // Rule ID 2101 //
     /* 2321169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2321172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321183 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2321186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321194 */   // GIR_Coverage, 2101,
     /* 2321194 */   GIR_EraseRootFromParent_Done,
     /* 2321195 */ // Label 32134: @2321195
     /* 2321195 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2321226), // Rule ID 2126 //
     /* 2321200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2321203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321214 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321225 */   // GIR_Coverage, 2126,
     /* 2321225 */   GIR_EraseRootFromParent_Done,
     /* 2321226 */ // Label 32135: @2321226
     /* 2321226 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2321257), // Rule ID 2127 //
     /* 2321231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2321234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321245 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2321248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321256 */   // GIR_Coverage, 2127,
     /* 2321256 */   GIR_EraseRootFromParent_Done,
     /* 2321257 */ // Label 32136: @2321257
     /* 2321257 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2321288), // Rule ID 2155 //
     /* 2321262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2321265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321276 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2321279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321287 */   // GIR_Coverage, 2155,
     /* 2321287 */   GIR_EraseRootFromParent_Done,
     /* 2321288 */ // Label 32137: @2321288
     /* 2321288 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2321319), // Rule ID 2181 //
     /* 2321293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2321296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321307 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2321310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321318 */   // GIR_Coverage, 2181,
     /* 2321318 */   GIR_EraseRootFromParent_Done,
     /* 2321319 */ // Label 32138: @2321319
     /* 2321319 */ GIM_Reject,
     /* 2321320 */ // Label 32113: @2321320
     /* 2321320 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2321357), // Rule ID 1417 //
     /* 2321325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321335 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321342 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321356 */   // GIR_Coverage, 1417,
     /* 2321356 */   GIR_EraseRootFromParent_Done,
     /* 2321357 */ // Label 32139: @2321357
     /* 2321357 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2321394), // Rule ID 1445 //
     /* 2321362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321372 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321379 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321393 */   // GIR_Coverage, 1445,
     /* 2321393 */   GIR_EraseRootFromParent_Done,
     /* 2321394 */ // Label 32140: @2321394
     /* 2321394 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2321425), // Rule ID 1364 //
     /* 2321399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2321402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321413 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321424 */   // GIR_Coverage, 1364,
     /* 2321424 */   GIR_EraseRootFromParent_Done,
     /* 2321425 */ // Label 32141: @2321425
     /* 2321425 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2321456), // Rule ID 1365 //
     /* 2321430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2321433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321444 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321455 */   // GIR_Coverage, 1365,
     /* 2321455 */   GIR_EraseRootFromParent_Done,
     /* 2321456 */ // Label 32142: @2321456
     /* 2321456 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2321487), // Rule ID 1390 //
     /* 2321461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2321464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321475 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321486 */   // GIR_Coverage, 1390,
     /* 2321486 */   GIR_EraseRootFromParent_Done,
     /* 2321487 */ // Label 32143: @2321487
     /* 2321487 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2321518), // Rule ID 1391 //
     /* 2321492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2321495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321506 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321517 */   // GIR_Coverage, 1391,
     /* 2321517 */   GIR_EraseRootFromParent_Done,
     /* 2321518 */ // Label 32144: @2321518
     /* 2321518 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2321549), // Rule ID 1421 //
     /* 2321523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321537 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2321540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321548 */   // GIR_Coverage, 1421,
     /* 2321548 */   GIR_EraseRootFromParent_Done,
     /* 2321549 */ // Label 32145: @2321549
     /* 2321549 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2321580), // Rule ID 1449 //
     /* 2321554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321568 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2321571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321579 */   // GIR_Coverage, 1449,
     /* 2321579 */   GIR_EraseRootFromParent_Done,
     /* 2321580 */ // Label 32146: @2321580
     /* 2321580 */ GIM_Reject,
     /* 2321581 */ // Label 32114: @2321581
     /* 2321581 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2321618), // Rule ID 1797 //
     /* 2321586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321596 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321603 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321617 */   // GIR_Coverage, 1797,
     /* 2321617 */   GIR_EraseRootFromParent_Done,
     /* 2321618 */ // Label 32147: @2321618
     /* 2321618 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2321655), // Rule ID 1825 //
     /* 2321623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321633 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321640 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2321643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321654 */   // GIR_Coverage, 1825,
     /* 2321654 */   GIR_EraseRootFromParent_Done,
     /* 2321655 */ // Label 32148: @2321655
     /* 2321655 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2321686), // Rule ID 1758 //
     /* 2321660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2321663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321674 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321685 */   // GIR_Coverage, 1758,
     /* 2321685 */   GIR_EraseRootFromParent_Done,
     /* 2321686 */ // Label 32149: @2321686
     /* 2321686 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2321717), // Rule ID 1759 //
     /* 2321691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2321694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321705 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321716 */   // GIR_Coverage, 1759,
     /* 2321716 */   GIR_EraseRootFromParent_Done,
     /* 2321717 */ // Label 32150: @2321717
     /* 2321717 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2321748), // Rule ID 1784 //
     /* 2321722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2321725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321736 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321747 */   // GIR_Coverage, 1784,
     /* 2321747 */   GIR_EraseRootFromParent_Done,
     /* 2321748 */ // Label 32151: @2321748
     /* 2321748 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2321779), // Rule ID 1785 //
     /* 2321753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2321756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321767 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321778 */   // GIR_Coverage, 1785,
     /* 2321778 */   GIR_EraseRootFromParent_Done,
     /* 2321779 */ // Label 32152: @2321779
     /* 2321779 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2321810), // Rule ID 1815 //
     /* 2321784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321798 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2321801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321809 */   // GIR_Coverage, 1815,
     /* 2321809 */   GIR_EraseRootFromParent_Done,
     /* 2321810 */ // Label 32153: @2321810
     /* 2321810 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2321841), // Rule ID 1843 //
     /* 2321815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321829 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2321832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321840 */   // GIR_Coverage, 1843,
     /* 2321840 */   GIR_EraseRootFromParent_Done,
     /* 2321841 */ // Label 32154: @2321841
     /* 2321841 */ GIM_Reject,
     /* 2321842 */ // Label 32115: @2321842
     /* 2321842 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2321899), // Rule ID 45678 //
     /* 2321847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321861 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321898 */   // GIR_Coverage, 45678,
     /* 2321898 */   GIR_EraseRootFromParent_Done,
     /* 2321899 */ // Label 32155: @2321899
     /* 2321899 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2321956), // Rule ID 45679 //
     /* 2321904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321918 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321930 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321937 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321955 */   // GIR_Coverage, 45679,
     /* 2321955 */   GIR_EraseRootFromParent_Done,
     /* 2321956 */ // Label 32156: @2321956
     /* 2321956 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2322010), // Rule ID 45686 //
     /* 2321961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321975 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2321992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321997 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322009 */   // GIR_Coverage, 45686,
     /* 2322009 */   GIR_EraseRootFromParent_Done,
     /* 2322010 */ // Label 32157: @2322010
     /* 2322010 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2322064), // Rule ID 45687 //
     /* 2322015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2322021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322029 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322029 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322032 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322036 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322041 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2322046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322048 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322051 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322063 */   // GIR_Coverage, 45687,
     /* 2322063 */   GIR_EraseRootFromParent_Done,
     /* 2322064 */ // Label 32158: @2322064
     /* 2322064 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2322121), // Rule ID 45694 //
     /* 2322069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322083 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2322100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322120 */   // GIR_Coverage, 45694,
     /* 2322120 */   GIR_EraseRootFromParent_Done,
     /* 2322121 */ // Label 32159: @2322121
     /* 2322121 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2322178), // Rule ID 45695 //
     /* 2322126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322140 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322140 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322143 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322147 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2322157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322162 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322177 */   // GIR_Coverage, 45695,
     /* 2322177 */   GIR_EraseRootFromParent_Done,
     /* 2322178 */ // Label 32160: @2322178
     /* 2322178 */ GIM_Reject,
     /* 2322179 */ // Label 32116: @2322179
     /* 2322179 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2322236), // Rule ID 58286 //
     /* 2322184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322198 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2322215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322235 */   // GIR_Coverage, 58286,
     /* 2322235 */   GIR_EraseRootFromParent_Done,
     /* 2322236 */ // Label 32161: @2322236
     /* 2322236 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2322293), // Rule ID 58287 //
     /* 2322241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322255 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2322272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322292 */   // GIR_Coverage, 58287,
     /* 2322292 */   GIR_EraseRootFromParent_Done,
     /* 2322293 */ // Label 32162: @2322293
     /* 2322293 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2322347), // Rule ID 58486 //
     /* 2322298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322312 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2322329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322346 */   // GIR_Coverage, 58486,
     /* 2322346 */   GIR_EraseRootFromParent_Done,
     /* 2322347 */ // Label 32163: @2322347
     /* 2322347 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2322401), // Rule ID 58487 //
     /* 2322352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322366 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2322383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322400 */   // GIR_Coverage, 58487,
     /* 2322400 */   GIR_EraseRootFromParent_Done,
     /* 2322401 */ // Label 32164: @2322401
     /* 2322401 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2322458), // Rule ID 58714 //
     /* 2322406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322420 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322457 */   // GIR_Coverage, 58714,
     /* 2322457 */   GIR_EraseRootFromParent_Done,
     /* 2322458 */ // Label 32165: @2322458
     /* 2322458 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2322515), // Rule ID 58715 //
     /* 2322463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322477 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322514 */   // GIR_Coverage, 58715,
     /* 2322514 */   GIR_EraseRootFromParent_Done,
     /* 2322515 */ // Label 32166: @2322515
     /* 2322515 */ GIM_Reject,
     /* 2322516 */ // Label 32117: @2322516
     /* 2322516 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2322573), // Rule ID 58298 //
     /* 2322521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322535 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322535 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322538 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322542 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322547 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322554 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322572 */   // GIR_Coverage, 58298,
     /* 2322572 */   GIR_EraseRootFromParent_Done,
     /* 2322573 */ // Label 32167: @2322573
     /* 2322573 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2322630), // Rule ID 58299 //
     /* 2322578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322592 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322614 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322629 */   // GIR_Coverage, 58299,
     /* 2322629 */   GIR_EraseRootFromParent_Done,
     /* 2322630 */ // Label 32168: @2322630
     /* 2322630 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2322684), // Rule ID 58506 //
     /* 2322635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322649 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322683 */   // GIR_Coverage, 58506,
     /* 2322683 */   GIR_EraseRootFromParent_Done,
     /* 2322684 */ // Label 32169: @2322684
     /* 2322684 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2322738), // Rule ID 58507 //
     /* 2322689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322703 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322737 */   // GIR_Coverage, 58507,
     /* 2322737 */   GIR_EraseRootFromParent_Done,
     /* 2322738 */ // Label 32170: @2322738
     /* 2322738 */ GIM_Reject,
     /* 2322739 */ // Label 32118: @2322739
     /* 2322739 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2322796), // Rule ID 58282 //
     /* 2322744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322758 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322758 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322765 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322795 */   // GIR_Coverage, 58282,
     /* 2322795 */   GIR_EraseRootFromParent_Done,
     /* 2322796 */ // Label 32171: @2322796
     /* 2322796 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2322853), // Rule ID 58283 //
     /* 2322801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322815 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322837 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322852 */   // GIR_Coverage, 58283,
     /* 2322852 */   GIR_EraseRootFromParent_Done,
     /* 2322853 */ // Label 32172: @2322853
     /* 2322853 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2322907), // Rule ID 58466 //
     /* 2322858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322872 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322894 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322906 */   // GIR_Coverage, 58466,
     /* 2322906 */   GIR_EraseRootFromParent_Done,
     /* 2322907 */ // Label 32173: @2322907
     /* 2322907 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2322961), // Rule ID 58467 //
     /* 2322912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322926 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322938 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322945 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322948 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322960 */   // GIR_Coverage, 58467,
     /* 2322960 */   GIR_EraseRootFromParent_Done,
     /* 2322961 */ // Label 32174: @2322961
     /* 2322961 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2323018), // Rule ID 58698 //
     /* 2322966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322980 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2322997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323017 */   // GIR_Coverage, 58698,
     /* 2323017 */   GIR_EraseRootFromParent_Done,
     /* 2323018 */ // Label 32175: @2323018
     /* 2323018 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2323075), // Rule ID 58699 //
     /* 2323023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323037 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2323040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2323054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323074 */   // GIR_Coverage, 58699,
     /* 2323074 */   GIR_EraseRootFromParent_Done,
     /* 2323075 */ // Label 32176: @2323075
     /* 2323075 */ GIM_Reject,
     /* 2323076 */ // Label 32119: @2323076
     /* 2323076 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2323133), // Rule ID 58294 //
     /* 2323081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323095 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2323112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323132 */   // GIR_Coverage, 58294,
     /* 2323132 */   GIR_EraseRootFromParent_Done,
     /* 2323133 */ // Label 32177: @2323133
     /* 2323133 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2323190), // Rule ID 58295 //
     /* 2323138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323152 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323152 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323155 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323159 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2323169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323171 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323174 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323189 */   // GIR_Coverage, 58295,
     /* 2323189 */   GIR_EraseRootFromParent_Done,
     /* 2323190 */ // Label 32178: @2323190
     /* 2323190 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2323244), // Rule ID 58490 //
     /* 2323195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2323201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323209 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323209 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323212 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323216 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2323226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323231 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323243 */   // GIR_Coverage, 58490,
     /* 2323243 */   GIR_EraseRootFromParent_Done,
     /* 2323244 */ // Label 32179: @2323244
     /* 2323244 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2323298), // Rule ID 58491 //
     /* 2323249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2323255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323263 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2323280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323285 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323297 */   // GIR_Coverage, 58491,
     /* 2323297 */   GIR_EraseRootFromParent_Done,
     /* 2323298 */ // Label 32180: @2323298
     /* 2323298 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2323355), // Rule ID 58718 //
     /* 2323303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323317 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2323334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323339 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323354 */   // GIR_Coverage, 58718,
     /* 2323354 */   GIR_EraseRootFromParent_Done,
     /* 2323355 */ // Label 32181: @2323355
     /* 2323355 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2323412), // Rule ID 58719 //
     /* 2323360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323374 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2323391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323411 */   // GIR_Coverage, 58719,
     /* 2323411 */   GIR_EraseRootFromParent_Done,
     /* 2323412 */ // Label 32182: @2323412
     /* 2323412 */ GIM_Reject,
     /* 2323413 */ // Label 32120: @2323413
     /* 2323413 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2323470), // Rule ID 58326 //
     /* 2323418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323432 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323432 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323435 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323439 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323444 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323451 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323454 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323469 */   // GIR_Coverage, 58326,
     /* 2323469 */   GIR_EraseRootFromParent_Done,
     /* 2323470 */ // Label 32183: @2323470
     /* 2323470 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2323527), // Rule ID 58327 //
     /* 2323475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323489 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323526 */   // GIR_Coverage, 58327,
     /* 2323526 */   GIR_EraseRootFromParent_Done,
     /* 2323527 */ // Label 32184: @2323527
     /* 2323527 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2323581), // Rule ID 58510 //
     /* 2323532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323546 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323546 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323553 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323580 */   // GIR_Coverage, 58510,
     /* 2323580 */   GIR_EraseRootFromParent_Done,
     /* 2323581 */ // Label 32185: @2323581
     /* 2323581 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2323635), // Rule ID 58511 //
     /* 2323586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323600 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323634 */   // GIR_Coverage, 58511,
     /* 2323634 */   GIR_EraseRootFromParent_Done,
     /* 2323635 */ // Label 32186: @2323635
     /* 2323635 */ GIM_Reject,
     /* 2323636 */ // Label 32121: @2323636
     /* 2323636 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2323693), // Rule ID 58290 //
     /* 2323641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323655 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323655 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323662 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323667 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323674 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323677 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323692 */   // GIR_Coverage, 58290,
     /* 2323692 */   GIR_EraseRootFromParent_Done,
     /* 2323693 */ // Label 32187: @2323693
     /* 2323693 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2323750), // Rule ID 58291 //
     /* 2323698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323712 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323749 */   // GIR_Coverage, 58291,
     /* 2323749 */   GIR_EraseRootFromParent_Done,
     /* 2323750 */ // Label 32188: @2323750
     /* 2323750 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2323804), // Rule ID 58470 //
     /* 2323755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323769 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323803 */   // GIR_Coverage, 58470,
     /* 2323803 */   GIR_EraseRootFromParent_Done,
     /* 2323804 */ // Label 32189: @2323804
     /* 2323804 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2323858), // Rule ID 58471 //
     /* 2323809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323823 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323857 */   // GIR_Coverage, 58471,
     /* 2323857 */   GIR_EraseRootFromParent_Done,
     /* 2323858 */ // Label 32190: @2323858
     /* 2323858 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2323915), // Rule ID 58702 //
     /* 2323863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323877 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323914 */   // GIR_Coverage, 58702,
     /* 2323914 */   GIR_EraseRootFromParent_Done,
     /* 2323915 */ // Label 32191: @2323915
     /* 2323915 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2323972), // Rule ID 58703 //
     /* 2323920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323934 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323971 */   // GIR_Coverage, 58703,
     /* 2323971 */   GIR_EraseRootFromParent_Done,
     /* 2323972 */ // Label 32192: @2323972
     /* 2323972 */ GIM_Reject,
     /* 2323973 */ // Label 32122: @2323973
     /* 2323973 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2324030), // Rule ID 58314 //
     /* 2323978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323992 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2324009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324014 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324029 */   // GIR_Coverage, 58314,
     /* 2324029 */   GIR_EraseRootFromParent_Done,
     /* 2324030 */ // Label 32193: @2324030
     /* 2324030 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2324087), // Rule ID 58315 //
     /* 2324035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324049 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2324066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324068 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324086 */   // GIR_Coverage, 58315,
     /* 2324086 */   GIR_EraseRootFromParent_Done,
     /* 2324087 */ // Label 32194: @2324087
     /* 2324087 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2324141), // Rule ID 58494 //
     /* 2324092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2324098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324106 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2324123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324140 */   // GIR_Coverage, 58494,
     /* 2324140 */   GIR_EraseRootFromParent_Done,
     /* 2324141 */ // Label 32195: @2324141
     /* 2324141 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2324195), // Rule ID 58495 //
     /* 2324146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2324152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324160 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324172 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2324177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324179 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324182 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324194 */   // GIR_Coverage, 58495,
     /* 2324194 */   GIR_EraseRootFromParent_Done,
     /* 2324195 */ // Label 32196: @2324195
     /* 2324195 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2324252), // Rule ID 58722 //
     /* 2324200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324214 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2324231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324251 */   // GIR_Coverage, 58722,
     /* 2324251 */   GIR_EraseRootFromParent_Done,
     /* 2324252 */ // Label 32197: @2324252
     /* 2324252 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2324309), // Rule ID 58723 //
     /* 2324257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324271 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2324288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324308 */   // GIR_Coverage, 58723,
     /* 2324308 */   GIR_EraseRootFromParent_Done,
     /* 2324309 */ // Label 32198: @2324309
     /* 2324309 */ GIM_Reject,
     /* 2324310 */ // Label 32123: @2324310
     /* 2324310 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2324367), // Rule ID 58330 //
     /* 2324315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324329 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324341 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2324346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324348 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324366 */   // GIR_Coverage, 58330,
     /* 2324366 */   GIR_EraseRootFromParent_Done,
     /* 2324367 */ // Label 32199: @2324367
     /* 2324367 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2324424), // Rule ID 58331 //
     /* 2324372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324386 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324398 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2324403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324408 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324423 */   // GIR_Coverage, 58331,
     /* 2324423 */   GIR_EraseRootFromParent_Done,
     /* 2324424 */ // Label 32200: @2324424
     /* 2324424 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2324478), // Rule ID 58514 //
     /* 2324429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324443 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324455 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324477 */   // GIR_Coverage, 58514,
     /* 2324477 */   GIR_EraseRootFromParent_Done,
     /* 2324478 */ // Label 32201: @2324478
     /* 2324478 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2324532), // Rule ID 58515 //
     /* 2324483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324497 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324531 */   // GIR_Coverage, 58515,
     /* 2324531 */   GIR_EraseRootFromParent_Done,
     /* 2324532 */ // Label 32202: @2324532
     /* 2324532 */ GIM_Reject,
     /* 2324533 */ // Label 32124: @2324533
     /* 2324533 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2324590), // Rule ID 58302 //
     /* 2324538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324552 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324589 */   // GIR_Coverage, 58302,
     /* 2324589 */   GIR_EraseRootFromParent_Done,
     /* 2324590 */ // Label 32203: @2324590
     /* 2324590 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2324647), // Rule ID 58303 //
     /* 2324595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324609 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324646 */   // GIR_Coverage, 58303,
     /* 2324646 */   GIR_EraseRootFromParent_Done,
     /* 2324647 */ // Label 32204: @2324647
     /* 2324647 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2324701), // Rule ID 58474 //
     /* 2324652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324666 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324700 */   // GIR_Coverage, 58474,
     /* 2324700 */   GIR_EraseRootFromParent_Done,
     /* 2324701 */ // Label 32205: @2324701
     /* 2324701 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2324755), // Rule ID 58475 //
     /* 2324706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324720 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324754 */   // GIR_Coverage, 58475,
     /* 2324754 */   GIR_EraseRootFromParent_Done,
     /* 2324755 */ // Label 32206: @2324755
     /* 2324755 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2324812), // Rule ID 58706 //
     /* 2324760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324774 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324811 */   // GIR_Coverage, 58706,
     /* 2324811 */   GIR_EraseRootFromParent_Done,
     /* 2324812 */ // Label 32207: @2324812
     /* 2324812 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2324869), // Rule ID 58707 //
     /* 2324817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324831 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324868 */   // GIR_Coverage, 58707,
     /* 2324868 */   GIR_EraseRootFromParent_Done,
     /* 2324869 */ // Label 32208: @2324869
     /* 2324869 */ GIM_Reject,
     /* 2324870 */ // Label 32125: @2324870
     /* 2324870 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2324927), // Rule ID 58318 //
     /* 2324875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324889 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324889 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324892 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324896 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324901 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324908 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324911 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324926 */   // GIR_Coverage, 58318,
     /* 2324926 */   GIR_EraseRootFromParent_Done,
     /* 2324927 */ // Label 32209: @2324927
     /* 2324927 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2324984), // Rule ID 58319 //
     /* 2324932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324946 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324946 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324949 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324953 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324968 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324983 */   // GIR_Coverage, 58319,
     /* 2324983 */   GIR_EraseRootFromParent_Done,
     /* 2324984 */ // Label 32210: @2324984
     /* 2324984 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2325038), // Rule ID 58498 //
     /* 2324989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325003 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2325020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325037 */   // GIR_Coverage, 58498,
     /* 2325037 */   GIR_EraseRootFromParent_Done,
     /* 2325038 */ // Label 32211: @2325038
     /* 2325038 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2325092), // Rule ID 58499 //
     /* 2325043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2325049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325057 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2325074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325076 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325079 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325091 */   // GIR_Coverage, 58499,
     /* 2325091 */   GIR_EraseRootFromParent_Done,
     /* 2325092 */ // Label 32212: @2325092
     /* 2325092 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2325149), // Rule ID 58726 //
     /* 2325097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2325100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325111 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2325128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325148 */   // GIR_Coverage, 58726,
     /* 2325148 */   GIR_EraseRootFromParent_Done,
     /* 2325149 */ // Label 32213: @2325149
     /* 2325149 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2325206), // Rule ID 58727 //
     /* 2325154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2325157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325168 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2325185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325205 */   // GIR_Coverage, 58727,
     /* 2325205 */   GIR_EraseRootFromParent_Done,
     /* 2325206 */ // Label 32214: @2325206
     /* 2325206 */ GIM_Reject,
     /* 2325207 */ // Label 32126: @2325207
     /* 2325207 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2325264), // Rule ID 58334 //
     /* 2325212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2325215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325226 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325226 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325233 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325238 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2325243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325245 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325248 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325263 */   // GIR_Coverage, 58334,
     /* 2325263 */   GIR_EraseRootFromParent_Done,
     /* 2325264 */ // Label 32215: @2325264
     /* 2325264 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2325321), // Rule ID 58335 //
     /* 2325269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2325272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325283 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325283 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325286 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325290 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2325300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325302 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325305 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325320 */   // GIR_Coverage, 58335,
     /* 2325320 */   GIR_EraseRootFromParent_Done,
     /* 2325321 */ // Label 32216: @2325321
     /* 2325321 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2325375), // Rule ID 58518 //
     /* 2325326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2325329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325340 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2325357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325362 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325374 */   // GIR_Coverage, 58518,
     /* 2325374 */   GIR_EraseRootFromParent_Done,
     /* 2325375 */ // Label 32217: @2325375
     /* 2325375 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2325429), // Rule ID 58519 //
     /* 2325380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2325383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325394 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325394 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325397 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325401 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325406 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2325411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325428 */   // GIR_Coverage, 58519,
     /* 2325428 */   GIR_EraseRootFromParent_Done,
     /* 2325429 */ // Label 32218: @2325429
     /* 2325429 */ GIM_Reject,
     /* 2325430 */ // Label 32127: @2325430
     /* 2325430 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2325487), // Rule ID 58306 //
     /* 2325435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325449 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325486 */   // GIR_Coverage, 58306,
     /* 2325486 */   GIR_EraseRootFromParent_Done,
     /* 2325487 */ // Label 32219: @2325487
     /* 2325487 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2325544), // Rule ID 58307 //
     /* 2325492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325506 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325525 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325528 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325543 */   // GIR_Coverage, 58307,
     /* 2325543 */   GIR_EraseRootFromParent_Done,
     /* 2325544 */ // Label 32220: @2325544
     /* 2325544 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2325598), // Rule ID 58478 //
     /* 2325549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325563 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325597 */   // GIR_Coverage, 58478,
     /* 2325597 */   GIR_EraseRootFromParent_Done,
     /* 2325598 */ // Label 32221: @2325598
     /* 2325598 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2325652), // Rule ID 58479 //
     /* 2325603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325617 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325651 */   // GIR_Coverage, 58479,
     /* 2325651 */   GIR_EraseRootFromParent_Done,
     /* 2325652 */ // Label 32222: @2325652
     /* 2325652 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2325709), // Rule ID 58710 //
     /* 2325657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325671 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325708 */   // GIR_Coverage, 58710,
     /* 2325708 */   GIR_EraseRootFromParent_Done,
     /* 2325709 */ // Label 32223: @2325709
     /* 2325709 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2325766), // Rule ID 58711 //
     /* 2325714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325728 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325765 */   // GIR_Coverage, 58711,
     /* 2325765 */   GIR_EraseRootFromParent_Done,
     /* 2325766 */ // Label 32224: @2325766
     /* 2325766 */ GIM_Reject,
     /* 2325767 */ // Label 32128: @2325767
     /* 2325767 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2325824), // Rule ID 58322 //
     /* 2325772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325786 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325798 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325808 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325823 */   // GIR_Coverage, 58322,
     /* 2325823 */   GIR_EraseRootFromParent_Done,
     /* 2325824 */ // Label 32225: @2325824
     /* 2325824 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2325881), // Rule ID 58323 //
     /* 2325829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325843 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325843 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325846 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325850 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325862 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325880 */   // GIR_Coverage, 58323,
     /* 2325880 */   GIR_EraseRootFromParent_Done,
     /* 2325881 */ // Label 32226: @2325881
     /* 2325881 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2325935), // Rule ID 58502 //
     /* 2325886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325900 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325912 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325919 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325934 */   // GIR_Coverage, 58502,
     /* 2325934 */   GIR_EraseRootFromParent_Done,
     /* 2325935 */ // Label 32227: @2325935
     /* 2325935 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2325989), // Rule ID 58503 //
     /* 2325940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325954 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325988 */   // GIR_Coverage, 58503,
     /* 2325988 */   GIR_EraseRootFromParent_Done,
     /* 2325989 */ // Label 32228: @2325989
     /* 2325989 */ GIM_Reject,
     /* 2325990 */ // Label 32129: @2325990
     /* 2325990 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2326047), // Rule ID 58310 //
     /* 2325995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326009 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2326026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326046 */   // GIR_Coverage, 58310,
     /* 2326046 */   GIR_EraseRootFromParent_Done,
     /* 2326047 */ // Label 32229: @2326047
     /* 2326047 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2326104), // Rule ID 58311 //
     /* 2326052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326066 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2326083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326103 */   // GIR_Coverage, 58311,
     /* 2326103 */   GIR_EraseRootFromParent_Done,
     /* 2326104 */ // Label 32230: @2326104
     /* 2326104 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2326158), // Rule ID 58482 //
     /* 2326109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2326115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326123 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2326140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326157 */   // GIR_Coverage, 58482,
     /* 2326157 */   GIR_EraseRootFromParent_Done,
     /* 2326158 */ // Label 32231: @2326158
     /* 2326158 */ GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2326212), // Rule ID 58483 //
     /* 2326163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2326169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326177 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326189 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2326194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326199 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326211 */   // GIR_Coverage, 58483,
     /* 2326211 */   GIR_EraseRootFromParent_Done,
     /* 2326212 */ // Label 32232: @2326212
     /* 2326212 */ GIM_Reject,
     /* 2326213 */ // Label 32130: @2326213
     /* 2326213 */ GIM_Reject,
     /* 2326214 */ // Label 70: @2326214
     /* 2326214 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32251*/ GIMT_Encode4(2331499),
     /* 2326225 */ /*GILLT_s16*//*Label 32233*/ GIMT_Encode4(2326345),
     /* 2326229 */ /*GILLT_s32*//*Label 32234*/ GIMT_Encode4(2326606),
     /* 2326233 */ /*GILLT_s64*//*Label 32235*/ GIMT_Encode4(2326867), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326245 */ /*GILLT_nxv1s16*//*Label 32236*/ GIMT_Encode4(2327128),
     /* 2326249 */ /*GILLT_nxv1s32*//*Label 32237*/ GIMT_Encode4(2327465),
     /* 2326253 */ /*GILLT_nxv1s64*//*Label 32238*/ GIMT_Encode4(2327802), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326265 */ /*GILLT_nxv2s16*//*Label 32239*/ GIMT_Encode4(2328025),
     /* 2326269 */ /*GILLT_nxv2s32*//*Label 32240*/ GIMT_Encode4(2328362),
     /* 2326273 */ /*GILLT_nxv2s64*//*Label 32241*/ GIMT_Encode4(2328699), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326285 */ /*GILLT_nxv4s16*//*Label 32242*/ GIMT_Encode4(2328922),
     /* 2326289 */ /*GILLT_nxv4s32*//*Label 32243*/ GIMT_Encode4(2329259),
     /* 2326293 */ /*GILLT_nxv4s64*//*Label 32244*/ GIMT_Encode4(2329596), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326305 */ /*GILLT_nxv8s16*//*Label 32245*/ GIMT_Encode4(2329819),
     /* 2326309 */ /*GILLT_nxv8s32*//*Label 32246*/ GIMT_Encode4(2330156),
     /* 2326313 */ /*GILLT_nxv8s64*//*Label 32247*/ GIMT_Encode4(2330493), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326325 */ /*GILLT_nxv16s16*//*Label 32248*/ GIMT_Encode4(2330716),
     /* 2326329 */ /*GILLT_nxv16s32*//*Label 32249*/ GIMT_Encode4(2331053), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326341 */ /*GILLT_nxv32s16*//*Label 32250*/ GIMT_Encode4(2331276),
     /* 2326345 */ // Label 32233: @2326345
     /* 2326345 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2326382), // Rule ID 2153 //
     /* 2326350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326360 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326367 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326381 */   // GIR_Coverage, 2153,
     /* 2326381 */   GIR_EraseRootFromParent_Done,
     /* 2326382 */ // Label 32252: @2326382
     /* 2326382 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2326419), // Rule ID 2179 //
     /* 2326387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326397 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326404 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326418 */   // GIR_Coverage, 2179,
     /* 2326418 */   GIR_EraseRootFromParent_Done,
     /* 2326419 */ // Label 32253: @2326419
     /* 2326419 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2326450), // Rule ID 2104 //
     /* 2326424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2326427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326438 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326449 */   // GIR_Coverage, 2104,
     /* 2326449 */   GIR_EraseRootFromParent_Done,
     /* 2326450 */ // Label 32254: @2326450
     /* 2326450 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2326481), // Rule ID 2105 //
     /* 2326455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2326458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326469 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326480 */   // GIR_Coverage, 2105,
     /* 2326480 */   GIR_EraseRootFromParent_Done,
     /* 2326481 */ // Label 32255: @2326481
     /* 2326481 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2326512), // Rule ID 2130 //
     /* 2326486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2326489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326500 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326511 */   // GIR_Coverage, 2130,
     /* 2326511 */   GIR_EraseRootFromParent_Done,
     /* 2326512 */ // Label 32256: @2326512
     /* 2326512 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2326543), // Rule ID 2131 //
     /* 2326517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2326520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326531 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326542 */   // GIR_Coverage, 2131,
     /* 2326542 */   GIR_EraseRootFromParent_Done,
     /* 2326543 */ // Label 32257: @2326543
     /* 2326543 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2326574), // Rule ID 2157 //
     /* 2326548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326562 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2326565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326573 */   // GIR_Coverage, 2157,
     /* 2326573 */   GIR_EraseRootFromParent_Done,
     /* 2326574 */ // Label 32258: @2326574
     /* 2326574 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2326605), // Rule ID 2183 //
     /* 2326579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326593 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2326596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326604 */   // GIR_Coverage, 2183,
     /* 2326604 */   GIR_EraseRootFromParent_Done,
     /* 2326605 */ // Label 32259: @2326605
     /* 2326605 */ GIM_Reject,
     /* 2326606 */ // Label 32234: @2326606
     /* 2326606 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2326643), // Rule ID 1419 //
     /* 2326611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326628 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326642 */   // GIR_Coverage, 1419,
     /* 2326642 */   GIR_EraseRootFromParent_Done,
     /* 2326643 */ // Label 32260: @2326643
     /* 2326643 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2326680), // Rule ID 1447 //
     /* 2326648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326658 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326665 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326670 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326679 */   // GIR_Coverage, 1447,
     /* 2326679 */   GIR_EraseRootFromParent_Done,
     /* 2326680 */ // Label 32261: @2326680
     /* 2326680 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2326711), // Rule ID 1368 //
     /* 2326685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2326688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326699 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326710 */   // GIR_Coverage, 1368,
     /* 2326710 */   GIR_EraseRootFromParent_Done,
     /* 2326711 */ // Label 32262: @2326711
     /* 2326711 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2326742), // Rule ID 1369 //
     /* 2326716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2326719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326730 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326735 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326741 */   // GIR_Coverage, 1369,
     /* 2326741 */   GIR_EraseRootFromParent_Done,
     /* 2326742 */ // Label 32263: @2326742
     /* 2326742 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2326773), // Rule ID 1394 //
     /* 2326747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2326750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326761 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326772 */   // GIR_Coverage, 1394,
     /* 2326772 */   GIR_EraseRootFromParent_Done,
     /* 2326773 */ // Label 32264: @2326773
     /* 2326773 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2326804), // Rule ID 1395 //
     /* 2326778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2326781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326792 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326797 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326803 */   // GIR_Coverage, 1395,
     /* 2326803 */   GIR_EraseRootFromParent_Done,
     /* 2326804 */ // Label 32265: @2326804
     /* 2326804 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2326835), // Rule ID 1423 //
     /* 2326809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326823 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2326826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326834 */   // GIR_Coverage, 1423,
     /* 2326834 */   GIR_EraseRootFromParent_Done,
     /* 2326835 */ // Label 32266: @2326835
     /* 2326835 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2326866), // Rule ID 1451 //
     /* 2326840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326854 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2326857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326865 */   // GIR_Coverage, 1451,
     /* 2326865 */   GIR_EraseRootFromParent_Done,
     /* 2326866 */ // Label 32267: @2326866
     /* 2326866 */ GIM_Reject,
     /* 2326867 */ // Label 32235: @2326867
     /* 2326867 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2326904), // Rule ID 1799 //
     /* 2326872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326882 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326889 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326903 */   // GIR_Coverage, 1799,
     /* 2326903 */   GIR_EraseRootFromParent_Done,
     /* 2326904 */ // Label 32268: @2326904
     /* 2326904 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2326941), // Rule ID 1827 //
     /* 2326909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326919 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326926 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2326929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326940 */   // GIR_Coverage, 1827,
     /* 2326940 */   GIR_EraseRootFromParent_Done,
     /* 2326941 */ // Label 32269: @2326941
     /* 2326941 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2326972), // Rule ID 1762 //
     /* 2326946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2326949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326960 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326971 */   // GIR_Coverage, 1762,
     /* 2326971 */   GIR_EraseRootFromParent_Done,
     /* 2326972 */ // Label 32270: @2326972
     /* 2326972 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2327003), // Rule ID 1763 //
     /* 2326977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2326980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326991 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326996 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327002 */   // GIR_Coverage, 1763,
     /* 2327002 */   GIR_EraseRootFromParent_Done,
     /* 2327003 */ // Label 32271: @2327003
     /* 2327003 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2327034), // Rule ID 1788 //
     /* 2327008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2327011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327022 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2327022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2327025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327033 */   // GIR_Coverage, 1788,
     /* 2327033 */   GIR_EraseRootFromParent_Done,
     /* 2327034 */ // Label 32272: @2327034
     /* 2327034 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2327065), // Rule ID 1789 //
     /* 2327039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2327042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327053 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2327053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2327056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327064 */   // GIR_Coverage, 1789,
     /* 2327064 */   GIR_EraseRootFromParent_Done,
     /* 2327065 */ // Label 32273: @2327065
     /* 2327065 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2327096), // Rule ID 1817 //
     /* 2327070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2327073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2327076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327084 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2327084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2327087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327095 */   // GIR_Coverage, 1817,
     /* 2327095 */   GIR_EraseRootFromParent_Done,
     /* 2327096 */ // Label 32274: @2327096
     /* 2327096 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2327127), // Rule ID 1845 //
     /* 2327101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2327104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2327107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327115 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2327115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2327118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327126 */   // GIR_Coverage, 1845,
     /* 2327126 */   GIR_EraseRootFromParent_Done,
     /* 2327127 */ // Label 32275: @2327127
     /* 2327127 */ GIM_Reject,
     /* 2327128 */ // Label 32236: @2327128
     /* 2327128 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2327185), // Rule ID 58338 //
     /* 2327133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327147 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2327164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327184 */   // GIR_Coverage, 58338,
     /* 2327184 */   GIR_EraseRootFromParent_Done,
     /* 2327185 */ // Label 32276: @2327185
     /* 2327185 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2327242), // Rule ID 58339 //
     /* 2327190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327204 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2327221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327241 */   // GIR_Coverage, 58339,
     /* 2327241 */   GIR_EraseRootFromParent_Done,
     /* 2327242 */ // Label 32277: @2327242
     /* 2327242 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2327296), // Rule ID 58522 //
     /* 2327247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2327253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327261 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2327278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327295 */   // GIR_Coverage, 58522,
     /* 2327295 */   GIR_EraseRootFromParent_Done,
     /* 2327296 */ // Label 32278: @2327296
     /* 2327296 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2327350), // Rule ID 58523 //
     /* 2327301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2327307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327315 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2327332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327349 */   // GIR_Coverage, 58523,
     /* 2327349 */   GIR_EraseRootFromParent_Done,
     /* 2327350 */ // Label 32279: @2327350
     /* 2327350 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2327407), // Rule ID 58730 //
     /* 2327355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327369 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327406 */   // GIR_Coverage, 58730,
     /* 2327406 */   GIR_EraseRootFromParent_Done,
     /* 2327407 */ // Label 32280: @2327407
     /* 2327407 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2327464), // Rule ID 58731 //
     /* 2327412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327426 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327448 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327463 */   // GIR_Coverage, 58731,
     /* 2327463 */   GIR_EraseRootFromParent_Done,
     /* 2327464 */ // Label 32281: @2327464
     /* 2327464 */ GIM_Reject,
     /* 2327465 */ // Label 32237: @2327465
     /* 2327465 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2327522), // Rule ID 58346 //
     /* 2327470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327484 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327484 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327487 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327491 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327496 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327503 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327521 */   // GIR_Coverage, 58346,
     /* 2327521 */   GIR_EraseRootFromParent_Done,
     /* 2327522 */ // Label 32282: @2327522
     /* 2327522 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2327579), // Rule ID 58347 //
     /* 2327527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327541 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327578 */   // GIR_Coverage, 58347,
     /* 2327578 */   GIR_EraseRootFromParent_Done,
     /* 2327579 */ // Label 32283: @2327579
     /* 2327579 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2327633), // Rule ID 58546 //
     /* 2327584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327598 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327632 */   // GIR_Coverage, 58546,
     /* 2327632 */   GIR_EraseRootFromParent_Done,
     /* 2327633 */ // Label 32284: @2327633
     /* 2327633 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2327687), // Rule ID 58547 //
     /* 2327638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327652 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327652 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327655 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327659 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327671 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327674 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327686 */   // GIR_Coverage, 58547,
     /* 2327686 */   GIR_EraseRootFromParent_Done,
     /* 2327687 */ // Label 32285: @2327687
     /* 2327687 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2327744), // Rule ID 58750 //
     /* 2327692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327706 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327743 */   // GIR_Coverage, 58750,
     /* 2327743 */   GIR_EraseRootFromParent_Done,
     /* 2327744 */ // Label 32286: @2327744
     /* 2327744 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2327801), // Rule ID 58751 //
     /* 2327749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327763 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327785 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327800 */   // GIR_Coverage, 58751,
     /* 2327800 */   GIR_EraseRootFromParent_Done,
     /* 2327801 */ // Label 32287: @2327801
     /* 2327801 */ GIM_Reject,
     /* 2327802 */ // Label 32238: @2327802
     /* 2327802 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2327859), // Rule ID 58358 //
     /* 2327807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327821 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327821 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327824 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327828 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327833 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327840 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327843 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327858 */   // GIR_Coverage, 58358,
     /* 2327858 */   GIR_EraseRootFromParent_Done,
     /* 2327859 */ // Label 32288: @2327859
     /* 2327859 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2327916), // Rule ID 58359 //
     /* 2327864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327878 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327890 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327900 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327915 */   // GIR_Coverage, 58359,
     /* 2327915 */   GIR_EraseRootFromParent_Done,
     /* 2327916 */ // Label 32289: @2327916
     /* 2327916 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2327970), // Rule ID 58566 //
     /* 2327921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327935 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327957 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327969 */   // GIR_Coverage, 58566,
     /* 2327969 */   GIR_EraseRootFromParent_Done,
     /* 2327970 */ // Label 32290: @2327970
     /* 2327970 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2328024), // Rule ID 58567 //
     /* 2327975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327989 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328001 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2328006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328008 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328023 */   // GIR_Coverage, 58567,
     /* 2328023 */   GIR_EraseRootFromParent_Done,
     /* 2328024 */ // Label 32291: @2328024
     /* 2328024 */ GIM_Reject,
     /* 2328025 */ // Label 32239: @2328025
     /* 2328025 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2328082), // Rule ID 58342 //
     /* 2328030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328044 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328044 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328047 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328051 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328056 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2328061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328063 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328081 */   // GIR_Coverage, 58342,
     /* 2328081 */   GIR_EraseRootFromParent_Done,
     /* 2328082 */ // Label 32292: @2328082
     /* 2328082 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2328139), // Rule ID 58343 //
     /* 2328087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328101 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328113 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2328118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328120 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328138 */   // GIR_Coverage, 58343,
     /* 2328138 */   GIR_EraseRootFromParent_Done,
     /* 2328139 */ // Label 32293: @2328139
     /* 2328139 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2328193), // Rule ID 58526 //
     /* 2328144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2328150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328158 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2328175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328192 */   // GIR_Coverage, 58526,
     /* 2328192 */   GIR_EraseRootFromParent_Done,
     /* 2328193 */ // Label 32294: @2328193
     /* 2328193 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2328247), // Rule ID 58527 //
     /* 2328198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2328204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328212 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2328229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328246 */   // GIR_Coverage, 58527,
     /* 2328246 */   GIR_EraseRootFromParent_Done,
     /* 2328247 */ // Label 32295: @2328247
     /* 2328247 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2328304), // Rule ID 58734 //
     /* 2328252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328266 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2328283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328303 */   // GIR_Coverage, 58734,
     /* 2328303 */   GIR_EraseRootFromParent_Done,
     /* 2328304 */ // Label 32296: @2328304
     /* 2328304 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2328361), // Rule ID 58735 //
     /* 2328309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328323 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2328340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328360 */   // GIR_Coverage, 58735,
     /* 2328360 */   GIR_EraseRootFromParent_Done,
     /* 2328361 */ // Label 32297: @2328361
     /* 2328361 */ GIM_Reject,
     /* 2328362 */ // Label 32240: @2328362
     /* 2328362 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2328419), // Rule ID 58354 //
     /* 2328367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328381 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328418 */   // GIR_Coverage, 58354,
     /* 2328418 */   GIR_EraseRootFromParent_Done,
     /* 2328419 */ // Label 32298: @2328419
     /* 2328419 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2328476), // Rule ID 58355 //
     /* 2328424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328438 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328475 */   // GIR_Coverage, 58355,
     /* 2328475 */   GIR_EraseRootFromParent_Done,
     /* 2328476 */ // Label 32299: @2328476
     /* 2328476 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2328530), // Rule ID 58550 //
     /* 2328481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328495 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328529 */   // GIR_Coverage, 58550,
     /* 2328529 */   GIR_EraseRootFromParent_Done,
     /* 2328530 */ // Label 32300: @2328530
     /* 2328530 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2328584), // Rule ID 58551 //
     /* 2328535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328549 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328583 */   // GIR_Coverage, 58551,
     /* 2328583 */   GIR_EraseRootFromParent_Done,
     /* 2328584 */ // Label 32301: @2328584
     /* 2328584 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2328641), // Rule ID 58754 //
     /* 2328589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328603 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328640 */   // GIR_Coverage, 58754,
     /* 2328640 */   GIR_EraseRootFromParent_Done,
     /* 2328641 */ // Label 32302: @2328641
     /* 2328641 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2328698), // Rule ID 58755 //
     /* 2328646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328660 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328697 */   // GIR_Coverage, 58755,
     /* 2328697 */   GIR_EraseRootFromParent_Done,
     /* 2328698 */ // Label 32303: @2328698
     /* 2328698 */ GIM_Reject,
     /* 2328699 */ // Label 32241: @2328699
     /* 2328699 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2328756), // Rule ID 58386 //
     /* 2328704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328718 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328740 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328755 */   // GIR_Coverage, 58386,
     /* 2328755 */   GIR_EraseRootFromParent_Done,
     /* 2328756 */ // Label 32304: @2328756
     /* 2328756 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2328813), // Rule ID 58387 //
     /* 2328761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328775 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328775 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328778 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328782 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328797 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328812 */   // GIR_Coverage, 58387,
     /* 2328812 */   GIR_EraseRootFromParent_Done,
     /* 2328813 */ // Label 32305: @2328813
     /* 2328813 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2328867), // Rule ID 58570 //
     /* 2328818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328832 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328832 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328835 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328839 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328844 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328851 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328854 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328866 */   // GIR_Coverage, 58570,
     /* 2328866 */   GIR_EraseRootFromParent_Done,
     /* 2328867 */ // Label 32306: @2328867
     /* 2328867 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2328921), // Rule ID 58571 //
     /* 2328872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328886 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328898 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328908 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328920 */   // GIR_Coverage, 58571,
     /* 2328920 */   GIR_EraseRootFromParent_Done,
     /* 2328921 */ // Label 32307: @2328921
     /* 2328921 */ GIM_Reject,
     /* 2328922 */ // Label 32242: @2328922
     /* 2328922 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2328979), // Rule ID 58350 //
     /* 2328927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328941 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328978 */   // GIR_Coverage, 58350,
     /* 2328978 */   GIR_EraseRootFromParent_Done,
     /* 2328979 */ // Label 32308: @2328979
     /* 2328979 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2329036), // Rule ID 58351 //
     /* 2328984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328998 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2329015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329020 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329035 */   // GIR_Coverage, 58351,
     /* 2329035 */   GIR_EraseRootFromParent_Done,
     /* 2329036 */ // Label 32309: @2329036
     /* 2329036 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2329090), // Rule ID 58530 //
     /* 2329041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2329047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329055 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329055 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329058 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329062 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2329072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329074 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329077 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329089 */   // GIR_Coverage, 58530,
     /* 2329089 */   GIR_EraseRootFromParent_Done,
     /* 2329090 */ // Label 32310: @2329090
     /* 2329090 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2329144), // Rule ID 58531 //
     /* 2329095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2329101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329109 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329121 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2329126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329128 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329131 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329143 */   // GIR_Coverage, 58531,
     /* 2329143 */   GIR_EraseRootFromParent_Done,
     /* 2329144 */ // Label 32311: @2329144
     /* 2329144 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2329201), // Rule ID 58738 //
     /* 2329149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329163 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329163 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329170 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2329180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329200 */   // GIR_Coverage, 58738,
     /* 2329200 */   GIR_EraseRootFromParent_Done,
     /* 2329201 */ // Label 32312: @2329201
     /* 2329201 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2329258), // Rule ID 58739 //
     /* 2329206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329220 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2329237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329257 */   // GIR_Coverage, 58739,
     /* 2329257 */   GIR_EraseRootFromParent_Done,
     /* 2329258 */ // Label 32313: @2329258
     /* 2329258 */ GIM_Reject,
     /* 2329259 */ // Label 32243: @2329259
     /* 2329259 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2329316), // Rule ID 58374 //
     /* 2329264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329278 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329278 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329281 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329285 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2329295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329300 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329315 */   // GIR_Coverage, 58374,
     /* 2329315 */   GIR_EraseRootFromParent_Done,
     /* 2329316 */ // Label 32314: @2329316
     /* 2329316 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2329373), // Rule ID 58375 //
     /* 2329321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329335 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2329352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329372 */   // GIR_Coverage, 58375,
     /* 2329372 */   GIR_EraseRootFromParent_Done,
     /* 2329373 */ // Label 32315: @2329373
     /* 2329373 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2329427), // Rule ID 58554 //
     /* 2329378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329392 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329426 */   // GIR_Coverage, 58554,
     /* 2329426 */   GIR_EraseRootFromParent_Done,
     /* 2329427 */ // Label 32316: @2329427
     /* 2329427 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2329481), // Rule ID 58555 //
     /* 2329432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329446 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329480 */   // GIR_Coverage, 58555,
     /* 2329480 */   GIR_EraseRootFromParent_Done,
     /* 2329481 */ // Label 32317: @2329481
     /* 2329481 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2329538), // Rule ID 58758 //
     /* 2329486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329500 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329537 */   // GIR_Coverage, 58758,
     /* 2329537 */   GIR_EraseRootFromParent_Done,
     /* 2329538 */ // Label 32318: @2329538
     /* 2329538 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2329595), // Rule ID 58759 //
     /* 2329543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329557 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329594 */   // GIR_Coverage, 58759,
     /* 2329594 */   GIR_EraseRootFromParent_Done,
     /* 2329595 */ // Label 32319: @2329595
     /* 2329595 */ GIM_Reject,
     /* 2329596 */ // Label 32244: @2329596
     /* 2329596 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2329653), // Rule ID 58390 //
     /* 2329601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329615 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329652 */   // GIR_Coverage, 58390,
     /* 2329652 */   GIR_EraseRootFromParent_Done,
     /* 2329653 */ // Label 32320: @2329653
     /* 2329653 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2329710), // Rule ID 58391 //
     /* 2329658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329672 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329672 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329675 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329679 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329694 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329709 */   // GIR_Coverage, 58391,
     /* 2329709 */   GIR_EraseRootFromParent_Done,
     /* 2329710 */ // Label 32321: @2329710
     /* 2329710 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2329764), // Rule ID 58574 //
     /* 2329715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329729 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329729 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329732 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329736 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329741 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329748 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329751 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329763 */   // GIR_Coverage, 58574,
     /* 2329763 */   GIR_EraseRootFromParent_Done,
     /* 2329764 */ // Label 32322: @2329764
     /* 2329764 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2329818), // Rule ID 58575 //
     /* 2329769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329783 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329783 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329786 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329790 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329802 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329805 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329817 */   // GIR_Coverage, 58575,
     /* 2329817 */   GIR_EraseRootFromParent_Done,
     /* 2329818 */ // Label 32323: @2329818
     /* 2329818 */ GIM_Reject,
     /* 2329819 */ // Label 32245: @2329819
     /* 2329819 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2329876), // Rule ID 58362 //
     /* 2329824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329838 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329838 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329841 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329845 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329875 */   // GIR_Coverage, 58362,
     /* 2329875 */   GIR_EraseRootFromParent_Done,
     /* 2329876 */ // Label 32324: @2329876
     /* 2329876 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2329933), // Rule ID 58363 //
     /* 2329881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329895 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329932 */   // GIR_Coverage, 58363,
     /* 2329932 */   GIR_EraseRootFromParent_Done,
     /* 2329933 */ // Label 32325: @2329933
     /* 2329933 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2329987), // Rule ID 58534 //
     /* 2329938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329952 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329986 */   // GIR_Coverage, 58534,
     /* 2329986 */   GIR_EraseRootFromParent_Done,
     /* 2329987 */ // Label 32326: @2329987
     /* 2329987 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2330041), // Rule ID 58535 //
     /* 2329992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330006 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2330023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330025 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330028 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330040 */   // GIR_Coverage, 58535,
     /* 2330040 */   GIR_EraseRootFromParent_Done,
     /* 2330041 */ // Label 32327: @2330041
     /* 2330041 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2330098), // Rule ID 58742 //
     /* 2330046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330060 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2330077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330097 */   // GIR_Coverage, 58742,
     /* 2330097 */   GIR_EraseRootFromParent_Done,
     /* 2330098 */ // Label 32328: @2330098
     /* 2330098 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2330155), // Rule ID 58743 //
     /* 2330103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330117 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2330134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330154 */   // GIR_Coverage, 58743,
     /* 2330154 */   GIR_EraseRootFromParent_Done,
     /* 2330155 */ // Label 32329: @2330155
     /* 2330155 */ GIM_Reject,
     /* 2330156 */ // Label 32246: @2330156
     /* 2330156 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2330213), // Rule ID 58378 //
     /* 2330161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330175 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2330192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330197 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330212 */   // GIR_Coverage, 58378,
     /* 2330212 */   GIR_EraseRootFromParent_Done,
     /* 2330213 */ // Label 32330: @2330213
     /* 2330213 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2330270), // Rule ID 58379 //
     /* 2330218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330232 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2330249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330269 */   // GIR_Coverage, 58379,
     /* 2330269 */   GIR_EraseRootFromParent_Done,
     /* 2330270 */ // Label 32331: @2330270
     /* 2330270 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2330324), // Rule ID 58558 //
     /* 2330275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330289 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330289 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330292 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330296 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2330306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330323 */   // GIR_Coverage, 58558,
     /* 2330323 */   GIR_EraseRootFromParent_Done,
     /* 2330324 */ // Label 32332: @2330324
     /* 2330324 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2330378), // Rule ID 58559 //
     /* 2330329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330343 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2330360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330377 */   // GIR_Coverage, 58559,
     /* 2330377 */   GIR_EraseRootFromParent_Done,
     /* 2330378 */ // Label 32333: @2330378
     /* 2330378 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2330435), // Rule ID 58762 //
     /* 2330383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2330386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330397 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330434 */   // GIR_Coverage, 58762,
     /* 2330434 */   GIR_EraseRootFromParent_Done,
     /* 2330435 */ // Label 32334: @2330435
     /* 2330435 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2330492), // Rule ID 58763 //
     /* 2330440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330454 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330491 */   // GIR_Coverage, 58763,
     /* 2330491 */   GIR_EraseRootFromParent_Done,
     /* 2330492 */ // Label 32335: @2330492
     /* 2330492 */ GIM_Reject,
     /* 2330493 */ // Label 32247: @2330493
     /* 2330493 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2330550), // Rule ID 58394 //
     /* 2330498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330512 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330549 */   // GIR_Coverage, 58394,
     /* 2330549 */   GIR_EraseRootFromParent_Done,
     /* 2330550 */ // Label 32336: @2330550
     /* 2330550 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2330607), // Rule ID 58395 //
     /* 2330555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330569 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330569 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330572 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330576 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330581 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330588 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330591 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330606 */   // GIR_Coverage, 58395,
     /* 2330606 */   GIR_EraseRootFromParent_Done,
     /* 2330607 */ // Label 32337: @2330607
     /* 2330607 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2330661), // Rule ID 58578 //
     /* 2330612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330626 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330626 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330629 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330633 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330660 */   // GIR_Coverage, 58578,
     /* 2330660 */   GIR_EraseRootFromParent_Done,
     /* 2330661 */ // Label 32338: @2330661
     /* 2330661 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2330715), // Rule ID 58579 //
     /* 2330666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330680 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330714 */   // GIR_Coverage, 58579,
     /* 2330714 */   GIR_EraseRootFromParent_Done,
     /* 2330715 */ // Label 32339: @2330715
     /* 2330715 */ GIM_Reject,
     /* 2330716 */ // Label 32248: @2330716
     /* 2330716 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2330773), // Rule ID 58366 //
     /* 2330721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330735 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330735 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330738 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330742 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330747 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330754 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330757 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330772 */   // GIR_Coverage, 58366,
     /* 2330772 */   GIR_EraseRootFromParent_Done,
     /* 2330773 */ // Label 32340: @2330773
     /* 2330773 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2330830), // Rule ID 58367 //
     /* 2330778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330792 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330829 */   // GIR_Coverage, 58367,
     /* 2330829 */   GIR_EraseRootFromParent_Done,
     /* 2330830 */ // Label 32341: @2330830
     /* 2330830 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2330884), // Rule ID 58538 //
     /* 2330835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330849 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330883 */   // GIR_Coverage, 58538,
     /* 2330883 */   GIR_EraseRootFromParent_Done,
     /* 2330884 */ // Label 32342: @2330884
     /* 2330884 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2330938), // Rule ID 58539 //
     /* 2330889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330903 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330937 */   // GIR_Coverage, 58539,
     /* 2330937 */   GIR_EraseRootFromParent_Done,
     /* 2330938 */ // Label 32343: @2330938
     /* 2330938 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2330995), // Rule ID 58746 //
     /* 2330943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330957 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330994 */   // GIR_Coverage, 58746,
     /* 2330994 */   GIR_EraseRootFromParent_Done,
     /* 2330995 */ // Label 32344: @2330995
     /* 2330995 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2331052), // Rule ID 58747 //
     /* 2331000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331014 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2331017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2331031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331051 */   // GIR_Coverage, 58747,
     /* 2331051 */   GIR_EraseRootFromParent_Done,
     /* 2331052 */ // Label 32345: @2331052
     /* 2331052 */ GIM_Reject,
     /* 2331053 */ // Label 32249: @2331053
     /* 2331053 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2331110), // Rule ID 58382 //
     /* 2331058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331072 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331072 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331075 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331079 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331084 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2331089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331091 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331094 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331109 */   // GIR_Coverage, 58382,
     /* 2331109 */   GIR_EraseRootFromParent_Done,
     /* 2331110 */ // Label 32346: @2331110
     /* 2331110 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2331167), // Rule ID 58383 //
     /* 2331115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331129 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331141 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2331146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331148 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331151 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331166 */   // GIR_Coverage, 58383,
     /* 2331166 */   GIR_EraseRootFromParent_Done,
     /* 2331167 */ // Label 32347: @2331167
     /* 2331167 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2331221), // Rule ID 58562 //
     /* 2331172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2331178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331186 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2331203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331208 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331220 */   // GIR_Coverage, 58562,
     /* 2331220 */   GIR_EraseRootFromParent_Done,
     /* 2331221 */ // Label 32348: @2331221
     /* 2331221 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2331275), // Rule ID 58563 //
     /* 2331226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2331232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331240 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2331257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331274 */   // GIR_Coverage, 58563,
     /* 2331274 */   GIR_EraseRootFromParent_Done,
     /* 2331275 */ // Label 32349: @2331275
     /* 2331275 */ GIM_Reject,
     /* 2331276 */ // Label 32250: @2331276
     /* 2331276 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2331333), // Rule ID 58370 //
     /* 2331281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331295 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331295 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331298 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331302 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2331312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331317 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331332 */   // GIR_Coverage, 58370,
     /* 2331332 */   GIR_EraseRootFromParent_Done,
     /* 2331333 */ // Label 32350: @2331333
     /* 2331333 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2331390), // Rule ID 58371 //
     /* 2331338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331352 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331352 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331355 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331359 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2331369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331374 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331389 */   // GIR_Coverage, 58371,
     /* 2331389 */   GIR_EraseRootFromParent_Done,
     /* 2331390 */ // Label 32351: @2331390
     /* 2331390 */ GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2331444), // Rule ID 58542 //
     /* 2331395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331409 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331409 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331412 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331416 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331421 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331431 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331443 */   // GIR_Coverage, 58542,
     /* 2331443 */   GIR_EraseRootFromParent_Done,
     /* 2331444 */ // Label 32352: @2331444
     /* 2331444 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2331498), // Rule ID 58543 //
     /* 2331449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331463 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331475 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331485 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331497 */   // GIR_Coverage, 58543,
     /* 2331497 */   GIR_EraseRootFromParent_Done,
     /* 2331498 */ // Label 32353: @2331498
     /* 2331498 */ GIM_Reject,
     /* 2331499 */ // Label 32251: @2331499
     /* 2331499 */ GIM_Reject,
     /* 2331500 */ // Label 71: @2331500
     /* 2331500 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32372*/ GIMT_Encode4(2333470),
     /* 2331511 */ /*GILLT_s16*//*Label 32354*/ GIMT_Encode4(2331631),
     /* 2331515 */ /*GILLT_s32*//*Label 32355*/ GIMT_Encode4(2331695),
     /* 2331519 */ /*GILLT_s64*//*Label 32356*/ GIMT_Encode4(2331759), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331531 */ /*GILLT_nxv1s16*//*Label 32357*/ GIMT_Encode4(2331850),
     /* 2331535 */ /*GILLT_nxv1s32*//*Label 32358*/ GIMT_Encode4(2331958),
     /* 2331539 */ /*GILLT_nxv1s64*//*Label 32359*/ GIMT_Encode4(2332066), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331551 */ /*GILLT_nxv2s16*//*Label 32360*/ GIMT_Encode4(2332174),
     /* 2331555 */ /*GILLT_nxv2s32*//*Label 32361*/ GIMT_Encode4(2332282),
     /* 2331559 */ /*GILLT_nxv2s64*//*Label 32362*/ GIMT_Encode4(2332390), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331571 */ /*GILLT_nxv4s16*//*Label 32363*/ GIMT_Encode4(2332498),
     /* 2331575 */ /*GILLT_nxv4s32*//*Label 32364*/ GIMT_Encode4(2332606),
     /* 2331579 */ /*GILLT_nxv4s64*//*Label 32365*/ GIMT_Encode4(2332714), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331591 */ /*GILLT_nxv8s16*//*Label 32366*/ GIMT_Encode4(2332822),
     /* 2331595 */ /*GILLT_nxv8s32*//*Label 32367*/ GIMT_Encode4(2332930),
     /* 2331599 */ /*GILLT_nxv8s64*//*Label 32368*/ GIMT_Encode4(2333038), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331611 */ /*GILLT_nxv16s16*//*Label 32369*/ GIMT_Encode4(2333146),
     /* 2331615 */ /*GILLT_nxv16s32*//*Label 32370*/ GIMT_Encode4(2333254), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331627 */ /*GILLT_nxv32s16*//*Label 32371*/ GIMT_Encode4(2333362),
     /* 2331631 */ // Label 32354: @2331631
     /* 2331631 */ GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2331694),
     /* 2331636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331639 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2331666), // Rule ID 1883 //
     /* 2331644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331655 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2331658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331665 */     // GIR_Coverage, 1883,
     /* 2331665 */     GIR_EraseRootFromParent_Done,
     /* 2331666 */   // Label 32374: @2331666
     /* 2331666 */   GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2331693), // Rule ID 1916 //
     /* 2331671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331682 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2331685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331692 */     // GIR_Coverage, 1916,
     /* 2331692 */     GIR_EraseRootFromParent_Done,
     /* 2331693 */   // Label 32375: @2331693
     /* 2331693 */   GIM_Reject,
     /* 2331694 */ // Label 32373: @2331694
     /* 2331694 */ GIM_Reject,
     /* 2331695 */ // Label 32355: @2331695
     /* 2331695 */ GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2331758),
     /* 2331700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331703 */   GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2331730), // Rule ID 1174 //
     /* 2331708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2331711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331719 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2331722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331729 */     // GIR_Coverage, 1174,
     /* 2331729 */     GIR_EraseRootFromParent_Done,
     /* 2331730 */   // Label 32377: @2331730
     /* 2331730 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2331757), // Rule ID 1182 //
     /* 2331735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2331738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331746 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2331749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331756 */     // GIR_Coverage, 1182,
     /* 2331756 */     GIR_EraseRootFromParent_Done,
     /* 2331757 */   // Label 32378: @2331757
     /* 2331757 */   GIM_Reject,
     /* 2331758 */ // Label 32376: @2331758
     /* 2331758 */ GIM_Reject,
     /* 2331759 */ // Label 32356: @2331759
     /* 2331759 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2331849),
     /* 2331764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331767 */   GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2331794), // Rule ID 1517 //
     /* 2331772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2331775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331783 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2331786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331793 */     // GIR_Coverage, 1517,
     /* 2331793 */     GIR_EraseRootFromParent_Done,
     /* 2331794 */   // Label 32380: @2331794
     /* 2331794 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2331821), // Rule ID 1550 //
     /* 2331799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331810 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2331813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331820 */     // GIR_Coverage, 1550,
     /* 2331820 */     GIR_EraseRootFromParent_Done,
     /* 2331821 */   // Label 32381: @2331821
     /* 2331821 */   GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2331848), // Rule ID 1572 //
     /* 2331826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2331829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331837 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2331840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331847 */     // GIR_Coverage, 1572,
     /* 2331847 */     GIR_EraseRootFromParent_Done,
     /* 2331848 */   // Label 32382: @2331848
     /* 2331848 */   GIM_Reject,
     /* 2331849 */ // Label 32379: @2331849
     /* 2331849 */ GIM_Reject,
     /* 2331850 */ // Label 32357: @2331850
     /* 2331850 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2331957),
     /* 2331855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331866 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2331911), // Rule ID 56114 //
     /* 2331871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331874 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331910 */     // GIR_Coverage, 56114,
     /* 2331910 */     GIR_EraseRootFromParent_Done,
     /* 2331911 */   // Label 32384: @2331911
     /* 2331911 */   GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2331956), // Rule ID 56115 //
     /* 2331916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331919 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331955 */     // GIR_Coverage, 56115,
     /* 2331955 */     GIR_EraseRootFromParent_Done,
     /* 2331956 */   // Label 32385: @2331956
     /* 2331956 */   GIM_Reject,
     /* 2331957 */ // Label 32383: @2331957
     /* 2331957 */ GIM_Reject,
     /* 2331958 */ // Label 32358: @2331958
     /* 2331958 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2332065),
     /* 2331963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331974 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2332019), // Rule ID 56154 //
     /* 2331979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331982 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2331999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332018 */     // GIR_Coverage, 56154,
     /* 2332018 */     GIR_EraseRootFromParent_Done,
     /* 2332019 */   // Label 32387: @2332019
     /* 2332019 */   GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2332064), // Rule ID 56155 //
     /* 2332024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332027 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2332030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2332044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332063 */     // GIR_Coverage, 56155,
     /* 2332063 */     GIR_EraseRootFromParent_Done,
     /* 2332064 */   // Label 32388: @2332064
     /* 2332064 */   GIM_Reject,
     /* 2332065 */ // Label 32386: @2332065
     /* 2332065 */ GIM_Reject,
     /* 2332066 */ // Label 32359: @2332066
     /* 2332066 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2332173),
     /* 2332071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2332074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332082 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2332127), // Rule ID 56214 //
     /* 2332087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332090 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2332107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332126 */     // GIR_Coverage, 56214,
     /* 2332126 */     GIR_EraseRootFromParent_Done,
     /* 2332127 */   // Label 32390: @2332127
     /* 2332127 */   GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2332172), // Rule ID 56215 //
     /* 2332132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332135 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2332152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332171 */     // GIR_Coverage, 56215,
     /* 2332171 */     GIR_EraseRootFromParent_Done,
     /* 2332172 */   // Label 32391: @2332172
     /* 2332172 */   GIM_Reject,
     /* 2332173 */ // Label 32389: @2332173
     /* 2332173 */ GIM_Reject,
     /* 2332174 */ // Label 32360: @2332174
     /* 2332174 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2332281),
     /* 2332179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332190 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2332235), // Rule ID 56134 //
     /* 2332195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332198 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2332215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332234 */     // GIR_Coverage, 56134,
     /* 2332234 */     GIR_EraseRootFromParent_Done,
     /* 2332235 */   // Label 32393: @2332235
     /* 2332235 */   GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2332280), // Rule ID 56135 //
     /* 2332240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332243 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2332260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332279 */     // GIR_Coverage, 56135,
     /* 2332279 */     GIR_EraseRootFromParent_Done,
     /* 2332280 */   // Label 32394: @2332280
     /* 2332280 */   GIM_Reject,
     /* 2332281 */ // Label 32392: @2332281
     /* 2332281 */ GIM_Reject,
     /* 2332282 */ // Label 32361: @2332282
     /* 2332282 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2332389),
     /* 2332287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332298 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2332343), // Rule ID 56194 //
     /* 2332303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332306 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2332323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332342 */     // GIR_Coverage, 56194,
     /* 2332342 */     GIR_EraseRootFromParent_Done,
     /* 2332343 */   // Label 32396: @2332343
     /* 2332343 */   GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2332388), // Rule ID 56195 //
     /* 2332348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332351 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2332368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332387 */     // GIR_Coverage, 56195,
     /* 2332387 */     GIR_EraseRootFromParent_Done,
     /* 2332388 */   // Label 32397: @2332388
     /* 2332388 */   GIM_Reject,
     /* 2332389 */ // Label 32395: @2332389
     /* 2332389 */ GIM_Reject,
     /* 2332390 */ // Label 32362: @2332390
     /* 2332390 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2332497),
     /* 2332395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332406 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2332451), // Rule ID 56354 //
     /* 2332411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332414 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332450 */     // GIR_Coverage, 56354,
     /* 2332450 */     GIR_EraseRootFromParent_Done,
     /* 2332451 */   // Label 32399: @2332451
     /* 2332451 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2332496), // Rule ID 56355 //
     /* 2332456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332459 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332495 */     // GIR_Coverage, 56355,
     /* 2332495 */     GIR_EraseRootFromParent_Done,
     /* 2332496 */   // Label 32400: @2332496
     /* 2332496 */   GIM_Reject,
     /* 2332497 */ // Label 32398: @2332497
     /* 2332497 */ GIM_Reject,
     /* 2332498 */ // Label 32363: @2332498
     /* 2332498 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2332605),
     /* 2332503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332514 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2332559), // Rule ID 56174 //
     /* 2332519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332522 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332558 */     // GIR_Coverage, 56174,
     /* 2332558 */     GIR_EraseRootFromParent_Done,
     /* 2332559 */   // Label 32402: @2332559
     /* 2332559 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2332604), // Rule ID 56175 //
     /* 2332564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332567 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332603 */     // GIR_Coverage, 56175,
     /* 2332603 */     GIR_EraseRootFromParent_Done,
     /* 2332604 */   // Label 32403: @2332604
     /* 2332604 */   GIM_Reject,
     /* 2332605 */ // Label 32401: @2332605
     /* 2332605 */ GIM_Reject,
     /* 2332606 */ // Label 32364: @2332606
     /* 2332606 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2332713),
     /* 2332611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332622 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2332667), // Rule ID 56294 //
     /* 2332627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332630 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332666 */     // GIR_Coverage, 56294,
     /* 2332666 */     GIR_EraseRootFromParent_Done,
     /* 2332667 */   // Label 32405: @2332667
     /* 2332667 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2332712), // Rule ID 56295 //
     /* 2332672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332675 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332711 */     // GIR_Coverage, 56295,
     /* 2332711 */     GIR_EraseRootFromParent_Done,
     /* 2332712 */   // Label 32406: @2332712
     /* 2332712 */   GIM_Reject,
     /* 2332713 */ // Label 32404: @2332713
     /* 2332713 */ GIM_Reject,
     /* 2332714 */ // Label 32365: @2332714
     /* 2332714 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2332821),
     /* 2332719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332730 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2332775), // Rule ID 56374 //
     /* 2332735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332738 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332774 */     // GIR_Coverage, 56374,
     /* 2332774 */     GIR_EraseRootFromParent_Done,
     /* 2332775 */   // Label 32408: @2332775
     /* 2332775 */   GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2332820), // Rule ID 56375 //
     /* 2332780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332783 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332819 */     // GIR_Coverage, 56375,
     /* 2332819 */     GIR_EraseRootFromParent_Done,
     /* 2332820 */   // Label 32409: @2332820
     /* 2332820 */   GIM_Reject,
     /* 2332821 */ // Label 32407: @2332821
     /* 2332821 */ GIM_Reject,
     /* 2332822 */ // Label 32366: @2332822
     /* 2332822 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2332929),
     /* 2332827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332838 */   GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2332883), // Rule ID 56234 //
     /* 2332843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332846 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332882 */     // GIR_Coverage, 56234,
     /* 2332882 */     GIR_EraseRootFromParent_Done,
     /* 2332883 */   // Label 32411: @2332883
     /* 2332883 */   GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2332928), // Rule ID 56235 //
     /* 2332888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332891 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332927 */     // GIR_Coverage, 56235,
     /* 2332927 */     GIR_EraseRootFromParent_Done,
     /* 2332928 */   // Label 32412: @2332928
     /* 2332928 */   GIM_Reject,
     /* 2332929 */ // Label 32410: @2332929
     /* 2332929 */ GIM_Reject,
     /* 2332930 */ // Label 32367: @2332930
     /* 2332930 */ GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2333037),
     /* 2332935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332946 */   GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2332991), // Rule ID 56314 //
     /* 2332951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332954 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332990 */     // GIR_Coverage, 56314,
     /* 2332990 */     GIR_EraseRootFromParent_Done,
     /* 2332991 */   // Label 32414: @2332991
     /* 2332991 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2333036), // Rule ID 56315 //
     /* 2332996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332999 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2333016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333035 */     // GIR_Coverage, 56315,
     /* 2333035 */     GIR_EraseRootFromParent_Done,
     /* 2333036 */   // Label 32415: @2333036
     /* 2333036 */   GIM_Reject,
     /* 2333037 */ // Label 32413: @2333037
     /* 2333037 */ GIM_Reject,
     /* 2333038 */ // Label 32368: @2333038
     /* 2333038 */ GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2333145),
     /* 2333043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333054 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2333099), // Rule ID 56394 //
     /* 2333059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2333062 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2333079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333098 */     // GIR_Coverage, 56394,
     /* 2333098 */     GIR_EraseRootFromParent_Done,
     /* 2333099 */   // Label 32417: @2333099
     /* 2333099 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2333144), // Rule ID 56395 //
     /* 2333104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2333107 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2333124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333143 */     // GIR_Coverage, 56395,
     /* 2333143 */     GIR_EraseRootFromParent_Done,
     /* 2333144 */   // Label 32418: @2333144
     /* 2333144 */   GIM_Reject,
     /* 2333145 */ // Label 32416: @2333145
     /* 2333145 */ GIM_Reject,
     /* 2333146 */ // Label 32369: @2333146
     /* 2333146 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2333253),
     /* 2333151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333162 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2333207), // Rule ID 56254 //
     /* 2333167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333170 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2333187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333206 */     // GIR_Coverage, 56254,
     /* 2333206 */     GIR_EraseRootFromParent_Done,
     /* 2333207 */   // Label 32420: @2333207
     /* 2333207 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2333252), // Rule ID 56255 //
     /* 2333212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333215 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2333232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333251 */     // GIR_Coverage, 56255,
     /* 2333251 */     GIR_EraseRootFromParent_Done,
     /* 2333252 */   // Label 32421: @2333252
     /* 2333252 */   GIM_Reject,
     /* 2333253 */ // Label 32419: @2333253
     /* 2333253 */ GIM_Reject,
     /* 2333254 */ // Label 32370: @2333254
     /* 2333254 */ GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2333361),
     /* 2333259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333270 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2333315), // Rule ID 56334 //
     /* 2333275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2333278 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2333295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333314 */     // GIR_Coverage, 56334,
     /* 2333314 */     GIR_EraseRootFromParent_Done,
     /* 2333315 */   // Label 32423: @2333315
     /* 2333315 */   GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2333360), // Rule ID 56335 //
     /* 2333320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2333323 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2333340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333359 */     // GIR_Coverage, 56335,
     /* 2333359 */     GIR_EraseRootFromParent_Done,
     /* 2333360 */   // Label 32424: @2333360
     /* 2333360 */   GIM_Reject,
     /* 2333361 */ // Label 32422: @2333361
     /* 2333361 */ GIM_Reject,
     /* 2333362 */ // Label 32371: @2333362
     /* 2333362 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2333469),
     /* 2333367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2333370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333378 */   GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2333423), // Rule ID 56274 //
     /* 2333383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333386 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333422 */     // GIR_Coverage, 56274,
     /* 2333422 */     GIR_EraseRootFromParent_Done,
     /* 2333423 */   // Label 32426: @2333423
     /* 2333423 */   GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2333468), // Rule ID 56275 //
     /* 2333428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333431 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333467 */     // GIR_Coverage, 56275,
     /* 2333467 */     GIR_EraseRootFromParent_Done,
     /* 2333468 */   // Label 32427: @2333468
     /* 2333468 */   GIM_Reject,
     /* 2333469 */ // Label 32425: @2333469
     /* 2333469 */ GIM_Reject,
     /* 2333470 */ // Label 32372: @2333470
     /* 2333470 */ GIM_Reject,
     /* 2333471 */ // Label 72: @2333471
     /* 2333471 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32446*/ GIMT_Encode4(2339532),
     /* 2333482 */ /*GILLT_s16*//*Label 32428*/ GIMT_Encode4(2333602),
     /* 2333486 */ /*GILLT_s32*//*Label 32429*/ GIMT_Encode4(2334278),
     /* 2333490 */ /*GILLT_s64*//*Label 32430*/ GIMT_Encode4(2334954), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333502 */ /*GILLT_nxv1s16*//*Label 32431*/ GIMT_Encode4(2335767),
     /* 2333506 */ /*GILLT_nxv1s32*//*Label 32432*/ GIMT_Encode4(2336018),
     /* 2333510 */ /*GILLT_nxv1s64*//*Label 32433*/ GIMT_Encode4(2336269), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333522 */ /*GILLT_nxv2s16*//*Label 32434*/ GIMT_Encode4(2336520),
     /* 2333526 */ /*GILLT_nxv2s32*//*Label 32435*/ GIMT_Encode4(2336771),
     /* 2333530 */ /*GILLT_nxv2s64*//*Label 32436*/ GIMT_Encode4(2337022), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333542 */ /*GILLT_nxv4s16*//*Label 32437*/ GIMT_Encode4(2337273),
     /* 2333546 */ /*GILLT_nxv4s32*//*Label 32438*/ GIMT_Encode4(2337524),
     /* 2333550 */ /*GILLT_nxv4s64*//*Label 32439*/ GIMT_Encode4(2337775), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333562 */ /*GILLT_nxv8s16*//*Label 32440*/ GIMT_Encode4(2338026),
     /* 2333566 */ /*GILLT_nxv8s32*//*Label 32441*/ GIMT_Encode4(2338277),
     /* 2333570 */ /*GILLT_nxv8s64*//*Label 32442*/ GIMT_Encode4(2338528), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333582 */ /*GILLT_nxv16s16*//*Label 32443*/ GIMT_Encode4(2338779),
     /* 2333586 */ /*GILLT_nxv16s32*//*Label 32444*/ GIMT_Encode4(2339030), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333598 */ /*GILLT_nxv32s16*//*Label 32445*/ GIMT_Encode4(2339281),
     /* 2333602 */ // Label 32428: @2333602
     /* 2333602 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2334277),
     /* 2333607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333610 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2333661), // Rule ID 1888 //
     /* 2333615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333648 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2333648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2333651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333660 */     // GIR_Coverage, 1888,
     /* 2333660 */     GIR_EraseRootFromParent_Done,
     /* 2333661 */   // Label 32448: @2333661
     /* 2333661 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2333712), // Rule ID 1921 //
     /* 2333666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333699 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2333699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2333702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333711 */     // GIR_Coverage, 1921,
     /* 2333711 */     GIR_EraseRootFromParent_Done,
     /* 2333712 */   // Label 32449: @2333712
     /* 2333712 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2333742), // Rule ID 1886 //
     /* 2333717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333735 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333741 */     // GIR_Coverage, 1886,
     /* 2333741 */     GIR_Done,
     /* 2333742 */   // Label 32450: @2333742
     /* 2333742 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2333798), // Rule ID 1889 //
     /* 2333747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2333750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333765 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333781 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333797 */     // GIR_Coverage, 1889,
     /* 2333797 */     GIR_EraseRootFromParent_Done,
     /* 2333798 */   // Label 32451: @2333798
     /* 2333798 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2333854), // Rule ID 1890 //
     /* 2333803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2333806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333821 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333837 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333853 */     // GIR_Coverage, 1890,
     /* 2333853 */     GIR_EraseRootFromParent_Done,
     /* 2333854 */   // Label 32452: @2333854
     /* 2333854 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2333884), // Rule ID 1919 //
     /* 2333859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333877 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333883 */     // GIR_Coverage, 1919,
     /* 2333883 */     GIR_Done,
     /* 2333884 */   // Label 32453: @2333884
     /* 2333884 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2333940), // Rule ID 1922 //
     /* 2333889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2333892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333907 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333923 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333939 */     // GIR_Coverage, 1922,
     /* 2333939 */     GIR_EraseRootFromParent_Done,
     /* 2333940 */   // Label 32454: @2333940
     /* 2333940 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2333996), // Rule ID 1923 //
     /* 2333945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2333948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333963 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333979 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333995 */     // GIR_Coverage, 1923,
     /* 2333995 */     GIR_EraseRootFromParent_Done,
     /* 2333996 */   // Label 32455: @2333996
     /* 2333996 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2334052), // Rule ID 2192 //
     /* 2334001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2334004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334019 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2334026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334035 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2334043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334051 */     // GIR_Coverage, 2192,
     /* 2334051 */     GIR_EraseRootFromParent_Done,
     /* 2334052 */   // Label 32456: @2334052
     /* 2334052 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2334108), // Rule ID 2193 //
     /* 2334057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2334060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334075 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2334082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334091 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2334099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334107 */     // GIR_Coverage, 2193,
     /* 2334107 */     GIR_EraseRootFromParent_Done,
     /* 2334108 */   // Label 32457: @2334108
     /* 2334108 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2334164), // Rule ID 2204 //
     /* 2334113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2334116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334131 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2334138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334147 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334163 */     // GIR_Coverage, 2204,
     /* 2334163 */     GIR_EraseRootFromParent_Done,
     /* 2334164 */   // Label 32458: @2334164
     /* 2334164 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2334220), // Rule ID 2205 //
     /* 2334169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2334172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334187 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2334194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334203 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334219 */     // GIR_Coverage, 2205,
     /* 2334219 */     GIR_EraseRootFromParent_Done,
     /* 2334220 */   // Label 32459: @2334220
     /* 2334220 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2334276), // Rule ID 2212 //
     /* 2334225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2334228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334243 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2334250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334259 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2334267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334275 */     // GIR_Coverage, 2212,
     /* 2334275 */     GIR_EraseRootFromParent_Done,
     /* 2334276 */   // Label 32460: @2334276
     /* 2334276 */   GIM_Reject,
     /* 2334277 */ // Label 32447: @2334277
     /* 2334277 */ GIM_Reject,
     /* 2334278 */ // Label 32429: @2334278
     /* 2334278 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2334953),
     /* 2334283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334286 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2334337), // Rule ID 1189 //
     /* 2334291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2334294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334324 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2334324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2334327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334336 */     // GIR_Coverage, 1189,
     /* 2334336 */     GIR_EraseRootFromParent_Done,
     /* 2334337 */   // Label 32462: @2334337
     /* 2334337 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2334388), // Rule ID 1210 //
     /* 2334342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2334345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334375 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2334375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2334378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334387 */     // GIR_Coverage, 1210,
     /* 2334387 */     GIR_EraseRootFromParent_Done,
     /* 2334388 */   // Label 32463: @2334388
     /* 2334388 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2334418), // Rule ID 1185 //
     /* 2334393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2334396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334411 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334417 */     // GIR_Coverage, 1185,
     /* 2334417 */     GIR_Done,
     /* 2334418 */   // Label 32464: @2334418
     /* 2334418 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2334448), // Rule ID 1186 //
     /* 2334423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2334426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334441 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334447 */     // GIR_Coverage, 1186,
     /* 2334447 */     GIR_Done,
     /* 2334448 */   // Label 32465: @2334448
     /* 2334448 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2334504), // Rule ID 1525 //
     /* 2334453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334471 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334503 */     // GIR_Coverage, 1525,
     /* 2334503 */     GIR_EraseRootFromParent_Done,
     /* 2334504 */   // Label 32466: @2334504
     /* 2334504 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2334560), // Rule ID 1526 //
     /* 2334509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334527 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334543 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334559 */     // GIR_Coverage, 1526,
     /* 2334559 */     GIR_EraseRootFromParent_Done,
     /* 2334560 */   // Label 32467: @2334560
     /* 2334560 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2334616), // Rule ID 1556 //
     /* 2334565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334583 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2334590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334615 */     // GIR_Coverage, 1556,
     /* 2334615 */     GIR_EraseRootFromParent_Done,
     /* 2334616 */   // Label 32468: @2334616
     /* 2334616 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2334672), // Rule ID 1580 //
     /* 2334621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334639 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334655 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334671 */     // GIR_Coverage, 1580,
     /* 2334671 */     GIR_EraseRootFromParent_Done,
     /* 2334672 */   // Label 32469: @2334672
     /* 2334672 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2334728), // Rule ID 1581 //
     /* 2334677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2334680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334695 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334711 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334727 */     // GIR_Coverage, 1581,
     /* 2334727 */     GIR_EraseRootFromParent_Done,
     /* 2334728 */   // Label 32470: @2334728
     /* 2334728 */   GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2334784), // Rule ID 2064 //
     /* 2334733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2334736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334751 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334767 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334783 */     // GIR_Coverage, 2064,
     /* 2334783 */     GIR_EraseRootFromParent_Done,
     /* 2334784 */   // Label 32471: @2334784
     /* 2334784 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2334840), // Rule ID 2065 //
     /* 2334789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2334792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334807 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334823 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334839 */     // GIR_Coverage, 2065,
     /* 2334839 */     GIR_EraseRootFromParent_Done,
     /* 2334840 */   // Label 32472: @2334840
     /* 2334840 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2334896), // Rule ID 2078 //
     /* 2334845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2334848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334863 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334879 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334895 */     // GIR_Coverage, 2078,
     /* 2334895 */     GIR_EraseRootFromParent_Done,
     /* 2334896 */   // Label 32473: @2334896
     /* 2334896 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2334952), // Rule ID 2079 //
     /* 2334901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2334904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334919 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334935 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334951 */     // GIR_Coverage, 2079,
     /* 2334951 */     GIR_EraseRootFromParent_Done,
     /* 2334952 */   // Label 32474: @2334952
     /* 2334952 */   GIM_Reject,
     /* 2334953 */ // Label 32461: @2334953
     /* 2334953 */ GIM_Reject,
     /* 2334954 */ // Label 32430: @2334954
     /* 2334954 */ GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2335766),
     /* 2334959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334962 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2335013), // Rule ID 1522 //
     /* 2334967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335000 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2335000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2335003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335012 */     // GIR_Coverage, 1522,
     /* 2335012 */     GIR_EraseRootFromParent_Done,
     /* 2335013 */   // Label 32476: @2335013
     /* 2335013 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2335064), // Rule ID 1554 //
     /* 2335018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335051 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2335051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2335054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335063 */     // GIR_Coverage, 1554,
     /* 2335063 */     GIR_EraseRootFromParent_Done,
     /* 2335064 */   // Label 32477: @2335064
     /* 2335064 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2335115), // Rule ID 1577 //
     /* 2335069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335102 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2335102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2335105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335114 */     // GIR_Coverage, 1577,
     /* 2335114 */     GIR_EraseRootFromParent_Done,
     /* 2335115 */   // Label 32478: @2335115
     /* 2335115 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2335145), // Rule ID 1520 //
     /* 2335120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2335123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335138 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335144 */     // GIR_Coverage, 1520,
     /* 2335144 */     GIR_Done,
     /* 2335145 */   // Label 32479: @2335145
     /* 2335145 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2335201), // Rule ID 1523 //
     /* 2335150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2335153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335168 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2335175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335184 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335200 */     // GIR_Coverage, 1523,
     /* 2335200 */     GIR_EraseRootFromParent_Done,
     /* 2335201 */   // Label 32480: @2335201
     /* 2335201 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2335257), // Rule ID 1524 //
     /* 2335206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2335209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335224 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2335231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335240 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335256 */     // GIR_Coverage, 1524,
     /* 2335256 */     GIR_EraseRootFromParent_Done,
     /* 2335257 */   // Label 32481: @2335257
     /* 2335257 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2335287), // Rule ID 1552 //
     /* 2335262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335280 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335286 */     // GIR_Coverage, 1552,
     /* 2335286 */     GIR_Done,
     /* 2335287 */   // Label 32482: @2335287
     /* 2335287 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2335343), // Rule ID 1555 //
     /* 2335292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335310 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2335317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335326 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335342 */     // GIR_Coverage, 1555,
     /* 2335342 */     GIR_EraseRootFromParent_Done,
     /* 2335343 */   // Label 32483: @2335343
     /* 2335343 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2335373), // Rule ID 1575 //
     /* 2335348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335366 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335372 */     // GIR_Coverage, 1575,
     /* 2335372 */     GIR_Done,
     /* 2335373 */   // Label 32484: @2335373
     /* 2335373 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2335429), // Rule ID 1578 //
     /* 2335378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2335381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335396 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2335396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335412 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335428 */     // GIR_Coverage, 1578,
     /* 2335428 */     GIR_EraseRootFromParent_Done,
     /* 2335429 */   // Label 32485: @2335429
     /* 2335429 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2335485), // Rule ID 1579 //
     /* 2335434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2335437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335452 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335468 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335484 */     // GIR_Coverage, 1579,
     /* 2335484 */     GIR_EraseRootFromParent_Done,
     /* 2335485 */   // Label 32486: @2335485
     /* 2335485 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2335541), // Rule ID 2194 //
     /* 2335490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2335493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335508 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335524 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335540 */     // GIR_Coverage, 2194,
     /* 2335540 */     GIR_EraseRootFromParent_Done,
     /* 2335541 */   // Label 32487: @2335541
     /* 2335541 */   GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2335597), // Rule ID 2195 //
     /* 2335546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2335549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335564 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335580 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335596 */     // GIR_Coverage, 2195,
     /* 2335596 */     GIR_EraseRootFromParent_Done,
     /* 2335597 */   // Label 32488: @2335597
     /* 2335597 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2335653), // Rule ID 2206 //
     /* 2335602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2335605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335620 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335636 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335652 */     // GIR_Coverage, 2206,
     /* 2335652 */     GIR_EraseRootFromParent_Done,
     /* 2335653 */   // Label 32489: @2335653
     /* 2335653 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2335709), // Rule ID 2207 //
     /* 2335658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2335661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335676 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335692 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335708 */     // GIR_Coverage, 2207,
     /* 2335708 */     GIR_EraseRootFromParent_Done,
     /* 2335709 */   // Label 32490: @2335709
     /* 2335709 */   GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2335765), // Rule ID 2213 //
     /* 2335714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2335717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335732 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2335739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335748 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335764 */     // GIR_Coverage, 2213,
     /* 2335764 */     GIR_EraseRootFromParent_Done,
     /* 2335765 */   // Label 32491: @2335765
     /* 2335765 */   GIM_Reject,
     /* 2335766 */ // Label 32475: @2335766
     /* 2335766 */ GIM_Reject,
     /* 2335767 */ // Label 32431: @2335767
     /* 2335767 */ GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2336017),
     /* 2335772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2335778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335786 */   GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2335852), // Rule ID 56124 //
     /* 2335791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335813 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335851 */     // GIR_Coverage, 56124,
     /* 2335851 */     GIR_EraseRootFromParent_Done,
     /* 2335852 */   // Label 32493: @2335852
     /* 2335852 */   GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2335918), // Rule ID 56125 //
     /* 2335857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335879 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335917 */     // GIR_Coverage, 56125,
     /* 2335917 */     GIR_EraseRootFromParent_Done,
     /* 2335918 */   // Label 32494: @2335918
     /* 2335918 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2335967), // Rule ID 56118 //
     /* 2335923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335930 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335966 */     // GIR_Coverage, 56118,
     /* 2335966 */     GIR_EraseRootFromParent_Done,
     /* 2335967 */   // Label 32495: @2335967
     /* 2335967 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2336016), // Rule ID 56119 //
     /* 2335972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335979 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336015 */     // GIR_Coverage, 56119,
     /* 2336015 */     GIR_EraseRootFromParent_Done,
     /* 2336016 */   // Label 32496: @2336016
     /* 2336016 */   GIM_Reject,
     /* 2336017 */ // Label 32492: @2336017
     /* 2336017 */ GIM_Reject,
     /* 2336018 */ // Label 32432: @2336018
     /* 2336018 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2336268),
     /* 2336023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2336029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336037 */   GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2336103), // Rule ID 56164 //
     /* 2336042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336064 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2336081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336102 */     // GIR_Coverage, 56164,
     /* 2336102 */     GIR_EraseRootFromParent_Done,
     /* 2336103 */   // Label 32498: @2336103
     /* 2336103 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2336169), // Rule ID 56165 //
     /* 2336108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336130 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2336147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336168 */     // GIR_Coverage, 56165,
     /* 2336168 */     GIR_EraseRootFromParent_Done,
     /* 2336169 */   // Label 32499: @2336169
     /* 2336169 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2336218), // Rule ID 56158 //
     /* 2336174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336181 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2336198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336217 */     // GIR_Coverage, 56158,
     /* 2336217 */     GIR_EraseRootFromParent_Done,
     /* 2336218 */   // Label 32500: @2336218
     /* 2336218 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2336267), // Rule ID 56159 //
     /* 2336223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336230 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2336247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336266 */     // GIR_Coverage, 56159,
     /* 2336266 */     GIR_EraseRootFromParent_Done,
     /* 2336267 */   // Label 32501: @2336267
     /* 2336267 */   GIM_Reject,
     /* 2336268 */ // Label 32497: @2336268
     /* 2336268 */ GIM_Reject,
     /* 2336269 */ // Label 32433: @2336269
     /* 2336269 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2336519),
     /* 2336274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2336280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336288 */   GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2336354), // Rule ID 56224 //
     /* 2336293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336315 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2336332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336353 */     // GIR_Coverage, 56224,
     /* 2336353 */     GIR_EraseRootFromParent_Done,
     /* 2336354 */   // Label 32503: @2336354
     /* 2336354 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2336420), // Rule ID 56225 //
     /* 2336359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336381 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2336398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336419 */     // GIR_Coverage, 56225,
     /* 2336419 */     GIR_EraseRootFromParent_Done,
     /* 2336420 */   // Label 32504: @2336420
     /* 2336420 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2336469), // Rule ID 56218 //
     /* 2336425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336432 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336468 */     // GIR_Coverage, 56218,
     /* 2336468 */     GIR_EraseRootFromParent_Done,
     /* 2336469 */   // Label 32505: @2336469
     /* 2336469 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2336518), // Rule ID 56219 //
     /* 2336474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336481 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336517 */     // GIR_Coverage, 56219,
     /* 2336517 */     GIR_EraseRootFromParent_Done,
     /* 2336518 */   // Label 32506: @2336518
     /* 2336518 */   GIM_Reject,
     /* 2336519 */ // Label 32502: @2336519
     /* 2336519 */ GIM_Reject,
     /* 2336520 */ // Label 32434: @2336520
     /* 2336520 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2336770),
     /* 2336525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2336531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336539 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2336605), // Rule ID 56144 //
     /* 2336544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336566 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336604 */     // GIR_Coverage, 56144,
     /* 2336604 */     GIR_EraseRootFromParent_Done,
     /* 2336605 */   // Label 32508: @2336605
     /* 2336605 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2336671), // Rule ID 56145 //
     /* 2336610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336632 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336670 */     // GIR_Coverage, 56145,
     /* 2336670 */     GIR_EraseRootFromParent_Done,
     /* 2336671 */   // Label 32509: @2336671
     /* 2336671 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2336720), // Rule ID 56138 //
     /* 2336676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336683 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336719 */     // GIR_Coverage, 56138,
     /* 2336719 */     GIR_EraseRootFromParent_Done,
     /* 2336720 */   // Label 32510: @2336720
     /* 2336720 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2336769), // Rule ID 56139 //
     /* 2336725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336732 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336768 */     // GIR_Coverage, 56139,
     /* 2336768 */     GIR_EraseRootFromParent_Done,
     /* 2336769 */   // Label 32511: @2336769
     /* 2336769 */   GIM_Reject,
     /* 2336770 */ // Label 32507: @2336770
     /* 2336770 */ GIM_Reject,
     /* 2336771 */ // Label 32435: @2336771
     /* 2336771 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2337021),
     /* 2336776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2336782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336790 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2336856), // Rule ID 56204 //
     /* 2336795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336817 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336855 */     // GIR_Coverage, 56204,
     /* 2336855 */     GIR_EraseRootFromParent_Done,
     /* 2336856 */   // Label 32513: @2336856
     /* 2336856 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2336922), // Rule ID 56205 //
     /* 2336861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336883 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336921 */     // GIR_Coverage, 56205,
     /* 2336921 */     GIR_EraseRootFromParent_Done,
     /* 2336922 */   // Label 32514: @2336922
     /* 2336922 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2336971), // Rule ID 56198 //
     /* 2336927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336934 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336970 */     // GIR_Coverage, 56198,
     /* 2336970 */     GIR_EraseRootFromParent_Done,
     /* 2336971 */   // Label 32515: @2336971
     /* 2336971 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2337020), // Rule ID 56199 //
     /* 2336976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336983 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2337000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337019 */     // GIR_Coverage, 56199,
     /* 2337019 */     GIR_EraseRootFromParent_Done,
     /* 2337020 */   // Label 32516: @2337020
     /* 2337020 */   GIM_Reject,
     /* 2337021 */ // Label 32512: @2337021
     /* 2337021 */ GIM_Reject,
     /* 2337022 */ // Label 32436: @2337022
     /* 2337022 */ GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2337272),
     /* 2337027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2337033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337041 */   GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2337107), // Rule ID 56364 //
     /* 2337046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337068 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2337085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337106 */     // GIR_Coverage, 56364,
     /* 2337106 */     GIR_EraseRootFromParent_Done,
     /* 2337107 */   // Label 32518: @2337107
     /* 2337107 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2337173), // Rule ID 56365 //
     /* 2337112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2337127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337134 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2337151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337172 */     // GIR_Coverage, 56365,
     /* 2337172 */     GIR_EraseRootFromParent_Done,
     /* 2337173 */   // Label 32519: @2337173
     /* 2337173 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2337222), // Rule ID 56358 //
     /* 2337178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337185 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2337202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337221 */     // GIR_Coverage, 56358,
     /* 2337221 */     GIR_EraseRootFromParent_Done,
     /* 2337222 */   // Label 32520: @2337222
     /* 2337222 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2337271), // Rule ID 56359 //
     /* 2337227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337234 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2337237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2337251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337270 */     // GIR_Coverage, 56359,
     /* 2337270 */     GIR_EraseRootFromParent_Done,
     /* 2337271 */   // Label 32521: @2337271
     /* 2337271 */   GIM_Reject,
     /* 2337272 */ // Label 32517: @2337272
     /* 2337272 */ GIM_Reject,
     /* 2337273 */ // Label 32437: @2337273
     /* 2337273 */ GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2337523),
     /* 2337278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2337284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337292 */   GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2337358), // Rule ID 56184 //
     /* 2337297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337319 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2337336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337357 */     // GIR_Coverage, 56184,
     /* 2337357 */     GIR_EraseRootFromParent_Done,
     /* 2337358 */   // Label 32523: @2337358
     /* 2337358 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2337424), // Rule ID 56185 //
     /* 2337363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337385 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2337402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337423 */     // GIR_Coverage, 56185,
     /* 2337423 */     GIR_EraseRootFromParent_Done,
     /* 2337424 */   // Label 32524: @2337424
     /* 2337424 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2337473), // Rule ID 56178 //
     /* 2337429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337436 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337472 */     // GIR_Coverage, 56178,
     /* 2337472 */     GIR_EraseRootFromParent_Done,
     /* 2337473 */   // Label 32525: @2337473
     /* 2337473 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2337522), // Rule ID 56179 //
     /* 2337478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337485 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337521 */     // GIR_Coverage, 56179,
     /* 2337521 */     GIR_EraseRootFromParent_Done,
     /* 2337522 */   // Label 32526: @2337522
     /* 2337522 */   GIM_Reject,
     /* 2337523 */ // Label 32522: @2337523
     /* 2337523 */ GIM_Reject,
     /* 2337524 */ // Label 32438: @2337524
     /* 2337524 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2337774),
     /* 2337529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2337535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337543 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2337609), // Rule ID 56304 //
     /* 2337548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337570 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337608 */     // GIR_Coverage, 56304,
     /* 2337608 */     GIR_EraseRootFromParent_Done,
     /* 2337609 */   // Label 32528: @2337609
     /* 2337609 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2337675), // Rule ID 56305 //
     /* 2337614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337636 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337674 */     // GIR_Coverage, 56305,
     /* 2337674 */     GIR_EraseRootFromParent_Done,
     /* 2337675 */   // Label 32529: @2337675
     /* 2337675 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2337724), // Rule ID 56298 //
     /* 2337680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337687 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337723 */     // GIR_Coverage, 56298,
     /* 2337723 */     GIR_EraseRootFromParent_Done,
     /* 2337724 */   // Label 32530: @2337724
     /* 2337724 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2337773), // Rule ID 56299 //
     /* 2337729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337736 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337772 */     // GIR_Coverage, 56299,
     /* 2337772 */     GIR_EraseRootFromParent_Done,
     /* 2337773 */   // Label 32531: @2337773
     /* 2337773 */   GIM_Reject,
     /* 2337774 */ // Label 32527: @2337774
     /* 2337774 */ GIM_Reject,
     /* 2337775 */ // Label 32439: @2337775
     /* 2337775 */ GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2338025),
     /* 2337780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2337786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337794 */   GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2337860), // Rule ID 56384 //
     /* 2337799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337821 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337859 */     // GIR_Coverage, 56384,
     /* 2337859 */     GIR_EraseRootFromParent_Done,
     /* 2337860 */   // Label 32533: @2337860
     /* 2337860 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2337926), // Rule ID 56385 //
     /* 2337865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337887 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337925 */     // GIR_Coverage, 56385,
     /* 2337925 */     GIR_EraseRootFromParent_Done,
     /* 2337926 */   // Label 32534: @2337926
     /* 2337926 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2337975), // Rule ID 56378 //
     /* 2337931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337938 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337974 */     // GIR_Coverage, 56378,
     /* 2337974 */     GIR_EraseRootFromParent_Done,
     /* 2337975 */   // Label 32535: @2337975
     /* 2337975 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2338024), // Rule ID 56379 //
     /* 2337980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337987 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2338004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338023 */     // GIR_Coverage, 56379,
     /* 2338023 */     GIR_EraseRootFromParent_Done,
     /* 2338024 */   // Label 32536: @2338024
     /* 2338024 */   GIM_Reject,
     /* 2338025 */ // Label 32532: @2338025
     /* 2338025 */ GIM_Reject,
     /* 2338026 */ // Label 32440: @2338026
     /* 2338026 */ GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2338276),
     /* 2338031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2338037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338045 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2338111), // Rule ID 56244 //
     /* 2338050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338072 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2338089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338110 */     // GIR_Coverage, 56244,
     /* 2338110 */     GIR_EraseRootFromParent_Done,
     /* 2338111 */   // Label 32538: @2338111
     /* 2338111 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2338177), // Rule ID 56245 //
     /* 2338116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338138 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2338155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338176 */     // GIR_Coverage, 56245,
     /* 2338176 */     GIR_EraseRootFromParent_Done,
     /* 2338177 */   // Label 32539: @2338177
     /* 2338177 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2338226), // Rule ID 56238 //
     /* 2338182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338189 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2338206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338225 */     // GIR_Coverage, 56238,
     /* 2338225 */     GIR_EraseRootFromParent_Done,
     /* 2338226 */   // Label 32540: @2338226
     /* 2338226 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2338275), // Rule ID 56239 //
     /* 2338231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338238 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2338241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2338255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338274 */     // GIR_Coverage, 56239,
     /* 2338274 */     GIR_EraseRootFromParent_Done,
     /* 2338275 */   // Label 32541: @2338275
     /* 2338275 */   GIM_Reject,
     /* 2338276 */ // Label 32537: @2338276
     /* 2338276 */ GIM_Reject,
     /* 2338277 */ // Label 32441: @2338277
     /* 2338277 */ GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2338527),
     /* 2338282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2338288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338296 */   GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2338362), // Rule ID 56324 //
     /* 2338301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338323 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2338340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338361 */     // GIR_Coverage, 56324,
     /* 2338361 */     GIR_EraseRootFromParent_Done,
     /* 2338362 */   // Label 32543: @2338362
     /* 2338362 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2338428), // Rule ID 56325 //
     /* 2338367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338389 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2338406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338427 */     // GIR_Coverage, 56325,
     /* 2338427 */     GIR_EraseRootFromParent_Done,
     /* 2338428 */   // Label 32544: @2338428
     /* 2338428 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2338477), // Rule ID 56318 //
     /* 2338433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338440 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338476 */     // GIR_Coverage, 56318,
     /* 2338476 */     GIR_EraseRootFromParent_Done,
     /* 2338477 */   // Label 32545: @2338477
     /* 2338477 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2338526), // Rule ID 56319 //
     /* 2338482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338489 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338525 */     // GIR_Coverage, 56319,
     /* 2338525 */     GIR_EraseRootFromParent_Done,
     /* 2338526 */   // Label 32546: @2338526
     /* 2338526 */   GIM_Reject,
     /* 2338527 */ // Label 32542: @2338527
     /* 2338527 */ GIM_Reject,
     /* 2338528 */ // Label 32442: @2338528
     /* 2338528 */ GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2338778),
     /* 2338533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2338539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338547 */   GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2338613), // Rule ID 56404 //
     /* 2338552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338574 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338612 */     // GIR_Coverage, 56404,
     /* 2338612 */     GIR_EraseRootFromParent_Done,
     /* 2338613 */   // Label 32548: @2338613
     /* 2338613 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2338679), // Rule ID 56405 //
     /* 2338618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338640 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338678 */     // GIR_Coverage, 56405,
     /* 2338678 */     GIR_EraseRootFromParent_Done,
     /* 2338679 */   // Label 32549: @2338679
     /* 2338679 */   GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2338728), // Rule ID 56398 //
     /* 2338684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338691 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338727 */     // GIR_Coverage, 56398,
     /* 2338727 */     GIR_EraseRootFromParent_Done,
     /* 2338728 */   // Label 32550: @2338728
     /* 2338728 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2338777), // Rule ID 56399 //
     /* 2338733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338740 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338776 */     // GIR_Coverage, 56399,
     /* 2338776 */     GIR_EraseRootFromParent_Done,
     /* 2338777 */   // Label 32551: @2338777
     /* 2338777 */   GIM_Reject,
     /* 2338778 */ // Label 32547: @2338778
     /* 2338778 */ GIM_Reject,
     /* 2338779 */ // Label 32443: @2338779
     /* 2338779 */ GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2339029),
     /* 2338784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2338790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338798 */   GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2338864), // Rule ID 56264 //
     /* 2338803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338825 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338863 */     // GIR_Coverage, 56264,
     /* 2338863 */     GIR_EraseRootFromParent_Done,
     /* 2338864 */   // Label 32553: @2338864
     /* 2338864 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2338930), // Rule ID 56265 //
     /* 2338869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338891 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338929 */     // GIR_Coverage, 56265,
     /* 2338929 */     GIR_EraseRootFromParent_Done,
     /* 2338930 */   // Label 32554: @2338930
     /* 2338930 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2338979), // Rule ID 56258 //
     /* 2338935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338942 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338978 */     // GIR_Coverage, 56258,
     /* 2338978 */     GIR_EraseRootFromParent_Done,
     /* 2338979 */   // Label 32555: @2338979
     /* 2338979 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2339028), // Rule ID 56259 //
     /* 2338984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338991 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2339008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339027 */     // GIR_Coverage, 56259,
     /* 2339027 */     GIR_EraseRootFromParent_Done,
     /* 2339028 */   // Label 32556: @2339028
     /* 2339028 */   GIM_Reject,
     /* 2339029 */ // Label 32552: @2339029
     /* 2339029 */ GIM_Reject,
     /* 2339030 */ // Label 32444: @2339030
     /* 2339030 */ GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2339280),
     /* 2339035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2339041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339049 */   GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2339115), // Rule ID 56344 //
     /* 2339054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339076 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2339093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339114 */     // GIR_Coverage, 56344,
     /* 2339114 */     GIR_EraseRootFromParent_Done,
     /* 2339115 */   // Label 32558: @2339115
     /* 2339115 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2339181), // Rule ID 56345 //
     /* 2339120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339142 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2339159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339180 */     // GIR_Coverage, 56345,
     /* 2339180 */     GIR_EraseRootFromParent_Done,
     /* 2339181 */   // Label 32559: @2339181
     /* 2339181 */   GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2339230), // Rule ID 56338 //
     /* 2339186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339193 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2339210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339229 */     // GIR_Coverage, 56338,
     /* 2339229 */     GIR_EraseRootFromParent_Done,
     /* 2339230 */   // Label 32560: @2339230
     /* 2339230 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2339279), // Rule ID 56339 //
     /* 2339235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339242 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2339259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339278 */     // GIR_Coverage, 56339,
     /* 2339278 */     GIR_EraseRootFromParent_Done,
     /* 2339279 */   // Label 32561: @2339279
     /* 2339279 */   GIM_Reject,
     /* 2339280 */ // Label 32557: @2339280
     /* 2339280 */ GIM_Reject,
     /* 2339281 */ // Label 32445: @2339281
     /* 2339281 */ GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2339531),
     /* 2339286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2339292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339300 */   GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2339366), // Rule ID 56284 //
     /* 2339305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339327 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2339344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339365 */     // GIR_Coverage, 56284,
     /* 2339365 */     GIR_EraseRootFromParent_Done,
     /* 2339366 */   // Label 32563: @2339366
     /* 2339366 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2339432), // Rule ID 56285 //
     /* 2339371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339393 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2339410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339431 */     // GIR_Coverage, 56285,
     /* 2339431 */     GIR_EraseRootFromParent_Done,
     /* 2339432 */   // Label 32564: @2339432
     /* 2339432 */   GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2339481), // Rule ID 56278 //
     /* 2339437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339444 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339480 */     // GIR_Coverage, 56278,
     /* 2339480 */     GIR_EraseRootFromParent_Done,
     /* 2339481 */   // Label 32565: @2339481
     /* 2339481 */   GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2339530), // Rule ID 56279 //
     /* 2339486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339493 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339529 */     // GIR_Coverage, 56279,
     /* 2339529 */     GIR_EraseRootFromParent_Done,
     /* 2339530 */   // Label 32566: @2339530
     /* 2339530 */   GIM_Reject,
     /* 2339531 */ // Label 32562: @2339531
     /* 2339531 */ GIM_Reject,
     /* 2339532 */ // Label 32446: @2339532
     /* 2339532 */ GIM_Reject,
     /* 2339533 */ // Label 73: @2339533
     /* 2339533 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32570*/ GIMT_Encode4(2339722),
     /* 2339544 */ /*GILLT_s16*//*Label 32567*/ GIMT_Encode4(2339556),
     /* 2339548 */ /*GILLT_s32*//*Label 32568*/ GIMT_Encode4(2339606),
     /* 2339552 */ /*GILLT_s64*//*Label 32569*/ GIMT_Encode4(2339656),
     /* 2339556 */ // Label 32567: @2339556
     /* 2339556 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2339605),
     /* 2339561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339572 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2339588), // Rule ID 1956 //
     /* 2339577 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339587 */     // GIR_Coverage, 1956,
     /* 2339587 */     GIR_EraseRootFromParent_Done,
     /* 2339588 */   // Label 32572: @2339588
     /* 2339588 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2339604), // Rule ID 1957 //
     /* 2339593 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339603 */     // GIR_Coverage, 1957,
     /* 2339603 */     GIR_EraseRootFromParent_Done,
     /* 2339604 */   // Label 32573: @2339604
     /* 2339604 */   GIM_Reject,
     /* 2339605 */ // Label 32571: @2339605
     /* 2339605 */ GIM_Reject,
     /* 2339606 */ // Label 32568: @2339606
     /* 2339606 */ GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2339655),
     /* 2339611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339622 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2339638), // Rule ID 1243 //
     /* 2339627 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339637 */     // GIR_Coverage, 1243,
     /* 2339637 */     GIR_EraseRootFromParent_Done,
     /* 2339638 */   // Label 32575: @2339638
     /* 2339638 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2339654), // Rule ID 1244 //
     /* 2339643 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339653 */     // GIR_Coverage, 1244,
     /* 2339653 */     GIR_EraseRootFromParent_Done,
     /* 2339654 */   // Label 32576: @2339654
     /* 2339654 */   GIM_Reject,
     /* 2339655 */ // Label 32574: @2339655
     /* 2339655 */ GIM_Reject,
     /* 2339656 */ // Label 32569: @2339656
     /* 2339656 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2339721),
     /* 2339661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339672 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2339688), // Rule ID 1620 //
     /* 2339677 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339687 */     // GIR_Coverage, 1620,
     /* 2339687 */     GIR_EraseRootFromParent_Done,
     /* 2339688 */   // Label 32578: @2339688
     /* 2339688 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2339704), // Rule ID 1621 //
     /* 2339693 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339703 */     // GIR_Coverage, 1621,
     /* 2339703 */     GIR_EraseRootFromParent_Done,
     /* 2339704 */   // Label 32579: @2339704
     /* 2339704 */   GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2339720), // Rule ID 1622 //
     /* 2339709 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339719 */     // GIR_Coverage, 1622,
     /* 2339719 */     GIR_EraseRootFromParent_Done,
     /* 2339720 */   // Label 32580: @2339720
     /* 2339720 */   GIM_Reject,
     /* 2339721 */ // Label 32577: @2339721
     /* 2339721 */ GIM_Reject,
     /* 2339722 */ // Label 32570: @2339722
     /* 2339722 */ GIM_Reject,
     /* 2339723 */ // Label 74: @2339723
     /* 2339723 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32599*/ GIMT_Encode4(2341807),
     /* 2339734 */ /*GILLT_s16*//*Label 32581*/ GIMT_Encode4(2339854),
     /* 2339738 */ /*GILLT_s32*//*Label 32582*/ GIMT_Encode4(2339921),
     /* 2339742 */ /*GILLT_s64*//*Label 32583*/ GIMT_Encode4(2339988), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339754 */ /*GILLT_nxv1s16*//*Label 32584*/ GIMT_Encode4(2340082),
     /* 2339758 */ /*GILLT_nxv1s32*//*Label 32585*/ GIMT_Encode4(2340197),
     /* 2339762 */ /*GILLT_nxv1s64*//*Label 32586*/ GIMT_Encode4(2340312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339774 */ /*GILLT_nxv2s16*//*Label 32587*/ GIMT_Encode4(2340427),
     /* 2339778 */ /*GILLT_nxv2s32*//*Label 32588*/ GIMT_Encode4(2340542),
     /* 2339782 */ /*GILLT_nxv2s64*//*Label 32589*/ GIMT_Encode4(2340657), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339794 */ /*GILLT_nxv4s16*//*Label 32590*/ GIMT_Encode4(2340772),
     /* 2339798 */ /*GILLT_nxv4s32*//*Label 32591*/ GIMT_Encode4(2340887),
     /* 2339802 */ /*GILLT_nxv4s64*//*Label 32592*/ GIMT_Encode4(2341002), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339814 */ /*GILLT_nxv8s16*//*Label 32593*/ GIMT_Encode4(2341117),
     /* 2339818 */ /*GILLT_nxv8s32*//*Label 32594*/ GIMT_Encode4(2341232),
     /* 2339822 */ /*GILLT_nxv8s64*//*Label 32595*/ GIMT_Encode4(2341347), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339834 */ /*GILLT_nxv16s16*//*Label 32596*/ GIMT_Encode4(2341462),
     /* 2339838 */ /*GILLT_nxv16s32*//*Label 32597*/ GIMT_Encode4(2341577), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339850 */ /*GILLT_nxv32s16*//*Label 32598*/ GIMT_Encode4(2341692),
     /* 2339854 */ // Label 32581: @2339854
     /* 2339854 */ GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2339920),
     /* 2339859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339865 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2339892), // Rule ID 1944 //
     /* 2339870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2339873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339885 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339891 */     // GIR_Coverage, 1944,
     /* 2339891 */     GIR_Done,
     /* 2339892 */   // Label 32601: @2339892
     /* 2339892 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2339919), // Rule ID 1945 //
     /* 2339897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2339900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339912 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2339917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339918 */     // GIR_Coverage, 1945,
     /* 2339918 */     GIR_Done,
     /* 2339919 */   // Label 32602: @2339919
     /* 2339919 */   GIM_Reject,
     /* 2339920 */ // Label 32600: @2339920
     /* 2339920 */ GIM_Reject,
     /* 2339921 */ // Label 32582: @2339921
     /* 2339921 */ GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2339987),
     /* 2339926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339932 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2339959), // Rule ID 1231 //
     /* 2339937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2339940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339952 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339958 */     // GIR_Coverage, 1231,
     /* 2339958 */     GIR_Done,
     /* 2339959 */   // Label 32604: @2339959
     /* 2339959 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2339986), // Rule ID 1232 //
     /* 2339964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2339967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339979 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2339984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339985 */     // GIR_Coverage, 1232,
     /* 2339985 */     GIR_Done,
     /* 2339986 */   // Label 32605: @2339986
     /* 2339986 */   GIM_Reject,
     /* 2339987 */ // Label 32603: @2339987
     /* 2339987 */ GIM_Reject,
     /* 2339988 */ // Label 32583: @2339988
     /* 2339988 */ GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2340081),
     /* 2339993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339999 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2340026), // Rule ID 1602 //
     /* 2340004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2340007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340019 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2340024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340025 */     // GIR_Coverage, 1602,
     /* 2340025 */     GIR_Done,
     /* 2340026 */   // Label 32607: @2340026
     /* 2340026 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2340053), // Rule ID 1603 //
     /* 2340031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2340034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340046 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2340051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340052 */     // GIR_Coverage, 1603,
     /* 2340052 */     GIR_Done,
     /* 2340053 */   // Label 32608: @2340053
     /* 2340053 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2340080), // Rule ID 1604 //
     /* 2340058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2340061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340073 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2340078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340079 */     // GIR_Coverage, 1604,
     /* 2340079 */     GIR_Done,
     /* 2340080 */   // Label 32609: @2340080
     /* 2340080 */   GIM_Reject,
     /* 2340081 */ // Label 32606: @2340081
     /* 2340081 */ GIM_Reject,
     /* 2340082 */ // Label 32584: @2340082
     /* 2340082 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2340196),
     /* 2340087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340105 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2340150), // Rule ID 45630 //
     /* 2340110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340113 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2340130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340149 */     // GIR_Coverage, 45630,
     /* 2340149 */     GIR_EraseRootFromParent_Done,
     /* 2340150 */   // Label 32611: @2340150
     /* 2340150 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2340195), // Rule ID 45631 //
     /* 2340155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340158 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2340175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340194 */     // GIR_Coverage, 45631,
     /* 2340194 */     GIR_EraseRootFromParent_Done,
     /* 2340195 */   // Label 32612: @2340195
     /* 2340195 */   GIM_Reject,
     /* 2340196 */ // Label 32610: @2340196
     /* 2340196 */ GIM_Reject,
     /* 2340197 */ // Label 32585: @2340197
     /* 2340197 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2340311),
     /* 2340202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340220 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2340265), // Rule ID 56416 //
     /* 2340225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340228 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2340245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340264 */     // GIR_Coverage, 56416,
     /* 2340264 */     GIR_EraseRootFromParent_Done,
     /* 2340265 */   // Label 32614: @2340265
     /* 2340265 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2340310), // Rule ID 56417 //
     /* 2340270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340273 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2340290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340309 */     // GIR_Coverage, 56417,
     /* 2340309 */     GIR_EraseRootFromParent_Done,
     /* 2340310 */   // Label 32615: @2340310
     /* 2340310 */   GIM_Reject,
     /* 2340311 */ // Label 32613: @2340311
     /* 2340311 */ GIM_Reject,
     /* 2340312 */ // Label 32586: @2340312
     /* 2340312 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2340426),
     /* 2340317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340335 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2340380), // Rule ID 56434 //
     /* 2340340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340343 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2340360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340379 */     // GIR_Coverage, 56434,
     /* 2340379 */     GIR_EraseRootFromParent_Done,
     /* 2340380 */   // Label 32617: @2340380
     /* 2340380 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2340425), // Rule ID 56435 //
     /* 2340385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340388 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2340405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340424 */     // GIR_Coverage, 56435,
     /* 2340424 */     GIR_EraseRootFromParent_Done,
     /* 2340425 */   // Label 32618: @2340425
     /* 2340425 */   GIM_Reject,
     /* 2340426 */ // Label 32616: @2340426
     /* 2340426 */ GIM_Reject,
     /* 2340427 */ // Label 32587: @2340427
     /* 2340427 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2340541),
     /* 2340432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340450 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2340495), // Rule ID 56410 //
     /* 2340455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340458 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340494 */     // GIR_Coverage, 56410,
     /* 2340494 */     GIR_EraseRootFromParent_Done,
     /* 2340495 */   // Label 32620: @2340495
     /* 2340495 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2340540), // Rule ID 56411 //
     /* 2340500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340503 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340539 */     // GIR_Coverage, 56411,
     /* 2340539 */     GIR_EraseRootFromParent_Done,
     /* 2340540 */   // Label 32621: @2340540
     /* 2340540 */   GIM_Reject,
     /* 2340541 */ // Label 32619: @2340541
     /* 2340541 */ GIM_Reject,
     /* 2340542 */ // Label 32588: @2340542
     /* 2340542 */ GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2340656),
     /* 2340547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340565 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2340610), // Rule ID 56428 //
     /* 2340570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340573 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340609 */     // GIR_Coverage, 56428,
     /* 2340609 */     GIR_EraseRootFromParent_Done,
     /* 2340610 */   // Label 32623: @2340610
     /* 2340610 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2340655), // Rule ID 56429 //
     /* 2340615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340618 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340654 */     // GIR_Coverage, 56429,
     /* 2340654 */     GIR_EraseRootFromParent_Done,
     /* 2340655 */   // Label 32624: @2340655
     /* 2340655 */   GIM_Reject,
     /* 2340656 */ // Label 32622: @2340656
     /* 2340656 */ GIM_Reject,
     /* 2340657 */ // Label 32589: @2340657
     /* 2340657 */ GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2340771),
     /* 2340662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2340668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340680 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2340725), // Rule ID 56476 //
     /* 2340685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340688 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340724 */     // GIR_Coverage, 56476,
     /* 2340724 */     GIR_EraseRootFromParent_Done,
     /* 2340725 */   // Label 32626: @2340725
     /* 2340725 */   GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2340770), // Rule ID 56477 //
     /* 2340730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340733 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340769 */     // GIR_Coverage, 56477,
     /* 2340769 */     GIR_EraseRootFromParent_Done,
     /* 2340770 */   // Label 32627: @2340770
     /* 2340770 */   GIM_Reject,
     /* 2340771 */ // Label 32625: @2340771
     /* 2340771 */ GIM_Reject,
     /* 2340772 */ // Label 32590: @2340772
     /* 2340772 */ GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2340886),
     /* 2340777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2340783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340795 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2340840), // Rule ID 56422 //
     /* 2340800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340803 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340839 */     // GIR_Coverage, 56422,
     /* 2340839 */     GIR_EraseRootFromParent_Done,
     /* 2340840 */   // Label 32629: @2340840
     /* 2340840 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2340885), // Rule ID 56423 //
     /* 2340845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340848 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340884 */     // GIR_Coverage, 56423,
     /* 2340884 */     GIR_EraseRootFromParent_Done,
     /* 2340885 */   // Label 32630: @2340885
     /* 2340885 */   GIM_Reject,
     /* 2340886 */ // Label 32628: @2340886
     /* 2340886 */ GIM_Reject,
     /* 2340887 */ // Label 32591: @2340887
     /* 2340887 */ GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2341001),
     /* 2340892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2340898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340910 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2340955), // Rule ID 56458 //
     /* 2340915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340918 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340954 */     // GIR_Coverage, 56458,
     /* 2340954 */     GIR_EraseRootFromParent_Done,
     /* 2340955 */   // Label 32632: @2340955
     /* 2340955 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2341000), // Rule ID 56459 //
     /* 2340960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340963 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340999 */     // GIR_Coverage, 56459,
     /* 2340999 */     GIR_EraseRootFromParent_Done,
     /* 2341000 */   // Label 32633: @2341000
     /* 2341000 */   GIM_Reject,
     /* 2341001 */ // Label 32631: @2341001
     /* 2341001 */ GIM_Reject,
     /* 2341002 */ // Label 32592: @2341002
     /* 2341002 */ GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2341116),
     /* 2341007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2341013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341025 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2341070), // Rule ID 56482 //
     /* 2341030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341033 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2341050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341069 */     // GIR_Coverage, 56482,
     /* 2341069 */     GIR_EraseRootFromParent_Done,
     /* 2341070 */   // Label 32635: @2341070
     /* 2341070 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2341115), // Rule ID 56483 //
     /* 2341075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341078 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2341095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341114 */     // GIR_Coverage, 56483,
     /* 2341114 */     GIR_EraseRootFromParent_Done,
     /* 2341115 */   // Label 32636: @2341115
     /* 2341115 */   GIM_Reject,
     /* 2341116 */ // Label 32634: @2341116
     /* 2341116 */ GIM_Reject,
     /* 2341117 */ // Label 32593: @2341117
     /* 2341117 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2341231),
     /* 2341122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2341128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341140 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2341185), // Rule ID 56440 //
     /* 2341145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341148 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2341165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341184 */     // GIR_Coverage, 56440,
     /* 2341184 */     GIR_EraseRootFromParent_Done,
     /* 2341185 */   // Label 32638: @2341185
     /* 2341185 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2341230), // Rule ID 56441 //
     /* 2341190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341193 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2341210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341229 */     // GIR_Coverage, 56441,
     /* 2341229 */     GIR_EraseRootFromParent_Done,
     /* 2341230 */   // Label 32639: @2341230
     /* 2341230 */   GIM_Reject,
     /* 2341231 */ // Label 32637: @2341231
     /* 2341231 */ GIM_Reject,
     /* 2341232 */ // Label 32594: @2341232
     /* 2341232 */ GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2341346),
     /* 2341237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2341243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341255 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2341300), // Rule ID 56464 //
     /* 2341260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341263 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2341280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341299 */     // GIR_Coverage, 56464,
     /* 2341299 */     GIR_EraseRootFromParent_Done,
     /* 2341300 */   // Label 32641: @2341300
     /* 2341300 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2341345), // Rule ID 56465 //
     /* 2341305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341308 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2341325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341344 */     // GIR_Coverage, 56465,
     /* 2341344 */     GIR_EraseRootFromParent_Done,
     /* 2341345 */   // Label 32642: @2341345
     /* 2341345 */   GIM_Reject,
     /* 2341346 */ // Label 32640: @2341346
     /* 2341346 */ GIM_Reject,
     /* 2341347 */ // Label 32595: @2341347
     /* 2341347 */ GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2341461),
     /* 2341352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2341355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2341358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341370 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2341415), // Rule ID 56488 //
     /* 2341375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341378 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341414 */     // GIR_Coverage, 56488,
     /* 2341414 */     GIR_EraseRootFromParent_Done,
     /* 2341415 */   // Label 32644: @2341415
     /* 2341415 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2341460), // Rule ID 56489 //
     /* 2341420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341423 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341459 */     // GIR_Coverage, 56489,
     /* 2341459 */     GIR_EraseRootFromParent_Done,
     /* 2341460 */   // Label 32645: @2341460
     /* 2341460 */   GIM_Reject,
     /* 2341461 */ // Label 32643: @2341461
     /* 2341461 */ GIM_Reject,
     /* 2341462 */ // Label 32596: @2341462
     /* 2341462 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2341576),
     /* 2341467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2341470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2341473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341485 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2341530), // Rule ID 56446 //
     /* 2341490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341493 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341529 */     // GIR_Coverage, 56446,
     /* 2341529 */     GIR_EraseRootFromParent_Done,
     /* 2341530 */   // Label 32647: @2341530
     /* 2341530 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2341575), // Rule ID 56447 //
     /* 2341535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341538 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341574 */     // GIR_Coverage, 56447,
     /* 2341574 */     GIR_EraseRootFromParent_Done,
     /* 2341575 */   // Label 32648: @2341575
     /* 2341575 */   GIM_Reject,
     /* 2341576 */ // Label 32646: @2341576
     /* 2341576 */ GIM_Reject,
     /* 2341577 */ // Label 32597: @2341577
     /* 2341577 */ GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2341691),
     /* 2341582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2341585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2341588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341600 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2341645), // Rule ID 56470 //
     /* 2341605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341608 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341644 */     // GIR_Coverage, 56470,
     /* 2341644 */     GIR_EraseRootFromParent_Done,
     /* 2341645 */   // Label 32650: @2341645
     /* 2341645 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2341690), // Rule ID 56471 //
     /* 2341650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341653 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341689 */     // GIR_Coverage, 56471,
     /* 2341689 */     GIR_EraseRootFromParent_Done,
     /* 2341690 */   // Label 32651: @2341690
     /* 2341690 */   GIM_Reject,
     /* 2341691 */ // Label 32649: @2341691
     /* 2341691 */ GIM_Reject,
     /* 2341692 */ // Label 32598: @2341692
     /* 2341692 */ GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2341806),
     /* 2341697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2341700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2341703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341715 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2341760), // Rule ID 56452 //
     /* 2341720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341723 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341759 */     // GIR_Coverage, 56452,
     /* 2341759 */     GIR_EraseRootFromParent_Done,
     /* 2341760 */   // Label 32653: @2341760
     /* 2341760 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2341805), // Rule ID 56453 //
     /* 2341765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341768 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341804 */     // GIR_Coverage, 56453,
     /* 2341804 */     GIR_EraseRootFromParent_Done,
     /* 2341805 */   // Label 32654: @2341805
     /* 2341805 */   GIM_Reject,
     /* 2341806 */ // Label 32652: @2341806
     /* 2341806 */ GIM_Reject,
     /* 2341807 */ // Label 32599: @2341807
     /* 2341807 */ GIM_Reject,
     /* 2341808 */ // Label 75: @2341808
     /* 2341808 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32673*/ GIMT_Encode4(2343892),
     /* 2341819 */ /*GILLT_s16*//*Label 32655*/ GIMT_Encode4(2341939),
     /* 2341823 */ /*GILLT_s32*//*Label 32656*/ GIMT_Encode4(2342006),
     /* 2341827 */ /*GILLT_s64*//*Label 32657*/ GIMT_Encode4(2342073), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341839 */ /*GILLT_nxv1s16*//*Label 32658*/ GIMT_Encode4(2342167),
     /* 2341843 */ /*GILLT_nxv1s32*//*Label 32659*/ GIMT_Encode4(2342282),
     /* 2341847 */ /*GILLT_nxv1s64*//*Label 32660*/ GIMT_Encode4(2342397), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341859 */ /*GILLT_nxv2s16*//*Label 32661*/ GIMT_Encode4(2342512),
     /* 2341863 */ /*GILLT_nxv2s32*//*Label 32662*/ GIMT_Encode4(2342627),
     /* 2341867 */ /*GILLT_nxv2s64*//*Label 32663*/ GIMT_Encode4(2342742), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341879 */ /*GILLT_nxv4s16*//*Label 32664*/ GIMT_Encode4(2342857),
     /* 2341883 */ /*GILLT_nxv4s32*//*Label 32665*/ GIMT_Encode4(2342972),
     /* 2341887 */ /*GILLT_nxv4s64*//*Label 32666*/ GIMT_Encode4(2343087), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341899 */ /*GILLT_nxv8s16*//*Label 32667*/ GIMT_Encode4(2343202),
     /* 2341903 */ /*GILLT_nxv8s32*//*Label 32668*/ GIMT_Encode4(2343317),
     /* 2341907 */ /*GILLT_nxv8s64*//*Label 32669*/ GIMT_Encode4(2343432), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341919 */ /*GILLT_nxv16s16*//*Label 32670*/ GIMT_Encode4(2343547),
     /* 2341923 */ /*GILLT_nxv16s32*//*Label 32671*/ GIMT_Encode4(2343662), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341935 */ /*GILLT_nxv32s16*//*Label 32672*/ GIMT_Encode4(2343777),
     /* 2341939 */ // Label 32655: @2341939
     /* 2341939 */ GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2342005),
     /* 2341944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2341947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2341950 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2341977), // Rule ID 1946 //
     /* 2341955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2341958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341970 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2341975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341976 */     // GIR_Coverage, 1946,
     /* 2341976 */     GIR_Done,
     /* 2341977 */   // Label 32675: @2341977
     /* 2341977 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2342004), // Rule ID 1947 //
     /* 2341982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2341985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341997 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2342002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342003 */     // GIR_Coverage, 1947,
     /* 2342003 */     GIR_Done,
     /* 2342004 */   // Label 32676: @2342004
     /* 2342004 */   GIM_Reject,
     /* 2342005 */ // Label 32674: @2342005
     /* 2342005 */ GIM_Reject,
     /* 2342006 */ // Label 32656: @2342006
     /* 2342006 */ GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2342072),
     /* 2342011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2342014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342017 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2342044), // Rule ID 1233 //
     /* 2342022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2342025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342037 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2342037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2342042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342043 */     // GIR_Coverage, 1233,
     /* 2342043 */     GIR_Done,
     /* 2342044 */   // Label 32678: @2342044
     /* 2342044 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2342071), // Rule ID 1234 //
     /* 2342049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2342052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2342064 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2342064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2342069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342070 */     // GIR_Coverage, 1234,
     /* 2342070 */     GIR_Done,
     /* 2342071 */   // Label 32679: @2342071
     /* 2342071 */   GIM_Reject,
     /* 2342072 */ // Label 32677: @2342072
     /* 2342072 */ GIM_Reject,
     /* 2342073 */ // Label 32657: @2342073
     /* 2342073 */ GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2342166),
     /* 2342078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2342081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2342084 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2342111), // Rule ID 1605 //
     /* 2342089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2342092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342104 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2342109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342110 */     // GIR_Coverage, 1605,
     /* 2342110 */     GIR_Done,
     /* 2342111 */   // Label 32681: @2342111
     /* 2342111 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2342138), // Rule ID 1606 //
     /* 2342116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2342119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2342131 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2342136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342137 */     // GIR_Coverage, 1606,
     /* 2342137 */     GIR_Done,
     /* 2342138 */   // Label 32682: @2342138
     /* 2342138 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2342165), // Rule ID 1607 //
     /* 2342143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2342146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342158 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2342163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342164 */     // GIR_Coverage, 1607,
     /* 2342164 */     GIR_Done,
     /* 2342165 */   // Label 32683: @2342165
     /* 2342165 */   GIM_Reject,
     /* 2342166 */ // Label 32680: @2342166
     /* 2342166 */ GIM_Reject,
     /* 2342167 */ // Label 32658: @2342167
     /* 2342167 */ GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2342281),
     /* 2342172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2342175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342190 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2342235), // Rule ID 56494 //
     /* 2342195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342198 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2342215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342234 */     // GIR_Coverage, 56494,
     /* 2342234 */     GIR_EraseRootFromParent_Done,
     /* 2342235 */   // Label 32685: @2342235
     /* 2342235 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2342280), // Rule ID 56495 //
     /* 2342240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342243 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2342260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342279 */     // GIR_Coverage, 56495,
     /* 2342279 */     GIR_EraseRootFromParent_Done,
     /* 2342280 */   // Label 32686: @2342280
     /* 2342280 */   GIM_Reject,
     /* 2342281 */ // Label 32684: @2342281
     /* 2342281 */ GIM_Reject,
     /* 2342282 */ // Label 32659: @2342282
     /* 2342282 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2342396),
     /* 2342287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2342290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342305 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2342350), // Rule ID 56506 //
     /* 2342310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342313 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2342330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342349 */     // GIR_Coverage, 56506,
     /* 2342349 */     GIR_EraseRootFromParent_Done,
     /* 2342350 */   // Label 32688: @2342350
     /* 2342350 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2342395), // Rule ID 56507 //
     /* 2342355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342358 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2342375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342394 */     // GIR_Coverage, 56507,
     /* 2342394 */     GIR_EraseRootFromParent_Done,
     /* 2342395 */   // Label 32689: @2342395
     /* 2342395 */   GIM_Reject,
     /* 2342396 */ // Label 32687: @2342396
     /* 2342396 */ GIM_Reject,
     /* 2342397 */ // Label 32660: @2342397
     /* 2342397 */ GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2342511),
     /* 2342402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2342405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342420 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2342465), // Rule ID 56524 //
     /* 2342425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342428 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342464 */     // GIR_Coverage, 56524,
     /* 2342464 */     GIR_EraseRootFromParent_Done,
     /* 2342465 */   // Label 32691: @2342465
     /* 2342465 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2342510), // Rule ID 56525 //
     /* 2342470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342473 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342509 */     // GIR_Coverage, 56525,
     /* 2342509 */     GIR_EraseRootFromParent_Done,
     /* 2342510 */   // Label 32692: @2342510
     /* 2342510 */   GIM_Reject,
     /* 2342511 */ // Label 32690: @2342511
     /* 2342511 */ GIM_Reject,
     /* 2342512 */ // Label 32661: @2342512
     /* 2342512 */ GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2342626),
     /* 2342517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2342520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2342523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342535 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2342580), // Rule ID 56500 //
     /* 2342540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342543 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342579 */     // GIR_Coverage, 56500,
     /* 2342579 */     GIR_EraseRootFromParent_Done,
     /* 2342580 */   // Label 32694: @2342580
     /* 2342580 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2342625), // Rule ID 56501 //
     /* 2342585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342588 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342624 */     // GIR_Coverage, 56501,
     /* 2342624 */     GIR_EraseRootFromParent_Done,
     /* 2342625 */   // Label 32695: @2342625
     /* 2342625 */   GIM_Reject,
     /* 2342626 */ // Label 32693: @2342626
     /* 2342626 */ GIM_Reject,
     /* 2342627 */ // Label 32662: @2342627
     /* 2342627 */ GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2342741),
     /* 2342632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2342635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2342638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342650 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2342695), // Rule ID 56518 //
     /* 2342655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342658 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342694 */     // GIR_Coverage, 56518,
     /* 2342694 */     GIR_EraseRootFromParent_Done,
     /* 2342695 */   // Label 32697: @2342695
     /* 2342695 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2342740), // Rule ID 56519 //
     /* 2342700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342703 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342739 */     // GIR_Coverage, 56519,
     /* 2342739 */     GIR_EraseRootFromParent_Done,
     /* 2342740 */   // Label 32698: @2342740
     /* 2342740 */   GIM_Reject,
     /* 2342741 */ // Label 32696: @2342741
     /* 2342741 */ GIM_Reject,
     /* 2342742 */ // Label 32663: @2342742
     /* 2342742 */ GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2342856),
     /* 2342747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2342750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2342753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342765 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2342810), // Rule ID 56566 //
     /* 2342770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342773 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342809 */     // GIR_Coverage, 56566,
     /* 2342809 */     GIR_EraseRootFromParent_Done,
     /* 2342810 */   // Label 32700: @2342810
     /* 2342810 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2342855), // Rule ID 56567 //
     /* 2342815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342818 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342854 */     // GIR_Coverage, 56567,
     /* 2342854 */     GIR_EraseRootFromParent_Done,
     /* 2342855 */   // Label 32701: @2342855
     /* 2342855 */   GIM_Reject,
     /* 2342856 */ // Label 32699: @2342856
     /* 2342856 */ GIM_Reject,
     /* 2342857 */ // Label 32664: @2342857
     /* 2342857 */ GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2342971),
     /* 2342862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2342868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342880 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2342925), // Rule ID 56512 //
     /* 2342885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342888 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342924 */     // GIR_Coverage, 56512,
     /* 2342924 */     GIR_EraseRootFromParent_Done,
     /* 2342925 */   // Label 32703: @2342925
     /* 2342925 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2342970), // Rule ID 56513 //
     /* 2342930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342933 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342969 */     // GIR_Coverage, 56513,
     /* 2342969 */     GIR_EraseRootFromParent_Done,
     /* 2342970 */   // Label 32704: @2342970
     /* 2342970 */   GIM_Reject,
     /* 2342971 */ // Label 32702: @2342971
     /* 2342971 */ GIM_Reject,
     /* 2342972 */ // Label 32665: @2342972
     /* 2342972 */ GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2343086),
     /* 2342977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2342983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342995 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2343040), // Rule ID 56548 //
     /* 2343000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343003 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2343020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343039 */     // GIR_Coverage, 56548,
     /* 2343039 */     GIR_EraseRootFromParent_Done,
     /* 2343040 */   // Label 32706: @2343040
     /* 2343040 */   GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2343085), // Rule ID 56549 //
     /* 2343045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343048 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2343065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343084 */     // GIR_Coverage, 56549,
     /* 2343084 */     GIR_EraseRootFromParent_Done,
     /* 2343085 */   // Label 32707: @2343085
     /* 2343085 */   GIM_Reject,
     /* 2343086 */ // Label 32705: @2343086
     /* 2343086 */ GIM_Reject,
     /* 2343087 */ // Label 32666: @2343087
     /* 2343087 */ GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2343201),
     /* 2343092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2343095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2343098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343110 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2343155), // Rule ID 56572 //
     /* 2343115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343118 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2343135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343154 */     // GIR_Coverage, 56572,
     /* 2343154 */     GIR_EraseRootFromParent_Done,
     /* 2343155 */   // Label 32709: @2343155
     /* 2343155 */   GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2343200), // Rule ID 56573 //
     /* 2343160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343163 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2343180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343199 */     // GIR_Coverage, 56573,
     /* 2343199 */     GIR_EraseRootFromParent_Done,
     /* 2343200 */   // Label 32710: @2343200
     /* 2343200 */   GIM_Reject,
     /* 2343201 */ // Label 32708: @2343201
     /* 2343201 */ GIM_Reject,
     /* 2343202 */ // Label 32667: @2343202
     /* 2343202 */ GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2343316),
     /* 2343207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2343210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2343213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343225 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2343270), // Rule ID 56530 //
     /* 2343230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343233 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2343250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343269 */     // GIR_Coverage, 56530,
     /* 2343269 */     GIR_EraseRootFromParent_Done,
     /* 2343270 */   // Label 32712: @2343270
     /* 2343270 */   GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2343315), // Rule ID 56531 //
     /* 2343275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343278 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2343295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343314 */     // GIR_Coverage, 56531,
     /* 2343314 */     GIR_EraseRootFromParent_Done,
     /* 2343315 */   // Label 32713: @2343315
     /* 2343315 */   GIM_Reject,
     /* 2343316 */ // Label 32711: @2343316
     /* 2343316 */ GIM_Reject,
     /* 2343317 */ // Label 32668: @2343317
     /* 2343317 */ GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2343431),
     /* 2343322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2343328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343340 */   GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2343385), // Rule ID 56554 //
     /* 2343345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343348 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2343365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343384 */     // GIR_Coverage, 56554,
     /* 2343384 */     GIR_EraseRootFromParent_Done,
     /* 2343385 */   // Label 32715: @2343385
     /* 2343385 */   GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2343430), // Rule ID 56555 //
     /* 2343390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343393 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2343410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343429 */     // GIR_Coverage, 56555,
     /* 2343429 */     GIR_EraseRootFromParent_Done,
     /* 2343430 */   // Label 32716: @2343430
     /* 2343430 */   GIM_Reject,
     /* 2343431 */ // Label 32714: @2343431
     /* 2343431 */ GIM_Reject,
     /* 2343432 */ // Label 32669: @2343432
     /* 2343432 */ GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2343546),
     /* 2343437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2343443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343455 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2343500), // Rule ID 56578 //
     /* 2343460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343463 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343499 */     // GIR_Coverage, 56578,
     /* 2343499 */     GIR_EraseRootFromParent_Done,
     /* 2343500 */   // Label 32718: @2343500
     /* 2343500 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2343545), // Rule ID 56579 //
     /* 2343505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343508 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343544 */     // GIR_Coverage, 56579,
     /* 2343544 */     GIR_EraseRootFromParent_Done,
     /* 2343545 */   // Label 32719: @2343545
     /* 2343545 */   GIM_Reject,
     /* 2343546 */ // Label 32717: @2343546
     /* 2343546 */ GIM_Reject,
     /* 2343547 */ // Label 32670: @2343547
     /* 2343547 */ GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2343661),
     /* 2343552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2343558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343570 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2343615), // Rule ID 56536 //
     /* 2343575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343578 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343614 */     // GIR_Coverage, 56536,
     /* 2343614 */     GIR_EraseRootFromParent_Done,
     /* 2343615 */   // Label 32721: @2343615
     /* 2343615 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2343660), // Rule ID 56537 //
     /* 2343620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343623 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343659 */     // GIR_Coverage, 56537,
     /* 2343659 */     GIR_EraseRootFromParent_Done,
     /* 2343660 */   // Label 32722: @2343660
     /* 2343660 */   GIM_Reject,
     /* 2343661 */ // Label 32720: @2343661
     /* 2343661 */ GIM_Reject,
     /* 2343662 */ // Label 32671: @2343662
     /* 2343662 */ GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2343776),
     /* 2343667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2343673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343685 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2343730), // Rule ID 56560 //
     /* 2343690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343693 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343729 */     // GIR_Coverage, 56560,
     /* 2343729 */     GIR_EraseRootFromParent_Done,
     /* 2343730 */   // Label 32724: @2343730
     /* 2343730 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2343775), // Rule ID 56561 //
     /* 2343735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343738 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343774 */     // GIR_Coverage, 56561,
     /* 2343774 */     GIR_EraseRootFromParent_Done,
     /* 2343775 */   // Label 32725: @2343775
     /* 2343775 */   GIM_Reject,
     /* 2343776 */ // Label 32723: @2343776
     /* 2343776 */ GIM_Reject,
     /* 2343777 */ // Label 32672: @2343777
     /* 2343777 */ GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2343891),
     /* 2343782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2343788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343800 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2343845), // Rule ID 56542 //
     /* 2343805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343808 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343844 */     // GIR_Coverage, 56542,
     /* 2343844 */     GIR_EraseRootFromParent_Done,
     /* 2343845 */   // Label 32727: @2343845
     /* 2343845 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2343890), // Rule ID 56543 //
     /* 2343850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343853 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343889 */     // GIR_Coverage, 56543,
     /* 2343889 */     GIR_EraseRootFromParent_Done,
     /* 2343890 */   // Label 32728: @2343890
     /* 2343890 */   GIM_Reject,
     /* 2343891 */ // Label 32726: @2343891
     /* 2343891 */ GIM_Reject,
     /* 2343892 */ // Label 32673: @2343892
     /* 2343892 */ GIM_Reject,
     /* 2343893 */ // Label 76: @2343893
     /* 2343893 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32732*/ GIMT_Encode4(2344018),
     /* 2343904 */ /*GILLT_s16*//*Label 32729*/ GIMT_Encode4(2343916),
     /* 2343908 */ /*GILLT_s32*//*Label 32730*/ GIMT_Encode4(2343950),
     /* 2343912 */ /*GILLT_s64*//*Label 32731*/ GIMT_Encode4(2343984),
     /* 2343916 */ // Label 32729: @2343916
     /* 2343916 */ GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2343949), // Rule ID 2298 //
     /* 2343921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343942 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343942 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2343947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343948 */   // GIR_Coverage, 2298,
     /* 2343948 */   GIR_Done,
     /* 2343949 */ // Label 32733: @2343949
     /* 2343949 */ GIM_Reject,
     /* 2343950 */ // Label 32730: @2343950
     /* 2343950 */ GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2343983), // Rule ID 2216 //
     /* 2343955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343976 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343976 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2343981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343982 */   // GIR_Coverage, 2216,
     /* 2343982 */   GIR_Done,
     /* 2343983 */ // Label 32734: @2343983
     /* 2343983 */ GIM_Reject,
     /* 2343984 */ // Label 32731: @2343984
     /* 2343984 */ GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2344017), // Rule ID 2256 //
     /* 2343989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2343992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344010 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344010 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2344015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344016 */   // GIR_Coverage, 2256,
     /* 2344016 */   GIR_Done,
     /* 2344017 */ // Label 32735: @2344017
     /* 2344017 */ GIM_Reject,
     /* 2344018 */ // Label 32732: @2344018
     /* 2344018 */ GIM_Reject,
     /* 2344019 */ // Label 77: @2344019
     /* 2344019 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32739*/ GIMT_Encode4(2344144),
     /* 2344030 */ /*GILLT_s16*//*Label 32736*/ GIMT_Encode4(2344042),
     /* 2344034 */ /*GILLT_s32*//*Label 32737*/ GIMT_Encode4(2344076),
     /* 2344038 */ /*GILLT_s64*//*Label 32738*/ GIMT_Encode4(2344110),
     /* 2344042 */ // Label 32736: @2344042
     /* 2344042 */ GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2344075), // Rule ID 2299 //
     /* 2344047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2344050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2344053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2344056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344068 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2344068 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2344073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344074 */   // GIR_Coverage, 2299,
     /* 2344074 */   GIR_Done,
     /* 2344075 */ // Label 32740: @2344075
     /* 2344075 */ GIM_Reject,
     /* 2344076 */ // Label 32737: @2344076
     /* 2344076 */ GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2344109), // Rule ID 2217 //
     /* 2344081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2344084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344102 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2344102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2344107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344108 */   // GIR_Coverage, 2217,
     /* 2344108 */   GIR_Done,
     /* 2344109 */ // Label 32741: @2344109
     /* 2344109 */ GIM_Reject,
     /* 2344110 */ // Label 32738: @2344110
     /* 2344110 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2344143), // Rule ID 2257 //
     /* 2344115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2344118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344136 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344136 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2344141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344142 */   // GIR_Coverage, 2257,
     /* 2344142 */   GIR_Done,
     /* 2344143 */ // Label 32742: @2344143
     /* 2344143 */ GIM_Reject,
     /* 2344144 */ // Label 32739: @2344144
     /* 2344144 */ GIM_Reject,
     /* 2344145 */ // Label 78: @2344145
     /* 2344145 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32767*/ GIMT_Encode4(2346920),
     /* 2344156 */ /*GILLT_s32*//*Label 32743*/ GIMT_Encode4(2344280),
     /* 2344160 */ /*GILLT_s64*//*Label 32744*/ GIMT_Encode4(2344335), GIMT_Encode4(0),
     /* 2344168 */ /*GILLT_nxv1s8*//*Label 32745*/ GIMT_Encode4(2344390),
     /* 2344172 */ /*GILLT_nxv1s16*//*Label 32746*/ GIMT_Encode4(2344505),
     /* 2344176 */ /*GILLT_nxv1s32*//*Label 32747*/ GIMT_Encode4(2344620),
     /* 2344180 */ /*GILLT_nxv1s64*//*Label 32748*/ GIMT_Encode4(2344735), GIMT_Encode4(0),
     /* 2344188 */ /*GILLT_nxv2s8*//*Label 32749*/ GIMT_Encode4(2344850),
     /* 2344192 */ /*GILLT_nxv2s16*//*Label 32750*/ GIMT_Encode4(2344965),
     /* 2344196 */ /*GILLT_nxv2s32*//*Label 32751*/ GIMT_Encode4(2345080),
     /* 2344200 */ /*GILLT_nxv2s64*//*Label 32752*/ GIMT_Encode4(2345195), GIMT_Encode4(0),
     /* 2344208 */ /*GILLT_nxv4s8*//*Label 32753*/ GIMT_Encode4(2345310),
     /* 2344212 */ /*GILLT_nxv4s16*//*Label 32754*/ GIMT_Encode4(2345425),
     /* 2344216 */ /*GILLT_nxv4s32*//*Label 32755*/ GIMT_Encode4(2345540),
     /* 2344220 */ /*GILLT_nxv4s64*//*Label 32756*/ GIMT_Encode4(2345655), GIMT_Encode4(0),
     /* 2344228 */ /*GILLT_nxv8s8*//*Label 32757*/ GIMT_Encode4(2345770),
     /* 2344232 */ /*GILLT_nxv8s16*//*Label 32758*/ GIMT_Encode4(2345885),
     /* 2344236 */ /*GILLT_nxv8s32*//*Label 32759*/ GIMT_Encode4(2346000),
     /* 2344240 */ /*GILLT_nxv8s64*//*Label 32760*/ GIMT_Encode4(2346115), GIMT_Encode4(0),
     /* 2344248 */ /*GILLT_nxv16s8*//*Label 32761*/ GIMT_Encode4(2346230),
     /* 2344252 */ /*GILLT_nxv16s16*//*Label 32762*/ GIMT_Encode4(2346345),
     /* 2344256 */ /*GILLT_nxv16s32*//*Label 32763*/ GIMT_Encode4(2346460), GIMT_Encode4(0),
     /* 2344264 */ /*GILLT_nxv32s8*//*Label 32764*/ GIMT_Encode4(2346575),
     /* 2344268 */ /*GILLT_nxv32s16*//*Label 32765*/ GIMT_Encode4(2346690), GIMT_Encode4(0),
     /* 2344276 */ /*GILLT_nxv64s8*//*Label 32766*/ GIMT_Encode4(2346805),
     /* 2344280 */ // Label 32743: @2344280
     /* 2344280 */ GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2344334),
     /* 2344285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344303 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2344318), // Rule ID 64375 //
     /* 2344308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2344311 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2344311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2344316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344317 */     // GIR_Coverage, 64375,
     /* 2344317 */     GIR_Done,
     /* 2344318 */   // Label 32769: @2344318
     /* 2344318 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2344333), // Rule ID 2419 //
     /* 2344323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2344326 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2344326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2344331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344332 */     // GIR_Coverage, 2419,
     /* 2344332 */     GIR_Done,
     /* 2344333 */   // Label 32770: @2344333
     /* 2344333 */   GIM_Reject,
     /* 2344334 */ // Label 32768: @2344334
     /* 2344334 */ GIM_Reject,
     /* 2344335 */ // Label 32744: @2344335
     /* 2344335 */ GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2344389),
     /* 2344340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344358 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2344373), // Rule ID 64374 //
     /* 2344363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2344366 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2344366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2344371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344372 */     // GIR_Coverage, 64374,
     /* 2344372 */     GIR_Done,
     /* 2344373 */   // Label 32772: @2344373
     /* 2344373 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2344388), // Rule ID 2418 //
     /* 2344378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2344381 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2344381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2344386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344387 */     // GIR_Coverage, 2418,
     /* 2344387 */     GIR_Done,
     /* 2344388 */   // Label 32773: @2344388
     /* 2344388 */   GIM_Reject,
     /* 2344389 */ // Label 32771: @2344389
     /* 2344389 */ GIM_Reject,
     /* 2344390 */ // Label 32745: @2344390
     /* 2344390 */ GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2344504),
     /* 2344395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2344398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2344401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344413 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2344458), // Rule ID 50466 //
     /* 2344418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344421 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344457 */     // GIR_Coverage, 50466,
     /* 2344457 */     GIR_EraseRootFromParent_Done,
     /* 2344458 */   // Label 32775: @2344458
     /* 2344458 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2344503), // Rule ID 50467 //
     /* 2344463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344466 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344502 */     // GIR_Coverage, 50467,
     /* 2344502 */     GIR_EraseRootFromParent_Done,
     /* 2344503 */   // Label 32776: @2344503
     /* 2344503 */   GIM_Reject,
     /* 2344504 */ // Label 32774: @2344504
     /* 2344504 */ GIM_Reject,
     /* 2344505 */ // Label 32746: @2344505
     /* 2344505 */ GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2344619),
     /* 2344510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344528 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2344573), // Rule ID 50478 //
     /* 2344533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344536 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344572 */     // GIR_Coverage, 50478,
     /* 2344572 */     GIR_EraseRootFromParent_Done,
     /* 2344573 */   // Label 32778: @2344573
     /* 2344573 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2344618), // Rule ID 50479 //
     /* 2344578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344581 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344617 */     // GIR_Coverage, 50479,
     /* 2344617 */     GIR_EraseRootFromParent_Done,
     /* 2344618 */   // Label 32779: @2344618
     /* 2344618 */   GIM_Reject,
     /* 2344619 */ // Label 32777: @2344619
     /* 2344619 */ GIM_Reject,
     /* 2344620 */ // Label 32747: @2344620
     /* 2344620 */ GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2344734),
     /* 2344625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2344631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344643 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2344688), // Rule ID 50486 //
     /* 2344648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344651 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344687 */     // GIR_Coverage, 50486,
     /* 2344687 */     GIR_EraseRootFromParent_Done,
     /* 2344688 */   // Label 32781: @2344688
     /* 2344688 */   GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2344733), // Rule ID 50487 //
     /* 2344693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344696 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344732 */     // GIR_Coverage, 50487,
     /* 2344732 */     GIR_EraseRootFromParent_Done,
     /* 2344733 */   // Label 32782: @2344733
     /* 2344733 */   GIM_Reject,
     /* 2344734 */ // Label 32780: @2344734
     /* 2344734 */ GIM_Reject,
     /* 2344735 */ // Label 32748: @2344735
     /* 2344735 */ GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2344849),
     /* 2344740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2344746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344758 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2344803), // Rule ID 50502 //
     /* 2344763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344766 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344802 */     // GIR_Coverage, 50502,
     /* 2344802 */     GIR_EraseRootFromParent_Done,
     /* 2344803 */   // Label 32784: @2344803
     /* 2344803 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2344848), // Rule ID 50503 //
     /* 2344808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344811 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344847 */     // GIR_Coverage, 50503,
     /* 2344847 */     GIR_EraseRootFromParent_Done,
     /* 2344848 */   // Label 32785: @2344848
     /* 2344848 */   GIM_Reject,
     /* 2344849 */ // Label 32783: @2344849
     /* 2344849 */ GIM_Reject,
     /* 2344850 */ // Label 32749: @2344850
     /* 2344850 */ GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2344964),
     /* 2344855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2344858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344873 */   GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2344918), // Rule ID 50470 //
     /* 2344878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344881 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344917 */     // GIR_Coverage, 50470,
     /* 2344917 */     GIR_EraseRootFromParent_Done,
     /* 2344918 */   // Label 32787: @2344918
     /* 2344918 */   GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2344963), // Rule ID 50471 //
     /* 2344923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344926 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344962 */     // GIR_Coverage, 50471,
     /* 2344962 */     GIR_EraseRootFromParent_Done,
     /* 2344963 */   // Label 32788: @2344963
     /* 2344963 */   GIM_Reject,
     /* 2344964 */ // Label 32786: @2344964
     /* 2344964 */ GIM_Reject,
     /* 2344965 */ // Label 32750: @2344965
     /* 2344965 */ GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2345079),
     /* 2344970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344988 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2345033), // Rule ID 50482 //
     /* 2344993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344996 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345032 */     // GIR_Coverage, 50482,
     /* 2345032 */     GIR_EraseRootFromParent_Done,
     /* 2345033 */   // Label 32790: @2345033
     /* 2345033 */   GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2345078), // Rule ID 50483 //
     /* 2345038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345041 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345077 */     // GIR_Coverage, 50483,
     /* 2345077 */     GIR_EraseRootFromParent_Done,
     /* 2345078 */   // Label 32791: @2345078
     /* 2345078 */   GIM_Reject,
     /* 2345079 */ // Label 32789: @2345079
     /* 2345079 */ GIM_Reject,
     /* 2345080 */ // Label 32751: @2345080
     /* 2345080 */ GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2345194),
     /* 2345085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345103 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2345148), // Rule ID 50498 //
     /* 2345108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345111 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345147 */     // GIR_Coverage, 50498,
     /* 2345147 */     GIR_EraseRootFromParent_Done,
     /* 2345148 */   // Label 32793: @2345148
     /* 2345148 */   GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2345193), // Rule ID 50499 //
     /* 2345153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345156 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345192 */     // GIR_Coverage, 50499,
     /* 2345192 */     GIR_EraseRootFromParent_Done,
     /* 2345193 */   // Label 32794: @2345193
     /* 2345193 */   GIM_Reject,
     /* 2345194 */ // Label 32792: @2345194
     /* 2345194 */ GIM_Reject,
     /* 2345195 */ // Label 32752: @2345195
     /* 2345195 */ GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2345309),
     /* 2345200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345218 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2345263), // Rule ID 50542 //
     /* 2345223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345226 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345262 */     // GIR_Coverage, 50542,
     /* 2345262 */     GIR_EraseRootFromParent_Done,
     /* 2345263 */   // Label 32796: @2345263
     /* 2345263 */   GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2345308), // Rule ID 50543 //
     /* 2345268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345271 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345307 */     // GIR_Coverage, 50543,
     /* 2345307 */     GIR_EraseRootFromParent_Done,
     /* 2345308 */   // Label 32797: @2345308
     /* 2345308 */   GIM_Reject,
     /* 2345309 */ // Label 32795: @2345309
     /* 2345309 */ GIM_Reject,
     /* 2345310 */ // Label 32753: @2345310
     /* 2345310 */ GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2345424),
     /* 2345315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2345318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2345321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345333 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2345378), // Rule ID 50474 //
     /* 2345338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345341 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2345344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345377 */     // GIR_Coverage, 50474,
     /* 2345377 */     GIR_EraseRootFromParent_Done,
     /* 2345378 */   // Label 32799: @2345378
     /* 2345378 */   GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2345423), // Rule ID 50475 //
     /* 2345383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345386 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2345389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2345403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345422 */     // GIR_Coverage, 50475,
     /* 2345422 */     GIR_EraseRootFromParent_Done,
     /* 2345423 */   // Label 32800: @2345423
     /* 2345423 */   GIM_Reject,
     /* 2345424 */ // Label 32798: @2345424
     /* 2345424 */ GIM_Reject,
     /* 2345425 */ // Label 32754: @2345425
     /* 2345425 */ GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2345539),
     /* 2345430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2345436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345448 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2345493), // Rule ID 50494 //
     /* 2345453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345456 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345492 */     // GIR_Coverage, 50494,
     /* 2345492 */     GIR_EraseRootFromParent_Done,
     /* 2345493 */   // Label 32802: @2345493
     /* 2345493 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2345538), // Rule ID 50495 //
     /* 2345498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345501 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345537 */     // GIR_Coverage, 50495,
     /* 2345537 */     GIR_EraseRootFromParent_Done,
     /* 2345538 */   // Label 32803: @2345538
     /* 2345538 */   GIM_Reject,
     /* 2345539 */ // Label 32801: @2345539
     /* 2345539 */ GIM_Reject,
     /* 2345540 */ // Label 32755: @2345540
     /* 2345540 */ GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2345654),
     /* 2345545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2345548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2345551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345563 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2345608), // Rule ID 50530 //
     /* 2345568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345571 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345607 */     // GIR_Coverage, 50530,
     /* 2345607 */     GIR_EraseRootFromParent_Done,
     /* 2345608 */   // Label 32805: @2345608
     /* 2345608 */   GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2345653), // Rule ID 50531 //
     /* 2345613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345616 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345652 */     // GIR_Coverage, 50531,
     /* 2345652 */     GIR_EraseRootFromParent_Done,
     /* 2345653 */   // Label 32806: @2345653
     /* 2345653 */   GIM_Reject,
     /* 2345654 */ // Label 32804: @2345654
     /* 2345654 */ GIM_Reject,
     /* 2345655 */ // Label 32756: @2345655
     /* 2345655 */ GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2345769),
     /* 2345660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2345663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2345666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345678 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2345723), // Rule ID 50546 //
     /* 2345683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345686 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345722 */     // GIR_Coverage, 50546,
     /* 2345722 */     GIR_EraseRootFromParent_Done,
     /* 2345723 */   // Label 32808: @2345723
     /* 2345723 */   GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2345768), // Rule ID 50547 //
     /* 2345728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345731 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345767 */     // GIR_Coverage, 50547,
     /* 2345767 */     GIR_EraseRootFromParent_Done,
     /* 2345768 */   // Label 32809: @2345768
     /* 2345768 */   GIM_Reject,
     /* 2345769 */ // Label 32807: @2345769
     /* 2345769 */ GIM_Reject,
     /* 2345770 */ // Label 32757: @2345770
     /* 2345770 */ GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2345884),
     /* 2345775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2345778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2345781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345793 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2345838), // Rule ID 50490 //
     /* 2345798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345801 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345837 */     // GIR_Coverage, 50490,
     /* 2345837 */     GIR_EraseRootFromParent_Done,
     /* 2345838 */   // Label 32811: @2345838
     /* 2345838 */   GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2345883), // Rule ID 50491 //
     /* 2345843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345846 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345882 */     // GIR_Coverage, 50491,
     /* 2345882 */     GIR_EraseRootFromParent_Done,
     /* 2345883 */   // Label 32812: @2345883
     /* 2345883 */   GIM_Reject,
     /* 2345884 */ // Label 32810: @2345884
     /* 2345884 */ GIM_Reject,
     /* 2345885 */ // Label 32758: @2345885
     /* 2345885 */ GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2345999),
     /* 2345890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2345893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2345896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345908 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2345953), // Rule ID 50518 //
     /* 2345913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345916 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345952 */     // GIR_Coverage, 50518,
     /* 2345952 */     GIR_EraseRootFromParent_Done,
     /* 2345953 */   // Label 32814: @2345953
     /* 2345953 */   GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2345998), // Rule ID 50519 //
     /* 2345958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345961 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345997 */     // GIR_Coverage, 50519,
     /* 2345997 */     GIR_EraseRootFromParent_Done,
     /* 2345998 */   // Label 32815: @2345998
     /* 2345998 */   GIM_Reject,
     /* 2345999 */ // Label 32813: @2345999
     /* 2345999 */ GIM_Reject,
     /* 2346000 */ // Label 32759: @2346000
     /* 2346000 */ GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2346114),
     /* 2346005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2346008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2346011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346023 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2346068), // Rule ID 50534 //
     /* 2346028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346031 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346067 */     // GIR_Coverage, 50534,
     /* 2346067 */     GIR_EraseRootFromParent_Done,
     /* 2346068 */   // Label 32817: @2346068
     /* 2346068 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2346113), // Rule ID 50535 //
     /* 2346073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346076 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346112 */     // GIR_Coverage, 50535,
     /* 2346112 */     GIR_EraseRootFromParent_Done,
     /* 2346113 */   // Label 32818: @2346113
     /* 2346113 */   GIM_Reject,
     /* 2346114 */ // Label 32816: @2346114
     /* 2346114 */ GIM_Reject,
     /* 2346115 */ // Label 32760: @2346115
     /* 2346115 */ GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2346229),
     /* 2346120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2346123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2346126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346138 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2346183), // Rule ID 50550 //
     /* 2346143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346146 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346182 */     // GIR_Coverage, 50550,
     /* 2346182 */     GIR_EraseRootFromParent_Done,
     /* 2346183 */   // Label 32820: @2346183
     /* 2346183 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2346228), // Rule ID 50551 //
     /* 2346188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346191 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346227 */     // GIR_Coverage, 50551,
     /* 2346227 */     GIR_EraseRootFromParent_Done,
     /* 2346228 */   // Label 32821: @2346228
     /* 2346228 */   GIM_Reject,
     /* 2346229 */ // Label 32819: @2346229
     /* 2346229 */ GIM_Reject,
     /* 2346230 */ // Label 32761: @2346230
     /* 2346230 */ GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2346344),
     /* 2346235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2346238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2346241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346253 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2346298), // Rule ID 50506 //
     /* 2346258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346261 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2346264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2346278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346297 */     // GIR_Coverage, 50506,
     /* 2346297 */     GIR_EraseRootFromParent_Done,
     /* 2346298 */   // Label 32823: @2346298
     /* 2346298 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2346343), // Rule ID 50507 //
     /* 2346303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346306 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2346309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2346323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346342 */     // GIR_Coverage, 50507,
     /* 2346342 */     GIR_EraseRootFromParent_Done,
     /* 2346343 */   // Label 32824: @2346343
     /* 2346343 */   GIM_Reject,
     /* 2346344 */ // Label 32822: @2346344
     /* 2346344 */ GIM_Reject,
     /* 2346345 */ // Label 32762: @2346345
     /* 2346345 */ GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2346459),
     /* 2346350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2346353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2346356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346368 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2346413), // Rule ID 50522 //
     /* 2346373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346376 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346412 */     // GIR_Coverage, 50522,
     /* 2346412 */     GIR_EraseRootFromParent_Done,
     /* 2346413 */   // Label 32826: @2346413
     /* 2346413 */   GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2346458), // Rule ID 50523 //
     /* 2346418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346421 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2346424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346457 */     // GIR_Coverage, 50523,
     /* 2346457 */     GIR_EraseRootFromParent_Done,
     /* 2346458 */   // Label 32827: @2346458
     /* 2346458 */   GIM_Reject,
     /* 2346459 */ // Label 32825: @2346459
     /* 2346459 */ GIM_Reject,
     /* 2346460 */ // Label 32763: @2346460
     /* 2346460 */ GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2346574),
     /* 2346465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2346468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2346471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346483 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2346528), // Rule ID 50538 //
     /* 2346488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346491 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346527 */     // GIR_Coverage, 50538,
     /* 2346527 */     GIR_EraseRootFromParent_Done,
     /* 2346528 */   // Label 32829: @2346528
     /* 2346528 */   GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2346573), // Rule ID 50539 //
     /* 2346533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346536 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346572 */     // GIR_Coverage, 50539,
     /* 2346572 */     GIR_EraseRootFromParent_Done,
     /* 2346573 */   // Label 32830: @2346573
     /* 2346573 */   GIM_Reject,
     /* 2346574 */ // Label 32828: @2346574
     /* 2346574 */ GIM_Reject,
     /* 2346575 */ // Label 32764: @2346575
     /* 2346575 */ GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2346689),
     /* 2346580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2346583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2346586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346598 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2346643), // Rule ID 50510 //
     /* 2346603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346606 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346642 */     // GIR_Coverage, 50510,
     /* 2346642 */     GIR_EraseRootFromParent_Done,
     /* 2346643 */   // Label 32832: @2346643
     /* 2346643 */   GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2346688), // Rule ID 50511 //
     /* 2346648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346651 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346687 */     // GIR_Coverage, 50511,
     /* 2346687 */     GIR_EraseRootFromParent_Done,
     /* 2346688 */   // Label 32833: @2346688
     /* 2346688 */   GIM_Reject,
     /* 2346689 */ // Label 32831: @2346689
     /* 2346689 */ GIM_Reject,
     /* 2346690 */ // Label 32765: @2346690
     /* 2346690 */ GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2346804),
     /* 2346695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2346698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2346701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346713 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2346758), // Rule ID 50526 //
     /* 2346718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346721 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346757 */     // GIR_Coverage, 50526,
     /* 2346757 */     GIR_EraseRootFromParent_Done,
     /* 2346758 */   // Label 32835: @2346758
     /* 2346758 */   GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2346803), // Rule ID 50527 //
     /* 2346763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346766 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346802 */     // GIR_Coverage, 50527,
     /* 2346802 */     GIR_EraseRootFromParent_Done,
     /* 2346803 */   // Label 32836: @2346803
     /* 2346803 */   GIM_Reject,
     /* 2346804 */ // Label 32834: @2346804
     /* 2346804 */ GIM_Reject,
     /* 2346805 */ // Label 32766: @2346805
     /* 2346805 */ GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2346919),
     /* 2346810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2346813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2346816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346828 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2346873), // Rule ID 50514 //
     /* 2346833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346836 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346872 */     // GIR_Coverage, 50514,
     /* 2346872 */     GIR_EraseRootFromParent_Done,
     /* 2346873 */   // Label 32838: @2346873
     /* 2346873 */   GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2346918), // Rule ID 50515 //
     /* 2346878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346881 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346917 */     // GIR_Coverage, 50515,
     /* 2346917 */     GIR_EraseRootFromParent_Done,
     /* 2346918 */   // Label 32839: @2346918
     /* 2346918 */   GIM_Reject,
     /* 2346919 */ // Label 32837: @2346919
     /* 2346919 */ GIM_Reject,
     /* 2346920 */ // Label 32767: @2346920
     /* 2346920 */ GIM_Reject,
     /* 2346921 */ // Label 79: @2346921
     /* 2346921 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32864*/ GIMT_Encode4(2349696),
     /* 2346932 */ /*GILLT_s32*//*Label 32840*/ GIMT_Encode4(2347056),
     /* 2346936 */ /*GILLT_s64*//*Label 32841*/ GIMT_Encode4(2347111), GIMT_Encode4(0),
     /* 2346944 */ /*GILLT_nxv1s8*//*Label 32842*/ GIMT_Encode4(2347166),
     /* 2346948 */ /*GILLT_nxv1s16*//*Label 32843*/ GIMT_Encode4(2347281),
     /* 2346952 */ /*GILLT_nxv1s32*//*Label 32844*/ GIMT_Encode4(2347396),
     /* 2346956 */ /*GILLT_nxv1s64*//*Label 32845*/ GIMT_Encode4(2347511), GIMT_Encode4(0),
     /* 2346964 */ /*GILLT_nxv2s8*//*Label 32846*/ GIMT_Encode4(2347626),
     /* 2346968 */ /*GILLT_nxv2s16*//*Label 32847*/ GIMT_Encode4(2347741),
     /* 2346972 */ /*GILLT_nxv2s32*//*Label 32848*/ GIMT_Encode4(2347856),
     /* 2346976 */ /*GILLT_nxv2s64*//*Label 32849*/ GIMT_Encode4(2347971), GIMT_Encode4(0),
     /* 2346984 */ /*GILLT_nxv4s8*//*Label 32850*/ GIMT_Encode4(2348086),
     /* 2346988 */ /*GILLT_nxv4s16*//*Label 32851*/ GIMT_Encode4(2348201),
     /* 2346992 */ /*GILLT_nxv4s32*//*Label 32852*/ GIMT_Encode4(2348316),
     /* 2346996 */ /*GILLT_nxv4s64*//*Label 32853*/ GIMT_Encode4(2348431), GIMT_Encode4(0),
     /* 2347004 */ /*GILLT_nxv8s8*//*Label 32854*/ GIMT_Encode4(2348546),
     /* 2347008 */ /*GILLT_nxv8s16*//*Label 32855*/ GIMT_Encode4(2348661),
     /* 2347012 */ /*GILLT_nxv8s32*//*Label 32856*/ GIMT_Encode4(2348776),
     /* 2347016 */ /*GILLT_nxv8s64*//*Label 32857*/ GIMT_Encode4(2348891), GIMT_Encode4(0),
     /* 2347024 */ /*GILLT_nxv16s8*//*Label 32858*/ GIMT_Encode4(2349006),
     /* 2347028 */ /*GILLT_nxv16s16*//*Label 32859*/ GIMT_Encode4(2349121),
     /* 2347032 */ /*GILLT_nxv16s32*//*Label 32860*/ GIMT_Encode4(2349236), GIMT_Encode4(0),
     /* 2347040 */ /*GILLT_nxv32s8*//*Label 32861*/ GIMT_Encode4(2349351),
     /* 2347044 */ /*GILLT_nxv32s16*//*Label 32862*/ GIMT_Encode4(2349466), GIMT_Encode4(0),
     /* 2347052 */ /*GILLT_nxv64s8*//*Label 32863*/ GIMT_Encode4(2349581),
     /* 2347056 */ // Label 32840: @2347056
     /* 2347056 */ GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2347110),
     /* 2347061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2347064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2347067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347079 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2347094), // Rule ID 64379 //
     /* 2347084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2347087 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2347092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347093 */     // GIR_Coverage, 64379,
     /* 2347093 */     GIR_Done,
     /* 2347094 */   // Label 32866: @2347094
     /* 2347094 */   GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2347109), // Rule ID 2421 //
     /* 2347099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2347102 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2347107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347108 */     // GIR_Coverage, 2421,
     /* 2347108 */     GIR_Done,
     /* 2347109 */   // Label 32867: @2347109
     /* 2347109 */   GIM_Reject,
     /* 2347110 */ // Label 32865: @2347110
     /* 2347110 */ GIM_Reject,
     /* 2347111 */ // Label 32841: @2347111
     /* 2347111 */ GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2347165),
     /* 2347116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2347119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2347122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347134 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2347149), // Rule ID 64378 //
     /* 2347139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2347142 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2347147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347148 */     // GIR_Coverage, 64378,
     /* 2347148 */     GIR_Done,
     /* 2347149 */   // Label 32869: @2347149
     /* 2347149 */   GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2347164), // Rule ID 2420 //
     /* 2347154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2347157 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2347162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347163 */     // GIR_Coverage, 2420,
     /* 2347163 */     GIR_Done,
     /* 2347164 */   // Label 32870: @2347164
     /* 2347164 */   GIM_Reject,
     /* 2347165 */ // Label 32868: @2347165
     /* 2347165 */ GIM_Reject,
     /* 2347166 */ // Label 32842: @2347166
     /* 2347166 */ GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2347280),
     /* 2347171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2347174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2347177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347189 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2347234), // Rule ID 50642 //
     /* 2347194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347197 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2347200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2347214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347233 */     // GIR_Coverage, 50642,
     /* 2347233 */     GIR_EraseRootFromParent_Done,
     /* 2347234 */   // Label 32872: @2347234
     /* 2347234 */   GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2347279), // Rule ID 50643 //
     /* 2347239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347242 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2347245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2347259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347278 */     // GIR_Coverage, 50643,
     /* 2347278 */     GIR_EraseRootFromParent_Done,
     /* 2347279 */   // Label 32873: @2347279
     /* 2347279 */   GIM_Reject,
     /* 2347280 */ // Label 32871: @2347280
     /* 2347280 */ GIM_Reject,
     /* 2347281 */ // Label 32843: @2347281
     /* 2347281 */ GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2347395),
     /* 2347286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2347289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2347292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347304 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2347349), // Rule ID 50654 //
     /* 2347309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347312 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2347315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347348 */     // GIR_Coverage, 50654,
     /* 2347348 */     GIR_EraseRootFromParent_Done,
     /* 2347349 */   // Label 32875: @2347349
     /* 2347349 */   GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2347394), // Rule ID 50655 //
     /* 2347354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347357 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2347360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347393 */     // GIR_Coverage, 50655,
     /* 2347393 */     GIR_EraseRootFromParent_Done,
     /* 2347394 */   // Label 32876: @2347394
     /* 2347394 */   GIM_Reject,
     /* 2347395 */ // Label 32874: @2347395
     /* 2347395 */ GIM_Reject,
     /* 2347396 */ // Label 32844: @2347396
     /* 2347396 */ GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2347510),
     /* 2347401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2347404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2347407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347419 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2347464), // Rule ID 50662 //
     /* 2347424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347427 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347463 */     // GIR_Coverage, 50662,
     /* 2347463 */     GIR_EraseRootFromParent_Done,
     /* 2347464 */   // Label 32878: @2347464
     /* 2347464 */   GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2347509), // Rule ID 50663 //
     /* 2347469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347472 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347508 */     // GIR_Coverage, 50663,
     /* 2347508 */     GIR_EraseRootFromParent_Done,
     /* 2347509 */   // Label 32879: @2347509
     /* 2347509 */   GIM_Reject,
     /* 2347510 */ // Label 32877: @2347510
     /* 2347510 */ GIM_Reject,
     /* 2347511 */ // Label 32845: @2347511
     /* 2347511 */ GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2347625),
     /* 2347516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2347519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2347522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347534 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2347579), // Rule ID 50678 //
     /* 2347539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347542 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347578 */     // GIR_Coverage, 50678,
     /* 2347578 */     GIR_EraseRootFromParent_Done,
     /* 2347579 */   // Label 32881: @2347579
     /* 2347579 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2347624), // Rule ID 50679 //
     /* 2347584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347587 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347623 */     // GIR_Coverage, 50679,
     /* 2347623 */     GIR_EraseRootFromParent_Done,
     /* 2347624 */   // Label 32882: @2347624
     /* 2347624 */   GIM_Reject,
     /* 2347625 */ // Label 32880: @2347625
     /* 2347625 */ GIM_Reject,
     /* 2347626 */ // Label 32846: @2347626
     /* 2347626 */ GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2347740),
     /* 2347631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2347634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347649 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2347694), // Rule ID 50646 //
     /* 2347654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347657 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347693 */     // GIR_Coverage, 50646,
     /* 2347693 */     GIR_EraseRootFromParent_Done,
     /* 2347694 */   // Label 32884: @2347694
     /* 2347694 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2347739), // Rule ID 50647 //
     /* 2347699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347702 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347738 */     // GIR_Coverage, 50647,
     /* 2347738 */     GIR_EraseRootFromParent_Done,
     /* 2347739 */   // Label 32885: @2347739
     /* 2347739 */   GIM_Reject,
     /* 2347740 */ // Label 32883: @2347740
     /* 2347740 */ GIM_Reject,
     /* 2347741 */ // Label 32847: @2347741
     /* 2347741 */ GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2347855),
     /* 2347746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2347749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347764 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2347809), // Rule ID 50658 //
     /* 2347769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347772 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347808 */     // GIR_Coverage, 50658,
     /* 2347808 */     GIR_EraseRootFromParent_Done,
     /* 2347809 */   // Label 32887: @2347809
     /* 2347809 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2347854), // Rule ID 50659 //
     /* 2347814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347817 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347853 */     // GIR_Coverage, 50659,
     /* 2347853 */     GIR_EraseRootFromParent_Done,
     /* 2347854 */   // Label 32888: @2347854
     /* 2347854 */   GIM_Reject,
     /* 2347855 */ // Label 32886: @2347855
     /* 2347855 */ GIM_Reject,
     /* 2347856 */ // Label 32848: @2347856
     /* 2347856 */ GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2347970),
     /* 2347861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347879 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2347924), // Rule ID 50674 //
     /* 2347884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347887 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347923 */     // GIR_Coverage, 50674,
     /* 2347923 */     GIR_EraseRootFromParent_Done,
     /* 2347924 */   // Label 32890: @2347924
     /* 2347924 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2347969), // Rule ID 50675 //
     /* 2347929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347932 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347968 */     // GIR_Coverage, 50675,
     /* 2347968 */     GIR_EraseRootFromParent_Done,
     /* 2347969 */   // Label 32891: @2347969
     /* 2347969 */   GIM_Reject,
     /* 2347970 */ // Label 32889: @2347970
     /* 2347970 */ GIM_Reject,
     /* 2347971 */ // Label 32849: @2347971
     /* 2347971 */ GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2348085),
     /* 2347976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347994 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2348039), // Rule ID 50718 //
     /* 2347999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348002 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348038 */     // GIR_Coverage, 50718,
     /* 2348038 */     GIR_EraseRootFromParent_Done,
     /* 2348039 */   // Label 32893: @2348039
     /* 2348039 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2348084), // Rule ID 50719 //
     /* 2348044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348047 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348083 */     // GIR_Coverage, 50719,
     /* 2348083 */     GIR_EraseRootFromParent_Done,
     /* 2348084 */   // Label 32894: @2348084
     /* 2348084 */   GIM_Reject,
     /* 2348085 */ // Label 32892: @2348085
     /* 2348085 */ GIM_Reject,
     /* 2348086 */ // Label 32850: @2348086
     /* 2348086 */ GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2348200),
     /* 2348091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2348094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348109 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2348154), // Rule ID 50650 //
     /* 2348114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348117 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2348134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348153 */     // GIR_Coverage, 50650,
     /* 2348153 */     GIR_EraseRootFromParent_Done,
     /* 2348154 */   // Label 32896: @2348154
     /* 2348154 */   GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2348199), // Rule ID 50651 //
     /* 2348159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348162 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2348179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348198 */     // GIR_Coverage, 50651,
     /* 2348198 */     GIR_EraseRootFromParent_Done,
     /* 2348199 */   // Label 32897: @2348199
     /* 2348199 */   GIM_Reject,
     /* 2348200 */ // Label 32895: @2348200
     /* 2348200 */ GIM_Reject,
     /* 2348201 */ // Label 32851: @2348201
     /* 2348201 */ GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2348315),
     /* 2348206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2348209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348224 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2348269), // Rule ID 50670 //
     /* 2348229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348232 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2348235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348268 */     // GIR_Coverage, 50670,
     /* 2348268 */     GIR_EraseRootFromParent_Done,
     /* 2348269 */   // Label 32899: @2348269
     /* 2348269 */   GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2348314), // Rule ID 50671 //
     /* 2348274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348277 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2348280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348313 */     // GIR_Coverage, 50671,
     /* 2348313 */     GIR_EraseRootFromParent_Done,
     /* 2348314 */   // Label 32900: @2348314
     /* 2348314 */   GIM_Reject,
     /* 2348315 */ // Label 32898: @2348315
     /* 2348315 */ GIM_Reject,
     /* 2348316 */ // Label 32852: @2348316
     /* 2348316 */ GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2348430),
     /* 2348321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2348324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348339 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2348384), // Rule ID 50706 //
     /* 2348344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348347 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2348350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348383 */     // GIR_Coverage, 50706,
     /* 2348383 */     GIR_EraseRootFromParent_Done,
     /* 2348384 */   // Label 32902: @2348384
     /* 2348384 */   GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2348429), // Rule ID 50707 //
     /* 2348389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348392 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2348395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348428 */     // GIR_Coverage, 50707,
     /* 2348428 */     GIR_EraseRootFromParent_Done,
     /* 2348429 */   // Label 32903: @2348429
     /* 2348429 */   GIM_Reject,
     /* 2348430 */ // Label 32901: @2348430
     /* 2348430 */ GIM_Reject,
     /* 2348431 */ // Label 32853: @2348431
     /* 2348431 */ GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2348545),
     /* 2348436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2348439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348454 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2348499), // Rule ID 50722 //
     /* 2348459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348462 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348498 */     // GIR_Coverage, 50722,
     /* 2348498 */     GIR_EraseRootFromParent_Done,
     /* 2348499 */   // Label 32905: @2348499
     /* 2348499 */   GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2348544), // Rule ID 50723 //
     /* 2348504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348507 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348543 */     // GIR_Coverage, 50723,
     /* 2348543 */     GIR_EraseRootFromParent_Done,
     /* 2348544 */   // Label 32906: @2348544
     /* 2348544 */   GIM_Reject,
     /* 2348545 */ // Label 32904: @2348545
     /* 2348545 */ GIM_Reject,
     /* 2348546 */ // Label 32854: @2348546
     /* 2348546 */ GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2348660),
     /* 2348551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2348557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348569 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2348614), // Rule ID 50666 //
     /* 2348574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348577 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348613 */     // GIR_Coverage, 50666,
     /* 2348613 */     GIR_EraseRootFromParent_Done,
     /* 2348614 */   // Label 32908: @2348614
     /* 2348614 */   GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2348659), // Rule ID 50667 //
     /* 2348619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348622 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348658 */     // GIR_Coverage, 50667,
     /* 2348658 */     GIR_EraseRootFromParent_Done,
     /* 2348659 */   // Label 32909: @2348659
     /* 2348659 */   GIM_Reject,
     /* 2348660 */ // Label 32907: @2348660
     /* 2348660 */ GIM_Reject,
     /* 2348661 */ // Label 32855: @2348661
     /* 2348661 */ GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2348775),
     /* 2348666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2348672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348684 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2348729), // Rule ID 50694 //
     /* 2348689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348692 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348728 */     // GIR_Coverage, 50694,
     /* 2348728 */     GIR_EraseRootFromParent_Done,
     /* 2348729 */   // Label 32911: @2348729
     /* 2348729 */   GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2348774), // Rule ID 50695 //
     /* 2348734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348737 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348773 */     // GIR_Coverage, 50695,
     /* 2348773 */     GIR_EraseRootFromParent_Done,
     /* 2348774 */   // Label 32912: @2348774
     /* 2348774 */   GIM_Reject,
     /* 2348775 */ // Label 32910: @2348775
     /* 2348775 */ GIM_Reject,
     /* 2348776 */ // Label 32856: @2348776
     /* 2348776 */ GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2348890),
     /* 2348781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2348787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348799 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2348844), // Rule ID 50710 //
     /* 2348804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348807 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348843 */     // GIR_Coverage, 50710,
     /* 2348843 */     GIR_EraseRootFromParent_Done,
     /* 2348844 */   // Label 32914: @2348844
     /* 2348844 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2348889), // Rule ID 50711 //
     /* 2348849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348852 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348888 */     // GIR_Coverage, 50711,
     /* 2348888 */     GIR_EraseRootFromParent_Done,
     /* 2348889 */   // Label 32915: @2348889
     /* 2348889 */   GIM_Reject,
     /* 2348890 */ // Label 32913: @2348890
     /* 2348890 */ GIM_Reject,
     /* 2348891 */ // Label 32857: @2348891
     /* 2348891 */ GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2349005),
     /* 2348896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2348902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348914 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2348959), // Rule ID 50726 //
     /* 2348919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348922 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348958 */     // GIR_Coverage, 50726,
     /* 2348958 */     GIR_EraseRootFromParent_Done,
     /* 2348959 */   // Label 32917: @2348959
     /* 2348959 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2349004), // Rule ID 50727 //
     /* 2348964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348967 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349003 */     // GIR_Coverage, 50727,
     /* 2349003 */     GIR_EraseRootFromParent_Done,
     /* 2349004 */   // Label 32918: @2349004
     /* 2349004 */   GIM_Reject,
     /* 2349005 */ // Label 32916: @2349005
     /* 2349005 */ GIM_Reject,
     /* 2349006 */ // Label 32858: @2349006
     /* 2349006 */ GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2349120),
     /* 2349011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2349014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2349017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349029 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2349074), // Rule ID 50682 //
     /* 2349034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349037 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2349054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349073 */     // GIR_Coverage, 50682,
     /* 2349073 */     GIR_EraseRootFromParent_Done,
     /* 2349074 */   // Label 32920: @2349074
     /* 2349074 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2349119), // Rule ID 50683 //
     /* 2349079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349082 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2349099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349118 */     // GIR_Coverage, 50683,
     /* 2349118 */     GIR_EraseRootFromParent_Done,
     /* 2349119 */   // Label 32921: @2349119
     /* 2349119 */   GIM_Reject,
     /* 2349120 */ // Label 32919: @2349120
     /* 2349120 */ GIM_Reject,
     /* 2349121 */ // Label 32859: @2349121
     /* 2349121 */ GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2349235),
     /* 2349126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2349132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349144 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2349189), // Rule ID 50698 //
     /* 2349149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349152 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349188 */     // GIR_Coverage, 50698,
     /* 2349188 */     GIR_EraseRootFromParent_Done,
     /* 2349189 */   // Label 32923: @2349189
     /* 2349189 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2349234), // Rule ID 50699 //
     /* 2349194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349197 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349233 */     // GIR_Coverage, 50699,
     /* 2349233 */     GIR_EraseRootFromParent_Done,
     /* 2349234 */   // Label 32924: @2349234
     /* 2349234 */   GIM_Reject,
     /* 2349235 */ // Label 32922: @2349235
     /* 2349235 */ GIM_Reject,
     /* 2349236 */ // Label 32860: @2349236
     /* 2349236 */ GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2349350),
     /* 2349241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2349247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349259 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2349304), // Rule ID 50714 //
     /* 2349264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349267 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349303 */     // GIR_Coverage, 50714,
     /* 2349303 */     GIR_EraseRootFromParent_Done,
     /* 2349304 */   // Label 32926: @2349304
     /* 2349304 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2349349), // Rule ID 50715 //
     /* 2349309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349312 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349348 */     // GIR_Coverage, 50715,
     /* 2349348 */     GIR_EraseRootFromParent_Done,
     /* 2349349 */   // Label 32927: @2349349
     /* 2349349 */   GIM_Reject,
     /* 2349350 */ // Label 32925: @2349350
     /* 2349350 */ GIM_Reject,
     /* 2349351 */ // Label 32861: @2349351
     /* 2349351 */ GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2349465),
     /* 2349356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2349359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2349362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349374 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2349419), // Rule ID 50686 //
     /* 2349379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349382 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349418 */     // GIR_Coverage, 50686,
     /* 2349418 */     GIR_EraseRootFromParent_Done,
     /* 2349419 */   // Label 32929: @2349419
     /* 2349419 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2349464), // Rule ID 50687 //
     /* 2349424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349427 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2349430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349463 */     // GIR_Coverage, 50687,
     /* 2349463 */     GIR_EraseRootFromParent_Done,
     /* 2349464 */   // Label 32930: @2349464
     /* 2349464 */   GIM_Reject,
     /* 2349465 */ // Label 32928: @2349465
     /* 2349465 */ GIM_Reject,
     /* 2349466 */ // Label 32862: @2349466
     /* 2349466 */ GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2349580),
     /* 2349471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2349477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349489 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2349534), // Rule ID 50702 //
     /* 2349494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349497 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349533 */     // GIR_Coverage, 50702,
     /* 2349533 */     GIR_EraseRootFromParent_Done,
     /* 2349534 */   // Label 32932: @2349534
     /* 2349534 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2349579), // Rule ID 50703 //
     /* 2349539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349542 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349578 */     // GIR_Coverage, 50703,
     /* 2349578 */     GIR_EraseRootFromParent_Done,
     /* 2349579 */   // Label 32933: @2349579
     /* 2349579 */   GIM_Reject,
     /* 2349580 */ // Label 32931: @2349580
     /* 2349580 */ GIM_Reject,
     /* 2349581 */ // Label 32863: @2349581
     /* 2349581 */ GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2349695),
     /* 2349586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2349589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2349592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349604 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2349649), // Rule ID 50690 //
     /* 2349609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349612 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349648 */     // GIR_Coverage, 50690,
     /* 2349648 */     GIR_EraseRootFromParent_Done,
     /* 2349649 */   // Label 32935: @2349649
     /* 2349649 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2349694), // Rule ID 50691 //
     /* 2349654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349657 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349693 */     // GIR_Coverage, 50691,
     /* 2349693 */     GIR_EraseRootFromParent_Done,
     /* 2349694 */   // Label 32936: @2349694
     /* 2349694 */   GIM_Reject,
     /* 2349695 */ // Label 32934: @2349695
     /* 2349695 */ GIM_Reject,
     /* 2349696 */ // Label 32864: @2349696
     /* 2349696 */ GIM_Reject,
     /* 2349697 */ // Label 80: @2349697
     /* 2349697 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32961*/ GIMT_Encode4(2352472),
     /* 2349708 */ /*GILLT_s32*//*Label 32937*/ GIMT_Encode4(2349832),
     /* 2349712 */ /*GILLT_s64*//*Label 32938*/ GIMT_Encode4(2349887), GIMT_Encode4(0),
     /* 2349720 */ /*GILLT_nxv1s8*//*Label 32939*/ GIMT_Encode4(2349942),
     /* 2349724 */ /*GILLT_nxv1s16*//*Label 32940*/ GIMT_Encode4(2350057),
     /* 2349728 */ /*GILLT_nxv1s32*//*Label 32941*/ GIMT_Encode4(2350172),
     /* 2349732 */ /*GILLT_nxv1s64*//*Label 32942*/ GIMT_Encode4(2350287), GIMT_Encode4(0),
     /* 2349740 */ /*GILLT_nxv2s8*//*Label 32943*/ GIMT_Encode4(2350402),
     /* 2349744 */ /*GILLT_nxv2s16*//*Label 32944*/ GIMT_Encode4(2350517),
     /* 2349748 */ /*GILLT_nxv2s32*//*Label 32945*/ GIMT_Encode4(2350632),
     /* 2349752 */ /*GILLT_nxv2s64*//*Label 32946*/ GIMT_Encode4(2350747), GIMT_Encode4(0),
     /* 2349760 */ /*GILLT_nxv4s8*//*Label 32947*/ GIMT_Encode4(2350862),
     /* 2349764 */ /*GILLT_nxv4s16*//*Label 32948*/ GIMT_Encode4(2350977),
     /* 2349768 */ /*GILLT_nxv4s32*//*Label 32949*/ GIMT_Encode4(2351092),
     /* 2349772 */ /*GILLT_nxv4s64*//*Label 32950*/ GIMT_Encode4(2351207), GIMT_Encode4(0),
     /* 2349780 */ /*GILLT_nxv8s8*//*Label 32951*/ GIMT_Encode4(2351322),
     /* 2349784 */ /*GILLT_nxv8s16*//*Label 32952*/ GIMT_Encode4(2351437),
     /* 2349788 */ /*GILLT_nxv8s32*//*Label 32953*/ GIMT_Encode4(2351552),
     /* 2349792 */ /*GILLT_nxv8s64*//*Label 32954*/ GIMT_Encode4(2351667), GIMT_Encode4(0),
     /* 2349800 */ /*GILLT_nxv16s8*//*Label 32955*/ GIMT_Encode4(2351782),
     /* 2349804 */ /*GILLT_nxv16s16*//*Label 32956*/ GIMT_Encode4(2351897),
     /* 2349808 */ /*GILLT_nxv16s32*//*Label 32957*/ GIMT_Encode4(2352012), GIMT_Encode4(0),
     /* 2349816 */ /*GILLT_nxv32s8*//*Label 32958*/ GIMT_Encode4(2352127),
     /* 2349820 */ /*GILLT_nxv32s16*//*Label 32959*/ GIMT_Encode4(2352242), GIMT_Encode4(0),
     /* 2349828 */ /*GILLT_nxv64s8*//*Label 32960*/ GIMT_Encode4(2352357),
     /* 2349832 */ // Label 32937: @2349832
     /* 2349832 */ GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2349886),
     /* 2349837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2349843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349855 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2349870), // Rule ID 64377 //
     /* 2349860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2349863 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349869 */     // GIR_Coverage, 64377,
     /* 2349869 */     GIR_Done,
     /* 2349870 */   // Label 32963: @2349870
     /* 2349870 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2349885), // Rule ID 2423 //
     /* 2349875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2349878 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349884 */     // GIR_Coverage, 2423,
     /* 2349884 */     GIR_Done,
     /* 2349885 */   // Label 32964: @2349885
     /* 2349885 */   GIM_Reject,
     /* 2349886 */ // Label 32962: @2349886
     /* 2349886 */ GIM_Reject,
     /* 2349887 */ // Label 32938: @2349887
     /* 2349887 */ GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2349941),
     /* 2349892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2349898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349910 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2349925), // Rule ID 64376 //
     /* 2349915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2349918 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349924 */     // GIR_Coverage, 64376,
     /* 2349924 */     GIR_Done,
     /* 2349925 */   // Label 32966: @2349925
     /* 2349925 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2349940), // Rule ID 2422 //
     /* 2349930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2349933 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349939 */     // GIR_Coverage, 2422,
     /* 2349939 */     GIR_Done,
     /* 2349940 */   // Label 32967: @2349940
     /* 2349940 */   GIM_Reject,
     /* 2349941 */ // Label 32965: @2349941
     /* 2349941 */ GIM_Reject,
     /* 2349942 */ // Label 32939: @2349942
     /* 2349942 */ GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2350056),
     /* 2349947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2349950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2349953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349965 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2350010), // Rule ID 50378 //
     /* 2349970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349973 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350009 */     // GIR_Coverage, 50378,
     /* 2350009 */     GIR_EraseRootFromParent_Done,
     /* 2350010 */   // Label 32969: @2350010
     /* 2350010 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2350055), // Rule ID 50379 //
     /* 2350015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350018 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2350021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2350035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350054 */     // GIR_Coverage, 50379,
     /* 2350054 */     GIR_EraseRootFromParent_Done,
     /* 2350055 */   // Label 32970: @2350055
     /* 2350055 */   GIM_Reject,
     /* 2350056 */ // Label 32968: @2350056
     /* 2350056 */ GIM_Reject,
     /* 2350057 */ // Label 32940: @2350057
     /* 2350057 */ GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2350171),
     /* 2350062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2350065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2350068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350080 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2350125), // Rule ID 50390 //
     /* 2350085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350088 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350124 */     // GIR_Coverage, 50390,
     /* 2350124 */     GIR_EraseRootFromParent_Done,
     /* 2350125 */   // Label 32972: @2350125
     /* 2350125 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2350170), // Rule ID 50391 //
     /* 2350130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350133 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350169 */     // GIR_Coverage, 50391,
     /* 2350169 */     GIR_EraseRootFromParent_Done,
     /* 2350170 */   // Label 32973: @2350170
     /* 2350170 */   GIM_Reject,
     /* 2350171 */ // Label 32971: @2350171
     /* 2350171 */ GIM_Reject,
     /* 2350172 */ // Label 32941: @2350172
     /* 2350172 */ GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2350286),
     /* 2350177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2350180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2350183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350195 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2350240), // Rule ID 50398 //
     /* 2350200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350203 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350239 */     // GIR_Coverage, 50398,
     /* 2350239 */     GIR_EraseRootFromParent_Done,
     /* 2350240 */   // Label 32975: @2350240
     /* 2350240 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2350285), // Rule ID 50399 //
     /* 2350245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350248 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350284 */     // GIR_Coverage, 50399,
     /* 2350284 */     GIR_EraseRootFromParent_Done,
     /* 2350285 */   // Label 32976: @2350285
     /* 2350285 */   GIM_Reject,
     /* 2350286 */ // Label 32974: @2350286
     /* 2350286 */ GIM_Reject,
     /* 2350287 */ // Label 32942: @2350287
     /* 2350287 */ GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2350401),
     /* 2350292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2350295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2350298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350310 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2350355), // Rule ID 50414 //
     /* 2350315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350318 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350354 */     // GIR_Coverage, 50414,
     /* 2350354 */     GIR_EraseRootFromParent_Done,
     /* 2350355 */   // Label 32978: @2350355
     /* 2350355 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2350400), // Rule ID 50415 //
     /* 2350360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350363 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350399 */     // GIR_Coverage, 50415,
     /* 2350399 */     GIR_EraseRootFromParent_Done,
     /* 2350400 */   // Label 32979: @2350400
     /* 2350400 */   GIM_Reject,
     /* 2350401 */ // Label 32977: @2350401
     /* 2350401 */ GIM_Reject,
     /* 2350402 */ // Label 32943: @2350402
     /* 2350402 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2350516),
     /* 2350407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2350410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2350413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350425 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2350470), // Rule ID 50382 //
     /* 2350430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350433 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350469 */     // GIR_Coverage, 50382,
     /* 2350469 */     GIR_EraseRootFromParent_Done,
     /* 2350470 */   // Label 32981: @2350470
     /* 2350470 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2350515), // Rule ID 50383 //
     /* 2350475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350478 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350514 */     // GIR_Coverage, 50383,
     /* 2350514 */     GIR_EraseRootFromParent_Done,
     /* 2350515 */   // Label 32982: @2350515
     /* 2350515 */   GIM_Reject,
     /* 2350516 */ // Label 32980: @2350516
     /* 2350516 */ GIM_Reject,
     /* 2350517 */ // Label 32944: @2350517
     /* 2350517 */ GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2350631),
     /* 2350522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2350528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350540 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2350585), // Rule ID 50394 //
     /* 2350545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350548 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350584 */     // GIR_Coverage, 50394,
     /* 2350584 */     GIR_EraseRootFromParent_Done,
     /* 2350585 */   // Label 32984: @2350585
     /* 2350585 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2350630), // Rule ID 50395 //
     /* 2350590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350593 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350629 */     // GIR_Coverage, 50395,
     /* 2350629 */     GIR_EraseRootFromParent_Done,
     /* 2350630 */   // Label 32985: @2350630
     /* 2350630 */   GIM_Reject,
     /* 2350631 */ // Label 32983: @2350631
     /* 2350631 */ GIM_Reject,
     /* 2350632 */ // Label 32945: @2350632
     /* 2350632 */ GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2350746),
     /* 2350637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2350643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350655 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2350700), // Rule ID 50410 //
     /* 2350660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350663 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350699 */     // GIR_Coverage, 50410,
     /* 2350699 */     GIR_EraseRootFromParent_Done,
     /* 2350700 */   // Label 32987: @2350700
     /* 2350700 */   GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2350745), // Rule ID 50411 //
     /* 2350705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350708 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350744 */     // GIR_Coverage, 50411,
     /* 2350744 */     GIR_EraseRootFromParent_Done,
     /* 2350745 */   // Label 32988: @2350745
     /* 2350745 */   GIM_Reject,
     /* 2350746 */ // Label 32986: @2350746
     /* 2350746 */ GIM_Reject,
     /* 2350747 */ // Label 32946: @2350747
     /* 2350747 */ GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2350861),
     /* 2350752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2350758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350770 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2350815), // Rule ID 50454 //
     /* 2350775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350778 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350814 */     // GIR_Coverage, 50454,
     /* 2350814 */     GIR_EraseRootFromParent_Done,
     /* 2350815 */   // Label 32990: @2350815
     /* 2350815 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2350860), // Rule ID 50455 //
     /* 2350820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350823 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350859 */     // GIR_Coverage, 50455,
     /* 2350859 */     GIR_EraseRootFromParent_Done,
     /* 2350860 */   // Label 32991: @2350860
     /* 2350860 */   GIM_Reject,
     /* 2350861 */ // Label 32989: @2350861
     /* 2350861 */ GIM_Reject,
     /* 2350862 */ // Label 32947: @2350862
     /* 2350862 */ GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2350976),
     /* 2350867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2350870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350885 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2350930), // Rule ID 50386 //
     /* 2350890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350893 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350929 */     // GIR_Coverage, 50386,
     /* 2350929 */     GIR_EraseRootFromParent_Done,
     /* 2350930 */   // Label 32993: @2350930
     /* 2350930 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2350975), // Rule ID 50387 //
     /* 2350935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350938 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350974 */     // GIR_Coverage, 50387,
     /* 2350974 */     GIR_EraseRootFromParent_Done,
     /* 2350975 */   // Label 32994: @2350975
     /* 2350975 */   GIM_Reject,
     /* 2350976 */ // Label 32992: @2350976
     /* 2350976 */ GIM_Reject,
     /* 2350977 */ // Label 32948: @2350977
     /* 2350977 */ GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2351091),
     /* 2350982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351000 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2351045), // Rule ID 50406 //
     /* 2351005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351008 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351044 */     // GIR_Coverage, 50406,
     /* 2351044 */     GIR_EraseRootFromParent_Done,
     /* 2351045 */   // Label 32996: @2351045
     /* 2351045 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2351090), // Rule ID 50407 //
     /* 2351050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351053 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351089 */     // GIR_Coverage, 50407,
     /* 2351089 */     GIR_EraseRootFromParent_Done,
     /* 2351090 */   // Label 32997: @2351090
     /* 2351090 */   GIM_Reject,
     /* 2351091 */ // Label 32995: @2351091
     /* 2351091 */ GIM_Reject,
     /* 2351092 */ // Label 32949: @2351092
     /* 2351092 */ GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2351206),
     /* 2351097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2351100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351115 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2351160), // Rule ID 50442 //
     /* 2351120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351123 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351159 */     // GIR_Coverage, 50442,
     /* 2351159 */     GIR_EraseRootFromParent_Done,
     /* 2351160 */   // Label 32999: @2351160
     /* 2351160 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2351205), // Rule ID 50443 //
     /* 2351165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351168 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351204 */     // GIR_Coverage, 50443,
     /* 2351204 */     GIR_EraseRootFromParent_Done,
     /* 2351205 */   // Label 33000: @2351205
     /* 2351205 */   GIM_Reject,
     /* 2351206 */ // Label 32998: @2351206
     /* 2351206 */ GIM_Reject,
     /* 2351207 */ // Label 32950: @2351207
     /* 2351207 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2351321),
     /* 2351212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2351215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351230 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2351275), // Rule ID 50458 //
     /* 2351235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351238 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351274 */     // GIR_Coverage, 50458,
     /* 2351274 */     GIR_EraseRootFromParent_Done,
     /* 2351275 */   // Label 33002: @2351275
     /* 2351275 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2351320), // Rule ID 50459 //
     /* 2351280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351283 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351319 */     // GIR_Coverage, 50459,
     /* 2351319 */     GIR_EraseRootFromParent_Done,
     /* 2351320 */   // Label 33003: @2351320
     /* 2351320 */   GIM_Reject,
     /* 2351321 */ // Label 33001: @2351321
     /* 2351321 */ GIM_Reject,
     /* 2351322 */ // Label 32951: @2351322
     /* 2351322 */ GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2351436),
     /* 2351327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2351330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351345 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2351390), // Rule ID 50402 //
     /* 2351350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351353 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351389 */     // GIR_Coverage, 50402,
     /* 2351389 */     GIR_EraseRootFromParent_Done,
     /* 2351390 */   // Label 33005: @2351390
     /* 2351390 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2351435), // Rule ID 50403 //
     /* 2351395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351398 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2351415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351434 */     // GIR_Coverage, 50403,
     /* 2351434 */     GIR_EraseRootFromParent_Done,
     /* 2351435 */   // Label 33006: @2351435
     /* 2351435 */   GIM_Reject,
     /* 2351436 */ // Label 33004: @2351436
     /* 2351436 */ GIM_Reject,
     /* 2351437 */ // Label 32952: @2351437
     /* 2351437 */ GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2351551),
     /* 2351442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351460 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2351505), // Rule ID 50430 //
     /* 2351465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351468 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351504 */     // GIR_Coverage, 50430,
     /* 2351504 */     GIR_EraseRootFromParent_Done,
     /* 2351505 */   // Label 33008: @2351505
     /* 2351505 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2351550), // Rule ID 50431 //
     /* 2351510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351513 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351549 */     // GIR_Coverage, 50431,
     /* 2351549 */     GIR_EraseRootFromParent_Done,
     /* 2351550 */   // Label 33009: @2351550
     /* 2351550 */   GIM_Reject,
     /* 2351551 */ // Label 33007: @2351551
     /* 2351551 */ GIM_Reject,
     /* 2351552 */ // Label 32953: @2351552
     /* 2351552 */ GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2351666),
     /* 2351557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351575 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2351620), // Rule ID 50446 //
     /* 2351580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351583 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351619 */     // GIR_Coverage, 50446,
     /* 2351619 */     GIR_EraseRootFromParent_Done,
     /* 2351620 */   // Label 33011: @2351620
     /* 2351620 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2351665), // Rule ID 50447 //
     /* 2351625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351628 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351664 */     // GIR_Coverage, 50447,
     /* 2351664 */     GIR_EraseRootFromParent_Done,
     /* 2351665 */   // Label 33012: @2351665
     /* 2351665 */   GIM_Reject,
     /* 2351666 */ // Label 33010: @2351666
     /* 2351666 */ GIM_Reject,
     /* 2351667 */ // Label 32954: @2351667
     /* 2351667 */ GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2351781),
     /* 2351672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351690 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2351735), // Rule ID 50462 //
     /* 2351695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351698 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351734 */     // GIR_Coverage, 50462,
     /* 2351734 */     GIR_EraseRootFromParent_Done,
     /* 2351735 */   // Label 33014: @2351735
     /* 2351735 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2351780), // Rule ID 50463 //
     /* 2351740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351743 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351779 */     // GIR_Coverage, 50463,
     /* 2351779 */     GIR_EraseRootFromParent_Done,
     /* 2351780 */   // Label 33015: @2351780
     /* 2351780 */   GIM_Reject,
     /* 2351781 */ // Label 33013: @2351781
     /* 2351781 */ GIM_Reject,
     /* 2351782 */ // Label 32955: @2351782
     /* 2351782 */ GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2351896),
     /* 2351787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2351790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2351793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351805 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2351850), // Rule ID 50418 //
     /* 2351810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351813 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351849 */     // GIR_Coverage, 50418,
     /* 2351849 */     GIR_EraseRootFromParent_Done,
     /* 2351850 */   // Label 33017: @2351850
     /* 2351850 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2351895), // Rule ID 50419 //
     /* 2351855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351858 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351894 */     // GIR_Coverage, 50419,
     /* 2351894 */     GIR_EraseRootFromParent_Done,
     /* 2351895 */   // Label 33018: @2351895
     /* 2351895 */   GIM_Reject,
     /* 2351896 */ // Label 33016: @2351896
     /* 2351896 */ GIM_Reject,
     /* 2351897 */ // Label 32956: @2351897
     /* 2351897 */ GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2352011),
     /* 2351902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2351908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351920 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2351965), // Rule ID 50434 //
     /* 2351925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351928 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351964 */     // GIR_Coverage, 50434,
     /* 2351964 */     GIR_EraseRootFromParent_Done,
     /* 2351965 */   // Label 33020: @2351965
     /* 2351965 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2352010), // Rule ID 50435 //
     /* 2351970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351973 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352009 */     // GIR_Coverage, 50435,
     /* 2352009 */     GIR_EraseRootFromParent_Done,
     /* 2352010 */   // Label 33021: @2352010
     /* 2352010 */   GIM_Reject,
     /* 2352011 */ // Label 33019: @2352011
     /* 2352011 */ GIM_Reject,
     /* 2352012 */ // Label 32957: @2352012
     /* 2352012 */ GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2352126),
     /* 2352017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2352020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2352023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352035 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2352080), // Rule ID 50450 //
     /* 2352040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352043 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352079 */     // GIR_Coverage, 50450,
     /* 2352079 */     GIR_EraseRootFromParent_Done,
     /* 2352080 */   // Label 33023: @2352080
     /* 2352080 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2352125), // Rule ID 50451 //
     /* 2352085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352088 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352124 */     // GIR_Coverage, 50451,
     /* 2352124 */     GIR_EraseRootFromParent_Done,
     /* 2352125 */   // Label 33024: @2352125
     /* 2352125 */   GIM_Reject,
     /* 2352126 */ // Label 33022: @2352126
     /* 2352126 */ GIM_Reject,
     /* 2352127 */ // Label 32958: @2352127
     /* 2352127 */ GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2352241),
     /* 2352132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2352135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2352138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352150 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2352195), // Rule ID 50422 //
     /* 2352155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352158 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2352175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352194 */     // GIR_Coverage, 50422,
     /* 2352194 */     GIR_EraseRootFromParent_Done,
     /* 2352195 */   // Label 33026: @2352195
     /* 2352195 */   GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2352240), // Rule ID 50423 //
     /* 2352200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352203 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2352220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352239 */     // GIR_Coverage, 50423,
     /* 2352239 */     GIR_EraseRootFromParent_Done,
     /* 2352240 */   // Label 33027: @2352240
     /* 2352240 */   GIM_Reject,
     /* 2352241 */ // Label 33025: @2352241
     /* 2352241 */ GIM_Reject,
     /* 2352242 */ // Label 32959: @2352242
     /* 2352242 */ GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2352356),
     /* 2352247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2352250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2352253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352265 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2352310), // Rule ID 50438 //
     /* 2352270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352273 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352309 */     // GIR_Coverage, 50438,
     /* 2352309 */     GIR_EraseRootFromParent_Done,
     /* 2352310 */   // Label 33029: @2352310
     /* 2352310 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2352355), // Rule ID 50439 //
     /* 2352315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352318 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352354 */     // GIR_Coverage, 50439,
     /* 2352354 */     GIR_EraseRootFromParent_Done,
     /* 2352355 */   // Label 33030: @2352355
     /* 2352355 */   GIM_Reject,
     /* 2352356 */ // Label 33028: @2352356
     /* 2352356 */ GIM_Reject,
     /* 2352357 */ // Label 32960: @2352357
     /* 2352357 */ GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2352471),
     /* 2352362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2352365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2352368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352380 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2352425), // Rule ID 50426 //
     /* 2352385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352388 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352424 */     // GIR_Coverage, 50426,
     /* 2352424 */     GIR_EraseRootFromParent_Done,
     /* 2352425 */   // Label 33032: @2352425
     /* 2352425 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2352470), // Rule ID 50427 //
     /* 2352430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352433 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352469 */     // GIR_Coverage, 50427,
     /* 2352469 */     GIR_EraseRootFromParent_Done,
     /* 2352470 */   // Label 33033: @2352470
     /* 2352470 */   GIM_Reject,
     /* 2352471 */ // Label 33031: @2352471
     /* 2352471 */ GIM_Reject,
     /* 2352472 */ // Label 32961: @2352472
     /* 2352472 */ GIM_Reject,
     /* 2352473 */ // Label 81: @2352473
     /* 2352473 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33058*/ GIMT_Encode4(2355248),
     /* 2352484 */ /*GILLT_s32*//*Label 33034*/ GIMT_Encode4(2352608),
     /* 2352488 */ /*GILLT_s64*//*Label 33035*/ GIMT_Encode4(2352663), GIMT_Encode4(0),
     /* 2352496 */ /*GILLT_nxv1s8*//*Label 33036*/ GIMT_Encode4(2352718),
     /* 2352500 */ /*GILLT_nxv1s16*//*Label 33037*/ GIMT_Encode4(2352833),
     /* 2352504 */ /*GILLT_nxv1s32*//*Label 33038*/ GIMT_Encode4(2352948),
     /* 2352508 */ /*GILLT_nxv1s64*//*Label 33039*/ GIMT_Encode4(2353063), GIMT_Encode4(0),
     /* 2352516 */ /*GILLT_nxv2s8*//*Label 33040*/ GIMT_Encode4(2353178),
     /* 2352520 */ /*GILLT_nxv2s16*//*Label 33041*/ GIMT_Encode4(2353293),
     /* 2352524 */ /*GILLT_nxv2s32*//*Label 33042*/ GIMT_Encode4(2353408),
     /* 2352528 */ /*GILLT_nxv2s64*//*Label 33043*/ GIMT_Encode4(2353523), GIMT_Encode4(0),
     /* 2352536 */ /*GILLT_nxv4s8*//*Label 33044*/ GIMT_Encode4(2353638),
     /* 2352540 */ /*GILLT_nxv4s16*//*Label 33045*/ GIMT_Encode4(2353753),
     /* 2352544 */ /*GILLT_nxv4s32*//*Label 33046*/ GIMT_Encode4(2353868),
     /* 2352548 */ /*GILLT_nxv4s64*//*Label 33047*/ GIMT_Encode4(2353983), GIMT_Encode4(0),
     /* 2352556 */ /*GILLT_nxv8s8*//*Label 33048*/ GIMT_Encode4(2354098),
     /* 2352560 */ /*GILLT_nxv8s16*//*Label 33049*/ GIMT_Encode4(2354213),
     /* 2352564 */ /*GILLT_nxv8s32*//*Label 33050*/ GIMT_Encode4(2354328),
     /* 2352568 */ /*GILLT_nxv8s64*//*Label 33051*/ GIMT_Encode4(2354443), GIMT_Encode4(0),
     /* 2352576 */ /*GILLT_nxv16s8*//*Label 33052*/ GIMT_Encode4(2354558),
     /* 2352580 */ /*GILLT_nxv16s16*//*Label 33053*/ GIMT_Encode4(2354673),
     /* 2352584 */ /*GILLT_nxv16s32*//*Label 33054*/ GIMT_Encode4(2354788), GIMT_Encode4(0),
     /* 2352592 */ /*GILLT_nxv32s8*//*Label 33055*/ GIMT_Encode4(2354903),
     /* 2352596 */ /*GILLT_nxv32s16*//*Label 33056*/ GIMT_Encode4(2355018), GIMT_Encode4(0),
     /* 2352604 */ /*GILLT_nxv64s8*//*Label 33057*/ GIMT_Encode4(2355133),
     /* 2352608 */ // Label 33034: @2352608
     /* 2352608 */ GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2352662),
     /* 2352613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352631 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2352646), // Rule ID 64381 //
     /* 2352636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2352639 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352645 */     // GIR_Coverage, 64381,
     /* 2352645 */     GIR_Done,
     /* 2352646 */   // Label 33060: @2352646
     /* 2352646 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2352661), // Rule ID 2425 //
     /* 2352651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352654 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352660 */     // GIR_Coverage, 2425,
     /* 2352660 */     GIR_Done,
     /* 2352661 */   // Label 33061: @2352661
     /* 2352661 */   GIM_Reject,
     /* 2352662 */ // Label 33059: @2352662
     /* 2352662 */ GIM_Reject,
     /* 2352663 */ // Label 33035: @2352663
     /* 2352663 */ GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2352717),
     /* 2352668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352686 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2352701), // Rule ID 64380 //
     /* 2352691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2352694 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352700 */     // GIR_Coverage, 64380,
     /* 2352700 */     GIR_Done,
     /* 2352701 */   // Label 33063: @2352701
     /* 2352701 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2352716), // Rule ID 2424 //
     /* 2352706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352709 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352715 */     // GIR_Coverage, 2424,
     /* 2352715 */     GIR_Done,
     /* 2352716 */   // Label 33064: @2352716
     /* 2352716 */   GIM_Reject,
     /* 2352717 */ // Label 33062: @2352717
     /* 2352717 */ GIM_Reject,
     /* 2352718 */ // Label 33036: @2352718
     /* 2352718 */ GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2352832),
     /* 2352723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2352729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352741 */   GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2352786), // Rule ID 50554 //
     /* 2352746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352749 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352785 */     // GIR_Coverage, 50554,
     /* 2352785 */     GIR_EraseRootFromParent_Done,
     /* 2352786 */   // Label 33066: @2352786
     /* 2352786 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2352831), // Rule ID 50555 //
     /* 2352791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352794 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352830 */     // GIR_Coverage, 50555,
     /* 2352830 */     GIR_EraseRootFromParent_Done,
     /* 2352831 */   // Label 33067: @2352831
     /* 2352831 */   GIM_Reject,
     /* 2352832 */ // Label 33065: @2352832
     /* 2352832 */ GIM_Reject,
     /* 2352833 */ // Label 33037: @2352833
     /* 2352833 */ GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2352947),
     /* 2352838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352856 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2352901), // Rule ID 50566 //
     /* 2352861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352864 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352900 */     // GIR_Coverage, 50566,
     /* 2352900 */     GIR_EraseRootFromParent_Done,
     /* 2352901 */   // Label 33069: @2352901
     /* 2352901 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2352946), // Rule ID 50567 //
     /* 2352906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352909 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352945 */     // GIR_Coverage, 50567,
     /* 2352945 */     GIR_EraseRootFromParent_Done,
     /* 2352946 */   // Label 33070: @2352946
     /* 2352946 */   GIM_Reject,
     /* 2352947 */ // Label 33068: @2352947
     /* 2352947 */ GIM_Reject,
     /* 2352948 */ // Label 33038: @2352948
     /* 2352948 */ GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2353062),
     /* 2352953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352971 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2353016), // Rule ID 50574 //
     /* 2352976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352979 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353015 */     // GIR_Coverage, 50574,
     /* 2353015 */     GIR_EraseRootFromParent_Done,
     /* 2353016 */   // Label 33072: @2353016
     /* 2353016 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2353061), // Rule ID 50575 //
     /* 2353021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353024 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353060 */     // GIR_Coverage, 50575,
     /* 2353060 */     GIR_EraseRootFromParent_Done,
     /* 2353061 */   // Label 33073: @2353061
     /* 2353061 */   GIM_Reject,
     /* 2353062 */ // Label 33071: @2353062
     /* 2353062 */ GIM_Reject,
     /* 2353063 */ // Label 33039: @2353063
     /* 2353063 */ GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2353177),
     /* 2353068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2353074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353086 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2353131), // Rule ID 50590 //
     /* 2353091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353094 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353130 */     // GIR_Coverage, 50590,
     /* 2353130 */     GIR_EraseRootFromParent_Done,
     /* 2353131 */   // Label 33075: @2353131
     /* 2353131 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2353176), // Rule ID 50591 //
     /* 2353136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353139 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353175 */     // GIR_Coverage, 50591,
     /* 2353175 */     GIR_EraseRootFromParent_Done,
     /* 2353176 */   // Label 33076: @2353176
     /* 2353176 */   GIM_Reject,
     /* 2353177 */ // Label 33074: @2353177
     /* 2353177 */ GIM_Reject,
     /* 2353178 */ // Label 33040: @2353178
     /* 2353178 */ GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2353292),
     /* 2353183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2353186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2353189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353201 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2353246), // Rule ID 50558 //
     /* 2353206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353209 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2353226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353245 */     // GIR_Coverage, 50558,
     /* 2353245 */     GIR_EraseRootFromParent_Done,
     /* 2353246 */   // Label 33078: @2353246
     /* 2353246 */   GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2353291), // Rule ID 50559 //
     /* 2353251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353254 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2353271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353290 */     // GIR_Coverage, 50559,
     /* 2353290 */     GIR_EraseRootFromParent_Done,
     /* 2353291 */   // Label 33079: @2353291
     /* 2353291 */   GIM_Reject,
     /* 2353292 */ // Label 33077: @2353292
     /* 2353292 */ GIM_Reject,
     /* 2353293 */ // Label 33041: @2353293
     /* 2353293 */ GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2353407),
     /* 2353298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2353304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353316 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2353361), // Rule ID 50570 //
     /* 2353321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353324 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353360 */     // GIR_Coverage, 50570,
     /* 2353360 */     GIR_EraseRootFromParent_Done,
     /* 2353361 */   // Label 33081: @2353361
     /* 2353361 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2353406), // Rule ID 50571 //
     /* 2353366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353369 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353405 */     // GIR_Coverage, 50571,
     /* 2353405 */     GIR_EraseRootFromParent_Done,
     /* 2353406 */   // Label 33082: @2353406
     /* 2353406 */   GIM_Reject,
     /* 2353407 */ // Label 33080: @2353407
     /* 2353407 */ GIM_Reject,
     /* 2353408 */ // Label 33042: @2353408
     /* 2353408 */ GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2353522),
     /* 2353413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353431 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2353476), // Rule ID 50586 //
     /* 2353436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353439 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353475 */     // GIR_Coverage, 50586,
     /* 2353475 */     GIR_EraseRootFromParent_Done,
     /* 2353476 */   // Label 33084: @2353476
     /* 2353476 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2353521), // Rule ID 50587 //
     /* 2353481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353484 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353520 */     // GIR_Coverage, 50587,
     /* 2353520 */     GIR_EraseRootFromParent_Done,
     /* 2353521 */   // Label 33085: @2353521
     /* 2353521 */   GIM_Reject,
     /* 2353522 */ // Label 33083: @2353522
     /* 2353522 */ GIM_Reject,
     /* 2353523 */ // Label 33043: @2353523
     /* 2353523 */ GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2353637),
     /* 2353528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353546 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2353591), // Rule ID 50630 //
     /* 2353551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353554 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353590 */     // GIR_Coverage, 50630,
     /* 2353590 */     GIR_EraseRootFromParent_Done,
     /* 2353591 */   // Label 33087: @2353591
     /* 2353591 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2353636), // Rule ID 50631 //
     /* 2353596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353599 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353635 */     // GIR_Coverage, 50631,
     /* 2353635 */     GIR_EraseRootFromParent_Done,
     /* 2353636 */   // Label 33088: @2353636
     /* 2353636 */   GIM_Reject,
     /* 2353637 */ // Label 33086: @2353637
     /* 2353637 */ GIM_Reject,
     /* 2353638 */ // Label 33044: @2353638
     /* 2353638 */ GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2353752),
     /* 2353643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2353649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353661 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2353706), // Rule ID 50562 //
     /* 2353666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353669 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353705 */     // GIR_Coverage, 50562,
     /* 2353705 */     GIR_EraseRootFromParent_Done,
     /* 2353706 */   // Label 33090: @2353706
     /* 2353706 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2353751), // Rule ID 50563 //
     /* 2353711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353714 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353750 */     // GIR_Coverage, 50563,
     /* 2353750 */     GIR_EraseRootFromParent_Done,
     /* 2353751 */   // Label 33091: @2353751
     /* 2353751 */   GIM_Reject,
     /* 2353752 */ // Label 33089: @2353752
     /* 2353752 */ GIM_Reject,
     /* 2353753 */ // Label 33045: @2353753
     /* 2353753 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2353867),
     /* 2353758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2353764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353776 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2353821), // Rule ID 50582 //
     /* 2353781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353784 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353820 */     // GIR_Coverage, 50582,
     /* 2353820 */     GIR_EraseRootFromParent_Done,
     /* 2353821 */   // Label 33093: @2353821
     /* 2353821 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2353866), // Rule ID 50583 //
     /* 2353826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353829 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353865 */     // GIR_Coverage, 50583,
     /* 2353865 */     GIR_EraseRootFromParent_Done,
     /* 2353866 */   // Label 33094: @2353866
     /* 2353866 */   GIM_Reject,
     /* 2353867 */ // Label 33092: @2353867
     /* 2353867 */ GIM_Reject,
     /* 2353868 */ // Label 33046: @2353868
     /* 2353868 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2353982),
     /* 2353873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2353879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353891 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2353936), // Rule ID 50618 //
     /* 2353896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353899 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353935 */     // GIR_Coverage, 50618,
     /* 2353935 */     GIR_EraseRootFromParent_Done,
     /* 2353936 */   // Label 33096: @2353936
     /* 2353936 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2353981), // Rule ID 50619 //
     /* 2353941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353944 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353980 */     // GIR_Coverage, 50619,
     /* 2353980 */     GIR_EraseRootFromParent_Done,
     /* 2353981 */   // Label 33097: @2353981
     /* 2353981 */   GIM_Reject,
     /* 2353982 */ // Label 33095: @2353982
     /* 2353982 */ GIM_Reject,
     /* 2353983 */ // Label 33047: @2353983
     /* 2353983 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2354097),
     /* 2353988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2353994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354006 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2354051), // Rule ID 50634 //
     /* 2354011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354014 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354050 */     // GIR_Coverage, 50634,
     /* 2354050 */     GIR_EraseRootFromParent_Done,
     /* 2354051 */   // Label 33099: @2354051
     /* 2354051 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2354096), // Rule ID 50635 //
     /* 2354056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354059 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354095 */     // GIR_Coverage, 50635,
     /* 2354095 */     GIR_EraseRootFromParent_Done,
     /* 2354096 */   // Label 33100: @2354096
     /* 2354096 */   GIM_Reject,
     /* 2354097 */ // Label 33098: @2354097
     /* 2354097 */ GIM_Reject,
     /* 2354098 */ // Label 33048: @2354098
     /* 2354098 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2354212),
     /* 2354103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2354106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354121 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2354166), // Rule ID 50578 //
     /* 2354126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354129 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2354146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354165 */     // GIR_Coverage, 50578,
     /* 2354165 */     GIR_EraseRootFromParent_Done,
     /* 2354166 */   // Label 33102: @2354166
     /* 2354166 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2354211), // Rule ID 50579 //
     /* 2354171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354174 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2354191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354210 */     // GIR_Coverage, 50579,
     /* 2354210 */     GIR_EraseRootFromParent_Done,
     /* 2354211 */   // Label 33103: @2354211
     /* 2354211 */   GIM_Reject,
     /* 2354212 */ // Label 33101: @2354212
     /* 2354212 */ GIM_Reject,
     /* 2354213 */ // Label 33049: @2354213
     /* 2354213 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2354327),
     /* 2354218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354236 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2354281), // Rule ID 50606 //
     /* 2354241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354244 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354280 */     // GIR_Coverage, 50606,
     /* 2354280 */     GIR_EraseRootFromParent_Done,
     /* 2354281 */   // Label 33105: @2354281
     /* 2354281 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2354326), // Rule ID 50607 //
     /* 2354286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354289 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354325 */     // GIR_Coverage, 50607,
     /* 2354325 */     GIR_EraseRootFromParent_Done,
     /* 2354326 */   // Label 33106: @2354326
     /* 2354326 */   GIM_Reject,
     /* 2354327 */ // Label 33104: @2354327
     /* 2354327 */ GIM_Reject,
     /* 2354328 */ // Label 33050: @2354328
     /* 2354328 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2354442),
     /* 2354333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2354336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354351 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2354396), // Rule ID 50622 //
     /* 2354356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354359 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354395 */     // GIR_Coverage, 50622,
     /* 2354395 */     GIR_EraseRootFromParent_Done,
     /* 2354396 */   // Label 33108: @2354396
     /* 2354396 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2354441), // Rule ID 50623 //
     /* 2354401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354404 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354440 */     // GIR_Coverage, 50623,
     /* 2354440 */     GIR_EraseRootFromParent_Done,
     /* 2354441 */   // Label 33109: @2354441
     /* 2354441 */   GIM_Reject,
     /* 2354442 */ // Label 33107: @2354442
     /* 2354442 */ GIM_Reject,
     /* 2354443 */ // Label 33051: @2354443
     /* 2354443 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2354557),
     /* 2354448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354466 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2354511), // Rule ID 50638 //
     /* 2354471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354474 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354510 */     // GIR_Coverage, 50638,
     /* 2354510 */     GIR_EraseRootFromParent_Done,
     /* 2354511 */   // Label 33111: @2354511
     /* 2354511 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2354556), // Rule ID 50639 //
     /* 2354516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354519 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354555 */     // GIR_Coverage, 50639,
     /* 2354555 */     GIR_EraseRootFromParent_Done,
     /* 2354556 */   // Label 33112: @2354556
     /* 2354556 */   GIM_Reject,
     /* 2354557 */ // Label 33110: @2354557
     /* 2354557 */ GIM_Reject,
     /* 2354558 */ // Label 33052: @2354558
     /* 2354558 */ GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2354672),
     /* 2354563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2354569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354581 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2354626), // Rule ID 50594 //
     /* 2354586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354589 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354625 */     // GIR_Coverage, 50594,
     /* 2354625 */     GIR_EraseRootFromParent_Done,
     /* 2354626 */   // Label 33114: @2354626
     /* 2354626 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2354671), // Rule ID 50595 //
     /* 2354631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354634 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354670 */     // GIR_Coverage, 50595,
     /* 2354670 */     GIR_EraseRootFromParent_Done,
     /* 2354671 */   // Label 33115: @2354671
     /* 2354671 */   GIM_Reject,
     /* 2354672 */ // Label 33113: @2354672
     /* 2354672 */ GIM_Reject,
     /* 2354673 */ // Label 33053: @2354673
     /* 2354673 */ GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2354787),
     /* 2354678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354696 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2354741), // Rule ID 50610 //
     /* 2354701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354704 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354740 */     // GIR_Coverage, 50610,
     /* 2354740 */     GIR_EraseRootFromParent_Done,
     /* 2354741 */   // Label 33117: @2354741
     /* 2354741 */   GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2354786), // Rule ID 50611 //
     /* 2354746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354749 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354785 */     // GIR_Coverage, 50611,
     /* 2354785 */     GIR_EraseRootFromParent_Done,
     /* 2354786 */   // Label 33118: @2354786
     /* 2354786 */   GIM_Reject,
     /* 2354787 */ // Label 33116: @2354787
     /* 2354787 */ GIM_Reject,
     /* 2354788 */ // Label 33054: @2354788
     /* 2354788 */ GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2354902),
     /* 2354793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2354799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354811 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2354856), // Rule ID 50626 //
     /* 2354816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354819 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354855 */     // GIR_Coverage, 50626,
     /* 2354855 */     GIR_EraseRootFromParent_Done,
     /* 2354856 */   // Label 33120: @2354856
     /* 2354856 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2354901), // Rule ID 50627 //
     /* 2354861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354864 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354900 */     // GIR_Coverage, 50627,
     /* 2354900 */     GIR_EraseRootFromParent_Done,
     /* 2354901 */   // Label 33121: @2354901
     /* 2354901 */   GIM_Reject,
     /* 2354902 */ // Label 33119: @2354902
     /* 2354902 */ GIM_Reject,
     /* 2354903 */ // Label 33055: @2354903
     /* 2354903 */ GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2355017),
     /* 2354908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2354914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354926 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2354971), // Rule ID 50598 //
     /* 2354931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354934 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354970 */     // GIR_Coverage, 50598,
     /* 2354970 */     GIR_EraseRootFromParent_Done,
     /* 2354971 */   // Label 33123: @2354971
     /* 2354971 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2355016), // Rule ID 50599 //
     /* 2354976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354979 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355015 */     // GIR_Coverage, 50599,
     /* 2355015 */     GIR_EraseRootFromParent_Done,
     /* 2355016 */   // Label 33124: @2355016
     /* 2355016 */   GIM_Reject,
     /* 2355017 */ // Label 33122: @2355017
     /* 2355017 */ GIM_Reject,
     /* 2355018 */ // Label 33056: @2355018
     /* 2355018 */ GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2355132),
     /* 2355023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2355026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2355029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355041 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2355086), // Rule ID 50614 //
     /* 2355046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355049 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355085 */     // GIR_Coverage, 50614,
     /* 2355085 */     GIR_EraseRootFromParent_Done,
     /* 2355086 */   // Label 33126: @2355086
     /* 2355086 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2355131), // Rule ID 50615 //
     /* 2355091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355094 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355130 */     // GIR_Coverage, 50615,
     /* 2355130 */     GIR_EraseRootFromParent_Done,
     /* 2355131 */   // Label 33127: @2355131
     /* 2355131 */   GIM_Reject,
     /* 2355132 */ // Label 33125: @2355132
     /* 2355132 */ GIM_Reject,
     /* 2355133 */ // Label 33057: @2355133
     /* 2355133 */ GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2355247),
     /* 2355138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2355141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2355144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355156 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2355201), // Rule ID 50602 //
     /* 2355161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355164 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355200 */     // GIR_Coverage, 50602,
     /* 2355200 */     GIR_EraseRootFromParent_Done,
     /* 2355201 */   // Label 33129: @2355201
     /* 2355201 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2355246), // Rule ID 50603 //
     /* 2355206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355209 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2355226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355245 */     // GIR_Coverage, 50603,
     /* 2355245 */     GIR_EraseRootFromParent_Done,
     /* 2355246 */   // Label 33130: @2355246
     /* 2355246 */   GIM_Reject,
     /* 2355247 */ // Label 33128: @2355247
     /* 2355247 */ GIM_Reject,
     /* 2355248 */ // Label 33058: @2355248
     /* 2355248 */ GIM_Reject,
     /* 2355249 */ // Label 82: @2355249
     /* 2355249 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33133*/ GIMT_Encode4(2355406),
     /* 2355260 */ /*GILLT_s32*//*Label 33131*/ GIMT_Encode4(2355268),
     /* 2355264 */ /*GILLT_s64*//*Label 33132*/ GIMT_Encode4(2355337),
     /* 2355268 */ // Label 33131: @2355268
     /* 2355268 */ GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2355336),
     /* 2355273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355284 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2355299), // Rule ID 64369 //
     /* 2355289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2355292 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2355292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2355297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355298 */     // GIR_Coverage, 64369,
     /* 2355298 */     GIR_Done,
     /* 2355299 */   // Label 33135: @2355299
     /* 2355299 */   GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2355335), // Rule ID 62423 //
     /* 2355304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2355307 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2355307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2355310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2355312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2355323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355334 */     // GIR_Coverage, 62423,
     /* 2355334 */     GIR_EraseRootFromParent_Done,
     /* 2355335 */   // Label 33136: @2355335
     /* 2355335 */   GIM_Reject,
     /* 2355336 */ // Label 33134: @2355336
     /* 2355336 */ GIM_Reject,
     /* 2355337 */ // Label 33132: @2355337
     /* 2355337 */ GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2355405),
     /* 2355342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355353 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2355368), // Rule ID 64368 //
     /* 2355358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2355361 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2355361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2355366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355367 */     // GIR_Coverage, 64368,
     /* 2355367 */     GIR_Done,
     /* 2355368 */   // Label 33138: @2355368
     /* 2355368 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2355404), // Rule ID 62422 //
     /* 2355373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2355376 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2355376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2355379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2355381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2355392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2355400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355403 */     // GIR_Coverage, 62422,
     /* 2355403 */     GIR_EraseRootFromParent_Done,
     /* 2355404 */   // Label 33139: @2355404
     /* 2355404 */   GIM_Reject,
     /* 2355405 */ // Label 33137: @2355405
     /* 2355405 */ GIM_Reject,
     /* 2355406 */ // Label 33133: @2355406
     /* 2355406 */ GIM_Reject,
     /* 2355407 */ // Label 83: @2355407
     /* 2355407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33142*/ GIMT_Encode4(2355986),
     /* 2355418 */ /*GILLT_s32*//*Label 33140*/ GIMT_Encode4(2355426),
     /* 2355422 */ /*GILLT_s64*//*Label 33141*/ GIMT_Encode4(2355799),
     /* 2355426 */ // Label 33140: @2355426
     /* 2355426 */ GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2355457), // Rule ID 1360 //
     /* 2355431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2355434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355445 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355456 */   // GIR_Coverage, 1360,
     /* 2355456 */   GIR_EraseRootFromParent_Done,
     /* 2355457 */ // Label 33143: @2355457
     /* 2355457 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2355488), // Rule ID 1361 //
     /* 2355462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2355465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355476 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355487 */   // GIR_Coverage, 1361,
     /* 2355487 */   GIR_EraseRootFromParent_Done,
     /* 2355488 */ // Label 33144: @2355488
     /* 2355488 */ GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2355519), // Rule ID 1386 //
     /* 2355493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2355496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355507 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355512 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355518 */   // GIR_Coverage, 1386,
     /* 2355518 */   GIR_EraseRootFromParent_Done,
     /* 2355519 */ // Label 33145: @2355519
     /* 2355519 */ GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2355550), // Rule ID 1387 //
     /* 2355524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2355527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355538 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355549 */   // GIR_Coverage, 1387,
     /* 2355549 */   GIR_EraseRootFromParent_Done,
     /* 2355550 */ // Label 33146: @2355550
     /* 2355550 */ GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2355581), // Rule ID 1754 //
     /* 2355555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2355558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355569 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355580 */   // GIR_Coverage, 1754,
     /* 2355580 */   GIR_EraseRootFromParent_Done,
     /* 2355581 */ // Label 33147: @2355581
     /* 2355581 */ GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2355612), // Rule ID 1755 //
     /* 2355586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2355589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355600 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355611 */   // GIR_Coverage, 1755,
     /* 2355611 */   GIR_EraseRootFromParent_Done,
     /* 2355612 */ // Label 33148: @2355612
     /* 2355612 */ GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2355643), // Rule ID 1780 //
     /* 2355617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2355620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355631 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355642 */   // GIR_Coverage, 1780,
     /* 2355642 */   GIR_EraseRootFromParent_Done,
     /* 2355643 */ // Label 33149: @2355643
     /* 2355643 */ GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2355674), // Rule ID 1781 //
     /* 2355648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2355651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355662 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355673 */   // GIR_Coverage, 1781,
     /* 2355673 */   GIR_EraseRootFromParent_Done,
     /* 2355674 */ // Label 33150: @2355674
     /* 2355674 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2355705), // Rule ID 2096 //
     /* 2355679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2355682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355693 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355704 */   // GIR_Coverage, 2096,
     /* 2355704 */   GIR_EraseRootFromParent_Done,
     /* 2355705 */ // Label 33151: @2355705
     /* 2355705 */ GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2355736), // Rule ID 2097 //
     /* 2355710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2355713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355724 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355735 */   // GIR_Coverage, 2097,
     /* 2355735 */   GIR_EraseRootFromParent_Done,
     /* 2355736 */ // Label 33152: @2355736
     /* 2355736 */ GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2355767), // Rule ID 2122 //
     /* 2355741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2355744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355755 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355766 */   // GIR_Coverage, 2122,
     /* 2355766 */   GIR_EraseRootFromParent_Done,
     /* 2355767 */ // Label 33153: @2355767
     /* 2355767 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2355798), // Rule ID 2123 //
     /* 2355772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2355775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355786 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355797 */   // GIR_Coverage, 2123,
     /* 2355797 */   GIR_EraseRootFromParent_Done,
     /* 2355798 */ // Label 33154: @2355798
     /* 2355798 */ GIM_Reject,
     /* 2355799 */ // Label 33141: @2355799
     /* 2355799 */ GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2355830), // Rule ID 1413 //
     /* 2355804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355818 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355829 */   // GIR_Coverage, 1413,
     /* 2355829 */   GIR_EraseRootFromParent_Done,
     /* 2355830 */ // Label 33155: @2355830
     /* 2355830 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2355861), // Rule ID 1441 //
     /* 2355835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355849 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355854 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355860 */   // GIR_Coverage, 1441,
     /* 2355860 */   GIR_EraseRootFromParent_Done,
     /* 2355861 */ // Label 33156: @2355861
     /* 2355861 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2355892), // Rule ID 1811 //
     /* 2355866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355880 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355885 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355891 */   // GIR_Coverage, 1811,
     /* 2355891 */   GIR_EraseRootFromParent_Done,
     /* 2355892 */ // Label 33157: @2355892
     /* 2355892 */ GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2355923), // Rule ID 1839 //
     /* 2355897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355911 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355922 */   // GIR_Coverage, 1839,
     /* 2355922 */   GIR_EraseRootFromParent_Done,
     /* 2355923 */ // Label 33158: @2355923
     /* 2355923 */ GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2355954), // Rule ID 2147 //
     /* 2355928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355942 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355953 */   // GIR_Coverage, 2147,
     /* 2355953 */   GIR_EraseRootFromParent_Done,
     /* 2355954 */ // Label 33159: @2355954
     /* 2355954 */ GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2355985), // Rule ID 2173 //
     /* 2355959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355973 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355984 */   // GIR_Coverage, 2173,
     /* 2355984 */   GIR_EraseRootFromParent_Done,
     /* 2355985 */ // Label 33160: @2355985
     /* 2355985 */ GIM_Reject,
     /* 2355986 */ // Label 33142: @2355986
     /* 2355986 */ GIM_Reject,
     /* 2355987 */ // Label 84: @2355987
     /* 2355987 */ GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2356196),
     /* 2355992 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2355995 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33165*/ GIMT_Encode4(2356195),
     /* 2356006 */   /*GILLT_s16*//*Label 33162*/ GIMT_Encode4(2356018),
     /* 2356010 */   /*GILLT_s32*//*Label 33163*/ GIMT_Encode4(2356077),
     /* 2356014 */   /*GILLT_s64*//*Label 33164*/ GIMT_Encode4(2356136),
     /* 2356018 */   // Label 33162: @2356018
     /* 2356018 */   GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2356076),
     /* 2356023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356027 */     GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2356051), // Rule ID 2149 //
     /* 2356032 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2356035 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356039 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2356039 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2356042 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356044 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356046 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356049 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356050 */       // GIR_Coverage, 2149,
     /* 2356050 */       GIR_EraseRootFromParent_Done,
     /* 2356051 */     // Label 33167: @2356051
     /* 2356051 */     GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2356075), // Rule ID 2175 //
     /* 2356056 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2356059 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2356063 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2356063 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2356066 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356068 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356070 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356073 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356074 */       // GIR_Coverage, 2175,
     /* 2356074 */       GIR_EraseRootFromParent_Done,
     /* 2356075 */     // Label 33168: @2356075
     /* 2356075 */     GIM_Reject,
     /* 2356076 */   // Label 33166: @2356076
     /* 2356076 */   GIM_Reject,
     /* 2356077 */   // Label 33163: @2356077
     /* 2356077 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2356135),
     /* 2356082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356086 */     GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2356110), // Rule ID 1415 //
     /* 2356091 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2356094 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356098 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2356098 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2356101 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356103 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356105 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356108 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356109 */       // GIR_Coverage, 1415,
     /* 2356109 */       GIR_EraseRootFromParent_Done,
     /* 2356110 */     // Label 33170: @2356110
     /* 2356110 */     GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2356134), // Rule ID 1443 //
     /* 2356115 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2356118 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2356122 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2356122 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2356125 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356127 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356129 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356132 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356133 */       // GIR_Coverage, 1443,
     /* 2356133 */       GIR_EraseRootFromParent_Done,
     /* 2356134 */     // Label 33171: @2356134
     /* 2356134 */     GIM_Reject,
     /* 2356135 */   // Label 33169: @2356135
     /* 2356135 */   GIM_Reject,
     /* 2356136 */   // Label 33164: @2356136
     /* 2356136 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2356194),
     /* 2356141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356145 */     GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2356169), // Rule ID 1813 //
     /* 2356150 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2356153 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356157 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2356157 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2356160 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356162 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356164 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356167 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356168 */       // GIR_Coverage, 1813,
     /* 2356168 */       GIR_EraseRootFromParent_Done,
     /* 2356169 */     // Label 33173: @2356169
     /* 2356169 */     GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2356193), // Rule ID 1841 //
     /* 2356174 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2356177 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356181 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2356181 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2356184 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356186 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356188 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356191 */       GIR_RootConstrainSelectedInstOperands,
     /* 2356192 */       // GIR_Coverage, 1841,
     /* 2356192 */       GIR_EraseRootFromParent_Done,
     /* 2356193 */     // Label 33174: @2356193
     /* 2356193 */     GIM_Reject,
     /* 2356194 */   // Label 33172: @2356194
     /* 2356194 */   GIM_Reject,
     /* 2356195 */   // Label 33165: @2356195
     /* 2356195 */   GIM_Reject,
     /* 2356196 */ // Label 33161: @2356196
     /* 2356196 */ GIM_Reject,
     /* 2356197 */ // Label 85: @2356197
     /* 2356197 */ GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2356212), // Rule ID 4 //
     /* 2356202 */   // MIs[0] imm20
     /* 2356202 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2356205 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2356205 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2356210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356211 */   // GIR_Coverage, 4,
     /* 2356211 */   GIR_Done,
     /* 2356212 */ // Label 33175: @2356212
     /* 2356212 */ GIM_Reject,
     /* 2356213 */ // Label 86: @2356213
     /* 2356213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33200*/ GIMT_Encode4(2358732),
     /* 2356224 */ /*GILLT_s32*//*Label 33176*/ GIMT_Encode4(2356348),
     /* 2356228 */ /*GILLT_s64*//*Label 33177*/ GIMT_Encode4(2356396), GIMT_Encode4(0),
     /* 2356236 */ /*GILLT_nxv1s8*//*Label 33178*/ GIMT_Encode4(2356444),
     /* 2356240 */ /*GILLT_nxv1s16*//*Label 33179*/ GIMT_Encode4(2356548),
     /* 2356244 */ /*GILLT_nxv1s32*//*Label 33180*/ GIMT_Encode4(2356652),
     /* 2356248 */ /*GILLT_nxv1s64*//*Label 33181*/ GIMT_Encode4(2356756), GIMT_Encode4(0),
     /* 2356256 */ /*GILLT_nxv2s8*//*Label 33182*/ GIMT_Encode4(2356860),
     /* 2356260 */ /*GILLT_nxv2s16*//*Label 33183*/ GIMT_Encode4(2356964),
     /* 2356264 */ /*GILLT_nxv2s32*//*Label 33184*/ GIMT_Encode4(2357068),
     /* 2356268 */ /*GILLT_nxv2s64*//*Label 33185*/ GIMT_Encode4(2357172), GIMT_Encode4(0),
     /* 2356276 */ /*GILLT_nxv4s8*//*Label 33186*/ GIMT_Encode4(2357276),
     /* 2356280 */ /*GILLT_nxv4s16*//*Label 33187*/ GIMT_Encode4(2357380),
     /* 2356284 */ /*GILLT_nxv4s32*//*Label 33188*/ GIMT_Encode4(2357484),
     /* 2356288 */ /*GILLT_nxv4s64*//*Label 33189*/ GIMT_Encode4(2357588), GIMT_Encode4(0),
     /* 2356296 */ /*GILLT_nxv8s8*//*Label 33190*/ GIMT_Encode4(2357692),
     /* 2356300 */ /*GILLT_nxv8s16*//*Label 33191*/ GIMT_Encode4(2357796),
     /* 2356304 */ /*GILLT_nxv8s32*//*Label 33192*/ GIMT_Encode4(2357900),
     /* 2356308 */ /*GILLT_nxv8s64*//*Label 33193*/ GIMT_Encode4(2358004), GIMT_Encode4(0),
     /* 2356316 */ /*GILLT_nxv16s8*//*Label 33194*/ GIMT_Encode4(2358108),
     /* 2356320 */ /*GILLT_nxv16s16*//*Label 33195*/ GIMT_Encode4(2358212),
     /* 2356324 */ /*GILLT_nxv16s32*//*Label 33196*/ GIMT_Encode4(2358316), GIMT_Encode4(0),
     /* 2356332 */ /*GILLT_nxv32s8*//*Label 33197*/ GIMT_Encode4(2358420),
     /* 2356336 */ /*GILLT_nxv32s16*//*Label 33198*/ GIMT_Encode4(2358524), GIMT_Encode4(0),
     /* 2356344 */ /*GILLT_nxv64s8*//*Label 33199*/ GIMT_Encode4(2358628),
     /* 2356348 */ // Label 33176: @2356348
     /* 2356348 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2356395),
     /* 2356353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356364 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2356379), // Rule ID 2407 //
     /* 2356369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2356372 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2356377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356378 */     // GIR_Coverage, 2407,
     /* 2356378 */     GIR_Done,
     /* 2356379 */   // Label 33202: @2356379
     /* 2356379 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2356394), // Rule ID 64352 //
     /* 2356384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2356387 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356393 */     // GIR_Coverage, 64352,
     /* 2356393 */     GIR_Done,
     /* 2356394 */   // Label 33203: @2356394
     /* 2356394 */   GIM_Reject,
     /* 2356395 */ // Label 33201: @2356395
     /* 2356395 */ GIM_Reject,
     /* 2356396 */ // Label 33177: @2356396
     /* 2356396 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2356443),
     /* 2356401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356412 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2356427), // Rule ID 2406 //
     /* 2356417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2356420 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2356425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356426 */     // GIR_Coverage, 2406,
     /* 2356426 */     GIR_Done,
     /* 2356427 */   // Label 33205: @2356427
     /* 2356427 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2356442), // Rule ID 64351 //
     /* 2356432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2356435 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356441 */     // GIR_Coverage, 64351,
     /* 2356441 */     GIR_Done,
     /* 2356442 */   // Label 33206: @2356442
     /* 2356442 */   GIM_Reject,
     /* 2356443 */ // Label 33204: @2356443
     /* 2356443 */ GIM_Reject,
     /* 2356444 */ // Label 33178: @2356444
     /* 2356444 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2356547),
     /* 2356449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2356452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356460 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2356503), // Rule ID 59058 //
     /* 2356465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356468 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356502 */     // GIR_Coverage, 59058,
     /* 2356502 */     GIR_EraseRootFromParent_Done,
     /* 2356503 */   // Label 33208: @2356503
     /* 2356503 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2356546), // Rule ID 59059 //
     /* 2356508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356511 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356545 */     // GIR_Coverage, 59059,
     /* 2356545 */     GIR_EraseRootFromParent_Done,
     /* 2356546 */   // Label 33209: @2356546
     /* 2356546 */   GIM_Reject,
     /* 2356547 */ // Label 33207: @2356547
     /* 2356547 */ GIM_Reject,
     /* 2356548 */ // Label 33179: @2356548
     /* 2356548 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2356651),
     /* 2356553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2356556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356564 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2356607), // Rule ID 59064 //
     /* 2356569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356572 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356606 */     // GIR_Coverage, 59064,
     /* 2356606 */     GIR_EraseRootFromParent_Done,
     /* 2356607 */   // Label 33211: @2356607
     /* 2356607 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2356650), // Rule ID 59065 //
     /* 2356612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356615 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356649 */     // GIR_Coverage, 59065,
     /* 2356649 */     GIR_EraseRootFromParent_Done,
     /* 2356650 */   // Label 33212: @2356650
     /* 2356650 */   GIM_Reject,
     /* 2356651 */ // Label 33210: @2356651
     /* 2356651 */ GIM_Reject,
     /* 2356652 */ // Label 33180: @2356652
     /* 2356652 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2356755),
     /* 2356657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2356660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356668 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2356711), // Rule ID 59068 //
     /* 2356673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356676 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356710 */     // GIR_Coverage, 59068,
     /* 2356710 */     GIR_EraseRootFromParent_Done,
     /* 2356711 */   // Label 33214: @2356711
     /* 2356711 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2356754), // Rule ID 59069 //
     /* 2356716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356719 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356753 */     // GIR_Coverage, 59069,
     /* 2356753 */     GIR_EraseRootFromParent_Done,
     /* 2356754 */   // Label 33215: @2356754
     /* 2356754 */   GIM_Reject,
     /* 2356755 */ // Label 33213: @2356755
     /* 2356755 */ GIM_Reject,
     /* 2356756 */ // Label 33181: @2356756
     /* 2356756 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2356859),
     /* 2356761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2356764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356772 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2356815), // Rule ID 59076 //
     /* 2356777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356780 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356814 */     // GIR_Coverage, 59076,
     /* 2356814 */     GIR_EraseRootFromParent_Done,
     /* 2356815 */   // Label 33217: @2356815
     /* 2356815 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2356858), // Rule ID 59077 //
     /* 2356820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356823 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356857 */     // GIR_Coverage, 59077,
     /* 2356857 */     GIR_EraseRootFromParent_Done,
     /* 2356858 */   // Label 33218: @2356858
     /* 2356858 */   GIM_Reject,
     /* 2356859 */ // Label 33216: @2356859
     /* 2356859 */ GIM_Reject,
     /* 2356860 */ // Label 33182: @2356860
     /* 2356860 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2356963),
     /* 2356865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2356868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356876 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2356919), // Rule ID 59060 //
     /* 2356881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356884 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356918 */     // GIR_Coverage, 59060,
     /* 2356918 */     GIR_EraseRootFromParent_Done,
     /* 2356919 */   // Label 33220: @2356919
     /* 2356919 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2356962), // Rule ID 59061 //
     /* 2356924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356927 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356961 */     // GIR_Coverage, 59061,
     /* 2356961 */     GIR_EraseRootFromParent_Done,
     /* 2356962 */   // Label 33221: @2356962
     /* 2356962 */   GIM_Reject,
     /* 2356963 */ // Label 33219: @2356963
     /* 2356963 */ GIM_Reject,
     /* 2356964 */ // Label 33183: @2356964
     /* 2356964 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2357067),
     /* 2356969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2356972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356980 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2357023), // Rule ID 59066 //
     /* 2356985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356988 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357022 */     // GIR_Coverage, 59066,
     /* 2357022 */     GIR_EraseRootFromParent_Done,
     /* 2357023 */   // Label 33223: @2357023
     /* 2357023 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2357066), // Rule ID 59067 //
     /* 2357028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357031 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357065 */     // GIR_Coverage, 59067,
     /* 2357065 */     GIR_EraseRootFromParent_Done,
     /* 2357066 */   // Label 33224: @2357066
     /* 2357066 */   GIM_Reject,
     /* 2357067 */ // Label 33222: @2357067
     /* 2357067 */ GIM_Reject,
     /* 2357068 */ // Label 33184: @2357068
     /* 2357068 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2357171),
     /* 2357073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2357076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357084 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2357127), // Rule ID 59074 //
     /* 2357089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357092 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357126 */     // GIR_Coverage, 59074,
     /* 2357126 */     GIR_EraseRootFromParent_Done,
     /* 2357127 */   // Label 33226: @2357127
     /* 2357127 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2357170), // Rule ID 59075 //
     /* 2357132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357135 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357169 */     // GIR_Coverage, 59075,
     /* 2357169 */     GIR_EraseRootFromParent_Done,
     /* 2357170 */   // Label 33227: @2357170
     /* 2357170 */   GIM_Reject,
     /* 2357171 */ // Label 33225: @2357171
     /* 2357171 */ GIM_Reject,
     /* 2357172 */ // Label 33185: @2357172
     /* 2357172 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2357275),
     /* 2357177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2357180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357188 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2357231), // Rule ID 59096 //
     /* 2357193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357196 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357230 */     // GIR_Coverage, 59096,
     /* 2357230 */     GIR_EraseRootFromParent_Done,
     /* 2357231 */   // Label 33229: @2357231
     /* 2357231 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2357274), // Rule ID 59097 //
     /* 2357236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357239 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357273 */     // GIR_Coverage, 59097,
     /* 2357273 */     GIR_EraseRootFromParent_Done,
     /* 2357274 */   // Label 33230: @2357274
     /* 2357274 */   GIM_Reject,
     /* 2357275 */ // Label 33228: @2357275
     /* 2357275 */ GIM_Reject,
     /* 2357276 */ // Label 33186: @2357276
     /* 2357276 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2357379),
     /* 2357281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2357284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357292 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2357335), // Rule ID 59062 //
     /* 2357297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357300 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2357303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357334 */     // GIR_Coverage, 59062,
     /* 2357334 */     GIR_EraseRootFromParent_Done,
     /* 2357335 */   // Label 33232: @2357335
     /* 2357335 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2357378), // Rule ID 59063 //
     /* 2357340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357343 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2357346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2357360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357377 */     // GIR_Coverage, 59063,
     /* 2357377 */     GIR_EraseRootFromParent_Done,
     /* 2357378 */   // Label 33233: @2357378
     /* 2357378 */   GIM_Reject,
     /* 2357379 */ // Label 33231: @2357379
     /* 2357379 */ GIM_Reject,
     /* 2357380 */ // Label 33187: @2357380
     /* 2357380 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2357483),
     /* 2357385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2357388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357396 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2357439), // Rule ID 59072 //
     /* 2357401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357404 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357438 */     // GIR_Coverage, 59072,
     /* 2357438 */     GIR_EraseRootFromParent_Done,
     /* 2357439 */   // Label 33235: @2357439
     /* 2357439 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2357482), // Rule ID 59073 //
     /* 2357444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357447 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357481 */     // GIR_Coverage, 59073,
     /* 2357481 */     GIR_EraseRootFromParent_Done,
     /* 2357482 */   // Label 33236: @2357482
     /* 2357482 */   GIM_Reject,
     /* 2357483 */ // Label 33234: @2357483
     /* 2357483 */ GIM_Reject,
     /* 2357484 */ // Label 33188: @2357484
     /* 2357484 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2357587),
     /* 2357489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2357492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357500 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2357543), // Rule ID 59090 //
     /* 2357505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357508 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357542 */     // GIR_Coverage, 59090,
     /* 2357542 */     GIR_EraseRootFromParent_Done,
     /* 2357543 */   // Label 33238: @2357543
     /* 2357543 */   GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2357586), // Rule ID 59091 //
     /* 2357548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357551 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357585 */     // GIR_Coverage, 59091,
     /* 2357585 */     GIR_EraseRootFromParent_Done,
     /* 2357586 */   // Label 33239: @2357586
     /* 2357586 */   GIM_Reject,
     /* 2357587 */ // Label 33237: @2357587
     /* 2357587 */ GIM_Reject,
     /* 2357588 */ // Label 33189: @2357588
     /* 2357588 */ GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2357691),
     /* 2357593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2357596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357604 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2357647), // Rule ID 59098 //
     /* 2357609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357612 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357646 */     // GIR_Coverage, 59098,
     /* 2357646 */     GIR_EraseRootFromParent_Done,
     /* 2357647 */   // Label 33241: @2357647
     /* 2357647 */   GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2357690), // Rule ID 59099 //
     /* 2357652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357655 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357689 */     // GIR_Coverage, 59099,
     /* 2357689 */     GIR_EraseRootFromParent_Done,
     /* 2357690 */   // Label 33242: @2357690
     /* 2357690 */   GIM_Reject,
     /* 2357691 */ // Label 33240: @2357691
     /* 2357691 */ GIM_Reject,
     /* 2357692 */ // Label 33190: @2357692
     /* 2357692 */ GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2357795),
     /* 2357697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2357700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357708 */   GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2357751), // Rule ID 59070 //
     /* 2357713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357716 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357750 */     // GIR_Coverage, 59070,
     /* 2357750 */     GIR_EraseRootFromParent_Done,
     /* 2357751 */   // Label 33244: @2357751
     /* 2357751 */   GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2357794), // Rule ID 59071 //
     /* 2357756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357759 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357793 */     // GIR_Coverage, 59071,
     /* 2357793 */     GIR_EraseRootFromParent_Done,
     /* 2357794 */   // Label 33245: @2357794
     /* 2357794 */   GIM_Reject,
     /* 2357795 */ // Label 33243: @2357795
     /* 2357795 */ GIM_Reject,
     /* 2357796 */ // Label 33191: @2357796
     /* 2357796 */ GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2357899),
     /* 2357801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2357804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357812 */   GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2357855), // Rule ID 59084 //
     /* 2357817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357820 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357854 */     // GIR_Coverage, 59084,
     /* 2357854 */     GIR_EraseRootFromParent_Done,
     /* 2357855 */   // Label 33247: @2357855
     /* 2357855 */   GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2357898), // Rule ID 59085 //
     /* 2357860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357863 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357897 */     // GIR_Coverage, 59085,
     /* 2357897 */     GIR_EraseRootFromParent_Done,
     /* 2357898 */   // Label 33248: @2357898
     /* 2357898 */   GIM_Reject,
     /* 2357899 */ // Label 33246: @2357899
     /* 2357899 */ GIM_Reject,
     /* 2357900 */ // Label 33192: @2357900
     /* 2357900 */ GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2358003),
     /* 2357905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2357908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357916 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2357959), // Rule ID 59092 //
     /* 2357921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357924 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357958 */     // GIR_Coverage, 59092,
     /* 2357958 */     GIR_EraseRootFromParent_Done,
     /* 2357959 */   // Label 33250: @2357959
     /* 2357959 */   GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2358002), // Rule ID 59093 //
     /* 2357964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357967 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358001 */     // GIR_Coverage, 59093,
     /* 2358001 */     GIR_EraseRootFromParent_Done,
     /* 2358002 */   // Label 33251: @2358002
     /* 2358002 */   GIM_Reject,
     /* 2358003 */ // Label 33249: @2358003
     /* 2358003 */ GIM_Reject,
     /* 2358004 */ // Label 33193: @2358004
     /* 2358004 */ GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2358107),
     /* 2358009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2358012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358020 */   GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2358063), // Rule ID 59100 //
     /* 2358025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2358028 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358062 */     // GIR_Coverage, 59100,
     /* 2358062 */     GIR_EraseRootFromParent_Done,
     /* 2358063 */   // Label 33253: @2358063
     /* 2358063 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2358106), // Rule ID 59101 //
     /* 2358068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2358071 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358105 */     // GIR_Coverage, 59101,
     /* 2358105 */     GIR_EraseRootFromParent_Done,
     /* 2358106 */   // Label 33254: @2358106
     /* 2358106 */   GIM_Reject,
     /* 2358107 */ // Label 33252: @2358107
     /* 2358107 */ GIM_Reject,
     /* 2358108 */ // Label 33194: @2358108
     /* 2358108 */ GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2358211),
     /* 2358113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2358116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358124 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2358167), // Rule ID 59078 //
     /* 2358129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358132 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2358149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358166 */     // GIR_Coverage, 59078,
     /* 2358166 */     GIR_EraseRootFromParent_Done,
     /* 2358167 */   // Label 33256: @2358167
     /* 2358167 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2358210), // Rule ID 59079 //
     /* 2358172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358175 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2358192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358209 */     // GIR_Coverage, 59079,
     /* 2358209 */     GIR_EraseRootFromParent_Done,
     /* 2358210 */   // Label 33257: @2358210
     /* 2358210 */   GIM_Reject,
     /* 2358211 */ // Label 33255: @2358211
     /* 2358211 */ GIM_Reject,
     /* 2358212 */ // Label 33195: @2358212
     /* 2358212 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2358315),
     /* 2358217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2358220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358228 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2358271), // Rule ID 59086 //
     /* 2358233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358236 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358270 */     // GIR_Coverage, 59086,
     /* 2358270 */     GIR_EraseRootFromParent_Done,
     /* 2358271 */   // Label 33259: @2358271
     /* 2358271 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2358314), // Rule ID 59087 //
     /* 2358276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358279 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358313 */     // GIR_Coverage, 59087,
     /* 2358313 */     GIR_EraseRootFromParent_Done,
     /* 2358314 */   // Label 33260: @2358314
     /* 2358314 */   GIM_Reject,
     /* 2358315 */ // Label 33258: @2358315
     /* 2358315 */ GIM_Reject,
     /* 2358316 */ // Label 33196: @2358316
     /* 2358316 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2358419),
     /* 2358321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2358324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358332 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2358375), // Rule ID 59094 //
     /* 2358337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358340 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358374 */     // GIR_Coverage, 59094,
     /* 2358374 */     GIR_EraseRootFromParent_Done,
     /* 2358375 */   // Label 33262: @2358375
     /* 2358375 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2358418), // Rule ID 59095 //
     /* 2358380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358383 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358417 */     // GIR_Coverage, 59095,
     /* 2358417 */     GIR_EraseRootFromParent_Done,
     /* 2358418 */   // Label 33263: @2358418
     /* 2358418 */   GIM_Reject,
     /* 2358419 */ // Label 33261: @2358419
     /* 2358419 */ GIM_Reject,
     /* 2358420 */ // Label 33197: @2358420
     /* 2358420 */ GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2358523),
     /* 2358425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2358428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358436 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2358479), // Rule ID 59080 //
     /* 2358441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358444 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358478 */     // GIR_Coverage, 59080,
     /* 2358478 */     GIR_EraseRootFromParent_Done,
     /* 2358479 */   // Label 33265: @2358479
     /* 2358479 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2358522), // Rule ID 59081 //
     /* 2358484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358487 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358521 */     // GIR_Coverage, 59081,
     /* 2358521 */     GIR_EraseRootFromParent_Done,
     /* 2358522 */   // Label 33266: @2358522
     /* 2358522 */   GIM_Reject,
     /* 2358523 */ // Label 33264: @2358523
     /* 2358523 */ GIM_Reject,
     /* 2358524 */ // Label 33198: @2358524
     /* 2358524 */ GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2358627),
     /* 2358529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2358532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358540 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2358583), // Rule ID 59088 //
     /* 2358545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358548 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358582 */     // GIR_Coverage, 59088,
     /* 2358582 */     GIR_EraseRootFromParent_Done,
     /* 2358583 */   // Label 33268: @2358583
     /* 2358583 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2358626), // Rule ID 59089 //
     /* 2358588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358591 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358625 */     // GIR_Coverage, 59089,
     /* 2358625 */     GIR_EraseRootFromParent_Done,
     /* 2358626 */   // Label 33269: @2358626
     /* 2358626 */   GIM_Reject,
     /* 2358627 */ // Label 33267: @2358627
     /* 2358627 */ GIM_Reject,
     /* 2358628 */ // Label 33199: @2358628
     /* 2358628 */ GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2358731),
     /* 2358633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2358636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358644 */   GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2358687), // Rule ID 59082 //
     /* 2358649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358652 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358686 */     // GIR_Coverage, 59082,
     /* 2358686 */     GIR_EraseRootFromParent_Done,
     /* 2358687 */   // Label 33271: @2358687
     /* 2358687 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2358730), // Rule ID 59083 //
     /* 2358692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358695 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358729 */     // GIR_Coverage, 59083,
     /* 2358729 */     GIR_EraseRootFromParent_Done,
     /* 2358730 */   // Label 33272: @2358730
     /* 2358730 */   GIM_Reject,
     /* 2358731 */ // Label 33270: @2358731
     /* 2358731 */ GIM_Reject,
     /* 2358732 */ // Label 33200: @2358732
     /* 2358732 */ GIM_Reject,
     /* 2358733 */ // Label 87: @2358733
     /* 2358733 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33297*/ GIMT_Encode4(2361390),
     /* 2358744 */ /*GILLT_s32*//*Label 33273*/ GIMT_Encode4(2358868),
     /* 2358748 */ /*GILLT_s64*//*Label 33274*/ GIMT_Encode4(2358985), GIMT_Encode4(0),
     /* 2358756 */ /*GILLT_nxv1s8*//*Label 33275*/ GIMT_Encode4(2359102),
     /* 2358760 */ /*GILLT_nxv1s16*//*Label 33276*/ GIMT_Encode4(2359206),
     /* 2358764 */ /*GILLT_nxv1s32*//*Label 33277*/ GIMT_Encode4(2359310),
     /* 2358768 */ /*GILLT_nxv1s64*//*Label 33278*/ GIMT_Encode4(2359414), GIMT_Encode4(0),
     /* 2358776 */ /*GILLT_nxv2s8*//*Label 33279*/ GIMT_Encode4(2359518),
     /* 2358780 */ /*GILLT_nxv2s16*//*Label 33280*/ GIMT_Encode4(2359622),
     /* 2358784 */ /*GILLT_nxv2s32*//*Label 33281*/ GIMT_Encode4(2359726),
     /* 2358788 */ /*GILLT_nxv2s64*//*Label 33282*/ GIMT_Encode4(2359830), GIMT_Encode4(0),
     /* 2358796 */ /*GILLT_nxv4s8*//*Label 33283*/ GIMT_Encode4(2359934),
     /* 2358800 */ /*GILLT_nxv4s16*//*Label 33284*/ GIMT_Encode4(2360038),
     /* 2358804 */ /*GILLT_nxv4s32*//*Label 33285*/ GIMT_Encode4(2360142),
     /* 2358808 */ /*GILLT_nxv4s64*//*Label 33286*/ GIMT_Encode4(2360246), GIMT_Encode4(0),
     /* 2358816 */ /*GILLT_nxv8s8*//*Label 33287*/ GIMT_Encode4(2360350),
     /* 2358820 */ /*GILLT_nxv8s16*//*Label 33288*/ GIMT_Encode4(2360454),
     /* 2358824 */ /*GILLT_nxv8s32*//*Label 33289*/ GIMT_Encode4(2360558),
     /* 2358828 */ /*GILLT_nxv8s64*//*Label 33290*/ GIMT_Encode4(2360662), GIMT_Encode4(0),
     /* 2358836 */ /*GILLT_nxv16s8*//*Label 33291*/ GIMT_Encode4(2360766),
     /* 2358840 */ /*GILLT_nxv16s16*//*Label 33292*/ GIMT_Encode4(2360870),
     /* 2358844 */ /*GILLT_nxv16s32*//*Label 33293*/ GIMT_Encode4(2360974), GIMT_Encode4(0),
     /* 2358852 */ /*GILLT_nxv32s8*//*Label 33294*/ GIMT_Encode4(2361078),
     /* 2358856 */ /*GILLT_nxv32s16*//*Label 33295*/ GIMT_Encode4(2361182), GIMT_Encode4(0),
     /* 2358864 */ /*GILLT_nxv64s8*//*Label 33296*/ GIMT_Encode4(2361286),
     /* 2358868 */ // Label 33273: @2358868
     /* 2358868 */ GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2358984),
     /* 2358873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358880 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2358926), // Rule ID 62477 //
     /* 2358885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358909 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358915 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358925 */     // GIR_Coverage, 62477,
     /* 2358925 */     GIR_EraseRootFromParent_Done,
     /* 2358926 */   // Label 33299: @2358926
     /* 2358926 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2358945), // Rule ID 2405 //
     /* 2358931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2358934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358938 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358944 */     // GIR_Coverage, 2405,
     /* 2358944 */     GIR_Done,
     /* 2358945 */   // Label 33300: @2358945
     /* 2358945 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2358964), // Rule ID 62475 //
     /* 2358950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358957 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358963 */     // GIR_Coverage, 62475,
     /* 2358963 */     GIR_Done,
     /* 2358964 */   // Label 33301: @2358964
     /* 2358964 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2358983), // Rule ID 64354 //
     /* 2358969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2358972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358976 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358982 */     // GIR_Coverage, 64354,
     /* 2358982 */     GIR_Done,
     /* 2358983 */   // Label 33302: @2358983
     /* 2358983 */   GIM_Reject,
     /* 2358984 */ // Label 33298: @2358984
     /* 2358984 */ GIM_Reject,
     /* 2358985 */ // Label 33274: @2358985
     /* 2358985 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2359101),
     /* 2358990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358997 */   GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2359043), // Rule ID 62476 //
     /* 2359002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2359005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2359009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2359013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2359017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2359021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359026 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2359030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2359032 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2359035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2359041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359042 */     // GIR_Coverage, 62476,
     /* 2359042 */     GIR_EraseRootFromParent_Done,
     /* 2359043 */   // Label 33304: @2359043
     /* 2359043 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2359062), // Rule ID 2404 //
     /* 2359048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2359051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359055 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2359060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359061 */     // GIR_Coverage, 2404,
     /* 2359061 */     GIR_Done,
     /* 2359062 */   // Label 33305: @2359062
     /* 2359062 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2359081), // Rule ID 62474 //
     /* 2359067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2359070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359074 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2359079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359080 */     // GIR_Coverage, 62474,
     /* 2359080 */     GIR_Done,
     /* 2359081 */   // Label 33306: @2359081
     /* 2359081 */   GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2359100), // Rule ID 64353 //
     /* 2359086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2359089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359093 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2359098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359099 */     // GIR_Coverage, 64353,
     /* 2359099 */     GIR_Done,
     /* 2359100 */   // Label 33307: @2359100
     /* 2359100 */   GIM_Reject,
     /* 2359101 */ // Label 33303: @2359101
     /* 2359101 */ GIM_Reject,
     /* 2359102 */ // Label 33275: @2359102
     /* 2359102 */ GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2359205),
     /* 2359107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2359110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359118 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2359161), // Rule ID 59014 //
     /* 2359123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359126 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2359143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359160 */     // GIR_Coverage, 59014,
     /* 2359160 */     GIR_EraseRootFromParent_Done,
     /* 2359161 */   // Label 33309: @2359161
     /* 2359161 */   GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2359204), // Rule ID 59015 //
     /* 2359166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359169 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2359186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359203 */     // GIR_Coverage, 59015,
     /* 2359203 */     GIR_EraseRootFromParent_Done,
     /* 2359204 */   // Label 33310: @2359204
     /* 2359204 */   GIM_Reject,
     /* 2359205 */ // Label 33308: @2359205
     /* 2359205 */ GIM_Reject,
     /* 2359206 */ // Label 33276: @2359206
     /* 2359206 */ GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2359309),
     /* 2359211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2359214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359222 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2359265), // Rule ID 59020 //
     /* 2359227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359230 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359264 */     // GIR_Coverage, 59020,
     /* 2359264 */     GIR_EraseRootFromParent_Done,
     /* 2359265 */   // Label 33312: @2359265
     /* 2359265 */   GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2359308), // Rule ID 59021 //
     /* 2359270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359273 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359307 */     // GIR_Coverage, 59021,
     /* 2359307 */     GIR_EraseRootFromParent_Done,
     /* 2359308 */   // Label 33313: @2359308
     /* 2359308 */   GIM_Reject,
     /* 2359309 */ // Label 33311: @2359309
     /* 2359309 */ GIM_Reject,
     /* 2359310 */ // Label 33277: @2359310
     /* 2359310 */ GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2359413),
     /* 2359315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2359318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359326 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2359369), // Rule ID 59024 //
     /* 2359331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359334 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359368 */     // GIR_Coverage, 59024,
     /* 2359368 */     GIR_EraseRootFromParent_Done,
     /* 2359369 */   // Label 33315: @2359369
     /* 2359369 */   GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2359412), // Rule ID 59025 //
     /* 2359374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359377 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359411 */     // GIR_Coverage, 59025,
     /* 2359411 */     GIR_EraseRootFromParent_Done,
     /* 2359412 */   // Label 33316: @2359412
     /* 2359412 */   GIM_Reject,
     /* 2359413 */ // Label 33314: @2359413
     /* 2359413 */ GIM_Reject,
     /* 2359414 */ // Label 33278: @2359414
     /* 2359414 */ GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2359517),
     /* 2359419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2359422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359430 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2359473), // Rule ID 59032 //
     /* 2359435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359438 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359472 */     // GIR_Coverage, 59032,
     /* 2359472 */     GIR_EraseRootFromParent_Done,
     /* 2359473 */   // Label 33318: @2359473
     /* 2359473 */   GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2359516), // Rule ID 59033 //
     /* 2359478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359481 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359515 */     // GIR_Coverage, 59033,
     /* 2359515 */     GIR_EraseRootFromParent_Done,
     /* 2359516 */   // Label 33319: @2359516
     /* 2359516 */   GIM_Reject,
     /* 2359517 */ // Label 33317: @2359517
     /* 2359517 */ GIM_Reject,
     /* 2359518 */ // Label 33279: @2359518
     /* 2359518 */ GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2359621),
     /* 2359523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2359526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359534 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2359577), // Rule ID 59016 //
     /* 2359539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359542 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359576 */     // GIR_Coverage, 59016,
     /* 2359576 */     GIR_EraseRootFromParent_Done,
     /* 2359577 */   // Label 33321: @2359577
     /* 2359577 */   GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2359620), // Rule ID 59017 //
     /* 2359582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359585 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359619 */     // GIR_Coverage, 59017,
     /* 2359619 */     GIR_EraseRootFromParent_Done,
     /* 2359620 */   // Label 33322: @2359620
     /* 2359620 */   GIM_Reject,
     /* 2359621 */ // Label 33320: @2359621
     /* 2359621 */ GIM_Reject,
     /* 2359622 */ // Label 33280: @2359622
     /* 2359622 */ GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2359725),
     /* 2359627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2359630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359638 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2359681), // Rule ID 59022 //
     /* 2359643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359646 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359680 */     // GIR_Coverage, 59022,
     /* 2359680 */     GIR_EraseRootFromParent_Done,
     /* 2359681 */   // Label 33324: @2359681
     /* 2359681 */   GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2359724), // Rule ID 59023 //
     /* 2359686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359689 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359723 */     // GIR_Coverage, 59023,
     /* 2359723 */     GIR_EraseRootFromParent_Done,
     /* 2359724 */   // Label 33325: @2359724
     /* 2359724 */   GIM_Reject,
     /* 2359725 */ // Label 33323: @2359725
     /* 2359725 */ GIM_Reject,
     /* 2359726 */ // Label 33281: @2359726
     /* 2359726 */ GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2359829),
     /* 2359731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2359734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359742 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2359785), // Rule ID 59030 //
     /* 2359747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359750 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359784 */     // GIR_Coverage, 59030,
     /* 2359784 */     GIR_EraseRootFromParent_Done,
     /* 2359785 */   // Label 33327: @2359785
     /* 2359785 */   GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2359828), // Rule ID 59031 //
     /* 2359790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359793 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359827 */     // GIR_Coverage, 59031,
     /* 2359827 */     GIR_EraseRootFromParent_Done,
     /* 2359828 */   // Label 33328: @2359828
     /* 2359828 */   GIM_Reject,
     /* 2359829 */ // Label 33326: @2359829
     /* 2359829 */ GIM_Reject,
     /* 2359830 */ // Label 33282: @2359830
     /* 2359830 */ GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2359933),
     /* 2359835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359846 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2359889), // Rule ID 59052 //
     /* 2359851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359854 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359888 */     // GIR_Coverage, 59052,
     /* 2359888 */     GIR_EraseRootFromParent_Done,
     /* 2359889 */   // Label 33330: @2359889
     /* 2359889 */   GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2359932), // Rule ID 59053 //
     /* 2359894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359897 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359931 */     // GIR_Coverage, 59053,
     /* 2359931 */     GIR_EraseRootFromParent_Done,
     /* 2359932 */   // Label 33331: @2359932
     /* 2359932 */   GIM_Reject,
     /* 2359933 */ // Label 33329: @2359933
     /* 2359933 */ GIM_Reject,
     /* 2359934 */ // Label 33283: @2359934
     /* 2359934 */ GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2360037),
     /* 2359939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2359942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359950 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2359993), // Rule ID 59018 //
     /* 2359955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359958 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359992 */     // GIR_Coverage, 59018,
     /* 2359992 */     GIR_EraseRootFromParent_Done,
     /* 2359993 */   // Label 33333: @2359993
     /* 2359993 */   GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2360036), // Rule ID 59019 //
     /* 2359998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360001 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2360018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360035 */     // GIR_Coverage, 59019,
     /* 2360035 */     GIR_EraseRootFromParent_Done,
     /* 2360036 */   // Label 33334: @2360036
     /* 2360036 */   GIM_Reject,
     /* 2360037 */ // Label 33332: @2360037
     /* 2360037 */ GIM_Reject,
     /* 2360038 */ // Label 33284: @2360038
     /* 2360038 */ GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2360141),
     /* 2360043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2360046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360054 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2360097), // Rule ID 59028 //
     /* 2360059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360062 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360096 */     // GIR_Coverage, 59028,
     /* 2360096 */     GIR_EraseRootFromParent_Done,
     /* 2360097 */   // Label 33336: @2360097
     /* 2360097 */   GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2360140), // Rule ID 59029 //
     /* 2360102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360105 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360139 */     // GIR_Coverage, 59029,
     /* 2360139 */     GIR_EraseRootFromParent_Done,
     /* 2360140 */   // Label 33337: @2360140
     /* 2360140 */   GIM_Reject,
     /* 2360141 */ // Label 33335: @2360141
     /* 2360141 */ GIM_Reject,
     /* 2360142 */ // Label 33285: @2360142
     /* 2360142 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2360245),
     /* 2360147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2360150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360158 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2360201), // Rule ID 59046 //
     /* 2360163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360166 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360200 */     // GIR_Coverage, 59046,
     /* 2360200 */     GIR_EraseRootFromParent_Done,
     /* 2360201 */   // Label 33339: @2360201
     /* 2360201 */   GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2360244), // Rule ID 59047 //
     /* 2360206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360209 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360243 */     // GIR_Coverage, 59047,
     /* 2360243 */     GIR_EraseRootFromParent_Done,
     /* 2360244 */   // Label 33340: @2360244
     /* 2360244 */   GIM_Reject,
     /* 2360245 */ // Label 33338: @2360245
     /* 2360245 */ GIM_Reject,
     /* 2360246 */ // Label 33286: @2360246
     /* 2360246 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2360349),
     /* 2360251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2360254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360262 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2360305), // Rule ID 59054 //
     /* 2360267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360270 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360304 */     // GIR_Coverage, 59054,
     /* 2360304 */     GIR_EraseRootFromParent_Done,
     /* 2360305 */   // Label 33342: @2360305
     /* 2360305 */   GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2360348), // Rule ID 59055 //
     /* 2360310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360313 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360347 */     // GIR_Coverage, 59055,
     /* 2360347 */     GIR_EraseRootFromParent_Done,
     /* 2360348 */   // Label 33343: @2360348
     /* 2360348 */   GIM_Reject,
     /* 2360349 */ // Label 33341: @2360349
     /* 2360349 */ GIM_Reject,
     /* 2360350 */ // Label 33287: @2360350
     /* 2360350 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2360453),
     /* 2360355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2360358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360366 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2360409), // Rule ID 59026 //
     /* 2360371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360374 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360408 */     // GIR_Coverage, 59026,
     /* 2360408 */     GIR_EraseRootFromParent_Done,
     /* 2360409 */   // Label 33345: @2360409
     /* 2360409 */   GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2360452), // Rule ID 59027 //
     /* 2360414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360417 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360451 */     // GIR_Coverage, 59027,
     /* 2360451 */     GIR_EraseRootFromParent_Done,
     /* 2360452 */   // Label 33346: @2360452
     /* 2360452 */   GIM_Reject,
     /* 2360453 */ // Label 33344: @2360453
     /* 2360453 */ GIM_Reject,
     /* 2360454 */ // Label 33288: @2360454
     /* 2360454 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2360557),
     /* 2360459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2360462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360470 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2360513), // Rule ID 59040 //
     /* 2360475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360478 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360512 */     // GIR_Coverage, 59040,
     /* 2360512 */     GIR_EraseRootFromParent_Done,
     /* 2360513 */   // Label 33348: @2360513
     /* 2360513 */   GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2360556), // Rule ID 59041 //
     /* 2360518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360521 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360555 */     // GIR_Coverage, 59041,
     /* 2360555 */     GIR_EraseRootFromParent_Done,
     /* 2360556 */   // Label 33349: @2360556
     /* 2360556 */   GIM_Reject,
     /* 2360557 */ // Label 33347: @2360557
     /* 2360557 */ GIM_Reject,
     /* 2360558 */ // Label 33289: @2360558
     /* 2360558 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2360661),
     /* 2360563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2360566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360574 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2360617), // Rule ID 59048 //
     /* 2360579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360582 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360616 */     // GIR_Coverage, 59048,
     /* 2360616 */     GIR_EraseRootFromParent_Done,
     /* 2360617 */   // Label 33351: @2360617
     /* 2360617 */   GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2360660), // Rule ID 59049 //
     /* 2360622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360625 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360659 */     // GIR_Coverage, 59049,
     /* 2360659 */     GIR_EraseRootFromParent_Done,
     /* 2360660 */   // Label 33352: @2360660
     /* 2360660 */   GIM_Reject,
     /* 2360661 */ // Label 33350: @2360661
     /* 2360661 */ GIM_Reject,
     /* 2360662 */ // Label 33290: @2360662
     /* 2360662 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2360765),
     /* 2360667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2360670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360678 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2360721), // Rule ID 59056 //
     /* 2360683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360686 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360720 */     // GIR_Coverage, 59056,
     /* 2360720 */     GIR_EraseRootFromParent_Done,
     /* 2360721 */   // Label 33354: @2360721
     /* 2360721 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2360764), // Rule ID 59057 //
     /* 2360726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360729 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360763 */     // GIR_Coverage, 59057,
     /* 2360763 */     GIR_EraseRootFromParent_Done,
     /* 2360764 */   // Label 33355: @2360764
     /* 2360764 */   GIM_Reject,
     /* 2360765 */ // Label 33353: @2360765
     /* 2360765 */ GIM_Reject,
     /* 2360766 */ // Label 33291: @2360766
     /* 2360766 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2360869),
     /* 2360771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2360774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360782 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2360825), // Rule ID 59034 //
     /* 2360787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360790 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360824 */     // GIR_Coverage, 59034,
     /* 2360824 */     GIR_EraseRootFromParent_Done,
     /* 2360825 */   // Label 33357: @2360825
     /* 2360825 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2360868), // Rule ID 59035 //
     /* 2360830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360833 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360867 */     // GIR_Coverage, 59035,
     /* 2360867 */     GIR_EraseRootFromParent_Done,
     /* 2360868 */   // Label 33358: @2360868
     /* 2360868 */   GIM_Reject,
     /* 2360869 */ // Label 33356: @2360869
     /* 2360869 */ GIM_Reject,
     /* 2360870 */ // Label 33292: @2360870
     /* 2360870 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2360973),
     /* 2360875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360886 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2360929), // Rule ID 59042 //
     /* 2360891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360894 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360928 */     // GIR_Coverage, 59042,
     /* 2360928 */     GIR_EraseRootFromParent_Done,
     /* 2360929 */   // Label 33360: @2360929
     /* 2360929 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2360972), // Rule ID 59043 //
     /* 2360934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360937 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360971 */     // GIR_Coverage, 59043,
     /* 2360971 */     GIR_EraseRootFromParent_Done,
     /* 2360972 */   // Label 33361: @2360972
     /* 2360972 */   GIM_Reject,
     /* 2360973 */ // Label 33359: @2360973
     /* 2360973 */ GIM_Reject,
     /* 2360974 */ // Label 33293: @2360974
     /* 2360974 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2361077),
     /* 2360979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360990 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2361033), // Rule ID 59050 //
     /* 2360995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360998 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361032 */     // GIR_Coverage, 59050,
     /* 2361032 */     GIR_EraseRootFromParent_Done,
     /* 2361033 */   // Label 33363: @2361033
     /* 2361033 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2361076), // Rule ID 59051 //
     /* 2361038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361041 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361075 */     // GIR_Coverage, 59051,
     /* 2361075 */     GIR_EraseRootFromParent_Done,
     /* 2361076 */   // Label 33364: @2361076
     /* 2361076 */   GIM_Reject,
     /* 2361077 */ // Label 33362: @2361077
     /* 2361077 */ GIM_Reject,
     /* 2361078 */ // Label 33294: @2361078
     /* 2361078 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2361181),
     /* 2361083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2361086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361094 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2361137), // Rule ID 59036 //
     /* 2361099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361102 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2361119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361136 */     // GIR_Coverage, 59036,
     /* 2361136 */     GIR_EraseRootFromParent_Done,
     /* 2361137 */   // Label 33366: @2361137
     /* 2361137 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2361180), // Rule ID 59037 //
     /* 2361142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361145 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2361162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361179 */     // GIR_Coverage, 59037,
     /* 2361179 */     GIR_EraseRootFromParent_Done,
     /* 2361180 */   // Label 33367: @2361180
     /* 2361180 */   GIM_Reject,
     /* 2361181 */ // Label 33365: @2361181
     /* 2361181 */ GIM_Reject,
     /* 2361182 */ // Label 33295: @2361182
     /* 2361182 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2361285),
     /* 2361187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2361190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361198 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2361241), // Rule ID 59044 //
     /* 2361203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361206 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361240 */     // GIR_Coverage, 59044,
     /* 2361240 */     GIR_EraseRootFromParent_Done,
     /* 2361241 */   // Label 33369: @2361241
     /* 2361241 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2361284), // Rule ID 59045 //
     /* 2361246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361249 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361283 */     // GIR_Coverage, 59045,
     /* 2361283 */     GIR_EraseRootFromParent_Done,
     /* 2361284 */   // Label 33370: @2361284
     /* 2361284 */   GIM_Reject,
     /* 2361285 */ // Label 33368: @2361285
     /* 2361285 */ GIM_Reject,
     /* 2361286 */ // Label 33296: @2361286
     /* 2361286 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2361389),
     /* 2361291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2361294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361302 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2361345), // Rule ID 59038 //
     /* 2361307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361310 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361344 */     // GIR_Coverage, 59038,
     /* 2361344 */     GIR_EraseRootFromParent_Done,
     /* 2361345 */   // Label 33372: @2361345
     /* 2361345 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2361388), // Rule ID 59039 //
     /* 2361350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361353 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2361370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361387 */     // GIR_Coverage, 59039,
     /* 2361387 */     GIR_EraseRootFromParent_Done,
     /* 2361388 */   // Label 33373: @2361388
     /* 2361388 */   GIM_Reject,
     /* 2361389 */ // Label 33371: @2361389
     /* 2361389 */ GIM_Reject,
     /* 2361390 */ // Label 33297: @2361390
     /* 2361390 */ GIM_Reject,
     /* 2361391 */ // Label 88: @2361391
     /* 2361391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33398*/ GIMT_Encode4(2363941),
     /* 2361402 */ /*GILLT_s32*//*Label 33374*/ GIMT_Encode4(2361526),
     /* 2361406 */ /*GILLT_s64*//*Label 33375*/ GIMT_Encode4(2361574), GIMT_Encode4(0),
     /* 2361414 */ /*GILLT_nxv1s8*//*Label 33376*/ GIMT_Encode4(2361653),
     /* 2361418 */ /*GILLT_nxv1s16*//*Label 33377*/ GIMT_Encode4(2361757),
     /* 2361422 */ /*GILLT_nxv1s32*//*Label 33378*/ GIMT_Encode4(2361861),
     /* 2361426 */ /*GILLT_nxv1s64*//*Label 33379*/ GIMT_Encode4(2361965), GIMT_Encode4(0),
     /* 2361434 */ /*GILLT_nxv2s8*//*Label 33380*/ GIMT_Encode4(2362069),
     /* 2361438 */ /*GILLT_nxv2s16*//*Label 33381*/ GIMT_Encode4(2362173),
     /* 2361442 */ /*GILLT_nxv2s32*//*Label 33382*/ GIMT_Encode4(2362277),
     /* 2361446 */ /*GILLT_nxv2s64*//*Label 33383*/ GIMT_Encode4(2362381), GIMT_Encode4(0),
     /* 2361454 */ /*GILLT_nxv4s8*//*Label 33384*/ GIMT_Encode4(2362485),
     /* 2361458 */ /*GILLT_nxv4s16*//*Label 33385*/ GIMT_Encode4(2362589),
     /* 2361462 */ /*GILLT_nxv4s32*//*Label 33386*/ GIMT_Encode4(2362693),
     /* 2361466 */ /*GILLT_nxv4s64*//*Label 33387*/ GIMT_Encode4(2362797), GIMT_Encode4(0),
     /* 2361474 */ /*GILLT_nxv8s8*//*Label 33388*/ GIMT_Encode4(2362901),
     /* 2361478 */ /*GILLT_nxv8s16*//*Label 33389*/ GIMT_Encode4(2363005),
     /* 2361482 */ /*GILLT_nxv8s32*//*Label 33390*/ GIMT_Encode4(2363109),
     /* 2361486 */ /*GILLT_nxv8s64*//*Label 33391*/ GIMT_Encode4(2363213), GIMT_Encode4(0),
     /* 2361494 */ /*GILLT_nxv16s8*//*Label 33392*/ GIMT_Encode4(2363317),
     /* 2361498 */ /*GILLT_nxv16s16*//*Label 33393*/ GIMT_Encode4(2363421),
     /* 2361502 */ /*GILLT_nxv16s32*//*Label 33394*/ GIMT_Encode4(2363525), GIMT_Encode4(0),
     /* 2361510 */ /*GILLT_nxv32s8*//*Label 33395*/ GIMT_Encode4(2363629),
     /* 2361514 */ /*GILLT_nxv32s16*//*Label 33396*/ GIMT_Encode4(2363733), GIMT_Encode4(0),
     /* 2361522 */ /*GILLT_nxv64s8*//*Label 33397*/ GIMT_Encode4(2363837),
     /* 2361526 */ // Label 33374: @2361526
     /* 2361526 */ GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2361573),
     /* 2361531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2361534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361542 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2361557), // Rule ID 2409 //
     /* 2361547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2361550 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361556 */     // GIR_Coverage, 2409,
     /* 2361556 */     GIR_Done,
     /* 2361557 */   // Label 33400: @2361557
     /* 2361557 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2361572), // Rule ID 64357 //
     /* 2361562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2361565 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361571 */     // GIR_Coverage, 64357,
     /* 2361571 */     GIR_Done,
     /* 2361572 */   // Label 33401: @2361572
     /* 2361572 */   GIM_Reject,
     /* 2361573 */ // Label 33399: @2361573
     /* 2361573 */ GIM_Reject,
     /* 2361574 */ // Label 33375: @2361574
     /* 2361574 */ GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2361652),
     /* 2361579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361586 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2361613), // Rule ID 2412 //
     /* 2361591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2361594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2361601 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2361604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2361611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361612 */     // GIR_Coverage, 2412,
     /* 2361612 */     GIR_EraseRootFromParent_Done,
     /* 2361613 */   // Label 33403: @2361613
     /* 2361613 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2361632), // Rule ID 2408 //
     /* 2361618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2361621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361625 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361631 */     // GIR_Coverage, 2408,
     /* 2361631 */     GIR_Done,
     /* 2361632 */   // Label 33404: @2361632
     /* 2361632 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2361651), // Rule ID 64356 //
     /* 2361637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2361640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361644 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361650 */     // GIR_Coverage, 64356,
     /* 2361650 */     GIR_Done,
     /* 2361651 */   // Label 33405: @2361651
     /* 2361651 */   GIM_Reject,
     /* 2361652 */ // Label 33402: @2361652
     /* 2361652 */ GIM_Reject,
     /* 2361653 */ // Label 33376: @2361653
     /* 2361653 */ GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2361756),
     /* 2361658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2361661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361669 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2361712), // Rule ID 59102 //
     /* 2361674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361677 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361711 */     // GIR_Coverage, 59102,
     /* 2361711 */     GIR_EraseRootFromParent_Done,
     /* 2361712 */   // Label 33407: @2361712
     /* 2361712 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2361755), // Rule ID 59103 //
     /* 2361717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361720 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361754 */     // GIR_Coverage, 59103,
     /* 2361754 */     GIR_EraseRootFromParent_Done,
     /* 2361755 */   // Label 33408: @2361755
     /* 2361755 */   GIM_Reject,
     /* 2361756 */ // Label 33406: @2361756
     /* 2361756 */ GIM_Reject,
     /* 2361757 */ // Label 33377: @2361757
     /* 2361757 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2361860),
     /* 2361762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361773 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2361816), // Rule ID 59108 //
     /* 2361778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361781 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361815 */     // GIR_Coverage, 59108,
     /* 2361815 */     GIR_EraseRootFromParent_Done,
     /* 2361816 */   // Label 33410: @2361816
     /* 2361816 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2361859), // Rule ID 59109 //
     /* 2361821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361824 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361858 */     // GIR_Coverage, 59109,
     /* 2361858 */     GIR_EraseRootFromParent_Done,
     /* 2361859 */   // Label 33411: @2361859
     /* 2361859 */   GIM_Reject,
     /* 2361860 */ // Label 33409: @2361860
     /* 2361860 */ GIM_Reject,
     /* 2361861 */ // Label 33378: @2361861
     /* 2361861 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2361964),
     /* 2361866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361877 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2361920), // Rule ID 59112 //
     /* 2361882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361885 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361919 */     // GIR_Coverage, 59112,
     /* 2361919 */     GIR_EraseRootFromParent_Done,
     /* 2361920 */   // Label 33413: @2361920
     /* 2361920 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2361963), // Rule ID 59113 //
     /* 2361925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361928 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361962 */     // GIR_Coverage, 59113,
     /* 2361962 */     GIR_EraseRootFromParent_Done,
     /* 2361963 */   // Label 33414: @2361963
     /* 2361963 */   GIM_Reject,
     /* 2361964 */ // Label 33412: @2361964
     /* 2361964 */ GIM_Reject,
     /* 2361965 */ // Label 33379: @2361965
     /* 2361965 */ GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2362068),
     /* 2361970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361981 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2362024), // Rule ID 59120 //
     /* 2361986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361989 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362023 */     // GIR_Coverage, 59120,
     /* 2362023 */     GIR_EraseRootFromParent_Done,
     /* 2362024 */   // Label 33416: @2362024
     /* 2362024 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2362067), // Rule ID 59121 //
     /* 2362029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362032 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2362035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362066 */     // GIR_Coverage, 59121,
     /* 2362066 */     GIR_EraseRootFromParent_Done,
     /* 2362067 */   // Label 33417: @2362067
     /* 2362067 */   GIM_Reject,
     /* 2362068 */ // Label 33415: @2362068
     /* 2362068 */ GIM_Reject,
     /* 2362069 */ // Label 33380: @2362069
     /* 2362069 */ GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2362172),
     /* 2362074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2362077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362085 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2362128), // Rule ID 59104 //
     /* 2362090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362093 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2362110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362127 */     // GIR_Coverage, 59104,
     /* 2362127 */     GIR_EraseRootFromParent_Done,
     /* 2362128 */   // Label 33419: @2362128
     /* 2362128 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2362171), // Rule ID 59105 //
     /* 2362133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362136 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2362153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362170 */     // GIR_Coverage, 59105,
     /* 2362170 */     GIR_EraseRootFromParent_Done,
     /* 2362171 */   // Label 33420: @2362171
     /* 2362171 */   GIM_Reject,
     /* 2362172 */ // Label 33418: @2362172
     /* 2362172 */ GIM_Reject,
     /* 2362173 */ // Label 33381: @2362173
     /* 2362173 */ GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2362276),
     /* 2362178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2362181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362189 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2362232), // Rule ID 59110 //
     /* 2362194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362197 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362231 */     // GIR_Coverage, 59110,
     /* 2362231 */     GIR_EraseRootFromParent_Done,
     /* 2362232 */   // Label 33422: @2362232
     /* 2362232 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2362275), // Rule ID 59111 //
     /* 2362237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362240 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362274 */     // GIR_Coverage, 59111,
     /* 2362274 */     GIR_EraseRootFromParent_Done,
     /* 2362275 */   // Label 33423: @2362275
     /* 2362275 */   GIM_Reject,
     /* 2362276 */ // Label 33421: @2362276
     /* 2362276 */ GIM_Reject,
     /* 2362277 */ // Label 33382: @2362277
     /* 2362277 */ GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2362380),
     /* 2362282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2362285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362293 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2362336), // Rule ID 59118 //
     /* 2362298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362301 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362335 */     // GIR_Coverage, 59118,
     /* 2362335 */     GIR_EraseRootFromParent_Done,
     /* 2362336 */   // Label 33425: @2362336
     /* 2362336 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2362379), // Rule ID 59119 //
     /* 2362341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362344 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362378 */     // GIR_Coverage, 59119,
     /* 2362378 */     GIR_EraseRootFromParent_Done,
     /* 2362379 */   // Label 33426: @2362379
     /* 2362379 */   GIM_Reject,
     /* 2362380 */ // Label 33424: @2362380
     /* 2362380 */ GIM_Reject,
     /* 2362381 */ // Label 33383: @2362381
     /* 2362381 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2362484),
     /* 2362386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2362389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362397 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2362440), // Rule ID 59140 //
     /* 2362402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362405 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362439 */     // GIR_Coverage, 59140,
     /* 2362439 */     GIR_EraseRootFromParent_Done,
     /* 2362440 */   // Label 33428: @2362440
     /* 2362440 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2362483), // Rule ID 59141 //
     /* 2362445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362448 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362482 */     // GIR_Coverage, 59141,
     /* 2362482 */     GIR_EraseRootFromParent_Done,
     /* 2362483 */   // Label 33429: @2362483
     /* 2362483 */   GIM_Reject,
     /* 2362484 */ // Label 33427: @2362484
     /* 2362484 */ GIM_Reject,
     /* 2362485 */ // Label 33384: @2362485
     /* 2362485 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2362588),
     /* 2362490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2362493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362501 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2362544), // Rule ID 59106 //
     /* 2362506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362509 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362543 */     // GIR_Coverage, 59106,
     /* 2362543 */     GIR_EraseRootFromParent_Done,
     /* 2362544 */   // Label 33431: @2362544
     /* 2362544 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2362587), // Rule ID 59107 //
     /* 2362549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362552 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362586 */     // GIR_Coverage, 59107,
     /* 2362586 */     GIR_EraseRootFromParent_Done,
     /* 2362587 */   // Label 33432: @2362587
     /* 2362587 */   GIM_Reject,
     /* 2362588 */ // Label 33430: @2362588
     /* 2362588 */ GIM_Reject,
     /* 2362589 */ // Label 33385: @2362589
     /* 2362589 */ GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2362692),
     /* 2362594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362605 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2362648), // Rule ID 59116 //
     /* 2362610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362613 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362647 */     // GIR_Coverage, 59116,
     /* 2362647 */     GIR_EraseRootFromParent_Done,
     /* 2362648 */   // Label 33434: @2362648
     /* 2362648 */   GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2362691), // Rule ID 59117 //
     /* 2362653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362656 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362690 */     // GIR_Coverage, 59117,
     /* 2362690 */     GIR_EraseRootFromParent_Done,
     /* 2362691 */   // Label 33435: @2362691
     /* 2362691 */   GIM_Reject,
     /* 2362692 */ // Label 33433: @2362692
     /* 2362692 */ GIM_Reject,
     /* 2362693 */ // Label 33386: @2362693
     /* 2362693 */ GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2362796),
     /* 2362698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362709 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2362752), // Rule ID 59134 //
     /* 2362714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362717 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362751 */     // GIR_Coverage, 59134,
     /* 2362751 */     GIR_EraseRootFromParent_Done,
     /* 2362752 */   // Label 33437: @2362752
     /* 2362752 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2362795), // Rule ID 59135 //
     /* 2362757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362760 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362794 */     // GIR_Coverage, 59135,
     /* 2362794 */     GIR_EraseRootFromParent_Done,
     /* 2362795 */   // Label 33438: @2362795
     /* 2362795 */   GIM_Reject,
     /* 2362796 */ // Label 33436: @2362796
     /* 2362796 */ GIM_Reject,
     /* 2362797 */ // Label 33387: @2362797
     /* 2362797 */ GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2362900),
     /* 2362802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362813 */   GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2362856), // Rule ID 59142 //
     /* 2362818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362821 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362855 */     // GIR_Coverage, 59142,
     /* 2362855 */     GIR_EraseRootFromParent_Done,
     /* 2362856 */   // Label 33440: @2362856
     /* 2362856 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2362899), // Rule ID 59143 //
     /* 2362861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362864 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362898 */     // GIR_Coverage, 59143,
     /* 2362898 */     GIR_EraseRootFromParent_Done,
     /* 2362899 */   // Label 33441: @2362899
     /* 2362899 */   GIM_Reject,
     /* 2362900 */ // Label 33439: @2362900
     /* 2362900 */ GIM_Reject,
     /* 2362901 */ // Label 33388: @2362901
     /* 2362901 */ GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2363004),
     /* 2362906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2362909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362917 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2362960), // Rule ID 59114 //
     /* 2362922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362925 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362959 */     // GIR_Coverage, 59114,
     /* 2362959 */     GIR_EraseRootFromParent_Done,
     /* 2362960 */   // Label 33443: @2362960
     /* 2362960 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2363003), // Rule ID 59115 //
     /* 2362965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362968 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363002 */     // GIR_Coverage, 59115,
     /* 2363002 */     GIR_EraseRootFromParent_Done,
     /* 2363003 */   // Label 33444: @2363003
     /* 2363003 */   GIM_Reject,
     /* 2363004 */ // Label 33442: @2363004
     /* 2363004 */ GIM_Reject,
     /* 2363005 */ // Label 33389: @2363005
     /* 2363005 */ GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2363108),
     /* 2363010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2363013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363021 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2363064), // Rule ID 59128 //
     /* 2363026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363029 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363063 */     // GIR_Coverage, 59128,
     /* 2363063 */     GIR_EraseRootFromParent_Done,
     /* 2363064 */   // Label 33446: @2363064
     /* 2363064 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2363107), // Rule ID 59129 //
     /* 2363069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363072 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363106 */     // GIR_Coverage, 59129,
     /* 2363106 */     GIR_EraseRootFromParent_Done,
     /* 2363107 */   // Label 33447: @2363107
     /* 2363107 */   GIM_Reject,
     /* 2363108 */ // Label 33445: @2363108
     /* 2363108 */ GIM_Reject,
     /* 2363109 */ // Label 33390: @2363109
     /* 2363109 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2363212),
     /* 2363114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2363117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363125 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2363168), // Rule ID 59136 //
     /* 2363130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363133 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363167 */     // GIR_Coverage, 59136,
     /* 2363167 */     GIR_EraseRootFromParent_Done,
     /* 2363168 */   // Label 33449: @2363168
     /* 2363168 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2363211), // Rule ID 59137 //
     /* 2363173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363176 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363210 */     // GIR_Coverage, 59137,
     /* 2363210 */     GIR_EraseRootFromParent_Done,
     /* 2363211 */   // Label 33450: @2363211
     /* 2363211 */   GIM_Reject,
     /* 2363212 */ // Label 33448: @2363212
     /* 2363212 */ GIM_Reject,
     /* 2363213 */ // Label 33391: @2363213
     /* 2363213 */ GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2363316),
     /* 2363218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2363221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363229 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2363272), // Rule ID 59144 //
     /* 2363234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2363237 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363271 */     // GIR_Coverage, 59144,
     /* 2363271 */     GIR_EraseRootFromParent_Done,
     /* 2363272 */   // Label 33452: @2363272
     /* 2363272 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2363315), // Rule ID 59145 //
     /* 2363277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2363280 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363314 */     // GIR_Coverage, 59145,
     /* 2363314 */     GIR_EraseRootFromParent_Done,
     /* 2363315 */   // Label 33453: @2363315
     /* 2363315 */   GIM_Reject,
     /* 2363316 */ // Label 33451: @2363316
     /* 2363316 */ GIM_Reject,
     /* 2363317 */ // Label 33392: @2363317
     /* 2363317 */ GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2363420),
     /* 2363322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2363325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363333 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2363376), // Rule ID 59122 //
     /* 2363338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363341 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363375 */     // GIR_Coverage, 59122,
     /* 2363375 */     GIR_EraseRootFromParent_Done,
     /* 2363376 */   // Label 33455: @2363376
     /* 2363376 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2363419), // Rule ID 59123 //
     /* 2363381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363384 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2363401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363418 */     // GIR_Coverage, 59123,
     /* 2363418 */     GIR_EraseRootFromParent_Done,
     /* 2363419 */   // Label 33456: @2363419
     /* 2363419 */   GIM_Reject,
     /* 2363420 */ // Label 33454: @2363420
     /* 2363420 */ GIM_Reject,
     /* 2363421 */ // Label 33393: @2363421
     /* 2363421 */ GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2363524),
     /* 2363426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2363429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363437 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2363480), // Rule ID 59130 //
     /* 2363442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363445 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363479 */     // GIR_Coverage, 59130,
     /* 2363479 */     GIR_EraseRootFromParent_Done,
     /* 2363480 */   // Label 33458: @2363480
     /* 2363480 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2363523), // Rule ID 59131 //
     /* 2363485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363488 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363522 */     // GIR_Coverage, 59131,
     /* 2363522 */     GIR_EraseRootFromParent_Done,
     /* 2363523 */   // Label 33459: @2363523
     /* 2363523 */   GIM_Reject,
     /* 2363524 */ // Label 33457: @2363524
     /* 2363524 */ GIM_Reject,
     /* 2363525 */ // Label 33394: @2363525
     /* 2363525 */ GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2363628),
     /* 2363530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2363533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363541 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2363584), // Rule ID 59138 //
     /* 2363546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363549 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363583 */     // GIR_Coverage, 59138,
     /* 2363583 */     GIR_EraseRootFromParent_Done,
     /* 2363584 */   // Label 33461: @2363584
     /* 2363584 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2363627), // Rule ID 59139 //
     /* 2363589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363592 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363626 */     // GIR_Coverage, 59139,
     /* 2363626 */     GIR_EraseRootFromParent_Done,
     /* 2363627 */   // Label 33462: @2363627
     /* 2363627 */   GIM_Reject,
     /* 2363628 */ // Label 33460: @2363628
     /* 2363628 */ GIM_Reject,
     /* 2363629 */ // Label 33395: @2363629
     /* 2363629 */ GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2363732),
     /* 2363634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2363637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363645 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2363688), // Rule ID 59124 //
     /* 2363650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363653 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363687 */     // GIR_Coverage, 59124,
     /* 2363687 */     GIR_EraseRootFromParent_Done,
     /* 2363688 */   // Label 33464: @2363688
     /* 2363688 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2363731), // Rule ID 59125 //
     /* 2363693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363696 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363730 */     // GIR_Coverage, 59125,
     /* 2363730 */     GIR_EraseRootFromParent_Done,
     /* 2363731 */   // Label 33465: @2363731
     /* 2363731 */   GIM_Reject,
     /* 2363732 */ // Label 33463: @2363732
     /* 2363732 */ GIM_Reject,
     /* 2363733 */ // Label 33396: @2363733
     /* 2363733 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2363836),
     /* 2363738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363749 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2363792), // Rule ID 59132 //
     /* 2363754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363757 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363791 */     // GIR_Coverage, 59132,
     /* 2363791 */     GIR_EraseRootFromParent_Done,
     /* 2363792 */   // Label 33467: @2363792
     /* 2363792 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2363835), // Rule ID 59133 //
     /* 2363797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363800 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363834 */     // GIR_Coverage, 59133,
     /* 2363834 */     GIR_EraseRootFromParent_Done,
     /* 2363835 */   // Label 33468: @2363835
     /* 2363835 */   GIM_Reject,
     /* 2363836 */ // Label 33466: @2363836
     /* 2363836 */ GIM_Reject,
     /* 2363837 */ // Label 33397: @2363837
     /* 2363837 */ GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2363940),
     /* 2363842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2363845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363853 */   GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2363896), // Rule ID 59126 //
     /* 2363858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363861 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363895 */     // GIR_Coverage, 59126,
     /* 2363895 */     GIR_EraseRootFromParent_Done,
     /* 2363896 */   // Label 33470: @2363896
     /* 2363896 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2363939), // Rule ID 59127 //
     /* 2363901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363904 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363938 */     // GIR_Coverage, 59127,
     /* 2363938 */     GIR_EraseRootFromParent_Done,
     /* 2363939 */   // Label 33471: @2363939
     /* 2363939 */   GIM_Reject,
     /* 2363940 */ // Label 33469: @2363940
     /* 2363940 */ GIM_Reject,
     /* 2363941 */ // Label 33398: @2363941
     /* 2363941 */ GIM_Reject,
     /* 2363942 */ // Label 89: @2363942
     /* 2363942 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33496*/ GIMT_Encode4(2366476),
     /* 2363953 */ /*GILLT_s32*//*Label 33472*/ GIMT_Encode4(2364077),
     /* 2363957 */ /*GILLT_s64*//*Label 33473*/ GIMT_Encode4(2364140), GIMT_Encode4(0),
     /* 2363965 */ /*GILLT_nxv1s8*//*Label 33474*/ GIMT_Encode4(2364188),
     /* 2363969 */ /*GILLT_nxv1s16*//*Label 33475*/ GIMT_Encode4(2364292),
     /* 2363973 */ /*GILLT_nxv1s32*//*Label 33476*/ GIMT_Encode4(2364396),
     /* 2363977 */ /*GILLT_nxv1s64*//*Label 33477*/ GIMT_Encode4(2364500), GIMT_Encode4(0),
     /* 2363985 */ /*GILLT_nxv2s8*//*Label 33478*/ GIMT_Encode4(2364604),
     /* 2363989 */ /*GILLT_nxv2s16*//*Label 33479*/ GIMT_Encode4(2364708),
     /* 2363993 */ /*GILLT_nxv2s32*//*Label 33480*/ GIMT_Encode4(2364812),
     /* 2363997 */ /*GILLT_nxv2s64*//*Label 33481*/ GIMT_Encode4(2364916), GIMT_Encode4(0),
     /* 2364005 */ /*GILLT_nxv4s8*//*Label 33482*/ GIMT_Encode4(2365020),
     /* 2364009 */ /*GILLT_nxv4s16*//*Label 33483*/ GIMT_Encode4(2365124),
     /* 2364013 */ /*GILLT_nxv4s32*//*Label 33484*/ GIMT_Encode4(2365228),
     /* 2364017 */ /*GILLT_nxv4s64*//*Label 33485*/ GIMT_Encode4(2365332), GIMT_Encode4(0),
     /* 2364025 */ /*GILLT_nxv8s8*//*Label 33486*/ GIMT_Encode4(2365436),
     /* 2364029 */ /*GILLT_nxv8s16*//*Label 33487*/ GIMT_Encode4(2365540),
     /* 2364033 */ /*GILLT_nxv8s32*//*Label 33488*/ GIMT_Encode4(2365644),
     /* 2364037 */ /*GILLT_nxv8s64*//*Label 33489*/ GIMT_Encode4(2365748), GIMT_Encode4(0),
     /* 2364045 */ /*GILLT_nxv16s8*//*Label 33490*/ GIMT_Encode4(2365852),
     /* 2364049 */ /*GILLT_nxv16s16*//*Label 33491*/ GIMT_Encode4(2365956),
     /* 2364053 */ /*GILLT_nxv16s32*//*Label 33492*/ GIMT_Encode4(2366060), GIMT_Encode4(0),
     /* 2364061 */ /*GILLT_nxv32s8*//*Label 33493*/ GIMT_Encode4(2366164),
     /* 2364065 */ /*GILLT_nxv32s16*//*Label 33494*/ GIMT_Encode4(2366268), GIMT_Encode4(0),
     /* 2364073 */ /*GILLT_nxv64s8*//*Label 33495*/ GIMT_Encode4(2366372),
     /* 2364077 */ // Label 33472: @2364077
     /* 2364077 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2364139),
     /* 2364082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364093 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2364108), // Rule ID 2426 //
     /* 2364098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2364101 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2364106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364107 */     // GIR_Coverage, 2426,
     /* 2364107 */     GIR_Done,
     /* 2364108 */   // Label 33498: @2364108
     /* 2364108 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2364123), // Rule ID 2427 //
     /* 2364113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2364116 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2364121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364122 */     // GIR_Coverage, 2427,
     /* 2364122 */     GIR_Done,
     /* 2364123 */   // Label 33499: @2364123
     /* 2364123 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2364138), // Rule ID 62479 //
     /* 2364128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2364131 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2364136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364137 */     // GIR_Coverage, 62479,
     /* 2364137 */     GIR_Done,
     /* 2364138 */   // Label 33500: @2364138
     /* 2364138 */   GIM_Reject,
     /* 2364139 */ // Label 33497: @2364139
     /* 2364139 */ GIM_Reject,
     /* 2364140 */ // Label 33473: @2364140
     /* 2364140 */ GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2364187),
     /* 2364145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364156 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2364171), // Rule ID 2428 //
     /* 2364161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2364164 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2364169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364170 */     // GIR_Coverage, 2428,
     /* 2364170 */     GIR_Done,
     /* 2364171 */   // Label 33502: @2364171
     /* 2364171 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2364186), // Rule ID 62478 //
     /* 2364176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2364179 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2364184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364185 */     // GIR_Coverage, 62478,
     /* 2364185 */     GIR_Done,
     /* 2364186 */   // Label 33503: @2364186
     /* 2364186 */   GIM_Reject,
     /* 2364187 */ // Label 33501: @2364187
     /* 2364187 */ GIM_Reject,
     /* 2364188 */ // Label 33474: @2364188
     /* 2364188 */ GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2364291),
     /* 2364193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2364196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364204 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2364247), // Rule ID 58970 //
     /* 2364209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364212 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2364229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364246 */     // GIR_Coverage, 58970,
     /* 2364246 */     GIR_EraseRootFromParent_Done,
     /* 2364247 */   // Label 33505: @2364247
     /* 2364247 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2364290), // Rule ID 58971 //
     /* 2364252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364255 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2364272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364289 */     // GIR_Coverage, 58971,
     /* 2364289 */     GIR_EraseRootFromParent_Done,
     /* 2364290 */   // Label 33506: @2364290
     /* 2364290 */   GIM_Reject,
     /* 2364291 */ // Label 33504: @2364291
     /* 2364291 */ GIM_Reject,
     /* 2364292 */ // Label 33475: @2364292
     /* 2364292 */ GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2364395),
     /* 2364297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2364300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364308 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2364351), // Rule ID 58976 //
     /* 2364313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364316 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364350 */     // GIR_Coverage, 58976,
     /* 2364350 */     GIR_EraseRootFromParent_Done,
     /* 2364351 */   // Label 33508: @2364351
     /* 2364351 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2364394), // Rule ID 58977 //
     /* 2364356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364359 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364393 */     // GIR_Coverage, 58977,
     /* 2364393 */     GIR_EraseRootFromParent_Done,
     /* 2364394 */   // Label 33509: @2364394
     /* 2364394 */   GIM_Reject,
     /* 2364395 */ // Label 33507: @2364395
     /* 2364395 */ GIM_Reject,
     /* 2364396 */ // Label 33476: @2364396
     /* 2364396 */ GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2364499),
     /* 2364401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2364404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364412 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2364455), // Rule ID 58980 //
     /* 2364417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364420 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364454 */     // GIR_Coverage, 58980,
     /* 2364454 */     GIR_EraseRootFromParent_Done,
     /* 2364455 */   // Label 33511: @2364455
     /* 2364455 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2364498), // Rule ID 58981 //
     /* 2364460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364463 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364497 */     // GIR_Coverage, 58981,
     /* 2364497 */     GIR_EraseRootFromParent_Done,
     /* 2364498 */   // Label 33512: @2364498
     /* 2364498 */   GIM_Reject,
     /* 2364499 */ // Label 33510: @2364499
     /* 2364499 */ GIM_Reject,
     /* 2364500 */ // Label 33477: @2364500
     /* 2364500 */ GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2364603),
     /* 2364505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2364508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364516 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2364559), // Rule ID 58988 //
     /* 2364521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364524 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364558 */     // GIR_Coverage, 58988,
     /* 2364558 */     GIR_EraseRootFromParent_Done,
     /* 2364559 */   // Label 33514: @2364559
     /* 2364559 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2364602), // Rule ID 58989 //
     /* 2364564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364567 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364601 */     // GIR_Coverage, 58989,
     /* 2364601 */     GIR_EraseRootFromParent_Done,
     /* 2364602 */   // Label 33515: @2364602
     /* 2364602 */   GIM_Reject,
     /* 2364603 */ // Label 33513: @2364603
     /* 2364603 */ GIM_Reject,
     /* 2364604 */ // Label 33478: @2364604
     /* 2364604 */ GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2364707),
     /* 2364609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2364612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364620 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2364663), // Rule ID 58972 //
     /* 2364625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364628 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364662 */     // GIR_Coverage, 58972,
     /* 2364662 */     GIR_EraseRootFromParent_Done,
     /* 2364663 */   // Label 33517: @2364663
     /* 2364663 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2364706), // Rule ID 58973 //
     /* 2364668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364671 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364705 */     // GIR_Coverage, 58973,
     /* 2364705 */     GIR_EraseRootFromParent_Done,
     /* 2364706 */   // Label 33518: @2364706
     /* 2364706 */   GIM_Reject,
     /* 2364707 */ // Label 33516: @2364707
     /* 2364707 */ GIM_Reject,
     /* 2364708 */ // Label 33479: @2364708
     /* 2364708 */ GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2364811),
     /* 2364713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2364716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364724 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2364767), // Rule ID 58978 //
     /* 2364729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364732 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364766 */     // GIR_Coverage, 58978,
     /* 2364766 */     GIR_EraseRootFromParent_Done,
     /* 2364767 */   // Label 33520: @2364767
     /* 2364767 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2364810), // Rule ID 58979 //
     /* 2364772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364775 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364809 */     // GIR_Coverage, 58979,
     /* 2364809 */     GIR_EraseRootFromParent_Done,
     /* 2364810 */   // Label 33521: @2364810
     /* 2364810 */   GIM_Reject,
     /* 2364811 */ // Label 33519: @2364811
     /* 2364811 */ GIM_Reject,
     /* 2364812 */ // Label 33480: @2364812
     /* 2364812 */ GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2364915),
     /* 2364817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2364820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364828 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2364871), // Rule ID 58986 //
     /* 2364833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364836 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364870 */     // GIR_Coverage, 58986,
     /* 2364870 */     GIR_EraseRootFromParent_Done,
     /* 2364871 */   // Label 33523: @2364871
     /* 2364871 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2364914), // Rule ID 58987 //
     /* 2364876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364879 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364913 */     // GIR_Coverage, 58987,
     /* 2364913 */     GIR_EraseRootFromParent_Done,
     /* 2364914 */   // Label 33524: @2364914
     /* 2364914 */   GIM_Reject,
     /* 2364915 */ // Label 33522: @2364915
     /* 2364915 */ GIM_Reject,
     /* 2364916 */ // Label 33481: @2364916
     /* 2364916 */ GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2365019),
     /* 2364921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2364924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364932 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2364975), // Rule ID 59008 //
     /* 2364937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364940 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364974 */     // GIR_Coverage, 59008,
     /* 2364974 */     GIR_EraseRootFromParent_Done,
     /* 2364975 */   // Label 33526: @2364975
     /* 2364975 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2365018), // Rule ID 59009 //
     /* 2364980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364983 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365017 */     // GIR_Coverage, 59009,
     /* 2365017 */     GIR_EraseRootFromParent_Done,
     /* 2365018 */   // Label 33527: @2365018
     /* 2365018 */   GIM_Reject,
     /* 2365019 */ // Label 33525: @2365019
     /* 2365019 */ GIM_Reject,
     /* 2365020 */ // Label 33482: @2365020
     /* 2365020 */ GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2365123),
     /* 2365025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2365028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365036 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2365079), // Rule ID 58974 //
     /* 2365041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365044 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2365061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365078 */     // GIR_Coverage, 58974,
     /* 2365078 */     GIR_EraseRootFromParent_Done,
     /* 2365079 */   // Label 33529: @2365079
     /* 2365079 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2365122), // Rule ID 58975 //
     /* 2365084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365087 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2365104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365121 */     // GIR_Coverage, 58975,
     /* 2365121 */     GIR_EraseRootFromParent_Done,
     /* 2365122 */   // Label 33530: @2365122
     /* 2365122 */   GIM_Reject,
     /* 2365123 */ // Label 33528: @2365123
     /* 2365123 */ GIM_Reject,
     /* 2365124 */ // Label 33483: @2365124
     /* 2365124 */ GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2365227),
     /* 2365129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2365132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365140 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2365183), // Rule ID 58984 //
     /* 2365145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365148 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365182 */     // GIR_Coverage, 58984,
     /* 2365182 */     GIR_EraseRootFromParent_Done,
     /* 2365183 */   // Label 33532: @2365183
     /* 2365183 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2365226), // Rule ID 58985 //
     /* 2365188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365191 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365225 */     // GIR_Coverage, 58985,
     /* 2365225 */     GIR_EraseRootFromParent_Done,
     /* 2365226 */   // Label 33533: @2365226
     /* 2365226 */   GIM_Reject,
     /* 2365227 */ // Label 33531: @2365227
     /* 2365227 */ GIM_Reject,
     /* 2365228 */ // Label 33484: @2365228
     /* 2365228 */ GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2365331),
     /* 2365233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2365236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365244 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2365287), // Rule ID 59002 //
     /* 2365249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365252 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365286 */     // GIR_Coverage, 59002,
     /* 2365286 */     GIR_EraseRootFromParent_Done,
     /* 2365287 */   // Label 33535: @2365287
     /* 2365287 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2365330), // Rule ID 59003 //
     /* 2365292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365295 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365329 */     // GIR_Coverage, 59003,
     /* 2365329 */     GIR_EraseRootFromParent_Done,
     /* 2365330 */   // Label 33536: @2365330
     /* 2365330 */   GIM_Reject,
     /* 2365331 */ // Label 33534: @2365331
     /* 2365331 */ GIM_Reject,
     /* 2365332 */ // Label 33485: @2365332
     /* 2365332 */ GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2365435),
     /* 2365337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2365340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365348 */   GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2365391), // Rule ID 59010 //
     /* 2365353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365356 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365390 */     // GIR_Coverage, 59010,
     /* 2365390 */     GIR_EraseRootFromParent_Done,
     /* 2365391 */   // Label 33538: @2365391
     /* 2365391 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2365434), // Rule ID 59011 //
     /* 2365396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365399 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365433 */     // GIR_Coverage, 59011,
     /* 2365433 */     GIR_EraseRootFromParent_Done,
     /* 2365434 */   // Label 33539: @2365434
     /* 2365434 */   GIM_Reject,
     /* 2365435 */ // Label 33537: @2365435
     /* 2365435 */ GIM_Reject,
     /* 2365436 */ // Label 33486: @2365436
     /* 2365436 */ GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2365539),
     /* 2365441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2365444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365452 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2365495), // Rule ID 58982 //
     /* 2365457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365460 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365494 */     // GIR_Coverage, 58982,
     /* 2365494 */     GIR_EraseRootFromParent_Done,
     /* 2365495 */   // Label 33541: @2365495
     /* 2365495 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2365538), // Rule ID 58983 //
     /* 2365500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365503 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365537 */     // GIR_Coverage, 58983,
     /* 2365537 */     GIR_EraseRootFromParent_Done,
     /* 2365538 */   // Label 33542: @2365538
     /* 2365538 */   GIM_Reject,
     /* 2365539 */ // Label 33540: @2365539
     /* 2365539 */ GIM_Reject,
     /* 2365540 */ // Label 33487: @2365540
     /* 2365540 */ GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2365643),
     /* 2365545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2365548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365556 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2365599), // Rule ID 58996 //
     /* 2365561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365564 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365598 */     // GIR_Coverage, 58996,
     /* 2365598 */     GIR_EraseRootFromParent_Done,
     /* 2365599 */   // Label 33544: @2365599
     /* 2365599 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2365642), // Rule ID 58997 //
     /* 2365604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365607 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365641 */     // GIR_Coverage, 58997,
     /* 2365641 */     GIR_EraseRootFromParent_Done,
     /* 2365642 */   // Label 33545: @2365642
     /* 2365642 */   GIM_Reject,
     /* 2365643 */ // Label 33543: @2365643
     /* 2365643 */ GIM_Reject,
     /* 2365644 */ // Label 33488: @2365644
     /* 2365644 */ GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2365747),
     /* 2365649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2365652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365660 */   GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2365703), // Rule ID 59004 //
     /* 2365665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365668 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365702 */     // GIR_Coverage, 59004,
     /* 2365702 */     GIR_EraseRootFromParent_Done,
     /* 2365703 */   // Label 33547: @2365703
     /* 2365703 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2365746), // Rule ID 59005 //
     /* 2365708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365711 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365745 */     // GIR_Coverage, 59005,
     /* 2365745 */     GIR_EraseRootFromParent_Done,
     /* 2365746 */   // Label 33548: @2365746
     /* 2365746 */   GIM_Reject,
     /* 2365747 */ // Label 33546: @2365747
     /* 2365747 */ GIM_Reject,
     /* 2365748 */ // Label 33489: @2365748
     /* 2365748 */ GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2365851),
     /* 2365753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2365756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365764 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2365807), // Rule ID 59012 //
     /* 2365769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365772 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365806 */     // GIR_Coverage, 59012,
     /* 2365806 */     GIR_EraseRootFromParent_Done,
     /* 2365807 */   // Label 33550: @2365807
     /* 2365807 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2365850), // Rule ID 59013 //
     /* 2365812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365815 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365849 */     // GIR_Coverage, 59013,
     /* 2365849 */     GIR_EraseRootFromParent_Done,
     /* 2365850 */   // Label 33551: @2365850
     /* 2365850 */   GIM_Reject,
     /* 2365851 */ // Label 33549: @2365851
     /* 2365851 */ GIM_Reject,
     /* 2365852 */ // Label 33490: @2365852
     /* 2365852 */ GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2365955),
     /* 2365857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2365860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365868 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2365911), // Rule ID 58990 //
     /* 2365873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365876 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365910 */     // GIR_Coverage, 58990,
     /* 2365910 */     GIR_EraseRootFromParent_Done,
     /* 2365911 */   // Label 33553: @2365911
     /* 2365911 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2365954), // Rule ID 58991 //
     /* 2365916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365919 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365953 */     // GIR_Coverage, 58991,
     /* 2365953 */     GIR_EraseRootFromParent_Done,
     /* 2365954 */   // Label 33554: @2365954
     /* 2365954 */   GIM_Reject,
     /* 2365955 */ // Label 33552: @2365955
     /* 2365955 */ GIM_Reject,
     /* 2365956 */ // Label 33491: @2365956
     /* 2365956 */ GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2366059),
     /* 2365961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2365964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365972 */   GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2366015), // Rule ID 58998 //
     /* 2365977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365980 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366014 */     // GIR_Coverage, 58998,
     /* 2366014 */     GIR_EraseRootFromParent_Done,
     /* 2366015 */   // Label 33556: @2366015
     /* 2366015 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2366058), // Rule ID 58999 //
     /* 2366020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366023 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366057 */     // GIR_Coverage, 58999,
     /* 2366057 */     GIR_EraseRootFromParent_Done,
     /* 2366058 */   // Label 33557: @2366058
     /* 2366058 */   GIM_Reject,
     /* 2366059 */ // Label 33555: @2366059
     /* 2366059 */ GIM_Reject,
     /* 2366060 */ // Label 33492: @2366060
     /* 2366060 */ GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2366163),
     /* 2366065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2366068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366076 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2366119), // Rule ID 59006 //
     /* 2366081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366084 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366118 */     // GIR_Coverage, 59006,
     /* 2366118 */     GIR_EraseRootFromParent_Done,
     /* 2366119 */   // Label 33559: @2366119
     /* 2366119 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2366162), // Rule ID 59007 //
     /* 2366124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366127 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366161 */     // GIR_Coverage, 59007,
     /* 2366161 */     GIR_EraseRootFromParent_Done,
     /* 2366162 */   // Label 33560: @2366162
     /* 2366162 */   GIM_Reject,
     /* 2366163 */ // Label 33558: @2366163
     /* 2366163 */ GIM_Reject,
     /* 2366164 */ // Label 33493: @2366164
     /* 2366164 */ GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2366267),
     /* 2366169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2366172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366180 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2366223), // Rule ID 58992 //
     /* 2366185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366188 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366222 */     // GIR_Coverage, 58992,
     /* 2366222 */     GIR_EraseRootFromParent_Done,
     /* 2366223 */   // Label 33562: @2366223
     /* 2366223 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2366266), // Rule ID 58993 //
     /* 2366228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366231 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2366248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366265 */     // GIR_Coverage, 58993,
     /* 2366265 */     GIR_EraseRootFromParent_Done,
     /* 2366266 */   // Label 33563: @2366266
     /* 2366266 */   GIM_Reject,
     /* 2366267 */ // Label 33561: @2366267
     /* 2366267 */ GIM_Reject,
     /* 2366268 */ // Label 33494: @2366268
     /* 2366268 */ GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2366371),
     /* 2366273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2366276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366284 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2366327), // Rule ID 59000 //
     /* 2366289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366292 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366326 */     // GIR_Coverage, 59000,
     /* 2366326 */     GIR_EraseRootFromParent_Done,
     /* 2366327 */   // Label 33565: @2366327
     /* 2366327 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2366370), // Rule ID 59001 //
     /* 2366332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366335 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366369 */     // GIR_Coverage, 59001,
     /* 2366369 */     GIR_EraseRootFromParent_Done,
     /* 2366370 */   // Label 33566: @2366370
     /* 2366370 */   GIM_Reject,
     /* 2366371 */ // Label 33564: @2366371
     /* 2366371 */ GIM_Reject,
     /* 2366372 */ // Label 33495: @2366372
     /* 2366372 */ GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2366475),
     /* 2366377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2366380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366388 */   GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2366431), // Rule ID 58994 //
     /* 2366393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2366396 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366430 */     // GIR_Coverage, 58994,
     /* 2366430 */     GIR_EraseRootFromParent_Done,
     /* 2366431 */   // Label 33568: @2366431
     /* 2366431 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2366474), // Rule ID 58995 //
     /* 2366436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366439 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366473 */     // GIR_Coverage, 58995,
     /* 2366473 */     GIR_EraseRootFromParent_Done,
     /* 2366474 */   // Label 33569: @2366474
     /* 2366474 */   GIM_Reject,
     /* 2366475 */ // Label 33567: @2366475
     /* 2366475 */ GIM_Reject,
     /* 2366476 */ // Label 33496: @2366476
     /* 2366476 */ GIM_Reject,
     /* 2366477 */ // Label 90: @2366477
     /* 2366477 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33594*/ GIMT_Encode4(2368970),
     /* 2366488 */ /*GILLT_s32*//*Label 33570*/ GIMT_Encode4(2366612),
     /* 2366492 */ /*GILLT_s64*//*Label 33571*/ GIMT_Encode4(2366647), GIMT_Encode4(0),
     /* 2366500 */ /*GILLT_nxv1s8*//*Label 33572*/ GIMT_Encode4(2366682),
     /* 2366504 */ /*GILLT_nxv1s16*//*Label 33573*/ GIMT_Encode4(2366786),
     /* 2366508 */ /*GILLT_nxv1s32*//*Label 33574*/ GIMT_Encode4(2366890),
     /* 2366512 */ /*GILLT_nxv1s64*//*Label 33575*/ GIMT_Encode4(2366994), GIMT_Encode4(0),
     /* 2366520 */ /*GILLT_nxv2s8*//*Label 33576*/ GIMT_Encode4(2367098),
     /* 2366524 */ /*GILLT_nxv2s16*//*Label 33577*/ GIMT_Encode4(2367202),
     /* 2366528 */ /*GILLT_nxv2s32*//*Label 33578*/ GIMT_Encode4(2367306),
     /* 2366532 */ /*GILLT_nxv2s64*//*Label 33579*/ GIMT_Encode4(2367410), GIMT_Encode4(0),
     /* 2366540 */ /*GILLT_nxv4s8*//*Label 33580*/ GIMT_Encode4(2367514),
     /* 2366544 */ /*GILLT_nxv4s16*//*Label 33581*/ GIMT_Encode4(2367618),
     /* 2366548 */ /*GILLT_nxv4s32*//*Label 33582*/ GIMT_Encode4(2367722),
     /* 2366552 */ /*GILLT_nxv4s64*//*Label 33583*/ GIMT_Encode4(2367826), GIMT_Encode4(0),
     /* 2366560 */ /*GILLT_nxv8s8*//*Label 33584*/ GIMT_Encode4(2367930),
     /* 2366564 */ /*GILLT_nxv8s16*//*Label 33585*/ GIMT_Encode4(2368034),
     /* 2366568 */ /*GILLT_nxv8s32*//*Label 33586*/ GIMT_Encode4(2368138),
     /* 2366572 */ /*GILLT_nxv8s64*//*Label 33587*/ GIMT_Encode4(2368242), GIMT_Encode4(0),
     /* 2366580 */ /*GILLT_nxv16s8*//*Label 33588*/ GIMT_Encode4(2368346),
     /* 2366584 */ /*GILLT_nxv16s16*//*Label 33589*/ GIMT_Encode4(2368450),
     /* 2366588 */ /*GILLT_nxv16s32*//*Label 33590*/ GIMT_Encode4(2368554), GIMT_Encode4(0),
     /* 2366596 */ /*GILLT_nxv32s8*//*Label 33591*/ GIMT_Encode4(2368658),
     /* 2366600 */ /*GILLT_nxv32s16*//*Label 33592*/ GIMT_Encode4(2368762), GIMT_Encode4(0),
     /* 2366608 */ /*GILLT_nxv64s8*//*Label 33593*/ GIMT_Encode4(2368866),
     /* 2366612 */ // Label 33570: @2366612
     /* 2366612 */ GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2366646), // Rule ID 64362 //
     /* 2366617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2366620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2366623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366631 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2366631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366645 */   // GIR_Coverage, 64362,
     /* 2366645 */   GIR_EraseRootFromParent_Done,
     /* 2366646 */ // Label 33595: @2366646
     /* 2366646 */ GIM_Reject,
     /* 2366647 */ // Label 33571: @2366647
     /* 2366647 */ GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2366681), // Rule ID 64361 //
     /* 2366652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2366655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2366658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366666 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2366666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366680 */   // GIR_Coverage, 64361,
     /* 2366680 */   GIR_EraseRootFromParent_Done,
     /* 2366681 */ // Label 33596: @2366681
     /* 2366681 */ GIM_Reject,
     /* 2366682 */ // Label 33572: @2366682
     /* 2366682 */ GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2366785),
     /* 2366687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2366690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366698 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2366741), // Rule ID 58794 //
     /* 2366703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366706 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366740 */     // GIR_Coverage, 58794,
     /* 2366740 */     GIR_EraseRootFromParent_Done,
     /* 2366741 */   // Label 33598: @2366741
     /* 2366741 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2366784), // Rule ID 58795 //
     /* 2366746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366749 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366783 */     // GIR_Coverage, 58795,
     /* 2366783 */     GIR_EraseRootFromParent_Done,
     /* 2366784 */   // Label 33599: @2366784
     /* 2366784 */   GIM_Reject,
     /* 2366785 */ // Label 33597: @2366785
     /* 2366785 */ GIM_Reject,
     /* 2366786 */ // Label 33573: @2366786
     /* 2366786 */ GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2366889),
     /* 2366791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366802 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2366845), // Rule ID 58932 //
     /* 2366807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366810 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366844 */     // GIR_Coverage, 58932,
     /* 2366844 */     GIR_EraseRootFromParent_Done,
     /* 2366845 */   // Label 33601: @2366845
     /* 2366845 */   GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2366888), // Rule ID 58933 //
     /* 2366850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366853 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366887 */     // GIR_Coverage, 58933,
     /* 2366887 */     GIR_EraseRootFromParent_Done,
     /* 2366888 */   // Label 33602: @2366888
     /* 2366888 */   GIM_Reject,
     /* 2366889 */ // Label 33600: @2366889
     /* 2366889 */ GIM_Reject,
     /* 2366890 */ // Label 33574: @2366890
     /* 2366890 */ GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2366993),
     /* 2366895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2366898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366906 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2366949), // Rule ID 58936 //
     /* 2366911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366914 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366948 */     // GIR_Coverage, 58936,
     /* 2366948 */     GIR_EraseRootFromParent_Done,
     /* 2366949 */   // Label 33604: @2366949
     /* 2366949 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2366992), // Rule ID 58937 //
     /* 2366954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366957 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366991 */     // GIR_Coverage, 58937,
     /* 2366991 */     GIR_EraseRootFromParent_Done,
     /* 2366992 */   // Label 33605: @2366992
     /* 2366992 */   GIM_Reject,
     /* 2366993 */ // Label 33603: @2366993
     /* 2366993 */ GIM_Reject,
     /* 2366994 */ // Label 33575: @2366994
     /* 2366994 */ GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2367097),
     /* 2366999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2367002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367010 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2367053), // Rule ID 58944 //
     /* 2367015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367018 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367052 */     // GIR_Coverage, 58944,
     /* 2367052 */     GIR_EraseRootFromParent_Done,
     /* 2367053 */   // Label 33607: @2367053
     /* 2367053 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2367096), // Rule ID 58945 //
     /* 2367058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367061 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367095 */     // GIR_Coverage, 58945,
     /* 2367095 */     GIR_EraseRootFromParent_Done,
     /* 2367096 */   // Label 33608: @2367096
     /* 2367096 */   GIM_Reject,
     /* 2367097 */ // Label 33606: @2367097
     /* 2367097 */ GIM_Reject,
     /* 2367098 */ // Label 33576: @2367098
     /* 2367098 */ GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2367201),
     /* 2367103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2367106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367114 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2367157), // Rule ID 58928 //
     /* 2367119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367122 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2367139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367156 */     // GIR_Coverage, 58928,
     /* 2367156 */     GIR_EraseRootFromParent_Done,
     /* 2367157 */   // Label 33610: @2367157
     /* 2367157 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2367200), // Rule ID 58929 //
     /* 2367162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367165 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2367182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367199 */     // GIR_Coverage, 58929,
     /* 2367199 */     GIR_EraseRootFromParent_Done,
     /* 2367200 */   // Label 33611: @2367200
     /* 2367200 */   GIM_Reject,
     /* 2367201 */ // Label 33609: @2367201
     /* 2367201 */ GIM_Reject,
     /* 2367202 */ // Label 33577: @2367202
     /* 2367202 */ GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2367305),
     /* 2367207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2367210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367218 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2367261), // Rule ID 58934 //
     /* 2367223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367226 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367260 */     // GIR_Coverage, 58934,
     /* 2367260 */     GIR_EraseRootFromParent_Done,
     /* 2367261 */   // Label 33613: @2367261
     /* 2367261 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2367304), // Rule ID 58935 //
     /* 2367266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367269 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367303 */     // GIR_Coverage, 58935,
     /* 2367303 */     GIR_EraseRootFromParent_Done,
     /* 2367304 */   // Label 33614: @2367304
     /* 2367304 */   GIM_Reject,
     /* 2367305 */ // Label 33612: @2367305
     /* 2367305 */ GIM_Reject,
     /* 2367306 */ // Label 33578: @2367306
     /* 2367306 */ GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2367409),
     /* 2367311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2367314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367322 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2367365), // Rule ID 58942 //
     /* 2367327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367330 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367364 */     // GIR_Coverage, 58942,
     /* 2367364 */     GIR_EraseRootFromParent_Done,
     /* 2367365 */   // Label 33616: @2367365
     /* 2367365 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2367408), // Rule ID 58943 //
     /* 2367370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367373 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367407 */     // GIR_Coverage, 58943,
     /* 2367407 */     GIR_EraseRootFromParent_Done,
     /* 2367408 */   // Label 33617: @2367408
     /* 2367408 */   GIM_Reject,
     /* 2367409 */ // Label 33615: @2367409
     /* 2367409 */ GIM_Reject,
     /* 2367410 */ // Label 33579: @2367410
     /* 2367410 */ GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2367513),
     /* 2367415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2367418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367426 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2367469), // Rule ID 58964 //
     /* 2367431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367434 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367468 */     // GIR_Coverage, 58964,
     /* 2367468 */     GIR_EraseRootFromParent_Done,
     /* 2367469 */   // Label 33619: @2367469
     /* 2367469 */   GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2367512), // Rule ID 58965 //
     /* 2367474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367477 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367511 */     // GIR_Coverage, 58965,
     /* 2367511 */     GIR_EraseRootFromParent_Done,
     /* 2367512 */   // Label 33620: @2367512
     /* 2367512 */   GIM_Reject,
     /* 2367513 */ // Label 33618: @2367513
     /* 2367513 */ GIM_Reject,
     /* 2367514 */ // Label 33580: @2367514
     /* 2367514 */ GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2367617),
     /* 2367519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2367522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367530 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2367573), // Rule ID 58930 //
     /* 2367535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367538 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367572 */     // GIR_Coverage, 58930,
     /* 2367572 */     GIR_EraseRootFromParent_Done,
     /* 2367573 */   // Label 33622: @2367573
     /* 2367573 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2367616), // Rule ID 58931 //
     /* 2367578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367581 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367615 */     // GIR_Coverage, 58931,
     /* 2367615 */     GIR_EraseRootFromParent_Done,
     /* 2367616 */   // Label 33623: @2367616
     /* 2367616 */   GIM_Reject,
     /* 2367617 */ // Label 33621: @2367617
     /* 2367617 */ GIM_Reject,
     /* 2367618 */ // Label 33581: @2367618
     /* 2367618 */ GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2367721),
     /* 2367623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2367626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367634 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2367677), // Rule ID 58940 //
     /* 2367639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367642 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367676 */     // GIR_Coverage, 58940,
     /* 2367676 */     GIR_EraseRootFromParent_Done,
     /* 2367677 */   // Label 33625: @2367677
     /* 2367677 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2367720), // Rule ID 58941 //
     /* 2367682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367685 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367719 */     // GIR_Coverage, 58941,
     /* 2367719 */     GIR_EraseRootFromParent_Done,
     /* 2367720 */   // Label 33626: @2367720
     /* 2367720 */   GIM_Reject,
     /* 2367721 */ // Label 33624: @2367721
     /* 2367721 */ GIM_Reject,
     /* 2367722 */ // Label 33582: @2367722
     /* 2367722 */ GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2367825),
     /* 2367727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2367730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367738 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2367781), // Rule ID 58958 //
     /* 2367743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367746 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367780 */     // GIR_Coverage, 58958,
     /* 2367780 */     GIR_EraseRootFromParent_Done,
     /* 2367781 */   // Label 33628: @2367781
     /* 2367781 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2367824), // Rule ID 58959 //
     /* 2367786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367789 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367823 */     // GIR_Coverage, 58959,
     /* 2367823 */     GIR_EraseRootFromParent_Done,
     /* 2367824 */   // Label 33629: @2367824
     /* 2367824 */   GIM_Reject,
     /* 2367825 */ // Label 33627: @2367825
     /* 2367825 */ GIM_Reject,
     /* 2367826 */ // Label 33583: @2367826
     /* 2367826 */ GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2367929),
     /* 2367831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2367834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367842 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2367885), // Rule ID 58966 //
     /* 2367847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367850 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367884 */     // GIR_Coverage, 58966,
     /* 2367884 */     GIR_EraseRootFromParent_Done,
     /* 2367885 */   // Label 33631: @2367885
     /* 2367885 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2367928), // Rule ID 58967 //
     /* 2367890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367893 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367927 */     // GIR_Coverage, 58967,
     /* 2367927 */     GIR_EraseRootFromParent_Done,
     /* 2367928 */   // Label 33632: @2367928
     /* 2367928 */   GIM_Reject,
     /* 2367929 */ // Label 33630: @2367929
     /* 2367929 */ GIM_Reject,
     /* 2367930 */ // Label 33584: @2367930
     /* 2367930 */ GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2368033),
     /* 2367935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2367938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367946 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2367989), // Rule ID 58938 //
     /* 2367951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367954 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367988 */     // GIR_Coverage, 58938,
     /* 2367988 */     GIR_EraseRootFromParent_Done,
     /* 2367989 */   // Label 33634: @2367989
     /* 2367989 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2368032), // Rule ID 58939 //
     /* 2367994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367997 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2368014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368031 */     // GIR_Coverage, 58939,
     /* 2368031 */     GIR_EraseRootFromParent_Done,
     /* 2368032 */   // Label 33635: @2368032
     /* 2368032 */   GIM_Reject,
     /* 2368033 */ // Label 33633: @2368033
     /* 2368033 */ GIM_Reject,
     /* 2368034 */ // Label 33585: @2368034
     /* 2368034 */ GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2368137),
     /* 2368039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2368042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368050 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2368093), // Rule ID 58952 //
     /* 2368055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368058 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368092 */     // GIR_Coverage, 58952,
     /* 2368092 */     GIR_EraseRootFromParent_Done,
     /* 2368093 */   // Label 33637: @2368093
     /* 2368093 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2368136), // Rule ID 58953 //
     /* 2368098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368101 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368135 */     // GIR_Coverage, 58953,
     /* 2368135 */     GIR_EraseRootFromParent_Done,
     /* 2368136 */   // Label 33638: @2368136
     /* 2368136 */   GIM_Reject,
     /* 2368137 */ // Label 33636: @2368137
     /* 2368137 */ GIM_Reject,
     /* 2368138 */ // Label 33586: @2368138
     /* 2368138 */ GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2368241),
     /* 2368143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2368146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368154 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2368197), // Rule ID 58960 //
     /* 2368159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368162 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368196 */     // GIR_Coverage, 58960,
     /* 2368196 */     GIR_EraseRootFromParent_Done,
     /* 2368197 */   // Label 33640: @2368197
     /* 2368197 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2368240), // Rule ID 58961 //
     /* 2368202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368205 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368239 */     // GIR_Coverage, 58961,
     /* 2368239 */     GIR_EraseRootFromParent_Done,
     /* 2368240 */   // Label 33641: @2368240
     /* 2368240 */   GIM_Reject,
     /* 2368241 */ // Label 33639: @2368241
     /* 2368241 */ GIM_Reject,
     /* 2368242 */ // Label 33587: @2368242
     /* 2368242 */ GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2368345),
     /* 2368247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2368250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368258 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2368301), // Rule ID 58968 //
     /* 2368263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2368266 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368300 */     // GIR_Coverage, 58968,
     /* 2368300 */     GIR_EraseRootFromParent_Done,
     /* 2368301 */   // Label 33643: @2368301
     /* 2368301 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2368344), // Rule ID 58969 //
     /* 2368306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2368309 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368343 */     // GIR_Coverage, 58969,
     /* 2368343 */     GIR_EraseRootFromParent_Done,
     /* 2368344 */   // Label 33644: @2368344
     /* 2368344 */   GIM_Reject,
     /* 2368345 */ // Label 33642: @2368345
     /* 2368345 */ GIM_Reject,
     /* 2368346 */ // Label 33588: @2368346
     /* 2368346 */ GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2368449),
     /* 2368351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2368354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368362 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2368405), // Rule ID 58946 //
     /* 2368367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368370 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368404 */     // GIR_Coverage, 58946,
     /* 2368404 */     GIR_EraseRootFromParent_Done,
     /* 2368405 */   // Label 33646: @2368405
     /* 2368405 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2368448), // Rule ID 58947 //
     /* 2368410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368413 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2368430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368447 */     // GIR_Coverage, 58947,
     /* 2368447 */     GIR_EraseRootFromParent_Done,
     /* 2368448 */   // Label 33647: @2368448
     /* 2368448 */   GIM_Reject,
     /* 2368449 */ // Label 33645: @2368449
     /* 2368449 */ GIM_Reject,
     /* 2368450 */ // Label 33589: @2368450
     /* 2368450 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2368553),
     /* 2368455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2368458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368466 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2368509), // Rule ID 58954 //
     /* 2368471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368474 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368508 */     // GIR_Coverage, 58954,
     /* 2368508 */     GIR_EraseRootFromParent_Done,
     /* 2368509 */   // Label 33649: @2368509
     /* 2368509 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2368552), // Rule ID 58955 //
     /* 2368514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368517 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368551 */     // GIR_Coverage, 58955,
     /* 2368551 */     GIR_EraseRootFromParent_Done,
     /* 2368552 */   // Label 33650: @2368552
     /* 2368552 */   GIM_Reject,
     /* 2368553 */ // Label 33648: @2368553
     /* 2368553 */ GIM_Reject,
     /* 2368554 */ // Label 33590: @2368554
     /* 2368554 */ GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2368657),
     /* 2368559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2368562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368570 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2368613), // Rule ID 58962 //
     /* 2368575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368578 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368612 */     // GIR_Coverage, 58962,
     /* 2368612 */     GIR_EraseRootFromParent_Done,
     /* 2368613 */   // Label 33652: @2368613
     /* 2368613 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2368656), // Rule ID 58963 //
     /* 2368618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368621 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368655 */     // GIR_Coverage, 58963,
     /* 2368655 */     GIR_EraseRootFromParent_Done,
     /* 2368656 */   // Label 33653: @2368656
     /* 2368656 */   GIM_Reject,
     /* 2368657 */ // Label 33651: @2368657
     /* 2368657 */ GIM_Reject,
     /* 2368658 */ // Label 33591: @2368658
     /* 2368658 */ GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2368761),
     /* 2368663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2368666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368674 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2368717), // Rule ID 58948 //
     /* 2368679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368682 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368716 */     // GIR_Coverage, 58948,
     /* 2368716 */     GIR_EraseRootFromParent_Done,
     /* 2368717 */   // Label 33655: @2368717
     /* 2368717 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2368760), // Rule ID 58949 //
     /* 2368722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368725 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368759 */     // GIR_Coverage, 58949,
     /* 2368759 */     GIR_EraseRootFromParent_Done,
     /* 2368760 */   // Label 33656: @2368760
     /* 2368760 */   GIM_Reject,
     /* 2368761 */ // Label 33654: @2368761
     /* 2368761 */ GIM_Reject,
     /* 2368762 */ // Label 33592: @2368762
     /* 2368762 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2368865),
     /* 2368767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2368770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368778 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2368821), // Rule ID 58956 //
     /* 2368783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368786 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368820 */     // GIR_Coverage, 58956,
     /* 2368820 */     GIR_EraseRootFromParent_Done,
     /* 2368821 */   // Label 33658: @2368821
     /* 2368821 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2368864), // Rule ID 58957 //
     /* 2368826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368829 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368863 */     // GIR_Coverage, 58957,
     /* 2368863 */     GIR_EraseRootFromParent_Done,
     /* 2368864 */   // Label 33659: @2368864
     /* 2368864 */   GIM_Reject,
     /* 2368865 */ // Label 33657: @2368865
     /* 2368865 */ GIM_Reject,
     /* 2368866 */ // Label 33593: @2368866
     /* 2368866 */ GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2368969),
     /* 2368871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2368874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368882 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2368925), // Rule ID 58950 //
     /* 2368887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368890 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368924 */     // GIR_Coverage, 58950,
     /* 2368924 */     GIR_EraseRootFromParent_Done,
     /* 2368925 */   // Label 33661: @2368925
     /* 2368925 */   GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2368968), // Rule ID 58951 //
     /* 2368930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368933 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368967 */     // GIR_Coverage, 58951,
     /* 2368967 */     GIR_EraseRootFromParent_Done,
     /* 2368968 */   // Label 33662: @2368968
     /* 2368968 */   GIM_Reject,
     /* 2368969 */ // Label 33660: @2368969
     /* 2368969 */ GIM_Reject,
     /* 2368970 */ // Label 33594: @2368970
     /* 2368970 */ GIM_Reject,
     /* 2368971 */ // Label 91: @2368971
     /* 2368971 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33666*/ GIMT_Encode4(2369168),
     /* 2368982 */ /*GILLT_s16*//*Label 33663*/ GIMT_Encode4(2368994),
     /* 2368986 */ /*GILLT_s32*//*Label 33664*/ GIMT_Encode4(2369052),
     /* 2368990 */ /*GILLT_s64*//*Label 33665*/ GIMT_Encode4(2369110),
     /* 2368994 */ // Label 33663: @2368994
     /* 2368994 */ GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2369051),
     /* 2368999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369010 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2369030), // Rule ID 2322 //
     /* 2369015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2369018 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2369018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369029 */     // GIR_Coverage, 2322,
     /* 2369029 */     GIR_EraseRootFromParent_Done,
     /* 2369030 */   // Label 33668: @2369030
     /* 2369030 */   GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2369050), // Rule ID 2323 //
     /* 2369035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2369038 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2369038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369049 */     // GIR_Coverage, 2323,
     /* 2369049 */     GIR_EraseRootFromParent_Done,
     /* 2369050 */   // Label 33669: @2369050
     /* 2369050 */   GIM_Reject,
     /* 2369051 */ // Label 33667: @2369051
     /* 2369051 */ GIM_Reject,
     /* 2369052 */ // Label 33664: @2369052
     /* 2369052 */ GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2369109),
     /* 2369057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369068 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2369088), // Rule ID 2240 //
     /* 2369073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2369076 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2369076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369087 */     // GIR_Coverage, 2240,
     /* 2369087 */     GIR_EraseRootFromParent_Done,
     /* 2369088 */   // Label 33671: @2369088
     /* 2369088 */   GIM_Try, /*On fail goto*//*Label 33672*/ GIMT_Encode4(2369108), // Rule ID 2241 //
     /* 2369093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2369096 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2369096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369107 */     // GIR_Coverage, 2241,
     /* 2369107 */     GIR_EraseRootFromParent_Done,
     /* 2369108 */   // Label 33672: @2369108
     /* 2369108 */   GIM_Reject,
     /* 2369109 */ // Label 33670: @2369109
     /* 2369109 */ GIM_Reject,
     /* 2369110 */ // Label 33665: @2369110
     /* 2369110 */ GIM_Try, /*On fail goto*//*Label 33673*/ GIMT_Encode4(2369167),
     /* 2369115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369126 */   GIM_Try, /*On fail goto*//*Label 33674*/ GIMT_Encode4(2369146), // Rule ID 2280 //
     /* 2369131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2369134 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2369134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369145 */     // GIR_Coverage, 2280,
     /* 2369145 */     GIR_EraseRootFromParent_Done,
     /* 2369146 */   // Label 33674: @2369146
     /* 2369146 */   GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2369166), // Rule ID 2281 //
     /* 2369151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2369154 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2369154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369165 */     // GIR_Coverage, 2281,
     /* 2369165 */     GIR_EraseRootFromParent_Done,
     /* 2369166 */   // Label 33675: @2369166
     /* 2369166 */   GIM_Reject,
     /* 2369167 */ // Label 33673: @2369167
     /* 2369167 */ GIM_Reject,
     /* 2369168 */ // Label 33666: @2369168
     /* 2369168 */ GIM_Reject,
     /* 2369169 */ // Label 92: @2369169
     /* 2369169 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33694*/ GIMT_Encode4(2371344),
     /* 2369180 */ /*GILLT_s16*//*Label 33676*/ GIMT_Encode4(2369300),
     /* 2369184 */ /*GILLT_s32*//*Label 33677*/ GIMT_Encode4(2369422),
     /* 2369188 */ /*GILLT_s64*//*Label 33678*/ GIMT_Encode4(2369544), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369200 */ /*GILLT_nxv1s16*//*Label 33679*/ GIMT_Encode4(2369694),
     /* 2369204 */ /*GILLT_nxv1s32*//*Label 33680*/ GIMT_Encode4(2369804),
     /* 2369208 */ /*GILLT_nxv1s64*//*Label 33681*/ GIMT_Encode4(2369914), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369220 */ /*GILLT_nxv2s16*//*Label 33682*/ GIMT_Encode4(2370024),
     /* 2369224 */ /*GILLT_nxv2s32*//*Label 33683*/ GIMT_Encode4(2370134),
     /* 2369228 */ /*GILLT_nxv2s64*//*Label 33684*/ GIMT_Encode4(2370244), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369240 */ /*GILLT_nxv4s16*//*Label 33685*/ GIMT_Encode4(2370354),
     /* 2369244 */ /*GILLT_nxv4s32*//*Label 33686*/ GIMT_Encode4(2370464),
     /* 2369248 */ /*GILLT_nxv4s64*//*Label 33687*/ GIMT_Encode4(2370574), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369260 */ /*GILLT_nxv8s16*//*Label 33688*/ GIMT_Encode4(2370684),
     /* 2369264 */ /*GILLT_nxv8s32*//*Label 33689*/ GIMT_Encode4(2370794),
     /* 2369268 */ /*GILLT_nxv8s64*//*Label 33690*/ GIMT_Encode4(2370904), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369280 */ /*GILLT_nxv16s16*//*Label 33691*/ GIMT_Encode4(2371014),
     /* 2369284 */ /*GILLT_nxv16s32*//*Label 33692*/ GIMT_Encode4(2371124), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369296 */ /*GILLT_nxv32s16*//*Label 33693*/ GIMT_Encode4(2371234),
     /* 2369300 */ // Label 33676: @2369300
     /* 2369300 */ GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2369421),
     /* 2369305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369308 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2369336), // Rule ID 1880 //
     /* 2369313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2369316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369324 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2369327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369335 */     // GIR_Coverage, 1880,
     /* 2369335 */     GIR_EraseRootFromParent_Done,
     /* 2369336 */   // Label 33696: @2369336
     /* 2369336 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2369364), // Rule ID 1881 //
     /* 2369341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2369344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369352 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2369355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369363 */     // GIR_Coverage, 1881,
     /* 2369363 */     GIR_EraseRootFromParent_Done,
     /* 2369364 */   // Label 33697: @2369364
     /* 2369364 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2369392), // Rule ID 1913 //
     /* 2369369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2369372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369380 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369391 */     // GIR_Coverage, 1913,
     /* 2369391 */     GIR_EraseRootFromParent_Done,
     /* 2369392 */   // Label 33698: @2369392
     /* 2369392 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2369420), // Rule ID 1914 //
     /* 2369397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2369400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2369408 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2369411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369419 */     // GIR_Coverage, 1914,
     /* 2369419 */     GIR_EraseRootFromParent_Done,
     /* 2369420 */   // Label 33699: @2369420
     /* 2369420 */   GIM_Reject,
     /* 2369421 */ // Label 33695: @2369421
     /* 2369421 */ GIM_Reject,
     /* 2369422 */ // Label 33677: @2369422
     /* 2369422 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2369543),
     /* 2369427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369430 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2369458), // Rule ID 1171 //
     /* 2369435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2369438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369446 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369457 */     // GIR_Coverage, 1171,
     /* 2369457 */     GIR_EraseRootFromParent_Done,
     /* 2369458 */   // Label 33701: @2369458
     /* 2369458 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2369486), // Rule ID 1172 //
     /* 2369463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2369466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369474 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369485 */     // GIR_Coverage, 1172,
     /* 2369485 */     GIR_EraseRootFromParent_Done,
     /* 2369486 */   // Label 33702: @2369486
     /* 2369486 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2369514), // Rule ID 1179 //
     /* 2369491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2369494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369502 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369513 */     // GIR_Coverage, 1179,
     /* 2369513 */     GIR_EraseRootFromParent_Done,
     /* 2369514 */   // Label 33703: @2369514
     /* 2369514 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2369542), // Rule ID 1180 //
     /* 2369519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2369522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369530 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369541 */     // GIR_Coverage, 1180,
     /* 2369541 */     GIR_EraseRootFromParent_Done,
     /* 2369542 */   // Label 33704: @2369542
     /* 2369542 */   GIM_Reject,
     /* 2369543 */ // Label 33700: @2369543
     /* 2369543 */ GIM_Reject,
     /* 2369544 */ // Label 33678: @2369544
     /* 2369544 */ GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2369693),
     /* 2369549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369552 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2369580), // Rule ID 1514 //
     /* 2369557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2369560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369568 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369579 */     // GIR_Coverage, 1514,
     /* 2369579 */     GIR_EraseRootFromParent_Done,
     /* 2369580 */   // Label 33706: @2369580
     /* 2369580 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2369608), // Rule ID 1515 //
     /* 2369585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2369588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369596 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369607 */     // GIR_Coverage, 1515,
     /* 2369607 */     GIR_EraseRootFromParent_Done,
     /* 2369608 */   // Label 33707: @2369608
     /* 2369608 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2369636), // Rule ID 1548 //
     /* 2369613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369624 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2369627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369635 */     // GIR_Coverage, 1548,
     /* 2369635 */     GIR_EraseRootFromParent_Done,
     /* 2369636 */   // Label 33708: @2369636
     /* 2369636 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2369664), // Rule ID 1569 //
     /* 2369641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2369644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369652 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369663 */     // GIR_Coverage, 1569,
     /* 2369663 */     GIR_EraseRootFromParent_Done,
     /* 2369664 */   // Label 33709: @2369664
     /* 2369664 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2369692), // Rule ID 1570 //
     /* 2369669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2369672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369680 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369691 */     // GIR_Coverage, 1570,
     /* 2369691 */     GIR_EraseRootFromParent_Done,
     /* 2369692 */   // Label 33710: @2369692
     /* 2369692 */   GIM_Reject,
     /* 2369693 */ // Label 33705: @2369693
     /* 2369693 */ GIM_Reject,
     /* 2369694 */ // Label 33679: @2369694
     /* 2369694 */ GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2369803),
     /* 2369699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369710 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2369756), // Rule ID 56112 //
     /* 2369715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369718 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369755 */     // GIR_Coverage, 56112,
     /* 2369755 */     GIR_EraseRootFromParent_Done,
     /* 2369756 */   // Label 33712: @2369756
     /* 2369756 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2369802), // Rule ID 56113 //
     /* 2369761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369764 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369801 */     // GIR_Coverage, 56113,
     /* 2369801 */     GIR_EraseRootFromParent_Done,
     /* 2369802 */   // Label 33713: @2369802
     /* 2369802 */   GIM_Reject,
     /* 2369803 */ // Label 33711: @2369803
     /* 2369803 */ GIM_Reject,
     /* 2369804 */ // Label 33680: @2369804
     /* 2369804 */ GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2369913),
     /* 2369809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369820 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2369866), // Rule ID 56152 //
     /* 2369825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369828 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369865 */     // GIR_Coverage, 56152,
     /* 2369865 */     GIR_EraseRootFromParent_Done,
     /* 2369866 */   // Label 33715: @2369866
     /* 2369866 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2369912), // Rule ID 56153 //
     /* 2369871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369874 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369911 */     // GIR_Coverage, 56153,
     /* 2369911 */     GIR_EraseRootFromParent_Done,
     /* 2369912 */   // Label 33716: @2369912
     /* 2369912 */   GIM_Reject,
     /* 2369913 */ // Label 33714: @2369913
     /* 2369913 */ GIM_Reject,
     /* 2369914 */ // Label 33681: @2369914
     /* 2369914 */ GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2370023),
     /* 2369919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369930 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2369976), // Rule ID 56212 //
     /* 2369935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369938 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369975 */     // GIR_Coverage, 56212,
     /* 2369975 */     GIR_EraseRootFromParent_Done,
     /* 2369976 */   // Label 33718: @2369976
     /* 2369976 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2370022), // Rule ID 56213 //
     /* 2369981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369984 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2370001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370021 */     // GIR_Coverage, 56213,
     /* 2370021 */     GIR_EraseRootFromParent_Done,
     /* 2370022 */   // Label 33719: @2370022
     /* 2370022 */   GIM_Reject,
     /* 2370023 */ // Label 33717: @2370023
     /* 2370023 */ GIM_Reject,
     /* 2370024 */ // Label 33682: @2370024
     /* 2370024 */ GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2370133),
     /* 2370029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370040 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2370086), // Rule ID 56132 //
     /* 2370045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370048 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2370065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370085 */     // GIR_Coverage, 56132,
     /* 2370085 */     GIR_EraseRootFromParent_Done,
     /* 2370086 */   // Label 33721: @2370086
     /* 2370086 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2370132), // Rule ID 56133 //
     /* 2370091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370094 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2370111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370131 */     // GIR_Coverage, 56133,
     /* 2370131 */     GIR_EraseRootFromParent_Done,
     /* 2370132 */   // Label 33722: @2370132
     /* 2370132 */   GIM_Reject,
     /* 2370133 */ // Label 33720: @2370133
     /* 2370133 */ GIM_Reject,
     /* 2370134 */ // Label 33683: @2370134
     /* 2370134 */ GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2370243),
     /* 2370139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2370142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370150 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2370196), // Rule ID 56192 //
     /* 2370155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370158 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2370175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370195 */     // GIR_Coverage, 56192,
     /* 2370195 */     GIR_EraseRootFromParent_Done,
     /* 2370196 */   // Label 33724: @2370196
     /* 2370196 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2370242), // Rule ID 56193 //
     /* 2370201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370204 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2370221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370241 */     // GIR_Coverage, 56193,
     /* 2370241 */     GIR_EraseRootFromParent_Done,
     /* 2370242 */   // Label 33725: @2370242
     /* 2370242 */   GIM_Reject,
     /* 2370243 */ // Label 33723: @2370243
     /* 2370243 */ GIM_Reject,
     /* 2370244 */ // Label 33684: @2370244
     /* 2370244 */ GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2370353),
     /* 2370249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2370252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370260 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2370306), // Rule ID 56352 //
     /* 2370265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370268 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2370285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370305 */     // GIR_Coverage, 56352,
     /* 2370305 */     GIR_EraseRootFromParent_Done,
     /* 2370306 */   // Label 33727: @2370306
     /* 2370306 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2370352), // Rule ID 56353 //
     /* 2370311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370314 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2370331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370351 */     // GIR_Coverage, 56353,
     /* 2370351 */     GIR_EraseRootFromParent_Done,
     /* 2370352 */   // Label 33728: @2370352
     /* 2370352 */   GIM_Reject,
     /* 2370353 */ // Label 33726: @2370353
     /* 2370353 */ GIM_Reject,
     /* 2370354 */ // Label 33685: @2370354
     /* 2370354 */ GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2370463),
     /* 2370359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2370362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370370 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2370416), // Rule ID 56172 //
     /* 2370375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370378 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370415 */     // GIR_Coverage, 56172,
     /* 2370415 */     GIR_EraseRootFromParent_Done,
     /* 2370416 */   // Label 33730: @2370416
     /* 2370416 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2370462), // Rule ID 56173 //
     /* 2370421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370424 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370461 */     // GIR_Coverage, 56173,
     /* 2370461 */     GIR_EraseRootFromParent_Done,
     /* 2370462 */   // Label 33731: @2370462
     /* 2370462 */   GIM_Reject,
     /* 2370463 */ // Label 33729: @2370463
     /* 2370463 */ GIM_Reject,
     /* 2370464 */ // Label 33686: @2370464
     /* 2370464 */ GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2370573),
     /* 2370469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370480 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2370526), // Rule ID 56292 //
     /* 2370485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370488 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370525 */     // GIR_Coverage, 56292,
     /* 2370525 */     GIR_EraseRootFromParent_Done,
     /* 2370526 */   // Label 33733: @2370526
     /* 2370526 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2370572), // Rule ID 56293 //
     /* 2370531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370534 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370571 */     // GIR_Coverage, 56293,
     /* 2370571 */     GIR_EraseRootFromParent_Done,
     /* 2370572 */   // Label 33734: @2370572
     /* 2370572 */   GIM_Reject,
     /* 2370573 */ // Label 33732: @2370573
     /* 2370573 */ GIM_Reject,
     /* 2370574 */ // Label 33687: @2370574
     /* 2370574 */ GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2370683),
     /* 2370579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370590 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2370636), // Rule ID 56372 //
     /* 2370595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370598 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370635 */     // GIR_Coverage, 56372,
     /* 2370635 */     GIR_EraseRootFromParent_Done,
     /* 2370636 */   // Label 33736: @2370636
     /* 2370636 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2370682), // Rule ID 56373 //
     /* 2370641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370644 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370681 */     // GIR_Coverage, 56373,
     /* 2370681 */     GIR_EraseRootFromParent_Done,
     /* 2370682 */   // Label 33737: @2370682
     /* 2370682 */   GIM_Reject,
     /* 2370683 */ // Label 33735: @2370683
     /* 2370683 */ GIM_Reject,
     /* 2370684 */ // Label 33688: @2370684
     /* 2370684 */ GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2370793),
     /* 2370689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2370692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370700 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2370746), // Rule ID 56232 //
     /* 2370705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370708 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370745 */     // GIR_Coverage, 56232,
     /* 2370745 */     GIR_EraseRootFromParent_Done,
     /* 2370746 */   // Label 33739: @2370746
     /* 2370746 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2370792), // Rule ID 56233 //
     /* 2370751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370754 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370791 */     // GIR_Coverage, 56233,
     /* 2370791 */     GIR_EraseRootFromParent_Done,
     /* 2370792 */   // Label 33740: @2370792
     /* 2370792 */   GIM_Reject,
     /* 2370793 */ // Label 33738: @2370793
     /* 2370793 */ GIM_Reject,
     /* 2370794 */ // Label 33689: @2370794
     /* 2370794 */ GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2370903),
     /* 2370799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2370802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370810 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2370856), // Rule ID 56312 //
     /* 2370815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370818 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370855 */     // GIR_Coverage, 56312,
     /* 2370855 */     GIR_EraseRootFromParent_Done,
     /* 2370856 */   // Label 33742: @2370856
     /* 2370856 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2370902), // Rule ID 56313 //
     /* 2370861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370864 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370901 */     // GIR_Coverage, 56313,
     /* 2370901 */     GIR_EraseRootFromParent_Done,
     /* 2370902 */   // Label 33743: @2370902
     /* 2370902 */   GIM_Reject,
     /* 2370903 */ // Label 33741: @2370903
     /* 2370903 */ GIM_Reject,
     /* 2370904 */ // Label 33690: @2370904
     /* 2370904 */ GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2371013),
     /* 2370909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2370912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370920 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2370966), // Rule ID 56392 //
     /* 2370925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370928 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370965 */     // GIR_Coverage, 56392,
     /* 2370965 */     GIR_EraseRootFromParent_Done,
     /* 2370966 */   // Label 33745: @2370966
     /* 2370966 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2371012), // Rule ID 56393 //
     /* 2370971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370974 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371011 */     // GIR_Coverage, 56393,
     /* 2371011 */     GIR_EraseRootFromParent_Done,
     /* 2371012 */   // Label 33746: @2371012
     /* 2371012 */   GIM_Reject,
     /* 2371013 */ // Label 33744: @2371013
     /* 2371013 */ GIM_Reject,
     /* 2371014 */ // Label 33691: @2371014
     /* 2371014 */ GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2371123),
     /* 2371019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2371022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371030 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2371076), // Rule ID 56252 //
     /* 2371035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371038 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2371055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371075 */     // GIR_Coverage, 56252,
     /* 2371075 */     GIR_EraseRootFromParent_Done,
     /* 2371076 */   // Label 33748: @2371076
     /* 2371076 */   GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2371122), // Rule ID 56253 //
     /* 2371081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371084 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2371101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371121 */     // GIR_Coverage, 56253,
     /* 2371121 */     GIR_EraseRootFromParent_Done,
     /* 2371122 */   // Label 33749: @2371122
     /* 2371122 */   GIM_Reject,
     /* 2371123 */ // Label 33747: @2371123
     /* 2371123 */ GIM_Reject,
     /* 2371124 */ // Label 33692: @2371124
     /* 2371124 */ GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2371233),
     /* 2371129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2371132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371140 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2371186), // Rule ID 56332 //
     /* 2371145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371148 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2371165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371185 */     // GIR_Coverage, 56332,
     /* 2371185 */     GIR_EraseRootFromParent_Done,
     /* 2371186 */   // Label 33751: @2371186
     /* 2371186 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2371232), // Rule ID 56333 //
     /* 2371191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371194 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2371211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371231 */     // GIR_Coverage, 56333,
     /* 2371231 */     GIR_EraseRootFromParent_Done,
     /* 2371232 */   // Label 33752: @2371232
     /* 2371232 */   GIM_Reject,
     /* 2371233 */ // Label 33750: @2371233
     /* 2371233 */ GIM_Reject,
     /* 2371234 */ // Label 33693: @2371234
     /* 2371234 */ GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2371343),
     /* 2371239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2371242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371250 */   GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2371296), // Rule ID 56272 //
     /* 2371255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371258 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2371275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371295 */     // GIR_Coverage, 56272,
     /* 2371295 */     GIR_EraseRootFromParent_Done,
     /* 2371296 */   // Label 33754: @2371296
     /* 2371296 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2371342), // Rule ID 56273 //
     /* 2371301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371304 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2371321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2371328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371341 */     // GIR_Coverage, 56273,
     /* 2371341 */     GIR_EraseRootFromParent_Done,
     /* 2371342 */   // Label 33755: @2371342
     /* 2371342 */   GIM_Reject,
     /* 2371343 */ // Label 33753: @2371343
     /* 2371343 */ GIM_Reject,
     /* 2371344 */ // Label 33694: @2371344
     /* 2371344 */ GIM_Reject,
     /* 2371345 */ // Label 93: @2371345
     /* 2371345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33759*/ GIMT_Encode4(2371542),
     /* 2371356 */ /*GILLT_s16*//*Label 33756*/ GIMT_Encode4(2371368),
     /* 2371360 */ /*GILLT_s32*//*Label 33757*/ GIMT_Encode4(2371426),
     /* 2371364 */ /*GILLT_s64*//*Label 33758*/ GIMT_Encode4(2371484),
     /* 2371368 */ // Label 33756: @2371368
     /* 2371368 */ GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2371425),
     /* 2371373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371384 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2371404), // Rule ID 2318 //
     /* 2371389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371392 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2371392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371403 */     // GIR_Coverage, 2318,
     /* 2371403 */     GIR_EraseRootFromParent_Done,
     /* 2371404 */   // Label 33761: @2371404
     /* 2371404 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2371424), // Rule ID 2319 //
     /* 2371409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371412 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2371412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371423 */     // GIR_Coverage, 2319,
     /* 2371423 */     GIR_EraseRootFromParent_Done,
     /* 2371424 */   // Label 33762: @2371424
     /* 2371424 */   GIM_Reject,
     /* 2371425 */ // Label 33760: @2371425
     /* 2371425 */ GIM_Reject,
     /* 2371426 */ // Label 33757: @2371426
     /* 2371426 */ GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2371483),
     /* 2371431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371442 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2371462), // Rule ID 2236 //
     /* 2371447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371450 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2371450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371461 */     // GIR_Coverage, 2236,
     /* 2371461 */     GIR_EraseRootFromParent_Done,
     /* 2371462 */   // Label 33764: @2371462
     /* 2371462 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2371482), // Rule ID 2237 //
     /* 2371467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371470 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2371470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371481 */     // GIR_Coverage, 2237,
     /* 2371481 */     GIR_EraseRootFromParent_Done,
     /* 2371482 */   // Label 33765: @2371482
     /* 2371482 */   GIM_Reject,
     /* 2371483 */ // Label 33763: @2371483
     /* 2371483 */ GIM_Reject,
     /* 2371484 */ // Label 33758: @2371484
     /* 2371484 */ GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2371541),
     /* 2371489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371500 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2371520), // Rule ID 2276 //
     /* 2371505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371508 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2371508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371519 */     // GIR_Coverage, 2276,
     /* 2371519 */     GIR_EraseRootFromParent_Done,
     /* 2371520 */   // Label 33767: @2371520
     /* 2371520 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2371540), // Rule ID 2277 //
     /* 2371525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371528 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2371528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371539 */     // GIR_Coverage, 2277,
     /* 2371539 */     GIR_EraseRootFromParent_Done,
     /* 2371540 */   // Label 33768: @2371540
     /* 2371540 */   GIM_Reject,
     /* 2371541 */ // Label 33766: @2371541
     /* 2371541 */ GIM_Reject,
     /* 2371542 */ // Label 33759: @2371542
     /* 2371542 */ GIM_Reject,
     /* 2371543 */ // Label 94: @2371543
     /* 2371543 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33772*/ GIMT_Encode4(2371740),
     /* 2371554 */ /*GILLT_s16*//*Label 33769*/ GIMT_Encode4(2371566),
     /* 2371558 */ /*GILLT_s32*//*Label 33770*/ GIMT_Encode4(2371624),
     /* 2371562 */ /*GILLT_s64*//*Label 33771*/ GIMT_Encode4(2371682),
     /* 2371566 */ // Label 33769: @2371566
     /* 2371566 */ GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2371623),
     /* 2371571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371582 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2371602), // Rule ID 2302 //
     /* 2371587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371590 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371601 */     // GIR_Coverage, 2302,
     /* 2371601 */     GIR_EraseRootFromParent_Done,
     /* 2371602 */   // Label 33774: @2371602
     /* 2371602 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2371622), // Rule ID 2303 //
     /* 2371607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371610 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371621 */     // GIR_Coverage, 2303,
     /* 2371621 */     GIR_EraseRootFromParent_Done,
     /* 2371622 */   // Label 33775: @2371622
     /* 2371622 */   GIM_Reject,
     /* 2371623 */ // Label 33773: @2371623
     /* 2371623 */ GIM_Reject,
     /* 2371624 */ // Label 33770: @2371624
     /* 2371624 */ GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2371681),
     /* 2371629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371640 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2371660), // Rule ID 2220 //
     /* 2371645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371648 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371659 */     // GIR_Coverage, 2220,
     /* 2371659 */     GIR_EraseRootFromParent_Done,
     /* 2371660 */   // Label 33777: @2371660
     /* 2371660 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2371680), // Rule ID 2221 //
     /* 2371665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371668 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371679 */     // GIR_Coverage, 2221,
     /* 2371679 */     GIR_EraseRootFromParent_Done,
     /* 2371680 */   // Label 33778: @2371680
     /* 2371680 */   GIM_Reject,
     /* 2371681 */ // Label 33776: @2371681
     /* 2371681 */ GIM_Reject,
     /* 2371682 */ // Label 33771: @2371682
     /* 2371682 */ GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2371739),
     /* 2371687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371698 */   GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2371718), // Rule ID 2260 //
     /* 2371703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371706 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371717 */     // GIR_Coverage, 2260,
     /* 2371717 */     GIR_EraseRootFromParent_Done,
     /* 2371718 */   // Label 33780: @2371718
     /* 2371718 */   GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2371738), // Rule ID 2261 //
     /* 2371723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371726 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371737 */     // GIR_Coverage, 2261,
     /* 2371737 */     GIR_EraseRootFromParent_Done,
     /* 2371738 */   // Label 33781: @2371738
     /* 2371738 */   GIM_Reject,
     /* 2371739 */ // Label 33779: @2371739
     /* 2371739 */ GIM_Reject,
     /* 2371740 */ // Label 33772: @2371740
     /* 2371740 */ GIM_Reject,
     /* 2371741 */ // Label 95: @2371741
     /* 2371741 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33785*/ GIMT_Encode4(2371938),
     /* 2371752 */ /*GILLT_s16*//*Label 33782*/ GIMT_Encode4(2371764),
     /* 2371756 */ /*GILLT_s32*//*Label 33783*/ GIMT_Encode4(2371822),
     /* 2371760 */ /*GILLT_s64*//*Label 33784*/ GIMT_Encode4(2371880),
     /* 2371764 */ // Label 33782: @2371764
     /* 2371764 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2371821),
     /* 2371769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371780 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2371800), // Rule ID 2306 //
     /* 2371785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371788 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371799 */     // GIR_Coverage, 2306,
     /* 2371799 */     GIR_EraseRootFromParent_Done,
     /* 2371800 */   // Label 33787: @2371800
     /* 2371800 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2371820), // Rule ID 2307 //
     /* 2371805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371808 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371819 */     // GIR_Coverage, 2307,
     /* 2371819 */     GIR_EraseRootFromParent_Done,
     /* 2371820 */   // Label 33788: @2371820
     /* 2371820 */   GIM_Reject,
     /* 2371821 */ // Label 33786: @2371821
     /* 2371821 */ GIM_Reject,
     /* 2371822 */ // Label 33783: @2371822
     /* 2371822 */ GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2371879),
     /* 2371827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371838 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2371858), // Rule ID 2224 //
     /* 2371843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371846 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371857 */     // GIR_Coverage, 2224,
     /* 2371857 */     GIR_EraseRootFromParent_Done,
     /* 2371858 */   // Label 33790: @2371858
     /* 2371858 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2371878), // Rule ID 2225 //
     /* 2371863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371866 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371877 */     // GIR_Coverage, 2225,
     /* 2371877 */     GIR_EraseRootFromParent_Done,
     /* 2371878 */   // Label 33791: @2371878
     /* 2371878 */   GIM_Reject,
     /* 2371879 */ // Label 33789: @2371879
     /* 2371879 */ GIM_Reject,
     /* 2371880 */ // Label 33784: @2371880
     /* 2371880 */ GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2371937),
     /* 2371885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371896 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2371916), // Rule ID 2264 //
     /* 2371901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371904 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371915 */     // GIR_Coverage, 2264,
     /* 2371915 */     GIR_EraseRootFromParent_Done,
     /* 2371916 */   // Label 33793: @2371916
     /* 2371916 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2371936), // Rule ID 2265 //
     /* 2371921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371924 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371935 */     // GIR_Coverage, 2265,
     /* 2371935 */     GIR_EraseRootFromParent_Done,
     /* 2371936 */   // Label 33794: @2371936
     /* 2371936 */   GIM_Reject,
     /* 2371937 */ // Label 33792: @2371937
     /* 2371937 */ GIM_Reject,
     /* 2371938 */ // Label 33785: @2371938
     /* 2371938 */ GIM_Reject,
     /* 2371939 */ // Label 96: @2371939
     /* 2371939 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33813*/ GIMT_Encode4(2374366),
     /* 2371950 */ /*GILLT_s16*//*Label 33795*/ GIMT_Encode4(2372070),
     /* 2371954 */ /*GILLT_s32*//*Label 33796*/ GIMT_Encode4(2372219),
     /* 2371958 */ /*GILLT_s64*//*Label 33797*/ GIMT_Encode4(2372368), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371970 */ /*GILLT_nxv1s16*//*Label 33798*/ GIMT_Encode4(2372551),
     /* 2371974 */ /*GILLT_nxv1s32*//*Label 33799*/ GIMT_Encode4(2372672),
     /* 2371978 */ /*GILLT_nxv1s64*//*Label 33800*/ GIMT_Encode4(2372793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371990 */ /*GILLT_nxv2s16*//*Label 33801*/ GIMT_Encode4(2372914),
     /* 2371994 */ /*GILLT_nxv2s32*//*Label 33802*/ GIMT_Encode4(2373035),
     /* 2371998 */ /*GILLT_nxv2s64*//*Label 33803*/ GIMT_Encode4(2373156), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372010 */ /*GILLT_nxv4s16*//*Label 33804*/ GIMT_Encode4(2373277),
     /* 2372014 */ /*GILLT_nxv4s32*//*Label 33805*/ GIMT_Encode4(2373398),
     /* 2372018 */ /*GILLT_nxv4s64*//*Label 33806*/ GIMT_Encode4(2373519), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372030 */ /*GILLT_nxv8s16*//*Label 33807*/ GIMT_Encode4(2373640),
     /* 2372034 */ /*GILLT_nxv8s32*//*Label 33808*/ GIMT_Encode4(2373761),
     /* 2372038 */ /*GILLT_nxv8s64*//*Label 33809*/ GIMT_Encode4(2373882), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372050 */ /*GILLT_nxv16s16*//*Label 33810*/ GIMT_Encode4(2374003),
     /* 2372054 */ /*GILLT_nxv16s32*//*Label 33811*/ GIMT_Encode4(2374124), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372066 */ /*GILLT_nxv32s16*//*Label 33812*/ GIMT_Encode4(2374245),
     /* 2372070 */ // Label 33795: @2372070
     /* 2372070 */ GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2372218),
     /* 2372075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2372078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2372081 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2372115), // Rule ID 1846 //
     /* 2372086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2372089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372101 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2372104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372114 */     // GIR_Coverage, 1846,
     /* 2372114 */     GIR_EraseRootFromParent_Done,
     /* 2372115 */   // Label 33815: @2372115
     /* 2372115 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2372149), // Rule ID 1847 //
     /* 2372120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2372123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372135 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2372138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372148 */     // GIR_Coverage, 1847,
     /* 2372148 */     GIR_EraseRootFromParent_Done,
     /* 2372149 */   // Label 33816: @2372149
     /* 2372149 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2372183), // Rule ID 1850 //
     /* 2372154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2372157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372169 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2372172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372182 */     // GIR_Coverage, 1850,
     /* 2372182 */     GIR_EraseRootFromParent_Done,
     /* 2372183 */   // Label 33817: @2372183
     /* 2372183 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2372217), // Rule ID 1851 //
     /* 2372188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2372191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372203 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2372206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372216 */     // GIR_Coverage, 1851,
     /* 2372216 */     GIR_EraseRootFromParent_Done,
     /* 2372217 */   // Label 33818: @2372217
     /* 2372217 */   GIM_Reject,
     /* 2372218 */ // Label 33814: @2372218
     /* 2372218 */ GIM_Reject,
     /* 2372219 */ // Label 33796: @2372219
     /* 2372219 */ GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2372367),
     /* 2372224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372230 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2372264), // Rule ID 1137 //
     /* 2372235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2372238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372250 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2372253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372263 */     // GIR_Coverage, 1137,
     /* 2372263 */     GIR_EraseRootFromParent_Done,
     /* 2372264 */   // Label 33820: @2372264
     /* 2372264 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2372298), // Rule ID 1138 //
     /* 2372269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2372272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372284 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2372287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372297 */     // GIR_Coverage, 1138,
     /* 2372297 */     GIR_EraseRootFromParent_Done,
     /* 2372298 */   // Label 33821: @2372298
     /* 2372298 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2372332), // Rule ID 1141 //
     /* 2372303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2372306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372318 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2372321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372331 */     // GIR_Coverage, 1141,
     /* 2372331 */     GIR_EraseRootFromParent_Done,
     /* 2372332 */   // Label 33822: @2372332
     /* 2372332 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2372366), // Rule ID 1142 //
     /* 2372337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2372340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372352 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2372355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372365 */     // GIR_Coverage, 1142,
     /* 2372365 */     GIR_EraseRootFromParent_Done,
     /* 2372366 */   // Label 33823: @2372366
     /* 2372366 */   GIM_Reject,
     /* 2372367 */ // Label 33819: @2372367
     /* 2372367 */ GIM_Reject,
     /* 2372368 */ // Label 33797: @2372368
     /* 2372368 */ GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2372550),
     /* 2372373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372379 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2372413), // Rule ID 1472 //
     /* 2372384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2372387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372399 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372412 */     // GIR_Coverage, 1472,
     /* 2372412 */     GIR_EraseRootFromParent_Done,
     /* 2372413 */   // Label 33825: @2372413
     /* 2372413 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2372447), // Rule ID 1473 //
     /* 2372418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2372421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372433 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372446 */     // GIR_Coverage, 1473,
     /* 2372446 */     GIR_EraseRootFromParent_Done,
     /* 2372447 */   // Label 33826: @2372447
     /* 2372447 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2372481), // Rule ID 1476 //
     /* 2372452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2372455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372467 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372480 */     // GIR_Coverage, 1476,
     /* 2372480 */     GIR_EraseRootFromParent_Done,
     /* 2372481 */   // Label 33827: @2372481
     /* 2372481 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2372515), // Rule ID 1477 //
     /* 2372486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2372489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372501 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372514 */     // GIR_Coverage, 1477,
     /* 2372514 */     GIR_EraseRootFromParent_Done,
     /* 2372515 */   // Label 33828: @2372515
     /* 2372515 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2372549), // Rule ID 1480 //
     /* 2372520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2372523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372535 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2372538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372548 */     // GIR_Coverage, 1480,
     /* 2372548 */     GIR_EraseRootFromParent_Done,
     /* 2372549 */   // Label 33829: @2372549
     /* 2372549 */   GIM_Reject,
     /* 2372550 */ // Label 33824: @2372550
     /* 2372550 */ GIM_Reject,
     /* 2372551 */ // Label 33798: @2372551
     /* 2372551 */ GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2372671),
     /* 2372556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372574 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2372622), // Rule ID 45636 //
     /* 2372579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372582 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372621 */     // GIR_Coverage, 45636,
     /* 2372621 */     GIR_EraseRootFromParent_Done,
     /* 2372622 */   // Label 33831: @2372622
     /* 2372622 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2372670), // Rule ID 45637 //
     /* 2372627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372630 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372669 */     // GIR_Coverage, 45637,
     /* 2372669 */     GIR_EraseRootFromParent_Done,
     /* 2372670 */   // Label 33832: @2372670
     /* 2372670 */   GIM_Reject,
     /* 2372671 */ // Label 33830: @2372671
     /* 2372671 */ GIM_Reject,
     /* 2372672 */ // Label 33799: @2372672
     /* 2372672 */ GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2372792),
     /* 2372677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2372683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372695 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2372743), // Rule ID 53172 //
     /* 2372700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372703 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372742 */     // GIR_Coverage, 53172,
     /* 2372742 */     GIR_EraseRootFromParent_Done,
     /* 2372743 */   // Label 33834: @2372743
     /* 2372743 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2372791), // Rule ID 53173 //
     /* 2372748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372751 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372790 */     // GIR_Coverage, 53173,
     /* 2372790 */     GIR_EraseRootFromParent_Done,
     /* 2372791 */   // Label 33835: @2372791
     /* 2372791 */   GIM_Reject,
     /* 2372792 */ // Label 33833: @2372792
     /* 2372792 */ GIM_Reject,
     /* 2372793 */ // Label 33800: @2372793
     /* 2372793 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2372913),
     /* 2372798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2372804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372816 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2372864), // Rule ID 53208 //
     /* 2372821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372824 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372863 */     // GIR_Coverage, 53208,
     /* 2372863 */     GIR_EraseRootFromParent_Done,
     /* 2372864 */   // Label 33837: @2372864
     /* 2372864 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2372912), // Rule ID 53209 //
     /* 2372869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372872 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372911 */     // GIR_Coverage, 53209,
     /* 2372911 */     GIR_EraseRootFromParent_Done,
     /* 2372912 */   // Label 33838: @2372912
     /* 2372912 */   GIM_Reject,
     /* 2372913 */ // Label 33836: @2372913
     /* 2372913 */ GIM_Reject,
     /* 2372914 */ // Label 33801: @2372914
     /* 2372914 */ GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2373034),
     /* 2372919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2372925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372937 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2372985), // Rule ID 53160 //
     /* 2372942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372945 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372984 */     // GIR_Coverage, 53160,
     /* 2372984 */     GIR_EraseRootFromParent_Done,
     /* 2372985 */   // Label 33840: @2372985
     /* 2372985 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2373033), // Rule ID 53161 //
     /* 2372990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372993 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2373010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373032 */     // GIR_Coverage, 53161,
     /* 2373032 */     GIR_EraseRootFromParent_Done,
     /* 2373033 */   // Label 33841: @2373033
     /* 2373033 */   GIM_Reject,
     /* 2373034 */ // Label 33839: @2373034
     /* 2373034 */ GIM_Reject,
     /* 2373035 */ // Label 33802: @2373035
     /* 2373035 */ GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2373155),
     /* 2373040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2373046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373058 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2373106), // Rule ID 53196 //
     /* 2373063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373066 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2373083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373105 */     // GIR_Coverage, 53196,
     /* 2373105 */     GIR_EraseRootFromParent_Done,
     /* 2373106 */   // Label 33843: @2373106
     /* 2373106 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2373154), // Rule ID 53197 //
     /* 2373111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373114 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2373131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373153 */     // GIR_Coverage, 53197,
     /* 2373153 */     GIR_EraseRootFromParent_Done,
     /* 2373154 */   // Label 33844: @2373154
     /* 2373154 */   GIM_Reject,
     /* 2373155 */ // Label 33842: @2373155
     /* 2373155 */ GIM_Reject,
     /* 2373156 */ // Label 33803: @2373156
     /* 2373156 */ GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2373276),
     /* 2373161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2373167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373179 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2373227), // Rule ID 53292 //
     /* 2373184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373187 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2373204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373226 */     // GIR_Coverage, 53292,
     /* 2373226 */     GIR_EraseRootFromParent_Done,
     /* 2373227 */   // Label 33846: @2373227
     /* 2373227 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2373275), // Rule ID 53293 //
     /* 2373232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373235 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2373252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373274 */     // GIR_Coverage, 53293,
     /* 2373274 */     GIR_EraseRootFromParent_Done,
     /* 2373275 */   // Label 33847: @2373275
     /* 2373275 */   GIM_Reject,
     /* 2373276 */ // Label 33845: @2373276
     /* 2373276 */ GIM_Reject,
     /* 2373277 */ // Label 33804: @2373277
     /* 2373277 */ GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2373397),
     /* 2373282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2373288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373300 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2373348), // Rule ID 53184 //
     /* 2373305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373308 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2373325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373347 */     // GIR_Coverage, 53184,
     /* 2373347 */     GIR_EraseRootFromParent_Done,
     /* 2373348 */   // Label 33849: @2373348
     /* 2373348 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2373396), // Rule ID 53185 //
     /* 2373353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373356 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2373373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373395 */     // GIR_Coverage, 53185,
     /* 2373395 */     GIR_EraseRootFromParent_Done,
     /* 2373396 */   // Label 33850: @2373396
     /* 2373396 */   GIM_Reject,
     /* 2373397 */ // Label 33848: @2373397
     /* 2373397 */ GIM_Reject,
     /* 2373398 */ // Label 33805: @2373398
     /* 2373398 */ GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2373518),
     /* 2373403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373421 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2373469), // Rule ID 53256 //
     /* 2373426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373429 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373468 */     // GIR_Coverage, 53256,
     /* 2373468 */     GIR_EraseRootFromParent_Done,
     /* 2373469 */   // Label 33852: @2373469
     /* 2373469 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2373517), // Rule ID 53257 //
     /* 2373474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373477 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373516 */     // GIR_Coverage, 53257,
     /* 2373516 */     GIR_EraseRootFromParent_Done,
     /* 2373517 */   // Label 33853: @2373517
     /* 2373517 */   GIM_Reject,
     /* 2373518 */ // Label 33851: @2373518
     /* 2373518 */ GIM_Reject,
     /* 2373519 */ // Label 33806: @2373519
     /* 2373519 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2373639),
     /* 2373524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373542 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2373590), // Rule ID 53304 //
     /* 2373547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373550 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373589 */     // GIR_Coverage, 53304,
     /* 2373589 */     GIR_EraseRootFromParent_Done,
     /* 2373590 */   // Label 33855: @2373590
     /* 2373590 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2373638), // Rule ID 53305 //
     /* 2373595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373598 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373637 */     // GIR_Coverage, 53305,
     /* 2373637 */     GIR_EraseRootFromParent_Done,
     /* 2373638 */   // Label 33856: @2373638
     /* 2373638 */   GIM_Reject,
     /* 2373639 */ // Label 33854: @2373639
     /* 2373639 */ GIM_Reject,
     /* 2373640 */ // Label 33807: @2373640
     /* 2373640 */ GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2373760),
     /* 2373645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2373651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373663 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2373711), // Rule ID 53220 //
     /* 2373668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373671 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373710 */     // GIR_Coverage, 53220,
     /* 2373710 */     GIR_EraseRootFromParent_Done,
     /* 2373711 */   // Label 33858: @2373711
     /* 2373711 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2373759), // Rule ID 53221 //
     /* 2373716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373719 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373758 */     // GIR_Coverage, 53221,
     /* 2373758 */     GIR_EraseRootFromParent_Done,
     /* 2373759 */   // Label 33859: @2373759
     /* 2373759 */   GIM_Reject,
     /* 2373760 */ // Label 33857: @2373760
     /* 2373760 */ GIM_Reject,
     /* 2373761 */ // Label 33808: @2373761
     /* 2373761 */ GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2373881),
     /* 2373766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2373772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373784 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2373832), // Rule ID 53268 //
     /* 2373789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373792 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373831 */     // GIR_Coverage, 53268,
     /* 2373831 */     GIR_EraseRootFromParent_Done,
     /* 2373832 */   // Label 33861: @2373832
     /* 2373832 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2373880), // Rule ID 53269 //
     /* 2373837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373840 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373879 */     // GIR_Coverage, 53269,
     /* 2373879 */     GIR_EraseRootFromParent_Done,
     /* 2373880 */   // Label 33862: @2373880
     /* 2373880 */   GIM_Reject,
     /* 2373881 */ // Label 33860: @2373881
     /* 2373881 */ GIM_Reject,
     /* 2373882 */ // Label 33809: @2373882
     /* 2373882 */ GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2374002),
     /* 2373887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2373890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2373893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373905 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2373953), // Rule ID 53316 //
     /* 2373910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373913 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373952 */     // GIR_Coverage, 53316,
     /* 2373952 */     GIR_EraseRootFromParent_Done,
     /* 2373953 */   // Label 33864: @2373953
     /* 2373953 */   GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2374001), // Rule ID 53317 //
     /* 2373958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373961 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374000 */     // GIR_Coverage, 53317,
     /* 2374000 */     GIR_EraseRootFromParent_Done,
     /* 2374001 */   // Label 33865: @2374001
     /* 2374001 */   GIM_Reject,
     /* 2374002 */ // Label 33863: @2374002
     /* 2374002 */ GIM_Reject,
     /* 2374003 */ // Label 33810: @2374003
     /* 2374003 */ GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2374123),
     /* 2374008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2374014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374026 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2374074), // Rule ID 53232 //
     /* 2374031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374034 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2374051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374073 */     // GIR_Coverage, 53232,
     /* 2374073 */     GIR_EraseRootFromParent_Done,
     /* 2374074 */   // Label 33867: @2374074
     /* 2374074 */   GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2374122), // Rule ID 53233 //
     /* 2374079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374082 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2374099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374121 */     // GIR_Coverage, 53233,
     /* 2374121 */     GIR_EraseRootFromParent_Done,
     /* 2374122 */   // Label 33868: @2374122
     /* 2374122 */   GIM_Reject,
     /* 2374123 */ // Label 33866: @2374123
     /* 2374123 */ GIM_Reject,
     /* 2374124 */ // Label 33811: @2374124
     /* 2374124 */ GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2374244),
     /* 2374129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2374135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374147 */   GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2374195), // Rule ID 53280 //
     /* 2374152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374155 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2374172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374194 */     // GIR_Coverage, 53280,
     /* 2374194 */     GIR_EraseRootFromParent_Done,
     /* 2374195 */   // Label 33870: @2374195
     /* 2374195 */   GIM_Try, /*On fail goto*//*Label 33871*/ GIMT_Encode4(2374243), // Rule ID 53281 //
     /* 2374200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374203 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2374220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374242 */     // GIR_Coverage, 53281,
     /* 2374242 */     GIR_EraseRootFromParent_Done,
     /* 2374243 */   // Label 33871: @2374243
     /* 2374243 */   GIM_Reject,
     /* 2374244 */ // Label 33869: @2374244
     /* 2374244 */ GIM_Reject,
     /* 2374245 */ // Label 33812: @2374245
     /* 2374245 */ GIM_Try, /*On fail goto*//*Label 33872*/ GIMT_Encode4(2374365),
     /* 2374250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2374256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374268 */   GIM_Try, /*On fail goto*//*Label 33873*/ GIMT_Encode4(2374316), // Rule ID 53244 //
     /* 2374273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374276 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2374293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374315 */     // GIR_Coverage, 53244,
     /* 2374315 */     GIR_EraseRootFromParent_Done,
     /* 2374316 */   // Label 33873: @2374316
     /* 2374316 */   GIM_Try, /*On fail goto*//*Label 33874*/ GIMT_Encode4(2374364), // Rule ID 53245 //
     /* 2374321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374324 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2374341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374363 */     // GIR_Coverage, 53245,
     /* 2374363 */     GIR_EraseRootFromParent_Done,
     /* 2374364 */   // Label 33874: @2374364
     /* 2374364 */   GIM_Reject,
     /* 2374365 */ // Label 33872: @2374365
     /* 2374365 */ GIM_Reject,
     /* 2374366 */ // Label 33813: @2374366
     /* 2374366 */ GIM_Reject,
     /* 2374367 */ // Label 97: @2374367
     /* 2374367 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33893*/ GIMT_Encode4(2376794),
     /* 2374378 */ /*GILLT_s16*//*Label 33875*/ GIMT_Encode4(2374498),
     /* 2374382 */ /*GILLT_s32*//*Label 33876*/ GIMT_Encode4(2374647),
     /* 2374386 */ /*GILLT_s64*//*Label 33877*/ GIMT_Encode4(2374796), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374398 */ /*GILLT_nxv1s16*//*Label 33878*/ GIMT_Encode4(2374979),
     /* 2374402 */ /*GILLT_nxv1s32*//*Label 33879*/ GIMT_Encode4(2375100),
     /* 2374406 */ /*GILLT_nxv1s64*//*Label 33880*/ GIMT_Encode4(2375221), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374418 */ /*GILLT_nxv2s16*//*Label 33881*/ GIMT_Encode4(2375342),
     /* 2374422 */ /*GILLT_nxv2s32*//*Label 33882*/ GIMT_Encode4(2375463),
     /* 2374426 */ /*GILLT_nxv2s64*//*Label 33883*/ GIMT_Encode4(2375584), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374438 */ /*GILLT_nxv4s16*//*Label 33884*/ GIMT_Encode4(2375705),
     /* 2374442 */ /*GILLT_nxv4s32*//*Label 33885*/ GIMT_Encode4(2375826),
     /* 2374446 */ /*GILLT_nxv4s64*//*Label 33886*/ GIMT_Encode4(2375947), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374458 */ /*GILLT_nxv8s16*//*Label 33887*/ GIMT_Encode4(2376068),
     /* 2374462 */ /*GILLT_nxv8s32*//*Label 33888*/ GIMT_Encode4(2376189),
     /* 2374466 */ /*GILLT_nxv8s64*//*Label 33889*/ GIMT_Encode4(2376310), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374478 */ /*GILLT_nxv16s16*//*Label 33890*/ GIMT_Encode4(2376431),
     /* 2374482 */ /*GILLT_nxv16s32*//*Label 33891*/ GIMT_Encode4(2376552), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374494 */ /*GILLT_nxv32s16*//*Label 33892*/ GIMT_Encode4(2376673),
     /* 2374498 */ // Label 33875: @2374498
     /* 2374498 */ GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2374646),
     /* 2374503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2374506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2374509 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2374543), // Rule ID 1854 //
     /* 2374514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2374517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374529 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374542 */     // GIR_Coverage, 1854,
     /* 2374542 */     GIR_EraseRootFromParent_Done,
     /* 2374543 */   // Label 33895: @2374543
     /* 2374543 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2374577), // Rule ID 1855 //
     /* 2374548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2374551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374563 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374576 */     // GIR_Coverage, 1855,
     /* 2374576 */     GIR_EraseRootFromParent_Done,
     /* 2374577 */   // Label 33896: @2374577
     /* 2374577 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2374611), // Rule ID 1858 //
     /* 2374582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2374585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374597 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374610 */     // GIR_Coverage, 1858,
     /* 2374610 */     GIR_EraseRootFromParent_Done,
     /* 2374611 */   // Label 33897: @2374611
     /* 2374611 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2374645), // Rule ID 1859 //
     /* 2374616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2374619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374631 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374644 */     // GIR_Coverage, 1859,
     /* 2374644 */     GIR_EraseRootFromParent_Done,
     /* 2374645 */   // Label 33898: @2374645
     /* 2374645 */   GIM_Reject,
     /* 2374646 */ // Label 33894: @2374646
     /* 2374646 */ GIM_Reject,
     /* 2374647 */ // Label 33876: @2374647
     /* 2374647 */ GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2374795),
     /* 2374652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2374658 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2374692), // Rule ID 1145 //
     /* 2374663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2374666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374678 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374691 */     // GIR_Coverage, 1145,
     /* 2374691 */     GIR_EraseRootFromParent_Done,
     /* 2374692 */   // Label 33900: @2374692
     /* 2374692 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2374726), // Rule ID 1146 //
     /* 2374697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2374700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374712 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374725 */     // GIR_Coverage, 1146,
     /* 2374725 */     GIR_EraseRootFromParent_Done,
     /* 2374726 */   // Label 33901: @2374726
     /* 2374726 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2374760), // Rule ID 1149 //
     /* 2374731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2374734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374746 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374759 */     // GIR_Coverage, 1149,
     /* 2374759 */     GIR_EraseRootFromParent_Done,
     /* 2374760 */   // Label 33902: @2374760
     /* 2374760 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2374794), // Rule ID 1150 //
     /* 2374765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2374768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374780 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374793 */     // GIR_Coverage, 1150,
     /* 2374793 */     GIR_EraseRootFromParent_Done,
     /* 2374794 */   // Label 33903: @2374794
     /* 2374794 */   GIM_Reject,
     /* 2374795 */ // Label 33899: @2374795
     /* 2374795 */ GIM_Reject,
     /* 2374796 */ // Label 33877: @2374796
     /* 2374796 */ GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2374978),
     /* 2374801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2374807 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2374841), // Rule ID 1482 //
     /* 2374812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2374815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374827 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374840 */     // GIR_Coverage, 1482,
     /* 2374840 */     GIR_EraseRootFromParent_Done,
     /* 2374841 */   // Label 33905: @2374841
     /* 2374841 */   GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2374875), // Rule ID 1483 //
     /* 2374846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2374849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374861 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374874 */     // GIR_Coverage, 1483,
     /* 2374874 */     GIR_EraseRootFromParent_Done,
     /* 2374875 */   // Label 33906: @2374875
     /* 2374875 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2374909), // Rule ID 1486 //
     /* 2374880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2374883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374895 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374908 */     // GIR_Coverage, 1486,
     /* 2374908 */     GIR_EraseRootFromParent_Done,
     /* 2374909 */   // Label 33907: @2374909
     /* 2374909 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2374943), // Rule ID 1487 //
     /* 2374914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2374917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374929 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374942 */     // GIR_Coverage, 1487,
     /* 2374942 */     GIR_EraseRootFromParent_Done,
     /* 2374943 */   // Label 33908: @2374943
     /* 2374943 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2374977), // Rule ID 1490 //
     /* 2374948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2374951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374963 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2374966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374976 */     // GIR_Coverage, 1490,
     /* 2374976 */     GIR_EraseRootFromParent_Done,
     /* 2374977 */   // Label 33909: @2374977
     /* 2374977 */   GIM_Reject,
     /* 2374978 */ // Label 33904: @2374978
     /* 2374978 */ GIM_Reject,
     /* 2374979 */ // Label 33878: @2374979
     /* 2374979 */ GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2375099),
     /* 2374984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2374990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375002 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2375050), // Rule ID 53328 //
     /* 2375007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375010 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2375027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375049 */     // GIR_Coverage, 53328,
     /* 2375049 */     GIR_EraseRootFromParent_Done,
     /* 2375050 */   // Label 33911: @2375050
     /* 2375050 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2375098), // Rule ID 53329 //
     /* 2375055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375058 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2375075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375097 */     // GIR_Coverage, 53329,
     /* 2375097 */     GIR_EraseRootFromParent_Done,
     /* 2375098 */   // Label 33912: @2375098
     /* 2375098 */   GIM_Reject,
     /* 2375099 */ // Label 33910: @2375099
     /* 2375099 */ GIM_Reject,
     /* 2375100 */ // Label 33879: @2375100
     /* 2375100 */ GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2375220),
     /* 2375105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2375111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375123 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2375171), // Rule ID 53352 //
     /* 2375128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375131 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2375148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375170 */     // GIR_Coverage, 53352,
     /* 2375170 */     GIR_EraseRootFromParent_Done,
     /* 2375171 */   // Label 33914: @2375171
     /* 2375171 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2375219), // Rule ID 53353 //
     /* 2375176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375179 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2375196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375218 */     // GIR_Coverage, 53353,
     /* 2375218 */     GIR_EraseRootFromParent_Done,
     /* 2375219 */   // Label 33915: @2375219
     /* 2375219 */   GIM_Reject,
     /* 2375220 */ // Label 33913: @2375220
     /* 2375220 */ GIM_Reject,
     /* 2375221 */ // Label 33880: @2375221
     /* 2375221 */ GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2375341),
     /* 2375226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2375232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375244 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2375292), // Rule ID 53388 //
     /* 2375249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375252 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2375269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375291 */     // GIR_Coverage, 53388,
     /* 2375291 */     GIR_EraseRootFromParent_Done,
     /* 2375292 */   // Label 33917: @2375292
     /* 2375292 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2375340), // Rule ID 53389 //
     /* 2375297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375300 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2375317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375339 */     // GIR_Coverage, 53389,
     /* 2375339 */     GIR_EraseRootFromParent_Done,
     /* 2375340 */   // Label 33918: @2375340
     /* 2375340 */   GIM_Reject,
     /* 2375341 */ // Label 33916: @2375341
     /* 2375341 */ GIM_Reject,
     /* 2375342 */ // Label 33881: @2375342
     /* 2375342 */ GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2375462),
     /* 2375347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2375353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375365 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2375413), // Rule ID 53340 //
     /* 2375370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375373 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375412 */     // GIR_Coverage, 53340,
     /* 2375412 */     GIR_EraseRootFromParent_Done,
     /* 2375413 */   // Label 33920: @2375413
     /* 2375413 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2375461), // Rule ID 53341 //
     /* 2375418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375421 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375460 */     // GIR_Coverage, 53341,
     /* 2375460 */     GIR_EraseRootFromParent_Done,
     /* 2375461 */   // Label 33921: @2375461
     /* 2375461 */   GIM_Reject,
     /* 2375462 */ // Label 33919: @2375462
     /* 2375462 */ GIM_Reject,
     /* 2375463 */ // Label 33882: @2375463
     /* 2375463 */ GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2375583),
     /* 2375468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375486 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2375534), // Rule ID 53376 //
     /* 2375491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375494 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375533 */     // GIR_Coverage, 53376,
     /* 2375533 */     GIR_EraseRootFromParent_Done,
     /* 2375534 */   // Label 33923: @2375534
     /* 2375534 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2375582), // Rule ID 53377 //
     /* 2375539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375542 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375581 */     // GIR_Coverage, 53377,
     /* 2375581 */     GIR_EraseRootFromParent_Done,
     /* 2375582 */   // Label 33924: @2375582
     /* 2375582 */   GIM_Reject,
     /* 2375583 */ // Label 33922: @2375583
     /* 2375583 */ GIM_Reject,
     /* 2375584 */ // Label 33883: @2375584
     /* 2375584 */ GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2375704),
     /* 2375589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2375595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375607 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2375655), // Rule ID 53472 //
     /* 2375612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375615 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375654 */     // GIR_Coverage, 53472,
     /* 2375654 */     GIR_EraseRootFromParent_Done,
     /* 2375655 */   // Label 33926: @2375655
     /* 2375655 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2375703), // Rule ID 53473 //
     /* 2375660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375663 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375702 */     // GIR_Coverage, 53473,
     /* 2375702 */     GIR_EraseRootFromParent_Done,
     /* 2375703 */   // Label 33927: @2375703
     /* 2375703 */   GIM_Reject,
     /* 2375704 */ // Label 33925: @2375704
     /* 2375704 */ GIM_Reject,
     /* 2375705 */ // Label 33884: @2375705
     /* 2375705 */ GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2375825),
     /* 2375710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2375716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375728 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2375776), // Rule ID 53364 //
     /* 2375733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375736 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375775 */     // GIR_Coverage, 53364,
     /* 2375775 */     GIR_EraseRootFromParent_Done,
     /* 2375776 */   // Label 33929: @2375776
     /* 2375776 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2375824), // Rule ID 53365 //
     /* 2375781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375784 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375823 */     // GIR_Coverage, 53365,
     /* 2375823 */     GIR_EraseRootFromParent_Done,
     /* 2375824 */   // Label 33930: @2375824
     /* 2375824 */   GIM_Reject,
     /* 2375825 */ // Label 33928: @2375825
     /* 2375825 */ GIM_Reject,
     /* 2375826 */ // Label 33885: @2375826
     /* 2375826 */ GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2375946),
     /* 2375831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2375837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375849 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2375897), // Rule ID 53436 //
     /* 2375854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375857 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375896 */     // GIR_Coverage, 53436,
     /* 2375896 */     GIR_EraseRootFromParent_Done,
     /* 2375897 */   // Label 33932: @2375897
     /* 2375897 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2375945), // Rule ID 53437 //
     /* 2375902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375905 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375944 */     // GIR_Coverage, 53437,
     /* 2375944 */     GIR_EraseRootFromParent_Done,
     /* 2375945 */   // Label 33933: @2375945
     /* 2375945 */   GIM_Reject,
     /* 2375946 */ // Label 33931: @2375946
     /* 2375946 */ GIM_Reject,
     /* 2375947 */ // Label 33886: @2375947
     /* 2375947 */ GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2376067),
     /* 2375952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375970 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2376018), // Rule ID 53484 //
     /* 2375975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375978 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2375995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376017 */     // GIR_Coverage, 53484,
     /* 2376017 */     GIR_EraseRootFromParent_Done,
     /* 2376018 */   // Label 33935: @2376018
     /* 2376018 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2376066), // Rule ID 53485 //
     /* 2376023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376026 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2376043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376065 */     // GIR_Coverage, 53485,
     /* 2376065 */     GIR_EraseRootFromParent_Done,
     /* 2376066 */   // Label 33936: @2376066
     /* 2376066 */   GIM_Reject,
     /* 2376067 */ // Label 33934: @2376067
     /* 2376067 */ GIM_Reject,
     /* 2376068 */ // Label 33887: @2376068
     /* 2376068 */ GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2376188),
     /* 2376073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2376079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376091 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2376139), // Rule ID 53400 //
     /* 2376096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376099 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2376116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376138 */     // GIR_Coverage, 53400,
     /* 2376138 */     GIR_EraseRootFromParent_Done,
     /* 2376139 */   // Label 33938: @2376139
     /* 2376139 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2376187), // Rule ID 53401 //
     /* 2376144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376147 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2376164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376186 */     // GIR_Coverage, 53401,
     /* 2376186 */     GIR_EraseRootFromParent_Done,
     /* 2376187 */   // Label 33939: @2376187
     /* 2376187 */   GIM_Reject,
     /* 2376188 */ // Label 33937: @2376188
     /* 2376188 */ GIM_Reject,
     /* 2376189 */ // Label 33888: @2376189
     /* 2376189 */ GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2376309),
     /* 2376194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2376200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376212 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2376260), // Rule ID 53448 //
     /* 2376217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376220 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2376237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376259 */     // GIR_Coverage, 53448,
     /* 2376259 */     GIR_EraseRootFromParent_Done,
     /* 2376260 */   // Label 33941: @2376260
     /* 2376260 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2376308), // Rule ID 53449 //
     /* 2376265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376268 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2376285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376307 */     // GIR_Coverage, 53449,
     /* 2376307 */     GIR_EraseRootFromParent_Done,
     /* 2376308 */   // Label 33942: @2376308
     /* 2376308 */   GIM_Reject,
     /* 2376309 */ // Label 33940: @2376309
     /* 2376309 */ GIM_Reject,
     /* 2376310 */ // Label 33889: @2376310
     /* 2376310 */ GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2376430),
     /* 2376315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2376321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376333 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2376381), // Rule ID 53496 //
     /* 2376338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2376341 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2376358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376380 */     // GIR_Coverage, 53496,
     /* 2376380 */     GIR_EraseRootFromParent_Done,
     /* 2376381 */   // Label 33944: @2376381
     /* 2376381 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2376429), // Rule ID 53497 //
     /* 2376386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376389 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2376406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376428 */     // GIR_Coverage, 53497,
     /* 2376428 */     GIR_EraseRootFromParent_Done,
     /* 2376429 */   // Label 33945: @2376429
     /* 2376429 */   GIM_Reject,
     /* 2376430 */ // Label 33943: @2376430
     /* 2376430 */ GIM_Reject,
     /* 2376431 */ // Label 33890: @2376431
     /* 2376431 */ GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2376551),
     /* 2376436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376454 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2376502), // Rule ID 53412 //
     /* 2376459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376462 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376501 */     // GIR_Coverage, 53412,
     /* 2376501 */     GIR_EraseRootFromParent_Done,
     /* 2376502 */   // Label 33947: @2376502
     /* 2376502 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2376550), // Rule ID 53413 //
     /* 2376507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376510 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376549 */     // GIR_Coverage, 53413,
     /* 2376549 */     GIR_EraseRootFromParent_Done,
     /* 2376550 */   // Label 33948: @2376550
     /* 2376550 */   GIM_Reject,
     /* 2376551 */ // Label 33946: @2376551
     /* 2376551 */ GIM_Reject,
     /* 2376552 */ // Label 33891: @2376552
     /* 2376552 */ GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2376672),
     /* 2376557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376575 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2376623), // Rule ID 53460 //
     /* 2376580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376583 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376622 */     // GIR_Coverage, 53460,
     /* 2376622 */     GIR_EraseRootFromParent_Done,
     /* 2376623 */   // Label 33950: @2376623
     /* 2376623 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2376671), // Rule ID 53461 //
     /* 2376628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376631 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376670 */     // GIR_Coverage, 53461,
     /* 2376670 */     GIR_EraseRootFromParent_Done,
     /* 2376671 */   // Label 33951: @2376671
     /* 2376671 */   GIM_Reject,
     /* 2376672 */ // Label 33949: @2376672
     /* 2376672 */ GIM_Reject,
     /* 2376673 */ // Label 33892: @2376673
     /* 2376673 */ GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2376793),
     /* 2376678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376696 */   GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2376744), // Rule ID 53424 //
     /* 2376701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376704 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376743 */     // GIR_Coverage, 53424,
     /* 2376743 */     GIR_EraseRootFromParent_Done,
     /* 2376744 */   // Label 33953: @2376744
     /* 2376744 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2376792), // Rule ID 53425 //
     /* 2376749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376752 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376791 */     // GIR_Coverage, 53425,
     /* 2376791 */     GIR_EraseRootFromParent_Done,
     /* 2376792 */   // Label 33954: @2376792
     /* 2376792 */   GIM_Reject,
     /* 2376793 */ // Label 33952: @2376793
     /* 2376793 */ GIM_Reject,
     /* 2376794 */ // Label 33893: @2376794
     /* 2376794 */ GIM_Reject,
     /* 2376795 */ // Label 98: @2376795
     /* 2376795 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33973*/ GIMT_Encode4(2379222),
     /* 2376806 */ /*GILLT_s16*//*Label 33955*/ GIMT_Encode4(2376926),
     /* 2376810 */ /*GILLT_s32*//*Label 33956*/ GIMT_Encode4(2377075),
     /* 2376814 */ /*GILLT_s64*//*Label 33957*/ GIMT_Encode4(2377224), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376826 */ /*GILLT_nxv1s16*//*Label 33958*/ GIMT_Encode4(2377407),
     /* 2376830 */ /*GILLT_nxv1s32*//*Label 33959*/ GIMT_Encode4(2377528),
     /* 2376834 */ /*GILLT_nxv1s64*//*Label 33960*/ GIMT_Encode4(2377649), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376846 */ /*GILLT_nxv2s16*//*Label 33961*/ GIMT_Encode4(2377770),
     /* 2376850 */ /*GILLT_nxv2s32*//*Label 33962*/ GIMT_Encode4(2377891),
     /* 2376854 */ /*GILLT_nxv2s64*//*Label 33963*/ GIMT_Encode4(2378012), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376866 */ /*GILLT_nxv4s16*//*Label 33964*/ GIMT_Encode4(2378133),
     /* 2376870 */ /*GILLT_nxv4s32*//*Label 33965*/ GIMT_Encode4(2378254),
     /* 2376874 */ /*GILLT_nxv4s64*//*Label 33966*/ GIMT_Encode4(2378375), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376886 */ /*GILLT_nxv8s16*//*Label 33967*/ GIMT_Encode4(2378496),
     /* 2376890 */ /*GILLT_nxv8s32*//*Label 33968*/ GIMT_Encode4(2378617),
     /* 2376894 */ /*GILLT_nxv8s64*//*Label 33969*/ GIMT_Encode4(2378738), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376906 */ /*GILLT_nxv16s16*//*Label 33970*/ GIMT_Encode4(2378859),
     /* 2376910 */ /*GILLT_nxv16s32*//*Label 33971*/ GIMT_Encode4(2378980), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376922 */ /*GILLT_nxv32s16*//*Label 33972*/ GIMT_Encode4(2379101),
     /* 2376926 */ // Label 33955: @2376926
     /* 2376926 */ GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2377074),
     /* 2376931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2376937 */   GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2376971), // Rule ID 1862 //
     /* 2376942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376957 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376970 */     // GIR_Coverage, 1862,
     /* 2376970 */     GIR_EraseRootFromParent_Done,
     /* 2376971 */   // Label 33975: @2376971
     /* 2376971 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2377005), // Rule ID 1863 //
     /* 2376976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376991 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377004 */     // GIR_Coverage, 1863,
     /* 2377004 */     GIR_EraseRootFromParent_Done,
     /* 2377005 */   // Label 33976: @2377005
     /* 2377005 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2377039), // Rule ID 1866 //
     /* 2377010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2377013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377025 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2377025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2377028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377038 */     // GIR_Coverage, 1866,
     /* 2377038 */     GIR_EraseRootFromParent_Done,
     /* 2377039 */   // Label 33977: @2377039
     /* 2377039 */   GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2377073), // Rule ID 1867 //
     /* 2377044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2377047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377059 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2377059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2377062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377072 */     // GIR_Coverage, 1867,
     /* 2377072 */     GIR_EraseRootFromParent_Done,
     /* 2377073 */   // Label 33978: @2377073
     /* 2377073 */   GIM_Reject,
     /* 2377074 */ // Label 33974: @2377074
     /* 2377074 */ GIM_Reject,
     /* 2377075 */ // Label 33956: @2377075
     /* 2377075 */ GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2377223),
     /* 2377080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2377086 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2377120), // Rule ID 1153 //
     /* 2377091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377106 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2377109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377119 */     // GIR_Coverage, 1153,
     /* 2377119 */     GIR_EraseRootFromParent_Done,
     /* 2377120 */   // Label 33980: @2377120
     /* 2377120 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2377154), // Rule ID 1154 //
     /* 2377125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377140 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2377143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377153 */     // GIR_Coverage, 1154,
     /* 2377153 */     GIR_EraseRootFromParent_Done,
     /* 2377154 */   // Label 33981: @2377154
     /* 2377154 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2377188), // Rule ID 1157 //
     /* 2377159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377174 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2377177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377187 */     // GIR_Coverage, 1157,
     /* 2377187 */     GIR_EraseRootFromParent_Done,
     /* 2377188 */   // Label 33982: @2377188
     /* 2377188 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2377222), // Rule ID 1158 //
     /* 2377193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377208 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2377211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377221 */     // GIR_Coverage, 1158,
     /* 2377221 */     GIR_EraseRootFromParent_Done,
     /* 2377222 */   // Label 33983: @2377222
     /* 2377222 */   GIM_Reject,
     /* 2377223 */ // Label 33979: @2377223
     /* 2377223 */ GIM_Reject,
     /* 2377224 */ // Label 33957: @2377224
     /* 2377224 */ GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2377406),
     /* 2377229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2377235 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2377269), // Rule ID 1492 //
     /* 2377240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2377243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377255 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2377258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377268 */     // GIR_Coverage, 1492,
     /* 2377268 */     GIR_EraseRootFromParent_Done,
     /* 2377269 */   // Label 33985: @2377269
     /* 2377269 */   GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2377303), // Rule ID 1493 //
     /* 2377274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2377277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377289 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2377292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377302 */     // GIR_Coverage, 1493,
     /* 2377302 */     GIR_EraseRootFromParent_Done,
     /* 2377303 */   // Label 33986: @2377303
     /* 2377303 */   GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2377337), // Rule ID 1496 //
     /* 2377308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2377311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377323 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2377326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377336 */     // GIR_Coverage, 1496,
     /* 2377336 */     GIR_EraseRootFromParent_Done,
     /* 2377337 */   // Label 33987: @2377337
     /* 2377337 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2377371), // Rule ID 1497 //
     /* 2377342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2377345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377357 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2377360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377370 */     // GIR_Coverage, 1497,
     /* 2377370 */     GIR_EraseRootFromParent_Done,
     /* 2377371 */   // Label 33988: @2377371
     /* 2377371 */   GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2377405), // Rule ID 1500 //
     /* 2377376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377391 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2377394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377404 */     // GIR_Coverage, 1500,
     /* 2377404 */     GIR_EraseRootFromParent_Done,
     /* 2377405 */   // Label 33989: @2377405
     /* 2377405 */   GIM_Reject,
     /* 2377406 */ // Label 33984: @2377406
     /* 2377406 */ GIM_Reject,
     /* 2377407 */ // Label 33958: @2377407
     /* 2377407 */ GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2377527),
     /* 2377412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2377418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377430 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2377478), // Rule ID 54096 //
     /* 2377435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377438 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377477 */     // GIR_Coverage, 54096,
     /* 2377477 */     GIR_EraseRootFromParent_Done,
     /* 2377478 */   // Label 33991: @2377478
     /* 2377478 */   GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2377526), // Rule ID 54097 //
     /* 2377483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377486 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377525 */     // GIR_Coverage, 54097,
     /* 2377525 */     GIR_EraseRootFromParent_Done,
     /* 2377526 */   // Label 33992: @2377526
     /* 2377526 */   GIM_Reject,
     /* 2377527 */ // Label 33990: @2377527
     /* 2377527 */ GIM_Reject,
     /* 2377528 */ // Label 33959: @2377528
     /* 2377528 */ GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2377648),
     /* 2377533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377551 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2377599), // Rule ID 54120 //
     /* 2377556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377559 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377598 */     // GIR_Coverage, 54120,
     /* 2377598 */     GIR_EraseRootFromParent_Done,
     /* 2377599 */   // Label 33994: @2377599
     /* 2377599 */   GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2377647), // Rule ID 54121 //
     /* 2377604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377607 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377646 */     // GIR_Coverage, 54121,
     /* 2377646 */     GIR_EraseRootFromParent_Done,
     /* 2377647 */   // Label 33995: @2377647
     /* 2377647 */   GIM_Reject,
     /* 2377648 */ // Label 33993: @2377648
     /* 2377648 */ GIM_Reject,
     /* 2377649 */ // Label 33960: @2377649
     /* 2377649 */ GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2377769),
     /* 2377654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2377660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377672 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2377720), // Rule ID 54156 //
     /* 2377677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377680 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377719 */     // GIR_Coverage, 54156,
     /* 2377719 */     GIR_EraseRootFromParent_Done,
     /* 2377720 */   // Label 33997: @2377720
     /* 2377720 */   GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2377768), // Rule ID 54157 //
     /* 2377725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377728 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377767 */     // GIR_Coverage, 54157,
     /* 2377767 */     GIR_EraseRootFromParent_Done,
     /* 2377768 */   // Label 33998: @2377768
     /* 2377768 */   GIM_Reject,
     /* 2377769 */ // Label 33996: @2377769
     /* 2377769 */ GIM_Reject,
     /* 2377770 */ // Label 33961: @2377770
     /* 2377770 */ GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2377890),
     /* 2377775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2377781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377793 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2377841), // Rule ID 54108 //
     /* 2377798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377801 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377840 */     // GIR_Coverage, 54108,
     /* 2377840 */     GIR_EraseRootFromParent_Done,
     /* 2377841 */   // Label 34000: @2377841
     /* 2377841 */   GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2377889), // Rule ID 54109 //
     /* 2377846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377849 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377888 */     // GIR_Coverage, 54109,
     /* 2377888 */     GIR_EraseRootFromParent_Done,
     /* 2377889 */   // Label 34001: @2377889
     /* 2377889 */   GIM_Reject,
     /* 2377890 */ // Label 33999: @2377890
     /* 2377890 */ GIM_Reject,
     /* 2377891 */ // Label 33962: @2377891
     /* 2377891 */ GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2378011),
     /* 2377896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2377899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2377902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377914 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2377962), // Rule ID 54144 //
     /* 2377919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377922 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377961 */     // GIR_Coverage, 54144,
     /* 2377961 */     GIR_EraseRootFromParent_Done,
     /* 2377962 */   // Label 34003: @2377962
     /* 2377962 */   GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2378010), // Rule ID 54145 //
     /* 2377967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377970 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378009 */     // GIR_Coverage, 54145,
     /* 2378009 */     GIR_EraseRootFromParent_Done,
     /* 2378010 */   // Label 34004: @2378010
     /* 2378010 */   GIM_Reject,
     /* 2378011 */ // Label 34002: @2378011
     /* 2378011 */ GIM_Reject,
     /* 2378012 */ // Label 33963: @2378012
     /* 2378012 */ GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2378132),
     /* 2378017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2378023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378035 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2378083), // Rule ID 54240 //
     /* 2378040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378043 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2378060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378082 */     // GIR_Coverage, 54240,
     /* 2378082 */     GIR_EraseRootFromParent_Done,
     /* 2378083 */   // Label 34006: @2378083
     /* 2378083 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2378131), // Rule ID 54241 //
     /* 2378088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378091 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2378108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378130 */     // GIR_Coverage, 54241,
     /* 2378130 */     GIR_EraseRootFromParent_Done,
     /* 2378131 */   // Label 34007: @2378131
     /* 2378131 */   GIM_Reject,
     /* 2378132 */ // Label 34005: @2378132
     /* 2378132 */ GIM_Reject,
     /* 2378133 */ // Label 33964: @2378133
     /* 2378133 */ GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2378253),
     /* 2378138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2378144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378156 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2378204), // Rule ID 54132 //
     /* 2378161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378164 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2378181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378203 */     // GIR_Coverage, 54132,
     /* 2378203 */     GIR_EraseRootFromParent_Done,
     /* 2378204 */   // Label 34009: @2378204
     /* 2378204 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2378252), // Rule ID 54133 //
     /* 2378209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378212 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2378229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378251 */     // GIR_Coverage, 54133,
     /* 2378251 */     GIR_EraseRootFromParent_Done,
     /* 2378252 */   // Label 34010: @2378252
     /* 2378252 */   GIM_Reject,
     /* 2378253 */ // Label 34008: @2378253
     /* 2378253 */ GIM_Reject,
     /* 2378254 */ // Label 33965: @2378254
     /* 2378254 */ GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2378374),
     /* 2378259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2378265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378277 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2378325), // Rule ID 54204 //
     /* 2378282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378285 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2378302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378324 */     // GIR_Coverage, 54204,
     /* 2378324 */     GIR_EraseRootFromParent_Done,
     /* 2378325 */   // Label 34012: @2378325
     /* 2378325 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2378373), // Rule ID 54205 //
     /* 2378330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378333 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2378350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378372 */     // GIR_Coverage, 54205,
     /* 2378372 */     GIR_EraseRootFromParent_Done,
     /* 2378373 */   // Label 34013: @2378373
     /* 2378373 */   GIM_Reject,
     /* 2378374 */ // Label 34011: @2378374
     /* 2378374 */ GIM_Reject,
     /* 2378375 */ // Label 33966: @2378375
     /* 2378375 */ GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2378495),
     /* 2378380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2378386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378398 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2378446), // Rule ID 54252 //
     /* 2378403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378406 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378445 */     // GIR_Coverage, 54252,
     /* 2378445 */     GIR_EraseRootFromParent_Done,
     /* 2378446 */   // Label 34015: @2378446
     /* 2378446 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2378494), // Rule ID 54253 //
     /* 2378451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378454 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378493 */     // GIR_Coverage, 54253,
     /* 2378493 */     GIR_EraseRootFromParent_Done,
     /* 2378494 */   // Label 34016: @2378494
     /* 2378494 */   GIM_Reject,
     /* 2378495 */ // Label 34014: @2378495
     /* 2378495 */ GIM_Reject,
     /* 2378496 */ // Label 33967: @2378496
     /* 2378496 */ GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2378616),
     /* 2378501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378519 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2378567), // Rule ID 54168 //
     /* 2378524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378527 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378566 */     // GIR_Coverage, 54168,
     /* 2378566 */     GIR_EraseRootFromParent_Done,
     /* 2378567 */   // Label 34018: @2378567
     /* 2378567 */   GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2378615), // Rule ID 54169 //
     /* 2378572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378575 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378614 */     // GIR_Coverage, 54169,
     /* 2378614 */     GIR_EraseRootFromParent_Done,
     /* 2378615 */   // Label 34019: @2378615
     /* 2378615 */   GIM_Reject,
     /* 2378616 */ // Label 34017: @2378616
     /* 2378616 */ GIM_Reject,
     /* 2378617 */ // Label 33968: @2378617
     /* 2378617 */ GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2378737),
     /* 2378622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2378628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378640 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2378688), // Rule ID 54216 //
     /* 2378645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378648 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378687 */     // GIR_Coverage, 54216,
     /* 2378687 */     GIR_EraseRootFromParent_Done,
     /* 2378688 */   // Label 34021: @2378688
     /* 2378688 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2378736), // Rule ID 54217 //
     /* 2378693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378696 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378735 */     // GIR_Coverage, 54217,
     /* 2378735 */     GIR_EraseRootFromParent_Done,
     /* 2378736 */   // Label 34022: @2378736
     /* 2378736 */   GIM_Reject,
     /* 2378737 */ // Label 34020: @2378737
     /* 2378737 */ GIM_Reject,
     /* 2378738 */ // Label 33969: @2378738
     /* 2378738 */ GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2378858),
     /* 2378743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2378749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378761 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2378809), // Rule ID 54264 //
     /* 2378766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378769 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378808 */     // GIR_Coverage, 54264,
     /* 2378808 */     GIR_EraseRootFromParent_Done,
     /* 2378809 */   // Label 34024: @2378809
     /* 2378809 */   GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2378857), // Rule ID 54265 //
     /* 2378814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378817 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378856 */     // GIR_Coverage, 54265,
     /* 2378856 */     GIR_EraseRootFromParent_Done,
     /* 2378857 */   // Label 34025: @2378857
     /* 2378857 */   GIM_Reject,
     /* 2378858 */ // Label 34023: @2378858
     /* 2378858 */ GIM_Reject,
     /* 2378859 */ // Label 33970: @2378859
     /* 2378859 */ GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2378979),
     /* 2378864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2378867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2378870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378882 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2378930), // Rule ID 54180 //
     /* 2378887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378890 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378929 */     // GIR_Coverage, 54180,
     /* 2378929 */     GIR_EraseRootFromParent_Done,
     /* 2378930 */   // Label 34027: @2378930
     /* 2378930 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2378978), // Rule ID 54181 //
     /* 2378935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378938 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378977 */     // GIR_Coverage, 54181,
     /* 2378977 */     GIR_EraseRootFromParent_Done,
     /* 2378978 */   // Label 34028: @2378978
     /* 2378978 */   GIM_Reject,
     /* 2378979 */ // Label 34026: @2378979
     /* 2378979 */ GIM_Reject,
     /* 2378980 */ // Label 33971: @2378980
     /* 2378980 */ GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2379100),
     /* 2378985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2378988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2378991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379003 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2379051), // Rule ID 54228 //
     /* 2379008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379011 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2379028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379050 */     // GIR_Coverage, 54228,
     /* 2379050 */     GIR_EraseRootFromParent_Done,
     /* 2379051 */   // Label 34030: @2379051
     /* 2379051 */   GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2379099), // Rule ID 54229 //
     /* 2379056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379059 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2379076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379098 */     // GIR_Coverage, 54229,
     /* 2379098 */     GIR_EraseRootFromParent_Done,
     /* 2379099 */   // Label 34031: @2379099
     /* 2379099 */   GIM_Reject,
     /* 2379100 */ // Label 34029: @2379100
     /* 2379100 */ GIM_Reject,
     /* 2379101 */ // Label 33972: @2379101
     /* 2379101 */ GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2379221),
     /* 2379106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2379112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379124 */   GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2379172), // Rule ID 54192 //
     /* 2379129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379132 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2379149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379171 */     // GIR_Coverage, 54192,
     /* 2379171 */     GIR_EraseRootFromParent_Done,
     /* 2379172 */   // Label 34033: @2379172
     /* 2379172 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2379220), // Rule ID 54193 //
     /* 2379177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379180 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2379197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379219 */     // GIR_Coverage, 54193,
     /* 2379219 */     GIR_EraseRootFromParent_Done,
     /* 2379220 */   // Label 34034: @2379220
     /* 2379220 */   GIM_Reject,
     /* 2379221 */ // Label 34032: @2379221
     /* 2379221 */ GIM_Reject,
     /* 2379222 */ // Label 33973: @2379222
     /* 2379222 */ GIM_Reject,
     /* 2379223 */ // Label 99: @2379223
     /* 2379223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34053*/ GIMT_Encode4(2381650),
     /* 2379234 */ /*GILLT_s16*//*Label 34035*/ GIMT_Encode4(2379354),
     /* 2379238 */ /*GILLT_s32*//*Label 34036*/ GIMT_Encode4(2379503),
     /* 2379242 */ /*GILLT_s64*//*Label 34037*/ GIMT_Encode4(2379652), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379254 */ /*GILLT_nxv1s16*//*Label 34038*/ GIMT_Encode4(2379835),
     /* 2379258 */ /*GILLT_nxv1s32*//*Label 34039*/ GIMT_Encode4(2379956),
     /* 2379262 */ /*GILLT_nxv1s64*//*Label 34040*/ GIMT_Encode4(2380077), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379274 */ /*GILLT_nxv2s16*//*Label 34041*/ GIMT_Encode4(2380198),
     /* 2379278 */ /*GILLT_nxv2s32*//*Label 34042*/ GIMT_Encode4(2380319),
     /* 2379282 */ /*GILLT_nxv2s64*//*Label 34043*/ GIMT_Encode4(2380440), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379294 */ /*GILLT_nxv4s16*//*Label 34044*/ GIMT_Encode4(2380561),
     /* 2379298 */ /*GILLT_nxv4s32*//*Label 34045*/ GIMT_Encode4(2380682),
     /* 2379302 */ /*GILLT_nxv4s64*//*Label 34046*/ GIMT_Encode4(2380803), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379314 */ /*GILLT_nxv8s16*//*Label 34047*/ GIMT_Encode4(2380924),
     /* 2379318 */ /*GILLT_nxv8s32*//*Label 34048*/ GIMT_Encode4(2381045),
     /* 2379322 */ /*GILLT_nxv8s64*//*Label 34049*/ GIMT_Encode4(2381166), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379334 */ /*GILLT_nxv16s16*//*Label 34050*/ GIMT_Encode4(2381287),
     /* 2379338 */ /*GILLT_nxv16s32*//*Label 34051*/ GIMT_Encode4(2381408), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379350 */ /*GILLT_nxv32s16*//*Label 34052*/ GIMT_Encode4(2381529),
     /* 2379354 */ // Label 34035: @2379354
     /* 2379354 */ GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2379502),
     /* 2379359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2379365 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2379399), // Rule ID 1870 //
     /* 2379370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2379373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379385 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379398 */     // GIR_Coverage, 1870,
     /* 2379398 */     GIR_EraseRootFromParent_Done,
     /* 2379399 */   // Label 34055: @2379399
     /* 2379399 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2379433), // Rule ID 1871 //
     /* 2379404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2379407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379419 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2379422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379432 */     // GIR_Coverage, 1871,
     /* 2379432 */     GIR_EraseRootFromParent_Done,
     /* 2379433 */   // Label 34056: @2379433
     /* 2379433 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2379467), // Rule ID 1874 //
     /* 2379438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2379441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379453 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379466 */     // GIR_Coverage, 1874,
     /* 2379466 */     GIR_EraseRootFromParent_Done,
     /* 2379467 */   // Label 34057: @2379467
     /* 2379467 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2379501), // Rule ID 1875 //
     /* 2379472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2379475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379487 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379500 */     // GIR_Coverage, 1875,
     /* 2379500 */     GIR_EraseRootFromParent_Done,
     /* 2379501 */   // Label 34058: @2379501
     /* 2379501 */   GIM_Reject,
     /* 2379502 */ // Label 34054: @2379502
     /* 2379502 */ GIM_Reject,
     /* 2379503 */ // Label 34036: @2379503
     /* 2379503 */ GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2379651),
     /* 2379508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2379514 */   GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2379548), // Rule ID 1161 //
     /* 2379519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2379522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379534 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379547 */     // GIR_Coverage, 1161,
     /* 2379547 */     GIR_EraseRootFromParent_Done,
     /* 2379548 */   // Label 34060: @2379548
     /* 2379548 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2379582), // Rule ID 1162 //
     /* 2379553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2379556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379568 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379581 */     // GIR_Coverage, 1162,
     /* 2379581 */     GIR_EraseRootFromParent_Done,
     /* 2379582 */   // Label 34061: @2379582
     /* 2379582 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2379616), // Rule ID 1165 //
     /* 2379587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2379590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379602 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379615 */     // GIR_Coverage, 1165,
     /* 2379615 */     GIR_EraseRootFromParent_Done,
     /* 2379616 */   // Label 34062: @2379616
     /* 2379616 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2379650), // Rule ID 1166 //
     /* 2379621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2379624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379636 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379649 */     // GIR_Coverage, 1166,
     /* 2379649 */     GIR_EraseRootFromParent_Done,
     /* 2379650 */   // Label 34063: @2379650
     /* 2379650 */   GIM_Reject,
     /* 2379651 */ // Label 34059: @2379651
     /* 2379651 */ GIM_Reject,
     /* 2379652 */ // Label 34037: @2379652
     /* 2379652 */ GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2379834),
     /* 2379657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2379663 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2379697), // Rule ID 1502 //
     /* 2379668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379683 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379696 */     // GIR_Coverage, 1502,
     /* 2379696 */     GIR_EraseRootFromParent_Done,
     /* 2379697 */   // Label 34065: @2379697
     /* 2379697 */   GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2379731), // Rule ID 1503 //
     /* 2379702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379717 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379730 */     // GIR_Coverage, 1503,
     /* 2379730 */     GIR_EraseRootFromParent_Done,
     /* 2379731 */   // Label 34066: @2379731
     /* 2379731 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2379765), // Rule ID 1506 //
     /* 2379736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379751 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379764 */     // GIR_Coverage, 1506,
     /* 2379764 */     GIR_EraseRootFromParent_Done,
     /* 2379765 */   // Label 34067: @2379765
     /* 2379765 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2379799), // Rule ID 1507 //
     /* 2379770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379785 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379798 */     // GIR_Coverage, 1507,
     /* 2379798 */     GIR_EraseRootFromParent_Done,
     /* 2379799 */   // Label 34068: @2379799
     /* 2379799 */   GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2379833), // Rule ID 1510 //
     /* 2379804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379819 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2379822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379832 */     // GIR_Coverage, 1510,
     /* 2379832 */     GIR_EraseRootFromParent_Done,
     /* 2379833 */   // Label 34069: @2379833
     /* 2379833 */   GIM_Reject,
     /* 2379834 */ // Label 34064: @2379834
     /* 2379834 */ GIM_Reject,
     /* 2379835 */ // Label 34038: @2379835
     /* 2379835 */ GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2379955),
     /* 2379840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379858 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2379906), // Rule ID 54276 //
     /* 2379863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379866 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379905 */     // GIR_Coverage, 54276,
     /* 2379905 */     GIR_EraseRootFromParent_Done,
     /* 2379906 */   // Label 34071: @2379906
     /* 2379906 */   GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2379954), // Rule ID 54277 //
     /* 2379911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379914 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379953 */     // GIR_Coverage, 54277,
     /* 2379953 */     GIR_EraseRootFromParent_Done,
     /* 2379954 */   // Label 34072: @2379954
     /* 2379954 */   GIM_Reject,
     /* 2379955 */ // Label 34070: @2379955
     /* 2379955 */ GIM_Reject,
     /* 2379956 */ // Label 34039: @2379956
     /* 2379956 */ GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2380076),
     /* 2379961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2379967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379979 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2380027), // Rule ID 54300 //
     /* 2379984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379987 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2380004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380026 */     // GIR_Coverage, 54300,
     /* 2380026 */     GIR_EraseRootFromParent_Done,
     /* 2380027 */   // Label 34074: @2380027
     /* 2380027 */   GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2380075), // Rule ID 54301 //
     /* 2380032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380035 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2380052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380074 */     // GIR_Coverage, 54301,
     /* 2380074 */     GIR_EraseRootFromParent_Done,
     /* 2380075 */   // Label 34075: @2380075
     /* 2380075 */   GIM_Reject,
     /* 2380076 */ // Label 34073: @2380076
     /* 2380076 */ GIM_Reject,
     /* 2380077 */ // Label 34040: @2380077
     /* 2380077 */ GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2380197),
     /* 2380082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2380085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2380088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380100 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2380148), // Rule ID 54336 //
     /* 2380105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380108 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2380125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380147 */     // GIR_Coverage, 54336,
     /* 2380147 */     GIR_EraseRootFromParent_Done,
     /* 2380148 */   // Label 34077: @2380148
     /* 2380148 */   GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2380196), // Rule ID 54337 //
     /* 2380153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380156 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2380173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380195 */     // GIR_Coverage, 54337,
     /* 2380195 */     GIR_EraseRootFromParent_Done,
     /* 2380196 */   // Label 34078: @2380196
     /* 2380196 */   GIM_Reject,
     /* 2380197 */ // Label 34076: @2380197
     /* 2380197 */ GIM_Reject,
     /* 2380198 */ // Label 34041: @2380198
     /* 2380198 */ GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2380318),
     /* 2380203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2380206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2380209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380221 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2380269), // Rule ID 54288 //
     /* 2380226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380229 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2380246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380268 */     // GIR_Coverage, 54288,
     /* 2380268 */     GIR_EraseRootFromParent_Done,
     /* 2380269 */   // Label 34080: @2380269
     /* 2380269 */   GIM_Try, /*On fail goto*//*Label 34081*/ GIMT_Encode4(2380317), // Rule ID 54289 //
     /* 2380274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380277 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2380294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380316 */     // GIR_Coverage, 54289,
     /* 2380316 */     GIR_EraseRootFromParent_Done,
     /* 2380317 */   // Label 34081: @2380317
     /* 2380317 */   GIM_Reject,
     /* 2380318 */ // Label 34079: @2380318
     /* 2380318 */ GIM_Reject,
     /* 2380319 */ // Label 34042: @2380319
     /* 2380319 */ GIM_Try, /*On fail goto*//*Label 34082*/ GIMT_Encode4(2380439),
     /* 2380324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2380327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2380330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380342 */   GIM_Try, /*On fail goto*//*Label 34083*/ GIMT_Encode4(2380390), // Rule ID 54324 //
     /* 2380347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380350 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2380367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380389 */     // GIR_Coverage, 54324,
     /* 2380389 */     GIR_EraseRootFromParent_Done,
     /* 2380390 */   // Label 34083: @2380390
     /* 2380390 */   GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2380438), // Rule ID 54325 //
     /* 2380395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380398 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2380415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380437 */     // GIR_Coverage, 54325,
     /* 2380437 */     GIR_EraseRootFromParent_Done,
     /* 2380438 */   // Label 34084: @2380438
     /* 2380438 */   GIM_Reject,
     /* 2380439 */ // Label 34082: @2380439
     /* 2380439 */ GIM_Reject,
     /* 2380440 */ // Label 34043: @2380440
     /* 2380440 */ GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2380560),
     /* 2380445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2380451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380463 */   GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2380511), // Rule ID 54420 //
     /* 2380468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380471 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380510 */     // GIR_Coverage, 54420,
     /* 2380510 */     GIR_EraseRootFromParent_Done,
     /* 2380511 */   // Label 34086: @2380511
     /* 2380511 */   GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2380559), // Rule ID 54421 //
     /* 2380516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380519 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380558 */     // GIR_Coverage, 54421,
     /* 2380558 */     GIR_EraseRootFromParent_Done,
     /* 2380559 */   // Label 34087: @2380559
     /* 2380559 */   GIM_Reject,
     /* 2380560 */ // Label 34085: @2380560
     /* 2380560 */ GIM_Reject,
     /* 2380561 */ // Label 34044: @2380561
     /* 2380561 */ GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2380681),
     /* 2380566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2380572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380584 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2380632), // Rule ID 54312 //
     /* 2380589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380592 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380631 */     // GIR_Coverage, 54312,
     /* 2380631 */     GIR_EraseRootFromParent_Done,
     /* 2380632 */   // Label 34089: @2380632
     /* 2380632 */   GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2380680), // Rule ID 54313 //
     /* 2380637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380640 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380679 */     // GIR_Coverage, 54313,
     /* 2380679 */     GIR_EraseRootFromParent_Done,
     /* 2380680 */   // Label 34090: @2380680
     /* 2380680 */   GIM_Reject,
     /* 2380681 */ // Label 34088: @2380681
     /* 2380681 */ GIM_Reject,
     /* 2380682 */ // Label 34045: @2380682
     /* 2380682 */ GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2380802),
     /* 2380687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2380693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380705 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2380753), // Rule ID 54384 //
     /* 2380710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380713 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380752 */     // GIR_Coverage, 54384,
     /* 2380752 */     GIR_EraseRootFromParent_Done,
     /* 2380753 */   // Label 34092: @2380753
     /* 2380753 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2380801), // Rule ID 54385 //
     /* 2380758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380761 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380800 */     // GIR_Coverage, 54385,
     /* 2380800 */     GIR_EraseRootFromParent_Done,
     /* 2380801 */   // Label 34093: @2380801
     /* 2380801 */   GIM_Reject,
     /* 2380802 */ // Label 34091: @2380802
     /* 2380802 */ GIM_Reject,
     /* 2380803 */ // Label 34046: @2380803
     /* 2380803 */ GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2380923),
     /* 2380808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2380814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380826 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2380874), // Rule ID 54432 //
     /* 2380831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380834 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380873 */     // GIR_Coverage, 54432,
     /* 2380873 */     GIR_EraseRootFromParent_Done,
     /* 2380874 */   // Label 34095: @2380874
     /* 2380874 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2380922), // Rule ID 54433 //
     /* 2380879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380882 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380921 */     // GIR_Coverage, 54433,
     /* 2380921 */     GIR_EraseRootFromParent_Done,
     /* 2380922 */   // Label 34096: @2380922
     /* 2380922 */   GIM_Reject,
     /* 2380923 */ // Label 34094: @2380923
     /* 2380923 */ GIM_Reject,
     /* 2380924 */ // Label 34047: @2380924
     /* 2380924 */ GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2381044),
     /* 2380929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2380932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2380935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380947 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2380995), // Rule ID 54348 //
     /* 2380952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380955 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380994 */     // GIR_Coverage, 54348,
     /* 2380994 */     GIR_EraseRootFromParent_Done,
     /* 2380995 */   // Label 34098: @2380995
     /* 2380995 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2381043), // Rule ID 54349 //
     /* 2381000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381003 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2381020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381042 */     // GIR_Coverage, 54349,
     /* 2381042 */     GIR_EraseRootFromParent_Done,
     /* 2381043 */   // Label 34099: @2381043
     /* 2381043 */   GIM_Reject,
     /* 2381044 */ // Label 34097: @2381044
     /* 2381044 */ GIM_Reject,
     /* 2381045 */ // Label 34048: @2381045
     /* 2381045 */ GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2381165),
     /* 2381050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2381053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2381056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381068 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2381116), // Rule ID 54396 //
     /* 2381073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381076 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2381093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381115 */     // GIR_Coverage, 54396,
     /* 2381115 */     GIR_EraseRootFromParent_Done,
     /* 2381116 */   // Label 34101: @2381116
     /* 2381116 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2381164), // Rule ID 54397 //
     /* 2381121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381124 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2381141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381163 */     // GIR_Coverage, 54397,
     /* 2381163 */     GIR_EraseRootFromParent_Done,
     /* 2381164 */   // Label 34102: @2381164
     /* 2381164 */   GIM_Reject,
     /* 2381165 */ // Label 34100: @2381165
     /* 2381165 */ GIM_Reject,
     /* 2381166 */ // Label 34049: @2381166
     /* 2381166 */ GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2381286),
     /* 2381171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2381174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2381177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381189 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2381237), // Rule ID 54444 //
     /* 2381194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381197 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2381214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381236 */     // GIR_Coverage, 54444,
     /* 2381236 */     GIR_EraseRootFromParent_Done,
     /* 2381237 */   // Label 34104: @2381237
     /* 2381237 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2381285), // Rule ID 54445 //
     /* 2381242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381245 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2381262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381284 */     // GIR_Coverage, 54445,
     /* 2381284 */     GIR_EraseRootFromParent_Done,
     /* 2381285 */   // Label 34105: @2381285
     /* 2381285 */   GIM_Reject,
     /* 2381286 */ // Label 34103: @2381286
     /* 2381286 */ GIM_Reject,
     /* 2381287 */ // Label 34050: @2381287
     /* 2381287 */ GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2381407),
     /* 2381292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2381295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2381298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381310 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2381358), // Rule ID 54360 //
     /* 2381315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381318 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2381335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381357 */     // GIR_Coverage, 54360,
     /* 2381357 */     GIR_EraseRootFromParent_Done,
     /* 2381358 */   // Label 34107: @2381358
     /* 2381358 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2381406), // Rule ID 54361 //
     /* 2381363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381366 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2381383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381405 */     // GIR_Coverage, 54361,
     /* 2381405 */     GIR_EraseRootFromParent_Done,
     /* 2381406 */   // Label 34108: @2381406
     /* 2381406 */   GIM_Reject,
     /* 2381407 */ // Label 34106: @2381407
     /* 2381407 */ GIM_Reject,
     /* 2381408 */ // Label 34051: @2381408
     /* 2381408 */ GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2381528),
     /* 2381413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2381416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2381419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381431 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2381479), // Rule ID 54408 //
     /* 2381436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381439 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381478 */     // GIR_Coverage, 54408,
     /* 2381478 */     GIR_EraseRootFromParent_Done,
     /* 2381479 */   // Label 34110: @2381479
     /* 2381479 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2381527), // Rule ID 54409 //
     /* 2381484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381487 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381526 */     // GIR_Coverage, 54409,
     /* 2381526 */     GIR_EraseRootFromParent_Done,
     /* 2381527 */   // Label 34111: @2381527
     /* 2381527 */   GIM_Reject,
     /* 2381528 */ // Label 34109: @2381528
     /* 2381528 */ GIM_Reject,
     /* 2381529 */ // Label 34052: @2381529
     /* 2381529 */ GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2381649),
     /* 2381534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2381540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381552 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2381600), // Rule ID 54372 //
     /* 2381557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381560 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381599 */     // GIR_Coverage, 54372,
     /* 2381599 */     GIR_EraseRootFromParent_Done,
     /* 2381600 */   // Label 34113: @2381600
     /* 2381600 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2381648), // Rule ID 54373 //
     /* 2381605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381608 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381647 */     // GIR_Coverage, 54373,
     /* 2381647 */     GIR_EraseRootFromParent_Done,
     /* 2381648 */   // Label 34114: @2381648
     /* 2381648 */   GIM_Reject,
     /* 2381649 */ // Label 34112: @2381649
     /* 2381649 */ GIM_Reject,
     /* 2381650 */ // Label 34053: @2381650
     /* 2381650 */ GIM_Reject,
     /* 2381651 */ // Label 100: @2381651
     /* 2381651 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34133*/ GIMT_Encode4(2398295),
     /* 2381662 */ /*GILLT_s16*//*Label 34115*/ GIMT_Encode4(2381782),
     /* 2381666 */ /*GILLT_s32*//*Label 34116*/ GIMT_Encode4(2383218),
     /* 2381670 */ /*GILLT_s64*//*Label 34117*/ GIMT_Encode4(2384654), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381682 */ /*GILLT_nxv1s16*//*Label 34118*/ GIMT_Encode4(2386445),
     /* 2381686 */ /*GILLT_nxv1s32*//*Label 34119*/ GIMT_Encode4(2387235),
     /* 2381690 */ /*GILLT_nxv1s64*//*Label 34120*/ GIMT_Encode4(2388025), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381702 */ /*GILLT_nxv2s16*//*Label 34121*/ GIMT_Encode4(2388815),
     /* 2381706 */ /*GILLT_nxv2s32*//*Label 34122*/ GIMT_Encode4(2389605),
     /* 2381710 */ /*GILLT_nxv2s64*//*Label 34123*/ GIMT_Encode4(2390395), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381722 */ /*GILLT_nxv4s16*//*Label 34124*/ GIMT_Encode4(2391185),
     /* 2381726 */ /*GILLT_nxv4s32*//*Label 34125*/ GIMT_Encode4(2391975),
     /* 2381730 */ /*GILLT_nxv4s64*//*Label 34126*/ GIMT_Encode4(2392765), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381742 */ /*GILLT_nxv8s16*//*Label 34127*/ GIMT_Encode4(2393555),
     /* 2381746 */ /*GILLT_nxv8s32*//*Label 34128*/ GIMT_Encode4(2394345),
     /* 2381750 */ /*GILLT_nxv8s64*//*Label 34129*/ GIMT_Encode4(2395135), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381762 */ /*GILLT_nxv16s16*//*Label 34130*/ GIMT_Encode4(2395925),
     /* 2381766 */ /*GILLT_nxv16s32*//*Label 34131*/ GIMT_Encode4(2396715), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381778 */ /*GILLT_nxv32s16*//*Label 34132*/ GIMT_Encode4(2397505),
     /* 2381782 */ // Label 34115: @2381782
     /* 2381782 */ GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2383217),
     /* 2381787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2381793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2381796 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2381868), // Rule ID 1903 //
     /* 2381801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381848 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381867 */     // GIR_Coverage, 1903,
     /* 2381867 */     GIR_EraseRootFromParent_Done,
     /* 2381868 */   // Label 34135: @2381868
     /* 2381868 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2381940), // Rule ID 1904 //
     /* 2381873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381920 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381939 */     // GIR_Coverage, 1904,
     /* 2381939 */     GIR_EraseRootFromParent_Done,
     /* 2381940 */   // Label 34136: @2381940
     /* 2381940 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2382012), // Rule ID 1936 //
     /* 2381945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381992 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382011 */     // GIR_Coverage, 1936,
     /* 2382011 */     GIR_EraseRootFromParent_Done,
     /* 2382012 */   // Label 34137: @2382012
     /* 2382012 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2382084), // Rule ID 1937 //
     /* 2382017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382064 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382083 */     // GIR_Coverage, 1937,
     /* 2382083 */     GIR_EraseRootFromParent_Done,
     /* 2382084 */   // Label 34138: @2382084
     /* 2382084 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2382156), // Rule ID 65045 //
     /* 2382089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382136 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2382139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382155 */     // GIR_Coverage, 65045,
     /* 2382155 */     GIR_EraseRootFromParent_Done,
     /* 2382156 */   // Label 34139: @2382156
     /* 2382156 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2382228), // Rule ID 65046 //
     /* 2382161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382208 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2382211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382227 */     // GIR_Coverage, 65046,
     /* 2382227 */     GIR_EraseRootFromParent_Done,
     /* 2382228 */   // Label 34140: @2382228
     /* 2382228 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2382300), // Rule ID 65053 //
     /* 2382233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382280 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382299 */     // GIR_Coverage, 65053,
     /* 2382299 */     GIR_EraseRootFromParent_Done,
     /* 2382300 */   // Label 34141: @2382300
     /* 2382300 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2382372), // Rule ID 65054 //
     /* 2382305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382352 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2382355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382371 */     // GIR_Coverage, 65054,
     /* 2382371 */     GIR_EraseRootFromParent_Done,
     /* 2382372 */   // Label 34142: @2382372
     /* 2382372 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2382429), // Rule ID 1899 //
     /* 2382377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382411 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382428 */     // GIR_Coverage, 1899,
     /* 2382428 */     GIR_EraseRootFromParent_Done,
     /* 2382429 */   // Label 34143: @2382429
     /* 2382429 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2382486), // Rule ID 1900 //
     /* 2382434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382468 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382485 */     // GIR_Coverage, 1900,
     /* 2382485 */     GIR_EraseRootFromParent_Done,
     /* 2382486 */   // Label 34144: @2382486
     /* 2382486 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2382543), // Rule ID 1932 //
     /* 2382491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382525 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382542 */     // GIR_Coverage, 1932,
     /* 2382542 */     GIR_EraseRootFromParent_Done,
     /* 2382543 */   // Label 34145: @2382543
     /* 2382543 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2382600), // Rule ID 1933 //
     /* 2382548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382582 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382599 */     // GIR_Coverage, 1933,
     /* 2382599 */     GIR_EraseRootFromParent_Done,
     /* 2382600 */   // Label 34146: @2382600
     /* 2382600 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2382657), // Rule ID 65041 //
     /* 2382605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382639 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382656 */     // GIR_Coverage, 65041,
     /* 2382656 */     GIR_EraseRootFromParent_Done,
     /* 2382657 */   // Label 34147: @2382657
     /* 2382657 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2382714), // Rule ID 65042 //
     /* 2382662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382696 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382713 */     // GIR_Coverage, 65042,
     /* 2382713 */     GIR_EraseRootFromParent_Done,
     /* 2382714 */   // Label 34148: @2382714
     /* 2382714 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2382771), // Rule ID 65049 //
     /* 2382719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382753 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382770 */     // GIR_Coverage, 65049,
     /* 2382770 */     GIR_EraseRootFromParent_Done,
     /* 2382771 */   // Label 34149: @2382771
     /* 2382771 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2382828), // Rule ID 65050 //
     /* 2382776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382810 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382827 */     // GIR_Coverage, 65050,
     /* 2382827 */     GIR_EraseRootFromParent_Done,
     /* 2382828 */   // Label 34150: @2382828
     /* 2382828 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2382885), // Rule ID 1895 //
     /* 2382833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382867 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382884 */     // GIR_Coverage, 1895,
     /* 2382884 */     GIR_EraseRootFromParent_Done,
     /* 2382885 */   // Label 34151: @2382885
     /* 2382885 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2382942), // Rule ID 1896 //
     /* 2382890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382924 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382941 */     // GIR_Coverage, 1896,
     /* 2382941 */     GIR_EraseRootFromParent_Done,
     /* 2382942 */   // Label 34152: @2382942
     /* 2382942 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2382999), // Rule ID 1928 //
     /* 2382947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382981 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382998 */     // GIR_Coverage, 1928,
     /* 2382998 */     GIR_EraseRootFromParent_Done,
     /* 2382999 */   // Label 34153: @2382999
     /* 2382999 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2383056), // Rule ID 1929 //
     /* 2383004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2383007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2383031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383038 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2383041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383055 */     // GIR_Coverage, 1929,
     /* 2383055 */     GIR_EraseRootFromParent_Done,
     /* 2383056 */   // Label 34154: @2383056
     /* 2383056 */   GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2383096), // Rule ID 1891 //
     /* 2383061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2383064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383080 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2383080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2383083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383095 */     // GIR_Coverage, 1891,
     /* 2383095 */     GIR_EraseRootFromParent_Done,
     /* 2383096 */   // Label 34155: @2383096
     /* 2383096 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2383136), // Rule ID 1892 //
     /* 2383101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2383104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2383120 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2383123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383135 */     // GIR_Coverage, 1892,
     /* 2383135 */     GIR_EraseRootFromParent_Done,
     /* 2383136 */   // Label 34156: @2383136
     /* 2383136 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2383176), // Rule ID 1924 //
     /* 2383141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2383144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383160 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2383160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2383163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383175 */     // GIR_Coverage, 1924,
     /* 2383175 */     GIR_EraseRootFromParent_Done,
     /* 2383176 */   // Label 34157: @2383176
     /* 2383176 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2383216), // Rule ID 1925 //
     /* 2383181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2383184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2383200 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2383200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2383203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383215 */     // GIR_Coverage, 1925,
     /* 2383215 */     GIR_EraseRootFromParent_Done,
     /* 2383216 */   // Label 34158: @2383216
     /* 2383216 */   GIM_Reject,
     /* 2383217 */ // Label 34134: @2383217
     /* 2383217 */ GIM_Reject,
     /* 2383218 */ // Label 34116: @2383218
     /* 2383218 */ GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2384653),
     /* 2383223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2383229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2383232 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2383304), // Rule ID 1202 //
     /* 2383237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383284 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383303 */     // GIR_Coverage, 1202,
     /* 2383303 */     GIR_EraseRootFromParent_Done,
     /* 2383304 */   // Label 34160: @2383304
     /* 2383304 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2383376), // Rule ID 1203 //
     /* 2383309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383356 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383375 */     // GIR_Coverage, 1203,
     /* 2383375 */     GIR_EraseRootFromParent_Done,
     /* 2383376 */   // Label 34161: @2383376
     /* 2383376 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2383448), // Rule ID 1223 //
     /* 2383381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383428 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383447 */     // GIR_Coverage, 1223,
     /* 2383447 */     GIR_EraseRootFromParent_Done,
     /* 2383448 */   // Label 34162: @2383448
     /* 2383448 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2383520), // Rule ID 1224 //
     /* 2383453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383500 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383519 */     // GIR_Coverage, 1224,
     /* 2383519 */     GIR_EraseRootFromParent_Done,
     /* 2383520 */   // Label 34163: @2383520
     /* 2383520 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2383592), // Rule ID 65009 //
     /* 2383525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383572 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383591 */     // GIR_Coverage, 65009,
     /* 2383591 */     GIR_EraseRootFromParent_Done,
     /* 2383592 */   // Label 34164: @2383592
     /* 2383592 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2383664), // Rule ID 65010 //
     /* 2383597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383644 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383663 */     // GIR_Coverage, 65010,
     /* 2383663 */     GIR_EraseRootFromParent_Done,
     /* 2383664 */   // Label 34165: @2383664
     /* 2383664 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2383736), // Rule ID 65017 //
     /* 2383669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383716 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383735 */     // GIR_Coverage, 65017,
     /* 2383735 */     GIR_EraseRootFromParent_Done,
     /* 2383736 */   // Label 34166: @2383736
     /* 2383736 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2383808), // Rule ID 65018 //
     /* 2383741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383788 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383807 */     // GIR_Coverage, 65018,
     /* 2383807 */     GIR_EraseRootFromParent_Done,
     /* 2383808 */   // Label 34167: @2383808
     /* 2383808 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2383865), // Rule ID 1198 //
     /* 2383813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383847 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383864 */     // GIR_Coverage, 1198,
     /* 2383864 */     GIR_EraseRootFromParent_Done,
     /* 2383865 */   // Label 34168: @2383865
     /* 2383865 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2383922), // Rule ID 1199 //
     /* 2383870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383904 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383921 */     // GIR_Coverage, 1199,
     /* 2383921 */     GIR_EraseRootFromParent_Done,
     /* 2383922 */   // Label 34169: @2383922
     /* 2383922 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2383979), // Rule ID 1219 //
     /* 2383927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383961 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383978 */     // GIR_Coverage, 1219,
     /* 2383978 */     GIR_EraseRootFromParent_Done,
     /* 2383979 */   // Label 34170: @2383979
     /* 2383979 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2384036), // Rule ID 1220 //
     /* 2383984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384018 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384035 */     // GIR_Coverage, 1220,
     /* 2384035 */     GIR_EraseRootFromParent_Done,
     /* 2384036 */   // Label 34171: @2384036
     /* 2384036 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2384093), // Rule ID 65005 //
     /* 2384041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384075 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2384078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384092 */     // GIR_Coverage, 65005,
     /* 2384092 */     GIR_EraseRootFromParent_Done,
     /* 2384093 */   // Label 34172: @2384093
     /* 2384093 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2384150), // Rule ID 65006 //
     /* 2384098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384132 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2384135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384149 */     // GIR_Coverage, 65006,
     /* 2384149 */     GIR_EraseRootFromParent_Done,
     /* 2384150 */   // Label 34173: @2384150
     /* 2384150 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2384207), // Rule ID 65013 //
     /* 2384155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384189 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384206 */     // GIR_Coverage, 65013,
     /* 2384206 */     GIR_EraseRootFromParent_Done,
     /* 2384207 */   // Label 34174: @2384207
     /* 2384207 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2384264), // Rule ID 65014 //
     /* 2384212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384246 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2384249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384263 */     // GIR_Coverage, 65014,
     /* 2384263 */     GIR_EraseRootFromParent_Done,
     /* 2384264 */   // Label 34175: @2384264
     /* 2384264 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2384321), // Rule ID 1194 //
     /* 2384269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384303 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2384306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384320 */     // GIR_Coverage, 1194,
     /* 2384320 */     GIR_EraseRootFromParent_Done,
     /* 2384321 */   // Label 34176: @2384321
     /* 2384321 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2384378), // Rule ID 1195 //
     /* 2384326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384360 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2384363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384377 */     // GIR_Coverage, 1195,
     /* 2384377 */     GIR_EraseRootFromParent_Done,
     /* 2384378 */   // Label 34177: @2384378
     /* 2384378 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2384435), // Rule ID 1215 //
     /* 2384383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384417 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384434 */     // GIR_Coverage, 1215,
     /* 2384434 */     GIR_EraseRootFromParent_Done,
     /* 2384435 */   // Label 34178: @2384435
     /* 2384435 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2384492), // Rule ID 1216 //
     /* 2384440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384474 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384491 */     // GIR_Coverage, 1216,
     /* 2384491 */     GIR_EraseRootFromParent_Done,
     /* 2384492 */   // Label 34179: @2384492
     /* 2384492 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2384532), // Rule ID 1190 //
     /* 2384497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384516 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384531 */     // GIR_Coverage, 1190,
     /* 2384531 */     GIR_EraseRootFromParent_Done,
     /* 2384532 */   // Label 34180: @2384532
     /* 2384532 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2384572), // Rule ID 1191 //
     /* 2384537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384556 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384571 */     // GIR_Coverage, 1191,
     /* 2384571 */     GIR_EraseRootFromParent_Done,
     /* 2384572 */   // Label 34181: @2384572
     /* 2384572 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2384612), // Rule ID 1211 //
     /* 2384577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384596 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384611 */     // GIR_Coverage, 1211,
     /* 2384611 */     GIR_EraseRootFromParent_Done,
     /* 2384612 */   // Label 34182: @2384612
     /* 2384612 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2384652), // Rule ID 1212 //
     /* 2384617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384636 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384651 */     // GIR_Coverage, 1212,
     /* 2384651 */     GIR_EraseRootFromParent_Done,
     /* 2384652 */   // Label 34183: @2384652
     /* 2384652 */   GIM_Reject,
     /* 2384653 */ // Label 34159: @2384653
     /* 2384653 */ GIM_Reject,
     /* 2384654 */ // Label 34117: @2384654
     /* 2384654 */ GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2386444),
     /* 2384659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2384665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2384668 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2384740), // Rule ID 1539 //
     /* 2384673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384720 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384739 */     // GIR_Coverage, 1539,
     /* 2384739 */     GIR_EraseRootFromParent_Done,
     /* 2384740 */   // Label 34185: @2384740
     /* 2384740 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2384812), // Rule ID 1540 //
     /* 2384745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384792 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384811 */     // GIR_Coverage, 1540,
     /* 2384811 */     GIR_EraseRootFromParent_Done,
     /* 2384812 */   // Label 34186: @2384812
     /* 2384812 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2384884), // Rule ID 1563 //
     /* 2384817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384864 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384883 */     // GIR_Coverage, 1563,
     /* 2384883 */     GIR_EraseRootFromParent_Done,
     /* 2384884 */   // Label 34187: @2384884
     /* 2384884 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2384956), // Rule ID 1594 //
     /* 2384889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384936 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384955 */     // GIR_Coverage, 1594,
     /* 2384955 */     GIR_EraseRootFromParent_Done,
     /* 2384956 */   // Label 34188: @2384956
     /* 2384956 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2385028), // Rule ID 1595 //
     /* 2384961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385008 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385027 */     // GIR_Coverage, 1595,
     /* 2385027 */     GIR_EraseRootFromParent_Done,
     /* 2385028 */   // Label 34189: @2385028
     /* 2385028 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2385100), // Rule ID 65025 //
     /* 2385033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385080 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2385083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385099 */     // GIR_Coverage, 65025,
     /* 2385099 */     GIR_EraseRootFromParent_Done,
     /* 2385100 */   // Label 34190: @2385100
     /* 2385100 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2385172), // Rule ID 65026 //
     /* 2385105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385152 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2385155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385171 */     // GIR_Coverage, 65026,
     /* 2385171 */     GIR_EraseRootFromParent_Done,
     /* 2385172 */   // Label 34191: @2385172
     /* 2385172 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2385244), // Rule ID 65031 //
     /* 2385177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385224 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2385227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385243 */     // GIR_Coverage, 65031,
     /* 2385243 */     GIR_EraseRootFromParent_Done,
     /* 2385244 */   // Label 34192: @2385244
     /* 2385244 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2385316), // Rule ID 65037 //
     /* 2385249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385296 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385315 */     // GIR_Coverage, 65037,
     /* 2385315 */     GIR_EraseRootFromParent_Done,
     /* 2385316 */   // Label 34193: @2385316
     /* 2385316 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2385388), // Rule ID 65038 //
     /* 2385321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385368 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2385371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2385383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385387 */     // GIR_Coverage, 65038,
     /* 2385387 */     GIR_EraseRootFromParent_Done,
     /* 2385388 */   // Label 34194: @2385388
     /* 2385388 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385445), // Rule ID 1535 //
     /* 2385393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385427 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385444 */     // GIR_Coverage, 1535,
     /* 2385444 */     GIR_EraseRootFromParent_Done,
     /* 2385445 */   // Label 34195: @2385445
     /* 2385445 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2385502), // Rule ID 1536 //
     /* 2385450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385484 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385501 */     // GIR_Coverage, 1536,
     /* 2385501 */     GIR_EraseRootFromParent_Done,
     /* 2385502 */   // Label 34196: @2385502
     /* 2385502 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2385559), // Rule ID 1561 //
     /* 2385507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385541 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385558 */     // GIR_Coverage, 1561,
     /* 2385558 */     GIR_EraseRootFromParent_Done,
     /* 2385559 */   // Label 34197: @2385559
     /* 2385559 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2385616), // Rule ID 1590 //
     /* 2385564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385598 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385615 */     // GIR_Coverage, 1590,
     /* 2385615 */     GIR_EraseRootFromParent_Done,
     /* 2385616 */   // Label 34198: @2385616
     /* 2385616 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2385673), // Rule ID 1591 //
     /* 2385621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385655 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385672 */     // GIR_Coverage, 1591,
     /* 2385672 */     GIR_EraseRootFromParent_Done,
     /* 2385673 */   // Label 34199: @2385673
     /* 2385673 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2385730), // Rule ID 65021 //
     /* 2385678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385712 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385729 */     // GIR_Coverage, 65021,
     /* 2385729 */     GIR_EraseRootFromParent_Done,
     /* 2385730 */   // Label 34200: @2385730
     /* 2385730 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2385787), // Rule ID 65022 //
     /* 2385735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385769 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385786 */     // GIR_Coverage, 65022,
     /* 2385786 */     GIR_EraseRootFromParent_Done,
     /* 2385787 */   // Label 34201: @2385787
     /* 2385787 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2385844), // Rule ID 65029 //
     /* 2385792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385826 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385843 */     // GIR_Coverage, 65029,
     /* 2385843 */     GIR_EraseRootFromParent_Done,
     /* 2385844 */   // Label 34202: @2385844
     /* 2385844 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2385901), // Rule ID 65033 //
     /* 2385849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385883 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385900 */     // GIR_Coverage, 65033,
     /* 2385900 */     GIR_EraseRootFromParent_Done,
     /* 2385901 */   // Label 34203: @2385901
     /* 2385901 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2385958), // Rule ID 65034 //
     /* 2385906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385940 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385957 */     // GIR_Coverage, 65034,
     /* 2385957 */     GIR_EraseRootFromParent_Done,
     /* 2385958 */   // Label 34204: @2385958
     /* 2385958 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2386015), // Rule ID 1531 //
     /* 2385963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385997 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2386000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386014 */     // GIR_Coverage, 1531,
     /* 2386014 */     GIR_EraseRootFromParent_Done,
     /* 2386015 */   // Label 34205: @2386015
     /* 2386015 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2386072), // Rule ID 1532 //
     /* 2386020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2386023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386054 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2386057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386071 */     // GIR_Coverage, 1532,
     /* 2386071 */     GIR_EraseRootFromParent_Done,
     /* 2386072 */   // Label 34206: @2386072
     /* 2386072 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2386129), // Rule ID 1559 //
     /* 2386077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2386080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386111 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2386114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386128 */     // GIR_Coverage, 1559,
     /* 2386128 */     GIR_EraseRootFromParent_Done,
     /* 2386129 */   // Label 34207: @2386129
     /* 2386129 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2386186), // Rule ID 1586 //
     /* 2386134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2386137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386168 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2386171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386185 */     // GIR_Coverage, 1586,
     /* 2386185 */     GIR_EraseRootFromParent_Done,
     /* 2386186 */   // Label 34208: @2386186
     /* 2386186 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2386243), // Rule ID 1587 //
     /* 2386191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2386194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386225 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2386228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2386238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386242 */     // GIR_Coverage, 1587,
     /* 2386242 */     GIR_EraseRootFromParent_Done,
     /* 2386243 */   // Label 34209: @2386243
     /* 2386243 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2386283), // Rule ID 1527 //
     /* 2386248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2386251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386267 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2386270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386282 */     // GIR_Coverage, 1527,
     /* 2386282 */     GIR_EraseRootFromParent_Done,
     /* 2386283 */   // Label 34210: @2386283
     /* 2386283 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2386323), // Rule ID 1528 //
     /* 2386288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2386291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2386307 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2386310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386322 */     // GIR_Coverage, 1528,
     /* 2386322 */     GIR_EraseRootFromParent_Done,
     /* 2386323 */   // Label 34211: @2386323
     /* 2386323 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2386363), // Rule ID 1557 //
     /* 2386328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2386331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386347 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2386350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386362 */     // GIR_Coverage, 1557,
     /* 2386362 */     GIR_EraseRootFromParent_Done,
     /* 2386363 */   // Label 34212: @2386363
     /* 2386363 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2386403), // Rule ID 1582 //
     /* 2386368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2386371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386387 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2386387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386402 */     // GIR_Coverage, 1582,
     /* 2386402 */     GIR_EraseRootFromParent_Done,
     /* 2386403 */   // Label 34213: @2386403
     /* 2386403 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2386443), // Rule ID 1583 //
     /* 2386408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2386411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2386427 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2386427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2386430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386442 */     // GIR_Coverage, 1583,
     /* 2386442 */     GIR_EraseRootFromParent_Done,
     /* 2386443 */   // Label 34214: @2386443
     /* 2386443 */   GIM_Reject,
     /* 2386444 */ // Label 34184: @2386444
     /* 2386444 */ GIM_Reject,
     /* 2386445 */ // Label 34118: @2386445
     /* 2386445 */ GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2387234),
     /* 2386450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2386456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2386459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386463 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2386540), // Rule ID 54710 //
     /* 2386468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386504 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386511 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386539 */     // GIR_Coverage, 54710,
     /* 2386539 */     GIR_EraseRootFromParent_Done,
     /* 2386540 */   // Label 34216: @2386540
     /* 2386540 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2386617), // Rule ID 54711 //
     /* 2386545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386588 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386616 */     // GIR_Coverage, 54711,
     /* 2386616 */     GIR_EraseRootFromParent_Done,
     /* 2386617 */   // Label 34217: @2386617
     /* 2386617 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2386694), // Rule ID 71999 //
     /* 2386622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386665 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386693 */     // GIR_Coverage, 71999,
     /* 2386693 */     GIR_EraseRootFromParent_Done,
     /* 2386694 */   // Label 34218: @2386694
     /* 2386694 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386771), // Rule ID 72000 //
     /* 2386699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386742 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386770 */     // GIR_Coverage, 72000,
     /* 2386770 */     GIR_EraseRootFromParent_Done,
     /* 2386771 */   // Label 34219: @2386771
     /* 2386771 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386833), // Rule ID 54714 //
     /* 2386776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386806 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386832 */     // GIR_Coverage, 54714,
     /* 2386832 */     GIR_EraseRootFromParent_Done,
     /* 2386833 */   // Label 34220: @2386833
     /* 2386833 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386895), // Rule ID 54715 //
     /* 2386838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386868 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386894 */     // GIR_Coverage, 54715,
     /* 2386894 */     GIR_EraseRootFromParent_Done,
     /* 2386895 */   // Label 34221: @2386895
     /* 2386895 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386957), // Rule ID 72003 //
     /* 2386900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386930 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386956 */     // GIR_Coverage, 72003,
     /* 2386956 */     GIR_EraseRootFromParent_Done,
     /* 2386957 */   // Label 34222: @2386957
     /* 2386957 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2387019), // Rule ID 72004 //
     /* 2386962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386992 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387018 */     // GIR_Coverage, 72004,
     /* 2387018 */     GIR_EraseRootFromParent_Done,
     /* 2387019 */   // Label 34223: @2387019
     /* 2387019 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2387081), // Rule ID 54706 //
     /* 2387024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2387047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387054 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2387057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387080 */     // GIR_Coverage, 54706,
     /* 2387080 */     GIR_EraseRootFromParent_Done,
     /* 2387081 */   // Label 34224: @2387081
     /* 2387081 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2387143), // Rule ID 54707 //
     /* 2387086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2387109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387116 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2387119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387142 */     // GIR_Coverage, 54707,
     /* 2387142 */     GIR_EraseRootFromParent_Done,
     /* 2387143 */   // Label 34225: @2387143
     /* 2387143 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2387188), // Rule ID 54702 //
     /* 2387148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387163 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2387166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387187 */     // GIR_Coverage, 54702,
     /* 2387187 */     GIR_EraseRootFromParent_Done,
     /* 2387188 */   // Label 34226: @2387188
     /* 2387188 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2387233), // Rule ID 54703 //
     /* 2387193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387208 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2387211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387232 */     // GIR_Coverage, 54703,
     /* 2387232 */     GIR_EraseRootFromParent_Done,
     /* 2387233 */   // Label 34227: @2387233
     /* 2387233 */   GIM_Reject,
     /* 2387234 */ // Label 34215: @2387234
     /* 2387234 */ GIM_Reject,
     /* 2387235 */ // Label 34119: @2387235
     /* 2387235 */ GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2388024),
     /* 2387240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2387246 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2387249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387253 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2387330), // Rule ID 54838 //
     /* 2387258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387301 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387329 */     // GIR_Coverage, 54838,
     /* 2387329 */     GIR_EraseRootFromParent_Done,
     /* 2387330 */   // Label 34229: @2387330
     /* 2387330 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2387407), // Rule ID 54839 //
     /* 2387335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387378 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387406 */     // GIR_Coverage, 54839,
     /* 2387406 */     GIR_EraseRootFromParent_Done,
     /* 2387407 */   // Label 34230: @2387407
     /* 2387407 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2387484), // Rule ID 72111 //
     /* 2387412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387455 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387483 */     // GIR_Coverage, 72111,
     /* 2387483 */     GIR_EraseRootFromParent_Done,
     /* 2387484 */   // Label 34231: @2387484
     /* 2387484 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2387561), // Rule ID 72112 //
     /* 2387489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387532 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387560 */     // GIR_Coverage, 72112,
     /* 2387560 */     GIR_EraseRootFromParent_Done,
     /* 2387561 */   // Label 34232: @2387561
     /* 2387561 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2387623), // Rule ID 54842 //
     /* 2387566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387596 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387622 */     // GIR_Coverage, 54842,
     /* 2387622 */     GIR_EraseRootFromParent_Done,
     /* 2387623 */   // Label 34233: @2387623
     /* 2387623 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387685), // Rule ID 54843 //
     /* 2387628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387658 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387684 */     // GIR_Coverage, 54843,
     /* 2387684 */     GIR_EraseRootFromParent_Done,
     /* 2387685 */   // Label 34234: @2387685
     /* 2387685 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2387747), // Rule ID 72115 //
     /* 2387690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387720 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387746 */     // GIR_Coverage, 72115,
     /* 2387746 */     GIR_EraseRootFromParent_Done,
     /* 2387747 */   // Label 34235: @2387747
     /* 2387747 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387809), // Rule ID 72116 //
     /* 2387752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387782 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387808 */     // GIR_Coverage, 72116,
     /* 2387808 */     GIR_EraseRootFromParent_Done,
     /* 2387809 */   // Label 34236: @2387809
     /* 2387809 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2387871), // Rule ID 54834 //
     /* 2387814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387844 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387870 */     // GIR_Coverage, 54834,
     /* 2387870 */     GIR_EraseRootFromParent_Done,
     /* 2387871 */   // Label 34237: @2387871
     /* 2387871 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387933), // Rule ID 54835 //
     /* 2387876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387906 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387932 */     // GIR_Coverage, 54835,
     /* 2387932 */     GIR_EraseRootFromParent_Done,
     /* 2387933 */   // Label 34238: @2387933
     /* 2387933 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387978), // Rule ID 54830 //
     /* 2387938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387953 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387977 */     // GIR_Coverage, 54830,
     /* 2387977 */     GIR_EraseRootFromParent_Done,
     /* 2387978 */   // Label 34239: @2387978
     /* 2387978 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2388023), // Rule ID 54831 //
     /* 2387983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387998 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2388001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388022 */     // GIR_Coverage, 54831,
     /* 2388022 */     GIR_EraseRootFromParent_Done,
     /* 2388023 */   // Label 34240: @2388023
     /* 2388023 */   GIM_Reject,
     /* 2388024 */ // Label 34228: @2388024
     /* 2388024 */ GIM_Reject,
     /* 2388025 */ // Label 34120: @2388025
     /* 2388025 */ GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2388814),
     /* 2388030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2388036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2388039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388043 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2388120), // Rule ID 55030 //
     /* 2388048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388091 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388119 */     // GIR_Coverage, 55030,
     /* 2388119 */     GIR_EraseRootFromParent_Done,
     /* 2388120 */   // Label 34242: @2388120
     /* 2388120 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2388197), // Rule ID 55031 //
     /* 2388125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388168 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388196 */     // GIR_Coverage, 55031,
     /* 2388196 */     GIR_EraseRootFromParent_Done,
     /* 2388197 */   // Label 34243: @2388197
     /* 2388197 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2388274), // Rule ID 72279 //
     /* 2388202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388245 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388273 */     // GIR_Coverage, 72279,
     /* 2388273 */     GIR_EraseRootFromParent_Done,
     /* 2388274 */   // Label 34244: @2388274
     /* 2388274 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2388351), // Rule ID 72280 //
     /* 2388279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388322 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2388325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388350 */     // GIR_Coverage, 72280,
     /* 2388350 */     GIR_EraseRootFromParent_Done,
     /* 2388351 */   // Label 34245: @2388351
     /* 2388351 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2388413), // Rule ID 55034 //
     /* 2388356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388386 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388412 */     // GIR_Coverage, 55034,
     /* 2388412 */     GIR_EraseRootFromParent_Done,
     /* 2388413 */   // Label 34246: @2388413
     /* 2388413 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2388475), // Rule ID 55035 //
     /* 2388418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388448 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388474 */     // GIR_Coverage, 55035,
     /* 2388474 */     GIR_EraseRootFromParent_Done,
     /* 2388475 */   // Label 34247: @2388475
     /* 2388475 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2388537), // Rule ID 72283 //
     /* 2388480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388510 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388536 */     // GIR_Coverage, 72283,
     /* 2388536 */     GIR_EraseRootFromParent_Done,
     /* 2388537 */   // Label 34248: @2388537
     /* 2388537 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2388599), // Rule ID 72284 //
     /* 2388542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388572 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388598 */     // GIR_Coverage, 72284,
     /* 2388598 */     GIR_EraseRootFromParent_Done,
     /* 2388599 */   // Label 34249: @2388599
     /* 2388599 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2388661), // Rule ID 55026 //
     /* 2388604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388634 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388660 */     // GIR_Coverage, 55026,
     /* 2388660 */     GIR_EraseRootFromParent_Done,
     /* 2388661 */   // Label 34250: @2388661
     /* 2388661 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2388723), // Rule ID 55027 //
     /* 2388666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388696 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388722 */     // GIR_Coverage, 55027,
     /* 2388722 */     GIR_EraseRootFromParent_Done,
     /* 2388723 */   // Label 34251: @2388723
     /* 2388723 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2388768), // Rule ID 55022 //
     /* 2388728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388743 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388767 */     // GIR_Coverage, 55022,
     /* 2388767 */     GIR_EraseRootFromParent_Done,
     /* 2388768 */   // Label 34252: @2388768
     /* 2388768 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2388813), // Rule ID 55023 //
     /* 2388773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388788 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388812 */     // GIR_Coverage, 55023,
     /* 2388812 */     GIR_EraseRootFromParent_Done,
     /* 2388813 */   // Label 34253: @2388813
     /* 2388813 */   GIM_Reject,
     /* 2388814 */ // Label 34241: @2388814
     /* 2388814 */ GIM_Reject,
     /* 2388815 */ // Label 34121: @2388815
     /* 2388815 */ GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2389604),
     /* 2388820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2388829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388833 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2388910), // Rule ID 54774 //
     /* 2388838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388881 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388909 */     // GIR_Coverage, 54774,
     /* 2388909 */     GIR_EraseRootFromParent_Done,
     /* 2388910 */   // Label 34255: @2388910
     /* 2388910 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2388987), // Rule ID 54775 //
     /* 2388915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388958 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388986 */     // GIR_Coverage, 54775,
     /* 2388986 */     GIR_EraseRootFromParent_Done,
     /* 2388987 */   // Label 34256: @2388987
     /* 2388987 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2389064), // Rule ID 72055 //
     /* 2388992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389035 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2389038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389063 */     // GIR_Coverage, 72055,
     /* 2389063 */     GIR_EraseRootFromParent_Done,
     /* 2389064 */   // Label 34257: @2389064
     /* 2389064 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2389141), // Rule ID 72056 //
     /* 2389069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389112 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2389115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389140 */     // GIR_Coverage, 72056,
     /* 2389140 */     GIR_EraseRootFromParent_Done,
     /* 2389141 */   // Label 34258: @2389141
     /* 2389141 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2389203), // Rule ID 54778 //
     /* 2389146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389176 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389202 */     // GIR_Coverage, 54778,
     /* 2389202 */     GIR_EraseRootFromParent_Done,
     /* 2389203 */   // Label 34259: @2389203
     /* 2389203 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2389265), // Rule ID 54779 //
     /* 2389208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389238 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389264 */     // GIR_Coverage, 54779,
     /* 2389264 */     GIR_EraseRootFromParent_Done,
     /* 2389265 */   // Label 34260: @2389265
     /* 2389265 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2389327), // Rule ID 72059 //
     /* 2389270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389300 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389326 */     // GIR_Coverage, 72059,
     /* 2389326 */     GIR_EraseRootFromParent_Done,
     /* 2389327 */   // Label 34261: @2389327
     /* 2389327 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2389389), // Rule ID 72060 //
     /* 2389332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389362 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2389365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389388 */     // GIR_Coverage, 72060,
     /* 2389388 */     GIR_EraseRootFromParent_Done,
     /* 2389389 */   // Label 34262: @2389389
     /* 2389389 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2389451), // Rule ID 54770 //
     /* 2389394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389424 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389450 */     // GIR_Coverage, 54770,
     /* 2389450 */     GIR_EraseRootFromParent_Done,
     /* 2389451 */   // Label 34263: @2389451
     /* 2389451 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2389513), // Rule ID 54771 //
     /* 2389456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389486 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389512 */     // GIR_Coverage, 54771,
     /* 2389512 */     GIR_EraseRootFromParent_Done,
     /* 2389513 */   // Label 34264: @2389513
     /* 2389513 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2389558), // Rule ID 54766 //
     /* 2389518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389533 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389557 */     // GIR_Coverage, 54766,
     /* 2389557 */     GIR_EraseRootFromParent_Done,
     /* 2389558 */   // Label 34265: @2389558
     /* 2389558 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2389603), // Rule ID 54767 //
     /* 2389563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389578 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389602 */     // GIR_Coverage, 54767,
     /* 2389602 */     GIR_EraseRootFromParent_Done,
     /* 2389603 */   // Label 34266: @2389603
     /* 2389603 */   GIM_Reject,
     /* 2389604 */ // Label 34254: @2389604
     /* 2389604 */ GIM_Reject,
     /* 2389605 */ // Label 34122: @2389605
     /* 2389605 */ GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2390394),
     /* 2389610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2389616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2389619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389623 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2389700), // Rule ID 54966 //
     /* 2389628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389671 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389699 */     // GIR_Coverage, 54966,
     /* 2389699 */     GIR_EraseRootFromParent_Done,
     /* 2389700 */   // Label 34268: @2389700
     /* 2389700 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2389777), // Rule ID 54967 //
     /* 2389705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389748 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389776 */     // GIR_Coverage, 54967,
     /* 2389776 */     GIR_EraseRootFromParent_Done,
     /* 2389777 */   // Label 34269: @2389777
     /* 2389777 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2389854), // Rule ID 72223 //
     /* 2389782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389825 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389853 */     // GIR_Coverage, 72223,
     /* 2389853 */     GIR_EraseRootFromParent_Done,
     /* 2389854 */   // Label 34270: @2389854
     /* 2389854 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2389931), // Rule ID 72224 //
     /* 2389859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389902 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389930 */     // GIR_Coverage, 72224,
     /* 2389930 */     GIR_EraseRootFromParent_Done,
     /* 2389931 */   // Label 34271: @2389931
     /* 2389931 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2389993), // Rule ID 54970 //
     /* 2389936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389966 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389992 */     // GIR_Coverage, 54970,
     /* 2389992 */     GIR_EraseRootFromParent_Done,
     /* 2389993 */   // Label 34272: @2389993
     /* 2389993 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2390055), // Rule ID 54971 //
     /* 2389998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390028 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390054 */     // GIR_Coverage, 54971,
     /* 2390054 */     GIR_EraseRootFromParent_Done,
     /* 2390055 */   // Label 34273: @2390055
     /* 2390055 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2390117), // Rule ID 72227 //
     /* 2390060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390090 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390116 */     // GIR_Coverage, 72227,
     /* 2390116 */     GIR_EraseRootFromParent_Done,
     /* 2390117 */   // Label 34274: @2390117
     /* 2390117 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2390179), // Rule ID 72228 //
     /* 2390122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390152 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2390155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390178 */     // GIR_Coverage, 72228,
     /* 2390178 */     GIR_EraseRootFromParent_Done,
     /* 2390179 */   // Label 34275: @2390179
     /* 2390179 */   GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2390241), // Rule ID 54962 //
     /* 2390184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390214 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2390217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390240 */     // GIR_Coverage, 54962,
     /* 2390240 */     GIR_EraseRootFromParent_Done,
     /* 2390241 */   // Label 34276: @2390241
     /* 2390241 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2390303), // Rule ID 54963 //
     /* 2390246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390276 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2390279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390302 */     // GIR_Coverage, 54963,
     /* 2390302 */     GIR_EraseRootFromParent_Done,
     /* 2390303 */   // Label 34277: @2390303
     /* 2390303 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2390348), // Rule ID 54958 //
     /* 2390308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390323 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2390326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390347 */     // GIR_Coverage, 54958,
     /* 2390347 */     GIR_EraseRootFromParent_Done,
     /* 2390348 */   // Label 34278: @2390348
     /* 2390348 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2390393), // Rule ID 54959 //
     /* 2390353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390368 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2390371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390392 */     // GIR_Coverage, 54959,
     /* 2390392 */     GIR_EraseRootFromParent_Done,
     /* 2390393 */   // Label 34279: @2390393
     /* 2390393 */   GIM_Reject,
     /* 2390394 */ // Label 34267: @2390394
     /* 2390394 */ GIM_Reject,
     /* 2390395 */ // Label 34123: @2390395
     /* 2390395 */ GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2391184),
     /* 2390400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2390406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2390409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390413 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2390490), // Rule ID 55478 //
     /* 2390418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390461 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390489 */     // GIR_Coverage, 55478,
     /* 2390489 */     GIR_EraseRootFromParent_Done,
     /* 2390490 */   // Label 34281: @2390490
     /* 2390490 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2390567), // Rule ID 55479 //
     /* 2390495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390538 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390566 */     // GIR_Coverage, 55479,
     /* 2390566 */     GIR_EraseRootFromParent_Done,
     /* 2390567 */   // Label 34282: @2390567
     /* 2390567 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2390644), // Rule ID 72671 //
     /* 2390572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390615 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390643 */     // GIR_Coverage, 72671,
     /* 2390643 */     GIR_EraseRootFromParent_Done,
     /* 2390644 */   // Label 34283: @2390644
     /* 2390644 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2390721), // Rule ID 72672 //
     /* 2390649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390692 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390720 */     // GIR_Coverage, 72672,
     /* 2390720 */     GIR_EraseRootFromParent_Done,
     /* 2390721 */   // Label 34284: @2390721
     /* 2390721 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2390783), // Rule ID 55482 //
     /* 2390726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390756 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390782 */     // GIR_Coverage, 55482,
     /* 2390782 */     GIR_EraseRootFromParent_Done,
     /* 2390783 */   // Label 34285: @2390783
     /* 2390783 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2390845), // Rule ID 55483 //
     /* 2390788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390818 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390844 */     // GIR_Coverage, 55483,
     /* 2390844 */     GIR_EraseRootFromParent_Done,
     /* 2390845 */   // Label 34286: @2390845
     /* 2390845 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2390907), // Rule ID 72675 //
     /* 2390850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390880 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390906 */     // GIR_Coverage, 72675,
     /* 2390906 */     GIR_EraseRootFromParent_Done,
     /* 2390907 */   // Label 34287: @2390907
     /* 2390907 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2390969), // Rule ID 72676 //
     /* 2390912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390942 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390968 */     // GIR_Coverage, 72676,
     /* 2390968 */     GIR_EraseRootFromParent_Done,
     /* 2390969 */   // Label 34288: @2390969
     /* 2390969 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2391031), // Rule ID 55474 //
     /* 2390974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391004 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2391007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391030 */     // GIR_Coverage, 55474,
     /* 2391030 */     GIR_EraseRootFromParent_Done,
     /* 2391031 */   // Label 34289: @2391031
     /* 2391031 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2391093), // Rule ID 55475 //
     /* 2391036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391066 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2391069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391092 */     // GIR_Coverage, 55475,
     /* 2391092 */     GIR_EraseRootFromParent_Done,
     /* 2391093 */   // Label 34290: @2391093
     /* 2391093 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2391138), // Rule ID 55470 //
     /* 2391098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391113 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2391116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391137 */     // GIR_Coverage, 55470,
     /* 2391137 */     GIR_EraseRootFromParent_Done,
     /* 2391138 */   // Label 34291: @2391138
     /* 2391138 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2391183), // Rule ID 55471 //
     /* 2391143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391158 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2391161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391182 */     // GIR_Coverage, 55471,
     /* 2391182 */     GIR_EraseRootFromParent_Done,
     /* 2391183 */   // Label 34292: @2391183
     /* 2391183 */   GIM_Reject,
     /* 2391184 */ // Label 34280: @2391184
     /* 2391184 */ GIM_Reject,
     /* 2391185 */ // Label 34124: @2391185
     /* 2391185 */ GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2391974),
     /* 2391190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2391196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2391199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391203 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2391280), // Rule ID 54902 //
     /* 2391208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391251 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391279 */     // GIR_Coverage, 54902,
     /* 2391279 */     GIR_EraseRootFromParent_Done,
     /* 2391280 */   // Label 34294: @2391280
     /* 2391280 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2391357), // Rule ID 54903 //
     /* 2391285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391328 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391356 */     // GIR_Coverage, 54903,
     /* 2391356 */     GIR_EraseRootFromParent_Done,
     /* 2391357 */   // Label 34295: @2391357
     /* 2391357 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2391434), // Rule ID 72167 //
     /* 2391362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391405 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391433 */     // GIR_Coverage, 72167,
     /* 2391433 */     GIR_EraseRootFromParent_Done,
     /* 2391434 */   // Label 34296: @2391434
     /* 2391434 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2391511), // Rule ID 72168 //
     /* 2391439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391482 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391510 */     // GIR_Coverage, 72168,
     /* 2391510 */     GIR_EraseRootFromParent_Done,
     /* 2391511 */   // Label 34297: @2391511
     /* 2391511 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2391573), // Rule ID 54906 //
     /* 2391516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391546 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391572 */     // GIR_Coverage, 54906,
     /* 2391572 */     GIR_EraseRootFromParent_Done,
     /* 2391573 */   // Label 34298: @2391573
     /* 2391573 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2391635), // Rule ID 54907 //
     /* 2391578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391608 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391634 */     // GIR_Coverage, 54907,
     /* 2391634 */     GIR_EraseRootFromParent_Done,
     /* 2391635 */   // Label 34299: @2391635
     /* 2391635 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2391697), // Rule ID 72171 //
     /* 2391640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391670 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391696 */     // GIR_Coverage, 72171,
     /* 2391696 */     GIR_EraseRootFromParent_Done,
     /* 2391697 */   // Label 34300: @2391697
     /* 2391697 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2391759), // Rule ID 72172 //
     /* 2391702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391732 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391758 */     // GIR_Coverage, 72172,
     /* 2391758 */     GIR_EraseRootFromParent_Done,
     /* 2391759 */   // Label 34301: @2391759
     /* 2391759 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2391821), // Rule ID 54898 //
     /* 2391764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391794 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391820 */     // GIR_Coverage, 54898,
     /* 2391820 */     GIR_EraseRootFromParent_Done,
     /* 2391821 */   // Label 34302: @2391821
     /* 2391821 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2391883), // Rule ID 54899 //
     /* 2391826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391856 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391882 */     // GIR_Coverage, 54899,
     /* 2391882 */     GIR_EraseRootFromParent_Done,
     /* 2391883 */   // Label 34303: @2391883
     /* 2391883 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2391928), // Rule ID 54894 //
     /* 2391888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391903 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391927 */     // GIR_Coverage, 54894,
     /* 2391927 */     GIR_EraseRootFromParent_Done,
     /* 2391928 */   // Label 34304: @2391928
     /* 2391928 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2391973), // Rule ID 54895 //
     /* 2391933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391948 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391972 */     // GIR_Coverage, 54895,
     /* 2391972 */     GIR_EraseRootFromParent_Done,
     /* 2391973 */   // Label 34305: @2391973
     /* 2391973 */   GIM_Reject,
     /* 2391974 */ // Label 34293: @2391974
     /* 2391974 */ GIM_Reject,
     /* 2391975 */ // Label 34125: @2391975
     /* 2391975 */ GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2392764),
     /* 2391980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2391986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2391989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391993 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2392070), // Rule ID 55286 //
     /* 2391998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392041 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392069 */     // GIR_Coverage, 55286,
     /* 2392069 */     GIR_EraseRootFromParent_Done,
     /* 2392070 */   // Label 34307: @2392070
     /* 2392070 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2392147), // Rule ID 55287 //
     /* 2392075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392118 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392146 */     // GIR_Coverage, 55287,
     /* 2392146 */     GIR_EraseRootFromParent_Done,
     /* 2392147 */   // Label 34308: @2392147
     /* 2392147 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2392224), // Rule ID 72503 //
     /* 2392152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392195 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392223 */     // GIR_Coverage, 72503,
     /* 2392223 */     GIR_EraseRootFromParent_Done,
     /* 2392224 */   // Label 34309: @2392224
     /* 2392224 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2392301), // Rule ID 72504 //
     /* 2392229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392272 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2392275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392300 */     // GIR_Coverage, 72504,
     /* 2392300 */     GIR_EraseRootFromParent_Done,
     /* 2392301 */   // Label 34310: @2392301
     /* 2392301 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2392363), // Rule ID 55290 //
     /* 2392306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392336 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392362 */     // GIR_Coverage, 55290,
     /* 2392362 */     GIR_EraseRootFromParent_Done,
     /* 2392363 */   // Label 34311: @2392363
     /* 2392363 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2392425), // Rule ID 55291 //
     /* 2392368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392398 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392424 */     // GIR_Coverage, 55291,
     /* 2392424 */     GIR_EraseRootFromParent_Done,
     /* 2392425 */   // Label 34312: @2392425
     /* 2392425 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2392487), // Rule ID 72507 //
     /* 2392430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392460 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392486 */     // GIR_Coverage, 72507,
     /* 2392486 */     GIR_EraseRootFromParent_Done,
     /* 2392487 */   // Label 34313: @2392487
     /* 2392487 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2392549), // Rule ID 72508 //
     /* 2392492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392522 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392548 */     // GIR_Coverage, 72508,
     /* 2392548 */     GIR_EraseRootFromParent_Done,
     /* 2392549 */   // Label 34314: @2392549
     /* 2392549 */   GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2392611), // Rule ID 55282 //
     /* 2392554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392584 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392610 */     // GIR_Coverage, 55282,
     /* 2392610 */     GIR_EraseRootFromParent_Done,
     /* 2392611 */   // Label 34315: @2392611
     /* 2392611 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2392673), // Rule ID 55283 //
     /* 2392616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392646 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392672 */     // GIR_Coverage, 55283,
     /* 2392672 */     GIR_EraseRootFromParent_Done,
     /* 2392673 */   // Label 34316: @2392673
     /* 2392673 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2392718), // Rule ID 55278 //
     /* 2392678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392693 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392717 */     // GIR_Coverage, 55278,
     /* 2392717 */     GIR_EraseRootFromParent_Done,
     /* 2392718 */   // Label 34317: @2392718
     /* 2392718 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2392763), // Rule ID 55279 //
     /* 2392723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392738 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392762 */     // GIR_Coverage, 55279,
     /* 2392762 */     GIR_EraseRootFromParent_Done,
     /* 2392763 */   // Label 34318: @2392763
     /* 2392763 */   GIM_Reject,
     /* 2392764 */ // Label 34306: @2392764
     /* 2392764 */ GIM_Reject,
     /* 2392765 */ // Label 34126: @2392765
     /* 2392765 */ GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2393554),
     /* 2392770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2392776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2392779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392783 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2392860), // Rule ID 55542 //
     /* 2392788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392831 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392859 */     // GIR_Coverage, 55542,
     /* 2392859 */     GIR_EraseRootFromParent_Done,
     /* 2392860 */   // Label 34320: @2392860
     /* 2392860 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2392937), // Rule ID 55543 //
     /* 2392865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392908 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392936 */     // GIR_Coverage, 55543,
     /* 2392936 */     GIR_EraseRootFromParent_Done,
     /* 2392937 */   // Label 34321: @2392937
     /* 2392937 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2393014), // Rule ID 72727 //
     /* 2392942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392985 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393013 */     // GIR_Coverage, 72727,
     /* 2393013 */     GIR_EraseRootFromParent_Done,
     /* 2393014 */   // Label 34322: @2393014
     /* 2393014 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2393091), // Rule ID 72728 //
     /* 2393019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393062 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2393065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393090 */     // GIR_Coverage, 72728,
     /* 2393090 */     GIR_EraseRootFromParent_Done,
     /* 2393091 */   // Label 34323: @2393091
     /* 2393091 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2393153), // Rule ID 55546 //
     /* 2393096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393126 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393152 */     // GIR_Coverage, 55546,
     /* 2393152 */     GIR_EraseRootFromParent_Done,
     /* 2393153 */   // Label 34324: @2393153
     /* 2393153 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2393215), // Rule ID 55547 //
     /* 2393158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393188 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393214 */     // GIR_Coverage, 55547,
     /* 2393214 */     GIR_EraseRootFromParent_Done,
     /* 2393215 */   // Label 34325: @2393215
     /* 2393215 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2393277), // Rule ID 72731 //
     /* 2393220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393250 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393276 */     // GIR_Coverage, 72731,
     /* 2393276 */     GIR_EraseRootFromParent_Done,
     /* 2393277 */   // Label 34326: @2393277
     /* 2393277 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2393339), // Rule ID 72732 //
     /* 2393282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393312 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2393315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393338 */     // GIR_Coverage, 72732,
     /* 2393338 */     GIR_EraseRootFromParent_Done,
     /* 2393339 */   // Label 34327: @2393339
     /* 2393339 */   GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2393401), // Rule ID 55538 //
     /* 2393344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393374 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393400 */     // GIR_Coverage, 55538,
     /* 2393400 */     GIR_EraseRootFromParent_Done,
     /* 2393401 */   // Label 34328: @2393401
     /* 2393401 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2393463), // Rule ID 55539 //
     /* 2393406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393436 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393462 */     // GIR_Coverage, 55539,
     /* 2393462 */     GIR_EraseRootFromParent_Done,
     /* 2393463 */   // Label 34329: @2393463
     /* 2393463 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2393508), // Rule ID 55534 //
     /* 2393468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393483 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393507 */     // GIR_Coverage, 55534,
     /* 2393507 */     GIR_EraseRootFromParent_Done,
     /* 2393508 */   // Label 34330: @2393508
     /* 2393508 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2393553), // Rule ID 55535 //
     /* 2393513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393528 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393552 */     // GIR_Coverage, 55535,
     /* 2393552 */     GIR_EraseRootFromParent_Done,
     /* 2393553 */   // Label 34331: @2393553
     /* 2393553 */   GIM_Reject,
     /* 2393554 */ // Label 34319: @2393554
     /* 2393554 */ GIM_Reject,
     /* 2393555 */ // Label 34127: @2393555
     /* 2393555 */ GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2394344),
     /* 2393560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2393566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2393569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393573 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2393650), // Rule ID 55094 //
     /* 2393578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393621 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393649 */     // GIR_Coverage, 55094,
     /* 2393649 */     GIR_EraseRootFromParent_Done,
     /* 2393650 */   // Label 34333: @2393650
     /* 2393650 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2393727), // Rule ID 55095 //
     /* 2393655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393698 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393726 */     // GIR_Coverage, 55095,
     /* 2393726 */     GIR_EraseRootFromParent_Done,
     /* 2393727 */   // Label 34334: @2393727
     /* 2393727 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2393804), // Rule ID 72335 //
     /* 2393732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393775 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393803 */     // GIR_Coverage, 72335,
     /* 2393803 */     GIR_EraseRootFromParent_Done,
     /* 2393804 */   // Label 34335: @2393804
     /* 2393804 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2393881), // Rule ID 72336 //
     /* 2393809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393852 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393880 */     // GIR_Coverage, 72336,
     /* 2393880 */     GIR_EraseRootFromParent_Done,
     /* 2393881 */   // Label 34336: @2393881
     /* 2393881 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2393943), // Rule ID 55098 //
     /* 2393886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393916 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393942 */     // GIR_Coverage, 55098,
     /* 2393942 */     GIR_EraseRootFromParent_Done,
     /* 2393943 */   // Label 34337: @2393943
     /* 2393943 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2394005), // Rule ID 55099 //
     /* 2393948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393978 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394004 */     // GIR_Coverage, 55099,
     /* 2394004 */     GIR_EraseRootFromParent_Done,
     /* 2394005 */   // Label 34338: @2394005
     /* 2394005 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2394067), // Rule ID 72339 //
     /* 2394010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394040 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2394043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394066 */     // GIR_Coverage, 72339,
     /* 2394066 */     GIR_EraseRootFromParent_Done,
     /* 2394067 */   // Label 34339: @2394067
     /* 2394067 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2394129), // Rule ID 72340 //
     /* 2394072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394102 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2394105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394128 */     // GIR_Coverage, 72340,
     /* 2394128 */     GIR_EraseRootFromParent_Done,
     /* 2394129 */   // Label 34340: @2394129
     /* 2394129 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2394191), // Rule ID 55090 //
     /* 2394134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394164 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2394167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394190 */     // GIR_Coverage, 55090,
     /* 2394190 */     GIR_EraseRootFromParent_Done,
     /* 2394191 */   // Label 34341: @2394191
     /* 2394191 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2394253), // Rule ID 55091 //
     /* 2394196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394226 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2394229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394252 */     // GIR_Coverage, 55091,
     /* 2394252 */     GIR_EraseRootFromParent_Done,
     /* 2394253 */   // Label 34342: @2394253
     /* 2394253 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2394298), // Rule ID 55086 //
     /* 2394258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394273 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2394276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394297 */     // GIR_Coverage, 55086,
     /* 2394297 */     GIR_EraseRootFromParent_Done,
     /* 2394298 */   // Label 34343: @2394298
     /* 2394298 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2394343), // Rule ID 55087 //
     /* 2394303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394318 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2394321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394342 */     // GIR_Coverage, 55087,
     /* 2394342 */     GIR_EraseRootFromParent_Done,
     /* 2394343 */   // Label 34344: @2394343
     /* 2394343 */   GIM_Reject,
     /* 2394344 */ // Label 34332: @2394344
     /* 2394344 */ GIM_Reject,
     /* 2394345 */ // Label 34128: @2394345
     /* 2394345 */ GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2395134),
     /* 2394350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2394356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2394359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394363 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2394440), // Rule ID 55350 //
     /* 2394368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394411 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394439 */     // GIR_Coverage, 55350,
     /* 2394439 */     GIR_EraseRootFromParent_Done,
     /* 2394440 */   // Label 34346: @2394440
     /* 2394440 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2394517), // Rule ID 55351 //
     /* 2394445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394488 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394516 */     // GIR_Coverage, 55351,
     /* 2394516 */     GIR_EraseRootFromParent_Done,
     /* 2394517 */   // Label 34347: @2394517
     /* 2394517 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2394594), // Rule ID 72559 //
     /* 2394522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394565 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394593 */     // GIR_Coverage, 72559,
     /* 2394593 */     GIR_EraseRootFromParent_Done,
     /* 2394594 */   // Label 34348: @2394594
     /* 2394594 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2394671), // Rule ID 72560 //
     /* 2394599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394642 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394670 */     // GIR_Coverage, 72560,
     /* 2394670 */     GIR_EraseRootFromParent_Done,
     /* 2394671 */   // Label 34349: @2394671
     /* 2394671 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2394733), // Rule ID 55354 //
     /* 2394676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394706 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394732 */     // GIR_Coverage, 55354,
     /* 2394732 */     GIR_EraseRootFromParent_Done,
     /* 2394733 */   // Label 34350: @2394733
     /* 2394733 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2394795), // Rule ID 55355 //
     /* 2394738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394768 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394794 */     // GIR_Coverage, 55355,
     /* 2394794 */     GIR_EraseRootFromParent_Done,
     /* 2394795 */   // Label 34351: @2394795
     /* 2394795 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2394857), // Rule ID 72563 //
     /* 2394800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394830 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394856 */     // GIR_Coverage, 72563,
     /* 2394856 */     GIR_EraseRootFromParent_Done,
     /* 2394857 */   // Label 34352: @2394857
     /* 2394857 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2394919), // Rule ID 72564 //
     /* 2394862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394892 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394918 */     // GIR_Coverage, 72564,
     /* 2394918 */     GIR_EraseRootFromParent_Done,
     /* 2394919 */   // Label 34353: @2394919
     /* 2394919 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2394981), // Rule ID 55346 //
     /* 2394924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394954 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394980 */     // GIR_Coverage, 55346,
     /* 2394980 */     GIR_EraseRootFromParent_Done,
     /* 2394981 */   // Label 34354: @2394981
     /* 2394981 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2395043), // Rule ID 55347 //
     /* 2394986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2395009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395016 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2395019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395042 */     // GIR_Coverage, 55347,
     /* 2395042 */     GIR_EraseRootFromParent_Done,
     /* 2395043 */   // Label 34355: @2395043
     /* 2395043 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2395088), // Rule ID 55342 //
     /* 2395048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395063 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2395066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395087 */     // GIR_Coverage, 55342,
     /* 2395087 */     GIR_EraseRootFromParent_Done,
     /* 2395088 */   // Label 34356: @2395088
     /* 2395088 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2395133), // Rule ID 55343 //
     /* 2395093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395108 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2395111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395132 */     // GIR_Coverage, 55343,
     /* 2395132 */     GIR_EraseRootFromParent_Done,
     /* 2395133 */   // Label 34357: @2395133
     /* 2395133 */   GIM_Reject,
     /* 2395134 */ // Label 34345: @2395134
     /* 2395134 */ GIM_Reject,
     /* 2395135 */ // Label 34129: @2395135
     /* 2395135 */ GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2395924),
     /* 2395140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2395146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2395149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395153 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2395230), // Rule ID 55606 //
     /* 2395158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395201 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395229 */     // GIR_Coverage, 55606,
     /* 2395229 */     GIR_EraseRootFromParent_Done,
     /* 2395230 */   // Label 34359: @2395230
     /* 2395230 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2395307), // Rule ID 55607 //
     /* 2395235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395278 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395306 */     // GIR_Coverage, 55607,
     /* 2395306 */     GIR_EraseRootFromParent_Done,
     /* 2395307 */   // Label 34360: @2395307
     /* 2395307 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2395384), // Rule ID 72783 //
     /* 2395312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395355 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395383 */     // GIR_Coverage, 72783,
     /* 2395383 */     GIR_EraseRootFromParent_Done,
     /* 2395384 */   // Label 34361: @2395384
     /* 2395384 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2395461), // Rule ID 72784 //
     /* 2395389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395430 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395432 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395460 */     // GIR_Coverage, 72784,
     /* 2395460 */     GIR_EraseRootFromParent_Done,
     /* 2395461 */   // Label 34362: @2395461
     /* 2395461 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2395523), // Rule ID 55610 //
     /* 2395466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395496 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395522 */     // GIR_Coverage, 55610,
     /* 2395522 */     GIR_EraseRootFromParent_Done,
     /* 2395523 */   // Label 34363: @2395523
     /* 2395523 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2395585), // Rule ID 55611 //
     /* 2395528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395558 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395584 */     // GIR_Coverage, 55611,
     /* 2395584 */     GIR_EraseRootFromParent_Done,
     /* 2395585 */   // Label 34364: @2395585
     /* 2395585 */   GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2395647), // Rule ID 72787 //
     /* 2395590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395620 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395646 */     // GIR_Coverage, 72787,
     /* 2395646 */     GIR_EraseRootFromParent_Done,
     /* 2395647 */   // Label 34365: @2395647
     /* 2395647 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2395709), // Rule ID 72788 //
     /* 2395652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395682 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395708 */     // GIR_Coverage, 72788,
     /* 2395708 */     GIR_EraseRootFromParent_Done,
     /* 2395709 */   // Label 34366: @2395709
     /* 2395709 */   GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2395771), // Rule ID 55602 //
     /* 2395714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395744 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395770 */     // GIR_Coverage, 55602,
     /* 2395770 */     GIR_EraseRootFromParent_Done,
     /* 2395771 */   // Label 34367: @2395771
     /* 2395771 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2395833), // Rule ID 55603 //
     /* 2395776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395806 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395832 */     // GIR_Coverage, 55603,
     /* 2395832 */     GIR_EraseRootFromParent_Done,
     /* 2395833 */   // Label 34368: @2395833
     /* 2395833 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2395878), // Rule ID 55598 //
     /* 2395838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395853 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395877 */     // GIR_Coverage, 55598,
     /* 2395877 */     GIR_EraseRootFromParent_Done,
     /* 2395878 */   // Label 34369: @2395878
     /* 2395878 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2395923), // Rule ID 55599 //
     /* 2395883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395898 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395922 */     // GIR_Coverage, 55599,
     /* 2395922 */     GIR_EraseRootFromParent_Done,
     /* 2395923 */   // Label 34370: @2395923
     /* 2395923 */   GIM_Reject,
     /* 2395924 */ // Label 34358: @2395924
     /* 2395924 */ GIM_Reject,
     /* 2395925 */ // Label 34130: @2395925
     /* 2395925 */ GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2396714),
     /* 2395930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2395939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395943 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2396020), // Rule ID 55158 //
     /* 2395948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395991 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396019 */     // GIR_Coverage, 55158,
     /* 2396019 */     GIR_EraseRootFromParent_Done,
     /* 2396020 */   // Label 34372: @2396020
     /* 2396020 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2396097), // Rule ID 55159 //
     /* 2396025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396068 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396096 */     // GIR_Coverage, 55159,
     /* 2396096 */     GIR_EraseRootFromParent_Done,
     /* 2396097 */   // Label 34373: @2396097
     /* 2396097 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2396174), // Rule ID 72391 //
     /* 2396102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396145 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396173 */     // GIR_Coverage, 72391,
     /* 2396173 */     GIR_EraseRootFromParent_Done,
     /* 2396174 */   // Label 34374: @2396174
     /* 2396174 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2396251), // Rule ID 72392 //
     /* 2396179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396222 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2396225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396250 */     // GIR_Coverage, 72392,
     /* 2396250 */     GIR_EraseRootFromParent_Done,
     /* 2396251 */   // Label 34375: @2396251
     /* 2396251 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2396313), // Rule ID 55162 //
     /* 2396256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396286 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396312 */     // GIR_Coverage, 55162,
     /* 2396312 */     GIR_EraseRootFromParent_Done,
     /* 2396313 */   // Label 34376: @2396313
     /* 2396313 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2396375), // Rule ID 55163 //
     /* 2396318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396348 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396374 */     // GIR_Coverage, 55163,
     /* 2396374 */     GIR_EraseRootFromParent_Done,
     /* 2396375 */   // Label 34377: @2396375
     /* 2396375 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2396437), // Rule ID 72395 //
     /* 2396380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396410 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396436 */     // GIR_Coverage, 72395,
     /* 2396436 */     GIR_EraseRootFromParent_Done,
     /* 2396437 */   // Label 34378: @2396437
     /* 2396437 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2396499), // Rule ID 72396 //
     /* 2396442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396472 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396498 */     // GIR_Coverage, 72396,
     /* 2396498 */     GIR_EraseRootFromParent_Done,
     /* 2396499 */   // Label 34379: @2396499
     /* 2396499 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2396561), // Rule ID 55154 //
     /* 2396504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396534 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396560 */     // GIR_Coverage, 55154,
     /* 2396560 */     GIR_EraseRootFromParent_Done,
     /* 2396561 */   // Label 34380: @2396561
     /* 2396561 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2396623), // Rule ID 55155 //
     /* 2396566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396596 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396622 */     // GIR_Coverage, 55155,
     /* 2396622 */     GIR_EraseRootFromParent_Done,
     /* 2396623 */   // Label 34381: @2396623
     /* 2396623 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2396668), // Rule ID 55150 //
     /* 2396628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396643 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396667 */     // GIR_Coverage, 55150,
     /* 2396667 */     GIR_EraseRootFromParent_Done,
     /* 2396668 */   // Label 34382: @2396668
     /* 2396668 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2396713), // Rule ID 55151 //
     /* 2396673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396688 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396712 */     // GIR_Coverage, 55151,
     /* 2396712 */     GIR_EraseRootFromParent_Done,
     /* 2396713 */   // Label 34383: @2396713
     /* 2396713 */   GIM_Reject,
     /* 2396714 */ // Label 34371: @2396714
     /* 2396714 */ GIM_Reject,
     /* 2396715 */ // Label 34131: @2396715
     /* 2396715 */ GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2397504),
     /* 2396720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2396726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2396729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396733 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2396810), // Rule ID 55414 //
     /* 2396738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396781 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396809 */     // GIR_Coverage, 55414,
     /* 2396809 */     GIR_EraseRootFromParent_Done,
     /* 2396810 */   // Label 34385: @2396810
     /* 2396810 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2396887), // Rule ID 55415 //
     /* 2396815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396858 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396886 */     // GIR_Coverage, 55415,
     /* 2396886 */     GIR_EraseRootFromParent_Done,
     /* 2396887 */   // Label 34386: @2396887
     /* 2396887 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2396964), // Rule ID 72615 //
     /* 2396892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396935 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396963 */     // GIR_Coverage, 72615,
     /* 2396963 */     GIR_EraseRootFromParent_Done,
     /* 2396964 */   // Label 34387: @2396964
     /* 2396964 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2397041), // Rule ID 72616 //
     /* 2396969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397012 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2397015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397040 */     // GIR_Coverage, 72616,
     /* 2397040 */     GIR_EraseRootFromParent_Done,
     /* 2397041 */   // Label 34388: @2397041
     /* 2397041 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2397103), // Rule ID 55418 //
     /* 2397046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397076 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397102 */     // GIR_Coverage, 55418,
     /* 2397102 */     GIR_EraseRootFromParent_Done,
     /* 2397103 */   // Label 34389: @2397103
     /* 2397103 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2397165), // Rule ID 55419 //
     /* 2397108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397138 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397164 */     // GIR_Coverage, 55419,
     /* 2397164 */     GIR_EraseRootFromParent_Done,
     /* 2397165 */   // Label 34390: @2397165
     /* 2397165 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2397227), // Rule ID 72619 //
     /* 2397170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397200 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397226 */     // GIR_Coverage, 72619,
     /* 2397226 */     GIR_EraseRootFromParent_Done,
     /* 2397227 */   // Label 34391: @2397227
     /* 2397227 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2397289), // Rule ID 72620 //
     /* 2397232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397262 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2397265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397288 */     // GIR_Coverage, 72620,
     /* 2397288 */     GIR_EraseRootFromParent_Done,
     /* 2397289 */   // Label 34392: @2397289
     /* 2397289 */   GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2397351), // Rule ID 55410 //
     /* 2397294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397324 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2397327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397350 */     // GIR_Coverage, 55410,
     /* 2397350 */     GIR_EraseRootFromParent_Done,
     /* 2397351 */   // Label 34393: @2397351
     /* 2397351 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2397413), // Rule ID 55411 //
     /* 2397356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397386 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2397389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397412 */     // GIR_Coverage, 55411,
     /* 2397412 */     GIR_EraseRootFromParent_Done,
     /* 2397413 */   // Label 34394: @2397413
     /* 2397413 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2397458), // Rule ID 55406 //
     /* 2397418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397433 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397457 */     // GIR_Coverage, 55406,
     /* 2397457 */     GIR_EraseRootFromParent_Done,
     /* 2397458 */   // Label 34395: @2397458
     /* 2397458 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2397503), // Rule ID 55407 //
     /* 2397463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397478 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397502 */     // GIR_Coverage, 55407,
     /* 2397502 */     GIR_EraseRootFromParent_Done,
     /* 2397503 */   // Label 34396: @2397503
     /* 2397503 */   GIM_Reject,
     /* 2397504 */ // Label 34384: @2397504
     /* 2397504 */ GIM_Reject,
     /* 2397505 */ // Label 34132: @2397505
     /* 2397505 */ GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2398294),
     /* 2397510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2397516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2397519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397523 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2397600), // Rule ID 55222 //
     /* 2397528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397571 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397599 */     // GIR_Coverage, 55222,
     /* 2397599 */     GIR_EraseRootFromParent_Done,
     /* 2397600 */   // Label 34398: @2397600
     /* 2397600 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2397677), // Rule ID 55223 //
     /* 2397605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397648 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397676 */     // GIR_Coverage, 55223,
     /* 2397676 */     GIR_EraseRootFromParent_Done,
     /* 2397677 */   // Label 34399: @2397677
     /* 2397677 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2397754), // Rule ID 72447 //
     /* 2397682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397725 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397753 */     // GIR_Coverage, 72447,
     /* 2397753 */     GIR_EraseRootFromParent_Done,
     /* 2397754 */   // Label 34400: @2397754
     /* 2397754 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2397831), // Rule ID 72448 //
     /* 2397759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397802 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397830 */     // GIR_Coverage, 72448,
     /* 2397830 */     GIR_EraseRootFromParent_Done,
     /* 2397831 */   // Label 34401: @2397831
     /* 2397831 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2397893), // Rule ID 55226 //
     /* 2397836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397866 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397892 */     // GIR_Coverage, 55226,
     /* 2397892 */     GIR_EraseRootFromParent_Done,
     /* 2397893 */   // Label 34402: @2397893
     /* 2397893 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2397955), // Rule ID 55227 //
     /* 2397898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397928 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397954 */     // GIR_Coverage, 55227,
     /* 2397954 */     GIR_EraseRootFromParent_Done,
     /* 2397955 */   // Label 34403: @2397955
     /* 2397955 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2398017), // Rule ID 72451 //
     /* 2397960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397990 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398016 */     // GIR_Coverage, 72451,
     /* 2398016 */     GIR_EraseRootFromParent_Done,
     /* 2398017 */   // Label 34404: @2398017
     /* 2398017 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2398079), // Rule ID 72452 //
     /* 2398022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398052 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2398055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398078 */     // GIR_Coverage, 72452,
     /* 2398078 */     GIR_EraseRootFromParent_Done,
     /* 2398079 */   // Label 34405: @2398079
     /* 2398079 */   GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2398141), // Rule ID 55218 //
     /* 2398084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398114 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2398117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398140 */     // GIR_Coverage, 55218,
     /* 2398140 */     GIR_EraseRootFromParent_Done,
     /* 2398141 */   // Label 34406: @2398141
     /* 2398141 */   GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2398203), // Rule ID 55219 //
     /* 2398146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398176 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2398179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398202 */     // GIR_Coverage, 55219,
     /* 2398202 */     GIR_EraseRootFromParent_Done,
     /* 2398203 */   // Label 34407: @2398203
     /* 2398203 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2398248), // Rule ID 55214 //
     /* 2398208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398223 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2398226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398247 */     // GIR_Coverage, 55214,
     /* 2398247 */     GIR_EraseRootFromParent_Done,
     /* 2398248 */   // Label 34408: @2398248
     /* 2398248 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2398293), // Rule ID 55215 //
     /* 2398253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398268 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2398271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398292 */     // GIR_Coverage, 55215,
     /* 2398292 */     GIR_EraseRootFromParent_Done,
     /* 2398293 */   // Label 34409: @2398293
     /* 2398293 */   GIM_Reject,
     /* 2398294 */ // Label 34397: @2398294
     /* 2398294 */ GIM_Reject,
     /* 2398295 */ // Label 34133: @2398295
     /* 2398295 */ GIM_Reject,
     /* 2398296 */ // Label 101: @2398296
     /* 2398296 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34428*/ GIMT_Encode4(2400471),
     /* 2398307 */ /*GILLT_s16*//*Label 34410*/ GIMT_Encode4(2398427),
     /* 2398311 */ /*GILLT_s32*//*Label 34411*/ GIMT_Encode4(2398549),
     /* 2398315 */ /*GILLT_s64*//*Label 34412*/ GIMT_Encode4(2398671), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398327 */ /*GILLT_nxv1s16*//*Label 34413*/ GIMT_Encode4(2398821),
     /* 2398331 */ /*GILLT_nxv1s32*//*Label 34414*/ GIMT_Encode4(2398931),
     /* 2398335 */ /*GILLT_nxv1s64*//*Label 34415*/ GIMT_Encode4(2399041), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398347 */ /*GILLT_nxv2s16*//*Label 34416*/ GIMT_Encode4(2399151),
     /* 2398351 */ /*GILLT_nxv2s32*//*Label 34417*/ GIMT_Encode4(2399261),
     /* 2398355 */ /*GILLT_nxv2s64*//*Label 34418*/ GIMT_Encode4(2399371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398367 */ /*GILLT_nxv4s16*//*Label 34419*/ GIMT_Encode4(2399481),
     /* 2398371 */ /*GILLT_nxv4s32*//*Label 34420*/ GIMT_Encode4(2399591),
     /* 2398375 */ /*GILLT_nxv4s64*//*Label 34421*/ GIMT_Encode4(2399701), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398387 */ /*GILLT_nxv8s16*//*Label 34422*/ GIMT_Encode4(2399811),
     /* 2398391 */ /*GILLT_nxv8s32*//*Label 34423*/ GIMT_Encode4(2399921),
     /* 2398395 */ /*GILLT_nxv8s64*//*Label 34424*/ GIMT_Encode4(2400031), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398407 */ /*GILLT_nxv16s16*//*Label 34425*/ GIMT_Encode4(2400141),
     /* 2398411 */ /*GILLT_nxv16s32*//*Label 34426*/ GIMT_Encode4(2400251), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398423 */ /*GILLT_nxv32s16*//*Label 34427*/ GIMT_Encode4(2400361),
     /* 2398427 */ // Label 34410: @2398427
     /* 2398427 */ GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2398548),
     /* 2398432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398435 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2398463), // Rule ID 1878 //
     /* 2398440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398451 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398462 */     // GIR_Coverage, 1878,
     /* 2398462 */     GIR_EraseRootFromParent_Done,
     /* 2398463 */   // Label 34430: @2398463
     /* 2398463 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2398491), // Rule ID 1879 //
     /* 2398468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398479 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398490 */     // GIR_Coverage, 1879,
     /* 2398490 */     GIR_EraseRootFromParent_Done,
     /* 2398491 */   // Label 34431: @2398491
     /* 2398491 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2398519), // Rule ID 1911 //
     /* 2398496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398507 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398518 */     // GIR_Coverage, 1911,
     /* 2398518 */     GIR_EraseRootFromParent_Done,
     /* 2398519 */   // Label 34432: @2398519
     /* 2398519 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2398547), // Rule ID 1912 //
     /* 2398524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398535 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398546 */     // GIR_Coverage, 1912,
     /* 2398546 */     GIR_EraseRootFromParent_Done,
     /* 2398547 */   // Label 34433: @2398547
     /* 2398547 */   GIM_Reject,
     /* 2398548 */ // Label 34429: @2398548
     /* 2398548 */ GIM_Reject,
     /* 2398549 */ // Label 34411: @2398549
     /* 2398549 */ GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2398670),
     /* 2398554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398557 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2398585), // Rule ID 1169 //
     /* 2398562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398573 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398584 */     // GIR_Coverage, 1169,
     /* 2398584 */     GIR_EraseRootFromParent_Done,
     /* 2398585 */   // Label 34435: @2398585
     /* 2398585 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2398613), // Rule ID 1170 //
     /* 2398590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398601 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398612 */     // GIR_Coverage, 1170,
     /* 2398612 */     GIR_EraseRootFromParent_Done,
     /* 2398613 */   // Label 34436: @2398613
     /* 2398613 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2398641), // Rule ID 1177 //
     /* 2398618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398629 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398640 */     // GIR_Coverage, 1177,
     /* 2398640 */     GIR_EraseRootFromParent_Done,
     /* 2398641 */   // Label 34437: @2398641
     /* 2398641 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2398669), // Rule ID 1178 //
     /* 2398646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398657 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398668 */     // GIR_Coverage, 1178,
     /* 2398668 */     GIR_EraseRootFromParent_Done,
     /* 2398669 */   // Label 34438: @2398669
     /* 2398669 */   GIM_Reject,
     /* 2398670 */ // Label 34434: @2398670
     /* 2398670 */ GIM_Reject,
     /* 2398671 */ // Label 34412: @2398671
     /* 2398671 */ GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2398820),
     /* 2398676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398679 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2398707), // Rule ID 1512 //
     /* 2398684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398695 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398706 */     // GIR_Coverage, 1512,
     /* 2398706 */     GIR_EraseRootFromParent_Done,
     /* 2398707 */   // Label 34440: @2398707
     /* 2398707 */   GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2398735), // Rule ID 1513 //
     /* 2398712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398723 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398734 */     // GIR_Coverage, 1513,
     /* 2398734 */     GIR_EraseRootFromParent_Done,
     /* 2398735 */   // Label 34441: @2398735
     /* 2398735 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2398763), // Rule ID 1547 //
     /* 2398740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398751 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2398754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398762 */     // GIR_Coverage, 1547,
     /* 2398762 */     GIR_EraseRootFromParent_Done,
     /* 2398763 */   // Label 34442: @2398763
     /* 2398763 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2398791), // Rule ID 1567 //
     /* 2398768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398779 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398790 */     // GIR_Coverage, 1567,
     /* 2398790 */     GIR_EraseRootFromParent_Done,
     /* 2398791 */   // Label 34443: @2398791
     /* 2398791 */   GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2398819), // Rule ID 1568 //
     /* 2398796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398807 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398818 */     // GIR_Coverage, 1568,
     /* 2398818 */     GIR_EraseRootFromParent_Done,
     /* 2398819 */   // Label 34444: @2398819
     /* 2398819 */   GIM_Reject,
     /* 2398820 */ // Label 34439: @2398820
     /* 2398820 */ GIM_Reject,
     /* 2398821 */ // Label 34413: @2398821
     /* 2398821 */ GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2398930),
     /* 2398826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2398829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398837 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2398883), // Rule ID 56110 //
     /* 2398842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398845 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398882 */     // GIR_Coverage, 56110,
     /* 2398882 */     GIR_EraseRootFromParent_Done,
     /* 2398883 */   // Label 34446: @2398883
     /* 2398883 */   GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2398929), // Rule ID 56111 //
     /* 2398888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398891 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398928 */     // GIR_Coverage, 56111,
     /* 2398928 */     GIR_EraseRootFromParent_Done,
     /* 2398929 */   // Label 34447: @2398929
     /* 2398929 */   GIM_Reject,
     /* 2398930 */ // Label 34445: @2398930
     /* 2398930 */ GIM_Reject,
     /* 2398931 */ // Label 34414: @2398931
     /* 2398931 */ GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2399040),
     /* 2398936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2398939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398947 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2398993), // Rule ID 56150 //
     /* 2398952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398955 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398992 */     // GIR_Coverage, 56150,
     /* 2398992 */     GIR_EraseRootFromParent_Done,
     /* 2398993 */   // Label 34449: @2398993
     /* 2398993 */   GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2399039), // Rule ID 56151 //
     /* 2398998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399001 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2399004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2399018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399038 */     // GIR_Coverage, 56151,
     /* 2399038 */     GIR_EraseRootFromParent_Done,
     /* 2399039 */   // Label 34450: @2399039
     /* 2399039 */   GIM_Reject,
     /* 2399040 */ // Label 34448: @2399040
     /* 2399040 */ GIM_Reject,
     /* 2399041 */ // Label 34415: @2399041
     /* 2399041 */ GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2399150),
     /* 2399046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2399049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399057 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2399103), // Rule ID 56210 //
     /* 2399062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399065 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2399082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399102 */     // GIR_Coverage, 56210,
     /* 2399102 */     GIR_EraseRootFromParent_Done,
     /* 2399103 */   // Label 34452: @2399103
     /* 2399103 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2399149), // Rule ID 56211 //
     /* 2399108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399111 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2399128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399148 */     // GIR_Coverage, 56211,
     /* 2399148 */     GIR_EraseRootFromParent_Done,
     /* 2399149 */   // Label 34453: @2399149
     /* 2399149 */   GIM_Reject,
     /* 2399150 */ // Label 34451: @2399150
     /* 2399150 */ GIM_Reject,
     /* 2399151 */ // Label 34416: @2399151
     /* 2399151 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2399260),
     /* 2399156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2399159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399167 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2399213), // Rule ID 56130 //
     /* 2399172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399175 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2399192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399212 */     // GIR_Coverage, 56130,
     /* 2399212 */     GIR_EraseRootFromParent_Done,
     /* 2399213 */   // Label 34455: @2399213
     /* 2399213 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2399259), // Rule ID 56131 //
     /* 2399218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399221 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2399238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399258 */     // GIR_Coverage, 56131,
     /* 2399258 */     GIR_EraseRootFromParent_Done,
     /* 2399259 */   // Label 34456: @2399259
     /* 2399259 */   GIM_Reject,
     /* 2399260 */ // Label 34454: @2399260
     /* 2399260 */ GIM_Reject,
     /* 2399261 */ // Label 34417: @2399261
     /* 2399261 */ GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2399370),
     /* 2399266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2399269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399277 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2399323), // Rule ID 56190 //
     /* 2399282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399285 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2399302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399322 */     // GIR_Coverage, 56190,
     /* 2399322 */     GIR_EraseRootFromParent_Done,
     /* 2399323 */   // Label 34458: @2399323
     /* 2399323 */   GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2399369), // Rule ID 56191 //
     /* 2399328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399331 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2399348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399368 */     // GIR_Coverage, 56191,
     /* 2399368 */     GIR_EraseRootFromParent_Done,
     /* 2399369 */   // Label 34459: @2399369
     /* 2399369 */   GIM_Reject,
     /* 2399370 */ // Label 34457: @2399370
     /* 2399370 */ GIM_Reject,
     /* 2399371 */ // Label 34418: @2399371
     /* 2399371 */ GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2399480),
     /* 2399376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399387 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2399433), // Rule ID 56350 //
     /* 2399392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399395 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399432 */     // GIR_Coverage, 56350,
     /* 2399432 */     GIR_EraseRootFromParent_Done,
     /* 2399433 */   // Label 34461: @2399433
     /* 2399433 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2399479), // Rule ID 56351 //
     /* 2399438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399441 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399478 */     // GIR_Coverage, 56351,
     /* 2399478 */     GIR_EraseRootFromParent_Done,
     /* 2399479 */   // Label 34462: @2399479
     /* 2399479 */   GIM_Reject,
     /* 2399480 */ // Label 34460: @2399480
     /* 2399480 */ GIM_Reject,
     /* 2399481 */ // Label 34419: @2399481
     /* 2399481 */ GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2399590),
     /* 2399486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399497 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2399543), // Rule ID 56170 //
     /* 2399502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399505 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399542 */     // GIR_Coverage, 56170,
     /* 2399542 */     GIR_EraseRootFromParent_Done,
     /* 2399543 */   // Label 34464: @2399543
     /* 2399543 */   GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2399589), // Rule ID 56171 //
     /* 2399548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399551 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399588 */     // GIR_Coverage, 56171,
     /* 2399588 */     GIR_EraseRootFromParent_Done,
     /* 2399589 */   // Label 34465: @2399589
     /* 2399589 */   GIM_Reject,
     /* 2399590 */ // Label 34463: @2399590
     /* 2399590 */ GIM_Reject,
     /* 2399591 */ // Label 34420: @2399591
     /* 2399591 */ GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2399700),
     /* 2399596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2399599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399607 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2399653), // Rule ID 56290 //
     /* 2399612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399615 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399652 */     // GIR_Coverage, 56290,
     /* 2399652 */     GIR_EraseRootFromParent_Done,
     /* 2399653 */   // Label 34467: @2399653
     /* 2399653 */   GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2399699), // Rule ID 56291 //
     /* 2399658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399661 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399698 */     // GIR_Coverage, 56291,
     /* 2399698 */     GIR_EraseRootFromParent_Done,
     /* 2399699 */   // Label 34468: @2399699
     /* 2399699 */   GIM_Reject,
     /* 2399700 */ // Label 34466: @2399700
     /* 2399700 */ GIM_Reject,
     /* 2399701 */ // Label 34421: @2399701
     /* 2399701 */ GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2399810),
     /* 2399706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2399709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399717 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2399763), // Rule ID 56370 //
     /* 2399722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399725 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399762 */     // GIR_Coverage, 56370,
     /* 2399762 */     GIR_EraseRootFromParent_Done,
     /* 2399763 */   // Label 34470: @2399763
     /* 2399763 */   GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2399809), // Rule ID 56371 //
     /* 2399768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399771 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399808 */     // GIR_Coverage, 56371,
     /* 2399808 */     GIR_EraseRootFromParent_Done,
     /* 2399809 */   // Label 34471: @2399809
     /* 2399809 */   GIM_Reject,
     /* 2399810 */ // Label 34469: @2399810
     /* 2399810 */ GIM_Reject,
     /* 2399811 */ // Label 34422: @2399811
     /* 2399811 */ GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2399920),
     /* 2399816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399827 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2399873), // Rule ID 56230 //
     /* 2399832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399835 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399872 */     // GIR_Coverage, 56230,
     /* 2399872 */     GIR_EraseRootFromParent_Done,
     /* 2399873 */   // Label 34473: @2399873
     /* 2399873 */   GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2399919), // Rule ID 56231 //
     /* 2399878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399881 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399918 */     // GIR_Coverage, 56231,
     /* 2399918 */     GIR_EraseRootFromParent_Done,
     /* 2399919 */   // Label 34474: @2399919
     /* 2399919 */   GIM_Reject,
     /* 2399920 */ // Label 34472: @2399920
     /* 2399920 */ GIM_Reject,
     /* 2399921 */ // Label 34423: @2399921
     /* 2399921 */ GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2400030),
     /* 2399926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399937 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399983), // Rule ID 56310 //
     /* 2399942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399945 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399982 */     // GIR_Coverage, 56310,
     /* 2399982 */     GIR_EraseRootFromParent_Done,
     /* 2399983 */   // Label 34476: @2399983
     /* 2399983 */   GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2400029), // Rule ID 56311 //
     /* 2399988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399991 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2400008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400028 */     // GIR_Coverage, 56311,
     /* 2400028 */     GIR_EraseRootFromParent_Done,
     /* 2400029 */   // Label 34477: @2400029
     /* 2400029 */   GIM_Reject,
     /* 2400030 */ // Label 34475: @2400030
     /* 2400030 */ GIM_Reject,
     /* 2400031 */ // Label 34424: @2400031
     /* 2400031 */ GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2400140),
     /* 2400036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2400039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400047 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2400093), // Rule ID 56390 //
     /* 2400052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2400055 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2400072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400092 */     // GIR_Coverage, 56390,
     /* 2400092 */     GIR_EraseRootFromParent_Done,
     /* 2400093 */   // Label 34479: @2400093
     /* 2400093 */   GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2400139), // Rule ID 56391 //
     /* 2400098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2400101 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2400118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400138 */     // GIR_Coverage, 56391,
     /* 2400138 */     GIR_EraseRootFromParent_Done,
     /* 2400139 */   // Label 34480: @2400139
     /* 2400139 */   GIM_Reject,
     /* 2400140 */ // Label 34478: @2400140
     /* 2400140 */ GIM_Reject,
     /* 2400141 */ // Label 34425: @2400141
     /* 2400141 */ GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2400250),
     /* 2400146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2400149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400157 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2400203), // Rule ID 56250 //
     /* 2400162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400165 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2400182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400202 */     // GIR_Coverage, 56250,
     /* 2400202 */     GIR_EraseRootFromParent_Done,
     /* 2400203 */   // Label 34482: @2400203
     /* 2400203 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2400249), // Rule ID 56251 //
     /* 2400208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400211 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2400228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400248 */     // GIR_Coverage, 56251,
     /* 2400248 */     GIR_EraseRootFromParent_Done,
     /* 2400249 */   // Label 34483: @2400249
     /* 2400249 */   GIM_Reject,
     /* 2400250 */ // Label 34481: @2400250
     /* 2400250 */ GIM_Reject,
     /* 2400251 */ // Label 34426: @2400251
     /* 2400251 */ GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2400360),
     /* 2400256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2400259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400267 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2400313), // Rule ID 56330 //
     /* 2400272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400275 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2400292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400312 */     // GIR_Coverage, 56330,
     /* 2400312 */     GIR_EraseRootFromParent_Done,
     /* 2400313 */   // Label 34485: @2400313
     /* 2400313 */   GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2400359), // Rule ID 56331 //
     /* 2400318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400321 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2400338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400358 */     // GIR_Coverage, 56331,
     /* 2400358 */     GIR_EraseRootFromParent_Done,
     /* 2400359 */   // Label 34486: @2400359
     /* 2400359 */   GIM_Reject,
     /* 2400360 */ // Label 34484: @2400360
     /* 2400360 */ GIM_Reject,
     /* 2400361 */ // Label 34427: @2400361
     /* 2400361 */ GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2400470),
     /* 2400366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2400369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400377 */   GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2400423), // Rule ID 56270 //
     /* 2400382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400385 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400422 */     // GIR_Coverage, 56270,
     /* 2400422 */     GIR_EraseRootFromParent_Done,
     /* 2400423 */   // Label 34488: @2400423
     /* 2400423 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2400469), // Rule ID 56271 //
     /* 2400428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400431 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400468 */     // GIR_Coverage, 56271,
     /* 2400468 */     GIR_EraseRootFromParent_Done,
     /* 2400469 */   // Label 34489: @2400469
     /* 2400469 */   GIM_Reject,
     /* 2400470 */ // Label 34487: @2400470
     /* 2400470 */ GIM_Reject,
     /* 2400471 */ // Label 34428: @2400471
     /* 2400471 */ GIM_Reject,
     /* 2400472 */ // Label 102: @2400472
     /* 2400472 */ GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2400484), // Rule ID 283 //
     /* 2400477 */   // (trap)  =>  (UNIMP)
     /* 2400477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2400482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400483 */   // GIR_Coverage, 283,
     /* 2400483 */   GIR_Done,
     /* 2400484 */ // Label 34490: @2400484
     /* 2400484 */ GIM_Reject,
     /* 2400485 */ // Label 103: @2400485
     /* 2400485 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2400497), // Rule ID 284 //
     /* 2400490 */   // (debugtrap)  =>  (EBREAK)
     /* 2400490 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2400495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400496 */   // GIR_Coverage, 284,
     /* 2400496 */   GIR_Done,
     /* 2400497 */ // Label 34491: @2400497
     /* 2400497 */ GIM_Reject,
     /* 2400498 */ // Label 104: @2400498
     /* 2400498 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2400592),
     /* 2400503 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400513 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2400532), // Rule ID 2410 //
     /* 2400518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400525 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2400530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400531 */     // GIR_Coverage, 2410,
     /* 2400531 */     GIR_Done,
     /* 2400532 */   // Label 34493: @2400532
     /* 2400532 */   GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2400591), // Rule ID 62484 //
     /* 2400537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2400540 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2400540 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2400543 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2400547 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400552 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2400556 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2400559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2400561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2400564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2400568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400573 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2400576 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2400579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2400584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400590 */     // GIR_Coverage, 62484,
     /* 2400590 */     GIR_EraseRootFromParent_Done,
     /* 2400591 */   // Label 34494: @2400591
     /* 2400591 */   GIM_Reject,
     /* 2400592 */ // Label 34492: @2400592
     /* 2400592 */ GIM_Reject,
     /* 2400593 */ // Label 105: @2400593
     /* 2400593 */ GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2400622), // Rule ID 2411 //
     /* 2400598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400601 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400615 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400615 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2400620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400621 */   // GIR_Coverage, 2411,
     /* 2400621 */   GIR_Done,
     /* 2400622 */ // Label 34495: @2400622
     /* 2400622 */ GIM_Reject,
     /* 2400623 */ // Label 106: @2400623
     /* 2400623 */ GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2400659), // Rule ID 307 //
     /* 2400628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400631 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400652 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400652 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2400657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400658 */   // GIR_Coverage, 307,
     /* 2400658 */   GIR_Done,
     /* 2400659 */ // Label 34496: @2400659
     /* 2400659 */ GIM_Reject,
     /* 2400660 */ // Label 107: @2400660
     /* 2400660 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2400696), // Rule ID 306 //
     /* 2400665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400668 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400689 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400689 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2400694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400695 */   // GIR_Coverage, 306,
     /* 2400695 */   GIR_Done,
     /* 2400696 */ // Label 34497: @2400696
     /* 2400696 */ GIM_Reject,
     /* 2400697 */ // Label 108: @2400697
     /* 2400697 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34500*/ GIMT_Encode4(2401056),
     /* 2400708 */ /*GILLT_s32*//*Label 34498*/ GIMT_Encode4(2400716),
     /* 2400712 */ /*GILLT_s64*//*Label 34499*/ GIMT_Encode4(2400873),
     /* 2400716 */ // Label 34498: @2400716
     /* 2400716 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2400742), // Rule ID 1176 //
     /* 2400721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400735 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400735 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400741 */   // GIR_Coverage, 1176,
     /* 2400741 */   GIR_Done,
     /* 2400742 */ // Label 34501: @2400742
     /* 2400742 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2400768), // Rule ID 1184 //
     /* 2400747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400761 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400767 */   // GIR_Coverage, 1184,
     /* 2400767 */   GIR_Done,
     /* 2400768 */ // Label 34502: @2400768
     /* 2400768 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2400794), // Rule ID 1519 //
     /* 2400773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400787 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400787 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400793 */   // GIR_Coverage, 1519,
     /* 2400793 */   GIR_Done,
     /* 2400794 */ // Label 34503: @2400794
     /* 2400794 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2400820), // Rule ID 1574 //
     /* 2400799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2400802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400813 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400813 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400819 */   // GIR_Coverage, 1574,
     /* 2400819 */   GIR_Done,
     /* 2400820 */ // Label 34504: @2400820
     /* 2400820 */ GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2400846), // Rule ID 1885 //
     /* 2400825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2400828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400839 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400845 */   // GIR_Coverage, 1885,
     /* 2400845 */   GIR_Done,
     /* 2400846 */ // Label 34505: @2400846
     /* 2400846 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2400872), // Rule ID 1918 //
     /* 2400851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2400854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400865 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400865 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400871 */   // GIR_Coverage, 1918,
     /* 2400871 */   GIR_Done,
     /* 2400872 */ // Label 34506: @2400872
     /* 2400872 */ GIM_Reject,
     /* 2400873 */ // Label 34499: @2400873
     /* 2400873 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400899), // Rule ID 1175 //
     /* 2400878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400892 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400892 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400898 */   // GIR_Coverage, 1175,
     /* 2400898 */   GIR_Done,
     /* 2400899 */ // Label 34507: @2400899
     /* 2400899 */ GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400925), // Rule ID 1183 //
     /* 2400904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400918 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400924 */   // GIR_Coverage, 1183,
     /* 2400924 */   GIR_Done,
     /* 2400925 */ // Label 34508: @2400925
     /* 2400925 */ GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400951), // Rule ID 1518 //
     /* 2400930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400944 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400944 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400950 */   // GIR_Coverage, 1518,
     /* 2400950 */   GIR_Done,
     /* 2400951 */ // Label 34509: @2400951
     /* 2400951 */ GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2400977), // Rule ID 1551 //
     /* 2400956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400970 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400970 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2400975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400976 */   // GIR_Coverage, 1551,
     /* 2400976 */   GIR_Done,
     /* 2400977 */ // Label 34510: @2400977
     /* 2400977 */ GIM_Try, /*On fail goto*//*Label 34511*/ GIMT_Encode4(2401003), // Rule ID 1573 //
     /* 2400982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2400985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400996 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400996 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2401001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401002 */   // GIR_Coverage, 1573,
     /* 2401002 */   GIR_Done,
     /* 2401003 */ // Label 34511: @2401003
     /* 2401003 */ GIM_Try, /*On fail goto*//*Label 34512*/ GIMT_Encode4(2401029), // Rule ID 1884 //
     /* 2401008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2401011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2401014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401022 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2401022 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2401027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401028 */   // GIR_Coverage, 1884,
     /* 2401028 */   GIR_Done,
     /* 2401029 */ // Label 34512: @2401029
     /* 2401029 */ GIM_Try, /*On fail goto*//*Label 34513*/ GIMT_Encode4(2401055), // Rule ID 1917 //
     /* 2401034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2401037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2401040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401048 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2401048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2401053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401054 */   // GIR_Coverage, 1917,
     /* 2401054 */   GIR_Done,
     /* 2401055 */ // Label 34513: @2401055
     /* 2401055 */ GIM_Reject,
     /* 2401056 */ // Label 34500: @2401056
     /* 2401056 */ GIM_Reject,
     /* 2401057 */ // Label 109: @2401057
     /* 2401057 */ GIM_Try, /*On fail goto*//*Label 34514*/ GIMT_Encode4(2401254),
     /* 2401062 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401065 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34518*/ GIMT_Encode4(2401253),
     /* 2401076 */   /*GILLT_s16*//*Label 34515*/ GIMT_Encode4(2401088),
     /* 2401080 */   /*GILLT_s32*//*Label 34516*/ GIMT_Encode4(2401143),
     /* 2401084 */   /*GILLT_s64*//*Label 34517*/ GIMT_Encode4(2401198),
     /* 2401088 */   // Label 34515: @2401088
     /* 2401088 */   GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2401142),
     /* 2401093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401097 */     GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2401119), // Rule ID 2135 //
     /* 2401102 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2401105 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401109 */       // MIs[0] frm
     /* 2401109 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401112 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401112 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2401117 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401118 */       // GIR_Coverage, 2135,
     /* 2401118 */       GIR_Done,
     /* 2401119 */     // Label 34520: @2401119
     /* 2401119 */     GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2401141), // Rule ID 2161 //
     /* 2401124 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2401127 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401131 */       // MIs[0] frm
     /* 2401131 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401134 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401134 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2401139 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401140 */       // GIR_Coverage, 2161,
     /* 2401140 */       GIR_Done,
     /* 2401141 */     // Label 34521: @2401141
     /* 2401141 */     GIM_Reject,
     /* 2401142 */   // Label 34519: @2401142
     /* 2401142 */   GIM_Reject,
     /* 2401143 */   // Label 34516: @2401143
     /* 2401143 */   GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2401197),
     /* 2401148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401152 */     GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2401174), // Rule ID 1401 //
     /* 2401157 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2401160 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2401164 */       // MIs[0] frm
     /* 2401164 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401167 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401167 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2401172 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401173 */       // GIR_Coverage, 1401,
     /* 2401173 */       GIR_Done,
     /* 2401174 */     // Label 34523: @2401174
     /* 2401174 */     GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401196), // Rule ID 1429 //
     /* 2401179 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2401182 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2401186 */       // MIs[0] frm
     /* 2401186 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401189 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401189 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2401194 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401195 */       // GIR_Coverage, 1429,
     /* 2401195 */       GIR_Done,
     /* 2401196 */     // Label 34524: @2401196
     /* 2401196 */     GIM_Reject,
     /* 2401197 */   // Label 34522: @2401197
     /* 2401197 */   GIM_Reject,
     /* 2401198 */   // Label 34517: @2401198
     /* 2401198 */   GIM_Try, /*On fail goto*//*Label 34525*/ GIMT_Encode4(2401252),
     /* 2401203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401207 */     GIM_Try, /*On fail goto*//*Label 34526*/ GIMT_Encode4(2401229), // Rule ID 1795 //
     /* 2401212 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2401215 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401219 */       // MIs[0] frm
     /* 2401219 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401222 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401222 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2401227 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401228 */       // GIR_Coverage, 1795,
     /* 2401228 */       GIR_Done,
     /* 2401229 */     // Label 34526: @2401229
     /* 2401229 */     GIM_Try, /*On fail goto*//*Label 34527*/ GIMT_Encode4(2401251), // Rule ID 1823 //
     /* 2401234 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401237 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401241 */       // MIs[0] frm
     /* 2401241 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401244 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401244 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2401249 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401250 */       // GIR_Coverage, 1823,
     /* 2401250 */       GIR_Done,
     /* 2401251 */     // Label 34527: @2401251
     /* 2401251 */     GIM_Reject,
     /* 2401252 */   // Label 34525: @2401252
     /* 2401252 */   GIM_Reject,
     /* 2401253 */   // Label 34518: @2401253
     /* 2401253 */   GIM_Reject,
     /* 2401254 */ // Label 34514: @2401254
     /* 2401254 */ GIM_Reject,
     /* 2401255 */ // Label 110: @2401255
     /* 2401255 */ GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2401452),
     /* 2401260 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401263 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34532*/ GIMT_Encode4(2401451),
     /* 2401274 */   /*GILLT_s16*//*Label 34529*/ GIMT_Encode4(2401286),
     /* 2401278 */   /*GILLT_s32*//*Label 34530*/ GIMT_Encode4(2401341),
     /* 2401282 */   /*GILLT_s64*//*Label 34531*/ GIMT_Encode4(2401396),
     /* 2401286 */   // Label 34529: @2401286
     /* 2401286 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2401340),
     /* 2401291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401295 */     GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2401317), // Rule ID 2133 //
     /* 2401300 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2401303 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2401307 */       // MIs[0] frm
     /* 2401307 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401310 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401310 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2401315 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401316 */       // GIR_Coverage, 2133,
     /* 2401316 */       GIR_Done,
     /* 2401317 */     // Label 34534: @2401317
     /* 2401317 */     GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2401339), // Rule ID 2159 //
     /* 2401322 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2401325 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2401329 */       // MIs[0] frm
     /* 2401329 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401332 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401332 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2401337 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401338 */       // GIR_Coverage, 2159,
     /* 2401338 */       GIR_Done,
     /* 2401339 */     // Label 34535: @2401339
     /* 2401339 */     GIM_Reject,
     /* 2401340 */   // Label 34533: @2401340
     /* 2401340 */   GIM_Reject,
     /* 2401341 */   // Label 34530: @2401341
     /* 2401341 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2401395),
     /* 2401346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401350 */     GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2401372), // Rule ID 1399 //
     /* 2401355 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2401358 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2401362 */       // MIs[0] frm
     /* 2401362 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401365 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401365 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2401370 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401371 */       // GIR_Coverage, 1399,
     /* 2401371 */       GIR_Done,
     /* 2401372 */     // Label 34537: @2401372
     /* 2401372 */     GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2401394), // Rule ID 1427 //
     /* 2401377 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2401380 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2401384 */       // MIs[0] frm
     /* 2401384 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401387 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401387 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2401392 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401393 */       // GIR_Coverage, 1427,
     /* 2401393 */       GIR_Done,
     /* 2401394 */     // Label 34538: @2401394
     /* 2401394 */     GIM_Reject,
     /* 2401395 */   // Label 34536: @2401395
     /* 2401395 */   GIM_Reject,
     /* 2401396 */   // Label 34531: @2401396
     /* 2401396 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2401450),
     /* 2401401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401405 */     GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2401427), // Rule ID 1793 //
     /* 2401410 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2401413 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401417 */       // MIs[0] frm
     /* 2401417 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401420 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401420 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2401425 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401426 */       // GIR_Coverage, 1793,
     /* 2401426 */       GIR_Done,
     /* 2401427 */     // Label 34540: @2401427
     /* 2401427 */     GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2401449), // Rule ID 1821 //
     /* 2401432 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401435 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401439 */       // MIs[0] frm
     /* 2401439 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401442 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401442 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2401447 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401448 */       // GIR_Coverage, 1821,
     /* 2401448 */       GIR_Done,
     /* 2401449 */     // Label 34541: @2401449
     /* 2401449 */     GIM_Reject,
     /* 2401450 */   // Label 34539: @2401450
     /* 2401450 */   GIM_Reject,
     /* 2401451 */   // Label 34532: @2401451
     /* 2401451 */   GIM_Reject,
     /* 2401452 */ // Label 34528: @2401452
     /* 2401452 */ GIM_Reject,
     /* 2401453 */ // Label 111: @2401453
     /* 2401453 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34544*/ GIMT_Encode4(2401512),
     /* 2401464 */ /*GILLT_s32*//*Label 34542*/ GIMT_Encode4(2401472),
     /* 2401468 */ /*GILLT_s64*//*Label 34543*/ GIMT_Encode4(2401492),
     /* 2401472 */ // Label 34542: @2401472
     /* 2401472 */ GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2401491), // Rule ID 67 //
     /* 2401477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401484 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2401484 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401490 */   // GIR_Coverage, 67,
     /* 2401490 */   GIR_Done,
     /* 2401491 */ // Label 34545: @2401491
     /* 2401491 */ GIM_Reject,
     /* 2401492 */ // Label 34543: @2401492
     /* 2401492 */ GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2401511), // Rule ID 66 //
     /* 2401497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401504 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2401504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401510 */   // GIR_Coverage, 66,
     /* 2401510 */   GIR_Done,
     /* 2401511 */ // Label 34546: @2401511
     /* 2401511 */ GIM_Reject,
     /* 2401512 */ // Label 34544: @2401512
     /* 2401512 */ GIM_Reject,
     /* 2401513 */ // Label 112: @2401513
     /* 2401513 */ GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2401549), // Rule ID 308 //
     /* 2401518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2401521 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401542 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2401547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401548 */   // GIR_Coverage, 308,
     /* 2401548 */   GIR_Done,
     /* 2401549 */ // Label 34547: @2401549
     /* 2401549 */ GIM_Reject,
     /* 2401550 */ // Label 113: @2401550
     /* 2401550 */ GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2401674),
     /* 2401555 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401572 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2401608), // Rule ID 2359 //
     /* 2401577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401592 */     // MIs[1] Operand 1
     /* 2401592 */     // No operand predicates
     /* 2401592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401594 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401601 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401607 */     // GIR_Coverage, 2359,
     /* 2401607 */     GIR_EraseRootFromParent_Done,
     /* 2401608 */   // Label 34549: @2401608
     /* 2401608 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2401644), // Rule ID 62481 //
     /* 2401613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401628 */     // MIs[1] Operand 1
     /* 2401628 */     // No operand predicates
     /* 2401628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401630 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401637 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401643 */     // GIR_Coverage, 62481,
     /* 2401643 */     GIR_EraseRootFromParent_Done,
     /* 2401644 */   // Label 34550: @2401644
     /* 2401644 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2401673), // Rule ID 2356 //
     /* 2401649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401659 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2401662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401672 */     // GIR_Coverage, 2356,
     /* 2401672 */     GIR_EraseRootFromParent_Done,
     /* 2401673 */   // Label 34551: @2401673
     /* 2401673 */   GIM_Reject,
     /* 2401674 */ // Label 34548: @2401674
     /* 2401674 */ GIM_Reject,
     /* 2401675 */ // Label 114: @2401675
     /* 2401675 */ GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2401795),
     /* 2401680 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401697 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2401731), // Rule ID 2358 //
     /* 2401702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401717 */     // MIs[1] Operand 1
     /* 2401717 */     // No operand predicates
     /* 2401717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401719 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401730 */     // GIR_Coverage, 2358,
     /* 2401730 */     GIR_EraseRootFromParent_Done,
     /* 2401731 */   // Label 34553: @2401731
     /* 2401731 */   GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2401765), // Rule ID 62480 //
     /* 2401736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401751 */     // MIs[1] Operand 1
     /* 2401751 */     // No operand predicates
     /* 2401751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401753 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401764 */     // GIR_Coverage, 62480,
     /* 2401764 */     GIR_EraseRootFromParent_Done,
     /* 2401765 */   // Label 34554: @2401765
     /* 2401765 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2401794), // Rule ID 2357 //
     /* 2401770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401780 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2401783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401793 */     // GIR_Coverage, 2357,
     /* 2401793 */     GIR_EraseRootFromParent_Done,
     /* 2401794 */   // Label 34555: @2401794
     /* 2401794 */   GIM_Reject,
     /* 2401795 */ // Label 34552: @2401795
     /* 2401795 */ GIM_Reject,
     /* 2401796 */ // Label 115: @2401796
     /* 2401796 */ GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2401842), // Rule ID 261 //
     /* 2401801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401804 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401828 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2401831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401835 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401841 */   // GIR_Coverage, 261,
     /* 2401841 */   GIR_EraseRootFromParent_Done,
     /* 2401842 */ // Label 34556: @2401842
     /* 2401842 */ GIM_Reject,
     /* 2401843 */ // Label 116: @2401843
     /* 2401843 */ GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2401889), // Rule ID 263 //
     /* 2401848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401851 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401868 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401875 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2401878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401888 */   // GIR_Coverage, 263,
     /* 2401888 */   GIR_EraseRootFromParent_Done,
     /* 2401889 */ // Label 34557: @2401889
     /* 2401889 */ GIM_Reject,
     /* 2401890 */ // Label 117: @2401890
     /* 2401890 */ GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2401936), // Rule ID 262 //
     /* 2401895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401898 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401915 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401922 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2401925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401935 */   // GIR_Coverage, 262,
     /* 2401935 */   GIR_EraseRootFromParent_Done,
     /* 2401936 */ // Label 34558: @2401936
     /* 2401936 */ GIM_Reject,
     /* 2401937 */ // Label 118: @2401937
     /* 2401937 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34566*/ GIMT_Encode4(2402585),
     /* 2401948 */ /*GILLT_nxv1s1*//*Label 34559*/ GIMT_Encode4(2402060), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401968 */ /*GILLT_nxv2s1*//*Label 34560*/ GIMT_Encode4(2402135), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401988 */ /*GILLT_nxv4s1*//*Label 34561*/ GIMT_Encode4(2402210), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402008 */ /*GILLT_nxv8s1*//*Label 34562*/ GIMT_Encode4(2402285), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402028 */ /*GILLT_nxv16s1*//*Label 34563*/ GIMT_Encode4(2402360), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402044 */ /*GILLT_nxv32s1*//*Label 34564*/ GIMT_Encode4(2402435), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402056 */ /*GILLT_nxv64s1*//*Label 34565*/ GIMT_Encode4(2402510),
     /* 2402060 */ // Label 34559: @2402060
     /* 2402060 */ GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2402097), // Rule ID 44592 //
     /* 2402065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402082 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2402085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402096 */   // GIR_Coverage, 44592,
     /* 2402096 */   GIR_EraseRootFromParent_Done,
     /* 2402097 */ // Label 34567: @2402097
     /* 2402097 */ GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2402134), // Rule ID 44593 //
     /* 2402102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402112 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402119 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2402122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402133 */   // GIR_Coverage, 44593,
     /* 2402133 */   GIR_EraseRootFromParent_Done,
     /* 2402134 */ // Label 34568: @2402134
     /* 2402134 */ GIM_Reject,
     /* 2402135 */ // Label 34560: @2402135
     /* 2402135 */ GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2402172), // Rule ID 44620 //
     /* 2402140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402150 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402157 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2402160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402171 */   // GIR_Coverage, 44620,
     /* 2402171 */   GIR_EraseRootFromParent_Done,
     /* 2402172 */ // Label 34569: @2402172
     /* 2402172 */ GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2402209), // Rule ID 44621 //
     /* 2402177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402187 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402194 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2402197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402199 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402208 */   // GIR_Coverage, 44621,
     /* 2402208 */   GIR_EraseRootFromParent_Done,
     /* 2402209 */ // Label 34570: @2402209
     /* 2402209 */ GIM_Reject,
     /* 2402210 */ // Label 34561: @2402210
     /* 2402210 */ GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2402247), // Rule ID 44648 //
     /* 2402215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402225 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402232 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2402235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402246 */   // GIR_Coverage, 44648,
     /* 2402246 */   GIR_EraseRootFromParent_Done,
     /* 2402247 */ // Label 34571: @2402247
     /* 2402247 */ GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2402284), // Rule ID 44649 //
     /* 2402252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402262 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402269 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2402272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402283 */   // GIR_Coverage, 44649,
     /* 2402283 */   GIR_EraseRootFromParent_Done,
     /* 2402284 */ // Label 34572: @2402284
     /* 2402284 */ GIM_Reject,
     /* 2402285 */ // Label 34562: @2402285
     /* 2402285 */ GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2402322), // Rule ID 44676 //
     /* 2402290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402307 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2402310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402321 */   // GIR_Coverage, 44676,
     /* 2402321 */   GIR_EraseRootFromParent_Done,
     /* 2402322 */ // Label 34573: @2402322
     /* 2402322 */ GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2402359), // Rule ID 44677 //
     /* 2402327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402337 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402344 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2402347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402358 */   // GIR_Coverage, 44677,
     /* 2402358 */   GIR_EraseRootFromParent_Done,
     /* 2402359 */ // Label 34574: @2402359
     /* 2402359 */ GIM_Reject,
     /* 2402360 */ // Label 34563: @2402360
     /* 2402360 */ GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2402397), // Rule ID 44704 //
     /* 2402365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402382 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402396 */   // GIR_Coverage, 44704,
     /* 2402396 */   GIR_EraseRootFromParent_Done,
     /* 2402397 */ // Label 34575: @2402397
     /* 2402397 */ GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2402434), // Rule ID 44705 //
     /* 2402402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402412 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402419 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2402422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402424 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402433 */   // GIR_Coverage, 44705,
     /* 2402433 */   GIR_EraseRootFromParent_Done,
     /* 2402434 */ // Label 34576: @2402434
     /* 2402434 */ GIM_Reject,
     /* 2402435 */ // Label 34564: @2402435
     /* 2402435 */ GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2402472), // Rule ID 44732 //
     /* 2402440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402450 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402457 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402471 */   // GIR_Coverage, 44732,
     /* 2402471 */   GIR_EraseRootFromParent_Done,
     /* 2402472 */ // Label 34577: @2402472
     /* 2402472 */ GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2402509), // Rule ID 44733 //
     /* 2402477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402487 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402494 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402508 */   // GIR_Coverage, 44733,
     /* 2402508 */   GIR_EraseRootFromParent_Done,
     /* 2402509 */ // Label 34578: @2402509
     /* 2402509 */ GIM_Reject,
     /* 2402510 */ // Label 34565: @2402510
     /* 2402510 */ GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2402547), // Rule ID 44760 //
     /* 2402515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402525 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402532 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402546 */   // GIR_Coverage, 44760,
     /* 2402546 */   GIR_EraseRootFromParent_Done,
     /* 2402547 */ // Label 34579: @2402547
     /* 2402547 */ GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2402584), // Rule ID 44761 //
     /* 2402552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402562 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402569 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402574 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402583 */   // GIR_Coverage, 44761,
     /* 2402583 */   GIR_EraseRootFromParent_Done,
     /* 2402584 */ // Label 34580: @2402584
     /* 2402584 */ GIM_Reject,
     /* 2402585 */ // Label 34566: @2402585
     /* 2402585 */ GIM_Reject,
     /* 2402586 */ // Label 119: @2402586
     /* 2402586 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34588*/ GIMT_Encode4(2403234),
     /* 2402597 */ /*GILLT_nxv1s1*//*Label 34581*/ GIMT_Encode4(2402709), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402617 */ /*GILLT_nxv2s1*//*Label 34582*/ GIMT_Encode4(2402784), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402637 */ /*GILLT_nxv4s1*//*Label 34583*/ GIMT_Encode4(2402859), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402657 */ /*GILLT_nxv8s1*//*Label 34584*/ GIMT_Encode4(2402934), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402677 */ /*GILLT_nxv16s1*//*Label 34585*/ GIMT_Encode4(2403009), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402693 */ /*GILLT_nxv32s1*//*Label 34586*/ GIMT_Encode4(2403084), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402705 */ /*GILLT_nxv64s1*//*Label 34587*/ GIMT_Encode4(2403159),
     /* 2402709 */ // Label 34581: @2402709
     /* 2402709 */ GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2402746), // Rule ID 44590 //
     /* 2402714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402724 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402731 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402745 */   // GIR_Coverage, 44590,
     /* 2402745 */   GIR_EraseRootFromParent_Done,
     /* 2402746 */ // Label 34589: @2402746
     /* 2402746 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2402783), // Rule ID 44591 //
     /* 2402751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402761 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402768 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402782 */   // GIR_Coverage, 44591,
     /* 2402782 */   GIR_EraseRootFromParent_Done,
     /* 2402783 */ // Label 34590: @2402783
     /* 2402783 */ GIM_Reject,
     /* 2402784 */ // Label 34582: @2402784
     /* 2402784 */ GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2402821), // Rule ID 44618 //
     /* 2402789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402806 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402820 */   // GIR_Coverage, 44618,
     /* 2402820 */   GIR_EraseRootFromParent_Done,
     /* 2402821 */ // Label 34591: @2402821
     /* 2402821 */ GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2402858), // Rule ID 44619 //
     /* 2402826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402843 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402857 */   // GIR_Coverage, 44619,
     /* 2402857 */   GIR_EraseRootFromParent_Done,
     /* 2402858 */ // Label 34592: @2402858
     /* 2402858 */ GIM_Reject,
     /* 2402859 */ // Label 34583: @2402859
     /* 2402859 */ GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2402896), // Rule ID 44646 //
     /* 2402864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402874 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402881 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402895 */   // GIR_Coverage, 44646,
     /* 2402895 */   GIR_EraseRootFromParent_Done,
     /* 2402896 */ // Label 34593: @2402896
     /* 2402896 */ GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2402933), // Rule ID 44647 //
     /* 2402901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402918 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402932 */   // GIR_Coverage, 44647,
     /* 2402932 */   GIR_EraseRootFromParent_Done,
     /* 2402933 */ // Label 34594: @2402933
     /* 2402933 */ GIM_Reject,
     /* 2402934 */ // Label 34584: @2402934
     /* 2402934 */ GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2402971), // Rule ID 44674 //
     /* 2402939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402949 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402956 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402970 */   // GIR_Coverage, 44674,
     /* 2402970 */   GIR_EraseRootFromParent_Done,
     /* 2402971 */ // Label 34595: @2402971
     /* 2402971 */ GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2403008), // Rule ID 44675 //
     /* 2402976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402986 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402993 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402998 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403007 */   // GIR_Coverage, 44675,
     /* 2403007 */   GIR_EraseRootFromParent_Done,
     /* 2403008 */ // Label 34596: @2403008
     /* 2403008 */ GIM_Reject,
     /* 2403009 */ // Label 34585: @2403009
     /* 2403009 */ GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2403046), // Rule ID 44702 //
     /* 2403014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403031 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2403034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403045 */   // GIR_Coverage, 44702,
     /* 2403045 */   GIR_EraseRootFromParent_Done,
     /* 2403046 */ // Label 34597: @2403046
     /* 2403046 */ GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2403083), // Rule ID 44703 //
     /* 2403051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403068 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2403071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403082 */   // GIR_Coverage, 44703,
     /* 2403082 */   GIR_EraseRootFromParent_Done,
     /* 2403083 */ // Label 34598: @2403083
     /* 2403083 */ GIM_Reject,
     /* 2403084 */ // Label 34586: @2403084
     /* 2403084 */ GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2403121), // Rule ID 44730 //
     /* 2403089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403099 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403106 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2403109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403120 */   // GIR_Coverage, 44730,
     /* 2403120 */   GIR_EraseRootFromParent_Done,
     /* 2403121 */ // Label 34599: @2403121
     /* 2403121 */ GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2403158), // Rule ID 44731 //
     /* 2403126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403136 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403143 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2403146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403157 */   // GIR_Coverage, 44731,
     /* 2403157 */   GIR_EraseRootFromParent_Done,
     /* 2403158 */ // Label 34600: @2403158
     /* 2403158 */ GIM_Reject,
     /* 2403159 */ // Label 34587: @2403159
     /* 2403159 */ GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2403196), // Rule ID 44758 //
     /* 2403164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2403170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403174 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403181 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2403181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2403184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403195 */   // GIR_Coverage, 44758,
     /* 2403195 */   GIR_EraseRootFromParent_Done,
     /* 2403196 */ // Label 34601: @2403196
     /* 2403196 */ GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2403233), // Rule ID 44759 //
     /* 2403201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2403207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403211 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403218 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2403218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2403221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2403232 */   // GIR_Coverage, 44759,
     /* 2403232 */   GIR_EraseRootFromParent_Done,
     /* 2403233 */ // Label 34602: @2403233
     /* 2403233 */ GIM_Reject,
     /* 2403234 */ // Label 34588: @2403234
     /* 2403234 */ GIM_Reject,
     /* 2403235 */ // Label 120: @2403235
     /* 2403235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34625*/ GIMT_Encode4(2407492),
     /* 2403246 */ /*GILLT_nxv1s8*//*Label 34603*/ GIMT_Encode4(2403358),
     /* 2403250 */ /*GILLT_nxv1s16*//*Label 34604*/ GIMT_Encode4(2403475),
     /* 2403254 */ /*GILLT_nxv1s32*//*Label 34605*/ GIMT_Encode4(2403696),
     /* 2403258 */ /*GILLT_nxv1s64*//*Label 34606*/ GIMT_Encode4(2403917), GIMT_Encode4(0),
     /* 2403266 */ /*GILLT_nxv2s8*//*Label 34607*/ GIMT_Encode4(2404138),
     /* 2403270 */ /*GILLT_nxv2s16*//*Label 34608*/ GIMT_Encode4(2404255),
     /* 2403274 */ /*GILLT_nxv2s32*//*Label 34609*/ GIMT_Encode4(2404476),
     /* 2403278 */ /*GILLT_nxv2s64*//*Label 34610*/ GIMT_Encode4(2404697), GIMT_Encode4(0),
     /* 2403286 */ /*GILLT_nxv4s8*//*Label 34611*/ GIMT_Encode4(2404918),
     /* 2403290 */ /*GILLT_nxv4s16*//*Label 34612*/ GIMT_Encode4(2405035),
     /* 2403294 */ /*GILLT_nxv4s32*//*Label 34613*/ GIMT_Encode4(2405256),
     /* 2403298 */ /*GILLT_nxv4s64*//*Label 34614*/ GIMT_Encode4(2405477), GIMT_Encode4(0),
     /* 2403306 */ /*GILLT_nxv8s8*//*Label 34615*/ GIMT_Encode4(2405698),
     /* 2403310 */ /*GILLT_nxv8s16*//*Label 34616*/ GIMT_Encode4(2405815),
     /* 2403314 */ /*GILLT_nxv8s32*//*Label 34617*/ GIMT_Encode4(2406036),
     /* 2403318 */ /*GILLT_nxv8s64*//*Label 34618*/ GIMT_Encode4(2406257), GIMT_Encode4(0),
     /* 2403326 */ /*GILLT_nxv16s8*//*Label 34619*/ GIMT_Encode4(2406478),
     /* 2403330 */ /*GILLT_nxv16s16*//*Label 34620*/ GIMT_Encode4(2406595),
     /* 2403334 */ /*GILLT_nxv16s32*//*Label 34621*/ GIMT_Encode4(2406816), GIMT_Encode4(0),
     /* 2403342 */ /*GILLT_nxv32s8*//*Label 34622*/ GIMT_Encode4(2407037),
     /* 2403346 */ /*GILLT_nxv32s16*//*Label 34623*/ GIMT_Encode4(2407154), GIMT_Encode4(0),
     /* 2403354 */ /*GILLT_nxv64s8*//*Label 34624*/ GIMT_Encode4(2407375),
     /* 2403358 */ // Label 34603: @2403358
     /* 2403358 */ GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2403474),
     /* 2403363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2403366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2403369 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2403421), // Rule ID 32180 //
     /* 2403374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403399 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403404 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403420 */     // GIR_Coverage, 32180,
     /* 2403420 */     GIR_EraseRootFromParent_Done,
     /* 2403421 */   // Label 34627: @2403421
     /* 2403421 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2403473), // Rule ID 32181 //
     /* 2403426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403451 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403456 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403472 */     // GIR_Coverage, 32181,
     /* 2403472 */     GIR_EraseRootFromParent_Done,
     /* 2403473 */   // Label 34628: @2403473
     /* 2403473 */   GIM_Reject,
     /* 2403474 */ // Label 34626: @2403474
     /* 2403474 */ GIM_Reject,
     /* 2403475 */ // Label 34604: @2403475
     /* 2403475 */ GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2403695),
     /* 2403480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2403486 */   GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2403538), // Rule ID 32450 //
     /* 2403491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403516 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403521 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403537 */     // GIR_Coverage, 32450,
     /* 2403537 */     GIR_EraseRootFromParent_Done,
     /* 2403538 */   // Label 34630: @2403538
     /* 2403538 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2403590), // Rule ID 32451 //
     /* 2403543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403568 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403573 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403589 */     // GIR_Coverage, 32451,
     /* 2403589 */     GIR_EraseRootFromParent_Done,
     /* 2403590 */   // Label 34631: @2403590
     /* 2403590 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2403642), // Rule ID 34160 //
     /* 2403595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403620 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403625 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403641 */     // GIR_Coverage, 34160,
     /* 2403641 */     GIR_EraseRootFromParent_Done,
     /* 2403642 */   // Label 34632: @2403642
     /* 2403642 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2403694), // Rule ID 34161 //
     /* 2403647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403672 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403677 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403693 */     // GIR_Coverage, 34161,
     /* 2403693 */     GIR_EraseRootFromParent_Done,
     /* 2403694 */   // Label 34633: @2403694
     /* 2403694 */   GIM_Reject,
     /* 2403695 */ // Label 34629: @2403695
     /* 2403695 */ GIM_Reject,
     /* 2403696 */ // Label 34605: @2403696
     /* 2403696 */ GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2403916),
     /* 2403701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2403707 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2403759), // Rule ID 32630 //
     /* 2403712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403737 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403742 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403758 */     // GIR_Coverage, 32630,
     /* 2403758 */     GIR_EraseRootFromParent_Done,
     /* 2403759 */   // Label 34635: @2403759
     /* 2403759 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2403811), // Rule ID 32631 //
     /* 2403764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403789 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403794 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403810 */     // GIR_Coverage, 32631,
     /* 2403810 */     GIR_EraseRootFromParent_Done,
     /* 2403811 */   // Label 34636: @2403811
     /* 2403811 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2403863), // Rule ID 34340 //
     /* 2403816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403841 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403846 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403862 */     // GIR_Coverage, 34340,
     /* 2403862 */     GIR_EraseRootFromParent_Done,
     /* 2403863 */   // Label 34637: @2403863
     /* 2403863 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2403915), // Rule ID 34341 //
     /* 2403868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403893 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403898 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403914 */     // GIR_Coverage, 34341,
     /* 2403914 */     GIR_EraseRootFromParent_Done,
     /* 2403915 */   // Label 34638: @2403915
     /* 2403915 */   GIM_Reject,
     /* 2403916 */ // Label 34634: @2403916
     /* 2403916 */ GIM_Reject,
     /* 2403917 */ // Label 34606: @2403917
     /* 2403917 */ GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2404137),
     /* 2403922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2403925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2403928 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2403980), // Rule ID 32990 //
     /* 2403933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403958 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403963 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403979 */     // GIR_Coverage, 32990,
     /* 2403979 */     GIR_EraseRootFromParent_Done,
     /* 2403980 */   // Label 34640: @2403980
     /* 2403980 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2404032), // Rule ID 32991 //
     /* 2403985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404010 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404015 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404031 */     // GIR_Coverage, 32991,
     /* 2404031 */     GIR_EraseRootFromParent_Done,
     /* 2404032 */   // Label 34641: @2404032
     /* 2404032 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2404084), // Rule ID 34610 //
     /* 2404037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404062 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404067 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404083 */     // GIR_Coverage, 34610,
     /* 2404083 */     GIR_EraseRootFromParent_Done,
     /* 2404084 */   // Label 34642: @2404084
     /* 2404084 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2404136), // Rule ID 34611 //
     /* 2404089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404114 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404119 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404135 */     // GIR_Coverage, 34611,
     /* 2404135 */     GIR_EraseRootFromParent_Done,
     /* 2404136 */   // Label 34643: @2404136
     /* 2404136 */   GIM_Reject,
     /* 2404137 */ // Label 34639: @2404137
     /* 2404137 */ GIM_Reject,
     /* 2404138 */ // Label 34607: @2404138
     /* 2404138 */ GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2404254),
     /* 2404143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2404146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2404149 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2404201), // Rule ID 32270 //
     /* 2404154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404179 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2404182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404184 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404200 */     // GIR_Coverage, 32270,
     /* 2404200 */     GIR_EraseRootFromParent_Done,
     /* 2404201 */   // Label 34645: @2404201
     /* 2404201 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2404253), // Rule ID 32271 //
     /* 2404206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404231 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2404234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404236 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404252 */     // GIR_Coverage, 32271,
     /* 2404252 */     GIR_EraseRootFromParent_Done,
     /* 2404253 */   // Label 34646: @2404253
     /* 2404253 */   GIM_Reject,
     /* 2404254 */ // Label 34644: @2404254
     /* 2404254 */ GIM_Reject,
     /* 2404255 */ // Label 34608: @2404255
     /* 2404255 */ GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2404475),
     /* 2404260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2404263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2404266 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2404318), // Rule ID 32540 //
     /* 2404271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404296 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404301 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404317 */     // GIR_Coverage, 32540,
     /* 2404317 */     GIR_EraseRootFromParent_Done,
     /* 2404318 */   // Label 34648: @2404318
     /* 2404318 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2404370), // Rule ID 32541 //
     /* 2404323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404348 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404353 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404369 */     // GIR_Coverage, 32541,
     /* 2404369 */     GIR_EraseRootFromParent_Done,
     /* 2404370 */   // Label 34649: @2404370
     /* 2404370 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2404422), // Rule ID 34250 //
     /* 2404375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404400 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404405 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404421 */     // GIR_Coverage, 34250,
     /* 2404421 */     GIR_EraseRootFromParent_Done,
     /* 2404422 */   // Label 34650: @2404422
     /* 2404422 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2404474), // Rule ID 34251 //
     /* 2404427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404452 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404457 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404473 */     // GIR_Coverage, 34251,
     /* 2404473 */     GIR_EraseRootFromParent_Done,
     /* 2404474 */   // Label 34651: @2404474
     /* 2404474 */   GIM_Reject,
     /* 2404475 */ // Label 34647: @2404475
     /* 2404475 */ GIM_Reject,
     /* 2404476 */ // Label 34609: @2404476
     /* 2404476 */ GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2404696),
     /* 2404481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2404484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2404487 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2404539), // Rule ID 32900 //
     /* 2404492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404517 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404522 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404538 */     // GIR_Coverage, 32900,
     /* 2404538 */     GIR_EraseRootFromParent_Done,
     /* 2404539 */   // Label 34653: @2404539
     /* 2404539 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2404591), // Rule ID 32901 //
     /* 2404544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404569 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404574 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404590 */     // GIR_Coverage, 32901,
     /* 2404590 */     GIR_EraseRootFromParent_Done,
     /* 2404591 */   // Label 34654: @2404591
     /* 2404591 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2404643), // Rule ID 34520 //
     /* 2404596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404621 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404626 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404642 */     // GIR_Coverage, 34520,
     /* 2404642 */     GIR_EraseRootFromParent_Done,
     /* 2404643 */   // Label 34655: @2404643
     /* 2404643 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2404695), // Rule ID 34521 //
     /* 2404648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404673 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404678 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404694 */     // GIR_Coverage, 34521,
     /* 2404694 */     GIR_EraseRootFromParent_Done,
     /* 2404695 */   // Label 34656: @2404695
     /* 2404695 */   GIM_Reject,
     /* 2404696 */ // Label 34652: @2404696
     /* 2404696 */ GIM_Reject,
     /* 2404697 */ // Label 34610: @2404697
     /* 2404697 */ GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2404917),
     /* 2404702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2404708 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2404760), // Rule ID 33890 //
     /* 2404713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404738 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404743 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404759 */     // GIR_Coverage, 33890,
     /* 2404759 */     GIR_EraseRootFromParent_Done,
     /* 2404760 */   // Label 34658: @2404760
     /* 2404760 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2404812), // Rule ID 33891 //
     /* 2404765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404790 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404795 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404811 */     // GIR_Coverage, 33891,
     /* 2404811 */     GIR_EraseRootFromParent_Done,
     /* 2404812 */   // Label 34659: @2404812
     /* 2404812 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2404864), // Rule ID 35240 //
     /* 2404817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404842 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404847 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404863 */     // GIR_Coverage, 35240,
     /* 2404863 */     GIR_EraseRootFromParent_Done,
     /* 2404864 */   // Label 34660: @2404864
     /* 2404864 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2404916), // Rule ID 35241 //
     /* 2404869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404894 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404899 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404915 */     // GIR_Coverage, 35241,
     /* 2404915 */     GIR_EraseRootFromParent_Done,
     /* 2404916 */   // Label 34661: @2404916
     /* 2404916 */   GIM_Reject,
     /* 2404917 */ // Label 34657: @2404917
     /* 2404917 */ GIM_Reject,
     /* 2404918 */ // Label 34611: @2404918
     /* 2404918 */ GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2405034),
     /* 2404923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2404926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2404929 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2404981), // Rule ID 32360 //
     /* 2404934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404959 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404964 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404980 */     // GIR_Coverage, 32360,
     /* 2404980 */     GIR_EraseRootFromParent_Done,
     /* 2404981 */   // Label 34663: @2404981
     /* 2404981 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2405033), // Rule ID 32361 //
     /* 2404986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405011 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2405014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405016 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405032 */     // GIR_Coverage, 32361,
     /* 2405032 */     GIR_EraseRootFromParent_Done,
     /* 2405033 */   // Label 34664: @2405033
     /* 2405033 */   GIM_Reject,
     /* 2405034 */ // Label 34662: @2405034
     /* 2405034 */ GIM_Reject,
     /* 2405035 */ // Label 34612: @2405035
     /* 2405035 */ GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2405255),
     /* 2405040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2405043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2405046 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2405098), // Rule ID 32810 //
     /* 2405051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405076 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405081 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405097 */     // GIR_Coverage, 32810,
     /* 2405097 */     GIR_EraseRootFromParent_Done,
     /* 2405098 */   // Label 34666: @2405098
     /* 2405098 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2405150), // Rule ID 32811 //
     /* 2405103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405128 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405133 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405149 */     // GIR_Coverage, 32811,
     /* 2405149 */     GIR_EraseRootFromParent_Done,
     /* 2405150 */   // Label 34667: @2405150
     /* 2405150 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2405202), // Rule ID 34430 //
     /* 2405155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405180 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405185 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405201 */     // GIR_Coverage, 34430,
     /* 2405201 */     GIR_EraseRootFromParent_Done,
     /* 2405202 */   // Label 34668: @2405202
     /* 2405202 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2405254), // Rule ID 34431 //
     /* 2405207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405232 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405237 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405253 */     // GIR_Coverage, 34431,
     /* 2405253 */     GIR_EraseRootFromParent_Done,
     /* 2405254 */   // Label 34669: @2405254
     /* 2405254 */   GIM_Reject,
     /* 2405255 */ // Label 34665: @2405255
     /* 2405255 */ GIM_Reject,
     /* 2405256 */ // Label 34613: @2405256
     /* 2405256 */ GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2405476),
     /* 2405261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2405264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2405267 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2405319), // Rule ID 33620 //
     /* 2405272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405297 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405302 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405318 */     // GIR_Coverage, 33620,
     /* 2405318 */     GIR_EraseRootFromParent_Done,
     /* 2405319 */   // Label 34671: @2405319
     /* 2405319 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2405371), // Rule ID 33621 //
     /* 2405324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405349 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405354 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405370 */     // GIR_Coverage, 33621,
     /* 2405370 */     GIR_EraseRootFromParent_Done,
     /* 2405371 */   // Label 34672: @2405371
     /* 2405371 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2405423), // Rule ID 34970 //
     /* 2405376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405401 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405406 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405422 */     // GIR_Coverage, 34970,
     /* 2405422 */     GIR_EraseRootFromParent_Done,
     /* 2405423 */   // Label 34673: @2405423
     /* 2405423 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2405475), // Rule ID 34971 //
     /* 2405428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405453 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405458 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405474 */     // GIR_Coverage, 34971,
     /* 2405474 */     GIR_EraseRootFromParent_Done,
     /* 2405475 */   // Label 34674: @2405475
     /* 2405475 */   GIM_Reject,
     /* 2405476 */ // Label 34670: @2405476
     /* 2405476 */ GIM_Reject,
     /* 2405477 */ // Label 34614: @2405477
     /* 2405477 */ GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2405697),
     /* 2405482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2405488 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2405540), // Rule ID 33980 //
     /* 2405493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405518 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405523 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405539 */     // GIR_Coverage, 33980,
     /* 2405539 */     GIR_EraseRootFromParent_Done,
     /* 2405540 */   // Label 34676: @2405540
     /* 2405540 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2405592), // Rule ID 33981 //
     /* 2405545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405570 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405575 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405591 */     // GIR_Coverage, 33981,
     /* 2405591 */     GIR_EraseRootFromParent_Done,
     /* 2405592 */   // Label 34677: @2405592
     /* 2405592 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2405644), // Rule ID 35330 //
     /* 2405597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405622 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405627 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405643 */     // GIR_Coverage, 35330,
     /* 2405643 */     GIR_EraseRootFromParent_Done,
     /* 2405644 */   // Label 34678: @2405644
     /* 2405644 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2405696), // Rule ID 35331 //
     /* 2405649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405674 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405679 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405695 */     // GIR_Coverage, 35331,
     /* 2405695 */     GIR_EraseRootFromParent_Done,
     /* 2405696 */   // Label 34679: @2405696
     /* 2405696 */   GIM_Reject,
     /* 2405697 */ // Label 34675: @2405697
     /* 2405697 */ GIM_Reject,
     /* 2405698 */ // Label 34615: @2405698
     /* 2405698 */ GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2405814),
     /* 2405703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2405706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2405709 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2405761), // Rule ID 32720 //
     /* 2405714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405739 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405744 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405760 */     // GIR_Coverage, 32720,
     /* 2405760 */     GIR_EraseRootFromParent_Done,
     /* 2405761 */   // Label 34681: @2405761
     /* 2405761 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2405813), // Rule ID 32721 //
     /* 2405766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405791 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405796 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405812 */     // GIR_Coverage, 32721,
     /* 2405812 */     GIR_EraseRootFromParent_Done,
     /* 2405813 */   // Label 34682: @2405813
     /* 2405813 */   GIM_Reject,
     /* 2405814 */ // Label 34680: @2405814
     /* 2405814 */ GIM_Reject,
     /* 2405815 */ // Label 34616: @2405815
     /* 2405815 */ GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2406035),
     /* 2405820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2405823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2405826 */   GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2405878), // Rule ID 33350 //
     /* 2405831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405856 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405861 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405877 */     // GIR_Coverage, 33350,
     /* 2405877 */     GIR_EraseRootFromParent_Done,
     /* 2405878 */   // Label 34684: @2405878
     /* 2405878 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2405930), // Rule ID 33351 //
     /* 2405883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405908 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405913 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405929 */     // GIR_Coverage, 33351,
     /* 2405929 */     GIR_EraseRootFromParent_Done,
     /* 2405930 */   // Label 34685: @2405930
     /* 2405930 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2405982), // Rule ID 34700 //
     /* 2405935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405960 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405965 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405981 */     // GIR_Coverage, 34700,
     /* 2405981 */     GIR_EraseRootFromParent_Done,
     /* 2405982 */   // Label 34686: @2405982
     /* 2405982 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2406034), // Rule ID 34701 //
     /* 2405987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406012 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406017 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406033 */     // GIR_Coverage, 34701,
     /* 2406033 */     GIR_EraseRootFromParent_Done,
     /* 2406034 */   // Label 34687: @2406034
     /* 2406034 */   GIM_Reject,
     /* 2406035 */ // Label 34683: @2406035
     /* 2406035 */ GIM_Reject,
     /* 2406036 */ // Label 34617: @2406036
     /* 2406036 */ GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2406256),
     /* 2406041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2406044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2406047 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2406099), // Rule ID 33710 //
     /* 2406052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406077 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406082 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406098 */     // GIR_Coverage, 33710,
     /* 2406098 */     GIR_EraseRootFromParent_Done,
     /* 2406099 */   // Label 34689: @2406099
     /* 2406099 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2406151), // Rule ID 33711 //
     /* 2406104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406129 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406134 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406150 */     // GIR_Coverage, 33711,
     /* 2406150 */     GIR_EraseRootFromParent_Done,
     /* 2406151 */   // Label 34690: @2406151
     /* 2406151 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2406203), // Rule ID 35060 //
     /* 2406156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406181 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406186 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406202 */     // GIR_Coverage, 35060,
     /* 2406202 */     GIR_EraseRootFromParent_Done,
     /* 2406203 */   // Label 34691: @2406203
     /* 2406203 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2406255), // Rule ID 35061 //
     /* 2406208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406233 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406238 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406254 */     // GIR_Coverage, 35061,
     /* 2406254 */     GIR_EraseRootFromParent_Done,
     /* 2406255 */   // Label 34692: @2406255
     /* 2406255 */   GIM_Reject,
     /* 2406256 */ // Label 34688: @2406256
     /* 2406256 */ GIM_Reject,
     /* 2406257 */ // Label 34618: @2406257
     /* 2406257 */ GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2406477),
     /* 2406262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2406265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2406268 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2406320), // Rule ID 34070 //
     /* 2406273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406298 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406303 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406319 */     // GIR_Coverage, 34070,
     /* 2406319 */     GIR_EraseRootFromParent_Done,
     /* 2406320 */   // Label 34694: @2406320
     /* 2406320 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2406372), // Rule ID 34071 //
     /* 2406325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406350 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406355 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406371 */     // GIR_Coverage, 34071,
     /* 2406371 */     GIR_EraseRootFromParent_Done,
     /* 2406372 */   // Label 34695: @2406372
     /* 2406372 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2406424), // Rule ID 35420 //
     /* 2406377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406402 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406407 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406423 */     // GIR_Coverage, 35420,
     /* 2406423 */     GIR_EraseRootFromParent_Done,
     /* 2406424 */   // Label 34696: @2406424
     /* 2406424 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2406476), // Rule ID 35421 //
     /* 2406429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406454 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406459 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406475 */     // GIR_Coverage, 35421,
     /* 2406475 */     GIR_EraseRootFromParent_Done,
     /* 2406476 */   // Label 34697: @2406476
     /* 2406476 */   GIM_Reject,
     /* 2406477 */ // Label 34693: @2406477
     /* 2406477 */ GIM_Reject,
     /* 2406478 */ // Label 34619: @2406478
     /* 2406478 */ GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2406594),
     /* 2406483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2406486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2406489 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2406541), // Rule ID 33080 //
     /* 2406494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406519 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406524 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406540 */     // GIR_Coverage, 33080,
     /* 2406540 */     GIR_EraseRootFromParent_Done,
     /* 2406541 */   // Label 34699: @2406541
     /* 2406541 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2406593), // Rule ID 33081 //
     /* 2406546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406571 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406576 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406592 */     // GIR_Coverage, 33081,
     /* 2406592 */     GIR_EraseRootFromParent_Done,
     /* 2406593 */   // Label 34700: @2406593
     /* 2406593 */   GIM_Reject,
     /* 2406594 */ // Label 34698: @2406594
     /* 2406594 */ GIM_Reject,
     /* 2406595 */ // Label 34620: @2406595
     /* 2406595 */ GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2406815),
     /* 2406600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2406603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2406606 */   GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2406658), // Rule ID 33440 //
     /* 2406611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406636 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406641 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406657 */     // GIR_Coverage, 33440,
     /* 2406657 */     GIR_EraseRootFromParent_Done,
     /* 2406658 */   // Label 34702: @2406658
     /* 2406658 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2406710), // Rule ID 33441 //
     /* 2406663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406688 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406693 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406709 */     // GIR_Coverage, 33441,
     /* 2406709 */     GIR_EraseRootFromParent_Done,
     /* 2406710 */   // Label 34703: @2406710
     /* 2406710 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2406762), // Rule ID 34790 //
     /* 2406715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406740 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406745 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406761 */     // GIR_Coverage, 34790,
     /* 2406761 */     GIR_EraseRootFromParent_Done,
     /* 2406762 */   // Label 34704: @2406762
     /* 2406762 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2406814), // Rule ID 34791 //
     /* 2406767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406792 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406797 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406813 */     // GIR_Coverage, 34791,
     /* 2406813 */     GIR_EraseRootFromParent_Done,
     /* 2406814 */   // Label 34705: @2406814
     /* 2406814 */   GIM_Reject,
     /* 2406815 */ // Label 34701: @2406815
     /* 2406815 */ GIM_Reject,
     /* 2406816 */ // Label 34621: @2406816
     /* 2406816 */ GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2407036),
     /* 2406821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2406824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2406827 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2406879), // Rule ID 33800 //
     /* 2406832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406857 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406862 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406878 */     // GIR_Coverage, 33800,
     /* 2406878 */     GIR_EraseRootFromParent_Done,
     /* 2406879 */   // Label 34707: @2406879
     /* 2406879 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2406931), // Rule ID 33801 //
     /* 2406884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406909 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406914 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406930 */     // GIR_Coverage, 33801,
     /* 2406930 */     GIR_EraseRootFromParent_Done,
     /* 2406931 */   // Label 34708: @2406931
     /* 2406931 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2406983), // Rule ID 35150 //
     /* 2406936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406961 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406966 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406982 */     // GIR_Coverage, 35150,
     /* 2406982 */     GIR_EraseRootFromParent_Done,
     /* 2406983 */   // Label 34709: @2406983
     /* 2406983 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2407035), // Rule ID 35151 //
     /* 2406988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407013 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407018 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407034 */     // GIR_Coverage, 35151,
     /* 2407034 */     GIR_EraseRootFromParent_Done,
     /* 2407035 */   // Label 34710: @2407035
     /* 2407035 */   GIM_Reject,
     /* 2407036 */ // Label 34706: @2407036
     /* 2407036 */ GIM_Reject,
     /* 2407037 */ // Label 34622: @2407037
     /* 2407037 */ GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2407153),
     /* 2407042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2407045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2407048 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2407100), // Rule ID 33170 //
     /* 2407053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407078 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2407081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407083 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407099 */     // GIR_Coverage, 33170,
     /* 2407099 */     GIR_EraseRootFromParent_Done,
     /* 2407100 */   // Label 34712: @2407100
     /* 2407100 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2407152), // Rule ID 33171 //
     /* 2407105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407130 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2407133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407135 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407151 */     // GIR_Coverage, 33171,
     /* 2407151 */     GIR_EraseRootFromParent_Done,
     /* 2407152 */   // Label 34713: @2407152
     /* 2407152 */   GIM_Reject,
     /* 2407153 */ // Label 34711: @2407153
     /* 2407153 */ GIM_Reject,
     /* 2407154 */ // Label 34623: @2407154
     /* 2407154 */ GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2407374),
     /* 2407159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2407162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2407165 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2407217), // Rule ID 33530 //
     /* 2407170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407195 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407200 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407216 */     // GIR_Coverage, 33530,
     /* 2407216 */     GIR_EraseRootFromParent_Done,
     /* 2407217 */   // Label 34715: @2407217
     /* 2407217 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2407269), // Rule ID 33531 //
     /* 2407222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407247 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407252 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407268 */     // GIR_Coverage, 33531,
     /* 2407268 */     GIR_EraseRootFromParent_Done,
     /* 2407269 */   // Label 34716: @2407269
     /* 2407269 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2407321), // Rule ID 34880 //
     /* 2407274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407299 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407304 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407320 */     // GIR_Coverage, 34880,
     /* 2407320 */     GIR_EraseRootFromParent_Done,
     /* 2407321 */   // Label 34717: @2407321
     /* 2407321 */   GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2407373), // Rule ID 34881 //
     /* 2407326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407351 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407356 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407372 */     // GIR_Coverage, 34881,
     /* 2407372 */     GIR_EraseRootFromParent_Done,
     /* 2407373 */   // Label 34718: @2407373
     /* 2407373 */   GIM_Reject,
     /* 2407374 */ // Label 34714: @2407374
     /* 2407374 */ GIM_Reject,
     /* 2407375 */ // Label 34624: @2407375
     /* 2407375 */ GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2407491),
     /* 2407380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2407383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2407386 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2407438), // Rule ID 33260 //
     /* 2407391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407416 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2407416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407421 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407437 */     // GIR_Coverage, 33260,
     /* 2407437 */     GIR_EraseRootFromParent_Done,
     /* 2407438 */   // Label 34720: @2407438
     /* 2407438 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2407490), // Rule ID 33261 //
     /* 2407443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407468 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407473 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407489 */     // GIR_Coverage, 33261,
     /* 2407489 */     GIR_EraseRootFromParent_Done,
     /* 2407490 */   // Label 34721: @2407490
     /* 2407490 */   GIM_Reject,
     /* 2407491 */ // Label 34719: @2407491
     /* 2407491 */ GIM_Reject,
     /* 2407492 */ // Label 34625: @2407492
     /* 2407492 */ GIM_Reject,
     /* 2407493 */ // Label 121: @2407493
     /* 2407493 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34744*/ GIMT_Encode4(2419372),
     /* 2407504 */ /*GILLT_nxv1s8*//*Label 34722*/ GIMT_Encode4(2407616),
     /* 2407508 */ /*GILLT_nxv1s16*//*Label 34723*/ GIMT_Encode4(2407939),
     /* 2407512 */ /*GILLT_nxv1s32*//*Label 34724*/ GIMT_Encode4(2408572),
     /* 2407516 */ /*GILLT_nxv1s64*//*Label 34725*/ GIMT_Encode4(2409205), GIMT_Encode4(0),
     /* 2407524 */ /*GILLT_nxv2s8*//*Label 34726*/ GIMT_Encode4(2409838),
     /* 2407528 */ /*GILLT_nxv2s16*//*Label 34727*/ GIMT_Encode4(2410161),
     /* 2407532 */ /*GILLT_nxv2s32*//*Label 34728*/ GIMT_Encode4(2410794),
     /* 2407536 */ /*GILLT_nxv2s64*//*Label 34729*/ GIMT_Encode4(2411427), GIMT_Encode4(0),
     /* 2407544 */ /*GILLT_nxv4s8*//*Label 34730*/ GIMT_Encode4(2412060),
     /* 2407548 */ /*GILLT_nxv4s16*//*Label 34731*/ GIMT_Encode4(2412383),
     /* 2407552 */ /*GILLT_nxv4s32*//*Label 34732*/ GIMT_Encode4(2413016),
     /* 2407556 */ /*GILLT_nxv4s64*//*Label 34733*/ GIMT_Encode4(2413649), GIMT_Encode4(0),
     /* 2407564 */ /*GILLT_nxv8s8*//*Label 34734*/ GIMT_Encode4(2414282),
     /* 2407568 */ /*GILLT_nxv8s16*//*Label 34735*/ GIMT_Encode4(2414605),
     /* 2407572 */ /*GILLT_nxv8s32*//*Label 34736*/ GIMT_Encode4(2415238),
     /* 2407576 */ /*GILLT_nxv8s64*//*Label 34737*/ GIMT_Encode4(2415871), GIMT_Encode4(0),
     /* 2407584 */ /*GILLT_nxv16s8*//*Label 34738*/ GIMT_Encode4(2416504),
     /* 2407588 */ /*GILLT_nxv16s16*//*Label 34739*/ GIMT_Encode4(2416827),
     /* 2407592 */ /*GILLT_nxv16s32*//*Label 34740*/ GIMT_Encode4(2417460), GIMT_Encode4(0),
     /* 2407600 */ /*GILLT_nxv32s8*//*Label 34741*/ GIMT_Encode4(2418093),
     /* 2407604 */ /*GILLT_nxv32s16*//*Label 34742*/ GIMT_Encode4(2418416), GIMT_Encode4(0),
     /* 2407612 */ /*GILLT_nxv64s8*//*Label 34743*/ GIMT_Encode4(2419049),
     /* 2407616 */ // Label 34722: @2407616
     /* 2407616 */ GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2407938),
     /* 2407621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2407624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2407627 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2407710), // Rule ID 45324 //
     /* 2407632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407668 */     // MIs[1] Operand 1
     /* 2407668 */     // No operand predicates
     /* 2407668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407672 */     // MIs[0] policy
     /* 2407672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407684 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407709 */     // GIR_Coverage, 45324,
     /* 2407709 */     GIR_EraseRootFromParent_Done,
     /* 2407710 */   // Label 34746: @2407710
     /* 2407710 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2407793), // Rule ID 45325 //
     /* 2407715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407751 */     // MIs[1] Operand 1
     /* 2407751 */     // No operand predicates
     /* 2407751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407755 */     // MIs[0] policy
     /* 2407755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407767 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407792 */     // GIR_Coverage, 45325,
     /* 2407792 */     GIR_EraseRootFromParent_Done,
     /* 2407793 */   // Label 34747: @2407793
     /* 2407793 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2407865), // Rule ID 45326 //
     /* 2407798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407830 */     // MIs[0] policy
     /* 2407830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407840 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407864 */     // GIR_Coverage, 45326,
     /* 2407864 */     GIR_EraseRootFromParent_Done,
     /* 2407865 */   // Label 34748: @2407865
     /* 2407865 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2407937), // Rule ID 45327 //
     /* 2407870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407902 */     // MIs[0] policy
     /* 2407902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407912 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407936 */     // GIR_Coverage, 45327,
     /* 2407936 */     GIR_EraseRootFromParent_Done,
     /* 2407937 */   // Label 34749: @2407937
     /* 2407937 */   GIM_Reject,
     /* 2407938 */ // Label 34745: @2407938
     /* 2407938 */ GIM_Reject,
     /* 2407939 */ // Label 34723: @2407939
     /* 2407939 */ GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2408571),
     /* 2407944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2407950 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2408033), // Rule ID 45336 //
     /* 2407955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407991 */     // MIs[1] Operand 1
     /* 2407991 */     // No operand predicates
     /* 2407991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407995 */     // MIs[0] policy
     /* 2407995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408007 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408032 */     // GIR_Coverage, 45336,
     /* 2408032 */     GIR_EraseRootFromParent_Done,
     /* 2408033 */   // Label 34751: @2408033
     /* 2408033 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2408116), // Rule ID 45337 //
     /* 2408038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408074 */     // MIs[1] Operand 1
     /* 2408074 */     // No operand predicates
     /* 2408074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408078 */     // MIs[0] policy
     /* 2408078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408090 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408115 */     // GIR_Coverage, 45337,
     /* 2408115 */     GIR_EraseRootFromParent_Done,
     /* 2408116 */   // Label 34752: @2408116
     /* 2408116 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2408199), // Rule ID 45412 //
     /* 2408121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408157 */     // MIs[1] Operand 1
     /* 2408157 */     // No operand predicates
     /* 2408157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408161 */     // MIs[0] policy
     /* 2408161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408173 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408198 */     // GIR_Coverage, 45412,
     /* 2408198 */     GIR_EraseRootFromParent_Done,
     /* 2408199 */   // Label 34753: @2408199
     /* 2408199 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2408282), // Rule ID 45413 //
     /* 2408204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408240 */     // MIs[1] Operand 1
     /* 2408240 */     // No operand predicates
     /* 2408240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408244 */     // MIs[0] policy
     /* 2408244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408256 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2408259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408281 */     // GIR_Coverage, 45413,
     /* 2408281 */     GIR_EraseRootFromParent_Done,
     /* 2408282 */   // Label 34754: @2408282
     /* 2408282 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2408354), // Rule ID 45338 //
     /* 2408287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408319 */     // MIs[0] policy
     /* 2408319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408329 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408353 */     // GIR_Coverage, 45338,
     /* 2408353 */     GIR_EraseRootFromParent_Done,
     /* 2408354 */   // Label 34755: @2408354
     /* 2408354 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2408426), // Rule ID 45339 //
     /* 2408359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408391 */     // MIs[0] policy
     /* 2408391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408401 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408425 */     // GIR_Coverage, 45339,
     /* 2408425 */     GIR_EraseRootFromParent_Done,
     /* 2408426 */   // Label 34756: @2408426
     /* 2408426 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2408498), // Rule ID 45414 //
     /* 2408431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408463 */     // MIs[0] policy
     /* 2408463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408473 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408497 */     // GIR_Coverage, 45414,
     /* 2408497 */     GIR_EraseRootFromParent_Done,
     /* 2408498 */   // Label 34757: @2408498
     /* 2408498 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2408570), // Rule ID 45415 //
     /* 2408503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408535 */     // MIs[0] policy
     /* 2408535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408545 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408569 */     // GIR_Coverage, 45415,
     /* 2408569 */     GIR_EraseRootFromParent_Done,
     /* 2408570 */   // Label 34758: @2408570
     /* 2408570 */   GIM_Reject,
     /* 2408571 */ // Label 34750: @2408571
     /* 2408571 */ GIM_Reject,
     /* 2408572 */ // Label 34724: @2408572
     /* 2408572 */ GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2409204),
     /* 2408577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2408583 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2408666), // Rule ID 45344 //
     /* 2408588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408624 */     // MIs[1] Operand 1
     /* 2408624 */     // No operand predicates
     /* 2408624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408628 */     // MIs[0] policy
     /* 2408628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408640 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408665 */     // GIR_Coverage, 45344,
     /* 2408665 */     GIR_EraseRootFromParent_Done,
     /* 2408666 */   // Label 34760: @2408666
     /* 2408666 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2408749), // Rule ID 45345 //
     /* 2408671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408707 */     // MIs[1] Operand 1
     /* 2408707 */     // No operand predicates
     /* 2408707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408711 */     // MIs[0] policy
     /* 2408711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408723 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408748 */     // GIR_Coverage, 45345,
     /* 2408748 */     GIR_EraseRootFromParent_Done,
     /* 2408749 */   // Label 34761: @2408749
     /* 2408749 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2408832), // Rule ID 45420 //
     /* 2408754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408790 */     // MIs[1] Operand 1
     /* 2408790 */     // No operand predicates
     /* 2408790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408794 */     // MIs[0] policy
     /* 2408794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408806 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408831 */     // GIR_Coverage, 45420,
     /* 2408831 */     GIR_EraseRootFromParent_Done,
     /* 2408832 */   // Label 34762: @2408832
     /* 2408832 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2408915), // Rule ID 45421 //
     /* 2408837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408873 */     // MIs[1] Operand 1
     /* 2408873 */     // No operand predicates
     /* 2408873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408877 */     // MIs[0] policy
     /* 2408877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408889 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408914 */     // GIR_Coverage, 45421,
     /* 2408914 */     GIR_EraseRootFromParent_Done,
     /* 2408915 */   // Label 34763: @2408915
     /* 2408915 */   GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2408987), // Rule ID 45346 //
     /* 2408920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408952 */     // MIs[0] policy
     /* 2408952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408962 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408986 */     // GIR_Coverage, 45346,
     /* 2408986 */     GIR_EraseRootFromParent_Done,
     /* 2408987 */   // Label 34764: @2408987
     /* 2408987 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2409059), // Rule ID 45347 //
     /* 2408992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409024 */     // MIs[0] policy
     /* 2409024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409034 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409058 */     // GIR_Coverage, 45347,
     /* 2409058 */     GIR_EraseRootFromParent_Done,
     /* 2409059 */   // Label 34765: @2409059
     /* 2409059 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2409131), // Rule ID 45422 //
     /* 2409064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409096 */     // MIs[0] policy
     /* 2409096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409106 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409130 */     // GIR_Coverage, 45422,
     /* 2409130 */     GIR_EraseRootFromParent_Done,
     /* 2409131 */   // Label 34766: @2409131
     /* 2409131 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2409203), // Rule ID 45423 //
     /* 2409136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409168 */     // MIs[0] policy
     /* 2409168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409178 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2409181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409202 */     // GIR_Coverage, 45423,
     /* 2409202 */     GIR_EraseRootFromParent_Done,
     /* 2409203 */   // Label 34767: @2409203
     /* 2409203 */   GIM_Reject,
     /* 2409204 */ // Label 34759: @2409204
     /* 2409204 */ GIM_Reject,
     /* 2409205 */ // Label 34725: @2409205
     /* 2409205 */ GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2409837),
     /* 2409210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2409216 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2409299), // Rule ID 45360 //
     /* 2409221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409257 */     // MIs[1] Operand 1
     /* 2409257 */     // No operand predicates
     /* 2409257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409261 */     // MIs[0] policy
     /* 2409261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409273 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409298 */     // GIR_Coverage, 45360,
     /* 2409298 */     GIR_EraseRootFromParent_Done,
     /* 2409299 */   // Label 34769: @2409299
     /* 2409299 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2409382), // Rule ID 45361 //
     /* 2409304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409340 */     // MIs[1] Operand 1
     /* 2409340 */     // No operand predicates
     /* 2409340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409344 */     // MIs[0] policy
     /* 2409344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409356 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409381 */     // GIR_Coverage, 45361,
     /* 2409381 */     GIR_EraseRootFromParent_Done,
     /* 2409382 */   // Label 34770: @2409382
     /* 2409382 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2409465), // Rule ID 45432 //
     /* 2409387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409423 */     // MIs[1] Operand 1
     /* 2409423 */     // No operand predicates
     /* 2409423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409427 */     // MIs[0] policy
     /* 2409427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409439 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409464 */     // GIR_Coverage, 45432,
     /* 2409464 */     GIR_EraseRootFromParent_Done,
     /* 2409465 */   // Label 34771: @2409465
     /* 2409465 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2409548), // Rule ID 45433 //
     /* 2409470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409506 */     // MIs[1] Operand 1
     /* 2409506 */     // No operand predicates
     /* 2409506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409510 */     // MIs[0] policy
     /* 2409510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409522 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409547 */     // GIR_Coverage, 45433,
     /* 2409547 */     GIR_EraseRootFromParent_Done,
     /* 2409548 */   // Label 34772: @2409548
     /* 2409548 */   GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2409620), // Rule ID 45362 //
     /* 2409553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409585 */     // MIs[0] policy
     /* 2409585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409595 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409619 */     // GIR_Coverage, 45362,
     /* 2409619 */     GIR_EraseRootFromParent_Done,
     /* 2409620 */   // Label 34773: @2409620
     /* 2409620 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2409692), // Rule ID 45363 //
     /* 2409625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409657 */     // MIs[0] policy
     /* 2409657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409667 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409691 */     // GIR_Coverage, 45363,
     /* 2409691 */     GIR_EraseRootFromParent_Done,
     /* 2409692 */   // Label 34774: @2409692
     /* 2409692 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2409764), // Rule ID 45434 //
     /* 2409697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409729 */     // MIs[0] policy
     /* 2409729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409739 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409763 */     // GIR_Coverage, 45434,
     /* 2409763 */     GIR_EraseRootFromParent_Done,
     /* 2409764 */   // Label 34775: @2409764
     /* 2409764 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2409836), // Rule ID 45435 //
     /* 2409769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409801 */     // MIs[0] policy
     /* 2409801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409811 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409835 */     // GIR_Coverage, 45435,
     /* 2409835 */     GIR_EraseRootFromParent_Done,
     /* 2409836 */   // Label 34776: @2409836
     /* 2409836 */   GIM_Reject,
     /* 2409837 */ // Label 34768: @2409837
     /* 2409837 */ GIM_Reject,
     /* 2409838 */ // Label 34726: @2409838
     /* 2409838 */ GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2410160),
     /* 2409843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2409846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2409849 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2409932), // Rule ID 45328 //
     /* 2409854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409890 */     // MIs[1] Operand 1
     /* 2409890 */     // No operand predicates
     /* 2409890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409894 */     // MIs[0] policy
     /* 2409894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409906 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409931 */     // GIR_Coverage, 45328,
     /* 2409931 */     GIR_EraseRootFromParent_Done,
     /* 2409932 */   // Label 34778: @2409932
     /* 2409932 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2410015), // Rule ID 45329 //
     /* 2409937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409973 */     // MIs[1] Operand 1
     /* 2409973 */     // No operand predicates
     /* 2409973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409977 */     // MIs[0] policy
     /* 2409977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409989 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410014 */     // GIR_Coverage, 45329,
     /* 2410014 */     GIR_EraseRootFromParent_Done,
     /* 2410015 */   // Label 34779: @2410015
     /* 2410015 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2410087), // Rule ID 45330 //
     /* 2410020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410052 */     // MIs[0] policy
     /* 2410052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410062 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2410065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410086 */     // GIR_Coverage, 45330,
     /* 2410086 */     GIR_EraseRootFromParent_Done,
     /* 2410087 */   // Label 34780: @2410087
     /* 2410087 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2410159), // Rule ID 45331 //
     /* 2410092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410124 */     // MIs[0] policy
     /* 2410124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410134 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2410137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410158 */     // GIR_Coverage, 45331,
     /* 2410158 */     GIR_EraseRootFromParent_Done,
     /* 2410159 */   // Label 34781: @2410159
     /* 2410159 */   GIM_Reject,
     /* 2410160 */ // Label 34777: @2410160
     /* 2410160 */ GIM_Reject,
     /* 2410161 */ // Label 34727: @2410161
     /* 2410161 */ GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410793),
     /* 2410166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2410172 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410255), // Rule ID 45340 //
     /* 2410177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410213 */     // MIs[1] Operand 1
     /* 2410213 */     // No operand predicates
     /* 2410213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410217 */     // MIs[0] policy
     /* 2410217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410229 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410254 */     // GIR_Coverage, 45340,
     /* 2410254 */     GIR_EraseRootFromParent_Done,
     /* 2410255 */   // Label 34783: @2410255
     /* 2410255 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410338), // Rule ID 45341 //
     /* 2410260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410296 */     // MIs[1] Operand 1
     /* 2410296 */     // No operand predicates
     /* 2410296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410300 */     // MIs[0] policy
     /* 2410300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410312 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410337 */     // GIR_Coverage, 45341,
     /* 2410337 */     GIR_EraseRootFromParent_Done,
     /* 2410338 */   // Label 34784: @2410338
     /* 2410338 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410421), // Rule ID 45416 //
     /* 2410343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410379 */     // MIs[1] Operand 1
     /* 2410379 */     // No operand predicates
     /* 2410379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410383 */     // MIs[0] policy
     /* 2410383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410395 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410420 */     // GIR_Coverage, 45416,
     /* 2410420 */     GIR_EraseRootFromParent_Done,
     /* 2410421 */   // Label 34785: @2410421
     /* 2410421 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410504), // Rule ID 45417 //
     /* 2410426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410462 */     // MIs[1] Operand 1
     /* 2410462 */     // No operand predicates
     /* 2410462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410466 */     // MIs[0] policy
     /* 2410466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410478 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410503 */     // GIR_Coverage, 45417,
     /* 2410503 */     GIR_EraseRootFromParent_Done,
     /* 2410504 */   // Label 34786: @2410504
     /* 2410504 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2410576), // Rule ID 45342 //
     /* 2410509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410541 */     // MIs[0] policy
     /* 2410541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410551 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410575 */     // GIR_Coverage, 45342,
     /* 2410575 */     GIR_EraseRootFromParent_Done,
     /* 2410576 */   // Label 34787: @2410576
     /* 2410576 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2410648), // Rule ID 45343 //
     /* 2410581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410613 */     // MIs[0] policy
     /* 2410613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410623 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410647 */     // GIR_Coverage, 45343,
     /* 2410647 */     GIR_EraseRootFromParent_Done,
     /* 2410648 */   // Label 34788: @2410648
     /* 2410648 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2410720), // Rule ID 45418 //
     /* 2410653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410685 */     // MIs[0] policy
     /* 2410685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410695 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410719 */     // GIR_Coverage, 45418,
     /* 2410719 */     GIR_EraseRootFromParent_Done,
     /* 2410720 */   // Label 34789: @2410720
     /* 2410720 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2410792), // Rule ID 45419 //
     /* 2410725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410757 */     // MIs[0] policy
     /* 2410757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410767 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410791 */     // GIR_Coverage, 45419,
     /* 2410791 */     GIR_EraseRootFromParent_Done,
     /* 2410792 */   // Label 34790: @2410792
     /* 2410792 */   GIM_Reject,
     /* 2410793 */ // Label 34782: @2410793
     /* 2410793 */ GIM_Reject,
     /* 2410794 */ // Label 34728: @2410794
     /* 2410794 */ GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2411426),
     /* 2410799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2410805 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2410888), // Rule ID 45356 //
     /* 2410810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410846 */     // MIs[1] Operand 1
     /* 2410846 */     // No operand predicates
     /* 2410846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410850 */     // MIs[0] policy
     /* 2410850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410862 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410887 */     // GIR_Coverage, 45356,
     /* 2410887 */     GIR_EraseRootFromParent_Done,
     /* 2410888 */   // Label 34792: @2410888
     /* 2410888 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2410971), // Rule ID 45357 //
     /* 2410893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410929 */     // MIs[1] Operand 1
     /* 2410929 */     // No operand predicates
     /* 2410929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410933 */     // MIs[0] policy
     /* 2410933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410945 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410970 */     // GIR_Coverage, 45357,
     /* 2410970 */     GIR_EraseRootFromParent_Done,
     /* 2410971 */   // Label 34793: @2410971
     /* 2410971 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2411054), // Rule ID 45428 //
     /* 2410976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411012 */     // MIs[1] Operand 1
     /* 2411012 */     // No operand predicates
     /* 2411012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411016 */     // MIs[0] policy
     /* 2411016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411028 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2411031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411053 */     // GIR_Coverage, 45428,
     /* 2411053 */     GIR_EraseRootFromParent_Done,
     /* 2411054 */   // Label 34794: @2411054
     /* 2411054 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2411137), // Rule ID 45429 //
     /* 2411059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411095 */     // MIs[1] Operand 1
     /* 2411095 */     // No operand predicates
     /* 2411095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411099 */     // MIs[0] policy
     /* 2411099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411111 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2411114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411136 */     // GIR_Coverage, 45429,
     /* 2411136 */     GIR_EraseRootFromParent_Done,
     /* 2411137 */   // Label 34795: @2411137
     /* 2411137 */   GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411209), // Rule ID 45358 //
     /* 2411142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411174 */     // MIs[0] policy
     /* 2411174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411184 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411208 */     // GIR_Coverage, 45358,
     /* 2411208 */     GIR_EraseRootFromParent_Done,
     /* 2411209 */   // Label 34796: @2411209
     /* 2411209 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411281), // Rule ID 45359 //
     /* 2411214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411246 */     // MIs[0] policy
     /* 2411246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411256 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411280 */     // GIR_Coverage, 45359,
     /* 2411280 */     GIR_EraseRootFromParent_Done,
     /* 2411281 */   // Label 34797: @2411281
     /* 2411281 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411353), // Rule ID 45430 //
     /* 2411286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411318 */     // MIs[0] policy
     /* 2411318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411328 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411352 */     // GIR_Coverage, 45430,
     /* 2411352 */     GIR_EraseRootFromParent_Done,
     /* 2411353 */   // Label 34798: @2411353
     /* 2411353 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411425), // Rule ID 45431 //
     /* 2411358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411390 */     // MIs[0] policy
     /* 2411390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411400 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2411403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411424 */     // GIR_Coverage, 45431,
     /* 2411424 */     GIR_EraseRootFromParent_Done,
     /* 2411425 */   // Label 34799: @2411425
     /* 2411425 */   GIM_Reject,
     /* 2411426 */ // Label 34791: @2411426
     /* 2411426 */ GIM_Reject,
     /* 2411427 */ // Label 34729: @2411427
     /* 2411427 */ GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2412059),
     /* 2411432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2411438 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411521), // Rule ID 45400 //
     /* 2411443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411479 */     // MIs[1] Operand 1
     /* 2411479 */     // No operand predicates
     /* 2411479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411483 */     // MIs[0] policy
     /* 2411483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411495 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411520 */     // GIR_Coverage, 45400,
     /* 2411520 */     GIR_EraseRootFromParent_Done,
     /* 2411521 */   // Label 34801: @2411521
     /* 2411521 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411604), // Rule ID 45401 //
     /* 2411526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411562 */     // MIs[1] Operand 1
     /* 2411562 */     // No operand predicates
     /* 2411562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411566 */     // MIs[0] policy
     /* 2411566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411578 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411603 */     // GIR_Coverage, 45401,
     /* 2411603 */     GIR_EraseRootFromParent_Done,
     /* 2411604 */   // Label 34802: @2411604
     /* 2411604 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2411687), // Rule ID 45460 //
     /* 2411609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411645 */     // MIs[1] Operand 1
     /* 2411645 */     // No operand predicates
     /* 2411645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411649 */     // MIs[0] policy
     /* 2411649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411661 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411686 */     // GIR_Coverage, 45460,
     /* 2411686 */     GIR_EraseRootFromParent_Done,
     /* 2411687 */   // Label 34803: @2411687
     /* 2411687 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411770), // Rule ID 45461 //
     /* 2411692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411728 */     // MIs[1] Operand 1
     /* 2411728 */     // No operand predicates
     /* 2411728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411732 */     // MIs[0] policy
     /* 2411732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411744 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411769 */     // GIR_Coverage, 45461,
     /* 2411769 */     GIR_EraseRootFromParent_Done,
     /* 2411770 */   // Label 34804: @2411770
     /* 2411770 */   GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2411842), // Rule ID 45402 //
     /* 2411775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411807 */     // MIs[0] policy
     /* 2411807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411817 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411841 */     // GIR_Coverage, 45402,
     /* 2411841 */     GIR_EraseRootFromParent_Done,
     /* 2411842 */   // Label 34805: @2411842
     /* 2411842 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411914), // Rule ID 45403 //
     /* 2411847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411879 */     // MIs[0] policy
     /* 2411879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411889 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411913 */     // GIR_Coverage, 45403,
     /* 2411913 */     GIR_EraseRootFromParent_Done,
     /* 2411914 */   // Label 34806: @2411914
     /* 2411914 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2411986), // Rule ID 45462 //
     /* 2411919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411951 */     // MIs[0] policy
     /* 2411951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411961 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411985 */     // GIR_Coverage, 45462,
     /* 2411985 */     GIR_EraseRootFromParent_Done,
     /* 2411986 */   // Label 34807: @2411986
     /* 2411986 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2412058), // Rule ID 45463 //
     /* 2411991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2412000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412023 */     // MIs[0] policy
     /* 2412023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412033 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2412036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412057 */     // GIR_Coverage, 45463,
     /* 2412057 */     GIR_EraseRootFromParent_Done,
     /* 2412058 */   // Label 34808: @2412058
     /* 2412058 */   GIM_Reject,
     /* 2412059 */ // Label 34800: @2412059
     /* 2412059 */ GIM_Reject,
     /* 2412060 */ // Label 34730: @2412060
     /* 2412060 */ GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2412382),
     /* 2412065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2412068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2412071 */   GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2412154), // Rule ID 45332 //
     /* 2412076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412112 */     // MIs[1] Operand 1
     /* 2412112 */     // No operand predicates
     /* 2412112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412116 */     // MIs[0] policy
     /* 2412116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412128 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2412131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412153 */     // GIR_Coverage, 45332,
     /* 2412153 */     GIR_EraseRootFromParent_Done,
     /* 2412154 */   // Label 34810: @2412154
     /* 2412154 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2412237), // Rule ID 45333 //
     /* 2412159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412195 */     // MIs[1] Operand 1
     /* 2412195 */     // No operand predicates
     /* 2412195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412199 */     // MIs[0] policy
     /* 2412199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412211 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2412214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412236 */     // GIR_Coverage, 45333,
     /* 2412236 */     GIR_EraseRootFromParent_Done,
     /* 2412237 */   // Label 34811: @2412237
     /* 2412237 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2412309), // Rule ID 45334 //
     /* 2412242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412274 */     // MIs[0] policy
     /* 2412274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412284 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2412287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412308 */     // GIR_Coverage, 45334,
     /* 2412308 */     GIR_EraseRootFromParent_Done,
     /* 2412309 */   // Label 34812: @2412309
     /* 2412309 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2412381), // Rule ID 45335 //
     /* 2412314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412346 */     // MIs[0] policy
     /* 2412346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412356 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2412359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412380 */     // GIR_Coverage, 45335,
     /* 2412380 */     GIR_EraseRootFromParent_Done,
     /* 2412381 */   // Label 34813: @2412381
     /* 2412381 */   GIM_Reject,
     /* 2412382 */ // Label 34809: @2412382
     /* 2412382 */ GIM_Reject,
     /* 2412383 */ // Label 34731: @2412383
     /* 2412383 */ GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2413015),
     /* 2412388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2412394 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2412477), // Rule ID 45352 //
     /* 2412399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412435 */     // MIs[1] Operand 1
     /* 2412435 */     // No operand predicates
     /* 2412435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412439 */     // MIs[0] policy
     /* 2412439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412451 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412476 */     // GIR_Coverage, 45352,
     /* 2412476 */     GIR_EraseRootFromParent_Done,
     /* 2412477 */   // Label 34815: @2412477
     /* 2412477 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2412560), // Rule ID 45353 //
     /* 2412482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412518 */     // MIs[1] Operand 1
     /* 2412518 */     // No operand predicates
     /* 2412518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412522 */     // MIs[0] policy
     /* 2412522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412534 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412559 */     // GIR_Coverage, 45353,
     /* 2412559 */     GIR_EraseRootFromParent_Done,
     /* 2412560 */   // Label 34816: @2412560
     /* 2412560 */   GIM_Try, /*On fail goto*//*Label 34817*/ GIMT_Encode4(2412643), // Rule ID 45424 //
     /* 2412565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412601 */     // MIs[1] Operand 1
     /* 2412601 */     // No operand predicates
     /* 2412601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412605 */     // MIs[0] policy
     /* 2412605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412617 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412642 */     // GIR_Coverage, 45424,
     /* 2412642 */     GIR_EraseRootFromParent_Done,
     /* 2412643 */   // Label 34817: @2412643
     /* 2412643 */   GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2412726), // Rule ID 45425 //
     /* 2412648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412684 */     // MIs[1] Operand 1
     /* 2412684 */     // No operand predicates
     /* 2412684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412688 */     // MIs[0] policy
     /* 2412688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412700 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412725 */     // GIR_Coverage, 45425,
     /* 2412725 */     GIR_EraseRootFromParent_Done,
     /* 2412726 */   // Label 34818: @2412726
     /* 2412726 */   GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2412798), // Rule ID 45354 //
     /* 2412731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412763 */     // MIs[0] policy
     /* 2412763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412773 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412797 */     // GIR_Coverage, 45354,
     /* 2412797 */     GIR_EraseRootFromParent_Done,
     /* 2412798 */   // Label 34819: @2412798
     /* 2412798 */   GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2412870), // Rule ID 45355 //
     /* 2412803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412835 */     // MIs[0] policy
     /* 2412835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412845 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412869 */     // GIR_Coverage, 45355,
     /* 2412869 */     GIR_EraseRootFromParent_Done,
     /* 2412870 */   // Label 34820: @2412870
     /* 2412870 */   GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2412942), // Rule ID 45426 //
     /* 2412875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412907 */     // MIs[0] policy
     /* 2412907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412917 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412941 */     // GIR_Coverage, 45426,
     /* 2412941 */     GIR_EraseRootFromParent_Done,
     /* 2412942 */   // Label 34821: @2412942
     /* 2412942 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2413014), // Rule ID 45427 //
     /* 2412947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412979 */     // MIs[0] policy
     /* 2412979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412989 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413013 */     // GIR_Coverage, 45427,
     /* 2413013 */     GIR_EraseRootFromParent_Done,
     /* 2413014 */   // Label 34822: @2413014
     /* 2413014 */   GIM_Reject,
     /* 2413015 */ // Label 34814: @2413015
     /* 2413015 */ GIM_Reject,
     /* 2413016 */ // Label 34732: @2413016
     /* 2413016 */ GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2413648),
     /* 2413021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2413027 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2413110), // Rule ID 45388 //
     /* 2413032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413068 */     // MIs[1] Operand 1
     /* 2413068 */     // No operand predicates
     /* 2413068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413072 */     // MIs[0] policy
     /* 2413072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413084 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413109 */     // GIR_Coverage, 45388,
     /* 2413109 */     GIR_EraseRootFromParent_Done,
     /* 2413110 */   // Label 34824: @2413110
     /* 2413110 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2413193), // Rule ID 45389 //
     /* 2413115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413151 */     // MIs[1] Operand 1
     /* 2413151 */     // No operand predicates
     /* 2413151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413155 */     // MIs[0] policy
     /* 2413155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413167 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413192 */     // GIR_Coverage, 45389,
     /* 2413192 */     GIR_EraseRootFromParent_Done,
     /* 2413193 */   // Label 34825: @2413193
     /* 2413193 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2413276), // Rule ID 45448 //
     /* 2413198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413234 */     // MIs[1] Operand 1
     /* 2413234 */     // No operand predicates
     /* 2413234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413238 */     // MIs[0] policy
     /* 2413238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413250 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413275 */     // GIR_Coverage, 45448,
     /* 2413275 */     GIR_EraseRootFromParent_Done,
     /* 2413276 */   // Label 34826: @2413276
     /* 2413276 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2413359), // Rule ID 45449 //
     /* 2413281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413317 */     // MIs[1] Operand 1
     /* 2413317 */     // No operand predicates
     /* 2413317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413321 */     // MIs[0] policy
     /* 2413321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413333 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2413336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413358 */     // GIR_Coverage, 45449,
     /* 2413358 */     GIR_EraseRootFromParent_Done,
     /* 2413359 */   // Label 34827: @2413359
     /* 2413359 */   GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2413431), // Rule ID 45390 //
     /* 2413364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413396 */     // MIs[0] policy
     /* 2413396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413406 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413430 */     // GIR_Coverage, 45390,
     /* 2413430 */     GIR_EraseRootFromParent_Done,
     /* 2413431 */   // Label 34828: @2413431
     /* 2413431 */   GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2413503), // Rule ID 45391 //
     /* 2413436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413468 */     // MIs[0] policy
     /* 2413468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413478 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413502 */     // GIR_Coverage, 45391,
     /* 2413502 */     GIR_EraseRootFromParent_Done,
     /* 2413503 */   // Label 34829: @2413503
     /* 2413503 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2413575), // Rule ID 45450 //
     /* 2413508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413540 */     // MIs[0] policy
     /* 2413540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413550 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413574 */     // GIR_Coverage, 45450,
     /* 2413574 */     GIR_EraseRootFromParent_Done,
     /* 2413575 */   // Label 34830: @2413575
     /* 2413575 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2413647), // Rule ID 45451 //
     /* 2413580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413612 */     // MIs[0] policy
     /* 2413612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413622 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413646 */     // GIR_Coverage, 45451,
     /* 2413646 */     GIR_EraseRootFromParent_Done,
     /* 2413647 */   // Label 34831: @2413647
     /* 2413647 */   GIM_Reject,
     /* 2413648 */ // Label 34823: @2413648
     /* 2413648 */ GIM_Reject,
     /* 2413649 */ // Label 34733: @2413649
     /* 2413649 */ GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2414281),
     /* 2413654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2413657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2413660 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2413743), // Rule ID 45404 //
     /* 2413665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413701 */     // MIs[1] Operand 1
     /* 2413701 */     // No operand predicates
     /* 2413701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413705 */     // MIs[0] policy
     /* 2413705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413717 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413742 */     // GIR_Coverage, 45404,
     /* 2413742 */     GIR_EraseRootFromParent_Done,
     /* 2413743 */   // Label 34833: @2413743
     /* 2413743 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2413826), // Rule ID 45405 //
     /* 2413748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413784 */     // MIs[1] Operand 1
     /* 2413784 */     // No operand predicates
     /* 2413784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413788 */     // MIs[0] policy
     /* 2413788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413800 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413825 */     // GIR_Coverage, 45405,
     /* 2413825 */     GIR_EraseRootFromParent_Done,
     /* 2413826 */   // Label 34834: @2413826
     /* 2413826 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2413909), // Rule ID 45464 //
     /* 2413831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413867 */     // MIs[1] Operand 1
     /* 2413867 */     // No operand predicates
     /* 2413867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413871 */     // MIs[0] policy
     /* 2413871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413883 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413908 */     // GIR_Coverage, 45464,
     /* 2413908 */     GIR_EraseRootFromParent_Done,
     /* 2413909 */   // Label 34835: @2413909
     /* 2413909 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2413992), // Rule ID 45465 //
     /* 2413914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413950 */     // MIs[1] Operand 1
     /* 2413950 */     // No operand predicates
     /* 2413950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413954 */     // MIs[0] policy
     /* 2413954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413966 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413991 */     // GIR_Coverage, 45465,
     /* 2413991 */     GIR_EraseRootFromParent_Done,
     /* 2413992 */   // Label 34836: @2413992
     /* 2413992 */   GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2414064), // Rule ID 45406 //
     /* 2413997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414029 */     // MIs[0] policy
     /* 2414029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414039 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414063 */     // GIR_Coverage, 45406,
     /* 2414063 */     GIR_EraseRootFromParent_Done,
     /* 2414064 */   // Label 34837: @2414064
     /* 2414064 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2414136), // Rule ID 45407 //
     /* 2414069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414101 */     // MIs[0] policy
     /* 2414101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414111 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414135 */     // GIR_Coverage, 45407,
     /* 2414135 */     GIR_EraseRootFromParent_Done,
     /* 2414136 */   // Label 34838: @2414136
     /* 2414136 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2414208), // Rule ID 45466 //
     /* 2414141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414173 */     // MIs[0] policy
     /* 2414173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414183 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414207 */     // GIR_Coverage, 45466,
     /* 2414207 */     GIR_EraseRootFromParent_Done,
     /* 2414208 */   // Label 34839: @2414208
     /* 2414208 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2414280), // Rule ID 45467 //
     /* 2414213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2414222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414245 */     // MIs[0] policy
     /* 2414245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414255 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2414258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414279 */     // GIR_Coverage, 45467,
     /* 2414279 */     GIR_EraseRootFromParent_Done,
     /* 2414280 */   // Label 34840: @2414280
     /* 2414280 */   GIM_Reject,
     /* 2414281 */ // Label 34832: @2414281
     /* 2414281 */ GIM_Reject,
     /* 2414282 */ // Label 34734: @2414282
     /* 2414282 */ GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2414604),
     /* 2414287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2414290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2414293 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2414376), // Rule ID 45348 //
     /* 2414298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414334 */     // MIs[1] Operand 1
     /* 2414334 */     // No operand predicates
     /* 2414334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414338 */     // MIs[0] policy
     /* 2414338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414350 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414375 */     // GIR_Coverage, 45348,
     /* 2414375 */     GIR_EraseRootFromParent_Done,
     /* 2414376 */   // Label 34842: @2414376
     /* 2414376 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2414459), // Rule ID 45349 //
     /* 2414381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414417 */     // MIs[1] Operand 1
     /* 2414417 */     // No operand predicates
     /* 2414417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414421 */     // MIs[0] policy
     /* 2414421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414433 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414458 */     // GIR_Coverage, 45349,
     /* 2414458 */     GIR_EraseRootFromParent_Done,
     /* 2414459 */   // Label 34843: @2414459
     /* 2414459 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2414531), // Rule ID 45350 //
     /* 2414464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414496 */     // MIs[0] policy
     /* 2414496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414506 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414530 */     // GIR_Coverage, 45350,
     /* 2414530 */     GIR_EraseRootFromParent_Done,
     /* 2414531 */   // Label 34844: @2414531
     /* 2414531 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2414603), // Rule ID 45351 //
     /* 2414536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414568 */     // MIs[0] policy
     /* 2414568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414578 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414602 */     // GIR_Coverage, 45351,
     /* 2414602 */     GIR_EraseRootFromParent_Done,
     /* 2414603 */   // Label 34845: @2414603
     /* 2414603 */   GIM_Reject,
     /* 2414604 */ // Label 34841: @2414604
     /* 2414604 */ GIM_Reject,
     /* 2414605 */ // Label 34735: @2414605
     /* 2414605 */ GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2415237),
     /* 2414610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414616 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2414699), // Rule ID 45376 //
     /* 2414621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414657 */     // MIs[1] Operand 1
     /* 2414657 */     // No operand predicates
     /* 2414657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414661 */     // MIs[0] policy
     /* 2414661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414673 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414698 */     // GIR_Coverage, 45376,
     /* 2414698 */     GIR_EraseRootFromParent_Done,
     /* 2414699 */   // Label 34847: @2414699
     /* 2414699 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2414782), // Rule ID 45377 //
     /* 2414704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414740 */     // MIs[1] Operand 1
     /* 2414740 */     // No operand predicates
     /* 2414740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414744 */     // MIs[0] policy
     /* 2414744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414756 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414781 */     // GIR_Coverage, 45377,
     /* 2414781 */     GIR_EraseRootFromParent_Done,
     /* 2414782 */   // Label 34848: @2414782
     /* 2414782 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2414865), // Rule ID 45436 //
     /* 2414787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414823 */     // MIs[1] Operand 1
     /* 2414823 */     // No operand predicates
     /* 2414823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414827 */     // MIs[0] policy
     /* 2414827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414839 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414864 */     // GIR_Coverage, 45436,
     /* 2414864 */     GIR_EraseRootFromParent_Done,
     /* 2414865 */   // Label 34849: @2414865
     /* 2414865 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2414948), // Rule ID 45437 //
     /* 2414870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414906 */     // MIs[1] Operand 1
     /* 2414906 */     // No operand predicates
     /* 2414906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414910 */     // MIs[0] policy
     /* 2414910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414922 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414947 */     // GIR_Coverage, 45437,
     /* 2414947 */     GIR_EraseRootFromParent_Done,
     /* 2414948 */   // Label 34850: @2414948
     /* 2414948 */   GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2415020), // Rule ID 45378 //
     /* 2414953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414985 */     // MIs[0] policy
     /* 2414985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414995 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415019 */     // GIR_Coverage, 45378,
     /* 2415019 */     GIR_EraseRootFromParent_Done,
     /* 2415020 */   // Label 34851: @2415020
     /* 2415020 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2415092), // Rule ID 45379 //
     /* 2415025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415057 */     // MIs[0] policy
     /* 2415057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415067 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415091 */     // GIR_Coverage, 45379,
     /* 2415091 */     GIR_EraseRootFromParent_Done,
     /* 2415092 */   // Label 34852: @2415092
     /* 2415092 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2415164), // Rule ID 45438 //
     /* 2415097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415129 */     // MIs[0] policy
     /* 2415129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415139 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415163 */     // GIR_Coverage, 45438,
     /* 2415163 */     GIR_EraseRootFromParent_Done,
     /* 2415164 */   // Label 34853: @2415164
     /* 2415164 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2415236), // Rule ID 45439 //
     /* 2415169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2415185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415201 */     // MIs[0] policy
     /* 2415201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415211 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2415214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415235 */     // GIR_Coverage, 45439,
     /* 2415235 */     GIR_EraseRootFromParent_Done,
     /* 2415236 */   // Label 34854: @2415236
     /* 2415236 */   GIM_Reject,
     /* 2415237 */ // Label 34846: @2415237
     /* 2415237 */ GIM_Reject,
     /* 2415238 */ // Label 34736: @2415238
     /* 2415238 */ GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2415870),
     /* 2415243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2415249 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2415332), // Rule ID 45392 //
     /* 2415254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415290 */     // MIs[1] Operand 1
     /* 2415290 */     // No operand predicates
     /* 2415290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415294 */     // MIs[0] policy
     /* 2415294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415306 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415331 */     // GIR_Coverage, 45392,
     /* 2415331 */     GIR_EraseRootFromParent_Done,
     /* 2415332 */   // Label 34856: @2415332
     /* 2415332 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2415415), // Rule ID 45393 //
     /* 2415337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415373 */     // MIs[1] Operand 1
     /* 2415373 */     // No operand predicates
     /* 2415373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415377 */     // MIs[0] policy
     /* 2415377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415389 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415414 */     // GIR_Coverage, 45393,
     /* 2415414 */     GIR_EraseRootFromParent_Done,
     /* 2415415 */   // Label 34857: @2415415
     /* 2415415 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2415498), // Rule ID 45452 //
     /* 2415420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415456 */     // MIs[1] Operand 1
     /* 2415456 */     // No operand predicates
     /* 2415456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415460 */     // MIs[0] policy
     /* 2415460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415472 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415497 */     // GIR_Coverage, 45452,
     /* 2415497 */     GIR_EraseRootFromParent_Done,
     /* 2415498 */   // Label 34858: @2415498
     /* 2415498 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2415581), // Rule ID 45453 //
     /* 2415503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415539 */     // MIs[1] Operand 1
     /* 2415539 */     // No operand predicates
     /* 2415539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415543 */     // MIs[0] policy
     /* 2415543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415555 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415580 */     // GIR_Coverage, 45453,
     /* 2415580 */     GIR_EraseRootFromParent_Done,
     /* 2415581 */   // Label 34859: @2415581
     /* 2415581 */   GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2415653), // Rule ID 45394 //
     /* 2415586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415618 */     // MIs[0] policy
     /* 2415618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415628 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415652 */     // GIR_Coverage, 45394,
     /* 2415652 */     GIR_EraseRootFromParent_Done,
     /* 2415653 */   // Label 34860: @2415653
     /* 2415653 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2415725), // Rule ID 45395 //
     /* 2415658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415690 */     // MIs[0] policy
     /* 2415690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415700 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415724 */     // GIR_Coverage, 45395,
     /* 2415724 */     GIR_EraseRootFromParent_Done,
     /* 2415725 */   // Label 34861: @2415725
     /* 2415725 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2415797), // Rule ID 45454 //
     /* 2415730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415762 */     // MIs[0] policy
     /* 2415762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415772 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415796 */     // GIR_Coverage, 45454,
     /* 2415796 */     GIR_EraseRootFromParent_Done,
     /* 2415797 */   // Label 34862: @2415797
     /* 2415797 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415869), // Rule ID 45455 //
     /* 2415802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415834 */     // MIs[0] policy
     /* 2415834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415844 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415868 */     // GIR_Coverage, 45455,
     /* 2415868 */     GIR_EraseRootFromParent_Done,
     /* 2415869 */   // Label 34863: @2415869
     /* 2415869 */   GIM_Reject,
     /* 2415870 */ // Label 34855: @2415870
     /* 2415870 */ GIM_Reject,
     /* 2415871 */ // Label 34737: @2415871
     /* 2415871 */ GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2416503),
     /* 2415876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2415879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2415882 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2415965), // Rule ID 45408 //
     /* 2415887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415923 */     // MIs[1] Operand 1
     /* 2415923 */     // No operand predicates
     /* 2415923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415927 */     // MIs[0] policy
     /* 2415927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415939 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415964 */     // GIR_Coverage, 45408,
     /* 2415964 */     GIR_EraseRootFromParent_Done,
     /* 2415965 */   // Label 34865: @2415965
     /* 2415965 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2416048), // Rule ID 45409 //
     /* 2415970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416006 */     // MIs[1] Operand 1
     /* 2416006 */     // No operand predicates
     /* 2416006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416010 */     // MIs[0] policy
     /* 2416010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416022 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416047 */     // GIR_Coverage, 45409,
     /* 2416047 */     GIR_EraseRootFromParent_Done,
     /* 2416048 */   // Label 34866: @2416048
     /* 2416048 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2416131), // Rule ID 45468 //
     /* 2416053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416089 */     // MIs[1] Operand 1
     /* 2416089 */     // No operand predicates
     /* 2416089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416093 */     // MIs[0] policy
     /* 2416093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416105 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416130 */     // GIR_Coverage, 45468,
     /* 2416130 */     GIR_EraseRootFromParent_Done,
     /* 2416131 */   // Label 34867: @2416131
     /* 2416131 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2416214), // Rule ID 45469 //
     /* 2416136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416172 */     // MIs[1] Operand 1
     /* 2416172 */     // No operand predicates
     /* 2416172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416176 */     // MIs[0] policy
     /* 2416176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416188 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416213 */     // GIR_Coverage, 45469,
     /* 2416213 */     GIR_EraseRootFromParent_Done,
     /* 2416214 */   // Label 34868: @2416214
     /* 2416214 */   GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2416286), // Rule ID 45410 //
     /* 2416219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416251 */     // MIs[0] policy
     /* 2416251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416261 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416285 */     // GIR_Coverage, 45410,
     /* 2416285 */     GIR_EraseRootFromParent_Done,
     /* 2416286 */   // Label 34869: @2416286
     /* 2416286 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2416358), // Rule ID 45411 //
     /* 2416291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416323 */     // MIs[0] policy
     /* 2416323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416333 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416357 */     // GIR_Coverage, 45411,
     /* 2416357 */     GIR_EraseRootFromParent_Done,
     /* 2416358 */   // Label 34870: @2416358
     /* 2416358 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2416430), // Rule ID 45470 //
     /* 2416363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416395 */     // MIs[0] policy
     /* 2416395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416405 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416429 */     // GIR_Coverage, 45470,
     /* 2416429 */     GIR_EraseRootFromParent_Done,
     /* 2416430 */   // Label 34871: @2416430
     /* 2416430 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2416502), // Rule ID 45471 //
     /* 2416435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416467 */     // MIs[0] policy
     /* 2416467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416477 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416501 */     // GIR_Coverage, 45471,
     /* 2416501 */     GIR_EraseRootFromParent_Done,
     /* 2416502 */   // Label 34872: @2416502
     /* 2416502 */   GIM_Reject,
     /* 2416503 */ // Label 34864: @2416503
     /* 2416503 */ GIM_Reject,
     /* 2416504 */ // Label 34738: @2416504
     /* 2416504 */ GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2416826),
     /* 2416509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2416512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2416515 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2416598), // Rule ID 45364 //
     /* 2416520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416556 */     // MIs[1] Operand 1
     /* 2416556 */     // No operand predicates
     /* 2416556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416560 */     // MIs[0] policy
     /* 2416560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416572 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416597 */     // GIR_Coverage, 45364,
     /* 2416597 */     GIR_EraseRootFromParent_Done,
     /* 2416598 */   // Label 34874: @2416598
     /* 2416598 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2416681), // Rule ID 45365 //
     /* 2416603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416639 */     // MIs[1] Operand 1
     /* 2416639 */     // No operand predicates
     /* 2416639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416643 */     // MIs[0] policy
     /* 2416643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416655 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416680 */     // GIR_Coverage, 45365,
     /* 2416680 */     GIR_EraseRootFromParent_Done,
     /* 2416681 */   // Label 34875: @2416681
     /* 2416681 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2416753), // Rule ID 45366 //
     /* 2416686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416718 */     // MIs[0] policy
     /* 2416718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416728 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416752 */     // GIR_Coverage, 45366,
     /* 2416752 */     GIR_EraseRootFromParent_Done,
     /* 2416753 */   // Label 34876: @2416753
     /* 2416753 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2416825), // Rule ID 45367 //
     /* 2416758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416790 */     // MIs[0] policy
     /* 2416790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416800 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416824 */     // GIR_Coverage, 45367,
     /* 2416824 */     GIR_EraseRootFromParent_Done,
     /* 2416825 */   // Label 34877: @2416825
     /* 2416825 */   GIM_Reject,
     /* 2416826 */ // Label 34873: @2416826
     /* 2416826 */ GIM_Reject,
     /* 2416827 */ // Label 34739: @2416827
     /* 2416827 */ GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2417459),
     /* 2416832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2416835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2416838 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2416921), // Rule ID 45380 //
     /* 2416843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416879 */     // MIs[1] Operand 1
     /* 2416879 */     // No operand predicates
     /* 2416879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416883 */     // MIs[0] policy
     /* 2416883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416895 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416920 */     // GIR_Coverage, 45380,
     /* 2416920 */     GIR_EraseRootFromParent_Done,
     /* 2416921 */   // Label 34879: @2416921
     /* 2416921 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2417004), // Rule ID 45381 //
     /* 2416926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416962 */     // MIs[1] Operand 1
     /* 2416962 */     // No operand predicates
     /* 2416962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416966 */     // MIs[0] policy
     /* 2416966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416978 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417003 */     // GIR_Coverage, 45381,
     /* 2417003 */     GIR_EraseRootFromParent_Done,
     /* 2417004 */   // Label 34880: @2417004
     /* 2417004 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2417087), // Rule ID 45440 //
     /* 2417009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417045 */     // MIs[1] Operand 1
     /* 2417045 */     // No operand predicates
     /* 2417045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417049 */     // MIs[0] policy
     /* 2417049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417061 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417086 */     // GIR_Coverage, 45440,
     /* 2417086 */     GIR_EraseRootFromParent_Done,
     /* 2417087 */   // Label 34881: @2417087
     /* 2417087 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2417170), // Rule ID 45441 //
     /* 2417092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417128 */     // MIs[1] Operand 1
     /* 2417128 */     // No operand predicates
     /* 2417128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417132 */     // MIs[0] policy
     /* 2417132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417144 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417169 */     // GIR_Coverage, 45441,
     /* 2417169 */     GIR_EraseRootFromParent_Done,
     /* 2417170 */   // Label 34882: @2417170
     /* 2417170 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2417242), // Rule ID 45382 //
     /* 2417175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417207 */     // MIs[0] policy
     /* 2417207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417217 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417241 */     // GIR_Coverage, 45382,
     /* 2417241 */     GIR_EraseRootFromParent_Done,
     /* 2417242 */   // Label 34883: @2417242
     /* 2417242 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2417314), // Rule ID 45383 //
     /* 2417247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417279 */     // MIs[0] policy
     /* 2417279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417289 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417313 */     // GIR_Coverage, 45383,
     /* 2417313 */     GIR_EraseRootFromParent_Done,
     /* 2417314 */   // Label 34884: @2417314
     /* 2417314 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2417386), // Rule ID 45442 //
     /* 2417319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417351 */     // MIs[0] policy
     /* 2417351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417361 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417385 */     // GIR_Coverage, 45442,
     /* 2417385 */     GIR_EraseRootFromParent_Done,
     /* 2417386 */   // Label 34885: @2417386
     /* 2417386 */   GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2417458), // Rule ID 45443 //
     /* 2417391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417423 */     // MIs[0] policy
     /* 2417423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417433 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417457 */     // GIR_Coverage, 45443,
     /* 2417457 */     GIR_EraseRootFromParent_Done,
     /* 2417458 */   // Label 34886: @2417458
     /* 2417458 */   GIM_Reject,
     /* 2417459 */ // Label 34878: @2417459
     /* 2417459 */ GIM_Reject,
     /* 2417460 */ // Label 34740: @2417460
     /* 2417460 */ GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2418092),
     /* 2417465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2417468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2417471 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2417554), // Rule ID 45396 //
     /* 2417476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417512 */     // MIs[1] Operand 1
     /* 2417512 */     // No operand predicates
     /* 2417512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417516 */     // MIs[0] policy
     /* 2417516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417528 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417553 */     // GIR_Coverage, 45396,
     /* 2417553 */     GIR_EraseRootFromParent_Done,
     /* 2417554 */   // Label 34888: @2417554
     /* 2417554 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2417637), // Rule ID 45397 //
     /* 2417559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417595 */     // MIs[1] Operand 1
     /* 2417595 */     // No operand predicates
     /* 2417595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417599 */     // MIs[0] policy
     /* 2417599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417611 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417636 */     // GIR_Coverage, 45397,
     /* 2417636 */     GIR_EraseRootFromParent_Done,
     /* 2417637 */   // Label 34889: @2417637
     /* 2417637 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2417720), // Rule ID 45456 //
     /* 2417642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417678 */     // MIs[1] Operand 1
     /* 2417678 */     // No operand predicates
     /* 2417678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417682 */     // MIs[0] policy
     /* 2417682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417694 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417719 */     // GIR_Coverage, 45456,
     /* 2417719 */     GIR_EraseRootFromParent_Done,
     /* 2417720 */   // Label 34890: @2417720
     /* 2417720 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2417803), // Rule ID 45457 //
     /* 2417725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417761 */     // MIs[1] Operand 1
     /* 2417761 */     // No operand predicates
     /* 2417761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417765 */     // MIs[0] policy
     /* 2417765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417777 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417802 */     // GIR_Coverage, 45457,
     /* 2417802 */     GIR_EraseRootFromParent_Done,
     /* 2417803 */   // Label 34891: @2417803
     /* 2417803 */   GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2417875), // Rule ID 45398 //
     /* 2417808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417840 */     // MIs[0] policy
     /* 2417840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417850 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417874 */     // GIR_Coverage, 45398,
     /* 2417874 */     GIR_EraseRootFromParent_Done,
     /* 2417875 */   // Label 34892: @2417875
     /* 2417875 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2417947), // Rule ID 45399 //
     /* 2417880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417912 */     // MIs[0] policy
     /* 2417912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417922 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417946 */     // GIR_Coverage, 45399,
     /* 2417946 */     GIR_EraseRootFromParent_Done,
     /* 2417947 */   // Label 34893: @2417947
     /* 2417947 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2418019), // Rule ID 45458 //
     /* 2417952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417984 */     // MIs[0] policy
     /* 2417984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417994 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418018 */     // GIR_Coverage, 45458,
     /* 2418018 */     GIR_EraseRootFromParent_Done,
     /* 2418019 */   // Label 34894: @2418019
     /* 2418019 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2418091), // Rule ID 45459 //
     /* 2418024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2418033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418056 */     // MIs[0] policy
     /* 2418056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418066 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418090 */     // GIR_Coverage, 45459,
     /* 2418090 */     GIR_EraseRootFromParent_Done,
     /* 2418091 */   // Label 34895: @2418091
     /* 2418091 */   GIM_Reject,
     /* 2418092 */ // Label 34887: @2418092
     /* 2418092 */ GIM_Reject,
     /* 2418093 */ // Label 34741: @2418093
     /* 2418093 */ GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2418415),
     /* 2418098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2418101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2418104 */   GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2418187), // Rule ID 45368 //
     /* 2418109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418145 */     // MIs[1] Operand 1
     /* 2418145 */     // No operand predicates
     /* 2418145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418149 */     // MIs[0] policy
     /* 2418149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418161 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2418164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418186 */     // GIR_Coverage, 45368,
     /* 2418186 */     GIR_EraseRootFromParent_Done,
     /* 2418187 */   // Label 34897: @2418187
     /* 2418187 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2418270), // Rule ID 45369 //
     /* 2418192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418228 */     // MIs[1] Operand 1
     /* 2418228 */     // No operand predicates
     /* 2418228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418232 */     // MIs[0] policy
     /* 2418232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418244 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2418247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418269 */     // GIR_Coverage, 45369,
     /* 2418269 */     GIR_EraseRootFromParent_Done,
     /* 2418270 */   // Label 34898: @2418270
     /* 2418270 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2418342), // Rule ID 45370 //
     /* 2418275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418307 */     // MIs[0] policy
     /* 2418307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418317 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2418320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418341 */     // GIR_Coverage, 45370,
     /* 2418341 */     GIR_EraseRootFromParent_Done,
     /* 2418342 */   // Label 34899: @2418342
     /* 2418342 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2418414), // Rule ID 45371 //
     /* 2418347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418379 */     // MIs[0] policy
     /* 2418379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418389 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2418392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418413 */     // GIR_Coverage, 45371,
     /* 2418413 */     GIR_EraseRootFromParent_Done,
     /* 2418414 */   // Label 34900: @2418414
     /* 2418414 */   GIM_Reject,
     /* 2418415 */ // Label 34896: @2418415
     /* 2418415 */ GIM_Reject,
     /* 2418416 */ // Label 34742: @2418416
     /* 2418416 */ GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2419048),
     /* 2418421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2418427 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2418510), // Rule ID 45384 //
     /* 2418432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418468 */     // MIs[1] Operand 1
     /* 2418468 */     // No operand predicates
     /* 2418468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418472 */     // MIs[0] policy
     /* 2418472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418484 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418509 */     // GIR_Coverage, 45384,
     /* 2418509 */     GIR_EraseRootFromParent_Done,
     /* 2418510 */   // Label 34902: @2418510
     /* 2418510 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2418593), // Rule ID 45385 //
     /* 2418515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418551 */     // MIs[1] Operand 1
     /* 2418551 */     // No operand predicates
     /* 2418551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418555 */     // MIs[0] policy
     /* 2418555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418567 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418592 */     // GIR_Coverage, 45385,
     /* 2418592 */     GIR_EraseRootFromParent_Done,
     /* 2418593 */   // Label 34903: @2418593
     /* 2418593 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2418676), // Rule ID 45444 //
     /* 2418598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418634 */     // MIs[1] Operand 1
     /* 2418634 */     // No operand predicates
     /* 2418634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418638 */     // MIs[0] policy
     /* 2418638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418650 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418675 */     // GIR_Coverage, 45444,
     /* 2418675 */     GIR_EraseRootFromParent_Done,
     /* 2418676 */   // Label 34904: @2418676
     /* 2418676 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2418759), // Rule ID 45445 //
     /* 2418681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418717 */     // MIs[1] Operand 1
     /* 2418717 */     // No operand predicates
     /* 2418717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418721 */     // MIs[0] policy
     /* 2418721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418733 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418758 */     // GIR_Coverage, 45445,
     /* 2418758 */     GIR_EraseRootFromParent_Done,
     /* 2418759 */   // Label 34905: @2418759
     /* 2418759 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2418831), // Rule ID 45386 //
     /* 2418764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418796 */     // MIs[0] policy
     /* 2418796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418806 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418830 */     // GIR_Coverage, 45386,
     /* 2418830 */     GIR_EraseRootFromParent_Done,
     /* 2418831 */   // Label 34906: @2418831
     /* 2418831 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2418903), // Rule ID 45387 //
     /* 2418836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418868 */     // MIs[0] policy
     /* 2418868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418878 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418902 */     // GIR_Coverage, 45387,
     /* 2418902 */     GIR_EraseRootFromParent_Done,
     /* 2418903 */   // Label 34907: @2418903
     /* 2418903 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2418975), // Rule ID 45446 //
     /* 2418908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418940 */     // MIs[0] policy
     /* 2418940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418950 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418974 */     // GIR_Coverage, 45446,
     /* 2418974 */     GIR_EraseRootFromParent_Done,
     /* 2418975 */   // Label 34908: @2418975
     /* 2418975 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2419047), // Rule ID 45447 //
     /* 2418980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419012 */     // MIs[0] policy
     /* 2419012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419022 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419046 */     // GIR_Coverage, 45447,
     /* 2419046 */     GIR_EraseRootFromParent_Done,
     /* 2419047 */   // Label 34909: @2419047
     /* 2419047 */   GIM_Reject,
     /* 2419048 */ // Label 34901: @2419048
     /* 2419048 */ GIM_Reject,
     /* 2419049 */ // Label 34743: @2419049
     /* 2419049 */ GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2419371),
     /* 2419054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2419057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2419060 */   GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2419143), // Rule ID 45372 //
     /* 2419065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419101 */     // MIs[1] Operand 1
     /* 2419101 */     // No operand predicates
     /* 2419101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419105 */     // MIs[0] policy
     /* 2419105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419117 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2419120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419142 */     // GIR_Coverage, 45372,
     /* 2419142 */     GIR_EraseRootFromParent_Done,
     /* 2419143 */   // Label 34911: @2419143
     /* 2419143 */   GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2419226), // Rule ID 45373 //
     /* 2419148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419184 */     // MIs[1] Operand 1
     /* 2419184 */     // No operand predicates
     /* 2419184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419188 */     // MIs[0] policy
     /* 2419188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419200 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2419203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419225 */     // GIR_Coverage, 45373,
     /* 2419225 */     GIR_EraseRootFromParent_Done,
     /* 2419226 */   // Label 34912: @2419226
     /* 2419226 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2419298), // Rule ID 45374 //
     /* 2419231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419263 */     // MIs[0] policy
     /* 2419263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419273 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419297 */     // GIR_Coverage, 45374,
     /* 2419297 */     GIR_EraseRootFromParent_Done,
     /* 2419298 */   // Label 34913: @2419298
     /* 2419298 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2419370), // Rule ID 45375 //
     /* 2419303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2419312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2419319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419335 */     // MIs[0] policy
     /* 2419335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419345 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2419348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419369 */     // GIR_Coverage, 45375,
     /* 2419369 */     GIR_EraseRootFromParent_Done,
     /* 2419370 */   // Label 34914: @2419370
     /* 2419370 */   GIM_Reject,
     /* 2419371 */ // Label 34910: @2419371
     /* 2419371 */ GIM_Reject,
     /* 2419372 */ // Label 34744: @2419372
     /* 2419372 */ GIM_Reject,
     /* 2419373 */ // Label 122: @2419373
     /* 2419373 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34937*/ GIMT_Encode4(2431252),
     /* 2419384 */ /*GILLT_nxv1s8*//*Label 34915*/ GIMT_Encode4(2419496),
     /* 2419388 */ /*GILLT_nxv1s16*//*Label 34916*/ GIMT_Encode4(2419819),
     /* 2419392 */ /*GILLT_nxv1s32*//*Label 34917*/ GIMT_Encode4(2420452),
     /* 2419396 */ /*GILLT_nxv1s64*//*Label 34918*/ GIMT_Encode4(2421085), GIMT_Encode4(0),
     /* 2419404 */ /*GILLT_nxv2s8*//*Label 34919*/ GIMT_Encode4(2421718),
     /* 2419408 */ /*GILLT_nxv2s16*//*Label 34920*/ GIMT_Encode4(2422041),
     /* 2419412 */ /*GILLT_nxv2s32*//*Label 34921*/ GIMT_Encode4(2422674),
     /* 2419416 */ /*GILLT_nxv2s64*//*Label 34922*/ GIMT_Encode4(2423307), GIMT_Encode4(0),
     /* 2419424 */ /*GILLT_nxv4s8*//*Label 34923*/ GIMT_Encode4(2423940),
     /* 2419428 */ /*GILLT_nxv4s16*//*Label 34924*/ GIMT_Encode4(2424263),
     /* 2419432 */ /*GILLT_nxv4s32*//*Label 34925*/ GIMT_Encode4(2424896),
     /* 2419436 */ /*GILLT_nxv4s64*//*Label 34926*/ GIMT_Encode4(2425529), GIMT_Encode4(0),
     /* 2419444 */ /*GILLT_nxv8s8*//*Label 34927*/ GIMT_Encode4(2426162),
     /* 2419448 */ /*GILLT_nxv8s16*//*Label 34928*/ GIMT_Encode4(2426485),
     /* 2419452 */ /*GILLT_nxv8s32*//*Label 34929*/ GIMT_Encode4(2427118),
     /* 2419456 */ /*GILLT_nxv8s64*//*Label 34930*/ GIMT_Encode4(2427751), GIMT_Encode4(0),
     /* 2419464 */ /*GILLT_nxv16s8*//*Label 34931*/ GIMT_Encode4(2428384),
     /* 2419468 */ /*GILLT_nxv16s16*//*Label 34932*/ GIMT_Encode4(2428707),
     /* 2419472 */ /*GILLT_nxv16s32*//*Label 34933*/ GIMT_Encode4(2429340), GIMT_Encode4(0),
     /* 2419480 */ /*GILLT_nxv32s8*//*Label 34934*/ GIMT_Encode4(2429973),
     /* 2419484 */ /*GILLT_nxv32s16*//*Label 34935*/ GIMT_Encode4(2430296), GIMT_Encode4(0),
     /* 2419492 */ /*GILLT_nxv64s8*//*Label 34936*/ GIMT_Encode4(2430929),
     /* 2419496 */ // Label 34915: @2419496
     /* 2419496 */ GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2419818),
     /* 2419501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2419504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2419507 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2419590), // Rule ID 25242 //
     /* 2419512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419548 */     // MIs[1] Operand 1
     /* 2419548 */     // No operand predicates
     /* 2419548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419552 */     // MIs[0] policy
     /* 2419552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419564 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419589 */     // GIR_Coverage, 25242,
     /* 2419589 */     GIR_EraseRootFromParent_Done,
     /* 2419590 */   // Label 34939: @2419590
     /* 2419590 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2419673), // Rule ID 25243 //
     /* 2419595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419631 */     // MIs[1] Operand 1
     /* 2419631 */     // No operand predicates
     /* 2419631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419635 */     // MIs[0] policy
     /* 2419635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419647 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419672 */     // GIR_Coverage, 25243,
     /* 2419672 */     GIR_EraseRootFromParent_Done,
     /* 2419673 */   // Label 34940: @2419673
     /* 2419673 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2419745), // Rule ID 25244 //
     /* 2419678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419710 */     // MIs[0] policy
     /* 2419710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419720 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419744 */     // GIR_Coverage, 25244,
     /* 2419744 */     GIR_EraseRootFromParent_Done,
     /* 2419745 */   // Label 34941: @2419745
     /* 2419745 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2419817), // Rule ID 25245 //
     /* 2419750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419782 */     // MIs[0] policy
     /* 2419782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419792 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419816 */     // GIR_Coverage, 25245,
     /* 2419816 */     GIR_EraseRootFromParent_Done,
     /* 2419817 */   // Label 34942: @2419817
     /* 2419817 */   GIM_Reject,
     /* 2419818 */ // Label 34938: @2419818
     /* 2419818 */ GIM_Reject,
     /* 2419819 */ // Label 34916: @2419819
     /* 2419819 */ GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2420451),
     /* 2419824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2419827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2419830 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2419913), // Rule ID 45188 //
     /* 2419835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419871 */     // MIs[1] Operand 1
     /* 2419871 */     // No operand predicates
     /* 2419871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419875 */     // MIs[0] policy
     /* 2419875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419887 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419912 */     // GIR_Coverage, 45188,
     /* 2419912 */     GIR_EraseRootFromParent_Done,
     /* 2419913 */   // Label 34944: @2419913
     /* 2419913 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2419996), // Rule ID 45189 //
     /* 2419918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419954 */     // MIs[1] Operand 1
     /* 2419954 */     // No operand predicates
     /* 2419954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419958 */     // MIs[0] policy
     /* 2419958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419970 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419995 */     // GIR_Coverage, 45189,
     /* 2419995 */     GIR_EraseRootFromParent_Done,
     /* 2419996 */   // Label 34945: @2419996
     /* 2419996 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2420079), // Rule ID 45264 //
     /* 2420001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420037 */     // MIs[1] Operand 1
     /* 2420037 */     // No operand predicates
     /* 2420037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420041 */     // MIs[0] policy
     /* 2420041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420053 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2420056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420078 */     // GIR_Coverage, 45264,
     /* 2420078 */     GIR_EraseRootFromParent_Done,
     /* 2420079 */   // Label 34946: @2420079
     /* 2420079 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2420162), // Rule ID 45265 //
     /* 2420084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420120 */     // MIs[1] Operand 1
     /* 2420120 */     // No operand predicates
     /* 2420120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420124 */     // MIs[0] policy
     /* 2420124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420136 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2420139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420161 */     // GIR_Coverage, 45265,
     /* 2420161 */     GIR_EraseRootFromParent_Done,
     /* 2420162 */   // Label 34947: @2420162
     /* 2420162 */   GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2420234), // Rule ID 45190 //
     /* 2420167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420199 */     // MIs[0] policy
     /* 2420199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420209 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420233 */     // GIR_Coverage, 45190,
     /* 2420233 */     GIR_EraseRootFromParent_Done,
     /* 2420234 */   // Label 34948: @2420234
     /* 2420234 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2420306), // Rule ID 45191 //
     /* 2420239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420271 */     // MIs[0] policy
     /* 2420271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420281 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420305 */     // GIR_Coverage, 45191,
     /* 2420305 */     GIR_EraseRootFromParent_Done,
     /* 2420306 */   // Label 34949: @2420306
     /* 2420306 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2420378), // Rule ID 45266 //
     /* 2420311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420343 */     // MIs[0] policy
     /* 2420343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420353 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420377 */     // GIR_Coverage, 45266,
     /* 2420377 */     GIR_EraseRootFromParent_Done,
     /* 2420378 */   // Label 34950: @2420378
     /* 2420378 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2420450), // Rule ID 45267 //
     /* 2420383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420415 */     // MIs[0] policy
     /* 2420415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420425 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420449 */     // GIR_Coverage, 45267,
     /* 2420449 */     GIR_EraseRootFromParent_Done,
     /* 2420450 */   // Label 34951: @2420450
     /* 2420450 */   GIM_Reject,
     /* 2420451 */ // Label 34943: @2420451
     /* 2420451 */ GIM_Reject,
     /* 2420452 */ // Label 34917: @2420452
     /* 2420452 */ GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2421084),
     /* 2420457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2420460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2420463 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2420546), // Rule ID 45196 //
     /* 2420468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420504 */     // MIs[1] Operand 1
     /* 2420504 */     // No operand predicates
     /* 2420504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420508 */     // MIs[0] policy
     /* 2420508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420520 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420545 */     // GIR_Coverage, 45196,
     /* 2420545 */     GIR_EraseRootFromParent_Done,
     /* 2420546 */   // Label 34953: @2420546
     /* 2420546 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2420629), // Rule ID 45197 //
     /* 2420551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420587 */     // MIs[1] Operand 1
     /* 2420587 */     // No operand predicates
     /* 2420587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420591 */     // MIs[0] policy
     /* 2420591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420603 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420628 */     // GIR_Coverage, 45197,
     /* 2420628 */     GIR_EraseRootFromParent_Done,
     /* 2420629 */   // Label 34954: @2420629
     /* 2420629 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2420712), // Rule ID 45272 //
     /* 2420634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420670 */     // MIs[1] Operand 1
     /* 2420670 */     // No operand predicates
     /* 2420670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420674 */     // MIs[0] policy
     /* 2420674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420686 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420711 */     // GIR_Coverage, 45272,
     /* 2420711 */     GIR_EraseRootFromParent_Done,
     /* 2420712 */   // Label 34955: @2420712
     /* 2420712 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2420795), // Rule ID 45273 //
     /* 2420717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420753 */     // MIs[1] Operand 1
     /* 2420753 */     // No operand predicates
     /* 2420753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420757 */     // MIs[0] policy
     /* 2420757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420769 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420794 */     // GIR_Coverage, 45273,
     /* 2420794 */     GIR_EraseRootFromParent_Done,
     /* 2420795 */   // Label 34956: @2420795
     /* 2420795 */   GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2420867), // Rule ID 45198 //
     /* 2420800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420832 */     // MIs[0] policy
     /* 2420832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420842 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420866 */     // GIR_Coverage, 45198,
     /* 2420866 */     GIR_EraseRootFromParent_Done,
     /* 2420867 */   // Label 34957: @2420867
     /* 2420867 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2420939), // Rule ID 45199 //
     /* 2420872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420904 */     // MIs[0] policy
     /* 2420904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420914 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420938 */     // GIR_Coverage, 45199,
     /* 2420938 */     GIR_EraseRootFromParent_Done,
     /* 2420939 */   // Label 34958: @2420939
     /* 2420939 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2421011), // Rule ID 45274 //
     /* 2420944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420976 */     // MIs[0] policy
     /* 2420976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420986 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421010 */     // GIR_Coverage, 45274,
     /* 2421010 */     GIR_EraseRootFromParent_Done,
     /* 2421011 */   // Label 34959: @2421011
     /* 2421011 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2421083), // Rule ID 45275 //
     /* 2421016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421048 */     // MIs[0] policy
     /* 2421048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421058 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2421061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421082 */     // GIR_Coverage, 45275,
     /* 2421082 */     GIR_EraseRootFromParent_Done,
     /* 2421083 */   // Label 34960: @2421083
     /* 2421083 */   GIM_Reject,
     /* 2421084 */ // Label 34952: @2421084
     /* 2421084 */ GIM_Reject,
     /* 2421085 */ // Label 34918: @2421085
     /* 2421085 */ GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2421717),
     /* 2421090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2421093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2421096 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2421179), // Rule ID 45212 //
     /* 2421101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421137 */     // MIs[1] Operand 1
     /* 2421137 */     // No operand predicates
     /* 2421137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421141 */     // MIs[0] policy
     /* 2421141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421153 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421178 */     // GIR_Coverage, 45212,
     /* 2421178 */     GIR_EraseRootFromParent_Done,
     /* 2421179 */   // Label 34962: @2421179
     /* 2421179 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2421262), // Rule ID 45213 //
     /* 2421184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421220 */     // MIs[1] Operand 1
     /* 2421220 */     // No operand predicates
     /* 2421220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421224 */     // MIs[0] policy
     /* 2421224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421236 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421261 */     // GIR_Coverage, 45213,
     /* 2421261 */     GIR_EraseRootFromParent_Done,
     /* 2421262 */   // Label 34963: @2421262
     /* 2421262 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2421345), // Rule ID 45284 //
     /* 2421267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421303 */     // MIs[1] Operand 1
     /* 2421303 */     // No operand predicates
     /* 2421303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421307 */     // MIs[0] policy
     /* 2421307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421319 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421344 */     // GIR_Coverage, 45284,
     /* 2421344 */     GIR_EraseRootFromParent_Done,
     /* 2421345 */   // Label 34964: @2421345
     /* 2421345 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2421428), // Rule ID 45285 //
     /* 2421350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421386 */     // MIs[1] Operand 1
     /* 2421386 */     // No operand predicates
     /* 2421386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421390 */     // MIs[0] policy
     /* 2421390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421402 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2421405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421427 */     // GIR_Coverage, 45285,
     /* 2421427 */     GIR_EraseRootFromParent_Done,
     /* 2421428 */   // Label 34965: @2421428
     /* 2421428 */   GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2421500), // Rule ID 45214 //
     /* 2421433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421465 */     // MIs[0] policy
     /* 2421465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421475 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421499 */     // GIR_Coverage, 45214,
     /* 2421499 */     GIR_EraseRootFromParent_Done,
     /* 2421500 */   // Label 34966: @2421500
     /* 2421500 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2421572), // Rule ID 45215 //
     /* 2421505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421537 */     // MIs[0] policy
     /* 2421537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421547 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421571 */     // GIR_Coverage, 45215,
     /* 2421571 */     GIR_EraseRootFromParent_Done,
     /* 2421572 */   // Label 34967: @2421572
     /* 2421572 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2421644), // Rule ID 45286 //
     /* 2421577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421609 */     // MIs[0] policy
     /* 2421609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421619 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421643 */     // GIR_Coverage, 45286,
     /* 2421643 */     GIR_EraseRootFromParent_Done,
     /* 2421644 */   // Label 34968: @2421644
     /* 2421644 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2421716), // Rule ID 45287 //
     /* 2421649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421681 */     // MIs[0] policy
     /* 2421681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421691 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421715 */     // GIR_Coverage, 45287,
     /* 2421715 */     GIR_EraseRootFromParent_Done,
     /* 2421716 */   // Label 34969: @2421716
     /* 2421716 */   GIM_Reject,
     /* 2421717 */ // Label 34961: @2421717
     /* 2421717 */ GIM_Reject,
     /* 2421718 */ // Label 34919: @2421718
     /* 2421718 */ GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2422040),
     /* 2421723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2421726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2421729 */   GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2421812), // Rule ID 45180 //
     /* 2421734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421770 */     // MIs[1] Operand 1
     /* 2421770 */     // No operand predicates
     /* 2421770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421774 */     // MIs[0] policy
     /* 2421774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421786 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421811 */     // GIR_Coverage, 45180,
     /* 2421811 */     GIR_EraseRootFromParent_Done,
     /* 2421812 */   // Label 34971: @2421812
     /* 2421812 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2421895), // Rule ID 45181 //
     /* 2421817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421853 */     // MIs[1] Operand 1
     /* 2421853 */     // No operand predicates
     /* 2421853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421857 */     // MIs[0] policy
     /* 2421857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421869 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421894 */     // GIR_Coverage, 45181,
     /* 2421894 */     GIR_EraseRootFromParent_Done,
     /* 2421895 */   // Label 34972: @2421895
     /* 2421895 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2421967), // Rule ID 45182 //
     /* 2421900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421932 */     // MIs[0] policy
     /* 2421932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421942 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421966 */     // GIR_Coverage, 45182,
     /* 2421966 */     GIR_EraseRootFromParent_Done,
     /* 2421967 */   // Label 34973: @2421967
     /* 2421967 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2422039), // Rule ID 45183 //
     /* 2421972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422004 */     // MIs[0] policy
     /* 2422004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422014 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2422017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422038 */     // GIR_Coverage, 45183,
     /* 2422038 */     GIR_EraseRootFromParent_Done,
     /* 2422039 */   // Label 34974: @2422039
     /* 2422039 */   GIM_Reject,
     /* 2422040 */ // Label 34970: @2422040
     /* 2422040 */ GIM_Reject,
     /* 2422041 */ // Label 34920: @2422041
     /* 2422041 */ GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2422673),
     /* 2422046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2422052 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2422135), // Rule ID 45192 //
     /* 2422057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422093 */     // MIs[1] Operand 1
     /* 2422093 */     // No operand predicates
     /* 2422093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422097 */     // MIs[0] policy
     /* 2422097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422109 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422134 */     // GIR_Coverage, 45192,
     /* 2422134 */     GIR_EraseRootFromParent_Done,
     /* 2422135 */   // Label 34976: @2422135
     /* 2422135 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2422218), // Rule ID 45193 //
     /* 2422140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422176 */     // MIs[1] Operand 1
     /* 2422176 */     // No operand predicates
     /* 2422176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422180 */     // MIs[0] policy
     /* 2422180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422192 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422217 */     // GIR_Coverage, 45193,
     /* 2422217 */     GIR_EraseRootFromParent_Done,
     /* 2422218 */   // Label 34977: @2422218
     /* 2422218 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2422301), // Rule ID 45268 //
     /* 2422223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422259 */     // MIs[1] Operand 1
     /* 2422259 */     // No operand predicates
     /* 2422259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422263 */     // MIs[0] policy
     /* 2422263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422275 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422300 */     // GIR_Coverage, 45268,
     /* 2422300 */     GIR_EraseRootFromParent_Done,
     /* 2422301 */   // Label 34978: @2422301
     /* 2422301 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2422384), // Rule ID 45269 //
     /* 2422306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422342 */     // MIs[1] Operand 1
     /* 2422342 */     // No operand predicates
     /* 2422342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422346 */     // MIs[0] policy
     /* 2422346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422358 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422383 */     // GIR_Coverage, 45269,
     /* 2422383 */     GIR_EraseRootFromParent_Done,
     /* 2422384 */   // Label 34979: @2422384
     /* 2422384 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2422456), // Rule ID 45194 //
     /* 2422389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422421 */     // MIs[0] policy
     /* 2422421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422431 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422455 */     // GIR_Coverage, 45194,
     /* 2422455 */     GIR_EraseRootFromParent_Done,
     /* 2422456 */   // Label 34980: @2422456
     /* 2422456 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2422528), // Rule ID 45195 //
     /* 2422461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422493 */     // MIs[0] policy
     /* 2422493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422503 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422527 */     // GIR_Coverage, 45195,
     /* 2422527 */     GIR_EraseRootFromParent_Done,
     /* 2422528 */   // Label 34981: @2422528
     /* 2422528 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2422600), // Rule ID 45270 //
     /* 2422533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422565 */     // MIs[0] policy
     /* 2422565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422575 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422599 */     // GIR_Coverage, 45270,
     /* 2422599 */     GIR_EraseRootFromParent_Done,
     /* 2422600 */   // Label 34982: @2422600
     /* 2422600 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2422672), // Rule ID 45271 //
     /* 2422605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422637 */     // MIs[0] policy
     /* 2422637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422647 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422671 */     // GIR_Coverage, 45271,
     /* 2422671 */     GIR_EraseRootFromParent_Done,
     /* 2422672 */   // Label 34983: @2422672
     /* 2422672 */   GIM_Reject,
     /* 2422673 */ // Label 34975: @2422673
     /* 2422673 */ GIM_Reject,
     /* 2422674 */ // Label 34921: @2422674
     /* 2422674 */ GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2423306),
     /* 2422679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2422685 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2422768), // Rule ID 45208 //
     /* 2422690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422726 */     // MIs[1] Operand 1
     /* 2422726 */     // No operand predicates
     /* 2422726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422730 */     // MIs[0] policy
     /* 2422730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422742 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422767 */     // GIR_Coverage, 45208,
     /* 2422767 */     GIR_EraseRootFromParent_Done,
     /* 2422768 */   // Label 34985: @2422768
     /* 2422768 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2422851), // Rule ID 45209 //
     /* 2422773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422809 */     // MIs[1] Operand 1
     /* 2422809 */     // No operand predicates
     /* 2422809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422813 */     // MIs[0] policy
     /* 2422813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422825 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422850 */     // GIR_Coverage, 45209,
     /* 2422850 */     GIR_EraseRootFromParent_Done,
     /* 2422851 */   // Label 34986: @2422851
     /* 2422851 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2422934), // Rule ID 45280 //
     /* 2422856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422892 */     // MIs[1] Operand 1
     /* 2422892 */     // No operand predicates
     /* 2422892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422896 */     // MIs[0] policy
     /* 2422896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422908 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422933 */     // GIR_Coverage, 45280,
     /* 2422933 */     GIR_EraseRootFromParent_Done,
     /* 2422934 */   // Label 34987: @2422934
     /* 2422934 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2423017), // Rule ID 45281 //
     /* 2422939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422975 */     // MIs[1] Operand 1
     /* 2422975 */     // No operand predicates
     /* 2422975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422979 */     // MIs[0] policy
     /* 2422979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422991 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423016 */     // GIR_Coverage, 45281,
     /* 2423016 */     GIR_EraseRootFromParent_Done,
     /* 2423017 */   // Label 34988: @2423017
     /* 2423017 */   GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2423089), // Rule ID 45210 //
     /* 2423022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423054 */     // MIs[0] policy
     /* 2423054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423064 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423088 */     // GIR_Coverage, 45210,
     /* 2423088 */     GIR_EraseRootFromParent_Done,
     /* 2423089 */   // Label 34989: @2423089
     /* 2423089 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2423161), // Rule ID 45211 //
     /* 2423094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423126 */     // MIs[0] policy
     /* 2423126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423136 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423160 */     // GIR_Coverage, 45211,
     /* 2423160 */     GIR_EraseRootFromParent_Done,
     /* 2423161 */   // Label 34990: @2423161
     /* 2423161 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2423233), // Rule ID 45282 //
     /* 2423166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423198 */     // MIs[0] policy
     /* 2423198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423208 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423232 */     // GIR_Coverage, 45282,
     /* 2423232 */     GIR_EraseRootFromParent_Done,
     /* 2423233 */   // Label 34991: @2423233
     /* 2423233 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2423305), // Rule ID 45283 //
     /* 2423238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423270 */     // MIs[0] policy
     /* 2423270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423280 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2423283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423304 */     // GIR_Coverage, 45283,
     /* 2423304 */     GIR_EraseRootFromParent_Done,
     /* 2423305 */   // Label 34992: @2423305
     /* 2423305 */   GIM_Reject,
     /* 2423306 */ // Label 34984: @2423306
     /* 2423306 */ GIM_Reject,
     /* 2423307 */ // Label 34922: @2423307
     /* 2423307 */ GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2423939),
     /* 2423312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2423318 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2423401), // Rule ID 45252 //
     /* 2423323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423359 */     // MIs[1] Operand 1
     /* 2423359 */     // No operand predicates
     /* 2423359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423363 */     // MIs[0] policy
     /* 2423363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423375 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423400 */     // GIR_Coverage, 45252,
     /* 2423400 */     GIR_EraseRootFromParent_Done,
     /* 2423401 */   // Label 34994: @2423401
     /* 2423401 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2423484), // Rule ID 45253 //
     /* 2423406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423442 */     // MIs[1] Operand 1
     /* 2423442 */     // No operand predicates
     /* 2423442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423446 */     // MIs[0] policy
     /* 2423446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423458 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423483 */     // GIR_Coverage, 45253,
     /* 2423483 */     GIR_EraseRootFromParent_Done,
     /* 2423484 */   // Label 34995: @2423484
     /* 2423484 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2423567), // Rule ID 45312 //
     /* 2423489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423525 */     // MIs[1] Operand 1
     /* 2423525 */     // No operand predicates
     /* 2423525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423529 */     // MIs[0] policy
     /* 2423529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423541 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423566 */     // GIR_Coverage, 45312,
     /* 2423566 */     GIR_EraseRootFromParent_Done,
     /* 2423567 */   // Label 34996: @2423567
     /* 2423567 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2423650), // Rule ID 45313 //
     /* 2423572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423608 */     // MIs[1] Operand 1
     /* 2423608 */     // No operand predicates
     /* 2423608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423612 */     // MIs[0] policy
     /* 2423612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423624 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423649 */     // GIR_Coverage, 45313,
     /* 2423649 */     GIR_EraseRootFromParent_Done,
     /* 2423650 */   // Label 34997: @2423650
     /* 2423650 */   GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2423722), // Rule ID 45254 //
     /* 2423655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423687 */     // MIs[0] policy
     /* 2423687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423697 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423721 */     // GIR_Coverage, 45254,
     /* 2423721 */     GIR_EraseRootFromParent_Done,
     /* 2423722 */   // Label 34998: @2423722
     /* 2423722 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2423794), // Rule ID 45255 //
     /* 2423727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423759 */     // MIs[0] policy
     /* 2423759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423769 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423793 */     // GIR_Coverage, 45255,
     /* 2423793 */     GIR_EraseRootFromParent_Done,
     /* 2423794 */   // Label 34999: @2423794
     /* 2423794 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2423866), // Rule ID 45314 //
     /* 2423799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423831 */     // MIs[0] policy
     /* 2423831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423841 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423865 */     // GIR_Coverage, 45314,
     /* 2423865 */     GIR_EraseRootFromParent_Done,
     /* 2423866 */   // Label 35000: @2423866
     /* 2423866 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2423938), // Rule ID 45315 //
     /* 2423871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423903 */     // MIs[0] policy
     /* 2423903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423913 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423937 */     // GIR_Coverage, 45315,
     /* 2423937 */     GIR_EraseRootFromParent_Done,
     /* 2423938 */   // Label 35001: @2423938
     /* 2423938 */   GIM_Reject,
     /* 2423939 */ // Label 34993: @2423939
     /* 2423939 */ GIM_Reject,
     /* 2423940 */ // Label 34923: @2423940
     /* 2423940 */ GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2424262),
     /* 2423945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2423948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2423951 */   GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2424034), // Rule ID 45184 //
     /* 2423956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423992 */     // MIs[1] Operand 1
     /* 2423992 */     // No operand predicates
     /* 2423992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423996 */     // MIs[0] policy
     /* 2423996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424008 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2424011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424033 */     // GIR_Coverage, 45184,
     /* 2424033 */     GIR_EraseRootFromParent_Done,
     /* 2424034 */   // Label 35003: @2424034
     /* 2424034 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2424117), // Rule ID 45185 //
     /* 2424039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424075 */     // MIs[1] Operand 1
     /* 2424075 */     // No operand predicates
     /* 2424075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424079 */     // MIs[0] policy
     /* 2424079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424091 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2424094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424116 */     // GIR_Coverage, 45185,
     /* 2424116 */     GIR_EraseRootFromParent_Done,
     /* 2424117 */   // Label 35004: @2424117
     /* 2424117 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2424189), // Rule ID 45186 //
     /* 2424122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424154 */     // MIs[0] policy
     /* 2424154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424164 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2424167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424188 */     // GIR_Coverage, 45186,
     /* 2424188 */     GIR_EraseRootFromParent_Done,
     /* 2424189 */   // Label 35005: @2424189
     /* 2424189 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2424261), // Rule ID 45187 //
     /* 2424194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424226 */     // MIs[0] policy
     /* 2424226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424236 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2424239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424260 */     // GIR_Coverage, 45187,
     /* 2424260 */     GIR_EraseRootFromParent_Done,
     /* 2424261 */   // Label 35006: @2424261
     /* 2424261 */   GIM_Reject,
     /* 2424262 */ // Label 35002: @2424262
     /* 2424262 */ GIM_Reject,
     /* 2424263 */ // Label 34924: @2424263
     /* 2424263 */ GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2424895),
     /* 2424268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2424271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2424274 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2424357), // Rule ID 45204 //
     /* 2424279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424315 */     // MIs[1] Operand 1
     /* 2424315 */     // No operand predicates
     /* 2424315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424319 */     // MIs[0] policy
     /* 2424319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424331 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424356 */     // GIR_Coverage, 45204,
     /* 2424356 */     GIR_EraseRootFromParent_Done,
     /* 2424357 */   // Label 35008: @2424357
     /* 2424357 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2424440), // Rule ID 45205 //
     /* 2424362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424398 */     // MIs[1] Operand 1
     /* 2424398 */     // No operand predicates
     /* 2424398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424402 */     // MIs[0] policy
     /* 2424402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424414 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424439 */     // GIR_Coverage, 45205,
     /* 2424439 */     GIR_EraseRootFromParent_Done,
     /* 2424440 */   // Label 35009: @2424440
     /* 2424440 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2424523), // Rule ID 45276 //
     /* 2424445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424481 */     // MIs[1] Operand 1
     /* 2424481 */     // No operand predicates
     /* 2424481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424485 */     // MIs[0] policy
     /* 2424485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424497 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424522 */     // GIR_Coverage, 45276,
     /* 2424522 */     GIR_EraseRootFromParent_Done,
     /* 2424523 */   // Label 35010: @2424523
     /* 2424523 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2424606), // Rule ID 45277 //
     /* 2424528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424564 */     // MIs[1] Operand 1
     /* 2424564 */     // No operand predicates
     /* 2424564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424568 */     // MIs[0] policy
     /* 2424568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424580 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424605 */     // GIR_Coverage, 45277,
     /* 2424605 */     GIR_EraseRootFromParent_Done,
     /* 2424606 */   // Label 35011: @2424606
     /* 2424606 */   GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2424678), // Rule ID 45206 //
     /* 2424611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424643 */     // MIs[0] policy
     /* 2424643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424653 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424677 */     // GIR_Coverage, 45206,
     /* 2424677 */     GIR_EraseRootFromParent_Done,
     /* 2424678 */   // Label 35012: @2424678
     /* 2424678 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2424750), // Rule ID 45207 //
     /* 2424683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424715 */     // MIs[0] policy
     /* 2424715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424725 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424749 */     // GIR_Coverage, 45207,
     /* 2424749 */     GIR_EraseRootFromParent_Done,
     /* 2424750 */   // Label 35013: @2424750
     /* 2424750 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2424822), // Rule ID 45278 //
     /* 2424755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424787 */     // MIs[0] policy
     /* 2424787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424797 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424821 */     // GIR_Coverage, 45278,
     /* 2424821 */     GIR_EraseRootFromParent_Done,
     /* 2424822 */   // Label 35014: @2424822
     /* 2424822 */   GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2424894), // Rule ID 45279 //
     /* 2424827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424859 */     // MIs[0] policy
     /* 2424859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424869 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424893 */     // GIR_Coverage, 45279,
     /* 2424893 */     GIR_EraseRootFromParent_Done,
     /* 2424894 */   // Label 35015: @2424894
     /* 2424894 */   GIM_Reject,
     /* 2424895 */ // Label 35007: @2424895
     /* 2424895 */ GIM_Reject,
     /* 2424896 */ // Label 34925: @2424896
     /* 2424896 */ GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2425528),
     /* 2424901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2424907 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2424990), // Rule ID 45240 //
     /* 2424912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424948 */     // MIs[1] Operand 1
     /* 2424948 */     // No operand predicates
     /* 2424948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424952 */     // MIs[0] policy
     /* 2424952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424964 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424989 */     // GIR_Coverage, 45240,
     /* 2424989 */     GIR_EraseRootFromParent_Done,
     /* 2424990 */   // Label 35017: @2424990
     /* 2424990 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2425073), // Rule ID 45241 //
     /* 2424995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425031 */     // MIs[1] Operand 1
     /* 2425031 */     // No operand predicates
     /* 2425031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425035 */     // MIs[0] policy
     /* 2425035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425047 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425072 */     // GIR_Coverage, 45241,
     /* 2425072 */     GIR_EraseRootFromParent_Done,
     /* 2425073 */   // Label 35018: @2425073
     /* 2425073 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2425156), // Rule ID 45300 //
     /* 2425078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425114 */     // MIs[1] Operand 1
     /* 2425114 */     // No operand predicates
     /* 2425114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425118 */     // MIs[0] policy
     /* 2425118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425130 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425155 */     // GIR_Coverage, 45300,
     /* 2425155 */     GIR_EraseRootFromParent_Done,
     /* 2425156 */   // Label 35019: @2425156
     /* 2425156 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2425239), // Rule ID 45301 //
     /* 2425161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425197 */     // MIs[1] Operand 1
     /* 2425197 */     // No operand predicates
     /* 2425197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425201 */     // MIs[0] policy
     /* 2425201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425213 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2425216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425238 */     // GIR_Coverage, 45301,
     /* 2425238 */     GIR_EraseRootFromParent_Done,
     /* 2425239 */   // Label 35020: @2425239
     /* 2425239 */   GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2425311), // Rule ID 45242 //
     /* 2425244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425276 */     // MIs[0] policy
     /* 2425276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425286 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425310 */     // GIR_Coverage, 45242,
     /* 2425310 */     GIR_EraseRootFromParent_Done,
     /* 2425311 */   // Label 35021: @2425311
     /* 2425311 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2425383), // Rule ID 45243 //
     /* 2425316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425348 */     // MIs[0] policy
     /* 2425348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425358 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425382 */     // GIR_Coverage, 45243,
     /* 2425382 */     GIR_EraseRootFromParent_Done,
     /* 2425383 */   // Label 35022: @2425383
     /* 2425383 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2425455), // Rule ID 45302 //
     /* 2425388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425420 */     // MIs[0] policy
     /* 2425420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425430 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425454 */     // GIR_Coverage, 45302,
     /* 2425454 */     GIR_EraseRootFromParent_Done,
     /* 2425455 */   // Label 35023: @2425455
     /* 2425455 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2425527), // Rule ID 45303 //
     /* 2425460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425492 */     // MIs[0] policy
     /* 2425492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425502 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425526 */     // GIR_Coverage, 45303,
     /* 2425526 */     GIR_EraseRootFromParent_Done,
     /* 2425527 */   // Label 35024: @2425527
     /* 2425527 */   GIM_Reject,
     /* 2425528 */ // Label 35016: @2425528
     /* 2425528 */ GIM_Reject,
     /* 2425529 */ // Label 34926: @2425529
     /* 2425529 */ GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2426161),
     /* 2425534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2425537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2425540 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2425623), // Rule ID 45256 //
     /* 2425545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425581 */     // MIs[1] Operand 1
     /* 2425581 */     // No operand predicates
     /* 2425581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425585 */     // MIs[0] policy
     /* 2425585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425597 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425622 */     // GIR_Coverage, 45256,
     /* 2425622 */     GIR_EraseRootFromParent_Done,
     /* 2425623 */   // Label 35026: @2425623
     /* 2425623 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2425706), // Rule ID 45257 //
     /* 2425628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425664 */     // MIs[1] Operand 1
     /* 2425664 */     // No operand predicates
     /* 2425664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425668 */     // MIs[0] policy
     /* 2425668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425680 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425705 */     // GIR_Coverage, 45257,
     /* 2425705 */     GIR_EraseRootFromParent_Done,
     /* 2425706 */   // Label 35027: @2425706
     /* 2425706 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2425789), // Rule ID 45316 //
     /* 2425711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425747 */     // MIs[1] Operand 1
     /* 2425747 */     // No operand predicates
     /* 2425747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425751 */     // MIs[0] policy
     /* 2425751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425763 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425788 */     // GIR_Coverage, 45316,
     /* 2425788 */     GIR_EraseRootFromParent_Done,
     /* 2425789 */   // Label 35028: @2425789
     /* 2425789 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2425872), // Rule ID 45317 //
     /* 2425794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425830 */     // MIs[1] Operand 1
     /* 2425830 */     // No operand predicates
     /* 2425830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425834 */     // MIs[0] policy
     /* 2425834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425846 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425871 */     // GIR_Coverage, 45317,
     /* 2425871 */     GIR_EraseRootFromParent_Done,
     /* 2425872 */   // Label 35029: @2425872
     /* 2425872 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2425944), // Rule ID 45258 //
     /* 2425877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425909 */     // MIs[0] policy
     /* 2425909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425919 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425943 */     // GIR_Coverage, 45258,
     /* 2425943 */     GIR_EraseRootFromParent_Done,
     /* 2425944 */   // Label 35030: @2425944
     /* 2425944 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2426016), // Rule ID 45259 //
     /* 2425949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425981 */     // MIs[0] policy
     /* 2425981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425991 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426015 */     // GIR_Coverage, 45259,
     /* 2426015 */     GIR_EraseRootFromParent_Done,
     /* 2426016 */   // Label 35031: @2426016
     /* 2426016 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2426088), // Rule ID 45318 //
     /* 2426021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426053 */     // MIs[0] policy
     /* 2426053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426063 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2426066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426087 */     // GIR_Coverage, 45318,
     /* 2426087 */     GIR_EraseRootFromParent_Done,
     /* 2426088 */   // Label 35032: @2426088
     /* 2426088 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2426160), // Rule ID 45319 //
     /* 2426093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2426102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426125 */     // MIs[0] policy
     /* 2426125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426135 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2426138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426159 */     // GIR_Coverage, 45319,
     /* 2426159 */     GIR_EraseRootFromParent_Done,
     /* 2426160 */   // Label 35033: @2426160
     /* 2426160 */   GIM_Reject,
     /* 2426161 */ // Label 35025: @2426161
     /* 2426161 */ GIM_Reject,
     /* 2426162 */ // Label 34927: @2426162
     /* 2426162 */ GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2426484),
     /* 2426167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2426170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2426173 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2426256), // Rule ID 45200 //
     /* 2426178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426214 */     // MIs[1] Operand 1
     /* 2426214 */     // No operand predicates
     /* 2426214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426218 */     // MIs[0] policy
     /* 2426218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426230 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2426233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426255 */     // GIR_Coverage, 45200,
     /* 2426255 */     GIR_EraseRootFromParent_Done,
     /* 2426256 */   // Label 35035: @2426256
     /* 2426256 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2426339), // Rule ID 45201 //
     /* 2426261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426297 */     // MIs[1] Operand 1
     /* 2426297 */     // No operand predicates
     /* 2426297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426301 */     // MIs[0] policy
     /* 2426301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426313 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2426316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426338 */     // GIR_Coverage, 45201,
     /* 2426338 */     GIR_EraseRootFromParent_Done,
     /* 2426339 */   // Label 35036: @2426339
     /* 2426339 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2426411), // Rule ID 45202 //
     /* 2426344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426376 */     // MIs[0] policy
     /* 2426376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426386 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426410 */     // GIR_Coverage, 45202,
     /* 2426410 */     GIR_EraseRootFromParent_Done,
     /* 2426411 */   // Label 35037: @2426411
     /* 2426411 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2426483), // Rule ID 45203 //
     /* 2426416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426448 */     // MIs[0] policy
     /* 2426448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426458 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426482 */     // GIR_Coverage, 45203,
     /* 2426482 */     GIR_EraseRootFromParent_Done,
     /* 2426483 */   // Label 35038: @2426483
     /* 2426483 */   GIM_Reject,
     /* 2426484 */ // Label 35034: @2426484
     /* 2426484 */ GIM_Reject,
     /* 2426485 */ // Label 34928: @2426485
     /* 2426485 */ GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2427117),
     /* 2426490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2426493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2426496 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2426579), // Rule ID 45228 //
     /* 2426501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426537 */     // MIs[1] Operand 1
     /* 2426537 */     // No operand predicates
     /* 2426537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426541 */     // MIs[0] policy
     /* 2426541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426553 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426578 */     // GIR_Coverage, 45228,
     /* 2426578 */     GIR_EraseRootFromParent_Done,
     /* 2426579 */   // Label 35040: @2426579
     /* 2426579 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2426662), // Rule ID 45229 //
     /* 2426584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426620 */     // MIs[1] Operand 1
     /* 2426620 */     // No operand predicates
     /* 2426620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426624 */     // MIs[0] policy
     /* 2426624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426636 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426661 */     // GIR_Coverage, 45229,
     /* 2426661 */     GIR_EraseRootFromParent_Done,
     /* 2426662 */   // Label 35041: @2426662
     /* 2426662 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2426745), // Rule ID 45288 //
     /* 2426667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426703 */     // MIs[1] Operand 1
     /* 2426703 */     // No operand predicates
     /* 2426703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426707 */     // MIs[0] policy
     /* 2426707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426719 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426744 */     // GIR_Coverage, 45288,
     /* 2426744 */     GIR_EraseRootFromParent_Done,
     /* 2426745 */   // Label 35042: @2426745
     /* 2426745 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2426828), // Rule ID 45289 //
     /* 2426750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426786 */     // MIs[1] Operand 1
     /* 2426786 */     // No operand predicates
     /* 2426786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426790 */     // MIs[0] policy
     /* 2426790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426802 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426827 */     // GIR_Coverage, 45289,
     /* 2426827 */     GIR_EraseRootFromParent_Done,
     /* 2426828 */   // Label 35043: @2426828
     /* 2426828 */   GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2426900), // Rule ID 45230 //
     /* 2426833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426865 */     // MIs[0] policy
     /* 2426865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426875 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426899 */     // GIR_Coverage, 45230,
     /* 2426899 */     GIR_EraseRootFromParent_Done,
     /* 2426900 */   // Label 35044: @2426900
     /* 2426900 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2426972), // Rule ID 45231 //
     /* 2426905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426937 */     // MIs[0] policy
     /* 2426937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426947 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426971 */     // GIR_Coverage, 45231,
     /* 2426971 */     GIR_EraseRootFromParent_Done,
     /* 2426972 */   // Label 35045: @2426972
     /* 2426972 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2427044), // Rule ID 45290 //
     /* 2426977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427009 */     // MIs[0] policy
     /* 2427009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427019 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2427022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427043 */     // GIR_Coverage, 45290,
     /* 2427043 */     GIR_EraseRootFromParent_Done,
     /* 2427044 */   // Label 35046: @2427044
     /* 2427044 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2427116), // Rule ID 45291 //
     /* 2427049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427081 */     // MIs[0] policy
     /* 2427081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427091 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2427094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427115 */     // GIR_Coverage, 45291,
     /* 2427115 */     GIR_EraseRootFromParent_Done,
     /* 2427116 */   // Label 35047: @2427116
     /* 2427116 */   GIM_Reject,
     /* 2427117 */ // Label 35039: @2427117
     /* 2427117 */ GIM_Reject,
     /* 2427118 */ // Label 34929: @2427118
     /* 2427118 */ GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2427750),
     /* 2427123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2427126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2427129 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2427212), // Rule ID 45244 //
     /* 2427134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427170 */     // MIs[1] Operand 1
     /* 2427170 */     // No operand predicates
     /* 2427170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427174 */     // MIs[0] policy
     /* 2427174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427186 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427211 */     // GIR_Coverage, 45244,
     /* 2427211 */     GIR_EraseRootFromParent_Done,
     /* 2427212 */   // Label 35049: @2427212
     /* 2427212 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2427295), // Rule ID 45245 //
     /* 2427217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427253 */     // MIs[1] Operand 1
     /* 2427253 */     // No operand predicates
     /* 2427253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427257 */     // MIs[0] policy
     /* 2427257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427269 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427294 */     // GIR_Coverage, 45245,
     /* 2427294 */     GIR_EraseRootFromParent_Done,
     /* 2427295 */   // Label 35050: @2427295
     /* 2427295 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2427378), // Rule ID 45304 //
     /* 2427300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427336 */     // MIs[1] Operand 1
     /* 2427336 */     // No operand predicates
     /* 2427336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427340 */     // MIs[0] policy
     /* 2427340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427352 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427377 */     // GIR_Coverage, 45304,
     /* 2427377 */     GIR_EraseRootFromParent_Done,
     /* 2427378 */   // Label 35051: @2427378
     /* 2427378 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2427461), // Rule ID 45305 //
     /* 2427383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427419 */     // MIs[1] Operand 1
     /* 2427419 */     // No operand predicates
     /* 2427419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427423 */     // MIs[0] policy
     /* 2427423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427435 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427460 */     // GIR_Coverage, 45305,
     /* 2427460 */     GIR_EraseRootFromParent_Done,
     /* 2427461 */   // Label 35052: @2427461
     /* 2427461 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2427533), // Rule ID 45246 //
     /* 2427466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427498 */     // MIs[0] policy
     /* 2427498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427508 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427532 */     // GIR_Coverage, 45246,
     /* 2427532 */     GIR_EraseRootFromParent_Done,
     /* 2427533 */   // Label 35053: @2427533
     /* 2427533 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2427605), // Rule ID 45247 //
     /* 2427538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427570 */     // MIs[0] policy
     /* 2427570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427580 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427604 */     // GIR_Coverage, 45247,
     /* 2427604 */     GIR_EraseRootFromParent_Done,
     /* 2427605 */   // Label 35054: @2427605
     /* 2427605 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2427677), // Rule ID 45306 //
     /* 2427610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427642 */     // MIs[0] policy
     /* 2427642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427652 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427676 */     // GIR_Coverage, 45306,
     /* 2427676 */     GIR_EraseRootFromParent_Done,
     /* 2427677 */   // Label 35055: @2427677
     /* 2427677 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2427749), // Rule ID 45307 //
     /* 2427682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427714 */     // MIs[0] policy
     /* 2427714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427724 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427748 */     // GIR_Coverage, 45307,
     /* 2427748 */     GIR_EraseRootFromParent_Done,
     /* 2427749 */   // Label 35056: @2427749
     /* 2427749 */   GIM_Reject,
     /* 2427750 */ // Label 35048: @2427750
     /* 2427750 */ GIM_Reject,
     /* 2427751 */ // Label 34930: @2427751
     /* 2427751 */ GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2428383),
     /* 2427756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2427759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2427762 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2427845), // Rule ID 45260 //
     /* 2427767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427803 */     // MIs[1] Operand 1
     /* 2427803 */     // No operand predicates
     /* 2427803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427807 */     // MIs[0] policy
     /* 2427807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427819 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427844 */     // GIR_Coverage, 45260,
     /* 2427844 */     GIR_EraseRootFromParent_Done,
     /* 2427845 */   // Label 35058: @2427845
     /* 2427845 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2427928), // Rule ID 45261 //
     /* 2427850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427886 */     // MIs[1] Operand 1
     /* 2427886 */     // No operand predicates
     /* 2427886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427890 */     // MIs[0] policy
     /* 2427890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427902 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427927 */     // GIR_Coverage, 45261,
     /* 2427927 */     GIR_EraseRootFromParent_Done,
     /* 2427928 */   // Label 35059: @2427928
     /* 2427928 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2428011), // Rule ID 45320 //
     /* 2427933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427969 */     // MIs[1] Operand 1
     /* 2427969 */     // No operand predicates
     /* 2427969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427973 */     // MIs[0] policy
     /* 2427973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427985 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428010 */     // GIR_Coverage, 45320,
     /* 2428010 */     GIR_EraseRootFromParent_Done,
     /* 2428011 */   // Label 35060: @2428011
     /* 2428011 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2428094), // Rule ID 45321 //
     /* 2428016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428052 */     // MIs[1] Operand 1
     /* 2428052 */     // No operand predicates
     /* 2428052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428056 */     // MIs[0] policy
     /* 2428056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428068 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428093 */     // GIR_Coverage, 45321,
     /* 2428093 */     GIR_EraseRootFromParent_Done,
     /* 2428094 */   // Label 35061: @2428094
     /* 2428094 */   GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2428166), // Rule ID 45262 //
     /* 2428099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428131 */     // MIs[0] policy
     /* 2428131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428141 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428165 */     // GIR_Coverage, 45262,
     /* 2428165 */     GIR_EraseRootFromParent_Done,
     /* 2428166 */   // Label 35062: @2428166
     /* 2428166 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2428238), // Rule ID 45263 //
     /* 2428171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428203 */     // MIs[0] policy
     /* 2428203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428213 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428237 */     // GIR_Coverage, 45263,
     /* 2428237 */     GIR_EraseRootFromParent_Done,
     /* 2428238 */   // Label 35063: @2428238
     /* 2428238 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2428310), // Rule ID 45322 //
     /* 2428243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428275 */     // MIs[0] policy
     /* 2428275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428285 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428309 */     // GIR_Coverage, 45322,
     /* 2428309 */     GIR_EraseRootFromParent_Done,
     /* 2428310 */   // Label 35064: @2428310
     /* 2428310 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2428382), // Rule ID 45323 //
     /* 2428315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2428324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428347 */     // MIs[0] policy
     /* 2428347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428357 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428381 */     // GIR_Coverage, 45323,
     /* 2428381 */     GIR_EraseRootFromParent_Done,
     /* 2428382 */   // Label 35065: @2428382
     /* 2428382 */   GIM_Reject,
     /* 2428383 */ // Label 35057: @2428383
     /* 2428383 */ GIM_Reject,
     /* 2428384 */ // Label 34931: @2428384
     /* 2428384 */ GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2428706),
     /* 2428389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2428392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2428395 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2428478), // Rule ID 45216 //
     /* 2428400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428436 */     // MIs[1] Operand 1
     /* 2428436 */     // No operand predicates
     /* 2428436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428440 */     // MIs[0] policy
     /* 2428440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428452 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428477 */     // GIR_Coverage, 45216,
     /* 2428477 */     GIR_EraseRootFromParent_Done,
     /* 2428478 */   // Label 35067: @2428478
     /* 2428478 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2428561), // Rule ID 45217 //
     /* 2428483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428519 */     // MIs[1] Operand 1
     /* 2428519 */     // No operand predicates
     /* 2428519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428523 */     // MIs[0] policy
     /* 2428523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428535 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428560 */     // GIR_Coverage, 45217,
     /* 2428560 */     GIR_EraseRootFromParent_Done,
     /* 2428561 */   // Label 35068: @2428561
     /* 2428561 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2428633), // Rule ID 45218 //
     /* 2428566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428598 */     // MIs[0] policy
     /* 2428598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428608 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428632 */     // GIR_Coverage, 45218,
     /* 2428632 */     GIR_EraseRootFromParent_Done,
     /* 2428633 */   // Label 35069: @2428633
     /* 2428633 */   GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2428705), // Rule ID 45219 //
     /* 2428638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428670 */     // MIs[0] policy
     /* 2428670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428680 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428704 */     // GIR_Coverage, 45219,
     /* 2428704 */     GIR_EraseRootFromParent_Done,
     /* 2428705 */   // Label 35070: @2428705
     /* 2428705 */   GIM_Reject,
     /* 2428706 */ // Label 35066: @2428706
     /* 2428706 */ GIM_Reject,
     /* 2428707 */ // Label 34932: @2428707
     /* 2428707 */ GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2429339),
     /* 2428712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2428715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2428718 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2428801), // Rule ID 45232 //
     /* 2428723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428759 */     // MIs[1] Operand 1
     /* 2428759 */     // No operand predicates
     /* 2428759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428763 */     // MIs[0] policy
     /* 2428763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428775 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428800 */     // GIR_Coverage, 45232,
     /* 2428800 */     GIR_EraseRootFromParent_Done,
     /* 2428801 */   // Label 35072: @2428801
     /* 2428801 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2428884), // Rule ID 45233 //
     /* 2428806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428842 */     // MIs[1] Operand 1
     /* 2428842 */     // No operand predicates
     /* 2428842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428846 */     // MIs[0] policy
     /* 2428846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428858 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428883 */     // GIR_Coverage, 45233,
     /* 2428883 */     GIR_EraseRootFromParent_Done,
     /* 2428884 */   // Label 35073: @2428884
     /* 2428884 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2428967), // Rule ID 45292 //
     /* 2428889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428925 */     // MIs[1] Operand 1
     /* 2428925 */     // No operand predicates
     /* 2428925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428929 */     // MIs[0] policy
     /* 2428929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428941 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428966 */     // GIR_Coverage, 45292,
     /* 2428966 */     GIR_EraseRootFromParent_Done,
     /* 2428967 */   // Label 35074: @2428967
     /* 2428967 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2429050), // Rule ID 45293 //
     /* 2428972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429008 */     // MIs[1] Operand 1
     /* 2429008 */     // No operand predicates
     /* 2429008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429012 */     // MIs[0] policy
     /* 2429012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429024 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429049 */     // GIR_Coverage, 45293,
     /* 2429049 */     GIR_EraseRootFromParent_Done,
     /* 2429050 */   // Label 35075: @2429050
     /* 2429050 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2429122), // Rule ID 45234 //
     /* 2429055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429087 */     // MIs[0] policy
     /* 2429087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429097 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429121 */     // GIR_Coverage, 45234,
     /* 2429121 */     GIR_EraseRootFromParent_Done,
     /* 2429122 */   // Label 35076: @2429122
     /* 2429122 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2429194), // Rule ID 45235 //
     /* 2429127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429159 */     // MIs[0] policy
     /* 2429159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429169 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429193 */     // GIR_Coverage, 45235,
     /* 2429193 */     GIR_EraseRootFromParent_Done,
     /* 2429194 */   // Label 35077: @2429194
     /* 2429194 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2429266), // Rule ID 45294 //
     /* 2429199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429231 */     // MIs[0] policy
     /* 2429231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429241 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429265 */     // GIR_Coverage, 45294,
     /* 2429265 */     GIR_EraseRootFromParent_Done,
     /* 2429266 */   // Label 35078: @2429266
     /* 2429266 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2429338), // Rule ID 45295 //
     /* 2429271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429303 */     // MIs[0] policy
     /* 2429303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429313 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429337 */     // GIR_Coverage, 45295,
     /* 2429337 */     GIR_EraseRootFromParent_Done,
     /* 2429338 */   // Label 35079: @2429338
     /* 2429338 */   GIM_Reject,
     /* 2429339 */ // Label 35071: @2429339
     /* 2429339 */ GIM_Reject,
     /* 2429340 */ // Label 34933: @2429340
     /* 2429340 */ GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2429972),
     /* 2429345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2429348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2429351 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2429434), // Rule ID 45248 //
     /* 2429356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429392 */     // MIs[1] Operand 1
     /* 2429392 */     // No operand predicates
     /* 2429392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429396 */     // MIs[0] policy
     /* 2429396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429408 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429433 */     // GIR_Coverage, 45248,
     /* 2429433 */     GIR_EraseRootFromParent_Done,
     /* 2429434 */   // Label 35081: @2429434
     /* 2429434 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2429517), // Rule ID 45249 //
     /* 2429439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429475 */     // MIs[1] Operand 1
     /* 2429475 */     // No operand predicates
     /* 2429475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429479 */     // MIs[0] policy
     /* 2429479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429491 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429516 */     // GIR_Coverage, 45249,
     /* 2429516 */     GIR_EraseRootFromParent_Done,
     /* 2429517 */   // Label 35082: @2429517
     /* 2429517 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2429600), // Rule ID 45308 //
     /* 2429522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429558 */     // MIs[1] Operand 1
     /* 2429558 */     // No operand predicates
     /* 2429558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429562 */     // MIs[0] policy
     /* 2429562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429574 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429599 */     // GIR_Coverage, 45308,
     /* 2429599 */     GIR_EraseRootFromParent_Done,
     /* 2429600 */   // Label 35083: @2429600
     /* 2429600 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2429683), // Rule ID 45309 //
     /* 2429605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429641 */     // MIs[1] Operand 1
     /* 2429641 */     // No operand predicates
     /* 2429641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429645 */     // MIs[0] policy
     /* 2429645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429657 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429682 */     // GIR_Coverage, 45309,
     /* 2429682 */     GIR_EraseRootFromParent_Done,
     /* 2429683 */   // Label 35084: @2429683
     /* 2429683 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2429755), // Rule ID 45250 //
     /* 2429688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429720 */     // MIs[0] policy
     /* 2429720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429730 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429754 */     // GIR_Coverage, 45250,
     /* 2429754 */     GIR_EraseRootFromParent_Done,
     /* 2429755 */   // Label 35085: @2429755
     /* 2429755 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2429827), // Rule ID 45251 //
     /* 2429760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429792 */     // MIs[0] policy
     /* 2429792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429802 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429826 */     // GIR_Coverage, 45251,
     /* 2429826 */     GIR_EraseRootFromParent_Done,
     /* 2429827 */   // Label 35086: @2429827
     /* 2429827 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2429899), // Rule ID 45310 //
     /* 2429832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429864 */     // MIs[0] policy
     /* 2429864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429874 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429898 */     // GIR_Coverage, 45310,
     /* 2429898 */     GIR_EraseRootFromParent_Done,
     /* 2429899 */   // Label 35087: @2429899
     /* 2429899 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2429971), // Rule ID 45311 //
     /* 2429904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429936 */     // MIs[0] policy
     /* 2429936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429946 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429970 */     // GIR_Coverage, 45311,
     /* 2429970 */     GIR_EraseRootFromParent_Done,
     /* 2429971 */   // Label 35088: @2429971
     /* 2429971 */   GIM_Reject,
     /* 2429972 */ // Label 35080: @2429972
     /* 2429972 */ GIM_Reject,
     /* 2429973 */ // Label 34934: @2429973
     /* 2429973 */ GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2430295),
     /* 2429978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2429981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2429984 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2430067), // Rule ID 45220 //
     /* 2429989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430025 */     // MIs[1] Operand 1
     /* 2430025 */     // No operand predicates
     /* 2430025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430029 */     // MIs[0] policy
     /* 2430029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430041 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2430044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430066 */     // GIR_Coverage, 45220,
     /* 2430066 */     GIR_EraseRootFromParent_Done,
     /* 2430067 */   // Label 35090: @2430067
     /* 2430067 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2430150), // Rule ID 45221 //
     /* 2430072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430108 */     // MIs[1] Operand 1
     /* 2430108 */     // No operand predicates
     /* 2430108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430112 */     // MIs[0] policy
     /* 2430112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430124 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2430127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430149 */     // GIR_Coverage, 45221,
     /* 2430149 */     GIR_EraseRootFromParent_Done,
     /* 2430150 */   // Label 35091: @2430150
     /* 2430150 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2430222), // Rule ID 45222 //
     /* 2430155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430187 */     // MIs[0] policy
     /* 2430187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430197 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2430200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430221 */     // GIR_Coverage, 45222,
     /* 2430221 */     GIR_EraseRootFromParent_Done,
     /* 2430222 */   // Label 35092: @2430222
     /* 2430222 */   GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2430294), // Rule ID 45223 //
     /* 2430227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2430243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430259 */     // MIs[0] policy
     /* 2430259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430269 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2430272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430293 */     // GIR_Coverage, 45223,
     /* 2430293 */     GIR_EraseRootFromParent_Done,
     /* 2430294 */   // Label 35093: @2430294
     /* 2430294 */   GIM_Reject,
     /* 2430295 */ // Label 35089: @2430295
     /* 2430295 */ GIM_Reject,
     /* 2430296 */ // Label 34935: @2430296
     /* 2430296 */ GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2430928),
     /* 2430301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2430304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2430307 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2430390), // Rule ID 45236 //
     /* 2430312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430348 */     // MIs[1] Operand 1
     /* 2430348 */     // No operand predicates
     /* 2430348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430352 */     // MIs[0] policy
     /* 2430352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430364 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430389 */     // GIR_Coverage, 45236,
     /* 2430389 */     GIR_EraseRootFromParent_Done,
     /* 2430390 */   // Label 35095: @2430390
     /* 2430390 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2430473), // Rule ID 45237 //
     /* 2430395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430431 */     // MIs[1] Operand 1
     /* 2430431 */     // No operand predicates
     /* 2430431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430435 */     // MIs[0] policy
     /* 2430435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430447 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430472 */     // GIR_Coverage, 45237,
     /* 2430472 */     GIR_EraseRootFromParent_Done,
     /* 2430473 */   // Label 35096: @2430473
     /* 2430473 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2430556), // Rule ID 45296 //
     /* 2430478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430514 */     // MIs[1] Operand 1
     /* 2430514 */     // No operand predicates
     /* 2430514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430518 */     // MIs[0] policy
     /* 2430518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430530 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430555 */     // GIR_Coverage, 45296,
     /* 2430555 */     GIR_EraseRootFromParent_Done,
     /* 2430556 */   // Label 35097: @2430556
     /* 2430556 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2430639), // Rule ID 45297 //
     /* 2430561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430597 */     // MIs[1] Operand 1
     /* 2430597 */     // No operand predicates
     /* 2430597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430601 */     // MIs[0] policy
     /* 2430601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430613 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430638 */     // GIR_Coverage, 45297,
     /* 2430638 */     GIR_EraseRootFromParent_Done,
     /* 2430639 */   // Label 35098: @2430639
     /* 2430639 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2430711), // Rule ID 45238 //
     /* 2430644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430676 */     // MIs[0] policy
     /* 2430676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430686 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430710 */     // GIR_Coverage, 45238,
     /* 2430710 */     GIR_EraseRootFromParent_Done,
     /* 2430711 */   // Label 35099: @2430711
     /* 2430711 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2430783), // Rule ID 45239 //
     /* 2430716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430748 */     // MIs[0] policy
     /* 2430748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430758 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430782 */     // GIR_Coverage, 45239,
     /* 2430782 */     GIR_EraseRootFromParent_Done,
     /* 2430783 */   // Label 35100: @2430783
     /* 2430783 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2430855), // Rule ID 45298 //
     /* 2430788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430820 */     // MIs[0] policy
     /* 2430820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430830 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430854 */     // GIR_Coverage, 45298,
     /* 2430854 */     GIR_EraseRootFromParent_Done,
     /* 2430855 */   // Label 35101: @2430855
     /* 2430855 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2430927), // Rule ID 45299 //
     /* 2430860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430892 */     // MIs[0] policy
     /* 2430892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430902 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430926 */     // GIR_Coverage, 45299,
     /* 2430926 */     GIR_EraseRootFromParent_Done,
     /* 2430927 */   // Label 35102: @2430927
     /* 2430927 */   GIM_Reject,
     /* 2430928 */ // Label 35094: @2430928
     /* 2430928 */ GIM_Reject,
     /* 2430929 */ // Label 34936: @2430929
     /* 2430929 */ GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2431251),
     /* 2430934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2430937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2430940 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2431023), // Rule ID 45224 //
     /* 2430945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430981 */     // MIs[1] Operand 1
     /* 2430981 */     // No operand predicates
     /* 2430981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430985 */     // MIs[0] policy
     /* 2430985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430997 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2431000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431022 */     // GIR_Coverage, 45224,
     /* 2431022 */     GIR_EraseRootFromParent_Done,
     /* 2431023 */   // Label 35104: @2431023
     /* 2431023 */   GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2431106), // Rule ID 45225 //
     /* 2431028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431064 */     // MIs[1] Operand 1
     /* 2431064 */     // No operand predicates
     /* 2431064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431068 */     // MIs[0] policy
     /* 2431068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431080 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2431083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431105 */     // GIR_Coverage, 45225,
     /* 2431105 */     GIR_EraseRootFromParent_Done,
     /* 2431106 */   // Label 35105: @2431106
     /* 2431106 */   GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2431178), // Rule ID 45226 //
     /* 2431111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431143 */     // MIs[0] policy
     /* 2431143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431153 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2431156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431177 */     // GIR_Coverage, 45226,
     /* 2431177 */     GIR_EraseRootFromParent_Done,
     /* 2431178 */   // Label 35106: @2431178
     /* 2431178 */   GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2431250), // Rule ID 45227 //
     /* 2431183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2431192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2431199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2431207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431215 */     // MIs[0] policy
     /* 2431215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431225 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2431228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431249 */     // GIR_Coverage, 45227,
     /* 2431249 */     GIR_EraseRootFromParent_Done,
     /* 2431250 */   // Label 35107: @2431250
     /* 2431250 */   GIM_Reject,
     /* 2431251 */ // Label 35103: @2431251
     /* 2431251 */ GIM_Reject,
     /* 2431252 */ // Label 34937: @2431252
     /* 2431252 */ GIM_Reject,
     /* 2431253 */ // Label 123: @2431253
     /* 2431253 */ GIM_Reject,
     /* 2431254 */ }; // Size: 2431254 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
